

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP SCHEMA IF EXISTS npd_user_tests CASCADE;
CREATE SCHEMA npd_user_tests;
SET search_path = npd_user_tests, pg_catalog;


SET default_tablespace = '';

SET default_with_oids = false;


CREATE TABLE apaareagross (
    apamap_no integer NOT NULL,
    apaareageometry_kml_wgs84 text NOT NULL,
    apaareagross_id integer NOT NULL
);


CREATE TABLE apaareanet (
    blkid integer NOT NULL,
    blklabel character varying(40) NOT NULL,
    qdrname character varying(40) NOT NULL,
    blkname character varying(40) NOT NULL,
    prvname character varying(2) NOT NULL,
    apaareatype character varying(40) DEFAULT NULL::character varying,
    urlnpd character varying(200) NOT NULL,
    apaareanet_id integer NOT NULL
);


CREATE TABLE baaarea (
    baanpdidbsnsarrarea integer NOT NULL,
    baanpdidbsnsarrareapoly integer NOT NULL,
    baaname character varying(40) NOT NULL,
    baakind character varying(40) NOT NULL,
    baaareapolydatevalidfrom date NOT NULL,
    baaareapolydatevalidto date,
    baaareapolyactive character varying(40) NOT NULL,
    baadateapproved date NOT NULL,
    baadatevalidfrom date NOT NULL,
    baadatevalidto date,
    baaactive character varying(20) NOT NULL,
    baafactpageurl character varying(200) NOT NULL,
    baafactmapurl character varying(200) DEFAULT NULL::character varying
);


CREATE TABLE bsns_arr_area (
    baaname character varying(40) NOT NULL,
    baakind character varying(40) NOT NULL,
    baadateapproved date NOT NULL,
    baadatevalidfrom date NOT NULL,
    baadatevalidto date,
    baafactpageurl character varying(200) NOT NULL,
    baafactmapurl character varying(200) DEFAULT NULL::character varying,
    baanpdidbsnsarrarea integer NOT NULL,
    baadateupdated date,
    baadateupdatedmax date,
    datesyncnpd date NOT NULL
);


CREATE TABLE bsns_arr_area_area_poly_hst (
    baaname character varying(40) NOT NULL,
    baaareapolydatevalidfrom date NOT NULL,
    baaareapolydatevalidto date NOT NULL,
    baaareapolynationcode2 character varying(2) NOT NULL,
    baaareapolyblockname character varying(40) DEFAULT ''::character varying NOT NULL,
    baaareapolyno integer NOT NULL,
    baaareapolyarea numeric(13,6) NOT NULL,
    baanpdidbsnsarrarea integer NOT NULL,
    baaareapolydateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE bsns_arr_area_licensee_hst (
    baaname character varying(40) NOT NULL,
    baalicenseedatevalidfrom date NOT NULL,
    baalicenseedatevalidto date NOT NULL,
    cmplongname character varying(200) NOT NULL,
    baalicenseeinterest numeric(13,6) NOT NULL,
    baalicenseesdfi numeric(13,6) DEFAULT NULL::numeric,
    baanpdidbsnsarrarea integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    baalicenseedateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE bsns_arr_area_operator (
    baaname character varying(40) NOT NULL,
    cmplongname character varying(200) NOT NULL,
    baanpdidbsnsarrarea integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    baaoperatordateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE bsns_arr_area_transfer_hst (
    baaname character varying(40) NOT NULL,
    baatransferdatevalidfrom date NOT NULL,
    baatransferdirection character varying(4) NOT NULL,
    baatransferkind character varying(40) DEFAULT NULL::character varying,
    cmplongname character varying(200) NOT NULL,
    baatransferredinterest numeric(13,6) NOT NULL,
    baatransfersdfi numeric(13,6) DEFAULT NULL::numeric,
    baanpdidbsnsarrarea integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    baatransferdateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE company (
    cmplongname character varying(200) NOT NULL,
    cmporgnumberbrreg character varying(100) DEFAULT NULL::character varying,
    cmpgroup character varying(100) DEFAULT NULL::character varying,
    cmpshortname character varying(40) NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    cmplicenceopercurrent character varying(1) NOT NULL,
    cmplicenceoperformer character varying(1) NOT NULL,
    cmplicencelicenseecurrent character varying(1) NOT NULL,
    cmplicencelicenseeformer character varying(1) NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE company_reserves (
    cmplongname character varying(200) NOT NULL,
    fldname character varying(40) NOT NULL,
    cmprecoverableoil numeric(13,6) NOT NULL,
    cmprecoverablegas numeric(13,6) NOT NULL,
    cmprecoverablengl numeric(13,6) NOT NULL,
    cmprecoverablecondensate numeric(13,6) NOT NULL,
    cmprecoverableoe numeric(13,6) NOT NULL,
    cmpremainingoil numeric(13,6) NOT NULL,
    cmpremaininggas numeric(13,6) NOT NULL,
    cmpremainingngl numeric(13,6) NOT NULL,
    cmpremainingcondensate numeric(13,6) NOT NULL,
    cmpremainingoe numeric(13,6) NOT NULL,
    cmpdateoffresestdisplay date NOT NULL,
    cmpshare numeric(13,6) NOT NULL,
    fldnpdidfield integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE discovery (
    dscname character varying(40) NOT NULL,
    cmplongname character varying(200) DEFAULT NULL::character varying,
    dsccurrentactivitystatus character varying(40) NOT NULL,
    dschctype character varying(40) DEFAULT NULL::character varying,
    wlbname character varying(60) DEFAULT NULL::character varying,
    nmaname character varying(40) DEFAULT NULL::character varying,
    fldname character varying(40) DEFAULT NULL::character varying,
    dscdatefrominclinfield date,
    dscdiscoveryyear integer NOT NULL,
    dscresinclindiscoveryname character varying(40) DEFAULT NULL::character varying,
    dscownerkind character varying(40) DEFAULT NULL::character varying,
    dscownername character varying(40) DEFAULT NULL::character varying,
    dscnpdiddiscovery integer NOT NULL,
    fldnpdidfield integer,
    wlbnpdidwellbore integer NOT NULL,
    dscfactpageurl character varying(200) NOT NULL,
    dscfactmapurl character varying(200) NOT NULL,
    dscdateupdated date,
    dscdateupdatedmax date,
    datesyncnpd date NOT NULL
);


CREATE TABLE discovery_reserves (
    dscname character varying(40) NOT NULL,
    dscreservesrc character varying(40) NOT NULL,
    dscrecoverableoil numeric(13,6) NOT NULL,
    dscrecoverablegas numeric(13,6) NOT NULL,
    dscrecoverablengl numeric(13,6) NOT NULL,
    dscrecoverablecondensate numeric(13,6) NOT NULL,
    dscdateoffresestdisplay date NOT NULL,
    dscnpdiddiscovery integer NOT NULL,
    dscreservesdateupdated date NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE dscarea (
    fldnpdidfield integer,
    fldname character varying(40) DEFAULT NULL::character varying,
    dscnpdiddiscovery integer NOT NULL,
    dscname character varying(40) NOT NULL,
    dscresinclindiscoveryname character varying(40) DEFAULT NULL::character varying,
    dscnpdidresinclindiscovery integer,
    dscincludedinfld character varying(3) NOT NULL,
    dschctype character varying(40) NOT NULL,
    fldhctype character varying(40) DEFAULT NULL::character varying,
    dsccurrentactivitystatus character varying(40) NOT NULL,
    fldcurrentactivitystatus character varying(40) DEFAULT NULL::character varying,
    flddsclabel character varying(40) NOT NULL,
    dscfacturl character varying(200) NOT NULL,
    fldfacturl character varying(200) DEFAULT NULL::character varying
);


CREATE TABLE facility_fixed (
    fclname character varying(40) NOT NULL,
    fclphase character varying(40) NOT NULL,
    fclsurface character varying(1) NOT NULL,
    fclcurrentoperatorname character varying(100) DEFAULT NULL::character varying,
    fclkind character varying(40) NOT NULL,
    fclbelongstoname character varying(41) DEFAULT NULL::character varying,
    fclbelongstokind character varying(40) DEFAULT NULL::character varying,
    fclbelongstos integer,
    fclstartupdate date,
    fclgeodeticdatum character varying(10) DEFAULT NULL::character varying,
    fclnsdeg integer,
    fclnsmin integer,
    fclnssec numeric(13,6) DEFAULT NULL::numeric,
    fclnscode character varying(1) NOT NULL,
    fclewdeg integer,
    fclewmin integer,
    fclewsec numeric(13,6) DEFAULT NULL::numeric,
    fclewcode character varying(1) NOT NULL,
    fclwaterdepth numeric(13,6) NOT NULL,
    fclfunctions character varying(400) DEFAULT NULL::character varying,
    fcldesignlifetime integer,
    fclfactpageurl character varying(200) NOT NULL,
    fclfactmapurl character varying(200) NOT NULL,
    fclnpdidfacility integer NOT NULL,
    fcldateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE facility_moveable (
    fclname character varying(40) NOT NULL,
    fclcurrentrespcompanyname character varying(100) DEFAULT NULL::character varying,
    fclkind character varying(40) NOT NULL,
    fclfunctions character varying(400) DEFAULT NULL::character varying,
    fclnationname character varying(40) NOT NULL,
    fclfactpageurl character varying(200) NOT NULL,
    fclnpdidfacility integer NOT NULL,
    fclnpdidcurrentrespcompany integer,
    fcldateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE fclpoint (
    fclnpdidfacility integer NOT NULL,
    fclsurface character varying(1) NOT NULL,
    fclcurrentoperatorname character varying(100) DEFAULT NULL::character varying,
    fclname character varying(40) NOT NULL,
    fclkind character varying(40) NOT NULL,
    fclbelongstoname character varying(41) DEFAULT NULL::character varying,
    fclbelongstokind character varying(40) DEFAULT NULL::character varying,
    fclbelongstos integer,
    fclstartupdate date NOT NULL,
    fclwaterdepth numeric(13,6) NOT NULL,
    fclfunctions character varying(400) DEFAULT NULL::character varying,
    fcldesignlifetime integer NOT NULL,
    fclfactpageurl character varying(200) NOT NULL,
    fclfactmapurl character varying(200) NOT NULL
);


CREATE TABLE field (
    fldname character varying(40) NOT NULL,
    cmplongname character varying(200) DEFAULT NULL::character varying,
    fldcurrentactivitysatus character varying(40) NOT NULL,
    wlbname character varying(60) DEFAULT NULL::character varying,
    wlbcompletiondate date,
    fldownerkind character varying(40) DEFAULT NULL::character varying,
    fldownername character varying(40) DEFAULT NULL::character varying,
    fldnpdidowner integer,
    fldnpdidfield integer NOT NULL,
    wlbnpdidwellbore integer NOT NULL,
    cmpnpdidcompany integer,
    fldfactpageurl character varying(200) NOT NULL,
    fldfactmapurl character varying(200) NOT NULL,
    flddateupdated date,
    flddateupdatedmax date,
    datesyncnpd date NOT NULL
);


CREATE TABLE field_activity_status_hst (
    fldname character varying(40) NOT NULL,
    fldstatusfromdate date NOT NULL,
    fldstatustodate date NOT NULL,
    fldstatus character varying(40) NOT NULL,
    fldnpdidfield integer NOT NULL,
    fldstatusdateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE field_description (
    fldname character varying(40) NOT NULL,
    flddescriptionheading character varying(255) NOT NULL,
    flddescriptiontext text NOT NULL,
    fldnpdidfield integer NOT NULL,
    flddescriptiondateupdated date NOT NULL
);


CREATE TABLE field_investment_yearly (
    prfinformationcarrier character varying(40) NOT NULL,
    prfyear integer NOT NULL,
    prfinvestmentsmillnok numeric(13,6) NOT NULL,
    prfnpdidinformationcarrier integer NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE field_licensee_hst (
    fldname character varying(40) NOT NULL,
    fldownername character varying(40) NOT NULL,
    fldownerkind character varying(40) NOT NULL,
    fldownerfrom date NOT NULL,
    fldownerto date,
    fldlicenseefrom date NOT NULL,
    fldlicenseeto date NOT NULL,
    cmplongname character varying(200) NOT NULL,
    fldcompanyshare numeric(13,6) NOT NULL,
    fldsdfishare numeric(13,6) DEFAULT NULL::numeric,
    fldnpdidfield integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    fldlicenseedateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE field_operator_hst (
    fldname character varying(40) NOT NULL,
    cmplongname character varying(200) NOT NULL,
    fldoperatorfrom date NOT NULL,
    fldoperatorto date NOT NULL,
    fldnpdidfield integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    fldoperatordateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE field_owner_hst (
    fldname character varying(40) NOT NULL,
    fldownerkind character varying(40) NOT NULL,
    fldownername character varying(40) NOT NULL,
    fldownershipfromdate date NOT NULL,
    fldownershiptodate date NOT NULL,
    fldnpdidfield integer NOT NULL,
    fldnpdidowner integer NOT NULL,
    fldownerdateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE field_production_monthly (
    prfinformationcarrier character varying(40) NOT NULL,
    prfyear integer NOT NULL,
    prfmonth integer NOT NULL,
    prfprdoilnetmillsm3 numeric(13,6) NOT NULL,
    prfprdgasnetbillsm3 numeric(13,6) NOT NULL,
    prfprdnglnetmillsm3 numeric(13,6) NOT NULL,
    prfprdcondensatenetmillsm3 numeric(13,6) NOT NULL,
    prfprdoenetmillsm3 numeric(13,6) NOT NULL,
    prfprdproducedwaterinfieldmillsm3 numeric(13,6) NOT NULL,
    prfnpdidinformationcarrier integer NOT NULL
);


CREATE TABLE field_production_totalt_ncs_month (
    prfyear integer NOT NULL,
    prfmonth integer NOT NULL,
    prfprdoilnetmillsm3 numeric(13,6) NOT NULL,
    prfprdgasnetbillsm3 numeric(13,6) NOT NULL,
    prfprdnglnetmillsm3 numeric(13,6) NOT NULL,
    prfprdcondensatenetmillsm3 numeric(13,6) NOT NULL,
    prfprdoenetmillsm3 numeric(13,6) NOT NULL,
    prfprdproducedwaterinfieldmillsm3 numeric(13,6) NOT NULL
);


CREATE TABLE field_production_totalt_ncs_year (
    prfyear integer NOT NULL,
    prfprdoilnetmillsm numeric(13,6) NOT NULL,
    prfprdgasnetbillsm numeric(13,6) NOT NULL,
    prfprdcondensatenetmillsm3 numeric(13,6) NOT NULL,
    prfprdnglnetmillsm3 numeric(13,6) NOT NULL,
    prfprdoenetmillsm3 numeric(13,6) NOT NULL,
    prfprdproducedwaterinfieldmillsm3 numeric(13,6) NOT NULL
);


CREATE TABLE field_production_yearly (
    prfinformationcarrier character varying(40) NOT NULL,
    prfyear integer NOT NULL,
    prfprdoilnetmillsm3 numeric(13,6) NOT NULL,
    prfprdgasnetbillsm3 numeric(13,6) NOT NULL,
    prfprdnglnetmillsm3 numeric(13,6) NOT NULL,
    prfprdcondensatenetmillsm3 numeric(13,6) NOT NULL,
    prfprdoenetmillsm3 numeric(13,6) NOT NULL,
    prfprdproducedwaterinfieldmillsm3 numeric(13,6) NOT NULL,
    prfnpdidinformationcarrier integer NOT NULL
);


CREATE TABLE field_reserves (
    fldname character varying(40) NOT NULL,
    fldrecoverableoil numeric(13,6) NOT NULL,
    fldrecoverablegas numeric(13,6) NOT NULL,
    fldrecoverablengl numeric(13,6) NOT NULL,
    fldrecoverablecondensate numeric(13,6) NOT NULL,
    fldrecoverableoe numeric(13,6) NOT NULL,
    fldremainingoil numeric(13,6) NOT NULL,
    fldremaininggas numeric(13,6) NOT NULL,
    fldremainingngl numeric(13,6) NOT NULL,
    fldremainingcondensate numeric(13,6) NOT NULL,
    fldremainingoe numeric(13,6) NOT NULL,
    flddateoffresestdisplay date NOT NULL,
    fldnpdidfield integer NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE fldarea (
    fldnpdidfield integer NOT NULL,
    fldname character varying(40) NOT NULL,
    dscnpdiddiscovery integer NOT NULL,
    dscname character varying(40) NOT NULL,
    dscresinclindiscoveryname character varying(40) DEFAULT NULL::character varying,
    dscnpdidresinclindiscovery integer,
    dscincludedinfld character varying(3) NOT NULL,
    dschctype character varying(40) NOT NULL,
    fldhctype character varying(40) NOT NULL,
    dsccurrentactivitystatus character varying(40) NOT NULL,
    fldcurrentactivitystatus character varying(40) NOT NULL,
    flddsclabel character varying(40) NOT NULL,
    dscfacturl character varying(200) NOT NULL,
    fldfacturl character varying(200) NOT NULL
);


CREATE TABLE licence (
    prlname character varying(50) NOT NULL,
    prllicensingactivityname character varying(40) NOT NULL,
    prlmainarea character varying(40) DEFAULT NULL::character varying,
    prlstatus character varying(40) NOT NULL,
    prldategranted date NOT NULL,
    prldatevalidto date NOT NULL,
    prloriginalarea numeric(13,6) NOT NULL,
    prlcurrentarea character varying(20) NOT NULL,
    prlphasecurrent character varying(40) DEFAULT NULL::character varying,
    prlnpdidlicence integer NOT NULL,
    prlfactpageurl character varying(200) NOT NULL,
    prlfactmapurl character varying(200) DEFAULT NULL::character varying,
    prldateupdated date,
    prldateupdatedmax date,
    datesyncnpd date NOT NULL
);


CREATE TABLE licence_area_poly_hst (
    prlname character varying(50) NOT NULL,
    prlareapolydatevalidfrom date NOT NULL,
    prlareapolydatevalidto date NOT NULL,
    prlareapolynationcode character varying(2) NOT NULL,
    prlareapolyblockname character varying(40) NOT NULL,
    prlareapolystratigraphical character varying(4) NOT NULL,
    prlareapolypolyno integer NOT NULL,
    prlareapolypolyarea numeric(13,6) NOT NULL,
    prlnpdidlicence integer NOT NULL,
    prlareadateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE licence_licensee_hst (
    prlname character varying(50) NOT NULL,
    prllicenseedatevalidfrom date NOT NULL,
    prllicenseedatevalidto date NOT NULL,
    cmplongname character varying(200) NOT NULL,
    prllicenseeinterest numeric(13,6) NOT NULL,
    prllicenseesdfi numeric(13,6) DEFAULT NULL::numeric,
    prloperdatevalidfrom date,
    prloperdatevalidto date,
    prlnpdidlicence integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    prllicenseedateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE licence_oper_hst (
    prlname character varying(50) NOT NULL,
    prloperdatevalidfrom date NOT NULL,
    prloperdatevalidto date NOT NULL,
    cmplongname character varying(200) NOT NULL,
    prlnpdidlicence integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    prloperdateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE licence_petreg_licence (
    ptlname character varying(40) NOT NULL,
    ptldateawarded date NOT NULL,
    ptldatevalidfrom date NOT NULL,
    ptldatevalidto date NOT NULL,
    prlnpdidlicence integer NOT NULL,
    ptldateupdated date,
    ptldateupdatedmax date NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE licence_petreg_licence_licencee (
    ptlname character varying(40) NOT NULL,
    cmplongname character varying(200) NOT NULL,
    ptllicenseeinterest numeric(13,6) NOT NULL,
    prlnpdidlicence integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    ptllicenseedateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE licence_petreg_licence_oper (
    ptlname character varying(40) NOT NULL,
    cmplongname character varying(200) NOT NULL,
    prlnpdidlicence integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    ptloperdateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE licence_petreg_message (
    prlname character varying(50) NOT NULL,
    ptlmessagedocumentno integer NOT NULL,
    ptlmessage text NOT NULL,
    ptlmessageregistereddate date NOT NULL,
    ptlmessagekinddesc character varying(100) NOT NULL,
    ptlmessagedateupdated date,
    prlnpdidlicence integer NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE licence_phase_hst (
    prlname character varying(50) NOT NULL,
    prldatephasevalidfrom date NOT NULL,
    prldatephasevalidto date NOT NULL,
    prlphase character varying(40) NOT NULL,
    prldategranted date NOT NULL,
    prldatevalidto date NOT NULL,
    prldateinitialperiodexpires date NOT NULL,
    prlactivestatusindicator character varying(40) NOT NULL,
    prlnpdidlicence integer NOT NULL,
    prlphasedateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE licence_task (
    prlname character varying(50) NOT NULL,
    prltaskname character varying(40) NOT NULL,
    prltasktypeno character varying(100) NOT NULL,
    prltasktypeen character varying(200) NOT NULL,
    prltaskstatusno character varying(100) NOT NULL,
    prltaskstatusen character varying(40) NOT NULL,
    prltaskexpirydate date NOT NULL,
    wlbname character varying(60) DEFAULT NULL::character varying,
    prldatevalidto date NOT NULL,
    prllicensingactivityname character varying(40) NOT NULL,
    cmplongname character varying(200) DEFAULT NULL::character varying,
    cmpnpdidcompany integer,
    prlnpdidlicence integer NOT NULL,
    prltaskid integer NOT NULL,
    prltaskrefid integer,
    prltaskdateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE licence_transfer_hst (
    prlname character varying(50) NOT NULL,
    prltransferdatevalidfrom date NOT NULL,
    prltransferdirection character varying(4) NOT NULL,
    prltransferkind character varying(40) DEFAULT NULL::character varying,
    cmplongname character varying(200) NOT NULL,
    prltransferredinterest numeric(13,6) NOT NULL,
    prltransfersdfi numeric(13,6) DEFAULT NULL::numeric,
    prlnpdidlicence integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    prltransferdateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE pipline (
    pipnpdidpipe integer NOT NULL,
    pipnpdidfromfacility integer NOT NULL,
    pipnpdidtofacility integer NOT NULL,
    pipnpdidoperator integer,
    pipname character varying(50) NOT NULL,
    pipnamefromfacility character varying(50) NOT NULL,
    pipnametofacility character varying(50) NOT NULL,
    pipnamecurrentoperator character varying(100) DEFAULT NULL::character varying,
    pipcurrentphase character varying(40) NOT NULL,
    pipmedium character varying(20) NOT NULL,
    pipmaingrouping character varying(20) NOT NULL,
    pipdimension numeric(13,6) NOT NULL
);


CREATE TABLE prlarea (
    prlname character varying(50) NOT NULL,
    prlactive character varying(20) NOT NULL,
    prlcurrentarea character varying(20) NOT NULL,
    prldategranted date NOT NULL,
    prldatevalidto date NOT NULL,
    prlareapolydatevalidfrom date NOT NULL,
    prlareapolydatevalidto date NOT NULL,
    prlareapolyfromzvalue integer NOT NULL,
    prlareapolytozvalue integer NOT NULL,
    prlareapolyvertlimen text,
    prlareapolyvertlimno text,
    prlstratigraphical character varying(3) NOT NULL,
    prlareapolystratigraphical character varying(4) NOT NULL,
    prlnpdidlicence integer NOT NULL,
    prllastoperatornameshort character varying(40) NOT NULL,
    prllastoperatornamelong character varying(200) NOT NULL,
    prllicensingactivityname character varying(40) NOT NULL,
    prllastoperatornpdidcompany integer NOT NULL,
    prlfacturl character varying(200) NOT NULL,
    prlarea_id integer NOT NULL
);


CREATE TABLE prlareasplitbyblock (
    prlname character varying(50) NOT NULL,
    prlactive character varying(20) NOT NULL,
    prlcurrentarea character varying(20) NOT NULL,
    prldategranted date NOT NULL,
    prldatevalidto date NOT NULL,
    prlareapolydatevalidfrom date NOT NULL,
    prlareapolydatevalidto date NOT NULL,
    prlareapolypolyno integer NOT NULL,
    prlareapolypolyarea numeric(13,6) NOT NULL,
    blcname character varying(40) NOT NULL,
    prlareapolyfromzvalue integer NOT NULL,
    prlareapolytozvalue integer NOT NULL,
    prlareapolyvertlimen text,
    prlareapolyvertlimno text,
    prlstratigraphical character varying(3) NOT NULL,
    prllastoperatornpdidcompany integer NOT NULL,
    prllastoperatornameshort character varying(40) NOT NULL,
    prllastoperatornamelong character varying(200) NOT NULL,
    prllicensingactivityname character varying(40) NOT NULL,
    prlfacturl character varying(200) NOT NULL,
    prlareapolystratigraphical character varying(4) NOT NULL,
    prlnpdidlicence integer NOT NULL
);


CREATE TABLE seaarea (
    seasurveyname character varying(100) NOT NULL,
    seanpdidsurvey integer NOT NULL,
    seafactmapurl character varying(260) DEFAULT NULL::character varying,
    seafactpageurl character varying(200) DEFAULT NULL::character varying,
    seastatus character varying(100) NOT NULL,
    seageographicalarea character varying(100) NOT NULL,
    seamarketavailable character varying(20) NOT NULL,
    seasurveytypemain character varying(100) NOT NULL,
    seasurveytypepart character varying(100) DEFAULT NULL::character varying,
    seacompanyreported character varying(100) NOT NULL,
    seasourcetype character varying(100) DEFAULT NULL::character varying,
    seasourcenumber character varying(100) DEFAULT NULL::character varying,
    seasourcesize character varying(100) DEFAULT NULL::character varying,
    seasourcepressure character varying(100) DEFAULT NULL::character varying,
    seasensortype character varying(100) DEFAULT NULL::character varying,
    seasensornumbers character varying(40) DEFAULT NULL::character varying,
    seasensorlength character varying(100) DEFAULT NULL::character varying,
    seaplanfromdate date NOT NULL,
    seadatestarting date,
    seaplantodate date NOT NULL,
    seadatefinalized date,
    seaplancdpkm integer,
    seacdptotalkm integer,
    seaplanboatkm integer,
    seaboattotalkm integer,
    sea3dkm2 numeric(13,6) DEFAULT NULL::numeric,
    seapolygonkind character varying(100) NOT NULL,
    seaarea_id integer NOT NULL
);


CREATE TABLE seamultiline (
    seasurveyname character varying(100) NOT NULL,
    seafactmapurl character varying(260) DEFAULT NULL::character varying,
    seafactpageurl character varying(200) DEFAULT NULL::character varying,
    seastatus character varying(100) NOT NULL,
    seamarketavailable character varying(20) NOT NULL,
    seasurveytypemain character varying(100) NOT NULL,
    seasurveytypepart character varying(100) NOT NULL,
    seacompanyreported character varying(100) NOT NULL,
    seasourcetype character varying(100) NOT NULL,
    seasourcenumber character varying(100) DEFAULT NULL::character varying,
    seasourcesize character varying(100) DEFAULT NULL::character varying,
    seasourcepressure character varying(100) DEFAULT NULL::character varying,
    seasensortype character varying(100) NOT NULL,
    seasensornumbers character varying(40) NOT NULL,
    seasensorlength character varying(100) NOT NULL,
    seaplanfromdate date NOT NULL,
    seadatestarting date,
    seaplantodate date NOT NULL,
    seadatefinalized date,
    seaplancdpkm integer NOT NULL,
    seacdptotalkm integer,
    seaplanboatkm integer NOT NULL,
    seaboattotalkm integer
);


CREATE TABLE seis_acquisition (
    seaname character varying(100) NOT NULL,
    seaplanfromdate date NOT NULL,
    seanpdidsurvey integer NOT NULL,
    seastatus character varying(100) NOT NULL,
    seageographicalarea character varying(100) NOT NULL,
    seasurveytypemain character varying(100) NOT NULL,
    seasurveytypepart character varying(100) DEFAULT NULL::character varying,
    seacompanyreported character varying(100) NOT NULL,
    seaplantodate date NOT NULL,
    seadatestarting date,
    seadatefinalized date,
    seacdptotalkm integer,
    seaboattotalkm integer,
    sea3dkm2 numeric(13,6) DEFAULT NULL::numeric,
    seasampling character varying(20) DEFAULT NULL::character varying,
    seashallowdrilling character varying(20) DEFAULT NULL::character varying,
    seageotechnical character varying(20) DEFAULT NULL::character varying,
    datesyncnpd date NOT NULL
);


CREATE TABLE seis_acquisition_coordinates_inc_turnarea (
    seasurveyname character varying(100) NOT NULL,
    seanpdidsurvey integer NOT NULL,
    seapolygonpointnumber integer NOT NULL,
    seapolygonnsdeg integer NOT NULL,
    seapolygonnsmin integer NOT NULL,
    seapolygonnssec numeric(13,6) NOT NULL,
    seapolygonewdeg integer NOT NULL,
    seapolygonewmin integer NOT NULL,
    seapolygonewsec numeric(13,6) NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE seis_acquisition_progress (
    seaprogressdate date NOT NULL,
    seaprogresstext2 character varying(40) NOT NULL,
    seaprogresstext text NOT NULL,
    seaprogressdescription text,
    seanpdidsurvey integer NOT NULL,
    seis_acquisition_progress_id integer NOT NULL
);


CREATE TABLE strat_litho_wellbore (
    wlbname character varying(60) NOT NULL,
    lsutopdepth numeric(13,6) NOT NULL,
    lsubottomdepth numeric(13,6) NOT NULL,
    lsuname character varying(20) NOT NULL,
    lsulevel character varying(9) NOT NULL,
    lsunpdidlithostrat integer NOT NULL,
    wlbcompletiondate date NOT NULL,
    wlbnpdidwellbore integer NOT NULL,
    lsuwellboreupdateddate date,
    datesyncnpd date NOT NULL
);


CREATE TABLE strat_litho_wellbore_core (
    wlbname character varying(60) NOT NULL,
    lsucorelenght numeric(13,6) NOT NULL,
    lsuname character varying(20) NOT NULL,
    lsulevel character varying(9) NOT NULL,
    wlbcompletiondate date NOT NULL,
    lsunpdidlithostrat integer NOT NULL,
    wlbnpdidwellbore integer NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE tuf_operator_hst (
    tufname character varying(40) NOT NULL,
    cmplongname character varying(200) NOT NULL,
    tufoperdatevalidfrom date NOT NULL,
    tufoperdatevalidto date NOT NULL,
    tufnpdidtuf integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE tuf_owner_hst (
    tufname character varying(40) NOT NULL,
    cmplongname character varying(200) NOT NULL,
    tufownerdatevalidfrom date NOT NULL,
    tufownerdatevalidto date NOT NULL,
    tufownershare numeric(13,6) NOT NULL,
    tufnpdidtuf integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE tuf_petreg_licence (
    ptlname character varying(40) NOT NULL,
    tufname character varying(40) NOT NULL,
    ptldatevalidfrom date NOT NULL,
    ptldatevalidto date NOT NULL,
    tufnpdidtuf integer NOT NULL,
    ptldateupdated date,
    ptldateupdatedmax date NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE tuf_petreg_licence_licencee (
    ptlname character varying(40) NOT NULL,
    cmplongname character varying(200) NOT NULL,
    ptllicenseeinterest numeric(13,6) NOT NULL,
    tufname character varying(40) NOT NULL,
    tufnpdidtuf integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    ptllicenseedateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE tuf_petreg_licence_oper (
    textbox42 character varying(20) NOT NULL,
    textbox2 character varying(20) NOT NULL,
    ptlname character varying(40) NOT NULL,
    cmplongname character varying(200) NOT NULL,
    tufname character varying(40) NOT NULL,
    tufnpdidtuf integer NOT NULL,
    cmpnpdidcompany integer NOT NULL,
    ptloperdateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE tuf_petreg_message (
    ptlname character varying(40) NOT NULL,
    ptlmessagedocumentno integer NOT NULL,
    ptlmessage text NOT NULL,
    ptlmessageregistereddate date NOT NULL,
    ptlmessagekinddesc character varying(100) NOT NULL,
    tufname character varying(40) NOT NULL,
    ptlmessagedateupdated date,
    tufnpdidtuf integer NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE wellbore_casing_and_lot (
    wlbname character varying(60) NOT NULL,
    wlbcasingtype character varying(10) DEFAULT NULL::character varying,
    wlbcasingdiameter character varying(6) DEFAULT NULL::character varying,
    wlbcasingdepth numeric(13,6) NOT NULL,
    wlbholediameter character varying(6) DEFAULT NULL::character varying,
    wlbholedepth numeric(13,6) NOT NULL,
    wlblotmuddencity numeric(13,6) NOT NULL,
    wlbnpdidwellbore integer NOT NULL,
    wlbcasingdateupdated date,
    datesyncnpd date NOT NULL,
    wellbore_casing_and_lot_id integer NOT NULL
);


CREATE TABLE wellbore_coordinates (
    wlbwellborename character varying(40) NOT NULL,
    wlbdrillingoperator character varying(60) NOT NULL,
    wlbproductionlicence character varying(40) DEFAULT NULL::character varying,
    wlbwelltype character varying(20) DEFAULT NULL::character varying,
    wlbpurposeplanned character varying(40) DEFAULT NULL::character varying,
    wlbcontent character varying(40) DEFAULT NULL::character varying,
    wlbentrydate date,
    wlbcompletiondate date,
    wlbfield character varying(40) DEFAULT NULL::character varying,
    wlbmainarea character varying(40) NOT NULL,
    wlbgeodeticdatum character varying(6) DEFAULT NULL::character varying,
    wlbnsdeg integer NOT NULL,
    wlbnsmin integer NOT NULL,
    wlbnssec numeric(6,2) NOT NULL,
    wlbnscode character varying(1) DEFAULT NULL::character varying,
    wlbewdeg integer NOT NULL,
    wlbewmin integer NOT NULL,
    wlbewsec numeric(6,2) NOT NULL,
    wlbewcode character varying(1) DEFAULT NULL::character varying,
    wlbnsdecdeg numeric(13,6) NOT NULL,
    wlbewdesdeg numeric(13,6) NOT NULL,
    wlbnsutm numeric(13,6) NOT NULL,
    wlbewutm numeric(13,6) NOT NULL,
    wlbutmzone integer NOT NULL,
    wlbnpdidwellbore integer NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE wellbore_core (
    wlbname character varying(60) NOT NULL,
    wlbcorenumber integer NOT NULL,
    wlbcoreintervaltop numeric(13,6) DEFAULT NULL::numeric,
    wlbcoreintervalbottom numeric(13,6) DEFAULT NULL::numeric,
    wlbcoreintervaluom character varying(6) DEFAULT NULL::character varying,
    wlbtotalcorelength numeric(13,6) NOT NULL,
    wlbnumberofcores integer NOT NULL,
    wlbcoresampleavailable character varying(3) NOT NULL,
    wlbnpdidwellbore integer NOT NULL,
    wlbcoredateupdated date,
    datesyncnpd date NOT NULL,
    wellbore_core_id integer NOT NULL
);


CREATE TABLE wellbore_core_photo (
    wlbname character varying(60) NOT NULL,
    wlbcorenumber integer NOT NULL,
    wlbcorephototitle character varying(200) NOT NULL,
    wlbcorephotoimgurl character varying(200) NOT NULL,
    wlbnpdidwellbore integer NOT NULL,
    wlbcorephotodateupdated date,
    wellbore_core_photo_id integer NOT NULL
);


CREATE TABLE wellbore_development_all (
    wlbwellborename character varying(40) NOT NULL,
    wlbwell character varying(40) NOT NULL,
    wlbdrillingoperator character varying(60) NOT NULL,
    wlbdrillingoperatorgroup character varying(20) NOT NULL,
    wlbproductionlicence character varying(40) NOT NULL,
    wlbpurposeplanned character varying(40) DEFAULT NULL::character varying,
    wlbcontent character varying(40) DEFAULT NULL::character varying,
    wlbwelltype character varying(20) NOT NULL,
    wlbentrydate date,
    wlbcompletiondate date,
    wlbfield character varying(40) NOT NULL,
    wlbdrillpermit character varying(10) NOT NULL,
    wlbdiscovery character varying(40) NOT NULL,
    wlbdiscoverywellbore character varying(3) NOT NULL,
    wlbkellybushelevation numeric(13,6) NOT NULL,
    wlbfinalverticaldepth numeric(6,2) DEFAULT NULL::numeric,
    wlbtotaldepth numeric(13,6) NOT NULL,
    wlbwaterdepth numeric(13,6) NOT NULL,
    wlbmainarea character varying(40) NOT NULL,
    wlbdrillingfacility character varying(50) DEFAULT NULL::character varying,
    wlbfacilitytypedrilling character varying(40) DEFAULT NULL::character varying,
    wlbproductionfacility character varying(50) DEFAULT NULL::character varying,
    wlblicensingactivity character varying(40) NOT NULL,
    wlbmultilateral character varying(3) NOT NULL,
    wlbcontentplanned character varying(40) DEFAULT NULL::character varying,
    wlbentryyear integer NOT NULL,
    wlbcompletionyear integer NOT NULL,
    wlbreclassfromwellbore character varying(40) DEFAULT NULL::character varying,
    wlbplotsymbol integer NOT NULL,
    wlbgeodeticdatum character varying(6) DEFAULT NULL::character varying,
    wlbnsdeg integer NOT NULL,
    wlbnsmin integer NOT NULL,
    wlbnssec numeric(6,2) NOT NULL,
    wlbnscode character varying(1) NOT NULL,
    wlbewdeg integer NOT NULL,
    wlbewmin integer NOT NULL,
    wlbewsec numeric(6,2) NOT NULL,
    wlbewcode character varying(1) DEFAULT NULL::character varying,
    wlbnsdecdeg numeric(13,6) NOT NULL,
    wlbewdesdeg numeric(13,6) NOT NULL,
    wlbnsutm numeric(13,6) NOT NULL,
    wlbewutm numeric(13,6) NOT NULL,
    wlbutmzone integer NOT NULL,
    wlbnamepart1 integer NOT NULL,
    wlbnamepart2 integer NOT NULL,
    wlbnamepart3 character varying(1) NOT NULL,
    wlbnamepart4 integer NOT NULL,
    wlbnamepart5 character varying(2) DEFAULT NULL::character varying,
    wlbnamepart6 character varying(2) DEFAULT NULL::character varying,
    wlbfactpageurl character varying(200) NOT NULL,
    wlbfactmapurl character varying(200) NOT NULL,
    wlbdiskoswellboretype character varying(20) NOT NULL,
    wlbdiskoswellboreparent character varying(40) DEFAULT NULL::character varying,
    wlbnpdidwellbore integer NOT NULL,
    dscnpdiddiscovery integer NOT NULL,
    fldnpdidfield integer NOT NULL,
    wlbwdssqcdate date,
    prlnpdidproductionlicence integer NOT NULL,
    fclnpdidfacilitydrilling integer,
    fclnpdidfacilityproducing integer,
    wlbnpdidwellborereclass integer NOT NULL,
    wlbdiskoswelloperator character varying(40) NOT NULL,
    wlbdateupdated date NOT NULL,
    wlbdateupdatedmax date NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE wellbore_document (
    wlbname character varying(60) NOT NULL,
    wlbdocumenttype character varying(40) NOT NULL,
    wlbdocumentname character varying(200) NOT NULL,
    wlbdocumenturl character varying(200) NOT NULL,
    wlbdocumentformat character varying(40) NOT NULL,
    wlbdocumentsize numeric(13,6) NOT NULL,
    wlbnpdidwellbore integer NOT NULL,
    wlbdocumentdateupdated date,
    datesyncnpd date NOT NULL,
    wellbore_document_id integer NOT NULL
);


CREATE TABLE wellbore_dst (
    wlbname character varying(60) NOT NULL,
    wlbdsttestnumber numeric(13,6) NOT NULL,
    wlbdstfromdepth numeric(13,6) NOT NULL,
    wlbdsttodepth numeric(13,6) NOT NULL,
    wlbdstchokesize numeric(13,6) NOT NULL,
    wlbdstfinshutinpress numeric(13,6) NOT NULL,
    wlbdstfinflowpress numeric(13,6) NOT NULL,
    wlbdstbottomholepress numeric(13,6) NOT NULL,
    wlbdstoilprod integer NOT NULL,
    wlbdstgasprod integer NOT NULL,
    wlbdstoildensity numeric(13,6) NOT NULL,
    wlbdstgasdensity numeric(13,6) NOT NULL,
    wlbdstgasoilrelation integer NOT NULL,
    wlbnpdidwellbore integer NOT NULL,
    wlbdstdateupdated date,
    datesyncnpd date NOT NULL
);


CREATE TABLE wellbore_exploration_all (
    wlbwellborename character varying(40) NOT NULL,
    wlbwell character varying(40) NOT NULL,
    wlbdrillingoperator character varying(60) NOT NULL,
    wlbdrillingoperatorgroup character varying(20) NOT NULL,
    wlbproductionlicence character varying(40) NOT NULL,
    wlbpurpose character varying(40) NOT NULL,
    wlbstatus character varying(40) DEFAULT NULL::character varying,
    wlbcontent character varying(40) DEFAULT NULL::character varying,
    wlbwelltype character varying(20) NOT NULL,
    wlbentrydate date,
    wlbcompletiondate date,
    wlbfield character varying(40) DEFAULT NULL::character varying,
    wlbdrillpermit character varying(10) NOT NULL,
    wlbdiscovery character varying(40) DEFAULT NULL::character varying,
    wlbdiscoverywellbore character varying(3) NOT NULL,
    wlbbottomholetemperature integer,
    wlbseismiclocation character varying(200) DEFAULT NULL::character varying,
    wlbmaxinclation numeric(6,2) DEFAULT NULL::numeric,
    wlbkellybushelevation numeric(13,6) NOT NULL,
    wlbfinalverticaldepth numeric(6,2) DEFAULT NULL::numeric,
    wlbtotaldepth numeric(13,6) NOT NULL,
    wlbwaterdepth numeric(13,6) NOT NULL,
    wlbageattd character varying(40) DEFAULT NULL::character varying,
    wlbformationattd character varying(40) DEFAULT NULL::character varying,
    wlbmainarea character varying(40) NOT NULL,
    wlbdrillingfacility character varying(50) NOT NULL,
    wlbfacilitytypedrilling character varying(40) NOT NULL,
    wlblicensingactivity character varying(40) NOT NULL,
    wlbmultilateral character varying(3) NOT NULL,
    wlbpurposeplanned character varying(40) NOT NULL,
    wlbentryyear integer NOT NULL,
    wlbcompletionyear integer NOT NULL,
    wlbreclassfromwellbore character varying(40) DEFAULT NULL::character varying,
    wlbreentryexplorationactivity character varying(40) DEFAULT NULL::character varying,
    wlbplotsymbol integer NOT NULL,
    wlbformationwithhc1 character varying(20) DEFAULT NULL::character varying,
    wlbagewithhc1 character varying(20) DEFAULT NULL::character varying,
    wlbformationwithhc2 character varying(20) DEFAULT NULL::character varying,
    wlbagewithhc2 character varying(20) DEFAULT NULL::character varying,
    wlbformationwithhc3 character varying(20) DEFAULT NULL::character varying,
    wlbagewithhc3 character(20) DEFAULT NULL::bpchar,
    wlbdrillingdays integer NOT NULL,
    wlbreentry character varying(3) NOT NULL,
    wlbgeodeticdatum character varying(6) DEFAULT NULL::character varying,
    wlbnsdeg integer NOT NULL,
    wlbnsmin integer NOT NULL,
    wlbnssec numeric(6,2) NOT NULL,
    wlbnscode character varying(1) NOT NULL,
    wlbewdeg integer NOT NULL,
    wlbewmin integer NOT NULL,
    wlbewsec numeric(6,2) NOT NULL,
    wlbewcode character varying(1) NOT NULL,
    wlbnsdecdeg numeric(13,6) NOT NULL,
    wlbewdesdeg numeric(13,6) NOT NULL,
    wlbnsutm numeric(13,6) NOT NULL,
    wlbewutm numeric(13,6) NOT NULL,
    wlbutmzone integer NOT NULL,
    wlbnamepart1 integer NOT NULL,
    wlbnamepart2 integer NOT NULL,
    wlbnamepart3 character varying(1) DEFAULT NULL::character varying,
    wlbnamepart4 integer NOT NULL,
    wlbnamepart5 character varying(2) DEFAULT NULL::character varying,
    wlbnamepart6 character varying(2) DEFAULT NULL::character varying,
    wlbpressreleaseurl character varying(200) DEFAULT NULL::character varying,
    wlbfactpageurl character varying(200) NOT NULL,
    wlbfactmapurl character varying(200) NOT NULL,
    wlbdiskoswellboretype character varying(20) NOT NULL,
    wlbdiskoswellboreparent character varying(40) DEFAULT NULL::character varying,
    wlbwdssqcdate date,
    wlbnpdidwellbore integer NOT NULL,
    dscnpdiddiscovery integer,
    fldnpdidfield integer,
    fclnpdidfacilitydrilling integer NOT NULL,
    wlbnpdidwellborereclass integer NOT NULL,
    prlnpdidproductionlicence integer NOT NULL,
    wlbdiskoswelloperator character varying(40) NOT NULL,
    wlbdateupdated date NOT NULL,
    wlbdateupdatedmax date NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE wellbore_formation_top (
    wlbname character varying(60) NOT NULL,
    lsutopdepth numeric(13,6) NOT NULL,
    lsubottomdepth numeric(13,6) NOT NULL,
    lsuname character varying(20) NOT NULL,
    lsulevel character varying(9) NOT NULL,
    lsunameparent character varying(20) DEFAULT NULL::character varying,
    wlbnpdidwellbore integer NOT NULL,
    lsunpdidlithostrat integer NOT NULL,
    lsunpdidlithostratparent integer,
    lsuwellboreupdateddate date,
    datesyncnpd date NOT NULL
);


CREATE TABLE wellbore_mud (
    wlbname character varying(60) NOT NULL,
    wlbmd numeric(13,6) NOT NULL,
    wlbmudweightatmd numeric(13,6) NOT NULL,
    wlbmudviscosityatmd numeric(13,6) NOT NULL,
    wlbyieldpointatmd numeric(13,6) NOT NULL,
    wlbmudtype character varying(40) DEFAULT NULL::character varying,
    wlbmuddatemeasured date,
    wlbnpdidwellbore integer NOT NULL,
    wlbmuddateupdated date,
    datesyncnpd date NOT NULL,
    wellbore_mud_id integer NOT NULL
);


CREATE TABLE wellbore_npdid_overview (
    wlbwellborename character varying(40) NOT NULL,
    wlbnpdidwellbore integer NOT NULL,
    wlbwell character varying(40) NOT NULL,
    wlbwelltype character varying(20) DEFAULT NULL::character varying,
    datesyncnpd date NOT NULL
);


CREATE TABLE wellbore_oil_sample (
    wlbname character varying(60) NOT NULL,
    wlboilsampletesttype character varying(4) DEFAULT NULL::character varying,
    wlboilsampletestnumber character varying(10) DEFAULT NULL::character varying,
    wlboilsampletopdepth numeric(13,6) NOT NULL,
    wlboilsamplebottomdepth numeric(13,6) NOT NULL,
    wlboilsamplefluidtype character varying(20) DEFAULT NULL::character varying,
    wlboilsampletestdate date,
    wlboilsampledatereceiveddate date,
    wlbnpdidwellbore integer NOT NULL,
    wlboilsampledateupdated date,
    datesyncnpd date NOT NULL,
    wellbore_oil_sample_id integer NOT NULL
);


CREATE TABLE wellbore_shallow_all (
    wlbwellborename character varying(40) NOT NULL,
    wlbnpdidwellbore integer NOT NULL,
    wlbwell character varying(40) NOT NULL,
    wlbdrillingoperator character varying(60) NOT NULL,
    wlbproductionlicence character varying(40) DEFAULT NULL::character varying,
    wlbdrillingfacility character varying(50) DEFAULT NULL::character varying,
    wlbentrydate date,
    wlbcompletiondate date,
    wlbdrillpermit character varying(10) NOT NULL,
    wlbtotaldepth numeric(13,6) NOT NULL,
    wlbwaterdepth numeric(13,6) NOT NULL,
    wlbmainarea character varying(40) NOT NULL,
    wlbentryyear integer NOT NULL,
    wlbcompletionyear integer NOT NULL,
    wlbseismiclocation character varying(200) DEFAULT NULL::character varying,
    wlbgeodeticdatum character varying(6) DEFAULT NULL::character varying,
    wlbnsdeg integer NOT NULL,
    wlbnsmin integer NOT NULL,
    wlbnssec numeric(6,2) NOT NULL,
    wlbnscode character varying(1) DEFAULT NULL::character varying,
    wlbewdeg integer NOT NULL,
    wlbewmin integer NOT NULL,
    wlbewsec numeric(6,2) NOT NULL,
    wlbewcode character varying(1) DEFAULT NULL::character varying,
    wlbnsdecdeg numeric(13,6) NOT NULL,
    wlbewdesdeg numeric(13,6) NOT NULL,
    wlbnsutm numeric(13,6) NOT NULL,
    wlbewutm numeric(13,6) NOT NULL,
    wlbutmzone integer NOT NULL,
    wlbnamepart1 integer NOT NULL,
    wlbnamepart2 integer NOT NULL,
    wlbnamepart3 character varying(1) NOT NULL,
    wlbnamepart4 integer NOT NULL,
    wlbnamepart5 character varying(2) DEFAULT NULL::character varying,
    wlbnamepart6 character varying(2) DEFAULT NULL::character varying,
    wlbdateupdated date NOT NULL,
    wlbdateupdatedmax date NOT NULL,
    datesyncnpd date NOT NULL
);


CREATE TABLE wlbpoint (
    wlbnpdidwellbore integer NOT NULL,
    wlbwellname character varying(40) NOT NULL,
    wlbwellborename character varying(40) NOT NULL,
    wlbfield character varying(40) DEFAULT NULL::character varying,
    wlbproductionlicence character varying(40) DEFAULT NULL::character varying,
    wlbwelltype character varying(20) DEFAULT NULL::character varying,
    wlbdrillingoperator character varying(60) NOT NULL,
    wlbmultilateral character varying(3) NOT NULL,
    wlbdrillingfacility character varying(50) DEFAULT NULL::character varying,
    wlbproductionfacility character varying(50) DEFAULT NULL::character varying,
    wlbentrydate date,
    wlbcompletiondate date,
    wlbcontent character varying(40) DEFAULT NULL::character varying,
    wlbstatus character varying(40) DEFAULT NULL::character varying,
    wlbsymbol integer NOT NULL,
    wlbpurpose character varying(40) DEFAULT NULL::character varying,
    wlbwaterdepth numeric(13,6) NOT NULL,
    wlbfactpageurl character varying(200) DEFAULT NULL::character varying,
    wlbfactmapurl character varying(200) DEFAULT NULL::character varying,
    wlbdiscoverywellbore character varying(3) NOT NULL
);


COPY apaareagross (apamap_no, apaareageometry_kml_wgs84, apaareagross_id) FROM stdin;
999	<MultiGeometry><Polygon><outerBoundaryIs><LinearRing><coordinates>18.665070369140565,70.600082911304639 18.665059491055402,70.750089707504685 18.665040986788618,71.00010105370248 18.998392209660604,71.000103690632272 19.3317434783363,71.00010629603689 19.331724941804207,71.250117667935683 19.665076482427242,71.250120242726865 19.665057688025097,71.500131638590787 19.665038389075082,71.750143056884667 19.998390448889257,71.750145601775316 19.998370871503607,72.000157042871081 20.331723224990316,72.00015955667034 20.665075624359673,72.000162038384204 20.998428068966106,72.000164487928657 21.331780558163015,72.000166905220809 21.665133091301819,72.000169290178789 21.665114254794517,72.250180756323502 21.998467089478751,72.25018310945282 22.331819967432672,72.250185430035785 22.66517288799383,72.250187717993839 22.998525850501039,72.250189973249519 22.998543650254419,72.000178505070863 23.331896393324037,72.000180727168996 23.665249176414342,72.00018291646505 23.998601998867994,72.000185072884918 24.331954860023277,72.000187196355625 24.66530775922028,72.000189286805266 24.998660695796374,72.000191344163085 25.332013669087853,72.000193368359419 25.33202920774611,71.750181919860225 25.665381959828864,71.750183910810833 25.998734746780222,71.750185868516709 25.998741622524879,71.633513866648244 25.998749377958106,71.500174441819993 25.715399719915162,71.500172779855831 25.432050086629392,71.500171093903589 25.332044339690405,71.500170493142065 25.332045334429637,71.483503065481756 25.132033859864212,71.483501855019426 25.115366237556497,71.483501753609815 25.115367241206659,71.466834326051469 24.932023410673747,71.466833205093522 24.898688169916436,71.466833000209022 24.898689182428619,71.450165572754386 24.682010136850625,71.450164232963417 24.665342518590737,71.450164129325188 24.665343540728813,71.433496701976338 24.398661673925712,71.433495032568459 24.148647445113024,71.433493448366022 24.148648490579593,71.416826021136927 24.115313263260983,71.416825808514233 23.848631458160771,71.41682409571257 23.748625787451523,71.416823447999164 23.748626850442385,71.400156020891473 23.598618358019145,71.400155043801249 23.59861942638824,71.383487616803237 23.565284208501687,71.383487398773823 23.481946165457042,71.383486852268817 23.481947237574765,71.36681942537885 23.398609200927186,71.366818876835652 23.398610275176633,71.350151450051968 23.315272244924003,71.350150899472155 23.315273321293244,71.333483472795251 23.281938111459837,71.333483251994195 23.231935297433974,71.333482920180472 23.231936375911118,71.316815493610761 23.148598358442921,71.316814938962622 23.148599439016127,71.300147512500416 23.098596632077399,71.300147178737021 23.065261427936669,71.300146955820566 23.065262510594877,71.283479529466334 22.998592106646612,71.283479082661287 22.998594272654344,71.250144230268077 22.815250687195849,71.250142994869748 22.815251776035733,71.233475568841726 22.731913790494772,71.233475004051584 22.731914881372155,71.216807578133043 22.698579689411574,71.216807351651198 22.665244497845801,71.216807124844436 22.665245589967672,71.200139699034267 22.581907616689364,71.200139130604498 22.581908710827495,71.183471704904562 22.498570743923651,71.183471134454351 22.498571840066539,71.166803708865061 22.431901471442174,71.166803251051974 22.41523387953508,71.166803136396055 22.415234977671258,71.150135710917908 22.33189702351007,71.1501351364318 22.331898123628136,71.13346771106508 22.265227765193753,71.133467250025717 22.265228866510199,71.116799824769046 22.198558512767345,71.116799362442165 22.181890924582525,71.116799246658204 22.181892027860012,71.100131821513997 22.115221679207121,71.100131357577112 22.115222783665867,71.083463932543381 22.03188485395815,71.083463350813474 22.031885960357247,71.066795925892791 21.965215621475082,71.066795459062917 21.965216729038445,71.050128034253561 21.948549145335832,71.050127917346273 21.881878811537867,71.050127448910217 21.881879921021039,71.033460024214605 21.815209591899315,71.033459554496261 21.815210702529907,71.016792129912787 21.731872797222994,71.016791540961705 21.731873909752668,71.000124116492699 21.665203590381157,71.000123643890433 21.665204704041876,70.983456219534219 21.581866810915724,70.983455626981126 21.581867926455629,70.96678820274029 21.49853003967171,70.966787608187332 21.49853115707981,70.950120184061817 21.415193276635843,70.950119587510684 21.365190549606734,70.950119228616074 21.365191671128315,70.933451804613995 21.231851076283082,70.933450844048494 21.231852201895418,70.916783420170034 21.165181909962001,70.916782937971817 21.098511619694371,70.91678245449117 21.098512749374823,70.900115030737382 20.965172179834227,70.900114059951562 20.965173313560193,70.8834466363231 20.881835464731459,70.883446026993909 20.831832756696084,70.883445660436792 20.831833894445047,70.866778236934508 20.698493350273878,70.86677725595419 20.698494492023393,70.850109832578894 20.581821526622058,70.85010897004878 20.565153960561044,70.850108846511105 20.565155106288703,70.83344142326348 20.431814587551152,70.833440432114742 20.431815737234647,70.816773008995625 20.331810357093698,70.816772262305818 20.298475231237841,70.816772012772489 20.298476384854901,70.800104589782904 20.165135891614558,70.800103588492007 20.165137049142988,70.783436165632281 20.065131688142479,70.783435411344641 20.031796568674576,70.783435159280188 20.031797730092588,70.766767736551415 19.898457262412464,70.766766725144819 19.8984584276973,70.750099302547639 19.781785529297689,70.750098413427253 19.665112636260393,70.750097520426607 19.665113809748931,70.733430097981582 19.631778699893268,70.733429842132992 19.631779872846501,70.716762419801583 19.515106996890296,70.716761521864484 19.515108172922286,70.700094099663673 19.381767755663876,70.700093068737658 19.381768935477488,70.683425646671267 19.315098732389941,70.683425129328668 19.265096081240788,70.683424740493464 19.265097264095736,70.66675731855959 19.131756871682303,70.666756278227297 19.131758058277505,70.650088856429363 19.015085225800089,70.650087942031291 19.015086415399441,70.633420520367153 18.881746047876437,70.633419470652896 18.881747241174917,70.616752049126362 18.865079696453606,70.616751917562326 18.781741974540015,70.616751258564733 18.765074430496128,70.616751126529792 18.765075626761803,70.600083705138061 18.715072997441386,70.60008330857417 18.665070369140565,70.600082911304639</coordinates></LinearRing></outerBoundaryIs></Polygon></MultiGeometry>	1
999	<MultiGeometry><Polygon><outerBoundaryIs><LinearRing><coordinates>6.998161522944367,66.499791001466903 6.998144254976092,66.749801779432133 6.664798091361738,66.749798132469166 6.331450982348647,66.749794458936464 6.331433083425588,66.999805262555299 6.331414793314422,67.249816098846935 6.664762162765371,67.249819779829423 6.998108588033124,67.249823434116891 7.331455068703286,67.249827061596747 7.665529643264361,67.249830669980327 7.665547402559634,66.999819819233238 7.998166819907005,66.999823381458853 8.331513662644412,66.999826924393318 8.664860558356022,66.99983044009727 8.99820750658299,66.999833928451721 9.331554506864016,66.999837389338609 9.664901558736505,66.999840822640749 9.998248661736254,66.999844228241926 10.331595815397412,66.999847606026862 10.664943019252064,66.999850955881186 10.998290272830255,66.999854277691554 11.331637575661134,66.999857571345473 11.664984927272084,66.999860836731486 11.440916816765302,66.749695277903498 11.331661250588288,66.62579690079049 11.221814535662469,66.499834817318032 11.007232209122508,66.249821913407828 10.998338040871788,66.239343596354544 10.797113820499453,65.999809079713643 10.665015358386109,65.838817528455024 10.591306583599652,65.749796315934447 10.389671602058606,65.499783621854135 10.331692999123888,65.426949381277097 10.192067201972902,65.24977099717961 9.998371154963472,64.999758441765621 9.665025048864409,64.999755061938174 9.515019316410166,64.999753532144481 9.51500877804966,65.183094633204831 9.148328046842154,65.183090867836 9.148329991197908,65.149756121255763 9.131662687369941,65.149755949347153 9.131664627339816,65.116421203427862 9.114997324397361,65.116421031474857 9.114999260023737,65.083086286213984 9.098331957927465,65.083086114219711 9.098333889163781,65.04975136962571 9.081666587944616,65.049751197584229 9.081668514539869,65.016416453687611 9.065001214562052,65.01641628156861 9.065002176514161,64.999748909855953 8.99833297793681,64.99974822088636 8.664987013968,64.999744759893574 8.331641098233549,64.999741272078793 8.331626284972204,65.249751856716387 7.998280303828073,65.249748338532896 7.99829522866258,64.999737757581357 7.998309861876232,64.749727212880103 7.99832421082745,64.499716704896315 7.998338283794339,64.249706234084044 7.998352088737201,63.999695800893733 7.665006698013719,63.999692275108657 7.331661354434045,63.999688723140927 6.998316058360894,63.999685145110369 6.99832990471143,63.74967476196678 6.998343492342623,63.499664417440769 6.998348856595998,63.399660290542073 6.93167985047403,63.399659573801479 6.931680741877811,63.382992219983997 6.765008238037745,63.382990423768739 6.765009131527172,63.366323070265963 6.665005637020702,63.366321989536864 6.631671139534029,63.366321628782835 6.631672034459591,63.34965427556773 6.498334052615408,63.349652830097547 6.498334949106744,63.332985477170183 6.381664223328734,63.33298420912773 6.381665120781941,63.316316856476945 6.331663384057145,63.316316312114679 6.264994403209997,63.316315585407068 6.264995301756744,63.299648233032656 6.148324592259669,63.299646958942716 6.148325491892376,63.282979606845473 6.031654790476855,63.282978329742249 6.03165569118795,63.266310977922942 5.998321206777846,63.266310612494223 5.998322106998979,63.249643260880234 5.831649695302834,63.249641430081155 5.831650597525887,63.232974078790697 5.714979918704384,63.232972793570674 5.714980821985128,63.216305442560568 5.664979105253819,63.216304890849237 5.664990759014933,62.999629344406763 5.331646088282163,62.999625655777599 4.998301466033029,62.999621942105129 4.998287819126682,63.249632181512951 4.664943154645217,63.249628438244329 4.664929158562107,63.499638712744172 4.664914897035992,63.749649026579171 4.99825974935809,63.74965277908197 4.99824531158144,63.999663136367481 4.998230594786203,64.249673532064278 4.9982155907722,64.499683965725552 4.998200291010022,64.749694436901748 5.331545595407733,64.749698181972207 5.664890951691341,64.749701901509042 5.998236359445757,64.749705595386573 5.998221074168161,64.999716116390317 5.998205481943558,65.249726673878385 5.998189573423344,65.499737267390827 5.998173338738833,65.749747896463489 5.998156767745746,65.999758560630681 6.33150278755662,65.999762248933592 6.664848860709199,65.999765910994412 6.998194986772433,65.999769546689151 6.998178429782097,66.249780257060422 6.998161522944367,66.499791001466903</coordinates></LinearRing></outerBoundaryIs></Polygon></MultiGeometry>	2
999	<MultiGeometry><Polygon><outerBoundaryIs><LinearRing><coordinates>4.331612180906903,61.999559093771097 4.331446818260797,61.499679354188586 4.331644674597042,61.499539044131978 4.331660482354825,61.249529090086767 4.331676007440409,60.999519183769721 4.431679118360682,60.99952063378359 4.431694343870172,60.749510772529959 4.431709301328479,60.499500959784676 4.331706238217381,60.499499515932754 4.33172095761778,60.249489755210213 3.998377532461695,60.249484936344395 3.66503417063123,60.249480092345763 3.665048786040898,59.999470402036032 3.665063149859905,59.749460761599643 3.665077268242845,59.4994511714211 3.665091147143809,59.24944163188097 3.665104792324465,58.999432143355641 3.998447790182674,58.999436933655815 3.998461138143454,58.749427485535215 3.998474264531399,58.499418089090582 4.331817185458596,58.499422832664486 4.331830028276388,58.249413477182522 4.665172941295895,58.249418184905572 4.66518550740294,57.999408870655436 4.99852841246202,57.999413542423817 4.998540708506467,57.74940426967224 5.331883605551432,57.749408905385799 5.665226560074247,57.749413515987875 5.665238526955081,57.49940427396006 5.998581472679374,57.499408848324578 6.331924474825542,57.499413397336497 6.665267533066392,57.499417920842149 6.998610647072602,57.499422418688283 6.998622160283701,57.249413185966503 6.998624669594032,57.194386160963766 6.935290398705466,57.174409576553074 6.915290084022056,57.168522980546477 6.906981620139272,57.166075556806469 6.831955445043162,57.143940402225255 6.748620815114151,57.119266153323629 6.665286193848553,57.094508567494479 6.625768919652622,57.08273538111662 6.581951581617584,57.069659311111174 6.498616978286773,57.044721162067034 6.415282383848418,57.019694120375163 6.347906370718671,56.999395244723679 6.331947579299201,56.999395028629309 6.331947798294003,56.994578186049168 6.248613221489142,56.96937613698087 6.165278653930541,56.94407686166771 6.081944095104267,56.918691471639818 6.073302301804947,56.916055147082702 5.998609545128215,56.893217189031155 5.91527500411952,56.867651235976929 5.831940472195014,56.84199083461197 5.801873375045848,56.832715087727145 5.748605948841592,56.816247096464927 5.66527143455399,56.790408910035019 5.53353347480937,56.749375066120827 5.331933466738113,56.686136682676029 5.03192941773867,56.591029127557796 4.998595571145595,56.581945007874737 4.697777112602289,56.499354552173841 4.66525718077027,56.490362112822588 4.331918927183255,56.397437494530578 3.998580810844031,56.303151708661737 3.810442060670134,56.249333275254671 3.665242831677634,56.207496422405583 3.331904989576034,56.110463302966522 3.248570550563822,56.085986264426062 3.046280000275219,56.24932251466241 2.998554761605775,56.287606528063101 2.732465699879847,56.499326930109916 2.665200326268525,56.552386192582468 2.611863611423437,56.594328591714429 2.537595982186807,56.749333064773317 2.416464105223407,56.999340294991107 2.331828442720983,57.17197585384465 2.293631954419635,57.249347543408717 2.169057856087469,57.499354808839023 2.042702914191656,57.749362090120883 1.998452833202363,57.836075730170556 1.963448368946577,57.904366611916991 1.877452226437258,57.999368842719768 1.665089828230543,58.231585390977607 1.648693995180475,58.249374695436458 1.481740947573368,58.429378892239285 1.499898779008541,58.499381758967907 1.565353622158926,58.749392042209479 1.631763845554084,58.999402395510046 1.665041166306461,59.12330755261037 1.699157223585245,59.249412818913527 1.710033036137676,59.289414493162965 1.834813431488976,59.499424313223038 1.985500445235015,59.749436087356273 1.998346799648668,59.770570420170557 2.07500829587919,59.89610970393484 2.055551623712845,59.999446717104668 2.042780743957466,60.066901553990697 2.007971381117166,60.249455645310121 1.998315277805927,60.299735222950851 1.959657499609883,60.499464608834408 1.910584970735874,60.749473606849591 1.860739897194635,60.999482638687084 1.810097269953174,61.249491703505228 1.788242423645106,61.356162247680345 1.702163718514217,61.499499944615209 1.664891830906612,61.561140709555282 1.558210192865959,61.736173812683482 1.551943337394049,61.736173717275982 1.542869938714679,61.7495074425144 1.371178188860573,61.999514782872374 1.331514690467483,62.056660964390751 1.313287401364807,62.082850560991659 1.255057591010739,62.166186335910005 1.248170581748284,62.176011623656485 1.19649156690258,62.249522107533373 1.176122188332413,62.278392396459623 1.164826307473756,62.293806730034682 1.140089827508275,62.327502146251064 1.135992099415791,62.332857853756941 1.105988393085993,62.37202563150251 1.081482637858308,62.403218174064811 1.071620329482495,62.415732413997347 1.036393950957246,62.45864470764262 1.002078845575599,62.499529156675813 1.331483383709477,62.499534230705436 1.664827002037165,62.499539341233721 1.998170691042048,62.499544427269605 2.33151445037398,62.499549488640909 2.664858279680261,62.499554525176293 2.998202178605536,62.499559536705263 3.3315461467921,62.499564523058211 3.664890183880062,62.499569484066306 3.99823428950698,62.499574419561803 4.264909623112015,62.49957834947655 4.264911912773598,62.46624366164351 4.281579121965299,62.466243906650739 4.28158140530136,62.432909219565431 4.298248614061071,62.432909464443242 4.298249753289369,62.416242121173575 4.314916961918225,62.416242365954403 4.315251443592258,62.399575027749904 4.331585307921637,62.399575267539419 4.331586443708245,62.382907924611601 4.348253652075134,62.382908169198409 4.348254786145734,62.366240826442443 4.364921994382196,62.366241070932205 4.364923126740004,62.349573728347082 4.381590334845382,62.349573972739769 4.381591465493605,62.332906630326519 4.398258673469178,62.332906874622125 4.398259802411014,62.31623953238023 4.414927010256014,62.31623977657874 4.414928137494656,62.299572434508356 4.448262553093021,62.299572922646512 4.448263678333438,62.2829055807156 4.481598094007611,62.282906068530366 4.481599217253792,62.266238726738734 4.531600841129511,62.266239457878015 4.531601962087154,62.249572116193228 4.598270795075607,62.249573090009427 4.59827191345085,62.232905748399666 4.664940747925416,62.232906721049275 4.664956244040196,61.99956395822295 4.331612180906903,61.999559093771097</coordinates></LinearRing></outerBoundaryIs></Polygon></MultiGeometry>	3
\.



COPY apaareanet (blkid, blklabel, qdrname, blkname, prvname, apaareatype, urlnpd, apaareanet_id) FROM stdin;
120	15/12	15	12	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	1
1327	24/11	24	11	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	2
120	15/12	15	12	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	3
34	6/3	6	3	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	4
197	24/12	24	12	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	5
118	15/9	15	9	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	6
34	6/3	6	3	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	7
118	15/9	15	9	N2	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	8
196	24/9	24	9	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	9
120	15/12	15	12	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	10
130	16/10	16	10	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	11
316	6201/7	6201	7	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	12
127	16/7	16	7	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	13
127	16/7	16	7	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	14
41	7/7	7	7	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	15
127	16/7	16	7	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	16
196	24/9	24	9	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	17
127	16/7	16	7	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	18
195	24/6	24	6	N2	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	19
41	7/7	7	7	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	20
44	7/10	7	10	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	21
42	7/8	7	8	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	22
1	1/2	1	2	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	23
1	1/2	1	2	N1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	24
195	24/6	24	6	N2	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	25
1	1/2	1	2	N1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	26
195	24/6	24	6	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	27
35	7/1	7	1	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	28
195	24/6	24	6	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	29
317	6201/8	6201	8	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	30
36	7/2	7	2	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	31
45	7/11	7	11	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	32
1	1/2	1	2	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	33
201	25/4	25	4	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	34
131	16/11	16	11	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	35
194	24/3	24	3	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	36
198	25/1	25	1	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	37
1	1/2	1	2	N1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	38
204	25/7	25	7	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	39
279	33/6	33	6	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	40
280	33/9	33	9	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	41
240	29/9	29	9	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	42
2	1/3	1	3	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	43
239	29/6	29	6	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	44
45	7/11	7	11	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	45
239	29/6	29	6	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	46
42	7/8	7	8	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	47
238	29/3	29	3	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	48
247	30/7	30	7	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	49
238	29/3	29	3	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	50
281	33/12	33	12	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	51
277	33/3	33	3	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	52
204	25/7	25	7	N2	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	53
201	25/4	25	4	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	54
238	29/3	29	3	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	55
244	30/4	30	4	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	56
43	7/9	7	9	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	57
198	25/1	25	1	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	58
320	6201/12	6201	12	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	59
241	30/1	30	1	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	60
281	33/12	33	12	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	61
46	7/12	7	12	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	62
241	30/1	30	1	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	63
318	6201/9	6201	9	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	64
40	7/6	7	6	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	65
46	7/12	7	12	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	66
5	1/9	1	9	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	67
201	25/4	25	4	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	68
198	25/1	25	1	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	69
205	25/8	25	8	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	70
37	7/3	7	3	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	71
202	25/5	25	5	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	72
280	33/9	33	9	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	73
132	16/12	16	12	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	74
199	25/2	25	2	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	75
285	34/4	34	4	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	76
12	2/7	2	7	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	77
285	34/4	34	4	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	78
282	34/1	34	1	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	79
9	2/4	2	4	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	80
241	30/1	30	1	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	81
248	30/8	30	8	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	82
245	30/5	30	5	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	83
205	25/8	25	8	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	84
6	2/1	2	1	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	85
321	6202/7	6202	7	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	86
242	30/2	30	2	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	87
53	8/7	8	7	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	88
206	25/9	25	9	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	89
202	25/5	25	5	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	90
209	25/12	25	12	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	91
291	34/10	34	10	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	92
199	25/2	25	2	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	93
50	8/4	8	4	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	94
47	8/1	8	1	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	95
6	2/1	2	1	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	96
286	34/5	34	5	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	97
142	17/10	17	10	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	98
56	8/10	8	10	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	99
289	34/8	34	8	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	100
283	34/2	34	2	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	101
13	2/8	2	8	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	102
10	2/5	2	5	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	103
200	25/3	25	3	N2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	104
7	2/2	2	2	N1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	105
286	34/5	34	5	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	106
7	2/2	2	2	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	107
243	30/3	30	3	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	108
7	2/2	2	2	N1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	109
219	26/10	26	10	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	110
57	8/11	8	11	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	111
10	2/5	2	5	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	112
136	17/4	17	4	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	113
54	8/8	8	8	N4	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	114
246	30/6	30	6	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	115
283	34/2	34	2	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	116
16	2/11	2	11	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	117
216	26/7	26	7	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	118
57	8/11	8	11	N4	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	119
213	26/4	26	4	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	120
51	8/5	8	5	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	121
249	30/9	30	9	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	122
133	17/1	17	1	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	123
286	34/5	34	5	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	124
283	34/2	34	2	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	125
48	8/2	8	2	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	126
287	34/6	34	6	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	127
143	17/11	17	11	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	128
284	34/3	34	3	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	129
262	31/10	31	10	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	130
249	30/9	30	9	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	131
259	31/7	31	7	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	132
326	6202/12	6202	12	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	133
7	2/2	2	2	N1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	134
287	34/6	34	6	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	135
137	17/5	17	5	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	136
210	26/1	26	1	N4	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	137
262	31/10	31	10	N4	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	138
256	31/4	31	4	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	139
253	31/1	31	1	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	140
134	17/2	17	2	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	141
293	34/12	34	12	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	142
220	26/11	26	11	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	143
8	2/3	2	3	N1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	144
58	8/12	8	12	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	145
293	34/12	34	12	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	146
303	35/10	35	10	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	147
290	34/9	34	9	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	148
300	35/7	35	7	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	149
55	8/9	8	9	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	150
303	35/10	35	10	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	151
303	35/10	35	10	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	152
303	35/10	35	10	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	153
52	8/6	8	6	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	154
303	35/10	35	10	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	155
297	35/4	35	4	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	156
140	17/8	17	8	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	157
263	31/11	31	11	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	158
303	35/10	35	10	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	159
144	17/12	17	12	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	160
330	6203/10	6203	10	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	161
303	35/10	35	10	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	162
260	31/8	31	8	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	163
141	17/9	17	9	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	164
49	8/3	8	3	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	165
257	31/5	31	5	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	166
294	35/1	35	1	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	167
211	26/2	26	2	N4	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	168
138	17/6	17	6	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	169
135	17/3	17	3	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	170
21	3/4	3	4	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	171
144	17/12	17	12	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	172
18	3/1	3	1	N4	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	173
18	3/1	3	1	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	174
68	9/10	9	10	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	175
327	6203/7	6203	7	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	176
301	35/8	35	8	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	177
65	9/7	9	7	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	178
304	35/11	35	11	N3	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	179
298	35/5	35	5	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	180
24	3/7	3	7	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	181
62	9/4	9	4	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	182
301	35/8	35	8	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	183
331	6203/11	6203	11	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	184
59	9/1	9	1	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	185
154	18/10	18	10	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	186
261	31/9	31	9	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	187
301	35/8	35	8	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	188
151	18/7	18	7	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	189
1328	6203/8	6203	8	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	190
295	35/2	35	2	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	191
25	3/8	3	8	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	192
22	3/5	3	5	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	193
19	3/2	3	2	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	194
305	35/12	35	12	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	195
255	31/3	31	3	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	196
69	9/11	9	11	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	197
66	9/8	9	8	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	198
296	35/3	35	3	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	199
296	35/3	35	3	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	200
296	35/3	35	3	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	201
63	9/5	9	5	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	202
332	6203/12	6203	12	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	203
302	35/9	35	9	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	204
63	9/5	9	5	N4	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	205
60	9/2	9	2	N4	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	206
60	9/2	9	2	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	207
270	32/7	32	7	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	208
155	18/11	18	11	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	209
267	32/4	32	4	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	210
329	6203/9	6203	9	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	211
265	32/1	32	1	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	212
313	36/10	36	10	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	213
302	35/9	35	9	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	214
26	3/9	3	9	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	215
23	3/6	3	6	N1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	216
20	3/3	3	3	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	217
311	36/7	36	7	N3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	218
70	9/12	9	12	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	219
339	6204/10	6204	10	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	220
67	9/9	9	9	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	221
64	9/6	9	6	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	222
61	9/3	9	3	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	223
268	32/5	32	5	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	224
266	32/2	32	2	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	225
27	4/1	4	1	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	226
80	10/10	10	10	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	227
77	10/7	10	7	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	228
340	6204/11	6204	11	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	229
74	10/4	10	4	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	230
31	4/5	4	5	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	231
28	4/2	4	2	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	232
81	10/11	10	11	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	233
78	10/8	10	8	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	234
75	10/5	10	5	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	235
29	4/3	4	3	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	236
82	10/12	10	12	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	237
79	10/9	10	9	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	238
1651	6305/1	6305	1	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	239
1591	6405/10	6405	10	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	240
1588	6405/7	6405	7	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	241
1585	6405/4	6405	4	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	242
1325	6305/8	6305	8	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	243
32	5/1	5	1	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	244
92	11/10	11	10	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	245
1324	6305/5	6305	5	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	246
89	11/7	11	7	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	247
1323	6305/2	6305	2	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	248
1592	6405/11	6405	11	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	249
1589	6405/8	6405	8	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	250
1586	6405/5	6405	5	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	251
359	6305/12	6305	12	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	252
357	6305/9	6305	9	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	253
356	6305/6	6305	6	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	254
355	6305/3	6305	3	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	255
93	11/11	11	11	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	256
1590	6405/9	6405	9	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	257
90	11/8	11	8	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	258
1587	6405/6	6405	6	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	259
366	6306/7	6306	7	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	260
363	6306/4	6306	4	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	261
360	6306/1	6306	1	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	262
1321	6406/7	6406	7	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	263
1320	6406/4	6406	4	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	264
94	11/12	11	12	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	265
91	11/9	11	9	N4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	266
1317	6506/10	6506	10	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	267
391	6406/10	6406	10	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	268
1322	6506/7	6506	7	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	269
1535	6506/4	6506	4	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	270
1532	6506/1	6506	1	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	271
1326	6406/1	6406	1	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	272
364	6306/5	6306	5	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	273
361	6306/2	6306	2	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	274
392	6406/11	6406	11	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	275
1320	6406/4	6406	4	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	276
385	6406/2	6406	2	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	277
431	6506/8	6506	8	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	278
385	6406/2	6406	2	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	279
1466	6606/2	6606	2	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	280
385	6406/2	6406	2	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	281
365	6306/6	6306	6	M3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	282
386	6406/3	6406	3	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	283
434	6506/12	6506	12	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	284
434	6506/12	6506	12	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	285
432	6506/9	6506	9	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	286
386	6406/3	6406	3	M1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	287
1467	6606/3	6606	3	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	288
1378	6706/12	6706	12	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	289
386	6406/3	6406	3	M1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	290
403	6407/10	6407	10	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	291
400	6407/7	6407	7	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	292
394	6407/1	6407	1	M1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	293
443	6507/10	6507	10	M1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	294
443	6507/10	6507	10	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	295
394	6407/1	6407	1	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	296
440	6507/7	6507	7	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	297
440	6507/7	6507	7	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	298
1315	6607/10	6607	10	M5	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	299
437	6507/4	6507	4	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	300
1314	6607/7	6607	7	M5	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	301
1318	6507/1	6507	1	M1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	302
404	6407/11	6407	11	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	303
1318	6507/1	6507	1	M1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	304
401	6407/8	6407	8	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	305
398	6407/5	6407	5	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	306
395	6407/2	6407	2	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	307
444	6507/11	6507	11	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	308
444	6507/11	6507	11	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	309
441	6507/8	6507	8	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	310
435	6507/2	6507	2	M1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	311
435	6507/2	6507	2	M1	Stratigraphic	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	312
492	6607/11	6607	11	M5	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	313
490	6607/8	6607	8	M5	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	314
444	6507/11	6507	11	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	315
401	6407/8	6407	8	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	316
435	6507/2	6507	2	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	317
441	6507/8	6507	8	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	318
395	6407/2	6407	2	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	319
405	6407/12	6407	12	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	320
395	6407/2	6407	2	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	321
402	6407/9	6407	9	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	322
399	6407/6	6407	6	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	323
438	6507/5	6507	5	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	324
396	6407/3	6407	3	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	325
402	6407/9	6407	9	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	326
445	6507/12	6507	12	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	327
442	6507/9	6507	9	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	328
439	6507/6	6507	6	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	329
435	6507/2	6507	2	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	330
493	6607/12	6607	12	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	331
491	6607/9	6607	9	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	332
436	6507/3	6507	3	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	333
1390	6707/12	6707	12	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	334
452	6508/7	6508	7	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	335
449	6508/4	6508	4	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	336
446	6508/1	6508	1	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	337
500	6608/7	6608	7	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	338
497	6608/4	6608	4	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	339
503	6608/10	6608	10	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	340
503	6608/10	6608	10	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	341
456	6508/11	6508	11	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	342
453	6508/8	6508	8	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	343
450	6508/5	6508	5	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	344
447	6508/2	6508	2	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	345
504	6608/11	6608	11	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	346
504	6608/11	6608	11	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	347
501	6608/8	6608	8	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	348
498	6608/5	6608	5	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	349
504	6608/11	6608	11	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	350
457	6508/12	6508	12	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	351
454	6508/9	6508	9	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	352
451	6508/6	6508	6	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	353
448	6508/3	6508	3	M1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	354
505	6608/12	6608	12	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	355
502	6608/9	6608	9	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	356
496	6608/3	6608	3	M5	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	357
467	6509/10	6509	10	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	358
464	6509/7	6509	7	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	359
458	6509/1	6509	1	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	360
515	6609/10	6609	10	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	361
512	6609/7	6609	7	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	362
506	6609/1	6609	1	M6	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	363
507	6609/2	6609	2	M6	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	364
513	6609/8	6609	8	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	365
516	6609/11	6609	11	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	366
459	6509/2	6509	2	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	367
465	6509/8	6509	8	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	368
468	6509/11	6509	11	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	369
511	6609/6	6609	6	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	370
514	6609/9	6609	9	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	371
517	6609/12	6609	12	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	372
460	6509/3	6509	3	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	373
466	6509/9	6509	9	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	374
469	6509/12	6509	12	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	375
463	6509/6	6509	6	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	376
521	6610/4	6610	4	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	377
524	6610/7	6610	7	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	378
527	6610/10	6610	10	M2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	379
470	6510/1	6510	1	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	380
473	6510/4	6510	4	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	381
476	6510/7	6510	7	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	382
479	6510/10	6510	10	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	383
522	6610/5	6610	5	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	384
528	6610/11	6610	11	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	385
471	6510/2	6510	2	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	386
474	6510/5	6510	5	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	387
477	6510/8	6510	8	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	388
523	6610/6	6610	6	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	389
529	6610/12	6610	12	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	390
472	6510/3	6510	3	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	391
1684	6611/4	6611	4	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	392
1686	6611/7	6611	7	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	393
530	6611/10	6611	10	M4	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	394
1685	6611/5	6611	5	M	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	395
563	7018/3	7018	3	T3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	396
572	7019/1	7019	1	T3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	397
575	7019/4	7019	4	T3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	398
657	7119/11	7119	11	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	399
652	7119/6	7119	6	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	400
573	7019/2	7019	2	T3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	401
655	7119/9	7119	9	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	402
576	7019/5	7019	5	T3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	403
658	7119/12	7119	12	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	404
574	7019/3	7019	3	T3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	405
662	7120/4	7120	4	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	406
665	7120/7	7120	7	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	407
668	7120/10	7120	10	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	408
660	7120/2	7120	2	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	409
663	7120/5	7120	5	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	410
666	7120/8	7120	8	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	411
661	7120/3	7120	3	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	412
669	7120/11	7120	11	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	413
664	7120/6	7120	6	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	414
667	7120/9	7120	9	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	415
671	7121/1	7121	1	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	416
664	7120/6	7120	6	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	417
667	7120/9	7120	9	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	418
674	7121/4	7121	4	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	419
674	7121/4	7121	4	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	420
672	7121/2	7121	2	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	421
677	7121/7	7121	7	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	422
680	7121/10	7121	10	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	423
675	7121/5	7121	5	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	424
677	7121/7	7121	7	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	425
673	7121/3	7121	3	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	426
678	7121/8	7121	8	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	427
678	7121/8	7121	8	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	428
681	7121/11	7121	11	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	429
676	7121/6	7121	6	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	430
676	7121/6	7121	6	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	431
590	7021/2	7021	2	T3	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	432
679	7121/9	7121	9	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	433
683	7122/1	7122	1	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	434
679	7121/9	7121	9	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	435
686	7122/4	7122	4	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	436
682	7121/12	7121	12	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	437
689	7122/7	7122	7	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	438
687	7122/5	7122	5	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	439
684	7122/2	7122	2	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	440
685	7122/3	7122	3	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	441
690	7122/8	7122	8	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	442
688	7122/6	7122	6	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	443
692	7122/10	7122	10	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	444
693	7122/11	7122	11	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	445
695	7123/1	7123	1	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	446
694	7122/12	7122	12	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	447
698	7123/4	7123	4	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	448
696	7123/2	7123	2	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	449
701	7123/7	7123	7	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	450
699	7123/5	7123	5	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	451
697	7123/3	7123	3	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	452
702	7123/8	7123	8	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	453
700	7123/6	7123	6	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	454
703	7123/9	7123	9	T1	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	455
710	7124/4	7124	4	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	456
713	7124/7	7124	7	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	457
711	7124/5	7124	5	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	458
709	7124/3	7124	3	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	459
714	7124/8	7124	8	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	460
712	7124/6	7124	6	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	461
719	7125/1	7125	1	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	462
715	7124/9	7124	9	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	463
722	7125/4	7125	4	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	464
722	7125/4	7125	4	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	465
725	7125/7	7125	7	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	466
723	7125/5	7125	5	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	467
724	7125/6	7125	6	T2	\N	http://www.npd.no/no/Tema/Utvinningstillatelser/Temaartikler/Konsesjonstildelinger/	468
\.



COPY baaarea (baanpdidbsnsarrarea, baanpdidbsnsarrareapoly, baaname, baakind, baaareapolydatevalidfrom, baaareapolydatevalidto, baaareapolyactive, baadateapproved, baadatevalidfrom, baadatevalidto, baaactive, baafactpageurl, baafactmapurl) FROM stdin;
40432	46980	BRAGE UNIT	UNITIZED	1993-12-27	9999-12-31	ACTIVE	1993-12-27	1993-12-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40432	http://www.npd.no/FactMapSearch?NPDID_business_area=40432
40432	102981	BRAGE UNIT	UNITIZED	1993-12-27	9999-12-31	ACTIVE	1993-12-27	1993-12-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40432	http://www.npd.no/FactMapSearch?NPDID_business_area=40432
40432	102990	BRAGE UNIT	UNITIZED	1993-12-27	9999-12-31	ACTIVE	1993-12-27	1993-12-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40432	http://www.npd.no/FactMapSearch?NPDID_business_area=40432
40490	46886	HEIDRUN UNIT	UNITIZED	1991-11-27	2000-01-01	INACTIVE	1991-12-13	1991-11-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40490	http://www.npd.no/FactMapSearch?NPDID_business_area=40490
40490	47103	HEIDRUN UNIT	UNITIZED	1991-11-27	2000-01-01	INACTIVE	1991-12-13	1991-11-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40490	http://www.npd.no/FactMapSearch?NPDID_business_area=40490
40490	2129665	HEIDRUN UNIT	UNITIZED	2000-01-01	2003-01-01	INACTIVE	1991-12-13	1991-11-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40490	http://www.npd.no/FactMapSearch?NPDID_business_area=40490
40490	2129686	HEIDRUN UNIT	UNITIZED	2000-01-01	2003-01-01	INACTIVE	1991-12-13	1991-11-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40490	http://www.npd.no/FactMapSearch?NPDID_business_area=40490
40490	2473045	HEIDRUN UNIT	UNITIZED	2003-01-01	2005-01-01	INACTIVE	1991-12-13	1991-11-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40490	http://www.npd.no/FactMapSearch?NPDID_business_area=40490
40490	2473058	HEIDRUN UNIT	UNITIZED	2003-01-01	2005-01-01	INACTIVE	1991-12-13	1991-11-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40490	http://www.npd.no/FactMapSearch?NPDID_business_area=40490
40490	3372209	HEIDRUN UNIT	UNITIZED	2005-01-01	9999-12-31	ACTIVE	1991-12-13	1991-11-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40490	http://www.npd.no/FactMapSearch?NPDID_business_area=40490
40490	3372228	HEIDRUN UNIT	UNITIZED	2005-01-01	9999-12-31	ACTIVE	1991-12-13	1991-11-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40490	http://www.npd.no/FactMapSearch?NPDID_business_area=40490
40564	47792	ÅSGARD UNIT	UNITIZED	1995-01-01	1998-01-30	INACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	47808	ÅSGARD UNIT	UNITIZED	1995-01-01	1998-01-30	INACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	47829	ÅSGARD UNIT	UNITIZED	1995-01-01	1998-01-30	INACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	47862	ÅSGARD UNIT	UNITIZED	1995-01-01	1998-01-30	INACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	1333145	ÅSGARD UNIT	UNITIZED	1998-01-30	2002-06-14	INACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	1333186	ÅSGARD UNIT	UNITIZED	1998-01-30	2002-06-14	INACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	1333195	ÅSGARD UNIT	UNITIZED	1998-01-30	2002-06-14	INACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	1333210	ÅSGARD UNIT	UNITIZED	1998-01-30	2002-06-14	INACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	1333225	ÅSGARD UNIT	UNITIZED	1998-01-30	2002-06-14	INACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	1333256	ÅSGARD UNIT	UNITIZED	1998-01-30	2002-06-14	INACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	2133877	ÅSGARD UNIT	UNITIZED	2002-06-14	9999-12-31	ACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	2133894	ÅSGARD UNIT	UNITIZED	2002-06-14	9999-12-31	ACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	2133903	ÅSGARD UNIT	UNITIZED	2002-06-14	9999-12-31	ACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	2133918	ÅSGARD UNIT	UNITIZED	2002-06-14	9999-12-31	ACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	2133933	ÅSGARD UNIT	UNITIZED	2002-06-14	9999-12-31	ACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	2133964	ÅSGARD UNIT	UNITIZED	2002-06-14	9999-12-31	ACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40564	2133983	ÅSGARD UNIT	UNITIZED	2002-06-14	9999-12-31	ACTIVE	1995-04-10	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564
40585	103016	NJORD UNIT	UNITIZED	1995-02-23	9999-12-31	ACTIVE	1995-03-27	1995-02-23	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40585	http://www.npd.no/FactMapSearch?NPDID_business_area=40585
40585	103033	NJORD UNIT	UNITIZED	1995-02-23	9999-12-31	ACTIVE	1995-03-27	1995-02-23	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40585	http://www.npd.no/FactMapSearch?NPDID_business_area=40585
40638	102061	OSEBERG SØR UNIT	UNITIZED	1996-12-20	2004-06-16	INACTIVE	1997-06-30	1996-12-20	2004-06-16	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40638	\N
40638	102881	OSEBERG SØR UNIT	UNITIZED	1996-12-20	2004-06-16	INACTIVE	1997-06-30	1996-12-20	2004-06-16	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40638	\N
40638	102931	OSEBERG SØR UNIT	UNITIZED	1996-12-20	2004-06-16	INACTIVE	1997-06-30	1996-12-20	2004-06-16	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40638	\N
40638	1343449	OSEBERG SØR UNIT	UNITIZED	1996-12-20	2004-06-16	INACTIVE	1997-06-30	1996-12-20	2004-06-16	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40638	\N
40655	915945	JOTUN UNIT	UNITIZED	1998-01-01	9999-12-31	ACTIVE	1997-12-23	1998-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40655	http://www.npd.no/FactMapSearch?NPDID_business_area=40655
40655	915950	JOTUN UNIT	UNITIZED	1998-01-01	9999-12-31	ACTIVE	1997-12-23	1998-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40655	http://www.npd.no/FactMapSearch?NPDID_business_area=40655
40672	46904	NORNE INSIDE	SLIDING SCALE	1995-03-09	1998-01-30	INACTIVE	1995-03-09	1995-03-09	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40672	http://www.npd.no/FactMapSearch?NPDID_business_area=40672
40672	2390862	NORNE INSIDE	SLIDING SCALE	1998-01-30	2008-01-01	INACTIVE	1995-03-09	1995-03-09	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40672	http://www.npd.no/FactMapSearch?NPDID_business_area=40672
40672	2390879	NORNE INSIDE	SLIDING SCALE	1998-01-30	2008-01-01	INACTIVE	1995-03-09	1995-03-09	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40672	http://www.npd.no/FactMapSearch?NPDID_business_area=40672
40672	4923666	NORNE INSIDE	SLIDING SCALE	2008-01-01	9999-12-31	ACTIVE	1995-03-09	1995-03-09	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40672	http://www.npd.no/FactMapSearch?NPDID_business_area=40672
40672	4923686	NORNE INSIDE	SLIDING SCALE	2008-01-01	9999-12-31	ACTIVE	1995-03-09	1995-03-09	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40672	http://www.npd.no/FactMapSearch?NPDID_business_area=40672
40726	47752	VISUND INSIDE	SLIDING SCALE	1995-01-01	9999-12-31	ACTIVE	1994-12-19	1995-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40726	http://www.npd.no/FactMapSearch?NPDID_business_area=40726
40848	854296	SLEIPNER VEST UNIT	UNITIZED	1994-07-01	9999-12-31	ACTIVE	1994-01-20	1994-07-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40848	http://www.npd.no/FactMapSearch?NPDID_business_area=40848
40848	854309	SLEIPNER VEST UNIT	UNITIZED	1994-07-01	9999-12-31	ACTIVE	1994-01-20	1994-07-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40848	http://www.npd.no/FactMapSearch?NPDID_business_area=40848
40848	854318	SLEIPNER VEST UNIT	UNITIZED	1994-07-01	9999-12-31	ACTIVE	1994-01-20	1994-07-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40848	http://www.npd.no/FactMapSearch?NPDID_business_area=40848
40885	47672	GRANE SLIDING SCALE	SLIDING SCALE	1995-01-01	2000-04-13	INACTIVE	1995-01-13	1995-01-01	2000-04-13	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40885	\N
40906	47629	SNORRE UNIT	UNITIZED	1988-05-11	1996-03-06	INACTIVE	1988-05-30	1988-05-11	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40906	http://www.npd.no/FactMapSearch?NPDID_business_area=40906
40906	47646	SNORRE UNIT	UNITIZED	1988-05-11	1996-03-06	INACTIVE	1988-05-30	1988-05-11	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40906	http://www.npd.no/FactMapSearch?NPDID_business_area=40906
40906	2133832	SNORRE UNIT	UNITIZED	1996-03-06	9999-12-31	ACTIVE	1988-05-30	1988-05-11	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40906	http://www.npd.no/FactMapSearch?NPDID_business_area=40906
40906	2133853	SNORRE UNIT	UNITIZED	1996-03-06	9999-12-31	ACTIVE	1988-05-30	1988-05-11	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40906	http://www.npd.no/FactMapSearch?NPDID_business_area=40906
41040	47696	OSEBERG UNIT	UNITIZED	1985-03-28	1997-06-30	INACTIVE	1987-08-10	1985-03-28	2004-06-16	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41040	\N
41040	47734	OSEBERG UNIT	UNITIZED	1985-03-28	1997-06-30	INACTIVE	1987-08-10	1985-03-28	2004-06-16	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41040	\N
41040	2129700	OSEBERG UNIT	UNITIZED	1997-06-30	2004-06-16	INACTIVE	1987-08-10	1985-03-28	2004-06-16	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41040	\N
41040	2129713	OSEBERG UNIT	UNITIZED	1997-06-30	2004-06-16	INACTIVE	1987-08-10	1985-03-28	2004-06-16	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41040	\N
41105	47523	TROLL UNIT	UNITIZED	1987-01-01	2002-01-25	INACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	47544	TROLL UNIT	UNITIZED	1987-01-01	2002-01-25	INACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	47571	TROLL UNIT	UNITIZED	1987-01-01	2002-01-25	INACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	47588	TROLL UNIT	UNITIZED	1987-01-01	2002-01-25	INACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	47603	TROLL UNIT	UNITIZED	1987-01-01	2002-01-25	INACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	2051345	TROLL UNIT	UNITIZED	2002-01-25	9999-12-31	ACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	2051366	TROLL UNIT	UNITIZED	2002-01-25	9999-12-31	ACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	2060564	TROLL UNIT	UNITIZED	2002-01-25	9999-12-31	ACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	2060581	TROLL UNIT	UNITIZED	2002-01-25	9999-12-31	ACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	2060596	TROLL UNIT	UNITIZED	2002-01-25	9999-12-31	ACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	2060621	TROLL UNIT	UNITIZED	2002-01-25	9999-12-31	ACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	2060636	TROLL UNIT	UNITIZED	2002-01-25	9999-12-31	ACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41105	2060645	TROLL UNIT	UNITIZED	2002-01-25	9999-12-31	ACTIVE	1986-12-24	1987-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105
41175	915934	FRØY UNIT	UNITIZED	1992-08-19	1998-01-22	INACTIVE	1992-08-19	1992-08-19	2002-12-31	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41175	\N
41175	915939	FRØY UNIT	UNITIZED	1992-08-19	1998-01-22	INACTIVE	1992-08-19	1992-08-19	2002-12-31	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41175	\N
41175	2129634	FRØY UNIT	UNITIZED	1998-01-22	2002-12-31	INACTIVE	1992-08-19	1992-08-19	2002-12-31	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41175	\N
41175	2129647	FRØY UNIT	UNITIZED	1998-01-22	2002-12-31	INACTIVE	1992-08-19	1992-08-19	2002-12-31	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41175	\N
41189	97525	HULDRA UNIT	UNITIZED	1997-12-05	2001-11-30	INACTIVE	1998-09-01	1997-12-05	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41189	http://www.npd.no/FactMapSearch?NPDID_business_area=41189
41189	97538	HULDRA UNIT	UNITIZED	1997-12-05	2001-11-30	INACTIVE	1998-09-01	1997-12-05	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41189	http://www.npd.no/FactMapSearch?NPDID_business_area=41189
41189	1853049	HULDRA UNIT	UNITIZED	2001-11-30	9999-12-31	ACTIVE	1998-09-01	1997-12-05	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41189	http://www.npd.no/FactMapSearch?NPDID_business_area=41189
41189	1853062	HULDRA UNIT	UNITIZED	2001-11-30	9999-12-31	ACTIVE	1998-09-01	1997-12-05	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41189	http://www.npd.no/FactMapSearch?NPDID_business_area=41189
41211	97019	SLEIPNER ØST UNIT	PARCELL	1993-01-15	2006-11-28	INACTIVE	1992-12-23	1993-01-15	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41211	http://www.npd.no/FactMapSearch?NPDID_business_area=41211
41211	97050	SLEIPNER ØST UNIT	PARCELL	1993-01-15	2006-11-28	INACTIVE	1992-12-23	1993-01-15	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41211	http://www.npd.no/FactMapSearch?NPDID_business_area=41211
41211	2138743	SLEIPNER ØST UNIT	PARCELL	1993-01-15	2006-11-28	INACTIVE	1992-12-23	1993-01-15	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41211	http://www.npd.no/FactMapSearch?NPDID_business_area=41211
41211	2138912	SLEIPNER ØST UNIT	PARCELL	1993-01-15	2006-11-28	INACTIVE	1992-12-23	1993-01-15	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41211	http://www.npd.no/FactMapSearch?NPDID_business_area=41211
41211	4238869	SLEIPNER ØST UNIT	PARCELL	2006-11-28	9999-12-31	ACTIVE	1992-12-23	1993-01-15	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41211	http://www.npd.no/FactMapSearch?NPDID_business_area=41211
41211	4238900	SLEIPNER ØST UNIT	PARCELL	2006-11-28	9999-12-31	ACTIVE	1992-12-23	1993-01-15	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41211	http://www.npd.no/FactMapSearch?NPDID_business_area=41211
41211	4238919	SLEIPNER ØST UNIT	PARCELL	2006-11-28	9999-12-31	ACTIVE	1992-12-23	1993-01-15	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41211	http://www.npd.no/FactMapSearch?NPDID_business_area=41211
41233	46966	STATFJORD ØST UNIT	UNITIZED	1991-06-26	9999-12-31	ACTIVE	1991-11-19	1991-06-26	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41233	http://www.npd.no/FactMapSearch?NPDID_business_area=41233
41233	47005	STATFJORD ØST UNIT	UNITIZED	1991-06-26	9999-12-31	ACTIVE	1991-11-19	1991-06-26	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41233	http://www.npd.no/FactMapSearch?NPDID_business_area=41233
41313	97098	ØST FRIGG UNIT	UNITIZED	1987-12-01	2000-12-31	INACTIVE	1987-09-24	1987-12-01	2000-12-31	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41313	\N
41313	915992	ØST FRIGG UNIT	UNITIZED	1987-12-01	2000-12-31	INACTIVE	1987-09-24	1987-12-01	2000-12-31	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41313	\N
41313	915997	ØST FRIGG UNIT	UNITIZED	1987-12-01	2000-12-31	INACTIVE	1987-09-24	1987-12-01	2000-12-31	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41313	\N
41313	1343476	ØST FRIGG UNIT	UNITIZED	1987-12-01	2000-12-31	INACTIVE	1987-09-24	1987-12-01	2000-12-31	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41313	\N
41411	915976	TOMMELITEN UNIT	PARCELL	1986-06-12	2008-01-01	INACTIVE	1986-06-12	1986-06-12	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41411	http://www.npd.no/FactMapSearch?NPDID_business_area=41411
41411	1440995	TOMMELITEN UNIT	PARCELL	1986-06-12	2008-01-01	INACTIVE	1986-06-12	1986-06-12	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41411	http://www.npd.no/FactMapSearch?NPDID_business_area=41411
41411	4999112	TOMMELITEN UNIT	PARCELL	2008-01-01	9999-12-31	ACTIVE	1986-06-12	1986-06-12	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41411	http://www.npd.no/FactMapSearch?NPDID_business_area=41411
41411	4999124	TOMMELITEN UNIT	PARCELL	2008-01-01	9999-12-31	ACTIVE	1986-06-12	1986-06-12	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41411	http://www.npd.no/FactMapSearch?NPDID_business_area=41411
41470	102076	HEIMDAL UNIT	PARCELL	1975-05-02	2003-10-12	INACTIVE	1975-04-11	1975-05-02	2003-10-12	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41470	\N
41657	97070	VALHALL UNIT	UNITIZED	1982-09-28	9999-12-31	ACTIVE	1983-01-01	1982-09-28	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41657	http://www.npd.no/FactMapSearch?NPDID_business_area=41657
41657	97079	VALHALL UNIT	UNITIZED	1982-09-28	9999-12-31	ACTIVE	1983-01-01	1982-09-28	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41657	http://www.npd.no/FactMapSearch?NPDID_business_area=41657
41686	47690	STATFJORD UNIT	UNITIZED	1979-06-01	9999-12-31	ACTIVE	1980-12-09	1979-06-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41686	http://www.npd.no/FactMapSearch?NPDID_business_area=41686
41686	47928	STATFJORD UNIT	UNITIZED	1979-06-01	9999-12-31	ACTIVE	1980-12-09	1979-06-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41686	http://www.npd.no/FactMapSearch?NPDID_business_area=41686
41686	3983278	STATFJORD UNIT	UNITIZED	1979-06-01	9999-12-31	ACTIVE	1980-12-09	1979-06-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41686	http://www.npd.no/FactMapSearch?NPDID_business_area=41686
42302	47875	MURCHISON UNIT	UNITIZED	1979-04-01	9999-12-31	ACTIVE	1980-12-09	1979-04-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=42302	http://www.npd.no/FactMapSearch?NPDID_business_area=42302
42302	47890	MURCHISON UNIT	UNITIZED	1979-04-01	9999-12-31	ACTIVE	1980-12-09	1979-04-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=42302	http://www.npd.no/FactMapSearch?NPDID_business_area=42302
45891	915982	TOR UNIT	UNITIZED	1975-12-10	9999-12-31	ACTIVE	1976-01-01	1975-12-10	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=45891	http://www.npd.no/FactMapSearch?NPDID_business_area=45891
45891	1333642	TOR UNIT	UNITIZED	1975-12-10	9999-12-31	ACTIVE	1976-01-01	1975-12-10	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=45891	http://www.npd.no/FactMapSearch?NPDID_business_area=45891
96205	103070	SYGNA UNIT	UNITIZED	1998-12-16	9999-12-31	ACTIVE	1999-07-05	1998-12-16	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=96205	http://www.npd.no/FactMapSearch?NPDID_business_area=96205
96205	103081	SYGNA UNIT	UNITIZED	1998-12-16	9999-12-31	ACTIVE	1999-07-05	1998-12-16	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=96205	http://www.npd.no/FactMapSearch?NPDID_business_area=96205
1031365	1031378	GRANE UNIT	UNITIZED	2000-04-13	9999-12-31	ACTIVE	2000-04-13	2000-04-13	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1031365	http://www.npd.no/FactMapSearch?NPDID_business_area=1031365
1031365	1031393	GRANE UNIT	UNITIZED	2000-04-13	9999-12-31	ACTIVE	2000-04-13	2000-04-13	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1031365	http://www.npd.no/FactMapSearch?NPDID_business_area=1031365
1031365	1031686	GRANE UNIT	UNITIZED	2000-04-13	9999-12-31	ACTIVE	2000-04-13	2000-04-13	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1031365	http://www.npd.no/FactMapSearch?NPDID_business_area=1031365
1333943	1337862	SNØHVIT UNIT	UNITIZED	2000-07-21	2009-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	1337889	SNØHVIT UNIT	UNITIZED	2000-07-21	2009-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	1337904	SNØHVIT UNIT	UNITIZED	2000-07-21	2009-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	1337917	SNØHVIT UNIT	UNITIZED	2000-07-21	2009-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	1337926	SNØHVIT UNIT	UNITIZED	2000-07-21	2009-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	1337939	SNØHVIT UNIT	UNITIZED	2000-07-21	2009-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	1337950	SNØHVIT UNIT	UNITIZED	2000-07-21	2009-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	1337961	SNØHVIT UNIT	UNITIZED	2000-07-21	2009-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	1337970	SNØHVIT UNIT	UNITIZED	2000-07-21	2009-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	1337981	SNØHVIT UNIT	UNITIZED	2000-07-21	2009-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5267861	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5267888	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5267903	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5267918	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5267935	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5267960	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5267973	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5268015	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5268024	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5268033	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5268042	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	5268051	SNØHVIT UNIT	UNITIZED	2009-01-01	2012-01-01	INACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	21334132	SNØHVIT UNIT	UNITIZED	2012-01-01	9999-12-31	ACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	21334157	SNØHVIT UNIT	UNITIZED	2012-01-01	9999-12-31	ACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	21334172	SNØHVIT UNIT	UNITIZED	2012-01-01	9999-12-31	ACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	21334187	SNØHVIT UNIT	UNITIZED	2012-01-01	9999-12-31	ACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	21334204	SNØHVIT UNIT	UNITIZED	2012-01-01	9999-12-31	ACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	21334215	SNØHVIT UNIT	UNITIZED	2012-01-01	9999-12-31	ACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	21334228	SNØHVIT UNIT	UNITIZED	2012-01-01	9999-12-31	ACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	21334243	SNØHVIT UNIT	UNITIZED	2012-01-01	9999-12-31	ACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	21334256	SNØHVIT UNIT	UNITIZED	2012-01-01	9999-12-31	ACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	21334265	SNØHVIT UNIT	UNITIZED	2012-01-01	9999-12-31	ACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1333943	21334274	SNØHVIT UNIT	UNITIZED	2012-01-01	9999-12-31	ACTIVE	2000-07-21	2000-07-21	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943
1629477	1629507	MIKKEL UNIT	UNITIZED	2001-06-06	9999-12-31	ACTIVE	2001-06-06	2001-06-06	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1629477	http://www.npd.no/FactMapSearch?NPDID_business_area=1629477
1629477	1629518	MIKKEL UNIT	UNITIZED	2001-06-06	9999-12-31	ACTIVE	2001-06-06	2001-06-06	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1629477	http://www.npd.no/FactMapSearch?NPDID_business_area=1629477
1630961	1630976	SA-A	SEISMIC AREA	1997-05-30	2000-06-16	INACTIVE	1997-05-30	1997-05-30	2002-04-30	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1630961	\N
1630961	1631107	SA-A	SEISMIC AREA	2000-06-16	2002-04-30	INACTIVE	1997-05-30	1997-05-30	2002-04-30	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1630961	\N
1631138	1631246	SA-C	SEISMIC AREA	1997-05-30	2004-05-13	INACTIVE	1997-05-30	1997-05-30	2010-05-30	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1631138	\N
1631138	2772879	SA-C	SEISMIC AREA	2004-05-13	2010-05-29	INACTIVE	1997-05-30	1997-05-30	2010-05-30	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1631138	\N
1631341	1631386	SA-F	SEISMIC AREA	1997-05-30	2008-09-01	INACTIVE	1997-05-30	1997-05-30	2008-09-10	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1631341	\N
1631599	1631634	SA-G	SEISMIC AREA	1997-05-30	2004-07-05	INACTIVE	1997-05-30	1997-05-30	2007-05-15	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1631599	\N
1631599	2829973	SA-G	SEISMIC AREA	2004-07-05	2007-05-15	INACTIVE	1997-05-30	1997-05-30	2007-05-15	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1631599	\N
1631767	1631780	SA-SB	SEISMIC AREA	2001-04-27	2004-02-11	INACTIVE	2001-04-27	2001-04-27	2006-12-22	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1631767	\N
1631767	2734141	SA-SB	SEISMIC AREA	2004-02-11	2006-12-22	INACTIVE	2001-04-27	2001-04-27	2006-12-22	INACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1631767	\N
1854695	2069666	HALTENBANKEN VEST UNIT	UNITIZED	2001-12-18	2003-05-12	INACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	2069675	HALTENBANKEN VEST UNIT	UNITIZED	2001-12-18	2003-05-12	INACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	2069684	HALTENBANKEN VEST UNIT	UNITIZED	2001-12-18	2003-05-12	INACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	2069693	HALTENBANKEN VEST UNIT	UNITIZED	2001-12-18	2003-05-12	INACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	2069704	HALTENBANKEN VEST UNIT	UNITIZED	2001-12-18	2003-05-12	INACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	2596362	HALTENBANKEN VEST UNIT	UNITIZED	2003-05-12	2003-08-26	INACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	2596389	HALTENBANKEN VEST UNIT	UNITIZED	2003-05-12	2003-08-26	INACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	2596400	HALTENBANKEN VEST UNIT	UNITIZED	2003-05-12	2003-08-26	INACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	2596411	HALTENBANKEN VEST UNIT	UNITIZED	2003-05-12	2003-08-26	INACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	4924019	HALTENBANKEN VEST UNIT	UNITIZED	2007-12-03	9999-12-31	ACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	4924046	HALTENBANKEN VEST UNIT	UNITIZED	2007-12-03	9999-12-31	ACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	4924061	HALTENBANKEN VEST UNIT	UNITIZED	2007-12-03	9999-12-31	ACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
1854695	4924072	HALTENBANKEN VEST UNIT	UNITIZED	2007-12-03	9999-12-31	ACTIVE	2001-12-18	2001-12-18	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695
2588637	2588658	ORMEN LANGE UNIT	UNITIZED	2003-12-03	9999-12-31	ACTIVE	2004-04-02	2003-12-03	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=2588637	http://www.npd.no/FactMapSearch?NPDID_business_area=2588637
2588637	2588667	ORMEN LANGE UNIT	UNITIZED	2003-12-03	9999-12-31	ACTIVE	2004-04-02	2003-12-03	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=2588637	http://www.npd.no/FactMapSearch?NPDID_business_area=2588637
2588637	2588680	ORMEN LANGE UNIT	UNITIZED	2003-12-03	9999-12-31	ACTIVE	2004-04-02	2003-12-03	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=2588637	http://www.npd.no/FactMapSearch?NPDID_business_area=2588637
2588637	2588699	ORMEN LANGE UNIT	UNITIZED	2003-12-03	9999-12-31	ACTIVE	2004-04-02	2003-12-03	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=2588637	http://www.npd.no/FactMapSearch?NPDID_business_area=2588637
3437667	3437769	BLANE UNIT	UNITIZED	2005-07-01	9999-12-31	ACTIVE	2005-07-01	2005-07-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3437667	http://www.npd.no/FactMapSearch?NPDID_business_area=3437667
3437667	5443820	BLANE UNIT	UNITIZED	2005-07-01	9999-12-31	ACTIVE	2005-07-01	2005-07-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3437667	http://www.npd.no/FactMapSearch?NPDID_business_area=3437667
3437805	3437887	ENOCH UNIT	UNITIZED	2005-07-01	2005-10-10	INACTIVE	2005-07-01	2005-07-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3437805	http://www.npd.no/FactMapSearch?NPDID_business_area=3437805
3437805	3437896	ENOCH UNIT	UNITIZED	2005-07-01	2005-10-10	INACTIVE	2005-07-01	2005-07-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3437805	http://www.npd.no/FactMapSearch?NPDID_business_area=3437805
3437805	4460475	ENOCH UNIT	UNITIZED	2005-10-10	9999-12-31	ACTIVE	2005-07-01	2005-07-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3437805	http://www.npd.no/FactMapSearch?NPDID_business_area=3437805
3437805	4460484	ENOCH UNIT	UNITIZED	2005-10-10	9999-12-31	ACTIVE	2005-07-01	2005-07-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3437805	http://www.npd.no/FactMapSearch?NPDID_business_area=3437805
3488806	3488826	TYRIHANS UNIT	UNITIZED	2005-06-23	9999-12-31	ACTIVE	2006-02-20	2005-06-23	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3488806	http://www.npd.no/FactMapSearch?NPDID_business_area=3488806
3488806	3488845	TYRIHANS UNIT	UNITIZED	2005-06-23	9999-12-31	ACTIVE	2006-02-20	2005-06-23	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3488806	http://www.npd.no/FactMapSearch?NPDID_business_area=3488806
3488806	3488867	TYRIHANS UNIT	UNITIZED	2005-06-23	9999-12-31	ACTIVE	2006-02-20	2005-06-23	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3488806	http://www.npd.no/FactMapSearch?NPDID_business_area=3488806
3500071	3500090	OSEBERG AREA UNIT	UNITIZED	2004-06-16	9999-12-31	ACTIVE	2004-09-14	2004-06-16	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3500071	http://www.npd.no/FactMapSearch?NPDID_business_area=3500071
3500071	3500103	OSEBERG AREA UNIT	UNITIZED	2004-06-16	9999-12-31	ACTIVE	2004-09-14	2004-06-16	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3500071	http://www.npd.no/FactMapSearch?NPDID_business_area=3500071
3500071	3500118	OSEBERG AREA UNIT	UNITIZED	2004-06-16	9999-12-31	ACTIVE	2004-09-14	2004-06-16	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3500071	http://www.npd.no/FactMapSearch?NPDID_business_area=3500071
3500071	3500127	OSEBERG AREA UNIT	UNITIZED	2004-06-16	9999-12-31	ACTIVE	2004-09-14	2004-06-16	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3500071	http://www.npd.no/FactMapSearch?NPDID_business_area=3500071
3500071	3500136	OSEBERG AREA UNIT	UNITIZED	2004-06-16	9999-12-31	ACTIVE	2004-09-14	2004-06-16	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3500071	http://www.npd.no/FactMapSearch?NPDID_business_area=3500071
3500071	3500155	OSEBERG AREA UNIT	UNITIZED	2004-06-16	9999-12-31	ACTIVE	2004-09-14	2004-06-16	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3500071	http://www.npd.no/FactMapSearch?NPDID_business_area=3500071
3505593	3505608	RINGHORNE ØST UNIT	UNITIZED	2005-11-17	2011-11-04	INACTIVE	2005-11-25	2005-11-17	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3505593	http://www.npd.no/FactMapSearch?NPDID_business_area=3505593
3505593	3505623	RINGHORNE ØST UNIT	UNITIZED	2005-11-17	2011-11-04	INACTIVE	2005-11-25	2005-11-17	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3505593	http://www.npd.no/FactMapSearch?NPDID_business_area=3505593
3505593	21125833	RINGHORNE ØST UNIT	UNITIZED	2011-11-04	9999-12-31	ACTIVE	2005-11-25	2005-11-17	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3505593	http://www.npd.no/FactMapSearch?NPDID_business_area=3505593
3505593	21125848	RINGHORNE ØST UNIT	UNITIZED	2011-11-04	9999-12-31	ACTIVE	2005-11-25	2005-11-17	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3505593	http://www.npd.no/FactMapSearch?NPDID_business_area=3505593
3812119	3812238	MARTIN LINGE UNIT	UNITIZED	2005-09-07	2006-01-06	INACTIVE	2005-12-19	2005-09-07	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119
3812119	3812247	MARTIN LINGE UNIT	UNITIZED	2005-09-07	2006-01-06	INACTIVE	2005-12-19	2005-09-07	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119
3812119	3812256	MARTIN LINGE UNIT	UNITIZED	2005-09-07	2006-01-06	INACTIVE	2005-12-19	2005-09-07	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119
3812119	3812265	MARTIN LINGE UNIT	UNITIZED	2005-09-07	2006-01-06	INACTIVE	2005-12-19	2005-09-07	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119
3812119	21559241	MARTIN LINGE UNIT	UNITIZED	2006-01-06	9999-12-31	ACTIVE	2005-12-19	2005-09-07	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119
3812119	21559250	MARTIN LINGE UNIT	UNITIZED	2006-01-06	9999-12-31	ACTIVE	2005-12-19	2005-09-07	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119
3812119	21559259	MARTIN LINGE UNIT	UNITIZED	2006-01-06	9999-12-31	ACTIVE	2005-12-19	2005-09-07	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119
3812119	21559268	MARTIN LINGE UNIT	UNITIZED	2006-01-06	9999-12-31	ACTIVE	2005-12-19	2005-09-07	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119
3812119	21559277	MARTIN LINGE UNIT	UNITIZED	2006-01-06	9999-12-31	ACTIVE	2005-12-19	2005-09-07	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119
3812119	21559288	MARTIN LINGE UNIT	UNITIZED	2006-01-06	9999-12-31	ACTIVE	2005-12-19	2005-09-07	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119
3812119	21559299	MARTIN LINGE UNIT	UNITIZED	2006-01-06	9999-12-31	ACTIVE	2005-12-19	2005-09-07	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119
4007192	4007209	GIMLE UNIT	UNITIZED	2006-06-22	9999-12-31	ACTIVE	2006-10-16	2006-06-22	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4007192	http://www.npd.no/FactMapSearch?NPDID_business_area=4007192
4007192	4007218	GIMLE UNIT	UNITIZED	2006-06-22	9999-12-31	ACTIVE	2006-10-16	2006-06-22	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4007192	http://www.npd.no/FactMapSearch?NPDID_business_area=4007192
4007192	4007227	GIMLE UNIT	UNITIZED	2006-06-22	9999-12-31	ACTIVE	2006-10-16	2006-06-22	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4007192	http://www.npd.no/FactMapSearch?NPDID_business_area=4007192
4468539	4468785	SKARV UNIT	UNITIZED	2007-06-28	9999-12-31	ACTIVE	2007-12-20	2007-06-28	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4468539	http://www.npd.no/FactMapSearch?NPDID_business_area=4468539
4468539	4468826	SKARV UNIT	UNITIZED	2007-06-28	9999-12-31	ACTIVE	2007-12-20	2007-06-28	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4468539	http://www.npd.no/FactMapSearch?NPDID_business_area=4468539
4468539	4468837	SKARV UNIT	UNITIZED	2007-06-28	9999-12-31	ACTIVE	2007-12-20	2007-06-28	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4468539	http://www.npd.no/FactMapSearch?NPDID_business_area=4468539
4468539	4468854	SKARV UNIT	UNITIZED	2007-06-28	9999-12-31	ACTIVE	2007-12-20	2007-06-28	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4468539	http://www.npd.no/FactMapSearch?NPDID_business_area=4468539
4468539	4468865	SKARV UNIT	UNITIZED	2007-06-28	9999-12-31	ACTIVE	2007-12-20	2007-06-28	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4468539	http://www.npd.no/FactMapSearch?NPDID_business_area=4468539
4999504	5443516	TAMBAR ØST UNIT	UNITIZED	2006-01-01	9999-12-31	ACTIVE	2009-02-04	2006-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4999504	http://www.npd.no/FactMapSearch?NPDID_business_area=4999504
4999504	5443573	TAMBAR ØST UNIT	UNITIZED	2006-01-01	9999-12-31	ACTIVE	2009-02-04	2006-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4999504	http://www.npd.no/FactMapSearch?NPDID_business_area=4999504
4999504	5443588	TAMBAR ØST UNIT	UNITIZED	2006-01-01	9999-12-31	ACTIVE	2009-02-04	2006-01-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4999504	http://www.npd.no/FactMapSearch?NPDID_business_area=4999504
18403644	18403761	VALEMON UNIT	UNITIZED	2010-09-27	2011-12-21	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	18403778	VALEMON UNIT	UNITIZED	2010-09-27	2011-12-21	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	18403787	VALEMON UNIT	UNITIZED	2010-09-27	2011-12-21	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	18403802	VALEMON UNIT	UNITIZED	2010-09-27	2011-12-21	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	18403822	VALEMON UNIT	UNITIZED	2010-09-27	2011-12-21	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	20474353	VALEMON UNIT	UNITIZED	2010-09-27	2011-12-21	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21350021	VALEMON UNIT	UNITIZED	2011-12-21	2012-04-11	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21350034	VALEMON UNIT	UNITIZED	2011-12-21	2012-04-11	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21350043	VALEMON UNIT	UNITIZED	2011-12-21	2012-04-11	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21350062	VALEMON UNIT	UNITIZED	2011-12-21	2012-04-11	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21350081	VALEMON UNIT	UNITIZED	2011-12-21	2012-04-11	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21350090	VALEMON UNIT	UNITIZED	2011-12-21	2012-04-11	INACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21668378	VALEMON UNIT	UNITIZED	2012-04-11	9999-12-31	ACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21668423	VALEMON UNIT	UNITIZED	2012-04-11	9999-12-31	ACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21668432	VALEMON UNIT	UNITIZED	2012-04-11	9999-12-31	ACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21668459	VALEMON UNIT	UNITIZED	2012-04-11	9999-12-31	ACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21668468	VALEMON UNIT	UNITIZED	2012-04-11	9999-12-31	ACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
18403644	21668479	VALEMON UNIT	UNITIZED	2012-04-11	9999-12-31	ACTIVE	2011-06-23	2010-09-27	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644
20459640	20459647	VEGA UNIT	UNITIZED	2011-03-01	9999-12-31	ACTIVE	2011-06-16	2011-03-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=20459640	http://www.npd.no/FactMapSearch?NPDID_business_area=20459640
20459640	20460332	VEGA UNIT	UNITIZED	2011-03-01	9999-12-31	ACTIVE	2011-06-16	2011-03-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=20459640	http://www.npd.no/FactMapSearch?NPDID_business_area=20459640
20459640	20460370	VEGA UNIT	UNITIZED	2011-03-01	9999-12-31	ACTIVE	2011-06-16	2011-03-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=20459640	http://www.npd.no/FactMapSearch?NPDID_business_area=20459640
20459640	20460576	VEGA UNIT	UNITIZED	2011-03-01	9999-12-31	ACTIVE	2011-06-16	2011-03-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=20459640	http://www.npd.no/FactMapSearch?NPDID_business_area=20459640
20459640	20460604	VEGA UNIT	UNITIZED	2011-03-01	9999-12-31	ACTIVE	2011-06-16	2011-03-01	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=20459640	http://www.npd.no/FactMapSearch?NPDID_business_area=20459640
21077388	21077404	JETTE UNIT	UNITIZED	2012-01-05	9999-12-31	ACTIVE	2012-02-27	2012-01-05	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=21077388	http://www.npd.no/FactMapSearch?NPDID_business_area=21077388
21077388	21077413	JETTE UNIT	UNITIZED	2012-01-05	9999-12-31	ACTIVE	2012-02-27	2012-01-05	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=21077388	http://www.npd.no/FactMapSearch?NPDID_business_area=21077388
21077388	21077424	JETTE UNIT	UNITIZED	2012-01-05	9999-12-31	ACTIVE	2012-02-27	2012-01-05	9999-12-31	ACTIVE	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=21077388	http://www.npd.no/FactMapSearch?NPDID_business_area=21077388
\.



COPY bsns_arr_area (baaname, baakind, baadateapproved, baadatevalidfrom, baadatevalidto, baafactpageurl, baafactmapurl, baanpdidbsnsarrarea, baadateupdated, baadateupdatedmax, datesyncnpd) FROM stdin;
BRAGE UNIT	UNITIZED	1993-12-27	1993-12-27	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40432	http://www.npd.no/FactMapSearch?NPDID_business_area=40432	40432	9999-12-31	2013-02-20	2013-05-08
HEIDRUN UNIT	UNITIZED	1991-12-13	1991-11-27	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40490	http://www.npd.no/FactMapSearch?NPDID_business_area=40490	40490	9999-12-31	9999-12-31	2013-05-08
ÅSGARD UNIT	UNITIZED	1995-04-10	1995-01-01	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40564	http://www.npd.no/FactMapSearch?NPDID_business_area=40564	40564	9999-12-31	9999-12-31	2013-05-08
NJORD UNIT	UNITIZED	1995-03-27	1995-02-23	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40585	http://www.npd.no/FactMapSearch?NPDID_business_area=40585	40585	9999-12-31	9999-12-31	2013-05-08
OSEBERG SØR UNIT	UNITIZED	1997-06-30	1996-12-20	2004-06-16	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40638	\N	40638	9999-12-31	9999-12-31	2013-05-08
JOTUN UNIT	UNITIZED	1997-12-23	1998-01-01	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40655	http://www.npd.no/FactMapSearch?NPDID_business_area=40655	40655	9999-12-31	9999-12-31	2013-05-08
NORNE INSIDE	SLIDING SCALE	1995-03-09	1995-03-09	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40672	http://www.npd.no/FactMapSearch?NPDID_business_area=40672	40672	9999-12-31	9999-12-31	2013-05-08
VISUND INSIDE	SLIDING SCALE	1994-12-19	1995-01-01	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40726	http://www.npd.no/FactMapSearch?NPDID_business_area=40726	40726	9999-12-31	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	UNITIZED	1994-01-20	1994-07-01	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40848	http://www.npd.no/FactMapSearch?NPDID_business_area=40848	40848	9999-12-31	9999-12-31	2013-05-08
GRANE SLIDING SCALE	SLIDING SCALE	1995-01-13	1995-01-01	2000-04-13	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40885	\N	40885	9999-12-31	9999-12-31	2013-05-08
SNORRE UNIT	UNITIZED	1988-05-30	1988-05-11	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=40906	http://www.npd.no/FactMapSearch?NPDID_business_area=40906	40906	9999-12-31	2012-12-06	2013-05-08
OSEBERG UNIT	UNITIZED	1987-08-10	1985-03-28	2004-06-16	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41040	\N	41040	9999-12-31	9999-12-31	2013-05-08
TROLL UNIT	UNITIZED	1986-12-24	1987-01-01	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41105	http://www.npd.no/FactMapSearch?NPDID_business_area=41105	41105	9999-12-31	9999-12-31	2013-05-08
FRØY UNIT	UNITIZED	1992-08-19	1992-08-19	2002-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41175	\N	41175	9999-12-31	9999-12-31	2013-05-08
HULDRA UNIT	UNITIZED	1998-09-01	1997-12-05	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41189	http://www.npd.no/FactMapSearch?NPDID_business_area=41189	41189	9999-12-31	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	PARCELL	1992-12-23	1993-01-15	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41211	http://www.npd.no/FactMapSearch?NPDID_business_area=41211	41211	9999-12-31	9999-12-31	2013-05-08
STATFJORD ØST UNIT	UNITIZED	1991-11-19	1991-06-26	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41233	http://www.npd.no/FactMapSearch?NPDID_business_area=41233	41233	9999-12-31	2012-12-06	2013-05-08
ØST FRIGG UNIT	UNITIZED	1987-09-24	1987-12-01	2000-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41313	\N	41313	9999-12-31	9999-12-31	2013-05-08
TOMMELITEN UNIT	PARCELL	1986-06-12	1986-06-12	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41411	http://www.npd.no/FactMapSearch?NPDID_business_area=41411	41411	9999-12-31	9999-12-31	2013-05-08
HEIMDAL UNIT	PARCELL	1975-04-11	1975-05-02	2003-10-12	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41470	\N	41470	9999-12-31	9999-12-31	2013-05-08
VALHALL UNIT	UNITIZED	1983-01-01	1982-09-28	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41657	http://www.npd.no/FactMapSearch?NPDID_business_area=41657	41657	9999-12-31	9999-12-31	2013-05-08
STATFJORD UNIT	UNITIZED	1980-12-09	1979-06-01	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=41686	http://www.npd.no/FactMapSearch?NPDID_business_area=41686	41686	9999-12-31	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	UNITIZED	1980-11-25	1980-07-01	1995-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=42225	\N	42225	9999-12-31	9999-12-31	2013-05-08
MURCHISON UNIT	UNITIZED	1980-12-09	1979-04-01	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=42302	http://www.npd.no/FactMapSearch?NPDID_business_area=42302	42302	9999-12-31	9999-12-31	2013-05-08
FRIGG UNIT	UNITIZED	1977-12-12	1977-12-12	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=45634	http://www.npd.no/FactMapSearch?NPDID_business_area=45634	45634	9999-12-31	9999-12-31	2013-05-08
TOR UNIT	UNITIZED	1976-01-01	1975-12-10	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=45891	http://www.npd.no/FactMapSearch?NPDID_business_area=45891	45891	9999-12-31	9999-12-31	2013-05-08
SYGNA UNIT	UNITIZED	1999-07-05	1998-12-16	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=96205	http://www.npd.no/FactMapSearch?NPDID_business_area=96205	96205	9999-12-31	2012-12-06	2013-05-08
GRANE UNIT	UNITIZED	2000-04-13	2000-04-13	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1031365	http://www.npd.no/FactMapSearch?NPDID_business_area=1031365	1031365	9999-12-31	9999-12-31	2013-05-08
SNØHVIT UNIT	UNITIZED	2000-07-21	2000-07-21	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1333943	http://www.npd.no/FactMapSearch?NPDID_business_area=1333943	1333943	9999-12-31	9999-12-31	2013-05-08
MIKKEL UNIT	UNITIZED	2001-06-06	2001-06-06	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1629477	http://www.npd.no/FactMapSearch?NPDID_business_area=1629477	1629477	9999-12-31	2012-12-01	2013-05-08
SA-A	SEISMIC AREA	1997-05-30	1997-05-30	2002-04-30	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1630961	\N	1630961	9999-12-31	9999-12-31	2013-05-08
SA-C	SEISMIC AREA	1997-05-30	1997-05-30	2010-05-30	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1631138	\N	1631138	9999-12-31	9999-12-31	2013-05-08
SA-F	SEISMIC AREA	1997-05-30	1997-05-30	2008-09-10	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1631341	\N	1631341	9999-12-31	9999-12-31	2013-05-08
SA-G	SEISMIC AREA	1997-05-30	1997-05-30	2007-05-15	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1631599	\N	1631599	9999-12-31	9999-12-31	2013-05-08
SA-SB	SEISMIC AREA	2001-04-27	2001-04-27	2006-12-22	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1631767	\N	1631767	9999-12-31	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	UNITIZED	2001-12-18	2001-12-18	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=1854695	http://www.npd.no/FactMapSearch?NPDID_business_area=1854695	1854695	9999-12-31	9999-12-31	2013-05-08
ORMEN LANGE UNIT	UNITIZED	2004-04-02	2003-12-03	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=2588637	http://www.npd.no/FactMapSearch?NPDID_business_area=2588637	2588637	9999-12-31	9999-12-31	2013-05-08
BLANE UNIT	UNITIZED	2005-07-01	2005-07-01	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3437667	http://www.npd.no/FactMapSearch?NPDID_business_area=3437667	3437667	9999-12-31	9999-12-31	2013-05-08
ENOCH UNIT	UNITIZED	2005-07-01	2005-07-01	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3437805	http://www.npd.no/FactMapSearch?NPDID_business_area=3437805	3437805	9999-12-31	2012-09-15	2013-05-08
TYRIHANS UNIT	UNITIZED	2006-02-20	2005-06-23	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3488806	http://www.npd.no/FactMapSearch?NPDID_business_area=3488806	3488806	9999-12-31	2012-06-08	2013-05-08
OSEBERG AREA UNIT	UNITIZED	2004-09-14	2004-06-16	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3500071	http://www.npd.no/FactMapSearch?NPDID_business_area=3500071	3500071	9999-12-31	2012-12-06	2013-05-08
RINGHORNE ØST UNIT	UNITIZED	2005-11-25	2005-11-17	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3505593	http://www.npd.no/FactMapSearch?NPDID_business_area=3505593	3505593	9999-12-31	9999-12-31	2013-05-08
MARTIN LINGE UNIT	UNITIZED	2005-12-19	2005-09-07	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=3812119	http://www.npd.no/FactMapSearch?NPDID_business_area=3812119	3812119	2012-06-15	2012-06-15	2013-05-08
GIMLE UNIT	UNITIZED	2006-10-16	2006-06-22	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4007192	http://www.npd.no/FactMapSearch?NPDID_business_area=4007192	4007192	9999-12-31	9999-12-31	2013-05-08
SKARV UNIT	UNITIZED	2007-12-20	2007-06-28	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4468539	http://www.npd.no/FactMapSearch?NPDID_business_area=4468539	4468539	9999-12-31	9999-12-31	2013-05-08
TAMBAR ØST UNIT	UNITIZED	2009-02-04	2006-01-01	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=4999504	http://www.npd.no/FactMapSearch?NPDID_business_area=4999504	4999504	9999-12-31	9999-12-31	2013-05-08
VALEMON UNIT	UNITIZED	2011-06-23	2010-09-27	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=18403644	http://www.npd.no/FactMapSearch?NPDID_business_area=18403644	18403644	9999-12-31	9999-12-31	2013-05-08
VEGA UNIT	UNITIZED	2011-06-16	2011-03-01	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=20459640	http://www.npd.no/FactMapSearch?NPDID_business_area=20459640	20459640	9999-12-31	9999-12-31	2013-05-08
JETTE UNIT	UNITIZED	2012-02-27	2012-01-05	9999-12-31	http://factpages.npd.no/FactPages/default.aspx?nav1=bsns_arr_area&nav2=PageView|All&nav3=21077388	http://www.npd.no/FactMapSearch?NPDID_business_area=21077388	21077388	9999-12-31	2012-11-13	2013-05-08
\.



COPY bsns_arr_area_area_poly_hst (baaname, baaareapolydatevalidfrom, baaareapolydatevalidto, baaareapolynationcode2, baaareapolyblockname, baaareapolyno, baaareapolyarea, baanpdidbsnsarrarea, baaareapolydateupdated, datesyncnpd) FROM stdin;
BRAGE UNIT	1993-12-27	9999-12-31	NO	30/6	2	8.494000	40432	9999-12-31	2013-05-08
BRAGE UNIT	1993-12-27	9999-12-31	NO	31/4	1	106.946000	40432	9999-12-31	2013-05-08
BRAGE UNIT	1993-12-27	9999-12-31	NO	31/7	3	17.019000	40432	9999-12-31	2013-05-08
HEIDRUN UNIT	2000-01-01	2003-01-01	NO	6507/7	1	83.700000	40490	9999-12-31	2013-05-08
HEIDRUN UNIT	2005-01-01	9999-12-31	NO	6507/7	1	70.684000	40490	9999-12-31	2013-05-08
HEIDRUN UNIT	1991-11-27	2000-01-01	NO	6507/7	2	82.260000	40490	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-01-01	2005-01-01	NO	6507/7	2	70.684000	40490	9999-12-31	2013-05-08
HEIDRUN UNIT	1991-11-27	2000-01-01	NO	6507/8	1	33.213000	40490	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-01-01	2005-01-01	NO	6507/8	1	46.174000	40490	9999-12-31	2013-05-08
HEIDRUN UNIT	2000-01-01	2003-01-01	NO	6507/8	2	46.174000	40490	9999-12-31	2013-05-08
HEIDRUN UNIT	2005-01-01	9999-12-31	NO	6507/8	2	36.049000	40490	9999-12-31	2013-05-08
ÅSGARD UNIT	2002-06-14	9999-12-31	NO	6406/3	7	7.308000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	1995-01-01	1998-01-30	NO	6407/2	1	83.422000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	1998-01-30	2002-06-14	NO	6407/2	3	57.051000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	2002-06-14	9999-12-31	NO	6407/2	3	57.051000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	1998-01-30	2002-06-14	NO	6407/3	2	17.567000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	2002-06-14	9999-12-31	NO	6407/3	2	17.567000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	1995-01-01	1998-01-30	NO	6506/11	2	55.421000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	1998-01-30	2002-06-14	NO	6506/11	6	62.711000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	2002-06-14	9999-12-31	NO	6506/11	6	62.711000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	1995-01-01	1998-01-30	NO	6506/12	3	314.258000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	1998-01-30	2002-06-14	NO	6506/12	4	55.460000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	2002-06-14	9999-12-31	NO	6506/12	4	55.460000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	1998-01-30	2002-06-14	NO	6506/12	5	217.995000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	2002-06-14	9999-12-31	NO	6506/12	5	217.995000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	1998-01-30	2002-06-14	NO	6507/11	1	48.130000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	2002-06-14	9999-12-31	NO	6507/11	1	48.130000	40564	9999-12-31	2013-05-08
ÅSGARD UNIT	1995-01-01	1998-01-30	NO	6507/11	4	68.548000	40564	9999-12-31	2013-05-08
NJORD UNIT	1995-02-23	9999-12-31	NO	6407/10	2	18.031000	40585	9999-12-31	2013-05-08
NJORD UNIT	1995-02-23	9999-12-31	NO	6407/7	1	69.751000	40585	9999-12-31	2013-05-08
OSEBERG SØR UNIT	1996-12-20	2004-06-16	NO	30/12	4	23.152000	40638	9999-12-31	2013-05-08
OSEBERG SØR UNIT	1996-12-20	2004-06-16	NO	30/9	1	187.439000	40638	9999-12-31	2013-05-08
OSEBERG SØR UNIT	1996-12-20	2004-06-16	NO	30/9	2	45.130000	40638	9999-12-31	2013-05-08
OSEBERG SØR UNIT	1996-12-20	2004-06-16	NO	30/9	3	15.848000	40638	9999-12-31	2013-05-08
JOTUN UNIT	1998-01-01	9999-12-31	NO	25/7	1	23.706000	40655	9999-12-31	2013-05-08
JOTUN UNIT	1998-01-01	9999-12-31	NO	25/8	2	55.292000	40655	9999-12-31	2013-05-08
NORNE INSIDE	1998-01-30	2008-01-01	NO	6508/1	2	4.220000	40672	9999-12-31	2013-05-08
NORNE INSIDE	2008-01-01	9999-12-31	NO	6508/1	2	4.220000	40672	9999-12-31	2013-05-08
NORNE INSIDE	1995-03-09	1998-01-30	NO	6608/10	1	46.355000	40672	9999-12-31	2013-05-08
NORNE INSIDE	1998-01-30	2008-01-01	NO	6608/10	1	46.355000	40672	9999-12-31	2013-05-08
NORNE INSIDE	2008-01-01	9999-12-31	NO	6808/10	1	43.545000	40672	9999-12-31	2013-05-08
VISUND INSIDE	1995-01-01	9999-12-31	NO	34/8	1	109.243000	40726	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1994-07-01	9999-12-31	NO	15/6	3	34.710000	40848	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1994-07-01	9999-12-31	NO	15/8	2	25.300000	40848	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1994-07-01	9999-12-31	NO	15/9	1	131.997000	40848	9999-12-31	2013-05-08
GRANE SLIDING SCALE	1995-01-01	2000-04-13	NO	25/11	1	54.888000	40885	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1996-03-06	NO	34/4	1	87.249000	40906	9999-12-31	2013-05-08
SNORRE UNIT	1996-03-06	9999-12-31	NO	34/4	1	92.192000	40906	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1996-03-06	NO	34/7	2	89.160000	40906	9999-12-31	2013-05-08
SNORRE UNIT	1996-03-06	9999-12-31	NO	34/7	2	99.065000	40906	9999-12-31	2013-05-08
OSEBERG UNIT	1985-03-28	1997-06-30	NO	30/6	1	130.668000	41040	9999-12-31	2013-05-08
OSEBERG UNIT	1997-06-30	2004-06-16	NO	30/6	1	227.327000	41040	9999-12-31	2013-05-08
OSEBERG UNIT	1985-03-28	1997-06-30	NO	30/9	2	56.187000	41040	9999-12-31	2013-05-08
OSEBERG UNIT	1997-06-30	2004-06-16	NO	30/9	2	60.864000	41040	9999-12-31	2013-05-08
TROLL UNIT	1987-01-01	2002-01-25	NO	31/2	1	306.285000	41105	9999-12-31	2013-05-08
TROLL UNIT	2002-01-25	9999-12-31	NO	31/2	1	306.285000	41105	9999-12-31	2013-05-08
TROLL UNIT	1987-01-01	2002-01-25	NO	31/3	2	114.577000	41105	9999-12-31	2013-05-08
TROLL UNIT	2002-01-25	9999-12-31	NO	31/3	2	114.577000	41105	9999-12-31	2013-05-08
TROLL UNIT	2002-01-25	9999-12-31	NO	31/3	6	10.084000	41105	9999-12-31	2013-05-08
TROLL UNIT	2002-01-25	9999-12-31	NO	31/3	7	3.370000	41105	9999-12-31	2013-05-08
TROLL UNIT	1987-01-01	2002-01-25	NO	31/5	3	50.911000	41105	9999-12-31	2013-05-08
TROLL UNIT	2002-01-25	9999-12-31	NO	31/5	3	50.911000	41105	9999-12-31	2013-05-08
TROLL UNIT	1987-01-01	2002-01-25	NO	31/5	4	106.460000	41105	9999-12-31	2013-05-08
TROLL UNIT	2002-01-25	9999-12-31	NO	31/5	4	106.460000	41105	9999-12-31	2013-05-08
TROLL UNIT	1987-01-01	2002-01-25	NO	31/6	5	425.191000	41105	9999-12-31	2013-05-08
TROLL UNIT	2002-01-25	9999-12-31	NO	31/6	5	425.191000	41105	9999-12-31	2013-05-08
TROLL UNIT	2002-01-25	9999-12-31	NO	31/6	8	5.079000	41105	9999-12-31	2013-05-08
FRØY UNIT	1992-08-19	1998-01-22	NO	25/2	1	9.566000	41175	9999-12-31	2013-05-08
FRØY UNIT	1998-01-22	2002-12-31	NO	25/2	1	9.566000	41175	9999-12-31	2013-05-08
FRØY UNIT	1992-08-19	1998-01-22	NO	25/5	2	29.609000	41175	9999-12-31	2013-05-08
FRØY UNIT	1998-01-22	2002-12-31	NO	25/5	2	26.123000	41175	9999-12-31	2013-05-08
HULDRA UNIT	1997-12-05	2001-11-30	NO	30/2	1	55.543000	41189	9999-12-31	2013-05-08
HULDRA UNIT	2001-11-30	9999-12-31	NO	30/2	1	55.543000	41189	9999-12-31	2013-05-08
HULDRA UNIT	1997-12-05	2001-11-30	NO	30/3	2	25.245000	41189	9999-12-31	2013-05-08
HULDRA UNIT	2001-11-30	9999-12-31	NO	30/3	2	9.254000	41189	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1993-01-15	2006-11-28	NO	15/9	1	98.459000	41211	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2006-11-28	9999-12-31	NO	15/9	1	96.651000	41211	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1993-01-15	2006-11-28	NO	15/9	2	25.305000	41211	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2006-11-28	9999-12-31	NO	15/9	2	25.305000	41211	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1993-01-15	2006-11-28	NO	15/9	3	70.387000	41211	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2006-11-28	9999-12-31	NO	15/9	3	70.387000	41211	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1993-01-15	2006-11-28	NO	15/9	4	11.486000	41211	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	9999-12-31	NO	33/9	2	11.603000	41233	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	9999-12-31	NO	34/7	1	14.910000	41233	9999-12-31	2013-05-08
ØST FRIGG UNIT	1987-12-01	2000-12-31	NO	25/1	1	17.320000	41313	9999-12-31	2013-05-08
ØST FRIGG UNIT	1987-12-01	2000-12-31	NO	25/2	2	32.907000	41313	9999-12-31	2013-05-08
ØST FRIGG UNIT	1987-12-01	2000-12-31	NO	25/2	3	1.733000	41313	9999-12-31	2013-05-08
ØST FRIGG UNIT	1987-12-01	2000-12-31	NO	25/2	4	3.464000	41313	9999-12-31	2013-05-08
TOMMELITEN UNIT	1986-06-12	2008-01-01	NO	1/9	1	34.517000	41411	9999-12-31	2013-05-08
TOMMELITEN UNIT	2008-01-01	9999-12-31	NO	1/9	1	31.977000	41411	9999-12-31	2013-05-08
TOMMELITEN UNIT	1986-06-12	2008-01-01	NO	1/9	2	18.550000	41411	9999-12-31	2013-05-08
TOMMELITEN UNIT	2008-01-01	9999-12-31	NO	1/9	2	16.072000	41411	9999-12-31	2013-05-08
HEIMDAL UNIT	1975-05-02	2003-10-12	NO	25/4	1	85.472000	41470	9999-12-31	2013-05-08
VALHALL UNIT	1982-09-28	9999-12-31	NO	2/11	2	28.774000	41657	9999-12-31	2013-05-08
VALHALL UNIT	1982-09-28	9999-12-31	NO	2/8	1	86.193000	41657	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	9999-12-31	NO	33/12	2	36.432000	41686	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	9999-12-31	NO	33/9	1	85.403000	41686	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	9999-12-31	NO	UNKNOWN	3	30.145000	41686	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1980-07-01	1995-12-31	NO	25/1	1	0.000000	42225	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1980-07-01	1995-12-31	NO	30/10	2	0.000000	42225	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	9999-12-31	NO	33/9	2	9.723000	42302	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	9999-12-31	NO	UNKNOWN	1	28.317000	42302	9999-12-31	2013-05-08
FRIGG UNIT	1977-12-12	9999-12-31	NO	25/1	1	0.000000	45634	9999-12-31	2013-05-08
FRIGG UNIT	1977-12-12	9999-12-31	NO	30/10	2	0.000000	45634	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	9999-12-31	NO	2/4	1	34.164000	45891	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	9999-12-31	NO	2/5	2	37.960000	45891	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	9999-12-31	NO	33/9	1	4.125000	96205	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	9999-12-31	NO	34/7	2	4.124000	96205	9999-12-31	2013-05-08
GRANE UNIT	2000-04-13	9999-12-31	NO	25/11	1	17.681000	1031365	9999-12-31	2013-05-08
GRANE UNIT	2000-04-13	9999-12-31	NO	25/11	2	51.793000	1031365	9999-12-31	2013-05-08
GRANE UNIT	2000-04-13	9999-12-31	NO	25/11	3	22.532000	1031365	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2009-01-01	NO	7120/5	8	105.063000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7120/5	8	105.063000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2012-01-01	9999-12-31	NO	7120/5	8	44.850000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2009-01-01	NO	7120/6	4	43.891000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7120/6	4	93.884000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2012-01-01	9999-12-31	NO	7120/6	4	93.884000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2009-01-01	NO	7120/6	5	101.521000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7120/6	5	39.503000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2012-01-01	9999-12-31	NO	7120/6	5	39.503000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2009-01-01	NO	7120/7	2	107.346000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7120/7	2	107.346000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2012-01-01	9999-12-31	NO	7120/7	2	76.463000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2009-01-01	NO	7120/8	1	163.432000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7120/8	1	163.432000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2012-01-01	9999-12-31	NO	7120/8	1	134.853000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2009-01-01	NO	7120/9	3	70.441000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7120/9	3	66.043000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2012-01-01	9999-12-31	NO	7120/9	3	66.043000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2009-01-01	NO	7121/4	6	100.360000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7121/4	6	98.178000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2012-01-01	9999-12-31	NO	7121/4	6	98.171000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2009-01-01	NO	7121/5	9	74.210000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7121/5	9	28.405000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2012-01-01	9999-12-31	NO	7121/5	9	28.405000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2009-01-01	NO	7121/5	10	30.729000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7121/5	10	15.242000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2012-01-01	9999-12-31	NO	7121/5	10	15.242000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7121/5	11	4.364000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2012-01-01	9999-12-31	NO	7121/5	11	15.368000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7121/5	12	15.368000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2009-01-01	NO	7121/7	7	101.257000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2012-01-01	NO	7121/7	7	77.025000	1333943	9999-12-31	2013-05-08
SNØHVIT UNIT	2012-01-01	9999-12-31	NO	7121/7	7	77.025000	1333943	9999-12-31	2013-05-08
MIKKEL UNIT	2001-06-06	9999-12-31	NO	6407/5	1	22.179000	1629477	9999-12-31	2013-05-08
MIKKEL UNIT	2001-06-06	9999-12-31	NO	6407/6	2	25.131000	1629477	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	1	4659.730000	1630961	9999-12-31	2013-05-08
SA-A	2000-06-16	2002-04-30	NO	UNKNOWN	1	3612.697000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	2	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	3	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	4	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	5	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	6	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	7	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	8	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	9	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	10	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	11	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	12	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	13	0.000000	1630961	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-06-16	NO	UNKNOWN	14	0.000000	1630961	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7220/12	5	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7220/12	12	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7220/3	2	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7220/3	2	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7220/6	3	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7220/9	4	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7220/9	9	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7221/1	3	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7221/1	6	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7221/10	13	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7221/10	13	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7221/10	15	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7221/11	14	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7221/11	14	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7221/2	4	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7221/2	7	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7221/3	5	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7221/3	8	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7221/3	10	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7221/4	7	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7221/4	9	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7221/5	8	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7221/5	12	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7221/7	10	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	7221/7	11	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7221/8	11	0.000000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	7222/1	6	0.000000	1631138	9999-12-31	2013-05-08
SA-C	1997-05-30	2004-05-13	NO	UNKNOWN	1	4358.832000	1631138	9999-12-31	2013-05-08
SA-C	2004-05-13	2010-05-29	NO	UNKNOWN	1	3286.355000	1631138	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7125/3	3	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7126/1	4	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7126/2	5	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7126/3	6	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7127/1	7	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7226/10	8	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7226/11	9	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7226/12	10	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7227/10	14	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7227/7	11	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7227/8	12	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7227/9	13	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7228/4	15	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	7228/7	16	0.000000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	UNKNOWN	1	5011.100000	1631341	9999-12-31	2013-05-08
SA-F	1997-05-30	2008-09-01	NO	UNKNOWN	2	0.000000	1631341	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7128/3	2	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7129/1	3	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7129/2	4	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7129/5	2	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7129/5	5	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7129/6	3	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7129/6	6	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7129/7	4	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7129/7	7	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7129/8	5	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7129/8	8	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7129/9	6	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7129/9	9	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7130/10	12	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7130/10	17	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7130/10	18	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7130/11	13	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7130/11	19	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7130/12	14	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7130/3	10	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7130/4	7	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7130/4	11	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7130/5	8	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7130/5	12	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7130/5	14	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7130/6	13	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7130/7	9	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7130/7	15	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7130/8	10	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7130/9	11	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7130/9	16	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7131/1	20	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7131/10	16	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7131/4	21	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7131/4	23	0.000000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	7131/7	15	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	7131/7	22	0.000000	1631599	9999-12-31	2013-05-08
SA-G	1997-05-30	2004-07-05	NO	UNKNOWN	1	5041.702000	1631599	9999-12-31	2013-05-08
SA-G	2004-07-05	2007-05-15	NO	UNKNOWN	1	3210.273000	1631599	9999-12-31	2013-05-08
SA-SB	2001-04-27	2004-02-11	NO	26/1	2	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2004-02-11	2006-12-22	NO	26/2	2	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2001-04-27	2004-02-11	NO	26/2	3	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2001-04-27	2004-02-11	NO	26/4	4	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2004-02-11	2006-12-22	NO	26/5	3	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2001-04-27	2004-02-11	NO	26/5	5	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2004-02-11	2006-12-22	NO	26/7	4	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2001-04-27	2004-02-11	NO	26/7	6	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2004-02-11	2006-12-22	NO	26/8	5	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2001-04-27	2004-02-11	NO	26/8	7	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2004-02-11	2006-12-22	NO	31/10	6	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2001-04-27	2004-02-11	NO	31/10	8	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2001-04-27	2004-02-11	NO	31/10	9	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2004-02-11	2006-12-22	NO	31/11	7	0.000000	1631767	9999-12-31	2013-05-08
SA-SB	2001-04-27	2004-02-11	NO	UNKNOWN	1	4175.938000	1631767	9999-12-31	2013-05-08
SA-SB	2004-02-11	2006-12-22	NO	UNKNOWN	1	2994.125000	1631767	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2001-12-18	2003-05-12	NO	6406/1	2	7.372000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-12-03	9999-12-31	NO	6406/1	2	22.025000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2001-12-18	2003-05-12	NO	6406/1	3	73.376000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-12	2003-08-26	NO	6406/1	4	22.025000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-12	2003-08-26	NO	6406/2	2	422.847000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2001-12-18	2003-05-12	NO	6406/2	4	422.847000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-12-03	9999-12-31	NO	6406/2	4	215.679000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2001-12-18	2003-05-12	NO	6406/5	1	14.757000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-12	2003-08-26	NO	6406/5	3	10.329000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-12-03	9999-12-31	NO	6406/5	3	10.329000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-12	2003-08-26	NO	6506/11	1	155.795000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-12-03	9999-12-31	NO	6506/11	1	91.908000	1854695	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2001-12-18	2003-05-12	NO	6506/11	5	155.795000	1854695	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2003-12-03	9999-12-31	NO	6305/4	1	147.542000	2588637	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2003-12-03	9999-12-31	NO	6305/5	2	193.719000	2588637	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2003-12-03	9999-12-31	NO	6305/7	3	140.867000	2588637	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2003-12-03	9999-12-31	NO	6305/8	4	170.324000	2588637	9999-12-31	2013-05-08
BLANE UNIT	2005-07-01	9999-12-31	NO	1/2	1	39.770000	3437667	9999-12-31	2013-05-08
BLANE UNIT	2005-07-01	9999-12-31	NO	UNKNOWN	2	16.317000	3437667	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-10-10	NO	15/5	1	5.607000	3437805	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-10	9999-12-31	NO	15/5	1	5.600000	3437805	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-10-10	NO	UNKNOWN	2	15.122000	3437805	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-10	9999-12-31	NO	UNKNOWN	2	15.159000	3437805	9999-12-31	2013-05-08
TYRIHANS UNIT	2005-06-23	9999-12-31	NO	6406/3	2	16.169000	3488806	9999-12-31	2013-05-08
TYRIHANS UNIT	2005-06-23	9999-12-31	NO	6406/3	3	27.972000	3488806	9999-12-31	2013-05-08
TYRIHANS UNIT	2005-06-23	9999-12-31	NO	6407/1	1	73.479000	3488806	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	9999-12-31	NO	30/12	6	23.152000	3500071	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	9999-12-31	NO	30/6	1	227.327000	3500071	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	9999-12-31	NO	30/6	2	98.131000	3500071	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	9999-12-31	NO	30/9	4	102.167000	3500071	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	9999-12-31	NO	30/9	5	348.512000	3500071	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	9999-12-31	NO	31/4	3	5.071000	3500071	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2005-11-17	2011-11-04	NO	25/8	1	34.841000	3505593	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2011-11-04	9999-12-31	NO	25/8	1	34.841000	3505593	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2005-11-17	2011-11-04	NO	25/8	2	19.385000	3505593	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2011-11-04	9999-12-31	NO	25/8	2	19.385000	3505593	9999-12-31	2013-05-08
MARTIN LINGE UNIT	2005-09-07	2006-01-06	NO	29/6	3	18.410000	3812119	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2006-01-06	9999-12-31	NO	29/6	3	18.410000	3812119	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2006-01-06	9999-12-31	NO	29/6	5	3.819000	3812119	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2006-01-06	9999-12-31	NO	29/6	6	1.607000	3812119	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2005-09-07	2006-01-06	NO	29/9	1	10.351000	3812119	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2006-01-06	9999-12-31	NO	29/9	1	10.351000	3812119	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2005-09-07	2006-01-06	NO	30/4	4	30.596000	3812119	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2006-01-06	9999-12-31	NO	30/4	4	30.596000	3812119	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2005-09-07	2006-01-06	NO	30/7	2	30.642000	3812119	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2006-01-06	9999-12-31	NO	30/7	2	30.642000	3812119	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2006-01-06	9999-12-31	NO	UNKNOWN	7	11.883000	3812119	2012-06-13	2013-05-08
GIMLE UNIT	2006-06-22	9999-12-31	NO	34/10	3	3.947000	4007192	9999-12-31	2013-05-08
GIMLE UNIT	2006-06-22	9999-12-31	NO	34/7	1	9.966000	4007192	9999-12-31	2013-05-08
GIMLE UNIT	2006-06-22	9999-12-31	NO	34/8	2	9.966000	4007192	9999-12-31	2013-05-08
SKARV UNIT	2007-06-28	9999-12-31	NO	6507/2	3	38.292000	4468539	9999-12-31	2013-05-08
SKARV UNIT	2007-06-28	9999-12-31	NO	6507/3	4	22.616000	4468539	9999-12-31	2013-05-08
SKARV UNIT	2007-06-28	9999-12-31	NO	6507/3	5	55.650000	4468539	9999-12-31	2013-05-08
SKARV UNIT	2007-06-28	9999-12-31	NO	6507/5	1	203.893000	4468539	9999-12-31	2013-05-08
SKARV UNIT	2007-06-28	9999-12-31	NO	6507/6	2	14.218000	4468539	9999-12-31	2013-05-08
TAMBAR ØST UNIT	2006-01-01	9999-12-31	NO	1/3	1	5.276000	4999504	9999-12-31	2013-05-08
TAMBAR ØST UNIT	2006-01-01	9999-12-31	NO	2/1	2	0.366000	4999504	9999-12-31	2013-05-08
TAMBAR ØST UNIT	2006-01-01	9999-12-31	NO	2/1	3	3.762000	4999504	9999-12-31	2013-05-08
VALEMON UNIT	2010-09-27	2011-12-21	NO	30/1	2	6.701000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2011-12-21	2012-04-11	NO	30/1	2	6.701000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-11	9999-12-31	NO	30/1	4	6.701000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2010-09-27	2011-12-21	NO	34/10	1	47.282000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2011-12-21	2012-04-11	NO	34/10	1	47.282000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2010-09-27	2011-12-21	NO	34/10	3	63.949000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2011-12-21	2012-04-11	NO	34/10	3	63.949000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-11	9999-12-31	NO	34/10	3	63.949000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-11	9999-12-31	NO	34/10	5	2.091000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2010-09-27	2011-12-21	NO	34/10	6	2.091000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2011-12-21	2012-04-11	NO	34/10	6	2.091000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-11	9999-12-31	NO	34/10	6	47.282000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-11	9999-12-31	NO	34/11	1	78.138000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-11	9999-12-31	NO	34/11	2	5.002000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2010-09-27	2011-12-21	NO	34/11	4	78.138000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2011-12-21	2012-04-11	NO	34/11	4	78.138000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2010-09-27	2011-12-21	NO	34/11	5	5.002000	18403644	9999-12-31	2013-05-08
VALEMON UNIT	2011-12-21	2012-04-11	NO	34/11	5	5.002000	18403644	9999-12-31	2013-05-08
VEGA UNIT	2011-03-01	9999-12-31	NO	35/11	1	2.443000	20459640	9999-12-31	2013-05-08
VEGA UNIT	2011-03-01	9999-12-31	NO	35/11	5	20.895000	20459640	9999-12-31	2013-05-08
VEGA UNIT	2011-03-01	9999-12-31	NO	35/7	3	4.452000	20459640	9999-12-31	2013-05-08
VEGA UNIT	2011-03-01	9999-12-31	NO	35/8	2	24.768000	20459640	9999-12-31	2013-05-08
VEGA UNIT	2011-03-01	9999-12-31	NO	35/8	4	10.174000	20459640	9999-12-31	2013-05-08
JETTE UNIT	2012-01-05	9999-12-31	NO	25/7	1	7.036000	21077388	9999-12-31	2013-05-08
JETTE UNIT	2012-01-05	9999-12-31	NO	25/8	2	8.793000	21077388	9999-12-31	2013-05-08
JETTE UNIT	2012-01-05	9999-12-31	NO	25/8	3	8.790000	21077388	9999-12-31	2013-05-08
\.



COPY bsns_arr_area_licensee_hst (baaname, baalicenseedatevalidfrom, baalicenseedatevalidto, cmplongname, baalicenseeinterest, baalicenseesdfi, baanpdidbsnsarrarea, cmpnpdidcompany, baalicenseedateupdated, datesyncnpd) FROM stdin;
BRAGE UNIT	1993-12-27	1999-01-01	Elf Petroleum Norge AS	0.666400	\N	40432	298	9999-12-31	2013-05-08
BRAGE UNIT	1993-12-27	1999-01-01	Esso Exploration and Production Norway A/S	16.343400	\N	40432	353	9999-12-31	2013-05-08
BRAGE UNIT	1999-01-01	1999-04-13	Esso Exploration and Production Norway A/S	16.343400	\N	40432	353	9999-12-31	2013-05-08
BRAGE UNIT	1999-04-13	2001-05-10	Esso Exploration and Production Norway A/S	16.343400	\N	40432	353	9999-12-31	2013-05-08
BRAGE UNIT	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	16.343400	\N	40432	353	9999-12-31	2013-05-08
BRAGE UNIT	2001-06-17	2002-01-01	Esso Exploration and Production Norway A/S	16.343400	\N	40432	353	9999-12-31	2013-05-08
BRAGE UNIT	2002-01-01	2002-03-19	Esso Exploration and Production Norway A/S	16.343400	\N	40432	353	9999-12-31	2013-05-08
BRAGE UNIT	2002-03-19	2003-03-04	Esso Exploration and Production Norway A/S	16.343400	\N	40432	353	9999-12-31	2013-05-08
BRAGE UNIT	2003-03-04	2004-01-01	Esso Exploration and Production Norway A/S	16.343400	\N	40432	353	9999-12-31	2013-05-08
BRAGE UNIT	2004-01-01	2004-10-01	Esso Exploration and Production Norway A/S	13.843400	\N	40432	353	9999-12-31	2013-05-08
BRAGE UNIT	1993-12-27	1999-01-01	Norsk Hydro Produksjon AS	22.418200	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	1999-01-01	1999-04-13	Norsk Hydro Produksjon AS	24.442400	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	1999-04-13	2001-05-10	Norsk Hydro Produksjon AS	24.442400	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	24.442400	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	24.442400	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2002-01-01	2002-03-19	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2002-03-19	2003-03-04	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2003-03-04	2004-01-01	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2004-01-01	2004-10-01	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2004-10-01	2005-01-01	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-01	2005-01-10	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-10	2005-05-04	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2005-05-04	2006-01-01	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2006-01-01	2006-03-22	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2006-03-22	2006-10-13	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2006-10-13	2006-11-28	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2006-11-28	2007-01-01	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	1993-12-27	1999-01-01	Mobil Development Norway AS	0.499800	\N	40432	474	9999-12-31	2013-05-08
BRAGE UNIT	1993-12-27	1999-01-01	Neste Petroleum AS	12.257500	\N	40432	496	9999-12-31	2013-05-08
BRAGE UNIT	1999-01-01	1999-04-13	Neste Petroleum AS	12.257500	\N	40432	496	9999-12-31	2013-05-08
BRAGE UNIT	1993-12-27	1999-01-01	Saga Petroleum ASA	0.524800	\N	40432	716	9999-12-31	2013-05-08
BRAGE UNIT	1993-12-27	1999-01-01	Den norske stats oljeselskap a.s	46.956700	34.256700	40432	749	9999-12-31	2013-05-08
BRAGE UNIT	1999-01-01	1999-04-13	Den norske stats oljeselskap a.s	46.956700	34.256700	40432	749	9999-12-31	2013-05-08
BRAGE UNIT	1999-04-13	2001-05-10	Den norske stats oljeselskap a.s	46.956700	34.256700	40432	749	9999-12-31	2013-05-08
BRAGE UNIT	1993-12-27	1999-01-01	Total Norge AS	0.333200	\N	40432	848	9999-12-31	2013-05-08
BRAGE UNIT	1999-04-13	2001-05-10	Fortum Petroleum AS	12.257500	\N	40432	102714	9999-12-31	2013-05-08
BRAGE UNIT	2001-05-10	2001-06-17	Fortum Petroleum AS	12.257500	\N	40432	102714	9999-12-31	2013-05-08
BRAGE UNIT	2001-06-17	2002-01-01	Fortum Petroleum AS	12.257500	\N	40432	102714	9999-12-31	2013-05-08
BRAGE UNIT	2002-01-01	2002-03-19	Fortum Petroleum AS	12.257500	\N	40432	102714	9999-12-31	2013-05-08
BRAGE UNIT	2002-03-19	2003-03-04	Fortum Petroleum AS	12.257500	\N	40432	102714	9999-12-31	2013-05-08
BRAGE UNIT	2002-03-19	2003-03-04	Paladin Resources Norge AS	20.000000	\N	40432	1577943	9999-12-31	2013-05-08
BRAGE UNIT	2003-03-04	2004-01-01	Paladin Resources Norge AS	20.000000	\N	40432	1577943	9999-12-31	2013-05-08
BRAGE UNIT	2004-01-01	2004-10-01	Paladin Resources Norge AS	20.000000	\N	40432	1577943	9999-12-31	2013-05-08
BRAGE UNIT	2004-10-01	2005-01-01	Paladin Resources Norge AS	20.000000	\N	40432	1577943	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-01	2005-01-10	Paladin Resources Norge AS	20.000000	\N	40432	1577943	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-10	2005-05-04	Paladin Resources Norge AS	20.000000	\N	40432	1577943	9999-12-31	2013-05-08
BRAGE UNIT	2005-05-04	2006-01-01	Paladin Resources Norge AS	20.000000	\N	40432	1577943	9999-12-31	2013-05-08
BRAGE UNIT	2006-01-01	2006-03-22	Paladin Resources Norge AS	20.000000	\N	40432	1577943	9999-12-31	2013-05-08
BRAGE UNIT	2001-05-10	2001-06-17	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2001-06-17	2002-01-01	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2002-01-01	2002-03-19	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2002-03-19	2003-03-04	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2003-03-04	2004-01-01	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2004-01-01	2004-10-01	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2004-10-01	2005-01-01	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-01	2005-01-10	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-10	2005-05-04	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2005-05-04	2006-01-01	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2006-01-01	2006-03-22	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2006-03-22	2006-10-13	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2006-10-13	2006-11-28	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2006-11-28	2007-01-01	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2001-05-10	2001-06-17	SDØE	34.256700	\N	40432	1623450	9999-12-31	2013-05-08
BRAGE UNIT	2001-06-17	2002-01-01	Petoro AS	34.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2002-01-01	2002-03-19	Petoro AS	34.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2002-03-19	2003-03-04	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2003-03-04	2004-01-01	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2004-01-01	2004-10-01	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2004-10-01	2005-01-01	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-01	2005-01-10	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-10	2005-05-04	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2005-05-04	2006-01-01	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2006-01-01	2006-03-22	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2006-03-22	2006-10-13	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2006-10-13	2006-11-28	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2006-11-28	2007-01-01	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2007-01-01	2007-10-01	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2007-10-01	2009-01-01	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-01	2009-01-17	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-17	2009-05-26	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2009-05-26	2009-10-01	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2009-10-01	2009-11-01	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2009-11-01	2010-01-01	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2010-01-01	2011-01-01	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2002-01-01	2002-03-19	OER Oil AS	4.442400	\N	40432	2258813	9999-12-31	2013-05-08
BRAGE UNIT	2002-03-19	2003-03-04	OER Oil AS	4.442400	\N	40432	2258813	9999-12-31	2013-05-08
BRAGE UNIT	2003-03-04	2004-01-01	OER Oil AS	4.442400	\N	40432	2258813	9999-12-31	2013-05-08
BRAGE UNIT	2004-01-01	2004-10-01	OER Oil AS	4.442400	\N	40432	2258813	9999-12-31	2013-05-08
BRAGE UNIT	2004-10-01	2005-01-01	OER Oil AS	4.442400	\N	40432	2258813	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-01	2005-01-10	OER Oil AS	4.442400	\N	40432	2258813	9999-12-31	2013-05-08
BRAGE UNIT	2003-03-04	2004-01-01	Eni Norge AS	12.257500	\N	40432	2388594	9999-12-31	2013-05-08
BRAGE UNIT	2004-01-01	2004-10-01	Eni Norge AS	12.257500	\N	40432	2388594	9999-12-31	2013-05-08
BRAGE UNIT	2004-10-01	2005-01-01	Eni Norge AS	12.257500	\N	40432	2388594	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-01	2005-01-10	Eni Norge AS	12.257500	\N	40432	2388594	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-10	2005-05-04	Eni Norge AS	12.257500	\N	40432	2388594	9999-12-31	2013-05-08
BRAGE UNIT	2005-05-04	2006-01-01	Eni Norge AS	12.257500	\N	40432	2388594	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-01	2005-01-10	Talisman Energy Norge AS	13.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-10	2005-05-04	Talisman Energy Norge AS	13.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2005-05-04	2006-01-01	Talisman Energy Norge AS	13.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2006-01-01	2006-03-22	Talisman Energy Norge AS	13.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2006-03-22	2006-10-13	Talisman Energy Norge AS	13.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2006-10-13	2006-11-28	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2006-11-28	2007-01-01	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2007-01-01	2007-10-01	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2007-10-01	2009-01-01	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-01	2009-01-17	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-17	2009-05-26	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2009-05-26	2009-10-01	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2009-10-01	2009-11-01	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2009-11-01	2010-01-01	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2010-01-01	2011-01-01	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2011-01-01	2011-07-01	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2011-07-01	2013-02-13	Talisman Energy Norge AS	33.843400	\N	40432	2425093	2013-02-20	2013-05-08
BRAGE UNIT	2013-02-13	9999-12-31	Talisman Energy Norge AS	33.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2004-01-01	2004-10-01	Revus Energy AS	2.500000	\N	40432	2455850	9999-12-31	2013-05-08
BRAGE UNIT	2004-10-01	2005-01-01	Revus Energy AS	2.500000	\N	40432	2455850	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-01	2005-01-10	Revus Energy AS	2.500000	\N	40432	2455850	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-10	2005-05-04	Revus Energy AS	2.500000	\N	40432	2455850	9999-12-31	2013-05-08
BRAGE UNIT	2006-01-01	2006-03-22	Altinex Oil AS	12.257500	\N	40432	2835200	9999-12-31	2013-05-08
BRAGE UNIT	2006-03-22	2006-10-13	Altinex Oil AS	12.257500	\N	40432	2835200	9999-12-31	2013-05-08
BRAGE UNIT	2006-10-13	2006-11-28	Altinex Oil AS	12.257500	\N	40432	2835200	9999-12-31	2013-05-08
BRAGE UNIT	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	13.843400	\N	40432	2835212	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-10	2005-05-04	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2005-05-04	2006-01-01	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2006-01-01	2006-03-22	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2006-03-22	2006-10-13	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2006-10-13	2006-11-28	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2006-11-28	2007-01-01	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2007-01-01	2007-10-01	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2007-10-01	2009-01-01	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-01	2009-01-17	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-17	2009-05-26	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2005-05-04	2006-01-01	Revus Energy ASA	2.500000	\N	40432	3431773	9999-12-31	2013-05-08
BRAGE UNIT	2006-01-01	2006-03-22	Revus Energy ASA	2.500000	\N	40432	3431773	9999-12-31	2013-05-08
BRAGE UNIT	2006-03-22	2006-10-13	Revus Energy ASA	2.500000	\N	40432	3431773	9999-12-31	2013-05-08
BRAGE UNIT	2006-10-13	2006-11-28	Revus Energy ASA	2.500000	\N	40432	3431773	9999-12-31	2013-05-08
BRAGE UNIT	2006-11-28	2007-01-01	Revus Energy ASA	2.500000	\N	40432	3431773	9999-12-31	2013-05-08
BRAGE UNIT	2007-01-01	2007-10-01	Revus Energy ASA	2.500000	\N	40432	3431773	9999-12-31	2013-05-08
BRAGE UNIT	2007-10-01	2009-01-01	Revus Energy ASA	2.500000	\N	40432	3431773	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-01	2009-01-17	Revus Energy ASA	2.500000	\N	40432	3431773	9999-12-31	2013-05-08
BRAGE UNIT	2006-03-22	2006-10-13	Talisman Resources Norge AS	20.000000	\N	40432	3987574	9999-12-31	2013-05-08
BRAGE UNIT	2011-01-01	2011-07-01	Faroe Petroleum Norge AS	14.256700	\N	40432	4062883	9999-12-31	2013-05-08
BRAGE UNIT	2011-07-01	2013-02-13	Faroe Petroleum Norge AS	14.256700	\N	40432	4062883	2013-02-20	2013-05-08
BRAGE UNIT	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	14.256700	\N	40432	4062883	9999-12-31	2013-05-08
BRAGE UNIT	2006-11-28	2007-01-01	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2007-01-01	2007-10-01	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2007-10-01	2009-01-01	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-01	2009-01-17	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-17	2009-05-26	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2009-05-26	2009-10-01	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2009-10-01	2009-11-01	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2009-11-01	2010-01-01	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2010-01-01	2011-01-01	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2011-01-01	2011-07-01	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	20.000000	\N	40432	4511658	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-01	2009-01-17	StatoilHydro Petroleum AS	32.700000	\N	40432	4511658	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-17	2009-05-26	StatoilHydro Petroleum AS	32.700000	\N	40432	4511658	9999-12-31	2013-05-08
BRAGE UNIT	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	32.700000	\N	40432	4511658	9999-12-31	2013-05-08
BRAGE UNIT	2009-10-01	2009-11-01	StatoilHydro Petroleum AS	32.700000	\N	40432	4511658	9999-12-31	2013-05-08
BRAGE UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	12.700000	\N	40432	4511854	9999-12-31	2013-05-08
BRAGE UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	20.000000	\N	40432	4524355	9999-12-31	2013-05-08
BRAGE UNIT	2010-01-01	2011-01-01	Spring Energy Norway AS	2.500000	\N	40432	5072514	9999-12-31	2013-05-08
BRAGE UNIT	2011-01-01	2011-07-01	Spring Energy Norway AS	2.500000	\N	40432	5072514	9999-12-31	2013-05-08
BRAGE UNIT	2011-07-01	2013-02-13	Spring Energy Norway AS	2.500000	\N	40432	5072514	2013-02-20	2013-05-08
BRAGE UNIT	2009-01-17	2009-05-26	Wintershall Norge ASA	2.500000	\N	40432	5442509	9999-12-31	2013-05-08
BRAGE UNIT	2009-05-26	2009-10-01	Wintershall Norge ASA	2.500000	\N	40432	5442509	9999-12-31	2013-05-08
BRAGE UNIT	2009-10-01	2009-11-01	Wintershall Norge ASA	2.500000	\N	40432	5442509	9999-12-31	2013-05-08
BRAGE UNIT	2009-11-01	2010-01-01	Wintershall Norge ASA	2.500000	\N	40432	5442509	9999-12-31	2013-05-08
BRAGE UNIT	2009-05-26	2009-10-01	VNG Norge (Operations) AS	4.442400	\N	40432	5497155	9999-12-31	2013-05-08
BRAGE UNIT	2009-10-01	2009-11-01	VNG Norge AS	4.442400	\N	40432	17237193	9999-12-31	2013-05-08
BRAGE UNIT	2009-11-01	2010-01-01	VNG Norge AS	4.442400	\N	40432	17237193	9999-12-31	2013-05-08
BRAGE UNIT	2010-01-01	2011-01-01	VNG Norge AS	4.442400	\N	40432	17237193	9999-12-31	2013-05-08
BRAGE UNIT	2011-01-01	2011-07-01	VNG Norge AS	4.442400	\N	40432	17237193	9999-12-31	2013-05-08
BRAGE UNIT	2011-07-01	2013-02-13	VNG Norge AS	4.442400	\N	40432	17237193	2013-02-20	2013-05-08
BRAGE UNIT	2013-02-13	9999-12-31	VNG Norge AS	4.442400	\N	40432	17237193	9999-12-31	2013-05-08
BRAGE UNIT	2009-11-01	2010-01-01	Statoil Petroleum AS	32.700000	\N	40432	17237817	9999-12-31	2013-05-08
BRAGE UNIT	2010-01-01	2011-01-01	Statoil Petroleum AS	32.700000	\N	40432	17237817	9999-12-31	2013-05-08
BRAGE UNIT	2011-01-01	2011-07-01	Statoil Petroleum AS	32.700000	\N	40432	17237817	9999-12-31	2013-05-08
BRAGE UNIT	2011-07-01	2013-02-13	Statoil Petroleum AS	32.700000	\N	40432	17237817	2013-02-20	2013-05-08
BRAGE UNIT	2013-02-13	9999-12-31	Statoil Petroleum AS	32.700000	\N	40432	17237817	9999-12-31	2013-05-08
BRAGE UNIT	2011-07-01	2013-02-13	Core Energy AS	12.257500	\N	40432	20460080	2013-02-20	2013-05-08
BRAGE UNIT	2013-02-13	9999-12-31	Core Energy AS	12.257500	\N	40432	20460080	9999-12-31	2013-05-08
BRAGE UNIT	2013-02-13	9999-12-31	Tullow Oil Norge AS	2.500000	\N	40432	23173852	9999-12-31	2013-05-08
HEIDRUN UNIT	1991-11-27	1992-08-14	Norske Conoco A/S	18.125000	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	1992-08-14	1993-12-13	Norske Conoco A/S	18.125000	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	1993-12-13	1995-03-06	Norske Conoco A/S	18.125000	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	1995-03-06	1995-06-22	Norske Conoco A/S	18.125000	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	1995-06-22	1999-04-13	Norske Conoco A/S	18.125000	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	1999-04-13	2000-01-01	Norske Conoco A/S	18.125000	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	2000-01-01	2001-05-10	Norske Conoco A/S	18.292510	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-05-10	2001-06-17	Norske Conoco A/S	18.292510	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-06-17	2002-03-19	Norske Conoco A/S	18.292510	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	2002-03-19	2003-03-04	Norske Conoco A/S	24.292510	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-04	2003-03-22	Norske Conoco A/S	24.292510	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	1991-11-27	1992-08-14	DNO Olje A/S	0.625000	\N	40490	276	9999-12-31	2013-05-08
HEIDRUN UNIT	1993-12-13	1995-03-06	DNO Olje A/S	0.625000	\N	40490	276	9999-12-31	2013-05-08
HEIDRUN UNIT	1991-11-27	1992-08-14	Norsk Hydro Produksjon AS	1.250000	\N	40490	430	9999-12-31	2013-05-08
HEIDRUN UNIT	1992-08-14	1993-12-13	Norsk Hydro Produksjon AS	1.250000	\N	40490	430	9999-12-31	2013-05-08
HEIDRUN UNIT	1991-11-27	1992-08-14	Neste Petroleum AS	5.000000	\N	40490	496	9999-12-31	2013-05-08
HEIDRUN UNIT	1992-08-14	1993-12-13	Neste Petroleum AS	5.000000	\N	40490	496	9999-12-31	2013-05-08
HEIDRUN UNIT	1993-12-13	1995-03-06	Neste Petroleum AS	5.000000	\N	40490	496	9999-12-31	2013-05-08
HEIDRUN UNIT	1995-03-06	1995-06-22	Neste Petroleum AS	5.000000	\N	40490	496	9999-12-31	2013-05-08
HEIDRUN UNIT	1995-06-22	1999-04-13	Neste Petroleum AS	5.000000	\N	40490	496	9999-12-31	2013-05-08
HEIDRUN UNIT	1992-08-14	1993-12-13	Norminol AS	0.625000	\N	40490	529	9999-12-31	2013-05-08
HEIDRUN UNIT	1995-03-06	1995-06-22	Saga Petroleum ASA	0.625000	\N	40490	716	9999-12-31	2013-05-08
HEIDRUN UNIT	1991-11-27	1992-08-14	Den norske stats oljeselskap a.s	75.000000	65.000000	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	1992-08-14	1993-12-13	Den norske stats oljeselskap a.s	75.000000	65.000000	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	1993-12-13	1995-03-06	Den norske stats oljeselskap a.s	76.250000	65.000000	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	1995-03-06	1995-06-22	Den norske stats oljeselskap a.s	76.250000	65.000000	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	1995-06-22	1999-04-13	Den norske stats oljeselskap a.s	76.875000	65.000000	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	1999-04-13	2000-01-01	Den norske stats oljeselskap a.s	76.875000	65.000000	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	2000-01-01	2001-05-10	Den norske stats oljeselskap a.s	76.586850	64.155470	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	1999-04-13	2000-01-01	Fortum Petroleum AS	5.000000	\N	40490	102714	9999-12-31	2013-05-08
HEIDRUN UNIT	2000-01-01	2001-05-10	Fortum Petroleum AS	5.120640	\N	40490	102714	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-05-10	2001-06-17	Fortum Petroleum AS	5.120640	\N	40490	102714	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-06-17	2002-03-19	Fortum Petroleum AS	5.120640	\N	40490	102714	9999-12-31	2013-05-08
HEIDRUN UNIT	2002-03-19	2003-03-04	Fortum Petroleum AS	5.120640	\N	40490	102714	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-05-10	2001-06-17	Statoil ASA (old)	12.431380	\N	40490	1622484	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-06-17	2002-03-19	Statoil ASA (old)	12.431380	\N	40490	1622484	9999-12-31	2013-05-08
HEIDRUN UNIT	2002-03-19	2003-03-04	Statoil ASA (old)	12.431380	\N	40490	1622484	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-04	2003-03-22	Statoil ASA (old)	12.431380	\N	40490	1622484	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-22	2003-06-11	Statoil ASA (old)	12.431380	\N	40490	1622484	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-06-11	2007-01-02	Statoil ASA (old)	12.405680	\N	40490	1622484	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-01-02	2007-10-01	Statoil ASA (old)	12.405680	\N	40490	1622484	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-05-10	2001-06-17	SDØE	64.155470	\N	40490	1623450	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-06-17	2002-03-19	Petoro AS	64.155470	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2002-03-19	2003-03-04	Petoro AS	58.155470	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-04	2003-03-22	Petoro AS	58.155470	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-22	2003-06-11	Petoro AS	58.155470	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-06-11	2007-01-02	Petoro AS	58.164400	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-01-02	2007-10-01	Petoro AS	58.164400	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-10-01	2009-01-01	Petoro AS	58.164400	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-01-01	2009-11-01	Petoro AS	58.164400	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-11-01	9999-12-31	Petoro AS	58.164400	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-04	2003-03-22	Eni Norge AS	5.120640	\N	40490	2388594	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-22	2003-06-11	Eni Norge AS	5.120640	\N	40490	2388594	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-06-11	2007-01-02	Eni Norge AS	5.119370	\N	40490	2388594	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-01-02	2007-10-01	Eni Norge AS	5.119370	\N	40490	2388594	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-10-01	2009-01-01	Eni Norge AS	5.119370	\N	40490	2388594	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-01-01	2009-11-01	Eni Norge AS	5.119370	\N	40490	2388594	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-11-01	9999-12-31	Eni Norge AS	5.119370	\N	40490	2388594	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-22	2003-06-11	Norske ConocoPhillips AS	24.292510	\N	40490	2399056	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-06-11	2007-01-02	Norske ConocoPhillips AS	24.310550	\N	40490	2399056	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	24.310550	\N	40490	2410696	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	24.310550	\N	40490	2410696	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	24.310550	\N	40490	2410696	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	24.310550	\N	40490	2410696	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	12.405680	\N	40490	4511658	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	12.405680	\N	40490	4511854	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	12.405680	\N	40490	17237817	9999-12-31	2013-05-08
ÅSGARD UNIT	1995-01-01	1999-04-13	Norsk Agip  AS	7.900000	\N	40564	45	9999-12-31	2013-05-08
ÅSGARD UNIT	1999-04-13	2001-01-11	Norsk Agip  AS	7.900000	\N	40564	45	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-01-11	2001-05-10	Norsk Agip  AS	7.900000	\N	40564	45	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-05-10	2001-06-01	Norsk Agip  AS	7.900000	\N	40564	45	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-01	2001-06-17	Norsk Agip  AS	7.900000	\N	40564	45	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-17	2001-12-18	Norsk Agip  AS	7.900000	\N	40564	45	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-12-18	2003-03-04	Norsk Agip  AS	7.900000	\N	40564	45	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-03-04	2003-05-06	Norsk Agip  AS	7.900000	\N	40564	45	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-05-06	2003-12-31	Norsk Agip  AS	7.900000	\N	40564	45	9999-12-31	2013-05-08
ÅSGARD UNIT	1995-01-01	1999-04-13	Norsk Hydro Produksjon AS	2.600000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	1999-04-13	2001-01-11	Norsk Hydro Produksjon AS	2.600000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	9.600000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.600000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.600000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	9.600000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-12-18	2003-03-04	Norsk Hydro Produksjon AS	9.600000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-03-04	2003-05-06	Norsk Hydro Produksjon AS	9.600000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	9.600000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-12-31	2006-08-01	Norsk Hydro Produksjon AS	9.600000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	2007-01-01	Norsk Hydro Produksjon AS	9.610000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	1995-01-01	1999-04-13	Mobil Development Norway AS	7.350000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	1999-04-13	2001-01-11	Mobil Development Norway AS	7.350000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-01-11	2001-05-10	Mobil Development Norway AS	7.350000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-05-10	2001-06-01	Mobil Development Norway AS	7.350000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-01	2001-06-17	Mobil Development Norway AS	7.350000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-17	2001-12-18	Mobil Development Norway AS	7.350000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-12-18	2003-03-04	Mobil Development Norway AS	7.350000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-03-04	2003-05-06	Mobil Development Norway AS	7.350000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-05-06	2003-12-31	Mobil Development Norway AS	7.350000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-12-31	2006-08-01	Mobil Development Norway AS	7.350000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	2007-01-01	Mobil Development Norway AS	7.240000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-01-01	2007-10-01	Mobil Development Norway AS	7.240000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-10-01	2008-01-01	Mobil Development Norway AS	7.240000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-01	2008-01-02	Mobil Development Norway AS	7.240000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	1995-01-01	1999-04-13	Neste Petroleum AS	7.000000	\N	40564	496	9999-12-31	2013-05-08
ÅSGARD UNIT	1995-01-01	1999-04-13	Saga Petroleum ASA	7.000000	\N	40564	716	9999-12-31	2013-05-08
ÅSGARD UNIT	1999-04-13	2001-01-11	Saga Petroleum ASA	7.000000	\N	40564	716	9999-12-31	2013-05-08
ÅSGARD UNIT	1995-01-01	1999-04-13	Den norske stats oljeselskap a.s	60.500000	46.950000	40564	749	9999-12-31	2013-05-08
ÅSGARD UNIT	1999-04-13	2001-01-11	Den norske stats oljeselskap a.s	60.500000	46.950000	40564	749	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	60.500000	46.950000	40564	749	9999-12-31	2013-05-08
ÅSGARD UNIT	1995-01-01	1999-04-13	Total Norge AS	7.650000	\N	40564	848	9999-12-31	2013-05-08
ÅSGARD UNIT	1999-04-13	2001-01-11	Total Norge AS	7.650000	\N	40564	848	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-01-11	2001-05-10	Total Norge AS	7.650000	\N	40564	848	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-05-10	2001-06-01	Total Norge AS	7.650000	\N	40564	848	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-01	2001-06-17	Total Norge AS	7.650000	\N	40564	848	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-17	2001-12-18	Total Norge AS	7.650000	\N	40564	848	9999-12-31	2013-05-08
ÅSGARD UNIT	1999-04-13	2001-01-11	Fortum Petroleum AS	7.000000	\N	40564	102714	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-01-11	2001-05-10	Fortum Petroleum AS	7.000000	\N	40564	102714	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-05-10	2001-06-01	Fortum Petroleum AS	7.000000	\N	40564	102714	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-01	2001-06-17	Fortum Petroleum AS	7.000000	\N	40564	102714	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-17	2001-12-18	Fortum Petroleum AS	7.000000	\N	40564	102714	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-12-18	2003-03-04	Fortum Petroleum AS	7.000000	\N	40564	102714	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-12-18	2003-03-04	TotalFinaElf Exploration Norge AS	7.650000	\N	40564	1340884	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-03-04	2003-05-06	TotalFinaElf Exploration Norge AS	7.650000	\N	40564	1340884	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-05-10	2001-06-01	Statoil ASA (old)	13.550000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-01	2001-06-17	Statoil ASA (old)	25.000000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-17	2001-12-18	Statoil ASA (old)	25.000000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-12-18	2003-03-04	Statoil ASA (old)	25.000000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-03-04	2003-05-06	Statoil ASA (old)	25.000000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-05-06	2003-12-31	Statoil ASA (old)	25.000000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-12-31	2006-08-01	Statoil ASA (old)	25.000000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	2007-01-01	Statoil ASA (old)	24.960000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	24.960000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-05-10	2001-06-01	SDØE	46.950000	\N	40564	1623450	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-01	2001-06-17	SDØE	35.500000	\N	40564	1623450	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-17	2001-12-18	Petoro AS	35.500000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-12-18	2003-03-04	Petoro AS	35.500000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-03-04	2003-05-06	Petoro AS	35.500000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-05-06	2003-12-31	Petoro AS	35.500000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-12-31	2006-08-01	Petoro AS	35.500000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	2007-01-01	Petoro AS	35.690000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-01-01	2007-10-01	Petoro AS	35.690000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-10-01	2008-01-01	Petoro AS	35.690000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-01	2008-01-02	Petoro AS	35.690000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-02	2009-01-01	Petoro AS	35.690000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-01-01	2009-11-01	Petoro AS	35.690000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-11-01	9999-12-31	Petoro AS	35.690000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-03-04	2003-05-06	Eni Norge AS	7.000000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-05-06	2003-12-31	Eni Norge AS	7.000000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-12-31	2006-08-01	Eni Norge AS	14.900000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	2007-01-01	Eni Norge AS	14.820000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-01-01	2007-10-01	Eni Norge AS	14.820000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-10-01	2008-01-01	Eni Norge AS	14.820000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-01	2008-01-02	Eni Norge AS	14.820000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-02	2009-01-01	Eni Norge AS	14.820000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-01-01	2009-11-01	Eni Norge AS	14.820000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-11-01	9999-12-31	Eni Norge AS	14.820000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-05-06	2003-12-31	Total E&P Norge AS	7.650000	\N	40564	2410708	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-12-31	2006-08-01	Total E&P Norge AS	7.650000	\N	40564	2410708	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	2007-01-01	Total E&P Norge AS	7.680000	\N	40564	2410708	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-01-01	2007-10-01	Total E&P Norge AS	7.680000	\N	40564	2410708	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-10-01	2008-01-01	Total E&P Norge AS	7.680000	\N	40564	2410708	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-01	2008-01-02	Total E&P Norge AS	7.680000	\N	40564	2410708	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-02	2009-01-01	Total E&P Norge AS	7.680000	\N	40564	2410708	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	7.680000	\N	40564	2410708	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-11-01	9999-12-31	Total E&P Norge AS	7.680000	\N	40564	2410708	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	7.240000	\N	40564	2835212	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	7.240000	\N	40564	2835212	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	7.240000	\N	40564	2835212	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	9.610000	\N	40564	4511658	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	34.570000	\N	40564	4511658	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-10-01	2008-01-01	StatoilHydro ASA	24.960000	\N	40564	4511854	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-01	2008-01-02	StatoilHydro ASA	34.570000	\N	40564	4511854	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-02	2009-01-01	StatoilHydro ASA	34.570000	\N	40564	4511854	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.610000	\N	40564	4524355	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	34.570000	\N	40564	17237817	9999-12-31	2013-05-08
NJORD UNIT	2002-03-19	2003-03-22	Norske Conoco A/S	15.000000	\N	40585	221	9999-12-31	2013-05-08
NJORD UNIT	1995-02-23	1995-04-05	Deminex Norge AS	1.500000	\N	40585	254	9999-12-31	2013-05-08
NJORD UNIT	1995-02-23	1995-04-05	Norsk Hydro Produksjon AS	30.000000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	1995-04-05	1996-01-01	Norsk Hydro Produksjon AS	30.000000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	1996-01-01	2001-01-23	Norsk Hydro Produksjon AS	22.500000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2001-01-23	2001-05-10	Norsk Hydro Produksjon AS	22.500000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2001-05-10	2001-06-06	Norsk Hydro Produksjon AS	22.500000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2001-06-06	2001-06-17	Norsk Hydro Produksjon AS	22.500000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	22.500000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2002-01-01	2002-03-19	Norsk Hydro Produksjon AS	20.000000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2002-03-19	2003-03-22	Norsk Hydro Produksjon AS	20.000000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2003-03-22	2003-12-01	Norsk Hydro Produksjon AS	20.000000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2003-12-01	2004-07-05	Norsk Hydro Produksjon AS	20.000000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2004-07-05	2005-01-01	Norsk Hydro Produksjon AS	20.000000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2005-01-01	2005-01-10	Norsk Hydro Produksjon AS	20.000000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2005-01-10	2007-01-01	Norsk Hydro Produksjon AS	20.000000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	1995-02-23	1995-04-05	Mobil Development Norway AS	18.500000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	1995-04-05	1996-01-01	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	1996-01-01	2001-01-23	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2001-01-23	2001-05-10	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2001-05-10	2001-06-06	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2001-06-06	2001-06-17	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2001-06-17	2002-01-01	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2002-01-01	2002-03-19	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2002-03-19	2003-03-22	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2003-03-22	2003-12-01	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2003-12-01	2004-07-05	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2004-07-05	2005-01-01	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2005-01-01	2005-01-10	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2005-01-10	2007-01-01	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2007-01-01	2007-10-01	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2007-10-01	2008-01-01	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	1996-01-01	2001-01-23	Petro-Canada Norge AS (old)	7.500000	\N	40585	628	9999-12-31	2013-05-08
NJORD UNIT	1995-02-23	1995-04-05	Den norske stats oljeselskap a.s	50.000000	30.000000	40585	749	9999-12-31	2013-05-08
NJORD UNIT	1995-04-05	1996-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	40585	749	9999-12-31	2013-05-08
NJORD UNIT	1996-01-01	2001-01-23	Den norske stats oljeselskap a.s	50.000000	30.000000	40585	749	9999-12-31	2013-05-08
NJORD UNIT	2001-01-23	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	40585	749	9999-12-31	2013-05-08
NJORD UNIT	2001-05-10	2001-06-06	Den norske stats oljeselskap a.s	20.000000	0.000000	40585	749	9999-12-31	2013-05-08
NJORD UNIT	2001-01-23	2001-05-10	Paladin Resources Norge AS	7.500000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2001-05-10	2001-06-06	Paladin Resources Norge AS	7.500000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2001-06-06	2001-06-17	Paladin Resources Norge AS	7.500000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2001-06-17	2002-01-01	Paladin Resources Norge AS	7.500000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2002-01-01	2002-03-19	Paladin Resources Norge AS	7.500000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2002-03-19	2003-03-22	Paladin Resources Norge AS	15.000000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2003-03-22	2003-12-01	Paladin Resources Norge AS	15.000000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2003-12-01	2004-07-05	Paladin Resources Norge AS	15.000000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2004-07-05	2005-01-01	Paladin Resources Norge AS	15.000000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2001-05-10	2001-06-06	SDØE	30.000000	\N	40585	1623450	9999-12-31	2013-05-08
NJORD UNIT	2001-06-06	2001-06-17	SDØE	30.000000	\N	40585	1623450	9999-12-31	2013-05-08
NJORD UNIT	2001-06-17	2002-01-01	Petoro AS	30.000000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2002-01-01	2002-03-19	Petoro AS	30.000000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2002-03-19	2003-03-22	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2003-03-22	2003-12-01	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2003-12-01	2004-07-05	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2004-07-05	2005-01-01	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2005-01-01	2005-01-10	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2005-01-10	2007-01-01	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2007-01-01	2007-10-01	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2007-10-01	2008-01-01	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2008-01-01	2008-11-01	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2008-11-01	2009-01-01	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2009-01-01	2009-01-02	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2009-01-02	2009-05-26	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2009-05-26	2009-10-01	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2009-10-01	2009-11-01	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2009-11-01	2011-01-01	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2011-01-01	2011-01-02	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2001-06-06	2001-06-17	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2001-06-17	2002-01-01	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2002-01-01	2002-03-19	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2002-03-19	2003-03-22	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2003-03-22	2003-12-01	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2003-12-01	2004-07-05	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2004-07-05	2005-01-01	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2005-01-01	2005-01-10	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2005-01-10	2007-01-01	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2007-01-01	2007-10-01	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2007-10-01	2008-01-01	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2008-01-01	2008-11-01	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2008-11-01	2009-01-01	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2002-01-01	2002-03-19	OER Oil AS	2.500000	\N	40585	2258813	9999-12-31	2013-05-08
NJORD UNIT	2002-03-19	2003-03-22	OER Oil AS	2.500000	\N	40585	2258813	9999-12-31	2013-05-08
NJORD UNIT	2003-03-22	2003-12-01	OER Oil AS	2.500000	\N	40585	2258813	9999-12-31	2013-05-08
NJORD UNIT	2003-12-01	2004-07-05	OER Oil AS	2.500000	\N	40585	2258813	9999-12-31	2013-05-08
NJORD UNIT	2004-07-05	2005-01-01	OER Oil AS	2.500000	\N	40585	2258813	9999-12-31	2013-05-08
NJORD UNIT	2005-01-01	2005-01-10	OER Oil AS	2.500000	\N	40585	2258813	9999-12-31	2013-05-08
NJORD UNIT	2003-03-22	2003-12-01	Norske ConocoPhillips AS	15.000000	\N	40585	2399056	9999-12-31	2013-05-08
NJORD UNIT	2003-12-01	2004-07-05	Ruhrgas Norge AS	15.000000	\N	40585	2489913	9999-12-31	2013-05-08
NJORD UNIT	2008-01-01	2008-11-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	40585	2835212	9999-12-31	2013-05-08
NJORD UNIT	2008-11-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	40585	2835212	9999-12-31	2013-05-08
NJORD UNIT	2009-01-01	2009-01-02	ExxonMobil Exploration & Production Norway AS	20.000000	\N	40585	2835212	9999-12-31	2013-05-08
NJORD UNIT	2009-01-02	2009-05-26	ExxonMobil Exploration & Production Norway AS	20.000000	\N	40585	2835212	9999-12-31	2013-05-08
NJORD UNIT	2009-05-26	2009-10-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	40585	2835212	9999-12-31	2013-05-08
NJORD UNIT	2009-10-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	40585	2835212	9999-12-31	2013-05-08
NJORD UNIT	2009-11-01	2011-01-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	40585	2835212	9999-12-31	2013-05-08
NJORD UNIT	2004-07-05	2005-01-01	E.ON Ruhrgas Norge AS	15.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2005-01-01	2005-01-10	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2005-01-10	2007-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2007-01-01	2007-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2007-10-01	2008-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2008-01-01	2008-11-01	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2008-11-01	2009-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2009-01-01	2009-01-02	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2009-01-02	2009-05-26	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2009-05-26	2009-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2009-10-01	2009-11-01	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2009-11-01	2011-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2011-01-01	2011-01-02	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2011-01-02	2012-02-11	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2005-01-10	2007-01-01	Endeavour Energy Norge AS	2.500000	\N	40585	3113213	9999-12-31	2013-05-08
NJORD UNIT	2007-01-01	2007-10-01	Endeavour Energy Norge AS	2.500000	\N	40585	3113213	9999-12-31	2013-05-08
NJORD UNIT	2007-10-01	2008-01-01	Endeavour Energy Norge AS	2.500000	\N	40585	3113213	9999-12-31	2013-05-08
NJORD UNIT	2008-01-01	2008-11-01	Endeavour Energy Norge AS	2.500000	\N	40585	3113213	9999-12-31	2013-05-08
NJORD UNIT	2008-11-01	2009-01-01	Endeavour Energy Norge AS	2.500000	\N	40585	3113213	9999-12-31	2013-05-08
NJORD UNIT	2009-01-01	2009-01-02	Endeavour Energy Norge AS	2.500000	\N	40585	3113213	9999-12-31	2013-05-08
NJORD UNIT	2009-01-02	2009-05-26	Endeavour Energy Norge AS	2.500000	\N	40585	3113213	9999-12-31	2013-05-08
NJORD UNIT	2011-01-02	2012-02-11	Faroe Petroleum Norge AS	7.500000	\N	40585	4062883	9999-12-31	2013-05-08
NJORD UNIT	2012-02-11	9999-12-31	Faroe Petroleum Norge AS	7.500000	\N	40585	4062883	9999-12-31	2013-05-08
NJORD UNIT	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	20.000000	\N	40585	4511658	9999-12-31	2013-05-08
NJORD UNIT	2008-01-01	2008-11-01	StatoilHydro Petroleum AS	20.000000	\N	40585	4511658	9999-12-31	2013-05-08
NJORD UNIT	2009-01-02	2009-05-26	StatoilHydro Petroleum AS	20.000000	\N	40585	4511658	9999-12-31	2013-05-08
NJORD UNIT	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	20.000000	\N	40585	4511658	9999-12-31	2013-05-08
NJORD UNIT	2009-10-01	2009-11-01	StatoilHydro Petroleum AS	20.000000	\N	40585	4511658	9999-12-31	2013-05-08
NJORD UNIT	2008-11-01	2009-01-01	StatoilHydro ASA	20.000000	\N	40585	4511854	9999-12-31	2013-05-08
NJORD UNIT	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	40585	4511854	9999-12-31	2013-05-08
NJORD UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	20.000000	\N	40585	4524355	9999-12-31	2013-05-08
NJORD UNIT	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	20.000000	\N	40585	5267845	9999-12-31	2013-05-08
NJORD UNIT	2009-01-02	2009-05-26	GDF SUEZ E&P Norge AS	20.000000	\N	40585	5267845	9999-12-31	2013-05-08
NJORD UNIT	2009-05-26	2009-10-01	GDF SUEZ E&P Norge AS	20.000000	\N	40585	5267845	9999-12-31	2013-05-08
NJORD UNIT	2009-10-01	2009-11-01	GDF SUEZ E&P Norge AS	20.000000	\N	40585	5267845	9999-12-31	2013-05-08
NJORD UNIT	2009-11-01	2011-01-01	GDF SUEZ E&P Norge AS	20.000000	\N	40585	5267845	9999-12-31	2013-05-08
NJORD UNIT	2011-01-01	2011-01-02	GDF SUEZ E&P Norge AS	40.000000	\N	40585	5267845	9999-12-31	2013-05-08
NJORD UNIT	2011-01-02	2012-02-11	GDF SUEZ E&P Norge AS	40.000000	\N	40585	5267845	9999-12-31	2013-05-08
NJORD UNIT	2012-02-11	9999-12-31	GDF SUEZ E&P Norge AS	40.000000	\N	40585	5267845	9999-12-31	2013-05-08
NJORD UNIT	2009-05-26	2009-10-01	VNG Norge (Operations) AS	2.500000	\N	40585	5497155	9999-12-31	2013-05-08
NJORD UNIT	2009-10-01	2009-11-01	VNG Norge AS	2.500000	\N	40585	17237193	9999-12-31	2013-05-08
NJORD UNIT	2009-11-01	2011-01-01	VNG Norge AS	2.500000	\N	40585	17237193	9999-12-31	2013-05-08
NJORD UNIT	2011-01-01	2011-01-02	VNG Norge AS	2.500000	\N	40585	17237193	9999-12-31	2013-05-08
NJORD UNIT	2011-01-02	2012-02-11	VNG Norge AS	2.500000	\N	40585	17237193	9999-12-31	2013-05-08
NJORD UNIT	2012-02-11	9999-12-31	VNG Norge AS	2.500000	\N	40585	17237193	9999-12-31	2013-05-08
NJORD UNIT	2009-11-01	2011-01-01	Statoil Petroleum AS	20.000000	\N	40585	17237817	9999-12-31	2013-05-08
NJORD UNIT	2011-01-01	2011-01-02	Statoil Petroleum AS	20.000000	\N	40585	17237817	9999-12-31	2013-05-08
NJORD UNIT	2011-01-02	2012-02-11	Statoil Petroleum AS	20.000000	\N	40585	17237817	9999-12-31	2013-05-08
NJORD UNIT	2012-02-11	9999-12-31	Statoil Petroleum AS	20.000000	\N	40585	17237817	9999-12-31	2013-05-08
NJORD UNIT	2012-02-11	9999-12-31	E.ON E&P Norge AS	30.000000	\N	40585	21631209	9999-12-31	2013-05-08
OSEBERG SØR UNIT	1996-12-20	2001-01-11	Norske Conoco A/S	7.700000	\N	40638	221	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-01-11	2001-05-10	Norske Conoco A/S	7.700000	\N	40638	221	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-05-10	2001-06-17	Norske Conoco A/S	7.700000	\N	40638	221	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-06-17	2002-03-19	Norske Conoco A/S	7.700000	\N	40638	221	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-03-19	2002-10-01	Norske Conoco A/S	7.700000	\N	40638	221	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-10-01	2002-12-01	Norske Conoco A/S	2.400000	\N	40638	221	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-12-01	2003-03-22	Norske Conoco A/S	2.400000	\N	40638	221	9999-12-31	2013-05-08
OSEBERG SØR UNIT	1996-12-20	2001-01-11	Norsk Hydro Produksjon AS	21.880000	\N	40638	430	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	32.020000	\N	40638	430	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	32.020000	\N	40638	430	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	32.020000	\N	40638	430	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-03-19	2002-10-01	Norsk Hydro Produksjon AS	34.000000	\N	40638	430	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-10-01	2002-12-01	Norsk Hydro Produksjon AS	34.000000	\N	40638	430	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-12-01	2003-03-22	Norsk Hydro Produksjon AS	34.000000	\N	40638	430	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	34.000000	\N	40638	430	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-05-06	2004-06-16	Norsk Hydro Produksjon AS	34.000000	\N	40638	430	9999-12-31	2013-05-08
OSEBERG SØR UNIT	1996-12-20	2001-01-11	Mobil Development Norway AS	3.700000	\N	40638	474	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-01-11	2001-05-10	Mobil Development Norway AS	3.700000	\N	40638	474	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-05-10	2001-06-17	Mobil Development Norway AS	3.700000	\N	40638	474	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-06-17	2002-03-19	Mobil Development Norway AS	3.700000	\N	40638	474	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-03-19	2002-10-01	Mobil Development Norway AS	3.700000	\N	40638	474	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-10-01	2002-12-01	Mobil Development Norway AS	3.700000	\N	40638	474	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-12-01	2003-03-22	Mobil Development Norway AS	4.700000	\N	40638	474	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-03-22	2003-05-06	Mobil Development Norway AS	4.700000	\N	40638	474	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-05-06	2004-06-16	Mobil Development Norway AS	4.700000	\N	40638	474	9999-12-31	2013-05-08
OSEBERG SØR UNIT	1996-12-20	2001-01-11	Saga Petroleum ASA	10.140000	\N	40638	716	9999-12-31	2013-05-08
OSEBERG SØR UNIT	1996-12-20	2001-01-11	Den norske stats oljeselskap a.s	56.580000	38.360000	40638	749	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	56.580000	38.360000	40638	749	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-03-19	2002-10-01	TotalFinaElf Exploration Norge AS	10.000000	\N	40638	1340884	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-10-01	2002-12-01	TotalFinaElf Exploration Norge AS	10.000000	\N	40638	1340884	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-12-01	2003-03-22	TotalFinaElf Exploration Norge AS	10.000000	\N	40638	1340884	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	40638	1340884	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-05-10	2001-06-17	Statoil ASA (old)	18.220000	\N	40638	1622484	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-06-17	2002-03-19	Statoil ASA (old)	18.220000	\N	40638	1622484	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-03-19	2002-10-01	Statoil ASA (old)	18.220000	\N	40638	1622484	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-10-01	2002-12-01	Statoil ASA (old)	15.300000	\N	40638	1622484	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-12-01	2003-03-22	Statoil ASA (old)	15.300000	\N	40638	1622484	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-03-22	2003-05-06	Statoil ASA (old)	15.300000	\N	40638	1622484	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-05-06	2004-06-16	Statoil ASA (old)	15.300000	\N	40638	1622484	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-05-10	2001-06-17	SDØE	38.360000	\N	40638	1623450	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-06-17	2002-03-19	Petoro AS	38.360000	\N	40638	1626839	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-03-19	2002-10-01	Petoro AS	26.380000	\N	40638	1626839	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-10-01	2002-12-01	Petoro AS	34.600000	\N	40638	1626839	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-12-01	2003-03-22	Petoro AS	33.600000	\N	40638	1626839	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-03-22	2003-05-06	Petoro AS	33.600000	\N	40638	1626839	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-05-06	2004-06-16	Petoro AS	33.600000	\N	40638	1626839	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-03-22	2003-05-06	Norske ConocoPhillips AS	2.400000	\N	40638	2399056	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-05-06	2004-06-16	Norske ConocoPhillips AS	2.400000	\N	40638	2399056	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-05-06	2004-06-16	Total E&P Norge AS	10.000000	\N	40638	2410708	9999-12-31	2013-05-08
JOTUN UNIT	1998-01-01	2000-11-23	Amerada Hess Norge AS	1.250000	\N	40655	67	9999-12-31	2013-05-08
JOTUN UNIT	1998-01-01	2000-11-23	Norske Conoco A/S	3.750000	\N	40655	221	9999-12-31	2013-05-08
JOTUN UNIT	2000-11-23	2001-01-01	Norske Conoco A/S	3.750000	\N	40655	221	9999-12-31	2013-05-08
JOTUN UNIT	2001-01-01	2001-05-10	Norske Conoco A/S	3.750000	\N	40655	221	9999-12-31	2013-05-08
JOTUN UNIT	2001-05-10	2001-06-17	Norske Conoco A/S	3.750000	\N	40655	221	9999-12-31	2013-05-08
JOTUN UNIT	2001-06-17	2001-12-31	Norske Conoco A/S	3.750000	\N	40655	221	9999-12-31	2013-05-08
JOTUN UNIT	2001-12-31	2002-01-01	Norske Conoco A/S	3.750000	\N	40655	221	9999-12-31	2013-05-08
JOTUN UNIT	1998-01-01	2000-11-23	Enterprise Oil Norwegian AS	45.000000	\N	40655	342	9999-12-31	2013-05-08
JOTUN UNIT	2000-11-23	2001-01-01	Enterprise Oil Norwegian AS	45.000000	\N	40655	342	9999-12-31	2013-05-08
JOTUN UNIT	2001-01-01	2001-05-10	Enterprise Oil Norwegian AS	45.000000	\N	40655	342	9999-12-31	2013-05-08
JOTUN UNIT	2001-05-10	2001-06-17	Enterprise Oil Norwegian AS	45.000000	\N	40655	342	9999-12-31	2013-05-08
JOTUN UNIT	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	45.000000	\N	40655	342	9999-12-31	2013-05-08
JOTUN UNIT	1998-01-01	2000-11-23	Esso Exploration and Production Norway A/S	45.000000	\N	40655	353	9999-12-31	2013-05-08
JOTUN UNIT	2000-11-23	2001-01-01	Esso Exploration and Production Norway A/S	45.000000	\N	40655	353	9999-12-31	2013-05-08
JOTUN UNIT	2001-01-01	2001-05-10	Esso Exploration and Production Norway A/S	45.000000	\N	40655	353	9999-12-31	2013-05-08
JOTUN UNIT	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	45.000000	\N	40655	353	9999-12-31	2013-05-08
JOTUN UNIT	2001-06-17	2001-12-31	Esso Exploration and Production Norway A/S	45.000000	\N	40655	353	9999-12-31	2013-05-08
JOTUN UNIT	2001-12-31	2002-01-01	Esso Exploration and Production Norway A/S	45.000000	\N	40655	353	9999-12-31	2013-05-08
JOTUN UNIT	2002-01-01	2004-01-01	Esso Exploration and Production Norway A/S	45.000000	\N	40655	353	9999-12-31	2013-05-08
JOTUN UNIT	2004-01-01	2004-10-01	Esso Exploration and Production Norway A/S	45.000000	\N	40655	353	9999-12-31	2013-05-08
JOTUN UNIT	1998-01-01	2000-11-23	Den norske stats oljeselskap a.s	5.000000	3.000000	40655	749	9999-12-31	2013-05-08
JOTUN UNIT	2000-11-23	2001-01-01	Den norske stats oljeselskap a.s	5.000000	3.000000	40655	749	9999-12-31	2013-05-08
JOTUN UNIT	2001-01-01	2001-05-10	Den norske stats oljeselskap a.s	3.000000	\N	40655	749	9999-12-31	2013-05-08
JOTUN UNIT	2000-11-23	2001-01-01	Det Norske Oljeselskap AS	1.250000	\N	40655	1340609	9999-12-31	2013-05-08
JOTUN UNIT	2001-01-01	2001-05-10	Det Norske Oljeselskap AS	3.250000	\N	40655	1340609	9999-12-31	2013-05-08
JOTUN UNIT	2001-05-10	2001-06-17	Det Norske Oljeselskap AS	3.250000	\N	40655	1340609	9999-12-31	2013-05-08
JOTUN UNIT	2001-06-17	2001-12-31	Det Norske Oljeselskap AS	3.250000	\N	40655	1340609	9999-12-31	2013-05-08
JOTUN UNIT	2001-12-31	2002-01-01	Det Norske Oljeselskap AS	3.250000	\N	40655	1340609	9999-12-31	2013-05-08
JOTUN UNIT	2002-01-01	2004-01-01	Det Norske Oljeselskap AS	7.000000	\N	40655	1340609	9999-12-31	2013-05-08
JOTUN UNIT	2001-05-10	2001-06-17	SDØE	3.000000	\N	40655	1623450	9999-12-31	2013-05-08
JOTUN UNIT	2001-06-17	2001-12-31	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2001-12-31	2002-01-01	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2002-01-01	2004-01-01	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2004-01-01	2004-10-01	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2004-10-01	2006-10-24	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2006-10-24	2007-08-10	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2007-08-10	2007-10-04	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2007-10-04	2008-01-01	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2008-01-01	2009-12-22	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2009-12-22	2011-01-01	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2001-12-31	2002-01-01	Enterprise Oil Norge AS	45.000000	\N	40655	1853786	9999-12-31	2013-05-08
JOTUN UNIT	2002-01-01	2004-01-01	Enterprise Oil Norge AS	45.000000	\N	40655	1853786	9999-12-31	2013-05-08
JOTUN UNIT	2004-01-01	2004-10-01	Enterprise Oil Norge AS	45.000000	\N	40655	1853786	9999-12-31	2013-05-08
JOTUN UNIT	2004-10-01	2006-10-24	Enterprise Oil Norge AS	45.000000	\N	40655	1853786	9999-12-31	2013-05-08
JOTUN UNIT	2004-01-01	2004-10-01	Lundin Norway AS	7.000000	\N	40655	2767314	9999-12-31	2013-05-08
JOTUN UNIT	2004-10-01	2006-10-24	Lundin Norway AS	7.000000	\N	40655	2767314	9999-12-31	2013-05-08
JOTUN UNIT	2006-10-24	2007-08-10	Lundin Norway AS	7.000000	\N	40655	2767314	9999-12-31	2013-05-08
JOTUN UNIT	2007-08-10	2007-10-04	Lundin Norway AS	7.000000	\N	40655	2767314	9999-12-31	2013-05-08
JOTUN UNIT	2007-10-04	2008-01-01	Lundin Norway AS	7.000000	\N	40655	2767314	9999-12-31	2013-05-08
JOTUN UNIT	2004-10-01	2006-10-24	ExxonMobil Exploration & Production Norway AS	45.000000	\N	40655	2835212	9999-12-31	2013-05-08
JOTUN UNIT	2006-10-24	2007-08-10	ExxonMobil Exploration & Production Norway AS	45.000000	\N	40655	2835212	9999-12-31	2013-05-08
JOTUN UNIT	2007-08-10	2007-10-04	ExxonMobil Exploration & Production Norway AS	45.000000	\N	40655	2835212	9999-12-31	2013-05-08
JOTUN UNIT	2007-10-04	2008-01-01	ExxonMobil Exploration & Production Norway AS	45.000000	\N	40655	2835212	9999-12-31	2013-05-08
JOTUN UNIT	2008-01-01	2009-12-22	ExxonMobil Exploration & Production Norway AS	45.000000	\N	40655	2835212	9999-12-31	2013-05-08
JOTUN UNIT	2009-12-22	2011-01-01	ExxonMobil Exploration & Production Norway AS	45.000000	\N	40655	2835212	9999-12-31	2013-05-08
JOTUN UNIT	2011-01-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	45.000000	\N	40655	2835212	9999-12-31	2013-05-08
JOTUN UNIT	2006-10-24	2007-08-10	Ener Petroleum ASA	45.000000	\N	40655	3482290	9999-12-31	2013-05-08
JOTUN UNIT	2011-01-01	9999-12-31	Faroe Petroleum Norge AS	3.000000	\N	40655	4062883	9999-12-31	2013-05-08
JOTUN UNIT	2007-08-10	2007-10-04	Dana Petroleum Norway ASA	45.000000	\N	40655	4510514	9999-12-31	2013-05-08
JOTUN UNIT	2007-10-04	2008-01-01	Dana Petroleum Norway AS	45.000000	\N	40655	4526555	9999-12-31	2013-05-08
JOTUN UNIT	2008-01-01	2009-12-22	Dana Petroleum Norway AS	45.000000	\N	40655	4526555	9999-12-31	2013-05-08
JOTUN UNIT	2009-12-22	2011-01-01	Dana Petroleum Norway AS	45.000000	\N	40655	4526555	9999-12-31	2013-05-08
JOTUN UNIT	2011-01-01	9999-12-31	Dana Petroleum Norway AS	45.000000	\N	40655	4526555	9999-12-31	2013-05-08
JOTUN UNIT	2008-01-01	2009-12-22	Det norske oljeselskap ASA (old)	7.000000	\N	40655	4539989	9999-12-31	2013-05-08
JOTUN UNIT	2009-12-22	2011-01-01	Det norske oljeselskap ASA	7.000000	\N	40655	17342870	9999-12-31	2013-05-08
JOTUN UNIT	2011-01-01	9999-12-31	Det norske oljeselskap ASA	7.000000	\N	40655	17342870	9999-12-31	2013-05-08
NORNE INSIDE	1995-03-09	1996-07-23	Norsk Agip  AS	6.000000	\N	40672	45	9999-12-31	2013-05-08
NORNE INSIDE	1996-07-23	1999-12-11	Norsk Agip  AS	6.900000	\N	40672	45	9999-12-31	2013-05-08
NORNE INSIDE	1999-12-11	2001-05-10	Norsk Agip  AS	6.900000	\N	40672	45	9999-12-31	2013-05-08
NORNE INSIDE	2001-05-10	2001-06-01	Norsk Agip  AS	6.900000	\N	40672	45	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-01	2001-06-17	Norsk Agip  AS	6.900000	\N	40672	45	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-17	2001-12-31	Norsk Agip  AS	6.900000	\N	40672	45	9999-12-31	2013-05-08
NORNE INSIDE	2001-12-31	2003-12-31	Norsk Agip  AS	6.900000	\N	40672	45	9999-12-31	2013-05-08
NORNE INSIDE	1995-03-09	1996-07-23	Enterprise Oil Norwegian AS	6.000000	\N	40672	342	9999-12-31	2013-05-08
NORNE INSIDE	1996-07-23	1999-12-11	Enterprise Oil Norwegian AS	6.000000	\N	40672	342	9999-12-31	2013-05-08
NORNE INSIDE	1999-12-11	2001-05-10	Enterprise Oil Norwegian AS	6.000000	\N	40672	342	9999-12-31	2013-05-08
NORNE INSIDE	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	6.000000	\N	40672	342	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-01	2001-06-17	Enterprise Oil Norwegian AS	6.000000	\N	40672	342	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	6.000000	\N	40672	342	9999-12-31	2013-05-08
NORNE INSIDE	1995-03-09	1996-07-23	Norsk Hydro Produksjon AS	9.000000	\N	40672	430	9999-12-31	2013-05-08
NORNE INSIDE	1996-07-23	1999-12-11	Norsk Hydro Produksjon AS	8.100000	\N	40672	430	9999-12-31	2013-05-08
NORNE INSIDE	1999-12-11	2001-05-10	Norsk Hydro Produksjon AS	8.100000	\N	40672	430	9999-12-31	2013-05-08
NORNE INSIDE	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	8.100000	\N	40672	430	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	8.100000	\N	40672	430	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-17	2001-12-31	Norsk Hydro Produksjon AS	8.100000	\N	40672	430	9999-12-31	2013-05-08
NORNE INSIDE	2001-12-31	2003-12-31	Norsk Hydro Produksjon AS	8.100000	\N	40672	430	9999-12-31	2013-05-08
NORNE INSIDE	2003-12-31	2005-01-01	Norsk Hydro Produksjon AS	8.100000	\N	40672	430	9999-12-31	2013-05-08
NORNE INSIDE	2005-01-01	2007-01-01	Norsk Hydro Produksjon AS	8.100000	\N	40672	430	9999-12-31	2013-05-08
NORNE INSIDE	1995-03-09	1996-07-23	Saga Petroleum ASA	9.000000	\N	40672	716	9999-12-31	2013-05-08
NORNE INSIDE	1996-07-23	1999-12-11	Saga Petroleum ASA	9.000000	\N	40672	716	9999-12-31	2013-05-08
NORNE INSIDE	1995-03-09	1996-07-23	Den norske stats oljeselskap a.s	70.000000	55.000000	40672	749	9999-12-31	2013-05-08
NORNE INSIDE	1996-07-23	1999-12-11	Den norske stats oljeselskap a.s	70.000000	55.000000	40672	749	9999-12-31	2013-05-08
NORNE INSIDE	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	79.000000	55.000000	40672	749	9999-12-31	2013-05-08
NORNE INSIDE	2001-05-10	2001-06-01	Statoil ASA (old)	24.000000	\N	40672	1622484	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-01	2001-06-17	Statoil ASA (old)	25.000000	\N	40672	1622484	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-17	2001-12-31	Statoil ASA (old)	25.000000	\N	40672	1622484	9999-12-31	2013-05-08
NORNE INSIDE	2001-12-31	2003-12-31	Statoil ASA (old)	25.000000	\N	40672	1622484	9999-12-31	2013-05-08
NORNE INSIDE	2003-12-31	2005-01-01	Statoil ASA (old)	25.000000	\N	40672	1622484	9999-12-31	2013-05-08
NORNE INSIDE	2005-01-01	2007-01-01	Statoil ASA (old)	31.000000	\N	40672	1622484	9999-12-31	2013-05-08
NORNE INSIDE	2007-01-01	2007-10-01	Statoil ASA (old)	31.000000	\N	40672	1622484	9999-12-31	2013-05-08
NORNE INSIDE	2001-05-10	2001-06-01	SDØE	55.000000	\N	40672	1623450	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-01	2001-06-17	SDØE	54.000000	\N	40672	1623450	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-17	2001-12-31	Petoro AS	54.000000	\N	40672	1626839	9999-12-31	2013-05-08
NORNE INSIDE	2001-12-31	2003-12-31	Petoro AS	54.000000	\N	40672	1626839	9999-12-31	2013-05-08
NORNE INSIDE	2003-12-31	2005-01-01	Petoro AS	54.000000	\N	40672	1626839	9999-12-31	2013-05-08
NORNE INSIDE	2005-01-01	2007-01-01	Petoro AS	54.000000	\N	40672	1626839	9999-12-31	2013-05-08
NORNE INSIDE	2007-01-01	2007-10-01	Petoro AS	54.000000	\N	40672	1626839	9999-12-31	2013-05-08
NORNE INSIDE	2007-10-01	2008-01-01	Petoro AS	54.000000	\N	40672	1626839	9999-12-31	2013-05-08
NORNE INSIDE	2008-01-01	2009-01-01	Petoro AS	54.000000	\N	40672	1626839	9999-12-31	2013-05-08
NORNE INSIDE	2009-01-01	2009-11-01	Petoro AS	54.000000	\N	40672	1626839	9999-12-31	2013-05-08
NORNE INSIDE	2009-11-01	9999-12-31	Petoro AS	54.000000	\N	40672	1626839	9999-12-31	2013-05-08
NORNE INSIDE	2001-12-31	2003-12-31	Enterprise Oil Norge AS	6.000000	\N	40672	1853786	9999-12-31	2013-05-08
NORNE INSIDE	2003-12-31	2005-01-01	Enterprise Oil Norge AS	6.000000	\N	40672	1853786	9999-12-31	2013-05-08
NORNE INSIDE	2003-12-31	2005-01-01	Eni Norge AS	6.900000	\N	40672	2388594	9999-12-31	2013-05-08
NORNE INSIDE	2005-01-01	2007-01-01	Eni Norge AS	6.900000	\N	40672	2388594	9999-12-31	2013-05-08
NORNE INSIDE	2007-01-01	2007-10-01	Eni Norge AS	6.900000	\N	40672	2388594	9999-12-31	2013-05-08
NORNE INSIDE	2007-10-01	2008-01-01	Eni Norge AS	6.900000	\N	40672	2388594	9999-12-31	2013-05-08
NORNE INSIDE	2008-01-01	2009-01-01	Eni Norge AS	6.900000	\N	40672	2388594	9999-12-31	2013-05-08
NORNE INSIDE	2009-01-01	2009-11-01	Eni Norge AS	6.900000	\N	40672	2388594	9999-12-31	2013-05-08
NORNE INSIDE	2009-11-01	9999-12-31	Eni Norge AS	6.900000	\N	40672	2388594	9999-12-31	2013-05-08
NORNE INSIDE	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	8.100000	\N	40672	4511658	9999-12-31	2013-05-08
NORNE INSIDE	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	39.100000	\N	40672	4511658	9999-12-31	2013-05-08
NORNE INSIDE	2007-10-01	2008-01-01	StatoilHydro ASA	31.000000	\N	40672	4511854	9999-12-31	2013-05-08
NORNE INSIDE	2008-01-01	2009-01-01	StatoilHydro ASA	39.100000	\N	40672	4511854	9999-12-31	2013-05-08
NORNE INSIDE	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	8.100000	\N	40672	4524355	9999-12-31	2013-05-08
NORNE INSIDE	2009-11-01	9999-12-31	Statoil Petroleum AS	39.100000	\N	40672	17237817	9999-12-31	2013-05-08
VISUND INSIDE	1995-01-01	1996-07-01	Norske Conoco A/S	9.100000	\N	40726	221	9999-12-31	2013-05-08
VISUND INSIDE	1996-07-01	1997-01-01	Norske Conoco A/S	9.100000	\N	40726	221	9999-12-31	2013-05-08
VISUND INSIDE	1997-01-01	2000-07-24	Norske Conoco A/S	9.100000	\N	40726	221	9999-12-31	2013-05-08
VISUND INSIDE	2000-07-24	2001-01-11	Norske Conoco A/S	9.100000	\N	40726	221	9999-12-31	2013-05-08
VISUND INSIDE	2001-01-11	2001-05-10	Norske Conoco A/S	9.100000	\N	40726	221	9999-12-31	2013-05-08
VISUND INSIDE	2001-05-10	2001-06-01	Norske Conoco A/S	9.100000	\N	40726	221	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-01	2001-06-17	Norske Conoco A/S	9.100000	\N	40726	221	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-17	2003-03-22	Norske Conoco A/S	9.100000	\N	40726	221	9999-12-31	2013-05-08
VISUND INSIDE	1995-01-01	1996-07-01	Elf Petroleum Norge AS	9.100000	\N	40726	298	9999-12-31	2013-05-08
VISUND INSIDE	1996-07-01	1997-01-01	Elf Petroleum Norge AS	9.100000	\N	40726	298	9999-12-31	2013-05-08
VISUND INSIDE	1997-01-01	2000-07-24	Elf Petroleum Norge AS	7.700000	\N	40726	298	9999-12-31	2013-05-08
VISUND INSIDE	1995-01-01	1996-07-01	Norsk Hydro Produksjon AS	12.600000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	1996-07-01	1997-01-01	Norsk Hydro Produksjon AS	14.700000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	1997-01-01	2000-07-24	Norsk Hydro Produksjon AS	16.100000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	16.100000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	20.300000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	20.300000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	20.300000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-17	2003-03-22	Norsk Hydro Produksjon AS	20.300000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	20.300000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	20.300000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	1995-01-01	1996-07-01	Saga Petroleum ASA	4.200000	\N	40726	716	9999-12-31	2013-05-08
VISUND INSIDE	1996-07-01	1997-01-01	Saga Petroleum ASA	4.200000	\N	40726	716	9999-12-31	2013-05-08
VISUND INSIDE	1997-01-01	2000-07-24	Saga Petroleum ASA	4.200000	\N	40726	716	9999-12-31	2013-05-08
VISUND INSIDE	2000-07-24	2001-01-11	Saga Petroleum ASA	4.200000	\N	40726	716	9999-12-31	2013-05-08
VISUND INSIDE	1995-01-01	1996-07-01	Den norske stats oljeselskap a.s	65.000000	49.600000	40726	749	9999-12-31	2013-05-08
VISUND INSIDE	1996-07-01	1997-01-01	Den norske stats oljeselskap a.s	62.900000	49.600000	40726	749	9999-12-31	2013-05-08
VISUND INSIDE	1997-01-01	2000-07-24	Den norske stats oljeselskap a.s	62.900000	49.600000	40726	749	9999-12-31	2013-05-08
VISUND INSIDE	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	62.900000	49.600000	40726	749	9999-12-31	2013-05-08
VISUND INSIDE	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	62.900000	49.600000	40726	749	9999-12-31	2013-05-08
VISUND INSIDE	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	7.700000	\N	40726	1340884	9999-12-31	2013-05-08
VISUND INSIDE	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	7.700000	\N	40726	1340884	9999-12-31	2013-05-08
VISUND INSIDE	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	7.700000	\N	40726	1340884	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	7.700000	\N	40726	1340884	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-17	2003-03-22	TotalFinaElf Exploration Norge AS	7.700000	\N	40726	1340884	9999-12-31	2013-05-08
VISUND INSIDE	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	7.700000	\N	40726	1340884	9999-12-31	2013-05-08
VISUND INSIDE	2001-05-10	2001-06-01	Statoil ASA (old)	13.300000	\N	40726	1622484	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-01	2001-06-17	Statoil ASA (old)	32.900000	\N	40726	1622484	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-17	2003-03-22	Statoil ASA (old)	32.900000	\N	40726	1622484	9999-12-31	2013-05-08
VISUND INSIDE	2003-03-22	2003-05-06	Statoil ASA (old)	32.900000	\N	40726	1622484	9999-12-31	2013-05-08
VISUND INSIDE	2003-05-06	2007-01-01	Statoil ASA (old)	32.900000	\N	40726	1622484	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-01	2007-01-02	Statoil ASA (old)	32.900000	\N	40726	1622484	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-02	2007-10-01	Statoil ASA (old)	32.900000	\N	40726	1622484	9999-12-31	2013-05-08
VISUND INSIDE	2001-05-10	2001-06-01	SDØE	49.600000	\N	40726	1623450	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-01	2001-06-17	SDØE	30.000000	\N	40726	1623450	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-17	2003-03-22	Petoro AS	30.000000	\N	40726	1626839	9999-12-31	2013-05-08
VISUND INSIDE	2003-03-22	2003-05-06	Petoro AS	30.000000	\N	40726	1626839	9999-12-31	2013-05-08
VISUND INSIDE	2003-05-06	2007-01-01	Petoro AS	30.000000	\N	40726	1626839	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-01	2007-01-02	Petoro AS	30.000000	\N	40726	1626839	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-02	2007-10-01	Petoro AS	30.000000	\N	40726	1626839	9999-12-31	2013-05-08
VISUND INSIDE	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	40726	1626839	9999-12-31	2013-05-08
VISUND INSIDE	2009-01-01	2009-11-01	Petoro AS	30.000000	\N	40726	1626839	9999-12-31	2013-05-08
VISUND INSIDE	2009-11-01	9999-12-31	Petoro AS	30.000000	\N	40726	1626839	9999-12-31	2013-05-08
VISUND INSIDE	2003-03-22	2003-05-06	Norske ConocoPhillips AS	9.100000	\N	40726	2399056	9999-12-31	2013-05-08
VISUND INSIDE	2003-05-06	2007-01-01	Norske ConocoPhillips AS	9.100000	\N	40726	2399056	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-01	2007-01-02	Norske ConocoPhillips AS	9.100000	\N	40726	2399056	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	9.100000	\N	40726	2410696	9999-12-31	2013-05-08
VISUND INSIDE	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	9.100000	\N	40726	2410696	9999-12-31	2013-05-08
VISUND INSIDE	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	9.100000	\N	40726	2410696	9999-12-31	2013-05-08
VISUND INSIDE	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	9.100000	\N	40726	2410696	9999-12-31	2013-05-08
VISUND INSIDE	2003-05-06	2007-01-01	Total E&P Norge AS	7.700000	\N	40726	2410708	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-01	2007-01-02	Total E&P Norge AS	7.700000	\N	40726	2410708	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-02	2007-10-01	Total E&P Norge AS	7.700000	\N	40726	2410708	9999-12-31	2013-05-08
VISUND INSIDE	2007-10-01	2009-01-01	Total E&P Norge AS	7.700000	\N	40726	2410708	9999-12-31	2013-05-08
VISUND INSIDE	2009-01-01	2009-11-01	Total E&P Norge AS	7.700000	\N	40726	2410708	9999-12-31	2013-05-08
VISUND INSIDE	2009-11-01	9999-12-31	Total E&P Norge AS	7.700000	\N	40726	2410708	9999-12-31	2013-05-08
VISUND INSIDE	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	20.300000	\N	40726	4511658	9999-12-31	2013-05-08
VISUND INSIDE	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	53.200000	\N	40726	4511658	9999-12-31	2013-05-08
VISUND INSIDE	2007-10-01	2009-01-01	StatoilHydro ASA	32.900000	\N	40726	4511854	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	20.300000	\N	40726	4524355	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	20.300000	\N	40726	4524355	9999-12-31	2013-05-08
VISUND INSIDE	2009-11-01	9999-12-31	Statoil Petroleum AS	53.200000	\N	40726	17237817	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1994-07-01	1998-01-01	Elf Petroleum Norge AS	8.470080	\N	40848	298	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1998-01-01	2000-07-24	Elf Petroleum Norge AS	9.411200	\N	40848	298	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1994-07-01	1998-01-01	Esso Exploration and Production Norway A/S	32.239360	\N	40848	353	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1998-01-01	2000-07-24	Esso Exploration and Production Norway A/S	32.239360	\N	40848	353	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2000-07-24	2001-05-10	Esso Exploration and Production Norway A/S	32.239360	\N	40848	353	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	32.239360	\N	40848	353	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-06-01	2003-05-06	Esso Exploration and Production Norway A/S	32.239360	\N	40848	353	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	32.239360	\N	40848	353	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1994-07-01	1998-01-01	Norsk Hydro Produksjon AS	8.846530	\N	40848	430	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1998-01-01	2000-07-24	Norsk Hydro Produksjon AS	8.846530	\N	40848	430	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	8.846530	\N	40848	430	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	8.846530	\N	40848	430	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-06-01	2003-05-06	Norsk Hydro Produksjon AS	8.846530	\N	40848	430	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	8.846530	\N	40848	430	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	8.846530	\N	40848	430	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1994-07-01	1998-01-01	Den norske stats oljeselskap a.s	49.502910	32.374530	40848	749	9999-12-31	2013-05-08
SNORRE UNIT	2000-07-24	2001-01-11	Saga Petroleum ASA	8.727800	\N	40906	716	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1998-01-01	2000-07-24	Den norske stats oljeselskap a.s	49.502910	32.374530	40848	749	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	49.502910	32.374530	40848	749	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1994-07-01	1998-01-01	Total Norge AS	0.941120	\N	40848	848	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	9.411200	\N	40848	1340884	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	9.411200	\N	40848	1340884	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-06-01	2003-05-06	TotalFinaElf Exploration Norge AS	9.411200	\N	40848	1340884	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-05-10	2001-06-01	Statoil ASA (old)	17.128380	\N	40848	1622484	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-06-01	2003-05-06	Statoil ASA (old)	49.502910	\N	40848	1622484	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2003-05-06	2004-10-01	Statoil ASA (old)	49.502910	\N	40848	1622484	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2004-10-01	2007-01-01	Statoil ASA (old)	49.502910	\N	40848	1622484	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	49.502910	\N	40848	1622484	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-05-10	2001-06-01	SDØE	32.374530	\N	40848	1623450	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2003-05-06	2004-10-01	Total E&P Norge AS	9.411200	\N	40848	2410708	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2004-10-01	2007-01-01	Total E&P Norge AS	9.411200	\N	40848	2410708	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-01-01	2007-10-01	Total E&P Norge AS	9.411200	\N	40848	2410708	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	9.411200	\N	40848	2410708	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	9.411200	\N	40848	2410708	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2009-11-01	9999-12-31	Total E&P Norge AS	9.411200	\N	40848	2410708	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	32.239360	\N	40848	2835212	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	32.239360	\N	40848	2835212	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	32.239360	\N	40848	2835212	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	32.239360	\N	40848	2835212	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	32.239360	\N	40848	2835212	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	8.846530	\N	40848	4511658	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	58.349440	\N	40848	4511658	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	49.502910	\N	40848	4511854	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	8.846530	\N	40848	4524355	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	58.349440	\N	40848	17237817	9999-12-31	2013-05-08
GRANE SLIDING SCALE	1995-01-01	1996-07-31	Conoco Petroleum Norge AS	7.000000	\N	40885	232	9999-12-31	2013-05-08
GRANE SLIDING SCALE	1995-01-01	1996-07-31	Esso Exploration and Production Norway A/S	7.000000	\N	40885	353	9999-12-31	2013-05-08
GRANE SLIDING SCALE	1996-07-31	2000-04-13	Esso Exploration and Production Norway A/S	7.000000	\N	40885	353	9999-12-31	2013-05-08
GRANE SLIDING SCALE	1995-01-01	1996-07-31	Norsk Hydro Produksjon AS	21.000000	\N	40885	430	9999-12-31	2013-05-08
GRANE SLIDING SCALE	1996-07-31	2000-04-13	Norsk Hydro Produksjon AS	28.000000	\N	40885	430	9999-12-31	2013-05-08
GRANE SLIDING SCALE	1995-01-01	1996-07-31	Den norske stats oljeselskap a.s	65.000000	54.500000	40885	749	9999-12-31	2013-05-08
GRANE SLIDING SCALE	1996-07-31	2000-04-13	Den norske stats oljeselskap a.s	65.000000	54.500000	40885	749	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1988-07-08	Amerada Hess Norge AS	1.455900	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	1988-07-08	1989-04-14	Amerada Hess Norge AS	1.455900	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	1989-04-14	1990-01-01	Amerada Hess Norge AS	1.455900	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	1995-05-09	Amerada Hess Norge AS	1.455900	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	1995-05-09	1998-08-01	Amerada Hess Norge AS	1.455900	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	1998-12-17	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	1998-12-17	1999-12-11	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	1999-12-11	2000-07-24	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2000-07-24	2001-01-11	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2001-01-11	2001-05-10	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	2001-06-01	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-01	2001-06-17	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-17	2001-12-31	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2001-12-31	2003-05-06	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2003-05-06	2004-10-01	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2004-10-01	2005-01-01	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2005-01-01	2006-05-01	Amerada Hess Norge AS	1.180600	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	2006-06-26	Amerada Hess Norge AS	1.038400	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1988-07-08	Amoco Norway Oil Company	2.911800	\N	40906	78	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1988-07-08	Deminex Norge AS	7.123000	\N	40906	254	9999-12-31	2013-05-08
SNORRE UNIT	1988-07-08	1989-04-14	Deminex Norge AS	10.034800	\N	40906	254	9999-12-31	2013-05-08
SNORRE UNIT	1989-04-14	1990-01-01	Deminex Norge AS	10.034800	\N	40906	254	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	1995-05-09	Deminex Norge AS	10.034800	\N	40906	254	9999-12-31	2013-05-08
SNORRE UNIT	1995-05-09	1998-08-01	Deminex Norge AS	10.034800	\N	40906	254	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	1998-12-17	Deminex Norge AS	8.878700	\N	40906	254	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1988-07-08	DNO Olje A/S	0.688800	\N	40906	276	9999-12-31	2013-05-08
SNORRE UNIT	1988-07-08	1989-04-14	DNO Olje A/S	0.688800	\N	40906	276	9999-12-31	2013-05-08
SNORRE UNIT	1989-04-14	1990-01-01	DNO Olje A/S	0.688800	\N	40906	276	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	1995-05-09	DNO Olje A/S	0.688800	\N	40906	276	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1988-07-08	Elf Petroleum Norge AS	5.510600	\N	40906	298	9999-12-31	2013-05-08
SNORRE UNIT	1988-07-08	1989-04-14	Elf Petroleum Norge AS	5.510600	\N	40906	298	9999-12-31	2013-05-08
SNORRE UNIT	1989-04-14	1990-01-01	Elf Petroleum Norge AS	5.510600	\N	40906	298	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	1995-05-09	Elf Petroleum Norge AS	5.510600	\N	40906	298	9999-12-31	2013-05-08
SNORRE UNIT	1995-05-09	1998-08-01	Elf Petroleum Norge AS	5.510600	\N	40906	298	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	1998-12-17	Elf Petroleum Norge AS	5.951000	\N	40906	298	9999-12-31	2013-05-08
SNORRE UNIT	1998-12-17	1999-12-11	Elf Petroleum Norge AS	5.951000	\N	40906	298	9999-12-31	2013-05-08
SNORRE UNIT	1999-12-11	2000-07-24	Elf Petroleum Norge AS	5.951000	\N	40906	298	9999-12-31	2013-05-08
SNORRE UNIT	1989-04-14	1990-01-01	Enterprise Oil Norwegian AS	1.455900	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	1995-05-09	Enterprise Oil Norwegian AS	1.455900	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	1995-05-09	1998-08-01	Enterprise Oil Norwegian AS	1.455900	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	1998-12-17	Enterprise Oil Norwegian AS	1.180600	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	1998-12-17	1999-12-11	Enterprise Oil Norwegian AS	1.180600	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	1999-12-11	2000-07-24	Enterprise Oil Norwegian AS	1.180600	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	2000-07-24	2001-01-11	Enterprise Oil Norwegian AS	1.180600	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	1.180600	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	1.180600	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-01	2001-06-17	Enterprise Oil Norwegian AS	1.180600	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	1.180600	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1988-07-08	Esso Exploration and Production Norway A/S	10.332300	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	1988-07-08	1989-04-14	Esso Exploration and Production Norway A/S	10.332300	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	1989-04-14	1990-01-01	Esso Exploration and Production Norway A/S	10.332300	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	1995-05-09	Esso Exploration and Production Norway A/S	10.332300	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	1995-05-09	1998-08-01	Esso Exploration and Production Norway A/S	10.332300	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	1998-12-17	Esso Exploration and Production Norway A/S	11.158100	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	1998-12-17	1999-12-11	Esso Exploration and Production Norway A/S	11.158100	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	1999-12-11	2000-07-24	Esso Exploration and Production Norway A/S	11.158100	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	2000-07-24	2001-01-11	Esso Exploration and Production Norway A/S	11.158100	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	2001-01-11	2001-05-10	Esso Exploration and Production Norway A/S	11.158100	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	11.158100	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-01	2001-06-17	Esso Exploration and Production Norway A/S	11.158100	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-17	2001-12-31	Esso Exploration and Production Norway A/S	11.158100	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	2001-12-31	2003-05-06	Esso Exploration and Production Norway A/S	11.158100	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	11.158100	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1988-07-08	Norsk Hydro Produksjon AS	8.265800	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	1988-07-08	1989-04-14	Norsk Hydro Produksjon AS	8.265800	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	1989-04-14	1990-01-01	Norsk Hydro Produksjon AS	8.265800	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	1995-05-09	Norsk Hydro Produksjon AS	8.265800	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	1995-05-09	1998-08-01	Norsk Hydro Produksjon AS	8.265800	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	1998-12-17	Norsk Hydro Produksjon AS	8.926500	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	1998-12-17	1999-12-11	Norsk Hydro Produksjon AS	8.926500	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	8.926500	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	8.926500	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	17.654300	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	17.654300	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	17.654300	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-17	2001-12-31	Norsk Hydro Produksjon AS	17.654300	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2001-12-31	2003-05-06	Norsk Hydro Produksjon AS	17.654300	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	17.654300	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2004-10-01	2005-01-01	Norsk Hydro Produksjon AS	17.654300	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2005-01-01	2006-05-01	Norsk Hydro Produksjon AS	17.654300	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	2006-06-26	Norsk Hydro Produksjon AS	17.767200	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2006-06-26	2007-01-01	Norsk Hydro Produksjon AS	17.767200	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	1995-05-09	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	1995-05-09	1998-08-01	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	1998-12-17	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	1998-12-17	1999-12-11	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	1999-12-11	2000-07-24	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2000-07-24	2001-01-11	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2001-01-11	2001-05-10	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	2001-06-01	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-01	2001-06-17	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-17	2001-12-31	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2001-12-31	2003-05-06	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2003-05-06	2004-10-01	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2004-10-01	2005-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2005-01-01	2006-05-01	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	2006-06-26	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2006-06-26	2007-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2007-01-01	2007-10-01	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2009-01-01	2009-11-01	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2009-11-01	2011-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	2011-01-01	2012-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	2012-12-06	2013-05-08
SNORRE UNIT	2012-01-01	9999-12-31	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1988-07-08	Saga Petroleum ASA	11.255900	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	1988-07-08	1989-04-14	Saga Petroleum ASA	11.255900	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	1989-04-14	1990-01-01	Saga Petroleum ASA	11.255900	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	1995-05-09	Saga Petroleum ASA	11.255900	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	1995-05-09	1998-08-01	Saga Petroleum ASA	11.944700	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	1998-12-17	Saga Petroleum ASA	11.724500	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	1998-12-17	1999-12-11	Saga Petroleum ASA	11.724500	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	1999-12-11	2000-07-24	Saga Petroleum ASA	8.727800	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1988-07-08	Den norske stats oljeselskap a.s	51.000000	31.400000	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	1988-07-08	1989-04-14	Den norske stats oljeselskap a.s	51.000000	31.400000	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	1989-04-14	1990-01-01	Den norske stats oljeselskap a.s	51.000000	31.400000	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	1995-05-09	Den norske stats oljeselskap a.s	41.400000	\N	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	1995-05-09	1998-08-01	Den norske stats oljeselskap a.s	41.400000	\N	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	1998-12-17	Den norske stats oljeselskap a.s	41.400000	\N	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	1998-12-17	1999-12-11	Den norske stats oljeselskap a.s	41.400000	\N	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	44.396700	\N	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	44.396700	\N	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	44.396700	\N	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	1988-05-11	1988-07-08	Texas Eastern Norwegian Inc.	1.455900	\N	40906	837	9999-12-31	2013-05-08
SNORRE UNIT	1988-07-08	1989-04-14	Texas Eastern Norwegian Inc.	1.455900	\N	40906	837	9999-12-31	2013-05-08
SNORRE UNIT	1998-12-17	1999-12-11	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	1999-12-11	2000-07-24	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2000-07-24	2001-01-11	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2001-01-11	2001-05-10	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	2001-06-01	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-01	2001-06-17	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-17	2001-12-31	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2001-12-31	2003-05-06	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2003-05-06	2004-10-01	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2004-10-01	2005-01-01	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2005-01-01	2006-05-01	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	2006-06-26	RWE Dea Norge AS	8.281200	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2006-06-26	2007-01-01	RWE Dea Norge AS	8.281200	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2007-01-01	2007-10-01	RWE Dea Norge AS	8.281200	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	2009-01-01	RWE Dea Norge AS	8.281200	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2009-01-01	2009-11-01	RWE Dea Norge AS	8.281200	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2009-11-01	2011-01-01	RWE Dea Norge AS	8.281200	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2011-01-01	2012-01-01	RWE Dea Norge AS	8.281200	\N	40906	97557	2012-12-06	2013-05-08
SNORRE UNIT	2012-01-01	9999-12-31	RWE Dea Norge AS	8.281200	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	5.951000	\N	40906	1340884	9999-12-31	2013-05-08
SNORRE UNIT	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	5.951000	\N	40906	1340884	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	5.951000	\N	40906	1340884	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	5.951000	\N	40906	1340884	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-17	2001-12-31	TotalFinaElf Exploration Norge AS	5.951000	\N	40906	1340884	9999-12-31	2013-05-08
SNORRE UNIT	2001-12-31	2003-05-06	TotalFinaElf Exploration Norge AS	5.951000	\N	40906	1340884	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	2001-06-01	Statoil ASA (old)	12.996700	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-01	2001-06-17	Statoil ASA (old)	14.396700	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-17	2001-12-31	Statoil ASA (old)	14.396700	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2001-12-31	2003-05-06	Statoil ASA (old)	14.396700	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2003-05-06	2004-10-01	Statoil ASA (old)	14.396700	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2004-10-01	2005-01-01	Statoil ASA (old)	14.396700	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2005-01-01	2006-05-01	Statoil ASA (old)	15.577300	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	2006-06-26	Statoil ASA (old)	15.549700	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2006-06-26	2007-01-01	Statoil ASA (old)	15.549700	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	15.549700	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	2001-06-01	SDØE	31.400000	\N	40906	1623450	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-01	2001-06-17	SDØE	30.000000	\N	40906	1623450	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-17	2001-12-31	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2001-12-31	2003-05-06	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2003-05-06	2004-10-01	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2004-10-01	2005-01-01	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2005-01-01	2006-05-01	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	2006-06-26	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2006-06-26	2007-01-01	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2009-01-01	2009-11-01	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2009-11-01	2011-01-01	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2011-01-01	2012-01-01	Petoro AS	30.000000	\N	40906	1626839	2012-12-06	2013-05-08
SNORRE UNIT	2012-01-01	9999-12-31	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2001-12-31	2003-05-06	Enterprise Oil Norge AS	1.180600	\N	40906	1853786	9999-12-31	2013-05-08
SNORRE UNIT	2003-05-06	2004-10-01	Enterprise Oil Norge AS	1.180600	\N	40906	1853786	9999-12-31	2013-05-08
SNORRE UNIT	2004-10-01	2005-01-01	Enterprise Oil Norge AS	1.180600	\N	40906	1853786	9999-12-31	2013-05-08
SNORRE UNIT	2003-05-06	2004-10-01	Total E&P Norge AS	5.951000	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2004-10-01	2005-01-01	Total E&P Norge AS	5.951000	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2005-01-01	2006-05-01	Total E&P Norge AS	5.951000	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	2006-06-26	Total E&P Norge AS	6.178600	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2006-06-26	2007-01-01	Total E&P Norge AS	6.178600	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2007-01-01	2007-10-01	Total E&P Norge AS	6.178600	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	6.178600	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	6.178600	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2009-11-01	2011-01-01	Total E&P Norge AS	6.178600	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2011-01-01	2012-01-01	Total E&P Norge AS	6.178600	\N	40906	2410708	2012-12-06	2013-05-08
SNORRE UNIT	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	11.158100	\N	40906	2835212	9999-12-31	2013-05-08
SNORRE UNIT	2005-01-01	2006-05-01	ExxonMobil Exploration & Production Norway AS	11.158100	\N	40906	2835212	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	2006-06-26	ExxonMobil Exploration & Production Norway AS	11.584900	\N	40906	2835212	9999-12-31	2013-05-08
TROLL UNIT	1988-01-01	1993-04-01	Saga Petroleum ASA	4.080000	\N	41105	716	9999-12-31	2013-05-08
SNORRE UNIT	2006-06-26	2007-01-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	40906	2835212	9999-12-31	2013-05-08
SNORRE UNIT	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	40906	2835212	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	40906	2835212	9999-12-31	2013-05-08
SNORRE UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	40906	2835212	9999-12-31	2013-05-08
SNORRE UNIT	2009-11-01	2011-01-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	40906	2835212	9999-12-31	2013-05-08
SNORRE UNIT	2011-01-01	2012-01-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	40906	2835212	2012-12-06	2013-05-08
SNORRE UNIT	2012-01-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	17.763500	\N	40906	2835212	9999-12-31	2013-05-08
SNORRE UNIT	2006-06-26	2007-01-01	Hess Norge AS	1.038400	\N	40906	4038735	9999-12-31	2013-05-08
SNORRE UNIT	2007-01-01	2007-10-01	Hess Norge AS	1.038400	\N	40906	4038735	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	2009-01-01	Hess Norge AS	1.038400	\N	40906	4038735	9999-12-31	2013-05-08
SNORRE UNIT	2009-01-01	2009-11-01	Hess Norge AS	1.038400	\N	40906	4038735	9999-12-31	2013-05-08
SNORRE UNIT	2009-11-01	2011-01-01	Hess Norge AS	1.038400	\N	40906	4038735	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	17.767200	\N	40906	4511658	9999-12-31	2013-05-08
SNORRE UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	33.316900	\N	40906	4511658	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	15.549700	\N	40906	4511854	9999-12-31	2013-05-08
SNORRE UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	17.767200	\N	40906	4524355	9999-12-31	2013-05-08
SNORRE UNIT	2009-11-01	2011-01-01	Statoil Petroleum AS	33.316900	\N	40906	17237817	9999-12-31	2013-05-08
SNORRE UNIT	2011-01-01	2012-01-01	Statoil Petroleum AS	33.316900	\N	40906	17237817	2012-12-06	2013-05-08
SNORRE UNIT	2012-01-01	9999-12-31	Statoil Petroleum AS	33.316900	\N	40906	17237817	9999-12-31	2013-05-08
SNORRE UNIT	2011-01-01	2012-01-01	Core Energy AS	1.038400	\N	40906	20460080	2012-12-06	2013-05-08
SNORRE UNIT	2012-01-01	9999-12-31	Core Energy AS	1.038400	\N	40906	20460080	9999-12-31	2013-05-08
OSEBERG UNIT	2002-10-01	2002-12-01	Norske Conoco A/S	2.400000	\N	41040	221	9999-12-31	2013-05-08
OSEBERG UNIT	2002-12-01	2003-03-22	Norske Conoco A/S	2.400000	\N	41040	221	9999-12-31	2013-05-08
OSEBERG UNIT	1985-03-28	1988-04-01	Elf Petroleum Norge AS	6.400000	\N	41040	298	9999-12-31	2013-05-08
OSEBERG UNIT	1988-04-01	1994-01-01	Elf Petroleum Norge AS	5.600000	\N	41040	298	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	2000-07-20	Elf Petroleum Norge AS	5.769590	\N	41040	298	9999-12-31	2013-05-08
OSEBERG UNIT	1985-03-28	1988-04-01	Norsk Hydro Produksjon AS	13.750000	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	1988-04-01	1994-01-01	Norsk Hydro Produksjon AS	13.750000	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	2000-07-20	Norsk Hydro Produksjon AS	13.681860	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	2000-07-20	2001-01-11	Norsk Hydro Produksjon AS	13.681860	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	22.234620	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	22.234620	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	22.234620	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	2001-12-18	2002-03-19	Norsk Hydro Produksjon AS	22.234620	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	2002-03-19	2002-10-01	Norsk Hydro Produksjon AS	34.000000	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	2002-10-01	2002-12-01	Norsk Hydro Produksjon AS	34.000000	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	2002-12-01	2003-03-22	Norsk Hydro Produksjon AS	34.000000	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	34.000000	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	2003-05-06	2004-06-16	Norsk Hydro Produksjon AS	34.000000	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	1985-03-28	1988-04-01	Mobil Development Norway AS	4.800000	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	1988-04-01	1994-01-01	Mobil Development Norway AS	4.200000	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	2000-07-20	Mobil Development Norway AS	4.327200	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	2000-07-20	2001-01-11	Mobil Development Norway AS	4.327200	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	2001-01-11	2001-05-10	Mobil Development Norway AS	4.327200	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	2001-05-10	2001-06-17	Mobil Development Norway AS	4.327200	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	2001-06-17	2001-12-18	Mobil Development Norway AS	4.327200	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	2001-12-18	2002-03-19	Mobil Development Norway AS	4.327200	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	2002-03-19	2002-10-01	Mobil Development Norway AS	4.327200	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	2002-10-01	2002-12-01	Mobil Development Norway AS	4.327200	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	2002-12-01	2003-03-22	Mobil Development Norway AS	4.700000	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	2003-03-22	2003-05-06	Mobil Development Norway AS	4.700000	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	2003-05-06	2004-06-16	Mobil Development Norway AS	4.700000	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	1985-03-28	1988-04-01	Saga Petroleum ASA	8.610000	\N	41040	716	9999-12-31	2013-05-08
OSEBERG UNIT	1988-04-01	1994-01-01	Saga Petroleum ASA	8.610000	\N	41040	716	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	2000-07-20	Saga Petroleum ASA	8.552760	\N	41040	716	9999-12-31	2013-05-08
OSEBERG UNIT	2000-07-20	2001-01-11	Saga Petroleum ASA	8.552760	\N	41040	716	9999-12-31	2013-05-08
OSEBERG UNIT	1985-03-28	1988-04-01	Den norske stats oljeselskap a.s	63.240000	49.240000	41040	749	9999-12-31	2013-05-08
OSEBERG UNIT	1988-04-01	1994-01-01	Den norske stats oljeselskap a.s	65.040000	51.040000	41040	749	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	2000-07-20	Den norske stats oljeselskap a.s	64.783790	50.783790	41040	749	9999-12-31	2013-05-08
OSEBERG UNIT	2000-07-20	2001-01-11	Den norske stats oljeselskap a.s	64.783790	50.783790	41040	749	9999-12-31	2013-05-08
OSEBERG UNIT	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	64.783790	50.783790	41040	749	9999-12-31	2013-05-08
OSEBERG UNIT	1985-03-28	1988-04-01	Total Norge AS	3.200000	\N	41040	848	9999-12-31	2013-05-08
OSEBERG UNIT	1988-04-01	1994-01-01	Total Norge AS	2.800000	\N	41040	848	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	2000-07-20	Total Norge AS	2.884800	\N	41040	848	9999-12-31	2013-05-08
OSEBERG UNIT	2000-07-20	2001-01-11	Total Norge AS	2.884800	\N	41040	848	9999-12-31	2013-05-08
OSEBERG UNIT	2001-01-11	2001-05-10	Total Norge AS	2.884800	\N	41040	848	9999-12-31	2013-05-08
OSEBERG UNIT	2001-05-10	2001-06-17	Total Norge AS	2.884800	\N	41040	848	9999-12-31	2013-05-08
OSEBERG UNIT	2001-06-17	2001-12-18	Total Norge AS	2.884800	\N	41040	848	9999-12-31	2013-05-08
OSEBERG UNIT	2000-07-20	2001-01-11	TotalFinaElf Exploration Norge AS	5.769590	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	5.769590	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	5.769590	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	5.769590	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2001-12-18	2002-03-19	TotalFinaElf Exploration Norge AS	8.654390	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2002-03-19	2002-10-01	TotalFinaElf Exploration Norge AS	10.000000	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2002-10-01	2002-12-01	TotalFinaElf Exploration Norge AS	10.000000	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2002-12-01	2003-03-22	TotalFinaElf Exploration Norge AS	10.000000	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2001-05-10	2001-06-17	Statoil ASA (old)	14.000000	\N	41040	1622484	9999-12-31	2013-05-08
OSEBERG UNIT	2001-06-17	2001-12-18	Statoil ASA (old)	14.000000	\N	41040	1622484	9999-12-31	2013-05-08
OSEBERG UNIT	2001-12-18	2002-03-19	Statoil ASA (old)	14.000000	\N	41040	1622484	9999-12-31	2013-05-08
OSEBERG UNIT	2002-03-19	2002-10-01	Statoil ASA (old)	14.000000	\N	41040	1622484	9999-12-31	2013-05-08
OSEBERG UNIT	2002-10-01	2002-12-01	Statoil ASA (old)	15.300000	\N	41040	1622484	9999-12-31	2013-05-08
OSEBERG UNIT	2002-12-01	2003-03-22	Statoil ASA (old)	15.300000	\N	41040	1622484	9999-12-31	2013-05-08
OSEBERG UNIT	2003-03-22	2003-05-06	Statoil ASA (old)	15.300000	\N	41040	1622484	9999-12-31	2013-05-08
OSEBERG UNIT	2003-05-06	2004-06-16	Statoil ASA (old)	15.300000	\N	41040	1622484	9999-12-31	2013-05-08
OSEBERG UNIT	2001-05-10	2001-06-17	SDØE	50.783790	\N	41040	1623450	9999-12-31	2013-05-08
OSEBERG UNIT	2001-06-17	2001-12-18	Petoro AS	50.783790	\N	41040	1626839	9999-12-31	2013-05-08
OSEBERG UNIT	2001-12-18	2002-03-19	Petoro AS	50.783790	\N	41040	1626839	9999-12-31	2013-05-08
OSEBERG UNIT	2002-03-19	2002-10-01	Petoro AS	37.672800	\N	41040	1626839	9999-12-31	2013-05-08
OSEBERG UNIT	2002-10-01	2002-12-01	Petoro AS	33.972800	\N	41040	1626839	9999-12-31	2013-05-08
OSEBERG UNIT	2002-12-01	2003-03-22	Petoro AS	33.600000	\N	41040	1626839	9999-12-31	2013-05-08
OSEBERG UNIT	2003-03-22	2003-05-06	Petoro AS	33.600000	\N	41040	1626839	9999-12-31	2013-05-08
OSEBERG UNIT	2003-05-06	2004-06-16	Petoro AS	33.600000	\N	41040	1626839	9999-12-31	2013-05-08
OSEBERG UNIT	2003-03-22	2003-05-06	Norske ConocoPhillips AS	2.400000	\N	41040	2399056	9999-12-31	2013-05-08
OSEBERG UNIT	2003-05-06	2004-06-16	Norske ConocoPhillips AS	2.400000	\N	41040	2399056	9999-12-31	2013-05-08
OSEBERG UNIT	2003-05-06	2004-06-16	Total E&P Norge AS	10.000000	\N	41040	2410708	9999-12-31	2013-05-08
TROLL UNIT	1987-01-01	1987-01-02	Norske Conoco A/S	1.184000	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	1987-01-02	1988-01-01	Norske Conoco A/S	1.184000	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	1988-01-01	1993-04-01	Norske Conoco A/S	2.014560	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	1993-04-01	1999-10-01	Norske Conoco A/S	1.661130	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	1999-12-11	Norske Conoco A/S	1.623740	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	1999-12-11	2000-07-24	Norske Conoco A/S	1.623740	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	2000-07-24	2001-01-11	Norske Conoco A/S	1.623740	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	2001-01-11	2001-05-10	Norske Conoco A/S	1.623740	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	2001-05-10	2001-06-01	Norske Conoco A/S	1.623740	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	2001-06-01	2001-06-17	Norske Conoco A/S	1.623740	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	2001-06-17	2001-12-18	Norske Conoco A/S	1.623740	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	2001-12-18	2003-03-22	Norske Conoco A/S	1.623740	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	1987-01-02	1988-01-01	Elf Petroleum Norge AS	2.000000	\N	41105	298	9999-12-31	2013-05-08
TROLL UNIT	1988-01-01	1993-04-01	Elf Petroleum Norge AS	2.353440	\N	41105	298	9999-12-31	2013-05-08
TROLL UNIT	1993-04-01	1999-10-01	Elf Petroleum Norge AS	2.353440	\N	41105	298	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	1999-12-11	Elf Petroleum Norge AS	2.345480	\N	41105	298	9999-12-31	2013-05-08
TROLL UNIT	1999-12-11	2000-07-24	Elf Petroleum Norge AS	2.345480	\N	41105	298	9999-12-31	2013-05-08
TROLL UNIT	1987-01-01	1987-01-02	Norsk Hydro Produksjon AS	7.688000	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	1987-01-02	1988-01-01	Norsk Hydro Produksjon AS	7.688000	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	1988-01-01	1993-04-01	Norsk Hydro Produksjon AS	7.688000	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	1993-04-01	1999-10-01	Norsk Hydro Produksjon AS	7.688000	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	1999-12-11	Norsk Hydro Produksjon AS	7.717530	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	7.717530	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	7.717530	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	9.779140	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.779140	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.779140	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	9.779140	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	2001-12-18	2003-03-22	Norsk Hydro Produksjon AS	9.779140	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	9.779140	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	9.779140	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	1987-01-01	1987-01-02	Mobil Development Norway AS	1.184000	\N	41105	474	9999-12-31	2013-05-08
TROLL UNIT	1987-01-02	1988-01-01	Mobil Development Norway AS	1.184000	\N	41105	474	9999-12-31	2013-05-08
TROLL UNIT	1987-01-01	1987-01-02	A/S Norske Shell	8.288000	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	1987-01-02	1988-01-01	A/S Norske Shell	8.288000	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	1988-01-01	1993-04-01	A/S Norske Shell	8.288000	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	1993-04-01	1999-10-01	A/S Norske Shell	8.288000	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	1999-12-11	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	1999-12-11	2000-07-24	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2000-07-24	2001-01-11	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2001-01-11	2001-05-10	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2001-05-10	2001-06-01	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2001-06-01	2001-06-17	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2001-06-17	2001-12-18	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2001-12-18	2003-03-22	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2003-03-22	2003-05-06	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2003-05-06	2007-01-01	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2007-01-01	2007-01-02	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2007-01-02	2007-10-01	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2007-10-01	2009-01-01	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2009-01-01	2009-11-01	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	2009-11-01	9999-12-31	A/S Norske Shell	8.101450	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	1987-01-01	1987-01-02	Saga Petroleum ASA	4.080000	\N	41105	716	9999-12-31	2013-05-08
TROLL UNIT	1987-01-02	1988-01-01	Saga Petroleum ASA	4.080000	\N	41105	716	9999-12-31	2013-05-08
TROLL UNIT	1993-04-01	1999-10-01	Saga Petroleum ASA	4.080000	\N	41105	716	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	1999-12-11	Saga Petroleum ASA	4.123220	\N	41105	716	9999-12-31	2013-05-08
TROLL UNIT	1999-12-11	2000-07-24	Saga Petroleum ASA	2.061610	\N	41105	716	9999-12-31	2013-05-08
TROLL UNIT	2000-07-24	2001-01-11	Saga Petroleum ASA	2.061610	\N	41105	716	9999-12-31	2013-05-08
TROLL UNIT	1987-01-01	1987-01-02	Den norske stats oljeselskap a.s	77.576000	62.696000	41105	749	9999-12-31	2013-05-08
TROLL UNIT	1987-01-02	1988-01-01	Den norske stats oljeselskap a.s	74.576000	62.696000	41105	749	9999-12-31	2013-05-08
TROLL UNIT	1988-01-01	1993-04-01	Den norske stats oljeselskap a.s	74.576000	62.696000	41105	749	9999-12-31	2013-05-08
TROLL UNIT	1993-04-01	1999-10-01	Den norske stats oljeselskap a.s	74.576000	62.696000	41105	749	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	1999-12-11	Den norske stats oljeselskap a.s	74.743100	62.927920	41105	749	9999-12-31	2013-05-08
TROLL UNIT	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	76.804710	62.927920	41105	749	9999-12-31	2013-05-08
TROLL UNIT	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	76.804710	62.927920	41105	749	9999-12-31	2013-05-08
TROLL UNIT	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	76.804710	62.927920	41105	749	9999-12-31	2013-05-08
TROLL UNIT	1987-01-02	1988-01-01	Total Norge AS	1.000000	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	1988-01-01	1993-04-01	Total Norge AS	1.000000	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	1993-04-01	1999-10-01	Total Norge AS	1.353430	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	1999-12-11	Total Norge AS	1.345480	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	1999-12-11	2000-07-24	Total Norge AS	1.345480	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	2000-07-24	2001-01-11	Total Norge AS	1.345480	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	2001-01-11	2001-05-10	Total Norge AS	1.345480	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	2001-05-10	2001-06-01	Total Norge AS	1.345480	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	2001-06-01	2001-06-17	Total Norge AS	1.345480	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	2001-06-17	2001-12-18	Total Norge AS	1.345480	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	2.345480	\N	41105	1340884	9999-12-31	2013-05-08
TROLL UNIT	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	2.345480	\N	41105	1340884	9999-12-31	2013-05-08
TROLL UNIT	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	2.345480	\N	41105	1340884	9999-12-31	2013-05-08
TROLL UNIT	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	2.345480	\N	41105	1340884	9999-12-31	2013-05-08
TROLL UNIT	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	2.345480	\N	41105	1340884	9999-12-31	2013-05-08
TROLL UNIT	2001-12-18	2003-03-22	TotalFinaElf Exploration Norge AS	3.690960	\N	41105	1340884	9999-12-31	2013-05-08
TROLL UNIT	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	3.690960	\N	41105	1340884	9999-12-31	2013-05-08
TROLL UNIT	2001-05-10	2001-06-01	Statoil ASA (old)	13.876780	\N	41105	1622484	9999-12-31	2013-05-08
TROLL UNIT	2001-06-01	2001-06-17	Statoil ASA (old)	20.804710	\N	41105	1622484	9999-12-31	2013-05-08
TROLL UNIT	2001-06-17	2001-12-18	Statoil ASA (old)	20.804710	\N	41105	1622484	9999-12-31	2013-05-08
TROLL UNIT	2001-12-18	2003-03-22	Statoil ASA (old)	20.804710	\N	41105	1622484	9999-12-31	2013-05-08
TROLL UNIT	2003-03-22	2003-05-06	Statoil ASA (old)	20.804710	\N	41105	1622484	9999-12-31	2013-05-08
TROLL UNIT	2003-05-06	2007-01-01	Statoil ASA (old)	20.804710	\N	41105	1622484	9999-12-31	2013-05-08
TROLL UNIT	2007-01-01	2007-01-02	Statoil ASA (old)	20.804710	\N	41105	1622484	9999-12-31	2013-05-08
TROLL UNIT	2007-01-02	2007-10-01	Statoil ASA (old)	20.804710	\N	41105	1622484	9999-12-31	2013-05-08
TROLL UNIT	2001-05-10	2001-06-01	SDØE	62.927920	\N	41105	1623450	9999-12-31	2013-05-08
TROLL UNIT	2001-06-01	2001-06-17	SDØE	56.000000	\N	41105	1623450	9999-12-31	2013-05-08
TROLL UNIT	2001-06-17	2001-12-18	Petoro AS	56.000000	\N	41105	1626839	9999-12-31	2013-05-08
TROLL UNIT	2001-12-18	2003-03-22	Petoro AS	56.000000	\N	41105	1626839	9999-12-31	2013-05-08
TROLL UNIT	2003-03-22	2003-05-06	Petoro AS	56.000000	\N	41105	1626839	9999-12-31	2013-05-08
TROLL UNIT	2003-05-06	2007-01-01	Petoro AS	56.000000	\N	41105	1626839	9999-12-31	2013-05-08
TROLL UNIT	2007-01-01	2007-01-02	Petoro AS	56.000000	\N	41105	1626839	9999-12-31	2013-05-08
TROLL UNIT	2007-01-02	2007-10-01	Petoro AS	56.000000	\N	41105	1626839	9999-12-31	2013-05-08
TROLL UNIT	2007-10-01	2009-01-01	Petoro AS	56.000000	\N	41105	1626839	9999-12-31	2013-05-08
TROLL UNIT	2009-01-01	2009-11-01	Petoro AS	56.000000	\N	41105	1626839	9999-12-31	2013-05-08
TROLL UNIT	2009-11-01	9999-12-31	Petoro AS	56.000000	\N	41105	1626839	9999-12-31	2013-05-08
TROLL UNIT	2003-03-22	2003-05-06	Norske ConocoPhillips AS	1.623740	\N	41105	2399056	9999-12-31	2013-05-08
TROLL UNIT	2003-05-06	2007-01-01	Norske ConocoPhillips AS	1.623740	\N	41105	2399056	9999-12-31	2013-05-08
TROLL UNIT	2007-01-01	2007-01-02	Norske ConocoPhillips AS	1.623740	\N	41105	2399056	9999-12-31	2013-05-08
TROLL UNIT	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	1.623740	\N	41105	2410696	9999-12-31	2013-05-08
TROLL UNIT	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	1.623740	\N	41105	2410696	9999-12-31	2013-05-08
TROLL UNIT	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	1.623740	\N	41105	2410696	9999-12-31	2013-05-08
TROLL UNIT	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	1.623740	\N	41105	2410696	9999-12-31	2013-05-08
TROLL UNIT	2003-05-06	2007-01-01	Total E&P Norge AS	3.690960	\N	41105	2410708	9999-12-31	2013-05-08
TROLL UNIT	2007-01-01	2007-01-02	Total E&P Norge AS	3.690960	\N	41105	2410708	9999-12-31	2013-05-08
TROLL UNIT	2007-01-02	2007-10-01	Total E&P Norge AS	3.690960	\N	41105	2410708	9999-12-31	2013-05-08
TROLL UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	3.690960	\N	41105	2410708	9999-12-31	2013-05-08
TROLL UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	3.690960	\N	41105	2410708	9999-12-31	2013-05-08
TROLL UNIT	2009-11-01	9999-12-31	Total E&P Norge AS	3.690960	\N	41105	2410708	9999-12-31	2013-05-08
TROLL UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.779140	\N	41105	4511658	9999-12-31	2013-05-08
TROLL UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	30.583850	\N	41105	4511658	9999-12-31	2013-05-08
TROLL UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	20.804710	\N	41105	4511854	9999-12-31	2013-05-08
TROLL UNIT	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	9.779140	\N	41105	4524355	9999-12-31	2013-05-08
TROLL UNIT	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	9.779140	\N	41105	4524355	9999-12-31	2013-05-08
TROLL UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	30.583850	\N	41105	17237817	9999-12-31	2013-05-08
FRØY UNIT	1992-08-19	2000-07-24	Elf Petroleum Norge AS	24.757300	\N	41175	298	9999-12-31	2013-05-08
FRØY UNIT	1992-08-19	2000-07-24	Norsk Hydro Produksjon AS	6.048100	\N	41175	430	9999-12-31	2013-05-08
FRØY UNIT	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	6.048100	\N	41175	430	9999-12-31	2013-05-08
FRØY UNIT	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	6.048100	\N	41175	430	9999-12-31	2013-05-08
FRØY UNIT	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	6.048100	\N	41175	430	9999-12-31	2013-05-08
FRØY UNIT	2001-12-18	2002-12-31	Norsk Hydro Produksjon AS	6.048100	\N	41175	430	9999-12-31	2013-05-08
FRØY UNIT	1992-08-19	2000-07-24	Den norske stats oljeselskap a.s	53.960000	41.616000	41175	749	9999-12-31	2013-05-08
FRØY UNIT	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	53.960000	41.616000	41175	749	9999-12-31	2013-05-08
FRØY UNIT	1992-08-19	2000-07-24	Total Norge AS	15.234600	\N	41175	848	9999-12-31	2013-05-08
FRØY UNIT	2000-07-24	2001-05-10	Total Norge AS	15.234600	\N	41175	848	9999-12-31	2013-05-08
FRØY UNIT	2001-05-10	2001-06-17	Total Norge AS	15.234600	\N	41175	848	9999-12-31	2013-05-08
FRØY UNIT	2001-06-17	2001-12-18	Total Norge AS	15.234600	\N	41175	848	9999-12-31	2013-05-08
FRØY UNIT	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	24.757300	\N	41175	1340884	9999-12-31	2013-05-08
FRØY UNIT	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	24.757300	\N	41175	1340884	9999-12-31	2013-05-08
FRØY UNIT	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	24.757300	\N	41175	1340884	9999-12-31	2013-05-08
FRØY UNIT	2001-12-18	2002-12-31	TotalFinaElf Exploration Norge AS	39.991900	\N	41175	1340884	9999-12-31	2013-05-08
FRØY UNIT	2001-05-10	2001-06-17	Statoil ASA (old)	12.344000	\N	41175	1622484	9999-12-31	2013-05-08
FRØY UNIT	2001-06-17	2001-12-18	Statoil ASA (old)	12.344000	\N	41175	1622484	9999-12-31	2013-05-08
FRØY UNIT	2001-12-18	2002-12-31	Statoil ASA (old)	12.344000	\N	41175	1622484	9999-12-31	2013-05-08
FRØY UNIT	2001-05-10	2001-06-17	SDØE	41.616000	\N	41175	1623450	9999-12-31	2013-05-08
FRØY UNIT	2001-06-17	2001-12-18	Petoro AS	41.616000	\N	41175	1626839	9999-12-31	2013-05-08
FRØY UNIT	2001-12-18	2002-12-31	Petoro AS	41.616000	\N	41175	1626839	9999-12-31	2013-05-08
HULDRA UNIT	1997-12-05	2001-01-23	Norske Conoco A/S	23.336250	\N	41189	221	9999-12-31	2013-05-08
HULDRA UNIT	2001-01-23	2001-05-10	Norske Conoco A/S	23.336250	\N	41189	221	9999-12-31	2013-05-08
HULDRA UNIT	2001-05-10	2001-06-17	Norske Conoco A/S	23.336250	\N	41189	221	9999-12-31	2013-05-08
HULDRA UNIT	2001-06-17	2001-12-18	Norske Conoco A/S	23.336250	\N	41189	221	9999-12-31	2013-05-08
HULDRA UNIT	2001-12-18	2003-03-22	Norske Conoco A/S	23.336250	\N	41189	221	9999-12-31	2013-05-08
HULDRA UNIT	1997-12-05	2001-01-23	Petro-Canada Norge AS (old)	0.497880	\N	41189	628	9999-12-31	2013-05-08
HULDRA UNIT	1997-12-05	2001-01-23	Svenska Petroleum Exploration AS	0.213750	\N	41189	738	9999-12-31	2013-05-08
HULDRA UNIT	2001-01-23	2001-05-10	Svenska Petroleum Exploration AS	0.213750	\N	41189	738	9999-12-31	2013-05-08
HULDRA UNIT	2001-05-10	2001-06-17	Svenska Petroleum Exploration AS	0.213750	\N	41189	738	9999-12-31	2013-05-08
HULDRA UNIT	2001-06-17	2001-12-18	Svenska Petroleum Exploration AS	0.213750	\N	41189	738	9999-12-31	2013-05-08
HULDRA UNIT	2001-12-18	2003-03-22	Svenska Petroleum Exploration AS	0.213750	\N	41189	738	9999-12-31	2013-05-08
HULDRA UNIT	2003-03-22	2003-05-06	Svenska Petroleum Exploration AS	0.213750	\N	41189	738	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-06	2003-05-22	Svenska Petroleum Exploration AS	0.213750	\N	41189	738	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-22	2004-01-01	Svenska Petroleum Exploration AS	0.213750	\N	41189	738	9999-12-31	2013-05-08
HULDRA UNIT	1997-12-05	2001-01-23	Den norske stats oljeselskap a.s	51.620110	31.955340	41189	749	9999-12-31	2013-05-08
HULDRA UNIT	2001-01-23	2001-05-10	Den norske stats oljeselskap a.s	51.620110	31.955340	41189	749	9999-12-31	2013-05-08
HULDRA UNIT	1997-12-05	2001-01-23	Total Norge AS	24.332010	\N	41189	848	9999-12-31	2013-05-08
HULDRA UNIT	2001-01-23	2001-05-10	Total Norge AS	24.332010	\N	41189	848	9999-12-31	2013-05-08
HULDRA UNIT	2001-05-10	2001-06-17	Total Norge AS	24.332010	\N	41189	848	9999-12-31	2013-05-08
HULDRA UNIT	2001-06-17	2001-12-18	Total Norge AS	24.332010	\N	41189	848	9999-12-31	2013-05-08
HULDRA UNIT	2001-12-18	2003-03-22	TotalFinaElf Exploration Norge AS	24.332010	\N	41189	1340884	9999-12-31	2013-05-08
HULDRA UNIT	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	24.332010	\N	41189	1340884	9999-12-31	2013-05-08
HULDRA UNIT	2001-01-23	2001-05-10	Paladin Resources Norge AS	0.497880	\N	41189	1577943	9999-12-31	2013-05-08
HULDRA UNIT	2001-05-10	2001-06-17	Paladin Resources Norge AS	0.497880	\N	41189	1577943	9999-12-31	2013-05-08
HULDRA UNIT	2001-06-17	2001-12-18	Paladin Resources Norge AS	0.497880	\N	41189	1577943	9999-12-31	2013-05-08
HULDRA UNIT	2001-12-18	2003-03-22	Paladin Resources Norge AS	0.497880	\N	41189	1577943	9999-12-31	2013-05-08
HULDRA UNIT	2003-03-22	2003-05-06	Paladin Resources Norge AS	0.497880	\N	41189	1577943	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-06	2003-05-22	Paladin Resources Norge AS	0.497880	\N	41189	1577943	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-22	2004-01-01	Paladin Resources Norge AS	0.497900	\N	41189	1577943	9999-12-31	2013-05-08
HULDRA UNIT	2004-01-01	2006-03-22	Paladin Resources Norge AS	0.497900	\N	41189	1577943	9999-12-31	2013-05-08
HULDRA UNIT	2001-05-10	2001-06-17	Statoil ASA (old)	19.664770	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2001-06-17	2001-12-18	Statoil ASA (old)	19.664770	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2001-12-18	2003-03-22	Statoil ASA (old)	19.664770	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2003-03-22	2003-05-06	Statoil ASA (old)	19.664770	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-06	2003-05-22	Statoil ASA (old)	19.664770	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-22	2004-01-01	Statoil ASA (old)	19.664760	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2004-01-01	2006-03-22	Statoil ASA (old)	19.878510	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2006-03-22	2006-10-13	Statoil ASA (old)	19.878510	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2006-10-13	2007-01-02	Statoil ASA (old)	19.878510	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2007-01-02	2007-10-01	Statoil ASA (old)	19.878510	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2001-05-10	2001-06-17	SDØE	31.955340	\N	41189	1623450	9999-12-31	2013-05-08
HULDRA UNIT	2001-06-17	2001-12-18	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2001-12-18	2003-03-22	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2003-03-22	2003-05-06	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-06	2003-05-22	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-22	2004-01-01	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2004-01-01	2006-03-22	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2006-03-22	2006-10-13	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2006-10-13	2007-01-02	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2007-01-02	2007-10-01	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2007-10-01	2009-01-01	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-01	2009-01-02	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-02	2009-11-01	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2009-11-01	2011-01-01	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2011-01-01	9999-12-31	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2003-03-22	2003-05-06	Norske ConocoPhillips AS	23.336250	\N	41189	2399056	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-06	2003-05-22	Norske ConocoPhillips AS	23.336250	\N	41189	2399056	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-22	2004-01-01	Norske ConocoPhillips AS	23.336250	\N	41189	2399056	9999-12-31	2013-05-08
HULDRA UNIT	2004-01-01	2006-03-22	Norske ConocoPhillips AS	23.336250	\N	41189	2399056	9999-12-31	2013-05-08
HULDRA UNIT	2006-03-22	2006-10-13	Norske ConocoPhillips AS	23.336250	\N	41189	2399056	9999-12-31	2013-05-08
HULDRA UNIT	2006-10-13	2007-01-02	Norske ConocoPhillips AS	23.336250	\N	41189	2399056	9999-12-31	2013-05-08
HULDRA UNIT	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	23.336250	\N	41189	2410696	9999-12-31	2013-05-08
HULDRA UNIT	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	23.336250	\N	41189	2410696	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-01	2009-01-02	ConocoPhillips Skandinavia AS	23.336250	\N	41189	2410696	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-02	2009-11-01	ConocoPhillips Skandinavia AS	23.336250	\N	41189	2410696	9999-12-31	2013-05-08
HULDRA UNIT	2009-11-01	2011-01-01	ConocoPhillips Skandinavia AS	23.336250	\N	41189	2410696	9999-12-31	2013-05-08
HULDRA UNIT	2011-01-01	9999-12-31	ConocoPhillips Skandinavia AS	23.336250	\N	41189	2410696	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-06	2003-05-22	Total E&P Norge AS	24.332010	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-22	2004-01-01	Total E&P Norge AS	24.332000	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2004-01-01	2006-03-22	Total E&P Norge AS	24.332000	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2006-03-22	2006-10-13	Total E&P Norge AS	24.332000	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2006-10-13	2007-01-02	Total E&P Norge AS	24.332000	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2007-01-02	2007-10-01	Total E&P Norge AS	24.332000	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	24.332000	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-01	2009-01-02	Total E&P Norge AS	24.332000	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-02	2009-11-01	Total E&P Norge AS	24.332000	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2009-11-01	2011-01-01	Total E&P Norge AS	24.332000	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2011-01-01	9999-12-31	Total E&P Norge AS	24.332000	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2006-10-13	2007-01-02	Talisman Energy Norge AS	0.497900	\N	41189	2425093	9999-12-31	2013-05-08
HULDRA UNIT	2007-01-02	2007-10-01	Talisman Energy Norge AS	0.497900	\N	41189	2425093	9999-12-31	2013-05-08
HULDRA UNIT	2007-10-01	2009-01-01	Talisman Energy Norge AS	0.497900	\N	41189	2425093	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-01	2009-01-02	Talisman Energy Norge AS	0.497900	\N	41189	2425093	9999-12-31	2013-05-08
HULDRA UNIT	2011-01-01	9999-12-31	Talisman Energy Norge AS	0.497900	\N	41189	2425093	9999-12-31	2013-05-08
HULDRA UNIT	2006-03-22	2006-10-13	Talisman Resources Norge AS	0.497900	\N	41189	3987574	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-02	2009-11-01	Talisman Resources Norge AS	0.497900	\N	41189	3987574	9999-12-31	2013-05-08
HULDRA UNIT	2009-11-01	2011-01-01	Talisman Resources Norge AS	0.497900	\N	41189	3987574	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	19.878510	\N	41189	4511658	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-02	2009-11-01	StatoilHydro Petroleum AS	19.878510	\N	41189	4511658	9999-12-31	2013-05-08
HULDRA UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	19.878510	\N	41189	4511854	9999-12-31	2013-05-08
HULDRA UNIT	2009-11-01	2011-01-01	Statoil Petroleum AS	19.878510	\N	41189	17237817	9999-12-31	2013-05-08
HULDRA UNIT	2011-01-01	9999-12-31	Statoil Petroleum AS	19.878510	\N	41189	17237817	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1993-01-15	1998-01-01	Elf Petroleum Norge AS	9.000000	\N	41211	298	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1998-01-01	2000-07-24	Elf Petroleum Norge AS	10.000000	\N	41211	298	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1993-01-15	1998-01-01	Esso Exploration and Production Norway A/S	30.400000	\N	41211	353	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1998-01-01	2000-07-24	Esso Exploration and Production Norway A/S	30.400000	\N	41211	353	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2000-07-24	2001-05-10	Esso Exploration and Production Norway A/S	30.400000	\N	41211	353	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	30.400000	\N	41211	353	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-06-01	2003-05-06	Esso Exploration and Production Norway A/S	30.400000	\N	41211	353	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	30.400000	\N	41211	353	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1993-01-15	1998-01-01	Norsk Hydro Produksjon AS	10.000000	\N	41211	430	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1998-01-01	2000-07-24	Norsk Hydro Produksjon AS	10.000000	\N	41211	430	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	41211	430	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	10.000000	\N	41211	430	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-06-01	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	41211	430	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	10.000000	\N	41211	430	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	41211	430	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1993-01-15	1998-01-01	Den norske stats oljeselskap a.s	49.600000	29.600000	41211	749	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1998-01-01	2000-07-24	Den norske stats oljeselskap a.s	49.600000	29.600000	41211	749	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	49.600000	29.600000	41211	749	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1993-01-15	1998-01-01	Total Norge AS	1.000000	\N	41211	848	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	10.000000	\N	41211	1340884	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	10.000000	\N	41211	1340884	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-06-01	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	41211	1340884	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	41211	1622484	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-06-01	2003-05-06	Statoil ASA (old)	49.600000	\N	41211	1622484	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2003-05-06	2004-10-01	Statoil ASA (old)	49.600000	\N	41211	1622484	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2004-10-01	2007-01-01	Statoil ASA (old)	49.600000	\N	41211	1622484	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	49.600000	\N	41211	1622484	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-05-10	2001-06-01	SDØE	29.600000	\N	41211	1623450	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2003-05-06	2004-10-01	Total E&P Norge AS	10.000000	\N	41211	2410708	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2004-10-01	2007-01-01	Total E&P Norge AS	10.000000	\N	41211	2410708	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	41211	2410708	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	10.000000	\N	41211	2410708	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	10.000000	\N	41211	2410708	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2009-11-01	9999-12-31	Total E&P Norge AS	10.000000	\N	41211	2410708	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	41211	2835212	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	41211	2835212	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	41211	2835212	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	41211	2835212	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	30.400000	\N	41211	2835212	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	10.000000	\N	41211	4511658	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	59.600000	\N	41211	4511658	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	49.600000	\N	41211	4511854	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	41211	4524355	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	59.600000	\N	41211	17237817	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Amerada Hess Norge AS	0.520840	\N	41233	67	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	Amerada Hess Norge AS	0.520840	\N	41233	67	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	Amerada Hess Norge AS	0.520840	\N	41233	67	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	A/S Norske Shell	1.625000	\N	42302	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Amoco Norway Oil Company	0.520830	\N	41233	78	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Norske Conoco A/S	5.000000	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	Norske Conoco A/S	5.520830	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	Norske Conoco A/S	5.520830	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	1998-12-17	Norske Conoco A/S	6.041670	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	1999-12-11	Norske Conoco A/S	6.041670	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	2000-07-24	Norske Conoco A/S	6.041670	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	2001-01-11	Norske Conoco A/S	6.041670	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	2001-05-10	Norske Conoco A/S	6.041670	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	2001-06-01	Norske Conoco A/S	6.041670	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	2001-06-17	Norske Conoco A/S	6.041670	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	2002-01-01	Norske Conoco A/S	6.041670	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	2002-01-02	Norske Conoco A/S	6.041670	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	2003-03-22	Norske Conoco A/S	6.041670	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Deminex Norge AS	1.400000	\N	41233	254	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	Deminex Norge AS	1.400000	\N	41233	254	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	Deminex Norge AS	1.400000	\N	41233	254	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	1998-12-17	Deminex Norge AS	1.400000	\N	41233	254	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	DNO Olje A/S	0.350000	\N	41233	276	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	DNO Olje A/S	0.350000	\N	41233	276	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Elf Petroleum Norge AS	2.800000	\N	41233	298	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	Elf Petroleum Norge AS	2.800000	\N	41233	298	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	Elf Petroleum Norge AS	2.800000	\N	41233	298	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	1998-12-17	Elf Petroleum Norge AS	2.800000	\N	41233	298	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	1999-12-11	Elf Petroleum Norge AS	2.800000	\N	41233	298	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	2000-07-24	Elf Petroleum Norge AS	2.800000	\N	41233	298	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	1998-12-17	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	1999-12-11	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	2000-07-24	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	2001-01-11	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	2001-06-17	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	2002-01-01	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	1998-12-17	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	1999-12-11	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	2000-07-24	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	2001-01-11	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	2001-05-10	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	2001-06-17	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	2002-01-01	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	2002-01-02	Esso Exploration and Production Norway A/S	10.250000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	2003-03-22	Esso Exploration and Production Norway A/S	17.750000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	2003-05-06	Esso Exploration and Production Norway A/S	17.750000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	17.750000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Norsk Hydro Produksjon AS	4.200000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	Norsk Hydro Produksjon AS	4.200000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	Norsk Hydro Produksjon AS	4.200000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	1998-12-17	Norsk Hydro Produksjon AS	4.200000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	1999-12-11	Norsk Hydro Produksjon AS	4.200000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	4.200000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	4.200000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	6.640000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	6.640000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	6.640000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	6.640000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	2002-01-02	Norsk Hydro Produksjon AS	6.640000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	2003-03-22	Norsk Hydro Produksjon AS	6.640000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	6.640000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	6.640000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	6.640000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	1998-12-17	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	1999-12-11	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	2000-07-24	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	2001-01-11	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	2001-05-10	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	2001-06-01	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	2001-06-17	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	2002-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	2002-01-02	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	2003-03-22	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	2003-05-06	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	2004-10-01	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2004-10-01	2007-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	2007-01-02	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	2007-10-01	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-01-01	2009-11-01	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-11-01	2010-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2010-01-01	2012-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	2012-12-06	2013-05-08
STATFJORD ØST UNIT	2012-01-01	2012-04-30	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2012-04-30	9999-12-31	Idemitsu Petroleum Norge AS	4.800000	\N	41233	441	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	1998-12-17	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	1999-12-11	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	2000-07-24	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	2001-01-11	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	2001-05-10	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	2001-06-01	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	2001-06-17	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	2002-01-01	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	2002-01-02	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	1998-12-17	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	1999-12-11	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	2000-07-24	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	2001-01-11	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	2001-05-10	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	2001-06-01	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	2001-06-17	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	2002-01-01	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	2002-01-02	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	2003-03-22	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	2003-05-06	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	2004-10-01	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2004-10-01	2007-01-01	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	2007-01-02	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	2007-10-01	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	2009-01-01	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-01-01	2009-11-01	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-11-01	2010-01-01	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Saga Petroleum ASA	4.437500	\N	41233	716	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	Saga Petroleum ASA	4.437500	\N	41233	716	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	Saga Petroleum ASA	4.787500	\N	41233	716	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	1998-12-17	Saga Petroleum ASA	4.787500	\N	41233	716	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	1999-12-11	Saga Petroleum ASA	4.787500	\N	41233	716	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	2000-07-24	Saga Petroleum ASA	2.440000	\N	41233	716	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	2001-01-11	Saga Petroleum ASA	2.440000	\N	41233	716	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1991-06-26	1995-01-01	Den norske stats oljeselskap a.s	52.700000	40.500000	41233	749	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	1995-05-04	Den norske stats oljeselskap a.s	52.700000	40.500000	41233	749	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	1997-07-01	Den norske stats oljeselskap a.s	52.700000	40.500000	41233	749	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	1998-12-17	Den norske stats oljeselskap a.s	52.700000	40.500000	41233	749	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	1999-12-11	Den norske stats oljeselskap a.s	52.700000	40.500000	41233	749	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	55.047500	\N	41233	749	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	55.047500	\N	41233	749	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	55.047500	\N	41233	749	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	1999-12-11	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	2000-07-24	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	2001-01-11	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	2001-05-10	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	2001-06-01	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	2001-06-17	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	2002-01-01	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	2002-01-02	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	2003-03-22	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	2003-05-06	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	2004-10-01	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2004-10-01	2007-01-01	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	2007-01-02	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	2007-10-01	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	2009-01-01	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-01-01	2009-11-01	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-11-01	2010-01-01	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2010-01-01	2012-01-01	RWE Dea Norge AS	1.400000	\N	41233	97557	2012-12-06	2013-05-08
STATFJORD ØST UNIT	2012-01-01	2012-04-30	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2012-04-30	9999-12-31	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	2.800000	\N	41233	1340884	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	2.800000	\N	41233	1340884	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	2.800000	\N	41233	1340884	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	2.800000	\N	41233	1340884	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	2002-01-01	TotalFinaElf Exploration Norge AS	2.800000	\N	41233	1340884	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	2002-01-02	TotalFinaElf Exploration Norge AS	2.800000	\N	41233	1340884	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	2003-03-22	TotalFinaElf Exploration Norge AS	2.800000	\N	41233	1340884	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	2.800000	\N	41233	1340884	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	2001-06-01	Statoil ASA (old)	14.547500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	2001-06-17	Statoil ASA (old)	25.047500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	2002-01-01	Statoil ASA (old)	25.047500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	2002-01-02	Statoil ASA (old)	25.047500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	2003-03-22	Statoil ASA (old)	25.047500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	2003-05-06	Statoil ASA (old)	25.047500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	2004-10-01	Statoil ASA (old)	25.047500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2004-10-01	2007-01-01	Statoil ASA (old)	25.047500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	2007-01-02	Statoil ASA (old)	25.047500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	2007-10-01	Statoil ASA (old)	25.047500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	2001-06-01	SDØE	40.500000	\N	41233	1623450	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	2001-06-17	SDØE	30.000000	\N	41233	1623450	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	2002-01-01	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	2002-01-02	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	2003-03-22	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	2003-05-06	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	2004-10-01	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	2007-01-02	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	2007-10-01	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-01-01	2009-11-01	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-11-01	2010-01-01	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2010-01-01	2012-01-01	Petoro AS	30.000000	\N	41233	1626839	2012-12-06	2013-05-08
STATFJORD ØST UNIT	2012-01-01	2012-04-30	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	2002-01-02	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	2003-03-22	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	2003-05-06	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	2004-10-01	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2004-10-01	2007-01-01	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	2007-01-02	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	2007-10-01	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	2009-01-01	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-01-01	2009-11-01	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-11-01	2010-01-01	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	2003-05-06	Norske ConocoPhillips AS	6.041670	\N	41233	2399056	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	2004-10-01	Norske ConocoPhillips AS	6.041670	\N	41233	2399056	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2004-10-01	2007-01-01	Norske ConocoPhillips AS	6.041670	\N	41233	2399056	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	2007-01-02	Norske ConocoPhillips AS	6.041670	\N	41233	2399056	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	6.041670	\N	41233	2410696	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	6.041670	\N	41233	2410696	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	6.041670	\N	41233	2410696	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-11-01	2010-01-01	ConocoPhillips Skandinavia AS	6.041670	\N	41233	2410696	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2010-01-01	2012-01-01	ConocoPhillips Skandinavia AS	6.041670	\N	41233	2410696	2012-12-06	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	A/S Norske Shell	2.506200	\N	42302	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2012-01-01	2012-04-30	ConocoPhillips Skandinavia AS	6.041670	\N	41233	2410696	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	2004-10-01	Total E&P Norge AS	2.800000	\N	41233	2410708	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2004-10-01	2007-01-01	Total E&P Norge AS	2.800000	\N	41233	2410708	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	2007-01-02	Total E&P Norge AS	2.800000	\N	41233	2410708	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	2007-10-01	Total E&P Norge AS	2.800000	\N	41233	2410708	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	2.800000	\N	41233	2410708	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	2.800000	\N	41233	2410708	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-11-01	2010-01-01	Total E&P Norge AS	2.800000	\N	41233	2410708	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2010-01-01	2012-01-01	Total E&P Norge AS	2.800000	\N	41233	2410708	2012-12-06	2013-05-08
STATFJORD ØST UNIT	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	41233	2835212	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	2007-01-02	ExxonMobil Exploration & Production Norway AS	17.750000	\N	41233	2835212	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	2007-10-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	41233	2835212	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	41233	2835212	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	41233	2835212	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-11-01	2010-01-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	41233	2835212	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2010-01-01	2012-01-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	41233	2835212	2012-12-06	2013-05-08
STATFJORD ØST UNIT	2012-01-01	2012-04-30	ExxonMobil Exploration & Production Norway AS	20.550000	\N	41233	2835212	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2012-04-30	9999-12-31	ExxonMobil Exploration & Production Norway AS	20.550000	\N	41233	2835212	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2010-01-01	2012-01-01	Centrica Resources (Norge) AS	5.520830	\N	41233	4238233	2012-12-06	2013-05-08
STATFJORD ØST UNIT	2012-01-01	2012-04-30	Centrica Resources (Norge) AS	5.520830	\N	41233	4238233	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	11.562500	\N	41233	4238233	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.640000	\N	41233	4511658	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	31.687500	\N	41233	4511658	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	25.047500	\N	41233	4511854	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	6.640000	\N	41233	4524355	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	6.640000	\N	41233	4524355	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-11-01	2010-01-01	Statoil Petroleum AS	31.687500	\N	41233	17237817	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2010-01-01	2012-01-01	Statoil Petroleum AS	31.687500	\N	41233	17237817	2012-12-06	2013-05-08
STATFJORD ØST UNIT	2012-01-01	2012-04-30	Statoil Petroleum AS	31.687500	\N	41233	17237817	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2012-04-30	9999-12-31	Statoil Petroleum AS	31.687500	\N	41233	17237817	9999-12-31	2013-05-08
ØST FRIGG UNIT	1987-12-01	1991-12-20	Elf Petroleum Norge AS	40.464310	\N	41313	298	9999-12-31	2013-05-08
ØST FRIGG UNIT	1991-12-20	2000-07-24	Elf Petroleum Norge AS	37.225400	\N	41313	298	9999-12-31	2013-05-08
ØST FRIGG UNIT	1987-12-01	1991-12-20	Norsk Hydro Produksjon AS	32.111590	\N	41313	430	9999-12-31	2013-05-08
ØST FRIGG UNIT	1991-12-20	2000-07-24	Norsk Hydro Produksjon AS	32.111590	\N	41313	430	9999-12-31	2013-05-08
ØST FRIGG UNIT	2000-07-24	2000-12-31	Norsk Hydro Produksjon AS	32.111590	\N	41313	430	9999-12-31	2013-05-08
ØST FRIGG UNIT	1987-12-01	1991-12-20	Den norske stats oljeselskap a.s	7.191950	1.461300	41313	749	9999-12-31	2013-05-08
ØST FRIGG UNIT	1991-12-20	2000-07-24	Den norske stats oljeselskap a.s	10.430860	1.461300	41313	749	9999-12-31	2013-05-08
ØST FRIGG UNIT	2000-07-24	2000-12-31	Den norske stats oljeselskap a.s	10.430860	1.461300	41313	749	9999-12-31	2013-05-08
ØST FRIGG UNIT	1987-12-01	1991-12-20	Total Norge AS	20.232150	\N	41313	848	9999-12-31	2013-05-08
ØST FRIGG UNIT	1991-12-20	2000-07-24	Total Norge AS	20.232150	\N	41313	848	9999-12-31	2013-05-08
ØST FRIGG UNIT	2000-07-24	2000-12-31	Total Norge AS	20.232150	\N	41313	848	9999-12-31	2013-05-08
ØST FRIGG UNIT	2000-07-24	2000-12-31	TotalFinaElf Exploration Norge AS	37.225400	\N	41313	1340884	9999-12-31	2013-05-08
TOMMELITEN UNIT	1986-06-12	2000-12-15	Norsk Agip  AS	9.130000	\N	41411	45	9999-12-31	2013-05-08
TOMMELITEN UNIT	2000-12-15	2001-01-01	Norsk Agip  AS	9.130000	\N	41411	45	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-01-01	2001-05-10	Norsk Agip  AS	9.130000	\N	41411	45	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-05-10	2001-06-01	Norsk Agip  AS	9.130000	\N	41411	45	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-06-01	2001-12-18	Norsk Agip  AS	9.130000	\N	41411	45	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-12-18	2003-05-06	Norsk Agip  AS	9.130000	\N	41411	45	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-05-06	2003-12-31	Norsk Agip  AS	9.130000	\N	41411	45	9999-12-31	2013-05-08
TOMMELITEN UNIT	1986-06-12	2000-12-15	Fina Production Licenses AS	20.230000	\N	41411	386	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-01-01	2001-05-10	Phillips Petroleum Norsk AS	28.260000	\N	41411	705	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-05-10	2001-06-01	Phillips Petroleum Norsk AS	28.260000	\N	41411	705	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-06-01	2001-12-18	Phillips Petroleum Norsk AS	28.260000	\N	41411	705	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-12-18	2003-05-06	Phillips Petroleum Norsk AS	28.260000	\N	41411	705	9999-12-31	2013-05-08
TOMMELITEN UNIT	1986-06-12	2000-12-15	Den norske stats oljeselskap a.s	70.640000	42.380000	41411	749	9999-12-31	2013-05-08
TOMMELITEN UNIT	2000-12-15	2001-01-01	Den norske stats oljeselskap a.s	70.640000	42.380000	41411	749	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-01-01	2001-05-10	Den norske stats oljeselskap a.s	42.380000	42.380000	41411	749	9999-12-31	2013-05-08
TOMMELITEN UNIT	2000-12-15	2001-01-01	Total Norge AS	20.230000	\N	41411	848	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-01-01	2001-05-10	Total Norge AS	20.230000	\N	41411	848	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-05-10	2001-06-01	Total Norge AS	20.230000	\N	41411	848	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-06-01	2001-12-18	Total Norge AS	20.230000	\N	41411	848	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	20.230000	\N	41411	1340884	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-06-01	2001-12-18	Statoil ASA (old)	42.380000	\N	41411	1622484	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-12-18	2003-05-06	Statoil ASA (old)	42.380000	\N	41411	1622484	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-05-06	2003-12-31	Statoil ASA (old)	42.380000	\N	41411	1622484	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-12-31	2007-10-01	Statoil ASA (old)	42.380000	\N	41411	1622484	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-05-10	2001-06-01	SDØE	42.380000	\N	41411	1623450	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-12-31	2007-10-01	Eni Norge AS	9.130000	\N	41411	2388594	9999-12-31	2013-05-08
TOMMELITEN UNIT	2007-10-01	2009-01-01	Eni Norge AS	9.130000	\N	41411	2388594	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-01-01	2009-11-01	Eni Norge AS	9.130000	\N	41411	2388594	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-11-01	9999-12-31	Eni Norge AS	9.130000	\N	41411	2388594	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-05-06	2003-12-31	ConocoPhillips Skandinavia AS	28.260000	\N	41411	2410696	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-12-31	2007-10-01	ConocoPhillips Skandinavia AS	28.260000	\N	41411	2410696	9999-12-31	2013-05-08
TOMMELITEN UNIT	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	28.260000	\N	41411	2410696	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	28.260000	\N	41411	2410696	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	28.260000	\N	41411	2410696	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-05-06	2003-12-31	Total E&P Norge AS	20.230000	\N	41411	2410708	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-12-31	2007-10-01	Total E&P Norge AS	20.230000	\N	41411	2410708	9999-12-31	2013-05-08
TOMMELITEN UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	20.230000	\N	41411	2410708	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	20.230000	\N	41411	2410708	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-11-01	9999-12-31	Total E&P Norge AS	20.230000	\N	41411	2410708	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	42.380000	\N	41411	4511658	9999-12-31	2013-05-08
TOMMELITEN UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	42.380000	\N	41411	4511854	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	42.380000	\N	41411	17237817	9999-12-31	2013-05-08
HEIMDAL UNIT	1975-05-02	1977-07-01	Aquitaine Norge A/S	2.615000	\N	41470	111	9999-12-31	2013-05-08
HEIMDAL UNIT	1975-05-02	1977-07-01	Bow Valley Exploration Norge A/S	8.000000	\N	41470	144	9999-12-31	2013-05-08
HEIMDAL UNIT	1977-07-01	1978-01-01	Bow Valley Exploration Norge A/S	8.000000	\N	41470	144	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	1980-01-01	Bow Valley Exploration Norge A/S	8.000000	\N	41470	144	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	1985-01-01	Bow Valley Exploration Norge A/S	8.000000	\N	41470	144	9999-12-31	2013-05-08
HEIMDAL UNIT	1985-01-01	1987-03-26	Bow Valley Exploration Norge A/S	8.000000	\N	41470	144	9999-12-31	2013-05-08
HEIMDAL UNIT	1975-05-02	1977-07-01	Elf Norge A/S	5.233000	\N	41470	287	9999-12-31	2013-05-08
HEIMDAL UNIT	1992-08-14	1996-01-01	Elf Petroleum Norge AS	21.514000	\N	41470	298	9999-12-31	2013-05-08
HEIMDAL UNIT	1996-01-01	1998-01-01	Elf Petroleum Norge AS	21.514000	\N	41470	298	9999-12-31	2013-05-08
HEIMDAL UNIT	1998-01-01	2000-07-24	Elf Petroleum Norge AS	11.939000	\N	41470	298	9999-12-31	2013-05-08
HEIMDAL UNIT	1977-07-01	1978-01-01	Elf Aquitaine Norge A/S	7.848000	\N	41470	331	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	1980-01-01	Elf Aquitaine Norge A/S	7.848000	\N	41470	331	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	1985-01-01	Elf Aquitaine Norge A/S	9.639000	\N	41470	331	9999-12-31	2013-05-08
HEIMDAL UNIT	1985-01-01	1987-03-26	Elf Aquitaine Norge A/S	9.639000	\N	41470	331	9999-12-31	2013-05-08
HEIMDAL UNIT	1987-03-26	1989-06-15	Elf Aquitaine Norge A/S	17.639000	\N	41470	331	9999-12-31	2013-05-08
HEIMDAL UNIT	1989-06-15	1992-08-14	Elf Aquitaine Norge A/S	21.514000	\N	41470	331	9999-12-31	2013-05-08
HEIMDAL UNIT	1975-05-02	1977-07-01	K/S Femogtyvefire Norsk A/S	10.750000	\N	41470	375	9999-12-31	2013-05-08
HEIMDAL UNIT	1977-07-01	1978-01-01	K/S Femogtyvefire Norsk A/S	10.750000	\N	41470	375	9999-12-31	2013-05-08
HEIMDAL UNIT	1975-05-02	1977-07-01	Norsk Hydro Produksjon AS	6.228000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	1977-07-01	1978-01-01	Norsk Hydro Produksjon AS	6.228000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	1980-01-01	Norsk Hydro Produksjon AS	6.228000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	1985-01-01	Norsk Hydro Produksjon AS	6.228000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	1985-01-01	1987-03-26	Norsk Hydro Produksjon AS	6.228000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	1987-03-26	1989-06-15	Norsk Hydro Produksjon AS	6.228000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	1989-06-15	1992-08-14	Norsk Hydro Produksjon AS	6.228000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	1992-08-14	1996-01-01	Norsk Hydro Produksjon AS	6.228000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	1996-01-01	1998-01-01	Norsk Hydro Produksjon AS	6.228000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	1998-01-01	2000-07-24	Norsk Hydro Produksjon AS	15.803000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	15.803000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	19.274000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	19.274000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	19.274000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	19.274000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	2003-05-06	2003-10-12	Norsk Hydro Produksjon AS	19.274000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	1985-01-01	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	1985-01-01	1987-03-26	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	1987-03-26	1989-06-15	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	1989-06-15	1992-08-14	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	1992-08-14	1996-01-01	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	1996-01-01	1998-01-01	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	1998-01-01	2000-07-24	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	2000-07-24	2001-01-11	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-01-11	2001-05-10	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-05-10	2001-06-17	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-06-17	2001-12-18	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-12-18	2003-05-06	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	2003-05-06	2003-10-12	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	1975-05-02	1977-07-01	Pan Ocean Oil Norge A/S	19.375000	\N	41470	595	9999-12-31	2013-05-08
HEIMDAL UNIT	1977-07-01	1978-01-01	Pan Ocean Oil Norge A/S	19.375000	\N	41470	595	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	1980-01-01	Pan Ocean Oil Norge A/S	26.485000	\N	41470	595	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	1980-01-01	Saga Petroleum ASA	3.471000	\N	41470	716	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	1985-01-01	Saga Petroleum ASA	3.471000	\N	41470	716	9999-12-31	2013-05-08
HEIMDAL UNIT	1985-01-01	1987-03-26	Saga Petroleum ASA	3.471000	\N	41470	716	9999-12-31	2013-05-08
HEIMDAL UNIT	1987-03-26	1989-06-15	Saga Petroleum ASA	3.471000	\N	41470	716	9999-12-31	2013-05-08
HEIMDAL UNIT	1989-06-15	1992-08-14	Saga Petroleum ASA	3.471000	\N	41470	716	9999-12-31	2013-05-08
HEIMDAL UNIT	1992-08-14	1996-01-01	Saga Petroleum ASA	3.471000	\N	41470	716	9999-12-31	2013-05-08
HEIMDAL UNIT	1996-01-01	1998-01-01	Saga Petroleum ASA	3.471000	\N	41470	716	9999-12-31	2013-05-08
HEIMDAL UNIT	1998-01-01	2000-07-24	Saga Petroleum ASA	3.471000	\N	41470	716	9999-12-31	2013-05-08
HEIMDAL UNIT	2000-07-24	2001-01-11	Saga Petroleum ASA	3.471000	\N	41470	716	9999-12-31	2013-05-08
HEIMDAL UNIT	1975-05-02	1977-07-01	Den norske stats oljeselskap a.s	40.000000	0.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1977-07-01	1978-01-01	Den norske stats oljeselskap a.s	40.000000	0.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	1980-01-01	Den norske stats oljeselskap a.s	40.000000	0.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	1985-01-01	Den norske stats oljeselskap a.s	40.000000	0.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1985-01-01	1987-03-26	Den norske stats oljeselskap a.s	40.000000	20.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1987-03-26	1989-06-15	Den norske stats oljeselskap a.s	40.000000	20.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1989-06-15	1992-08-14	Den norske stats oljeselskap a.s	40.000000	20.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1992-08-14	1996-01-01	Den norske stats oljeselskap a.s	40.000000	20.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1996-01-01	1998-01-01	Den norske stats oljeselskap a.s	40.000000	20.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1998-01-01	2000-07-24	Den norske stats oljeselskap a.s	40.000000	20.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	40.000000	20.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	40.000000	20.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1975-05-02	1977-07-01	Sunningdale Oil Norge A/S	3.875000	\N	41470	760	9999-12-31	2013-05-08
HEIMDAL UNIT	1977-07-01	1978-01-01	Sunningdale Oil Norge A/S	3.875000	\N	41470	760	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	1980-01-01	Sunningdale Oil Norge A/S	3.875000	\N	41470	760	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	1985-01-01	Sunningdale Oil Norge A/S	3.875000	\N	41470	760	9999-12-31	2013-05-08
HEIMDAL UNIT	1985-01-01	1987-03-26	Sunningdale Oil Norge A/S	3.875000	\N	41470	760	9999-12-31	2013-05-08
HEIMDAL UNIT	1987-03-26	1989-06-15	Sunningdale Oil Norge A/S	3.875000	\N	41470	760	9999-12-31	2013-05-08
HEIMDAL UNIT	1975-05-02	1977-07-01	Total Norge AS	3.924000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1977-07-01	1978-01-01	Total Norge AS	3.924000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	1980-01-01	Total Norge AS	3.924000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	1985-01-01	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1985-01-01	1987-03-26	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1987-03-26	1989-06-15	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1989-06-15	1992-08-14	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1992-08-14	1996-01-01	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1996-01-01	1998-01-01	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1998-01-01	2000-07-24	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	2000-07-24	2001-01-11	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-01-11	2001-05-10	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-05-10	2001-06-17	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-06-17	2001-12-18	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	1980-01-01	Ugland Construction Company AS	0.169000	\N	41470	859	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	1985-01-01	Ugland Construction Company AS	0.169000	\N	41470	859	9999-12-31	2013-05-08
HEIMDAL UNIT	1985-01-01	1987-03-26	Ugland Construction Company AS	0.169000	\N	41470	859	9999-12-31	2013-05-08
HEIMDAL UNIT	1987-03-26	1989-06-15	Ugland Construction Company AS	0.169000	\N	41470	859	9999-12-31	2013-05-08
HEIMDAL UNIT	1989-06-15	1992-08-14	Ugland Construction Company AS	0.169000	\N	41470	859	9999-12-31	2013-05-08
HEIMDAL UNIT	1992-08-14	1996-01-01	Ugland Construction Company AS	0.169000	\N	41470	859	9999-12-31	2013-05-08
HEIMDAL UNIT	1996-01-01	1998-01-01	AS Uglands Rederi	0.169000	\N	41470	40103	9999-12-31	2013-05-08
HEIMDAL UNIT	1998-01-01	2000-07-24	AS Uglands Rederi	0.169000	\N	41470	40103	9999-12-31	2013-05-08
HEIMDAL UNIT	2000-07-24	2001-01-11	AS Uglands Rederi	0.169000	\N	41470	40103	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-01-11	2001-05-10	AS Uglands Rederi	0.169000	\N	41470	40103	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-05-10	2001-06-17	AS Uglands Rederi	0.169000	\N	41470	40103	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-06-17	2001-12-18	AS Uglands Rederi	0.169000	\N	41470	40103	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-12-18	2003-05-06	AS Uglands Rederi	0.169000	\N	41470	40103	9999-12-31	2013-05-08
HEIMDAL UNIT	2003-05-06	2003-10-12	AS Uglands Rederi	0.169000	\N	41470	40103	9999-12-31	2013-05-08
HEIMDAL UNIT	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	11.939000	\N	41470	1340884	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	11.939000	\N	41470	1340884	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	11.939000	\N	41470	1340884	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	11.939000	\N	41470	1340884	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	16.759000	\N	41470	1340884	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-05-10	2001-06-17	Statoil ASA (old)	20.000000	\N	41470	1622484	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-06-17	2001-12-18	Statoil ASA (old)	20.000000	\N	41470	1622484	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-12-18	2003-05-06	Statoil ASA (old)	20.000000	\N	41470	1622484	9999-12-31	2013-05-08
HEIMDAL UNIT	2003-05-06	2003-10-12	Statoil ASA (old)	20.000000	\N	41470	1622484	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-05-10	2001-06-17	SDØE	20.000000	\N	41470	1623450	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-06-17	2001-12-18	Petoro AS	20.000000	\N	41470	1626839	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-12-18	2003-05-06	Petoro AS	20.000000	\N	41470	1626839	9999-12-31	2013-05-08
HEIMDAL UNIT	2003-05-06	2003-10-12	Petoro AS	20.000000	\N	41470	1626839	9999-12-31	2013-05-08
HEIMDAL UNIT	2003-05-06	2003-10-12	Total E&P Norge AS	16.759000	\N	41470	2410708	9999-12-31	2013-05-08
VALHALL UNIT	1982-09-28	1989-04-14	Amerada Hess Norge AS	28.093760	\N	41657	67	9999-12-31	2013-05-08
VALHALL UNIT	1989-04-14	1992-02-25	Amerada Hess Norge AS	28.093760	\N	41657	67	9999-12-31	2013-05-08
VALHALL UNIT	1992-02-25	1999-12-23	Amerada Hess Norge AS	28.093760	\N	41657	67	9999-12-31	2013-05-08
VALHALL UNIT	1999-12-23	2000-07-24	Amerada Hess Norge AS	28.093760	\N	41657	67	9999-12-31	2013-05-08
VALHALL UNIT	2000-07-24	2001-12-31	Amerada Hess Norge AS	28.093760	\N	41657	67	9999-12-31	2013-05-08
VALHALL UNIT	2001-12-31	2002-03-12	Amerada Hess Norge AS	28.093760	\N	41657	67	9999-12-31	2013-05-08
VALHALL UNIT	2002-03-12	2003-05-06	Amerada Hess Norge AS	28.093760	\N	41657	67	9999-12-31	2013-05-08
VALHALL UNIT	2003-05-06	2006-06-26	Amerada Hess Norge AS	28.093760	\N	41657	67	9999-12-31	2013-05-08
VALHALL UNIT	1982-09-28	1989-04-14	Amoco Norway Oil Company	28.093770	\N	41657	78	9999-12-31	2013-05-08
VALHALL UNIT	1989-04-14	1992-02-25	Amoco Norway Oil Company	28.093770	\N	41657	78	9999-12-31	2013-05-08
VALHALL UNIT	1992-02-25	1999-12-23	Amoco Norway Oil Company	28.093770	\N	41657	78	9999-12-31	2013-05-08
VALHALL UNIT	1992-02-25	1999-12-23	Elf Petroleum Norge AS	15.718710	\N	41657	298	9999-12-31	2013-05-08
VALHALL UNIT	1999-12-23	2000-07-24	Elf Petroleum Norge AS	15.718710	\N	41657	298	9999-12-31	2013-05-08
VALHALL UNIT	1989-04-14	1992-02-25	Enterprise Oil Norwegian AS	28.093760	\N	41657	342	9999-12-31	2013-05-08
VALHALL UNIT	1992-02-25	1999-12-23	Enterprise Oil Norwegian AS	28.093760	\N	41657	342	9999-12-31	2013-05-08
VALHALL UNIT	1999-12-23	2000-07-24	Enterprise Oil Norwegian AS	28.093760	\N	41657	342	9999-12-31	2013-05-08
VALHALL UNIT	2000-07-24	2001-12-31	Enterprise Oil Norwegian AS	28.093760	\N	41657	342	9999-12-31	2013-05-08
VALHALL UNIT	1982-09-28	1989-04-14	Norwegian Oil Consortium A/S & Co	15.718710	\N	41657	518	9999-12-31	2013-05-08
VALHALL UNIT	1989-04-14	1992-02-25	Norwegian Oil Consortium A/S & Co	15.718710	\N	41657	518	9999-12-31	2013-05-08
VALHALL UNIT	1982-09-28	1989-04-14	Texas Eastern Norwegian Inc.	28.093760	\N	41657	837	9999-12-31	2013-05-08
VALHALL UNIT	1999-12-23	2000-07-24	BP Amoco Norge AS	28.093770	\N	41657	982372	9999-12-31	2013-05-08
VALHALL UNIT	2000-07-24	2001-12-31	BP Amoco Norge AS	28.093770	\N	41657	982372	9999-12-31	2013-05-08
VALHALL UNIT	2001-12-31	2002-03-12	BP Amoco Norge AS	28.093770	\N	41657	982372	9999-12-31	2013-05-08
VALHALL UNIT	2000-07-24	2001-12-31	TotalFinaElf Exploration Norge AS	15.718710	\N	41657	1340884	9999-12-31	2013-05-08
VALHALL UNIT	2001-12-31	2002-03-12	TotalFinaElf Exploration Norge AS	15.718710	\N	41657	1340884	9999-12-31	2013-05-08
VALHALL UNIT	2002-03-12	2003-05-06	TotalFinaElf Exploration Norge AS	15.718710	\N	41657	1340884	9999-12-31	2013-05-08
VALHALL UNIT	2001-12-31	2002-03-12	Enterprise Oil Norge AS	28.093760	\N	41657	1853786	9999-12-31	2013-05-08
VALHALL UNIT	2002-03-12	2003-05-06	Enterprise Oil Norge AS	28.093760	\N	41657	1853786	9999-12-31	2013-05-08
VALHALL UNIT	2003-05-06	2006-06-26	Enterprise Oil Norge AS	28.093760	\N	41657	1853786	9999-12-31	2013-05-08
VALHALL UNIT	2006-06-26	2010-01-01	Enterprise Oil Norge AS	28.093760	\N	41657	1853786	9999-12-31	2013-05-08
VALHALL UNIT	2002-03-12	2003-05-06	BP Norge AS	28.093770	\N	41657	2052695	9999-12-31	2013-05-08
VALHALL UNIT	2003-05-06	2006-06-26	BP Norge AS	28.093770	\N	41657	2052695	9999-12-31	2013-05-08
VALHALL UNIT	2006-06-26	2010-01-01	BP Norge AS	28.093770	\N	41657	2052695	9999-12-31	2013-05-08
VALHALL UNIT	2010-01-01	9999-12-31	BP Norge AS	35.953130	\N	41657	2052695	9999-12-31	2013-05-08
VALHALL UNIT	2003-05-06	2006-06-26	Total E&P Norge AS	15.718710	\N	41657	2410708	9999-12-31	2013-05-08
VALHALL UNIT	2006-06-26	2010-01-01	Total E&P Norge AS	15.718710	\N	41657	2410708	9999-12-31	2013-05-08
VALHALL UNIT	2006-06-26	2010-01-01	Hess Norge AS	28.093760	\N	41657	4038735	9999-12-31	2013-05-08
VALHALL UNIT	2010-01-01	9999-12-31	Hess Norge AS	64.046880	\N	41657	4038735	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	Amerada Hess Norge AS	0.925900	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	Amerada Hess Norge AS	0.875970	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	Amerada Hess Norge AS	0.875970	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	Amerada Hess Norge AS	0.875970	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	Amerada Hess Norge AS	0.875970	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	Amerada Hess Norge AS	0.875970	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	Amerada Hess Norge AS	0.887900	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	Amerada Hess Norge AS	0.890300	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	1997-07-01	Amerada Hess Norge AS	0.890300	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	Amoco Norway Oil Company	0.925900	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	Amoco Norway Oil Company	0.875970	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	Amoco Norway Oil Company	0.875970	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	Amoco Norway Oil Company	0.875970	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	Amoco Norway Oil Company	0.875970	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	Amoco Norway Oil Company	0.875970	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	Amoco Norway Oil Company	0.887900	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	Amoco Norway Oil Company	0.890300	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	Conoco Norway Inc.	8.888500	\N	41686	210	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	Conoco Norway Inc.	8.409320	\N	41686	210	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	Norske Conoco A/S	8.409320	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	Norske Conoco A/S	8.409320	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	Norske Conoco A/S	8.409320	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	Norske Conoco A/S	8.409320	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	Norske Conoco A/S	8.523870	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	Norske Conoco A/S	8.546870	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	1997-07-01	Norske Conoco A/S	9.437170	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	1999-12-11	Norske Conoco A/S	10.327470	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1999-12-11	2001-05-10	Norske Conoco A/S	10.327470	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	2001-05-10	2002-01-01	Norske Conoco A/S	10.327470	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-01	2002-01-02	Norske Conoco A/S	10.327470	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-02	2002-11-19	Norske Conoco A/S	10.327470	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	2002-11-19	2003-03-22	Norske Conoco A/S	10.327470	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	Enterprise Oil Norwegian AS	0.875970	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	Enterprise Oil Norwegian AS	0.875970	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	Enterprise Oil Norwegian AS	0.887900	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	Enterprise Oil Norwegian AS	0.890300	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	1997-07-01	Enterprise Oil Norwegian AS	0.890300	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	1999-12-11	Enterprise Oil Norwegian AS	0.890300	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	1999-12-11	2001-05-10	Enterprise Oil Norwegian AS	0.890300	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	2001-05-10	2002-01-01	Enterprise Oil Norwegian AS	0.890300	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	Esso Exploration and Production Norway A/S	8.888500	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	Esso Exploration and Production Norway A/S	8.409320	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	Esso Exploration and Production Norway A/S	8.409320	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	Esso Exploration and Production Norway A/S	8.409320	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	Esso Exploration and Production Norway A/S	8.409320	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	Esso Exploration and Production Norway A/S	8.409320	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	Esso Exploration and Production Norway A/S	8.523870	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	Esso Exploration and Production Norway A/S	8.546870	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	1997-07-01	Esso Exploration and Production Norway A/S	8.546870	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	1999-12-11	Esso Exploration and Production Norway A/S	8.546870	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1999-12-11	2001-05-10	Esso Exploration and Production Norway A/S	8.546870	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	2001-05-10	2002-01-01	Esso Exploration and Production Norway A/S	8.546870	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-01	2002-01-02	Esso Exploration and Production Norway A/S	8.546870	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-02	2002-11-19	Esso Exploration and Production Norway A/S	21.367170	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	2002-11-19	2003-03-22	Esso Exploration and Production Norway A/S	21.367170	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	2004-04-01	Esso Exploration and Production Norway A/S	21.367170	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	2004-04-01	2004-10-01	Esso Exploration and Production Norway A/S	21.367170	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	Mobil Development Norway AS	13.332700	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	Mobil Development Norway AS	12.614000	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	Mobil Development Norway AS	12.614000	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	Mobil Development Norway AS	12.614000	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	Mobil Development Norway AS	12.614000	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	Mobil Development Norway AS	12.614000	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	Mobil Development Norway AS	12.785800	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	Mobil Development Norway AS	12.820300	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	1997-07-01	Mobil Development Norway AS	12.820300	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	1999-12-11	Mobil Development Norway AS	12.820300	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1999-12-11	2001-05-10	Mobil Development Norway AS	12.820300	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	2001-05-10	2002-01-01	Mobil Development Norway AS	12.820300	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-01	2002-01-02	Mobil Development Norway AS	12.820300	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	A/S Norske Shell	8.888500	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	A/S Norske Shell	8.409320	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	A/S Norske Shell	8.409320	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	A/S Norske Shell	8.409320	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	A/S Norske Shell	8.409320	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	A/S Norske Shell	8.409320	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	A/S Norske Shell	8.523870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	1997-07-01	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	1999-12-11	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1999-12-11	2001-05-10	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2001-05-10	2002-01-01	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-01	2002-01-02	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-02	2002-11-19	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2002-11-19	2003-03-22	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	2004-04-01	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2004-04-01	2004-10-01	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2004-10-01	2006-01-01	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2006-01-01	2007-01-01	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2007-01-01	2007-10-01	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2007-10-01	2009-01-01	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2009-01-01	2009-11-01	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2009-11-01	2010-01-01	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	Saga Petroleum ASA	1.666500	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	Saga Petroleum ASA	1.576740	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	Saga Petroleum ASA	1.576740	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	Saga Petroleum ASA	1.576740	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	Saga Petroleum ASA	1.576740	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	Saga Petroleum ASA	1.576740	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	Saga Petroleum ASA	1.598230	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	Saga Petroleum ASA	1.602540	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	1997-07-01	Saga Petroleum ASA	1.602540	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	1999-12-11	Saga Petroleum ASA	1.602540	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	Den norske stats oljeselskap a.s	44.442300	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	Den norske stats oljeselskap a.s	42.046610	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	Den norske stats oljeselskap a.s	42.046610	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	Den norske stats oljeselskap a.s	42.046610	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	Den norske stats oljeselskap a.s	42.046610	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	Den norske stats oljeselskap a.s	42.046610	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	Den norske stats oljeselskap a.s	42.619340	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	Den norske stats oljeselskap a.s	42.734340	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	1997-07-01	Den norske stats oljeselskap a.s	42.734340	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	1999-12-11	Den norske stats oljeselskap a.s	42.734340	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	44.336880	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	Texas Eastern Norwegian Inc.	0.925900	\N	41686	837	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	Texas Eastern Norwegian Inc.	0.875970	\N	41686	837	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	Texas Eastern Norwegian Inc.	0.875970	\N	41686	837	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	Texas Eastern Norwegian Inc.	0.875970	\N	41686	837	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	BRITOIL	5.302260	\N	41686	2825	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	BRITOIL	5.302260	\N	41686	2825	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	BRITISH NATIONAL OIL CORPORATION	3.705100	\N	41686	41719	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	BRITISH NATIONAL OIL CORPORATION	5.302260	\N	41686	41719	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	BRITISH NATIONAL OIL CORPORATION	5.302260	\N	41686	41719	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	Conoco North Sea Inc.	3.705100	\N	41686	41730	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	Conoco North Sea Inc.	5.302260	\N	41686	41730	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	Conoco North Sea Inc.	5.302260	\N	41686	41730	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	Conoco North Sea Inc.	5.302260	\N	41686	41730	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	Conoco North Sea Inc.	5.302260	\N	41686	41730	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	GULF (U.K.) OFFSHORE INVESTMENT LTD	1.852550	\N	41686	41741	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	GULF (U.K.) OFFSHORE INVESTMENT LTD	2.651130	\N	41686	41741	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	GULF (U.K.) OFFSHORE INVESTMENT LTD	2.651130	\N	41686	41741	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	GULF (U.K.) OFFSHORE INVESTMENT LTD	2.651130	\N	41686	41741	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	GULF (U.K.) OFFSHORE INVESTMENT LTD	2.651130	\N	41686	41741	9999-12-31	2013-05-08
STATFJORD UNIT	1979-06-01	1979-11-24	GULF OIL CORPORATION	1.852550	\N	41686	41752	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	1981-01-01	GULF OIL CORPORATION	2.651130	\N	41686	41752	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	1982-01-01	GULF OIL CORPORATION	2.651130	\N	41686	41752	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	1989-04-14	GULF OIL CORPORATION	2.651130	\N	41686	41752	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	1990-01-01	GULF OIL CORPORATION	2.651130	\N	41686	41752	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	CONOCO (UK) LTD	5.302260	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	CONOCO (UK) LTD	4.920440	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	CONOCO (UK) LTD	4.843770	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	1997-07-01	CONOCO (UK) LTD	4.843770	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	1999-12-11	CONOCO (UK) LTD	4.843770	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	1999-12-11	2001-05-10	CONOCO (UK) LTD	4.843770	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	2001-05-10	2002-01-01	CONOCO (UK) LTD	4.843770	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-01	2002-01-02	CONOCO (UK) LTD	4.843770	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-02	2002-11-19	CONOCO (UK) LTD	4.843770	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	2002-11-19	2003-03-22	CONOCO (UK) LTD	4.843770	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	BP Petroleum Development Ltd	5.302260	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	BP Petroleum Development Ltd	4.920440	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	1997-07-01	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	1999-12-11	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	1999-12-11	2001-05-10	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	2001-05-10	2002-01-01	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-01	2002-01-02	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-02	2002-11-19	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	2002-11-19	2003-03-22	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	2004-04-01	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	2004-04-01	2004-10-01	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	2004-10-01	2006-01-01	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	1991-09-01	Chevron UK Ltd.	5.302260	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	1994-07-01	Chevron UK Ltd.	4.920440	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	1995-01-01	Chevron UK Ltd.	4.843770	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	1997-07-01	Chevron UK Ltd.	4.843770	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	1999-12-11	Chevron UK Ltd.	4.843770	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	1999-12-11	2001-05-10	Chevron UK Ltd.	4.843770	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	2001-05-10	2002-01-01	Chevron UK Ltd.	4.843770	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-01	2002-01-02	Chevron UK Ltd.	4.843770	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-02	2002-11-19	Chevron UK Ltd.	4.843770	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	2001-05-10	2002-01-01	Statoil ASA (old)	44.336880	\N	41686	1622484	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-01	2002-01-02	Statoil ASA (old)	44.336880	\N	41686	1622484	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-02	2002-11-19	Statoil ASA (old)	44.336880	\N	41686	1622484	9999-12-31	2013-05-08
STATFJORD UNIT	2002-11-19	2003-03-22	Statoil ASA (old)	44.336880	\N	41686	1622484	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	2004-04-01	Statoil ASA (old)	44.336880	\N	41686	1622484	9999-12-31	2013-05-08
STATFJORD UNIT	2004-04-01	2004-10-01	Statoil ASA (old)	44.336880	\N	41686	1622484	9999-12-31	2013-05-08
STATFJORD UNIT	2004-10-01	2006-01-01	Statoil ASA (old)	44.336880	\N	41686	1622484	9999-12-31	2013-05-08
STATFJORD UNIT	2006-01-01	2007-01-01	Statoil ASA (old)	44.336880	\N	41686	1622484	9999-12-31	2013-05-08
STATFJORD UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	44.336880	\N	41686	1622484	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-01	2002-01-02	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-02	2002-11-19	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2002-11-19	2003-03-22	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	2004-04-01	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2004-04-01	2004-10-01	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2004-10-01	2006-01-01	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2006-01-01	2007-01-01	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2007-01-01	2007-10-01	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2007-10-01	2009-01-01	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2009-01-01	2009-11-01	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2009-11-01	2010-01-01	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	2004-04-01	Norske ConocoPhillips AS	10.327470	\N	41686	2399056	9999-12-31	2013-05-08
STATFJORD UNIT	2004-04-01	2004-10-01	Norske ConocoPhillips AS	10.327470	\N	41686	2399056	9999-12-31	2013-05-08
STATFJORD UNIT	2004-10-01	2006-01-01	Norske ConocoPhillips AS	10.327470	\N	41686	2399056	9999-12-31	2013-05-08
STATFJORD UNIT	2006-01-01	2007-01-01	Norske ConocoPhillips AS	10.327470	\N	41686	2399056	9999-12-31	2013-05-08
STATFJORD UNIT	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	10.327470	\N	41686	2410696	9999-12-31	2013-05-08
STATFJORD UNIT	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	10.327470	\N	41686	2410696	9999-12-31	2013-05-08
STATFJORD UNIT	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	10.327470	\N	41686	2410696	9999-12-31	2013-05-08
STATFJORD UNIT	2009-11-01	2010-01-01	ConocoPhillips Skandinavia AS	10.327470	\N	41686	2410696	9999-12-31	2013-05-08
STATFJORD UNIT	2010-01-01	2012-04-30	ConocoPhillips Skandinavia AS	10.327470	\N	41686	2410696	9999-12-31	2013-05-08
STATFJORD UNIT	2002-11-19	2003-03-22	Chevron Texaco UK Ltd.	4.843770	\N	41686	2748096	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	2004-04-01	Chevron Texaco UK Ltd.	4.843770	\N	41686	2748096	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	2004-04-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	41686	2748185	9999-12-31	2013-05-08
STATFJORD UNIT	2004-04-01	2004-10-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	41686	2748185	9999-12-31	2013-05-08
STATFJORD UNIT	2004-10-01	2006-01-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	41686	2748185	9999-12-31	2013-05-08
STATFJORD UNIT	2006-01-01	2007-01-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	41686	2748185	9999-12-31	2013-05-08
STATFJORD UNIT	2007-01-01	2007-10-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	41686	2748185	9999-12-31	2013-05-08
STATFJORD UNIT	2007-10-01	2009-01-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	41686	2748185	9999-12-31	2013-05-08
STATFJORD UNIT	2009-01-01	2009-11-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	41686	2748185	9999-12-31	2013-05-08
STATFJORD UNIT	2009-11-01	2010-01-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	41686	2748185	9999-12-31	2013-05-08
STATFJORD UNIT	2010-01-01	2012-04-30	ConocoPhillips (U.K.) Limited.	4.843770	\N	41686	2748185	9999-12-31	2013-05-08
STATFJORD UNIT	2004-10-01	2006-01-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	41686	2835212	9999-12-31	2013-05-08
STATFJORD UNIT	2006-01-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	41686	2835212	9999-12-31	2013-05-08
STATFJORD UNIT	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	41686	2835212	9999-12-31	2013-05-08
STATFJORD UNIT	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	41686	2835212	9999-12-31	2013-05-08
STATFJORD UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	41686	2835212	9999-12-31	2013-05-08
STATFJORD UNIT	2009-11-01	2010-01-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	41686	2835212	9999-12-31	2013-05-08
STATFJORD UNIT	2010-01-01	2012-04-30	ExxonMobil Exploration & Production Norway AS	21.367170	\N	41686	2835212	9999-12-31	2013-05-08
STATFJORD UNIT	2012-04-30	9999-12-31	ExxonMobil Exploration & Production Norway AS	21.367170	\N	41686	2835212	9999-12-31	2013-05-08
STATFJORD UNIT	2004-04-01	2004-10-01	Centrica Resources Limited	4.843770	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2004-10-01	2006-01-01	Centrica Resources Limited	4.843770	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2006-01-01	2007-01-01	Centrica Resources Limited	9.687540	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2007-01-01	2007-10-01	Centrica Resources Limited	9.687540	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2007-10-01	2009-01-01	Centrica Resources Limited	9.687540	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2009-01-01	2009-11-01	Centrica Resources Limited	9.687540	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2009-11-01	2010-01-01	Centrica Resources Limited	9.687540	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2010-01-01	2012-04-30	Centrica Resources Limited	9.687540	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2012-04-30	9999-12-31	Centrica Resources Limited	14.531310	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2010-01-01	2012-04-30	Centrica Resources (Norge) AS	9.437170	\N	41686	4238233	9999-12-31	2013-05-08
STATFJORD UNIT	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	19.764640	\N	41686	4238233	9999-12-31	2013-05-08
STATFJORD UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	44.336880	\N	41686	4511658	9999-12-31	2013-05-08
STATFJORD UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	44.336880	\N	41686	4511854	9999-12-31	2013-05-08
STATFJORD UNIT	2009-11-01	2010-01-01	Statoil Petroleum AS	44.336880	\N	41686	17237817	9999-12-31	2013-05-08
STATFJORD UNIT	2010-01-01	2012-04-30	Statoil Petroleum AS	44.336880	\N	41686	17237817	9999-12-31	2013-05-08
STATFJORD UNIT	2012-04-30	9999-12-31	Statoil Petroleum AS	44.336880	\N	41686	17237817	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1992-08-14	1995-12-31	Elf Petroleum Norge AS	11.096400	\N	42225	298	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1980-07-01	1984-08-17	Elf Aquitaine Norge A/S	24.852000	\N	42225	331	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1984-08-17	1991-12-20	Elf Aquitaine Norge A/S	17.396400	\N	42225	331	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1991-12-20	1992-08-14	Elf Aquitaine Norge A/S	11.096400	\N	42225	331	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1980-07-01	1984-08-17	Esso Exploration and Production Norway A/S	40.000000	\N	42225	353	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1984-08-17	1991-12-20	Esso Exploration and Production Norway A/S	58.000000	\N	42225	353	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1991-12-20	1992-08-14	Esso Exploration and Production Norway A/S	58.000000	\N	42225	353	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1992-08-14	1995-12-31	Esso Exploration and Production Norway A/S	58.000000	\N	42225	353	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1980-07-01	1984-08-17	Norsk Hydro Produksjon AS	19.722000	\N	42225	430	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1984-08-17	1991-12-20	Norsk Hydro Produksjon AS	13.805400	\N	42225	430	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1991-12-20	1992-08-14	Norsk Hydro Produksjon AS	13.805400	\N	42225	430	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1992-08-14	1995-12-31	Norsk Hydro Produksjon AS	13.805400	\N	42225	430	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1980-07-01	1984-08-17	Den norske stats oljeselskap a.s	3.000000	\N	42225	749	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1984-08-17	1991-12-20	Den norske stats oljeselskap a.s	2.100000	\N	42225	749	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1991-12-20	1992-08-14	Den norske stats oljeselskap a.s	8.400000	\N	42225	749	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1992-08-14	1995-12-31	Den norske stats oljeselskap a.s	8.400000	\N	42225	749	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1980-07-01	1984-08-17	Total Norge AS	12.426000	\N	42225	848	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1984-08-17	1991-12-20	Total Norge AS	8.698200	\N	42225	848	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1991-12-20	1992-08-14	Total Norge AS	8.698200	\N	42225	848	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1992-08-14	1995-12-31	Total Norge AS	8.698200	\N	42225	848	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	Amerada Hess Norge AS	0.169300	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	Amerada Hess Norge AS	0.169300	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	Amerada Hess Norge AS	0.261100	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	Amerada Hess Norge AS	0.231300	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	Amerada Hess Norge AS	0.231300	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	Amerada Hess Norge AS	0.231300	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	1995-01-01	Amerada Hess Norge AS	0.231300	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	1996-10-29	Amerada Hess Norge AS	0.231300	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	1997-07-01	Amerada Hess Norge AS	0.231300	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	Amoco Norway Oil Company	0.169300	\N	42302	78	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	Amoco Norway Oil Company	0.169300	\N	42302	78	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	Amoco Norway Oil Company	0.261100	\N	42302	78	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	Amoco Norway Oil Company	0.231300	\N	42302	78	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	Amoco Norway Oil Company	0.231300	\N	42302	78	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	Amoco Norway Oil Company	0.231300	\N	42302	78	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	1995-01-01	Amoco Norway Oil Company	0.231300	\N	42302	78	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	Norske Conoco A/S	1.625000	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	Norske Conoco A/S	1.625000	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	Norske Conoco A/S	2.506200	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	Norske Conoco A/S	2.220000	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	Norske Conoco A/S	2.220000	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	Norske Conoco A/S	2.220000	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	1995-01-01	Norske Conoco A/S	2.220000	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	1996-10-29	Norske Conoco A/S	2.451300	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	1997-07-01	Norske Conoco A/S	2.451300	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1997-07-01	1999-04-19	Norske Conoco A/S	2.682600	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1999-04-19	1999-12-11	Norske Conoco A/S	2.682600	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1999-12-11	2001-05-10	Norske Conoco A/S	2.682600	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	2001-05-10	2001-07-06	Norske Conoco A/S	2.682600	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	2001-07-06	2001-12-31	Norske Conoco A/S	2.682600	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	2001-12-31	2002-01-01	Norske Conoco A/S	2.682600	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	2002-01-01	2002-11-01	Norske Conoco A/S	2.682600	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	2002-11-01	2003-03-22	Norske Conoco A/S	2.682600	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	1995-01-01	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	1996-10-29	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	1997-07-01	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	1997-07-01	1999-04-19	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	1999-04-19	1999-12-11	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	1999-12-11	2001-05-10	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	2001-05-10	2001-07-06	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	2001-07-06	2001-12-31	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	Esso Exploration and Production Norway A/S	1.625000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	Esso Exploration and Production Norway A/S	1.625000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	Esso Exploration and Production Norway A/S	2.506200	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	1995-01-01	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	1996-10-29	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	1997-07-01	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1997-07-01	1999-04-19	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1999-04-19	1999-12-11	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1999-12-11	2001-05-10	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	2001-05-10	2001-07-06	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	2001-07-06	2001-12-31	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	2001-12-31	2002-01-01	Esso Exploration and Production Norway A/S	2.220000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	2002-01-01	2002-11-01	Esso Exploration and Production Norway A/S	5.550000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	2002-11-01	2003-03-22	Esso Exploration and Production Norway A/S	5.550000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	2003-03-22	2004-01-01	Esso Exploration and Production Norway A/S	5.550000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	Mobil Development Norway AS	2.437500	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	Mobil Development Norway AS	2.437500	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	Mobil Development Norway AS	3.759300	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	1995-01-01	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	1996-10-29	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	1997-07-01	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1997-07-01	1999-04-19	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1999-04-19	1999-12-11	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1999-12-11	2001-05-10	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	2001-05-10	2001-07-06	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	2001-07-06	2001-12-31	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	2001-12-31	2002-01-01	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	A/S Norske Shell	1.625000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	1995-01-01	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	1996-10-29	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	1997-07-01	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	1997-07-01	1999-04-19	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	1999-04-19	1999-12-11	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	1999-12-11	2001-05-10	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	2001-05-10	2001-07-06	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	2001-07-06	2001-12-31	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	2001-12-31	2002-01-01	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	2002-01-01	2002-11-01	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	2002-11-01	2003-03-22	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	2003-03-22	2004-01-01	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	Saga Petroleum ASA	0.304600	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	Saga Petroleum ASA	0.304600	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	Saga Petroleum ASA	0.469900	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	Saga Petroleum ASA	0.416200	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	Saga Petroleum ASA	0.416200	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	Saga Petroleum ASA	0.416200	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	1995-01-01	Saga Petroleum ASA	0.416200	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	1996-10-29	Saga Petroleum ASA	0.416200	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	1997-07-01	Saga Petroleum ASA	0.416200	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1997-07-01	1999-04-19	Saga Petroleum ASA	0.416200	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1999-04-19	1999-12-11	Saga Petroleum ASA	0.416200	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	Den norske stats oljeselskap a.s	8.125000	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	Den norske stats oljeselskap a.s	8.125000	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	Den norske stats oljeselskap a.s	12.531200	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	Den norske stats oljeselskap a.s	11.100000	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	Den norske stats oljeselskap a.s	11.100000	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	Den norske stats oljeselskap a.s	11.100000	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	1995-01-01	Den norske stats oljeselskap a.s	11.100000	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	1996-10-29	Den norske stats oljeselskap a.s	11.100000	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	1997-07-01	Den norske stats oljeselskap a.s	11.100000	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1997-07-01	1999-04-19	Den norske stats oljeselskap a.s	11.100000	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1999-04-19	1999-12-11	Den norske stats oljeselskap a.s	11.100000	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	11.516200	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	Texas Eastern Norwegian Inc.	0.169300	\N	42302	837	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	Texas Eastern Norwegian Inc.	0.169300	\N	42302	837	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	Texas Eastern Norwegian Inc.	0.261100	\N	42302	837	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	Texas Eastern Norwegian Inc.	0.231200	\N	42302	837	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	1997-07-01	Ranger Oil (UK) Ltd	9.076660	\N	42302	2742	9999-12-31	2013-05-08
MURCHISON UNIT	1997-07-01	1999-04-19	Ranger Oil (UK) Ltd	9.076660	\N	42302	2742	9999-12-31	2013-05-08
MURCHISON UNIT	1999-04-19	1999-12-11	Ranger Oil (UK) Ltd	9.076660	\N	42302	2742	9999-12-31	2013-05-08
MURCHISON UNIT	1999-12-11	2001-05-10	Ranger Oil (UK) Ltd	9.076660	\N	42302	2742	9999-12-31	2013-05-08
MURCHISON UNIT	2001-05-10	2001-07-06	Ranger Oil (UK) Ltd	9.076660	\N	42302	2742	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	BRITOIL	27.916700	\N	42302	2825	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	BRITOIL	24.979200	\N	42302	2825	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	BRITOIL	25.933300	\N	42302	2825	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	BRITOIL	25.933300	\N	42302	2825	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	Oryx (UK) Energy Company	25.933300	\N	42302	2897	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	1995-01-01	Oryx (UK) Energy Company	51.866700	\N	42302	2897	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	1996-10-29	Oryx (UK) Energy Company	51.866700	\N	42302	2897	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	1997-07-01	Oryx (UK) Energy Company	68.723340	\N	42302	2897	9999-12-31	2013-05-08
MURCHISON UNIT	1997-07-01	1999-04-19	Oryx (UK) Energy Company	68.723340	\N	42302	2897	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	BRITISH NATIONAL OIL CORPORATION	27.916700	\N	42302	41719	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	Conoco North Sea Inc.	27.916700	\N	42302	41730	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	Conoco North Sea Inc.	27.916700	\N	42302	41730	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	Conoco North Sea Inc.	24.979300	\N	42302	41730	9999-12-31	2013-05-08
MURCHISON UNIT	1979-04-01	1982-01-01	GULF OIL CORPORATION	27.916600	\N	42302	41752	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	1983-11-01	GULF OIL CORPORATION	27.916600	\N	42302	41752	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	1986-09-01	GULF OIL CORPORATION	24.979200	\N	42302	41752	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	CONOCO (UK) LTD	25.933400	\N	42302	42056	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	CONOCO (UK) LTD	25.933400	\N	42302	42056	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	CONOCO (UK) LTD	25.933400	\N	42302	42056	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	1989-04-14	Chevron UK Ltd.	25.933300	\N	42302	42078	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	1990-01-01	Chevron UK Ltd.	25.933300	\N	42302	42078	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	1994-07-01	Chevron UK Ltd.	25.933300	\N	42302	42078	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	1995-01-01	Chevron UK Ltd.	25.933300	\N	42302	42078	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	1996-10-29	Chevron UK Ltd.	25.933300	\N	42302	42078	9999-12-31	2013-05-08
MURCHISON UNIT	1999-04-19	1999-12-11	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	42302	1024802	9999-12-31	2013-05-08
MURCHISON UNIT	1999-12-11	2001-05-10	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	42302	1024802	9999-12-31	2013-05-08
MURCHISON UNIT	2001-05-10	2001-07-06	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	42302	1024802	9999-12-31	2013-05-08
MURCHISON UNIT	2001-07-06	2001-12-31	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	42302	1024802	9999-12-31	2013-05-08
MURCHISON UNIT	2001-12-31	2002-01-01	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	42302	1024802	9999-12-31	2013-05-08
MURCHISON UNIT	2002-01-01	2002-11-01	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	42302	1024802	9999-12-31	2013-05-08
MURCHISON UNIT	2001-05-10	2001-07-06	Statoil ASA (old)	11.516200	\N	42302	1622484	9999-12-31	2013-05-08
MURCHISON UNIT	2001-07-06	2001-12-31	Statoil ASA (old)	11.516200	\N	42302	1622484	9999-12-31	2013-05-08
MURCHISON UNIT	2001-12-31	2002-01-01	Statoil ASA (old)	11.516200	\N	42302	1622484	9999-12-31	2013-05-08
MURCHISON UNIT	2002-01-01	2002-11-01	Statoil ASA (old)	11.516200	\N	42302	1622484	9999-12-31	2013-05-08
MURCHISON UNIT	2002-11-01	2003-03-22	Statoil ASA (old)	11.516200	\N	42302	1622484	9999-12-31	2013-05-08
MURCHISON UNIT	2003-03-22	2004-01-01	Statoil ASA (old)	11.516200	\N	42302	1622484	9999-12-31	2013-05-08
MURCHISON UNIT	2004-01-01	2005-05-04	Statoil ASA (old)	11.516200	\N	42302	1622484	9999-12-31	2013-05-08
MURCHISON UNIT	2005-05-04	2007-10-01	Statoil ASA (old)	11.516200	\N	42302	1622484	9999-12-31	2013-05-08
MURCHISON UNIT	2001-12-31	2002-01-01	Enterprise Oil Norge AS	0.231200	\N	42302	1853786	9999-12-31	2013-05-08
MURCHISON UNIT	2002-01-01	2002-11-01	Enterprise Oil Norge AS	0.231200	\N	42302	1853786	9999-12-31	2013-05-08
MURCHISON UNIT	2002-11-01	2003-03-22	Enterprise Oil Norge AS	0.231200	\N	42302	1853786	9999-12-31	2013-05-08
MURCHISON UNIT	2003-03-22	2004-01-01	Enterprise Oil Norge AS	0.231200	\N	42302	1853786	9999-12-31	2013-05-08
MURCHISON UNIT	2001-07-06	2001-12-31	CNR International (UK) Limited	9.076660	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2001-12-31	2002-01-01	CNR International (UK) Limited	9.076660	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2002-01-01	2002-11-01	CNR International (UK) Limited	9.076660	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2002-11-01	2003-03-22	CNR International (UK) Limited	77.800000	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2003-03-22	2004-01-01	CNR International (UK) Limited	77.800000	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2004-01-01	2005-05-04	CNR International (UK) Limited	77.800000	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2005-05-04	2007-10-01	CNR International (UK) Limited	77.800000	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2007-10-01	2008-01-10	CNR International (UK) Limited	77.800000	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2008-01-10	2009-01-17	CNR International (UK) Limited	77.800000	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2009-01-17	2012-03-24	CNR International (UK) Limited	77.800000	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2012-03-24	9999-12-31	CNR International (UK) Limited	77.800000	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2003-03-22	2004-01-01	Norske ConocoPhillips AS	2.682600	\N	42302	2399056	9999-12-31	2013-05-08
MURCHISON UNIT	2004-01-01	2005-05-04	Revus Energy AS	10.683800	\N	42302	2455850	9999-12-31	2013-05-08
MURCHISON UNIT	2005-05-04	2007-10-01	Revus Energy ASA	10.683800	\N	42302	3431773	9999-12-31	2013-05-08
MURCHISON UNIT	2007-10-01	2008-01-10	Revus Energy ASA	10.683800	\N	42302	3431773	9999-12-31	2013-05-08
MURCHISON UNIT	2008-01-10	2009-01-17	Revus Energy ASA	22.200000	\N	42302	3431773	9999-12-31	2013-05-08
MURCHISON UNIT	2007-10-01	2008-01-10	StatoilHydro ASA	11.516200	\N	42302	4511854	9999-12-31	2013-05-08
MURCHISON UNIT	2009-01-17	2012-03-24	Wintershall Norge ASA	22.200000	\N	42302	5442509	9999-12-31	2013-05-08
MURCHISON UNIT	2012-03-24	9999-12-31	Wintershall Norge AS	22.200000	\N	42302	21666830	9999-12-31	2013-05-08
FRIGG UNIT	1992-08-14	2000-07-24	Elf Petroleum Norge AS	16.068000	\N	45634	298	9999-12-31	2013-05-08
FRIGG UNIT	1977-12-12	1981-01-01	Elf Aquitaine Norge A/S	25.191000	\N	45634	331	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	1989-01-01	Elf Aquitaine Norge A/S	25.191000	\N	45634	331	9999-12-31	2013-05-08
FRIGG UNIT	1989-01-01	1991-12-20	Elf Aquitaine Norge A/S	25.191000	\N	45634	331	9999-12-31	2013-05-08
FRIGG UNIT	1991-12-20	1992-08-14	Elf Aquitaine Norge A/S	16.068000	\N	45634	331	9999-12-31	2013-05-08
FRIGG UNIT	1977-12-12	1981-01-01	Norsk Hydro Produksjon AS	19.992000	\N	45634	430	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	1989-01-01	Norsk Hydro Produksjon AS	19.992000	\N	45634	430	9999-12-31	2013-05-08
FRIGG UNIT	1989-01-01	1991-12-20	Norsk Hydro Produksjon AS	19.992000	\N	45634	430	9999-12-31	2013-05-08
FRIGG UNIT	1991-12-20	1992-08-14	Norsk Hydro Produksjon AS	19.992000	\N	45634	430	9999-12-31	2013-05-08
FRIGG UNIT	1992-08-14	2000-07-24	Norsk Hydro Produksjon AS	19.992000	\N	45634	430	9999-12-31	2013-05-08
FRIGG UNIT	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	19.992000	\N	45634	430	9999-12-31	2013-05-08
FRIGG UNIT	2001-05-10	2001-12-18	Norsk Hydro Produksjon AS	19.992000	\N	45634	430	9999-12-31	2013-05-08
FRIGG UNIT	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	19.992000	\N	45634	430	9999-12-31	2013-05-08
FRIGG UNIT	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	19.992000	\N	45634	430	9999-12-31	2013-05-08
FRIGG UNIT	1977-12-12	1981-01-01	Den norske stats oljeselskap a.s	3.041000	\N	45634	749	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	1989-01-01	Den norske stats oljeselskap a.s	3.041000	\N	45634	749	9999-12-31	2013-05-08
FRIGG UNIT	1989-01-01	1991-12-20	Den norske stats oljeselskap a.s	3.041000	\N	45634	749	9999-12-31	2013-05-08
FRIGG UNIT	1991-12-20	1992-08-14	Den norske stats oljeselskap a.s	12.164000	\N	45634	749	9999-12-31	2013-05-08
FRIGG UNIT	1992-08-14	2000-07-24	Den norske stats oljeselskap a.s	12.164000	\N	45634	749	9999-12-31	2013-05-08
FRIGG UNIT	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	12.164000	\N	45634	749	9999-12-31	2013-05-08
FRIGG UNIT	1977-12-12	1981-01-01	Total Norge AS	12.596000	\N	45634	848	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	1989-01-01	Total Norge AS	12.596000	\N	45634	848	9999-12-31	2013-05-08
FRIGG UNIT	1989-01-01	1991-12-20	Total Norge AS	12.596000	\N	45634	848	9999-12-31	2013-05-08
FRIGG UNIT	1991-12-20	1992-08-14	Total Norge AS	12.596000	\N	45634	848	9999-12-31	2013-05-08
FRIGG UNIT	1992-08-14	2000-07-24	Total Norge AS	12.596000	\N	45634	848	9999-12-31	2013-05-08
FRIGG UNIT	2000-07-24	2001-05-10	Total Norge AS	12.596000	\N	45634	848	9999-12-31	2013-05-08
FRIGG UNIT	2001-05-10	2001-12-18	Total Norge AS	12.596000	\N	45634	848	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	1989-01-01	BP Petroleum Development Ltd	0.230000	\N	45634	42067	9999-12-31	2013-05-08
FRIGG UNIT	1977-12-12	1981-01-01	Aquitaine UK	8.707000	\N	45634	45674	9999-12-31	2013-05-08
FRIGG UNIT	1977-12-12	1981-01-01	ELF Oil UK	17.413000	\N	45634	45685	9999-12-31	2013-05-08
FRIGG UNIT	1977-12-12	1981-01-01	Total Oil Marine Ltd	13.060000	\N	45634	45696	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	1989-01-01	Total Oil Marine Ltd	12.980000	\N	45634	45696	9999-12-31	2013-05-08
FRIGG UNIT	1989-01-01	1991-12-20	Total Oil Marine Ltd	13.060000	\N	45634	45696	9999-12-31	2013-05-08
FRIGG UNIT	1991-12-20	1992-08-14	Total Oil Marine Ltd	13.060000	\N	45634	45696	9999-12-31	2013-05-08
FRIGG UNIT	1992-08-14	2000-07-24	Total Oil Marine Ltd	13.060000	\N	45634	45696	9999-12-31	2013-05-08
FRIGG UNIT	2000-07-24	2001-05-10	Total Oil Marine Ltd	13.060000	\N	45634	45696	9999-12-31	2013-05-08
FRIGG UNIT	2001-05-10	2001-12-18	Total Oil Marine Ltd	13.060000	\N	45634	45696	9999-12-31	2013-05-08
FRIGG UNIT	2001-12-18	2003-05-06	Total Oil Marine Ltd	13.060000	\N	45634	45696	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	1989-01-01	Elf Exploration UK Ltd	25.970000	\N	45634	45736	9999-12-31	2013-05-08
FRIGG UNIT	1989-01-01	1991-12-20	Elf Exploration UK Ltd	26.120000	\N	45634	45736	9999-12-31	2013-05-08
FRIGG UNIT	1991-12-20	1992-08-14	Elf Exploration UK Ltd	26.120000	\N	45634	45736	9999-12-31	2013-05-08
FRIGG UNIT	1992-08-14	2000-07-24	Elf Exploration UK Ltd	26.120000	\N	45634	45736	9999-12-31	2013-05-08
FRIGG UNIT	2000-07-24	2001-05-10	Elf Exploration UK Ltd	26.120000	\N	45634	45736	9999-12-31	2013-05-08
FRIGG UNIT	2001-05-10	2001-12-18	Elf Exploration UK Ltd	26.120000	\N	45634	45736	9999-12-31	2013-05-08
FRIGG UNIT	2001-12-18	2003-05-06	Elf Exploration UK Ltd	26.120000	\N	45634	45736	9999-12-31	2013-05-08
FRIGG UNIT	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	16.068000	\N	45634	1340884	9999-12-31	2013-05-08
FRIGG UNIT	2001-05-10	2001-12-18	TotalFinaElf Exploration Norge AS	16.068000	\N	45634	1340884	9999-12-31	2013-05-08
FRIGG UNIT	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	28.664000	\N	45634	1340884	9999-12-31	2013-05-08
FRIGG UNIT	2001-05-10	2001-12-18	Statoil ASA (old)	12.164000	\N	45634	1622484	9999-12-31	2013-05-08
FRIGG UNIT	2001-12-18	2003-05-06	Statoil ASA (old)	12.164000	\N	45634	1622484	9999-12-31	2013-05-08
FRIGG UNIT	2003-05-06	2007-01-01	Statoil ASA (old)	12.164000	\N	45634	1622484	9999-12-31	2013-05-08
FRIGG UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	12.164000	\N	45634	1622484	9999-12-31	2013-05-08
FRIGG UNIT	2003-05-06	2007-01-01	Total E&P Norge AS	28.664000	\N	45634	2410708	9999-12-31	2013-05-08
FRIGG UNIT	2007-01-01	2007-10-01	Total E&P Norge AS	28.664000	\N	45634	2410708	9999-12-31	2013-05-08
FRIGG UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	28.664000	\N	45634	2410708	9999-12-31	2013-05-08
FRIGG UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	28.664000	\N	45634	2410708	9999-12-31	2013-05-08
FRIGG UNIT	2009-11-01	9999-12-31	Total E&P Norge AS	28.664000	\N	45634	2410708	9999-12-31	2013-05-08
FRIGG UNIT	2003-05-06	2007-01-01	TOTAL E&P UK PLC	39.180000	\N	45634	2747820	9999-12-31	2013-05-08
FRIGG UNIT	2007-01-01	2007-10-01	TOTAL E&P UK PLC	39.180000	\N	45634	2747820	9999-12-31	2013-05-08
FRIGG UNIT	2007-10-01	2009-01-01	TOTAL E&P UK PLC	39.180000	\N	45634	2747820	9999-12-31	2013-05-08
FRIGG UNIT	2009-01-01	2009-11-01	TOTAL E&P UK PLC	39.180000	\N	45634	2747820	9999-12-31	2013-05-08
FRIGG UNIT	2009-11-01	9999-12-31	TOTAL E&P UK PLC	39.180000	\N	45634	2747820	9999-12-31	2013-05-08
FRIGG UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	19.992000	\N	45634	4511658	9999-12-31	2013-05-08
FRIGG UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	32.156000	\N	45634	4511658	9999-12-31	2013-05-08
FRIGG UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	12.164000	\N	45634	4511854	9999-12-31	2013-05-08
FRIGG UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	19.992000	\N	45634	4524355	9999-12-31	2013-05-08
FRIGG UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	32.156000	\N	45634	17237817	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Norsk Agip  AS	9.715000	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Norsk Agip  AS	9.715000	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Norsk Agip  AS	9.235320	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Norsk Agip  AS	9.827130	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Norsk Agip  AS	9.616800	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Norsk Agip  AS	9.616800	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Norsk Agip  AS	9.616800	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Norsk Agip  AS	9.616800	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Norsk Agip  AS	9.616800	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Norsk Agip  AS	9.616800	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Norsk Agip  AS	9.616800	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	1995-01-01	Norsk Agip  AS	11.297400	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	1997-01-01	Norsk Agip  AS	11.297400	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	1999-01-01	Norsk Agip  AS	11.297400	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	2000-07-24	Norsk Agip  AS	10.816560	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	2000-07-24	2000-12-15	Norsk Agip  AS	10.816560	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	2000-12-15	2001-01-11	Norsk Agip  AS	10.816560	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	2001-01-11	2001-05-10	Norsk Agip  AS	10.816560	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	2001-05-10	2001-06-17	Norsk Agip  AS	10.816560	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	2001-06-17	2001-12-18	Norsk Agip  AS	10.816560	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	2001-12-18	2002-10-23	Norsk Agip  AS	10.816560	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	2002-10-23	2003-03-05	Norsk Agip  AS	10.816560	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	2003-03-05	2003-05-06	Norsk Agip  AS	10.816560	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	2003-05-06	2003-12-31	Norsk Agip  AS	10.816560	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Amerada Hess Norge AS	7.224600	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Amerada Hess Norge AS	7.224600	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Amerada Hess Norge AS	8.266820	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Amerada Hess Norge AS	6.980920	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Amerada Hess Norge AS	7.437870	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Amerada Hess Norge AS	7.437870	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Amerada Hess Norge AS	7.437870	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Amerada Hess Norge AS	7.437870	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Amerada Hess Norge AS	7.437870	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Amerada Hess Norge AS	7.437870	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Amerada Hess Norge AS	7.437870	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	1995-01-01	Amerada Hess Norge AS	8.737660	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	1997-01-01	Amerada Hess Norge AS	8.737660	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	1999-01-01	Amerada Hess Norge AS	8.737660	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	2000-07-24	Amerada Hess Norge AS	8.737660	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Amoco Norway Oil Company	7.224600	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Amoco Norway Oil Company	7.224600	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Amoco Norway Oil Company	8.266820	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Amoco Norway Oil Company	6.980920	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Amoco Norway Oil Company	7.437870	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Amoco Norway Oil Company	7.437870	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Amoco Norway Oil Company	7.437870	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Amoco Norway Oil Company	7.437870	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Amoco Norway Oil Company	7.437870	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Amoco Norway Oil Company	7.437870	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Amoco Norway Oil Company	7.437870	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Aquitaine Norge A/S	2.010000	\N	45891	111	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Cofranord A/S	0.226500	\N	45891	199	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Cofranord A/S	0.226500	\N	45891	199	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Cofranord A/S	0.215300	\N	45891	199	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Cofranord A/S	0.229110	\N	45891	199	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Cofranord A/S	0.224200	\N	45891	199	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Cofranord A/S	0.224200	\N	45891	199	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Cofranord A/S	0.224200	\N	45891	199	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Coparex Norge A/S	0.297300	\N	45891	243	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Coparex Norge A/S	0.297300	\N	45891	243	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Coparex Norge A/S	0.282580	\N	45891	243	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Coparex Norge A/S	0.300700	\N	45891	243	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Coparex Norge A/S	0.294300	\N	45891	243	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Coparex Norge A/S	0.294300	\N	45891	243	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Coparex Norge A/S	0.294300	\N	45891	243	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Elf Norge A/S	4.020100	\N	45891	287	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Elf Petroleum Norge AS	9.538140	\N	45891	298	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Elf Petroleum Norge AS	9.538140	\N	45891	298	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	1995-01-01	Elf Petroleum Norge AS	11.205000	\N	45891	298	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	1997-01-01	Elf Petroleum Norge AS	11.205000	\N	45891	298	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	1999-01-01	Elf Petroleum Norge AS	11.945740	\N	45891	298	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	2000-07-24	Elf Petroleum Norge AS	11.634190	\N	45891	298	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Elf Rep Norge A/S	0.336300	\N	45891	309	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Elf Rep Norge A/S	0.336300	\N	45891	309	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Elf Rep Norge A/S	0.336300	\N	45891	309	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Elf Rex Norge AS	0.294300	\N	45891	320	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Elf Rex Norge AS	0.294300	\N	45891	320	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Elf Rex Norge AS	0.294300	\N	45891	320	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Elf Rex Norge AS	0.630600	\N	45891	320	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	1995-01-01	Elf Rex Norge AS	0.740740	\N	45891	320	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	1997-01-01	Elf Rex Norge AS	0.740740	\N	45891	320	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Elf Aquitaine Norge A/S	6.030100	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Elf Aquitaine Norge A/S	5.732410	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Elf Aquitaine Norge A/S	6.099760	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Elf Aquitaine Norge A/S	5.969200	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Elf Aquitaine Norge A/S	5.600450	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Elf Aquitaine Norge A/S	5.600450	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Elf Aquitaine Norge A/S	5.600450	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Elf Aquitaine Norge A/S	9.538140	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Enterprise Oil Norwegian AS	7.437870	\N	45891	342	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Enterprise Oil Norwegian AS	7.437870	\N	45891	342	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Enterprise Oil Norwegian AS	7.437870	\N	45891	342	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Enterprise Oil Norwegian AS	7.437870	\N	45891	342	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Enterprise Oil Norwegian AS	7.437870	\N	45891	342	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Eurafrep Norge A/S	0.339700	\N	45891	364	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Eurafrep Norge A/S	0.339700	\N	45891	364	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Eurafrep Norge A/S	0.322950	\N	45891	364	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Eurafrep Norge A/S	0.343650	\N	45891	364	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Eurafrep Norge A/S	0.336300	\N	45891	364	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Eurafrep Norge A/S	0.336300	\N	45891	364	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Eurafrep Norge A/S	0.336300	\N	45891	364	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	1999-01-01	Fina Production Licenses AS	25.990960	\N	45891	386	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	2000-07-24	Fina Production Licenses AS	24.884730	\N	45891	386	9999-12-31	2013-05-08
TOR UNIT	2000-07-24	2000-12-15	Fina Production Licenses AS	24.884730	\N	45891	386	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Norsk Hydro Produksjon AS	4.991600	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Norsk Hydro Produksjon AS	4.991600	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Norsk Hydro Produksjon AS	4.745140	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Norsk Hydro Produksjon AS	5.049250	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Norsk Hydro Produksjon AS	4.941200	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Norsk Hydro Produksjon AS	4.941200	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Norsk Hydro Produksjon AS	4.941200	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Norsk Hydro Produksjon AS	4.941200	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Norsk Hydro Produksjon AS	4.941200	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Norsk Hydro Produksjon AS	4.941200	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Norsk Hydro Produksjon AS	4.941200	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	1995-01-01	Norsk Hydro Produksjon AS	5.804640	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	1997-01-01	Norsk Hydro Produksjon AS	5.804640	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	1999-01-01	Norsk Hydro Produksjon AS	5.804640	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	2000-07-24	Norsk Hydro Produksjon AS	5.557580	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2000-07-24	2000-12-15	Norsk Hydro Produksjon AS	5.557580	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2000-12-15	2001-01-11	Norsk Hydro Produksjon AS	5.557580	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	5.809740	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	5.809740	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	5.809740	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2001-12-18	2002-10-23	Norsk Hydro Produksjon AS	5.809740	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2002-10-23	2003-03-05	Norsk Hydro Produksjon AS	5.809740	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	5.809740	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	5.809740	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	5.809740	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Norwegian Oil Consortium A/S & Co	3.824700	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Norwegian Oil Consortium A/S & Co	3.824700	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Norwegian Oil Consortium A/S & Co	4.376550	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Norwegian Oil Consortium A/S & Co	3.695850	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Norwegian Oil Consortium A/S & Co	3.937690	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Norwegian Oil Consortium A/S & Co	3.937690	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Norwegian Oil Consortium A/S & Co	3.937690	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Norwegian Oil Consortium A/S & Co	3.937690	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Norminol AS	0.224200	\N	45891	529	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Norminol AS	0.224200	\N	45891	529	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Norminol AS	0.224200	\N	45891	529	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Norminol AS	0.224200	\N	45891	529	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	1995-01-01	Norminol AS	0.263370	\N	45891	529	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Phillips Petroleum Company Norway	27.535700	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Phillips Petroleum Company Norway	27.535700	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Phillips Petroleum Company Norway	26.176180	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Phillips Petroleum Company Norway	27.853530	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Phillips Petroleum Company Norway	27.257500	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Phillips Petroleum Company Norway	27.257500	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Phillips Petroleum Company Norway	27.257500	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Phillips Petroleum Company Norway	27.257500	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Phillips Petroleum Company Norway	27.257500	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Phillips Petroleum Company Norway	27.257500	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Phillips Petroleum Company Norway	27.257500	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	1995-01-01	Phillips Petroleum Company Norway	32.020860	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	1997-01-01	Phillips Petroleum Company Norway	32.020860	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	1999-01-01	Phillips Petroleum Company Norway	32.020860	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	2000-07-24	Phillips Petroleum Company Norway	30.657990	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	2000-07-24	2000-12-15	Phillips Petroleum Company Norway	30.657990	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	2000-12-15	2001-01-11	Phillips Petroleum Company Norway	30.657990	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	2001-01-11	2001-05-10	Phillips Petroleum Company Norway	30.657990	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	2001-05-10	2001-06-17	Phillips Petroleum Company Norway	30.657990	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	2001-06-17	2001-12-18	Phillips Petroleum Company Norway	30.657990	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	2001-12-18	2002-10-23	Phillips Petroleum Company Norway	30.657990	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	30.657990	\N	45891	705	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	1997-01-01	Saga Petroleum ASA	0.263370	\N	45891	716	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	1999-01-01	Saga Petroleum ASA	0.263370	\N	45891	716	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	2000-07-24	Saga Petroleum ASA	0.252160	\N	45891	716	9999-12-31	2013-05-08
TOR UNIT	2000-07-24	2000-12-15	Saga Petroleum ASA	0.252160	\N	45891	716	9999-12-31	2013-05-08
TOR UNIT	2000-12-15	2001-01-11	Saga Petroleum ASA	0.252160	\N	45891	716	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Den norske stats oljeselskap a.s	0.737500	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Den norske stats oljeselskap a.s	0.737500	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Den norske stats oljeselskap a.s	0.737500	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Den norske stats oljeselskap a.s	0.737500	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Den norske stats oljeselskap a.s	0.737500	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Den norske stats oljeselskap a.s	0.737500	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	1995-01-01	Den norske stats oljeselskap a.s	0.866370	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	1997-01-01	Den norske stats oljeselskap a.s	0.866370	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	1999-01-01	Den norske stats oljeselskap a.s	0.866370	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	2000-07-24	Den norske stats oljeselskap a.s	4.516920	3.687440	45891	749	9999-12-31	2013-05-08
TOR UNIT	2000-07-24	2000-12-15	Den norske stats oljeselskap a.s	4.516920	3.687440	45891	749	9999-12-31	2013-05-08
TOR UNIT	2000-12-15	2001-01-11	Den norske stats oljeselskap a.s	4.516920	3.687440	45891	749	9999-12-31	2013-05-08
TOR UNIT	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	4.516920	3.687440	45891	749	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Texas Eastern Norwegian Inc.	7.224600	\N	45891	837	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Texas Eastern Norwegian Inc.	7.224600	\N	45891	837	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Texas Eastern Norwegian Inc.	8.266820	\N	45891	837	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Texas Eastern Norwegian Inc.	6.980920	\N	45891	837	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Texas Eastern Norwegian Inc.	7.437870	\N	45891	837	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Texas Eastern Norwegian Inc.	7.437870	\N	45891	837	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Total Norge AS	3.015100	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Total Norge AS	3.015100	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Total Norge AS	2.866210	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Total Norge AS	3.049820	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Total Norge AS	2.984600	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Total Norge AS	2.615850	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Total Norge AS	2.615850	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Total Norge AS	2.615850	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Total Norge AS	2.615850	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Total Norge AS	2.615850	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Total Norge AS	2.615850	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	1995-01-01	Total Norge AS	3.073000	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	1997-01-01	Total Norge AS	3.073000	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	1999-01-01	Total Norge AS	3.073000	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	2000-07-24	Total Norge AS	2.942210	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	2000-07-24	2000-12-15	Total Norge AS	2.942210	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	2000-12-15	2001-01-11	Total Norge AS	27.826940	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	2001-01-11	2001-05-10	Total Norge AS	27.826940	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	2001-05-10	2001-06-17	Total Norge AS	27.826940	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	2001-06-17	2001-12-18	Total Norge AS	27.826940	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1975-12-10	1977-07-01	Fina Exploration Norway SCA	22.350500	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	1980-10-01	Fina Exploration Norway SCA	22.350500	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	1983-01-01	Fina Exploration Norway SCA	21.246900	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	1985-10-01	Fina Exploration Norway SCA	22.608440	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	1988-04-01	Fina Exploration Norway SCA	22.124600	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	1989-04-14	Fina Exploration Norway SCA	22.124600	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	1990-11-22	Fina Exploration Norway SCA	22.124600	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	1992-02-25	Fina Exploration Norway SCA	22.124600	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	1992-08-14	Fina Exploration Norway SCA	22.124600	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	1992-09-15	Fina Exploration Norway SCA	22.124600	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	1994-08-26	Fina Exploration Norway SCA	22.124600	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	1995-01-01	Fina Exploration Norway SCA	25.990960	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	1997-01-01	Fina Exploration Norway SCA	25.990960	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	2000-07-24	2000-12-15	TotalFinaElf Exploration Norge AS	20.371850	\N	45891	1340884	9999-12-31	2013-05-08
TOR UNIT	2000-12-15	2001-01-11	TotalFinaElf Exploration Norge AS	20.371850	\N	45891	1340884	9999-12-31	2013-05-08
TOR UNIT	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	20.371850	\N	45891	1340884	9999-12-31	2013-05-08
TOR UNIT	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	20.371850	\N	45891	1340884	9999-12-31	2013-05-08
TOR UNIT	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	20.371850	\N	45891	1340884	9999-12-31	2013-05-08
TOR UNIT	2001-12-18	2002-10-23	TotalFinaElf Exploration Norge AS	48.198790	\N	45891	1340884	9999-12-31	2013-05-08
TOR UNIT	2002-10-23	2003-03-05	TotalFinaElf Exploration Norge AS	48.198790	\N	45891	1340884	9999-12-31	2013-05-08
TOR UNIT	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	48.198790	\N	45891	1340884	9999-12-31	2013-05-08
TOR UNIT	2001-05-10	2001-06-17	Statoil ASA (old)	0.829480	\N	45891	1622484	9999-12-31	2013-05-08
TOR UNIT	2001-06-17	2001-12-18	Statoil ASA (old)	0.829480	\N	45891	1622484	9999-12-31	2013-05-08
TOR UNIT	2001-12-18	2002-10-23	Statoil ASA (old)	0.829480	\N	45891	1622484	9999-12-31	2013-05-08
TOR UNIT	2002-10-23	2003-03-05	Statoil ASA (old)	0.829480	\N	45891	1622484	9999-12-31	2013-05-08
TOR UNIT	2003-03-05	2003-05-06	Statoil ASA (old)	0.829480	\N	45891	1622484	9999-12-31	2013-05-08
TOR UNIT	2003-05-06	2003-12-31	Statoil ASA (old)	0.829480	\N	45891	1622484	9999-12-31	2013-05-08
TOR UNIT	2003-12-31	2007-01-01	Statoil ASA (old)	0.829480	\N	45891	1622484	9999-12-31	2013-05-08
TOR UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	0.829480	\N	45891	1622484	9999-12-31	2013-05-08
TOR UNIT	2001-05-10	2001-06-17	SDØE	3.687440	\N	45891	1623450	9999-12-31	2013-05-08
TOR UNIT	2001-06-17	2001-12-18	Petoro AS	3.687440	\N	45891	1626839	9999-12-31	2013-05-08
TOR UNIT	2001-12-18	2002-10-23	Petoro AS	3.687440	\N	45891	1626839	9999-12-31	2013-05-08
TOR UNIT	2002-10-23	2003-03-05	Petoro AS	3.687440	\N	45891	1626839	9999-12-31	2013-05-08
TOR UNIT	2003-03-05	2003-05-06	Petoro AS	3.687440	\N	45891	1626839	9999-12-31	2013-05-08
TOR UNIT	2003-05-06	2003-12-31	Petoro AS	3.687440	\N	45891	1626839	9999-12-31	2013-05-08
TOR UNIT	2003-12-31	2007-01-01	Petoro AS	3.687440	\N	45891	1626839	9999-12-31	2013-05-08
TOR UNIT	2007-01-01	2007-10-01	Petoro AS	3.687440	\N	45891	1626839	9999-12-31	2013-05-08
TOR UNIT	2007-10-01	2009-01-01	Petoro AS	3.687440	\N	45891	1626839	9999-12-31	2013-05-08
TOR UNIT	2009-01-01	2009-11-01	Petoro AS	3.687440	\N	45891	1626839	9999-12-31	2013-05-08
TOR UNIT	2009-11-01	9999-12-31	Petoro AS	3.687440	\N	45891	1626839	9999-12-31	2013-05-08
TOR UNIT	2002-10-23	2003-03-05	ConocoPhillips Norge	30.657990	\N	45891	2144081	9999-12-31	2013-05-08
TOR UNIT	2003-12-31	2007-01-01	Eni Norge AS	10.816560	\N	45891	2388594	9999-12-31	2013-05-08
TOR UNIT	2007-01-01	2007-10-01	Eni Norge AS	10.816560	\N	45891	2388594	9999-12-31	2013-05-08
TOR UNIT	2007-10-01	2009-01-01	Eni Norge AS	10.816560	\N	45891	2388594	9999-12-31	2013-05-08
TOR UNIT	2009-01-01	2009-11-01	Eni Norge AS	10.816560	\N	45891	2388594	9999-12-31	2013-05-08
TOR UNIT	2009-11-01	9999-12-31	Eni Norge AS	10.816560	\N	45891	2388594	9999-12-31	2013-05-08
TOR UNIT	2003-05-06	2003-12-31	ConocoPhillips Skandinavia AS	30.657990	\N	45891	2410696	9999-12-31	2013-05-08
TOR UNIT	2003-12-31	2007-01-01	ConocoPhillips Skandinavia AS	30.657990	\N	45891	2410696	9999-12-31	2013-05-08
TOR UNIT	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	30.657990	\N	45891	2410696	9999-12-31	2013-05-08
TOR UNIT	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	30.657990	\N	45891	2410696	9999-12-31	2013-05-08
TOR UNIT	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	30.657990	\N	45891	2410696	9999-12-31	2013-05-08
TOR UNIT	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	30.657990	\N	45891	2410696	9999-12-31	2013-05-08
TOR UNIT	2003-05-06	2003-12-31	Total E&P Norge AS	48.198790	\N	45891	2410708	9999-12-31	2013-05-08
TOR UNIT	2003-12-31	2007-01-01	Total E&P Norge AS	48.198790	\N	45891	2410708	9999-12-31	2013-05-08
TOR UNIT	2007-01-01	2007-10-01	Total E&P Norge AS	48.198790	\N	45891	2410708	9999-12-31	2013-05-08
TOR UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	48.198790	\N	45891	2410708	9999-12-31	2013-05-08
TOR UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	48.198790	\N	45891	2410708	9999-12-31	2013-05-08
TOR UNIT	2009-11-01	9999-12-31	Total E&P Norge AS	48.198790	\N	45891	2410708	9999-12-31	2013-05-08
TOR UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	5.809740	\N	45891	4511658	9999-12-31	2013-05-08
TOR UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	6.639220	\N	45891	4511658	9999-12-31	2013-05-08
TOR UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	0.829480	\N	45891	4511854	9999-12-31	2013-05-08
TOR UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	5.809740	\N	45891	4524355	9999-12-31	2013-05-08
TOR UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	6.639220	\N	45891	17237817	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	1998-12-17	Norske Conoco A/S	6.645800	\N	96205	221	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	1999-12-11	Norske Conoco A/S	6.645800	\N	96205	221	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	2000-07-24	Norske Conoco A/S	6.645800	\N	96205	221	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	2001-01-11	Norske Conoco A/S	6.645800	\N	96205	221	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	2001-05-10	Norske Conoco A/S	6.645800	\N	96205	221	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	2001-06-01	Norske Conoco A/S	6.645800	\N	96205	221	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	2001-06-17	Norske Conoco A/S	6.645800	\N	96205	221	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	2001-12-31	Norske Conoco A/S	6.645800	\N	96205	221	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	2002-01-01	Norske Conoco A/S	6.645800	\N	96205	221	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	2003-03-22	Norske Conoco A/S	6.645800	\N	96205	221	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	1998-12-17	Deminex Norge AS	1.260000	\N	96205	254	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	1998-12-17	Elf Petroleum Norge AS	2.520000	\N	96205	298	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	1999-12-11	Elf Petroleum Norge AS	2.520000	\N	96205	298	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	2000-07-24	Elf Petroleum Norge AS	2.520000	\N	96205	298	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	1998-12-17	Enterprise Oil Norwegian AS	0.572900	\N	96205	342	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	1999-12-11	Enterprise Oil Norwegian AS	0.572900	\N	96205	342	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	2000-07-24	Enterprise Oil Norwegian AS	0.572900	\N	96205	342	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	2001-01-11	Enterprise Oil Norwegian AS	0.572900	\N	96205	342	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	0.572900	\N	96205	342	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	0.572900	\N	96205	342	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	2001-06-17	Enterprise Oil Norwegian AS	0.572900	\N	96205	342	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	0.572900	\N	96205	342	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	1998-12-17	Esso Exploration and Production Norway A/S	10.225000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	1999-12-11	Esso Exploration and Production Norway A/S	10.225000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	2000-07-24	Esso Exploration and Production Norway A/S	10.225000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	2001-01-11	Esso Exploration and Production Norway A/S	10.225000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	2001-05-10	Esso Exploration and Production Norway A/S	10.225000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	10.225000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	2001-06-17	Esso Exploration and Production Norway A/S	10.225000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	2001-12-31	Esso Exploration and Production Norway A/S	10.225000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	2002-01-01	Esso Exploration and Production Norway A/S	10.225000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	2003-03-22	Esso Exploration and Production Norway A/S	18.475000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	2003-05-06	Esso Exploration and Production Norway A/S	18.475000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	18.475000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	1998-12-17	Norsk Hydro Produksjon AS	3.780000	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	1999-12-11	Norsk Hydro Produksjon AS	3.780000	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	3.780000	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	3.780000	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	5.976300	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	5.976300	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	5.976300	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	2001-12-31	Norsk Hydro Produksjon AS	5.976300	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	2002-01-01	Norsk Hydro Produksjon AS	5.976300	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	2003-03-22	Norsk Hydro Produksjon AS	5.976300	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	5.976300	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	5.976300	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	5.976300	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	1998-12-17	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	1999-12-11	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	2000-07-24	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	2001-01-11	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	2001-05-10	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	2001-06-01	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	2001-06-17	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	2001-12-31	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	2002-01-01	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	2003-03-22	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	2003-05-06	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	2004-10-01	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2004-10-01	2007-01-01	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	2007-01-02	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	2007-10-01	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2009-01-01	2009-11-01	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2009-11-01	2010-01-01	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2010-01-01	2012-01-01	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	2012-12-06	2013-05-08
SYGNA UNIT	2012-01-01	2012-04-30	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	2012-04-30	9999-12-31	Idemitsu Petroleum Norge AS	4.320000	\N	96205	441	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	1998-12-17	Mobil Development Norway AS	8.250000	\N	96205	474	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	1999-12-11	Mobil Development Norway AS	8.250000	\N	96205	474	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	2000-07-24	Mobil Development Norway AS	8.250000	\N	96205	474	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	2001-01-11	Mobil Development Norway AS	8.250000	\N	96205	474	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	2001-05-10	Mobil Development Norway AS	8.250000	\N	96205	474	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	2001-06-01	Mobil Development Norway AS	8.250000	\N	96205	474	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	2001-06-17	Mobil Development Norway AS	8.250000	\N	96205	474	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	2001-12-31	Mobil Development Norway AS	8.250000	\N	96205	474	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	2002-01-01	Mobil Development Norway AS	8.250000	\N	96205	474	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	1998-12-17	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	1999-12-11	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	2000-07-24	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	2001-01-11	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	2001-05-10	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	2001-06-01	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	2001-06-17	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	2001-12-31	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	2002-01-01	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	2003-03-22	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	2003-05-06	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	2004-10-01	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2004-10-01	2007-01-01	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	2007-01-02	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	2007-10-01	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	2009-01-01	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2009-01-01	2009-11-01	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	2009-11-01	2010-01-01	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	1998-12-17	Saga Petroleum ASA	4.496300	\N	96205	716	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	1999-12-11	Saga Petroleum ASA	4.496300	\N	96205	716	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	2000-07-24	Saga Petroleum ASA	2.196300	\N	96205	716	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	2001-01-11	Saga Petroleum ASA	2.196300	\N	96205	716	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-16	1998-12-17	Den norske stats oljeselskap a.s	52.430000	39.450000	96205	749	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	1999-12-11	Den norske stats oljeselskap a.s	52.430000	39.450000	96205	749	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	54.730000	39.450000	96205	749	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	54.730000	39.450000	96205	749	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	54.730000	39.450000	96205	749	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	1999-12-11	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	2000-07-24	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	2001-01-11	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	2001-05-10	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	2001-06-01	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	2001-06-17	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	2001-12-31	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	2002-01-01	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	2003-03-22	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	2003-05-06	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	2004-10-01	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2004-10-01	2007-01-01	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	2007-01-02	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	2007-10-01	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	2009-01-01	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2009-01-01	2009-11-01	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2009-11-01	2010-01-01	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2010-01-01	2012-01-01	RWE Dea Norge AS	1.260000	\N	96205	97557	2012-12-06	2013-05-08
SYGNA UNIT	2012-01-01	2012-04-30	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2012-04-30	9999-12-31	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	2.520000	\N	96205	1340884	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	2.520000	\N	96205	1340884	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	2.520000	\N	96205	1340884	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	2.520000	\N	96205	1340884	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	2001-12-31	TotalFinaElf Exploration Norge AS	2.520000	\N	96205	1340884	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	2002-01-01	TotalFinaElf Exploration Norge AS	2.520000	\N	96205	1340884	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	2003-03-22	TotalFinaElf Exploration Norge AS	2.520000	\N	96205	1340884	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	2.520000	\N	96205	1340884	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	2001-06-01	Statoil ASA (old)	15.280000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	2001-06-17	Statoil ASA (old)	24.730000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	2001-12-31	Statoil ASA (old)	24.730000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	2002-01-01	Statoil ASA (old)	24.730000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	2003-03-22	Statoil ASA (old)	24.730000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	2003-05-06	Statoil ASA (old)	24.730000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	2004-10-01	Statoil ASA (old)	24.730000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2004-10-01	2007-01-01	Statoil ASA (old)	24.730000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	2007-01-02	Statoil ASA (old)	24.730000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	2007-10-01	Statoil ASA (old)	24.730000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	2001-06-01	SDØE	39.450000	\N	96205	1623450	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	2001-06-17	SDØE	30.000000	\N	96205	1623450	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	2001-12-31	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	2002-01-01	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	2003-03-22	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	2003-05-06	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	2004-10-01	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	2007-01-02	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	2007-10-01	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2009-01-01	2009-11-01	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2009-11-01	2010-01-01	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2010-01-01	2012-01-01	Petoro AS	30.000000	\N	96205	1626839	2012-12-06	2013-05-08
SYGNA UNIT	2012-01-01	2012-04-30	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	2002-01-01	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	2003-03-22	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	2003-05-06	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	2004-10-01	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2004-10-01	2007-01-01	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	2007-01-02	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	2007-10-01	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	2009-01-01	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2009-01-01	2009-11-01	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2009-11-01	2010-01-01	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	2003-05-06	Norske ConocoPhillips AS	6.645800	\N	96205	2399056	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	2004-10-01	Norske ConocoPhillips AS	6.645800	\N	96205	2399056	9999-12-31	2013-05-08
SYGNA UNIT	2004-10-01	2007-01-01	Norske ConocoPhillips AS	6.645800	\N	96205	2399056	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	2007-01-02	Norske ConocoPhillips AS	6.645800	\N	96205	2399056	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	6.645800	\N	96205	2410696	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	6.645800	\N	96205	2410696	9999-12-31	2013-05-08
SYGNA UNIT	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	6.645800	\N	96205	2410696	9999-12-31	2013-05-08
SYGNA UNIT	2009-11-01	2010-01-01	ConocoPhillips Skandinavia AS	6.645800	\N	96205	2410696	9999-12-31	2013-05-08
SYGNA UNIT	2010-01-01	2012-01-01	ConocoPhillips Skandinavia AS	6.645800	\N	96205	2410696	2012-12-06	2013-05-08
SYGNA UNIT	2012-01-01	2012-04-30	ConocoPhillips Skandinavia AS	6.645800	\N	96205	2410696	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	2004-10-01	Total E&P Norge AS	2.520000	\N	96205	2410708	9999-12-31	2013-05-08
SYGNA UNIT	2004-10-01	2007-01-01	Total E&P Norge AS	2.520000	\N	96205	2410708	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	2007-01-02	Total E&P Norge AS	2.520000	\N	96205	2410708	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	2007-10-01	Total E&P Norge AS	2.520000	\N	96205	2410708	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	2.520000	\N	96205	2410708	9999-12-31	2013-05-08
SYGNA UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	2.520000	\N	96205	2410708	9999-12-31	2013-05-08
SYGNA UNIT	2009-11-01	2010-01-01	Total E&P Norge AS	2.520000	\N	96205	2410708	9999-12-31	2013-05-08
SYGNA UNIT	2010-01-01	2012-01-01	Total E&P Norge AS	2.520000	\N	96205	2410708	2012-12-06	2013-05-08
SYGNA UNIT	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	96205	2835212	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	2007-01-02	ExxonMobil Exploration & Production Norway AS	18.475000	\N	96205	2835212	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	2007-10-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	96205	2835212	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	96205	2835212	9999-12-31	2013-05-08
SYGNA UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	96205	2835212	9999-12-31	2013-05-08
SYGNA UNIT	2009-11-01	2010-01-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	96205	2835212	9999-12-31	2013-05-08
SYGNA UNIT	2010-01-01	2012-01-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	96205	2835212	2012-12-06	2013-05-08
SYGNA UNIT	2012-01-01	2012-04-30	ExxonMobil Exploration & Production Norway AS	20.995000	\N	96205	2835212	9999-12-31	2013-05-08
SYGNA UNIT	2012-04-30	9999-12-31	ExxonMobil Exploration & Production Norway AS	20.995000	\N	96205	2835212	9999-12-31	2013-05-08
SYGNA UNIT	2010-01-01	2012-01-01	Centrica Resources (Norge) AS	6.072900	\N	96205	4238233	2012-12-06	2013-05-08
SYGNA UNIT	2012-01-01	2012-04-30	Centrica Resources (Norge) AS	6.072900	\N	96205	4238233	9999-12-31	2013-05-08
SYGNA UNIT	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	12.718700	\N	96205	4238233	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	5.976300	\N	96205	4511658	9999-12-31	2013-05-08
SYGNA UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	30.706300	\N	96205	4511658	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	24.730000	\N	96205	4511854	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	5.976300	\N	96205	4524355	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	5.976300	\N	96205	4524355	9999-12-31	2013-05-08
SYGNA UNIT	2009-11-01	2010-01-01	Statoil Petroleum AS	30.706300	\N	96205	17237817	9999-12-31	2013-05-08
SYGNA UNIT	2010-01-01	2012-01-01	Statoil Petroleum AS	30.706300	\N	96205	17237817	2012-12-06	2013-05-08
SYGNA UNIT	2012-01-01	2012-04-30	Statoil Petroleum AS	30.706300	\N	96205	17237817	9999-12-31	2013-05-08
SYGNA UNIT	2012-04-30	9999-12-31	Statoil Petroleum AS	30.706300	\N	96205	17237817	9999-12-31	2013-05-08
GRANE UNIT	2001-01-01	2001-05-10	Norske Conoco A/S	6.400000	\N	1031365	221	9999-12-31	2013-05-08
GRANE UNIT	2001-05-10	2001-06-17	Norske Conoco A/S	6.400000	\N	1031365	221	9999-12-31	2013-05-08
GRANE UNIT	2001-06-17	2002-03-19	Norske Conoco A/S	6.400000	\N	1031365	221	9999-12-31	2013-05-08
GRANE UNIT	2002-03-19	2003-03-22	Norske Conoco A/S	6.400000	\N	1031365	221	9999-12-31	2013-05-08
GRANE UNIT	2000-04-13	2001-01-01	Esso Exploration and Production Norway A/S	25.600000	\N	1031365	353	9999-12-31	2013-05-08
GRANE UNIT	2001-01-01	2001-05-10	Esso Exploration and Production Norway A/S	25.600000	\N	1031365	353	9999-12-31	2013-05-08
GRANE UNIT	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	25.600000	\N	1031365	353	9999-12-31	2013-05-08
GRANE UNIT	2001-06-17	2002-03-19	Esso Exploration and Production Norway A/S	25.600000	\N	1031365	353	9999-12-31	2013-05-08
GRANE UNIT	2002-03-19	2003-03-22	Esso Exploration and Production Norway A/S	25.600000	\N	1031365	353	9999-12-31	2013-05-08
GRANE UNIT	2003-03-22	2004-10-01	Esso Exploration and Production Norway A/S	25.600000	\N	1031365	353	9999-12-31	2013-05-08
GRANE UNIT	2000-04-13	2001-01-01	Norsk Hydro Produksjon AS	24.400000	\N	1031365	430	9999-12-31	2013-05-08
GRANE UNIT	2001-01-01	2001-05-10	Norsk Hydro Produksjon AS	24.400000	\N	1031365	430	9999-12-31	2013-05-08
GRANE UNIT	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	24.400000	\N	1031365	430	9999-12-31	2013-05-08
GRANE UNIT	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	24.400000	\N	1031365	430	9999-12-31	2013-05-08
GRANE UNIT	2002-03-19	2003-03-22	Norsk Hydro Produksjon AS	38.000000	\N	1031365	430	9999-12-31	2013-05-08
GRANE UNIT	2003-03-22	2004-10-01	Norsk Hydro Produksjon AS	38.000000	\N	1031365	430	9999-12-31	2013-05-08
GRANE UNIT	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	38.000000	\N	1031365	430	9999-12-31	2013-05-08
GRANE UNIT	2000-04-13	2001-01-01	Den norske stats oljeselskap a.s	50.000000	43.600000	1031365	749	9999-12-31	2013-05-08
GRANE UNIT	2001-01-01	2001-05-10	Den norske stats oljeselskap a.s	43.600000	43.600000	1031365	749	9999-12-31	2013-05-08
GRANE UNIT	2001-05-10	2001-06-17	SDØE	43.600000	\N	1031365	1623450	9999-12-31	2013-05-08
GRANE UNIT	2001-06-17	2002-03-19	Petoro AS	43.600000	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2002-03-19	2003-03-22	Petoro AS	30.000000	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2003-03-22	2004-10-01	Petoro AS	30.000000	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2007-01-01	2007-01-02	Petoro AS	30.000000	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2007-01-02	2007-10-01	Petoro AS	30.000000	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2009-01-01	2009-11-01	Petoro AS	28.942500	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2009-11-01	9999-12-31	Petoro AS	28.942500	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2003-03-22	2004-10-01	Norske ConocoPhillips AS	6.400000	\N	1031365	2399056	9999-12-31	2013-05-08
GRANE UNIT	2004-10-01	2007-01-01	Norske ConocoPhillips AS	6.400000	\N	1031365	2399056	9999-12-31	2013-05-08
GRANE UNIT	2007-01-01	2007-01-02	Norske ConocoPhillips AS	6.400000	\N	1031365	2399056	9999-12-31	2013-05-08
GRANE UNIT	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	6.400000	\N	1031365	2410696	9999-12-31	2013-05-08
GRANE UNIT	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	6.400000	\N	1031365	2410696	9999-12-31	2013-05-08
GRANE UNIT	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	6.174400	\N	1031365	2410696	9999-12-31	2013-05-08
GRANE UNIT	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	6.174400	\N	1031365	2410696	9999-12-31	2013-05-08
GRANE UNIT	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	25.600000	\N	1031365	2835212	9999-12-31	2013-05-08
GRANE UNIT	2007-01-01	2007-01-02	ExxonMobil Exploration & Production Norway AS	25.600000	\N	1031365	2835212	9999-12-31	2013-05-08
GRANE UNIT	2007-01-02	2007-10-01	ExxonMobil Exploration & Production Norway AS	25.600000	\N	1031365	2835212	9999-12-31	2013-05-08
GRANE UNIT	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	25.600000	\N	1031365	2835212	9999-12-31	2013-05-08
GRANE UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	28.222600	\N	1031365	2835212	9999-12-31	2013-05-08
GRANE UNIT	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	28.222600	\N	1031365	2835212	9999-12-31	2013-05-08
GRANE UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	38.000000	\N	1031365	4511658	9999-12-31	2013-05-08
GRANE UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	36.660500	\N	1031365	4511658	9999-12-31	2013-05-08
GRANE UNIT	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	38.000000	\N	1031365	4524355	9999-12-31	2013-05-08
GRANE UNIT	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	38.000000	\N	1031365	4524355	9999-12-31	2013-05-08
GRANE UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	36.660500	\N	1031365	17237817	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2001-05-10	Amerada Hess Norge AS	3.260000	\N	1333943	67	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-05-10	2001-06-06	Amerada Hess Norge AS	3.260000	\N	1333943	67	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-06	2001-06-17	Amerada Hess Norge AS	3.260000	\N	1333943	67	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-17	2001-12-18	Amerada Hess Norge AS	3.260000	\N	1333943	67	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-12-18	2003-05-06	Amerada Hess Norge AS	3.260000	\N	1333943	67	9999-12-31	2013-05-08
SNØHVIT UNIT	2003-05-06	2004-01-01	Amerada Hess Norge AS	3.260000	\N	1333943	67	9999-12-31	2013-05-08
SNØHVIT UNIT	2004-01-01	2006-06-26	Amerada Hess Norge AS	3.260000	\N	1333943	67	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	1333943	430	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-05-10	2001-06-06	Norsk Hydro Produksjon AS	10.000000	\N	1333943	430	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-06	2001-06-17	Norsk Hydro Produksjon AS	10.000000	\N	1333943	430	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	10.000000	\N	1333943	430	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	1333943	430	9999-12-31	2013-05-08
SNØHVIT UNIT	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	1333943	430	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2001-05-10	Svenska Petroleum Exploration AS	1.240000	\N	1333943	738	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-05-10	2001-06-06	Svenska Petroleum Exploration AS	1.240000	\N	1333943	738	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-06	2001-06-17	Svenska Petroleum Exploration AS	1.240000	\N	1333943	738	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-17	2001-12-18	Svenska Petroleum Exploration AS	1.240000	\N	1333943	738	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-12-18	2003-05-06	Svenska Petroleum Exploration AS	1.240000	\N	1333943	738	9999-12-31	2013-05-08
SNØHVIT UNIT	2003-05-06	2004-01-01	Svenska Petroleum Exploration AS	1.240000	\N	1333943	738	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2001-05-10	Den norske stats oljeselskap a.s	64.290000	30.000000	1333943	749	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2001-05-10	Total Norge AS	18.400000	\N	1333943	848	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-05-10	2001-06-06	Total Norge AS	18.400000	\N	1333943	848	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-06	2001-06-17	Total Norge AS	18.400000	\N	1333943	848	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-17	2001-12-18	Total Norge AS	18.400000	\N	1333943	848	9999-12-31	2013-05-08
SNØHVIT UNIT	2000-07-21	2001-05-10	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-05-10	2001-06-06	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-06	2001-06-17	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-17	2001-12-18	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-12-18	2003-05-06	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2003-05-06	2004-01-01	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2004-01-01	2006-06-26	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2006-06-26	2007-10-01	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2007-10-01	2009-01-01	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2009-01-02	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-02	2009-11-01	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-11-01	2011-01-01	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2011-01-01	9999-12-31	RWE Dea Norge AS	2.810000	\N	1333943	97557	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	18.400000	\N	1333943	1340884	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-05-10	2001-06-06	Statoil ASA (old)	34.290000	\N	1333943	1622484	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-06	2001-06-17	Statoil ASA (old)	22.290000	\N	1333943	1622484	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-17	2001-12-18	Statoil ASA (old)	22.290000	\N	1333943	1622484	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-12-18	2003-05-06	Statoil ASA (old)	22.290000	\N	1333943	1622484	9999-12-31	2013-05-08
SNØHVIT UNIT	2003-05-06	2004-01-01	Statoil ASA (old)	22.290000	\N	1333943	1622484	9999-12-31	2013-05-08
SNØHVIT UNIT	2004-01-01	2006-06-26	Statoil ASA (old)	33.530000	\N	1333943	1622484	9999-12-31	2013-05-08
SNØHVIT UNIT	2006-06-26	2007-10-01	Statoil ASA (old)	33.530000	\N	1333943	1622484	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-05-10	2001-06-06	SDØE	30.000000	\N	1333943	1623450	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-06	2001-06-17	SDØE	30.000000	\N	1333943	1623450	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	1333943	1626839	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-12-18	2003-05-06	Petoro AS	30.000000	\N	1333943	1626839	9999-12-31	2013-05-08
SNØHVIT UNIT	2003-05-06	2004-01-01	Petoro AS	30.000000	\N	1333943	1626839	9999-12-31	2013-05-08
SNØHVIT UNIT	2004-01-01	2006-06-26	Petoro AS	30.000000	\N	1333943	1626839	9999-12-31	2013-05-08
SNØHVIT UNIT	2006-06-26	2007-10-01	Petoro AS	30.000000	\N	1333943	1626839	9999-12-31	2013-05-08
SNØHVIT UNIT	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	1333943	1626839	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	1333943	1626839	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-02	2009-11-01	Petoro AS	30.000000	\N	1333943	1626839	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-11-01	2011-01-01	Petoro AS	30.000000	\N	1333943	1626839	9999-12-31	2013-05-08
SNØHVIT UNIT	2011-01-01	9999-12-31	Petoro AS	30.000000	\N	1333943	1626839	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-06	2001-06-17	Gaz de France Norge AS	12.000000	\N	1333943	1628733	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-17	2001-12-18	Gaz de France Norge AS	12.000000	\N	1333943	1628733	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-12-18	2003-05-06	Gaz de France Norge AS	12.000000	\N	1333943	1628733	9999-12-31	2013-05-08
SNØHVIT UNIT	2003-05-06	2004-01-01	Gaz de France Norge AS	12.000000	\N	1333943	1628733	9999-12-31	2013-05-08
SNØHVIT UNIT	2004-01-01	2006-06-26	Gaz de France Norge AS	12.000000	\N	1333943	1628733	9999-12-31	2013-05-08
SNØHVIT UNIT	2006-06-26	2007-10-01	Gaz de France Norge AS	12.000000	\N	1333943	1628733	9999-12-31	2013-05-08
SNØHVIT UNIT	2007-10-01	2009-01-01	Gaz de France Norge AS	12.000000	\N	1333943	1628733	9999-12-31	2013-05-08
SNØHVIT UNIT	2003-05-06	2004-01-01	Total E&P Norge AS	18.400000	\N	1333943	2410708	9999-12-31	2013-05-08
SNØHVIT UNIT	2004-01-01	2006-06-26	Total E&P Norge AS	18.400000	\N	1333943	2410708	9999-12-31	2013-05-08
SNØHVIT UNIT	2006-06-26	2007-10-01	Total E&P Norge AS	18.400000	\N	1333943	2410708	9999-12-31	2013-05-08
SNØHVIT UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	18.400000	\N	1333943	2410708	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2009-01-02	Total E&P Norge AS	18.400000	\N	1333943	2410708	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-02	2009-11-01	Total E&P Norge AS	18.400000	\N	1333943	2410708	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-11-01	2011-01-01	Total E&P Norge AS	18.400000	\N	1333943	2410708	9999-12-31	2013-05-08
SNØHVIT UNIT	2011-01-01	9999-12-31	Total E&P Norge AS	18.400000	\N	1333943	2410708	9999-12-31	2013-05-08
SNØHVIT UNIT	2006-06-26	2007-10-01	Hess Norge AS	3.260000	\N	1333943	4038735	9999-12-31	2013-05-08
SNØHVIT UNIT	2007-10-01	2009-01-01	Hess Norge AS	3.260000	\N	1333943	4038735	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2009-01-02	Hess Norge AS	3.260000	\N	1333943	4038735	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-02	2009-11-01	Hess Norge AS	3.260000	\N	1333943	4038735	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-11-01	2011-01-01	Hess Norge AS	3.260000	\N	1333943	4038735	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-02	2009-11-01	StatoilHydro Petroleum AS	33.530000	\N	1333943	4511658	9999-12-31	2013-05-08
SNØHVIT UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	33.530000	\N	1333943	4511854	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2009-01-02	StatoilHydro ASA	33.530000	\N	1333943	4511854	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	1333943	5267845	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-02	2009-11-01	GDF SUEZ E&P Norge AS	12.000000	\N	1333943	5267845	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-11-01	2011-01-01	GDF SUEZ E&P Norge AS	12.000000	\N	1333943	5267845	9999-12-31	2013-05-08
SNØHVIT UNIT	2011-01-01	9999-12-31	GDF SUEZ E&P Norge AS	12.000000	\N	1333943	5267845	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-11-01	2011-01-01	Statoil Petroleum AS	33.530000	\N	1333943	17237817	9999-12-31	2013-05-08
SNØHVIT UNIT	2011-01-01	9999-12-31	Statoil Petroleum AS	36.790000	\N	1333943	17237817	9999-12-31	2013-05-08
MIKKEL UNIT	2002-01-01	2003-03-04	Norsk Agip  AS	7.900000	\N	1629477	45	9999-12-31	2013-05-08
MIKKEL UNIT	2003-03-04	2003-12-31	Norsk Agip  AS	7.900000	\N	1629477	45	9999-12-31	2013-05-08
MIKKEL UNIT	2001-06-06	2002-01-01	Norsk Hydro Produksjon AS	10.000000	\N	1629477	430	9999-12-31	2013-05-08
MIKKEL UNIT	2002-01-01	2003-03-04	Norsk Hydro Produksjon AS	10.000000	\N	1629477	430	9999-12-31	2013-05-08
MIKKEL UNIT	2003-03-04	2003-12-31	Norsk Hydro Produksjon AS	10.000000	\N	1629477	430	9999-12-31	2013-05-08
MIKKEL UNIT	2003-12-31	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	1629477	430	9999-12-31	2013-05-08
MIKKEL UNIT	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	1629477	430	9999-12-31	2013-05-08
MIKKEL UNIT	2001-06-06	2002-01-01	Mobil Development Norway AS	33.480000	\N	1629477	474	9999-12-31	2013-05-08
MIKKEL UNIT	2002-01-01	2003-03-04	Mobil Development Norway AS	33.480000	\N	1629477	474	9999-12-31	2013-05-08
MIKKEL UNIT	2003-03-04	2003-12-31	Mobil Development Norway AS	33.480000	\N	1629477	474	9999-12-31	2013-05-08
MIKKEL UNIT	2003-12-31	2004-01-01	Mobil Development Norway AS	33.480000	\N	1629477	474	9999-12-31	2013-05-08
MIKKEL UNIT	2004-01-01	2007-01-01	Mobil Development Norway AS	33.480000	\N	1629477	474	9999-12-31	2013-05-08
MIKKEL UNIT	2007-01-01	2007-10-01	Mobil Development Norway AS	33.480000	\N	1629477	474	9999-12-31	2013-05-08
MIKKEL UNIT	2007-10-01	2008-01-01	Mobil Development Norway AS	33.480000	\N	1629477	474	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-01	2008-01-02	Mobil Development Norway AS	33.480000	\N	1629477	474	9999-12-31	2013-05-08
MIKKEL UNIT	2002-01-01	2003-03-04	Fortum Petroleum AS	7.000000	\N	1629477	102714	9999-12-31	2013-05-08
MIKKEL UNIT	2001-06-06	2002-01-01	Statoil ASA (old)	56.520000	\N	1629477	1622484	9999-12-31	2013-05-08
MIKKEL UNIT	2002-01-01	2003-03-04	Statoil ASA (old)	41.620000	\N	1629477	1622484	9999-12-31	2013-05-08
MIKKEL UNIT	2003-03-04	2003-12-31	Statoil ASA (old)	41.620000	\N	1629477	1622484	9999-12-31	2013-05-08
MIKKEL UNIT	2003-12-31	2004-01-01	Statoil ASA (old)	41.620000	\N	1629477	1622484	9999-12-31	2013-05-08
MIKKEL UNIT	2004-01-01	2007-01-01	Statoil ASA (old)	33.970000	\N	1629477	1622484	9999-12-31	2013-05-08
MIKKEL UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	33.970000	\N	1629477	1622484	9999-12-31	2013-05-08
MIKKEL UNIT	2003-03-04	2003-12-31	Eni Norge AS	7.000000	\N	1629477	2388594	9999-12-31	2013-05-08
MIKKEL UNIT	2003-12-31	2004-01-01	Eni Norge AS	14.900000	\N	1629477	2388594	9999-12-31	2013-05-08
MIKKEL UNIT	2004-01-01	2007-01-01	Eni Norge AS	14.900000	\N	1629477	2388594	9999-12-31	2013-05-08
MIKKEL UNIT	2007-01-01	2007-10-01	Eni Norge AS	14.900000	\N	1629477	2388594	9999-12-31	2013-05-08
MIKKEL UNIT	2007-10-01	2008-01-01	Eni Norge AS	14.900000	\N	1629477	2388594	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-01	2008-01-02	Eni Norge AS	14.900000	\N	1629477	2388594	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-02	2009-01-01	Eni Norge AS	14.900000	\N	1629477	2388594	9999-12-31	2013-05-08
MIKKEL UNIT	2009-01-01	2009-11-01	Eni Norge AS	14.900000	\N	1629477	2388594	9999-12-31	2013-05-08
MIKKEL UNIT	2009-11-01	9999-12-31	Eni Norge AS	14.900000	\N	1629477	2388594	9999-12-31	2013-05-08
MIKKEL UNIT	2004-01-01	2007-01-01	Total E&P Norge AS	7.650000	\N	1629477	2410708	9999-12-31	2013-05-08
MIKKEL UNIT	2007-01-01	2007-10-01	Total E&P Norge AS	7.650000	\N	1629477	2410708	9999-12-31	2013-05-08
MIKKEL UNIT	2007-10-01	2008-01-01	Total E&P Norge AS	7.650000	\N	1629477	2410708	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-01	2008-01-02	Total E&P Norge AS	7.650000	\N	1629477	2410708	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-02	2009-01-01	Total E&P Norge AS	7.650000	\N	1629477	2410708	9999-12-31	2013-05-08
MIKKEL UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	7.650000	\N	1629477	2410708	9999-12-31	2013-05-08
MIKKEL UNIT	2009-11-01	9999-12-31	Total E&P Norge AS	7.650000	\N	1629477	2410708	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	33.480000	\N	1629477	2835212	9999-12-31	2013-05-08
MIKKEL UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	33.480000	\N	1629477	2835212	9999-12-31	2013-05-08
MIKKEL UNIT	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	33.480000	\N	1629477	2835212	9999-12-31	2013-05-08
MIKKEL UNIT	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	10.000000	\N	1629477	4511658	9999-12-31	2013-05-08
MIKKEL UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	43.970000	\N	1629477	4511658	9999-12-31	2013-05-08
MIKKEL UNIT	2007-10-01	2008-01-01	StatoilHydro ASA	33.970000	\N	1629477	4511854	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-01	2008-01-02	StatoilHydro ASA	43.970000	\N	1629477	4511854	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-02	2009-01-01	StatoilHydro ASA	43.970000	\N	1629477	4511854	9999-12-31	2013-05-08
MIKKEL UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	1629477	4524355	9999-12-31	2013-05-08
MIKKEL UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	43.970000	\N	1629477	17237817	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-07-24	Elf Petroleum Norge AS	10.000000	\N	1630961	298	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-07-24	Norsk Hydro Produksjon AS	20.000000	\N	1630961	430	9999-12-31	2013-05-08
SA-A	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	20.000000	\N	1630961	430	9999-12-31	2013-05-08
SA-A	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	1630961	430	9999-12-31	2013-05-08
SA-A	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	30.000000	\N	1630961	430	9999-12-31	2013-05-08
SA-A	2001-06-01	2002-04-30	Norsk Hydro Produksjon AS	30.000000	\N	1630961	430	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-07-24	Mobil Development Norway AS	15.000000	\N	1630961	474	9999-12-31	2013-05-08
SA-A	2000-07-24	2001-01-11	Mobil Development Norway AS	15.000000	\N	1630961	474	9999-12-31	2013-05-08
SA-A	2001-01-11	2001-05-10	Mobil Development Norway AS	15.000000	\N	1630961	474	9999-12-31	2013-05-08
SA-A	2001-05-10	2001-06-01	Mobil Development Norway AS	15.000000	\N	1630961	474	9999-12-31	2013-05-08
SA-A	2001-06-01	2002-04-30	Mobil Development Norway AS	15.000000	\N	1630961	474	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-07-24	Saga Petroleum ASA	10.000000	\N	1630961	716	9999-12-31	2013-05-08
SA-A	2000-07-24	2001-01-11	Saga Petroleum ASA	10.000000	\N	1630961	716	9999-12-31	2013-05-08
SA-A	1997-05-30	2000-07-24	Den norske stats oljeselskap a.s	45.000000	\N	1630961	749	9999-12-31	2013-05-08
SA-A	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	45.000000	\N	1630961	749	9999-12-31	2013-05-08
SA-A	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	45.000000	\N	1630961	749	9999-12-31	2013-05-08
SA-A	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	10.000000	\N	1630961	1340884	9999-12-31	2013-05-08
SA-A	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	10.000000	\N	1630961	1340884	9999-12-31	2013-05-08
SA-A	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	10.000000	\N	1630961	1340884	9999-12-31	2013-05-08
SA-A	2001-06-01	2002-04-30	TotalFinaElf Exploration Norge AS	10.000000	\N	1630961	1340884	9999-12-31	2013-05-08
SA-A	2001-05-10	2001-06-01	Statoil ASA (old)	15.000000	\N	1630961	1622484	9999-12-31	2013-05-08
SA-A	2001-06-01	2002-04-30	Statoil ASA (old)	45.000000	\N	1630961	1622484	9999-12-31	2013-05-08
SA-A	2001-05-10	2001-06-01	SDØE	30.000000	\N	1630961	1623450	9999-12-31	2013-05-08
SA-C	1997-05-30	1999-04-13	Norsk Agip  AS	15.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	1999-04-13	2001-01-11	Norsk Agip  AS	15.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	2001-01-11	2001-05-10	Norsk Agip  AS	15.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	2001-05-10	2001-06-01	Norsk Agip  AS	15.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	2001-06-01	2001-12-31	Norsk Agip  AS	15.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	2001-12-31	2002-08-30	Norsk Agip  AS	15.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	2002-08-30	2003-03-04	Norsk Agip  AS	21.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	2003-03-04	2003-12-31	Norsk Agip  AS	21.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	2003-12-31	2004-01-01	Norsk Agip  AS	6.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	1997-05-30	1999-04-13	Enterprise Oil Norwegian AS	15.000000	\N	1631138	342	9999-12-31	2013-05-08
SA-C	1999-04-13	2001-01-11	Enterprise Oil Norwegian AS	15.000000	\N	1631138	342	9999-12-31	2013-05-08
SA-C	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	15.000000	\N	1631138	342	9999-12-31	2013-05-08
SA-C	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	15.000000	\N	1631138	342	9999-12-31	2013-05-08
SA-C	2001-06-01	2001-12-31	Enterprise Oil Norwegian AS	15.000000	\N	1631138	342	9999-12-31	2013-05-08
SA-C	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	20.000000	\N	1631138	430	9999-12-31	2013-05-08
SA-C	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	20.000000	\N	1631138	430	9999-12-31	2013-05-08
SA-C	2001-06-01	2001-12-31	Norsk Hydro Produksjon AS	20.000000	\N	1631138	430	9999-12-31	2013-05-08
SA-C	2001-12-31	2002-08-30	Norsk Hydro Produksjon AS	20.000000	\N	1631138	430	9999-12-31	2013-05-08
SA-C	2002-08-30	2003-03-04	Norsk Hydro Produksjon AS	29.000000	\N	1631138	430	9999-12-31	2013-05-08
SA-C	2003-03-04	2003-12-31	Norsk Hydro Produksjon AS	29.000000	\N	1631138	430	9999-12-31	2013-05-08
SA-C	2003-12-31	2004-01-01	Norsk Hydro Produksjon AS	29.000000	\N	1631138	430	9999-12-31	2013-05-08
SA-C	2004-01-01	2010-05-30	Norsk Hydro Produksjon AS	29.000000	\N	1631138	430	9999-12-31	2013-05-08
SA-C	1997-05-30	1999-04-13	Neste Petroleum AS	10.000000	\N	1631138	496	9999-12-31	2013-05-08
SA-C	1997-05-30	1999-04-13	Saga Petroleum ASA	20.000000	\N	1631138	716	9999-12-31	2013-05-08
SA-C	1999-04-13	2001-01-11	Saga Petroleum ASA	20.000000	\N	1631138	716	9999-12-31	2013-05-08
SA-C	1997-05-30	1999-04-13	Den norske stats oljeselskap a.s	40.000000	20.000000	1631138	749	9999-12-31	2013-05-08
SA-C	1999-04-13	2001-01-11	Den norske stats oljeselskap a.s	40.000000	20.000000	1631138	749	9999-12-31	2013-05-08
SA-C	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	40.000000	20.000000	1631138	749	9999-12-31	2013-05-08
SA-C	1999-04-13	2001-01-11	Fortum Petroleum AS	10.000000	\N	1631138	102714	9999-12-31	2013-05-08
SA-C	2001-01-11	2001-05-10	Fortum Petroleum AS	10.000000	\N	1631138	102714	9999-12-31	2013-05-08
SA-C	2001-05-10	2001-06-01	Fortum Petroleum AS	10.000000	\N	1631138	102714	9999-12-31	2013-05-08
SA-C	2001-06-01	2001-12-31	Fortum Petroleum AS	10.000000	\N	1631138	102714	9999-12-31	2013-05-08
SA-C	2001-12-31	2002-08-30	Fortum Petroleum AS	10.000000	\N	1631138	102714	9999-12-31	2013-05-08
SA-C	2002-08-30	2003-03-04	Fortum Petroleum AS	10.000000	\N	1631138	102714	9999-12-31	2013-05-08
SA-C	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	1631138	1622484	9999-12-31	2013-05-08
SA-C	2001-06-01	2001-12-31	Statoil ASA (old)	40.000000	\N	1631138	1622484	9999-12-31	2013-05-08
SA-C	2001-12-31	2002-08-30	Statoil ASA (old)	40.000000	\N	1631138	1622484	9999-12-31	2013-05-08
SA-C	2002-08-30	2003-03-04	Statoil ASA (old)	40.000000	\N	1631138	1622484	9999-12-31	2013-05-08
SA-C	2003-03-04	2003-12-31	Statoil ASA (old)	40.000000	\N	1631138	1622484	9999-12-31	2013-05-08
SA-C	2003-12-31	2004-01-01	Statoil ASA (old)	40.000000	\N	1631138	1622484	9999-12-31	2013-05-08
SA-C	2004-01-01	2010-05-30	Statoil ASA (old)	40.000000	\N	1631138	1622484	9999-12-31	2013-05-08
SA-C	2001-05-10	2001-06-01	SDØE	20.000000	\N	1631138	1623450	9999-12-31	2013-05-08
SA-C	2001-12-31	2002-08-30	Enterprise Oil Norge AS	15.000000	\N	1631138	1853786	9999-12-31	2013-05-08
SA-C	2003-03-04	2003-12-31	Eni Norge AS	10.000000	\N	1631138	2388594	9999-12-31	2013-05-08
SA-C	2003-12-31	2004-01-01	Eni Norge AS	25.000000	\N	1631138	2388594	9999-12-31	2013-05-08
SA-C	2004-01-01	2010-05-30	Eni Norge AS	31.000000	\N	1631138	2388594	9999-12-31	2013-05-08
SA-F	1997-05-30	2001-01-11	Amerada Hess Norge AS	15.000000	\N	1631341	67	9999-12-31	2013-05-08
SA-F	2001-01-11	2001-05-10	Amerada Hess Norge AS	15.000000	\N	1631341	67	9999-12-31	2013-05-08
SA-F	2001-05-10	2001-06-01	Amerada Hess Norge AS	15.000000	\N	1631341	67	9999-12-31	2013-05-08
SA-F	2001-06-01	2002-07-07	Amerada Hess Norge AS	15.000000	\N	1631341	67	9999-12-31	2013-05-08
SA-F	2002-07-07	2003-12-23	Amerada Hess Norge AS	15.000000	\N	1631341	67	9999-12-31	2013-05-08
SA-F	1997-05-30	2001-01-11	Norsk Hydro Produksjon AS	15.000000	\N	1631341	430	9999-12-31	2013-05-08
SA-F	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	1631341	430	9999-12-31	2013-05-08
SA-F	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	30.000000	\N	1631341	430	9999-12-31	2013-05-08
SA-F	2001-06-01	2002-07-07	Norsk Hydro Produksjon AS	30.000000	\N	1631341	430	9999-12-31	2013-05-08
SA-F	2002-07-07	2003-12-23	Norsk Hydro Produksjon AS	30.000000	\N	1631341	430	9999-12-31	2013-05-08
SA-F	2003-12-23	2007-10-01	Norsk Hydro Produksjon AS	30.000000	\N	1631341	430	9999-12-31	2013-05-08
SA-F	1997-05-30	2001-01-11	Mobil Development Norway AS	20.000000	\N	1631341	474	9999-12-31	2013-05-08
SA-F	2001-01-11	2001-05-10	Mobil Development Norway AS	20.000000	\N	1631341	474	9999-12-31	2013-05-08
SA-F	2001-05-10	2001-06-01	Mobil Development Norway AS	20.000000	\N	1631341	474	9999-12-31	2013-05-08
SA-F	2001-06-01	2002-07-07	Mobil Development Norway AS	20.000000	\N	1631341	474	9999-12-31	2013-05-08
SA-F	1997-05-30	2001-01-11	Saga Petroleum ASA	15.000000	\N	1631341	716	9999-12-31	2013-05-08
SA-F	1997-05-30	2001-01-11	Det Norske Oljeselskap AS	35.000000	20.000000	1631341	1340609	9999-12-31	2013-05-08
SA-F	2001-01-11	2001-05-10	Det Norske Oljeselskap AS	35.000000	20.000000	1631341	1340609	9999-12-31	2013-05-08
SA-F	2001-05-10	2001-06-01	Statoil ASA (old)	15.000000	\N	1631341	1622484	9999-12-31	2013-05-08
SA-F	2001-06-01	2002-07-07	Statoil ASA (old)	35.000000	\N	1631341	1622484	9999-12-31	2013-05-08
SA-F	2002-07-07	2003-12-23	Statoil ASA (old)	55.000000	\N	1631341	1622484	9999-12-31	2013-05-08
SA-F	2003-12-23	2007-10-01	Statoil ASA (old)	55.000000	\N	1631341	1622484	9999-12-31	2013-05-08
SA-F	2001-05-10	2001-06-01	SDØE	20.000000	\N	1631341	1623450	9999-12-31	2013-05-08
SA-F	2003-12-23	2007-10-01	Gaz de France Norge AS	15.000000	\N	1631341	1628733	9999-12-31	2013-05-08
SA-F	2007-10-01	2008-09-10	Gaz de France Norge AS	15.000000	\N	1631341	1628733	9999-12-31	2013-05-08
SA-F	2007-10-01	2008-09-10	StatoilHydro Petroleum AS	30.000000	\N	1631341	4511658	9999-12-31	2013-05-08
SA-F	2007-10-01	2008-09-10	StatoilHydro ASA	55.000000	\N	1631341	4511854	9999-12-31	2013-05-08
SA-G	1997-05-30	2001-01-11	Norsk Agip  AS	15.000000	\N	1631599	45	9999-12-31	2013-05-08
SA-G	2001-01-11	2001-05-10	Norsk Agip  AS	15.000000	\N	1631599	45	9999-12-31	2013-05-08
SA-G	2001-05-10	2001-06-01	Norsk Agip  AS	15.000000	\N	1631599	45	9999-12-31	2013-05-08
SA-G	2001-06-01	2003-12-31	Norsk Agip  AS	15.000000	\N	1631599	45	9999-12-31	2013-05-08
SA-G	1997-05-30	2001-01-11	Norsk Hydro Produksjon AS	15.000000	\N	1631599	430	9999-12-31	2013-05-08
SA-G	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	35.000000	\N	1631599	430	9999-12-31	2013-05-08
SA-G	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	35.000000	\N	1631599	430	9999-12-31	2013-05-08
SA-G	2001-06-01	2003-12-31	Norsk Hydro Produksjon AS	35.000000	\N	1631599	430	9999-12-31	2013-05-08
SA-G	2003-12-31	2007-05-15	Norsk Hydro Produksjon AS	35.000000	\N	1631599	430	9999-12-31	2013-05-08
SA-G	1997-05-30	2001-01-11	Saga Petroleum ASA	20.000000	\N	1631599	716	9999-12-31	2013-05-08
SA-G	1997-05-30	2001-01-11	Den norske stats oljeselskap a.s	50.000000	20.000000	1631599	749	9999-12-31	2013-05-08
SA-G	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	20.000000	1631599	749	9999-12-31	2013-05-08
SA-G	2001-05-10	2001-06-01	Statoil ASA (old)	30.000000	\N	1631599	1622484	9999-12-31	2013-05-08
SA-G	2001-06-01	2003-12-31	Statoil ASA (old)	50.000000	\N	1631599	1622484	9999-12-31	2013-05-08
SA-G	2003-12-31	2007-05-15	Statoil ASA (old)	50.000000	\N	1631599	1622484	9999-12-31	2013-05-08
SA-G	2001-05-10	2001-06-01	SDØE	20.000000	\N	1631599	1623450	9999-12-31	2013-05-08
SA-G	2003-12-31	2007-05-15	Eni Norge AS	15.000000	\N	1631599	2388594	9999-12-31	2013-05-08
SA-SB	2001-04-27	2001-12-31	Enterprise Oil Norwegian AS	40.000000	\N	1631767	342	9999-12-31	2013-05-08
SA-SB	2001-04-27	2001-12-31	Norsk Hydro Produksjon AS	30.000000	\N	1631767	430	9999-12-31	2013-05-08
SA-SB	2001-12-31	2003-06-24	Norsk Hydro Produksjon AS	30.000000	\N	1631767	430	9999-12-31	2013-05-08
SA-SB	2003-06-24	2006-03-22	Norsk Hydro Produksjon AS	30.000000	\N	1631767	430	9999-12-31	2013-05-08
SA-SB	2006-03-22	2006-12-22	Norsk Hydro Produksjon AS	30.000000	\N	1631767	430	9999-12-31	2013-05-08
SA-SB	2001-04-27	2001-12-31	RWE Dea Norge AS	30.000000	\N	1631767	97557	9999-12-31	2013-05-08
SA-SB	2001-12-31	2003-06-24	RWE Dea Norge AS	30.000000	\N	1631767	97557	9999-12-31	2013-05-08
SA-SB	2003-06-24	2006-03-22	RWE Dea Norge AS	30.000000	\N	1631767	97557	9999-12-31	2013-05-08
SA-SB	2006-03-22	2006-12-22	RWE Dea Norge AS	30.000000	\N	1631767	97557	9999-12-31	2013-05-08
SA-SB	2003-06-24	2006-03-22	Paladin Resources Norge AS	10.000000	\N	1631767	1577943	9999-12-31	2013-05-08
SA-SB	2001-12-31	2003-06-24	Enterprise Oil Norge AS	40.000000	\N	1631767	1853786	9999-12-31	2013-05-08
SA-SB	2003-06-24	2006-03-22	Enterprise Oil Norge AS	30.000000	\N	1631767	1853786	9999-12-31	2013-05-08
SA-SB	2006-03-22	2006-12-22	Enterprise Oil Norge AS	30.000000	\N	1631767	1853786	9999-12-31	2013-05-08
SA-SB	2006-03-22	2006-12-22	Talisman Resources Norge AS	10.000000	\N	1631767	3987574	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2001-12-18	2003-05-06	Norsk Agip  AS	9.000000	\N	1854695	45	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-06	2003-12-31	Norsk Agip  AS	9.000000	\N	1854695	45	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	12.000000	\N	1854695	430	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	12.000000	\N	1854695	430	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-12-31	2004-01-01	Norsk Hydro Produksjon AS	12.000000	\N	1854695	430	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-01	2004-01-02	Norsk Hydro Produksjon AS	14.000000	\N	1854695	430	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-02	2005-07-01	Norsk Hydro Produksjon AS	14.000000	\N	1854695	430	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2005-07-01	2007-01-01	Norsk Hydro Produksjon AS	14.000000	\N	1854695	430	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2001-12-18	2003-05-06	Mobil Development Norway AS	10.500000	\N	1854695	474	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-06	2003-12-31	Mobil Development Norway AS	10.500000	\N	1854695	474	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-12-31	2004-01-01	Mobil Development Norway AS	10.500000	\N	1854695	474	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-01	2004-01-02	Mobil Development Norway AS	10.500000	\N	1854695	474	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-02	2005-07-01	Mobil Development Norway AS	10.500000	\N	1854695	474	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2005-07-01	2007-01-01	Mobil Development Norway AS	10.876100	\N	1854695	474	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-01-01	2007-10-01	Mobil Development Norway AS	10.876100	\N	1854695	474	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-10-01	2008-01-01	Mobil Development Norway AS	10.876100	\N	1854695	474	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-01	2008-01-02	Mobil Development Norway AS	10.876100	\N	1854695	474	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	3.000000	\N	1854695	1340884	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2001-12-18	2003-05-06	Statoil ASA (old)	46.600000	\N	1854695	1622484	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-06	2003-12-31	Statoil ASA (old)	46.600000	\N	1854695	1622484	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-12-31	2004-01-01	Statoil ASA (old)	46.600000	\N	1854695	1622484	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-01	2004-01-02	Statoil ASA (old)	44.600000	\N	1854695	1622484	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-02	2005-07-01	Statoil ASA (old)	41.600000	\N	1854695	1622484	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2005-07-01	2007-01-01	Statoil ASA (old)	41.299100	\N	1854695	1622484	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	41.299100	\N	1854695	1622484	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2001-12-18	2003-05-06	Petoro AS	18.900000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-06	2003-12-31	Petoro AS	18.900000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-12-31	2004-01-01	Petoro AS	18.900000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-01	2004-01-02	Petoro AS	18.900000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-02	2005-07-01	Petoro AS	18.900000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2005-07-01	2007-01-01	Petoro AS	19.577000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-01-01	2007-10-01	Petoro AS	19.577000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-10-01	2008-01-01	Petoro AS	19.577000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-01	2008-01-02	Petoro AS	19.577000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-02	2009-01-01	Petoro AS	19.577000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-01-01	2009-11-01	Petoro AS	19.577000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-11-01	9999-12-31	Petoro AS	19.577000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-12-31	2004-01-01	Eni Norge AS	9.000000	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-01	2004-01-02	Eni Norge AS	9.000000	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-02	2005-07-01	Eni Norge AS	9.000000	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2005-07-01	2007-01-01	Eni Norge AS	8.247800	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-01-01	2007-10-01	Eni Norge AS	8.247800	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-10-01	2008-01-01	Eni Norge AS	8.247800	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-01	2008-01-02	Eni Norge AS	8.247800	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-02	2009-01-01	Eni Norge AS	8.247800	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-01-01	2009-11-01	Eni Norge AS	8.247800	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-11-01	9999-12-31	Eni Norge AS	8.247800	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-06	2003-12-31	Total E&P Norge AS	3.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-12-31	2004-01-01	Total E&P Norge AS	3.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-01	2004-01-02	Total E&P Norge AS	3.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-02	2005-07-01	Total E&P Norge AS	6.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2005-07-01	2007-01-01	Total E&P Norge AS	6.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-01-01	2007-10-01	Total E&P Norge AS	6.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-10-01	2008-01-01	Total E&P Norge AS	6.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-01	2008-01-02	Total E&P Norge AS	6.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-02	2009-01-01	Total E&P Norge AS	6.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	6.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-11-01	9999-12-31	Total E&P Norge AS	6.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	10.876100	\N	1854695	2835212	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	10.876100	\N	1854695	2835212	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	10.876100	\N	1854695	2835212	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	14.000000	\N	1854695	4511658	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	55.299100	\N	1854695	4511658	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-10-01	2008-01-01	StatoilHydro ASA	41.299100	\N	1854695	4511854	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-01	2008-01-02	StatoilHydro ASA	55.299100	\N	1854695	4511854	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-02	2009-01-01	StatoilHydro ASA	55.299100	\N	1854695	4511854	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	14.000000	\N	1854695	4524355	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	55.299100	\N	1854695	17237817	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2003-12-03	2004-10-01	Esso Exploration and Production Norway A/S	7.228600	\N	2588637	353	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2003-12-03	2004-10-01	Norsk Hydro Produksjon AS	18.072800	\N	2588637	430	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2004-10-01	2005-01-01	Norsk Hydro Produksjon AS	18.072800	\N	2588637	430	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2005-01-01	2006-09-06	Norsk Hydro Produksjon AS	18.072800	\N	2588637	430	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2006-09-06	2007-01-01	Norsk Hydro Produksjon AS	18.072800	\N	2588637	430	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2003-12-03	2004-10-01	A/S Norske Shell	17.037500	\N	2588637	562	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2004-10-01	2005-01-01	A/S Norske Shell	17.037500	\N	2588637	562	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2005-01-01	2006-09-06	A/S Norske Shell	17.037500	\N	2588637	562	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2006-09-06	2007-01-01	A/S Norske Shell	17.037500	\N	2588637	562	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-01-01	2007-10-01	A/S Norske Shell	17.037500	\N	2588637	562	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-10-01	2009-01-01	A/S Norske Shell	17.037500	\N	2588637	562	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-01-01	2009-11-01	A/S Norske Shell	17.037500	\N	2588637	562	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-11-01	9999-12-31	A/S Norske Shell	17.037500	\N	2588637	562	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2003-12-03	2004-10-01	Statoil ASA (old)	10.844100	\N	2588637	1622484	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2004-10-01	2005-01-01	Statoil ASA (old)	10.844100	\N	2588637	1622484	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2005-01-01	2006-09-06	Statoil ASA (old)	10.844100	\N	2588637	1622484	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2006-09-06	2007-01-01	Statoil ASA (old)	10.844100	\N	2588637	1622484	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	10.844100	\N	2588637	1622484	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2003-12-03	2004-10-01	Petoro AS	36.475000	\N	2588637	1626839	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2004-10-01	2005-01-01	Petoro AS	36.475000	\N	2588637	1626839	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2005-01-01	2006-09-06	Petoro AS	36.475000	\N	2588637	1626839	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2006-09-06	2007-01-01	Petoro AS	36.475000	\N	2588637	1626839	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-01-01	2007-10-01	Petoro AS	36.475000	\N	2588637	1626839	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-10-01	2009-01-01	Petoro AS	36.475000	\N	2588637	1626839	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-01-01	2009-11-01	Petoro AS	36.475000	\N	2588637	1626839	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-11-01	9999-12-31	Petoro AS	36.475000	\N	2588637	1626839	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2005-01-01	2006-09-06	DONG Norge AS	10.342000	\N	2588637	1853083	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2003-12-03	2004-10-01	BP Norge AS	10.342000	\N	2588637	2052695	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2004-10-01	2005-01-01	BP Norge AS	10.342000	\N	2588637	2052695	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2588637	2835212	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2005-01-01	2006-09-06	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2588637	2835212	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2006-09-06	2007-01-01	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2588637	2835212	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2588637	2835212	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2588637	2835212	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2588637	2835212	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2588637	2835212	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2006-09-06	2007-01-01	DONG E&P Norge AS	10.342000	\N	2588637	4070011	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-01-01	2007-10-01	DONG E&P Norge AS	10.342000	\N	2588637	4070011	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-10-01	2009-01-01	DONG E&P Norge AS	10.342000	\N	2588637	4070011	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-01-01	2009-11-01	DONG E&P Norge AS	10.342000	\N	2588637	4070011	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-11-01	9999-12-31	DONG E&P Norge AS	10.342000	\N	2588637	4070011	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	18.072800	\N	2588637	4511658	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	28.916900	\N	2588637	4511658	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	10.844100	\N	2588637	4511854	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	18.072800	\N	2588637	4524355	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	28.916900	\N	2588637	17237817	9999-12-31	2013-05-08
BLANE UNIT	2005-07-01	2005-12-19	Paladin Resources Norge AS	11.700000	\N	3437667	1577943	9999-12-31	2013-05-08
BLANE UNIT	2005-12-19	2006-03-22	Paladin Resources Norge AS	11.700000	\N	3437667	1577943	9999-12-31	2013-05-08
BLANE UNIT	2005-07-01	2005-12-19	Talisman Energy Norge AS	6.300000	\N	3437667	2425093	9999-12-31	2013-05-08
BLANE UNIT	2005-12-19	2006-03-22	Talisman Energy Norge AS	6.300000	\N	3437667	2425093	9999-12-31	2013-05-08
BLANE UNIT	2006-03-22	2006-10-13	Talisman Energy Norge AS	6.300000	\N	3437667	2425093	9999-12-31	2013-05-08
BLANE UNIT	2006-10-13	2006-10-31	Talisman Energy Norge AS	18.000000	\N	3437667	2425093	9999-12-31	2013-05-08
BLANE UNIT	2006-10-31	2008-07-15	Talisman Energy Norge AS	18.000000	\N	3437667	2425093	9999-12-31	2013-05-08
BLANE UNIT	2008-07-15	2010-01-01	Talisman Energy Norge AS	18.000000	\N	3437667	2425093	9999-12-31	2013-05-08
BLANE UNIT	2010-01-01	2010-07-01	Talisman Energy Norge AS	18.000000	\N	3437667	2425093	9999-12-31	2013-05-08
BLANE UNIT	2010-07-01	2011-01-04	Talisman Energy Norge AS	18.000000	\N	3437667	2425093	9999-12-31	2013-05-08
BLANE UNIT	2011-01-04	9999-12-31	Talisman Energy Norge AS	18.000000	\N	3437667	2425093	9999-12-31	2013-05-08
BLANE UNIT	2005-07-01	2005-12-19	Paladin Expro Limited	25.001200	\N	3437667	3437686	9999-12-31	2013-05-08
BLANE UNIT	2005-07-01	2005-12-19	Eni UK Limited	13.896800	\N	3437667	3437697	9999-12-31	2013-05-08
BLANE UNIT	2005-12-19	2006-03-22	Eni UK Limited	13.896800	\N	3437667	3437697	9999-12-31	2013-05-08
BLANE UNIT	2006-03-22	2006-10-13	Eni UK Limited	13.896800	\N	3437667	3437697	9999-12-31	2013-05-08
BLANE UNIT	2006-10-13	2006-10-31	Eni UK Limited	13.896800	\N	3437667	3437697	9999-12-31	2013-05-08
BLANE UNIT	2006-10-31	2008-07-15	Eni UK Limited	13.896800	\N	3437667	3437697	9999-12-31	2013-05-08
BLANE UNIT	2008-07-15	2010-01-01	Eni UK Limited	13.896800	\N	3437667	3437697	9999-12-31	2013-05-08
BLANE UNIT	2010-01-01	2010-07-01	Eni UK Limited	13.896800	\N	3437667	3437697	9999-12-31	2013-05-08
BLANE UNIT	2005-07-01	2005-12-19	Eni ULX Limited	4.107300	\N	3437667	3437708	9999-12-31	2013-05-08
BLANE UNIT	2005-12-19	2006-03-22	Eni ULX Limited	4.107300	\N	3437667	3437708	9999-12-31	2013-05-08
BLANE UNIT	2006-03-22	2006-10-13	Eni ULX Limited	4.107300	\N	3437667	3437708	9999-12-31	2013-05-08
BLANE UNIT	2006-10-13	2006-10-31	Eni ULX Limited	4.107300	\N	3437667	3437708	9999-12-31	2013-05-08
BLANE UNIT	2006-10-31	2008-07-15	Eni ULX Limited	4.107300	\N	3437667	3437708	9999-12-31	2013-05-08
BLANE UNIT	2008-07-15	2010-01-01	Eni ULX Limited	4.107300	\N	3437667	3437708	9999-12-31	2013-05-08
BLANE UNIT	2010-01-01	2010-07-01	Eni ULX Limited	4.107300	\N	3437667	3437708	9999-12-31	2013-05-08
BLANE UNIT	2005-07-01	2005-12-19	Moc Exploration (U.K.) Limited	13.993500	\N	3437667	3437719	9999-12-31	2013-05-08
BLANE UNIT	2005-12-19	2006-03-22	Moc Exploration (U.K.) Limited	13.993500	\N	3437667	3437719	9999-12-31	2013-05-08
BLANE UNIT	2006-03-22	2006-10-13	Moc Exploration (U.K.) Limited	13.993500	\N	3437667	3437719	9999-12-31	2013-05-08
BLANE UNIT	2006-10-13	2006-10-31	Moc Exploration (U.K.) Limited	13.993500	\N	3437667	3437719	9999-12-31	2013-05-08
BLANE UNIT	2006-10-31	2008-07-15	Moc Exploration (U.K.) Limited	13.993500	\N	3437667	3437719	9999-12-31	2013-05-08
BLANE UNIT	2005-07-01	2005-12-19	Roc Oil (GB) Limited	12.500600	\N	3437667	3437730	9999-12-31	2013-05-08
BLANE UNIT	2005-12-19	2006-03-22	Roc Oil (GB) Limited	12.500600	\N	3437667	3437730	9999-12-31	2013-05-08
BLANE UNIT	2006-03-22	2006-10-13	Roc Oil (GB) Limited	12.500600	\N	3437667	3437730	9999-12-31	2013-05-08
BLANE UNIT	2006-10-13	2006-10-31	Roc Oil (GB) Limited	12.500600	\N	3437667	3437730	9999-12-31	2013-05-08
BLANE UNIT	2006-10-31	2008-07-15	Roc Oil (GB) Limited	12.500600	\N	3437667	3437730	9999-12-31	2013-05-08
BLANE UNIT	2008-07-15	2010-01-01	Roc Oil (GB) Limited	12.500600	\N	3437667	3437730	9999-12-31	2013-05-08
BLANE UNIT	2010-01-01	2010-07-01	Roc Oil (GB) Limited	12.500600	\N	3437667	3437730	9999-12-31	2013-05-08
BLANE UNIT	2010-07-01	2011-01-04	Roc Oil (GB) Limited	12.500600	\N	3437667	3437730	9999-12-31	2013-05-08
BLANE UNIT	2011-01-04	9999-12-31	Roc Oil (GB) Limited	12.500600	\N	3437667	3437730	9999-12-31	2013-05-08
BLANE UNIT	2005-07-01	2005-12-19	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437667	3437741	9999-12-31	2013-05-08
BLANE UNIT	2005-12-19	2006-03-22	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437667	3437741	9999-12-31	2013-05-08
BLANE UNIT	2006-03-22	2006-10-13	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437667	3437741	9999-12-31	2013-05-08
BLANE UNIT	2006-10-13	2006-10-31	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437667	3437741	9999-12-31	2013-05-08
BLANE UNIT	2006-10-31	2008-07-15	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437667	3437741	9999-12-31	2013-05-08
BLANE UNIT	2008-07-15	2010-01-01	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437667	3437741	9999-12-31	2013-05-08
BLANE UNIT	2006-03-22	2006-10-13	Talisman Resources Norge AS	11.700000	\N	3437667	3987574	9999-12-31	2013-05-08
BLANE UNIT	2005-12-19	2006-03-22	Talisman Expro Limited	25.001200	\N	3437667	3987589	9999-12-31	2013-05-08
BLANE UNIT	2006-03-22	2006-10-13	Talisman Expro Limited	25.001200	\N	3437667	3987589	9999-12-31	2013-05-08
BLANE UNIT	2006-10-13	2006-10-31	Talisman Expro Limited	25.001200	\N	3437667	3987589	9999-12-31	2013-05-08
BLANE UNIT	2006-10-31	2008-07-15	Talisman North Sea Limited	25.001200	\N	3437667	4462398	9999-12-31	2013-05-08
BLANE UNIT	2008-07-15	2010-01-01	Talisman North Sea Limited	25.001200	\N	3437667	4462398	9999-12-31	2013-05-08
BLANE UNIT	2008-07-15	2010-01-01	Nippon Oil Exploration and Production UKl Limited	13.993500	\N	3437667	17237695	9999-12-31	2013-05-08
BLANE UNIT	2010-01-01	2010-07-01	Nippon Oil Exploration and Production UKl Limited	13.993500	\N	3437667	17237695	9999-12-31	2013-05-08
BLANE UNIT	2010-07-01	2011-01-04	Nippon Oil Exploration and Production UKl Limited	13.993500	\N	3437667	17237695	9999-12-31	2013-05-08
BLANE UNIT	2010-01-01	2010-07-01	Dana Petroleum (BVUK) Limited	12.500600	\N	3437667	20415896	9999-12-31	2013-05-08
BLANE UNIT	2010-07-01	2011-01-04	Dana Petroleum (BVUK) Limited	12.500600	\N	3437667	20415896	9999-12-31	2013-05-08
BLANE UNIT	2011-01-04	9999-12-31	Dana Petroleum (BVUK) Limited	12.500600	\N	3437667	20415896	9999-12-31	2013-05-08
BLANE UNIT	2011-01-04	9999-12-31	JX Nippon Exploration and Production (UK) Limited	13.993500	\N	3437667	20415923	9999-12-31	2013-05-08
BLANE UNIT	2010-01-01	2010-07-01	Talisman Energy (UK) Limited	25.001200	\N	3437667	20415938	9999-12-31	2013-05-08
BLANE UNIT	2010-07-01	2011-01-04	Talisman Energy (UK) Limited	25.001200	\N	3437667	20415938	9999-12-31	2013-05-08
BLANE UNIT	2011-01-04	9999-12-31	Talisman Energy (UK) Limited	25.001200	\N	3437667	20415938	9999-12-31	2013-05-08
BLANE UNIT	2010-07-01	2011-01-04	Faroe Petroleum (UK) Limited	18.004100	\N	3437667	21614063	9999-12-31	2013-05-08
BLANE UNIT	2011-01-04	9999-12-31	Faroe Petroleum (UK) Limited	18.004100	\N	3437667	21614063	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-08-18	Det Norske Oljeselskap AS	2.000000	\N	3437805	1340609	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	2005-10-11	Det Norske Oljeselskap AS	2.000000	\N	3437805	1340609	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	2005-12-19	Det Norske Oljeselskap AS	2.000000	\N	3437805	1340609	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	2006-05-22	Det Norske Oljeselskap AS	2.000000	\N	3437805	1340609	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	2006-09-06	Det Norske Oljeselskap AS	2.000000	\N	3437805	1340609	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	2006-10-31	Det Norske Oljeselskap AS	2.000000	\N	3437805	1340609	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	2006-11-28	Det Norske Oljeselskap AS	2.000000	\N	3437805	1340609	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	2007-06-22	Det Norske Oljeselskap AS	2.000000	\N	3437805	1340609	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-08-18	Statoil ASA (old)	11.780000	\N	3437805	1622484	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	2005-10-11	Statoil ASA (old)	11.780000	\N	3437805	1622484	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	2005-12-19	Statoil ASA (old)	11.780000	\N	3437805	1622484	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	2006-05-22	Statoil ASA (old)	11.780000	\N	3437805	1622484	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	2006-09-06	Statoil ASA (old)	11.780000	\N	3437805	1622484	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	2006-10-31	Statoil ASA (old)	11.780000	\N	3437805	1622484	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	2006-11-28	Statoil ASA (old)	11.780000	\N	3437805	1622484	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	2007-06-22	Statoil ASA (old)	11.780000	\N	3437805	1622484	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	2007-10-01	Statoil ASA (old)	11.780000	\N	3437805	1622484	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-08-18	DONG Norge AS	1.860000	\N	3437805	1853083	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	2005-10-11	DONG Norge AS	1.860000	\N	3437805	1853083	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	2005-12-19	DONG Norge AS	1.860000	\N	3437805	1853083	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	2006-05-22	DONG Norge AS	1.860000	\N	3437805	1853083	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	2006-09-06	DONG Norge AS	1.860000	\N	3437805	1853083	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-08-18	Total E&P Norge AS	4.360000	\N	3437805	2410708	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	2005-10-11	Total E&P Norge AS	4.360000	\N	3437805	2410708	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	2005-12-19	Altinex Oil AS	4.360000	\N	3437805	2835200	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	2006-05-22	Altinex Oil AS	4.360000	\N	3437805	2835200	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	2006-09-06	Altinex Oil AS	4.360000	\N	3437805	2835200	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	2006-10-31	Altinex Oil AS	4.360000	\N	3437805	2835200	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	2006-11-28	Altinex Oil AS	4.360000	\N	3437805	2835200	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-08-18	Paladin Expro Limited	24.000000	\N	3437805	3437686	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	2005-10-11	Paladin Expro Limited	24.000000	\N	3437805	3437686	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	2005-12-19	Paladin Expro Limited	24.000000	\N	3437805	3437686	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-08-18	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	2005-10-11	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	2005-12-19	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	2006-05-22	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	2006-09-06	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	2006-10-31	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	2006-11-28	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	2007-06-22	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	2007-10-01	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	2007-11-16	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	2008-01-01	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	2009-01-01	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	2009-01-02	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	2009-11-01	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	2009-12-22	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	2010-01-01	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	2012-01-01	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	2012-07-05	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	2012-09-15	2013-05-08
ENOCH UNIT	2012-07-05	9999-12-31	Roc Oil (GB) Limited	12.000000	\N	3437805	3437730	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-08-18	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	2005-10-11	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	2005-12-19	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	2006-05-22	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	2006-09-06	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	2006-10-31	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	2006-11-28	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	2007-06-22	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	2007-10-01	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	2007-11-16	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	2008-01-01	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	2009-01-01	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	2009-01-02	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	2009-11-01	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	2009-12-22	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	2010-01-01	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-08-18	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	2005-10-11	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	2005-12-19	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	2006-05-22	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	2006-09-06	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	2006-10-31	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	2006-11-28	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	2007-06-22	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	2007-10-01	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	2007-11-16	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	2008-01-01	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	2009-01-01	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	2009-01-02	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	2009-11-01	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	2009-12-22	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	2010-01-01	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	2012-01-01	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	2012-07-05	Dyas UK Limited	14.000000	\N	3437805	3437812	2012-09-15	2013-05-08
ENOCH UNIT	2012-07-05	9999-12-31	Dyas UK Limited	14.000000	\N	3437805	3437812	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-08-18	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	2005-10-11	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	2005-12-19	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	2006-05-22	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	2006-09-06	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	2006-10-31	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	2006-11-28	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	2007-06-22	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	2007-10-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	2007-11-16	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	2008-01-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	2009-01-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	2009-01-02	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	2009-11-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	2009-12-22	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	2010-01-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	2012-01-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-08-18	Lundin North Sea Limited	1.200000	\N	3437805	3437835	9999-12-31	2013-05-08
ENOCH UNIT	2005-07-01	2005-08-18	Petro-Canada UK Limited	8.000000	\N	3437805	3437846	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	2005-10-11	Petro-Canada UK Limited	8.000000	\N	3437805	3437846	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	2005-12-19	Petro-Canada UK Limited	8.000000	\N	3437805	3437846	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	2006-05-22	Petro-Canada UK Limited	8.000000	\N	3437805	3437846	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	2006-05-22	Talisman Expro Limited	24.000000	\N	3437805	3987589	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	2006-09-06	Talisman Expro Limited	24.000000	\N	3437805	3987589	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	2006-10-31	Talisman Expro Limited	24.000000	\N	3437805	3987589	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	2009-11-01	Faroe Petroleum Norge AS	1.860000	\N	3437805	4062883	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	2009-12-22	Faroe Petroleum Norge AS	1.860000	\N	3437805	4062883	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	2010-01-01	Faroe Petroleum Norge AS	1.860000	\N	3437805	4062883	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	2012-01-01	Faroe Petroleum Norge AS	1.860000	\N	3437805	4062883	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	2012-07-05	Faroe Petroleum Norge AS	1.860000	\N	3437805	4062883	2012-09-15	2013-05-08
ENOCH UNIT	2012-07-05	9999-12-31	Faroe Petroleum Norge AS	1.860000	\N	3437805	4062883	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	2006-10-31	DONG E&P Norge AS	1.860000	\N	3437805	4070011	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	2006-11-28	DONG E&P Norge AS	1.860000	\N	3437805	4070011	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	2007-06-22	DONG E&P Norge AS	1.860000	\N	3437805	4070011	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	2007-10-01	DONG E&P Norge AS	1.860000	\N	3437805	4070011	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	2007-11-16	DONG E&P Norge AS	1.860000	\N	3437805	4070011	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	2008-01-01	DONG E&P Norge AS	1.860000	\N	3437805	4070011	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	2009-01-01	DONG E&P Norge AS	1.860000	\N	3437805	4070011	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	2009-01-02	DONG E&P Norge AS	1.860000	\N	3437805	4070011	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	2007-06-22	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	2007-10-01	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	2007-11-16	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	2008-01-01	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	2009-01-01	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	2009-01-02	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	2009-11-01	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	2009-12-22	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	2010-01-01	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	2012-01-01	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	2012-07-05	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	2012-09-15	2013-05-08
ENOCH UNIT	2005-08-18	2005-10-11	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	2005-12-19	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	2006-05-22	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	2006-09-06	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	2006-10-31	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	2006-11-28	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	2007-06-22	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	2007-10-01	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	2007-11-16	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	2008-01-01	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	2009-01-01	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	2009-01-02	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	2009-11-01	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	2009-12-22	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	2010-01-01	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	2012-01-01	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	2012-07-05	Talisman LNS Limited	1.200000	\N	3437805	4462294	2012-09-15	2013-05-08
ENOCH UNIT	2012-07-05	9999-12-31	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	2006-09-06	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	2006-10-31	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	2006-11-28	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	2007-06-22	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	2007-10-01	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	2007-11-16	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	2008-01-01	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	2009-01-01	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	2009-01-02	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	2009-11-01	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	2009-12-22	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	2010-01-01	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	2012-01-01	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	2012-07-05	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	2012-09-15	2013-05-08
ENOCH UNIT	2012-07-05	9999-12-31	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	2006-11-28	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	2007-06-22	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	2007-10-01	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	2007-11-16	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	2008-01-01	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	2009-01-01	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	2009-01-02	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	2009-11-01	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	2009-12-22	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	2010-01-01	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	2012-01-01	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	2012-07-05	Talisman North Sea Limited	24.000000	\N	3437805	4462398	2012-09-15	2013-05-08
ENOCH UNIT	2012-07-05	9999-12-31	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	2007-10-01	Det Norske Oljeselskap ASA (old)	2.000000	\N	3437805	4468177	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	2.000000	\N	3437805	4468177	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	11.780000	\N	3437805	4511658	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	2009-11-01	StatoilHydro Petroleum AS	11.780000	\N	3437805	4511658	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	2007-11-16	StatoilHydro ASA	11.780000	\N	3437805	4511854	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	2008-01-01	StatoilHydro ASA	11.780000	\N	3437805	4511854	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	2009-01-01	StatoilHydro ASA	11.780000	\N	3437805	4511854	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	2008-01-01	Noil Energy ASA	2.000000	\N	3437805	4539976	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	2009-01-01	Det norske oljeselskap ASA (old)	2.000000	\N	3437805	4539989	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	2009-01-02	Det norske oljeselskap ASA (old)	2.000000	\N	3437805	4539989	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	2009-11-01	Det norske oljeselskap ASA (old)	2.000000	\N	3437805	4539989	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	2009-12-22	Det norske oljeselskap ASA (old)	2.000000	\N	3437805	4539989	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	2009-12-22	Statoil Petroleum AS	11.780000	\N	3437805	17237817	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	2010-01-01	Statoil Petroleum AS	11.780000	\N	3437805	17237817	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	2012-01-01	Statoil Petroleum AS	11.780000	\N	3437805	17237817	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	2012-07-05	Statoil Petroleum AS	11.780000	\N	3437805	17237817	2012-09-15	2013-05-08
ENOCH UNIT	2012-07-05	9999-12-31	Statoil Petroleum AS	11.780000	\N	3437805	17237817	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	2010-01-01	Det norske oljeselskap ASA	2.000000	\N	3437805	17342870	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	2012-01-01	Det norske oljeselskap ASA	2.000000	\N	3437805	17342870	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	2012-07-05	Det norske oljeselskap ASA	2.000000	\N	3437805	17342870	2012-09-15	2013-05-08
ENOCH UNIT	2012-07-05	9999-12-31	Det norske oljeselskap ASA	2.000000	\N	3437805	17342870	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	2012-01-01	Dana Petroleum (BVUK) Limited	12.000000	\N	3437805	20415896	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	2012-07-05	Dana Petroleum (BVUK) Limited	20.800000	\N	3437805	20415896	2012-09-15	2013-05-08
ENOCH UNIT	2012-07-05	9999-12-31	Dana Petroleum (BVUK) Limited	20.800000	\N	3437805	20415896	9999-12-31	2013-05-08
ENOCH UNIT	2012-07-05	9999-12-31	Noreco Norway AS	4.360000	\N	3437805	22223020	9999-12-31	2013-05-08
TYRIHANS UNIT	2005-06-23	2006-01-01	Norsk Hydro Produksjon AS	12.000000	\N	3488806	430	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-01	2006-01-02	Norsk Hydro Produksjon AS	12.000000	\N	3488806	430	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-02	2007-01-01	Norsk Hydro Produksjon AS	12.000000	\N	3488806	430	9999-12-31	2013-05-08
TYRIHANS UNIT	2005-06-23	2006-01-01	Mobil Development Norway AS	6.751800	\N	3488806	474	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-01	2006-01-02	Mobil Development Norway AS	11.754900	\N	3488806	474	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-02	2007-01-01	Mobil Development Norway AS	11.754900	\N	3488806	474	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-01-01	2007-10-01	Mobil Development Norway AS	11.754900	\N	3488806	474	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-10-01	2008-01-01	Mobil Development Norway AS	11.754900	\N	3488806	474	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-01	2008-01-02	Mobil Development Norway AS	11.754900	\N	3488806	474	9999-12-31	2013-05-08
TYRIHANS UNIT	2005-06-23	2006-01-01	Statoil ASA (old)	46.835100	\N	3488806	1622484	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-01	2006-01-02	Statoil ASA (old)	46.835100	\N	3488806	1622484	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-02	2007-01-01	Statoil ASA (old)	46.835100	\N	3488806	1622484	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	46.835100	\N	3488806	1622484	9999-12-31	2013-05-08
TYRIHANS UNIT	2005-06-23	2006-01-01	Eni Norge AS	7.900000	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-01	2006-01-02	Eni Norge AS	7.900000	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-02	2007-01-01	Eni Norge AS	6.229700	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-01-01	2007-10-01	Eni Norge AS	6.229700	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-10-01	2008-01-01	Eni Norge AS	6.229700	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-01	2008-01-02	Eni Norge AS	6.229700	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-02	2009-01-01	Eni Norge AS	6.229700	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-01-01	2009-11-01	Eni Norge AS	6.229700	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-11-01	2011-04-27	Eni Norge AS	6.229700	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2011-04-27	9999-12-31	Eni Norge AS	6.232200	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2005-06-23	2006-01-01	Total E&P Norge AS	26.513100	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-01	2006-01-02	Total E&P Norge AS	21.510000	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-02	2007-01-01	Total E&P Norge AS	23.180300	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-01-01	2007-10-01	Total E&P Norge AS	23.180300	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-10-01	2008-01-01	Total E&P Norge AS	23.180300	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-01	2008-01-02	Total E&P Norge AS	23.180300	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-02	2009-01-01	Total E&P Norge AS	23.180300	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	23.180300	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-11-01	2011-04-27	Total E&P Norge AS	23.180300	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2011-04-27	9999-12-31	Total E&P Norge AS	23.145400	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	11.754900	\N	3488806	2835212	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	11.754900	\N	3488806	2835212	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-11-01	2011-04-27	ExxonMobil Exploration & Production Norway AS	11.754900	\N	3488806	2835212	9999-12-31	2013-05-08
TYRIHANS UNIT	2011-04-27	9999-12-31	ExxonMobil Exploration & Production Norway AS	11.786900	\N	3488806	2835212	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	12.000000	\N	3488806	4511658	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	58.835100	\N	3488806	4511658	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-10-01	2008-01-01	StatoilHydro ASA	46.835100	\N	3488806	4511854	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-01	2008-01-02	StatoilHydro ASA	58.835100	\N	3488806	4511854	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-02	2009-01-01	StatoilHydro ASA	58.835100	\N	3488806	4511854	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	12.000000	\N	3488806	4524355	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-11-01	2011-04-27	Statoil Petroleum AS	58.835100	\N	3488806	17237817	9999-12-31	2013-05-08
TYRIHANS UNIT	2011-04-27	9999-12-31	Statoil Petroleum AS	58.835500	\N	3488806	17237817	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	2007-01-01	Norsk Hydro Produksjon AS	34.000000	\N	3500071	430	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	2007-01-01	Mobil Development Norway AS	4.700000	\N	3500071	474	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-01	2007-01-02	Mobil Development Norway AS	4.700000	\N	3500071	474	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-02	2007-10-01	Mobil Development Norway AS	4.700000	\N	3500071	474	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-10-01	2008-01-01	Mobil Development Norway AS	4.700000	\N	3500071	474	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	2007-01-01	Statoil ASA (old)	15.300000	\N	3500071	1622484	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-01	2007-01-02	Statoil ASA (old)	15.300000	\N	3500071	1622484	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-02	2007-10-01	Statoil ASA (old)	15.300000	\N	3500071	1622484	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	2007-01-01	Petoro AS	33.600000	\N	3500071	1626839	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-01	2007-01-02	Petoro AS	33.600000	\N	3500071	1626839	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-02	2007-10-01	Petoro AS	33.600000	\N	3500071	1626839	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-10-01	2008-01-01	Petoro AS	33.600000	\N	3500071	1626839	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2008-01-01	2009-01-01	Petoro AS	33.600000	\N	3500071	1626839	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-01-01	2009-11-01	Petoro AS	33.600000	\N	3500071	1626839	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-11-01	2012-01-01	Petoro AS	33.600000	\N	3500071	1626839	2012-12-06	2013-05-08
OSEBERG AREA UNIT	2012-01-01	9999-12-31	Petoro AS	33.600000	\N	3500071	1626839	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	2007-01-01	Norske ConocoPhillips AS	2.400000	\N	3500071	2399056	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-01	2007-01-02	Norske ConocoPhillips AS	2.400000	\N	3500071	2399056	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	2.400000	\N	3500071	2410696	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-10-01	2008-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	3500071	2410696	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2008-01-01	2009-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	3500071	2410696	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	2.400000	\N	3500071	2410696	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-11-01	2012-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	3500071	2410696	2012-12-06	2013-05-08
OSEBERG AREA UNIT	2012-01-01	9999-12-31	ConocoPhillips Skandinavia AS	2.400000	\N	3500071	2410696	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2004-06-16	2007-01-01	Total E&P Norge AS	10.000000	\N	3500071	2410708	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-01	2007-01-02	Total E&P Norge AS	10.000000	\N	3500071	2410708	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-02	2007-10-01	Total E&P Norge AS	10.000000	\N	3500071	2410708	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-10-01	2008-01-01	Total E&P Norge AS	10.000000	\N	3500071	2410708	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2008-01-01	2009-01-01	Total E&P Norge AS	10.000000	\N	3500071	2410708	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	10.000000	\N	3500071	2410708	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-11-01	2012-01-01	Total E&P Norge AS	10.000000	\N	3500071	2410708	2012-12-06	2013-05-08
OSEBERG AREA UNIT	2012-01-01	9999-12-31	Total E&P Norge AS	14.700000	\N	3500071	2410708	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	3500071	2835212	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	3500071	2835212	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-11-01	2012-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	3500071	2835212	2012-12-06	2013-05-08
OSEBERG AREA UNIT	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	34.000000	\N	3500071	4511658	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	34.000000	\N	3500071	4511658	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	49.300000	\N	3500071	4511658	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-10-01	2008-01-01	StatoilHydro ASA	15.300000	\N	3500071	4511854	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2008-01-01	2009-01-01	StatoilHydro ASA	15.300000	\N	3500071	4511854	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	34.000000	\N	3500071	4524355	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	34.000000	\N	3500071	4524355	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-11-01	2012-01-01	Statoil Petroleum AS	49.300000	\N	3500071	17237817	2012-12-06	2013-05-08
OSEBERG AREA UNIT	2012-01-01	9999-12-31	Statoil Petroleum AS	49.300000	\N	3500071	17237817	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2005-11-17	2007-01-01	Norsk Hydro Produksjon AS	11.700000	\N	3505593	430	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2005-11-17	2007-01-01	Statoil ASA (old)	3.120000	\N	3505593	1622484	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-01-01	2007-10-01	Statoil ASA (old)	3.120000	\N	3505593	1622484	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2005-11-17	2007-01-01	Petoro AS	7.800000	\N	3505593	1626839	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-01-01	2007-10-01	Petoro AS	7.800000	\N	3505593	1626839	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-10-01	2009-01-01	Petoro AS	7.800000	\N	3505593	1626839	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2009-01-01	2009-11-01	Petoro AS	7.800000	\N	3505593	1626839	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2009-11-01	2011-11-04	Petoro AS	7.800000	\N	3505593	1626839	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2005-11-17	2007-01-01	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505593	2835212	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505593	2835212	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505593	2835212	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505593	2835212	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2009-11-01	2011-11-04	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505593	2835212	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2011-11-04	9999-12-31	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505593	2835212	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2011-11-04	9999-12-31	Faroe Petroleum Norge AS	7.800000	\N	3505593	4062883	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	11.700000	\N	3505593	4511658	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	14.820000	\N	3505593	4511658	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	3.120000	\N	3505593	4511854	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	11.700000	\N	3505593	4524355	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2009-11-01	2011-11-04	Statoil Petroleum AS	14.820000	\N	3505593	17237817	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2011-11-04	9999-12-31	Statoil Petroleum AS	14.820000	\N	3505593	17237817	9999-12-31	2013-05-08
MARTIN LINGE UNIT	2005-09-07	2007-10-01	Statoil ASA (old)	21.000000	\N	3812119	1622484	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2005-09-07	2007-10-01	Petoro AS	30.000000	\N	3812119	1626839	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	3812119	1626839	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2009-01-01	2009-11-01	Petoro AS	30.000000	\N	3812119	1626839	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2009-11-01	2012-01-13	Petoro AS	30.000000	\N	3812119	1626839	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2012-01-13	9999-12-31	Petoro AS	30.000000	\N	3812119	1626839	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2005-09-07	2007-10-01	Total E&P Norge AS	49.000000	\N	3812119	2410708	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	49.000000	\N	3812119	2410708	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	49.000000	\N	3812119	2410708	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2009-11-01	2012-01-13	Total E&P Norge AS	49.000000	\N	3812119	2410708	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2012-01-13	9999-12-31	Total E&P Norge AS	51.000000	\N	3812119	2410708	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21.000000	\N	3812119	4511658	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	21.000000	\N	3812119	4511854	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2009-11-01	2012-01-13	Statoil Petroleum AS	21.000000	\N	3812119	17237817	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2012-01-13	9999-12-31	Statoil Petroleum AS	19.000000	\N	3812119	17237817	2012-06-13	2013-05-08
GIMLE UNIT	2006-06-22	2007-01-01	Norsk Hydro Produksjon AS	17.900000	\N	4007192	430	9999-12-31	2013-05-08
GIMLE UNIT	2006-06-22	2007-01-01	Statoil ASA (old)	47.233700	\N	4007192	1622484	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-01	2007-01-02	Statoil ASA (old)	47.233700	\N	4007192	1622484	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-02	2007-10-01	Statoil ASA (old)	47.233700	\N	4007192	1622484	9999-12-31	2013-05-08
GIMLE UNIT	2006-06-22	2007-01-01	Petoro AS	24.186300	\N	4007192	1626839	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-01	2007-01-02	Petoro AS	24.186300	\N	4007192	1626839	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-02	2007-10-01	Petoro AS	24.186300	\N	4007192	1626839	9999-12-31	2013-05-08
GIMLE UNIT	2007-10-01	2009-01-01	Petoro AS	24.186300	\N	4007192	1626839	9999-12-31	2013-05-08
GIMLE UNIT	2009-01-01	2009-11-01	Petoro AS	24.186300	\N	4007192	1626839	9999-12-31	2013-05-08
GIMLE UNIT	2009-11-01	9999-12-31	Petoro AS	24.186300	\N	4007192	1626839	9999-12-31	2013-05-08
GIMLE UNIT	2006-06-22	2007-01-01	Norske ConocoPhillips AS	5.785000	\N	4007192	2399056	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-01	2007-01-02	Norske ConocoPhillips AS	5.785000	\N	4007192	2399056	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	5.785000	\N	4007192	2410696	9999-12-31	2013-05-08
GIMLE UNIT	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	5.785000	\N	4007192	2410696	9999-12-31	2013-05-08
GIMLE UNIT	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	5.785000	\N	4007192	2410696	9999-12-31	2013-05-08
GIMLE UNIT	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	5.785000	\N	4007192	2410696	9999-12-31	2013-05-08
GIMLE UNIT	2006-06-22	2007-01-01	Total E&P Norge AS	4.895000	\N	4007192	2410708	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-01	2007-01-02	Total E&P Norge AS	4.895000	\N	4007192	2410708	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-02	2007-10-01	Total E&P Norge AS	4.895000	\N	4007192	2410708	9999-12-31	2013-05-08
GIMLE UNIT	2007-10-01	2009-01-01	Total E&P Norge AS	4.895000	\N	4007192	2410708	9999-12-31	2013-05-08
GIMLE UNIT	2009-01-01	2009-11-01	Total E&P Norge AS	4.895000	\N	4007192	2410708	9999-12-31	2013-05-08
GIMLE UNIT	2009-11-01	9999-12-31	Total E&P Norge AS	4.895000	\N	4007192	2410708	9999-12-31	2013-05-08
GIMLE UNIT	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	17.900000	\N	4007192	4511658	9999-12-31	2013-05-08
GIMLE UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	65.133700	\N	4007192	4511658	9999-12-31	2013-05-08
GIMLE UNIT	2007-10-01	2009-01-01	StatoilHydro ASA	47.233700	\N	4007192	4511854	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	17.900000	\N	4007192	4524355	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	17.900000	\N	4007192	4524355	9999-12-31	2013-05-08
GIMLE UNIT	2009-11-01	9999-12-31	Statoil Petroleum AS	65.133700	\N	4007192	17237817	9999-12-31	2013-05-08
SKARV UNIT	2007-06-28	2007-06-29	Mobil Development Norway AS	11.917500	\N	4468539	474	9999-12-31	2013-05-08
SKARV UNIT	2007-06-28	2007-06-29	Statoil ASA (old)	34.110000	\N	4468539	1622484	9999-12-31	2013-05-08
SKARV UNIT	2007-06-29	2007-06-30	Statoil ASA (old)	34.110000	\N	4468539	1622484	9999-12-31	2013-05-08
SKARV UNIT	2007-06-30	2007-10-01	Statoil ASA (old)	34.110000	\N	4468539	1622484	9999-12-31	2013-05-08
SKARV UNIT	2007-06-28	2007-06-29	Enterprise Oil Norge AS	28.082500	\N	4468539	1853786	9999-12-31	2013-05-08
SKARV UNIT	2007-06-29	2007-06-30	Enterprise Oil Norge AS	28.082500	\N	4468539	1853786	9999-12-31	2013-05-08
SKARV UNIT	2007-06-28	2007-06-29	BP Norge AS	23.835000	\N	4468539	2052695	9999-12-31	2013-05-08
SKARV UNIT	2007-06-29	2007-06-30	BP Norge AS	23.835000	\N	4468539	2052695	9999-12-31	2013-05-08
SKARV UNIT	2007-06-30	2007-10-01	BP Norge AS	23.835000	\N	4468539	2052695	9999-12-31	2013-05-08
SKARV UNIT	2007-10-01	2008-01-01	BP Norge AS	23.835000	\N	4468539	2052695	9999-12-31	2013-05-08
SKARV UNIT	2008-01-01	2009-01-01	BP Norge AS	23.835000	\N	4468539	2052695	9999-12-31	2013-05-08
SKARV UNIT	2009-01-01	2009-11-01	BP Norge AS	23.835000	\N	4468539	2052695	9999-12-31	2013-05-08
SKARV UNIT	2009-11-01	2012-02-11	BP Norge AS	23.835000	\N	4468539	2052695	9999-12-31	2013-05-08
SKARV UNIT	2012-02-11	9999-12-31	BP Norge AS	23.835000	\N	4468539	2052695	9999-12-31	2013-05-08
SKARV UNIT	2007-06-30	2007-10-01	E.ON Ruhrgas Norge AS	28.082500	\N	4468539	2840522	9999-12-31	2013-05-08
SKARV UNIT	2007-10-01	2008-01-01	E.ON Ruhrgas Norge AS	28.082500	\N	4468539	2840522	9999-12-31	2013-05-08
SKARV UNIT	2008-01-01	2009-01-01	E.ON Ruhrgas Norge AS	28.082500	\N	4468539	2840522	9999-12-31	2013-05-08
SKARV UNIT	2009-01-01	2009-11-01	E.ON Ruhrgas Norge AS	28.082500	\N	4468539	2840522	9999-12-31	2013-05-08
SKARV UNIT	2009-11-01	2012-02-11	E.ON Ruhrgas Norge AS	28.082500	\N	4468539	2840522	9999-12-31	2013-05-08
SKARV UNIT	2007-06-29	2007-06-30	PGNiG Norway AS	11.917500	\N	4468539	4505831	9999-12-31	2013-05-08
SKARV UNIT	2007-06-30	2007-10-01	PGNiG Norway AS	11.917500	\N	4468539	4505831	9999-12-31	2013-05-08
SKARV UNIT	2007-10-01	2008-01-01	PGNiG Norway AS	11.917500	\N	4468539	4505831	9999-12-31	2013-05-08
SKARV UNIT	2008-01-01	2009-01-01	PGNiG Norway AS	11.917500	\N	4468539	4505831	9999-12-31	2013-05-08
SKARV UNIT	2009-01-01	2009-11-01	PGNiG Norway AS	11.917500	\N	4468539	4505831	9999-12-31	2013-05-08
SKARV UNIT	2009-11-01	2012-02-11	PGNiG Norway AS	11.917500	\N	4468539	4505831	9999-12-31	2013-05-08
SKARV UNIT	2012-02-11	9999-12-31	PGNiG Norway AS	11.917500	\N	4468539	4505831	9999-12-31	2013-05-08
SKARV UNIT	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	2.055000	\N	4468539	4511658	9999-12-31	2013-05-08
SKARV UNIT	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	36.165000	\N	4468539	4511658	9999-12-31	2013-05-08
SKARV UNIT	2007-10-01	2008-01-01	StatoilHydro ASA	34.110000	\N	4468539	4511854	9999-12-31	2013-05-08
SKARV UNIT	2008-01-01	2009-01-01	StatoilHydro ASA	36.165000	\N	4468539	4511854	9999-12-31	2013-05-08
SKARV UNIT	2007-06-28	2007-06-29	Norsk Hydro Petroleum AS	2.055000	\N	4468539	4524355	9999-12-31	2013-05-08
SKARV UNIT	2007-06-29	2007-06-30	Norsk Hydro Petroleum AS	2.055000	\N	4468539	4524355	9999-12-31	2013-05-08
SKARV UNIT	2007-06-30	2007-10-01	Norsk Hydro Petroleum AS	2.055000	\N	4468539	4524355	9999-12-31	2013-05-08
SKARV UNIT	2009-11-01	2012-02-11	Statoil Petroleum AS	36.165000	\N	4468539	17237817	9999-12-31	2013-05-08
SKARV UNIT	2012-02-11	9999-12-31	Statoil Petroleum AS	36.165000	\N	4468539	17237817	9999-12-31	2013-05-08
SKARV UNIT	2012-02-11	9999-12-31	E.ON E&P Norge AS	28.082500	\N	4468539	21631209	9999-12-31	2013-05-08
TAMBAR ØST UNIT	2006-01-01	9999-12-31	Norske AEDC A/S	0.800000	\N	4999504	34	9999-12-31	2013-05-08
TAMBAR ØST UNIT	2006-01-01	9999-12-31	BP Norge AS	46.200000	\N	4999504	2052695	9999-12-31	2013-05-08
TAMBAR ØST UNIT	2006-01-01	9999-12-31	Talisman Energy Norge AS	9.760000	\N	4999504	2425093	9999-12-31	2013-05-08
TAMBAR ØST UNIT	2006-01-01	9999-12-31	DONG E&P Norge AS	43.240000	\N	4999504	4070011	9999-12-31	2013-05-08
VALEMON UNIT	2010-09-27	2012-01-13	Petoro AS	30.000000	\N	18403644	1626839	9999-12-31	2013-05-08
VALEMON UNIT	2012-01-13	2012-04-30	Petoro AS	30.000000	\N	18403644	1626839	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	18403644	1626839	9999-12-31	2013-05-08
VALEMON UNIT	2010-09-27	2012-01-13	Enterprise Oil Norge AS	3.225000	\N	18403644	1853786	9999-12-31	2013-05-08
VALEMON UNIT	2012-01-13	2012-04-30	Enterprise Oil Norge AS	3.225000	\N	18403644	1853786	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-30	9999-12-31	Enterprise Oil Norge AS	3.225000	\N	18403644	1853786	9999-12-31	2013-05-08
VALEMON UNIT	2010-09-27	2012-01-13	Total E&P Norge AS	2.500000	\N	18403644	2410708	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	13.000000	\N	18403644	4238233	9999-12-31	2013-05-08
VALEMON UNIT	2010-09-27	2012-01-13	Statoil Petroleum AS	64.275000	\N	18403644	17237817	9999-12-31	2013-05-08
VALEMON UNIT	2012-01-13	2012-04-30	Statoil Petroleum AS	66.775000	\N	18403644	17237817	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-30	9999-12-31	Statoil Petroleum AS	53.775000	\N	18403644	17237817	9999-12-31	2013-05-08
VEGA UNIT	2011-03-01	9999-12-31	Idemitsu Petroleum Norge AS	6.000000	\N	20459640	441	9999-12-31	2013-05-08
VEGA UNIT	2011-03-01	9999-12-31	Petoro AS	24.000000	\N	20459640	1626839	9999-12-31	2013-05-08
VEGA UNIT	2011-03-01	9999-12-31	Bayerngas Norge AS	10.000000	\N	20459640	4444493	9999-12-31	2013-05-08
VEGA UNIT	2011-03-01	9999-12-31	GDF SUEZ E&P Norge AS	6.000000	\N	20459640	5267845	9999-12-31	2013-05-08
VEGA UNIT	2011-03-01	9999-12-31	Statoil Petroleum AS	54.000000	\N	20459640	17237817	9999-12-31	2013-05-08
JETTE UNIT	2012-01-05	2012-01-06	Petoro AS	12.000000	\N	21077388	1626839	2012-11-13	2013-05-08
JETTE UNIT	2012-01-06	9999-12-31	Petoro AS	30.000000	\N	21077388	1626839	9999-12-31	2013-05-08
JETTE UNIT	2012-01-05	2012-01-06	Det norske oljeselskap ASA	88.000000	\N	21077388	17342870	2012-11-13	2013-05-08
JETTE UNIT	2012-01-06	9999-12-31	Det norske oljeselskap ASA	70.000000	\N	21077388	17342870	9999-12-31	2013-05-08
\.



COPY bsns_arr_area_operator (baaname, cmplongname, baanpdidbsnsarrarea, cmpnpdidcompany, baaoperatordateupdated, datesyncnpd) FROM stdin;
BRAGE UNIT	Statoil Petroleum AS	40432	17237817	9999-12-31	2013-05-08
HEIDRUN UNIT	Statoil Petroleum AS	40490	17237817	9999-12-31	2013-05-08
ÅSGARD UNIT	Statoil Petroleum AS	40564	17237817	9999-12-31	2013-05-08
NJORD UNIT	Statoil Petroleum AS	40585	17237817	9999-12-31	2013-05-08
JOTUN UNIT	ExxonMobil Exploration & Production Norway AS	40655	2835212	9999-12-31	2013-05-08
NORNE INSIDE	Statoil Petroleum AS	40672	17237817	9999-12-31	2013-05-08
VISUND INSIDE	Statoil Petroleum AS	40726	17237817	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	Statoil Petroleum AS	40848	17237817	9999-12-31	2013-05-08
SNORRE UNIT	Statoil Petroleum AS	40906	17237817	9999-12-31	2013-05-08
TROLL UNIT	Statoil Petroleum AS	41105	17237817	9999-12-31	2013-05-08
HULDRA UNIT	Statoil Petroleum AS	41189	17237817	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	Statoil Petroleum AS	41211	17237817	9999-12-31	2013-05-08
STATFJORD ØST UNIT	Statoil Petroleum AS	41233	17237817	9999-12-31	2013-05-08
TOMMELITEN UNIT	ConocoPhillips Skandinavia AS	41411	2410696	9999-12-31	2013-05-08
VALHALL UNIT	BP Norge AS	41657	2052695	9999-12-31	2013-05-08
STATFJORD UNIT	Statoil Petroleum AS	41686	17237817	9999-12-31	2013-05-08
MURCHISON UNIT	CNR International (UK) Limited	42302	2385943	9999-12-31	2013-05-08
FRIGG UNIT	Total E&P Norge AS	45634	2410708	9999-12-31	2013-05-08
TOR UNIT	ConocoPhillips Skandinavia AS	45891	2410696	9999-12-31	2013-05-08
SYGNA UNIT	Statoil Petroleum AS	96205	17237817	9999-12-31	2013-05-08
GRANE UNIT	Statoil Petroleum AS	1031365	17237817	9999-12-31	2013-05-08
SNØHVIT UNIT	Statoil Petroleum AS	1333943	17237817	9999-12-31	2013-05-08
MIKKEL UNIT	Statoil Petroleum AS	1629477	17237817	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	Statoil Petroleum AS	1854695	17237817	9999-12-31	2013-05-08
ORMEN LANGE UNIT	A/S Norske Shell	2588637	562	9999-12-31	2013-05-08
BLANE UNIT	Talisman Energy Norge AS	3437667	2425093	9999-12-31	2013-05-08
ENOCH UNIT	Talisman North Sea Limited	3437805	4462398	9999-12-31	2013-05-08
TYRIHANS UNIT	Statoil Petroleum AS	3488806	17237817	9999-12-31	2013-05-08
OSEBERG AREA UNIT	Statoil Petroleum AS	3500071	17237817	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	ExxonMobil Exploration & Production Norway AS	3505593	2835212	9999-12-31	2013-05-08
MARTIN LINGE UNIT	Total E&P Norge AS	3812119	2410708	9999-12-31	2013-05-08
GIMLE UNIT	Statoil Petroleum AS	4007192	17237817	9999-12-31	2013-05-08
SKARV UNIT	BP Norge AS	4468539	2052695	9999-12-31	2013-05-08
TAMBAR ØST UNIT	BP Norge AS	4999504	2052695	9999-12-31	2013-05-08
VALEMON UNIT	Statoil Petroleum AS	18403644	17237817	9999-12-31	2013-05-08
VEGA UNIT	Statoil Petroleum AS	20459640	17237817	9999-12-31	2013-05-08
JETTE UNIT	Det norske oljeselskap ASA	21077388	17342870	9999-12-31	2013-05-08
\.



COPY bsns_arr_area_transfer_hst (baaname, baatransferdatevalidfrom, baatransferdirection, baatransferkind, cmplongname, baatransferredinterest, baatransfersdfi, baanpdidbsnsarrarea, cmpnpdidcompany, baatransferdateupdated, datesyncnpd) FROM stdin;
BRAGE UNIT	1999-01-01	FROM	\N	Elf Petroleum Norge AS	0.666400	\N	40432	298	9999-12-31	2013-05-08
BRAGE UNIT	2004-01-01	FROM	\N	Esso Exploration and Production Norway A/S	2.500000	\N	40432	353	9999-12-31	2013-05-08
BRAGE UNIT	2004-10-01	FROM	\N	Esso Exploration and Production Norway A/S	13.843400	\N	40432	353	9999-12-31	2013-05-08
BRAGE UNIT	2002-01-01	FROM	\N	Norsk Hydro Produksjon AS	4.442400	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	20.000000	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	1999-01-01	FROM	\N	Mobil Development Norway AS	0.499800	\N	40432	474	9999-12-31	2013-05-08
BRAGE UNIT	1999-04-13	FROM	\N	Neste Petroleum AS	12.257500	\N	40432	496	9999-12-31	2013-05-08
BRAGE UNIT	1999-01-01	FROM	\N	Saga Petroleum ASA	0.524800	\N	40432	716	9999-12-31	2013-05-08
BRAGE UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	46.956700	\N	40432	749	9999-12-31	2013-05-08
BRAGE UNIT	1999-01-01	FROM	\N	Total Norge AS	0.333200	\N	40432	848	9999-12-31	2013-05-08
BRAGE UNIT	2003-03-04	FROM	\N	Fortum Petroleum AS	12.257500	\N	40432	102714	9999-12-31	2013-05-08
BRAGE UNIT	2006-03-22	FROM	\N	Paladin Resources Norge AS	20.000000	\N	40432	1577943	9999-12-31	2013-05-08
BRAGE UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2001-06-17	FROM	\N	SDØE	34.256700	\N	40432	1623450	9999-12-31	2013-05-08
BRAGE UNIT	2002-03-19	FROM	\N	Petoro AS	20.000000	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2011-01-01	FROM	TRANSFER	Petoro AS	14.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-10	FROM	\N	OER Oil AS	4.442400	\N	40432	2258813	9999-12-31	2013-05-08
BRAGE UNIT	2006-01-01	FROM	\N	Eni Norge AS	12.257500	\N	40432	2388594	9999-12-31	2013-05-08
BRAGE UNIT	2005-05-04	FROM	\N	Revus Energy AS	2.500000	\N	40432	2455850	9999-12-31	2013-05-08
BRAGE UNIT	2006-11-28	FROM	\N	Altinex Oil AS	12.257500	\N	40432	2835200	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-01	FROM	\N	ExxonMobil Exploration & Production Norway AS	13.843400	\N	40432	2835212	9999-12-31	2013-05-08
BRAGE UNIT	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	2.500000	\N	40432	3431773	9999-12-31	2013-05-08
BRAGE UNIT	2006-10-13	FROM	\N	Talisman Resources Norge AS	20.000000	\N	40432	3987574	9999-12-31	2013-05-08
BRAGE UNIT	2011-07-01	FROM	TRANSFER	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	32.700000	\N	40432	4511658	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	12.700000	\N	40432	4511854	9999-12-31	2013-05-08
BRAGE UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	20.000000	\N	40432	4524355	9999-12-31	2013-05-08
BRAGE UNIT	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	2.500000	\N	40432	5072514	9999-12-31	2013-05-08
BRAGE UNIT	2010-01-01	FROM	TRANSFER	Wintershall Norge ASA	2.500000	\N	40432	5442509	9999-12-31	2013-05-08
BRAGE UNIT	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	4.442400	\N	40432	5497155	9999-12-31	2013-05-08
BRAGE UNIT	1999-01-01	TO	\N	Norsk Hydro Produksjon AS	2.024200	\N	40432	430	9999-12-31	2013-05-08
BRAGE UNIT	1999-04-13	TO	\N	Fortum Petroleum AS	12.257500	\N	40432	102714	9999-12-31	2013-05-08
BRAGE UNIT	2002-03-19	TO	\N	Paladin Resources Norge AS	20.000000	\N	40432	1577943	9999-12-31	2013-05-08
BRAGE UNIT	2001-05-10	TO	\N	Statoil ASA (old)	12.700000	\N	40432	1622484	9999-12-31	2013-05-08
BRAGE UNIT	2001-05-10	TO	\N	SDØE	34.256700	\N	40432	1623450	9999-12-31	2013-05-08
BRAGE UNIT	2001-06-17	TO	\N	Petoro AS	34.256700	\N	40432	1626839	9999-12-31	2013-05-08
BRAGE UNIT	2002-01-01	TO	\N	OER Oil AS	4.442400	\N	40432	2258813	9999-12-31	2013-05-08
BRAGE UNIT	2003-03-04	TO	\N	Eni Norge AS	12.257500	\N	40432	2388594	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-01	TO	\N	Talisman Energy Norge AS	13.843400	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2006-10-13	TO	\N	Talisman Energy Norge AS	20.000000	\N	40432	2425093	9999-12-31	2013-05-08
BRAGE UNIT	2004-01-01	TO	\N	Revus Energy AS	2.500000	\N	40432	2455850	9999-12-31	2013-05-08
BRAGE UNIT	2006-01-01	TO	\N	Altinex Oil AS	12.257500	\N	40432	2835200	9999-12-31	2013-05-08
BRAGE UNIT	2004-10-01	TO	\N	ExxonMobil Exploration & Production Norway AS	13.843400	\N	40432	2835212	9999-12-31	2013-05-08
BRAGE UNIT	2005-01-10	TO	\N	Endeavour Energy Norge AS	4.442400	\N	40432	3113213	9999-12-31	2013-05-08
BRAGE UNIT	2005-05-04	TO	\N	Revus Energy ASA	2.500000	\N	40432	3431773	9999-12-31	2013-05-08
BRAGE UNIT	2006-03-22	TO	\N	Talisman Resources Norge AS	20.000000	\N	40432	3987574	9999-12-31	2013-05-08
BRAGE UNIT	2011-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	14.256700	\N	40432	4062883	9999-12-31	2013-05-08
BRAGE UNIT	2006-11-28	TO	\N	Altinex Oil Norway AS	12.257500	\N	40432	4446230	9999-12-31	2013-05-08
BRAGE UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	20.000000	\N	40432	4511658	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	12.700000	\N	40432	4511658	9999-12-31	2013-05-08
BRAGE UNIT	2007-10-01	TO	\N	StatoilHydro ASA	12.700000	\N	40432	4511854	9999-12-31	2013-05-08
BRAGE UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	20.000000	\N	40432	4524355	9999-12-31	2013-05-08
BRAGE UNIT	2010-01-01	TO	TRANSFER	Spring Energy Norway AS	2.500000	\N	40432	5072514	9999-12-31	2013-05-08
BRAGE UNIT	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	2.500000	\N	40432	5442509	9999-12-31	2013-05-08
BRAGE UNIT	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	4.442400	\N	40432	5497155	9999-12-31	2013-05-08
BRAGE UNIT	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	4.442400	\N	40432	17237193	9999-12-31	2013-05-08
BRAGE UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	32.700000	\N	40432	17237817	9999-12-31	2013-05-08
BRAGE UNIT	2011-07-01	TO	TRANSFER	Core Energy AS	12.257500	\N	40432	20460080	9999-12-31	2013-05-08
BRAGE UNIT	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	2.500000	\N	40432	23173852	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-22	FROM	\N	Norske Conoco A/S	24.292510	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	1992-08-14	FROM	\N	DNO Olje A/S	0.625000	\N	40490	276	9999-12-31	2013-05-08
HEIDRUN UNIT	1995-03-06	FROM	\N	DNO Olje A/S	0.625000	\N	40490	276	9999-12-31	2013-05-08
HEIDRUN UNIT	1993-12-13	FROM	\N	Norsk Hydro Produksjon AS	1.250000	\N	40490	430	9999-12-31	2013-05-08
HEIDRUN UNIT	1999-04-13	FROM	\N	Neste Petroleum AS	5.000000	\N	40490	496	9999-12-31	2013-05-08
HEIDRUN UNIT	1993-12-13	FROM	\N	Norminol AS	0.625000	\N	40490	529	9999-12-31	2013-05-08
HEIDRUN UNIT	1995-06-22	FROM	\N	Saga Petroleum ASA	0.625000	\N	40490	716	9999-12-31	2013-05-08
HEIDRUN UNIT	2000-01-01	FROM	\N	Den norske stats oljeselskap a.s	0.844530	0.844530	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	76.586850	\N	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-04	FROM	\N	Fortum Petroleum AS	5.120640	\N	40490	102714	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-06-11	FROM	\N	Statoil ASA (old)	0.025700	\N	40490	1622484	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	12.405680	\N	40490	1622484	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-06-17	FROM	\N	SDØE	64.155470	\N	40490	1623450	9999-12-31	2013-05-08
HEIDRUN UNIT	2002-03-19	FROM	\N	Petoro AS	6.000000	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-06-11	FROM	\N	Eni Norge AS	0.001270	\N	40490	2388594	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-01-02	FROM	\N	Norske ConocoPhillips AS	24.310550	\N	40490	2399056	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	12.405680	\N	40490	4511658	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	12.405680	\N	40490	4511854	9999-12-31	2013-05-08
HEIDRUN UNIT	2000-01-01	TO	\N	Norske Conoco A/S	0.167510	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	2002-03-19	TO	\N	Norske Conoco A/S	6.000000	\N	40490	221	9999-12-31	2013-05-08
HEIDRUN UNIT	1993-12-13	TO	\N	DNO Olje A/S	0.625000	\N	40490	276	9999-12-31	2013-05-08
HEIDRUN UNIT	1992-08-14	TO	\N	Norminol AS	0.625000	\N	40490	529	9999-12-31	2013-05-08
HEIDRUN UNIT	1995-03-06	TO	\N	Saga Petroleum ASA	0.625000	\N	40490	716	9999-12-31	2013-05-08
HEIDRUN UNIT	1993-12-13	TO	\N	Den norske stats oljeselskap a.s	1.250000	\N	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	1995-06-22	TO	\N	Den norske stats oljeselskap a.s	0.625000	\N	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	2000-01-01	TO	\N	Den norske stats oljeselskap a.s	0.556380	\N	40490	749	9999-12-31	2013-05-08
HEIDRUN UNIT	1999-04-13	TO	\N	Fortum Petroleum AS	5.000000	\N	40490	102714	9999-12-31	2013-05-08
HEIDRUN UNIT	2000-01-01	TO	\N	Fortum Petroleum AS	0.120640	\N	40490	102714	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-05-10	TO	\N	Statoil ASA (old)	12.431380	\N	40490	1622484	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-05-10	TO	\N	SDØE	64.155470	\N	40490	1623450	9999-12-31	2013-05-08
HEIDRUN UNIT	2001-06-17	TO	\N	Petoro AS	64.155470	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-06-11	TO	\N	Petoro AS	0.008930	\N	40490	1626839	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-04	TO	\N	Eni Norge AS	5.120640	\N	40490	2388594	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-03-22	TO	\N	Norske ConocoPhillips AS	24.292510	\N	40490	2399056	9999-12-31	2013-05-08
HEIDRUN UNIT	2003-06-11	TO	\N	Norske ConocoPhillips AS	0.018040	\N	40490	2399056	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-01-02	TO	\N	ConocoPhillips Skandinavia AS	24.310550	\N	40490	2410696	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	12.405680	\N	40490	4511658	9999-12-31	2013-05-08
HEIDRUN UNIT	2007-10-01	TO	\N	StatoilHydro ASA	12.405680	\N	40490	4511854	9999-12-31	2013-05-08
HEIDRUN UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	12.405680	\N	40490	17237817	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-12-31	FROM	\N	Norsk Agip  AS	7.900000	\N	40564	45	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	9.610000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	FROM	\N	Mobil Development Norway AS	0.110000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-02	FROM	\N	Mobil Development Norway AS	7.240000	\N	40564	474	9999-12-31	2013-05-08
ÅSGARD UNIT	1999-04-13	FROM	\N	Neste Petroleum AS	7.000000	\N	40564	496	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-01-11	FROM	\N	Saga Petroleum ASA	7.000000	\N	40564	716	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	60.500000	\N	40564	749	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-12-18	FROM	\N	Total Norge AS	7.650000	\N	40564	848	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-03-04	FROM	\N	Fortum Petroleum AS	7.000000	\N	40564	102714	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	7.650000	\N	40564	1340884	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	FROM	\N	Statoil ASA (old)	0.040000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	24.960000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-01	FROM	\N	SDØE	11.450000	\N	40564	1623450	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-17	FROM	\N	SDØE	35.500000	\N	40564	1623450	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	FROM	\N	Eni Norge AS	0.080000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-01	FROM	\N	StatoilHydro Petroleum AS	9.610000	\N	40564	4511658	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	34.570000	\N	40564	4511658	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	34.570000	\N	40564	4511854	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	9.610000	\N	40564	4524355	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	7.000000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	TO	\N	Norsk Hydro Produksjon AS	0.010000	\N	40564	430	9999-12-31	2013-05-08
ÅSGARD UNIT	1999-04-13	TO	\N	Fortum Petroleum AS	7.000000	\N	40564	102714	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-12-18	TO	\N	TotalFinaElf Exploration Norge AS	7.650000	\N	40564	1340884	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-05-10	TO	\N	Statoil ASA (old)	13.550000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-01	TO	\N	Statoil ASA (old)	11.450000	\N	40564	1622484	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-05-10	TO	\N	SDØE	46.950000	\N	40564	1623450	9999-12-31	2013-05-08
ÅSGARD UNIT	2001-06-17	TO	\N	Petoro AS	35.500000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	TO	\N	Petoro AS	0.190000	\N	40564	1626839	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-03-04	TO	\N	Eni Norge AS	7.000000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-12-31	TO	\N	Eni Norge AS	7.900000	\N	40564	2388594	9999-12-31	2013-05-08
ÅSGARD UNIT	2003-05-06	TO	\N	Total E&P Norge AS	7.650000	\N	40564	2410708	9999-12-31	2013-05-08
ÅSGARD UNIT	2006-08-01	TO	\N	Total E&P Norge AS	0.030000	\N	40564	2410708	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-02	TO	\N	ExxonMobil Exploration & Production Norway AS	7.240000	\N	40564	2835212	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	9.610000	\N	40564	4511658	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	34.570000	\N	40564	4511658	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-10-01	TO	\N	StatoilHydro ASA	24.960000	\N	40564	4511854	9999-12-31	2013-05-08
ÅSGARD UNIT	2008-01-01	TO	\N	StatoilHydro ASA	9.610000	\N	40564	4511854	9999-12-31	2013-05-08
ÅSGARD UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	9.610000	\N	40564	4524355	9999-12-31	2013-05-08
ÅSGARD UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	34.570000	\N	40564	17237817	9999-12-31	2013-05-08
NJORD UNIT	2003-03-22	FROM	\N	Norske Conoco A/S	15.000000	\N	40585	221	9999-12-31	2013-05-08
NJORD UNIT	1995-04-05	FROM	\N	Deminex Norge AS	1.500000	\N	40585	254	9999-12-31	2013-05-08
NJORD UNIT	1996-01-01	FROM	\N	Norsk Hydro Produksjon AS	7.500000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2002-01-01	FROM	\N	Norsk Hydro Produksjon AS	2.500000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	20.000000	\N	40585	430	9999-12-31	2013-05-08
NJORD UNIT	2008-01-01	FROM	\N	Mobil Development Norway AS	20.000000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	2001-01-23	FROM	\N	Petro-Canada Norge AS (old)	7.500000	\N	40585	628	9999-12-31	2013-05-08
NJORD UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	30.000000	30.000000	40585	749	9999-12-31	2013-05-08
NJORD UNIT	2001-06-06	FROM	\N	Den norske stats oljeselskap a.s	20.000000	\N	40585	749	9999-12-31	2013-05-08
NJORD UNIT	2005-01-01	FROM	TRANSFER	Paladin Resources Norge AS	15.000000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2001-06-17	FROM	\N	SDØE	30.000000	\N	40585	1623450	9999-12-31	2013-05-08
NJORD UNIT	2002-03-19	FROM	\N	Petoro AS	22.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2011-01-02	FROM	TRANSFER	Petoro AS	7.500000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2005-01-10	FROM	\N	OER Oil AS	2.500000	\N	40585	2258813	9999-12-31	2013-05-08
NJORD UNIT	2003-12-01	FROM	\N	Norske ConocoPhillips AS	15.000000	\N	40585	2399056	9999-12-31	2013-05-08
NJORD UNIT	2004-07-05	FROM	\N	Ruhrgas Norge AS	15.000000	\N	40585	2489913	9999-12-31	2013-05-08
NJORD UNIT	2011-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	20.000000	\N	40585	2835212	9999-12-31	2013-05-08
NJORD UNIT	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	30.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	2.500000	\N	40585	3113213	9999-12-31	2013-05-08
NJORD UNIT	2008-11-01	FROM	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	40585	4511658	9999-12-31	2013-05-08
NJORD UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	40585	4511658	9999-12-31	2013-05-08
NJORD UNIT	2009-01-02	FROM	MERGER/TAKEOVER	StatoilHydro ASA	20.000000	\N	40585	4511854	9999-12-31	2013-05-08
NJORD UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	20.000000	\N	40585	4524355	9999-12-31	2013-05-08
NJORD UNIT	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	40585	5497155	9999-12-31	2013-05-08
NJORD UNIT	2002-03-19	TO	\N	Norske Conoco A/S	15.000000	\N	40585	221	9999-12-31	2013-05-08
NJORD UNIT	1995-04-05	TO	\N	Mobil Development Norway AS	1.500000	\N	40585	474	9999-12-31	2013-05-08
NJORD UNIT	1996-01-01	TO	\N	Petro-Canada Norge AS (old)	7.500000	\N	40585	628	9999-12-31	2013-05-08
NJORD UNIT	2001-01-23	TO	\N	Paladin Resources Norge AS	7.500000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2002-03-19	TO	\N	Paladin Resources Norge AS	7.500000	\N	40585	1577943	9999-12-31	2013-05-08
NJORD UNIT	2001-05-10	TO	\N	SDØE	30.000000	\N	40585	1623450	9999-12-31	2013-05-08
NJORD UNIT	2001-06-17	TO	\N	Petoro AS	30.000000	\N	40585	1626839	9999-12-31	2013-05-08
NJORD UNIT	2001-06-06	TO	\N	Gaz de France Norge AS	20.000000	\N	40585	1628733	9999-12-31	2013-05-08
NJORD UNIT	2002-01-01	TO	\N	OER Oil AS	2.500000	\N	40585	2258813	9999-12-31	2013-05-08
NJORD UNIT	2003-03-22	TO	\N	Norske ConocoPhillips AS	15.000000	\N	40585	2399056	9999-12-31	2013-05-08
NJORD UNIT	2003-12-01	TO	\N	Ruhrgas Norge AS	15.000000	\N	40585	2489913	9999-12-31	2013-05-08
NJORD UNIT	2008-01-01	TO	\N	ExxonMobil Exploration & Production Norway AS	20.000000	\N	40585	2835212	9999-12-31	2013-05-08
NJORD UNIT	2004-07-05	TO	\N	E.ON Ruhrgas Norge AS	15.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2005-01-01	TO	TRANSFER	E.ON Ruhrgas Norge AS	15.000000	\N	40585	2840522	9999-12-31	2013-05-08
NJORD UNIT	2005-01-10	TO	\N	Endeavour Energy Norge AS	2.500000	\N	40585	3113213	9999-12-31	2013-05-08
NJORD UNIT	2011-01-02	TO	TRANSFER	Faroe Petroleum Norge AS	7.500000	\N	40585	4062883	9999-12-31	2013-05-08
NJORD UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	20.000000	\N	40585	4511658	9999-12-31	2013-05-08
NJORD UNIT	2009-01-02	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	20.000000	\N	40585	4511658	9999-12-31	2013-05-08
NJORD UNIT	2008-11-01	TO	TRANSFER	StatoilHydro ASA	20.000000	\N	40585	4511854	9999-12-31	2013-05-08
NJORD UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	20.000000	\N	40585	4524355	9999-12-31	2013-05-08
NJORD UNIT	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	20.000000	\N	40585	5267845	9999-12-31	2013-05-08
NJORD UNIT	2011-01-01	TO	TRANSFER	GDF SUEZ E&P Norge AS	20.000000	\N	40585	5267845	9999-12-31	2013-05-08
NJORD UNIT	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	40585	5497155	9999-12-31	2013-05-08
NJORD UNIT	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	2.500000	\N	40585	17237193	9999-12-31	2013-05-08
NJORD UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	40585	17237817	9999-12-31	2013-05-08
NJORD UNIT	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	30.000000	\N	40585	21631209	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-10-01	FROM	\N	Norske Conoco A/S	5.300000	\N	40638	221	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-03-22	FROM	\N	Norske Conoco A/S	2.400000	\N	40638	221	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-01-11	FROM	\N	Saga Petroleum ASA	10.140000	\N	40638	716	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	56.580000	\N	40638	749	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	10.000000	\N	40638	1340884	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-10-01	FROM	\N	Statoil ASA (old)	2.920000	\N	40638	1622484	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-06-17	FROM	\N	SDØE	38.360000	\N	40638	1623450	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-03-19	FROM	\N	Petoro AS	11.980000	\N	40638	1626839	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-12-01	FROM	\N	Petoro AS	1.000000	\N	40638	1626839	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	10.140000	\N	40638	430	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-03-19	TO	\N	Norsk Hydro Produksjon AS	1.980000	\N	40638	430	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-12-01	TO	\N	Mobil Development Norway AS	1.000000	\N	40638	474	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-03-19	TO	\N	TotalFinaElf Exploration Norge AS	10.000000	\N	40638	1340884	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-05-10	TO	\N	Statoil ASA (old)	18.220000	\N	40638	1622484	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-05-10	TO	\N	SDØE	38.360000	\N	40638	1623450	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2001-06-17	TO	\N	Petoro AS	38.360000	\N	40638	1626839	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2002-10-01	TO	\N	Petoro AS	8.220000	\N	40638	1626839	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-03-22	TO	\N	Norske ConocoPhillips AS	2.400000	\N	40638	2399056	9999-12-31	2013-05-08
OSEBERG SØR UNIT	2003-05-06	TO	\N	Total E&P Norge AS	10.000000	\N	40638	2410708	9999-12-31	2013-05-08
JOTUN UNIT	2000-11-23	FROM	\N	Amerada Hess Norge AS	1.250000	\N	40655	67	9999-12-31	2013-05-08
JOTUN UNIT	2002-01-01	FROM	\N	Norske Conoco A/S	3.750000	\N	40655	221	9999-12-31	2013-05-08
JOTUN UNIT	2001-12-31	FROM	\N	Enterprise Oil Norwegian AS	45.000000	\N	40655	342	9999-12-31	2013-05-08
JOTUN UNIT	2004-10-01	FROM	\N	Esso Exploration and Production Norway A/S	45.000000	\N	40655	353	9999-12-31	2013-05-08
JOTUN UNIT	2001-01-01	FROM	\N	Den norske stats oljeselskap a.s	2.000000	\N	40655	749	9999-12-31	2013-05-08
JOTUN UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	3.000000	\N	40655	749	9999-12-31	2013-05-08
JOTUN UNIT	2004-01-01	FROM	\N	Det Norske Oljeselskap AS	7.000000	\N	40655	1340609	9999-12-31	2013-05-08
JOTUN UNIT	2001-06-17	FROM	\N	SDØE	3.000000	\N	40655	1623450	9999-12-31	2013-05-08
JOTUN UNIT	2011-01-01	FROM	TRANSFER	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2006-10-24	FROM	\N	Enterprise Oil Norge AS	45.000000	\N	40655	1853786	9999-12-31	2013-05-08
JOTUN UNIT	2008-01-01	FROM	TRANSFER	Lundin Norway AS	7.000000	\N	40655	2767314	9999-12-31	2013-05-08
JOTUN UNIT	2007-08-10	FROM	\N	Ener Petroleum ASA	45.000000	\N	40655	3482290	9999-12-31	2013-05-08
JOTUN UNIT	2007-10-04	FROM	\N	Dana Petroleum Norway ASA	45.000000	\N	40655	4510514	9999-12-31	2013-05-08
JOTUN UNIT	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	7.000000	\N	40655	4539989	9999-12-31	2013-05-08
JOTUN UNIT	2000-11-23	TO	\N	Det Norske Oljeselskap AS	1.250000	\N	40655	1340609	9999-12-31	2013-05-08
TROLL UNIT	1993-04-01	TO	\N	Total Norge AS	0.353430	\N	41105	848	9999-12-31	2013-05-08
JOTUN UNIT	2001-01-01	TO	\N	Det Norske Oljeselskap AS	2.000000	\N	40655	1340609	9999-12-31	2013-05-08
JOTUN UNIT	2002-01-01	TO	\N	Det Norske Oljeselskap AS	3.750000	\N	40655	1340609	9999-12-31	2013-05-08
JOTUN UNIT	2001-05-10	TO	\N	SDØE	3.000000	\N	40655	1623450	9999-12-31	2013-05-08
JOTUN UNIT	2001-06-17	TO	\N	Petoro AS	3.000000	\N	40655	1626839	9999-12-31	2013-05-08
JOTUN UNIT	2001-12-31	TO	\N	Enterprise Oil Norge AS	45.000000	\N	40655	1853786	9999-12-31	2013-05-08
JOTUN UNIT	2004-01-01	TO	\N	Lundin Norway AS	7.000000	\N	40655	2767314	9999-12-31	2013-05-08
JOTUN UNIT	2004-10-01	TO	\N	ExxonMobil Exploration & Production Norway AS	45.000000	\N	40655	2835212	9999-12-31	2013-05-08
JOTUN UNIT	2006-10-24	TO	\N	Ener Petroleum ASA	45.000000	\N	40655	3482290	9999-12-31	2013-05-08
JOTUN UNIT	2011-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	3.000000	\N	40655	4062883	9999-12-31	2013-05-08
JOTUN UNIT	2007-08-10	TO	\N	Dana Petroleum Norway ASA	45.000000	\N	40655	4510514	9999-12-31	2013-05-08
JOTUN UNIT	2007-10-04	TO	\N	Dana Petroleum Norway AS	45.000000	\N	40655	4526555	9999-12-31	2013-05-08
JOTUN UNIT	2008-01-01	TO	TRANSFER	Det norske oljeselskap ASA (old)	7.000000	\N	40655	4539989	9999-12-31	2013-05-08
JOTUN UNIT	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	7.000000	\N	40655	17342870	9999-12-31	2013-05-08
NORNE INSIDE	2003-12-31	FROM	\N	Norsk Agip  AS	6.900000	\N	40672	45	9999-12-31	2013-05-08
NORNE INSIDE	2001-12-31	FROM	\N	Enterprise Oil Norwegian AS	6.000000	\N	40672	342	9999-12-31	2013-05-08
NORNE INSIDE	1996-07-23	FROM	\N	Norsk Hydro Produksjon AS	0.900000	\N	40672	430	9999-12-31	2013-05-08
NORNE INSIDE	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	8.100000	\N	40672	430	9999-12-31	2013-05-08
NORNE INSIDE	1999-12-11	FROM	\N	Saga Petroleum ASA	9.000000	\N	40672	716	9999-12-31	2013-05-08
NORNE INSIDE	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	79.000000	\N	40672	749	9999-12-31	2013-05-08
NORNE INSIDE	2007-10-01	FROM	\N	Statoil ASA (old)	31.000000	\N	40672	1622484	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-01	FROM	\N	SDØE	1.000000	\N	40672	1623450	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-17	FROM	\N	SDØE	54.000000	\N	40672	1623450	9999-12-31	2013-05-08
NORNE INSIDE	2005-01-01	FROM	\N	Enterprise Oil Norge AS	6.000000	\N	40672	1853786	9999-12-31	2013-05-08
NORNE INSIDE	2008-01-01	FROM	\N	StatoilHydro Petroleum AS	8.100000	\N	40672	4511658	9999-12-31	2013-05-08
NORNE INSIDE	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	39.100000	\N	40672	4511658	9999-12-31	2013-05-08
NORNE INSIDE	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	39.100000	\N	40672	4511854	9999-12-31	2013-05-08
NORNE INSIDE	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	8.100000	\N	40672	4524355	9999-12-31	2013-05-08
NORNE INSIDE	1996-07-23	TO	\N	Norsk Agip  AS	0.900000	\N	40672	45	9999-12-31	2013-05-08
NORNE INSIDE	1999-12-11	TO	\N	Den norske stats oljeselskap a.s	9.000000	\N	40672	749	9999-12-31	2013-05-08
NORNE INSIDE	2001-05-10	TO	\N	Statoil ASA (old)	24.000000	\N	40672	1622484	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-01	TO	\N	Statoil ASA (old)	1.000000	\N	40672	1622484	9999-12-31	2013-05-08
NORNE INSIDE	2005-01-01	TO	\N	Statoil ASA (old)	6.000000	\N	40672	1622484	9999-12-31	2013-05-08
NORNE INSIDE	2001-05-10	TO	\N	SDØE	55.000000	\N	40672	1623450	9999-12-31	2013-05-08
NORNE INSIDE	2001-06-17	TO	\N	Petoro AS	54.000000	\N	40672	1626839	9999-12-31	2013-05-08
NORNE INSIDE	2001-12-31	TO	\N	Enterprise Oil Norge AS	6.000000	\N	40672	1853786	9999-12-31	2013-05-08
NORNE INSIDE	2003-12-31	TO	\N	Eni Norge AS	6.900000	\N	40672	2388594	9999-12-31	2013-05-08
NORNE INSIDE	2007-10-01	TO	\N	StatoilHydro Petroleum AS	8.100000	\N	40672	4511658	9999-12-31	2013-05-08
NORNE INSIDE	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	39.100000	\N	40672	4511658	9999-12-31	2013-05-08
NORNE INSIDE	2007-10-01	TO	\N	StatoilHydro ASA	31.000000	\N	40672	4511854	9999-12-31	2013-05-08
NORNE INSIDE	2008-01-01	TO	\N	StatoilHydro ASA	8.100000	\N	40672	4511854	9999-12-31	2013-05-08
NORNE INSIDE	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	8.100000	\N	40672	4524355	9999-12-31	2013-05-08
NORNE INSIDE	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	39.100000	\N	40672	17237817	9999-12-31	2013-05-08
VISUND INSIDE	2003-03-22	FROM	\N	Norske Conoco A/S	9.100000	\N	40726	221	9999-12-31	2013-05-08
VISUND INSIDE	1997-01-01	FROM	\N	Elf Petroleum Norge AS	1.400000	\N	40726	298	9999-12-31	2013-05-08
VISUND INSIDE	2000-07-24	FROM	\N	Elf Petroleum Norge AS	7.700000	\N	40726	298	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	20.300000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	2001-01-11	FROM	\N	Saga Petroleum ASA	4.200000	\N	40726	716	9999-12-31	2013-05-08
VISUND INSIDE	1996-07-01	FROM	\N	Den norske stats oljeselskap a.s	2.100000	\N	40726	749	9999-12-31	2013-05-08
VISUND INSIDE	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	62.900000	\N	40726	749	9999-12-31	2013-05-08
VISUND INSIDE	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	7.700000	\N	40726	1340884	9999-12-31	2013-05-08
VISUND INSIDE	2007-10-01	FROM	\N	Statoil ASA (old)	32.900000	\N	40726	1622484	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-01	FROM	\N	SDØE	19.600000	\N	40726	1623450	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-17	FROM	\N	SDØE	30.000000	\N	40726	1623450	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-02	FROM	\N	Norske ConocoPhillips AS	9.100000	\N	40726	2399056	9999-12-31	2013-05-08
VISUND INSIDE	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	53.200000	\N	40726	4511658	9999-12-31	2013-05-08
VISUND INSIDE	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	32.900000	\N	40726	4511854	9999-12-31	2013-05-08
VISUND INSIDE	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	20.300000	\N	40726	4524355	9999-12-31	2013-05-08
VISUND INSIDE	1996-07-01	TO	\N	Norsk Hydro Produksjon AS	2.100000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	1997-01-01	TO	\N	Norsk Hydro Produksjon AS	1.400000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	4.200000	\N	40726	430	9999-12-31	2013-05-08
VISUND INSIDE	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	7.700000	\N	40726	1340884	9999-12-31	2013-05-08
VISUND INSIDE	2001-05-10	TO	\N	Statoil ASA (old)	13.300000	\N	40726	1622484	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-01	TO	\N	Statoil ASA (old)	19.600000	\N	40726	1622484	9999-12-31	2013-05-08
VISUND INSIDE	2001-05-10	TO	\N	SDØE	49.600000	\N	40726	1623450	9999-12-31	2013-05-08
VISUND INSIDE	2001-06-17	TO	\N	Petoro AS	30.000000	\N	40726	1626839	9999-12-31	2013-05-08
VISUND INSIDE	2003-03-22	TO	\N	Norske ConocoPhillips AS	9.100000	\N	40726	2399056	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-02	TO	\N	ConocoPhillips Skandinavia AS	9.100000	\N	40726	2410696	9999-12-31	2013-05-08
VISUND INSIDE	2003-05-06	TO	\N	Total E&P Norge AS	7.700000	\N	40726	2410708	9999-12-31	2013-05-08
VISUND INSIDE	2007-10-01	TO	\N	StatoilHydro Petroleum AS	20.300000	\N	40726	4511658	9999-12-31	2013-05-08
VISUND INSIDE	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	32.900000	\N	40726	4511658	9999-12-31	2013-05-08
VISUND INSIDE	2007-10-01	TO	\N	StatoilHydro ASA	32.900000	\N	40726	4511854	9999-12-31	2013-05-08
VISUND INSIDE	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	20.300000	\N	40726	4524355	9999-12-31	2013-05-08
VISUND INSIDE	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	53.200000	\N	40726	17237817	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	9.411200	\N	40848	298	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2004-10-01	FROM	\N	Esso Exploration and Production Norway A/S	32.239360	\N	40848	353	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	8.846530	\N	40848	430	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	49.502910	\N	40848	749	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1998-01-01	FROM	\N	Total Norge AS	0.941120	\N	40848	848	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	9.411200	\N	40848	1340884	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	49.502910	\N	40848	1622484	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-06-01	FROM	\N	SDØE	32.374530	\N	40848	1623450	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	58.349440	\N	40848	4511658	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	49.502910	\N	40848	4511854	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	8.846530	\N	40848	4524355	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	1998-01-01	TO	\N	Elf Petroleum Norge AS	0.941120	\N	40848	298	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	9.411200	\N	40848	1340884	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-05-10	TO	\N	Statoil ASA (old)	17.128380	\N	40848	1622484	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-06-01	TO	\N	Statoil ASA (old)	32.374530	\N	40848	1622484	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2001-05-10	TO	\N	SDØE	32.374530	\N	40848	1623450	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2003-05-06	TO	\N	Total E&P Norge AS	9.411200	\N	40848	2410708	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2004-10-01	TO	\N	ExxonMobil Exploration & Production Norway AS	32.239360	\N	40848	2835212	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	8.846530	\N	40848	4511658	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	49.502910	\N	40848	4511658	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-10-01	TO	\N	StatoilHydro ASA	49.502910	\N	40848	4511854	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	8.846530	\N	40848	4524355	9999-12-31	2013-05-08
SLEIPNER VEST UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	58.349440	\N	40848	17237817	9999-12-31	2013-05-08
GRANE SLIDING SCALE	1996-07-31	FROM	\N	Conoco Petroleum Norge AS	7.000000	\N	40885	232	9999-12-31	2013-05-08
GRANE SLIDING SCALE	1996-07-31	TO	\N	Norsk Hydro Produksjon AS	7.000000	\N	40885	430	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	FROM	\N	Amerada Hess Norge AS	0.275300	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	FROM	\N	Amerada Hess Norge AS	0.142200	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	2006-06-26	FROM	\N	Amerada Hess Norge AS	1.038400	\N	40906	67	9999-12-31	2013-05-08
SNORRE UNIT	1988-07-08	FROM	\N	Amoco Norway Oil Company	2.911800	\N	40906	78	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	FROM	\N	Deminex Norge AS	1.156100	\N	40906	254	9999-12-31	2013-05-08
SNORRE UNIT	1998-12-17	FROM	\N	Deminex Norge AS	8.878700	\N	40906	254	9999-12-31	2013-05-08
SNORRE UNIT	1995-05-09	FROM	\N	DNO Olje A/S	0.688800	\N	40906	276	9999-12-31	2013-05-08
SNORRE UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	5.951000	\N	40906	298	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	FROM	\N	Enterprise Oil Norwegian AS	0.275300	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	2001-12-31	FROM	\N	Enterprise Oil Norwegian AS	1.180600	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	2004-10-01	FROM	\N	Esso Exploration and Production Norway A/S	11.158100	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	17.767200	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	FROM	\N	Saga Petroleum ASA	0.220200	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	1999-12-11	FROM	\N	Saga Petroleum ASA	2.996700	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	2001-01-11	FROM	\N	Saga Petroleum ASA	8.727800	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	FROM	\N	Den norske stats oljeselskap a.s	9.600000	\N	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	44.396700	\N	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	1989-04-14	FROM	\N	Texas Eastern Norwegian Inc.	1.455900	\N	40906	837	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	FROM	\N	RWE Dea Norge AS	0.597500	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	5.951000	\N	40906	1340884	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	FROM	\N	Statoil ASA (old)	0.027600	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	15.549700	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-01	FROM	\N	SDØE	1.400000	\N	40906	1623450	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-17	FROM	\N	SDØE	30.000000	\N	40906	1623450	9999-12-31	2013-05-08
SNORRE UNIT	2005-01-01	FROM	\N	Enterprise Oil Norge AS	1.180600	\N	40906	1853786	9999-12-31	2013-05-08
SNORRE UNIT	2012-01-01	FROM	TRANSFER	Total E&P Norge AS	6.178600	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2011-01-01	FROM	TRANSFER	Hess Norge AS	1.038400	\N	40906	4038735	9999-12-31	2013-05-08
SNORRE UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	33.316900	\N	40906	4511658	9999-12-31	2013-05-08
SNORRE UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	15.549700	\N	40906	4511854	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	17.767200	\N	40906	4524355	9999-12-31	2013-05-08
SNORRE UNIT	1988-07-08	TO	\N	Deminex Norge AS	2.911800	\N	40906	254	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	TO	\N	Elf Petroleum Norge AS	0.440400	\N	40906	298	9999-12-31	2013-05-08
SNORRE UNIT	1989-04-14	TO	\N	Enterprise Oil Norwegian AS	1.455900	\N	40906	342	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	TO	\N	Esso Exploration and Production Norway A/S	0.825800	\N	40906	353	9999-12-31	2013-05-08
SNORRE UNIT	1998-08-01	TO	\N	Norsk Hydro Produksjon AS	0.660700	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	8.727800	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	TO	\N	Norsk Hydro Produksjon AS	0.112900	\N	40906	430	9999-12-31	2013-05-08
SNORRE UNIT	1990-01-01	TO	\N	Idemitsu Petroleum Norge AS	9.600000	\N	40906	441	9999-12-31	2013-05-08
SNORRE UNIT	1995-05-09	TO	\N	Saga Petroleum ASA	0.688800	\N	40906	716	9999-12-31	2013-05-08
SNORRE UNIT	1999-12-11	TO	\N	Den norske stats oljeselskap a.s	2.996700	\N	40906	749	9999-12-31	2013-05-08
SNORRE UNIT	1998-12-17	TO	\N	RWE Dea Norge AS	8.878700	\N	40906	97557	9999-12-31	2013-05-08
SNORRE UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	5.951000	\N	40906	1340884	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	TO	\N	Statoil ASA (old)	12.996700	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-01	TO	\N	Statoil ASA (old)	1.400000	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2005-01-01	TO	\N	Statoil ASA (old)	1.180600	\N	40906	1622484	9999-12-31	2013-05-08
SNORRE UNIT	2001-05-10	TO	\N	SDØE	31.400000	\N	40906	1623450	9999-12-31	2013-05-08
SNORRE UNIT	2001-06-17	TO	\N	Petoro AS	30.000000	\N	40906	1626839	9999-12-31	2013-05-08
SNORRE UNIT	2001-12-31	TO	\N	Enterprise Oil Norge AS	1.180600	\N	40906	1853786	9999-12-31	2013-05-08
SNORRE UNIT	2003-05-06	TO	\N	Total E&P Norge AS	5.951000	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	TO	\N	Total E&P Norge AS	0.227600	\N	40906	2410708	9999-12-31	2013-05-08
SNORRE UNIT	2004-10-01	TO	\N	ExxonMobil Exploration & Production Norway AS	11.158100	\N	40906	2835212	9999-12-31	2013-05-08
SNORRE UNIT	2006-05-01	TO	\N	ExxonMobil Exploration & Production Norway AS	0.426800	\N	40906	2835212	9999-12-31	2013-05-08
SNORRE UNIT	2012-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	6.178600	\N	40906	2835212	9999-12-31	2013-05-08
SNORRE UNIT	2006-06-26	TO	\N	Hess Norge AS	1.038400	\N	40906	4038735	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	17.767200	\N	40906	4511658	9999-12-31	2013-05-08
SNORRE UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	15.549700	\N	40906	4511658	9999-12-31	2013-05-08
SNORRE UNIT	2007-10-01	TO	\N	StatoilHydro ASA	15.549700	\N	40906	4511854	9999-12-31	2013-05-08
SNORRE UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	17.767200	\N	40906	4524355	9999-12-31	2013-05-08
SNORRE UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	33.316900	\N	40906	17237817	9999-12-31	2013-05-08
SNORRE UNIT	2011-01-01	TO	TRANSFER	Core Energy AS	1.038400	\N	40906	20460080	9999-12-31	2013-05-08
OSEBERG UNIT	2003-03-22	FROM	\N	Norske Conoco A/S	2.400000	\N	41040	221	9999-12-31	2013-05-08
OSEBERG UNIT	1988-04-01	FROM	\N	Elf Petroleum Norge AS	0.800000	\N	41040	298	9999-12-31	2013-05-08
OSEBERG UNIT	2000-07-20	FROM	\N	Elf Petroleum Norge AS	5.769590	\N	41040	298	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	FROM	\N	Norsk Hydro Produksjon AS	0.068140	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	1988-04-01	FROM	\N	Mobil Development Norway AS	0.600000	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	FROM	\N	Saga Petroleum ASA	0.057240	\N	41040	716	9999-12-31	2013-05-08
OSEBERG UNIT	2001-01-11	FROM	\N	Saga Petroleum ASA	8.552760	\N	41040	716	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	FROM	\N	Den norske stats oljeselskap a.s	0.256210	0.256210	41040	749	9999-12-31	2013-05-08
OSEBERG UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	64.783790	\N	41040	749	9999-12-31	2013-05-08
OSEBERG UNIT	1988-04-01	FROM	\N	Total Norge AS	0.400000	\N	41040	848	9999-12-31	2013-05-08
OSEBERG UNIT	2001-12-18	FROM	\N	Total Norge AS	2.884800	\N	41040	848	9999-12-31	2013-05-08
OSEBERG UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	10.000000	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2001-06-17	FROM	\N	SDØE	50.783790	\N	41040	1623450	9999-12-31	2013-05-08
OSEBERG UNIT	2002-03-19	FROM	\N	Petoro AS	13.110990	\N	41040	1626839	9999-12-31	2013-05-08
OSEBERG UNIT	2002-10-01	FROM	\N	Petoro AS	3.700000	\N	41040	1626839	9999-12-31	2013-05-08
OSEBERG UNIT	2002-12-01	FROM	\N	Petoro AS	0.372800	\N	41040	1626839	9999-12-31	2013-05-08
OSEBERG UNIT	2002-10-01	TO	\N	Norske Conoco A/S	2.400000	\N	41040	221	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	TO	\N	Elf Petroleum Norge AS	0.169590	\N	41040	298	9999-12-31	2013-05-08
OSEBERG UNIT	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	8.552760	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	2002-03-19	TO	\N	Norsk Hydro Produksjon AS	11.765380	\N	41040	430	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	TO	\N	Mobil Development Norway AS	0.127200	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	2002-12-01	TO	\N	Mobil Development Norway AS	0.372800	\N	41040	474	9999-12-31	2013-05-08
OSEBERG UNIT	1988-04-01	TO	\N	Den norske stats oljeselskap a.s	1.800000	1.800000	41040	749	9999-12-31	2013-05-08
OSEBERG UNIT	1994-01-01	TO	\N	Total Norge AS	0.084800	\N	41040	848	9999-12-31	2013-05-08
OSEBERG UNIT	2000-07-20	TO	\N	TotalFinaElf Exploration Norge AS	5.769590	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2001-12-18	TO	\N	TotalFinaElf Exploration Norge AS	2.884800	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2002-03-19	TO	\N	TotalFinaElf Exploration Norge AS	1.345610	\N	41040	1340884	9999-12-31	2013-05-08
OSEBERG UNIT	2001-05-10	TO	\N	Statoil ASA (old)	14.000000	\N	41040	1622484	9999-12-31	2013-05-08
OSEBERG UNIT	2002-10-01	TO	\N	Statoil ASA (old)	1.300000	\N	41040	1622484	9999-12-31	2013-05-08
OSEBERG UNIT	2001-05-10	TO	\N	SDØE	50.783790	\N	41040	1623450	9999-12-31	2013-05-08
OSEBERG UNIT	2001-06-17	TO	\N	Petoro AS	50.783790	\N	41040	1626839	9999-12-31	2013-05-08
OSEBERG UNIT	2003-03-22	TO	\N	Norske ConocoPhillips AS	2.400000	\N	41040	2399056	9999-12-31	2013-05-08
OSEBERG UNIT	2003-05-06	TO	\N	Total E&P Norge AS	10.000000	\N	41040	2410708	9999-12-31	2013-05-08
TROLL UNIT	1993-04-01	FROM	\N	Norske Conoco A/S	0.353430	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	FROM	\N	Norske Conoco A/S	0.037390	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	2003-03-22	FROM	\N	Norske Conoco A/S	1.623740	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	FROM	\N	Elf Petroleum Norge AS	0.007960	\N	41105	298	9999-12-31	2013-05-08
TROLL UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	2.345480	\N	41105	298	9999-12-31	2013-05-08
TROLL UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	9.779140	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	1988-01-01	FROM	\N	Mobil Development Norway AS	1.184000	\N	41105	474	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	FROM	\N	A/S Norske Shell	0.186550	\N	41105	562	9999-12-31	2013-05-08
TROLL UNIT	1999-12-11	FROM	\N	Saga Petroleum ASA	2.061610	\N	41105	716	9999-12-31	2013-05-08
TROLL UNIT	2001-01-11	FROM	\N	Saga Petroleum ASA	2.061610	\N	41105	716	9999-12-31	2013-05-08
TROLL UNIT	1987-01-02	FROM	\N	Den norske stats oljeselskap a.s	3.000000	\N	41105	749	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	FROM	\N	Den norske stats oljeselskap a.s	0.064800	\N	41105	749	9999-12-31	2013-05-08
TROLL UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	76.804710	\N	41105	749	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	FROM	\N	Total Norge AS	0.007950	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	2001-12-18	FROM	\N	Total Norge AS	1.345480	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	3.690960	\N	41105	1340884	9999-12-31	2013-05-08
TROLL UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	20.804710	\N	41105	1622484	9999-12-31	2013-05-08
TROLL UNIT	2001-06-01	FROM	\N	SDØE	6.927920	\N	41105	1623450	9999-12-31	2013-05-08
TROLL UNIT	2001-06-17	FROM	\N	SDØE	56.000000	\N	41105	1623450	9999-12-31	2013-05-08
TROLL UNIT	2007-01-02	FROM	\N	Norske ConocoPhillips AS	1.623740	\N	41105	2399056	9999-12-31	2013-05-08
TROLL UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.583850	\N	41105	4511658	9999-12-31	2013-05-08
TROLL UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	20.804710	\N	41105	4511854	9999-12-31	2013-05-08
TROLL UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	9.779140	\N	41105	4524355	9999-12-31	2013-05-08
TROLL UNIT	1988-01-01	TO	\N	Norske Conoco A/S	0.830560	\N	41105	221	9999-12-31	2013-05-08
TROLL UNIT	1987-01-02	TO	\N	Elf Petroleum Norge AS	2.000000	\N	41105	298	9999-12-31	2013-05-08
TROLL UNIT	1988-01-01	TO	\N	Elf Petroleum Norge AS	0.353440	\N	41105	298	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	TO	\N	Norsk Hydro Produksjon AS	0.029530	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	2.061610	\N	41105	430	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	TO	\N	Saga Petroleum ASA	0.043220	\N	41105	716	9999-12-31	2013-05-08
TROLL UNIT	1999-10-01	TO	\N	Den norske stats oljeselskap a.s	0.231900	0.231920	41105	749	9999-12-31	2013-05-08
TROLL UNIT	1999-12-11	TO	\N	Den norske stats oljeselskap a.s	2.061610	\N	41105	749	9999-12-31	2013-05-08
TROLL UNIT	1987-01-02	TO	\N	Total Norge AS	1.000000	\N	41105	848	9999-12-31	2013-05-08
TROLL UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	2.345480	\N	41105	1340884	9999-12-31	2013-05-08
TROLL UNIT	2001-12-18	TO	\N	TotalFinaElf Exploration Norge AS	1.345480	\N	41105	1340884	9999-12-31	2013-05-08
TROLL UNIT	2001-05-10	TO	\N	Statoil ASA (old)	13.876780	\N	41105	1622484	9999-12-31	2013-05-08
TROLL UNIT	2001-06-01	TO	\N	Statoil ASA (old)	6.927920	\N	41105	1622484	9999-12-31	2013-05-08
TROLL UNIT	2001-05-10	TO	\N	SDØE	62.927920	\N	41105	1623450	9999-12-31	2013-05-08
TROLL UNIT	2001-06-17	TO	\N	Petoro AS	56.000000	\N	41105	1626839	9999-12-31	2013-05-08
TROLL UNIT	2003-03-22	TO	\N	Norske ConocoPhillips AS	1.623740	\N	41105	2399056	9999-12-31	2013-05-08
TROLL UNIT	2007-01-02	TO	\N	ConocoPhillips Skandinavia AS	1.623740	\N	41105	2410696	9999-12-31	2013-05-08
TROLL UNIT	2003-05-06	TO	\N	Total E&P Norge AS	3.690960	\N	41105	2410708	9999-12-31	2013-05-08
TROLL UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	9.779140	\N	41105	4511658	9999-12-31	2013-05-08
TROLL UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	20.804710	\N	41105	4511658	9999-12-31	2013-05-08
TROLL UNIT	2007-10-01	TO	\N	StatoilHydro ASA	20.804710	\N	41105	4511854	9999-12-31	2013-05-08
TROLL UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	9.779140	\N	41105	4524355	9999-12-31	2013-05-08
TROLL UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.583850	\N	41105	17237817	9999-12-31	2013-05-08
FRØY UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	24.757300	\N	41175	298	9999-12-31	2013-05-08
FRØY UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	53.960000	\N	41175	749	9999-12-31	2013-05-08
FRØY UNIT	2001-12-18	FROM	\N	Total Norge AS	15.234600	\N	41175	848	9999-12-31	2013-05-08
FRØY UNIT	2001-06-17	FROM	\N	SDØE	41.616000	\N	41175	1623450	9999-12-31	2013-05-08
FRØY UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	24.757300	\N	41175	1340884	9999-12-31	2013-05-08
FRØY UNIT	2001-12-18	TO	\N	TotalFinaElf Exploration Norge AS	15.234600	\N	41175	1340884	9999-12-31	2013-05-08
FRØY UNIT	2001-05-10	TO	\N	Statoil ASA (old)	12.344000	\N	41175	1622484	9999-12-31	2013-05-08
FRØY UNIT	2001-05-10	TO	\N	SDØE	41.616000	\N	41175	1623450	9999-12-31	2013-05-08
FRØY UNIT	2001-06-17	TO	\N	Petoro AS	41.616000	\N	41175	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2003-03-22	FROM	\N	Norske Conoco A/S	23.336250	\N	41189	221	9999-12-31	2013-05-08
HULDRA UNIT	2001-01-23	FROM	\N	Petro-Canada Norge AS (old)	0.497880	\N	41189	628	9999-12-31	2013-05-08
HULDRA UNIT	2004-01-01	FROM	\N	Svenska Petroleum Exploration AS	0.213750	\N	41189	738	9999-12-31	2013-05-08
HULDRA UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	51.620110	\N	41189	749	9999-12-31	2013-05-08
HULDRA UNIT	2001-12-18	FROM	\N	Total Norge AS	24.332010	\N	41189	848	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	24.332010	\N	41189	1340884	9999-12-31	2013-05-08
HULDRA UNIT	2006-03-22	FROM	\N	Paladin Resources Norge AS	0.497900	\N	41189	1577943	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-22	FROM	\N	Statoil ASA (old)	0.000010	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	19.878510	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2001-06-17	FROM	\N	SDØE	31.955340	\N	41189	1623450	9999-12-31	2013-05-08
HULDRA UNIT	2007-01-02	FROM	\N	Norske ConocoPhillips AS	23.336250	\N	41189	2399056	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-22	FROM	\N	Total E&P Norge AS	0.000010	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-02	FROM	TRANSFER	Talisman Energy Norge AS	0.497900	\N	41189	2425093	9999-12-31	2013-05-08
HULDRA UNIT	2006-10-13	FROM	\N	Talisman Resources Norge AS	0.497900	\N	41189	3987574	9999-12-31	2013-05-08
HULDRA UNIT	2011-01-01	FROM	TRANSFER	Talisman Resources Norge AS	0.497900	\N	41189	3987574	9999-12-31	2013-05-08
HULDRA UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	19.878510	\N	41189	4511658	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	19.878510	\N	41189	4511854	9999-12-31	2013-05-08
HULDRA UNIT	2001-12-18	TO	\N	TotalFinaElf Exploration Norge AS	24.332010	\N	41189	1340884	9999-12-31	2013-05-08
HULDRA UNIT	2001-01-23	TO	\N	Paladin Resources Norge AS	0.497880	\N	41189	1577943	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-22	TO	\N	Paladin Resources Norge AS	0.000020	\N	41189	1577943	9999-12-31	2013-05-08
HULDRA UNIT	2001-05-10	TO	\N	Statoil ASA (old)	19.664770	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2004-01-01	TO	\N	Statoil ASA (old)	0.213750	\N	41189	1622484	9999-12-31	2013-05-08
HULDRA UNIT	2001-05-10	TO	\N	SDØE	31.955340	\N	41189	1623450	9999-12-31	2013-05-08
HULDRA UNIT	2001-06-17	TO	\N	Petoro AS	31.955340	\N	41189	1626839	9999-12-31	2013-05-08
HULDRA UNIT	2003-03-22	TO	\N	Norske ConocoPhillips AS	23.336250	\N	41189	2399056	9999-12-31	2013-05-08
HULDRA UNIT	2007-01-02	TO	\N	ConocoPhillips Skandinavia AS	23.336250	\N	41189	2410696	9999-12-31	2013-05-08
HULDRA UNIT	2003-05-06	TO	\N	Total E&P Norge AS	24.332010	\N	41189	2410708	9999-12-31	2013-05-08
HULDRA UNIT	2006-10-13	TO	\N	Talisman Energy Norge AS	0.497900	\N	41189	2425093	9999-12-31	2013-05-08
HULDRA UNIT	2011-01-01	TO	TRANSFER	Talisman Energy Norge AS	0.497900	\N	41189	2425093	9999-12-31	2013-05-08
HULDRA UNIT	2006-03-22	TO	\N	Talisman Resources Norge AS	0.497900	\N	41189	3987574	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-02	TO	TRANSFER	Talisman Resources Norge AS	0.497900	\N	41189	3987574	9999-12-31	2013-05-08
HULDRA UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	19.878510	\N	41189	4511658	9999-12-31	2013-05-08
HULDRA UNIT	2007-10-01	TO	\N	StatoilHydro ASA	19.878510	\N	41189	4511854	9999-12-31	2013-05-08
HULDRA UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	19.878510	\N	41189	17237817	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	10.000000	\N	41211	298	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2004-10-01	FROM	\N	Esso Exploration and Production Norway A/S	30.400000	\N	41211	353	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	10.000000	\N	41211	430	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	49.600000	\N	41211	749	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1998-01-01	FROM	\N	Total Norge AS	1.000000	\N	41211	848	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	10.000000	\N	41211	1340884	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	49.600000	\N	41211	1622484	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-06-01	FROM	\N	SDØE	29.600000	\N	41211	1623450	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	59.600000	\N	41211	4511658	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	49.600000	\N	41211	4511854	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	10.000000	\N	41211	4524355	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	1998-01-01	TO	\N	Elf Petroleum Norge AS	1.000000	\N	41211	298	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	10.000000	\N	41211	1340884	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-05-10	TO	\N	Statoil ASA (old)	20.000000	\N	41211	1622484	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-06-01	TO	\N	Statoil ASA (old)	29.600000	\N	41211	1622484	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2001-05-10	TO	\N	SDØE	29.600000	\N	41211	1623450	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2003-05-06	TO	\N	Total E&P Norge AS	10.000000	\N	41211	2410708	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2004-10-01	TO	\N	ExxonMobil Exploration & Production Norway AS	30.400000	\N	41211	2835212	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	10.000000	\N	41211	4511658	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	49.600000	\N	41211	4511658	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-10-01	TO	\N	StatoilHydro ASA	49.600000	\N	41211	4511854	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	10.000000	\N	41211	4524355	9999-12-31	2013-05-08
SLEIPNER ØST UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	59.600000	\N	41211	17237817	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	FROM	TRANSFER	Amerada Hess Norge AS	0.520840	\N	41233	67	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	FROM	TRANSFER	Amoco Norway Oil Company	0.520830	\N	41233	78	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	6.041670	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	1.400000	\N	41233	254	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	FROM	TRANSFER	DNO Olje A/S	0.350000	\N	41233	276	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	2.800000	\N	41233	298	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	0.520830	\N	41233	342	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2004-10-01	FROM	\N	Esso Exploration and Production Norway A/S	17.750000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Produksjon AS	6.640000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	FROM	TRANSFER	Mobil Development Norway AS	7.500000	\N	41233	474	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2010-01-01	FROM	TRANSFER	A/S Norske Shell	5.000000	\N	41233	562	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	FROM	\N	Saga Petroleum ASA	2.347500	\N	41233	716	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	2.440000	\N	41233	716	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	55.047500	\N	41233	749	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	2.800000	\N	41233	1340884	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	25.047500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	FROM	SDFI	SDØE	10.500000	\N	41233	1623450	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	FROM	CHANGE OF COMPANY NAME	SDØE	30.000000	\N	41233	1623450	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2010-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	FROM	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	6.041670	\N	41233	2399056	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2012-04-30	FROM	TRANSFER	ConocoPhillips Skandinavia AS	6.041670	\N	41233	2410696	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2012-01-01	FROM	TRANSFER	Total E&P Norge AS	2.800000	\N	41233	2410708	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	31.687500	\N	41233	4511658	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	25.047500	\N	41233	4511854	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	6.640000	\N	41233	4524355	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-01-01	TO	TRANSFER	Norske Conoco A/S	0.520830	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1997-07-01	TO	TRANSFER	Norske Conoco A/S	0.520840	\N	41233	221	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-02	TO	TRANSFER	Esso Exploration and Production Norway A/S	7.500000	\N	41233	353	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	2.440000	\N	41233	430	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1995-05-04	TO	TRANSFER	Saga Petroleum ASA	0.350000	\N	41233	716	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1999-12-11	TO	\N	Den norske stats oljeselskap a.s	2.347500	\N	41233	749	9999-12-31	2013-05-08
STATFJORD ØST UNIT	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	1.400000	\N	41233	97557	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	2.800000	\N	41233	1340884	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	TO	\N	Statoil ASA (old)	14.547500	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-01	TO	SDFI	Statoil ASA (old)	10.500000	\N	41233	1622484	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-05-10	TO	\N	SDØE	40.500000	\N	41233	1623450	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2001-06-17	TO	CHANGE OF COMPANY NAME	Petoro AS	30.000000	\N	41233	1626839	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2002-01-01	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	0.520830	\N	41233	1853786	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	6.041670	\N	41233	2399056	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-02	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	6.041670	\N	41233	2410696	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	2.800000	\N	41233	2410708	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2004-10-01	TO	\N	ExxonMobil Exploration & Production Norway AS	17.750000	\N	41233	2835212	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2012-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	2.800000	\N	41233	2835212	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2010-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	5.520830	\N	41233	4238233	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	6.041670	\N	41233	4238233	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	6.640000	\N	41233	4511658	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	25.047500	\N	41233	4511658	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	25.047500	\N	41233	4511854	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2007-01-01	TO	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	6.640000	\N	41233	4524355	9999-12-31	2013-05-08
STATFJORD ØST UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	31.687500	\N	41233	17237817	9999-12-31	2013-05-08
ØST FRIGG UNIT	1991-12-20	FROM	\N	Elf Petroleum Norge AS	3.238910	\N	41313	298	9999-12-31	2013-05-08
ØST FRIGG UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	37.225400	\N	41313	298	9999-12-31	2013-05-08
ØST FRIGG UNIT	1991-12-20	TO	\N	Den norske stats oljeselskap a.s	3.238910	\N	41313	749	9999-12-31	2013-05-08
ØST FRIGG UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	37.225400	\N	41313	1340884	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-12-31	FROM	\N	Norsk Agip  AS	9.130000	\N	41411	45	9999-12-31	2013-05-08
TOMMELITEN UNIT	2000-12-15	FROM	\N	Fina Production Licenses AS	20.230000	\N	41411	386	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-05-06	FROM	\N	Phillips Petroleum Norsk AS	28.260000	\N	41411	705	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-01-01	FROM	\N	Den norske stats oljeselskap a.s	28.260000	\N	41411	749	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	42.380000	\N	41411	749	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-12-18	FROM	\N	Total Norge AS	20.230000	\N	41411	848	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	20.230000	\N	41411	1340884	9999-12-31	2013-05-08
TOMMELITEN UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	42.380000	\N	41411	1622484	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-06-01	FROM	\N	SDØE	42.380000	\N	41411	1623450	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	42.380000	\N	41411	4511658	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	42.380000	\N	41411	4511854	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-01-01	TO	\N	Phillips Petroleum Norsk AS	28.260000	\N	41411	705	9999-12-31	2013-05-08
TOMMELITEN UNIT	2000-12-15	TO	\N	Total Norge AS	20.230000	\N	41411	848	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-12-18	TO	\N	TotalFinaElf Exploration Norge AS	20.230000	\N	41411	1340884	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-06-01	TO	\N	Statoil ASA (old)	42.380000	\N	41411	1622484	9999-12-31	2013-05-08
TOMMELITEN UNIT	2001-05-10	TO	\N	SDØE	42.380000	\N	41411	1623450	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-12-31	TO	\N	Eni Norge AS	9.130000	\N	41411	2388594	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-05-06	TO	\N	ConocoPhillips Skandinavia AS	28.260000	\N	41411	2410696	9999-12-31	2013-05-08
TOMMELITEN UNIT	2003-05-06	TO	\N	Total E&P Norge AS	20.230000	\N	41411	2410708	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	42.380000	\N	41411	4511658	9999-12-31	2013-05-08
TOMMELITEN UNIT	2007-10-01	TO	\N	StatoilHydro ASA	42.380000	\N	41411	4511854	9999-12-31	2013-05-08
TOMMELITEN UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	42.380000	\N	41411	17237817	9999-12-31	2013-05-08
HEIMDAL UNIT	1977-07-01	FROM	\N	Aquitaine Norge A/S	2.615000	\N	41470	111	9999-12-31	2013-05-08
HEIMDAL UNIT	1987-03-26	FROM	\N	Bow Valley Exploration Norge A/S	8.000000	\N	41470	144	9999-12-31	2013-05-08
HEIMDAL UNIT	1977-07-01	FROM	\N	Elf Norge A/S	5.233000	\N	41470	287	9999-12-31	2013-05-08
HEIMDAL UNIT	1998-01-01	FROM	\N	Elf Petroleum Norge AS	9.575000	\N	41470	298	9999-12-31	2013-05-08
HEIMDAL UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	11.939000	\N	41470	298	9999-12-31	2013-05-08
HEIMDAL UNIT	1992-08-14	FROM	\N	Elf Aquitaine Norge A/S	21.514000	\N	41470	331	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	FROM	\N	K/S Femogtyvefire Norsk A/S	10.750000	\N	41470	375	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	FROM	\N	Pan Ocean Oil Norge A/S	26.485000	\N	41470	595	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-01-11	FROM	\N	Saga Petroleum ASA	3.471000	\N	41470	716	9999-12-31	2013-05-08
HEIMDAL UNIT	1985-01-01	FROM	\N	Den norske stats oljeselskap a.s	40.000000	\N	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	40.000000	\N	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1989-06-15	FROM	\N	Sunningdale Oil Norge A/S	3.875000	\N	41470	760	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-12-18	FROM	\N	Total Norge AS	4.820000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1996-01-01	FROM	\N	Ugland Construction Company AS	0.169000	\N	41470	859	9999-12-31	2013-05-08
HEIMDAL UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	16.759000	\N	41470	1340884	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-06-17	FROM	\N	SDØE	20.000000	\N	41470	1623450	9999-12-31	2013-05-08
HEIMDAL UNIT	1992-08-14	TO	\N	Elf Petroleum Norge AS	21.514000	\N	41470	298	9999-12-31	2013-05-08
HEIMDAL UNIT	1977-07-01	TO	\N	Elf Aquitaine Norge A/S	7.848000	\N	41470	331	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	TO	\N	Elf Aquitaine Norge A/S	1.791000	\N	41470	331	9999-12-31	2013-05-08
HEIMDAL UNIT	1987-03-26	TO	\N	Elf Aquitaine Norge A/S	8.000000	\N	41470	331	9999-12-31	2013-05-08
HEIMDAL UNIT	1989-06-15	TO	\N	Elf Aquitaine Norge A/S	3.875000	\N	41470	331	9999-12-31	2013-05-08
HEIMDAL UNIT	1998-01-01	TO	\N	Norsk Hydro Produksjon AS	9.575000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	3.471000	\N	41470	430	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	TO	\N	Marathon Petroleum Norge AS	23.798000	\N	41470	463	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	TO	\N	Pan Ocean Oil Norge A/S	7.110000	\N	41470	595	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	TO	\N	Saga Petroleum ASA	3.471000	\N	41470	716	9999-12-31	2013-05-08
HEIMDAL UNIT	1985-01-01	TO	\N	Den norske stats oljeselskap a.s	40.000000	20.000000	41470	749	9999-12-31	2013-05-08
HEIMDAL UNIT	1980-01-01	TO	\N	Total Norge AS	0.896000	\N	41470	848	9999-12-31	2013-05-08
HEIMDAL UNIT	1978-01-01	TO	\N	Ugland Construction Company AS	0.169000	\N	41470	859	9999-12-31	2013-05-08
HEIMDAL UNIT	1996-01-01	TO	\N	AS Uglands Rederi	0.169000	\N	41470	40103	9999-12-31	2013-05-08
HEIMDAL UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	11.939000	\N	41470	1340884	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-12-18	TO	\N	TotalFinaElf Exploration Norge AS	4.820000	\N	41470	1340884	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-05-10	TO	\N	Statoil ASA (old)	20.000000	\N	41470	1622484	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-05-10	TO	\N	SDØE	20.000000	\N	41470	1623450	9999-12-31	2013-05-08
HEIMDAL UNIT	2001-06-17	TO	\N	Petoro AS	20.000000	\N	41470	1626839	9999-12-31	2013-05-08
HEIMDAL UNIT	2003-05-06	TO	\N	Total E&P Norge AS	16.759000	\N	41470	2410708	9999-12-31	2013-05-08
VALHALL UNIT	2006-06-26	FROM	\N	Amerada Hess Norge AS	28.093760	\N	41657	67	9999-12-31	2013-05-08
VALHALL UNIT	1999-12-23	FROM	\N	Amoco Norway Oil Company	28.093770	\N	41657	78	9999-12-31	2013-05-08
VALHALL UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	15.718710	\N	41657	298	9999-12-31	2013-05-08
VALHALL UNIT	2001-12-31	FROM	\N	Enterprise Oil Norwegian AS	28.093760	\N	41657	342	9999-12-31	2013-05-08
VALHALL UNIT	1992-02-25	FROM	\N	Norwegian Oil Consortium A/S & Co	15.718710	\N	41657	518	9999-12-31	2013-05-08
VALHALL UNIT	1989-04-14	FROM	\N	Texas Eastern Norwegian Inc.	28.093760	\N	41657	837	9999-12-31	2013-05-08
VALHALL UNIT	2002-03-12	FROM	\N	BP Amoco Norge AS	28.093770	\N	41657	982372	9999-12-31	2013-05-08
VALHALL UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	15.718710	\N	41657	1340884	9999-12-31	2013-05-08
VALHALL UNIT	2010-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	28.093760	\N	41657	1853786	9999-12-31	2013-05-08
VALHALL UNIT	2010-01-01	FROM	TRANSFER	Total E&P Norge AS	15.718710	\N	41657	2410708	9999-12-31	2013-05-08
VALHALL UNIT	1992-02-25	TO	\N	Elf Petroleum Norge AS	15.718710	\N	41657	298	9999-12-31	2013-05-08
VALHALL UNIT	1989-04-14	TO	\N	Enterprise Oil Norwegian AS	28.093760	\N	41657	342	9999-12-31	2013-05-08
VALHALL UNIT	1999-12-23	TO	\N	BP Amoco Norge AS	28.093770	\N	41657	982372	9999-12-31	2013-05-08
VALHALL UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	15.718710	\N	41657	1340884	9999-12-31	2013-05-08
VALHALL UNIT	2001-12-31	TO	\N	Enterprise Oil Norge AS	28.093760	\N	41657	1853786	9999-12-31	2013-05-08
VALHALL UNIT	2002-03-12	TO	\N	BP Norge AS	28.093770	\N	41657	2052695	9999-12-31	2013-05-08
VALHALL UNIT	2010-01-01	TO	TRANSFER	BP Norge AS	7.859360	\N	41657	2052695	9999-12-31	2013-05-08
VALHALL UNIT	2003-05-06	TO	\N	Total E&P Norge AS	15.718710	\N	41657	2410708	9999-12-31	2013-05-08
VALHALL UNIT	2006-06-26	TO	\N	Hess Norge AS	28.093760	\N	41657	4038735	9999-12-31	2013-05-08
VALHALL UNIT	2010-01-01	TO	TRANSFER	Hess Norge AS	35.953120	\N	41657	4038735	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	FROM	\N	Amerada Hess Norge AS	0.049930	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	FROM	\N	Amerada Hess Norge AS	0.890300	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	FROM	\N	Amoco Norway Oil Company	0.049930	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	FROM	\N	Amoco Norway Oil Company	0.890300	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	FROM	\N	Conoco Norway Inc.	0.479180	\N	41686	210	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	FROM	\N	Conoco Norway Inc.	8.409320	\N	41686	210	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	FROM	\N	Norske Conoco A/S	10.327470	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-01	FROM	\N	Enterprise Oil Norwegian AS	0.890300	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	FROM	\N	Esso Exploration and Production Norway A/S	0.479180	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	2004-10-01	FROM	\N	Esso Exploration and Production Norway A/S	21.367170	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	FROM	\N	Mobil Development Norway AS	0.718700	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-02	FROM	\N	Mobil Development Norway AS	12.820300	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	FROM	\N	A/S Norske Shell	0.479180	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	2010-01-01	FROM	TRANSFER	A/S Norske Shell	8.546870	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	FROM	\N	Saga Petroleum ASA	0.089760	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1999-12-11	FROM	\N	Saga Petroleum ASA	1.602540	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	FROM	\N	Den norske stats oljeselskap a.s	2.395690	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	44.336880	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	FROM	\N	Texas Eastern Norwegian Inc.	0.049930	\N	41686	837	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	FROM	\N	Texas Eastern Norwegian Inc.	0.875970	\N	41686	837	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	FROM	\N	BRITOIL	5.302260	\N	41686	2825	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	FROM	\N	BRITISH NATIONAL OIL CORPORATION	5.302260	\N	41686	41719	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	FROM	\N	Conoco North Sea Inc.	5.302260	\N	41686	41730	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	FROM	\N	GULF (U.K.) OFFSHORE INVESTMENT LTD	2.651130	\N	41686	41741	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	FROM	\N	GULF OIL CORPORATION	2.651130	\N	41686	41752	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	FROM	\N	CONOCO (UK) LTD	0.381820	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	FROM	\N	CONOCO (UK) LTD	0.076670	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	FROM	\N	CONOCO (UK) LTD	4.843770	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	FROM	\N	BP Petroleum Development Ltd	0.381820	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	FROM	\N	BP Petroleum Development Ltd	0.076670	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	2006-01-01	FROM	\N	BP Petroleum Development Ltd	4.843770	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	FROM	\N	Chevron UK Ltd.	0.381820	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	FROM	\N	Chevron UK Ltd.	0.076670	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	2002-11-19	FROM	\N	Chevron UK Ltd.	4.843770	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	44.336880	\N	41686	1622484	9999-12-31	2013-05-08
STATFJORD UNIT	2010-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2007-01-01	FROM	\N	Norske ConocoPhillips AS	10.327470	\N	41686	2399056	9999-12-31	2013-05-08
STATFJORD UNIT	2012-04-30	FROM	TRANSFER	ConocoPhillips Skandinavia AS	10.327470	\N	41686	2410696	9999-12-31	2013-05-08
STATFJORD UNIT	2004-04-01	FROM	\N	Chevron Texaco UK Ltd.	4.843770	\N	41686	2748096	9999-12-31	2013-05-08
STATFJORD UNIT	2012-04-30	FROM	TRANSFER	ConocoPhillips (U.K.) Limited.	4.843770	\N	41686	2748185	9999-12-31	2013-05-08
STATFJORD UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	44.336880	\N	41686	4511658	9999-12-31	2013-05-08
STATFJORD UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	44.336880	\N	41686	4511854	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	TO	\N	Amerada Hess Norge AS	0.011930	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	TO	\N	Amerada Hess Norge AS	0.002400	\N	41686	67	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	TO	\N	Amoco Norway Oil Company	0.011930	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	TO	\N	Amoco Norway Oil Company	0.002400	\N	41686	78	9999-12-31	2013-05-08
STATFJORD UNIT	1981-01-01	TO	\N	Norske Conoco A/S	8.409320	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	TO	\N	Norske Conoco A/S	0.114550	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	TO	\N	Norske Conoco A/S	0.023000	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1995-01-01	TO	\N	Norske Conoco A/S	0.890300	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1997-07-01	TO	\N	Norske Conoco A/S	0.890300	\N	41686	221	9999-12-31	2013-05-08
STATFJORD UNIT	1989-04-14	TO	\N	Enterprise Oil Norwegian AS	0.875970	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	TO	\N	Enterprise Oil Norwegian AS	0.011930	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	TO	\N	Enterprise Oil Norwegian AS	0.002400	\N	41686	342	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	TO	\N	Esso Exploration and Production Norway A/S	0.114550	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	TO	\N	Esso Exploration and Production Norway A/S	0.023000	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-02	TO	\N	Esso Exploration and Production Norway A/S	12.820300	\N	41686	353	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	TO	\N	Mobil Development Norway AS	0.171800	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	TO	\N	Mobil Development Norway AS	0.034500	\N	41686	474	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	TO	\N	A/S Norske Shell	0.114550	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	TO	\N	A/S Norske Shell	0.023000	\N	41686	562	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	TO	\N	Saga Petroleum ASA	0.021490	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	TO	\N	Saga Petroleum ASA	0.004310	\N	41686	716	9999-12-31	2013-05-08
STATFJORD UNIT	1991-09-01	TO	\N	Den norske stats oljeselskap a.s	0.572730	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1994-07-01	TO	\N	Den norske stats oljeselskap a.s	0.115000	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1999-12-11	TO	\N	Den norske stats oljeselskap a.s	1.602540	\N	41686	749	9999-12-31	2013-05-08
STATFJORD UNIT	1982-01-01	TO	\N	BRITOIL	5.302260	\N	41686	2825	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	TO	\N	BRITISH NATIONAL OIL CORPORATION	1.597160	\N	41686	41719	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	TO	\N	Conoco North Sea Inc.	1.597160	\N	41686	41730	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	TO	\N	GULF (U.K.) OFFSHORE INVESTMENT LTD	0.798580	\N	41686	41741	9999-12-31	2013-05-08
STATFJORD UNIT	1979-11-24	TO	\N	GULF OIL CORPORATION	0.798580	\N	41686	41752	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	TO	\N	CONOCO (UK) LTD	5.302260	\N	41686	42056	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	TO	\N	BP Petroleum Development Ltd	5.302260	\N	41686	42067	9999-12-31	2013-05-08
STATFJORD UNIT	1990-01-01	TO	\N	Chevron UK Ltd.	5.302260	\N	41686	42078	9999-12-31	2013-05-08
STATFJORD UNIT	2001-05-10	TO	\N	Statoil ASA (old)	44.336880	\N	41686	1622484	9999-12-31	2013-05-08
STATFJORD UNIT	2002-01-01	TO	\N	Enterprise Oil Norge AS	0.890300	\N	41686	1853786	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	TO	\N	Norske ConocoPhillips AS	10.327470	\N	41686	2399056	9999-12-31	2013-05-08
STATFJORD UNIT	2007-01-01	TO	\N	ConocoPhillips Skandinavia AS	10.327470	\N	41686	2410696	9999-12-31	2013-05-08
STATFJORD UNIT	2002-11-19	TO	\N	Chevron Texaco UK Ltd.	4.843770	\N	41686	2748096	9999-12-31	2013-05-08
STATFJORD UNIT	2003-03-22	TO	\N	ConocoPhillips (U.K.) Limited.	4.843770	\N	41686	2748185	9999-12-31	2013-05-08
STATFJORD UNIT	2004-10-01	TO	\N	ExxonMobil Exploration & Production Norway AS	21.367170	\N	41686	2835212	9999-12-31	2013-05-08
STATFJORD UNIT	2004-04-01	TO	\N	Centrica Resources Limited	4.843770	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2006-01-01	TO	\N	Centrica Resources Limited	4.843770	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2012-04-30	TO	TRANSFER	Centrica Resources Limited	4.843770	\N	41686	3000873	9999-12-31	2013-05-08
STATFJORD UNIT	2010-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	9.437170	\N	41686	4238233	9999-12-31	2013-05-08
STATFJORD UNIT	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	10.327470	\N	41686	4238233	9999-12-31	2013-05-08
STATFJORD UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	44.336880	\N	41686	4511658	9999-12-31	2013-05-08
STATFJORD UNIT	2007-10-01	TO	\N	StatoilHydro ASA	44.336880	\N	41686	4511854	9999-12-31	2013-05-08
STATFJORD UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	44.336880	\N	41686	17237817	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1984-08-17	FROM	\N	Elf Aquitaine Norge A/S	7.455600	\N	42225	331	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1991-12-20	FROM	\N	Elf Aquitaine Norge A/S	6.300000	\N	42225	331	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1992-08-14	FROM	\N	Elf Aquitaine Norge A/S	11.096400	\N	42225	331	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1984-08-17	FROM	\N	Norsk Hydro Produksjon AS	5.916600	\N	42225	430	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1984-08-17	FROM	\N	Den norske stats oljeselskap a.s	0.900000	\N	42225	749	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1984-08-17	FROM	\N	Total Norge AS	3.727800	\N	42225	848	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1992-08-14	TO	\N	Elf Petroleum Norge AS	11.096400	\N	42225	298	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1984-08-17	TO	\N	Esso Exploration and Production Norway A/S	18.000000	\N	42225	353	9999-12-31	2013-05-08
NORDØST FRIGG UNIT	1991-12-20	TO	\N	Den norske stats oljeselskap a.s	6.300000	\N	42225	749	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	FROM	\N	Amerada Hess Norge AS	0.029800	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1997-07-01	FROM	\N	Amerada Hess Norge AS	0.231300	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	FROM	\N	Amoco Norway Oil Company	0.029800	\N	42302	78	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	FROM	\N	Amoco Norway Oil Company	0.231300	\N	42302	78	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	FROM	\N	Norske Conoco A/S	0.286200	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	2003-03-22	FROM	\N	Norske Conoco A/S	2.682600	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	2001-12-31	FROM	\N	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	FROM	\N	Esso Exploration and Production Norway A/S	0.286200	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	2004-01-01	FROM	\N	Esso Exploration and Production Norway A/S	5.550000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	FROM	\N	Mobil Development Norway AS	0.429300	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	2002-01-01	FROM	\N	Mobil Development Norway AS	3.330000	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	FROM	\N	A/S Norske Shell	0.286200	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	2004-01-01	FROM	\N	A/S Norske Shell	2.220000	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	FROM	\N	Saga Petroleum ASA	0.053700	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1999-12-11	FROM	\N	Saga Petroleum ASA	0.416200	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	FROM	\N	Den norske stats oljeselskap a.s	1.431200	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	11.516200	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	FROM	\N	Texas Eastern Norwegian Inc.	0.029900	\N	42302	837	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	FROM	\N	Texas Eastern Norwegian Inc.	0.231200	\N	42302	837	9999-12-31	2013-05-08
MURCHISON UNIT	2001-07-06	FROM	\N	Ranger Oil (UK) Ltd	9.076660	\N	42302	2742	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	FROM	\N	BRITOIL	2.937500	\N	42302	2825	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	FROM	CHANGE OF COMPANY NAME	BRITOIL	25.933300	\N	42302	2825	9999-12-31	2013-05-08
MURCHISON UNIT	1999-04-19	FROM	\N	Oryx (UK) Energy Company	68.723340	\N	42302	2897	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	FROM	\N	BRITISH NATIONAL OIL CORPORATION	27.916700	\N	42302	41719	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	FROM	\N	Conoco North Sea Inc.	2.937400	\N	42302	41730	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	FROM	\N	Conoco North Sea Inc.	24.979300	\N	42302	41730	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	FROM	\N	GULF OIL CORPORATION	2.937400	\N	42302	41752	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	FROM	\N	GULF OIL CORPORATION	24.979200	\N	42302	41752	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	FROM	\N	CONOCO (UK) LTD	25.933400	\N	42302	42056	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	FROM	\N	Chevron UK Ltd.	25.933300	\N	42302	42078	9999-12-31	2013-05-08
MURCHISON UNIT	2002-11-01	FROM	\N	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	42302	1024802	9999-12-31	2013-05-08
MURCHISON UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	11.516200	\N	42302	1622484	9999-12-31	2013-05-08
MURCHISON UNIT	2004-01-01	FROM	\N	Enterprise Oil Norge AS	0.231200	\N	42302	1853786	9999-12-31	2013-05-08
MURCHISON UNIT	2004-01-01	FROM	\N	Norske ConocoPhillips AS	2.682600	\N	42302	2399056	9999-12-31	2013-05-08
MURCHISON UNIT	2005-05-04	FROM	\N	Revus Energy AS	10.683800	\N	42302	2455850	9999-12-31	2013-05-08
MURCHISON UNIT	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	22.200000	\N	42302	3431773	9999-12-31	2013-05-08
MURCHISON UNIT	2008-01-10	FROM	\N	StatoilHydro ASA	11.516200	\N	42302	4511854	9999-12-31	2013-05-08
MURCHISON UNIT	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	22.200000	\N	42302	5442509	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	TO	\N	Amerada Hess Norge AS	0.091800	\N	42302	67	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	TO	\N	Amoco Norway Oil Company	0.091800	\N	42302	78	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	TO	\N	Norske Conoco A/S	0.881200	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1995-01-01	TO	\N	Norske Conoco A/S	0.231300	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1997-07-01	TO	\N	Norske Conoco A/S	0.231300	\N	42302	221	9999-12-31	2013-05-08
MURCHISON UNIT	1989-04-14	TO	\N	Enterprise Oil Norwegian AS	0.231200	\N	42302	342	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	TO	\N	Esso Exploration and Production Norway A/S	0.881200	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	2002-01-01	TO	\N	Esso Exploration and Production Norway A/S	3.330000	\N	42302	353	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	TO	\N	Mobil Development Norway AS	1.321800	\N	42302	474	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	TO	\N	A/S Norske Shell	0.881200	\N	42302	562	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	TO	\N	Saga Petroleum ASA	0.165300	\N	42302	716	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	TO	\N	Den norske stats oljeselskap a.s	4.406200	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1999-12-11	TO	\N	Den norske stats oljeselskap a.s	0.416200	\N	42302	749	9999-12-31	2013-05-08
MURCHISON UNIT	1983-11-01	TO	\N	Texas Eastern Norwegian Inc.	0.091800	\N	42302	837	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	TO	\N	Ranger Oil (UK) Ltd	9.076660	\N	42302	2742	9999-12-31	2013-05-08
MURCHISON UNIT	1982-01-01	TO	\N	BRITOIL	27.916700	\N	42302	2825	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	TO	\N	BRITOIL	0.954100	\N	42302	2825	9999-12-31	2013-05-08
MURCHISON UNIT	1990-01-01	TO	CHANGE OF COMPANY NAME	Oryx (UK) Energy Company	25.933300	\N	42302	2897	9999-12-31	2013-05-08
MURCHISON UNIT	1994-07-01	TO	\N	Oryx (UK) Energy Company	25.933400	\N	42302	2897	9999-12-31	2013-05-08
MURCHISON UNIT	1996-10-29	TO	\N	Oryx (UK) Energy Company	16.856640	\N	42302	2897	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	TO	\N	CONOCO (UK) LTD	25.933400	\N	42302	42056	9999-12-31	2013-05-08
MURCHISON UNIT	1986-09-01	TO	\N	Chevron UK Ltd.	25.933300	\N	42302	42078	9999-12-31	2013-05-08
MURCHISON UNIT	1999-04-19	TO	\N	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	42302	1024802	9999-12-31	2013-05-08
MURCHISON UNIT	2001-05-10	TO	\N	Statoil ASA (old)	11.516200	\N	42302	1622484	9999-12-31	2013-05-08
MURCHISON UNIT	2001-12-31	TO	\N	Enterprise Oil Norge AS	0.231200	\N	42302	1853786	9999-12-31	2013-05-08
MURCHISON UNIT	2001-07-06	TO	\N	CNR International (UK) Limited	9.076660	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2002-11-01	TO	\N	CNR International (UK) Limited	68.723340	\N	42302	2385943	9999-12-31	2013-05-08
MURCHISON UNIT	2003-03-22	TO	\N	Norske ConocoPhillips AS	2.682600	\N	42302	2399056	9999-12-31	2013-05-08
MURCHISON UNIT	2004-01-01	TO	\N	Revus Energy AS	10.683800	\N	42302	2455850	9999-12-31	2013-05-08
MURCHISON UNIT	2005-05-04	TO	\N	Revus Energy ASA	10.683800	\N	42302	3431773	9999-12-31	2013-05-08
MURCHISON UNIT	2008-01-10	TO	\N	Revus Energy ASA	11.516200	\N	42302	3431773	9999-12-31	2013-05-08
MURCHISON UNIT	2007-10-01	TO	\N	StatoilHydro ASA	11.516200	\N	42302	4511854	9999-12-31	2013-05-08
MURCHISON UNIT	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	22.200000	\N	42302	5442509	9999-12-31	2013-05-08
MURCHISON UNIT	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	22.200000	\N	42302	21666830	9999-12-31	2013-05-08
FRIGG UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	16.068000	\N	45634	298	9999-12-31	2013-05-08
FRIGG UNIT	1991-12-20	FROM	\N	Elf Aquitaine Norge A/S	9.123000	\N	45634	331	9999-12-31	2013-05-08
FRIGG UNIT	1992-08-14	FROM	\N	Elf Aquitaine Norge A/S	16.068000	\N	45634	331	9999-12-31	2013-05-08
FRIGG UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	19.992000	\N	45634	430	9999-12-31	2013-05-08
FRIGG UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	12.164000	\N	45634	749	9999-12-31	2013-05-08
FRIGG UNIT	2001-12-18	FROM	\N	Total Norge AS	12.596000	\N	45634	848	9999-12-31	2013-05-08
FRIGG UNIT	1989-01-01	FROM	\N	BP Petroleum Development Ltd	0.230000	\N	45634	42067	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	FROM	\N	Aquitaine UK	8.707000	\N	45634	45674	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	FROM	\N	ELF Oil UK	17.413000	\N	45634	45685	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	FROM	\N	Total Oil Marine Ltd	0.080000	\N	45634	45696	9999-12-31	2013-05-08
FRIGG UNIT	2003-05-06	FROM	\N	Total Oil Marine Ltd	13.060000	\N	45634	45696	9999-12-31	2013-05-08
FRIGG UNIT	2003-05-06	FROM	\N	Elf Exploration UK Ltd	26.120000	\N	45634	45736	9999-12-31	2013-05-08
FRIGG UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	28.664000	\N	45634	1340884	9999-12-31	2013-05-08
FRIGG UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	12.164000	\N	45634	1622484	9999-12-31	2013-05-08
FRIGG UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	32.156000	\N	45634	4511658	9999-12-31	2013-05-08
FRIGG UNIT	2009-01-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro ASA	12.164000	\N	45634	4511854	9999-12-31	2013-05-08
FRIGG UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	19.992000	\N	45634	4524355	9999-12-31	2013-05-08
FRIGG UNIT	1992-08-14	TO	\N	Elf Petroleum Norge AS	16.068000	\N	45634	298	9999-12-31	2013-05-08
FRIGG UNIT	1991-12-20	TO	\N	Den norske stats oljeselskap a.s	9.123000	\N	45634	749	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	TO	\N	BP Petroleum Development Ltd	0.230000	\N	45634	42067	9999-12-31	2013-05-08
FRIGG UNIT	1989-01-01	TO	\N	Total Oil Marine Ltd	0.080000	\N	45634	45696	9999-12-31	2013-05-08
FRIGG UNIT	1981-01-01	TO	\N	Elf Exploration UK Ltd	25.970000	\N	45634	45736	9999-12-31	2013-05-08
FRIGG UNIT	1989-01-01	TO	\N	Elf Exploration UK Ltd	0.150000	\N	45634	45736	9999-12-31	2013-05-08
FRIGG UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	16.068000	\N	45634	1340884	9999-12-31	2013-05-08
FRIGG UNIT	2001-12-18	TO	\N	TotalFinaElf Exploration Norge AS	12.596000	\N	45634	1340884	9999-12-31	2013-05-08
FRIGG UNIT	2001-05-10	TO	\N	Statoil ASA (old)	12.164000	\N	45634	1622484	9999-12-31	2013-05-08
FRIGG UNIT	2003-05-06	TO	\N	Total E&P Norge AS	28.664000	\N	45634	2410708	9999-12-31	2013-05-08
FRIGG UNIT	2003-05-06	TO	\N	TOTAL E&P UK PLC	39.180000	\N	45634	2747820	9999-12-31	2013-05-08
FRIGG UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	19.992000	\N	45634	4511658	9999-12-31	2013-05-08
FRIGG UNIT	2009-01-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	12.164000	\N	45634	4511658	9999-12-31	2013-05-08
FRIGG UNIT	2007-10-01	TO	\N	StatoilHydro ASA	12.164000	\N	45634	4511854	9999-12-31	2013-05-08
FRIGG UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	19.992000	\N	45634	4524355	9999-12-31	2013-05-08
FRIGG UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	32.156000	\N	45634	17237817	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	FROM	\N	Norsk Agip  AS	0.479680	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	FROM	\N	Norsk Agip  AS	0.210330	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	FROM	\N	Norsk Agip  AS	0.480840	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	2003-12-31	FROM	\N	Norsk Agip  AS	10.816560	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	FROM	\N	Amerada Hess Norge AS	1.285900	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	2000-07-24	FROM	\N	Amerada Hess Norge AS	8.737660	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	FROM	\N	Amoco Norway Oil Company	1.285900	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	FROM	\N	Amoco Norway Oil Company	7.437870	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	FROM	\N	Aquitaine Norge A/S	2.010000	\N	45891	111	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	FROM	\N	Cofranord A/S	0.011200	\N	45891	199	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	FROM	\N	Cofranord A/S	0.004910	\N	45891	199	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	FROM	\N	Cofranord A/S	0.224200	\N	45891	199	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	FROM	\N	Coparex Norge A/S	0.014720	\N	45891	243	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	FROM	\N	Coparex Norge A/S	0.006400	\N	45891	243	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	FROM	\N	Coparex Norge A/S	0.294300	\N	45891	243	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	FROM	\N	Elf Norge A/S	4.020100	\N	45891	287	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	FROM	\N	Elf Petroleum Norge AS	0.311550	\N	45891	298	9999-12-31	2013-05-08
TOR UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	11.634190	\N	45891	298	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	FROM	\N	Elf Rep Norge A/S	0.336300	\N	45891	309	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	FROM	\N	Elf Rex Norge AS	0.740740	\N	45891	320	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	FROM	\N	Elf Aquitaine Norge A/S	0.297690	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	FROM	\N	Elf Aquitaine Norge A/S	0.130560	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	FROM	\N	Elf Aquitaine Norge A/S	0.368750	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	FROM	\N	Elf Aquitaine Norge A/S	9.538140	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	FROM	\N	Enterprise Oil Norwegian AS	7.437870	\N	45891	342	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	FROM	\N	Eurafrep Norge A/S	0.016750	\N	45891	364	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	FROM	\N	Eurafrep Norge A/S	0.007350	\N	45891	364	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	FROM	\N	Eurafrep Norge A/S	0.336300	\N	45891	364	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	FROM	\N	Fina Production Licenses AS	1.106230	\N	45891	386	9999-12-31	2013-05-08
TOR UNIT	2000-12-15	FROM	\N	Fina Production Licenses AS	24.884730	\N	45891	386	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	FROM	\N	Norsk Hydro Produksjon AS	0.246460	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	FROM	\N	Norsk Hydro Produksjon AS	0.108050	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	FROM	\N	Norsk Hydro Produksjon AS	0.247060	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	5.809740	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	FROM	\N	Norwegian Oil Consortium A/S & Co	0.680700	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	FROM	\N	Norwegian Oil Consortium A/S & Co	3.937690	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	FROM	\N	Norminol AS	0.263370	\N	45891	529	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	FROM	\N	Phillips Petroleum Company Norway	1.359520	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	FROM	\N	Phillips Petroleum Company Norway	0.596030	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	FROM	\N	Phillips Petroleum Company Norway	1.362870	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	2002-10-23	FROM	\N	Phillips Petroleum Company Norway	30.657990	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	2003-05-06	FROM	\N	Phillips Petroleum Norsk AS	30.657990	\N	45891	705	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	FROM	\N	Saga Petroleum ASA	0.011210	\N	45891	716	9999-12-31	2013-05-08
TOR UNIT	2001-01-11	FROM	\N	Saga Petroleum ASA	0.252160	\N	45891	716	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	FROM	\N	Den norske stats oljeselskap a.s	0.036890	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	4.516920	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	FROM	\N	Texas Eastern Norwegian Inc.	1.285900	\N	45891	837	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	FROM	\N	Texas Eastern Norwegian Inc.	7.437870	\N	45891	837	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	FROM	\N	Total Norge AS	0.148890	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	FROM	\N	Total Norge AS	0.065220	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	FROM	\N	Total Norge AS	0.368750	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	FROM	\N	Total Norge AS	0.130790	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	2001-12-18	FROM	\N	Total Norge AS	27.826940	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	FROM	\N	Fina Exploration Norway SCA	1.103600	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	FROM	\N	Fina Exploration Norway SCA	0.483840	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	FROM	\N	Fina Exploration Norway SCA	25.990960	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	48.198790	\N	45891	1340884	9999-12-31	2013-05-08
TOR UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	0.829480	\N	45891	1622484	9999-12-31	2013-05-08
TOR UNIT	2001-06-17	FROM	\N	SDØE	3.687440	\N	45891	1623450	9999-12-31	2013-05-08
TOR UNIT	2003-03-05	FROM	\N	ConocoPhillips Norge	30.657990	\N	45891	2144081	9999-12-31	2013-05-08
TOR UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	6.639220	\N	45891	4511658	9999-12-31	2013-05-08
TOR UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	0.829480	\N	45891	4511854	9999-12-31	2013-05-08
TOR UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	5.809740	\N	45891	4524355	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	TO	\N	Norsk Agip  AS	0.591810	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	TO	\N	Norsk Agip  AS	1.680600	\N	45891	45	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	TO	\N	Amerada Hess Norge AS	1.042220	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	TO	\N	Amerada Hess Norge AS	0.456950	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	TO	\N	Amerada Hess Norge AS	1.299790	\N	45891	67	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	TO	\N	Amoco Norway Oil Company	1.042220	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	TO	\N	Amoco Norway Oil Company	0.456950	\N	45891	78	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	TO	\N	Cofranord A/S	0.013810	\N	45891	199	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	TO	\N	Coparex Norge A/S	0.018120	\N	45891	243	9999-12-31	2013-05-08
TOR UNIT	1992-08-14	TO	\N	Elf Petroleum Norge AS	9.538140	\N	45891	298	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	TO	\N	Elf Petroleum Norge AS	1.666860	\N	45891	298	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	TO	\N	Elf Petroleum Norge AS	0.740740	\N	45891	298	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	TO	\N	Elf Rep Norge A/S	0.336300	\N	45891	309	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	TO	\N	Elf Rex Norge AS	0.294300	\N	45891	320	9999-12-31	2013-05-08
TOR UNIT	1992-09-15	TO	\N	Elf Rex Norge AS	0.336300	\N	45891	320	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	TO	\N	Elf Rex Norge AS	0.110140	\N	45891	320	9999-12-31	2013-05-08
TOR UNIT	1977-07-01	TO	\N	Elf Aquitaine Norge A/S	6.030100	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	TO	\N	Elf Aquitaine Norge A/S	0.367350	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1992-02-25	TO	\N	Elf Aquitaine Norge A/S	3.937690	\N	45891	331	9999-12-31	2013-05-08
TOR UNIT	1989-04-14	TO	\N	Enterprise Oil Norwegian AS	7.437870	\N	45891	342	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	TO	\N	Eurafrep Norge A/S	0.020700	\N	45891	364	9999-12-31	2013-05-08
TOR UNIT	1997-01-01	TO	\N	Fina Production Licenses AS	25.990960	\N	45891	386	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	TO	\N	Norsk Hydro Produksjon AS	0.304110	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	TO	\N	Norsk Hydro Produksjon AS	0.863440	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	0.252160	\N	45891	430	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	TO	\N	Norwegian Oil Consortium A/S & Co	0.551850	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	TO	\N	Norwegian Oil Consortium A/S & Co	0.241840	\N	45891	518	9999-12-31	2013-05-08
TOR UNIT	1990-11-22	TO	\N	Norminol AS	0.224200	\N	45891	529	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	TO	\N	Norminol AS	0.039170	\N	45891	529	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	TO	\N	Phillips Petroleum Company Norway	1.677350	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	TO	\N	Phillips Petroleum Company Norway	4.763360	\N	45891	694	9999-12-31	2013-05-08
TOR UNIT	2003-03-05	TO	\N	Phillips Petroleum Norsk AS	30.657990	\N	45891	705	9999-12-31	2013-05-08
TOR UNIT	1995-01-01	TO	\N	Saga Petroleum ASA	0.263370	\N	45891	716	9999-12-31	2013-05-08
TOR UNIT	1988-04-01	TO	\N	Den norske stats oljeselskap a.s	0.737500	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	TO	\N	Den norske stats oljeselskap a.s	0.128870	\N	45891	749	9999-12-31	2013-05-08
TOR UNIT	1999-01-01	TO	\N	Den norske stats oljeselskap a.s	3.687440	3.687440	45891	749	9999-12-31	2013-05-08
TOR UNIT	1980-10-01	TO	\N	Texas Eastern Norwegian Inc.	1.042220	\N	45891	837	9999-12-31	2013-05-08
TOR UNIT	1985-10-01	TO	\N	Texas Eastern Norwegian Inc.	0.456950	\N	45891	837	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	TO	\N	Total Norge AS	0.183610	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	TO	\N	Total Norge AS	0.457150	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	2000-12-15	TO	\N	Total Norge AS	24.884730	\N	45891	848	9999-12-31	2013-05-08
TOR UNIT	1983-01-01	TO	\N	Fina Exploration Norway SCA	1.361540	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	1994-08-26	TO	\N	Fina Exploration Norway SCA	3.866360	\N	45891	39395	9999-12-31	2013-05-08
TOR UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	20.371850	\N	45891	1340884	9999-12-31	2013-05-08
TOR UNIT	2001-12-18	TO	\N	TotalFinaElf Exploration Norge AS	27.826940	\N	45891	1340884	9999-12-31	2013-05-08
TOR UNIT	2001-05-10	TO	\N	Statoil ASA (old)	0.829480	\N	45891	1622484	9999-12-31	2013-05-08
TOR UNIT	2001-05-10	TO	\N	SDØE	3.687440	\N	45891	1623450	9999-12-31	2013-05-08
TOR UNIT	2001-06-17	TO	\N	Petoro AS	3.687440	\N	45891	1626839	9999-12-31	2013-05-08
TOR UNIT	2002-10-23	TO	\N	ConocoPhillips Norge	30.657990	\N	45891	2144081	9999-12-31	2013-05-08
TOR UNIT	2003-12-31	TO	\N	Eni Norge AS	10.816560	\N	45891	2388594	9999-12-31	2013-05-08
TOR UNIT	2003-05-06	TO	\N	ConocoPhillips Skandinavia AS	30.657990	\N	45891	2410696	9999-12-31	2013-05-08
TOR UNIT	2003-05-06	TO	\N	Total E&P Norge AS	48.198790	\N	45891	2410708	9999-12-31	2013-05-08
TOR UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	5.809740	\N	45891	4511658	9999-12-31	2013-05-08
TOR UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	0.829480	\N	45891	4511658	9999-12-31	2013-05-08
TOR UNIT	2007-10-01	TO	\N	StatoilHydro ASA	0.829480	\N	45891	4511854	9999-12-31	2013-05-08
TOR UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	5.809740	\N	45891	4524355	9999-12-31	2013-05-08
TOR UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	6.639220	\N	45891	17237817	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	FROM	\N	Norske Conoco A/S	6.645800	\N	96205	221	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	FROM	\N	Deminex Norge AS	1.260000	\N	96205	254	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	FROM	\N	Elf Petroleum Norge AS	2.520000	\N	96205	298	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	FROM	\N	Enterprise Oil Norwegian AS	0.572900	\N	96205	342	9999-12-31	2013-05-08
SYGNA UNIT	2004-10-01	FROM	\N	Esso Exploration and Production Norway A/S	18.475000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	5.976300	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	FROM	\N	Mobil Development Norway AS	8.250000	\N	96205	474	9999-12-31	2013-05-08
SYGNA UNIT	2010-01-01	FROM	TRANSFER	A/S Norske Shell	5.500000	\N	96205	562	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	FROM	\N	Saga Petroleum ASA	2.300000	\N	96205	716	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	FROM	\N	Saga Petroleum ASA	2.196300	\N	96205	716	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	54.730000	\N	96205	749	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	2.520000	\N	96205	1340884	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	24.730000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	FROM	\N	SDØE	9.450000	\N	96205	1623450	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	FROM	\N	SDØE	30.000000	\N	96205	1623450	9999-12-31	2013-05-08
SYGNA UNIT	2010-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	FROM	\N	Norske ConocoPhillips AS	6.645800	\N	96205	2399056	9999-12-31	2013-05-08
SYGNA UNIT	2012-04-30	FROM	TRANSFER	ConocoPhillips Skandinavia AS	6.645800	\N	96205	2410696	9999-12-31	2013-05-08
SYGNA UNIT	2012-01-01	FROM	TRANSFER	Total E&P Norge AS	2.520000	\N	96205	2410708	9999-12-31	2013-05-08
SYGNA UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.706300	\N	96205	4511658	9999-12-31	2013-05-08
SYGNA UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	24.730000	\N	96205	4511854	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	5.976300	\N	96205	4524355	9999-12-31	2013-05-08
SYGNA UNIT	2002-01-01	TO	\N	Esso Exploration and Production Norway A/S	8.250000	\N	96205	353	9999-12-31	2013-05-08
SYGNA UNIT	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	2.196300	\N	96205	430	9999-12-31	2013-05-08
SYGNA UNIT	1999-12-11	TO	\N	Den norske stats oljeselskap a.s	2.300000	\N	96205	749	9999-12-31	2013-05-08
SYGNA UNIT	1998-12-17	TO	\N	RWE Dea Norge AS	1.260000	\N	96205	97557	9999-12-31	2013-05-08
SYGNA UNIT	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	2.520000	\N	96205	1340884	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	TO	\N	Statoil ASA (old)	15.280000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-01	TO	\N	Statoil ASA (old)	9.450000	\N	96205	1622484	9999-12-31	2013-05-08
SYGNA UNIT	2001-05-10	TO	\N	SDØE	39.450000	\N	96205	1623450	9999-12-31	2013-05-08
SYGNA UNIT	2001-06-17	TO	\N	Petoro AS	30.000000	\N	96205	1626839	9999-12-31	2013-05-08
SYGNA UNIT	2001-12-31	TO	\N	Enterprise Oil Norge AS	0.572900	\N	96205	1853786	9999-12-31	2013-05-08
SYGNA UNIT	2003-03-22	TO	\N	Norske ConocoPhillips AS	6.645800	\N	96205	2399056	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-02	TO	\N	ConocoPhillips Skandinavia AS	6.645800	\N	96205	2410696	9999-12-31	2013-05-08
SYGNA UNIT	2003-05-06	TO	\N	Total E&P Norge AS	2.520000	\N	96205	2410708	9999-12-31	2013-05-08
SYGNA UNIT	2004-10-01	TO	\N	ExxonMobil Exploration & Production Norway AS	18.475000	\N	96205	2835212	9999-12-31	2013-05-08
SYGNA UNIT	2012-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	2.520000	\N	96205	2835212	9999-12-31	2013-05-08
SYGNA UNIT	2010-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	6.072900	\N	96205	4238233	9999-12-31	2013-05-08
SYGNA UNIT	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	6.645800	\N	96205	4238233	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	5.976300	\N	96205	4511658	9999-12-31	2013-05-08
SYGNA UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	24.730000	\N	96205	4511658	9999-12-31	2013-05-08
SYGNA UNIT	2007-10-01	TO	\N	StatoilHydro ASA	24.730000	\N	96205	4511854	9999-12-31	2013-05-08
SYGNA UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	5.976300	\N	96205	4524355	9999-12-31	2013-05-08
SYGNA UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.706300	\N	96205	17237817	9999-12-31	2013-05-08
GRANE UNIT	2003-03-22	FROM	\N	Norske Conoco A/S	6.400000	\N	1031365	221	9999-12-31	2013-05-08
GRANE UNIT	2004-10-01	FROM	\N	Esso Exploration and Production Norway A/S	25.600000	\N	1031365	353	9999-12-31	2013-05-08
GRANE UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	38.000000	\N	1031365	430	9999-12-31	2013-05-08
GRANE UNIT	2001-01-01	FROM	\N	Den norske stats oljeselskap a.s	6.400000	\N	1031365	749	9999-12-31	2013-05-08
GRANE UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	43.600000	\N	1031365	749	9999-12-31	2013-05-08
GRANE UNIT	2001-06-17	FROM	\N	SDØE	43.600000	\N	1031365	1623450	9999-12-31	2013-05-08
GRANE UNIT	2002-03-19	FROM	\N	Petoro AS	13.600000	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2009-01-01	FROM	TRANSFER	Petoro AS	1.057500	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2007-01-02	FROM	\N	Norske ConocoPhillips AS	6.400000	\N	1031365	2399056	9999-12-31	2013-05-08
GRANE UNIT	2009-01-01	FROM	TRANSFER	ConocoPhillips Skandinavia AS	0.225600	\N	1031365	2410696	9999-12-31	2013-05-08
GRANE UNIT	2009-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	1.339500	\N	1031365	4511658	9999-12-31	2013-05-08
GRANE UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	36.660500	\N	1031365	4511658	9999-12-31	2013-05-08
GRANE UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	38.000000	\N	1031365	4524355	9999-12-31	2013-05-08
GRANE UNIT	2001-01-01	TO	\N	Norske Conoco A/S	6.400000	\N	1031365	221	9999-12-31	2013-05-08
GRANE UNIT	2002-03-19	TO	\N	Norsk Hydro Produksjon AS	13.600000	\N	1031365	430	9999-12-31	2013-05-08
GRANE UNIT	2001-05-10	TO	\N	SDØE	43.600000	\N	1031365	1623450	9999-12-31	2013-05-08
GRANE UNIT	2001-06-17	TO	\N	Petoro AS	43.600000	\N	1031365	1626839	9999-12-31	2013-05-08
GRANE UNIT	2003-03-22	TO	\N	Norske ConocoPhillips AS	6.400000	\N	1031365	2399056	9999-12-31	2013-05-08
GRANE UNIT	2007-01-02	TO	\N	ConocoPhillips Skandinavia AS	6.400000	\N	1031365	2410696	9999-12-31	2013-05-08
GRANE UNIT	2004-10-01	TO	\N	ExxonMobil Exploration & Production Norway AS	25.600000	\N	1031365	2835212	9999-12-31	2013-05-08
GRANE UNIT	2009-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	2.622600	\N	1031365	2835212	9999-12-31	2013-05-08
GRANE UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	38.000000	\N	1031365	4511658	9999-12-31	2013-05-08
GRANE UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	38.000000	\N	1031365	4524355	9999-12-31	2013-05-08
GRANE UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	36.660500	\N	1031365	17237817	9999-12-31	2013-05-08
SNØHVIT UNIT	2006-06-26	FROM	\N	Amerada Hess Norge AS	3.260000	\N	1333943	67	9999-12-31	2013-05-08
SNØHVIT UNIT	2004-01-01	FROM	\N	Norsk Hydro Produksjon AS	10.000000	\N	1333943	430	9999-12-31	2013-05-08
SNØHVIT UNIT	2004-01-01	FROM	\N	Svenska Petroleum Exploration AS	1.240000	\N	1333943	738	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	64.290000	\N	1333943	749	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-12-18	FROM	\N	Total Norge AS	18.400000	\N	1333943	848	9999-12-31	2013-05-08
SNØHVIT UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	18.400000	\N	1333943	1340884	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-06	FROM	\N	Statoil ASA (old)	12.000000	\N	1333943	1622484	9999-12-31	2013-05-08
SNØHVIT UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	33.530000	\N	1333943	1622484	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-17	FROM	\N	SDØE	30.000000	\N	1333943	1623450	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	12.000000	\N	1333943	1628733	9999-12-31	2013-05-08
SNØHVIT UNIT	2011-01-01	FROM	TRANSFER	Hess Norge AS	3.260000	\N	1333943	4038735	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	33.530000	\N	1333943	4511658	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-02	FROM	MERGER/TAKEOVER	StatoilHydro ASA	33.530000	\N	1333943	4511854	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-12-18	TO	\N	TotalFinaElf Exploration Norge AS	18.400000	\N	1333943	1340884	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-05-10	TO	\N	Statoil ASA (old)	34.290000	\N	1333943	1622484	9999-12-31	2013-05-08
SNØHVIT UNIT	2004-01-01	TO	\N	Statoil ASA (old)	11.240000	\N	1333943	1622484	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-05-10	TO	\N	SDØE	30.000000	\N	1333943	1623450	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-17	TO	\N	Petoro AS	30.000000	\N	1333943	1626839	9999-12-31	2013-05-08
SNØHVIT UNIT	2001-06-06	TO	\N	Gaz de France Norge AS	12.000000	\N	1333943	1628733	9999-12-31	2013-05-08
SNØHVIT UNIT	2003-05-06	TO	\N	Total E&P Norge AS	18.400000	\N	1333943	2410708	9999-12-31	2013-05-08
SNØHVIT UNIT	2006-06-26	TO	\N	Hess Norge AS	3.260000	\N	1333943	4038735	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-02	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	33.530000	\N	1333943	4511658	9999-12-31	2013-05-08
SNØHVIT UNIT	2007-10-01	TO	\N	StatoilHydro ASA	33.530000	\N	1333943	4511854	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	12.000000	\N	1333943	5267845	9999-12-31	2013-05-08
SNØHVIT UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	33.530000	\N	1333943	17237817	9999-12-31	2013-05-08
SNØHVIT UNIT	2011-01-01	TO	TRANSFER	Statoil Petroleum AS	3.260000	\N	1333943	17237817	9999-12-31	2013-05-08
MIKKEL UNIT	2003-12-31	FROM	\N	Norsk Agip  AS	7.900000	\N	1629477	45	9999-12-31	2013-05-08
MIKKEL UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	10.000000	\N	1629477	430	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-02	FROM	MERGER/TAKEOVER	Mobil Development Norway AS	33.480000	\N	1629477	474	9999-12-31	2013-05-08
MIKKEL UNIT	2003-03-04	FROM	\N	Fortum Petroleum AS	7.000000	\N	1629477	102714	9999-12-31	2013-05-08
MIKKEL UNIT	2002-01-01	FROM	\N	Statoil ASA (old)	14.900000	\N	1629477	1622484	9999-12-31	2013-05-08
MIKKEL UNIT	2004-01-01	FROM	\N	Statoil ASA (old)	7.650000	\N	1629477	1622484	9999-12-31	2013-05-08
MIKKEL UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	33.970000	\N	1629477	1622484	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-01	FROM	\N	StatoilHydro Petroleum AS	10.000000	\N	1629477	4511658	9999-12-31	2013-05-08
MIKKEL UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	43.970000	\N	1629477	4511658	9999-12-31	2013-05-08
MIKKEL UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	43.970000	\N	1629477	4511854	9999-12-31	2013-05-08
MIKKEL UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	10.000000	\N	1629477	4524355	9999-12-31	2013-05-08
MIKKEL UNIT	2002-01-01	TO	\N	Norsk Agip  AS	7.900000	\N	1629477	45	9999-12-31	2013-05-08
MIKKEL UNIT	2002-01-01	TO	\N	Fortum Petroleum AS	7.000000	\N	1629477	102714	9999-12-31	2013-05-08
MIKKEL UNIT	2003-03-04	TO	\N	Eni Norge AS	7.000000	\N	1629477	2388594	9999-12-31	2013-05-08
MIKKEL UNIT	2003-12-31	TO	\N	Eni Norge AS	7.900000	\N	1629477	2388594	9999-12-31	2013-05-08
MIKKEL UNIT	2004-01-01	TO	\N	Total E&P Norge AS	7.650000	\N	1629477	2410708	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-02	TO	MERGER/TAKEOVER	ExxonMobil Exploration & Production Norway AS	33.480000	\N	1629477	2835212	9999-12-31	2013-05-08
MIKKEL UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	10.000000	\N	1629477	4511658	9999-12-31	2013-05-08
MIKKEL UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	43.970000	\N	1629477	4511658	9999-12-31	2013-05-08
MIKKEL UNIT	2007-10-01	TO	\N	StatoilHydro ASA	33.970000	\N	1629477	4511854	9999-12-31	2013-05-08
MIKKEL UNIT	2008-01-01	TO	\N	StatoilHydro ASA	10.000000	\N	1629477	4511854	9999-12-31	2013-05-08
MIKKEL UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	10.000000	\N	1629477	4524355	9999-12-31	2013-05-08
MIKKEL UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	43.970000	\N	1629477	17237817	9999-12-31	2013-05-08
SA-A	2000-07-24	FROM	\N	Elf Petroleum Norge AS	10.000000	\N	1630961	298	9999-12-31	2013-05-08
SA-A	2001-01-11	FROM	\N	Saga Petroleum ASA	10.000000	\N	1630961	716	9999-12-31	2013-05-08
SA-A	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	45.000000	\N	1630961	749	9999-12-31	2013-05-08
SA-A	2001-06-01	FROM	\N	SDØE	30.000000	\N	1630961	1623450	9999-12-31	2013-05-08
SA-A	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	10.000000	\N	1630961	430	9999-12-31	2013-05-08
SA-A	2000-07-24	TO	\N	TotalFinaElf Exploration Norge AS	10.000000	\N	1630961	1340884	9999-12-31	2013-05-08
SA-A	2001-05-10	TO	\N	Statoil ASA (old)	15.000000	\N	1630961	1622484	9999-12-31	2013-05-08
SA-A	2001-06-01	TO	\N	Statoil ASA (old)	30.000000	\N	1630961	1622484	9999-12-31	2013-05-08
SA-A	2001-05-10	TO	\N	SDØE	30.000000	\N	1630961	1623450	9999-12-31	2013-05-08
SA-C	2003-12-31	FROM	\N	Norsk Agip  AS	15.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	2004-01-01	FROM	\N	Norsk Agip  AS	6.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	15.000000	\N	1631138	342	9999-12-31	2013-05-08
SA-C	1999-04-13	FROM	\N	Neste Petroleum AS	10.000000	\N	1631138	496	9999-12-31	2013-05-08
SA-C	2001-01-11	FROM	\N	Saga Petroleum ASA	20.000000	\N	1631138	716	9999-12-31	2013-05-08
SA-C	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	40.000000	\N	1631138	749	9999-12-31	2013-05-08
SA-C	2003-03-04	FROM	\N	Fortum Petroleum AS	10.000000	\N	1631138	102714	9999-12-31	2013-05-08
SA-C	2001-06-01	FROM	\N	SDØE	20.000000	\N	1631138	1623450	9999-12-31	2013-05-08
SA-C	2002-08-30	FROM	TRANSFER	Enterprise Oil Norge AS	15.000000	\N	1631138	1853786	9999-12-31	2013-05-08
SA-C	2002-08-30	TO	TRANSFER	Norsk Agip  AS	6.000000	\N	1631138	45	9999-12-31	2013-05-08
SA-C	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	20.000000	\N	1631138	430	9999-12-31	2013-05-08
SA-C	2002-08-30	TO	TRANSFER	Norsk Hydro Produksjon AS	9.000000	\N	1631138	430	9999-12-31	2013-05-08
SA-C	1999-04-13	TO	\N	Fortum Petroleum AS	10.000000	\N	1631138	102714	9999-12-31	2013-05-08
SA-C	2001-05-10	TO	\N	Statoil ASA (old)	20.000000	\N	1631138	1622484	9999-12-31	2013-05-08
SA-C	2001-06-01	TO	\N	Statoil ASA (old)	20.000000	\N	1631138	1622484	9999-12-31	2013-05-08
SA-C	2001-05-10	TO	\N	SDØE	20.000000	\N	1631138	1623450	9999-12-31	2013-05-08
SA-C	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	15.000000	\N	1631138	1853786	9999-12-31	2013-05-08
SA-C	2003-03-04	TO	\N	Eni Norge AS	10.000000	\N	1631138	2388594	9999-12-31	2013-05-08
SA-C	2003-12-31	TO	\N	Eni Norge AS	15.000000	\N	1631138	2388594	9999-12-31	2013-05-08
SA-C	2004-01-01	TO	\N	Eni Norge AS	6.000000	\N	1631138	2388594	9999-12-31	2013-05-08
SA-F	2003-12-23	FROM	\N	Amerada Hess Norge AS	15.000000	\N	1631341	67	9999-12-31	2013-05-08
SA-F	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Produksjon AS	30.000000	\N	1631341	430	9999-12-31	2013-05-08
SA-F	2002-07-07	FROM	\N	Mobil Development Norway AS	20.000000	\N	1631341	474	9999-12-31	2013-05-08
SA-F	2001-01-11	FROM	\N	Saga Petroleum ASA	15.000000	\N	1631341	716	9999-12-31	2013-05-08
SA-F	2001-05-10	FROM	\N	Det Norske Oljeselskap AS	35.000000	\N	1631341	1340609	9999-12-31	2013-05-08
SA-F	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	55.000000	\N	1631341	1622484	9999-12-31	2013-05-08
SA-F	2001-06-01	FROM	\N	SDØE	20.000000	\N	1631341	1623450	9999-12-31	2013-05-08
SA-F	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	15.000000	\N	1631341	430	9999-12-31	2013-05-08
SA-F	2001-05-10	TO	\N	Statoil ASA (old)	15.000000	\N	1631341	1622484	9999-12-31	2013-05-08
SA-F	2001-06-01	TO	\N	Statoil ASA (old)	20.000000	\N	1631341	1622484	9999-12-31	2013-05-08
SA-F	2002-07-07	TO	\N	Statoil ASA (old)	20.000000	\N	1631341	1622484	9999-12-31	2013-05-08
SA-F	2001-05-10	TO	\N	SDØE	20.000000	\N	1631341	1623450	9999-12-31	2013-05-08
SA-F	2003-12-23	TO	\N	Gaz de France Norge AS	15.000000	\N	1631341	1628733	9999-12-31	2013-05-08
SA-F	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	1631341	4511658	9999-12-31	2013-05-08
SA-F	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	55.000000	\N	1631341	4511854	9999-12-31	2013-05-08
SA-G	2003-12-31	FROM	\N	Norsk Agip  AS	15.000000	\N	1631599	45	9999-12-31	2013-05-08
SA-G	2001-01-11	FROM	\N	Saga Petroleum ASA	20.000000	\N	1631599	716	9999-12-31	2013-05-08
SA-G	2001-05-10	FROM	\N	Den norske stats oljeselskap a.s	50.000000	\N	1631599	749	9999-12-31	2013-05-08
SA-G	2001-06-01	FROM	\N	SDØE	20.000000	\N	1631599	1623450	9999-12-31	2013-05-08
SA-G	2001-01-11	TO	\N	Norsk Hydro Produksjon AS	20.000000	\N	1631599	430	9999-12-31	2013-05-08
SA-G	2001-05-10	TO	\N	Statoil ASA (old)	30.000000	\N	1631599	1622484	9999-12-31	2013-05-08
SA-G	2001-06-01	TO	\N	Statoil ASA (old)	20.000000	\N	1631599	1622484	9999-12-31	2013-05-08
SA-G	2001-05-10	TO	\N	SDØE	20.000000	\N	1631599	1623450	9999-12-31	2013-05-08
SA-G	2003-12-31	TO	\N	Eni Norge AS	15.000000	\N	1631599	2388594	9999-12-31	2013-05-08
SA-SB	2001-12-31	FROM	\N	Enterprise Oil Norwegian AS	40.000000	\N	1631767	342	9999-12-31	2013-05-08
SA-SB	2006-03-22	FROM	\N	Paladin Resources Norge AS	10.000000	\N	1631767	1577943	9999-12-31	2013-05-08
SA-SB	2003-06-24	FROM	\N	Enterprise Oil Norge AS	10.000000	\N	1631767	1853786	9999-12-31	2013-05-08
SA-SB	2003-06-24	TO	\N	Paladin Resources Norge AS	10.000000	\N	1631767	1577943	9999-12-31	2013-05-08
SA-SB	2001-12-31	TO	\N	Enterprise Oil Norge AS	40.000000	\N	1631767	1853786	9999-12-31	2013-05-08
SA-SB	2006-03-22	TO	\N	Talisman Resources Norge AS	10.000000	\N	1631767	3987574	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-12-31	FROM	\N	Norsk Agip  AS	9.000000	\N	1854695	45	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	14.000000	\N	1854695	430	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-02	FROM	\N	Mobil Development Norway AS	10.876100	\N	1854695	474	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-06	FROM	\N	TotalFinaElf Exploration Norge AS	3.000000	\N	1854695	1340884	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-01	FROM	\N	Statoil ASA (old)	2.000000	\N	1854695	1622484	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-02	FROM	\N	Statoil ASA (old)	3.000000	\N	1854695	1622484	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2005-07-01	FROM	\N	Statoil ASA (old)	0.300900	\N	1854695	1622484	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	41.299100	\N	1854695	1622484	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2005-07-01	FROM	\N	Eni Norge AS	0.752200	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-01	FROM	\N	StatoilHydro Petroleum AS	14.000000	\N	1854695	4511658	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	55.299100	\N	1854695	4511658	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	55.299100	\N	1854695	4511854	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	14.000000	\N	1854695	4524355	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-01	TO	\N	Norsk Hydro Produksjon AS	2.000000	\N	1854695	430	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2005-07-01	TO	\N	Mobil Development Norway AS	0.376100	\N	1854695	474	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2005-07-01	TO	\N	Petoro AS	0.677000	\N	1854695	1626839	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-12-31	TO	\N	Eni Norge AS	9.000000	\N	1854695	2388594	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2003-05-06	TO	\N	Total E&P Norge AS	3.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2004-01-02	TO	\N	Total E&P Norge AS	3.000000	\N	1854695	2410708	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-02	TO	\N	ExxonMobil Exploration & Production Norway AS	10.876100	\N	1854695	2835212	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	14.000000	\N	1854695	4511658	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	55.299100	\N	1854695	4511658	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-10-01	TO	\N	StatoilHydro ASA	41.299100	\N	1854695	4511854	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2008-01-01	TO	\N	StatoilHydro ASA	14.000000	\N	1854695	4511854	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	14.000000	\N	1854695	4524355	9999-12-31	2013-05-08
HALTENBANKEN VEST UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	55.299100	\N	1854695	17237817	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2004-10-01	FROM	\N	Esso Exploration and Production Norway A/S	7.228600	\N	2588637	353	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	18.072800	\N	2588637	430	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	10.844100	\N	2588637	1622484	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2006-09-06	FROM	\N	DONG Norge AS	10.342000	\N	2588637	1853083	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2005-01-01	FROM	\N	BP Norge AS	10.342000	\N	2588637	2052695	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	28.916900	\N	2588637	4511658	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	10.844100	\N	2588637	4511854	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	18.072800	\N	2588637	4524355	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2005-01-01	TO	\N	DONG Norge AS	10.342000	\N	2588637	1853083	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2004-10-01	TO	\N	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2588637	2835212	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2006-09-06	TO	\N	DONG E&P Norge AS	10.342000	\N	2588637	4070011	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	18.072800	\N	2588637	4511658	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	10.844100	\N	2588637	4511658	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-10-01	TO	\N	StatoilHydro ASA	10.844100	\N	2588637	4511854	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	18.072800	\N	2588637	4524355	9999-12-31	2013-05-08
ORMEN LANGE UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	28.916900	\N	2588637	17237817	9999-12-31	2013-05-08
BLANE UNIT	2006-03-22	FROM	\N	Paladin Resources Norge AS	11.700000	\N	3437667	1577943	9999-12-31	2013-05-08
BLANE UNIT	2005-12-19	FROM	\N	Paladin Expro Limited	25.001200	\N	3437667	3437686	9999-12-31	2013-05-08
BLANE UNIT	2010-07-01	FROM	TRANSFER	Eni UK Limited	13.896800	\N	3437667	3437697	9999-12-31	2013-05-08
BLANE UNIT	2010-07-01	FROM	TRANSFER	Eni ULX Limited	4.107300	\N	3437667	3437708	9999-12-31	2013-05-08
BLANE UNIT	2008-07-15	FROM	MERGER/TAKEOVER	Moc Exploration (U.K.) Limited	13.993500	\N	3437667	3437719	9999-12-31	2013-05-08
BLANE UNIT	2010-01-01	FROM	CHANGE OF COMPANY NAME	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437667	3437741	9999-12-31	2013-05-08
BLANE UNIT	2006-10-13	FROM	\N	Talisman Resources Norge AS	11.700000	\N	3437667	3987574	9999-12-31	2013-05-08
BLANE UNIT	2006-10-31	FROM	\N	Talisman Expro Limited	25.001200	\N	3437667	3987589	9999-12-31	2013-05-08
BLANE UNIT	2010-01-01	FROM	CHANGE OF COMPANY NAME	Talisman North Sea Limited	25.001200	\N	3437667	4462398	9999-12-31	2013-05-08
BLANE UNIT	2011-01-04	FROM	CHANGE OF COMPANY NAME	Nippon Oil Exploration and Production UKl Limited	13.993500	\N	3437667	17237695	9999-12-31	2013-05-08
BLANE UNIT	2006-10-13	TO	\N	Talisman Energy Norge AS	11.700000	\N	3437667	2425093	9999-12-31	2013-05-08
BLANE UNIT	2006-03-22	TO	\N	Talisman Resources Norge AS	11.700000	\N	3437667	3987574	9999-12-31	2013-05-08
BLANE UNIT	2005-12-19	TO	\N	Talisman Expro Limited	25.001200	\N	3437667	3987589	9999-12-31	2013-05-08
BLANE UNIT	2006-10-31	TO	\N	Talisman North Sea Limited	25.001200	\N	3437667	4462398	9999-12-31	2013-05-08
BLANE UNIT	2008-07-15	TO	MERGER/TAKEOVER	Nippon Oil Exploration and Production UKl Limited	13.993500	\N	3437667	17237695	9999-12-31	2013-05-08
BLANE UNIT	2010-01-01	TO	CHANGE OF COMPANY NAME	Dana Petroleum (BVUK) Limited	12.500600	\N	3437667	20415896	9999-12-31	2013-05-08
BLANE UNIT	2011-01-04	TO	CHANGE OF COMPANY NAME	JX Nippon Exploration and Production (UK) Limited	13.993500	\N	3437667	20415923	9999-12-31	2013-05-08
BLANE UNIT	2010-01-01	TO	CHANGE OF COMPANY NAME	Talisman Energy (UK) Limited	25.001200	\N	3437667	20415938	9999-12-31	2013-05-08
BLANE UNIT	2010-07-01	TO	TRANSFER	Faroe Petroleum (UK) Limited	18.004100	\N	3437667	21614063	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	FROM	\N	Det Norske Oljeselskap AS	2.000000	\N	3437805	1340609	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	11.780000	\N	3437805	1622484	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	FROM	\N	DONG Norge AS	1.860000	\N	3437805	1853083	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	FROM	\N	Total E&P Norge AS	4.360000	\N	3437805	2410708	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	FROM	\N	Altinex Oil AS	4.360000	\N	3437805	2835200	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	FROM	\N	Paladin Expro Limited	24.000000	\N	3437805	3437686	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	FROM	CHANGE OF COMPANY NAME	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437805	3437741	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	FROM	MERGER/TAKEOVER	Dana Petroleum (E & P) Limited	8.800000	\N	3437805	3437824	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	FROM	\N	Lundin North Sea Limited	1.200000	\N	3437805	3437835	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	FROM	\N	Petro-Canada UK Limited	8.000000	\N	3437805	3437846	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	FROM	\N	Talisman Expro Limited	24.000000	\N	3437805	3987589	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	FROM	TRANSFER	DONG E&P Norge AS	1.860000	\N	3437805	4070011	9999-12-31	2013-05-08
ENOCH UNIT	2012-07-05	FROM	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	FROM	\N	Det Norske Oljeselskap ASA (old)	2.000000	\N	3437805	4468177	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	11.780000	\N	3437805	4511658	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	11.780000	\N	3437805	4511854	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	FROM	\N	Noil Energy ASA	2.000000	\N	3437805	4539976	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	2.000000	\N	3437805	4539989	9999-12-31	2013-05-08
ENOCH UNIT	2005-10-11	TO	\N	Altinex Oil AS	4.360000	\N	3437805	2835200	9999-12-31	2013-05-08
ENOCH UNIT	2005-12-19	TO	\N	Talisman Expro Limited	24.000000	\N	3437805	3987589	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-02	TO	TRANSFER	Faroe Petroleum Norge AS	1.860000	\N	3437805	4062883	9999-12-31	2013-05-08
ENOCH UNIT	2006-09-06	TO	\N	DONG E&P Norge AS	1.860000	\N	3437805	4070011	9999-12-31	2013-05-08
ENOCH UNIT	2006-11-28	TO	\N	Altinex Oil Norway AS	4.360000	\N	3437805	4446230	9999-12-31	2013-05-08
ENOCH UNIT	2005-08-18	TO	\N	Talisman LNS Limited	1.200000	\N	3437805	4462294	9999-12-31	2013-05-08
ENOCH UNIT	2006-05-22	TO	\N	Endeavour Energy (UK) Limited	8.000000	\N	3437805	4462359	9999-12-31	2013-05-08
ENOCH UNIT	2006-10-31	TO	\N	Talisman North Sea Limited	24.000000	\N	3437805	4462398	9999-12-31	2013-05-08
ENOCH UNIT	2007-06-22	TO	\N	Det Norske Oljeselskap ASA (old)	2.000000	\N	3437805	4468177	9999-12-31	2013-05-08
ENOCH UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	11.780000	\N	3437805	4511658	9999-12-31	2013-05-08
ENOCH UNIT	2007-10-01	TO	\N	StatoilHydro ASA	11.780000	\N	3437805	4511854	9999-12-31	2013-05-08
ENOCH UNIT	2007-11-16	TO	\N	Noil Energy ASA	2.000000	\N	3437805	4539976	9999-12-31	2013-05-08
ENOCH UNIT	2008-01-01	TO	\N	Det norske oljeselskap ASA (old)	2.000000	\N	3437805	4539989	9999-12-31	2013-05-08
ENOCH UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	11.780000	\N	3437805	17237817	9999-12-31	2013-05-08
ENOCH UNIT	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	2.000000	\N	3437805	17342870	9999-12-31	2013-05-08
ENOCH UNIT	2010-01-01	TO	CHANGE OF COMPANY NAME	Dana Petroleum (BVUK) Limited	12.000000	\N	3437805	20415896	9999-12-31	2013-05-08
ENOCH UNIT	2012-01-01	TO	MERGER/TAKEOVER	Dana Petroleum (BVUK) Limited	8.800000	\N	3437805	20415896	9999-12-31	2013-05-08
ENOCH UNIT	2012-07-05	TO	CHANGE OF COMPANY NAME	Noreco Norway AS	4.360000	\N	3437805	22223020	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-01-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Produksjon AS	12.000000	\N	3488806	430	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-02	FROM	MERGER/TAKEOVER	Mobil Development Norway AS	11.754900	\N	3488806	474	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	46.835100	\N	3488806	1622484	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-02	FROM	\N	Eni Norge AS	1.670300	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-01	FROM	\N	Total E&P Norge AS	5.003100	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2011-04-27	FROM	TRANSFER	Total E&P Norge AS	0.034900	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-01	FROM	\N	StatoilHydro Petroleum AS	12.000000	\N	3488806	4511658	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	58.835100	\N	3488806	4511658	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	58.835100	\N	3488806	4511854	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	12.000000	\N	3488806	4524355	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-01	TO	\N	Mobil Development Norway AS	5.003100	\N	3488806	474	9999-12-31	2013-05-08
TYRIHANS UNIT	2011-04-27	TO	TRANSFER	Eni Norge AS	0.002500	\N	3488806	2388594	9999-12-31	2013-05-08
TYRIHANS UNIT	2006-01-02	TO	\N	Total E&P Norge AS	1.670300	\N	3488806	2410708	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-02	TO	MERGER/TAKEOVER	ExxonMobil Exploration & Production Norway AS	11.754900	\N	3488806	2835212	9999-12-31	2013-05-08
TYRIHANS UNIT	2011-04-27	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	0.032000	\N	3488806	2835212	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	12.000000	\N	3488806	4511658	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	58.835100	\N	3488806	4511658	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	46.835100	\N	3488806	4511854	9999-12-31	2013-05-08
TYRIHANS UNIT	2008-01-01	TO	\N	StatoilHydro ASA	12.000000	\N	3488806	4511854	9999-12-31	2013-05-08
TYRIHANS UNIT	2007-01-01	TO	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	12.000000	\N	3488806	4524355	9999-12-31	2013-05-08
TYRIHANS UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	58.835100	\N	3488806	17237817	9999-12-31	2013-05-08
TYRIHANS UNIT	2011-04-27	TO	TRANSFER	Statoil Petroleum AS	0.000400	\N	3488806	17237817	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	34.000000	\N	3500071	430	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2008-01-01	FROM	\N	Mobil Development Norway AS	4.700000	\N	3500071	474	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	15.300000	\N	3500071	1622484	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-02	FROM	\N	Norske ConocoPhillips AS	2.400000	\N	3500071	2399056	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2012-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	4.700000	\N	3500071	2835212	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	49.300000	\N	3500071	4511658	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	15.300000	\N	3500071	4511854	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	34.000000	\N	3500071	4524355	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-02	TO	\N	ConocoPhillips Skandinavia AS	2.400000	\N	3500071	2410696	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2012-01-01	TO	TRANSFER	Total E&P Norge AS	4.700000	\N	3500071	2410708	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2008-01-01	TO	\N	ExxonMobil Exploration & Production Norway AS	4.700000	\N	3500071	2835212	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	34.000000	\N	3500071	4511658	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	15.300000	\N	3500071	4511658	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-10-01	TO	\N	StatoilHydro ASA	15.300000	\N	3500071	4511854	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	34.000000	\N	3500071	4524355	9999-12-31	2013-05-08
OSEBERG AREA UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	49.300000	\N	3500071	17237817	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	11.700000	\N	3505593	430	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	3.120000	\N	3505593	1622484	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2011-11-04	FROM	TRANSFER	Petoro AS	7.800000	\N	3505593	1626839	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	14.820000	\N	3505593	4511658	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	3.120000	\N	3505593	4511854	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	11.700000	\N	3505593	4524355	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2011-11-04	TO	TRANSFER	Faroe Petroleum Norge AS	7.800000	\N	3505593	4062883	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	11.700000	\N	3505593	4511658	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	3.120000	\N	3505593	4511658	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-10-01	TO	\N	StatoilHydro ASA	3.120000	\N	3505593	4511854	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	11.700000	\N	3505593	4524355	9999-12-31	2013-05-08
RINGHORNE ØST UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	14.820000	\N	3505593	17237817	9999-12-31	2013-05-08
MARTIN LINGE UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	21.000000	\N	3812119	1622484	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	21.000000	\N	3812119	4511658	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	21.000000	\N	3812119	4511854	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2012-01-13	FROM	TRANSFER	Statoil Petroleum AS	2.000000	\N	3812119	17237817	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2012-01-13	TO	TRANSFER	Total E&P Norge AS	2.000000	\N	3812119	2410708	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	21.000000	\N	3812119	4511658	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2007-10-01	TO	\N	StatoilHydro ASA	21.000000	\N	3812119	4511854	2012-06-13	2013-05-08
MARTIN LINGE UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	21.000000	\N	3812119	17237817	2012-06-13	2013-05-08
GIMLE UNIT	2007-01-01	FROM	\N	Norsk Hydro Produksjon AS	17.900000	\N	4007192	430	9999-12-31	2013-05-08
GIMLE UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	47.233700	\N	4007192	1622484	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-02	FROM	\N	Norske ConocoPhillips AS	5.785000	\N	4007192	2399056	9999-12-31	2013-05-08
GIMLE UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	65.133700	\N	4007192	4511658	9999-12-31	2013-05-08
GIMLE UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	47.233700	\N	4007192	4511854	9999-12-31	2013-05-08
GIMLE UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	17.900000	\N	4007192	4524355	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-02	TO	\N	ConocoPhillips Skandinavia AS	5.785000	\N	4007192	2410696	9999-12-31	2013-05-08
GIMLE UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	17.900000	\N	4007192	4511658	9999-12-31	2013-05-08
GIMLE UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	47.233700	\N	4007192	4511658	9999-12-31	2013-05-08
GIMLE UNIT	2007-10-01	TO	\N	StatoilHydro ASA	47.233700	\N	4007192	4511854	9999-12-31	2013-05-08
GIMLE UNIT	2007-01-01	TO	\N	Norsk Hydro Petroleum AS	17.900000	\N	4007192	4524355	9999-12-31	2013-05-08
GIMLE UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	65.133700	\N	4007192	17237817	9999-12-31	2013-05-08
SKARV UNIT	2007-06-29	FROM	\N	Mobil Development Norway AS	11.917500	\N	4468539	474	9999-12-31	2013-05-08
SKARV UNIT	2007-10-01	FROM	\N	Statoil ASA (old)	34.110000	\N	4468539	1622484	9999-12-31	2013-05-08
SKARV UNIT	2007-06-30	FROM	\N	Enterprise Oil Norge AS	28.082500	\N	4468539	1853786	9999-12-31	2013-05-08
SKARV UNIT	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	28.082500	\N	4468539	2840522	9999-12-31	2013-05-08
SKARV UNIT	2008-01-01	FROM	\N	StatoilHydro Petroleum AS	2.055000	\N	4468539	4511658	9999-12-31	2013-05-08
SKARV UNIT	2009-11-01	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	36.165000	\N	4468539	4511658	9999-12-31	2013-05-08
SKARV UNIT	2009-01-01	FROM	MERGER/TAKEOVER	StatoilHydro ASA	36.165000	\N	4468539	4511854	9999-12-31	2013-05-08
SKARV UNIT	2007-10-01	FROM	\N	Norsk Hydro Petroleum AS	2.055000	\N	4468539	4524355	9999-12-31	2013-05-08
SKARV UNIT	2007-06-30	TO	\N	E.ON Ruhrgas Norge AS	28.082500	\N	4468539	2840522	9999-12-31	2013-05-08
SKARV UNIT	2007-06-29	TO	\N	PGNiG Norway AS	11.917500	\N	4468539	4505831	9999-12-31	2013-05-08
SKARV UNIT	2007-10-01	TO	\N	StatoilHydro Petroleum AS	2.055000	\N	4468539	4511658	9999-12-31	2013-05-08
SKARV UNIT	2009-01-01	TO	MERGER/TAKEOVER	StatoilHydro Petroleum AS	36.165000	\N	4468539	4511658	9999-12-31	2013-05-08
SKARV UNIT	2007-10-01	TO	\N	StatoilHydro ASA	34.110000	\N	4468539	4511854	9999-12-31	2013-05-08
SKARV UNIT	2008-01-01	TO	\N	StatoilHydro ASA	2.055000	\N	4468539	4511854	9999-12-31	2013-05-08
SKARV UNIT	2009-11-01	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	36.165000	\N	4468539	17237817	9999-12-31	2013-05-08
SKARV UNIT	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	28.082500	\N	4468539	21631209	9999-12-31	2013-05-08
VALEMON UNIT	2012-01-13	FROM	TRANSFER	Total E&P Norge AS	2.500000	\N	18403644	2410708	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	13.000000	\N	18403644	17237817	9999-12-31	2013-05-08
VALEMON UNIT	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	13.000000	\N	18403644	4238233	9999-12-31	2013-05-08
VALEMON UNIT	2012-01-13	TO	TRANSFER	Statoil Petroleum AS	2.500000	\N	18403644	17237817	9999-12-31	2013-05-08
JETTE UNIT	2012-01-06	FROM	TRANSFER	Det norske oljeselskap ASA	18.000000	\N	21077388	17342870	9999-12-31	2013-05-08
JETTE UNIT	2012-01-06	TO	TRANSFER	Petoro AS	18.000000	\N	21077388	1626839	9999-12-31	2013-05-08
\.



COPY company (cmplongname, cmporgnumberbrreg, cmpgroup, cmpshortname, cmpnpdidcompany, cmplicenceopercurrent, cmplicenceoperformer, cmplicencelicenseecurrent, cmplicencelicenseeformer, datesyncnpd) FROM stdin;
Norske AEDC A/S	946680591	\N	AEDC	34	N	N	Y	Y	2013-05-08
Norsk Agip  AS	919160675	\N	AGIP	45	N	Y	N	Y	2013-05-08
Amax Petroleum Norge  A/S	\N	\N	AMAX NORGE	56	N	N	N	Y	2013-05-08
Amerada Hess Norge AS	930459321	\N	AMERADA	67	N	Y	N	Y	2013-05-08
Amoco Norway Oil Company	927533081	\N	AMOCO	78	N	Y	N	Y	2013-05-08
Amoco Norway AS	923254080	\N	AMOCO N	89	N	Y	N	Y	2013-05-08
Amoseas	\N	\N	AMOSEAS	100	N	Y	N	N	2013-05-08
Aquitaine Norge A/S	\N	\N	AQUITAINE	111	N	N	N	Y	2013-05-08
Arco Norge A/S	\N	\N	ARCO	122	N	N	N	Y	2013-05-08
Auxirap Norge A/S	\N	\N	AUXIRAP	133	N	N	N	Y	2013-05-08
Bow Valley Exploration Norge A/S	\N	\N	BOW VALLEY	144	N	N	N	Y	2013-05-08
BP Petroleum Dev. of Norway AS	912118479	\N	BPAS	155	N	Y	N	Y	2013-05-08
Britoil Norge A/S	935040728	\N	BRITOIL NORGE	166	N	N	N	Y	2013-05-08
California Asiatic Oil co of Norway	\N	\N	CALIFORNIA ASIATIC	177	N	N	N	Y	2013-05-08
Chevron Petroleum Company of Norway	\N	\N	CHEVRON	188	N	N	N	Y	2013-05-08
Cofranord A/S	\N	\N	COFRANORD	199	N	N	N	Y	2013-05-08
Conoco Norway Inc.	934527410	\N	CONOCO	210	N	Y	N	Y	2013-05-08
Norske Conoco A/S	921473052	\N	CONOCO N	221	N	Y	N	Y	2013-05-08
Conoco Petroleum Norge AS	918401423	\N	CONOCO PETROLEUM	232	N	N	N	Y	2013-05-08
Coparex Norge A/S	\N	\N	COPAREX NORGE	243	N	N	N	Y	2013-05-08
Deminex Norge AS	926620207	\N	DEMINEX	254	N	Y	N	Y	2013-05-08
Deminex Nord A/S	860008122	\N	DEMINEX NORD	265	N	N	N	Y	2013-05-08
DNO Olje A/S	857521412	\N	DNO OLJE	276	N	N	N	Y	2013-05-08
Elf Norge A/S	\N	\N	ELF N	287	N	Y	N	Y	2013-05-08
Elf Petroleum Norge AS	927066440	\N	ELF NORGE	298	N	Y	N	Y	2013-05-08
Elf Rep Norge A/S	\N	\N	ELF REP	309	N	N	N	Y	2013-05-08
Elf Rex Norge AS	927064596	\N	ELF REX	320	N	N	N	Y	2013-05-08
Elf Aquitaine Norge A/S	\N	\N	ELFAQUIT	331	N	Y	N	Y	2013-05-08
Enterprise Oil Norwegian AS	929559428	\N	ENTERPRISE	342	N	Y	N	Y	2013-05-08
Esso Exploration and Production Norway A/S	914048990	\N	ESSO	353	N	Y	N	Y	2013-05-08
Eurafrep Norge A/S	\N	\N	EURAFREP	364	N	N	N	Y	2013-05-08
K/S Femogtyvefire Norsk A/S	\N	\N	FEMOGTYVEFIRE	375	N	N	N	Y	2013-05-08
Fina Production Licenses AS	971505346	\N	FINA PRODUCTION	386	N	Y	N	Y	2013-05-08
Norwegian Gulf Exploration Company AS	930322784	\N	GULF EXPLORATION	397	N	Y	N	Y	2013-05-08
Hispanoil (Norway) A/S	\N	\N	HISPANOIL	408	N	N	N	Y	2013-05-08
Norske Hudbay A/S	\N	\N	HUDBAY	419	N	N	N	Y	2013-05-08
Norsk Hydro Produksjon AS	930187240	\N	HYDRO PRODUKSJON	430	N	Y	N	Y	2013-05-08
Idemitsu Petroleum Norge AS	953133210	\N	IDEMITSU	441	Y	Y	Y	Y	2013-05-08
Lasmo Norge A/S	\N	\N	LASMO NORGE	452	N	N	N	Y	2013-05-08
Marathon Petroleum Norge AS	923702962	\N	MARATHON N	463	N	Y	N	Y	2013-05-08
Mobil Development Norway AS	928008398	\N	MOBIL N	474	N	Y	N	Y	2013-05-08
Norske Moeco A/S	946711063	\N	MOECO	485	N	N	N	Y	2013-05-08
Neste Petroleum AS	918444734	\N	NESTE	496	N	N	N	Y	2013-05-08
No operator	\N	\N	NO OPERATOR	507	N	Y	N	N	2013-05-08
Norwegian Oil Consortium A/S & Co	\N	\N	NORW. OIL	518	N	N	N	Y	2013-05-08
Norminol AS	921261179	\N	NORMINOL	529	N	N	N	Y	2013-05-08
Norske Deminex AS	928656519	\N	NORSKDEM	540	N	N	N	Y	2013-05-08
Norske Murphy Oil Company	\N	\N	NORSKE MURPHY	551	N	Y	N	Y	2013-05-08
A/S Norske Shell	914807077	\N	SHELL NORGE	562	Y	Y	Y	Y	2013-05-08
Norske Ocean Exploration Company	\N	\N	OCEAN EXPLORATION	573	N	N	N	Y	2013-05-08
Norsk Occidental A/S	937380054	\N	OXY	584	N	N	N	Y	2013-05-08
Pan Ocean Oil Norge A/S	\N	\N	PAN OCEAN	595	N	N	N	Y	2013-05-08
Pelican AS	931713671	\N	PELICAN	606	N	Y	N	Y	2013-05-08
Pennzoil Company Norge	\N	\N	PENNZOIL	617	N	N	N	Y	2013-05-08
Petro-Canada Norge AS (old)	977026792	\N	PETRO-CANADA  (OLD)	628	N	N	N	Y	2013-05-08
Petrobras Norge A/S	942904495	\N	PETROBRAS	639	N	N	N	Y	2013-05-08
Petropar Norge A/S	\N	\N	PETROPAR	650	N	N	N	Y	2013-05-08
Petrosaga AS	\N	\N	PETROSAGA	661	N	N	N	Y	2013-05-08
Petroswede Norge A/S	\N	\N	PETROSWEDE	672	N	N	N	Y	2013-05-08
K/S A/S Polaris Oil Consortium	\N	\N	POLARIS	683	N	N	N	Y	2013-05-08
Phillips Petroleum Company Norway	948138646	\N	PHILLIPS	694	N	Y	N	Y	2013-05-08
Phillips Petroleum Norsk AS	918110127	\N	PPNORSK	705	N	Y	N	Y	2013-05-08
Saga Petroleum ASA	925111406	\N	SAGA	716	N	Y	N	Y	2013-05-08
Scandinavian Sun Oil A/S	\N	\N	SCANDINAVIAN SUN OIL	727	N	N	N	Y	2013-05-08
Svenska Petroleum Exploration AS	910229958	\N	SVENSKA PETROLEUM	738	N	N	Y	Y	2013-05-08
Den norske stats oljeselskap a.s	923609016	\N	STATOIL	749	N	Y	N	Y	2013-05-08
Sunningdale Oil Norge A/S	\N	\N	SUNNINGDALE	760	N	N	N	Y	2013-05-08
Superior Oil Norge A/S	\N	\N	SUPERIOR NORGE	771	N	N	N	Y	2013-05-08
Syracuse Oils Norge A/S	\N	\N	SYRACUSE	782	N	Y	N	Y	2013-05-08
Tennaco Oil Norway A/S	\N	\N	TENNECO	793	N	N	N	Y	2013-05-08
Texaco Exploration Norway AS	910226010	\N	TEXACO	804	N	N	N	Y	2013-05-08
Texaco Exploration Norway II A/S	924745193	\N	TEXACO II	815	N	N	N	Y	2013-05-08
Texas Overseas Petroleum Company	\N	\N	TEXAS	826	N	N	N	Y	2013-05-08
Texas Eastern Norwegian Inc.	\N	\N	TEXAS EASTERN	837	N	N	N	Y	2013-05-08
Total Norge AS	923829822	\N	TOTAL	848	N	Y	N	Y	2013-05-08
Ugland Construction Company AS	929706870	\N	UGLAND	859	N	N	N	Y	2013-05-08
Not allocated	\N	\N	UNALLOCATED	870	N	N	N	Y	2013-05-08
Union Norge A/S	\N	\N	UNION OIL	881	N	Y	N	Y	2013-05-08
Unocal Norge A/S	\N	\N	UNOCAL N	892	N	N	N	Y	2013-05-08
Volvo Petroleum Norge A/S	929241576	\N	VOLVO NORGE	903	N	N	N	Y	2013-05-08
Wintershall Norge A/S	923830375	\N	WINTERSHALL	914	N	N	N	Y	2013-05-08
OMV Norge A/S	\N	\N	OMV	925	N	N	N	Y	2013-05-08
CGG NORGE A/S	939289925	\N	CGG NORGE	2527	N	N	N	N	2013-05-08
IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	936882331	\N	IKU	2539	N	N	N	N	2013-05-08
NOPEC A/S	\N	\N	NOPEC	2551	N	N	N	N	2013-05-08
NORWEGIAN EXPLORATION SERVICES	\N	\N	NOREX	2563	N	N	N	N	2013-05-08
Norsk Polarinstitutt	\N	\N	NPI	2575	N	N	N	N	2013-05-08
NORGES TEKNISKE HØYSKOLE	\N	\N	NTH	2587	N	N	N	N	2013-05-08
Oljedirektoratet	\N	\N	OD	2599	N	N	N	N	2013-05-08
UNIVERSITETET I BERGEN	\N	\N	UiB	2611	N	N	N	N	2013-05-08
UNIVERSITETET I OSLO	\N	\N	UIO	2623	N	N	N	N	2013-05-08
UNIVERSITETET I TROMSØ	\N	\N	UiT	2635	N	N	N	N	2013-05-08
WESTERN GEOPHYSICAL COMPANY OF AMERICA	\N	\N	WESTERN	2647	N	N	N	N	2013-05-08
INSTITUT FRANCAIS DU PETROLE	\N	\N	IFP	2659	N	N	N	N	2013-05-08
ALFRED WEGENER INSTITUT FUR POLAR UND MEERESFORSHNUG	\N	\N	AWI	2670	N	N	N	N	2013-05-08
SIMON PETROLEUM TECHNOLOGY LTD	\N	\N	SIMON	2682	N	N	N	N	2013-05-08
ROBERTSON RESEARCH INTERNATIONAL LIMITED	\N	\N	ROBERTSON	2694	N	N	N	N	2013-05-08
BUNDESANSTALT FUR GEOWISSENSHAFTEN UND ROHSTOFFE	\N	\N	BGR	2706	N	N	N	N	2013-05-08
HALLIBURTON GEOPHYSICAL SERVICES	\N	\N	HGS	2718	N	N	N	N	2013-05-08
GEOPHYSICAL SERVICES	\N	\N	GSI	2729	N	N	N	N	2013-05-08
Ranger Oil (UK) Ltd	\N	\N	RANGER UK	2742	N	N	N	N	2013-05-08
GEOTEAM AS	969059789	\N	GEOTEAM	2754	N	N	N	N	2013-05-08
NORSKE GETTY EXPLORATION A/S	\N	\N	GETTY	2765	N	N	N	N	2013-05-08
Maersk Olie og Gass  A/S	\N	\N	MÆRSK	2777	N	Y	N	Y	2013-05-08
Geco Exploration	\N	\N	GECO EXPLORATION	2789	N	N	N	N	2013-05-08
SEISMOGRAPHH SERVICE (ENGLAND) LTD	\N	\N	SSL	2801	N	N	N	N	2013-05-08
Geco-Prakla	926396684	\N	GECO PRAKLA	2813	N	N	N	N	2013-05-08
BRITOIL	\N	\N	BNOC	2825	N	N	N	N	2013-05-08
GEOTEAM EXPLORATION AS	\N	\N	GEOTEAM EXPLORATION	2838	N	N	N	N	2013-05-08
Geco- Prakla	\N	\N	GECO-PRAKLA UK	2850	N	N	N	N	2013-05-08
BRITISH INSTITUTES REFLECTION PROFILING SYNDICATE	\N	\N	BIRPS	2862	N	N	N	N	2013-05-08
LAMONT-DOHERTY GEOLOGICAL OBSERVATORY COLUMBIA UNIVERSITY	\N	\N	LAMONT	2885	N	N	N	N	2013-05-08
Oryx (UK) Energy Company	\N	\N	ORYX UK	2897	N	N	N	N	2013-05-08
OCCIDENTAL PETROLEUM UK LTD	\N	\N	OXY UK	2909	N	N	N	N	2013-05-08
PGS NOPEC A/S	\N	\N	PGS NOPEC	2921	N	N	N	N	2013-05-08
Idemitsu Oil Exploration (Norsk) a.s.	947569244	\N	IDEMITSU OIL	3084	N	N	N	Y	2013-05-08
SVERIGES GEOLOGISKE UNDERSØKNING	\N	\N	SGU	3097	N	N	N	N	2013-05-08
HAMPSON-RUSSELL SOFTWARE SERVICES LTD.	\N	\N	HAMPSON-RUSSELL	3109	N	N	N	N	2013-05-08
QUALITY POSITIONING SERVICES BV	\N	\N	QPS	34190	N	N	N	N	2013-05-08
Noble Drilling	\N	\N	NOBLE DRILLING	35198	N	N	N	N	2013-05-08
Fina Exploration Norway SCA	971654163	\N	FINA EXPLORATION	39395	N	N	N	N	2013-05-08
AS Uglands Rederi	922495858	\N	UGLANDS REDERI	40103	N	N	N	Y	2013-05-08
Norsk Chevron AS	930322784	\N	NORSK CHEVRON	40148	N	Y	N	Y	2013-05-08
SAIPEM (UK) LTD	\N	\N	SAIPEM UK	40874	N	N	N	N	2013-05-08
BEDFORD INTERACTIVE PROCESSING SERVICES LTD	\N	\N	BIPS	41431	N	N	N	N	2013-05-08
BRITISH NATIONAL OIL CORPORATION	\N	\N	BRITISH OIL	41719	N	N	N	N	2013-05-08
Conoco North Sea Inc.	\N	\N	CONOCO NORTH	41730	N	N	N	N	2013-05-08
GULF (U.K.) OFFSHORE INVESTMENT LTD	\N	\N	GULF UK	41741	N	N	N	N	2013-05-08
GULF OIL CORPORATION	\N	\N	GULF OIL	41752	N	N	N	N	2013-05-08
CONOCO (UK) LTD	\N	\N	CONOCO UK	42056	N	N	N	N	2013-05-08
BP Petroleum Development Ltd	\N	\N	BP LTD	42067	N	N	N	N	2013-05-08
Chevron UK Ltd.	\N	\N	CHEVRON UK	42078	N	N	N	N	2013-05-08
Aquitaine UK	\N	\N	AQUITAINE UK	45674	N	N	N	N	2013-05-08
ELF Oil UK	\N	\N	ELF OIL	45685	N	N	N	N	2013-05-08
Total Oil Marine Ltd	\N	\N	TOTAL OIL	45696	N	N	N	N	2013-05-08
Elf Exploration UK Ltd	\N	\N	ELF EXPLORATION LTD	45736	N	N	N	N	2013-05-08
DINOSYSTEMS	\N	\N	DINOSYSTEMS	46897	N	N	N	N	2013-05-08
RWE Dea Norge AS	926620207	\N	RWE-DEA NORGE	97557	Y	Y	Y	Y	2013-05-08
IHS ENERGY GROUP	\N	\N	IHS ENERGY	97570	N	N	N	N	2013-05-08
VERITAS DGC LTD	\N	\N	VERITAS DGC	102081	N	N	N	N	2013-05-08
CGG Veritas Services (UK) Limited	\N	\N	CGG VERITAS SERVICES (UK)	102092	N	N	N	N	2013-05-08
Fortum Petroleum AS	918444734	\N	FORTUM	102714	N	N	N	Y	2013-05-08
TGS Nopec Geophysical Company  ASA	976695372	\N	TGS NOPEC	123875	N	N	N	N	2013-05-08
Norske RWE-DEA AS	928656519	\N	NORSKE RWE-DEA	853394	N	N	N	Y	2013-05-08
RWE-DEA Nord AS	860008122	\N	RWE-DEA NORD	853513	N	N	N	N	2013-05-08
CHIRON AS	\N	\N	CHIRON AS	916376	N	N	N	N	2013-05-08
Fluid Inclusion Technologies Inc	\N	\N	FIT	916387	N	N	N	N	2013-05-08
Laboratory of the Goverment Chemist	\N	\N	LGC	916398	N	N	N	N	2013-05-08
Geologica AS	\N	\N	GEOLOGICA	916801	N	N	N	N	2013-05-08
University of Glasgow	\N	\N	UNIVGLAS	916812	N	N	N	N	2013-05-08
BP Amoco Norge AS	981355210	\N	BP AMOCO	982372	N	Y	N	Y	2013-05-08
Kerr Mc-Gee North Sea (UK) Ltd	\N	\N	KERR MC-GEE	1024802	N	N	N	N	2013-05-08
Norpipe Oil AS	975871932	\N	NORPIPE OIL	1025030	N	N	N	N	2013-05-08
Norpipe AS	924049685	\N	NORPIPE AS	1025041	N	N	N	N	2013-05-08
Norsea Gas AS	918352074	\N	NORSEA GAS	1025067	N	N	N	N	2013-05-08
Aker Geo ASA	975898679	\N	AKER GEO	1030386	N	N	N	N	2013-05-08
Aker Geo Seismic AS	980059839	\N	AKER GEO SEISMIC	1030397	N	N	N	N	2013-05-08
TOTAL FINA ELF	\N	\N	TOTAL FINA ELF	1032871	N	N	N	N	2013-05-08
ESSO MOBIL	\N	\N	ESSO MOBIL	1032882	N	N	N	N	2013-05-08
STOE	\N	\N	STOE	1032937	N	N	N	N	2013-05-08
Applied Petroleum Technology AS	\N	\N	APT	1035863	N	N	N	N	2013-05-08
Det Norske Oljeselskap AS	953935996	\N	DNO AS	1340609	N	Y	N	Y	2013-05-08
TotalFinaElf Exploration Norge AS	927066440	\N	TOTALFINAELF	1340884	N	Y	N	Y	2013-05-08
Aker Maritime ASA	959942013	\N	AKER MARITIME	1340895	N	N	N	N	2013-05-08
AS Geoconsult	923142312	\N	GEOCONSULT	1342045	N	N	N	N	2013-05-08
DONG Etterforskning og Produktion AS	981276922	\N	DONG	1441164	N	N	N	Y	2013-05-08
Paladin Resources Norge AS	977026792	\N	PALADIN	1577943	N	Y	N	Y	2013-05-08
Statoil ASA (old)	923609016	\N	STATOIL ASA (OLD)	1622484	N	Y	N	Y	2013-05-08
SDØE	\N	\N	SDØE	1623450	N	N	N	Y	2013-05-08
Aker Energy AS	980485625	\N	AKER ENERGY	1624465	N	N	N	Y	2013-05-08
Petoro AS	983382355	\N	PETORO	1626839	N	N	Y	Y	2013-05-08
Gaz de France Norge AS	983426417	\N	GAZ DE FRANCE	1628733	N	Y	N	Y	2013-05-08
WesternGeco AS	926396684	\N	WESTERNGECO	1628745	N	N	N	N	2013-05-08
TANANGER OFFSHORE AS	977241901	\N	TANANGER OFFSHORE	1629334	N	N	N	N	2013-05-08
KS PETROJARL 1 AS	935506360	\N	PETROJARL	1629619	N	N	N	N	2013-05-08
SEALION SHIPPING LTD.	\N	\N	SEALINE	1629661	N	N	N	N	2013-05-08
FORSKNINGSPARKEN	\N	\N	FORSKNINGSP	1630748	N	N	N	N	2013-05-08
INSEIS AS	983167691	\N	INSEIS AS	1632045	N	N	N	N	2013-05-08
DONG Norge AS	931713671	\N	DONG NORGE	1853083	N	Y	N	Y	2013-05-08
Enterprise Oil Norge AS	929559428	\N	ENTERPRISE NORGE	1853786	N	Y	Y	Y	2013-05-08
GASSCO AS	983452841	\N	GASSCO AS	1944954	N	N	N	N	2013-05-08
Transocean Offshore Europe Ltd	980865797	\N	TRANSOCEAN OFFSHORE	2050195	N	N	N	N	2013-05-08
Kerr-McGee Norway AS	983430783	\N	KERR-MCGEE NORWAY	2051482	N	Y	N	Y	2013-05-08
BP Norge AS	981355210	\N	BP NORGE	2052695	Y	Y	Y	Y	2013-05-08
PGS Production AS	939545832	\N	PGS PRODUCTION	2060190	N	N	N	Y	2013-05-08
Norske Shell Pipelines AS	980263959	\N	SHELL PIPELINE	2066214	N	N	N	N	2013-05-08
PGS Petroleum AS	984131941	\N	PGS PETROLEUM	2069526	N	N	N	Y	2013-05-08
Pertra AS (OLD)	984131941	\N	PERTRA AS (OLD)	2069841	N	Y	N	Y	2013-05-08
Exxon Mobil Corporation	977534933	\N	EXXON MOBIL	2069880	N	N	N	N	2013-05-08
Mærsk Contractors Norge AS	952603957	\N	MÆRSK CONTRACTORS	2084537	N	N	N	N	2013-05-08
SeaBed Geophysical AS	978595510	\N	SEABED	2088156	N	N	N	N	2013-05-08
Ocean Rig ASA	976769643	\N	OCEAN RIG	2088270	N	N	N	N	2013-05-08
Offshore Engineering Resources AS	934651758	\N	OER OFFSHORE ENGINEERING RESOURCES	2092065	N	N	N	N	2013-05-08
TAUBÅTKOMPANIET A/S	926265156	\N	TAUBÅTKOMPANIEN	2129742	N	N	N	N	2013-05-08
DOPAS Norge AS	983598188	\N	DOPAS	2133811	N	N	N	Y	2013-05-08
ConocoPhillips Norge	948138646	\N	CONOCOPHILLIPS NORGE	2144081	N	Y	N	Y	2013-05-08
Chevron Texaco Norge AS	930322784	\N	CHEVRONTEXACO	2154473	N	Y	N	Y	2013-05-08
Prosafe Offshore Limited	\N	\N	PROSAFE OFFSHORE LIMITED	2252705	N	N	N	N	2013-05-08
Diamond Offshore Drilling LTD.	\N	\N	DIAMOND OFFSHORE	2258713	N	N	N	N	2013-05-08
Exploration Consultants Ltd.	\N	\N	EXPLORATION CONSULTANTS	2258724	N	N	N	N	2013-05-08
OER Oil AS	934651758	\N	OER OIL	2258813	N	N	N	Y	2013-05-08
K/S Farmand Survey	\N	\N	FARMAND	2259213	N	N	N	N	2013-05-08
Smedvig Offshore AS	929350685	\N	SMEDVIG	2359213	N	N	N	N	2013-05-08
Artic Morneste Gas Ras Vedka	\N	\N	ARTIC	2359225	N	N	N	N	2013-05-08
Blandfor Shipping Co. LTD	\N	\N	BLANDFOR	2359237	N	N	N	N	2013-05-08
Coe Metcalf Shipping LTD.	\N	\N	METCALF	2359249	N	N	N	N	2013-05-08
Ødegaard A/S	\N	\N	ØDEGAARD	2384060	N	N	N	N	2013-05-08
CNR International (UK) Limited	\N	\N	CNR	2385943	N	Y	N	Y	2013-05-08
Eni Norge AS	919160675	\N	ENI NORGE	2388594	Y	Y	Y	Y	2013-05-08
Dolphin AS	920473210	\N	DOLPHIN AS	2398052	N	N	N	N	2013-05-08
Odfjell Drilling AS	984356986	\N	ODFJELL	2398064	N	N	N	N	2013-05-08
Norske ConocoPhillips AS	921473052	\N	NORSKE CONOCOPHILLIPS	2399056	N	Y	N	Y	2013-05-08
Stena Drilling Limited	\N	\N	STENA DRILLING	2399644	N	N	N	N	2013-05-08
Arcade Drilling A/S	958933487	\N	ARCADE DRILLING	2399869	N	N	N	N	2013-05-08
ConocoPhillips Skandinavia AS	918110127	\N	CONOCOPHILLIPS SKANDINAVIA	2410696	Y	Y	Y	Y	2013-05-08
Total E&P Norge AS	927066440	\N	TOTAL E&P NORGE	2410708	Y	Y	Y	Y	2013-05-08
Polar Ship Management AS	953047136	\N	POLAR SHIP MANAGEMENT	2411138	N	N	N	N	2013-05-08
Stolt Offshore A/S	937403348	\N	STOLT OFFSHORE	2411309	N	N	N	N	2013-05-08
Wilh Wilhelmsen ASA	930686344	\N	WILH WILHELMSEN ASA	2417051	N	N	N	N	2013-05-08
Multiwave Geophysical Company ASA	980012204	\N	MULTIWAVE GEOPHYSICAL	2417091	N	N	N	N	2013-05-08
Talisman Energy Norge AS	985706050	\N	TALISMAN ENERGY	2425093	Y	Y	Y	Y	2013-05-08
DSND Shipping AS	977111145	\N	DSND SHIPPING AS	2449305	N	N	N	N	2013-05-08
Global SantaFe Corporation	\N	\N	GLOBAL SANTA FE	2449400	N	N	N	N	2013-05-08
Golar-Nor Offshore	935427681	\N	GOLAR-NOR OFFSHORE	2449518	N	N	N	N	2013-05-08
Pride International Inc	\N	\N	PRIDE INTERNATIONAL	2449871	N	N	N	N	2013-05-08
China Offshore Oil Southern Drilling Company	\N	\N	CHINA OFFSHORE	2449882	N	N	N	N	2013-05-08
Solstad Shipping AS	977228476	\N	SOLSTAD SHIPPING	2449930	N	N	N	N	2013-05-08
Perforadora Central SA de CV	\N	\N	PERFORADORA	2450249	N	N	N	N	2013-05-08
Brøvig Shipping AS	940380669	\N	BRØVIG SHIPPING	2455315	N	N	N	N	2013-05-08
R&B Falcon Drilling Inc	\N	\N	R&B FALCON DRILLING	2455372	N	N	N	N	2013-05-08
Revus Energy AS	985224323	\N	REVUS ENERGY	2455850	N	Y	N	Y	2013-05-08
Acorn Oil & Gas Limited	\N	\N	ACORN OIL	2455861	N	N	N	N	2013-05-08
BG Energy Holdings Limited	\N	\N	BG GROUP	2455889	N	N	N	N	2013-05-08
Mærsk Contractors	\N	\N	MÆRSK CO	2472740	N	N	N	N	2013-05-08
Electromagnetic Geoservices ASA	984195486	\N	EMGS	2472909	N	N	N	N	2013-05-08
Oljeindustriens Landsforening	956685818	\N	OLF	2473155	N	N	N	N	2013-05-08
Statens Forurensningstilsyn	970935657	\N	SFT	2473166	N	N	N	N	2013-05-08
Cap Gemini Ernst & Young	943574537	\N	CGEY	2473177	N	N	N	N	2013-05-08
Ruhrgas Norge AS	985740909	\N	RUHRGAS NORGE	2489913	N	N	N	Y	2013-05-08
Fugro-Geoteam AS	979905483	\N	FUGRO-GEOTEAM	2489925	N	N	N	N	2013-05-08
BG International Limited	\N	\N	BG INTERNATIONAL	2490117	N	Y	N	Y	2013-05-08
BG Norge AS	986615806	\N	BG NORGE	2747354	Y	Y	Y	Y	2013-05-08
TOTAL E&P UK PLC	\N	\N	TOTAL E&P UK	2747820	N	N	N	N	2013-05-08
Chevron Texaco UK Ltd.	\N	\N	CHEVRON TEXACO UK	2748096	N	N	N	N	2013-05-08
ConocoPhillips (U.K.) Limited.	00524868	\N	CONOCOPHILLIPS UK	2748185	N	N	N	N	2013-05-08
ACECA Limited	\N	\N	GEOLOGICA UK	2748537	N	N	N	N	2013-05-08
Lundin Norway AS	986209409	\N	LUNDIN NORWAY	2767314	Y	Y	Y	Y	2013-05-08
Energy Equipment Resource Inc	\N	\N	ENERGY EQUIPMENT	2782981	N	N	N	N	2013-05-08
Industrial Perforadora de Campeche SA de CV	\N	\N	INDUSTRIAL PERFORADORA	2783002	N	N	N	N	2013-05-08
Sedco Forex Schlumberger	\N	\N	SEDCO FOREX	2783014	N	N	N	N	2013-05-08
Arethusa (Off-Shore) Ltd.	\N	\N	ARETHUSA	2783026	N	N	N	N	2013-05-08
AS Brøvigtank	930328537	\N	BRØVIGTANK	2786190	N	N	N	N	2013-05-08
Baltic AS	879207142	\N	BALTIC AS	2786204	N	N	N	N	2013-05-08
Fugro Survey AS	937107978	\N	FUGRO SURVEY	2786215	N	N	N	N	2013-05-08
Polar Search AS	953047136	\N	POLAR SEARCH	2786227	N	N	N	N	2013-05-08
Vista Ship Management AS	976933540	\N	VISTA SHIP MANAGEMENT AS	2819883	N	N	N	N	2013-05-08
Well Ops (UK) Ltd	\N	\N	WELL OPS	2819894	N	N	N	N	2013-05-08
Offshore Hydrocarbon Mapping	\N	\N	OHM Ltd	2824940	N	N	N	N	2013-05-08
Maersk Oil Norway AS (old1)	986478434	\N	MAERSK OIL NORWAY (OLD1)	2824954	N	N	N	Y	2013-05-08
Oranje-Nassau Groep B.V.	\N	\N	ORANJE-NASSAU	2835003	N	N	N	N	2013-05-08
Endeavour International Corporation	\N	\N	ENDEAVOUR INTERNATIONAL	2835136	N	N	N	N	2013-05-08
Endeavour Energy Norge AS (OLD)	987043091	\N	ENDEAVOUR ENERGY (OLD)	2835148	N	N	N	N	2013-05-08
Altinex Oil AS	987008644	\N	ALTINEX OIL	2835200	N	N	N	Y	2013-05-08
ExxonMobil Exploration & Production Norway AS	914048990	\N	EXXON MO	2835212	Y	Y	Y	Y	2013-05-08
E.ON Ruhrgas Norge AS	985740909	\N	E.ON RUHRGAS NO	2840522	N	Y	N	Y	2013-05-08
BG Norge Limited	986592288	\N	BG NORGE LIMITED	2845830	N	N	N	N	2013-05-08
CNR International (Norway) AS	986597840	\N	CNR NORWAY	2845980	N	Y	N	Y	2013-05-08
Sumitomo Corporation Europe Ltd	980729923	\N	SUMITOMO	2845991	N	N	N	N	2013-05-08
ExxonMobil Production Norway Inc.	924956917	\N	EXXONMOBIL PROD	2943980	N	Y	N	N	2013-05-08
ConocoPhillips (U.K.) Theta Limited	\N	\N	CONOCOPHILLIPS THETA	2943991	N	N	N	N	2013-05-08
Centrica Resources Limited	\N	\N	CENTRICA RESOURCES	3000873	N	N	N	N	2013-05-08
Endeavour Norge AS	987043091	\N	ENDEAVOUR NORGE	3113202	N	N	N	N	2013-05-08
Endeavour Energy Norge AS	934651758	\N	ENDEAVOUR ENERGY NORGE	3113213	N	Y	N	Y	2013-05-08
Noble Energy Limited	\N	\N	NOBLE ENERGY	3262354	N	N	N	Y	2013-05-08
EIDESVIK SHIPPING AS	977098092	\N	EIDESVIK SHIPPING	3362279	N	N	N	N	2013-05-08
Talisman Production Norge AS	984131941	\N	TALISMAN PRODUCTION	3420565	N	Y	N	Y	2013-05-08
Pertra AS	987904275	\N	PERTRA AS	3425724	N	Y	N	Y	2013-05-08
Revus Energy ASA	985224323	\N	REVUS ENERGY ASA	3431773	N	Y	N	Y	2013-05-08
Paladin Expro Limited	\N	\N	PALADIN EXPRO	3437686	N	N	N	N	2013-05-08
Eni UK Limited	\N	\N	ENI UK LIMITED	3437697	N	N	N	N	2013-05-08
Eni ULX Limited	\N	\N	ENI ULX LIMITED	3437708	N	N	N	N	2013-05-08
Moc Exploration (U.K.) Limited	\N	\N	MOC EXPLORATION	3437719	N	N	N	N	2013-05-08
Roc Oil (GB) Limited	\N	\N	ROC OIL (GB) LIMITED	3437730	N	N	N	N	2013-05-08
Bow Valley Petroleum (UK) Limited	\N	\N	BOW VALLEY UK	3437741	N	N	N	N	2013-05-08
Dyas UK Limited	\N	\N	DYAS	3437812	N	N	N	N	2013-05-08
Dana Petroleum (E & P) Limited	\N	\N	DANA	3437824	N	N	N	N	2013-05-08
Lundin North Sea Limited	02483161	\N	LUNDIN NORTH	3437835	N	N	N	N	2013-05-08
Petro-Canada UK Limited	\N	\N	PETRO-CANADA UK	3437846	N	Y	N	Y	2013-05-08
Awilco AS	930728209	\N	AWILCO AS	3471807	N	N	N	N	2013-05-08
OSM Ship Management AS	911756080	\N	OSM SHIP MANAGEMENT	3482047	N	N	N	N	2013-05-08
Premier Oil Norge AS	887995222	\N	PREMIER OIL NORGE	3482067	Y	Y	Y	Y	2013-05-08
Norwegian Energy Company AS	987989297	\N	NORECO	3482246	N	Y	N	Y	2013-05-08
Ener Petroleum ASA	987863749	\N	ENER PETROLEUM	3482290	N	N	N	Y	2013-05-08
Wintershall Norge AS (old)	988712612	\N	WINTERSHALL NORGE AS (OLD)	3482302	N	Y	N	Y	2013-05-08
Chevron Norge AS	930322784	\N	CHEVRON NORGE	3488906	Y	Y	Y	Y	2013-05-08
Acre Oil Ltd	\N	\N	ACRE	3499776	N	N	N	N	2013-05-08
Viking Offshore A/S	\N	\N	VIKING	3499787	N	N	N	N	2013-05-08
Aran Energy Exploration Ltd	\N	\N	ARAN ENERGY	3499798	N	N	N	N	2013-05-08
Hamilton Brothers Oil & Gas	\N	\N	HAMILTON	3499813	N	N	N	N	2013-05-08
Faroe Petroleum plc	\N	\N	FAROE PETROLEUM	3500295	N	N	N	N	2013-05-08
Discover Petroleum AS	987581883	\N	DISCOVER PETROLEUM	3500333	N	Y	N	Y	2013-05-08
Maersk Oil Norway AS (old2)	983430783	\N	MAERSK OIL NORWAY AS (OLD2)	3960921	N	Y	N	Y	2013-05-08
Maersk Oil Exploration Norway AS	986478434	\N	MAERSK OIL EXPLORATION NORWAY AS	3960933	N	Y	N	Y	2013-05-08
Petro-Canada Norge AS	989362100	\N	PETRO-CANADA NORGE AS	3960945	N	Y	N	Y	2013-05-08
Pertra ASA	987904275	\N	PERTRA ASA	3964368	N	Y	N	Y	2013-05-08
SINTEF Petroleumsforskning AS	936882331	\N	SINTEF	3965667	N	N	N	N	2013-05-08
PA Resources Norway AS	987469781	\N	PA RESOURCES NORWAY AS	3986418	N	N	N	Y	2013-05-08
BP Norway Limited  U.A.	\N	\N	BP NORWAY LIMITED U.A.	3986518	N	N	N	N	2013-05-08
Mobil Exploration Norway INC	\N	\N	MOBIL EXPLORATION NORWAY INC	3986530	N	N	N	N	2013-05-08
Talisman Resources Norge AS	977026792	\N	TALISMAN RESOURCES	3987574	N	Y	N	Y	2013-05-08
Talisman Expro Limited	03518803	\N	TALISMAN EXPRO	3987589	N	N	N	N	2013-05-08
Britoil Public Limited Company	077750	\N	BRITOIL PUBLIC LIMITED	3988120	N	N	N	N	2013-05-08
Chevron North Sea Limited	01546623	\N	CHEVRON NORTH SEA	3988131	N	N	N	N	2013-05-08
Wavefield Geophysical AS	989062131	\N	WAVEFIELD GEOPHYSICAL	4038574	N	N	N	N	2013-05-08
Geosoft Inc.	\N	\N	GEOSOFT INC	4038585	N	N	N	N	2013-05-08
Hess Norge AS	930459321	\N	HESS NORGE AS	4038735	N	Y	Y	Y	2013-05-08
Technip Offshore UK Limited	\N	\N	TECHNIP OFFSHORE	4055814	N	N	N	N	2013-05-08
Songa Offshore ASA	988124923	\N	SONGA OFFSHORE ASA	4055931	N	N	N	N	2013-05-08
Nexen Exploration Norge AS	989050052	\N	NEXEN EXPLORATION NORGE	4062831	N	Y	N	Y	2013-05-08
Edison International Spa	\N	\N	EDISON INTERNATIONAL	4062871	N	N	N	Y	2013-05-08
Faroe Petroleum Norge AS	989399071	\N	FAROE PETROLEUM NORGE AS	4062883	Y	Y	Y	Y	2013-05-08
VNG Norge AS (old)	990072833	\N	VNG NORGE AS (OLD)	4062895	N	N	N	Y	2013-05-08
Rocksource ASA	940376645	\N	ROCKSOURCE ASA	4062921	N	Y	N	Y	2013-05-08
Bridge Energy AS	988682039	\N	BRIDGE ENERGY AS	4062933	N	Y	N	Y	2013-05-08
Petrofac Norge AS	990293937	\N	PETROFAC NORGE	4062945	N	N	N	N	2013-05-08
Genesis Petroleum Norway AS	890191622	\N	GENESIS PETROLEUM NORWAY	4062957	N	N	N	Y	2013-05-08
Serica Energy (UK) Ltd	\N	\N	SERICA ENERGY	4062969	N	N	N	Y	2013-05-08
Aker Exploration ASA	989795848	\N	AKER EXPLORATION ASA	4062981	N	N	N	N	2013-05-08
Marine Arctic Geological Expedition	\N	\N	MARINE ARCTIC	4063012	N	N	N	N	2013-05-08
DONG E&P Norge AS	931713671	\N	DONG E&P NORGE	4070011	Y	Y	Y	Y	2013-05-08
Seadrill Offshore AS	929350685	\N	SEADRILL OFFSHORE	4070351	N	N	N	N	2013-05-08
Reservoir Exploration Technology ASA	984487819	\N	RESERVOIR EXPLORATION	4070691	N	N	N	N	2013-05-08
Global Geo Services ASA	980585522	\N	GLOBAL GEO SERVICES	4070855	N	N	N	N	2013-05-08
Envision AS	986052631	\N	ENVISION AS	4070871	N	N	N	N	2013-05-08
Pre Stack Solution-Geo AS	981636740	\N	PRE STACK SOLUTIONS-GEO	4213327	N	N	N	N	2013-05-08
Iron Mountain Norge AS	936879101	\N	IRON MOUNTAIN NORGE AS	4227771	N	N	N	N	2013-05-08
Centrica Resources (Norge) AS	990089655	\N	CENTRICA RESOURCES NORGE AS	4238233	Y	Y	Y	Y	2013-05-08
Rowan Companies Inc	\N	\N	ROWAN COMPANIES INC	4240911	N	N	N	N	2013-05-08
Wavefield Inseis AS	983811310	\N	WAVEFIELD INSEIS AS	4379291	N	N	N	N	2013-05-08
Noble Energy Norge AS	990809712	\N	NOBLE ENERGY NORGE	4393186	N	N	N	Y	2013-05-08
Polskie Gornictwo Naftowe i Gazownictwo S.A.	\N	\N	POLSKIE GORNICTWO NAFTOWE	4394036	N	N	N	N	2013-05-08
Acergy M.S. Limited	\N	\N	ACERGY M S LIMITED	4394060	N	N	N	N	2013-05-08
Bayerngas Norge AS	989490168	\N	BAYERNGAS NORGE	4444493	Y	N	Y	Y	2013-05-08
GeoForschungsZentrum Potsdam	\N	\N	GEOFORSCHUNGS ZENTRUM	4446085	N	N	N	N	2013-05-08
Landmark Graphics AS	971106514	\N	LANDMARK GRAPHICS AS	4446203	N	N	N	N	2013-05-08
GX Technology	\N	\N	GX TECHNOLOGY	4446214	N	N	N	N	2013-05-08
Altinex Oil Norway AS	987008644	\N	ALTINEX OIL NORWAY	4446230	N	N	N	Y	2013-05-08
Aker Exploration AS	989563343	\N	AKER EXPLORATION AS	4460425	N	Y	N	Y	2013-05-08
OMV (Norge) AS	988400025	\N	OMV NORGE AS	4460594	Y	Y	Y	Y	2013-05-08
Concedo ASA	988217867	\N	CONCEDO ASA	4460794	N	N	Y	Y	2013-05-08
Talisman LNS Limited	02483161	\N	TALISMAN LNS	4462294	N	N	N	N	2013-05-08
Endeavour Energy (UK) Limited	05030838	\N	ENDEAVOUR ENERGY UK	4462359	N	N	N	N	2013-05-08
Talisman North Sea Limited	01061863	\N	TALISMAN NORTH SEA	4462398	N	N	N	N	2013-05-08
Petromarker AS	888846832	\N	PETROMARKER AS	4467515	N	N	N	N	2013-05-08
Det Norske Oljeselskap ASA (old)	953935996	\N	DNO ASA (OLD)	4468177	N	Y	N	Y	2013-05-08
OTG Energy AS	990801428	\N	OTG ENERGY AS	4504094	N	N	N	N	2013-05-08
Sagex Petroleum Norge AS	988120545	\N	SAGEX PETROLEUM NORGE	4504106	N	N	N	Y	2013-05-08
4Sea Energy AS	891083092	\N	4SEA ENERGY AS	4504118	N	N	N	Y	2013-05-08
Canamens Energy AS	989893890	\N	CANAMENS ENERGY	4504130	N	N	N	N	2013-05-08
PGNiG Norway AS	991317155	\N	PGNIG NORWAY	4505831	Y	N	Y	Y	2013-05-08
Skagen44 AS	989795767	\N	SKAGEN44 AS	4510260	N	N	Y	Y	2013-05-08
Norwegian Oil Exploration	988895121	\N	NORWEGIAN OIL EXPLORATION	4510272	N	N	N	N	2013-05-08
Dana Petroleum Norway ASA	987863749	\N	DANA PETROLEUM	4510514	N	N	N	Y	2013-05-08
Excel Expro Norge AS	990554382	\N	EXCEL EXPRO NORGE	4511634	N	N	N	N	2013-05-08
Skeie Energy AS (Old)	991531556	\N	SKEIE ENERGY AS (OLD)	4511646	N	N	Y	Y	2013-05-08
StatoilHydro Petroleum AS	990888213	\N	STATOILHYDRO PETROLEUM	4511658	N	Y	N	Y	2013-05-08
StatoilHydro ASA	923609016	\N	STATOILHYDRO ASA	4511854	N	Y	N	Y	2013-05-08
Norsk Hydro Petroleum AS	990888213	\N	HYDRO PETROLEUM	4524355	N	Y	N	Y	2013-05-08
Dana Petroleum Norway AS	987863749	\N	DANA PETROLEUM NORWAY	4526555	Y	Y	Y	Y	2013-05-08
Norwegian Energy Company ASA	987989297	\N	NORECO ASA	4530695	Y	Y	Y	Y	2013-05-08
Technip Norge AS	963052944	\N	TECHNIP NORGE AS	4538894	N	N	N	N	2013-05-08
Noil Energy ASA	953935996	\N	NOIL ENERGY ASA	4539976	N	Y	N	Y	2013-05-08
Det norske oljeselskap ASA (old)	987904275	\N	DET NORSKE (OLD)	4539989	N	Y	N	Y	2013-05-08
Maersk Oil PL 018C Norway AS	983430783	\N	MAERSK OIL PL 018C	4703832	N	Y	N	Y	2013-05-08
North Energy AS	891797702	\N	NORTH ENERGY AS	4706034	N	Y	N	Y	2013-05-08
Maersk Oil Norway AS	986478434	\N	MAERSK OIL NORWAY AS	4719674	Y	Y	Y	Y	2013-05-08
Serica Energy Norge AS	991252606	\N	SERICA ENERGY NORGE	4719815	N	N	N	Y	2013-05-08
Puffin Oil & Gas Limitied	\N	\N	PUFFIN OIL & GAS LIMITED	4720014	N	N	N	N	2013-05-08
Bergen Oilfield Services AS	987514957	\N	BERGEN OILFIELD SERVICES AS	4966174	N	N	N	N	2013-05-08
Volstad Shipping AS	986357157	\N	VOLSTAD SHIPPING AS	4966195	N	N	N	N	2013-05-08
CGGVeritas (Norway) AS	987264020	\N	CGGVERITAS SERVICES	4966961	N	N	N	N	2013-05-08
Centrica Energi	989726242	\N	CENTRICA ENERGY	4970694	N	N	N	N	2013-05-08
Skeie Oil & Gas AS	990809712	\N	SKEIE OIL & GAS AS	4998977	N	N	N	Y	2013-05-08
Lotos Exploration and Production Norge AS	991735194	\N	LOTOS EXPLORATION	5064434	Y	Y	Y	Y	2013-05-08
Spring Energy Norway AS	991870830	\N	SPRING ENERGY NORWAY AS	5072514	N	Y	N	Y	2013-05-08
Repsol Exploracion S.A.	\N	\N	REPSOL	5072554	N	N	N	Y	2013-05-08
Deutsches GeoForschungsZentrum GFZ	\N	\N	DEUTSCHES GEOFORSCHUNGS	5081874	N	N	N	N	2013-05-08
Bruker Daltonik GmbH	\N	\N	BRUKER DALTONIK	5081918	N	N	N	N	2013-05-08
Østensjø Rederi I AS	977249155	\N	ØSTENSJØ REDERI I AS	5091194	N	N	N	N	2013-05-08
Maersk Drilling Norge AS	952603957	\N	MAERSK DRILLING NORGE AS	5095474	N	N	N	N	2013-05-08
Aker Drilling ASA	982000564	\N	AKER DRILLING ASA	5107894	N	N	N	N	2013-05-08
Island Offshore III AS	982411394	\N	ISLAND OFFSHORE	5125357	N	N	N	N	2013-05-08
COSL Drilling Europe AS	987861894	\N	COSL DRILLING EUROPE	5125369	N	N	N	N	2013-05-08
GDF SUEZ E&P Norge AS	983426417	\N	GDF SUEZ E&P NORGE	5267845	Y	Y	Y	Y	2013-05-08
Fugro Multi Client Services AS	953115700	\N	FUGRO MULTI CLIENT SERVICES	5442354	N	N	N	N	2013-05-08
PGS Geophysical AS	960563085	\N	PGS GEOPHYSICAL AS	5442366	N	N	N	N	2013-05-08
Universitetet i Stavanger	971564679	\N	UiS	5442414	N	N	N	N	2013-05-08
Wintershall Norge ASA	985224323	\N	WINTERSHALL NORGE ASA	5442509	N	Y	N	Y	2013-05-08
Gardline Geosurvey Ltd	986727825	\N	GARDLINE GEOSURVEY	5443454	N	N	N	N	2013-05-08
Spring Energy Exploration AS	991252606	\N	SPRING ENERGY EXPLORATION	5446425	N	N	N	Y	2013-05-08
Bayerngas Produksjon Norge AS	987469781	\N	BAYERNGAS PRODUKSJON NORGE	5461974	N	N	N	Y	2013-05-08
Weatherford Petroleum Consultants AS	989114506	\N	WEATHERFORD PETROLEUM CONSULTANTS	5466676	N	N	N	N	2013-05-08
MultiClient Geophysical AS	991906509	\N	MULTICLIENT GEOPHYSICAL	5480846	N	N	N	N	2013-05-08
Sartor Shipping AS	956150809	\N	SARTOR SHIPPING AS	5481294	N	N	N	N	2013-05-08
Sevmorneftegeofizika	\N	\N	SEVMORNEFTEGEOFIZIKA	5481315	N	N	N	N	2013-05-08
Maritim Management AS	988034371	\N	MARITIM MANAGEMENT AS	5488225	N	N	N	N	2013-05-08
ION Geophysical	\N	\N	ION GEOPHYSICAL	5490478	N	N	N	N	2013-05-08
VNG Norge (Operations) AS	934651758	\N	VNG NORGE (OPERATIONS) AS	5497155	N	Y	N	Y	2013-05-08
Norges Geologiske Undersøkelse	970188290	\N	NORGES GEOLOGISKE UNDERSØKELSE	5506537	N	N	N	N	2013-05-08
Integrated Geochemical Interpretation Ltd.	\N	\N	INTEGRATED GEOCHEMICAL	5774694	N	N	N	N	2013-05-08
Octio Geophysical AS	990516332	\N	OCTIO GEOPHYSICAL AS	5774895	N	N	N	N	2013-05-08
DOF Management AS	979999682	\N	DOF MANAGEMENT	5781675	N	N	N	N	2013-05-08
Polarcus AS	994063901	\N	POLARCUS AS	17114862	N	N	N	N	2013-05-08
Edison International Norway Branch	991193030	\N	EDISON INTERNATIONAL NORWAY BRANCH	17237180	Y	N	Y	Y	2013-05-08
VNG Norge AS	934651758	\N	VNG NORGE AS	17237193	Y	Y	Y	Y	2013-05-08
Repsol Exploration Norge AS	993787787	\N	REPSOL EXPLORATION NORGE AS	17237506	Y	N	Y	Y	2013-05-08
Nippon Oil Exploration and Production UKl Limited	03288689	\N	NIPPON OIL	17237695	N	N	N	N	2013-05-08
Statoil ASA	923609016	\N	STATOIL ASA	17237803	N	N	N	N	2013-05-08
Statoil Petroleum AS	990888213	\N	STATOIL PETROLEUM AS	17237817	Y	Y	Y	Y	2013-05-08
Det norske oljeselskap ASA	989795848	\N	DET NORSKE	17342870	Y	Y	Y	Y	2013-05-08
Det norske oljeselskap AS	989563343	\N	DET NORSKE AS	17342915	N	Y	N	Y	2013-05-08
Gaz De France S.A.	975782913	\N	GAZ DE FRANCE SA	17835046	N	N	N	N	2013-05-08
Fluxys SA	\N	\N	FLUXYS SA	17835071	N	N	N	N	2013-05-08
Siem Offshore AS	990673586	\N	SIEM OFFSHORE AS	18054440	N	N	N	N	2013-05-08
Fugro Geotechnics AS	985148627	\N	FUGRO GEOTECHNICS AS	18061800	N	N	N	N	2013-05-08
GASSNOVA SF	991627626	\N	GASSNOVA SF	18082040	N	N	N	N	2013-05-08
North Energy ASA	891797702	\N	NORTH ENERGY ASA	18082156	Y	Y	Y	Y	2013-05-08
CGG Veritas Services SA	\N	\N	CGG VERITAS SERVICES SA	18085981	N	N	N	N	2013-05-08
Fugro Geolab Nor AS	970990976	\N	FUGRO GEOLAB NOR AS	18086025	N	N	N	N	2013-05-08
Spec Partners Ltd	\N	\N	SPEC PARTNERS LTD	18086040	N	N	N	N	2013-05-08
Front Exploration AS	987581883	\N	FRONT EXPLORATION AS	18108745	N	Y	N	Y	2013-05-08
Bridge Energy Norge AS	988682039	\N	BRIDGE ENERGY NORGE AS	18178215	Y	Y	Y	Y	2013-05-08
Agora Oil & Gas AS	994434403	\N	AGORA OIL & GAS	18386322	N	N	N	Y	2013-05-08
Fortis Petroleum Norway AS	990554382	\N	FORTIS PETROLEUM NORWAY	18386334	N	N	Y	Y	2013-05-08
E&P Holding AS	991531556	\N	E&P HOLDING AS	20109546	N	N	N	Y	2013-05-08
Havila Shipping ASA	882811972	\N	HAVILA SHIPPING	20404162	N	N	N	N	2013-05-08
Dana Petroleum (BVUK) Limited	03337437	\N	DANA PETROLEUM GB	20415896	N	N	N	N	2013-05-08
JX Nippon Exploration and Production (UK) Limited	03288689	\N	JX NIPPON	20415923	N	N	N	N	2013-05-08
Talisman Energy (UK) Limited	00825828	\N	TALISMAN ENERGY (UK)	20415938	N	N	N	N	2013-05-08
Suncor Energy Norge AS	989362100	\N	SUNCOR ENERGY NORGE	20426420	Y	Y	Y	Y	2013-05-08
Searcher Seismic	\N	\N	SEARCHER SEISMIC	20439960	N	N	N	N	2013-05-08
Searcher Seismic Pty Ltd	\N	\N	SEARCHER	20439980	N	N	N	N	2013-05-08
Njord Gas Infrastructure AS	995152142	\N	NJORD GAS INFRASTRUCTURE AS	20440816	N	N	N	N	2013-05-08
Core Energy AS	995915995	\N	CORE ENERGY AS	20460080	N	N	Y	Y	2013-05-08
Polarcus Seismic Limited	\N	\N	POLARCUS SEISMIC LIMITED	20472280	N	N	N	N	2013-05-08
Seabird Technologies AS	978595510	\N	SEABIRD TECHNOLOGIES	20472500	N	N	N	N	2013-05-08
Fairfield Nodal	\N	\N	FAIRFIELD NODAL	20484280	N	N	N	N	2013-05-08
Polarcus Norway AS	996798305	\N	POLARCUS NORWAY AS	20485182	N	N	N	N	2013-05-08
Marathon Oil Norge AS	923702962	\N	MARATHON OIL	20485291	Y	Y	Y	Y	2013-05-08
Subsea 7 Norway Norsk avdeling av utenlandsk foretak	984366043	\N	SUBSEA 7 NORWAY	21076900	N	N	N	N	2013-05-08
Valiant Petroleum Norge AS	988120545	\N	VALIANT PETROLEUM NORGE	21104529	Y	N	Y	Y	2013-05-08
Transocean Norway Drilling AS	982000564	\N	TRANSOCEAN NORWAY DRILLING	21125820	N	N	N	N	2013-05-08
Infragas Norge AS	997229088	\N	INFRAGAS NORGE AS	21139140	N	N	N	N	2013-05-08
Talisman Petroleum Norge AS	997198336	\N	TALISMAN PETROLEUM NORGE	21139184	N	N	N	Y	2013-05-08
Multiklient Invest AS	971171537	\N	MULTIKLIENT INVEST	21139228	N	N	N	N	2013-05-08
Solveig Gas Norway AS	996888177	\N	SOLVEIG GAS NORWAY	21139652	N	N	N	N	2013-05-08
Silex Gas Norway AS	996739910	\N	SILEX GAS NORWAY	21139663	N	N	N	N	2013-05-08
OCCIDENTAL	\N	\N	OCCIDENT	21140076	N	N	N	N	2013-05-08
Seiscom Delta Exploration INC	\N	\N	SEISCOM DELTA INC	21140087	N	N	N	N	2013-05-08
Japan National Oil Corporation	\N	\N	JAPAN NATIONAL OIL CORPORATION	21333475	N	N	N	N	2013-05-08
Renard Centre of Marine Geology	\N	\N	RENARD CENTRE OF MARINE GEOLOGY	21333486	N	N	N	N	2013-05-08
Sevoteam	\N	\N	SEVOTEAM	21333497	N	N	N	N	2013-05-08
British Gas	\N	\N	BRITISH GAS	21333508	N	N	N	N	2013-05-08
Amarok A.S	\N	\N	AMAROK AS	21333519	N	N	N	N	2013-05-08
R & R Geo Tech AS	\N	\N	GEOTECH	21333530	N	N	N	N	2013-05-08
Det Norske Veritas	\N	\N	DET NORSKE VERITAS	21333541	N	N	N	N	2013-05-08
Prakla-Seismos GMBH	\N	\N	PRAKLA	21333552	N	N	N	N	2013-05-08
Horizon Exploration LTD	\N	\N	HORIZON	21333574	N	N	N	N	2013-05-08
Seismic Profilers	\N	\N	SEIPRO	21333585	N	N	N	N	2013-05-08
Digicon Geophysical LTD	\N	\N	DIGICON	21333596	N	N	N	N	2013-05-08
Merlin Geophysical LTD	\N	\N	MERLIN	21333607	N	N	N	N	2013-05-08
Seateam	\N	\N	SEATEAM	21333618	N	N	N	N	2013-05-08
Emergy Exploration AS	996460088	\N	EMERGY EXPLORATION	21333629	N	N	N	Y	2013-05-08
CEPM	\N	\N	CEPM	21333641	N	N	N	N	2013-05-08
NOGEC	\N	\N	NOGEC	21333652	N	N	N	N	2013-05-08
Geophysical Company of Norway A/S	\N	\N	GECO	21333663	N	N	N	N	2013-05-08
Statex A.S. Laboratory	\N	\N	STATEX	21333700	N	N	N	N	2013-05-08
S&A Geophysical	\N	\N	S&A	21333711	N	N	N	N	2013-05-08
Spectrum Geophysical Services	\N	\N	SPECTRUM	21333722	N	N	N	N	2013-05-08
Seismic Exploration International S.A.	\N	\N	SEI	21333733	N	N	N	N	2013-05-08
Goel m/v Goel Egede	\N	\N	GOEL	21333744	N	N	N	N	2013-05-08
Sefel J. & Associates (UK) LTD	\N	\N	SEFEL	21333755	N	N	N	N	2013-05-08
Racal Decca	\N	\N	RACAL	21333766	N	N	N	N	2013-05-08
Digital Exploration Limited	\N	\N	DIGITAL	21333777	N	N	N	N	2013-05-08
Master Survey	\N	\N	MASTER	21333788	N	N	N	N	2013-05-08
Sonics Exploration	\N	\N	SONICS	21333799	N	N	N	N	2013-05-08
Teledyne Exploration International	\N	\N	TELEDYNE	21333810	N	N	N	N	2013-05-08
Ensign Geophysics LTD	\N	\N	ENSIGN	21333821	N	N	N	N	2013-05-08
Sevmorneftegeophysica	\N	\N	SEVMORN	21333832	N	N	N	N	2013-05-08
Continantal Geophysical	\N	\N	CONTINENTAL	21333843	N	N	N	N	2013-05-08
Universitetet i Uppsala	\N	\N	UIU	21333854	N	N	N	N	2013-05-08
Dalmoneftegeofizika	\N	\N	DMNG	21333865	N	N	N	N	2013-05-08
Svitzer LTD	\N	\N	SVITZER	21333876	N	N	N	N	2013-05-08
Norwegian Geotecnical Institute	\N	\N	NGI	21333887	N	N	N	N	2013-05-08
Geosource Petty-Ray Geophysical	\N	\N	PETTYRAY	21348280	N	N	N	N	2013-05-08
Spectrum ASA	992470763	\N	SPECTRUM ASA	21572016	N	N	N	N	2013-05-08
Petrolia Norway AS	997015231	\N	PETROLIA NORWAY AS	21593704	N	N	Y	Y	2013-05-08
Faroe Petroleum (UK) Limited	04848017	\N	FAROE PETROLEUM (UK)	21614063	N	N	N	N	2013-05-08
E.ON E&P Norge AS	985740909	\N	E.ON E&P NORGE AS	21631209	Y	Y	Y	Y	2013-05-08
Wintershall Norge AS	985224323	\N	WINTERSHALL NORGE AS	21666830	Y	Y	Y	Y	2013-05-08
P-Cable 3D Seismic AS	992657715	\N	P-CABLE 3D SEISMIC AS	21668680	N	N	N	N	2013-05-08
W. L. Gore & Associates Scandinavia AB	985650632	\N	GORE & ASSOCIATES SCANDINAVIA	21668692	N	N	N	N	2013-05-08
Farstad Shipping ASA	934021592	\N	FARSTAD SHIPPING ASA	21675040	N	N	N	N	2013-05-08
ORG Geophysical As	983824331	\N	ORG GEOPHYSICAL	21687000	N	N	N	N	2013-05-08
GFZ	\N	\N	GFZ	21800940	N	N	N	N	2013-05-08
Noreco Norway AS	987008644	\N	NORECO NORWAY AS	22223020	Y	N	Y	Y	2013-05-08
EnQuest Norge AS	998709326	\N	ENQUEST NORGE AS	22223200	N	N	N	N	2013-05-08
Explora Petroleum AS	997295684	\N	EXPLORA PETROLEUM AS	22223266	N	N	Y	N	2013-05-08
Floatel International AB	\N	\N	FLOATEL INTERNATIONAL AB	22426303	N	N	N	N	2013-05-08
Geotrace Technologies Ltd	976227026	\N	GEOTRACE TECHNOLOGIES	22492659	N	N	N	N	2013-05-08
North Atlantic Norway Ltd	996732851	\N	NORTH ATLANTIC NORWAY	22507678	N	N	N	N	2013-05-08
RN Nordic Oil AS	998433223	\N	ROSNEFT OIL COMPANY	22513131	N	N	N	N	2013-05-08
Moeco Oil & Gas Norge AS	998516048	\N	MOECO OIL & GAS NORGE	22513143	N	N	N	N	2013-05-08
Atlantic Petroleum Norge AS	996460088	\N	ATLANTIC PETROLEUM NORGE	22513163	N	N	Y	N	2013-05-08
LUKOIL Overseas North Shelf AS	998152550	\N	LUKOIL OVERSEAS	22513176	N	N	N	N	2013-05-08
Tullow Norge AS	998549183	\N	TULLOW NORGE	22513189	N	N	N	N	2013-05-08
Rocksource Exploration Norway AS	998852722	\N	ROCKSOURCE EXPLORATION NORWAY AS	22528729	Y	N	Y	Y	2013-05-08
Norshore AS	991241752	\N	NORSHORE AS	22528907	N	N	N	N	2013-05-08
Dolphin Geophysical AS	996330958	\N	DOLPHIN GEOPHYSICAL AS	22794540	N	N	N	N	2013-05-08
Polarcus Naila AS	995097893	\N	POLARCUS NAILA AS	22812960	N	N	N	N	2013-05-08
Tullow Oil (Bream) Norge AS	991252606	\N	TULLOW OIL (BREAM) NORGE	23173840	N	N	Y	N	2013-05-08
Tullow Oil Norge AS	991870830	\N	TULLOW OIL NORGE	23173852	Y	N	Y	N	2013-05-08
Canyon Offshore Limited	\N	\N	CANYON OFFSHORE	23268480	N	N	N	N	2013-05-08
Inov8 Energy AS	998477603	\N	INOV8 ENERGY AS	23268820	N	N	N	N	2013-05-08
Spike Exploration AS	999250521	\N	SPIKE EXPLORATION AS	23268831	N	N	N	N	2013-05-08
Spike Exploration Holding AS	998483476	\N	SPIKE EXPLORATION HOLDING	23268842	N	N	N	N	2013-05-08
Tellus Petroleum AS	998449111	\N	TELLUS PETROLEUM	23268853	N	N	N	N	2013-05-08
Calecore Limited	998805406	\N	CALECORE LIMITED	23269050	N	N	N	N	2013-05-08
Ithaca Energy (UK) Limited	\N	\N	ITHACA ENERGY	23269080	N	N	N	N	2013-05-08
Lime Petroleum Norway AS	998726441	\N	LIME PETROLEUM NORWAY	23269093	N	N	N	N	2013-05-08
Skeie Energy AS	990809712	\N	SKEIE ENERGY AS	23286115	N	N	Y	Y	2013-05-08
Capricorn Norge AS	994434403	\N	CAPRICORN NORGE AS	23297570	N	N	Y	N	2013-05-08
\.



COPY company_reserves (cmplongname, fldname, cmprecoverableoil, cmprecoverablegas, cmprecoverablengl, cmprecoverablecondensate, cmprecoverableoe, cmpremainingoil, cmpremaininggas, cmpremainingngl, cmpremainingcondensate, cmpremainingoe, cmpdateoffresestdisplay, cmpshare, fldnpdidfield, cmpnpdidcompany, datesyncnpd) FROM stdin;
Norske AEDC A/S	GYDA	1.830000	0.340000	0.100000	0.000000	2.350000	0.050000	0.030000	0.010000	0.000000	0.080000	2012-12-31	5.000000	43492	34	2013-05-08
Norske AEDC A/S	YME	2.200000	0.000000	0.000000	0.000000	2.200000	1.410000	0.000000	0.000000	0.000000	1.410000	2012-12-31	10.000000	43807	34	2013-05-08
Norske AEDC A/S	TAMBAR ØST	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	0.800000	4999528	34	2013-05-08
Idemitsu Petroleum Norge AS	STATFJORD ØST	1.770000	0.190000	0.100000	0.000000	2.150000	0.030000	0.000000	0.040000	0.000000	0.110000	2012-12-31	4.800000	43672	441	2013-05-08
Idemitsu Petroleum Norge AS	SNORRE	23.990000	0.630000	0.450000	0.000000	25.480000	6.150000	0.030000	0.010000	0.000000	6.200000	2012-12-31	9.600000	43718	441	2013-05-08
Idemitsu Petroleum Norge AS	TORDIS	5.880000	0.440000	0.170000	0.000000	6.650000	0.580000	0.040000	0.020000	0.000000	0.650000	2012-12-31	9.600000	43725	441	2013-05-08
Idemitsu Petroleum Norge AS	VIGDIS	6.390000	0.180000	0.120000	0.000000	6.790000	1.440000	0.020000	0.030000	0.000000	1.510000	2012-12-31	9.600000	43732	441	2013-05-08
Idemitsu Petroleum Norge AS	SYGNA	0.480000	0.000000	0.000000	0.000000	0.480000	0.050000	0.000000	0.000000	0.000000	0.050000	2012-12-31	4.320000	104718	441	2013-05-08
Idemitsu Petroleum Norge AS	FRAM	4.610000	1.320000	0.090000	0.000000	6.100000	0.890000	0.950000	0.060000	0.000000	1.940000	2012-12-31	15.000000	1578840	441	2013-05-08
Idemitsu Petroleum Norge AS	VEGA	0.400000	0.840000	0.140000	0.000000	1.510000	0.310000	0.730000	0.120000	0.000000	1.270000	2012-12-31	6.000000	4467595	441	2013-05-08
Idemitsu Petroleum Norge AS	KNARR	2.980000	0.080000	0.200000	0.000000	3.430000	2.980000	0.080000	0.200000	0.000000	3.430000	2012-12-31	25.000000	20460988	441	2013-05-08
A/S Norske Shell	DRAUGEN	65.370000	0.710000	1.250000	0.000000	68.450000	6.640000	0.040000	0.180000	0.000000	7.020000	2012-12-31	44.560000	43758	562	2013-05-08
A/S Norske Shell	TROLL	21.370000	116.080000	2.230000	0.120000	141.800000	2.920000	79.790000	1.710000	-0.230000	85.730000	2012-12-31	8.101450	46437	562	2013-05-08
A/S Norske Shell	ORMEN LANGE	0.000000	52.190000	0.000000	2.850000	55.030000	0.000000	35.390000	0.000000	1.550000	36.940000	2012-12-31	17.037500	2762452	562	2013-05-08
A/S Norske Shell	GJØA	1.390000	3.920000	1.040000	0.000000	7.300000	0.770000	3.340000	0.910000	0.000000	5.840000	2012-12-31	12.000000	4467574	562	2013-05-08
Svenska Petroleum Exploration AS	ØST FRIGG	0.000000	2.300000	0.000000	0.030000	2.330000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	25.000000	43576	738	2013-05-08
Svenska Petroleum Exploration AS	LILLE-FRIGG	0.330000	0.550000	0.000000	0.000000	0.880000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	25.000000	43583	738	2013-05-08
RWE Dea Norge AS	VESLEFRIKK	7.300000	0.770000	0.270000	0.000000	8.590000	0.240000	0.450000	0.090000	0.000000	0.870000	2012-12-31	13.500000	43618	97557	2013-05-08
RWE Dea Norge AS	STATFJORD ØST	0.520000	0.060000	0.030000	0.000000	0.630000	0.010000	0.000000	0.010000	0.000000	0.030000	2012-12-31	1.400000	43672	97557	2013-05-08
RWE Dea Norge AS	SNORRE	20.690000	0.550000	0.390000	0.000000	21.980000	5.310000	0.020000	0.010000	0.000000	5.350000	2012-12-31	8.281200	43718	97557	2013-05-08
RWE Dea Norge AS	TORDIS	1.710000	0.130000	0.050000	0.000000	1.940000	0.170000	0.010000	0.010000	0.000000	0.190000	2012-12-31	2.800000	43725	97557	2013-05-08
RWE Dea Norge AS	VIGDIS	1.860000	0.050000	0.030000	0.000000	1.980000	0.420000	0.010000	0.010000	0.000000	0.440000	2012-12-31	2.800000	43732	97557	2013-05-08
RWE Dea Norge AS	SYGNA	0.140000	0.000000	0.000000	0.000000	0.140000	0.010000	0.000000	0.000000	0.000000	0.010000	2012-12-31	1.260000	104718	97557	2013-05-08
RWE Dea Norge AS	SNØHVIT	0.000000	4.970000	0.180000	0.640000	5.940000	0.000000	4.410000	0.150000	0.530000	5.230000	2012-12-31	2.810000	2053062	97557	2013-05-08
RWE Dea Norge AS	GJØA	0.930000	2.620000	0.700000	0.000000	4.870000	0.510000	2.220000	0.610000	0.000000	3.890000	2012-12-31	8.000000	4467574	97557	2013-05-08
RWE Dea Norge AS	KNARR	1.190000	0.030000	0.080000	0.000000	1.370000	1.190000	0.030000	0.080000	0.000000	1.370000	2012-12-31	10.000000	20460988	97557	2013-05-08
Petoro AS	ALBUSKJELL	0.370000	0.780000	0.050000	0.000000	1.250000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	5.000000	43437	1626839	2013-05-08
Petoro AS	VARG	4.920000	0.330000	0.300000	0.000000	5.820000	0.420000	0.330000	0.300000	0.000000	1.320000	2012-12-31	30.000000	43451	1626839	2013-05-08
Petoro AS	EKOFISK	28.460000	8.230000	0.760000	0.000000	38.130000	6.490000	1.140000	0.110000	0.000000	7.840000	2012-12-31	5.000000	43506	1626839	2013-05-08
Petoro AS	VEST EKOFISK	0.610000	1.300000	0.070000	0.000000	2.040000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	5.000000	43513	1626839	2013-05-08
Petoro AS	TOR	0.900000	0.400000	0.040000	0.000000	1.380000	0.010000	0.000000	0.000000	0.000000	0.020000	2012-12-31	3.687440	43520	1626839	2013-05-08
Petoro AS	ELDFISK	6.900000	2.240000	0.210000	0.000000	9.520000	1.870000	0.270000	0.010000	0.000000	2.150000	2012-12-31	5.000000	43527	1626839	2013-05-08
Petoro AS	EMBLA	0.600000	0.380000	0.040000	0.000000	1.040000	0.080000	0.180000	0.020000	0.000000	0.280000	2012-12-31	5.000000	43534	1626839	2013-05-08
Petoro AS	EDDA	0.240000	0.100000	0.010000	0.000000	0.360000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	5.000000	43541	1626839	2013-05-08
Petoro AS	HEIMDAL	1.640000	9.380000	0.000000	0.000000	11.020000	0.320000	0.340000	0.000000	0.000000	0.660000	2012-12-31	20.000000	43590	1626839	2013-05-08
Petoro AS	VESLEFRIKK	20.020000	2.110000	0.740000	0.000000	23.530000	0.670000	1.220000	0.260000	0.000000	2.380000	2012-12-31	37.000000	43618	1626839	2013-05-08
Petoro AS	OSEBERG	129.230000	34.980000	4.070000	0.000000	171.930000	7.630000	23.250000	1.280000	0.000000	33.300000	2012-12-31	33.600000	43625	1626839	2013-05-08
Petoro AS	OSEBERG ØST	8.970000	0.130000	0.100000	0.000000	9.300000	2.650000	0.030000	0.100000	0.000000	2.880000	2012-12-31	33.600000	43639	1626839	2013-05-08
Petoro AS	OSEBERG SØR	20.500000	5.380000	0.540000	0.000000	26.890000	5.780000	2.690000	0.540000	0.000000	9.490000	2012-12-31	33.600000	43645	1626839	2013-05-08
Petoro AS	STATFJORD ØST	11.040000	1.200000	0.630000	0.000000	13.440000	0.210000	0.030000	0.240000	0.000000	0.700000	2012-12-31	30.000000	43672	1626839	2013-05-08
Petoro AS	STATFJORD NORD	11.850000	0.630000	0.330000	0.000000	13.110000	0.900000	0.000000	0.090000	0.000000	1.070000	2012-12-31	30.000000	43679	1626839	2013-05-08
Petoro AS	GULLFAKS	109.650000	6.930000	0.840000	0.000000	118.180000	3.480000	0.000000	0.000000	0.000000	3.480000	2012-12-31	30.000000	43686	1626839	2013-05-08
Petoro AS	GULLFAKS SØR	17.640000	19.530000	2.760000	0.000000	42.410000	4.980000	9.630000	1.500000	0.000000	17.460000	2012-12-31	30.000000	43699	1626839	2013-05-08
Petoro AS	SNORRE	74.970000	1.980000	1.410000	0.000000	79.630000	19.230000	0.090000	0.030000	0.000000	19.380000	2012-12-31	30.000000	43718	1626839	2013-05-08
Petoro AS	TORDIS	18.360000	1.380000	0.540000	0.000000	20.770000	1.800000	0.120000	0.060000	0.000000	2.030000	2012-12-31	30.000000	43725	1626839	2013-05-08
Petoro AS	VIGDIS	19.980000	0.570000	0.360000	0.000000	21.230000	4.500000	0.060000	0.090000	0.000000	4.730000	2012-12-31	30.000000	43732	1626839	2013-05-08
Petoro AS	VISUND	10.170000	15.390000	1.920000	0.000000	29.210000	3.450000	13.290000	1.800000	0.000000	20.160000	2012-12-31	30.000000	43745	1626839	2013-05-08
Petoro AS	DRAUGEN	70.240000	0.770000	1.340000	0.000000	73.550000	7.130000	0.050000	0.190000	0.000000	7.550000	2012-12-31	47.880000	43758	1626839	2013-05-08
Petoro AS	ÅSGARD	35.830000	74.130000	14.060000	6.100000	142.780000	6.640000	30.020000	6.000000	0.000000	48.050000	2012-12-31	35.690000	43765	1626839	2013-05-08
Petoro AS	HEIDRUN	105.920000	27.050000	1.280000	0.000000	135.400000	23.320000	18.210000	0.990000	0.000000	43.410000	2012-12-31	58.164400	43771	1626839	2013-05-08
Petoro AS	NORNE	49.030000	6.480000	0.860000	0.000000	57.150000	2.050000	2.920000	0.430000	0.000000	5.790000	2012-12-31	54.000000	43778	1626839	2013-05-08
Petoro AS	COD	0.150000	0.370000	0.030000	0.000000	0.560000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	5.000000	43785	1626839	2013-05-08
Petoro AS	TROLL	147.730000	802.370000	15.400000	0.840000	980.200000	20.160000	551.540000	11.820000	-1.570000	592.590000	2012-12-31	56.000000	46437	1626839	2013-05-08
Petoro AS	HULDRA	1.630000	5.590000	0.030000	0.000000	7.280000	0.000000	0.220000	0.000000	0.000000	0.220000	2012-12-31	31.955340	97002	1626839	2013-05-08
Petoro AS	SYGNA	3.300000	0.000000	0.000000	0.000000	3.300000	0.330000	0.000000	0.000000	0.000000	0.330000	2012-12-31	30.000000	104718	1626839	2013-05-08
Petoro AS	TUNE	1.320000	7.320000	0.080000	0.000000	8.790000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	40.000000	853376	1626839	2013-05-08
Petoro AS	GRANE	36.060000	0.000000	0.000000	0.000000	36.060000	10.450000	0.000000	0.000000	0.000000	10.450000	2012-12-31	28.942500	1035937	1626839	2013-05-08
Petoro AS	KVITEBJØRN	8.190000	26.730000	3.450000	0.000000	41.480000	2.940000	14.940000	2.430000	0.000000	22.500000	2012-12-31	30.000000	1036101	1626839	2013-05-08
Petoro AS	KRISTIN	4.480000	5.620000	1.230000	0.410000	12.860000	1.170000	1.900000	0.450000	0.000000	3.930000	2012-12-31	19.577000	1854729	1626839	2013-05-08
Petoro AS	SNØHVIT	0.000000	53.010000	1.920000	6.780000	63.440000	0.000000	47.070000	1.620000	5.700000	55.850000	2012-12-31	30.000000	2053062	1626839	2013-05-08
Petoro AS	SKIRNE	0.660000	3.060000	0.000000	0.000000	3.720000	0.150000	0.390000	0.000000	0.000000	0.540000	2012-12-31	30.000000	2138816	1626839	2013-05-08
Petoro AS	ORMEN LANGE	0.000000	111.720000	0.000000	6.090000	117.810000	0.000000	75.760000	0.000000	3.320000	79.080000	2012-12-31	36.475000	2762452	1626839	2013-05-08
Petoro AS	URD	1.720000	0.050000	0.000000	0.000000	1.770000	0.490000	0.000000	0.000000	0.000000	0.490000	2012-12-31	24.545460	2834734	1626839	2013-05-08
Petoro AS	GIMLE	0.730000	0.340000	0.070000	0.000000	1.200000	0.100000	0.240000	0.050000	0.000000	0.430000	2012-12-31	24.186300	4005142	1626839	2013-05-08
Petoro AS	REV	0.210000	0.810000	0.030000	0.000000	1.080000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	30.000000	4467554	1626839	2013-05-08
Petoro AS	GJØA	3.480000	9.810000	2.610000	0.000000	18.250000	1.920000	8.340000	2.280000	0.000000	14.590000	2012-12-31	30.000000	4467574	1626839	2013-05-08
Petoro AS	VEGA	1.580000	3.360000	0.580000	0.000000	6.040000	1.220000	2.930000	0.480000	0.000000	5.060000	2012-12-31	24.000000	4467595	1626839	2013-05-08
Petoro AS	YTTERGRYTA	0.060000	0.440000	0.080000	0.000000	0.650000	0.000000	0.200000	0.040000	0.000000	0.280000	2012-12-31	19.950000	4973114	1626839	2013-05-08
Petoro AS	VALEMON	1.470000	7.830000	0.390000	0.000000	10.040000	1.470000	7.830000	0.390000	0.000000	10.040000	2012-12-31	30.000000	20460969	1626839	2013-05-08
Petoro AS	VISUND SØR	0.810000	2.190000	0.270000	0.000000	3.510000	0.810000	2.190000	0.270000	0.000000	3.510000	2012-12-31	30.000000	20461008	1626839	2013-05-08
Petoro AS	ATLA	0.090000	0.420000	0.000000	0.000000	0.510000	0.090000	0.390000	0.000000	0.000000	0.480000	2012-12-31	30.000000	21106284	1626839	2013-05-08
Petoro AS	SKULD	3.290000	0.150000	0.020000	0.000000	3.480000	3.290000	0.150000	0.020000	0.000000	3.480000	2012-12-31	24.545460	21350124	1626839	2013-05-08
Petoro AS	JETTE	0.450000	0.030000	0.000000	0.000000	0.480000	0.450000	0.030000	0.000000	0.000000	0.480000	2012-12-31	30.000000	21613906	1626839	2013-05-08
Petoro AS	MARTIN LINGE	1.800000	5.910000	0.210000	0.900000	9.010000	1.800000	5.910000	0.210000	0.900000	9.010000	2012-12-31	30.000000	21675447	1626839	2013-05-08
Petoro AS	SVALIN	3.630000	0.000000	0.000000	0.000000	3.630000	3.630000	0.000000	0.000000	0.000000	3.630000	2012-12-31	30.000000	22507971	1626839	2013-05-08
Enterprise Oil Norge AS	KVITEBJØRN	1.760000	5.750000	0.740000	0.000000	8.920000	0.630000	3.210000	0.520000	0.000000	4.840000	2012-12-31	6.450000	1036101	1853786	2013-05-08
Enterprise Oil Norge AS	VALEMON	0.160000	0.840000	0.040000	0.000000	1.080000	0.160000	0.840000	0.040000	0.000000	1.080000	2012-12-31	3.225000	20460969	1853786	2013-05-08
BP Norge AS	HOD	3.900000	0.680000	0.150000	0.000000	4.860000	0.340000	0.080000	0.040000	0.000000	0.480000	2012-12-31	37.500000	43485	2052695	2013-05-08
BP Norge AS	VALHALL	52.990000	9.890000	1.980000	0.000000	66.640000	14.920000	2.480000	0.790000	0.000000	18.900000	2012-12-31	35.953130	43548	2052695	2013-05-08
BP Norge AS	ULA	70.320000	3.120000	3.200000	0.000000	79.520000	12.560000	0.000000	1.120000	0.000000	14.690000	2012-12-31	80.000000	43800	2052695	2013-05-08
BP Norge AS	TAMBAR	5.230000	1.100000	0.280000	0.000000	6.850000	0.330000	0.000000	0.110000	0.000000	0.540000	2012-12-31	55.000000	1028599	2052695	2013-05-08
BP Norge AS	SKARV	3.690000	10.340000	1.330000	0.000000	16.570000	3.690000	10.340000	1.330000	0.000000	16.570000	2012-12-31	23.835000	4704482	2052695	2013-05-08
BP Norge AS	TAMBAR ØST	0.140000	0.000000	0.000000	0.000000	0.140000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	46.200000	4999528	2052695	2013-05-08
Eni Norge AS	ALBUSKJELL	0.920000	1.930000	0.120000	0.000000	3.080000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	12.388000	43437	2388594	2013-05-08
Eni Norge AS	TOMMELITEN GAMMA	0.360000	0.890000	0.050000	0.000000	1.330000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	9.130000	43444	2388594	2013-05-08
Eni Norge AS	EKOFISK	70.510000	20.380000	1.880000	0.000000	94.470000	16.080000	2.820000	0.270000	0.000000	19.420000	2012-12-31	12.388000	43506	2388594	2013-05-08
Eni Norge AS	VEST EKOFISK	1.510000	3.220000	0.170000	0.000000	5.060000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	12.388000	43513	2388594	2013-05-08
Eni Norge AS	TOR	2.630000	1.180000	0.130000	0.000000	4.050000	0.040000	0.010000	0.000000	0.000000	0.050000	2012-12-31	10.816560	43520	2388594	2013-05-08
Eni Norge AS	ELDFISK	17.080000	5.550000	0.510000	0.000000	23.600000	4.620000	0.670000	0.020000	0.000000	5.340000	2012-12-31	12.388000	43527	2388594	2013-05-08
Eni Norge AS	EMBLA	1.470000	0.930000	0.090000	0.000000	2.570000	0.190000	0.450000	0.040000	0.000000	0.700000	2012-12-31	12.388000	43534	2388594	2013-05-08
Eni Norge AS	EDDA	0.590000	0.250000	0.020000	0.000000	0.890000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	12.388000	43541	2388594	2013-05-08
Eni Norge AS	ÅSGARD	14.880000	30.780000	5.840000	2.530000	59.290000	2.760000	12.460000	2.490000	0.000000	19.950000	2012-12-31	14.820000	43765	2388594	2013-05-08
Eni Norge AS	HEIDRUN	9.320000	2.380000	0.110000	0.000000	11.920000	2.050000	1.600000	0.090000	0.000000	3.820000	2012-12-31	5.119370	43771	2388594	2013-05-08
Eni Norge AS	NORNE	6.270000	0.830000	0.110000	0.000000	7.300000	0.260000	0.370000	0.060000	0.000000	0.740000	2012-12-31	6.900000	43778	2388594	2013-05-08
Eni Norge AS	COD	0.360000	0.900000	0.060000	0.000000	1.380000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	12.388000	43785	2388594	2013-05-08
Eni Norge AS	MIKKEL	0.980000	4.680000	1.280000	0.330000	8.420000	0.490000	2.350000	0.660000	0.000000	4.090000	2012-12-31	14.900000	1630514	2388594	2013-05-08
Eni Norge AS	KRISTIN	1.890000	2.370000	0.520000	0.170000	5.420000	0.490000	0.800000	0.190000	0.000000	1.660000	2012-12-31	8.247800	1854729	2388594	2013-05-08
Eni Norge AS	URD	0.810000	0.020000	0.000000	0.000000	0.830000	0.230000	0.000000	0.000000	0.000000	0.230000	2012-12-31	11.500000	2834734	2388594	2013-05-08
Eni Norge AS	TYRIHANS	2.020000	2.600000	0.680000	0.000000	5.910000	1.030000	2.550000	0.670000	0.000000	4.840000	2012-12-31	6.232200	3960848	2388594	2013-05-08
Eni Norge AS	MORVIN	2.790000	1.350000	0.330000	0.000000	4.770000	1.680000	1.350000	0.330000	0.000000	3.660000	2012-12-31	30.000000	4966234	2388594	2013-05-08
Eni Norge AS	YTTERGRYTA	0.030000	0.220000	0.040000	0.000000	0.320000	0.000000	0.100000	0.020000	0.000000	0.140000	2012-12-31	9.800000	4973114	2388594	2013-05-08
Eni Norge AS	GOLIAT	19.630000	4.750000	0.200000	0.000000	24.750000	19.630000	4.750000	0.200000	0.000000	24.750000	2012-12-31	65.000000	5774394	2388594	2013-05-08
Eni Norge AS	MARULK	0.140000	1.680000	0.180000	0.000000	2.160000	0.120000	1.560000	0.180000	0.000000	2.020000	2012-12-31	20.000000	18212090	2388594	2013-05-08
Eni Norge AS	SKULD	1.540000	0.070000	0.010000	0.000000	1.630000	1.540000	0.070000	0.010000	0.000000	1.630000	2012-12-31	11.500000	21350124	2388594	2013-05-08
ConocoPhillips Skandinavia AS	ALBUSKJELL	2.600000	5.480000	0.350000	0.000000	8.740000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	35.112000	43437	2410696	2013-05-08
ConocoPhillips Skandinavia AS	TOMMELITEN GAMMA	1.100000	2.740000	0.140000	0.000000	4.110000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	28.260000	43444	2410696	2013-05-08
ConocoPhillips Skandinavia AS	EKOFISK	199.860000	57.760000	5.340000	0.000000	267.760000	45.580000	8.010000	0.770000	0.000000	55.050000	2012-12-31	35.112000	43506	2410696	2013-05-08
ConocoPhillips Skandinavia AS	VEST EKOFISK	4.280000	9.130000	0.490000	0.000000	14.350000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	35.112000	43513	2410696	2013-05-08
ConocoPhillips Skandinavia AS	TOR	7.450000	3.340000	0.370000	0.000000	11.490000	0.120000	0.030000	0.000000	0.000000	0.150000	2012-12-31	30.657990	43520	2410696	2013-05-08
ConocoPhillips Skandinavia AS	ELDFISK	48.420000	15.730000	1.440000	0.000000	66.880000	13.100000	1.900000	0.070000	0.000000	15.130000	2012-12-31	35.112000	43527	2410696	2013-05-08
ConocoPhillips Skandinavia AS	EMBLA	4.180000	2.630000	0.250000	0.000000	7.280000	0.530000	1.260000	0.110000	0.000000	1.990000	2012-12-31	35.112000	43534	2410696	2013-05-08
ConocoPhillips Skandinavia AS	EDDA	1.690000	0.700000	0.070000	0.000000	2.520000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	35.112000	43541	2410696	2013-05-08
ConocoPhillips Skandinavia AS	OSEBERG	9.230000	2.500000	0.290000	0.000000	12.280000	0.540000	1.660000	0.090000	0.000000	2.380000	2012-12-31	2.400000	43625	2410696	2013-05-08
ConocoPhillips Skandinavia AS	OSEBERG ØST	0.640000	0.010000	0.010000	0.000000	0.660000	0.190000	0.000000	0.010000	0.000000	0.210000	2012-12-31	2.400000	43639	2410696	2013-05-08
ConocoPhillips Skandinavia AS	OSEBERG SØR	1.460000	0.380000	0.040000	0.000000	1.920000	0.410000	0.190000	0.040000	0.000000	0.680000	2012-12-31	2.400000	43645	2410696	2013-05-08
ConocoPhillips Skandinavia AS	VISUND	3.080000	4.670000	0.580000	0.000000	8.860000	1.050000	4.030000	0.550000	0.000000	6.120000	2012-12-31	9.100000	43745	2410696	2013-05-08
ConocoPhillips Skandinavia AS	HEIDRUN	44.270000	11.300000	0.530000	0.000000	56.590000	9.750000	7.610000	0.410000	0.000000	18.140000	2012-12-31	24.310550	43771	2410696	2013-05-08
ConocoPhillips Skandinavia AS	COD	1.020000	2.560000	0.180000	0.000000	3.910000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	35.112000	43785	2410696	2013-05-08
ConocoPhillips Skandinavia AS	TROLL	4.280000	23.260000	0.450000	0.020000	28.420000	0.580000	15.990000	0.340000	-0.050000	17.180000	2012-12-31	1.623740	46437	2410696	2013-05-08
ConocoPhillips Skandinavia AS	HULDRA	1.190000	4.080000	0.020000	0.000000	5.320000	0.000000	0.160000	0.000000	0.000000	0.160000	2012-12-31	23.336250	97002	2410696	2013-05-08
ConocoPhillips Skandinavia AS	GRANE	7.690000	0.000000	0.000000	0.000000	7.690000	2.230000	0.000000	0.000000	0.000000	2.230000	2012-12-31	6.174400	1035937	2410696	2013-05-08
ConocoPhillips Skandinavia AS	ALVHEIM	7.440000	1.360000	0.000000	0.000000	8.800000	3.500000	0.940000	0.000000	0.000000	4.440000	2012-12-31	20.000000	2845712	2410696	2013-05-08
ConocoPhillips Skandinavia AS	GIMLE	0.170000	0.080000	0.020000	0.000000	0.290000	0.020000	0.060000	0.010000	0.000000	0.100000	2012-12-31	5.785000	4005142	2410696	2013-05-08
ConocoPhillips Skandinavia AS	VISUND SØR	0.250000	0.660000	0.080000	0.000000	1.070000	0.250000	0.660000	0.080000	0.000000	1.070000	2012-12-31	9.100000	20461008	2410696	2013-05-08
ConocoPhillips Skandinavia AS	BØYLA	0.680000	0.060000	0.000000	0.000000	0.740000	0.680000	0.060000	0.000000	0.000000	0.740000	2012-12-31	20.000000	22492497	2410696	2013-05-08
Total E&P Norge AS	ALBUSKJELL	2.950000	6.220000	0.400000	0.000000	9.930000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	39.896000	43437	2410708	2013-05-08
Total E&P Norge AS	TOMMELITEN GAMMA	0.790000	1.960000	0.100000	0.000000	2.940000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	20.230000	43444	2410708	2013-05-08
Total E&P Norge AS	SLEIPNER VEST	0.000000	12.550000	0.890000	3.100000	17.340000	0.000000	1.860000	0.140000	0.420000	2.560000	2012-12-31	9.411200	43457	2410708	2013-05-08
Total E&P Norge AS	GUNGNE	0.000000	1.520000	0.220000	0.470000	2.410000	0.000000	0.130000	0.030000	0.040000	0.230000	2012-12-31	10.000000	43464	2410708	2013-05-08
Total E&P Norge AS	SLEIPNER ØST	0.000000	6.780000	1.350000	2.700000	12.050000	0.000000	0.150000	0.040000	0.020000	0.250000	2012-12-31	10.000000	43478	2410708	2013-05-08
Total E&P Norge AS	EKOFISK	227.090000	65.630000	6.060000	0.000000	304.240000	51.790000	9.100000	0.880000	0.000000	62.550000	2012-12-31	39.896000	43506	2410708	2013-05-08
Total E&P Norge AS	VEST EKOFISK	4.870000	10.370000	0.560000	0.000000	16.300000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	39.896000	43513	2410708	2013-05-08
Total E&P Norge AS	TOR	11.710000	5.250000	0.580000	0.000000	18.060000	0.190000	0.050000	0.000000	0.000000	0.240000	2012-12-31	48.198790	43520	2410708	2013-05-08
Total E&P Norge AS	ELDFISK	55.020000	17.870000	1.640000	0.000000	76.000000	14.880000	2.150000	0.080000	0.000000	17.190000	2012-12-31	39.896000	43527	2410708	2013-05-08
Total E&P Norge AS	EMBLA	4.750000	2.990000	0.280000	0.000000	8.270000	0.600000	1.440000	0.120000	0.000000	2.260000	2012-12-31	39.896000	43534	2410708	2013-05-08
Total E&P Norge AS	EDDA	1.920000	0.800000	0.080000	0.000000	2.860000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	39.896000	43541	2410708	2013-05-08
Total E&P Norge AS	FRIGG	0.000000	54.760000	0.000000	0.240000	55.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	28.664000	43555	2410708	2013-05-08
Total E&P Norge AS	HEIMDAL	1.370000	7.860000	0.000000	0.000000	9.230000	0.270000	0.280000	0.000000	0.000000	0.550000	2012-12-31	16.759000	43590	2410708	2013-05-08
Total E&P Norge AS	OSEBERG	56.540000	15.300000	1.780000	0.000000	75.220000	3.340000	10.170000	0.560000	0.000000	14.570000	2012-12-31	14.700000	43625	2410708	2013-05-08
Total E&P Norge AS	OSEBERG ØST	3.920000	0.060000	0.040000	0.000000	4.070000	1.160000	0.010000	0.040000	0.000000	1.260000	2012-12-31	14.700000	43639	2410708	2013-05-08
Total E&P Norge AS	OSEBERG SØR	8.970000	2.350000	0.240000	0.000000	11.770000	2.530000	1.180000	0.240000	0.000000	4.150000	2012-12-31	14.700000	43645	2410708	2013-05-08
Total E&P Norge AS	VISUND	2.610000	3.950000	0.490000	0.000000	7.500000	0.890000	3.410000	0.460000	0.000000	5.170000	2012-12-31	7.700000	43745	2410708	2013-05-08
Total E&P Norge AS	ÅSGARD	7.710000	15.950000	3.030000	1.310000	30.720000	1.430000	6.460000	1.290000	0.000000	10.340000	2012-12-31	7.680000	43765	2410708	2013-05-08
Total E&P Norge AS	COD	1.160000	2.910000	0.200000	0.000000	4.450000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	39.896000	43785	2410708	2013-05-08
Total E&P Norge AS	TROLL	9.740000	52.880000	1.020000	0.060000	64.600000	1.330000	36.350000	0.780000	-0.100000	39.060000	2012-12-31	3.690960	46437	2410708	2013-05-08
Total E&P Norge AS	HULDRA	1.240000	4.260000	0.020000	0.000000	5.550000	0.000000	0.170000	0.000000	0.000000	0.170000	2012-12-31	24.332000	97002	2410708	2013-05-08
Total E&P Norge AS	TUNE	0.330000	1.830000	0.020000	0.000000	2.200000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	10.000000	853376	2410708	2013-05-08
Total E&P Norge AS	KVITEBJØRN	1.370000	4.460000	0.580000	0.000000	6.910000	0.490000	2.490000	0.410000	0.000000	3.750000	2012-12-31	5.000000	1036101	2410708	2013-05-08
Total E&P Norge AS	GLITNE	1.940000	0.000000	0.000000	0.000000	1.940000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	21.800000	1272071	2410708	2013-05-08
Total E&P Norge AS	VALE	0.580000	0.560000	0.000000	0.000000	1.140000	0.270000	0.320000	0.000000	0.000000	0.580000	2012-12-31	24.243000	1578893	2410708	2013-05-08
Total E&P Norge AS	MIKKEL	0.500000	2.400000	0.660000	0.170000	4.330000	0.250000	1.210000	0.340000	0.000000	2.100000	2012-12-31	7.650000	1630514	2410708	2013-05-08
Total E&P Norge AS	KRISTIN	1.370000	1.720000	0.380000	0.130000	3.940000	0.360000	0.580000	0.140000	0.000000	1.200000	2012-12-31	6.000000	1854729	2410708	2013-05-08
Total E&P Norge AS	SNØHVIT	0.000000	32.510000	1.180000	4.160000	38.910000	0.000000	28.870000	0.990000	3.500000	34.250000	2012-12-31	18.400000	2053062	2410708	2013-05-08
Total E&P Norge AS	SKIRNE	0.880000	4.080000	0.000000	0.000000	4.960000	0.200000	0.520000	0.000000	0.000000	0.720000	2012-12-31	40.000000	2138816	2410708	2013-05-08
Total E&P Norge AS	VILJE	3.300000	0.000000	0.000000	0.000000	3.300000	1.500000	0.000000	0.000000	0.000000	1.500000	2012-12-31	24.243000	3392471	2410708	2013-05-08
Total E&P Norge AS	TYRIHANS	7.500000	9.650000	2.520000	0.000000	21.940000	3.820000	9.470000	2.480000	0.000000	17.990000	2012-12-31	23.145400	3960848	2410708	2013-05-08
Total E&P Norge AS	GIMLE	0.150000	0.070000	0.010000	0.000000	0.240000	0.020000	0.050000	0.010000	0.000000	0.090000	2012-12-31	4.895000	4005142	2410708	2013-05-08
Total E&P Norge AS	MORVIN	0.560000	0.270000	0.070000	0.000000	0.950000	0.340000	0.270000	0.070000	0.000000	0.730000	2012-12-31	6.000000	4966234	2410708	2013-05-08
Total E&P Norge AS	YTTERGRYTA	0.070000	0.540000	0.100000	0.000000	0.800000	0.000000	0.250000	0.050000	0.000000	0.340000	2012-12-31	24.500000	4973114	2410708	2013-05-08
Total E&P Norge AS	VISUND SØR	0.210000	0.560000	0.070000	0.000000	0.900000	0.210000	0.560000	0.070000	0.000000	0.900000	2012-12-31	7.700000	20461008	2410708	2013-05-08
Total E&P Norge AS	ISLAY	0.000000	0.100000	0.000000	0.000000	0.100000	0.000000	0.100000	0.000000	0.000000	0.100000	2012-12-31	100.000000	21105675	2410708	2013-05-08
Total E&P Norge AS	ATLA	0.120000	0.560000	0.000000	0.000000	0.680000	0.120000	0.520000	0.000000	0.000000	0.640000	2012-12-31	40.000000	21106284	2410708	2013-05-08
Total E&P Norge AS	MARTIN LINGE	3.060000	10.050000	0.360000	1.530000	15.320000	3.060000	10.050000	0.360000	1.530000	15.320000	2012-12-31	51.000000	21675447	2410708	2013-05-08
Talisman Energy Norge AS	VARG	10.660000	0.720000	0.650000	0.000000	12.610000	0.910000	0.720000	0.650000	0.000000	2.860000	2012-12-31	65.000000	43451	2425093	2013-05-08
Talisman Energy Norge AS	GYDA	22.270000	4.090000	1.220000	0.000000	28.670000	0.550000	0.310000	0.060000	0.000000	0.970000	2012-12-31	61.000000	43492	2425093	2013-05-08
Talisman Energy Norge AS	VESLEFRIKK	14.610000	1.540000	0.540000	0.000000	17.170000	0.490000	0.890000	0.190000	0.000000	1.740000	2012-12-31	27.000000	43618	2425093	2013-05-08
Talisman Energy Norge AS	BRAGE	20.070000	1.520000	0.510000	0.000000	22.560000	1.350000	0.410000	0.100000	0.000000	1.950000	2012-12-31	33.843400	43651	2425093	2013-05-08
Talisman Energy Norge AS	YME	13.200000	0.000000	0.000000	0.000000	13.200000	8.460000	0.000000	0.000000	0.000000	8.460000	2012-12-31	60.000000	43807	2425093	2013-05-08
Talisman Energy Norge AS	HULDRA	0.030000	0.090000	0.000000	0.000000	0.110000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	0.497900	97002	2425093	2013-05-08
Talisman Energy Norge AS	BLANE	0.800000	0.000000	0.000000	0.000000	0.800000	0.300000	0.000000	0.000000	0.000000	0.300000	2012-12-31	18.000000	3437650	2425093	2013-05-08
Talisman Energy Norge AS	REV	0.490000	1.890000	0.070000	0.000000	2.510000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	70.000000	4467554	2425093	2013-05-08
Talisman Energy Norge AS	TAMBAR ØST	0.030000	0.000000	0.000000	0.000000	0.030000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	9.760000	4999528	2425093	2013-05-08
Talisman Energy Norge AS	BRYNHILD	0.360000	0.000000	0.000000	0.000000	0.360000	0.360000	0.000000	0.000000	0.000000	0.360000	2012-12-31	10.000000	21123063	2425093	2013-05-08
BG Norge AS	GAUPE	0.120000	0.300000	0.000000	0.000000	0.420000	0.060000	0.180000	0.000000	0.000000	0.240000	2012-12-31	60.000000	18161341	2747354	2013-05-08
BG Norge AS	KNARR	5.360000	0.140000	0.360000	0.000000	6.170000	5.360000	0.140000	0.360000	0.000000	6.170000	2012-12-31	45.000000	20460988	2747354	2013-05-08
Lundin Norway AS	MIME	0.160000	0.040000	0.000000	0.000000	0.200000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	40.000000	43792	2767314	2013-05-08
Lundin Norway AS	ALVHEIM	5.580000	1.020000	0.000000	0.000000	6.600000	2.630000	0.710000	0.000000	0.000000	3.330000	2012-12-31	15.000000	2845712	2767314	2013-05-08
Lundin Norway AS	VOLUND	3.010000	0.320000	0.000000	0.000000	3.330000	1.400000	0.180000	0.000000	0.000000	1.580000	2012-12-31	35.000000	4380167	2767314	2013-05-08
Lundin Norway AS	GAUPE	0.080000	0.200000	0.000000	0.000000	0.280000	0.040000	0.120000	0.000000	0.000000	0.160000	2012-12-31	40.000000	18161341	2767314	2013-05-08
Lundin Norway AS	BRYNHILD	3.240000	0.000000	0.000000	0.000000	3.240000	3.240000	0.000000	0.000000	0.000000	3.240000	2012-12-31	90.000000	21123063	2767314	2013-05-08
Lundin Norway AS	EDVARD GRIEG	13.100000	0.900000	0.300000	0.000000	14.570000	13.100000	0.900000	0.300000	0.000000	14.570000	2012-12-31	50.000000	21675433	2767314	2013-05-08
Lundin Norway AS	BØYLA	0.510000	0.050000	0.000000	0.000000	0.560000	0.510000	0.050000	0.000000	0.000000	0.560000	2012-12-31	15.000000	22492497	2767314	2013-05-08
ExxonMobil Exploration & Production Norway AS	SLEIPNER VEST	0.000000	42.980000	3.060000	10.610000	59.400000	0.000000	6.380000	0.480000	1.450000	8.750000	2012-12-31	32.239360	43457	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	GUNGNE	0.000000	4.260000	0.620000	1.320000	6.740000	0.000000	0.360000	0.080000	0.110000	0.640000	2012-12-31	28.000000	43464	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	SLEIPNER ØST	0.000000	20.610000	4.100000	8.210000	36.620000	0.000000	0.460000	0.120000	0.060000	0.750000	2012-12-31	30.400000	43478	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	BALDER	72.100000	2.000000	0.000000	0.000000	74.100000	16.200000	0.600000	0.000000	0.000000	16.800000	2012-12-31	100.000000	43562	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	JOTUN	10.530000	0.500000	0.000000	0.000000	11.030000	0.320000	0.090000	0.000000	0.000000	0.410000	2012-12-31	45.000000	43604	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	STATFJORD	142.600000	19.350000	5.750000	0.270000	173.150000	1.070000	2.850000	1.520000	0.150000	6.970000	2012-12-31	21.367170	43658	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	STATFJORD ØST	7.560000	0.820000	0.430000	0.000000	9.200000	0.140000	0.020000	0.160000	0.000000	0.480000	2012-12-31	20.550000	43672	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	STATFJORD NORD	9.880000	0.530000	0.280000	0.000000	10.920000	0.750000	0.000000	0.080000	0.000000	0.890000	2012-12-31	25.000000	43679	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	SNORRE	44.390000	1.170000	0.830000	0.000000	47.150000	11.390000	0.050000	0.020000	0.000000	11.470000	2012-12-31	17.763500	43718	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	TORDIS	9.850000	0.740000	0.290000	0.000000	11.140000	0.970000	0.060000	0.030000	0.000000	1.090000	2012-12-31	16.100000	43725	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	VIGDIS	10.720000	0.310000	0.190000	0.000000	11.400000	2.420000	0.030000	0.050000	0.000000	2.540000	2012-12-31	16.100000	43732	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	ÅSGARD	7.270000	15.040000	2.850000	1.240000	28.960000	1.350000	6.090000	1.220000	0.000000	9.750000	2012-12-31	7.240000	43765	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	SYGNA	2.310000	0.000000	0.000000	0.000000	2.310000	0.230000	0.000000	0.000000	0.000000	0.230000	2012-12-31	20.995000	104718	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	GRANE	35.170000	0.000000	0.000000	0.000000	35.170000	10.190000	0.000000	0.000000	0.000000	10.190000	2012-12-31	28.222600	1035937	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	FRAM	7.680000	2.200000	0.150000	0.000000	10.160000	1.480000	1.580000	0.100000	0.000000	3.240000	2012-12-31	25.000000	1578840	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	SIGYN	0.000000	2.760000	1.040000	2.560000	7.300000	0.000000	0.280000	0.080000	0.240000	0.670000	2012-12-31	40.000000	1630100	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	MIKKEL	2.210000	10.510000	2.880000	0.740000	18.930000	1.100000	5.290000	1.470000	0.000000	9.190000	2012-12-31	33.480000	1630514	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	KRISTIN	2.490000	3.120000	0.690000	0.230000	7.140000	0.650000	1.050000	0.250000	0.000000	2.180000	2012-12-31	10.876100	1854729	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	ORMEN LANGE	0.000000	22.140000	0.000000	1.210000	23.350000	0.000000	15.010000	0.000000	0.660000	15.670000	2012-12-31	7.228600	2762452	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	VOLVE	2.640000	0.240000	0.060000	0.030000	3.030000	0.300000	0.030000	0.000000	0.000000	0.330000	2012-12-31	30.400000	3420717	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	RINGHORNE ØST	11.990000	0.310000	0.000000	0.000000	12.300000	4.870000	0.080000	0.000000	0.000000	4.950000	2012-12-31	77.380000	3505505	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	TYRIHANS	3.820000	4.920000	1.280000	0.000000	11.180000	1.940000	4.820000	1.260000	0.000000	9.160000	2012-12-31	11.786900	3960848	2835212	2013-05-08
ExxonMobil Exploration & Production Norway AS	SVALIN	1.570000	0.000000	0.000000	0.000000	1.570000	1.570000	0.000000	0.000000	0.000000	1.570000	2012-12-31	13.000000	22507971	2835212	2013-05-08
Premier Oil Norge AS	FRØY	2.800000	0.800000	0.000000	0.050000	3.650000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	50.000000	43597	3482067	2013-05-08
Chevron Norge AS	DRAUGEN	11.090000	0.120000	0.210000	0.000000	11.610000	1.130000	0.010000	0.030000	0.000000	1.190000	2012-12-31	7.560000	43758	3488906	2013-05-08
Hess Norge AS	HOD	6.500000	1.130000	0.250000	0.000000	8.100000	0.560000	0.130000	0.060000	0.000000	0.810000	2012-12-31	62.500000	43485	4038735	2013-05-08
Hess Norge AS	VALHALL	94.410000	17.610000	3.520000	0.000000	118.710000	26.580000	4.420000	1.410000	0.000000	33.680000	2012-12-31	64.046880	43548	4038735	2013-05-08
Faroe Petroleum Norge AS	JOTUN	0.700000	0.030000	0.000000	0.000000	0.740000	0.020000	0.010000	0.000000	0.000000	0.030000	2012-12-31	3.000000	43604	4062883	2013-05-08
Faroe Petroleum Norge AS	BRAGE	8.450000	0.640000	0.210000	0.000000	9.500000	0.570000	0.170000	0.040000	0.000000	0.820000	2012-12-31	14.256700	43651	4062883	2013-05-08
Faroe Petroleum Norge AS	NJORD	2.140000	1.290000	0.290000	0.000000	3.980000	0.230000	0.710000	0.160000	0.000000	1.230000	2012-12-31	7.500000	43751	4062883	2013-05-08
Faroe Petroleum Norge AS	GLITNE	0.830000	0.000000	0.000000	0.000000	0.830000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	9.300000	1272071	4062883	2013-05-08
Faroe Petroleum Norge AS	ENOCH	0.040000	0.000000	0.000000	0.000000	0.040000	0.010000	0.000000	0.000000	0.000000	0.010000	2012-12-31	1.860000	3437659	4062883	2013-05-08
Faroe Petroleum Norge AS	RINGHORNE ØST	1.210000	0.030000	0.000000	0.000000	1.240000	0.490000	0.010000	0.000000	0.000000	0.500000	2012-12-31	7.800000	3505505	4062883	2013-05-08
Faroe Petroleum Norge AS	HYME	0.240000	0.040000	0.020000	0.000000	0.310000	0.240000	0.040000	0.020000	0.000000	0.310000	2012-12-31	7.500000	20474183	4062883	2013-05-08
DONG E&P Norge AS	GYDA	12.410000	2.280000	0.680000	0.000000	15.980000	0.310000	0.170000	0.030000	0.000000	0.540000	2012-12-31	34.000000	43492	4070011	2013-05-08
DONG E&P Norge AS	ULA	17.580000	0.780000	0.800000	0.000000	19.880000	3.140000	0.000000	0.280000	0.000000	3.670000	2012-12-31	20.000000	43800	4070011	2013-05-08
DONG E&P Norge AS	TAMBAR	4.280000	0.900000	0.230000	0.000000	5.600000	0.270000	0.000000	0.090000	0.000000	0.440000	2012-12-31	45.000000	1028599	4070011	2013-05-08
DONG E&P Norge AS	ORMEN LANGE	0.000000	31.680000	0.000000	1.730000	33.400000	0.000000	21.480000	0.000000	0.940000	22.420000	2012-12-31	10.342000	2762452	4070011	2013-05-08
DONG E&P Norge AS	ALVE	0.290000	0.860000	0.170000	0.000000	1.450000	0.120000	0.410000	0.090000	0.000000	0.700000	2012-12-31	15.000000	4444332	4070011	2013-05-08
DONG E&P Norge AS	TAMBAR ØST	0.130000	0.000000	0.000000	0.000000	0.130000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43.240000	4999528	4070011	2013-05-08
DONG E&P Norge AS	OSELVAR	2.530000	2.150000	0.000000	0.000000	4.680000	2.480000	2.150000	0.000000	0.000000	4.620000	2012-12-31	55.000000	5506919	4070011	2013-05-08
DONG E&P Norge AS	TRYM	0.750000	2.150000	0.000000	0.000000	2.900000	0.400000	1.600000	0.000000	0.000000	2.000000	2012-12-31	50.000000	18081500	4070011	2013-05-08
DONG E&P Norge AS	MARULK	0.210000	2.520000	0.270000	0.000000	3.240000	0.180000	2.340000	0.270000	0.000000	3.030000	2012-12-31	30.000000	18212090	4070011	2013-05-08
Centrica Resources (Norge) AS	ØST FRIGG	0.000000	4.600000	0.000000	0.050000	4.650000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	50.000000	43576	4238233	2013-05-08
Centrica Resources (Norge) AS	LILLE-FRIGG	0.650000	1.100000	0.000000	0.000000	1.750000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	50.000000	43583	4238233	2013-05-08
Centrica Resources (Norge) AS	HEIMDAL	2.770000	15.850000	0.000000	0.000000	18.620000	0.540000	0.570000	0.000000	0.000000	1.120000	2012-12-31	33.798000	43590	4238233	2013-05-08
Centrica Resources (Norge) AS	STATFJORD	131.910000	17.900000	5.320000	0.250000	160.160000	0.990000	2.640000	1.410000	0.140000	6.450000	2012-12-31	19.764640	43658	4238233	2013-05-08
Centrica Resources (Norge) AS	STATFJORD ØST	4.260000	0.460000	0.240000	0.000000	5.180000	0.080000	0.010000	0.090000	0.000000	0.270000	2012-12-31	11.562500	43672	4238233	2013-05-08
Centrica Resources (Norge) AS	STATFJORD NORD	9.130000	0.490000	0.250000	0.000000	10.100000	0.690000	0.000000	0.070000	0.000000	0.830000	2012-12-31	23.125000	43679	4238233	2013-05-08
Centrica Resources (Norge) AS	SYGNA	1.400000	0.000000	0.000000	0.000000	1.400000	0.140000	0.000000	0.000000	0.000000	0.140000	2012-12-31	12.718700	104718	4238233	2013-05-08
Centrica Resources (Norge) AS	KVITEBJØRN	5.190000	16.930000	2.190000	0.000000	26.270000	1.860000	9.460000	1.540000	0.000000	14.250000	2012-12-31	19.000000	1036101	4238233	2013-05-08
Centrica Resources (Norge) AS	VALE	1.820000	1.740000	0.000000	0.000000	3.560000	0.830000	0.980000	0.000000	0.000000	1.820000	2012-12-31	75.757000	1578893	4238233	2013-05-08
Centrica Resources (Norge) AS	SKIRNE	0.660000	3.060000	0.000000	0.000000	3.720000	0.150000	0.390000	0.000000	0.000000	0.540000	2012-12-31	30.000000	2138816	4238233	2013-05-08
Centrica Resources (Norge) AS	VALEMON	0.640000	3.390000	0.170000	0.000000	4.350000	0.640000	3.390000	0.170000	0.000000	4.350000	2012-12-31	13.000000	20460969	4238233	2013-05-08
Centrica Resources (Norge) AS	ATLA	0.060000	0.280000	0.000000	0.000000	0.340000	0.060000	0.260000	0.000000	0.000000	0.320000	2012-12-31	20.000000	21106284	4238233	2013-05-08
Bayerngas Norge AS	VOLVE	0.870000	0.080000	0.020000	0.010000	1.000000	0.100000	0.010000	0.000000	0.000000	0.110000	2012-12-31	10.000000	3420717	4444493	2013-05-08
Bayerngas Norge AS	VEGA	0.660000	1.400000	0.240000	0.000000	2.520000	0.510000	1.220000	0.200000	0.000000	2.110000	2012-12-31	10.000000	4467595	4444493	2013-05-08
Bayerngas Norge AS	OSELVAR	1.380000	1.170000	0.000000	0.000000	2.550000	1.350000	1.170000	0.000000	0.000000	2.520000	2012-12-31	30.000000	5506919	4444493	2013-05-08
Bayerngas Norge AS	TRYM	0.750000	2.150000	0.000000	0.000000	2.900000	0.400000	1.600000	0.000000	0.000000	2.000000	2012-12-31	50.000000	18081500	4444493	2013-05-08
OMV (Norge) AS	EDVARD GRIEG	5.240000	0.360000	0.120000	0.000000	5.830000	5.240000	0.360000	0.120000	0.000000	5.830000	2012-12-31	20.000000	21675433	4460594	2013-05-08
PGNiG Norway AS	SKARV	1.850000	5.170000	0.670000	0.000000	8.290000	1.850000	5.170000	0.670000	0.000000	8.290000	2012-12-31	11.917500	4704482	4505831	2013-05-08
Dana Petroleum Norway AS	ØST FRIGG	0.000000	0.920000	0.000000	0.010000	0.930000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	10.000000	43576	4526555	2013-05-08
Dana Petroleum Norway AS	LILLE-FRIGG	0.130000	0.220000	0.000000	0.000000	0.350000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	10.000000	43583	4526555	2013-05-08
Dana Petroleum Norway AS	JOTUN	10.530000	0.500000	0.000000	0.000000	11.030000	0.320000	0.090000	0.000000	0.000000	0.410000	2012-12-31	45.000000	43604	4526555	2013-05-08
Lotos Exploration and Production Norge AS	YME	4.400000	0.000000	0.000000	0.000000	4.400000	2.820000	0.000000	0.000000	0.000000	2.820000	2012-12-31	20.000000	43807	5064434	2013-05-08
GDF SUEZ E&P Norge AS	NJORD	11.400000	6.880000	1.560000	0.000000	21.240000	1.200000	3.760000	0.840000	0.000000	6.560000	2012-12-31	40.000000	43751	5267845	2013-05-08
GDF SUEZ E&P Norge AS	FRAM	4.610000	1.320000	0.090000	0.000000	6.100000	0.890000	0.950000	0.060000	0.000000	1.940000	2012-12-31	15.000000	1578840	5267845	2013-05-08
GDF SUEZ E&P Norge AS	SNØHVIT	0.000000	21.200000	0.770000	2.710000	25.380000	0.000000	18.830000	0.650000	2.280000	22.340000	2012-12-31	12.000000	2053062	5267845	2013-05-08
GDF SUEZ E&P Norge AS	GJØA	3.480000	9.810000	2.610000	0.000000	18.250000	1.920000	8.340000	2.280000	0.000000	14.590000	2012-12-31	30.000000	4467574	5267845	2013-05-08
GDF SUEZ E&P Norge AS	VEGA	0.400000	0.840000	0.140000	0.000000	1.510000	0.310000	0.730000	0.120000	0.000000	1.270000	2012-12-31	6.000000	4467595	5267845	2013-05-08
GDF SUEZ E&P Norge AS	GUDRUN	2.930000	1.600000	0.330000	0.000000	5.140000	2.930000	1.600000	0.330000	0.000000	5.140000	2012-12-31	25.000000	18116481	5267845	2013-05-08
GDF SUEZ E&P Norge AS	HYME	0.640000	0.100000	0.040000	0.000000	0.820000	0.640000	0.100000	0.040000	0.000000	0.820000	2012-12-31	20.000000	20474183	5267845	2013-05-08
VNG Norge AS	BRAGE	2.630000	0.200000	0.070000	0.000000	2.960000	0.180000	0.050000	0.010000	0.000000	0.260000	2012-12-31	4.442400	43651	17237193	2013-05-08
VNG Norge AS	NJORD	0.710000	0.430000	0.100000	0.000000	1.330000	0.080000	0.240000	0.050000	0.000000	0.410000	2012-12-31	2.500000	43751	17237193	2013-05-08
VNG Norge AS	HYME	0.080000	0.010000	0.010000	0.000000	0.100000	0.080000	0.010000	0.010000	0.000000	0.100000	2012-12-31	2.500000	20474183	17237193	2013-05-08
Statoil Petroleum AS	ALBUSKJELL	0.560000	1.190000	0.080000	0.000000	1.890000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	7.604000	43437	17237817	2013-05-08
Statoil Petroleum AS	TOMMELITEN GAMMA	1.650000	4.110000	0.210000	0.000000	6.170000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	42.380000	43444	17237817	2013-05-08
Statoil Petroleum AS	SLEIPNER VEST	0.000000	77.780000	5.540000	19.200000	107.510000	0.000000	11.550000	0.880000	2.630000	15.840000	2012-12-31	58.349440	43457	17237817	2013-05-08
Statoil Petroleum AS	GUNGNE	0.000000	9.420000	1.360000	2.910000	14.930000	0.000000	0.810000	0.190000	0.250000	1.410000	2012-12-31	62.000000	43464	17237817	2013-05-08
Statoil Petroleum AS	SLEIPNER ØST	0.000000	40.410000	8.050000	16.090000	71.790000	0.000000	0.890000	0.240000	0.120000	1.470000	2012-12-31	59.600000	43478	17237817	2013-05-08
Statoil Petroleum AS	EKOFISK	43.280000	12.510000	1.160000	0.000000	57.990000	9.870000	1.730000	0.170000	0.000000	11.920000	2012-12-31	7.604000	43506	17237817	2013-05-08
Statoil Petroleum AS	VEST EKOFISK	0.930000	1.980000	0.110000	0.000000	3.110000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	7.604000	43513	17237817	2013-05-08
Statoil Petroleum AS	TOR	1.610000	0.720000	0.080000	0.000000	2.490000	0.030000	0.010000	0.000000	0.000000	0.030000	2012-12-31	6.639220	43520	17237817	2013-05-08
Statoil Petroleum AS	ELDFISK	10.490000	3.410000	0.310000	0.000000	14.480000	2.840000	0.410000	0.020000	0.000000	3.280000	2012-12-31	7.604000	43527	17237817	2013-05-08
Statoil Petroleum AS	EMBLA	0.900000	0.570000	0.050000	0.000000	1.580000	0.110000	0.270000	0.020000	0.000000	0.430000	2012-12-31	7.604000	43534	17237817	2013-05-08
Statoil Petroleum AS	EDDA	0.360000	0.150000	0.020000	0.000000	0.550000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	7.604000	43541	17237817	2013-05-08
Statoil Petroleum AS	FRIGG	0.000000	61.440000	0.000000	0.260000	61.700000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	32.156000	43555	17237817	2013-05-08
Statoil Petroleum AS	HEIMDAL	2.410000	13.810000	0.000000	0.000000	16.220000	0.470000	0.500000	0.000000	0.000000	0.970000	2012-12-31	29.443000	43590	17237817	2013-05-08
Statoil Petroleum AS	VESLEFRIKK	9.740000	1.030000	0.360000	0.000000	11.450000	0.320000	0.590000	0.130000	0.000000	1.160000	2012-12-31	18.000000	43618	17237817	2013-05-08
Statoil Petroleum AS	OSEBERG	189.610000	51.320000	5.970000	0.000000	252.260000	11.190000	34.120000	1.870000	0.000000	48.870000	2012-12-31	49.300000	43625	17237817	2013-05-08
Statoil Petroleum AS	OSEBERG ØST	13.160000	0.200000	0.150000	0.000000	13.640000	3.890000	0.050000	0.150000	0.000000	4.230000	2012-12-31	49.300000	43639	17237817	2013-05-08
Statoil Petroleum AS	OSEBERG SØR	30.070000	7.890000	0.790000	0.000000	39.460000	8.480000	3.940000	0.790000	0.000000	13.920000	2012-12-31	49.300000	43645	17237817	2013-05-08
Statoil Petroleum AS	BRAGE	19.390000	1.470000	0.490000	0.000000	21.790000	1.310000	0.390000	0.100000	0.000000	1.890000	2012-12-31	32.700000	43651	17237817	2013-05-08
Statoil Petroleum AS	STATFJORD	295.890000	40.150000	11.930000	0.570000	359.290000	2.230000	5.910000	3.160000	0.310000	14.470000	2012-12-31	44.336880	43658	17237817	2013-05-08
Statoil Petroleum AS	STATFJORD ØST	11.660000	1.270000	0.670000	0.000000	14.190000	0.220000	0.030000	0.250000	0.000000	0.740000	2012-12-31	31.687500	43672	17237817	2013-05-08
Statoil Petroleum AS	STATFJORD NORD	8.640000	0.460000	0.240000	0.000000	9.560000	0.660000	0.000000	0.070000	0.000000	0.780000	2012-12-31	21.875000	43679	17237817	2013-05-08
Statoil Petroleum AS	GULLFAKS	255.850000	16.170000	1.960000	0.000000	275.740000	8.120000	0.000000	0.000000	0.000000	8.120000	2012-12-31	70.000000	43686	17237817	2013-05-08
Statoil Petroleum AS	GULLFAKS SØR	41.160000	45.570000	6.440000	0.000000	98.970000	11.620000	22.470000	3.500000	0.000000	40.740000	2012-12-31	70.000000	43699	17237817	2013-05-08
Statoil Petroleum AS	SNORRE	83.260000	2.200000	1.570000	0.000000	88.430000	21.360000	0.100000	0.030000	0.000000	21.520000	2012-12-31	33.316900	43718	17237817	2013-05-08
Statoil Petroleum AS	TORDIS	25.400000	1.910000	0.750000	0.000000	28.730000	2.490000	0.170000	0.080000	0.000000	2.810000	2012-12-31	41.500000	43725	17237817	2013-05-08
Statoil Petroleum AS	VIGDIS	27.640000	0.790000	0.500000	0.000000	29.370000	6.230000	0.080000	0.120000	0.000000	6.540000	2012-12-31	41.500000	43732	17237817	2013-05-08
Statoil Petroleum AS	VISUND	18.030000	27.290000	3.400000	0.000000	51.800000	6.120000	23.570000	3.190000	0.000000	35.750000	2012-12-31	53.200000	43745	17237817	2013-05-08
Statoil Petroleum AS	NJORD	5.700000	3.440000	0.780000	0.000000	10.620000	0.600000	1.880000	0.420000	0.000000	3.280000	2012-12-31	20.000000	43751	17237817	2013-05-08
Statoil Petroleum AS	ÅSGARD	34.710000	71.800000	13.620000	5.910000	138.300000	6.430000	29.070000	5.810000	0.000000	46.540000	2012-12-31	34.570000	43765	17237817	2013-05-08
Statoil Petroleum AS	HEIDRUN	22.590000	5.770000	0.270000	0.000000	28.880000	4.970000	3.880000	0.210000	0.000000	9.260000	2012-12-31	12.405680	43771	17237817	2013-05-08
Statoil Petroleum AS	NORNE	35.500000	4.690000	0.630000	0.000000	41.380000	1.490000	2.110000	0.310000	0.000000	4.190000	2012-12-31	39.100000	43778	17237817	2013-05-08
Statoil Petroleum AS	COD	0.220000	0.560000	0.040000	0.000000	0.850000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	7.604000	43785	17237817	2013-05-08
Statoil Petroleum AS	TROLL	80.680000	438.210000	8.410000	0.460000	535.320000	11.010000	301.220000	6.450000	-0.860000	323.640000	2012-12-31	30.583850	46437	17237817	2013-05-08
Statoil Petroleum AS	HULDRA	1.010000	3.480000	0.020000	0.000000	4.530000	0.000000	0.140000	0.000000	0.000000	0.140000	2012-12-31	19.878510	97002	17237817	2013-05-08
Statoil Petroleum AS	SYGNA	3.380000	0.000000	0.000000	0.000000	3.380000	0.340000	0.000000	0.000000	0.000000	0.340000	2012-12-31	30.706300	104718	17237817	2013-05-08
Statoil Petroleum AS	TUNE	1.650000	9.150000	0.100000	0.000000	10.990000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	50.000000	853376	17237817	2013-05-08
Statoil Petroleum AS	GRANE	45.680000	0.000000	0.000000	0.000000	45.680000	13.230000	0.000000	0.000000	0.000000	13.230000	2012-12-31	36.660500	1035937	17237817	2013-05-08
Statoil Petroleum AS	KVITEBJØRN	10.800000	35.240000	4.550000	0.000000	54.680000	3.880000	19.700000	3.200000	0.000000	29.660000	2012-12-31	39.550000	1036101	17237817	2013-05-08
Statoil Petroleum AS	GLITNE	5.240000	0.000000	0.000000	0.000000	5.240000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	58.900000	1272071	17237817	2013-05-08
Statoil Petroleum AS	FRAM	13.820000	3.960000	0.270000	0.000000	18.290000	2.660000	2.840000	0.180000	0.000000	5.830000	2012-12-31	45.000000	1578840	17237817	2013-05-08
Statoil Petroleum AS	SIGYN	0.000000	4.140000	1.560000	3.840000	10.940000	0.000000	0.420000	0.120000	0.360000	1.010000	2012-12-31	60.000000	1630100	17237817	2013-05-08
Statoil Petroleum AS	MIKKEL	2.900000	13.810000	3.780000	0.970000	24.860000	1.450000	6.950000	1.930000	0.000000	12.070000	2012-12-31	43.970000	1630514	17237817	2013-05-08
Statoil Petroleum AS	KRISTIN	12.660000	15.870000	3.480000	1.160000	36.310000	3.320000	5.360000	1.270000	0.000000	11.100000	2012-12-31	55.299100	1854729	17237817	2013-05-08
Statoil Petroleum AS	SNØHVIT	0.000000	65.010000	2.350000	8.310000	77.800000	0.000000	57.720000	1.990000	6.990000	68.490000	2012-12-31	36.790000	2053062	17237817	2013-05-08
Statoil Petroleum AS	ORMEN LANGE	0.000000	88.570000	0.000000	4.830000	93.400000	0.000000	60.060000	0.000000	2.630000	62.690000	2012-12-31	28.916900	2762452	17237817	2013-05-08
Statoil Petroleum AS	URD	4.480000	0.130000	0.000000	0.000000	4.600000	1.280000	0.000000	0.000000	0.000000	1.280000	2012-12-31	63.954550	2834734	17237817	2013-05-08
Statoil Petroleum AS	VILJE	3.920000	0.000000	0.000000	0.000000	3.920000	1.790000	0.000000	0.000000	0.000000	1.790000	2012-12-31	28.853000	3392471	17237817	2013-05-08
Statoil Petroleum AS	VOLVE	5.190000	0.480000	0.120000	0.060000	5.950000	0.600000	0.060000	0.000000	0.000000	0.660000	2012-12-31	59.600000	3420717	17237817	2013-05-08
Statoil Petroleum AS	ENOCH	0.240000	0.000000	0.000000	0.000000	0.240000	0.060000	0.000000	0.000000	0.000000	0.060000	2012-12-31	11.780000	3437659	17237817	2013-05-08
Statoil Petroleum AS	RINGHORNE ØST	2.300000	0.060000	0.000000	0.000000	2.360000	0.930000	0.010000	0.000000	0.000000	0.950000	2012-12-31	14.820000	3505505	17237817	2013-05-08
Statoil Petroleum AS	TYRIHANS	19.060000	24.530000	6.410000	0.000000	55.780000	9.710000	24.060000	6.300000	0.000000	45.730000	2012-12-31	58.835500	3960848	17237817	2013-05-08
Statoil Petroleum AS	GIMLE	1.950000	0.910000	0.200000	0.000000	3.240000	0.260000	0.650000	0.130000	0.000000	1.160000	2012-12-31	65.133700	4005142	17237817	2013-05-08
Statoil Petroleum AS	ALVE	1.620000	4.850000	0.940000	0.000000	8.240000	0.680000	2.300000	0.510000	0.000000	3.940000	2012-12-31	85.000000	4444332	17237817	2013-05-08
Statoil Petroleum AS	GJØA	2.320000	6.540000	1.740000	0.000000	12.170000	1.280000	5.560000	1.520000	0.000000	9.730000	2012-12-31	20.000000	4467574	17237817	2013-05-08
Statoil Petroleum AS	VEGA	3.560000	7.560000	1.300000	0.000000	13.590000	2.750000	6.590000	1.080000	0.000000	11.390000	2012-12-31	54.000000	4467595	17237817	2013-05-08
Statoil Petroleum AS	SKARV	5.610000	15.700000	2.030000	0.000000	25.150000	5.610000	15.700000	2.030000	0.000000	25.150000	2012-12-31	36.165000	4704482	17237817	2013-05-08
Statoil Petroleum AS	MORVIN	5.950000	2.880000	0.700000	0.000000	10.170000	3.580000	2.880000	0.700000	0.000000	7.800000	2012-12-31	64.000000	4966234	17237817	2013-05-08
Statoil Petroleum AS	YTTERGRYTA	0.140000	1.010000	0.180000	0.000000	1.490000	0.000000	0.460000	0.090000	0.000000	0.630000	2012-12-31	45.750000	4973114	17237817	2013-05-08
Statoil Petroleum AS	GOLIAT	10.570000	2.560000	0.110000	0.000000	13.320000	10.570000	2.560000	0.110000	0.000000	13.320000	2012-12-31	35.000000	5774394	17237817	2013-05-08
Statoil Petroleum AS	GUDRUN	8.780000	4.800000	0.980000	0.000000	15.430000	8.780000	4.800000	0.980000	0.000000	15.430000	2012-12-31	75.000000	18116481	17237817	2013-05-08
Statoil Petroleum AS	MARULK	0.350000	4.200000	0.450000	0.000000	5.410000	0.300000	3.900000	0.450000	0.000000	5.060000	2012-12-31	50.000000	18212090	17237817	2013-05-08
Statoil Petroleum AS	VALEMON	2.630000	14.040000	0.700000	0.000000	18.000000	2.630000	14.040000	0.700000	0.000000	18.000000	2012-12-31	53.775000	20460969	17237817	2013-05-08
Statoil Petroleum AS	VISUND SØR	1.440000	3.880000	0.480000	0.000000	6.230000	1.440000	3.880000	0.480000	0.000000	6.230000	2012-12-31	53.200000	20461008	17237817	2013-05-08
Statoil Petroleum AS	HYME	1.120000	0.180000	0.070000	0.000000	1.430000	1.120000	0.180000	0.070000	0.000000	1.430000	2012-12-31	35.000000	20474183	17237817	2013-05-08
Statoil Petroleum AS	SKULD	8.570000	0.380000	0.060000	0.000000	9.080000	8.570000	0.380000	0.060000	0.000000	9.080000	2012-12-31	63.954550	21350124	17237817	2013-05-08
Statoil Petroleum AS	MARTIN LINGE	1.140000	3.740000	0.130000	0.570000	5.710000	1.140000	3.740000	0.130000	0.570000	5.710000	2012-12-31	19.000000	21675447	17237817	2013-05-08
Statoil Petroleum AS	SVALIN	6.900000	0.000000	0.000000	0.000000	6.900000	6.900000	0.000000	0.000000	0.000000	6.900000	2012-12-31	57.000000	22507971	17237817	2013-05-08
Det norske oljeselskap ASA	VARG	0.820000	0.060000	0.050000	0.000000	0.970000	0.070000	0.060000	0.050000	0.000000	0.220000	2012-12-31	5.000000	43451	17342870	2013-05-08
Det norske oljeselskap ASA	ØST FRIGG	0.000000	1.380000	0.000000	0.020000	1.400000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	15.000000	43576	17342870	2013-05-08
Det norske oljeselskap ASA	LILLE-FRIGG	0.200000	0.330000	0.000000	0.000000	0.530000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	15.000000	43583	17342870	2013-05-08
Det norske oljeselskap ASA	FRØY	2.800000	0.800000	0.000000	0.050000	3.650000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	50.000000	43597	17342870	2013-05-08
Det norske oljeselskap ASA	JOTUN	1.640000	0.080000	0.000000	0.000000	1.720000	0.050000	0.010000	0.000000	0.000000	0.060000	2012-12-31	7.000000	43604	17342870	2013-05-08
Det norske oljeselskap ASA	GLITNE	0.890000	0.000000	0.000000	0.000000	0.890000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	10.000000	1272071	17342870	2013-05-08
Det norske oljeselskap ASA	ENOCH	0.040000	0.000000	0.000000	0.000000	0.040000	0.010000	0.000000	0.000000	0.000000	0.010000	2012-12-31	2.000000	3437659	17342870	2013-05-08
Det norske oljeselskap ASA	ATLA	0.030000	0.140000	0.000000	0.000000	0.170000	0.030000	0.130000	0.000000	0.000000	0.160000	2012-12-31	10.000000	21106284	17342870	2013-05-08
Det norske oljeselskap ASA	JETTE	1.050000	0.070000	0.000000	0.000000	1.120000	1.050000	0.070000	0.000000	0.000000	1.120000	2012-12-31	70.000000	21613906	17342870	2013-05-08
Core Energy AS	BRAGE	7.270000	0.550000	0.180000	0.000000	8.170000	0.490000	0.150000	0.040000	0.000000	0.710000	2012-12-31	12.257500	43651	20460080	2013-05-08
Core Energy AS	SNORRE	2.590000	0.070000	0.050000	0.000000	2.760000	0.670000	0.000000	0.000000	0.000000	0.670000	2012-12-31	1.038400	43718	20460080	2013-05-08
Core Energy AS	HYME	0.560000	0.090000	0.040000	0.000000	0.710000	0.560000	0.090000	0.040000	0.000000	0.710000	2012-12-31	17.500000	20474183	20460080	2013-05-08
Marathon Oil Norge AS	ALVHEIM	24.180000	4.420000	0.000000	0.000000	28.600000	11.380000	3.060000	0.000000	0.000000	14.430000	2012-12-31	65.000000	2845712	20485291	2013-05-08
Marathon Oil Norge AS	VILJE	6.380000	0.000000	0.000000	0.000000	6.380000	2.910000	0.000000	0.000000	0.000000	2.910000	2012-12-31	46.904000	3392471	20485291	2013-05-08
Marathon Oil Norge AS	VOLUND	5.590000	0.590000	0.000000	0.000000	6.180000	2.600000	0.330000	0.000000	0.000000	2.930000	2012-12-31	65.000000	4380167	20485291	2013-05-08
Marathon Oil Norge AS	BØYLA	2.210000	0.200000	0.000000	0.000000	2.410000	2.210000	0.200000	0.000000	0.000000	2.410000	2012-12-31	65.000000	22492497	20485291	2013-05-08
E.ON E&P Norge AS	NJORD	8.550000	5.160000	1.170000	0.000000	15.930000	0.900000	2.820000	0.630000	0.000000	4.920000	2012-12-31	30.000000	43751	21631209	2013-05-08
E.ON E&P Norge AS	SKARV	4.350000	12.190000	1.570000	0.000000	19.530000	4.350000	12.190000	1.570000	0.000000	19.530000	2012-12-31	28.082500	4704482	21631209	2013-05-08
E.ON E&P Norge AS	HYME	0.560000	0.090000	0.040000	0.000000	0.710000	0.560000	0.090000	0.040000	0.000000	0.710000	2012-12-31	17.500000	20474183	21631209	2013-05-08
Wintershall Norge AS	VESLEFRIKK	2.430000	0.260000	0.090000	0.000000	2.860000	0.080000	0.150000	0.030000	0.000000	0.290000	2012-12-31	4.500000	43618	21666830	2013-05-08
Wintershall Norge AS	MURCHISON	13.900000	0.400000	0.000000	0.000000	14.300000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	22.200000	43665	21666830	2013-05-08
Wintershall Norge AS	YME	2.200000	0.000000	0.000000	0.000000	2.200000	1.410000	0.000000	0.000000	0.000000	1.410000	2012-12-31	10.000000	43807	21666830	2013-05-08
Wintershall Norge AS	KNARR	2.380000	0.060000	0.160000	0.000000	2.740000	2.380000	0.060000	0.160000	0.000000	2.740000	2012-12-31	20.000000	20460988	21666830	2013-05-08
Wintershall Norge AS	EDVARD GRIEG	7.860000	0.540000	0.180000	0.000000	8.740000	7.860000	0.540000	0.180000	0.000000	8.740000	2012-12-31	30.000000	21675433	21666830	2013-05-08
Noreco Norway AS	ENOCH	0.090000	0.000000	0.000000	0.000000	0.090000	0.020000	0.000000	0.000000	0.000000	0.020000	2012-12-31	4.360000	3437659	22223020	2013-05-08
Noreco Norway AS	OSELVAR	0.690000	0.590000	0.000000	0.000000	1.280000	0.680000	0.590000	0.000000	0.000000	1.260000	2012-12-31	15.000000	5506919	22223020	2013-05-08
Tullow Oil Norge AS	BRAGE	1.480000	0.110000	0.040000	0.000000	1.670000	0.100000	0.030000	0.010000	0.000000	0.140000	2012-12-31	2.500000	43651	23173852	2013-05-08
Skeie Energy AS	MIME	0.240000	0.060000	0.000000	0.000000	0.300000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	60.000000	43792	23286115	2013-05-08
\.



COPY discovery (dscname, cmplongname, dsccurrentactivitystatus, dschctype, wlbname, nmaname, fldname, dscdatefrominclinfield, dscdiscoveryyear, dscresinclindiscoveryname, dscownerkind, dscownername, dscnpdiddiscovery, fldnpdidfield, wlbnpdidwellbore, dscfactpageurl, dscfactmapurl, dscdateupdated, dscdateupdatedmax, datesyncnpd) FROM stdin;
1/2-1 BLANE	Talisman Energy Norge AS	PRODUCING	OIL	1/2-1	North sea	BLANE	2005-07-01	1989	\N	BUSINESS ARRANGEMENT AREA	BLANE UNIT	43814	3437650	1382	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43814	http://www.npd.no/FactMapSearch?NPDID_field=3437650	9999-12-31	9999-12-31	2013-05-08
1/3-1	Total E&P Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	1/3-1	North sea	\N	9999-12-31	1968	\N	PRODUCTION LICENSE	619	43820	\N	154	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43820	http://www.npd.no/FactMapSearch?NPDID_discovery=43820	9999-12-31	2013-02-20	2013-05-08
1/3-3 TAMBAR	BP Norge AS	PRODUCING	OIL	1/3-3	North sea	TAMBAR	2000-04-10	1983	\N	\N	\N	43826	1028599	87	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43826	http://www.npd.no/FactMapSearch?NPDID_field=1028599	9999-12-31	9999-12-31	2013-05-08
1/3-6 OSELVAR	DONG E&P Norge AS	PRODUCING	GAS/CONDENSATE	1/3-6	North sea	OSELVAR	2009-06-19	1991	\N	PRODUCTION LICENSE	274	43832	5506919	1521	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43832	http://www.npd.no/FactMapSearch?NPDID_field=5506919	9999-12-31	2012-09-14	2013-05-08
1/5-2 FLYNDRE	Maersk Oil Norway AS	PLANNING PHASE	OIL	1/5-2	North sea	\N	9999-12-31	1974	\N	PRODUCTION LICENSE	018 DS	43838	\N	238	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43838	http://www.npd.no/FactMapSearch?NPDID_discovery=43838	9999-12-31	2013-05-03	2013-05-08
1/6-1 ALBUSKJELL	ConocoPhillips Skandinavia AS	SHUT DOWN	GAS/CONDENSATE	1/6-1	North sea	ALBUSKJELL	1975-04-25	1972	\N	PRODUCTION LICENSE	018	43844	43437	239	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43844	http://www.npd.no/FactMapSearch?NPDID_field=43437	9999-12-31	9999-12-31	2013-05-08
1/9-1 TOMMELITEN ALPHA	ConocoPhillips Skandinavia AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS/CONDENSATE	1/9-1	North sea	\N	9999-12-31	1977	\N	BUSINESS ARRANGEMENT AREA	TOMMELITEN UNIT	43850	\N	243	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43850	http://www.npd.no/FactMapSearch?NPDID_discovery=43850	9999-12-31	9999-12-31	2013-05-08
1/9-4 TOMMELITEN GAMMA	ConocoPhillips Skandinavia AS	SHUT DOWN	GAS/CONDENSATE	1/9-4	North sea	TOMMELITEN GAMMA	1986-06-12	1978	\N	BUSINESS ARRANGEMENT AREA	TOMMELITEN UNIT	43856	43444	247	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43856	http://www.npd.no/FactMapSearch?NPDID_field=43444	9999-12-31	9999-12-31	2013-05-08
15/12-4 VARG	Talisman Energy Norge AS	PRODUCING	OIL	15/12-4	North sea	VARG	1996-05-03	1984	\N	PRODUCTION LICENSE	038	43868	43451	438	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43868	http://www.npd.no/FactMapSearch?NPDID_field=43451	9999-12-31	9999-12-31	2013-05-08
15/12-8	Talisman Energy Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS/CONDENSATE	15/12-8	North sea	\N	9999-12-31	1991	\N	PRODUCTION LICENSE	038 C	43874	\N	1778	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43874	http://www.npd.no/FactMapSearch?NPDID_discovery=43874	2012-12-07	2012-12-07	2013-05-08
15/3-1 S GUDRUN	Statoil Petroleum AS	PDO APPROVED	GAS/CONDENSATE	15/3-1 S	North sea	GUDRUN	2010-06-16	1975	\N	PRODUCTION LICENSE	025	43880	18116481	309	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43880	http://www.npd.no/FactMapSearch?NPDID_field=18116481	9999-12-31	9999-12-31	2013-05-08
15/3-4	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	15/3-4	North sea	\N	9999-12-31	1982	\N	PRODUCTION LICENSE	025	43886	\N	314	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43886	http://www.npd.no/FactMapSearch?NPDID_discovery=43886	2013-01-03	2013-01-03	2013-05-08
15/5-1 GINA KROG	Statoil Petroleum AS	DECIDED BY THE LICENSEES	OIL/GAS	15/5-1	North sea	\N	9999-12-31	1978	\N	PRODUCTION LICENSE	048	43892	\N	315	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43892	http://www.npd.no/FactMapSearch?NPDID_discovery=43892	2013-03-13	2013-03-13	2013-05-08
15/5-2 EIRIN	Statoil Petroleum AS	PLANNING PHASE	GAS	15/5-2	North sea	\N	9999-12-31	1978	\N	PRODUCTION LICENSE	048 E	43898	\N	316	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43898	http://www.npd.no/FactMapSearch?NPDID_discovery=43898	9999-12-31	9999-12-31	2013-05-08
15/5-5 GLITNE	Statoil Petroleum AS	SHUT DOWN	OIL	15/5-5	North sea	GLITNE	2000-09-08	1995	\N	PRODUCTION LICENSE	048 B	43904	1272071	2635	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43904	http://www.npd.no/FactMapSearch?NPDID_field=1272071	2013-03-23	2013-03-23	2013-05-08
15/6-3 SLEIPNER VEST	Statoil Petroleum AS	PRODUCING	GAS	15/6-3	North sea	SLEIPNER VEST	1992-12-14	1974	\N	BUSINESS ARRANGEMENT AREA	SLEIPNER VEST UNIT	43910	43457	318	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43910	http://www.npd.no/FactMapSearch?NPDID_field=43457	9999-12-31	9999-12-31	2013-05-08
15/8-1 ALPHA	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS	15/8-1	North sea	\N	9999-12-31	1982	\N	PRODUCTION LICENSE	046	43916	\N	321	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43916	http://www.npd.no/FactMapSearch?NPDID_discovery=43916	9999-12-31	9999-12-31	2013-05-08
15/9-15 GUNGNE	Statoil Petroleum AS	PRODUCING	GAS	15/9-15	North sea	GUNGNE	1995-08-29	1982	\N	PRODUCTION LICENSE	046	43922	43464	74	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43922	http://www.npd.no/FactMapSearch?NPDID_field=43464	9999-12-31	9999-12-31	2013-05-08
15/9-17 LOKE	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	15/9-17	North sea	SLEIPNER ØST	2001-01-05	1983	15/9-9 SLEIPNER ØST	\N	\N	43928	43478	60	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43928	http://www.npd.no/FactMapSearch?NPDID_field=43478	9999-12-31	9999-12-31	2013-05-08
15/9-19 S VOLVE	Statoil Petroleum AS	PRODUCING	OIL	15/9-19 SR	North sea	VOLVE	2005-04-22	1993	\N	PRODUCTION LICENSE	046 BS	43934	3420717	2105	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43934	http://www.npd.no/FactMapSearch?NPDID_field=3420717	9999-12-31	9999-12-31	2013-05-08
15/9-20 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	15/9-20 S	North sea	GUNGNE	2000-11-02	1994	15/9-15 GUNGNE	\N	\N	43940	43464	2319	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43940	http://www.npd.no/FactMapSearch?NPDID_field=43464	9999-12-31	9999-12-31	2013-05-08
15/9-9 SLEIPNER ØST	Statoil Petroleum AS	PRODUCING	GAS/CONDENSATE	15/9-9	North sea	SLEIPNER ØST	1986-12-15	1981	\N	BUSINESS ARRANGEMENT AREA	SLEIPNER ØST UNIT	43946	43478	328	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43946	http://www.npd.no/FactMapSearch?NPDID_field=43478	9999-12-31	9999-12-31	2013-05-08
16/7-2	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	16/7-2	North sea	\N	9999-12-31	1982	\N	PRODUCTION LICENSE	072 C	43952	\N	40	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43952	http://www.npd.no/FactMapSearch?NPDID_discovery=43952	2013-01-03	2013-01-03	2013-05-08
17/12-1 BREAM	BG Norge AS	PLANNING PHASE	OIL	17/12-1 R	North sea	\N	9999-12-31	1972	\N	PRODUCTION LICENSE	407	43964	\N	514	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43964	http://www.npd.no/FactMapSearch?NPDID_discovery=43964	9999-12-31	2013-04-09	2013-05-08
17/12-2 BRISLING	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL	17/12-2	North sea	\N	9999-12-31	1973	\N	\N	\N	43970	\N	340	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43970	http://www.npd.no/FactMapSearch?NPDID_discovery=43970	9999-12-31	2013-04-09	2013-05-08
17/3-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	17/3-1	North sea	\N	9999-12-31	1995	\N	\N	\N	43976	\N	2576	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43976	http://www.npd.no/FactMapSearch?NPDID_discovery=43976	9999-12-31	9999-12-31	2013-05-08
18/10-1	Premier Oil Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	18/10-1	North sea	\N	9999-12-31	1980	\N	PRODUCTION LICENSE	406	43982	\N	342	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43982	http://www.npd.no/FactMapSearch?NPDID_discovery=43982	9999-12-31	2013-04-09	2013-05-08
2/1-11	Talisman Energy Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	2/1-11	North sea	\N	9999-12-31	1997	\N	PRODUCTION LICENSE	019 D	43988	\N	2699	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43988	http://www.npd.no/FactMapSearch?NPDID_discovery=43988	9999-12-31	9999-12-31	2013-05-08
2/11-10 S	BP Norge AS	INCLUDED IN OTHER DISCOVERY	OIL	2/11-10 S	North sea	HOD	1997-01-09	1994	2/11-2 HOD	\N	\N	43994	43485	2297	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43994	http://www.npd.no/FactMapSearch?NPDID_field=43485	9999-12-31	9999-12-31	2013-05-08
2/11-2 HOD	BP Norge AS	PRODUCING	OIL	2/11-2	North sea	HOD	1988-06-26	1974	\N	PRODUCTION LICENSE	033	44000	43485	285	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44000	http://www.npd.no/FactMapSearch?NPDID_field=43485	9999-12-31	9999-12-31	2013-05-08
2/12-1 MJØLNER	DONG E&P Norge AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	2/12-1	North sea	\N	9999-12-31	1987	\N	PRODUCTION LICENSE	113	44006	\N	1014	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44006	http://www.npd.no/FactMapSearch?NPDID_discovery=44006	2012-08-29	2012-08-29	2013-05-08
2/1-3 GYDA	Talisman Energy Norge AS	PRODUCING	OIL	2/1-3	North sea	GYDA	1987-06-02	1980	\N	PRODUCTION LICENSE	019 B	44012	43492	251	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44012	http://www.npd.no/FactMapSearch?NPDID_field=43492	9999-12-31	9999-12-31	2013-05-08
2/1-9 GYDA SØR	Talisman Energy Norge AS	INCLUDED IN OTHER DISCOVERY	OIL	2/1-9	North sea	GYDA	2001-11-19	1991	2/1-3 GYDA	\N	\N	44018	43492	1667	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44018	http://www.npd.no/FactMapSearch?NPDID_field=43492	9999-12-31	9999-12-31	2013-05-08
2/2-1	Talisman Energy Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	2/2-1	North sea	\N	9999-12-31	1982	\N	PRODUCTION LICENSE	332	44024	\N	46	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44024	http://www.npd.no/FactMapSearch?NPDID_discovery=44024	9999-12-31	9999-12-31	2013-05-08
2/2-2	Talisman Energy Norge AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS	2/2-2	North sea	\N	9999-12-31	1982	\N	PRODUCTION LICENSE	332	44030	\N	80	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44030	http://www.npd.no/FactMapSearch?NPDID_discovery=44030	2013-01-03	2013-01-03	2013-05-08
2/2-5	Talisman Energy Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	2/2-5	North sea	\N	9999-12-31	1992	\N	PRODUCTION LICENSE	332	44036	\N	1846	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44036	http://www.npd.no/FactMapSearch?NPDID_discovery=44036	9999-12-31	9999-12-31	2013-05-08
2/3-1	Talisman Energy Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	2/3-1	North sea	\N	9999-12-31	1969	\N	PRODUCTION LICENSE	664 S	44042	\N	162	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44042	http://www.npd.no/FactMapSearch?NPDID_discovery=44042	2013-05-03	2013-05-03	2013-05-08
2/4-10	ConocoPhillips Skandinavia AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	2/4-10	North sea	\N	9999-12-31	1973	\N	PRODUCTION LICENSE	018	44048	\N	254	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44048	http://www.npd.no/FactMapSearch?NPDID_discovery=44048	9999-12-31	9999-12-31	2013-05-08
2/4-11	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	2/4-11	North sea	\N	9999-12-31	1974	\N	PRODUCTION LICENSE	146	44054	\N	255	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44054	http://www.npd.no/FactMapSearch?NPDID_discovery=44054	9999-12-31	9999-12-31	2013-05-08
2/4-17 TJALVE	ConocoPhillips Skandinavia AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS/CONDENSATE	2/4-17	North sea	\N	9999-12-31	1992	\N	PRODUCTION LICENSE	018	44066	\N	1792	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44066	http://www.npd.no/FactMapSearch?NPDID_discovery=44066	9999-12-31	9999-12-31	2013-05-08
2/4-2 EKOFISK	ConocoPhillips Skandinavia AS	PRODUCING	OIL	2/4-2	North sea	EKOFISK	1972-03-01	1969	\N	PRODUCTION LICENSE	018	44072	43506	172	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44072	http://www.npd.no/FactMapSearch?NPDID_field=43506	9999-12-31	9999-12-31	2013-05-08
2/4-6 VEST EKOFISK	ConocoPhillips Skandinavia AS	SHUT DOWN	GAS/CONDENSATE	2/4-6	North sea	VEST EKOFISK	1973-05-04	1970	\N	PRODUCTION LICENSE	018	44078	43513	181	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44078	http://www.npd.no/FactMapSearch?NPDID_field=43513	9999-12-31	9999-12-31	2013-05-08
2/5-1 TOR	ConocoPhillips Skandinavia AS	PRODUCING	OIL	2/5-1	North sea	TOR	1973-05-04	1970	\N	BUSINESS ARRANGEMENT AREA	TOR UNIT	44084	43520	178	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44084	http://www.npd.no/FactMapSearch?NPDID_field=43520	9999-12-31	9999-12-31	2013-05-08
2/5-3 SØRØST TOR	Lundin Norway AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	2/5-3	North sea	\N	9999-12-31	1972	\N	PRODUCTION LICENSE	006 C	44090	\N	258	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44090	http://www.npd.no/FactMapSearch?NPDID_discovery=44090	9999-12-31	2013-01-04	2013-05-08
2/5-4	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL	2/5-4	North sea	\N	9999-12-31	1972	\N	\N	\N	44096	\N	259	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44096	http://www.npd.no/FactMapSearch?NPDID_discovery=44096	9999-12-31	9999-12-31	2013-05-08
2/5-7	Total E&P Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	2/5-7	North sea	\N	9999-12-31	1984	\N	PRODUCTION LICENSE	661	44102	\N	25	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44102	http://www.npd.no/FactMapSearch?NPDID_discovery=44102	2013-05-03	2013-05-03	2013-05-08
2/6-5	Premier Oil Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	2/6-5	North sea	\N	9999-12-31	1997	\N	PRODUCTION LICENSE	567	44108	\N	2885	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44108	http://www.npd.no/FactMapSearch?NPDID_discovery=44108	9999-12-31	9999-12-31	2013-05-08
2/7-1 ELDFISK	ConocoPhillips Skandinavia AS	PRODUCING	OIL	2/7-1	North sea	ELDFISK	1975-04-25	1970	\N	PRODUCTION LICENSE	018	44114	43527	179	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44114	http://www.npd.no/FactMapSearch?NPDID_field=43527	9999-12-31	9999-12-31	2013-05-08
2/7-19	ConocoPhillips Skandinavia AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	2/7-19	North sea	\N	9999-12-31	1981	\N	PRODUCTION LICENSE	018	44120	\N	1367	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44120	http://www.npd.no/FactMapSearch?NPDID_discovery=44120	2013-04-19	2013-04-19	2013-05-08
2/7-2	ConocoPhillips Skandinavia AS	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	2/7-2	North sea	\N	9999-12-31	1971	\N	PRODUCTION LICENSE	018	44126	\N	187	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44126	http://www.npd.no/FactMapSearch?NPDID_discovery=44126	9999-12-31	9999-12-31	2013-05-08
2/7-20 EMBLA	ConocoPhillips Skandinavia AS	PRODUCING	OIL	2/7-20	North sea	EMBLA	1990-12-14	1988	\N	PRODUCTION LICENSE	018	44132	43534	1062	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44132	http://www.npd.no/FactMapSearch?NPDID_field=43534	2012-10-12	2012-10-12	2013-05-08
2/7-22	Edison International Norway Branch	DEVELOPMENT IS NOT VERY LIKELY	GAS	2/7-22	North sea	\N	9999-12-31	1990	\N	PRODUCTION LICENSE	616	44138	\N	1495	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44138	http://www.npd.no/FactMapSearch?NPDID_discovery=44138	9999-12-31	2013-01-04	2013-05-08
2/7-29	Edison International Norway Branch	DEVELOPMENT IS NOT VERY LIKELY	OIL	2/7-29	North sea	\N	9999-12-31	1994	\N	PRODUCTION LICENSE	616	44144	\N	2124	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44144	http://www.npd.no/FactMapSearch?NPDID_discovery=44144	9999-12-31	2013-01-04	2013-05-08
2/7-4 EDDA	ConocoPhillips Skandinavia AS	SHUT DOWN	OIL	2/7-4	North sea	EDDA	1975-04-25	1972	\N	PRODUCTION LICENSE	018	44150	43541	263	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44150	http://www.npd.no/FactMapSearch?NPDID_field=43541	9999-12-31	9999-12-31	2013-05-08
2/7-8	ConocoPhillips Skandinavia AS	INCLUDED IN OTHER DISCOVERY	OIL	2/7-8	North sea	ELDFISK	9999-12-31	1973	2/7-1 ELDFISK	PRODUCTION LICENSE	018	44156	43527	267	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44156	http://www.npd.no/FactMapSearch?NPDID_field=43527	9999-12-31	9999-12-31	2013-05-08
2/8-6 VALHALL	BP Norge AS	PRODUCING	OIL	2/8-6	North sea	VALHALL	1977-06-02	1975	\N	BUSINESS ARRANGEMENT AREA	VALHALL UNIT	44162	43548	276	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44162	http://www.npd.no/FactMapSearch?NPDID_field=43548	9999-12-31	9999-12-31	2013-05-08
24/12-3 S	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	24/12-3 S	North sea	\N	9999-12-31	1996	\N	PRODUCTION LICENSE	675	44168	\N	2823	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44168	http://www.npd.no/FactMapSearch?NPDID_discovery=44168	2013-05-03	2013-05-03	2013-05-08
24/6-1 PEIK	Centrica Resources (Norge) AS	PLANNING PHASE	GAS/CONDENSATE	24/6-1	North sea	\N	9999-12-31	1985	\N	PRODUCTION LICENSE	088	44174	\N	443	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44174	http://www.npd.no/FactMapSearch?NPDID_discovery=44174	9999-12-31	9999-12-31	2013-05-08
24/9-3	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL	24/9-3	North sea	\N	9999-12-31	1981	\N	\N	\N	44180	\N	346	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44180	http://www.npd.no/FactMapSearch?NPDID_discovery=44180	2013-05-03	2013-05-03	2013-05-08
24/9-5 VOLUND	Marathon Oil Norge AS	PRODUCING	OIL	24/9-5	North sea	VOLUND	2007-01-18	1994	\N	PRODUCTION LICENSE	150	44186	4380167	2244	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44186	http://www.npd.no/FactMapSearch?NPDID_field=4380167	9999-12-31	9999-12-31	2013-05-08
25/10-8 HANZ	Det norske oljeselskap ASA	INCLUDED IN OTHER DISCOVERY	OIL/GAS	25/10-8	North sea	\N	9999-12-31	1997	16/1-9 IVAR AASEN	PRODUCTION LICENSE	028 B	44198	\N	2955	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44198	http://www.npd.no/FactMapSearch?NPDID_discovery=44198	2012-09-12	2012-09-12	2013-05-08
25/1-1 FRIGG	Total E&P Norge AS	SHUT DOWN	GAS	25/1-1	North sea	FRIGG	1974-06-13	1971	\N	BUSINESS ARRANGEMENT AREA	FRIGG UNIT	44204	43555	190	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44204	http://www.npd.no/FactMapSearch?NPDID_field=43555	9999-12-31	9999-12-31	2013-05-08
25/11-1 BALDER	ExxonMobil Exploration & Production Norway AS	PRODUCING	OIL	25/11-1	North sea	BALDER	1996-02-02	1967	\N	PRODUCTION LICENSE	001	44210	43562	143	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44210	http://www.npd.no/FactMapSearch?NPDID_field=43562	9999-12-31	2012-11-01	2013-05-08
25/11-15 GRANE	Statoil Petroleum AS	PRODUCING	OIL	25/11-15	North sea	GRANE	2000-06-14	1991	\N	BUSINESS ARRANGEMENT AREA	GRANE UNIT	44216	1035937	1872	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44216	http://www.npd.no/FactMapSearch?NPDID_field=1035937	9999-12-31	9999-12-31	2013-05-08
25/11-16 SVALIN	Statoil Petroleum AS	PDO APPROVED	OIL	25/11-16	North sea	SVALIN	2012-11-23	1992	\N	PRODUCTION LICENSE	169	44222	22507971	1920	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44222	http://www.npd.no/FactMapSearch?NPDID_field=22507971	2012-11-24	2012-11-24	2013-05-08
25/1-4 NORDØST FRIGG	\N	SHUT DOWN	GAS	25/1-4	North sea	NORDØST FRIGG	1980-09-12	1974	\N	\N	\N	44228	43568	350	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44228	http://www.npd.no/FactMapSearch?NPDID_field=43568	9999-12-31	9999-12-31	2013-05-08
25/2-1 ØST FRIGG	Centrica Resources (Norge) AS	SHUT DOWN	GAS	25/2-1	North sea	ØST FRIGG	1984-12-14	1973	\N	PRODUCTION LICENSE	362	44234	43576	353	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44234	http://www.npd.no/FactMapSearch?NPDID_field=43576	9999-12-31	9999-12-31	2013-05-08
25/2-4 LILLE-FRIGG	Centrica Resources (Norge) AS	SHUT DOWN	GAS/CONDENSATE	25/2-4	North sea	LILLE-FRIGG	1991-09-06	1975	\N	PRODUCTION LICENSE	362	44240	43583	356	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44240	http://www.npd.no/FactMapSearch?NPDID_field=43583	9999-12-31	9999-12-31	2013-05-08
25/2-5 LILLE FRØY	Total E&P Norge AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL/GAS	25/2-5	North sea	\N	9999-12-31	1976	\N	PRODUCTION LICENSE	026	44246	\N	357	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44246	http://www.npd.no/FactMapSearch?NPDID_discovery=44246	9999-12-31	9999-12-31	2013-05-08
25/4-1 HEIMDAL	Statoil Petroleum AS	PRODUCING	GAS	25/4-1	North sea	HEIMDAL	1981-06-10	1972	\N	PRODUCTION LICENSE	036 BS	44252	43590	359	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44252	http://www.npd.no/FactMapSearch?NPDID_field=43590	9999-12-31	9999-12-31	2013-05-08
25/4-6 S VALE	Centrica Resources (Norge) AS	PRODUCING	GAS/CONDENSATE	25/4-6 S	North sea	VALE	2001-03-23	1991	\N	PRODUCTION LICENSE	036	44258	1578893	1703	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44258	http://www.npd.no/FactMapSearch?NPDID_field=1578893	9999-12-31	9999-12-31	2013-05-08
25/5-1 FRØY	Det norske oljeselskap ASA	SHUT DOWN	OIL	25/5-1	North sea	FRØY	1992-05-18	1987	\N	PRODUCTION LICENSE	364	44264	43597	884	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44264	http://www.npd.no/FactMapSearch?NPDID_field=43597	9999-12-31	9999-12-31	2013-05-08
25/5-3 SKIRNE	Total E&P Norge AS	PRODUCING	GAS/CONDENSATE	25/5-3	North sea	SKIRNE	2002-07-05	1990	\N	PRODUCTION LICENSE	102	44270	2138816	1488	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44270	http://www.npd.no/FactMapSearch?NPDID_field=2138816	9999-12-31	9999-12-31	2013-05-08
25/5-4 BYGGVE	\N	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	25/5-4	North sea	SKIRNE	2003-09-15	1991	25/5-3 SKIRNE	\N	\N	44276	2138816	1691	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44276	http://www.npd.no/FactMapSearch?NPDID_field=2138816	9999-12-31	9999-12-31	2013-05-08
25/5-5	Total E&P Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	25/5-5	North sea	\N	9999-12-31	1995	\N	PRODUCTION LICENSE	102 C	44282	\N	2661	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44282	http://www.npd.no/FactMapSearch?NPDID_discovery=44282	9999-12-31	9999-12-31	2013-05-08
25/6-1	Total E&P Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	25/6-1	North sea	\N	9999-12-31	1986	\N	PRODUCTION LICENSE	627	44288	\N	524	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44288	http://www.npd.no/FactMapSearch?NPDID_discovery=44288	9999-12-31	9999-12-31	2013-05-08
25/7-2	Marathon Oil Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS/CONDENSATE	25/7-2	North sea	\N	9999-12-31	1990	\N	PRODUCTION LICENSE	505	44294	\N	1494	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44294	http://www.npd.no/FactMapSearch?NPDID_discovery=44294	9999-12-31	9999-12-31	2013-05-08
25/7-3 JOTUN	ExxonMobil Exploration & Production Norway AS	INCLUDED IN OTHER DISCOVERY	OIL	25/7-3	North sea	JOTUN	1997-06-10	1995	25/8-5 S JOTUN	BUSINESS ARRANGEMENT AREA	JOTUN UNIT	44300	43604	2623	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44300	http://www.npd.no/FactMapSearch?NPDID_field=43604	9999-12-31	9999-12-31	2013-05-08
25/7-5	Marathon Oil Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	25/7-5	North sea	\N	9999-12-31	1997	\N	PRODUCTION LICENSE	203	44306	\N	3132	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44306	http://www.npd.no/FactMapSearch?NPDID_discovery=44306	9999-12-31	9999-12-31	2013-05-08
25/8-1 RINGHORNE	ExxonMobil Exploration & Production Norway AS	INCLUDED IN OTHER DISCOVERY	OIL	25/8-1	North sea	BALDER	2001-08-23	1970	25/11-1 BALDER	\N	\N	44312	43562	173	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44312	http://www.npd.no/FactMapSearch?NPDID_field=43562	9999-12-31	9999-12-31	2013-05-08
25/8-11 RINGHORNE	ExxonMobil Exploration & Production Norway AS	INCLUDED IN OTHER DISCOVERY	OIL	25/8-11	North sea	BALDER	2001-08-23	1997	25/11-1 BALDER	\N	\N	44318	43562	3209	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44318	http://www.npd.no/FactMapSearch?NPDID_field=43562	9999-12-31	9999-12-31	2013-05-08
25/8-4	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	25/8-4	North sea	\N	9999-12-31	1992	\N	PRODUCTION LICENSE	169	44324	\N	1986	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44324	http://www.npd.no/FactMapSearch?NPDID_discovery=44324	2013-01-03	2013-01-03	2013-05-08
25/8-5 S JOTUN	ExxonMobil Exploration & Production Norway AS	PRODUCING	OIL	25/8-5 S	North sea	JOTUN	1997-06-10	1994	\N	BUSINESS ARRANGEMENT AREA	JOTUN UNIT	44330	43604	2390	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44330	http://www.npd.no/FactMapSearch?NPDID_field=43604	9999-12-31	9999-12-31	2013-05-08
25/8-8 S JOTUN	ExxonMobil Exploration & Production Norway AS	INCLUDED IN OTHER DISCOVERY	OIL	25/8-8 S	North sea	JOTUN	1997-06-10	1995	25/8-5 S JOTUN	BUSINESS ARRANGEMENT AREA	JOTUN UNIT	44336	43604	2646	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44336	http://www.npd.no/FactMapSearch?NPDID_field=43604	9999-12-31	9999-12-31	2013-05-08
25/8-9	Total E&P Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	25/8-9	North sea	\N	9999-12-31	1997	\N	PRODUCTION LICENSE	627	44342	\N	2988	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44342	http://www.npd.no/FactMapSearch?NPDID_discovery=44342	9999-12-31	9999-12-31	2013-05-08
29/3-1	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	29/3-1	North sea	\N	9999-12-31	1986	\N	\N	\N	44348	\N	904	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44348	http://www.npd.no/FactMapSearch?NPDID_discovery=44348	2013-05-04	2013-05-04	2013-05-08
3/7-4 TRYM	DONG E&P Norge AS	PRODUCING	GAS/CONDENSATE	3/7-4	North sea	TRYM	2010-03-26	1990	\N	PRODUCTION LICENSE	147	44354	18081500	1467	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44354	http://www.npd.no/FactMapSearch?NPDID_field=18081500	9999-12-31	9999-12-31	2013-05-08
30/10-2 ODIN	\N	SHUT DOWN	GAS	30/10-2	North sea	ODIN	1980-07-18	1974	\N	\N	\N	44360	43610	392	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44360	http://www.npd.no/FactMapSearch?NPDID_field=43610	9999-12-31	9999-12-31	2013-05-08
30/10-6	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	30/10-6	North sea	\N	9999-12-31	1992	\N	PRODUCTION LICENSE	574	44366	\N	1816	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44366	http://www.npd.no/FactMapSearch?NPDID_discovery=44366	9999-12-31	9999-12-31	2013-05-08
30/2-1 HULDRA	Statoil Petroleum AS	PRODUCING	GAS/CONDENSATE	30/2-1	North sea	HULDRA	1999-02-02	1982	\N	BUSINESS ARRANGEMENT AREA	HULDRA UNIT	44372	97002	72	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44372	http://www.npd.no/FactMapSearch?NPDID_field=97002	9999-12-31	9999-12-31	2013-05-08
30/3-2  VESLEFRIKK	Statoil Petroleum AS	PRODUCING	OIL	30/3-2 R	North sea	VESLEFRIKK	1987-06-02	1981	\N	PRODUCTION LICENSE	052	44378	43618	508	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44378	http://www.npd.no/FactMapSearch?NPDID_field=43618	9999-12-31	9999-12-31	2013-05-08
30/3-6 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	30/3-6 S	North sea	VESLEFRIKK	1995-01-16	1994	30/3-2  VESLEFRIKK	\N	\N	44384	43618	2269	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44384	http://www.npd.no/FactMapSearch?NPDID_field=43618	9999-12-31	9999-12-31	2013-05-08
30/3-7 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	30/3-7 S	North sea	VESLEFRIKK	1999-11-16	1995	30/3-2  VESLEFRIKK	\N	\N	44390	43618	2632	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44390	http://www.npd.no/FactMapSearch?NPDID_field=43618	9999-12-31	9999-12-31	2013-05-08
30/6-1 OSEBERG	Statoil Petroleum AS	PRODUCING	OIL/GAS	30/6-1	North sea	OSEBERG	1984-06-05	1979	\N	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44396	43625	380	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44396	http://www.npd.no/FactMapSearch?NPDID_field=43625	9999-12-31	9999-12-31	2013-05-08
30/6-14	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	30/6-14	North sea	OSEBERG ØST	2003-11-21	1984	30/6-5 OSEBERG ØST	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44402	43639	53	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44402	http://www.npd.no/FactMapSearch?NPDID_field=43639	9999-12-31	9999-12-31	2013-05-08
30/6-15 OSEBERG VEST	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/6-15	North sea	OSEBERG	2004-05-21	1984	30/6-1 OSEBERG	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44408	43625	110	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44408	http://www.npd.no/FactMapSearch?NPDID_field=43625	9999-12-31	2012-12-05	2013-05-08
30/6-16	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	30/6-16	North sea	\N	9999-12-31	1985	\N	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44414	\N	333	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44414	http://www.npd.no/FactMapSearch?NPDID_discovery=44414	9999-12-31	2012-12-06	2013-05-08
30/6-17	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/6-17 R	North sea	OSEBERG	2005-06-22	1986	30/6-1 OSEBERG	\N	\N	44420	43625	849	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44420	http://www.npd.no/FactMapSearch?NPDID_field=43625	9999-12-31	9999-12-31	2013-05-08
30/6-18 KAPPA	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/6-18	North sea	OSEBERG	2004-05-21	1985	30/6-1 OSEBERG	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44426	43625	488	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44426	http://www.npd.no/FactMapSearch?NPDID_field=43625	9999-12-31	9999-12-31	2013-05-08
30/6-19 BETA SADEL	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	30/6-19	North sea	OSEBERG ØST	1997-05-07	1986	30/6-5 OSEBERG ØST	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44432	43639	489	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44432	http://www.npd.no/FactMapSearch?NPDID_field=43639	9999-12-31	9999-12-31	2013-05-08
30/6-5 OSEBERG ØST	Statoil Petroleum AS	PRODUCING	OIL	30/6-5	North sea	OSEBERG ØST	1996-10-11	1981	\N	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44438	43639	118	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44438	http://www.npd.no/FactMapSearch?NPDID_field=43639	9999-12-31	9999-12-31	2013-05-08
30/7-2	Total E&P Norge AS	INCLUDED IN OTHER DISCOVERY	OIL	30/7-2	North sea	MARTIN LINGE	2012-06-11	1975	30/7-6 MARTIN LINGE	BUSINESS ARRANGEMENT AREA	MARTIN LINGE UNIT	44444	21675447	385	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44444	http://www.npd.no/FactMapSearch?NPDID_field=21675447	2012-06-21	2012-06-21	2013-05-08
30/7-6 MARTIN LINGE	Total E&P Norge AS	PDO APPROVED	GAS	30/7-6 R	North sea	MARTIN LINGE	2012-06-11	1978	\N	BUSINESS ARRANGEMENT AREA	MARTIN LINGE UNIT	44450	21675447	507	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44450	http://www.npd.no/FactMapSearch?NPDID_field=21675447	2012-06-21	2012-06-21	2013-05-08
30/8-1 S TUNE	Statoil Petroleum AS	PRODUCING	GAS/CONDENSATE	30/8-1 S	North sea	TUNE	1999-12-17	1995	\N	PRODUCTION LICENSE	190	44456	853376	2430	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44456	http://www.npd.no/FactMapSearch?NPDID_field=853376	2013-04-19	2013-04-19	2013-05-08
30/9-10 OSEBERG SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	30/9-10	North sea	OSEBERG SØR	1997-06-10	1990	30/9-3 OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44468	43645	1514	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44468	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	9999-12-31	2013-05-08
30/9-13 S OSEBERG SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/9-13 S	North sea	OSEBERG SØR	1997-06-10	1991	30/9-3 OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44474	43645	1811	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44474	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	9999-12-31	2013-05-08
30/9-15 OSEBERG SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	30/9-15	North sea	OSEBERG SØR	1997-06-10	1994	30/9-3 OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44480	43645	2223	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44480	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	9999-12-31	2013-05-08
30/9-16 K OSEBERG SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/9-16	North sea	OSEBERG SØR	1997-06-10	1994	30/9-3 OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44486	43645	2361	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44486	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	9999-12-31	2013-05-08
30/9-3 OSEBERG SØR	Statoil Petroleum AS	PRODUCING	OIL	30/9-3	North sea	OSEBERG SØR	1997-06-10	1984	\N	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44492	43645	55	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44492	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	9999-12-31	2013-05-08
30/9-4 S OSEBERG SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/9-4 S	North sea	OSEBERG SØR	1997-06-10	1985	30/9-3 OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44498	43645	452	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44498	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	9999-12-31	2013-05-08
30/9-5 S OSEBERG SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	30/9-5 S	North sea	OSEBERG SØR	1997-06-10	1985	30/9-3 OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44504	43645	478	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44504	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	9999-12-31	2013-05-08
30/9-6 OSEBERG SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	30/9-6	North sea	OSEBERG SØR	1997-06-10	1987	30/9-3 OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44510	43645	1027	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44510	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	9999-12-31	2013-05-08
30/9-7 OSEBERG SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	30/9-7	North sea	OSEBERG SØR	1997-06-10	1988	30/9-3 OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44516	43645	1306	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44516	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	9999-12-31	2013-05-08
30/9-9 OSEBERG SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	30/9-9	North sea	OSEBERG SØR	1997-06-10	1989	30/9-3 OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	44522	43645	1442	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44522	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	9999-12-31	2013-05-08
31/2-1 TROLL VEST	Statoil Petroleum AS	PRODUCING	OIL/GAS	31/2-1	North sea	TROLL	1992-05-18	1979	\N	\N	\N	44534	46437	398	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44534	http://www.npd.no/FactMapSearch?NPDID_field=46437	9999-12-31	9999-12-31	2013-05-08
31/4-3 BRAGE	Statoil Petroleum AS	PRODUCING	OIL	31/4-3	North sea	BRAGE	1990-03-29	1980	\N	BUSINESS ARRANGEMENT AREA	BRAGE UNIT	44546	43651	402	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44546	http://www.npd.no/FactMapSearch?NPDID_field=43651	9999-12-31	9999-12-31	2013-05-08
31/6-1 TROLL ØST	Statoil Petroleum AS	PRODUCING	GAS	31/6-1	North sea	TROLL	1986-12-15	1983	\N	BUSINESS ARRANGEMENT AREA	TROLL UNIT	44552	46437	22	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44552	http://www.npd.no/FactMapSearch?NPDID_field=46437	9999-12-31	9999-12-31	2013-05-08
33/12-1 STATFJORD	Statoil Petroleum AS	PRODUCING	OIL	33/12-1	North sea	STATFJORD	1976-06-16	1974	\N	BUSINESS ARRANGEMENT AREA	STATFJORD UNIT	44558	43658	417	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44558	http://www.npd.no/FactMapSearch?NPDID_field=43658	9999-12-31	9999-12-31	2013-05-08
33/9-19 S SYGNA	Statoil Petroleum AS	PRODUCING	OIL	33/9-19 S	North sea	SYGNA	1999-04-30	1996	\N	BUSINESS ARRANGEMENT AREA	SYGNA UNIT	44564	104718	2830	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44564	http://www.npd.no/FactMapSearch?NPDID_field=104718	9999-12-31	9999-12-31	2013-05-08
33/9  MURCHISON	CNR International (UK) Limited	PRODUCING	OIL	UNKNOWN	North sea	MURCHISON	1976-12-15	1975	\N	BUSINESS ARRANGEMENT AREA	MURCHISON UNIT	44570	43665	0	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44570	http://www.npd.no/FactMapSearch?NPDID_field=43665	9999-12-31	9999-12-31	2013-05-08
33/9-6 DELTA	Wintershall Norge AS	DECIDED BY THE LICENSEES	OIL	33/9-6	North sea	\N	9999-12-31	1976	\N	PRODUCTION LICENSE	037 D	44576	\N	411	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44576	http://www.npd.no/FactMapSearch?NPDID_discovery=44576	9999-12-31	9999-12-31	2013-05-08
33/9-7 STATFJORD ØST	Statoil Petroleum AS	PRODUCING	OIL	33/9-7	North sea	STATFJORD ØST	1990-12-11	1976	\N	BUSINESS ARRANGEMENT AREA	STATFJORD ØST UNIT	44582	43672	412	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44582	http://www.npd.no/FactMapSearch?NPDID_field=43672	9999-12-31	9999-12-31	2013-05-08
33/9-8 STATFJORD NORD	Statoil Petroleum AS	PRODUCING	OIL	33/9-8	North sea	STATFJORD NORD	1990-12-11	1977	\N	PRODUCTION LICENSE	037	44588	43679	413	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44588	http://www.npd.no/FactMapSearch?NPDID_field=43679	9999-12-31	9999-12-31	2013-05-08
34/10-1 GULLFAKS	Statoil Petroleum AS	PRODUCING	OIL	34/10-1	North sea	GULLFAKS	1981-10-09	1978	\N	PRODUCTION LICENSE	050	44594	43686	424	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44594	http://www.npd.no/FactMapSearch?NPDID_field=43686	9999-12-31	9999-12-31	2013-05-08
34/10-17 RIMFAKS	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	34/10-17	North sea	GULLFAKS SØR	2000-03-06	1983	34/10-2 GULLFAKS SØR	\N	\N	44600	43699	5	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44600	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
34/10-2 GULLFAKS SØR	Statoil Petroleum AS	PRODUCING	OIL/GAS	34/10-2	North sea	GULLFAKS SØR	1996-03-29	1978	\N	PRODUCTION LICENSE	050	44606	43699	425	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44606	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
34/10-23 VALEMON	Statoil Petroleum AS	PDO APPROVED	GAS/CONDENSATE	34/10-23	North sea	VALEMON	2011-06-09	1985	\N	BUSINESS ARRANGEMENT AREA	VALEMON UNIT	44618	20460969	476	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44618	http://www.npd.no/FactMapSearch?NPDID_field=20460969	9999-12-31	9999-12-31	2013-05-08
34/10-34 GULLFAKS VEST	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	34/10-34	North sea	GULLFAKS	2000-03-06	1991	34/10-1 GULLFAKS	\N	\N	44624	43686	1747	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44624	http://www.npd.no/FactMapSearch?NPDID_field=43686	9999-12-31	9999-12-31	2013-05-08
34/10-37 GULLVEIG	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	34/10-37	North sea	GULLFAKS SØR	2000-03-06	1995	34/10-2 GULLFAKS SØR	\N	\N	44630	43699	2431	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44630	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
34/10-40 S	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	34/10-40 S	North sea	\N	9999-12-31	1995	\N	PRODUCTION LICENSE	050	44636	\N	2634	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44636	http://www.npd.no/FactMapSearch?NPDID_discovery=44636	9999-12-31	9999-12-31	2013-05-08
34/11-1 KVITEBJØRN	Statoil Petroleum AS	PRODUCING	GAS/CONDENSATE	34/11-1	North sea	KVITEBJØRN	2000-06-14	1994	\N	PRODUCTION LICENSE	193	44642	1036101	2377	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44642	http://www.npd.no/FactMapSearch?NPDID_field=1036101	9999-12-31	9999-12-31	2013-05-08
34/11-2 S NØKKEN	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS	34/11-2 S	North sea	\N	9999-12-31	1996	\N	PRODUCTION LICENSE	193	44648	\N	2733	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44648	http://www.npd.no/FactMapSearch?NPDID_discovery=44648	9999-12-31	9999-12-31	2013-05-08
34/4-1 SNORRE	Statoil Petroleum AS	PRODUCING	OIL	34/4-1	North sea	SNORRE	1988-05-27	1979	\N	BUSINESS ARRANGEMENT AREA	SNORRE UNIT	44654	43718	422	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44654	http://www.npd.no/FactMapSearch?NPDID_field=43718	9999-12-31	9999-12-31	2013-05-08
34/4-5	Suncor Energy Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	34/4-5	North sea	\N	9999-12-31	1984	\N	PRODUCTION LICENSE	375	44660	\N	37	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44660	http://www.npd.no/FactMapSearch?NPDID_discovery=44660	9999-12-31	9999-12-31	2013-05-08
34/7-12 TORDIS	Statoil Petroleum AS	PRODUCING	OIL	34/7-12	North sea	TORDIS	1991-05-14	1987	\N	PRODUCTION LICENSE	089	44666	43725	1187	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44666	http://www.npd.no/FactMapSearch?NPDID_field=43725	9999-12-31	9999-12-31	2013-05-08
34/7-21 BORG	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	34/7-21	North sea	TORDIS	2003-01-07	1992	34/7-12 TORDIS	\N	\N	44690	43725	2026	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44690	http://www.npd.no/FactMapSearch?NPDID_field=43725	9999-12-31	9999-12-31	2013-05-08
34/7-22 TORDIS ØST	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	34/7-22	North sea	TORDIS	2003-01-07	1993	34/7-12 TORDIS	\N	\N	44696	43725	2167	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44696	http://www.npd.no/FactMapSearch?NPDID_field=43725	9999-12-31	2012-12-05	2013-05-08
34/7-23 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	34/7-23 S	North sea	VIGDIS	2001-11-23	1994	34/7-8 VIGDIS	\N	\N	44702	43732	2296	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44702	http://www.npd.no/FactMapSearch?NPDID_field=43732	9999-12-31	9999-12-31	2013-05-08
34/7-25 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	34/7-25 S	North sea	TORDIS	2000-10-15	1996	34/7-12 TORDIS	\N	\N	44708	43725	2863	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44708	http://www.npd.no/FactMapSearch?NPDID_field=43725	9999-12-31	9999-12-31	2013-05-08
34/7-8 VIGDIS	Statoil Petroleum AS	PRODUCING	OIL	34/7-8	North sea	VIGDIS	1994-12-16	1986	\N	PRODUCTION LICENSE	089	44714	43732	878	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44714	http://www.npd.no/FactMapSearch?NPDID_field=43732	9999-12-31	9999-12-31	2013-05-08
34/8-1 VISUND	Statoil Petroleum AS	PRODUCING	OIL/GAS	34/8-1	North sea	VISUND	1996-03-29	1986	\N	BUSINESS ARRANGEMENT AREA	VISUND INSIDE	44720	43745	854	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44720	http://www.npd.no/FactMapSearch?NPDID_field=43745	9999-12-31	9999-12-31	2013-05-08
34/8-4 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	34/8-4 S	North sea	VISUND	1997-05-06	1991	34/8-1 VISUND	\N	\N	44726	43745	1683	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44726	http://www.npd.no/FactMapSearch?NPDID_field=43745	9999-12-31	9999-12-31	2013-05-08
34/8-7	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	34/8-7 R	North sea	\N	9999-12-31	1993	\N	\N	\N	44732	\N	2057	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44732	http://www.npd.no/FactMapSearch?NPDID_discovery=44732	9999-12-31	9999-12-31	2013-05-08
35/10-2	Eni Norge AS	NEW DISCOVERIES, NOT EVALUATED	GAS	35/10-2	North sea	\N	9999-12-31	1996	\N	PRODUCTION LICENSE	293	44738	\N	2783	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44738	http://www.npd.no/FactMapSearch?NPDID_discovery=44738	9999-12-31	9999-12-31	2013-05-08
35/11-2 VEGA SØR	\N	INCLUDED IN OTHER DISCOVERY	OIL/GAS	35/11-2	North sea	VEGA	2012-08-30	1987	35/8-1 VEGA	\N	\N	44744	4467595	893	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44744	http://www.npd.no/FactMapSearch?NPDID_field=4467595	2012-09-01	2012-09-01	2013-05-08
35/11-4 FRAM	Statoil Petroleum AS	PRODUCING	OIL/GAS	35/11-4	North sea	FRAM	2001-03-23	1990	\N	PRODUCTION LICENSE	090	44750	1578840	1523	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44750	http://www.npd.no/FactMapSearch?NPDID_field=1578840	2013-04-30	2013-04-30	2013-05-08
35/11-7	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	35/11-7	North sea	FRAM	2001-03-23	1992	35/11-4 FRAM	PRODUCTION LICENSE	090	44756	1578840	1979	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44756	http://www.npd.no/FactMapSearch?NPDID_field=1578840	9999-12-31	9999-12-31	2013-05-08
35/11-8 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	35/11-8 S	North sea	FRAM	2001-03-23	1996	35/11-4 FRAM	PRODUCTION LICENSE	090	44762	1578840	2772	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44762	http://www.npd.no/FactMapSearch?NPDID_field=1578840	9999-12-31	9999-12-31	2013-05-08
35/3-2 AGAT	VNG Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	35/3-2	North sea	\N	9999-12-31	1980	\N	PRODUCTION LICENSE	270	44768	\N	136	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44768	http://www.npd.no/FactMapSearch?NPDID_discovery=44768	9999-12-31	2013-01-18	2013-05-08
35/8-1 VEGA	Statoil Petroleum AS	PRODUCING	GAS/CONDENSATE	35/8-1	North sea	VEGA	2007-06-14	1981	\N	BUSINESS ARRANGEMENT AREA	VEGA UNIT	44774	4467595	205	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44774	http://www.npd.no/FactMapSearch?NPDID_field=4467595	9999-12-31	9999-12-31	2013-05-08
35/8-2 VEGA	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	35/8-2	North sea	VEGA	2007-06-14	1982	35/8-1 VEGA	BUSINESS ARRANGEMENT AREA	VEGA UNIT	44780	4467595	434	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44780	http://www.npd.no/FactMapSearch?NPDID_field=4467595	9999-12-31	9999-12-31	2013-05-08
35/9-1 GJØA	GDF SUEZ E&P Norge AS	PRODUCING	OIL/GAS	35/9-1	North sea	GJØA	2007-06-14	1989	\N	PRODUCTION LICENSE	153	44786	4467574	1375	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44786	http://www.npd.no/FactMapSearch?NPDID_field=4467574	9999-12-31	9999-12-31	2013-05-08
36/7-1	GDF SUEZ E&P Norge AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	36/7-1	North sea	GJØA	2007-06-14	1996	35/9-1 GJØA	PRODUCTION LICENSE	153	44792	4467574	1794	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44792	http://www.npd.no/FactMapSearch?NPDID_field=4467574	9999-12-31	9999-12-31	2013-05-08
36/7-2	GDF SUEZ E&P Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	36/7-2	North sea	\N	9999-12-31	1997	\N	PRODUCTION LICENSE	153	44798	\N	2990	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44798	http://www.npd.no/FactMapSearch?NPDID_discovery=44798	9999-12-31	9999-12-31	2013-05-08
6/3-1 PI	BG Norge AS	PRODUCING	OIL/GAS	6/3-1	North sea	GAUPE	2010-06-25	1985	\N	PRODUCTION LICENSE	292	44804	18161341	450	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44804	http://www.npd.no/FactMapSearch?NPDID_field=18161341	9999-12-31	9999-12-31	2013-05-08
6201/11-1	Lundin Norway AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	6201/11-1	Norwegian sea	\N	9999-12-31	1987	\N	PRODUCTION LICENSE	519	44810	\N	1134	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44810	http://www.npd.no/FactMapSearch?NPDID_discovery=44810	9999-12-31	2013-02-20	2013-05-08
6204/11-1	RWE Dea Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	6204/11-1	Norwegian sea	\N	9999-12-31	1994	\N	PRODUCTION LICENSE	582	44816	\N	2205	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44816	http://www.npd.no/FactMapSearch?NPDID_discovery=44816	9999-12-31	9999-12-31	2013-05-08
6305/5-1 ORMEN LANGE	A/S Norske Shell	PRODUCING	GAS	6305/5-1	Norwegian sea	ORMEN LANGE	2004-04-02	1997	\N	BUSINESS ARRANGEMENT AREA	ORMEN LANGE UNIT	44822	2762452	3144	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44822	http://www.npd.no/FactMapSearch?NPDID_field=2762452	9999-12-31	9999-12-31	2013-05-08
6306/5-1	Repsol Exploration Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	6306/5-1	Norwegian sea	\N	9999-12-31	1997	\N	PRODUCTION LICENSE	642	44828	\N	3060	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44828	http://www.npd.no/FactMapSearch?NPDID_discovery=44828	9999-12-31	2013-02-20	2013-05-08
6406/2-1 LAVRANS	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS/CONDENSATE	6406/2-1	Norwegian sea	\N	9999-12-31	1995	\N	PRODUCTION LICENSE	199	44834	\N	2444	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44834	http://www.npd.no/FactMapSearch?NPDID_discovery=44834	9999-12-31	9999-12-31	2013-05-08
6406/2-3 KRISTIN	Statoil Petroleum AS	PRODUCING	GAS/CONDENSATE	6406/2-3	Norwegian sea	KRISTIN	2001-12-17	1997	\N	BUSINESS ARRANGEMENT AREA	HALTENBANKEN VEST UNIT	44840	1854729	2849	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44840	http://www.npd.no/FactMapSearch?NPDID_field=1854729	9999-12-31	9999-12-31	2013-05-08
6406/3-2 TRESTAKK	Statoil Petroleum AS	PLANNING PHASE	OIL	6406/3-2	Norwegian sea	\N	9999-12-31	1986	\N	PRODUCTION LICENSE	091	44846	\N	863	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44846	http://www.npd.no/FactMapSearch?NPDID_discovery=44846	9999-12-31	9999-12-31	2013-05-08
6407/1-2 TYRIHANS SØR	Statoil Petroleum AS	PRODUCING	GAS/CONDENSATE	6407/1-2	Norwegian sea	TYRIHANS	2006-02-16	1983	\N	BUSINESS ARRANGEMENT AREA	TYRIHANS UNIT	44852	3960848	61	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44852	http://www.npd.no/FactMapSearch?NPDID_field=3960848	9999-12-31	2012-06-08	2013-05-08
6407/1-3 TYRIHANS NORD	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	6407/1-3	Norwegian sea	TYRIHANS	2006-02-16	1984	6407/1-2 TYRIHANS SØR	BUSINESS ARRANGEMENT AREA	TYRIHANS UNIT	44858	3960848	29	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44858	http://www.npd.no/FactMapSearch?NPDID_field=3960848	9999-12-31	2012-06-08	2013-05-08
6407/4-1	Bridge Energy Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS/CONDENSATE	6407/4-1	Norwegian sea	\N	9999-12-31	1985	\N	PRODUCTION LICENSE	690	44864	\N	490	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44864	http://www.npd.no/FactMapSearch?NPDID_discovery=44864	2013-05-03	2013-05-03	2013-05-08
6407/6-3 MIKKEL	Statoil Petroleum AS	PRODUCING	GAS/CONDENSATE	6407/6-3	Norwegian sea	MIKKEL	2001-09-14	1987	\N	BUSINESS ARRANGEMENT AREA	MIKKEL UNIT	44870	1630514	1024	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44870	http://www.npd.no/FactMapSearch?NPDID_field=1630514	9999-12-31	9999-12-31	2013-05-08
6407/7-1 S NJORD	Statoil Petroleum AS	PRODUCING	OIL	6407/7-1 S	Norwegian sea	NJORD	1995-06-12	1986	\N	BUSINESS ARRANGEMENT AREA	NJORD UNIT	44876	43751	474	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44876	http://www.npd.no/FactMapSearch?NPDID_field=43751	9999-12-31	9999-12-31	2013-05-08
6407/8-2	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	6407/8-2	Norwegian sea	\N	9999-12-31	1994	\N	PRODUCTION LICENSE	348	44882	\N	2434	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44882	http://www.npd.no/FactMapSearch?NPDID_discovery=44882	9999-12-31	9999-12-31	2013-05-08
6407/9-1 DRAUGEN	A/S Norske Shell	PRODUCING	OIL	6407/9-1	Norwegian sea	DRAUGEN	1988-12-19	1984	\N	PRODUCTION LICENSE	093	44888	43758	133	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44888	http://www.npd.no/FactMapSearch?NPDID_field=43758	9999-12-31	9999-12-31	2013-05-08
6506/11-2 LANGE	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL/GAS	6506/11-2	Norwegian sea	\N	9999-12-31	1991	\N	PRODUCTION LICENSE	134	44894	\N	1754	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44894	http://www.npd.no/FactMapSearch?NPDID_discovery=44894	9999-12-31	9999-12-31	2013-05-08
6506/12-1 SMØRBUKK	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	6506/12-1	Norwegian sea	ÅSGARD	1996-06-14	1985	6507/11-1 MIDGARD	BUSINESS ARRANGEMENT AREA	ÅSGARD UNIT	44900	43765	1004	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44900	http://www.npd.no/FactMapSearch?NPDID_field=43765	9999-12-31	9999-12-31	2013-05-08
6507/11-1 MIDGARD	Statoil Petroleum AS	PRODUCING	OIL/GAS	6507/11-1	Norwegian sea	ÅSGARD	1996-06-14	1981	\N	BUSINESS ARRANGEMENT AREA	ÅSGARD UNIT	44912	43765	68	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44912	http://www.npd.no/FactMapSearch?NPDID_field=43765	9999-12-31	9999-12-31	2013-05-08
6507/2-2 MARULK	Eni Norge AS	PRODUCING	GAS	6507/2-2	Norwegian sea	MARULK	2010-07-15	1992	\N	PRODUCTION LICENSE	122	44918	18212090	1840	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44918	http://www.npd.no/FactMapSearch?NPDID_field=18212090	9999-12-31	9999-12-31	2013-05-08
6507/3-1 ALVE	Statoil Petroleum AS	PRODUCING	GAS/CONDENSATE	6507/3-1	Norwegian sea	ALVE	2007-03-16	1990	\N	PRODUCTION LICENSE	159 B	44924	4444332	1533	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44924	http://www.npd.no/FactMapSearch?NPDID_field=4444332	9999-12-31	9999-12-31	2013-05-08
6507/7-2 HEIDRUN	Statoil Petroleum AS	PRODUCING	OIL/GAS	6507/7-2	Norwegian sea	HEIDRUN	1991-05-14	1985	\N	BUSINESS ARRANGEMENT AREA	HEIDRUN UNIT	44930	43771	464	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44930	http://www.npd.no/FactMapSearch?NPDID_field=43771	9999-12-31	9999-12-31	2013-05-08
6507/8-4 HEIDRUN NORD	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	6507/8-4	Norwegian sea	HEIDRUN	1999-11-15	1990	6507/7-2 HEIDRUN	\N	\N	44936	43771	1340	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44936	http://www.npd.no/FactMapSearch?NPDID_field=43771	9999-12-31	9999-12-31	2013-05-08
6608/10-2 NORNE	Statoil Petroleum AS	PRODUCING	OIL/GAS	6608/10-2	Norwegian sea	NORNE	1995-03-09	1992	\N	BUSINESS ARRANGEMENT AREA	NORNE INSIDE	44942	43778	1782	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44942	http://www.npd.no/FactMapSearch?NPDID_field=43778	9999-12-31	9999-12-31	2013-05-08
6608/10-4	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	6608/10-4	Norwegian sea	NORNE	1997-01-17	1994	6608/10-2 NORNE	\N	\N	44948	43778	2256	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44948	http://www.npd.no/FactMapSearch?NPDID_field=43778	9999-12-31	9999-12-31	2013-05-08
6707/10-1 AASTA HANSTEEN	Statoil Petroleum AS	DECIDED BY THE LICENSEES	GAS	6707/10-1	Norwegian sea	\N	9999-12-31	1997	\N	PRODUCTION LICENSE	218	44954	\N	3075	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44954	http://www.npd.no/FactMapSearch?NPDID_discovery=44954	2013-01-03	2013-01-03	2013-05-08
7/11-1 COD	ConocoPhillips Skandinavia AS	SHUT DOWN	GAS/CONDENSATE	7/11-1	North sea	COD	1973-05-04	1968	\N	PRODUCTION LICENSE	018	44960	43785	149	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44960	http://www.npd.no/FactMapSearch?NPDID_field=43785	9999-12-31	9999-12-31	2013-05-08
7/11-5 MIME	Lundin Norway AS	SHUT DOWN	OIL	7/11-5	North sea	MIME	1992-11-06	1982	\N	PRODUCTION LICENSE	301	44966	43792	42	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44966	http://www.npd.no/FactMapSearch?NPDID_field=43792	9999-12-31	9999-12-31	2013-05-08
7/12-2 ULA	BP Norge AS	PRODUCING	OIL	7/12-2	North sea	ULA	1980-05-30	1976	\N	PRODUCTION LICENSE	019	44972	43800	295	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44972	http://www.npd.no/FactMapSearch?NPDID_field=43800	9999-12-31	9999-12-31	2013-05-08
7/12-5	BP Norge AS	NEW DISCOVERIES, NOT EVALUATED	OIL	7/12-5	North sea	\N	9999-12-31	1981	\N	PRODUCTION LICENSE	019	44978	\N	299	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44978	http://www.npd.no/FactMapSearch?NPDID_discovery=44978	2012-12-12	2012-12-12	2013-05-08
7/7-2 BRYNHILD	Lundin Norway AS	PDO APPROVED	OIL	7/7-2	North sea	BRYNHILD	2011-11-11	1992	\N	PRODUCTION LICENSE	148	44984	21123063	1868	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44984	http://www.npd.no/FactMapSearch?NPDID_field=21123063	9999-12-31	2013-01-03	2013-05-08
7/8-3	Lundin Norway AS	PLANNING PHASE	OIL	7/8-3	North sea	\N	9999-12-31	1983	\N	PRODUCTION LICENSE	301	44990	\N	28	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44990	http://www.npd.no/FactMapSearch?NPDID_discovery=44990	2013-01-03	2013-04-09	2013-05-08
7119/12-3	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	7119/12-3	Barents sea	\N	9999-12-31	1983	\N	\N	\N	44996	\N	17	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44996	http://www.npd.no/FactMapSearch?NPDID_discovery=44996	9999-12-31	9999-12-31	2013-05-08
7120/12-2	Eni Norge AS	NEW DISCOVERIES, NOT EVALUATED	GAS	7120/12-2	Barents sea	\N	9999-12-31	1981	\N	PRODUCTION LICENSE	489	45002	\N	122	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45002	http://www.npd.no/FactMapSearch?NPDID_discovery=45002	9999-12-31	9999-12-31	2013-05-08
7120/12-3	Eni Norge AS	NEW DISCOVERIES, NOT EVALUATED	GAS	7120/12-3	Barents sea	\N	9999-12-31	1983	\N	PRODUCTION LICENSE	489	45008	\N	8	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45008	http://www.npd.no/FactMapSearch?NPDID_discovery=45008	9999-12-31	9999-12-31	2013-05-08
7120/7-1 ASKELADD VEST	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	7120/7-1	Barents sea	SNØHVIT	2002-03-07	1982	7121/4-1 SNØHVIT	BUSINESS ARRANGEMENT AREA	SNØHVIT UNIT	45014	2053062	85	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45014	http://www.npd.no/FactMapSearch?NPDID_field=2053062	9999-12-31	9999-12-31	2013-05-08
7120/7-2 ASKELADD SENTRAL	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	7120/7-2	Barents sea	SNØHVIT	2002-03-07	1983	7121/4-1 SNØHVIT	BUSINESS ARRANGEMENT AREA	SNØHVIT UNIT	45020	2053062	18	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45020	http://www.npd.no/FactMapSearch?NPDID_field=2053062	9999-12-31	9999-12-31	2013-05-08
7120/8-1 ASKELADD	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	7120/8-1	Barents sea	SNØHVIT	2002-03-07	1981	7121/4-1 SNØHVIT	BUSINESS ARRANGEMENT AREA	SNØHVIT UNIT	45026	2053062	120	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45026	http://www.npd.no/FactMapSearch?NPDID_field=2053062	9999-12-31	9999-12-31	2013-05-08
7120/9-1 ALBATROSS	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	7120/9-1	Barents sea	SNØHVIT	2002-03-07	1982	7121/4-1 SNØHVIT	BUSINESS ARRANGEMENT AREA	SNØHVIT UNIT	45032	2053062	82	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45032	http://www.npd.no/FactMapSearch?NPDID_field=2053062	9999-12-31	9999-12-31	2013-05-08
7121/4-1 SNØHVIT	Statoil Petroleum AS	PRODUCING	OIL/GAS	7121/4-1	Barents sea	SNØHVIT	2002-03-07	1984	\N	BUSINESS ARRANGEMENT AREA	SNØHVIT UNIT	45038	2053062	135	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45038	http://www.npd.no/FactMapSearch?NPDID_field=2053062	9999-12-31	9999-12-31	2013-05-08
7121/4-2 SNØHVIT NORD	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	7121/4-2	Barents sea	SNØHVIT	2006-12-01	1985	7121/4-1 SNØHVIT	\N	\N	45044	2053062	461	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45044	http://www.npd.no/FactMapSearch?NPDID_field=2053062	9999-12-31	9999-12-31	2013-05-08
7121/5-2 BETA	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	7121/5-2	Barents sea	SNØHVIT	2006-12-01	1986	7121/4-1 SNØHVIT	\N	\N	45050	2053062	907	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45050	http://www.npd.no/FactMapSearch?NPDID_field=2053062	9999-12-31	9999-12-31	2013-05-08
7121/7-2 ALBATROSS SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	7121/7-2	Barents sea	SNØHVIT	2002-03-07	1986	7121/4-1 SNØHVIT	BUSINESS ARRANGEMENT AREA	SNØHVIT UNIT	45062	2053062	881	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45062	http://www.npd.no/FactMapSearch?NPDID_field=2053062	9999-12-31	9999-12-31	2013-05-08
7122/6-1	Statoil Petroleum AS	PLANNING PHASE	GAS/CONDENSATE	7122/6-1	Barents sea	\N	9999-12-31	1987	\N	PRODUCTION LICENSE	110 B	45068	\N	1140	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45068	http://www.npd.no/FactMapSearch?NPDID_discovery=45068	9999-12-31	9999-12-31	2013-05-08
7124/3-1	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	7124/3-1	Barents sea	\N	9999-12-31	1987	\N	\N	\N	45074	\N	1066	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45074	http://www.npd.no/FactMapSearch?NPDID_discovery=45074	9999-12-31	9999-12-31	2013-05-08
7128/4-1	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	7128/4-1	Barents sea	\N	9999-12-31	1994	\N	\N	\N	45080	\N	2049	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45080	http://www.npd.no/FactMapSearch?NPDID_discovery=45080	9999-12-31	9999-12-31	2013-05-08
7226/11-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	7226/11-1	Barents sea	\N	9999-12-31	1988	\N	\N	\N	45086	\N	1177	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45086	http://www.npd.no/FactMapSearch?NPDID_discovery=45086	9999-12-31	9999-12-31	2013-05-08
7316/5-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	7316/5-1	Barents sea	\N	9999-12-31	1992	\N	\N	\N	45092	\N	1987	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45092	http://www.npd.no/FactMapSearch?NPDID_discovery=45092	9999-12-31	9999-12-31	2013-05-08
9/2-1 YME	Talisman Energy Norge AS	PDO APPROVED	OIL	9/2-1	North sea	YME	1995-01-06	1987	\N	PRODUCTION LICENSE	316	45098	43807	1038	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45098	http://www.npd.no/FactMapSearch?NPDID_field=43807	9999-12-31	9999-12-31	2013-05-08
9/2-3	Talisman Energy Norge AS	INCLUDED IN OTHER DISCOVERY	OIL	9/2-3	North sea	YME	1995-01-06	1990	9/2-1 YME	PRODUCTION LICENSE	316	45104	43807	1294	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45104	http://www.npd.no/FactMapSearch?NPDID_field=43807	9999-12-31	9999-12-31	2013-05-08
9/2-6 S	Talisman Energy Norge AS	INCLUDED IN OTHER DISCOVERY	OIL	9/2-6 S	North sea	YME	1998-05-05	1996	9/2-1 YME	PRODUCTION LICENSE	316	45110	43807	2867	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45110	http://www.npd.no/FactMapSearch?NPDID_field=43807	9999-12-31	9999-12-31	2013-05-08
9/2-7 S	Talisman Energy Norge AS	INCLUDED IN OTHER DISCOVERY	OIL	9/2-7 S	North sea	YME	1998-05-05	1997	9/2-1 YME	PRODUCTION LICENSE	316	45116	43807	3087	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45116	http://www.npd.no/FactMapSearch?NPDID_field=43807	9999-12-31	9999-12-31	2013-05-08
33/9-0 MURCHIS NØ HORST	CNR International (UK) Limited	INCLUDED IN OTHER DISCOVERY	OIL	UNKNOWN	North sea	MURCHISON	1998-10-05	1989	33/9  MURCHISON	\N	\N	45122	43665	0	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45122	http://www.npd.no/FactMapSearch?NPDID_field=43665	9999-12-31	9999-12-31	2013-05-08
30/10-0 GB-4/26-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	UNKNOWN	North sea	\N	9999-12-31	1985	\N	\N	\N	45128	\N	0	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45128	http://www.npd.no/FactMapSearch?NPDID_discovery=45128	9999-12-31	9999-12-31	2013-05-08
30/8-3	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	30/8-3	North sea	TUNE	2003-11-20	1998	30/8-1 S TUNE	\N	\N	45614	853376	3246	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45614	http://www.npd.no/FactMapSearch?NPDID_field=853376	2013-04-19	2013-04-19	2013-05-08
16/7-4 SIGYN	ExxonMobil Exploration & Production Norway AS	PRODUCING	GAS/CONDENSATE	16/7-4	North sea	SIGYN	2001-08-31	1982	\N	PRODUCTION LICENSE	072	45625	1630100	91	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45625	http://www.npd.no/FactMapSearch?NPDID_field=1630100	9999-12-31	9999-12-31	2013-05-08
16/7-7 S	ExxonMobil Exploration & Production Norway AS	INCLUDED IN OTHER DISCOVERY	OIL	16/7-7 S	North sea	SIGYN	2001-08-31	1997	16/7-4 SIGYN	PRODUCTION LICENSE	072	45641	1630100	3244	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45641	http://www.npd.no/FactMapSearch?NPDID_field=1630100	9999-12-31	9999-12-31	2013-05-08
35/9-3	GDF SUEZ E&P Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	35/9-3	North sea	\N	9999-12-31	1997	\N	PRODUCTION LICENSE	153	45651	\N	3206	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45651	http://www.npd.no/FactMapSearch?NPDID_discovery=45651	9999-12-31	9999-12-31	2013-05-08
6204/10-2	RWE Dea Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	6204/10-2 R	Norwegian sea	\N	9999-12-31	1997	\N	PRODUCTION LICENSE	582	45664	\N	3258	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45664	http://www.npd.no/FactMapSearch?NPDID_discovery=45664	9999-12-31	9999-12-31	2013-05-08
6406/11-1 S	VNG Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	6406/11-1 S	Norwegian sea	\N	9999-12-31	1991	\N	PRODUCTION LICENSE	586	45707	\N	1539	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45707	http://www.npd.no/FactMapSearch?NPDID_discovery=45707	9999-12-31	9999-12-31	2013-05-08
6507/5-1 SKARV	BP Norge AS	PRODUCING	OIL/GAS	6507/5-1	Norwegian sea	SKARV	2007-12-18	1998	\N	BUSINESS ARRANGEMENT AREA	SKARV UNIT	45801	4704482	3683	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45801	http://www.npd.no/FactMapSearch?NPDID_field=4704482	2013-01-09	2013-01-09	2013-05-08
24/6-2 ALVHEIM	Marathon Oil Norge AS	PRODUCING	OIL/GAS	24/6-2	North sea	ALVHEIM	2004-10-08	1998	\N	\N	\N	45828	2845712	3397	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45828	http://www.npd.no/FactMapSearch?NPDID_field=2845712	9999-12-31	9999-12-31	2013-05-08
6506/12-3 SMØRBUKK SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	6506/12-3	Norwegian sea	ÅSGARD	1996-06-14	1985	6507/11-1 MIDGARD	BUSINESS ARRANGEMENT AREA	ÅSGARD UNIT	45846	43765	468	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45846	http://www.npd.no/FactMapSearch?NPDID_field=43765	9999-12-31	9999-12-31	2013-05-08
2/5-11	Total E&P Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	2/5-11	North sea	\N	9999-12-31	1997	\N	PRODUCTION LICENSE	661	46293	\N	3084	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=46293	http://www.npd.no/FactMapSearch?NPDID_discovery=46293	2013-05-03	2013-05-03	2013-05-08
30/3-7 A	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	30/3-7 A	North sea	VESLEFRIKK	1999-11-16	1998	30/3-2  VESLEFRIKK	\N	\N	46312	43618	3176	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=46312	http://www.npd.no/FactMapSearch?NPDID_field=43618	9999-12-31	9999-12-31	2013-05-08
30/3-7 B	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	30/3-7 B	North sea	VESLEFRIKK	1999-04-27	1998	30/3-2  VESLEFRIKK	\N	\N	46322	43618	3229	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=46322	http://www.npd.no/FactMapSearch?NPDID_field=43618	9999-12-31	9999-12-31	2013-05-08
15/12 Flemming	Talisman Energy Norge AS	DEVELOPMENT IS NOT VERY LIKELY	\N	UNKNOWN	North sea	\N	9999-12-31	1991	\N	PRODUCTION LICENSE	038	48241	\N	0	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=48241	http://www.npd.no/FactMapSearch?NPDID_discovery=48241	9999-12-31	9999-12-31	2013-05-08
5604/22 LULITA-1	\N	PRODUCING	\N	UNKNOWN	\N	\N	9999-12-31	1991	\N	\N	\N	48247	\N	0	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=48247	http://www.npd.no/FactMapSearch?NPDID_discovery=48247	9999-12-31	9999-12-31	2013-05-08
15/5 ENOCH/SELE	Talisman North Sea Limited	PRODUCING	OIL	UNKNOWN	North sea	ENOCH	2005-07-01	1991	\N	BUSINESS ARRANGEMENT AREA	ENOCH UNIT	48253	3437659	0	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=48253	http://www.npd.no/FactMapSearch?NPDID_field=3437659	9999-12-31	9999-12-31	2013-05-08
25/8-10 S RINGHORNE	ExxonMobil Exploration & Production Norway AS	INCLUDED IN OTHER DISCOVERY	OIL	25/8-10 S	North sea	BALDER	2001-08-23	1997	25/11-1 BALDER	\N	\N	52316	43562	3062	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=52316	http://www.npd.no/FactMapSearch?NPDID_field=43562	9999-12-31	9999-12-31	2013-05-08
30/9-19	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/9-19	North sea	OSEBERG	2005-09-23	1998	30/6-1 OSEBERG	\N	\N	96300	43625	3561	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=96300	http://www.npd.no/FactMapSearch?NPDID_field=43625	9999-12-31	9999-12-31	2013-05-08
2/7-31	ConocoPhillips Skandinavia AS	INCLUDED IN OTHER DISCOVERY	OIL	2/7-31	North sea	\N	9999-12-31	1999	2/7-19	PRODUCTION LICENSE	018	105311	\N	3573	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=105311	http://www.npd.no/FactMapSearch?NPDID_discovery=105311	9999-12-31	9999-12-31	2013-05-08
6406/2-6 RAGNFRID	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS/CONDENSATE	6406/2-6	Norwegian sea	\N	9999-12-31	1998	\N	PRODUCTION LICENSE	199	105682	\N	3407	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=105682	http://www.npd.no/FactMapSearch?NPDID_discovery=105682	9999-12-31	9999-12-31	2013-05-08
6507/3-3 IDUN	BP Norge AS	INCLUDED IN OTHER DISCOVERY	GAS	6507/3-3	Norwegian sea	SKARV	2007-12-18	1999	6507/5-1 SKARV	BUSINESS ARRANGEMENT AREA	SKARV UNIT	105867	4704482	3668	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=105867	http://www.npd.no/FactMapSearch?NPDID_field=4704482	9999-12-31	9999-12-31	2013-05-08
6407/9-9	A/S Norske Shell	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL/GAS	6407/9-9	Norwegian sea	\N	9999-12-31	1999	\N	PRODUCTION LICENSE	093	110258	\N	1990	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=110258	http://www.npd.no/FactMapSearch?NPDID_discovery=110258	9999-12-31	2012-12-01	2013-05-08
9/2-9 S	Talisman Energy Norge AS	INCLUDED IN OTHER DISCOVERY	OIL	9/2-9 S	North sea	YME	1999-11-10	1999	9/2-1 YME	PRODUCTION LICENSE	316	112160	43807	3703	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=112160	http://www.npd.no/FactMapSearch?NPDID_field=43807	9999-12-31	9999-12-31	2013-05-08
6506/12-3 LYSING	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL/GAS	6506/12-3	Norwegian sea	\N	9999-12-31	1985	\N	PRODUCTION LICENSE	094	116294	\N	468	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=116294	http://www.npd.no/FactMapSearch?NPDID_discovery=116294	9999-12-31	9999-12-31	2013-05-08
6406/2-7 ERLEND	Statoil Petroleum AS	PLANNING PHASE	GAS/CONDENSATE	6406/2-7	Norwegian sea	\N	9999-12-31	1999	\N	PRODUCTION LICENSE	199	916112	\N	3878	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=916112	http://www.npd.no/FactMapSearch?NPDID_discovery=916112	2013-01-03	2013-01-03	2013-05-08
34/4-10	Suncor Energy Norge AS	NEW DISCOVERIES, NOT EVALUATED	OIL	34/4-10 R	North sea	\N	9999-12-31	2000	\N	PRODUCTION LICENSE	375	1030530	\N	4051	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1030530	http://www.npd.no/FactMapSearch?NPDID_discovery=1030530	9999-12-31	9999-12-31	2013-05-08
6608/10-6 SVALE	Statoil Petroleum AS	PRODUCING	OIL	6608/10-6	Norwegian sea	URD	2004-07-02	2000	\N	PRODUCTION LICENSE	128	1030536	2834734	3260	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1030536	http://www.npd.no/FactMapSearch?NPDID_field=2834734	9999-12-31	9999-12-31	2013-05-08
6507/5-3 SNADD	BP Norge AS	INCLUDED IN OTHER DISCOVERY	GAS	6507/5-3	Norwegian sea	SKARV	2007-12-18	2000	6507/5-1 SKARV	BUSINESS ARRANGEMENT AREA	SKARV UNIT	1036252	4704482	4059	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1036252	http://www.npd.no/FactMapSearch?NPDID_field=4704482	9999-12-31	9999-12-31	2013-05-08
30/3-9	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS/CONDENSATE	30/10-1	North sea	\N	9999-12-31	1973	\N	\N	\N	1036262	\N	391	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1036262	http://www.npd.no/FactMapSearch?NPDID_discovery=1036262	2012-08-18	2012-08-18	2013-05-08
35/8-3	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS	35/8-3	North sea	\N	9999-12-31	1988	\N	PRODUCTION LICENSE	195	1333027	\N	1288	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1333027	http://www.npd.no/FactMapSearch?NPDID_discovery=1333027	9999-12-31	9999-12-31	2013-05-08
6608/11-2 FALK	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	6608/11-2	Norwegian sea	\N	9999-12-31	2000	\N	PRODUCTION LICENSE	128	1340747	\N	4189	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1340747	http://www.npd.no/FactMapSearch?NPDID_discovery=1340747	9999-12-31	9999-12-31	2013-05-08
7122/7-1 GOLIAT	Eni Norge AS	PDO APPROVED	OIL/GAS	7122/7-1	Barents sea	GOLIAT	2009-06-18	2000	\N	PRODUCTION LICENSE	229	1340775	5774394	4173	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1340775	http://www.npd.no/FactMapSearch?NPDID_field=5774394	9999-12-31	9999-12-31	2013-05-08
7019/1-1	Eni Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	7019/1-1	Barents sea	\N	9999-12-31	2000	\N	PRODUCTION LICENSE	201	1340799	\N	4145	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1340799	http://www.npd.no/FactMapSearch?NPDID_discovery=1340799	9999-12-31	9999-12-31	2013-05-08
6506/6-1	Total E&P Norge AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS	6506/6-1	Norwegian sea	\N	9999-12-31	2000	\N	PRODUCTION LICENSE	211	1340823	\N	4122	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1340823	http://www.npd.no/FactMapSearch?NPDID_discovery=1340823	9999-12-31	2013-04-25	2013-05-08
6407/7-6	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	6407/7-6	Norwegian sea	NJORD	2004-11-25	2000	6407/7-1 S NJORD	\N	\N	1341958	43751	4172	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1341958	http://www.npd.no/FactMapSearch?NPDID_field=43751	9999-12-31	9999-12-31	2013-05-08
15/12-12 REV	Talisman Energy Norge AS	PRODUCING	OIL/GAS	15/12-12	North sea	REV	2007-06-15	2001	\N	PRODUCTION LICENSE	038 C	1626017	4467554	3391	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1626017	http://www.npd.no/FactMapSearch?NPDID_field=4467554	9999-12-31	9999-12-31	2013-05-08
31/4-11	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	31/4-11	North sea	BRAGE	2002-11-25	2000	31/4-3 BRAGE	\N	\N	1626899	43651	4147	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1626899	http://www.npd.no/FactMapSearch?NPDID_field=43651	9999-12-31	9999-12-31	2013-05-08
6507/7-13	ConocoPhillips Skandinavia AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	6507/7-13	Norwegian sea	\N	9999-12-31	2001	\N	PRODUCTION LICENSE	095	1628221	\N	4213	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1628221	http://www.npd.no/FactMapSearch?NPDID_discovery=1628221	9999-12-31	9999-12-31	2013-05-08
34/10-43 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	34/10-43 S	North sea	GULLFAKS SØR	2001-11-23	2001	34/10-2 GULLFAKS SØR	\N	\N	1628630	43699	4247	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1628630	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
6507/11-6 SIGRID	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS/CONDENSATE	6507/11-6	Norwegian sea	\N	9999-12-31	2001	\N	PRODUCTION LICENSE	263	1630057	\N	4321	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630057	http://www.npd.no/FactMapSearch?NPDID_discovery=1630057	9999-12-31	9999-12-31	2013-05-08
6506/11-7 MORVIN	Statoil Petroleum AS	PRODUCING	OIL/GAS	6506/11-7	Norwegian sea	MORVIN	2008-04-25	2001	\N	\N	\N	1630175	4966234	3322	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630175	http://www.npd.no/FactMapSearch?NPDID_field=4966234	9999-12-31	9999-12-31	2013-05-08
6406/1-1 ERLEND N.	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS/CONDENSATE	6406/1-1	Norwegian sea	\N	9999-12-31	2001	\N	PRODUCTION LICENSE	257	1630215	\N	4262	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630215	http://www.npd.no/FactMapSearch?NPDID_discovery=1630215	9999-12-31	9999-12-31	2013-05-08
25/4-3 GEKKO	Marathon Oil Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	25/4-3	North sea	\N	9999-12-31	1974	\N	PRODUCTION LICENSE	203	1630312	\N	361	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630312	http://www.npd.no/FactMapSearch?NPDID_discovery=1630312	9999-12-31	9999-12-31	2013-05-08
7228/7-1	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	7228/7-1 A	Barents sea	\N	9999-12-31	2001	\N	\N	\N	1630384	\N	4257	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630384	http://www.npd.no/FactMapSearch?NPDID_discovery=1630384	9999-12-31	9999-12-31	2013-05-08
34/10-44 S RIMFAKS LUNDE	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	34/10-44 S	North sea	GULLFAKS SØR	2001-11-29	2001	34/10-2 GULLFAKS SØR	\N	\N	1630418	43699	4422	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630418	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
30/6-26 GAMMA VEST	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/6-26	North sea	OSEBERG	2004-05-21	2001	30/6-18 KAPPA	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	1632058	43625	4416	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1632058	http://www.npd.no/FactMapSearch?NPDID_field=43625	9999-12-31	9999-12-31	2013-05-08
30/6-27	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/6-27	North sea	OSEBERG	2004-05-21	2001	30/6-18 KAPPA	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	1632112	43625	4425	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1632112	http://www.npd.no/FactMapSearch?NPDID_field=43625	9999-12-31	9999-12-31	2013-05-08
34/8-12 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	34/8-12 S	North sea	GIMLE	2006-05-18	2001	34/10-48 S GIMLE	BUSINESS ARRANGEMENT AREA	GIMLE UNIT	1853123	4005142	4424	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1853123	http://www.npd.no/FactMapSearch?NPDID_field=4005142	9999-12-31	9999-12-31	2013-05-08
34/10-45 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	34/10-45 S	North sea	GULLFAKS	2002-02-27	2002	34/10-1 GULLFAKS	\N	\N	1853762	43686	4450	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1853762	http://www.npd.no/FactMapSearch?NPDID_field=43686	9999-12-31	9999-12-31	2013-05-08
34/10-46 A	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	34/10-46 A	North sea	GULLFAKS	2002-11-25	2002	34/10-1 GULLFAKS	\N	\N	2066044	43686	4500	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2066044	http://www.npd.no/FactMapSearch?NPDID_field=43686	9999-12-31	9999-12-31	2013-05-08
30/9-20 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	30/9-20 S	North sea	OSEBERG SØR	2002-11-25	2002	30/9-3 OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	2066145	43645	4463	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2066145	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	9999-12-31	2013-05-08
6406/5-1	A/S Norske Shell	DEVELOPMENT IS NOT VERY LIKELY	GAS/CONDENSATE	6406/5-1	Norwegian sea	\N	9999-12-31	2002	\N	PRODUCTION LICENSE	255	2074021	\N	4451	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074021	http://www.npd.no/FactMapSearch?NPDID_discovery=2074021	9999-12-31	9999-12-31	2013-05-08
6608/10-8 STÆR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	6608/10-8	Norwegian sea	URD	2004-07-02	2002	6608/10-6 SVALE	PRODUCTION LICENSE	128	2074060	2834734	4439	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074060	http://www.npd.no/FactMapSearch?NPDID_field=2834734	9999-12-31	9999-12-31	2013-05-08
33/12-8 S SKINFAKS B	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	33/12-8 S	North sea	GULLFAKS SØR	2005-02-11	2002	33/12-8 A SKINFAKS	\N	\N	2074087	43699	4493	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074087	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
33/12-8 A SKINFAKS	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	33/12-8 A	North sea	GULLFAKS SØR	2005-02-11	2002	34/10-2 GULLFAKS SØR	\N	\N	2074147	43699	4532	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074147	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
33/12-8 S SKINFAKS S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	33/12-8 S	North sea	GULLFAKS SØR	2005-02-11	2002	33/12-8 A SKINFAKS	\N	\N	2074191	43699	4493	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074191	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
34/10-47 S GULLTOPP	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	34/10-47 S	North sea	GULLFAKS SØR	2004-11-07	2002	34/10-2 GULLFAKS SØR	\N	\N	2144184	43699	4609	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2144184	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
6608/10-9 LERKE	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	6608/10-9	Norwegian sea	URD	2005-11-29	2003	6608/10-6 SVALE	\N	\N	2391586	2834734	4668	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2391586	http://www.npd.no/FactMapSearch?NPDID_field=2834734	9999-12-31	9999-12-31	2013-05-08
34/10-K-2 H GULLVEIG	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	34/10-K-2 H	North sea	GULLFAKS SØR	1999-09-30	1998	34/10-2 GULLFAKS SØR	\N	\N	2417063	43699	3360	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2417063	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
25/4-7 ALVHEIM	Marathon Oil Norge AS	INCLUDED IN OTHER DISCOVERY	OIL	25/4-7	North sea	ALVHEIM	2004-10-08	2003	24/6-2 ALVHEIM	\N	\N	2420578	2845712	4716	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2420578	http://www.npd.no/FactMapSearch?NPDID_field=2845712	9999-12-31	9999-12-31	2013-05-08
25/2-10 S	Centrica Resources (Norge) AS	PLANNING PHASE	OIL/GAS	25/2-10 S	North sea	\N	9999-12-31	1986	\N	PRODUCTION LICENSE	442	2429169	\N	855	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2429169	http://www.npd.no/FactMapSearch?NPDID_discovery=2429169	9999-12-31	9999-12-31	2013-05-08
16/1-6 S	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	16/1-6 S	North sea	\N	9999-12-31	2003	\N	PRODUCTION LICENSE	167	2449370	\N	4711	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2449370	http://www.npd.no/FactMapSearch?NPDID_discovery=2449370	9999-12-31	9999-12-31	2013-05-08
35/9-2	GDF SUEZ E&P Norge AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	35/9-2	North sea	GJØA	2007-06-14	1991	35/9-1 GJØA	PRODUCTION LICENSE	153	2449421	4467574	1600	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2449421	http://www.npd.no/FactMapSearch?NPDID_field=4467574	9999-12-31	9999-12-31	2013-05-08
6706/6-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	6706/6-1	Norwegian sea	\N	9999-12-31	2003	\N	\N	\N	2450045	\N	4705	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2450045	http://www.npd.no/FactMapSearch?NPDID_discovery=2450045	2013-04-23	2013-04-23	2013-05-08
25/8-C-20	ExxonMobil Exploration & Production Norway AS	INCLUDED IN OTHER DISCOVERY	OIL	25/8-C-20	North sea	BALDER	2003-11-20	2003	25/11-1 BALDER	\N	\N	2455295	43562	4727	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2455295	http://www.npd.no/FactMapSearch?NPDID_field=43562	9999-12-31	9999-12-31	2013-05-08
6406/1-2	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS/CONDENSATE	6406/1-2	Norwegian sea	\N	9999-12-31	2003	\N	\N	\N	2455593	\N	4762	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2455593	http://www.npd.no/FactMapSearch?NPDID_discovery=2455593	9999-12-31	9999-12-31	2013-05-08
6405/7-1 ELLIDA	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL	6405/7-1	Norwegian sea	\N	9999-12-31	2003	\N	\N	\N	2472532	\N	4749	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2472532	http://www.npd.no/FactMapSearch?NPDID_discovery=2472532	9999-12-31	9999-12-31	2013-05-08
24/6-4 ALVHEIM	Marathon Oil Norge AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	24/6-4	North sea	ALVHEIM	2004-10-08	2003	24/6-2 ALVHEIM	\N	\N	2472552	2845712	4745	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2472552	http://www.npd.no/FactMapSearch?NPDID_field=2845712	9999-12-31	9999-12-31	2013-05-08
25/8-14 S	\N	PRODUCING	OIL	25/8-14 S	North sea	RINGHORNE ØST	2005-11-25	2003	\N	\N	\N	2472571	3505505	4805	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2472571	http://www.npd.no/FactMapSearch?NPDID_field=3505505	9999-12-31	9999-12-31	2013-05-08
25/4-9 S VILJE	Marathon Oil Norge AS	PRODUCING	OIL	25/4-9 S	North sea	VILJE	2005-03-18	2003	\N	PRODUCTION LICENSE	036 D	2472606	3392471	4278	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2472606	http://www.npd.no/FactMapSearch?NPDID_field=3392471	2012-09-19	2012-09-20	2013-05-08
34/10-45 B	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	34/10-45 B	North sea	GULLFAKS	2004-02-03	2003	34/10-1 GULLFAKS	\N	\N	2482767	43686	4824	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2482767	http://www.npd.no/FactMapSearch?NPDID_field=43686	9999-12-31	9999-12-31	2013-05-08
29/6-1	Total E&P Norge AS	INCLUDED IN OTHER DISCOVERY	GAS	29/6-1	North sea	MARTIN LINGE	2012-06-11	1982	30/7-6 MARTIN LINGE	BUSINESS ARRANGEMENT AREA	MARTIN LINGE UNIT	2770139	21675447	375	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2770139	http://www.npd.no/FactMapSearch?NPDID_field=21675447	2012-06-21	2012-06-21	2013-05-08
30/6-9	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/6-9	North sea	OSEBERG	1984-06-05	1982	30/6-1 OSEBERG	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	2770154	43625	83	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2770154	http://www.npd.no/FactMapSearch?NPDID_field=43625	9999-12-31	9999-12-31	2013-05-08
25/1-9	Det norske oljeselskap ASA	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	25/1-9	North sea	\N	9999-12-31	1986	\N	PRODUCTION LICENSE	460	2786238	\N	1001	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2786238	http://www.npd.no/FactMapSearch?NPDID_discovery=2786238	9999-12-31	9999-12-31	2013-05-08
16/1-7	Det norske oljeselskap ASA	INCLUDED IN OTHER DISCOVERY	OIL	16/1-7	North sea	\N	9999-12-31	2004	16/1-9 IVAR AASEN	PRODUCTION LICENSE	001 B	2819923	\N	4928	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2819923	http://www.npd.no/FactMapSearch?NPDID_discovery=2819923	2012-09-12	2012-09-12	2013-05-08
31/4-A-30 B	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	31/4-A-30 B	North sea	BRAGE	2004-04-23	2004	31/4-3 BRAGE	\N	\N	2820014	43651	4890	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2820014	http://www.npd.no/FactMapSearch?NPDID_field=43651	9999-12-31	2013-02-20	2013-05-08
6608/11-4 LINERLE	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	6608/11-4	Norwegian sea	\N	9999-12-31	2004	6608/11-2 FALK	PRODUCTION LICENSE	128	2820030	\N	4939	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2820030	http://www.npd.no/FactMapSearch?NPDID_discovery=2820030	9999-12-31	9999-12-31	2013-05-08
34/10-48 S GIMLE	Statoil Petroleum AS	PRODUCING	OIL	34/10-48 S	North sea	GIMLE	2006-05-18	2004	\N	BUSINESS ARRANGEMENT AREA	GIMLE UNIT	3000688	4005142	4902	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3000688	http://www.npd.no/FactMapSearch?NPDID_field=4005142	9999-12-31	9999-12-31	2013-05-08
1/5-3 S	Total E&P Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	1/5-3 S	North sea	\N	9999-12-31	1998	\N	PRODUCTION LICENSE	618	3000726	\N	3257	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3000726	http://www.npd.no/FactMapSearch?NPDID_discovery=3000726	9999-12-31	9999-12-31	2013-05-08
7120/1-2	Lundin Norway AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	7120/1-2	Barents sea	\N	9999-12-31	1989	\N	PRODUCTION LICENSE	438	3000739	\N	1366	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3000739	http://www.npd.no/FactMapSearch?NPDID_discovery=3000739	9999-12-31	2013-02-20	2013-05-08
16/1-4	Lundin Norway AS	DEVELOPMENT IS NOT VERY LIKELY	GAS/CONDENSATE	16/1-4	North sea	\N	9999-12-31	1993	\N	PRODUCTION LICENSE	338	3000757	\N	2072	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3000757	http://www.npd.no/FactMapSearch?NPDID_discovery=3000757	9999-12-31	2012-12-20	2013-05-08
6406/9-1 LINNORM	A/S Norske Shell	PLANNING PHASE	GAS	6406/9-1	Norwegian sea	\N	9999-12-31	2005	\N	PRODUCTION LICENSE	255	3435686	\N	4927	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3435686	http://www.npd.no/FactMapSearch?NPDID_discovery=3435686	9999-12-31	9999-12-31	2013-05-08
35/11-13	Statoil Petroleum AS	PLANNING PHASE	OIL/GAS	35/11-13	North sea	\N	9999-12-31	2005	\N	PRODUCTION LICENSE	090 B	3465388	\N	5063	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3465388	http://www.npd.no/FactMapSearch?NPDID_discovery=3465388	9999-12-31	2013-02-28	2013-05-08
35/2-1	Statoil Petroleum AS	PLANNING PHASE	GAS	35/2-1	North sea	\N	9999-12-31	2005	\N	PRODUCTION LICENSE	318	3465397	\N	5135	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3465397	http://www.npd.no/FactMapSearch?NPDID_discovery=3465397	9999-12-31	9999-12-31	2013-05-08
31/2-N-11 H	Statoil Petroleum AS	PLANNING PHASE	OIL	31/2-N-11 H	North sea	\N	9999-12-31	2005	\N	PRODUCTION LICENSE	054	3465918	\N	5102	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3465918	http://www.npd.no/FactMapSearch?NPDID_discovery=3465918	9999-12-31	9999-12-31	2013-05-08
6605/8-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	6605/8-1	Norwegian sea	\N	9999-12-31	2005	\N	\N	\N	3490643	\N	4984	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3490643	http://www.npd.no/FactMapSearch?NPDID_discovery=3490643	9999-12-31	9999-12-31	2013-05-08
6302/6-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	6302/6-1	Norwegian sea	\N	9999-12-31	2005	\N	\N	\N	3505670	\N	5086	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3505670	http://www.npd.no/FactMapSearch?NPDID_discovery=3505670	9999-12-31	9999-12-31	2013-05-08
7122/7-3	Eni Norge AS	INCLUDED IN OTHER DISCOVERY	OIL	7122/7-3	Barents sea	GOLIAT	2009-06-18	2006	7122/7-1 GOLIAT	PRODUCTION LICENSE	229	4001397	5774394	5214	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4001397	http://www.npd.no/FactMapSearch?NPDID_field=5774394	9999-12-31	9999-12-31	2013-05-08
34/10-49 S ALUN	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	34/10-49 S	North sea	GULLFAKS SØR	2006-11-30	2006	34/10-2 GULLFAKS SØR	\N	\N	4038603	43699	5140	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4038603	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
34/10-49 S EPIDOT	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	34/10-49 S	North sea	GULLFAKS SØR	2006-11-30	2006	34/10-2 GULLFAKS SØR	\N	\N	4038668	43699	5140	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4038668	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
7125/1-1	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL	7125/1-1	Barents sea	\N	9999-12-31	1988	\N	\N	\N	4055254	\N	1350	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4055254	http://www.npd.no/FactMapSearch?NPDID_discovery=4055254	9999-12-31	9999-12-31	2013-05-08
6608/10-11 S	\N	INCLUDED IN OTHER DISCOVERY	GAS	6608/10-11 S	Norwegian sea	URD	2010-11-24	2006	6608/10-6 SVALE	\N	\N	4055854	2834734	5386	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4055854	http://www.npd.no/FactMapSearch?NPDID_field=2834734	9999-12-31	9999-12-31	2013-05-08
7122/7-4 S KLAPPMYS	Eni Norge AS	INCLUDED IN OTHER DISCOVERY	OIL	7122/7-4 S	Barents sea	GOLIAT	2009-06-18	2006	7122/7-1 GOLIAT	PRODUCTION LICENSE	229	4213452	5774394	5406	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4213452	http://www.npd.no/FactMapSearch?NPDID_field=5774394	9999-12-31	9999-12-31	2013-05-08
16/4-4	Lundin Norway AS	DEVELOPMENT IS NOT VERY LIKELY	GAS/CONDENSATE	16/4-4	North sea	\N	9999-12-31	2007	\N	PRODUCTION LICENSE	544	4445817	\N	5441	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4445817	http://www.npd.no/FactMapSearch?NPDID_discovery=4445817	9999-12-31	2012-10-03	2013-05-08
7125/4-1	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	7125/4-1	Barents sea	\N	9999-12-31	2007	\N	PRODUCTION LICENSE	393	4445929	\N	5450	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4445929	http://www.npd.no/FactMapSearch?NPDID_discovery=4445929	2013-03-20	2013-03-20	2013-05-08
25/11-24	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	25/11-24	North sea	\N	9999-12-31	2007	\N	PRODUCTION LICENSE	169	4457094	\N	5470	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4457094	http://www.npd.no/FactMapSearch?NPDID_discovery=4457094	9999-12-31	9999-12-31	2013-05-08
6507/11-8	Statoil Petroleum AS	PRODUCING	GAS	6507/11-8	Norwegian sea	YTTERGRYTA	2008-05-21	2007	\N	PRODUCTION LICENSE	062	4475288	4973114	5562	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4475288	http://www.npd.no/FactMapSearch?NPDID_field=4973114	9999-12-31	9999-12-31	2013-05-08
35/11-15 S	Statoil Petroleum AS	DECIDED BY THE LICENSEES	OIL	35/11-15 S	North sea	\N	9999-12-31	2007	\N	PRODUCTION LICENSE	090	4475297	\N	5517	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4475297	http://www.npd.no/FactMapSearch?NPDID_discovery=4475297	2012-12-12	2012-12-12	2013-05-08
6407/7-7S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	6407/7-7 S	Norwegian sea	NJORD	2007-12-11	2007	6407/7-1 S NJORD	\N	\N	4527314	43751	5550	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4527314	http://www.npd.no/FactMapSearch?NPDID_field=43751	9999-12-31	9999-12-31	2013-05-08
6405/10-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	6405/10-1	Norwegian sea	\N	9999-12-31	2007	\N	\N	\N	4527324	\N	5565	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4527324	http://www.npd.no/FactMapSearch?NPDID_discovery=4527324	9999-12-31	9999-12-31	2013-05-08
16/2-3	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	OIL	16/2-3	North sea	\N	9999-12-31	2007	\N	PRODUCTION LICENSE	265	4527337	\N	5551	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4527337	http://www.npd.no/FactMapSearch?NPDID_discovery=4527337	9999-12-31	9999-12-31	2013-05-08
16/1-8 EDVARD GRIEG	Lundin Norway AS	PDO APPROVED	OIL	16/1-8	North sea	EDVARD GRIEG	2012-06-11	2007	\N	PRODUCTION LICENSE	338	4530554	21675433	5612	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4530554	http://www.npd.no/FactMapSearch?NPDID_field=21675433	2012-06-21	2012-12-20	2013-05-08
15/12-18 S	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL	15/12-18 S	North sea	\N	9999-12-31	2007	\N	\N	\N	4554315	\N	5607	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4554315	http://www.npd.no/FactMapSearch?NPDID_discovery=4554315	2013-05-04	2013-05-04	2013-05-08
15/12-18 A	\N	INCLUDED IN OTHER DISCOVERY	OIL	15/12-18 A	North sea	\N	9999-12-31	2007	15/12-18 S	\N	\N	4554325	\N	5608	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4554325	http://www.npd.no/FactMapSearch?NPDID_discovery=4554325	2013-05-04	2013-05-04	2013-05-08
35/11-B-23-H	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	35/11-B-23 H	North sea	FRAM	2008-12-05	2008	35/11-4 FRAM	\N	\N	4972656	1578840	5641	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972656	http://www.npd.no/FactMapSearch?NPDID_field=1578840	9999-12-31	2012-11-22	2013-05-08
6407/6-6 MIKKEL SØR	Statoil Petroleum AS	PLANNING PHASE	GAS	6407/6-6	Norwegian sea	\N	9999-12-31	2008	\N	PRODUCTION LICENSE	312	4972665	\N	5636	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972665	http://www.npd.no/FactMapSearch?NPDID_discovery=4972665	9999-12-31	2013-02-28	2013-05-08
25/11-25 S SVALIN	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	25/11-25 S	North sea	SVALIN	2012-11-23	2008	25/11-16 SVALIN	PRODUCTION LICENSE	169	4972673	22507971	5642	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972673	http://www.npd.no/FactMapSearch?NPDID_field=22507971	2012-11-24	2012-11-24	2013-05-08
7222/6-1 S	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	7222/6-1 S	Barents sea	\N	9999-12-31	2008	\N	\N	\N	4972681	\N	5755	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972681	http://www.npd.no/FactMapSearch?NPDID_discovery=4972681	9999-12-31	9999-12-31	2013-05-08
6507/11-9	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	6507/11-9	Norwegian sea	\N	9999-12-31	2008	\N	PRODUCTION LICENSE	263	4972689	\N	5766	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972689	http://www.npd.no/FactMapSearch?NPDID_discovery=4972689	9999-12-31	9999-12-31	2013-05-08
16/1-9 IVAR AASEN	Det norske oljeselskap ASA	DECIDED BY THE LICENSEES	OIL	16/1-9	North sea	\N	9999-12-31	2008	\N	PRODUCTION LICENSE	001 B	4972697	\N	5773	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972697	http://www.npd.no/FactMapSearch?NPDID_discovery=4972697	2013-01-03	2013-02-28	2013-05-08
34/12-1	Eni Norge AS	NEW DISCOVERIES, NOT EVALUATED	GAS/CONDENSATE	34/12-1	North sea	\N	9999-12-31	2008	\N	PRODUCTION LICENSE	293	4972705	\N	5684	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972705	http://www.npd.no/FactMapSearch?NPDID_discovery=4972705	9999-12-31	9999-12-31	2013-05-08
6507/3-5 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	6507/3-5 S	Norwegian sea	ALVE	2008-12-05	2008	6507/3-1 ALVE	\N	\N	4972713	4444332	5307	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972713	http://www.npd.no/FactMapSearch?NPDID_field=4444332	9999-12-31	9999-12-31	2013-05-08
30/9-21 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/9-21 S	North sea	OSEBERG	2008-12-03	2008	30/6-1 OSEBERG	\N	\N	4972721	43625	5800	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972721	http://www.npd.no/FactMapSearch?NPDID_field=43625	2012-12-01	2012-12-05	2013-05-08
15/12-19	BG Norge AS	INCLUDED IN OTHER DISCOVERY	GAS	15/12-19	North sea	GAUPE	2010-06-25	2008	6/3-1 PI	PRODUCTION LICENSE	292	4972729	18161341	5705	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972729	http://www.npd.no/FactMapSearch?NPDID_field=18161341	9999-12-31	9999-12-31	2013-05-08
1/3-11	DONG E&P Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	1/3-11	North sea	\N	9999-12-31	2008	\N	PRODUCTION LICENSE	274	4999216	\N	5806	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4999216	http://www.npd.no/FactMapSearch?NPDID_discovery=4999216	9999-12-31	2012-09-14	2013-05-08
34/3-1 S KNARR	BG Norge AS	PDO APPROVED	OIL	34/3-1 S	North sea	KNARR	2011-06-09	2008	\N	PRODUCTION LICENSE	373 S	4999474	20460988	5811	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4999474	http://www.npd.no/FactMapSearch?NPDID_field=20460988	9999-12-31	9999-12-31	2013-05-08
1/3-K-5 TAMBAR ØST	BP Norge AS	PRODUCING	OIL	1/3-K-5	North sea	TAMBAR ØST	2007-06-28	2007	\N	BUSINESS ARRANGEMENT AREA	TAMBAR ØST UNIT	4999519	4999528	5485	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4999519	http://www.npd.no/FactMapSearch?NPDID_field=4999528	9999-12-31	9999-12-31	2013-05-08
7226/2-1	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	GAS	7226/2-1	Barents sea	\N	9999-12-31	2008	\N	PRODUCTION LICENSE	395	5010034	\N	5807	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010034	http://www.npd.no/FactMapSearch?NPDID_discovery=5010034	9999-12-31	9999-12-31	2013-05-08
15/12-20 S	\N	INCLUDED IN OTHER DISCOVERY	OIL	15/12-20 S	North sea	VARG	2008-12-01	2008	15/12-4 VARG	\N	\N	5010042	43451	5824	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010042	http://www.npd.no/FactMapSearch?NPDID_field=43451	9999-12-31	9999-12-31	2013-05-08
6407/8-4 A	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	6407/8-4 A	Norwegian sea	\N	9999-12-31	2008	6407/8-4 S	PRODUCTION LICENSE	348	5010050	\N	5814	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010050	http://www.npd.no/FactMapSearch?NPDID_discovery=5010050	9999-12-31	9999-12-31	2013-05-08
30/9-21 A	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	30/9-21 A	North sea	\N	9999-12-31	2008	\N	PRODUCTION LICENSE	104	5010058	\N	5805	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010058	http://www.npd.no/FactMapSearch?NPDID_discovery=5010058	9999-12-31	2012-12-05	2013-05-08
6407/8-4 S	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	6407/8-4 S	Norwegian sea	\N	9999-12-31	2008	\N	PRODUCTION LICENSE	348	5010066	\N	5813	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010066	http://www.npd.no/FactMapSearch?NPDID_discovery=5010066	9999-12-31	9999-12-31	2013-05-08
7224/6-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	7224/6-1	Barents sea	\N	9999-12-31	2008	\N	\N	\N	5010074	\N	5835	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010074	http://www.npd.no/FactMapSearch?NPDID_discovery=5010074	9999-12-31	9999-12-31	2013-05-08
6706/12-1	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	6706/12-1	Norwegian sea	\N	9999-12-31	2008	6707/10-1 AASTA HANSTEEN	PRODUCTION LICENSE	218	5010082	\N	5867	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010082	http://www.npd.no/FactMapSearch?NPDID_discovery=5010082	9999-12-31	2012-10-03	2013-05-08
6407/7-8	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS	6407/7-8	Norwegian sea	\N	9999-12-31	2008	\N	PRODUCTION LICENSE	107	5071896	\N	5844	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5071896	http://www.npd.no/FactMapSearch?NPDID_discovery=5071896	9999-12-31	9999-12-31	2013-05-08
6707/10-2 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	6707/10-2 S	Norwegian sea	\N	9999-12-31	2008	6707/10-1 AASTA HANSTEEN	PRODUCTION LICENSE	218	5081127	\N	5918	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5081127	http://www.npd.no/FactMapSearch?NPDID_discovery=5081127	9999-12-31	2012-10-03	2013-05-08
34/8-14 S VISUND SØR	Statoil Petroleum AS	PRODUCING	OIL/GAS	34/8-14 S	North sea	VISUND SØR	2011-06-09	2008	\N	BUSINESS ARRANGEMENT AREA	VISUND INSIDE	5081135	20461008	5943	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5081135	http://www.npd.no/FactMapSearch?NPDID_field=20461008	2012-11-24	2012-11-24	2013-05-08
31/4-A-1-A	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	31/4-A-1 A	North sea	BRAGE	2008-12-08	2008	31/4-3 BRAGE	\N	\N	5081894	43651	5843	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5081894	http://www.npd.no/FactMapSearch?NPDID_field=43651	9999-12-31	9999-12-31	2013-05-08
7222/11-1	Det norske oljeselskap ASA	NEW DISCOVERIES, NOT EVALUATED	GAS	7222/11-1	Barents sea	\N	9999-12-31	2008	\N	PRODUCTION LICENSE	659	5081995	\N	5916	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5081995	http://www.npd.no/FactMapSearch?NPDID_discovery=5081995	2013-01-03	2013-02-20	2013-05-08
6707/10-2 A	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	6707/10-2 A	Norwegian sea	\N	9999-12-31	2008	\N	PRODUCTION LICENSE	218	5125172	\N	5931	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5125172	http://www.npd.no/FactMapSearch?NPDID_discovery=5125172	9999-12-31	2012-10-03	2013-05-08
15/5 J-STRUKTUR	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	UNKNOWN	North sea	\N	9999-12-31	1977	\N	PRODUCTION LICENSE	048 C	5268233	\N	0	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5268233	http://www.npd.no/FactMapSearch?NPDID_discovery=5268233	2012-08-08	2013-01-04	2013-05-08
30/8-4 S	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	30/8-4 S	North sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	190	5466601	\N	5974	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5466601	http://www.npd.no/FactMapSearch?NPDID_discovery=5466601	9999-12-31	2013-02-20	2013-05-08
6705/10-1	Statoil Petroleum AS	PLANNING PHASE	GAS	6705/10-1	Norwegian sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	327 B	5466760	\N	6044	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5466760	http://www.npd.no/FactMapSearch?NPDID_discovery=5466760	2013-01-03	2013-02-28	2013-05-08
30/11-7	Centrica Resources (Norge) AS	PLANNING PHASE	GAS/CONDENSATE	30/11-7	North sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	035 B	5490395	\N	5919	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490395	http://www.npd.no/FactMapSearch?NPDID_discovery=5490395	9999-12-31	2013-02-28	2013-05-08
30/9-22 STJERNE	\N	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/9-22	North sea	OSEBERG SØR	2009-12-03	2009	30/9-3 OSEBERG SØR	\N	\N	5490404	43645	6034	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490404	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	2012-12-05	2013-05-08
34/7-34	\N	INCLUDED IN OTHER DISCOVERY	OIL	34/7-34	North sea	VIGDIS	2009-12-03	2009	34/7-8 VIGDIS	\N	\N	5490421	43732	5973	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490421	http://www.npd.no/FactMapSearch?NPDID_field=43732	9999-12-31	2012-12-05	2013-05-08
30/5-3 S	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS	30/5-3 S	North sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	309	5490430	\N	6043	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490430	http://www.npd.no/FactMapSearch?NPDID_discovery=5490430	2013-01-03	2013-01-03	2013-05-08
15/6-10	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS/CONDENSATE	15/6-10	North sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	029 B	5490439	\N	6030	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490439	http://www.npd.no/FactMapSearch?NPDID_discovery=5490439	9999-12-31	2012-12-05	2013-05-08
34/8-13 A	Statoil Petroleum AS	PLANNING PHASE	OIL	34/8-13 A	North sea	\N	9999-12-31	2009	\N	BUSINESS ARRANGEMENT AREA	VISUND INSIDE	5490448	\N	6024	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490448	http://www.npd.no/FactMapSearch?NPDID_discovery=5490448	9999-12-31	9999-12-31	2013-05-08
16/2-5	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	GAS	16/2-5	North sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	265	5490457	\N	6042	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490457	http://www.npd.no/FactMapSearch?NPDID_discovery=5490457	9999-12-31	9999-12-31	2013-05-08
15/12-21	Talisman Energy Norge AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	15/12-21	North sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	038	5490719	\N	6047	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490719	http://www.npd.no/FactMapSearch?NPDID_discovery=5490719	9999-12-31	9999-12-31	2013-05-08
30/5-3 A	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	30/5-3 A	North sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	309	5490728	\N	6055	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490728	http://www.npd.no/FactMapSearch?NPDID_discovery=5490728	9999-12-31	9999-12-31	2013-05-08
6407/6-7 S MIKKEL SØR	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	6407/6-7 S	Norwegian sea	\N	9999-12-31	2009	6407/6-6 MIKKEL SØR	PRODUCTION LICENSE	312	5506872	\N	6100	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5506872	http://www.npd.no/FactMapSearch?NPDID_discovery=5506872	9999-12-31	9999-12-31	2013-05-08
6407/8-5 S HYME	Statoil Petroleum AS	PRODUCING	OIL	6407/8-5 S	Norwegian sea	HYME	2011-06-24	2009	\N	PRODUCTION LICENSE	348	5506881	20474183	6110	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5506881	http://www.npd.no/FactMapSearch?NPDID_field=20474183	2013-03-16	2013-03-16	2013-05-08
25/8-16 S	Det norske oljeselskap ASA	DEVELOPMENT IS NOT VERY LIKELY	OIL	25/8-16 S	North sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	027 D	5506890	\N	6082	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5506890	http://www.npd.no/FactMapSearch?NPDID_discovery=5506890	9999-12-31	9999-12-31	2013-05-08
6603/12-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	6603/12-1	Norwegian sea	\N	9999-12-31	2009	\N	\N	\N	5798448	\N	5985	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5798448	http://www.npd.no/FactMapSearch?NPDID_discovery=5798448	9999-12-31	9999-12-31	2013-05-08
34/8-13 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL	34/8-13 S	North sea	\N	9999-12-31	2009	34/8-13 A	BUSINESS ARRANGEMENT AREA	VISUND INSIDE	5798457	\N	6025	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5798457	http://www.npd.no/FactMapSearch?NPDID_discovery=5798457	9999-12-31	9999-12-31	2013-05-08
6608/10-12 SKULD	Statoil Petroleum AS	PRODUCING	OIL	6608/10-12	Norwegian sea	SKULD	2012-01-20	2008	\N	PRODUCTION LICENSE	128	5818165	21350124	5949	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5818165	http://www.npd.no/FactMapSearch?NPDID_field=21350124	2013-03-22	2013-03-22	2013-05-08
35/12-2	Wintershall Norge AS	NEW DISCOVERIES, NOT EVALUATED	OIL/GAS	35/12-2	North sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	378	5818175	\N	6095	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5818175	http://www.npd.no/FactMapSearch?NPDID_discovery=5818175	9999-12-31	9999-12-31	2013-05-08
6507/3-7	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	GAS	6507/3-7	Norwegian sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	159 D	5818184	\N	6123	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5818184	http://www.npd.no/FactMapSearch?NPDID_discovery=5818184	9999-12-31	9999-12-31	2013-05-08
6407/2-5 S	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	OIL/GAS	6407/2-5 S	Norwegian sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	074	17115700	\N	6151	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17115700	http://www.npd.no/FactMapSearch?NPDID_discovery=17115700	9999-12-31	9999-12-31	2013-05-08
16/1-12	Lundin Norway AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	16/1-12	North sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	338	17196400	\N	6166	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17196400	http://www.npd.no/FactMapSearch?NPDID_discovery=17196400	2013-01-03	2013-01-03	2013-05-08
35/3-7 S	VNG Norge AS	INCLUDED IN OTHER DISCOVERY	GAS	35/3-7 S	North sea	\N	9999-12-31	2009	35/3-2 AGAT	PRODUCTION LICENSE	270	17221700	\N	6154	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17221700	http://www.npd.no/FactMapSearch?NPDID_discovery=17221700	9999-12-31	2013-01-18	2013-05-08
16/2-4	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	GAS	16/2-4	North sea	\N	9999-12-31	2007	\N	PRODUCTION LICENSE	265	17237080	\N	5625	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17237080	http://www.npd.no/FactMapSearch?NPDID_discovery=17237080	9999-12-31	9999-12-31	2013-05-08
24/9-9 S BØYLA	Marathon Oil Norge AS	PDO APPROVED	OIL	24/9-9 S	North sea	BØYLA	2012-10-26	2009	24/9-9 S BØYLA	PRODUCTION LICENSE	340	17237206	22492497	6222	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17237206	http://www.npd.no/FactMapSearch?NPDID_field=22492497	2012-10-27	2012-10-27	2013-05-08
25/2-17	Centrica Resources (Norge) AS	INCLUDED IN OTHER DISCOVERY	OIL	25/2-17	North sea	\N	9999-12-31	2009	25/2-10 S	PRODUCTION LICENSE	442	17237215	\N	6215	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17237215	http://www.npd.no/FactMapSearch?NPDID_discovery=17237215	9999-12-31	9999-12-31	2013-05-08
25/8-17 JETTE	Det norske oljeselskap ASA	PDO APPROVED	OIL	25/8-17	North sea	JETTE	2012-02-17	2009	\N	BUSINESS ARRANGEMENT AREA	JETTE UNIT	17238186	21613906	6185	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17238186	http://www.npd.no/FactMapSearch?NPDID_field=21613906	9999-12-31	9999-12-31	2013-05-08
15/9-B-1	\N	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	15/9-B-1	North sea	SLEIPNER VEST	2010-11-24	2009	15/6-3 SLEIPNER VEST	\N	\N	17250040	43457	5870	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17250040	http://www.npd.no/FactMapSearch?NPDID_field=43457	9999-12-31	9999-12-31	2013-05-08
25/4-10 S	Marathon Oil Norge AS	INCLUDED IN OTHER DISCOVERY	OIL	25/4-10 S	North sea	ALVHEIM	2010-11-21	2009	24/6-2 ALVHEIM	\N	\N	17256863	2845712	6253	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17256863	http://www.npd.no/FactMapSearch?NPDID_field=2845712	9999-12-31	9999-12-31	2013-05-08
25/4-10 A	Marathon Petroleum Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	25/4-10 A	North sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	203	17312260	\N	6255	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17312260	http://www.npd.no/FactMapSearch?NPDID_discovery=17312260	2012-12-09	2012-12-09	2013-05-08
6507/3-8	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS	6507/3-8	Norwegian sea	\N	9999-12-31	2009	\N	PRODUCTION LICENSE	159 B	17341840	\N	6258	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17341840	http://www.npd.no/FactMapSearch?NPDID_discovery=17341840	9999-12-31	9999-12-31	2013-05-08
34/4-11	Suncor Energy Norge AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	34/4-11	North sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	375	17826500	\N	6227	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17826500	http://www.npd.no/FactMapSearch?NPDID_discovery=17826500	2013-01-03	2013-01-03	2013-05-08
34/4-12 S	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	34/4-12 S	North sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	057	18012830	\N	6283	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18012830	http://www.npd.no/FactMapSearch?NPDID_discovery=18012830	9999-12-31	9999-12-31	2013-05-08
34/4-12 A	\N	INCLUDED IN OTHER DISCOVERY	OIL	34/4-12 A	North sea	SNORRE	2010-11-24	2010	34/4-1 SNORRE	\N	\N	18082189	43718	6316	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18082189	http://www.npd.no/FactMapSearch?NPDID_field=43718	9999-12-31	9999-12-31	2013-05-08
34/5-1 S	BG Norge AS	NEW DISCOVERIES, NOT EVALUATED	OIL	34/5-1 S	North sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	374 S	18082198	\N	6307	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18082198	http://www.npd.no/FactMapSearch?NPDID_discovery=18082198	9999-12-31	9999-12-31	2013-05-08
6608/10-14 S SKULD	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	6608/10-14 S	Norwegian sea	SKULD	2012-01-20	2010	6608/10-12 SKULD	PRODUCTION LICENSE	128	18086080	21350124	6306	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18086080	http://www.npd.no/FactMapSearch?NPDID_field=21350124	9999-12-31	9999-12-31	2013-05-08
25/1-11 R	Det norske oljeselskap ASA	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	25/1-11 R	North sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	460	18086221	\N	6368	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18086221	http://www.npd.no/FactMapSearch?NPDID_discovery=18086221	9999-12-31	9999-12-31	2013-05-08
6506/9-2 S	Centrica Resources (Norge) AS	PLANNING PHASE	GAS/CONDENSATE	6506/9-2 S	Norwegian sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	433	18086230	\N	6332	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18086230	http://www.npd.no/FactMapSearch?NPDID_discovery=18086230	9999-12-31	2012-09-01	2013-05-08
6407/2-6 S	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	OIL/GAS	6407/2-6 S	Norwegian sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	473	18104628	\N	6351	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18104628	http://www.npd.no/FactMapSearch?NPDID_discovery=18104628	2012-11-10	2012-11-10	2013-05-08
6506/12-12 S	\N	INCLUDED IN OTHER DISCOVERY	GAS/CONDENSATE	6506/12-12 S	Norwegian sea	ÅSGARD	2011-11-30	2009	6507/11-1 MIDGARD	\N	\N	18104901	43765	6144	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18104901	http://www.npd.no/FactMapSearch?NPDID_field=43765	9999-12-31	9999-12-31	2013-05-08
6507/5-6 S	\N	INCLUDED IN OTHER DISCOVERY	GAS	6507/5-6 S	Norwegian sea	SKARV	2010-11-24	2010	6507/5-1 SKARV	\N	\N	18161414	4704482	6321	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18161414	http://www.npd.no/FactMapSearch?NPDID_field=4704482	9999-12-31	2013-03-13	2013-05-08
6406/3-8	Wintershall Norge AS	PLANNING PHASE	OIL/GAS	6406/3-8	Norwegian sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	475 BS	18212080	\N	6350	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18212080	http://www.npd.no/FactMapSearch?NPDID_discovery=18212080	9999-12-31	9999-12-31	2013-05-08
15/3-9	Statoil Petroleum AS	PLANNING PHASE	OIL/GAS	15/3-9	North sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	187	18212532	\N	6354	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18212532	http://www.npd.no/FactMapSearch?NPDID_discovery=18212532	9999-12-31	2013-02-28	2013-05-08
6507/7-14 S	RWE Dea Norge AS	PLANNING PHASE	GAS	6507/7-14 S	Norwegian sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	435	18229140	\N	6367	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18229140	http://www.npd.no/FactMapSearch?NPDID_discovery=18229140	2013-01-03	2013-01-03	2013-05-08
16/2-6 JOHAN SVERDRUP	Lundin Norway AS	PLANNING PHASE	OIL	16/2-6	North sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	501	18387202	\N	6374	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18387202	http://www.npd.no/FactMapSearch?NPDID_discovery=18387202	2013-01-03	2013-02-28	2013-05-08
7223/5-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	7223/5-1	Barents sea	\N	9999-12-31	2009	\N	\N	\N	18400160	\N	5960	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18400160	http://www.npd.no/FactMapSearch?NPDID_discovery=18400160	9999-12-31	9999-12-31	2013-05-08
25/5-7 ATLA	Total E&P Norge AS	PRODUCING	GAS/CONDENSATE	25/5-7	North sea	ATLA	2011-11-04	2010	\N	PRODUCTION LICENSE	102 C	18404420	21106284	6423	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18404420	http://www.npd.no/FactMapSearch?NPDID_field=21106284	2012-10-12	2012-10-12	2013-05-08
16/1-14	Lundin Norway AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	16/1-14	North sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	338	18437181	\N	6399	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18437181	http://www.npd.no/FactMapSearch?NPDID_discovery=18437181	2013-01-03	2013-01-03	2013-05-08
35/9-6 S	RWE Dea Norge AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	35/9-6 S	North sea	\N	9999-12-31	2010	\N	PRODUCTION LICENSE	420	18449542	\N	6429	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18449542	http://www.npd.no/FactMapSearch?NPDID_discovery=18449542	9999-12-31	9999-12-31	2013-05-08
34/10-53 S	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS/CONDENSATE	34/10-53 S	North sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	050	20415280	\N	6212	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20415280	http://www.npd.no/FactMapSearch?NPDID_discovery=20415280	9999-12-31	2012-12-19	2013-05-08
24/9-10 S	Marathon Oil Norge AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	24/9-10 S	North sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	340 BS	20415286	\N	6531	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20415286	http://www.npd.no/FactMapSearch?NPDID_discovery=20415286	9999-12-31	9999-12-31	2013-05-08
17/6-1	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL	17/6-1	North sea	\N	9999-12-31	2011	\N	\N	\N	20415295	\N	6501	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20415295	http://www.npd.no/FactMapSearch?NPDID_discovery=20415295	9999-12-31	9999-12-31	2013-05-08
15/6-12	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	15/6-12	North sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	303	20415304	\N	6518	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20415304	http://www.npd.no/FactMapSearch?NPDID_discovery=20415304	2013-01-03	2013-01-03	2013-05-08
7220/8-1 JOHAN CASTBERG	Statoil Petroleum AS	PLANNING PHASE	OIL/GAS	7220/8-1	Barents sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	532	20441001	\N	6484	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20441001	http://www.npd.no/FactMapSearch?NPDID_discovery=20441001	2013-04-25	2013-04-25	2013-05-08
30/11-8 S	Statoil Petroleum AS	PLANNING PHASE	OIL	30/11-8 S	North sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	035	20460100	\N	6540	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20460100	http://www.npd.no/FactMapSearch?NPDID_discovery=20460100	2013-01-03	2013-02-28	2013-05-08
35/11-5	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	35/11-5	North sea	\N	9999-12-31	1991	\N	PRODUCTION LICENSE	090	20460562	\N	1780	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20460562	http://www.npd.no/FactMapSearch?NPDID_discovery=20460562	9999-12-31	2013-02-20	2013-05-08
6604/10-1	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	6604/10-1	Norwegian sea	\N	9999-12-31	2010	\N	\N	\N	20472522	\N	6356	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20472522	http://www.npd.no/FactMapSearch?NPDID_discovery=20472522	9999-12-31	9999-12-31	2013-05-08
34/10-53 A	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS/CONDENSATE	34/10-53 A	North sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	050	20474194	\N	6495	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20474194	http://www.npd.no/FactMapSearch?NPDID_discovery=20474194	9999-12-31	2012-12-19	2013-05-08
30/11-8 A	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	OIL/GAS	30/11-8 A	North sea	\N	9999-12-31	2011	30/11-8 S	PRODUCTION LICENSE	035	20484993	\N	6611	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20484993	http://www.npd.no/FactMapSearch?NPDID_discovery=20484993	2013-02-01	2013-02-01	2013-05-08
7120/2-3 S	Lundin Norway AS	NEW DISCOVERIES, NOT EVALUATED	GAS	7120/2-3 S	Barents sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	438	20485020	\N	6592	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20485020	http://www.npd.no/FactMapSearch?NPDID_discovery=20485020	9999-12-31	2013-02-20	2013-05-08
7225/3-1	Total E&P Norge AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	GAS	7225/3-1	Barents sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	535	20499790	\N	6587	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20499790	http://www.npd.no/FactMapSearch?NPDID_discovery=20499790	2013-01-03	2013-01-09	2013-05-08
25/10-11	Marathon Oil Norge AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	25/10-11	North sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	505	20499806	\N	6563	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20499806	http://www.npd.no/FactMapSearch?NPDID_discovery=20499806	9999-12-31	9999-12-31	2013-05-08
34/10-52 A	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	GAS	34/10-52 A	North sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	050	21060702	\N	6657	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21060702	http://www.npd.no/FactMapSearch?NPDID_discovery=21060702	2013-02-08	2013-02-08	2013-05-08
34/10-52 B	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	OIL/GAS	34/10-52 B	North sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	050	21060720	\N	6658	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21060720	http://www.npd.no/FactMapSearch?NPDID_discovery=21060720	9999-12-31	2013-02-08	2013-05-08
16/7-10	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	16/7-10	North sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	569	21060729	\N	6607	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21060729	http://www.npd.no/FactMapSearch?NPDID_discovery=21060729	2012-10-12	2012-10-12	2013-05-08
25/4-2	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	OIL	25/4-2	North sea	\N	9999-12-31	1973	\N	PRODUCTION LICENSE	036 BS	21076955	\N	360	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21076955	http://www.npd.no/FactMapSearch?NPDID_discovery=21076955	9999-12-31	2013-01-05	2013-05-08
6407/5-2 S	OMV (Norge) AS	DEVELOPMENT IS NOT VERY LIKELY	GAS	6407/5-2 S	Norwegian sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	470	21076978	\N	6648	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21076978	http://www.npd.no/FactMapSearch?NPDID_discovery=21076978	9999-12-31	2012-10-12	2013-05-08
6508/1-2	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL/GAS	6508/1-2	Norwegian sea	\N	9999-12-31	2011	\N	\N	\N	21077280	\N	6551	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21077280	http://www.npd.no/FactMapSearch?NPDID_discovery=21077280	2013-05-04	2013-05-04	2013-05-08
29/6 ISLAY	TOTAL E&P UK PLC	PRODUCING	GAS	UNKNOWN	North sea	ISLAY	2010-07-05	2008	\N	PRODUCTION LICENSE	043 CS	21104520	21105675	0	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21104520	http://www.npd.no/FactMapSearch?NPDID_field=21105675	9999-12-31	9999-12-31	2013-05-08
6607/12-2 S	Total E&P Norge AS	PLANNING PHASE	OIL/GAS	6607/12-2 S	Norwegian sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	127	21104629	\N	6642	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21104629	http://www.npd.no/FactMapSearch?NPDID_discovery=21104629	2013-01-03	2013-02-28	2013-05-08
8/10-4 S	Centrica Resources (Norge) AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	8/10-4 S	North sea	\N	9999-12-31	2011	\N	PRODUCTION LICENSE	405	21118177	\N	6630	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21118177	http://www.npd.no/FactMapSearch?NPDID_discovery=21118177	2013-01-03	2013-02-20	2013-05-08
34/3-3 S	\N	INCLUDED IN OTHER DISCOVERY	OIL	34/3-3 S	North sea	KNARR	2012-12-10	2011	34/3-1 S KNARR	\N	\N	21124644	20460988	6588	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21124644	http://www.npd.no/FactMapSearch?NPDID_field=20460988	2012-12-12	2012-12-12	2013-05-08
7/11-12 A	\N	DEVELOPMENT IS NOT VERY LIKELY	GAS	7/11-12 A	North sea	\N	9999-12-31	2011	\N	\N	\N	21139643	\N	6655	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21139643	http://www.npd.no/FactMapSearch?NPDID_discovery=21139643	2012-12-11	2013-01-11	2013-05-08
33/12-9 S	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL	33/12-9 S	North sea	\N	9999-12-31	2012	\N	PRODUCTION LICENSE	152	21334454	\N	6729	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21334454	http://www.npd.no/FactMapSearch?NPDID_discovery=21334454	2013-01-03	2013-01-03	2013-05-08
7220/7-1 JOHAN CASTBERG	Statoil Petroleum AS	DEVELOPMENT LIKELY BUT NOT CLARIFIED	OIL/GAS	7220/7-1	Barents sea	\N	9999-12-31	2012	\N	PRODUCTION LICENSE	532	21334480	\N	6756	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21334480	http://www.npd.no/FactMapSearch?NPDID_discovery=21334480	2013-04-25	2013-04-25	2013-05-08
6406/3-9	\N	DEVELOPMENT IS NOT VERY LIKELY	OIL	6406/3-9	Norwegian sea	\N	9999-12-31	2012	\N	\N	\N	21636940	\N	6594	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21636940	http://www.npd.no/FactMapSearch?NPDID_discovery=21636940	2013-01-16	2013-04-04	2013-05-08
30/6-28 S	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	OIL	30/6-28 S	North sea	\N	9999-12-31	2012	\N	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	21660341	\N	6768	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21660341	http://www.npd.no/FactMapSearch?NPDID_discovery=21660341	9999-12-31	2013-02-22	2013-05-08
35/9-7	Wintershall Norge AS	NEW DISCOVERIES, NOT EVALUATED	OIL	35/9-7	North sea	\N	9999-12-31	2012	\N	PRODUCTION LICENSE	418	21667341	\N	6776	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21667341	http://www.npd.no/FactMapSearch?NPDID_discovery=21667341	2012-09-16	2013-04-30	2013-05-08
6507/7-15 S	RWE Dea Norge AS	INCLUDED IN OTHER DISCOVERY	GAS	6507/7-15 S	Norwegian sea	\N	9999-12-31	2012	6507/7-14 S	PRODUCTION LICENSE	435	21667407	\N	6730	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21667407	http://www.npd.no/FactMapSearch?NPDID_discovery=21667407	2013-01-03	2013-01-22	2013-05-08
2/4-21	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	GAS/CONDENSATE	2/4-21	North sea	\N	9999-12-31	2012	\N	PRODUCTION LICENSE	146	21669700	\N	6736	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21669700	http://www.npd.no/FactMapSearch?NPDID_discovery=21669700	9999-12-31	2012-06-09	2013-05-08
6507/3-9 S	BP Norge AS	NEW DISCOVERIES, NOT EVALUATED	GAS	6507/3-9 S	Norwegian sea	\N	9999-12-31	2012	\N	PRODUCTION LICENSE	212 E	21695900	\N	6951	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21695900	http://www.npd.no/FactMapSearch?NPDID_discovery=21695900	2012-08-08	2013-03-13	2013-05-08
7220/10-1	Eni Norge AS	NEW DISCOVERIES, NOT EVALUATED	GAS/CONDENSATE	7220/10-1	Barents sea	\N	9999-12-31	2012	\N	PRODUCTION LICENSE	533	22468264	\N	7015	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=22468264	http://www.npd.no/FactMapSearch?NPDID_discovery=22468264	2012-10-10	2012-10-20	2013-05-08
6201/11-3	Lundin Norway AS	NEW DISCOVERIES, NOT EVALUATED	OIL	6201/11-3	Norwegian sea	\N	9999-12-31	2012	\N	PRODUCTION LICENSE	519	22492626	\N	6821	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=22492626	http://www.npd.no/FactMapSearch?NPDID_discovery=22492626	2012-11-01	2013-02-20	2013-05-08
34/6-2 S	Total E&P Norge AS	NEW DISCOVERIES, NOT EVALUATED	OIL	34/6-2 S	North sea	\N	9999-12-31	2012	\N	PRODUCTION LICENSE	554	22506411	\N	6971	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=22506411	http://www.npd.no/FactMapSearch?NPDID_discovery=22506411	2012-11-14	2012-11-14	2013-05-08
7120/6-3	Lundin Norway AS	NEW DISCOVERIES, NOT EVALUATED	OIL	7120/6-3 S	Barents sea	\N	9999-12-31	2012	\N	PRODUCTION LICENSE	490	22527539	\N	6772	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=22527539	http://www.npd.no/FactMapSearch?NPDID_discovery=22527539	2012-12-20	2013-02-20	2013-05-08
6607/12-3	Statoil Petroleum AS	NEW DISCOVERIES, NOT EVALUATED	GAS	6607/12-3	Norwegian sea	\N	9999-12-31	2012	\N	PRODUCTION LICENSE	385	22528465	\N	7039	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=22528465	http://www.npd.no/FactMapSearch?NPDID_discovery=22528465	2013-01-03	2013-01-04	2013-05-08
6407/1-6 S	Wintershall Norge AS	NEW DISCOVERIES, NOT EVALUATED	GAS/CONDENSATE	6407/1-6 S	Norwegian sea	\N	9999-12-31	2013	\N	PRODUCTION LICENSE	475	23137754	\N	7086	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=23137754	http://www.npd.no/FactMapSearch?NPDID_discovery=23137754	2013-02-09	2013-02-09	2013-05-08
3/7-8 S	DONG E&P Norge AS	NEW DISCOVERIES, NOT EVALUATED	OIL/GAS	3/7-8 S	North sea	\N	9999-12-31	2013	\N	PRODUCTION LICENSE	147	23286464	\N	7058	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=23286464	http://www.npd.no/FactMapSearch?NPDID_discovery=23286464	2013-03-20	2013-03-20	2013-05-08
16/4-6 S	Lundin Norway AS	NEW DISCOVERIES, NOT EVALUATED	OIL	16/4-6 S	North sea	\N	9999-12-31	2013	\N	PRODUCTION LICENSE	359	23295901	\N	7098	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=23295901	http://www.npd.no/FactMapSearch?NPDID_discovery=23295901	2013-05-08	2013-05-08	2013-05-08
30/11-5	Statoil Petroleum AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	30/11-5	North sea	\N	9999-12-31	1997	\N	PRODUCTION LICENSE	035	23296145	\N	2986	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=23296145	http://www.npd.no/FactMapSearch?NPDID_discovery=23296145	2013-04-20	2013-04-20	2013-05-08
35/10-1	Eni Norge AS	DEVELOPMENT IS NOT VERY LIKELY	OIL	35/10-1	North sea	\N	9999-12-31	1992	\N	PRODUCTION LICENSE	293 B	23296174	\N	1822	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=23296174	http://www.npd.no/FactMapSearch?NPDID_discovery=23296174	2013-04-20	2013-04-20	2013-05-08
7/11-7	ConocoPhillips Skandinavia AS	INCLUDED IN OTHER DISCOVERY	OIL	7/11-7	North sea	COD	1984-10-08	1983	7/11-1 COD	\N	\N	23296230	43785	57	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=23296230	http://www.npd.no/FactMapSearch?NPDID_field=43785	2013-04-20	2013-04-20	2013-05-08
34/10-46 S	Statoil Petroleum AS	INCLUDED IN OTHER DISCOVERY	GAS	34/10-1	North sea	GULLFAKS	2003-01-01	1978	34/10-46 A	\N	\N	23296579	43686	424	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=23296579	http://www.npd.no/FactMapSearch?NPDID_field=43686	2013-04-26	2013-04-26	2013-05-08
\.



COPY discovery_reserves (dscname, dscreservesrc, dscrecoverableoil, dscrecoverablegas, dscrecoverablengl, dscrecoverablecondensate, dscdateoffresestdisplay, dscnpdiddiscovery, dscreservesdateupdated, datesyncnpd) FROM stdin;
1/5-2 FLYNDRE	4F	0.410000	0.070000	0.000000	0.000000	2012-12-31	43838	2013-02-26	2013-05-08
1/9-1 TOMMELITEN ALPHA	5F	6.490000	14.590000	0.500000	0.000000	2012-12-31	43850	2013-02-26	2013-05-08
15/5-1 DAGNY	3F	15.350000	12.530000	3.300000	1.600000	2012-12-31	43892	2013-02-26	2013-05-08
15/5-1 DAGNY	5A	1.490000	0.000000	0.000000	0.000000	2012-12-31	43892	2013-02-26	2013-05-08
15/5-2 EIRIN	4F	0.000000	7.910000	0.100000	0.320000	2012-12-31	43898	2013-02-26	2013-05-08
15/8-1 ALPHA	5F	0.000000	2.250000	0.460000	1.580000	2012-12-31	43916	2013-02-26	2013-05-08
17/12-1 BREAM	4F	6.820000	0.000000	0.000000	0.000000	2012-12-31	43964	2013-02-26	2013-05-08
2/12-1 MJØLNER	5F	3.000000	0.810000	0.080000	0.000000	2012-12-31	44006	2013-02-26	2013-05-08
2/2-2	5F	0.000000	2.000000	0.000000	0.000000	2012-12-31	44030	2013-02-26	2013-05-08
2/4-17 TJALVE	5F	0.470000	0.720000	0.130000	0.000000	2012-12-31	44066	2013-02-26	2013-05-08
2/5-3 SØRØST TOR	5F	3.060000	0.870000	0.000000	0.000000	2012-12-31	44090	2013-02-26	2013-05-08
24/6-1 PEIK	4F	0.550000	1.960000	0.000000	0.000000	2012-12-31	44174	2013-02-26	2013-05-08
25/2-5 LILLE FRØY	5F	3.030000	1.570000	0.000000	0.000000	2012-12-31	44246	2013-02-26	2013-05-08
33/9-6 DELTA	3F	0.070000	0.000000	0.000000	0.000000	2012-12-31	44576	2013-02-26	2013-05-08
34/11-2 S NØKKEN	5F	1.760000	4.000000	0.500000	0.000000	2012-12-31	44648	2013-02-26	2013-05-08
35/10-2	7F	0.000000	2.800000	0.300000	0.500000	2012-12-31	44738	2013-02-26	2013-05-08
6406/2-1 LAVRANS	5F	2.200000	8.300000	0.680000	0.000000	2012-12-31	44834	2013-02-26	2013-05-08
6406/3-2 TRESTAKK	4F	7.670000	1.940000	0.500000	0.000000	2012-12-31	44846	2013-02-26	2013-05-08
6506/11-2 LANGE	5F	0.540000	0.240000	0.060000	0.000000	2012-12-31	44894	2013-02-26	2013-05-08
6707/10-1 AASTA HANSTEEN	3F	0.000000	45.420000	0.000000	0.910000	2012-12-31	44954	2013-02-26	2013-05-08
7/12-5	7F	0.770000	0.200000	0.020000	0.000000	2012-12-31	44978	2013-02-26	2013-05-08
7/8-3	4F	3.800000	0.000000	0.000000	0.000000	2012-12-31	44990	2013-02-26	2013-05-08
7120/12-2	7F	0.000000	8.000000	0.000000	0.090000	2012-12-31	45002	2013-02-26	2013-05-08
7120/12-3	7F	0.000000	1.800000	0.000000	0.020000	2012-12-31	45008	2013-02-26	2013-05-08
7122/6-1	4F	0.000000	3.690000	0.000000	0.180000	2012-12-31	45068	2013-02-26	2013-05-08
6407/9-9	5F	0.000000	1.600000	0.000000	0.090000	2012-12-31	110258	2013-02-26	2013-05-08
6506/12-3 LYSING	5F	1.190000	0.170000	0.040000	0.000000	2012-12-31	116294	2013-02-26	2013-05-08
6406/2-7 ERLEND	4F	0.880000	1.020000	0.230000	0.000000	2012-12-31	916112	2013-02-26	2013-05-08
34/4-10	7F	4.800000	0.700000	0.000000	0.000000	2012-12-31	1030530	2013-02-26	2013-05-08
35/8-3	5F	0.580000	2.650000	0.000000	0.000000	2012-12-31	1333027	2013-02-26	2013-05-08
6506/6-1	5F	0.000000	26.790000	0.000000	0.000000	2012-12-31	1340823	2013-02-26	2013-05-08
6507/7-13	5F	0.910000	0.050000	0.000000	0.000000	2012-12-31	1628221	2013-02-26	2013-05-08
6507/11-6 SIGRID	5F	0.360000	1.920000	0.330000	0.000000	2012-12-31	1630057	2013-02-26	2013-05-08
25/2-10 S	4F	11.170000	3.350000	0.000000	0.000000	2012-12-31	2429169	2013-02-26	2013-05-08
6406/9-1 LINNORM	4F	0.000000	22.630000	0.000000	0.540000	2012-12-31	3435686	2013-02-26	2013-05-08
35/11-13	4F	3.420000	0.610000	0.040000	0.000000	2012-12-31	3465388	2013-02-26	2013-05-08
35/2-1	4F	0.000000	19.540000	0.000000	0.000000	2012-12-31	3465397	2013-02-26	2013-05-08
31/2-N-11 H	4F	0.620000	0.000000	0.000000	0.000000	2012-12-31	3465918	2013-02-26	2013-05-08
35/11-15 S	3F	1.670000	0.000000	0.000000	0.000000	2012-12-31	4475297	2013-02-26	2013-05-08
16/2-3	7F	2.900000	0.400000	0.000000	0.000000	2012-12-31	4527337	2013-02-26	2013-05-08
6407/6-6 MIKKEL SØR	4F	0.630000	2.150000	0.550000	0.000000	2012-12-31	4972665	2013-02-26	2013-05-08
16/1-9 IVAR AASEN	3F	18.290000	4.700000	1.060000	0.000000	2012-12-31	4972697	2013-02-26	2013-05-08
34/12-1	7F	0.000000	11.300000	1.400000	2.100000	2012-12-31	4972705	2013-02-26	2013-05-08
7226/2-1	7F	0.000000	0.200000	0.000000	0.000000	2012-12-31	5010034	2013-02-26	2013-05-08
6407/7-8	5F	0.490000	2.030000	0.280000	0.000000	2012-12-31	5071896	2013-02-26	2013-05-08
7222/11-1	7F	0.000000	6.000000	0.000000	0.000000	2012-12-31	5081995	2013-02-26	2013-05-08
6705/10-1	4F	0.000000	17.810000	0.000000	0.300000	2012-12-31	5466760	2013-02-26	2013-05-08
30/11-7	4F	0.570000	4.150000	0.000000	0.000000	2012-12-31	5490395	2013-02-26	2013-05-08
30/5-3 S	5F	0.490000	4.510000	0.000000	0.000000	2012-12-31	5490430	2013-02-26	2013-05-08
34/8-13 A	4F	2.640000	1.130000	0.140000	0.000000	2012-12-31	5490448	2013-02-26	2013-05-08
16/2-5	7F	0.000000	1.900000	0.000000	0.200000	2012-12-31	5490457	2013-02-26	2013-05-08
15/12-21	5F	7.690000	0.000000	0.000000	0.000000	2012-12-31	5490719	2013-02-26	2013-05-08
35/12-2	7F	4.800000	0.740000	0.000000	0.000000	2012-12-31	5818175	2013-02-26	2013-05-08
6507/3-7	7F	0.000000	0.800000	0.000000	0.040000	2012-12-31	5818184	2013-02-26	2013-05-08
6407/2-5 S	7F	2.910000	1.300000	0.000000	0.070000	2012-12-31	17115700	2013-02-26	2013-05-08
16/1-12	5F	5.080000	0.450000	0.190000	0.000000	2012-12-31	17196400	2013-02-26	2013-05-08
16/2-4	7F	0.000000	1.930000	0.000000	0.260000	2012-12-31	17237080	2013-02-26	2013-05-08
6507/3-8	5F	0.000000	1.420000	0.210000	0.100000	2012-12-31	17341840	2013-02-26	2013-05-08
34/4-11	5F	15.810000	1.780000	0.490000	0.000000	2012-12-31	17826500	2013-02-26	2013-05-08
34/5-1 S	7F	1.560000	0.180000	0.000000	0.000000	2012-12-31	18082198	2013-02-26	2013-05-08
25/1-11 R	5F	1.450000	0.000000	0.000000	0.000000	2012-12-31	18086221	2013-02-26	2013-05-08
6506/9-2 S	4F	1.700000	9.730000	0.000000	0.000000	2012-12-31	18086230	2013-02-26	2013-05-08
6407/2-6 S	7F	0.000000	1.940000	0.000000	0.480000	2012-12-31	18104628	2013-02-26	2013-05-08
6406/3-8	4F	21.020000	1.400000	0.000000	0.000000	2012-12-31	18212080	2013-02-26	2013-05-08
15/3-9	4F	0.790000	0.370000	0.100000	0.000000	2012-12-31	18212532	2013-02-26	2013-05-08
6507/7-14 S	4F	0.000000	17.350000	0.190000	0.500000	2012-12-31	18229140	2013-02-26	2013-05-08
16/2-6 JOHAN SVERDRUP	4F	300.000000	7.840000	3.770000	0.000000	2012-12-31	18387202	2013-02-26	2013-05-08
16/1-14	5F	5.180000	0.170000	0.070000	0.000000	2012-12-31	18437181	2013-02-26	2013-05-08
35/9-6 S	5F	5.410000	4.000000	0.000000	2.540000	2012-12-31	18449542	2013-02-26	2013-05-08
34/10-53 S	5F	0.800000	8.630000	1.460000	0.000000	2012-12-31	20415280	2013-02-26	2013-05-08
24/9-10 S	5F	0.920000	0.070000	0.000000	0.000000	2012-12-31	20415286	2013-02-26	2013-05-08
7220/8-1	4F	40.930000	0.000000	0.000000	0.000000	2012-12-31	20441001	2013-02-26	2013-05-08
30/11-8 S	4F	6.610000	3.230000	0.240000	0.000000	2012-12-31	20460100	2013-02-26	2013-05-08
30/11-8 S	7F	0.000000	0.050000	0.000000	0.030000	2012-12-31	20460100	2013-02-26	2013-05-08
34/10-53 A	5F	0.100000	0.370000	0.060000	0.000000	2012-12-31	20474194	2013-02-26	2013-05-08
7120/2-3 S	7F	0.000000	5.000000	0.000000	0.000000	2012-12-31	20485020	2013-02-26	2013-05-08
7225/3-1	5F	0.000000	41.580000	0.700000	1.520000	2012-12-31	20499790	2013-02-26	2013-05-08
34/10-52 A	7F	0.050000	0.490000	0.000000	0.090000	2012-12-31	21060702	2013-02-26	2013-05-08
34/10-52 B	7F	0.180000	0.440000	0.000000	0.000000	2012-12-31	21060720	2013-02-26	2013-05-08
25/4-2	7F	0.780000	0.080000	0.000000	0.000000	2012-12-31	21076955	2013-02-26	2013-05-08
6607/12-2 S	4F	0.880000	4.650000	0.000000	1.260000	2012-12-31	21104629	2013-02-26	2013-05-08
8/10-4 S	5F	9.430000	0.860000	0.000000	0.000000	2012-12-31	21118177	2013-02-26	2013-05-08
33/12-9 S	5F	0.550000	0.460000	0.080000	0.000000	2012-12-31	21334454	2013-02-26	2013-05-08
7220/7-1	5F	45.430000	0.000000	0.000000	0.000000	2012-12-31	21334480	2013-02-26	2013-05-08
30/6-28 S	7F	1.810000	0.010000	0.290000	0.010000	2012-12-31	21660341	2013-02-26	2013-05-08
35/9-7	7F	22.200000	8.100000	0.000000	0.000000	2012-12-31	21667341	2013-02-26	2013-05-08
2/4-21	7F	0.000000	14.120000	0.000000	6.440000	2012-12-31	21669700	2013-02-26	2013-05-08
6507/3-9 S	7F	0.160000	2.060000	0.250000	0.000000	2012-12-31	21695900	2013-02-26	2013-05-08
7220/10-1	7F	0.000000	5.750000	0.000000	0.250000	2012-12-31	22468264	2013-02-26	2013-05-08
6201/11-3	7F	4.500000	0.000000	0.000000	0.000000	2012-12-31	22492626	2013-02-26	2013-05-08
34/6-2 S	7F	6.810000	0.550000	0.000000	0.000000	2012-12-31	22506411	2013-02-26	2013-05-08
\.



COPY dscarea (fldnpdidfield, fldname, dscnpdiddiscovery, dscname, dscresinclindiscoveryname, dscnpdidresinclindiscovery, dscincludedinfld, dschctype, fldhctype, dsccurrentactivitystatus, fldcurrentactivitystatus, flddsclabel, dscfacturl, fldfacturl) FROM stdin;
3437650	BLANE	43814	1/2-1 BLANE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	BLANE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43814	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3437650
\N	\N	43820	1/3-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	1/3-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43820	\N
1028599	TAMBAR	43826	1/3-3 TAMBAR	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	TAMBAR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43826	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1028599
5506919	OSELVAR	43832	1/3-6 OSELVAR	\N	\N	YES	GAS/CONDENSATE	GAS	PRODUCING	PRODUCING	OSELVAR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43832	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=5506919
\N	\N	43838	1/5-2 FLYNDRE	\N	\N	NO	OIL	\N	PLANNING PHASE	\N	1/5-2 FLYNDRE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43838	\N
43437	ALBUSKJELL	43844	1/6-1 ALBUSKJELL	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	SHUT DOWN	SHUT DOWN	ALBUSKJELL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43844	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43437
\N	\N	43850	1/9-1 TOMMELITEN ALPHA	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	1/9-1 TOMMELITEN ALPHA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43850	\N
43444	TOMMELITEN GAMMA	43856	1/9-4 TOMMELITEN GAMMA	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	SHUT DOWN	SHUT DOWN	TOMMELITEN GAMMA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43856	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43444
43451	VARG	43868	15/12-4 VARG	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VARG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43868	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43451
\N	\N	43874	15/12-8	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	15/12-8	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43874	\N
18116481	GUDRUN	43880	15/3-1 S GUDRUN	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PDO APPROVED	PDO APPROVED	GUDRUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43880	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18116481
\N	\N	43886	15/3-4	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	15/3-4	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43886	\N
\N	\N	43892	15/5-1 GINA KROG	\N	\N	NO	OIL/GAS	\N	DECIDED BY THE LICENSEES	\N	15/5-1 GINA KROG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43892	\N
\N	\N	43898	15/5-2 EIRIN	\N	\N	NO	GAS	\N	PLANNING PHASE	\N	15/5-2 EIRIN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43898	\N
1272071	GLITNE	43904	15/5-5 GLITNE	\N	\N	YES	OIL	OIL	SHUT DOWN	SHUT DOWN	GLITNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43904	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1272071
43457	SLEIPNER VEST	43910	15/6-3 SLEIPNER VEST	\N	\N	YES	GAS	GAS/CONDENSATE	PRODUCING	PRODUCING	SLEIPNER VEST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43910	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43457
\N	\N	43916	15/8-1 ALPHA	\N	\N	NO	GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	15/8-1 ALPHA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43916	\N
43464	GUNGNE	43922	15/9-15 GUNGNE	\N	\N	YES	GAS	GAS	PRODUCING	PRODUCING	GUNGNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43922	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43464
43478	SLEIPNER ØST	43928	15/9-17 LOKE	15/9-9 SLEIPNER ØST	43946	YES	GAS/CONDENSATE	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	SLEIPNER ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43928	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43478
3420717	VOLVE	43934	15/9-19 S VOLVE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VOLVE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43934	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3420717
43464	GUNGNE	43940	15/9-20 S	15/9-15 GUNGNE	43922	YES	GAS/CONDENSATE	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GUNGNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43940	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43464
43478	SLEIPNER ØST	43946	15/9-9 SLEIPNER ØST	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	SLEIPNER ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43946	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43478
\N	\N	43952	16/7-2	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	16/7-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43952	\N
\N	\N	43970	17/12-2 BRISLING	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	17/12-2 BRISLING	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43970	\N
\N	\N	43976	17/3-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	17/3-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43976	\N
\N	\N	43982	18/10-1	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	18/10-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43982	\N
\N	\N	43988	2/1-11	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/1-11	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43988	\N
43485	HOD	44000	2/11-2 HOD	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	HOD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44000	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43485
\N	\N	44006	2/12-1 MJØLNER	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	2/12-1 MJØLNER	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44006	\N
43492	GYDA	44012	2/1-3 GYDA	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	GYDA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44012	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43492
43492	GYDA	44018	2/1-9 GYDA SØR	2/1-3 GYDA	44012	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GYDA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44018	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43492
\N	\N	44024	2/2-1	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/2-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44024	\N
\N	\N	44030	2/2-2	\N	\N	NO	GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	2/2-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44030	\N
\N	\N	44036	2/2-5	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/2-5	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44036	\N
\N	\N	44042	2/3-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/3-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44042	\N
\N	\N	44048	2/4-10	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/4-10	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44048	\N
\N	\N	44054	2/4-11	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/4-11	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44054	\N
\N	\N	44066	2/4-17 TJALVE	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	2/4-17 TJALVE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44066	\N
43506	EKOFISK	44072	2/4-2 EKOFISK	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	EKOFISK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44072	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43506
43513	VEST EKOFISK	44078	2/4-6 VEST EKOFISK	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	SHUT DOWN	SHUT DOWN	VEST EKOFISK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44078	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43513
43520	TOR	44084	2/5-1 TOR	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	TOR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44084	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43520
\N	\N	44090	2/5-3 SØRØST TOR	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	2/5-3 SØRØST TOR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44090	\N
\N	\N	44096	2/5-4	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/5-4	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44096	\N
\N	\N	44102	2/5-7	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/5-7	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44102	\N
\N	\N	44108	2/6-5	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/6-5	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44108	\N
43527	ELDFISK	44114	2/7-1 ELDFISK	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	ELDFISK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44114	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43527
\N	\N	44120	2/7-19	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/7-19	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44120	\N
\N	\N	44126	2/7-2	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/7-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44126	\N
43534	EMBLA	44132	2/7-20 EMBLA	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	EMBLA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44132	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43534
\N	\N	44138	2/7-22	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/7-22	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44138	\N
\N	\N	44144	2/7-29	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/7-29	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44144	\N
43541	EDDA	44150	2/7-4 EDDA	\N	\N	YES	OIL	OIL	SHUT DOWN	SHUT DOWN	EDDA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44150	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43541
43548	VALHALL	44162	2/8-6 VALHALL	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VALHALL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44162	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43548
\N	\N	44168	24/12-3 S	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	24/12-3 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44168	\N
\N	\N	44174	24/6-1 PEIK	\N	\N	NO	GAS/CONDENSATE	\N	PLANNING PHASE	\N	24/6-1 PEIK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44174	\N
\N	\N	44180	24/9-3	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	24/9-3	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44180	\N
4380167	VOLUND	44186	24/9-5 VOLUND	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VOLUND	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44186	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4380167
\N	\N	44198	25/10-8 HANZ	16/1-9 IVAR AASEN	4972697	NO	OIL/GAS	\N	INCLUDED IN OTHER DISCOVERY	\N	25/10-8 HANZ	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44198	\N
43555	FRIGG	44204	25/1-1 FRIGG	\N	\N	YES	GAS	GAS	SHUT DOWN	SHUT DOWN	FRIGG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44204	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43555
43562	BALDER	44210	25/11-1 BALDER	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	BALDER	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44210	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43562
1035937	GRANE	44216	25/11-15 GRANE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	GRANE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44216	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1035937
22507971	SVALIN	44222	25/11-16 SVALIN	\N	\N	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	SVALIN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44222	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=22507971
43568	NORDØST FRIGG	44228	25/1-4 NORDØST FRIGG	\N	\N	YES	GAS	GAS	SHUT DOWN	SHUT DOWN	NORDØST FRIGG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44228	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43568
43576	ØST FRIGG	44234	25/2-1 ØST FRIGG	\N	\N	YES	GAS	GAS	SHUT DOWN	SHUT DOWN	ØST FRIGG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44234	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43576
43583	LILLE-FRIGG	44240	25/2-4 LILLE-FRIGG	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	SHUT DOWN	SHUT DOWN	LILLE-FRIGG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44240	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43583
\N	\N	44246	25/2-5 LILLE FRØY	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	25/2-5 LILLE FRØY	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44246	\N
43590	HEIMDAL	44252	25/4-1 HEIMDAL	\N	\N	YES	GAS	OIL/GAS	PRODUCING	PRODUCING	HEIMDAL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44252	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43590
1578893	VALE	44258	25/4-6 S VALE	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	VALE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44258	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578893
43597	FRØY	44264	25/5-1 FRØY	\N	\N	YES	OIL	OIL	SHUT DOWN	SHUT DOWN	FRØY	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44264	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43597
2138816	SKIRNE	44270	25/5-3 SKIRNE	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	SKIRNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44270	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2138816
2138816	SKIRNE	44276	25/5-4 BYGGVE	25/5-3 SKIRNE	44270	YES	GAS/CONDENSATE	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	SKIRNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44276	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2138816
\N	\N	44282	25/5-5	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/5-5	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44282	\N
\N	\N	44288	25/6-1	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/6-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44288	\N
\N	\N	44294	25/7-2	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/7-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44294	\N
43604	JOTUN	44300	25/7-3 JOTUN	25/8-5 S JOTUN	44330	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	JOTUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44300	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43604
\N	\N	44306	25/7-5	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/7-5	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44306	\N
43562	BALDER	44312	25/8-1 RINGHORNE	25/11-1 BALDER	44210	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BALDER	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44312	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43562
43562	BALDER	44318	25/8-11 RINGHORNE	25/11-1 BALDER	44210	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BALDER	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44318	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43562
\N	\N	44324	25/8-4	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/8-4	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44324	\N
43604	JOTUN	44330	25/8-5 S JOTUN	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	JOTUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44330	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43604
43604	JOTUN	44336	25/8-8 S JOTUN	25/8-5 S JOTUN	44330	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	JOTUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44336	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43604
\N	\N	44342	25/8-9	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/8-9	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44342	\N
\N	\N	44348	29/3-1	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	29/3-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44348	\N
18081500	TRYM	44354	3/7-4 TRYM	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	TRYM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44354	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18081500
43610	ODIN	44360	30/10-2 ODIN	\N	\N	YES	GAS	GAS	SHUT DOWN	SHUT DOWN	ODIN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44360	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43610
\N	\N	44366	30/10-6	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	30/10-6	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44366	\N
97002	HULDRA	44372	30/2-1 HULDRA	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	HULDRA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44372	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=97002
43618	VESLEFRIKK	44378	30/3-2  VESLEFRIKK	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VESLEFRIKK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44378	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43618
43625	OSEBERG	44396	30/6-1 OSEBERG	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44396	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
43639	OSEBERG ØST	44402	30/6-14	30/6-5 OSEBERG ØST	44438	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44402	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43639
43625	OSEBERG	44408	30/6-15 OSEBERG VEST	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44408	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
\N	\N	44414	30/6-16	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	30/6-16	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44414	\N
43625	OSEBERG	44420	30/6-17	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44420	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
43625	OSEBERG	44426	30/6-18 KAPPA	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44426	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
43639	OSEBERG ØST	44438	30/6-5 OSEBERG ØST	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	OSEBERG ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44438	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43639
\N	\N	44996	7119/12-3	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7119/12-3	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44996	\N
21675447	MARTIN LINGE	44444	30/7-2	30/7-6 MARTIN LINGE	44450	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	MARTIN LINGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44444	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21675447
21675447	MARTIN LINGE	44450	30/7-6 MARTIN LINGE	\N	\N	YES	GAS	OIL/GAS	PDO APPROVED	PDO APPROVED	MARTIN LINGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44450	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21675447
43645	OSEBERG SØR	44468	30/9-10 OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44468	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44474	30/9-13 S OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44474	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44480	30/9-15 OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44480	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44486	30/9-16 K OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44486	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44492	30/9-3 OSEBERG SØR	\N	\N	YES	OIL	OIL/GAS	PRODUCING	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44492	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44498	30/9-4 S OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44498	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44510	30/9-6 OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44510	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44516	30/9-7 OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44516	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44522	30/9-9 OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44522	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
46437	TROLL	44534	31/2-1 TROLL VEST	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	TROLL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44534	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=46437
46437	TROLL	44552	31/6-1 TROLL ØST	\N	\N	YES	GAS	OIL/GAS	PRODUCING	PRODUCING	TROLL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44552	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=46437
46437	TROLL	44552	31/6-1 TROLL ØST	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	TROLL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44552	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=46437
43658	STATFJORD	44558	33/12-1 STATFJORD	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	STATFJORD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44558	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43658
104718	SYGNA	44564	33/9-19 S SYGNA	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	SYGNA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44564	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=104718
43665	MURCHISON	44570	33/9  MURCHISON	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	MURCHISON	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44570	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43665
\N	\N	44576	33/9-6 DELTA	\N	\N	NO	OIL	\N	DECIDED BY THE LICENSEES	\N	33/9-6 DELTA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44576	\N
43672	STATFJORD ØST	44582	33/9-7 STATFJORD ØST	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	STATFJORD ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44582	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43672
43679	STATFJORD NORD	44588	33/9-8 STATFJORD NORD	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	STATFJORD NORD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44588	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43679
43686	GULLFAKS	44594	34/10-1 GULLFAKS	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	GULLFAKS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44594	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43686
43699	GULLFAKS SØR	44600	34/10-17 RIMFAKS	34/10-2 GULLFAKS SØR	44606	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44600	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43699	GULLFAKS SØR	44606	34/10-2 GULLFAKS SØR	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44606	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
20460969	VALEMON	44618	34/10-23 VALEMON	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PDO APPROVED	PDO APPROVED	VALEMON	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44618	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20460969
43686	GULLFAKS	44624	34/10-34 GULLFAKS VEST	34/10-1 GULLFAKS	44594	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44624	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43686
\N	\N	45002	7120/12-2	\N	\N	NO	GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	7120/12-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45002	\N
43699	GULLFAKS SØR	44630	34/10-37 GULLVEIG	34/10-2 GULLFAKS SØR	44606	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44630	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
\N	\N	44636	34/10-40 S	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	34/10-40 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44636	\N
1036101	KVITEBJØRN	44642	34/11-1 KVITEBJØRN	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	KVITEBJØRN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44642	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1036101
\N	\N	44648	34/11-2 S NØKKEN	\N	\N	NO	GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	34/11-2 S NØKKEN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44648	\N
43718	SNORRE	44654	34/4-1 SNORRE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	SNORRE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44654	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43718
\N	\N	44660	34/4-5	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	34/4-5	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44660	\N
43725	TORDIS	44666	34/7-12 TORDIS	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	TORDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44666	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43725
43725	TORDIS	44690	34/7-21 BORG	34/7-12 TORDIS	44666	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	TORDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44690	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43725
43725	TORDIS	44696	34/7-22 TORDIS ØST	34/7-12 TORDIS	44666	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	TORDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44696	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43725
43732	VIGDIS	44702	34/7-23 S	34/7-8 VIGDIS	44714	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	VIGDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44702	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43732
43725	TORDIS	44708	34/7-25 S	34/7-12 TORDIS	44666	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	TORDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44708	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43725
43732	VIGDIS	44714	34/7-8 VIGDIS	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VIGDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44714	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43732
43745	VISUND	44720	34/8-1 VISUND	\N	\N	YES	GAS	OIL/GAS	PRODUCING	PRODUCING	VISUND	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44720	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43745
43745	VISUND	44720	34/8-1 VISUND	\N	\N	YES	OIL	OIL/GAS	PRODUCING	PRODUCING	VISUND	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44720	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43745
43745	VISUND	44720	34/8-1 VISUND	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	VISUND	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44720	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43745
43745	VISUND	44726	34/8-4 S	34/8-1 VISUND	44720	YES	GAS/CONDENSATE	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	VISUND	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44726	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43745
\N	\N	44732	34/8-7	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	34/8-7	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44732	\N
\N	\N	44738	35/10-2	\N	\N	NO	GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	35/10-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44738	\N
4467595	VEGA	44744	35/11-2 VEGA SØR	35/8-1 VEGA	44774	YES	OIL/GAS	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	VEGA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44744	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467595
1578840	FRAM	44750	35/11-4 FRAM	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	FRAM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44750	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578840
1578840	FRAM	44756	35/11-7	35/11-4 FRAM	44750	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	FRAM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44756	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578840
1578840	FRAM	44762	35/11-8 S	35/11-4 FRAM	44750	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	FRAM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44762	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578840
\N	\N	44768	35/3-2 AGAT	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	35/3-2 AGAT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44768	\N
4467595	VEGA	44774	35/8-1 VEGA	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	VEGA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44774	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467595
4467595	VEGA	44780	35/8-2 VEGA	35/8-1 VEGA	44774	YES	GAS	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	VEGA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44780	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467595
4467574	GJØA	44786	35/9-1 GJØA	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	GJØA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44786	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467574
4467574	GJØA	44792	36/7-1	35/9-1 GJØA	44786	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GJØA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44792	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467574
\N	\N	44798	36/7-2	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	36/7-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44798	\N
18161341	GAUPE	44804	6/3-1 PI	\N	\N	YES	GAS	OIL/GAS	PRODUCING	PRODUCING	GAUPE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44804	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18161341
18161341	GAUPE	44804	6/3-1 PI	\N	\N	YES	OIL	OIL/GAS	PRODUCING	PRODUCING	GAUPE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44804	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18161341
\N	\N	44810	6201/11-1	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6201/11-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44810	\N
\N	\N	44816	6204/11-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6204/11-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44816	\N
2762452	ORMEN LANGE	44822	6305/5-1 ORMEN LANGE	\N	\N	YES	GAS	GAS	PRODUCING	PRODUCING	ORMEN LANGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44822	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2762452
\N	\N	44828	6306/5-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6306/5-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44828	\N
\N	\N	44834	6406/2-1 LAVRANS	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	6406/2-1 LAVRANS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44834	\N
1854729	KRISTIN	44840	6406/2-3 KRISTIN	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	KRISTIN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44840	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1854729
\N	\N	44846	6406/3-2 TRESTAKK	\N	\N	NO	OIL	\N	PLANNING PHASE	\N	6406/3-2 TRESTAKK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44846	\N
3960848	TYRIHANS	44852	6407/1-2 TYRIHANS SØR	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	TYRIHANS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44852	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3960848
3960848	TYRIHANS	44858	6407/1-3 TYRIHANS NORD	6407/1-2 TYRIHANS SØR	44852	YES	GAS/CONDENSATE	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	TYRIHANS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44858	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3960848
\N	\N	44864	6407/4-1	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6407/4-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44864	\N
43751	NJORD	44876	6407/7-1 S NJORD	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	NJORD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44876	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43751
\N	\N	44882	6407/8-2	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6407/8-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44882	\N
43758	DRAUGEN	44888	6407/9-1 DRAUGEN	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	DRAUGEN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44888	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43758
\N	\N	44894	6506/11-2 LANGE	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	6506/11-2 LANGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44894	\N
43765	ÅSGARD	44900	6506/12-1 SMØRBUKK	6507/11-1 MIDGARD	44912	YES	GAS/CONDENSATE	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	ÅSGARD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44900	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43765
43765	ÅSGARD	44912	6507/11-1 MIDGARD	\N	\N	YES	OIL/GAS	GAS/CONDENSATE	PRODUCING	PRODUCING	ÅSGARD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44912	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43765
18212090	MARULK	44918	6507/2-2 MARULK	\N	\N	YES	GAS	GAS	PRODUCING	PRODUCING	MARULK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44918	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18212090
4444332	ALVE	44924	6507/3-1 ALVE	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	ALVE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44924	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4444332
43771	HEIDRUN	44930	6507/7-2 HEIDRUN	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	HEIDRUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44930	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43771
43771	HEIDRUN	44936	6507/8-4 HEIDRUN NORD	6507/7-2 HEIDRUN	44930	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	HEIDRUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44936	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43771
43778	NORNE	44942	6608/10-2 NORNE	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	NORNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44942	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43778
43778	NORNE	44948	6608/10-4	6608/10-2 NORNE	44942	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	NORNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44948	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43778
\N	\N	44954	6707/10-1 AASTA HANSTEEN	\N	\N	NO	GAS	\N	DECIDED BY THE LICENSEES	\N	6707/10-1 AASTA HANSTEEN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44954	\N
43785	COD	44960	7/11-1 COD	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	SHUT DOWN	SHUT DOWN	COD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44960	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43785
43792	MIME	44966	7/11-5 MIME	\N	\N	YES	OIL	OIL	SHUT DOWN	SHUT DOWN	MIME	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44966	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43792
43800	ULA	44972	7/12-2 ULA	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	ULA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44972	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43800
\N	\N	44978	7/12-5	\N	\N	NO	OIL	\N	NEW DISCOVERIES, NOT EVALUATED	\N	7/12-5	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44978	\N
21123063	BRYNHILD	44984	7/7-2 BRYNHILD	\N	\N	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	BRYNHILD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44984	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21123063
\N	\N	44990	7/8-3	\N	\N	NO	OIL	\N	PLANNING PHASE	\N	7/8-3	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44990	\N
\N	\N	45008	7120/12-3	\N	\N	NO	GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	7120/12-3	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45008	\N
2053062	SNØHVIT	45014	7120/7-1 ASKELADD VEST	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45014	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45020	7120/7-2 ASKELADD SENTRAL	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45020	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45026	7120/8-1 ASKELADD	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45026	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45032	7120/9-1 ALBATROSS	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45032	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45038	7121/4-1 SNØHVIT	\N	\N	YES	OIL/GAS	GAS	PRODUCING	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45038	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45044	7121/4-2 SNØHVIT NORD	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45044	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45050	7121/5-2 BETA	7121/4-1 SNØHVIT	45038	YES	OIL/GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45050	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45062	7121/7-2 ALBATROSS SØR	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45062	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
\N	\N	45068	7122/6-1	\N	\N	NO	GAS/CONDENSATE	\N	PLANNING PHASE	\N	7122/6-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45068	\N
\N	\N	45068	7122/6-1	\N	\N	NO	OIL	\N	PLANNING PHASE	\N	7122/6-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45068	\N
\N	\N	45074	7124/3-1	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7124/3-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45074	\N
\N	\N	45080	7128/4-1	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7128/4-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45080	\N
\N	\N	45086	7226/11-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7226/11-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45086	\N
\N	\N	45092	7316/5-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7316/5-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45092	\N
43807	YME	45098	9/2-1 YME	\N	\N	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	YME	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45098	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43807
43807	YME	45104	9/2-3	9/2-1 YME	45098	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	YME	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45104	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43807
43807	YME	45116	9/2-7 S	9/2-1 YME	45098	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	YME	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45116	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43807
853376	TUNE	45614	30/8-3	30/8-1 S TUNE	44456	YES	GAS	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	TUNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45614	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=853376
1630100	SIGYN	45625	16/7-4 SIGYN	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	SIGYN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45625	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1630100
1630100	SIGYN	45641	16/7-7 S	16/7-4 SIGYN	45625	YES	OIL	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	SIGYN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45641	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1630100
\N	\N	45651	35/9-3	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	35/9-3	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45651	\N
\N	\N	45664	6204/10-2	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6204/10-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45664	\N
\N	\N	45707	6406/11-1 S	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6406/11-1 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45707	\N
4704482	SKARV	45801	6507/5-1 SKARV	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	SKARV	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45801	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4704482
2845712	ALVHEIM	45828	24/6-2 ALVHEIM	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	ALVHEIM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45828	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2845712
43765	ÅSGARD	45846	6506/12-3 SMØRBUKK SØR	6507/11-1 MIDGARD	44912	YES	OIL	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	ÅSGARD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45846	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43765
\N	\N	46293	2/5-11	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	2/5-11	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=46293	\N
3437659	ENOCH	48253	15/5 ENOCH/SELE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	ENOCH	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=48253	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3437659
43562	BALDER	52316	25/8-10 S RINGHORNE	25/11-1 BALDER	44210	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BALDER	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=52316	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43562
43625	OSEBERG	96300	30/9-19	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=96300	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
\N	\N	105682	6406/2-6 RAGNFRID	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6406/2-6 RAGNFRID	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=105682	\N
4704482	SKARV	105867	6507/3-3 IDUN	6507/5-1 SKARV	45801	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SKARV	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=105867	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4704482
\N	\N	110258	6407/9-9	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	6407/9-9	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=110258	\N
\N	\N	116294	6506/12-3 LYSING	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	6506/12-3 LYSING	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=116294	\N
\N	\N	916112	6406/2-7 ERLEND	\N	\N	NO	GAS/CONDENSATE	\N	PLANNING PHASE	\N	6406/2-7 ERLEND	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=916112	\N
\N	\N	1030530	34/4-10	\N	\N	NO	OIL	\N	NEW DISCOVERIES, NOT EVALUATED	\N	34/4-10	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1030530	\N
2834734	URD	1030536	6608/10-6 SVALE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	URD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1030536	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2834734
4704482	SKARV	1036252	6507/5-3 SNADD	6507/5-1 SKARV	45801	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SKARV	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1036252	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4704482
\N	\N	1036262	30/3-9	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	30/3-9	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1036262	\N
\N	\N	1340747	6608/11-2 FALK	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6608/11-2 FALK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1340747	\N
5774394	GOLIAT	1340775	7122/7-1 GOLIAT	\N	\N	YES	OIL/GAS	OIL	PDO APPROVED	PDO APPROVED	GOLIAT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1340775	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=5774394
\N	\N	1340799	7019/1-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7019/1-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1340799	\N
\N	\N	1340823	6506/6-1	\N	\N	NO	GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	6506/6-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1340823	\N
43751	NJORD	1341958	6407/7-6	6407/7-1 S NJORD	44876	YES	GAS/CONDENSATE	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	NJORD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1341958	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43751
4467554	REV	1626017	15/12-12 REV	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	REV	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1626017	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467554
43651	BRAGE	1626899	31/4-11	31/4-3 BRAGE	44546	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BRAGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1626899	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43651
\N	\N	1628221	6507/7-13	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	6507/7-13	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1628221	\N
43699	GULLFAKS SØR	1628630	34/10-43 S	34/10-2 GULLFAKS SØR	44606	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1628630	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
\N	\N	1630057	6507/11-6 SIGRID	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	6507/11-6 SIGRID	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630057	\N
4966234	MORVIN	1630175	6506/11-7 MORVIN	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	MORVIN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630175	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4966234
\N	\N	1630215	6406/1-1 ERLEND N.	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6406/1-1 ERLEND N.	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630215	\N
\N	\N	1630312	25/4-3 GEKKO	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/4-3 GEKKO	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630312	\N
\N	\N	1630384	7228/7-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7228/7-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630384	\N
\N	\N	1630384	7228/7-1	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7228/7-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630384	\N
43699	GULLFAKS SØR	1630418	34/10-44 S RIMFAKS LUNDE	34/10-2 GULLFAKS SØR	44606	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630418	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43625	OSEBERG	1632058	30/6-26 GAMMA VEST	30/6-18 KAPPA	44426	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1632058	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
43625	OSEBERG	1632112	30/6-27	30/6-18 KAPPA	44426	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1632112	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
4005142	GIMLE	1853123	34/8-12 S	34/10-48 S GIMLE	3000688	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GIMLE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1853123	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4005142
43686	GULLFAKS	1853762	34/10-45 S	34/10-1 GULLFAKS	44594	YES	GAS/CONDENSATE	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1853762	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43686
4005142	GIMLE	3000688	34/10-48 S GIMLE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	GIMLE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3000688	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4005142
43686	GULLFAKS	2066044	34/10-46 A	34/10-1 GULLFAKS	44594	YES	OIL/GAS	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2066044	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43686
43645	OSEBERG SØR	2066145	30/9-20 S	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2066145	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
\N	\N	2074021	6406/5-1	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6406/5-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074021	\N
2834734	URD	2074060	6608/10-8 STÆR	6608/10-6 SVALE	1030536	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	URD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074060	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2834734
43699	GULLFAKS SØR	2074087	33/12-8 S SKINFAKS B	33/12-8 A SKINFAKS	2074147	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074087	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43699	GULLFAKS SØR	2074147	33/12-8 A SKINFAKS	34/10-2 GULLFAKS SØR	44606	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074147	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43699	GULLFAKS SØR	2074191	33/12-8 S SKINFAKS S	33/12-8 A SKINFAKS	2074147	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074191	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43699	GULLFAKS SØR	2144184	34/10-47 S GULLTOPP	34/10-2 GULLFAKS SØR	44606	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2144184	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
2834734	URD	2391586	6608/10-9 LERKE	6608/10-6 SVALE	1030536	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	URD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2391586	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2834734
43699	GULLFAKS SØR	2417063	34/10-K-2 H GULLVEIG	34/10-2 GULLFAKS SØR	44606	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2417063	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
2845712	ALVHEIM	2420578	25/4-7 ALVHEIM	24/6-2 ALVHEIM	45828	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	ALVHEIM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2420578	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2845712
\N	\N	2429169	25/2-10 S	\N	\N	NO	OIL/GAS	\N	PLANNING PHASE	\N	25/2-10 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2429169	\N
\N	\N	2449370	16/1-6 S	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	16/1-6 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2449370	\N
4467574	GJØA	2449421	35/9-2	35/9-1 GJØA	44786	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GJØA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2449421	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467574
\N	\N	2450045	6706/6-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6706/6-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2450045	\N
43562	BALDER	2455295	25/8-C-20	25/11-1 BALDER	44210	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BALDER	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2455295	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43562
\N	\N	2455593	6406/1-2	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6406/1-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2455593	\N
\N	\N	2472532	6405/7-1 ELLIDA	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6405/7-1 ELLIDA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2472532	\N
2845712	ALVHEIM	2472552	24/6-4 ALVHEIM	24/6-2 ALVHEIM	45828	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	ALVHEIM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2472552	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2845712
3505505	RINGHORNE ØST	2472571	25/8-14 S	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	RINGHORNE ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2472571	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3505505
3392471	VILJE	2472606	25/4-9 S VILJE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VILJE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2472606	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3392471
43686	GULLFAKS	2482767	34/10-45 B	34/10-1 GULLFAKS	44594	YES	GAS/CONDENSATE	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2482767	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43686
21675447	MARTIN LINGE	2770139	29/6-1	30/7-6 MARTIN LINGE	44450	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	MARTIN LINGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2770139	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21675447
43625	OSEBERG	2770154	30/6-9	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2770154	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
\N	\N	2786238	25/1-9	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/1-9	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2786238	\N
\N	\N	2819923	16/1-7	16/1-9 IVAR AASEN	4972697	NO	OIL	\N	INCLUDED IN OTHER DISCOVERY	\N	16/1-7	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2819923	\N
43651	BRAGE	2820014	31/4-A-30 B	31/4-3 BRAGE	44546	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BRAGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2820014	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43651
\N	\N	2820030	6608/11-4 LINERLE	6608/11-2 FALK	1340747	NO	OIL	\N	INCLUDED IN OTHER DISCOVERY	\N	6608/11-4 LINERLE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2820030	\N
\N	\N	3000726	1/5-3 S	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	1/5-3 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3000726	\N
\N	\N	3000739	7120/1-2	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7120/1-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3000739	\N
\N	\N	3000757	16/1-4	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	16/1-4	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3000757	\N
\N	\N	3435686	6406/9-1 LINNORM	\N	\N	NO	GAS	\N	PLANNING PHASE	\N	6406/9-1 LINNORM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3435686	\N
\N	\N	3465388	35/11-13	\N	\N	NO	OIL/GAS	\N	PLANNING PHASE	\N	35/11-13	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3465388	\N
\N	\N	3465397	35/2-1	\N	\N	NO	GAS	\N	PLANNING PHASE	\N	35/2-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3465397	\N
\N	\N	3465918	31/2-N-11 H	\N	\N	NO	OIL	\N	PLANNING PHASE	\N	31/2-N-11 H	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3465918	\N
\N	\N	3490643	6605/8-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6605/8-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3490643	\N
\N	\N	3505670	6302/6-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6302/6-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3505670	\N
5774394	GOLIAT	4001397	7122/7-3	7122/7-1 GOLIAT	1340775	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	GOLIAT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4001397	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=5774394
43699	GULLFAKS SØR	4038603	34/10-49 S ALUN	34/10-2 GULLFAKS SØR	44606	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4038603	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43699	GULLFAKS SØR	4038668	34/10-49 S EPIDOT	34/10-2 GULLFAKS SØR	44606	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4038668	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
\N	\N	4055254	7125/1-1	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7125/1-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4055254	\N
2834734	URD	4055854	6608/10-11 S	6608/10-6 SVALE	1030536	YES	GAS	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	URD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4055854	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2834734
\N	\N	4445817	16/4-4	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	16/4-4	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4445817	\N
\N	\N	4445929	7125/4-1	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7125/4-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4445929	\N
\N	\N	4445929	7125/4-1	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7125/4-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4445929	\N
\N	\N	4457094	25/11-24	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/11-24	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4457094	\N
4973114	YTTERGRYTA	4475288	6507/11-8	\N	\N	YES	GAS	GAS	PRODUCING	PRODUCING	YTTERGRYTA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4475288	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4973114
\N	\N	4475297	35/11-15 S	\N	\N	NO	OIL	\N	DECIDED BY THE LICENSEES	\N	35/11-15 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4475297	\N
43751	NJORD	4527314	6407/7-7S	6407/7-1 S NJORD	44876	YES	GAS/CONDENSATE	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	NJORD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4527314	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43751
\N	\N	4527324	6405/10-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6405/10-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4527324	\N
\N	\N	4527337	16/2-3	\N	\N	NO	OIL	\N	NEW DISCOVERIES, NOT EVALUATED	\N	16/2-3	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4527337	\N
21675433	EDVARD GRIEG	4530554	16/1-8 EDVARD GRIEG	\N	\N	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	EDVARD GRIEG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4530554	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21675433
\N	\N	4554315	15/12-18 S	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	15/12-18 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4554315	\N
\N	\N	4554325	15/12-18 A	15/12-18 S	4554315	NO	OIL	\N	INCLUDED IN OTHER DISCOVERY	\N	15/12-18 A	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4554325	\N
1578840	FRAM	4972656	35/11-B-23-H	35/11-4 FRAM	44750	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	FRAM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972656	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578840
\N	\N	4972665	6407/6-6 MIKKEL SØR	\N	\N	NO	GAS	\N	PLANNING PHASE	\N	6407/6-6 MIKKEL SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972665	\N
22507971	SVALIN	4972673	25/11-25 S SVALIN	25/11-16 SVALIN	44222	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	SVALIN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972673	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=22507971
\N	\N	4972681	7222/6-1 S	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7222/6-1 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972681	\N
\N	\N	4972689	6507/11-9	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6507/11-9	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972689	\N
\N	\N	4972697	16/1-9 IVAR AASEN	\N	\N	NO	OIL	\N	DECIDED BY THE LICENSEES	\N	16/1-9 IVAR AASEN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972697	\N
\N	\N	4972705	34/12-1	\N	\N	NO	GAS/CONDENSATE	\N	NEW DISCOVERIES, NOT EVALUATED	\N	34/12-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972705	\N
4444332	ALVE	4972713	6507/3-5 S	6507/3-1 ALVE	44924	YES	OIL/GAS	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	ALVE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972713	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4444332
\N	\N	17196400	16/1-12	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	16/1-12	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17196400	\N
43625	OSEBERG	4972721	30/9-21 S	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972721	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
18161341	GAUPE	4972729	15/12-19	6/3-1 PI	44804	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GAUPE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972729	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18161341
\N	\N	4999216	1/3-11	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	1/3-11	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4999216	\N
4999528	TAMBAR ØST	4999519	1/3-K-5 TAMBAR ØST	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	TAMBAR ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4999519	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4999528
\N	\N	5010034	7226/2-1	\N	\N	NO	GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	7226/2-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010034	\N
43451	VARG	5010042	15/12-20 S	15/12-4 VARG	43868	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	VARG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010042	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43451
\N	\N	5010058	30/9-21 A	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	30/9-21 A	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010058	\N
\N	\N	5010066	6407/8-4 S	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6407/8-4 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010066	\N
\N	\N	5010074	7224/6-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7224/6-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010074	\N
\N	\N	5010082	6706/12-1	6707/10-1 AASTA HANSTEEN	44954	NO	GAS	\N	INCLUDED IN OTHER DISCOVERY	\N	6706/12-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010082	\N
\N	\N	5071896	6407/7-8	\N	\N	NO	GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	6407/7-8	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5071896	\N
\N	\N	5081127	6707/10-2 S	6707/10-1 AASTA HANSTEEN	44954	NO	GAS	\N	INCLUDED IN OTHER DISCOVERY	\N	6707/10-2 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5081127	\N
20461008	VISUND SØR	5081135	34/8-14 S VISUND SØR	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	VISUND SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5081135	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20461008
43651	BRAGE	5081894	31/4-A-1-A	31/4-3 BRAGE	44546	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BRAGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5081894	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43651
\N	\N	5081995	7222/11-1	\N	\N	NO	GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	7222/11-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5081995	\N
\N	\N	5125172	6707/10-2 A	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6707/10-2 A	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5125172	\N
\N	\N	5268233	15/5 J-STRUKTUR	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	15/5 J-STRUKTUR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5268233	\N
\N	\N	5466601	30/8-4 S	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	30/8-4 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5466601	\N
\N	\N	5466760	6705/10-1	\N	\N	NO	GAS	\N	PLANNING PHASE	\N	6705/10-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5466760	\N
\N	\N	5490395	30/11-7	\N	\N	NO	GAS/CONDENSATE	\N	PLANNING PHASE	\N	30/11-7	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490395	\N
43645	OSEBERG SØR	5490404	30/9-22 STJERNE	30/9-3 OSEBERG SØR	44492	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490404	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43732	VIGDIS	5490421	34/7-34	34/7-8 VIGDIS	44714	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	VIGDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490421	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43732
\N	\N	5490430	30/5-3 S	\N	\N	NO	GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	30/5-3 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490430	\N
\N	\N	5490439	15/6-10	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	15/6-10	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490439	\N
\N	\N	5490448	34/8-13 A	\N	\N	NO	OIL	\N	PLANNING PHASE	\N	34/8-13 A	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490448	\N
\N	\N	5490457	16/2-5	\N	\N	NO	GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	16/2-5	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490457	\N
\N	\N	5490719	15/12-21	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	15/12-21	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490719	\N
\N	\N	5506872	6407/6-7 S MIKKEL SØR	6407/6-6 MIKKEL SØR	4972665	NO	GAS	\N	INCLUDED IN OTHER DISCOVERY	\N	6407/6-7 S MIKKEL SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5506872	\N
20474183	HYME	5506881	6407/8-5 S HYME	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	HYME	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5506881	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20474183
\N	\N	5506890	25/8-16 S	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/8-16 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5506890	\N
\N	\N	5798448	6603/12-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6603/12-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5798448	\N
21350124	SKULD	5818165	6608/10-12 SKULD	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	SKULD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5818165	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21350124
\N	\N	5818175	35/12-2	\N	\N	NO	OIL/GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	35/12-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5818175	\N
\N	\N	5818184	6507/3-7	\N	\N	NO	GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	6507/3-7	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5818184	\N
\N	\N	17115700	6407/2-5 S	\N	\N	NO	OIL/GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	6407/2-5 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17115700	\N
\N	\N	17221700	35/3-7 S	35/3-2 AGAT	44768	NO	GAS	\N	INCLUDED IN OTHER DISCOVERY	\N	35/3-7 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17221700	\N
\N	\N	17237080	16/2-4	\N	\N	NO	GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	16/2-4	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17237080	\N
22492497	BØYLA	17237206	24/9-9 S BØYLA	24/9-9 S BØYLA	17237206	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	BØYLA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17237206	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=22492497
\N	\N	17237215	25/2-17	25/2-10 S	2429169	NO	OIL	\N	INCLUDED IN OTHER DISCOVERY	\N	25/2-17	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17237215	\N
21613906	JETTE	17238186	25/8-17 JETTE	\N	\N	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	JETTE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17238186	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21613906
43457	SLEIPNER VEST	17250040	15/9-B-1	15/6-3 SLEIPNER VEST	43910	YES	GAS/CONDENSATE	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	SLEIPNER VEST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17250040	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43457
2845712	ALVHEIM	17256863	25/4-10 S	24/6-2 ALVHEIM	45828	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	ALVHEIM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17256863	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2845712
\N	\N	17312260	25/4-10 A	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/4-10 A	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17312260	\N
\N	\N	17341840	6507/3-8	\N	\N	NO	GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	6507/3-8	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17341840	\N
\N	\N	17826500	34/4-11	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	34/4-11	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17826500	\N
\N	\N	18012830	34/4-12 S	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	34/4-12 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18012830	\N
\N	\N	18082198	34/5-1 S	\N	\N	NO	OIL	\N	NEW DISCOVERIES, NOT EVALUATED	\N	34/5-1 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18082198	\N
21350124	SKULD	18086080	6608/10-14 S SKULD	6608/10-12 SKULD	5818165	YES	OIL/GAS	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	SKULD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18086080	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21350124
\N	\N	18086221	25/1-11 R	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	25/1-11 R	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18086221	\N
\N	\N	18086230	6506/9-2 S	\N	\N	NO	GAS/CONDENSATE	\N	PLANNING PHASE	\N	6506/9-2 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18086230	\N
\N	\N	18104628	6407/2-6 S	\N	\N	NO	OIL/GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	6407/2-6 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18104628	\N
4704482	SKARV	18161414	6507/5-6 S	6507/5-1 SKARV	45801	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SKARV	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18161414	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4704482
\N	\N	18212080	6406/3-8	\N	\N	NO	OIL/GAS	\N	PLANNING PHASE	\N	6406/3-8	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18212080	\N
\N	\N	18229140	6507/7-14 S	\N	\N	NO	GAS	\N	PLANNING PHASE	\N	6507/7-14 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18229140	\N
\N	\N	18387202	16/2-6 JOHAN SVERDRUP	\N	\N	NO	OIL	\N	PLANNING PHASE	\N	16/2-6 JOHAN SVERDRUP	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18387202	\N
\N	\N	18400160	7223/5-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7223/5-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18400160	\N
21106284	ATLA	18404420	25/5-7 ATLA	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	ATLA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18404420	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21106284
\N	\N	18437181	16/1-14	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	16/1-14	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18437181	\N
\N	\N	18449542	35/9-6 S	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	35/9-6 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18449542	\N
\N	\N	20415280	34/10-53 S	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	34/10-53 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20415280	\N
\N	\N	20415286	24/9-10 S	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	24/9-10 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20415286	\N
\N	\N	20415295	17/6-1	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	17/6-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20415295	\N
\N	\N	20415304	15/6-12	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	15/6-12	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20415304	\N
\N	\N	20441001	7220/8-1 JOHAN CASTBERG	\N	\N	NO	OIL/GAS	\N	PLANNING PHASE	\N	7220/8-1 JOHAN CASTBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20441001	\N
\N	\N	20460100	30/11-8 S	\N	\N	NO	OIL	\N	PLANNING PHASE	\N	30/11-8 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20460100	\N
\N	\N	20460562	35/11-5	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	35/11-5	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20460562	\N
\N	\N	20472522	6604/10-1	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6604/10-1	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20472522	\N
\N	\N	20474194	34/10-53 A	\N	\N	NO	GAS/CONDENSATE	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	34/10-53 A	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20474194	\N
\N	\N	20484993	30/11-8 A	30/11-8 S	20460100	NO	OIL/GAS	\N	INCLUDED IN OTHER DISCOVERY	\N	30/11-8 A	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20484993	\N
\N	\N	20485020	7120/2-3 S	\N	\N	NO	GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	7120/2-3 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20485020	\N
\N	\N	20499806	25/10-11	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	25/10-11	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=20499806	\N
\N	\N	21060702	34/10-52 A	\N	\N	NO	GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	34/10-52 A	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21060702	\N
\N	\N	21060720	34/10-52 B	\N	\N	NO	OIL/GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	34/10-52 B	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21060720	\N
\N	\N	21060729	16/7-10	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	16/7-10	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21060729	\N
\N	\N	21076955	25/4-2	\N	\N	NO	OIL	\N	NEW DISCOVERIES, NOT EVALUATED	\N	25/4-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21076955	\N
\N	\N	21076978	6407/5-2 S	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6407/5-2 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21076978	\N
\N	\N	21077280	6508/1-2	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6508/1-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21077280	\N
\N	\N	21077280	6508/1-2	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6508/1-2	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21077280	\N
\N	\N	21118177	8/10-4 S	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	8/10-4 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21118177	\N
20460988	KNARR	21124644	34/3-3 S	34/3-1 S KNARR	4999474	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	KNARR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21124644	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20460988
\N	\N	21139643	7/11-12 A	\N	\N	NO	GAS	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	7/11-12 A	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21139643	\N
\N	\N	21334454	33/12-9 S	\N	\N	NO	OIL	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	33/12-9 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21334454	\N
\N	\N	21334480	7220/7-1 JOHAN CASTBERG	\N	\N	NO	OIL/GAS	\N	DEVELOPMENT LIKELY BUT NOT CLARIFIED	\N	7220/7-1 JOHAN CASTBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21334480	\N
\N	\N	21636940	6406/3-9	\N	\N	NO	OIL	\N	DEVELOPMENT IS NOT VERY LIKELY	\N	6406/3-9	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21636940	\N
\N	\N	21667341	35/9-7	\N	\N	NO	OIL	\N	NEW DISCOVERIES, NOT EVALUATED	\N	35/9-7	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21667341	\N
\N	\N	21667407	6507/7-15 S	6507/7-14 S	18229140	NO	GAS	\N	INCLUDED IN OTHER DISCOVERY	\N	6507/7-15 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21667407	\N
\N	\N	21695900	6507/3-9 S	\N	\N	NO	GAS	\N	NEW DISCOVERIES, NOT EVALUATED	\N	6507/3-9 S	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21695900	\N
\.



COPY facility_fixed (fclname, fclphase, fclsurface, fclcurrentoperatorname, fclkind, fclbelongstoname, fclbelongstokind, fclbelongstos, fclstartupdate, fclgeodeticdatum, fclnsdeg, fclnsmin, fclnssec, fclnscode, fclewdeg, fclewmin, fclewsec, fclewcode, fclwaterdepth, fclfunctions, fcldesignlifetime, fclfactpageurl, fclfactmapurl, fclnpdidfacility, fcldateupdated, datesyncnpd) FROM stdin;
OSEBERG A	IN SERVICE	Y	Statoil Petroleum AS	CONDEEP 4 SHAFTS	OSEBERG	FIELD	43625	1988-12-01	ED50	60	29	30.710000	N	2	49	38.330000	E	109.000000	DRILLING - PROCESSING - QUARTER	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271245	http://www.npd.no/FactMapSearch?npdid_facility_surface=271245	271245	9999-12-31	2013-05-08
STATFJORD A	IN SERVICE	Y	Statoil Petroleum AS	CONDEEP 3 SHAFTS	STATFJORD	FIELD	43658	1979-11-24	ED50	61	15	20.460000	N	1	51	13.950000	E	145.000000	DRILLING - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271273	http://www.npd.no/FactMapSearch?npdid_facility_surface=271273	271273	9999-12-31	2013-05-08
STATFJORD B	IN SERVICE	Y	Statoil Petroleum AS	CONDEEP 4 SHAFTS	STATFJORD	FIELD	43658	1982-11-05	ED50	61	12	24.880000	N	1	49	50.290000	E	145.000000	DRILLING - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271301	http://www.npd.no/FactMapSearch?npdid_facility_surface=271301	271301	9999-12-31	2013-05-08
STATFJORD C	IN SERVICE	Y	Statoil Petroleum AS	CONDEEP 4 SHAFTS	STATFJORD	FIELD	43658	1985-06-26	ED50	61	17	47.700000	N	1	54	9.170000	E	145.000000	DRILLING - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271329	http://www.npd.no/FactMapSearch?npdid_facility_surface=271329	271329	9999-12-31	2013-05-08
ALBUSKJELL A	SHUT DOWN	Y	ConocoPhillips Skandinavia AS	JACKET 12 LEGS	ALBUSKJELL	FIELD	43437	1979-05-01	ED50	56	38	34.390000	N	2	56	24.030000	E	71.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271357	http://www.npd.no/FactMapSearch?npdid_facility_surface=271357	271357	9999-12-31	2013-05-08
EKOFISK A	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 8 LEGS	EKOFISK	FIELD	43506	1974-01-01	ED50	56	31	15.650000	N	3	13	22.290000	E	74.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271385	http://www.npd.no/FactMapSearch?npdid_facility_surface=271385	271385	9999-12-31	2013-05-08
EKOFISK B	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 12 LEGS	EKOFISK	FIELD	43506	1974-10-01	ED50	56	33	55.270000	N	3	12	13.280000	E	74.000000	DRILLING - OIL PRODUCER - PROCESSING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271413	http://www.npd.no/FactMapSearch?npdid_facility_surface=271413	271413	9999-12-31	2013-05-08
EKOFISK C	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 12 LEGS	EKOFISK	FIELD	43506	1974-01-01	ED50	56	32	52.230000	N	3	12	55.860000	E	77.000000	DRILLING - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271441	http://www.npd.no/FactMapSearch?npdid_facility_surface=271441	271441	9999-12-31	2013-05-08
EKOFISK K	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 8 LEGS	EKOFISK	FIELD	43506	1987-01-01	ED50	56	33	56.890000	N	3	12	21.980000	E	74.000000	DRILLING - QUARTER - WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271469	http://www.npd.no/FactMapSearch?npdid_facility_surface=271469	271469	9999-12-31	2013-05-08
VEST EKOFISK	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET 8 LEGS	VEST EKOFISK	FIELD	43513	1974-01-01	ED50	56	33	47.550000	N	3	5	8.160000	E	75.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271497	http://www.npd.no/FactMapSearch?npdid_facility_surface=271497	271497	2013-01-16	2013-05-08
TOR	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 8 LEGS	TOR	FIELD	43520	1978-08-01	ED50	56	38	31.460000	N	3	19	37.050000	E	70.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271525	http://www.npd.no/FactMapSearch?npdid_facility_surface=271525	271525	9999-12-31	2013-05-08
ALBUSKJELL F	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET 12 LEGS	ALBUSKJELL	FIELD	43437	1979-05-01	ED50	56	37	13.930000	N	3	3	14.210000	E	71.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271553	http://www.npd.no/FactMapSearch?npdid_facility_surface=271553	271553	9999-12-31	2013-05-08
ELDFISK A	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 12 LEGS	ELDFISK	FIELD	43527	1979-08-01	ED50	56	22	36.770000	N	3	15	56.890000	E	71.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271581	http://www.npd.no/FactMapSearch?npdid_facility_surface=271581	271581	9999-12-31	2013-05-08
ELDFISK B	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 12 LEGS	ELDFISK	FIELD	43527	1979-08-01	ED50	56	25	9.590000	N	3	13	6.220000	E	71.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271609	http://www.npd.no/FactMapSearch?npdid_facility_surface=271609	271609	9999-12-31	2013-05-08
EDDA	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET 12 LEGS	EDDA	FIELD	43541	1979-12-01	ED50	56	27	53.420000	N	3	6	16.070000	E	71.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271637	http://www.npd.no/FactMapSearch?npdid_facility_surface=271637	271637	2013-01-16	2013-05-08
ULA QP	IN SERVICE	Y	BP Norge AS	JACKET 4 LEGS	ULA	FIELD	43800	1986-10-01	ED50	57	6	39.890000	N	2	50	45.540000	E	71.000000	QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271665	http://www.npd.no/FactMapSearch?npdid_facility_surface=271665	271665	9999-12-31	2013-05-08
COD	SHUT DOWN	Y	ConocoPhillips Skandinavia AS	JACKET 8 LEGS	COD	FIELD	43785	1977-11-01	ED50	57	4	10.390000	N	2	26	5.000000	E	73.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271693	http://www.npd.no/FactMapSearch?npdid_facility_surface=271693	271693	9999-12-31	2013-05-08
NORDØST FRIGG	REMOVED	N	\N	MULTI WELL TEMPLATE	\N	FIELD	\N	1984-01-01	ED50	59	59	11.440000	N	2	14	57.540000	E	102.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271721	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=271721	271721	9999-12-31	2013-05-08
VALHALL DP	IN SERVICE	Y	BP Norge AS	JACKET 8 LEGS	VALHALL	FIELD	43548	1981-12-17	ED50	56	16	41.390000	N	3	23	43.190000	E	74.000000	DRILLING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271749	http://www.npd.no/FactMapSearch?npdid_facility_surface=271749	271749	9999-12-31	2013-05-08
HEIMDAL	IN SERVICE	Y	Statoil Petroleum AS	JACKET 8 LEGS	HEIMDAL	FIELD	43590	1985-10-15	ED50	59	34	26.980000	N	2	13	43.700000	E	120.000000	OIL PRODUCER - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271777	http://www.npd.no/FactMapSearch?npdid_facility_surface=271777	271777	9999-12-31	2013-05-08
ODIN	REMOVED	Y	\N	JACKET 4 LEGS	\N	FIELD	\N	1984-04-01	ED50	60	4	36.960000	N	2	9	56.700000	E	103.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271805	http://www.npd.no/FactMapSearch?npdid_facility_surface=271805	271805	9999-12-31	2013-05-08
GULLFAKS A	IN SERVICE	Y	Statoil Petroleum AS	CONDEEP 4 SHAFTS	GULLFAKS	FIELD	43686	1986-12-21	ED50	61	10	33.980000	N	2	11	20.940000	E	133.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271833	http://www.npd.no/FactMapSearch?npdid_facility_surface=271833	271833	9999-12-31	2013-05-08
10/1-CDP1	REMOVAL	Y	\N	CONCRETE STRUCTURE	\N	\N	\N	1979-09-01	ED50	59	52	31.040000	N	2	3	42.440000	E	100.000000	DRILLING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271861	http://www.npd.no/FactMapSearch?npdid_facility_surface=271861	271861	9999-12-31	2013-05-08
ULA DP	IN SERVICE	Y	BP Norge AS	JACKET 4 LEGS	ULA	FIELD	43800	1986-07-01	ED50	57	6	41.150000	N	2	50	50.390000	E	71.000000	DRILLING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271889	http://www.npd.no/FactMapSearch?npdid_facility_surface=271889	271889	9999-12-31	2013-05-08
GULLFAKS B	IN SERVICE	Y	Statoil Petroleum AS	CONDEEP 4 SHAFTS	GULLFAKS	FIELD	43686	1988-02-29	ED50	61	12	10.500000	N	2	12	4.680000	E	141.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271917	http://www.npd.no/FactMapSearch?npdid_facility_surface=271917	271917	9999-12-31	2013-05-08
DRAUPNER S	IN SERVICE	Y	GASSCO AS	JACKET 4 LEGS	GASSLED	TUF	2252643	1985-07-01	ED50	58	11	19.600000	N	2	28	21.600000	E	70.000000	QUARTER - RISER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271945	http://www.npd.no/FactMapSearch?npdid_facility_surface=271945	271945	9999-12-31	2013-05-08
EKOFISK S	PARTLY REMOVED	Y	GASSCO AS	JACKET 4 LEGS	STATPIPE	TUF	123940	1986-01-01	ED50	56	33	6.830000	N	3	12	49.740000	E	77.000000	RISER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271973	http://www.npd.no/FactMapSearch?npdid_facility_surface=271973	271973	9999-12-31	2013-05-08
EKOFISK R	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET 8 LEGS	EKOFISK	FIELD	43506	1977-09-01	ED50	56	33	2.370000	N	3	12	42.190000	E	77.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272001	http://www.npd.no/FactMapSearch?npdid_facility_surface=272001	272001	9999-12-31	2013-05-08
ULA PP	IN SERVICE	Y	BP Norge AS	JACKET 4 LEGS	ULA	FIELD	43800	1986-10-01	ED50	57	6	42.320000	N	2	50	54.850000	E	71.000000	PROCESSING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272029	http://www.npd.no/FactMapSearch?npdid_facility_surface=272029	272029	9999-12-31	2013-05-08
ELDFISK FTP	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 8 LEGS	ELDFISK	FIELD	43527	1979-08-01	ED50	56	22	32.590000	N	3	15	57.360000	E	77.000000	PROCESSING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272057	http://www.npd.no/FactMapSearch?npdid_facility_surface=272057	272057	9999-12-31	2013-05-08
SNORRE A	IN SERVICE	Y	Statoil Petroleum AS	TLP STEEL	SNORRE	FIELD	43718	1992-08-03	ED50	61	26	57.610000	N	2	8	39.640000	E	335.000000	DRILLING - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272085	http://www.npd.no/FactMapSearch?npdid_facility_surface=272085	272085	9999-12-31	2013-05-08
EKOFISK G	SHUT DOWN	Y	BP Norge AS	JACKET 4 LEGS	VALHALL	FIELD	43548	1982-10-01	ED50	56	32	57.110000	N	3	12	35.950000	E	77.000000	RISER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272113	http://www.npd.no/FactMapSearch?npdid_facility_surface=272113	272113	9999-12-31	2013-05-08
EKOFISK T	REMOVAL	Y	ConocoPhillips Skandinavia AS	DORIS	EKOFISK	FIELD	43506	1974-12-01	ED50	56	32	58.350000	N	3	12	45.290000	E	77.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272141	http://www.npd.no/FactMapSearch?npdid_facility_surface=272141	272141	9999-12-31	2013-05-08
EKOFISK P	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET 4 LEGS	EKOFISK	FIELD	43506	1975-10-14	ED50	56	32	55.290000	N	3	12	49.150000	E	77.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272169	http://www.npd.no/FactMapSearch?npdid_facility_surface=272169	272169	9999-12-31	2013-05-08
EKOFISK H	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 4 LEGS	EKOFISK	FIELD	43506	1979-01-01	ED50	56	32	49.960000	N	3	12	47.280000	E	77.000000	ACCOMMODATION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272197	http://www.npd.no/FactMapSearch?npdid_facility_surface=272197	272197	9999-12-31	2013-05-08
OSEBERG C	IN SERVICE	Y	Statoil Petroleum AS	JACKET 8 LEGS	OSEBERG	FIELD	43625	1991-09-02	ED50	60	36	30.020000	N	2	46	32.150000	E	108.000000	DRILLING - PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272225	http://www.npd.no/FactMapSearch?npdid_facility_surface=272225	272225	9999-12-31	2013-05-08
EKOFISK Q	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 4 LEGS	EKOFISK	FIELD	43506	1973-01-01	ED50	56	32	49.130000	N	3	12	57.710000	E	77.000000	ACCOMMODATION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272253	http://www.npd.no/FactMapSearch?npdid_facility_surface=272253	272253	9999-12-31	2013-05-08
EKOFISK FTP	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 8 LEGS	EKOFISK	FIELD	43506	1974-04-01	ED50	56	32	46.250000	N	3	13	0.260000	E	77.000000	PROCESSING - RISER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272281	http://www.npd.no/FactMapSearch?npdid_facility_surface=272281	272281	9999-12-31	2013-05-08
HOD	SHUT DOWN	Y	BP Norge AS	JACKET 4 LEGS	HOD	FIELD	43485	1990-08-01	ED50	56	10	35.520000	N	3	27	36.220000	E	72.000000	OIL PRODUCER - WELLHEAD	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272309	http://www.npd.no/FactMapSearch?npdid_facility_surface=272309	272309	2013-02-06	2013-05-08
GYDA	IN SERVICE	Y	Talisman Energy Norge AS	JACKET 6 LEGS	GYDA	FIELD	43492	1990-06-22	ED50	56	54	17.730000	N	3	5	6.710000	E	66.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272337	http://www.npd.no/FactMapSearch?npdid_facility_surface=272337	272337	9999-12-31	2013-05-08
SLEIPNER A	IN SERVICE	Y	Statoil Petroleum AS	CONDEEP 4 SHAFTS	SLEIPNER ØST	FIELD	43478	1993-10-01	ED50	58	22	2.330000	N	1	54	31.010000	E	83.000000	DRILLING - PROCESSING - QUARTER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272365	http://www.npd.no/FactMapSearch?npdid_facility_surface=272365	272365	9999-12-31	2013-05-08
DRAUGEN	IN SERVICE	Y	A/S Norske Shell	CONDEEP MONOSHAFT	DRAUGEN	FIELD	43758	1993-10-19	ED50	64	21	11.420000	N	7	46	57.380000	E	252.000000	DRILLING - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272393	http://www.npd.no/FactMapSearch?npdid_facility_surface=272393	272393	9999-12-31	2013-05-08
HEIDRUN	IN SERVICE	Y	Statoil Petroleum AS	TLP CONCRETE	HEIDRUN	FIELD	43771	1995-10-19	ED50	65	19	33.000000	N	7	19	3.000000	E	345.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272421	http://www.npd.no/FactMapSearch?npdid_facility_surface=272421	272421	9999-12-31	2013-05-08
VALHALL PCP	SHUT DOWN	Y	BP Norge AS	JACKET 8 LEGS	VALHALL	FIELD	43548	1982-06-01	ED50	56	16	39.200000	N	3	23	47.900000	E	74.000000	PROCESSING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272449	http://www.npd.no/FactMapSearch?npdid_facility_surface=272449	272449	2013-01-29	2013-05-08
VALHALL Q	IN SERVICE	Y	BP Norge AS	JACKET 4 LEGS	VALHALL	FIELD	43548	1981-07-01	ED50	56	16	43.800000	N	3	23	39.400000	E	74.000000	QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272477	http://www.npd.no/FactMapSearch?npdid_facility_surface=272477	272477	9999-12-31	2013-05-08
ØST FRIGG A	REMOVED	N	Centrica Resources (Norge) AS	MULTI WELL TEMPLATE	ØST FRIGG	FIELD	43576	1988-10-01	ED50	59	55	8.650000	N	2	21	51.990000	E	112.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272505	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272505	272505	9999-12-31	2013-05-08
ØST FRIGG B	REMOVED	N	Centrica Resources (Norge) AS	MULTI WELL TEMPLATE	ØST FRIGG	FIELD	43576	1988-10-01	ED50	59	53	26.400000	N	2	21	42.940000	E	112.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272533	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272533	272533	9999-12-31	2013-05-08
FRIGG TCP2	REMOVAL	Y	Total E&P Norge AS	CONDEEP 3 SHAFTS	FRIGG	FIELD	43555	1978-08-01	ED50	59	52	48.440000	N	2	3	59.530000	E	102.000000	PROCESSING	60	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272561	http://www.npd.no/FactMapSearch?npdid_facility_surface=272561	272561	9999-12-31	2013-05-08
STATFJORD B-OLS	IN SERVICE	Y	Statoil Petroleum AS	LOADING SYSTEM	STATFJORD	FIELD	43658	1990-08-01	ED50	61	13	27.900000	N	1	50	19.120000	E	146.000000	OFFLOADING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272589	http://www.npd.no/FactMapSearch?npdid_facility_surface=272589	272589	9999-12-31	2013-05-08
STATFJORD C-SPM	REMOVED	Y	Statoil Petroleum AS	LOADING SYSTEM	STATFJORD	FIELD	43658	1984-07-01	ED50	61	16	51.800000	N	1	53	1.800000	E	145.000000	OFFLOADING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272617	http://www.npd.no/FactMapSearch?npdid_facility_surface=272617	272617	2012-09-12	2013-05-08
GULLFAKS C	IN SERVICE	Y	Statoil Petroleum AS	CONDEEP 4 SHAFTS	GULLFAKS	FIELD	43686	1990-01-01	ED50	61	12	53.800000	N	2	16	25.930000	E	216.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272645	http://www.npd.no/FactMapSearch?npdid_facility_surface=272645	272645	9999-12-31	2013-05-08
34/10-A-1 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1986-12-22	ED50	61	11	4.730000	N	2	13	15.510000	E	135.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272673	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272673	272673	9999-12-31	2013-05-08
34/10-A-2 A	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1986-12-23	ED50	61	10	48.490000	N	2	13	6.430000	E	138.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272701	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272701	272701	9999-12-31	2013-05-08
34/10-A-3 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1987-02-12	ED50	61	11	14.260000	N	2	12	41.260000	E	138.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272729	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272729	272729	9999-12-31	2013-05-08
34/10-A-4 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1986-12-23	ED50	61	11	17.530000	N	2	13	27.470000	E	144.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272757	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272757	272757	9999-12-31	2013-05-08
34/10-A-5 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1987-04-04	ED50	61	10	42.130000	N	2	12	38.430000	E	136.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272785	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272785	272785	9999-12-31	2013-05-08
GULLFAKS A-SPM 1	IN SERVICE	Y	Statoil Petroleum AS	LOADING SYSTEM	GULLFAKS	FIELD	43686	1986-12-21	ED50	61	11	29.780000	N	2	9	27.030000	E	136.000000	OFFLOADING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272813	http://www.npd.no/FactMapSearch?npdid_facility_surface=272813	272813	9999-12-31	2013-05-08
GULLFAKS A-SPM 2	IN SERVICE	Y	Statoil Petroleum AS	LOADING SYSTEM	GULLFAKS	FIELD	43686	1988-02-29	ED50	61	10	2.110000	N	2	13	47.020000	E	136.000000	OFFLOADING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272841	http://www.npd.no/FactMapSearch?npdid_facility_surface=272841	272841	9999-12-31	2013-05-08
TOMMELITEN	REMOVED	N	ConocoPhillips Skandinavia AS	MULTI WELL TEMPLATE	TOMMELITEN GAMMA	FIELD	43444	1988-10-03	ED50	56	29	31.660000	N	2	55	27.090000	E	72.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272869	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272869	272869	9999-12-31	2013-05-08
OSEBERG B	IN SERVICE	Y	Statoil Petroleum AS	JACKET 8 LEGS	OSEBERG	FIELD	43625	1988-12-01	ED50	60	29	36.020000	N	2	49	41.710000	E	108.000000	DRILLING	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272897	http://www.npd.no/FactMapSearch?npdid_facility_surface=272897	272897	9999-12-31	2013-05-08
30/9-B-49 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	OSEBERG	FIELD	43625	1988-12-01	ED50	60	32	32.050000	N	2	50	14.770000	E	102.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272925	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272925	272925	9999-12-31	2013-05-08
30/9-B-50 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	OSEBERG	FIELD	43625	1988-12-01	ED50	60	32	28.370000	N	2	48	23.600000	E	103.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272953	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272953	272953	9999-12-31	2013-05-08
TOGI	REMOVED	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1991-01-22	ED50	60	34	27.300000	N	3	39	27.100000	E	302.000000	GAS PRODUCER	18	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272981	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272981	272981	2013-04-05	2013-05-08
BRAE A	IN SERVICE	Y	Talisman North Sea Limited	JACKET 8 LEGS	ENOCH	FIELD	3437659	1983-07-12	ED50	58	41	32.940000	N	1	16	55.020000	E	112.000000	OIL PRODUCER - PROCESSING - QUARTER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=273877	http://www.npd.no/FactMapSearch?npdid_facility_surface=273877	273877	9999-12-31	2013-05-08
SNORRE UPA	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	1992-08-03	ED50	61	29	21.580000	N	2	13	34.840000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=273961	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=273961	273961	9999-12-31	2013-05-08
36/22	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET 8 LEGS	NORPIPE OLJELEDNING	TUF	124133	1975-10-14	ED50	55	17	27.980000	N	0	12	12.260000	E	73.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=274185	http://www.npd.no/FactMapSearch?npdid_facility_surface=274185	274185	9999-12-31	2013-05-08
37/4	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET 8 LEGS	NORPIPE OLJELEDNING	TUF	124133	1975-10-14	ED50	55	54	0.600000	N	1	36	44.000000	E	85.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=274213	http://www.npd.no/FactMapSearch?npdid_facility_surface=274213	274213	9999-12-31	2013-05-08
H-7	PARTLY REMOVED	Y	GASSCO AS	JACKET 8 LEGS	NORPIPE GASSLEDNING	TUF	124165	1977-09-17	ED50	54	30	33.610000	N	6	2	9.150000	E	41.000000	BOOSTER - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277237	http://www.npd.no/FactMapSearch?npdid_facility_surface=277237	277237	2013-04-05	2013-05-08
B-11	IN SERVICE	Y	GASSCO AS	JACKET 8 LEGS	NORPIPE GASSLEDNING	TUF	124165	1977-09-17	ED50	55	27	44.330000	N	4	33	5.930000	E	33.000000	BOOSTER - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277265	http://www.npd.no/FactMapSearch?npdid_facility_surface=277265	277265	9999-12-31	2013-05-08
EKOFISK W	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	EKOFISK	FIELD	43506	1989-01-01	ED50	56	32	39.110000	N	3	13	4.560000	E	72.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277293	http://www.npd.no/FactMapSearch?npdid_facility_surface=277293	277293	9999-12-31	2013-05-08
VESLEFRIKK A	IN SERVICE	Y	Statoil Petroleum AS	JACKET 4 LEGS	VESLEFRIKK	FIELD	43618	1989-12-26	ED50	60	46	57.740000	N	2	53	52.290000	E	174.000000	DRILLING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277321	http://www.npd.no/FactMapSearch?npdid_facility_surface=277321	277321	9999-12-31	2013-05-08
VESLEFRIKK B	IN SERVICE	Y	Statoil Petroleum AS	SEMISUB STEEL	VESLEFRIKK	FIELD	43618	1989-12-26	ED50	60	46	53.000000	N	2	53	55.000000	E	176.000000	PROCESSING - QUARTER	26	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277349	http://www.npd.no/FactMapSearch?npdid_facility_surface=277349	277349	9999-12-31	2013-05-08
EMBLA	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 4 LEGS	EMBLA	FIELD	43534	1993-05-13	ED50	56	19	59.630000	N	3	14	53.750000	E	70.000000	OIL PRODUCER - PROCESSING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277377	http://www.npd.no/FactMapSearch?npdid_facility_surface=277377	277377	9999-12-31	2013-05-08
BRAGE	IN SERVICE	Y	Statoil Petroleum AS	JACKET 8 LEGS	BRAGE	FIELD	43651	1993-09-23	ED50	60	32	33.210000	N	3	2	48.470000	E	136.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277405	http://www.npd.no/FactMapSearch?npdid_facility_surface=277405	277405	9999-12-31	2013-05-08
FRØY	REMOVED	Y	Det norske oljeselskap ASA	JACKET 4 LEGS	FRØY	FIELD	43597	1995-05-11	ED50	59	44	3.000000	N	2	33	28.000000	E	119.000000	WELLHEAD	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277433	http://www.npd.no/FactMapSearch?npdid_facility_surface=277433	277433	9999-12-31	2013-05-08
MIME	REMOVED	N	Lundin Norway AS	MULTI WELL TEMPLATE	MIME	FIELD	43792	1990-10-01	ED50	57	7	12.510000	N	2	29	10.560000	E	85.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277461	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277461	277461	9999-12-31	2013-05-08
OSEBERG ØST	IN SERVICE	Y	Statoil Petroleum AS	JACKET 4 LEGS	OSEBERG ØST	FIELD	43639	1999-05-03	ED50	60	42	1.790000	N	2	56	6.790000	E	157.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277489	http://www.npd.no/FactMapSearch?npdid_facility_surface=277489	277489	9999-12-31	2013-05-08
GULLFAKS SØR D	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	ED50	61	7	26.550000	N	2	14	39.450000	E	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277517	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277517	277517	9999-12-31	2013-05-08
SLEIPNER C	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SLEIPNER ØST	FIELD	43478	1993-09-11	ED50	58	26	8.860000	N	1	55	46.830000	E	85.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277545	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277545	277545	9999-12-31	2013-05-08
HULDRA	IN SERVICE	Y	Statoil Petroleum AS	JACKET 4 LEGS	HULDRA	FIELD	97002	2001-11-21	ED50	60	51	20.970000	N	2	39	1.170000	E	125.000000	OIL PRODUCER - WELLHEAD	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277573	http://www.npd.no/FactMapSearch?npdid_facility_surface=277573	277573	9999-12-31	2013-05-08
SLEIPNER B	IN SERVICE	Y	Statoil Petroleum AS	JACKET 4 LEGS	SLEIPNER VEST	FIELD	43457	1997-04-01	ED50	58	25	4.450000	N	1	43	4.430000	E	108.000000	WELLHEAD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277601	http://www.npd.no/FactMapSearch?npdid_facility_surface=277601	277601	9999-12-31	2013-05-08
SLEIPNER T	IN SERVICE	Y	Statoil Petroleum AS	JACKET 6 LEGS	SLEIPNER VEST	FIELD	43457	1997-04-01	ED50	58	22	6.980000	N	1	54	23.330000	E	83.000000	PROCESSING	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277629	http://www.npd.no/FactMapSearch?npdid_facility_surface=277629	277629	9999-12-31	2013-05-08
VIGDIS C	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	1997-03-05	ED50	61	22	49.550000	N	2	6	12.210000	E	283.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277657	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277657	277657	9999-12-31	2013-05-08
VISUND	IN SERVICE	Y	Statoil Petroleum AS	SEMISUB STEEL	VISUND	FIELD	43745	1999-05-26	ED50	61	22	12.560000	N	2	27	32.100000	E	335.000000	DRILLING - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277685	http://www.npd.no/FactMapSearch?npdid_facility_surface=277685	277685	9999-12-31	2013-05-08
NJORD A	IN SERVICE	Y	Statoil Petroleum AS	SEMISUB STEEL	NJORD	FIELD	43751	1997-10-01	ED50	64	16	15.560000	N	7	12	5.480000	E	330.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277713	http://www.npd.no/FactMapSearch?npdid_facility_surface=277713	277713	9999-12-31	2013-05-08
STATFJORD A-OLS	IN SERVICE	Y	Statoil Petroleum AS	LOADING SYSTEM	STATFJORD	FIELD	43658	1987-05-07	ED50	61	15	48.640000	N	1	53	14.030000	E	145.000000	OFFLOADING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277741	http://www.npd.no/FactMapSearch?npdid_facility_surface=277741	277741	9999-12-31	2013-05-08
34/10-A-9 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1988-05-15	ED50	61	10	36.220000	N	2	8	57.440000	E	136.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277769	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277769	277769	9999-12-31	2013-05-08
SLEIPNER R	IN SERVICE	Y	Statoil Petroleum AS	JACKET 4 LEGS	SLEIPNER ØST	FIELD	43478	1993-10-01	ED50	58	22	6.830000	N	1	54	37.910000	E	83.000000	RISER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277797	http://www.npd.no/FactMapSearch?npdid_facility_surface=277797	277797	9999-12-31	2013-05-08
LILLE-FRIGG	REMOVED	N	Centrica Resources (Norge) AS	MULTI WELL TEMPLATE	LILLE-FRIGG	FIELD	43583	1994-05-01	ED50	59	57	41.900000	N	2	23	27.000000	E	113.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277825	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277825	277825	9999-12-31	2013-05-08
DRAUGEN B	IN SERVICE	N	A/S Norske Shell	MULTI WELL TEMPLATE	DRAUGEN	FIELD	43758	1993-10-19	ED50	64	24	0.950000	N	7	47	44.940000	E	263.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277853	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277853	277853	9999-12-31	2013-05-08
SLEIPNER D	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SLEIPNER ØST	FIELD	43478	1993-08-24	ED50	58	23	49.930000	N	1	55	1.950000	E	84.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277881	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277881	277881	9999-12-31	2013-05-08
STATFJORD ØST K	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	STATFJORD ØST	FIELD	43672	1995-01-29	ED50	61	20	38.200000	N	1	58	22.000000	E	156.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277909	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277909	277909	9999-12-31	2013-05-08
EKOFISK J	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 8 LEGS	EKOFISK	FIELD	43506	1998-08-18	ED50	56	32	49.920000	N	3	13	16.620000	E	77.000000	OIL PRODUCER - PROCESSING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277937	http://www.npd.no/FactMapSearch?npdid_facility_surface=277937	277937	9999-12-31	2013-05-08
FRIGG DP2	REMOVAL	Y	Total E&P Norge AS	JACKET 8 LEGS	FRIGG	FIELD	43555	1978-08-01	ED50	59	53	10.070000	N	2	4	20.600000	E	97.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277965	http://www.npd.no/FactMapSearch?npdid_facility_surface=277965	277965	9999-12-31	2013-05-08
STATFJORD ØST L	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	STATFJORD ØST	FIELD	43672	1994-10-04	ED50	61	19	45.850000	N	1	59	11.480000	E	153.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277993	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277993	277993	9999-12-31	2013-05-08
STATFJORD ØST M	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	STATFJORD ØST	FIELD	43672	1994-09-23	ED50	61	20	28.520000	N	1	59	59.630000	E	195.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278021	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278021	278021	9999-12-31	2013-05-08
HEIDRUN B	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	1995-08-15	ED50	65	18	46.000000	N	7	15	45.000000	E	339.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278049	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278049	278049	9999-12-31	2013-05-08
TROLL D	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-09-25	ED50	60	51	24.220000	N	3	26	41.290000	E	338.000000	MANIFOLD STATION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278105	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278105	278105	9999-12-31	2013-05-08
TROLL E	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-09-19	ED50	60	47	57.180000	N	3	26	44.660000	E	331.000000	MANIFOLD STATION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278133	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278133	278133	9999-12-31	2013-05-08
TROLL F	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-09-23	ED50	60	46	34.210000	N	3	26	17.680000	E	330.000000	MANIFOLD STATION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278161	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278161	278161	9999-12-31	2013-05-08
TROLL G	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-09-21	ED50	60	45	12.680000	N	3	26	31.710000	E	327.000000	MANIFOLD STATION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278189	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278189	278189	9999-12-31	2013-05-08
30/6-C-27 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	OSEBERG	FIELD	43625	1991-10-01	ED50	60	32	27.640000	N	2	43	9.320000	E	106.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278217	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278217	278217	9999-12-31	2013-05-08
TROLL B	IN SERVICE	Y	Statoil Petroleum AS	SEMISUB CONCRETE	TROLL	FIELD	46437	1995-09-21	ED50	60	46	27.750000	N	3	30	11.450000	E	320.000000	PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278273	http://www.npd.no/FactMapSearch?npdid_facility_surface=278273	278273	9999-12-31	2013-05-08
TROLL H	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-12-31	ED50	60	42	52.190000	N	3	30	37.360000	E	317.000000	MANIFOLD STATION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278301	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278301	278301	9999-12-31	2013-05-08
TROLL A	IN SERVICE	Y	Statoil Petroleum AS	CONDEEP 4 SHAFTS	TROLL	FIELD	46437	1996-05-15	ED50	60	38	44.300000	N	3	43	35.380000	E	302.000000	DRILLING - PROCESSING - QUARTER	70	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278329	http://www.npd.no/FactMapSearch?npdid_facility_surface=278329	278329	9999-12-31	2013-05-08
DRAUPNER E	IN SERVICE	Y	GASSCO AS	JACKET 4 LEGS	GASSLED	TUF	2252643	1995-08-13	ED50	58	11	19.300000	N	2	28	0.000000	E	69.000000	RISER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278357	http://www.npd.no/FactMapSearch?npdid_facility_surface=278357	278357	9999-12-31	2013-05-08
VALHALL WP	IN SERVICE	Y	BP Norge AS	JACKET 4 LEGS	VALHALL	FIELD	43548	1996-06-01	ED50	56	16	35.650000	N	3	23	46.960000	E	74.000000	WELLHEAD	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278385	http://www.npd.no/FactMapSearch?npdid_facility_surface=278385	278385	9999-12-31	2013-05-08
YME B	REMOVED	Y	Talisman Energy Norge AS	FSU	YME	FIELD	43807	1996-02-27	ED50	57	45	15.300000	N	4	21	21.800000	E	95.000000	OFFLOADING - STORAGE	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278413	http://www.npd.no/FactMapSearch?npdid_facility_surface=278413	278413	9999-12-31	2013-05-08
STATFJORD NORD D	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	STATFJORD NORD	FIELD	43679	1995-06-16	ED50	61	26	50.500000	N	1	54	51.000000	E	272.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278441	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278441	278441	9999-12-31	2013-05-08
STATFJORD NORD E	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	STATFJORD NORD	FIELD	43679	1995-01-23	ED50	61	26	3.300000	N	1	55	30.400000	E	265.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278469	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278469	278469	9999-12-31	2013-05-08
STATFJORD NORD F	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	STATFJORD NORD	FIELD	43679	1995-04-15	ED50	61	26	41.000000	N	1	57	22.800000	E	285.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278497	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278497	278497	9999-12-31	2013-05-08
EKOFISK X	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 4 LEGS	EKOFISK	FIELD	43506	1997-01-01	ED50	56	32	51.500000	N	3	13	8.200000	E	77.000000	DRILLING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278525	http://www.npd.no/FactMapSearch?npdid_facility_surface=278525	278525	9999-12-31	2013-05-08
ÅSGARD F	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	ED50	65	1	46.300000	N	6	36	4.500000	E	300.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278553	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278553	278553	9999-12-31	2013-05-08
ÅSGARD I	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	ED50	65	5	7.300000	N	6	40	54.300000	E	285.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278581	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278581	278581	9999-12-31	2013-05-08
ÅSGARD L	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	ED50	65	8	17.700000	N	6	46	57.700000	E	288.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278609	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278609	278609	9999-12-31	2013-05-08
ÅSGARD N	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	ED50	65	10	26.100000	N	6	51	5.200000	E	272.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278637	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278637	278637	9999-12-31	2013-05-08
ÅSGARD H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	ED50	65	7	6.860000	N	6	40	27.400000	E	290.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278665	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278665	278665	9999-12-31	2013-05-08
ÅSGARD J	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	ED50	65	9	58.800000	N	6	43	59.100000	E	256.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278693	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278693	278693	9999-12-31	2013-05-08
ÅSGARD E	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	ED50	65	4	5.950000	N	6	36	40.920000	E	305.000000	GAS INJECTION - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278721	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278721	278721	9999-12-31	2013-05-08
ÅSGARD G	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	ED50	65	5	17.750000	N	6	39	43.200000	E	288.000000	GAS INJECTION - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278749	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278749	278749	9999-12-31	2013-05-08
ÅSGARD K	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	ED50	65	8	1.800000	N	6	42	25.200000	E	296.000000	GAS INJECTION - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278777	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278777	278777	9999-12-31	2013-05-08
ÅSGARD M	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	ED50	65	10	24.400000	N	6	48	3.200000	E	273.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278805	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278805	278805	9999-12-31	2013-05-08
ÅSGARD S	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	ED50	65	0	58.000000	N	6	56	45.200000	E	300.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278833	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278833	278833	9999-12-31	2013-05-08
ÅSGARD R	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	ED50	65	2	0.250000	N	6	54	7.040000	E	305.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278861	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278861	278861	9999-12-31	2013-05-08
ÅSGARD P	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	ED50	65	1	22.780000	N	6	52	45.800000	E	310.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278889	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278889	278889	9999-12-31	2013-05-08
ÅSGARD X	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	ED50	65	4	3.500000	N	7	29	34.700000	E	298.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278917	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278917	278917	9999-12-31	2013-05-08
ÅSGARD Y	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	ED50	65	0	18.600000	N	7	33	25.200000	E	260.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278945	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278945	278945	9999-12-31	2013-05-08
ÅSGARD Z	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	ED50	64	58	14.900000	N	7	37	19.700000	E	245.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278973	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278973	278973	9999-12-31	2013-05-08
STATFJORD G	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	STATFJORD	FIELD	43658	1999-08-26	ED50	61	21	56.570000	N	1	56	5.940000	E	157.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279001	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279001	279001	9999-12-31	2013-05-08
TROLL L1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2000-11-14	ED50	60	47	6.440000	N	3	33	21.750000	E	327.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279029	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279029	279029	9999-12-31	2013-05-08
TROLL M1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2000-07-15	ED50	60	54	56.170000	N	3	37	35.590000	E	344.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279057	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279057	279057	9999-12-31	2013-05-08
TROLL P1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-07	ED50	60	52	1.180000	N	3	33	28.590000	E	336.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279085	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279085	279085	9999-12-31	2013-05-08
TROLL I1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1998-04-14	ED50	60	44	27.640000	N	3	34	54.210000	E	315.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279113	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279113	279113	9999-12-31	2013-05-08
TROLL J1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-03-17	ED50	60	44	35.650000	N	3	36	28.800000	E	315.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279141	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279141	279141	9999-12-31	2013-05-08
VIGDIS B	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	1997-03-05	ED50	61	23	49.490000	N	2	7	3.540000	E	292.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279169	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279169	279169	9999-12-31	2013-05-08
VIGDIS E	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	1998-01-01	ED50	61	23	54.820000	N	2	4	4.530000	E	290.000000	WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279197	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279197	279197	9999-12-31	2013-05-08
NORNE B	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	NORNE	FIELD	43778	1997-11-05	ED50	66	0	54.610000	N	8	3	15.120000	E	374.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279225	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279225	279225	9999-12-31	2013-05-08
NORNE C	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	NORNE	FIELD	43778	1997-11-14	ED50	66	0	51.890000	N	8	3	21.720000	E	375.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279253	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279253	279253	9999-12-31	2013-05-08
NORNE D	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	NORNE	FIELD	43778	1997-11-05	ED50	66	0	49.390000	N	8	3	28.320000	E	378.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279281	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279281	279281	9999-12-31	2013-05-08
NORNE E	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	NORNE	FIELD	43778	1997-11-05	ED50	66	2	43.700000	N	8	5	53.650000	E	379.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279309	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279309	279309	9999-12-31	2013-05-08
NORNE F	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	NORNE	FIELD	43778	1998-07-02	ED50	66	2	41.090000	N	8	6	0.260000	E	380.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279337	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279337	279337	9999-12-31	2013-05-08
JOTUN B	IN SERVICE	Y	ExxonMobil Exploration & Production Norway AS	JACKET 4 LEGS	JOTUN	FIELD	43604	1999-10-21	ED50	59	27	3.670000	N	2	22	0.870000	E	127.000000	DRILLING - WELLHEAD	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279365	http://www.npd.no/FactMapSearch?npdid_facility_surface=279365	279365	9999-12-31	2013-05-08
JOTUN A	IN SERVICE	Y	ExxonMobil Exploration & Production Norway AS	FPSO	JOTUN	FIELD	43604	1999-10-21	ED50	59	27	18.920000	N	2	23	10.890000	E	126.000000	OFFLOADING - OIL PRODUCER - PROCESSING - QUARTER - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279393	http://www.npd.no/FactMapSearch?npdid_facility_surface=279393	279393	9999-12-31	2013-05-08
TROLL C	IN SERVICE	Y	Statoil Petroleum AS	SEMISUB STEEL	TROLL	FIELD	46437	1999-11-01	ED50	60	53	10.760000	N	3	36	41.200000	E	339.000000	PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279421	http://www.npd.no/FactMapSearch?npdid_facility_surface=279421	279421	9999-12-31	2013-05-08
TROLL K1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-07-24	ED50	60	46	5.930000	N	3	36	40.860000	E	320.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279449	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279449	279449	9999-12-31	2013-05-08
TROLL Q1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-10-31	ED50	60	50	40.820000	N	3	37	38.020000	E	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279477	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279477	279477	9999-12-31	2013-05-08
VARG A	IN SERVICE	Y	Talisman Energy Norge AS	MONOTOWER	VARG	FIELD	43451	1998-12-22	ED50	58	4	40.500000	N	1	53	25.690000	E	84.000000	WELLHEAD	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279505	http://www.npd.no/FactMapSearch?npdid_facility_surface=279505	279505	9999-12-31	2013-05-08
HEIDRUN TEMPLATE	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	1995-08-15	ED50	65	19	32.750000	N	7	19	3.470000	E	345.000000	DRILLING TEMPLATE	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279533	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279533	279533	9999-12-31	2013-05-08
NJORD BRAVO	IN SERVICE	Y	Statoil Petroleum AS	FSU	NJORD	FIELD	43751	1997-10-01	ED50	64	16	19.420000	N	7	15	11.090000	E	330.000000	OFFLOADING - STORAGE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279561	http://www.npd.no/FactMapSearch?npdid_facility_surface=279561	279561	9999-12-31	2013-05-08
NORNE FPSO	IN SERVICE	Y	Statoil Petroleum AS	FPSO	NORNE	FIELD	43778	1997-11-05	ED50	66	1	38.250000	N	8	5	18.090000	E	378.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279589	http://www.npd.no/FactMapSearch?npdid_facility_surface=279589	279589	9999-12-31	2013-05-08
GULLFAKS SØR L	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	2001-10-01	ED50	61	5	48.290000	N	2	11	33.990000	E	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279617	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279617	279617	9999-12-31	2013-05-08
GULLFAKS SØR F	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	ED50	61	5	51.010000	N	2	16	36.500000	E	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279645	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279645	279645	9999-12-31	2013-05-08
GULLFAKS SØR G	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	ED50	61	5	50.230000	N	2	16	36.250000	E	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279673	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279673	279673	9999-12-31	2013-05-08
GULLFAKS SØR E	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	ED50	61	6	38.400000	N	2	15	38.370000	E	135.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279701	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279701	279701	9999-12-31	2013-05-08
TROLL N1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2000-01-06	ED50	60	54	56.480000	N	3	35	11.790000	E	345.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279729	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279729	279729	9999-12-31	2013-05-08
TROLL O1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-23	ED50	60	53	22.460000	N	3	33	59.000000	E	355.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279757	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279757	279757	9999-12-31	2013-05-08
ÅSGARD A	IN SERVICE	Y	Statoil Petroleum AS	FPSO	ÅSGARD	FIELD	43765	1999-05-20	ED50	65	3	51.900000	N	6	43	38.800000	E	315.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279785	http://www.npd.no/FactMapSearch?npdid_facility_surface=279785	279785	9999-12-31	2013-05-08
BALDER FPU	IN SERVICE	Y	ExxonMobil Exploration & Production Norway AS	FPSO	BALDER	FIELD	43562	1999-09-30	ED50	59	11	29.780000	N	2	23	14.700000	E	127.000000	OFFLOADING - OIL PRODUCER - PROCESSING - QUARTER - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279841	http://www.npd.no/FactMapSearch?npdid_facility_surface=279841	279841	9999-12-31	2013-05-08
PETROJARL VARG	IN SERVICE	Y	Talisman Energy Norge AS	FPSO	VARG	FIELD	43451	1998-12-22	ED50	58	4	40.370000	N	1	53	25.650000	E	84.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279869	http://www.npd.no/FactMapSearch?npdid_facility_surface=279869	279869	9999-12-31	2013-05-08
SYGNA N	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SYGNA	FIELD	104718	2000-08-02	ED50	61	28	0.990000	N	1	59	30.660000	E	299.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279897	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279897	279897	9999-12-31	2013-05-08
OSEBERG SØR K	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	OSEBERG SØR	FIELD	43645	2000-08-30	ED50	60	15	52.220000	N	2	46	34.210000	E	106.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279925	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279925	279925	9999-12-31	2013-05-08
TROLL I2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1998-04-14	ED50	60	43	42.750000	N	3	34	39.350000	E	315.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279953	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279953	279953	9999-12-31	2013-05-08
TROLL J2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-03-17	ED50	60	43	45.470000	N	3	39	23.570000	E	315.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279981	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279981	279981	9999-12-31	2013-05-08
TROLL K2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-07-24	ED50	60	45	21.020000	N	3	38	23.260000	E	320.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280009	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280009	280009	9999-12-31	2013-05-08
TROLL M2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2000-07-15	ED50	60	55	53.110000	N	3	39	51.260000	E	346.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280037	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280037	280037	9999-12-31	2013-05-08
30/6-B-51 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	OSEBERG	FIELD	43625	1996-08-20	ED50	60	31	59.850000	N	2	44	24.910000	E	110.000000	OIL PRODUCER	21	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280065	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280065	280065	9999-12-31	2013-05-08
ELDFISK E	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 4 LEGS	ELDFISK	FIELD	43527	2000-01-01	ED50	56	22	30.310000	N	3	15	54.740000	E	72.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280093	http://www.npd.no/FactMapSearch?npdid_facility_surface=280093	280093	9999-12-31	2013-05-08
ÅSGARD B	IN SERVICE	Y	Statoil Petroleum AS	SEMISUB STEEL	ÅSGARD	FIELD	43765	2000-10-04	ED50	65	6	37.340000	N	6	47	28.270000	E	300.000000	GAS EXPORT - PROCESSING - QUARTER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280121	http://www.npd.no/FactMapSearch?npdid_facility_surface=280121	280121	9999-12-31	2013-05-08
ÅSGARD C	IN SERVICE	Y	Statoil Petroleum AS	FSU	ÅSGARD	FIELD	43765	2000-10-04	ED50	65	7	52.930000	N	6	51	56.830000	E	290.000000	OFFLOADING - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280149	http://www.npd.no/FactMapSearch?npdid_facility_surface=280149	280149	9999-12-31	2013-05-08
DRAUGEN FLP	REMOVED	Y	A/S Norske Shell	LOADING SYSTEM	DRAUGEN	FIELD	43758	1993-10-19	ED50	64	20	49.200000	N	7	50	26.500000	E	258.000000	OFFLOADING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280177	http://www.npd.no/FactMapSearch?npdid_facility_surface=280177	280177	2013-04-24	2013-05-08
OSEBERG SØR	IN SERVICE	Y	Statoil Petroleum AS	JACKET 6 LEGS	OSEBERG SØR	FIELD	43645	2000-08-30	ED50	60	23	24.620000	N	2	47	49.060000	E	101.000000	DRILLING - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280205	http://www.npd.no/FactMapSearch?npdid_facility_surface=280205	280205	9999-12-31	2013-05-08
15/6-A-1 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2001-08-29	ED50	58	42	46.900000	N	1	40	5.200000	E	112.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280233	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280233	280233	2013-01-25	2013-05-08
TROLL P2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2002-06-01	ED50	60	52	35.680000	N	3	29	39.150000	E	336.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280261	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280261	280261	9999-12-31	2013-05-08
TROLL L2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2000-11-14	ED50	60	48	31.580000	N	3	33	21.430000	E	333.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280289	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280289	280289	9999-12-31	2013-05-08
TROLL N2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2001-12-01	ED50	60	56	46.820000	N	3	34	49.330000	E	345.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280317	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280317	280317	9999-12-31	2013-05-08
TROLL S2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-03	ED50	60	53	34.730000	N	3	40	18.730000	E	342.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280345	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280345	280345	9999-12-31	2013-05-08
TROLL T1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2001-02-01	ED50	60	49	57.270000	N	3	36	14.320000	E	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280373	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280373	280373	9999-12-31	2013-05-08
TROLL T2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2001-01-01	ED50	60	48	29.110000	N	3	35	35.510000	E	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280401	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280401	280401	9999-12-31	2013-05-08
TROLL U1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-01	ED50	60	50	57.580000	N	3	34	54.000000	E	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280429	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280429	280429	9999-12-31	2013-05-08
TROLL U2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-01	ED50	60	49	51.780000	N	3	34	21.340000	E	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280457	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280457	280457	9999-12-31	2013-05-08
SNORRE B	IN SERVICE	Y	Statoil Petroleum AS	SEMISUB STEEL	SNORRE	FIELD	43718	2001-06-27	ED50	61	31	31.580000	N	2	12	41.420000	E	340.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280485	http://www.npd.no/FactMapSearch?npdid_facility_surface=280485	280485	9999-12-31	2013-05-08
PETROJARL 1	SHUT DOWN	Y	Statoil Petroleum AS	FPSO	GLITNE	FIELD	1272071	2001-08-29	ED50	58	42	47.900000	N	1	40	5.290000	E	110.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280513	http://www.npd.no/FactMapSearch?npdid_facility_surface=280513	280513	2013-01-25	2013-05-08
OSEBERG D	IN SERVICE	Y	Statoil Petroleum AS	JACKET 4 LEGS	OSEBERG	FIELD	43625	2000-10-01	ED50	60	29	26.400000	N	2	49	44.350000	E	109.000000	PROCESSING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280541	http://www.npd.no/FactMapSearch?npdid_facility_surface=280541	280541	9999-12-31	2013-05-08
HEIMDAL HRP	IN SERVICE	Y	GASSCO AS	JACKET 4 LEGS	OSEBERG GASSTRANSPORT	TUF	124170	2000-09-30	ED50	59	34	31.080000	N	2	13	41.900000	E	120.000000	RISER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280569	http://www.npd.no/FactMapSearch?npdid_facility_surface=280569	280569	9999-12-31	2013-05-08
TORDIS ØST K	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TORDIS	FIELD	43725	2000-07-25	ED50	61	16	34.150000	N	2	7	12.880000	E	200.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280597	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280597	280597	9999-12-31	2013-05-08
VISUND NORD	SHUT DOWN	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VISUND	FIELD	43745	2002-02-01	ED50	61	25	51.000000	N	2	34	3.300000	E	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280625	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280625	280625	9999-12-31	2013-05-08
GULLFAKS SØR I	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	ED50	61	3	19.400000	N	2	2	12.880000	E	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280653	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280653	280653	9999-12-31	2013-05-08
GULLFAKS SØR J	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	ED50	61	3	50.840000	N	2	0	11.870000	E	135.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280681	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280681	280681	9999-12-31	2013-05-08
GULLFAKS SØR H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	ED50	61	3	20.330000	N	2	4	26.210000	E	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280709	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280709	280709	9999-12-31	2013-05-08
TROLL S1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-03	ED50	60	53	42.180000	N	3	39	16.710000	E	340.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280737	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280737	280737	9999-12-31	2013-05-08
GULLFAKS SØR K	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	ED50	61	8	9.860000	N	2	0	55.780000	E	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280765	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280765	280765	9999-12-31	2013-05-08
TAMBAR	IN SERVICE	Y	BP Norge AS	JACKET TRIPOD	TAMBAR	FIELD	1028599	2001-07-16	ED50	56	58	57.920000	N	2	57	31.610000	E	70.000000	WELLHEAD	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280793	http://www.npd.no/FactMapSearch?npdid_facility_surface=280793	280793	9999-12-31	2013-05-08
15/9-E H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SLEIPNER VEST	FIELD	43457	2004-10-11	ED50	58	29	49.140000	N	1	43	21.730000	E	110.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280821	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280821	280821	9999-12-31	2013-05-08
RINGHORNE	IN SERVICE	Y	ExxonMobil Exploration & Production Norway AS	JACKET 4 LEGS	BALDER	FIELD	43562	2003-02-10	ED50	59	15	57.810000	N	2	26	59.490000	E	129.000000	DRILLING - PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280849	http://www.npd.no/FactMapSearch?npdid_facility_surface=280849	280849	9999-12-31	2013-05-08
KVITEBJØRN	IN SERVICE	Y	Statoil Petroleum AS	JACKET 4 LEGS	KVITEBJØRN	FIELD	1036101	2004-09-26	ED50	61	4	49.100000	N	2	29	58.990000	E	190.000000	DRILLING - PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280877	http://www.npd.no/FactMapSearch?npdid_facility_surface=280877	280877	9999-12-31	2013-05-08
FRIGG DP1	REMOVED	Y	Total E&P Norge AS	JACKET 8 LEGS	FRIGG	FIELD	43555	9999-12-31	ED50	59	52	26.500000	N	2	3	39.000000	E	98.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280933	http://www.npd.no/FactMapSearch?npdid_facility_surface=280933	280933	9999-12-31	2013-05-08
VALHALL FLANKE SØR	IN SERVICE	Y	BP Norge AS	JACKET 4 LEGS	VALHALL	FIELD	43548	2003-05-08	ED50	56	13	39.760000	N	3	26	14.620000	E	67.000000	WELLHEAD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280961	http://www.npd.no/FactMapSearch?npdid_facility_surface=280961	280961	9999-12-31	2013-05-08
DRAUGEN D	IN SERVICE	N	A/S Norske Shell	SUBSEA STRUCTURE	DRAUGEN	FIELD	43758	2001-11-01	ED50	64	20	32.400000	N	7	43	28.080000	E	265.000000	MANIFOLD STATION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280989	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280989	280989	9999-12-31	2013-05-08
GULLFAKS SØR M	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	2001-10-01	ED50	61	5	49.390000	N	2	11	33.630000	E	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281017	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281017	281017	9999-12-31	2013-05-08
TUNE	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TUNE	FIELD	853376	2002-11-28	ED50	60	28	3.080000	N	2	39	11.910000	E	100.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281045	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281045	281045	9999-12-31	2013-05-08
ALBUSKJELL A-BS	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	ALBUSKJELL	FIELD	43437	1979-05-01	ED50	56	38	30.550000	N	2	56	26.300000	E	70.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281073	http://www.npd.no/FactMapSearch?npdid_facility_surface=281073	281073	9999-12-31	2013-05-08
ALBUSKJELL A-FL	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	ALBUSKJELL	FIELD	43437	1979-05-01	ED50	56	38	27.670000	N	2	56	28.400000	E	70.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281101	http://www.npd.no/FactMapSearch?npdid_facility_surface=281101	281101	9999-12-31	2013-05-08
EKOFISK BS1	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	EKOFISK	FIELD	43506	1972-01-01	ED50	56	32	42.300000	N	3	13	2.200000	E	72.000000	SUPPORT	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281129	http://www.npd.no/FactMapSearch?npdid_facility_surface=281129	281129	9999-12-31	2013-05-08
EKOFISK BS3	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	EKOFISK	FIELD	43506	1974-01-01	ED50	56	32	54.070000	N	3	12	52.260000	E	72.000000	SUPPORT	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281157	http://www.npd.no/FactMapSearch?npdid_facility_surface=281157	281157	9999-12-31	2013-05-08
EKOFISK BS4	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	EKOFISK	FIELD	43506	1975-01-01	ED50	56	33	6.170000	N	3	12	38.930000	E	72.000000	SUPPORT	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281185	http://www.npd.no/FactMapSearch?npdid_facility_surface=281185	281185	9999-12-31	2013-05-08
TOR FL	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	TOR	FIELD	43520	1977-08-01	ED50	56	38	27.370000	N	3	19	39.420000	E	70.000000	FLARE STACK	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281213	http://www.npd.no/FactMapSearch?npdid_facility_surface=281213	281213	9999-12-31	2013-05-08
ALBUSKJELL F-BS	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	ALBUSKJELL	FIELD	43437	1979-05-01	ED50	56	37	9.910000	N	3	3	16.490000	E	70.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281241	http://www.npd.no/FactMapSearch?npdid_facility_surface=281241	281241	9999-12-31	2013-05-08
ALBUSKJELL F-FL	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	ALBUSKJELL	FIELD	43437	1979-05-01	ED50	56	37	6.960000	N	3	3	18.580000	E	70.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281269	http://www.npd.no/FactMapSearch?npdid_facility_surface=281269	281269	9999-12-31	2013-05-08
EKOFISK SØR FL	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	EKOFISK	FIELD	43506	1972-01-01	ED50	56	32	35.810000	N	3	13	7.040000	E	72.000000	FLARE STACK	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281297	http://www.npd.no/FactMapSearch?npdid_facility_surface=281297	281297	9999-12-31	2013-05-08
EKOFISK S-BS	PARTLY REMOVED	Y	GASSCO AS	JACKET TRIPOD	STATPIPE	TUF	123940	1986-10-01	ED50	56	33	5.380000	N	3	12	44.180000	E	74.000000	SUPPORT	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281325	http://www.npd.no/FactMapSearch?npdid_facility_surface=281325	281325	9999-12-31	2013-05-08
EKOFISK X-BS	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	EKOFISK	FIELD	43506	1997-01-01	ED50	56	32	51.550000	N	3	12	59.650000	E	76.000000	SUPPORT	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281353	http://www.npd.no/FactMapSearch?npdid_facility_surface=281353	281353	9999-12-31	2013-05-08
EDDA FL	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	EDDA	FIELD	43541	1976-12-01	ED50	56	27	49.590000	N	3	6	20.080000	E	70.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281381	http://www.npd.no/FactMapSearch?npdid_facility_surface=281381	281381	9999-12-31	2013-05-08
ELDFISK FTP-BS	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	ELDFISK	FIELD	43527	1979-08-01	ED50	56	22	28.760000	N	3	15	59.510000	E	70.000000	SUPPORT	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281409	http://www.npd.no/FactMapSearch?npdid_facility_surface=281409	281409	9999-12-31	2013-05-08
ELDFISK FTP-FL	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	ELDFISK	FIELD	43527	1979-08-01	ED50	56	22	25.530000	N	3	16	2.140000	E	70.000000	FLARE STACK	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281437	http://www.npd.no/FactMapSearch?npdid_facility_surface=281437	281437	9999-12-31	2013-05-08
COD FL	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	COD	FIELD	43785	1977-11-01	ED50	57	4	6.530000	N	2	26	7.520000	E	78.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281465	http://www.npd.no/FactMapSearch?npdid_facility_surface=281465	281465	9999-12-31	2013-05-08
TROLL ERB	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-09-21	ED50	60	46	21.000000	N	3	30	39.000000	E	324.000000	RISER BASE	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281493	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281493	281493	9999-12-31	2013-05-08
TROLL ERS	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-04-11	ED50	60	46	24.600000	N	3	30	22.840000	E	324.000000	RISER SUPPORT	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281521	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281521	281521	9999-12-31	2013-05-08
34/7-I-10 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1999-11-01	ED50	61	16	34.670000	N	2	7	9.580000	E	200.000000	SILO	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281549	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281549	281549	9999-12-31	2013-05-08
34/7-I-1 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1994-06-03	ED50	61	16	33.350000	N	2	7	10.600000	E	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281577	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281577	281577	9999-12-31	2013-05-08
34/7-I-2 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1994-06-03	ED50	61	16	33.350000	N	2	7	10.890000	E	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281605	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281605	281605	9999-12-31	2013-05-08
34/7-I-3 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1994-06-03	ED50	61	16	34.230000	N	2	7	1.600000	E	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281633	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281633	281633	9999-12-31	2013-05-08
34/7-I-11 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1999-01-01	ED50	61	16	34.220000	N	2	7	9.640000	E	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281661	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281661	281661	9999-12-31	2013-05-08
34/7-I-4 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1994-06-03	ED50	61	16	32.830000	N	2	7	0.230000	E	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281689	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281689	281689	9999-12-31	2013-05-08
34/7-I-5 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1994-06-03	ED50	61	16	35.240000	N	2	7	3.520000	E	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281717	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281717	281717	9999-12-31	2013-05-08
OSEBERG SØR J	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	OSEBERG SØR	FIELD	43645	2005-06-15	ED50	60	21	16.160000	N	2	54	0.280000	E	101.000000	OIL PRODUCER - WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281745	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281745	281745	9999-12-31	2013-05-08
ÅSGARD O	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	ED50	65	8	20.040000	N	6	47	5.060000	E	286.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281773	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281773	281773	9999-12-31	2013-05-08
DRAUGEN E	IN SERVICE	N	A/S Norske Shell	MULTI WELL TEMPLATE	DRAUGEN	FIELD	43758	1993-10-19	ED50	64	16	42.350000	N	7	44	14.660000	E	286.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281801	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281801	281801	9999-12-31	2013-05-08
DRAUGEN PLEM 105	IN SERVICE	N	A/S Norske Shell	SUBSEA STRUCTURE	DRAUGEN	FIELD	43758	1993-10-19	ED50	64	20	49.910000	N	7	50	13.820000	E	257.000000	PIPELINE END MANIFOLD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281829	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281829	281829	9999-12-31	2013-05-08
DRAUGEN PLEM-106	IN SERVICE	N	A/S Norske Shell	SUBSEA STRUCTURE	DRAUGEN	FIELD	43758	1993-10-19	ED50	64	20	48.490000	N	7	50	39.220000	E	256.000000	PIPELINE END MANIFOLD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281857	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281857	281857	9999-12-31	2013-05-08
TROLL PRB	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1994-05-28	ED50	60	46	33.000000	N	3	29	51.000000	E	324.000000	RISER BASE	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281885	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281885	281885	9999-12-31	2013-05-08
TROLL PRBN	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1998-04-01	ED50	60	46	23.550000	N	3	30	38.250000	E	324.000000	RISER BASE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281913	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281913	281913	9999-12-31	2013-05-08
TROLL PRBS	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-06-11	ED50	60	46	19.810000	N	3	30	34.480000	E	324.000000	RISER BASE	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281941	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281941	281941	9999-12-31	2013-05-08
TROLL PRS	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-04-10	ED50	60	46	29.810000	N	3	30	4.220000	E	325.000000	RISER SUPPORT	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281969	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281969	281969	9999-12-31	2013-05-08
HEIDRUN RISER-BASE	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	HEIDRUN	FIELD	43771	1995-08-15	ED50	65	19	24.490000	N	7	19	3.000000	E	350.000000	RISER BASE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281997	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281997	281997	9999-12-31	2013-05-08
HEIDRUN SDU	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	HEIDRUN	FIELD	43771	2000-08-15	ED50	65	19	32.000000	N	7	19	2.000000	E	345.000000	DISTRIBUTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282025	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282025	282025	9999-12-31	2013-05-08
TROLL PTG	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	ED50	60	52	55.830000	N	3	37	5.780000	E	338.000000	RISER BASE	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282053	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282053	282053	9999-12-31	2013-05-08
TROLL PTO	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	ED50	60	52	56.700000	N	3	37	6.370000	E	338.000000	RISER BASE	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282081	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282081	282081	9999-12-31	2013-05-08
TROLL RB1	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	ED50	60	53	20.320000	N	3	36	30.570000	E	338.000000	RISER BASE	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282109	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282109	282109	9999-12-31	2013-05-08
NORDØST FRIGG A	REMOVED	Y	\N	MONOTOWER	\N	FIELD	\N	1984-01-01	ED50	59	59	11.440000	N	2	14	57.540000	E	102.000000	FIELD CONTROL CENTER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282137	http://www.npd.no/FactMapSearch?npdid_facility_surface=282137	282137	9999-12-31	2013-05-08
LILLE-FRIGG A	REMOVED	N	Centrica Resources (Norge) AS	SUBSEA STRUCTURE	LILLE-FRIGG	FIELD	43583	1994-05-01	ED50	59	58	20.470000	N	2	23	6.280000	E	110.000000	MANIFOLD STATION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282165	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282165	282165	9999-12-31	2013-05-08
LILLE-FRIGG B	REMOVED	N	Centrica Resources (Norge) AS	MULTI WELL TEMPLATE	LILLE-FRIGG	FIELD	43583	1994-05-01	ED50	59	57	58.150000	N	2	23	18.170000	E	113.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282193	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282193	282193	9999-12-31	2013-05-08
NORNE ERB	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	NORNE GASSTRANSPORT	TUF	1035984	2000-10-01	ED50	66	1	38.300000	N	8	5	18.200000	E	378.000000	RISER BASE	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282221	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282221	282221	9999-12-31	2013-05-08
SNORRE MDU	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	SNORRE	FIELD	43718	2001-06-27	ED50	61	31	32.000000	N	2	12	43.000000	E	340.000000	DISTRIBUTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282249	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282249	282249	9999-12-31	2013-05-08
SIGYN	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	MULTI WELL TEMPLATE	SIGYN	FIELD	1630100	2002-12-22	ED50	58	17	5.970000	N	2	2	37.540000	E	70.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282277	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282277	282277	9999-12-31	2013-05-08
SLEIPNER FL	IN SERVICE	Y	Statoil Petroleum AS	JACKET TRIPOD	SLEIPNER ØST	FIELD	43478	1993-09-01	ED50	58	22	9.850000	N	1	54	43.830000	E	83.000000	FLARE STACK	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282305	http://www.npd.no/FactMapSearch?npdid_facility_surface=282305	282305	9999-12-31	2013-05-08
STATFJORD H	SHUT DOWN	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	STATFJORD	FIELD	43658	9999-12-31	ED50	61	21	53.750000	N	1	55	59.970000	E	157.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282333	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282333	282333	9999-12-31	2013-05-08
TROLL T3	FUTURE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	335.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282361	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282361	282361	9999-12-31	2013-05-08
TROLL V1	FUTURE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	335.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282389	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282389	282389	9999-12-31	2013-05-08
TROLL V2	FUTURE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	335.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282417	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282417	282417	9999-12-31	2013-05-08
TORDIS EXTENSION	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TORDIS	FIELD	43725	1997-07-01	ED50	61	16	29.540000	N	2	7	11.660000	E	200.000000	OIL PRODUCER	17	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282445	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282445	282445	9999-12-31	2013-05-08
HEIDRUN UMBILCAL BASE	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	HEIDRUN	FIELD	43771	1995-08-15	ED50	65	19	26.480000	N	7	18	35.980000	E	350.000000	RISER BASE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282473	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282473	282473	9999-12-31	2013-05-08
VALE	IN SERVICE	N	Centrica Resources (Norge) AS	MULTI WELL TEMPLATE	VALE	FIELD	1578893	2002-05-31	ED50	59	42	22.430000	N	2	18	37.830000	E	114.000000	GAS PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282501	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282501	282501	9999-12-31	2013-05-08
VALHALL IP	IN SERVICE	Y	BP Norge AS	JACKET 4 LEGS	VALHALL	FIELD	43548	2004-01-24	ED50	56	16	35.460000	N	3	23	46.820000	E	74.000000	DRILLING - WATER INJECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282529	http://www.npd.no/FactMapSearch?npdid_facility_surface=282529	282529	9999-12-31	2013-05-08
YME B ØST	DISPOSAL COMPLETED	N	Talisman Energy Norge AS	MULTI WELL TEMPLATE	YME	FIELD	43807	1996-06-01	ED50	57	45	15.280000	N	4	21	21.820000	E	82.000000	OIL PRODUCER	5	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282557	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282557	282557	9999-12-31	2013-05-08
YME B VEST	DISPOSAL COMPLETED	N	Talisman Energy Norge AS	MULTI WELL TEMPLATE	YME	FIELD	43807	1999-11-01	ED50	57	45	15.190000	N	4	21	21.520000	E	85.000000	OIL PRODUCER	5	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282585	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282585	282585	9999-12-31	2013-05-08
ÅSGARD ERB	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	2000-10-01	ED50	65	6	24.070000	N	6	47	56.590000	E	305.000000	RISER BASE	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282613	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282613	282613	9999-12-31	2013-05-08
EKOFISK NORD FL	REMOVED	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	EKOFISK	FIELD	43506	1975-01-01	ED50	56	33	9.410000	N	3	12	36.670000	E	72.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282641	http://www.npd.no/FactMapSearch?npdid_facility_surface=282641	282641	9999-12-31	2013-05-08
EKOFISK T WALL	SHUT DOWN	Y	ConocoPhillips Skandinavia AS	CONCRETE STRUCTURE	EKOFISK	FIELD	43506	1989-06-24	ED50	56	32	58.350000	N	3	12	45.290000	E	77.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282669	http://www.npd.no/FactMapSearch?npdid_facility_surface=282669	282669	9999-12-31	2013-05-08
34/8-A-2 H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VISUND	FIELD	43745	1999-05-26	ED50	61	22	12.790000	N	2	27	35.050000	E	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282697	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282697	282697	9999-12-31	2013-05-08
34/8-A-20 H	INSTALLATION	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VISUND	FIELD	43745	9999-12-31	ED50	61	22	11.780000	N	2	27	32.380000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282725	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282725	282725	9999-12-31	2013-05-08
25/11-A-20 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2001-10-10	ED50	59	11	27.400000	N	2	21	36.170000	E	127.000000	GAS INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282753	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282753	282753	9999-12-31	2013-05-08
34/4-C H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	2001-06-27	ED50	61	31	30.220000	N	2	12	40.410000	E	340.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282781	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282781	282781	9999-12-31	2013-05-08
34/4-D H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	2001-06-27	ED50	61	31	32.700000	N	2	12	40.000000	E	340.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282809	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282809	282809	9999-12-31	2013-05-08
34/4-E H	FUTURE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	340.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282837	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282837	282837	9999-12-31	2013-05-08
34/8-A-21 H/AH	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2003-06-01	ED50	61	22	11.860000	N	2	27	32.830000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282865	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282865	282865	9999-12-31	2013-05-08
TORDIS-MS	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TORDIS	FIELD	43725	1994-06-03	ED50	61	16	32.280000	N	2	7	5.210000	E	200.000000	MANIFOLD STATION	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282893	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282893	282893	9999-12-31	2013-05-08
TROLL PILOT	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-03	ED50	60	53	46.820000	N	3	39	13.530000	E	342.000000	SEPARATION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282921	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282921	282921	9999-12-31	2013-05-08
25/11-A-21 H	INSTALLATION	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2013-08-01	ED50	59	11	29.610000	N	2	21	29.420000	E	127.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282949	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282949	282949	2013-04-12	2013-05-08
34/8-A-22 H/AH	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2004-01-16	ED50	61	22	11.900000	N	2	27	33.300000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282977	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282977	282977	9999-12-31	2013-05-08
34/8-A-23 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2002-01-01	ED50	61	22	12.010000	N	2	27	33.780000	E	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283005	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283005	283005	9999-12-31	2013-05-08
34/8-A-24 H	FUTURE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	9999-12-31	ED50	61	22	12.110000	N	2	27	34.260000	E	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283033	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283033	283033	9999-12-31	2013-05-08
34/8-A-25 H/AH	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2003-01-01	ED50	61	22	12.200000	N	2	27	34.670000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283061	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283061	283061	9999-12-31	2013-05-08
34/8-A-26  H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VISUND	FIELD	43745	2001-01-01	ED50	61	22	12.340000	N	2	27	35.060000	E	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283089	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283089	283089	9999-12-31	2013-05-08
34/8-A-3 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	1999-05-26	ED50	61	22	12.920000	N	2	27	34.650000	E	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283117	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283117	283117	9999-12-31	2013-05-08
34/8-A-4 H/AH	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VISUND	FIELD	43745	2001-01-01	ED50	61	22	13.020000	N	2	27	34.240000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283145	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283145	283145	9999-12-31	2013-05-08
25/11-A-4 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-11-13	ED50	59	11	29.290000	N	2	21	35.470000	E	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283173	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283173	283173	9999-12-31	2013-05-08
34/8-A-5 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2000-08-05	ED50	61	22	13.110000	N	2	27	33.770000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283201	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283201	283201	9999-12-31	2013-05-08
25/11-A-5 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-11-15	ED50	59	11	30.220000	N	2	21	34.190000	E	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283229	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283229	283229	9999-12-31	2013-05-08
25/11-A-6 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-11-13	ED50	59	11	28.330000	N	2	21	37.410000	E	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283257	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283257	283257	9999-12-31	2013-05-08
GRANE	IN SERVICE	Y	Statoil Petroleum AS	JACKET 8 LEGS	GRANE	FIELD	1035937	2003-09-23	ED50	59	9	54.860000	N	2	29	14.600000	E	127.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283285	http://www.npd.no/FactMapSearch?npdid_facility_surface=283285	283285	9999-12-31	2013-05-08
TROLL RB2	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	ED50	60	53	2.890000	N	3	37	4.180000	E	338.000000	RISER BASE	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283313	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283313	283313	9999-12-31	2013-05-08
TROLL RB3	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	ED50	60	53	16.520000	N	3	36	22.510000	E	338.000000	RISER BASE	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283341	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283341	283341	9999-12-31	2013-05-08
TROLL RB4	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	ED50	60	52	58.820000	N	3	36	55.100000	E	338.000000	RISER BASE	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283369	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283369	283369	9999-12-31	2013-05-08
TROLL RSS1	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	ED50	60	53	13.330000	N	3	36	36.460000	E	338.000000	RISER SUPPORT	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283397	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283397	283397	9999-12-31	2013-05-08
TROLL RSS2	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	ED50	60	53	6.050000	N	3	36	49.990000	E	338.000000	RISER SUPPORT	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283425	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283425	283425	9999-12-31	2013-05-08
VISUND SDU-1	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	VISUND	FIELD	43745	1999-05-26	ED50	61	22	11.000000	N	2	27	33.000000	E	335.000000	DISTRIBUTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283453	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283453	283453	9999-12-31	2013-05-08
VISUND SDU-2	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	VISUND	FIELD	43745	1999-05-26	ED50	61	22	12.000000	N	2	27	34.000000	E	335.000000	DISTRIBUTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283481	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283481	283481	9999-12-31	2013-05-08
MIKKEL A	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	MIKKEL	FIELD	1630514	2003-10-01	ED50	64	42	45.430000	N	7	40	50.600000	E	220.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283509	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283509	283509	9999-12-31	2013-05-08
MIKKEL B	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	MIKKEL	FIELD	1630514	2003-10-01	ED50	64	38	49.500000	N	7	39	49.110000	E	220.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283537	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283537	283537	9999-12-31	2013-05-08
TROLL L3	FUTURE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	320.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283565	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283565	283565	9999-12-31	2013-05-08
HEIDRUN D	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	2000-08-15	ED50	65	21	42.800000	N	7	20	9.560000	E	359.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283593	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283593	283593	9999-12-31	2013-05-08
HEIDRUN E	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	2000-08-15	ED50	65	22	59.860000	N	7	22	9.780000	E	363.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283621	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283621	283621	9999-12-31	2013-05-08
HEIDRUN F	INSTALLATION	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	9999-12-31	ED50	65	22	9.980000	N	7	21	25.310000	E	358.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283649	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283649	283649	9999-12-31	2013-05-08
TROLL O2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2010-07-20	ED50	60	54	52.220000	N	3	31	22.550000	E	338.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283677	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283677	283677	9999-12-31	2013-05-08
TROLL R	FUTURE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	9999-12-31	ED50	60	51	46.590000	N	3	42	37.470000	E	341.000000	WATER INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283733	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283733	283733	9999-12-31	2013-05-08
6407/7-A-9 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	15.400000	N	7	12	9.500000	E	330.000000	GAS INJECTION - OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283761	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283761	283761	9999-12-31	2013-05-08
15/5-B-1 H	SHUT DOWN	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GLITNE	FIELD	1272071	2001-08-29	ED50	58	43	58.420000	N	1	38	33.420000	E	110.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283789	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283789	283789	2013-01-25	2013-05-08
25/11-B-11 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-15	ED50	59	10	42.540000	N	2	22	44.000000	E	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283817	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283817	283817	9999-12-31	2013-05-08
25/11-B-14 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-04	ED50	59	10	42.750000	N	2	22	45.850000	E	127.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283845	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283845	283845	9999-12-31	2013-05-08
25/11-B-18 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2001-04-01	ED50	59	10	39.190000	N	2	22	46.050000	E	127.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283873	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283873	283873	2013-01-25	2013-05-08
25/11-B-7 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-14	ED50	59	10	40.850000	N	2	22	46.460000	E	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283901	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283901	283901	9999-12-31	2013-05-08
25/11-C-12 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-04	ED50	59	10	59.930000	N	2	24	36.260000	E	127.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283929	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283929	283929	9999-12-31	2013-05-08
25/11-C-13 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-19	ED50	59	10	59.870000	N	2	24	34.620000	E	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283957	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283957	283957	9999-12-31	2013-05-08
25/11-C-17 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-18	ED50	59	10	59.030000	N	2	24	35.480000	E	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283985	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283985	283985	9999-12-31	2013-05-08
25/11-C-3 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-14	ED50	59	11	0.520000	N	2	24	32.530000	E	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284013	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284013	284013	9999-12-31	2013-05-08
25/11-D-1 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-04	ED50	59	12	1.030000	N	2	24	37.020000	E	127.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284041	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284041	284041	9999-12-31	2013-05-08
6407/9-D-1 H	IN SERVICE	N	A/S Norske Shell	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2001-12-13	ED50	64	20	32.730000	N	7	43	25.830000	E	265.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284069	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284069	284069	9999-12-31	2013-05-08
6407/9-D-2 H	IN SERVICE	N	A/S Norske Shell	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2002-04-22	ED50	64	20	32.650000	N	7	43	23.860000	E	265.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284097	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284097	284097	9999-12-31	2013-05-08
DORNUM	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	53	38	52.390000	N	7	19	38.170000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416479	http://www.npd.no/FactMapSearch?npdid_facility_surface=416479	416479	9999-12-31	2013-05-08
6407/9-E-1 H	IN SERVICE	N	A/S Norske Shell	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2002-11-30	ED50	64	15	44.900000	N	7	43	51.030000	E	293.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284125	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284125	284125	9999-12-31	2013-05-08
6407/9-E-2 H	IN SERVICE	N	A/S Norske Shell	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2002-11-30	ED50	64	15	43.270000	N	7	43	51.100000	E	293.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284153	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284153	284153	9999-12-31	2013-05-08
25/11-D-10 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-11-02	ED50	59	12	0.370000	N	2	24	35.210000	E	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284181	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284181	284181	9999-12-31	2013-05-08
25/11-D-2 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-09-30	ED50	59	11	59.600000	N	2	24	33.160000	E	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284209	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284209	284209	9999-12-31	2013-05-08
34/4-F H	FUTURE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	340.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284237	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284237	284237	9999-12-31	2013-05-08
34/4-K H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	2001-06-27	ED50	61	31	31.470000	N	2	12	44.100000	E	340.000000	WATER/GAS INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284265	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284265	284265	9999-12-31	2013-05-08
34/4-L H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	2001-06-27	ED50	61	31	32.000000	N	2	12	45.000000	E	340.000000	WATER/GAS INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284293	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284293	284293	9999-12-31	2013-05-08
34/4-M H	FUTURE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	340.000000	WATER/GAS INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284321	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284321	284321	9999-12-31	2013-05-08
6407/9-A-53 H	SHUT DOWN	N	A/S Norske Shell	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	1993-10-19	ED50	64	19	48.940000	N	7	46	30.910000	E	277.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284349	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284349	284349	2013-04-24	2013-05-08
34/8-A-1 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	1999-05-26	ED50	61	22	12.570000	N	2	27	35.130000	E	335.000000	GAS INJECTOR	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284377	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284377	284377	9999-12-31	2013-05-08
34/8-A-10 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2000-01-01	ED50	61	22	13.470000	N	2	27	31.430000	E	335.000000	WATER/GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284405	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284405	284405	9999-12-31	2013-05-08
34/8-A-11 H	INSTALLATION	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2000-01-01	ED50	61	22	13.510000	N	2	27	30.930000	E	335.000000	WATER/GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284433	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284433	284433	9999-12-31	2013-05-08
34/8-A-13 H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VISUND	FIELD	43745	2000-01-01	ED50	61	22	13.550000	N	2	27	29.920000	E	335.000000	WATER PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284461	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284461	284461	9999-12-31	2013-05-08
34/8-A-14 H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VISUND	FIELD	43745	2000-01-01	ED50	61	22	11.650000	N	2	27	31.440000	E	335.000000	WATER PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284489	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284489	284489	9999-12-31	2013-05-08
34/8-A-18 AH/H	INSTALLATION	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	9999-12-31	ED50	61	22	11.640000	N	2	27	31.440000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284517	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284517	284517	9999-12-31	2013-05-08
34/8-A-19 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2004-05-25	ED50	61	22	11.710000	N	2	27	31.910000	E	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284545	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284545	284545	9999-12-31	2013-05-08
34/8-A-6 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	1999-05-26	ED50	61	22	13.260000	N	2	27	32.830000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284573	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284573	284573	9999-12-31	2013-05-08
34/8-A-8 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2010-01-01	ED50	61	22	13.330000	N	2	27	32.350000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284601	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284601	284601	9999-12-31	2013-05-08
25/11-A-8 H	INSTALLATION	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	9999-12-31	ED50	59	11	29.830000	N	2	21	32.630000	E	127.000000	WATER PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284629	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284629	284629	9999-12-31	2013-05-08
34/8-A-9 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2012-06-01	ED50	61	22	13.400000	N	2	27	31.910000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284657	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284657	284657	2013-01-29	2013-05-08
6407/7-A-1 H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	15.550000	N	7	12	5.480000	E	330.000000	WATER INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284685	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284685	284685	9999-12-31	2013-05-08
FRAM A1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	FRAM	FIELD	1578840	2003-10-02	ED50	61	5	5.180000	N	3	30	59.270000	E	360.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284713	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284713	284713	9999-12-31	2013-05-08
6407/7-A-10 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	15.780000	N	7	12	9.440000	E	330.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284741	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284741	284741	9999-12-31	2013-05-08
6407/7-A-11 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	15.920000	N	7	12	8.700000	E	330.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284769	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284769	284769	9999-12-31	2013-05-08
6407/7-A-12 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	16.080000	N	7	12	7.880000	E	330.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284797	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284797	284797	9999-12-31	2013-05-08
31/2-B-3 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-19	ED50	60	46	39.920000	N	3	26	12.020000	E	330.000000	GAS INJECTION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284825	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284825	284825	2013-04-03	2013-05-08
31/2-D-1 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1998-10-01	ED50	60	52	3.170000	N	3	26	12.150000	E	338.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284853	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284853	284853	2013-04-03	2013-05-08
31/2-D-2 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-02-14	ED50	60	51	30.480000	N	3	26	43.570000	E	338.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284881	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284881	284881	2013-04-03	2013-05-08
6407/7-A-13 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	2002-01-01	ED50	64	16	16.220000	N	7	12	7.160000	E	330.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284909	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284909	284909	9999-12-31	2013-05-08
31/2-D-3 H	FUTURE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	9999-12-31	ED50	60	51	30.480000	N	3	26	43.470000	E	330.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284937	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284937	284937	2013-04-03	2013-05-08
31/2-D-4 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	2003-07-01	ED50	60	51	24.650000	N	3	26	56.320000	E	330.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284965	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284965	284965	2013-04-03	2013-05-08
6407/7-A-14 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	16.360000	N	7	12	6.410000	E	330.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284993	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284993	284993	9999-12-31	2013-05-08
6407/7-A-19 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	16.530000	N	7	12	5.580000	E	330.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285021	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285021	285021	9999-12-31	2013-05-08
6407/7-A-16 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	16.690000	N	7	12	4.900000	E	330.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285049	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285049	285049	9999-12-31	2013-05-08
6407/7-A-17 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	16.850000	N	7	12	4.110000	E	330.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285077	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285077	285077	9999-12-31	2013-05-08
6407/7-A-18 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	16.930000	N	7	12	3.360000	E	330.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285105	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285105	285105	9999-12-31	2013-05-08
FRAM A2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	FRAM	FIELD	1578840	2003-10-02	ED50	61	5	7.690000	N	3	31	1.170000	E	360.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285133	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285133	285133	9999-12-31	2013-05-08
6407/7-A-5 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	14.750000	N	7	12	6.470000	E	330.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285161	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285161	285161	9999-12-31	2013-05-08
6407/7-A-6 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	14.930000	N	7	12	7.230000	E	330.000000	GAS INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285189	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285189	285189	2013-02-08	2013-05-08
6407/7-A-7 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	15.110000	N	7	12	7.930000	E	330.000000	GAS INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285217	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285217	285217	9999-12-31	2013-05-08
6407/7-A-8 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	15.250000	N	7	12	8.680000	E	330.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285245	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285245	285245	9999-12-31	2013-05-08
31/2-D-5 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1997-11-30	ED50	60	51	25.730000	N	3	26	34.480000	E	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285273	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285273	285273	2013-04-03	2013-05-08
31/2-D-6 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-10-31	ED50	60	51	23.740000	N	3	26	28.950000	E	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285301	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285301	285301	2013-04-03	2013-05-08
NJORD SDU-1	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	15.550000	N	7	12	4.480000	E	330.000000	DISTRIBUTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285329	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285329	285329	9999-12-31	2013-05-08
SNORRE SDU-1	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	SNORRE	FIELD	43718	2001-06-27	ED50	61	31	33.000000	N	2	12	44.000000	E	340.000000	DISTRIBUTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285357	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285357	285357	9999-12-31	2013-05-08
NJORD SDU-2	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	NJORD	FIELD	43751	1997-10-01	ED50	64	16	15.550000	N	7	12	5.480000	E	330.000000	DISTRIBUTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285385	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285385	285385	9999-12-31	2013-05-08
SNORRE SDU-2	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	SNORRE	FIELD	43718	2001-06-27	ED50	61	31	33.400000	N	2	12	41.830000	E	340.000000	DISTRIBUTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285413	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285413	285413	9999-12-31	2013-05-08
31/2-D-7 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-04-19	ED50	60	51	21.020000	N	3	26	34.190000	E	338.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285441	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285441	285441	2013-04-03	2013-05-08
31/2-D-8 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-25	ED50	60	51	18.820000	N	3	26	43.680000	E	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285469	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285469	285469	2013-04-03	2013-05-08
31/2-E-1 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-19	ED50	60	48	1.250000	N	3	26	36.660000	E	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285497	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285497	285497	2013-04-03	2013-05-08
31/2-E-3 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	2003-04-01	ED50	60	47	59.320000	N	3	26	57.750000	E	330.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285525	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285525	285525	2013-04-03	2013-05-08
31/2-E-5 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-04-12	ED50	60	47	52.420000	N	3	26	34.650000	E	318.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285553	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285553	285553	2013-04-03	2013-05-08
31/2-E-6 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1997-04-18	ED50	60	47	51.340000	N	3	26	43.060000	E	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285581	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285581	285581	2013-04-03	2013-05-08
31/2-F-1 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-10-19	ED50	60	46	36.440000	N	3	26	9.190000	E	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285609	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285609	285609	2013-04-03	2013-05-08
31/2-F-4 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1997-04-13	ED50	60	46	31.610000	N	3	26	4.750000	E	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285637	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285637	285637	2013-04-03	2013-05-08
31/2-F-5 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-23	ED50	60	46	0.200000	N	3	25	26.900000	E	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285665	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285665	285665	2013-04-03	2013-05-08
31/2-F-6 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-23	ED50	60	46	28.140000	N	3	26	16.630000	E	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285693	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285693	285693	2013-04-03	2013-05-08
31/2-G-1 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-12-03	ED50	60	45	4.720000	N	3	26	22.180000	E	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285721	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285721	285721	2013-04-03	2013-05-08
6407/9-A-58 H	SHUT DOWN	N	A/S Norske Shell	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	1993-10-19	ED50	64	23	7.690000	N	7	57	37.470000	E	243.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285749	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285749	285749	2013-04-24	2013-05-08
31/2-G-3 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-21	ED50	60	45	19.160000	N	3	26	27.740000	E	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285777	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285777	285777	2013-04-03	2013-05-08
31/2-G-4 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-22	ED50	60	45	9.370000	N	3	26	21.770000	E	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285805	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285805	285805	2013-04-03	2013-05-08
31/2-G-6 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-12-10	ED50	60	45	8.670000	N	3	26	36.000000	E	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285833	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285833	285833	2013-04-03	2013-05-08
31/5-H-1 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-09-01	ED50	60	42	57.990000	N	3	30	39.370000	E	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285861	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285861	285861	2013-04-03	2013-05-08
31/5-H-2 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1997-01-19	ED50	60	43	49.050000	N	3	30	47.630000	E	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285889	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285889	285889	2013-04-03	2013-05-08
31/5-H-3 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1997-07-15	ED50	60	42	51.350000	N	3	30	49.360000	E	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285917	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285917	285917	2013-04-03	2013-05-08
31/5-H-4 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-09-04	ED50	60	42	55.150000	N	3	30	26.470000	E	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285945	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285945	285945	2013-04-03	2013-05-08
31/5-H-5 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-01-01	ED50	60	42	52.250000	N	3	30	24.530000	E	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285973	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285973	285973	2013-04-03	2013-05-08
31/5-H-6 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-12-23	ED50	60	42	46.850000	N	3	30	33.960000	E	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286001	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286001	286001	2013-04-03	2013-05-08
ELDFISK B-FL	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	ELDFISK	FIELD	43527	1979-08-01	ED50	56	25	5.660000	N	3	13	10.010000	E	70.000000	FLARE STACK	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286029	http://www.npd.no/FactMapSearch?npdid_facility_surface=286029	286029	9999-12-31	2013-05-08
31/3-Q-21 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	2004-04-01	ED50	60	49	55.180000	N	3	42	59.480000	E	333.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286057	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286057	286057	2013-04-03	2013-05-08
31/5-I-32 H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2003-03-01	ED50	60	43	0.040000	N	3	35	55.320000	E	315.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286085	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286085	286085	2013-04-03	2013-05-08
TEESSIDE	IN SERVICE	Y	ConocoPhillips Norge	ONSHORE FACILITY	NORPIPE OLJE-ANLEGG	TUF	124159	1975-10-14	ED50	54	37	33.000000	N	1	17	44.000000	W	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286113	http://www.npd.no/FactMapSearch?npdid_facility_surface=286113	286113	9999-12-31	2013-05-08
EMDEN	IN SERVICE	Y	GASSCO AS	ONSHORE FACILITY	GASSLED	TUF	2252643	1977-09-17	ED50	53	22	36.990000	N	7	13	7.990000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286141	http://www.npd.no/FactMapSearch?npdid_facility_surface=286141	286141	9999-12-31	2013-05-08
KÅRSTØ	IN SERVICE	Y	GASSCO AS	ONSHORE FACILITY	GASSLED	TUF	2252643	1985-10-01	ED50	59	16	24.100000	N	5	31	16.890000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286169	http://www.npd.no/FactMapSearch?npdid_facility_surface=286169	286169	9999-12-31	2013-05-08
KALSTØ	IN SERVICE	Y	GASSCO AS	ONSHORE FACILITY	STATPIPE	TUF	123940	1985-10-01	ED50	59	20	0.230000	N	5	11	42.530000	E	0.000000	LANDFALL	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286197	http://www.npd.no/FactMapSearch?npdid_facility_surface=286197	286197	9999-12-31	2013-05-08
ST.FERGUS	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	TUF	\N	1978-08-20	ED50	57	33	11.990000	N	1	51	0.000000	W	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286225	http://www.npd.no/FactMapSearch?npdid_facility_surface=286225	286225	9999-12-31	2013-05-08
STURE	IN SERVICE	Y	Statoil Petroleum AS	ONSHORE FACILITY	OSEBERG TRANSPORTSYSTEM	TUF	124301	1988-12-22	ED50	60	37	16.000000	N	4	51	4.000000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286253	http://www.npd.no/FactMapSearch?npdid_facility_surface=286253	286253	9999-12-31	2013-05-08
ZEEBRUGGE	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	TUF PART	\N	1993-10-01	ED50	51	20	25.000000	N	3	10	39.000000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286281	http://www.npd.no/FactMapSearch?npdid_facility_surface=286281	286281	9999-12-31	2013-05-08
TJELDBERGODDEN	IN SERVICE	Y	GASSCO AS	ONSHORE FACILITY	HALTENPIPE	TUF	124293	1996-11-11	ED50	63	23	40.750000	N	8	39	17.810000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286309	http://www.npd.no/FactMapSearch?npdid_facility_surface=286309	286309	9999-12-31	2013-05-08
ZEEPIPE TERMINAL	IN SERVICE	Y	GASSCO AS	ONSHORE FACILITY	GASSLED	TUF	2252643	1993-10-01	ED50	51	20	25.000000	N	3	10	40.000000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286337	http://www.npd.no/FactMapSearch?npdid_facility_surface=286337	286337	9999-12-31	2013-05-08
STAT-SSTC	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	STATPIPE 1	TUF PART	124002	1985-10-01	ED50	61	11	8.990000	N	1	50	45.370000	E	145.000000	T-CONNECTION	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286365	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286365	286365	9999-12-31	2013-05-08
EKOFISK SBM-1	REMOVED	Y	ConocoPhillips Skandinavia AS	LOADING SYSTEM	EKOFISK	FIELD	43506	9999-12-31	ED50	56	33	6.100000	N	3	12	44.220000	E	74.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286393	http://www.npd.no/FactMapSearch?npdid_facility_surface=286393	286393	9999-12-31	2013-05-08
EKOFISK SBM-2	REMOVED	Y	ConocoPhillips Skandinavia AS	LOADING SYSTEM	EKOFISK	FIELD	43506	9999-12-31	ED50	56	33	6.150000	N	3	12	44.300000	E	74.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286421	http://www.npd.no/FactMapSearch?npdid_facility_surface=286421	286421	9999-12-31	2013-05-08
UK-NL	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	STATFJORD	FIELD	43658	1985-10-01	ED50	61	10	2.940000	N	1	39	33.940000	E	44.000000	T-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286449	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286449	286449	9999-12-31	2013-05-08
ULA-Y	IN SERVICE	N	BP Norge AS	SUBSEA STRUCTURE	ULA OLJETRANSPORT	TUF	124285	1990-06-22	ED50	57	4	45.340000	N	2	50	53.660000	E	70.000000	Y-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286477	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286477	286477	9999-12-31	2013-05-08
STT-IN	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	STATPIPE 5	TUF PART	124054	1990-03-01	ED50	60	33	39.150000	N	2	53	48.730000	E	110.000000	T-CONNECTION	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286505	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286505	286505	9999-12-31	2013-05-08
ZEEPIPE-SCP	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	GASSLED	TUF	2252643	1993-10-01	ED50	54	47	22.180000	N	3	17	59.340000	E	41.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286533	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286533	286533	9999-12-31	2013-05-08
STATFJORD-A-ALP	REMOVED	Y	Statoil Petroleum AS	LOADING SYSTEM	STATFJORD	FIELD	43658	1979-11-24	ED50	61	15	48.610000	N	1	53	14.020000	E	145.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286561	http://www.npd.no/FactMapSearch?npdid_facility_surface=286561	286561	9999-12-31	2013-05-08
STATFJORD-B-SPM	REMOVED	Y	Statoil Petroleum AS	LOADING SYSTEM	STATFJORD	FIELD	43658	1982-11-05	ED50	61	12	25.000000	N	1	49	51.000000	E	145.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286589	http://www.npd.no/FactMapSearch?npdid_facility_surface=286589	286589	9999-12-31	2013-05-08
VESLEFRIKK T	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	STATPIPE 5	TUF PART	124054	1991-09-01	ED50	60	33	37.930000	N	2	53	53.000000	E	110.000000	T-CONNECTION	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286617	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286617	286617	9999-12-31	2013-05-08
37/4-BP	IN SERVICE	N	ConocoPhillips Skandinavia AS	SUBSEA STRUCTURE	NORPIPE OLJELEDNING	TUF	124133	1987-01-01	ED50	55	54	0.580000	N	1	36	44.000000	E	85.000000	BYPASS	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286645	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286645	286645	9999-12-31	2013-05-08
36/22-BP	IN SERVICE	N	ConocoPhillips Skandinavia AS	SUBSEA STRUCTURE	NORPIPE OLJELEDNING	TUF	124133	1983-01-01	ED50	55	17	27.200000	N	0	12	14.000000	E	73.000000	BYPASS	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286673	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286673	286673	9999-12-31	2013-05-08
MONGSTAD	IN SERVICE	Y	Statoil Petroleum AS	ONSHORE FACILITY	MONGSTAD TERMINAL	TUF	124360	1986-01-01	ED50	60	48	53.250000	N	5	2	12.320000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286701	http://www.npd.no/FactMapSearch?npdid_facility_surface=286701	286701	9999-12-31	2013-05-08
KOLLSNES	IN SERVICE	Y	GASSCO AS	ONSHORE FACILITY	GASSLED	TUF	2252643	1996-10-01	ED50	60	32	53.990000	N	4	50	43.450000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286729	http://www.npd.no/FactMapSearch?npdid_facility_surface=286729	286729	9999-12-31	2013-05-08
DUNKERQUE	IN SERVICE	Y	GASSCO AS	ONSHORE FACILITY	GASSLED	TUF	2252643	1998-07-01	ED50	51	2	39.980000	N	2	27	42.990000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286757	http://www.npd.no/FactMapSearch?npdid_facility_surface=286757	286757	9999-12-31	2013-05-08
HEIDRUN PLEM-1	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	HEIDRUN	FIELD	43771	1995-10-19	ED50	65	19	18.230000	N	7	22	42.280000	E	343.000000	PIPELINE END MANIFOLD	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286785	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286785	286785	9999-12-31	2013-05-08
HEIDRUN PLEM-2	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	HEIDRUN	FIELD	43771	1995-10-19	ED50	65	20	30.650000	N	7	21	55.830000	E	345.000000	PIPELINE END MANIFOLD	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286813	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286813	286813	9999-12-31	2013-05-08
EUROPIPE-SCP	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	GASSLED	TUF	2252643	1995-10-01	ED50	55	42	25.090000	N	4	13	21.440000	E	36.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286841	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286841	286841	9999-12-31	2013-05-08
OSEBERG-Y	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	OSEBERG	FIELD	43625	1991-09-01	ED50	60	34	51.740000	N	2	47	57.360000	E	110.000000	Y-CONNECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286869	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286869	286869	9999-12-31	2013-05-08
VIGDIS-Y	INSTALLATION	N	Statoil Petroleum AS	SUBSEA STRUCTURE	VIGDIS	FIELD	43732	9999-12-31	ED50	61	11	4.840000	N	2	10	20.150000	E	140.000000	Y-CONNECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286897	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286897	286897	9999-12-31	2013-05-08
GYDA-Y	INSTALLATION	N	Talisman Energy Norge AS	SUBSEA STRUCTURE	GYDA	FIELD	43492	1990-04-22	ED50	57	4	46.140000	N	2	50	49.910000	E	71.000000	Y-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286925	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286925	286925	9999-12-31	2013-05-08
VALHALL VTS	IN SERVICE	N	BP Norge AS	SUBSEA STRUCTURE	VALHALL	FIELD	43548	1998-08-18	ED50	56	29	33.670000	N	3	19	33.900000	E	70.000000	T-CONNECTION	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286953	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286953	286953	9999-12-31	2013-05-08
VALHALL SSPR	IN SERVICE	N	BP Norge AS	SUBSEA STRUCTURE	VALHALL	FIELD	43548	1998-08-18	ED50	56	29	32.980000	N	3	19	32.920000	E	70.000000	PIG RECIVER	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286981	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286981	286981	9999-12-31	2013-05-08
VALHALL BVS	IN SERVICE	N	BP Norge AS	SUBSEA STRUCTURE	VALHALL	FIELD	43548	1998-08-18	ED50	56	16	38.070000	N	3	23	51.480000	E	70.000000	VALVE	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287009	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287009	287009	9999-12-31	2013-05-08
BRAGE-T	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	STATPIPE 5	TUF PART	124054	1993-09-23	ED50	60	33	38.280000	N	2	53	53.000000	E	136.000000	T-CONNECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287037	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287037	287037	9999-12-31	2013-05-08
NORPIPE Y	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	NORPIPE GASSLEDNING	TUF	124165	1998-08-18	ED50	56	29	25.330000	N	3	19	49.810000	E	69.000000	Y-CONNECTION	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287065	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287065	287065	9999-12-31	2013-05-08
JOTUN T	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	STATPIPE 4A	TUF PART	1341660	1999-11-22	ED50	59	28	38.000000	N	2	13	59.000000	E	120.000000	T-CONNECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287093	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287093	287093	9999-12-31	2013-05-08
EMDEN SSIV	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	NORPIPE GASSLEDNING	TUF	124165	1998-08-18	ED50	56	32	49.060000	N	3	13	34.120000	E	77.000000	ISOLATION VALVE	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287121	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287121	287121	9999-12-31	2013-05-08
TEESSIDE SSIV	IN SERVICE	N	ConocoPhillips Skandinavia AS	SUBSEA STRUCTURE	NORPIPE OLJELEDNING	TUF	124133	1998-08-18	ED50	56	32	46.600000	N	3	13	12.790000	E	76.000000	ISOLATION VALVE	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287149	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287149	287149	9999-12-31	2013-05-08
JOTUN SSIV	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SUBSEA STRUCTURE	JOTUN	FIELD	43604	1999-11-22	ED50	59	27	27.100000	N	2	21	52.150000	E	126.000000	ISOLATION VALVE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287177	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287177	287177	9999-12-31	2013-05-08
STATFJ-NORD SSIV	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	STATFJORD NORD	FIELD	43679	1999-08-26	ED50	61	17	48.510000	N	1	54	32.350000	E	145.000000	ISOLATION VALVE	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287205	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287205	287205	9999-12-31	2013-05-08
FRANPIPE T	INSTALLATION	N	GASSCO AS	SUBSEA STRUCTURE	FRANPIPE	TUF	124202	1998-07-01	ED50	53	5	41.090000	N	3	7	48.390000	E	30.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287233	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287233	287233	9999-12-31	2013-05-08
NORNE/HEIDRUN T	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	2001-02-05	ED50	65	5	4.260000	N	6	48	5.260000	E	311.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287261	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287261	287261	9999-12-31	2013-05-08
GULLFAKS T	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	STATPIPE 1	TUF PART	124002	2001-02-01	ED50	61	5	46.790000	N	2	0	58.560000	E	136.000000	T-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287289	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287289	287289	9999-12-31	2013-05-08
GULLFAKS A SSIV	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	GULLFAKS	FIELD	43686	2001-02-01	ED50	61	10	33.980000	N	2	11	21.100000	E	135.000000	ISOLATION VALVE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287317	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287317	287317	9999-12-31	2013-05-08
GULLFAKS C SSIV	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	GULLFAKS	FIELD	43686	2001-02-01	ED50	61	12	53.800000	N	2	16	26.030000	E	215.000000	ISOLATION VALVE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287345	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287345	287345	9999-12-31	2013-05-08
DRAUGEN T	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	2000-10-10	ED50	64	13	59.720000	N	6	26	28.530000	E	345.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287373	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287373	287373	9999-12-31	2013-05-08
ÅSGARD T	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	9999-12-31	ED50	65	2	36.390000	N	6	39	18.110000	E	311.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287401	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287401	287401	9999-12-31	2013-05-08
KRISTIN T	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	2005-11-05	ED50	64	57	59.810000	N	6	46	11.210000	E	319.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287429	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287429	287429	9999-12-31	2013-05-08
MØRE T	INSTALLATION	N	GASSCO AS	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	9999-12-31	ED50	63	35	59.930000	N	5	59	36.970000	E	254.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287457	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287457	287457	9999-12-31	2013-05-08
VØRING T	INSTALLATION	N	GASSCO AS	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	9999-12-31	ED50	62	13	9.790000	N	4	35	56.910000	E	171.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287485	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287485	287485	9999-12-31	2013-05-08
FLORØ T	INSTALLATION	N	GASSCO AS	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	9999-12-31	ED50	61	24	5.470000	N	4	7	57.640000	E	345.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287513	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287513	287513	9999-12-31	2013-05-08
KOLLSNES T	INSTALLATION	N	GASSCO AS	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	9999-12-31	ED50	60	36	17.920000	N	4	15	47.280000	E	308.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287541	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287541	287541	9999-12-31	2013-05-08
SNORRE B SBV	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	SNORRE	FIELD	43718	2001-06-27	ED50	61	31	22.260000	N	2	12	45.270000	E	350.000000	ISOLATION VALVE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287569	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287569	287569	9999-12-31	2013-05-08
TOR II Y	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TROLL OLJERØR II	TUF PART	124194	2004-10-01	ED50	60	50	56.250000	N	4	3	37.000000	E	340.000000	Y-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287597	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287597	287597	9999-12-31	2013-05-08
VESTERLED T	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	VESTERLED	TUF	124280	2001-10-01	ED50	59	38	35.930000	N	1	19	8.310000	E	100.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287625	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287625	287625	9999-12-31	2013-05-08
NJORD T	IN SERVICE	N	A/S Norske Shell	SUBSEA STRUCTURE	DRAUGEN GASSEKSPORT	TUF	1035952	2007-12-10	ED50	64	12	19.360000	N	7	15	35.860000	E	330.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287653	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287653	287653	9999-12-31	2013-05-08
HEIDRUN STL-I	IN SERVICE	Y	Statoil Petroleum AS	LOADING SYSTEM	HEIDRUN	FIELD	43771	1995-10-19	ED50	65	19	13.990000	N	7	22	53.600000	E	343.000000	\N	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287681	http://www.npd.no/FactMapSearch?npdid_facility_surface=287681	287681	9999-12-31	2013-05-08
HEIDRUN STL-II	IN SERVICE	Y	Statoil Petroleum AS	LOADING SYSTEM	HEIDRUN	FIELD	43771	1995-10-19	ED50	65	20	37.030000	N	7	21	57.130000	E	353.000000	\N	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287709	http://www.npd.no/FactMapSearch?npdid_facility_surface=287709	287709	9999-12-31	2013-05-08
NJORD STL	IN SERVICE	Y	Statoil Petroleum AS	LOADING SYSTEM	NJORD	FIELD	43751	1997-10-01	ED50	64	16	19.420000	N	7	15	11.090000	E	101.000000	\N	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287737	http://www.npd.no/FactMapSearch?npdid_facility_surface=287737	287737	9999-12-31	2013-05-08
YME-STL	REMOVED	Y	Talisman Energy Norge AS	LOADING SYSTEM	YME	FIELD	43807	1996-02-27	ED50	57	50	3.480000	N	4	33	0.190000	E	94.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287765	http://www.npd.no/FactMapSearch?npdid_facility_surface=287765	287765	9999-12-31	2013-05-08
31/2-E-4 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-19	ED50	60	47	56.200000	N	3	26	31.840000	E	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=341363	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=341363	341363	2013-04-03	2013-05-08
25/11-A-19 H	IN SERVICE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2001-06-25	ED50	59	11	30.090000	N	2	21	31.680000	E	127.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=341394	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=341394	341394	9999-12-31	2013-05-08
HEIDRUN C	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	1995-08-15	ED50	65	17	10.860000	N	7	18	11.090000	E	327.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=356124	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=356124	356124	9999-12-31	2013-05-08
VIGDIS F	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	2003-10-18	ED50	61	19	14.450000	N	2	4	0.120000	E	220.000000	WATER INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=356166	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=356166	356166	9999-12-31	2013-05-08
DRAUGEN C	IN SERVICE	N	A/S Norske Shell	MULTI WELL TEMPLATE	DRAUGEN	FIELD	43758	1993-10-19	ED50	64	18	38.560000	N	7	44	18.270000	E	276.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=356244	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=356244	356244	9999-12-31	2013-05-08
SKIRNE	IN SERVICE	N	Total E&P Norge AS	MULTI WELL TEMPLATE	SKIRNE	FIELD	2138816	2004-03-03	ED50	59	35	8.010000	N	2	37	46.940000	E	120.000000	OIL PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=359717	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=359717	359717	9999-12-31	2013-05-08
BYGGVE	SHUT DOWN	N	Total E&P Norge AS	MULTI WELL TEMPLATE	SKIRNE	FIELD	2138816	2004-03-01	ED50	59	36	33.220000	N	2	28	32.070000	E	120.000000	GAS PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=359760	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=359760	359760	2013-02-26	2013-05-08
VIGDIS D	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	2003-10-18	ED50	61	20	44.210000	N	2	4	22.330000	E	250.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=359965	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=359965	359965	9999-12-31	2013-05-08
34/7-C-5 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VIGDIS	FIELD	43732	2003-10-18	ED50	61	22	47.220000	N	2	6	22.170000	E	280.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360009	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360009	360009	9999-12-31	2013-05-08
34/7-E-5 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VIGDIS	FIELD	43732	2003-10-18	ED50	61	21	57.780000	N	2	7	15.510000	E	280.000000	WATER INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360052	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360052	360052	9999-12-31	2013-05-08
KRISTIN S	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	KRISTIN	FIELD	1854729	2005-11-03	ED50	64	58	39.080000	N	6	26	5.690000	E	364.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360444	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360444	360444	9999-12-31	2013-05-08
KRISTIN N	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	KRISTIN	FIELD	1854729	2005-11-03	ED50	65	1	41.200000	N	6	28	46.580000	E	368.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360488	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360488	360488	9999-12-31	2013-05-08
KRISTIN R	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	KRISTIN	FIELD	1854729	2006-01-22	ED50	64	57	36.760000	N	6	26	18.790000	E	356.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360533	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360533	360533	9999-12-31	2013-05-08
KRISTIN P	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	KRISTIN	FIELD	1854729	2005-12-27	ED50	65	0	52.670000	N	6	26	17.570000	E	372.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360577	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360577	360577	9999-12-31	2013-05-08
ØST FRIGG CMS	REMOVED	N	Centrica Resources (Norge) AS	SUBSEA STRUCTURE	ØST FRIGG	FIELD	43576	1988-10-01	ED50	59	54	16.710000	N	2	21	46.480000	E	112.000000	MANIFOLD STATION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360641	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360641	360641	9999-12-31	2013-05-08
VALHALL FLANKE NORD	IN SERVICE	Y	BP Norge AS	JACKET 4 LEGS	VALHALL	FIELD	43548	2004-01-07	ED50	56	19	27.700000	N	3	21	9.510000	E	69.000000	WELLHEAD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=361248	http://www.npd.no/FactMapSearch?npdid_facility_surface=361248	361248	9999-12-31	2013-05-08
SLAGENTANGEN	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	59	19	6.440000	N	10	31	51.550000	E	0.000000	PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=363404	http://www.npd.no/FactMapSearch?npdid_facility_surface=363404	363404	9999-12-31	2013-05-08
MELKØYA	IN SERVICE	Y	Statoil Petroleum AS	ONSHORE FACILITY	MELKØYA LANDANLEGG	TUF	124383	2007-09-13	ED50	70	41	14.820000	N	23	35	58.020000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=363441	http://www.npd.no/FactMapSearch?npdid_facility_surface=363441	363441	9999-12-31	2013-05-08
GRANE SSIV	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	GRANE GASSRØR	TUF	1036213	2003-09-23	ED50	59	10	2.690000	N	2	29	14.210000	E	127.000000	ISOLATION VALVE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=363581	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=363581	363581	9999-12-31	2013-05-08
ÅSGARD Q	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2005-08-26	ED50	65	2	24.620000	N	6	56	30.750000	E	300.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=363659	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=363659	363659	9999-12-31	2013-05-08
OSEBERG VESTFLANKE	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	OSEBERG	FIELD	43625	2006-02-09	ED50	60	32	15.460000	N	2	41	8.180000	E	108.000000	OIL PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=363907	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=363907	363907	9999-12-31	2013-05-08
EKOFISK M	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET 4 LEGS	EKOFISK	FIELD	43506	2005-10-23	ED50	56	32	43.360000	N	3	13	22.960000	E	78.000000	OIL PRODUCER - WELLHEAD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364198	http://www.npd.no/FactMapSearch?npdid_facility_surface=364198	364198	9999-12-31	2013-05-08
EKOFISK M-BS	IN SERVICE	Y	ConocoPhillips Skandinavia AS	JACKET TRIPOD	EKOFISK	FIELD	43506	2005-10-23	ED50	56	32	43.360000	N	3	13	22.960000	E	78.000000	SUPPORT	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364234	http://www.npd.no/FactMapSearch?npdid_facility_surface=364234	364234	2013-04-11	2013-05-08
SNØHVIT D	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNØHVIT	FIELD	2053062	2007-08-21	ED50	71	35	31.800000	N	21	16	22.800000	E	337.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364278	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364278	364278	9999-12-31	2013-05-08
SNØHVIT E	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNØHVIT	FIELD	2053062	2007-08-21	ED50	71	35	40.300000	N	21	11	0.710000	E	336.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364315	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364315	364315	9999-12-31	2013-05-08
SNØHVIT F	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNØHVIT	FIELD	2053062	2008-04-22	ED50	71	36	39.700000	N	21	3	28.940000	E	318.000000	GAS INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364352	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364352	364352	9999-12-31	2013-05-08
SNØHVIT N	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SNØHVIT	FIELD	2053062	2007-08-21	ED50	71	29	18.700000	N	21	5	5.500000	E	325.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364390	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364390	364390	9999-12-31	2013-05-08
VISUND T	INSTALLATION	N	GASSCO AS	SUBSEA STRUCTURE	KVITEBJØRN GASSRØR	TUF	2417249	9999-12-31	ED50	61	4	0.000000	N	2	32	0.000000	E	185.000000	T-CONNECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364607	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364607	364607	9999-12-31	2013-05-08
NYHAMNA	IN SERVICE	Y	A/S Norske Shell	ONSHORE FACILITY	NYHAMNA LANDANLEGG	TUF	2455217	2007-09-13	ED50	62	50	52.060000	N	6	57	13.320000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364693	http://www.npd.no/FactMapSearch?npdid_facility_surface=364693	364693	9999-12-31	2013-05-08
NORNE J	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	URD	FIELD	2834734	2005-11-08	ED50	66	2	56.840000	N	8	10	16.880000	E	390.000000	OIL PRODUCER - WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364750	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364750	364750	9999-12-31	2013-05-08
NORNE G	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	URD	FIELD	2834734	2005-11-08	ED50	66	4	41.970000	N	8	14	55.750000	E	390.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364789	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364789	364789	9999-12-31	2013-05-08
NORNE H	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	URD	FIELD	2834734	2005-11-08	ED50	66	4	39.460000	N	8	15	2.980000	E	390.000000	WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364827	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364827	364827	9999-12-31	2013-05-08
15/6-A-2 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2001-08-29	ED50	58	42	46.300000	N	1	40	5.800000	E	112.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364886	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364886	364886	2013-01-25	2013-05-08
15/6-A-3 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2001-08-29	ED50	58	42	46.610000	N	1	40	5.410000	E	112.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364927	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364927	364927	2013-01-25	2013-05-08
15/6-A-4 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2001-08-29	ED50	58	42	44.300000	N	1	40	5.700000	E	112.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365003	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=365003	365003	2013-01-25	2013-05-08
15/6-A-5 H	SHUT DOWN	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GLITNE	FIELD	1272071	2003-09-30	ED50	58	42	46.180000	N	1	40	0.660000	E	112.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365044	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=365044	365044	2013-01-25	2013-05-08
30/8-A-21 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TUNE	FIELD	853376	2009-07-18	ED50	60	27	26.460000	N	2	36	29.020000	E	93.000000	GAS PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365211	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=365211	365211	9999-12-31	2013-05-08
BYGNES	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	59	17	56.990000	N	5	18	17.150000	E	0.000000	LANDFALL	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365267	http://www.npd.no/FactMapSearch?npdid_facility_surface=365267	365267	9999-12-31	2013-05-08
ÅSGARD RB	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	ÅSGARD	FIELD	43765	2005-08-26	ED50	65	3	59.900000	N	6	43	38.300000	E	315.000000	RISER BASE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365658	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=365658	365658	9999-12-31	2013-05-08
FRIGG QP	DECOMMISSIONED	Y	\N	JACKET 4 LEGS	\N	\N	\N	9999-12-31	ED50	59	52	48.480000	N	2	3	59.400000	E	102.000000	QUARTER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365776	http://www.npd.no/FactMapSearch?npdid_facility_surface=365776	365776	9999-12-31	2013-05-08
KRISTIN	IN SERVICE	Y	Statoil Petroleum AS	SEMISUB STEEL	KRISTIN	FIELD	1854729	2005-11-03	ED50	64	59	38.240000	N	6	33	4.830000	E	360.000000	GAS PRODUCER - OIL PRODUCER - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=368635	http://www.npd.no/FactMapSearch?npdid_facility_surface=368635	368635	9999-12-31	2013-05-08
EASINGTON	IN SERVICE	Y	GASSCO AS	ONSHORE FACILITY	LANGELED	TUF	2450169	2006-10-01	ED50	53	38	30.000000	N	0	9	20.000000	E	0.000000	TERMINAL	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=369424	http://www.npd.no/FactMapSearch?npdid_facility_surface=369424	369424	9999-12-31	2013-05-08
34/8-A-33 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2005-10-18	ED50	61	22	13.190000	N	2	27	33.250000	E	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=370415	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=370415	370415	9999-12-31	2013-05-08
SNØHVIT CDU-1	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	SNØHVIT	FIELD	2053062	2007-08-21	ED50	71	34	9.480000	N	21	13	39.120000	E	325.000000	DISTRIBUTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=370616	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=370616	370616	9999-12-31	2013-05-08
SNØHVIT PLEM-1	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	SNØHVIT	FIELD	2053062	2007-08-21	ED50	71	34	16.810000	N	21	13	35.530000	E	325.000000	PIPELINE END MANIFOLD	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=370654	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=370654	370654	9999-12-31	2013-05-08
ORMEN LANGE A	IN SERVICE	N	A/S Norske Shell	MULTI WELL TEMPLATE	ORMEN LANGE	FIELD	2762452	2007-09-13	ED50	63	29	48.330000	N	5	23	11.470000	E	850.000000	GAS PRODUCER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371178	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371178	371178	9999-12-31	2013-05-08
ORMEN LANGE B	IN SERVICE	N	A/S Norske Shell	MULTI WELL TEMPLATE	ORMEN LANGE	FIELD	2762452	2007-09-13	ED50	63	31	42.130000	N	5	23	16.420000	E	850.000000	GAS PRODUCER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371216	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371216	371216	9999-12-31	2013-05-08
FRAM B1	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	FRAM	FIELD	1578840	2006-10-30	ED50	61	2	21.760000	N	3	34	32.650000	E	355.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371482	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371482	371482	9999-12-31	2013-05-08
FRAM B2	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	FRAM	FIELD	1578840	2006-10-30	ED50	61	2	34.020000	N	3	35	59.190000	E	355.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371520	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371520	371520	9999-12-31	2013-05-08
FRAM T-1	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	FRAM	FIELD	1578840	2006-10-30	ED50	61	1	27.250000	N	3	34	24.810000	E	360.000000	T-CONNECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371558	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371558	371558	9999-12-31	2013-05-08
FRAM T-2	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	FRAM	FIELD	1578840	2006-10-30	ED50	61	1	27.950000	N	3	34	26.290000	E	360.000000	T-CONNECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371595	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371595	371595	9999-12-31	2013-05-08
URD T	INSTALLATION	N	Statoil Petroleum AS	SUBSEA STRUCTURE	URD	FIELD	2834734	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	390.000000	T-CONNECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=372144	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=372144	372144	9999-12-31	2013-05-08
NORNE K	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	NORNE	FIELD	43778	2006-10-18	ED50	66	0	49.000000	N	8	3	14.000000	E	376.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=372501	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=372501	372501	9999-12-31	2013-05-08
SKINFAKS N	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	2007-01-27	ED50	61	4	44.380000	N	1	59	23.470000	E	140.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=372538	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=372538	372538	9999-12-31	2013-05-08
33/12-N-5	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	2007-01-27	ED50	61	2	37.960000	N	1	58	55.880000	E	140.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=372575	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=372575	372575	9999-12-31	2013-05-08
MURCHISON A	IN SERVICE	Y	\N	JACKET 12 LEGS	\N	\N	\N	1980-09-28	ED50	61	23	48.260000	N	1	44	27.250000	E	156.000000	DRILLING - OIL PRODUCER - QUARTER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=372759	http://www.npd.no/FactMapSearch?npdid_facility_surface=372759	372759	9999-12-31	2013-05-08
ALWYN NORTH B	IN SERVICE	Y	\N	JACKET 8 LEGS	\N	\N	\N	1987-11-01	ED50	60	48	36.420000	N	1	44	6.870000	E	126.000000	PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=372850	http://www.npd.no/FactMapSearch?npdid_facility_surface=372850	372850	9999-12-31	2013-05-08
1/2-1 PW	IN SERVICE	N	Talisman Energy Norge AS	SINGLE WELL TEMPLATE	BLANE	FIELD	3437650	2007-09-12	ED50	56	54	29.860000	N	2	27	14.390000	E	74.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=373030	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=373030	373030	9999-12-31	2013-05-08
1/2-1 PE	IN SERVICE	N	Talisman Energy Norge AS	SINGLE WELL TEMPLATE	BLANE	FIELD	3437650	2007-09-12	ED50	56	54	29.870000	N	2	27	15.870000	E	74.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=373068	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=373068	373068	9999-12-31	2013-05-08
1/2-1 IM	IN SERVICE	N	Talisman Energy Norge AS	SINGLE WELL TEMPLATE	BLANE	FIELD	3437650	2007-09-12	ED50	56	54	30.570000	N	2	27	15.120000	E	74.000000	WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=373104	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=373104	373104	9999-12-31	2013-05-08
OSEBERG DELTA	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	OSEBERG	FIELD	43625	2008-06-27	ED50	60	28	5.230000	N	2	40	53.740000	E	101.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=374139	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=374139	374139	9999-12-31	2013-05-08
25/4-D1 H	IN SERVICE	N	Marathon Oil Norge AS	SINGLE WELL TEMPLATE	VILJE	FIELD	3392471	2008-08-01	ED50	59	39	22.040000	N	2	16	40.900000	E	122.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=374865	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=374865	374865	2012-09-19	2013-05-08
KNELER A	IN SERVICE	N	Marathon Oil Norge AS	MULTI WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	ED50	59	32	52.140000	N	2	1	8.650000	E	119.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375056	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375056	375056	9999-12-31	2013-05-08
KNELER B	IN SERVICE	N	Marathon Oil Norge AS	MULTI WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	ED50	59	32	47.530000	N	1	59	19.140000	E	124.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375092	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375092	375092	9999-12-31	2013-05-08
25/4-J-2 H	IN SERVICE	N	Marathon Oil Norge AS	SINGLE WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	ED50	59	34	53.620000	N	2	3	30.810000	E	123.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375130	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375130	375130	9999-12-31	2013-05-08
25/4-J-1 H	IN SERVICE	N	Marathon Oil Norge AS	SINGLE WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	ED50	59	34	54.470000	N	2	3	28.180000	E	123.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375168	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375168	375168	9999-12-31	2013-05-08
ALVHEIM FPSO	IN SERVICE	Y	Marathon Oil Norge AS	FPSO	ALVHEIM	FIELD	2845712	2008-06-08	ED50	59	34	3.060000	N	1	59	54.420000	E	125.000000	OFFLOADING - OIL PRODUCER - PROCESSING - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375206	http://www.npd.no/FactMapSearch?npdid_facility_surface=375206	375206	2012-09-21	2013-05-08
BOA	IN SERVICE	N	Marathon Oil Norge AS	MULTI WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	ED50	59	34	35.580000	N	1	55	25.340000	E	125.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375245	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375245	375245	9999-12-31	2013-05-08
ØST KAMELEON	IN SERVICE	N	Marathon Oil Norge AS	MULTI WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	ED50	59	35	9.120000	N	2	5	10.760000	E	123.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375282	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375282	375282	9999-12-31	2013-05-08
SAGE-T	IN SERVICE	N	\N	SUBSEA STRUCTURE	\N	\N	\N	2009-06-08	ED50	59	28	42.560000	N	1	23	24.140000	E	120.000000	T-CONNECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375390	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375390	375390	9999-12-31	2013-05-08
25/4-E1 H	IN SERVICE	N	Marathon Oil Norge AS	SINGLE WELL TEMPLATE	VILJE	FIELD	3392471	2008-08-01	ED50	59	39	22.930000	N	2	16	42.240000	E	122.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=376298	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=376298	376298	2012-09-19	2013-05-08
NAVION SAGA	IN SERVICE	Y	Statoil Petroleum AS	FSU	VOLVE	FIELD	3420717	2008-02-12	ED50	58	27	40.890000	N	1	54	30.430000	E	90.000000	OFFLOADING - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=376822	http://www.npd.no/FactMapSearch?npdid_facility_surface=376822	376822	9999-12-31	2013-05-08
FLAGS-T	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	TAMPEN LINK	TUF	3113815	2007-10-12	ED50	61	1	16.990000	N	1	41	55.850000	E	140.000000	T-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377070	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377070	377070	2013-01-24	2013-05-08
NATURKRAFT	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	2007-11-01	ED50	59	16	24.100000	N	5	31	16.890000	E	0.000000	GAS POWER PLANT	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377181	http://www.npd.no/FactMapSearch?npdid_facility_surface=377181	377181	9999-12-31	2013-05-08
H-7 BP	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	NORPIPE GASSLEDNING	TUF	124165	2007-06-25	ED50	54	30	33.110000	N	6	2	9.150000	E	40.000000	BYPASS	28	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377218	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377218	377218	9999-12-31	2013-05-08
15/5-A-7 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2007-11-30	ED50	58	42	45.200000	N	1	37	51.700000	E	109.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377347	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377347	377347	2013-01-25	2013-05-08
TORDIS SSIB	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	TORDIS	FIELD	43725	2008-02-14	ED50	61	16	29.200000	N	2	6	54.830000	E	210.000000	BOOSTER - SEPARATION - WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377386	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377386	377386	9999-12-31	2013-05-08
VIGDIS G	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	2008-03-19	ED50	61	22	45.080000	N	2	6	22.440000	E	280.000000	OIL PRODUCER - WATER INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377425	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377425	377425	9999-12-31	2013-05-08
TYRIHANS A	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TYRIHANS	FIELD	3960848	2009-07-08	ED50	64	53	20.250000	N	7	4	16.840000	E	286.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377615	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377615	377615	9999-12-31	2013-05-08
TYRIHANS B	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TYRIHANS	FIELD	3960848	2009-07-08	ED50	64	48	41.780000	N	7	3	24.410000	E	273.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377652	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377652	377652	9999-12-31	2013-05-08
TYRIHANS C	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TYRIHANS	FIELD	3960848	2009-07-08	ED50	64	47	23.500000	N	7	0	42.220000	E	268.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377689	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377689	377689	9999-12-31	2013-05-08
TYRIHANS D	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TYRIHANS	FIELD	3960848	2009-07-08	ED50	64	46	47.060000	N	6	59	26.580000	E	266.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377726	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377726	377726	9999-12-31	2013-05-08
TYRIHANS W	INSTALLATION	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	TYRIHANS	FIELD	3960848	9999-12-31	ED50	64	50	5.690000	N	7	0	55.140000	E	282.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377763	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377763	377763	9999-12-31	2013-05-08
35/11-B-31 H	INSTALLATION	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	FRAM	FIELD	1578840	9999-12-31	ED50	61	2	25.060000	N	3	34	33.920000	E	356.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=378110	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=378110	378110	9999-12-31	2013-05-08
15/12-C	IN SERVICE	N	Talisman Energy Norge AS	MULTI WELL TEMPLATE	REV	FIELD	4467554	2009-01-26	ED50	58	1	40.680000	N	1	55	28.340000	E	113.000000	GAS PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=378147	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=378147	378147	9999-12-31	2013-05-08
ARMADA	IN SERVICE	Y	\N	JACKET 4 LEGS	\N	\N	\N	1997-10-01	ED50	57	57	26.770000	N	1	50	45.280000	E	110.000000	PROCESSING - QUARTER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=378185	http://www.npd.no/FactMapSearch?npdid_facility_surface=378185	378185	9999-12-31	2013-05-08
ALVE	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ALVE	FIELD	4444332	2009-03-19	ED50	65	58	6.400000	N	7	48	36.370000	E	390.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=378362	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=378362	378362	9999-12-31	2013-05-08
6407/9-D-3 H	IN SERVICE	N	A/S Norske Shell	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2008-09-27	ED50	64	21	39.200000	N	7	42	45.800000	E	254.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=391161	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=391161	391161	9999-12-31	2013-05-08
6407/9-E-3 H	IN SERVICE	N	A/S Norske Shell	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2008-06-15	ED50	64	15	44.100000	N	7	43	55.380000	E	293.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=391213	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=391213	391213	9999-12-31	2013-05-08
ÅSGARD D	FUTURE	N	\N	SINGLE WELL TEMPLATE	\N	\N	\N	9999-12-31	ED50	65	4	5.070000	N	6	36	40.440000	E	300.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=391270	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=391270	391270	9999-12-31	2013-05-08
GJØA-T	IN SERVICE	N	GDF SUEZ E&P Norge AS	SUBSEA STRUCTURE	GJØA	FIELD	4467574	2010-11-10	ED50	61	1	14.800000	N	1	42	0.810000	E	150.000000	T-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=406731	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=406731	406731	2013-01-24	2013-05-08
6507/11-8 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	YTTERGRYTA	FIELD	4973114	2009-01-06	ED50	65	6	41.800000	N	7	30	33.200000	E	297.000000	GAS PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=394760	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=394760	394760	9999-12-31	2013-05-08
34/7-R-1 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	2008-02-14	ED50	61	16	32.220000	N	2	6	54.690000	E	229.000000	WATER INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=394821	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=394821	394821	9999-12-31	2013-05-08
6407/7-A-4 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	2004-01-31	ED50	64	16	14.590000	N	7	12	5.770000	E	330.000000	GAS INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=395215	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=395215	395215	9999-12-31	2013-05-08
MTS SSIV	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	OSEBERG	FIELD	43625	1992-03-01	\N	\N	\N	\N	N	\N	\N	\N	E	108.000000	ISOLATION VALVE	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=395321	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=395321	395321	9999-12-31	2013-05-08
KRISTIN Q	INSTALLATION	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	KRISTIN	FIELD	1854729	9999-12-31	ED50	64	52	52.180000	N	6	26	5.770000	E	360.000000	GAS PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=395591	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=395591	395591	9999-12-31	2013-05-08
15/12-D	IN SERVICE	N	Talisman Energy Norge AS	SINGLE WELL TEMPLATE	REV	FIELD	4467554	2009-09-01	ED50	58	1	42.620000	N	1	55	23.630000	E	113.000000	GAS PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=402804	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=402804	402804	9999-12-31	2013-05-08
YME MOPUStor	INSTALLATION	Y	Talisman Energy Norge AS	MOPUStor	YME	FIELD	43807	9999-12-31	ED50	57	48	57.920000	N	4	32	7.570000	E	93.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403167	http://www.npd.no/FactMapSearch?npdid_facility_surface=403167	403167	9999-12-31	2013-05-08
GJØA B	IN SERVICE	N	GDF SUEZ E&P Norge AS	MULTI WELL TEMPLATE	GJØA	FIELD	4467574	2010-11-07	ED50	61	20	25.110000	N	3	57	31.270000	E	350.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403298	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403298	403298	9999-12-31	2013-05-08
GJØA C	IN SERVICE	N	GDF SUEZ E&P Norge AS	MULTI WELL TEMPLATE	GJØA	FIELD	4467574	2010-11-07	ED50	61	20	27.030000	N	3	57	30.050000	E	350.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403356	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403356	403356	9999-12-31	2013-05-08
GJØA D	IN SERVICE	N	GDF SUEZ E&P Norge AS	MULTI WELL TEMPLATE	GJØA	FIELD	4467574	2010-11-07	ED50	61	20	28.760000	N	3	57	32.120000	E	350.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403414	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403414	403414	9999-12-31	2013-05-08
GJØA E	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VEGA	FIELD	4467595	2010-11-07	ED50	61	21	49.100000	N	4	0	53.080000	E	370.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403472	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403472	403472	9999-12-31	2013-05-08
GJØA F	IN SERVICE	N	GDF SUEZ E&P Norge AS	SINGLE WELL TEMPLATE	GJØA	FIELD	4467574	2010-11-07	ED50	61	23	17.540000	N	3	58	52.160000	E	370.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403530	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403530	403530	9999-12-31	2013-05-08
BRAEFOOT BAY	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	56	29	19.190000	N	2	45	37.380000	W	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403588	http://www.npd.no/FactMapSearch?npdid_facility_surface=403588	403588	9999-12-31	2013-05-08
YME BETA	INSTALLATION	N	Talisman Energy Norge AS	MULTI WELL TEMPLATE	YME	FIELD	43807	9999-12-31	ED50	57	45	22.680000	N	4	22	7.390000	E	79.000000	OIL PRODUCER - WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403775	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403775	403775	9999-12-31	2013-05-08
YME SLS	INSTALLATION	N	Talisman Energy Norge AS	LOADING SYSTEM	YME	FIELD	43807	9999-12-31	ED50	57	49	27.060000	N	4	33	26.600000	E	93.000000	OFFLOADING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=404044	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=404044	404044	9999-12-31	2013-05-08
MOR-A	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	MORVIN	FIELD	4966234	2010-08-01	ED50	65	8	13.100000	N	6	28	40.350000	E	360.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=405160	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=405160	405160	9999-12-31	2013-05-08
MOR-B	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	MORVIN	FIELD	4966234	2010-08-01	ED50	65	9	47.350000	N	6	29	50.090000	E	360.000000	GAS INJECTION - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=405219	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=405219	405219	9999-12-31	2013-05-08
LANGELED SSVS	IN SERVICE	N	GASSCO AS	SUBSEA STRUCTURE	LANGELED	TUF	2450169	2007-09-13	\N	\N	\N	\N	N	\N	\N	\N	E	83.000000	VALVE	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=405699	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=405699	405699	9999-12-31	2013-05-08
VALHALL PH	IN SERVICE	Y	BP Norge AS	JACKET 4 LEGS	VALHALL	FIELD	43548	2013-01-26	ED50	56	16	31.880000	N	3	23	44.090000	E	74.000000	PROCESSING - QUARTER	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=406276	http://www.npd.no/FactMapSearch?npdid_facility_surface=406276	406276	2013-01-29	2013-05-08
SKARV ERB	IN SERVICE	N	BP Norge AS	SUBSEA STRUCTURE	SKARV	FIELD	4704482	2012-11-10	ED50	65	41	39.100000	N	7	39	16.030000	E	369.000000	RISER BASE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=406335	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=406335	406335	2013-01-08	2013-05-08
ORMEN LANGE D	IN SERVICE	N	A/S Norske Shell	MULTI WELL TEMPLATE	ORMEN LANGE	FIELD	2762452	2010-07-12	ED50	63	23	10.820000	N	5	18	49.510000	E	854.000000	GAS PRODUCER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=406437	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=406437	406437	9999-12-31	2013-05-08
GJØA	IN SERVICE	Y	GDF SUEZ E&P Norge AS	SEMISUB STEEL	GJØA	FIELD	4467574	2010-11-07	ED50	61	19	56.510000	N	3	53	48.550000	E	360.000000	PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=406672	http://www.npd.no/FactMapSearch?npdid_facility_surface=406672	406672	9999-12-31	2013-05-08
VEGA NORD	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VEGA	FIELD	4467595	2010-12-02	ED50	61	22	16.220000	N	3	22	36.810000	E	377.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=407790	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=407790	407790	9999-12-31	2013-05-08
VEGA SENTRAL	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VEGA	FIELD	4467595	2010-12-02	ED50	61	15	42.090000	N	3	21	31.790000	E	378.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=407849	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=407849	407849	9999-12-31	2013-05-08
VEGA SØR	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VEGA	FIELD	4467595	2010-12-02	ED50	61	10	26.110000	N	3	26	29.450000	E	368.000000	GAS PRODUCER - OIL PRODUCER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=407908	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=407908	407908	2012-09-01	2013-05-08
VOLUND	IN SERVICE	N	Marathon Oil Norge AS	MULTI WELL TEMPLATE	VOLUND	FIELD	4380167	2009-09-16	ED50	59	29	45.820000	N	1	57	54.440000	E	124.000000	OIL PRODUCER - WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408227	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408227	408227	2013-03-05	2013-05-08
SKARV A	IN SERVICE	N	BP Norge AS	MULTI WELL TEMPLATE	SKARV	FIELD	4704482	2012-12-31	ED50	65	44	19.230000	N	7	39	21.170000	E	324.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408458	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408458	408458	2013-01-08	2013-05-08
TILJE	IN SERVICE	N	BP Norge AS	MULTI WELL TEMPLATE	SKARV	FIELD	4704482	2012-12-31	ED50	65	44	17.530000	N	7	39	5.260000	E	324.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408517	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408517	408517	2013-01-08	2013-05-08
SKARV B/C VEST	IN SERVICE	N	BP Norge AS	MULTI WELL TEMPLATE	SKARV	FIELD	4704482	2012-12-31	ED50	65	42	14.080000	N	7	35	20.690000	E	375.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408576	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408576	408576	2013-01-08	2013-05-08
SKARV B/C ØST	IN SERVICE	N	BP Norge AS	MULTI WELL TEMPLATE	SKARV	FIELD	4704482	2012-12-31	ED50	65	42	15.730000	N	7	35	28.640000	E	375.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408635	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408635	408635	2013-01-08	2013-05-08
IDUN	IN SERVICE	N	BP Norge AS	MULTI WELL TEMPLATE	SKARV	FIELD	4704482	2012-12-31	ED50	65	47	53.970000	N	7	43	14.500000	E	393.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408694	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408694	408694	2013-01-08	2013-05-08
30/4-D-1 AH	INSTALLATION	N	Total E&P Norge AS	SINGLE WELL TEMPLATE	MARTIN LINGE	FIELD	21675447	9999-12-31	ED50	60	30	15.400000	N	2	2	49.600000	E	119.000000	DRILLING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408991	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408991	408991	2012-06-14	2013-05-08
EKOFISK VA	IN SERVICE	N	ConocoPhillips Skandinavia AS	MULTI WELL TEMPLATE	EKOFISK	FIELD	43506	2010-04-30	ED50	56	32	9.150000	N	3	30	16.600000	E	73.000000	WATER INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=409166	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=409166	409166	9999-12-31	2013-05-08
ENERGIVERK MONGSTAD	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	2009-09-28	\N	\N	\N	\N	N	\N	\N	\N	E	0.000000	GAS POWER PLANT	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=409313	http://www.npd.no/FactMapSearch?npdid_facility_surface=409313	409313	9999-12-31	2013-05-08
NORNE M	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	NORNE	FIELD	43778	2010-05-01	ED50	66	0	17.740000	N	8	1	55.520000	E	375.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=409423	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=409423	409423	2013-03-16	2013-05-08
15/6-A-6 H	SHUT DOWN	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2004-08-01	ED50	58	41	38.590000	N	1	40	25.170000	E	112.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=409489	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=409489	409489	2013-01-25	2013-05-08
31/5-Z-1H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	2011-03-01	ED50	60	44	25.870000	N	3	30	39.620000	E	320.000000	GAS INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=409848	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=409848	409848	9999-12-31	2013-05-08
31/5-Z-2H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	2011-03-01	ED50	60	42	50.910000	N	3	30	15.980000	E	318.000000	GAS INJECTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=409905	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=409905	409905	9999-12-31	2013-05-08
TRYM	IN SERVICE	N	DONG E&P Norge AS	MULTI WELL TEMPLATE	TRYM	FIELD	18081500	2011-02-12	ED50	56	22	54.790000	N	4	14	15.070000	E	65.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410130	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410130	410130	9999-12-31	2013-05-08
34/8-A-16 A	FUTURE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	335.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410260	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410260	410260	9999-12-31	2013-05-08
34/8-A-17 A	FUTURE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	335.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410315	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410315	410315	9999-12-31	2013-05-08
LISTA	INSTALLATION	Y	\N	LANDFALL	\N	\N	\N	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	0.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410491	http://www.npd.no/FactMapSearch?npdid_facility_surface=410491	410491	9999-12-31	2013-05-08
OSELVAR	IN SERVICE	N	DONG E&P Norge AS	MULTI WELL TEMPLATE	OSELVAR	FIELD	5506919	2012-04-14	ED50	56	55	59.000000	N	2	40	16.000000	E	72.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410592	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410592	410592	9999-12-31	2013-05-08
GUDRUN	INSTALLATION	Y	Statoil Petroleum AS	JACKET 4 LEGS	GUDRUN	FIELD	18116481	9999-12-31	ED50	58	50	42.800000	N	1	44	37.400000	E	109.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410651	http://www.npd.no/FactMapSearch?npdid_facility_surface=410651	410651	2013-04-20	2013-05-08
15/12-E-1 H	IN SERVICE	N	BG Norge AS	SINGLE WELL TEMPLATE	GAUPE	FIELD	18161341	2012-03-31	ED50	58	0	42.990000	N	1	55	31.500000	E	87.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410712	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410712	410712	2012-06-23	2013-05-08
6/3-A-1 H	IN SERVICE	N	BG Norge AS	SINGLE WELL TEMPLATE	GAUPE	FIELD	18161341	2012-03-31	ED50	57	57	31.940000	N	1	55	47.340000	E	85.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410771	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410771	410771	2012-06-23	2013-05-08
MARULK	IN SERVICE	N	Eni Norge AS	MULTI WELL TEMPLATE	MARULK	FIELD	18212090	2012-04-02	ED50	65	56	0.510000	N	7	32	37.100000	E	368.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410829	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410829	410829	9999-12-31	2013-05-08
GOLIAT FPSO	FABRICATION	Y	Eni Norge AS	FPSO	GOLIAT	FIELD	5774394	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	371.000000	OFFLOADING - OIL PRODUCER - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410887	http://www.npd.no/FactMapSearch?npdid_facility_surface=410887	410887	9999-12-31	2013-05-08
GOLIAT B	INSTALLATION	N	Eni Norge AS	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	9999-12-31	ED50	71	17	11.030000	N	22	17	6.510000	E	387.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410948	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410948	410948	9999-12-31	2013-05-08
GOLIAT C	INSTALLATION	N	Eni Norge AS	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	9999-12-31	ED50	71	16	39.170000	N	22	16	43.540000	E	376.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411006	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411006	411006	9999-12-31	2013-05-08
GOLIAT D	INSTALLATION	N	Eni Norge AS	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	9999-12-31	ED50	71	15	35.720000	N	22	15	42.550000	E	350.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411064	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411064	411064	9999-12-31	2013-05-08
GOLIAT E	INSTALLATION	N	Eni Norge AS	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	9999-12-31	ED50	71	14	36.080000	N	22	15	0.540000	E	323.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411122	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411122	411122	9999-12-31	2013-05-08
GOLIAT F	INSTALLATION	N	Eni Norge AS	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	9999-12-31	ED50	71	15	33.840000	N	22	15	35.760000	E	350.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411180	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411180	411180	9999-12-31	2013-05-08
GOLIAT G	INSTALLATION	N	Eni Norge AS	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	9999-12-31	ED50	71	18	16.300000	N	22	18	38.020000	E	394.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411238	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411238	411238	9999-12-31	2013-05-08
GOLIAT H	INSTALLATION	N	Eni Norge AS	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	9999-12-31	ED50	71	17	11.430000	N	22	17	17.230000	E	387.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411296	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411296	411296	9999-12-31	2013-05-08
GOLIAT I	INSTALLATION	N	Eni Norge AS	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	9999-12-31	ED50	71	14	32.810000	N	22	15	4.220000	E	327.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411354	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411354	411354	9999-12-31	2013-05-08
HARALD A	IN SERVICE	Y	\N	JACKET 4 LEGS	\N	\N	\N	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	0.000000	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=412931	http://www.npd.no/FactMapSearch?npdid_facility_surface=412931	412931	9999-12-31	2013-05-08
ÅSGARD NB	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2012-02-10	ED50	65	13	1.200000	N	6	54	29.770000	E	301.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=413766	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=413766	413766	9999-12-31	2013-05-08
SKARV FPSO	IN SERVICE	Y	BP Norge AS	FPSO	SKARV	FIELD	4704482	2012-12-31	ED50	65	41	52.000000	N	7	39	3.910000	E	368.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=414071	http://www.npd.no/FactMapSearch?npdid_facility_surface=414071	414071	2013-04-13	2013-05-08
VISUND SØR	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	VISUND SØR	FIELD	20461008	2012-11-22	ED50	61	18	2.030000	N	2	21	49.350000	E	292.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=414939	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=414939	414939	2012-11-24	2013-05-08
25/5-D-1 H	IN SERVICE	N	Total E&P Norge AS	SINGLE WELL TEMPLATE	ATLA	FIELD	21106284	2012-10-07	ED50	59	39	36.280000	N	2	34	9.640000	E	119.000000	GAS PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=415159	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=415159	415159	2012-10-09	2013-05-08
ORMEN LANGE C	IN SERVICE	N	A/S Norske Shell	MULTI WELL TEMPLATE	ORMEN LANGE	FIELD	2762452	2012-11-15	ED50	63	34	21.990000	N	5	20	54.310000	E	925.000000	GAS PRODUCER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=415218	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=415218	415218	2013-04-24	2013-05-08
BLAREGNIES	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	50	21	23.000000	N	3	53	40.000000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416127	http://www.npd.no/FactMapSearch?npdid_facility_surface=416127	416127	9999-12-31	2013-05-08
CATS	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	54	37	32.990000	N	1	21	5.560000	W	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416189	http://www.npd.no/FactMapSearch?npdid_facility_surface=416189	416189	9999-12-31	2013-05-08
COL DE LARRAU	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	43	1	0.000000	N	0	56	0.000000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416247	http://www.npd.no/FactMapSearch?npdid_facility_surface=416247	416247	9999-12-31	2013-05-08
CRUDEN BAY	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	57	23	49.000000	N	1	50	42.000000	W	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416305	http://www.npd.no/FactMapSearch?npdid_facility_surface=416305	416305	9999-12-31	2013-05-08
DALMENY	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	57	23	47.190000	N	1	50	43.990000	W	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416363	http://www.npd.no/FactMapSearch?npdid_facility_surface=416363	416363	9999-12-31	2013-05-08
DEN HELDER	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	52	57	11.980000	N	4	43	59.980000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416421	http://www.npd.no/FactMapSearch?npdid_facility_surface=416421	416421	9999-12-31	2013-05-08
EUROPIPE	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	56	40	53.000000	N	7	31	55.000000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416537	http://www.npd.no/FactMapSearch?npdid_facility_surface=416537	416537	9999-12-31	2013-05-08
FREDERICIA	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	55	34	33.560000	N	9	46	49.940000	E	0.000000	LANDFALL	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416595	http://www.npd.no/FactMapSearch?npdid_facility_surface=416595	416595	9999-12-31	2013-05-08
HOUND POINT	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	56	14	10.790000	N	2	46	15.210000	E	0.000000	LANDFALL	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416651	http://www.npd.no/FactMapSearch?npdid_facility_surface=416651	416651	9999-12-31	2013-05-08
KINNEIL	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	56	1	45.000000	N	3	39	30.000000	W	0.000000	LANDFALL	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416708	http://www.npd.no/FactMapSearch?npdid_facility_surface=416708	416708	9999-12-31	2013-05-08
KLAB	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	59	16	24.000000	N	5	31	16.890000	E	0.000000	EXPORT POINT	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416765	http://www.npd.no/FactMapSearch?npdid_facility_surface=416765	416765	9999-12-31	2013-05-08
NATURGASS VEST	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	60	32	54.000000	N	4	50	43.450000	E	0.000000	LANDFALL - PROCESSING	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416822	http://www.npd.no/FactMapSearch?npdid_facility_surface=416822	416822	9999-12-31	2013-05-08
NCG	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	48	8	30.760000	N	11	34	50.620000	E	0.000000	VIRTUAL SALEPOINT	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416880	http://www.npd.no/FactMapSearch?npdid_facility_surface=416880	416880	9999-12-31	2013-05-08
NYBRO	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	55	30	0.000000	N	8	4	0.000000	E	0.000000	LANDFALL	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416937	http://www.npd.no/FactMapSearch?npdid_facility_surface=416937	416937	9999-12-31	2013-05-08
OBERKAPPEL	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	48	34	59.190000	N	13	46	10.960000	E	0.000000	LANDFALL	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416994	http://www.npd.no/FactMapSearch?npdid_facility_surface=416994	416994	9999-12-31	2013-05-08
ROGASS	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	59	16	24.400000	N	5	31	16.890000	E	0.000000	EXPORT POINT	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417051	http://www.npd.no/FactMapSearch?npdid_facility_surface=417051	417051	9999-12-31	2013-05-08
SNURREVARDEN	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	59	17	34.410000	N	5	29	45.170000	E	0.000000	LANDFALL	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417108	http://www.npd.no/FactMapSearch?npdid_facility_surface=417108	417108	2013-02-20	2013-05-08
SULLOM VOE	IN SERVICE	Y	\N	ONSHORE FACILITY	\N	\N	\N	9999-12-31	ED50	60	25	58.260000	N	1	16	35.990000	W	0.000000	LANDFALL	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417165	http://www.npd.no/FactMapSearch?npdid_facility_surface=417165	417165	9999-12-31	2013-05-08
VIGDIS H	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	VIGDIS	FIELD	43732	2013-03-11	ED50	61	23	21.330000	N	2	8	28.370000	E	291.000000	OIL PRODUCER - WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417223	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=417223	417223	2013-03-14	2013-05-08
6507/8-D-5 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	HEIDRUN	FIELD	43771	2007-02-01	ED50	65	21	46.340000	N	7	20	7.010000	E	357.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417412	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=417412	417412	9999-12-31	2013-05-08
FOSSEKALL P	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	SKULD	FIELD	21350124	9999-12-31	ED50	66	8	37.310000	N	8	13	58.850000	E	360.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417663	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=417663	417663	2013-01-23	2013-05-08
FOSSEKALL R	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	SKULD	FIELD	21350124	9999-12-31	ED50	66	8	41.220000	N	8	14	13.090000	E	358.000000	OIL PRODUCER - WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417722	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=417722	417722	2013-01-23	2013-05-08
DOMPAP S	INSTALLATION	N	Statoil Petroleum AS	SUBSEA STRUCTURE	SKULD	FIELD	21350124	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	343.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417781	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=417781	417781	9999-12-31	2013-05-08
34/8-A-30 H	IN SERVICE	N	Statoil Petroleum AS	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2000-01-01	\N	\N	\N	\N	N	\N	\N	\N	E	335.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424456	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424456	424456	9999-12-31	2013-05-08
STJERNE	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	OSEBERG SØR	FIELD	43645	2013-03-25	ED50	60	18	0.430000	N	2	44	22.730000	E	103.000000	GAS PRODUCER - OIL PRODUCER - WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424530	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424530	424530	2013-03-26	2013-05-08
HYME	IN SERVICE	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	HYME	FIELD	20474183	2013-02-25	ED50	64	21	29.380000	N	7	33	4.520000	E	256.000000	OIL PRODUCER - WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424593	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424593	424593	2013-02-26	2013-05-08
EKOFISK VB	INSTALLATION	N	ConocoPhillips Skandinavia AS	SUBSEA STRUCTURE	EKOFISK	FIELD	43506	9999-12-31	ED50	56	31	13.560000	N	3	14	21.300000	E	73.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424664	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424664	424664	2012-11-22	2013-05-08
25/8-E-1 H	INSTALLATION	N	Det norske oljeselskap ASA	SINGLE WELL TEMPLATE	JETTE	FIELD	21613906	9999-12-31	ED50	59	24	12.410000	N	2	22	10.950000	E	127.000000	OIL PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424753	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424753	424753	2013-01-15	2013-05-08
25/8-D-1 AH	INSTALLATION	N	Det norske oljeselskap ASA	SINGLE WELL TEMPLATE	JETTE	FIELD	21613906	9999-12-31	ED50	59	24	13.560000	N	2	22	10.920000	E	127.000000	OIL PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424812	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424812	424812	2013-01-15	2013-05-08
VALEMON	INSTALLATION	Y	Statoil Petroleum AS	JACKET 4 LEGS	VALEMON	FIELD	20460969	9999-12-31	ED50	61	2	26.380000	N	2	20	20.430000	E	133.000000	\N	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424932	http://www.npd.no/FactMapSearch?npdid_facility_surface=424932	424932	2012-07-12	2013-05-08
VISUND NORD ITS	INSTALLATION	N	Statoil Petroleum AS	SUBSEA STRUCTURE	VISUND	FIELD	43745	9999-12-31	ED50	61	26	6.100000	N	2	35	20.840000	E	378.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424989	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424989	424989	2012-11-17	2013-05-08
EKOFISK Z	INSTALLATION	Y	ConocoPhillips Skandinavia AS	JACKET 4 LEGS	EKOFISK	FIELD	43506	9999-12-31	ED50	56	32	40.260000	N	3	13	35.990000	E	79.000000	WELLHEAD	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425058	http://www.npd.no/FactMapSearch?npdid_facility_surface=425058	425058	9999-12-31	2013-05-08
EKOFISK L	INSTALLATION	Y	ConocoPhillips Skandinavia AS	JACKET 4 LEGS	EKOFISK	FIELD	43506	9999-12-31	ED50	56	32	39.000000	N	3	13	30.600000	E	79.000000	ACCOMMODATION	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425117	http://www.npd.no/FactMapSearch?npdid_facility_surface=425117	425117	9999-12-31	2013-05-08
EKOFISK L-BS	INSTALLATION	Y	ConocoPhillips Skandinavia AS	JACKET 4 LEGS	EKOFISK	FIELD	43506	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	79.000000	SUPPORT	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425176	http://www.npd.no/FactMapSearch?npdid_facility_surface=425176	425176	9999-12-31	2013-05-08
DRAUGEN FSL	IN SERVICE	N	A/S Norske Shell	LOADING SYSTEM	DRAUGEN	FIELD	43758	2012-10-15	\N	\N	\N	\N	N	\N	\N	\N	E	258.000000	LOADING BOUY	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425460	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=425460	425460	2013-04-24	2013-05-08
ALVHEIM EAST RISER BASE	IN SERVICE	N	Marathon Oil Norge AS	SUBSEA STRUCTURE	ALVHEIM	FIELD	2845712	2008-06-08	ED50	59	34	9.120000	N	2	0	4.890000	E	125.000000	RISER BASE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425523	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=425523	425523	9999-12-31	2013-05-08
ALVHEIM SOUTH RISER BASE	IN SERVICE	N	Marathon Oil Norge AS	SUBSEA STRUCTURE	ALVHEIM	FIELD	2845712	2008-06-08	ED50	59	33	55.400000	N	1	59	59.490000	E	125.000000	RISER BASE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425582	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=425582	425582	9999-12-31	2013-05-08
ALVHEIM WEST RISER BASE	IN SERVICE	N	Marathon Oil Norge AS	SUBSEA STRUCTURE	ALVHEIM	FIELD	2845712	2008-06-08	ED50	59	34	4.620000	N	1	59	38.770000	E	125.000000	RISER BASE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425640	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=425640	425640	9999-12-31	2013-05-08
SVALIN C	INSTALLATION	N	Statoil Petroleum AS	MULTI WELL TEMPLATE	SVALIN	FIELD	22507971	9999-12-31	ED50	59	7	6.550000	N	2	23	6.200000	E	0.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=426277	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=426277	426277	2012-11-25	2013-05-08
EKOFISK VB-T	INSTALLATION	N	ConocoPhillips Skandinavia AS	SUBSEA STRUCTURE	EKOFISK	FIELD	43506	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	73.000000	T-CONNECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=426442	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=426442	426442	9999-12-31	2013-05-08
KNARR FPSO	FUTURE	Y	\N	FPSO	\N	\N	\N	9999-12-31	\N	\N	\N	\N	N	\N	\N	\N	E	0.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=427058	http://www.npd.no/FactMapSearch?npdid_facility_surface=427058	427058	9999-12-31	2013-05-08
24/6-B-5	IN SERVICE	N	Marathon Oil Norge AS	SINGLE WELL TEMPLATE	ALVHEIM	FIELD	2845712	2012-12-01	ED50	59	32	46.090000	N	1	59	22.930000	E	124.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=428267	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=428267	428267	2013-03-02	2013-05-08
25/11-A-22 H	FUTURE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2014-02-25	ED50	59	11	27.420000	N	2	21	31.550000	E	127.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=429055	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=429055	429055	2013-04-12	2013-05-08
25/11-A-23 H	FUTURE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2014-05-15	ED50	59	11	30.090000	N	2	21	27.020000	E	127.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=429114	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=429114	429114	2013-04-12	2013-05-08
25/4-F-1 H	INSTALLATION	N	Marathon Oil Norge AS	SINGLE WELL TEMPLATE	VILJE	FIELD	3392471	9999-12-31	ED50	59	39	23.850000	N	2	16	43.680000	E	122.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=429545	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=429545	429545	9999-12-31	2013-05-08
24/9-P-6 AH	IN SERVICE	N	Marathon Oil Norge AS	SINGLE WELL TEMPLATE	VOLUND	FIELD	4380167	2013-01-24	ED50	59	29	45.250000	N	1	57	56.750000	E	124.000000	GAS PRODUCER - OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=429693	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=429693	429693	9999-12-31	2013-05-08
VIGDIS NORDØST T	IN SERVICE	N	Statoil Petroleum AS	SUBSEA STRUCTURE	VIGDIS	FIELD	43732	2013-03-11	\N	\N	\N	\N	N	\N	\N	\N	E	290.000000	T-CONNECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430070	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430070	430070	9999-12-31	2013-05-08
BRYNHILD	INSTALLATION	N	Lundin Norway AS	SUBSEA STRUCTURE	BRYNHILD	FIELD	21123063	9999-12-31	ED50	57	29	34.000000	N	2	18	9.400000	E	82.000000	OIL PRODUCER - WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430375	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430375	430375	9999-12-31	2013-05-08
25/11-B-24 H	FUTURE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2013-11-18	ED50	59	10	41.220000	N	2	22	42.710000	E	127.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430439	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430439	430439	9999-12-31	2013-05-08
25/11-D-25 H	FUTURE	N	ExxonMobil Exploration & Production Norway AS	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2014-10-25	ED50	59	11	59.910000	N	2	24	37.410000	E	127.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430498	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430498	430498	9999-12-31	2013-05-08
BALDER SDU A	FUTURE	N	ExxonMobil Exploration & Production Norway AS	SUBSEA STRUCTURE	BALDER	FIELD	43562	2013-08-01	ED50	59	11	28.480000	N	2	21	30.660000	E	127.000000	DISTRIBUTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430557	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430557	430557	9999-12-31	2013-05-08
BALDER SDU B	FUTURE	N	ExxonMobil Exploration & Production Norway AS	SUBSEA STRUCTURE	BALDER	FIELD	43562	2013-11-18	ED50	59	10	40.280000	N	2	22	42.150000	E	127.000000	DISTRIBUTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430668	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430668	430668	9999-12-31	2013-05-08
BALDER SDU D	FUTURE	N	ExxonMobil Exploration & Production Norway AS	SUBSEA STRUCTURE	BALDER	FIELD	43562	2014-10-25	ED50	59	11	58.370000	N	2	24	35.790000	E	127.000000	DISTRIBUTION	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430724	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430724	430724	9999-12-31	2013-05-08
6407/9-E-4 H	IN SERVICE	N	A/S Norske Shell	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	9999-12-31	ED50	64	15	23.370000	N	7	42	13.160000	E	296.000000	OIL PRODUCER	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=432093	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=432093	432093	2013-05-08	2013-05-08
\.



COPY facility_moveable (fclname, fclcurrentrespcompanyname, fclkind, fclfunctions, fclnationname, fclfactpageurl, fclnpdidfacility, fclnpdidcurrentrespcompany, fcldateupdated, datesyncnpd) FROM stdin;
MÆRSK GIANT	Mærsk Contractors	JACK-UP 3 LEGS	DRILLING	Denmark	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=278245	278245	2472740	9999-12-31	2013-05-08
SONGA DELTA	Songa Offshore ASA	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=287821	287821	4055931	2012-08-17	2013-05-08
NAN HAI VI	Wilh Wilhelmsen ASA	SEMISUB STEEL	DRILLING	China	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=287848	287848	2417051	9999-12-31	2013-05-08
OCEAN VANGUARD	Diamond Offshore Drilling LTD.	SEMISUB STEEL	DRILLING	Marshall islands	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=287902	287902	2258713	9999-12-31	2013-05-08
BULFORD DOLPHIN	Dolphin AS	SEMISUB STEEL	DRILLING	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=287956	287956	2398052	9999-12-31	2013-05-08
DEEPSEA BERGEN	Odfjell Drilling AS	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=287983	287983	2398064	9999-12-31	2013-05-08
LA MURALLA	Industrial Perforadora de Campeche SA de CV	SEMISUB STEEL	DRILLING	Russian federation	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288010	288010	2783002	9999-12-31	2013-05-08
SEDCO 707	Transocean Offshore Europe Ltd	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288037	288037	2050195	9999-12-31	2013-05-08
GLOMAR BISCAY II	Global SantaFe Corporation	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288091	288091	2449400	9999-12-31	2013-05-08
WEST BETA	Seadrill Offshore AS	JACKET 4 LEGS	\N	Liberia	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288118	288118	4070351	9999-12-31	2013-05-08
PRIDE SOUTH PACIFIC	Pride International Inc	SEMISUB STEEL	\N	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288145	288145	2449871	9999-12-31	2013-05-08
DRILLMASTER	Sedco Forex Schlumberger	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288172	288172	2783014	9999-12-31	2013-05-08
DRILLSHIP	Sedco Forex Schlumberger	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288199	288199	2783014	9999-12-31	2013-05-08
WEST GAMMA	Seadrill Offshore AS	JACK-UP 3 LEGS	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288226	288226	4070351	9999-12-31	2013-05-08
BORGNY DOLPHIN	Dolphin AS	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288280	288280	2398052	9999-12-31	2013-05-08
GULFTIDE	Diamond Offshore Drilling LTD.	JACK-UP 4 LEGS	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288307	288307	2258713	9999-12-31	2013-05-08
BORGSTEN DOLPHIN	Dolphin AS	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288334	288334	2398052	9999-12-31	2013-05-08
GLOMAR GRAND ISLE	Global SantaFe Corporation	VESSEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288388	288388	2449400	9999-12-31	2013-05-08
OCEAN TIDE	Diamond Offshore Drilling LTD.	JACK-UP 3 LEGS	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288469	288469	2258713	9999-12-31	2013-05-08
OCEAN TRAVELER	Diamond Offshore Drilling LTD.	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288496	288496	2258713	9999-12-31	2013-05-08
OCEAN VICTORY	Diamond Offshore Drilling LTD.	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288523	288523	2258713	9999-12-31	2013-05-08
OCEAN VOYAGER	Diamond Offshore Drilling LTD.	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288550	288550	2258713	9999-12-31	2013-05-08
ODIN DRILL	Energy Equipment Resource Inc	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288577	288577	2782981	9999-12-31	2013-05-08
ORION	Energy Equipment Resource Inc	JACK-UP 3 LEGS	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288604	288604	2782981	9999-12-31	2013-05-08
NEPTUNE 7	Energy Equipment Resource Inc	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288631	288631	2782981	9999-12-31	2013-05-08
SAIPEM II	SAIPEM (UK) LTD	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288685	288685	40874	9999-12-31	2013-05-08
SEDCO H	Transocean Offshore Europe Ltd	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288712	288712	2050195	9999-12-31	2013-05-08
SEDCO 135 G	Transocean Offshore Europe Ltd	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288766	288766	2050195	9999-12-31	2013-05-08
SEDCO 703	Transocean Offshore Europe Ltd	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288793	288793	2050195	9999-12-31	2013-05-08
SEDCO 704	Transocean Offshore Europe Ltd	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288820	288820	2050195	9999-12-31	2013-05-08
SEDNETH I	Transocean Offshore Europe Ltd	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288847	288847	2050195	9999-12-31	2013-05-08
ZAPATA EXPLORER	Arethusa (Off-Shore) Ltd.	JACK-UP 3 LEGS	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288901	288901	2783026	9999-12-31	2013-05-08
ZAPATA NORDIC	Arethusa (Off-Shore) Ltd.	JACK-UP 3 LEGS	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288928	288928	2783026	9999-12-31	2013-05-08
PENTAGONE 84	Transocean Offshore Europe Ltd	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=288982	288982	2050195	9999-12-31	2013-05-08
PELERIN	Transocean Offshore Europe Ltd	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289036	289036	2050195	9999-12-31	2013-05-08
LE PELERIN	Transocean Offshore Europe Ltd	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289063	289063	2050195	9999-12-31	2013-05-08
DEEPSEA PIONEER	Hamilton Brothers Oil & Gas	SEMISUB STEEL	\N	GREAT BRITAIN	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289090	289090	3499813	9999-12-31	2013-05-08
OCEAN BARONESS	Diamond Offshore Drilling LTD.	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289171	289171	2258713	9999-12-31	2013-05-08
OCEAN YATZY	Diamond Offshore Drilling LTD.	SEMISUB STEEL	\N	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289306	289306	2258713	9999-12-31	2013-05-08
POLAR PIONEER	Transocean Offshore Europe Ltd	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289333	289333	2050195	9999-12-31	2013-05-08
OCEAN PRINCESS	Diamond Offshore Drilling LTD.	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289360	289360	2258713	9999-12-31	2013-05-08
HENRY GOODRICH	Transocean Offshore Europe Ltd	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289387	289387	2050195	9999-12-31	2013-05-08
PETROBRAS XXIII	Petrobras Norge A/S	SEMISUB STEEL	\N	Liberia	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289414	289414	639	9999-12-31	2013-05-08
BUCENTAUR	Fugro Geotechnics AS	VESSEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289441	289441	18061800	9999-12-31	2013-05-08
WEST VISION	Seadrill Offshore AS	SEMISUB STEEL	OIL PRODUCER	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289495	289495	4070351	2013-01-31	2013-05-08
SANTA FE 135	Global SantaFe Corporation	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289792	289792	2449400	9999-12-31	2013-05-08
SANTA FE 140	Global SantaFe Corporation	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289819	289819	2449400	9999-12-31	2013-05-08
SOVEREIGN EXPLOR	Transocean Offshore Europe Ltd	SEMISUB STEEL	DRILLING	Liberia	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=289846	289846	2050195	9999-12-31	2013-05-08
OCEAN BOUNTY	Diamond Offshore Drilling LTD.	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=290008	290008	2258713	9999-12-31	2013-05-08
BIDEFORD DOLPHIN	Blandfor Shipping Co. LTD	SEMISUB STEEL	DRILLING	Singapore	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=290170	290170	2359237	9999-12-31	2013-05-08
TRANSOCEAN AMIRANTE	Transocean Offshore Europe Ltd	SEMISUB STEEL	\N	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=290737	290737	2050195	9999-12-31	2013-05-08
SONGA DEE	Songa Offshore ASA	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=290980	290980	4055931	9999-12-31	2013-05-08
JOIDES RESOLUTION	Transocean Offshore Europe Ltd	VESSEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=291169	291169	2050195	9999-12-31	2013-05-08
NOBLE ROGER EASON	Noble Drilling	VESSEL	\N	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=291466	291466	35198	9999-12-31	2013-05-08
GSF ADRIATIC 1	Global SantaFe Corporation	JACKET 4 LEGS	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=292006	292006	2449400	9999-12-31	2013-05-08
MÆRSK ENDEAVOUR	Mærsk Contractors	JACK-UP 3 LEGS	DRILLING	Denmark	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=292087	292087	2472740	9999-12-31	2013-05-08
MÆRSK GUARDIAN	Mærsk Contractors	JACK-UP 3 LEGS	DRILLING	Denmark	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=292114	292114	2472740	9999-12-31	2013-05-08
NOBLE GEORGE SAUVAGEEAU	Noble Drilling	JACK-UP 4 LEGS	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=292141	292141	35198	9999-12-31	2013-05-08
NOBLE PIET VAN EDE	Noble Drilling	JACK-UP 3 LEGS	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=292168	292168	35198	9999-12-31	2013-05-08
NOBLE TON VAN LANGEVELD	Noble Drilling	SEMISUB STEEL	\N	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=292627	292627	35198	9999-12-31	2013-05-08
OCEAN ALLIANCE	Diamond Offshore Drilling LTD.	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=292654	292654	2258713	9999-12-31	2013-05-08
GSF RIG 140	Global SantaFe Corporation	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=292681	292681	2449400	9999-12-31	2013-05-08
GSF ARCTIC I	Global SantaFe Corporation	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=293572	293572	2449400	9999-12-31	2013-05-08
REGALIA	Prosafe Offshore Limited	SEMISUB STEEL	ACCOMMODATION - SUPPORT	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=293815	293815	2252705	9999-12-31	2013-05-08
KOLSKAYA	Artic Morneste Gas Ras Vedka	JACK-UP 3 LEGS	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=293977	293977	2359225	9999-12-31	2013-05-08
SCARABEO 5	SAIPEM (UK) LTD	SEMISUB STEEL	DRILLING	Italy	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=294058	294058	40874	9999-12-31	2013-05-08
OCEAN VALIANT	Diamond Offshore Drilling LTD.	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=294085	294085	2258713	9999-12-31	2013-05-08
ROCKWATER SEMI 1	Prosafe Offshore Limited	SEMISUB STEEL	\N	Netherlands	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=294166	294166	2252705	9999-12-31	2013-05-08
SEAWAY CONDOR	Stolt Offshore A/S	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=294220	294220	2411309	9999-12-31	2013-05-08
SEAWAY HARRIER	Stolt Offshore A/S	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=294328	294328	2411309	9999-12-31	2013-05-08
TRANSOCEAN ARCTIC	Transocean Offshore Europe Ltd	SEMISUB STEEL	DRILLING	Marshall islands	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=294382	294382	2050195	9999-12-31	2013-05-08
ABEILLE SUPPORT	Stolt Offshore A/S	VESSEL	SUPPORT	France	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=294544	294544	2411309	9999-12-31	2013-05-08
PAUL B LOYD JR	Transocean Offshore Europe Ltd	SEMISUB STEEL	\N	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=295084	295084	2050195	9999-12-31	2013-05-08
NORMAND MJOLNE	Solstad Shipping AS	VESSEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=295111	295111	2449930	9999-12-31	2013-05-08
SAFE LANCIA	Prosafe Offshore Limited	SEMISUB STEEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=295138	295138	2252705	9999-12-31	2013-05-08
B.ENTERPRISE 2	\N	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=295381	295381	\N	9999-12-31	2013-05-08
POLAR QUEEN	Polar Search AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=295489	295489	2786227	9999-12-31	2013-05-08
POLAR BJØRN	Polar Search AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=295516	295516	2786227	9999-12-31	2013-05-08
AQUAMARINE	\N	VESSEL	\N	Liberia	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=295597	295597	\N	9999-12-31	2013-05-08
OCEAN CONFIDENCE	Diamond Offshore Drilling LTD.	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=295786	295786	2258713	9999-12-31	2013-05-08
NORMAND JARL	Solstad Shipping AS	VESSEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=295975	295975	2449930	9999-12-31	2013-05-08
MÆRSK GALLANT	Mærsk Contractors	JACK-UP 3 LEGS	DRILLING	Denmark	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296002	296002	2472740	9999-12-31	2013-05-08
WEST EPSILON	North Atlantic Norway Ltd	JACK-UP 3 LEGS	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296110	296110	22507678	2012-11-21	2013-05-08
SONGA TRYM	Songa Offshore ASA	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296164	296164	4055931	2013-04-05	2013-05-08
TRANSOCEAN NORDIC	Transocean Offshore Europe Ltd	JACK-UP 3 LEGS	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296191	296191	2050195	9999-12-31	2013-05-08
TRANSOCEAN PROSPECT	Transocean Offshore Europe Ltd	SEMISUB STEEL	DRILLING	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296218	296218	2050195	9999-12-31	2013-05-08
TRANSOCEAN SEARCHER	Transocean Offshore Europe Ltd	SEMISUB STEEL	DRILLING	Marshall islands	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296245	296245	2050195	9999-12-31	2013-05-08
M/V CRYSTAL SEA	AS Brøvigtank	VESSEL	WELL INTERVENTION	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296299	296299	2786190	9999-12-31	2013-05-08
TRANSOCEAN WINNER	Transocean Offshore Europe Ltd	SEMISUB STEEL	DRILLING	Marshall islands	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296326	296326	2050195	9999-12-31	2013-05-08
GSF ARCTIC II	Global SantaFe Corporation	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296353	296353	2449400	9999-12-31	2013-05-08
OCEAN LIBERATOR	Diamond Offshore Drilling LTD.	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296380	296380	2258713	9999-12-31	2013-05-08
OCEAN VIKING	Diamond Offshore Drilling LTD.	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296407	296407	2258713	9999-12-31	2013-05-08
NOBLE RONALD HOPE	Noble Drilling	JACK-UP 3 LEGS	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296488	296488	35198	9999-12-31	2013-05-08
TRANSOCEAN LEADER	Transocean Offshore Europe Ltd	SEMISUB STEEL	DRILLING	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296677	296677	2050195	9999-12-31	2013-05-08
ENDEAVOUR	Arethusa (Off-Shore) Ltd.	JACK-UP 3 LEGS	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296704	296704	2783026	9999-12-31	2013-05-08
J W MCLEAN	R&B Falcon Drilling Inc	SEMISUB STEEL	\N	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296731	296731	2455372	9999-12-31	2013-05-08
SAFE BRITANIA	Prosafe Offshore Limited	SEMISUB STEEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296785	296785	2252705	9999-12-31	2013-05-08
BP 471	Transocean Offshore Europe Ltd	VESSEL	\N	Liberia	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296812	296812	2050195	9999-12-31	2013-05-08
GSF LABRADOR	Global SantaFe Corporation	JACKET 4 LEGS	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296866	296866	2449400	9999-12-31	2013-05-08
ANTIFRITE	Stolt Offshore A/S	VESSEL	SUPPORT	Italy	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296920	296920	2411309	9999-12-31	2013-05-08
NOBLE AL WHITE	Noble Drilling	JACK-UP 3 LEGS	\N	Netherlands	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296947	296947	35198	9999-12-31	2013-05-08
BORGILA DOLPHIN	Dolphin AS	SEMISUB STEEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=296974	296974	2398052	9999-12-31	2013-05-08
SCARABEO 6	SAIPEM (UK) LTD	SEMISUB STEEL	DRILLING	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297001	297001	40874	9999-12-31	2013-05-08
ESSAR WILDCAT	Transocean Offshore Europe Ltd	SEMISUB STEEL	DRILLING	GREAT BRITAIN	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297028	297028	2050195	9999-12-31	2013-05-08
WEST VENTURE	North Atlantic Norway Ltd	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297055	297055	22507678	2012-11-21	2013-05-08
WEST NAVIGATOR	Seadrill Offshore AS	VESSEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297082	297082	4070351	9999-12-31	2013-05-08
GARD VARIANT	\N	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297109	297109	\N	9999-12-31	2013-05-08
SAIPEM 7000	SAIPEM (UK) LTD	VESSEL	\N	Italy	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297190	297190	40874	9999-12-31	2013-05-08
CASTORO 10	SAIPEM (UK) LTD	VESSEL	\N	Italy	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297217	297217	40874	9999-12-31	2013-05-08
POLAR PRINCE	Polar Search AS	VESSEL	\N	Italy	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297379	297379	2786227	9999-12-31	2013-05-08
WEST ALPHA	North Atlantic Norway Ltd	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297514	297514	22507678	2012-11-21	2013-05-08
GUARD VALLIANT	Baltic AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297541	297541	2786204	9999-12-31	2013-05-08
NORMAND PROSPER	Solstad Shipping AS	VESSEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297568	297568	2449930	9999-12-31	2013-05-08
TOISA POLARIS	SEALION SHIPPING LTD.	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297622	297622	1629661	9999-12-31	2013-05-08
STENA DON	Stena Drilling Limited	SEMISUB STEEL	DRILLING	Marshall islands	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297649	297649	2399644	9999-12-31	2013-05-08
TOISA PERSEUS	SEALION SHIPPING LTD.	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297676	297676	1629661	9999-12-31	2013-05-08
BOA GIANT	TAUBÅTKOMPANIET A/S	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297703	297703	2129742	9999-12-31	2013-05-08
SAFE CALEDONIA	Prosafe Offshore Limited	SEMISUB STEEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297730	297730	2252705	9999-12-31	2013-05-08
SAFE SCANDINAVIA	Prosafe Offshore Limited	SEMISUB STEEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297757	297757	2252705	9999-12-31	2013-05-08
BORGLAND DOLPHIN	Dolphin AS	SEMISUB STEEL	DRILLING	Singapore	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297784	297784	2398052	9999-12-31	2013-05-08
MÆRSK INNOVATOR	Mærsk Contractors	JACK-UP 3 LEGS	DRILLING	Denmark	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297838	297838	2472740	9999-12-31	2013-05-08
LEIV EIRIKSSON	Ocean Rig ASA	SEMISUB STEEL	DRILLING	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297865	297865	2088270	9999-12-31	2013-05-08
COSLRigmar	COSL Drilling Europe AS	JACKET 4 LEGS	ACCOMMODATION	Liberia	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297919	297919	5125369	2012-11-14	2013-05-08
BELFORD DOLPHIN	Dolphin AS	VESSEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297946	297946	2398052	9999-12-31	2013-05-08
SEAWAY OSPREY	Stolt Offshore A/S	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=297973	297973	2411309	9999-12-31	2013-05-08
OCEAN WINNER	Diamond Offshore Drilling LTD.	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=298081	298081	2258713	9999-12-31	2013-05-08
GLOMAR CHALLENGE	Global SantaFe Corporation	VESSEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=298108	298108	2449400	9999-12-31	2013-05-08
GSF RIG 135	Global SantaFe Corporation	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=298189	298189	2449400	9999-12-31	2013-05-08
EIRIK RAUDE	Ocean Rig ASA	SEMISUB STEEL	DRILLING	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=341172	341172	2088270	9999-12-31	2013-05-08
BYFORD DOLPHIN	Dolphin AS	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=341331	341331	2398052	9999-12-31	2013-05-08
PHOLAS	Coe Metcalf Shipping LTD.	VESSEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=361873	361873	2359249	9999-12-31	2013-05-08
MÆRSK EXPLORER	Mærsk Contractors	JACK-UP 3 LEGS	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=362316	362316	2472740	9999-12-31	2013-05-08
POLYGLOMAR DRILLER	\N	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=362458	362458	\N	9999-12-31	2013-05-08
WEST VENTURE OLD	Smedvig Offshore AS	SEMISUB STEEL	\N	Luxembourg	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=362494	362494	2359213	9999-12-31	2013-05-08
TRANSWORLD RIG61	Transocean Offshore Europe Ltd	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=362531	362531	2050195	9999-12-31	2013-05-08
NORMAND TONJER	Solstad Shipping AS	VESSEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=364465	364465	2449930	9999-12-31	2013-05-08
GRENA	Vista Ship Management AS	VESSEL	OFFLOADING	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=364529	364529	2819883	9999-12-31	2013-05-08
SEVEN PELICAN	Well Ops (UK) Ltd	VESSEL	\N	GREAT BRITAIN	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=364568	364568	2819894	9999-12-31	2013-05-08
MSV PELICAN	Stolt Offshore A/S	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=365715	365715	2411309	9999-12-31	2013-05-08
VIKING POSEIDON	EIDESVIK SHIPPING AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=368585	368585	3362279	9999-12-31	2013-05-08
MÆRSK INSPIRER	Maersk Olie og Gass  A/S	JACK-UP 3 LEGS	DRILLING - OIL PRODUCER	Denmark	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=369304	369304	2777	9999-12-31	2013-05-08
COSLRival	COSL Drilling Europe AS	SEMISUB STEEL	ACCOMMODATION - FLOTEL	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=372798	372798	5125369	2012-11-14	2013-05-08
BREDFORD DOLPHIN	Dolphin AS	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=373521	373521	2398052	9999-12-31	2013-05-08
FUGRO EXPLORER	Fugro Survey AS	VESSEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=373600	373600	2786215	9999-12-31	2013-05-08
ISLAND FRONTIER	Island Offshore III AS	VESSEL	WELL INTERVENTION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=373829	373829	5125357	9999-12-31	2013-05-08
WELLSERVICER	Technip Offshore UK Limited	VESSEL	ACCOMMODATION	GREAT BRITAIN	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=373983	373983	4055814	9999-12-31	2013-05-08
MSV ERNEST SHACKLETON	\N	VESSEL	\N	GREAT BRITAIN	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=374031	374031	\N	9999-12-31	2013-05-08
CSO APACHE	Technip Offshore UK Limited	VESSEL	\N	Marshall islands	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=374177	374177	4055814	9999-12-31	2013-05-08
ROWAN GORILLA VI	Rowan Companies Inc	JACK-UP 3 LEGS	\N	GREAT BRITAIN	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=375355	375355	4240911	9999-12-31	2013-05-08
ACERGY OSPREY	Acergy M.S. Limited	VESSEL	SUPPORT	GREAT BRITAIN	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=377007	377007	4394060	9999-12-31	2013-05-08
POLARSTERN	\N	VESSEL	\N	GERMANY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=378320	378320	\N	9999-12-31	2013-05-08
NORMAND SKARVEN	Solstad Shipping AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=390818	390818	2449930	9999-12-31	2013-05-08
WEST PHOENIX	North Atlantic Norway Ltd	SEMISUB STEEL	DRILLING	Panama	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=390874	390874	22507678	2012-11-21	2013-05-08
FERDER	\N	VESSEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=391059	391059	\N	9999-12-31	2013-05-08
MARINER	\N	VESSEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=391107	391107	\N	9999-12-31	2013-05-08
VOLSTAD SUPPLIER	Volstad Shipping AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=395490	395490	4966195	9999-12-31	2013-05-08
ACERGY FALCON	Acergy M.S. Limited	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=402507	402507	4394060	9999-12-31	2013-05-08
MSV BOTNICA	\N	VESSEL	SUPPORT	Finland	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=402726	402726	\N	9999-12-31	2013-05-08
NORMAND MERMAID	Solstad Shipping AS	VESSEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=403231	403231	2449930	9999-12-31	2013-05-08
EDDA FAUNA	Østensjø Rederi I AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=403711	403711	5091194	9999-12-31	2013-05-08
TRANSOCEAN SPITSBERGEN	Transocean Norway Drilling AS	SEMISUB STEEL	DRILLING	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=404201	404201	21125820	9999-12-31	2013-05-08
TRANSOCEAN BARENTS	Transocean Norway Drilling AS	SEMISUB STEEL	DRILLING	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=404303	404303	21125820	2013-01-08	2013-05-08
DEEPSEA ATLANTIC	Odfjell Drilling AS	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=404360	404360	2398064	2012-06-09	2013-05-08
SCARABEO 8	SAIPEM (UK) LTD	SEMISUB STEEL	\N	Italy	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=404415	404415	40874	9999-12-31	2013-05-08
ISLAND WELLSERVER	Island Offshore III AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=404470	404470	5125357	9999-12-31	2013-05-08
WILLNOVATOR	COSL Drilling Europe AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=404524	404524	5125369	9999-12-31	2013-05-08
FUGRO MERCATOR	Fugro Survey AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=404582	404582	2786215	9999-12-31	2013-05-08
NORMAND CARRIER	Solstad Shipping AS	VESSEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=405450	405450	2449930	9999-12-31	2013-05-08
NORMAND FLOWER	Solstad Shipping AS	VESSEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=405509	405509	2449930	9999-12-31	2013-05-08
ISLAND VANGUARD	Island Offshore III AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=405770	405770	5125357	9999-12-31	2013-05-08
ISLAND CONSTRUCTOR	Island Offshore III AS	VESSEL	WELL INTERVENTION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=405827	405827	5125357	9999-12-31	2013-05-08
OCEAN SKY	\N	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=405947	405947	\N	9999-12-31	2013-05-08
OCEAN CLEVER	\N	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=406001	406001	\N	9999-12-31	2013-05-08
SKANDI SOTRA	DOF Management AS	VESSEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=406180	406180	5781675	9999-12-31	2013-05-08
EDDA FLORA	Østensjø Rederi I AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=408756	408756	5091194	9999-12-31	2013-05-08
ISLAND VALIANT	Island Offshore III AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=408814	408814	5125357	9999-12-31	2013-05-08
NAVION EUROPA	\N	VESSEL	OFFLOADING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=408869	408869	\N	9999-12-31	2013-05-08
GEOSUND	DOF Management AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=409724	409724	5781675	9999-12-31	2013-05-08
SEVEN SISTERS	Siem Offshore AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=409783	409783	18054440	9999-12-31	2013-05-08
MÆRSK REACHER	Maersk Drilling Norge AS	JACK-UP 3 LEGS	DRILLING	Denmark	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=411423	411423	5095474	9999-12-31	2013-05-08
FLOATEL SUPERIOR	Floatel International AB	SEMISUB STEEL	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=411482	411482	22426303	2012-09-22	2013-05-08
HAVEN	OSM Ship Management AS	JACK-UP 4 LEGS	ACCOMMODATION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=411539	411539	3482047	9999-12-31	2013-05-08
ISLAND ENFORCER	Island Offshore III AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=411773	411773	5125357	9999-12-31	2013-05-08
SKANDI AKER	DOF Management AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=411835	411835	5781675	9999-12-31	2013-05-08
FUGRO DISCOVERY	Fugro Survey AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=413252	413252	2786215	9999-12-31	2013-05-08
FUGRO SALTIRE	Fugro Survey AS	VESSEL	ACCOMMODATION - DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=413414	413414	2786215	9999-12-31	2013-05-08
ISLAND COMMANDER	Island Offshore III AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=413474	413474	5125357	9999-12-31	2013-05-08
COSLPioneer	COSL Drilling Europe AS	SEMISUB STEEL	DRILLING	Bahamas	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=413534	413534	5125369	2012-11-14	2013-05-08
COSLInnovator	COSL Drilling Europe AS	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=413825	413825	5125369	2012-11-14	2013-05-08
COSLPromoter	COSL Drilling Europe AS	SEMISUB STEEL	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=413883	413883	5125369	2012-11-28	2013-05-08
ROWAN STAVANGER	Rowan Companies Inc	JACK-UP 3 LEGS	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=413943	413943	4240911	2012-08-08	2013-05-08
WEST ELARA	North Atlantic Norway Ltd	JACK-UP 3 LEGS	DRILLING	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=414002	414002	22507678	2012-11-21	2013-05-08
ARTEMIS ARCTIC	Dolphin AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=414880	414880	2398052	9999-12-31	2013-05-08
EDDA FJORD	Østensjø Rederi I AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=415384	415384	5091194	9999-12-31	2013-05-08
SKANDI CHIEFTAIN	DOF Management AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=415441	415441	5781675	9999-12-31	2013-05-08
SCANDI ACERGY	DOF Management AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=415496	415496	5781675	9999-12-31	2013-05-08
WEST HERCULES	North Atlantic Norway Ltd	SEMISUB STEEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=415836	415836	22507678	2012-11-21	2013-05-08
SIEM PILOT	Siem Offshore AS	VESSEL	\N	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=415967	415967	18054440	9999-12-31	2013-05-08
ROWAN NORWAY	Rowan Companies Inc	JACK-UP 3 LEGS	DRILLING	Marshall islands	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=417599	417599	4240911	9999-12-31	2013-05-08
FAR SAGA	\N	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=424872	424872	\N	9999-12-31	2013-05-08
ISLAND INNOVATOR	Island Offshore III AS	SEMISUB STEEL	DRILLING - WELL INTERVENTION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=426940	426940	5125357	2013-04-24	2013-05-08
NORSHORE ATLANTIC	Norshore AS	VESSEL	WELL INTERVENTION	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=426997	426997	22528907	2013-01-10	2013-05-08
SKANDI ARCTIC	DOF Management AS	VESSEL	SUPPORT	NORWAY	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=429269	429269	5781675	9999-12-31	2013-05-08
NORMAND SUBSEA	Subsea 7 Norway Norsk avdeling av utenlandsk foretak	VESSEL	\N	GREAT BRITAIN	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Moveable|All&nav3=429605	429605	21076900	9999-12-31	2013-05-08
\.



COPY fclpoint (fclnpdidfacility, fclsurface, fclcurrentoperatorname, fclname, fclkind, fclbelongstoname, fclbelongstokind, fclbelongstos, fclstartupdate, fclwaterdepth, fclfunctions, fcldesignlifetime, fclfactpageurl, fclfactmapurl) FROM stdin;
271245	Y	Statoil Petroleum AS	OSEBERG A	CONDEEP 4 SHAFTS	OSEBERG	FIELD	43625	1988-12-01	109.000000	DRILLING - PROCESSING - QUARTER	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271245	http://www.npd.no/FactMapSearch?npdid_facility_surface=271245
271273	Y	Statoil Petroleum AS	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD	FIELD	43658	1979-11-24	145.000000	DRILLING - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271273	http://www.npd.no/FactMapSearch?npdid_facility_surface=271273
271301	Y	Statoil Petroleum AS	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD	FIELD	43658	1982-11-05	145.000000	DRILLING - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271301	http://www.npd.no/FactMapSearch?npdid_facility_surface=271301
271329	Y	Statoil Petroleum AS	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD	FIELD	43658	1985-06-26	145.000000	DRILLING - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271329	http://www.npd.no/FactMapSearch?npdid_facility_surface=271329
271357	Y	ConocoPhillips Skandinavia AS	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL	FIELD	43437	1979-05-01	71.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271357	http://www.npd.no/FactMapSearch?npdid_facility_surface=271357
271385	Y	ConocoPhillips Skandinavia AS	EKOFISK A	JACKET 8 LEGS	EKOFISK	FIELD	43506	1974-01-01	74.200000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271385	http://www.npd.no/FactMapSearch?npdid_facility_surface=271385
271413	Y	ConocoPhillips Skandinavia AS	EKOFISK B	JACKET 12 LEGS	EKOFISK	FIELD	43506	1974-10-01	74.000000	DRILLING - OIL PRODUCER - PROCESSING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271413	http://www.npd.no/FactMapSearch?npdid_facility_surface=271413
271441	Y	ConocoPhillips Skandinavia AS	EKOFISK C	JACKET 12 LEGS	EKOFISK	FIELD	43506	1974-01-01	76.800000	DRILLING - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271441	http://www.npd.no/FactMapSearch?npdid_facility_surface=271441
271469	Y	ConocoPhillips Skandinavia AS	EKOFISK K	JACKET 8 LEGS	EKOFISK	FIELD	43506	1987-01-01	74.000000	DRILLING - QUARTER - WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271469	http://www.npd.no/FactMapSearch?npdid_facility_surface=271469
271497	Y	ConocoPhillips Skandinavia AS	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	FIELD	43513	1974-01-01	75.100000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271497	http://www.npd.no/FactMapSearch?npdid_facility_surface=271497
271525	Y	ConocoPhillips Skandinavia AS	TOR	JACKET 8 LEGS	TOR	FIELD	43520	1978-08-01	70.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271525	http://www.npd.no/FactMapSearch?npdid_facility_surface=271525
271553	Y	ConocoPhillips Skandinavia AS	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL	FIELD	43437	1979-05-01	71.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271553	http://www.npd.no/FactMapSearch?npdid_facility_surface=271553
271581	Y	ConocoPhillips Skandinavia AS	ELDFISK A	JACKET 12 LEGS	ELDFISK	FIELD	43527	1979-08-01	71.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271581	http://www.npd.no/FactMapSearch?npdid_facility_surface=271581
271609	Y	ConocoPhillips Skandinavia AS	ELDFISK B	JACKET 12 LEGS	ELDFISK	FIELD	43527	1979-08-01	71.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271609	http://www.npd.no/FactMapSearch?npdid_facility_surface=271609
271637	Y	ConocoPhillips Skandinavia AS	EDDA	JACKET 12 LEGS	EDDA	FIELD	43541	1979-12-01	71.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271637	http://www.npd.no/FactMapSearch?npdid_facility_surface=271637
271665	Y	BP Norge AS	ULA QP	JACKET 4 LEGS	ULA	FIELD	43800	1986-10-01	71.000000	QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271665	http://www.npd.no/FactMapSearch?npdid_facility_surface=271665
271693	Y	ConocoPhillips Skandinavia AS	COD	JACKET 8 LEGS	COD	FIELD	43785	1977-11-01	72.500000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271693	http://www.npd.no/FactMapSearch?npdid_facility_surface=271693
271721	N	\N	NORDØST FRIGG	MULTI WELL TEMPLATE	\N	FIELD	\N	1984-01-01	102.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271721	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=271721
271749	Y	BP Norge AS	VALHALL DP	JACKET 8 LEGS	VALHALL	FIELD	43548	1981-12-17	74.000000	DRILLING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271749	http://www.npd.no/FactMapSearch?npdid_facility_surface=271749
271777	Y	Statoil Petroleum AS	HEIMDAL	JACKET 8 LEGS	HEIMDAL	FIELD	43590	1985-10-15	120.000000	OIL PRODUCER - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271777	http://www.npd.no/FactMapSearch?npdid_facility_surface=271777
271805	Y	\N	ODIN	JACKET 4 LEGS	\N	FIELD	\N	1984-04-01	103.000000	\N	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271805	http://www.npd.no/FactMapSearch?npdid_facility_surface=271805
271833	Y	Statoil Petroleum AS	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS	FIELD	43686	1986-12-21	133.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271833	http://www.npd.no/FactMapSearch?npdid_facility_surface=271833
271861	Y	\N	10/1-CDP1	CONCRETE STRUCTURE	\N	\N	\N	1979-09-01	100.000000	DRILLING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271861	http://www.npd.no/FactMapSearch?npdid_facility_surface=271861
271889	Y	BP Norge AS	ULA DP	JACKET 4 LEGS	ULA	FIELD	43800	1986-07-01	71.000000	DRILLING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271889	http://www.npd.no/FactMapSearch?npdid_facility_surface=271889
271917	Y	Statoil Petroleum AS	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS	FIELD	43686	1988-02-29	141.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271917	http://www.npd.no/FactMapSearch?npdid_facility_surface=271917
271945	Y	GASSCO AS	DRAUPNER S	JACKET 4 LEGS	GASSLED	TUF	2252643	1985-07-01	70.000000	QUARTER - RISER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271945	http://www.npd.no/FactMapSearch?npdid_facility_surface=271945
271973	Y	GASSCO AS	EKOFISK S	JACKET 4 LEGS	STATPIPE	TUF	123940	1986-01-01	76.800000	RISER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=271973	http://www.npd.no/FactMapSearch?npdid_facility_surface=271973
272001	Y	ConocoPhillips Skandinavia AS	EKOFISK R	JACKET 8 LEGS	EKOFISK	FIELD	43506	1977-09-01	76.800000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272001	http://www.npd.no/FactMapSearch?npdid_facility_surface=272001
272029	Y	BP Norge AS	ULA PP	JACKET 4 LEGS	ULA	FIELD	43800	1986-10-01	71.000000	PROCESSING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272029	http://www.npd.no/FactMapSearch?npdid_facility_surface=272029
272057	Y	ConocoPhillips Skandinavia AS	ELDFISK FTP	JACKET 8 LEGS	ELDFISK	FIELD	43527	1979-08-01	76.800000	PROCESSING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272057	http://www.npd.no/FactMapSearch?npdid_facility_surface=272057
272085	Y	Statoil Petroleum AS	SNORRE A	TLP STEEL	SNORRE	FIELD	43718	1992-08-03	335.000000	DRILLING - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272085	http://www.npd.no/FactMapSearch?npdid_facility_surface=272085
272113	Y	BP Norge AS	EKOFISK G	JACKET 4 LEGS	VALHALL	FIELD	43548	1982-10-01	76.800000	RISER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272113	http://www.npd.no/FactMapSearch?npdid_facility_surface=272113
272141	Y	ConocoPhillips Skandinavia AS	EKOFISK T	DORIS	EKOFISK	FIELD	43506	1974-12-01	76.800000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272141	http://www.npd.no/FactMapSearch?npdid_facility_surface=272141
272169	Y	ConocoPhillips Skandinavia AS	EKOFISK P	JACKET 4 LEGS	EKOFISK	FIELD	43506	1975-10-14	76.800000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272169	http://www.npd.no/FactMapSearch?npdid_facility_surface=272169
272197	Y	ConocoPhillips Skandinavia AS	EKOFISK H	JACKET 4 LEGS	EKOFISK	FIELD	43506	1979-01-01	76.800000	ACCOMMODATION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272197	http://www.npd.no/FactMapSearch?npdid_facility_surface=272197
272225	Y	Statoil Petroleum AS	OSEBERG C	JACKET 8 LEGS	OSEBERG	FIELD	43625	1991-09-02	108.000000	DRILLING - PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272225	http://www.npd.no/FactMapSearch?npdid_facility_surface=272225
272253	Y	ConocoPhillips Skandinavia AS	EKOFISK Q	JACKET 4 LEGS	EKOFISK	FIELD	43506	1973-01-01	76.800000	ACCOMMODATION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272253	http://www.npd.no/FactMapSearch?npdid_facility_surface=272253
272281	Y	ConocoPhillips Skandinavia AS	EKOFISK FTP	JACKET 8 LEGS	EKOFISK	FIELD	43506	1974-04-01	76.800000	PROCESSING - RISER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272281	http://www.npd.no/FactMapSearch?npdid_facility_surface=272281
272309	Y	BP Norge AS	HOD	JACKET 4 LEGS	HOD	FIELD	43485	1990-08-01	72.000000	OIL PRODUCER - WELLHEAD	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272309	http://www.npd.no/FactMapSearch?npdid_facility_surface=272309
272337	Y	Talisman Energy Norge AS	GYDA	JACKET 6 LEGS	GYDA	FIELD	43492	1990-06-22	66.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272337	http://www.npd.no/FactMapSearch?npdid_facility_surface=272337
272365	Y	Statoil Petroleum AS	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER ØST	FIELD	43478	1993-10-01	83.000000	DRILLING - PROCESSING - QUARTER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272365	http://www.npd.no/FactMapSearch?npdid_facility_surface=272365
272393	Y	A/S Norske Shell	DRAUGEN	CONDEEP MONOSHAFT	DRAUGEN	FIELD	43758	1993-10-19	252.000000	DRILLING - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272393	http://www.npd.no/FactMapSearch?npdid_facility_surface=272393
272421	Y	Statoil Petroleum AS	HEIDRUN	TLP CONCRETE	HEIDRUN	FIELD	43771	1995-10-19	345.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272421	http://www.npd.no/FactMapSearch?npdid_facility_surface=272421
272449	Y	BP Norge AS	VALHALL PCP	JACKET 8 LEGS	VALHALL	FIELD	43548	1982-06-01	74.000000	PROCESSING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272449	http://www.npd.no/FactMapSearch?npdid_facility_surface=272449
272477	Y	BP Norge AS	VALHALL Q	JACKET 4 LEGS	VALHALL	FIELD	43548	1981-07-01	74.000000	QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272477	http://www.npd.no/FactMapSearch?npdid_facility_surface=272477
272505	N	Centrica Resources (Norge) AS	ØST FRIGG A	MULTI WELL TEMPLATE	ØST FRIGG	FIELD	43576	1988-10-01	112.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272505	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272505
272533	N	Centrica Resources (Norge) AS	ØST FRIGG B	MULTI WELL TEMPLATE	ØST FRIGG	FIELD	43576	1988-10-01	112.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272533	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272533
272561	Y	Total E&P Norge AS	FRIGG TCP2	CONDEEP 3 SHAFTS	FRIGG	FIELD	43555	1978-08-01	102.000000	PROCESSING	60	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272561	http://www.npd.no/FactMapSearch?npdid_facility_surface=272561
272589	Y	Statoil Petroleum AS	STATFJORD B-OLS	LOADING SYSTEM	STATFJORD	FIELD	43658	1990-08-01	146.000000	OFFLOADING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272589	http://www.npd.no/FactMapSearch?npdid_facility_surface=272589
272617	Y	Statoil Petroleum AS	STATFJORD C-SPM	LOADING SYSTEM	STATFJORD	FIELD	43658	1984-07-01	145.000000	OFFLOADING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272617	http://www.npd.no/FactMapSearch?npdid_facility_surface=272617
272645	Y	Statoil Petroleum AS	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS	FIELD	43686	1990-01-01	216.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER - STORAGE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272645	http://www.npd.no/FactMapSearch?npdid_facility_surface=272645
272673	N	Statoil Petroleum AS	34/10-A-1 H	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1986-12-22	135.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272673	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272673
272701	N	Statoil Petroleum AS	34/10-A-2 A	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1986-12-23	138.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272701	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272701
272729	N	Statoil Petroleum AS	34/10-A-3 H	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1987-02-12	138.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272729	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272729
272757	N	Statoil Petroleum AS	34/10-A-4 H	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1986-12-23	144.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272757	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272757
272785	N	Statoil Petroleum AS	34/10-A-5 H	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1987-04-04	136.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272785	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272785
272813	Y	Statoil Petroleum AS	GULLFAKS A-SPM 1	LOADING SYSTEM	GULLFAKS	FIELD	43686	1986-12-21	136.000000	OFFLOADING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272813	http://www.npd.no/FactMapSearch?npdid_facility_surface=272813
272841	Y	Statoil Petroleum AS	GULLFAKS A-SPM 2	LOADING SYSTEM	GULLFAKS	FIELD	43686	1988-02-29	136.000000	OFFLOADING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272841	http://www.npd.no/FactMapSearch?npdid_facility_surface=272841
272869	N	ConocoPhillips Skandinavia AS	TOMMELITEN	MULTI WELL TEMPLATE	TOMMELITEN GAMMA	FIELD	43444	1988-10-03	72.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272869	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272869
272897	Y	Statoil Petroleum AS	OSEBERG B	JACKET 8 LEGS	OSEBERG	FIELD	43625	1988-12-01	108.000000	DRILLING	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272897	http://www.npd.no/FactMapSearch?npdid_facility_surface=272897
272925	N	Statoil Petroleum AS	30/9-B-49 H	SINGLE WELL TEMPLATE	OSEBERG	FIELD	43625	1988-12-01	102.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272925	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272925
272953	N	Statoil Petroleum AS	30/9-B-50 H	SINGLE WELL TEMPLATE	OSEBERG	FIELD	43625	1988-12-01	103.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272953	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272953
272981	N	Statoil Petroleum AS	TOGI	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1991-01-22	302.000000	GAS PRODUCER	18	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=272981	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=272981
273877	Y	Talisman North Sea Limited	BRAE A	JACKET 8 LEGS	ENOCH	FIELD	3437659	1983-07-12	111.862000	OIL PRODUCER - PROCESSING - QUARTER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=273877	http://www.npd.no/FactMapSearch?npdid_facility_surface=273877
273961	N	Statoil Petroleum AS	SNORRE UPA	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	1992-08-03	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=273961	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=273961
274185	Y	ConocoPhillips Skandinavia AS	36/22	JACKET 8 LEGS	NORPIPE OLJELEDNING	TUF	124133	1975-10-14	73.200000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=274185	http://www.npd.no/FactMapSearch?npdid_facility_surface=274185
274213	Y	ConocoPhillips Skandinavia AS	37/4	JACKET 8 LEGS	NORPIPE OLJELEDNING	TUF	124133	1975-10-14	85.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=274213	http://www.npd.no/FactMapSearch?npdid_facility_surface=274213
277237	Y	GASSCO AS	H-7	JACKET 8 LEGS	NORPIPE GASSLEDNING	TUF	124165	1977-09-17	41.000000	BOOSTER - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277237	http://www.npd.no/FactMapSearch?npdid_facility_surface=277237
277265	Y	GASSCO AS	B-11	JACKET 8 LEGS	NORPIPE GASSLEDNING	TUF	124165	1977-09-17	33.000000	BOOSTER - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277265	http://www.npd.no/FactMapSearch?npdid_facility_surface=277265
277293	Y	ConocoPhillips Skandinavia AS	EKOFISK W	JACKET TRIPOD	EKOFISK	FIELD	43506	1989-01-01	72.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277293	http://www.npd.no/FactMapSearch?npdid_facility_surface=277293
277321	Y	Statoil Petroleum AS	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK	FIELD	43618	1989-12-26	174.000000	DRILLING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277321	http://www.npd.no/FactMapSearch?npdid_facility_surface=277321
277349	Y	Statoil Petroleum AS	VESLEFRIKK B	SEMISUB STEEL	VESLEFRIKK	FIELD	43618	1989-12-26	176.000000	PROCESSING - QUARTER	26	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277349	http://www.npd.no/FactMapSearch?npdid_facility_surface=277349
277377	Y	ConocoPhillips Skandinavia AS	EMBLA	JACKET 4 LEGS	EMBLA	FIELD	43534	1993-05-13	70.200000	OIL PRODUCER - PROCESSING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277377	http://www.npd.no/FactMapSearch?npdid_facility_surface=277377
277405	Y	Statoil Petroleum AS	BRAGE	JACKET 8 LEGS	BRAGE	FIELD	43651	1993-09-23	136.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277405	http://www.npd.no/FactMapSearch?npdid_facility_surface=277405
277433	Y	Det norske oljeselskap ASA	FRØY	JACKET 4 LEGS	FRØY	FIELD	43597	1995-05-11	119.000000	WELLHEAD	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277433	http://www.npd.no/FactMapSearch?npdid_facility_surface=277433
277461	N	Lundin Norway AS	MIME	MULTI WELL TEMPLATE	MIME	FIELD	43792	1990-10-01	85.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277461	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277461
277489	Y	Statoil Petroleum AS	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	FIELD	43639	1999-05-03	157.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277489	http://www.npd.no/FactMapSearch?npdid_facility_surface=277489
277517	N	Statoil Petroleum AS	GULLFAKS SØR D	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277517	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277517
277545	N	Statoil Petroleum AS	SLEIPNER C	MULTI WELL TEMPLATE	SLEIPNER ØST	FIELD	43478	1993-09-11	85.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277545	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277545
277573	Y	Statoil Petroleum AS	HULDRA	JACKET 4 LEGS	HULDRA	FIELD	97002	2001-11-21	125.000000	OIL PRODUCER - WELLHEAD	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277573	http://www.npd.no/FactMapSearch?npdid_facility_surface=277573
277601	Y	Statoil Petroleum AS	SLEIPNER B	JACKET 4 LEGS	SLEIPNER VEST	FIELD	43457	1997-04-01	107.600000	WELLHEAD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277601	http://www.npd.no/FactMapSearch?npdid_facility_surface=277601
277629	Y	Statoil Petroleum AS	SLEIPNER T	JACKET 6 LEGS	SLEIPNER VEST	FIELD	43457	1997-04-01	82.500000	PROCESSING	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277629	http://www.npd.no/FactMapSearch?npdid_facility_surface=277629
277657	N	Statoil Petroleum AS	VIGDIS C	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	1997-03-05	283.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277657	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277657
277685	Y	Statoil Petroleum AS	VISUND	SEMISUB STEEL	VISUND	FIELD	43745	1999-05-26	335.000000	DRILLING - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277685	http://www.npd.no/FactMapSearch?npdid_facility_surface=277685
277713	Y	Statoil Petroleum AS	NJORD A	SEMISUB STEEL	NJORD	FIELD	43751	1997-10-01	330.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277713	http://www.npd.no/FactMapSearch?npdid_facility_surface=277713
277741	Y	Statoil Petroleum AS	STATFJORD A-OLS	LOADING SYSTEM	STATFJORD	FIELD	43658	1987-05-07	145.000000	OFFLOADING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277741	http://www.npd.no/FactMapSearch?npdid_facility_surface=277741
277769	N	Statoil Petroleum AS	34/10-A-9 H	SINGLE WELL TEMPLATE	GULLFAKS	FIELD	43686	1988-05-15	136.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277769	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277769
277797	Y	Statoil Petroleum AS	SLEIPNER R	JACKET 4 LEGS	SLEIPNER ØST	FIELD	43478	1993-10-01	83.000000	RISER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277797	http://www.npd.no/FactMapSearch?npdid_facility_surface=277797
277825	N	Centrica Resources (Norge) AS	LILLE-FRIGG	MULTI WELL TEMPLATE	LILLE-FRIGG	FIELD	43583	1994-05-01	113.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277825	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277825
277853	N	A/S Norske Shell	DRAUGEN B	MULTI WELL TEMPLATE	DRAUGEN	FIELD	43758	1993-10-19	263.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277853	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277853
277881	N	Statoil Petroleum AS	SLEIPNER D	MULTI WELL TEMPLATE	SLEIPNER ØST	FIELD	43478	1993-08-24	84.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277881	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277881
277909	N	Statoil Petroleum AS	STATFJORD ØST K	MULTI WELL TEMPLATE	STATFJORD ØST	FIELD	43672	1995-01-29	156.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277909	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277909
277937	Y	ConocoPhillips Skandinavia AS	EKOFISK J	JACKET 8 LEGS	EKOFISK	FIELD	43506	1998-08-18	76.800000	OIL PRODUCER - PROCESSING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277937	http://www.npd.no/FactMapSearch?npdid_facility_surface=277937
277965	Y	Total E&P Norge AS	FRIGG DP2	JACKET 8 LEGS	FRIGG	FIELD	43555	1978-08-01	97.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277965	http://www.npd.no/FactMapSearch?npdid_facility_surface=277965
277993	N	Statoil Petroleum AS	STATFJORD ØST L	MULTI WELL TEMPLATE	STATFJORD ØST	FIELD	43672	1994-10-04	153.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=277993	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=277993
278021	N	Statoil Petroleum AS	STATFJORD ØST M	MULTI WELL TEMPLATE	STATFJORD ØST	FIELD	43672	1994-09-23	195.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278021	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278021
278049	N	Statoil Petroleum AS	HEIDRUN B	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	1995-08-15	339.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278049	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278049
278105	N	Statoil Petroleum AS	TROLL D	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-09-25	338.000000	MANIFOLD STATION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278105	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278105
278133	N	Statoil Petroleum AS	TROLL E	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-09-19	331.000000	MANIFOLD STATION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278133	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278133
278161	N	Statoil Petroleum AS	TROLL F	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-09-23	330.000000	MANIFOLD STATION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278161	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278161
278189	N	Statoil Petroleum AS	TROLL G	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-09-21	327.000000	MANIFOLD STATION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278189	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278189
278217	N	Statoil Petroleum AS	30/6-C-27 H	SINGLE WELL TEMPLATE	OSEBERG	FIELD	43625	1991-10-01	106.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278217	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278217
278273	Y	Statoil Petroleum AS	TROLL B	SEMISUB CONCRETE	TROLL	FIELD	46437	1995-09-21	320.000000	PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278273	http://www.npd.no/FactMapSearch?npdid_facility_surface=278273
278301	N	Statoil Petroleum AS	TROLL H	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-12-31	317.000000	MANIFOLD STATION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278301	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278301
278329	Y	Statoil Petroleum AS	TROLL A	CONDEEP 4 SHAFTS	TROLL	FIELD	46437	1996-05-15	302.000000	DRILLING - PROCESSING - QUARTER	70	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278329	http://www.npd.no/FactMapSearch?npdid_facility_surface=278329
278357	Y	GASSCO AS	DRAUPNER E	JACKET 4 LEGS	GASSLED	TUF	2252643	1995-08-13	69.300000	RISER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278357	http://www.npd.no/FactMapSearch?npdid_facility_surface=278357
278385	Y	BP Norge AS	VALHALL WP	JACKET 4 LEGS	VALHALL	FIELD	43548	1996-06-01	74.000000	WELLHEAD	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278385	http://www.npd.no/FactMapSearch?npdid_facility_surface=278385
278413	Y	Talisman Energy Norge AS	YME B	FSU	YME	FIELD	43807	1996-02-27	95.000000	OFFLOADING - STORAGE	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278413	http://www.npd.no/FactMapSearch?npdid_facility_surface=278413
278441	N	Statoil Petroleum AS	STATFJORD NORD D	MULTI WELL TEMPLATE	STATFJORD NORD	FIELD	43679	1995-06-16	272.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278441	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278441
278469	N	Statoil Petroleum AS	STATFJORD NORD E	MULTI WELL TEMPLATE	STATFJORD NORD	FIELD	43679	1995-01-23	265.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278469	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278469
278497	N	Statoil Petroleum AS	STATFJORD NORD F	MULTI WELL TEMPLATE	STATFJORD NORD	FIELD	43679	1995-04-15	285.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278497	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278497
278525	Y	ConocoPhillips Skandinavia AS	EKOFISK X	JACKET 4 LEGS	EKOFISK	FIELD	43506	1997-01-01	76.800000	DRILLING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278525	http://www.npd.no/FactMapSearch?npdid_facility_surface=278525
278553	N	Statoil Petroleum AS	ÅSGARD F	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	300.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278553	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278553
278581	N	Statoil Petroleum AS	ÅSGARD I	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	285.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278581	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278581
278609	N	Statoil Petroleum AS	ÅSGARD L	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	288.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278609	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278609
278637	N	Statoil Petroleum AS	ÅSGARD N	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	272.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278637	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278637
278665	N	Statoil Petroleum AS	ÅSGARD H	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	290.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278665	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278665
278693	N	Statoil Petroleum AS	ÅSGARD J	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	256.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278693	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278693
278721	N	Statoil Petroleum AS	ÅSGARD E	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	305.000000	GAS INJECTION - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278721	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278721
278749	N	Statoil Petroleum AS	ÅSGARD G	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	288.000000	GAS INJECTION - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278749	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278749
278777	N	Statoil Petroleum AS	ÅSGARD K	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	296.000000	GAS INJECTION - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278777	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278777
278805	N	Statoil Petroleum AS	ÅSGARD M	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	273.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278805	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278805
278833	N	Statoil Petroleum AS	ÅSGARD S	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	300.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278833	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278833
278861	N	Statoil Petroleum AS	ÅSGARD R	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	305.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278861	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278861
278889	N	Statoil Petroleum AS	ÅSGARD P	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	1999-05-20	310.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278889	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278889
278917	N	Statoil Petroleum AS	ÅSGARD X	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	298.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278917	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278917
278945	N	Statoil Petroleum AS	ÅSGARD Y	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	260.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278945	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278945
278973	N	Statoil Petroleum AS	ÅSGARD Z	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	245.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=278973	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=278973
279001	N	Statoil Petroleum AS	STATFJORD G	MULTI WELL TEMPLATE	STATFJORD	FIELD	43658	1999-08-26	157.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279001	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279001
279029	N	Statoil Petroleum AS	TROLL L1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2000-11-14	327.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279029	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279029
279057	N	Statoil Petroleum AS	TROLL M1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2000-07-15	344.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279057	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279057
279085	N	Statoil Petroleum AS	TROLL P1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-07	336.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279085	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279085
279113	N	Statoil Petroleum AS	TROLL I1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1998-04-14	315.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279113	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279113
279141	N	Statoil Petroleum AS	TROLL J1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-03-17	315.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279141	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279141
279169	N	Statoil Petroleum AS	VIGDIS B	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	1997-03-05	292.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279169	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279169
279197	N	Statoil Petroleum AS	VIGDIS E	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	1998-01-01	290.000000	WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279197	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279197
279225	N	Statoil Petroleum AS	NORNE B	MULTI WELL TEMPLATE	NORNE	FIELD	43778	1997-11-05	374.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279225	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279225
279253	N	Statoil Petroleum AS	NORNE C	MULTI WELL TEMPLATE	NORNE	FIELD	43778	1997-11-14	375.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279253	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279253
279281	N	Statoil Petroleum AS	NORNE D	MULTI WELL TEMPLATE	NORNE	FIELD	43778	1997-11-05	378.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279281	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279281
279309	N	Statoil Petroleum AS	NORNE E	MULTI WELL TEMPLATE	NORNE	FIELD	43778	1997-11-05	379.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279309	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279309
279337	N	Statoil Petroleum AS	NORNE F	MULTI WELL TEMPLATE	NORNE	FIELD	43778	1998-07-02	380.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279337	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279337
279365	Y	ExxonMobil Exploration & Production Norway AS	JOTUN B	JACKET 4 LEGS	JOTUN	FIELD	43604	1999-10-21	127.000000	DRILLING - WELLHEAD	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279365	http://www.npd.no/FactMapSearch?npdid_facility_surface=279365
279393	Y	ExxonMobil Exploration & Production Norway AS	JOTUN A	FPSO	JOTUN	FIELD	43604	1999-10-21	126.000000	OFFLOADING - OIL PRODUCER - PROCESSING - QUARTER - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279393	http://www.npd.no/FactMapSearch?npdid_facility_surface=279393
279421	Y	Statoil Petroleum AS	TROLL C	SEMISUB STEEL	TROLL	FIELD	46437	1999-11-01	339.000000	PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279421	http://www.npd.no/FactMapSearch?npdid_facility_surface=279421
279449	N	Statoil Petroleum AS	TROLL K1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-07-24	320.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279449	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279449
279477	N	Statoil Petroleum AS	TROLL Q1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-10-31	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279477	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279477
279505	Y	Talisman Energy Norge AS	VARG A	MONOTOWER	VARG	FIELD	43451	1998-12-22	84.000000	WELLHEAD	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279505	http://www.npd.no/FactMapSearch?npdid_facility_surface=279505
279533	N	Statoil Petroleum AS	HEIDRUN TEMPLATE	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	1995-08-15	345.000000	DRILLING TEMPLATE	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279533	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279533
279561	Y	Statoil Petroleum AS	NJORD BRAVO	FSU	NJORD	FIELD	43751	1997-10-01	330.000000	OFFLOADING - STORAGE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279561	http://www.npd.no/FactMapSearch?npdid_facility_surface=279561
279589	Y	Statoil Petroleum AS	NORNE FPSO	FPSO	NORNE	FIELD	43778	1997-11-05	378.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279589	http://www.npd.no/FactMapSearch?npdid_facility_surface=279589
279617	N	Statoil Petroleum AS	GULLFAKS SØR L	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	2001-10-01	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279617	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279617
279645	N	Statoil Petroleum AS	GULLFAKS SØR F	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279645	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279645
279673	N	Statoil Petroleum AS	GULLFAKS SØR G	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279673	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279673
279701	N	Statoil Petroleum AS	GULLFAKS SØR E	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	135.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279701	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279701
279729	N	Statoil Petroleum AS	TROLL N1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2000-01-06	345.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279729	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279729
279757	N	Statoil Petroleum AS	TROLL O1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-23	355.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279757	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279757
279785	Y	Statoil Petroleum AS	ÅSGARD A	FPSO	ÅSGARD	FIELD	43765	1999-05-20	315.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279785	http://www.npd.no/FactMapSearch?npdid_facility_surface=279785
279841	Y	ExxonMobil Exploration & Production Norway AS	BALDER FPU	FPSO	BALDER	FIELD	43562	1999-09-30	127.000000	OFFLOADING - OIL PRODUCER - PROCESSING - QUARTER - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279841	http://www.npd.no/FactMapSearch?npdid_facility_surface=279841
279869	Y	Talisman Energy Norge AS	PETROJARL VARG	FPSO	VARG	FIELD	43451	1998-12-22	84.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279869	http://www.npd.no/FactMapSearch?npdid_facility_surface=279869
279897	N	Statoil Petroleum AS	SYGNA N	MULTI WELL TEMPLATE	SYGNA	FIELD	104718	2000-08-02	299.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279897	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279897
279925	N	Statoil Petroleum AS	OSEBERG SØR K	MULTI WELL TEMPLATE	OSEBERG SØR	FIELD	43645	2000-08-30	106.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279925	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279925
417108	Y	\N	SNURREVARDEN	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417108	http://www.npd.no/FactMapSearch?npdid_facility_surface=417108
279953	N	Statoil Petroleum AS	TROLL I2	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1998-04-14	315.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279953	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279953
279981	N	Statoil Petroleum AS	TROLL J2	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-03-17	315.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=279981	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=279981
280009	N	Statoil Petroleum AS	TROLL K2	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-07-24	320.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280009	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280009
280037	N	Statoil Petroleum AS	TROLL M2	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2000-07-15	346.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280037	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280037
280065	N	Statoil Petroleum AS	30/6-B-51 H	SINGLE WELL TEMPLATE	OSEBERG	FIELD	43625	1996-08-20	110.000000	OIL PRODUCER	21	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280065	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280065
280093	Y	ConocoPhillips Skandinavia AS	ELDFISK E	JACKET 4 LEGS	ELDFISK	FIELD	43527	2000-01-01	72.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280093	http://www.npd.no/FactMapSearch?npdid_facility_surface=280093
280121	Y	Statoil Petroleum AS	ÅSGARD B	SEMISUB STEEL	ÅSGARD	FIELD	43765	2000-10-04	300.000000	GAS EXPORT - PROCESSING - QUARTER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280121	http://www.npd.no/FactMapSearch?npdid_facility_surface=280121
280149	Y	Statoil Petroleum AS	ÅSGARD C	FSU	ÅSGARD	FIELD	43765	2000-10-04	290.000000	OFFLOADING - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280149	http://www.npd.no/FactMapSearch?npdid_facility_surface=280149
280177	Y	A/S Norske Shell	DRAUGEN FLP	LOADING SYSTEM	DRAUGEN	FIELD	43758	1993-10-19	258.000000	OFFLOADING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280177	http://www.npd.no/FactMapSearch?npdid_facility_surface=280177
280205	Y	Statoil Petroleum AS	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	FIELD	43645	2000-08-30	101.000000	DRILLING - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280205	http://www.npd.no/FactMapSearch?npdid_facility_surface=280205
280233	N	Statoil Petroleum AS	15/6-A-1 H	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2001-08-29	112.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280233	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280233
280261	N	Statoil Petroleum AS	TROLL P2	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2002-06-01	336.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280261	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280261
280289	N	Statoil Petroleum AS	TROLL L2	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2000-11-14	333.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280289	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280289
280317	N	Statoil Petroleum AS	TROLL N2	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2001-12-01	345.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280317	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280317
280345	N	Statoil Petroleum AS	TROLL S2	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-03	342.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280345	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280345
280373	N	Statoil Petroleum AS	TROLL T1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2001-02-01	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280373	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280373
280401	N	Statoil Petroleum AS	TROLL T2	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2001-01-01	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280401	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280401
280429	N	Statoil Petroleum AS	TROLL U1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-01	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280429	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280429
280457	N	Statoil Petroleum AS	TROLL U2	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-01	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280457	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280457
280485	Y	Statoil Petroleum AS	SNORRE B	SEMISUB STEEL	SNORRE	FIELD	43718	2001-06-27	340.000000	DRILLING - PROCESSING - QUARTER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280485	http://www.npd.no/FactMapSearch?npdid_facility_surface=280485
280513	Y	Statoil Petroleum AS	PETROJARL 1	FPSO	GLITNE	FIELD	1272071	2001-08-29	110.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280513	http://www.npd.no/FactMapSearch?npdid_facility_surface=280513
280541	Y	Statoil Petroleum AS	OSEBERG D	JACKET 4 LEGS	OSEBERG	FIELD	43625	2000-10-01	109.000000	PROCESSING	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280541	http://www.npd.no/FactMapSearch?npdid_facility_surface=280541
280569	Y	GASSCO AS	HEIMDAL HRP	JACKET 4 LEGS	OSEBERG GASSTRANSPORT	TUF	124170	2000-09-30	120.000000	RISER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280569	http://www.npd.no/FactMapSearch?npdid_facility_surface=280569
280597	N	Statoil Petroleum AS	TORDIS ØST K	MULTI WELL TEMPLATE	TORDIS	FIELD	43725	2000-07-25	200.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280597	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280597
280625	N	Statoil Petroleum AS	VISUND NORD	MULTI WELL TEMPLATE	VISUND	FIELD	43745	2002-02-01	335.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280625	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280625
280653	N	Statoil Petroleum AS	GULLFAKS SØR I	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280653	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280653
280681	N	Statoil Petroleum AS	GULLFAKS SØR J	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	135.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280681	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280681
280709	N	Statoil Petroleum AS	GULLFAKS SØR H	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280709	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280709
280737	N	Statoil Petroleum AS	TROLL S1	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1999-11-03	340.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280737	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280737
280765	N	Statoil Petroleum AS	GULLFAKS SØR K	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	1998-10-08	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280765	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280765
280793	Y	BP Norge AS	TAMBAR	JACKET TRIPOD	TAMBAR	FIELD	1028599	2001-07-16	70.000000	WELLHEAD	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280793	http://www.npd.no/FactMapSearch?npdid_facility_surface=280793
280821	N	Statoil Petroleum AS	15/9-E H	MULTI WELL TEMPLATE	SLEIPNER VEST	FIELD	43457	2004-10-11	110.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280821	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280821
280849	Y	ExxonMobil Exploration & Production Norway AS	RINGHORNE	JACKET 4 LEGS	BALDER	FIELD	43562	2003-02-10	128.500000	DRILLING - PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280849	http://www.npd.no/FactMapSearch?npdid_facility_surface=280849
280877	Y	Statoil Petroleum AS	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	FIELD	1036101	2004-09-26	190.000000	DRILLING - PROCESSING - QUARTER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280877	http://www.npd.no/FactMapSearch?npdid_facility_surface=280877
280933	Y	Total E&P Norge AS	FRIGG DP1	JACKET 8 LEGS	FRIGG	FIELD	43555	1900-01-01	98.000000	\N	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280933	http://www.npd.no/FactMapSearch?npdid_facility_surface=280933
280961	Y	BP Norge AS	VALHALL FLANKE SØR	JACKET 4 LEGS	VALHALL	FIELD	43548	2003-05-08	66.700000	WELLHEAD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280961	http://www.npd.no/FactMapSearch?npdid_facility_surface=280961
280989	N	A/S Norske Shell	DRAUGEN D	SUBSEA STRUCTURE	DRAUGEN	FIELD	43758	2001-11-01	265.000000	MANIFOLD STATION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=280989	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=280989
281017	N	Statoil Petroleum AS	GULLFAKS SØR M	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	2001-10-01	135.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281017	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281017
281045	N	Statoil Petroleum AS	TUNE	MULTI WELL TEMPLATE	TUNE	FIELD	853376	2002-11-28	100.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281045	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281045
281073	Y	ConocoPhillips Skandinavia AS	ALBUSKJELL A-BS	JACKET TRIPOD	ALBUSKJELL	FIELD	43437	1979-05-01	70.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281073	http://www.npd.no/FactMapSearch?npdid_facility_surface=281073
281101	Y	ConocoPhillips Skandinavia AS	ALBUSKJELL A-FL	JACKET TRIPOD	ALBUSKJELL	FIELD	43437	1979-05-01	70.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281101	http://www.npd.no/FactMapSearch?npdid_facility_surface=281101
281129	Y	ConocoPhillips Skandinavia AS	EKOFISK BS1	JACKET TRIPOD	EKOFISK	FIELD	43506	1972-01-01	72.000000	SUPPORT	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281129	http://www.npd.no/FactMapSearch?npdid_facility_surface=281129
281157	Y	ConocoPhillips Skandinavia AS	EKOFISK BS3	JACKET TRIPOD	EKOFISK	FIELD	43506	1974-01-01	72.000000	SUPPORT	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281157	http://www.npd.no/FactMapSearch?npdid_facility_surface=281157
281185	Y	ConocoPhillips Skandinavia AS	EKOFISK BS4	JACKET TRIPOD	EKOFISK	FIELD	43506	1975-01-01	72.000000	SUPPORT	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281185	http://www.npd.no/FactMapSearch?npdid_facility_surface=281185
281213	Y	ConocoPhillips Skandinavia AS	TOR FL	JACKET TRIPOD	TOR	FIELD	43520	1977-08-01	70.000000	FLARE STACK	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281213	http://www.npd.no/FactMapSearch?npdid_facility_surface=281213
281241	Y	ConocoPhillips Skandinavia AS	ALBUSKJELL F-BS	JACKET TRIPOD	ALBUSKJELL	FIELD	43437	1979-05-01	70.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281241	http://www.npd.no/FactMapSearch?npdid_facility_surface=281241
281269	Y	ConocoPhillips Skandinavia AS	ALBUSKJELL F-FL	JACKET TRIPOD	ALBUSKJELL	FIELD	43437	1979-05-01	70.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281269	http://www.npd.no/FactMapSearch?npdid_facility_surface=281269
281297	Y	ConocoPhillips Skandinavia AS	EKOFISK SØR FL	JACKET TRIPOD	EKOFISK	FIELD	43506	1972-01-01	72.000000	FLARE STACK	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281297	http://www.npd.no/FactMapSearch?npdid_facility_surface=281297
281325	Y	GASSCO AS	EKOFISK S-BS	JACKET TRIPOD	STATPIPE	TUF	123940	1986-10-01	74.000000	SUPPORT	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281325	http://www.npd.no/FactMapSearch?npdid_facility_surface=281325
281353	Y	ConocoPhillips Skandinavia AS	EKOFISK X-BS	JACKET TRIPOD	EKOFISK	FIELD	43506	1997-01-01	76.000000	SUPPORT	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281353	http://www.npd.no/FactMapSearch?npdid_facility_surface=281353
281381	Y	ConocoPhillips Skandinavia AS	EDDA FL	JACKET TRIPOD	EDDA	FIELD	43541	1976-12-01	70.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281381	http://www.npd.no/FactMapSearch?npdid_facility_surface=281381
281409	Y	ConocoPhillips Skandinavia AS	ELDFISK FTP-BS	JACKET TRIPOD	ELDFISK	FIELD	43527	1979-08-01	70.000000	SUPPORT	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281409	http://www.npd.no/FactMapSearch?npdid_facility_surface=281409
281437	Y	ConocoPhillips Skandinavia AS	ELDFISK FTP-FL	JACKET TRIPOD	ELDFISK	FIELD	43527	1979-08-01	70.000000	FLARE STACK	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281437	http://www.npd.no/FactMapSearch?npdid_facility_surface=281437
281465	Y	ConocoPhillips Skandinavia AS	COD FL	JACKET TRIPOD	COD	FIELD	43785	1977-11-01	78.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281465	http://www.npd.no/FactMapSearch?npdid_facility_surface=281465
281493	N	Statoil Petroleum AS	TROLL ERB	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-09-21	324.000000	RISER BASE	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281493	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281493
281521	N	Statoil Petroleum AS	TROLL ERS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-04-11	324.000000	RISER SUPPORT	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281521	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281521
281549	N	Statoil Petroleum AS	34/7-I-10 H	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1999-11-01	200.000000	SILO	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281549	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281549
281577	N	Statoil Petroleum AS	34/7-I-1 H	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1994-06-03	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281577	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281577
281605	N	Statoil Petroleum AS	34/7-I-2 H	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1994-06-03	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281605	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281605
281633	N	Statoil Petroleum AS	34/7-I-3 H	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1994-06-03	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281633	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281633
281661	N	Statoil Petroleum AS	34/7-I-11 H	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1999-01-01	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281661	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281661
281689	N	Statoil Petroleum AS	34/7-I-4 H	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1994-06-03	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281689	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281689
281717	N	Statoil Petroleum AS	34/7-I-5 H	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	1994-06-03	200.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281717	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281717
281745	N	Statoil Petroleum AS	OSEBERG SØR J	MULTI WELL TEMPLATE	OSEBERG SØR	FIELD	43645	2005-06-15	101.000000	OIL PRODUCER - WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281745	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281745
281773	N	Statoil Petroleum AS	ÅSGARD O	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2000-10-04	286.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281773	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281773
281801	N	A/S Norske Shell	DRAUGEN E	MULTI WELL TEMPLATE	DRAUGEN	FIELD	43758	1993-10-19	286.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281801	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281801
281829	N	A/S Norske Shell	DRAUGEN PLEM 105	SUBSEA STRUCTURE	DRAUGEN	FIELD	43758	1993-10-19	257.000000	PIPELINE END MANIFOLD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281829	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281829
281857	N	A/S Norske Shell	DRAUGEN PLEM-106	SUBSEA STRUCTURE	DRAUGEN	FIELD	43758	1993-10-19	256.000000	PIPELINE END MANIFOLD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281857	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281857
281885	N	Statoil Petroleum AS	TROLL PRB	SUBSEA STRUCTURE	TROLL	FIELD	46437	1994-05-28	324.000000	RISER BASE	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281885	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281885
281913	N	Statoil Petroleum AS	TROLL PRBN	SUBSEA STRUCTURE	TROLL	FIELD	46437	1998-04-01	324.000000	RISER BASE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281913	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281913
281941	N	Statoil Petroleum AS	TROLL PRBS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-06-11	324.000000	RISER BASE	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281941	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281941
281969	N	Statoil Petroleum AS	TROLL PRS	SUBSEA STRUCTURE	TROLL	FIELD	46437	1995-04-10	325.000000	RISER SUPPORT	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281969	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281969
281997	N	Statoil Petroleum AS	HEIDRUN RISER-BASE	SUBSEA STRUCTURE	HEIDRUN	FIELD	43771	1995-08-15	350.000000	RISER BASE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=281997	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=281997
282025	N	Statoil Petroleum AS	HEIDRUN SDU	SUBSEA STRUCTURE	HEIDRUN	FIELD	43771	2000-08-15	345.000000	DISTRIBUTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282025	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282025
282053	N	Statoil Petroleum AS	TROLL PTG	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	338.000000	RISER BASE	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282053	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282053
282081	N	Statoil Petroleum AS	TROLL PTO	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	338.000000	RISER BASE	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282081	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282081
282109	N	Statoil Petroleum AS	TROLL RB1	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	338.000000	RISER BASE	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282109	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282109
282137	Y	\N	NORDØST FRIGG A	MONOTOWER	\N	FIELD	\N	1984-01-01	102.000000	FIELD CONTROL CENTER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282137	http://www.npd.no/FactMapSearch?npdid_facility_surface=282137
282165	N	Centrica Resources (Norge) AS	LILLE-FRIGG A	SUBSEA STRUCTURE	LILLE-FRIGG	FIELD	43583	1994-05-01	110.000000	MANIFOLD STATION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282165	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282165
282193	N	Centrica Resources (Norge) AS	LILLE-FRIGG B	MULTI WELL TEMPLATE	LILLE-FRIGG	FIELD	43583	1994-05-01	113.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282193	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282193
282221	N	GASSCO AS	NORNE ERB	SUBSEA STRUCTURE	NORNE GASSTRANSPORT	TUF	1035984	2000-10-01	378.000000	RISER BASE	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282221	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282221
282249	N	Statoil Petroleum AS	SNORRE MDU	SUBSEA STRUCTURE	SNORRE	FIELD	43718	2001-06-27	340.000000	DISTRIBUTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282249	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282249
282277	N	ExxonMobil Exploration & Production Norway AS	SIGYN	MULTI WELL TEMPLATE	SIGYN	FIELD	1630100	2002-12-22	70.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282277	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282277
282305	Y	Statoil Petroleum AS	SLEIPNER FL	JACKET TRIPOD	SLEIPNER ØST	FIELD	43478	1993-09-01	83.000000	FLARE STACK	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282305	http://www.npd.no/FactMapSearch?npdid_facility_surface=282305
282333	N	Statoil Petroleum AS	STATFJORD H	MULTI WELL TEMPLATE	STATFJORD	FIELD	43658	1900-01-01	157.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282333	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282333
282445	N	Statoil Petroleum AS	TORDIS EXTENSION	MULTI WELL TEMPLATE	TORDIS	FIELD	43725	1997-07-01	200.000000	OIL PRODUCER	17	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282445	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282445
282473	N	Statoil Petroleum AS	HEIDRUN UMBILCAL BASE	SUBSEA STRUCTURE	HEIDRUN	FIELD	43771	1995-08-15	350.000000	RISER BASE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282473	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282473
282501	N	Centrica Resources (Norge) AS	VALE	MULTI WELL TEMPLATE	VALE	FIELD	1578893	2002-05-31	114.000000	GAS PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282501	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282501
282529	Y	BP Norge AS	VALHALL IP	JACKET 4 LEGS	VALHALL	FIELD	43548	2004-01-24	74.000000	DRILLING - WATER INJECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282529	http://www.npd.no/FactMapSearch?npdid_facility_surface=282529
282557	N	Talisman Energy Norge AS	YME B ØST	MULTI WELL TEMPLATE	YME	FIELD	43807	1996-06-01	82.000000	OIL PRODUCER	5	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282557	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282557
282585	N	Talisman Energy Norge AS	YME B VEST	MULTI WELL TEMPLATE	YME	FIELD	43807	1999-11-01	85.000000	OIL PRODUCER	5	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282585	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282585
282613	N	GASSCO AS	ÅSGARD ERB	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	2000-10-01	305.000000	RISER BASE	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282613	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282613
282641	Y	ConocoPhillips Skandinavia AS	EKOFISK NORD FL	JACKET TRIPOD	EKOFISK	FIELD	43506	1975-01-01	72.000000	\N	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282641	http://www.npd.no/FactMapSearch?npdid_facility_surface=282641
282669	Y	ConocoPhillips Skandinavia AS	EKOFISK T WALL	CONCRETE STRUCTURE	EKOFISK	FIELD	43506	1989-06-24	76.800000	\N	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282669	http://www.npd.no/FactMapSearch?npdid_facility_surface=282669
282697	N	Statoil Petroleum AS	34/8-A-2 H	MULTI WELL TEMPLATE	VISUND	FIELD	43745	1999-05-26	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282697	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282697
282725	N	Statoil Petroleum AS	34/8-A-20 H	MULTI WELL TEMPLATE	VISUND	FIELD	43745	1900-01-01	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282725	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282725
282753	N	ExxonMobil Exploration & Production Norway AS	25/11-A-20 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2001-10-10	127.000000	GAS INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282753	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282753
282781	N	Statoil Petroleum AS	34/4-C H	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	2001-06-27	340.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282781	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282781
282809	N	Statoil Petroleum AS	34/4-D H	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	2001-06-27	340.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282809	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282809
282865	N	Statoil Petroleum AS	34/8-A-21 H/AH	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2003-06-01	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282865	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282865
282893	N	Statoil Petroleum AS	TORDIS-MS	SUBSEA STRUCTURE	TORDIS	FIELD	43725	1994-06-03	200.000000	MANIFOLD STATION	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282893	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282893
282921	N	Statoil Petroleum AS	TROLL PILOT	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-03	342.000000	SEPARATION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282921	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282921
282949	N	ExxonMobil Exploration & Production Norway AS	25/11-A-21 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2013-08-01	127.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282949	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282949
282977	N	Statoil Petroleum AS	34/8-A-22 H/AH	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2004-01-16	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=282977	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=282977
283005	N	Statoil Petroleum AS	34/8-A-23 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2002-01-01	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283005	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283005
283033	N	Statoil Petroleum AS	34/8-A-24 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	1900-01-01	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283033	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283033
283061	N	Statoil Petroleum AS	34/8-A-25 H/AH	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2003-01-01	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283061	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283061
283089	N	Statoil Petroleum AS	34/8-A-26  H	MULTI WELL TEMPLATE	VISUND	FIELD	43745	2001-01-01	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283089	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283089
283117	N	Statoil Petroleum AS	34/8-A-3 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	1999-05-26	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283117	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283117
283145	N	Statoil Petroleum AS	34/8-A-4 H/AH	MULTI WELL TEMPLATE	VISUND	FIELD	43745	2001-01-01	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283145	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283145
283173	N	ExxonMobil Exploration & Production Norway AS	25/11-A-4 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-11-13	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283173	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283173
283201	N	Statoil Petroleum AS	34/8-A-5 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2000-08-05	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283201	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283201
283229	N	ExxonMobil Exploration & Production Norway AS	25/11-A-5 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-11-15	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283229	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283229
283257	N	ExxonMobil Exploration & Production Norway AS	25/11-A-6 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-11-13	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283257	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283257
283285	Y	Statoil Petroleum AS	GRANE	JACKET 8 LEGS	GRANE	FIELD	1035937	2003-09-23	127.000000	DRILLING - OIL PRODUCER - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283285	http://www.npd.no/FactMapSearch?npdid_facility_surface=283285
283313	N	Statoil Petroleum AS	TROLL RB2	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	338.000000	RISER BASE	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283313	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283313
283341	N	Statoil Petroleum AS	TROLL RB3	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	338.000000	RISER BASE	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283341	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283341
283369	N	Statoil Petroleum AS	TROLL RB4	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	338.000000	RISER BASE	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283369	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283369
283397	N	Statoil Petroleum AS	TROLL RSS1	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	338.000000	RISER SUPPORT	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283397	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283397
283425	N	Statoil Petroleum AS	TROLL RSS2	SUBSEA STRUCTURE	TROLL	FIELD	46437	1999-11-01	338.000000	RISER SUPPORT	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283425	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283425
283453	N	Statoil Petroleum AS	VISUND SDU-1	SUBSEA STRUCTURE	VISUND	FIELD	43745	1999-05-26	335.000000	DISTRIBUTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283453	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283453
283481	N	Statoil Petroleum AS	VISUND SDU-2	SUBSEA STRUCTURE	VISUND	FIELD	43745	1999-05-26	335.000000	DISTRIBUTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283481	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283481
283509	N	Statoil Petroleum AS	MIKKEL A	MULTI WELL TEMPLATE	MIKKEL	FIELD	1630514	2003-10-01	220.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283509	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283509
283537	N	Statoil Petroleum AS	MIKKEL B	MULTI WELL TEMPLATE	MIKKEL	FIELD	1630514	2003-10-01	220.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283537	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283537
283593	N	Statoil Petroleum AS	HEIDRUN D	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	2000-08-15	358.500000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283593	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283593
283621	N	Statoil Petroleum AS	HEIDRUN E	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	2000-08-15	363.400000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283621	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283621
283649	N	Statoil Petroleum AS	HEIDRUN F	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	1900-01-01	358.100000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283649	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283649
283677	N	Statoil Petroleum AS	TROLL O2	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2010-07-20	338.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283677	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283677
283733	N	Statoil Petroleum AS	TROLL R	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1900-01-01	341.000000	WATER INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283733	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283733
283761	N	Statoil Petroleum AS	6407/7-A-9 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	GAS INJECTION - OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283761	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283761
283789	N	Statoil Petroleum AS	15/5-B-1 H	MULTI WELL TEMPLATE	GLITNE	FIELD	1272071	2001-08-29	110.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283789	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283789
283817	N	ExxonMobil Exploration & Production Norway AS	25/11-B-11 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-15	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283817	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283817
283845	N	ExxonMobil Exploration & Production Norway AS	25/11-B-14 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-04	127.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283845	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283845
283873	N	ExxonMobil Exploration & Production Norway AS	25/11-B-18 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2001-04-01	127.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283873	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283873
283901	N	ExxonMobil Exploration & Production Norway AS	25/11-B-7 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-14	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283901	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283901
283929	N	ExxonMobil Exploration & Production Norway AS	25/11-C-12 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-04	127.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283929	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283929
283957	N	ExxonMobil Exploration & Production Norway AS	25/11-C-13 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-19	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283957	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283957
283985	N	ExxonMobil Exploration & Production Norway AS	25/11-C-17 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-18	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=283985	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=283985
284013	N	ExxonMobil Exploration & Production Norway AS	25/11-C-3 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-14	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284013	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284013
284041	N	ExxonMobil Exploration & Production Norway AS	25/11-D-1 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-10-04	127.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284041	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284041
284069	N	A/S Norske Shell	6407/9-D-1 H	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2001-12-13	265.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284069	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284069
284097	N	A/S Norske Shell	6407/9-D-2 H	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2002-04-22	265.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284097	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284097
284125	N	A/S Norske Shell	6407/9-E-1 H	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2002-11-30	293.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284125	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284125
284153	N	A/S Norske Shell	6407/9-E-2 H	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2002-11-30	293.000000	OIL PRODUCER	12	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284153	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284153
284181	N	ExxonMobil Exploration & Production Norway AS	25/11-D-10 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-11-02	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284181	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284181
284209	N	ExxonMobil Exploration & Production Norway AS	25/11-D-2 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1999-09-30	127.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284209	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284209
284265	N	Statoil Petroleum AS	34/4-K H	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	2001-06-27	340.000000	WATER/GAS INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284265	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284265
284293	N	Statoil Petroleum AS	34/4-L H	MULTI WELL TEMPLATE	SNORRE	FIELD	43718	2001-06-27	340.000000	WATER/GAS INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284293	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284293
284349	N	A/S Norske Shell	6407/9-A-53 H	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	1993-10-19	277.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284349	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284349
284377	N	Statoil Petroleum AS	34/8-A-1 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	1999-05-26	335.000000	GAS INJECTOR	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284377	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284377
284405	N	Statoil Petroleum AS	34/8-A-10 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2000-01-01	335.000000	WATER/GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284405	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284405
284433	N	Statoil Petroleum AS	34/8-A-11 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2000-01-01	335.000000	WATER/GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284433	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284433
284461	N	Statoil Petroleum AS	34/8-A-13 H	MULTI WELL TEMPLATE	VISUND	FIELD	43745	2000-01-01	335.000000	WATER PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284461	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284461
284489	N	Statoil Petroleum AS	34/8-A-14 H	MULTI WELL TEMPLATE	VISUND	FIELD	43745	2000-01-01	335.000000	WATER PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284489	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284489
284517	N	Statoil Petroleum AS	34/8-A-18 AH/H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	1900-01-01	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284517	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284517
284545	N	Statoil Petroleum AS	34/8-A-19 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2004-05-25	335.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284545	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284545
284573	N	Statoil Petroleum AS	34/8-A-6 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	1999-05-26	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284573	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284573
284601	N	Statoil Petroleum AS	34/8-A-8 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2010-01-01	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284601	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284601
284629	N	ExxonMobil Exploration & Production Norway AS	25/11-A-8 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	1900-01-01	127.000000	WATER PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284629	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284629
284657	N	Statoil Petroleum AS	34/8-A-9 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2012-06-01	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284657	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284657
284685	N	Statoil Petroleum AS	6407/7-A-1 H	MULTI WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	WATER INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284685	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284685
284713	N	Statoil Petroleum AS	FRAM A1	MULTI WELL TEMPLATE	FRAM	FIELD	1578840	2003-10-02	360.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284713	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284713
284741	N	Statoil Petroleum AS	6407/7-A-10 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284741	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284741
284769	N	Statoil Petroleum AS	6407/7-A-11 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284769	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284769
284797	N	Statoil Petroleum AS	6407/7-A-12 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284797	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284797
284825	N	Statoil Petroleum AS	31/2-B-3 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-19	330.000000	GAS INJECTION	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284825	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284825
284853	N	Statoil Petroleum AS	31/2-D-1 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1998-10-01	338.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284853	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284853
284881	N	Statoil Petroleum AS	31/2-D-2 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-02-14	338.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284881	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284881
284909	N	Statoil Petroleum AS	6407/7-A-13 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	2002-01-01	330.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284909	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284909
284937	N	Statoil Petroleum AS	31/2-D-3 H	MULTI WELL TEMPLATE	TROLL	FIELD	46437	1900-01-01	330.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284937	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284937
284965	N	Statoil Petroleum AS	31/2-D-4 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	2003-07-01	330.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284965	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284965
284993	N	Statoil Petroleum AS	6407/7-A-14 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=284993	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=284993
285021	N	Statoil Petroleum AS	6407/7-A-19 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285021	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285021
285049	N	Statoil Petroleum AS	6407/7-A-16 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285049	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285049
285077	N	Statoil Petroleum AS	6407/7-A-17 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285077	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285077
285105	N	Statoil Petroleum AS	6407/7-A-18 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285105	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285105
285133	N	Statoil Petroleum AS	FRAM A2	MULTI WELL TEMPLATE	FRAM	FIELD	1578840	2003-10-02	360.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285133	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285133
285161	N	Statoil Petroleum AS	6407/7-A-5 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285161	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285161
285189	N	Statoil Petroleum AS	6407/7-A-6 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	GAS INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285189	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285189
285217	N	Statoil Petroleum AS	6407/7-A-7 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	GAS INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285217	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285217
285245	N	Statoil Petroleum AS	6407/7-A-8 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	1997-10-01	330.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285245	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285245
285273	N	Statoil Petroleum AS	31/2-D-5 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1997-11-30	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285273	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285273
285301	N	Statoil Petroleum AS	31/2-D-6 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-10-31	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285301	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285301
285329	N	Statoil Petroleum AS	NJORD SDU-1	SUBSEA STRUCTURE	NJORD	FIELD	43751	1997-10-01	330.000000	DISTRIBUTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285329	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285329
285357	N	Statoil Petroleum AS	SNORRE SDU-1	SUBSEA STRUCTURE	SNORRE	FIELD	43718	2001-06-27	340.000000	DISTRIBUTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285357	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285357
285385	N	Statoil Petroleum AS	NJORD SDU-2	SUBSEA STRUCTURE	NJORD	FIELD	43751	1997-10-01	330.000000	DISTRIBUTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285385	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285385
285413	N	Statoil Petroleum AS	SNORRE SDU-2	SUBSEA STRUCTURE	SNORRE	FIELD	43718	2001-06-27	340.000000	DISTRIBUTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285413	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285413
285441	N	Statoil Petroleum AS	31/2-D-7 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-04-19	338.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285441	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285441
285469	N	Statoil Petroleum AS	31/2-D-8 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-25	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285469	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285469
285497	N	Statoil Petroleum AS	31/2-E-1 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-19	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285497	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285497
285525	N	Statoil Petroleum AS	31/2-E-3 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	2003-04-01	330.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285525	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285525
285553	N	Statoil Petroleum AS	31/2-E-5 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-04-12	318.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285553	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285553
285581	N	Statoil Petroleum AS	31/2-E-6 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1997-04-18	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285581	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285581
285609	N	Statoil Petroleum AS	31/2-F-1 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-10-19	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285609	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285609
285637	N	Statoil Petroleum AS	31/2-F-4 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1997-04-13	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285637	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285637
285665	N	Statoil Petroleum AS	31/2-F-5 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-23	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285665	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285665
285693	N	Statoil Petroleum AS	31/2-F-6 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-23	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285693	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285693
285721	N	Statoil Petroleum AS	31/2-G-1 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-12-03	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285721	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285721
285749	N	A/S Norske Shell	6407/9-A-58 H	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	1993-10-19	243.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285749	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285749
285777	N	Statoil Petroleum AS	31/2-G-3 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-21	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285777	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285777
285805	N	Statoil Petroleum AS	31/2-G-4 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-22	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285805	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285805
285833	N	Statoil Petroleum AS	31/2-G-6 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-12-10	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285833	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285833
285861	N	Statoil Petroleum AS	31/5-H-1 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-09-01	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285861	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285861
285889	N	Statoil Petroleum AS	31/5-H-2 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1997-01-19	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285889	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285889
285917	N	Statoil Petroleum AS	31/5-H-3 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1997-07-15	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285917	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285917
285945	N	Statoil Petroleum AS	31/5-H-4 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-09-04	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285945	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285945
285973	N	Statoil Petroleum AS	31/5-H-5 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1996-01-01	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=285973	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=285973
286001	N	Statoil Petroleum AS	31/5-H-6 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-12-23	317.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286001	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286001
286029	Y	ConocoPhillips Skandinavia AS	ELDFISK B-FL	JACKET TRIPOD	ELDFISK	FIELD	43527	1979-08-01	70.000000	FLARE STACK	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286029	http://www.npd.no/FactMapSearch?npdid_facility_surface=286029
286057	N	Statoil Petroleum AS	31/3-Q-21 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	2004-04-01	333.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286057	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286057
286085	N	Statoil Petroleum AS	31/5-I-32 H	MULTI WELL TEMPLATE	TROLL	FIELD	46437	2003-03-01	315.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286085	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286085
286113	Y	ConocoPhillips Norge	TEESSIDE	ONSHORE FACILITY	NORPIPE OLJE-ANLEGG	TUF	124159	1975-10-14	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286113	http://www.npd.no/FactMapSearch?npdid_facility_surface=286113
286141	Y	GASSCO AS	EMDEN	ONSHORE FACILITY	GASSLED	TUF	2252643	1977-09-17	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286141	http://www.npd.no/FactMapSearch?npdid_facility_surface=286141
286169	Y	GASSCO AS	KÅRSTØ	ONSHORE FACILITY	GASSLED	TUF	2252643	1985-10-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286169	http://www.npd.no/FactMapSearch?npdid_facility_surface=286169
286197	Y	GASSCO AS	KALSTØ	ONSHORE FACILITY	STATPIPE	TUF	123940	1985-10-01	0.000000	LANDFALL	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286197	http://www.npd.no/FactMapSearch?npdid_facility_surface=286197
286225	Y	\N	ST.FERGUS	ONSHORE FACILITY	\N	TUF	\N	1978-08-20	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286225	http://www.npd.no/FactMapSearch?npdid_facility_surface=286225
286253	Y	Statoil Petroleum AS	STURE	ONSHORE FACILITY	OSEBERG TRANSPORTSYSTEM	TUF	124301	1988-12-22	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286253	http://www.npd.no/FactMapSearch?npdid_facility_surface=286253
286281	Y	\N	ZEEBRUGGE	ONSHORE FACILITY	\N	TUF PART	\N	1993-10-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286281	http://www.npd.no/FactMapSearch?npdid_facility_surface=286281
286309	Y	GASSCO AS	TJELDBERGODDEN	ONSHORE FACILITY	HALTENPIPE	TUF	124293	1996-11-11	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286309	http://www.npd.no/FactMapSearch?npdid_facility_surface=286309
286337	Y	GASSCO AS	ZEEPIPE TERMINAL	ONSHORE FACILITY	GASSLED	TUF	2252643	1993-10-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286337	http://www.npd.no/FactMapSearch?npdid_facility_surface=286337
286365	N	GASSCO AS	STAT-SSTC	SUBSEA STRUCTURE	STATPIPE 1	TUF PART	124002	1985-10-01	145.000000	T-CONNECTION	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286365	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286365
286393	Y	ConocoPhillips Skandinavia AS	EKOFISK SBM-1	LOADING SYSTEM	EKOFISK	FIELD	43506	1900-01-01	74.000000	\N	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286393	http://www.npd.no/FactMapSearch?npdid_facility_surface=286393
286421	Y	ConocoPhillips Skandinavia AS	EKOFISK SBM-2	LOADING SYSTEM	EKOFISK	FIELD	43506	1900-01-01	74.000000	\N	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286421	http://www.npd.no/FactMapSearch?npdid_facility_surface=286421
286449	N	Statoil Petroleum AS	UK-NL	SUBSEA STRUCTURE	STATFJORD	FIELD	43658	1985-10-01	44.200000	T-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286449	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286449
286477	N	BP Norge AS	ULA-Y	SUBSEA STRUCTURE	ULA OLJETRANSPORT	TUF	124285	1990-06-22	70.000000	Y-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286477	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286477
286505	N	GASSCO AS	STT-IN	SUBSEA STRUCTURE	STATPIPE 5	TUF PART	124054	1990-03-01	110.000000	T-CONNECTION	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286505	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286505
286533	N	GASSCO AS	ZEEPIPE-SCP	SUBSEA STRUCTURE	GASSLED	TUF	2252643	1993-10-01	41.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286533	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286533
286561	Y	Statoil Petroleum AS	STATFJORD-A-ALP	LOADING SYSTEM	STATFJORD	FIELD	43658	1979-11-24	145.000000	\N	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286561	http://www.npd.no/FactMapSearch?npdid_facility_surface=286561
286589	Y	Statoil Petroleum AS	STATFJORD-B-SPM	LOADING SYSTEM	STATFJORD	FIELD	43658	1982-11-05	145.000000	\N	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286589	http://www.npd.no/FactMapSearch?npdid_facility_surface=286589
286617	N	GASSCO AS	VESLEFRIKK T	SUBSEA STRUCTURE	STATPIPE 5	TUF PART	124054	1991-09-01	110.000000	T-CONNECTION	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286617	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286617
286645	N	ConocoPhillips Skandinavia AS	37/4-BP	SUBSEA STRUCTURE	NORPIPE OLJELEDNING	TUF	124133	1987-01-01	85.000000	BYPASS	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286645	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286645
286673	N	ConocoPhillips Skandinavia AS	36/22-BP	SUBSEA STRUCTURE	NORPIPE OLJELEDNING	TUF	124133	1983-01-01	73.200000	BYPASS	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286673	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286673
286701	Y	Statoil Petroleum AS	MONGSTAD	ONSHORE FACILITY	MONGSTAD TERMINAL	TUF	124360	1986-01-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286701	http://www.npd.no/FactMapSearch?npdid_facility_surface=286701
286729	Y	GASSCO AS	KOLLSNES	ONSHORE FACILITY	GASSLED	TUF	2252643	1996-10-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286729	http://www.npd.no/FactMapSearch?npdid_facility_surface=286729
286757	Y	GASSCO AS	DUNKERQUE	ONSHORE FACILITY	GASSLED	TUF	2252643	1998-07-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286757	http://www.npd.no/FactMapSearch?npdid_facility_surface=286757
286785	N	Statoil Petroleum AS	HEIDRUN PLEM-1	SUBSEA STRUCTURE	HEIDRUN	FIELD	43771	1995-10-19	343.000000	PIPELINE END MANIFOLD	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286785	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286785
286813	N	Statoil Petroleum AS	HEIDRUN PLEM-2	SUBSEA STRUCTURE	HEIDRUN	FIELD	43771	1995-10-19	345.000000	PIPELINE END MANIFOLD	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286813	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286813
286841	N	GASSCO AS	EUROPIPE-SCP	SUBSEA STRUCTURE	GASSLED	TUF	2252643	1995-10-01	36.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286841	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286841
286869	N	Statoil Petroleum AS	OSEBERG-Y	SUBSEA STRUCTURE	OSEBERG	FIELD	43625	1991-09-01	110.000000	Y-CONNECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286869	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286869
286897	N	Statoil Petroleum AS	VIGDIS-Y	SUBSEA STRUCTURE	VIGDIS	FIELD	43732	1900-01-01	140.000000	Y-CONNECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286897	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286897
286925	N	Talisman Energy Norge AS	GYDA-Y	SUBSEA STRUCTURE	GYDA	FIELD	43492	1990-04-22	70.500000	Y-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286925	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286925
417165	Y	\N	SULLOM VOE	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417165	http://www.npd.no/FactMapSearch?npdid_facility_surface=417165
286953	N	BP Norge AS	VALHALL VTS	SUBSEA STRUCTURE	VALHALL	FIELD	43548	1998-08-18	70.000000	T-CONNECTION	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286953	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286953
286981	N	BP Norge AS	VALHALL SSPR	SUBSEA STRUCTURE	VALHALL	FIELD	43548	1998-08-18	70.000000	PIG RECIVER	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=286981	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=286981
287009	N	BP Norge AS	VALHALL BVS	SUBSEA STRUCTURE	VALHALL	FIELD	43548	1998-08-18	70.000000	VALVE	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287009	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287009
287037	N	GASSCO AS	BRAGE-T	SUBSEA STRUCTURE	STATPIPE 5	TUF PART	124054	1993-09-23	136.000000	T-CONNECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287037	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287037
287065	N	GASSCO AS	NORPIPE Y	SUBSEA STRUCTURE	NORPIPE GASSLEDNING	TUF	124165	1998-08-18	69.000000	Y-CONNECTION	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287065	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287065
287093	N	GASSCO AS	JOTUN T	SUBSEA STRUCTURE	STATPIPE 4A	TUF PART	1341660	1999-11-22	120.000000	T-CONNECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287093	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287093
287121	N	GASSCO AS	EMDEN SSIV	SUBSEA STRUCTURE	NORPIPE GASSLEDNING	TUF	124165	1998-08-18	76.600000	ISOLATION VALVE	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287121	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287121
287149	N	ConocoPhillips Skandinavia AS	TEESSIDE SSIV	SUBSEA STRUCTURE	NORPIPE OLJELEDNING	TUF	124133	1998-08-18	76.000000	ISOLATION VALVE	33	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287149	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287149
287177	N	ExxonMobil Exploration & Production Norway AS	JOTUN SSIV	SUBSEA STRUCTURE	JOTUN	FIELD	43604	1999-11-22	126.000000	ISOLATION VALVE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287177	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287177
287205	N	Statoil Petroleum AS	STATFJ-NORD SSIV	SUBSEA STRUCTURE	STATFJORD NORD	FIELD	43679	1999-08-26	145.000000	ISOLATION VALVE	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287205	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287205
287233	N	GASSCO AS	FRANPIPE T	SUBSEA STRUCTURE	FRANPIPE	TUF	124202	1998-07-01	30.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287233	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287233
287261	N	GASSCO AS	NORNE/HEIDRUN T	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	2001-02-05	311.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287261	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287261
287289	N	GASSCO AS	GULLFAKS T	SUBSEA STRUCTURE	STATPIPE 1	TUF PART	124002	2001-02-01	136.000000	T-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287289	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287289
287317	N	Statoil Petroleum AS	GULLFAKS A SSIV	SUBSEA STRUCTURE	GULLFAKS	FIELD	43686	2001-02-01	135.000000	ISOLATION VALVE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287317	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287317
287345	N	Statoil Petroleum AS	GULLFAKS C SSIV	SUBSEA STRUCTURE	GULLFAKS	FIELD	43686	2001-02-01	215.000000	ISOLATION VALVE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287345	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287345
287373	N	GASSCO AS	DRAUGEN T	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	2000-10-10	344.500000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287373	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287373
287401	N	GASSCO AS	ÅSGARD T	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	1900-01-01	310.800000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287401	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287401
287429	N	GASSCO AS	KRISTIN T	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	2005-11-05	319.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287429	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287429
287457	N	GASSCO AS	MØRE T	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	1900-01-01	254.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287457	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287457
287485	N	GASSCO AS	VØRING T	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	1900-01-01	171.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287485	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287485
287513	N	GASSCO AS	FLORØ T	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	1900-01-01	345.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287513	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287513
287541	N	GASSCO AS	KOLLSNES T	SUBSEA STRUCTURE	ÅSGARD TRANSPORT	TUF	124211	1900-01-01	308.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287541	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287541
287569	N	Statoil Petroleum AS	SNORRE B SBV	SUBSEA STRUCTURE	SNORRE	FIELD	43718	2001-06-27	350.000000	ISOLATION VALVE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287569	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287569
287597	N	Statoil Petroleum AS	TOR II Y	SUBSEA STRUCTURE	TROLL OLJERØR II	TUF PART	124194	2004-10-01	340.000000	Y-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287597	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287597
287625	N	GASSCO AS	VESTERLED T	SUBSEA STRUCTURE	VESTERLED	TUF	124280	2001-10-01	100.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287625	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287625
287653	N	A/S Norske Shell	NJORD T	SUBSEA STRUCTURE	DRAUGEN GASSEKSPORT	TUF	1035952	2007-12-10	330.000000	T-CONNECTION	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287653	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=287653
287681	Y	Statoil Petroleum AS	HEIDRUN STL-I	LOADING SYSTEM	HEIDRUN	FIELD	43771	1995-10-19	343.000000	\N	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287681	http://www.npd.no/FactMapSearch?npdid_facility_surface=287681
287709	Y	Statoil Petroleum AS	HEIDRUN STL-II	LOADING SYSTEM	HEIDRUN	FIELD	43771	1995-10-19	353.000000	\N	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287709	http://www.npd.no/FactMapSearch?npdid_facility_surface=287709
287737	Y	Statoil Petroleum AS	NJORD STL	LOADING SYSTEM	NJORD	FIELD	43751	1997-10-01	100.500000	\N	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287737	http://www.npd.no/FactMapSearch?npdid_facility_surface=287737
287765	Y	Talisman Energy Norge AS	YME-STL	LOADING SYSTEM	YME	FIELD	43807	1996-02-27	94.000000	\N	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=287765	http://www.npd.no/FactMapSearch?npdid_facility_surface=287765
341363	N	Statoil Petroleum AS	31/2-E-4 H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	1995-09-19	330.000000	OIL PRODUCER	27	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=341363	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=341363
341394	N	ExxonMobil Exploration & Production Norway AS	25/11-A-19 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2001-06-25	127.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=341394	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=341394
356124	N	Statoil Petroleum AS	HEIDRUN C	MULTI WELL TEMPLATE	HEIDRUN	FIELD	43771	1995-08-15	327.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=356124	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=356124
356166	N	Statoil Petroleum AS	VIGDIS F	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	2003-10-18	220.000000	WATER INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=356166	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=356166
356244	N	A/S Norske Shell	DRAUGEN C	MULTI WELL TEMPLATE	DRAUGEN	FIELD	43758	1993-10-19	276.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=356244	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=356244
359717	N	Total E&P Norge AS	SKIRNE	MULTI WELL TEMPLATE	SKIRNE	FIELD	2138816	2004-03-03	120.000000	OIL PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=359717	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=359717
359760	N	Total E&P Norge AS	BYGGVE	MULTI WELL TEMPLATE	SKIRNE	FIELD	2138816	2004-03-01	120.000000	GAS PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=359760	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=359760
359965	N	Statoil Petroleum AS	VIGDIS D	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	2003-10-18	250.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=359965	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=359965
360009	N	Statoil Petroleum AS	34/7-C-5 H	SINGLE WELL TEMPLATE	VIGDIS	FIELD	43732	2003-10-18	280.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360009	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360009
360052	N	Statoil Petroleum AS	34/7-E-5 H	SINGLE WELL TEMPLATE	VIGDIS	FIELD	43732	2003-10-18	280.000000	WATER INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360052	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360052
360444	N	Statoil Petroleum AS	KRISTIN S	MULTI WELL TEMPLATE	KRISTIN	FIELD	1854729	2005-11-03	364.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360444	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360444
360488	N	Statoil Petroleum AS	KRISTIN N	MULTI WELL TEMPLATE	KRISTIN	FIELD	1854729	2005-11-03	368.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360488	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360488
360533	N	Statoil Petroleum AS	KRISTIN R	MULTI WELL TEMPLATE	KRISTIN	FIELD	1854729	2006-01-22	356.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360533	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360533
360577	N	Statoil Petroleum AS	KRISTIN P	MULTI WELL TEMPLATE	KRISTIN	FIELD	1854729	2005-12-27	372.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360577	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360577
360641	N	Centrica Resources (Norge) AS	ØST FRIGG CMS	SUBSEA STRUCTURE	ØST FRIGG	FIELD	43576	1988-10-01	112.000000	MANIFOLD STATION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=360641	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=360641
361248	Y	BP Norge AS	VALHALL FLANKE NORD	JACKET 4 LEGS	VALHALL	FIELD	43548	2004-01-07	69.000000	WELLHEAD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=361248	http://www.npd.no/FactMapSearch?npdid_facility_surface=361248
363404	Y	\N	SLAGENTANGEN	ONSHORE FACILITY	\N	\N	\N	1961-06-08	0.000000	PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=363404	http://www.npd.no/FactMapSearch?npdid_facility_surface=363404
363441	Y	Statoil Petroleum AS	MELKØYA	ONSHORE FACILITY	MELKØYA LANDANLEGG	TUF	124383	2007-09-13	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=363441	http://www.npd.no/FactMapSearch?npdid_facility_surface=363441
363581	N	Statoil Petroleum AS	GRANE SSIV	SUBSEA STRUCTURE	GRANE GASSRØR	TUF	1036213	2003-09-23	127.000000	ISOLATION VALVE	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=363581	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=363581
363659	N	Statoil Petroleum AS	ÅSGARD Q	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2005-08-26	300.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=363659	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=363659
363907	N	Statoil Petroleum AS	OSEBERG VESTFLANKE	MULTI WELL TEMPLATE	OSEBERG	FIELD	43625	2006-02-09	108.000000	OIL PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=363907	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=363907
364198	Y	ConocoPhillips Skandinavia AS	EKOFISK M	JACKET 4 LEGS	EKOFISK	FIELD	43506	2005-10-23	78.400000	OIL PRODUCER - WELLHEAD	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364198	http://www.npd.no/FactMapSearch?npdid_facility_surface=364198
364234	Y	ConocoPhillips Skandinavia AS	EKOFISK M-BS	JACKET TRIPOD	EKOFISK	FIELD	43506	2005-10-23	78.400000	SUPPORT	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364234	http://www.npd.no/FactMapSearch?npdid_facility_surface=364234
364278	N	Statoil Petroleum AS	SNØHVIT D	MULTI WELL TEMPLATE	SNØHVIT	FIELD	2053062	2007-08-21	337.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364278	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364278
364315	N	Statoil Petroleum AS	SNØHVIT E	MULTI WELL TEMPLATE	SNØHVIT	FIELD	2053062	2007-08-21	336.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364315	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364315
364352	N	Statoil Petroleum AS	SNØHVIT F	MULTI WELL TEMPLATE	SNØHVIT	FIELD	2053062	2008-04-22	318.000000	GAS INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364352	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364352
364390	N	Statoil Petroleum AS	SNØHVIT N	MULTI WELL TEMPLATE	SNØHVIT	FIELD	2053062	2007-08-21	325.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364390	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364390
364607	N	GASSCO AS	VISUND T	SUBSEA STRUCTURE	KVITEBJØRN GASSRØR	TUF	2417249	1900-01-01	185.000000	T-CONNECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364607	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364607
364693	Y	A/S Norske Shell	NYHAMNA	ONSHORE FACILITY	NYHAMNA LANDANLEGG	TUF	2455217	2007-09-13	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364693	http://www.npd.no/FactMapSearch?npdid_facility_surface=364693
364750	N	Statoil Petroleum AS	NORNE J	MULTI WELL TEMPLATE	URD	FIELD	2834734	2005-11-08	390.000000	OIL PRODUCER - WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364750	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364750
364789	N	Statoil Petroleum AS	NORNE G	MULTI WELL TEMPLATE	URD	FIELD	2834734	2005-11-08	390.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364789	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364789
364827	N	Statoil Petroleum AS	NORNE H	MULTI WELL TEMPLATE	URD	FIELD	2834734	2005-11-08	390.000000	WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364827	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364827
364886	N	Statoil Petroleum AS	15/6-A-2 H	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2001-08-29	112.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364886	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364886
364927	N	Statoil Petroleum AS	15/6-A-3 H	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2001-08-29	112.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=364927	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=364927
365003	N	Statoil Petroleum AS	15/6-A-4 H	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2001-08-29	112.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365003	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=365003
365044	N	Statoil Petroleum AS	15/6-A-5 H	MULTI WELL TEMPLATE	GLITNE	FIELD	1272071	2003-09-30	112.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365044	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=365044
365211	N	Statoil Petroleum AS	30/8-A-21 H	SINGLE WELL TEMPLATE	TUNE	FIELD	853376	2009-07-18	93.000000	GAS PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365211	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=365211
365267	Y	\N	BYGNES	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365267	http://www.npd.no/FactMapSearch?npdid_facility_surface=365267
365658	N	Statoil Petroleum AS	ÅSGARD RB	SUBSEA STRUCTURE	ÅSGARD	FIELD	43765	2005-08-26	315.000000	RISER BASE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365658	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=365658
365776	Y	\N	FRIGG QP	JACKET 4 LEGS	\N	\N	\N	1900-01-01	102.000000	QUARTER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=365776	http://www.npd.no/FactMapSearch?npdid_facility_surface=365776
368635	Y	Statoil Petroleum AS	KRISTIN	SEMISUB STEEL	KRISTIN	FIELD	1854729	2005-11-03	360.000000	GAS PRODUCER - OIL PRODUCER - PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=368635	http://www.npd.no/FactMapSearch?npdid_facility_surface=368635
369424	Y	GASSCO AS	EASINGTON	ONSHORE FACILITY	LANGELED	TUF	2450169	2006-10-01	0.000000	TERMINAL	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=369424	http://www.npd.no/FactMapSearch?npdid_facility_surface=369424
370415	N	Statoil Petroleum AS	34/8-A-33 H	SINGLE WELL TEMPLATE	VISUND	FIELD	43745	2005-10-18	335.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=370415	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=370415
370616	N	Statoil Petroleum AS	SNØHVIT CDU-1	SUBSEA STRUCTURE	SNØHVIT	FIELD	2053062	2007-08-21	325.000000	DISTRIBUTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=370616	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=370616
370654	N	Statoil Petroleum AS	SNØHVIT PLEM-1	SUBSEA STRUCTURE	SNØHVIT	FIELD	2053062	2007-08-21	325.000000	PIPELINE END MANIFOLD	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=370654	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=370654
371178	N	A/S Norske Shell	ORMEN LANGE A	MULTI WELL TEMPLATE	ORMEN LANGE	FIELD	2762452	2007-09-13	850.000000	GAS PRODUCER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371178	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371178
371216	N	A/S Norske Shell	ORMEN LANGE B	MULTI WELL TEMPLATE	ORMEN LANGE	FIELD	2762452	2007-09-13	850.000000	GAS PRODUCER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371216	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371216
371482	N	Statoil Petroleum AS	FRAM B1	MULTI WELL TEMPLATE	FRAM	FIELD	1578840	2006-10-30	355.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371482	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371482
371520	N	Statoil Petroleum AS	FRAM B2	MULTI WELL TEMPLATE	FRAM	FIELD	1578840	2006-10-30	355.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371520	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371520
371558	N	Statoil Petroleum AS	FRAM T-1	SUBSEA STRUCTURE	FRAM	FIELD	1578840	2006-10-30	360.000000	T-CONNECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371558	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371558
371595	N	Statoil Petroleum AS	FRAM T-2	SUBSEA STRUCTURE	FRAM	FIELD	1578840	2006-10-30	360.000000	T-CONNECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=371595	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=371595
372501	N	Statoil Petroleum AS	NORNE K	MULTI WELL TEMPLATE	NORNE	FIELD	43778	2006-10-18	376.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=372501	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=372501
372538	N	Statoil Petroleum AS	SKINFAKS N	MULTI WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	2007-01-27	140.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=372538	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=372538
372575	N	Statoil Petroleum AS	33/12-N-5	SINGLE WELL TEMPLATE	GULLFAKS SØR	FIELD	43699	2007-01-27	140.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=372575	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=372575
372759	Y	\N	MURCHISON A	JACKET 12 LEGS	\N	\N	\N	1980-09-28	156.000000	DRILLING - OIL PRODUCER - QUARTER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=372759	http://www.npd.no/FactMapSearch?npdid_facility_surface=372759
372850	Y	\N	ALWYN NORTH B	JACKET 8 LEGS	\N	\N	\N	1987-11-01	126.000000	PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=372850	http://www.npd.no/FactMapSearch?npdid_facility_surface=372850
373030	N	Talisman Energy Norge AS	1/2-1 PW	SINGLE WELL TEMPLATE	BLANE	FIELD	3437650	2007-09-12	73.500000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=373030	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=373030
373068	N	Talisman Energy Norge AS	1/2-1 PE	SINGLE WELL TEMPLATE	BLANE	FIELD	3437650	2007-09-12	73.500000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=373068	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=373068
373104	N	Talisman Energy Norge AS	1/2-1 IM	SINGLE WELL TEMPLATE	BLANE	FIELD	3437650	2007-09-12	73.500000	WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=373104	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=373104
374139	N	Statoil Petroleum AS	OSEBERG DELTA	MULTI WELL TEMPLATE	OSEBERG	FIELD	43625	2008-06-27	101.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=374139	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=374139
374865	N	Marathon Oil Norge AS	25/4-D1 H	SINGLE WELL TEMPLATE	VILJE	FIELD	3392471	2008-08-01	122.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=374865	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=374865
375056	N	Marathon Oil Norge AS	KNELER A	MULTI WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	119.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375056	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375056
375092	N	Marathon Oil Norge AS	KNELER B	MULTI WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	124.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375092	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375092
375130	N	Marathon Oil Norge AS	25/4-J-2 H	SINGLE WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	123.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375130	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375130
375168	N	Marathon Oil Norge AS	25/4-J-1 H	SINGLE WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	123.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375168	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375168
375206	Y	Marathon Oil Norge AS	ALVHEIM FPSO	FPSO	ALVHEIM	FIELD	2845712	2008-06-08	125.000000	OFFLOADING - OIL PRODUCER - PROCESSING - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375206	http://www.npd.no/FactMapSearch?npdid_facility_surface=375206
375245	N	Marathon Oil Norge AS	BOA	MULTI WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	125.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375245	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375245
375282	N	Marathon Oil Norge AS	ØST KAMELEON	MULTI WELL TEMPLATE	ALVHEIM	FIELD	2845712	2008-06-08	123.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375282	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375282
375390	N	\N	SAGE-T	SUBSEA STRUCTURE	\N	\N	\N	2009-06-08	120.000000	T-CONNECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=375390	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=375390
376298	N	Marathon Oil Norge AS	25/4-E1 H	SINGLE WELL TEMPLATE	VILJE	FIELD	3392471	2008-08-01	122.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=376298	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=376298
376822	Y	Statoil Petroleum AS	NAVION SAGA	FSU	VOLVE	FIELD	3420717	2008-02-12	90.000000	OFFLOADING - STORAGE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=376822	http://www.npd.no/FactMapSearch?npdid_facility_surface=376822
377070	N	GASSCO AS	FLAGS-T	SUBSEA STRUCTURE	TAMPEN LINK	TUF	3113815	2007-10-12	140.000000	T-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377070	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377070
377181	Y	\N	NATURKRAFT	ONSHORE FACILITY	\N	\N	\N	2007-11-01	0.000000	GAS POWER PLANT	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377181	http://www.npd.no/FactMapSearch?npdid_facility_surface=377181
377218	N	GASSCO AS	H-7 BP	SUBSEA STRUCTURE	NORPIPE GASSLEDNING	TUF	124165	2007-06-25	40.000000	BYPASS	28	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377218	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377218
377347	N	Statoil Petroleum AS	15/5-A-7 H	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2007-11-30	109.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377347	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377347
377386	N	Statoil Petroleum AS	TORDIS SSIB	SUBSEA STRUCTURE	TORDIS	FIELD	43725	2008-02-14	210.000000	BOOSTER - SEPARATION - WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377386	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377386
377425	N	Statoil Petroleum AS	VIGDIS G	MULTI WELL TEMPLATE	VIGDIS	FIELD	43732	2008-03-19	280.000000	OIL PRODUCER - WATER INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377425	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377425
377615	N	Statoil Petroleum AS	TYRIHANS A	MULTI WELL TEMPLATE	TYRIHANS	FIELD	3960848	2009-07-08	286.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377615	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377615
377652	N	Statoil Petroleum AS	TYRIHANS B	MULTI WELL TEMPLATE	TYRIHANS	FIELD	3960848	2009-07-08	273.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377652	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377652
377689	N	Statoil Petroleum AS	TYRIHANS C	MULTI WELL TEMPLATE	TYRIHANS	FIELD	3960848	2009-07-08	268.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377689	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377689
377726	N	Statoil Petroleum AS	TYRIHANS D	MULTI WELL TEMPLATE	TYRIHANS	FIELD	3960848	2009-07-08	266.000000	OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377726	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377726
377763	N	Statoil Petroleum AS	TYRIHANS W	MULTI WELL TEMPLATE	TYRIHANS	FIELD	3960848	1900-01-01	282.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=377763	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=377763
378110	N	Statoil Petroleum AS	35/11-B-31 H	SINGLE WELL TEMPLATE	FRAM	FIELD	1578840	1900-01-01	356.000000	\N	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=378110	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=378110
378147	N	Talisman Energy Norge AS	15/12-C	MULTI WELL TEMPLATE	REV	FIELD	4467554	2009-01-26	113.000000	GAS PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=378147	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=378147
378185	Y	\N	ARMADA	JACKET 4 LEGS	\N	\N	\N	1997-10-01	110.000000	PROCESSING - QUARTER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=378185	http://www.npd.no/FactMapSearch?npdid_facility_surface=378185
378362	N	Statoil Petroleum AS	ALVE	MULTI WELL TEMPLATE	ALVE	FIELD	4444332	2009-03-19	390.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=378362	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=378362
391161	N	A/S Norske Shell	6407/9-D-3 H	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2008-09-27	254.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=391161	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=391161
391213	N	A/S Norske Shell	6407/9-E-3 H	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	2008-06-15	293.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=391213	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=391213
391270	N	\N	ÅSGARD D	SINGLE WELL TEMPLATE	\N	\N	\N	1900-01-01	300.000000	\N	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=391270	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=391270
394760	N	Statoil Petroleum AS	6507/11-8 H	SINGLE WELL TEMPLATE	YTTERGRYTA	FIELD	4973114	2009-01-06	297.000000	GAS PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=394760	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=394760
394821	N	Statoil Petroleum AS	34/7-R-1 H	SINGLE WELL TEMPLATE	TORDIS	FIELD	43725	2008-02-14	229.000000	WATER INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=394821	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=394821
395215	N	Statoil Petroleum AS	6407/7-A-4 H	SINGLE WELL TEMPLATE	NJORD	FIELD	43751	2004-01-31	330.000000	GAS INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=395215	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=395215
395591	N	Statoil Petroleum AS	KRISTIN Q	MULTI WELL TEMPLATE	KRISTIN	FIELD	1854729	1900-01-01	360.000000	GAS PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=395591	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=395591
402804	N	Talisman Energy Norge AS	15/12-D	SINGLE WELL TEMPLATE	REV	FIELD	4467554	2009-09-01	113.000000	GAS PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=402804	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=402804
403167	Y	Talisman Energy Norge AS	YME MOPUStor	MOPUStor	YME	FIELD	43807	1900-01-01	93.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403167	http://www.npd.no/FactMapSearch?npdid_facility_surface=403167
403298	N	GDF SUEZ E&P Norge AS	GJØA B	MULTI WELL TEMPLATE	GJØA	FIELD	4467574	2010-11-07	350.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403298	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403298
403356	N	GDF SUEZ E&P Norge AS	GJØA C	MULTI WELL TEMPLATE	GJØA	FIELD	4467574	2010-11-07	350.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403356	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403356
403414	N	GDF SUEZ E&P Norge AS	GJØA D	MULTI WELL TEMPLATE	GJØA	FIELD	4467574	2010-11-07	350.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403414	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403414
403472	N	Statoil Petroleum AS	GJØA E	MULTI WELL TEMPLATE	VEGA	FIELD	4467595	2010-11-07	370.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403472	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403472
403530	N	GDF SUEZ E&P Norge AS	GJØA F	SINGLE WELL TEMPLATE	GJØA	FIELD	4467574	2010-11-07	370.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403530	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403530
403588	Y	\N	BRAEFOOT BAY	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403588	http://www.npd.no/FactMapSearch?npdid_facility_surface=403588
403775	N	Talisman Energy Norge AS	YME BETA	MULTI WELL TEMPLATE	YME	FIELD	43807	1900-01-01	79.000000	OIL PRODUCER - WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=403775	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=403775
404044	N	Talisman Energy Norge AS	YME SLS	LOADING SYSTEM	YME	FIELD	43807	1900-01-01	93.000000	OFFLOADING	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=404044	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=404044
405160	N	Statoil Petroleum AS	MOR-A	MULTI WELL TEMPLATE	MORVIN	FIELD	4966234	2010-08-01	360.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=405160	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=405160
405219	N	Statoil Petroleum AS	MOR-B	MULTI WELL TEMPLATE	MORVIN	FIELD	4966234	2010-08-01	360.000000	GAS INJECTION - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=405219	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=405219
406276	Y	BP Norge AS	VALHALL PH	JACKET 4 LEGS	VALHALL	FIELD	43548	2013-01-26	74.000000	PROCESSING - QUARTER	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=406276	http://www.npd.no/FactMapSearch?npdid_facility_surface=406276
406335	N	BP Norge AS	SKARV ERB	SUBSEA STRUCTURE	SKARV	FIELD	4704482	2012-11-10	369.000000	RISER BASE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=406335	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=406335
406437	N	A/S Norske Shell	ORMEN LANGE D	MULTI WELL TEMPLATE	ORMEN LANGE	FIELD	2762452	2010-07-12	854.000000	GAS PRODUCER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=406437	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=406437
406672	Y	GDF SUEZ E&P Norge AS	GJØA	SEMISUB STEEL	GJØA	FIELD	4467574	2010-11-07	360.000000	PROCESSING - QUARTER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=406672	http://www.npd.no/FactMapSearch?npdid_facility_surface=406672
406731	N	GDF SUEZ E&P Norge AS	GJØA-T	SUBSEA STRUCTURE	GJØA	FIELD	4467574	2010-11-10	150.000000	T-CONNECTION	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=406731	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=406731
407790	N	Statoil Petroleum AS	VEGA NORD	MULTI WELL TEMPLATE	VEGA	FIELD	4467595	2010-12-02	377.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=407790	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=407790
407849	N	Statoil Petroleum AS	VEGA SENTRAL	MULTI WELL TEMPLATE	VEGA	FIELD	4467595	2010-12-02	378.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=407849	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=407849
407908	N	Statoil Petroleum AS	VEGA SØR	MULTI WELL TEMPLATE	VEGA	FIELD	4467595	2010-12-02	368.000000	GAS PRODUCER - OIL PRODUCER	30	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=407908	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=407908
408227	N	Marathon Oil Norge AS	VOLUND	MULTI WELL TEMPLATE	VOLUND	FIELD	4380167	2009-09-16	124.000000	OIL PRODUCER - WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408227	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408227
408458	N	BP Norge AS	SKARV A	MULTI WELL TEMPLATE	SKARV	FIELD	4704482	2012-12-31	324.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408458	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408458
408517	N	BP Norge AS	TILJE	MULTI WELL TEMPLATE	SKARV	FIELD	4704482	2012-12-31	324.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408517	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408517
408576	N	BP Norge AS	SKARV B/C VEST	MULTI WELL TEMPLATE	SKARV	FIELD	4704482	2012-12-31	375.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408576	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408576
408635	N	BP Norge AS	SKARV B/C ØST	MULTI WELL TEMPLATE	SKARV	FIELD	4704482	2012-12-31	375.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408635	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408635
408694	N	BP Norge AS	IDUN	MULTI WELL TEMPLATE	SKARV	FIELD	4704482	2012-12-31	393.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408694	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408694
408991	N	Total E&P Norge AS	30/4-D-1 AH	SINGLE WELL TEMPLATE	MARTIN LINGE	FIELD	21675447	1900-01-01	119.000000	DRILLING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=408991	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=408991
409166	N	ConocoPhillips Skandinavia AS	EKOFISK VA	MULTI WELL TEMPLATE	EKOFISK	FIELD	43506	2010-04-30	73.000000	WATER INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=409166	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=409166
409423	N	Statoil Petroleum AS	NORNE M	MULTI WELL TEMPLATE	NORNE	FIELD	43778	2010-05-01	375.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=409423	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=409423
409489	N	Statoil Petroleum AS	15/6-A-6 H	SINGLE WELL TEMPLATE	GLITNE	FIELD	1272071	2004-08-01	112.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=409489	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=409489
409848	N	Statoil Petroleum AS	31/5-Z-1H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	2011-03-01	320.000000	GAS INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=409848	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=409848
409905	N	Statoil Petroleum AS	31/5-Z-2H	SINGLE WELL TEMPLATE	TROLL	FIELD	46437	2011-03-01	318.000000	GAS INJECTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=409905	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=409905
410130	N	DONG E&P Norge AS	TRYM	MULTI WELL TEMPLATE	TRYM	FIELD	18081500	2011-02-12	65.000000	GAS PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410130	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410130
410592	N	DONG E&P Norge AS	OSELVAR	MULTI WELL TEMPLATE	OSELVAR	FIELD	5506919	2012-04-14	72.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410592	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410592
410651	Y	Statoil Petroleum AS	GUDRUN	JACKET 4 LEGS	GUDRUN	FIELD	18116481	1900-01-01	109.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410651	http://www.npd.no/FactMapSearch?npdid_facility_surface=410651
410712	N	BG Norge AS	15/12-E-1 H	SINGLE WELL TEMPLATE	GAUPE	FIELD	18161341	2012-03-31	87.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410712	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410712
410771	N	BG Norge AS	6/3-A-1 H	SINGLE WELL TEMPLATE	GAUPE	FIELD	18161341	2012-03-31	85.000000	OIL PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410771	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410771
410829	N	Eni Norge AS	MARULK	MULTI WELL TEMPLATE	MARULK	FIELD	18212090	2012-04-02	368.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410829	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410829
410948	N	Eni Norge AS	GOLIAT B	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	1900-01-01	387.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=410948	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=410948
411006	N	Eni Norge AS	GOLIAT C	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	1900-01-01	376.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411006	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411006
411064	N	Eni Norge AS	GOLIAT D	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	1900-01-01	350.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411064	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411064
411122	N	Eni Norge AS	GOLIAT E	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	1900-01-01	323.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411122	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411122
411180	N	Eni Norge AS	GOLIAT F	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	1900-01-01	350.000000	GAS INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411180	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411180
411238	N	Eni Norge AS	GOLIAT G	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	1900-01-01	394.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411238	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411238
411296	N	Eni Norge AS	GOLIAT H	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	1900-01-01	387.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411296	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411296
411354	N	Eni Norge AS	GOLIAT I	MULTI WELL TEMPLATE	GOLIAT	FIELD	5774394	1900-01-01	327.000000	WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=411354	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=411354
413766	N	Statoil Petroleum AS	ÅSGARD NB	MULTI WELL TEMPLATE	ÅSGARD	FIELD	43765	2012-02-10	301.000000	GAS PRODUCER - OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=413766	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=413766
414071	Y	BP Norge AS	SKARV FPSO	FPSO	SKARV	FIELD	4704482	2012-12-31	368.000000	OFFLOADING - PROCESSING - QUARTER - STORAGE	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=414071	http://www.npd.no/FactMapSearch?npdid_facility_surface=414071
414939	N	Statoil Petroleum AS	VISUND SØR	MULTI WELL TEMPLATE	VISUND SØR	FIELD	20461008	2012-11-22	292.000000	GAS PRODUCER - OIL PRODUCER	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=414939	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=414939
415159	N	Total E&P Norge AS	25/5-D-1 H	SINGLE WELL TEMPLATE	ATLA	FIELD	21106284	2012-10-07	119.000000	GAS PRODUCER	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=415159	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=415159
415218	N	A/S Norske Shell	ORMEN LANGE C	MULTI WELL TEMPLATE	ORMEN LANGE	FIELD	2762452	2012-11-15	925.000000	GAS PRODUCER	50	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=415218	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=415218
416127	Y	\N	BLAREGNIES	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416127	http://www.npd.no/FactMapSearch?npdid_facility_surface=416127
416189	Y	\N	CATS	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416189	http://www.npd.no/FactMapSearch?npdid_facility_surface=416189
416247	Y	\N	COL DE LARRAU	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416247	http://www.npd.no/FactMapSearch?npdid_facility_surface=416247
416305	Y	\N	CRUDEN BAY	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416305	http://www.npd.no/FactMapSearch?npdid_facility_surface=416305
416363	Y	\N	DALMENY	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416363	http://www.npd.no/FactMapSearch?npdid_facility_surface=416363
416421	Y	\N	DEN HELDER	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416421	http://www.npd.no/FactMapSearch?npdid_facility_surface=416421
416479	Y	\N	DORNUM	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416479	http://www.npd.no/FactMapSearch?npdid_facility_surface=416479
416537	Y	\N	EUROPIPE	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416537	http://www.npd.no/FactMapSearch?npdid_facility_surface=416537
416595	Y	\N	FREDERICIA	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416595	http://www.npd.no/FactMapSearch?npdid_facility_surface=416595
416651	Y	\N	HOUND POINT	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416651	http://www.npd.no/FactMapSearch?npdid_facility_surface=416651
416708	Y	\N	KINNEIL	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416708	http://www.npd.no/FactMapSearch?npdid_facility_surface=416708
416765	Y	\N	KLAB	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	EXPORT POINT	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416765	http://www.npd.no/FactMapSearch?npdid_facility_surface=416765
416822	Y	\N	NATURGASS VEST	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL - PROCESSING	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416822	http://www.npd.no/FactMapSearch?npdid_facility_surface=416822
416880	Y	\N	NCG	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	VIRTUAL SALEPOINT	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416880	http://www.npd.no/FactMapSearch?npdid_facility_surface=416880
416937	Y	\N	NYBRO	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416937	http://www.npd.no/FactMapSearch?npdid_facility_surface=416937
416994	Y	\N	OBERKAPPEL	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	LANDFALL	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=416994	http://www.npd.no/FactMapSearch?npdid_facility_surface=416994
417051	Y	\N	ROGASS	ONSHORE FACILITY	\N	\N	\N	1900-01-01	0.000000	EXPORT POINT	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417051	http://www.npd.no/FactMapSearch?npdid_facility_surface=417051
417223	N	Statoil Petroleum AS	VIGDIS H	SUBSEA STRUCTURE	VIGDIS	FIELD	43732	2013-03-11	291.000000	OIL PRODUCER - WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417223	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=417223
417412	N	Statoil Petroleum AS	6507/8-D-5 H	SINGLE WELL TEMPLATE	HEIDRUN	FIELD	43771	2007-02-01	357.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417412	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=417412
417663	N	Statoil Petroleum AS	FOSSEKALL P	SUBSEA STRUCTURE	SKULD	FIELD	21350124	1900-01-01	360.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417663	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=417663
417722	N	Statoil Petroleum AS	FOSSEKALL R	SUBSEA STRUCTURE	SKULD	FIELD	21350124	1900-01-01	358.000000	OIL PRODUCER - WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=417722	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=417722
424530	N	Statoil Petroleum AS	STJERNE	MULTI WELL TEMPLATE	OSEBERG SØR	FIELD	43645	2013-03-25	103.000000	GAS PRODUCER - OIL PRODUCER - WATER INJECTION	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424530	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424530
424593	N	Statoil Petroleum AS	HYME	MULTI WELL TEMPLATE	HYME	FIELD	20474183	2013-02-25	256.000000	OIL PRODUCER - WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424593	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424593
424664	N	ConocoPhillips Skandinavia AS	EKOFISK VB	SUBSEA STRUCTURE	EKOFISK	FIELD	43506	1900-01-01	73.000000	WATER INJECTION	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424664	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424664
424753	N	Det norske oljeselskap ASA	25/8-E-1 H	SINGLE WELL TEMPLATE	JETTE	FIELD	21613906	1900-01-01	127.000000	OIL PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424753	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424753
424812	N	Det norske oljeselskap ASA	25/8-D-1 AH	SINGLE WELL TEMPLATE	JETTE	FIELD	21613906	1900-01-01	127.000000	OIL PRODUCER	10	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424812	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424812
424932	Y	Statoil Petroleum AS	VALEMON	JACKET 4 LEGS	VALEMON	FIELD	20460969	1900-01-01	133.000000	\N	25	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424932	http://www.npd.no/FactMapSearch?npdid_facility_surface=424932
424989	N	Statoil Petroleum AS	VISUND NORD ITS	SUBSEA STRUCTURE	VISUND	FIELD	43745	1900-01-01	378.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=424989	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=424989
425058	Y	ConocoPhillips Skandinavia AS	EKOFISK Z	JACKET 4 LEGS	EKOFISK	FIELD	43506	1900-01-01	79.000000	WELLHEAD	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425058	http://www.npd.no/FactMapSearch?npdid_facility_surface=425058
425117	Y	ConocoPhillips Skandinavia AS	EKOFISK L	JACKET 4 LEGS	EKOFISK	FIELD	43506	1900-01-01	79.000000	ACCOMMODATION	40	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425117	http://www.npd.no/FactMapSearch?npdid_facility_surface=425117
425523	N	Marathon Oil Norge AS	ALVHEIM EAST RISER BASE	SUBSEA STRUCTURE	ALVHEIM	FIELD	2845712	2008-06-08	125.000000	RISER BASE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425523	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=425523
425582	N	Marathon Oil Norge AS	ALVHEIM SOUTH RISER BASE	SUBSEA STRUCTURE	ALVHEIM	FIELD	2845712	2008-06-08	125.000000	RISER BASE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425582	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=425582
425640	N	Marathon Oil Norge AS	ALVHEIM WEST RISER BASE	SUBSEA STRUCTURE	ALVHEIM	FIELD	2845712	2008-06-08	125.000000	RISER BASE	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=425640	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=425640
426277	N	Statoil Petroleum AS	SVALIN C	MULTI WELL TEMPLATE	SVALIN	FIELD	22507971	1900-01-01	0.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=426277	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=426277
428267	N	Marathon Oil Norge AS	24/6-B-5	SINGLE WELL TEMPLATE	ALVHEIM	FIELD	2845712	2012-12-01	124.000000	OIL PRODUCER	20	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=428267	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=428267
429055	N	ExxonMobil Exploration & Production Norway AS	25/11-A-22 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2014-02-25	127.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=429055	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=429055
429114	N	ExxonMobil Exploration & Production Norway AS	25/11-A-23 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2014-05-15	127.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=429114	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=429114
429545	N	Marathon Oil Norge AS	25/4-F-1 H	SINGLE WELL TEMPLATE	VILJE	FIELD	3392471	1900-01-01	122.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=429545	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=429545
429693	N	Marathon Oil Norge AS	24/9-P-6 AH	SINGLE WELL TEMPLATE	VOLUND	FIELD	4380167	2013-01-24	124.000000	GAS PRODUCER - OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=429693	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=429693
430375	N	Lundin Norway AS	BRYNHILD	SUBSEA STRUCTURE	BRYNHILD	FIELD	21123063	1900-01-01	82.000000	OIL PRODUCER - WATER INJECTION	15	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430375	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430375
430439	N	ExxonMobil Exploration & Production Norway AS	25/11-B-24 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2013-11-18	127.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430439	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430439
430498	N	ExxonMobil Exploration & Production Norway AS	25/11-D-25 H	SINGLE WELL TEMPLATE	BALDER	FIELD	43562	2014-10-25	127.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430498	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430498
430557	N	ExxonMobil Exploration & Production Norway AS	BALDER SDU A	SUBSEA STRUCTURE	BALDER	FIELD	43562	2013-08-01	127.000000	DISTRIBUTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430557	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430557
430668	N	ExxonMobil Exploration & Production Norway AS	BALDER SDU B	SUBSEA STRUCTURE	BALDER	FIELD	43562	2013-11-18	127.000000	DISTRIBUTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430668	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430668
430724	N	ExxonMobil Exploration & Production Norway AS	BALDER SDU D	SUBSEA STRUCTURE	BALDER	FIELD	43562	2014-10-25	127.000000	DISTRIBUTION	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=430724	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=430724
432093	N	A/S Norske Shell	6407/9-E-4 H	SINGLE WELL TEMPLATE	DRAUGEN	FIELD	43758	1900-01-01	296.000000	OIL PRODUCER	0	http://factpages.npd.no/FactPages/Default.aspx?nav1=facility&nav2=PageView|Fixed|All&nav3=432093	http://www.npd.no/FactMapSearch?npdid_facility_subsurface=432093
\.



COPY field (fldname, cmplongname, fldcurrentactivitysatus, wlbname, wlbcompletiondate, fldownerkind, fldownername, fldnpdidowner, fldnpdidfield, wlbnpdidwellbore, cmpnpdidcompany, fldfactpageurl, fldfactmapurl, flddateupdated, flddateupdatedmax, datesyncnpd) FROM stdin;
ALBUSKJELL	ConocoPhillips Skandinavia AS	SHUT DOWN	1/6-1	1972-11-26	PRODUCTION LICENSE	018	20900	43437	239	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43437	http://www.npd.no/FactMapSearch?NPDID_field=43437	9999-12-31	9999-12-31	2013-05-08
TOMMELITEN GAMMA	ConocoPhillips Skandinavia AS	SHUT DOWN	1/9-4	1978-01-12	BUSINESS ARRANGEMENT AREA	TOMMELITEN UNIT	41411	43444	247	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43444	http://www.npd.no/FactMapSearch?NPDID_field=43444	9999-12-31	9999-12-31	2013-05-08
VARG	Talisman Energy Norge AS	PRODUCING	15/12-4	1984-10-31	PRODUCTION LICENSE	038	21092	43451	438	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43451	http://www.npd.no/FactMapSearch?NPDID_field=43451	9999-12-31	9999-12-31	2013-05-08
SLEIPNER VEST	Statoil Petroleum AS	PRODUCING	15/6-3	1974-12-19	BUSINESS ARRANGEMENT AREA	SLEIPNER VEST UNIT	40848	43457	318	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43457	http://www.npd.no/FactMapSearch?NPDID_field=43457	9999-12-31	9999-12-31	2013-05-08
GUNGNE	Statoil Petroleum AS	PRODUCING	15/9-15	1982-08-01	PRODUCTION LICENSE	046	21156	43464	74	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43464	http://www.npd.no/FactMapSearch?NPDID_field=43464	9999-12-31	9999-12-31	2013-05-08
SLEIPNER ØST	Statoil Petroleum AS	PRODUCING	15/9-9	1981-07-14	BUSINESS ARRANGEMENT AREA	SLEIPNER ØST UNIT	41211	43478	328	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43478	http://www.npd.no/FactMapSearch?NPDID_field=43478	9999-12-31	9999-12-31	2013-05-08
HOD	BP Norge AS	PRODUCING	2/11-2	1974-12-29	PRODUCTION LICENSE	033	21052	43485	285	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43485	http://www.npd.no/FactMapSearch?NPDID_field=43485	9999-12-31	9999-12-31	2013-05-08
GYDA	Talisman Energy Norge AS	PRODUCING	2/1-3	1980-03-29	PRODUCTION LICENSE	019 B	20924	43492	251	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43492	http://www.npd.no/FactMapSearch?NPDID_field=43492	9999-12-31	9999-12-31	2013-05-08
EKOFISK	ConocoPhillips Skandinavia AS	PRODUCING	2/4-2	1969-12-24	PRODUCTION LICENSE	018	20900	43506	172	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43506	http://www.npd.no/FactMapSearch?NPDID_field=43506	9999-12-31	9999-12-31	2013-05-08
VEST EKOFISK	ConocoPhillips Skandinavia AS	SHUT DOWN	2/4-6	1970-12-10	PRODUCTION LICENSE	018	20900	43513	181	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43513	http://www.npd.no/FactMapSearch?NPDID_field=43513	9999-12-31	9999-12-31	2013-05-08
TOR	ConocoPhillips Skandinavia AS	PRODUCING	2/5-1	1970-11-22	BUSINESS ARRANGEMENT AREA	TOR UNIT	45891	43520	178	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43520	http://www.npd.no/FactMapSearch?NPDID_field=43520	9999-12-31	9999-12-31	2013-05-08
ELDFISK	ConocoPhillips Skandinavia AS	PRODUCING	2/7-1	1970-12-11	PRODUCTION LICENSE	018	20900	43527	179	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43527	http://www.npd.no/FactMapSearch?NPDID_field=43527	9999-12-31	9999-12-31	2013-05-08
EMBLA	ConocoPhillips Skandinavia AS	PRODUCING	2/7-20	1988-06-25	PRODUCTION LICENSE	018	20900	43534	1062	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43534	http://www.npd.no/FactMapSearch?NPDID_field=43534	2012-10-12	2012-10-12	2013-05-08
EDDA	ConocoPhillips Skandinavia AS	SHUT DOWN	2/7-4	1972-09-03	PRODUCTION LICENSE	018	20900	43541	263	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43541	http://www.npd.no/FactMapSearch?NPDID_field=43541	9999-12-31	9999-12-31	2013-05-08
VALHALL	BP Norge AS	PRODUCING	2/8-6	1975-06-30	BUSINESS ARRANGEMENT AREA	VALHALL UNIT	41657	43548	276	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43548	http://www.npd.no/FactMapSearch?NPDID_field=43548	9999-12-31	9999-12-31	2013-05-08
FRIGG	Total E&P Norge AS	SHUT DOWN	25/1-1	1971-07-22	BUSINESS ARRANGEMENT AREA	FRIGG UNIT	45634	43555	190	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43555	http://www.npd.no/FactMapSearch?NPDID_field=43555	9999-12-31	9999-12-31	2013-05-08
BALDER	ExxonMobil Exploration & Production Norway AS	PRODUCING	25/11-1	1967-07-09	PRODUCTION LICENSE	001	20756	43562	143	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43562	http://www.npd.no/FactMapSearch?NPDID_field=43562	9999-12-31	9999-12-31	2013-05-08
NORDØST FRIGG	\N	SHUT DOWN	25/1-4	1974-05-30	\N	\N	\N	43568	350	\N	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43568	http://www.npd.no/FactMapSearch?NPDID_field=43568	9999-12-31	9999-12-31	2013-05-08
ØST FRIGG	Centrica Resources (Norge) AS	SHUT DOWN	25/2-1	1973-09-21	PRODUCTION LICENSE	362	3810565	43576	353	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43576	http://www.npd.no/FactMapSearch?NPDID_field=43576	9999-12-31	9999-12-31	2013-05-08
LILLE-FRIGG	Centrica Resources (Norge) AS	SHUT DOWN	25/2-4	1975-10-20	PRODUCTION LICENSE	362	3810565	43583	356	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43583	http://www.npd.no/FactMapSearch?NPDID_field=43583	9999-12-31	9999-12-31	2013-05-08
HEIMDAL	Statoil Petroleum AS	PRODUCING	25/4-1	1972-12-09	PRODUCTION LICENSE	036 BS	2473189	43590	359	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43590	http://www.npd.no/FactMapSearch?NPDID_field=43590	9999-12-31	9999-12-31	2013-05-08
FRØY	Det norske oljeselskap ASA	SHUT DOWN	25/5-1	1987-08-01	PRODUCTION LICENSE	364	3810636	43597	884	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43597	http://www.npd.no/FactMapSearch?NPDID_field=43597	9999-12-31	9999-12-31	2013-05-08
JOTUN	ExxonMobil Exploration & Production Norway AS	PRODUCING	25/8-5 S	1994-09-22	BUSINESS ARRANGEMENT AREA	JOTUN UNIT	40655	43604	2390	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43604	http://www.npd.no/FactMapSearch?NPDID_field=43604	9999-12-31	9999-12-31	2013-05-08
ODIN	\N	SHUT DOWN	30/10-2	1974-03-28	\N	\N	\N	43610	392	\N	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43610	http://www.npd.no/FactMapSearch?NPDID_field=43610	9999-12-31	9999-12-31	2013-05-08
VESLEFRIKK	Statoil Petroleum AS	PRODUCING	30/3-2 R	1981-02-16	PRODUCTION LICENSE	052	21212	43618	508	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43618	http://www.npd.no/FactMapSearch?NPDID_field=43618	9999-12-31	2012-08-17	2013-05-08
OSEBERG	Statoil Petroleum AS	PRODUCING	30/6-1	1979-09-22	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	3500071	43625	380	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625	http://www.npd.no/FactMapSearch?NPDID_field=43625	9999-12-31	2012-12-06	2013-05-08
OSEBERG ØST	Statoil Petroleum AS	PRODUCING	30/6-5	1981-08-15	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	3500071	43639	118	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43639	http://www.npd.no/FactMapSearch?NPDID_field=43639	9999-12-31	2012-12-06	2013-05-08
OSEBERG SØR	Statoil Petroleum AS	PRODUCING	30/9-3	1984-02-26	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	3500071	43645	55	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645	http://www.npd.no/FactMapSearch?NPDID_field=43645	9999-12-31	2012-12-06	2013-05-08
BRAGE	Statoil Petroleum AS	PRODUCING	31/4-3	1980-05-11	BUSINESS ARRANGEMENT AREA	BRAGE UNIT	40432	43651	402	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43651	http://www.npd.no/FactMapSearch?NPDID_field=43651	9999-12-31	2013-02-20	2013-05-08
STATFJORD	Statoil Petroleum AS	PRODUCING	33/12-1	1974-04-18	BUSINESS ARRANGEMENT AREA	STATFJORD UNIT	41686	43658	417	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43658	http://www.npd.no/FactMapSearch?NPDID_field=43658	9999-12-31	9999-12-31	2013-05-08
MURCHISON	CNR International (UK) Limited	PRODUCING	UNKNOWN	9999-12-31	BUSINESS ARRANGEMENT AREA	MURCHISON UNIT	42302	43665	0	2385943	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43665	http://www.npd.no/FactMapSearch?NPDID_field=43665	9999-12-31	9999-12-31	2013-05-08
STATFJORD ØST	Statoil Petroleum AS	PRODUCING	33/9-7	1976-11-07	BUSINESS ARRANGEMENT AREA	STATFJORD ØST UNIT	41233	43672	412	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43672	http://www.npd.no/FactMapSearch?NPDID_field=43672	9999-12-31	2012-12-06	2013-05-08
STATFJORD NORD	Statoil Petroleum AS	PRODUCING	33/9-8	1977-02-18	PRODUCTION LICENSE	037	21084	43679	413	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43679	http://www.npd.no/FactMapSearch?NPDID_field=43679	9999-12-31	9999-12-31	2013-05-08
GULLFAKS	Statoil Petroleum AS	PRODUCING	34/10-1	1978-09-08	PRODUCTION LICENSE	050	21188	43686	424	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43686	http://www.npd.no/FactMapSearch?NPDID_field=43686	9999-12-31	2013-04-25	2013-05-08
GULLFAKS SØR	Statoil Petroleum AS	PRODUCING	34/10-2	1978-12-08	PRODUCTION LICENSE	050	21188	43699	425	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699	http://www.npd.no/FactMapSearch?NPDID_field=43699	9999-12-31	9999-12-31	2013-05-08
SNORRE	Statoil Petroleum AS	PRODUCING	34/4-1	1979-12-16	BUSINESS ARRANGEMENT AREA	SNORRE UNIT	40906	43718	422	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43718	http://www.npd.no/FactMapSearch?NPDID_field=43718	9999-12-31	2012-12-06	2013-05-08
TORDIS	Statoil Petroleum AS	PRODUCING	34/7-12	1987-12-17	PRODUCTION LICENSE	089	21516	43725	1187	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43725	http://www.npd.no/FactMapSearch?NPDID_field=43725	9999-12-31	2012-12-05	2013-05-08
VIGDIS	Statoil Petroleum AS	PRODUCING	34/7-8	1986-04-11	PRODUCTION LICENSE	089	21516	43732	878	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43732	http://www.npd.no/FactMapSearch?NPDID_field=43732	9999-12-31	2012-12-05	2013-05-08
VISUND	Statoil Petroleum AS	PRODUCING	34/8-1	1986-03-08	BUSINESS ARRANGEMENT AREA	VISUND INSIDE	40726	43745	854	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43745	http://www.npd.no/FactMapSearch?NPDID_field=43745	9999-12-31	9999-12-31	2013-05-08
NJORD	Statoil Petroleum AS	PRODUCING	6407/7-1 S	1986-04-07	BUSINESS ARRANGEMENT AREA	NJORD UNIT	40585	43751	474	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43751	http://www.npd.no/FactMapSearch?NPDID_field=43751	9999-12-31	9999-12-31	2013-05-08
DRAUGEN	A/S Norske Shell	PRODUCING	6407/9-1	1984-09-07	PRODUCTION LICENSE	093	21548	43758	133	562	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43758	http://www.npd.no/FactMapSearch?NPDID_field=43758	9999-12-31	2012-12-01	2013-05-08
ÅSGARD	Statoil Petroleum AS	PRODUCING	6507/11-1	1981-12-10	BUSINESS ARRANGEMENT AREA	ÅSGARD UNIT	40564	43765	68	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43765	http://www.npd.no/FactMapSearch?NPDID_field=43765	9999-12-31	9999-12-31	2013-05-08
HEIDRUN	Statoil Petroleum AS	PRODUCING	6507/7-2	1985-06-10	BUSINESS ARRANGEMENT AREA	HEIDRUN UNIT	40490	43771	464	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43771	http://www.npd.no/FactMapSearch?NPDID_field=43771	9999-12-31	9999-12-31	2013-05-08
NORNE	Statoil Petroleum AS	PRODUCING	6608/10-2	1992-01-29	BUSINESS ARRANGEMENT AREA	NORNE INSIDE	40672	43778	1782	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43778	http://www.npd.no/FactMapSearch?NPDID_field=43778	9999-12-31	9999-12-31	2013-05-08
COD	ConocoPhillips Skandinavia AS	SHUT DOWN	7/11-1	1968-06-15	PRODUCTION LICENSE	018	20900	43785	149	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43785	http://www.npd.no/FactMapSearch?NPDID_field=43785	9999-12-31	2013-04-19	2013-05-08
MIME	Lundin Norway AS	SHUT DOWN	7/11-5	1982-06-10	PRODUCTION LICENSE	301	2490380	43792	42	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43792	http://www.npd.no/FactMapSearch?NPDID_field=43792	9999-12-31	2013-04-09	2013-05-08
ULA	BP Norge AS	PRODUCING	7/12-2	1976-09-24	PRODUCTION LICENSE	019	20916	43800	295	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43800	http://www.npd.no/FactMapSearch?NPDID_field=43800	9999-12-31	2012-12-11	2013-05-08
YME	Talisman Energy Norge AS	PDO APPROVED	9/2-1	1987-04-28	PRODUCTION LICENSE	316	2786469	43807	1038	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43807	http://www.npd.no/FactMapSearch?NPDID_field=43807	9999-12-31	9999-12-31	2013-05-08
TROLL	Statoil Petroleum AS	PRODUCING	31/2-1	1979-11-09	BUSINESS ARRANGEMENT AREA	TROLL UNIT	41105	46437	398	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=46437	http://www.npd.no/FactMapSearch?NPDID_field=46437	9999-12-31	9999-12-31	2013-05-08
HULDRA	Statoil Petroleum AS	PRODUCING	30/2-1	1982-10-12	BUSINESS ARRANGEMENT AREA	HULDRA UNIT	41189	97002	72	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=97002	http://www.npd.no/FactMapSearch?NPDID_field=97002	9999-12-31	9999-12-31	2013-05-08
SYGNA	Statoil Petroleum AS	PRODUCING	33/9-19 S	1996-07-23	BUSINESS ARRANGEMENT AREA	SYGNA UNIT	96205	104718	2830	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=104718	http://www.npd.no/FactMapSearch?NPDID_field=104718	9999-12-31	2012-12-06	2013-05-08
TUNE	Statoil Petroleum AS	PRODUCING	30/8-1 S	1995-03-01	PRODUCTION LICENSE	190	22332	853376	2430	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=853376	http://www.npd.no/FactMapSearch?NPDID_field=853376	2013-04-19	2013-04-19	2013-05-08
TAMBAR	BP Norge AS	PRODUCING	1/3-3	1983-03-24	PRODUCTION LICENSE	065	21316	1028599	87	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1028599	http://www.npd.no/FactMapSearch?NPDID_field=1028599	9999-12-31	9999-12-31	2013-05-08
GRANE	Statoil Petroleum AS	PRODUCING	25/11-15	1991-12-25	BUSINESS ARRANGEMENT AREA	GRANE UNIT	1031365	1035937	1872	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1035937	http://www.npd.no/FactMapSearch?NPDID_field=1035937	9999-12-31	9999-12-31	2013-05-08
KVITEBJØRN	Statoil Petroleum AS	PRODUCING	34/11-1	1994-10-25	PRODUCTION LICENSE	193	22356	1036101	2377	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1036101	http://www.npd.no/FactMapSearch?NPDID_field=1036101	9999-12-31	9999-12-31	2013-05-08
GLITNE	Statoil Petroleum AS	SHUT DOWN	15/5-5	1995-10-05	PRODUCTION LICENSE	048 B	1342723	1272071	2635	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1272071	http://www.npd.no/FactMapSearch?NPDID_field=1272071	2013-03-23	2013-03-23	2013-05-08
FRAM	Statoil Petroleum AS	PRODUCING	35/11-4	1990-12-29	PRODUCTION LICENSE	090	21524	1578840	1523	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578840	http://www.npd.no/FactMapSearch?NPDID_field=1578840	2013-04-30	2013-04-30	2013-05-08
VALE	Centrica Resources (Norge) AS	PRODUCING	25/4-6 S	1991-08-24	PRODUCTION LICENSE	036	21076	1578893	1703	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578893	http://www.npd.no/FactMapSearch?NPDID_field=1578893	9999-12-31	9999-12-31	2013-05-08
SIGYN	ExxonMobil Exploration & Production Norway AS	PRODUCING	16/7-4	1982-12-06	PRODUCTION LICENSE	072	21372	1630100	91	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1630100	http://www.npd.no/FactMapSearch?NPDID_field=1630100	9999-12-31	9999-12-31	2013-05-08
MIKKEL	Statoil Petroleum AS	PRODUCING	6407/6-3	1987-02-16	BUSINESS ARRANGEMENT AREA	MIKKEL UNIT	1629477	1630514	1024	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1630514	http://www.npd.no/FactMapSearch?NPDID_field=1630514	9999-12-31	2012-12-01	2013-05-08
KRISTIN	Statoil Petroleum AS	PRODUCING	6406/2-3	1997-04-15	BUSINESS ARRANGEMENT AREA	HALTENBANKEN VEST UNIT	1854695	1854729	2849	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1854729	http://www.npd.no/FactMapSearch?NPDID_field=1854729	9999-12-31	9999-12-31	2013-05-08
SNØHVIT	Statoil Petroleum AS	PRODUCING	7121/4-1	1984-10-27	BUSINESS ARRANGEMENT AREA	SNØHVIT UNIT	1333943	2053062	135	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062	http://www.npd.no/FactMapSearch?NPDID_field=2053062	9999-12-31	2012-12-21	2013-05-08
SKIRNE	Total E&P Norge AS	PRODUCING	25/5-3	1990-03-26	PRODUCTION LICENSE	102	21620	2138816	1488	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2138816	http://www.npd.no/FactMapSearch?NPDID_field=2138816	9999-12-31	9999-12-31	2013-05-08
ORMEN LANGE	A/S Norske Shell	PRODUCING	6305/5-1	1997-10-07	BUSINESS ARRANGEMENT AREA	ORMEN LANGE UNIT	2588637	2762452	3144	562	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2762452	http://www.npd.no/FactMapSearch?NPDID_field=2762452	9999-12-31	9999-12-31	2013-05-08
URD	Statoil Petroleum AS	PRODUCING	6608/10-6	2000-05-14	PRODUCTION LICENSE	128	21836	2834734	3260	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2834734	http://www.npd.no/FactMapSearch?NPDID_field=2834734	9999-12-31	9999-12-31	2013-05-08
ALVHEIM	Marathon Oil Norge AS	PRODUCING	24/6-2	1998-07-08	PRODUCTION LICENSE	203	22436	2845712	3397	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2845712	http://www.npd.no/FactMapSearch?NPDID_field=2845712	9999-12-31	2012-12-08	2013-05-08
VILJE	Marathon Oil Norge AS	PRODUCING	25/4-9 S	2003-09-29	PRODUCTION LICENSE	036 D	5081703	3392471	4278	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3392471	http://www.npd.no/FactMapSearch?NPDID_field=3392471	2012-09-20	2012-09-20	2013-05-08
VOLVE	Statoil Petroleum AS	PRODUCING	15/9-19 SR	1993-03-29	PRODUCTION LICENSE	046 BS	4227659	3420717	2105	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3420717	http://www.npd.no/FactMapSearch?NPDID_field=3420717	9999-12-31	9999-12-31	2013-05-08
BLANE	Talisman Energy Norge AS	PRODUCING	1/2-1	1989-06-04	BUSINESS ARRANGEMENT AREA	BLANE UNIT	3437667	3437650	1382	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3437650	http://www.npd.no/FactMapSearch?NPDID_field=3437650	9999-12-31	9999-12-31	2013-05-08
ENOCH	Talisman North Sea Limited	PRODUCING	UNKNOWN	9999-12-31	BUSINESS ARRANGEMENT AREA	ENOCH UNIT	3437805	3437659	0	4462398	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3437659	http://www.npd.no/FactMapSearch?NPDID_field=3437659	9999-12-31	2012-09-15	2013-05-08
RINGHORNE ØST	ExxonMobil Exploration & Production Norway AS	PRODUCING	25/8-14 S	2003-09-22	BUSINESS ARRANGEMENT AREA	RINGHORNE ØST UNIT	3505593	3505505	4805	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3505505	http://www.npd.no/FactMapSearch?NPDID_field=3505505	9999-12-31	9999-12-31	2013-05-08
TYRIHANS	Statoil Petroleum AS	PRODUCING	6407/1-2	1983-05-15	BUSINESS ARRANGEMENT AREA	TYRIHANS UNIT	3488806	3960848	61	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3960848	http://www.npd.no/FactMapSearch?NPDID_field=3960848	9999-12-31	2012-06-08	2013-05-08
GIMLE	Statoil Petroleum AS	PRODUCING	34/10-48 S	2004-12-22	BUSINESS ARRANGEMENT AREA	GIMLE UNIT	4007192	4005142	4902	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4005142	http://www.npd.no/FactMapSearch?NPDID_field=4005142	9999-12-31	9999-12-31	2013-05-08
VOLUND	Marathon Oil Norge AS	PRODUCING	24/9-5	1994-01-26	PRODUCTION LICENSE	150	22012	4380167	2244	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4380167	http://www.npd.no/FactMapSearch?NPDID_field=4380167	9999-12-31	9999-12-31	2013-05-08
ALVE	Statoil Petroleum AS	PRODUCING	6507/3-1	1990-10-26	PRODUCTION LICENSE	159 B	2819945	4444332	1533	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4444332	http://www.npd.no/FactMapSearch?NPDID_field=4444332	9999-12-31	9999-12-31	2013-05-08
REV	Talisman Energy Norge AS	PRODUCING	15/12-12	2001-02-09	PRODUCTION LICENSE	038 C	4005057	4467554	3391	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467554	http://www.npd.no/FactMapSearch?NPDID_field=4467554	9999-12-31	2012-12-07	2013-05-08
GJØA	GDF SUEZ E&P Norge AS	PRODUCING	35/9-1	1989-05-07	PRODUCTION LICENSE	153	22036	4467574	1375	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467574	http://www.npd.no/FactMapSearch?NPDID_field=4467574	2013-02-22	2013-02-22	2013-05-08
VEGA	Statoil Petroleum AS	PRODUCING	35/8-1	1981-01-24	BUSINESS ARRANGEMENT AREA	VEGA UNIT	20459640	4467595	205	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467595	http://www.npd.no/FactMapSearch?NPDID_field=4467595	9999-12-31	2012-09-01	2013-05-08
SKARV	BP Norge AS	PRODUCING	6507/5-1	1998-05-03	BUSINESS ARRANGEMENT AREA	SKARV UNIT	4468539	4704482	3683	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4704482	http://www.npd.no/FactMapSearch?NPDID_field=4704482	2013-01-09	2013-01-09	2013-05-08
MORVIN	Statoil Petroleum AS	PRODUCING	6506/11-7	2001-07-27	PRODUCTION LICENSE	134 B	1025257	4966234	3322	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4966234	http://www.npd.no/FactMapSearch?NPDID_field=4966234	9999-12-31	9999-12-31	2013-05-08
YTTERGRYTA	Statoil Petroleum AS	PRODUCING	6507/11-8	2007-07-03	PRODUCTION LICENSE	062	21292	4973114	5562	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4973114	http://www.npd.no/FactMapSearch?NPDID_field=4973114	9999-12-31	9999-12-31	2013-05-08
TAMBAR ØST	BP Norge AS	PRODUCING	1/3-K-5	2007-07-01	BUSINESS ARRANGEMENT AREA	TAMBAR ØST UNIT	4999504	4999528	5485	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4999528	http://www.npd.no/FactMapSearch?NPDID_field=4999528	9999-12-31	9999-12-31	2013-05-08
OSELVAR	DONG E&P Norge AS	PRODUCING	1/3-6	1991-06-22	PRODUCTION LICENSE	274	2060266	5506919	1521	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=5506919	http://www.npd.no/FactMapSearch?NPDID_field=5506919	9999-12-31	2012-09-14	2013-05-08
GOLIAT	Eni Norge AS	PDO APPROVED	7122/7-1	2000-10-05	PRODUCTION LICENSE	229	22644	5774394	4173	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=5774394	http://www.npd.no/FactMapSearch?NPDID_field=5774394	9999-12-31	9999-12-31	2013-05-08
TRYM	DONG E&P Norge AS	PRODUCING	3/7-4	1990-01-23	PRODUCTION LICENSE	147	21988	18081500	1467	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18081500	http://www.npd.no/FactMapSearch?NPDID_field=18081500	9999-12-31	9999-12-31	2013-05-08
GUDRUN	Statoil Petroleum AS	PDO APPROVED	15/3-1 S	1975-07-06	PRODUCTION LICENSE	025	34512	18116481	309	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18116481	http://www.npd.no/FactMapSearch?NPDID_field=18116481	9999-12-31	9999-12-31	2013-05-08
GAUPE	BG Norge AS	PRODUCING	6/3-1	1985-02-01	PRODUCTION LICENSE	292	2407572	18161341	450	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18161341	http://www.npd.no/FactMapSearch?NPDID_field=18161341	9999-12-31	9999-12-31	2013-05-08
MARULK	Eni Norge AS	PRODUCING	6507/2-2	1992-03-16	PRODUCTION LICENSE	122	21788	18212090	1840	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18212090	http://www.npd.no/FactMapSearch?NPDID_field=18212090	9999-12-31	9999-12-31	2013-05-08
VALEMON	Statoil Petroleum AS	PDO APPROVED	34/10-23	1985-10-13	BUSINESS ARRANGEMENT AREA	VALEMON UNIT	18403644	20460969	476	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20460969	http://www.npd.no/FactMapSearch?NPDID_field=20460969	9999-12-31	9999-12-31	2013-05-08
KNARR	BG Norge AS	PDO APPROVED	34/3-1 S	2008-09-10	PRODUCTION LICENSE	373 S	3811116	20460988	5811	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20460988	http://www.npd.no/FactMapSearch?NPDID_field=20460988	9999-12-31	2012-12-11	2013-05-08
VISUND SØR	Statoil Petroleum AS	PRODUCING	34/8-14 S	2008-10-21	BUSINESS ARRANGEMENT AREA	VISUND INSIDE	40726	20461008	5943	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20461008	http://www.npd.no/FactMapSearch?NPDID_field=20461008	2012-11-24	2012-11-24	2013-05-08
HYME	Statoil Petroleum AS	PRODUCING	6407/8-5 S	2009-05-26	PRODUCTION LICENSE	348	2987047	20474183	6110	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20474183	http://www.npd.no/FactMapSearch?NPDID_field=20474183	2013-03-07	2013-03-07	2013-05-08
ISLAY	TOTAL E&P UK PLC	PRODUCING	UNKNOWN	9999-12-31	PRODUCTION LICENSE	043 CS	18116800	21105675	0	2747820	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21105675	http://www.npd.no/FactMapSearch?NPDID_field=21105675	9999-12-31	9999-12-31	2013-05-08
ATLA	Total E&P Norge AS	PRODUCING	25/5-7	2010-10-23	PRODUCTION LICENSE	102 C	5467035	21106284	6423	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21106284	http://www.npd.no/FactMapSearch?NPDID_field=21106284	2012-10-26	2012-10-26	2013-05-08
BRYNHILD	Lundin Norway AS	PDO APPROVED	7/7-2	1992-04-25	PRODUCTION LICENSE	148	21996	21123063	1868	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21123063	http://www.npd.no/FactMapSearch?NPDID_field=21123063	9999-12-31	2013-01-03	2013-05-08
SKULD	Statoil Petroleum AS	PRODUCING	6608/10-12	2008-12-21	PRODUCTION LICENSE	128	21836	21350124	5949	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21350124	http://www.npd.no/FactMapSearch?NPDID_field=21350124	2013-03-22	2013-03-22	2013-05-08
JETTE	Det norske oljeselskap ASA	PDO APPROVED	25/8-17	2009-10-29	BUSINESS ARRANGEMENT AREA	JETTE UNIT	21077388	21613906	6185	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21613906	http://www.npd.no/FactMapSearch?NPDID_field=21613906	9999-12-31	2012-11-13	2013-05-08
EDVARD GRIEG	Lundin Norway AS	PDO APPROVED	16/1-8	2007-11-13	PRODUCTION LICENSE	338	2986578	21675433	5612	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21675433	http://www.npd.no/FactMapSearch?NPDID_field=21675433	2012-06-14	2012-12-20	2013-05-08
MARTIN LINGE	Total E&P Norge AS	PDO APPROVED	30/7-6 R	1978-06-03	BUSINESS ARRANGEMENT AREA	MARTIN LINGE UNIT	3812119	21675447	507	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21675447	http://www.npd.no/FactMapSearch?NPDID_field=21675447	2012-06-14	2012-06-21	2013-05-08
BØYLA	Marathon Oil Norge AS	PDO APPROVED	24/9-9 S	2009-10-07	PRODUCTION LICENSE	340	2986630	22492497	6222	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=22492497	http://www.npd.no/FactMapSearch?NPDID_field=22492497	2012-10-28	2012-10-28	2013-05-08
SVALIN	Statoil Petroleum AS	PDO APPROVED	25/11-16	1992-07-24	PRODUCTION LICENSE	169	22164	22507971	1920	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=22507971	http://www.npd.no/FactMapSearch?NPDID_field=22507971	2012-11-25	2012-11-25	2013-05-08
\.



COPY field_activity_status_hst (fldname, fldstatusfromdate, fldstatustodate, fldstatus, fldnpdidfield, fldstatusdateupdated, datesyncnpd) FROM stdin;
ALBUSKJELL	1975-04-25	1979-05-26	PDO APPROVED	43437	9999-12-31	2013-05-08
ALBUSKJELL	1979-05-26	1998-08-26	PRODUCING	43437	9999-12-31	2013-05-08
ALBUSKJELL	1998-08-26	9999-12-31	SHUT DOWN	43437	9999-12-31	2013-05-08
TOMMELITEN GAMMA	1986-06-12	1988-10-03	PDO APPROVED	43444	9999-12-31	2013-05-08
TOMMELITEN GAMMA	1988-10-03	1998-08-05	PRODUCING	43444	9999-12-31	2013-05-08
TOMMELITEN GAMMA	1998-08-05	9999-12-31	SHUT DOWN	43444	9999-12-31	2013-05-08
VARG	1996-05-03	1998-12-22	PDO APPROVED	43451	9999-12-31	2013-05-08
VARG	1998-12-22	9999-12-31	PRODUCING	43451	9999-12-31	2013-05-08
SLEIPNER VEST	1992-12-14	1996-08-29	PDO APPROVED	43457	9999-12-31	2013-05-08
SLEIPNER VEST	1996-08-29	9999-12-31	PRODUCING	43457	9999-12-31	2013-05-08
GUNGNE	1995-08-29	1996-04-21	PDO APPROVED	43464	9999-12-31	2013-05-08
GUNGNE	1996-04-21	9999-12-31	PRODUCING	43464	9999-12-31	2013-05-08
SLEIPNER ØST	1986-12-15	1993-08-24	PDO APPROVED	43478	9999-12-31	2013-05-08
SLEIPNER ØST	1993-08-24	9999-12-31	PRODUCING	43478	9999-12-31	2013-05-08
HOD	1988-06-26	1990-09-30	PDO APPROVED	43485	9999-12-31	2013-05-08
HOD	1990-09-30	9999-12-31	PRODUCING	43485	9999-12-31	2013-05-08
GYDA	1987-06-02	1990-06-21	PDO APPROVED	43492	9999-12-31	2013-05-08
GYDA	1990-06-21	9999-12-31	PRODUCING	43492	9999-12-31	2013-05-08
EKOFISK	1972-03-01	1971-06-15	PDO APPROVED	43506	9999-12-31	2013-05-08
EKOFISK	1971-06-15	9999-12-31	PRODUCING	43506	9999-12-31	2013-05-08
VEST EKOFISK	1973-05-04	1977-05-31	PDO APPROVED	43513	9999-12-31	2013-05-08
VEST EKOFISK	1977-05-31	1998-08-25	PRODUCING	43513	9999-12-31	2013-05-08
VEST EKOFISK	1998-08-25	9999-12-31	SHUT DOWN	43513	9999-12-31	2013-05-08
TOR	1973-05-04	1978-06-28	PDO APPROVED	43520	9999-12-31	2013-05-08
TOR	1978-06-28	9999-12-31	PRODUCING	43520	9999-12-31	2013-05-08
ELDFISK	1975-04-25	1979-08-08	PDO APPROVED	43527	9999-12-31	2013-05-08
ELDFISK	1979-08-08	9999-12-31	PRODUCING	43527	9999-12-31	2013-05-08
EMBLA	1990-12-14	1993-05-12	PDO APPROVED	43534	9999-12-31	2013-05-08
EMBLA	1993-05-12	9999-12-31	PRODUCING	43534	9999-12-31	2013-05-08
EDDA	1975-04-25	1979-12-02	PDO APPROVED	43541	9999-12-31	2013-05-08
EDDA	1979-12-02	1998-08-05	PRODUCING	43541	9999-12-31	2013-05-08
EDDA	1998-08-05	9999-12-31	SHUT DOWN	43541	9999-12-31	2013-05-08
VALHALL	1977-06-02	1982-10-02	PDO APPROVED	43548	9999-12-31	2013-05-08
VALHALL	1982-10-02	9999-12-31	PRODUCING	43548	9999-12-31	2013-05-08
FRIGG	1974-06-13	1977-09-12	PDO APPROVED	43555	9999-12-31	2013-05-08
FRIGG	1977-09-13	2004-10-25	PRODUCING	43555	9999-12-31	2013-05-08
FRIGG	2004-10-26	9999-12-31	SHUT DOWN	43555	9999-12-31	2013-05-08
BALDER	1996-02-02	1999-10-02	PDO APPROVED	43562	9999-12-31	2013-05-08
BALDER	1999-10-02	9999-12-31	PRODUCING	43562	9999-12-31	2013-05-08
NORDØST FRIGG	1980-09-12	1983-12-01	PDO APPROVED	43568	9999-12-31	2013-05-08
NORDØST FRIGG	1983-12-01	1993-05-08	PRODUCING	43568	9999-12-31	2013-05-08
NORDØST FRIGG	1993-05-08	9999-12-31	SHUT DOWN	43568	9999-12-31	2013-05-08
ØST FRIGG	1984-12-14	1988-10-01	PDO APPROVED	43576	9999-12-31	2013-05-08
ØST FRIGG	1988-10-01	1997-12-22	PRODUCING	43576	9999-12-31	2013-05-08
ØST FRIGG	1997-12-22	9999-12-31	SHUT DOWN	43576	9999-12-31	2013-05-08
LILLE-FRIGG	1991-09-06	1994-05-13	PDO APPROVED	43583	9999-12-31	2013-05-08
LILLE-FRIGG	1994-05-13	1999-03-25	PRODUCING	43583	9999-12-31	2013-05-08
LILLE-FRIGG	1999-03-25	9999-12-31	SHUT DOWN	43583	9999-12-31	2013-05-08
HEIMDAL	1981-06-10	1985-12-13	PDO APPROVED	43590	9999-12-31	2013-05-08
HEIMDAL	1985-12-13	9999-12-31	PRODUCING	43590	9999-12-31	2013-05-08
FRØY	1992-05-18	1995-05-15	PDO APPROVED	43597	9999-12-31	2013-05-08
FRØY	1995-05-15	2001-03-05	PRODUCING	43597	9999-12-31	2013-05-08
FRØY	2001-03-05	9999-12-31	SHUT DOWN	43597	9999-12-31	2013-05-08
JOTUN	1997-06-10	1999-10-25	PDO APPROVED	43604	9999-12-31	2013-05-08
JOTUN	1999-10-25	9999-12-31	PRODUCING	43604	9999-12-31	2013-05-08
ODIN	1980-07-18	1984-04-01	PDO APPROVED	43610	9999-12-31	2013-05-08
ODIN	1984-04-01	1994-08-01	PRODUCING	43610	9999-12-31	2013-05-08
ODIN	1994-08-01	9999-12-31	SHUT DOWN	43610	9999-12-31	2013-05-08
VESLEFRIKK	1987-06-02	1989-12-26	PDO APPROVED	43618	9999-12-31	2013-05-08
VESLEFRIKK	1989-12-26	9999-12-31	PRODUCING	43618	9999-12-31	2013-05-08
OSEBERG	1984-06-05	1988-12-01	PDO APPROVED	43625	9999-12-31	2013-05-08
OSEBERG	1988-12-01	9999-12-31	PRODUCING	43625	9999-12-31	2013-05-08
OSEBERG ØST	1996-10-11	1999-05-03	PDO APPROVED	43639	9999-12-31	2013-05-08
OSEBERG ØST	1999-05-03	9999-12-31	PRODUCING	43639	9999-12-31	2013-05-08
OSEBERG SØR	1997-06-10	2000-02-05	PDO APPROVED	43645	9999-12-31	2013-05-08
OSEBERG SØR	2000-02-05	9999-12-31	PRODUCING	43645	9999-12-31	2013-05-08
BRAGE	1990-03-29	1993-09-23	PDO APPROVED	43651	9999-12-31	2013-05-08
BRAGE	1993-09-23	9999-12-31	PRODUCING	43651	9999-12-31	2013-05-08
STATFJORD	1976-06-16	1979-11-24	PDO APPROVED	43658	9999-12-31	2013-05-08
STATFJORD	1979-11-24	9999-12-31	PRODUCING	43658	9999-12-31	2013-05-08
MURCHISON	1976-12-15	1980-09-28	PDO APPROVED	43665	9999-12-31	2013-05-08
MURCHISON	1980-09-28	9999-12-31	PRODUCING	43665	9999-12-31	2013-05-08
STATFJORD ØST	1990-12-11	1994-09-24	PDO APPROVED	43672	9999-12-31	2013-05-08
STATFJORD ØST	1994-09-24	9999-12-31	PRODUCING	43672	9999-12-31	2013-05-08
STATFJORD NORD	1990-12-11	1995-01-23	PDO APPROVED	43679	9999-12-31	2013-05-08
STATFJORD NORD	1995-01-23	9999-12-31	PRODUCING	43679	9999-12-31	2013-05-08
GULLFAKS	1981-10-09	1986-12-22	PDO APPROVED	43686	9999-12-31	2013-05-08
GULLFAKS	1986-12-22	9999-12-31	PRODUCING	43686	9999-12-31	2013-05-08
GULLFAKS SØR	1996-03-29	1998-10-10	PDO APPROVED	43699	9999-12-31	2013-05-08
GULLFAKS SØR	1998-10-10	9999-12-31	PRODUCING	43699	9999-12-31	2013-05-08
SNORRE	1988-05-27	1992-08-03	PDO APPROVED	43718	9999-12-31	2013-05-08
SNORRE	1992-08-03	9999-12-31	PRODUCING	43718	9999-12-31	2013-05-08
TORDIS	1991-05-14	1994-06-03	PDO APPROVED	43725	9999-12-31	2013-05-08
TORDIS	1994-06-03	9999-12-31	PRODUCING	43725	9999-12-31	2013-05-08
VIGDIS	1994-12-16	1997-01-28	PDO APPROVED	43732	9999-12-31	2013-05-08
VIGDIS	1997-01-28	9999-12-31	PRODUCING	43732	9999-12-31	2013-05-08
VISUND	1996-03-29	1999-04-21	PDO APPROVED	43745	9999-12-31	2013-05-08
VISUND	1999-04-21	9999-12-31	PRODUCING	43745	9999-12-31	2013-05-08
NJORD	1995-06-12	1997-09-30	PDO APPROVED	43751	9999-12-31	2013-05-08
NJORD	1997-09-30	9999-12-31	PRODUCING	43751	9999-12-31	2013-05-08
DRAUGEN	1988-12-19	1993-10-19	PDO APPROVED	43758	9999-12-31	2013-05-08
DRAUGEN	1993-10-19	9999-12-31	PRODUCING	43758	9999-12-31	2013-05-08
ÅSGARD	1996-06-14	1999-05-19	PDO APPROVED	43765	9999-12-31	2013-05-08
ÅSGARD	1999-05-19	9999-12-31	PRODUCING	43765	9999-12-31	2013-05-08
HEIDRUN	1991-05-14	1995-10-18	PDO APPROVED	43771	9999-12-31	2013-05-08
HEIDRUN	1995-10-18	9999-12-31	PRODUCING	43771	9999-12-31	2013-05-08
NORNE	1995-03-09	1997-11-06	PDO APPROVED	43778	9999-12-31	2013-05-08
NORNE	1997-11-06	9999-12-31	PRODUCING	43778	9999-12-31	2013-05-08
COD	1973-05-04	1977-12-26	PDO APPROVED	43785	9999-12-31	2013-05-08
COD	1977-12-26	1998-08-05	PRODUCING	43785	9999-12-31	2013-05-08
COD	1998-08-05	9999-12-31	SHUT DOWN	43785	9999-12-31	2013-05-08
MIME	1992-11-06	1992-12-31	PDO APPROVED	43792	9999-12-31	2013-05-08
MIME	1993-01-01	1993-11-03	PRODUCING	43792	9999-12-31	2013-05-08
MIME	1993-11-04	9999-12-31	SHUT DOWN	43792	9999-12-31	2013-05-08
ULA	1980-05-30	1986-10-06	PDO APPROVED	43800	9999-12-31	2013-05-08
ULA	1986-10-06	9999-12-31	PRODUCING	43800	9999-12-31	2013-05-08
YME	1995-01-06	1996-02-26	PDO APPROVED	43807	9999-12-31	2013-05-08
YME	2007-05-11	9999-12-31	PDO APPROVED	43807	9999-12-31	2013-05-08
YME	1996-02-27	2001-04-16	PRODUCING	43807	9999-12-31	2013-05-08
YME	2001-04-17	2007-05-10	SHUT DOWN	43807	9999-12-31	2013-05-08
TROLL	1986-12-15	1995-09-19	PDO APPROVED	46437	9999-12-31	2013-05-08
TROLL	1995-09-19	9999-12-31	PRODUCING	46437	9999-12-31	2013-05-08
HULDRA	1999-02-02	2001-11-21	PDO APPROVED	97002	9999-12-31	2013-05-08
HULDRA	2001-11-21	9999-12-31	PRODUCING	97002	9999-12-31	2013-05-08
SYGNA	1999-04-30	2000-08-01	PDO APPROVED	104718	9999-12-31	2013-05-08
SYGNA	2000-08-01	9999-12-31	PRODUCING	104718	9999-12-31	2013-05-08
TUNE	1999-12-17	2002-11-28	PDO APPROVED	853376	9999-12-31	2013-05-08
TUNE	2002-11-28	9999-12-31	PRODUCING	853376	9999-12-31	2013-05-08
TAMBAR	2000-04-03	2001-07-15	PDO APPROVED	1028599	9999-12-31	2013-05-08
TAMBAR	2001-07-15	9999-12-31	PRODUCING	1028599	9999-12-31	2013-05-08
GRANE	2000-06-14	2003-09-22	PDO APPROVED	1035937	9999-12-31	2013-05-08
GRANE	2003-09-23	9999-12-31	PRODUCING	1035937	9999-12-31	2013-05-08
KVITEBJØRN	2000-06-14	2004-09-25	PDO APPROVED	1036101	9999-12-31	2013-05-08
KVITEBJØRN	2004-09-26	9999-12-31	PRODUCING	1036101	9999-12-31	2013-05-08
GLITNE	2000-09-08	2001-08-28	PDO APPROVED	1272071	2013-03-23	2013-05-08
GLITNE	2001-08-29	2013-02-23	PRODUCING	1272071	2013-03-23	2013-05-08
GLITNE	2013-02-24	9999-12-31	SHUT DOWN	1272071	9999-12-31	2013-05-08
FRAM	2001-03-23	2003-10-01	PDO APPROVED	1578840	9999-12-31	2013-05-08
FRAM	2003-10-02	9999-12-31	PRODUCING	1578840	9999-12-31	2013-05-08
VALE	2001-03-23	2002-05-31	PDO APPROVED	1578893	9999-12-31	2013-05-08
VALE	2002-05-31	9999-12-31	PRODUCING	1578893	9999-12-31	2013-05-08
SIGYN	2001-08-31	2002-12-22	PDO APPROVED	1630100	9999-12-31	2013-05-08
SIGYN	2002-12-22	9999-12-31	PRODUCING	1630100	9999-12-31	2013-05-08
MIKKEL	2001-09-14	2003-07-31	PDO APPROVED	1630514	9999-12-31	2013-05-08
MIKKEL	2003-08-01	9999-12-31	PRODUCING	1630514	9999-12-31	2013-05-08
KRISTIN	2001-12-17	2005-11-02	PDO APPROVED	1854729	9999-12-31	2013-05-08
KRISTIN	2005-11-03	9999-12-31	PRODUCING	1854729	9999-12-31	2013-05-08
SNØHVIT	2002-03-07	2007-08-20	PDO APPROVED	2053062	9999-12-31	2013-05-08
SNØHVIT	2007-08-21	9999-12-31	PRODUCING	2053062	9999-12-31	2013-05-08
SKIRNE	2002-07-05	2004-03-02	PDO APPROVED	2138816	9999-12-31	2013-05-08
SKIRNE	2004-03-03	9999-12-31	PRODUCING	2138816	9999-12-31	2013-05-08
ORMEN LANGE	2004-04-02	2007-09-12	PDO APPROVED	2762452	9999-12-31	2013-05-08
ORMEN LANGE	2007-09-13	9999-12-31	PRODUCING	2762452	9999-12-31	2013-05-08
URD	2004-07-02	2005-11-07	PDO APPROVED	2834734	9999-12-31	2013-05-08
URD	2005-11-08	9999-12-31	PRODUCING	2834734	9999-12-31	2013-05-08
ALVHEIM	2004-10-06	2008-06-07	PDO APPROVED	2845712	9999-12-31	2013-05-08
ALVHEIM	2008-06-08	9999-12-31	PRODUCING	2845712	9999-12-31	2013-05-08
VILJE	2005-03-18	2008-07-31	PDO APPROVED	3392471	9999-12-31	2013-05-08
VILJE	2008-08-01	9999-12-31	PRODUCING	3392471	9999-12-31	2013-05-08
VOLVE	2005-04-22	2008-02-11	PDO APPROVED	3420717	9999-12-31	2013-05-08
VOLVE	2008-02-12	9999-12-31	PRODUCING	3420717	9999-12-31	2013-05-08
BLANE	2005-07-01	2007-09-11	PDO APPROVED	3437650	9999-12-31	2013-05-08
BLANE	2007-09-12	9999-12-31	PRODUCING	3437650	9999-12-31	2013-05-08
ENOCH	2005-07-01	2007-05-30	PDO APPROVED	3437659	9999-12-31	2013-05-08
ENOCH	2007-05-31	9999-12-31	PRODUCING	3437659	9999-12-31	2013-05-08
RINGHORNE ØST	2005-11-10	2006-03-18	PDO APPROVED	3505505	9999-12-31	2013-05-08
RINGHORNE ØST	2006-03-19	9999-12-31	PRODUCING	3505505	9999-12-31	2013-05-08
TYRIHANS	2006-02-16	2009-07-07	PDO APPROVED	3960848	9999-12-31	2013-05-08
TYRIHANS	2009-07-08	9999-12-31	PRODUCING	3960848	9999-12-31	2013-05-08
GIMLE	2006-05-18	2006-05-18	PDO APPROVED	4005142	9999-12-31	2013-05-08
GIMLE	2006-05-19	9999-12-31	PRODUCING	4005142	9999-12-31	2013-05-08
VOLUND	2007-01-18	2009-09-09	PDO APPROVED	4380167	9999-12-31	2013-05-08
VOLUND	2009-09-10	9999-12-31	PRODUCING	4380167	9999-12-31	2013-05-08
ALVE	2007-03-16	2009-03-18	PDO APPROVED	4444332	9999-12-31	2013-05-08
ALVE	2009-03-19	9999-12-31	PRODUCING	4444332	9999-12-31	2013-05-08
REV	2007-06-15	2009-01-23	PDO APPROVED	4467554	9999-12-31	2013-05-08
REV	2009-01-24	9999-12-31	PRODUCING	4467554	9999-12-31	2013-05-08
GJØA	2007-06-14	2010-11-06	PDO APPROVED	4467574	9999-12-31	2013-05-08
GJØA	2010-11-07	9999-12-31	PRODUCING	4467574	9999-12-31	2013-05-08
VEGA	2007-06-14	2010-12-01	PDO APPROVED	4467595	9999-12-31	2013-05-08
VEGA	2010-12-02	9999-12-31	PRODUCING	4467595	9999-12-31	2013-05-08
SKARV	2007-12-18	2012-12-31	PDO APPROVED	4704482	2013-01-09	2013-05-08
SKARV	2013-01-01	9999-12-31	PRODUCING	4704482	9999-12-31	2013-05-08
MORVIN	2008-04-25	2010-07-31	PDO APPROVED	4966234	9999-12-31	2013-05-08
MORVIN	2010-08-01	9999-12-31	PRODUCING	4966234	9999-12-31	2013-05-08
YTTERGRYTA	2008-05-21	2009-01-04	PDO APPROVED	4973114	9999-12-31	2013-05-08
YTTERGRYTA	2009-01-05	9999-12-31	PRODUCING	4973114	9999-12-31	2013-05-08
TAMBAR ØST	2007-06-28	2007-10-01	PDO APPROVED	4999528	9999-12-31	2013-05-08
TAMBAR ØST	2007-10-02	9999-12-31	PRODUCING	4999528	9999-12-31	2013-05-08
OSELVAR	2009-06-19	2012-04-13	PDO APPROVED	5506919	9999-12-31	2013-05-08
OSELVAR	2012-04-14	9999-12-31	PRODUCING	5506919	9999-12-31	2013-05-08
GOLIAT	2009-06-18	9999-12-31	PDO APPROVED	5774394	9999-12-31	2013-05-08
TRYM	2010-03-26	2011-02-11	PDO APPROVED	18081500	9999-12-31	2013-05-08
TRYM	2011-02-12	9999-12-31	PRODUCING	18081500	9999-12-31	2013-05-08
GUDRUN	2010-06-16	9999-12-31	PDO APPROVED	18116481	9999-12-31	2013-05-08
GAUPE	2010-06-25	2012-03-30	PDO APPROVED	18161341	9999-12-31	2013-05-08
GAUPE	2012-03-31	9999-12-31	PRODUCING	18161341	9999-12-31	2013-05-08
MARULK	2010-07-15	2012-04-01	PDO APPROVED	18212090	9999-12-31	2013-05-08
MARULK	2012-04-02	9999-12-31	PRODUCING	18212090	9999-12-31	2013-05-08
VALEMON	2011-06-09	9999-12-31	PDO APPROVED	20460969	9999-12-31	2013-05-08
KNARR	2011-06-09	9999-12-31	PDO APPROVED	20460988	9999-12-31	2013-05-08
VISUND SØR	2011-06-10	2012-11-21	PDO APPROVED	20461008	2012-11-24	2013-05-08
VISUND SØR	2012-11-22	9999-12-31	PRODUCING	20461008	9999-12-31	2013-05-08
HYME	2011-06-24	2013-03-01	PDO APPROVED	20474183	2013-03-07	2013-05-08
HYME	2013-03-02	9999-12-31	PRODUCING	20474183	9999-12-31	2013-05-08
ISLAY	2010-07-05	2012-04-09	PDO APPROVED	21105675	9999-12-31	2013-05-08
ISLAY	2012-04-10	9999-12-31	PRODUCING	21105675	9999-12-31	2013-05-08
ATLA	2011-11-04	2012-10-06	PDO APPROVED	21106284	2012-10-11	2013-05-08
ATLA	2012-10-07	9999-12-31	PRODUCING	21106284	9999-12-31	2013-05-08
BRYNHILD	2011-11-11	9999-12-31	PDO APPROVED	21123063	9999-12-31	2013-05-08
SKULD	2012-01-20	2013-03-18	PDO APPROVED	21350124	2013-03-22	2013-05-08
SKULD	2013-03-19	9999-12-31	PRODUCING	21350124	9999-12-31	2013-05-08
JETTE	2012-02-17	9999-12-31	PDO APPROVED	21613906	9999-12-31	2013-05-08
EDVARD GRIEG	2012-06-11	9999-12-31	PDO APPROVED	21675433	9999-12-31	2013-05-08
MARTIN LINGE	2012-06-11	9999-12-31	PDO APPROVED	21675447	9999-12-31	2013-05-08
BØYLA	2012-10-26	9999-12-31	PDO APPROVED	22492497	9999-12-31	2013-05-08
SVALIN	2012-11-23	9999-12-31	PDO APPROVED	22507971	9999-12-31	2013-05-08
\.



COPY field_description (fldname, flddescriptionheading, flddescriptiontext, fldnpdidfield, flddescriptiondateupdated) FROM stdin;
ALBUSKJELL	Status	There are no specific plans to recover the remaining resources.  Final disposal is planned for 2007/ 2008	43437	2012-08-23
TOMMELITEN GAMMA	Status	There are no specific plans to recover the remaining resources.	43444	2012-08-23
VARG	Development	Varg is an oil field to the south of Sleipner Øst in the central part of the North Sea. The water depth in the area is 84 metres. The field has been developed with the production vessel, “Petrojarl Varg”, which has integrated oil storage connected to the wellhead facility Varg A. The decommissioning plan for the field was approved in 2001. The plan then was to produce until summer 2002, but measures implemented on the field have prolonged its lifetime.	43451	2012-08-23
VARG	Recovery strategy	Recovery takes place by pressure maintenance using water and gas injection. The smaller structures are produced by pressure depletion. All the wells are producing with gas lift.	43451	2013-05-03
VARG	Reservoir	The reservoir is in Upper Jurassic sandstones at a depth of approximately 2 700 metres. The structure is segmented and includes several isolated compartments with varying reservoir properties.	43451	2012-08-23
VARG	Status	Varg is in the tail phase, but the field is expected to produce until 2021. A gas pipeline will be installed between Varg and Rev, in order to export the gas via the CATS pipeline system to the UK. Measures to optimise recovery are being considered. In 2011 water alternating gas injection (WAG) started, and the first gas cycles had positive effects. A new drilling campaign with two infill producers has started, and several are planned for the coming years. The 15/12-21 (Grevling) discovery, proven in 2009, may be connected to Varg, which can prolong the lifetime of the Varg field.	43451	2013-05-03
VARG	Transport	Oil is off-loaded from the production vessel onto tankers. All the gas is injected, but a solution for possible gas export in the future is being considered.	43451	2012-08-23
SLEIPNER VEST	Development	Sleipner Vest is a gas field in the central part of the North Sea. The water depth in the area is about 110 metres. The field is developed with the wellhead facility Sleipner B, which is remotely operated from the Sleipner A facility on the Sleipner Øst field, and the processing facility Sleipner T, which is connected by a bridge to Sleipner A. The Alpha Nord segment was developed in 2004 with a subsea template tied back to Sleipner T through an 18-kilometre pipeline.	43457	2013-05-03
SLEIPNER VEST	Recovery strategy	Sleipner Vest is recovered by pressure depletion.	43457	2013-05-03
SLEIPNER VEST	Reservoir	Sleipner Vest produces from the Middle Jurassic Sleipner and Hugin Formations. The reservoir depth is approximately 3 450 metres. Most of the reserves are found in the Hugin Formation. The faults in the field are generally not sealed, and communication between the sand deposits is good.	43457	2012-08-23
SLEIPNER VEST	Status	There was a drilling campaign from July 2009 to June 2011. A new drilling campaign is scheduled from 2015.	43457	2013-05-03
SLEIPNER VEST	Transport	Processed gas from Sleipner Vest is routed to Sleipner A for further export, while CO2 is removed from the gas and injected into the Utsira Formation via a dedicated injection well from Sleipner A. Unstabilised condensate from Sleipner Vest and Sleipner Øst is mixed at Sleipner A and sent to Kårstø for processing to stabilised condensate and NGL products.	43457	2012-08-23
GUNGNE	Development	Gungne is a gas condensate field located in the Sleipner area in the central part of the North Sea. The water depth in the area is 83 metres. Gungne produces via three wells drilled from Sleipner A.	43464	2013-05-01
GUNGNE	Recovery strategy	Gungne is recovered by pressure depletion.	43464	2012-08-23
GUNGNE	Reservoir	The reservoir consists of sandstones of the Skagerrak Formation of the Triassic age. The reservoir depth is about 2 800 metres. The reservoir quality is generally good, but the reservoir is segmented, and lateral shale layers act as internal barriers.	43464	2012-08-23
GUNGNE	Transport	Gas and condensate from Sleipner Øst and Gungne are processed on Sleipner A. Processed gas from Sleipner A is mixed with gas from Troll and exported in Zeepipe to Zeebrugge.	43464	2012-08-23
SLEIPNER ØST	Development	Sleipner Øst is a gas condensate field in the central part of the North Sea. The water depth in the area is 82 metres. The field has been developed with an integrated processing, drilling and accommodation facility with a concrete gravity base structure, Sleipner A. In addition, a riser facility, Sleipner R, which connects Sleipner A to the pipelines for gas transport and a flare stack Sleipner F, have been installed. Two subsea templates have also been installed, one for production from the northern part of Sleipner Øst and one for production of the Loke deposit. The Sigyn and Gungne fields are also tied back to Sleipner A. The PDO for Loke was approved in 1991 and production started in 1993. Development of Loke Triassic was approved in August 1995 and production started in 1998.	43478	2013-05-03
SLEIPNER ØST	Recovery strategy	The Hugin Formation reservoir produces by pressure depletion. The Ty reservoir was produced by dry gas recycling until 2005. To optimise production, the wells are now produced at a reduced inlet pressure.	43478	2013-05-03
SLEIPNER ØST	Reservoir	The Sleipner Øst and Loke reservoirs are mainly in sandstones in the Ty Formation of Paleocene age and the Hugin Formation of Middle Jurassic age. In addition, gas has been proven in the Heimdal Formation, overlying the Ty Formation. The reservoir depth is approximately 2 300 metres.	43478	2013-05-03
SLEIPNER ØST	Status	An agreement for tie-in and processing of oil and rich gas from Gudrun at the Sleipner facilities was made in 2010, and production is planned to start from Gudrun in 2014. Rich gas from Gina Krog is planned to be tied-in and processed at the Sleipner facilities from 2017.	43478	2013-05-03
SLEIPNER ØST	Transport	The wellstream from Sleipner Øst is processed on Sleipner A together with the production from Gungne and Sigyn. Condensate from Sleipner Vest and Sleipner Øst is sent to Kårstø for further processing. Processed gas is mixed with gas from Troll and exported via Draupner to Zeebrugge.	43478	2013-05-03
HOD	Development	Hod is an oil field located 13 kilometres south of the Valhall field in the southern part of the North Sea. The water depth is 72 metres. The field is developed with an unmanned production facility, which is remotely controlled from the Valhall field. The PDO for the Hod Sadel area was approved in June 1994.	43485	2013-05-01
HOD	Recovery strategy	The field has been produced by pressure depletion. Gas lift is used in two wells to increase production. A water injection pilot was started in 2011 and full field water injection is also being considered in connection with a further development of the field.	43485	2012-08-23
HOD	Reservoir	The reservoir consists of chalk in the Ekofisk, Tor and Hod Formations of Early Paleocene and Late Cretaceous age. The reservoir depth is approximately 2 700 metres. The field consists of the three structures: Hod Vest, Hod Øst and Hod Sadel. Hod Sadel connects Hod to Valhall and produces through four wells drilled from Valhall.	43485	2013-05-01
HOD	Status	The field is in the tail phase and the production from Hod Øst and Hod Vest was closed down in 2012. There are plans for redevelopment which can extend the lifetime of the field. The operator has applied for licence extension from 2015.	43485	2013-05-01
HOD	Transport	Oil and gas are transported in a shared pipeline to Valhall for further processing. The transport systems to Teesside and Emden are used for onward transport.	43485	2012-08-23
GYDA	Development	Gyda is an oil field located between Ula and Ekofisk in the southern part of the North Sea. The water depth in the area is 66 metres. The field has been developed with a combined drilling, accommodation and processing facility with a steel jacket.	43492	2012-08-23
GYDA	Recovery strategy	The field is produced by water injection as the drive mechanism for the main part of the field. Pressure support from the gas cap and the aquifer are drive mechanisms for other parts of the field.	43492	2013-05-01
GYDA	Reservoir	Gyda consists of three reservoir areas in Upper Jurassic sandstones of the Ula Formation. The reservoir depth is about 4 000 metres.	43492	2012-08-23
GYDA	Status	Gyda is a mature field in the tail phase and experiences increasing water production and challenges in maintaining the oil production. Work is ongoing to prolong the lifetime of the field. This includes further development of the Gyda South area which still has a good reserve potential. In 2013 a new producer will be drilled on Gyda South and an existing producer in the area will be converted to water injection. Opportunities to prolong the lifetime of the field include evaluations of potential third party tie-ins.	43492	2013-05-01
GYDA	Transport	The oil is transported to Ekofisk via the oil pipeline from Ula and further in Norpipe to Teesside. The gas is transported in a dedicated pipeline to Ekofisk for onward transport in Norpipe to Emden.	43492	2012-08-23
EKOFISK	Development	Ekofisk is an oil field located in the southern part of the North Sea. The water depth in the area is 70 - 75 metres. The field was produced to tankers until a concrete storage tank was installed in 1973. Since then, the field has been further developed with many facilities, including riser facilities for associated fields and export pipelines. Several of these have been decommissioned and are awaiting disposal. Today, the operative parts of the Ekofisk Centre consist of the accommodation facilities, Ekofisk H and Ekofisk Q, the production facility Ekofisk C, the drilling and production facility Ekofisk X, the processing facility Ekofisk J and the production and processing facility Ekofisk M. From the wellhead facility Ekofisk A, located in the southern part of the field, production goes to the riser facility Ekofisk FTP for processing at the Ekofisk Centre. The pipeline from production facility Ekofisk B in the northern part of the field is routed to Ekofisk M. Ekofisk K is a facility for water injection. A plan for water injection at Ekofisk was approved in December 1983, a PDO for Ekofisk II was approved in November 1994 and a PDO for Ekofisk Growth was approved in June 2003. In June 2008 a subsea template for water injection wells was approved. These have replaced the water injection at Ekofisk W, which is no longer in use. In March 2010, the new accommodation facility, Ekofisk L, was approved. This will replace Ekofisk H and Ekofisk Q. Ekofisk L will be in operation from autumn 2013. Permanent cables have been installed on the seabed over the Ekofisk reservoir for acquisition of seismic data. A PDO for Ekofisk Sør was approved in June 2011. The project includes two new installations; Ekofisk Z, a production facility, and Ekofisk VB, a subsea template for water injection wells.	43506	2013-05-01
EKOFISK	Recovery strategy	Ekofisk was originally developed by pressure depletion and had an expected recovery factor of 17 per cent. Since then, limited gas injection and comprehensive water injection have contributed to a substantial increase in oil recovery. Large scale water injection started in 1987, and in subsequent years the area for water injection has been extended in several phases. Experience has proven that water displacement of the oil is more effective than anticipated, and the expected recovery factor for Ekofisk is now approximately 50 per cent. In addition to the water injection, compaction of the soft chalk provides extra force to drainage of the field. The reservoir compaction has resulted in subsidence of the seabed, which is now more than 9 metres in the central part of the field. It is expected that the subsidence will continue for many years, but at a lower rate.	43506	2013-05-01
EKOFISK	Reservoir	The Ekofisk field produces from naturally fractured chalk in the Ekofisk and Tor Formations of Early Paleocene and Late Cretaceous ages. The reservoir rocks have high porosity, but low permeability. The reservoir has an oil column of more than 300 metres and lies 2 900 - 3 250 metres below sea level.	43506	2013-05-01
EKOFISK	Status	Production from Ekofisk is maintained at a high level through continuous drilling of water injection wells and production wells from several facilities. Production from Ekofisk Z and injection from Ekofisk VB are planned to start in 2013.	43506	2013-05-01
EKOFISK	Transport	Oil and gas are routed to export pipelines via the processing facility at Ekofisk J. Gas from the Ekofisk area is transported via the Norpipe Gas pipeline to Emden, while the oil, which also contains NGL fractions, is sent via the Norpipe Oil pipeline to Teesside.	43506	2012-08-23
VEST EKOFISK	Status	There are specific plans to recover the remaining resources by means of a new subsea development tied back to Ekofisk.	43513	2012-08-23
TOR	Development	Tor is an oil field in the Ekofisk area in the southern part of the North Sea. The water depth in the area is about 70 metres. The field has been developed with a combined wellhead and processing facility tied to Ekofisk.	43520	2013-05-03
TOR	Recovery strategy	Tor was originally recovered by pressure depletion. In 1992, limited water injection commenced. The facility has subsequently been upgraded and the scope of water injection has been expanded.	43520	2013-05-03
TOR	Reservoir	The main reservoir consists of fractured chalk in the Tor Formation of Late Cretaceous age. The reservoir lies at a depth of approximately 3 200 metres. The Ekofisk Formation of Early Paleocene age also contains oil, but has poorer reservoir quality. So far, minor volumes have been produced from this formation.	43520	2013-05-03
TOR	Status	The Tor facility has a limited remaining lifetime. A redevelopment of the field, to recover significant remaining resources in both the Tor and the Ekofisk formations, is being evaluated.	43520	2012-08-23
TOR	Transport	Oil and gas are transported by pipelines to the processing facility at Ekofisk J. Gas from the Ekofisk area is transported by pipeline to Emden, while the oil, also containing NGL fractions, is sent via pipeline to Teesside.	43520	2012-08-23
BALDER	Status	The field is in the decline phase, but production is likely to continue until 2025. Ongoing studies are evaluating possible means to improve recovery. 4D seismic acquired in 2006, 2009 and 2012 is being used as a basis for reservoir monitoring and to evaluate drilling targets for more wells. A new drilling campaign started on Ringhorne in 2010 and several new wells will be drilled on Balder over the next years.	43562	2013-05-01
ELDFISK	Development	Eldfisk is an oil field located south of Ekofisk, in the southern part of the North Sea. The water depth in the area is 70 - 75 metres. The original Eldfisk development consisted of three facilities. Eldfisk B is a combined drilling, wellhead and process facility, while Eldfisk A and Eldfisk FTP are wellhead and process facilities connected by a bridge. Eldfisk A also has drilling facilities. In 1999, a new water injection facility, Eldfisk E, was installed. The facility also supplies the Ekofisk field with some injection water through a pipeline from Eldfisk to Ekofisk K. The Embla field, located south of Eldfisk, is tied to Eldfisk FTP. A PDO for Eldfisk II was approved in June 2011. The plan includes a new combined accommodation, wellhead and process facility, Eldfisk S, connected by bridge to Eldfisk E. The new facility will replace several functions of Eldfisk A and Eldfisk FTP. The Embla field will be tied back to Eldfisk S.	43527	2013-05-01
ELDFISK	Recovery strategy	Eldfisk was originally developed by pressure depletion. In 1999, water injection began at the field, based on horizontal injection wells. Gas is also injected in periods when export is not possible. Pressure depletion has caused compaction in the reservoir, which has resulted in a few metres of seabed subsidence.	43527	2012-08-23
ELDFISK	Reservoir	The Eldfisk field produces from chalk in the Ekofisk, Tor and Hod Formations of the Early Paleocene and Late Cretaceous ages. The reservoir rock is fine-grained and dense, but has high porosity. Natural fracturing allows the reservoir fluids to flow more easily. The field consists of three structures: Alpha, Bravo and Øst Eldfisk. The reservoir is at a depth of 2 700 - 2 900 metres.	43527	2013-05-01
ELDFISK	Status	The new facility, Eldfisk S, is under construction. Ongoing modifications to the existing facilities are part of the Eldfisk II project. About 40 new production and injection wells will be drilled from Eldfisk S with start-up in 2015.	43527	2013-05-01
ELDFISK	Transport	Oil and gas are sent to the export pipelines via the Ekofisk Centre. Gas from the Ekofisk area is sent by pipeline to Emden, while the oil, which also contains NGL fractions, is routed by pipeline to Teesside.	43527	2013-05-01
EMBLA	Development	Embla is an oil field located near Eldfisk in the southern part of the North Sea. The field has been developed with an unmanned wellhead facility which is remotely controlled from Eldfisk. The water depth in the area is 70 – 75 metres. An amended PDO for Embla was approved in April 1995.	43534	2012-08-23
EMBLA	Recovery strategy	Embla is produced by pressure depletion.	43534	2012-08-23
EMBLA	Reservoir	The Embla field produces from a segmented sandstone and conglomerate reservoir of Devonian and Permian age. The reservoir is complex and lies at a depth of more than 4 000 metres. Embla was the first field with high pressure and high temperature to be developed in the area.	43534	2013-05-01
EMBLA	Status	As a part of the Eldfisk II project, Embla will be tied to the new Eldfisk S facility. This enables an extended lifetime for Embla.	43534	2012-08-23
EMBLA	Transport	Oil and gas are transported to Eldfisk for processing and on to the Ekofisk Centre for export. Gas from the Ekofisk area is transported by pipeline to Emden, while the oil, which also contains NGL fractions, is routed by pipeline to Teesside.	43534	2012-08-23
EDDA	Status	There are no specific plans to recover the remaining resources.  Final disposal is planned for 2006 and in 2013.	43541	2012-08-23
VALHALL	Development	Valhall is an oil field located in the southern part of the North Sea. The water depth in the area is about 70 metres. The field was originally developed with three facilities for accommodation, drilling and production. In 1996, a wellhead facility, Valhall WP, with 19 slots for additional wells was installed. The four facilities are connected by bridges. A water injection facility was installed centrally on the field in the summer of 2003. The flank development consists of two wellhead facilities positioned in the north and south of the field. The southern facility came on stream in 2003 and the northern facility came on stream in 2004. Valhall processes production from Hod, and delivers gas for gas lift on Hod. The PDO for Valhall WP was approved in June 1995. The PDO for Valhall water injection was approved in November 2000. The PDO for Valhall flank development was approved in November 2001. A PDO for Valhall redevelopment was approved in June 2007.	43548	2013-05-03
VALHALL	Recovery strategy	Recovery originally took place by pressure depletion with compaction drive. As a result of pressure depletion from production, compaction of the chalk has caused subsidence of the seabed, presently six metres at the central part of the field. Water injection in the centre of the field started in January 2004 and is expanding. Gas lift will also be important to optimise production and will be implemented in most of the production wells.	43548	2013-05-03
VALHALL	Reservoir	The Valhall field produces from chalk in the Tor and Hod Formations of Late Cretaceous age. The reservoir depth is approximately 2 400 metres. The chalk in the Tor Formation is fine-grained and soft, with considerable fracturing allowing oil and water to flow more easily than in the Hod formation.	43548	2013-05-03
VALHALL	Status	Work to establish gas lift in the wells on the flanks of the field is ongoing. A new field centre (PH) with processing and accommodation facilities is installed and will be completed and start production early in 2013. The new facility will be supplied with power from shore. Drilling of new production and injection wells will continue to increase production and recovery from the field. Permanent seismic cables on the seabed are utilised to identify new well targets for remaining oil in the reservoir.	43548	2013-05-03
VALHALL	Transport	Oil and NGL are routed via pipeline to Ekofisk for onward transport to Teesside. Gas is sent via pipeline to Norpipe for onward transport to Emden.	43548	2012-08-23
FRIGG	Status	Final disposal of the facilities is ongoing.	43555	2012-08-23
BALDER	Development	Balder is an oil field in the central part of the North Sea, at a water depth of 125 metres. The field has been developed with subsea wells tied back to the accommodation, production and storage vessel, “Balder FPSO”, where oil and gas are processed. The Ringhorne discovery, included in the Balder field, is developed with a combined accommodation, drilling and wellhead facility, tied back to the “Balder FPSO”. The PDO for Ringhorne was approved in May 2000 and production started in May 2001. An amended PDO for Ringhorne was approved in 2007.	43562	2013-05-01
BALDER	Recovery strategy	Balder and Ringhorne produce primarily by natural aquifer drive, but re-injection of produced water is used for pressure support, especially into the Ringhorne Jurassic reservoir. Excess water is injected into the Utsira formation. Gas is also injected if the gas export system is down.	43562	2013-05-01
BALDER	Reservoir	Balder and Ringhorne contain several separate oil deposits in Eocene, Paleocene and Jurassic sandstones. Top reservoirs are at a depth of about 1 700 metres.	43562	2013-05-01
ORMEN LANGE	Transport	The wellstream, which contains gas and condensate, is transported in two multi-phase pipelines to the onshore facility at Nyhamna, where gas is dried and compressed before it is sent in the gas export pipeline, Langeled, via Sleipner R, to the UK.	2762452	2013-05-03
BALDER	Transport	The Ringhorne facility is tied to the “Balder FPSO” and “Jotun FPSO” for processing, crude oil storage and gas export. The oil is transported by tankers. Excess gas from Balder is routed to Jotun for export. Jotun exports Ringhorne and Balder gas via Statpipe.	43562	2013-05-01
NORDØST FRIGG	Status	No activity.	43568	2012-08-23
ØST FRIGG	Status	No activity.	43576	2012-08-23
LILLE-FRIGG	Status	No activity.	43583	2012-08-23
HEIMDAL	Development	Heimdal is a gas field located in the central part of the North Sea. The water depth in the area is 120 metres. The field has been developed with an integrated drilling, production and accommodation facility with a steel jacket (HMP1). The Heimdal Jurassic development was approved in October 1992. A PDO for Heimdal Gas Centre (HGS) was approved in January 1999. This included a new riser facility (HRP), connected by a bridge to HMP1. Heimdal is now mainly a processing centre for other fields. Atla, Huldra, Skirne and Vale deliver gas to Heimdal. In addition, gas from Oseberg is transported via Heimdal.	43590	2013-05-01
HEIMDAL	Recovery strategy	The field has been recovered by pressure depletion. Heimdal will continue to produce small amounts of gas until 2014.	43590	2013-05-01
HEIMDAL	Reservoir	The reservoir consists of sandstones of the Heimdal Formation of Paleocene age, deposited as sub-marine fan systems. The reservoir depth is about 2 100 metres.	43590	2012-08-23
HEIMDAL	Status	The licensees are working to identify new gas resources that can be tied to Heimdal to prolong the lifetime of the gas centre. Valemon is a new candidate that can transport gas via Heimdal when Huldra gas export via Heimdal is ended, probably in 2014.	43590	2013-05-01
HEIMDAL	Transport	Originally, gas from Heimdal was sent in Statpipe to Kårstø and on to the Continent, but now can also be sent in Vesterled to St Fergus in the United Kingdom. After Heimdal Gas centre was established, a new gas pipeline was connected to the existing gas pipeline from Frigg to St Fergus. A gas pipeline has also been laid from Heimdal to Grane for gas injection. Condensate is transported by pipeline to Brae in the British sector.	43590	2013-05-01
FRØY	Status	No activity.	43597	2012-08-23
JOTUN	Development	Jotun is an oil field located 25 kilometres north of Balder in the central part of the North Sea. The water depth in the area is 126 metres. The field has been developed with a combined accommodation, production and storage vessel (FPSO), “Jotun A”, and a wellhead facility, Jotun B. Jotun is integrated with Balder and processes gas from Balder and oil from the Jurassic reservoir in the Ringhorne deposit.	43604	2013-05-03
JOTUN	Recovery strategy	The field is recovered by pressure support from the aquifer. Produced water is injected in the Utsira Formation, and is no longer used for pressure support. Gas lift is used in all the producing wells.	43604	2013-05-03
JOTUN	Reservoir	The Jotun field comprises three structures. The easternmost structure has a small gas cap. The reservoirs consist of sandstones in the Heimdal Formation of Paleocene age. The reservoirs are deposited in a sub-marine fan system and lie at a depth of about 2 000 metres. To the west, the reservoir quaility is good, while the shale content increases towards the east.	43604	2013-05-03
JOTUN	Status	The field is in the tail production phase. Water cut has continued to rise, and is now about 97 per cent of the wellstream. Jette, a small oilfield nearby, will be tied-in and production via Jotun is planned to start in the second quarter of 2013. Jotun is expected to produce until 2021.	43604	2013-05-03
JOTUN	Transport	The “Jotun FPSO” is an integrated part of the Balder and Ringhorne facilities. Ringhorne delivers gas and oil to the “Jotun FPSO”. Excess gas from Balder is routed to Jotun for gas export. Jotun processes and exports the rich gas via Statpipe to Kårstø. The oil is exported via the production vessel at Jotun to tankers on the field.	43604	2013-05-03
ODIN	Status	No activity.	43610	2012-08-23
VESLEFRIKK	Development	Veslefrikk is an oil field located about 30 kilometres north of Oseberg in the northern part of the North Sea. The water depth is about 185 metres. The field is developed with two facilities, Veslefrikk A and Veslefrikk B. Veslefrikk A is a fixed steel wellhead facility with bridge connection to Veslefrikk B. Veslefrikk B is a semi-submersible facility for processing and accommodation. Veslefrikk B was upgraded in 1999 to handle condensate from the Huldra field. The PDO for the Statfjord Formation was approved in June 1994. The PDO for the reservoirs in the Upper Brent and I-areas was approved in December 1994.	43618	2013-05-03
VESLEFRIKK	Recovery strategy	Production takes place with pressure support from water alternating gas injection (WAG) in the Brent and Dunlin reservoirs, and with gas injection in the Statfjord Formation. Gas export from Veslefrikk started in late 2011 and the recovery strategy now is to balance gas export and gas injection to optimise drainage of remaining oil and gas resources.	43618	2013-05-03
VESLEFRIKK	Reservoir	The reservoirs consist of Jurassic sandstones in the Brent and Dunlin Groups and the Statfjord Formation. The main reservoir is in the Brent Group and contains about 80 per cent of the reserves. The reservoir depths are between 2 800 – 3 200 metres. The reservoir quality varies from moderate to excellent.	43618	2013-05-03
VESLEFRIKK	Status	Veslefrikk oil production is declining and gas export will increase in the future. The drilling rig has been upgraded and new development wells are being planned.	43618	2013-05-03
VESLEFRIKK	Transport	An oil pipeline is connected to the Oseberg Transport System (OTS) for transport to the Sture terminal. Gas for export is transported through the Gassled system to Kårstø.	43618	2013-05-03
OSEBERG	Development	Oseberg is an oil field with a gas cap. The field is located in the northern part of the North Sea. The water depth in the area is about 100 metres. Oseberg is developed in multiple phases. The Oseberg Field Centre in the south consists of two facilities, the process and accommodation facility Oseberg A and the drilling and water injection facility Oseberg B. Oseberg C is an integrated production, drilling and quarters facility (PDQ) in the northern part of the field. Oseberg D is a facility for gas processing tied to the Oseberg Field Centre. Oseberg Vestflanke has been developed with a subsea template tied back to Oseberg B. Oseberg Delta has been developed with a subsea template tied back to Oseberg D. Production from the Statfjord Formation of the Gamma Main structure started in 2008 with two wells from the Oseberg Field Centre. The facilities at the Field Centre process oil and gas from the fields Oseberg Øst, Oseberg Sør and Tune. The PDO for the northern part of the field was approved in January 1988. The PDO for Oseberg D was approved in December 1996. The PDO for Oseberg Vestflanke was approved in December 2003, and the PDO for Oseberg Delta was approved in September 2005.	43625	2013-05-03
ULA	Recovery strategy	Oil was initially recovered by pressure depletion, but after some years water injection was implemented to improve recovery. Water alternating gas injection (WAG) started in 1998. The WAG programme has been expanded with gas from Tambar (2001), Blane (2007) and Oselvar (2012). Gas lift is used in some of the wells.	43800	2013-05-03
OSEBERG	Recovery strategy	The Oseberg field produces by pressure maintenance with the injection of both gas and water, and by water alternating gas injection (WAG). Massive up-flank gas injection in the main field has provided excellent oil displacement, and a large gas cap has now developed which will be recovered in the future. Injection gas was previously imported from Troll Øst (TOGI) and Oseberg Vest. Small parts of the field are produced by pressure depletion.	43625	2013-05-03
OSEBERG	Reservoir	The field consists of several Middle Jurassic sandstone reservoirs in the Brent Group, and is divided into several structures. The main reservoirs are in the Oseberg and Tarbert Formations, but production also takes place from the Etive and Ness Formations. The reservoirs lie at a depth of 2 300 - 2 700 metres and have generally good reservoir characteristics. In addition, there are resources in the Statfjord Formation in several of the satellite structures west of the main reservoir.	43625	2013-05-03
OSEBERG	Status	The challenge with the main Oseberg reservoir is to balance the oil production below the gas cap with the gas offtake. Upgrades of the drilling facilities on Oseberg B and C were completed during 2012. Test production to evaluate flow characteristics from an overlying chalk reservoir in the Shetland Group on the Oseberg field is ongoing. Further development of the Delta structure west of the main field is planned.	43625	2013-05-03
OSEBERG	Transport	The oil is sent through the Oseberg Transport System (OTS) to the Sture terminal. Gas export began in 2000 through a pipeline, Oseberg Gas Transport (OGT), to the Statpipe system via the Heimdal facility.	43625	2012-08-23
OSEBERG ØST	Development	Oseberg Øst is an oil field located east of Oseberg in the northern part of the North Sea. The field has been developed with an integrated fixed facility with accommodation, drilling equipment and first stage separation of oil, water and gas. The water depth in the area is about 160 metres.	43639	2012-08-23
OSEBERG ØST	Recovery strategy	The field is produced by partial pressure support from both water injection and gas injection.	43639	2012-08-23
OSEBERG ØST	Reservoir	The main reservoir consists of two structures, separated by a sealing fault. The structures contain several oil bearing layers of Middle Jurassic sandstones in the Brent Group, with variable reservoir characteristics. The reservoir lies at a depth of 2 700 – 3 100 metres.	43639	2012-08-23
OSEBERG ØST	Status	Limited availability of produced gas for power generation is a challenge. In addition, there is focus on improving the drilling performance.	43639	2013-05-03
OSEBERG ØST	Transport	The oil is sent by pipeline to the Oseberg Field Centre for further processing and transport through the Oseberg Transport System (OTS) to the Sture terminal. The gas is mainly used for injection, gas lift and fuel.	43639	2012-08-23
OSEBERG SØR	Development	Oseberg Sør is an oil field located south of Oseberg in the northern part of the North Sea. The water depth in the area is approximately 100 metres. The field has been developed with an integrated steel facility with accommodation, drilling module and first-stage separation of oil and gas. In addition, several deposits on the field have been developed with subsea templates tied back to the Oseberg Sør facility. Final processing of oil and gas takes place on the Oseberg Field Centre. The development of the Oseberg Sør J structure was approved in 2003 and production started in November 2006. The development of the 30/9 -22 Stjerne structure with a subsea template was approved in October 2011.	43645	2013-05-03
OSEBERG SØR	Recovery strategy	Recovery mainly takes place by water and gas injection. In parts of the field, water alternating gas injection (WAG) is being used. Water used for injection is produced from the Utsira Formation.	43645	2012-08-23
OSEBERG SØR	Reservoir	Oseberg Sør consists of several deposits with Jurassic sandstone reservoirs. The reservoir depth is between 2 200 - 2 800 metres. The main reservoirs are in the Tarbert and Heather Formations. The reservoir quality is moderate..	43645	2013-05-03
OSEBERG SØR	Status	Optimal use of available gas for re-injection and a strategy for future blowdown of the Oseberg Sør reservoirs are being evaluated. A strategy to combine smaller prospects and discoveries into clusters large enough to trigger new infrastructure has been established. Drilling of the wells on the 30/9-22 Stjerne structure is ongoing.	43645	2013-05-03
OSEBERG SØR	Transport	The oil is transported from the Oseberg Sør facility by pipeline to the Oseberg Field Centre where it is processed and transported through Oseberg Transport System (OTS) to the Sture terminal. The gas is transported via Oseberg Gas Transport (OGT) to Statpipe.	43645	2012-08-23
BRAGE	Development	Brage is an oil field east of Oseberg in the northern part of the North Sea. The water depth in the area is 140 metres. Brage has been developed with a fixed integrated production, drilling and accommodation facility with a steel jacket.	43651	2013-05-01
BRAGE	Recovery strategy	The recovery strategy in the Statfjord and Fensfjord Formations is water injection. Gas injection started in March 2009 in the Sognefjord Formation. The first oil producers in the Brent Group started production in 2008, supported by water injection.	43651	2013-05-01
BRAGE	Reservoir	The reservoir contains oil in sandstones of the Statfjord Formation of Early Jurassic age, and in the Brent Group and the Fensfjord Formation of Middle Jurassic age. There is also oil and gas in the Sognefjord Formation of Late Jurassic age. The reservoirs lie at a depth of 2 000 – 2 300 metres. The reservoir quality varies from poor to excellent.	43651	2013-05-01
BRAGE	Status	Brage has been producing for a long time, and work is still ongoing to find new ways of increasing recovery from the field. New wells have been drilled in recent years, and more wells are planned for the coming years. Brage is also evaluating several technologies for enhanced oil recovery. WAG injection will start in a part of the Brent reservoir in 2013. A pilot project for microbiological injection (MEOR) is planned.	43651	2013-05-01
BRAGE	Transport	The oil is transported by pipeline to Oseberg and on through the Oseberg Transport System (OTS) pipeline to the Sture terminal. A gas pipeline is tied back to Statpipe.	43651	2012-08-23
STATFJORD	Development	Statfjord is an oil field straddling the border between the Norwegian and British sectors in the Tampen area. The water depth in the area is 150 metres. The field has been developed with three fully integrated facilities: Statfjord A, Statfjord B and Statfjord C. Statfjord A is centrally located on the field, and came on stream in 1979. Statfjord B is located in the southern part of the field, and came on stream in 1982. Statfjord C is situated in the northern part of the field, and came on stream in 1985. Statfjord B and Statfjord C have similar construction. The satellite fields Statfjord Øst, Statfjord Nord and Sygna have a separate inlet separator on Statfjord C. The PDO for Statfjord Late Life was approved in June 2005.	43658	2013-05-03
ULA	Reservoir	The main reservoir is at a depth of 3 345 metres in the Upper Jurassic Ula Formation. The reservoir consists of three layers, and two of them are producing well.	43800	2013-05-03
OSELVAR	Recovery strategy	Oselvar is produced by natural pressure depletion via three horizontal production wells.	5506919	2013-05-03
STATFJORD	Recovery strategy	Statfjord was originally recovered by pressure support from water alternating gas injection (WAG), water injection and partial gas injection. Statfjord Late Life entails that all injection has now ceased, and the field is produced by depressurisation in order to liberate gas from remaining oil. Blowdown of the reservoir pressure in the Brent Formation started in the autumn of 2008. Statfjord Late Life is expected to prolong the lifetime of the field and increase the recovery of both oil and gas.	43658	2013-05-03
STATFJORD	Reservoir	The Statfjord reservoirs lie at a depth of 2 500 - 3 000 metres in a large fault block tilted towards the west, and in a number of smaller fault compartments along the east flank. The reservoirs are in Jurassic sandstones in the Brent Group and the Cook and Statfjord Formations. The Brent Group and Statfjord Formation have excellent reservoir quality.	43658	2013-05-03
STATFJORD	Status	The facilities have been modified as part of the Statfjord Late Life Project. There are plans to drill about 70 new oil, water and gas wells during Statfjord Late Life. At the end of 2012, about 50 of these wells were completed.	43658	2013-05-03
STATFJORD	Transport	Stabilised oil is stored in storage cells at each facility. Oil is loaded onto tankers from one of the two oil loading systems at the field. From 2007, gas is exported through Tampen Link, which is routed via the Far North Liquids and Gas System (FLAGS) pipeline to the United Kingdom. The UK licensees route their share of the gas through the FLAGS pipeline from Statfjord B to St Fergus in Scotland.	43658	2013-05-03
MURCHISON	Development	Murchison straddles the border between the Norwegian and British sectors in the Tampen area, in the northern part of the North Sea. The field has been developed with a combined drilling, accommodation and production facility with a steel jacket situated in the British sector. The British and Norwegian licensees entered into an agreement in 1979 concerning common exploitation of the resources in the Murchison field. The agreement also involves British and Norwegian authorities.	43665	2013-05-03
MURCHISON	Recovery strategy	The field is recovered by pressure support from water injection.	43665	2013-05-03
MURCHISON	Reservoir	The reservoirs are in Jurassic sandstones.	43665	2013-05-03
MURCHISON	Status	Murchison is in the tail phase, and cessation of production is expected in 2014.	43665	2013-05-03
MURCHISON	Transport	The production is sent through the Brent system to Sullom Voe in the Shetlands.	43665	2013-05-03
STATFJORD ØST	Development	Statfjord Øst is an oil field located approximately 7 kilometres northeast of the Statfjord field in the Tampen area. The water depth in the area is 150 - 190 metres. The field has been developed with three subsea templates tied back to Statfjord C. Two of the templates are for production and one for water injection. In addition, one production well has been drilled from Statfjord C.	43672	2013-05-03
STATFJORD ØST	Recovery strategy	The field is currently produced by pressure depletion.	43672	2013-05-03
STATFJORD ØST	Reservoir	The reservoir consists of Middle Jurassic sandstones in the Brent Group. The reservoir depth is approximately 2 400 metres.	43672	2013-05-03
STATFJORD ØST	Status	The field is affected by pressure depletion from the blow down of Statfjord. The Light Well Intervention (LWI) program was completed in 2010 and boosted production significantly. The water injectors are shut down, and the re-evaluated drainage strategy involves no more water injection for the remaining lifetime of the field.	43672	2013-05-03
STATFJORD ØST	Transport	The wellstream is routed through two pipelines to Statfjord C for processing, storage and export. Statfjord Øst, Sygna and Statfjord Nord have a shared process module on Statfjord C.	43672	2013-05-03
STATFJORD NORD	Development	Statfjord Nord is an oil field located approximately 17 kilometres north of the Statfjord field in the Tampen area. The water depth in the area is 250 - 290 metres. The field has been developed with three subsea templates tied back to Statfjord C. Two of the templates are for production and one is for water injection.	43679	2013-05-03
STATFJORD NORD	Recovery strategy	The field produces with partial pressure support from water injection.	43679	2013-05-03
STATFJORD NORD	Reservoir	The Statfjord Nord reservoirs consist of Middle Jurassic sandstones in the Brent Group, and Upper Jurassic sandstones. The reservoirs lie at a depth of approximately 2 600 metres and are of good quality.	43679	2013-05-03
STATFJORD NORD	Status	The current key challenge is to restore pressure maintenance. The plan is to repair one of the two water injectors in the second half of 2013 and to resume production.	43679	2013-05-03
STATFJORD NORD	Transport	The wellstream is routed through two pipelines to Statfjord C for processing, storage and export. Statfjord Nord, Sygna and Statfjord Øst have a shared process module on Statfjord C.	43679	2012-08-23
GULLFAKS	Development	Gullfaks is an oil field located in the Tampen area in the northern part of the North Sea. The water depth in the area is 130 – 220 metres. The field has been developed with three integrated processing, drilling and accommodation facilities with concrete bases and steel topsides (Gullfaks A, B and C). Gullfaks B has a simplified processing plant with only first stage separation. Gullfaks A and C receive and process oil and gas from Gullfaks Sør, Gimle and Visund Sør. The facilities are also involved in production and transport from the Tordis, Vigdis and Visund fields. Production from Tordis is processed in a separate facility on Gullfaks C. A PDO for Gullfaks C was approved in June 1985, a PDO for Gullfaks Vest was approved in January 1993, and recovery from the Lunde Formation was approved in November 1995. In December 2005, an amended PDO for the Gullfaks field covering prospects and small discoveries which can be drilled and produced from existing facilities was approved.	43686	2013-05-01
GULLFAKS	Recovery strategy	The drive mechanisms are water injection, gas injection and water/alternating gas injection (WAG). The recovery strategy varies between the drainage areas on the field, with water injection as the main strategy.	43686	2013-05-01
GULLFAKS	Reservoir	The Gullfaks reservoirs consist of Middle Jurassic sandstones of the Brent Group, and Lower Jurassic and Upper Triassic sandstones of the Cook, Statfjord and Lunde Formations. The reservoirs lie at a depth of 1 700 – 2 000 metres. The Gullfaks reservoirs are located in rotated fault blocks in the west and a structural horst in the east, with a highly faulted area in-between.	43686	2013-05-01
GULLFAKS	Status	Evaluation of lifetime extension of Gullfaks is ongoing. This includes upgrades to the drilling facilities. Increased oil recovery through optimized distribution of gas and water injection in the various areas of the field is a major challenge. The licensees are also evaluating injection of silica gel as a method to increase oil recovery from Gullfaks. Studies are ongoing on future tie-in of Snorre oil export. Future tie-in of export oil from Snorre is being studied.	43686	2013-05-01
GULLFAKS	Transport	Oil is exported from Gullfaks A and Gullfaks C via loading buoys onto tankers. Rich gas is transported through Statpipe for further processing at Kårstø.	43686	2013-05-01
GULLFAKS SØR	Development	Gullfaks Sør is located to the south of Gullfaks in the northern part of the North Sea. It has been developed with a total of 12 subsea templates tied back to the Gullfaks A and Gullfaks C facilities. Gullfaks Sør has been developed in two phases. The PDO for Phase 1 included production of oil and condensate from the 34/10-2 Gullfaks Sør, 34/10-17 Rimfaks and 34/10-37 Gullveig deposits. The PDO for Phase 2 was approved in June 1998 and covered production of gas from the Brent Group in the Gullfaks Sør deposit. In 2004, the 34/10-47 Gulltopp discovery was included in Gullfaks Sør. Gulltopp is produced through an extended reach production well from Gullfaks A. A PDO for the 33/12-8 A Skinfaks discovery and Rimfaks IOR was approved in February 2005. The development included a new subsea template and a satellite well. An amended PDO for the redevelopment of Gullfaks Sør Statfjord Formation was approved in October 2012.	43699	2013-05-01
GULLFAKS SØR	Recovery strategy	Recovery from the Brent reservoir in Gullfaks Sør is driven by pressure depletion after gas injection ceased in 2009. The Brent reservoir in Rimfaks is produced by full pressure maintenance by gas injection, whereas the Statfjord Formation has partial pressure support from gas injection. The Gullveig and Gulltopp deposits are recovered by pressure depletion and natural aquifer drive.	43699	2013-05-01
GULLFAKS SØR	Reservoir	The Gullfaks Sør reservoirs consist of Middle Jurassic sandstones of the Brent Group and Lower Jurassic and Upper Triassic sandstones of the Cook, Statfjord and Lunde Formations. The reservoirs lie 2 400 - 3 400 metres below the sea level in rotated fault blocks. The reservoirs in the Gullfaks Sør deposit are heavily segmented, with many internal faults, and the Statfjord Formation has poor flow characteristics. The other deposits show good reservoir qualities.	43699	2012-08-23
GULLFAKS SØR	Status	A project to develop resources in the western parts of the area is ongoing. Prolonged gas injection to increase oil recovery from some of the Gullfaks Sør reservoirs is being evaluated. A subsea gas compressor will be installed on the field in order to boost gas production.	43699	2013-05-01
GULLFAKS SØR	Transport	The oil is transported to Gullfaks A for processing, storage and further transport by tankers. Rich gas is processed on Gullfaks C and then exported through Statpipe to Kårstø.	43699	2013-05-01
SNORRE	Development	Snorre is an oil field in the Tampen area in the northern part of the North Sea. The water depth in the area is 300 - 350 metres. Snorre A in the south is a floating steel facility (TLP) for accommodation, drilling and processing. Snorre A also has a separate process module for production from the Vigdis field. A subsea template with ten well slots, Snorre UPA, is located centrally on the field and connected to Snorre A. Snorre B is located in the northern part of the field, and is a semi-submersible integrated drilling, processing and accommodation facility. An amended PDO for Snorre, including a new processing module on Snorre A for processing oil from Vigdis, was approved in December 1994. The PDO for Snorre B was approved in June 1998. Snorre B came on stream in June 2001.	43718	2013-05-03
SNORRE	Recovery strategy	Snorre is produced with pressure support from water injection, gas injection and water alternating gas injection (WAG).	43718	2013-05-03
SNORRE	Reservoir	The Snorre field consists of several large fault blocks. The reservoir contains Lower Jurassic and Triassic sandstones in the Statfjord and Lunde Formations. The reservoir depth is 2 000 - 2 700 metres. The reservoir has a complex structure with many alluvial channels and internal flow barriers.	43718	2013-05-03
SNORRE	Status	The licensees are working on development plans for extended production from the field (Snorre 2040 project). Infill drilling, modification of facilities, new infrastructure and long-term transport solution are key elements in the studies. It has been decided to install a permanent reservoir monitoring system on the seabed to increase recovery through improved seismic quality. The licensees have also decided to implement an Enhanced Oil Recovery pilot on water diversion using silica gel.	43718	2013-05-03
SNORRE	Transport	Oil and gas are separated in two stages at Snorre A before transport in separate pipelines to Statfjord A for final processing and export. The oil is loaded onto shuttle tankers at Statfjord and excess gas is sent through the Statpipe pipeline to Kårstø, or through Tampen Link to St Fergus. Processed oil from Snorre B is routed by pipeline to Statfjord B for storage and loading to shuttle tankers. All gas from Snorre B is normally re-injected, but may also be sent to Snorre A for injection or export.	43718	2013-05-03
TORDIS	Development	Tordis is an oil field located between the Snorre and Gullfaks fields in the Tampen area in the northern part of the North Sea. The water depth in the area is approximately 200 metres. The field has been developed with a central subsea manifold tied back to Gullfaks C. Eight separate satellite wells and two subsea templates are tied back to the manifold. A subsea separator was installed at the field in 2007. Injection water is supplied from Gullfaks C. Tordis comprises four deposits: Tordis, Tordis Øst, Borg and 34/7-25 S. The PDO for Tordis Øst was approved in October 1995. The PDO for Borg was approved in June 1999. An amended PDO for Tordis (Tordis IOR) was approved in December 2005.	43725	2013-05-03
TORDIS	Recovery strategy	Production is partly accomplished by pressure support from water injection and partly by natural aquifer drive. Pressure at Borg is fully maintained using water injection. Tordis Øst is produced with pressure support from natural aquifer drive.	43725	2013-05-03
TORDIS	Reservoir	The reservoirs in Tordis and Tordis Øst consist of Middle Jurassic sandstones of the Brent Group. The reservoir in Borg consists of Upper Jurassic sandstones in the intra-Draupne Formation, and the reservoir in 34/7-25 S consists of sandstones of the Brent Group and sandstones of Late Jurassic age. The Tordis reservoirs lie at a depth of 2 000 - 2 500 metres.	43725	2012-08-23
TORDIS	Status	Production and water injection at Tordis was reduced in 2012 due to corrosion and replacement of production pipelines to Gullfaks C. A main challenge is to optimize oil production while limiting water and sand production.	43725	2013-05-03
TORDIS	Transport	The wellstream from Tordis is separated in the subsea facility and transported through two pipelines to Gullfaks C for further processing. The oil is exported by tankers, while the gas is exported via Gassled to Kårstø.	43725	2013-05-03
VIGDIS	Development	Vigdis is an oil field located between the Snorre and Gullfaks fields in the Tampen area in the northern part of the North Sea. The water depth in the area is 280 metres. The field comprises several discoveries, and has been developed with six subsea templates and two satellite wells connected to Snorre A. Oil from Vigdis is processed in a dedicated processing module on Snorre A. Injection water is supplied from Snorre A and Statfjord C. The PDO for Vigdis Extension, including the 34/7-23 S discovery and adjoining deposits, was approved in December 2002. The PDO for Vigdis Nordøst was approved in September 2011.	43732	2013-05-03
VIGDIS	Recovery strategy	Production is based on partial pressure support using water injection. Some of the reservoirs are affected by the pressure depletion of the Statfjord field.	43732	2013-05-03
VIGDIS	Reservoir	The reservoir in the Vigdis Brent deposit consists of Middle Jurassic sandstones in the Brent Group, while the Vigdis Øst and Vigdis Nordøst deposits have reservoirs in Lower Jurassic and Upper Triassic sandstones in the Statfjord Formation. The Borg Nordvest deposit has a reservoir in Upper Jurassic intra-Draupne sandstones. The reservoirs are at a depth of 2 200 – 2 600 metres. The quality of the reservoirs is generally good.	43732	2013-05-03
VIGDIS	Status	The Vigdis Nordøst subsea template for production and water injection was installed and tied back to existing Vigdis templates in 2012. Production started in March 2013. A main challenge at Vigdis is to optimise oil production while limiting water and sand production.	43732	2013-05-03
VIGDIS	Transport	The wellstream from Vigdis is routed to Snorre A through two flowlines. Stabilised oil is transported by pipeline from Snorre A to Gullfaks A for storage and export. The gas from Vigdis is partly used for injection at Snorre and partly exported through Tampen Link to St Fergus.	43732	2013-05-03
VISUND	Development	Visund is an oil field east of the Snorre field in the northern part of the North Sea. The development includes a semi-submersible integrated accommodation, drilling and processing steel facility (Visund A). The water depth is about 335 metres at Visund A. The PDO for gas export was approved in October 2002. The northern part of the Visund field is developed with a subsea template, about 10 kilometres north of Visund A.	43745	2013-05-03
VISUND	Recovery strategy	Oil production is driven by gas injection and water alternating gas injection (WAG). Produced water is also re-injected into one of the reservoirs. Limited gas export started in 2005.	43745	2013-05-03
VISUND	Reservoir	The Visund field contains oil and gas in several tilted fault blocks with varying pressure and liquid systems. The reservoirs are in Middle Jurassic sandstones in the Brent Group, and Lower Jurassic and Upper Triassic sandstones in the Statfjord and Lunde Formations. The reservoirs lie at a depth of 2 900 - 3 000 metres.	43745	2012-08-23
VISUND	Status	A challenge for the Visund field is to maintain reservoir pressure to optimise the oil recovery before gas export levels increase. The northern part of the Visund field is redeveloped with a new template, and will start production in 2013. The 34/8-13 A (Titan) discovery, east of Visund is planned to be developed by wells drilled from Visund.	43745	2013-05-03
VISUND	Transport	The oil is sent by pipeline to Gullfaks A for storage and export via tankers. Gas is exported to the Kvitebjørn gas pipeline and on to Kollsnes, where the NGL is separated and the dry gas is further exported to the market.	43745	2013-05-03
NJORD	Development	Njord is an oil field located about 30 kilometres west of Draugen in the Norwegian Sea. The water depth in the area is 330 metres. The field has been developed with a semi-submersible drilling, accommodation and production facility and a storage vessel, “Njord B”. The facility is placed over subsea completed wells connected through flexible risers. The PDO for Njord gas export was approved in January 2005.	43751	2013-05-03
NJORD	Recovery strategy	Initial production strategy was gas injection for pressure support in parts of the reservoir and pressure depletion in the rest of the reservoir. After gas export started in 2007, only minor volumes of gas have been injected. Due to the complex reservoir with many faults, the field has a relatively low recovery rate.	43751	2012-08-23
NJORD	Reservoir	The reservoir consists of Jurassic sandstones in the Tilje and Ile Formations. The field has a complicated fault pattern with only partial communication between the segments. The reservoir depth is approximately 2 850 metres.	43751	2013-05-03
NJORD	Status	In the coming period, a number of key activities are planned for the Njord field. Production is expected to be significantly below production potential. This is due to a continued need for topside work requiring production stops. In addition, some existing wells will be shut down to allow for planned drilling operations. Hyme, a tie-into Njord, is planned to come on stream in the first quarter of 2013.	43751	2013-05-03
NJORD	Transport	The oil is off-loaded from the storage vessel to tankers for transport to the market. The gas is transported through Åsgard Transport to Kårstø.	43751	2012-08-23
DRAUGEN	Development	Draugen is an oil field in the Norwegian Sea at a water depth of 250 metres. The field has been developed with a concrete fixed facility and integrated topside. Stabilised oil is stored in tanks in the base of the facility. Two pipelines transport the oil from the facility to a floating loading buoy. The Garn Vest and Rogn Sør deposits have been developed with a total of seven subsea wells connected to the main facility at Draugen. The field also has six subsea water injection wells, of which only three are being used.	43758	2013-05-01
DRAUGEN	Recovery strategy	The field is produced by pressure maintenance from water injection and aquifer support.	43758	2013-05-01
DRAUGEN	Reservoir	The main reservoir is in sandstones in the Rogn Formation of Late Jurassic age. The field also produces from the Garn Formation of Middle Jurassic age in the western part of the field. The reservoirs lie at a depth of about 1 600 metres and are relatively homogeneous, with good reservoir characteristics.	43758	2013-05-01
DRAUGEN	Status	Several measures to increase oil recovery have been evaluated. Based on a 4D seismic survey from 2009, an infill drilling campaign was sanctioned in 2011.The project includes four production wells and a subsea pump. The first oil from the project is scheduled in 2013. In December 2012, the planned tie-in of the 6406/9-1 Linnorm discovery to Draugen was put on hold. Because of this, supply of fuel gas to Draugen will be a challenge from 2016.	43758	2013-05-01
DRAUGEN	Transport	The oil is exported by tankers, via a floating loading buoy. The associated gas is transported through the Åsgard Transport pipeline to Kårstø.	43758	2013-05-01
ÅSGARD	Development	Åsgard is located centrally in the Norwegian Sea. The water depth in the area is 240 – 300 metres. Åsgard includes the discoveries 6506/12-1 Smørbukk, 6506/12-3 Smørbukk Sør and 6507/11-1 Midgard. The field has been developed with subsea completed wells tied back to a production and storage vessel, “Åsgard A”, which produces and stores oil, and a floating, semisubmersible facility, Åsgard B, for gas and condensate processing. The gas centre is connected to a storage vessel for condensate, Åsgard C. The Åsgard field has been developed in two phases. The liquid phase came on stream in 1999 and the gas export phase started October 2000.The Åsgard facilities are an important part of the Norwegian Sea infrastructure where gas from Mikkel is processed, and injection gas is delivered to Tyrihans. The Morvin field is tied back to Åsgard B.	43765	2013-05-03
ULA	Status	Based on the positive effect the WAG programme has on oil recovery, it has been expanded by drilling additional WAG wells. More wells are planned for 2013-2016 An evaluation of possible development of the underlying Triassic reservoir is ongoing, and test production is part of this evaluation.	43800	2013-05-03
ULA	Transport	The oil is transported by pipeline via Ekofisk to Teesside. All gas is re-injected into the reservoir to increase oil recovery.	43800	2012-08-23
ÅSGARD	Recovery strategy	Smørbukk Sør is produced by pressure support from gas injection. Smørbukk is produced partly by pressure depletion and partly by injection of excess gas from the field. Midgard is produced by pressure depletion. Converting gas injection wells into gas production wells at Smørbukk has started, and the technology makes it possible to switch between injection and production. This will maintain both gas injection in Smørbukk and Smørbukk Sør and gas export volume from Åsgard. I addition, a project on optimisation of the drainage strategy on Smørbukk Sør has started. The plan is to mature the project with a phased development with production start-up of the first phase in 2015 and the second phase, depending on the results of the first phase, a few years later. Establishment of a gas compression facility at Midgard was approved in 2012 and start-up of the facility is planned for 2015. This facility is needed to maintain the gas stream in the pipeline from Mikkel and Midgard to Åsgard B. A stable supply of low CO2 gas from Mikkel and Midgard is also important for dilution of the high CO2 gas from Kristin in the Åsgard Transport to Kårstø.	43765	2013-05-03
ÅSGARD	Reservoir	The Smørbukk deposit is a rotated fault block, bordered by faults in the west and north and structurally deeper areas to the south and east. The reservoir formations Garn, Ile, Tofte, Tilje and Åre are of Jurassic age and contain gas, condensate and oil. The Smørbukk Sør deposit, with reservoir rocks in the Garn, Ile and Tilje Formations contains oil, gas and condensate. The Midgard gas deposits are divided into four structural segments with the main reservoir in the Garn and Ile Formations. The sandstone reservoirs lie at depths of as much as 4 850 metres. The reservoir quality varies between the formations, and there are large differences in porosity and permeability between the three deposits.	43765	2013-05-03
ÅSGARD	Status	Most of the production wells have been drilled, and efforts are being made to increase recovery from the field, partly by drilling infill wells and sidetrack wells (TTRD wells). Implementing Åsgard A and B low pressure production is also being evaluated. Phase I is a planned to start operation in 2013, and phase II in 2015. Other efforts for increasing recovery from Åsgard include prolonging the lifetime of Åsgard A. Prolonging the economic lifetime of Åsgard B is also a focus area. An appraisal well in 2009 proved oil and gas in a new segment northeast of Smørbukk. The deposit will be tied-in to Åsgard B, with planned production start in 2013. There are other proven resources in the area with low CO2 gas. Work is being done to realise these via Mikkel and Midgard to Åsgard B. In addition, technical studies considering third-party discoveries as tie-back candidates to Åsgard are ongoing.	43765	2013-05-03
ÅSGARD	Transport	Oil and condensate are temporarily stored at the field and shipped to land by tankers. The gas is exported through Åsgard Transport to Kårstø. The condensate from Åsgard is sold as oil (Halten Blend).	43765	2012-08-23
HEIDRUN	Development	The Heidrun field is located on Haltenbanken in the Norwegian Sea. The water depth is about 350 metres. The field has been developed with a floating concrete tension leg platform, installed over a subsea template with 56 well slots. The northern part of the field is developed with subsea facilities. The PDO for the Heidrun north flank was approved on in May 2000.	43771	2013-05-01
HEIDRUN	Recovery strategy	The recovery strategy for the field is pressure maintenance using water and gas injection in the Garn and Ile Formations. In the more complex part of the reservoir, in the Tilje and Åre Formations, the main recovery strategy is water injection. Some segments are also produced by pressure depletion. Optimisation of the drainage strategy is under evaluation and was reported to the NPD in 2011. Several methods to improve the recovery and prolong the lifetime of the field are evaluated, including increased number of wells, possible implementation of new drilling technology and EOR methods.	43771	2012-08-23
HEIDRUN	Reservoir	The reservoir consists of sandstones in the Garn, Ile, Tilje and Åre Formations of Early and Middle Jurassic age. The reservoir is heavily faulted. The Garn and Ile Formations have good reservoir quality, while the Tilje and Åre Formations are more complex. The reservoir depth is about 2 300 metres.	43771	2013-05-01
HEIDRUN	Status	New well targets are continuously evaluated in an effort to increase oil recovery. Light Well Interventions have resulted in increased oil recovery. Pilots to improve recovery are being assessed, and some have been implemented. In addition, there are ongoing technical studies to identify potential third-party tie-back candidates to Heidrun.	43771	2013-05-01
HEIDRUN	Transport	The oil is transferred to tankers at the field and shipped to Mongstad and Tetney (UK). The gas is transported by pipeline to Tjeldbergodden and through Åsgard Transport to Kårstø.	43771	2012-08-23
NORNE	Development	Norne is an oil field located about 80 kilometres north of the Heidrun field in the Norwegian Sea. The water depth in the area is 380 metres. The field has been developed with a production and storage vessel, “Norne FPSO”, connected to seven subsea templates. Flexible risers carry the wellstream up to the production vessel. In April 2008, an amended PDO for Norne and Urd was approved. The Alve and Marulk fields are connected as satellites to the “Norne FPSO”. The Skuld field, where production is planned to start in March 2013, is also a satellite to the “Norne FPSO”. Two heavy oil discoveries and several prospects in the area around Norne and Urd are being evaluated.	43778	2013-05-03
NORNE	Recovery strategy	The oil is produced by water injection as drive mechanism. Gas injection ceased in 2005 and all gas is now being exported.	43778	2013-05-03
NORNE	Reservoir	The reservoir is in Jurassic sandstones. Oil is mainly found in the Ile and Tofte Formations, and gas in the Not Formation. The reservoir depth is about 2 500 metres and the reservoir quality is good.	43778	2012-08-23
NORNE	Status	Various measures to improve recovery are being considered, including the use of new well technology. Several light well interventions and new production wells are planned in 2013 to maintain the oil production.	43778	2013-05-03
NORNE	Transport	The oil is loaded onto tankers for export. Gas export started in 2001, and the gas is transported through a dedicated pipeline to Åsgard and on through the Åsgard Transport pipeline to Kårstø.	43778	2013-05-03
COD	Status	There are no specific plans to recover the remaining resources.  Final disposal is planned for 2007.	43785	2012-08-23
MIME	Status	Recovery of remaining resources is being evaluated.  The plan calls for drilling an appraisal well first.	43792	2012-08-23
ULA	Development	Ula is an oil field in the southern part of the North Sea. The water depth in the area is about 70 metres. The development consists of three conventional steel facilities for production, drilling and accommodation. The facilities are connected by bridges. The wellstream from Blane was tied to the Ula field for processing in September 2007. The gas capacity at Ula was upgraded in 2008 with a new gas processing and gas injection module (UGU) that doubled the capacity.	43800	2012-08-23
OSELVAR	Reservoir	The reservoir lies at a depth of 2 900 - 3 250 metres in Paleocene sandstones in the Forties Formation. The reservoir contains oil with an overlying gas cap.	5506919	2013-05-03
YME	Development	Yme is located in the southeastern part of the North Sea. The water depth is 77 – 93 metres. Yme is the first oil field on the Norwegian continental shelf to be redeveloped after having been shut down. The field was initially developed in 1995 by production licence 114, operated by Statoil. The production period lasted from 1996 to 2001, when operation of the field was considered to be unprofitable. In 2006, new licensees in production licence 316, operated by Talisman, decided to recover the remaining resources with a new jack-up production facility. The facility is placed above a storage tank for oil, which is located on the seabed above the Gamma structure. The Beta structure is being developed with subsea wells.	43807	2012-08-23
YME	Reservoir	Yme contains two separate main structures, Gamma and Beta, comprising five deposits. The reservoir is in Middle Jurassic sandstones in the Sandnes Formation, at a depth of approximately 3 150 metres.	43807	2012-08-23
YME	Status	Due to technical difficulties, the licensees have decided to remove most of the existing installation from the field. The licensees are currently working on new development plans for the field.	43807	2013-05-08
HULDRA	Development	Huldra is a gas condensate field located north of Oseberg in the northern part of the North Sea. The water depth in the area is 125 metres. The field is developed with a wellhead facility with a simple process plant. The facility is remotely operated from Veslefrikk B, 16 kilometres away.	97002	2013-05-03
HULDRA	Recovery strategy	Huldra is produced by pressure depletion. Low pressure production began in 2007, after a gas compressor was installed on the field.	97002	2013-05-03
HULDRA	Reservoir	The reservoir is in Middle Jurassic sandstones of the Brent Group in a rotated fault block. The reservoir initially had high pressure and high temperature and lies at a depth of 3 500 – 3 900 metres. There are many small faults in the field, and reservoir communication is uncertain, but the production history indicates two main segments without pressure communication.	97002	2013-05-03
HULDRA	Status	Huldra is in the tail production phase, but maintains the well potential, and the decline has been less than expected.	97002	2013-05-03
HULDRA	Transport	Following first stage separation, the wet gas is transported to Heimdal for further processing and export. The condensate is transported to Veslefrikk for processing and export. The Huldrapipe to Heimdal is planned to be utilized by Valemon from 2014.	97002	2013-05-03
SYGNA	Development	Sygna is an oil field located north of the Statfjord Nord field in the Tampen area. The water depth in the area is about 300 metres. The field has been developed with one subsea template with four well slots, connected to Statfjord C.	104718	2013-05-03
SYGNA	Recovery strategy	The field is currently being produced by pressure depletion.	104718	2012-08-23
SYGNA	Reservoir	The Sygna reservoir consists of Middle Jurassic sandstones in the Brent Group. The reservoir depth is approximately 2 650 metres. The reservoir quality is good.	104718	2013-05-03
SYGNA	Status	The water injection well is shut down. Until injection is restored, production will be limited and there will be periods of no production.	104718	2013-05-03
SYGNA	Transport	The wellstream is transported by pipeline to Statfjord C for processing, storage and export. Statfjord Nord, Statfjord Øst and Sygna have a shared process module on Statfjord C.	104718	2013-05-03
TUNE	Development	Tune is a gas-condensate field located about 10 kilometres west of the Oseberg Field Centre in the northern part of the North Sea. The water depth in the area is approximately 95 metres. The field has been developed with a subsea template and a satellite well tied to Oseberg. In March 2004, a PDO exemption was granted for development of the northern part of the field. A similar exemption was granted for the southern part of the field in May 2005 (Tune Phase III).	853376	2013-05-03
TUNE	Recovery strategy	The field is recovered by pressure depletion. Low pressure production has been started.	853376	2012-08-23
TUNE	Reservoir	The reservoir consists of Middle Jurassic sandstones in the Brent Group and is divided into several inclined fault blocks. The reservoir depth is approximately 3 400 metres.	853376	2013-05-03
TUNE	Status	Tune is in the tail phase. Implementation of low pressure production was completed in 2012. This will increase and prolong the production.	853376	2013-05-03
TUNE	Transport	The wellstream from Tune is transported in pipelines to the Oseberg Field Centre, where the condensate is separated and transported to the Sture terminal through the Oseberg Transport System (OTS). Gas from Tune is injected in Oseberg, while the licensees can export a corresponding volume of sales gas from Oseberg.	853376	2013-05-03
TAMBAR	Development	Tambar is an oil field located southeast of the Ula field in the southern part of the North Sea. The water depth in the area is 68 metres. The field has been developed with a remotely controlled wellhead facility without processing equipment.	1028599	2013-05-03
TAMBAR	Recovery strategy	The field is recovered by pressure depletion and limited aquifer drive. The production went off plateau in 2002 and is now declining.	1028599	2013-05-03
TAMBAR	Reservoir	The reservoir consists of Upper Jurassic sandstones in the Ula Formation, deposited in a shallow marine environment. The reservoir lies at a depth of 4 100 - 4 200 metres and the reservoir characteristics are generally very good.	1028599	2013-05-03
TAMBAR	Status	A multi-phase pump installed in 2008 to reduce the wellhead pressure and increase recovery failed and is out of order. The plan for 2013 is to restart the multi-phase pump. Major challenges are wells that die and high water cut in the wells, which restricts production. In 2013, the licensees will concentrate on well work and surveillance. Gas lift to increase the oil recovery will be considered. Infill drilling is also evaluated.	1028599	2013-05-03
TAMBAR	Transport	The oil is transported to Ula through a pipeline which was installed in June 2007. After processing at Ula, the oil is exported in the existing pipeline system to Teesside via Ekofisk, while the gas is injected in the Ula reservoir to improve oil recovery.	1028599	2013-05-03
GRANE	Development	Grane is an oil field located east of the Balder field in the central part of the North Sea. The water depth is 128 metres. The field has been developed with an integrated accommodation, drilling and processing facility with a fixed steel jacket. The facility has 40 well slots.	1035937	2012-08-23
GRANE	Recovery strategy	The recovery mechanism is gas injection at the top of the structure, and horizontal production wells at the bottom of the oil zone. From December 2010 Grane terminated gas import from the Heimdal gas centre. Only the produced gas is being re-injected into the reservoir. Water injection started in February 2011. Oil recovery will be maintained by expansion of the gas cap, water injection and drilling of deep side-tracks from existing producers.	1035937	2013-05-01
SIGYN	Transport	The wellstream is controlled from Sleipner Øst and sent through two 12-kilometre long pipelines to the Sleipner A facility. The gas is exported using the dry gas system at Sleipner A. Condensate is transported via the condensate pipeline from Sleipner A to Kårstø.	1630100	2012-08-23
GRANE	Reservoir	The field consists of one main reservoir structure and some additional segments. The reservoir consists mostly of sandstones in the Heimdal Formation of Paleocene age with very good reservoir characteristics. The reservoir lies at a depth of approximately 1 700 metres, and there is full communication in the reservoir. The oil has high viscosity.	1035937	2013-05-01
GRANE	Status	Several new wells are being planned, most of them as multi-lateral wells. It has been decided to install a permanent reservoir monitoring system on the seabed to increase recovery with improved seismic.	1035937	2013-05-01
GRANE	Transport	Oil from Grane is transported by pipeline to the Sture terminal for storage and export.	1035937	2012-08-23
KVITEBJØRN	Development	Kvitebjørn is a gas condensate field located in the eastern part of the Tampen area, in the northern part of the North Sea. Water depth in the area is about 190 metres. The field is developed with an integrated accommodation, drilling and processing facility with a steel jacket. An amended PDO for Kvitebjørn was approved in December 2006.	1036101	2013-05-03
KVITEBJØRN	Recovery strategy	The field is recovered by pressure depletion.	1036101	2013-05-03
KVITEBJØRN	Reservoir	The main reservoir consists of Middle Jurassic sandstones of the Brent Group. Discoveries have also been made in the Cook- and Statfjord Formations. The reservoir lies at a depth of approximately 4 000 metres and initially had high temperature and high pressure. The reservoir quality is good.	1036101	2013-05-03
KVITEBJØRN	Status	Drilling on Kvitebjørn is challenging due to depleted reservoir pressure. A new infill well was drilled in 2012 and a second is being drilled in 2013. Development of the east flank of the field is being considered. Gas pre-compression will be installed on the platform, with start-up in December 2013. Modifications are being made to prepare for tie-in of the Valemon field in 2014.	1036101	2013-05-03
KVITEBJØRN	Transport	Rich gas is transported through a dedicated pipeline to Kollsnes, while condensate is transported in a pipeline tied to the Troll Oil Pipeline II for onward transport to Mongstad.	1036101	2013-05-03
GLITNE	Development	Glitne is an oil field in the central part of the North Sea, 40  kilometres north of the Sleipner area. The water depth in the area is about 110 metres. The field is developed with six horizontal production wells and one water injection well, tied back to the production and storage vessel “Petrojarl 1”.	1272071	2013-05-01
GLITNE	Recovery strategy	Glitne is recovered by pressure support from a large natural aquifer in the Heimdal Formation. Associated gas was used for gas lift in the horizontal wells until August 2012.	1272071	2013-05-01
GLITNE	Reservoir	The reservoir consists of several separate sandlobes deposited as deep marine fans in the upper part of the Heimdal Formation of Paleocene age. The reservoir lies at a depth of approximately 2 150 metres.	1272071	2013-05-01
GLITNE	Status	Glitne is a mature field with limited remaining reserves. A new well was drilled in 2012, but was abandoned. A disposal plan was submitted in August 2012, and it is expected that production from the field will cease during the first quarter of 2014.	1272071	2013-05-01
GLITNE	Transport	Oil from Glitne is processed and stored on the production vessel and exported by tankers. Excess gas is injected in the Utsira Formation.	1272071	2012-08-23
FRAM	Development	Fram is an oil field located in the northern part of the North Sea, about 20 kilometres north of Troll. The water depth in the area is approximately 350 metres. The field comprises two deposits, Fram Vest and Fram Øst. The Fram Vest deposit is developed by two subsea templates tied back to Troll C. The gas is separated from the liquid on Troll C and re-injected into the Fram Vest reservoir. The development of the Fram Øst deposit was approved in April 2005. This development includes two subsea templates tied back to Troll C. Production from Fram Øst started in October 2006.	1578840	2013-05-01
FRAM	Recovery strategy	The Fram Øst deposit in the Sognefjord Formation is produced by injection of produced water as pressure support, in addition to natural aquifer drive. The Brent reservoir in the Fram Øst deposit is recovered by pressure support from natural aquifer drive. Gas lift is used in the wells. Oil production from Fram is balanced in proportion to gas production capacity at Troll C. Gas export from Fram started in 2007. The gas blow down phase has started at Fram Vest.	1578840	2013-05-01
FRAM	Reservoir	The reservoirs in Fram Vest and Fram Øst consist partly of sandstones in a sub-marine fan system in the Draupne Formation and shallow marine sandstones in the Sognefjord Formation of Late Jurassic age and partly of sandstones in the Brent Group of Middle Jurassic age. The reservoirs are in several isolated, rotated fault blocks and contain oil with an overlying gas cap. The reservoir depth is 2 300 - 2 500 metres. The reservoir in the Fram Vest deposit is complex, while the reservoirs in the Fram Øst deposit are generally of good quality.	1578840	2013-05-01
FRAM	Status	Additional resources have been proven in new deposits near the field. These are being considered in connection with the further development of Fram. Several prospects have been identified in the area. A PDO exemption for development of Fram H-Nord has been sent the authorities. Development plans include a two branch multilateral (MLT) well with gas lift, which will be produced by pressure depletion. Production will be routed through a subsea template tied in to Fram Vest and on to Troll C for processing.	1578840	2013-05-01
FRAM	Transport	The Fram wellstream is transported by pipeline to Troll C for processing. The oil is then transported to Mongstad through the Troll Oljerør II pipeline. Gas is exported via Troll A to Kollsnes.	1578840	2012-08-23
VALE	Development	Vale is a gas and condensate field located 16 kilometres north of Heimdal in the central part of the North Sea. The field has been developed with a subsea template tied back to Heimdal. The water depth in the area is approximately 115 metres.	1578893	2012-08-23
VALE	Recovery strategy	The field is recovered by pressure depletion.	1578893	2012-08-23
VALE	Reservoir	The reservoir consists of Middle Jurassic sandstones in the Brent Group. The reservoir depth is approximately 3 700 metres. The reservoir has low permeability.	1578893	2013-05-03
VALE	Status	The wellstream from Vale has a high wax content, which creates challenges at Heimdal, and results in reduced production in periods.	1578893	2013-05-03
VALE	Transport	The wellstream from Vale goes to Heimdal for processing and export.	1578893	2013-05-03
SIGYN	Development	Sigyn is located in the Sleipner area in the central part of the North Sea. The water depth in the area is around 70 metres. The field comprises the deposits Sigyn Vest, which contains gas and condensate, and Sigyn Øst, which contains light oil. The field has been developed with a subsea template tied to Sleipner Øst.	1630100	2013-05-03
SIGYN	Recovery strategy	The field is recovered by pressure depletion.	1630100	2013-05-03
SIGYN	Reservoir	The main reservoir lies in the Triassic Skagerrak Formation at a depth of approximately 2 700 metres and the reservoir quality is good.	1630100	2012-08-23
MIKKEL	Development	Mikkel is a gas condensate field located in the eastern part of the Norwegian Sea, about 30 kilometres north of Draugen. The water depth in the area is 220 metres. The field has been developed with two subsea templates tied back to Åsgard B. A gas compression facility at Midgard was approved in 2012.	1630514	2013-05-03
MIKKEL	Recovery strategy	Mikkel is recovered by pressure depletion.	1630514	2012-08-23
MIKKEL	Reservoir	The field has a 300-metre thick gas condensate column and a thin underlying oil zone. The reservoir consists of Jurassic sandstones in the Garn, Ile and Tofte Formations in six structures separated by faults, all with good reservoir quality. The reservoir depth is approximately 2 500 metres.	1630514	2012-08-23
MIKKEL	Status	The pressure decline in the reservoir has been less than anticipated and has resulted in an increased gas estimate for the field. The gas compression planned to start in 2015 will accelerate and prolong gas production from Mikkel. A stable supply of low CO2 gas from Mikkel and Midgard is also important for dilution of the high CO2 gas from Kristin in the Åsgard Transport pipeline. Work is being done to develop proven gas resources in the area via Mikkel and Midgard to Åsgard B.	1630514	2013-05-03
MIKKEL	Transport	The wellstream from Mikkel is combined with the wellstream from the Midgard deposit and routed to Åsgard B for processing. The condensate is separated from the gas and stabilised before it is shipped together with condensate from Åsgard. The condensate is sold as oil (Halten Blend). The rich gas is sent by the Åsgard Transport pipeline to Kårstø for separation of the NGL. The dry gas is transported on from Kårstø to the Continent by the Europipe II pipeline.	1630514	2012-08-23
KRISTIN	Development	Kristin is a gas condensate field in the Norwegian Sea. The field is developed with four subsea templates tied back to a semi-submersible facility for processing, Kristin Semi. The water depth in the area is about 370 metres. Provision has been made for tie-in and processing of other deposits in the Kristin area. Tyrihans is tied back to Kristin and started production in 2009.	1854729	2012-08-23
KRISTIN	Recovery strategy	Kristin is recovered by pressure depletion.	1854729	2012-08-23
KRISTIN	Reservoir	The reservoirs are in Jurassic sandstones in the Garn, Ile and Tofte Formations and contain gas and condensate that were initially under high pressure and temperatures. The reservoirs lie at a depth of 4 600 metres. The reservoir quality is generally good, but low permeability in the Garn Formation and flow barriers in the Ile and Tofte Formations contribute to a rapid decline in reservoir pressure during production.	1854729	2013-05-03
KRISTIN	Status	The reservoir pressure at Kristin is decreasing faster than expected, leading to challenges such as production of water and sand. Work is ongoing to find technical solutions to production and drilling challenges related to pressure decrease and water breakthrough in wells. Low pressure production (LPP) from the reservoir will be implemented starting in 2014. This will contribute to improved recovery. Work is being done on the development of additional resources in nearby segments. Kristin is evaluated as a possible processing centre for other discoveries in the area. Kristin is planned to host the cross-over between Polarled and Åsgard Transport.	1854729	2013-05-03
KRISTIN	Transport	The wellstream is processed at Kristin and the gas is transported in a pipeline to Åsgard Transport and further to Kårstø. Light oil is transferred to Åsgard for storage and export. Condensate from Kristin is sold as oil (Halten Blend).	1854729	2013-05-03
SNØHVIT	Development	Snøhvit is located in the Barents Sea in the central part of the Hammerfest basin, at a water depth of 310 - 340 metres, and is a gas field with condensate and an underlying thin oil zone. Snøhvit unit includes the Snøhvit, Albatross and Askeladd structures. The approved PDO for the gas resources includes subsea templates for 19 production wells and one injection well for CO2.	2053062	2013-05-03
SNØHVIT	Recovery strategy	The recovery strategy is pressure depletion. The development does not include recovery of the oil zone.	2053062	2012-08-23
SNØHVIT	Reservoir	The reservoirs contain gas, condensate and oil in Lower and Middle Jurassic sandstones in the Stø and Nordmela Formations. The reservoir depth is approximately 2 300 metres.	2053062	2013-05-03
SNØHVIT	Status	Snøhvit is being developed in multiple phases. In the current phase, additional wells and a possible tie-in of Snøhvit Nord are being evaluated. An evaluation of a second CO2 injection well is on-going. Increased robustness of the LNG plant at Melkøya is being evaluated.	2053062	2013-05-03
SNØHVIT	Transport	The wellstream containing natural gas, including CO2, NGL and condensate, is transported through a 160-kilometre long pipeline to the facility at Melkøya for processing and export. The gas is processed and cooled down to liquid form (LNG) at Melkøya. The CO2 content in the gas is separated at Melkøya and sent back to the field to be re-injected in a deeper formation. LNG, LPG and condensate are shipped to the market.	2053062	2013-05-03
SKIRNE	Development	Skirne, which includes the Byggve deposit, contains gas and condensate and is located east of Heimdal in the central part of the North Sea. The water depth in the area is about 120 metres. The field has been developed with two subsea templates tied to Heimdal by a pipeline. The Atla field was tied back to the Skirne/Byggve subsea template in 2012.	2138816	2013-05-03
SKIRNE	Recovery strategy	The field is recovered by pressure depletion.	2138816	2013-05-03
SKIRNE	Reservoir	The reservoir consists of Middle Jurassic sandstones in the Brent Group. The Skirne deposit lies at a depth of approximately 2 370 metres and the Byggve deposit at approximately 2 900 metres. The reservoir quality is good.	2138816	2013-05-03
SKIRNE	Status	Skirne is expected to produce until 2017.	2138816	2013-05-03
SKIRNE	Transport	The wellstream from Skirne is transported in a pipeline to the Heimdal facility for processing and further transport of the gas in Vesterled and Statpipe, whereas condensate is transported to Brae in the British sector.	2138816	2013-05-03
ORMEN LANGE	Development	Ormen Lange is a gas field located in the Møre Basin in the southern part of the Norwegian Sea. The water depth in the area varies from 800 to in excess of 1 100 metres. The deep water and the seabed conditions have made the development very challenging and have triggered development of new technology. The field is being developed in several phases. Ormen Lange was planned with 24 deepwater wells. In 2007, two subsea templates were located in the central area of the field. In 2009 the third template was installed in the southern part of the field. The fourth template was installed in the northern part of the field in 2011.	2762452	2013-05-03
ORMEN LANGE	Recovery strategy	The field is recovered by pressure depletion and later, gas compression.	2762452	2013-05-03
ORMEN LANGE	Reservoir	The main reservoir consists of sandstones of Paleocene age in the “Egga” Formation, about 2 700 - 2 900 metres below sea level.	2762452	2013-05-03
ORMEN LANGE	Status	The field is producing at plateau. Reserve estimates were reduced considerably in 2011. Base case for future gas compression is changed to a combination of onshore compression from 2016 and an in-field compression solution from 2021.	2762452	2013-05-03
URD	Development	Urd is located northeast of Norne in the Norwegian Sea. The water depth in the area is approximately 380 metres. The field comprises two oil deposits, 6608/10-6 Svale and 6608/10-8 Stær. Urd has been developed with subsea templates tied back to the Norne vessel. In April 2008, an amended PDO for Norne and Urd was approved. The plan comprises the 6608/10-11 S Trost discovery and a number of prospects in the area around Norne and Urd.	2834734	2012-08-23
URD	Recovery strategy	Urd is recovered by water injection. In addition, the wells are supplied with gas lift which enables them to produce at low reservoir pressure and high water cut.	2834734	2012-08-23
URD	Reservoir	The reservoirs consist of Lower to Middle Jurassic sandstones in the Åre, Tilje and Ile Formations at a depth of 1 800 – 2 300 metres	2834734	2013-05-03
URD	Status	Production performance has been almost as expected in 2012. Proven resources in the Melke Formation, overlying the Svale and Stær deposits, are being evaluated for possible production.	2834734	2013-05-03
URD	Transport	The well stream is processed on the “Norne FPSO”, and oil is buoyloaded together with oil from the Norne field. The gas is sent from Norne to Åsgard, and then exported via Åsgard Transport System to Kårstø.	2834734	2013-05-03
ALVHEIM	Development	Alvheim is an oil and gas field located in the central part of the North Sea, west of Heimdal and near the border to the British sector. The field includes three discoveries, 24/6-2 (Kamelon), 24/6-4 (Boa) and 25/4-7 (Kneler). 24/6-4 (Boa) lies partly in the British sector. The water depth in the area is 120 – 130 metres. The field is developed with a production vessel, “Alvheim FPSO”, and subsea wells. The oil is stabilised and stored on the production vessel. The Vilje and Volund fields are tied back to Alvheim.	2845712	2013-05-01
ALVHEIM	Recovery strategy	Alvheim is produced by natural water drive from an active underlying aquifer.	2845712	2013-05-01
ALVHEIM	Reservoir	The reservoir consists of high porosity, high permeability sandstones in the Heimdal Formation of Paleocene age. The sand was deposited as sub-marine fan deposits and lies at a depth of approximately 2 200 metres.	2845712	2012-08-23
ALVHEIM	Status	Alvheim is producing beyond expectations and there has been a gradual increase in the resources as a result of development drilling. Several new wells are planned for 2014/2015. The field can be an oil hub for future discoveries in the area. A PDO for Bøyla, a third party tie-in, was approved in 2012.	2845712	2013-05-01
ALVHEIM	Transport	The oil is exported by tankers. Processed rich gas is transported by pipeline from Alvheim to the Scottish Area Gas Evacuation (SAGE) pipeline system on the British continental shelf.	2845712	2012-08-23
VILJE	Development	Vilje is an oil field located in the central part of the North Sea, about 20 kilometres northeast of Alvheim and just north of the Heimdal field. It is a subsea development with two horizontal subsea wells connected to the production vessel “Alvheim FPSO”. The water depth in the area is approximately 120 metres.	3392471	2012-08-23
VILJE	Recovery strategy	The field is recovered by natural water drive from the regional underlying Heimdal aquifer.	3392471	2012-08-23
VILJE	Reservoir	The reservoir is a turbidite deposit, in the Heimdal Formation of the Paleocene age. The reservoir lies approximately 2 150 metres below sea level.	3392471	2013-05-03
VILJE	Status	As of 1 October 2012, the operatorship for Vilje has been transferred from Statoil to Marathon Oil Norge AS. Production has been above expectations due to better production efficiency and delayed water cut. Future development plans for the field entail the drilling of a new well, Vilje Sør, in the southern extension of the field, in 2013.	3392471	2013-05-03
VILJE	Transport	The wellstream is routed by pipeline to the production vessel at Alvheim, where the oil is buoy-loaded to tankers.	3392471	2012-08-23
VOLVE	Development	Volve is an oil field located in the central part of the North Sea, approximately eight kilometres north of Sleipner Øst. The water depth in the area is about 80 metres. The development concept is a jack-up processing and drilling facility and the vessel “Navion Saga” for storing stabilised oil.	3420717	2012-08-23
VOLVE	Recovery strategy	Volve is produced by water injection as the drive mechanism.	3420717	2013-05-03
VOLVE	Reservoir	The reservoir contains oil in a combined stratigraphic and structural trap in Jurassic sandstones in the Hugin Formation. The reservoir lies at a depth of 2 750 – 3 120 metres. The western part of the structure is heavily faulted and communication across the faults is uncertain.	3420717	2013-05-03
VOLVE	Status	Production on Volve is expected to decline rapidly in the coming years. New drilling targets have been evaluated in order to establish a basis for a new drilling campaign planned for the first half of 2013.	3420717	2013-05-03
VOLVE	Transport	The rich gas is transported to Sleipner A for further export. The oil is exported by tankers.	3420717	2012-08-23
BLANE	Development	Blane is an oil field located southwest of Ula in the southern part of the North Sea, on the border to the British sector. The water depth in the area is about 70 metres. The field has been developed with a subsea facility tied to the Ula field. The subsea templates are located on the British continental shelf.	3437650	2012-08-23
BLANE	Recovery strategy	Blane is produced by pressure support from injection of produced water from Blane, Tambar and Ula. In addition, gas lift is used in the wells.	3437650	2012-08-23
BLANE	Reservoir	The reservoir is in marine sandstones in the Forties Formation of Paleocene age at a depth of approximately 3 100 metres.	3437650	2013-05-01
BLANE	Status	The overall field performance has been good. Water breakthrough was experienced in the production wells. Gaslift is now required to keep the field producing. A new reservoir model will be used to evaluate whether more wells can be justified to improve recovery.	3437650	2013-05-01
BLANE	Transport	The wellstream is transported by pipeline to Ula for processing and metering. The oil is exported through the existing pipeline to Teesside, while the gas is sold to Ula for injection in the Ula reservoir.	3437650	2013-05-01
ENOCH	Development	Enoch is located in the central part of the North Sea on the border to the British sector, just northwest of Sleipner. The field has been developed with a subsea facility on the British continental shelf and is tied to the British field Brae.	3437659	2012-08-23
ENOCH	Recovery strategy	The field is recovered by pressure depletion, but water injection may be implemented at a later stage.	3437659	2012-08-23
ENOCH	Reservoir	The reservoir contains oil in Paleocene sandstones at a depth of approximately 2 100 metres. The reservoir quality is variable.	3437659	2013-05-01
ENOCH	Transport	The wellstream from Enoch is transported to the Brae A facility for processing and further transport by pipeline to Cruden Bay. The gas is sold to Brae.	3437659	2012-08-23
RINGHORNE ØST	Development	Ringhorne Øst is an oil field located northeast of Balder in the central part of the North Sea. The water depth in the area is about 130 metres. The field is developed with four production wells drilled from the Ringhorne facility on the Balder field.	3505505	2013-05-03
RINGHORNE ØST	Recovery strategy	The field is recovered by natural water drive from a regional aquifer to the north and east of the structure. The wells have gas lift to optimise production, and this will be expanded due to increasing water production.	3505505	2013-05-03
RINGHORNE ØST	Reservoir	The reservoir contains oil with associated gas in Jurassic sandstones in the Statfjord Formation. The reservoir lies at a depth of approximately 1 940 metres and has very good quality.	3505505	2013-05-03
RINGHORNE ØST	Status	The field is in the tail phase, but is expected to produce until 2025. A new production well was drilled and brought online in 2012. Two new wells are on the 2013 - 2015 drilling schedule.	3505505	2013-05-03
RINGHORNE ØST	Transport	Production from Ringhorne Øst is routed via the Ringhorne wellhead platform and then further to the Balder and Jotun facilities for processing, storage and export.	3505505	2012-08-23
TYRIHANS	Development	Tyrihans is located in the Norwegian Sea about 25 kilometres southeast of the Åsgard field. The water depth in the area is about 270 metres. Tyrihans consists of the discoveries 6407/1-2 Tyrihans Sør, which was discovered in 1983, and 6407/1-3 Tyrihans Nord, discovered in 1984. The development concept is five subsea templates tied to Kristin, four for production and gas injection and one for water injection.	3960848	2012-08-23
TYRIHANS	Recovery strategy	During the first years, recovery is based on gas injection from Åsgard B into Tyrihans Sør. In addition, subsea pumps will be used for injection of seawater to increase recovery. It has also been decided to produce the oil zone in Tyrihans Nord. LPP (Low Pressure Production) will be relevant for Kristin from 2014. Tyrihans will also benefit from this drainage strategy.	3960848	2012-08-23
TYRIHANS	Reservoir	Tyrihans Sør has an oil column with a condensate-rich gas cap. Tyrihans Nord contains gas condensate with an underlying oil zone. The Garn Formation of Middle Jurassic age constitutes the main reservoir in both deposits and lies at about 3 500 metres. The reservoir is homogenous and the quality is good.	3960848	2012-08-23
TYRIHANS	Status	The field came on stream in July 2009, and gas injection from Åsgard was started in October 2009.	3960848	2012-08-23
TYRIHANS	Transport	Oil and gas from Tyrihans are transported by pipeline to Kristin for processing and further transport.	3960848	2012-08-23
GIMLE	Development	Gimle is an oil field in the northern part of the North Sea. The water depth in the area is about 220 metres. The field is tied to the Gullfaks C facility by two production wells and one water injection well drilled from Gullfaks C.	4005142	2013-05-01
GIMLE	Recovery strategy	The field is recovered by pressure support from water injection.	4005142	2012-08-23
GIMLE	Reservoir	The reservoir consists of sandstones in the Tarbert Formation of Middle Jurassic age, in a downfaulted structure northeast of the Gullfaks field. There are also slumped sands of Late Jurassic age. The reservoir depth is about 2 900 metres, and the reservoir has good quality.	4005142	2013-05-01
GIMLE	Status	A production well combined with an exploration pilot is currently being drilled. Findings in the new well will be important input for further evaluation of additional wells on the field.	4005142	2013-05-01
GIMLE	Transport	The production from Gimle is processed on the Gullfaks C facility and transported together with oil and gas from the Gullfaks field.	4005142	2012-08-23
VOLUND	Development	Volund is an oil field located about 10 kilometres south of Alvheim in the central part of the North Sea. The field is developed as a subsea tie-back to the nearby production vessel, ”Alvheim FPSO”, with three horizontal subsea wells. The water depth in the area is about 120-130 metres.	4380167	2013-05-03
VOLUND	Recovery strategy	Volund is produced by pressure support from the Hermod aquifer and a single water injection well. Produced water on the “Alvheim FPSO” is used for injection.	4380167	2013-05-03
VOLUND	Reservoir	The reservoir is in Paleocene sandstone intrusions in the Hermod Formation, which in the Early Eocene age were remobilised and injected into the overlying Balder Formation. The reservoir depth is about 2 000 metres.	4380167	2013-05-03
VOLUND	Status	Volund started production in 2009 from one production well, but was then shut-in due to insufficient capacity on the “Alvheim FPSO”. In August 2010, all producers came online when there was available capacity on the ”Alvheim” FPSO”. A new well targeting the northwest flank of the injection complex was drilled in 2012 and will come on stream during the first quarter of 2013. Volund has had two years of successful production, which has increased predicted recovery from the field.	4380167	2013-05-03
VOLUND	Transport	The wellstream is routed by pipeline to Alvheim for buoy-loading. Associated gas is transported via Alvheim to the Scottish Area Gas Evacuation pipeline system to St Fergus in the United Kingdom.	4380167	2013-05-03
ALVE	Development	Alve is a gas, condensate and oil field located about 16 kilometres southwest of Norne in the Norwegian Sea. The water depth in the area is about 370 metres. The development concept is a standard subsea template with four well slots and two production wells.	4444332	2013-05-01
ALVE	Recovery strategy	The reservoir is produced by pressure depletion.	4444332	2013-05-01
ALVE	Reservoir	The reservoir is in Jurassic sandstones of the Garn, Not, Ile and Tilje Formations. The reservoir lies at a depth of about 3 600 metres.	4444332	2013-05-01
ALVE	Status	Two wells are producing oil and gas from the Ile and Tilje Formations.	4444332	2013-05-01
ALVE	Transport	Alve is tied to the Norne vessel by a pipeline. The gas is transported via the Norne pipeline to Åsgard Transport and further to Kårstø for export.	4444332	2012-08-23
REV	Development	Rev is a gas-condensate field located close to the border between the Norwegian and British sectors, four kilometres south of the Varg field. The field is developed with three subsea gas producers connected to the Armada field on the British continental shelf. The water depth in the area is 90 - 110 metres.	4467554	2012-08-23
REV	Recovery strategy	The field is produced by pressure depletion/gas expansion.	4467554	2013-05-03
REV	Reservoir	The reservoir consists of Upper Jurassic sandstones of good quality surrounding a salt structure at about 3 000 metres depth. Pressure measurements show that the reservoir is in communication with the Varg field.	4467554	2013-05-03
REV	Status	The pressure development indicates that Rev may cease production in the near future. Since gas from the Varg field will be transported via the Rev infrastructure from late 2013, it may be possible to periodically produce the wells on Rev.	4467554	2013-05-03
REV	Transport	The well stream is routed through a pipeline to the Armada field in the British sector, for processing at the CATS terminal and further export to the UK. The condensate is sold as stabilised crude oil.	4467554	2013-05-03
OSELVAR	Status	Production started from the first two wells in April 2012 and from the third well in July 2012. Production in 2012 was lower than expected due to technical problems in one well. Possible intervention or side-track operations are being evaluated for this well.	5506919	2013-05-03
GJØA	Development	Gjøa is located about 40 kilometres north of the Fram field. The water depth in the area is 360 metres. The development comprises five subsea templates tied to a semi-submersible production and processing facility. The Gjøa facility is partly supplied with power from shore. Vega and Vega Sør are tied to the Gjøa facility.	4467574	2013-05-01
GJØA	Recovery strategy	The reservoir is produced by pressure depletion.	4467574	2012-08-23
GJØA	Reservoir	The reservoir contains gas above a relatively thin oil zone in Jurassic sandstones in the Viking, Brent and Dunlin Groups. The field comprises several tilted fault segments with partly uncertain communication and variable reservoir quality. The reservoir depth is about 2 200 metres.	4467574	2012-08-23
GJØA	Status	Gjøa is being evaluated as host for additional resources in the area.	4467574	2013-05-01
GJØA	Transport	Stabilised oil is exported through a pipeline connected to Troll Oljerør II, for further transport to Mongstad. Rich gas is exported by pipeline to the Far North Liquids and Associated Gas System (FLAGS) transport system on the UK continental shelf, for further transport to St Fergus.	4467574	2013-05-01
VEGA	Development	directly north of the Fram field in the northern part of the North Sea. The water depth in the area is about 370 metres. The field comprises three separate gas and condensate deposits, 35/8-1, 35/8-2 Vega and 35/11-2 Vega Sør. A combined PDO for Vega and Vega Sør was approved by the authorities in June 2007. The field is being developed with three subsea templates tied to the processing facility at Gjøa.	4467595	2013-05-03
VEGA	Recovery strategy	The field is produced by pressure depletion.	4467595	2012-08-23
VEGA	Reservoir	The Vega reservoirs are in Middle Jurassic sandstones in the Brent Group, with high temperature and pressure initially, and relatively low permeability. The reservoir depth is about 3 500 metres. Vega Sør contains gas and condensate with an oil zone in the upper part of the Middle Jurassic Brent Group, at a depth of 3 500 metres.	4467595	2013-05-03
VEGA	Status	All planned producers have been drilled and completed on the Vega field. Production from the Vega Sør subsea template is closed down. Sidetrack drilling of a production well on Vega Sør was carried out in 2013 and production is expected to start in late 2013.	4467595	2013-05-03
VEGA	Transport	The wellstream is sent by pipeline to Gjøa for processing. Oil and condensate are transported from Gjøa in a new pipeline tied to Troll Oljerør II for further transport to Mongstad. The rich gas is exported in a pipeline to Far North Liquids and Associated Gas System (FLAGS) on the British continental shelf for further transport to St Fergus.	4467595	2013-05-03
SKARV	Development	Skarv is located about 35 kilometres southwest of the Norne field in the northern part of the Norwegian Sea. The water depth in the area is 350 - 450 metres. Skarv is a joint development of the 6507/5-1 Skarv and 6507/3-3 Idun deposits. The 6507/5-3 Snadd deposit is part of Skarv, but is presently not included in the development. The development concept is a floating production, storage and offloading vessel (FPSO) tied to five subsea templates.	4704482	2013-05-03
SKARV	Recovery strategy	In the Garn and Tilje Formations, re-injection of gas is planned for the first years in order to increase oil recovery.	4704482	2012-08-23
SKARV	Reservoir	The reservoirs in Skarv contain gas and condensate in Middle and Lower Jurassic sandstones in the Garn, Ile and Tilje Formations. There is also an underlying oil zone in the Skarv deposit in the Garn and Tilje Formations. The Garn Formation has good reservoir quality, while the Tilje Formation has relatively poor quality. The reservoirs are divided into several fault segments and lie at a depth of 3 300 – 3 700 metres.	4704482	2013-05-03
SKARV	Status	The FPSO was completed and installed at the field in August 2011. Drilling of production wells started in 2010, and production started in late December 2012.	4704482	2013-05-03
SKARV	Transport	The oil is buoy-loaded to tankers, while the gas is exported in a new 80-kilometre long pipeline connected to the Åsgard Transport.	4704482	2013-05-03
MORVIN	Development	Morvin is located approximately 20 kilometres north of Kristin and 15 kilometres west of Åsgard. The water depth in the area is about 350 metres. The field is developed with two subsea templates tied back to Åsgard B.	4966234	2012-08-23
MORVIN	Recovery strategy	Morvin is produced by pressure depletion.	4966234	2013-05-03
MORVIN	Reservoir	The reservoir contains oil and gas in a rotated and tilted fault block at a depth of 4 500 - 4 700 metres, in Middle Jurassic sandstones in the Garn and Ile Formations. The reservoir in the Garn Formation is relatively homogeneous, while the reservoir in the Ile Formation is more heterogeneous.	4966234	2012-08-23
MORVIN	Status	The field came on stream in August 2010.	4966234	2013-05-03
MORVIN	Transport	The wellstream from Morvin is transported by a 20 kilometre long pipeline to Åsgard B for processing and further transport.	4966234	2012-08-23
YTTERGRYTA	Development	The field is located in the Norwegian Sea, approximately 5 kilometres north of the Midgard deposit. The water depth in the area is about 300 metres. The field has been developed with a subsea template tied to Midgard, and the gas is produced from one well.	4973114	2013-05-03
YTTERGRYTA	Recovery strategy	The field has been produced by pressure depletion.	4973114	2013-05-03
YTTERGRYTA	Reservoir	The reservoir contains gas in Middle Jurassic sandstones in the Fangst Group and lies at a depth of 2 390 - 2 490 metres.	4973114	2013-05-03
YTTERGRYTA	Status	The field came on stream in January 2009, and was shut down in late 2011 because of water breakthrough in the gas production well. An attempt to restart production in 2012 failed. Due to an agreement with Åsgard, gas is still sold from the field.	4973114	2013-05-03
YTTERGRYTA	Transport	The gas was transported to the Midgard X-template, and further to Åsgard B, for processing. The gas from Yttergryta has a low CO2 content, making it suitable for dilution of CO2 in the Åsgard Transport System.	4973114	2013-05-03
TAMBAR ØST	Development	Tambar Øst has been developed with one production well drilled from the Tambar facility.	4999528	2012-08-23
TAMBAR ØST	Recovery strategy	The field is recovered by pressure depletion and limited aquifer drive.	4999528	2013-05-03
TAMBAR ØST	Reservoir	The reservoir is in sandstones of Late Jurassic age, deposited in a shallow marine environment. The reservoir lies at a depth of 4 050 – 4 200 metres and the quality varies.	4999528	2013-05-03
TAMBAR ØST	Status	Production in 2012 was stable and above expectation. Infill options are evaluated.	4999528	2013-05-03
TAMBAR ØST	Transport	The oil is transported to Ula via Tambar. After processing at Ula, the oil is exported in the existing pipeline system to Teesside via Ekofisk. The gas is used for gas injection in the Ula reservoir to improve oil recovery.	4999528	2012-08-23
OSELVAR	Development	Oselvar is located 21 kilometres southwest of the Ula field, in the southern part of the North Sea. The water depth in the area is about 70 metres. The development concept is a subsea template with production wells tied to Ula by pipeline.	5506919	2012-08-23
OSELVAR	Transport	The wellstream is transported by pipeline to Ula for processing. The gas is used for injection in Ula for improved recovery, while the oil is transported by pipeline to Ekofisk for further export.	5506919	2013-05-03
GOLIAT	Development	Goliat is an oilfield located about 50 kilometres southeast of the Snøhvit field in the Barents Sea. The water depth in the area is 360 – 420 metres. Goliat will be developed with a circular FPSO (Sevan 1000) including eight subsea templates with a total of 32 well slots. The subsea templates will be tied back to the FPSO with an integrated storage and loading system.	5774394	2013-05-08
GOLIAT	Recovery strategy	Goliat will be produced using water injection as pressure support. Associated gas will be re-injected until a possible export solution for gas through the Snøhvit pipeline to Melkøya is in place.	5774394	2013-05-08
GOLIAT	Reservoir	The Goliat reservoirs contain oil and thin gas caps in Triassic sandstones of the Kapp Toscana Group (Realgrunnen subgroup) and the Kobbe Formation. The reservoirs lie at a depth of 1 100 – 1 800 metres in a complex and segmented structure.	5774394	2012-08-23
GOLIAT	Status	Production is planned to start late in 2014.	5774394	2013-05-08
GOLIAT	Transport	The oil will be offloaded to shuttle tankers and transported to the market.	5774394	2013-05-08
TRYM	Development	Trym is located three kilometres from the border to the Danish continental shelf. The water depth in the area is around 65 metres. The development concept is a subsea template tied to the Harald facility on the Danish side of the border.	18081500	2012-08-23
TRYM	Recovery strategy	Trym is produced by natural pressure depletion via two horizontal production wells.	18081500	2012-08-23
TRYM	Reservoir	The reservoir contains gas and condensate in Upper Jurassic and Middle Jurassic sandstones in the Sandnes and Bryne Formations. The discovery lies on the same salt structure trend as the Danish field Lulita, at a depth of about 3 400 metres. The deposits are assumed to be separated by a fault zone on the Norwegian side of the border, but there may be pressure communication in the water zone.	18081500	2013-05-03
TRYM	Status	Production started in February 2011. Both producers are performing as expected. An exploration well was drilled on the Trym South prospect near the Trym field in the first quarter of 2013.	18081500	2013-05-03
TRYM	Transport	The wellstream is processed on the Harald facility for further transport through the Danish pipeline network.	18081500	2013-05-03
GUDRUN	Development	Gudrun is located 50 kilometres north of Sleipner. The water depth is approximately 110 metres. Gudrun is being developed with a fixed facility with a steel jacket and first-stage processing, tied back to Sleipner A through two dedicated pipelines; one for oil and one for rich gas.	18116481	2013-05-08
GUDRUN	Recovery strategy	Gudrun will be produced by natural pressure depletion.	18116481	2013-05-08
GUDRUN	Reservoir	The reservoirs contain oil and gas in Upper Jurassic sandstones in the Draupne Formation and gas in the Middle Jurassic Hugin Formation. The reservoirs lie at a depth of 4 000 - 4 760 metres.	18116481	2013-05-08
GUDRUN	Status	Production is planned to start in 2014.	18116481	2012-08-23
GUDRUN	Transport	Oil and gas will be transported to the Sleipner A facility for further processing and export.	18116481	2012-08-23
GAUPE	Development	Gaupe is located close to the border between the Norwegian and UK sectors, about 12 kilometres south of the Varg field. The water depth in the area is approximately 90 metres. The development concept is two single horizontal subsea wells tied to the Armada installation on the UK shelf.	18161341	2013-05-01
GAUPE	Recovery strategy	Gaupe is produced by pressure depletion. Initial production is from the oil zone, followed by combined production from the oil and gas zones.	18161341	2013-05-01
GAUPE	Reservoir	The Gaupe reservoirs are in two structures, Gaupe South and Gaupe North, at a depth of approximately 3 000 metres. Most of the resources are in Triassic sandstones, while some are in Middle Jurassic sandstones. The two structures have a free gas cap overlying an oil zone, with different hydrocarbon contacts.	18161341	2012-08-23
GAUPE	Status	Production started in March 2012. The two development wells came in with low production rates, and the field is now expected to produce for only two to four years.	18161341	2013-05-01
GAUPE	Transport	The wellstream is processed at the Armada installation for export to the UK. The rich gas is transported via the CATS pipeline to Teesside, and condensate and oil are transported via the Forties pipeline.	18161341	2013-05-01
MARULK	Development	Marulk is a gas and condensate field located about 25 kilometres southwest of the Norne field. The water depth in the area is about 370 metres. Marulk is developed with a subsea template tied back to the Norne vessel.	18212090	2013-05-03
MARULK	Recovery strategy	Marulk is produced by pressure depletion.	18212090	2013-05-03
MARULK	Reservoir	The reservoir contains gas and condensate in Cretaceous sandstones in the Lysing and Lange Formations at a depth of about 2 800 metres.	18212090	2013-05-03
MARULK	Status	Gas production started in April 2012. This is the first Eni operated field in Norway.	18212090	2013-05-03
MARULK	Transport	The wellstream is sent to the Norne vessel for processing. The gas is then transported to Åsgard Transport and further to Kårstø.	18212090	2013-05-03
VALEMON	Development	Valemon is located in blocks 34/11 and 34/10, just west of the Kvitebjørn field. The water depth is 135 metres. Several appraisal wells have been drilled on the discovery. The development concept is a fixed steel production platform with a simplified separation process. The platform will be remotely controlled from the Kvitebjørn field or from shore.	20460969	2013-05-08
VALEMON	Recovery strategy	Valemon will be produced by pressure depletion.	20460969	2012-08-23
VALEMON	Reservoir	The deposit has a complex structure with several faults. The reservoirs consist of Middle Jurassic sandstones in the Brent Group and Lower Jurassic sandstones in the Cook Formation. The reservoirs lie at a depth of approximately 4 000 metres, with high pressure and temperature.	20460969	2013-05-08
VALEMON	Status	The platform is under construction. Drilling of wells started in 2012 and production start is scheduled for October 2014.	20460969	2013-05-08
VALEMON	Transport	The condensate will be transported by pipeline to Kvitebjørn, and via the Kvitebjørn oil pipeline to Mongstad. The rich gas is planned to be exported in the Huldra pipeline to Heimdal for further export to the United Kingdom or the Continent.	20460969	2013-05-08
KNARR	Development	Knarr is located approximately 50 kilometres northeast of Snorre. The water depth is 410 metres. Knarr is being developed with an FPSO and two subsea templates for production and injection, connected to a subsea manifold.	20460988	2013-05-08
KNARR	Recovery strategy	The production strategy will include pressure maintenance by water injection.	20460988	2012-08-23
KNARR	Reservoir	The reservoir lies at a depth of about 3 800 metres and contains oil in Lower Jurassic sandstones in the Cook Formation.	20460988	2013-05-08
KNARR	Status	The FPSO and subsea facilities are under construction. Drilling of development wells will start in summer 2013 and production is planned to start in May 2014.	20460988	2013-05-08
KNARR	Transport	Oil will be offloaded from the Knarr FPSO to tankers, and the gas will be routed in a new gas pipeline to the Far North Liquids and Associated Gas System (FLAGS) and exported to St Fergus in the UK.	20460988	2013-05-08
VISUND SØR	Development	Visund Sør is located 10 kilometres southwest of the Visund platform and approximately 10 kilometres northeast of Gullfaks C. The water depth in the area is about 290 metres. Visund Sør is developed with a subsea template tied to Gullfaks C.	20461008	2013-05-03
VISUND SØR	Recovery strategy	The oil from Visund Sør is produced by expansion of the gas cap, followed by depletion for gas production.	20461008	2013-05-03
VISUND SØR	Reservoir	The reservoirs lie at a depth of 2 800 - 2 900 metres and contain oil and gas in Middle Jurassic sandstones in the Brent Group.	20461008	2013-05-03
VISUND SØR	Status	Production started in November 2012.	20461008	2013-05-03
VISUND SØR	Transport	The wellstream is routed to Gullfaks C for processing and export.	20461008	2013-05-03
HYME	Development	Hyme is located about 19 kilometres northeast of the Njord field and about 10 kilometres west of Draugen. The water depth in the area is about 260 metres. Hyme will be developed with a standard subsea template with four well slots. Hyme is connected to the Njord facility with a production pipeline, a water injection pipeline, and a pipeline for gas lift. The development plan includes one production well and one water injection well.	20474183	2013-05-08
HYME	Recovery strategy	The drainage strategy is a two-branched well on the top of the structure and water injection for pressure support.	20474183	2013-05-08
HYME	Reservoir	The reservoir contains oil and gas in the Lower Jurassic Tilje Formation. The reservoir is located at a depth of about 2 150 metres. The quality of the reservoir is good.	20474183	2013-05-08
HYME	Status	The field came on stream in February 2013.	20474183	2013-05-08
HYME	Transport	Oil and gas will be transported via the Njord facility.	20474183	2013-05-08
ISLAY	Development	Islay straddles the border between the UK and Norwegian sectors in the northern North Sea. The water depth is 122 metres. Islay is developed with one well tied to the Forvie manifold on UK side.	21105675	2013-05-03
ISLAY	Recovery strategy	The field is produced by pressure depletion.	21105675	2013-05-03
ISLAY	Reservoir	The reservoir lies at a depth of 3 700 - 3 900 metres and contains gas condensate in Middle Jurassic sandstones of the Brent Formation.	21105675	2013-05-03
ISLAY	Status	Production started in April 2012.	21105675	2013-05-03
ISLAY	Transport	Production is routed via the Forvie-Alwyn pipeline to the British Alwyn field for separation. The gas is exported via the FUKA pipeline to St Fergus in Scotland, whereas the liquids are exported to the Sullom Voe terminal in the Shetland Islands.	21105675	2013-05-03
ATLA	Development	Atla is located about 20 kilometres northeast of the Heimdal field. The water depth in the area is about 119 metres. Atla is developed with one production well from a subsea template tied back via the Skirne/Byggve subsea facility to Heimdal for processing.	21106284	2013-05-01
ATLA	Recovery strategy	The recovery strategy is gas depletion.	21106284	2013-05-01
ATLA	Reservoir	The reservoir contains gas/condensate in sandstones in the Brent Group of Middle Jurassic age at a depth of about 2 700 metres.	21106284	2013-05-01
ATLA	Status	Production started in October 2012.	21106284	2013-05-01
ATLA	Transport	The wellstream is transported to Heimdal for processing and export.	21106284	2013-05-01
BRYNHILD	Development	Brynhild is located about 10 kilometres from the UK border, about 55 kilometres northwest of the Ula field and 38 kilometres from the UK Pierce field. The water depth in the area is about 80 metres. The development concept is a subsea template and manifold, tied-in to the Hæwene Brim FPSO located on the Pierce field in the UK. Water for injection will be supplied from Pierce.	21123063	2013-05-08
BRYNHILD	Recovery strategy	The Brynhild oil will be produced by pressure support from water injection.	21123063	2013-05-08
BRYNHILD	Reservoir	The reservoir lies at a depth of about 3 300 metres in Upper Jurassic sandstones in the Ula Formation. The reservoir contains under-saturated oil at reservoir conditions closely bordering high pressure – high temperature (HPHT) conditions.	21123063	2013-05-08
BRYNHILD	Status	The PDO was approved in November 2011. Production is planned to start in October 2013.	21123063	2013-05-08
BRYNHILD	Transport	The wellstream will be transported by pipeline to the Hæwene Brim FPSO for metering and processing. The processed oil will be exported by shuttle tankers to the market, while gas is re-injected into the Pierce field.	21123063	2013-05-08
SKULD	Development	Skuld is located in the Norwegian Sea, north of the Norne Field, at a water depth of about 340 metres. The field consists of the two oil deposits, 6608/10-12 Dompap and 6608/10-14 S Fossekall, which are located 26 and 16 kilometres, respectively, north of the Norne vessel. Skuld is being developed with subsea templates tied back to the Norne FPSO.	21350124	2013-05-08
SKULD	Recovery strategy	Skuld will be recovered with pressure support by water injection. In addition, some of the wells will be supplied with gas lift to be able to produce at low reservoir pressure and high water cut.	21350124	2013-05-08
SKULD	Reservoir	The reservoirs consist of Lower to Middle Jurassic sandstones in the Åre, Tofte and Ile Formations at a depth of 2 400–2 600 metres. The reservoirs contain oil.	21350124	2013-05-08
SKULD	Status	The PDO was approved in January 2012. Drilling of the development wells started in March 2012, and production is planned to start in the first half of 2013.	21350124	2013-05-08
SKULD	Transport	The wellstream will be processed on the Norne vessel, and the oil will be buoy-loaded together with the oil from the Norne field. The gas will be transported by pipeline from the Norne vessel to Åsgard, then further via Åsgard Transport System to Kårstø.	21350124	2013-05-08
JETTE	Development	Jette is located about six kilometres south of the Jotun Field. Water depth is about 127 metres. Jette will be developed with a subsea template tied to the Jotun A facility.	21613906	2013-05-08
JETTE	Recovery strategy	Jette will be produced with natural pressure support from aquifer.	21613906	2013-05-08
JETTE	Reservoir	The reservoir is in the Heimdal Formation, which is a sub-marine fan system of the Late Paleocene age and lies at a depth of approximately 2 200 metres.	21613906	2013-05-08
JETTE	Status	The PDO was approved in February 2012. Production is planned to start in the second quarter of 2013.	21613906	2013-05-08
JETTE	Transport	The wellstream will go to Jotun A and further to Jotun B for processing and loading.	21613906	2013-05-08
EDVARD GRIEG	Development	Edvard Grieg is located about 35 kilometres south of Grane and Balder. The water depth is about 110 metres. The development comprises a PdQ jacket solution using a separate jack-up for drilling and completion. The PdQ platform will have sufficient spare well slots for possible additional wells, together with the possible development of nearby discoveries and prospects.	21675433	2013-05-08
EDVARD GRIEG	Recovery strategy	Edvard Grieg will be produced by pressure support from water injection.	21675433	2013-05-08
EDVARD GRIEG	Reservoir	The reservoir contains oil at a depth of 1 900 – 1 940 metres. The reservoir consists of Upper Triassic to Lower Cretaceous alluvial, aeolian and shallow marine conglomerates and sandstones. Oil is also proven in the underlying basement.	21675433	2013-05-08
EDVARD GRIEG	Status	The platform is under construction. Production is planned to start in late 2015.	21675433	2013-05-08
EDVARD GRIEG	Transport	The oil will be exported by pipeline to the Grane Oil Pipeline, which is connected to the Sture terminal. The gas is planned to be exported in a separate pipeline to the Scottish Area Gas Evacuation (SAGE) System.	21675433	2013-05-08
MARTIN LINGE	Development	Martin Linge is located near the border to the British sector, about 42 kilometres west of Oseberg. The water depth in the area is 100 – 120 metres. Martin Linge will be developed with a fully integrated fixed production platform with an FSO for oil and condensate storage. The wells will be drilled by a mobile jack-up rig. The installation will be supplied with power from shore.	21675447	2013-05-08
MARTIN LINGE	Recovery strategy	The gas reservoir will be produced by pressure depletion, whereas the oil production from the Eocene reservoir will be supported by natural aquifer drive and gas lift. Produced water will be re-injected into a disposal reservoir.	21675447	2013-05-08
MARTIN LINGE	Reservoir	The main reservoir is structurally complex, and contains gas and condensate at high temperatures and pressure. There are three reservoirs in Middle Jurassic sandstones in the Brent Group at a depth of 3 700 – 4 400 metres. In addition, the field contains oil in the Frigg Formation of Eocene age at approximately 1 750 metres. The Frigg Formation has good reservoir quality.	21675447	2013-05-08
MARTIN LINGE	Status	Production is planned to start by the end of 2016.	21675447	2013-05-08
MARTIN LINGE	Transport	Rich gas will be transported through a pipeline to the FUKA gas transport system on the UK sector, and oil and condensate will be exported via tankers from the FSO.	21675447	2013-05-08
BØYLA	Development	The oil discovery Bøyla is situated about 28 kilometres south of the Alvheim field. Water depth is about 120 metres. The development solution for Bøyla is a subsea template tied back to the Alvheim FPSO.	22492497	2013-05-08
BØYLA	Recovery strategy	Water injection is required for pressure support due to limited connected aquifer volume. Gas lift will also be required to support flow, once production wells start producing water.	22492497	2013-05-08
BØYLA	Reservoir	The Bøyla reservoir is within the Hermod Sandstone Member, which is a channelised sub-marine fan system of Late Paleocene to Early Eocene age, and lies at a depth of about 2 100 metres.	22492497	2013-05-08
BØYLA	Status	The PDO was submitted in June 2012. Production is planned to start in October 2014.	22492497	2013-05-08
BØYLA	Transport	The oil and gas from Bøyla will be transported to Alvheim for processing and export.	22492497	2013-05-08
SVALIN	Development	Svalin is located 8 kilometres southwest of the Grane field. The water depth in the area is approximately 120 metres. Svalin will be developed by a multilateral well drilled from the Grane platform, and with a subsea facility tied in to Grane.	22507971	2013-05-08
SVALIN	Recovery strategy	Svalin will be recovered by pressure depletion.	22507971	2013-05-08
SVALIN	Reservoir	There is oil and associated gas in Paleocene to Lower Eocene sandstones in the Heimdal and Balder Formations at a depth of approximately 1 750 metres. The sandstones are deposited as sub-marine fans.	22507971	2013-05-08
SVALIN	Status	The PDO was approved in 2012. Production from Svalin is planned to start in two phases, in November 2013 and in June 2014.	22507971	2013-05-08
SVALIN	Transport	The wellstream will be processed on Grane and transported by pipeline to the Sture terminal for storage and export.	22507971	2013-05-08
\.



COPY field_investment_yearly (prfinformationcarrier, prfyear, prfinvestmentsmillnok, prfnpdidinformationcarrier, datesyncnpd) FROM stdin;
ALBUSKJELL	1974	116.000000	43437	2013-05-08
ALBUSKJELL	1975	319.000000	43437	2013-05-08
ALBUSKJELL	1976	879.000000	43437	2013-05-08
ALBUSKJELL	1977	398.000000	43437	2013-05-08
ALBUSKJELL	1978	235.000000	43437	2013-05-08
ALBUSKJELL	1979	96.000000	43437	2013-05-08
ALBUSKJELL	1980	64.000000	43437	2013-05-08
ALBUSKJELL	1981	40.000000	43437	2013-05-08
ALBUSKJELL	1982	232.000000	43437	2013-05-08
ALBUSKJELL	1983	263.000000	43437	2013-05-08
ALBUSKJELL	1984	0.000000	43437	2013-05-08
ALBUSKJELL	1985	0.000000	43437	2013-05-08
ALBUSKJELL	1986	58.000000	43437	2013-05-08
ALBUSKJELL	1987	5.000000	43437	2013-05-08
ALBUSKJELL	1988	5.000000	43437	2013-05-08
ALBUSKJELL	1989	14.000000	43437	2013-05-08
ALBUSKJELL	1990	8.000000	43437	2013-05-08
ALBUSKJELL	1991	4.000000	43437	2013-05-08
ALBUSKJELL	1992	10.000000	43437	2013-05-08
ALBUSKJELL	1993	0.000000	43437	2013-05-08
ALBUSKJELL	1994	3.000000	43437	2013-05-08
ALBUSKJELL	1995	3.000000	43437	2013-05-08
ALBUSKJELL	1996	0.000000	43437	2013-05-08
ALBUSKJELL	1997	0.000000	43437	2013-05-08
ALBUSKJELL	1998	0.000000	43437	2013-05-08
ALBUSKJELL	1999	0.000000	43437	2013-05-08
ALBUSKJELL	2000	0.000000	43437	2013-05-08
ALBUSKJELL	2001	0.000000	43437	2013-05-08
ALBUSKJELL	2002	0.000000	43437	2013-05-08
ALBUSKJELL	2003	0.000000	43437	2013-05-08
ALBUSKJELL	2004	0.000000	43437	2013-05-08
ALBUSKJELL	2005	0.000000	43437	2013-05-08
ALBUSKJELL	2006	0.000000	43437	2013-05-08
ALBUSKJELL	2007	0.000000	43437	2013-05-08
ALBUSKJELL	2008	0.000000	43437	2013-05-08
ALBUSKJELL	2009	0.000000	43437	2013-05-08
ALBUSKJELL	2010	0.000000	43437	2013-05-08
ALBUSKJELL	2011	0.000000	43437	2013-05-08
ALBUSKJELL	2012	0.000000	43437	2013-05-08
ALBUSKJELL	2013	0.000000	43437	2013-05-08
TOMMELITEN GAMMA	1986	238.000000	43444	2013-05-08
TOMMELITEN GAMMA	1987	1313.000000	43444	2013-05-08
TOMMELITEN GAMMA	1988	806.000000	43444	2013-05-08
TOMMELITEN GAMMA	1989	25.000000	43444	2013-05-08
TOMMELITEN GAMMA	1990	21.000000	43444	2013-05-08
TOMMELITEN GAMMA	1991	10.000000	43444	2013-05-08
TOMMELITEN GAMMA	1992	3.000000	43444	2013-05-08
TOMMELITEN GAMMA	1993	27.000000	43444	2013-05-08
TOMMELITEN GAMMA	1994	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	1995	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	1996	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	1997	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	1998	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	1999	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	2000	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	2001	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	2002	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	2003	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	2004	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	2005	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	2006	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	2007	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	2008	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	2009	0.000000	43444	2013-05-08
TOMMELITEN GAMMA	2010	0.000000	43444	2013-05-08
VARG	1996	1148.000000	43451	2013-05-08
VARG	1997	874.000000	43451	2013-05-08
VARG	1998	1306.000000	43451	2013-05-08
VARG	1999	662.000000	43451	2013-05-08
VARG	2000	77.000000	43451	2013-05-08
VARG	2001	58.000000	43451	2013-05-08
VARG	2002	0.000000	43451	2013-05-08
VARG	2003	202.000000	43451	2013-05-08
VARG	2004	651.000000	43451	2013-05-08
VARG	2005	553.000000	43451	2013-05-08
VARG	2006	477.000000	43451	2013-05-08
VARG	2007	23.000000	43451	2013-05-08
VARG	2008	491.000000	43451	2013-05-08
VARG	2009	677.000000	43451	2013-05-08
VARG	2010	307.000000	43451	2013-05-08
VARG	2011	397.000000	43451	2013-05-08
VARG	2012	0.000000	43451	2013-05-08
VARG	2013	0.000000	43451	2013-05-08
SLEIPNER VEST	1991	15.000000	43457	2013-05-08
SLEIPNER VEST	1992	282.000000	43457	2013-05-08
SLEIPNER VEST	1993	955.000000	43457	2013-05-08
SLEIPNER VEST	1994	3418.000000	43457	2013-05-08
SLEIPNER VEST	1995	3836.000000	43457	2013-05-08
SLEIPNER VEST	1996	2725.000000	43457	2013-05-08
SLEIPNER VEST	1997	758.000000	43457	2013-05-08
SLEIPNER VEST	1998	659.000000	43457	2013-05-08
SLEIPNER VEST	1999	552.000000	43457	2013-05-08
SLEIPNER VEST	2000	752.000000	43457	2013-05-08
SLEIPNER VEST	2001	391.000000	43457	2013-05-08
SLEIPNER VEST	2002	676.000000	43457	2013-05-08
SLEIPNER VEST	2003	1299.000000	43457	2013-05-08
SLEIPNER VEST	2004	1499.000000	43457	2013-05-08
SLEIPNER VEST	2005	64.000000	43457	2013-05-08
SLEIPNER VEST	2006	219.000000	43457	2013-05-08
SLEIPNER VEST	2007	679.000000	43457	2013-05-08
SLEIPNER VEST	2008	1526.000000	43457	2013-05-08
SLEIPNER VEST	2009	905.000000	43457	2013-05-08
SLEIPNER VEST	2010	1528.000000	43457	2013-05-08
SLEIPNER VEST	2011	438.000000	43457	2013-05-08
SLEIPNER VEST	2012	0.000000	43457	2013-05-08
SLEIPNER VEST	2013	0.000000	43457	2013-05-08
SLEIPNER VEST	2014	0.000000	43457	2013-05-08
GUNGNE	1995	153.000000	43464	2013-05-08
GUNGNE	1996	185.000000	43464	2013-05-08
GUNGNE	1997	2.000000	43464	2013-05-08
GUNGNE	1998	14.000000	43464	2013-05-08
GUNGNE	1999	66.000000	43464	2013-05-08
GUNGNE	2000	276.000000	43464	2013-05-08
GUNGNE	2001	100.000000	43464	2013-05-08
GUNGNE	2002	1.000000	43464	2013-05-08
GUNGNE	2003	12.000000	43464	2013-05-08
GUNGNE	2004	13.000000	43464	2013-05-08
GUNGNE	2005	324.000000	43464	2013-05-08
GUNGNE	2006	40.000000	43464	2013-05-08
GUNGNE	2007	296.000000	43464	2013-05-08
GUNGNE	2008	43.000000	43464	2013-05-08
GUNGNE	2009	298.000000	43464	2013-05-08
GUNGNE	2010	108.000000	43464	2013-05-08
GUNGNE	2011	1.000000	43464	2013-05-08
GUNGNE	2012	0.000000	43464	2013-05-08
GUNGNE	2013	0.000000	43464	2013-05-08
SLEIPNER ØST	1987	73.000000	43478	2013-05-08
SLEIPNER ØST	1988	538.000000	43478	2013-05-08
SLEIPNER ØST	1989	1757.000000	43478	2013-05-08
SLEIPNER ØST	1990	3670.000000	43478	2013-05-08
SLEIPNER ØST	1991	4718.000000	43478	2013-05-08
SLEIPNER ØST	1992	6571.000000	43478	2013-05-08
SLEIPNER ØST	1993	3835.000000	43478	2013-05-08
SLEIPNER ØST	1994	484.000000	43478	2013-05-08
SLEIPNER ØST	1995	284.000000	43478	2013-05-08
SLEIPNER ØST	1996	147.000000	43478	2013-05-08
SLEIPNER ØST	1997	23.000000	43478	2013-05-08
SLEIPNER ØST	1998	214.000000	43478	2013-05-08
SLEIPNER ØST	1999	162.000000	43478	2013-05-08
SLEIPNER ØST	2000	356.000000	43478	2013-05-08
SLEIPNER ØST	2001	290.000000	43478	2013-05-08
SLEIPNER ØST	2002	311.000000	43478	2013-05-08
SLEIPNER ØST	2003	65.000000	43478	2013-05-08
SLEIPNER ØST	2004	198.000000	43478	2013-05-08
SLEIPNER ØST	2005	297.000000	43478	2013-05-08
SLEIPNER ØST	2006	323.000000	43478	2013-05-08
SLEIPNER ØST	2007	503.000000	43478	2013-05-08
SLEIPNER ØST	2008	961.000000	43478	2013-05-08
SLEIPNER ØST	2009	562.000000	43478	2013-05-08
SLEIPNER ØST	2010	213.000000	43478	2013-05-08
SLEIPNER ØST	2011	201.000000	43478	2013-05-08
SLEIPNER ØST	2012	0.000000	43478	2013-05-08
SLEIPNER ØST	2013	0.000000	43478	2013-05-08
SLEIPNER ØST	2014	0.000000	43478	2013-05-08
SLEIPNER ØST	2015	0.000000	43478	2013-05-08
SLEIPNER ØST	2016	0.000000	43478	2013-05-08
HOD	1988	11.000000	43485	2013-05-08
HOD	1989	163.000000	43485	2013-05-08
HOD	1990	441.000000	43485	2013-05-08
HOD	1991	242.000000	43485	2013-05-08
HOD	1992	3.000000	43485	2013-05-08
HOD	1993	5.000000	43485	2013-05-08
HOD	1994	291.000000	43485	2013-05-08
HOD	1995	84.000000	43485	2013-05-08
HOD	1996	1.000000	43485	2013-05-08
HOD	1997	3.000000	43485	2013-05-08
HOD	1998	42.000000	43485	2013-05-08
HOD	1999	2.000000	43485	2013-05-08
HOD	2000	145.000000	43485	2013-05-08
HOD	2001	9.000000	43485	2013-05-08
HOD	2002	26.000000	43485	2013-05-08
HOD	2003	2.000000	43485	2013-05-08
HOD	2004	9.000000	43485	2013-05-08
HOD	2005	185.000000	43485	2013-05-08
HOD	2006	214.000000	43485	2013-05-08
HOD	2007	5.000000	43485	2013-05-08
HOD	2008	20.000000	43485	2013-05-08
HOD	2009	105.000000	43485	2013-05-08
HOD	2010	91.000000	43485	2013-05-08
HOD	2011	155.000000	43485	2013-05-08
HOD	2012	0.000000	43485	2013-05-08
HOD	2013	0.000000	43485	2013-05-08
GYDA	1988	2636.000000	43492	2013-05-08
GYDA	1989	2336.000000	43492	2013-05-08
GYDA	1990	1234.000000	43492	2013-05-08
GYDA	1991	327.000000	43492	2013-05-08
GYDA	1992	264.000000	43492	2013-05-08
GYDA	1993	316.000000	43492	2013-05-08
GYDA	1994	310.000000	43492	2013-05-08
GYDA	1995	190.000000	43492	2013-05-08
GYDA	1996	226.000000	43492	2013-05-08
GYDA	1997	191.000000	43492	2013-05-08
GYDA	1998	293.000000	43492	2013-05-08
GYDA	1999	20.000000	43492	2013-05-08
GYDA	2000	24.000000	43492	2013-05-08
GYDA	2001	234.000000	43492	2013-05-08
GYDA	2002	100.000000	43492	2013-05-08
GYDA	2003	120.000000	43492	2013-05-08
GYDA	2004	336.000000	43492	2013-05-08
GYDA	2005	360.000000	43492	2013-05-08
GYDA	2006	302.000000	43492	2013-05-08
GYDA	2007	484.000000	43492	2013-05-08
GYDA	2008	561.000000	43492	2013-05-08
GYDA	2009	298.000000	43492	2013-05-08
GYDA	2010	623.000000	43492	2013-05-08
GYDA	2011	650.000000	43492	2013-05-08
GYDA	2012	0.000000	43492	2013-05-08
GYDA	2013	0.000000	43492	2013-05-08
GYDA	2014	0.000000	43492	2013-05-08
GYDA	2015	0.000000	43492	2013-05-08
GYDA	2016	0.000000	43492	2013-05-08
EKOFISK	1970	115.000000	43506	2013-05-08
EKOFISK	1971	576.000000	43506	2013-05-08
EKOFISK	1972	2195.000000	43506	2013-05-08
EKOFISK	1973	1645.000000	43506	2013-05-08
EKOFISK	1974	1346.000000	43506	2013-05-08
EKOFISK	1975	931.000000	43506	2013-05-08
EKOFISK	1976	1144.000000	43506	2013-05-08
EKOFISK	1977	862.000000	43506	2013-05-08
EKOFISK	1978	550.000000	43506	2013-05-08
EKOFISK	1979	121.000000	43506	2013-05-08
EKOFISK	1980	139.000000	43506	2013-05-08
EKOFISK	1981	555.000000	43506	2013-05-08
EKOFISK	1982	429.000000	43506	2013-05-08
EKOFISK	1983	115.000000	43506	2013-05-08
EKOFISK	1984	346.000000	43506	2013-05-08
EKOFISK	1985	119.000000	43506	2013-05-08
EKOFISK	1986	265.000000	43506	2013-05-08
EKOFISK	1987	229.000000	43506	2013-05-08
EKOFISK	1988	136.000000	43506	2013-05-08
EKOFISK	1989	775.000000	43506	2013-05-08
EKOFISK	1990	864.000000	43506	2013-05-08
EKOFISK	1991	1169.000000	43506	2013-05-08
EKOFISK	1992	635.000000	43506	2013-05-08
EKOFISK	1993	545.000000	43506	2013-05-08
EKOFISK	1994	3053.000000	43506	2013-05-08
EKOFISK	1995	3919.000000	43506	2013-05-08
EKOFISK	1996	8489.000000	43506	2013-05-08
EKOFISK	1997	4616.000000	43506	2013-05-08
EKOFISK	1998	2897.000000	43506	2013-05-08
EKOFISK	1999	679.000000	43506	2013-05-08
EKOFISK	2000	395.000000	43506	2013-05-08
EKOFISK	2001	1574.000000	43506	2013-05-08
EKOFISK	2002	1777.000000	43506	2013-05-08
EKOFISK	2003	2491.000000	43506	2013-05-08
EKOFISK	2004	5141.000000	43506	2013-05-08
EKOFISK	2005	4362.000000	43506	2013-05-08
EKOFISK	2006	4985.000000	43506	2013-05-08
EKOFISK	2007	5215.000000	43506	2013-05-08
EKOFISK	2008	5047.000000	43506	2013-05-08
EKOFISK	2009	6775.000000	43506	2013-05-08
EKOFISK	2010	6777.000000	43506	2013-05-08
EKOFISK	2011	10174.000000	43506	2013-05-08
EKOFISK	2012	0.000000	43506	2013-05-08
EKOFISK	2013	0.000000	43506	2013-05-08
EKOFISK	2014	0.000000	43506	2013-05-08
EKOFISK	2015	0.000000	43506	2013-05-08
EKOFISK	2016	0.000000	43506	2013-05-08
VEST EKOFISK	1972	3.000000	43513	2013-05-08
VEST EKOFISK	1973	88.000000	43513	2013-05-08
VEST EKOFISK	1974	103.000000	43513	2013-05-08
VEST EKOFISK	1975	132.000000	43513	2013-05-08
VEST EKOFISK	1976	105.000000	43513	2013-05-08
VEST EKOFISK	1977	83.000000	43513	2013-05-08
VEST EKOFISK	1978	8.000000	43513	2013-05-08
VEST EKOFISK	1979	3.000000	43513	2013-05-08
VEST EKOFISK	1980	1.000000	43513	2013-05-08
VEST EKOFISK	1981	1.000000	43513	2013-05-08
VEST EKOFISK	1982	38.000000	43513	2013-05-08
VEST EKOFISK	1983	136.000000	43513	2013-05-08
VEST EKOFISK	1984	12.000000	43513	2013-05-08
VEST EKOFISK	1985	4.000000	43513	2013-05-08
VEST EKOFISK	1986	87.000000	43513	2013-05-08
VEST EKOFISK	1987	18.000000	43513	2013-05-08
VEST EKOFISK	1988	40.000000	43513	2013-05-08
VEST EKOFISK	1989	3.000000	43513	2013-05-08
VEST EKOFISK	1990	4.000000	43513	2013-05-08
VEST EKOFISK	1991	9.000000	43513	2013-05-08
VEST EKOFISK	1992	10.000000	43513	2013-05-08
VEST EKOFISK	1993	14.000000	43513	2013-05-08
VEST EKOFISK	1994	40.000000	43513	2013-05-08
VEST EKOFISK	1995	1.000000	43513	2013-05-08
VEST EKOFISK	1996	0.000000	43513	2013-05-08
VEST EKOFISK	1997	0.000000	43513	2013-05-08
VEST EKOFISK	1998	0.000000	43513	2013-05-08
VEST EKOFISK	1999	0.000000	43513	2013-05-08
VEST EKOFISK	2000	0.000000	43513	2013-05-08
VEST EKOFISK	2001	0.000000	43513	2013-05-08
VEST EKOFISK	2002	0.000000	43513	2013-05-08
VEST EKOFISK	2003	0.000000	43513	2013-05-08
VEST EKOFISK	2004	0.000000	43513	2013-05-08
VEST EKOFISK	2005	0.000000	43513	2013-05-08
VEST EKOFISK	2006	0.000000	43513	2013-05-08
VEST EKOFISK	2007	0.000000	43513	2013-05-08
VEST EKOFISK	2008	0.000000	43513	2013-05-08
VEST EKOFISK	2009	0.000000	43513	2013-05-08
VEST EKOFISK	2010	0.000000	43513	2013-05-08
VEST EKOFISK	2011	0.000000	43513	2013-05-08
VEST EKOFISK	2012	0.000000	43513	2013-05-08
TOR	1974	72.000000	43520	2013-05-08
TOR	1975	247.000000	43520	2013-05-08
TOR	1976	249.000000	43520	2013-05-08
TOR	1977	344.000000	43520	2013-05-08
TOR	1978	218.000000	43520	2013-05-08
TOR	1979	132.000000	43520	2013-05-08
TOR	1980	86.000000	43520	2013-05-08
TOR	1981	233.000000	43520	2013-05-08
TOR	1982	168.000000	43520	2013-05-08
TOR	1983	11.000000	43520	2013-05-08
TOR	1984	1.000000	43520	2013-05-08
TOR	1985	2.000000	43520	2013-05-08
TOR	1986	9.000000	43520	2013-05-08
TOR	1987	30.000000	43520	2013-05-08
TOR	1988	74.000000	43520	2013-05-08
TOR	1989	116.000000	43520	2013-05-08
TOR	1990	5.000000	43520	2013-05-08
TOR	1991	98.000000	43520	2013-05-08
TOR	1992	93.000000	43520	2013-05-08
TOR	1993	2.000000	43520	2013-05-08
TOR	1994	329.000000	43520	2013-05-08
TOR	1995	16.000000	43520	2013-05-08
TOR	1996	6.000000	43520	2013-05-08
TOR	1997	53.000000	43520	2013-05-08
TOR	1998	14.000000	43520	2013-05-08
TOR	1999	21.000000	43520	2013-05-08
TOR	2000	6.000000	43520	2013-05-08
TOR	2001	6.000000	43520	2013-05-08
TOR	2002	170.000000	43520	2013-05-08
TOR	2003	42.000000	43520	2013-05-08
TOR	2004	61.000000	43520	2013-05-08
TOR	2005	49.000000	43520	2013-05-08
TOR	2006	424.000000	43520	2013-05-08
TOR	2007	15.000000	43520	2013-05-08
TOR	2008	30.000000	43520	2013-05-08
TOR	2009	16.000000	43520	2013-05-08
TOR	2010	39.000000	43520	2013-05-08
TOR	2011	447.000000	43520	2013-05-08
TOR	2012	0.000000	43520	2013-05-08
TOR	2013	0.000000	43520	2013-05-08
TOR	2014	0.000000	43520	2013-05-08
TOR	2015	0.000000	43520	2013-05-08
TOR	2016	0.000000	43520	2013-05-08
ELDFISK	1974	172.000000	43527	2013-05-08
ELDFISK	1975	554.000000	43527	2013-05-08
ELDFISK	1976	1264.000000	43527	2013-05-08
ELDFISK	1977	915.000000	43527	2013-05-08
ELDFISK	1978	1252.000000	43527	2013-05-08
ELDFISK	1979	1175.000000	43527	2013-05-08
ELDFISK	1980	621.000000	43527	2013-05-08
ELDFISK	1981	467.000000	43527	2013-05-08
ELDFISK	1982	453.000000	43527	2013-05-08
ELDFISK	1983	273.000000	43527	2013-05-08
ELDFISK	1984	139.000000	43527	2013-05-08
ELDFISK	1985	229.000000	43527	2013-05-08
ELDFISK	1986	101.000000	43527	2013-05-08
ELDFISK	1987	119.000000	43527	2013-05-08
ELDFISK	1988	347.000000	43527	2013-05-08
ELDFISK	1989	231.000000	43527	2013-05-08
ELDFISK	1990	76.000000	43527	2013-05-08
ELDFISK	1991	79.000000	43527	2013-05-08
ELDFISK	1992	11.000000	43527	2013-05-08
ELDFISK	1993	13.000000	43527	2013-05-08
ELDFISK	1994	307.000000	43527	2013-05-08
ELDFISK	1995	625.000000	43527	2013-05-08
ELDFISK	1996	936.000000	43527	2013-05-08
ELDFISK	1997	599.000000	43527	2013-05-08
ELDFISK	1998	2472.000000	43527	2013-05-08
ELDFISK	1999	2605.000000	43527	2013-05-08
ELDFISK	2000	1332.000000	43527	2013-05-08
ELDFISK	2001	918.000000	43527	2013-05-08
ELDFISK	2002	455.000000	43527	2013-05-08
ELDFISK	2003	866.000000	43527	2013-05-08
ELDFISK	2004	1159.000000	43527	2013-05-08
ELDFISK	2005	996.000000	43527	2013-05-08
ELDFISK	2006	2066.000000	43527	2013-05-08
ELDFISK	2007	1232.000000	43527	2013-05-08
ELDFISK	2008	1800.000000	43527	2013-05-08
ELDFISK	2009	2242.000000	43527	2013-05-08
ELDFISK	2010	2114.000000	43527	2013-05-08
ELDFISK	2011	3748.000000	43527	2013-05-08
ELDFISK	2012	0.000000	43527	2013-05-08
ELDFISK	2013	0.000000	43527	2013-05-08
ELDFISK	2014	0.000000	43527	2013-05-08
ELDFISK	2015	0.000000	43527	2013-05-08
EMBLA	1990	30.000000	43534	2013-05-08
EMBLA	1991	430.000000	43534	2013-05-08
EMBLA	1992	1183.000000	43534	2013-05-08
EMBLA	1993	373.000000	43534	2013-05-08
EMBLA	1994	0.000000	43534	2013-05-08
EMBLA	1995	3.000000	43534	2013-05-08
EMBLA	1996	1.000000	43534	2013-05-08
EMBLA	1997	0.000000	43534	2013-05-08
EMBLA	1998	0.000000	43534	2013-05-08
EMBLA	1999	353.000000	43534	2013-05-08
EMBLA	2000	15.000000	43534	2013-05-08
EMBLA	2001	0.000000	43534	2013-05-08
EMBLA	2002	0.000000	43534	2013-05-08
EMBLA	2003	133.000000	43534	2013-05-08
EMBLA	2004	12.000000	43534	2013-05-08
EMBLA	2005	418.000000	43534	2013-05-08
EMBLA	2006	8.000000	43534	2013-05-08
EMBLA	2007	1.000000	43534	2013-05-08
EMBLA	2008	19.000000	43534	2013-05-08
EMBLA	2009	27.000000	43534	2013-05-08
EMBLA	2010	58.000000	43534	2013-05-08
EMBLA	2011	65.000000	43534	2013-05-08
EMBLA	2012	0.000000	43534	2013-05-08
EMBLA	2013	0.000000	43534	2013-05-08
EMBLA	2014	0.000000	43534	2013-05-08
EMBLA	2015	0.000000	43534	2013-05-08
EDDA	1973	1.000000	43541	2013-05-08
EDDA	1974	56.000000	43541	2013-05-08
EDDA	1975	108.000000	43541	2013-05-08
EDDA	1976	167.000000	43541	2013-05-08
EDDA	1977	408.000000	43541	2013-05-08
EDDA	1978	334.000000	43541	2013-05-08
EDDA	1979	482.000000	43541	2013-05-08
EDDA	1980	256.000000	43541	2013-05-08
EDDA	1981	196.000000	43541	2013-05-08
EDDA	1982	30.000000	43541	2013-05-08
EDDA	1983	0.000000	43541	2013-05-08
EDDA	1984	1.000000	43541	2013-05-08
EDDA	1985	1.000000	43541	2013-05-08
EDDA	1986	2.000000	43541	2013-05-08
EDDA	1987	1.000000	43541	2013-05-08
EDDA	1988	0.000000	43541	2013-05-08
EDDA	1989	14.000000	43541	2013-05-08
EDDA	1990	10.000000	43541	2013-05-08
EDDA	1991	15.000000	43541	2013-05-08
EDDA	1992	6.000000	43541	2013-05-08
EDDA	1993	1.000000	43541	2013-05-08
EDDA	1994	29.000000	43541	2013-05-08
EDDA	1995	20.000000	43541	2013-05-08
EDDA	1996	19.000000	43541	2013-05-08
EDDA	1997	0.000000	43541	2013-05-08
EDDA	1998	0.000000	43541	2013-05-08
EDDA	1999	0.000000	43541	2013-05-08
EDDA	2000	0.000000	43541	2013-05-08
EDDA	2001	0.000000	43541	2013-05-08
EDDA	2002	0.000000	43541	2013-05-08
EDDA	2003	0.000000	43541	2013-05-08
EDDA	2004	0.000000	43541	2013-05-08
EDDA	2005	0.000000	43541	2013-05-08
EDDA	2006	0.000000	43541	2013-05-08
EDDA	2007	0.000000	43541	2013-05-08
EDDA	2008	0.000000	43541	2013-05-08
EDDA	2009	0.000000	43541	2013-05-08
EDDA	2010	0.000000	43541	2013-05-08
EDDA	2011	0.000000	43541	2013-05-08
EDDA	2012	0.000000	43541	2013-05-08
EDDA	2013	0.000000	43541	2013-05-08
EDDA	2014	0.000000	43541	2013-05-08
VALHALL	1977	156.000000	43548	2013-05-08
VALHALL	1978	264.000000	43548	2013-05-08
VALHALL	1979	807.000000	43548	2013-05-08
VALHALL	1980	1203.000000	43548	2013-05-08
VALHALL	1981	1282.000000	43548	2013-05-08
VALHALL	1982	1270.000000	43548	2013-05-08
VALHALL	1983	380.000000	43548	2013-05-08
VALHALL	1984	356.000000	43548	2013-05-08
VALHALL	1985	373.000000	43548	2013-05-08
VALHALL	1986	269.000000	43548	2013-05-08
VALHALL	1987	26.000000	43548	2013-05-08
VALHALL	1988	232.000000	43548	2013-05-08
VALHALL	1989	102.000000	43548	2013-05-08
VALHALL	1990	93.000000	43548	2013-05-08
VALHALL	1991	161.000000	43548	2013-05-08
VALHALL	1992	299.000000	43548	2013-05-08
VALHALL	1993	187.000000	43548	2013-05-08
VALHALL	1994	212.000000	43548	2013-05-08
VALHALL	1995	474.000000	43548	2013-05-08
VALHALL	1996	1109.000000	43548	2013-05-08
VALHALL	1997	1470.000000	43548	2013-05-08
VALHALL	1998	1471.000000	43548	2013-05-08
VALHALL	1999	829.000000	43548	2013-05-08
VALHALL	2000	1483.000000	43548	2013-05-08
VALHALL	2001	3620.000000	43548	2013-05-08
VALHALL	2002	3814.000000	43548	2013-05-08
VALHALL	2003	3837.000000	43548	2013-05-08
VALHALL	2004	1837.000000	43548	2013-05-08
VALHALL	2005	1782.000000	43548	2013-05-08
VALHALL	2006	1956.000000	43548	2013-05-08
VALHALL	2007	3642.000000	43548	2013-05-08
VALHALL	2008	6445.000000	43548	2013-05-08
VALHALL	2009	8141.000000	43548	2013-05-08
VALHALL	2010	7063.000000	43548	2013-05-08
VALHALL	2011	4866.000000	43548	2013-05-08
VALHALL	2012	0.000000	43548	2013-05-08
VALHALL	2013	0.000000	43548	2013-05-08
VALHALL	2014	0.000000	43548	2013-05-08
VALHALL	2015	0.000000	43548	2013-05-08
VALHALL	2016	0.000000	43548	2013-05-08
FRIGG	1974	471.000000	43555	2013-05-08
FRIGG	1975	1385.000000	43555	2013-05-08
FRIGG	1976	1959.000000	43555	2013-05-08
FRIGG	1977	1944.000000	43555	2013-05-08
FRIGG	1978	734.000000	43555	2013-05-08
FRIGG	1979	611.000000	43555	2013-05-08
FRIGG	1980	728.000000	43555	2013-05-08
FRIGG	1981	126.000000	43555	2013-05-08
FRIGG	1982	19.000000	43555	2013-05-08
FRIGG	1983	39.000000	43555	2013-05-08
FRIGG	1984	33.000000	43555	2013-05-08
FRIGG	1985	30.000000	43555	2013-05-08
FRIGG	1986	51.000000	43555	2013-05-08
FRIGG	1987	47.000000	43555	2013-05-08
FRIGG	1988	1.000000	43555	2013-05-08
FRIGG	1989	80.000000	43555	2013-05-08
FRIGG	1990	4.000000	43555	2013-05-08
FRIGG	1991	0.000000	43555	2013-05-08
FRIGG	1992	1.000000	43555	2013-05-08
FRIGG	1993	31.000000	43555	2013-05-08
FRIGG	1994	44.000000	43555	2013-05-08
FRIGG	1995	135.000000	43555	2013-05-08
FRIGG	1996	112.000000	43555	2013-05-08
FRIGG	1997	21.000000	43555	2013-05-08
FRIGG	1998	8.000000	43555	2013-05-08
FRIGG	1999	8.000000	43555	2013-05-08
FRIGG	2000	0.000000	43555	2013-05-08
FRIGG	2001	0.000000	43555	2013-05-08
FRIGG	2002	0.000000	43555	2013-05-08
FRIGG	2003	0.000000	43555	2013-05-08
FRIGG	2004	0.000000	43555	2013-05-08
FRIGG	2005	0.000000	43555	2013-05-08
FRIGG	2006	0.000000	43555	2013-05-08
FRIGG	2007	0.000000	43555	2013-05-08
FRIGG	2008	0.000000	43555	2013-05-08
FRIGG	2009	0.000000	43555	2013-05-08
FRIGG	2010	0.000000	43555	2013-05-08
BALDER	1990	0.000000	43562	2013-05-08
BALDER	1991	0.000000	43562	2013-05-08
BALDER	1992	0.000000	43562	2013-05-08
BALDER	1993	0.000000	43562	2013-05-08
BALDER	1994	0.000000	43562	2013-05-08
BALDER	1995	1452.000000	43562	2013-05-08
BALDER	1996	1731.000000	43562	2013-05-08
BALDER	1997	1601.000000	43562	2013-05-08
BALDER	1998	2705.000000	43562	2013-05-08
BALDER	1999	1548.000000	43562	2013-05-08
BALDER	2000	1426.000000	43562	2013-05-08
BALDER	2001	3611.000000	43562	2013-05-08
BALDER	2002	1888.000000	43562	2013-05-08
BALDER	2003	2149.000000	43562	2013-05-08
BALDER	2004	1087.000000	43562	2013-05-08
BALDER	2005	725.000000	43562	2013-05-08
BALDER	2006	168.000000	43562	2013-05-08
BALDER	2007	786.000000	43562	2013-05-08
BALDER	2008	35.000000	43562	2013-05-08
BALDER	2009	384.000000	43562	2013-05-08
BALDER	2010	376.000000	43562	2013-05-08
BALDER	2011	1526.000000	43562	2013-05-08
BALDER	2012	0.000000	43562	2013-05-08
BALDER	2013	0.000000	43562	2013-05-08
BALDER	2014	0.000000	43562	2013-05-08
NORDØST FRIGG	1982	1143.000000	43568	2013-05-08
NORDØST FRIGG	1983	613.000000	43568	2013-05-08
NORDØST FRIGG	1984	58.000000	43568	2013-05-08
NORDØST FRIGG	1985	2.000000	43568	2013-05-08
NORDØST FRIGG	1986	0.000000	43568	2013-05-08
NORDØST FRIGG	1987	0.000000	43568	2013-05-08
NORDØST FRIGG	1988	0.000000	43568	2013-05-08
NORDØST FRIGG	1989	0.000000	43568	2013-05-08
NORDØST FRIGG	1990	0.000000	43568	2013-05-08
NORDØST FRIGG	1991	0.000000	43568	2013-05-08
NORDØST FRIGG	1992	0.000000	43568	2013-05-08
NORDØST FRIGG	1993	0.000000	43568	2013-05-08
NORDØST FRIGG	1994	0.000000	43568	2013-05-08
NORDØST FRIGG	1995	0.000000	43568	2013-05-08
NORDØST FRIGG	1996	0.000000	43568	2013-05-08
NORDØST FRIGG	1997	0.000000	43568	2013-05-08
NORDØST FRIGG	1998	0.000000	43568	2013-05-08
NORDØST FRIGG	1999	0.000000	43568	2013-05-08
NORDØST FRIGG	2000	0.000000	43568	2013-05-08
ØST FRIGG	1985	6.000000	43576	2013-05-08
ØST FRIGG	1986	469.000000	43576	2013-05-08
ØST FRIGG	1987	1086.000000	43576	2013-05-08
ØST FRIGG	1988	591.000000	43576	2013-05-08
ØST FRIGG	1989	23.000000	43576	2013-05-08
ØST FRIGG	1990	0.000000	43576	2013-05-08
ØST FRIGG	1991	0.000000	43576	2013-05-08
ØST FRIGG	1992	0.000000	43576	2013-05-08
ØST FRIGG	1993	0.000000	43576	2013-05-08
ØST FRIGG	1994	0.000000	43576	2013-05-08
ØST FRIGG	1995	11.000000	43576	2013-05-08
ØST FRIGG	1996	0.000000	43576	2013-05-08
ØST FRIGG	1997	0.000000	43576	2013-05-08
ØST FRIGG	1998	0.000000	43576	2013-05-08
ØST FRIGG	1999	0.000000	43576	2013-05-08
ØST FRIGG	2000	0.000000	43576	2013-05-08
ØST FRIGG	2001	0.000000	43576	2013-05-08
ØST FRIGG	2002	0.000000	43576	2013-05-08
ØST FRIGG	2003	0.000000	43576	2013-05-08
ØST FRIGG	2004	0.000000	43576	2013-05-08
ØST FRIGG	2005	0.000000	43576	2013-05-08
ØST FRIGG	2006	0.000000	43576	2013-05-08
ØST FRIGG	2007	0.000000	43576	2013-05-08
ØST FRIGG	2008	0.000000	43576	2013-05-08
LILLE-FRIGG	1991	97.000000	43583	2013-05-08
LILLE-FRIGG	1992	1238.000000	43583	2013-05-08
LILLE-FRIGG	1993	1869.000000	43583	2013-05-08
LILLE-FRIGG	1994	678.000000	43583	2013-05-08
LILLE-FRIGG	1995	41.000000	43583	2013-05-08
LILLE-FRIGG	1996	0.000000	43583	2013-05-08
LILLE-FRIGG	1997	0.000000	43583	2013-05-08
LILLE-FRIGG	1998	0.000000	43583	2013-05-08
LILLE-FRIGG	1999	0.000000	43583	2013-05-08
LILLE-FRIGG	2000	0.000000	43583	2013-05-08
LILLE-FRIGG	2001	0.000000	43583	2013-05-08
LILLE-FRIGG	2002	0.000000	43583	2013-05-08
LILLE-FRIGG	2003	0.000000	43583	2013-05-08
LILLE-FRIGG	2004	0.000000	43583	2013-05-08
LILLE-FRIGG	2005	0.000000	43583	2013-05-08
LILLE-FRIGG	2006	0.000000	43583	2013-05-08
LILLE-FRIGG	2007	0.000000	43583	2013-05-08
LILLE-FRIGG	2008	0.000000	43583	2013-05-08
LILLE-FRIGG	2009	0.000000	43583	2013-05-08
LILLE-FRIGG	2010	0.000000	43583	2013-05-08
HEIMDAL	1981	81.000000	43590	2013-05-08
HEIMDAL	1982	983.000000	43590	2013-05-08
HEIMDAL	1983	2569.000000	43590	2013-05-08
HEIMDAL	1984	2444.000000	43590	2013-05-08
HEIMDAL	1985	1801.000000	43590	2013-05-08
HEIMDAL	1986	524.000000	43590	2013-05-08
HEIMDAL	1987	13.000000	43590	2013-05-08
HEIMDAL	1988	22.000000	43590	2013-05-08
HEIMDAL	1989	0.000000	43590	2013-05-08
HEIMDAL	1990	5.000000	43590	2013-05-08
HEIMDAL	1991	8.000000	43590	2013-05-08
HEIMDAL	1992	28.000000	43590	2013-05-08
HEIMDAL	1993	266.000000	43590	2013-05-08
HEIMDAL	1994	8.000000	43590	2013-05-08
HEIMDAL	1995	1.000000	43590	2013-05-08
HEIMDAL	1996	1.000000	43590	2013-05-08
HEIMDAL	1997	0.000000	43590	2013-05-08
HEIMDAL	1998	18.000000	43590	2013-05-08
HEIMDAL	1999	157.000000	43590	2013-05-08
HEIMDAL	2000	24.000000	43590	2013-05-08
HEIMDAL	2001	41.000000	43590	2013-05-08
HEIMDAL	2002	0.000000	43590	2013-05-08
HEIMDAL	2003	16.000000	43590	2013-05-08
HEIMDAL	2004	11.000000	43590	2013-05-08
HEIMDAL	2005	18.000000	43590	2013-05-08
HEIMDAL	2006	107.000000	43590	2013-05-08
HEIMDAL	2007	400.000000	43590	2013-05-08
HEIMDAL	2008	46.000000	43590	2013-05-08
HEIMDAL	2009	364.000000	43590	2013-05-08
HEIMDAL	2010	105.000000	43590	2013-05-08
HEIMDAL	2011	52.000000	43590	2013-05-08
HEIMDAL	2012	0.000000	43590	2013-05-08
HEIMDAL	2013	0.000000	43590	2013-05-08
HEIMDAL	2014	0.000000	43590	2013-05-08
HEIMDAL	2015	0.000000	43590	2013-05-08
HEIMDAL	2016	0.000000	43590	2013-05-08
FRØY	1992	194.000000	43597	2013-05-08
FRØY	1993	1666.000000	43597	2013-05-08
FRØY	1994	2518.000000	43597	2013-05-08
FRØY	1995	1019.000000	43597	2013-05-08
FRØY	1996	135.000000	43597	2013-05-08
FRØY	1997	0.000000	43597	2013-05-08
FRØY	1998	0.000000	43597	2013-05-08
FRØY	1999	0.000000	43597	2013-05-08
FRØY	2000	0.000000	43597	2013-05-08
FRØY	2001	0.000000	43597	2013-05-08
FRØY	2002	0.000000	43597	2013-05-08
FRØY	2003	0.000000	43597	2013-05-08
FRØY	2004	0.000000	43597	2013-05-08
FRØY	2005	0.000000	43597	2013-05-08
FRØY	2006	0.000000	43597	2013-05-08
FRØY	2007	0.000000	43597	2013-05-08
FRØY	2008	0.000000	43597	2013-05-08
FRØY	2009	19.000000	43597	2013-05-08
FRØY	2010	0.000000	43597	2013-05-08
FRØY	2011	0.000000	43597	2013-05-08
FRØY	2012	0.000000	43597	2013-05-08
FRØY	2013	0.000000	43597	2013-05-08
FRØY	2014	0.000000	43597	2013-05-08
JOTUN	1995	0.000000	43604	2013-05-08
JOTUN	1996	102.000000	43604	2013-05-08
JOTUN	1997	1856.000000	43604	2013-05-08
JOTUN	1998	3311.000000	43604	2013-05-08
JOTUN	1999	1868.000000	43604	2013-05-08
JOTUN	2000	663.000000	43604	2013-05-08
JOTUN	2001	168.000000	43604	2013-05-08
JOTUN	2002	535.000000	43604	2013-05-08
JOTUN	2003	376.000000	43604	2013-05-08
JOTUN	2004	13.000000	43604	2013-05-08
JOTUN	2005	10.000000	43604	2013-05-08
JOTUN	2006	533.000000	43604	2013-05-08
JOTUN	2007	13.000000	43604	2013-05-08
JOTUN	2008	16.000000	43604	2013-05-08
JOTUN	2009	8.000000	43604	2013-05-08
JOTUN	2010	12.000000	43604	2013-05-08
JOTUN	2011	3.000000	43604	2013-05-08
JOTUN	2012	0.000000	43604	2013-05-08
JOTUN	2013	0.000000	43604	2013-05-08
JOTUN	2014	0.000000	43604	2013-05-08
JOTUN	2015	0.000000	43604	2013-05-08
JOTUN	2016	0.000000	43604	2013-05-08
ODIN	1978	12.000000	43610	2013-05-08
ODIN	1979	12.000000	43610	2013-05-08
ODIN	1980	18.000000	43610	2013-05-08
ODIN	1981	209.000000	43610	2013-05-08
ODIN	1982	896.000000	43610	2013-05-08
ODIN	1983	982.000000	43610	2013-05-08
ODIN	1984	394.000000	43610	2013-05-08
ODIN	1985	78.000000	43610	2013-05-08
ODIN	1986	2.000000	43610	2013-05-08
ODIN	1987	2.000000	43610	2013-05-08
ODIN	1988	2.000000	43610	2013-05-08
ODIN	1989	2.000000	43610	2013-05-08
ODIN	1990	1.000000	43610	2013-05-08
ODIN	1991	1.000000	43610	2013-05-08
ODIN	1992	2.000000	43610	2013-05-08
ODIN	1993	1.000000	43610	2013-05-08
ODIN	1994	0.000000	43610	2013-05-08
ODIN	1995	0.000000	43610	2013-05-08
ODIN	1996	0.000000	43610	2013-05-08
ODIN	1997	0.000000	43610	2013-05-08
ODIN	1998	0.000000	43610	2013-05-08
ODIN	1999	0.000000	43610	2013-05-08
ODIN	2000	0.000000	43610	2013-05-08
VESLEFRIKK	1987	1537.000000	43618	2013-05-08
VESLEFRIKK	1988	2429.000000	43618	2013-05-08
VESLEFRIKK	1989	2137.000000	43618	2013-05-08
VESLEFRIKK	1990	431.000000	43618	2013-05-08
VESLEFRIKK	1991	237.000000	43618	2013-05-08
VESLEFRIKK	1992	267.000000	43618	2013-05-08
VESLEFRIKK	1993	295.000000	43618	2013-05-08
VESLEFRIKK	1994	224.000000	43618	2013-05-08
VESLEFRIKK	1995	247.000000	43618	2013-05-08
VESLEFRIKK	1996	327.000000	43618	2013-05-08
VESLEFRIKK	1997	229.000000	43618	2013-05-08
VESLEFRIKK	1998	281.000000	43618	2013-05-08
VESLEFRIKK	1999	493.000000	43618	2013-05-08
VESLEFRIKK	2000	351.000000	43618	2013-05-08
VESLEFRIKK	2001	252.000000	43618	2013-05-08
VESLEFRIKK	2002	513.000000	43618	2013-05-08
VESLEFRIKK	2003	483.000000	43618	2013-05-08
VESLEFRIKK	2004	496.000000	43618	2013-05-08
VESLEFRIKK	2005	456.000000	43618	2013-05-08
VESLEFRIKK	2006	522.000000	43618	2013-05-08
VESLEFRIKK	2007	636.000000	43618	2013-05-08
VESLEFRIKK	2008	908.000000	43618	2013-05-08
VESLEFRIKK	2009	908.000000	43618	2013-05-08
VESLEFRIKK	2010	970.000000	43618	2013-05-08
VESLEFRIKK	2011	1031.000000	43618	2013-05-08
VESLEFRIKK	2012	0.000000	43618	2013-05-08
VESLEFRIKK	2013	0.000000	43618	2013-05-08
VESLEFRIKK	2014	0.000000	43618	2013-05-08
VESLEFRIKK	2015	0.000000	43618	2013-05-08
VESLEFRIKK	2016	0.000000	43618	2013-05-08
OSEBERG	1983	112.000000	43625	2013-05-08
OSEBERG	1984	779.000000	43625	2013-05-08
OSEBERG	1985	3411.000000	43625	2013-05-08
OSEBERG	1986	6749.000000	43625	2013-05-08
OSEBERG	1987	5662.000000	43625	2013-05-08
OSEBERG	1988	4777.000000	43625	2013-05-08
OSEBERG	1989	4500.000000	43625	2013-05-08
OSEBERG	1990	3943.000000	43625	2013-05-08
OSEBERG	1991	3060.000000	43625	2013-05-08
OSEBERG	1992	1089.000000	43625	2013-05-08
OSEBERG	1993	1086.000000	43625	2013-05-08
OSEBERG	1994	958.000000	43625	2013-05-08
OSEBERG	1995	912.000000	43625	2013-05-08
OSEBERG	1996	867.000000	43625	2013-05-08
OSEBERG	1997	1489.000000	43625	2013-05-08
OSEBERG	1998	1933.000000	43625	2013-05-08
OSEBERG	1999	1785.000000	43625	2013-05-08
OSEBERG	2000	554.000000	43625	2013-05-08
OSEBERG	2001	568.000000	43625	2013-05-08
OSEBERG	2002	1322.000000	43625	2013-05-08
OSEBERG	2003	992.000000	43625	2013-05-08
OSEBERG	2004	829.000000	43625	2013-05-08
OSEBERG	2005	2348.000000	43625	2013-05-08
OSEBERG	2006	2739.000000	43625	2013-05-08
OSEBERG	2007	2605.000000	43625	2013-05-08
OSEBERG	2008	2880.000000	43625	2013-05-08
OSEBERG	2009	2826.000000	43625	2013-05-08
OSEBERG	2010	3044.000000	43625	2013-05-08
OSEBERG	2011	2803.000000	43625	2013-05-08
OSEBERG	2012	0.000000	43625	2013-05-08
OSEBERG	2013	0.000000	43625	2013-05-08
OSEBERG	2014	0.000000	43625	2013-05-08
OSEBERG ØST	1996	158.000000	43639	2013-05-08
OSEBERG ØST	1997	1651.000000	43639	2013-05-08
OSEBERG ØST	1998	1356.000000	43639	2013-05-08
OSEBERG ØST	1999	636.000000	43639	2013-05-08
OSEBERG ØST	2000	787.000000	43639	2013-05-08
OSEBERG ØST	2001	710.000000	43639	2013-05-08
OSEBERG ØST	2002	514.000000	43639	2013-05-08
OSEBERG ØST	2003	84.000000	43639	2013-05-08
OSEBERG ØST	2004	112.000000	43639	2013-05-08
OSEBERG ØST	2005	442.000000	43639	2013-05-08
OSEBERG ØST	2006	582.000000	43639	2013-05-08
OSEBERG ØST	2007	390.000000	43639	2013-05-08
OSEBERG ØST	2008	430.000000	43639	2013-05-08
OSEBERG ØST	2009	126.000000	43639	2013-05-08
OSEBERG ØST	2010	160.000000	43639	2013-05-08
OSEBERG ØST	2011	689.000000	43639	2013-05-08
OSEBERG ØST	2012	0.000000	43639	2013-05-08
OSEBERG ØST	2013	0.000000	43639	2013-05-08
OSEBERG ØST	2014	0.000000	43639	2013-05-08
OSEBERG ØST	2015	0.000000	43639	2013-05-08
OSEBERG SØR	1995	0.000000	43645	2013-05-08
OSEBERG SØR	1996	0.000000	43645	2013-05-08
OSEBERG SØR	1997	214.000000	43645	2013-05-08
OSEBERG SØR	1998	1968.000000	43645	2013-05-08
OSEBERG SØR	1999	3470.000000	43645	2013-05-08
OSEBERG SØR	2000	2320.000000	43645	2013-05-08
OSEBERG SØR	2001	879.000000	43645	2013-05-08
OSEBERG SØR	2002	539.000000	43645	2013-05-08
OSEBERG SØR	2003	802.000000	43645	2013-05-08
OSEBERG SØR	2004	1851.000000	43645	2013-05-08
OSEBERG SØR	2005	1565.000000	43645	2013-05-08
OSEBERG SØR	2006	1258.000000	43645	2013-05-08
OSEBERG SØR	2007	572.000000	43645	2013-05-08
OSEBERG SØR	2008	988.000000	43645	2013-05-08
OSEBERG SØR	2009	1331.000000	43645	2013-05-08
OSEBERG SØR	2010	955.000000	43645	2013-05-08
OSEBERG SØR	2011	1396.000000	43645	2013-05-08
OSEBERG SØR	2012	0.000000	43645	2013-05-08
OSEBERG SØR	2013	0.000000	43645	2013-05-08
OSEBERG SØR	2014	0.000000	43645	2013-05-08
BRAGE	1989	0.000000	43651	2013-05-08
BRAGE	1990	370.000000	43651	2013-05-08
BRAGE	1991	2230.000000	43651	2013-05-08
BRAGE	1992	3397.000000	43651	2013-05-08
BRAGE	1993	2439.000000	43651	2013-05-08
BRAGE	1994	335.000000	43651	2013-05-08
BRAGE	1995	419.000000	43651	2013-05-08
BRAGE	1996	525.000000	43651	2013-05-08
BRAGE	1997	526.000000	43651	2013-05-08
BRAGE	1998	496.000000	43651	2013-05-08
BRAGE	1999	163.000000	43651	2013-05-08
BRAGE	2000	252.000000	43651	2013-05-08
BRAGE	2001	483.000000	43651	2013-05-08
BRAGE	2002	217.000000	43651	2013-05-08
BRAGE	2003	212.000000	43651	2013-05-08
BRAGE	2004	461.000000	43651	2013-05-08
BRAGE	2005	182.000000	43651	2013-05-08
BRAGE	2006	323.000000	43651	2013-05-08
BRAGE	2007	894.000000	43651	2013-05-08
BRAGE	2008	547.000000	43651	2013-05-08
BRAGE	2009	872.000000	43651	2013-05-08
BRAGE	2010	1036.000000	43651	2013-05-08
BRAGE	2011	683.000000	43651	2013-05-08
BRAGE	2012	0.000000	43651	2013-05-08
BRAGE	2013	0.000000	43651	2013-05-08
BRAGE	2014	0.000000	43651	2013-05-08
BRAGE	2015	0.000000	43651	2013-05-08
STATFJORD	1974	85.000000	43658	2013-05-08
STATFJORD	1975	627.000000	43658	2013-05-08
STATFJORD	1976	1450.000000	43658	2013-05-08
STATFJORD	1977	1621.000000	43658	2013-05-08
STATFJORD	1978	2379.000000	43658	2013-05-08
STATFJORD	1979	3289.000000	43658	2013-05-08
STATFJORD	1980	3037.000000	43658	2013-05-08
STATFJORD	1981	3590.000000	43658	2013-05-08
STATFJORD	1982	5375.000000	43658	2013-05-08
STATFJORD	1983	4015.000000	43658	2013-05-08
STATFJORD	1984	3192.000000	43658	2013-05-08
STATFJORD	1985	1929.000000	43658	2013-05-08
STATFJORD	1986	869.000000	43658	2013-05-08
STATFJORD	1987	307.000000	43658	2013-05-08
STATFJORD	1988	299.000000	43658	2013-05-08
STATFJORD	1989	310.000000	43658	2013-05-08
STATFJORD	1990	406.000000	43658	2013-05-08
STATFJORD	1991	764.000000	43658	2013-05-08
STATFJORD	1992	820.000000	43658	2013-05-08
STATFJORD	1993	445.000000	43658	2013-05-08
STATFJORD	1994	409.000000	43658	2013-05-08
STATFJORD	1995	604.000000	43658	2013-05-08
STATFJORD	1996	710.000000	43658	2013-05-08
STATFJORD	1997	914.000000	43658	2013-05-08
STATFJORD	1998	1742.000000	43658	2013-05-08
STATFJORD	1999	1595.000000	43658	2013-05-08
STATFJORD	2000	966.000000	43658	2013-05-08
STATFJORD	2001	1162.000000	43658	2013-05-08
STATFJORD	2002	1229.000000	43658	2013-05-08
STATFJORD	2003	1214.000000	43658	2013-05-08
STATFJORD	2004	1488.000000	43658	2013-05-08
STATFJORD	2005	1892.000000	43658	2013-05-08
STATFJORD	2006	2869.000000	43658	2013-05-08
STATFJORD	2007	2757.000000	43658	2013-05-08
STATFJORD	2008	3228.000000	43658	2013-05-08
STATFJORD	2009	3009.000000	43658	2013-05-08
STATFJORD	2010	2841.000000	43658	2013-05-08
STATFJORD	2011	1826.000000	43658	2013-05-08
STATFJORD	2012	0.000000	43658	2013-05-08
STATFJORD	2013	0.000000	43658	2013-05-08
STATFJORD	2014	0.000000	43658	2013-05-08
STATFJORD	2015	0.000000	43658	2013-05-08
STATFJORD	2016	0.000000	43658	2013-05-08
MURCHISON	1974	22.000000	43665	2013-05-08
MURCHISON	1975	57.000000	43665	2013-05-08
MURCHISON	1976	282.000000	43665	2013-05-08
MURCHISON	1977	399.000000	43665	2013-05-08
MURCHISON	1978	312.000000	43665	2013-05-08
MURCHISON	1979	161.000000	43665	2013-05-08
MURCHISON	1980	149.000000	43665	2013-05-08
MURCHISON	1981	22.000000	43665	2013-05-08
MURCHISON	1982	108.000000	43665	2013-05-08
MURCHISON	1983	175.000000	43665	2013-05-08
MURCHISON	1984	48.000000	43665	2013-05-08
MURCHISON	1985	19.000000	43665	2013-05-08
MURCHISON	1986	42.000000	43665	2013-05-08
MURCHISON	1987	29.000000	43665	2013-05-08
MURCHISON	1988	19.000000	43665	2013-05-08
MURCHISON	1989	54.000000	43665	2013-05-08
MURCHISON	1990	66.000000	43665	2013-05-08
MURCHISON	1991	38.000000	43665	2013-05-08
MURCHISON	1992	4.000000	43665	2013-05-08
MURCHISON	1993	3.000000	43665	2013-05-08
MURCHISON	1994	1.000000	43665	2013-05-08
MURCHISON	1995	4.000000	43665	2013-05-08
MURCHISON	1996	26.000000	43665	2013-05-08
MURCHISON	1997	39.000000	43665	2013-05-08
MURCHISON	1998	30.000000	43665	2013-05-08
MURCHISON	1999	42.000000	43665	2013-05-08
MURCHISON	2000	47.000000	43665	2013-05-08
MURCHISON	2001	57.000000	43665	2013-05-08
MURCHISON	2002	33.000000	43665	2013-05-08
MURCHISON	2003	66.000000	43665	2013-05-08
MURCHISON	2004	75.000000	43665	2013-05-08
MURCHISON	2005	36.000000	43665	2013-05-08
MURCHISON	2006	17.000000	43665	2013-05-08
MURCHISON	2007	30.000000	43665	2013-05-08
MURCHISON	2008	17.000000	43665	2013-05-08
MURCHISON	2009	0.000000	43665	2013-05-08
MURCHISON	2010	38.000000	43665	2013-05-08
MURCHISON	2011	30.000000	43665	2013-05-08
MURCHISON	2012	0.000000	43665	2013-05-08
MURCHISON	2013	0.000000	43665	2013-05-08
STATFJORD ØST	1990	40.000000	43672	2013-05-08
STATFJORD ØST	1991	266.000000	43672	2013-05-08
STATFJORD ØST	1992	960.000000	43672	2013-05-08
STATFJORD ØST	1993	1283.000000	43672	2013-05-08
STATFJORD ØST	1994	686.000000	43672	2013-05-08
STATFJORD ØST	1995	13.000000	43672	2013-05-08
STATFJORD ØST	1996	137.000000	43672	2013-05-08
STATFJORD ØST	1997	22.000000	43672	2013-05-08
STATFJORD ØST	1998	11.000000	43672	2013-05-08
STATFJORD ØST	1999	172.000000	43672	2013-05-08
STATFJORD ØST	2000	71.000000	43672	2013-05-08
STATFJORD ØST	2001	400.000000	43672	2013-05-08
STATFJORD ØST	2002	499.000000	43672	2013-05-08
STATFJORD ØST	2003	37.000000	43672	2013-05-08
STATFJORD ØST	2004	75.000000	43672	2013-05-08
STATFJORD ØST	2005	257.000000	43672	2013-05-08
STATFJORD ØST	2006	215.000000	43672	2013-05-08
STATFJORD ØST	2007	409.000000	43672	2013-05-08
STATFJORD ØST	2008	107.000000	43672	2013-05-08
STATFJORD ØST	2009	157.000000	43672	2013-05-08
STATFJORD ØST	2010	99.000000	43672	2013-05-08
STATFJORD ØST	2011	99.000000	43672	2013-05-08
STATFJORD ØST	2012	0.000000	43672	2013-05-08
STATFJORD ØST	2013	0.000000	43672	2013-05-08
STATFJORD ØST	2014	0.000000	43672	2013-05-08
STATFJORD NORD	1990	41.000000	43679	2013-05-08
STATFJORD NORD	1991	355.000000	43679	2013-05-08
STATFJORD NORD	1992	1173.000000	43679	2013-05-08
STATFJORD NORD	1993	1076.000000	43679	2013-05-08
STATFJORD NORD	1994	528.000000	43679	2013-05-08
STATFJORD NORD	1995	378.000000	43679	2013-05-08
STATFJORD NORD	1996	222.000000	43679	2013-05-08
STATFJORD NORD	1997	255.000000	43679	2013-05-08
STATFJORD NORD	1998	241.000000	43679	2013-05-08
STATFJORD NORD	1999	478.000000	43679	2013-05-08
STATFJORD NORD	2000	98.000000	43679	2013-05-08
STATFJORD NORD	2001	149.000000	43679	2013-05-08
STATFJORD NORD	2002	109.000000	43679	2013-05-08
STATFJORD NORD	2003	364.000000	43679	2013-05-08
STATFJORD NORD	2004	24.000000	43679	2013-05-08
STATFJORD NORD	2005	25.000000	43679	2013-05-08
STATFJORD NORD	2006	66.000000	43679	2013-05-08
STATFJORD NORD	2007	57.000000	43679	2013-05-08
STATFJORD NORD	2008	30.000000	43679	2013-05-08
STATFJORD NORD	2009	21.000000	43679	2013-05-08
STATFJORD NORD	2010	19.000000	43679	2013-05-08
STATFJORD NORD	2011	10.000000	43679	2013-05-08
STATFJORD NORD	2012	0.000000	43679	2013-05-08
STATFJORD NORD	2013	0.000000	43679	2013-05-08
STATFJORD NORD	2014	0.000000	43679	2013-05-08
STATFJORD NORD	2015	0.000000	43679	2013-05-08
STATFJORD NORD	2016	0.000000	43679	2013-05-08
GULLFAKS	1981	357.000000	43686	2013-05-08
GULLFAKS	1982	880.000000	43686	2013-05-08
GULLFAKS	1983	2821.000000	43686	2013-05-08
GULLFAKS	1984	5268.000000	43686	2013-05-08
GULLFAKS	1985	7336.000000	43686	2013-05-08
GULLFAKS	1986	9691.000000	43686	2013-05-08
GULLFAKS	1987	8965.000000	43686	2013-05-08
GULLFAKS	1988	4447.000000	43686	2013-05-08
GULLFAKS	1989	3114.000000	43686	2013-05-08
GULLFAKS	1990	1187.000000	43686	2013-05-08
GULLFAKS	1991	1265.000000	43686	2013-05-08
GULLFAKS	1992	1481.000000	43686	2013-05-08
GULLFAKS	1993	1529.000000	43686	2013-05-08
GULLFAKS	1994	683.000000	43686	2013-05-08
GULLFAKS	1995	1073.000000	43686	2013-05-08
GULLFAKS	1996	857.000000	43686	2013-05-08
GULLFAKS	1997	1095.000000	43686	2013-05-08
GULLFAKS	1998	1072.000000	43686	2013-05-08
GULLFAKS	1999	1216.000000	43686	2013-05-08
GULLFAKS	2000	1010.000000	43686	2013-05-08
GULLFAKS	2001	1257.000000	43686	2013-05-08
GULLFAKS	2002	1194.000000	43686	2013-05-08
GULLFAKS	2003	1544.000000	43686	2013-05-08
GULLFAKS	2004	1395.000000	43686	2013-05-08
GULLFAKS	2005	1248.000000	43686	2013-05-08
GULLFAKS	2006	1212.000000	43686	2013-05-08
GULLFAKS	2007	1485.000000	43686	2013-05-08
GULLFAKS	2008	2224.000000	43686	2013-05-08
GULLFAKS	2009	2622.000000	43686	2013-05-08
GULLFAKS	2010	2471.000000	43686	2013-05-08
GULLFAKS	2011	2941.000000	43686	2013-05-08
GULLFAKS	2012	0.000000	43686	2013-05-08
GULLFAKS	2013	0.000000	43686	2013-05-08
GULLFAKS SØR	1996	986.000000	43699	2013-05-08
GULLFAKS SØR	1997	2554.000000	43699	2013-05-08
GULLFAKS SØR	1998	3089.000000	43699	2013-05-08
GULLFAKS SØR	1999	3297.000000	43699	2013-05-08
GULLFAKS SØR	2000	4312.000000	43699	2013-05-08
GULLFAKS SØR	2001	2408.000000	43699	2013-05-08
GULLFAKS SØR	2002	1501.000000	43699	2013-05-08
GULLFAKS SØR	2003	1194.000000	43699	2013-05-08
GULLFAKS SØR	2004	762.000000	43699	2013-05-08
GULLFAKS SØR	2005	2050.000000	43699	2013-05-08
GULLFAKS SØR	2006	2809.000000	43699	2013-05-08
GULLFAKS SØR	2007	1451.000000	43699	2013-05-08
GULLFAKS SØR	2008	133.000000	43699	2013-05-08
GULLFAKS SØR	2009	118.000000	43699	2013-05-08
GULLFAKS SØR	2010	63.000000	43699	2013-05-08
GULLFAKS SØR	2011	1613.000000	43699	2013-05-08
GULLFAKS SØR	2012	0.000000	43699	2013-05-08
GULLFAKS SØR	2013	0.000000	43699	2013-05-08
SNORRE	1988	995.000000	43718	2013-05-08
SNORRE	1989	2953.000000	43718	2013-05-08
SNORRE	1990	6210.000000	43718	2013-05-08
SNORRE	1991	5780.000000	43718	2013-05-08
SNORRE	1992	3560.000000	43718	2013-05-08
SNORRE	1993	1513.000000	43718	2013-05-08
SNORRE	1994	853.000000	43718	2013-05-08
SNORRE	1995	816.000000	43718	2013-05-08
SNORRE	1996	941.000000	43718	2013-05-08
SNORRE	1997	620.000000	43718	2013-05-08
SNORRE	1998	1249.000000	43718	2013-05-08
SNORRE	1999	5611.000000	43718	2013-05-08
SNORRE	2000	5796.000000	43718	2013-05-08
SNORRE	2001	2962.000000	43718	2013-05-08
SNORRE	2002	2243.000000	43718	2013-05-08
SNORRE	2003	1685.000000	43718	2013-05-08
SNORRE	2004	1705.000000	43718	2013-05-08
SNORRE	2005	1554.000000	43718	2013-05-08
SNORRE	2006	1724.000000	43718	2013-05-08
SNORRE	2007	3170.000000	43718	2013-05-08
SNORRE	2008	2928.000000	43718	2013-05-08
SNORRE	2009	3714.000000	43718	2013-05-08
SNORRE	2010	3905.000000	43718	2013-05-08
SNORRE	2011	2988.000000	43718	2013-05-08
SNORRE	2012	0.000000	43718	2013-05-08
SNORRE	2013	0.000000	43718	2013-05-08
SNORRE	2014	0.000000	43718	2013-05-08
TORDIS	1991	43.000000	43725	2013-05-08
TORDIS	1992	707.000000	43725	2013-05-08
TORDIS	1993	1066.000000	43725	2013-05-08
TORDIS	1994	1346.000000	43725	2013-05-08
TORDIS	1995	358.000000	43725	2013-05-08
TORDIS	1996	246.000000	43725	2013-05-08
TORDIS	1997	109.000000	43725	2013-05-08
TORDIS	1998	230.000000	43725	2013-05-08
TORDIS	1999	640.000000	43725	2013-05-08
TORDIS	2000	612.000000	43725	2013-05-08
TORDIS	2001	496.000000	43725	2013-05-08
TORDIS	2002	636.000000	43725	2013-05-08
TORDIS	2003	134.000000	43725	2013-05-08
TORDIS	2004	233.000000	43725	2013-05-08
TORDIS	2005	191.000000	43725	2013-05-08
TORDIS	2006	1503.000000	43725	2013-05-08
TORDIS	2007	1228.000000	43725	2013-05-08
TORDIS	2008	105.000000	43725	2013-05-08
TORDIS	2009	593.000000	43725	2013-05-08
TORDIS	2010	475.000000	43725	2013-05-08
TORDIS	2011	1250.000000	43725	2013-05-08
TORDIS	2012	0.000000	43725	2013-05-08
TORDIS	2013	0.000000	43725	2013-05-08
TORDIS	2014	0.000000	43725	2013-05-08
TORDIS	2015	0.000000	43725	2013-05-08
TORDIS	2016	0.000000	43725	2013-05-08
VIGDIS	1994	125.000000	43732	2013-05-08
VIGDIS	1995	1370.000000	43732	2013-05-08
VIGDIS	1996	1473.000000	43732	2013-05-08
VIGDIS	1997	726.000000	43732	2013-05-08
VIGDIS	1998	275.000000	43732	2013-05-08
VIGDIS	1999	431.000000	43732	2013-05-08
VIGDIS	2000	685.000000	43732	2013-05-08
VIGDIS	2001	768.000000	43732	2013-05-08
VIGDIS	2002	387.000000	43732	2013-05-08
VIGDIS	2003	1628.000000	43732	2013-05-08
VIGDIS	2004	790.000000	43732	2013-05-08
VIGDIS	2005	403.000000	43732	2013-05-08
VIGDIS	2006	577.000000	43732	2013-05-08
VIGDIS	2007	1419.000000	43732	2013-05-08
VIGDIS	2008	1685.000000	43732	2013-05-08
VIGDIS	2009	1036.000000	43732	2013-05-08
VIGDIS	2010	162.000000	43732	2013-05-08
VIGDIS	2011	889.000000	43732	2013-05-08
VIGDIS	2012	0.000000	43732	2013-05-08
VIGDIS	2013	0.000000	43732	2013-05-08
VIGDIS	2014	0.000000	43732	2013-05-08
VIGDIS	2015	0.000000	43732	2013-05-08
VIGDIS	2016	0.000000	43732	2013-05-08
VISUND	1995	28.000000	43745	2013-05-08
VISUND	1996	1782.000000	43745	2013-05-08
VISUND	1997	3840.000000	43745	2013-05-08
VISUND	1998	3272.000000	43745	2013-05-08
VISUND	1999	552.000000	43745	2013-05-08
VISUND	2000	804.000000	43745	2013-05-08
VISUND	2001	1149.000000	43745	2013-05-08
VISUND	2002	939.000000	43745	2013-05-08
VISUND	2003	837.000000	43745	2013-05-08
VISUND	2004	1314.000000	43745	2013-05-08
VISUND	2005	1342.000000	43745	2013-05-08
VISUND	2006	693.000000	43745	2013-05-08
VISUND	2007	781.000000	43745	2013-05-08
VISUND	2008	799.000000	43745	2013-05-08
VISUND	2009	1236.000000	43745	2013-05-08
VISUND	2010	1329.000000	43745	2013-05-08
VISUND	2011	1439.000000	43745	2013-05-08
VISUND	2012	0.000000	43745	2013-05-08
VISUND	2013	0.000000	43745	2013-05-08
VISUND	2014	0.000000	43745	2013-05-08
VISUND	2015	0.000000	43745	2013-05-08
VISUND	2016	0.000000	43745	2013-05-08
NJORD	1995	829.000000	43751	2013-05-08
NJORD	1996	2887.000000	43751	2013-05-08
NJORD	1997	2052.000000	43751	2013-05-08
NJORD	1998	635.000000	43751	2013-05-08
NJORD	1999	1006.000000	43751	2013-05-08
NJORD	2000	621.000000	43751	2013-05-08
NJORD	2001	34.000000	43751	2013-05-08
NJORD	2002	121.000000	43751	2013-05-08
NJORD	2003	610.000000	43751	2013-05-08
NJORD	2004	32.000000	43751	2013-05-08
NJORD	2005	499.000000	43751	2013-05-08
NJORD	2006	788.000000	43751	2013-05-08
NJORD	2007	846.000000	43751	2013-05-08
NJORD	2008	846.000000	43751	2013-05-08
NJORD	2009	694.000000	43751	2013-05-08
NJORD	2010	1135.000000	43751	2013-05-08
NJORD	2011	1253.000000	43751	2013-05-08
NJORD	2012	0.000000	43751	2013-05-08
NJORD	2013	0.000000	43751	2013-05-08
NJORD	2014	0.000000	43751	2013-05-08
NJORD	2015	0.000000	43751	2013-05-08
NJORD	2016	0.000000	43751	2013-05-08
DRAUGEN	1988	231.000000	43758	2013-05-08
DRAUGEN	1989	494.000000	43758	2013-05-08
DRAUGEN	1990	2443.000000	43758	2013-05-08
DRAUGEN	1991	2795.000000	43758	2013-05-08
DRAUGEN	1992	2900.000000	43758	2013-05-08
DRAUGEN	1993	3262.000000	43758	2013-05-08
DRAUGEN	1994	1021.000000	43758	2013-05-08
DRAUGEN	1995	430.000000	43758	2013-05-08
DRAUGEN	1996	625.000000	43758	2013-05-08
DRAUGEN	1997	190.000000	43758	2013-05-08
DRAUGEN	1998	158.000000	43758	2013-05-08
DRAUGEN	1999	632.000000	43758	2013-05-08
DRAUGEN	2000	479.000000	43758	2013-05-08
DRAUGEN	2001	1068.000000	43758	2013-05-08
DRAUGEN	2002	737.000000	43758	2013-05-08
DRAUGEN	2003	495.000000	43758	2013-05-08
DRAUGEN	2004	334.000000	43758	2013-05-08
DRAUGEN	2005	216.000000	43758	2013-05-08
DRAUGEN	2006	399.000000	43758	2013-05-08
DRAUGEN	2007	622.000000	43758	2013-05-08
DRAUGEN	2008	1198.000000	43758	2013-05-08
DRAUGEN	2009	773.000000	43758	2013-05-08
DRAUGEN	2010	707.000000	43758	2013-05-08
DRAUGEN	2011	1082.000000	43758	2013-05-08
DRAUGEN	2012	0.000000	43758	2013-05-08
DRAUGEN	2013	0.000000	43758	2013-05-08
DRAUGEN	2014	0.000000	43758	2013-05-08
DRAUGEN	2015	0.000000	43758	2013-05-08
DRAUGEN	2016	0.000000	43758	2013-05-08
ÅSGARD	1996	2783.000000	43765	2013-05-08
ÅSGARD	1997	7690.000000	43765	2013-05-08
ÅSGARD	1998	12934.000000	43765	2013-05-08
ÅSGARD	1999	13602.000000	43765	2013-05-08
ÅSGARD	2000	5818.000000	43765	2013-05-08
ÅSGARD	2001	2179.000000	43765	2013-05-08
ÅSGARD	2002	1018.000000	43765	2013-05-08
ÅSGARD	2003	590.000000	43765	2013-05-08
ÅSGARD	2004	1804.000000	43765	2013-05-08
ÅSGARD	2005	1171.000000	43765	2013-05-08
ÅSGARD	2006	1635.000000	43765	2013-05-08
ÅSGARD	2007	2087.000000	43765	2013-05-08
ÅSGARD	2008	2253.000000	43765	2013-05-08
ÅSGARD	2009	2995.000000	43765	2013-05-08
ÅSGARD	2010	1461.000000	43765	2013-05-08
ÅSGARD	2011	5281.000000	43765	2013-05-08
ÅSGARD	2012	0.000000	43765	2013-05-08
ÅSGARD	2013	0.000000	43765	2013-05-08
ÅSGARD	2014	0.000000	43765	2013-05-08
ÅSGARD	2015	0.000000	43765	2013-05-08
ÅSGARD	2016	0.000000	43765	2013-05-08
HEIDRUN	1986	0.000000	43771	2013-05-08
HEIDRUN	1987	217.000000	43771	2013-05-08
HEIDRUN	1988	50.000000	43771	2013-05-08
HEIDRUN	1989	55.000000	43771	2013-05-08
HEIDRUN	1990	126.000000	43771	2013-05-08
HEIDRUN	1991	836.000000	43771	2013-05-08
HEIDRUN	1992	3096.000000	43771	2013-05-08
HEIDRUN	1993	8708.000000	43771	2013-05-08
HEIDRUN	1994	8367.000000	43771	2013-05-08
HEIDRUN	1995	4800.000000	43771	2013-05-08
HEIDRUN	1996	538.000000	43771	2013-05-08
HEIDRUN	1997	669.000000	43771	2013-05-08
HEIDRUN	1998	1474.000000	43771	2013-05-08
HEIDRUN	1999	2617.000000	43771	2013-05-08
HEIDRUN	2000	2884.000000	43771	2013-05-08
HEIDRUN	2001	1849.000000	43771	2013-05-08
HEIDRUN	2002	2009.000000	43771	2013-05-08
HEIDRUN	2003	2190.000000	43771	2013-05-08
HEIDRUN	2004	1037.000000	43771	2013-05-08
HEIDRUN	2005	1235.000000	43771	2013-05-08
HEIDRUN	2006	1681.000000	43771	2013-05-08
HEIDRUN	2007	1436.000000	43771	2013-05-08
HEIDRUN	2008	1311.000000	43771	2013-05-08
HEIDRUN	2009	2372.000000	43771	2013-05-08
HEIDRUN	2010	1349.000000	43771	2013-05-08
HEIDRUN	2011	2029.000000	43771	2013-05-08
HEIDRUN	2012	0.000000	43771	2013-05-08
HEIDRUN	2013	0.000000	43771	2013-05-08
NORNE	1994	277.000000	43778	2013-05-08
NORNE	1995	3024.000000	43778	2013-05-08
NORNE	1996	2450.000000	43778	2013-05-08
NORNE	1997	1992.000000	43778	2013-05-08
NORNE	1998	816.000000	43778	2013-05-08
NORNE	1999	939.000000	43778	2013-05-08
NORNE	2000	1088.000000	43778	2013-05-08
NORNE	2001	998.000000	43778	2013-05-08
NORNE	2002	610.000000	43778	2013-05-08
NORNE	2003	1099.000000	43778	2013-05-08
NORNE	2004	424.000000	43778	2013-05-08
NORNE	2005	1419.000000	43778	2013-05-08
NORNE	2006	1142.000000	43778	2013-05-08
NORNE	2007	1335.000000	43778	2013-05-08
NORNE	2008	1277.000000	43778	2013-05-08
NORNE	2009	1869.000000	43778	2013-05-08
NORNE	2010	2008.000000	43778	2013-05-08
NORNE	2011	1039.000000	43778	2013-05-08
NORNE	2012	0.000000	43778	2013-05-08
NORNE	2013	0.000000	43778	2013-05-08
NORNE	2014	0.000000	43778	2013-05-08
NORNE	2015	0.000000	43778	2013-05-08
NORNE	2016	0.000000	43778	2013-05-08
COD	1973	6.000000	43785	2013-05-08
COD	1974	123.000000	43785	2013-05-08
COD	1975	297.000000	43785	2013-05-08
COD	1976	248.000000	43785	2013-05-08
COD	1977	188.000000	43785	2013-05-08
COD	1978	8.000000	43785	2013-05-08
COD	1979	16.000000	43785	2013-05-08
COD	1980	24.000000	43785	2013-05-08
COD	1981	39.000000	43785	2013-05-08
COD	1982	23.000000	43785	2013-05-08
COD	1983	2.000000	43785	2013-05-08
COD	1984	1.000000	43785	2013-05-08
COD	1985	1.000000	43785	2013-05-08
COD	1986	0.000000	43785	2013-05-08
COD	1987	1.000000	43785	2013-05-08
COD	1988	1.000000	43785	2013-05-08
COD	1989	7.000000	43785	2013-05-08
COD	1990	2.000000	43785	2013-05-08
COD	1991	0.000000	43785	2013-05-08
COD	1992	0.000000	43785	2013-05-08
COD	1993	0.000000	43785	2013-05-08
COD	1994	6.000000	43785	2013-05-08
COD	1995	10.000000	43785	2013-05-08
COD	1996	0.000000	43785	2013-05-08
COD	1997	0.000000	43785	2013-05-08
COD	1998	0.000000	43785	2013-05-08
COD	1999	0.000000	43785	2013-05-08
COD	2000	0.000000	43785	2013-05-08
COD	2001	0.000000	43785	2013-05-08
COD	2002	0.000000	43785	2013-05-08
COD	2003	0.000000	43785	2013-05-08
COD	2004	0.000000	43785	2013-05-08
COD	2005	0.000000	43785	2013-05-08
COD	2006	0.000000	43785	2013-05-08
COD	2007	0.000000	43785	2013-05-08
COD	2008	0.000000	43785	2013-05-08
COD	2009	0.000000	43785	2013-05-08
COD	2010	0.000000	43785	2013-05-08
COD	2011	0.000000	43785	2013-05-08
COD	2012	0.000000	43785	2013-05-08
COD	2013	0.000000	43785	2013-05-08
COD	2014	0.000000	43785	2013-05-08
COD	2015	0.000000	43785	2013-05-08
COD	2016	0.000000	43785	2013-05-08
MIME	1989	60.000000	43792	2013-05-08
MIME	1990	264.000000	43792	2013-05-08
MIME	1991	0.000000	43792	2013-05-08
MIME	1992	0.000000	43792	2013-05-08
MIME	1993	1.000000	43792	2013-05-08
MIME	1994	0.000000	43792	2013-05-08
ULA	1983	180.000000	43800	2013-05-08
ULA	1984	1572.000000	43800	2013-05-08
ULA	1985	3178.000000	43800	2013-05-08
ULA	1986	1622.000000	43800	2013-05-08
ULA	1987	244.000000	43800	2013-05-08
ULA	1988	375.000000	43800	2013-05-08
ULA	1989	364.000000	43800	2013-05-08
ULA	1990	389.000000	43800	2013-05-08
ULA	1991	155.000000	43800	2013-05-08
ULA	1992	65.000000	43800	2013-05-08
ULA	1993	320.000000	43800	2013-05-08
ULA	1994	181.000000	43800	2013-05-08
ULA	1995	177.000000	43800	2013-05-08
ULA	1996	195.000000	43800	2013-05-08
ULA	1997	248.000000	43800	2013-05-08
ULA	1998	125.000000	43800	2013-05-08
ULA	1999	36.000000	43800	2013-05-08
ULA	2000	442.000000	43800	2013-05-08
ULA	2001	615.000000	43800	2013-05-08
ULA	2002	242.000000	43800	2013-05-08
ULA	2003	279.000000	43800	2013-05-08
ULA	2004	127.000000	43800	2013-05-08
ULA	2005	552.000000	43800	2013-05-08
ULA	2006	498.000000	43800	2013-05-08
ULA	2007	436.000000	43800	2013-05-08
ULA	2008	430.000000	43800	2013-05-08
ULA	2009	733.000000	43800	2013-05-08
ULA	2010	739.000000	43800	2013-05-08
ULA	2011	181.000000	43800	2013-05-08
ULA	2012	0.000000	43800	2013-05-08
ULA	2013	0.000000	43800	2013-05-08
ULA	2014	0.000000	43800	2013-05-08
YME	1993	23.000000	43807	2013-05-08
YME	1994	157.000000	43807	2013-05-08
YME	1995	728.000000	43807	2013-05-08
YME	1996	654.000000	43807	2013-05-08
YME	1997	207.000000	43807	2013-05-08
YME	1998	49.000000	43807	2013-05-08
YME	1999	251.000000	43807	2013-05-08
YME	2000	0.000000	43807	2013-05-08
YME	2001	0.000000	43807	2013-05-08
YME	2002	0.000000	43807	2013-05-08
YME	2003	0.000000	43807	2013-05-08
YME	2004	0.000000	43807	2013-05-08
YME	2005	0.000000	43807	2013-05-08
YME	2006	0.000000	43807	2013-05-08
YME	2007	720.000000	43807	2013-05-08
YME	2008	1679.000000	43807	2013-05-08
YME	2009	2826.000000	43807	2013-05-08
YME	2010	2297.000000	43807	2013-05-08
YME	2011	2128.000000	43807	2013-05-08
YME	2012	0.000000	43807	2013-05-08
YME	2013	0.000000	43807	2013-05-08
YME	2014	0.000000	43807	2013-05-08
TROLL	1986	44.000000	46437	2013-05-08
TROLL	1987	111.000000	46437	2013-05-08
TROLL	1988	598.000000	46437	2013-05-08
TROLL	1989	1631.000000	46437	2013-05-08
TROLL	1990	1023.000000	46437	2013-05-08
TROLL	1991	1466.000000	46437	2013-05-08
TROLL	1992	5067.000000	46437	2013-05-08
TROLL	1993	11358.000000	46437	2013-05-08
TROLL	1994	15964.000000	46437	2013-05-08
TROLL	1995	10887.000000	46437	2013-05-08
TROLL	1996	3268.000000	46437	2013-05-08
TROLL	1997	3747.000000	46437	2013-05-08
TROLL	1998	7836.000000	46437	2013-05-08
TROLL	1999	6671.000000	46437	2013-05-08
TROLL	2000	4421.000000	46437	2013-05-08
TROLL	2001	4583.000000	46437	2013-05-08
TROLL	2002	3590.000000	46437	2013-05-08
TROLL	2003	4067.000000	46437	2013-05-08
TROLL	2004	3471.000000	46437	2013-05-08
TROLL	2005	3202.000000	46437	2013-05-08
TROLL	2006	3217.000000	46437	2013-05-08
TROLL	2007	4225.000000	46437	2013-05-08
TROLL	2008	6130.000000	46437	2013-05-08
TROLL	2009	7752.000000	46437	2013-05-08
TROLL	2010	7628.000000	46437	2013-05-08
TROLL	2011	8663.000000	46437	2013-05-08
TROLL	2012	0.000000	46437	2013-05-08
TROLL	2013	0.000000	46437	2013-05-08
TROLL	2014	0.000000	46437	2013-05-08
TROLL	2015	0.000000	46437	2013-05-08
TROLL	2016	0.000000	46437	2013-05-08
TROLL	2017	0.000000	46437	2013-05-08
TROLL	2018	0.000000	46437	2013-05-08
TROLL	2019	0.000000	46437	2013-05-08
TROLL	2020	0.000000	46437	2013-05-08
HULDRA	1998	179.000000	97002	2013-05-08
HULDRA	1999	1430.000000	97002	2013-05-08
HULDRA	2000	2251.000000	97002	2013-05-08
HULDRA	2001	1900.000000	97002	2013-05-08
HULDRA	2002	477.000000	97002	2013-05-08
HULDRA	2003	78.000000	97002	2013-05-08
HULDRA	2004	58.000000	97002	2013-05-08
HULDRA	2005	314.000000	97002	2013-05-08
HULDRA	2006	350.000000	97002	2013-05-08
HULDRA	2007	179.000000	97002	2013-05-08
HULDRA	2008	102.000000	97002	2013-05-08
HULDRA	2009	65.000000	97002	2013-05-08
HULDRA	2010	23.000000	97002	2013-05-08
HULDRA	2011	54.000000	97002	2013-05-08
HULDRA	2012	0.000000	97002	2013-05-08
HULDRA	2013	0.000000	97002	2013-05-08
HULDRA	2014	0.000000	97002	2013-05-08
HULDRA	2015	0.000000	97002	2013-05-08
HULDRA	2016	0.000000	97002	2013-05-08
SYGNA	1999	512.000000	104718	2013-05-08
SYGNA	2000	1089.000000	104718	2013-05-08
SYGNA	2001	18.000000	104718	2013-05-08
SYGNA	2002	96.000000	104718	2013-05-08
SYGNA	2003	180.000000	104718	2013-05-08
SYGNA	2004	13.000000	104718	2013-05-08
SYGNA	2005	11.000000	104718	2013-05-08
SYGNA	2006	11.000000	104718	2013-05-08
SYGNA	2007	15.000000	104718	2013-05-08
SYGNA	2008	18.000000	104718	2013-05-08
SYGNA	2009	7.000000	104718	2013-05-08
SYGNA	2010	3.000000	104718	2013-05-08
SYGNA	2011	11.000000	104718	2013-05-08
SYGNA	2012	0.000000	104718	2013-05-08
SYGNA	2013	0.000000	104718	2013-05-08
TUNE	1998	0.000000	853376	2013-05-08
TUNE	1999	36.000000	853376	2013-05-08
TUNE	2000	695.000000	853376	2013-05-08
TUNE	2001	1532.000000	853376	2013-05-08
TUNE	2002	1218.000000	853376	2013-05-08
TUNE	2003	29.000000	853376	2013-05-08
TUNE	2004	76.000000	853376	2013-05-08
TUNE	2005	331.000000	853376	2013-05-08
TUNE	2006	90.000000	853376	2013-05-08
TUNE	2007	53.000000	853376	2013-05-08
TUNE	2008	136.000000	853376	2013-05-08
TUNE	2009	549.000000	853376	2013-05-08
TUNE	2010	7.000000	853376	2013-05-08
TUNE	2011	23.000000	853376	2013-05-08
TUNE	2012	0.000000	853376	2013-05-08
TUNE	2013	0.000000	853376	2013-05-08
TUNE	2014	0.000000	853376	2013-05-08
TUNE	2015	0.000000	853376	2013-05-08
TUNE	2016	0.000000	853376	2013-05-08
TAMBAR	2000	356.000000	1028599	2013-05-08
TAMBAR	2001	990.000000	1028599	2013-05-08
TAMBAR	2002	4.000000	1028599	2013-05-08
TAMBAR	2003	15.000000	1028599	2013-05-08
TAMBAR	2004	38.000000	1028599	2013-05-08
TAMBAR	2005	72.000000	1028599	2013-05-08
TAMBAR	2006	243.000000	1028599	2013-05-08
TAMBAR	2007	392.000000	1028599	2013-05-08
TAMBAR	2008	91.000000	1028599	2013-05-08
TAMBAR	2009	0.000000	1028599	2013-05-08
TAMBAR	2010	0.000000	1028599	2013-05-08
TAMBAR	2011	11.000000	1028599	2013-05-08
TAMBAR	2012	0.000000	1028599	2013-05-08
TAMBAR	2013	0.000000	1028599	2013-05-08
TAMBAR	2014	0.000000	1028599	2013-05-08
TAMBAR	2015	0.000000	1028599	2013-05-08
TAMBAR	2016	0.000000	1028599	2013-05-08
GRANE	1996	0.000000	1035937	2013-05-08
GRANE	1999	87.000000	1035937	2013-05-08
GRANE	2000	869.000000	1035937	2013-05-08
GRANE	2001	3299.000000	1035937	2013-05-08
GRANE	2002	5200.000000	1035937	2013-05-08
GRANE	2003	2537.000000	1035937	2013-05-08
GRANE	2004	746.000000	1035937	2013-05-08
GRANE	2005	710.000000	1035937	2013-05-08
GRANE	2006	829.000000	1035937	2013-05-08
GRANE	2007	1052.000000	1035937	2013-05-08
GRANE	2008	989.000000	1035937	2013-05-08
GRANE	2009	1097.000000	1035937	2013-05-08
GRANE	2010	1170.000000	1035937	2013-05-08
GRANE	2011	1161.000000	1035937	2013-05-08
GRANE	2012	0.000000	1035937	2013-05-08
GRANE	2013	0.000000	1035937	2013-05-08
GRANE	2014	0.000000	1035937	2013-05-08
GRANE	2015	0.000000	1035937	2013-05-08
GRANE	2016	0.000000	1035937	2013-05-08
KVITEBJØRN	2000	385.000000	1036101	2013-05-08
KVITEBJØRN	2001	2524.000000	1036101	2013-05-08
KVITEBJØRN	2002	2626.000000	1036101	2013-05-08
KVITEBJØRN	2003	1710.000000	1036101	2013-05-08
KVITEBJØRN	2004	1008.000000	1036101	2013-05-08
KVITEBJØRN	2005	801.000000	1036101	2013-05-08
KVITEBJØRN	2006	544.000000	1036101	2013-05-08
KVITEBJØRN	2007	953.000000	1036101	2013-05-08
KVITEBJØRN	2008	965.000000	1036101	2013-05-08
KVITEBJØRN	2009	587.000000	1036101	2013-05-08
KVITEBJØRN	2010	902.000000	1036101	2013-05-08
KVITEBJØRN	2011	702.000000	1036101	2013-05-08
KVITEBJØRN	2012	0.000000	1036101	2013-05-08
KVITEBJØRN	2013	0.000000	1036101	2013-05-08
KVITEBJØRN	2014	0.000000	1036101	2013-05-08
KVITEBJØRN	2015	0.000000	1036101	2013-05-08
KVITEBJØRN	2016	0.000000	1036101	2013-05-08
GLITNE	2000	240.000000	1272071	2013-05-08
GLITNE	2001	635.000000	1272071	2013-05-08
GLITNE	2002	0.000000	1272071	2013-05-08
GLITNE	2003	270.000000	1272071	2013-05-08
GLITNE	2004	420.000000	1272071	2013-05-08
GLITNE	2005	9.000000	1272071	2013-05-08
GLITNE	2006	57.000000	1272071	2013-05-08
GLITNE	2007	740.000000	1272071	2013-05-08
GLITNE	2008	104.000000	1272071	2013-05-08
GLITNE	2009	12.000000	1272071	2013-05-08
GLITNE	2010	2.000000	1272071	2013-05-08
GLITNE	2011	47.000000	1272071	2013-05-08
GLITNE	2012	0.000000	1272071	2013-05-08
GLITNE	2013	0.000000	1272071	2013-05-08
FRAM	1997	0.000000	1578840	2013-05-08
FRAM	1998	0.000000	1578840	2013-05-08
FRAM	1999	0.000000	1578840	2013-05-08
FRAM	2000	0.000000	1578840	2013-05-08
FRAM	2001	434.000000	1578840	2013-05-08
FRAM	2002	1514.000000	1578840	2013-05-08
FRAM	2003	1518.000000	1578840	2013-05-08
FRAM	2004	96.000000	1578840	2013-05-08
FRAM	2005	846.000000	1578840	2013-05-08
FRAM	2006	1840.000000	1578840	2013-05-08
FRAM	2007	1808.000000	1578840	2013-05-08
FRAM	2008	1677.000000	1578840	2013-05-08
FRAM	2009	25.000000	1578840	2013-05-08
FRAM	2010	117.000000	1578840	2013-05-08
FRAM	2011	3.000000	1578840	2013-05-08
FRAM	2012	0.000000	1578840	2013-05-08
FRAM	2013	0.000000	1578840	2013-05-08
FRAM	2014	0.000000	1578840	2013-05-08
FRAM	2015	0.000000	1578840	2013-05-08
FRAM	2016	0.000000	1578840	2013-05-08
VALE	1998	17.000000	1578893	2013-05-08
VALE	1999	163.000000	1578893	2013-05-08
VALE	2000	109.000000	1578893	2013-05-08
VALE	2001	779.000000	1578893	2013-05-08
VALE	2002	320.000000	1578893	2013-05-08
VALE	2003	34.000000	1578893	2013-05-08
VALE	2004	86.000000	1578893	2013-05-08
VALE	2005	446.000000	1578893	2013-05-08
VALE	2006	24.000000	1578893	2013-05-08
VALE	2007	114.000000	1578893	2013-05-08
VALE	2008	136.000000	1578893	2013-05-08
VALE	2009	114.000000	1578893	2013-05-08
VALE	2010	55.000000	1578893	2013-05-08
VALE	2011	98.000000	1578893	2013-05-08
VALE	2012	0.000000	1578893	2013-05-08
VALE	2013	0.000000	1578893	2013-05-08
SIGYN	2000	5.000000	1630100	2013-05-08
SIGYN	2001	421.000000	1630100	2013-05-08
SIGYN	2002	1605.000000	1630100	2013-05-08
SIGYN	2003	17.000000	1630100	2013-05-08
SIGYN	2004	21.000000	1630100	2013-05-08
SIGYN	2005	8.000000	1630100	2013-05-08
SIGYN	2006	4.000000	1630100	2013-05-08
SIGYN	2007	1.000000	1630100	2013-05-08
SIGYN	2008	1.000000	1630100	2013-05-08
SIGYN	2009	0.000000	1630100	2013-05-08
SIGYN	2010	0.000000	1630100	2013-05-08
SIGYN	2011	0.000000	1630100	2013-05-08
SIGYN	2012	0.000000	1630100	2013-05-08
SIGYN	2013	0.000000	1630100	2013-05-08
MIKKEL	2001	339.000000	1630514	2013-05-08
MIKKEL	2002	1038.000000	1630514	2013-05-08
MIKKEL	2003	407.000000	1630514	2013-05-08
MIKKEL	2004	1.000000	1630514	2013-05-08
MIKKEL	2005	19.000000	1630514	2013-05-08
MIKKEL	2006	6.000000	1630514	2013-05-08
MIKKEL	2007	29.000000	1630514	2013-05-08
MIKKEL	2008	14.000000	1630514	2013-05-08
MIKKEL	2009	10.000000	1630514	2013-05-08
MIKKEL	2010	23.000000	1630514	2013-05-08
MIKKEL	2011	297.000000	1630514	2013-05-08
MIKKEL	2012	0.000000	1630514	2013-05-08
MIKKEL	2013	0.000000	1630514	2013-05-08
MIKKEL	2014	0.000000	1630514	2013-05-08
KRISTIN	2001	158.000000	1854729	2013-05-08
KRISTIN	2002	1668.000000	1854729	2013-05-08
KRISTIN	2003	6312.000000	1854729	2013-05-08
KRISTIN	2004	6571.000000	1854729	2013-05-08
KRISTIN	2005	3965.000000	1854729	2013-05-08
KRISTIN	2006	1594.000000	1854729	2013-05-08
KRISTIN	2007	1737.000000	1854729	2013-05-08
KRISTIN	2008	1175.000000	1854729	2013-05-08
KRISTIN	2009	528.000000	1854729	2013-05-08
KRISTIN	2010	496.000000	1854729	2013-05-08
KRISTIN	2011	263.000000	1854729	2013-05-08
KRISTIN	2012	0.000000	1854729	2013-05-08
KRISTIN	2013	0.000000	1854729	2013-05-08
KRISTIN	2014	0.000000	1854729	2013-05-08
KRISTIN	2015	0.000000	1854729	2013-05-08
KRISTIN	2016	0.000000	1854729	2013-05-08
SNØHVIT	2002	201.000000	2053062	2013-05-08
SNØHVIT	2003	902.000000	2053062	2013-05-08
SNØHVIT	2004	2371.000000	2053062	2013-05-08
SNØHVIT	2005	3093.000000	2053062	2013-05-08
SNØHVIT	2006	1113.000000	2053062	2013-05-08
SNØHVIT	2007	237.000000	2053062	2013-05-08
SNØHVIT	2008	27.000000	2053062	2013-05-08
SNØHVIT	2009	58.000000	2053062	2013-05-08
SNØHVIT	2010	100.000000	2053062	2013-05-08
SNØHVIT	2011	133.000000	2053062	2013-05-08
SNØHVIT	2012	0.000000	2053062	2013-05-08
SNØHVIT	2013	0.000000	2053062	2013-05-08
SNØHVIT	2014	0.000000	2053062	2013-05-08
SNØHVIT	2015	0.000000	2053062	2013-05-08
SNØHVIT	2016	0.000000	2053062	2013-05-08
SKIRNE	2001	16.000000	2138816	2013-05-08
SKIRNE	2002	407.000000	2138816	2013-05-08
SKIRNE	2003	1237.000000	2138816	2013-05-08
SKIRNE	2004	307.000000	2138816	2013-05-08
SKIRNE	2005	225.000000	2138816	2013-05-08
SKIRNE	2006	21.000000	2138816	2013-05-08
SKIRNE	2007	110.000000	2138816	2013-05-08
SKIRNE	2008	201.000000	2138816	2013-05-08
SKIRNE	2009	124.000000	2138816	2013-05-08
SKIRNE	2010	35.000000	2138816	2013-05-08
SKIRNE	2011	2.000000	2138816	2013-05-08
SKIRNE	2012	0.000000	2138816	2013-05-08
SKIRNE	2013	0.000000	2138816	2013-05-08
SKIRNE	2014	0.000000	2138816	2013-05-08
SKIRNE	2015	0.000000	2138816	2013-05-08
SKIRNE	2016	0.000000	2138816	2013-05-08
ORMEN LANGE	2003	7.000000	2762452	2013-05-08
ORMEN LANGE	2004	1696.000000	2762452	2013-05-08
ORMEN LANGE	2005	4303.000000	2762452	2013-05-08
ORMEN LANGE	2006	4879.000000	2762452	2013-05-08
ORMEN LANGE	2007	4202.000000	2762452	2013-05-08
ORMEN LANGE	2008	4673.000000	2762452	2013-05-08
ORMEN LANGE	2009	7193.000000	2762452	2013-05-08
ORMEN LANGE	2010	4194.000000	2762452	2013-05-08
ORMEN LANGE	2011	4820.000000	2762452	2013-05-08
ORMEN LANGE	2012	0.000000	2762452	2013-05-08
ORMEN LANGE	2013	0.000000	2762452	2013-05-08
ORMEN LANGE	2014	0.000000	2762452	2013-05-08
ORMEN LANGE	2015	0.000000	2762452	2013-05-08
ORMEN LANGE	2016	0.000000	2762452	2013-05-08
URD	2003	0.000000	2834734	2013-05-08
URD	2004	1195.000000	2834734	2013-05-08
URD	2005	1813.000000	2834734	2013-05-08
URD	2006	661.000000	2834734	2013-05-08
URD	2007	312.000000	2834734	2013-05-08
URD	2008	269.000000	2834734	2013-05-08
URD	2009	19.000000	2834734	2013-05-08
URD	2010	35.000000	2834734	2013-05-08
URD	2011	769.000000	2834734	2013-05-08
URD	2012	0.000000	2834734	2013-05-08
URD	2013	0.000000	2834734	2013-05-08
URD	2014	0.000000	2834734	2013-05-08
URD	2015	0.000000	2834734	2013-05-08
URD	2016	0.000000	2834734	2013-05-08
ALVHEIM	2004	485.000000	2845712	2013-05-08
ALVHEIM	2005	3253.000000	2845712	2013-05-08
ALVHEIM	2006	3840.000000	2845712	2013-05-08
ALVHEIM	2007	4339.000000	2845712	2013-05-08
ALVHEIM	2008	2684.000000	2845712	2013-05-08
ALVHEIM	2009	433.000000	2845712	2013-05-08
ALVHEIM	2010	1320.000000	2845712	2013-05-08
ALVHEIM	2011	1354.000000	2845712	2013-05-08
ALVHEIM	2012	0.000000	2845712	2013-05-08
ALVHEIM	2013	0.000000	2845712	2013-05-08
ALVHEIM	2014	0.000000	2845712	2013-05-08
ALVHEIM	2015	0.000000	2845712	2013-05-08
ALVHEIM	2016	0.000000	2845712	2013-05-08
VILJE	2005	587.000000	3392471	2013-05-08
VILJE	2006	1004.000000	3392471	2013-05-08
VILJE	2007	191.000000	3392471	2013-05-08
VILJE	2008	138.000000	3392471	2013-05-08
VILJE	2009	2.000000	3392471	2013-05-08
VILJE	2010	1.000000	3392471	2013-05-08
VILJE	2011	24.000000	3392471	2013-05-08
VILJE	2012	0.000000	3392471	2013-05-08
VILJE	2013	0.000000	3392471	2013-05-08
VILJE	2014	0.000000	3392471	2013-05-08
VILJE	2015	0.000000	3392471	2013-05-08
VILJE	2016	0.000000	3392471	2013-05-08
VOLVE	2005	184.000000	3420717	2013-05-08
VOLVE	2006	583.000000	3420717	2013-05-08
VOLVE	2007	1170.000000	3420717	2013-05-08
VOLVE	2008	696.000000	3420717	2013-05-08
VOLVE	2009	300.000000	3420717	2013-05-08
VOLVE	2010	74.000000	3420717	2013-05-08
VOLVE	2011	37.000000	3420717	2013-05-08
VOLVE	2012	0.000000	3420717	2013-05-08
VOLVE	2013	0.000000	3420717	2013-05-08
VOLVE	2014	0.000000	3420717	2013-05-08
VOLVE	2015	0.000000	3420717	2013-05-08
VOLVE	2016	0.000000	3420717	2013-05-08
BLANE	2005	51.000000	3437650	2013-05-08
BLANE	2006	300.000000	3437650	2013-05-08
BLANE	2007	129.000000	3437650	2013-05-08
BLANE	2008	61.000000	3437650	2013-05-08
BLANE	2009	3.000000	3437650	2013-05-08
BLANE	2010	3.000000	3437650	2013-05-08
BLANE	2011	2.000000	3437650	2013-05-08
BLANE	2012	0.000000	3437650	2013-05-08
BLANE	2013	0.000000	3437650	2013-05-08
BLANE	2014	0.000000	3437650	2013-05-08
BLANE	2015	0.000000	3437650	2013-05-08
ENOCH	2005	6.000000	3437659	2013-05-08
ENOCH	2006	202.000000	3437659	2013-05-08
ENOCH	2007	0.000000	3437659	2013-05-08
ENOCH	2008	0.000000	3437659	2013-05-08
ENOCH	2009	0.000000	3437659	2013-05-08
ENOCH	2010	0.000000	3437659	2013-05-08
ENOCH	2011	0.000000	3437659	2013-05-08
ENOCH	2012	0.000000	3437659	2013-05-08
ENOCH	2013	0.000000	3437659	2013-05-08
RINGHORNE ØST	2005	90.000000	3505505	2013-05-08
RINGHORNE ØST	2006	395.000000	3505505	2013-05-08
RINGHORNE ØST	2007	29.000000	3505505	2013-05-08
RINGHORNE ØST	2008	1.000000	3505505	2013-05-08
RINGHORNE ØST	2009	25.000000	3505505	2013-05-08
RINGHORNE ØST	2010	142.000000	3505505	2013-05-08
RINGHORNE ØST	2011	56.000000	3505505	2013-05-08
RINGHORNE ØST	2012	0.000000	3505505	2013-05-08
RINGHORNE ØST	2013	0.000000	3505505	2013-05-08
RINGHORNE ØST	2014	0.000000	3505505	2013-05-08
RINGHORNE ØST	2015	0.000000	3505505	2013-05-08
RINGHORNE ØST	2016	0.000000	3505505	2013-05-08
TYRIHANS	2004	206.000000	3960848	2013-05-08
TYRIHANS	2005	348.000000	3960848	2013-05-08
TYRIHANS	2006	1578.000000	3960848	2013-05-08
TYRIHANS	2007	3284.000000	3960848	2013-05-08
TYRIHANS	2008	3528.000000	3960848	2013-05-08
TYRIHANS	2009	2336.000000	3960848	2013-05-08
TYRIHANS	2010	2101.000000	3960848	2013-05-08
TYRIHANS	2011	1822.000000	3960848	2013-05-08
TYRIHANS	2012	0.000000	3960848	2013-05-08
TYRIHANS	2013	0.000000	3960848	2013-05-08
TYRIHANS	2014	0.000000	3960848	2013-05-08
TYRIHANS	2015	0.000000	3960848	2013-05-08
TYRIHANS	2016	0.000000	3960848	2013-05-08
GIMLE	2004	113.000000	4005142	2013-05-08
GIMLE	2005	0.000000	4005142	2013-05-08
GIMLE	2006	99.000000	4005142	2013-05-08
GIMLE	2007	280.000000	4005142	2013-05-08
GIMLE	2008	272.000000	4005142	2013-05-08
GIMLE	2009	6.000000	4005142	2013-05-08
GIMLE	2010	1.000000	4005142	2013-05-08
GIMLE	2011	9.000000	4005142	2013-05-08
GIMLE	2012	0.000000	4005142	2013-05-08
GIMLE	2013	0.000000	4005142	2013-05-08
GIMLE	2014	0.000000	4005142	2013-05-08
GIMLE	2015	0.000000	4005142	2013-05-08
GIMLE	2016	0.000000	4005142	2013-05-08
VOLUND	2004	0.000000	4380167	2013-05-08
VOLUND	2005	18.000000	4380167	2013-05-08
VOLUND	2006	0.000000	4380167	2013-05-08
VOLUND	2007	502.000000	4380167	2013-05-08
VOLUND	2008	626.000000	4380167	2013-05-08
VOLUND	2009	1257.000000	4380167	2013-05-08
VOLUND	2010	748.000000	4380167	2013-05-08
VOLUND	2011	34.000000	4380167	2013-05-08
VOLUND	2012	0.000000	4380167	2013-05-08
VOLUND	2013	0.000000	4380167	2013-05-08
VOLUND	2014	0.000000	4380167	2013-05-08
VOLUND	2015	0.000000	4380167	2013-05-08
VOLUND	2016	0.000000	4380167	2013-05-08
ALVE	2006	46.000000	4444332	2013-05-08
ALVE	2007	712.000000	4444332	2013-05-08
ALVE	2008	1636.000000	4444332	2013-05-08
ALVE	2009	674.000000	4444332	2013-05-08
ALVE	2010	427.000000	4444332	2013-05-08
ALVE	2011	369.000000	4444332	2013-05-08
ALVE	2012	0.000000	4444332	2013-05-08
ALVE	2013	0.000000	4444332	2013-05-08
ALVE	2014	0.000000	4444332	2013-05-08
ALVE	2015	0.000000	4444332	2013-05-08
REV	2001	0.000000	4467554	2013-05-08
REV	2002	0.000000	4467554	2013-05-08
REV	2003	0.000000	4467554	2013-05-08
REV	2004	0.000000	4467554	2013-05-08
REV	2005	0.000000	4467554	2013-05-08
REV	2006	524.000000	4467554	2013-05-08
REV	2007	1457.000000	4467554	2013-05-08
REV	2008	1600.000000	4467554	2013-05-08
REV	2009	232.000000	4467554	2013-05-08
REV	2010	18.000000	4467554	2013-05-08
REV	2011	0.000000	4467554	2013-05-08
REV	2012	0.000000	4467554	2013-05-08
REV	2013	0.000000	4467554	2013-05-08
REV	2014	0.000000	4467554	2013-05-08
REV	2015	0.000000	4467554	2013-05-08
REV	2016	0.000000	4467554	2013-05-08
GJØA	1997	0.000000	4467574	2013-05-08
GJØA	1998	0.000000	4467574	2013-05-08
GJØA	1999	0.000000	4467574	2013-05-08
GJØA	2000	0.000000	4467574	2013-05-08
GJØA	2001	0.000000	4467574	2013-05-08
GJØA	2002	0.000000	4467574	2013-05-08
GJØA	2003	0.000000	4467574	2013-05-08
GJØA	2004	0.000000	4467574	2013-05-08
GJØA	2005	0.000000	4467574	2013-05-08
GJØA	2006	135.000000	4467574	2013-05-08
GJØA	2007	3745.000000	4467574	2013-05-08
GJØA	2008	9143.000000	4467574	2013-05-08
GJØA	2009	9901.000000	4467574	2013-05-08
GJØA	2010	2672.000000	4467574	2013-05-08
GJØA	2011	2447.000000	4467574	2013-05-08
GJØA	2012	0.000000	4467574	2013-05-08
GJØA	2013	0.000000	4467574	2013-05-08
GJØA	2014	0.000000	4467574	2013-05-08
GJØA	2015	0.000000	4467574	2013-05-08
GJØA	2016	0.000000	4467574	2013-05-08
VEGA	2006	0.000000	4467595	2013-05-08
VEGA	2007	744.000000	4467595	2013-05-08
VEGA	2008	1433.000000	4467595	2013-05-08
VEGA	2009	2414.000000	4467595	2013-05-08
VEGA	2010	2516.000000	4467595	2013-05-08
VEGA	2011	1396.000000	4467595	2013-05-08
VEGA	2012	0.000000	4467595	2013-05-08
VEGA	2013	0.000000	4467595	2013-05-08
VEGA	2014	0.000000	4467595	2013-05-08
VEGA	2015	0.000000	4467595	2013-05-08
VEGA	2016	0.000000	4467595	2013-05-08
SKARV	2002	0.000000	4704482	2013-05-08
SKARV	2003	0.000000	4704482	2013-05-08
SKARV	2004	0.000000	4704482	2013-05-08
SKARV	2005	0.000000	4704482	2013-05-08
SKARV	2006	0.000000	4704482	2013-05-08
SKARV	2007	1537.000000	4704482	2013-05-08
SKARV	2008	6915.000000	4704482	2013-05-08
SKARV	2009	11925.000000	4704482	2013-05-08
SKARV	2010	7826.000000	4704482	2013-05-08
SKARV	2011	8916.000000	4704482	2013-05-08
SKARV	2012	0.000000	4704482	2013-05-08
SKARV	2013	0.000000	4704482	2013-05-08
SKARV	2014	0.000000	4704482	2013-05-08
MORVIN	2007	409.000000	4966234	2013-05-08
MORVIN	2008	1707.000000	4966234	2013-05-08
MORVIN	2009	1843.000000	4966234	2013-05-08
MORVIN	2010	3429.000000	4966234	2013-05-08
MORVIN	2011	606.000000	4966234	2013-05-08
MORVIN	2012	0.000000	4966234	2013-05-08
MORVIN	2013	0.000000	4966234	2013-05-08
MORVIN	2014	0.000000	4966234	2013-05-08
MORVIN	2015	0.000000	4966234	2013-05-08
MORVIN	2016	0.000000	4966234	2013-05-08
YTTERGRYTA	2006	52.000000	4973114	2013-05-08
YTTERGRYTA	2007	249.000000	4973114	2013-05-08
YTTERGRYTA	2008	1078.000000	4973114	2013-05-08
YTTERGRYTA	2009	79.000000	4973114	2013-05-08
YTTERGRYTA	2010	9.000000	4973114	2013-05-08
YTTERGRYTA	2011	2.000000	4973114	2013-05-08
YTTERGRYTA	2012	0.000000	4973114	2013-05-08
YTTERGRYTA	2013	0.000000	4973114	2013-05-08
YTTERGRYTA	2014	0.000000	4973114	2013-05-08
YTTERGRYTA	2015	0.000000	4973114	2013-05-08
TAMBAR ØST	2007	874.000000	4999528	2013-05-08
TAMBAR ØST	2008	160.000000	4999528	2013-05-08
TAMBAR ØST	2009	0.000000	4999528	2013-05-08
TAMBAR ØST	2010	0.000000	4999528	2013-05-08
TAMBAR ØST	2011	0.000000	4999528	2013-05-08
TAMBAR ØST	2012	0.000000	4999528	2013-05-08
TAMBAR ØST	2013	0.000000	4999528	2013-05-08
TAMBAR ØST	2014	0.000000	4999528	2013-05-08
OSELVAR	2009	502.000000	5506919	2013-05-08
OSELVAR	2010	1181.000000	5506919	2013-05-08
OSELVAR	2011	1852.000000	5506919	2013-05-08
OSELVAR	2012	0.000000	5506919	2013-05-08
OSELVAR	2013	0.000000	5506919	2013-05-08
OSELVAR	2014	0.000000	5506919	2013-05-08
OSELVAR	2015	0.000000	5506919	2013-05-08
GOLIAT	2009	755.000000	5774394	2013-05-08
GOLIAT	2010	2744.000000	5774394	2013-05-08
GOLIAT	2011	6683.000000	5774394	2013-05-08
GOLIAT	2012	0.000000	5774394	2013-05-08
GOLIAT	2013	0.000000	5774394	2013-05-08
GOLIAT	2014	0.000000	5774394	2013-05-08
GOLIAT	2015	0.000000	5774394	2013-05-08
GOLIAT	2016	0.000000	5774394	2013-05-08
TRYM	2009	526.000000	18081500	2013-05-08
TRYM	2010	1592.000000	18081500	2013-05-08
TRYM	2011	838.000000	18081500	2013-05-08
TRYM	2012	0.000000	18081500	2013-05-08
TRYM	2013	0.000000	18081500	2013-05-08
TRYM	2014	0.000000	18081500	2013-05-08
TRYM	2015	0.000000	18081500	2013-05-08
TRYM	2016	0.000000	18081500	2013-05-08
GUDRUN	2010	1078.000000	18116481	2013-05-08
GUDRUN	2011	4779.000000	18116481	2013-05-08
GUDRUN	2012	0.000000	18116481	2013-05-08
GUDRUN	2013	0.000000	18116481	2013-05-08
GUDRUN	2014	0.000000	18116481	2013-05-08
GUDRUN	2015	0.000000	18116481	2013-05-08
GUDRUN	2016	0.000000	18116481	2013-05-08
GAUPE	2010	378.000000	18161341	2013-05-08
GAUPE	2011	1707.000000	18161341	2013-05-08
GAUPE	2012	0.000000	18161341	2013-05-08
GAUPE	2013	0.000000	18161341	2013-05-08
GAUPE	2014	0.000000	18161341	2013-05-08
GAUPE	2015	0.000000	18161341	2013-05-08
GAUPE	2016	0.000000	18161341	2013-05-08
MARULK	2009	38.000000	18212090	2013-05-08
MARULK	2010	410.000000	18212090	2013-05-08
MARULK	2011	1725.000000	18212090	2013-05-08
MARULK	2012	0.000000	18212090	2013-05-08
MARULK	2013	0.000000	18212090	2013-05-08
MARULK	2014	0.000000	18212090	2013-05-08
VALEMON	2010	85.000000	20460969	2013-05-08
VALEMON	2011	1399.000000	20460969	2013-05-08
VALEMON	2012	0.000000	20460969	2013-05-08
VALEMON	2013	0.000000	20460969	2013-05-08
VALEMON	2014	0.000000	20460969	2013-05-08
VALEMON	2015	0.000000	20460969	2013-05-08
VALEMON	2016	0.000000	20460969	2013-05-08
KNARR	2011	534.000000	20460988	2013-05-08
KNARR	2012	0.000000	20460988	2013-05-08
KNARR	2013	0.000000	20460988	2013-05-08
KNARR	2014	0.000000	20460988	2013-05-08
KNARR	2015	0.000000	20460988	2013-05-08
KNARR	2016	0.000000	20460988	2013-05-08
VISUND SØR	2011	826.000000	20461008	2013-05-08
VISUND SØR	2012	0.000000	20461008	2013-05-08
VISUND SØR	2013	0.000000	20461008	2013-05-08
VISUND SØR	2014	0.000000	20461008	2013-05-08
VISUND SØR	2015	0.000000	20461008	2013-05-08
VISUND SØR	2016	0.000000	20461008	2013-05-08
HYME	2011	897.000000	20474183	2013-05-08
HYME	2012	0.000000	20474183	2013-05-08
HYME	2013	0.000000	20474183	2013-05-08
HYME	2014	0.000000	20474183	2013-05-08
HYME	2015	0.000000	20474183	2013-05-08
HYME	2016	0.000000	20474183	2013-05-08
ISLAY	2010	14.000000	21105675	2013-05-08
ISLAY	2011	564.000000	21105675	2013-05-08
ISLAY	2012	0.000000	21105675	2013-05-08
ISLAY	2013	0.000000	21105675	2013-05-08
ISLAY	2014	0.000000	21105675	2013-05-08
ISLAY	2015	0.000000	21105675	2013-05-08
ATLA	2011	324.000000	21106284	2013-05-08
ATLA	2012	0.000000	21106284	2013-05-08
ATLA	2013	0.000000	21106284	2013-05-08
ATLA	2014	0.000000	21106284	2013-05-08
ATLA	2015	0.000000	21106284	2013-05-08
ATLA	2016	0.000000	21106284	2013-05-08
BRYNHILD	2011	210.000000	21123063	2013-05-08
BRYNHILD	2012	0.000000	21123063	2013-05-08
BRYNHILD	2013	0.000000	21123063	2013-05-08
BRYNHILD	2014	0.000000	21123063	2013-05-08
BRYNHILD	2015	0.000000	21123063	2013-05-08
BRYNHILD	2016	0.000000	21123063	2013-05-08
SKULD	2011	1434.000000	21350124	2013-05-08
SKULD	2012	0.000000	21350124	2013-05-08
SKULD	2013	0.000000	21350124	2013-05-08
SKULD	2014	0.000000	21350124	2013-05-08
SKULD	2015	0.000000	21350124	2013-05-08
SKULD	2016	0.000000	21350124	2013-05-08
JETTE	2011	263.000000	21613906	2013-05-08
JETTE	2012	0.000000	21613906	2013-05-08
JETTE	2013	0.000000	21613906	2013-05-08
JETTE	2014	0.000000	21613906	2013-05-08
JETTE	2015	0.000000	21613906	2013-05-08
JETTE	2016	0.000000	21613906	2013-05-08
MARTIN LINGE	2006	75.000000	21675447	2013-05-08
MARTIN LINGE	2007	0.000000	21675447	2013-05-08
MARTIN LINGE	2008	117.000000	21675447	2013-05-08
MARTIN LINGE	2009	23.000000	21675447	2013-05-08
MARTIN LINGE	2010	0.000000	21675447	2013-05-08
MARTIN LINGE	2011	187.000000	21675447	2013-05-08
BØYLA	2011	85.000000	22492497	2013-05-08
BØYLA	2012	0.000000	22492497	2013-05-08
BØYLA	2013	0.000000	22492497	2013-05-08
BØYLA	2014	0.000000	22492497	2013-05-08
BØYLA	2015	0.000000	22492497	2013-05-08
BØYLA	2016	0.000000	22492497	2013-05-08
\.



COPY field_licensee_hst (fldname, fldownername, fldownerkind, fldownerfrom, fldownerto, fldlicenseefrom, fldlicenseeto, cmplongname, fldcompanyshare, fldsdfishare, fldnpdidfield, cmpnpdidcompany, fldlicenseedateupdated, datesyncnpd) FROM stdin;
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Norsk Agip  AS	13.040000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Norsk Agip  AS	13.040000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Norsk Agip  AS	13.040000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Norsk Agip  AS	13.040000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Norsk Agip  AS	13.040000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Norsk Agip  AS	13.040000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Norsk Agip  AS	13.040000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Norsk Agip  AS	12.388000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Norsk Agip  AS	12.388000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Norsk Agip  AS	12.388000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Norsk Agip  AS	12.388000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Norsk Agip  AS	12.388000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Norsk Agip  AS	12.388000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Norsk Agip  AS	12.388000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Norsk Agip  AS	12.388000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Norsk Agip  AS	12.388000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Norsk Agip  AS	12.388000	\N	43437	45	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Aquitaine Norge A/S	2.698000	\N	43437	111	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Cofranord A/S	0.304000	\N	43437	199	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Cofranord A/S	0.304000	\N	43437	199	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Cofranord A/S	0.304000	\N	43437	199	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Coparex Norge A/S	0.399000	\N	43437	243	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Coparex Norge A/S	0.399000	\N	43437	243	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Coparex Norge A/S	0.399000	\N	43437	243	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Elf Norge A/S	5.396000	\N	43437	287	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Elf Petroleum Norge AS	7.594000	\N	43437	298	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Elf Petroleum Norge AS	7.594000	\N	43437	298	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Elf Petroleum Norge AS	8.449000	\N	43437	298	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Elf Petroleum Norge AS	8.026000	\N	43437	298	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Elf Rep Norge A/S	0.456000	\N	43437	309	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Elf Rex Norge AS	0.399000	\N	43437	320	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Elf Rex Norge AS	0.855000	\N	43437	320	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Elf Rex Norge AS	0.855000	\N	43437	320	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Elf Aquitaine Norge A/S	8.094000	\N	43437	331	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Elf Aquitaine Norge A/S	7.594000	\N	43437	331	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Elf Aquitaine Norge A/S	7.594000	\N	43437	331	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Eurafrep Norge A/S	0.456000	\N	43437	364	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Eurafrep Norge A/S	0.456000	\N	43437	364	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Eurafrep Norge A/S	0.456000	\N	43437	364	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Fina Production Licenses AS	30.000000	\N	43437	386	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Fina Production Licenses AS	30.000000	\N	43437	386	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Fina Production Licenses AS	30.000000	\N	43437	386	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Fina Production Licenses AS	30.000000	\N	43437	386	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Fina Production Licenses AS	30.000000	\N	43437	386	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Fina Production Licenses AS	30.000000	\N	43437	386	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Fina Production Licenses AS	30.000000	\N	43437	386	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Fina Production Licenses AS	28.500000	\N	43437	386	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Fina Production Licenses AS	28.500000	\N	43437	386	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Norsk Hydro Produksjon AS	6.700000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Norsk Hydro Produksjon AS	6.700000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Norsk Hydro Produksjon AS	6.700000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Norsk Hydro Produksjon AS	6.700000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Norsk Hydro Produksjon AS	6.365000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Norsk Hydro Produksjon AS	6.365000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Norsk Hydro Produksjon AS	6.365000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	6.654000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	6.654000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	6.654000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Norsk Hydro Produksjon AS	6.654000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Norsk Hydro Produksjon AS	6.654000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	6.654000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Norsk Hydro Produksjon AS	6.654000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Norsk Hydro Produksjon AS	6.654000	\N	43437	430	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Norminol AS	0.304000	\N	43437	529	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Norminol AS	0.304000	\N	43437	529	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Phillips Petroleum Company Norway	36.960000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Phillips Petroleum Company Norway	36.960000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Phillips Petroleum Company Norway	36.960000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Phillips Petroleum Company Norway	36.960000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Phillips Petroleum Company Norway	36.960000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Phillips Petroleum Company Norway	36.960000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Phillips Petroleum Company Norway	36.960000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Phillips Petroleum Company Norway	35.112000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Phillips Petroleum Company Norway	35.112000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Phillips Petroleum Company Norway	35.112000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Phillips Petroleum Company Norway	35.112000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Phillips Petroleum Company Norway	35.112000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Phillips Petroleum Company Norway	35.112000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Phillips Petroleum Company Norway	35.112000	\N	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	35.112000	\N	43437	705	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Saga Petroleum ASA	0.304000	\N	43437	716	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Saga Petroleum ASA	0.304000	\N	43437	716	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Saga Petroleum ASA	0.289000	\N	43437	716	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Saga Petroleum ASA	0.289000	\N	43437	716	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Saga Petroleum ASA	0.289000	\N	43437	716	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Den norske stats oljeselskap a.s	1.000000	\N	43437	749	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Den norske stats oljeselskap a.s	1.000000	\N	43437	749	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43437	749	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43437	749	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43437	749	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Den norske stats oljeselskap a.s	5.950000	5.000000	43437	749	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Den norske stats oljeselskap a.s	5.950000	5.000000	43437	749	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Den norske stats oljeselskap a.s	5.950000	5.000000	43437	749	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	5.950000	5.000000	43437	749	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Total Norge AS	4.047000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Total Norge AS	4.047000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Total Norge AS	3.547000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Total Norge AS	3.547000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Total Norge AS	3.547000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Total Norge AS	3.547000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Total Norge AS	3.547000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Total Norge AS	3.370000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Total Norge AS	3.370000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Total Norge AS	31.870000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Total Norge AS	31.870000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Total Norge AS	31.870000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	31.870000	\N	43437	848	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	TotalFinaElf Exploration Norge AS	8.026000	\N	43437	1340884	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	TotalFinaElf Exploration Norge AS	8.026000	\N	43437	1340884	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	8.026000	\N	43437	1340884	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	8.026000	\N	43437	1340884	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	8.026000	\N	43437	1340884	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	TotalFinaElf Exploration Norge AS	39.896000	\N	43437	1340884	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	TotalFinaElf Exploration Norge AS	39.896000	\N	43437	1340884	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	39.896000	\N	43437	1340884	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	0.950000	\N	43437	1622484	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	0.950000	\N	43437	1622484	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Statoil ASA (old)	0.950000	\N	43437	1622484	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Statoil ASA (old)	0.950000	\N	43437	1622484	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Statoil ASA (old)	0.950000	\N	43437	1622484	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Statoil ASA (old)	0.950000	\N	43437	1622484	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Statoil ASA (old)	0.950000	\N	43437	1622484	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	0.950000	\N	43437	1622484	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	SDØE	5.000000	\N	43437	1623450	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Petoro AS	5.000000	\N	43437	1626839	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Petoro AS	5.000000	\N	43437	1626839	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Petoro AS	5.000000	\N	43437	1626839	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Petoro AS	5.000000	\N	43437	1626839	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Petoro AS	5.000000	\N	43437	1626839	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Petoro AS	5.000000	\N	43437	1626839	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Petoro AS	5.000000	\N	43437	1626839	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	Petoro AS	5.000000	\N	43437	1626839	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	Petoro AS	5.000000	\N	43437	1626839	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Petoro AS	5.000000	\N	43437	1626839	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	ConocoPhillips Norge	35.112000	\N	43437	2144081	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Eni Norge AS	12.388000	\N	43437	2388594	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	12.388000	\N	43437	2388594	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	Eni Norge AS	12.388000	\N	43437	2388594	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	Eni Norge AS	12.388000	\N	43437	2388594	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Eni Norge AS	12.388000	\N	43437	2388594	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	ConocoPhillips Skandinavia AS	35.112000	\N	43437	2410696	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43437	2410696	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.112000	\N	43437	2410696	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43437	2410696	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	35.112000	\N	43437	2410696	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	43437	2410696	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Total E&P Norge AS	39.896000	\N	43437	2410708	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Total E&P Norge AS	39.896000	\N	43437	2410708	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	39.896000	\N	43437	2410708	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	39.896000	\N	43437	2410708	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	39.896000	\N	43437	2410708	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Total E&P Norge AS	39.896000	\N	43437	2410708	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.654000	\N	43437	4511658	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	7.604000	\N	43437	4511658	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	0.950000	\N	43437	4511854	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	6.654000	\N	43437	4524355	9999-12-31	2013-05-08
ALBUSKJELL	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	7.604000	\N	43437	17237817	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	1986-06-12	2000-12-15	Norsk Agip  AS	9.130000	\N	43444	45	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2000-12-15	2001-01-01	Norsk Agip  AS	9.130000	\N	43444	45	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-01-01	2001-05-10	Norsk Agip  AS	9.130000	\N	43444	45	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-05-10	2001-06-01	Norsk Agip  AS	9.130000	\N	43444	45	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-06-01	2001-12-18	Norsk Agip  AS	9.130000	\N	43444	45	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-12-18	2003-05-06	Norsk Agip  AS	9.130000	\N	43444	45	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2003-05-06	2003-12-31	Norsk Agip  AS	9.130000	\N	43444	45	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	1986-06-12	2000-12-15	Fina Production Licenses AS	20.230000	\N	43444	386	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-01-01	2001-05-10	Phillips Petroleum Norsk AS	28.260000	\N	43444	705	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-05-10	2001-06-01	Phillips Petroleum Norsk AS	28.260000	\N	43444	705	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-06-01	2001-12-18	Phillips Petroleum Norsk AS	28.260000	\N	43444	705	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-12-18	2003-05-06	Phillips Petroleum Norsk AS	28.260000	\N	43444	705	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	1986-06-12	2000-12-15	Den norske stats oljeselskap a.s	70.640000	42.380000	43444	749	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2000-12-15	2001-01-01	Den norske stats oljeselskap a.s	70.640000	42.380000	43444	749	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-01-01	2001-05-10	Den norske stats oljeselskap a.s	42.380000	42.380000	43444	749	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2000-12-15	2001-01-01	Total Norge AS	20.230000	\N	43444	848	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-01-01	2001-05-10	Total Norge AS	20.230000	\N	43444	848	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-05-10	2001-06-01	Total Norge AS	20.230000	\N	43444	848	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-06-01	2001-12-18	Total Norge AS	20.230000	\N	43444	848	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	20.230000	\N	43444	1340884	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-06-01	2001-12-18	Statoil ASA (old)	42.380000	\N	43444	1622484	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-12-18	2003-05-06	Statoil ASA (old)	42.380000	\N	43444	1622484	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2003-05-06	2003-12-31	Statoil ASA (old)	42.380000	\N	43444	1622484	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2003-12-31	2007-10-01	Statoil ASA (old)	42.380000	\N	43444	1622484	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2001-05-10	2001-06-01	SDØE	42.380000	\N	43444	1623450	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2003-12-31	2007-10-01	Eni Norge AS	9.130000	\N	43444	2388594	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2007-10-01	2009-01-01	Eni Norge AS	9.130000	\N	43444	2388594	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2009-01-01	2009-11-01	Eni Norge AS	9.130000	\N	43444	2388594	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2009-11-01	9999-12-31	Eni Norge AS	9.130000	\N	43444	2388594	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2003-05-06	2003-12-31	ConocoPhillips Skandinavia AS	28.260000	\N	43444	2410696	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2003-12-31	2007-10-01	ConocoPhillips Skandinavia AS	28.260000	\N	43444	2410696	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	28.260000	\N	43444	2410696	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	28.260000	\N	43444	2410696	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	28.260000	\N	43444	2410696	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2003-05-06	2003-12-31	Total E&P Norge AS	20.230000	\N	43444	2410708	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2003-12-31	2007-10-01	Total E&P Norge AS	20.230000	\N	43444	2410708	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	20.230000	\N	43444	2410708	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	20.230000	\N	43444	2410708	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2009-11-01	9999-12-31	Total E&P Norge AS	20.230000	\N	43444	2410708	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	42.380000	\N	43444	4511658	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	42.380000	\N	43444	4511854	9999-12-31	2013-05-08
TOMMELITEN GAMMA	TOMMELITEN UNIT	BUSINESS ARRANGEMENT AREA	1986-06-12	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	42.380000	\N	43444	17237817	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2000-10-20	2001-01-11	Norsk Hydro Produksjon AS	7.000000	\N	43451	430	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	42.000000	\N	43451	430	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	42.000000	\N	43451	430	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2001-06-17	2002-03-13	Norsk Hydro Produksjon AS	42.000000	\N	43451	430	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	1996-05-03	2000-10-20	Saga Petroleum ASA	35.000000	\N	43451	716	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2000-10-20	2001-01-11	Saga Petroleum ASA	35.000000	\N	43451	716	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	1996-05-03	2000-10-20	Den norske stats oljeselskap a.s	65.000000	30.000000	43451	749	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2000-10-20	2001-01-11	Den norske stats oljeselskap a.s	58.000000	30.000000	43451	749	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	58.000000	30.000000	43451	749	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	28.000000	\N	43451	1622484	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2001-06-17	2002-03-13	Statoil ASA (old)	28.000000	\N	43451	1622484	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2002-03-13	2002-04-19	Statoil ASA (old)	28.000000	\N	43451	1622484	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2002-04-19	2002-05-02	Statoil ASA (old)	28.000000	\N	43451	1622484	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2002-05-02	2002-06-04	Statoil ASA (old)	28.000000	\N	43451	1622484	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2001-05-10	2001-06-17	SDØE	30.000000	\N	43451	1623450	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2001-06-17	2002-03-13	Petoro AS	30.000000	\N	43451	1626839	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2002-03-13	2002-04-19	Petoro AS	30.000000	\N	43451	1626839	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2002-04-19	2002-05-02	Petoro AS	30.000000	\N	43451	1626839	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2002-05-02	2002-06-04	Petoro AS	30.000000	\N	43451	1626839	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2002-06-04	2005-03-31	Petoro AS	30.000000	\N	43451	1626839	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2005-03-31	2005-04-01	Petoro AS	30.000000	\N	43451	1626839	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2005-04-01	2005-04-02	Petoro AS	30.000000	\N	43451	1626839	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2005-04-02	2006-03-01	Petoro AS	30.000000	\N	43451	1626839	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2006-03-01	2007-11-16	Petoro AS	30.000000	\N	43451	1626839	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2007-11-16	2009-12-22	Petoro AS	30.000000	\N	43451	1626839	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2009-12-22	9999-12-31	Petoro AS	30.000000	\N	43451	1626839	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2002-03-13	2002-04-19	PGS Production AS	42.000000	\N	43451	2060190	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2002-04-19	2002-05-02	PGS Petroleum AS	42.000000	\N	43451	2069526	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2002-05-02	2002-06-04	Pertra AS (OLD)	42.000000	\N	43451	2069841	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2002-06-04	2005-03-31	Pertra AS (OLD)	70.000000	\N	43451	2069841	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2005-04-02	2006-03-01	Talisman Energy Norge AS	65.000000	\N	43451	2425093	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2006-03-01	2007-11-16	Talisman Energy Norge AS	65.000000	\N	43451	2425093	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2007-11-16	2009-12-22	Talisman Energy Norge AS	65.000000	\N	43451	2425093	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2009-12-22	9999-12-31	Talisman Energy Norge AS	65.000000	\N	43451	2425093	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2005-03-31	2005-04-01	Talisman Production Norge AS	70.000000	\N	43451	3420565	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2005-04-01	2005-04-02	Talisman Production Norge AS	65.000000	\N	43451	3420565	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2005-04-01	2005-04-02	Pertra AS	5.000000	\N	43451	3425724	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2005-04-02	2006-03-01	Pertra AS	5.000000	\N	43451	3425724	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2006-03-01	2007-11-16	Pertra ASA	5.000000	\N	43451	3964368	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2007-11-16	2009-12-22	Det norske oljeselskap ASA (old)	5.000000	\N	43451	4539989	9999-12-31	2013-05-08
VARG	038	PRODUCTION LICENSE	1996-05-03	9999-12-31	2009-12-22	9999-12-31	Det norske oljeselskap ASA	5.000000	\N	43451	17342870	9999-12-31	2013-05-08
SLEIPNER VEST	046	PRODUCTION LICENSE	1992-12-14	1994-06-30	1992-12-14	1993-01-15	Elf Petroleum Norge AS	9.000000	\N	43457	298	9999-12-31	2013-05-08
SLEIPNER VEST	046	PRODUCTION LICENSE	1992-12-14	1994-06-30	1993-01-15	1994-06-30	Elf Petroleum Norge AS	9.000000	\N	43457	298	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	1994-07-01	1998-01-01	Elf Petroleum Norge AS	8.470080	\N	43457	298	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	1998-01-01	2000-07-24	Elf Petroleum Norge AS	9.411200	\N	43457	298	9999-12-31	2013-05-08
SLEIPNER VEST	046	PRODUCTION LICENSE	1992-12-14	1994-06-30	1992-12-14	1993-01-15	Esso Exploration and Production Norway A/S	30.400000	\N	43457	353	9999-12-31	2013-05-08
SLEIPNER VEST	046	PRODUCTION LICENSE	1992-12-14	1994-06-30	1993-01-15	1994-06-30	Esso Exploration and Production Norway A/S	28.000000	\N	43457	353	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	1994-07-01	1998-01-01	Esso Exploration and Production Norway A/S	32.239360	\N	43457	353	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	1998-01-01	2000-07-24	Esso Exploration and Production Norway A/S	32.239360	\N	43457	353	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2000-07-24	2001-05-10	Esso Exploration and Production Norway A/S	32.239360	\N	43457	353	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	32.239360	\N	43457	353	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2001-06-01	2003-05-06	Esso Exploration and Production Norway A/S	32.239360	\N	43457	353	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	32.239360	\N	43457	353	9999-12-31	2013-05-08
SLEIPNER VEST	046	PRODUCTION LICENSE	1992-12-14	1994-06-30	1992-12-14	1993-01-15	Norsk Hydro Produksjon AS	10.000000	\N	43457	430	9999-12-31	2013-05-08
SLEIPNER VEST	046	PRODUCTION LICENSE	1992-12-14	1994-06-30	1993-01-15	1994-06-30	Norsk Hydro Produksjon AS	9.400000	\N	43457	430	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	1994-07-01	1998-01-01	Norsk Hydro Produksjon AS	8.846530	\N	43457	430	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	1998-01-01	2000-07-24	Norsk Hydro Produksjon AS	8.846530	\N	43457	430	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	8.846530	\N	43457	430	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	8.846530	\N	43457	430	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2001-06-01	2003-05-06	Norsk Hydro Produksjon AS	8.846530	\N	43457	430	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	8.846530	\N	43457	430	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	8.846530	\N	43457	430	9999-12-31	2013-05-08
SLEIPNER VEST	046	PRODUCTION LICENSE	1992-12-14	1994-06-30	1992-12-14	1993-01-15	Den norske stats oljeselskap a.s	49.600000	29.600000	43457	749	9999-12-31	2013-05-08
SLEIPNER VEST	046	PRODUCTION LICENSE	1992-12-14	1994-06-30	1993-01-15	1994-06-30	Den norske stats oljeselskap a.s	52.600000	34.400000	43457	749	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	1994-07-01	1998-01-01	Den norske stats oljeselskap a.s	49.502910	32.374530	43457	749	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	1998-01-01	2000-07-24	Den norske stats oljeselskap a.s	49.502910	32.374530	43457	749	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	49.502910	32.374530	43457	749	9999-12-31	2013-05-08
SLEIPNER VEST	046	PRODUCTION LICENSE	1992-12-14	1994-06-30	1992-12-14	1993-01-15	Total Norge AS	1.000000	\N	43457	848	9999-12-31	2013-05-08
SLEIPNER VEST	046	PRODUCTION LICENSE	1992-12-14	1994-06-30	1993-01-15	1994-06-30	Total Norge AS	1.000000	\N	43457	848	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	1994-07-01	1998-01-01	Total Norge AS	0.941120	\N	43457	848	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	9.411200	\N	43457	1340884	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	9.411200	\N	43457	1340884	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2001-06-01	2003-05-06	TotalFinaElf Exploration Norge AS	9.411200	\N	43457	1340884	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	17.128380	\N	43457	1622484	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2001-06-01	2003-05-06	Statoil ASA (old)	49.502910	\N	43457	1622484	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2003-05-06	2004-10-01	Statoil ASA (old)	49.502910	\N	43457	1622484	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2004-10-01	2007-01-01	Statoil ASA (old)	49.502910	\N	43457	1622484	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	49.502910	\N	43457	1622484	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2001-05-10	2001-06-01	SDØE	32.374530	\N	43457	1623450	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2003-05-06	2004-10-01	Total E&P Norge AS	9.411200	\N	43457	2410708	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2004-10-01	2007-01-01	Total E&P Norge AS	9.411200	\N	43457	2410708	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	9.411200	\N	43457	2410708	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	9.411200	\N	43457	2410708	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-03-05	2003-05-06	Norsk Agip  AS	12.388000	\N	43506	45	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	9.411200	\N	43457	2410708	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2009-11-01	9999-12-31	Total E&P Norge AS	9.411200	\N	43457	2410708	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	32.239360	\N	43457	2835212	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	32.239360	\N	43457	2835212	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	32.239360	\N	43457	2835212	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	32.239360	\N	43457	2835212	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	32.239360	\N	43457	2835212	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	8.846530	\N	43457	4511658	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	58.349440	\N	43457	4511658	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	49.502910	\N	43457	4511854	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	8.846530	\N	43457	4524355	9999-12-31	2013-05-08
SLEIPNER VEST	SLEIPNER VEST UNIT	BUSINESS ARRANGEMENT AREA	1994-07-01	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	58.349440	\N	43457	17237817	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	1995-08-29	1998-01-01	Elf Petroleum Norge AS	9.000000	\N	43464	298	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	1998-01-01	2000-07-24	Elf Petroleum Norge AS	10.000000	\N	43464	298	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	1995-08-29	1998-01-01	Esso Exploration and Production Norway A/S	28.000000	\N	43464	353	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	1998-01-01	2000-07-24	Esso Exploration and Production Norway A/S	28.000000	\N	43464	353	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2000-07-24	2001-05-10	Esso Exploration and Production Norway A/S	28.000000	\N	43464	353	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	28.000000	\N	43464	353	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2001-06-01	2003-05-06	Esso Exploration and Production Norway A/S	28.000000	\N	43464	353	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	28.000000	\N	43464	353	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	1995-08-29	1998-01-01	Norsk Hydro Produksjon AS	9.400000	\N	43464	430	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	1998-01-01	2000-07-24	Norsk Hydro Produksjon AS	9.400000	\N	43464	430	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	9.400000	\N	43464	430	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.400000	\N	43464	430	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2001-06-01	2003-05-06	Norsk Hydro Produksjon AS	9.400000	\N	43464	430	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	9.400000	\N	43464	430	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	9.400000	\N	43464	430	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	1995-08-29	1998-01-01	Den norske stats oljeselskap a.s	52.600000	34.400000	43464	749	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	1998-01-01	2000-07-24	Den norske stats oljeselskap a.s	52.600000	34.400000	43464	749	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	52.600000	34.400000	43464	749	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	1995-08-29	1998-01-01	Total Norge AS	1.000000	\N	43464	848	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	10.000000	\N	43464	1340884	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	10.000000	\N	43464	1340884	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2001-06-01	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	43464	1340884	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	18.200000	\N	43464	1622484	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2001-06-01	2003-05-06	Statoil ASA (old)	52.600000	\N	43464	1622484	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2003-05-06	2004-10-01	Statoil ASA (old)	52.600000	\N	43464	1622484	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2004-10-01	2007-01-01	Statoil ASA (old)	52.600000	\N	43464	1622484	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	52.600000	\N	43464	1622484	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2001-05-10	2001-06-01	SDØE	34.400000	\N	43464	1623450	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2003-05-06	2004-10-01	Total E&P Norge AS	10.000000	\N	43464	2410708	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2004-10-01	2007-01-01	Total E&P Norge AS	10.000000	\N	43464	2410708	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	43464	2410708	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	10.000000	\N	43464	2410708	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	43464	2410708	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2009-11-02	9999-12-31	Total E&P Norge AS	10.000000	\N	43464	2410708	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	28.000000	\N	43464	2835212	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	28.000000	\N	43464	2835212	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	28.000000	\N	43464	2835212	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	28.000000	\N	43464	2835212	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	28.000000	\N	43464	2835212	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.400000	\N	43464	4511658	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	62.000000	\N	43464	4511658	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	52.600000	\N	43464	4511854	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.400000	\N	43464	4524355	9999-12-31	2013-05-08
GUNGNE	046	PRODUCTION LICENSE	1995-08-29	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	62.000000	\N	43464	17237817	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1988-01-01	1993-01-14	Elf Petroleum Norge AS	9.000000	\N	43478	298	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	1993-01-15	1998-01-01	Elf Petroleum Norge AS	9.000000	\N	43478	298	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	1998-01-01	2000-07-24	Elf Petroleum Norge AS	10.000000	\N	43478	298	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1987-01-01	1988-01-01	Elf Aquitaine Norge A/S	9.000000	\N	43478	331	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1986-12-15	1987-01-01	Esso Exploration and Production Norway A/S	40.000000	\N	43478	353	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1987-01-01	1988-01-01	Esso Exploration and Production Norway A/S	40.000000	\N	43478	353	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1988-01-01	1993-01-14	Esso Exploration and Production Norway A/S	30.400000	\N	43478	353	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	1993-01-15	1998-01-01	Esso Exploration and Production Norway A/S	30.400000	\N	43478	353	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	1998-01-01	2000-07-24	Esso Exploration and Production Norway A/S	30.400000	\N	43478	353	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2000-07-24	2001-05-10	Esso Exploration and Production Norway A/S	30.400000	\N	43478	353	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	30.400000	\N	43478	353	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2001-06-01	2003-05-06	Esso Exploration and Production Norway A/S	30.400000	\N	43478	353	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	30.400000	\N	43478	353	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1986-12-15	1987-01-01	Norsk Hydro Produksjon AS	10.000000	\N	43478	430	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1987-01-01	1988-01-01	Norsk Hydro Produksjon AS	10.000000	\N	43478	430	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1988-01-01	1993-01-14	Norsk Hydro Produksjon AS	10.000000	\N	43478	430	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	1993-01-15	1998-01-01	Norsk Hydro Produksjon AS	10.000000	\N	43478	430	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	1998-01-01	2000-07-24	Norsk Hydro Produksjon AS	10.000000	\N	43478	430	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	43478	430	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	10.000000	\N	43478	430	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2001-06-01	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	43478	430	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	10.000000	\N	43478	430	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	43478	430	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1986-12-15	1987-01-01	Den norske stats oljeselskap a.s	50.000000	20.000000	43478	749	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1987-01-01	1988-01-01	Den norske stats oljeselskap a.s	40.000000	29.600000	43478	749	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1988-01-01	1993-01-14	Den norske stats oljeselskap a.s	49.600000	29.600000	43478	749	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	1993-01-15	1998-01-01	Den norske stats oljeselskap a.s	49.600000	29.600000	43478	749	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	1998-01-01	2000-07-24	Den norske stats oljeselskap a.s	49.600000	29.600000	43478	749	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	49.600000	29.600000	43478	749	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1987-01-01	1988-01-01	Total Norge AS	1.000000	\N	43478	848	9999-12-31	2013-05-08
SLEIPNER ØST	046	PRODUCTION LICENSE	1986-12-15	1993-01-14	1988-01-01	1993-01-14	Total Norge AS	1.000000	\N	43478	848	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	1993-01-15	1998-01-01	Total Norge AS	1.000000	\N	43478	848	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	10.000000	\N	43478	1340884	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	10.000000	\N	43478	1340884	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2001-06-01	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	43478	1340884	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	43478	1622484	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2001-06-01	2003-05-06	Statoil ASA (old)	49.600000	\N	43478	1622484	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2003-05-06	2004-10-01	Statoil ASA (old)	49.600000	\N	43478	1622484	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2004-10-01	2007-01-01	Statoil ASA (old)	49.600000	\N	43478	1622484	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	49.600000	\N	43478	1622484	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2001-05-10	2001-06-01	SDØE	29.600000	\N	43478	1623450	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2003-05-06	2004-10-01	Total E&P Norge AS	10.000000	\N	43478	2410708	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2004-10-01	2007-01-01	Total E&P Norge AS	10.000000	\N	43478	2410708	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	43478	2410708	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	10.000000	\N	43478	2410708	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	10.000000	\N	43478	2410708	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2009-11-01	9999-12-31	Total E&P Norge AS	10.000000	\N	43478	2410708	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	43478	2835212	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	43478	2835212	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	43478	2835212	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-05-06	2003-12-15	Norsk Agip  AS	12.388000	\N	43506	45	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	43478	2835212	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	30.400000	\N	43478	2835212	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	10.000000	\N	43478	4511658	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	59.600000	\N	43478	4511658	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	49.600000	\N	43478	4511854	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	43478	4524355	9999-12-31	2013-05-08
SLEIPNER ØST	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	1993-01-15	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	59.600000	\N	43478	17237817	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1988-06-26	1989-03-01	Amerada Hess Norge AS	25.000000	\N	43485	67	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1989-03-01	1992-02-25	Amerada Hess Norge AS	25.000000	\N	43485	67	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1992-02-25	1999-12-23	Amerada Hess Norge AS	25.000000	\N	43485	67	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1999-12-23	2000-07-24	Amerada Hess Norge AS	25.000000	\N	43485	67	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2000-07-24	2001-12-31	Amerada Hess Norge AS	25.000000	\N	43485	67	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2001-12-31	2002-03-12	Amerada Hess Norge AS	25.000000	\N	43485	67	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2002-03-12	2003-05-06	Amerada Hess Norge AS	25.000000	\N	43485	67	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2003-05-06	2006-06-26	Amerada Hess Norge AS	25.000000	\N	43485	67	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1988-06-26	1989-03-01	Amoco Norway Oil Company	25.000000	\N	43485	78	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1989-03-01	1992-02-25	Amoco Norway Oil Company	25.000000	\N	43485	78	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1992-02-25	1999-12-23	Amoco Norway Oil Company	25.000000	\N	43485	78	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1992-02-25	1999-12-23	Elf Petroleum Norge AS	25.000000	\N	43485	298	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1999-12-23	2000-07-24	Elf Petroleum Norge AS	25.000000	\N	43485	298	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1989-03-01	1992-02-25	Enterprise Oil Norwegian AS	25.000000	\N	43485	342	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1992-02-25	1999-12-23	Enterprise Oil Norwegian AS	25.000000	\N	43485	342	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1999-12-23	2000-07-24	Enterprise Oil Norwegian AS	25.000000	\N	43485	342	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2000-07-24	2001-12-31	Enterprise Oil Norwegian AS	25.000000	\N	43485	342	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1988-06-26	1989-03-01	Norwegian Oil Consortium A/S & Co	25.000000	\N	43485	518	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1989-03-01	1992-02-25	Norwegian Oil Consortium A/S & Co	25.000000	\N	43485	518	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1988-06-26	1989-03-01	Texas Eastern Norwegian Inc.	25.000000	\N	43485	837	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	1999-12-23	2000-07-24	BP Amoco Norge AS	25.000000	\N	43485	982372	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2000-07-24	2001-12-31	BP Amoco Norge AS	25.000000	\N	43485	982372	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2001-12-31	2002-03-12	BP Amoco Norge AS	25.000000	\N	43485	982372	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2000-07-24	2001-12-31	TotalFinaElf Exploration Norge AS	25.000000	\N	43485	1340884	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2001-12-31	2002-03-12	TotalFinaElf Exploration Norge AS	25.000000	\N	43485	1340884	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2002-03-12	2003-05-06	TotalFinaElf Exploration Norge AS	25.000000	\N	43485	1340884	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2001-12-31	2002-03-12	Enterprise Oil Norge AS	25.000000	\N	43485	1853786	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2002-03-12	2003-05-06	Enterprise Oil Norge AS	25.000000	\N	43485	1853786	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2003-05-06	2006-06-26	Enterprise Oil Norge AS	25.000000	\N	43485	1853786	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2006-06-26	2010-01-01	Enterprise Oil Norge AS	25.000000	\N	43485	1853786	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2010-01-01	2010-01-02	Enterprise Oil Norge AS	25.000000	\N	43485	1853786	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2002-03-12	2003-05-06	BP Norge AS	25.000000	\N	43485	2052695	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2003-05-06	2006-06-26	BP Norge AS	25.000000	\N	43485	2052695	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2006-06-26	2010-01-01	BP Norge AS	25.000000	\N	43485	2052695	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2010-01-01	2010-01-02	BP Norge AS	37.500000	\N	43485	2052695	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2010-01-02	9999-12-31	BP Norge AS	37.500000	\N	43485	2052695	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2003-05-06	2006-06-26	Total E&P Norge AS	25.000000	\N	43485	2410708	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2006-06-26	2010-01-01	Total E&P Norge AS	25.000000	\N	43485	2410708	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2006-06-26	2010-01-01	Hess Norge AS	25.000000	\N	43485	4038735	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2010-01-01	2010-01-02	Hess Norge AS	37.500000	\N	43485	4038735	9999-12-31	2013-05-08
HOD	033	PRODUCTION LICENSE	1988-06-26	9999-12-31	2010-01-02	9999-12-31	Hess Norge AS	62.500000	\N	43485	4038735	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1988-04-29	1996-03-02	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-03-02	1997-01-01	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1997-01-01	1997-05-15	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1997-05-15	1999-12-23	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1999-12-23	2001-05-10	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2002-03-12	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-03-12	2002-03-19	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-03-19	2002-04-17	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-04-17	2002-06-27	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-06-27	2003-07-04	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2003-07-04	2006-09-06	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-09-06	9999-12-31	Norske AEDC A/S	5.000000	\N	43492	34	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1987-06-02	1988-04-29	BP Petroleum Dev. of Norway AS	26.625000	\N	43492	155	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1988-04-29	1996-03-02	BP Petroleum Dev. of Norway AS	26.625000	\N	43492	155	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-03-02	1997-01-01	BP Petroleum Dev. of Norway AS	26.625000	\N	43492	155	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1997-01-01	1997-05-15	BP Petroleum Dev. of Norway AS	46.625000	\N	43492	155	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1997-05-15	1999-12-23	BP Petroleum Dev. of Norway AS	56.000000	\N	43492	155	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1987-06-02	1988-04-29	Conoco Norway Inc.	19.375000	\N	43492	210	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1988-04-29	1996-03-02	Conoco Norway Inc.	9.375000	0.000000	43492	210	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-03-02	1997-01-01	Norske Conoco A/S	9.375000	\N	43492	221	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1997-01-01	1997-05-15	Norske Conoco A/S	9.375000	\N	43492	221	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1988-04-29	1996-03-02	Norske Moeco A/S	5.000000	\N	43492	485	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-03-02	1997-01-01	Norske Moeco A/S	5.000000	\N	43492	485	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1997-01-01	1997-05-15	Norske Moeco A/S	5.000000	\N	43492	485	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1997-05-15	1999-12-23	Norske Moeco A/S	5.000000	\N	43492	485	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1999-12-23	2001-05-10	Norske Moeco A/S	5.000000	\N	43492	485	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	Norske Moeco A/S	5.000000	\N	43492	485	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2002-03-12	Norske Moeco A/S	5.000000	\N	43492	485	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-03-12	2002-03-19	Norske Moeco A/S	5.000000	\N	43492	485	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-03-19	2002-04-17	Norske Moeco A/S	5.000000	\N	43492	485	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-04-17	2002-06-27	Norske Moeco A/S	5.000000	\N	43492	485	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1987-06-02	1988-04-29	Pelican AS	4.000000	\N	43492	606	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1988-04-29	1996-03-02	Pelican AS	4.000000	\N	43492	606	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-03-02	1997-01-01	Pelican AS	4.000000	\N	43492	606	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1997-01-01	1997-05-15	Pelican AS	4.000000	\N	43492	606	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1997-05-15	1999-12-23	Pelican AS	4.000000	\N	43492	606	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1999-12-23	2001-05-10	Pelican AS	4.000000	\N	43492	606	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	Pelican AS	4.000000	\N	43492	606	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2002-03-12	Pelican AS	4.000000	\N	43492	606	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-03-12	2002-03-19	Pelican AS	4.000000	\N	43492	606	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-03-19	2002-04-17	Pelican AS	34.000000	\N	43492	606	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1987-06-02	1988-04-29	Den norske stats oljeselskap a.s	50.000000	30.000000	43492	749	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1988-04-29	1996-03-02	Den norske stats oljeselskap a.s	50.000000	30.000000	43492	749	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-03-02	1997-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	43492	749	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1997-01-01	1997-05-15	Den norske stats oljeselskap a.s	30.000000	30.000000	43492	749	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1997-05-15	1999-12-23	Den norske stats oljeselskap a.s	30.000000	30.000000	43492	749	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	43492	749	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	1999-12-23	2001-05-10	BP Amoco Norge AS	56.000000	\N	43492	982372	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	BP Amoco Norge AS	56.000000	\N	43492	982372	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2002-03-12	BP Amoco Norge AS	56.000000	\N	43492	982372	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	SDØE	30.000000	\N	43492	1623450	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2002-03-12	Petoro AS	30.000000	\N	43492	1626839	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-03-12	2002-03-19	Petoro AS	30.000000	\N	43492	1626839	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-04-17	2002-06-27	DONG Norge AS	34.000000	\N	43492	1853083	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-06-27	2003-07-04	DONG Norge AS	34.000000	\N	43492	1853083	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2003-07-04	2006-09-06	DONG Norge AS	34.000000	\N	43492	1853083	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-03-12	2002-03-19	BP Norge AS	56.000000	\N	43492	2052695	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-03-19	2002-04-17	BP Norge AS	56.000000	\N	43492	2052695	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-04-17	2002-06-27	BP Norge AS	56.000000	\N	43492	2052695	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-06-27	2003-07-04	BP Norge AS	61.000000	\N	43492	2052695	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2003-07-04	2006-09-06	Talisman Energy Norge AS	61.000000	\N	43492	2425093	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-09-06	9999-12-31	Talisman Energy Norge AS	61.000000	\N	43492	2425093	9999-12-31	2013-05-08
GYDA	019 B	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-09-06	9999-12-31	DONG E&P Norge AS	34.000000	\N	43492	4070011	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1972-03-01	1977-07-01	Norsk Agip  AS	13.040000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1977-07-01	1988-04-01	Norsk Agip  AS	13.040000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1988-04-01	1990-11-22	Norsk Agip  AS	13.040000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1990-11-22	1992-08-14	Norsk Agip  AS	13.040000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1992-08-14	1995-01-01	Norsk Agip  AS	13.040000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1995-01-01	1997-01-01	Norsk Agip  AS	13.040000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1997-01-01	1999-01-01	Norsk Agip  AS	13.040000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1999-01-01	2000-07-24	Norsk Agip  AS	12.388000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-07-24	2000-12-20	Norsk Agip  AS	12.388000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-12-20	2001-01-11	Norsk Agip  AS	12.388000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-01-11	2001-05-10	Norsk Agip  AS	12.388000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-05-10	2001-06-17	Norsk Agip  AS	12.388000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-06-17	2001-12-18	Norsk Agip  AS	12.388000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-12-18	2002-10-23	Norsk Agip  AS	12.388000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2002-10-23	2003-03-05	Norsk Agip  AS	12.388000	\N	43506	45	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1972-03-01	1977-07-01	Aquitaine Norge A/S	2.698000	\N	43506	111	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1972-03-01	1977-07-01	Cofranord A/S	0.304000	\N	43506	199	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1977-07-01	1988-04-01	Cofranord A/S	0.304000	\N	43506	199	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1988-04-01	1990-11-22	Cofranord A/S	0.304000	\N	43506	199	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1972-03-01	1977-07-01	Coparex Norge A/S	0.399000	\N	43506	243	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1977-07-01	1988-04-01	Coparex Norge A/S	0.399000	\N	43506	243	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1988-04-01	1990-11-22	Coparex Norge A/S	0.399000	\N	43506	243	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1972-03-01	1977-07-01	Elf Norge A/S	5.396000	\N	43506	287	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1992-08-14	1995-01-01	Elf Petroleum Norge AS	7.594000	\N	43506	298	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1995-01-01	1997-01-01	Elf Petroleum Norge AS	7.594000	\N	43506	298	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1997-01-01	1999-01-01	Elf Petroleum Norge AS	8.449000	\N	43506	298	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1999-01-01	2000-07-24	Elf Petroleum Norge AS	8.026000	\N	43506	298	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1990-11-22	1992-08-14	Elf Rep Norge A/S	0.456000	\N	43506	309	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1990-11-22	1992-08-14	Elf Rex Norge AS	0.399000	\N	43506	320	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1992-08-14	1995-01-01	Elf Rex Norge AS	0.855000	\N	43506	320	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1995-01-01	1997-01-01	Elf Rex Norge AS	0.855000	\N	43506	320	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1977-07-01	1988-04-01	Elf Aquitaine Norge A/S	8.094000	\N	43506	331	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1988-04-01	1990-11-22	Elf Aquitaine Norge A/S	7.594000	\N	43506	331	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1990-11-22	1992-08-14	Elf Aquitaine Norge A/S	7.594000	\N	43506	331	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1972-03-01	1977-07-01	Eurafrep Norge A/S	0.456000	\N	43506	364	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1977-07-01	1988-04-01	Eurafrep Norge A/S	0.456000	\N	43506	364	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1988-04-01	1990-11-22	Eurafrep Norge A/S	0.456000	\N	43506	364	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1972-03-01	1977-07-01	Fina Production Licenses AS	30.000000	\N	43506	386	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1977-07-01	1988-04-01	Fina Production Licenses AS	30.000000	\N	43506	386	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1988-04-01	1990-11-22	Fina Production Licenses AS	30.000000	\N	43506	386	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1990-11-22	1992-08-14	Fina Production Licenses AS	30.000000	\N	43506	386	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1992-08-14	1995-01-01	Fina Production Licenses AS	30.000000	\N	43506	386	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1995-01-01	1997-01-01	Fina Production Licenses AS	30.000000	\N	43506	386	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1997-01-01	1999-01-01	Fina Production Licenses AS	30.000000	\N	43506	386	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1999-01-01	2000-07-24	Fina Production Licenses AS	28.500000	\N	43506	386	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-07-24	2000-12-20	Fina Production Licenses AS	28.500000	\N	43506	386	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1972-03-01	1977-07-01	Norsk Hydro Produksjon AS	6.700000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1977-07-01	1988-04-01	Norsk Hydro Produksjon AS	6.700000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1988-04-01	1990-11-22	Norsk Hydro Produksjon AS	6.700000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1990-11-22	1992-08-14	Norsk Hydro Produksjon AS	6.700000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1992-08-14	1995-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1995-01-01	1997-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1997-01-01	1999-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1999-01-01	2000-07-24	Norsk Hydro Produksjon AS	6.365000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-07-24	2000-12-20	Norsk Hydro Produksjon AS	6.365000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-12-20	2001-01-11	Norsk Hydro Produksjon AS	6.365000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	6.654000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	6.654000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	6.654000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-12-18	2002-10-23	Norsk Hydro Produksjon AS	6.654000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2002-10-23	2003-03-05	Norsk Hydro Produksjon AS	6.654000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	6.654000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-05-06	2003-12-15	Norsk Hydro Produksjon AS	6.654000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-12-15	2007-01-01	Norsk Hydro Produksjon AS	6.654000	\N	43506	430	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1990-11-22	1992-08-14	Norminol AS	0.304000	\N	43506	529	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1992-08-14	1995-01-01	Norminol AS	0.304000	\N	43506	529	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1972-03-01	1977-07-01	Phillips Petroleum Company Norway	36.960000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1977-07-01	1988-04-01	Phillips Petroleum Company Norway	36.960000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1988-04-01	1990-11-22	Phillips Petroleum Company Norway	36.960000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1990-11-22	1992-08-14	Phillips Petroleum Company Norway	36.960000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1992-08-14	1995-01-01	Phillips Petroleum Company Norway	36.960000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1995-01-01	1997-01-01	Phillips Petroleum Company Norway	36.960000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1997-01-01	1999-01-01	Phillips Petroleum Company Norway	36.960000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1999-01-01	2000-07-24	Phillips Petroleum Company Norway	35.112000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-07-24	2000-12-20	Phillips Petroleum Company Norway	35.112000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-12-20	2001-01-11	Phillips Petroleum Company Norway	35.112000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-01-11	2001-05-10	Phillips Petroleum Company Norway	35.112000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-05-10	2001-06-17	Phillips Petroleum Company Norway	35.112000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-06-17	2001-12-18	Phillips Petroleum Company Norway	35.112000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-12-18	2002-10-23	Phillips Petroleum Company Norway	35.112000	\N	43506	694	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	35.112000	\N	43506	705	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1995-01-01	1997-01-01	Saga Petroleum ASA	0.304000	\N	43506	716	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1997-01-01	1999-01-01	Saga Petroleum ASA	0.304000	\N	43506	716	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1999-01-01	2000-07-24	Saga Petroleum ASA	0.289000	\N	43506	716	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-07-24	2000-12-20	Saga Petroleum ASA	0.289000	\N	43506	716	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-12-20	2001-01-11	Saga Petroleum ASA	0.289000	\N	43506	716	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1988-04-01	1990-11-22	Den norske stats oljeselskap a.s	1.000000	\N	43506	749	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1990-11-22	1992-08-14	Den norske stats oljeselskap a.s	1.000000	\N	43506	749	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1992-08-14	1995-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43506	749	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1995-01-01	1997-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43506	749	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1997-01-01	1999-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43506	749	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1999-01-01	2000-07-24	Den norske stats oljeselskap a.s	5.950000	5.000000	43506	749	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-07-24	2000-12-20	Den norske stats oljeselskap a.s	5.950000	5.000000	43506	749	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-12-20	2001-01-11	Den norske stats oljeselskap a.s	5.950000	5.000000	43506	749	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	5.950000	5.000000	43506	749	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1972-03-01	1977-07-01	Total Norge AS	4.047000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1977-07-01	1988-04-01	Total Norge AS	4.047000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1988-04-01	1990-11-22	Total Norge AS	3.547000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1990-11-22	1992-08-14	Total Norge AS	3.547000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1992-08-14	1995-01-01	Total Norge AS	3.547000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1995-01-01	1997-01-01	Total Norge AS	3.547000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1997-01-01	1999-01-01	Total Norge AS	3.547000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	1999-01-01	2000-07-24	Total Norge AS	3.370000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-07-24	2000-12-20	Total Norge AS	3.370000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-12-20	2001-01-11	Total Norge AS	31.870000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-01-11	2001-05-10	Total Norge AS	31.870000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-05-10	2001-06-17	Total Norge AS	31.870000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	31.870000	\N	43506	848	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-07-24	2000-12-20	TotalFinaElf Exploration Norge AS	8.026000	\N	43506	1340884	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2000-12-20	2001-01-11	TotalFinaElf Exploration Norge AS	8.026000	\N	43506	1340884	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	8.026000	\N	43506	1340884	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	8.026000	\N	43506	1340884	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	8.026000	\N	43506	1340884	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-12-18	2002-10-23	TotalFinaElf Exploration Norge AS	39.896000	\N	43506	1340884	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2002-10-23	2003-03-05	TotalFinaElf Exploration Norge AS	39.896000	\N	43506	1340884	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	39.896000	\N	43506	1340884	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	0.950000	\N	43506	1622484	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	0.950000	\N	43506	1622484	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-12-18	2002-10-23	Statoil ASA (old)	0.950000	\N	43506	1622484	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2002-10-23	2003-03-05	Statoil ASA (old)	0.950000	\N	43506	1622484	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-03-05	2003-05-06	Statoil ASA (old)	0.950000	\N	43506	1622484	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-05-06	2003-12-15	Statoil ASA (old)	0.950000	\N	43506	1622484	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-12-15	2007-01-01	Statoil ASA (old)	0.950000	\N	43506	1622484	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	0.950000	\N	43506	1622484	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-05-10	2001-06-17	SDØE	5.000000	\N	43506	1623450	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-06-17	2001-12-18	Petoro AS	5.000000	\N	43506	1626839	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2001-12-18	2002-10-23	Petoro AS	5.000000	\N	43506	1626839	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2002-10-23	2003-03-05	Petoro AS	5.000000	\N	43506	1626839	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-03-05	2003-05-06	Petoro AS	5.000000	\N	43506	1626839	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-05-06	2003-12-15	Petoro AS	5.000000	\N	43506	1626839	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-12-15	2007-01-01	Petoro AS	5.000000	\N	43506	1626839	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-01-01	2007-10-01	Petoro AS	5.000000	\N	43506	1626839	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-10-01	2009-01-01	Petoro AS	5.000000	\N	43506	1626839	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2009-01-01	2009-11-02	Petoro AS	5.000000	\N	43506	1626839	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2009-11-02	9999-12-31	Petoro AS	5.000000	\N	43506	1626839	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2002-10-23	2003-03-05	ConocoPhillips Norge	35.112000	\N	43506	2144081	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-12-15	2007-01-01	Eni Norge AS	12.388000	\N	43506	2388594	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	12.388000	\N	43506	2388594	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-10-01	2009-01-01	Eni Norge AS	12.388000	\N	43506	2388594	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2009-01-01	2009-11-02	Eni Norge AS	12.388000	\N	43506	2388594	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2009-11-02	9999-12-31	Eni Norge AS	12.388000	\N	43506	2388594	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-05-06	2003-12-15	ConocoPhillips Skandinavia AS	35.112000	\N	43506	2410696	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-12-15	2007-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43506	2410696	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.112000	\N	43506	2410696	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43506	2410696	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	35.112000	\N	43506	2410696	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	43506	2410696	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-05-06	2003-12-15	Total E&P Norge AS	39.896000	\N	43506	2410708	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2003-12-15	2007-01-01	Total E&P Norge AS	39.896000	\N	43506	2410708	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	39.896000	\N	43506	2410708	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	39.896000	\N	43506	2410708	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	39.896000	\N	43506	2410708	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2009-11-02	9999-12-31	Total E&P Norge AS	39.896000	\N	43506	2410708	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.654000	\N	43506	4511658	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	7.604000	\N	43506	4511658	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	0.950000	\N	43506	4511854	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	6.654000	\N	43506	4524355	9999-12-31	2013-05-08
EKOFISK	018	PRODUCTION LICENSE	1972-03-01	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	7.604000	\N	43506	17237817	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Norsk Agip  AS	13.040000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Norsk Agip  AS	13.040000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Norsk Agip  AS	13.040000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Norsk Agip  AS	13.040000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Norsk Agip  AS	13.040000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Norsk Agip  AS	13.040000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Norsk Agip  AS	13.040000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Norsk Agip  AS	12.388000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Norsk Agip  AS	12.388000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Norsk Agip  AS	12.388000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	Norsk Agip  AS	12.388000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	Norsk Agip  AS	12.388000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Norsk Agip  AS	12.388000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	Norsk Agip  AS	12.388000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	Norsk Agip  AS	12.388000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	Norsk Agip  AS	12.388000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	Norsk Agip  AS	12.388000	\N	43513	45	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Aquitaine Norge A/S	2.698000	\N	43513	111	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Cofranord A/S	0.304000	\N	43513	199	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Cofranord A/S	0.304000	\N	43513	199	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Cofranord A/S	0.304000	\N	43513	199	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Coparex Norge A/S	0.399000	\N	43513	243	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Coparex Norge A/S	0.399000	\N	43513	243	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Coparex Norge A/S	0.399000	\N	43513	243	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Elf Norge A/S	5.396000	\N	43513	287	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Elf Petroleum Norge AS	7.594000	\N	43513	298	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Elf Petroleum Norge AS	7.594000	\N	43513	298	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Elf Petroleum Norge AS	8.449000	\N	43513	298	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Elf Petroleum Norge AS	8.026000	\N	43513	298	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Elf Rep Norge A/S	0.456000	\N	43513	309	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Elf Rex Norge AS	0.399000	\N	43513	320	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Elf Rex Norge AS	0.855000	\N	43513	320	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Elf Rex Norge AS	0.855000	\N	43513	320	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Elf Aquitaine Norge A/S	8.094000	\N	43513	331	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Elf Aquitaine Norge A/S	7.594000	\N	43513	331	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Elf Aquitaine Norge A/S	7.594000	\N	43513	331	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Eurafrep Norge A/S	0.456000	\N	43513	364	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Eurafrep Norge A/S	0.456000	\N	43513	364	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Eurafrep Norge A/S	0.456000	\N	43513	364	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Fina Production Licenses AS	30.000000	\N	43513	386	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Fina Production Licenses AS	30.000000	\N	43513	386	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Fina Production Licenses AS	30.000000	\N	43513	386	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Fina Production Licenses AS	30.000000	\N	43513	386	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Fina Production Licenses AS	30.000000	\N	43513	386	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Fina Production Licenses AS	30.000000	\N	43513	386	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Fina Production Licenses AS	30.000000	\N	43513	386	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Fina Production Licenses AS	28.500000	\N	43513	386	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Fina Production Licenses AS	28.500000	\N	43513	386	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Norsk Hydro Produksjon AS	6.700000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Norsk Hydro Produksjon AS	6.700000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Norsk Hydro Produksjon AS	6.700000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Norsk Hydro Produksjon AS	6.700000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Norsk Hydro Produksjon AS	6.365000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Norsk Hydro Produksjon AS	6.365000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Norsk Hydro Produksjon AS	6.365000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	6.654000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	6.654000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	6.654000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	Norsk Hydro Produksjon AS	6.654000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	Norsk Hydro Produksjon AS	6.654000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	6.654000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	Norsk Hydro Produksjon AS	6.654000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	Norsk Hydro Produksjon AS	6.654000	\N	43513	430	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Norminol AS	0.304000	\N	43513	529	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Norminol AS	0.304000	\N	43513	529	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Phillips Petroleum Company Norway	36.960000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Phillips Petroleum Company Norway	36.960000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Phillips Petroleum Company Norway	36.960000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Phillips Petroleum Company Norway	36.960000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Phillips Petroleum Company Norway	36.960000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Phillips Petroleum Company Norway	36.960000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Phillips Petroleum Company Norway	36.960000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Phillips Petroleum Company Norway	35.112000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Phillips Petroleum Company Norway	35.112000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Phillips Petroleum Company Norway	35.112000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	Phillips Petroleum Company Norway	35.112000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	Phillips Petroleum Company Norway	35.112000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Phillips Petroleum Company Norway	35.112000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	Phillips Petroleum Company Norway	35.112000	\N	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	35.112000	\N	43513	705	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Saga Petroleum ASA	0.304000	\N	43513	716	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Saga Petroleum ASA	0.304000	\N	43513	716	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Saga Petroleum ASA	0.289000	\N	43513	716	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Saga Petroleum ASA	0.289000	\N	43513	716	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Saga Petroleum ASA	0.289000	\N	43513	716	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Den norske stats oljeselskap a.s	1.000000	\N	43513	749	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Den norske stats oljeselskap a.s	1.000000	\N	43513	749	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43513	749	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43513	749	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43513	749	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Den norske stats oljeselskap a.s	5.950000	5.000000	43513	749	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Den norske stats oljeselskap a.s	5.950000	5.000000	43513	749	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Den norske stats oljeselskap a.s	5.950000	5.000000	43513	749	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	5.950000	5.000000	43513	749	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Total Norge AS	4.047000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Total Norge AS	4.047000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Total Norge AS	3.547000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Total Norge AS	3.547000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Total Norge AS	3.547000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Total Norge AS	3.547000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Total Norge AS	3.547000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Total Norge AS	3.370000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Total Norge AS	3.370000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Total Norge AS	31.870000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	Total Norge AS	31.870000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	Total Norge AS	31.870000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	31.870000	\N	43513	848	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	TotalFinaElf Exploration Norge AS	8.026000	\N	43513	1340884	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	TotalFinaElf Exploration Norge AS	8.026000	\N	43513	1340884	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	8.026000	\N	43513	1340884	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	8.026000	\N	43513	1340884	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	8.026000	\N	43513	1340884	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	TotalFinaElf Exploration Norge AS	39.896000	\N	43513	1340884	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	TotalFinaElf Exploration Norge AS	39.896000	\N	43513	1340884	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	39.896000	\N	43513	1340884	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	0.950000	\N	43513	1622484	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	0.950000	\N	43513	1622484	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	Statoil ASA (old)	0.950000	\N	43513	1622484	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	Statoil ASA (old)	0.950000	\N	43513	1622484	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	Statoil ASA (old)	0.950000	\N	43513	1622484	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	Statoil ASA (old)	0.950000	\N	43513	1622484	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	Statoil ASA (old)	0.950000	\N	43513	1622484	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	0.950000	\N	43513	1622484	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	SDØE	5.000000	\N	43513	1623450	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Petoro AS	5.000000	\N	43513	1626839	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	Petoro AS	5.000000	\N	43513	1626839	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	Petoro AS	5.000000	\N	43513	1626839	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	Petoro AS	5.000000	\N	43513	1626839	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	Petoro AS	5.000000	\N	43513	1626839	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	Petoro AS	5.000000	\N	43513	1626839	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	Petoro AS	5.000000	\N	43513	1626839	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	Petoro AS	5.000000	\N	43513	1626839	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-01-01	2009-11-02	Petoro AS	5.000000	\N	43513	1626839	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-11-02	9999-12-31	Petoro AS	5.000000	\N	43513	1626839	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	ConocoPhillips Norge	35.112000	\N	43513	2144081	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	Eni Norge AS	12.388000	\N	43513	2388594	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	12.388000	\N	43513	2388594	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	Eni Norge AS	12.388000	\N	43513	2388594	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-01-01	2009-11-02	Eni Norge AS	12.388000	\N	43513	2388594	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-11-02	9999-12-31	Eni Norge AS	12.388000	\N	43513	2388594	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	ConocoPhillips Skandinavia AS	35.112000	\N	43513	2410696	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43513	2410696	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.112000	\N	43513	2410696	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43513	2410696	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	35.112000	\N	43513	2410696	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	43513	2410696	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	Total E&P Norge AS	39.896000	\N	43513	2410708	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	Total E&P Norge AS	39.896000	\N	43513	2410708	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	39.896000	\N	43513	2410708	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	39.896000	\N	43513	2410708	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	39.896000	\N	43513	2410708	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-11-02	9999-12-31	Total E&P Norge AS	39.896000	\N	43513	2410708	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.654000	\N	43513	4511658	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	7.604000	\N	43513	4511658	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	0.950000	\N	43513	4511854	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	6.654000	\N	43513	4524355	9999-12-31	2013-05-08
VEST EKOFISK	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	7.604000	\N	43513	17237817	9999-12-31	2013-05-08
TOR	018	PRODUCTION LICENSE	1973-05-04	1975-12-09	1973-05-04	1975-12-09	Norsk Agip  AS	13.040000	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Norsk Agip  AS	9.715000	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Norsk Agip  AS	9.715000	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Norsk Agip  AS	9.235320	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Norsk Agip  AS	9.827130	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Norsk Agip  AS	9.616800	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Norsk Agip  AS	9.616800	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Norsk Agip  AS	9.616800	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Norsk Agip  AS	9.616800	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Norsk Agip  AS	9.616800	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Norsk Agip  AS	9.616800	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Norsk Agip  AS	9.616800	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1994-08-26	1995-01-01	Norsk Agip  AS	11.297400	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1995-01-01	1997-01-01	Norsk Agip  AS	11.297400	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1997-01-01	1999-01-01	Norsk Agip  AS	11.297400	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1999-01-01	2000-07-24	Norsk Agip  AS	10.816560	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-07-24	2000-12-15	Norsk Agip  AS	10.816560	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-12-15	2001-01-11	Norsk Agip  AS	10.816560	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-01-11	2001-05-10	Norsk Agip  AS	10.816560	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-05-10	2001-06-17	Norsk Agip  AS	10.816560	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-06-17	2001-12-18	Norsk Agip  AS	10.816560	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-12-18	2002-10-23	Norsk Agip  AS	10.816560	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2002-10-23	2003-03-05	Norsk Agip  AS	10.816560	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-03-05	2003-05-06	Norsk Agip  AS	10.816560	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-05-06	2003-12-31	Norsk Agip  AS	10.816560	\N	43520	45	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Amerada Hess Norge AS	7.224600	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Amerada Hess Norge AS	7.224600	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Amerada Hess Norge AS	8.266820	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Amerada Hess Norge AS	6.980920	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Amerada Hess Norge AS	7.437870	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Amerada Hess Norge AS	7.437870	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Amerada Hess Norge AS	7.437870	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Amerada Hess Norge AS	7.437870	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Amerada Hess Norge AS	7.437870	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Amerada Hess Norge AS	7.437870	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Amerada Hess Norge AS	7.437870	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1994-08-26	1995-01-01	Amerada Hess Norge AS	8.737660	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1995-01-01	1997-01-01	Amerada Hess Norge AS	8.737660	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1997-01-01	1999-01-01	Amerada Hess Norge AS	8.737660	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1999-01-01	2000-07-24	Amerada Hess Norge AS	8.737660	\N	43520	67	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Amoco Norway Oil Company	7.224600	\N	43520	78	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Amoco Norway Oil Company	7.224600	\N	43520	78	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Amoco Norway Oil Company	8.266820	\N	43520	78	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Amoco Norway Oil Company	6.980920	\N	43520	78	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Amoco Norway Oil Company	7.437870	\N	43520	78	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Amoco Norway Oil Company	7.437870	\N	43520	78	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Amoco Norway Oil Company	7.437870	\N	43520	78	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Amoco Norway Oil Company	7.437870	\N	43520	78	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Amoco Norway Oil Company	7.437870	\N	43520	78	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Amoco Norway Oil Company	7.437870	\N	43520	78	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Amoco Norway Oil Company	7.437870	\N	43520	78	9999-12-31	2013-05-08
TOR	018	PRODUCTION LICENSE	1973-05-04	1975-12-09	1973-05-04	1975-12-09	Aquitaine Norge A/S	2.698000	\N	43520	111	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Aquitaine Norge A/S	2.010000	\N	43520	111	9999-12-31	2013-05-08
TOR	018	PRODUCTION LICENSE	1973-05-04	1975-12-09	1973-05-04	1975-12-09	Cofranord A/S	0.304000	\N	43520	199	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Cofranord A/S	0.226500	\N	43520	199	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Cofranord A/S	0.226500	\N	43520	199	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Cofranord A/S	0.215300	\N	43520	199	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Cofranord A/S	0.229110	\N	43520	199	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Cofranord A/S	0.224200	\N	43520	199	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Cofranord A/S	0.224200	\N	43520	199	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Cofranord A/S	0.224200	\N	43520	199	9999-12-31	2013-05-08
TOR	018	PRODUCTION LICENSE	1973-05-04	1975-12-09	1973-05-04	1975-12-09	Coparex Norge A/S	0.399000	\N	43520	243	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Coparex Norge A/S	0.297300	\N	43520	243	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Coparex Norge A/S	0.297300	\N	43520	243	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Coparex Norge A/S	0.282580	\N	43520	243	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Coparex Norge A/S	0.300700	\N	43520	243	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Coparex Norge A/S	0.294300	\N	43520	243	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Coparex Norge A/S	0.294300	\N	43520	243	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Coparex Norge A/S	0.294300	\N	43520	243	9999-12-31	2013-05-08
TOR	018	PRODUCTION LICENSE	1973-05-04	1975-12-09	1973-05-04	1975-12-09	Elf Norge A/S	5.396000	\N	43520	287	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Elf Norge A/S	4.020100	\N	43520	287	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Elf Petroleum Norge AS	9.538140	\N	43520	298	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Elf Petroleum Norge AS	9.538140	\N	43520	298	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1994-08-26	1995-01-01	Elf Petroleum Norge AS	11.205000	\N	43520	298	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1995-01-01	1997-01-01	Elf Petroleum Norge AS	11.205000	\N	43520	298	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1997-01-01	1999-01-01	Elf Petroleum Norge AS	11.945740	\N	43520	298	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1999-01-01	2000-07-24	Elf Petroleum Norge AS	11.634190	\N	43520	298	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Elf Rep Norge A/S	0.336300	\N	43520	309	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Elf Rep Norge A/S	0.336300	\N	43520	309	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Elf Rep Norge A/S	0.336300	\N	43520	309	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Elf Rex Norge AS	0.294300	\N	43520	320	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Elf Rex Norge AS	0.294300	\N	43520	320	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Elf Rex Norge AS	0.294300	\N	43520	320	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Elf Rex Norge AS	0.630600	\N	43520	320	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1994-08-26	1995-01-01	Elf Rex Norge AS	0.740740	\N	43520	320	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1995-01-01	1997-01-01	Elf Rex Norge AS	0.740740	\N	43520	320	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Elf Aquitaine Norge A/S	6.030100	\N	43520	331	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Elf Aquitaine Norge A/S	5.732410	\N	43520	331	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Elf Aquitaine Norge A/S	6.099760	\N	43520	331	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Elf Aquitaine Norge A/S	5.969200	\N	43520	331	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Elf Aquitaine Norge A/S	5.600450	\N	43520	331	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Elf Aquitaine Norge A/S	5.600450	\N	43520	331	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Elf Aquitaine Norge A/S	5.600450	\N	43520	331	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Elf Aquitaine Norge A/S	9.538140	\N	43520	331	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Enterprise Oil Norwegian AS	7.437870	\N	43520	342	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Enterprise Oil Norwegian AS	7.437870	\N	43520	342	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Enterprise Oil Norwegian AS	7.437870	\N	43520	342	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Enterprise Oil Norwegian AS	7.437870	\N	43520	342	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Enterprise Oil Norwegian AS	7.437870	\N	43520	342	9999-12-31	2013-05-08
TOR	018	PRODUCTION LICENSE	1973-05-04	1975-12-09	1973-05-04	1975-12-09	Eurafrep Norge A/S	0.456000	\N	43520	364	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Eurafrep Norge A/S	0.339700	\N	43520	364	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Eurafrep Norge A/S	0.339700	\N	43520	364	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Eurafrep Norge A/S	0.322950	\N	43520	364	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Eurafrep Norge A/S	0.343650	\N	43520	364	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Eurafrep Norge A/S	0.336300	\N	43520	364	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Eurafrep Norge A/S	0.336300	\N	43520	364	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Eurafrep Norge A/S	0.336300	\N	43520	364	9999-12-31	2013-05-08
TOR	018	PRODUCTION LICENSE	1973-05-04	1975-12-09	1973-05-04	1975-12-09	Fina Production Licenses AS	30.000000	\N	43520	386	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1997-01-01	1999-01-01	Fina Production Licenses AS	25.990960	\N	43520	386	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1999-01-01	2000-07-24	Fina Production Licenses AS	24.884730	\N	43520	386	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-07-24	2000-12-15	Fina Production Licenses AS	24.884730	\N	43520	386	9999-12-31	2013-05-08
TOR	018	PRODUCTION LICENSE	1973-05-04	1975-12-09	1973-05-04	1975-12-09	Norsk Hydro Produksjon AS	6.700000	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Norsk Hydro Produksjon AS	4.991600	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Norsk Hydro Produksjon AS	4.991600	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Norsk Hydro Produksjon AS	4.745140	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Norsk Hydro Produksjon AS	5.049250	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Norsk Hydro Produksjon AS	4.941200	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Norsk Hydro Produksjon AS	4.941200	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Norsk Hydro Produksjon AS	4.941200	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Norsk Hydro Produksjon AS	4.941200	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Norsk Hydro Produksjon AS	4.941200	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Norsk Hydro Produksjon AS	4.941200	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Norsk Hydro Produksjon AS	4.941200	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1994-08-26	1995-01-01	Norsk Hydro Produksjon AS	5.804640	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1995-01-01	1997-01-01	Norsk Hydro Produksjon AS	5.804640	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1997-01-01	1999-01-01	Norsk Hydro Produksjon AS	5.804640	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1999-01-01	2000-07-24	Norsk Hydro Produksjon AS	5.557580	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-07-24	2000-12-15	Norsk Hydro Produksjon AS	5.557580	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-12-15	2001-01-11	Norsk Hydro Produksjon AS	5.557580	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	5.809740	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	5.809740	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	5.809740	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-12-18	2002-10-23	Norsk Hydro Produksjon AS	5.809740	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2002-10-23	2003-03-05	Norsk Hydro Produksjon AS	5.809740	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	5.809740	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	5.809740	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	5.809740	\N	43520	430	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Norwegian Oil Consortium A/S & Co	3.824700	\N	43520	518	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Norwegian Oil Consortium A/S & Co	3.824700	\N	43520	518	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Norwegian Oil Consortium A/S & Co	4.376550	\N	43520	518	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Norwegian Oil Consortium A/S & Co	3.695850	\N	43520	518	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Norwegian Oil Consortium A/S & Co	3.937690	\N	43520	518	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Norwegian Oil Consortium A/S & Co	3.937690	\N	43520	518	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Norwegian Oil Consortium A/S & Co	3.937690	\N	43520	518	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Norwegian Oil Consortium A/S & Co	3.937690	\N	43520	518	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Norminol AS	0.224200	\N	43520	529	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Norminol AS	0.224200	\N	43520	529	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Norminol AS	0.224200	\N	43520	529	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Norminol AS	0.224200	\N	43520	529	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1994-08-26	1995-01-01	Norminol AS	0.263370	\N	43520	529	9999-12-31	2013-05-08
TOR	018	PRODUCTION LICENSE	1973-05-04	1975-12-09	1973-05-04	1975-12-09	Phillips Petroleum Company Norway	36.960000	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Phillips Petroleum Company Norway	27.535700	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Phillips Petroleum Company Norway	27.535700	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Phillips Petroleum Company Norway	26.176180	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Phillips Petroleum Company Norway	27.853530	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Phillips Petroleum Company Norway	27.257500	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Phillips Petroleum Company Norway	27.257500	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Phillips Petroleum Company Norway	27.257500	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Phillips Petroleum Company Norway	27.257500	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Phillips Petroleum Company Norway	27.257500	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Phillips Petroleum Company Norway	27.257500	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Phillips Petroleum Company Norway	27.257500	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1994-08-26	1995-01-01	Phillips Petroleum Company Norway	32.020860	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1995-01-01	1997-01-01	Phillips Petroleum Company Norway	32.020860	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1997-01-01	1999-01-01	Phillips Petroleum Company Norway	32.020860	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1999-01-01	2000-07-24	Phillips Petroleum Company Norway	30.657990	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-07-24	2000-12-15	Phillips Petroleum Company Norway	30.657990	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-12-15	2001-01-11	Phillips Petroleum Company Norway	30.657990	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-01-11	2001-05-10	Phillips Petroleum Company Norway	30.657990	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-05-10	2001-06-17	Phillips Petroleum Company Norway	30.657990	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-06-17	2001-12-18	Phillips Petroleum Company Norway	30.657990	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-12-18	2002-10-23	Phillips Petroleum Company Norway	30.657990	\N	43520	694	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	30.657990	\N	43520	705	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1995-01-01	1997-01-01	Saga Petroleum ASA	0.263370	\N	43520	716	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1997-01-01	1999-01-01	Saga Petroleum ASA	0.263370	\N	43520	716	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1999-01-01	2000-07-24	Saga Petroleum ASA	0.252160	\N	43520	716	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-07-24	2000-12-15	Saga Petroleum ASA	0.252160	\N	43520	716	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-12-15	2001-01-11	Saga Petroleum ASA	0.252160	\N	43520	716	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Den norske stats oljeselskap a.s	0.737500	\N	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Den norske stats oljeselskap a.s	0.737500	\N	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Den norske stats oljeselskap a.s	0.737500	\N	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Den norske stats oljeselskap a.s	0.737500	\N	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Den norske stats oljeselskap a.s	0.737500	\N	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Den norske stats oljeselskap a.s	0.737500	\N	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1994-08-26	1995-01-01	Den norske stats oljeselskap a.s	0.866370	\N	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1995-01-01	1997-01-01	Den norske stats oljeselskap a.s	0.866370	\N	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1997-01-01	1999-01-01	Den norske stats oljeselskap a.s	0.866370	\N	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1999-01-01	2000-07-24	Den norske stats oljeselskap a.s	4.516920	3.687440	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-07-24	2000-12-15	Den norske stats oljeselskap a.s	4.516920	3.687440	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-12-15	2001-01-11	Den norske stats oljeselskap a.s	4.516920	3.687440	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	4.516920	3.687440	43520	749	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Texas Eastern Norwegian Inc.	7.224600	\N	43520	837	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Texas Eastern Norwegian Inc.	7.224600	\N	43520	837	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Texas Eastern Norwegian Inc.	8.266820	\N	43520	837	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Texas Eastern Norwegian Inc.	6.980920	\N	43520	837	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Texas Eastern Norwegian Inc.	7.437870	\N	43520	837	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Texas Eastern Norwegian Inc.	7.437870	\N	43520	837	9999-12-31	2013-05-08
TOR	018	PRODUCTION LICENSE	1973-05-04	1975-12-09	1973-05-04	1975-12-09	Total Norge AS	4.047000	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Total Norge AS	3.015100	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Total Norge AS	3.015100	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Total Norge AS	2.866210	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Total Norge AS	3.049820	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Total Norge AS	2.984600	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Total Norge AS	2.615850	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Total Norge AS	2.615850	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Total Norge AS	2.615850	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Total Norge AS	2.615850	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Total Norge AS	2.615850	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Total Norge AS	2.615850	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1994-08-26	1995-01-01	Total Norge AS	3.073000	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1995-01-01	1997-01-01	Total Norge AS	3.073000	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1997-01-01	1999-01-01	Total Norge AS	3.073000	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1999-01-01	2000-07-24	Total Norge AS	2.942210	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-07-24	2000-12-15	Total Norge AS	2.942210	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-12-15	2001-01-11	Total Norge AS	27.826940	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-01-11	2001-05-10	Total Norge AS	27.826940	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-05-10	2001-06-17	Total Norge AS	27.826940	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	27.826940	\N	43520	848	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1975-12-10	1977-07-01	Fina Exploration Norway SCA	22.350500	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1977-07-01	1980-10-01	Fina Exploration Norway SCA	22.350500	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1980-10-01	1983-01-01	Fina Exploration Norway SCA	21.246900	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1983-01-01	1985-10-01	Fina Exploration Norway SCA	22.608440	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1985-10-01	1988-04-01	Fina Exploration Norway SCA	22.124600	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1988-04-01	1989-04-14	Fina Exploration Norway SCA	22.124600	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1989-04-14	1990-11-22	Fina Exploration Norway SCA	22.124600	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1990-11-22	1992-02-25	Fina Exploration Norway SCA	22.124600	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-02-25	1992-08-14	Fina Exploration Norway SCA	22.124600	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-08-14	1992-09-15	Fina Exploration Norway SCA	22.124600	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1992-09-15	1994-08-26	Fina Exploration Norway SCA	22.124600	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1994-08-26	1995-01-01	Fina Exploration Norway SCA	25.990960	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	1995-01-01	1997-01-01	Fina Exploration Norway SCA	25.990960	\N	43520	39395	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-07-24	2000-12-15	TotalFinaElf Exploration Norge AS	20.371850	\N	43520	1340884	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2000-12-15	2001-01-11	TotalFinaElf Exploration Norge AS	20.371850	\N	43520	1340884	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	20.371850	\N	43520	1340884	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	20.371850	\N	43520	1340884	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	20.371850	\N	43520	1340884	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-12-18	2002-10-23	TotalFinaElf Exploration Norge AS	48.198790	\N	43520	1340884	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2002-10-23	2003-03-05	TotalFinaElf Exploration Norge AS	48.198790	\N	43520	1340884	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	48.198790	\N	43520	1340884	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	0.829480	\N	43520	1622484	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	0.829480	\N	43520	1622484	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-12-18	2002-10-23	Statoil ASA (old)	0.829480	\N	43520	1622484	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2002-10-23	2003-03-05	Statoil ASA (old)	0.829480	\N	43520	1622484	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-03-05	2003-05-06	Statoil ASA (old)	0.829480	\N	43520	1622484	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-05-06	2003-12-31	Statoil ASA (old)	0.829480	\N	43520	1622484	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-12-31	2007-01-01	Statoil ASA (old)	0.829480	\N	43520	1622484	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	0.829480	\N	43520	1622484	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-05-10	2001-06-17	SDØE	3.687440	\N	43520	1623450	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-06-17	2001-12-18	Petoro AS	3.687440	\N	43520	1626839	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2001-12-18	2002-10-23	Petoro AS	3.687440	\N	43520	1626839	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2002-10-23	2003-03-05	Petoro AS	3.687440	\N	43520	1626839	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-03-05	2003-05-06	Petoro AS	3.687440	\N	43520	1626839	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-05-06	2003-12-31	Petoro AS	3.687440	\N	43520	1626839	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-12-31	2007-01-01	Petoro AS	3.687440	\N	43520	1626839	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-01-01	2007-10-01	Petoro AS	3.687440	\N	43520	1626839	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-10-01	2009-01-01	Petoro AS	3.687440	\N	43520	1626839	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2009-01-01	2009-11-01	Petoro AS	3.687440	\N	43520	1626839	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2009-11-01	9999-12-31	Petoro AS	3.687440	\N	43520	1626839	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2002-10-23	2003-03-05	ConocoPhillips Norge	30.657990	\N	43520	2144081	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-12-31	2007-01-01	Eni Norge AS	10.816560	\N	43520	2388594	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	10.816560	\N	43520	2388594	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-10-01	2009-01-01	Eni Norge AS	10.816560	\N	43520	2388594	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2009-01-01	2009-11-01	Eni Norge AS	10.816560	\N	43520	2388594	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2009-11-01	9999-12-31	Eni Norge AS	10.816560	\N	43520	2388594	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-05-06	2003-12-31	ConocoPhillips Skandinavia AS	30.657990	\N	43520	2410696	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-12-31	2007-01-01	ConocoPhillips Skandinavia AS	30.657990	\N	43520	2410696	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	30.657990	\N	43520	2410696	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	30.657990	\N	43520	2410696	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	30.657990	\N	43520	2410696	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	30.657990	\N	43520	2410696	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-05-06	2003-12-31	Total E&P Norge AS	48.198790	\N	43520	2410708	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2003-12-31	2007-01-01	Total E&P Norge AS	48.198790	\N	43520	2410708	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	48.198790	\N	43520	2410708	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	48.198790	\N	43520	2410708	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	48.198790	\N	43520	2410708	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2009-11-01	9999-12-31	Total E&P Norge AS	48.198790	\N	43520	2410708	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	5.809740	\N	43520	4511658	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	6.639220	\N	43520	4511658	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	0.829480	\N	43520	4511854	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	5.809740	\N	43520	4524355	9999-12-31	2013-05-08
TOR	TOR UNIT	BUSINESS ARRANGEMENT AREA	1975-12-10	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	6.639220	\N	43520	17237817	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Norsk Agip  AS	13.040000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Norsk Agip  AS	13.040000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Norsk Agip  AS	13.040000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Norsk Agip  AS	13.040000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Norsk Agip  AS	13.040000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Norsk Agip  AS	13.040000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Norsk Agip  AS	13.040000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Norsk Agip  AS	12.388000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Norsk Agip  AS	12.388000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Norsk Agip  AS	12.388000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Norsk Agip  AS	12.388000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Norsk Agip  AS	12.388000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Norsk Agip  AS	12.388000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Norsk Agip  AS	12.388000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Norsk Agip  AS	12.388000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Norsk Agip  AS	12.388000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Norsk Agip  AS	12.388000	\N	43527	45	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Aquitaine Norge A/S	2.698000	\N	43527	111	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Cofranord A/S	0.304000	\N	43527	199	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Cofranord A/S	0.304000	\N	43527	199	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Cofranord A/S	0.304000	\N	43527	199	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Coparex Norge A/S	0.399000	\N	43527	243	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Coparex Norge A/S	0.399000	\N	43527	243	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Coparex Norge A/S	0.399000	\N	43527	243	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Elf Norge A/S	5.396000	\N	43527	287	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Elf Petroleum Norge AS	7.594000	\N	43527	298	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Elf Petroleum Norge AS	7.594000	\N	43527	298	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Elf Petroleum Norge AS	8.449000	\N	43527	298	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Elf Petroleum Norge AS	8.026000	\N	43527	298	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Elf Rep Norge A/S	0.456000	\N	43527	309	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Elf Rex Norge AS	0.399000	\N	43527	320	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Elf Rex Norge AS	0.855000	\N	43527	320	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Elf Rex Norge AS	0.855000	\N	43527	320	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Elf Aquitaine Norge A/S	8.094000	\N	43527	331	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Elf Aquitaine Norge A/S	7.594000	\N	43527	331	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Elf Aquitaine Norge A/S	7.594000	\N	43527	331	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Eurafrep Norge A/S	0.456000	\N	43527	364	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Eurafrep Norge A/S	0.456000	\N	43527	364	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Eurafrep Norge A/S	0.456000	\N	43527	364	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Fina Production Licenses AS	30.000000	\N	43527	386	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Fina Production Licenses AS	30.000000	\N	43527	386	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Fina Production Licenses AS	30.000000	\N	43527	386	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Fina Production Licenses AS	30.000000	\N	43527	386	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Fina Production Licenses AS	30.000000	\N	43527	386	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Fina Production Licenses AS	30.000000	\N	43527	386	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Fina Production Licenses AS	30.000000	\N	43527	386	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Fina Production Licenses AS	28.500000	\N	43527	386	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Fina Production Licenses AS	28.500000	\N	43527	386	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Norsk Hydro Produksjon AS	6.700000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Norsk Hydro Produksjon AS	6.700000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Norsk Hydro Produksjon AS	6.700000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Norsk Hydro Produksjon AS	6.700000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Norsk Hydro Produksjon AS	6.365000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Norsk Hydro Produksjon AS	6.365000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Norsk Hydro Produksjon AS	6.365000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	6.654000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	6.654000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	6.654000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Norsk Hydro Produksjon AS	6.654000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Norsk Hydro Produksjon AS	6.654000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	6.654000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Norsk Hydro Produksjon AS	6.654000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Norsk Hydro Produksjon AS	6.654000	\N	43527	430	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Norminol AS	0.304000	\N	43527	529	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Norminol AS	0.304000	\N	43527	529	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Phillips Petroleum Company Norway	36.960000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Phillips Petroleum Company Norway	36.960000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Phillips Petroleum Company Norway	36.960000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Phillips Petroleum Company Norway	36.960000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Phillips Petroleum Company Norway	36.960000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Phillips Petroleum Company Norway	36.960000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Phillips Petroleum Company Norway	36.960000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Phillips Petroleum Company Norway	35.112000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Phillips Petroleum Company Norway	35.112000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Phillips Petroleum Company Norway	35.112000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Phillips Petroleum Company Norway	35.112000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Phillips Petroleum Company Norway	35.112000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Phillips Petroleum Company Norway	35.112000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Phillips Petroleum Company Norway	35.112000	\N	43527	694	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	35.112000	\N	43527	705	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Saga Petroleum ASA	0.304000	\N	43527	716	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Saga Petroleum ASA	0.304000	\N	43527	716	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Saga Petroleum ASA	0.289000	\N	43527	716	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Saga Petroleum ASA	0.289000	\N	43527	716	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Saga Petroleum ASA	0.289000	\N	43527	716	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Den norske stats oljeselskap a.s	1.000000	\N	43527	749	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Den norske stats oljeselskap a.s	1.000000	\N	43527	749	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43527	749	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43527	749	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43527	749	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Den norske stats oljeselskap a.s	5.950000	5.000000	43527	749	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Den norske stats oljeselskap a.s	5.950000	5.000000	43527	749	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Den norske stats oljeselskap a.s	5.950000	5.000000	43527	749	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	5.950000	5.000000	43527	749	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Total Norge AS	4.047000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Total Norge AS	4.047000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Total Norge AS	3.547000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Total Norge AS	3.547000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Total Norge AS	3.547000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Total Norge AS	3.547000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Total Norge AS	3.547000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Total Norge AS	3.370000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Total Norge AS	3.370000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Total Norge AS	31.870000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Total Norge AS	31.870000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Total Norge AS	31.870000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	31.870000	\N	43527	848	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	TotalFinaElf Exploration Norge AS	8.026000	\N	43527	1340884	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	TotalFinaElf Exploration Norge AS	8.026000	\N	43527	1340884	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	8.026000	\N	43527	1340884	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	8.026000	\N	43527	1340884	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	8.026000	\N	43527	1340884	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	TotalFinaElf Exploration Norge AS	39.896000	\N	43527	1340884	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	TotalFinaElf Exploration Norge AS	39.896000	\N	43527	1340884	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	39.896000	\N	43527	1340884	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	0.950000	\N	43527	1622484	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	0.950000	\N	43527	1622484	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Statoil ASA (old)	0.950000	\N	43527	1622484	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Statoil ASA (old)	0.950000	\N	43527	1622484	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Statoil ASA (old)	0.950000	\N	43527	1622484	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Statoil ASA (old)	0.950000	\N	43527	1622484	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Statoil ASA (old)	0.950000	\N	43527	1622484	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	0.950000	\N	43527	1622484	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	SDØE	5.000000	\N	43527	1623450	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Petoro AS	5.000000	\N	43527	1626839	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Petoro AS	5.000000	\N	43527	1626839	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Petoro AS	5.000000	\N	43527	1626839	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Petoro AS	5.000000	\N	43527	1626839	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Petoro AS	5.000000	\N	43527	1626839	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Petoro AS	5.000000	\N	43527	1626839	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Petoro AS	5.000000	\N	43527	1626839	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	Petoro AS	5.000000	\N	43527	1626839	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	Petoro AS	5.000000	\N	43527	1626839	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Petoro AS	5.000000	\N	43527	1626839	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	ConocoPhillips Norge	35.112000	\N	43527	2144081	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Eni Norge AS	12.388000	\N	43527	2388594	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	12.388000	\N	43527	2388594	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	Eni Norge AS	12.388000	\N	43527	2388594	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	Eni Norge AS	12.388000	\N	43527	2388594	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Eni Norge AS	12.388000	\N	43527	2388594	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	ConocoPhillips Skandinavia AS	35.112000	\N	43527	2410696	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43527	2410696	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.112000	\N	43527	2410696	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43527	2410696	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	35.112000	\N	43527	2410696	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	43527	2410696	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Total E&P Norge AS	39.896000	\N	43527	2410708	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Total E&P Norge AS	39.896000	\N	43527	2410708	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	39.896000	\N	43527	2410708	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	39.896000	\N	43527	2410708	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	39.896000	\N	43527	2410708	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Total E&P Norge AS	39.896000	\N	43527	2410708	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.654000	\N	43527	4511658	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	7.604000	\N	43527	4511658	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	0.950000	\N	43527	4511854	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	6.654000	\N	43527	4524355	9999-12-31	2013-05-08
ELDFISK	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	7.604000	\N	43527	17237817	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1990-12-14	1992-08-14	Norsk Agip  AS	13.040000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1992-08-14	1995-01-01	Norsk Agip  AS	13.040000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1995-01-01	1997-01-01	Norsk Agip  AS	13.040000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1997-01-01	1999-01-01	Norsk Agip  AS	13.040000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1999-01-01	2000-07-24	Norsk Agip  AS	12.388000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-07-24	2000-12-20	Norsk Agip  AS	12.388000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-12-20	2001-01-11	Norsk Agip  AS	12.388000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-01-11	2001-05-10	Norsk Agip  AS	12.388000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-05-10	2001-06-17	Norsk Agip  AS	12.388000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-06-17	2001-12-18	Norsk Agip  AS	12.388000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-12-18	2002-10-23	Norsk Agip  AS	12.388000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2002-10-23	2003-03-05	Norsk Agip  AS	12.388000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-03-05	2003-05-06	Norsk Agip  AS	12.388000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-05-06	2003-12-15	Norsk Agip  AS	12.388000	\N	43534	45	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1992-08-14	1995-01-01	Elf Petroleum Norge AS	7.594000	\N	43534	298	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1995-01-01	1997-01-01	Elf Petroleum Norge AS	7.594000	\N	43534	298	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1997-01-01	1999-01-01	Elf Petroleum Norge AS	8.449000	\N	43534	298	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1999-01-01	2000-07-24	Elf Petroleum Norge AS	8.026000	\N	43534	298	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1990-12-14	1992-08-14	Elf Rep Norge A/S	0.456000	\N	43534	309	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1990-12-14	1992-08-14	Elf Rex Norge AS	0.399000	\N	43534	320	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1992-08-14	1995-01-01	Elf Rex Norge AS	0.855000	\N	43534	320	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1995-01-01	1997-01-01	Elf Rex Norge AS	0.855000	\N	43534	320	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1990-12-14	1992-08-14	Elf Aquitaine Norge A/S	7.594000	\N	43534	331	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1990-12-14	1992-08-14	Fina Production Licenses AS	30.000000	\N	43534	386	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1992-08-14	1995-01-01	Fina Production Licenses AS	30.000000	\N	43534	386	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1995-01-01	1997-01-01	Fina Production Licenses AS	30.000000	\N	43534	386	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1997-01-01	1999-01-01	Fina Production Licenses AS	30.000000	\N	43534	386	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1999-01-01	2000-07-24	Fina Production Licenses AS	28.500000	\N	43534	386	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-07-24	2000-12-20	Fina Production Licenses AS	28.500000	\N	43534	386	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1990-12-14	1992-08-14	Norsk Hydro Produksjon AS	6.700000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1992-08-14	1995-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1995-01-01	1997-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1997-01-01	1999-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1999-01-01	2000-07-24	Norsk Hydro Produksjon AS	6.365000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-07-24	2000-12-20	Norsk Hydro Produksjon AS	6.365000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-12-20	2001-01-11	Norsk Hydro Produksjon AS	6.365000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	6.654000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	6.654000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	6.654000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-12-18	2002-10-23	Norsk Hydro Produksjon AS	6.654000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2002-10-23	2003-03-05	Norsk Hydro Produksjon AS	6.654000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	6.654000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-05-06	2003-12-15	Norsk Hydro Produksjon AS	6.654000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-12-15	2007-01-01	Norsk Hydro Produksjon AS	6.654000	\N	43534	430	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1990-12-14	1992-08-14	Norminol AS	0.304000	\N	43534	529	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1992-08-14	1995-01-01	Norminol AS	0.304000	\N	43534	529	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1990-12-14	1992-08-14	Phillips Petroleum Company Norway	36.960000	\N	43534	694	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1992-08-14	1995-01-01	Phillips Petroleum Company Norway	36.960000	\N	43534	694	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1995-01-01	1997-01-01	Phillips Petroleum Company Norway	36.960000	\N	43534	694	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1997-01-01	1999-01-01	Phillips Petroleum Company Norway	36.960000	\N	43534	694	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1999-01-01	2000-07-24	Phillips Petroleum Company Norway	35.112000	\N	43534	694	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-07-24	2000-12-20	Phillips Petroleum Company Norway	35.112000	\N	43534	694	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-12-20	2001-01-11	Phillips Petroleum Company Norway	35.112000	\N	43534	694	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-01-11	2001-05-10	Phillips Petroleum Company Norway	35.112000	\N	43534	694	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-05-10	2001-06-17	Phillips Petroleum Company Norway	35.112000	\N	43534	694	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-06-17	2001-12-18	Phillips Petroleum Company Norway	35.112000	\N	43534	694	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-12-18	2002-10-23	Phillips Petroleum Company Norway	35.112000	\N	43534	694	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	35.112000	\N	43534	705	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1995-01-01	1997-01-01	Saga Petroleum ASA	0.304000	\N	43534	716	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1997-01-01	1999-01-01	Saga Petroleum ASA	0.304000	\N	43534	716	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1999-01-01	2000-07-24	Saga Petroleum ASA	0.289000	\N	43534	716	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-07-24	2000-12-20	Saga Petroleum ASA	0.289000	\N	43534	716	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-12-20	2001-01-11	Saga Petroleum ASA	0.289000	\N	43534	716	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1990-12-14	1992-08-14	Den norske stats oljeselskap a.s	1.000000	\N	43534	749	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1992-08-14	1995-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43534	749	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1995-01-01	1997-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43534	749	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1997-01-01	1999-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43534	749	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1999-01-01	2000-07-24	Den norske stats oljeselskap a.s	5.950000	5.000000	43534	749	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-07-24	2000-12-20	Den norske stats oljeselskap a.s	5.950000	5.000000	43534	749	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-12-20	2001-01-11	Den norske stats oljeselskap a.s	5.950000	5.000000	43534	749	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	5.950000	5.000000	43534	749	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1990-12-14	1992-08-14	Total Norge AS	3.547000	\N	43534	848	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1992-08-14	1995-01-01	Total Norge AS	3.547000	\N	43534	848	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1995-01-01	1997-01-01	Total Norge AS	3.547000	\N	43534	848	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1997-01-01	1999-01-01	Total Norge AS	3.547000	\N	43534	848	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	1999-01-01	2000-07-24	Total Norge AS	3.370000	\N	43534	848	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-07-24	2000-12-20	Total Norge AS	3.370000	\N	43534	848	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-12-20	2001-01-11	Total Norge AS	31.870000	\N	43534	848	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-01-11	2001-05-10	Total Norge AS	31.870000	\N	43534	848	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-05-10	2001-06-17	Total Norge AS	31.870000	\N	43534	848	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	31.870000	\N	43534	848	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-07-24	2000-12-20	TotalFinaElf Exploration Norge AS	8.026000	\N	43534	1340884	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2000-12-20	2001-01-11	TotalFinaElf Exploration Norge AS	8.026000	\N	43534	1340884	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	8.026000	\N	43534	1340884	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	8.026000	\N	43534	1340884	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	8.026000	\N	43534	1340884	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-12-18	2002-10-23	TotalFinaElf Exploration Norge AS	39.896000	\N	43534	1340884	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2002-10-23	2003-03-05	TotalFinaElf Exploration Norge AS	39.896000	\N	43534	1340884	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	39.896000	\N	43534	1340884	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	0.950000	\N	43534	1622484	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	0.950000	\N	43534	1622484	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-12-18	2002-10-23	Statoil ASA (old)	0.950000	\N	43534	1622484	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2002-10-23	2003-03-05	Statoil ASA (old)	0.950000	\N	43534	1622484	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-03-05	2003-05-06	Statoil ASA (old)	0.950000	\N	43534	1622484	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-05-06	2003-12-15	Statoil ASA (old)	0.950000	\N	43534	1622484	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-12-15	2007-01-01	Statoil ASA (old)	0.950000	\N	43534	1622484	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	0.950000	\N	43534	1622484	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-05-10	2001-06-17	SDØE	5.000000	\N	43534	1623450	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-06-17	2001-12-18	Petoro AS	5.000000	\N	43534	1626839	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2001-12-18	2002-10-23	Petoro AS	5.000000	\N	43534	1626839	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2002-10-23	2003-03-05	Petoro AS	5.000000	\N	43534	1626839	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-03-05	2003-05-06	Petoro AS	5.000000	\N	43534	1626839	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-05-06	2003-12-15	Petoro AS	5.000000	\N	43534	1626839	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-12-15	2007-01-01	Petoro AS	5.000000	\N	43534	1626839	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-01-01	2007-10-01	Petoro AS	5.000000	\N	43534	1626839	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-10-01	2009-01-01	Petoro AS	5.000000	\N	43534	1626839	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2009-01-01	2009-11-02	Petoro AS	5.000000	\N	43534	1626839	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2009-11-02	9999-12-31	Petoro AS	5.000000	\N	43534	1626839	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2002-10-23	2003-03-05	ConocoPhillips Norge	35.112000	\N	43534	2144081	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-12-15	2007-01-01	Eni Norge AS	12.388000	\N	43534	2388594	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	12.388000	\N	43534	2388594	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-10-01	2009-01-01	Eni Norge AS	12.388000	\N	43534	2388594	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2009-01-01	2009-11-02	Eni Norge AS	12.388000	\N	43534	2388594	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2009-11-02	9999-12-31	Eni Norge AS	12.388000	\N	43534	2388594	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-05-06	2003-12-15	ConocoPhillips Skandinavia AS	35.112000	\N	43534	2410696	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-12-15	2007-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43534	2410696	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.112000	\N	43534	2410696	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43534	2410696	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	35.112000	\N	43534	2410696	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	43534	2410696	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-05-06	2003-12-15	Total E&P Norge AS	39.896000	\N	43534	2410708	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2003-12-15	2007-01-01	Total E&P Norge AS	39.896000	\N	43534	2410708	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	39.896000	\N	43534	2410708	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	39.896000	\N	43534	2410708	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	39.896000	\N	43534	2410708	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2009-11-02	9999-12-31	Total E&P Norge AS	39.896000	\N	43534	2410708	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.654000	\N	43534	4511658	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	7.604000	\N	43534	4511658	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	0.950000	\N	43534	4511854	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	6.654000	\N	43534	4524355	9999-12-31	2013-05-08
EMBLA	018	PRODUCTION LICENSE	1990-12-14	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	7.604000	\N	43534	17237817	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Norsk Agip  AS	13.040000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Norsk Agip  AS	13.040000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Norsk Agip  AS	13.040000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Norsk Agip  AS	13.040000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Norsk Agip  AS	13.040000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Norsk Agip  AS	13.040000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Norsk Agip  AS	13.040000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Norsk Agip  AS	12.388000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Norsk Agip  AS	12.388000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Norsk Agip  AS	12.388000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Norsk Agip  AS	12.388000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Norsk Agip  AS	12.388000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Norsk Agip  AS	12.388000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Norsk Agip  AS	12.388000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Norsk Agip  AS	12.388000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Norsk Agip  AS	12.388000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Norsk Agip  AS	12.388000	\N	43541	45	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Aquitaine Norge A/S	2.698000	\N	43541	111	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Cofranord A/S	0.304000	\N	43541	199	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Cofranord A/S	0.304000	\N	43541	199	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Cofranord A/S	0.304000	\N	43541	199	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Coparex Norge A/S	0.399000	\N	43541	243	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Coparex Norge A/S	0.399000	\N	43541	243	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Coparex Norge A/S	0.399000	\N	43541	243	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Elf Norge A/S	5.396000	\N	43541	287	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Elf Petroleum Norge AS	7.594000	\N	43541	298	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Elf Petroleum Norge AS	7.594000	\N	43541	298	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Elf Petroleum Norge AS	8.449000	\N	43541	298	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Elf Petroleum Norge AS	8.026000	\N	43541	298	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Elf Rep Norge A/S	0.456000	\N	43541	309	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Elf Rex Norge AS	0.399000	\N	43541	320	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Elf Rex Norge AS	0.855000	\N	43541	320	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Elf Rex Norge AS	0.855000	\N	43541	320	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Elf Aquitaine Norge A/S	8.094000	\N	43541	331	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Elf Aquitaine Norge A/S	7.594000	\N	43541	331	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Elf Aquitaine Norge A/S	7.594000	\N	43541	331	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Eurafrep Norge A/S	0.456000	\N	43541	364	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Eurafrep Norge A/S	0.456000	\N	43541	364	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Eurafrep Norge A/S	0.456000	\N	43541	364	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Fina Production Licenses AS	30.000000	\N	43541	386	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Fina Production Licenses AS	30.000000	\N	43541	386	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Fina Production Licenses AS	30.000000	\N	43541	386	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Fina Production Licenses AS	30.000000	\N	43541	386	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Fina Production Licenses AS	30.000000	\N	43541	386	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Fina Production Licenses AS	30.000000	\N	43541	386	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Fina Production Licenses AS	30.000000	\N	43541	386	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Fina Production Licenses AS	28.500000	\N	43541	386	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Fina Production Licenses AS	28.500000	\N	43541	386	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Norsk Hydro Produksjon AS	6.700000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Norsk Hydro Produksjon AS	6.700000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Norsk Hydro Produksjon AS	6.700000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Norsk Hydro Produksjon AS	6.700000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Norsk Hydro Produksjon AS	6.365000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Norsk Hydro Produksjon AS	6.365000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Norsk Hydro Produksjon AS	6.365000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	6.654000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	6.654000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	6.654000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Norsk Hydro Produksjon AS	6.654000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Norsk Hydro Produksjon AS	6.654000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	6.654000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Norsk Hydro Produksjon AS	6.654000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Norsk Hydro Produksjon AS	6.654000	\N	43541	430	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Norminol AS	0.304000	\N	43541	529	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Norminol AS	0.304000	\N	43541	529	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Phillips Petroleum Company Norway	36.960000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Phillips Petroleum Company Norway	36.960000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Phillips Petroleum Company Norway	36.960000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Phillips Petroleum Company Norway	36.960000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Phillips Petroleum Company Norway	36.960000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Phillips Petroleum Company Norway	36.960000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Phillips Petroleum Company Norway	36.960000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Phillips Petroleum Company Norway	35.112000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Phillips Petroleum Company Norway	35.112000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Phillips Petroleum Company Norway	35.112000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Phillips Petroleum Company Norway	35.112000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Phillips Petroleum Company Norway	35.112000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Phillips Petroleum Company Norway	35.112000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Phillips Petroleum Company Norway	35.112000	\N	43541	694	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	35.112000	\N	43541	705	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Saga Petroleum ASA	0.304000	\N	43541	716	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Saga Petroleum ASA	0.304000	\N	43541	716	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Saga Petroleum ASA	0.289000	\N	43541	716	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Saga Petroleum ASA	0.289000	\N	43541	716	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Saga Petroleum ASA	0.289000	\N	43541	716	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Den norske stats oljeselskap a.s	1.000000	\N	43541	749	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Den norske stats oljeselskap a.s	1.000000	\N	43541	749	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43541	749	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43541	749	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43541	749	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Den norske stats oljeselskap a.s	5.950000	5.000000	43541	749	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Den norske stats oljeselskap a.s	5.950000	5.000000	43541	749	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Den norske stats oljeselskap a.s	5.950000	5.000000	43541	749	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	5.950000	5.000000	43541	749	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1975-04-25	1977-07-01	Total Norge AS	4.047000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1977-07-01	1988-04-01	Total Norge AS	4.047000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1988-04-01	1990-11-22	Total Norge AS	3.547000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1990-11-22	1992-08-14	Total Norge AS	3.547000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1992-08-14	1995-01-01	Total Norge AS	3.547000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1995-01-01	1997-01-01	Total Norge AS	3.547000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1997-01-01	1999-01-01	Total Norge AS	3.547000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	1999-01-01	2000-07-24	Total Norge AS	3.370000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	Total Norge AS	3.370000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	Total Norge AS	31.870000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	Total Norge AS	31.870000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Total Norge AS	31.870000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	31.870000	\N	43541	848	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-07-24	2000-12-20	TotalFinaElf Exploration Norge AS	8.026000	\N	43541	1340884	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2000-12-20	2001-01-11	TotalFinaElf Exploration Norge AS	8.026000	\N	43541	1340884	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	8.026000	\N	43541	1340884	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	8.026000	\N	43541	1340884	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	8.026000	\N	43541	1340884	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	TotalFinaElf Exploration Norge AS	39.896000	\N	43541	1340884	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	TotalFinaElf Exploration Norge AS	39.896000	\N	43541	1340884	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	39.896000	\N	43541	1340884	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	0.950000	\N	43541	1622484	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	0.950000	\N	43541	1622484	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Statoil ASA (old)	0.950000	\N	43541	1622484	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Statoil ASA (old)	0.950000	\N	43541	1622484	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Statoil ASA (old)	0.950000	\N	43541	1622484	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Statoil ASA (old)	0.950000	\N	43541	1622484	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Statoil ASA (old)	0.950000	\N	43541	1622484	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	0.950000	\N	43541	1622484	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-05-10	2001-06-17	SDØE	5.000000	\N	43541	1623450	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-06-17	2001-12-18	Petoro AS	5.000000	\N	43541	1626839	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2001-12-18	2002-10-23	Petoro AS	5.000000	\N	43541	1626839	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	Petoro AS	5.000000	\N	43541	1626839	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-03-05	2003-05-06	Petoro AS	5.000000	\N	43541	1626839	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Petoro AS	5.000000	\N	43541	1626839	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Petoro AS	5.000000	\N	43541	1626839	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Petoro AS	5.000000	\N	43541	1626839	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	Petoro AS	5.000000	\N	43541	1626839	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	Petoro AS	5.000000	\N	43541	1626839	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Petoro AS	5.000000	\N	43541	1626839	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2002-10-23	2003-03-05	ConocoPhillips Norge	35.112000	\N	43541	2144081	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Eni Norge AS	12.388000	\N	43541	2388594	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	12.388000	\N	43541	2388594	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	Eni Norge AS	12.388000	\N	43541	2388594	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	Eni Norge AS	12.388000	\N	43541	2388594	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Eni Norge AS	12.388000	\N	43541	2388594	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	ConocoPhillips Skandinavia AS	35.112000	\N	43541	2410696	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43541	2410696	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.112000	\N	43541	2410696	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43541	2410696	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	35.112000	\N	43541	2410696	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	43541	2410696	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-05-06	2003-12-15	Total E&P Norge AS	39.896000	\N	43541	2410708	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2003-12-15	2007-01-01	Total E&P Norge AS	39.896000	\N	43541	2410708	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	39.896000	\N	43541	2410708	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	39.896000	\N	43541	2410708	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	39.896000	\N	43541	2410708	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Total E&P Norge AS	39.896000	\N	43541	2410708	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.654000	\N	43541	4511658	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	7.604000	\N	43541	4511658	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	0.950000	\N	43541	4511854	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	6.654000	\N	43541	4524355	9999-12-31	2013-05-08
EDDA	018	PRODUCTION LICENSE	1975-04-25	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	7.604000	\N	43541	17237817	9999-12-31	2013-05-08
VALHALL	006	PRODUCTION LICENSE	1977-06-02	1982-09-27	1977-06-02	1982-09-27	Amerada Hess Norge AS	28.333330	\N	43548	67	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1982-09-28	1989-04-14	Amerada Hess Norge AS	28.093760	\N	43548	67	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1989-04-14	1992-02-25	Amerada Hess Norge AS	28.093760	\N	43548	67	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1992-02-25	1999-12-23	Amerada Hess Norge AS	28.093760	\N	43548	67	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1999-12-23	2000-07-24	Amerada Hess Norge AS	28.093760	\N	43548	67	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2000-07-24	2001-12-31	Amerada Hess Norge AS	28.093760	\N	43548	67	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2001-12-31	2002-03-12	Amerada Hess Norge AS	28.093760	\N	43548	67	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2002-03-12	2003-05-06	Amerada Hess Norge AS	28.093760	\N	43548	67	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2003-05-06	2006-06-26	Amerada Hess Norge AS	28.093760	\N	43548	67	9999-12-31	2013-05-08
VALHALL	006	PRODUCTION LICENSE	1977-06-02	1982-09-27	1977-06-02	1982-09-27	Amoco Norway Oil Company	28.333330	\N	43548	78	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1982-09-28	1989-04-14	Amoco Norway Oil Company	28.093770	\N	43548	78	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1989-04-14	1992-02-25	Amoco Norway Oil Company	28.093770	\N	43548	78	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1992-02-25	1999-12-23	Amoco Norway Oil Company	28.093770	\N	43548	78	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1992-02-25	1999-12-23	Elf Petroleum Norge AS	15.718710	\N	43548	298	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1999-12-23	2000-07-24	Elf Petroleum Norge AS	15.718710	\N	43548	298	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1989-04-14	1992-02-25	Enterprise Oil Norwegian AS	28.093760	\N	43548	342	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1992-02-25	1999-12-23	Enterprise Oil Norwegian AS	28.093760	\N	43548	342	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1999-12-23	2000-07-24	Enterprise Oil Norwegian AS	28.093760	\N	43548	342	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2000-07-24	2001-12-31	Enterprise Oil Norwegian AS	28.093760	\N	43548	342	9999-12-31	2013-05-08
VALHALL	006	PRODUCTION LICENSE	1977-06-02	1982-09-27	1977-06-02	1982-09-27	Norwegian Oil Consortium A/S & Co	15.000000	\N	43548	518	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1982-09-28	1989-04-14	Norwegian Oil Consortium A/S & Co	15.718710	\N	43548	518	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1989-04-14	1992-02-25	Norwegian Oil Consortium A/S & Co	15.718710	\N	43548	518	9999-12-31	2013-05-08
VALHALL	006	PRODUCTION LICENSE	1977-06-02	1982-09-27	1977-06-02	1982-09-27	Texas Eastern Norwegian Inc.	28.333330	\N	43548	837	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1982-09-28	1989-04-14	Texas Eastern Norwegian Inc.	28.093760	\N	43548	837	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	1999-12-23	2000-07-24	BP Amoco Norge AS	28.093770	\N	43548	982372	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2000-07-24	2001-12-31	BP Amoco Norge AS	28.093770	\N	43548	982372	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2001-12-31	2002-03-12	BP Amoco Norge AS	28.093770	\N	43548	982372	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2000-07-24	2001-12-31	TotalFinaElf Exploration Norge AS	15.718710	\N	43548	1340884	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2001-12-31	2002-03-12	TotalFinaElf Exploration Norge AS	15.718710	\N	43548	1340884	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2002-03-12	2003-05-06	TotalFinaElf Exploration Norge AS	15.718710	\N	43548	1340884	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2001-12-31	2002-03-12	Enterprise Oil Norge AS	28.093760	\N	43548	1853786	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2002-03-12	2003-05-06	Enterprise Oil Norge AS	28.093760	\N	43548	1853786	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2003-05-06	2006-06-26	Enterprise Oil Norge AS	28.093760	\N	43548	1853786	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2006-06-26	2010-01-01	Enterprise Oil Norge AS	28.093760	\N	43548	1853786	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2002-03-12	2003-05-06	BP Norge AS	28.093770	\N	43548	2052695	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2003-05-06	2006-06-26	BP Norge AS	28.093770	\N	43548	2052695	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2006-06-26	2010-01-01	BP Norge AS	28.093770	\N	43548	2052695	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2010-01-01	9999-12-31	BP Norge AS	35.953130	\N	43548	2052695	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2003-05-06	2006-06-26	Total E&P Norge AS	15.718710	\N	43548	2410708	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2006-06-26	2010-01-01	Total E&P Norge AS	15.718710	\N	43548	2410708	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2006-06-26	2010-01-01	Hess Norge AS	28.093760	\N	43548	4038735	9999-12-31	2013-05-08
VALHALL	VALHALL UNIT	BUSINESS ARRANGEMENT AREA	1982-09-28	9999-12-31	2010-01-01	9999-12-31	Hess Norge AS	64.046880	\N	43548	4038735	9999-12-31	2013-05-08
FRIGG	024	PRODUCTION LICENSE	1974-06-13	1977-12-11	1974-06-13	1977-07-01	Aquitaine Norge A/S	13.800000	\N	43555	111	9999-12-31	2013-05-08
FRIGG	024	PRODUCTION LICENSE	1974-06-13	1977-12-11	1974-06-13	1977-07-01	Elf Norge A/S	27.620000	\N	43555	287	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1992-08-14	2000-07-24	Elf Petroleum Norge AS	16.068000	\N	43555	298	9999-12-31	2013-05-08
FRIGG	024	PRODUCTION LICENSE	1974-06-13	1977-12-11	1977-07-01	1977-12-11	Elf Aquitaine Norge A/S	41.420000	\N	43555	331	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1977-12-12	1981-01-01	Elf Aquitaine Norge A/S	25.191000	\N	43555	331	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1981-01-01	1989-01-01	Elf Aquitaine Norge A/S	25.191000	\N	43555	331	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1989-01-01	1991-12-20	Elf Aquitaine Norge A/S	25.191000	\N	43555	331	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1991-12-20	1992-08-14	Elf Aquitaine Norge A/S	16.068000	\N	43555	331	9999-12-31	2013-05-08
FRIGG	024	PRODUCTION LICENSE	1974-06-13	1977-12-11	1974-06-13	1977-07-01	Norsk Hydro Produksjon AS	32.870000	\N	43555	430	9999-12-31	2013-05-08
FRIGG	024	PRODUCTION LICENSE	1974-06-13	1977-12-11	1977-07-01	1977-12-11	Norsk Hydro Produksjon AS	32.870000	\N	43555	430	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1977-12-12	1981-01-01	Norsk Hydro Produksjon AS	19.992000	\N	43555	430	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1981-01-01	1989-01-01	Norsk Hydro Produksjon AS	19.992000	\N	43555	430	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1989-01-01	1991-12-20	Norsk Hydro Produksjon AS	19.992000	\N	43555	430	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1991-12-20	1992-08-14	Norsk Hydro Produksjon AS	19.992000	\N	43555	430	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1992-08-14	2000-07-24	Norsk Hydro Produksjon AS	19.992000	\N	43555	430	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	19.992000	\N	43555	430	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2001-05-10	2001-12-18	Norsk Hydro Produksjon AS	19.992000	\N	43555	430	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	19.992000	\N	43555	430	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	19.992000	\N	43555	430	9999-12-31	2013-05-08
FRIGG	024	PRODUCTION LICENSE	1974-06-13	1977-12-11	1974-06-13	1977-07-01	Den norske stats oljeselskap a.s	5.000000	\N	43555	749	9999-12-31	2013-05-08
FRIGG	024	PRODUCTION LICENSE	1974-06-13	1977-12-11	1977-07-01	1977-12-11	Den norske stats oljeselskap a.s	5.000000	\N	43555	749	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1977-12-12	1981-01-01	Den norske stats oljeselskap a.s	3.041000	\N	43555	749	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1981-01-01	1989-01-01	Den norske stats oljeselskap a.s	3.041000	\N	43555	749	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1989-01-01	1991-12-20	Den norske stats oljeselskap a.s	3.041000	\N	43555	749	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1991-12-20	1992-08-14	Den norske stats oljeselskap a.s	12.164000	\N	43555	749	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1992-08-14	2000-07-24	Den norske stats oljeselskap a.s	12.164000	\N	43555	749	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	12.164000	\N	43555	749	9999-12-31	2013-05-08
FRIGG	024	PRODUCTION LICENSE	1974-06-13	1977-12-11	1974-06-13	1977-07-01	Total Norge AS	20.710000	\N	43555	848	9999-12-31	2013-05-08
FRIGG	024	PRODUCTION LICENSE	1974-06-13	1977-12-11	1977-07-01	1977-12-11	Total Norge AS	20.710000	\N	43555	848	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1977-12-12	1981-01-01	Total Norge AS	12.596000	\N	43555	848	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1981-01-01	1989-01-01	Total Norge AS	12.596000	\N	43555	848	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1989-01-01	1991-12-20	Total Norge AS	12.596000	\N	43555	848	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1991-12-20	1992-08-14	Total Norge AS	12.596000	\N	43555	848	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1992-08-14	2000-07-24	Total Norge AS	12.596000	\N	43555	848	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2000-07-24	2001-05-10	Total Norge AS	12.596000	\N	43555	848	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2001-05-10	2001-12-18	Total Norge AS	12.596000	\N	43555	848	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1981-01-01	1989-01-01	BP Petroleum Development Ltd	0.230000	\N	43555	42067	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1977-12-12	1981-01-01	Aquitaine UK	8.707000	\N	43555	45674	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1977-12-12	1981-01-01	ELF Oil UK	17.413000	\N	43555	45685	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1977-12-12	1981-01-01	Total Oil Marine Ltd	13.060000	\N	43555	45696	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1981-01-01	1989-01-01	Total Oil Marine Ltd	12.980000	\N	43555	45696	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1989-01-01	1991-12-20	Total Oil Marine Ltd	13.060000	\N	43555	45696	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1991-12-20	1992-08-14	Total Oil Marine Ltd	13.060000	\N	43555	45696	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1992-08-14	2000-07-24	Total Oil Marine Ltd	13.060000	\N	43555	45696	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2000-07-24	2001-05-10	Total Oil Marine Ltd	13.060000	\N	43555	45696	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2001-05-10	2001-12-18	Total Oil Marine Ltd	13.060000	\N	43555	45696	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2001-12-18	2003-05-06	Total Oil Marine Ltd	13.060000	\N	43555	45696	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1981-01-01	1989-01-01	Elf Exploration UK Ltd	25.970000	\N	43555	45736	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1989-01-01	1991-12-20	Elf Exploration UK Ltd	26.120000	\N	43555	45736	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1991-12-20	1992-08-14	Elf Exploration UK Ltd	26.120000	\N	43555	45736	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	1992-08-14	2000-07-24	Elf Exploration UK Ltd	26.120000	\N	43555	45736	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2000-07-24	2001-05-10	Elf Exploration UK Ltd	26.120000	\N	43555	45736	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2001-05-10	2001-12-18	Elf Exploration UK Ltd	26.120000	\N	43555	45736	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2001-12-18	2003-05-06	Elf Exploration UK Ltd	26.120000	\N	43555	45736	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	16.068000	\N	43555	1340884	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2001-05-10	2001-12-18	TotalFinaElf Exploration Norge AS	16.068000	\N	43555	1340884	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	28.664000	\N	43555	1340884	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2001-05-10	2001-12-18	Statoil ASA (old)	12.164000	\N	43555	1622484	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2001-12-18	2003-05-06	Statoil ASA (old)	12.164000	\N	43555	1622484	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2003-05-06	2007-01-01	Statoil ASA (old)	12.164000	\N	43555	1622484	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	12.164000	\N	43555	1622484	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2003-05-06	2007-01-01	Total E&P Norge AS	28.664000	\N	43555	2410708	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	28.664000	\N	43555	2410708	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	28.664000	\N	43555	2410708	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	28.664000	\N	43555	2410708	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2009-11-01	9999-12-31	Total E&P Norge AS	28.664000	\N	43555	2410708	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2003-05-06	2007-01-01	TOTAL E&P UK PLC	39.180000	\N	43555	2747820	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2007-01-01	2007-10-01	TOTAL E&P UK PLC	39.180000	\N	43555	2747820	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2007-10-01	2009-01-01	TOTAL E&P UK PLC	39.180000	\N	43555	2747820	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2009-01-01	2009-11-01	TOTAL E&P UK PLC	39.180000	\N	43555	2747820	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2009-11-01	9999-12-31	TOTAL E&P UK PLC	39.180000	\N	43555	2747820	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	19.992000	\N	43555	4511658	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	32.156000	\N	43555	4511658	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	12.164000	\N	43555	4511854	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	19.992000	\N	43555	4524355	9999-12-31	2013-05-08
FRIGG	FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1977-12-12	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	32.156000	\N	43555	17237817	9999-12-31	2013-05-08
BALDER	001	PRODUCTION LICENSE	1996-02-02	9999-12-31	1996-02-02	2004-10-01	Esso Exploration and Production Norway A/S	100.000000	\N	43562	353	9999-12-31	2013-05-08
BALDER	001	PRODUCTION LICENSE	1996-02-02	9999-12-31	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	100.000000	\N	43562	2835212	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1992-08-14	1995-12-31	Elf Petroleum Norge AS	11.096400	\N	43568	298	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1980-09-12	1984-08-17	Elf Aquitaine Norge A/S	24.852000	\N	43568	331	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1984-08-17	1991-12-20	Elf Aquitaine Norge A/S	17.396400	\N	43568	331	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1991-12-20	1992-08-14	Elf Aquitaine Norge A/S	11.096400	\N	43568	331	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1980-09-12	1984-08-17	Esso Exploration and Production Norway A/S	40.000000	\N	43568	353	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1984-08-17	1991-12-20	Esso Exploration and Production Norway A/S	58.000000	\N	43568	353	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1991-12-20	1992-08-14	Esso Exploration and Production Norway A/S	58.000000	\N	43568	353	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1992-08-14	1995-12-31	Esso Exploration and Production Norway A/S	58.000000	\N	43568	353	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1980-09-12	1984-08-17	Norsk Hydro Produksjon AS	19.722000	\N	43568	430	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1984-08-17	1991-12-20	Norsk Hydro Produksjon AS	13.805400	\N	43568	430	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1991-12-20	1992-08-14	Norsk Hydro Produksjon AS	13.805400	\N	43568	430	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1992-08-14	1995-12-31	Norsk Hydro Produksjon AS	13.805400	\N	43568	430	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1980-09-12	1984-08-17	Den norske stats oljeselskap a.s	3.000000	\N	43568	749	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1984-08-17	1991-12-20	Den norske stats oljeselskap a.s	2.100000	\N	43568	749	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1991-12-20	1992-08-14	Den norske stats oljeselskap a.s	8.400000	\N	43568	749	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1992-08-14	1995-12-31	Den norske stats oljeselskap a.s	8.400000	\N	43568	749	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1980-09-12	1984-08-17	Total Norge AS	12.426000	\N	43568	848	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1984-08-17	1991-12-20	Total Norge AS	8.698200	\N	43568	848	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1991-12-20	1992-08-14	Total Norge AS	8.698200	\N	43568	848	9999-12-31	2013-05-08
NORDØST FRIGG	NORDØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1980-09-12	1995-12-31	1992-08-14	1995-12-31	Total Norge AS	8.698200	\N	43568	848	9999-12-31	2013-05-08
NORDØST FRIGG	415	PRODUCTION LICENSE	2007-02-16	2009-02-16	2007-10-01	2009-02-16	StatoilHydro Petroleum AS	100.000000	\N	43568	4511658	9999-12-31	2013-05-08
NORDØST FRIGG	415	PRODUCTION LICENSE	2007-02-16	2009-02-16	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	100.000000	\N	43568	4524355	9999-12-31	2013-05-08
ØST FRIGG	026	PRODUCTION LICENSE	1984-12-14	1987-11-30	1984-12-14	1985-07-26	Elf Petroleum Norge AS	43.600000	\N	43576	298	9999-12-31	2013-05-08
ØST FRIGG	026	PRODUCTION LICENSE	1984-12-14	1987-11-30	1985-07-26	1987-11-30	Elf Petroleum Norge AS	41.420000	\N	43576	298	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	1987-12-01	1991-12-20	Elf Petroleum Norge AS	40.464310	\N	43576	298	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	1991-12-20	2000-07-24	Elf Petroleum Norge AS	37.225400	\N	43576	298	9999-12-31	2013-05-08
ØST FRIGG	026	PRODUCTION LICENSE	1984-12-14	1987-11-30	1984-12-14	1985-07-26	Norsk Hydro Produksjon AS	34.600000	\N	43576	430	9999-12-31	2013-05-08
ØST FRIGG	026	PRODUCTION LICENSE	1984-12-14	1987-11-30	1985-07-26	1987-11-30	Norsk Hydro Produksjon AS	32.870000	\N	43576	430	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	1987-12-01	1991-12-20	Norsk Hydro Produksjon AS	32.111590	\N	43576	430	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	1991-12-20	2000-07-24	Norsk Hydro Produksjon AS	32.111590	\N	43576	430	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	2000-07-24	2000-12-31	Norsk Hydro Produksjon AS	32.111590	\N	43576	430	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-01-06	2006-01-07	Norsk Hydro Produksjon AS	100.000000	\N	43576	430	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-01-07	2007-01-01	Norsk Hydro Produksjon AS	50.000000	\N	43576	430	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-01-07	2007-01-01	Svenska Petroleum Exploration AS	25.000000	\N	43576	738	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-01-01	2007-06-20	Svenska Petroleum Exploration AS	25.000000	\N	43576	738	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-06-20	2007-10-01	Svenska Petroleum Exploration AS	25.000000	\N	43576	738	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-10-01	2007-11-16	Svenska Petroleum Exploration AS	25.000000	\N	43576	738	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-11-16	2008-01-01	Svenska Petroleum Exploration AS	25.000000	\N	43576	738	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-01	2008-01-02	Svenska Petroleum Exploration AS	25.000000	\N	43576	738	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-02	2009-11-02	Svenska Petroleum Exploration AS	25.000000	\N	43576	738	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-11-02	2009-12-22	Svenska Petroleum Exploration AS	25.000000	\N	43576	738	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-12-22	2012-04-30	Svenska Petroleum Exploration AS	25.000000	\N	43576	738	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2012-04-30	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	43576	738	9999-12-31	2013-05-08
ØST FRIGG	026	PRODUCTION LICENSE	1984-12-14	1987-11-30	1985-07-26	1987-11-30	Den norske stats oljeselskap a.s	5.000000	\N	43576	749	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	1987-12-01	1991-12-20	Den norske stats oljeselskap a.s	7.191950	1.461300	43576	749	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	1991-12-20	2000-07-24	Den norske stats oljeselskap a.s	10.430860	1.461300	43576	749	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	2000-07-24	2000-12-31	Den norske stats oljeselskap a.s	10.430860	1.461300	43576	749	9999-12-31	2013-05-08
ØST FRIGG	026	PRODUCTION LICENSE	1984-12-14	1987-11-30	1984-12-14	1985-07-26	Total Norge AS	21.800000	\N	43576	848	9999-12-31	2013-05-08
ØST FRIGG	026	PRODUCTION LICENSE	1984-12-14	1987-11-30	1985-07-26	1987-11-30	Total Norge AS	20.710000	\N	43576	848	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	1987-12-01	1991-12-20	Total Norge AS	20.232150	\N	43576	848	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	1991-12-20	2000-07-24	Total Norge AS	20.232150	\N	43576	848	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	2000-07-24	2000-12-31	Total Norge AS	20.232150	\N	43576	848	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-01-07	2007-01-01	Det Norske Oljeselskap AS	25.000000	\N	43576	1340609	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-01-01	2007-06-20	Det Norske Oljeselskap AS	25.000000	\N	43576	1340609	9999-12-31	2013-05-08
ØST FRIGG	ØST FRIGG UNIT	BUSINESS ARRANGEMENT AREA	1987-12-01	2000-12-31	2000-07-24	2000-12-31	TotalFinaElf Exploration Norge AS	37.225400	\N	43576	1340884	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	50.000000	\N	43576	4238233	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	25.000000	\N	43576	4468177	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	25.000000	\N	43576	4468177	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-10-01	2007-11-16	StatoilHydro Petroleum AS	50.000000	\N	43576	4511658	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-11-16	2008-01-01	StatoilHydro Petroleum AS	50.000000	\N	43576	4511658	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-01	2008-01-02	StatoilHydro Petroleum AS	50.000000	\N	43576	4511658	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-02	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	43576	4511658	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-01-01	2007-06-20	Norsk Hydro Petroleum AS	50.000000	\N	43576	4524355	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-06-20	2007-10-01	Norsk Hydro Petroleum AS	50.000000	\N	43576	4524355	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-02	2009-11-02	Dana Petroleum Norway AS	10.000000	\N	43576	4526555	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-11-02	2009-12-22	Dana Petroleum Norway AS	10.000000	\N	43576	4526555	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-12-22	2012-04-30	Dana Petroleum Norway AS	10.000000	\N	43576	4526555	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2012-04-30	9999-12-31	Dana Petroleum Norway AS	10.000000	\N	43576	4526555	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-11-16	2008-01-01	Noil Energy ASA	25.000000	\N	43576	4539976	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	25.000000	\N	43576	4539989	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-02	2009-11-02	Det norske oljeselskap ASA (old)	15.000000	\N	43576	4539989	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	15.000000	\N	43576	4539989	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-11-02	2009-12-22	Statoil Petroleum AS	50.000000	\N	43576	17237817	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-12-22	2012-04-30	Statoil Petroleum AS	50.000000	\N	43576	17237817	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-12-22	2012-04-30	Det norske oljeselskap ASA	15.000000	\N	43576	17342870	9999-12-31	2013-05-08
ØST FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2012-04-30	9999-12-31	Det norske oljeselskap ASA	15.000000	\N	43576	17342870	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	1991-09-06	2000-07-24	Elf Petroleum Norge AS	41.420000	\N	43583	298	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	1991-09-06	2000-07-24	Norsk Hydro Produksjon AS	32.870000	\N	43583	430	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	32.870000	\N	43583	430	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	2001-05-10	2001-12-18	Norsk Hydro Produksjon AS	32.870000	\N	43583	430	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	2001-12-18	2002-05-24	Norsk Hydro Produksjon AS	32.870000	\N	43583	430	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-01-06	2006-01-07	Norsk Hydro Produksjon AS	100.000000	\N	43583	430	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-01-07	2007-01-01	Norsk Hydro Produksjon AS	50.000000	\N	43583	430	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-01-07	2007-01-01	Svenska Petroleum Exploration AS	25.000000	\N	43583	738	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-01-01	2007-06-20	Svenska Petroleum Exploration AS	25.000000	\N	43583	738	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-06-20	2007-10-01	Svenska Petroleum Exploration AS	25.000000	\N	43583	738	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-10-01	2007-11-16	Svenska Petroleum Exploration AS	25.000000	\N	43583	738	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-11-16	2008-01-01	Svenska Petroleum Exploration AS	25.000000	\N	43583	738	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-01	2008-01-02	Svenska Petroleum Exploration AS	25.000000	\N	43583	738	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-02	2009-11-02	Svenska Petroleum Exploration AS	25.000000	\N	43583	738	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-11-02	2009-12-22	Svenska Petroleum Exploration AS	25.000000	\N	43583	738	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-12-22	2012-04-30	Svenska Petroleum Exploration AS	25.000000	\N	43583	738	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2012-04-30	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	43583	738	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	1991-09-06	2000-07-24	Den norske stats oljeselskap a.s	5.000000	\N	43583	749	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	5.000000	\N	43583	749	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	1991-09-06	2000-07-24	Total Norge AS	20.710000	\N	43583	848	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	2000-07-24	2001-05-10	Total Norge AS	20.710000	\N	43583	848	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	2001-05-10	2001-12-18	Total Norge AS	20.710000	\N	43583	848	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-01-07	2007-01-01	Det Norske Oljeselskap AS	25.000000	\N	43583	1340609	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-01-01	2007-06-20	Det Norske Oljeselskap AS	25.000000	\N	43583	1340609	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	41.420000	\N	43583	1340884	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	2001-05-10	2001-12-18	TotalFinaElf Exploration Norge AS	41.420000	\N	43583	1340884	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	2001-12-18	2002-05-24	TotalFinaElf Exploration Norge AS	62.130000	\N	43583	1340884	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	2001-05-10	2001-12-18	Statoil ASA (old)	5.000000	\N	43583	1622484	9999-12-31	2013-05-08
LILLE-FRIGG	026	PRODUCTION LICENSE	1991-09-06	2002-05-24	2001-12-18	2002-05-24	Statoil ASA (old)	5.000000	\N	43583	1622484	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	50.000000	\N	43583	4238233	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	25.000000	\N	43583	4468177	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	25.000000	\N	43583	4468177	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-10-01	2007-11-16	StatoilHydro Petroleum AS	50.000000	\N	43583	4511658	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-11-16	2008-01-01	StatoilHydro Petroleum AS	50.000000	\N	43583	4511658	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-01	2008-01-02	StatoilHydro Petroleum AS	50.000000	\N	43583	4511658	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-02	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	43583	4511658	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-01-01	2007-06-20	Norsk Hydro Petroleum AS	50.000000	\N	43583	4524355	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-06-20	2007-10-01	Norsk Hydro Petroleum AS	50.000000	\N	43583	4524355	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-02	2009-11-02	Dana Petroleum Norway AS	10.000000	\N	43583	4526555	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-11-02	2009-12-22	Dana Petroleum Norway AS	10.000000	\N	43583	4526555	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-12-22	2012-04-30	Dana Petroleum Norway AS	10.000000	\N	43583	4526555	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2012-04-30	9999-12-31	Dana Petroleum Norway AS	10.000000	\N	43583	4526555	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-11-16	2008-01-01	Noil Energy ASA	25.000000	\N	43583	4539976	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	25.000000	\N	43583	4539989	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2008-01-02	2009-11-02	Det norske oljeselskap ASA (old)	15.000000	\N	43583	4539989	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	15.000000	\N	43583	4539989	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-11-02	2009-12-22	Statoil Petroleum AS	50.000000	\N	43583	17237817	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-12-22	2012-04-30	Statoil Petroleum AS	50.000000	\N	43583	17237817	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-12-22	2012-04-30	Det norske oljeselskap ASA	15.000000	\N	43583	17342870	9999-12-31	2013-05-08
LILLE-FRIGG	362	PRODUCTION LICENSE	2006-01-06	9999-12-31	2012-04-30	9999-12-31	Det norske oljeselskap ASA	15.000000	\N	43583	17342870	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1981-06-10	1985-01-01	Bow Valley Exploration Norge A/S	8.000000	\N	43590	144	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1985-01-01	1987-03-26	Bow Valley Exploration Norge A/S	8.000000	\N	43590	144	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1992-08-14	1996-01-01	Elf Petroleum Norge AS	21.514000	\N	43590	298	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1996-01-01	1998-01-01	Elf Petroleum Norge AS	21.514000	\N	43590	298	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1998-01-01	2000-07-24	Elf Petroleum Norge AS	11.939000	\N	43590	298	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1981-06-10	1985-01-01	Elf Aquitaine Norge A/S	9.639000	\N	43590	331	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1985-01-01	1987-03-26	Elf Aquitaine Norge A/S	9.639000	\N	43590	331	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1987-03-26	1989-06-15	Elf Aquitaine Norge A/S	17.639000	\N	43590	331	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1989-06-15	1992-08-14	Elf Aquitaine Norge A/S	21.514000	\N	43590	331	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1981-06-10	1985-01-01	Norsk Hydro Produksjon AS	6.228000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1985-01-01	1987-03-26	Norsk Hydro Produksjon AS	6.228000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1987-03-26	1989-06-15	Norsk Hydro Produksjon AS	6.228000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1989-06-15	1992-08-14	Norsk Hydro Produksjon AS	6.228000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1992-08-14	1996-01-01	Norsk Hydro Produksjon AS	6.228000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1996-01-01	1998-01-01	Norsk Hydro Produksjon AS	6.228000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1998-01-01	2000-07-24	Norsk Hydro Produksjon AS	15.803000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	15.803000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	19.274000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	19.274000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	19.274000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	19.274000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2003-05-06	2003-10-12	Norsk Hydro Produksjon AS	19.274000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2003-10-13	2004-01-01	Norsk Hydro Produksjon AS	19.274000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	19.443000	\N	43590	430	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1981-06-10	1985-01-01	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1985-01-01	1987-03-26	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1987-03-26	1989-06-15	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1989-06-15	1992-08-14	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1992-08-14	1996-01-01	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1996-01-01	1998-01-01	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1998-01-01	2000-07-24	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2000-07-24	2001-01-11	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-01-11	2001-05-10	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-05-10	2001-06-17	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-06-17	2001-12-18	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-12-18	2003-05-06	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2003-05-06	2003-10-12	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2003-10-13	2004-01-01	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2004-01-01	2007-01-01	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2007-01-01	2007-10-01	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2007-10-01	2008-01-01	Marathon Petroleum Norge AS	23.798000	\N	43590	463	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1981-06-10	1985-01-01	Saga Petroleum ASA	3.471000	\N	43590	716	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1985-01-01	1987-03-26	Saga Petroleum ASA	3.471000	\N	43590	716	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1987-03-26	1989-06-15	Saga Petroleum ASA	3.471000	\N	43590	716	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1989-06-15	1992-08-14	Saga Petroleum ASA	3.471000	\N	43590	716	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1992-08-14	1996-01-01	Saga Petroleum ASA	3.471000	\N	43590	716	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1996-01-01	1998-01-01	Saga Petroleum ASA	3.471000	\N	43590	716	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1998-01-01	2000-07-24	Saga Petroleum ASA	3.471000	\N	43590	716	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2000-07-24	2001-01-11	Saga Petroleum ASA	3.471000	\N	43590	716	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1981-06-10	1985-01-01	Den norske stats oljeselskap a.s	40.000000	0.000000	43590	749	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1985-01-01	1987-03-26	Den norske stats oljeselskap a.s	40.000000	20.000000	43590	749	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1987-03-26	1989-06-15	Den norske stats oljeselskap a.s	40.000000	20.000000	43590	749	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1989-06-15	1992-08-14	Den norske stats oljeselskap a.s	40.000000	20.000000	43590	749	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1992-08-14	1996-01-01	Den norske stats oljeselskap a.s	40.000000	20.000000	43590	749	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1996-01-01	1998-01-01	Den norske stats oljeselskap a.s	40.000000	20.000000	43590	749	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1998-01-01	2000-07-24	Den norske stats oljeselskap a.s	40.000000	20.000000	43590	749	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	40.000000	20.000000	43590	749	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	40.000000	20.000000	43590	749	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1981-06-10	1985-01-01	Sunningdale Oil Norge A/S	3.875000	\N	43590	760	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1985-01-01	1987-03-26	Sunningdale Oil Norge A/S	3.875000	\N	43590	760	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1987-03-26	1989-06-15	Sunningdale Oil Norge A/S	3.875000	\N	43590	760	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1981-06-10	1985-01-01	Total Norge AS	4.820000	\N	43590	848	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1985-01-01	1987-03-26	Total Norge AS	4.820000	\N	43590	848	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1987-03-26	1989-06-15	Total Norge AS	4.820000	\N	43590	848	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1989-06-15	1992-08-14	Total Norge AS	4.820000	\N	43590	848	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1992-08-14	1996-01-01	Total Norge AS	4.820000	\N	43590	848	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1996-01-01	1998-01-01	Total Norge AS	4.820000	\N	43590	848	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1998-01-01	2000-07-24	Total Norge AS	4.820000	\N	43590	848	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2000-07-24	2001-01-11	Total Norge AS	4.820000	\N	43590	848	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-01-11	2001-05-10	Total Norge AS	4.820000	\N	43590	848	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-05-10	2001-06-17	Total Norge AS	4.820000	\N	43590	848	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-06-17	2001-12-18	Total Norge AS	4.820000	\N	43590	848	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1981-06-10	1985-01-01	Ugland Construction Company AS	0.169000	\N	43590	859	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1985-01-01	1987-03-26	Ugland Construction Company AS	0.169000	\N	43590	859	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1987-03-26	1989-06-15	Ugland Construction Company AS	0.169000	\N	43590	859	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1989-06-15	1992-08-14	Ugland Construction Company AS	0.169000	\N	43590	859	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1992-08-14	1996-01-01	Ugland Construction Company AS	0.169000	\N	43590	859	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1996-01-01	1998-01-01	AS Uglands Rederi	0.169000	\N	43590	40103	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	1998-01-01	2000-07-24	AS Uglands Rederi	0.169000	\N	43590	40103	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2000-07-24	2001-01-11	AS Uglands Rederi	0.169000	\N	43590	40103	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-01-11	2001-05-10	AS Uglands Rederi	0.169000	\N	43590	40103	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-05-10	2001-06-17	AS Uglands Rederi	0.169000	\N	43590	40103	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-06-17	2001-12-18	AS Uglands Rederi	0.169000	\N	43590	40103	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-12-18	2003-05-06	AS Uglands Rederi	0.169000	\N	43590	40103	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2003-05-06	2003-10-12	AS Uglands Rederi	0.169000	\N	43590	40103	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2003-10-13	2004-01-01	AS Uglands Rederi	0.169000	\N	43590	40103	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	11.939000	\N	43590	1340884	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	11.939000	\N	43590	1340884	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	11.939000	\N	43590	1340884	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	11.939000	\N	43590	1340884	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	16.759000	\N	43590	1340884	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-05-10	2001-06-17	Statoil ASA (old)	20.000000	\N	43590	1622484	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-06-17	2001-12-18	Statoil ASA (old)	20.000000	\N	43590	1622484	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-12-18	2003-05-06	Statoil ASA (old)	20.000000	\N	43590	1622484	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2003-05-06	2003-10-12	Statoil ASA (old)	20.000000	\N	43590	1622484	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2003-10-13	2004-01-01	Statoil ASA (old)	20.000000	\N	43590	1622484	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2004-01-01	2007-01-01	Statoil ASA (old)	20.000000	\N	43590	1622484	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	20.000000	\N	43590	1622484	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-05-10	2001-06-17	SDØE	20.000000	\N	43590	1623450	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-06-17	2001-12-18	Petoro AS	20.000000	\N	43590	1626839	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2001-12-18	2003-05-06	Petoro AS	20.000000	\N	43590	1626839	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2003-05-06	2003-10-12	Petoro AS	20.000000	\N	43590	1626839	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2003-10-13	2004-01-01	Petoro AS	20.000000	\N	43590	1626839	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2004-01-01	2007-01-01	Petoro AS	20.000000	\N	43590	1626839	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2007-01-01	2007-10-01	Petoro AS	20.000000	\N	43590	1626839	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2007-10-01	2008-01-01	Petoro AS	20.000000	\N	43590	1626839	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2008-01-01	2009-01-01	Petoro AS	20.000000	\N	43590	1626839	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2009-01-01	2009-11-02	Petoro AS	20.000000	\N	43590	1626839	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2009-11-02	2012-04-30	Petoro AS	20.000000	\N	43590	1626839	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2012-04-30	9999-12-31	Petoro AS	20.000000	\N	43590	1626839	9999-12-31	2013-05-08
HEIMDAL	HEIMDAL UNIT	BUSINESS ARRANGEMENT AREA	1981-06-10	2003-10-12	2003-05-06	2003-10-12	Total E&P Norge AS	16.759000	\N	43590	2410708	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2003-10-13	2004-01-01	Total E&P Norge AS	16.759000	\N	43590	2410708	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2004-01-01	2007-01-01	Total E&P Norge AS	16.759000	\N	43590	2410708	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	16.759000	\N	43590	2410708	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2007-10-01	2008-01-01	Total E&P Norge AS	16.759000	\N	43590	2410708	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2008-01-01	2009-01-01	Total E&P Norge AS	16.759000	\N	43590	2410708	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	16.759000	\N	43590	2410708	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2009-11-02	2012-04-30	Total E&P Norge AS	16.759000	\N	43590	2410708	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2012-04-30	9999-12-31	Total E&P Norge AS	16.759000	\N	43590	2410708	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2008-01-01	2009-01-01	Centrica Resources (Norge) AS	23.798000	\N	43590	4238233	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2009-01-01	2009-11-02	Centrica Resources (Norge) AS	23.798000	\N	43590	4238233	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2009-11-02	2012-04-30	Centrica Resources (Norge) AS	23.798000	\N	43590	4238233	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	33.798000	\N	43590	4238233	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	19.443000	\N	43590	4511658	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	19.443000	\N	43590	4511658	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	39.443000	\N	43590	4511658	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	20.000000	\N	43590	4511854	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	20.000000	\N	43590	4511854	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	19.443000	\N	43590	4524355	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2009-11-02	2012-04-30	Statoil Petroleum AS	39.443000	\N	43590	17237817	9999-12-31	2013-05-08
HEIMDAL	036 BS	PRODUCTION LICENSE	2003-10-13	9999-12-31	2012-04-30	9999-12-31	Statoil Petroleum AS	29.443000	\N	43590	17237817	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	1992-08-19	2000-07-24	Elf Petroleum Norge AS	24.757300	\N	43597	298	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	1992-08-19	2000-07-24	Norsk Hydro Produksjon AS	6.048100	\N	43597	430	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	6.048100	\N	43597	430	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	6.048100	\N	43597	430	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	6.048100	\N	43597	430	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-12-18	2002-12-31	Norsk Hydro Produksjon AS	6.048100	\N	43597	430	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	1992-08-19	2000-07-24	Den norske stats oljeselskap a.s	53.960000	41.616000	43597	749	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	53.960000	41.616000	43597	749	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	1992-08-19	2000-07-24	Total Norge AS	15.234600	\N	43597	848	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2000-07-24	2001-05-10	Total Norge AS	15.234600	\N	43597	848	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-05-10	2001-06-17	Total Norge AS	15.234600	\N	43597	848	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-06-17	2001-12-18	Total Norge AS	15.234600	\N	43597	848	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	24.757300	\N	43597	1340884	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	24.757300	\N	43597	1340884	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	24.757300	\N	43597	1340884	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-12-18	2002-12-31	TotalFinaElf Exploration Norge AS	39.991900	\N	43597	1340884	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	12.344000	\N	43597	1622484	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	12.344000	\N	43597	1622484	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-12-18	2002-12-31	Statoil ASA (old)	12.344000	\N	43597	1622484	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-05-10	2001-06-17	SDØE	41.616000	\N	43597	1623450	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-06-17	2001-12-18	Petoro AS	41.616000	\N	43597	1626839	9999-12-31	2013-05-08
FRØY	FRØY UNIT	BUSINESS ARRANGEMENT AREA	1992-08-19	2002-12-31	2001-12-18	2002-12-31	Petoro AS	41.616000	\N	43597	1626839	9999-12-31	2013-05-08
FRØY	364	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-01-06	2006-03-01	Pertra AS	50.000000	\N	43597	3425724	9999-12-31	2013-05-08
FRØY	364	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-01-06	2006-03-01	Premier Oil Norge AS	50.000000	\N	43597	3482067	9999-12-31	2013-05-08
FRØY	364	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-03-01	2007-11-16	Premier Oil Norge AS	50.000000	\N	43597	3482067	9999-12-31	2013-05-08
FRØY	364	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-11-16	2009-12-22	Premier Oil Norge AS	50.000000	\N	43597	3482067	9999-12-31	2013-05-08
FRØY	364	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-12-22	9999-12-31	Premier Oil Norge AS	50.000000	\N	43597	3482067	9999-12-31	2013-05-08
FRØY	364	PRODUCTION LICENSE	2006-01-06	9999-12-31	2006-03-01	2007-11-16	Pertra ASA	50.000000	\N	43597	3964368	9999-12-31	2013-05-08
FRØY	364	PRODUCTION LICENSE	2006-01-06	9999-12-31	2007-11-16	2009-12-22	Det norske oljeselskap ASA (old)	50.000000	\N	43597	4539989	9999-12-31	2013-05-08
FRØY	364	PRODUCTION LICENSE	2006-01-06	9999-12-31	2009-12-22	9999-12-31	Det norske oljeselskap ASA	50.000000	\N	43597	17342870	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	1998-01-01	2000-11-23	Amerada Hess Norge AS	1.250000	\N	43604	67	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	1998-01-01	2000-11-23	Norske Conoco A/S	3.750000	\N	43604	221	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2000-11-23	2001-01-01	Norske Conoco A/S	3.750000	\N	43604	221	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-01-01	2001-05-10	Norske Conoco A/S	3.750000	\N	43604	221	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-05-10	2001-06-17	Norske Conoco A/S	3.750000	\N	43604	221	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-06-17	2001-12-31	Norske Conoco A/S	3.750000	\N	43604	221	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-12-31	2002-01-01	Norske Conoco A/S	3.750000	\N	43604	221	9999-12-31	2013-05-08
JOTUN	027 P	PRODUCTION LICENSE	1997-06-10	1997-12-31	1997-06-10	1997-12-31	Enterprise Oil Norwegian AS	50.000000	\N	43604	342	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	1998-01-01	2000-11-23	Enterprise Oil Norwegian AS	45.000000	\N	43604	342	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2000-11-23	2001-01-01	Enterprise Oil Norwegian AS	45.000000	\N	43604	342	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-01-01	2001-05-10	Enterprise Oil Norwegian AS	45.000000	\N	43604	342	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-05-10	2001-06-17	Enterprise Oil Norwegian AS	45.000000	\N	43604	342	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	45.000000	\N	43604	342	9999-12-31	2013-05-08
JOTUN	027 P	PRODUCTION LICENSE	1997-06-10	1997-12-31	1997-06-10	1997-12-31	Esso Exploration and Production Norway A/S	50.000000	\N	43604	353	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	1998-01-01	2000-11-23	Esso Exploration and Production Norway A/S	45.000000	\N	43604	353	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2000-11-23	2001-01-01	Esso Exploration and Production Norway A/S	45.000000	\N	43604	353	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-01-01	2001-05-10	Esso Exploration and Production Norway A/S	45.000000	\N	43604	353	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	45.000000	\N	43604	353	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-06-17	2001-12-31	Esso Exploration and Production Norway A/S	45.000000	\N	43604	353	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-12-31	2002-01-01	Esso Exploration and Production Norway A/S	45.000000	\N	43604	353	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2002-01-01	2004-01-01	Esso Exploration and Production Norway A/S	45.000000	\N	43604	353	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2004-01-01	2004-10-01	Esso Exploration and Production Norway A/S	45.000000	\N	43604	353	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	1998-01-01	2000-11-23	Den norske stats oljeselskap a.s	5.000000	3.000000	43604	749	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2000-11-23	2001-01-01	Den norske stats oljeselskap a.s	5.000000	3.000000	43604	749	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-01-01	2001-05-10	Den norske stats oljeselskap a.s	3.000000	\N	43604	749	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2000-11-23	2001-01-01	Det Norske Oljeselskap AS	1.250000	\N	43604	1340609	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-01-01	2001-05-10	Det Norske Oljeselskap AS	3.250000	\N	43604	1340609	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-05-10	2001-06-17	Det Norske Oljeselskap AS	3.250000	\N	43604	1340609	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-06-17	2001-12-31	Det Norske Oljeselskap AS	3.250000	\N	43604	1340609	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-12-31	2002-01-01	Det Norske Oljeselskap AS	3.250000	\N	43604	1340609	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2002-01-01	2004-01-01	Det Norske Oljeselskap AS	7.000000	\N	43604	1340609	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-05-10	2001-06-17	SDØE	3.000000	\N	43604	1623450	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-06-17	2001-12-31	Petoro AS	3.000000	\N	43604	1626839	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-12-31	2002-01-01	Petoro AS	3.000000	\N	43604	1626839	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2002-01-01	2004-01-01	Petoro AS	3.000000	\N	43604	1626839	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2004-01-01	2004-10-01	Petoro AS	3.000000	\N	43604	1626839	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2004-10-01	2006-10-24	Petoro AS	3.000000	\N	43604	1626839	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2006-10-24	2007-08-10	Petoro AS	3.000000	\N	43604	1626839	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2007-08-10	2007-10-04	Petoro AS	3.000000	\N	43604	1626839	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2007-10-04	2008-01-01	Petoro AS	3.000000	\N	43604	1626839	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2008-01-01	2009-12-22	Petoro AS	3.000000	\N	43604	1626839	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2009-12-22	2011-01-01	Petoro AS	3.000000	\N	43604	1626839	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2001-12-31	2002-01-01	Enterprise Oil Norge AS	45.000000	\N	43604	1853786	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2002-01-01	2004-01-01	Enterprise Oil Norge AS	45.000000	\N	43604	1853786	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2004-01-01	2004-10-01	Enterprise Oil Norge AS	45.000000	\N	43604	1853786	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2004-10-01	2006-10-24	Enterprise Oil Norge AS	45.000000	\N	43604	1853786	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2004-01-01	2004-10-01	Lundin Norway AS	7.000000	\N	43604	2767314	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2004-10-01	2006-10-24	Lundin Norway AS	7.000000	\N	43604	2767314	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2006-10-24	2007-08-10	Lundin Norway AS	7.000000	\N	43604	2767314	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2007-08-10	2007-10-04	Lundin Norway AS	7.000000	\N	43604	2767314	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2007-10-04	2008-01-01	Lundin Norway AS	7.000000	\N	43604	2767314	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2004-10-01	2006-10-24	ExxonMobil Exploration & Production Norway AS	45.000000	\N	43604	2835212	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2006-10-24	2007-08-10	ExxonMobil Exploration & Production Norway AS	45.000000	\N	43604	2835212	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2007-08-10	2007-10-04	ExxonMobil Exploration & Production Norway AS	45.000000	\N	43604	2835212	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2007-10-04	2008-01-01	ExxonMobil Exploration & Production Norway AS	45.000000	\N	43604	2835212	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2008-01-01	2009-12-22	ExxonMobil Exploration & Production Norway AS	45.000000	\N	43604	2835212	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2009-12-22	2011-01-01	ExxonMobil Exploration & Production Norway AS	45.000000	\N	43604	2835212	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2011-01-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	45.000000	\N	43604	2835212	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2006-10-24	2007-08-10	Ener Petroleum ASA	45.000000	\N	43604	3482290	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2011-01-01	9999-12-31	Faroe Petroleum Norge AS	3.000000	\N	43604	4062883	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2007-08-10	2007-10-04	Dana Petroleum Norway ASA	45.000000	\N	43604	4510514	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2007-10-04	2008-01-01	Dana Petroleum Norway AS	45.000000	\N	43604	4526555	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2008-01-01	2009-12-22	Dana Petroleum Norway AS	45.000000	\N	43604	4526555	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2009-12-22	2011-01-01	Dana Petroleum Norway AS	45.000000	\N	43604	4526555	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2011-01-01	9999-12-31	Dana Petroleum Norway AS	45.000000	\N	43604	4526555	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2008-01-01	2009-12-22	Det norske oljeselskap ASA (old)	7.000000	\N	43604	4539989	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2009-12-22	2011-01-01	Det norske oljeselskap ASA	7.000000	\N	43604	17342870	9999-12-31	2013-05-08
JOTUN	JOTUN UNIT	BUSINESS ARRANGEMENT AREA	1998-01-01	9999-12-31	2011-01-01	9999-12-31	Det norske oljeselskap ASA	7.000000	\N	43604	17342870	9999-12-31	2013-05-08
ODIN	030	PRODUCTION LICENSE	1980-07-18	1995-12-31	1980-07-18	1995-12-31	Esso Exploration and Production Norway A/S	100.000000	\N	43610	353	9999-12-31	2013-05-08
ODIN	415	PRODUCTION LICENSE	2007-02-16	2009-02-16	2007-10-01	2009-02-16	StatoilHydro Petroleum AS	100.000000	\N	43610	4511658	9999-12-31	2013-05-08
ODIN	415	PRODUCTION LICENSE	2007-02-16	2009-02-16	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	100.000000	\N	43610	4524355	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1987-06-02	1990-05-25	Deminex Norge AS	11.250000	\N	43618	254	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1990-05-25	1996-12-13	Deminex Norge AS	11.250000	\N	43618	254	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-12-13	1998-12-17	Deminex Norge AS	11.250000	\N	43618	254	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1987-06-02	1990-05-25	Norsk Hydro Produksjon AS	9.000000	\N	43618	430	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1990-05-25	1996-12-13	Norsk Hydro Produksjon AS	9.000000	\N	43618	430	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1987-06-02	1990-05-25	Norske Deminex AS	2.250000	\N	43618	540	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1990-05-25	1996-12-13	Norske Deminex AS	2.250000	\N	43618	540	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-12-13	1998-12-17	Norske Deminex AS	2.250000	\N	43618	540	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-12-13	1998-12-17	Petro-Canada Norge AS (old)	9.000000	\N	43618	628	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-12-13	2003-03-24	Statoil ASA (old)	18.000000	\N	43618	1622484	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1998-12-17	2001-01-23	Petro-Canada Norge AS (old)	9.000000	\N	43618	628	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1987-06-02	1990-05-25	Svenska Petroleum Exploration AS	4.500000	\N	43618	738	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1990-05-25	1996-12-13	Svenska Petroleum Exploration AS	4.500000	\N	43618	738	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-12-13	1998-12-17	Svenska Petroleum Exploration AS	4.500000	\N	43618	738	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1998-12-17	2001-01-23	Svenska Petroleum Exploration AS	4.500000	\N	43618	738	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-01-23	2001-05-10	Svenska Petroleum Exploration AS	4.500000	\N	43618	738	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	Svenska Petroleum Exploration AS	4.500000	\N	43618	738	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2001-12-18	Svenska Petroleum Exploration AS	4.500000	\N	43618	738	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-12-18	2002-12-13	Svenska Petroleum Exploration AS	4.500000	\N	43618	738	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-12-13	2003-03-24	Svenska Petroleum Exploration AS	4.500000	\N	43618	738	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2003-03-24	2005-01-01	Svenska Petroleum Exploration AS	4.500000	\N	43618	738	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1987-06-02	1990-05-25	Den norske stats oljeselskap a.s	55.000000	37.000000	43618	749	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1990-05-25	1996-12-13	Den norske stats oljeselskap a.s	55.000000	37.000000	43618	749	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-12-13	1998-12-17	Den norske stats oljeselskap a.s	55.000000	37.000000	43618	749	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1998-12-17	2001-01-23	Den norske stats oljeselskap a.s	55.000000	37.000000	43618	749	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-01-23	2001-05-10	Den norske stats oljeselskap a.s	55.000000	37.000000	43618	749	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1990-05-25	1996-12-13	Total Norge AS	18.000000	\N	43618	848	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1996-12-13	1998-12-17	Total Norge AS	18.000000	\N	43618	848	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1998-12-17	2001-01-23	Total Norge AS	18.000000	\N	43618	848	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-01-23	2001-05-10	Total Norge AS	18.000000	\N	43618	848	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	Total Norge AS	18.000000	\N	43618	848	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	18.000000	\N	43618	848	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1987-06-02	1990-05-25	Unocal Norge A/S	18.000000	\N	43618	892	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1998-12-17	2001-01-23	RWE Dea Norge AS	11.250000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-01-23	2001-05-10	RWE Dea Norge AS	11.250000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	RWE Dea Norge AS	11.250000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2001-12-18	RWE Dea Norge AS	11.250000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-12-18	2002-12-13	RWE Dea Norge AS	11.250000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-12-13	2003-03-24	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2003-03-24	2005-01-01	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2005-01-01	2005-05-04	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2005-05-04	2006-03-22	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-03-22	2006-03-23	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-03-23	2007-10-01	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2007-10-01	2009-01-01	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-01	2009-01-02	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-02	2009-01-17	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-17	2009-11-02	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-11-02	2011-01-01	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2011-01-01	2012-03-24	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2012-03-24	9999-12-31	RWE Dea Norge AS	13.500000	\N	43618	97557	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	1998-12-17	2001-01-23	Norske RWE-DEA AS	2.250000	\N	43618	853394	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-01-23	2001-05-10	Norske RWE-DEA AS	2.250000	\N	43618	853394	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	Norske RWE-DEA AS	2.250000	\N	43618	853394	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2001-12-18	Norske RWE-DEA AS	2.250000	\N	43618	853394	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-12-18	2002-12-13	Norske RWE-DEA AS	2.250000	\N	43618	853394	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-12-18	2002-12-13	TotalFinaElf Exploration Norge AS	18.000000	\N	43618	1340884	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-12-13	2003-03-24	TotalFinaElf Exploration Norge AS	18.000000	\N	43618	1340884	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-01-23	2001-05-10	Paladin Resources Norge AS	9.000000	\N	43618	1577943	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	Paladin Resources Norge AS	9.000000	\N	43618	1577943	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2001-12-18	Paladin Resources Norge AS	9.000000	\N	43618	1577943	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-12-18	2002-12-13	Paladin Resources Norge AS	9.000000	\N	43618	1577943	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-12-13	2003-03-24	Paladin Resources Norge AS	9.000000	\N	43618	1577943	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2003-03-24	2005-01-01	Paladin Resources Norge AS	27.000000	\N	43618	1577943	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2005-01-01	2005-05-04	Paladin Resources Norge AS	27.000000	\N	43618	1577943	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2005-05-04	2006-03-22	Paladin Resources Norge AS	27.000000	\N	43618	1577943	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	18.000000	\N	43618	1622484	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	18.000000	\N	43618	1622484	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-12-18	2002-12-13	Statoil ASA (old)	18.000000	\N	43618	1622484	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2003-03-24	2005-01-01	Statoil ASA (old)	18.000000	\N	43618	1622484	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2005-01-01	2005-05-04	Statoil ASA (old)	18.000000	\N	43618	1622484	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2005-05-04	2006-03-22	Statoil ASA (old)	18.000000	\N	43618	1622484	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-03-22	2006-03-23	Statoil ASA (old)	18.000000	\N	43618	1622484	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-03-23	2007-10-01	Statoil ASA (old)	18.000000	\N	43618	1622484	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-05-10	2001-06-17	SDØE	37.000000	\N	43618	1623450	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-06-17	2001-12-18	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2001-12-18	2002-12-13	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2002-12-13	2003-03-24	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2003-03-24	2005-01-01	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2005-01-01	2005-05-04	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2005-05-04	2006-03-22	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-03-22	2006-03-23	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-03-23	2007-10-01	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2007-10-01	2009-01-01	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-01	2009-01-02	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-02	2009-01-17	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-17	2009-11-02	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-11-02	2011-01-01	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2011-01-01	2012-03-24	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2012-03-24	9999-12-31	Petoro AS	37.000000	\N	43618	1626839	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-03-23	2007-10-01	Talisman Energy Norge AS	27.000000	\N	43618	2425093	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2007-10-01	2009-01-01	Talisman Energy Norge AS	27.000000	\N	43618	2425093	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-01	2009-01-02	Talisman Energy Norge AS	27.000000	\N	43618	2425093	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2011-01-01	2012-03-24	Talisman Energy Norge AS	27.000000	\N	43618	2425093	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2012-03-24	9999-12-31	Talisman Energy Norge AS	27.000000	\N	43618	2425093	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2005-01-01	2005-05-04	Revus Energy AS	4.500000	\N	43618	2455850	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2005-05-04	2006-03-22	Revus Energy ASA	4.500000	\N	43618	3431773	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-03-22	2006-03-23	Revus Energy ASA	4.500000	\N	43618	3431773	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-03-23	2007-10-01	Revus Energy ASA	4.500000	\N	43618	3431773	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2007-10-01	2009-01-01	Revus Energy ASA	4.500000	\N	43618	3431773	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-01	2009-01-02	Revus Energy ASA	4.500000	\N	43618	3431773	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-02	2009-01-17	Revus Energy ASA	4.500000	\N	43618	3431773	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2006-03-22	2006-03-23	Talisman Resources Norge AS	27.000000	\N	43618	3987574	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-02	2009-01-17	Talisman Resources Norge AS	27.000000	\N	43618	3987574	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-17	2009-11-02	Talisman Resources Norge AS	27.000000	\N	43618	3987574	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-11-02	2011-01-01	Talisman Resources Norge AS	27.000000	\N	43618	3987574	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	18.000000	\N	43618	4511658	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-02	2009-01-17	StatoilHydro Petroleum AS	18.000000	\N	43618	4511658	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-17	2009-11-02	StatoilHydro Petroleum AS	18.000000	\N	43618	4511658	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	18.000000	\N	43618	4511854	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-01-17	2009-11-02	Wintershall Norge ASA	4.500000	\N	43618	5442509	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-11-02	2011-01-01	Wintershall Norge ASA	4.500000	\N	43618	5442509	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2011-01-01	2012-03-24	Wintershall Norge ASA	4.500000	\N	43618	5442509	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2009-11-02	2011-01-01	Statoil Petroleum AS	18.000000	\N	43618	17237817	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2011-01-01	2012-03-24	Statoil Petroleum AS	18.000000	\N	43618	17237817	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2012-03-24	9999-12-31	Statoil Petroleum AS	18.000000	\N	43618	17237817	9999-12-31	2013-05-08
VESLEFRIKK	052	PRODUCTION LICENSE	1987-06-02	9999-12-31	2012-03-24	9999-12-31	Wintershall Norge AS	4.500000	\N	43618	21666830	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-10-01	2002-12-01	Norske Conoco A/S	2.400000	\N	43625	221	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-12-01	2003-03-22	Norske Conoco A/S	2.400000	\N	43625	221	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1985-03-28	1988-04-01	Elf Petroleum Norge AS	6.400000	\N	43625	298	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1988-04-01	1994-01-01	Elf Petroleum Norge AS	5.600000	\N	43625	298	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1994-01-01	2000-07-20	Elf Petroleum Norge AS	5.769590	\N	43625	298	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1985-03-28	1988-04-01	Norsk Hydro Produksjon AS	13.750000	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1988-04-01	1994-01-01	Norsk Hydro Produksjon AS	13.750000	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1994-01-01	2000-07-20	Norsk Hydro Produksjon AS	13.681860	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2000-07-20	2001-01-11	Norsk Hydro Produksjon AS	13.681860	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	22.234620	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	22.234620	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	22.234620	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-12-18	2002-03-19	Norsk Hydro Produksjon AS	22.234620	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-03-19	2002-10-01	Norsk Hydro Produksjon AS	34.000000	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-10-01	2002-12-01	Norsk Hydro Produksjon AS	34.000000	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-12-01	2003-03-22	Norsk Hydro Produksjon AS	34.000000	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	34.000000	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-05-06	2004-06-15	Norsk Hydro Produksjon AS	34.000000	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Norsk Hydro Produksjon AS	34.000000	\N	43625	430	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1985-03-28	1988-04-01	Mobil Development Norway AS	4.800000	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1988-04-01	1994-01-01	Mobil Development Norway AS	4.200000	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1994-01-01	2000-07-20	Mobil Development Norway AS	4.327200	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2000-07-20	2001-01-11	Mobil Development Norway AS	4.327200	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-01-11	2001-05-10	Mobil Development Norway AS	4.327200	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-05-10	2001-06-17	Mobil Development Norway AS	4.327200	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-06-17	2001-12-18	Mobil Development Norway AS	4.327200	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-12-18	2002-03-19	Mobil Development Norway AS	4.327200	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-03-19	2002-10-01	Mobil Development Norway AS	4.327200	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-10-01	2002-12-01	Mobil Development Norway AS	4.327200	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-12-01	2003-03-22	Mobil Development Norway AS	4.700000	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-03-22	2003-05-06	Mobil Development Norway AS	4.700000	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-05-06	2004-06-15	Mobil Development Norway AS	4.700000	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Mobil Development Norway AS	4.700000	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Mobil Development Norway AS	4.700000	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Mobil Development Norway AS	4.700000	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	Mobil Development Norway AS	4.700000	\N	43625	474	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1985-03-28	1988-04-01	Saga Petroleum ASA	8.610000	\N	43625	716	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1988-04-01	1994-01-01	Saga Petroleum ASA	8.610000	\N	43625	716	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1994-01-01	2000-07-20	Saga Petroleum ASA	8.552760	\N	43625	716	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2000-07-20	2001-01-11	Saga Petroleum ASA	8.552760	\N	43625	716	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1985-03-28	1988-04-01	Den norske stats oljeselskap a.s	63.240000	49.240000	43625	749	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1988-04-01	1994-01-01	Den norske stats oljeselskap a.s	65.040000	51.040000	43625	749	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1994-01-01	2000-07-20	Den norske stats oljeselskap a.s	64.783790	50.783790	43625	749	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2000-07-20	2001-01-11	Den norske stats oljeselskap a.s	64.783790	50.783790	43625	749	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	64.783790	50.783790	43625	749	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1985-03-28	1988-04-01	Total Norge AS	3.200000	\N	43625	848	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1988-04-01	1994-01-01	Total Norge AS	2.800000	\N	43625	848	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	1994-01-01	2000-07-20	Total Norge AS	2.884800	\N	43625	848	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2000-07-20	2001-01-11	Total Norge AS	2.884800	\N	43625	848	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-01-11	2001-05-10	Total Norge AS	2.884800	\N	43625	848	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-05-10	2001-06-17	Total Norge AS	2.884800	\N	43625	848	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-06-17	2001-12-18	Total Norge AS	2.884800	\N	43625	848	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2000-07-20	2001-01-11	TotalFinaElf Exploration Norge AS	5.769590	\N	43625	1340884	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	5.769590	\N	43625	1340884	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	5.769590	\N	43625	1340884	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	5.769590	\N	43625	1340884	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-12-18	2002-03-19	TotalFinaElf Exploration Norge AS	8.654390	\N	43625	1340884	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-03-19	2002-10-01	TotalFinaElf Exploration Norge AS	10.000000	\N	43625	1340884	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-10-01	2002-12-01	TotalFinaElf Exploration Norge AS	10.000000	\N	43625	1340884	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-12-01	2003-03-22	TotalFinaElf Exploration Norge AS	10.000000	\N	43625	1340884	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	43625	1340884	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-05-10	2001-06-17	Statoil ASA (old)	14.000000	\N	43625	1622484	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-06-17	2001-12-18	Statoil ASA (old)	14.000000	\N	43625	1622484	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-12-18	2002-03-19	Statoil ASA (old)	14.000000	\N	43625	1622484	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-03-19	2002-10-01	Statoil ASA (old)	14.000000	\N	43625	1622484	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-10-01	2002-12-01	Statoil ASA (old)	15.300000	\N	43625	1622484	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-12-01	2003-03-22	Statoil ASA (old)	15.300000	\N	43625	1622484	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-03-22	2003-05-06	Statoil ASA (old)	15.300000	\N	43625	1622484	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-05-06	2004-06-15	Statoil ASA (old)	15.300000	\N	43625	1622484	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Statoil ASA (old)	15.300000	\N	43625	1622484	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Statoil ASA (old)	15.300000	\N	43625	1622484	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Statoil ASA (old)	15.300000	\N	43625	1622484	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-05-10	2001-06-17	SDØE	50.783790	\N	43625	1623450	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-06-17	2001-12-18	Petoro AS	50.783790	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2001-12-18	2002-03-19	Petoro AS	50.783790	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-03-19	2002-10-01	Petoro AS	37.672800	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-10-01	2002-12-01	Petoro AS	33.972800	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2002-12-01	2003-03-22	Petoro AS	33.600000	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-03-22	2003-05-06	Petoro AS	33.600000	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-05-06	2004-06-15	Petoro AS	33.600000	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Petoro AS	33.600000	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Petoro AS	33.600000	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Petoro AS	33.600000	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	Petoro AS	33.600000	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	Petoro AS	33.600000	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	Petoro AS	33.600000	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	Petoro AS	33.600000	\N	43625	1626839	2012-12-06	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	Petoro AS	33.600000	\N	43625	1626839	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-03-22	2003-05-06	Norske ConocoPhillips AS	2.400000	\N	43625	2399056	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-05-06	2004-06-15	Norske ConocoPhillips AS	2.400000	\N	43625	2399056	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Norske ConocoPhillips AS	2.400000	\N	43625	2399056	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Norske ConocoPhillips AS	2.400000	\N	43625	2399056	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	2.400000	\N	43625	2410696	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	43625	2410696	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	43625	2410696	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	2.400000	\N	43625	2410696	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	43625	2410696	2012-12-06	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	ConocoPhillips Skandinavia AS	2.400000	\N	43625	2410696	9999-12-31	2013-05-08
OSEBERG	OSEBERG UNIT	BUSINESS ARRANGEMENT AREA	1984-06-05	2004-06-15	2003-05-06	2004-06-15	Total E&P Norge AS	10.000000	\N	43625	2410708	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Total E&P Norge AS	10.000000	\N	43625	2410708	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Total E&P Norge AS	10.000000	\N	43625	2410708	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Total E&P Norge AS	10.000000	\N	43625	2410708	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	Total E&P Norge AS	10.000000	\N	43625	2410708	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	Total E&P Norge AS	10.000000	\N	43625	2410708	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	10.000000	\N	43625	2410708	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	Total E&P Norge AS	10.000000	\N	43625	2410708	2012-12-06	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	Total E&P Norge AS	14.700000	\N	43625	2410708	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	43625	2835212	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	43625	2835212	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	43625	2835212	2012-12-06	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	34.000000	\N	43625	4511658	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	34.000000	\N	43625	4511658	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	49.300000	\N	43625	4511658	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	15.300000	\N	43625	4511854	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	15.300000	\N	43625	4511854	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	34.000000	\N	43625	4524355	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	34.000000	\N	43625	4524355	9999-12-31	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	Statoil Petroleum AS	49.300000	\N	43625	17237817	2012-12-06	2013-05-08
OSEBERG	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	Statoil Petroleum AS	49.300000	\N	43625	17237817	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-10-01	2002-12-04	Norske Conoco A/S	2.400000	\N	43639	221	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-12-04	2003-03-22	Norske Conoco A/S	2.400000	\N	43639	221	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	1996-10-11	2000-07-24	Elf Petroleum Norge AS	9.333000	\N	43639	298	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	1996-10-11	2000-07-24	Norsk Hydro Produksjon AS	12.250000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	12.250000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	19.600000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	19.600000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	19.600000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-12-18	2002-03-19	Norsk Hydro Produksjon AS	19.600000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-03-19	2002-10-01	Norsk Hydro Produksjon AS	34.000000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-10-01	2002-12-04	Norsk Hydro Produksjon AS	34.000000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-12-04	2003-03-22	Norsk Hydro Produksjon AS	34.000000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	34.000000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-05-06	2004-06-15	Norsk Hydro Produksjon AS	34.000000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Norsk Hydro Produksjon AS	34.000000	\N	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	1996-10-11	2000-07-24	Mobil Development Norway AS	7.000000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2000-07-24	2001-01-11	Mobil Development Norway AS	7.000000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-01-11	2001-05-10	Mobil Development Norway AS	7.000000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-05-10	2001-06-17	Mobil Development Norway AS	7.000000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-06-17	2001-12-18	Mobil Development Norway AS	7.000000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-12-18	2002-03-19	Mobil Development Norway AS	7.000000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-03-19	2002-10-01	Mobil Development Norway AS	7.000000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-10-01	2002-12-04	Mobil Development Norway AS	7.000000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-12-04	2003-03-22	Mobil Development Norway AS	4.700000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-03-22	2003-05-06	Mobil Development Norway AS	4.700000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-05-06	2004-06-15	Mobil Development Norway AS	4.700000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Mobil Development Norway AS	4.700000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Mobil Development Norway AS	4.700000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Mobil Development Norway AS	4.700000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	Mobil Development Norway AS	4.700000	\N	43639	474	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	1996-10-11	2000-07-24	Saga Petroleum ASA	7.350000	\N	43639	716	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2000-07-24	2001-01-11	Saga Petroleum ASA	7.350000	\N	43639	716	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	1996-10-11	2000-07-24	Den norske stats oljeselskap a.s	59.400000	45.400000	43639	749	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	59.400000	45.400000	43639	749	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	59.400000	45.400000	43639	749	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	1996-10-11	2000-07-24	Total Norge AS	4.667000	\N	43639	848	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2000-07-24	2001-01-11	Total Norge AS	4.667000	\N	43639	848	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-01-11	2001-05-10	Total Norge AS	4.667000	\N	43639	848	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-05-10	2001-06-17	Total Norge AS	4.667000	\N	43639	848	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-06-17	2001-12-18	Total Norge AS	4.667000	\N	43639	848	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	9.333000	\N	43639	1340884	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	9.333000	\N	43639	1340884	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	9.333000	\N	43639	1340884	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	9.333000	\N	43639	1340884	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-12-18	2002-03-19	TotalFinaElf Exploration Norge AS	14.000000	\N	43639	1340884	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-03-19	2002-10-01	TotalFinaElf Exploration Norge AS	10.000000	\N	43639	1340884	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-10-01	2002-12-04	TotalFinaElf Exploration Norge AS	10.000000	\N	43639	1340884	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-12-04	2003-03-22	TotalFinaElf Exploration Norge AS	10.000000	\N	43639	1340884	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	43639	1340884	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-05-10	2001-06-17	Statoil ASA (old)	14.000000	\N	43639	1622484	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-06-17	2001-12-18	Statoil ASA (old)	14.000000	\N	43639	1622484	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-12-18	2002-03-19	Statoil ASA (old)	14.000000	\N	43639	1622484	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-03-19	2002-10-01	Statoil ASA (old)	14.000000	\N	43639	1622484	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-10-01	2002-12-04	Statoil ASA (old)	15.300000	\N	43639	1622484	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-12-04	2003-03-22	Statoil ASA (old)	15.300000	\N	43639	1622484	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-03-22	2003-05-06	Statoil ASA (old)	15.300000	\N	43639	1622484	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-05-06	2004-06-15	Statoil ASA (old)	15.300000	\N	43639	1622484	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Statoil ASA (old)	15.300000	\N	43639	1622484	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Statoil ASA (old)	15.300000	\N	43639	1622484	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Statoil ASA (old)	15.300000	\N	43639	1622484	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-05-10	2001-06-17	SDØE	45.400000	\N	43639	1623450	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-06-17	2001-12-18	Petoro AS	45.400000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2001-12-18	2002-03-19	Petoro AS	45.400000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-03-19	2002-10-01	Petoro AS	35.000000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-10-01	2002-12-04	Petoro AS	31.300000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2002-12-04	2003-03-22	Petoro AS	33.600000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-03-22	2003-05-06	Petoro AS	33.600000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-05-06	2004-06-15	Petoro AS	33.600000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Petoro AS	33.600000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Petoro AS	33.600000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Petoro AS	33.600000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	Petoro AS	33.600000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	Petoro AS	33.600000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	Petoro AS	33.600000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	Petoro AS	33.600000	\N	43639	1626839	2012-12-06	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	Petoro AS	33.600000	\N	43639	1626839	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-03-22	2003-05-06	Norske ConocoPhillips AS	2.400000	\N	43639	2399056	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-05-06	2004-06-15	Norske ConocoPhillips AS	2.400000	\N	43639	2399056	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Norske ConocoPhillips AS	2.400000	\N	43639	2399056	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Norske ConocoPhillips AS	2.400000	\N	43639	2399056	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	2.400000	\N	43639	2410696	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	43639	2410696	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	43639	2410696	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	2.400000	\N	43639	2410696	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	43639	2410696	2012-12-06	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	ConocoPhillips Skandinavia AS	2.400000	\N	43639	2410696	9999-12-31	2013-05-08
OSEBERG ØST	053	PRODUCTION LICENSE	1996-10-11	2004-06-15	2003-05-06	2004-06-15	Total E&P Norge AS	10.000000	\N	43639	2410708	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Total E&P Norge AS	10.000000	\N	43639	2410708	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Total E&P Norge AS	10.000000	\N	43639	2410708	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Total E&P Norge AS	10.000000	\N	43639	2410708	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	Total E&P Norge AS	10.000000	\N	43639	2410708	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	Total E&P Norge AS	10.000000	\N	43639	2410708	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	10.000000	\N	43639	2410708	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	Total E&P Norge AS	10.000000	\N	43639	2410708	2012-12-06	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	Total E&P Norge AS	14.700000	\N	43639	2410708	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	43639	2835212	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	43639	2835212	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	43639	2835212	2012-12-06	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	34.000000	\N	43639	4511658	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	34.000000	\N	43639	4511658	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	49.300000	\N	43639	4511658	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	15.300000	\N	43639	4511854	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	15.300000	\N	43639	4511854	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	34.000000	\N	43639	4524355	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	34.000000	\N	43639	4524355	9999-12-31	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	Statoil Petroleum AS	49.300000	\N	43639	17237817	2012-12-06	2013-05-08
OSEBERG ØST	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	Statoil Petroleum AS	49.300000	\N	43639	17237817	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	1997-06-10	2001-01-11	Norske Conoco A/S	7.700000	\N	43645	221	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-01-11	2001-05-10	Norske Conoco A/S	7.700000	\N	43645	221	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-05-10	2001-06-17	Norske Conoco A/S	7.700000	\N	43645	221	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-06-17	2002-03-19	Norske Conoco A/S	7.700000	\N	43645	221	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-03-19	2002-10-01	Norske Conoco A/S	7.700000	\N	43645	221	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-10-01	2002-12-01	Norske Conoco A/S	2.400000	\N	43645	221	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-12-01	2003-03-22	Norske Conoco A/S	2.400000	\N	43645	221	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	1997-06-10	2001-01-11	Norsk Hydro Produksjon AS	21.880000	\N	43645	430	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	32.020000	\N	43645	430	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	32.020000	\N	43645	430	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	32.020000	\N	43645	430	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-03-19	2002-10-01	Norsk Hydro Produksjon AS	34.000000	\N	43645	430	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-10-01	2002-12-01	Norsk Hydro Produksjon AS	34.000000	\N	43645	430	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-12-01	2003-03-22	Norsk Hydro Produksjon AS	34.000000	\N	43645	430	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	34.000000	\N	43645	430	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-05-06	2004-06-15	Norsk Hydro Produksjon AS	34.000000	\N	43645	430	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Norsk Hydro Produksjon AS	34.000000	\N	43645	430	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	1997-06-10	2001-01-11	Mobil Development Norway AS	3.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-01-11	2001-05-10	Mobil Development Norway AS	3.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-05-10	2001-06-17	Mobil Development Norway AS	3.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-06-17	2002-03-19	Mobil Development Norway AS	3.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-03-19	2002-10-01	Mobil Development Norway AS	3.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-10-01	2002-12-01	Mobil Development Norway AS	3.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-12-01	2003-03-22	Mobil Development Norway AS	4.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-03-22	2003-05-06	Mobil Development Norway AS	4.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-05-06	2004-06-15	Mobil Development Norway AS	4.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Mobil Development Norway AS	4.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Mobil Development Norway AS	4.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Mobil Development Norway AS	4.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	Mobil Development Norway AS	4.700000	\N	43645	474	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	1997-06-10	2001-01-11	Saga Petroleum ASA	10.140000	\N	43645	716	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	1997-06-10	2001-01-11	Den norske stats oljeselskap a.s	56.580000	38.360000	43645	749	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	56.580000	38.360000	43645	749	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-03-19	2002-10-01	TotalFinaElf Exploration Norge AS	10.000000	\N	43645	1340884	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-10-01	2002-12-01	TotalFinaElf Exploration Norge AS	10.000000	\N	43645	1340884	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-12-01	2003-03-22	TotalFinaElf Exploration Norge AS	10.000000	\N	43645	1340884	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	43645	1340884	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-05-10	2001-06-17	Statoil ASA (old)	18.220000	\N	43645	1622484	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-06-17	2002-03-19	Statoil ASA (old)	18.220000	\N	43645	1622484	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-03-19	2002-10-01	Statoil ASA (old)	18.220000	\N	43645	1622484	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-10-01	2002-12-01	Statoil ASA (old)	15.300000	\N	43645	1622484	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-12-01	2003-03-22	Statoil ASA (old)	15.300000	\N	43645	1622484	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-03-22	2003-05-06	Statoil ASA (old)	15.300000	\N	43645	1622484	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-05-06	2004-06-15	Statoil ASA (old)	15.300000	\N	43645	1622484	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Statoil ASA (old)	15.300000	\N	43645	1622484	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Statoil ASA (old)	15.300000	\N	43645	1622484	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Statoil ASA (old)	15.300000	\N	43645	1622484	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-05-10	2001-06-17	SDØE	38.360000	\N	43645	1623450	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2001-06-17	2002-03-19	Petoro AS	38.360000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-03-19	2002-10-01	Petoro AS	26.380000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-10-01	2002-12-01	Petoro AS	34.600000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2002-12-01	2003-03-22	Petoro AS	33.600000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-03-22	2003-05-06	Petoro AS	33.600000	\N	43645	1626839	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-11-19	2005-09-19	A/S Norske Shell	26.200000	\N	43758	562	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-05-06	2004-06-15	Petoro AS	33.600000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Petoro AS	33.600000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Petoro AS	33.600000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Petoro AS	33.600000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	Petoro AS	33.600000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	Petoro AS	33.600000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	Petoro AS	33.600000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	Petoro AS	33.600000	\N	43645	1626839	2012-12-06	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	Petoro AS	33.600000	\N	43645	1626839	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-03-22	2003-05-06	Norske ConocoPhillips AS	2.400000	\N	43645	2399056	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-05-06	2004-06-15	Norske ConocoPhillips AS	2.400000	\N	43645	2399056	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Norske ConocoPhillips AS	2.400000	\N	43645	2399056	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Norske ConocoPhillips AS	2.400000	\N	43645	2399056	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	2.400000	\N	43645	2410696	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	43645	2410696	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	43645	2410696	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	2.400000	\N	43645	2410696	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	43645	2410696	2012-12-06	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	ConocoPhillips Skandinavia AS	2.400000	\N	43645	2410696	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG SØR UNIT	BUSINESS ARRANGEMENT AREA	1997-06-10	2004-06-15	2003-05-06	2004-06-15	Total E&P Norge AS	10.000000	\N	43645	2410708	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2004-06-16	2007-01-01	Total E&P Norge AS	10.000000	\N	43645	2410708	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Total E&P Norge AS	10.000000	\N	43645	2410708	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Total E&P Norge AS	10.000000	\N	43645	2410708	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	Total E&P Norge AS	10.000000	\N	43645	2410708	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	Total E&P Norge AS	10.000000	\N	43645	2410708	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	10.000000	\N	43645	2410708	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	Total E&P Norge AS	10.000000	\N	43645	2410708	2012-12-06	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	Total E&P Norge AS	14.700000	\N	43645	2410708	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	43645	2835212	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	43645	2835212	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	43645	2835212	2012-12-06	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	34.000000	\N	43645	4511658	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	34.000000	\N	43645	4511658	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	49.300000	\N	43645	4511658	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	15.300000	\N	43645	4511854	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	15.300000	\N	43645	4511854	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	34.000000	\N	43645	4524355	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	34.000000	\N	43645	4524355	9999-12-31	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2009-11-01	2012-01-01	Statoil Petroleum AS	49.300000	\N	43645	17237817	2012-12-06	2013-05-08
OSEBERG SØR	OSEBERG AREA UNIT	BUSINESS ARRANGEMENT AREA	2004-06-16	9999-12-31	2012-01-01	9999-12-31	Statoil Petroleum AS	49.300000	\N	43645	17237817	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-03-29	1990-07-25	Arco Norge A/S	9.800000	\N	43651	122	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-03-29	1990-07-25	BP Petroleum Dev. of Norway AS	4.900000	\N	43651	155	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-07-25	1990-12-03	BP Petroleum Dev. of Norway AS	4.900000	\N	43651	155	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1993-12-27	1999-01-01	Elf Petroleum Norge AS	0.666400	\N	43651	298	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-03-29	1990-07-25	Esso Exploration and Production Norway A/S	19.600000	\N	43651	353	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-07-25	1990-12-03	Esso Exploration and Production Norway A/S	19.600000	\N	43651	353	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-12-03	1993-12-13	Esso Exploration and Production Norway A/S	17.600000	\N	43651	353	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1993-12-13	1993-12-26	Esso Exploration and Production Norway A/S	17.600000	\N	43651	353	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1993-12-27	1999-01-01	Esso Exploration and Production Norway A/S	16.343400	\N	43651	353	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1999-01-01	1999-04-13	Esso Exploration and Production Norway A/S	16.343400	\N	43651	353	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1999-04-13	2001-05-10	Esso Exploration and Production Norway A/S	16.343400	\N	43651	353	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	16.343400	\N	43651	353	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2001-06-17	2002-01-01	Esso Exploration and Production Norway A/S	16.343400	\N	43651	353	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-01-01	2002-03-19	Esso Exploration and Production Norway A/S	16.343400	\N	43651	353	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-03-19	2003-03-04	Esso Exploration and Production Norway A/S	16.343400	\N	43651	353	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2003-03-04	2004-01-01	Esso Exploration and Production Norway A/S	16.343400	\N	43651	353	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-01-01	2004-10-01	Esso Exploration and Production Norway A/S	13.843400	\N	43651	353	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-03-29	1990-07-25	Norsk Hydro Produksjon AS	14.700000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-07-25	1990-12-03	Norsk Hydro Produksjon AS	14.700000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-12-03	1993-12-13	Norsk Hydro Produksjon AS	13.200000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1993-12-13	1993-12-26	Norsk Hydro Produksjon AS	23.200000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1993-12-27	1999-01-01	Norsk Hydro Produksjon AS	22.418200	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1999-01-01	1999-04-13	Norsk Hydro Produksjon AS	24.442400	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1999-04-13	2001-05-10	Norsk Hydro Produksjon AS	24.442400	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	24.442400	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	24.442400	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-01-01	2002-03-19	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-03-19	2003-03-04	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2003-03-04	2004-01-01	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-01-01	2004-10-01	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-10-01	2005-01-01	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-01	2005-01-10	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-10	2005-05-04	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-05-04	2006-01-01	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-01-01	2006-03-22	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-03-22	2006-10-13	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-10-13	2006-11-28	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-11-28	2007-01-01	Norsk Hydro Produksjon AS	20.000000	\N	43651	430	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1993-12-27	1999-01-01	Mobil Development Norway AS	0.499800	\N	43651	474	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-07-25	1990-12-03	Neste Petroleum AS	9.800000	\N	43651	496	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-12-03	1993-12-13	Neste Petroleum AS	13.200000	\N	43651	496	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1993-12-13	1993-12-26	Neste Petroleum AS	13.200000	\N	43651	496	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1993-12-27	1999-01-01	Neste Petroleum AS	12.257500	\N	43651	496	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1999-01-01	1999-04-13	Neste Petroleum AS	12.257500	\N	43651	496	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1993-12-27	1999-01-01	Saga Petroleum ASA	0.524800	\N	43651	716	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-03-29	1990-07-25	Den norske stats oljeselskap a.s	51.000000	38.400000	43651	749	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-07-25	1990-12-03	Den norske stats oljeselskap a.s	51.000000	38.400000	43651	749	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1990-12-03	1993-12-13	Den norske stats oljeselskap a.s	56.000000	38.400000	43651	749	9999-12-31	2013-05-08
BRAGE	055	PRODUCTION LICENSE	1990-03-29	1993-12-26	1993-12-13	1993-12-26	Den norske stats oljeselskap a.s	46.000000	33.400000	43651	749	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1993-12-27	1999-01-01	Den norske stats oljeselskap a.s	46.956700	34.256700	43651	749	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1999-01-01	1999-04-13	Den norske stats oljeselskap a.s	46.956700	34.256700	43651	749	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1999-04-13	2001-05-10	Den norske stats oljeselskap a.s	46.956700	34.256700	43651	749	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1993-12-27	1999-01-01	Total Norge AS	0.333200	\N	43651	848	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	1999-04-13	2001-05-10	Fortum Petroleum AS	12.257500	\N	43651	102714	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2001-05-10	2001-06-17	Fortum Petroleum AS	12.257500	\N	43651	102714	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2001-06-17	2002-01-01	Fortum Petroleum AS	12.257500	\N	43651	102714	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-01-01	2002-03-19	Fortum Petroleum AS	12.257500	\N	43651	102714	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-03-19	2003-03-04	Fortum Petroleum AS	12.257500	\N	43651	102714	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-03-19	2003-03-04	Paladin Resources Norge AS	20.000000	\N	43651	1577943	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2003-03-04	2004-01-01	Paladin Resources Norge AS	20.000000	\N	43651	1577943	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-01-01	2004-10-01	Paladin Resources Norge AS	20.000000	\N	43651	1577943	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-10-01	2005-01-01	Paladin Resources Norge AS	20.000000	\N	43651	1577943	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-01	2005-01-10	Paladin Resources Norge AS	20.000000	\N	43651	1577943	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-10	2005-05-04	Paladin Resources Norge AS	20.000000	\N	43651	1577943	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-05-04	2006-01-01	Paladin Resources Norge AS	20.000000	\N	43651	1577943	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-01-01	2006-03-22	Paladin Resources Norge AS	20.000000	\N	43651	1577943	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2001-06-17	2002-01-01	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-01-01	2002-03-19	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-03-19	2003-03-04	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2003-03-04	2004-01-01	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-01-01	2004-10-01	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-10-01	2005-01-01	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-01	2005-01-10	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-10	2005-05-04	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-05-04	2006-01-01	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-01-01	2006-03-22	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-03-22	2006-10-13	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-10-13	2006-11-28	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-11-28	2007-01-01	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	12.700000	\N	43651	1622484	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2001-05-10	2001-06-17	SDØE	34.256700	\N	43651	1623450	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2001-06-17	2002-01-01	Petoro AS	34.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-01-01	2002-03-19	Petoro AS	34.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-03-19	2003-03-04	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2003-03-04	2004-01-01	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-01-01	2004-10-01	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-10-01	2005-01-01	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-01	2005-01-10	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-10	2005-05-04	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-05-04	2006-01-01	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-01-01	2006-03-22	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-03-22	2006-10-13	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-10-13	2006-11-28	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-11-28	2007-01-01	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-01-01	2007-10-01	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-10-01	2009-01-01	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-01	2009-01-17	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-17	2009-05-26	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-05-26	2009-10-01	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-10-01	2009-11-01	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-11-01	2010-01-01	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2010-01-01	2011-01-01	Petoro AS	14.256700	\N	43651	1626839	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-01-01	2002-03-19	OER Oil AS	4.442400	\N	43651	2258813	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2002-03-19	2003-03-04	OER Oil AS	4.442400	\N	43651	2258813	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2003-03-04	2004-01-01	OER Oil AS	4.442400	\N	43651	2258813	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-01-01	2004-10-01	OER Oil AS	4.442400	\N	43651	2258813	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-10-01	2005-01-01	OER Oil AS	4.442400	\N	43651	2258813	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-01	2005-01-10	OER Oil AS	4.442400	\N	43651	2258813	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2003-03-04	2004-01-01	Eni Norge AS	12.257500	\N	43651	2388594	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-01-01	2004-10-01	Eni Norge AS	12.257500	\N	43651	2388594	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-10-01	2005-01-01	Eni Norge AS	12.257500	\N	43651	2388594	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-01	2005-01-10	Eni Norge AS	12.257500	\N	43651	2388594	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-10	2005-05-04	Eni Norge AS	12.257500	\N	43651	2388594	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-05-04	2006-01-01	Eni Norge AS	12.257500	\N	43651	2388594	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-01	2005-01-10	Talisman Energy Norge AS	13.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-10	2005-05-04	Talisman Energy Norge AS	13.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-05-04	2006-01-01	Talisman Energy Norge AS	13.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-01-01	2006-03-22	Talisman Energy Norge AS	13.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-03-22	2006-10-13	Talisman Energy Norge AS	13.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-10-13	2006-11-28	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-11-28	2007-01-01	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-01-01	2007-10-01	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-10-01	2009-01-01	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-01	2009-01-17	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-17	2009-05-26	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-05-26	2009-10-01	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-10-01	2009-11-01	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-11-01	2010-01-01	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2010-01-01	2011-01-01	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-01-01	2011-07-01	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-07-01	2013-02-13	Talisman Energy Norge AS	33.843400	\N	43651	2425093	2013-02-20	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2013-02-13	9999-12-31	Talisman Energy Norge AS	33.843400	\N	43651	2425093	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-01-01	2004-10-01	Revus Energy AS	2.500000	\N	43651	2455850	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-10-01	2005-01-01	Revus Energy AS	2.500000	\N	43651	2455850	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-01	2005-01-10	Revus Energy AS	2.500000	\N	43651	2455850	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-10	2005-05-04	Revus Energy AS	2.500000	\N	43651	2455850	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-01-01	2006-03-22	Altinex Oil AS	12.257500	\N	43651	2835200	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-03-22	2006-10-13	Altinex Oil AS	12.257500	\N	43651	2835200	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-10-13	2006-11-28	Altinex Oil AS	12.257500	\N	43651	2835200	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	13.843400	\N	43651	2835212	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-01-10	2005-05-04	Endeavour Energy Norge AS	4.442400	\N	43651	3113213	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-05-04	2006-01-01	Endeavour Energy Norge AS	4.442400	\N	43651	3113213	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-01-01	2006-03-22	Endeavour Energy Norge AS	4.442400	\N	43651	3113213	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-03-22	2006-10-13	Endeavour Energy Norge AS	4.442400	\N	43651	3113213	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-10-13	2006-11-28	Endeavour Energy Norge AS	4.442400	\N	43651	3113213	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-11-28	2007-01-01	Endeavour Energy Norge AS	4.442400	\N	43651	3113213	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-01-01	2007-10-01	Endeavour Energy Norge AS	4.442400	\N	43651	3113213	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-10-01	2009-01-01	Endeavour Energy Norge AS	4.442400	\N	43651	3113213	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-01	2009-01-17	Endeavour Energy Norge AS	4.442400	\N	43651	3113213	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-17	2009-05-26	Endeavour Energy Norge AS	4.442400	\N	43651	3113213	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2005-05-04	2006-01-01	Revus Energy ASA	2.500000	\N	43651	3431773	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-01-01	2006-03-22	Revus Energy ASA	2.500000	\N	43651	3431773	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-03-22	2006-10-13	Revus Energy ASA	2.500000	\N	43651	3431773	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-10-13	2006-11-28	Revus Energy ASA	2.500000	\N	43651	3431773	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-11-28	2007-01-01	Revus Energy ASA	2.500000	\N	43651	3431773	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-01-01	2007-10-01	Revus Energy ASA	2.500000	\N	43651	3431773	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-10-01	2009-01-01	Revus Energy ASA	2.500000	\N	43651	3431773	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-01	2009-01-17	Revus Energy ASA	2.500000	\N	43651	3431773	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-03-22	2006-10-13	Talisman Resources Norge AS	20.000000	\N	43651	3987574	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-01-01	2011-07-01	Faroe Petroleum Norge AS	14.256700	\N	43651	4062883	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-07-01	2013-02-13	Faroe Petroleum Norge AS	14.256700	\N	43651	4062883	2013-02-20	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	14.256700	\N	43651	4062883	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2006-11-28	2007-01-01	Altinex Oil Norway AS	12.257500	\N	43651	4446230	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-01-01	2007-10-01	Altinex Oil Norway AS	12.257500	\N	43651	4446230	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-10-01	2009-01-01	Altinex Oil Norway AS	12.257500	\N	43651	4446230	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-01	2009-01-17	Altinex Oil Norway AS	12.257500	\N	43651	4446230	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-17	2009-05-26	Altinex Oil Norway AS	12.257500	\N	43651	4446230	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-05-26	2009-10-01	Altinex Oil Norway AS	12.257500	\N	43651	4446230	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-10-01	2009-11-01	Altinex Oil Norway AS	12.257500	\N	43651	4446230	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-11-01	2010-01-01	Altinex Oil Norway AS	12.257500	\N	43651	4446230	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2010-01-01	2011-01-01	Altinex Oil Norway AS	12.257500	\N	43651	4446230	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-01-01	2011-07-01	Altinex Oil Norway AS	12.257500	\N	43651	4446230	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	20.000000	\N	43651	4511658	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-01	2009-01-17	StatoilHydro Petroleum AS	32.700000	\N	43651	4511658	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-17	2009-05-26	StatoilHydro Petroleum AS	32.700000	\N	43651	4511658	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	32.700000	\N	43651	4511658	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-10-01	2009-11-01	StatoilHydro Petroleum AS	32.700000	\N	43651	4511658	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	12.700000	\N	43651	4511854	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	20.000000	\N	43651	4524355	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2005-09-19	2012-01-01	A/S Norske Shell	26.200000	\N	43758	562	2012-12-01	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2010-01-01	2011-01-01	Spring Energy Norway AS	2.500000	\N	43651	5072514	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-01-01	2011-07-01	Spring Energy Norway AS	2.500000	\N	43651	5072514	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-07-01	2013-02-13	Spring Energy Norway AS	2.500000	\N	43651	5072514	2013-02-20	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-01-17	2009-05-26	Wintershall Norge ASA	2.500000	\N	43651	5442509	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-05-26	2009-10-01	Wintershall Norge ASA	2.500000	\N	43651	5442509	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-10-01	2009-11-01	Wintershall Norge ASA	2.500000	\N	43651	5442509	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-11-01	2010-01-01	Wintershall Norge ASA	2.500000	\N	43651	5442509	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-05-26	2009-10-01	VNG Norge (Operations) AS	4.442400	\N	43651	5497155	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-10-01	2009-11-01	VNG Norge AS	4.442400	\N	43651	17237193	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-11-01	2010-01-01	VNG Norge AS	4.442400	\N	43651	17237193	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2010-01-01	2011-01-01	VNG Norge AS	4.442400	\N	43651	17237193	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-01-01	2011-07-01	VNG Norge AS	4.442400	\N	43651	17237193	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-07-01	2013-02-13	VNG Norge AS	4.442400	\N	43651	17237193	2013-02-20	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2013-02-13	9999-12-31	VNG Norge AS	4.442400	\N	43651	17237193	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2009-11-01	2010-01-01	Statoil Petroleum AS	32.700000	\N	43651	17237817	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2010-01-01	2011-01-01	Statoil Petroleum AS	32.700000	\N	43651	17237817	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-01-01	2011-07-01	Statoil Petroleum AS	32.700000	\N	43651	17237817	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-07-01	2013-02-13	Statoil Petroleum AS	32.700000	\N	43651	17237817	2013-02-20	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2013-02-13	9999-12-31	Statoil Petroleum AS	32.700000	\N	43651	17237817	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2011-07-01	2013-02-13	Core Energy AS	12.257500	\N	43651	20460080	2013-02-20	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2013-02-13	9999-12-31	Core Energy AS	12.257500	\N	43651	20460080	9999-12-31	2013-05-08
BRAGE	BRAGE UNIT	BUSINESS ARRANGEMENT AREA	1993-12-27	9999-12-31	2013-02-13	9999-12-31	Tullow Oil Norge AS	2.500000	\N	43651	23173852	9999-12-31	2013-05-08
STATFJORD	037	PRODUCTION LICENSE	1976-06-16	1979-05-31	1976-06-16	1979-05-31	Amerada Hess Norge AS	1.041670	\N	43658	67	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	Amerada Hess Norge AS	0.925900	\N	43658	67	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	Amerada Hess Norge AS	0.875970	\N	43658	67	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	Amerada Hess Norge AS	0.875970	\N	43658	67	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	Amerada Hess Norge AS	0.875970	\N	43658	67	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	Amerada Hess Norge AS	0.875970	\N	43658	67	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	Amerada Hess Norge AS	0.875970	\N	43658	67	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	Amerada Hess Norge AS	0.887900	\N	43658	67	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	Amerada Hess Norge AS	0.890300	\N	43658	67	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1995-01-01	1997-07-01	Amerada Hess Norge AS	0.890300	\N	43658	67	9999-12-31	2013-05-08
STATFJORD	037	PRODUCTION LICENSE	1976-06-16	1979-05-31	1976-06-16	1979-05-31	Amoco Norway Oil Company	1.041670	\N	43658	78	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	Amoco Norway Oil Company	0.925900	\N	43658	78	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	Amoco Norway Oil Company	0.875970	\N	43658	78	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	Amoco Norway Oil Company	0.875970	\N	43658	78	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	Amoco Norway Oil Company	0.875970	\N	43658	78	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	Amoco Norway Oil Company	0.875970	\N	43658	78	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	Amoco Norway Oil Company	0.875970	\N	43658	78	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	Amoco Norway Oil Company	0.887900	\N	43658	78	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	Amoco Norway Oil Company	0.890300	\N	43658	78	9999-12-31	2013-05-08
STATFJORD	037	PRODUCTION LICENSE	1976-06-16	1979-05-31	1976-06-16	1979-05-31	Conoco Norway Inc.	10.000000	\N	43658	210	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	Conoco Norway Inc.	8.888500	\N	43658	210	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	Conoco Norway Inc.	8.409320	\N	43658	210	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	Norske Conoco A/S	8.409320	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	Norske Conoco A/S	8.409320	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	Norske Conoco A/S	8.409320	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	Norske Conoco A/S	8.409320	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	Norske Conoco A/S	8.523870	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	Norske Conoco A/S	8.546870	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1995-01-01	1997-07-01	Norske Conoco A/S	9.437170	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1997-07-01	1999-12-11	Norske Conoco A/S	10.327470	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1999-12-11	2001-05-10	Norske Conoco A/S	10.327470	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2001-05-10	2002-01-01	Norske Conoco A/S	10.327470	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-01	2002-01-02	Norske Conoco A/S	10.327470	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-02	2002-11-19	Norske Conoco A/S	10.327470	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-11-19	2003-03-22	Norske Conoco A/S	10.327470	\N	43658	221	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	Enterprise Oil Norwegian AS	0.875970	\N	43658	342	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	Enterprise Oil Norwegian AS	0.875970	\N	43658	342	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	Enterprise Oil Norwegian AS	0.887900	\N	43658	342	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	Enterprise Oil Norwegian AS	0.890300	\N	43658	342	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1995-01-01	1997-07-01	Enterprise Oil Norwegian AS	0.890300	\N	43658	342	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1997-07-01	1999-12-11	Enterprise Oil Norwegian AS	0.890300	\N	43658	342	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1999-12-11	2001-05-10	Enterprise Oil Norwegian AS	0.890300	\N	43658	342	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2001-05-10	2002-01-01	Enterprise Oil Norwegian AS	0.890300	\N	43658	342	9999-12-31	2013-05-08
STATFJORD	037	PRODUCTION LICENSE	1976-06-16	1979-05-31	1976-06-16	1979-05-31	Esso Exploration and Production Norway A/S	10.000000	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	Esso Exploration and Production Norway A/S	8.888500	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	Esso Exploration and Production Norway A/S	8.409320	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	Esso Exploration and Production Norway A/S	8.409320	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	Esso Exploration and Production Norway A/S	8.409320	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	Esso Exploration and Production Norway A/S	8.409320	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	Esso Exploration and Production Norway A/S	8.409320	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	Esso Exploration and Production Norway A/S	8.523870	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	Esso Exploration and Production Norway A/S	8.546870	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1995-01-01	1997-07-01	Esso Exploration and Production Norway A/S	8.546870	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1997-07-01	1999-12-11	Esso Exploration and Production Norway A/S	8.546870	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1999-12-11	2001-05-10	Esso Exploration and Production Norway A/S	8.546870	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2001-05-10	2002-01-01	Esso Exploration and Production Norway A/S	8.546870	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-01	2002-01-02	Esso Exploration and Production Norway A/S	8.546870	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-02	2002-11-19	Esso Exploration and Production Norway A/S	21.367170	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-11-19	2003-03-22	Esso Exploration and Production Norway A/S	21.367170	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2003-03-22	2004-04-01	Esso Exploration and Production Norway A/S	21.367170	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-04-01	2004-10-01	Esso Exploration and Production Norway A/S	21.367170	\N	43658	353	9999-12-31	2013-05-08
STATFJORD	037	PRODUCTION LICENSE	1976-06-16	1979-05-31	1976-06-16	1979-05-31	Mobil Development Norway AS	15.000000	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	Mobil Development Norway AS	13.332700	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	Mobil Development Norway AS	12.614000	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	Mobil Development Norway AS	12.614000	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	Mobil Development Norway AS	12.614000	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	Mobil Development Norway AS	12.614000	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	Mobil Development Norway AS	12.614000	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	Mobil Development Norway AS	12.785800	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	Mobil Development Norway AS	12.820300	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1995-01-01	1997-07-01	Mobil Development Norway AS	12.820300	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1997-07-01	1999-12-11	Mobil Development Norway AS	12.820300	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1999-12-11	2001-05-10	Mobil Development Norway AS	12.820300	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2001-05-10	2002-01-01	Mobil Development Norway AS	12.820300	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-01	2002-01-02	Mobil Development Norway AS	12.820300	\N	43658	474	9999-12-31	2013-05-08
STATFJORD	037	PRODUCTION LICENSE	1976-06-16	1979-05-31	1976-06-16	1979-05-31	A/S Norske Shell	10.000000	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	A/S Norske Shell	8.888500	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	A/S Norske Shell	8.409320	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	A/S Norske Shell	8.409320	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	A/S Norske Shell	8.409320	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	A/S Norske Shell	8.409320	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	A/S Norske Shell	8.409320	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	A/S Norske Shell	8.523870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1995-01-01	1997-07-01	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1997-07-01	1999-12-11	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1999-12-11	2001-05-10	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2001-05-10	2002-01-01	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-01	2002-01-02	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-02	2002-11-19	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-11-19	2003-03-22	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2003-03-22	2004-04-01	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-04-01	2004-10-01	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-10-01	2006-01-01	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2006-01-01	2007-01-01	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-01-01	2007-10-01	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-10-01	2009-01-01	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-01-01	2009-11-01	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-11-01	2010-01-01	A/S Norske Shell	8.546870	\N	43658	562	9999-12-31	2013-05-08
STATFJORD	037	PRODUCTION LICENSE	1976-06-16	1979-05-31	1976-06-16	1979-05-31	Saga Petroleum ASA	1.875000	\N	43658	716	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	Saga Petroleum ASA	1.666500	\N	43658	716	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	Saga Petroleum ASA	1.576740	\N	43658	716	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	Saga Petroleum ASA	1.576740	\N	43658	716	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	Saga Petroleum ASA	1.576740	\N	43658	716	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	Saga Petroleum ASA	1.576740	\N	43658	716	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	Saga Petroleum ASA	1.576740	\N	43658	716	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	Saga Petroleum ASA	1.598230	\N	43658	716	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	Saga Petroleum ASA	1.602540	\N	43658	716	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1995-01-01	1997-07-01	Saga Petroleum ASA	1.602540	\N	43658	716	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1997-07-01	1999-12-11	Saga Petroleum ASA	1.602540	\N	43658	716	9999-12-31	2013-05-08
STATFJORD	037	PRODUCTION LICENSE	1976-06-16	1979-05-31	1976-06-16	1979-05-31	Den norske stats oljeselskap a.s	50.000000	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	Den norske stats oljeselskap a.s	44.442300	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	Den norske stats oljeselskap a.s	42.046610	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	Den norske stats oljeselskap a.s	42.046610	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	Den norske stats oljeselskap a.s	42.046610	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	Den norske stats oljeselskap a.s	42.046610	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	Den norske stats oljeselskap a.s	42.046610	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	Den norske stats oljeselskap a.s	42.619340	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	Den norske stats oljeselskap a.s	42.734340	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1995-01-01	1997-07-01	Den norske stats oljeselskap a.s	42.734340	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1997-07-01	1999-12-11	Den norske stats oljeselskap a.s	42.734340	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	44.336880	\N	43658	749	9999-12-31	2013-05-08
STATFJORD	037	PRODUCTION LICENSE	1976-06-16	1979-05-31	1976-06-16	1979-05-31	Texas Eastern Norwegian Inc.	1.041670	\N	43658	837	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	Texas Eastern Norwegian Inc.	0.925900	\N	43658	837	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	Texas Eastern Norwegian Inc.	0.875970	\N	43658	837	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	Texas Eastern Norwegian Inc.	0.875970	\N	43658	837	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	Texas Eastern Norwegian Inc.	0.875970	\N	43658	837	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	BRITOIL	5.302260	\N	43658	2825	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	BRITOIL	5.302260	\N	43658	2825	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	BRITISH NATIONAL OIL CORPORATION	3.705100	\N	43658	41719	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	BRITISH NATIONAL OIL CORPORATION	5.302260	\N	43658	41719	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	BRITISH NATIONAL OIL CORPORATION	5.302260	\N	43658	41719	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	Conoco North Sea Inc.	3.705100	\N	43658	41730	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	Conoco North Sea Inc.	5.302260	\N	43658	41730	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	Conoco North Sea Inc.	5.302260	\N	43658	41730	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	Conoco North Sea Inc.	5.302260	\N	43658	41730	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	Conoco North Sea Inc.	5.302260	\N	43658	41730	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	GULF (U.K.) OFFSHORE INVESTMENT LTD	1.852550	\N	43658	41741	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	GULF (U.K.) OFFSHORE INVESTMENT LTD	2.651130	\N	43658	41741	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	GULF (U.K.) OFFSHORE INVESTMENT LTD	2.651130	\N	43658	41741	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	GULF (U.K.) OFFSHORE INVESTMENT LTD	2.651130	\N	43658	41741	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	GULF (U.K.) OFFSHORE INVESTMENT LTD	2.651130	\N	43658	41741	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-06-01	1979-11-24	GULF OIL CORPORATION	1.852550	\N	43658	41752	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1979-11-24	1981-01-01	GULF OIL CORPORATION	2.651130	\N	43658	41752	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1981-01-01	1982-01-01	GULF OIL CORPORATION	2.651130	\N	43658	41752	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1982-01-01	1989-04-14	GULF OIL CORPORATION	2.651130	\N	43658	41752	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1989-04-14	1990-01-01	GULF OIL CORPORATION	2.651130	\N	43658	41752	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	CONOCO (UK) LTD	5.302260	\N	43658	42056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	CONOCO (UK) LTD	4.920440	\N	43658	42056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	CONOCO (UK) LTD	4.843770	\N	43658	42056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1995-01-01	1997-07-01	CONOCO (UK) LTD	4.843770	\N	43658	42056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1997-07-01	1999-12-11	CONOCO (UK) LTD	4.843770	\N	43658	42056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1999-12-11	2001-05-10	CONOCO (UK) LTD	4.843770	\N	43658	42056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2001-05-10	2002-01-01	CONOCO (UK) LTD	4.843770	\N	43658	42056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-01	2002-01-02	CONOCO (UK) LTD	4.843770	\N	43658	42056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-02	2002-11-19	CONOCO (UK) LTD	4.843770	\N	43658	42056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-11-19	2003-03-22	CONOCO (UK) LTD	4.843770	\N	43658	42056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	BP Petroleum Development Ltd	5.302260	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	BP Petroleum Development Ltd	4.920440	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	BP Petroleum Development Ltd	4.843770	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1995-01-01	1997-07-01	BP Petroleum Development Ltd	4.843770	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1997-07-01	1999-12-11	BP Petroleum Development Ltd	4.843770	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1999-12-11	2001-05-10	BP Petroleum Development Ltd	4.843770	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2001-05-10	2002-01-01	BP Petroleum Development Ltd	4.843770	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-01	2002-01-02	BP Petroleum Development Ltd	4.843770	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-02	2002-11-19	BP Petroleum Development Ltd	4.843770	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-11-19	2003-03-22	BP Petroleum Development Ltd	4.843770	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2003-03-22	2004-04-01	BP Petroleum Development Ltd	4.843770	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-04-01	2004-10-01	BP Petroleum Development Ltd	4.843770	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-10-01	2006-01-01	BP Petroleum Development Ltd	4.843770	\N	43658	42067	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1990-01-01	1991-09-01	Chevron UK Ltd.	5.302260	\N	43658	42078	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1991-09-01	1994-07-01	Chevron UK Ltd.	4.920440	\N	43658	42078	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1994-07-01	1995-01-01	Chevron UK Ltd.	4.843770	\N	43658	42078	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1995-01-01	1997-07-01	Chevron UK Ltd.	4.843770	\N	43658	42078	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1997-07-01	1999-12-11	Chevron UK Ltd.	4.843770	\N	43658	42078	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	1999-12-11	2001-05-10	Chevron UK Ltd.	4.843770	\N	43658	42078	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2001-05-10	2002-01-01	Chevron UK Ltd.	4.843770	\N	43658	42078	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-01	2002-01-02	Chevron UK Ltd.	4.843770	\N	43658	42078	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-02	2002-11-19	Chevron UK Ltd.	4.843770	\N	43658	42078	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2001-05-10	2002-01-01	Statoil ASA (old)	44.336880	\N	43658	1622484	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-01	2002-01-02	Statoil ASA (old)	44.336880	\N	43658	1622484	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-02	2002-11-19	Statoil ASA (old)	44.336880	\N	43658	1622484	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-11-19	2003-03-22	Statoil ASA (old)	44.336880	\N	43658	1622484	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2003-03-22	2004-04-01	Statoil ASA (old)	44.336880	\N	43658	1622484	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-04-01	2004-10-01	Statoil ASA (old)	44.336880	\N	43658	1622484	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-10-01	2006-01-01	Statoil ASA (old)	44.336880	\N	43658	1622484	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2006-01-01	2007-01-01	Statoil ASA (old)	44.336880	\N	43658	1622484	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	44.336880	\N	43658	1622484	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-01	2002-01-02	Enterprise Oil Norge AS	0.890300	\N	43658	1853786	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-01-02	2002-11-19	Enterprise Oil Norge AS	0.890300	\N	43658	1853786	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-11-19	2003-03-22	Enterprise Oil Norge AS	0.890300	\N	43658	1853786	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2003-03-22	2004-04-01	Enterprise Oil Norge AS	0.890300	\N	43658	1853786	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-04-01	2004-10-01	Enterprise Oil Norge AS	0.890300	\N	43658	1853786	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-10-01	2006-01-01	Enterprise Oil Norge AS	0.890300	\N	43658	1853786	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2006-01-01	2007-01-01	Enterprise Oil Norge AS	0.890300	\N	43658	1853786	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-01-01	2007-10-01	Enterprise Oil Norge AS	0.890300	\N	43658	1853786	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-10-01	2009-01-01	Enterprise Oil Norge AS	0.890300	\N	43658	1853786	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-01-01	2009-11-01	Enterprise Oil Norge AS	0.890300	\N	43658	1853786	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-11-01	2010-01-01	Enterprise Oil Norge AS	0.890300	\N	43658	1853786	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2003-03-22	2004-04-01	Norske ConocoPhillips AS	10.327470	\N	43658	2399056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-04-01	2004-10-01	Norske ConocoPhillips AS	10.327470	\N	43658	2399056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-10-01	2006-01-01	Norske ConocoPhillips AS	10.327470	\N	43658	2399056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2006-01-01	2007-01-01	Norske ConocoPhillips AS	10.327470	\N	43658	2399056	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	10.327470	\N	43658	2410696	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	10.327470	\N	43658	2410696	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	10.327470	\N	43658	2410696	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-11-01	2010-01-01	ConocoPhillips Skandinavia AS	10.327470	\N	43658	2410696	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2010-01-01	2012-04-30	ConocoPhillips Skandinavia AS	10.327470	\N	43658	2410696	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2002-11-19	2003-03-22	Chevron Texaco UK Ltd.	4.843770	\N	43658	2748096	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2003-03-22	2004-04-01	Chevron Texaco UK Ltd.	4.843770	\N	43658	2748096	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2003-03-22	2004-04-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	43658	2748185	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-04-01	2004-10-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	43658	2748185	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-10-01	2006-01-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	43658	2748185	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2006-01-01	2007-01-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	43658	2748185	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-01-01	2007-10-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	43658	2748185	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	43658	2748185	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	43658	2748185	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-11-01	2010-01-01	ConocoPhillips (U.K.) Limited.	4.843770	\N	43658	2748185	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2010-01-01	2012-04-30	ConocoPhillips (U.K.) Limited.	4.843770	\N	43658	2748185	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-10-01	2006-01-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	43658	2835212	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2006-01-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	43658	2835212	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	43658	2835212	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	43658	2835212	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	43658	2835212	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-11-01	2010-01-01	ExxonMobil Exploration & Production Norway AS	21.367170	\N	43658	2835212	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2010-01-01	2012-04-30	ExxonMobil Exploration & Production Norway AS	21.367170	\N	43658	2835212	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2012-04-30	9999-12-31	ExxonMobil Exploration & Production Norway AS	21.367170	\N	43658	2835212	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-04-01	2004-10-01	Centrica Resources Limited	4.843770	\N	43658	3000873	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2004-10-01	2006-01-01	Centrica Resources Limited	4.843770	\N	43658	3000873	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2006-01-01	2007-01-01	Centrica Resources Limited	9.687540	\N	43658	3000873	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-01-01	2007-10-01	Centrica Resources Limited	9.687540	\N	43658	3000873	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-10-01	2009-01-01	Centrica Resources Limited	9.687540	\N	43658	3000873	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-01-01	2009-11-01	Centrica Resources Limited	9.687540	\N	43658	3000873	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-11-01	2010-01-01	Centrica Resources Limited	9.687540	\N	43658	3000873	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2010-01-01	2012-04-30	Centrica Resources Limited	9.687540	\N	43658	3000873	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2012-04-30	9999-12-31	Centrica Resources Limited	14.531310	\N	43658	3000873	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2010-01-01	2012-04-30	Centrica Resources (Norge) AS	9.437170	\N	43658	4238233	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	19.764640	\N	43658	4238233	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	44.336880	\N	43658	4511658	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	44.336880	\N	43658	4511854	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2009-11-01	2010-01-01	Statoil Petroleum AS	44.336880	\N	43658	17237817	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2010-01-01	2012-04-30	Statoil Petroleum AS	44.336880	\N	43658	17237817	9999-12-31	2013-05-08
STATFJORD	STATFJORD UNIT	BUSINESS ARRANGEMENT AREA	1979-06-01	9999-12-31	2012-04-30	9999-12-31	Statoil Petroleum AS	44.336880	\N	43658	17237817	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	Amerada Hess Norge AS	0.169300	\N	43665	67	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	Amerada Hess Norge AS	0.169300	\N	43665	67	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	Amerada Hess Norge AS	0.261100	\N	43665	67	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	Amerada Hess Norge AS	0.231300	\N	43665	67	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	Amerada Hess Norge AS	0.231300	\N	43665	67	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	Amerada Hess Norge AS	0.231300	\N	43665	67	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1994-07-01	1995-01-01	Amerada Hess Norge AS	0.231300	\N	43665	67	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1995-01-01	1996-10-29	Amerada Hess Norge AS	0.231300	\N	43665	67	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1996-10-29	1997-07-01	Amerada Hess Norge AS	0.231300	\N	43665	67	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	Amoco Norway Oil Company	0.169300	\N	43665	78	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	Amoco Norway Oil Company	0.169300	\N	43665	78	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	Amoco Norway Oil Company	0.261100	\N	43665	78	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	Amoco Norway Oil Company	0.231300	\N	43665	78	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	Amoco Norway Oil Company	0.231300	\N	43665	78	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	Amoco Norway Oil Company	0.231300	\N	43665	78	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1994-07-01	1995-01-01	Amoco Norway Oil Company	0.231300	\N	43665	78	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	Norske Conoco A/S	1.625000	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	Norske Conoco A/S	1.625000	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	Norske Conoco A/S	2.506200	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	Norske Conoco A/S	2.220000	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	Norske Conoco A/S	2.220000	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	Norske Conoco A/S	2.220000	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1994-07-01	1995-01-01	Norske Conoco A/S	2.220000	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1995-01-01	1996-10-29	Norske Conoco A/S	2.451300	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1996-10-29	1997-07-01	Norske Conoco A/S	2.451300	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1997-07-01	1999-04-19	Norske Conoco A/S	2.682600	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-04-19	1999-12-11	Norske Conoco A/S	2.682600	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-12-11	2001-05-10	Norske Conoco A/S	2.682600	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-05-10	2001-07-06	Norske Conoco A/S	2.682600	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-07-06	2001-12-31	Norske Conoco A/S	2.682600	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-12-31	2002-01-01	Norske Conoco A/S	2.682600	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-01-01	2002-11-01	Norske Conoco A/S	2.682600	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-11-01	2003-03-22	Norske Conoco A/S	2.682600	\N	43665	221	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	Enterprise Oil Norwegian AS	0.231200	\N	43665	342	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	Enterprise Oil Norwegian AS	0.231200	\N	43665	342	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1994-07-01	1995-01-01	Enterprise Oil Norwegian AS	0.231200	\N	43665	342	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1995-01-01	1996-10-29	Enterprise Oil Norwegian AS	0.231200	\N	43665	342	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1996-10-29	1997-07-01	Enterprise Oil Norwegian AS	0.231200	\N	43665	342	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1997-07-01	1999-04-19	Enterprise Oil Norwegian AS	0.231200	\N	43665	342	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-04-19	1999-12-11	Enterprise Oil Norwegian AS	0.231200	\N	43665	342	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-12-11	2001-05-10	Enterprise Oil Norwegian AS	0.231200	\N	43665	342	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-05-10	2001-07-06	Enterprise Oil Norwegian AS	0.231200	\N	43665	342	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-07-06	2001-12-31	Enterprise Oil Norwegian AS	0.231200	\N	43665	342	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	Esso Exploration and Production Norway A/S	1.625000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	Esso Exploration and Production Norway A/S	1.625000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	Esso Exploration and Production Norway A/S	2.506200	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1994-07-01	1995-01-01	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1995-01-01	1996-10-29	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1996-10-29	1997-07-01	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1997-07-01	1999-04-19	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-04-19	1999-12-11	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-12-11	2001-05-10	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-05-10	2001-07-06	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-07-06	2001-12-31	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-12-31	2002-01-01	Esso Exploration and Production Norway A/S	2.220000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-01-01	2002-11-01	Esso Exploration and Production Norway A/S	5.550000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-11-01	2003-03-22	Esso Exploration and Production Norway A/S	5.550000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2003-03-22	2004-01-01	Esso Exploration and Production Norway A/S	5.550000	\N	43665	353	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	Mobil Development Norway AS	2.437500	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	Mobil Development Norway AS	2.437500	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	Mobil Development Norway AS	3.759300	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1994-07-01	1995-01-01	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1995-01-01	1996-10-29	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1996-10-29	1997-07-01	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1997-07-01	1999-04-19	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-04-19	1999-12-11	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-12-11	2001-05-10	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-05-10	2001-07-06	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-07-06	2001-12-31	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-12-31	2002-01-01	Mobil Development Norway AS	3.330000	\N	43665	474	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	A/S Norske Shell	1.625000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	A/S Norske Shell	1.625000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	A/S Norske Shell	2.506200	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1994-07-01	1995-01-01	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1995-01-01	1996-10-29	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1996-10-29	1997-07-01	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1997-07-01	1999-04-19	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-04-19	1999-12-11	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-12-11	2001-05-10	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-05-10	2001-07-06	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-07-06	2001-12-31	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-12-31	2002-01-01	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-01-01	2002-11-01	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-11-01	2003-03-22	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2003-03-22	2004-01-01	A/S Norske Shell	2.220000	\N	43665	562	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	Saga Petroleum ASA	0.304600	\N	43665	716	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	Saga Petroleum ASA	0.304600	\N	43665	716	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	Saga Petroleum ASA	0.469900	\N	43665	716	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	Saga Petroleum ASA	0.416200	\N	43665	716	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	Saga Petroleum ASA	0.416200	\N	43665	716	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	Saga Petroleum ASA	0.416200	\N	43665	716	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1994-07-01	1995-01-01	Saga Petroleum ASA	0.416200	\N	43665	716	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1995-01-01	1996-10-29	Saga Petroleum ASA	0.416200	\N	43665	716	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1996-10-29	1997-07-01	Saga Petroleum ASA	0.416200	\N	43665	716	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1997-07-01	1999-04-19	Saga Petroleum ASA	0.416200	\N	43665	716	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-04-19	1999-12-11	Saga Petroleum ASA	0.416200	\N	43665	716	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	Den norske stats oljeselskap a.s	8.125000	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	Den norske stats oljeselskap a.s	8.125000	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	Den norske stats oljeselskap a.s	12.531200	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	Den norske stats oljeselskap a.s	11.100000	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	Den norske stats oljeselskap a.s	11.100000	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	Den norske stats oljeselskap a.s	11.100000	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1994-07-01	1995-01-01	Den norske stats oljeselskap a.s	11.100000	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1995-01-01	1996-10-29	Den norske stats oljeselskap a.s	11.100000	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1996-10-29	1997-07-01	Den norske stats oljeselskap a.s	11.100000	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1997-07-01	1999-04-19	Den norske stats oljeselskap a.s	11.100000	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-04-19	1999-12-11	Den norske stats oljeselskap a.s	11.100000	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	11.516200	\N	43665	749	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	Texas Eastern Norwegian Inc.	0.169300	\N	43665	837	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	Texas Eastern Norwegian Inc.	0.169300	\N	43665	837	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	Texas Eastern Norwegian Inc.	0.261100	\N	43665	837	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	Texas Eastern Norwegian Inc.	0.231200	\N	43665	837	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1996-10-29	1997-07-01	Ranger Oil (UK) Ltd	9.076660	\N	43665	2742	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1997-07-01	1999-04-19	Ranger Oil (UK) Ltd	9.076660	\N	43665	2742	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-04-19	1999-12-11	Ranger Oil (UK) Ltd	9.076660	\N	43665	2742	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-12-11	2001-05-10	Ranger Oil (UK) Ltd	9.076660	\N	43665	2742	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-05-10	2001-07-06	Ranger Oil (UK) Ltd	9.076660	\N	43665	2742	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	BRITOIL	27.916700	\N	43665	2825	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	BRITOIL	24.979200	\N	43665	2825	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	BRITOIL	25.933300	\N	43665	2825	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	BRITOIL	25.933300	\N	43665	2825	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	Oryx (UK) Energy Company	25.933300	\N	43665	2897	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1994-07-01	1995-01-01	Oryx (UK) Energy Company	51.866700	\N	43665	2897	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1995-01-01	1996-10-29	Oryx (UK) Energy Company	51.866700	\N	43665	2897	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1996-10-29	1997-07-01	Oryx (UK) Energy Company	68.723340	\N	43665	2897	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1997-07-01	1999-04-19	Oryx (UK) Energy Company	68.723340	\N	43665	2897	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	BRITISH NATIONAL OIL CORPORATION	27.916700	\N	43665	41719	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	Conoco North Sea Inc.	27.916700	\N	43665	41730	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	Conoco North Sea Inc.	27.916700	\N	43665	41730	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	Conoco North Sea Inc.	24.979300	\N	43665	41730	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1979-04-01	1982-01-01	GULF OIL CORPORATION	27.916600	\N	43665	41752	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1982-01-01	1983-11-01	GULF OIL CORPORATION	27.916600	\N	43665	41752	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1983-11-01	1986-09-01	GULF OIL CORPORATION	24.979200	\N	43665	41752	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	CONOCO (UK) LTD	25.933400	\N	43665	42056	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	CONOCO (UK) LTD	25.933400	\N	43665	42056	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	CONOCO (UK) LTD	25.933400	\N	43665	42056	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1986-09-01	1989-04-14	Chevron UK Ltd.	25.933300	\N	43665	42078	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1989-04-14	1990-01-01	Chevron UK Ltd.	25.933300	\N	43665	42078	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1990-01-01	1994-07-01	Chevron UK Ltd.	25.933300	\N	43665	42078	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1994-07-01	1995-01-01	Chevron UK Ltd.	25.933300	\N	43665	42078	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1995-01-01	1996-10-29	Chevron UK Ltd.	25.933300	\N	43665	42078	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-04-19	1999-12-11	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	43665	1024802	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	1999-12-11	2001-05-10	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	43665	1024802	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-05-10	2001-07-06	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	43665	1024802	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-07-06	2001-12-31	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	43665	1024802	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-12-31	2002-01-01	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	43665	1024802	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-01-01	2002-11-01	Kerr Mc-Gee North Sea (UK) Ltd	68.723340	\N	43665	1024802	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-05-10	2001-07-06	Statoil ASA (old)	11.516200	\N	43665	1622484	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-07-06	2001-12-31	Statoil ASA (old)	11.516200	\N	43665	1622484	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-12-31	2002-01-01	Statoil ASA (old)	11.516200	\N	43665	1622484	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-01-01	2002-11-01	Statoil ASA (old)	11.516200	\N	43665	1622484	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-11-01	2003-03-22	Statoil ASA (old)	11.516200	\N	43665	1622484	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2003-03-22	2004-01-01	Statoil ASA (old)	11.516200	\N	43665	1622484	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2004-01-01	2005-05-04	Statoil ASA (old)	11.516200	\N	43665	1622484	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2005-05-04	2007-10-01	Statoil ASA (old)	11.516200	\N	43665	1622484	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-12-31	2002-01-01	Enterprise Oil Norge AS	0.231200	\N	43665	1853786	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-01-01	2002-11-01	Enterprise Oil Norge AS	0.231200	\N	43665	1853786	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-11-01	2003-03-22	Enterprise Oil Norge AS	0.231200	\N	43665	1853786	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2003-03-22	2004-01-01	Enterprise Oil Norge AS	0.231200	\N	43665	1853786	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-07-06	2001-12-31	CNR International (UK) Limited	9.076660	\N	43665	2385943	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2001-12-31	2002-01-01	CNR International (UK) Limited	9.076660	\N	43665	2385943	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-01-01	2002-11-01	CNR International (UK) Limited	9.076660	\N	43665	2385943	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2002-11-01	2003-03-22	CNR International (UK) Limited	77.800000	\N	43665	2385943	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2003-03-22	2004-01-01	CNR International (UK) Limited	77.800000	\N	43665	2385943	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2004-01-01	2005-05-04	CNR International (UK) Limited	77.800000	\N	43665	2385943	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2005-05-04	2007-10-01	CNR International (UK) Limited	77.800000	\N	43665	2385943	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2007-10-01	2008-01-10	CNR International (UK) Limited	77.800000	\N	43665	2385943	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2008-01-10	2009-01-17	CNR International (UK) Limited	77.800000	\N	43665	2385943	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2009-01-17	2012-03-24	CNR International (UK) Limited	77.800000	\N	43665	2385943	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2012-03-24	9999-12-31	CNR International (UK) Limited	77.800000	\N	43665	2385943	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2003-03-22	2004-01-01	Norske ConocoPhillips AS	2.682600	\N	43665	2399056	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2004-01-01	2005-05-04	Revus Energy AS	10.683800	\N	43665	2455850	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2005-05-04	2007-10-01	Revus Energy ASA	10.683800	\N	43665	3431773	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2007-10-01	2008-01-10	Revus Energy ASA	10.683800	\N	43665	3431773	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2008-01-10	2009-01-17	Revus Energy ASA	22.200000	\N	43665	3431773	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2007-10-01	2008-01-10	StatoilHydro ASA	11.516200	\N	43665	4511854	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2009-01-17	2012-03-24	Wintershall Norge ASA	22.200000	\N	43665	5442509	9999-12-31	2013-05-08
MURCHISON	MURCHISON UNIT	BUSINESS ARRANGEMENT AREA	1979-04-01	9999-12-31	2012-03-24	9999-12-31	Wintershall Norge AS	22.200000	\N	43665	21666830	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Amerada Hess Norge AS	0.520840	\N	43672	67	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	Amerada Hess Norge AS	0.520840	\N	43672	67	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	Amerada Hess Norge AS	0.520840	\N	43672	67	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Amoco Norway Oil Company	0.520830	\N	43672	78	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Norske Conoco A/S	5.000000	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	Norske Conoco A/S	5.520830	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	Norske Conoco A/S	5.520830	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1997-07-01	1998-12-17	Norske Conoco A/S	6.041670	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1998-12-17	1999-12-11	Norske Conoco A/S	6.041670	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1999-12-11	2000-07-24	Norske Conoco A/S	6.041670	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2000-07-24	2001-01-11	Norske Conoco A/S	6.041670	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-01-11	2001-05-10	Norske Conoco A/S	6.041670	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-05-10	2001-06-01	Norske Conoco A/S	6.041670	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-01	2001-06-17	Norske Conoco A/S	6.041670	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-17	2002-01-01	Norske Conoco A/S	6.041670	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-01	2002-01-02	Norske Conoco A/S	6.041670	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-02	2003-03-22	Norske Conoco A/S	6.041670	\N	43672	221	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Deminex Norge AS	1.400000	\N	43672	254	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	Deminex Norge AS	1.400000	\N	43672	254	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	Deminex Norge AS	1.400000	\N	43672	254	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1997-07-01	1998-12-17	Deminex Norge AS	1.400000	\N	43672	254	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	DNO Olje A/S	0.350000	\N	43672	276	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	DNO Olje A/S	0.350000	\N	43672	276	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Elf Petroleum Norge AS	2.800000	\N	43672	298	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	Elf Petroleum Norge AS	2.800000	\N	43672	298	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	Elf Petroleum Norge AS	2.800000	\N	43672	298	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1997-07-01	1998-12-17	Elf Petroleum Norge AS	2.800000	\N	43672	298	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1998-12-17	1999-12-11	Elf Petroleum Norge AS	2.800000	\N	43672	298	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1999-12-11	2000-07-24	Elf Petroleum Norge AS	2.800000	\N	43672	298	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Enterprise Oil Norwegian AS	0.520830	\N	43672	342	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	Enterprise Oil Norwegian AS	0.520830	\N	43672	342	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	Enterprise Oil Norwegian AS	0.520830	\N	43672	342	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1997-07-01	1998-12-17	Enterprise Oil Norwegian AS	0.520830	\N	43672	342	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1998-12-17	1999-12-11	Enterprise Oil Norwegian AS	0.520830	\N	43672	342	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1999-12-11	2000-07-24	Enterprise Oil Norwegian AS	0.520830	\N	43672	342	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2000-07-24	2001-01-11	Enterprise Oil Norwegian AS	0.520830	\N	43672	342	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	0.520830	\N	43672	342	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	0.520830	\N	43672	342	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-01	2001-06-17	Enterprise Oil Norwegian AS	0.520830	\N	43672	342	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-17	2002-01-01	Enterprise Oil Norwegian AS	0.520830	\N	43672	342	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1997-07-01	1998-12-17	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1998-12-17	1999-12-11	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1999-12-11	2000-07-24	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2000-07-24	2001-01-11	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-01-11	2001-05-10	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-01	2001-06-17	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-17	2002-01-01	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-01	2002-01-02	Esso Exploration and Production Norway A/S	10.250000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-02	2003-03-22	Esso Exploration and Production Norway A/S	17.750000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-03-22	2003-05-06	Esso Exploration and Production Norway A/S	17.750000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	17.750000	\N	43672	353	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Norsk Hydro Produksjon AS	4.200000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	Norsk Hydro Produksjon AS	4.200000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	Norsk Hydro Produksjon AS	4.200000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1997-07-01	1998-12-17	Norsk Hydro Produksjon AS	4.200000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1998-12-17	1999-12-11	Norsk Hydro Produksjon AS	4.200000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	4.200000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	4.200000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	6.640000	\N	43672	430	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2012-01-01	9999-12-31	A/S Norske Shell	44.560000	\N	43758	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	6.640000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	6.640000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	6.640000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-01	2002-01-02	Norsk Hydro Produksjon AS	6.640000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-02	2003-03-22	Norsk Hydro Produksjon AS	6.640000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	6.640000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	6.640000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	6.640000	\N	43672	430	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1997-07-01	1998-12-17	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1998-12-17	1999-12-11	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1999-12-11	2000-07-24	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2000-07-24	2001-01-11	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-01-11	2001-05-10	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-05-10	2001-06-01	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-01	2001-06-17	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-17	2002-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-01	2002-01-02	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-02	2003-03-22	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-03-22	2003-05-06	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-05-06	2004-10-01	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2004-10-01	2007-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-01	2007-01-02	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-02	2007-10-01	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-01-01	2009-11-01	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-11-01	2010-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2010-01-01	2012-01-01	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	2012-12-06	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-01-01	2012-04-30	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-04-30	9999-12-31	Idemitsu Petroleum Norge AS	4.800000	\N	43672	441	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1997-07-01	1998-12-17	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1998-12-17	1999-12-11	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1999-12-11	2000-07-24	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2000-07-24	2001-01-11	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-01-11	2001-05-10	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-05-10	2001-06-01	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-01	2001-06-17	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-17	2002-01-01	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-01	2002-01-02	Mobil Development Norway AS	7.500000	\N	43672	474	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Cofranord A/S	0.304000	\N	43785	199	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1997-07-01	1998-12-17	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1998-12-17	1999-12-11	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1999-12-11	2000-07-24	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2000-07-24	2001-01-11	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-01-11	2001-05-10	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-05-10	2001-06-01	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-01	2001-06-17	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-17	2002-01-01	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-01	2002-01-02	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-02	2003-03-22	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-03-22	2003-05-06	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-05-06	2004-10-01	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2004-10-01	2007-01-01	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-01	2007-01-02	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-02	2007-10-01	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-10-01	2009-01-01	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-01-01	2009-11-01	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-11-01	2010-01-01	A/S Norske Shell	5.000000	\N	43672	562	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Saga Petroleum ASA	4.437500	\N	43672	716	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	Saga Petroleum ASA	4.437500	\N	43672	716	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	Saga Petroleum ASA	4.787500	\N	43672	716	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1997-07-01	1998-12-17	Saga Petroleum ASA	4.787500	\N	43672	716	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1998-12-17	1999-12-11	Saga Petroleum ASA	4.787500	\N	43672	716	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1999-12-11	2000-07-24	Saga Petroleum ASA	2.440000	\N	43672	716	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2000-07-24	2001-01-11	Saga Petroleum ASA	2.440000	\N	43672	716	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1991-06-26	1995-01-01	Den norske stats oljeselskap a.s	52.700000	40.500000	43672	749	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-01-01	1995-05-04	Den norske stats oljeselskap a.s	52.700000	40.500000	43672	749	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1995-05-04	1997-07-01	Den norske stats oljeselskap a.s	52.700000	40.500000	43672	749	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1997-07-01	1998-12-17	Den norske stats oljeselskap a.s	52.700000	40.500000	43672	749	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1998-12-17	1999-12-11	Den norske stats oljeselskap a.s	52.700000	40.500000	43672	749	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	55.047500	\N	43672	749	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	55.047500	\N	43672	749	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	55.047500	\N	43672	749	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1998-12-17	1999-12-11	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	1999-12-11	2000-07-24	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2000-07-24	2001-01-11	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-01-11	2001-05-10	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-05-10	2001-06-01	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-01	2001-06-17	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-17	2002-01-01	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-01	2002-01-02	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-02	2003-03-22	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-03-22	2003-05-06	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-05-06	2004-10-01	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2004-10-01	2007-01-01	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-01	2007-01-02	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-02	2007-10-01	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-10-01	2009-01-01	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-01-01	2009-11-01	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-11-01	2010-01-01	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2010-01-01	2012-01-01	RWE Dea Norge AS	1.400000	\N	43672	97557	2012-12-06	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-01-01	2012-04-30	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-04-30	9999-12-31	RWE Dea Norge AS	1.400000	\N	43672	97557	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	2.800000	\N	43672	1340884	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	2.800000	\N	43672	1340884	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	2.800000	\N	43672	1340884	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	2.800000	\N	43672	1340884	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-17	2002-01-01	TotalFinaElf Exploration Norge AS	2.800000	\N	43672	1340884	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-01	2002-01-02	TotalFinaElf Exploration Norge AS	2.800000	\N	43672	1340884	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-02	2003-03-22	TotalFinaElf Exploration Norge AS	2.800000	\N	43672	1340884	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	2.800000	\N	43672	1340884	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	14.547500	\N	43672	1622484	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	25.047500	\N	43672	1622484	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-17	2002-01-01	Statoil ASA (old)	25.047500	\N	43672	1622484	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-01	2002-01-02	Statoil ASA (old)	25.047500	\N	43672	1622484	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-02	2003-03-22	Statoil ASA (old)	25.047500	\N	43672	1622484	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-03-22	2003-05-06	Statoil ASA (old)	25.047500	\N	43672	1622484	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-05-06	2004-10-01	Statoil ASA (old)	25.047500	\N	43672	1622484	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2004-10-01	2007-01-01	Statoil ASA (old)	25.047500	\N	43672	1622484	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-01	2007-01-02	Statoil ASA (old)	25.047500	\N	43672	1622484	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-02	2007-10-01	Statoil ASA (old)	25.047500	\N	43672	1622484	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-05-10	2001-06-01	SDØE	40.500000	\N	43672	1623450	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-01	2001-06-17	SDØE	30.000000	\N	43672	1623450	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2001-06-17	2002-01-01	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-01	2002-01-02	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-02	2003-03-22	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-03-22	2003-05-06	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-05-06	2004-10-01	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-01	2007-01-02	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-02	2007-10-01	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-01-01	2009-11-01	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-11-01	2010-01-01	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2010-01-01	2012-01-01	Petoro AS	30.000000	\N	43672	1626839	2012-12-06	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-01-01	2012-04-30	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	43672	1626839	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-01	2002-01-02	Enterprise Oil Norge AS	0.520830	\N	43672	1853786	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2002-01-02	2003-03-22	Enterprise Oil Norge AS	0.520830	\N	43672	1853786	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-03-22	2003-05-06	Enterprise Oil Norge AS	0.520830	\N	43672	1853786	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-05-06	2004-10-01	Enterprise Oil Norge AS	0.520830	\N	43672	1853786	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2004-10-01	2007-01-01	Enterprise Oil Norge AS	0.520830	\N	43672	1853786	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-01	2007-01-02	Enterprise Oil Norge AS	0.520830	\N	43672	1853786	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-02	2007-10-01	Enterprise Oil Norge AS	0.520830	\N	43672	1853786	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-10-01	2009-01-01	Enterprise Oil Norge AS	0.520830	\N	43672	1853786	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-01-01	2009-11-01	Enterprise Oil Norge AS	0.520830	\N	43672	1853786	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-11-01	2010-01-01	Enterprise Oil Norge AS	0.520830	\N	43672	1853786	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-03-22	2003-05-06	Norske ConocoPhillips AS	6.041670	\N	43672	2399056	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-05-06	2004-10-01	Norske ConocoPhillips AS	6.041670	\N	43672	2399056	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2004-10-01	2007-01-01	Norske ConocoPhillips AS	6.041670	\N	43672	2399056	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-01	2007-01-02	Norske ConocoPhillips AS	6.041670	\N	43672	2399056	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	6.041670	\N	43672	2410696	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	6.041670	\N	43672	2410696	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	6.041670	\N	43672	2410696	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-11-01	2010-01-01	ConocoPhillips Skandinavia AS	6.041670	\N	43672	2410696	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2010-01-01	2012-01-01	ConocoPhillips Skandinavia AS	6.041670	\N	43672	2410696	2012-12-06	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-01-01	2012-04-30	ConocoPhillips Skandinavia AS	6.041670	\N	43672	2410696	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2003-05-06	2004-10-01	Total E&P Norge AS	2.800000	\N	43672	2410708	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2004-10-01	2007-01-01	Total E&P Norge AS	2.800000	\N	43672	2410708	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-01	2007-01-02	Total E&P Norge AS	2.800000	\N	43672	2410708	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-02	2007-10-01	Total E&P Norge AS	2.800000	\N	43672	2410708	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	2.800000	\N	43672	2410708	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	2.800000	\N	43672	2410708	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-11-01	2010-01-01	Total E&P Norge AS	2.800000	\N	43672	2410708	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2010-01-01	2012-01-01	Total E&P Norge AS	2.800000	\N	43672	2410708	2012-12-06	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	43672	2835212	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-01	2007-01-02	ExxonMobil Exploration & Production Norway AS	17.750000	\N	43672	2835212	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-02	2007-10-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	43672	2835212	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	43672	2835212	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	43672	2835212	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-11-01	2010-01-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	43672	2835212	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2010-01-01	2012-01-01	ExxonMobil Exploration & Production Norway AS	17.750000	\N	43672	2835212	2012-12-06	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-01-01	2012-04-30	ExxonMobil Exploration & Production Norway AS	20.550000	\N	43672	2835212	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-04-30	9999-12-31	ExxonMobil Exploration & Production Norway AS	20.550000	\N	43672	2835212	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2010-01-01	2012-01-01	Centrica Resources (Norge) AS	5.520830	\N	43672	4238233	2012-12-06	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-01-01	2012-04-30	Centrica Resources (Norge) AS	5.520830	\N	43672	4238233	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	11.562500	\N	43672	4238233	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.640000	\N	43672	4511658	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	31.687500	\N	43672	4511658	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	25.047500	\N	43672	4511854	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	6.640000	\N	43672	4524355	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	6.640000	\N	43672	4524355	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2009-11-01	2010-01-01	Statoil Petroleum AS	31.687500	\N	43672	17237817	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2010-01-01	2012-01-01	Statoil Petroleum AS	31.687500	\N	43672	17237817	2012-12-06	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-01-01	2012-04-30	Statoil Petroleum AS	31.687500	\N	43672	17237817	9999-12-31	2013-05-08
STATFJORD ØST	STATFJORD ØST UNIT	BUSINESS ARRANGEMENT AREA	1991-06-26	9999-12-31	2012-04-30	9999-12-31	Statoil Petroleum AS	31.687500	\N	43672	17237817	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1990-12-11	1994-10-05	Amerada Hess Norge AS	1.041670	\N	43679	67	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1994-10-05	1997-07-01	Amerada Hess Norge AS	1.041670	\N	43679	67	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1990-12-11	1994-10-05	Amoco Norway AS	1.041670	\N	43679	89	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1990-12-11	1994-10-05	Norske Conoco A/S	10.000000	\N	43679	221	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1994-10-05	1997-07-01	Norske Conoco A/S	11.041670	\N	43679	221	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1997-07-01	1999-12-11	Norske Conoco A/S	12.083330	\N	43679	221	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1999-12-11	2001-05-10	Norske Conoco A/S	12.083330	\N	43679	221	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-05-10	2001-06-17	Norske Conoco A/S	12.083330	\N	43679	221	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-06-17	2001-12-31	Norske Conoco A/S	12.083330	\N	43679	221	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-12-31	2002-01-01	Norske Conoco A/S	12.083330	\N	43679	221	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2002-01-01	2003-03-22	Norske Conoco A/S	12.083330	\N	43679	221	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1990-12-11	1994-10-05	Enterprise Oil Norwegian AS	1.041670	\N	43679	342	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1994-10-05	1997-07-01	Enterprise Oil Norwegian AS	1.041670	\N	43679	342	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1997-07-01	1999-12-11	Enterprise Oil Norwegian AS	1.041670	\N	43679	342	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1999-12-11	2001-05-10	Enterprise Oil Norwegian AS	1.041670	\N	43679	342	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-05-10	2001-06-17	Enterprise Oil Norwegian AS	1.041670	\N	43679	342	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	1.041670	\N	43679	342	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1990-12-11	1994-10-05	Esso Exploration and Production Norway A/S	10.000000	\N	43679	353	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1994-10-05	1997-07-01	Esso Exploration and Production Norway A/S	10.000000	\N	43679	353	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1997-07-01	1999-12-11	Esso Exploration and Production Norway A/S	10.000000	\N	43679	353	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1999-12-11	2001-05-10	Esso Exploration and Production Norway A/S	10.000000	\N	43679	353	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	10.000000	\N	43679	353	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-06-17	2001-12-31	Esso Exploration and Production Norway A/S	10.000000	\N	43679	353	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-12-31	2002-01-01	Esso Exploration and Production Norway A/S	10.000000	\N	43679	353	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2002-01-01	2003-03-22	Esso Exploration and Production Norway A/S	25.000000	\N	43679	353	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2003-03-22	2004-10-01	Esso Exploration and Production Norway A/S	25.000000	\N	43679	353	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1990-12-11	1994-10-05	Mobil Development Norway AS	15.000000	\N	43679	474	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1994-10-05	1997-07-01	Mobil Development Norway AS	15.000000	\N	43679	474	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1997-07-01	1999-12-11	Mobil Development Norway AS	15.000000	\N	43679	474	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1999-12-11	2001-05-10	Mobil Development Norway AS	15.000000	\N	43679	474	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-05-10	2001-06-17	Mobil Development Norway AS	15.000000	\N	43679	474	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-06-17	2001-12-31	Mobil Development Norway AS	15.000000	\N	43679	474	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-12-31	2002-01-01	Mobil Development Norway AS	15.000000	\N	43679	474	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1990-12-11	1994-10-05	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1994-10-05	1997-07-01	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1997-07-01	1999-12-11	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1999-12-11	2001-05-10	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-05-10	2001-06-17	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-06-17	2001-12-31	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-12-31	2002-01-01	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2002-01-01	2003-03-22	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2003-03-22	2004-10-01	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2004-10-01	2007-01-01	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-01-01	2007-10-01	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-10-01	2009-01-01	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-01-01	2009-11-02	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-11-02	2010-01-01	A/S Norske Shell	10.000000	\N	43679	562	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1990-12-11	1994-10-05	Saga Petroleum ASA	1.875000	\N	43679	716	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1994-10-05	1997-07-01	Saga Petroleum ASA	1.875000	\N	43679	716	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1997-07-01	1999-12-11	Saga Petroleum ASA	1.875000	\N	43679	716	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1990-12-11	1994-10-05	Den norske stats oljeselskap a.s	50.000000	30.000000	43679	749	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1994-10-05	1997-07-01	Den norske stats oljeselskap a.s	50.000000	30.000000	43679	749	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1997-07-01	1999-12-11	Den norske stats oljeselskap a.s	50.000000	30.000000	43679	749	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	51.875000	30.000000	43679	749	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	21.875000	\N	43679	1622484	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-06-17	2001-12-31	Statoil ASA (old)	21.875000	\N	43679	1622484	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-12-31	2002-01-01	Statoil ASA (old)	21.875000	\N	43679	1622484	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2002-01-01	2003-03-22	Statoil ASA (old)	21.875000	\N	43679	1622484	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2003-03-22	2004-10-01	Statoil ASA (old)	21.875000	\N	43679	1622484	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2004-10-01	2007-01-01	Statoil ASA (old)	21.875000	\N	43679	1622484	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	21.875000	\N	43679	1622484	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-05-10	2001-06-17	SDØE	30.000000	\N	43679	1623450	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-06-17	2001-12-31	Petoro AS	30.000000	\N	43679	1626839	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-12-31	2002-01-01	Petoro AS	30.000000	\N	43679	1626839	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2002-01-01	2003-03-22	Petoro AS	30.000000	\N	43679	1626839	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2003-03-22	2004-10-01	Petoro AS	30.000000	\N	43679	1626839	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	43679	1626839	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	43679	1626839	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	43679	1626839	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	43679	1626839	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-11-02	2010-01-01	Petoro AS	30.000000	\N	43679	1626839	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2010-01-01	2012-04-30	Petoro AS	30.000000	\N	43679	1626839	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	43679	1626839	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2001-12-31	2002-01-01	Enterprise Oil Norge AS	1.041670	\N	43679	1853786	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2002-01-01	2003-03-22	Enterprise Oil Norge AS	1.041670	\N	43679	1853786	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2003-03-22	2004-10-01	Enterprise Oil Norge AS	1.041670	\N	43679	1853786	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2004-10-01	2007-01-01	Enterprise Oil Norge AS	1.041670	\N	43679	1853786	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-01-01	2007-10-01	Enterprise Oil Norge AS	1.041670	\N	43679	1853786	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-10-01	2009-01-01	Enterprise Oil Norge AS	1.041670	\N	43679	1853786	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-01-01	2009-11-02	Enterprise Oil Norge AS	1.041670	\N	43679	1853786	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-11-02	2010-01-01	Enterprise Oil Norge AS	1.041670	\N	43679	1853786	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2003-03-22	2004-10-01	Norske ConocoPhillips AS	12.083330	\N	43679	2399056	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2004-10-01	2007-01-01	Norske ConocoPhillips AS	12.083330	\N	43679	2399056	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	12.083330	\N	43679	2410696	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	12.083330	\N	43679	2410696	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	12.083330	\N	43679	2410696	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-11-02	2010-01-01	ConocoPhillips Skandinavia AS	12.083330	\N	43679	2410696	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2010-01-01	2012-04-30	ConocoPhillips Skandinavia AS	12.083330	\N	43679	2410696	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	43679	2835212	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	43679	2835212	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	43679	2835212	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	25.000000	\N	43679	2835212	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-11-02	2010-01-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	43679	2835212	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2010-01-01	2012-04-30	ExxonMobil Exploration & Production Norway AS	25.000000	\N	43679	2835212	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2012-04-30	9999-12-31	ExxonMobil Exploration & Production Norway AS	25.000000	\N	43679	2835212	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2010-01-01	2012-04-30	Centrica Resources (Norge) AS	11.041670	\N	43679	4238233	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	23.125000	\N	43679	4238233	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	21.875000	\N	43679	4511658	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	21.875000	\N	43679	4511854	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2009-11-02	2010-01-01	Statoil Petroleum AS	21.875000	\N	43679	17237817	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2010-01-01	2012-04-30	Statoil Petroleum AS	21.875000	\N	43679	17237817	9999-12-31	2013-05-08
STATFJORD NORD	037	PRODUCTION LICENSE	1990-12-11	9999-12-31	2012-04-30	9999-12-31	Statoil Petroleum AS	21.875000	\N	43679	17237817	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	1981-10-09	1985-01-01	Norsk Hydro Produksjon AS	9.000000	\N	43686	430	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	1985-01-01	1999-12-11	Norsk Hydro Produksjon AS	9.000000	\N	43686	430	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	1999-12-11	2001-05-10	Norsk Hydro Produksjon AS	9.000000	\N	43686	430	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.000000	\N	43686	430	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.000000	\N	43686	430	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2001-06-17	2007-01-01	Norsk Hydro Produksjon AS	9.000000	\N	43686	430	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	1981-10-09	1985-01-01	Saga Petroleum ASA	6.000000	\N	43686	716	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	1985-01-01	1999-12-11	Saga Petroleum ASA	6.000000	\N	43686	716	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	1981-10-09	1985-01-01	Den norske stats oljeselskap a.s	85.000000	\N	43686	749	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	1985-01-01	1999-12-11	Den norske stats oljeselskap a.s	85.000000	73.000000	43686	749	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	91.000000	73.000000	43686	749	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	18.000000	\N	43686	1622484	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	61.000000	\N	43686	1622484	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2001-06-17	2007-01-01	Statoil ASA (old)	61.000000	\N	43686	1622484	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	61.000000	\N	43686	1622484	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2001-05-10	2001-06-01	SDØE	73.000000	\N	43686	1623450	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2001-06-01	2001-06-17	SDØE	30.000000	\N	43686	1623450	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2001-06-17	2007-01-01	Petoro AS	30.000000	\N	43686	1626839	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	43686	1626839	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	43686	1626839	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	43686	1626839	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	43686	1626839	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	43686	4511658	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	43686	4511658	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	43686	4511854	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	43686	4524355	9999-12-31	2013-05-08
GULLFAKS	050	PRODUCTION LICENSE	1981-10-09	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	43686	17237817	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	1996-03-29	1999-12-11	Norsk Hydro Produksjon AS	9.000000	\N	43699	430	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	1999-12-11	2001-05-10	Norsk Hydro Produksjon AS	9.000000	\N	43699	430	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.000000	\N	43699	430	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.000000	\N	43699	430	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2001-06-17	2007-01-01	Norsk Hydro Produksjon AS	9.000000	\N	43699	430	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	1996-03-29	1999-12-11	Saga Petroleum ASA	6.000000	\N	43699	716	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	1996-03-29	1999-12-11	Den norske stats oljeselskap a.s	85.000000	73.000000	43699	749	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	91.000000	73.000000	43699	749	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	18.000000	\N	43699	1622484	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	61.000000	\N	43699	1622484	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2001-06-17	2007-01-01	Statoil ASA (old)	61.000000	\N	43699	1622484	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	61.000000	\N	43699	1622484	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2001-05-10	2001-06-01	SDØE	73.000000	\N	43699	1623450	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2001-06-01	2001-06-17	SDØE	30.000000	\N	43699	1623450	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2001-06-17	2007-01-01	Petoro AS	30.000000	\N	43699	1626839	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	43699	1626839	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	43699	1626839	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	43699	1626839	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	43699	1626839	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	43699	4511658	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	43699	4511658	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	43699	4511854	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	43699	4524355	9999-12-31	2013-05-08
GULLFAKS SØR	050	PRODUCTION LICENSE	1996-03-29	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	43699	17237817	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-05-27	1988-07-08	Amerada Hess Norge AS	1.455900	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-07-08	1989-04-14	Amerada Hess Norge AS	1.455900	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1989-04-14	1990-01-01	Amerada Hess Norge AS	1.455900	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1990-01-01	1995-05-09	Amerada Hess Norge AS	1.455900	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1995-05-09	1998-08-01	Amerada Hess Norge AS	1.455900	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-08-01	1998-12-17	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-12-17	1999-12-11	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1999-12-11	2000-07-24	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2000-07-24	2001-01-11	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-01-11	2001-05-10	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-05-10	2001-06-01	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-01	2001-06-17	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-17	2001-12-31	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-12-31	2003-05-06	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2003-05-06	2004-10-01	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2004-10-01	2005-01-01	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2005-01-01	2006-05-01	Amerada Hess Norge AS	1.180600	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-05-01	2006-06-26	Amerada Hess Norge AS	1.038400	\N	43718	67	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-05-27	1988-07-08	Amoco Norway Oil Company	2.911800	\N	43718	78	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-05-27	1988-07-08	Deminex Norge AS	7.123000	\N	43718	254	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-07-08	1989-04-14	Deminex Norge AS	10.034800	\N	43718	254	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1989-04-14	1990-01-01	Deminex Norge AS	10.034800	\N	43718	254	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1990-01-01	1995-05-09	Deminex Norge AS	10.034800	\N	43718	254	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1995-05-09	1998-08-01	Deminex Norge AS	10.034800	\N	43718	254	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-08-01	1998-12-17	Deminex Norge AS	8.878700	\N	43718	254	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-05-27	1988-07-08	DNO Olje A/S	0.688800	\N	43718	276	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-07-08	1989-04-14	DNO Olje A/S	0.688800	\N	43718	276	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1989-04-14	1990-01-01	DNO Olje A/S	0.688800	\N	43718	276	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1990-01-01	1995-05-09	DNO Olje A/S	0.688800	\N	43718	276	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-05-27	1988-07-08	Elf Petroleum Norge AS	5.510600	\N	43718	298	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-07-08	1989-04-14	Elf Petroleum Norge AS	5.510600	\N	43718	298	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1989-04-14	1990-01-01	Elf Petroleum Norge AS	5.510600	\N	43718	298	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1990-01-01	1995-05-09	Elf Petroleum Norge AS	5.510600	\N	43718	298	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1995-05-09	1998-08-01	Elf Petroleum Norge AS	5.510600	\N	43718	298	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-08-01	1998-12-17	Elf Petroleum Norge AS	5.951000	\N	43718	298	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Cofranord A/S	0.304000	\N	43785	199	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-12-17	1999-12-11	Elf Petroleum Norge AS	5.951000	\N	43718	298	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1999-12-11	2000-07-24	Elf Petroleum Norge AS	5.951000	\N	43718	298	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1989-04-14	1990-01-01	Enterprise Oil Norwegian AS	1.455900	\N	43718	342	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1990-01-01	1995-05-09	Enterprise Oil Norwegian AS	1.455900	\N	43718	342	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1995-05-09	1998-08-01	Enterprise Oil Norwegian AS	1.455900	\N	43718	342	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-08-01	1998-12-17	Enterprise Oil Norwegian AS	1.180600	\N	43718	342	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-12-17	1999-12-11	Enterprise Oil Norwegian AS	1.180600	\N	43718	342	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1999-12-11	2000-07-24	Enterprise Oil Norwegian AS	1.180600	\N	43718	342	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2000-07-24	2001-01-11	Enterprise Oil Norwegian AS	1.180600	\N	43718	342	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	1.180600	\N	43718	342	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	1.180600	\N	43718	342	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-01	2001-06-17	Enterprise Oil Norwegian AS	1.180600	\N	43718	342	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	1.180600	\N	43718	342	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-05-27	1988-07-08	Esso Exploration and Production Norway A/S	10.332300	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-07-08	1989-04-14	Esso Exploration and Production Norway A/S	10.332300	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1989-04-14	1990-01-01	Esso Exploration and Production Norway A/S	10.332300	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1990-01-01	1995-05-09	Esso Exploration and Production Norway A/S	10.332300	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1995-05-09	1998-08-01	Esso Exploration and Production Norway A/S	10.332300	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-08-01	1998-12-17	Esso Exploration and Production Norway A/S	11.158100	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-12-17	1999-12-11	Esso Exploration and Production Norway A/S	11.158100	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1999-12-11	2000-07-24	Esso Exploration and Production Norway A/S	11.158100	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2000-07-24	2001-01-11	Esso Exploration and Production Norway A/S	11.158100	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-01-11	2001-05-10	Esso Exploration and Production Norway A/S	11.158100	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	11.158100	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-01	2001-06-17	Esso Exploration and Production Norway A/S	11.158100	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-17	2001-12-31	Esso Exploration and Production Norway A/S	11.158100	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-12-31	2003-05-06	Esso Exploration and Production Norway A/S	11.158100	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	11.158100	\N	43718	353	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-05-27	1988-07-08	Norsk Hydro Produksjon AS	8.265800	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-07-08	1989-04-14	Norsk Hydro Produksjon AS	8.265800	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1989-04-14	1990-01-01	Norsk Hydro Produksjon AS	8.265800	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1990-01-01	1995-05-09	Norsk Hydro Produksjon AS	8.265800	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1995-05-09	1998-08-01	Norsk Hydro Produksjon AS	8.265800	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-08-01	1998-12-17	Norsk Hydro Produksjon AS	8.926500	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-12-17	1999-12-11	Norsk Hydro Produksjon AS	8.926500	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	8.926500	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	8.926500	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	17.654300	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	17.654300	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	17.654300	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-17	2001-12-31	Norsk Hydro Produksjon AS	17.654300	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-12-31	2003-05-06	Norsk Hydro Produksjon AS	17.654300	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	17.654300	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2004-10-01	2005-01-01	Norsk Hydro Produksjon AS	17.654300	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2005-01-01	2006-05-01	Norsk Hydro Produksjon AS	17.654300	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-05-01	2006-06-26	Norsk Hydro Produksjon AS	17.767200	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-06-26	2007-01-01	Norsk Hydro Produksjon AS	17.767200	\N	43718	430	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1990-01-01	1995-05-09	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1995-05-09	1998-08-01	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-08-01	1998-12-17	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Coparex Norge A/S	0.399000	\N	43785	243	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-12-17	1999-12-11	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1999-12-11	2000-07-24	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2000-07-24	2001-01-11	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-01-11	2001-05-10	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-05-10	2001-06-01	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-01	2001-06-17	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-17	2001-12-31	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-12-31	2003-05-06	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2003-05-06	2004-10-01	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2004-10-01	2005-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2005-01-01	2006-05-01	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-05-01	2006-06-26	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-06-26	2007-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-01-01	2007-10-01	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-01-01	2009-11-01	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-11-01	2011-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2011-01-01	2012-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	2012-12-06	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2012-01-01	9999-12-31	Idemitsu Petroleum Norge AS	9.600000	\N	43718	441	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-05-27	1988-07-08	Saga Petroleum ASA	11.255900	\N	43718	716	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-07-08	1989-04-14	Saga Petroleum ASA	11.255900	\N	43718	716	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1989-04-14	1990-01-01	Saga Petroleum ASA	11.255900	\N	43718	716	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1990-01-01	1995-05-09	Saga Petroleum ASA	11.255900	\N	43718	716	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1995-05-09	1998-08-01	Saga Petroleum ASA	11.944700	\N	43718	716	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-08-01	1998-12-17	Saga Petroleum ASA	11.724500	\N	43718	716	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-12-17	1999-12-11	Saga Petroleum ASA	11.724500	\N	43718	716	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1999-12-11	2000-07-24	Saga Petroleum ASA	8.727800	\N	43718	716	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2000-07-24	2001-01-11	Saga Petroleum ASA	8.727800	\N	43718	716	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-05-27	1988-07-08	Den norske stats oljeselskap a.s	51.000000	31.400000	43718	749	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-07-08	1989-04-14	Den norske stats oljeselskap a.s	51.000000	31.400000	43718	749	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1989-04-14	1990-01-01	Den norske stats oljeselskap a.s	51.000000	31.400000	43718	749	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1990-01-01	1995-05-09	Den norske stats oljeselskap a.s	41.400000	\N	43718	749	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1995-05-09	1998-08-01	Den norske stats oljeselskap a.s	41.400000	\N	43718	749	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-08-01	1998-12-17	Den norske stats oljeselskap a.s	41.400000	\N	43718	749	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-12-17	1999-12-11	Den norske stats oljeselskap a.s	41.400000	\N	43718	749	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	44.396700	\N	43718	749	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	44.396700	\N	43718	749	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	44.396700	\N	43718	749	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-05-27	1988-07-08	Texas Eastern Norwegian Inc.	1.455900	\N	43718	837	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1988-07-08	1989-04-14	Texas Eastern Norwegian Inc.	1.455900	\N	43718	837	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1998-12-17	1999-12-11	RWE Dea Norge AS	8.878700	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	1999-12-11	2000-07-24	RWE Dea Norge AS	8.878700	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2000-07-24	2001-01-11	RWE Dea Norge AS	8.878700	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-01-11	2001-05-10	RWE Dea Norge AS	8.878700	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-05-10	2001-06-01	RWE Dea Norge AS	8.878700	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-01	2001-06-17	RWE Dea Norge AS	8.878700	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-17	2001-12-31	RWE Dea Norge AS	8.878700	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-12-31	2003-05-06	RWE Dea Norge AS	8.878700	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2003-05-06	2004-10-01	RWE Dea Norge AS	8.878700	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2004-10-01	2005-01-01	RWE Dea Norge AS	8.878700	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2005-01-01	2006-05-01	RWE Dea Norge AS	8.878700	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-05-01	2006-06-26	RWE Dea Norge AS	8.281200	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-06-26	2007-01-01	RWE Dea Norge AS	8.281200	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-01-01	2007-10-01	RWE Dea Norge AS	8.281200	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-10-01	2009-01-01	RWE Dea Norge AS	8.281200	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-01-01	2009-11-01	RWE Dea Norge AS	8.281200	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-11-01	2011-01-01	RWE Dea Norge AS	8.281200	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2011-01-01	2012-01-01	RWE Dea Norge AS	8.281200	\N	43718	97557	2012-12-06	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2012-01-01	9999-12-31	RWE Dea Norge AS	8.281200	\N	43718	97557	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	5.951000	\N	43718	1340884	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	5.951000	\N	43718	1340884	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	5.951000	\N	43718	1340884	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	5.951000	\N	43718	1340884	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-17	2001-12-31	TotalFinaElf Exploration Norge AS	5.951000	\N	43718	1340884	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-12-31	2003-05-06	TotalFinaElf Exploration Norge AS	5.951000	\N	43718	1340884	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	12.996700	\N	43718	1622484	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	14.396700	\N	43718	1622484	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-17	2001-12-31	Statoil ASA (old)	14.396700	\N	43718	1622484	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-12-31	2003-05-06	Statoil ASA (old)	14.396700	\N	43718	1622484	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2003-05-06	2004-10-01	Statoil ASA (old)	14.396700	\N	43718	1622484	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2004-10-01	2005-01-01	Statoil ASA (old)	14.396700	\N	43718	1622484	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2005-01-01	2006-05-01	Statoil ASA (old)	15.577300	\N	43718	1622484	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-05-01	2006-06-26	Statoil ASA (old)	15.549700	\N	43718	1622484	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-06-26	2007-01-01	Statoil ASA (old)	15.549700	\N	43718	1622484	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	15.549700	\N	43718	1622484	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-05-10	2001-06-01	SDØE	31.400000	\N	43718	1623450	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-01	2001-06-17	SDØE	30.000000	\N	43718	1623450	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-06-17	2001-12-31	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-12-31	2003-05-06	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2003-05-06	2004-10-01	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2004-10-01	2005-01-01	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2005-01-01	2006-05-01	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-05-01	2006-06-26	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-06-26	2007-01-01	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-01-01	2009-11-01	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-11-01	2011-01-01	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2011-01-01	2012-01-01	Petoro AS	30.000000	\N	43718	1626839	2012-12-06	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2012-01-01	9999-12-31	Petoro AS	30.000000	\N	43718	1626839	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2001-12-31	2003-05-06	Enterprise Oil Norge AS	1.180600	\N	43718	1853786	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2003-05-06	2004-10-01	Enterprise Oil Norge AS	1.180600	\N	43718	1853786	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2004-10-01	2005-01-01	Enterprise Oil Norge AS	1.180600	\N	43718	1853786	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2003-05-06	2004-10-01	Total E&P Norge AS	5.951000	\N	43718	2410708	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2004-10-01	2005-01-01	Total E&P Norge AS	5.951000	\N	43718	2410708	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2005-01-01	2006-05-01	Total E&P Norge AS	5.951000	\N	43718	2410708	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-05-01	2006-06-26	Total E&P Norge AS	6.178600	\N	43718	2410708	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-06-26	2007-01-01	Total E&P Norge AS	6.178600	\N	43718	2410708	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	6.178600	\N	43718	2410708	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	6.178600	\N	43718	2410708	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	6.178600	\N	43718	2410708	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-11-01	2011-01-01	Total E&P Norge AS	6.178600	\N	43718	2410708	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2011-01-01	2012-01-01	Total E&P Norge AS	6.178600	\N	43718	2410708	2012-12-06	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	11.158100	\N	43718	2835212	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2005-01-01	2006-05-01	ExxonMobil Exploration & Production Norway AS	11.158100	\N	43718	2835212	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-05-01	2006-06-26	ExxonMobil Exploration & Production Norway AS	11.584900	\N	43718	2835212	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-06-26	2007-01-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	43718	2835212	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	43718	2835212	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	43718	2835212	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	43718	2835212	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-11-01	2011-01-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	43718	2835212	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2011-01-01	2012-01-01	ExxonMobil Exploration & Production Norway AS	11.584900	\N	43718	2835212	2012-12-06	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2012-01-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	17.763500	\N	43718	2835212	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2006-06-26	2007-01-01	Hess Norge AS	1.038400	\N	43718	4038735	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-01-01	2007-10-01	Hess Norge AS	1.038400	\N	43718	4038735	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-10-01	2009-01-01	Hess Norge AS	1.038400	\N	43718	4038735	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-01-01	2009-11-01	Hess Norge AS	1.038400	\N	43718	4038735	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-11-01	2011-01-01	Hess Norge AS	1.038400	\N	43718	4038735	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	17.767200	\N	43718	4511658	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	33.316900	\N	43718	4511658	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	15.549700	\N	43718	4511854	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	17.767200	\N	43718	4524355	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2009-11-01	2011-01-01	Statoil Petroleum AS	33.316900	\N	43718	17237817	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2011-01-01	2012-01-01	Statoil Petroleum AS	33.316900	\N	43718	17237817	2012-12-06	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2012-01-01	9999-12-31	Statoil Petroleum AS	33.316900	\N	43718	17237817	9999-12-31	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2011-01-01	2012-01-01	Core Energy AS	1.038400	\N	43718	20460080	2012-12-06	2013-05-08
SNORRE	SNORRE UNIT	BUSINESS ARRANGEMENT AREA	1988-05-27	9999-12-31	2012-01-01	9999-12-31	Core Energy AS	1.038400	\N	43718	20460080	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1991-05-14	1995-05-09	Deminex Norge AS	2.800000	\N	43725	254	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1995-05-09	1998-12-17	Deminex Norge AS	2.800000	\N	43725	254	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1991-05-14	1995-05-09	DNO Olje A/S	0.700000	\N	43725	276	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1991-05-14	1995-05-09	Elf Petroleum Norge AS	5.600000	\N	43725	298	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1995-05-09	1998-12-17	Elf Petroleum Norge AS	5.600000	\N	43725	298	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1998-12-17	1999-12-11	Elf Petroleum Norge AS	5.600000	\N	43725	298	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1999-12-11	2000-07-24	Elf Petroleum Norge AS	5.600000	\N	43725	298	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1991-05-14	1995-05-09	Esso Exploration and Production Norway A/S	10.500000	\N	43725	353	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1995-05-09	1998-12-17	Esso Exploration and Production Norway A/S	10.500000	\N	43725	353	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1998-12-17	1999-12-11	Esso Exploration and Production Norway A/S	10.500000	\N	43725	353	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1999-12-11	2000-07-24	Esso Exploration and Production Norway A/S	10.500000	\N	43725	353	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2000-07-24	2001-01-11	Esso Exploration and Production Norway A/S	10.500000	\N	43725	353	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-01-11	2001-05-10	Esso Exploration and Production Norway A/S	10.500000	\N	43725	353	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	10.500000	\N	43725	353	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-01	2001-06-17	Esso Exploration and Production Norway A/S	10.500000	\N	43725	353	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-17	2003-05-06	Esso Exploration and Production Norway A/S	10.500000	\N	43725	353	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	10.500000	\N	43725	353	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1991-05-14	1995-05-09	Norsk Hydro Produksjon AS	8.400000	\N	43725	430	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1995-05-09	1998-12-17	Norsk Hydro Produksjon AS	8.400000	\N	43725	430	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1998-12-17	1999-12-11	Norsk Hydro Produksjon AS	8.400000	\N	43725	430	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	8.400000	\N	43725	430	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	8.400000	\N	43725	430	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	13.280000	\N	43725	430	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	13.280000	\N	43725	430	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	13.280000	\N	43725	430	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-17	2003-05-06	Norsk Hydro Produksjon AS	13.280000	\N	43725	430	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	13.280000	\N	43725	430	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	13.280000	\N	43725	430	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1991-05-14	1995-05-09	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1995-05-09	1998-12-17	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1998-12-17	1999-12-11	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1999-12-11	2000-07-24	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2000-07-24	2001-01-11	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-01-11	2001-05-10	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-05-10	2001-06-01	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-01	2001-06-17	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-17	2003-05-06	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2003-05-06	2004-10-01	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2004-10-01	2007-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-01-01	2007-10-01	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-01-01	2009-11-02	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-11-02	2012-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	2012-12-05	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2012-01-01	9999-12-31	Idemitsu Petroleum Norge AS	9.600000	\N	43725	441	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1991-05-14	1995-05-09	Saga Petroleum ASA	7.000000	\N	43725	716	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1995-05-09	1998-12-17	Saga Petroleum ASA	7.700000	\N	43725	716	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1998-12-17	1999-12-11	Saga Petroleum ASA	7.700000	\N	43725	716	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1999-12-11	2000-07-24	Saga Petroleum ASA	4.880000	\N	43725	716	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2000-07-24	2001-01-11	Saga Petroleum ASA	4.880000	\N	43725	716	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1991-05-14	1995-05-09	Den norske stats oljeselskap a.s	55.400000	51.000000	43725	749	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1995-05-09	1998-12-17	Den norske stats oljeselskap a.s	55.400000	51.000000	43725	749	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1998-12-17	1999-12-11	Den norske stats oljeselskap a.s	55.400000	51.000000	43725	749	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	58.220000	51.000000	43725	749	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	58.220000	51.000000	43725	749	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	58.220000	51.000000	43725	749	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1998-12-17	1999-12-11	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	1999-12-11	2000-07-24	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2000-07-24	2001-01-11	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-01-11	2001-05-10	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-05-10	2001-06-01	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-01	2001-06-17	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-17	2003-05-06	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2003-05-06	2004-10-01	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2004-10-01	2007-01-01	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-01-01	2007-10-01	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-10-01	2009-01-01	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-01-01	2009-11-02	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-11-02	2012-01-01	RWE Dea Norge AS	2.800000	\N	43725	97557	2012-12-05	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2012-01-01	9999-12-31	RWE Dea Norge AS	2.800000	\N	43725	97557	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	5.600000	\N	43725	1340884	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	5.600000	\N	43725	1340884	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	5.600000	\N	43725	1340884	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	5.600000	\N	43725	1340884	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-17	2003-05-06	TotalFinaElf Exploration Norge AS	5.600000	\N	43725	1340884	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	7.220000	\N	43725	1622484	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	28.220000	\N	43725	1622484	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-17	2003-05-06	Statoil ASA (old)	28.220000	\N	43725	1622484	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2003-05-06	2004-10-01	Statoil ASA (old)	28.220000	\N	43725	1622484	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2004-10-01	2007-01-01	Statoil ASA (old)	28.220000	\N	43725	1622484	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	28.220000	\N	43725	1622484	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-05-10	2001-06-01	SDØE	51.000000	\N	43725	1623450	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-01	2001-06-17	SDØE	30.000000	\N	43725	1623450	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2001-06-17	2003-05-06	Petoro AS	30.000000	\N	43725	1626839	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2003-05-06	2004-10-01	Petoro AS	30.000000	\N	43725	1626839	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	43725	1626839	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	43725	1626839	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	43725	1626839	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	43725	1626839	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-11-02	2012-01-01	Petoro AS	30.000000	\N	43725	1626839	2012-12-05	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2012-01-01	9999-12-31	Petoro AS	30.000000	\N	43725	1626839	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2003-05-06	2004-10-01	Total E&P Norge AS	5.600000	\N	43725	2410708	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2004-10-01	2007-01-01	Total E&P Norge AS	5.600000	\N	43725	2410708	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	5.600000	\N	43725	2410708	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	5.600000	\N	43725	2410708	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	5.600000	\N	43725	2410708	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-11-02	2012-01-01	Total E&P Norge AS	5.600000	\N	43725	2410708	2012-12-05	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	43725	2835212	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	43725	2835212	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	43725	2835212	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Coparex Norge A/S	0.399000	\N	43785	243	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	10.500000	\N	43725	2835212	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-11-02	2012-01-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	43725	2835212	2012-12-05	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2012-01-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	16.100000	\N	43725	2835212	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	13.280000	\N	43725	4511658	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	41.500000	\N	43725	4511658	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	28.220000	\N	43725	4511854	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	13.280000	\N	43725	4524355	9999-12-31	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2009-11-02	2012-01-01	Statoil Petroleum AS	41.500000	\N	43725	17237817	2012-12-05	2013-05-08
TORDIS	089	PRODUCTION LICENSE	1991-05-14	9999-12-31	2012-01-01	9999-12-31	Statoil Petroleum AS	41.500000	\N	43725	17237817	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1994-12-16	1995-05-09	Deminex Norge AS	2.800000	\N	43732	254	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1995-05-09	1998-12-17	Deminex Norge AS	2.800000	\N	43732	254	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1994-12-16	1995-05-09	DNO Olje A/S	0.700000	\N	43732	276	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1994-12-16	1995-05-09	Elf Petroleum Norge AS	5.600000	\N	43732	298	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1995-05-09	1998-12-17	Elf Petroleum Norge AS	5.600000	\N	43732	298	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1998-12-17	1999-12-11	Elf Petroleum Norge AS	5.600000	\N	43732	298	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1999-12-11	2000-07-24	Elf Petroleum Norge AS	5.600000	\N	43732	298	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1994-12-16	1995-05-09	Esso Exploration and Production Norway A/S	10.500000	\N	43732	353	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1995-05-09	1998-12-17	Esso Exploration and Production Norway A/S	10.500000	\N	43732	353	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1998-12-17	1999-12-11	Esso Exploration and Production Norway A/S	10.500000	\N	43732	353	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1999-12-11	2000-07-24	Esso Exploration and Production Norway A/S	10.500000	\N	43732	353	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2000-07-24	2001-01-11	Esso Exploration and Production Norway A/S	10.500000	\N	43732	353	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-01-11	2001-05-10	Esso Exploration and Production Norway A/S	10.500000	\N	43732	353	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	10.500000	\N	43732	353	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-01	2001-06-17	Esso Exploration and Production Norway A/S	10.500000	\N	43732	353	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-17	2003-05-06	Esso Exploration and Production Norway A/S	10.500000	\N	43732	353	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	10.500000	\N	43732	353	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1994-12-16	1995-05-09	Norsk Hydro Produksjon AS	8.400000	\N	43732	430	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1995-05-09	1998-12-17	Norsk Hydro Produksjon AS	8.400000	\N	43732	430	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1998-12-17	1999-12-11	Norsk Hydro Produksjon AS	8.400000	\N	43732	430	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	8.400000	\N	43732	430	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	8.400000	\N	43732	430	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	13.280000	\N	43732	430	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	13.280000	\N	43732	430	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	13.280000	\N	43732	430	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-17	2003-05-06	Norsk Hydro Produksjon AS	13.280000	\N	43732	430	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	13.280000	\N	43732	430	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	13.280000	\N	43732	430	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1994-12-16	1995-05-09	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1995-05-09	1998-12-17	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1998-12-17	1999-12-11	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1999-12-11	2000-07-24	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2000-07-24	2001-01-11	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-01-11	2001-05-10	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-05-10	2001-06-01	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-01	2001-06-17	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-17	2003-05-06	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2003-05-06	2004-10-01	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2004-10-01	2007-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-01-01	2007-10-01	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-01-01	2009-11-02	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-11-02	2012-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	2012-12-05	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2012-01-01	9999-12-31	Idemitsu Petroleum Norge AS	9.600000	\N	43732	441	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1994-12-16	1995-05-09	Saga Petroleum ASA	7.000000	\N	43732	716	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1995-05-09	1998-12-17	Saga Petroleum ASA	7.700000	\N	43732	716	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1998-12-17	1999-12-11	Saga Petroleum ASA	7.700000	\N	43732	716	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1999-12-11	2000-07-24	Saga Petroleum ASA	4.880000	\N	43732	716	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2000-07-24	2001-01-11	Saga Petroleum ASA	4.880000	\N	43732	716	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1994-12-16	1995-05-09	Den norske stats oljeselskap a.s	55.400000	51.000000	43732	749	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1995-05-09	1998-12-17	Den norske stats oljeselskap a.s	55.400000	51.000000	43732	749	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1998-12-17	1999-12-11	Den norske stats oljeselskap a.s	55.400000	51.000000	43732	749	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	58.220000	51.000000	43732	749	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	58.220000	51.000000	43732	749	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	58.220000	51.000000	43732	749	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1998-12-17	1999-12-11	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	1999-12-11	2000-07-24	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2000-07-24	2001-01-11	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-01-11	2001-05-10	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-05-10	2001-06-01	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-01	2001-06-17	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-17	2003-05-06	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2003-05-06	2004-10-01	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2004-10-01	2007-01-01	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-01-01	2007-10-01	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-10-01	2009-01-01	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-01-01	2009-11-02	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-11-02	2012-01-01	RWE Dea Norge AS	2.800000	\N	43732	97557	2012-12-05	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2012-01-01	9999-12-31	RWE Dea Norge AS	2.800000	\N	43732	97557	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	5.600000	\N	43732	1340884	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	5.600000	\N	43732	1340884	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	5.600000	\N	43732	1340884	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	5.600000	\N	43732	1340884	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-17	2003-05-06	TotalFinaElf Exploration Norge AS	5.600000	\N	43732	1340884	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	7.220000	\N	43732	1622484	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	28.220000	\N	43732	1622484	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-17	2003-05-06	Statoil ASA (old)	28.220000	\N	43732	1622484	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2003-05-06	2004-10-01	Statoil ASA (old)	28.220000	\N	43732	1622484	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2004-10-01	2007-01-01	Statoil ASA (old)	28.220000	\N	43732	1622484	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	28.220000	\N	43732	1622484	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-05-10	2001-06-01	SDØE	51.000000	\N	43732	1623450	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-01	2001-06-17	SDØE	30.000000	\N	43732	1623450	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2001-06-17	2003-05-06	Petoro AS	30.000000	\N	43732	1626839	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2003-05-06	2004-10-01	Petoro AS	30.000000	\N	43732	1626839	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	43732	1626839	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	43732	1626839	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	43732	1626839	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	43732	1626839	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-11-02	2012-01-01	Petoro AS	30.000000	\N	43732	1626839	2012-12-05	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2012-01-01	9999-12-31	Petoro AS	30.000000	\N	43732	1626839	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2003-05-06	2004-10-01	Total E&P Norge AS	5.600000	\N	43732	2410708	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2004-10-01	2007-01-01	Total E&P Norge AS	5.600000	\N	43732	2410708	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	5.600000	\N	43732	2410708	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	5.600000	\N	43732	2410708	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	5.600000	\N	43732	2410708	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-11-02	2012-01-01	Total E&P Norge AS	5.600000	\N	43732	2410708	2012-12-05	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	43732	2835212	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	43732	2835212	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	43732	2835212	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	10.500000	\N	43732	2835212	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-11-02	2012-01-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	43732	2835212	2012-12-05	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2012-01-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	16.100000	\N	43732	2835212	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	13.280000	\N	43732	4511658	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	41.500000	\N	43732	4511658	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	28.220000	\N	43732	4511854	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	13.280000	\N	43732	4524355	9999-12-31	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2009-11-02	2012-01-01	Statoil Petroleum AS	41.500000	\N	43732	17237817	2012-12-05	2013-05-08
VIGDIS	089	PRODUCTION LICENSE	1994-12-16	9999-12-31	2012-01-01	9999-12-31	Statoil Petroleum AS	41.500000	\N	43732	17237817	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1996-03-29	1996-07-01	Norske Conoco A/S	9.100000	\N	43745	221	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1996-07-01	1997-01-01	Norske Conoco A/S	9.100000	\N	43745	221	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1997-01-01	2000-07-24	Norske Conoco A/S	9.100000	\N	43745	221	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2000-07-24	2001-01-11	Norske Conoco A/S	9.100000	\N	43745	221	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-01-11	2001-05-10	Norske Conoco A/S	9.100000	\N	43745	221	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-05-10	2001-06-01	Norske Conoco A/S	9.100000	\N	43745	221	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-06-01	2001-06-17	Norske Conoco A/S	9.100000	\N	43745	221	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-06-17	2003-03-22	Norske Conoco A/S	9.100000	\N	43745	221	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1996-03-29	1996-07-01	Elf Petroleum Norge AS	9.100000	\N	43745	298	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1996-07-01	1997-01-01	Elf Petroleum Norge AS	9.100000	\N	43745	298	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1997-01-01	2000-07-24	Elf Petroleum Norge AS	7.700000	\N	43745	298	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1996-03-29	1996-07-01	Norsk Hydro Produksjon AS	12.600000	\N	43745	430	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1996-07-01	1997-01-01	Norsk Hydro Produksjon AS	14.700000	\N	43745	430	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1997-01-01	2000-07-24	Norsk Hydro Produksjon AS	16.100000	\N	43745	430	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	16.100000	\N	43745	430	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	20.300000	\N	43745	430	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	20.300000	\N	43745	430	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	20.300000	\N	43745	430	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-06-17	2003-03-22	Norsk Hydro Produksjon AS	20.300000	\N	43745	430	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	20.300000	\N	43745	430	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	20.300000	\N	43745	430	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1996-03-29	1996-07-01	Saga Petroleum ASA	4.200000	\N	43745	716	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1996-07-01	1997-01-01	Saga Petroleum ASA	4.200000	\N	43745	716	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1997-01-01	2000-07-24	Saga Petroleum ASA	4.200000	\N	43745	716	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2000-07-24	2001-01-11	Saga Petroleum ASA	4.200000	\N	43745	716	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1996-03-29	1996-07-01	Den norske stats oljeselskap a.s	65.000000	49.600000	43745	749	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1996-07-01	1997-01-01	Den norske stats oljeselskap a.s	62.900000	49.600000	43745	749	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	1997-01-01	2000-07-24	Den norske stats oljeselskap a.s	62.900000	49.600000	43745	749	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	62.900000	49.600000	43745	749	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	62.900000	49.600000	43745	749	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	7.700000	\N	43745	1340884	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	7.700000	\N	43745	1340884	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	7.700000	\N	43745	1340884	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	7.700000	\N	43745	1340884	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-06-17	2003-03-22	TotalFinaElf Exploration Norge AS	7.700000	\N	43745	1340884	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	7.700000	\N	43745	1340884	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	13.300000	\N	43745	1622484	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	32.900000	\N	43745	1622484	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-06-17	2003-03-22	Statoil ASA (old)	32.900000	\N	43745	1622484	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2003-03-22	2003-05-06	Statoil ASA (old)	32.900000	\N	43745	1622484	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2003-05-06	2007-01-01	Statoil ASA (old)	32.900000	\N	43745	1622484	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-01-01	2007-01-02	Statoil ASA (old)	32.900000	\N	43745	1622484	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-01-02	2007-10-01	Statoil ASA (old)	32.900000	\N	43745	1622484	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-05-10	2001-06-01	SDØE	49.600000	\N	43745	1623450	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-06-01	2001-06-17	SDØE	30.000000	\N	43745	1623450	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2001-06-17	2003-03-22	Petoro AS	30.000000	\N	43745	1626839	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2003-03-22	2003-05-06	Petoro AS	30.000000	\N	43745	1626839	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2003-05-06	2007-01-01	Petoro AS	30.000000	\N	43745	1626839	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-01-01	2007-01-02	Petoro AS	30.000000	\N	43745	1626839	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-01-02	2007-10-01	Petoro AS	30.000000	\N	43745	1626839	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	43745	1626839	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2009-01-01	2009-11-01	Petoro AS	30.000000	\N	43745	1626839	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2009-11-01	9999-12-31	Petoro AS	30.000000	\N	43745	1626839	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2003-03-22	2003-05-06	Norske ConocoPhillips AS	9.100000	\N	43745	2399056	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2003-05-06	2007-01-01	Norske ConocoPhillips AS	9.100000	\N	43745	2399056	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-01-01	2007-01-02	Norske ConocoPhillips AS	9.100000	\N	43745	2399056	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	9.100000	\N	43745	2410696	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	9.100000	\N	43745	2410696	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	9.100000	\N	43745	2410696	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	9.100000	\N	43745	2410696	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2003-05-06	2007-01-01	Total E&P Norge AS	7.700000	\N	43745	2410708	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-01-01	2007-01-02	Total E&P Norge AS	7.700000	\N	43745	2410708	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-01-02	2007-10-01	Total E&P Norge AS	7.700000	\N	43745	2410708	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	7.700000	\N	43745	2410708	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	7.700000	\N	43745	2410708	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2009-11-01	9999-12-31	Total E&P Norge AS	7.700000	\N	43745	2410708	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	20.300000	\N	43745	4511658	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	53.200000	\N	43745	4511658	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	32.900000	\N	43745	4511854	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	20.300000	\N	43745	4524355	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	20.300000	\N	43745	4524355	9999-12-31	2013-05-08
VISUND	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	1996-03-29	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	53.200000	\N	43745	17237817	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-03-19	2003-03-22	Norske Conoco A/S	15.000000	\N	43751	221	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	1995-06-12	1996-01-01	Norsk Hydro Produksjon AS	30.000000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	1996-01-01	2001-01-23	Norsk Hydro Produksjon AS	22.500000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-01-23	2001-05-10	Norsk Hydro Produksjon AS	22.500000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-05-10	2001-06-06	Norsk Hydro Produksjon AS	22.500000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-06-06	2001-06-17	Norsk Hydro Produksjon AS	22.500000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	22.500000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-01-01	2002-03-19	Norsk Hydro Produksjon AS	20.000000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-03-19	2003-03-22	Norsk Hydro Produksjon AS	20.000000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-03-22	2003-12-01	Norsk Hydro Produksjon AS	20.000000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-12-01	2004-07-05	Norsk Hydro Produksjon AS	20.000000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2004-07-05	2005-01-01	Norsk Hydro Produksjon AS	20.000000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-01	2005-01-10	Norsk Hydro Produksjon AS	20.000000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-10	2007-01-01	Norsk Hydro Produksjon AS	20.000000	\N	43751	430	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	1995-06-12	1996-01-01	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	1996-01-01	2001-01-23	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-01-23	2001-05-10	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-05-10	2001-06-06	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-06-06	2001-06-17	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-06-17	2002-01-01	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-01-01	2002-03-19	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-03-19	2003-03-22	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-03-22	2003-12-01	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-12-01	2004-07-05	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2004-07-05	2005-01-01	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-01	2005-01-10	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-10	2007-01-01	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-01-01	2007-10-01	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-10-01	2008-01-01	Mobil Development Norway AS	20.000000	\N	43751	474	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	1996-01-01	2001-01-23	Petro-Canada Norge AS (old)	7.500000	\N	43751	628	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	1995-06-12	1996-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	43751	749	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	1996-01-01	2001-01-23	Den norske stats oljeselskap a.s	50.000000	30.000000	43751	749	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-01-23	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	43751	749	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-05-10	2001-06-06	Den norske stats oljeselskap a.s	20.000000	0.000000	43751	749	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-01-23	2001-05-10	Paladin Resources Norge AS	7.500000	\N	43751	1577943	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-05-10	2001-06-06	Paladin Resources Norge AS	7.500000	\N	43751	1577943	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-06-06	2001-06-17	Paladin Resources Norge AS	7.500000	\N	43751	1577943	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-06-17	2002-01-01	Paladin Resources Norge AS	7.500000	\N	43751	1577943	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Coparex Norge A/S	0.399000	\N	43785	243	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-01-01	2002-03-19	Paladin Resources Norge AS	7.500000	\N	43751	1577943	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-03-19	2003-03-22	Paladin Resources Norge AS	15.000000	\N	43751	1577943	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-03-22	2003-12-01	Paladin Resources Norge AS	15.000000	\N	43751	1577943	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-12-01	2004-07-05	Paladin Resources Norge AS	15.000000	\N	43751	1577943	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2004-07-05	2005-01-01	Paladin Resources Norge AS	15.000000	\N	43751	1577943	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-05-10	2001-06-06	SDØE	30.000000	\N	43751	1623450	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-06-06	2001-06-17	SDØE	30.000000	\N	43751	1623450	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-06-17	2002-01-01	Petoro AS	30.000000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-01-01	2002-03-19	Petoro AS	30.000000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-03-19	2003-03-22	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-03-22	2003-12-01	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-12-01	2004-07-05	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2004-07-05	2005-01-01	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-01	2005-01-10	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-10	2007-01-01	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-01-01	2007-10-01	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-10-01	2008-01-01	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-01-01	2008-11-01	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-11-01	2009-01-01	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-01	2009-01-02	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-02	2009-05-26	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-05-26	2009-10-01	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-10-01	2009-11-01	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-11-01	2011-01-01	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2011-01-01	2011-01-02	Petoro AS	7.500000	\N	43751	1626839	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-06-06	2001-06-17	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2001-06-17	2002-01-01	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-01-01	2002-03-19	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-03-19	2003-03-22	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-03-22	2003-12-01	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-12-01	2004-07-05	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2004-07-05	2005-01-01	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-01	2005-01-10	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-10	2007-01-01	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-01-01	2007-10-01	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-10-01	2008-01-01	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-01-01	2008-11-01	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-11-01	2009-01-01	Gaz de France Norge AS	20.000000	\N	43751	1628733	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-01-01	2002-03-19	OER Oil AS	2.500000	\N	43751	2258813	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2002-03-19	2003-03-22	OER Oil AS	2.500000	\N	43751	2258813	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-03-22	2003-12-01	OER Oil AS	2.500000	\N	43751	2258813	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-12-01	2004-07-05	OER Oil AS	2.500000	\N	43751	2258813	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2004-07-05	2005-01-01	OER Oil AS	2.500000	\N	43751	2258813	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-01	2005-01-10	OER Oil AS	2.500000	\N	43751	2258813	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-03-22	2003-12-01	Norske ConocoPhillips AS	15.000000	\N	43751	2399056	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2003-12-01	2004-07-05	Ruhrgas Norge AS	15.000000	\N	43751	2489913	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-01-01	2008-11-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	43751	2835212	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-11-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	43751	2835212	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-01	2009-01-02	ExxonMobil Exploration & Production Norway AS	20.000000	\N	43751	2835212	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-02	2009-05-26	ExxonMobil Exploration & Production Norway AS	20.000000	\N	43751	2835212	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-05-26	2009-10-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	43751	2835212	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-10-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	43751	2835212	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-11-01	2011-01-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	43751	2835212	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2004-07-05	2005-01-01	E.ON Ruhrgas Norge AS	15.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-01	2005-01-10	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-10	2007-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-01-01	2007-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-10-01	2008-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-01-01	2008-11-01	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-11-01	2009-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-01	2009-01-02	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-02	2009-05-26	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-05-26	2009-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-10-01	2009-11-01	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-11-01	2011-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2011-01-01	2011-01-02	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2011-01-02	2012-02-11	E.ON Ruhrgas Norge AS	30.000000	\N	43751	2840522	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2005-01-10	2007-01-01	Endeavour Energy Norge AS	2.500000	\N	43751	3113213	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-01-01	2007-10-01	Endeavour Energy Norge AS	2.500000	\N	43751	3113213	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-10-01	2008-01-01	Endeavour Energy Norge AS	2.500000	\N	43751	3113213	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-01-01	2008-11-01	Endeavour Energy Norge AS	2.500000	\N	43751	3113213	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-11-01	2009-01-01	Endeavour Energy Norge AS	2.500000	\N	43751	3113213	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-01	2009-01-02	Endeavour Energy Norge AS	2.500000	\N	43751	3113213	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-02	2009-05-26	Endeavour Energy Norge AS	2.500000	\N	43751	3113213	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2011-01-02	2012-02-11	Faroe Petroleum Norge AS	7.500000	\N	43751	4062883	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2012-02-11	9999-12-31	Faroe Petroleum Norge AS	7.500000	\N	43751	4062883	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	20.000000	\N	43751	4511658	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-01-01	2008-11-01	StatoilHydro Petroleum AS	20.000000	\N	43751	4511658	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-02	2009-05-26	StatoilHydro Petroleum AS	20.000000	\N	43751	4511658	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	20.000000	\N	43751	4511658	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-10-01	2009-11-01	StatoilHydro Petroleum AS	20.000000	\N	43751	4511658	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2008-11-01	2009-01-01	StatoilHydro ASA	20.000000	\N	43751	4511854	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	43751	4511854	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	20.000000	\N	43751	4524355	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	20.000000	\N	43751	5267845	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-01-02	2009-05-26	GDF SUEZ E&P Norge AS	20.000000	\N	43751	5267845	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-05-26	2009-10-01	GDF SUEZ E&P Norge AS	20.000000	\N	43751	5267845	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-10-01	2009-11-01	GDF SUEZ E&P Norge AS	20.000000	\N	43751	5267845	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-11-01	2011-01-01	GDF SUEZ E&P Norge AS	20.000000	\N	43751	5267845	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2011-01-01	2011-01-02	GDF SUEZ E&P Norge AS	40.000000	\N	43751	5267845	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2011-01-02	2012-02-11	GDF SUEZ E&P Norge AS	40.000000	\N	43751	5267845	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2012-02-11	9999-12-31	GDF SUEZ E&P Norge AS	40.000000	\N	43751	5267845	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-05-26	2009-10-01	VNG Norge (Operations) AS	2.500000	\N	43751	5497155	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-10-01	2009-11-01	VNG Norge AS	2.500000	\N	43751	17237193	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-11-01	2011-01-01	VNG Norge AS	2.500000	\N	43751	17237193	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2011-01-01	2011-01-02	VNG Norge AS	2.500000	\N	43751	17237193	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2011-01-02	2012-02-11	VNG Norge AS	2.500000	\N	43751	17237193	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2012-02-11	9999-12-31	VNG Norge AS	2.500000	\N	43751	17237193	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2009-11-01	2011-01-01	Statoil Petroleum AS	20.000000	\N	43751	17237817	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2011-01-01	2011-01-02	Statoil Petroleum AS	20.000000	\N	43751	17237817	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2011-01-02	2012-02-11	Statoil Petroleum AS	20.000000	\N	43751	17237817	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2012-02-11	9999-12-31	Statoil Petroleum AS	20.000000	\N	43751	17237817	9999-12-31	2013-05-08
NJORD	NJORD UNIT	BUSINESS ARRANGEMENT AREA	1995-06-12	9999-12-31	2012-02-11	9999-12-31	E.ON E&P Norge AS	30.000000	\N	43751	21631209	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1988-12-19	1995-07-01	BP Petroleum Dev. of Norway AS	14.000000	\N	43758	155	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1995-07-01	1997-01-01	BP Petroleum Dev. of Norway AS	10.800000	\N	43758	155	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1997-01-01	1998-02-09	BP Petroleum Dev. of Norway AS	18.360000	\N	43758	155	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1998-02-09	1999-12-23	BP Petroleum Dev. of Norway AS	18.360000	\N	43758	155	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1988-12-19	1995-07-01	A/S Norske Shell	21.000000	\N	43758	562	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1995-07-01	1997-01-01	A/S Norske Shell	16.200000	\N	43758	562	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1997-01-01	1998-02-09	A/S Norske Shell	16.200000	\N	43758	562	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1998-02-09	1999-12-23	A/S Norske Shell	16.200000	\N	43758	562	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1999-12-23	2001-05-10	A/S Norske Shell	16.200000	\N	43758	562	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2001-05-10	2001-06-17	A/S Norske Shell	16.200000	\N	43758	562	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2001-06-17	2002-03-12	A/S Norske Shell	16.200000	\N	43758	562	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-03-12	2002-03-19	A/S Norske Shell	16.200000	\N	43758	562	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-03-19	2002-11-19	A/S Norske Shell	26.200000	\N	43758	562	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1988-12-19	1995-07-01	Den norske stats oljeselskap a.s	65.000000	45.400000	43758	749	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1995-07-01	1997-01-01	Den norske stats oljeselskap a.s	73.000000	57.880000	43758	749	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1997-01-01	1998-02-09	Den norske stats oljeselskap a.s	65.440000	57.880000	43758	749	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1998-02-09	1999-12-23	Den norske stats oljeselskap a.s	57.880000	57.880000	43758	749	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	57.880000	57.880000	43758	749	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1998-02-09	1999-12-23	Norsk Chevron AS	7.560000	\N	43758	40148	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1999-12-23	2001-05-10	Norsk Chevron AS	7.560000	\N	43758	40148	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2001-05-10	2001-06-17	Norsk Chevron AS	7.560000	\N	43758	40148	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2001-06-17	2002-03-12	Norsk Chevron AS	7.560000	\N	43758	40148	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-03-12	2002-03-19	Norsk Chevron AS	7.560000	\N	43758	40148	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-03-19	2002-11-19	Norsk Chevron AS	7.560000	\N	43758	40148	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	1999-12-23	2001-05-10	BP Amoco Norge AS	18.360000	\N	43758	982372	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2001-05-10	2001-06-17	BP Amoco Norge AS	18.360000	\N	43758	982372	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2001-06-17	2002-03-12	BP Amoco Norge AS	18.360000	\N	43758	982372	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2001-05-10	2001-06-17	SDØE	57.880000	\N	43758	1623450	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2001-06-17	2002-03-12	Petoro AS	57.880000	\N	43758	1626839	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-03-12	2002-03-19	Petoro AS	57.880000	\N	43758	1626839	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-03-19	2002-11-19	Petoro AS	47.880000	\N	43758	1626839	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-11-19	2005-09-19	Petoro AS	47.880000	\N	43758	1626839	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2005-09-19	2012-01-01	Petoro AS	47.880000	\N	43758	1626839	2012-12-01	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2012-01-01	9999-12-31	Petoro AS	47.880000	\N	43758	1626839	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-03-12	2002-03-19	BP Norge AS	18.360000	\N	43758	2052695	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-03-19	2002-11-19	BP Norge AS	18.360000	\N	43758	2052695	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-11-19	2005-09-19	BP Norge AS	18.360000	\N	43758	2052695	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2005-09-19	2012-01-01	BP Norge AS	18.360000	\N	43758	2052695	2012-12-01	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2002-11-19	2005-09-19	Chevron Texaco Norge AS	7.560000	\N	43758	2154473	9999-12-31	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2005-09-19	2012-01-01	Chevron Norge AS	7.560000	\N	43758	3488906	2012-12-01	2013-05-08
DRAUGEN	093	PRODUCTION LICENSE	1988-12-19	9999-12-31	2012-01-01	9999-12-31	Chevron Norge AS	7.560000	\N	43758	3488906	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1996-06-14	1999-04-13	Norsk Agip  AS	7.900000	\N	43765	45	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1999-04-13	2001-01-11	Norsk Agip  AS	7.900000	\N	43765	45	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-01-11	2001-05-10	Norsk Agip  AS	7.900000	\N	43765	45	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-05-10	2001-06-01	Norsk Agip  AS	7.900000	\N	43765	45	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-01	2001-06-17	Norsk Agip  AS	7.900000	\N	43765	45	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-17	2001-12-18	Norsk Agip  AS	7.900000	\N	43765	45	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-12-18	2003-03-04	Norsk Agip  AS	7.900000	\N	43765	45	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-03-04	2003-05-06	Norsk Agip  AS	7.900000	\N	43765	45	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-05-06	2003-12-31	Norsk Agip  AS	7.900000	\N	43765	45	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1996-06-14	1999-04-13	Norsk Hydro Produksjon AS	2.600000	\N	43765	430	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1999-04-13	2001-01-11	Norsk Hydro Produksjon AS	2.600000	\N	43765	430	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	9.600000	\N	43765	430	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.600000	\N	43765	430	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.600000	\N	43765	430	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	9.600000	\N	43765	430	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-12-18	2003-03-04	Norsk Hydro Produksjon AS	9.600000	\N	43765	430	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-03-04	2003-05-06	Norsk Hydro Produksjon AS	9.600000	\N	43765	430	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	9.600000	\N	43765	430	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-12-31	2006-08-01	Norsk Hydro Produksjon AS	9.600000	\N	43765	430	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2006-08-01	2007-01-01	Norsk Hydro Produksjon AS	9.610000	\N	43765	430	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1996-06-14	1999-04-13	Mobil Development Norway AS	7.350000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1999-04-13	2001-01-11	Mobil Development Norway AS	7.350000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-01-11	2001-05-10	Mobil Development Norway AS	7.350000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-05-10	2001-06-01	Mobil Development Norway AS	7.350000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-01	2001-06-17	Mobil Development Norway AS	7.350000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-17	2001-12-18	Mobil Development Norway AS	7.350000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-12-18	2003-03-04	Mobil Development Norway AS	7.350000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-03-04	2003-05-06	Mobil Development Norway AS	7.350000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-05-06	2003-12-31	Mobil Development Norway AS	7.350000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-12-31	2006-08-01	Mobil Development Norway AS	7.350000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2006-08-01	2007-01-01	Mobil Development Norway AS	7.240000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-01-01	2007-10-01	Mobil Development Norway AS	7.240000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-10-01	2008-01-01	Mobil Development Norway AS	7.240000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2008-01-01	2008-01-02	Mobil Development Norway AS	7.240000	\N	43765	474	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1996-06-14	1999-04-13	Neste Petroleum AS	7.000000	\N	43765	496	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1996-06-14	1999-04-13	Saga Petroleum ASA	7.000000	\N	43765	716	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1999-04-13	2001-01-11	Saga Petroleum ASA	7.000000	\N	43765	716	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1996-06-14	1999-04-13	Den norske stats oljeselskap a.s	60.500000	46.950000	43765	749	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1999-04-13	2001-01-11	Den norske stats oljeselskap a.s	60.500000	46.950000	43765	749	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	60.500000	46.950000	43765	749	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1996-06-14	1999-04-13	Total Norge AS	7.650000	\N	43765	848	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1999-04-13	2001-01-11	Total Norge AS	7.650000	\N	43765	848	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-01-11	2001-05-10	Total Norge AS	7.650000	\N	43765	848	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-05-10	2001-06-01	Total Norge AS	7.650000	\N	43765	848	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-01	2001-06-17	Total Norge AS	7.650000	\N	43765	848	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	7.650000	\N	43765	848	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	1999-04-13	2001-01-11	Fortum Petroleum AS	7.000000	\N	43765	102714	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-01-11	2001-05-10	Fortum Petroleum AS	7.000000	\N	43765	102714	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-05-10	2001-06-01	Fortum Petroleum AS	7.000000	\N	43765	102714	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-01	2001-06-17	Fortum Petroleum AS	7.000000	\N	43765	102714	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-17	2001-12-18	Fortum Petroleum AS	7.000000	\N	43765	102714	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-12-18	2003-03-04	Fortum Petroleum AS	7.000000	\N	43765	102714	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-12-18	2003-03-04	TotalFinaElf Exploration Norge AS	7.650000	\N	43765	1340884	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-03-04	2003-05-06	TotalFinaElf Exploration Norge AS	7.650000	\N	43765	1340884	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	13.550000	\N	43765	1622484	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	25.000000	\N	43765	1622484	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	25.000000	\N	43765	1622484	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-12-18	2003-03-04	Statoil ASA (old)	25.000000	\N	43765	1622484	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-03-04	2003-05-06	Statoil ASA (old)	25.000000	\N	43765	1622484	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-05-06	2003-12-31	Statoil ASA (old)	25.000000	\N	43765	1622484	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-12-31	2006-08-01	Statoil ASA (old)	25.000000	\N	43765	1622484	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2006-08-01	2007-01-01	Statoil ASA (old)	24.960000	\N	43765	1622484	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	24.960000	\N	43765	1622484	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-05-10	2001-06-01	SDØE	46.950000	\N	43765	1623450	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-01	2001-06-17	SDØE	35.500000	\N	43765	1623450	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-06-17	2001-12-18	Petoro AS	35.500000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2001-12-18	2003-03-04	Petoro AS	35.500000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-03-04	2003-05-06	Petoro AS	35.500000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-05-06	2003-12-31	Petoro AS	35.500000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-12-31	2006-08-01	Petoro AS	35.500000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2006-08-01	2007-01-01	Petoro AS	35.690000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-01-01	2007-10-01	Petoro AS	35.690000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-10-01	2008-01-01	Petoro AS	35.690000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2008-01-01	2008-01-02	Petoro AS	35.690000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2008-01-02	2009-01-01	Petoro AS	35.690000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2009-01-01	2009-11-01	Petoro AS	35.690000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2009-11-01	9999-12-31	Petoro AS	35.690000	\N	43765	1626839	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-03-04	2003-05-06	Eni Norge AS	7.000000	\N	43765	2388594	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-05-06	2003-12-31	Eni Norge AS	7.000000	\N	43765	2388594	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-12-31	2006-08-01	Eni Norge AS	14.900000	\N	43765	2388594	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2006-08-01	2007-01-01	Eni Norge AS	14.820000	\N	43765	2388594	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	14.820000	\N	43765	2388594	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-10-01	2008-01-01	Eni Norge AS	14.820000	\N	43765	2388594	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2008-01-01	2008-01-02	Eni Norge AS	14.820000	\N	43765	2388594	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2008-01-02	2009-01-01	Eni Norge AS	14.820000	\N	43765	2388594	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2009-01-01	2009-11-01	Eni Norge AS	14.820000	\N	43765	2388594	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2009-11-01	9999-12-31	Eni Norge AS	14.820000	\N	43765	2388594	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-05-06	2003-12-31	Total E&P Norge AS	7.650000	\N	43765	2410708	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2003-12-31	2006-08-01	Total E&P Norge AS	7.650000	\N	43765	2410708	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2006-08-01	2007-01-01	Total E&P Norge AS	7.680000	\N	43765	2410708	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	7.680000	\N	43765	2410708	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-10-01	2008-01-01	Total E&P Norge AS	7.680000	\N	43765	2410708	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2008-01-01	2008-01-02	Total E&P Norge AS	7.680000	\N	43765	2410708	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2008-01-02	2009-01-01	Total E&P Norge AS	7.680000	\N	43765	2410708	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	7.680000	\N	43765	2410708	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2009-11-01	9999-12-31	Total E&P Norge AS	7.680000	\N	43765	2410708	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	7.240000	\N	43765	2835212	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	7.240000	\N	43765	2835212	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	7.240000	\N	43765	2835212	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	9.610000	\N	43765	4511658	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	34.570000	\N	43765	4511658	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	24.960000	\N	43765	4511854	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2008-01-01	2008-01-02	StatoilHydro ASA	34.570000	\N	43765	4511854	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2008-01-02	2009-01-01	StatoilHydro ASA	34.570000	\N	43765	4511854	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.610000	\N	43765	4524355	9999-12-31	2013-05-08
ÅSGARD	ÅSGARD UNIT	BUSINESS ARRANGEMENT AREA	1996-06-14	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	34.570000	\N	43765	17237817	9999-12-31	2013-05-08
HEIDRUN	095	PRODUCTION LICENSE	1991-05-14	1991-11-26	1991-05-14	1991-11-26	Norske Conoco A/S	30.000000	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1991-11-27	1992-08-14	Norske Conoco A/S	18.125000	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1992-08-14	1993-12-13	Norske Conoco A/S	18.125000	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1993-12-13	1995-03-06	Norske Conoco A/S	18.125000	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1995-03-06	1995-06-22	Norske Conoco A/S	18.125000	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1995-06-22	1999-04-13	Norske Conoco A/S	18.125000	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1999-04-13	2000-01-01	Norske Conoco A/S	18.125000	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2000-01-01	2001-05-10	Norske Conoco A/S	18.292510	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2001-05-10	2001-06-17	Norske Conoco A/S	18.292510	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2001-06-17	2002-03-19	Norske Conoco A/S	18.292510	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2002-03-19	2003-03-04	Norske Conoco A/S	24.292510	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-03-04	2003-03-22	Norske Conoco A/S	24.292510	\N	43771	221	9999-12-31	2013-05-08
HEIDRUN	095	PRODUCTION LICENSE	1991-05-14	1991-11-26	1991-05-14	1991-11-26	Conoco Petroleum Norge AS	10.000000	\N	43771	232	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1991-11-27	1992-08-14	DNO Olje A/S	0.625000	\N	43771	276	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1993-12-13	1995-03-06	DNO Olje A/S	0.625000	\N	43771	276	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1991-11-27	1992-08-14	Norsk Hydro Produksjon AS	1.250000	\N	43771	430	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1992-08-14	1993-12-13	Norsk Hydro Produksjon AS	1.250000	\N	43771	430	9999-12-31	2013-05-08
HEIDRUN	095	PRODUCTION LICENSE	1991-05-14	1991-11-26	1991-05-14	1991-11-26	Neste Petroleum AS	10.000000	\N	43771	496	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1991-11-27	1992-08-14	Neste Petroleum AS	5.000000	\N	43771	496	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1992-08-14	1993-12-13	Neste Petroleum AS	5.000000	\N	43771	496	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1993-12-13	1995-03-06	Neste Petroleum AS	5.000000	\N	43771	496	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1995-03-06	1995-06-22	Neste Petroleum AS	5.000000	\N	43771	496	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1995-06-22	1999-04-13	Neste Petroleum AS	5.000000	\N	43771	496	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1992-08-14	1993-12-13	Norminol AS	0.625000	\N	43771	529	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1995-03-06	1995-06-22	Saga Petroleum ASA	0.625000	\N	43771	716	9999-12-31	2013-05-08
HEIDRUN	095	PRODUCTION LICENSE	1991-05-14	1991-11-26	1991-05-14	1991-11-26	Den norske stats oljeselskap a.s	50.000000	30.000000	43771	749	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1991-11-27	1992-08-14	Den norske stats oljeselskap a.s	75.000000	65.000000	43771	749	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1992-08-14	1993-12-13	Den norske stats oljeselskap a.s	75.000000	65.000000	43771	749	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1993-12-13	1995-03-06	Den norske stats oljeselskap a.s	76.250000	65.000000	43771	749	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1995-03-06	1995-06-22	Den norske stats oljeselskap a.s	76.250000	65.000000	43771	749	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1995-06-22	1999-04-13	Den norske stats oljeselskap a.s	76.875000	65.000000	43771	749	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1999-04-13	2000-01-01	Den norske stats oljeselskap a.s	76.875000	65.000000	43771	749	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2000-01-01	2001-05-10	Den norske stats oljeselskap a.s	76.586850	64.155470	43771	749	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	1999-04-13	2000-01-01	Fortum Petroleum AS	5.000000	\N	43771	102714	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2000-01-01	2001-05-10	Fortum Petroleum AS	5.120640	\N	43771	102714	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2001-05-10	2001-06-17	Fortum Petroleum AS	5.120640	\N	43771	102714	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2001-06-17	2002-03-19	Fortum Petroleum AS	5.120640	\N	43771	102714	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2002-03-19	2003-03-04	Fortum Petroleum AS	5.120640	\N	43771	102714	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	12.431380	\N	43771	1622484	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2001-06-17	2002-03-19	Statoil ASA (old)	12.431380	\N	43771	1622484	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2002-03-19	2003-03-04	Statoil ASA (old)	12.431380	\N	43771	1622484	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-03-04	2003-03-22	Statoil ASA (old)	12.431380	\N	43771	1622484	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-03-22	2003-06-11	Statoil ASA (old)	12.431380	\N	43771	1622484	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-06-11	2007-01-02	Statoil ASA (old)	12.405680	\N	43771	1622484	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2007-01-02	2007-10-01	Statoil ASA (old)	12.405680	\N	43771	1622484	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2001-05-10	2001-06-17	SDØE	64.155470	\N	43771	1623450	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2001-06-17	2002-03-19	Petoro AS	64.155470	\N	43771	1626839	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2002-03-19	2003-03-04	Petoro AS	58.155470	\N	43771	1626839	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-03-04	2003-03-22	Petoro AS	58.155470	\N	43771	1626839	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-03-22	2003-06-11	Petoro AS	58.155470	\N	43771	1626839	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-06-11	2007-01-02	Petoro AS	58.164400	\N	43771	1626839	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2007-01-02	2007-10-01	Petoro AS	58.164400	\N	43771	1626839	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2007-10-01	2009-01-01	Petoro AS	58.164400	\N	43771	1626839	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2009-01-01	2009-11-01	Petoro AS	58.164400	\N	43771	1626839	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2009-11-01	9999-12-31	Petoro AS	58.164400	\N	43771	1626839	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-03-04	2003-03-22	Eni Norge AS	5.120640	\N	43771	2388594	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-03-22	2003-06-11	Eni Norge AS	5.120640	\N	43771	2388594	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-06-11	2007-01-02	Eni Norge AS	5.119370	\N	43771	2388594	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2007-01-02	2007-10-01	Eni Norge AS	5.119370	\N	43771	2388594	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2007-10-01	2009-01-01	Eni Norge AS	5.119370	\N	43771	2388594	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2009-01-01	2009-11-01	Eni Norge AS	5.119370	\N	43771	2388594	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2009-11-01	9999-12-31	Eni Norge AS	5.119370	\N	43771	2388594	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-03-22	2003-06-11	Norske ConocoPhillips AS	24.292510	\N	43771	2399056	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2003-06-11	2007-01-02	Norske ConocoPhillips AS	24.310550	\N	43771	2399056	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	24.310550	\N	43771	2410696	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	24.310550	\N	43771	2410696	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	24.310550	\N	43771	2410696	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	24.310550	\N	43771	2410696	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	12.405680	\N	43771	4511658	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	12.405680	\N	43771	4511854	9999-12-31	2013-05-08
HEIDRUN	HEIDRUN UNIT	BUSINESS ARRANGEMENT AREA	1991-11-27	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	12.405680	\N	43771	17237817	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1995-03-09	1996-07-23	Norsk Agip  AS	6.000000	\N	43778	45	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1996-07-23	1999-12-11	Norsk Agip  AS	6.900000	\N	43778	45	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1999-12-11	2001-05-10	Norsk Agip  AS	6.900000	\N	43778	45	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-05-10	2001-06-01	Norsk Agip  AS	6.900000	\N	43778	45	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-06-01	2001-06-17	Norsk Agip  AS	6.900000	\N	43778	45	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-06-17	2001-12-31	Norsk Agip  AS	6.900000	\N	43778	45	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-12-31	2003-12-31	Norsk Agip  AS	6.900000	\N	43778	45	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1995-03-09	1996-07-23	Enterprise Oil Norwegian AS	6.000000	\N	43778	342	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1996-07-23	1999-12-11	Enterprise Oil Norwegian AS	6.000000	\N	43778	342	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1999-12-11	2001-05-10	Enterprise Oil Norwegian AS	6.000000	\N	43778	342	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	6.000000	\N	43778	342	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-06-01	2001-06-17	Enterprise Oil Norwegian AS	6.000000	\N	43778	342	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	6.000000	\N	43778	342	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1995-03-09	1996-07-23	Norsk Hydro Produksjon AS	9.000000	\N	43778	430	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1996-07-23	1999-12-11	Norsk Hydro Produksjon AS	8.100000	\N	43778	430	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1999-12-11	2001-05-10	Norsk Hydro Produksjon AS	8.100000	\N	43778	430	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	8.100000	\N	43778	430	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	8.100000	\N	43778	430	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-06-17	2001-12-31	Norsk Hydro Produksjon AS	8.100000	\N	43778	430	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-12-31	2003-12-31	Norsk Hydro Produksjon AS	8.100000	\N	43778	430	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2003-12-31	2005-01-01	Norsk Hydro Produksjon AS	8.100000	\N	43778	430	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2005-01-01	2007-01-01	Norsk Hydro Produksjon AS	8.100000	\N	43778	430	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1995-03-09	1996-07-23	Saga Petroleum ASA	9.000000	\N	43778	716	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1996-07-23	1999-12-11	Saga Petroleum ASA	9.000000	\N	43778	716	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1995-03-09	1996-07-23	Den norske stats oljeselskap a.s	70.000000	55.000000	43778	749	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1996-07-23	1999-12-11	Den norske stats oljeselskap a.s	70.000000	55.000000	43778	749	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	79.000000	55.000000	43778	749	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	24.000000	\N	43778	1622484	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	25.000000	\N	43778	1622484	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-06-17	2001-12-31	Statoil ASA (old)	25.000000	\N	43778	1622484	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-12-31	2003-12-31	Statoil ASA (old)	25.000000	\N	43778	1622484	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2003-12-31	2005-01-01	Statoil ASA (old)	25.000000	\N	43778	1622484	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2005-01-01	2007-01-01	Statoil ASA (old)	31.000000	\N	43778	1622484	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	31.000000	\N	43778	1622484	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-05-10	2001-06-01	SDØE	55.000000	\N	43778	1623450	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-06-01	2001-06-17	SDØE	54.000000	\N	43778	1623450	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-06-17	2001-12-31	Petoro AS	54.000000	\N	43778	1626839	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-12-31	2003-12-31	Petoro AS	54.000000	\N	43778	1626839	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2003-12-31	2005-01-01	Petoro AS	54.000000	\N	43778	1626839	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2005-01-01	2007-01-01	Petoro AS	54.000000	\N	43778	1626839	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2007-01-01	2007-10-01	Petoro AS	54.000000	\N	43778	1626839	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2007-10-01	2008-01-01	Petoro AS	54.000000	\N	43778	1626839	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2008-01-01	2009-01-01	Petoro AS	54.000000	\N	43778	1626839	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2009-01-01	2009-11-01	Petoro AS	54.000000	\N	43778	1626839	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2009-11-01	9999-12-31	Petoro AS	54.000000	\N	43778	1626839	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2001-12-31	2003-12-31	Enterprise Oil Norge AS	6.000000	\N	43778	1853786	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2003-12-31	2005-01-01	Enterprise Oil Norge AS	6.000000	\N	43778	1853786	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2003-12-31	2005-01-01	Eni Norge AS	6.900000	\N	43778	2388594	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2005-01-01	2007-01-01	Eni Norge AS	6.900000	\N	43778	2388594	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	6.900000	\N	43778	2388594	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2007-10-01	2008-01-01	Eni Norge AS	6.900000	\N	43778	2388594	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2008-01-01	2009-01-01	Eni Norge AS	6.900000	\N	43778	2388594	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2009-01-01	2009-11-01	Eni Norge AS	6.900000	\N	43778	2388594	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2009-11-01	9999-12-31	Eni Norge AS	6.900000	\N	43778	2388594	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	8.100000	\N	43778	4511658	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	39.100000	\N	43778	4511658	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	31.000000	\N	43778	4511854	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	39.100000	\N	43778	4511854	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	8.100000	\N	43778	4524355	9999-12-31	2013-05-08
NORNE	NORNE INSIDE	BUSINESS ARRANGEMENT AREA	1995-03-09	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	39.100000	\N	43778	17237817	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Norsk Agip  AS	13.040000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Norsk Agip  AS	13.040000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Norsk Agip  AS	13.040000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Norsk Agip  AS	13.040000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Norsk Agip  AS	13.040000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Norsk Agip  AS	13.040000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Norsk Agip  AS	13.040000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Norsk Agip  AS	12.388000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Norsk Agip  AS	12.388000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Norsk Agip  AS	12.388000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	Norsk Agip  AS	12.388000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	Norsk Agip  AS	12.388000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Norsk Agip  AS	12.388000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	Norsk Agip  AS	12.388000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	Norsk Agip  AS	12.388000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	Norsk Agip  AS	12.388000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	Norsk Agip  AS	12.388000	\N	43785	45	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Aquitaine Norge A/S	2.698000	\N	43785	111	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Cofranord A/S	0.304000	\N	43785	199	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Elf Norge A/S	5.396000	\N	43785	287	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Elf Petroleum Norge AS	7.594000	\N	43785	298	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Elf Petroleum Norge AS	7.594000	\N	43785	298	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Elf Petroleum Norge AS	8.449000	\N	43785	298	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Elf Petroleum Norge AS	8.026000	\N	43785	298	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Elf Rep Norge A/S	0.456000	\N	43785	309	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Elf Rex Norge AS	0.399000	\N	43785	320	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Elf Rex Norge AS	0.855000	\N	43785	320	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Elf Rex Norge AS	0.855000	\N	43785	320	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Elf Aquitaine Norge A/S	8.094000	\N	43785	331	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Elf Aquitaine Norge A/S	7.594000	\N	43785	331	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Elf Aquitaine Norge A/S	7.594000	\N	43785	331	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Eurafrep Norge A/S	0.456000	\N	43785	364	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Eurafrep Norge A/S	0.456000	\N	43785	364	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Eurafrep Norge A/S	0.456000	\N	43785	364	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Fina Production Licenses AS	30.000000	\N	43785	386	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Fina Production Licenses AS	30.000000	\N	43785	386	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Fina Production Licenses AS	30.000000	\N	43785	386	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Fina Production Licenses AS	30.000000	\N	43785	386	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Fina Production Licenses AS	30.000000	\N	43785	386	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Fina Production Licenses AS	30.000000	\N	43785	386	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Fina Production Licenses AS	30.000000	\N	43785	386	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Fina Production Licenses AS	28.500000	\N	43785	386	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Fina Production Licenses AS	28.500000	\N	43785	386	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Norsk Hydro Produksjon AS	6.700000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Norsk Hydro Produksjon AS	6.700000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Norsk Hydro Produksjon AS	6.700000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Norsk Hydro Produksjon AS	6.700000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Norsk Hydro Produksjon AS	6.700000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Norsk Hydro Produksjon AS	6.365000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Norsk Hydro Produksjon AS	6.365000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Norsk Hydro Produksjon AS	6.365000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	6.654000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	6.654000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	6.654000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	Norsk Hydro Produksjon AS	6.654000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	Norsk Hydro Produksjon AS	6.654000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	6.654000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	Norsk Hydro Produksjon AS	6.654000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	Norsk Hydro Produksjon AS	6.654000	\N	43785	430	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Norminol AS	0.304000	\N	43785	529	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Norminol AS	0.304000	\N	43785	529	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Phillips Petroleum Company Norway	36.960000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Phillips Petroleum Company Norway	36.960000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Phillips Petroleum Company Norway	36.960000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Phillips Petroleum Company Norway	36.960000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Phillips Petroleum Company Norway	36.960000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Phillips Petroleum Company Norway	36.960000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Phillips Petroleum Company Norway	36.960000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Phillips Petroleum Company Norway	35.112000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Phillips Petroleum Company Norway	35.112000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Phillips Petroleum Company Norway	35.112000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	Phillips Petroleum Company Norway	35.112000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	Phillips Petroleum Company Norway	35.112000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Phillips Petroleum Company Norway	35.112000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	Phillips Petroleum Company Norway	35.112000	\N	43785	694	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	35.112000	\N	43785	705	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Saga Petroleum ASA	0.304000	\N	43785	716	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Saga Petroleum ASA	0.304000	\N	43785	716	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Saga Petroleum ASA	0.289000	\N	43785	716	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Saga Petroleum ASA	0.289000	\N	43785	716	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Saga Petroleum ASA	0.289000	\N	43785	716	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Den norske stats oljeselskap a.s	1.000000	\N	43785	749	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Den norske stats oljeselskap a.s	1.000000	\N	43785	749	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43785	749	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43785	749	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Den norske stats oljeselskap a.s	1.000000	\N	43785	749	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Den norske stats oljeselskap a.s	5.950000	5.000000	43785	749	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Den norske stats oljeselskap a.s	5.950000	5.000000	43785	749	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Den norske stats oljeselskap a.s	5.950000	5.000000	43785	749	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	5.950000	5.000000	43785	749	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1973-05-04	1977-07-01	Total Norge AS	4.047000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1977-07-01	1988-04-01	Total Norge AS	4.047000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1988-04-01	1990-11-22	Total Norge AS	3.547000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1990-11-22	1992-08-14	Total Norge AS	3.547000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1992-08-14	1995-01-01	Total Norge AS	3.547000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1995-01-01	1997-01-01	Total Norge AS	3.547000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1997-01-01	1999-01-01	Total Norge AS	3.547000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	1999-01-01	2000-07-24	Total Norge AS	3.370000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	Total Norge AS	3.370000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	Total Norge AS	31.870000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	Total Norge AS	31.870000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	Total Norge AS	31.870000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	31.870000	\N	43785	848	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-07-24	2000-12-20	TotalFinaElf Exploration Norge AS	8.026000	\N	43785	1340884	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2000-12-20	2001-01-11	TotalFinaElf Exploration Norge AS	8.026000	\N	43785	1340884	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	8.026000	\N	43785	1340884	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	8.026000	\N	43785	1340884	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	8.026000	\N	43785	1340884	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	TotalFinaElf Exploration Norge AS	39.896000	\N	43785	1340884	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	TotalFinaElf Exploration Norge AS	39.896000	\N	43785	1340884	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	39.896000	\N	43785	1340884	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	0.950000	\N	43785	1622484	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	0.950000	\N	43785	1622484	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	Statoil ASA (old)	0.950000	\N	43785	1622484	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	Statoil ASA (old)	0.950000	\N	43785	1622484	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	Statoil ASA (old)	0.950000	\N	43785	1622484	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	Statoil ASA (old)	0.950000	\N	43785	1622484	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	Statoil ASA (old)	0.950000	\N	43785	1622484	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	0.950000	\N	43785	1622484	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-05-10	2001-06-17	SDØE	5.000000	\N	43785	1623450	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-06-17	2001-12-18	Petoro AS	5.000000	\N	43785	1626839	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2001-12-18	2002-10-23	Petoro AS	5.000000	\N	43785	1626839	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	Petoro AS	5.000000	\N	43785	1626839	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-03-05	2003-05-06	Petoro AS	5.000000	\N	43785	1626839	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	Petoro AS	5.000000	\N	43785	1626839	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	Petoro AS	5.000000	\N	43785	1626839	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	Petoro AS	5.000000	\N	43785	1626839	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	Petoro AS	5.000000	\N	43785	1626839	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-01-01	2009-11-02	Petoro AS	5.000000	\N	43785	1626839	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-11-02	9999-12-31	Petoro AS	5.000000	\N	43785	1626839	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2002-10-23	2003-03-05	ConocoPhillips Norge	35.112000	\N	43785	2144081	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	Eni Norge AS	12.388000	\N	43785	2388594	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	12.388000	\N	43785	2388594	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	Eni Norge AS	12.388000	\N	43785	2388594	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-01-01	2009-11-02	Eni Norge AS	12.388000	\N	43785	2388594	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-11-02	9999-12-31	Eni Norge AS	12.388000	\N	43785	2388594	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	ConocoPhillips Skandinavia AS	35.112000	\N	43785	2410696	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43785	2410696	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.112000	\N	43785	2410696	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	43785	2410696	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	35.112000	\N	43785	2410696	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	43785	2410696	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-05-06	2003-12-15	Total E&P Norge AS	39.896000	\N	43785	2410708	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2003-12-15	2007-01-01	Total E&P Norge AS	39.896000	\N	43785	2410708	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	39.896000	\N	43785	2410708	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	39.896000	\N	43785	2410708	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	39.896000	\N	43785	2410708	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-11-02	9999-12-31	Total E&P Norge AS	39.896000	\N	43785	2410708	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.654000	\N	43785	4511658	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	7.604000	\N	43785	4511658	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	0.950000	\N	43785	4511854	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	6.654000	\N	43785	4524355	9999-12-31	2013-05-08
COD	018	PRODUCTION LICENSE	1973-05-04	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	7.604000	\N	43785	17237817	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1993-01-07	1994-01-01	Amoco Norway Oil Company	7.350000	\N	43792	78	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1994-01-01	1999-12-31	Amoco Norway AS	14.700000	\N	43792	89	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1992-11-06	1993-01-07	Norske Conoco A/S	7.500000	\N	43792	221	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1993-01-07	1994-01-01	Norske Conoco A/S	7.350000	\N	43792	221	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1992-11-06	1993-01-07	Norsk Hydro Produksjon AS	25.000000	\N	43792	430	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1993-01-07	1994-01-01	Norsk Hydro Produksjon AS	24.500000	\N	43792	430	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1994-01-01	1999-12-31	Norsk Hydro Produksjon AS	24.500000	\N	43792	430	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1992-11-06	1993-01-07	Mobil Development Norway AS	7.500000	\N	43792	474	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1992-11-06	1993-01-07	Saga Petroleum ASA	10.000000	\N	43792	716	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1993-01-07	1994-01-01	Saga Petroleum ASA	9.800000	\N	43792	716	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1994-01-01	1999-12-31	Saga Petroleum ASA	9.800000	\N	43792	716	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1992-11-06	1993-01-07	Den norske stats oljeselskap a.s	50.000000	30.000000	43792	749	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1993-01-07	1994-01-01	Den norske stats oljeselskap a.s	51.000000	31.400000	43792	749	9999-12-31	2013-05-08
MIME	070	PRODUCTION LICENSE	1992-11-06	1999-12-31	1994-01-01	1999-12-31	Den norske stats oljeselskap a.s	51.000000	31.400000	43792	749	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2003-12-12	2006-09-06	DONG Norge AS	40.000000	\N	43792	1853083	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2003-12-12	2006-09-06	Talisman Energy Norge AS	60.000000	\N	43792	2425093	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2006-09-06	2008-01-01	Talisman Energy Norge AS	60.000000	\N	43792	2425093	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2008-01-01	2009-01-01	Talisman Energy Norge AS	40.000000	\N	43792	2425093	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2009-01-01	2009-01-02	Talisman Energy Norge AS	40.000000	\N	43792	2425093	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2009-01-02	2010-12-15	Lundin Norway AS	40.000000	\N	43792	2767314	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2010-12-15	2011-01-03	Lundin Norway AS	40.000000	\N	43792	2767314	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2011-01-03	9999-12-31	Lundin Norway AS	40.000000	\N	43792	2767314	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2006-09-06	2008-01-01	DONG E&P Norge AS	40.000000	\N	43792	4070011	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2008-01-01	2009-01-01	DONG E&P Norge AS	25.000000	\N	43792	4070011	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2008-01-01	2009-01-01	Skeie Energy AS (Old)	35.000000	\N	43792	4511646	2013-03-19	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2009-01-01	2009-01-02	Skeie Energy AS (Old)	60.000000	\N	43792	4511646	2013-03-19	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2009-01-02	2010-12-15	Skeie Energy AS (Old)	60.000000	\N	43792	4511646	2013-03-19	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2010-12-15	2011-01-03	Skeie Oil & Gas AS	60.000000	\N	43792	4998977	9999-12-31	2013-05-08
MIME	301	PRODUCTION LICENSE	2003-12-12	9999-12-31	2011-01-03	9999-12-31	Skeie Energy AS	60.000000	\N	43792	23286115	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1980-05-30	1996-03-02	BP Petroleum Dev. of Norway AS	57.500000	\N	43800	155	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1996-03-02	1997-01-01	BP Petroleum Dev. of Norway AS	57.500000	\N	43800	155	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1997-01-01	1997-05-15	BP Petroleum Dev. of Norway AS	70.000000	\N	43800	155	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1997-05-15	1999-12-23	BP Petroleum Dev. of Norway AS	80.000000	\N	43800	155	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1980-05-30	1996-03-02	Conoco Norway Inc.	10.000000	\N	43800	210	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1996-03-02	1997-01-01	Norske Conoco A/S	10.000000	\N	43800	221	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1997-01-01	1997-05-15	Norske Conoco A/S	10.000000	\N	43800	221	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1980-05-30	1996-03-02	Pelican AS	5.000000	\N	43800	606	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1996-03-02	1997-01-01	Pelican AS	5.000000	\N	43800	606	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1997-01-01	1997-05-15	Pelican AS	5.000000	\N	43800	606	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1997-05-15	1999-12-23	Pelican AS	5.000000	\N	43800	606	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1999-12-23	2002-03-12	Pelican AS	5.000000	\N	43800	606	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	2002-03-12	2002-04-17	Pelican AS	5.000000	\N	43800	606	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1980-05-30	1996-03-02	Svenska Petroleum Exploration AS	15.000000	\N	43800	738	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1996-03-02	1997-01-01	Svenska Petroleum Exploration AS	15.000000	\N	43800	738	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1997-01-01	1997-05-15	Svenska Petroleum Exploration AS	15.000000	\N	43800	738	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1997-05-15	1999-12-23	Svenska Petroleum Exploration AS	15.000000	\N	43800	738	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1999-12-23	2002-03-12	Svenska Petroleum Exploration AS	15.000000	\N	43800	738	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	2002-03-12	2002-04-17	Svenska Petroleum Exploration AS	15.000000	\N	43800	738	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	2002-04-17	2006-09-06	Svenska Petroleum Exploration AS	15.000000	\N	43800	738	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	2006-09-06	2008-01-01	Svenska Petroleum Exploration AS	15.000000	\N	43800	738	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1980-05-30	1996-03-02	Den norske stats oljeselskap a.s	12.500000	\N	43800	749	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1996-03-02	1997-01-01	Den norske stats oljeselskap a.s	12.500000	\N	43800	749	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	1999-12-23	2002-03-12	BP Amoco Norge AS	80.000000	\N	43800	982372	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	2002-04-17	2006-09-06	DONG Norge AS	5.000000	\N	43800	1853083	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	2002-03-12	2002-04-17	BP Norge AS	80.000000	\N	43800	2052695	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	2002-04-17	2006-09-06	BP Norge AS	80.000000	\N	43800	2052695	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	2006-09-06	2008-01-01	BP Norge AS	80.000000	\N	43800	2052695	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	2008-01-01	9999-12-31	BP Norge AS	80.000000	\N	43800	2052695	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	2006-09-06	2008-01-01	DONG E&P Norge AS	5.000000	\N	43800	4070011	9999-12-31	2013-05-08
ULA	019	PRODUCTION LICENSE	1980-05-30	9999-12-31	2008-01-01	9999-12-31	DONG E&P Norge AS	20.000000	\N	43800	4070011	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2009-01-01	2009-01-17	Norske AEDC A/S	10.000000	\N	43807	34	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2009-01-17	2012-03-24	Norske AEDC A/S	10.000000	\N	43807	34	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2012-03-24	9999-12-31	Norske AEDC A/S	10.000000	\N	43807	34	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	1995-01-06	1995-05-04	Deminex Norge AS	10.000000	\N	43807	254	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	1995-05-04	1998-12-17	Deminex Norge AS	10.000000	\N	43807	254	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	25.000000	\N	43807	430	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	25.000000	\N	43807	430	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	2001-06-01	2001-12-31	Norsk Hydro Produksjon AS	25.000000	\N	43807	430	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	1995-01-06	1995-05-04	Petrosaga AS	10.000000	\N	43807	661	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	1995-01-06	1995-05-04	Saga Petroleum ASA	15.000000	\N	43807	716	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	1995-05-04	1998-12-17	Saga Petroleum ASA	25.000000	\N	43807	716	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	1998-12-17	2001-01-11	Saga Petroleum ASA	25.000000	\N	43807	716	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	1995-01-06	1995-05-04	Den norske stats oljeselskap a.s	65.000000	30.000000	43807	749	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	1995-05-04	1998-12-17	Den norske stats oljeselskap a.s	65.000000	30.000000	43807	749	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	1998-12-17	2001-01-11	Den norske stats oljeselskap a.s	65.000000	30.000000	43807	749	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	65.000000	30.000000	43807	749	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	1998-12-17	2001-01-11	RWE Dea Norge AS	10.000000	\N	43807	97557	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	2001-01-11	2001-05-10	RWE Dea Norge AS	10.000000	\N	43807	97557	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	2001-05-10	2001-06-01	RWE Dea Norge AS	10.000000	\N	43807	97557	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	2001-06-01	2001-12-31	RWE Dea Norge AS	10.000000	\N	43807	97557	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2004-06-18	2005-03-30	Paladin Resources Norge AS	50.000000	\N	43807	1577943	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-03-30	2005-05-04	Paladin Resources Norge AS	50.000000	\N	43807	1577943	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-05-04	2005-07-01	Paladin Resources Norge AS	50.000000	\N	43807	1577943	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-07-01	2005-07-02	Paladin Resources Norge AS	40.000000	\N	43807	1577943	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-07-02	2006-03-01	Paladin Resources Norge AS	40.000000	\N	43807	1577943	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2006-03-01	2006-03-22	Paladin Resources Norge AS	40.000000	\N	43807	1577943	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	35.000000	\N	43807	1622484	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	2001-06-01	2001-12-31	Statoil ASA (old)	65.000000	\N	43807	1622484	9999-12-31	2013-05-08
YME	114	PRODUCTION LICENSE	1995-01-06	2001-12-31	2001-05-10	2001-06-01	SDØE	30.000000	\N	43807	1623450	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2004-06-18	2005-03-30	Pertra AS (OLD)	30.000000	\N	43807	2069841	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-07-02	2006-03-01	Talisman Energy Norge AS	30.000000	\N	43807	2425093	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2006-03-01	2006-03-22	Talisman Energy Norge AS	30.000000	\N	43807	2425093	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2006-03-22	2006-03-23	Talisman Energy Norge AS	30.000000	\N	43807	2425093	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2006-03-23	2007-11-16	Talisman Energy Norge AS	70.000000	\N	43807	2425093	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2007-11-16	2008-01-01	Talisman Energy Norge AS	70.000000	\N	43807	2425093	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2008-01-01	2008-01-02	Talisman Energy Norge AS	70.000000	\N	43807	2425093	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2008-01-02	2009-01-01	Talisman Energy Norge AS	70.000000	\N	43807	2425093	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2009-01-01	2009-01-17	Talisman Energy Norge AS	60.000000	\N	43807	2425093	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2009-01-17	2012-03-24	Talisman Energy Norge AS	60.000000	\N	43807	2425093	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2012-03-24	9999-12-31	Talisman Energy Norge AS	60.000000	\N	43807	2425093	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2004-06-18	2005-03-30	Revus Energy AS	20.000000	\N	43807	2455850	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-03-30	2005-05-04	Revus Energy AS	20.000000	\N	43807	2455850	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-03-30	2005-05-04	Talisman Production Norge AS	30.000000	\N	43807	3420565	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-05-04	2005-07-01	Talisman Production Norge AS	30.000000	\N	43807	3420565	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-07-01	2005-07-02	Talisman Production Norge AS	30.000000	\N	43807	3420565	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-07-01	2005-07-02	Pertra AS	10.000000	\N	43807	3425724	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-07-02	2006-03-01	Pertra AS	10.000000	\N	43807	3425724	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-05-04	2005-07-01	Revus Energy ASA	20.000000	\N	43807	3431773	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-07-01	2005-07-02	Revus Energy ASA	20.000000	\N	43807	3431773	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2005-07-02	2006-03-01	Revus Energy ASA	20.000000	\N	43807	3431773	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2006-03-01	2006-03-22	Revus Energy ASA	20.000000	\N	43807	3431773	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2006-03-22	2006-03-23	Revus Energy ASA	20.000000	\N	43807	3431773	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2006-03-23	2007-11-16	Revus Energy ASA	20.000000	\N	43807	3431773	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2007-11-16	2008-01-01	Revus Energy ASA	20.000000	\N	43807	3431773	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2008-01-01	2008-01-02	Revus Energy ASA	10.000000	\N	43807	3431773	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2008-01-02	2009-01-01	Revus Energy ASA	10.000000	\N	43807	3431773	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2009-01-01	2009-01-17	Revus Energy ASA	10.000000	\N	43807	3431773	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2006-03-01	2006-03-22	Pertra ASA	10.000000	\N	43807	3964368	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2006-03-22	2006-03-23	Pertra ASA	10.000000	\N	43807	3964368	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2006-03-23	2007-11-16	Pertra ASA	10.000000	\N	43807	3964368	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2006-03-22	2006-03-23	Talisman Resources Norge AS	40.000000	\N	43807	3987574	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2007-11-16	2008-01-01	Det norske oljeselskap ASA (old)	10.000000	\N	43807	4539989	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	10.000000	\N	43807	4539989	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2008-01-01	2008-01-02	Lotos Exploration and Production Norge AS	10.000000	\N	43807	5064434	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2008-01-02	2009-01-01	Lotos Exploration and Production Norge AS	20.000000	\N	43807	5064434	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2009-01-01	2009-01-17	Lotos Exploration and Production Norge AS	20.000000	\N	43807	5064434	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2009-01-17	2012-03-24	Lotos Exploration and Production Norge AS	20.000000	\N	43807	5064434	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2012-03-24	9999-12-31	Lotos Exploration and Production Norge AS	20.000000	\N	43807	5064434	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2009-01-17	2012-03-24	Wintershall Norge ASA	10.000000	\N	43807	5442509	9999-12-31	2013-05-08
YME	316	PRODUCTION LICENSE	2004-06-18	9999-12-31	2012-03-24	9999-12-31	Wintershall Norge AS	10.000000	\N	43807	21666830	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-01	1987-01-02	Norske Conoco A/S	1.184000	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-02	1988-01-01	Norske Conoco A/S	1.184000	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1988-01-01	1993-04-01	Norske Conoco A/S	2.014560	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1993-04-01	1999-10-01	Norske Conoco A/S	1.661130	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-10-01	1999-12-11	Norske Conoco A/S	1.623740	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-12-11	2000-07-24	Norske Conoco A/S	1.623740	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2000-07-24	2001-01-11	Norske Conoco A/S	1.623740	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-01-11	2001-05-10	Norske Conoco A/S	1.623740	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-05-10	2001-06-01	Norske Conoco A/S	1.623740	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-01	2001-06-17	Norske Conoco A/S	1.623740	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-17	2001-12-18	Norske Conoco A/S	1.623740	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-12-18	2003-03-22	Norske Conoco A/S	1.623740	\N	46437	221	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-02	1988-01-01	Elf Petroleum Norge AS	2.000000	\N	46437	298	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1988-01-01	1993-04-01	Elf Petroleum Norge AS	2.353440	\N	46437	298	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1993-04-01	1999-10-01	Elf Petroleum Norge AS	2.353440	\N	46437	298	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-10-01	1999-12-11	Elf Petroleum Norge AS	2.345480	\N	46437	298	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-12-11	2000-07-24	Elf Petroleum Norge AS	2.345480	\N	46437	298	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-01	1987-01-02	Norsk Hydro Produksjon AS	7.688000	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-02	1988-01-01	Norsk Hydro Produksjon AS	7.688000	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1988-01-01	1993-04-01	Norsk Hydro Produksjon AS	7.688000	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1993-04-01	1999-10-01	Norsk Hydro Produksjon AS	7.688000	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-10-01	1999-12-11	Norsk Hydro Produksjon AS	7.717530	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	7.717530	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	7.717530	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	9.779140	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.779140	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.779140	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	9.779140	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-12-18	2003-03-22	Norsk Hydro Produksjon AS	9.779140	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	9.779140	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	9.779140	\N	46437	430	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-01	1987-01-02	Mobil Development Norway AS	1.184000	\N	46437	474	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-02	1988-01-01	Mobil Development Norway AS	1.184000	\N	46437	474	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-01	1987-01-02	A/S Norske Shell	8.288000	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-02	1988-01-01	A/S Norske Shell	8.288000	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1988-01-01	1993-04-01	A/S Norske Shell	8.288000	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1993-04-01	1999-10-01	A/S Norske Shell	8.288000	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-10-01	1999-12-11	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-12-11	2000-07-24	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2000-07-24	2001-01-11	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-01-11	2001-05-10	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-05-10	2001-06-01	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-01	2001-06-17	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-17	2001-12-18	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-12-18	2003-03-22	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-03-22	2003-05-06	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-05-06	2007-01-01	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-01	2007-01-02	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-02	2007-10-01	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-10-01	2009-01-01	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2009-01-01	2009-11-01	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2009-11-01	9999-12-31	A/S Norske Shell	8.101450	\N	46437	562	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-01	1987-01-02	Saga Petroleum ASA	4.080000	\N	46437	716	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-02	1988-01-01	Saga Petroleum ASA	4.080000	\N	46437	716	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1988-01-01	1993-04-01	Saga Petroleum ASA	4.080000	\N	46437	716	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1993-04-01	1999-10-01	Saga Petroleum ASA	4.080000	\N	46437	716	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-10-01	1999-12-11	Saga Petroleum ASA	4.123220	\N	46437	716	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-12-11	2000-07-24	Saga Petroleum ASA	2.061610	\N	46437	716	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2000-07-24	2001-01-11	Saga Petroleum ASA	2.061610	\N	46437	716	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-01	1987-01-02	Den norske stats oljeselskap a.s	77.576000	62.696000	46437	749	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-02	1988-01-01	Den norske stats oljeselskap a.s	74.576000	62.696000	46437	749	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1988-01-01	1993-04-01	Den norske stats oljeselskap a.s	74.576000	62.696000	46437	749	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1993-04-01	1999-10-01	Den norske stats oljeselskap a.s	74.576000	62.696000	46437	749	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-10-01	1999-12-11	Den norske stats oljeselskap a.s	74.743100	62.927920	46437	749	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	76.804710	62.927920	46437	749	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	76.804710	62.927920	46437	749	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	76.804710	62.927920	46437	749	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1987-01-02	1988-01-01	Total Norge AS	1.000000	\N	46437	848	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1988-01-01	1993-04-01	Total Norge AS	1.000000	\N	46437	848	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1993-04-01	1999-10-01	Total Norge AS	1.353430	\N	46437	848	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-10-01	1999-12-11	Total Norge AS	1.345480	\N	46437	848	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	1999-12-11	2000-07-24	Total Norge AS	1.345480	\N	46437	848	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2000-07-24	2001-01-11	Total Norge AS	1.345480	\N	46437	848	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-01-11	2001-05-10	Total Norge AS	1.345480	\N	46437	848	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-05-10	2001-06-01	Total Norge AS	1.345480	\N	46437	848	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-01	2001-06-17	Total Norge AS	1.345480	\N	46437	848	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	1.345480	\N	46437	848	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	2.345480	\N	46437	1340884	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	2.345480	\N	46437	1340884	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	2.345480	\N	46437	1340884	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	2.345480	\N	46437	1340884	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	2.345480	\N	46437	1340884	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-12-18	2003-03-22	TotalFinaElf Exploration Norge AS	3.690960	\N	46437	1340884	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	3.690960	\N	46437	1340884	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	13.876780	\N	46437	1622484	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	20.804710	\N	46437	1622484	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	20.804710	\N	46437	1622484	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-12-18	2003-03-22	Statoil ASA (old)	20.804710	\N	46437	1622484	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-03-22	2003-05-06	Statoil ASA (old)	20.804710	\N	46437	1622484	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-05-06	2007-01-01	Statoil ASA (old)	20.804710	\N	46437	1622484	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-01	2007-01-02	Statoil ASA (old)	20.804710	\N	46437	1622484	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-02	2007-10-01	Statoil ASA (old)	20.804710	\N	46437	1622484	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-05-10	2001-06-01	SDØE	62.927920	\N	46437	1623450	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-01	2001-06-17	SDØE	56.000000	\N	46437	1623450	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-06-17	2001-12-18	Petoro AS	56.000000	\N	46437	1626839	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2001-12-18	2003-03-22	Petoro AS	56.000000	\N	46437	1626839	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-03-22	2003-05-06	Petoro AS	56.000000	\N	46437	1626839	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-05-06	2007-01-01	Petoro AS	56.000000	\N	46437	1626839	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-01	2007-01-02	Petoro AS	56.000000	\N	46437	1626839	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-02	2007-10-01	Petoro AS	56.000000	\N	46437	1626839	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-10-01	2009-01-01	Petoro AS	56.000000	\N	46437	1626839	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2009-01-01	2009-11-01	Petoro AS	56.000000	\N	46437	1626839	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2009-11-01	9999-12-31	Petoro AS	56.000000	\N	46437	1626839	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-03-22	2003-05-06	Norske ConocoPhillips AS	1.623740	\N	46437	2399056	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-05-06	2007-01-01	Norske ConocoPhillips AS	1.623740	\N	46437	2399056	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-01	2007-01-02	Norske ConocoPhillips AS	1.623740	\N	46437	2399056	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	1.623740	\N	46437	2410696	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	1.623740	\N	46437	2410696	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	1.623740	\N	46437	2410696	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	1.623740	\N	46437	2410696	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2003-05-06	2007-01-01	Total E&P Norge AS	3.690960	\N	46437	2410708	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-01	2007-01-02	Total E&P Norge AS	3.690960	\N	46437	2410708	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-02	2007-10-01	Total E&P Norge AS	3.690960	\N	46437	2410708	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	3.690960	\N	46437	2410708	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	3.690960	\N	46437	2410708	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2009-11-01	9999-12-31	Total E&P Norge AS	3.690960	\N	46437	2410708	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.779140	\N	46437	4511658	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	30.583850	\N	46437	4511658	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	20.804710	\N	46437	4511854	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	9.779140	\N	46437	4524355	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	9.779140	\N	46437	4524355	9999-12-31	2013-05-08
TROLL	TROLL UNIT	BUSINESS ARRANGEMENT AREA	1987-01-01	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	30.583850	\N	46437	17237817	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	1999-02-02	2001-01-23	Norske Conoco A/S	23.336250	\N	97002	221	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-01-23	2001-05-10	Norske Conoco A/S	23.336250	\N	97002	221	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-05-10	2001-06-17	Norske Conoco A/S	23.336250	\N	97002	221	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-06-17	2001-12-18	Norske Conoco A/S	23.336250	\N	97002	221	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-12-18	2003-03-22	Norske Conoco A/S	23.336250	\N	97002	221	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	1999-02-02	2001-01-23	Petro-Canada Norge AS (old)	0.497880	\N	97002	628	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	1999-02-02	2001-01-23	Svenska Petroleum Exploration AS	0.213750	\N	97002	738	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-01-23	2001-05-10	Svenska Petroleum Exploration AS	0.213750	\N	97002	738	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-05-10	2001-06-17	Svenska Petroleum Exploration AS	0.213750	\N	97002	738	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-06-17	2001-12-18	Svenska Petroleum Exploration AS	0.213750	\N	97002	738	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-12-18	2003-03-22	Svenska Petroleum Exploration AS	0.213750	\N	97002	738	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-03-22	2003-05-06	Svenska Petroleum Exploration AS	0.213750	\N	97002	738	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-06	2003-05-22	Svenska Petroleum Exploration AS	0.213750	\N	97002	738	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-22	2004-01-01	Svenska Petroleum Exploration AS	0.213750	\N	97002	738	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	1999-02-02	2001-01-23	Den norske stats oljeselskap a.s	51.620110	31.955340	97002	749	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-01-23	2001-05-10	Den norske stats oljeselskap a.s	51.620110	31.955340	97002	749	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	1999-02-02	2001-01-23	Total Norge AS	24.332010	\N	97002	848	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-01-23	2001-05-10	Total Norge AS	24.332010	\N	97002	848	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-05-10	2001-06-17	Total Norge AS	24.332010	\N	97002	848	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	24.332010	\N	97002	848	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-12-18	2003-03-22	TotalFinaElf Exploration Norge AS	24.332010	\N	97002	1340884	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	24.332010	\N	97002	1340884	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-01-23	2001-05-10	Paladin Resources Norge AS	0.497880	\N	97002	1577943	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-05-10	2001-06-17	Paladin Resources Norge AS	0.497880	\N	97002	1577943	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-06-17	2001-12-18	Paladin Resources Norge AS	0.497880	\N	97002	1577943	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-12-18	2003-03-22	Paladin Resources Norge AS	0.497880	\N	97002	1577943	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-03-22	2003-05-06	Paladin Resources Norge AS	0.497880	\N	97002	1577943	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-06	2003-05-22	Paladin Resources Norge AS	0.497880	\N	97002	1577943	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-22	2004-01-01	Paladin Resources Norge AS	0.497900	\N	97002	1577943	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2004-01-01	2006-03-22	Paladin Resources Norge AS	0.497900	\N	97002	1577943	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	19.664770	\N	97002	1622484	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-06-17	2001-12-18	Statoil ASA (old)	19.664770	\N	97002	1622484	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-12-18	2003-03-22	Statoil ASA (old)	19.664770	\N	97002	1622484	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-03-22	2003-05-06	Statoil ASA (old)	19.664770	\N	97002	1622484	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-06	2003-05-22	Statoil ASA (old)	19.664770	\N	97002	1622484	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-22	2004-01-01	Statoil ASA (old)	19.664760	\N	97002	1622484	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2004-01-01	2006-03-22	Statoil ASA (old)	19.878510	\N	97002	1622484	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2006-03-22	2006-10-13	Statoil ASA (old)	19.878510	\N	97002	1622484	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2006-10-13	2007-01-02	Statoil ASA (old)	19.878510	\N	97002	1622484	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2007-01-02	2007-10-01	Statoil ASA (old)	19.878510	\N	97002	1622484	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-05-10	2001-06-17	SDØE	31.955340	\N	97002	1623450	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-06-17	2001-12-18	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2001-12-18	2003-03-22	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-03-22	2003-05-06	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-06	2003-05-22	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-22	2004-01-01	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2004-01-01	2006-03-22	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2006-03-22	2006-10-13	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2006-10-13	2007-01-02	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2007-01-02	2007-10-01	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2007-10-01	2009-01-01	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-01-01	2009-01-02	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-01-02	2009-11-01	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-11-01	2011-01-01	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2011-01-01	9999-12-31	Petoro AS	31.955340	\N	97002	1626839	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-03-22	2003-05-06	Norske ConocoPhillips AS	23.336250	\N	97002	2399056	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-06	2003-05-22	Norske ConocoPhillips AS	23.336250	\N	97002	2399056	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-22	2004-01-01	Norske ConocoPhillips AS	23.336250	\N	97002	2399056	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2004-01-01	2006-03-22	Norske ConocoPhillips AS	23.336250	\N	97002	2399056	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2006-03-22	2006-10-13	Norske ConocoPhillips AS	23.336250	\N	97002	2399056	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2006-10-13	2007-01-02	Norske ConocoPhillips AS	23.336250	\N	97002	2399056	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	23.336250	\N	97002	2410696	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	23.336250	\N	97002	2410696	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-01-01	2009-01-02	ConocoPhillips Skandinavia AS	23.336250	\N	97002	2410696	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-01-02	2009-11-01	ConocoPhillips Skandinavia AS	23.336250	\N	97002	2410696	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-11-01	2011-01-01	ConocoPhillips Skandinavia AS	23.336250	\N	97002	2410696	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2011-01-01	9999-12-31	ConocoPhillips Skandinavia AS	23.336250	\N	97002	2410696	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-06	2003-05-22	Total E&P Norge AS	24.332010	\N	97002	2410708	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2003-05-22	2004-01-01	Total E&P Norge AS	24.332000	\N	97002	2410708	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2004-01-01	2006-03-22	Total E&P Norge AS	24.332000	\N	97002	2410708	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2006-03-22	2006-10-13	Total E&P Norge AS	24.332000	\N	97002	2410708	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2006-10-13	2007-01-02	Total E&P Norge AS	24.332000	\N	97002	2410708	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2007-01-02	2007-10-01	Total E&P Norge AS	24.332000	\N	97002	2410708	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	24.332000	\N	97002	2410708	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-01-01	2009-01-02	Total E&P Norge AS	24.332000	\N	97002	2410708	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-01-02	2009-11-01	Total E&P Norge AS	24.332000	\N	97002	2410708	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-11-01	2011-01-01	Total E&P Norge AS	24.332000	\N	97002	2410708	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2011-01-01	9999-12-31	Total E&P Norge AS	24.332000	\N	97002	2410708	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2006-10-13	2007-01-02	Talisman Energy Norge AS	0.497900	\N	97002	2425093	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2007-01-02	2007-10-01	Talisman Energy Norge AS	0.497900	\N	97002	2425093	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2007-10-01	2009-01-01	Talisman Energy Norge AS	0.497900	\N	97002	2425093	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-01-01	2009-01-02	Talisman Energy Norge AS	0.497900	\N	97002	2425093	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2011-01-01	9999-12-31	Talisman Energy Norge AS	0.497900	\N	97002	2425093	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2006-03-22	2006-10-13	Talisman Resources Norge AS	0.497900	\N	97002	3987574	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-01-02	2009-11-01	Talisman Resources Norge AS	0.497900	\N	97002	3987574	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-11-01	2011-01-01	Talisman Resources Norge AS	0.497900	\N	97002	3987574	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	19.878510	\N	97002	4511658	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-01-02	2009-11-01	StatoilHydro Petroleum AS	19.878510	\N	97002	4511658	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	19.878510	\N	97002	4511854	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2009-11-01	2011-01-01	Statoil Petroleum AS	19.878510	\N	97002	17237817	9999-12-31	2013-05-08
HULDRA	HULDRA UNIT	BUSINESS ARRANGEMENT AREA	1999-02-02	9999-12-31	2011-01-01	9999-12-31	Statoil Petroleum AS	19.878510	\N	97002	17237817	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-04-30	1999-12-11	Norske Conoco A/S	6.645800	\N	104718	221	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-12-11	2000-07-24	Norske Conoco A/S	6.645800	\N	104718	221	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2000-07-24	2001-01-11	Norske Conoco A/S	6.645800	\N	104718	221	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-01-11	2001-05-10	Norske Conoco A/S	6.645800	\N	104718	221	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-05-10	2001-06-01	Norske Conoco A/S	6.645800	\N	104718	221	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-01	2001-06-17	Norske Conoco A/S	6.645800	\N	104718	221	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-17	2001-12-31	Norske Conoco A/S	6.645800	\N	104718	221	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-12-31	2002-01-01	Norske Conoco A/S	6.645800	\N	104718	221	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2002-01-01	2003-03-22	Norske Conoco A/S	6.645800	\N	104718	221	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-04-30	1999-12-11	Elf Petroleum Norge AS	2.520000	\N	104718	298	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-12-11	2000-07-24	Elf Petroleum Norge AS	2.520000	\N	104718	298	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-04-30	1999-12-11	Enterprise Oil Norwegian AS	0.572900	\N	104718	342	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-12-11	2000-07-24	Enterprise Oil Norwegian AS	0.572900	\N	104718	342	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2000-07-24	2001-01-11	Enterprise Oil Norwegian AS	0.572900	\N	104718	342	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	0.572900	\N	104718	342	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	0.572900	\N	104718	342	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-01	2001-06-17	Enterprise Oil Norwegian AS	0.572900	\N	104718	342	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	0.572900	\N	104718	342	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-04-30	1999-12-11	Esso Exploration and Production Norway A/S	10.225000	\N	104718	353	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-12-11	2000-07-24	Esso Exploration and Production Norway A/S	10.225000	\N	104718	353	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2000-07-24	2001-01-11	Esso Exploration and Production Norway A/S	10.225000	\N	104718	353	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-01-11	2001-05-10	Esso Exploration and Production Norway A/S	10.225000	\N	104718	353	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	10.225000	\N	104718	353	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-01	2001-06-17	Esso Exploration and Production Norway A/S	10.225000	\N	104718	353	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-17	2001-12-31	Esso Exploration and Production Norway A/S	10.225000	\N	104718	353	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-12-31	2002-01-01	Esso Exploration and Production Norway A/S	10.225000	\N	104718	353	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2002-01-01	2003-03-22	Esso Exploration and Production Norway A/S	18.475000	\N	104718	353	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-03-22	2003-05-06	Esso Exploration and Production Norway A/S	18.475000	\N	104718	353	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	18.475000	\N	104718	353	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-04-30	1999-12-11	Norsk Hydro Produksjon AS	3.780000	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	3.780000	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	3.780000	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	5.976300	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	5.976300	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	5.976300	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-17	2001-12-31	Norsk Hydro Produksjon AS	5.976300	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-12-31	2002-01-01	Norsk Hydro Produksjon AS	5.976300	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2002-01-01	2003-03-22	Norsk Hydro Produksjon AS	5.976300	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	5.976300	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	5.976300	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	5.976300	\N	104718	430	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-04-30	1999-12-11	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-12-11	2000-07-24	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2000-07-24	2001-01-11	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-01-11	2001-05-10	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-05-10	2001-06-01	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-01	2001-06-17	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-17	2001-12-31	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-12-31	2002-01-01	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2002-01-01	2003-03-22	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-03-22	2003-05-06	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-05-06	2004-10-01	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2004-10-01	2007-01-01	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-01	2007-01-02	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-02	2007-10-01	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-01-01	2009-11-01	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-11-01	2010-01-01	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2010-01-01	2012-01-01	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	2012-12-06	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-01-01	2012-04-30	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-04-30	9999-12-31	Idemitsu Petroleum Norge AS	4.320000	\N	104718	441	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-04-30	1999-12-11	Mobil Development Norway AS	8.250000	\N	104718	474	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-12-11	2000-07-24	Mobil Development Norway AS	8.250000	\N	104718	474	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2000-07-24	2001-01-11	Mobil Development Norway AS	8.250000	\N	104718	474	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-01-11	2001-05-10	Mobil Development Norway AS	8.250000	\N	104718	474	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-05-10	2001-06-01	Mobil Development Norway AS	8.250000	\N	104718	474	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-01	2001-06-17	Mobil Development Norway AS	8.250000	\N	104718	474	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-17	2001-12-31	Mobil Development Norway AS	8.250000	\N	104718	474	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-12-31	2002-01-01	Mobil Development Norway AS	8.250000	\N	104718	474	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-04-30	1999-12-11	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-12-11	2000-07-24	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2000-07-24	2001-01-11	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-01-11	2001-05-10	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-05-10	2001-06-01	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-01	2001-06-17	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-17	2001-12-31	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-12-31	2002-01-01	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2002-01-01	2003-03-22	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-03-22	2003-05-06	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-05-06	2004-10-01	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2004-10-01	2007-01-01	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-01	2007-01-02	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-02	2007-10-01	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-10-01	2009-01-01	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-01-01	2009-11-01	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-11-01	2010-01-01	A/S Norske Shell	5.500000	\N	104718	562	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-04-30	1999-12-11	Saga Petroleum ASA	4.496300	\N	104718	716	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-12-11	2000-07-24	Saga Petroleum ASA	2.196300	\N	104718	716	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2000-07-24	2001-01-11	Saga Petroleum ASA	2.196300	\N	104718	716	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-04-30	1999-12-11	Den norske stats oljeselskap a.s	52.430000	39.450000	104718	749	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	54.730000	39.450000	104718	749	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	54.730000	39.450000	104718	749	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	54.730000	39.450000	104718	749	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-04-30	1999-12-11	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	1999-12-11	2000-07-24	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2000-07-24	2001-01-11	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-01-11	2001-05-10	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-05-10	2001-06-01	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-01	2001-06-17	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-17	2001-12-31	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-12-31	2002-01-01	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2002-01-01	2003-03-22	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-03-22	2003-05-06	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-05-06	2004-10-01	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2004-10-01	2007-01-01	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-01	2007-01-02	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-02	2007-10-01	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-10-01	2009-01-01	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-01-01	2009-11-01	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-11-01	2010-01-01	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2010-01-01	2012-01-01	RWE Dea Norge AS	1.260000	\N	104718	97557	2012-12-06	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-01-01	2012-04-30	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-04-30	9999-12-31	RWE Dea Norge AS	1.260000	\N	104718	97557	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	2.520000	\N	104718	1340884	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	2.520000	\N	104718	1340884	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	2.520000	\N	104718	1340884	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	2.520000	\N	104718	1340884	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-17	2001-12-31	TotalFinaElf Exploration Norge AS	2.520000	\N	104718	1340884	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-12-31	2002-01-01	TotalFinaElf Exploration Norge AS	2.520000	\N	104718	1340884	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2002-01-01	2003-03-22	TotalFinaElf Exploration Norge AS	2.520000	\N	104718	1340884	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	2.520000	\N	104718	1340884	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	15.280000	\N	104718	1622484	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	24.730000	\N	104718	1622484	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-17	2001-12-31	Statoil ASA (old)	24.730000	\N	104718	1622484	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-12-31	2002-01-01	Statoil ASA (old)	24.730000	\N	104718	1622484	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2002-01-01	2003-03-22	Statoil ASA (old)	24.730000	\N	104718	1622484	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-03-22	2003-05-06	Statoil ASA (old)	24.730000	\N	104718	1622484	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-05-06	2004-10-01	Statoil ASA (old)	24.730000	\N	104718	1622484	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2004-10-01	2007-01-01	Statoil ASA (old)	24.730000	\N	104718	1622484	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-01	2007-01-02	Statoil ASA (old)	24.730000	\N	104718	1622484	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-02	2007-10-01	Statoil ASA (old)	24.730000	\N	104718	1622484	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-05-10	2001-06-01	SDØE	39.450000	\N	104718	1623450	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-01	2001-06-17	SDØE	30.000000	\N	104718	1623450	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-06-17	2001-12-31	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-12-31	2002-01-01	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2002-01-01	2003-03-22	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-03-22	2003-05-06	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-05-06	2004-10-01	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-01	2007-01-02	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-02	2007-10-01	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-01-01	2009-11-01	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-11-01	2010-01-01	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2010-01-01	2012-01-01	Petoro AS	30.000000	\N	104718	1626839	2012-12-06	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-01-01	2012-04-30	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	104718	1626839	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2001-12-31	2002-01-01	Enterprise Oil Norge AS	0.572900	\N	104718	1853786	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2002-01-01	2003-03-22	Enterprise Oil Norge AS	0.572900	\N	104718	1853786	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-03-22	2003-05-06	Enterprise Oil Norge AS	0.572900	\N	104718	1853786	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-05-06	2004-10-01	Enterprise Oil Norge AS	0.572900	\N	104718	1853786	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2004-10-01	2007-01-01	Enterprise Oil Norge AS	0.572900	\N	104718	1853786	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-01	2007-01-02	Enterprise Oil Norge AS	0.572900	\N	104718	1853786	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-02	2007-10-01	Enterprise Oil Norge AS	0.572900	\N	104718	1853786	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-10-01	2009-01-01	Enterprise Oil Norge AS	0.572900	\N	104718	1853786	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-01-01	2009-11-01	Enterprise Oil Norge AS	0.572900	\N	104718	1853786	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-11-01	2010-01-01	Enterprise Oil Norge AS	0.572900	\N	104718	1853786	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-03-22	2003-05-06	Norske ConocoPhillips AS	6.645800	\N	104718	2399056	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-05-06	2004-10-01	Norske ConocoPhillips AS	6.645800	\N	104718	2399056	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2004-10-01	2007-01-01	Norske ConocoPhillips AS	6.645800	\N	104718	2399056	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-01	2007-01-02	Norske ConocoPhillips AS	6.645800	\N	104718	2399056	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	6.645800	\N	104718	2410696	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	6.645800	\N	104718	2410696	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	6.645800	\N	104718	2410696	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-11-01	2010-01-01	ConocoPhillips Skandinavia AS	6.645800	\N	104718	2410696	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2010-01-01	2012-01-01	ConocoPhillips Skandinavia AS	6.645800	\N	104718	2410696	2012-12-06	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-01-01	2012-04-30	ConocoPhillips Skandinavia AS	6.645800	\N	104718	2410696	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2003-05-06	2004-10-01	Total E&P Norge AS	2.520000	\N	104718	2410708	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2004-10-01	2007-01-01	Total E&P Norge AS	2.520000	\N	104718	2410708	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-01	2007-01-02	Total E&P Norge AS	2.520000	\N	104718	2410708	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-02	2007-10-01	Total E&P Norge AS	2.520000	\N	104718	2410708	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	2.520000	\N	104718	2410708	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	2.520000	\N	104718	2410708	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-11-01	2010-01-01	Total E&P Norge AS	2.520000	\N	104718	2410708	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2010-01-01	2012-01-01	Total E&P Norge AS	2.520000	\N	104718	2410708	2012-12-06	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	104718	2835212	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-01	2007-01-02	ExxonMobil Exploration & Production Norway AS	18.475000	\N	104718	2835212	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-02	2007-10-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	104718	2835212	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	104718	2835212	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	104718	2835212	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-11-01	2010-01-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	104718	2835212	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2010-01-01	2012-01-01	ExxonMobil Exploration & Production Norway AS	18.475000	\N	104718	2835212	2012-12-06	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-01-01	2012-04-30	ExxonMobil Exploration & Production Norway AS	20.995000	\N	104718	2835212	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-04-30	9999-12-31	ExxonMobil Exploration & Production Norway AS	20.995000	\N	104718	2835212	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2010-01-01	2012-01-01	Centrica Resources (Norge) AS	6.072900	\N	104718	4238233	2012-12-06	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-01-01	2012-04-30	Centrica Resources (Norge) AS	6.072900	\N	104718	4238233	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	12.718700	\N	104718	4238233	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	5.976300	\N	104718	4511658	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	30.706300	\N	104718	4511658	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	24.730000	\N	104718	4511854	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	5.976300	\N	104718	4524355	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	5.976300	\N	104718	4524355	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2009-11-01	2010-01-01	Statoil Petroleum AS	30.706300	\N	104718	17237817	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2010-01-01	2012-01-01	Statoil Petroleum AS	30.706300	\N	104718	17237817	2012-12-06	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-01-01	2012-04-30	Statoil Petroleum AS	30.706300	\N	104718	17237817	9999-12-31	2013-05-08
SYGNA	SYGNA UNIT	BUSINESS ARRANGEMENT AREA	1999-04-30	9999-12-31	2012-04-30	9999-12-31	Statoil Petroleum AS	30.706300	\N	104718	17237817	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	1999-12-17	2000-07-24	Elf Petroleum Norge AS	10.000000	\N	853376	298	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	1999-12-17	2000-07-24	Norsk Hydro Produksjon AS	30.000000	\N	853376	430	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	853376	430	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	30.000000	\N	853376	430	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	30.000000	\N	853376	430	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2001-12-18	2002-03-19	Norsk Hydro Produksjon AS	30.000000	\N	853376	430	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2002-03-19	2003-05-06	Norsk Hydro Produksjon AS	40.000000	\N	853376	430	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	40.000000	\N	853376	430	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	853376	430	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	1999-12-17	2000-07-24	Den norske stats oljeselskap a.s	50.000000	50.000000	853376	749	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	50.000000	50.000000	853376	749	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	1999-12-17	2000-07-24	Total Norge AS	10.000000	\N	853376	848	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2000-07-24	2001-05-10	Total Norge AS	10.000000	\N	853376	848	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2001-05-10	2001-06-17	Total Norge AS	10.000000	\N	853376	848	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2001-06-17	2001-12-18	Total Norge AS	10.000000	\N	853376	848	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	10.000000	\N	853376	1340884	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	10.000000	\N	853376	1340884	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	10.000000	\N	853376	1340884	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2001-12-18	2002-03-19	TotalFinaElf Exploration Norge AS	20.000000	\N	853376	1340884	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2002-03-19	2003-05-06	TotalFinaElf Exploration Norge AS	20.000000	\N	853376	1340884	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2004-01-01	2007-01-01	Statoil ASA (old)	10.000000	\N	853376	1622484	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	10.000000	\N	853376	1622484	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2001-05-10	2001-06-17	SDØE	50.000000	\N	853376	1623450	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2001-06-17	2001-12-18	Petoro AS	50.000000	\N	853376	1626839	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2001-12-18	2002-03-19	Petoro AS	50.000000	\N	853376	1626839	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2002-03-19	2003-05-06	Petoro AS	40.000000	\N	853376	1626839	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2003-05-06	2004-01-01	Petoro AS	40.000000	\N	853376	1626839	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2004-01-01	2007-01-01	Petoro AS	40.000000	\N	853376	1626839	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2007-01-01	2007-10-01	Petoro AS	40.000000	\N	853376	1626839	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2007-10-01	2009-01-01	Petoro AS	40.000000	\N	853376	1626839	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2009-01-01	2009-11-02	Petoro AS	40.000000	\N	853376	1626839	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2009-11-02	9999-12-31	Petoro AS	40.000000	\N	853376	1626839	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2003-05-06	2004-01-01	Total E&P Norge AS	20.000000	\N	853376	2410708	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2004-01-01	2007-01-01	Total E&P Norge AS	10.000000	\N	853376	2410708	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	853376	2410708	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	10.000000	\N	853376	2410708	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	853376	2410708	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2009-11-02	9999-12-31	Total E&P Norge AS	10.000000	\N	853376	2410708	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	853376	4511658	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	853376	4511658	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	10.000000	\N	853376	4511854	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	853376	4524355	9999-12-31	2013-05-08
TUNE	190	PRODUCTION LICENSE	1999-12-17	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	50.000000	\N	853376	17237817	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2000-04-03	2001-05-10	Pelican AS	15.000000	\N	1028599	606	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2001-05-10	2001-06-17	Pelican AS	15.000000	\N	1028599	606	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2001-06-17	2002-03-12	Pelican AS	15.000000	\N	1028599	606	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2002-03-12	2002-03-19	Pelican AS	15.000000	\N	1028599	606	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2002-03-19	2002-04-17	Pelican AS	45.000000	\N	1028599	606	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2000-04-03	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	1028599	749	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2000-04-03	2001-05-10	BP Amoco Norge AS	55.000000	\N	1028599	982372	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2001-05-10	2001-06-17	BP Amoco Norge AS	55.000000	\N	1028599	982372	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2001-06-17	2002-03-12	BP Amoco Norge AS	55.000000	\N	1028599	982372	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2001-05-10	2001-06-17	SDØE	30.000000	\N	1028599	1623450	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2001-06-17	2002-03-12	Petoro AS	30.000000	\N	1028599	1626839	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2002-03-12	2002-03-19	Petoro AS	30.000000	\N	1028599	1626839	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2002-04-17	2006-09-06	DONG Norge AS	45.000000	\N	1028599	1853083	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2002-03-12	2002-03-19	BP Norge AS	55.000000	\N	1028599	2052695	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2002-03-19	2002-04-17	BP Norge AS	55.000000	\N	1028599	2052695	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2002-04-17	2006-09-06	BP Norge AS	55.000000	\N	1028599	2052695	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2006-09-06	9999-12-31	BP Norge AS	55.000000	\N	1028599	2052695	9999-12-31	2013-05-08
TAMBAR	065	PRODUCTION LICENSE	2000-04-03	9999-12-31	2006-09-06	9999-12-31	DONG E&P Norge AS	45.000000	\N	1028599	4070011	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-01-01	2001-05-10	Norske Conoco A/S	6.400000	\N	1035937	221	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-05-10	2001-06-17	Norske Conoco A/S	6.400000	\N	1035937	221	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-06-17	2002-03-19	Norske Conoco A/S	6.400000	\N	1035937	221	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2002-03-19	2003-03-22	Norske Conoco A/S	6.400000	\N	1035937	221	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2000-06-14	2001-01-01	Esso Exploration and Production Norway A/S	25.600000	\N	1035937	353	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-01-01	2001-05-10	Esso Exploration and Production Norway A/S	25.600000	\N	1035937	353	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	25.600000	\N	1035937	353	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-06-17	2002-03-19	Esso Exploration and Production Norway A/S	25.600000	\N	1035937	353	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2002-03-19	2003-03-22	Esso Exploration and Production Norway A/S	25.600000	\N	1035937	353	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2003-03-22	2004-10-01	Esso Exploration and Production Norway A/S	25.600000	\N	1035937	353	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2000-06-14	2001-01-01	Norsk Hydro Produksjon AS	24.400000	\N	1035937	430	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-01-01	2001-05-10	Norsk Hydro Produksjon AS	24.400000	\N	1035937	430	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	24.400000	\N	1035937	430	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	24.400000	\N	1035937	430	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2002-03-19	2003-03-22	Norsk Hydro Produksjon AS	38.000000	\N	1035937	430	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2003-03-22	2004-10-01	Norsk Hydro Produksjon AS	38.000000	\N	1035937	430	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	38.000000	\N	1035937	430	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2000-06-14	2001-01-01	Den norske stats oljeselskap a.s	50.000000	43.600000	1035937	749	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-01-01	2001-05-10	Den norske stats oljeselskap a.s	43.600000	43.600000	1035937	749	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-05-10	2001-06-17	SDØE	43.600000	\N	1035937	1623450	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2001-06-17	2002-03-19	Petoro AS	43.600000	\N	1035937	1626839	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2002-03-19	2003-03-22	Petoro AS	30.000000	\N	1035937	1626839	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2003-03-22	2004-10-01	Petoro AS	30.000000	\N	1035937	1626839	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	1035937	1626839	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-01-01	2007-01-02	Petoro AS	30.000000	\N	1035937	1626839	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-01-02	2007-10-01	Petoro AS	30.000000	\N	1035937	1626839	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	1035937	1626839	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2009-01-01	2009-11-01	Petoro AS	28.942500	\N	1035937	1626839	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2009-11-01	9999-12-31	Petoro AS	28.942500	\N	1035937	1626839	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2003-03-22	2004-10-01	Norske ConocoPhillips AS	6.400000	\N	1035937	2399056	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2004-10-01	2007-01-01	Norske ConocoPhillips AS	6.400000	\N	1035937	2399056	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-01-01	2007-01-02	Norske ConocoPhillips AS	6.400000	\N	1035937	2399056	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	6.400000	\N	1035937	2410696	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	6.400000	\N	1035937	2410696	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	6.174400	\N	1035937	2410696	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	6.174400	\N	1035937	2410696	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	25.600000	\N	1035937	2835212	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-01-01	2007-01-02	ExxonMobil Exploration & Production Norway AS	25.600000	\N	1035937	2835212	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-01-02	2007-10-01	ExxonMobil Exploration & Production Norway AS	25.600000	\N	1035937	2835212	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	25.600000	\N	1035937	2835212	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	28.222600	\N	1035937	2835212	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	28.222600	\N	1035937	2835212	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	38.000000	\N	1035937	4511658	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	36.660500	\N	1035937	4511658	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	38.000000	\N	1035937	4524355	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	38.000000	\N	1035937	4524355	9999-12-31	2013-05-08
GRANE	GRANE UNIT	BUSINESS ARRANGEMENT AREA	2000-06-14	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	36.660500	\N	1035937	17237817	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2000-06-14	2000-07-24	Elf Petroleum Norge AS	5.000000	\N	1036101	298	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2000-06-14	2000-07-24	Norsk Hydro Produksjon AS	15.000000	\N	1036101	430	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	15.000000	\N	1036101	430	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	15.000000	\N	1036101	430	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	15.000000	\N	1036101	430	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-06-17	2003-05-06	Norsk Hydro Produksjon AS	15.000000	\N	1036101	430	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2003-05-06	2005-01-01	Norsk Hydro Produksjon AS	15.000000	\N	1036101	430	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2005-01-01	2007-01-01	Norsk Hydro Produksjon AS	15.000000	\N	1036101	430	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2000-06-14	2000-07-24	Den norske stats oljeselskap a.s	80.000000	40.000000	1036101	749	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	80.000000	40.000000	1036101	749	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	5.000000	\N	1036101	1340884	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	5.000000	\N	1036101	1340884	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	5.000000	\N	1036101	1340884	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-06-17	2003-05-06	TotalFinaElf Exploration Norge AS	5.000000	\N	1036101	1340884	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	40.000000	\N	1036101	1622484	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-06-01	2001-06-17	Statoil ASA (old)	50.000000	\N	1036101	1622484	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-06-17	2003-05-06	Statoil ASA (old)	50.000000	\N	1036101	1622484	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2003-05-06	2005-01-01	Statoil ASA (old)	50.000000	\N	1036101	1622484	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2005-01-01	2007-01-01	Statoil ASA (old)	43.550000	\N	1036101	1622484	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	43.550000	\N	1036101	1622484	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-05-10	2001-06-01	SDØE	40.000000	\N	1036101	1623450	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-06-01	2001-06-17	SDØE	30.000000	\N	1036101	1623450	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2001-06-17	2003-05-06	Petoro AS	30.000000	\N	1036101	1626839	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2003-05-06	2005-01-01	Petoro AS	30.000000	\N	1036101	1626839	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2005-01-01	2007-01-01	Petoro AS	30.000000	\N	1036101	1626839	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	1036101	1626839	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	1036101	1626839	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	1036101	1626839	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2009-11-02	2012-04-30	Petoro AS	30.000000	\N	1036101	1626839	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	1036101	1626839	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2005-01-01	2007-01-01	Enterprise Oil Norge AS	6.450000	\N	1036101	1853786	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2007-01-01	2007-10-01	Enterprise Oil Norge AS	6.450000	\N	1036101	1853786	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2007-10-01	2009-01-01	Enterprise Oil Norge AS	6.450000	\N	1036101	1853786	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2009-01-01	2009-11-02	Enterprise Oil Norge AS	6.450000	\N	1036101	1853786	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2009-11-02	2012-04-30	Enterprise Oil Norge AS	6.450000	\N	1036101	1853786	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2012-04-30	9999-12-31	Enterprise Oil Norge AS	6.450000	\N	1036101	1853786	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2003-05-06	2005-01-01	Total E&P Norge AS	5.000000	\N	1036101	2410708	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2005-01-01	2007-01-01	Total E&P Norge AS	5.000000	\N	1036101	2410708	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	5.000000	\N	1036101	2410708	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	5.000000	\N	1036101	2410708	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	5.000000	\N	1036101	2410708	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2009-11-02	2012-04-30	Total E&P Norge AS	5.000000	\N	1036101	2410708	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2012-04-30	9999-12-31	Total E&P Norge AS	5.000000	\N	1036101	2410708	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	19.000000	\N	1036101	4238233	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	15.000000	\N	1036101	4511658	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	58.550000	\N	1036101	4511658	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	43.550000	\N	1036101	4511854	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	15.000000	\N	1036101	4524355	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2009-11-02	2012-04-30	Statoil Petroleum AS	58.550000	\N	1036101	17237817	9999-12-31	2013-05-08
KVITEBJØRN	193	PRODUCTION LICENSE	2000-06-14	9999-12-31	2012-04-30	9999-12-31	Statoil Petroleum AS	39.550000	\N	1036101	17237817	9999-12-31	2013-05-08
GLITNE	048	PRODUCTION LICENSE	2000-09-08	2001-01-09	2000-09-08	2001-01-09	Norsk Hydro Produksjon AS	9.300000	\N	1272071	430	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-01-10	2001-01-24	Norsk Hydro Produksjon AS	9.300000	\N	1272071	430	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-01-24	2001-01-25	Pelican AS	9.300000	\N	1272071	606	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-01-25	2001-05-10	Pelican AS	9.300000	\N	1272071	606	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-05-10	2001-06-01	Pelican AS	9.300000	\N	1272071	606	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-06-01	2002-04-17	Pelican AS	9.300000	\N	1272071	606	9999-12-31	2013-05-08
GLITNE	048	PRODUCTION LICENSE	2000-09-08	2001-01-09	2000-09-08	2001-01-09	Den norske stats oljeselskap a.s	68.900000	30.000000	1272071	749	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-01-10	2001-01-24	Den norske stats oljeselskap a.s	68.900000	30.000000	1272071	749	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-01-24	2001-01-25	Den norske stats oljeselskap a.s	68.900000	30.000000	1272071	749	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-01-25	2001-05-10	Den norske stats oljeselskap a.s	58.900000	30.000000	1272071	749	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-01-25	2001-05-10	Det Norske Oljeselskap AS	10.000000	\N	1272071	1340609	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-05-10	2001-06-01	Det Norske Oljeselskap AS	10.000000	\N	1272071	1340609	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-06-01	2002-04-17	Det Norske Oljeselskap AS	10.000000	\N	1272071	1340609	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2002-04-17	2003-05-06	Det Norske Oljeselskap AS	10.000000	\N	1272071	1340609	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2003-05-06	2006-09-06	Det Norske Oljeselskap AS	10.000000	\N	1272071	1340609	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2006-09-06	2007-06-20	Det Norske Oljeselskap AS	10.000000	\N	1272071	1340609	9999-12-31	2013-05-08
GLITNE	048	PRODUCTION LICENSE	2000-09-08	2001-01-09	2000-09-08	2001-01-09	TotalFinaElf Exploration Norge AS	21.800000	\N	1272071	1340884	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-01-10	2001-01-24	TotalFinaElf Exploration Norge AS	21.800000	\N	1272071	1340884	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-01-24	2001-01-25	TotalFinaElf Exploration Norge AS	21.800000	\N	1272071	1340884	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-01-25	2001-05-10	TotalFinaElf Exploration Norge AS	21.800000	\N	1272071	1340884	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	21.800000	\N	1272071	1340884	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-06-01	2002-04-17	TotalFinaElf Exploration Norge AS	21.800000	\N	1272071	1340884	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2002-04-17	2003-05-06	TotalFinaElf Exploration Norge AS	21.800000	\N	1272071	1340884	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	28.900000	\N	1272071	1622484	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-06-01	2002-04-17	Statoil ASA (old)	58.900000	\N	1272071	1622484	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2002-04-17	2003-05-06	Statoil ASA (old)	58.900000	\N	1272071	1622484	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2003-05-06	2006-09-06	Statoil ASA (old)	58.900000	\N	1272071	1622484	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2006-09-06	2007-06-20	Statoil ASA (old)	58.900000	\N	1272071	1622484	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-06-20	2007-10-01	Statoil ASA (old)	58.900000	\N	1272071	1622484	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2001-05-10	2001-06-01	SDØE	30.000000	\N	1272071	1623450	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2002-04-17	2003-05-06	DONG Norge AS	9.300000	\N	1272071	1853083	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2003-05-06	2006-09-06	DONG Norge AS	9.300000	\N	1272071	1853083	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2003-05-06	2006-09-06	Total E&P Norge AS	21.800000	\N	1272071	2410708	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2006-09-06	2007-06-20	Total E&P Norge AS	21.800000	\N	1272071	2410708	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-06-20	2007-10-01	Total E&P Norge AS	21.800000	\N	1272071	2410708	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-10-01	2007-11-16	Total E&P Norge AS	21.800000	\N	1272071	2410708	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-11-16	2008-01-01	Total E&P Norge AS	21.800000	\N	1272071	2410708	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2008-01-01	2009-01-01	Total E&P Norge AS	21.800000	\N	1272071	2410708	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-01-01	2009-01-02	Total E&P Norge AS	21.800000	\N	1272071	2410708	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-01-02	2009-11-02	Total E&P Norge AS	21.800000	\N	1272071	2410708	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-11-02	2009-12-22	Total E&P Norge AS	21.800000	\N	1272071	2410708	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-12-22	9999-12-31	Total E&P Norge AS	21.800000	\N	1272071	2410708	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-01-02	2009-11-02	Faroe Petroleum Norge AS	9.300000	\N	1272071	4062883	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-11-02	2009-12-22	Faroe Petroleum Norge AS	9.300000	\N	1272071	4062883	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-12-22	9999-12-31	Faroe Petroleum Norge AS	9.300000	\N	1272071	4062883	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2006-09-06	2007-06-20	DONG E&P Norge AS	9.300000	\N	1272071	4070011	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-06-20	2007-10-01	DONG E&P Norge AS	9.300000	\N	1272071	4070011	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-10-01	2007-11-16	DONG E&P Norge AS	9.300000	\N	1272071	4070011	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-11-16	2008-01-01	DONG E&P Norge AS	9.300000	\N	1272071	4070011	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2008-01-01	2009-01-01	DONG E&P Norge AS	9.300000	\N	1272071	4070011	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-01-01	2009-01-02	DONG E&P Norge AS	9.300000	\N	1272071	4070011	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	10.000000	\N	1272071	4468177	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	10.000000	\N	1272071	4468177	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	58.900000	\N	1272071	4511658	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	58.900000	\N	1272071	4511658	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-10-01	2007-11-16	StatoilHydro ASA	58.900000	\N	1272071	4511854	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-11-16	2008-01-01	StatoilHydro ASA	58.900000	\N	1272071	4511854	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	58.900000	\N	1272071	4511854	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2007-11-16	2008-01-01	Noil Energy ASA	10.000000	\N	1272071	4539976	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2008-01-01	2009-01-01	Det norske oljeselskap ASA (old)	10.000000	\N	1272071	4539989	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-01-01	2009-01-02	Det norske oljeselskap ASA (old)	10.000000	\N	1272071	4539989	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-01-02	2009-11-02	Det norske oljeselskap ASA (old)	10.000000	\N	1272071	4539989	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	10.000000	\N	1272071	4539989	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-11-02	2009-12-22	Statoil Petroleum AS	58.900000	\N	1272071	17237817	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-12-22	9999-12-31	Statoil Petroleum AS	58.900000	\N	1272071	17237817	9999-12-31	2013-05-08
GLITNE	048 B	PRODUCTION LICENSE	2001-01-10	9999-12-31	2009-12-22	9999-12-31	Det norske oljeselskap ASA	10.000000	\N	1272071	17342870	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-03-23	2001-05-10	Norsk Hydro Produksjon AS	25.000000	\N	1578840	430	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	25.000000	\N	1578840	430	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	25.000000	\N	1578840	430	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2002-03-19	2007-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1578840	430	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2002-03-19	2007-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	1578840	441	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-01-01	2007-10-01	Idemitsu Petroleum Norge AS	15.000000	\N	1578840	441	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-10-01	2008-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	1578840	441	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2008-01-01	2009-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	1578840	441	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-01-01	2009-01-02	Idemitsu Petroleum Norge AS	15.000000	\N	1578840	441	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-01-02	2009-11-02	Idemitsu Petroleum Norge AS	15.000000	\N	1578840	441	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-11-02	9999-12-31	Idemitsu Petroleum Norge AS	15.000000	\N	1578840	441	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-03-23	2001-05-10	Mobil Development Norway AS	25.000000	\N	1578840	474	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-05-10	2001-06-17	Mobil Development Norway AS	25.000000	\N	1578840	474	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-06-17	2002-03-19	Mobil Development Norway AS	25.000000	\N	1578840	474	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2002-03-19	2007-01-01	Mobil Development Norway AS	25.000000	\N	1578840	474	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-01-01	2007-10-01	Mobil Development Norway AS	25.000000	\N	1578840	474	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-10-01	2008-01-01	Mobil Development Norway AS	25.000000	\N	1578840	474	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-03-23	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	1578840	749	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-05-10	2001-06-17	Statoil ASA (old)	20.000000	\N	1578840	1622484	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-06-17	2002-03-19	Statoil ASA (old)	20.000000	\N	1578840	1622484	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2002-03-19	2007-01-01	Statoil ASA (old)	20.000000	\N	1578840	1622484	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	20.000000	\N	1578840	1622484	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-05-10	2001-06-17	SDØE	30.000000	\N	1578840	1623450	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-06-17	2002-03-19	Petoro AS	30.000000	\N	1578840	1626839	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2002-03-19	2007-01-01	Gaz de France Norge AS	15.000000	\N	1578840	1628733	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-01-01	2007-10-01	Gaz de France Norge AS	15.000000	\N	1578840	1628733	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-10-01	2008-01-01	Gaz de France Norge AS	15.000000	\N	1578840	1628733	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2008-01-01	2009-01-01	Gaz de France Norge AS	15.000000	\N	1578840	1628733	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	1578840	2835212	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-01-01	2009-01-02	ExxonMobil Exploration & Production Norway AS	25.000000	\N	1578840	2835212	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-01-02	2009-11-02	ExxonMobil Exploration & Production Norway AS	25.000000	\N	1578840	2835212	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	25.000000	\N	1578840	2835212	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	25.000000	\N	1578840	4511658	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	25.000000	\N	1578840	4511658	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	25.000000	\N	1578840	4511658	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	45.000000	\N	1578840	4511658	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	20.000000	\N	1578840	4511854	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	20.000000	\N	1578840	4511854	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	1578840	4511854	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	25.000000	\N	1578840	4524355	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	15.000000	\N	1578840	5267845	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	15.000000	\N	1578840	5267845	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	15.000000	\N	1578840	5267845	9999-12-31	2013-05-08
FRAM	090	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	45.000000	\N	1578840	17237817	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-03-23	2001-12-18	Norsk Hydro Produksjon AS	28.531000	\N	1578893	430	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	28.531000	\N	1578893	430	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	28.531000	\N	1578893	430	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	28.853000	\N	1578893	430	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-03-23	2001-12-18	Marathon Petroleum Norge AS	46.904000	\N	1578893	463	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-12-18	2003-05-06	Marathon Petroleum Norge AS	46.904000	\N	1578893	463	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2003-05-06	2004-01-01	Marathon Petroleum Norge AS	46.904000	\N	1578893	463	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2004-01-01	2007-01-01	Marathon Petroleum Norge AS	46.904000	\N	1578893	463	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-01-01	2007-10-01	Marathon Petroleum Norge AS	46.904000	\N	1578893	463	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-10-01	2008-01-01	Marathon Petroleum Norge AS	46.904000	\N	1578893	463	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-03-23	2001-12-18	Total Norge AS	5.541000	\N	1578893	848	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-03-23	2001-12-18	AS Uglands Rederi	0.322000	\N	1578893	40103	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-12-18	2003-05-06	AS Uglands Rederi	0.322000	\N	1578893	40103	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2003-05-06	2004-01-01	AS Uglands Rederi	0.322000	\N	1578893	40103	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-03-23	2001-12-18	TotalFinaElf Exploration Norge AS	18.702000	\N	1578893	1340884	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	24.243000	\N	1578893	1340884	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2003-05-06	2004-01-01	Total E&P Norge AS	24.243000	\N	1578893	2410708	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2004-01-01	2007-01-01	Total E&P Norge AS	24.243000	\N	1578893	2410708	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	24.243000	\N	1578893	2410708	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-10-01	2008-01-01	Total E&P Norge AS	24.243000	\N	1578893	2410708	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2008-01-01	2009-11-02	Total E&P Norge AS	24.243000	\N	1578893	2410708	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-11-02	2012-04-30	Total E&P Norge AS	24.243000	\N	1578893	2410708	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2012-04-30	9999-12-31	Total E&P Norge AS	24.243000	\N	1578893	2410708	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2008-01-01	2009-11-02	Centrica Resources (Norge) AS	46.904000	\N	1578893	4238233	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-11-02	2012-04-30	Centrica Resources (Norge) AS	46.904000	\N	1578893	4238233	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	75.757000	\N	1578893	4238233	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	28.853000	\N	1578893	4511658	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2008-01-01	2009-11-02	StatoilHydro Petroleum AS	28.853000	\N	1578893	4511658	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	28.853000	\N	1578893	4524355	9999-12-31	2013-05-08
VALE	036	PRODUCTION LICENSE	2001-03-23	9999-12-31	2009-11-02	2012-04-30	Statoil Petroleum AS	28.853000	\N	1578893	17237817	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2001-08-31	2004-10-01	Esso Exploration and Production Norway A/S	40.000000	\N	1630100	353	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2001-08-31	2004-10-01	Norsk Hydro Produksjon AS	10.000000	\N	1630100	430	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	1630100	430	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2001-08-31	2004-10-01	Statoil ASA (old)	50.000000	\N	1630100	1622484	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2004-10-01	2007-01-01	Statoil ASA (old)	50.000000	\N	1630100	1622484	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	50.000000	\N	1630100	1622484	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	40.000000	\N	1630100	2835212	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	40.000000	\N	1630100	2835212	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	40.000000	\N	1630100	2835212	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	40.000000	\N	1630100	2835212	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	40.000000	\N	1630100	2835212	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	10.000000	\N	1630100	4511658	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	1630100	4511658	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	1630100	4511854	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	1630100	4524355	9999-12-31	2013-05-08
SIGYN	072	PRODUCTION LICENSE	2001-08-31	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	60.000000	\N	1630100	17237817	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2002-01-01	2003-03-04	Norsk Agip  AS	7.900000	\N	1630514	45	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2003-03-04	2003-12-31	Norsk Agip  AS	7.900000	\N	1630514	45	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2001-09-14	2002-01-01	Norsk Hydro Produksjon AS	10.000000	\N	1630514	430	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2002-01-01	2003-03-04	Norsk Hydro Produksjon AS	10.000000	\N	1630514	430	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2003-03-04	2003-12-31	Norsk Hydro Produksjon AS	10.000000	\N	1630514	430	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2003-12-31	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	1630514	430	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	1630514	430	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2001-09-14	2002-01-01	Mobil Development Norway AS	33.480000	\N	1630514	474	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2002-01-01	2003-03-04	Mobil Development Norway AS	33.480000	\N	1630514	474	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2003-03-04	2003-12-31	Mobil Development Norway AS	33.480000	\N	1630514	474	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2003-12-31	2004-01-01	Mobil Development Norway AS	33.480000	\N	1630514	474	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2004-01-01	2007-01-01	Mobil Development Norway AS	33.480000	\N	1630514	474	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2007-01-01	2007-10-01	Mobil Development Norway AS	33.480000	\N	1630514	474	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2007-10-01	2008-01-01	Mobil Development Norway AS	33.480000	\N	1630514	474	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2008-01-01	2008-01-02	Mobil Development Norway AS	33.480000	\N	1630514	474	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2002-01-01	2003-03-04	Fortum Petroleum AS	7.000000	\N	1630514	102714	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2001-09-14	2002-01-01	Statoil ASA (old)	56.520000	\N	1630514	1622484	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2002-01-01	2003-03-04	Statoil ASA (old)	41.620000	\N	1630514	1622484	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2003-03-04	2003-12-31	Statoil ASA (old)	41.620000	\N	1630514	1622484	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2003-12-31	2004-01-01	Statoil ASA (old)	41.620000	\N	1630514	1622484	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2004-01-01	2007-01-01	Statoil ASA (old)	33.970000	\N	1630514	1622484	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	33.970000	\N	1630514	1622484	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2003-03-04	2003-12-31	Eni Norge AS	7.000000	\N	1630514	2388594	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2003-12-31	2004-01-01	Eni Norge AS	14.900000	\N	1630514	2388594	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2004-01-01	2007-01-01	Eni Norge AS	14.900000	\N	1630514	2388594	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	14.900000	\N	1630514	2388594	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2007-10-01	2008-01-01	Eni Norge AS	14.900000	\N	1630514	2388594	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2008-01-01	2008-01-02	Eni Norge AS	14.900000	\N	1630514	2388594	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2008-01-02	2009-01-01	Eni Norge AS	14.900000	\N	1630514	2388594	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2009-01-01	2009-11-01	Eni Norge AS	14.900000	\N	1630514	2388594	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2009-11-01	9999-12-31	Eni Norge AS	14.900000	\N	1630514	2388594	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2004-01-01	2007-01-01	Total E&P Norge AS	7.650000	\N	1630514	2410708	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	7.650000	\N	1630514	2410708	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2007-10-01	2008-01-01	Total E&P Norge AS	7.650000	\N	1630514	2410708	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2008-01-01	2008-01-02	Total E&P Norge AS	7.650000	\N	1630514	2410708	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2008-01-02	2009-01-01	Total E&P Norge AS	7.650000	\N	1630514	2410708	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	7.650000	\N	1630514	2410708	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2009-11-01	9999-12-31	Total E&P Norge AS	7.650000	\N	1630514	2410708	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	33.480000	\N	1630514	2835212	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	33.480000	\N	1630514	2835212	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	33.480000	\N	1630514	2835212	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	10.000000	\N	1630514	4511658	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	43.970000	\N	1630514	4511658	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	33.970000	\N	1630514	4511854	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2008-01-01	2008-01-02	StatoilHydro ASA	43.970000	\N	1630514	4511854	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2008-01-02	2009-01-01	StatoilHydro ASA	43.970000	\N	1630514	4511854	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	1630514	4524355	9999-12-31	2013-05-08
MIKKEL	MIKKEL UNIT	BUSINESS ARRANGEMENT AREA	2001-09-14	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	43.970000	\N	1630514	17237817	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2001-12-18	2003-05-06	Norsk Agip  AS	9.000000	\N	1854729	45	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-05-06	2003-12-31	Norsk Agip  AS	9.000000	\N	1854729	45	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	12.000000	\N	1854729	430	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	12.000000	\N	1854729	430	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-12-31	2004-01-01	Norsk Hydro Produksjon AS	12.000000	\N	1854729	430	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-01	2004-01-02	Norsk Hydro Produksjon AS	14.000000	\N	1854729	430	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-02	2005-07-01	Norsk Hydro Produksjon AS	14.000000	\N	1854729	430	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2005-07-01	2007-01-01	Norsk Hydro Produksjon AS	14.000000	\N	1854729	430	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2001-12-18	2003-05-06	Mobil Development Norway AS	10.500000	\N	1854729	474	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-05-06	2003-12-31	Mobil Development Norway AS	10.500000	\N	1854729	474	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-12-31	2004-01-01	Mobil Development Norway AS	10.500000	\N	1854729	474	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-01	2004-01-02	Mobil Development Norway AS	10.500000	\N	1854729	474	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-02	2005-07-01	Mobil Development Norway AS	10.500000	\N	1854729	474	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2005-07-01	2007-01-01	Mobil Development Norway AS	10.876100	\N	1854729	474	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-01-01	2007-10-01	Mobil Development Norway AS	10.876100	\N	1854729	474	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-10-01	2008-01-01	Mobil Development Norway AS	10.876100	\N	1854729	474	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2008-01-01	2008-01-02	Mobil Development Norway AS	10.876100	\N	1854729	474	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	3.000000	\N	1854729	1340884	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2001-12-18	2003-05-06	Statoil ASA (old)	46.600000	\N	1854729	1622484	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-05-06	2003-12-31	Statoil ASA (old)	46.600000	\N	1854729	1622484	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-12-31	2004-01-01	Statoil ASA (old)	46.600000	\N	1854729	1622484	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-01	2004-01-02	Statoil ASA (old)	44.600000	\N	1854729	1622484	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-02	2005-07-01	Statoil ASA (old)	41.600000	\N	1854729	1622484	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2005-07-01	2007-01-01	Statoil ASA (old)	41.299100	\N	1854729	1622484	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	41.299100	\N	1854729	1622484	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2001-12-18	2003-05-06	Petoro AS	18.900000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-05-06	2003-12-31	Petoro AS	18.900000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-12-31	2004-01-01	Petoro AS	18.900000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-01	2004-01-02	Petoro AS	18.900000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-02	2005-07-01	Petoro AS	18.900000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2005-07-01	2007-01-01	Petoro AS	19.577000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-01-01	2007-10-01	Petoro AS	19.577000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-10-01	2008-01-01	Petoro AS	19.577000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2008-01-01	2008-01-02	Petoro AS	19.577000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2008-01-02	2009-01-01	Petoro AS	19.577000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2009-01-01	2009-11-01	Petoro AS	19.577000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2009-11-01	9999-12-31	Petoro AS	19.577000	\N	1854729	1626839	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-12-31	2004-01-01	Eni Norge AS	9.000000	\N	1854729	2388594	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-01	2004-01-02	Eni Norge AS	9.000000	\N	1854729	2388594	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-02	2005-07-01	Eni Norge AS	9.000000	\N	1854729	2388594	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2005-07-01	2007-01-01	Eni Norge AS	8.247800	\N	1854729	2388594	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	8.247800	\N	1854729	2388594	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-10-01	2008-01-01	Eni Norge AS	8.247800	\N	1854729	2388594	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2008-01-01	2008-01-02	Eni Norge AS	8.247800	\N	1854729	2388594	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2008-01-02	2009-01-01	Eni Norge AS	8.247800	\N	1854729	2388594	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2009-01-01	2009-11-01	Eni Norge AS	8.247800	\N	1854729	2388594	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2009-11-01	9999-12-31	Eni Norge AS	8.247800	\N	1854729	2388594	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-05-06	2003-12-31	Total E&P Norge AS	3.000000	\N	1854729	2410708	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2003-12-31	2004-01-01	Total E&P Norge AS	3.000000	\N	1854729	2410708	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-01	2004-01-02	Total E&P Norge AS	3.000000	\N	1854729	2410708	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2004-01-02	2005-07-01	Total E&P Norge AS	6.000000	\N	1854729	2410708	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2005-07-01	2007-01-01	Total E&P Norge AS	6.000000	\N	1854729	2410708	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	6.000000	\N	1854729	2410708	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-10-01	2008-01-01	Total E&P Norge AS	6.000000	\N	1854729	2410708	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2008-01-01	2008-01-02	Total E&P Norge AS	6.000000	\N	1854729	2410708	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2008-01-02	2009-01-01	Total E&P Norge AS	6.000000	\N	1854729	2410708	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	6.000000	\N	1854729	2410708	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2009-11-01	9999-12-31	Total E&P Norge AS	6.000000	\N	1854729	2410708	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	10.876100	\N	1854729	2835212	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	10.876100	\N	1854729	2835212	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	10.876100	\N	1854729	2835212	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	14.000000	\N	1854729	4511658	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	55.299100	\N	1854729	4511658	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	41.299100	\N	1854729	4511854	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2008-01-01	2008-01-02	StatoilHydro ASA	55.299100	\N	1854729	4511854	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2008-01-02	2009-01-01	StatoilHydro ASA	55.299100	\N	1854729	4511854	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	14.000000	\N	1854729	4524355	9999-12-31	2013-05-08
KRISTIN	HALTENBANKEN VEST UNIT	BUSINESS ARRANGEMENT AREA	2001-12-17	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	55.299100	\N	1854729	17237817	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2002-03-07	2003-05-06	Amerada Hess Norge AS	3.260000	\N	2053062	67	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2003-05-06	2004-01-01	Amerada Hess Norge AS	3.260000	\N	2053062	67	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2004-01-01	2006-06-26	Amerada Hess Norge AS	3.260000	\N	2053062	67	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2002-03-07	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	2053062	430	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	2053062	430	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2002-03-07	2003-05-06	Svenska Petroleum Exploration AS	1.240000	\N	2053062	738	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2003-05-06	2004-01-01	Svenska Petroleum Exploration AS	1.240000	\N	2053062	738	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2002-03-07	2003-05-06	RWE Dea Norge AS	2.810000	\N	2053062	97557	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2003-05-06	2004-01-01	RWE Dea Norge AS	2.810000	\N	2053062	97557	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2004-01-01	2006-06-26	RWE Dea Norge AS	2.810000	\N	2053062	97557	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2006-06-26	2007-10-01	RWE Dea Norge AS	2.810000	\N	2053062	97557	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2007-10-01	2009-01-01	RWE Dea Norge AS	2.810000	\N	2053062	97557	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-01	2009-01-02	RWE Dea Norge AS	2.810000	\N	2053062	97557	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-02	2009-11-01	RWE Dea Norge AS	2.810000	\N	2053062	97557	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-11-01	2011-01-01	RWE Dea Norge AS	2.810000	\N	2053062	97557	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2011-01-01	9999-12-31	RWE Dea Norge AS	2.810000	\N	2053062	97557	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2002-03-07	2003-05-06	TotalFinaElf Exploration Norge AS	18.400000	\N	2053062	1340884	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2002-03-07	2003-05-06	Statoil ASA (old)	22.290000	\N	2053062	1622484	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2003-05-06	2004-01-01	Statoil ASA (old)	22.290000	\N	2053062	1622484	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2004-01-01	2006-06-26	Statoil ASA (old)	33.530000	\N	2053062	1622484	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2006-06-26	2007-10-01	Statoil ASA (old)	33.530000	\N	2053062	1622484	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2002-03-07	2003-05-06	Petoro AS	30.000000	\N	2053062	1626839	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2003-05-06	2004-01-01	Petoro AS	30.000000	\N	2053062	1626839	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2004-01-01	2006-06-26	Petoro AS	30.000000	\N	2053062	1626839	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2006-06-26	2007-10-01	Petoro AS	30.000000	\N	2053062	1626839	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	2053062	1626839	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	2053062	1626839	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-02	2009-11-01	Petoro AS	30.000000	\N	2053062	1626839	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-11-01	2011-01-01	Petoro AS	30.000000	\N	2053062	1626839	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2011-01-01	9999-12-31	Petoro AS	30.000000	\N	2053062	1626839	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2002-03-07	2003-05-06	Gaz de France Norge AS	12.000000	\N	2053062	1628733	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2003-05-06	2004-01-01	Gaz de France Norge AS	12.000000	\N	2053062	1628733	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2004-01-01	2006-06-26	Gaz de France Norge AS	12.000000	\N	2053062	1628733	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2006-06-26	2007-10-01	Gaz de France Norge AS	12.000000	\N	2053062	1628733	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2007-10-01	2009-01-01	Gaz de France Norge AS	12.000000	\N	2053062	1628733	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2003-05-06	2004-01-01	Total E&P Norge AS	18.400000	\N	2053062	2410708	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2004-01-01	2006-06-26	Total E&P Norge AS	18.400000	\N	2053062	2410708	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2006-06-26	2007-10-01	Total E&P Norge AS	18.400000	\N	2053062	2410708	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	18.400000	\N	2053062	2410708	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-01	2009-01-02	Total E&P Norge AS	18.400000	\N	2053062	2410708	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-02	2009-11-01	Total E&P Norge AS	18.400000	\N	2053062	2410708	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-11-01	2011-01-01	Total E&P Norge AS	18.400000	\N	2053062	2410708	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2011-01-01	9999-12-31	Total E&P Norge AS	18.400000	\N	2053062	2410708	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2006-06-26	2007-10-01	Hess Norge AS	3.260000	\N	2053062	4038735	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2007-10-01	2009-01-01	Hess Norge AS	3.260000	\N	2053062	4038735	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-01	2009-01-02	Hess Norge AS	3.260000	\N	2053062	4038735	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-02	2009-11-01	Hess Norge AS	3.260000	\N	2053062	4038735	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-11-01	2011-01-01	Hess Norge AS	3.260000	\N	2053062	4038735	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-02	2009-11-01	StatoilHydro Petroleum AS	33.530000	\N	2053062	4511658	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	33.530000	\N	2053062	4511854	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-01	2009-01-02	StatoilHydro ASA	33.530000	\N	2053062	4511854	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	2053062	5267845	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-01-02	2009-11-01	GDF SUEZ E&P Norge AS	12.000000	\N	2053062	5267845	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2009-11-01	9999-12-31	Petoro AS	24.186300	\N	4005142	1626839	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-11-01	2011-01-01	GDF SUEZ E&P Norge AS	12.000000	\N	2053062	5267845	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2011-01-01	9999-12-31	GDF SUEZ E&P Norge AS	12.000000	\N	2053062	5267845	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2009-11-01	2011-01-01	Statoil Petroleum AS	33.530000	\N	2053062	17237817	9999-12-31	2013-05-08
SNØHVIT	SNØHVIT UNIT	BUSINESS ARRANGEMENT AREA	2002-03-07	9999-12-31	2011-01-01	9999-12-31	Statoil Petroleum AS	36.790000	\N	2053062	17237817	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2002-07-05	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	2138816	430	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	2138816	430	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2002-07-05	2003-05-06	Marathon Petroleum Norge AS	20.000000	\N	2138816	463	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2003-05-06	2007-01-01	Marathon Petroleum Norge AS	20.000000	\N	2138816	463	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2007-01-01	2007-10-01	Marathon Petroleum Norge AS	20.000000	\N	2138816	463	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2007-10-01	2008-01-01	Marathon Petroleum Norge AS	20.000000	\N	2138816	463	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2002-07-05	2003-05-06	TotalFinaElf Exploration Norge AS	40.000000	\N	2138816	1340884	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2002-07-05	2003-05-06	Petoro AS	30.000000	\N	2138816	1626839	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2003-05-06	2007-01-01	Petoro AS	30.000000	\N	2138816	1626839	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	2138816	1626839	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2007-10-01	2008-01-01	Petoro AS	30.000000	\N	2138816	1626839	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2008-01-01	2009-11-02	Petoro AS	30.000000	\N	2138816	1626839	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2009-11-02	2012-04-30	Petoro AS	30.000000	\N	2138816	1626839	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	2138816	1626839	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2003-05-06	2007-01-01	Total E&P Norge AS	40.000000	\N	2138816	2410708	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	40.000000	\N	2138816	2410708	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2007-10-01	2008-01-01	Total E&P Norge AS	40.000000	\N	2138816	2410708	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2008-01-01	2009-11-02	Total E&P Norge AS	40.000000	\N	2138816	2410708	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2009-11-02	2012-04-30	Total E&P Norge AS	40.000000	\N	2138816	2410708	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2012-04-30	9999-12-31	Total E&P Norge AS	40.000000	\N	2138816	2410708	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2008-01-01	2009-11-02	Centrica Resources (Norge) AS	20.000000	\N	2138816	4238233	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2009-11-02	2012-04-30	Centrica Resources (Norge) AS	20.000000	\N	2138816	4238233	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	30.000000	\N	2138816	4238233	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	10.000000	\N	2138816	4511658	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2008-01-01	2009-11-02	StatoilHydro Petroleum AS	10.000000	\N	2138816	4511658	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	2138816	4524355	9999-12-31	2013-05-08
SKIRNE	102	PRODUCTION LICENSE	2002-07-05	9999-12-31	2009-11-02	2012-04-30	Statoil Petroleum AS	10.000000	\N	2138816	17237817	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-04-02	2004-10-01	Esso Exploration and Production Norway A/S	7.228600	\N	2762452	353	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-04-02	2004-10-01	Norsk Hydro Produksjon AS	18.072800	\N	2762452	430	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-10-01	2005-01-01	Norsk Hydro Produksjon AS	18.072800	\N	2762452	430	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2005-01-01	2006-09-06	Norsk Hydro Produksjon AS	18.072800	\N	2762452	430	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2006-09-06	2007-01-01	Norsk Hydro Produksjon AS	18.072800	\N	2762452	430	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-04-02	2004-10-01	A/S Norske Shell	17.037500	\N	2762452	562	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-10-01	2005-01-01	A/S Norske Shell	17.037500	\N	2762452	562	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2005-01-01	2006-09-06	A/S Norske Shell	17.037500	\N	2762452	562	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2006-09-06	2007-01-01	A/S Norske Shell	17.037500	\N	2762452	562	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-01-01	2007-10-01	A/S Norske Shell	17.037500	\N	2762452	562	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-10-01	2009-01-01	A/S Norske Shell	17.037500	\N	2762452	562	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2009-01-01	2009-11-01	A/S Norske Shell	17.037500	\N	2762452	562	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2009-11-01	9999-12-31	A/S Norske Shell	17.037500	\N	2762452	562	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-04-02	2004-10-01	Statoil ASA (old)	10.844100	\N	2762452	1622484	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-10-01	2005-01-01	Statoil ASA (old)	10.844100	\N	2762452	1622484	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2005-01-01	2006-09-06	Statoil ASA (old)	10.844100	\N	2762452	1622484	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2006-09-06	2007-01-01	Statoil ASA (old)	10.844100	\N	2762452	1622484	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	10.844100	\N	2762452	1622484	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-04-02	2004-10-01	Petoro AS	36.475000	\N	2762452	1626839	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-10-01	2005-01-01	Petoro AS	36.475000	\N	2762452	1626839	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2005-01-01	2006-09-06	Petoro AS	36.475000	\N	2762452	1626839	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2006-09-06	2007-01-01	Petoro AS	36.475000	\N	2762452	1626839	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-01-01	2007-10-01	Petoro AS	36.475000	\N	2762452	1626839	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-10-01	2009-01-01	Petoro AS	36.475000	\N	2762452	1626839	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2009-01-01	2009-11-01	Petoro AS	36.475000	\N	2762452	1626839	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2009-11-01	9999-12-31	Petoro AS	36.475000	\N	2762452	1626839	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2005-01-01	2006-09-06	DONG Norge AS	10.342000	\N	2762452	1853083	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-04-02	2004-10-01	BP Norge AS	10.342000	\N	2762452	2052695	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-10-01	2005-01-01	BP Norge AS	10.342000	\N	2762452	2052695	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2762452	2835212	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2005-01-01	2006-09-06	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2762452	2835212	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2006-09-06	2007-01-01	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2762452	2835212	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2762452	2835212	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2762452	2835212	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2762452	2835212	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2009-11-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	7.228600	\N	2762452	2835212	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2006-09-06	2007-01-01	DONG E&P Norge AS	10.342000	\N	2762452	4070011	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-01-01	2007-10-01	DONG E&P Norge AS	10.342000	\N	2762452	4070011	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-10-01	2009-01-01	DONG E&P Norge AS	10.342000	\N	2762452	4070011	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2009-01-01	2009-11-01	DONG E&P Norge AS	10.342000	\N	2762452	4070011	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2009-11-01	9999-12-31	DONG E&P Norge AS	10.342000	\N	2762452	4070011	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	18.072800	\N	2762452	4511658	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	28.916900	\N	2762452	4511658	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	10.844100	\N	2762452	4511854	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	18.072800	\N	2762452	4524355	9999-12-31	2013-05-08
ORMEN LANGE	ORMEN LANGE UNIT	BUSINESS ARRANGEMENT AREA	2004-04-02	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	28.916900	\N	2762452	17237817	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2004-07-02	2005-01-01	Norsk Hydro Produksjon AS	13.500000	\N	2834734	430	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2005-01-01	2007-01-01	Norsk Hydro Produksjon AS	13.500000	\N	2834734	430	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2004-07-02	2005-01-01	Statoil ASA (old)	40.454550	\N	2834734	1622484	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2005-01-01	2007-01-01	Statoil ASA (old)	50.454550	\N	2834734	1622484	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	50.454550	\N	2834734	1622484	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2004-07-02	2005-01-01	Petoro AS	24.545460	\N	2834734	1626839	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2005-01-01	2007-01-01	Petoro AS	24.545460	\N	2834734	1626839	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2007-01-01	2007-10-01	Petoro AS	24.545460	\N	2834734	1626839	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2007-10-01	2008-01-01	Petoro AS	24.545460	\N	2834734	1626839	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2008-01-01	2009-01-01	Petoro AS	24.545460	\N	2834734	1626839	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2009-01-01	2009-11-02	Petoro AS	24.545460	\N	2834734	1626839	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2009-11-02	9999-12-31	Petoro AS	24.545460	\N	2834734	1626839	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2004-07-02	2005-01-01	Enterprise Oil Norge AS	10.000000	\N	2834734	1853786	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2004-07-02	2005-01-01	Eni Norge AS	11.500000	\N	2834734	2388594	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2005-01-01	2007-01-01	Eni Norge AS	11.500000	\N	2834734	2388594	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	11.500000	\N	2834734	2388594	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2007-10-01	2008-01-01	Eni Norge AS	11.500000	\N	2834734	2388594	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2008-01-01	2009-01-01	Eni Norge AS	11.500000	\N	2834734	2388594	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2009-01-01	2009-11-02	Eni Norge AS	11.500000	\N	2834734	2388594	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2009-11-02	9999-12-31	Eni Norge AS	11.500000	\N	2834734	2388594	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	13.500000	\N	2834734	4511658	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	63.954550	\N	2834734	4511658	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	50.454550	\N	2834734	4511854	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	63.954550	\N	2834734	4511854	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	13.500000	\N	2834734	4524355	9999-12-31	2013-05-08
URD	128	PRODUCTION LICENSE	2004-07-02	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	63.954550	\N	2834734	17237817	9999-12-31	2013-05-08
ALVHEIM	203	PRODUCTION LICENSE	2004-10-06	9999-12-31	2004-10-06	2007-01-01	Marathon Petroleum Norge AS	65.000000	\N	2845712	463	9999-12-31	2013-05-08
ALVHEIM	203	PRODUCTION LICENSE	2004-10-06	9999-12-31	2007-01-01	2011-07-04	Marathon Petroleum Norge AS	65.000000	\N	2845712	463	9999-12-31	2013-05-08
ALVHEIM	203	PRODUCTION LICENSE	2004-10-06	9999-12-31	2004-10-06	2007-01-01	Norske ConocoPhillips AS	20.000000	\N	2845712	2399056	9999-12-31	2013-05-08
ALVHEIM	203	PRODUCTION LICENSE	2004-10-06	9999-12-31	2007-01-01	2011-07-04	ConocoPhillips Skandinavia AS	20.000000	\N	2845712	2410696	9999-12-31	2013-05-08
ALVHEIM	203	PRODUCTION LICENSE	2004-10-06	9999-12-31	2011-07-04	9999-12-31	ConocoPhillips Skandinavia AS	20.000000	\N	2845712	2410696	9999-12-31	2013-05-08
ALVHEIM	203	PRODUCTION LICENSE	2004-10-06	9999-12-31	2004-10-06	2007-01-01	Lundin Norway AS	15.000000	\N	2845712	2767314	9999-12-31	2013-05-08
ALVHEIM	203	PRODUCTION LICENSE	2004-10-06	9999-12-31	2007-01-01	2011-07-04	Lundin Norway AS	15.000000	\N	2845712	2767314	9999-12-31	2013-05-08
ALVHEIM	203	PRODUCTION LICENSE	2004-10-06	9999-12-31	2011-07-04	9999-12-31	Lundin Norway AS	15.000000	\N	2845712	2767314	9999-12-31	2013-05-08
ALVHEIM	203	PRODUCTION LICENSE	2004-10-06	9999-12-31	2011-07-04	9999-12-31	Marathon Oil Norge AS	65.000000	\N	2845712	20485291	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2005-03-18	2007-01-01	Norsk Hydro Produksjon AS	28.853000	\N	3392471	430	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2005-03-18	2007-01-01	Marathon Petroleum Norge AS	46.904000	\N	3392471	463	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2007-01-01	2007-10-01	Marathon Petroleum Norge AS	46.904000	\N	3392471	463	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2007-10-01	2008-01-01	Marathon Petroleum Norge AS	46.904000	\N	3392471	463	9999-12-31	2013-05-08
VILJE	036 D	PRODUCTION LICENSE	2008-10-17	9999-12-31	2008-10-17	2009-11-02	Marathon Petroleum Norge AS	46.904000	\N	3392471	463	9999-12-31	2013-05-08
VILJE	036 D	PRODUCTION LICENSE	2008-10-17	9999-12-31	2009-11-02	2011-07-04	Marathon Petroleum Norge AS	46.904000	\N	3392471	463	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2005-03-18	2007-01-01	Total E&P Norge AS	24.243000	\N	3392471	2410708	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2007-01-01	2007-10-01	Total E&P Norge AS	24.243000	\N	3392471	2410708	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2007-10-01	2008-01-01	Total E&P Norge AS	24.243000	\N	3392471	2410708	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2008-01-01	2008-10-16	Total E&P Norge AS	24.243000	\N	3392471	2410708	9999-12-31	2013-05-08
VILJE	036 D	PRODUCTION LICENSE	2008-10-17	9999-12-31	2008-10-17	2009-11-02	Total E&P Norge AS	24.243000	\N	3392471	2410708	9999-12-31	2013-05-08
VILJE	036 D	PRODUCTION LICENSE	2008-10-17	9999-12-31	2009-11-02	2011-07-04	Total E&P Norge AS	24.243000	\N	3392471	2410708	9999-12-31	2013-05-08
VILJE	036 D	PRODUCTION LICENSE	2008-10-17	9999-12-31	2011-07-04	9999-12-31	Total E&P Norge AS	24.243000	\N	3392471	2410708	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2008-01-01	2008-10-16	Centrica Resources (Norge) AS	46.904000	\N	3392471	4238233	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	28.853000	\N	3392471	4511658	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2008-01-01	2008-10-16	StatoilHydro Petroleum AS	28.853000	\N	3392471	4511658	9999-12-31	2013-05-08
VILJE	036 D	PRODUCTION LICENSE	2008-10-17	9999-12-31	2008-10-17	2009-11-02	StatoilHydro Petroleum AS	28.853000	\N	3392471	4511658	9999-12-31	2013-05-08
VILJE	036	PRODUCTION LICENSE	2005-03-18	2008-10-16	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	28.853000	\N	3392471	4524355	9999-12-31	2013-05-08
VILJE	036 D	PRODUCTION LICENSE	2008-10-17	9999-12-31	2009-11-02	2011-07-04	Statoil Petroleum AS	28.853000	\N	3392471	17237817	9999-12-31	2013-05-08
VILJE	036 D	PRODUCTION LICENSE	2008-10-17	9999-12-31	2011-07-04	9999-12-31	Statoil Petroleum AS	28.853000	\N	3392471	17237817	9999-12-31	2013-05-08
VILJE	036 D	PRODUCTION LICENSE	2008-10-17	9999-12-31	2011-07-04	9999-12-31	Marathon Oil Norge AS	46.904000	\N	3392471	20485291	9999-12-31	2013-05-08
VOLVE	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-04-22	2006-11-27	2005-04-22	2006-11-27	Norsk Hydro Produksjon AS	10.000000	\N	3420717	430	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2006-11-28	2006-11-29	Norsk Hydro Produksjon AS	10.000000	\N	3420717	430	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2006-11-29	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	3420717	430	9999-12-31	2013-05-08
VOLVE	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-04-22	2006-11-27	2005-04-22	2006-11-27	Statoil ASA (old)	49.600000	\N	3420717	1622484	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2006-11-28	2006-11-29	Statoil ASA (old)	49.600000	\N	3420717	1622484	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2006-11-29	2007-01-01	Statoil ASA (old)	49.600000	\N	3420717	1622484	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	49.600000	\N	3420717	1622484	9999-12-31	2013-05-08
VOLVE	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-04-22	2006-11-27	2005-04-22	2006-11-27	Total E&P Norge AS	10.000000	\N	3420717	2410708	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2006-11-28	2006-11-29	Total E&P Norge AS	10.000000	\N	3420717	2410708	9999-12-31	2013-05-08
VOLVE	SLEIPNER ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-04-22	2006-11-27	2005-04-22	2006-11-27	ExxonMobil Exploration & Production Norway AS	30.400000	\N	3420717	2835212	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2006-11-28	2006-11-29	ExxonMobil Exploration & Production Norway AS	30.400000	\N	3420717	2835212	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2006-11-29	2007-01-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	3420717	2835212	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	3420717	2835212	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	3420717	2835212	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-01-01	2009-01-21	ExxonMobil Exploration & Production Norway AS	30.400000	\N	3420717	2835212	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-01-21	2009-03-23	ExxonMobil Exploration & Production Norway AS	30.400000	\N	3420717	2835212	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-03-23	2009-11-02	ExxonMobil Exploration & Production Norway AS	30.400000	\N	3420717	2835212	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	30.400000	\N	3420717	2835212	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2006-11-29	2007-01-01	PA Resources Norway AS	10.000000	\N	3420717	3986418	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2007-01-01	2007-10-01	PA Resources Norway AS	10.000000	\N	3420717	3986418	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2007-10-01	2009-01-01	PA Resources Norway AS	10.000000	\N	3420717	3986418	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-01-01	2009-01-21	PA Resources Norway AS	10.000000	\N	3420717	3986418	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-03-23	2009-11-02	Bayerngas Norge AS	10.000000	\N	3420717	4444493	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-11-02	9999-12-31	Bayerngas Norge AS	10.000000	\N	3420717	4444493	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	10.000000	\N	3420717	4511658	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-01-01	2009-01-21	StatoilHydro Petroleum AS	59.600000	\N	3420717	4511658	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-01-21	2009-03-23	StatoilHydro Petroleum AS	59.600000	\N	3420717	4511658	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-03-23	2009-11-02	StatoilHydro Petroleum AS	59.600000	\N	3420717	4511658	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	49.600000	\N	3420717	4511854	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	3420717	4524355	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-01-21	2009-03-23	Bayerngas Produksjon Norge AS	10.000000	\N	3420717	5461974	9999-12-31	2013-05-08
VOLVE	046 BS	PRODUCTION LICENSE	2006-11-28	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	59.600000	\N	3420717	17237817	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-12-19	Paladin Resources Norge AS	11.700000	\N	3437650	1577943	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-03-22	Paladin Resources Norge AS	11.700000	\N	3437650	1577943	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-12-19	Talisman Energy Norge AS	6.300000	\N	3437650	2425093	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-03-22	Talisman Energy Norge AS	6.300000	\N	3437650	2425093	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-03-22	2006-10-13	Talisman Energy Norge AS	6.300000	\N	3437650	2425093	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-13	2006-10-31	Talisman Energy Norge AS	18.000000	\N	3437650	2425093	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2008-07-15	Talisman Energy Norge AS	18.000000	\N	3437650	2425093	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-07-15	2010-01-01	Talisman Energy Norge AS	18.000000	\N	3437650	2425093	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2010-07-01	Talisman Energy Norge AS	18.000000	\N	3437650	2425093	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-07-01	2011-01-04	Talisman Energy Norge AS	18.000000	\N	3437650	2425093	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2011-01-04	9999-12-31	Talisman Energy Norge AS	18.000000	\N	3437650	2425093	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-12-19	Paladin Expro Limited	25.001200	\N	3437650	3437686	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-12-19	Eni UK Limited	13.896800	\N	3437650	3437697	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-03-22	Eni UK Limited	13.896800	\N	3437650	3437697	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-03-22	2006-10-13	Eni UK Limited	13.896800	\N	3437650	3437697	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-13	2006-10-31	Eni UK Limited	13.896800	\N	3437650	3437697	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2008-07-15	Eni UK Limited	13.896800	\N	3437650	3437697	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-07-15	2010-01-01	Eni UK Limited	13.896800	\N	3437650	3437697	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2010-07-01	Eni UK Limited	13.896800	\N	3437650	3437697	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-12-19	Eni ULX Limited	4.107300	\N	3437650	3437708	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-03-22	Eni ULX Limited	4.107300	\N	3437650	3437708	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-03-22	2006-10-13	Eni ULX Limited	4.107300	\N	3437650	3437708	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-13	2006-10-31	Eni ULX Limited	4.107300	\N	3437650	3437708	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2008-07-15	Eni ULX Limited	4.107300	\N	3437650	3437708	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-07-15	2010-01-01	Eni ULX Limited	4.107300	\N	3437650	3437708	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2010-07-01	Eni ULX Limited	4.107300	\N	3437650	3437708	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-12-19	Moc Exploration (U.K.) Limited	13.993500	\N	3437650	3437719	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-03-22	Moc Exploration (U.K.) Limited	13.993500	\N	3437650	3437719	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-03-22	2006-10-13	Moc Exploration (U.K.) Limited	13.993500	\N	3437650	3437719	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-13	2006-10-31	Moc Exploration (U.K.) Limited	13.993500	\N	3437650	3437719	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2008-07-15	Moc Exploration (U.K.) Limited	13.993500	\N	3437650	3437719	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-12-19	Roc Oil (GB) Limited	12.500600	\N	3437650	3437730	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-03-22	Roc Oil (GB) Limited	12.500600	\N	3437650	3437730	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-03-22	2006-10-13	Roc Oil (GB) Limited	12.500600	\N	3437650	3437730	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-13	2006-10-31	Roc Oil (GB) Limited	12.500600	\N	3437650	3437730	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2008-07-15	Roc Oil (GB) Limited	12.500600	\N	3437650	3437730	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-07-15	2010-01-01	Roc Oil (GB) Limited	12.500600	\N	3437650	3437730	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2010-07-01	Roc Oil (GB) Limited	12.500600	\N	3437650	3437730	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-07-01	2011-01-04	Roc Oil (GB) Limited	12.500600	\N	3437650	3437730	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2011-01-04	9999-12-31	Roc Oil (GB) Limited	12.500600	\N	3437650	3437730	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-12-19	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437650	3437741	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-03-22	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437650	3437741	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-03-22	2006-10-13	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437650	3437741	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-13	2006-10-31	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437650	3437741	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2008-07-15	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437650	3437741	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-07-15	2010-01-01	Bow Valley Petroleum (UK) Limited	12.500600	\N	3437650	3437741	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-03-22	2006-10-13	Talisman Resources Norge AS	11.700000	\N	3437650	3987574	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-03-22	Talisman Expro Limited	25.001200	\N	3437650	3987589	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-03-22	2006-10-13	Talisman Expro Limited	25.001200	\N	3437650	3987589	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-13	2006-10-31	Talisman Expro Limited	25.001200	\N	3437650	3987589	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2008-07-15	Talisman North Sea Limited	25.001200	\N	3437650	4462398	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-07-15	2010-01-01	Talisman North Sea Limited	25.001200	\N	3437650	4462398	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-07-15	2010-01-01	Nippon Oil Exploration and Production UKl Limited	13.993500	\N	3437650	17237695	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2010-07-01	Nippon Oil Exploration and Production UKl Limited	13.993500	\N	3437650	17237695	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-07-01	2011-01-04	Nippon Oil Exploration and Production UKl Limited	13.993500	\N	3437650	17237695	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2010-07-01	Dana Petroleum (BVUK) Limited	12.500600	\N	3437650	20415896	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-07-01	2011-01-04	Dana Petroleum (BVUK) Limited	12.500600	\N	3437650	20415896	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2011-01-04	9999-12-31	Dana Petroleum (BVUK) Limited	12.500600	\N	3437650	20415896	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2011-01-04	9999-12-31	JX Nippon Exploration and Production (UK) Limited	13.993500	\N	3437650	20415923	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2010-07-01	Talisman Energy (UK) Limited	25.001200	\N	3437650	20415938	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-07-01	2011-01-04	Talisman Energy (UK) Limited	25.001200	\N	3437650	20415938	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2011-01-04	9999-12-31	Talisman Energy (UK) Limited	25.001200	\N	3437650	20415938	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-07-01	2011-01-04	Faroe Petroleum (UK) Limited	18.004100	\N	3437650	21614063	9999-12-31	2013-05-08
BLANE	BLANE UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2011-01-04	9999-12-31	Faroe Petroleum (UK) Limited	18.004100	\N	3437650	21614063	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-08-18	Det Norske Oljeselskap AS	2.000000	\N	3437659	1340609	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-08-18	2005-10-11	Det Norske Oljeselskap AS	2.000000	\N	3437659	1340609	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-10-11	2005-12-19	Det Norske Oljeselskap AS	2.000000	\N	3437659	1340609	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-05-22	Det Norske Oljeselskap AS	2.000000	\N	3437659	1340609	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-05-22	2006-09-06	Det Norske Oljeselskap AS	2.000000	\N	3437659	1340609	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-09-06	2006-10-31	Det Norske Oljeselskap AS	2.000000	\N	3437659	1340609	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2006-11-28	Det Norske Oljeselskap AS	2.000000	\N	3437659	1340609	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-11-28	2007-06-22	Det Norske Oljeselskap AS	2.000000	\N	3437659	1340609	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-08-18	Statoil ASA (old)	11.780000	\N	3437659	1622484	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-08-18	2005-10-11	Statoil ASA (old)	11.780000	\N	3437659	1622484	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-10-11	2005-12-19	Statoil ASA (old)	11.780000	\N	3437659	1622484	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-05-22	Statoil ASA (old)	11.780000	\N	3437659	1622484	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-05-22	2006-09-06	Statoil ASA (old)	11.780000	\N	3437659	1622484	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-09-06	2006-10-31	Statoil ASA (old)	11.780000	\N	3437659	1622484	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2006-11-28	Statoil ASA (old)	11.780000	\N	3437659	1622484	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-11-28	2007-06-22	Statoil ASA (old)	11.780000	\N	3437659	1622484	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-06-22	2007-10-01	Statoil ASA (old)	11.780000	\N	3437659	1622484	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-08-18	DONG Norge AS	1.860000	\N	3437659	1853083	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-08-18	2005-10-11	DONG Norge AS	1.860000	\N	3437659	1853083	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-10-11	2005-12-19	DONG Norge AS	1.860000	\N	3437659	1853083	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-05-22	DONG Norge AS	1.860000	\N	3437659	1853083	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-05-22	2006-09-06	DONG Norge AS	1.860000	\N	3437659	1853083	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-08-18	Total E&P Norge AS	4.360000	\N	3437659	2410708	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-08-18	2005-10-11	Total E&P Norge AS	4.360000	\N	3437659	2410708	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-10-11	2005-12-19	Altinex Oil AS	4.360000	\N	3437659	2835200	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-05-22	Altinex Oil AS	4.360000	\N	3437659	2835200	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-05-22	2006-09-06	Altinex Oil AS	4.360000	\N	3437659	2835200	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-09-06	2006-10-31	Altinex Oil AS	4.360000	\N	3437659	2835200	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2006-11-28	Altinex Oil AS	4.360000	\N	3437659	2835200	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-08-18	Paladin Expro Limited	24.000000	\N	3437659	3437686	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-08-18	2005-10-11	Paladin Expro Limited	24.000000	\N	3437659	3437686	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-10-11	2005-12-19	Paladin Expro Limited	24.000000	\N	3437659	3437686	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-08-18	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-08-18	2005-10-11	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-10-11	2005-12-19	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-05-22	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-05-22	2006-09-06	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-09-06	2006-10-31	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2006-11-28	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-11-28	2007-06-22	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-06-22	2007-10-01	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-10-01	2007-11-16	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-11-16	2008-01-01	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-01-01	2009-01-01	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-01	2009-01-02	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-02	2009-11-01	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-11-01	2009-12-22	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-12-22	2010-01-01	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2012-01-01	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-01-01	2012-07-05	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	2012-09-15	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-07-05	9999-12-31	Roc Oil (GB) Limited	12.000000	\N	3437659	3437730	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-08-18	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-08-18	2005-10-11	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-10-11	2005-12-19	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-05-22	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-05-22	2006-09-06	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-09-06	2006-10-31	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2006-11-28	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-11-28	2007-06-22	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-06-22	2007-10-01	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-10-01	2007-11-16	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-11-16	2008-01-01	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-01-01	2009-01-01	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-01	2009-01-02	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-02	2009-11-01	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-11-01	2009-12-22	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-12-22	2010-01-01	Bow Valley Petroleum (UK) Limited	12.000000	\N	3437659	3437741	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-08-18	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-08-18	2005-10-11	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-10-11	2005-12-19	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-05-22	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-05-22	2006-09-06	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-09-06	2006-10-31	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2006-11-28	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-11-28	2007-06-22	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-06-22	2007-10-01	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-10-01	2007-11-16	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-11-16	2008-01-01	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-01-01	2009-01-01	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-01	2009-01-02	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-02	2009-11-01	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-11-01	2009-12-22	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-12-22	2010-01-01	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2012-01-01	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-01-01	2012-07-05	Dyas UK Limited	14.000000	\N	3437659	3437812	2012-09-15	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-07-05	9999-12-31	Dyas UK Limited	14.000000	\N	3437659	3437812	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-08-18	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-08-18	2005-10-11	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-10-11	2005-12-19	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-05-22	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-05-22	2006-09-06	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-09-06	2006-10-31	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2006-11-28	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-11-28	2007-06-22	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-06-22	2007-10-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-10-01	2007-11-16	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-11-16	2008-01-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-01-01	2009-01-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-01	2009-01-02	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-02	2009-11-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-11-01	2009-12-22	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-12-22	2010-01-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2012-01-01	Dana Petroleum (E & P) Limited	8.800000	\N	3437659	3437824	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-08-18	Lundin North Sea Limited	1.200000	\N	3437659	3437835	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-07-01	2005-08-18	Petro-Canada UK Limited	8.000000	\N	3437659	3437846	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-08-18	2005-10-11	Petro-Canada UK Limited	8.000000	\N	3437659	3437846	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-10-11	2005-12-19	Petro-Canada UK Limited	8.000000	\N	3437659	3437846	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-05-22	Petro-Canada UK Limited	8.000000	\N	3437659	3437846	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-05-22	Talisman Expro Limited	24.000000	\N	3437659	3987589	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-05-22	2006-09-06	Talisman Expro Limited	24.000000	\N	3437659	3987589	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-09-06	2006-10-31	Talisman Expro Limited	24.000000	\N	3437659	3987589	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-02	2009-11-01	Faroe Petroleum Norge AS	1.860000	\N	3437659	4062883	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-11-01	2009-12-22	Faroe Petroleum Norge AS	1.860000	\N	3437659	4062883	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-12-22	2010-01-01	Faroe Petroleum Norge AS	1.860000	\N	3437659	4062883	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2012-01-01	Faroe Petroleum Norge AS	1.860000	\N	3437659	4062883	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-01-01	2012-07-05	Faroe Petroleum Norge AS	1.860000	\N	3437659	4062883	2012-09-15	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-07-05	9999-12-31	Faroe Petroleum Norge AS	1.860000	\N	3437659	4062883	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-09-06	2006-10-31	DONG E&P Norge AS	1.860000	\N	3437659	4070011	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2006-11-28	DONG E&P Norge AS	1.860000	\N	3437659	4070011	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-11-28	2007-06-22	DONG E&P Norge AS	1.860000	\N	3437659	4070011	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-06-22	2007-10-01	DONG E&P Norge AS	1.860000	\N	3437659	4070011	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-10-01	2007-11-16	DONG E&P Norge AS	1.860000	\N	3437659	4070011	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-11-16	2008-01-01	DONG E&P Norge AS	1.860000	\N	3437659	4070011	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-01-01	2009-01-01	DONG E&P Norge AS	1.860000	\N	3437659	4070011	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-01	2009-01-02	DONG E&P Norge AS	1.860000	\N	3437659	4070011	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-11-28	2007-06-22	Altinex Oil Norway AS	4.360000	\N	3437659	4446230	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-06-22	2007-10-01	Altinex Oil Norway AS	4.360000	\N	3437659	4446230	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-10-01	2007-11-16	Altinex Oil Norway AS	4.360000	\N	3437659	4446230	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-11-16	2008-01-01	Altinex Oil Norway AS	4.360000	\N	3437659	4446230	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-01-01	2009-01-01	Altinex Oil Norway AS	4.360000	\N	3437659	4446230	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-01	2009-01-02	Altinex Oil Norway AS	4.360000	\N	3437659	4446230	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-02	2009-11-01	Altinex Oil Norway AS	4.360000	\N	3437659	4446230	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-11-01	2009-12-22	Altinex Oil Norway AS	4.360000	\N	3437659	4446230	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-12-22	2010-01-01	Altinex Oil Norway AS	4.360000	\N	3437659	4446230	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2012-01-01	Altinex Oil Norway AS	4.360000	\N	3437659	4446230	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-01-01	2012-07-05	Altinex Oil Norway AS	4.360000	\N	3437659	4446230	2012-09-15	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-08-18	2005-10-11	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-10-11	2005-12-19	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2005-12-19	2006-05-22	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-05-22	2006-09-06	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-09-06	2006-10-31	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2006-11-28	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-11-28	2007-06-22	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-06-22	2007-10-01	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-10-01	2007-11-16	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-11-16	2008-01-01	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-01-01	2009-01-01	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-01	2009-01-02	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-02	2009-11-01	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-11-01	2009-12-22	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-12-22	2010-01-01	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2012-01-01	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-01-01	2012-07-05	Talisman LNS Limited	1.200000	\N	3437659	4462294	2012-09-15	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-07-05	9999-12-31	Talisman LNS Limited	1.200000	\N	3437659	4462294	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-05-22	2006-09-06	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-09-06	2006-10-31	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2006-11-28	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-11-28	2007-06-22	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-06-22	2007-10-01	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-10-01	2007-11-16	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-11-16	2008-01-01	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-01-01	2009-01-01	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-01	2009-01-02	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-02	2009-11-01	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-11-01	2009-12-22	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-12-22	2010-01-01	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2012-01-01	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-01-01	2012-07-05	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	2012-09-15	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-07-05	9999-12-31	Endeavour Energy (UK) Limited	8.000000	\N	3437659	4462359	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-10-31	2006-11-28	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2006-11-28	2007-06-22	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-06-22	2007-10-01	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-10-01	2007-11-16	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-11-16	2008-01-01	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-01-01	2009-01-01	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-01	2009-01-02	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-02	2009-11-01	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-11-01	2009-12-22	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-12-22	2010-01-01	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2012-01-01	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-01-01	2012-07-05	Talisman North Sea Limited	24.000000	\N	3437659	4462398	2012-09-15	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-07-05	9999-12-31	Talisman North Sea Limited	24.000000	\N	3437659	4462398	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-06-22	2007-10-01	Det Norske Oljeselskap ASA (old)	2.000000	\N	3437659	4468177	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	2.000000	\N	3437659	4468177	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	11.780000	\N	3437659	4511658	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-02	2009-11-01	StatoilHydro Petroleum AS	11.780000	\N	3437659	4511658	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-10-01	2007-11-16	StatoilHydro ASA	11.780000	\N	3437659	4511854	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-11-16	2008-01-01	StatoilHydro ASA	11.780000	\N	3437659	4511854	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	11.780000	\N	3437659	4511854	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2007-11-16	2008-01-01	Noil Energy ASA	2.000000	\N	3437659	4539976	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2008-01-01	2009-01-01	Det norske oljeselskap ASA (old)	2.000000	\N	3437659	4539989	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-01	2009-01-02	Det norske oljeselskap ASA (old)	2.000000	\N	3437659	4539989	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-01-02	2009-11-01	Det norske oljeselskap ASA (old)	2.000000	\N	3437659	4539989	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-11-01	2009-12-22	Det norske oljeselskap ASA (old)	2.000000	\N	3437659	4539989	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-11-01	2009-12-22	Statoil Petroleum AS	11.780000	\N	3437659	17237817	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-12-22	2010-01-01	Statoil Petroleum AS	11.780000	\N	3437659	17237817	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2012-01-01	Statoil Petroleum AS	11.780000	\N	3437659	17237817	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-01-01	2012-07-05	Statoil Petroleum AS	11.780000	\N	3437659	17237817	2012-09-15	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-07-05	9999-12-31	Statoil Petroleum AS	11.780000	\N	3437659	17237817	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2009-12-22	2010-01-01	Det norske oljeselskap ASA	2.000000	\N	3437659	17342870	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2012-01-01	Det norske oljeselskap ASA	2.000000	\N	3437659	17342870	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-01-01	2012-07-05	Det norske oljeselskap ASA	2.000000	\N	3437659	17342870	2012-09-15	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-07-05	9999-12-31	Det norske oljeselskap ASA	2.000000	\N	3437659	17342870	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2010-01-01	2012-01-01	Dana Petroleum (BVUK) Limited	12.000000	\N	3437659	20415896	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-01-01	2012-07-05	Dana Petroleum (BVUK) Limited	20.800000	\N	3437659	20415896	2012-09-15	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-07-05	9999-12-31	Dana Petroleum (BVUK) Limited	20.800000	\N	3437659	20415896	9999-12-31	2013-05-08
ENOCH	ENOCH UNIT	BUSINESS ARRANGEMENT AREA	2005-07-01	9999-12-31	2012-07-05	9999-12-31	Noreco Norway AS	4.360000	\N	3437659	22223020	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2005-11-17	2007-01-01	Norsk Hydro Produksjon AS	11.700000	\N	3505505	430	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2005-11-17	2007-01-01	Statoil ASA (old)	3.120000	\N	3505505	1622484	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	3.120000	\N	3505505	1622484	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2005-11-17	2007-01-01	Petoro AS	7.800000	\N	3505505	1626839	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2007-01-01	2007-10-01	Petoro AS	7.800000	\N	3505505	1626839	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2007-10-01	2009-01-01	Petoro AS	7.800000	\N	3505505	1626839	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2009-01-01	2009-11-01	Petoro AS	7.800000	\N	3505505	1626839	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2009-11-01	2011-11-04	Petoro AS	7.800000	\N	3505505	1626839	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2005-11-17	2007-01-01	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505505	2835212	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505505	2835212	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505505	2835212	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505505	2835212	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2009-11-01	2011-11-04	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505505	2835212	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2011-11-04	9999-12-31	ExxonMobil Exploration & Production Norway AS	77.380000	\N	3505505	2835212	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2011-11-04	9999-12-31	Faroe Petroleum Norge AS	7.800000	\N	3505505	4062883	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	11.700000	\N	3505505	4511658	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	14.820000	\N	3505505	4511658	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	3.120000	\N	3505505	4511854	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	11.700000	\N	3505505	4524355	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2009-11-01	2011-11-04	Statoil Petroleum AS	14.820000	\N	3505505	17237817	9999-12-31	2013-05-08
RINGHORNE ØST	RINGHORNE ØST UNIT	BUSINESS ARRANGEMENT AREA	2005-11-10	9999-12-31	2011-11-04	9999-12-31	Statoil Petroleum AS	14.820000	\N	3505505	17237817	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2006-02-16	2007-01-01	Norsk Hydro Produksjon AS	12.000000	\N	3960848	430	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2006-02-16	2007-01-01	Mobil Development Norway AS	11.754900	\N	3960848	474	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2007-01-01	2007-10-01	Mobil Development Norway AS	11.754900	\N	3960848	474	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2007-10-01	2008-01-01	Mobil Development Norway AS	11.754900	\N	3960848	474	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2008-01-01	2008-01-02	Mobil Development Norway AS	11.754900	\N	3960848	474	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2006-02-16	2007-01-01	Statoil ASA (old)	46.835100	\N	3960848	1622484	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	46.835100	\N	3960848	1622484	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2006-02-16	2007-01-01	Eni Norge AS	6.229700	\N	3960848	2388594	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	6.229700	\N	3960848	2388594	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2007-10-01	2008-01-01	Eni Norge AS	6.229700	\N	3960848	2388594	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2008-01-01	2008-01-02	Eni Norge AS	6.229700	\N	3960848	2388594	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2008-01-02	2009-01-01	Eni Norge AS	6.229700	\N	3960848	2388594	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2009-01-01	2009-11-01	Eni Norge AS	6.229700	\N	3960848	2388594	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2009-11-01	2011-04-27	Eni Norge AS	6.229700	\N	3960848	2388594	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2011-04-27	9999-12-31	Eni Norge AS	6.232200	\N	3960848	2388594	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2006-02-16	2007-01-01	Total E&P Norge AS	23.180300	\N	3960848	2410708	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	23.180300	\N	3960848	2410708	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2007-10-01	2008-01-01	Total E&P Norge AS	23.180300	\N	3960848	2410708	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2008-01-01	2008-01-02	Total E&P Norge AS	23.180300	\N	3960848	2410708	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2008-01-02	2009-01-01	Total E&P Norge AS	23.180300	\N	3960848	2410708	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	23.180300	\N	3960848	2410708	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2009-11-01	2011-04-27	Total E&P Norge AS	23.180300	\N	3960848	2410708	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2011-04-27	9999-12-31	Total E&P Norge AS	23.145400	\N	3960848	2410708	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	11.754900	\N	3960848	2835212	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2009-01-01	2009-11-01	ExxonMobil Exploration & Production Norway AS	11.754900	\N	3960848	2835212	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2009-11-01	2011-04-27	ExxonMobil Exploration & Production Norway AS	11.754900	\N	3960848	2835212	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2011-04-27	9999-12-31	ExxonMobil Exploration & Production Norway AS	11.786900	\N	3960848	2835212	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	12.000000	\N	3960848	4511658	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	58.835100	\N	3960848	4511658	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	46.835100	\N	3960848	4511854	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2008-01-01	2008-01-02	StatoilHydro ASA	58.835100	\N	3960848	4511854	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2008-01-02	2009-01-01	StatoilHydro ASA	58.835100	\N	3960848	4511854	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	12.000000	\N	3960848	4524355	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2009-11-01	2011-04-27	Statoil Petroleum AS	58.835100	\N	3960848	17237817	9999-12-31	2013-05-08
TYRIHANS	TYRIHANS UNIT	BUSINESS ARRANGEMENT AREA	2006-02-16	9999-12-31	2011-04-27	9999-12-31	Statoil Petroleum AS	58.835500	\N	3960848	17237817	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2006-06-22	2007-01-01	Norsk Hydro Produksjon AS	17.900000	\N	4005142	430	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2006-06-22	2007-01-01	Statoil ASA (old)	47.233700	\N	4005142	1622484	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-01-01	2007-01-02	Statoil ASA (old)	47.233700	\N	4005142	1622484	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-01-02	2007-10-01	Statoil ASA (old)	47.233700	\N	4005142	1622484	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2006-06-22	2007-01-01	Petoro AS	24.186300	\N	4005142	1626839	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-01-01	2007-01-02	Petoro AS	24.186300	\N	4005142	1626839	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-01-02	2007-10-01	Petoro AS	24.186300	\N	4005142	1626839	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-10-01	2009-01-01	Petoro AS	24.186300	\N	4005142	1626839	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2009-01-01	2009-11-01	Petoro AS	24.186300	\N	4005142	1626839	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2006-06-22	2007-01-01	Norske ConocoPhillips AS	5.785000	\N	4005142	2399056	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-01-01	2007-01-02	Norske ConocoPhillips AS	5.785000	\N	4005142	2399056	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	5.785000	\N	4005142	2410696	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	5.785000	\N	4005142	2410696	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2009-01-01	2009-11-01	ConocoPhillips Skandinavia AS	5.785000	\N	4005142	2410696	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2009-11-01	9999-12-31	ConocoPhillips Skandinavia AS	5.785000	\N	4005142	2410696	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2006-06-22	2007-01-01	Total E&P Norge AS	4.895000	\N	4005142	2410708	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-01-01	2007-01-02	Total E&P Norge AS	4.895000	\N	4005142	2410708	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-01-02	2007-10-01	Total E&P Norge AS	4.895000	\N	4005142	2410708	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-10-01	2009-01-01	Total E&P Norge AS	4.895000	\N	4005142	2410708	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2009-01-01	2009-11-01	Total E&P Norge AS	4.895000	\N	4005142	2410708	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2009-11-01	9999-12-31	Total E&P Norge AS	4.895000	\N	4005142	2410708	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	17.900000	\N	4005142	4511658	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	65.133700	\N	4005142	4511658	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	47.233700	\N	4005142	4511854	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	17.900000	\N	4005142	4524355	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	17.900000	\N	4005142	4524355	9999-12-31	2013-05-08
GIMLE	GIMLE UNIT	BUSINESS ARRANGEMENT AREA	2006-05-18	9999-12-31	2009-11-01	9999-12-31	Statoil Petroleum AS	65.133700	\N	4005142	17237817	9999-12-31	2013-05-08
VOLUND	150	PRODUCTION LICENSE	2007-01-18	9999-12-31	2007-01-18	2011-07-04	Marathon Petroleum Norge AS	65.000000	\N	4380167	463	9999-12-31	2013-05-08
VOLUND	150	PRODUCTION LICENSE	2007-01-18	9999-12-31	2007-01-18	2011-07-04	Lundin Norway AS	35.000000	\N	4380167	2767314	9999-12-31	2013-05-08
VOLUND	150	PRODUCTION LICENSE	2007-01-18	9999-12-31	2011-07-04	9999-12-31	Lundin Norway AS	35.000000	\N	4380167	2767314	9999-12-31	2013-05-08
VOLUND	150	PRODUCTION LICENSE	2007-01-18	9999-12-31	2011-07-04	9999-12-31	Marathon Oil Norge AS	65.000000	\N	4380167	20485291	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2007-03-16	2007-10-01	Statoil ASA (old)	75.000000	\N	4444332	1622484	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2007-03-16	2007-10-01	DONG E&P Norge AS	15.000000	\N	4444332	4070011	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2007-10-01	2008-01-01	DONG E&P Norge AS	15.000000	\N	4444332	4070011	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2008-01-01	2009-01-01	DONG E&P Norge AS	15.000000	\N	4444332	4070011	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2009-01-01	2009-11-02	DONG E&P Norge AS	15.000000	\N	4444332	4070011	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2009-11-02	9999-12-31	DONG E&P Norge AS	15.000000	\N	4444332	4070011	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	10.000000	\N	4444332	4511658	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	85.000000	\N	4444332	4511658	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	75.000000	\N	4444332	4511854	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	85.000000	\N	4444332	4511854	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2007-03-16	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	4444332	4524355	9999-12-31	2013-05-08
ALVE	159 B	PRODUCTION LICENSE	2007-03-16	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	85.000000	\N	4444332	17237817	9999-12-31	2013-05-08
REV	038 C	PRODUCTION LICENSE	2007-06-15	9999-12-31	2007-06-15	9999-12-31	Petoro AS	30.000000	\N	4467554	1626839	9999-12-31	2013-05-08
REV	038 C	PRODUCTION LICENSE	2007-06-15	9999-12-31	2007-06-15	9999-12-31	Talisman Energy Norge AS	70.000000	\N	4467554	2425093	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2007-06-14	2007-10-01	A/S Norske Shell	12.000000	\N	4467574	562	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2007-10-01	2009-01-01	A/S Norske Shell	12.000000	\N	4467574	562	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-01-01	2009-01-02	A/S Norske Shell	12.000000	\N	4467574	562	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-01-02	2009-11-02	A/S Norske Shell	12.000000	\N	4467574	562	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-11-02	9999-12-31	A/S Norske Shell	12.000000	\N	4467574	562	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2007-06-14	2007-10-01	RWE Dea Norge AS	8.000000	\N	4467574	97557	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2007-10-01	2009-01-01	RWE Dea Norge AS	8.000000	\N	4467574	97557	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-01-01	2009-01-02	RWE Dea Norge AS	8.000000	\N	4467574	97557	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-01-02	2009-11-02	RWE Dea Norge AS	8.000000	\N	4467574	97557	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-11-02	9999-12-31	RWE Dea Norge AS	8.000000	\N	4467574	97557	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2007-06-14	2007-10-01	Statoil ASA (old)	20.000000	\N	4467574	1622484	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2007-06-14	2007-10-01	Petoro AS	30.000000	\N	4467574	1626839	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	4467574	1626839	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	4467574	1626839	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	4467574	1626839	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	4467574	1626839	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2007-06-14	2007-10-01	Gaz de France Norge AS	30.000000	\N	4467574	1628733	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2007-10-01	2009-01-01	Gaz de France Norge AS	30.000000	\N	4467574	1628733	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	4467574	4511658	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2007-10-01	2009-01-01	StatoilHydro ASA	20.000000	\N	4467574	4511854	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	4467574	4511854	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	30.000000	\N	4467574	5267845	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	30.000000	\N	4467574	5267845	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	30.000000	\N	4467574	5267845	9999-12-31	2013-05-08
GJØA	153	PRODUCTION LICENSE	2007-06-14	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	20.000000	\N	4467574	17237817	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2003-12-31	2004-01-01	Statoil ASA (old)	48.000000	\N	4966234	1622484	9999-12-31	2013-05-08
VEGA	VEGA UNIT	BUSINESS ARRANGEMENT AREA	2011-03-01	9999-12-31	2011-03-01	9999-12-31	Idemitsu Petroleum Norge AS	6.000000	\N	4467595	441	9999-12-31	2013-05-08
VEGA	248	PRODUCTION LICENSE	2007-06-14	2011-02-28	2007-06-14	2007-10-01	Statoil ASA (old)	20.000000	\N	4467595	1622484	9999-12-31	2013-05-08
VEGA	248	PRODUCTION LICENSE	2007-06-14	2011-02-28	2007-06-14	2007-10-01	Petoro AS	40.000000	\N	4467595	1626839	9999-12-31	2013-05-08
VEGA	248	PRODUCTION LICENSE	2007-06-14	2011-02-28	2007-10-01	2009-01-01	Petoro AS	40.000000	\N	4467595	1626839	9999-12-31	2013-05-08
VEGA	248	PRODUCTION LICENSE	2007-06-14	2011-02-28	2009-01-01	2009-11-02	Petoro AS	40.000000	\N	4467595	1626839	9999-12-31	2013-05-08
VEGA	VEGA UNIT	BUSINESS ARRANGEMENT AREA	2011-03-01	9999-12-31	2011-03-01	9999-12-31	Petoro AS	24.000000	\N	4467595	1626839	9999-12-31	2013-05-08
VEGA	VEGA UNIT	BUSINESS ARRANGEMENT AREA	2011-03-01	9999-12-31	2011-03-01	9999-12-31	Bayerngas Norge AS	10.000000	\N	4467595	4444493	9999-12-31	2013-05-08
VEGA	248	PRODUCTION LICENSE	2007-06-14	2011-02-28	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	4467595	4511658	9999-12-31	2013-05-08
VEGA	248	PRODUCTION LICENSE	2007-06-14	2011-02-28	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	4467595	4511658	9999-12-31	2013-05-08
VEGA	248	PRODUCTION LICENSE	2007-06-14	2011-02-28	2007-10-01	2009-01-01	StatoilHydro ASA	20.000000	\N	4467595	4511854	9999-12-31	2013-05-08
VEGA	248	PRODUCTION LICENSE	2007-06-14	2011-02-28	2007-06-14	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	4467595	4524355	9999-12-31	2013-05-08
VEGA	VEGA UNIT	BUSINESS ARRANGEMENT AREA	2011-03-01	9999-12-31	2011-03-01	9999-12-31	GDF SUEZ E&P Norge AS	6.000000	\N	4467595	5267845	9999-12-31	2013-05-08
VEGA	VEGA UNIT	BUSINESS ARRANGEMENT AREA	2011-03-01	9999-12-31	2011-03-01	9999-12-31	Statoil Petroleum AS	54.000000	\N	4467595	17237817	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2007-12-18	2008-01-01	BP Norge AS	23.835000	\N	4704482	2052695	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2008-01-01	2009-01-01	BP Norge AS	23.835000	\N	4704482	2052695	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2009-01-01	2009-11-01	BP Norge AS	23.835000	\N	4704482	2052695	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2009-11-01	2012-02-11	BP Norge AS	23.835000	\N	4704482	2052695	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2012-02-11	9999-12-31	BP Norge AS	23.835000	\N	4704482	2052695	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2007-12-18	2008-01-01	E.ON Ruhrgas Norge AS	28.082500	\N	4704482	2840522	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2008-01-01	2009-01-01	E.ON Ruhrgas Norge AS	28.082500	\N	4704482	2840522	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2009-01-01	2009-11-01	E.ON Ruhrgas Norge AS	28.082500	\N	4704482	2840522	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2009-11-01	2012-02-11	E.ON Ruhrgas Norge AS	28.082500	\N	4704482	2840522	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2007-12-18	2008-01-01	PGNiG Norway AS	11.917500	\N	4704482	4505831	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2008-01-01	2009-01-01	PGNiG Norway AS	11.917500	\N	4704482	4505831	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2009-01-01	2009-11-01	PGNiG Norway AS	11.917500	\N	4704482	4505831	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2009-11-01	2012-02-11	PGNiG Norway AS	11.917500	\N	4704482	4505831	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2012-02-11	9999-12-31	PGNiG Norway AS	11.917500	\N	4704482	4505831	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2007-12-18	2008-01-01	StatoilHydro Petroleum AS	2.055000	\N	4704482	4511658	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	36.165000	\N	4704482	4511658	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2007-12-18	2008-01-01	StatoilHydro ASA	34.110000	\N	4704482	4511854	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	36.165000	\N	4704482	4511854	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2009-11-01	2012-02-11	Statoil Petroleum AS	36.165000	\N	4704482	17237817	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2012-02-11	9999-12-31	Statoil Petroleum AS	36.165000	\N	4704482	17237817	9999-12-31	2013-05-08
SKARV	SKARV UNIT	BUSINESS ARRANGEMENT AREA	2007-12-18	9999-12-31	2012-02-11	9999-12-31	E.ON E&P Norge AS	28.082500	\N	4704482	21631209	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2000-04-25	2001-01-11	Norsk Agip  AS	30.000000	\N	4966234	45	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-01-11	2001-05-10	Norsk Agip  AS	30.000000	\N	4966234	45	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-05-10	2001-06-01	Norsk Agip  AS	30.000000	\N	4966234	45	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-06-01	2001-12-18	Norsk Agip  AS	30.000000	\N	4966234	45	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-12-18	2003-05-06	Norsk Agip  AS	30.000000	\N	4966234	45	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2003-05-06	2003-12-31	Norsk Agip  AS	30.000000	\N	4966234	45	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2000-04-25	2001-01-11	Norsk Hydro Produksjon AS	5.000000	\N	4966234	430	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	12.000000	\N	4966234	430	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	12.000000	\N	4966234	430	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-06-01	2001-12-18	Norsk Hydro Produksjon AS	12.000000	\N	4966234	430	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	12.000000	\N	4966234	430	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	12.000000	\N	4966234	430	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2003-12-31	2004-01-01	Norsk Hydro Produksjon AS	12.000000	\N	4966234	430	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2004-01-01	2004-01-02	Norsk Hydro Produksjon AS	14.000000	\N	4966234	430	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2004-01-02	2007-01-01	Norsk Hydro Produksjon AS	14.000000	\N	4966234	430	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2000-04-25	2001-01-11	Saga Petroleum ASA	7.000000	\N	4966234	716	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2000-04-25	2001-01-11	Den norske stats oljeselskap a.s	48.000000	25.000000	4966234	749	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	48.000000	25.000000	4966234	749	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2000-04-25	2001-01-11	Total Norge AS	10.000000	\N	4966234	848	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-01-11	2001-05-10	Total Norge AS	10.000000	\N	4966234	848	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-05-10	2001-06-01	Total Norge AS	10.000000	\N	4966234	848	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-06-01	2001-12-18	Total Norge AS	10.000000	\N	4966234	848	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	4966234	1340884	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-05-10	2001-06-01	Statoil ASA (old)	23.000000	\N	4966234	1622484	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-06-01	2001-12-18	Statoil ASA (old)	48.000000	\N	4966234	1622484	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-12-18	2003-05-06	Statoil ASA (old)	48.000000	\N	4966234	1622484	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2003-05-06	2003-12-31	Statoil ASA (old)	48.000000	\N	4966234	1622484	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2004-01-01	2004-01-02	Statoil ASA (old)	46.000000	\N	4966234	1622484	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2004-01-02	2007-01-01	Statoil ASA (old)	50.000000	\N	4966234	1622484	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2007-01-01	2007-10-01	Statoil ASA (old)	50.000000	\N	4966234	1622484	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2001-05-10	2001-06-01	SDØE	25.000000	\N	4966234	1623450	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2003-12-31	2004-01-01	Eni Norge AS	30.000000	\N	4966234	2388594	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2004-01-01	2004-01-02	Eni Norge AS	30.000000	\N	4966234	2388594	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2004-01-02	2007-01-01	Eni Norge AS	30.000000	\N	4966234	2388594	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2007-01-01	2007-10-01	Eni Norge AS	30.000000	\N	4966234	2388594	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2007-10-01	2008-01-01	Eni Norge AS	30.000000	\N	4966234	2388594	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2008-01-01	2009-01-01	Eni Norge AS	30.000000	\N	4966234	2388594	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2009-01-01	2009-11-02	Eni Norge AS	30.000000	\N	4966234	2388594	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2009-11-02	9999-12-31	Eni Norge AS	30.000000	\N	4966234	2388594	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2003-05-06	2003-12-31	Total E&P Norge AS	10.000000	\N	4966234	2410708	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2003-12-31	2004-01-01	Total E&P Norge AS	10.000000	\N	4966234	2410708	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2004-01-01	2004-01-02	Total E&P Norge AS	10.000000	\N	4966234	2410708	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2004-01-02	2007-01-01	Total E&P Norge AS	6.000000	\N	4966234	2410708	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2007-01-01	2007-10-01	Total E&P Norge AS	6.000000	\N	4966234	2410708	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2007-10-01	2008-01-01	Total E&P Norge AS	6.000000	\N	4966234	2410708	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2008-01-01	2009-01-01	Total E&P Norge AS	6.000000	\N	4966234	2410708	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	6.000000	\N	4966234	2410708	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2009-11-02	9999-12-31	Total E&P Norge AS	6.000000	\N	4966234	2410708	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	14.000000	\N	4966234	4511658	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	64.000000	\N	4966234	4511658	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2007-10-01	2008-01-01	StatoilHydro ASA	50.000000	\N	4966234	4511854	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2008-01-01	2009-01-01	StatoilHydro ASA	64.000000	\N	4966234	4511854	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	14.000000	\N	4966234	4524355	9999-12-31	2013-05-08
MORVIN	134 B	PRODUCTION LICENSE	2000-04-25	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	64.000000	\N	4966234	17237817	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2008-05-21	2009-01-01	Petoro AS	19.950000	\N	4973114	1626839	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2009-01-01	2009-11-02	Petoro AS	19.950000	\N	4973114	1626839	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2009-11-02	9999-12-31	Petoro AS	19.950000	\N	4973114	1626839	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2008-05-21	2009-01-01	Eni Norge AS	9.800000	\N	4973114	2388594	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2009-01-01	2009-11-02	Eni Norge AS	9.800000	\N	4973114	2388594	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2009-11-02	9999-12-31	Eni Norge AS	9.800000	\N	4973114	2388594	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2008-05-21	2009-01-01	Total E&P Norge AS	24.500000	\N	4973114	2410708	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2009-01-01	2009-11-02	Total E&P Norge AS	24.500000	\N	4973114	2410708	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2009-11-02	9999-12-31	Total E&P Norge AS	24.500000	\N	4973114	2410708	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	45.750000	\N	4973114	4511658	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2008-05-21	2009-01-01	StatoilHydro ASA	45.750000	\N	4973114	4511854	9999-12-31	2013-05-08
YTTERGRYTA	062	PRODUCTION LICENSE	2008-05-21	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	45.750000	\N	4973114	17237817	9999-12-31	2013-05-08
TAMBAR ØST	TAMBAR ØST UNIT	BUSINESS ARRANGEMENT AREA	2007-06-28	9999-12-31	2007-06-28	9999-12-31	Norske AEDC A/S	0.800000	\N	4999528	34	9999-12-31	2013-05-08
TAMBAR ØST	TAMBAR ØST UNIT	BUSINESS ARRANGEMENT AREA	2007-06-28	9999-12-31	2007-06-28	9999-12-31	BP Norge AS	46.200000	\N	4999528	2052695	9999-12-31	2013-05-08
TAMBAR ØST	TAMBAR ØST UNIT	BUSINESS ARRANGEMENT AREA	2007-06-28	9999-12-31	2007-06-28	9999-12-31	Talisman Energy Norge AS	9.760000	\N	4999528	2425093	9999-12-31	2013-05-08
TAMBAR ØST	TAMBAR ØST UNIT	BUSINESS ARRANGEMENT AREA	2007-06-28	9999-12-31	2007-06-28	9999-12-31	DONG E&P Norge AS	43.240000	\N	4999528	4070011	9999-12-31	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2009-06-19	2009-07-31	DONG E&P Norge AS	40.000000	\N	5506919	4070011	9999-12-31	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2009-07-31	2010-01-01	DONG E&P Norge AS	55.000000	\N	5506919	4070011	9999-12-31	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2010-01-01	2012-07-05	DONG E&P Norge AS	55.000000	\N	5506919	4070011	2012-09-14	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2012-07-05	9999-12-31	DONG E&P Norge AS	55.000000	\N	5506919	4070011	9999-12-31	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2009-06-19	2009-07-31	Bayerngas Norge AS	30.000000	\N	5506919	4444493	9999-12-31	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2009-07-31	2010-01-01	Bayerngas Norge AS	30.000000	\N	5506919	4444493	9999-12-31	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2010-01-01	2012-07-05	Bayerngas Norge AS	30.000000	\N	5506919	4444493	2012-09-14	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2012-07-05	9999-12-31	Bayerngas Norge AS	30.000000	\N	5506919	4444493	9999-12-31	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2010-01-01	2012-07-05	Altinex Oil Norway AS	15.000000	\N	5506919	4446230	2012-09-14	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2009-06-19	2009-07-31	Norwegian Energy Company ASA	15.000000	\N	5506919	4530695	9999-12-31	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2009-07-31	2010-01-01	Norwegian Energy Company ASA	15.000000	\N	5506919	4530695	9999-12-31	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2009-06-19	2009-07-31	Wintershall Norge ASA	15.000000	\N	5506919	5442509	9999-12-31	2013-05-08
OSELVAR	274	PRODUCTION LICENSE	2009-06-19	9999-12-31	2012-07-05	9999-12-31	Noreco Norway AS	15.000000	\N	5506919	22223020	9999-12-31	2013-05-08
GOLIAT	229	PRODUCTION LICENSE	2009-06-18	9999-12-31	2009-06-18	2009-11-02	Eni Norge AS	65.000000	\N	5774394	2388594	9999-12-31	2013-05-08
GOLIAT	229	PRODUCTION LICENSE	2009-06-18	9999-12-31	2009-11-02	9999-12-31	Eni Norge AS	65.000000	\N	5774394	2388594	9999-12-31	2013-05-08
GOLIAT	229	PRODUCTION LICENSE	2009-06-18	9999-12-31	2009-06-18	2009-11-02	StatoilHydro Petroleum AS	35.000000	\N	5774394	4511658	9999-12-31	2013-05-08
GOLIAT	229	PRODUCTION LICENSE	2009-06-18	9999-12-31	2009-11-02	9999-12-31	Statoil Petroleum AS	35.000000	\N	5774394	17237817	9999-12-31	2013-05-08
TRYM	147	PRODUCTION LICENSE	2010-03-26	9999-12-31	2010-03-26	9999-12-31	DONG E&P Norge AS	50.000000	\N	18081500	4070011	9999-12-31	2013-05-08
TRYM	147	PRODUCTION LICENSE	2010-03-26	9999-12-31	2010-03-26	9999-12-31	Bayerngas Norge AS	50.000000	\N	18081500	4444493	9999-12-31	2013-05-08
GUDRUN	025	PRODUCTION LICENSE	2010-06-16	9999-12-31	2010-06-16	2011-03-31	Marathon Petroleum Norge AS	20.000000	\N	18116481	463	9999-12-31	2013-05-08
GUDRUN	025	PRODUCTION LICENSE	2010-06-16	9999-12-31	2010-06-16	2011-03-31	GDF SUEZ E&P Norge AS	25.000000	\N	18116481	5267845	9999-12-31	2013-05-08
GUDRUN	025	PRODUCTION LICENSE	2010-06-16	9999-12-31	2011-03-31	9999-12-31	GDF SUEZ E&P Norge AS	25.000000	\N	18116481	5267845	9999-12-31	2013-05-08
GUDRUN	025	PRODUCTION LICENSE	2010-06-16	9999-12-31	2010-06-16	2011-03-31	Statoil Petroleum AS	55.000000	\N	18116481	17237817	9999-12-31	2013-05-08
GUDRUN	025	PRODUCTION LICENSE	2010-06-16	9999-12-31	2011-03-31	9999-12-31	Statoil Petroleum AS	75.000000	\N	18116481	17237817	9999-12-31	2013-05-08
GAUPE	292	PRODUCTION LICENSE	2010-06-25	9999-12-31	2010-06-25	9999-12-31	BG Norge AS	60.000000	\N	18161341	2747354	9999-12-31	2013-05-08
GAUPE	292	PRODUCTION LICENSE	2010-06-25	9999-12-31	2010-06-25	9999-12-31	Lundin Norway AS	40.000000	\N	18161341	2767314	9999-12-31	2013-05-08
MARULK	122	PRODUCTION LICENSE	2010-07-15	9999-12-31	2010-07-15	9999-12-31	Eni Norge AS	20.000000	\N	18212090	2388594	9999-12-31	2013-05-08
MARULK	122	PRODUCTION LICENSE	2010-07-15	9999-12-31	2010-07-15	9999-12-31	DONG E&P Norge AS	30.000000	\N	18212090	4070011	9999-12-31	2013-05-08
MARULK	122	PRODUCTION LICENSE	2010-07-15	9999-12-31	2010-07-15	9999-12-31	Statoil Petroleum AS	50.000000	\N	18212090	17237817	9999-12-31	2013-05-08
VALEMON	VALEMON UNIT	BUSINESS ARRANGEMENT AREA	2011-06-09	9999-12-31	2011-06-09	2012-01-13	Petoro AS	30.000000	\N	20460969	1626839	9999-12-31	2013-05-08
VALEMON	VALEMON UNIT	BUSINESS ARRANGEMENT AREA	2011-06-09	9999-12-31	2012-01-13	2012-04-30	Petoro AS	30.000000	\N	20460969	1626839	9999-12-31	2013-05-08
VALEMON	VALEMON UNIT	BUSINESS ARRANGEMENT AREA	2011-06-09	9999-12-31	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	20460969	1626839	9999-12-31	2013-05-08
VALEMON	VALEMON UNIT	BUSINESS ARRANGEMENT AREA	2011-06-09	9999-12-31	2011-06-09	2012-01-13	Enterprise Oil Norge AS	3.225000	\N	20460969	1853786	9999-12-31	2013-05-08
VALEMON	VALEMON UNIT	BUSINESS ARRANGEMENT AREA	2011-06-09	9999-12-31	2012-01-13	2012-04-30	Enterprise Oil Norge AS	3.225000	\N	20460969	1853786	9999-12-31	2013-05-08
VALEMON	VALEMON UNIT	BUSINESS ARRANGEMENT AREA	2011-06-09	9999-12-31	2012-04-30	9999-12-31	Enterprise Oil Norge AS	3.225000	\N	20460969	1853786	9999-12-31	2013-05-08
VALEMON	VALEMON UNIT	BUSINESS ARRANGEMENT AREA	2011-06-09	9999-12-31	2011-06-09	2012-01-13	Total E&P Norge AS	2.500000	\N	20460969	2410708	9999-12-31	2013-05-08
VALEMON	VALEMON UNIT	BUSINESS ARRANGEMENT AREA	2011-06-09	9999-12-31	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	13.000000	\N	20460969	4238233	9999-12-31	2013-05-08
VALEMON	VALEMON UNIT	BUSINESS ARRANGEMENT AREA	2011-06-09	9999-12-31	2011-06-09	2012-01-13	Statoil Petroleum AS	64.275000	\N	20460969	17237817	9999-12-31	2013-05-08
VALEMON	VALEMON UNIT	BUSINESS ARRANGEMENT AREA	2011-06-09	9999-12-31	2012-01-13	2012-04-30	Statoil Petroleum AS	66.775000	\N	20460969	17237817	9999-12-31	2013-05-08
VALEMON	VALEMON UNIT	BUSINESS ARRANGEMENT AREA	2011-06-09	9999-12-31	2012-04-30	9999-12-31	Statoil Petroleum AS	53.775000	\N	20460969	17237817	9999-12-31	2013-05-08
KNARR	373 S	PRODUCTION LICENSE	2011-06-09	9999-12-31	2011-06-09	2012-03-24	Idemitsu Petroleum Norge AS	25.000000	\N	20460988	441	9999-12-31	2013-05-08
KNARR	373 S	PRODUCTION LICENSE	2011-06-09	9999-12-31	2012-03-24	9999-12-31	Idemitsu Petroleum Norge AS	25.000000	\N	20460988	441	9999-12-31	2013-05-08
KNARR	373 S	PRODUCTION LICENSE	2011-06-09	9999-12-31	2011-06-09	2012-03-24	RWE Dea Norge AS	10.000000	\N	20460988	97557	9999-12-31	2013-05-08
KNARR	373 S	PRODUCTION LICENSE	2011-06-09	9999-12-31	2012-03-24	9999-12-31	RWE Dea Norge AS	10.000000	\N	20460988	97557	9999-12-31	2013-05-08
KNARR	373 S	PRODUCTION LICENSE	2011-06-09	9999-12-31	2011-06-09	2012-03-24	BG Norge AS	45.000000	\N	20460988	2747354	9999-12-31	2013-05-08
KNARR	373 S	PRODUCTION LICENSE	2011-06-09	9999-12-31	2012-03-24	9999-12-31	BG Norge AS	45.000000	\N	20460988	2747354	9999-12-31	2013-05-08
KNARR	373 S	PRODUCTION LICENSE	2011-06-09	9999-12-31	2011-06-09	2012-03-24	Wintershall Norge ASA	20.000000	\N	20460988	5442509	9999-12-31	2013-05-08
KNARR	373 S	PRODUCTION LICENSE	2011-06-09	9999-12-31	2012-03-24	9999-12-31	Wintershall Norge AS	20.000000	\N	20460988	21666830	9999-12-31	2013-05-08
VISUND SØR	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	2011-06-10	9999-12-31	2011-06-10	9999-12-31	Petoro AS	30.000000	\N	20461008	1626839	9999-12-31	2013-05-08
VISUND SØR	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	2011-06-10	9999-12-31	2011-06-10	9999-12-31	ConocoPhillips Skandinavia AS	9.100000	\N	20461008	2410696	9999-12-31	2013-05-08
VISUND SØR	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	2011-06-10	9999-12-31	2011-06-10	9999-12-31	Total E&P Norge AS	7.700000	\N	20461008	2410708	9999-12-31	2013-05-08
VISUND SØR	VISUND INSIDE	BUSINESS ARRANGEMENT AREA	2011-06-10	9999-12-31	2011-06-10	9999-12-31	Statoil Petroleum AS	53.200000	\N	20461008	17237817	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-06-24	2011-07-01	E.ON Ruhrgas Norge AS	17.500000	\N	20474183	2840522	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-07-01	2012-02-11	E.ON Ruhrgas Norge AS	17.500000	\N	20474183	2840522	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-06-24	2011-07-01	Faroe Petroleum Norge AS	7.500000	\N	20474183	4062883	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-07-01	2012-02-11	Faroe Petroleum Norge AS	7.500000	\N	20474183	4062883	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2012-02-11	9999-12-31	Faroe Petroleum Norge AS	7.500000	\N	20474183	4062883	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-06-24	2011-07-01	Norwegian Energy Company ASA	17.500000	\N	20474183	4530695	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-06-24	2011-07-01	GDF SUEZ E&P Norge AS	20.000000	\N	20474183	5267845	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-07-01	2012-02-11	GDF SUEZ E&P Norge AS	20.000000	\N	20474183	5267845	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2012-02-11	9999-12-31	GDF SUEZ E&P Norge AS	20.000000	\N	20474183	5267845	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-06-24	2011-07-01	VNG Norge AS	2.500000	\N	20474183	17237193	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-07-01	2012-02-11	VNG Norge AS	2.500000	\N	20474183	17237193	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2012-02-11	9999-12-31	VNG Norge AS	2.500000	\N	20474183	17237193	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-06-24	2011-07-01	Statoil Petroleum AS	35.000000	\N	20474183	17237817	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-07-01	2012-02-11	Statoil Petroleum AS	35.000000	\N	20474183	17237817	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2012-02-11	9999-12-31	Statoil Petroleum AS	35.000000	\N	20474183	17237817	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2011-07-01	2012-02-11	Core Energy AS	17.500000	\N	20474183	20460080	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2012-02-11	9999-12-31	Core Energy AS	17.500000	\N	20474183	20460080	9999-12-31	2013-05-08
HYME	348	PRODUCTION LICENSE	2011-06-24	9999-12-31	2012-02-11	9999-12-31	E.ON E&P Norge AS	17.500000	\N	20474183	21631209	9999-12-31	2013-05-08
ISLAY	043 CS	PRODUCTION LICENSE	2010-07-05	9999-12-31	2010-07-05	9999-12-31	Total E&P Norge AS	100.000000	\N	21105675	2410708	9999-12-31	2013-05-08
ATLA	102 C	PRODUCTION LICENSE	2011-11-04	9999-12-31	2011-11-04	9999-12-31	Petoro AS	30.000000	\N	21106284	1626839	9999-12-31	2013-05-08
ATLA	102 C	PRODUCTION LICENSE	2011-11-04	9999-12-31	2011-11-04	9999-12-31	Total E&P Norge AS	40.000000	\N	21106284	2410708	9999-12-31	2013-05-08
ATLA	102 C	PRODUCTION LICENSE	2011-11-04	9999-12-31	2011-11-04	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	21106284	4238233	9999-12-31	2013-05-08
ATLA	102 C	PRODUCTION LICENSE	2011-11-04	9999-12-31	2011-11-04	9999-12-31	Det norske oljeselskap ASA	10.000000	\N	21106284	17342870	9999-12-31	2013-05-08
BRYNHILD	148	PRODUCTION LICENSE	2011-11-11	9999-12-31	2012-12-21	9999-12-31	Talisman Energy Norge AS	10.000000	\N	21123063	2425093	9999-12-31	2013-05-08
BRYNHILD	148	PRODUCTION LICENSE	2011-11-11	9999-12-31	2011-11-11	2012-12-21	Lundin Norway AS	70.000000	\N	21123063	2767314	2013-01-03	2013-05-08
BRYNHILD	148	PRODUCTION LICENSE	2011-11-11	9999-12-31	2012-12-21	9999-12-31	Lundin Norway AS	90.000000	\N	21123063	2767314	9999-12-31	2013-05-08
BRYNHILD	148	PRODUCTION LICENSE	2011-11-11	9999-12-31	2011-11-11	2012-12-21	Talisman Petroleum Norge AS	30.000000	\N	21123063	21139184	2013-01-03	2013-05-08
SKULD	128	PRODUCTION LICENSE	2012-01-20	9999-12-31	2012-01-20	9999-12-31	Petoro AS	24.545460	\N	21350124	1626839	9999-12-31	2013-05-08
SKULD	128	PRODUCTION LICENSE	2012-01-20	9999-12-31	2012-01-20	9999-12-31	Eni Norge AS	11.500000	\N	21350124	2388594	9999-12-31	2013-05-08
SKULD	128	PRODUCTION LICENSE	2012-01-20	9999-12-31	2012-01-20	9999-12-31	Statoil Petroleum AS	63.954550	\N	21350124	17237817	9999-12-31	2013-05-08
JETTE	JETTE UNIT	BUSINESS ARRANGEMENT AREA	2012-02-17	9999-12-31	2012-02-17	9999-12-31	Petoro AS	30.000000	\N	21613906	1626839	9999-12-31	2013-05-08
JETTE	JETTE UNIT	BUSINESS ARRANGEMENT AREA	2012-02-17	9999-12-31	2012-02-17	9999-12-31	Det norske oljeselskap ASA	70.000000	\N	21613906	17342870	9999-12-31	2013-05-08
EDVARD GRIEG	338	PRODUCTION LICENSE	2012-06-11	9999-12-31	2012-06-11	9999-12-31	Lundin Norway AS	50.000000	\N	21675433	2767314	9999-12-31	2013-05-08
EDVARD GRIEG	338	PRODUCTION LICENSE	2012-06-11	9999-12-31	2012-06-11	9999-12-31	OMV (Norge) AS	20.000000	\N	21675433	4460594	9999-12-31	2013-05-08
EDVARD GRIEG	338	PRODUCTION LICENSE	2012-06-11	9999-12-31	2012-06-11	9999-12-31	Wintershall Norge AS	30.000000	\N	21675433	21666830	9999-12-31	2013-05-08
MARTIN LINGE	MARTIN LINGE UNIT	BUSINESS ARRANGEMENT AREA	2012-06-11	9999-12-31	2012-06-11	9999-12-31	Petoro AS	30.000000	\N	21675447	1626839	9999-12-31	2013-05-08
MARTIN LINGE	MARTIN LINGE UNIT	BUSINESS ARRANGEMENT AREA	2012-06-11	9999-12-31	2012-06-11	9999-12-31	Total E&P Norge AS	51.000000	\N	21675447	2410708	9999-12-31	2013-05-08
MARTIN LINGE	MARTIN LINGE UNIT	BUSINESS ARRANGEMENT AREA	2012-06-11	9999-12-31	2012-06-11	9999-12-31	Statoil Petroleum AS	19.000000	\N	21675447	17237817	9999-12-31	2013-05-08
BØYLA	340	PRODUCTION LICENSE	2012-10-26	9999-12-31	2012-10-26	9999-12-31	ConocoPhillips Skandinavia AS	20.000000	\N	22492497	2410696	9999-12-31	2013-05-08
BØYLA	340	PRODUCTION LICENSE	2012-10-26	9999-12-31	2012-10-26	9999-12-31	Lundin Norway AS	15.000000	\N	22492497	2767314	9999-12-31	2013-05-08
BØYLA	340	PRODUCTION LICENSE	2012-10-26	9999-12-31	2012-10-26	9999-12-31	Marathon Oil Norge AS	65.000000	\N	22492497	20485291	9999-12-31	2013-05-08
SVALIN	169	PRODUCTION LICENSE	2012-11-23	9999-12-31	2012-11-23	9999-12-31	Petoro AS	30.000000	\N	22507971	1626839	9999-12-31	2013-05-08
SVALIN	169	PRODUCTION LICENSE	2012-11-23	9999-12-31	2012-11-23	9999-12-31	ExxonMobil Exploration & Production Norway AS	13.000000	\N	22507971	2835212	9999-12-31	2013-05-08
SVALIN	169	PRODUCTION LICENSE	2012-11-23	9999-12-31	2012-11-23	9999-12-31	Statoil Petroleum AS	57.000000	\N	22507971	17237817	9999-12-31	2013-05-08
\.



COPY field_operator_hst (fldname, cmplongname, fldoperatorfrom, fldoperatorto, fldnpdidfield, cmpnpdidcompany, fldoperatordateupdated, datesyncnpd) FROM stdin;
ALBUSKJELL	Phillips Petroleum Company Norway	1975-04-25	2002-10-22	43437	694	9999-12-31	2013-05-08
ALBUSKJELL	Phillips Petroleum Norsk AS	2003-03-05	2003-05-05	43437	705	9999-12-31	2013-05-08
ALBUSKJELL	ConocoPhillips Norge	2002-10-23	2003-03-04	43437	2144081	9999-12-31	2013-05-08
ALBUSKJELL	ConocoPhillips Skandinavia AS	2003-05-06	9999-12-31	43437	2410696	9999-12-31	2013-05-08
TOMMELITEN GAMMA	Phillips Petroleum Norsk AS	2001-01-01	2003-05-05	43444	705	9999-12-31	2013-05-08
TOMMELITEN GAMMA	Den norske stats oljeselskap a.s	1986-06-12	2000-12-31	43444	749	9999-12-31	2013-05-08
TOMMELITEN GAMMA	ConocoPhillips Skandinavia AS	2003-05-06	9999-12-31	43444	2410696	9999-12-31	2013-05-08
VARG	Norsk Hydro Produksjon AS	2001-01-11	2002-07-31	43451	430	9999-12-31	2013-05-08
VARG	Saga Petroleum ASA	1996-05-03	2001-01-10	43451	716	9999-12-31	2013-05-08
VARG	Pertra AS (OLD)	2002-08-01	2005-03-30	43451	2069841	9999-12-31	2013-05-08
VARG	Talisman Energy Norge AS	2005-04-29	9999-12-31	43451	2425093	9999-12-31	2013-05-08
VARG	Talisman Production Norge AS	2005-03-31	2005-04-28	43451	3420565	9999-12-31	2013-05-08
SLEIPNER VEST	Den norske stats oljeselskap a.s	1992-12-14	2001-05-10	43457	749	9999-12-31	2013-05-08
SLEIPNER VEST	Statoil ASA (old)	2001-05-10	2007-09-30	43457	1622484	9999-12-31	2013-05-08
SLEIPNER VEST	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43457	4511658	9999-12-31	2013-05-08
SLEIPNER VEST	StatoilHydro ASA	2007-10-01	2008-12-31	43457	4511854	9999-12-31	2013-05-08
SLEIPNER VEST	Statoil Petroleum AS	2009-11-01	9999-12-31	43457	17237817	9999-12-31	2013-05-08
GUNGNE	Den norske stats oljeselskap a.s	1995-08-29	2001-05-10	43464	749	9999-12-31	2013-05-08
GUNGNE	Statoil ASA (old)	2001-05-10	2007-09-30	43464	1622484	9999-12-31	2013-05-08
GUNGNE	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43464	4511658	9999-12-31	2013-05-08
GUNGNE	StatoilHydro ASA	2007-10-01	2008-12-31	43464	4511854	9999-12-31	2013-05-08
GUNGNE	Statoil Petroleum AS	2009-11-01	9999-12-31	43464	17237817	9999-12-31	2013-05-08
SLEIPNER ØST	Den norske stats oljeselskap a.s	1986-12-15	2001-05-10	43478	749	9999-12-31	2013-05-08
SLEIPNER ØST	Statoil ASA (old)	2001-05-10	2007-09-30	43478	1622484	9999-12-31	2013-05-08
SLEIPNER ØST	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43478	4511658	9999-12-31	2013-05-08
SLEIPNER ØST	StatoilHydro ASA	2007-10-01	2008-12-31	43478	4511854	9999-12-31	2013-05-08
SLEIPNER ØST	Statoil Petroleum AS	2009-11-01	9999-12-31	43478	17237817	9999-12-31	2013-05-08
HOD	Amoco Norway Oil Company	1988-06-26	1999-12-23	43485	78	9999-12-31	2013-05-08
HOD	BP Amoco Norge AS	1999-12-23	2002-03-11	43485	982372	9999-12-31	2013-05-08
HOD	BP Norge AS	2002-03-12	9999-12-31	43485	2052695	9999-12-31	2013-05-08
GYDA	BP Petroleum Dev. of Norway AS	1987-06-02	1999-12-23	43492	155	9999-12-31	2013-05-08
GYDA	BP Amoco Norge AS	1999-12-23	2002-03-11	43492	982372	9999-12-31	2013-05-08
GYDA	BP Norge AS	2002-03-12	2003-05-14	43492	2052695	9999-12-31	2013-05-08
GYDA	Talisman Energy Norge AS	2003-05-15	9999-12-31	43492	2425093	9999-12-31	2013-05-08
EKOFISK	Phillips Petroleum Company Norway	1972-03-01	2002-10-22	43506	694	9999-12-31	2013-05-08
EKOFISK	Phillips Petroleum Norsk AS	2003-03-05	2003-05-05	43506	705	9999-12-31	2013-05-08
EKOFISK	ConocoPhillips Norge	2002-10-23	2003-03-04	43506	2144081	9999-12-31	2013-05-08
EKOFISK	ConocoPhillips Skandinavia AS	2003-05-06	9999-12-31	43506	2410696	9999-12-31	2013-05-08
VEST EKOFISK	Phillips Petroleum Company Norway	1973-05-04	2002-10-22	43513	694	9999-12-31	2013-05-08
VEST EKOFISK	Phillips Petroleum Norsk AS	2003-03-05	2003-05-05	43513	705	9999-12-31	2013-05-08
VEST EKOFISK	ConocoPhillips Norge	2002-10-23	2003-03-04	43513	2144081	9999-12-31	2013-05-08
VEST EKOFISK	ConocoPhillips Skandinavia AS	2003-05-06	9999-12-31	43513	2410696	9999-12-31	2013-05-08
TOR	Phillips Petroleum Company Norway	1973-05-04	2002-10-22	43520	694	9999-12-31	2013-05-08
TOR	Phillips Petroleum Norsk AS	2003-03-05	2003-05-05	43520	705	9999-12-31	2013-05-08
TOR	ConocoPhillips Norge	2002-10-23	2003-03-04	43520	2144081	9999-12-31	2013-05-08
TOR	ConocoPhillips Skandinavia AS	2003-05-06	9999-12-31	43520	2410696	9999-12-31	2013-05-08
ELDFISK	Phillips Petroleum Company Norway	1975-04-25	2002-10-22	43527	694	9999-12-31	2013-05-08
ELDFISK	Phillips Petroleum Norsk AS	2003-03-05	2003-05-05	43527	705	9999-12-31	2013-05-08
ELDFISK	ConocoPhillips Norge	2002-10-23	2003-03-04	43527	2144081	9999-12-31	2013-05-08
ELDFISK	ConocoPhillips Skandinavia AS	2003-05-06	9999-12-31	43527	2410696	9999-12-31	2013-05-08
EMBLA	Phillips Petroleum Company Norway	1990-12-14	2002-10-22	43534	694	9999-12-31	2013-05-08
EMBLA	Phillips Petroleum Norsk AS	2003-03-05	2003-05-05	43534	705	9999-12-31	2013-05-08
EMBLA	ConocoPhillips Norge	2002-10-23	2003-03-04	43534	2144081	9999-12-31	2013-05-08
EMBLA	ConocoPhillips Skandinavia AS	2003-05-06	9999-12-31	43534	2410696	9999-12-31	2013-05-08
EDDA	Phillips Petroleum Company Norway	1975-04-25	2002-10-22	43541	694	9999-12-31	2013-05-08
EDDA	Phillips Petroleum Norsk AS	2003-03-05	2003-05-05	43541	705	9999-12-31	2013-05-08
EDDA	ConocoPhillips Norge	2002-10-23	2003-03-04	43541	2144081	9999-12-31	2013-05-08
EDDA	ConocoPhillips Skandinavia AS	2003-05-06	9999-12-31	43541	2410696	9999-12-31	2013-05-08
VALHALL	Amoco Norway Oil Company	1977-06-02	1999-12-23	43548	78	9999-12-31	2013-05-08
VALHALL	BP Amoco Norge AS	1999-12-23	2002-03-11	43548	982372	9999-12-31	2013-05-08
VALHALL	BP Norge AS	2002-03-12	9999-12-31	43548	2052695	9999-12-31	2013-05-08
FRIGG	Elf Petroleum Norge AS	1974-06-13	2000-07-24	43555	298	9999-12-31	2013-05-08
FRIGG	TotalFinaElf Exploration Norge AS	2000-07-24	2003-05-05	43555	1340884	9999-12-31	2013-05-08
FRIGG	Total E&P Norge AS	2003-05-06	9999-12-31	43555	2410708	9999-12-31	2013-05-08
BALDER	Esso Exploration and Production Norway A/S	1996-02-02	2004-09-30	43562	353	9999-12-31	2013-05-08
BALDER	ExxonMobil Exploration & Production Norway AS	2004-10-01	9999-12-31	43562	2835212	9999-12-31	2013-05-08
NORDØST FRIGG	Elf Petroleum Norge AS	1980-09-12	1995-12-31	43568	298	9999-12-31	2013-05-08
NORDØST FRIGG	StatoilHydro Petroleum AS	2007-10-01	2009-02-16	43568	4511658	9999-12-31	2013-05-08
NORDØST FRIGG	Norsk Hydro Petroleum AS	2007-02-16	2007-09-30	43568	4524355	9999-12-31	2013-05-08
ØST FRIGG	Elf Petroleum Norge AS	1984-12-14	2000-07-24	43576	298	9999-12-31	2013-05-08
ØST FRIGG	Norsk Hydro Produksjon AS	2006-01-06	2006-12-31	43576	430	9999-12-31	2013-05-08
ØST FRIGG	TotalFinaElf Exploration Norge AS	2000-07-24	2000-12-31	43576	1340884	9999-12-31	2013-05-08
ØST FRIGG	Centrica Resources (Norge) AS	2012-04-30	9999-12-31	43576	4238233	9999-12-31	2013-05-08
ØST FRIGG	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	43576	4511658	9999-12-31	2013-05-08
ØST FRIGG	Norsk Hydro Petroleum AS	2007-01-01	2007-06-30	43576	4524355	9999-12-31	2013-05-08
ØST FRIGG	Statoil Petroleum AS	2009-11-01	2012-04-29	43576	17237817	9999-12-31	2013-05-08
LILLE-FRIGG	Elf Petroleum Norge AS	1991-09-06	2000-07-24	43583	298	9999-12-31	2013-05-08
LILLE-FRIGG	Norsk Hydro Produksjon AS	2006-01-06	2006-12-31	43583	430	9999-12-31	2013-05-08
LILLE-FRIGG	TotalFinaElf Exploration Norge AS	2000-07-24	2002-05-24	43583	1340884	9999-12-31	2013-05-08
LILLE-FRIGG	Centrica Resources (Norge) AS	2012-04-30	9999-12-31	43583	4238233	9999-12-31	2013-05-08
LILLE-FRIGG	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	43583	4511658	9999-12-31	2013-05-08
LILLE-FRIGG	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	43583	4524355	9999-12-31	2013-05-08
LILLE-FRIGG	Statoil Petroleum AS	2009-11-01	2012-04-29	43583	17237817	9999-12-31	2013-05-08
HEIMDAL	Elf Petroleum Norge AS	1981-06-10	1997-12-31	43590	298	9999-12-31	2013-05-08
HEIMDAL	Norsk Hydro Produksjon AS	1998-01-01	2006-12-31	43590	430	9999-12-31	2013-05-08
HEIMDAL	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	43590	4511658	9999-12-31	2013-05-08
HEIMDAL	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	43590	4524355	9999-12-31	2013-05-08
HEIMDAL	Statoil Petroleum AS	2009-11-01	9999-12-31	43590	17237817	9999-12-31	2013-05-08
FRØY	Elf Petroleum Norge AS	1992-05-18	2000-07-24	43597	298	9999-12-31	2013-05-08
FRØY	TotalFinaElf Exploration Norge AS	2000-07-24	2002-12-31	43597	1340884	9999-12-31	2013-05-08
FRØY	Pertra AS	2006-01-06	2006-02-28	43597	3425724	9999-12-31	2013-05-08
FRØY	Pertra ASA	2006-03-01	2007-11-15	43597	3964368	9999-12-31	2013-05-08
FRØY	Det norske oljeselskap ASA (old)	2007-11-16	2009-12-21	43597	4539989	9999-12-31	2013-05-08
FRØY	Det norske oljeselskap ASA	2009-12-22	9999-12-31	43597	17342870	9999-12-31	2013-05-08
JOTUN	Esso Exploration and Production Norway A/S	1997-06-10	2004-09-30	43604	353	9999-12-31	2013-05-08
JOTUN	ExxonMobil Exploration & Production Norway AS	2004-10-01	9999-12-31	43604	2835212	9999-12-31	2013-05-08
ODIN	Esso Exploration and Production Norway A/S	1980-07-18	1995-12-31	43610	353	9999-12-31	2013-05-08
ODIN	StatoilHydro Petroleum AS	2007-10-01	2009-02-16	43610	4511658	9999-12-31	2013-05-08
ODIN	Norsk Hydro Petroleum AS	2007-02-16	2007-09-30	43610	4524355	9999-12-31	2013-05-08
VESLEFRIKK	Den norske stats oljeselskap a.s	1987-06-02	2001-05-10	43618	749	9999-12-31	2013-05-08
VESLEFRIKK	Statoil ASA (old)	2001-05-10	2007-09-30	43618	1622484	9999-12-31	2013-05-08
VESLEFRIKK	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43618	4511658	9999-12-31	2013-05-08
VESLEFRIKK	StatoilHydro ASA	2007-10-01	2008-12-31	43618	4511854	9999-12-31	2013-05-08
VESLEFRIKK	Statoil Petroleum AS	2009-11-01	9999-12-31	43618	17237817	9999-12-31	2013-05-08
OSEBERG	Norsk Hydro Produksjon AS	1984-06-05	2006-12-31	43625	430	9999-12-31	2013-05-08
OSEBERG	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	43625	4511658	9999-12-31	2013-05-08
OSEBERG	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	43625	4524355	9999-12-31	2013-05-08
OSEBERG	Statoil Petroleum AS	2009-11-01	9999-12-31	43625	17237817	9999-12-31	2013-05-08
OSEBERG ØST	Norsk Hydro Produksjon AS	1996-10-11	2006-12-31	43639	430	9999-12-31	2013-05-08
OSEBERG ØST	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	43639	4511658	9999-12-31	2013-05-08
OSEBERG ØST	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	43639	4524355	9999-12-31	2013-05-08
OSEBERG ØST	Statoil Petroleum AS	2009-11-01	9999-12-31	43639	17237817	9999-12-31	2013-05-08
OSEBERG SØR	Norsk Hydro Produksjon AS	1997-06-10	2006-12-31	43645	430	9999-12-31	2013-05-08
OSEBERG SØR	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	43645	4511658	9999-12-31	2013-05-08
OSEBERG SØR	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	43645	4524355	9999-12-31	2013-05-08
OSEBERG SØR	Statoil Petroleum AS	2009-11-01	9999-12-31	43645	17237817	9999-12-31	2013-05-08
BRAGE	Norsk Hydro Produksjon AS	1990-03-29	2006-12-31	43651	430	9999-12-31	2013-05-08
BRAGE	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	43651	4511658	9999-12-31	2013-05-08
BRAGE	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	43651	4524355	9999-12-31	2013-05-08
BRAGE	Statoil Petroleum AS	2009-11-01	9999-12-31	43651	17237817	9999-12-31	2013-05-08
STATFJORD	Mobil Development Norway AS	1976-06-16	1987-01-01	43658	474	9999-12-31	2013-05-08
STATFJORD	Den norske stats oljeselskap a.s	1987-01-01	2001-05-10	43658	749	9999-12-31	2013-05-08
STATFJORD	Statoil ASA (old)	2001-05-10	2007-09-30	43658	1622484	9999-12-31	2013-05-08
STATFJORD	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43658	4511658	9999-12-31	2013-05-08
STATFJORD	StatoilHydro ASA	2007-10-01	2008-12-31	43658	4511854	9999-12-31	2013-05-08
STATFJORD	Statoil Petroleum AS	2009-11-01	9999-12-31	43658	17237817	9999-12-31	2013-05-08
MURCHISON	Oryx (UK) Energy Company	1995-01-09	1999-04-18	43665	2897	9999-12-31	2013-05-08
MURCHISON	CONOCO (UK) LTD	1986-12-15	1995-01-08	43665	42056	9999-12-31	2013-05-08
MURCHISON	Kerr Mc-Gee North Sea (UK) Ltd	1999-04-19	2002-10-31	43665	1024802	9999-12-31	2013-05-08
MURCHISON	CNR International (UK) Limited	2002-11-01	9999-12-31	43665	2385943	9999-12-31	2013-05-08
STATFJORD ØST	Den norske stats oljeselskap a.s	1990-12-11	2001-05-10	43672	749	9999-12-31	2013-05-08
STATFJORD ØST	Statoil ASA (old)	2001-05-10	2007-09-30	43672	1622484	9999-12-31	2013-05-08
STATFJORD ØST	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43672	4511658	9999-12-31	2013-05-08
STATFJORD ØST	StatoilHydro ASA	2007-10-01	2008-12-31	43672	4511854	9999-12-31	2013-05-08
STATFJORD ØST	Statoil Petroleum AS	2009-11-01	9999-12-31	43672	17237817	9999-12-31	2013-05-08
STATFJORD NORD	Den norske stats oljeselskap a.s	1990-12-11	2001-05-10	43679	749	9999-12-31	2013-05-08
STATFJORD NORD	Statoil ASA (old)	2001-05-10	2007-09-30	43679	1622484	9999-12-31	2013-05-08
STATFJORD NORD	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43679	4511658	9999-12-31	2013-05-08
STATFJORD NORD	StatoilHydro ASA	2007-10-01	2008-12-31	43679	4511854	9999-12-31	2013-05-08
STATFJORD NORD	Statoil Petroleum AS	2009-11-01	9999-12-31	43679	17237817	9999-12-31	2013-05-08
GULLFAKS	Den norske stats oljeselskap a.s	1981-10-09	2001-05-10	43686	749	9999-12-31	2013-05-08
GULLFAKS	Statoil ASA (old)	2001-05-10	2007-09-30	43686	1622484	9999-12-31	2013-05-08
GULLFAKS	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43686	4511658	9999-12-31	2013-05-08
GULLFAKS	StatoilHydro ASA	2007-10-01	2008-12-31	43686	4511854	9999-12-31	2013-05-08
GULLFAKS	Statoil Petroleum AS	2009-11-01	9999-12-31	43686	17237817	9999-12-31	2013-05-08
GULLFAKS SØR	Den norske stats oljeselskap a.s	1996-03-29	2001-05-10	43699	749	9999-12-31	2013-05-08
GULLFAKS SØR	Statoil ASA (old)	2001-05-10	2007-09-30	43699	1622484	9999-12-31	2013-05-08
GULLFAKS SØR	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43699	4511658	9999-12-31	2013-05-08
GULLFAKS SØR	StatoilHydro ASA	2007-10-01	2008-12-31	43699	4511854	9999-12-31	2013-05-08
GULLFAKS SØR	Statoil Petroleum AS	2009-11-01	9999-12-31	43699	17237817	9999-12-31	2013-05-08
SNORRE	Norsk Hydro Produksjon AS	2001-01-11	2002-12-31	43718	430	9999-12-31	2013-05-08
SNORRE	Saga Petroleum ASA	1988-05-27	2001-01-10	43718	716	9999-12-31	2013-05-08
SNORRE	Statoil ASA (old)	2003-01-01	2007-09-30	43718	1622484	9999-12-31	2013-05-08
SNORRE	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43718	4511658	9999-12-31	2013-05-08
SNORRE	StatoilHydro ASA	2007-10-01	2008-12-31	43718	4511854	9999-12-31	2013-05-08
SNORRE	Statoil Petroleum AS	2009-11-01	9999-12-31	43718	17237817	9999-12-31	2013-05-08
TORDIS	Norsk Hydro Produksjon AS	2001-01-11	2002-12-31	43725	430	9999-12-31	2013-05-08
TORDIS	Saga Petroleum ASA	1991-05-14	2001-01-10	43725	716	9999-12-31	2013-05-08
TORDIS	Statoil ASA (old)	2003-01-01	2007-09-30	43725	1622484	9999-12-31	2013-05-08
TORDIS	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43725	4511658	9999-12-31	2013-05-08
TORDIS	StatoilHydro ASA	2007-10-01	2008-12-31	43725	4511854	9999-12-31	2013-05-08
TORDIS	Statoil Petroleum AS	2009-11-01	9999-12-31	43725	17237817	9999-12-31	2013-05-08
VIGDIS	Norsk Hydro Produksjon AS	2001-01-11	2002-12-31	43732	430	9999-12-31	2013-05-08
VIGDIS	Saga Petroleum ASA	1994-12-16	2001-01-10	43732	716	9999-12-31	2013-05-08
VIGDIS	Statoil ASA (old)	2003-01-01	2007-09-30	43732	1622484	9999-12-31	2013-05-08
VIGDIS	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43732	4511658	9999-12-31	2013-05-08
VIGDIS	StatoilHydro ASA	2007-10-01	2008-12-31	43732	4511854	9999-12-31	2013-05-08
VIGDIS	Statoil Petroleum AS	2009-11-01	9999-12-31	43732	17237817	9999-12-31	2013-05-08
VISUND	Norsk Hydro Produksjon AS	1996-03-29	2002-12-31	43745	430	9999-12-31	2013-05-08
VISUND	Statoil ASA (old)	2003-01-01	2007-09-30	43745	1622484	9999-12-31	2013-05-08
VISUND	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43745	4511658	9999-12-31	2013-05-08
VISUND	StatoilHydro ASA	2007-10-01	2008-12-31	43745	4511854	9999-12-31	2013-05-08
VISUND	Statoil Petroleum AS	2009-11-01	9999-12-31	43745	17237817	9999-12-31	2013-05-08
NJORD	Norsk Hydro Produksjon AS	1995-06-12	2006-12-31	43751	430	9999-12-31	2013-05-08
NJORD	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	43751	4511658	9999-12-31	2013-05-08
NJORD	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	43751	4524355	9999-12-31	2013-05-08
NJORD	Statoil Petroleum AS	2009-11-01	9999-12-31	43751	17237817	9999-12-31	2013-05-08
DRAUGEN	A/S Norske Shell	1988-12-19	9999-12-31	43758	562	9999-12-31	2013-05-08
ÅSGARD	Den norske stats oljeselskap a.s	1996-06-14	2001-05-10	43765	749	9999-12-31	2013-05-08
ÅSGARD	Statoil ASA (old)	2001-05-10	2007-09-30	43765	1622484	9999-12-31	2013-05-08
ÅSGARD	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43765	4511658	9999-12-31	2013-05-08
ÅSGARD	StatoilHydro ASA	2007-10-01	2008-12-31	43765	4511854	9999-12-31	2013-05-08
ÅSGARD	Statoil Petroleum AS	2009-11-01	9999-12-31	43765	17237817	9999-12-31	2013-05-08
HEIDRUN	Norske Conoco A/S	1991-05-14	1995-10-18	43771	221	9999-12-31	2013-05-08
HEIDRUN	Den norske stats oljeselskap a.s	1995-10-18	2001-05-10	43771	749	9999-12-31	2013-05-08
HEIDRUN	Statoil ASA (old)	2001-05-10	2007-09-30	43771	1622484	9999-12-31	2013-05-08
HEIDRUN	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43771	4511658	9999-12-31	2013-05-08
HEIDRUN	StatoilHydro ASA	2007-10-01	2008-12-31	43771	4511854	9999-12-31	2013-05-08
HEIDRUN	Statoil Petroleum AS	2009-11-01	9999-12-31	43771	17237817	9999-12-31	2013-05-08
NORNE	Den norske stats oljeselskap a.s	1995-03-09	2001-05-10	43778	749	9999-12-31	2013-05-08
NORNE	Statoil ASA (old)	2001-05-10	2007-09-30	43778	1622484	9999-12-31	2013-05-08
NORNE	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	43778	4511658	9999-12-31	2013-05-08
NORNE	StatoilHydro ASA	2007-10-01	2008-12-31	43778	4511854	9999-12-31	2013-05-08
NORNE	Statoil Petroleum AS	2009-11-01	9999-12-31	43778	17237817	9999-12-31	2013-05-08
COD	Phillips Petroleum Company Norway	1973-05-04	2002-10-22	43785	694	9999-12-31	2013-05-08
COD	Phillips Petroleum Norsk AS	2003-03-05	2003-05-05	43785	705	9999-12-31	2013-05-08
COD	ConocoPhillips Norge	2002-10-23	2003-03-04	43785	2144081	9999-12-31	2013-05-08
COD	ConocoPhillips Skandinavia AS	2003-05-06	9999-12-31	43785	2410696	9999-12-31	2013-05-08
MIME	Norsk Hydro Produksjon AS	1992-11-06	1999-12-31	43792	430	9999-12-31	2013-05-08
MIME	Talisman Energy Norge AS	2003-12-12	2009-07-23	43792	2425093	9999-12-31	2013-05-08
MIME	Lundin Norway AS	2009-07-24	9999-12-31	43792	2767314	9999-12-31	2013-05-08
ULA	BP Petroleum Dev. of Norway AS	1980-05-30	1999-12-23	43800	155	9999-12-31	2013-05-08
ULA	BP Amoco Norge AS	1999-12-23	2002-03-11	43800	982372	9999-12-31	2013-05-08
ULA	BP Norge AS	2002-03-12	9999-12-31	43800	2052695	9999-12-31	2013-05-08
YME	Den norske stats oljeselskap a.s	1995-01-06	2001-05-10	43807	749	9999-12-31	2013-05-08
YME	Paladin Resources Norge AS	2004-06-18	2006-03-21	43807	1577943	9999-12-31	2013-05-08
YME	Statoil ASA (old)	2001-05-10	2001-12-31	43807	1622484	9999-12-31	2013-05-08
YME	Talisman Energy Norge AS	2006-11-16	9999-12-31	43807	2425093	9999-12-31	2013-05-08
YME	Talisman Resources Norge AS	2006-03-22	2006-11-15	43807	3987574	9999-12-31	2013-05-08
TROLL	Norsk Hydro Produksjon AS	1992-05-18	2006-12-31	46437	430	9999-12-31	2013-05-08
TROLL	A/S Norske Shell	1986-12-15	1996-06-19	46437	562	9999-12-31	2013-05-08
TROLL	Den norske stats oljeselskap a.s	1996-06-19	2001-05-10	46437	749	9999-12-31	2013-05-08
TROLL	Statoil ASA (old)	2001-05-10	2007-09-30	46437	1622484	9999-12-31	2013-05-08
TROLL	StatoilHydro Petroleum AS	2007-10-01	2008-12-31	46437	4511658	9999-12-31	2013-05-08
TROLL	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	46437	4511658	9999-12-31	2013-05-08
TROLL	StatoilHydro ASA	2007-10-01	2008-12-31	46437	4511854	9999-12-31	2013-05-08
TROLL	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	46437	4524355	9999-12-31	2013-05-08
TROLL	Statoil Petroleum AS	2009-11-01	9999-12-31	46437	17237817	9999-12-31	2013-05-08
HULDRA	Den norske stats oljeselskap a.s	1999-02-02	2001-05-10	97002	749	9999-12-31	2013-05-08
HULDRA	Statoil ASA (old)	2001-05-10	2007-09-30	97002	1622484	9999-12-31	2013-05-08
HULDRA	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	97002	4511658	9999-12-31	2013-05-08
HULDRA	StatoilHydro ASA	2007-10-01	2008-12-31	97002	4511854	9999-12-31	2013-05-08
HULDRA	Statoil Petroleum AS	2009-11-01	9999-12-31	97002	17237817	9999-12-31	2013-05-08
SYGNA	Den norske stats oljeselskap a.s	1999-04-30	2001-05-10	104718	749	9999-12-31	2013-05-08
SYGNA	Statoil ASA (old)	2001-05-10	2007-09-30	104718	1622484	9999-12-31	2013-05-08
SYGNA	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	104718	4511658	9999-12-31	2013-05-08
SYGNA	StatoilHydro ASA	2007-10-01	2008-12-31	104718	4511854	9999-12-31	2013-05-08
SYGNA	Statoil Petroleum AS	2009-11-01	9999-12-31	104718	17237817	9999-12-31	2013-05-08
TUNE	Norsk Hydro Produksjon AS	1999-12-17	2006-12-31	853376	430	9999-12-31	2013-05-08
TUNE	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	853376	4511658	9999-12-31	2013-05-08
TUNE	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	853376	4524355	9999-12-31	2013-05-08
TUNE	Statoil Petroleum AS	2009-11-01	9999-12-31	853376	17237817	9999-12-31	2013-05-08
TAMBAR	BP Amoco Norge AS	2000-04-03	2002-03-11	1028599	982372	9999-12-31	2013-05-08
TAMBAR	BP Norge AS	2002-03-12	9999-12-31	1028599	2052695	9999-12-31	2013-05-08
GRANE	Norsk Hydro Produksjon AS	2000-06-14	2006-12-31	1035937	430	9999-12-31	2013-05-08
GRANE	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	1035937	4511658	9999-12-31	2013-05-08
GRANE	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	1035937	4524355	9999-12-31	2013-05-08
GRANE	Statoil Petroleum AS	2009-11-01	9999-12-31	1035937	17237817	9999-12-31	2013-05-08
KVITEBJØRN	Den norske stats oljeselskap a.s	2000-06-14	2001-05-10	1036101	749	9999-12-31	2013-05-08
KVITEBJØRN	Statoil ASA (old)	2001-05-10	2007-09-30	1036101	1622484	9999-12-31	2013-05-08
KVITEBJØRN	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	1036101	4511658	9999-12-31	2013-05-08
KVITEBJØRN	StatoilHydro ASA	2007-10-01	2008-12-31	1036101	4511854	9999-12-31	2013-05-08
KVITEBJØRN	Statoil Petroleum AS	2009-11-01	9999-12-31	1036101	17237817	9999-12-31	2013-05-08
GLITNE	Den norske stats oljeselskap a.s	2000-09-08	2001-05-10	1272071	749	9999-12-31	2013-05-08
GLITNE	Statoil ASA (old)	2001-05-10	2007-09-30	1272071	1622484	9999-12-31	2013-05-08
GLITNE	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	1272071	4511658	9999-12-31	2013-05-08
GLITNE	StatoilHydro ASA	2007-10-01	2008-12-31	1272071	4511854	9999-12-31	2013-05-08
GLITNE	Statoil Petroleum AS	2009-11-01	9999-12-31	1272071	17237817	9999-12-31	2013-05-08
FRAM	Norsk Hydro Produksjon AS	2001-03-23	2006-12-31	1578840	430	9999-12-31	2013-05-08
FRAM	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	1578840	4511658	9999-12-31	2013-05-08
FRAM	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	1578840	4524355	9999-12-31	2013-05-08
FRAM	Statoil Petroleum AS	2009-11-01	9999-12-31	1578840	17237817	9999-12-31	2013-05-08
VALE	Norsk Hydro Produksjon AS	2001-03-23	2006-12-31	1578893	430	9999-12-31	2013-05-08
VALE	Centrica Resources (Norge) AS	2012-04-30	9999-12-31	1578893	4238233	9999-12-31	2013-05-08
VALE	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	1578893	4511658	9999-12-31	2013-05-08
VALE	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	1578893	4524355	9999-12-31	2013-05-08
VALE	Statoil Petroleum AS	2009-11-01	2012-04-29	1578893	17237817	9999-12-31	2013-05-08
SIGYN	Esso Exploration and Production Norway A/S	2001-08-31	2004-09-30	1630100	353	9999-12-31	2013-05-08
SIGYN	ExxonMobil Exploration & Production Norway AS	2004-10-01	9999-12-31	1630100	2835212	9999-12-31	2013-05-08
MIKKEL	Statoil ASA (old)	2001-09-14	2007-09-30	1630514	1622484	9999-12-31	2013-05-08
MIKKEL	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	1630514	4511658	9999-12-31	2013-05-08
MIKKEL	StatoilHydro ASA	2007-10-01	2008-12-31	1630514	4511854	9999-12-31	2013-05-08
MIKKEL	Statoil Petroleum AS	2009-11-01	9999-12-31	1630514	17237817	9999-12-31	2013-05-08
KRISTIN	Statoil ASA (old)	2001-12-17	2007-09-30	1854729	1622484	9999-12-31	2013-05-08
KRISTIN	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	1854729	4511658	9999-12-31	2013-05-08
KRISTIN	StatoilHydro ASA	2007-10-01	2008-12-31	1854729	4511854	9999-12-31	2013-05-08
KRISTIN	Statoil Petroleum AS	2009-11-01	9999-12-31	1854729	17237817	9999-12-31	2013-05-08
SNØHVIT	Statoil ASA (old)	2002-03-07	2007-09-30	2053062	1622484	9999-12-31	2013-05-08
SNØHVIT	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	2053062	4511658	9999-12-31	2013-05-08
SNØHVIT	StatoilHydro ASA	2007-10-01	2008-12-31	2053062	4511854	9999-12-31	2013-05-08
SNØHVIT	Statoil Petroleum AS	2009-11-01	9999-12-31	2053062	17237817	9999-12-31	2013-05-08
SKIRNE	TotalFinaElf Exploration Norge AS	2002-07-05	2003-05-05	2138816	1340884	9999-12-31	2013-05-08
SKIRNE	Total E&P Norge AS	2003-05-06	9999-12-31	2138816	2410708	9999-12-31	2013-05-08
ORMEN LANGE	Norsk Hydro Produksjon AS	2004-04-02	2006-12-31	2762452	430	9999-12-31	2013-05-08
ORMEN LANGE	A/S Norske Shell	2007-12-01	9999-12-31	2762452	562	9999-12-31	2013-05-08
ORMEN LANGE	StatoilHydro Petroleum AS	2007-10-01	2007-11-30	2762452	4511658	9999-12-31	2013-05-08
ORMEN LANGE	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	2762452	4524355	9999-12-31	2013-05-08
URD	Statoil ASA (old)	2004-07-02	2007-09-30	2834734	1622484	9999-12-31	2013-05-08
URD	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	2834734	4511658	9999-12-31	2013-05-08
URD	StatoilHydro ASA	2007-10-01	2008-12-31	2834734	4511854	9999-12-31	2013-05-08
URD	Statoil Petroleum AS	2009-11-01	9999-12-31	2834734	17237817	9999-12-31	2013-05-08
ALVHEIM	Marathon Petroleum Norge AS	2004-10-06	2011-07-03	2845712	463	9999-12-31	2013-05-08
ALVHEIM	Marathon Oil Norge AS	2011-07-04	9999-12-31	2845712	20485291	9999-12-31	2013-05-08
VILJE	Norsk Hydro Produksjon AS	2005-03-18	2006-12-31	3392471	430	9999-12-31	2013-05-08
VILJE	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	3392471	4511658	9999-12-31	2013-05-08
VILJE	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	3392471	4524355	9999-12-31	2013-05-08
VILJE	Statoil Petroleum AS	2009-11-01	2012-09-30	3392471	17237817	2012-09-20	2013-05-08
VILJE	Marathon Oil Norge AS	2012-10-01	9999-12-31	3392471	20485291	2012-09-20	2013-05-08
VOLVE	Statoil ASA (old)	2005-04-22	2007-09-30	3420717	1622484	9999-12-31	2013-05-08
VOLVE	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	3420717	4511658	9999-12-31	2013-05-08
VOLVE	StatoilHydro ASA	2007-10-01	2008-12-31	3420717	4511854	9999-12-31	2013-05-08
VOLVE	Statoil Petroleum AS	2009-11-01	9999-12-31	3420717	17237817	9999-12-31	2013-05-08
BLANE	Talisman Energy Norge AS	2007-09-10	9999-12-31	3437650	2425093	9999-12-31	2013-05-08
BLANE	Paladin Expro Limited	2005-07-01	2005-12-18	3437650	3437686	9999-12-31	2013-05-08
BLANE	Talisman Expro Limited	2005-12-19	2006-10-30	3437650	3987589	9999-12-31	2013-05-08
BLANE	Talisman North Sea Limited	2006-10-31	2007-09-09	3437650	4462398	9999-12-31	2013-05-08
ENOCH	Paladin Expro Limited	2005-07-01	2005-12-18	3437659	3437686	9999-12-31	2013-05-08
ENOCH	Talisman Expro Limited	2005-12-19	2006-10-30	3437659	3987589	9999-12-31	2013-05-08
ENOCH	Talisman North Sea Limited	2006-10-31	9999-12-31	3437659	4462398	9999-12-31	2013-05-08
RINGHORNE ØST	ExxonMobil Exploration & Production Norway AS	2005-11-10	9999-12-31	3505505	2835212	9999-12-31	2013-05-08
TYRIHANS	Statoil ASA (old)	2006-02-16	2007-09-30	3960848	1622484	9999-12-31	2013-05-08
TYRIHANS	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	3960848	4511658	9999-12-31	2013-05-08
TYRIHANS	StatoilHydro ASA	2007-10-01	2008-12-31	3960848	4511854	9999-12-31	2013-05-08
TYRIHANS	Statoil Petroleum AS	2009-11-01	9999-12-31	3960848	17237817	9999-12-31	2013-05-08
GIMLE	Statoil ASA (old)	2006-05-18	2007-09-30	4005142	1622484	9999-12-31	2013-05-08
GIMLE	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	4005142	4511658	9999-12-31	2013-05-08
GIMLE	StatoilHydro ASA	2007-10-01	2008-12-31	4005142	4511854	9999-12-31	2013-05-08
GIMLE	Statoil Petroleum AS	2009-11-01	9999-12-31	4005142	17237817	9999-12-31	2013-05-08
VOLUND	Marathon Petroleum Norge AS	2007-01-18	2011-07-03	4380167	463	9999-12-31	2013-05-08
VOLUND	Marathon Oil Norge AS	2011-07-04	9999-12-31	4380167	20485291	9999-12-31	2013-05-08
ALVE	Statoil ASA (old)	2007-03-16	2007-09-30	4444332	1622484	9999-12-31	2013-05-08
ALVE	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	4444332	4511658	9999-12-31	2013-05-08
ALVE	StatoilHydro ASA	2007-10-01	2008-12-31	4444332	4511854	9999-12-31	2013-05-08
ALVE	Statoil Petroleum AS	2009-11-01	9999-12-31	4444332	17237817	9999-12-31	2013-05-08
REV	Talisman Energy Norge AS	2007-06-15	9999-12-31	4467554	2425093	9999-12-31	2013-05-08
GJØA	Statoil ASA (old)	2007-06-14	2007-09-30	4467574	1622484	9999-12-31	2013-05-08
GJØA	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	4467574	4511658	9999-12-31	2013-05-08
GJØA	StatoilHydro ASA	2007-10-01	2008-12-31	4467574	4511854	9999-12-31	2013-05-08
GJØA	GDF SUEZ E&P Norge AS	2010-11-25	9999-12-31	4467574	5267845	9999-12-31	2013-05-08
GJØA	Statoil Petroleum AS	2009-11-01	2010-11-24	4467574	17237817	9999-12-31	2013-05-08
VEGA	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	4467595	4511658	9999-12-31	2013-05-08
VEGA	Norsk Hydro Petroleum AS	2007-06-14	2007-09-30	4467595	4524355	9999-12-31	2013-05-08
VEGA	Statoil Petroleum AS	2009-11-01	9999-12-31	4467595	17237817	9999-12-31	2013-05-08
SKARV	BP Norge AS	2007-12-18	9999-12-31	4704482	2052695	9999-12-31	2013-05-08
MORVIN	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	4966234	4511658	9999-12-31	2013-05-08
MORVIN	StatoilHydro ASA	2008-04-25	2008-12-31	4966234	4511854	9999-12-31	2013-05-08
MORVIN	Statoil Petroleum AS	2009-11-01	9999-12-31	4966234	17237817	9999-12-31	2013-05-08
YTTERGRYTA	StatoilHydro Petroleum AS	2009-01-01	2009-12-31	4973114	4511658	9999-12-31	2013-05-08
YTTERGRYTA	StatoilHydro ASA	2008-05-21	2008-12-31	4973114	4511854	9999-12-31	2013-05-08
YTTERGRYTA	Statoil Petroleum AS	2009-11-01	9999-12-31	4973114	17237817	9999-12-31	2013-05-08
TAMBAR ØST	BP Norge AS	2007-06-28	9999-12-31	4999528	2052695	9999-12-31	2013-05-08
OSELVAR	DONG E&P Norge AS	2009-06-19	9999-12-31	5506919	4070011	9999-12-31	2013-05-08
GOLIAT	Eni Norge AS	2009-06-18	9999-12-31	5774394	2388594	9999-12-31	2013-05-08
TRYM	DONG E&P Norge AS	2010-03-26	9999-12-31	18081500	4070011	9999-12-31	2013-05-08
GUDRUN	Statoil Petroleum AS	2010-06-16	9999-12-31	18116481	17237817	9999-12-31	2013-05-08
GAUPE	BG Norge AS	2010-06-25	9999-12-31	18161341	2747354	9999-12-31	2013-05-08
MARULK	Eni Norge AS	2010-07-15	9999-12-31	18212090	2388594	9999-12-31	2013-05-08
VALEMON	Statoil Petroleum AS	2011-06-09	9999-12-31	20460969	17237817	9999-12-31	2013-05-08
KNARR	BG Norge AS	2011-06-09	9999-12-31	20460988	2747354	9999-12-31	2013-05-08
VISUND SØR	Statoil Petroleum AS	2011-06-10	9999-12-31	20461008	17237817	9999-12-31	2013-05-08
HYME	Statoil Petroleum AS	2011-06-24	9999-12-31	20474183	17237817	9999-12-31	2013-05-08
ISLAY	TOTAL E&P UK PLC	2011-11-04	9999-12-31	21105675	2747820	9999-12-31	2013-05-08
ATLA	Total E&P Norge AS	2011-11-04	9999-12-31	21106284	2410708	9999-12-31	2013-05-08
BRYNHILD	Lundin Norway AS	2011-11-11	9999-12-31	21123063	2767314	9999-12-31	2013-05-08
SKULD	Statoil Petroleum AS	2012-01-20	9999-12-31	21350124	17237817	9999-12-31	2013-05-08
JETTE	Det norske oljeselskap ASA	2012-02-17	9999-12-31	21613906	17342870	9999-12-31	2013-05-08
EDVARD GRIEG	Lundin Norway AS	2012-06-11	9999-12-31	21675433	2767314	9999-12-31	2013-05-08
MARTIN LINGE	Total E&P Norge AS	2012-06-11	9999-12-31	21675447	2410708	9999-12-31	2013-05-08
BØYLA	Marathon Oil Norge AS	2012-10-26	9999-12-31	22492497	20485291	9999-12-31	2013-05-08
SVALIN	Statoil Petroleum AS	2012-11-23	9999-12-31	22507971	17237817	9999-12-31	2013-05-08
\.



COPY field_owner_hst (fldname, fldownerkind, fldownername, fldownershipfromdate, fldownershiptodate, fldnpdidfield, fldnpdidowner, fldownerdateupdated, datesyncnpd) FROM stdin;
ALBUSKJELL	PRODUCTION LICENSE	018	1975-04-25	9999-12-31	43437	20900	9999-12-31	2013-05-08
TOMMELITEN GAMMA	BUSINESS ARRANGEMENT AREA	TOMMELITEN UNIT	1986-06-12	9999-12-31	43444	41411	9999-12-31	2013-05-08
VARG	PRODUCTION LICENSE	038	1996-05-03	9999-12-31	43451	21092	9999-12-31	2013-05-08
SLEIPNER VEST	PRODUCTION LICENSE	046	1992-12-14	1994-06-30	43457	21156	9999-12-31	2013-05-08
SLEIPNER VEST	BUSINESS ARRANGEMENT AREA	SLEIPNER VEST UNIT	1994-07-01	9999-12-31	43457	40848	9999-12-31	2013-05-08
GUNGNE	PRODUCTION LICENSE	046	1995-08-29	9999-12-31	43464	21156	9999-12-31	2013-05-08
SLEIPNER ØST	PRODUCTION LICENSE	046	1986-12-15	1993-01-14	43478	21156	9999-12-31	2013-05-08
SLEIPNER ØST	BUSINESS ARRANGEMENT AREA	SLEIPNER ØST UNIT	1993-01-15	9999-12-31	43478	41211	9999-12-31	2013-05-08
HOD	PRODUCTION LICENSE	033	1988-06-26	9999-12-31	43485	21052	9999-12-31	2013-05-08
GYDA	PRODUCTION LICENSE	019 B	1987-06-02	9999-12-31	43492	20924	9999-12-31	2013-05-08
EKOFISK	PRODUCTION LICENSE	018	1972-03-01	9999-12-31	43506	20900	9999-12-31	2013-05-08
VEST EKOFISK	PRODUCTION LICENSE	018	1973-05-04	9999-12-31	43513	20900	9999-12-31	2013-05-08
TOR	PRODUCTION LICENSE	018	1973-05-04	1975-12-09	43520	20900	9999-12-31	2013-05-08
TOR	BUSINESS ARRANGEMENT AREA	TOR UNIT	1975-12-10	9999-12-31	43520	45891	9999-12-31	2013-05-08
ELDFISK	PRODUCTION LICENSE	018	1975-04-25	9999-12-31	43527	20900	9999-12-31	2013-05-08
EMBLA	PRODUCTION LICENSE	018	1990-12-14	9999-12-31	43534	20900	9999-12-31	2013-05-08
EDDA	PRODUCTION LICENSE	018	1975-04-25	9999-12-31	43541	20900	9999-12-31	2013-05-08
VALHALL	PRODUCTION LICENSE	006	1977-06-02	1982-09-27	43548	20804	9999-12-31	2013-05-08
VALHALL	BUSINESS ARRANGEMENT AREA	VALHALL UNIT	1982-09-28	9999-12-31	43548	41657	9999-12-31	2013-05-08
FRIGG	PRODUCTION LICENSE	024	1974-06-13	1977-12-11	43555	20964	9999-12-31	2013-05-08
FRIGG	BUSINESS ARRANGEMENT AREA	FRIGG UNIT	1977-12-12	9999-12-31	43555	45634	9999-12-31	2013-05-08
BALDER	PRODUCTION LICENSE	001	1996-02-02	9999-12-31	43562	20756	9999-12-31	2013-05-08
NORDØST FRIGG	BUSINESS ARRANGEMENT AREA	NORDØST FRIGG UNIT	1980-09-12	1995-12-31	43568	42225	9999-12-31	2013-05-08
NORDØST FRIGG	PRODUCTION LICENSE	415	2007-02-16	2009-02-16	43568	4237498	9999-12-31	2013-05-08
ØST FRIGG	PRODUCTION LICENSE	026	1984-12-14	1987-11-30	43576	20980	9999-12-31	2013-05-08
ØST FRIGG	BUSINESS ARRANGEMENT AREA	ØST FRIGG UNIT	1987-12-01	2000-12-31	43576	41313	9999-12-31	2013-05-08
ØST FRIGG	PRODUCTION LICENSE	362	2006-01-06	9999-12-31	43576	3810565	9999-12-31	2013-05-08
LILLE-FRIGG	PRODUCTION LICENSE	026	1991-09-06	2002-05-24	43583	20980	9999-12-31	2013-05-08
LILLE-FRIGG	PRODUCTION LICENSE	362	2006-01-06	9999-12-31	43583	3810565	9999-12-31	2013-05-08
HEIMDAL	BUSINESS ARRANGEMENT AREA	HEIMDAL UNIT	1981-06-10	2003-10-12	43590	41470	9999-12-31	2013-05-08
HEIMDAL	PRODUCTION LICENSE	036 BS	2003-10-13	9999-12-31	43590	2473189	9999-12-31	2013-05-08
FRØY	BUSINESS ARRANGEMENT AREA	FRØY UNIT	1992-08-19	2002-12-31	43597	41175	9999-12-31	2013-05-08
FRØY	PRODUCTION LICENSE	364	2006-01-06	9999-12-31	43597	3810636	9999-12-31	2013-05-08
JOTUN	PRODUCTION LICENSE	027 P	1997-06-10	1997-12-31	43604	20996	9999-12-31	2013-05-08
JOTUN	BUSINESS ARRANGEMENT AREA	JOTUN UNIT	1998-01-01	9999-12-31	43604	40655	9999-12-31	2013-05-08
ODIN	PRODUCTION LICENSE	030	1980-07-18	1995-12-31	43610	21028	9999-12-31	2013-05-08
ODIN	PRODUCTION LICENSE	415	2007-02-16	2009-02-16	43610	4237498	9999-12-31	2013-05-08
VESLEFRIKK	PRODUCTION LICENSE	052	1987-06-02	9999-12-31	43618	21212	9999-12-31	2013-05-08
OSEBERG	BUSINESS ARRANGEMENT AREA	OSEBERG UNIT	1984-06-05	2004-06-15	43625	41040	9999-12-31	2013-05-08
OSEBERG	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	2004-06-16	9999-12-31	43625	3500071	9999-12-31	2013-05-08
OSEBERG ØST	PRODUCTION LICENSE	053	1996-10-11	2004-06-15	43639	21220	9999-12-31	2013-05-08
OSEBERG ØST	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	2004-06-16	9999-12-31	43639	3500071	9999-12-31	2013-05-08
OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG SØR UNIT	1997-06-10	2004-06-15	43645	40638	9999-12-31	2013-05-08
OSEBERG SØR	BUSINESS ARRANGEMENT AREA	OSEBERG AREA UNIT	2004-06-16	9999-12-31	43645	3500071	9999-12-31	2013-05-08
BRAGE	PRODUCTION LICENSE	055	1990-03-29	1993-12-26	43651	21236	9999-12-31	2013-05-08
BRAGE	BUSINESS ARRANGEMENT AREA	BRAGE UNIT	1993-12-27	9999-12-31	43651	40432	9999-12-31	2013-05-08
STATFJORD	PRODUCTION LICENSE	037	1976-06-16	1979-05-31	43658	21084	9999-12-31	2013-05-08
STATFJORD	BUSINESS ARRANGEMENT AREA	STATFJORD UNIT	1979-06-01	9999-12-31	43658	41686	9999-12-31	2013-05-08
MURCHISON	BUSINESS ARRANGEMENT AREA	MURCHISON UNIT	1979-04-01	9999-12-31	43665	42302	9999-12-31	2013-05-08
STATFJORD ØST	BUSINESS ARRANGEMENT AREA	STATFJORD ØST UNIT	1991-06-26	9999-12-31	43672	41233	9999-12-31	2013-05-08
STATFJORD NORD	PRODUCTION LICENSE	037	1990-12-11	9999-12-31	43679	21084	9999-12-31	2013-05-08
GULLFAKS	PRODUCTION LICENSE	050	1981-10-09	9999-12-31	43686	21188	9999-12-31	2013-05-08
GULLFAKS SØR	PRODUCTION LICENSE	050	1996-03-29	9999-12-31	43699	21188	9999-12-31	2013-05-08
SNORRE	BUSINESS ARRANGEMENT AREA	SNORRE UNIT	1988-05-27	9999-12-31	43718	40906	9999-12-31	2013-05-08
TORDIS	PRODUCTION LICENSE	089	1991-05-14	9999-12-31	43725	21516	9999-12-31	2013-05-08
VIGDIS	PRODUCTION LICENSE	089	1994-12-16	9999-12-31	43732	21516	9999-12-31	2013-05-08
VISUND	BUSINESS ARRANGEMENT AREA	VISUND INSIDE	1996-03-29	9999-12-31	43745	40726	9999-12-31	2013-05-08
NJORD	BUSINESS ARRANGEMENT AREA	NJORD UNIT	1995-06-12	9999-12-31	43751	40585	9999-12-31	2013-05-08
DRAUGEN	PRODUCTION LICENSE	093	1988-12-19	9999-12-31	43758	21548	9999-12-31	2013-05-08
ÅSGARD	BUSINESS ARRANGEMENT AREA	ÅSGARD UNIT	1996-06-14	9999-12-31	43765	40564	9999-12-31	2013-05-08
HEIDRUN	PRODUCTION LICENSE	095	1991-05-14	1991-11-26	43771	21564	9999-12-31	2013-05-08
HEIDRUN	BUSINESS ARRANGEMENT AREA	HEIDRUN UNIT	1991-11-27	9999-12-31	43771	40490	9999-12-31	2013-05-08
NORNE	BUSINESS ARRANGEMENT AREA	NORNE INSIDE	1995-03-09	9999-12-31	43778	40672	9999-12-31	2013-05-08
COD	PRODUCTION LICENSE	018	1973-05-04	9999-12-31	43785	20900	9999-12-31	2013-05-08
MIME	PRODUCTION LICENSE	070	1992-11-06	1999-12-31	43792	21356	9999-12-31	2013-05-08
MIME	PRODUCTION LICENSE	301	2003-12-12	9999-12-31	43792	2490380	9999-12-31	2013-05-08
ULA	PRODUCTION LICENSE	019	1980-05-30	9999-12-31	43800	20916	9999-12-31	2013-05-08
YME	PRODUCTION LICENSE	114	1995-01-06	2001-12-31	43807	21716	9999-12-31	2013-05-08
YME	PRODUCTION LICENSE	316	2004-06-18	9999-12-31	43807	2786469	9999-12-31	2013-05-08
TROLL	BUSINESS ARRANGEMENT AREA	TROLL UNIT	1987-01-01	9999-12-31	46437	41105	9999-12-31	2013-05-08
HULDRA	BUSINESS ARRANGEMENT AREA	HULDRA UNIT	1999-02-02	9999-12-31	97002	41189	9999-12-31	2013-05-08
SYGNA	BUSINESS ARRANGEMENT AREA	SYGNA UNIT	1999-04-30	9999-12-31	104718	96205	9999-12-31	2013-05-08
TUNE	PRODUCTION LICENSE	190	1999-12-17	9999-12-31	853376	22332	9999-12-31	2013-05-08
TAMBAR	PRODUCTION LICENSE	065	2000-04-03	9999-12-31	1028599	21316	9999-12-31	2013-05-08
GRANE	BUSINESS ARRANGEMENT AREA	GRANE UNIT	2000-06-14	9999-12-31	1035937	1031365	9999-12-31	2013-05-08
KVITEBJØRN	PRODUCTION LICENSE	193	2000-06-14	9999-12-31	1036101	22356	9999-12-31	2013-05-08
GLITNE	PRODUCTION LICENSE	048	2000-09-08	2001-01-09	1272071	21172	9999-12-31	2013-05-08
GLITNE	PRODUCTION LICENSE	048 B	2001-01-10	9999-12-31	1272071	1342723	9999-12-31	2013-05-08
FRAM	PRODUCTION LICENSE	090	2001-03-23	9999-12-31	1578840	21524	9999-12-31	2013-05-08
VALE	PRODUCTION LICENSE	036	2001-03-23	9999-12-31	1578893	21076	9999-12-31	2013-05-08
SIGYN	PRODUCTION LICENSE	072	2001-08-31	9999-12-31	1630100	21372	9999-12-31	2013-05-08
MIKKEL	BUSINESS ARRANGEMENT AREA	MIKKEL UNIT	2001-09-14	9999-12-31	1630514	1629477	9999-12-31	2013-05-08
KRISTIN	BUSINESS ARRANGEMENT AREA	HALTENBANKEN VEST UNIT	2001-12-17	9999-12-31	1854729	1854695	9999-12-31	2013-05-08
SNØHVIT	BUSINESS ARRANGEMENT AREA	SNØHVIT UNIT	2002-03-07	9999-12-31	2053062	1333943	9999-12-31	2013-05-08
SKIRNE	PRODUCTION LICENSE	102	2002-07-05	9999-12-31	2138816	21620	9999-12-31	2013-05-08
ORMEN LANGE	BUSINESS ARRANGEMENT AREA	ORMEN LANGE UNIT	2004-04-02	9999-12-31	2762452	2588637	9999-12-31	2013-05-08
URD	PRODUCTION LICENSE	128	2004-07-02	9999-12-31	2834734	21836	9999-12-31	2013-05-08
ALVHEIM	PRODUCTION LICENSE	203	2004-10-06	9999-12-31	2845712	22436	9999-12-31	2013-05-08
VILJE	PRODUCTION LICENSE	036	2005-03-18	2008-10-16	3392471	21076	9999-12-31	2013-05-08
VILJE	PRODUCTION LICENSE	036 D	2008-10-17	9999-12-31	3392471	5081703	9999-12-31	2013-05-08
VOLVE	BUSINESS ARRANGEMENT AREA	SLEIPNER ØST UNIT	2005-04-22	2006-11-27	3420717	41211	9999-12-31	2013-05-08
VOLVE	PRODUCTION LICENSE	046 BS	2006-11-28	9999-12-31	3420717	4227659	9999-12-31	2013-05-08
BLANE	BUSINESS ARRANGEMENT AREA	BLANE UNIT	2005-07-01	9999-12-31	3437650	3437667	9999-12-31	2013-05-08
ENOCH	BUSINESS ARRANGEMENT AREA	ENOCH UNIT	2005-07-01	9999-12-31	3437659	3437805	9999-12-31	2013-05-08
RINGHORNE ØST	BUSINESS ARRANGEMENT AREA	RINGHORNE ØST UNIT	2005-11-10	9999-12-31	3505505	3505593	9999-12-31	2013-05-08
TYRIHANS	BUSINESS ARRANGEMENT AREA	TYRIHANS UNIT	2006-02-16	9999-12-31	3960848	3488806	9999-12-31	2013-05-08
GIMLE	BUSINESS ARRANGEMENT AREA	GIMLE UNIT	2006-05-18	9999-12-31	4005142	4007192	9999-12-31	2013-05-08
VOLUND	PRODUCTION LICENSE	150	2007-01-18	9999-12-31	4380167	22012	9999-12-31	2013-05-08
ALVE	PRODUCTION LICENSE	159 B	2007-03-16	9999-12-31	4444332	2819945	9999-12-31	2013-05-08
REV	PRODUCTION LICENSE	038 C	2007-06-15	9999-12-31	4467554	4005057	9999-12-31	2013-05-08
GJØA	PRODUCTION LICENSE	153	2007-06-14	9999-12-31	4467574	22036	9999-12-31	2013-05-08
VEGA	PRODUCTION LICENSE	248	2007-06-14	2011-02-28	4467595	102285	9999-12-31	2013-05-08
VEGA	BUSINESS ARRANGEMENT AREA	VEGA UNIT	2011-03-01	9999-12-31	4467595	20459640	9999-12-31	2013-05-08
SKARV	BUSINESS ARRANGEMENT AREA	SKARV UNIT	2007-12-18	9999-12-31	4704482	4468539	9999-12-31	2013-05-08
MORVIN	PRODUCTION LICENSE	134 B	2000-04-25	9999-12-31	4966234	1025257	9999-12-31	2013-05-08
YTTERGRYTA	PRODUCTION LICENSE	062	2008-05-21	9999-12-31	4973114	21292	9999-12-31	2013-05-08
TAMBAR ØST	BUSINESS ARRANGEMENT AREA	TAMBAR ØST UNIT	2007-06-28	9999-12-31	4999528	4999504	9999-12-31	2013-05-08
OSELVAR	PRODUCTION LICENSE	274	2009-06-19	9999-12-31	5506919	2060266	9999-12-31	2013-05-08
GOLIAT	PRODUCTION LICENSE	229	2009-06-18	9999-12-31	5774394	22644	9999-12-31	2013-05-08
TRYM	PRODUCTION LICENSE	147	2010-03-26	9999-12-31	18081500	21988	9999-12-31	2013-05-08
GUDRUN	PRODUCTION LICENSE	025	2010-06-16	9999-12-31	18116481	34512	9999-12-31	2013-05-08
GAUPE	PRODUCTION LICENSE	292	2010-06-25	9999-12-31	18161341	2407572	9999-12-31	2013-05-08
MARULK	PRODUCTION LICENSE	122	2010-07-15	9999-12-31	18212090	21788	9999-12-31	2013-05-08
VALEMON	BUSINESS ARRANGEMENT AREA	VALEMON UNIT	2011-06-09	9999-12-31	20460969	18403644	9999-12-31	2013-05-08
KNARR	PRODUCTION LICENSE	373 S	2011-06-09	9999-12-31	20460988	3811116	9999-12-31	2013-05-08
VISUND SØR	BUSINESS ARRANGEMENT AREA	VISUND INSIDE	2011-06-10	9999-12-31	20461008	40726	9999-12-31	2013-05-08
HYME	PRODUCTION LICENSE	348	2011-06-24	9999-12-31	20474183	2987047	9999-12-31	2013-05-08
ISLAY	PRODUCTION LICENSE	043 CS	2010-07-05	9999-12-31	21105675	18116800	9999-12-31	2013-05-08
ATLA	PRODUCTION LICENSE	102 C	2011-11-04	9999-12-31	21106284	5467035	9999-12-31	2013-05-08
BRYNHILD	PRODUCTION LICENSE	148	2011-11-11	9999-12-31	21123063	21996	9999-12-31	2013-05-08
SKULD	PRODUCTION LICENSE	128	2012-01-20	9999-12-31	21350124	21836	9999-12-31	2013-05-08
JETTE	BUSINESS ARRANGEMENT AREA	JETTE UNIT	2012-02-17	9999-12-31	21613906	21077388	9999-12-31	2013-05-08
EDVARD GRIEG	PRODUCTION LICENSE	338	2012-06-11	9999-12-31	21675433	2986578	9999-12-31	2013-05-08
MARTIN LINGE	BUSINESS ARRANGEMENT AREA	MARTIN LINGE UNIT	2012-06-11	9999-12-31	21675447	3812119	9999-12-31	2013-05-08
BØYLA	PRODUCTION LICENSE	340	2012-10-26	9999-12-31	22492497	2986630	9999-12-31	2013-05-08
SVALIN	PRODUCTION LICENSE	169	2012-11-23	9999-12-31	22507971	22164	9999-12-31	2013-05-08
\.



COPY field_production_monthly (prfinformationcarrier, prfyear, prfmonth, prfprdoilnetmillsm3, prfprdgasnetbillsm3, prfprdnglnetmillsm3, prfprdcondensatenetmillsm3, prfprdoenetmillsm3, prfprdproducedwaterinfieldmillsm3, prfnpdidinformationcarrier) FROM stdin;
ALBUSKJELL	1979	5	0.004170	0.007680	0.000330	0.000000	0.012180	0.000000	43437
ALBUSKJELL	1979	6	0.011640	0.020900	0.000940	0.000000	0.033470	0.000000	43437
ALBUSKJELL	1979	7	0.034910	0.053980	0.004470	0.000000	0.093360	0.000000	43437
ALBUSKJELL	1979	8	0.096230	0.125060	0.012040	0.000000	0.233330	0.000000	43437
ALBUSKJELL	1979	9	0.110200	0.133320	0.011880	0.000000	0.255390	0.000000	43437
ALBUSKJELL	1979	10	0.071790	0.084310	0.006460	0.000000	0.162550	0.000000	43437
ALBUSKJELL	1979	11	0.110570	0.121840	0.012870	0.000000	0.245280	0.000000	43437
ALBUSKJELL	1979	12	0.091660	0.104880	0.011320	0.000000	0.207850	0.000000	43437
ALBUSKJELL	1980	1	0.121310	0.141770	0.016460	0.000000	0.279540	0.000000	43437
ALBUSKJELL	1980	2	0.129680	0.153580	0.016810	0.000000	0.300070	0.000000	43437
ALBUSKJELL	1980	3	0.131000	0.155020	0.017020	0.000000	0.303040	0.000000	43437
ALBUSKJELL	1980	4	0.113270	0.133250	0.015370	0.000000	0.261890	0.000000	43437
ALBUSKJELL	1980	5	0.134290	0.160840	0.019740	0.000000	0.314870	0.000000	43437
ALBUSKJELL	1980	6	0.138540	0.165050	0.020020	0.000000	0.323600	0.000000	43437
ALBUSKJELL	1980	7	0.059970	0.064680	0.008110	0.000000	0.132750	0.000000	43437
ALBUSKJELL	1980	8	0.130560	0.162440	0.018770	0.000000	0.311780	0.000000	43437
ALBUSKJELL	1980	9	0.130580	0.165410	0.020350	0.000000	0.316330	0.000000	43437
ALBUSKJELL	1980	10	0.118660	0.165980	0.018920	0.000000	0.303560	0.000000	43437
ALBUSKJELL	1980	11	0.116340	0.152670	0.017780	0.000000	0.286790	0.000000	43437
ALBUSKJELL	1980	12	0.117480	0.158410	0.018360	0.000000	0.294250	0.000000	43437
ALBUSKJELL	1981	1	0.113030	0.156200	0.019080	0.000000	0.288300	0.000000	43437
ALBUSKJELL	1981	2	0.113910	0.153600	0.019960	0.000000	0.287470	0.000000	43437
ALBUSKJELL	1981	3	0.141660	0.196550	0.024740	0.000000	0.362940	0.000000	43437
ALBUSKJELL	1981	4	0.129120	0.187440	0.023370	0.000000	0.339920	0.000000	43437
ALBUSKJELL	1981	5	0.131250	0.189460	0.021540	0.000000	0.342240	0.000000	43437
ALBUSKJELL	1981	6	0.123960	0.196030	0.022670	0.000000	0.342660	0.000000	43437
ALBUSKJELL	1981	7	0.131080	0.208790	0.024190	0.000000	0.364060	0.000000	43437
ALBUSKJELL	1981	8	0.051750	0.077750	0.008650	0.000000	0.138160	0.000000	43437
ALBUSKJELL	1981	9	0.138280	0.242120	0.028870	0.000000	0.409270	0.000000	43437
ALBUSKJELL	1981	10	0.111870	0.206260	0.024270	0.000000	0.342400	0.000000	43437
ALBUSKJELL	1981	11	0.114790	0.198840	0.024990	0.000000	0.338620	0.000000	43437
ALBUSKJELL	1981	12	0.125540	0.235530	0.026040	0.000000	0.387110	0.000000	43437
ALBUSKJELL	1982	1	0.121650	0.235450	0.025280	0.000000	0.382380	0.000000	43437
ALBUSKJELL	1982	2	0.101100	0.200190	0.022860	0.000000	0.324150	0.000000	43437
ALBUSKJELL	1982	3	0.104740	0.213110	0.025810	0.000000	0.343660	0.000000	43437
ALBUSKJELL	1982	4	0.091020	0.182390	0.022330	0.000000	0.295740	0.000000	43437
ALBUSKJELL	1982	5	0.078110	0.162520	0.017810	0.000000	0.258440	0.000000	43437
ALBUSKJELL	1982	6	0.088890	0.181040	0.023420	0.000000	0.293350	0.000000	43437
ALBUSKJELL	1982	7	0.078050	0.170800	0.023350	0.000000	0.272200	0.000000	43437
ALBUSKJELL	1982	8	0.065560	0.140110	0.018340	0.000000	0.224010	0.000000	43437
ALBUSKJELL	1982	9	0.056580	0.127430	0.016930	0.000000	0.200940	0.000000	43437
ALBUSKJELL	1982	10	0.049660	0.109870	0.015360	0.000000	0.174890	0.000000	43437
ALBUSKJELL	1982	11	0.055700	0.133950	0.018670	0.000000	0.208320	0.000000	43437
ALBUSKJELL	1982	12	0.061870	0.141320	0.020740	0.000000	0.223920	0.000000	43437
ALBUSKJELL	1983	1	0.061480	0.136590	0.019120	0.000000	0.217190	0.000000	43437
ALBUSKJELL	1983	2	0.065080	0.138050	0.019260	0.000000	0.222390	0.000000	43437
ALBUSKJELL	1983	3	0.069350	0.157220	0.026280	0.000000	0.252840	0.000000	43437
ALBUSKJELL	1983	4	0.062490	0.144000	0.025630	0.000000	0.232110	0.000000	43437
ALBUSKJELL	1983	5	0.059160	0.143800	0.026060	0.000000	0.229020	0.000000	43437
ALBUSKJELL	1983	6	0.060230	0.139720	0.021870	0.000000	0.221820	0.000000	43437
ALBUSKJELL	1983	7	0.060180	0.150740	0.021640	0.000000	0.232560	0.000000	43437
ALBUSKJELL	1983	8	0.052830	0.130800	0.018830	0.000000	0.202450	0.000000	43437
ALBUSKJELL	1983	9	0.051850	0.126290	0.018300	0.000000	0.196440	0.000000	43437
ALBUSKJELL	1983	10	0.053230	0.135050	0.018770	0.000000	0.207050	0.000000	43437
ALBUSKJELL	1983	11	0.050640	0.125890	0.019200	0.000000	0.195730	0.000000	43437
ALBUSKJELL	1983	12	0.050840	0.126410	0.018490	0.000000	0.195730	0.000000	43437
ALBUSKJELL	1984	1	0.048880	0.127870	0.017680	0.000000	0.194440	0.000000	43437
ALBUSKJELL	1984	2	0.043900	0.112490	0.016680	0.000000	0.173070	0.000000	43437
ALBUSKJELL	1984	3	0.046350	0.117780	0.017090	0.000000	0.181220	0.000000	43437
ALBUSKJELL	1984	4	0.044180	0.107830	0.016600	0.000000	0.168610	0.000000	43437
ALBUSKJELL	1984	5	0.043210	0.106200	0.017170	0.000000	0.166580	0.000000	43437
ALBUSKJELL	1984	6	0.036170	0.089030	0.014050	0.000000	0.139250	0.000000	43437
ALBUSKJELL	1984	7	0.037370	0.088660	0.011560	0.000000	0.137590	0.000000	43437
ALBUSKJELL	1984	8	0.028840	0.069330	0.009220	0.000000	0.107390	0.000000	43437
ALBUSKJELL	1984	9	0.033970	0.095690	0.012280	0.000000	0.141940	0.000000	43437
ALBUSKJELL	1984	10	0.034170	0.093690	0.012550	0.000000	0.140410	0.000000	43437
ALBUSKJELL	1984	11	0.031790	0.086820	0.011630	0.000000	0.130250	0.000000	43437
ALBUSKJELL	1984	12	0.032740	0.088090	0.012510	0.000000	0.133330	0.000000	43437
ALBUSKJELL	1985	1	0.034210	0.095420	0.010940	0.000000	0.140570	0.000000	43437
ALBUSKJELL	1985	2	0.031480	0.082780	0.012330	0.000000	0.126590	0.000000	43437
ALBUSKJELL	1985	3	0.034110	0.089520	0.015010	0.000000	0.138640	0.000000	43437
ALBUSKJELL	1985	4	0.031950	0.087700	0.012900	0.000000	0.132550	0.000000	43437
ALBUSKJELL	1985	5	0.031340	0.088800	0.013400	0.000000	0.133540	0.000000	43437
ALBUSKJELL	1985	6	0.027180	0.077620	0.011470	0.000000	0.116270	0.000000	43437
ALBUSKJELL	1985	7	0.028750	0.086670	0.013580	0.000000	0.129010	0.000000	43437
ALBUSKJELL	1985	8	0.028290	0.083900	0.013780	0.000000	0.125960	0.000000	43437
ALBUSKJELL	1985	9	0.026910	0.078570	0.013550	0.000000	0.119030	0.000000	43437
ALBUSKJELL	1985	10	0.028200	0.088010	0.013440	0.000000	0.129640	0.000000	43437
ALBUSKJELL	1985	11	0.027330	0.083330	0.013920	0.000000	0.124580	0.000000	43437
ALBUSKJELL	1985	12	0.027550	0.083890	0.012320	0.000000	0.123760	0.000000	43437
ALBUSKJELL	1986	1	0.026360	0.080960	0.012460	0.000000	0.119790	0.000000	43437
ALBUSKJELL	1986	2	0.023600	0.071320	0.010970	0.000000	0.105890	0.000000	43437
ALBUSKJELL	1986	3	0.024960	0.079110	0.010990	0.000000	0.115050	0.000000	43437
ALBUSKJELL	1986	4	0.010800	0.025620	0.003890	0.000000	0.040300	0.000000	43437
ALBUSKJELL	1986	5	0.027080	0.082150	0.011230	0.000000	0.120460	0.000000	43437
ALBUSKJELL	1986	6	0.023630	0.078790	0.011540	0.000000	0.113960	0.000000	43437
ALBUSKJELL	1986	7	0.028190	0.102310	0.014100	0.000000	0.144590	0.000000	43437
ALBUSKJELL	1986	8	0.026460	0.093350	0.013050	0.000000	0.132860	0.000000	43437
ALBUSKJELL	1986	9	0.025110	0.085930	0.011290	0.000000	0.122330	0.000000	43437
ALBUSKJELL	1986	10	0.023990	0.087750	0.008140	0.000000	0.119870	0.000000	43437
VALE	2012	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
ALBUSKJELL	1986	11	0.022930	0.079610	0.010710	0.000000	0.113250	0.000000	43437
ALBUSKJELL	1986	12	0.022160	0.078610	0.010950	0.000000	0.111710	0.000000	43437
ALBUSKJELL	1987	1	0.021860	0.080760	0.010910	0.000000	0.113520	0.000000	43437
ALBUSKJELL	1987	2	0.019970	0.069180	0.009330	0.000000	0.098470	0.000000	43437
ALBUSKJELL	1987	3	0.020910	0.074800	0.009930	0.000000	0.105640	0.000000	43437
ALBUSKJELL	1987	4	0.019760	0.067840	0.009020	0.000000	0.096620	0.000000	43437
ALBUSKJELL	1987	5	0.018700	0.073230	0.010340	0.000000	0.102270	0.000000	43437
ALBUSKJELL	1987	6	0.018580	0.070260	0.010160	0.000000	0.099000	0.000000	43437
ALBUSKJELL	1987	7	0.018270	0.068070	0.009390	0.000000	0.095720	0.000000	43437
ALBUSKJELL	1987	8	0.005160	0.019590	0.002800	0.000000	0.027550	0.000000	43437
ALBUSKJELL	1987	9	0.017580	0.059290	0.008480	0.000000	0.085350	0.000000	43437
ALBUSKJELL	1987	10	0.020740	0.067400	0.007830	0.000000	0.095970	0.000000	43437
ALBUSKJELL	1987	11	0.016960	0.060210	0.008760	0.000000	0.085930	0.000000	43437
ALBUSKJELL	1987	12	0.017320	0.067620	0.009380	0.000000	0.094320	0.000000	43437
ALBUSKJELL	1988	1	0.016590	0.062580	0.008970	0.000000	0.088140	0.000000	43437
ALBUSKJELL	1988	2	0.014830	0.058050	0.009050	0.000000	0.081920	0.000000	43437
ALBUSKJELL	1988	3	0.016940	0.057320	0.009560	0.000000	0.083820	0.000000	43437
ALBUSKJELL	1988	4	0.015530	0.056160	0.009080	0.000000	0.080770	0.000000	43437
ALBUSKJELL	1988	5	0.015910	0.057150	0.008050	0.000000	0.081110	0.000000	43437
ALBUSKJELL	1988	6	0.014440	0.055170	0.008730	0.000000	0.078330	0.000000	43437
ALBUSKJELL	1988	7	0.015340	0.050700	0.007860	0.000000	0.073910	0.000000	43437
ALBUSKJELL	1988	8	0.015780	0.054140	0.008920	0.000000	0.078840	0.000000	43437
ALBUSKJELL	1988	9	0.014810	0.049540	0.008120	0.000000	0.072470	0.000000	43437
ALBUSKJELL	1988	10	0.013830	0.042020	0.006480	0.000000	0.062330	0.000000	43437
ALBUSKJELL	1988	11	0.010980	0.034680	0.005370	0.000000	0.051040	0.000000	43437
ALBUSKJELL	1988	12	0.010590	0.035500	0.005730	0.000000	0.051820	0.000000	43437
ALBUSKJELL	1989	1	0.009480	0.035290	0.004950	0.000000	0.049710	0.000000	43437
ALBUSKJELL	1989	2	0.008460	0.029560	0.004730	0.000000	0.042750	0.000000	43437
ALBUSKJELL	1989	3	0.008810	0.031410	0.004640	0.000000	0.044870	0.000000	43437
ALBUSKJELL	1989	4	0.012080	0.034630	0.005350	0.000000	0.052060	0.000000	43437
ALBUSKJELL	1989	5	0.014470	0.043490	0.006400	0.000000	0.064360	0.000000	43437
ALBUSKJELL	1989	6	0.013840	0.040830	0.005810	0.000000	0.060490	0.000000	43437
ALBUSKJELL	1989	7	0.013390	0.041440	0.005830	0.000000	0.060660	0.000000	43437
ALBUSKJELL	1989	8	0.013270	0.041240	0.005900	0.000000	0.060410	0.000000	43437
ALBUSKJELL	1989	9	0.012230	0.040340	0.006060	0.000000	0.058620	0.000000	43437
ALBUSKJELL	1989	10	0.012040	0.040850	0.006280	0.000000	0.059170	0.000000	43437
ALBUSKJELL	1989	11	0.011840	0.037330	0.005390	0.000000	0.054570	0.000000	43437
ALBUSKJELL	1989	12	0.011590	0.039710	0.005670	0.000000	0.056970	0.000000	43437
ALBUSKJELL	1990	1	0.012160	0.038630	0.005500	0.000000	0.056300	0.000000	43437
ALBUSKJELL	1990	2	0.010090	0.034470	0.005080	0.000000	0.049640	0.000000	43437
ALBUSKJELL	1990	3	0.010580	0.031980	0.004800	0.000000	0.047360	0.000000	43437
ALBUSKJELL	1990	4	0.010780	0.034140	0.004880	0.000000	0.049800	0.000000	43437
ALBUSKJELL	1990	5	0.008640	0.026840	0.003480	0.000000	0.038960	0.000000	43437
ALBUSKJELL	1990	6	0.007400	0.021280	0.003010	0.000000	0.031690	0.000000	43437
ALBUSKJELL	1990	7	0.007910	0.023440	0.002930	0.000000	0.034270	0.000000	43437
ALBUSKJELL	1990	8	0.008510	0.024720	0.003520	0.000000	0.036740	0.000000	43437
ALBUSKJELL	1990	9	0.007820	0.022520	0.002990	0.000000	0.033340	0.000000	43437
ALBUSKJELL	1990	10	0.008110	0.026740	0.003360	0.000000	0.038200	0.000000	43437
ALBUSKJELL	1990	11	0.008370	0.026540	0.003050	0.000000	0.037960	0.000000	43437
ALBUSKJELL	1990	12	0.008580	0.027270	0.003250	0.000000	0.039100	0.000000	43437
ALBUSKJELL	1991	1	0.008340	0.026510	0.003180	0.000000	0.038030	0.000000	43437
ALBUSKJELL	1991	2	0.007280	0.023110	0.002670	0.000000	0.033060	0.000000	43437
ALBUSKJELL	1991	3	0.007900	0.026020	0.003120	0.000000	0.037050	0.000000	43437
ALBUSKJELL	1991	4	0.007610	0.024920	0.003000	0.000000	0.035530	0.000000	43437
ALBUSKJELL	1991	5	0.008000	0.024240	0.002960	0.000000	0.035200	0.000000	43437
ALBUSKJELL	1991	6	0.008230	0.023460	0.002800	0.000000	0.034480	0.000000	43437
ALBUSKJELL	1991	7	0.007780	0.022790	0.002390	0.000000	0.032970	0.000000	43437
ALBUSKJELL	1991	8	0.003860	0.004780	0.000380	0.000000	0.009010	0.000000	43437
ALBUSKJELL	1991	9	0.008010	0.025790	0.003120	0.000000	0.036910	0.000000	43437
ALBUSKJELL	1991	10	0.008480	0.025010	0.002900	0.000000	0.036390	0.000000	43437
ALBUSKJELL	1991	11	0.007400	0.022030	0.002330	0.000000	0.031760	0.000000	43437
ALBUSKJELL	1991	12	0.007960	0.022530	0.002550	0.000000	0.033030	0.000000	43437
ALBUSKJELL	1992	1	0.007630	0.023170	0.002440	0.000000	0.033250	0.000000	43437
ALBUSKJELL	1992	2	0.006740	0.021510	0.002130	0.000000	0.030370	0.000000	43437
ALBUSKJELL	1992	3	0.006030	0.017740	0.001810	0.000000	0.025580	0.000000	43437
ALBUSKJELL	1992	4	0.008270	0.024610	0.002650	0.000000	0.035530	0.000000	43437
ALBUSKJELL	1992	5	0.005490	0.019700	0.001900	0.000000	0.027090	0.000000	43437
ALBUSKJELL	1992	6	0.007330	0.020060	0.002210	0.000000	0.029600	0.000000	43437
ALBUSKJELL	1992	7	0.007630	0.022500	0.002280	0.000000	0.032410	0.000000	43437
ALBUSKJELL	1992	8	0.007730	0.021810	0.002350	0.000000	0.031890	0.000000	43437
ALBUSKJELL	1992	9	0.006940	0.021150	0.002270	0.000000	0.030360	0.000000	43437
ALBUSKJELL	1992	10	0.007220	0.022230	0.001660	0.000000	0.031110	0.000000	43437
ALBUSKJELL	1992	11	0.006850	0.020830	0.001910	0.000000	0.029600	0.000000	43437
ALBUSKJELL	1992	12	0.008940	0.030780	0.003180	0.000000	0.042890	0.000000	43437
ALBUSKJELL	1993	1	0.008330	0.028900	0.002950	0.000000	0.040170	0.000000	43437
ALBUSKJELL	1993	2	0.007850	0.024850	0.002570	0.000000	0.035270	0.000000	43437
ALBUSKJELL	1993	3	0.008270	0.025710	0.002630	0.000000	0.036610	0.000000	43437
ALBUSKJELL	1993	4	0.008310	0.027320	0.002840	0.000000	0.038470	0.000000	43437
ALBUSKJELL	1993	5	0.008380	0.026480	0.002810	0.000000	0.037670	0.000000	43437
ALBUSKJELL	1993	6	0.007950	0.025360	0.002750	0.000000	0.036070	0.000000	43437
ALBUSKJELL	1993	7	0.008120	0.026100	0.002800	0.000000	0.037030	0.000000	43437
ALBUSKJELL	1993	8	0.008190	0.026310	0.002790	0.000000	0.037290	0.000000	43437
ALBUSKJELL	1993	9	0.007990	0.024010	0.002620	0.000000	0.034620	0.000000	43437
ALBUSKJELL	1993	10	0.007560	0.025040	0.002610	0.000000	0.035200	0.000000	43437
ALBUSKJELL	1993	11	0.007430	0.024010	0.002610	0.000000	0.034040	0.000000	43437
ALBUSKJELL	1993	12	0.007710	0.024620	0.002620	0.000000	0.034950	0.000000	43437
ALBUSKJELL	1994	1	0.007410	0.024230	0.002680	0.000000	0.034320	0.000000	43437
ALBUSKJELL	1994	2	0.006780	0.021930	0.002480	0.000000	0.031190	0.000000	43437
ALBUSKJELL	1994	3	0.007120	0.023690	0.002650	0.000000	0.033460	0.000000	43437
ALBUSKJELL	1994	4	0.007070	0.022620	0.002460	0.000000	0.032140	0.000000	43437
ALBUSKJELL	1994	5	0.007040	0.023670	0.002470	0.000000	0.033170	0.000000	43437
ALBUSKJELL	1994	6	0.006740	0.021160	0.002250	0.000000	0.030150	0.000000	43437
ALBUSKJELL	1994	7	0.006870	0.021630	0.001950	0.000000	0.030450	0.000000	43437
ALBUSKJELL	1994	8	0.005420	0.015940	0.001410	0.000000	0.022760	0.000000	43437
ALBUSKJELL	1994	9	0.006410	0.022650	0.002280	0.000000	0.031340	0.000000	43437
ALBUSKJELL	1994	10	0.006450	0.023080	0.002360	0.000000	0.031900	0.000000	43437
ALBUSKJELL	1994	11	0.007130	0.021440	0.002370	0.000000	0.030940	0.000000	43437
ALBUSKJELL	1994	12	0.006580	0.021800	0.002320	0.000000	0.030700	0.000000	43437
ALBUSKJELL	1995	1	0.006550	0.020490	0.002290	0.000000	0.029330	0.000000	43437
ALBUSKJELL	1995	2	0.005970	0.019080	0.002130	0.000000	0.027170	0.000000	43437
ALBUSKJELL	1995	3	0.006490	0.020890	0.002300	0.000000	0.029680	0.000000	43437
ALBUSKJELL	1995	4	0.006230	0.019910	0.002210	0.000000	0.028360	0.000000	43437
ALBUSKJELL	1995	5	0.006300	0.019700	0.002220	0.000000	0.028220	0.000000	43437
ALBUSKJELL	1995	6	0.005960	0.017580	0.001860	0.000000	0.025400	0.000000	43437
ALBUSKJELL	1995	7	0.006020	0.018490	0.001980	0.000000	0.026490	0.000000	43437
ALBUSKJELL	1995	8	0.006630	0.021240	0.002190	0.000000	0.030060	0.000000	43437
ALBUSKJELL	1995	9	0.006090	0.019390	0.002020	0.000000	0.027500	0.000000	43437
ALBUSKJELL	1995	10	0.006600	0.020210	0.001370	0.000000	0.028180	0.000000	43437
ALBUSKJELL	1995	11	0.005970	0.019420	0.001760	0.000000	0.027150	0.000000	43437
ALBUSKJELL	1995	12	0.005080	0.019790	0.002150	0.000000	0.027020	0.000000	43437
ALBUSKJELL	1996	1	0.004710	0.019150	0.002090	0.000000	0.025940	0.000000	43437
ALBUSKJELL	1996	2	0.004610	0.017140	0.001570	0.000000	0.023320	0.000000	43437
ALBUSKJELL	1996	3	0.004670	0.019800	0.001870	0.000000	0.026330	0.000000	43437
ALBUSKJELL	1996	4	0.004350	0.019370	0.001920	0.000000	0.025640	0.000000	43437
ALBUSKJELL	1996	5	0.004330	0.019860	0.001630	0.000000	0.025820	0.000000	43437
ALBUSKJELL	1996	6	0.003940	0.017010	0.001450	0.000000	0.022400	0.000000	43437
ALBUSKJELL	1996	7	0.004870	0.018340	0.001800	0.000000	0.025010	0.000000	43437
ALBUSKJELL	1996	8	0.004740	0.018880	0.001930	0.000000	0.025550	0.000000	43437
ALBUSKJELL	1996	9	0.004990	0.017910	0.001840	0.000000	0.024740	0.000000	43437
ALBUSKJELL	1996	10	0.004710	0.017860	0.001800	0.000000	0.024370	0.000000	43437
ALBUSKJELL	1996	11	0.004280	0.015580	0.001560	0.000000	0.021420	0.000000	43437
ALBUSKJELL	1996	12	0.004160	0.016680	0.001590	0.000000	0.022430	0.000000	43437
ALBUSKJELL	1997	1	0.003340	0.011800	0.001240	0.000000	0.016380	0.000000	43437
ALBUSKJELL	1997	2	0.003660	0.013700	0.001460	0.000000	0.018820	0.000000	43437
ALBUSKJELL	1997	3	0.004140	0.017130	0.001690	0.000000	0.022960	0.000000	43437
ALBUSKJELL	1997	4	0.003930	0.015590	0.001640	0.000000	0.021170	0.000000	43437
ALBUSKJELL	1997	5	0.003670	0.015890	0.001560	0.000000	0.021110	0.000000	43437
ALBUSKJELL	1997	6	0.003350	0.015980	0.001480	0.000000	0.020810	0.000000	43437
ALBUSKJELL	1997	7	0.003580	0.015500	0.001540	0.000000	0.020620	0.000000	43437
ALBUSKJELL	1997	8	0.004200	0.018790	0.002000	0.000000	0.024980	0.000000	43437
ALBUSKJELL	1997	9	0.005100	0.016780	0.001800	0.000000	0.023680	0.000000	43437
ALBUSKJELL	1997	10	0.003610	0.017700	0.001900	0.000000	0.023210	0.000000	43437
ALBUSKJELL	1997	11	0.003540	0.016180	0.001850	0.000000	0.021560	0.000000	43437
ALBUSKJELL	1997	12	0.004030	0.016670	0.001890	0.000000	0.022590	0.000000	43437
ALBUSKJELL	1998	1	0.003980	0.016500	0.001990	0.000000	0.022460	0.000000	43437
ALBUSKJELL	1998	2	0.003930	0.014570	0.001520	0.000000	0.020020	0.000000	43437
ALBUSKJELL	1998	3	0.004460	0.015480	0.001590	0.000000	0.021520	0.000000	43437
ALBUSKJELL	1998	4	0.004290	0.014160	0.001710	0.000000	0.020170	0.000000	43437
ALBUSKJELL	1998	5	0.004430	0.014370	0.001570	0.000000	0.020370	0.000000	43437
ALBUSKJELL	1998	6	0.004270	0.014870	0.001670	0.000000	0.020810	0.000000	43437
ALBUSKJELL	1998	7	0.004190	0.015690	0.001550	0.000000	0.021430	0.000000	43437
TOMMELITEN GAMMA	1988	10	0.050320	0.060670	0.009490	0.000000	0.120470	0.000000	43444
TOMMELITEN GAMMA	1988	11	0.070660	0.090660	0.014030	0.000000	0.175350	0.000000	43444
TOMMELITEN GAMMA	1988	12	0.082650	0.103520	0.017550	0.000000	0.203720	0.000000	43444
TOMMELITEN GAMMA	1989	1	0.076150	0.092050	0.013670	0.000000	0.181860	0.000000	43444
TOMMELITEN GAMMA	1989	2	0.077540	0.094840	0.016250	0.000000	0.188630	0.000000	43444
TOMMELITEN GAMMA	1989	3	0.075920	0.100050	0.015890	0.000000	0.191860	0.000000	43444
TOMMELITEN GAMMA	1989	4	0.043390	0.058560	0.009490	0.000000	0.111440	0.000000	43444
TOMMELITEN GAMMA	1989	5	0.027980	0.035790	0.005510	0.000000	0.069280	0.000000	43444
TOMMELITEN GAMMA	1989	6	0.042820	0.061590	0.008940	0.000000	0.113350	0.000000	43444
TOMMELITEN GAMMA	1989	7	0.079880	0.108610	0.016060	0.000000	0.204550	0.000000	43444
TOMMELITEN GAMMA	1989	8	0.079110	0.111710	0.016830	0.000000	0.207650	0.000000	43444
TOMMELITEN GAMMA	1989	9	0.074280	0.107650	0.017590	0.000000	0.199520	0.000000	43444
TOMMELITEN GAMMA	1989	10	0.075580	0.113360	0.018610	0.000000	0.207550	0.000000	43444
TOMMELITEN GAMMA	1989	11	0.065770	0.096140	0.014720	0.000000	0.176640	0.000000	43444
TOMMELITEN GAMMA	1989	12	0.066560	0.105480	0.016190	0.000000	0.188230	0.000000	43444
TOMMELITEN GAMMA	1990	1	0.068950	0.115120	0.018040	0.000000	0.202120	0.000000	43444
TOMMELITEN GAMMA	1990	2	0.060860	0.100100	0.015800	0.000000	0.176770	0.000000	43444
TOMMELITEN GAMMA	1990	3	0.067490	0.116550	0.018800	0.000000	0.202840	0.000000	43444
TOMMELITEN GAMMA	1990	4	0.064560	0.112280	0.016920	0.000000	0.193750	0.000000	43444
TOMMELITEN GAMMA	1990	5	0.050870	0.087310	0.013800	0.000000	0.151970	0.000000	43444
TOMMELITEN GAMMA	1990	6	0.057320	0.105760	0.015770	0.000000	0.178850	0.000000	43444
TOMMELITEN GAMMA	1990	7	0.046950	0.083140	0.011150	0.000000	0.141240	0.000000	43444
TOMMELITEN GAMMA	1990	8	0.058840	0.109550	0.016850	0.000000	0.185240	0.000000	43444
TOMMELITEN GAMMA	1990	9	0.052080	0.098680	0.014060	0.000000	0.164830	0.000000	43444
TOMMELITEN GAMMA	1990	10	0.054410	0.107700	0.014640	0.000000	0.176750	0.000000	43444
TOMMELITEN GAMMA	1990	11	0.053180	0.104700	0.013820	0.000000	0.171700	0.000000	43444
TOMMELITEN GAMMA	1990	12	0.055550	0.109230	0.013950	0.000000	0.178730	0.000000	43444
TOMMELITEN GAMMA	1991	1	0.056540	0.110490	0.014470	0.000000	0.181500	0.000000	43444
TOMMELITEN GAMMA	1991	2	0.045930	0.095190	0.011700	0.000000	0.152820	0.000000	43444
TOMMELITEN GAMMA	1991	3	0.054820	0.115060	0.014710	0.000000	0.184590	0.000000	43444
TOMMELITEN GAMMA	1991	4	0.040130	0.088110	0.011170	0.000000	0.139400	0.000000	43444
TOMMELITEN GAMMA	1991	5	0.041950	0.088460	0.011230	0.000000	0.141650	0.000000	43444
TOMMELITEN GAMMA	1991	6	0.042440	0.085980	0.010890	0.000000	0.139310	0.000000	43444
TOMMELITEN GAMMA	1991	7	0.028490	0.059070	0.006770	0.000000	0.094330	0.000000	43444
TOMMELITEN GAMMA	1991	8	0.001810	0.003450	0.000290	0.000000	0.005540	0.000000	43444
TOMMELITEN GAMMA	1991	9	0.023470	0.051630	0.006690	0.000000	0.081800	0.000000	43444
TOMMELITEN GAMMA	1991	10	0.047420	0.106860	0.012720	0.000000	0.167000	0.000000	43444
VALE	2012	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
TOMMELITEN GAMMA	1991	11	0.039620	0.092670	0.011030	0.000000	0.143320	0.000000	43444
TOMMELITEN GAMMA	1991	12	0.044140	0.103810	0.012020	0.000000	0.159970	0.000000	43444
TOMMELITEN GAMMA	1992	1	0.043980	0.109120	0.011860	0.000000	0.164960	0.000000	43444
TOMMELITEN GAMMA	1992	2	0.038260	0.098260	0.010680	0.000000	0.147200	0.000000	43444
TOMMELITEN GAMMA	1992	3	0.041560	0.105160	0.011300	0.000000	0.158020	0.000000	43444
TOMMELITEN GAMMA	1992	4	0.040770	0.101980	0.011440	0.000000	0.154180	0.000000	43444
TOMMELITEN GAMMA	1992	5	0.030600	0.082080	0.008780	0.000000	0.121460	0.000000	43444
TOMMELITEN GAMMA	1992	6	0.024260	0.063610	0.007030	0.000000	0.094910	0.000000	43444
TOMMELITEN GAMMA	1992	7	0.040000	0.105770	0.011830	0.000000	0.157600	0.000000	43444
TOMMELITEN GAMMA	1992	8	0.039100	0.108430	0.012400	0.000000	0.159920	0.000000	43444
TOMMELITEN GAMMA	1992	9	0.034890	0.095490	0.010700	0.000000	0.141080	0.000000	43444
TOMMELITEN GAMMA	1992	10	0.030940	0.085500	0.006990	0.000000	0.123430	0.000000	43444
TOMMELITEN GAMMA	1992	11	0.035370	0.103820	0.009750	0.000000	0.148930	0.000000	43444
TOMMELITEN GAMMA	1992	12	0.037280	0.111350	0.011510	0.000000	0.160140	0.000000	43444
TOMMELITEN GAMMA	1993	1	0.034170	0.105240	0.010900	0.000000	0.150310	0.000000	43444
TOMMELITEN GAMMA	1993	2	0.032700	0.102510	0.011100	0.000000	0.146310	0.000000	43444
TOMMELITEN GAMMA	1993	3	0.034430	0.108230	0.011870	0.000000	0.154520	0.000000	43444
TOMMELITEN GAMMA	1993	4	0.035000	0.106160	0.011190	0.000000	0.152340	0.000000	43444
TOMMELITEN GAMMA	1993	5	0.038180	0.123270	0.013570	0.000000	0.175020	0.000000	43444
TOMMELITEN GAMMA	1993	6	0.035690	0.118510	0.012750	0.000000	0.166950	0.000000	43444
TOMMELITEN GAMMA	1993	7	0.033400	0.110030	0.011890	0.000000	0.155320	0.000000	43444
TOMMELITEN GAMMA	1993	8	0.027200	0.088710	0.009490	0.000000	0.125400	0.000000	43444
TOMMELITEN GAMMA	1993	9	0.030530	0.102040	0.011190	0.000000	0.143760	0.000000	43444
TOMMELITEN GAMMA	1993	10	0.032170	0.112650	0.011940	0.000000	0.156760	0.000000	43444
TOMMELITEN GAMMA	1993	11	0.031020	0.109430	0.012030	0.000000	0.152480	0.000000	43444
TOMMELITEN GAMMA	1993	12	0.031650	0.111300	0.012230	0.000000	0.155170	0.000000	43444
TOMMELITEN GAMMA	1994	1	0.029080	0.104170	0.011770	0.000000	0.145020	0.000000	43444
TOMMELITEN GAMMA	1994	2	0.025280	0.089760	0.010310	0.000000	0.125340	0.000000	43444
TOMMELITEN GAMMA	1994	3	0.028310	0.097530	0.011250	0.000000	0.137090	0.000000	43444
TOMMELITEN GAMMA	1994	4	0.025420	0.092690	0.010150	0.000000	0.128260	0.000000	43444
TOMMELITEN GAMMA	1994	5	0.025410	0.089960	0.010180	0.000000	0.125550	0.000000	43444
TOMMELITEN GAMMA	1994	6	0.019970	0.078960	0.008520	0.000000	0.107450	0.000000	43444
TOMMELITEN GAMMA	1994	7	0.019310	0.074180	0.006730	0.000000	0.100220	0.000000	43444
TOMMELITEN GAMMA	1994	8	0.011290	0.041350	0.003690	0.000000	0.056330	0.000000	43444
TOMMELITEN GAMMA	1994	9	0.018780	0.070960	0.007530	0.000000	0.097270	0.000000	43444
TOMMELITEN GAMMA	1994	10	0.021560	0.082640	0.009150	0.000000	0.113350	0.000000	43444
TOMMELITEN GAMMA	1994	11	0.023450	0.084490	0.009640	0.000000	0.117570	0.000000	43444
TOMMELITEN GAMMA	1994	12	0.022140	0.086290	0.009640	0.000000	0.118080	0.000000	43444
TOMMELITEN GAMMA	1995	1	0.022700	0.086570	0.009900	0.000000	0.119170	0.000000	43444
TOMMELITEN GAMMA	1995	2	0.020640	0.076040	0.009060	0.000000	0.105730	0.000000	43444
TOMMELITEN GAMMA	1995	3	0.022160	0.081950	0.009630	0.000000	0.113740	0.000000	43444
TOMMELITEN GAMMA	1995	4	0.020720	0.076480	0.008940	0.000000	0.106140	0.000000	43444
TOMMELITEN GAMMA	1995	5	0.017950	0.069900	0.008140	0.000000	0.095990	0.000000	43444
TOMMELITEN GAMMA	1995	6	0.017350	0.069560	0.007550	0.000000	0.094460	0.000000	43444
TOMMELITEN GAMMA	1995	7	0.014840	0.059960	0.006700	0.000000	0.081500	0.000000	43444
TOMMELITEN GAMMA	1995	8	0.014620	0.060450	0.006470	0.000000	0.081540	0.000000	43444
TOMMELITEN GAMMA	1995	9	0.014510	0.058410	0.006710	0.000000	0.079620	0.000000	43444
TOMMELITEN GAMMA	1995	10	0.019590	0.083490	0.005640	0.000000	0.108720	0.000000	43444
TOMMELITEN GAMMA	1995	11	0.018610	0.077680	0.007220	0.000000	0.103510	0.000000	43444
TOMMELITEN GAMMA	1995	12	0.020180	0.075570	0.008740	0.000000	0.104490	0.000000	43444
TOMMELITEN GAMMA	1996	1	0.018210	0.072080	0.008350	0.000000	0.098630	0.000000	43444
TOMMELITEN GAMMA	1996	2	0.016150	0.069050	0.007250	0.000000	0.092440	0.000000	43444
TOMMELITEN GAMMA	1996	3	0.016850	0.074000	0.007780	0.000000	0.098630	0.000000	43444
TOMMELITEN GAMMA	1996	4	0.016030	0.068820	0.007520	0.000000	0.092370	0.000000	43444
TOMMELITEN GAMMA	1996	5	0.016760	0.069290	0.006550	0.000000	0.092610	0.000000	43444
TOMMELITEN GAMMA	1996	6	0.016020	0.063210	0.006220	0.000000	0.085450	0.000000	43444
TOMMELITEN GAMMA	1996	7	0.013280	0.056130	0.005910	0.000000	0.075320	0.000000	43444
TOMMELITEN GAMMA	1996	8	0.014980	0.066910	0.007240	0.000000	0.089130	0.000000	43444
TOMMELITEN GAMMA	1996	9	0.014500	0.062960	0.006730	0.000000	0.084190	0.000000	43444
TOMMELITEN GAMMA	1996	10	0.014580	0.064690	0.006910	0.000000	0.086180	0.000000	43444
TOMMELITEN GAMMA	1996	11	0.016520	0.058990	0.006320	0.000000	0.081820	0.000000	43444
TOMMELITEN GAMMA	1996	12	0.015610	0.061850	0.006460	0.000000	0.083910	0.000000	43444
TOMMELITEN GAMMA	1997	1	0.010350	0.047900	0.004940	0.000000	0.063190	0.000000	43444
TOMMELITEN GAMMA	1997	2	0.012250	0.054190	0.005890	0.000000	0.072330	0.000000	43444
TOMMELITEN GAMMA	1997	3	0.013140	0.060370	0.006420	0.000000	0.079930	0.000000	43444
TOMMELITEN GAMMA	1997	4	0.012260	0.055970	0.006200	0.000000	0.074420	0.000000	43444
TOMMELITEN GAMMA	1997	5	0.012030	0.057480	0.006260	0.000000	0.075770	0.000000	43444
TOMMELITEN GAMMA	1997	6	0.013010	0.054880	0.006030	0.000000	0.073920	0.000000	43444
TOMMELITEN GAMMA	1997	7	0.011830	0.056480	0.006200	0.000000	0.074510	0.000000	43444
TOMMELITEN GAMMA	1997	8	0.011760	0.053950	0.005990	0.000000	0.071700	0.000000	43444
TOMMELITEN GAMMA	1997	9	0.011130	0.052860	0.005960	0.000000	0.069950	0.000000	43444
TOMMELITEN GAMMA	1997	10	0.011360	0.052270	0.006170	0.000000	0.069790	0.000000	43444
TOMMELITEN GAMMA	1997	11	0.010900	0.050790	0.006290	0.000000	0.067990	0.000000	43444
TOMMELITEN GAMMA	1997	12	0.011480	0.051110	0.005900	0.000000	0.068490	0.000000	43444
TOMMELITEN GAMMA	1998	1	0.010700	0.050990	0.006500	0.000000	0.068190	0.000000	43444
TOMMELITEN GAMMA	1998	2	0.009070	0.044610	0.004960	0.000000	0.058640	0.000000	43444
TOMMELITEN GAMMA	1998	3	0.010170	0.048560	0.005540	0.000000	0.064260	0.000000	43444
TOMMELITEN GAMMA	1998	4	0.009630	0.047170	0.005930	0.000000	0.062730	0.000000	43444
TOMMELITEN GAMMA	1998	5	0.009910	0.047090	0.005560	0.000000	0.062560	0.000000	43444
TOMMELITEN GAMMA	1998	6	0.010040	0.044830	0.005530	0.000000	0.060400	0.000000	43444
TOMMELITEN GAMMA	1998	7	0.009830	0.044020	0.004840	0.000000	0.058690	0.000000	43444
VARG	1998	12	0.010160	0.000000	0.000000	0.000000	0.010160	0.000000	43451
VARG	1999	1	0.076130	0.000000	0.000000	0.000000	0.076130	0.000000	43451
VARG	1999	2	0.079080	0.000000	0.000000	0.000000	0.079080	0.000000	43451
VARG	1999	3	0.107960	0.000000	0.000000	0.000000	0.107960	0.000000	43451
VARG	1999	4	0.203650	0.000000	0.000000	0.000000	0.203650	0.000000	43451
VARG	1999	5	0.199280	0.000000	0.000000	0.000000	0.199280	0.000000	43451
VARG	1999	6	0.145190	0.000000	0.000000	0.000000	0.145190	0.000000	43451
VARG	1999	7	0.123930	0.000000	0.000000	0.000000	0.123930	0.000000	43451
VARG	1999	8	0.119520	0.000000	0.000000	0.000000	0.119520	0.000000	43451
VARG	1999	9	0.154580	0.000000	0.000000	0.000000	0.154580	0.000000	43451
VARG	1999	10	0.175730	0.000000	0.000000	0.000000	0.175730	0.000000	43451
VARG	1999	11	0.182390	0.000000	0.000000	0.000000	0.182390	0.000000	43451
VARG	1999	12	0.175190	0.000000	0.000000	0.000000	0.175190	0.000000	43451
VARG	2000	1	0.164220	0.000000	0.000000	0.000000	0.164220	0.005030	43451
VARG	2000	2	0.106270	0.000000	0.000000	0.000000	0.106270	0.004320	43451
VARG	2000	3	0.210980	0.000000	0.000000	0.000000	0.210980	0.008350	43451
VARG	2000	4	0.147560	0.000000	0.000000	0.000000	0.147560	0.008110	43451
VARG	2000	5	0.113330	0.000000	0.000000	0.000000	0.113330	0.010020	43451
VARG	2000	6	0.108350	0.000000	0.000000	0.000000	0.108350	0.009440	43451
VARG	2000	7	0.165200	0.000000	0.000000	0.000000	0.165200	0.007430	43451
VARG	2000	8	0.165270	0.000000	0.000000	0.000000	0.165270	0.022620	43451
VARG	2000	9	0.151080	0.000000	0.000000	0.000000	0.151080	0.028520	43451
VARG	2000	10	0.129010	0.000000	0.000000	0.000000	0.129010	0.044020	43451
VARG	2000	11	0.135710	0.000000	0.000000	0.000000	0.135710	0.068600	43451
VARG	2000	12	0.140740	0.000000	0.000000	0.000000	0.140740	0.079410	43451
VARG	2001	1	0.128210	0.000000	0.000000	0.000000	0.128210	0.082170	43451
VARG	2001	2	0.113530	0.000000	0.000000	0.000000	0.113530	0.075020	43451
VARG	2001	3	0.128330	0.000000	0.000000	0.000000	0.128330	0.095290	43451
VARG	2001	4	0.117510	0.000000	0.000000	0.000000	0.117510	0.097940	43451
VARG	2001	5	0.086510	0.000000	0.000000	0.000000	0.086510	0.073080	43451
VARG	2001	6	0.107560	0.000000	0.000000	0.000000	0.107560	0.090680	43451
VARG	2001	7	0.100000	0.000000	0.000000	0.000000	0.100000	0.099770	43451
VARG	2001	8	0.079950	0.000000	0.000000	0.000000	0.079950	0.088800	43451
VARG	2001	9	0.078410	0.000000	0.000000	0.000000	0.078410	0.103010	43451
VARG	2001	10	0.086100	0.000000	0.000000	0.000000	0.086100	0.065620	43451
VARG	2001	11	0.077470	0.000000	0.000000	0.000000	0.077470	0.082680	43451
VARG	2001	12	0.081750	0.000000	0.000000	0.000000	0.081750	0.112560	43451
VARG	2002	1	0.079820	0.000000	0.000000	0.000000	0.079820	0.124050	43451
VARG	2002	2	0.061960	0.000000	0.000000	0.000000	0.061960	0.099710	43451
VARG	2002	3	0.072780	0.000000	0.000000	0.000000	0.072780	0.117510	43451
VARG	2002	4	0.072530	0.000000	0.000000	0.000000	0.072530	0.123180	43451
VARG	2002	5	0.067630	0.000000	0.000000	0.000000	0.067630	0.115570	43451
VARG	2002	6	0.067230	0.000000	0.000000	0.000000	0.067230	0.122460	43451
VARG	2002	7	0.067360	0.000000	0.000000	0.000000	0.067360	0.128850	43451
VARG	2002	8	0.065540	0.000000	0.000000	0.000000	0.065540	0.123220	43451
VARG	2002	9	0.061420	0.000000	0.000000	0.000000	0.061420	0.121850	43451
VARG	2002	10	0.062190	0.000000	0.000000	0.000000	0.062190	0.130720	43451
VARG	2002	11	0.051650	0.000000	0.000000	0.000000	0.051650	0.104760	43451
VARG	2002	12	0.054100	0.000000	0.000000	0.000000	0.054100	0.079880	43451
VARG	2003	1	0.047920	0.000000	0.000000	0.000000	0.047920	0.065200	43451
VARG	2003	2	0.069320	0.000000	0.000000	0.000000	0.069320	0.062970	43451
VARG	2003	3	0.118750	0.000000	0.000000	0.000000	0.118750	0.062860	43451
VARG	2003	4	0.089600	0.000000	0.000000	0.000000	0.089600	0.057630	43451
VARG	2003	5	0.088390	0.000000	0.000000	0.000000	0.088390	0.068190	43451
VARG	2003	6	0.083440	0.000000	0.000000	0.000000	0.083440	0.068040	43451
VARG	2003	7	0.080020	0.000000	0.000000	0.000000	0.080020	0.054020	43451
VARG	2003	8	0.088200	0.000000	0.000000	0.000000	0.088200	0.067310	43451
VARG	2003	9	0.068020	0.000000	0.000000	0.000000	0.068020	0.051390	43451
VARG	2003	10	0.075170	0.000000	0.000000	0.000000	0.075170	0.068870	43451
VARG	2003	11	0.055610	0.000000	0.000000	0.000000	0.055610	0.073370	43451
VARG	2003	12	0.056340	0.000000	0.000000	0.000000	0.056340	0.069630	43451
VARG	2004	1	0.062660	0.000000	0.000000	0.000000	0.062660	0.066130	43451
VARG	2004	2	0.102530	0.000000	0.000000	0.000000	0.102530	0.053690	43451
VARG	2004	3	0.088660	0.000000	0.000000	0.000000	0.088660	0.041200	43451
VARG	2004	4	0.107420	0.000000	0.000000	0.000000	0.107420	0.029610	43451
VARG	2004	5	0.080210	0.000000	0.000000	0.000000	0.080210	0.039330	43451
VARG	2004	6	0.135510	0.000000	0.000000	0.000000	0.135510	0.022040	43451
VARG	2004	7	0.142800	0.000000	0.000000	0.000000	0.142800	0.023460	43451
VARG	2004	8	0.147920	0.000000	0.000000	0.000000	0.147920	0.027500	43451
VARG	2004	9	0.121430	0.000000	0.000000	0.000000	0.121430	0.032080	43451
VARG	2004	10	0.072360	0.000000	0.000000	0.000000	0.072360	0.022000	43451
VARG	2004	11	0.070460	0.000000	0.000000	0.000000	0.070460	0.004270	43451
VARG	2004	12	0.075400	0.000000	0.000000	0.000000	0.075400	0.004450	43451
VARG	2005	1	0.072600	0.000000	0.000000	0.000000	0.072600	0.003910	43451
VARG	2005	2	0.060930	0.000000	0.000000	0.000000	0.060930	0.003500	43451
VARG	2005	3	0.134090	0.000000	0.000000	0.000000	0.134090	0.017520	43451
VARG	2005	4	0.133500	0.000000	0.000000	0.000000	0.133500	0.027640	43451
VARG	2005	5	0.104830	0.000000	0.000000	0.000000	0.104830	0.026070	43451
VARG	2005	6	0.084330	0.000000	0.000000	0.000000	0.084330	0.022250	43451
VARG	2005	7	0.101960	0.000000	0.000000	0.000000	0.101960	0.020880	43451
VARG	2005	8	0.077420	0.000000	0.000000	0.000000	0.077420	0.019380	43451
VARG	2005	9	0.119880	0.000000	0.000000	0.000000	0.119880	0.028610	43451
VARG	2005	10	0.161530	0.000000	0.000000	0.000000	0.161530	0.032610	43451
VARG	2005	11	0.123420	0.000000	0.000000	0.000000	0.123420	0.062970	43451
VARG	2005	12	0.106880	0.000000	0.000000	0.000000	0.106880	0.061600	43451
VARG	2006	1	0.114670	0.000000	0.000000	0.000000	0.114670	0.057690	43451
VARG	2006	2	0.089390	0.000000	0.000000	0.000000	0.089390	0.073470	43451
VARG	2006	3	0.069720	0.000000	0.000000	0.000000	0.069720	0.063790	43451
VARG	2006	4	0.056520	0.000000	0.000000	0.000000	0.056520	0.067350	43451
VARG	2006	5	0.044230	0.000000	0.000000	0.000000	0.044230	0.057570	43451
VARG	2006	6	0.049450	0.000000	0.000000	0.000000	0.049450	0.083410	43451
VARG	2006	7	0.054710	0.000000	0.000000	0.000000	0.054710	0.090860	43451
VARG	2006	8	0.051590	0.000000	0.000000	0.000000	0.051590	0.079790	43451
VARG	2006	9	0.068290	0.000000	0.000000	0.000000	0.068290	0.064450	43451
VARG	2006	10	0.073550	0.000000	0.000000	0.000000	0.073550	0.063420	43451
VARG	2006	11	0.093350	0.000000	0.000000	0.000000	0.093350	0.078440	43451
VARG	2006	12	0.088050	0.000000	0.000000	0.000000	0.088050	0.093300	43451
VARG	2007	1	0.085920	0.000000	0.000000	0.000000	0.085920	0.100460	43451
VARG	2007	2	0.071420	0.000000	0.000000	0.000000	0.071420	0.097520	43451
VARG	2007	3	0.081260	0.000000	0.000000	0.000000	0.081260	0.141760	43451
VARG	2007	4	0.071380	0.000000	0.000000	0.000000	0.071380	0.136640	43451
VARG	2007	5	0.068380	0.000000	0.000000	0.000000	0.068380	0.150620	43451
VARG	2007	6	0.068250	0.000000	0.000000	0.000000	0.068250	0.162490	43451
VARG	2007	7	0.070540	0.000000	0.000000	0.000000	0.070540	0.174030	43451
VARG	2007	8	0.055700	0.000000	0.000000	0.000000	0.055700	0.152670	43451
VARG	2007	9	0.049820	0.000000	0.000000	0.000000	0.049820	0.141330	43451
VARG	2007	10	0.060260	0.000000	0.000000	0.000000	0.060260	0.147090	43451
VARG	2007	11	0.056790	0.000000	0.000000	0.000000	0.056790	0.136570	43451
VARG	2007	12	0.057370	0.000000	0.000000	0.000000	0.057370	0.140080	43451
VARG	2008	1	0.055140	0.000000	0.000000	0.000000	0.055140	0.138220	43451
VARG	2008	2	0.055300	0.000000	0.000000	0.000000	0.055300	0.133640	43451
VARG	2008	3	0.056260	0.000000	0.000000	0.000000	0.056260	0.131540	43451
VARG	2008	4	0.049450	0.000000	0.000000	0.000000	0.049450	0.129850	43451
VARG	2008	5	0.049830	0.000000	0.000000	0.000000	0.049830	0.145640	43451
VARG	2008	6	0.042740	0.000000	0.000000	0.000000	0.042740	0.115510	43451
VARG	2008	7	0.057330	0.000000	0.000000	0.000000	0.057330	0.131380	43451
VARG	2008	8	0.048530	0.000000	0.000000	0.000000	0.048530	0.110820	43451
VARG	2008	9	0.076070	0.000000	0.000000	0.000000	0.076070	0.165120	43451
VARG	2008	10	0.066040	0.000000	0.000000	0.000000	0.066040	0.198970	43451
VARG	2008	11	0.073160	0.000000	0.000000	0.000000	0.073160	0.152780	43451
VARG	2008	12	0.073450	0.000000	0.000000	0.000000	0.073450	0.102450	43451
VARG	2009	1	0.066490	0.000000	0.000000	0.000000	0.066490	0.084160	43451
VARG	2009	2	0.062760	0.000000	0.000000	0.000000	0.062760	0.077060	43451
VARG	2009	3	0.059080	0.000000	0.000000	0.000000	0.059080	0.075840	43451
VARG	2009	4	0.062290	0.000000	0.000000	0.000000	0.062290	0.091010	43451
VARG	2009	5	0.054590	0.000000	0.000000	0.000000	0.054590	0.048320	43451
VARG	2009	6	0.060060	0.000000	0.000000	0.000000	0.060060	0.096130	43451
VARG	2009	7	0.060560	0.000000	0.000000	0.000000	0.060560	0.107460	43451
VARG	2009	8	0.056030	0.000000	0.000000	0.000000	0.056030	0.101630	43451
VARG	2009	9	0.056340	0.000000	0.000000	0.000000	0.056340	0.107270	43451
VARG	2009	10	0.057010	0.000000	0.000000	0.000000	0.057010	0.099940	43451
VARG	2009	11	0.063540	0.000000	0.000000	0.000000	0.063540	0.077440	43451
VARG	2009	12	0.130190	0.000000	0.000000	0.000000	0.130190	0.068180	43451
VARG	2010	1	0.145750	0.000000	0.000000	0.000000	0.145750	0.047620	43451
VARG	2010	2	0.136280	0.000000	0.000000	0.000000	0.136280	0.034280	43451
VARG	2010	3	0.109060	0.000000	0.000000	0.000000	0.109060	0.057830	43451
VARG	2010	4	0.107060	0.000000	0.000000	0.000000	0.107060	0.070640	43451
VARG	2010	5	0.117500	0.000000	0.000000	0.000000	0.117500	0.078340	43451
VARG	2010	6	0.115060	0.000000	0.000000	0.000000	0.115060	0.071590	43451
VARG	2010	7	0.123310	0.000000	0.000000	0.000000	0.123310	0.065020	43451
VARG	2010	8	0.062570	0.000000	0.000000	0.000000	0.062570	0.027200	43451
VARG	2010	9	0.122460	0.000000	0.000000	0.000000	0.122460	0.043000	43451
VARG	2010	10	0.127560	0.000000	0.000000	0.000000	0.127560	0.066250	43451
VARG	2010	11	0.125410	0.000000	0.000000	0.000000	0.125410	0.066200	43451
VARG	2010	12	0.128240	0.000000	0.000000	0.000000	0.128240	0.065830	43451
VARG	2011	1	0.112910	0.000000	0.000000	0.000000	0.112910	0.053160	43451
VARG	2011	2	0.102320	0.000000	0.000000	0.000000	0.102320	0.053270	43451
VARG	2011	3	0.101550	0.000000	0.000000	0.000000	0.101550	0.047280	43451
VARG	2011	4	0.079870	0.000000	0.000000	0.000000	0.079870	0.040950	43451
VARG	2011	5	0.068860	0.000000	0.000000	0.000000	0.068860	0.045980	43451
VARG	2011	6	0.046670	0.000000	0.000000	0.000000	0.046670	0.036460	43451
VARG	2011	7	0.068250	0.000000	0.000000	0.000000	0.068250	0.041520	43451
VARG	2011	8	0.058390	0.000000	0.000000	0.000000	0.058390	0.032650	43451
VARG	2011	9	0.076380	0.000000	0.000000	0.000000	0.076380	0.039870	43451
VARG	2011	10	0.092130	0.000000	0.000000	0.000000	0.092130	0.037840	43451
VARG	2011	11	0.071060	0.000000	0.000000	0.000000	0.071060	0.022460	43451
VARG	2011	12	0.093340	0.000000	0.000000	0.000000	0.093340	0.047560	43451
VARG	2012	1	0.092710	0.000000	0.000000	0.000000	0.092710	0.081840	43451
VARG	2012	2	0.073310	0.000000	0.000000	0.000000	0.073310	0.106160	43451
VARG	2012	3	0.067400	0.000000	0.000000	0.000000	0.067400	0.071890	43451
VARG	2012	4	0.051770	0.000000	0.000000	0.000000	0.051770	0.055650	43451
VARG	2012	5	0.049230	0.000000	0.000000	0.000000	0.049230	0.042870	43451
VARG	2012	6	0.058840	0.000000	0.000000	0.000000	0.058840	0.060430	43451
VARG	2012	7	0.052350	0.000000	0.000000	0.000000	0.052350	0.076850	43451
VARG	2012	8	0.043870	0.000000	0.000000	0.000000	0.043870	0.091080	43451
VARG	2012	9	0.043140	0.000000	0.000000	0.000000	0.043140	0.100830	43451
VARG	2012	10	0.045890	0.000000	0.000000	0.000000	0.045890	0.116110	43451
VARG	2012	11	0.033550	0.000000	0.000000	0.000000	0.033550	0.106660	43451
VARG	2012	12	0.034900	0.000000	0.000000	0.000000	0.034900	0.086770	43451
VARG	2013	1	0.036240	0.000000	0.000000	0.000000	0.036240	0.068100	43451
VARG	2013	2	0.041080	0.000000	0.000000	0.000000	0.041080	0.056010	43451
SLEIPNER VEST	1996	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43457
SLEIPNER VEST	1996	9	0.000000	0.000000	0.050320	0.064680	0.115000	0.000000	43457
SLEIPNER VEST	1996	10	0.000000	0.000000	0.046940	0.142270	0.189210	0.000000	43457
SLEIPNER VEST	1996	11	0.000000	0.000000	0.049340	0.128950	0.178290	0.000000	43457
SLEIPNER VEST	1996	12	0.000000	0.000000	0.060360	0.161170	0.221530	0.000000	43457
SLEIPNER VEST	1997	1	0.000000	0.004730	0.059330	0.162970	0.227030	0.000000	43457
SLEIPNER VEST	1997	2	0.000000	-0.001840	0.050980	0.156680	0.205820	0.000000	43457
SLEIPNER VEST	1997	3	0.000000	0.008690	0.056440	0.180080	0.245210	0.000000	43457
SLEIPNER VEST	1997	4	0.000000	-0.003880	0.050840	0.177480	0.224440	0.000000	43457
SLEIPNER VEST	1997	5	0.000000	0.086850	0.066310	0.219490	0.372650	0.000000	43457
SLEIPNER VEST	1997	6	0.000000	0.098020	0.071020	0.231360	0.400400	0.000000	43457
SLEIPNER VEST	1997	7	0.000000	0.071170	0.078380	0.212050	0.361590	0.000000	43457
SLEIPNER VEST	1997	8	0.000000	-0.011440	0.029910	0.086390	0.104850	0.000000	43457
SLEIPNER VEST	1997	9	0.000000	0.013800	0.077210	0.207890	0.298890	0.000000	43457
SLEIPNER VEST	1997	10	0.000000	0.084420	0.077610	0.203090	0.365120	0.000000	43457
SLEIPNER VEST	1997	11	0.000000	0.120160	0.082910	0.214360	0.417430	0.000000	43457
SLEIPNER VEST	1997	12	0.000000	-0.028520	0.079480	0.210410	0.261370	0.000000	43457
SLEIPNER VEST	1998	1	0.000000	0.126210	0.079490	0.211300	0.417000	0.000000	43457
SLEIPNER VEST	1998	2	0.000000	0.072360	0.067930	0.182630	0.322920	0.000000	43457
SLEIPNER VEST	1998	3	0.000000	0.037230	0.079240	0.211320	0.327790	0.000000	43457
SLEIPNER VEST	1998	4	0.000000	0.104010	0.080300	0.209990	0.394300	0.000000	43457
SLEIPNER VEST	1998	5	0.000000	0.046890	0.084490	0.221870	0.353240	0.000000	43457
SLEIPNER VEST	1998	6	0.000000	0.000000	0.076870	0.210240	0.287110	0.000000	43457
SLEIPNER VEST	1998	7	0.000000	0.221040	0.080050	0.197420	0.498500	0.000000	43457
SLEIPNER VEST	1998	8	0.000000	0.042400	0.019580	0.053180	0.115160	0.000000	43457
SLEIPNER VEST	1998	9	0.000000	0.205830	0.080510	0.212770	0.499120	0.000000	43457
SLEIPNER VEST	1998	10	0.000000	0.147770	0.047480	0.127890	0.323130	0.000000	43457
MIKKEL	2008	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1630514
SLEIPNER VEST	1998	11	0.000000	0.191290	0.080680	0.201030	0.473000	0.000000	43457
SLEIPNER VEST	1998	12	0.000000	0.257820	0.088200	0.220590	0.566620	0.000000	43457
SLEIPNER VEST	1999	1	0.000000	0.319420	0.084330	0.217010	0.620760	0.000000	43457
SLEIPNER VEST	1999	2	0.000000	0.264350	0.088430	0.189590	0.542380	0.000000	43457
SLEIPNER VEST	1999	3	0.000000	0.319970	0.101830	0.221130	0.642930	0.000000	43457
SLEIPNER VEST	1999	4	0.000000	0.612440	0.096780	0.205800	0.915020	0.000000	43457
SLEIPNER VEST	1999	5	0.000000	0.364910	0.100870	0.215100	0.680870	0.000000	43457
SLEIPNER VEST	1999	6	0.000000	0.277610	0.047140	0.092190	0.416940	0.000000	43457
SLEIPNER VEST	1999	7	0.000000	0.343430	0.100520	0.204320	0.648280	0.000000	43457
SLEIPNER VEST	1999	8	0.000000	0.286370	0.098240	0.209650	0.594260	0.000000	43457
SLEIPNER VEST	1999	9	0.000000	0.311790	0.099540	0.209990	0.621310	0.000000	43457
SLEIPNER VEST	1999	10	0.000000	0.000000	0.086090	0.199240	0.285330	0.000000	43457
SLEIPNER VEST	1999	11	0.000000	0.000000	0.090420	0.208510	0.298930	0.000000	43457
SLEIPNER VEST	1999	12	0.000000	0.000000	0.089620	0.206370	0.295990	0.000000	43457
SLEIPNER VEST	2000	1	0.000000	0.000000	0.096470	0.212970	0.309430	0.008000	43457
SLEIPNER VEST	2000	2	0.000000	0.000000	0.082060	0.188140	0.270200	0.006390	43457
SLEIPNER VEST	2000	3	0.000000	0.000000	0.088680	0.199660	0.288340	0.006380	43457
SLEIPNER VEST	2000	4	0.000000	0.000000	0.089250	0.199510	0.288760	0.006680	43457
SLEIPNER VEST	2000	5	0.000000	0.000000	0.098980	0.201080	0.300070	0.008980	43457
SLEIPNER VEST	2000	6	0.000000	0.000000	0.100020	0.214160	0.314180	0.008980	43457
SLEIPNER VEST	2000	7	0.000000	0.000000	0.104790	0.221430	0.326220	0.009050	43457
SLEIPNER VEST	2000	8	0.000000	0.000000	0.039510	0.079340	0.118850	0.003510	43457
SLEIPNER VEST	2000	9	0.000000	0.000000	0.064630	0.137380	0.202010	0.006330	43457
SLEIPNER VEST	2000	10	0.000000	0.000000	0.097520	0.211420	0.308940	0.008120	43457
SLEIPNER VEST	2000	11	0.000000	0.000000	0.097770	0.198460	0.296230	0.007910	43457
SLEIPNER VEST	2000	12	0.000000	0.000000	0.108930	0.198570	0.307500	0.008490	43457
SLEIPNER VEST	2001	1	0.000000	0.000000	0.112780	0.197040	0.309830	0.008850	43457
SLEIPNER VEST	2001	2	0.000000	0.000000	0.105200	0.180810	0.286020	0.006390	43457
SLEIPNER VEST	2001	3	0.000000	0.000000	0.111340	0.189520	0.300860	0.007970	43457
SLEIPNER VEST	2001	4	0.000000	0.000000	0.060930	0.102700	0.163630	0.004930	43457
SLEIPNER VEST	2001	5	0.000000	0.000000	0.125770	0.195820	0.321590	0.006460	43457
SLEIPNER VEST	2001	6	0.000000	0.000000	0.110890	0.178790	0.289680	0.005640	43457
SLEIPNER VEST	2001	7	0.000000	0.000000	0.121590	0.194260	0.315840	0.008700	43457
SLEIPNER VEST	2001	8	0.000000	0.000000	0.127780	0.190820	0.318590	0.011410	43457
SLEIPNER VEST	2001	9	0.000000	0.000000	0.098370	0.175490	0.273860	0.007620	43457
SLEIPNER VEST	2001	10	0.000000	0.000000	0.141560	0.189150	0.330710	0.014650	43457
SLEIPNER VEST	2001	11	0.000000	0.000000	0.132460	0.186310	0.318760	0.015210	43457
SLEIPNER VEST	2001	12	0.000000	0.000000	0.114700	0.169790	0.284490	0.014910	43457
SLEIPNER VEST	2002	1	0.000000	0.000000	0.126530	0.196070	0.322600	0.014890	43457
SLEIPNER VEST	2002	2	0.000000	0.000000	0.117520	0.172080	0.289600	0.005300	43457
SLEIPNER VEST	2002	3	0.000000	0.000000	0.125300	0.188860	0.314160	0.007180	43457
SLEIPNER VEST	2002	4	0.000000	0.000000	0.127450	0.186160	0.313610	0.006170	43457
SLEIPNER VEST	2002	5	0.000000	0.000000	0.128470	0.189770	0.318240	0.009320	43457
SLEIPNER VEST	2002	6	0.000000	0.000000	0.123000	0.181710	0.304710	0.008210	43457
SLEIPNER VEST	2002	7	0.000000	0.000000	0.127010	0.177020	0.304020	0.007360	43457
SLEIPNER VEST	2002	8	0.000000	0.000000	0.105850	0.162190	0.268040	0.006340	43457
SLEIPNER VEST	2002	9	0.000000	0.000000	0.029960	0.045730	0.075690	0.001860	43457
SLEIPNER VEST	2002	10	0.000000	0.000000	0.100360	0.145310	0.245670	0.006950	43457
SLEIPNER VEST	2002	11	0.000000	0.000000	0.116960	0.168920	0.285880	0.010640	43457
SLEIPNER VEST	2002	12	0.000000	0.000000	0.113060	0.173910	0.286970	0.008890	43457
SLEIPNER VEST	2003	1	0.000000	0.000000	0.097870	0.174000	0.271870	0.009790	43457
SLEIPNER VEST	2003	2	0.000000	0.000000	0.082170	0.149080	0.231250	0.008720	43457
SLEIPNER VEST	2003	3	0.000000	0.000000	0.092410	0.165070	0.257480	0.008450	43457
SLEIPNER VEST	2003	4	0.000000	0.000000	0.087120	0.159390	0.246510	0.007710	43457
SLEIPNER VEST	2003	5	0.000000	0.000000	0.090930	0.155890	0.246820	0.009000	43457
SLEIPNER VEST	2003	6	0.000000	0.000000	0.054770	0.100310	0.155080	0.006180	43457
SLEIPNER VEST	2003	7	0.000000	0.000000	0.090960	0.154040	0.245000	0.009900	43457
SLEIPNER VEST	2003	8	0.000000	0.000000	0.088040	0.150770	0.238810	0.007310	43457
SLEIPNER VEST	2003	9	0.000000	0.000000	0.079650	0.129630	0.209280	0.009810	43457
SLEIPNER VEST	2003	10	0.000000	0.000000	0.096570	0.158880	0.255450	0.013100	43457
SLEIPNER VEST	2003	11	0.000000	0.000000	0.093260	0.147500	0.240770	0.015910	43457
SLEIPNER VEST	2003	12	0.000000	0.000000	0.095630	0.147520	0.243150	0.015750	43457
SLEIPNER VEST	2004	1	0.000000	0.000000	0.091850	0.142460	0.234320	0.015780	43457
SLEIPNER VEST	2004	2	0.000000	0.000000	0.075190	0.122870	0.198050	0.015000	43457
SLEIPNER VEST	2004	3	0.000000	0.000000	0.089010	0.143680	0.232690	0.017240	43457
SLEIPNER VEST	2004	4	0.000000	0.000000	0.080140	0.129010	0.209150	0.013820	43457
SLEIPNER VEST	2004	5	0.000000	0.000000	0.069180	0.108050	0.177220	0.010700	43457
SLEIPNER VEST	2004	6	0.000000	0.000000	0.083450	0.132280	0.215730	0.015860	43457
SLEIPNER VEST	2004	7	0.000000	0.000000	0.079740	0.130530	0.210260	0.014830	43457
SLEIPNER VEST	2004	8	0.000000	0.000000	0.032510	0.054190	0.086700	0.006670	43457
SLEIPNER VEST	2004	9	0.000000	0.000000	0.024850	0.042670	0.067520	0.002950	43457
SLEIPNER VEST	2004	10	0.000000	0.000000	0.086260	0.147860	0.234120	0.008840	43457
SLEIPNER VEST	2004	11	0.000000	0.000000	0.083830	0.169680	0.253520	0.012720	43457
SLEIPNER VEST	2004	12	0.000000	0.000000	0.075040	0.162240	0.237270	0.010090	43457
SLEIPNER VEST	2005	1	0.000000	0.000000	0.074770	0.163730	0.238490	0.013810	43457
SLEIPNER VEST	2005	2	0.000000	0.000000	0.064400	0.141120	0.205530	0.011440	43457
SLEIPNER VEST	2005	3	0.000000	0.000000	0.062560	0.139810	0.202370	0.007020	43457
SLEIPNER VEST	2005	4	0.000000	0.000000	0.073440	0.157190	0.230630	0.011890	43457
SLEIPNER VEST	2005	5	0.000000	0.000000	0.064760	0.144120	0.208880	0.011400	43457
SLEIPNER VEST	2005	6	0.000000	0.000000	0.077810	0.164210	0.242020	0.014080	43457
SLEIPNER VEST	2005	7	0.000000	0.000000	0.076870	0.166370	0.243240	0.016500	43457
SLEIPNER VEST	2005	8	0.000000	0.000000	0.075120	0.152500	0.227610	0.015580	43457
SLEIPNER VEST	2005	9	0.000000	0.000000	0.052770	0.113760	0.166530	0.009340	43457
SLEIPNER VEST	2005	10	0.000000	0.000000	0.075030	0.147150	0.222180	0.013370	43457
SLEIPNER VEST	2005	11	0.000000	0.000000	0.080310	0.146580	0.226890	0.016900	43457
SLEIPNER VEST	2005	12	0.000000	0.000000	0.089370	0.141350	0.230720	0.018790	43457
SLEIPNER VEST	2006	1	0.000000	0.000000	0.084690	0.156950	0.241640	0.014920	43457
SLEIPNER VEST	2006	2	0.000000	0.000000	0.077150	0.139850	0.217000	0.015400	43457
SLEIPNER VEST	2006	3	0.000000	0.000000	0.080950	0.147350	0.228300	0.017420	43457
SLEIPNER VEST	2006	4	0.000000	0.000000	0.082750	0.151250	0.233990	0.016610	43457
SLEIPNER VEST	2006	5	0.000000	0.000000	0.079480	0.155190	0.234670	0.018950	43457
SLEIPNER VEST	2006	6	0.000000	0.000000	0.010140	0.018660	0.028790	0.001390	43457
SLEIPNER VEST	2006	7	0.000000	0.000000	0.086280	0.148300	0.234580	0.018690	43457
SLEIPNER VEST	2006	8	0.000000	0.000000	0.085000	0.151620	0.236620	0.019460	43457
SLEIPNER VEST	2006	9	0.000000	0.000000	0.082690	0.144300	0.226990	0.016330	43457
SLEIPNER VEST	2006	10	0.000000	0.000000	0.076130	0.129850	0.205980	0.015190	43457
SLEIPNER VEST	2006	11	0.000000	0.000000	0.061220	0.102620	0.163840	0.014940	43457
SLEIPNER VEST	2006	12	0.000000	0.000000	0.087360	0.145860	0.233230	0.020480	43457
SLEIPNER VEST	2007	1	0.000000	0.000000	0.078610	0.138310	0.216920	0.018620	43457
SLEIPNER VEST	2007	2	0.000000	0.000000	0.066470	0.120490	0.186960	0.017900	43457
SLEIPNER VEST	2007	3	0.000000	0.000000	0.078960	0.144360	0.223320	0.019060	43457
SLEIPNER VEST	2007	4	0.000000	0.000000	0.076090	0.141820	0.217910	0.018540	43457
SLEIPNER VEST	2007	5	0.000000	0.000000	0.074110	0.139870	0.213980	0.017660	43457
SLEIPNER VEST	2007	6	0.000000	0.000000	0.070940	0.135890	0.206830	0.018030	43457
SLEIPNER VEST	2007	7	0.000000	0.000000	0.059410	0.114700	0.174110	0.015760	43457
SLEIPNER VEST	2007	8	0.000000	0.000000	0.074610	0.137780	0.212390	0.018450	43457
SLEIPNER VEST	2007	9	0.000000	0.000000	0.063100	0.114910	0.178020	0.015770	43457
SLEIPNER VEST	2007	10	0.000000	0.000000	0.076710	0.137900	0.214610	0.018370	43457
SLEIPNER VEST	2007	11	0.000000	0.000000	0.075020	0.138050	0.213080	0.018140	43457
SLEIPNER VEST	2007	12	0.000000	0.000000	0.073400	0.134580	0.207990	0.018340	43457
SLEIPNER VEST	2008	1	0.000000	0.000000	0.065880	0.124500	0.190380	0.016730	43457
SLEIPNER VEST	2008	2	0.000000	0.000000	0.066610	0.121940	0.188560	0.017050	43457
SLEIPNER VEST	2008	3	0.000000	0.000000	0.071000	0.124540	0.195540	0.010510	43457
SLEIPNER VEST	2008	4	0.000000	0.000000	0.066910	0.125640	0.192550	0.011850	43457
SLEIPNER VEST	2008	5	0.000000	0.000000	0.069450	0.121200	0.190650	0.009760	43457
SLEIPNER VEST	2008	6	0.000000	0.000000	0.052080	0.099940	0.152020	0.007740	43457
SLEIPNER VEST	2008	7	0.000000	0.000000	0.065290	0.124990	0.190280	0.009280	43457
SLEIPNER VEST	2008	8	0.000000	0.000000	0.049070	0.082630	0.131700	0.008950	43457
SLEIPNER VEST	2008	9	0.000000	0.000000	0.010690	0.029390	0.040080	0.001440	43457
SLEIPNER VEST	2008	10	0.000000	0.000000	0.051590	0.090210	0.141800	0.008570	43457
SLEIPNER VEST	2008	11	0.000000	0.000000	0.063180	0.114110	0.177290	0.012470	43457
SLEIPNER VEST	2008	12	0.000000	0.000000	0.068890	0.108200	0.177080	0.012390	43457
SLEIPNER VEST	2009	1	0.000000	0.000000	0.069860	0.108450	0.178310	0.013170	43457
SLEIPNER VEST	2009	2	0.000000	0.000000	0.066210	0.102040	0.168250	0.013480	43457
SLEIPNER VEST	2009	3	0.000000	0.000000	0.075770	0.111970	0.187740	0.009770	43457
SLEIPNER VEST	2009	4	0.000000	0.000000	0.068370	0.103180	0.171550	0.009000	43457
SLEIPNER VEST	2009	5	0.000000	0.000000	0.074640	0.112330	0.186970	0.010020	43457
SLEIPNER VEST	2009	6	0.000000	0.000000	0.067500	0.101720	0.169220	0.009000	43457
SLEIPNER VEST	2009	7	0.000000	0.000000	0.056690	0.097150	0.153830	0.008710	43457
SLEIPNER VEST	2009	8	0.000000	0.000000	0.073410	0.111220	0.184630	0.010320	43457
SLEIPNER VEST	2009	9	0.000000	0.000000	0.055020	0.081370	0.136380	0.008070	43457
SLEIPNER VEST	2009	10	0.000000	0.000000	0.074830	0.112710	0.187540	0.011020	43457
SLEIPNER VEST	2009	11	0.000000	0.000000	0.069490	0.101960	0.171450	0.009700	43457
SLEIPNER VEST	2009	12	0.000000	0.000000	0.066930	0.097310	0.164240	0.009430	43457
SLEIPNER VEST	2010	1	0.000000	0.000000	0.054550	0.082130	0.136670	0.008700	43457
SLEIPNER VEST	2010	2	0.000000	0.000000	0.048180	0.071100	0.119280	0.008090	43457
SLEIPNER VEST	2010	3	0.000000	0.000000	0.068160	0.104030	0.172190	0.011150	43457
SLEIPNER VEST	2010	4	0.000000	0.000000	0.068980	0.099670	0.168650	0.010740	43457
SLEIPNER VEST	2010	5	0.000000	0.000000	0.068490	0.096280	0.164780	0.010570	43457
SLEIPNER VEST	2010	6	0.000000	0.000000	0.076640	0.099810	0.176450	0.011460	43457
SLEIPNER VEST	2010	7	0.000000	0.000000	0.075100	0.101610	0.176700	0.012130	43457
SLEIPNER VEST	2010	8	0.000000	0.000000	0.036140	0.051840	0.087970	0.006140	43457
SLEIPNER VEST	2010	9	0.000000	0.000000	0.040960	0.056140	0.097100	0.006110	43457
SLEIPNER VEST	2010	10	0.000000	0.000000	0.074170	0.097270	0.171440	0.011580	43457
SLEIPNER VEST	2010	11	0.000000	0.000000	0.068780	0.097580	0.166350	0.010710	43457
SLEIPNER VEST	2010	12	0.000000	0.000000	0.067070	0.089380	0.156450	0.006680	43457
SLEIPNER VEST	2011	1	0.000000	0.000000	0.064770	0.085810	0.150580	0.009770	43457
SLEIPNER VEST	2011	2	0.000000	0.000000	0.064980	0.082470	0.147450	0.011270	43457
SLEIPNER VEST	2011	3	0.000000	0.000000	0.073950	0.096110	0.170050	0.010520	43457
SLEIPNER VEST	2011	4	0.000000	0.000000	0.083470	0.123960	0.207430	0.010070	43457
SLEIPNER VEST	2011	5	0.000000	0.000000	0.083960	0.133940	0.217900	0.011070	43457
SLEIPNER VEST	2011	6	0.000000	0.000000	0.081300	0.134470	0.215770	0.020330	43457
SLEIPNER VEST	2011	7	0.000000	0.000000	0.089080	0.142780	0.231860	0.012700	43457
SLEIPNER VEST	2011	8	0.000000	0.000000	0.088590	0.140840	0.229430	0.012290	43457
SLEIPNER VEST	2011	9	0.000000	0.000000	0.069610	0.108950	0.178570	0.009500	43457
SLEIPNER VEST	2011	10	0.000000	0.000000	0.088030	0.139970	0.228010	0.012190	43457
SLEIPNER VEST	2011	11	0.000000	0.000000	0.082430	0.134000	0.216440	0.010700	43457
SLEIPNER VEST	2011	12	0.000000	0.000000	0.082080	0.132130	0.214200	0.011670	43457
SLEIPNER VEST	2012	1	0.000000	0.000000	0.082530	0.130080	0.212610	0.011890	43457
SLEIPNER VEST	2012	2	0.000000	0.000000	0.077950	0.119950	0.197900	0.010980	43457
SLEIPNER VEST	2012	3	0.000000	0.000000	0.075660	0.118470	0.194130	0.011420	43457
SLEIPNER VEST	2012	4	0.000000	0.000000	0.083360	0.133590	0.216950	0.012520	43457
SLEIPNER VEST	2012	5	0.000000	0.000000	0.080620	0.127900	0.208530	0.011910	43457
SLEIPNER VEST	2012	6	0.000000	0.000000	0.074750	0.118450	0.193190	0.013060	43457
SLEIPNER VEST	2012	7	0.000000	0.000000	0.081650	0.121700	0.203350	0.022220	43457
SLEIPNER VEST	2012	8	0.000000	0.000000	0.040970	0.063100	0.104070	0.014100	43457
SLEIPNER VEST	2012	9	0.000000	0.000000	0.047740	0.072980	0.120720	0.018500	43457
SLEIPNER VEST	2012	10	0.000000	0.000000	0.075440	0.113040	0.188480	0.029920	43457
SLEIPNER VEST	2012	11	0.000000	0.000000	0.074420	0.105310	0.179720	0.030750	43457
SLEIPNER VEST	2012	12	0.000000	0.000000	0.071790	0.105930	0.177720	0.032290	43457
SLEIPNER VEST	2013	1	0.000000	0.000000	0.062870	0.093310	0.156180	0.027840	43457
SLEIPNER VEST	2013	2	0.000000	0.000000	0.062060	0.091640	0.153700	0.029200	43457
GUNGNE	1996	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43464
GUNGNE	1996	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43464
GUNGNE	1996	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43464
GUNGNE	1996	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43464
GUNGNE	1996	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43464
GUNGNE	1996	9	0.000000	0.000000	0.000450	0.000580	0.001030	0.000000	43464
GUNGNE	1996	10	0.000000	0.000000	0.005570	0.009340	0.014910	0.000000	43464
GUNGNE	1996	11	0.000000	0.000000	0.015090	0.025540	0.040630	0.000000	43464
GUNGNE	1996	12	0.000000	0.000000	0.015450	0.026430	0.041880	0.000000	43464
GUNGNE	1997	1	0.000000	0.000000	0.014120	0.025700	0.039820	0.000000	43464
GUNGNE	1997	2	0.000000	0.000000	0.018320	0.033770	0.052090	0.000000	43464
GUNGNE	1997	3	0.000000	0.000000	0.018160	0.034640	0.052790	0.000000	43464
GUNGNE	1997	4	0.000000	0.000000	0.020270	0.034740	0.055010	0.000000	43464
GUNGNE	1997	5	0.000000	0.000000	0.020820	0.033230	0.054040	0.000000	43464
GUNGNE	1997	6	0.000000	0.000000	0.020290	0.031750	0.052050	0.000000	43464
GUNGNE	1997	7	0.000000	0.000000	0.019600	0.036600	0.056190	0.000000	43464
GUNGNE	1997	8	0.000000	0.000000	0.011070	0.021300	0.032370	0.000000	43464
GUNGNE	1997	9	0.000000	0.000000	0.021180	0.037140	0.058320	0.000000	43464
GUNGNE	1997	10	0.000000	0.000000	0.020620	0.036010	0.056620	0.000000	43464
GUNGNE	1997	11	0.000000	0.000000	0.020370	0.035010	0.055390	0.000000	43464
GUNGNE	1997	12	0.000000	0.000000	0.018690	0.033020	0.051710	0.000000	43464
GUNGNE	1998	1	0.000000	0.000000	0.018320	0.032660	0.050970	0.000000	43464
GUNGNE	1998	2	0.000000	0.000000	0.016810	0.030340	0.047150	0.000000	43464
GUNGNE	1998	3	0.000000	0.000000	0.018030	0.032090	0.050120	0.000000	43464
GUNGNE	1998	4	0.000000	0.000000	0.017300	0.030420	0.047720	0.000000	43464
GUNGNE	1998	5	0.000000	0.000000	0.016520	0.028920	0.045450	0.000000	43464
GUNGNE	1998	6	0.000000	0.000000	0.003950	0.007890	0.011840	0.000000	43464
GUNGNE	1998	7	0.000000	0.000000	0.000510	0.000000	0.000510	0.000000	43464
GUNGNE	1998	8	0.000000	0.000000	0.000000	0.000020	0.000020	0.000000	43464
GUNGNE	1998	9	0.000000	0.000000	-0.000060	0.000080	0.000030	0.000000	43464
GUNGNE	1998	10	0.000000	0.000000	0.000040	0.000280	0.000320	0.000000	43464
GUNGNE	1998	11	0.000000	0.000000	0.004230	0.006480	0.010710	0.000000	43464
GUNGNE	1998	12	0.000000	0.000000	0.006650	0.011220	0.017870	0.000000	43464
GUNGNE	1999	1	0.000000	0.000000	0.005690	0.010060	0.015750	0.000000	43464
GUNGNE	1999	2	0.000000	0.000000	0.005590	0.012390	0.017980	0.000000	43464
GUNGNE	1999	3	0.000000	0.000000	0.012360	0.028620	0.040970	0.000000	43464
GUNGNE	1999	4	0.000000	0.000000	0.013510	0.024170	0.037690	0.000000	43464
GUNGNE	1999	5	0.000000	0.000000	0.012790	0.022900	0.035690	0.000000	43464
GUNGNE	1999	6	0.000000	0.000000	0.013330	0.023110	0.036450	0.000000	43464
GUNGNE	1999	7	0.000000	0.000000	0.013590	0.022500	0.036090	0.000000	43464
GUNGNE	1999	8	0.000000	0.000000	0.013320	0.022850	0.036170	0.000000	43464
GUNGNE	1999	9	0.000000	0.000000	0.013410	0.023310	0.036730	0.000000	43464
GUNGNE	1999	10	0.000000	0.000000	0.011640	0.020990	0.032620	0.000000	43464
GUNGNE	1999	11	0.000000	0.000000	0.010830	0.019230	0.030070	0.000000	43464
GUNGNE	1999	12	0.000000	0.000000	0.011830	0.021380	0.033210	0.000000	43464
GUNGNE	2000	1	0.000000	0.000000	0.014040	0.018960	0.033000	0.000680	43464
GUNGNE	2000	2	0.000000	0.000000	0.008960	0.012300	0.021260	0.000410	43464
GUNGNE	2000	3	0.000000	0.000000	0.012590	0.017290	0.029880	0.000090	43464
GUNGNE	2000	4	0.000000	0.000000	0.012040	0.017200	0.029240	0.000930	43464
GUNGNE	2000	5	0.000000	0.000000	0.011270	0.014840	0.026110	0.000470	43464
GUNGNE	2000	6	0.000000	0.000000	0.012350	0.017360	0.029700	0.001230	43464
GUNGNE	2000	7	0.000000	0.000000	0.014010	0.019450	0.033450	0.002110	43464
GUNGNE	2000	8	0.000000	0.000000	0.005940	0.007810	0.013750	0.000870	43464
GUNGNE	2000	9	0.000000	0.000000	0.002780	0.003920	0.006700	0.000090	43464
GUNGNE	2000	10	0.000000	0.000000	0.018530	0.025560	0.044100	0.000660	43464
GUNGNE	2000	11	0.000000	0.000000	0.012730	0.016330	0.029060	0.000490	43464
GUNGNE	2000	12	0.000000	0.000000	0.001290	0.000110	0.001400	0.000020	43464
GUNGNE	2001	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43464
GUNGNE	2001	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000230	43464
GUNGNE	2001	3	0.000000	0.000000	0.024480	0.028960	0.053430	0.000800	43464
GUNGNE	2001	4	0.000000	0.000000	0.013420	0.015530	0.028950	0.000310	43464
GUNGNE	2001	5	0.000000	0.000000	0.029090	0.032590	0.061680	0.000760	43464
GUNGNE	2001	6	0.000000	0.000000	0.024280	0.027800	0.052080	0.000640	43464
GUNGNE	2001	7	0.000000	0.000000	0.027530	0.031540	0.059070	0.000710	43464
GUNGNE	2001	8	0.000000	0.000000	0.025880	0.028210	0.054080	0.000640	43464
GUNGNE	2001	9	0.000000	0.000000	0.027250	0.028050	0.055300	0.000760	43464
GUNGNE	2001	10	0.000000	0.000000	0.027040	0.030880	0.057920	0.000590	43464
GUNGNE	2001	11	0.000000	0.000000	0.037630	0.043530	0.081160	0.000850	43464
GUNGNE	2001	12	0.000000	0.000000	0.042910	0.047330	0.090240	0.000950	43464
GUNGNE	2002	1	0.000000	0.000000	0.034790	0.049480	0.084270	0.000810	43464
GUNGNE	2002	2	0.000000	0.000000	0.026360	0.036460	0.062820	0.000910	43464
GUNGNE	2002	3	0.000000	0.000000	0.023950	0.034700	0.058650	0.001020	43464
GUNGNE	2002	4	0.000000	0.000000	0.024460	0.035170	0.059630	0.000480	43464
GUNGNE	2002	5	0.000000	0.000000	0.025680	0.037250	0.062930	0.000570	43464
GUNGNE	2002	6	0.000000	0.000000	0.022700	0.033910	0.056610	0.000550	43464
GUNGNE	2002	7	0.000000	0.000000	0.026350	0.038330	0.064670	0.000760	43464
GUNGNE	2002	8	0.000000	0.000000	0.026480	0.039540	0.066030	0.000980	43464
GUNGNE	2002	9	0.000000	0.000000	0.010420	0.015480	0.025910	0.000410	43464
GUNGNE	2002	10	0.000000	0.000000	0.023280	0.034810	0.058090	0.000640	43464
GUNGNE	2002	11	0.000000	0.000000	0.026870	0.039940	0.066810	0.001010	43464
GUNGNE	2002	12	0.000000	0.000000	0.033160	0.050420	0.083580	0.001260	43464
GUNGNE	2003	1	0.000000	0.000000	0.035110	0.049350	0.084460	0.001450	43464
GUNGNE	2003	2	0.000000	0.000000	0.034150	0.048320	0.082470	0.001460	43464
GUNGNE	2003	3	0.000000	0.000000	0.037250	0.051710	0.088960	0.001860	43464
GUNGNE	2003	4	0.000000	0.000000	0.033120	0.048070	0.081190	0.001840	43464
GUNGNE	2003	5	0.000000	0.000000	0.034700	0.048580	0.083280	0.001920	43464
GUNGNE	2003	6	0.000000	0.000000	0.025420	0.036540	0.061970	0.001480	43464
GUNGNE	2003	7	0.000000	0.000000	0.036290	0.050640	0.086940	0.002090	43464
GUNGNE	2003	8	0.000000	0.000000	0.035540	0.049980	0.085520	0.002280	43464
GUNGNE	2003	9	0.000000	0.000000	0.034440	0.048510	0.082950	0.002120	43464
GUNGNE	2003	10	0.000000	0.000000	0.035900	0.049550	0.085440	0.002380	43464
GUNGNE	2003	11	0.000000	0.000000	0.033640	0.047790	0.081430	0.002480	43464
GUNGNE	2003	12	0.000000	0.000000	0.031450	0.043610	0.075060	0.002910	43464
GUNGNE	2004	1	0.000000	0.000000	0.032960	0.046150	0.079110	0.003060	43464
GUNGNE	2004	2	0.000000	0.000000	0.024960	0.036070	0.061030	0.002410	43464
GUNGNE	2004	3	0.000000	0.000000	0.030380	0.043310	0.073690	0.002880	43464
GUNGNE	2004	4	0.000000	0.000000	0.029580	0.042140	0.071720	0.003010	43464
GUNGNE	2004	5	0.000000	0.000000	0.025860	0.037270	0.063130	0.003060	43464
GUNGNE	2004	6	0.000000	0.000000	0.029720	0.043180	0.072900	0.003490	43464
GUNGNE	2004	7	0.000000	0.000000	0.032100	0.045940	0.078050	0.003950	43464
GUNGNE	2004	8	0.000000	0.000000	0.014080	0.020270	0.034350	0.001710	43464
GUNGNE	2004	9	0.000000	0.000000	0.020330	0.030000	0.050330	0.002980	43464
GUNGNE	2004	10	0.000000	0.000000	0.029440	0.043330	0.072770	0.003820	43464
GUNGNE	2004	11	0.000000	0.000000	0.028240	0.042350	0.070590	0.003940	43464
GUNGNE	2004	12	0.000000	0.000000	0.033830	0.035540	0.069370	0.004410	43464
GUNGNE	2005	1	0.000000	0.000000	0.031040	0.033170	0.064210	0.004790	43464
GUNGNE	2005	2	0.000000	0.000000	0.026880	0.028120	0.055000	0.003870	43464
GUNGNE	2005	3	0.000000	0.000000	0.025360	0.026880	0.052240	0.003510	43464
GUNGNE	2005	4	0.000000	0.000000	0.029010	0.030030	0.059040	0.003830	43464
GUNGNE	2005	5	0.000000	0.000000	0.030950	0.032210	0.063170	0.004070	43464
GUNGNE	2005	6	0.000000	0.000000	0.028620	0.030740	0.059360	0.003780	43464
GUNGNE	2005	7	0.000000	0.000000	0.029170	0.030770	0.059940	0.004190	43464
GUNGNE	2005	8	0.000000	0.000000	0.028240	0.030030	0.058280	0.004230	43464
GUNGNE	2005	9	0.000000	0.000000	0.019840	0.021600	0.041430	0.004510	43464
GUNGNE	2005	10	0.000000	0.000000	0.022310	0.022320	0.044630	0.004620	43464
GUNGNE	2005	11	0.000000	0.000000	0.030500	0.030010	0.060500	0.005170	43464
GUNGNE	2005	12	0.000000	0.000000	0.030810	0.028090	0.058890	0.005740	43464
GUNGNE	2006	1	0.000000	0.000000	0.029090	0.032600	0.061690	0.005550	43464
GUNGNE	2006	2	0.000000	0.000000	0.026180	0.026990	0.053170	0.005060	43464
GUNGNE	2006	3	0.000000	0.000000	0.026740	0.028010	0.054750	0.005330	43464
GUNGNE	2006	4	0.000000	0.000000	0.026420	0.027130	0.053550	0.005230	43464
GUNGNE	2006	5	0.000000	0.000000	0.026210	0.028550	0.054760	0.006650	43464
GUNGNE	2006	6	0.000000	0.000000	0.003710	0.002890	0.006600	0.001940	43464
GUNGNE	2006	7	0.000000	0.000000	0.025680	0.019990	0.045680	0.007150	43464
GUNGNE	2006	8	0.000000	0.000000	0.023740	0.018510	0.042250	0.008250	43464
GUNGNE	2006	9	0.000000	0.000000	0.023950	0.018210	0.042160	0.007620	43464
GUNGNE	2006	10	0.000000	0.000000	0.024200	0.019340	0.043540	0.006670	43464
GUNGNE	2006	11	0.000000	0.000000	0.024560	0.018700	0.043260	0.004060	43464
GUNGNE	2006	12	0.000000	0.000000	0.025930	0.019860	0.045790	0.005740	43464
GUNGNE	2007	1	0.000000	0.000000	0.024800	0.019520	0.044320	0.005980	43464
GUNGNE	2007	2	0.000000	0.000000	0.021390	0.016700	0.038100	0.005100	43464
GUNGNE	2007	3	0.000000	0.000000	0.020380	0.017440	0.037810	0.005580	43464
GUNGNE	2007	4	0.000000	0.000000	0.018640	0.015750	0.034390	0.005320	43464
GUNGNE	2007	5	0.000000	0.000000	0.019900	0.017390	0.037300	0.005390	43464
GUNGNE	2007	6	0.000000	0.000000	0.018340	0.015340	0.033680	0.005800	43464
GUNGNE	2007	7	0.000000	0.000000	0.019920	0.017120	0.037040	0.006830	43464
GUNGNE	2007	8	0.000000	0.000000	0.024900	0.021190	0.046090	0.007340	43464
GUNGNE	2007	9	0.000000	0.000000	0.018530	0.016030	0.034550	0.006050	43464
GUNGNE	2007	10	0.000000	0.000000	0.022730	0.020350	0.043080	0.006400	43464
GUNGNE	2007	11	0.000000	0.000000	0.030500	0.027430	0.057930	0.006400	43464
GUNGNE	2007	12	0.000000	0.000000	0.025910	0.021710	0.047610	0.006410	43464
GUNGNE	2008	1	0.000000	0.000000	0.024790	0.021560	0.046350	0.007290	43464
GUNGNE	2008	2	0.000000	0.000000	0.021950	0.018620	0.040570	0.006010	43464
GUNGNE	2008	3	0.000000	0.000000	0.016310	0.013600	0.029910	0.004210	43464
GUNGNE	2008	4	0.000000	0.000000	0.021160	0.020280	0.041450	0.005620	43464
GUNGNE	2008	5	0.000000	0.000000	0.022550	0.020830	0.043370	0.007120	43464
GUNGNE	2008	6	0.000000	0.000000	0.020330	0.019090	0.039410	0.007380	43464
GUNGNE	2008	7	0.000000	0.000000	0.020860	0.019600	0.040450	0.007020	43464
GUNGNE	2008	8	0.000000	0.000000	0.014550	0.012850	0.027390	0.005680	43464
GUNGNE	2008	9	0.000000	0.000000	0.013400	0.011910	0.025320	0.005630	43464
GUNGNE	2008	10	0.000000	0.000000	0.022330	0.018920	0.041250	0.008730	43464
GUNGNE	2008	11	0.000000	0.000000	0.022330	0.018580	0.040910	0.007680	43464
GUNGNE	2008	12	0.000000	0.000000	0.019730	0.017120	0.036850	0.007440	43464
GUNGNE	2009	1	0.000000	0.000000	0.019240	0.016710	0.035950	0.007440	43464
GUNGNE	2009	2	0.000000	0.000000	0.016860	0.013920	0.030790	0.006380	43464
GUNGNE	2009	3	0.000000	0.000000	0.019350	0.015260	0.034610	0.007360	43464
GUNGNE	2009	4	0.000000	0.000000	0.017080	0.012930	0.030020	0.006740	43464
GUNGNE	2009	5	0.000000	0.000000	0.016140	0.012220	0.028360	0.006320	43464
GUNGNE	2009	6	0.000000	0.000000	0.016350	0.013210	0.029560	0.005530	43464
GUNGNE	2009	7	0.000000	0.000000	0.014880	0.011220	0.026100	0.006200	43464
GUNGNE	2009	8	0.000000	0.000000	0.016630	0.012580	0.029200	0.008360	43464
GUNGNE	2009	9	0.000000	0.000000	0.012460	0.009460	0.021920	0.004620	43464
GUNGNE	2009	10	0.000000	0.000000	0.013660	0.010540	0.024200	0.005540	43464
GUNGNE	2009	11	0.000000	0.000000	0.012450	0.009920	0.022370	0.007320	43464
GUNGNE	2009	12	0.000000	0.000000	0.012070	0.009540	0.021610	0.007220	43464
GUNGNE	2010	1	0.000000	0.000000	0.012530	0.009900	0.022440	0.007710	43464
GUNGNE	2010	2	0.000000	0.000000	0.011870	0.009270	0.021130	0.007280	43464
GUNGNE	2010	3	0.000000	0.000000	0.005030	0.004080	0.009110	0.003670	43464
GUNGNE	2010	4	0.000000	0.000000	0.011780	0.009870	0.021640	0.006940	43464
GUNGNE	2010	5	0.000000	0.000000	0.014280	0.012530	0.026810	0.008590	43464
GUNGNE	2010	6	0.000000	0.000000	0.014470	0.012800	0.027270	0.009180	43464
GUNGNE	2010	7	0.000000	0.000000	0.012520	0.010870	0.023390	0.009480	43464
GUNGNE	2010	8	0.000000	0.000000	0.007280	0.006660	0.013940	0.005060	43464
GUNGNE	2010	9	0.000000	0.000000	0.009880	0.008650	0.018530	0.005900	43464
GUNGNE	2010	10	0.000000	0.000000	0.013680	0.012030	0.025710	0.008980	43464
GUNGNE	2010	11	0.000000	0.000000	0.013310	0.011470	0.024770	0.009230	43464
GUNGNE	2010	12	0.000000	0.000000	0.013310	0.011480	0.024790	0.008270	43464
GUNGNE	2011	1	0.000000	0.000000	0.008540	0.007330	0.015880	0.000720	43464
GUNGNE	2011	2	0.000000	0.000000	0.008030	0.006990	0.015020	0.004850	43464
GUNGNE	2011	3	0.000000	0.000000	0.009870	0.008530	0.018400	0.007000	43464
GUNGNE	2011	4	0.000000	0.000000	0.011220	0.006450	0.017660	0.007680	43464
GUNGNE	2011	5	0.000000	0.000000	0.012210	0.006830	0.019050	0.008270	43464
GUNGNE	2011	6	0.000000	0.000000	0.010620	0.006180	0.016800	0.007450	43464
GUNGNE	2011	7	0.000000	0.000000	0.010390	0.005900	0.016300	0.007970	43464
GUNGNE	2011	8	0.000000	0.000000	0.010670	0.006000	0.016670	0.008350	43464
GUNGNE	2011	9	0.000000	0.000000	0.008550	0.004710	0.013260	0.006570	43464
GUNGNE	2011	10	0.000000	0.000000	0.010310	0.005720	0.016030	0.007360	43464
GUNGNE	2011	11	0.000000	0.000000	0.009230	0.005180	0.014400	0.007090	43464
GUNGNE	2011	12	0.000000	0.000000	0.009820	0.005500	0.015320	0.007580	43464
GUNGNE	2012	1	0.000000	0.000000	0.009030	0.005090	0.014120	0.007140	43464
GUNGNE	2012	2	0.000000	0.000000	0.008330	0.004560	0.012890	0.006570	43464
GUNGNE	2012	3	0.000000	0.000000	0.008450	0.004720	0.013160	0.007140	43464
GUNGNE	2012	4	0.000000	0.000000	0.009430	0.005260	0.014690	0.008690	43464
GUNGNE	2012	5	0.000000	0.000000	0.007940	0.004570	0.012510	0.007530	43464
GUNGNE	2012	6	0.000000	0.000000	0.007930	0.004620	0.012550	0.007410	43464
GUNGNE	2012	7	0.000000	0.000000	0.009690	0.007380	0.017070	0.008200	43464
GUNGNE	2012	8	0.000000	0.000000	0.005170	0.004040	0.009210	0.003060	43464
GUNGNE	2012	9	0.000000	0.000000	0.002950	0.002310	0.005260	0.000640	43464
GUNGNE	2012	10	0.000000	0.000000	0.009720	0.007590	0.017310	0.008680	43464
GUNGNE	2012	11	0.000000	0.000000	0.010140	0.007410	0.017550	0.008300	43464
GUNGNE	2012	12	0.000000	0.000000	0.010250	0.007340	0.017590	0.008250	43464
GUNGNE	2013	1	0.000000	0.000000	0.008250	0.006250	0.014500	0.005490	43464
GUNGNE	2013	2	0.000000	0.000000	0.008270	0.006240	0.014510	0.007370	43464
SLEIPNER ØST	1993	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43478
SLEIPNER ØST	1993	9	0.000000	0.076600	0.000000	0.029020	0.105610	0.000000	43478
SLEIPNER ØST	1993	10	0.000000	0.201840	0.079860	0.107440	0.389150	0.000000	43478
SLEIPNER ØST	1993	11	0.000000	0.249070	0.101420	0.138220	0.488710	0.000000	43478
SLEIPNER ØST	1993	12	0.000000	0.306180	0.118090	0.165310	0.589580	0.000000	43478
SLEIPNER ØST	1994	1	0.000000	0.316080	0.125780	0.176100	0.617960	0.000000	43478
SLEIPNER ØST	1994	2	0.000000	0.272900	0.106780	0.149550	0.529220	0.000000	43478
SLEIPNER ØST	1994	3	0.000000	0.253390	0.097270	0.141510	0.492170	0.000000	43478
SLEIPNER ØST	1994	4	0.000000	0.248230	0.100100	0.132390	0.480720	0.000000	43478
SLEIPNER ØST	1994	5	0.000000	0.280550	0.140470	0.185180	0.606210	0.000000	43478
SLEIPNER ØST	1994	6	0.000000	0.307250	0.157710	0.207130	0.672090	0.000000	43478
SLEIPNER ØST	1994	7	0.000000	0.263570	0.124480	0.161330	0.549380	0.000000	43478
SLEIPNER ØST	1994	8	0.000000	0.194620	0.081500	0.111220	0.387330	0.000000	43478
SLEIPNER ØST	1994	9	0.000000	0.287990	0.189900	0.250070	0.727960	0.000000	43478
SLEIPNER ØST	1994	10	0.000000	0.483790	0.224440	0.301620	1.009850	0.000000	43478
SLEIPNER ØST	1994	11	0.000000	0.510330	0.219300	0.288440	1.018070	0.000000	43478
SLEIPNER ØST	1994	12	0.000000	0.533100	0.216450	0.278060	1.027600	0.000000	43478
SLEIPNER ØST	1995	1	0.000000	0.547680	0.206580	0.260970	1.015230	0.000000	43478
SLEIPNER ØST	1995	2	0.000000	0.472740	0.197500	0.251530	0.921770	0.000000	43478
SLEIPNER ØST	1995	3	0.000000	0.542210	0.225190	0.291830	1.059230	0.000000	43478
SLEIPNER ØST	1995	4	0.000000	0.398500	0.210100	0.265750	0.874340	0.000000	43478
SLEIPNER ØST	1995	5	0.000000	0.434740	0.209820	0.274000	0.918560	0.000000	43478
SLEIPNER ØST	1995	6	0.000000	0.441250	0.221230	0.273400	0.935880	0.000000	43478
SLEIPNER ØST	1995	7	0.000000	0.370610	0.220250	0.277040	0.867900	0.000000	43478
SLEIPNER ØST	1995	8	0.000000	0.183040	0.110280	0.140320	0.433640	0.000000	43478
SLEIPNER ØST	1995	9	0.000000	0.420560	0.220130	0.275880	0.916570	0.000000	43478
SLEIPNER ØST	1995	10	0.000000	0.240570	0.243160	0.305860	0.789600	0.000000	43478
SLEIPNER ØST	1995	11	0.000000	0.490050	0.186210	0.248160	0.924420	0.000000	43478
SLEIPNER ØST	1995	12	0.000000	0.653450	0.238210	0.303640	1.195310	0.000000	43478
SLEIPNER ØST	1996	1	0.000000	0.693610	0.237920	0.307990	1.239510	0.000000	43478
SLEIPNER ØST	1996	2	0.000000	0.637530	0.223060	0.279970	1.140550	0.000000	43478
SLEIPNER ØST	1996	3	0.000000	0.692180	0.237910	0.296570	1.226650	0.000000	43478
SLEIPNER ØST	1996	4	0.000000	0.644740	0.232610	0.285030	1.162380	0.000000	43478
SLEIPNER ØST	1996	5	0.000000	0.633850	0.224640	0.280920	1.139410	0.000000	43478
SLEIPNER ØST	1996	6	0.000000	0.344160	0.115950	0.149160	0.609280	0.000000	43478
SLEIPNER ØST	1996	7	0.000000	0.583590	0.239310	0.295450	1.118350	0.000000	43478
SLEIPNER ØST	1996	8	0.000000	0.565810	0.241590	0.291500	1.098900	0.000000	43478
SLEIPNER ØST	1996	9	0.000000	0.634430	0.177840	0.258640	1.070910	0.000000	43478
SLEIPNER ØST	1996	10	0.000000	0.660410	0.213470	0.253430	1.127310	0.000000	43478
SLEIPNER ØST	1996	11	0.000000	0.755950	0.202500	0.252840	1.211280	0.000000	43478
SLEIPNER ØST	1996	12	0.000000	0.778930	0.201420	0.243860	1.224210	0.000000	43478
SLEIPNER ØST	1997	1	0.000000	0.806370	0.199950	0.262550	1.268870	0.000000	43478
SLEIPNER ØST	1997	2	0.000000	0.577670	0.178060	0.220870	0.976610	0.000000	43478
SLEIPNER ØST	1997	3	0.000000	0.775410	0.178120	0.239250	1.192780	0.000000	43478
SLEIPNER ØST	1997	4	0.000000	0.618640	0.185950	0.229720	1.034320	0.000000	43478
SLEIPNER ØST	1997	5	0.000000	0.654100	0.206180	0.234070	1.094340	0.000000	43478
SLEIPNER ØST	1997	6	0.000000	0.701080	0.193740	0.215200	1.110020	0.000000	43478
SLEIPNER ØST	1997	7	0.000000	0.597960	0.190010	0.236430	1.024390	0.000000	43478
SLEIPNER ØST	1997	8	0.000000	0.282630	0.113110	0.147390	0.543130	0.000000	43478
SLEIPNER ØST	1997	9	0.000000	0.728480	0.187540	0.229340	1.145360	0.000000	43478
SLEIPNER ØST	1997	10	0.000000	0.531360	0.184570	0.228200	0.944130	0.000000	43478
SLEIPNER ØST	1997	11	0.000000	0.629270	0.188420	0.229450	1.047140	0.000000	43478
SLEIPNER ØST	1997	12	0.000000	0.597500	0.181380	0.227140	1.006020	0.000000	43478
SLEIPNER ØST	1998	1	0.000000	0.674370	0.179640	0.226890	1.080900	0.000000	43478
SLEIPNER ØST	1998	2	0.000000	0.615090	0.167050	0.208040	0.990170	0.000000	43478
SLEIPNER ØST	1998	3	0.000000	0.708280	0.186570	0.225790	1.120650	0.000000	43478
SLEIPNER ØST	1998	4	0.000000	0.665070	0.172270	0.205940	1.043280	0.000000	43478
SLEIPNER ØST	1998	5	0.000000	0.676830	0.189060	0.229780	1.095670	0.000000	43478
SLEIPNER ØST	1998	6	0.000000	0.591830	0.192060	0.240610	1.024500	0.000000	43478
SLEIPNER ØST	1998	7	0.000000	0.863370	0.206340	0.243270	1.312980	0.000000	43478
SLEIPNER ØST	1998	8	0.000000	0.212510	0.066800	0.086080	0.365390	0.000000	43478
SLEIPNER ØST	1998	9	0.000000	0.603990	0.197660	0.249590	1.051240	0.000000	43478
SLEIPNER ØST	1998	10	0.000000	0.461040	0.141740	0.180110	0.782890	0.000000	43478
SLEIPNER ØST	1998	11	0.000000	0.496860	0.199510	0.241740	0.938100	0.000000	43478
SLEIPNER ØST	1998	12	0.000000	0.628640	0.203470	0.248190	1.080300	0.000000	43478
SLEIPNER ØST	1999	1	0.000000	0.554280	0.181890	0.228680	0.964850	0.000000	43478
SLEIPNER ØST	1999	2	0.000000	0.463710	0.181350	0.217630	0.862700	0.000000	43478
SLEIPNER ØST	1999	3	0.000000	0.512410	0.189410	0.235160	0.936990	0.000000	43478
SLEIPNER ØST	1999	4	0.000000	0.516710	0.174110	0.216120	0.906940	0.000000	43478
SLEIPNER ØST	1999	5	0.000000	0.600170	0.186650	0.233810	1.020630	0.000000	43478
SLEIPNER ØST	1999	6	0.000000	0.462270	0.181350	0.216320	0.859940	0.000000	43478
SLEIPNER ØST	1999	7	0.000000	0.483500	0.190290	0.222010	0.895800	0.000000	43478
SLEIPNER ØST	1999	8	0.000000	0.489150	0.186800	0.221850	0.897800	0.000000	43478
SLEIPNER ØST	1999	9	0.000000	0.494040	0.181840	0.217350	0.893220	0.000000	43478
SLEIPNER ØST	1999	10	0.000000	0.953170	0.184040	0.207520	1.344720	0.000000	43478
SLEIPNER ØST	1999	11	0.000000	1.235000	0.180920	0.207910	1.623840	0.000000	43478
SLEIPNER ØST	1999	12	0.000000	1.305080	0.187830	0.212310	1.705220	0.000000	43478
SLEIPNER ØST	2000	1	0.000000	1.343830	0.191610	0.221680	1.757120	0.005310	43478
SLEIPNER ØST	2000	2	0.000000	1.133750	0.148300	0.168840	1.450890	0.003520	43478
SLEIPNER ØST	2000	3	0.000000	1.290400	0.177210	0.209500	1.677120	0.004680	43478
SLEIPNER ØST	2000	4	0.000000	1.136750	0.173030	0.203160	1.512940	0.004140	43478
SLEIPNER ØST	2000	5	0.000000	0.950520	0.185620	0.202650	1.338790	0.005110	43478
SLEIPNER ØST	2000	6	0.000000	0.841130	0.168550	0.192690	1.202360	0.003700	43478
SLEIPNER ØST	2000	7	0.000000	0.856580	0.168960	0.197280	1.222820	0.003690	43478
SLEIPNER ØST	2000	8	0.000000	0.350050	0.076830	0.086430	0.513310	0.001870	43478
SLEIPNER ØST	2000	9	0.000000	0.564830	0.056890	0.069310	0.691030	0.001990	43478
SLEIPNER ØST	2000	10	0.000000	0.969350	0.161680	0.191620	1.322650	0.004230	43478
SLEIPNER ØST	2000	11	0.000000	1.104470	0.163940	0.177230	1.445630	0.003620	43478
SLEIPNER ØST	2000	12	0.000000	1.263920	0.181710	0.192790	1.638420	0.004930	43478
SLEIPNER ØST	2001	1	0.000000	1.186920	0.191210	0.191270	1.569400	0.004310	43478
SLEIPNER ØST	2001	2	0.000000	0.880210	0.171430	0.173010	1.224650	0.004770	43478
SLEIPNER ØST	2001	3	0.000000	0.798590	0.159240	0.165570	1.123400	0.004130	43478
SLEIPNER ØST	2001	4	0.000000	0.535380	0.099970	0.104920	0.740270	0.002120	43478
SLEIPNER ØST	2001	5	0.000000	1.114680	0.171620	0.166820	1.453130	0.003490	43478
SLEIPNER ØST	2001	6	0.000000	0.776550	0.147560	0.154230	1.078330	0.003070	43478
SLEIPNER ØST	2001	7	0.000000	0.941270	0.153890	0.161240	1.256400	0.003340	43478
SLEIPNER ØST	2001	8	0.000000	0.952680	0.152680	0.165600	1.270950	0.003560	43478
SLEIPNER ØST	2001	9	0.000000	0.970400	0.146480	0.146640	1.263520	0.003270	43478
SLEIPNER ØST	2001	10	0.000000	0.956370	0.147950	0.160910	1.265230	0.004330	43478
SLEIPNER ØST	2001	11	0.000000	1.269530	0.135790	0.143690	1.549010	0.004080	43478
SLEIPNER ØST	2001	12	0.000000	1.258680	0.143430	0.142980	1.545090	0.003850	43478
SLEIPNER ØST	2002	1	0.000000	1.392760	0.151680	0.134100	1.678540	0.004180	43478
SLEIPNER ØST	2002	2	0.000000	1.252290	0.141260	0.125560	1.519110	0.003570	43478
SLEIPNER ØST	2002	3	0.000000	1.285480	0.164140	0.144670	1.594290	0.005110	43478
SLEIPNER ØST	2002	4	0.000000	1.173580	0.155740	0.142660	1.471980	0.007630	43478
SLEIPNER ØST	2002	5	0.000000	1.078260	0.166880	0.151370	1.396500	0.010830	43478
SLEIPNER ØST	2002	6	0.000000	0.955060	0.155180	0.142220	1.252460	0.009960	43478
SLEIPNER ØST	2002	7	0.000000	1.095150	0.149300	0.137740	1.382190	0.010410	43478
SLEIPNER ØST	2002	8	0.000000	1.047370	0.140750	0.130350	1.318470	0.010110	43478
SLEIPNER ØST	2002	9	0.000000	0.379090	0.052250	0.045650	0.477000	0.003720	43478
SLEIPNER ØST	2002	10	0.000000	1.185230	0.156140	0.134250	1.475620	0.010120	43478
SLEIPNER ØST	2002	11	0.000000	1.301380	0.153330	0.125490	1.580200	0.009890	43478
SLEIPNER ØST	2002	12	0.000000	1.334990	0.146910	0.114580	1.596480	0.010270	43478
SLEIPNER ØST	2003	1	0.000000	1.376290	0.096790	0.087220	1.560300	0.008790	43478
SLEIPNER ØST	2003	2	0.000000	1.141180	0.083020	0.080690	1.304890	0.008500	43478
SLEIPNER ØST	2003	3	0.000000	1.286400	0.103910	0.099050	1.489360	0.006930	43478
SLEIPNER ØST	2003	4	0.000000	1.122900	0.100630	0.093090	1.316620	0.004140	43478
SLEIPNER ØST	2003	5	0.000000	0.963490	0.108270	0.100050	1.171800	0.004330	43478
SLEIPNER ØST	2003	6	0.000000	0.612570	0.068500	0.065200	0.746270	0.003120	43478
SLEIPNER ØST	2003	7	0.000000	1.070740	0.097130	0.092690	1.260560	0.005290	43478
SLEIPNER ØST	2003	8	0.000000	0.906230	0.093980	0.090540	1.090750	0.004580	43478
SLEIPNER ØST	2003	9	0.000000	1.020120	0.082170	0.076470	1.178750	0.005270	43478
SLEIPNER ØST	2003	10	0.000000	1.268440	0.079330	0.077180	1.424940	0.005190	43478
SLEIPNER ØST	2003	11	0.000000	1.219470	0.073720	0.073960	1.367140	0.004000	43478
SLEIPNER ØST	2003	12	0.000000	1.244810	0.079570	0.078750	1.403130	0.004400	43478
SLEIPNER ØST	2004	1	0.000000	1.231900	0.076820	0.076900	1.385620	0.004260	43478
SLEIPNER ØST	2004	2	0.000000	1.059130	0.076530	0.061600	1.197260	0.004140	43478
SLEIPNER ØST	2004	3	0.000000	1.222310	0.086370	0.072980	1.381660	0.004690	43478
SLEIPNER ØST	2004	4	0.000000	1.109370	0.080020	0.064770	1.254160	0.004520	43478
SLEIPNER ØST	2004	5	0.000000	1.069790	0.094510	0.075760	1.240070	0.005000	43478
SLEIPNER ØST	2004	6	0.000000	1.171820	0.078270	0.061550	1.311630	0.005100	43478
SLEIPNER ØST	2004	7	0.000000	1.180850	0.086770	0.063110	1.330730	0.005410	43478
SLEIPNER ØST	2004	8	0.000000	0.486640	0.036040	0.028390	0.551070	0.002330	43478
SLEIPNER ØST	2004	9	0.000000	0.588670	0.058360	0.046930	0.693950	0.003100	43478
SLEIPNER ØST	2004	10	0.000000	1.131950	0.075900	0.058790	1.266640	0.004880	43478
SLEIPNER ØST	2004	11	0.000000	1.177750	0.077240	0.051300	1.306300	0.005540	43478
SLEIPNER ØST	2004	12	0.000000	1.261700	0.069600	0.057890	1.389190	0.006300	43478
SLEIPNER ØST	2005	1	0.000000	1.194030	0.065310	0.056140	1.315490	0.006720	43478
SLEIPNER ØST	2005	2	0.000000	1.083080	0.062340	0.048240	1.193660	0.006130	43478
SLEIPNER ØST	2005	3	0.000000	1.113550	0.061740	0.047640	1.222930	0.006790	43478
SLEIPNER ØST	2005	4	0.000000	1.245460	0.064700	0.053570	1.363730	0.007050	43478
SLEIPNER ØST	2005	5	0.000000	1.156880	0.066300	0.050560	1.273750	0.007650	43478
SLEIPNER ØST	2005	6	0.000000	1.269720	0.080190	0.063440	1.413350	0.008810	43478
SLEIPNER ØST	2005	7	0.000000	1.293560	0.079050	0.061560	1.434170	0.009240	43478
SLEIPNER ØST	2005	8	0.000000	1.300560	0.074560	0.061160	1.436280	0.008400	43478
SLEIPNER ØST	2005	9	0.000000	0.952290	0.052870	0.039540	1.044700	0.007320	43478
SLEIPNER ØST	2005	10	0.000000	1.154420	0.050950	0.044820	1.250180	0.008020	43478
SLEIPNER ØST	2005	11	0.000000	1.248230	0.064050	0.042470	1.354750	0.008730	43478
SLEIPNER ØST	2005	12	0.000000	1.309680	0.068330	0.037820	1.415830	0.008170	43478
SLEIPNER ØST	2006	1	0.000000	1.298240	0.072780	0.046010	1.417030	0.012780	43478
SLEIPNER ØST	2006	2	0.000000	1.161590	0.061090	0.035370	1.258050	0.011760	43478
SLEIPNER ØST	2006	3	0.000000	1.210390	0.056610	0.033110	1.300110	0.012400	43478
SLEIPNER ØST	2006	4	0.000000	1.233750	0.059390	0.035410	1.328560	0.015170	43478
SLEIPNER ØST	2006	5	0.000000	1.316850	0.062990	0.039620	1.419460	0.019080	43478
SLEIPNER ØST	2006	6	0.000000	0.147180	0.004720	0.004600	0.156500	0.002250	43478
SLEIPNER ØST	2006	7	0.000000	1.191610	0.065470	0.053300	1.310380	0.024220	43478
SLEIPNER ØST	2006	8	0.000000	1.150590	0.055040	0.045700	1.251330	0.024210	43478
SLEIPNER ØST	2006	9	0.000000	1.195350	0.067530	0.047630	1.310500	0.025220	43478
SLEIPNER ØST	2006	10	0.000000	1.132300	0.065690	0.043660	1.241650	0.027150	43478
SLEIPNER ØST	2006	11	0.000000	0.945090	0.056020	0.038280	1.039390	0.017790	43478
SLEIPNER ØST	2006	12	0.000000	1.232330	0.065450	0.044410	1.342190	0.018940	43478
SLEIPNER ØST	2007	1	0.000000	1.193840	0.064330	0.046550	1.304720	0.021920	43478
SLEIPNER ØST	2007	2	0.000000	1.066850	0.057300	0.041920	1.166070	0.019080	43478
SLEIPNER ØST	2007	3	0.000000	1.122600	0.049130	0.036100	1.207830	0.016910	43478
SLEIPNER ØST	2007	4	0.000000	1.062900	0.044700	0.027500	1.135100	0.016320	43478
SLEIPNER ØST	2007	5	0.000000	1.176650	0.052890	0.035680	1.265210	0.018630	43478
SLEIPNER ØST	2007	6	0.000000	1.115490	0.045710	0.033080	1.194280	0.019720	43478
SLEIPNER ØST	2007	7	0.000000	1.014400	0.048040	0.033050	1.095500	0.021680	43478
SLEIPNER ØST	2007	8	0.000000	1.194520	0.053850	0.033330	1.281700	0.022450	43478
SLEIPNER ØST	2007	9	0.000000	0.975830	0.037940	0.029300	1.043070	0.019760	43478
SLEIPNER ØST	2007	10	0.000000	1.158590	0.047750	0.035740	1.242080	0.015750	43478
SLEIPNER ØST	2007	11	0.000000	1.175270	0.053640	0.029020	1.257920	0.015790	43478
SLEIPNER ØST	2007	12	0.000000	1.163300	0.049900	0.031480	1.244670	0.016370	43478
SLEIPNER ØST	2008	1	0.000000	1.123410	0.048890	0.031660	1.203960	0.016510	43478
SLEIPNER ØST	2008	2	0.000000	1.058090	0.041470	0.029410	1.128970	0.015340	43478
SLEIPNER ØST	2008	3	0.000000	1.033860	0.038940	0.027740	1.100540	0.014230	43478
SLEIPNER ØST	2008	4	0.000000	1.076900	0.032160	0.036190	1.145240	0.015230	43478
SLEIPNER ØST	2008	5	0.000000	1.093730	0.036150	0.039490	1.169370	0.013070	43478
SLEIPNER ØST	2008	6	0.000000	0.947750	0.046710	0.021380	1.015850	0.014140	43478
SLEIPNER ØST	2008	7	0.000000	1.071450	0.048560	0.022530	1.142540	0.016210	43478
SLEIPNER ØST	2008	8	0.000000	0.714110	0.029610	0.016540	0.760250	0.010430	43478
SLEIPNER ØST	2008	9	0.000000	0.432910	0.025090	0.019520	0.477520	0.008860	43478
SLEIPNER ØST	2008	10	0.000000	0.887660	0.048650	0.024030	0.960330	0.011670	43478
SLEIPNER ØST	2008	11	0.000000	0.962780	0.042820	0.019040	1.024630	0.009460	43478
SLEIPNER ØST	2008	12	0.000000	0.932540	0.041840	0.021820	0.996210	0.008460	43478
SLEIPNER ØST	2009	1	0.000000	0.924960	0.042190	0.021980	0.989130	0.008080	43478
SLEIPNER ØST	2009	2	0.000000	0.923700	0.041870	0.021700	0.987260	0.006760	43478
SLEIPNER ØST	2009	3	0.000000	0.952670	0.037790	0.018940	1.009400	0.005100	43478
SLEIPNER ØST	2009	4	0.000000	0.853280	0.036170	0.023640	0.913090	0.004630	43478
SLEIPNER ØST	2009	5	0.000000	0.888240	0.035750	0.019280	0.943260	0.003590	43478
SLEIPNER ØST	2009	6	0.000000	0.819390	0.028050	0.009120	0.856570	0.004190	43478
SLEIPNER ØST	2009	7	0.000000	0.779620	0.034150	0.018740	0.832510	0.002320	43478
SLEIPNER ØST	2009	8	0.000000	0.860720	0.030490	0.019560	0.910770	0.001760	43478
SLEIPNER ØST	2009	9	0.000000	0.644710	0.025440	0.015200	0.685340	0.002510	43478
SLEIPNER ØST	2009	10	0.000000	0.880190	0.030560	0.019260	0.930010	0.002950	43478
SLEIPNER ØST	2009	11	0.000000	0.784570	0.027550	0.014830	0.826950	0.002300	43478
SLEIPNER ØST	2009	12	0.000000	0.771260	0.029970	0.016640	0.817860	0.004010	43478
SLEIPNER ØST	2010	1	0.000000	0.681190	0.027750	0.016020	0.724960	0.006280	43478
SLEIPNER ØST	2010	2	0.000000	0.577770	0.023430	0.012430	0.613630	0.001160	43478
SLEIPNER ØST	2010	3	0.000000	0.697230	0.011900	0.005870	0.715000	0.000730	43478
SLEIPNER ØST	2010	4	0.000000	0.746660	0.027310	0.012580	0.786550	0.001710	43478
SLEIPNER ØST	2010	5	0.000000	0.757010	0.027830	0.015740	0.800580	0.002180	43478
SLEIPNER ØST	2010	6	0.000000	0.789800	0.032550	0.015330	0.837670	0.002710	43478
SLEIPNER ØST	2010	7	0.000000	0.799460	0.032860	0.013470	0.845780	0.002620	43478
SLEIPNER ØST	2010	8	0.000000	0.405750	0.016820	0.007330	0.429900	0.001750	43478
SLEIPNER ØST	2010	9	0.000000	0.466830	0.021760	0.010590	0.499180	0.003010	43478
SLEIPNER ØST	2010	10	0.000000	0.749570	0.029220	0.011590	0.790380	0.003090	43478
SLEIPNER ØST	2010	11	0.000000	0.729710	0.029880	0.012370	0.771960	0.003000	43478
SLEIPNER ØST	2010	12	0.000000	0.687220	0.026700	0.010520	0.724430	0.002620	43478
SLEIPNER ØST	2011	1	0.000000	0.649470	0.027970	0.011550	0.688990	0.003230	43478
SLEIPNER ØST	2011	2	0.000000	0.608590	0.022190	0.008660	0.639430	0.002570	43478
SLEIPNER ØST	2011	3	0.000000	0.690450	0.026820	0.009690	0.726970	0.005060	43478
SLEIPNER ØST	2011	4	0.000000	0.718460	0.019830	0.014360	0.752660	0.002050	43478
SLEIPNER ØST	2011	5	0.000000	0.696880	0.019650	0.013220	0.729740	0.002350	43478
SLEIPNER ØST	2011	6	0.000000	0.680500	0.021340	0.013480	0.715310	0.002640	43478
SLEIPNER ØST	2011	7	0.000000	0.733150	0.022310	0.014190	0.769650	0.002240	43478
SLEIPNER ØST	2011	8	0.000000	0.721260	0.021100	0.012940	0.755290	0.002250	43478
SLEIPNER ØST	2011	9	0.000000	0.564790	0.016730	0.011050	0.592570	0.002120	43478
SLEIPNER ØST	2011	10	0.000000	0.704000	0.019930	0.011900	0.735830	0.002360	43478
SLEIPNER ØST	2011	11	0.000000	0.664090	0.020100	0.010840	0.695020	0.002250	43478
SLEIPNER ØST	2011	12	0.000000	0.666860	0.020780	0.010690	0.698330	0.002280	43478
SLEIPNER ØST	2012	1	0.000000	0.659470	0.021050	0.009960	0.690480	0.002480	43478
SLEIPNER ØST	2012	2	0.000000	0.610440	0.019950	0.009360	0.639750	0.002420	43478
SLEIPNER ØST	2012	3	0.000000	0.603650	0.021120	0.009890	0.634660	0.002620	43478
SLEIPNER ØST	2012	4	0.000000	0.663560	0.020310	0.011120	0.695000	0.002570	43478
SLEIPNER ØST	2012	5	0.000000	0.641350	0.021620	0.009140	0.672110	0.002910	43478
SLEIPNER ØST	2012	6	0.000000	0.611680	0.019270	0.008170	0.639120	0.002380	43478
SLEIPNER ØST	2012	7	0.000000	0.642370	0.022630	0.007750	0.672750	0.002490	43478
SLEIPNER ØST	2012	8	0.000000	0.326110	0.010910	0.003760	0.340780	0.004460	43478
SLEIPNER ØST	2012	9	0.000000	0.386530	0.008810	0.003100	0.398440	0.004700	43478
SLEIPNER ØST	2012	10	0.000000	0.594490	0.014710	0.006680	0.615880	0.002250	43478
SLEIPNER ØST	2012	11	0.000000	0.579270	0.014590	0.005300	0.599160	0.001690	43478
SLEIPNER ØST	2012	12	0.000000	0.578010	0.012340	0.006370	0.596720	0.001640	43478
SLEIPNER ØST	2013	1	0.000000	0.514070	0.013700	0.006440	0.534210	0.002140	43478
SLEIPNER ØST	2013	2	0.000000	0.510130	0.010290	0.005400	0.525820	0.001540	43478
HOD	1990	10	0.052970	0.006330	0.003490	0.000000	0.062790	0.000000	43485
HOD	1990	11	0.054130	0.007400	0.003720	0.000000	0.065240	0.000000	43485
HOD	1990	12	0.048060	0.007040	0.003220	0.000000	0.058310	0.000000	43485
HOD	1991	1	0.109950	0.014990	0.006140	0.000000	0.131070	0.000000	43485
HOD	1991	2	0.121340	0.015450	0.007690	0.000000	0.144480	0.000000	43485
HOD	1991	3	0.126220	0.016630	0.007880	0.000000	0.150740	0.000000	43485
HOD	1991	4	0.124500	0.016170	0.007910	0.000000	0.148570	0.000000	43485
HOD	1991	5	0.123350	0.014790	0.007940	0.000000	0.146080	0.000000	43485
HOD	1991	6	0.129810	0.018370	0.007780	0.000000	0.155960	0.000000	43485
HOD	1991	7	0.136660	0.019230	0.007840	0.000000	0.163730	0.000000	43485
HOD	1991	8	0.063880	0.007830	0.002600	0.000000	0.074300	0.000000	43485
HOD	1991	9	0.149410	0.020420	0.008490	0.000000	0.178320	0.000000	43485
HOD	1991	10	0.158850	0.020980	0.008480	0.000000	0.188310	0.000000	43485
HOD	1991	11	0.151480	0.020900	0.007630	0.000000	0.180000	0.000000	43485
HOD	1991	12	0.130710	0.016390	0.007270	0.000000	0.154380	0.000000	43485
HOD	1992	1	0.125950	0.018320	0.006490	0.000000	0.150760	0.000000	43485
HOD	1992	2	0.109060	0.016500	0.006730	0.000000	0.132290	0.000000	43485
HOD	1992	3	0.107070	0.019010	0.005520	0.000000	0.131600	0.000000	43485
HOD	1992	4	0.115610	0.022100	0.006740	0.000000	0.144450	0.000000	43485
HOD	1992	5	0.095480	0.018460	0.006110	0.000000	0.120050	0.000000	43485
HOD	1992	6	0.115480	0.017750	0.006980	0.000000	0.140210	0.000000	43485
HOD	1992	7	0.114880	0.024090	0.007020	0.000000	0.145980	0.000000	43485
HOD	1992	8	0.111490	0.024640	0.007050	0.000000	0.143180	0.000000	43485
HOD	1992	9	0.102080	0.019040	0.006380	0.000000	0.127500	0.000000	43485
HOD	1992	10	0.104600	0.024770	0.006160	0.000000	0.135530	0.000000	43485
HOD	1992	11	0.091340	0.021690	0.006360	0.000000	0.119390	0.000000	43485
HOD	1992	12	0.094510	0.023400	0.005160	0.000000	0.123070	0.000000	43485
HOD	1993	1	0.088460	0.022930	0.005150	0.000000	0.116530	0.000000	43485
HOD	1993	2	0.075240	0.018890	0.004530	0.000000	0.098660	0.000000	43485
HOD	1993	3	0.080820	0.018570	0.004820	0.000000	0.104200	0.000000	43485
HOD	1993	4	0.070810	0.017540	0.004760	0.000000	0.093110	0.000000	43485
HOD	1993	5	0.067900	0.016230	0.004170	0.000000	0.088290	0.000000	43485
HOD	1993	6	0.073340	0.015590	0.004200	0.000000	0.093130	0.000000	43485
HOD	1993	7	0.074150	0.017620	0.004260	0.000000	0.096030	0.000000	43485
HOD	1993	8	0.071880	0.017380	0.004240	0.000000	0.093500	0.000000	43485
HOD	1993	9	0.065310	0.014240	0.003610	0.000000	0.083160	0.000000	43485
HOD	1993	10	0.069230	0.015190	0.003860	0.000000	0.088280	0.000000	43485
HOD	1993	11	0.066270	0.014040	0.003750	0.000000	0.084060	0.000000	43485
HOD	1993	12	0.064720	0.015500	0.003820	0.000000	0.084040	0.000000	43485
HOD	1994	1	0.060540	0.014180	0.003580	0.000000	0.078300	0.000000	43485
HOD	1994	2	0.044900	0.009570	0.002660	0.000000	0.057120	0.000000	43485
HOD	1994	3	0.056360	0.012930	0.003160	0.000000	0.072450	0.000000	43485
HOD	1994	4	0.052670	0.012730	0.002980	0.000000	0.068370	0.000000	43485
HOD	1994	5	0.052110	0.012790	0.003150	0.000000	0.068040	0.000000	43485
HOD	1994	6	0.051860	0.011990	0.003370	0.000000	0.067220	0.000000	43485
HOD	1994	7	0.057010	0.011890	0.003380	0.000000	0.072280	0.000000	43485
HOD	1994	8	0.033130	0.004480	0.001530	0.000000	0.039140	0.000000	43485
HOD	1994	9	0.053070	0.014640	0.004220	0.000000	0.071920	0.000000	43485
HOD	1994	10	0.055630	0.011530	0.003630	0.000000	0.070780	0.000000	43485
HOD	1994	11	0.050080	0.011160	0.003170	0.000000	0.064410	0.000000	43485
HOD	1994	12	0.049000	0.011000	0.003450	0.000000	0.063460	0.000000	43485
HOD	1995	1	0.047870	0.010220	0.003110	0.000000	0.061210	0.000000	43485
HOD	1995	2	0.043260	0.010040	0.002860	0.000000	0.056150	0.000000	43485
HOD	1995	3	0.046130	0.010140	0.003060	0.000000	0.059330	0.000000	43485
HOD	1995	4	0.044880	0.009870	0.002670	0.000000	0.057420	0.000000	43485
HOD	1995	5	0.041110	0.009070	0.002450	0.000000	0.052620	0.000000	43485
HOD	1995	6	0.042760	0.009520	0.002650	0.000000	0.054930	0.000000	43485
HOD	1995	7	0.043860	0.009570	0.002510	0.000000	0.055950	0.000000	43485
HOD	1995	8	0.043350	0.010300	0.002500	0.000000	0.056150	0.000000	43485
HOD	1995	9	0.036830	0.011080	0.002810	0.000000	0.050720	0.000000	43485
HOD	1995	10	0.040350	0.008780	0.002140	0.000000	0.051270	0.000000	43485
HOD	1995	11	0.038830	0.008320	0.002190	0.000000	0.049340	0.000000	43485
HOD	1995	12	0.054380	0.010760	0.003390	0.000000	0.068530	0.000000	43485
HOD	1996	1	0.055430	0.010750	0.003320	0.000000	0.069500	0.000000	43485
HOD	1996	2	0.053870	0.009760	0.003310	0.000000	0.066940	0.000000	43485
HOD	1996	3	0.052190	0.010600	0.002970	0.000000	0.065770	0.000000	43485
HOD	1996	4	0.047270	0.009770	0.002740	0.000000	0.059780	0.000000	43485
HOD	1996	5	0.048970	0.010730	0.002390	0.000000	0.062090	0.000000	43485
HOD	1996	6	0.046290	0.010240	0.002310	0.000000	0.058840	0.000000	43485
HOD	1996	7	0.047690	0.010520	0.002570	0.000000	0.060780	0.000000	43485
HOD	1996	8	0.039490	0.009570	0.002690	0.000000	0.051750	0.000000	43485
HOD	1996	9	0.044120	0.009380	0.002590	0.000000	0.056080	0.000000	43485
HOD	1996	10	0.043970	0.010510	0.002610	0.000000	0.057090	0.000000	43485
HOD	1996	11	0.039250	0.008970	0.002320	0.000000	0.050530	0.000000	43485
HOD	1996	12	0.041890	0.008960	0.002460	0.000000	0.053310	0.000000	43485
HOD	1997	1	0.040930	0.008960	0.002340	0.000000	0.052230	0.000000	43485
HOD	1997	2	0.038160	0.008380	0.002100	0.000000	0.048640	0.000000	43485
HOD	1997	3	0.039860	0.008490	0.002280	0.000000	0.050630	0.000000	43485
HOD	1997	4	0.037250	0.007300	0.002080	0.000000	0.046630	0.000000	43485
HOD	1997	5	0.038450	0.007880	0.002330	0.000000	0.048660	0.000000	43485
HOD	1997	6	0.041240	0.007790	0.002280	0.000000	0.051320	0.000000	43485
HOD	1997	7	0.042380	0.008970	0.002390	0.000000	0.053740	0.000000	43485
HOD	1997	8	0.038520	0.007640	0.001980	0.000000	0.048130	0.000000	43485
HOD	1997	9	0.046870	0.009410	0.002710	0.000000	0.058990	0.000000	43485
HOD	1997	10	0.033880	0.007590	0.002150	0.000000	0.043610	0.000000	43485
HOD	1997	11	0.034480	0.006400	0.002020	0.000000	0.042890	0.000000	43485
HOD	1997	12	0.035640	0.005880	0.001790	0.000000	0.043320	0.000000	43485
HOD	1998	1	0.034510	0.006660	0.002040	0.000000	0.043200	0.000000	43485
HOD	1998	2	0.035660	0.006220	0.001840	0.000000	0.043720	0.000000	43485
HOD	1998	3	0.033710	0.007190	0.001730	0.000000	0.042630	0.000000	43485
HOD	1998	4	0.032780	0.006290	0.001970	0.000000	0.041030	0.000000	43485
HOD	1998	5	0.036780	0.007140	0.002010	0.000000	0.045920	0.000000	43485
HOD	1998	6	0.032040	0.006070	0.001850	0.000000	0.039960	0.000000	43485
HOD	1998	7	0.036780	0.007520	0.001880	0.000000	0.046170	0.000000	43485
HOD	1998	8	0.003490	0.000650	0.000140	0.000000	0.004270	0.000000	43485
HOD	1998	9	0.010640	0.001450	0.000390	0.000000	0.012480	0.000000	43485
HOD	1998	10	0.012170	0.001700	0.000430	0.000000	0.014300	0.000000	43485
HOD	1998	11	0.013280	0.001820	0.000410	0.000000	0.015510	0.000000	43485
HOD	1998	12	0.011770	0.001580	0.000390	0.000000	0.013750	0.000000	43485
HOD	1999	1	0.011840	0.001640	0.000410	0.000000	0.013880	0.000000	43485
HOD	1999	2	0.012180	0.002060	0.000520	0.000000	0.014760	0.000000	43485
HOD	1999	3	0.005880	0.000830	0.000230	0.000000	0.006940	0.000000	43485
HOD	1999	4	0.006370	0.000650	0.000200	0.000000	0.007220	0.000000	43485
HOD	1999	5	0.009730	0.000660	0.000260	0.000000	0.010650	0.000000	43485
HOD	1999	6	0.006260	0.000820	0.000330	0.000000	0.007410	0.000000	43485
HOD	1999	7	0.016410	0.002880	0.000800	0.000000	0.020090	0.000000	43485
HOD	1999	8	0.019950	0.001840	0.000700	0.000000	0.022490	0.000000	43485
HOD	1999	9	0.006080	0.000350	0.000160	0.000000	0.006600	0.000000	43485
HOD	1999	10	0.008300	0.000910	0.000310	0.000000	0.009520	0.000000	43485
HOD	1999	11	0.011740	0.001310	0.000410	0.000000	0.013450	0.000000	43485
HOD	1999	12	0.016050	0.002680	0.000750	0.000000	0.019470	0.000000	43485
HOD	2000	1	0.006440	0.000820	0.000250	0.000000	0.007510	0.000120	43485
HOD	2000	2	0.008510	0.000960	0.000320	0.000000	0.009790	0.000250	43485
HOD	2000	3	0.008860	0.001140	0.000340	0.000000	0.010340	0.000330	43485
HOD	2000	4	0.006430	0.000830	0.000260	0.000000	0.007520	0.000190	43485
HOD	2000	5	0.010750	0.001230	0.000400	0.000000	0.012380	0.000990	43485
HOD	2000	6	0.007140	0.000800	0.000250	0.000000	0.008190	0.000300	43485
HOD	2000	7	0.010380	0.001030	0.000360	0.000000	0.011770	0.000690	43485
HOD	2000	8	0.006410	0.000750	0.000180	0.000000	0.007340	0.000460	43485
HOD	2000	9	0.006520	0.000660	0.000230	0.000000	0.007420	0.000240	43485
HOD	2000	10	0.013740	0.001580	0.000510	0.000000	0.015830	0.001710	43485
HOD	2000	11	0.005020	0.000650	0.000210	0.000000	0.005880	0.000240	43485
HOD	2000	12	0.004080	0.000460	0.000150	0.000000	0.004690	0.000240	43485
HOD	2001	1	0.025690	0.002330	0.001000	0.000000	0.029020	0.004890	43485
HOD	2001	2	0.030530	0.002530	0.001190	0.000000	0.034240	0.002580	43485
HOD	2001	3	0.034370	0.003550	0.001470	0.000000	0.039390	0.003660	43485
HOD	2001	4	0.032830	0.004000	0.001450	0.000000	0.038270	0.002830	43485
HOD	2001	5	0.038170	0.004340	0.001550	0.000000	0.044050	0.002980	43485
HOD	2001	6	0.028600	0.003750	0.001160	0.000000	0.033510	0.002770	43485
HOD	2001	7	0.031350	0.004010	0.001130	0.000000	0.036500	0.002720	43485
HOD	2001	8	0.019400	0.001920	0.000650	0.000000	0.021960	0.001820	43485
HOD	2001	9	0.028580	0.002700	0.001050	0.000000	0.032330	0.002290	43485
HOD	2001	10	0.041730	0.005300	0.001740	0.000000	0.048770	0.006990	43485
HOD	2001	11	0.032900	0.004180	0.001370	0.000000	0.038440	0.004900	43485
HOD	2001	12	0.032550	0.004110	0.001320	0.000000	0.037980	0.003890	43485
HOD	2002	1	0.031670	0.003600	0.001350	0.000000	0.036620	0.003090	43485
HOD	2002	2	0.029300	0.003210	0.001180	0.000000	0.033690	0.004530	43485
HOD	2002	3	0.029760	0.003590	0.001130	0.000000	0.034490	0.003220	43485
HOD	2002	4	0.032730	0.004040	0.001270	0.000000	0.038040	0.004580	43485
HOD	2002	5	0.031500	0.003520	0.001150	0.000000	0.036160	0.004780	43485
HOD	2002	6	0.030340	0.003550	0.001070	0.000000	0.034960	0.003580	43485
HOD	2002	7	0.034330	0.005320	0.001460	0.000000	0.041110	0.006240	43485
HOD	2002	8	0.022990	0.003460	0.000960	0.000000	0.027410	0.003450	43485
HOD	2002	9	0.031290	0.004780	0.001330	0.000000	0.037390	0.003740	43485
HOD	2002	10	0.037490	0.005680	0.001410	0.000000	0.044580	0.006300	43485
HOD	2002	11	0.028080	0.004410	0.001160	0.000000	0.033650	0.003980	43485
HOD	2002	12	0.032450	0.005790	0.001360	0.000000	0.039600	0.006050	43485
HOD	2003	1	0.031720	0.005060	0.001400	0.000000	0.038190	0.004730	43485
HOD	2003	2	0.029710	0.005010	0.001370	0.000000	0.036090	0.004200	43485
HOD	2003	3	0.028670	0.004680	0.001190	0.000000	0.034540	0.004690	43485
HOD	2003	4	0.030830	0.004840	0.001320	0.000000	0.036980	0.004950	43485
HOD	2003	5	0.028450	0.005320	0.001400	0.000000	0.035170	0.007140	43485
HOD	2003	6	0.028820	0.005390	0.001230	0.000000	0.035440	0.005950	43485
HOD	2003	7	0.027000	0.005340	0.001210	0.000000	0.033540	0.006220	43485
HOD	2003	8	0.020510	0.003430	0.000850	0.000000	0.024780	0.004180	43485
HOD	2003	9	0.020140	0.002810	0.000770	0.000000	0.023720	0.003490	43485
HOD	2003	10	0.029340	0.000000	0.001240	0.000000	0.030580	0.006360	43485
HOD	2003	11	0.027180	0.000000	0.001200	0.000000	0.028380	0.006560	43485
HOD	2003	12	0.027250	0.000000	0.001160	0.000000	0.028410	0.004710	43485
HOD	2004	1	0.028740	0.005160	0.001580	0.000000	0.035480	0.009770	43485
HOD	2004	2	0.024500	0.005170	0.001330	0.000000	0.031000	0.005580	43485
HOD	2004	3	0.025480	0.004720	0.001270	0.000000	0.031470	0.013020	43485
HOD	2004	4	0.023360	0.004390	0.001100	0.000000	0.028850	0.004430	43485
HOD	2004	5	0.026530	0.004970	0.001180	0.000000	0.032680	0.005530	43485
HOD	2004	6	0.027300	0.005000	0.001270	0.000000	0.033570	0.007740	43485
HOD	2004	7	0.026300	0.004660	0.001160	0.000000	0.032120	0.007160	43485
HOD	2004	8	0.017530	0.002940	0.000780	0.000000	0.021240	0.005440	43485
HOD	2004	9	0.017630	0.002080	0.000710	0.000000	0.020430	0.004850	43485
HOD	2004	10	0.024950	0.004600	0.001140	0.000000	0.030690	0.006730	43485
HOD	2004	11	0.022060	0.004160	0.001020	0.000000	0.027240	0.008280	43485
HOD	2004	12	0.017330	0.002820	0.000830	0.000000	0.020990	0.003670	43485
HOD	2005	1	0.017330	0.002380	0.000760	0.000000	0.020470	0.005150	43485
HOD	2005	2	0.022590	0.004620	0.001130	0.000000	0.028330	0.007380	43485
HOD	2005	3	0.023290	0.004540	0.001150	0.000000	0.028980	0.007850	43485
HOD	2005	4	0.021860	0.004150	0.001160	0.000000	0.027180	0.007600	43485
HOD	2005	5	0.024220	0.004550	0.000970	0.000000	0.029740	0.007760	43485
HOD	2005	6	0.022180	0.003870	0.000860	0.000000	0.026910	0.006720	43485
HOD	2005	7	0.011930	0.000980	0.000460	0.000000	0.013380	0.002670	43485
HOD	2005	8	0.008940	0.001220	0.000390	0.000000	0.010540	0.003460	43485
HOD	2005	9	0.014480	0.001390	0.000570	0.000000	0.016440	0.010490	43485
HOD	2005	10	0.013880	0.001950	0.000550	0.000000	0.016380	0.006520	43485
HOD	2005	11	0.023470	0.002510	0.000860	0.000000	0.026840	0.008480	43485
HOD	2005	12	0.027280	0.003260	0.001080	0.000000	0.031620	0.011960	43485
HOD	2006	1	0.031480	0.002860	0.001280	0.000000	0.035630	0.011530	43485
HOD	2006	2	0.029710	0.003220	0.001100	0.000000	0.034030	0.011060	43485
HOD	2006	3	0.028610	0.002880	0.001040	0.000000	0.032530	0.007900	43485
HOD	2006	4	0.031990	0.003640	0.001150	0.000000	0.036780	0.009760	43485
HOD	2006	5	0.037010	0.005190	0.001560	0.000000	0.043760	0.008560	43485
HOD	2006	6	0.032430	0.005050	0.001450	0.000000	0.038920	0.010070	43485
HOD	2006	7	0.032060	0.004440	0.001340	0.000000	0.037850	0.036980	43485
HOD	2006	8	0.030420	0.004140	0.001260	0.000000	0.035820	0.012230	43485
HOD	2006	9	0.032060	0.004280	0.001410	0.000000	0.037740	0.004320	43485
HOD	2006	10	0.031290	0.004110	0.001320	0.000000	0.036710	0.005140	43485
HOD	2006	11	0.025470	0.003090	0.000940	0.000000	0.029500	0.007620	43485
HOD	2006	12	0.033440	0.004650	0.001590	0.000000	0.039680	0.007150	43485
HOD	2007	1	0.032510	0.004500	0.001350	0.000000	0.038360	0.004510	43485
HOD	2007	2	0.030700	0.004530	0.001210	0.000000	0.036430	0.006410	43485
HOD	2007	3	0.022670	0.003560	0.001040	0.000000	0.027270	0.004020	43485
HOD	2007	4	0.022720	0.003880	0.001110	0.000000	0.027700	0.005190	43485
HOD	2007	5	0.029010	0.004800	0.001460	0.000000	0.035270	0.005940	43485
HOD	2007	6	0.008830	0.001370	0.000300	0.000000	0.010500	0.001700	43485
HOD	2007	7	0.022230	0.002670	0.000940	0.000000	0.025840	0.006200	43485
HOD	2007	8	0.026150	0.003950	0.001220	0.000000	0.031320	0.006280	43485
HOD	2007	9	0.027350	0.004510	0.001270	0.000000	0.033130	0.004970	43485
HOD	2007	10	0.025190	0.004020	0.001170	0.000000	0.030380	0.019350	43485
HOD	2007	11	0.025570	0.004260	0.001280	0.000000	0.031120	0.005930	43485
HOD	2007	12	0.029290	0.004810	0.001340	0.000000	0.035440	0.015190	43485
HOD	2008	1	0.025600	0.004290	0.001270	0.000000	0.031150	0.005230	43485
HOD	2008	2	0.008450	0.001380	0.000440	0.000000	0.010270	0.005060	43485
HOD	2008	3	0.020860	0.003110	0.001000	0.000000	0.024980	0.029120	43485
HOD	2008	4	0.019290	0.002930	0.000850	0.000000	0.023070	0.005190	43485
HOD	2008	5	0.022850	0.003940	0.001160	0.000000	0.027960	0.005550	43485
HOD	2008	6	0.005130	0.000330	0.000270	0.000000	0.005740	0.001430	43485
HOD	2008	7	0.008600	0.000610	0.000410	0.000000	0.009610	0.003430	43485
HOD	2008	8	0.018080	0.002810	0.000760	0.000000	0.021640	0.015900	43485
HOD	2008	9	0.023980	0.004220	0.001240	0.000000	0.029440	0.009930	43485
HOD	2008	10	0.021130	0.003020	0.000910	0.000000	0.025060	0.010100	43485
HOD	2008	11	0.021810	0.003160	0.000910	0.000000	0.025870	0.007200	43485
HOD	2008	12	0.020950	0.003350	0.001090	0.000000	0.025400	0.008950	43485
HOD	2009	1	0.027480	0.005150	0.001450	0.000000	0.034080	0.012390	43485
HOD	2009	2	0.019960	0.003360	0.001090	0.000000	0.024410	0.009810	43485
HOD	2009	3	0.021160	0.003540	0.001080	0.000000	0.025790	0.011990	43485
HOD	2009	4	0.000710	0.000050	0.000040	0.000000	0.000800	0.000590	43485
HOD	2009	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43485
HOD	2009	6	0.007180	0.000870	0.000340	0.000000	0.008390	0.003920	43485
HOD	2009	7	0.021340	0.002760	0.000960	0.000000	0.025060	0.008320	43485
HOD	2009	8	0.017580	0.001920	0.000860	0.000000	0.020350	0.008540	43485
HOD	2009	9	0.019530	0.002130	0.000790	0.000000	0.022440	0.009160	43485
HOD	2009	10	0.018060	0.001920	0.000770	0.000000	0.020750	0.006740	43485
HOD	2009	11	0.022330	0.003090	0.000950	0.000000	0.026360	0.009760	43485
HOD	2009	12	0.018420	0.002450	0.000770	0.000000	0.021640	0.010490	43485
HOD	2010	1	0.019940	0.002420	0.000970	0.000000	0.023340	0.008990	43485
HOD	2010	2	0.017450	0.001550	0.000700	0.000000	0.019700	0.009260	43485
HOD	2010	3	0.001230	0.000090	0.000050	0.000000	0.001370	0.000950	43485
HOD	2010	4	0.016140	0.001260	0.000650	0.000000	0.018050	0.006740	43485
HOD	2010	5	0.017550	0.001690	0.000730	0.000000	0.019960	0.008820	43485
HOD	2010	6	0.002610	0.000160	0.000080	0.000000	0.002860	0.005970	43485
HOD	2010	7	0.012390	0.001480	0.000490	0.000000	0.014360	0.010290	43485
HOD	2010	8	0.016980	0.002050	0.000760	0.000000	0.019800	0.005630	43485
HOD	2010	9	0.011800	0.001290	0.000470	0.000000	0.013560	0.008130	43485
HOD	2010	10	0.023390	0.002010	0.000920	0.000000	0.026320	0.013130	43485
HOD	2010	11	0.014650	0.001390	0.000470	0.000000	0.016510	0.010780	43485
HOD	2010	12	0.019200	0.001680	0.000590	0.000000	0.021460	0.008900	43485
HOD	2011	1	0.013180	0.001310	0.000450	0.000000	0.014950	0.006600	43485
HOD	2011	2	0.007240	0.000820	0.000270	0.000000	0.008320	0.002420	43485
HOD	2011	3	0.006650	0.000630	0.000240	0.000000	0.007520	0.005320	43485
HOD	2011	4	0.008030	0.000900	0.000300	0.000000	0.009230	0.003090	43485
HOD	2011	5	0.011580	0.001330	0.000460	0.000000	0.013370	0.006170	43485
HOD	2011	6	0.010220	0.001180	0.000390	0.000000	0.011790	0.006450	43485
HOD	2011	7	0.002730	0.000310	0.000110	0.000000	0.003160	0.001570	43485
HOD	2011	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43485
HOD	2011	9	0.000090	0.000010	0.000000	0.000000	0.000100	0.000040	43485
HOD	2011	10	0.005480	0.000540	0.000210	0.000000	0.006220	0.002360	43485
HOD	2011	11	0.001330	0.000140	0.000050	0.000000	0.001520	0.000570	43485
HOD	2011	12	0.003570	0.000360	0.000130	0.000000	0.004060	0.001780	43485
HOD	2012	1	0.005100	0.000440	0.000170	0.000000	0.005700	0.001610	43485
HOD	2012	2	0.008830	0.000690	0.000260	0.000000	0.009780	0.016520	43485
HOD	2012	3	0.011650	0.000990	0.000370	0.000000	0.013010	0.006010	43485
HOD	2012	4	0.002100	0.000180	0.000060	0.000000	0.002340	0.000640	43485
HOD	2012	5	0.008420	0.000640	0.000260	0.000000	0.009320	0.003410	43485
HOD	2012	6	0.006120	0.000560	0.000210	0.000000	0.006880	0.004670	43485
HOD	2012	7	0.002280	0.000200	0.000070	0.000000	0.002540	0.001660	43485
HOD	2012	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43485
HOD	2012	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43485
HOD	2012	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43485
HOD	2012	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43485
HOD	2012	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43485
HOD	2013	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43485
HOD	2013	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43485
GYDA	1990	6	0.015710	0.000000	0.001830	0.000000	0.017540	0.000000	43492
GYDA	1990	7	0.128950	0.009250	0.013920	0.000000	0.152120	0.000000	43492
GYDA	1990	8	0.157780	0.016130	0.020280	0.000000	0.194190	0.000000	43492
GYDA	1990	9	0.238090	0.025840	0.030560	0.000000	0.294490	0.000000	43492
GYDA	1990	10	0.299880	0.028350	0.035350	0.000000	0.363580	0.000000	43492
GYDA	1990	11	0.333530	0.041100	0.041210	0.000000	0.415840	0.000000	43492
GYDA	1990	12	0.322560	0.038170	0.037860	0.000000	0.398590	0.000000	43492
GYDA	1991	1	0.340940	0.045090	0.040140	0.000000	0.426170	0.000000	43492
GYDA	1991	2	0.268200	0.033630	0.030530	0.000000	0.332350	0.000000	43492
GYDA	1991	3	0.269440	0.037040	0.032730	0.000000	0.339220	0.000000	43492
GYDA	1991	4	0.279480	0.039320	0.035390	0.000000	0.354190	0.000000	43492
GYDA	1991	5	0.285550	0.039540	0.035550	0.000000	0.360640	0.000000	43492
GYDA	1991	6	0.235170	0.032150	0.027940	0.000000	0.295260	0.000000	43492
GYDA	1991	7	0.205880	0.026370	0.023190	0.000000	0.255430	0.000000	43492
GYDA	1991	8	0.116220	0.013360	0.009510	0.000000	0.139090	0.000000	43492
GYDA	1991	9	0.257890	0.034650	0.032090	0.000000	0.324640	0.000000	43492
GYDA	1991	10	0.267690	0.036330	0.031390	0.000000	0.335400	0.000000	43492
GYDA	1991	11	0.295770	0.038400	0.033910	0.000000	0.368090	0.000000	43492
GYDA	1991	12	0.307660	0.040550	0.035440	0.000000	0.383650	0.000000	43492
GYDA	1992	1	0.147910	0.017800	0.016250	0.000000	0.181960	0.000000	43492
GYDA	1992	2	0.302660	0.039540	0.034760	0.000000	0.376960	0.000000	43492
GYDA	1992	3	0.322070	0.042160	0.036170	0.000000	0.400400	0.000000	43492
GYDA	1992	4	0.334710	0.045000	0.038990	0.000000	0.418690	0.000000	43492
GYDA	1992	5	0.260610	0.034870	0.030000	0.000000	0.325480	0.000000	43492
GYDA	1992	6	0.307050	0.039180	0.034460	0.000000	0.380680	0.000000	43492
GYDA	1992	7	0.313300	0.041230	0.035130	0.000000	0.389660	0.000000	43492
GYDA	1992	8	0.313840	0.041440	0.035740	0.000000	0.391020	0.000000	43492
GYDA	1992	9	0.306440	0.040700	0.034230	0.000000	0.381370	0.000000	43492
GYDA	1992	10	0.332740	0.047950	0.033720	0.000000	0.414410	0.000000	43492
GYDA	1992	11	0.317260	0.045270	0.034340	0.000000	0.396870	0.000000	43492
GYDA	1992	12	0.328560	0.044250	0.036130	0.000000	0.408940	0.000000	43492
GYDA	1993	1	0.303910	0.040310	0.032870	0.000000	0.377090	0.000000	43492
GYDA	1993	2	0.273360	0.036120	0.030090	0.000000	0.339570	0.000000	43492
GYDA	1993	3	0.305140	0.040420	0.033960	0.000000	0.379520	0.000000	43492
GYDA	1993	4	0.295940	0.039130	0.031840	0.000000	0.366900	0.000000	43492
GYDA	1993	5	0.320160	0.041660	0.035200	0.000000	0.397020	0.000000	43492
GYDA	1993	6	0.326820	0.041480	0.034880	0.000000	0.403180	0.000000	43492
GYDA	1993	7	0.334540	0.044040	0.035520	0.000000	0.414110	0.000000	43492
GYDA	1993	8	0.311800	0.040400	0.033530	0.000000	0.385720	0.000000	43492
GYDA	1993	9	0.295540	0.038890	0.032210	0.000000	0.366640	0.000000	43492
GYDA	1993	10	0.334880	0.043930	0.035570	0.000000	0.414380	0.000000	43492
GYDA	1993	11	0.304780	0.039220	0.033500	0.000000	0.377510	0.000000	43492
GYDA	1993	12	0.301290	0.037840	0.032740	0.000000	0.371870	0.000000	43492
GYDA	1994	1	0.292710	0.036870	0.032510	0.000000	0.362090	0.000000	43492
GYDA	1994	2	0.252000	0.032690	0.027580	0.000000	0.312270	0.000000	43492
GYDA	1994	3	0.257580	0.033040	0.028260	0.000000	0.318870	0.000000	43492
GYDA	1994	4	0.262060	0.034500	0.027820	0.000000	0.324370	0.000000	43492
GYDA	1994	5	0.311890	0.039590	0.033430	0.000000	0.384910	0.000000	43492
GYDA	1994	6	0.361520	0.044180	0.038990	0.000000	0.444690	0.000000	43492
GYDA	1994	7	0.354990	0.045110	0.035110	0.000000	0.435210	0.000000	43492
GYDA	1994	8	0.184400	0.022140	0.017310	0.000000	0.223850	0.000000	43492
GYDA	1994	9	0.368240	0.044540	0.040620	0.000000	0.453400	0.000000	43492
GYDA	1994	10	0.408570	0.050010	0.046170	0.000000	0.504750	0.000000	43492
GYDA	1994	11	0.380110	0.046530	0.042560	0.000000	0.469200	0.000000	43492
GYDA	1994	12	0.374290	0.046260	0.042190	0.000000	0.462740	0.000000	43492
GYDA	1995	1	0.362000	0.045130	0.040810	0.000000	0.447940	0.000000	43492
GYDA	1995	2	0.295440	0.035770	0.032830	0.000000	0.364040	0.000000	43492
GYDA	1995	3	0.299090	0.036160	0.033420	0.000000	0.368660	0.000000	43492
GYDA	1995	4	0.290580	0.036120	0.031740	0.000000	0.358440	0.000000	43492
GYDA	1995	5	0.281630	0.034480	0.030380	0.000000	0.346490	0.000000	43492
GYDA	1995	6	0.270990	0.033730	0.028920	0.000000	0.333630	0.000000	43492
GYDA	1995	7	0.267310	0.033330	0.028780	0.000000	0.329420	0.000000	43492
GYDA	1995	8	0.285610	0.047050	0.032760	0.000000	0.365420	0.000000	43492
GYDA	1995	9	0.264290	0.045160	0.031470	0.000000	0.340910	0.000000	43492
GYDA	1995	10	0.283990	0.053700	0.027200	0.000000	0.364880	0.000000	43492
GYDA	1995	11	0.268310	0.051980	0.029580	0.000000	0.349870	0.000000	43492
GYDA	1995	12	0.278340	0.048220	0.032640	0.000000	0.359190	0.000000	43492
GYDA	1996	1	0.279700	0.050380	0.033320	0.000000	0.363410	0.000000	43492
GYDA	1996	2	0.269320	0.047300	0.031130	0.000000	0.347750	0.000000	43492
GYDA	1996	3	0.293930	0.052710	0.035920	0.000000	0.382560	0.000000	43492
GYDA	1996	4	0.272410	0.048980	0.031940	0.000000	0.353330	0.000000	43492
GYDA	1996	5	0.285130	0.052800	0.029600	0.000000	0.367530	0.000000	43492
GYDA	1996	6	0.258150	0.050100	0.028550	0.000000	0.336800	0.000000	43492
GYDA	1996	7	0.266060	0.051320	0.029050	0.000000	0.346430	0.000000	43492
GYDA	1996	8	0.255310	0.051940	0.029280	0.000000	0.336530	0.000000	43492
GYDA	1996	9	0.240990	0.050790	0.028530	0.000000	0.320310	0.000000	43492
GYDA	1996	10	0.235740	0.051350	0.029160	0.000000	0.316250	0.000000	43492
GYDA	1996	11	0.229660	0.049040	0.028240	0.000000	0.306930	0.000000	43492
GYDA	1996	12	0.238330	0.051190	0.027740	0.000000	0.317260	0.000000	43492
GYDA	1997	1	0.234230	0.052170	0.026520	0.000000	0.312920	0.000000	43492
GYDA	1997	2	0.204570	0.045320	0.025550	0.000000	0.275440	0.000000	43492
GYDA	1997	3	0.228290	0.051260	0.026220	0.000000	0.305770	0.000000	43492
GYDA	1997	4	0.220400	0.049590	0.026900	0.000000	0.296880	0.000000	43492
GYDA	1997	5	0.232780	0.055110	0.028070	0.000000	0.315960	0.000000	43492
GYDA	1997	6	0.192230	0.035330	0.022230	0.000000	0.249800	0.000000	43492
GYDA	1997	7	0.216950	0.051930	0.027240	0.000000	0.296120	0.000000	43492
GYDA	1997	8	0.182550	0.040950	0.022250	0.000000	0.245740	0.000000	43492
GYDA	1997	9	0.184320	0.047520	0.024100	0.000000	0.255930	0.000000	43492
GYDA	1997	10	0.194840	0.052250	0.027190	0.000000	0.274280	0.000000	43492
GYDA	1997	11	0.203490	0.050810	0.028620	0.000000	0.282920	0.000000	43492
GYDA	1997	12	0.210530	0.048460	0.025140	0.000000	0.284120	0.000000	43492
GYDA	1998	1	0.187100	0.046610	0.026150	0.000000	0.259850	0.000000	43492
GYDA	1998	2	0.174080	0.046310	0.022500	0.000000	0.242890	0.000000	43492
GYDA	1998	3	0.189430	0.050400	0.024620	0.000000	0.264460	0.000000	43492
GYDA	1998	4	0.185350	0.051220	0.026970	0.000000	0.263540	0.000000	43492
GYDA	1998	5	0.189920	0.052860	0.026130	0.000000	0.268910	0.000000	43492
GYDA	1998	6	0.177600	0.051240	0.025270	0.000000	0.254110	0.000000	43492
GYDA	1998	7	0.161010	0.051860	0.022660	0.000000	0.235540	0.000000	43492
GYDA	1998	8	0.034050	0.007980	0.002440	0.000000	0.044470	0.000000	43492
GYDA	1998	9	0.148750	0.045900	0.015380	0.000000	0.210030	0.000000	43492
GYDA	1998	10	0.112210	0.032260	0.011470	0.000000	0.155930	0.000000	43492
GYDA	1998	11	0.062020	0.016390	0.005790	0.000000	0.084210	0.000000	43492
GYDA	1998	12	0.118380	0.030600	0.011770	0.000000	0.160750	0.000000	43492
GYDA	1999	1	0.163500	0.052610	0.015240	0.000000	0.231350	0.000000	43492
GYDA	1999	2	0.138440	0.048000	0.016170	0.000000	0.202610	0.000000	43492
GYDA	1999	3	0.158710	0.054130	0.019530	0.000000	0.232370	0.000000	43492
GYDA	1999	4	0.108960	0.029360	0.012380	0.000000	0.150700	0.000000	43492
GYDA	1999	5	0.141950	0.045640	0.017780	0.000000	0.205370	0.000000	43492
GYDA	1999	6	0.118040	0.023510	0.012920	0.000000	0.154470	0.000000	43492
GYDA	1999	7	0.132270	0.023640	0.014530	0.000000	0.170430	0.000000	43492
GYDA	1999	8	0.080290	0.016570	0.009170	0.000000	0.106020	0.000000	43492
GYDA	1999	9	0.113390	0.035810	0.013610	0.000000	0.162800	0.000000	43492
GYDA	1999	10	0.110520	0.036500	0.014010	0.000000	0.161030	0.000000	43492
GYDA	1999	11	0.117220	0.044450	0.014850	0.000000	0.176510	0.000000	43492
GYDA	1999	12	0.118570	0.046000	0.015870	0.000000	0.180430	0.000000	43492
GYDA	2000	1	0.111340	0.037570	0.014300	0.000000	0.163210	0.080760	43492
GYDA	2000	2	0.105260	0.034060	0.013120	0.000000	0.152440	0.085080	43492
GYDA	2000	3	0.088040	0.024050	0.009910	0.000000	0.122000	0.076460	43492
GYDA	2000	4	0.102880	0.027950	0.011990	0.000000	0.142820	0.078150	43492
GYDA	2000	5	0.096260	0.023830	0.010800	0.000000	0.130900	0.070220	43492
GYDA	2000	6	0.100400	0.024700	0.010800	0.000000	0.135900	0.076190	43492
GYDA	2000	7	0.103240	0.025350	0.010820	0.000000	0.139410	0.074040	43492
GYDA	2000	8	0.086410	0.017480	0.009550	0.000000	0.113430	0.061550	43492
GYDA	2000	9	0.059690	0.013630	0.006150	0.000000	0.079470	0.041920	43492
GYDA	2000	10	0.090660	0.018050	0.008960	0.000000	0.117660	0.081500	43492
GYDA	2000	11	0.088460	0.017850	0.009210	0.000000	0.115520	0.075760	43492
GYDA	2000	12	0.082940	0.016130	0.008460	0.000000	0.107530	0.067970	43492
GYDA	2001	1	0.091270	0.018350	0.009460	0.000000	0.119080	0.079450	43492
GYDA	2001	2	0.093470	0.021610	0.009460	0.000000	0.124540	0.073660	43492
GYDA	2001	3	0.117430	0.026550	0.012230	0.000000	0.156210	0.079990	43492
GYDA	2001	4	0.114010	0.024880	0.011740	0.000000	0.150620	0.076200	43492
GYDA	2001	5	0.110650	0.024440	0.011010	0.000000	0.146090	0.074600	43492
GYDA	2001	6	0.106820	0.021810	0.010110	0.000000	0.138740	0.070730	43492
GYDA	2001	7	0.106810	0.022640	0.010110	0.000000	0.139560	0.077190	43492
GYDA	2001	8	0.046380	0.009850	0.003920	0.000000	0.060150	0.034920	43492
GYDA	2001	9	0.071580	0.015720	0.006980	0.000000	0.094280	0.078270	43492
GYDA	2001	10	0.086680	0.015990	0.009260	0.000000	0.111930	0.102840	43492
GYDA	2001	11	0.088190	0.016510	0.008570	0.000000	0.113260	0.098480	43492
GYDA	2001	12	0.082610	0.016130	0.007720	0.000000	0.106460	0.088520	43492
GYDA	2002	1	0.068530	0.011480	0.006760	0.000000	0.086780	0.068840	43492
GYDA	2002	2	0.066890	0.011980	0.006480	0.000000	0.085350	0.083330	43492
GYDA	2002	3	0.039810	0.004290	0.003440	0.000000	0.047530	0.040570	43492
GYDA	2002	4	0.072610	0.011620	0.006570	0.000000	0.090790	0.117480	43492
GYDA	2002	5	0.065750	0.008930	0.005940	0.000000	0.080620	0.110540	43492
GYDA	2002	6	0.056290	0.005140	0.004530	0.000000	0.065950	0.100050	43492
GYDA	2002	7	0.059240	0.005790	0.005140	0.000000	0.070170	0.103100	43492
GYDA	2002	8	0.055750	0.006030	0.004620	0.000000	0.066400	0.098170	43492
GYDA	2002	9	0.052830	0.005380	0.004360	0.000000	0.062560	0.118420	43492
GYDA	2002	10	0.055080	0.006110	0.004170	0.000000	0.065350	0.131350	43492
GYDA	2002	11	0.051640	0.005760	0.004000	0.000000	0.061400	0.126720	43492
GYDA	2002	12	0.053840	0.005910	0.004200	0.000000	0.063950	0.144010	43492
GYDA	2003	1	0.075570	0.008460	0.006080	0.000000	0.090110	0.154320	43492
GYDA	2003	2	0.086700	0.008740	0.007090	0.000000	0.102520	0.136000	43492
GYDA	2003	3	0.053270	0.005130	0.003700	0.000000	0.062100	0.160530	43492
GYDA	2003	4	0.052460	0.005260	0.003910	0.000000	0.061630	0.157840	43492
GYDA	2003	5	0.051460	0.005510	0.004200	0.000000	0.061170	0.167260	43492
GYDA	2003	6	0.050930	0.005510	0.003900	0.000000	0.060340	0.162220	43492
GYDA	2003	7	0.049690	0.004690	0.003570	0.000000	0.057950	0.175470	43492
GYDA	2003	8	0.034720	0.002910	0.002380	0.000000	0.040010	0.121260	43492
GYDA	2003	9	0.044040	0.003870	0.003010	0.000000	0.050920	0.141860	43492
GYDA	2003	10	0.050670	0.005020	0.003840	0.000000	0.059530	0.171560	43492
GYDA	2003	11	0.047670	0.004460	0.003520	0.000000	0.055650	0.155010	43492
GYDA	2003	12	0.052470	0.004950	0.003790	0.000000	0.061210	0.159990	43492
GYDA	2004	1	0.050950	0.004920	0.003800	0.000000	0.059670	0.139510	43492
GYDA	2004	2	0.043220	0.003880	0.002990	0.000000	0.050090	0.125650	43492
GYDA	2004	3	0.042120	0.003290	0.002320	0.000000	0.047720	0.149970	43492
GYDA	2004	4	0.042600	0.003770	0.002970	0.000000	0.049340	0.130570	43492
GYDA	2004	5	0.049420	0.005200	0.003730	0.000000	0.058350	0.122670	43492
GYDA	2004	6	0.049720	0.005100	0.003580	0.000000	0.058400	0.123280	43492
GYDA	2004	7	0.039780	0.003990	0.002770	0.000000	0.046540	0.141730	43492
GYDA	2004	8	0.026990	0.002550	0.001850	0.000000	0.031390	0.090810	43492
GYDA	2004	9	0.029530	0.002800	0.001980	0.000000	0.034310	0.080110	43492
GYDA	2004	10	0.043790	0.004290	0.002820	0.000000	0.050900	0.093410	43492
GYDA	2004	11	0.048730	0.006060	0.003620	0.000000	0.058410	0.092550	43492
GYDA	2004	12	0.057120	0.009370	0.005200	0.000000	0.071700	0.086710	43492
GYDA	2005	1	0.065750	0.011860	0.006230	0.000000	0.083840	0.084220	43492
GYDA	2005	2	0.059990	0.010750	0.005000	0.000000	0.075740	0.080260	43492
GYDA	2005	3	0.071590	0.013480	0.006300	0.000000	0.091360	0.084910	43492
GYDA	2005	4	0.061880	0.011980	0.005460	0.000000	0.079320	0.060290	43492
GYDA	2005	5	0.051470	0.008540	0.003600	0.000000	0.063620	0.049400	43492
GYDA	2005	6	0.042650	0.004670	0.002280	0.000000	0.049600	0.042990	43492
GYDA	2005	7	0.058300	0.007830	0.004020	0.000000	0.070150	0.063740	43492
GYDA	2005	8	0.059990	0.009880	0.004520	0.000000	0.074380	0.073860	43492
GYDA	2005	9	0.061430	0.010180	0.004780	0.000000	0.076380	0.076070	43492
GYDA	2005	10	0.068290	0.011040	0.005350	0.000000	0.084680	0.094360	43492
GYDA	2005	11	0.072660	0.011360	0.005900	0.000000	0.089920	0.089910	43492
GYDA	2005	12	0.070690	0.011610	0.005890	0.000000	0.088180	0.086390	43492
GYDA	2006	1	0.072360	0.012960	0.006550	0.000000	0.091860	0.092300	43492
GYDA	2006	2	0.061950	0.011380	0.005620	0.000000	0.078950	0.075230	43492
GYDA	2006	3	0.055540	0.010120	0.004700	0.000000	0.070360	0.072480	43492
GYDA	2006	4	0.053530	0.009910	0.004540	0.000000	0.067980	0.082050	43492
GYDA	2006	5	0.061290	0.012310	0.005450	0.000000	0.079050	0.086980	43492
GYDA	2006	6	0.053360	0.011520	0.004930	0.000000	0.069810	0.074550	43492
GYDA	2006	7	0.051720	0.011470	0.004450	0.000000	0.067640	0.081180	43492
GYDA	2006	8	0.036050	0.005840	0.002710	0.000000	0.044600	0.073670	43492
GYDA	2006	9	0.044370	0.008870	0.003820	0.000000	0.057050	0.088920	43492
GYDA	2006	10	0.055410	0.013070	0.005180	0.000000	0.073670	0.114380	43492
GYDA	2006	11	0.053330	0.013190	0.004810	0.000000	0.071330	0.107980	43492
GYDA	2006	12	0.051240	0.013440	0.004950	0.000000	0.069630	0.103420	43492
GYDA	2007	1	0.050280	0.013220	0.004680	0.000000	0.068170	0.113540	43492
GYDA	2007	2	0.042660	0.011640	0.003860	0.000000	0.058160	0.102300	43492
GYDA	2007	3	0.047480	0.012860	0.004440	0.000000	0.064790	0.109030	43492
GYDA	2007	4	0.057700	0.014240	0.005260	0.000000	0.077200	0.105630	43492
GYDA	2007	5	0.058040	0.014440	0.005570	0.000000	0.078050	0.081570	43492
GYDA	2007	6	0.019230	0.003700	0.001210	0.000000	0.024140	0.037940	43492
GYDA	2007	7	0.028880	0.002770	0.001710	0.000000	0.033370	0.096670	43492
GYDA	2007	8	0.036470	0.003840	0.002710	0.000000	0.043020	0.106580	43492
GYDA	2007	9	0.041960	0.011270	0.004150	0.000000	0.057380	0.116890	43492
GYDA	2007	10	0.046660	0.012290	0.004780	0.000000	0.063730	0.120700	43492
GYDA	2007	11	0.042750	0.011420	0.004350	0.000000	0.058520	0.120040	43492
GYDA	2007	12	0.048690	0.012210	0.004900	0.000000	0.065810	0.090410	43492
GYDA	2008	1	0.066460	0.014400	0.006740	0.000000	0.087600	0.113040	43492
GYDA	2008	2	0.060540	0.013570	0.005960	0.000000	0.080070	0.104110	43492
GYDA	2008	3	0.061230	0.015030	0.005940	0.000000	0.082200	0.114060	43492
GYDA	2008	4	0.059960	0.013590	0.005880	0.000000	0.079430	0.119460	43492
GYDA	2008	5	0.054520	0.013660	0.005300	0.000000	0.073480	0.129250	43492
GYDA	2008	6	0.039440	0.005590	0.003030	0.000000	0.048060	0.097840	43492
GYDA	2008	7	0.051630	0.012670	0.004960	0.000000	0.069260	0.127670	43492
GYDA	2008	8	0.050210	0.012380	0.004680	0.000000	0.067270	0.126020	43492
GYDA	2008	9	0.046090	0.011940	0.005020	0.000000	0.063060	0.123970	43492
GYDA	2008	10	0.047340	0.013010	0.004710	0.000000	0.065060	0.132800	43492
GYDA	2008	11	0.043180	0.012250	0.004230	0.000000	0.059660	0.130030	43492
GYDA	2008	12	0.041980	0.011860	0.004840	0.000000	0.058680	0.134830	43492
GYDA	2009	1	0.039740	0.011740	0.004470	0.000000	0.055960	0.134720	43492
GYDA	2009	2	0.030860	0.010080	0.003570	0.000000	0.044510	0.105030	43492
GYDA	2009	3	0.036610	0.011660	0.003880	0.000000	0.052150	0.131300	43492
GYDA	2009	4	0.036650	0.011150	0.004240	0.000000	0.052040	0.137280	43492
GYDA	2009	5	0.036510	0.011210	0.003510	0.000000	0.051220	0.148000	43492
GYDA	2009	6	0.033610	0.010760	0.003500	0.000000	0.047870	0.139000	43492
GYDA	2009	7	0.030950	0.010440	0.003350	0.000000	0.044740	0.128500	43492
GYDA	2009	8	0.035850	0.011180	0.003870	0.000000	0.050900	0.152820	43492
GYDA	2009	9	0.030240	0.009350	0.003070	0.000000	0.042660	0.134430	43492
GYDA	2009	10	0.024760	0.009840	0.003010	0.000000	0.037620	0.147340	43492
GYDA	2009	11	0.022590	0.006070	0.001990	0.000000	0.030650	0.144330	43492
GYDA	2009	12	0.025550	0.010280	0.002900	0.000000	0.038740	0.154650	43492
GYDA	2010	1	0.024180	0.009250	0.003010	0.000000	0.036440	0.143000	43492
GYDA	2010	2	0.020460	0.008380	0.002540	0.000000	0.031380	0.125720	43492
GYDA	2010	3	0.024540	0.008970	0.002860	0.000000	0.036370	0.111250	43492
GYDA	2010	4	0.022770	0.008230	0.002800	0.000000	0.033790	0.140670	43492
GYDA	2010	5	0.020170	0.007470	0.002580	0.000000	0.030220	0.132400	43492
GYDA	2010	6	0.003980	0.001120	0.000380	0.000000	0.005470	0.022480	43492
GYDA	2010	7	0.014450	0.003720	0.001300	0.000000	0.019470	0.083920	43492
GYDA	2010	8	0.020390	0.007680	0.002420	0.000000	0.030490	0.078580	43492
GYDA	2010	9	0.018880	0.006840	0.002120	0.000000	0.027840	0.077100	43492
GYDA	2010	10	0.018730	0.006900	0.002160	0.000000	0.027790	0.090460	43492
GYDA	2010	11	0.016880	0.005750	0.001710	0.000000	0.024350	0.087640	43492
GYDA	2010	12	0.018350	0.006400	0.001840	0.000000	0.026590	0.104070	43492
GYDA	2011	1	0.019360	0.006300	0.001940	0.000000	0.027590	0.111230	43492
GYDA	2011	2	0.021570	0.006010	0.001930	0.000000	0.029510	0.025780	43492
GYDA	2011	3	0.022430	0.006110	0.002000	0.000000	0.030530	0.134070	43492
GYDA	2011	4	0.019490	0.005270	0.001720	0.000000	0.026470	0.032090	43492
GYDA	2011	5	0.021200	0.006010	0.002030	0.000000	0.029240	0.098220	43492
GYDA	2011	6	0.022080	0.005880	0.002050	0.000000	0.030010	0.089690	43492
GYDA	2011	7	0.024170	0.006410	0.002180	0.000000	0.032760	0.099260	43492
GYDA	2011	8	0.018070	0.005300	0.001660	0.000000	0.025030	0.095090	43492
GYDA	2011	9	0.016320	0.004690	0.001520	0.000000	0.022530	0.078590	43492
GYDA	2011	10	0.019380	0.004920	0.001810	0.000000	0.026110	0.071180	43492
GYDA	2011	11	0.017080	0.004130	0.001540	0.000000	0.022740	0.071930	43492
GYDA	2011	12	0.012490	0.000120	0.000470	0.000000	0.013080	0.059070	43492
GYDA	2012	1	0.012960	0.000180	0.000470	0.000000	0.013610	0.058310	43492
GYDA	2012	2	0.011030	0.000070	0.000400	0.000000	0.011500	0.049040	43492
GYDA	2012	3	0.011300	0.000120	0.000450	0.000000	0.011870	0.051260	43492
GYDA	2012	4	0.011850	0.000120	0.000450	0.000000	0.012410	0.053480	43492
GYDA	2012	5	0.012120	0.000290	0.000510	0.000000	0.012920	0.054840	43492
GYDA	2012	6	0.011650	0.000500	0.000560	0.000000	0.012710	0.054470	43492
GYDA	2012	7	0.010570	0.000460	0.000510	0.000000	0.011540	0.054990	43492
GYDA	2012	8	0.013050	0.000790	0.000720	0.000000	0.014550	0.061390	43492
GYDA	2012	9	0.011290	0.000710	0.000650	0.000000	0.012650	0.053410	43492
GYDA	2012	10	0.014150	0.000310	0.000600	0.000000	0.015060	0.065200	43492
GYDA	2012	11	0.011730	0.000230	0.000490	0.000000	0.012450	0.062900	43492
GYDA	2012	12	0.012320	0.000380	0.000580	0.000000	0.013280	0.055360	43492
GYDA	2013	1	0.013140	0.000420	0.000620	0.000000	0.014180	0.054530	43492
GYDA	2013	2	0.009900	0.000280	0.000440	0.000000	0.010610	0.000000	43492
EKOFISK	1971	6	0.000190	0.000000	0.000000	0.000000	0.000190	0.000000	43506
EKOFISK	1971	7	0.033770	0.000000	0.000000	0.000000	0.033770	0.000000	43506
EKOFISK	1971	8	0.051390	0.000000	0.000000	0.000000	0.051390	0.000000	43506
EKOFISK	1971	9	0.064300	0.000000	0.000000	0.000000	0.064300	0.000000	43506
EKOFISK	1971	10	0.086400	0.000000	0.000000	0.000000	0.086400	0.000000	43506
EKOFISK	1971	11	0.057800	0.000000	0.000000	0.000000	0.057800	0.000000	43506
EKOFISK	1971	12	0.063270	0.000000	0.000000	0.000000	0.063270	0.000000	43506
EKOFISK	1972	1	0.046840	0.000000	0.000000	0.000000	0.046840	0.000000	43506
EKOFISK	1972	2	0.145460	0.000000	0.000000	0.000000	0.145460	0.000000	43506
EKOFISK	1972	3	0.172860	0.000000	0.000000	0.000000	0.172860	0.000000	43506
EKOFISK	1972	4	0.195340	0.000000	0.000000	0.000000	0.195340	0.000000	43506
EKOFISK	1972	5	0.199210	0.000000	0.000000	0.000000	0.199210	0.000000	43506
EKOFISK	1972	6	0.188040	0.000000	0.000000	0.000000	0.188040	0.000000	43506
EKOFISK	1972	7	0.202940	0.000000	0.000000	0.000000	0.202940	0.000000	43506
EKOFISK	1972	8	0.204590	0.000000	0.000000	0.000000	0.204590	0.000000	43506
EKOFISK	1972	9	0.172590	0.000000	0.000000	0.000000	0.172590	0.000000	43506
EKOFISK	1972	10	0.173290	0.000000	0.000000	0.000000	0.173290	0.000000	43506
EKOFISK	1972	11	0.101220	0.000000	0.000000	0.000000	0.101220	0.000000	43506
EKOFISK	1972	12	0.124650	0.000000	0.000000	0.000000	0.124650	0.000000	43506
EKOFISK	1973	1	0.185120	0.000000	0.000000	0.000000	0.185120	0.000000	43506
EKOFISK	1973	2	0.119130	0.000000	0.000000	0.000000	0.119130	0.000000	43506
EKOFISK	1973	3	0.206610	0.000000	0.000000	0.000000	0.206610	0.000000	43506
EKOFISK	1973	4	0.135510	0.000000	0.000000	0.000000	0.135510	0.000000	43506
EKOFISK	1973	5	0.189840	0.000000	0.000000	0.000000	0.189840	0.000000	43506
EKOFISK	1973	6	0.190480	0.000000	0.000000	0.000000	0.190480	0.000000	43506
EKOFISK	1973	7	0.171160	0.000000	0.000000	0.000000	0.171160	0.000000	43506
EKOFISK	1973	8	0.180370	0.000000	0.000000	0.000000	0.180370	0.000000	43506
EKOFISK	1973	9	0.193680	0.000000	0.000000	0.000000	0.193680	0.000000	43506
EKOFISK	1973	10	0.188570	0.000000	0.000000	0.000000	0.188570	0.000000	43506
EKOFISK	1973	11	0.091920	0.000000	0.000000	0.000000	0.091920	0.000000	43506
EKOFISK	1973	12	0.017140	0.000000	0.000000	0.000000	0.017140	0.000000	43506
EKOFISK	1974	1	0.009300	0.000000	0.000000	0.000000	0.009300	0.000000	43506
EKOFISK	1974	2	0.112570	0.000000	0.000000	0.000000	0.112570	0.000000	43506
EKOFISK	1974	3	0.082920	0.000000	0.000000	0.000000	0.082920	0.000000	43506
EKOFISK	1974	4	0.069840	0.000000	0.000000	0.000000	0.069840	0.000000	43506
EKOFISK	1974	5	0.124020	0.000000	0.000000	0.000000	0.124020	0.000000	43506
EKOFISK	1974	6	0.179330	0.000000	0.000000	0.000000	0.179330	0.000000	43506
EKOFISK	1974	7	0.246700	0.000000	0.000000	0.000000	0.246700	0.000000	43506
EKOFISK	1974	8	0.225760	0.000000	0.000000	0.000000	0.225760	0.000000	43506
EKOFISK	1974	9	0.237070	0.000000	0.000000	0.000000	0.237070	0.000000	43506
EKOFISK	1974	10	0.218890	0.000000	0.000000	0.000000	0.218890	0.000000	43506
EKOFISK	1974	11	0.280410	0.000000	0.000000	0.000000	0.280410	0.000000	43506
EKOFISK	1974	12	0.227360	0.000000	0.000000	0.000000	0.227360	0.000000	43506
EKOFISK	1975	1	0.117070	0.000000	0.000000	0.000000	0.117070	0.000000	43506
EKOFISK	1975	2	0.342410	0.000000	0.000000	0.000000	0.342410	0.000000	43506
EKOFISK	1975	3	0.604050	0.000000	0.000000	0.000000	0.604050	0.000000	43506
EKOFISK	1975	4	0.717590	0.000000	0.000000	0.000000	0.717590	0.000000	43506
EKOFISK	1975	5	0.823670	0.000000	0.000000	0.000000	0.823670	0.000000	43506
EKOFISK	1975	6	1.045080	0.000000	0.000000	0.000000	1.045080	0.000000	43506
EKOFISK	1975	7	1.255310	0.000000	0.000000	0.000000	1.255310	0.000000	43506
EKOFISK	1975	8	1.074110	0.000000	0.000000	0.000000	1.074110	0.000000	43506
EKOFISK	1975	9	1.382820	0.000000	0.000000	0.000000	1.382820	0.000000	43506
EKOFISK	1975	10	1.291290	0.000000	0.000000	0.000000	1.291290	0.000000	43506
EKOFISK	1975	11	1.096670	0.000000	0.000000	0.000000	1.096670	0.000000	43506
EKOFISK	1975	12	1.245280	0.000000	0.000000	0.000000	1.245280	0.000000	43506
EKOFISK	1976	1	1.298230	0.000000	0.000000	0.000000	1.298230	0.000000	43506
EKOFISK	1976	2	1.284510	0.000000	0.000000	0.000000	1.284510	0.000000	43506
EKOFISK	1976	3	1.320460	0.000000	0.000000	0.000000	1.320460	0.000000	43506
EKOFISK	1976	4	0.935040	0.000000	0.000000	0.000000	0.935040	0.000000	43506
EKOFISK	1976	5	0.830360	0.000000	0.000000	0.000000	0.830360	0.000000	43506
EKOFISK	1976	6	1.337710	0.000000	0.000000	0.000000	1.337710	0.000000	43506
EKOFISK	1976	7	1.568070	0.000000	0.000000	0.000000	1.568070	0.000000	43506
EKOFISK	1976	8	1.599780	0.000000	0.000000	0.000000	1.599780	0.000000	43506
EKOFISK	1976	9	1.476650	0.000000	0.000000	0.000000	1.476650	0.000000	43506
EKOFISK	1976	10	1.719420	0.000000	0.000000	0.000000	1.719420	0.000000	43506
EKOFISK	1976	11	1.143180	0.000000	0.000000	0.000000	1.143180	0.000000	43506
EKOFISK	1976	12	1.713380	0.000000	0.000000	0.000000	1.713380	0.000000	43506
EKOFISK	1977	1	1.699730	0.000000	0.000000	0.000000	1.699730	0.000000	43506
EKOFISK	1977	2	1.494160	0.000000	0.000000	0.000000	1.494160	0.000000	43506
EKOFISK	1977	3	1.570910	0.000000	0.000000	0.000000	1.570910	0.000000	43506
EKOFISK	1977	4	1.127750	0.000000	0.000000	0.000000	1.127750	0.000000	43506
EKOFISK	1977	5	0.773750	0.000000	0.000000	0.000000	0.773750	0.000000	43506
EKOFISK	1977	6	0.713140	0.000000	0.000000	0.000000	0.713140	0.000000	43506
EKOFISK	1977	7	1.180180	0.000000	0.000000	0.000000	1.180180	0.000000	43506
EKOFISK	1977	8	1.386290	0.000000	0.000000	0.000000	1.386290	0.000000	43506
EKOFISK	1977	9	1.289940	0.180440	0.000000	0.000000	1.470380	0.000000	43506
EKOFISK	1977	10	1.547070	0.442110	0.000000	0.000000	1.989180	0.000000	43506
EKOFISK	1977	11	1.581850	0.405050	0.000000	0.000000	1.986900	0.000000	43506
EKOFISK	1977	12	1.523520	0.413650	0.000000	0.000000	1.937170	0.000000	43506
EKOFISK	1978	1	1.518710	0.423630	0.000000	0.000000	1.942340	0.000000	43506
EKOFISK	1978	2	1.324440	0.377230	0.000000	0.000000	1.701670	0.000000	43506
EKOFISK	1978	3	1.412110	0.423970	0.000000	0.000000	1.836070	0.000000	43506
EKOFISK	1978	4	1.397580	0.407480	0.000000	0.000000	1.805060	0.000000	43506
EKOFISK	1978	5	1.359290	0.331640	0.000000	0.000000	1.690930	0.000000	43506
EKOFISK	1978	6	0.994630	0.310490	0.000000	0.000000	1.305110	0.000000	43506
EKOFISK	1978	7	1.301050	0.430610	0.000000	0.000000	1.731650	0.000000	43506
EKOFISK	1978	8	1.341680	0.361270	0.000000	0.000000	1.702940	0.000000	43506
EKOFISK	1978	9	1.257610	0.466240	0.000000	0.000000	1.723850	0.000000	43506
EKOFISK	1978	10	1.222900	0.454570	0.000000	0.000000	1.677460	0.000000	43506
EKOFISK	1978	11	1.217000	0.470110	0.000000	0.000000	1.687110	0.000000	43506
EKOFISK	1978	12	1.175210	0.474040	0.000000	0.000000	1.649250	0.000000	43506
EKOFISK	1979	1	1.124700	0.482950	0.000000	0.000000	1.607650	0.000000	43506
EKOFISK	1979	2	1.029740	0.430380	0.000000	0.000000	1.460120	0.000000	43506
EKOFISK	1979	3	1.144030	0.497100	0.008470	0.000000	1.649610	0.000000	43506
EKOFISK	1979	4	1.208480	0.495360	0.027530	0.000000	1.731360	0.000000	43506
EKOFISK	1979	5	1.178570	0.510370	0.034620	0.000000	1.723560	0.000000	43506
EKOFISK	1979	6	1.064260	0.320180	0.036560	0.000000	1.421000	0.000000	43506
EKOFISK	1979	7	1.081920	0.493710	0.072330	0.000000	1.647950	0.000000	43506
EKOFISK	1979	8	1.085110	0.514210	0.085900	0.000000	1.685220	0.000000	43506
EKOFISK	1979	9	1.069440	0.542340	0.082340	0.000000	1.694120	0.000000	43506
EKOFISK	1979	10	0.918960	0.395780	0.056140	0.000000	1.370870	0.000000	43506
EKOFISK	1979	11	1.066840	0.535970	0.086500	0.000000	1.689310	0.000000	43506
EKOFISK	1979	12	1.006340	0.540860	0.086510	0.000000	1.633710	0.000000	43506
EKOFISK	1980	1	0.961330	0.515920	0.090480	0.000000	1.567720	0.000000	43506
EKOFISK	1980	2	1.005860	0.584240	0.094060	0.000000	1.684150	0.000000	43506
EKOFISK	1980	3	1.002310	0.591160	0.090540	0.000000	1.684010	0.000000	43506
EKOFISK	1980	4	0.973900	0.558090	0.093600	0.000000	1.625590	0.000000	43506
EKOFISK	1980	5	0.961870	0.577970	0.097620	0.000000	1.637460	0.000000	43506
EKOFISK	1980	6	0.883080	0.529740	0.093520	0.000000	1.506330	0.000000	43506
EKOFISK	1980	7	0.486760	0.287580	0.046850	0.000000	0.821180	0.000000	43506
EKOFISK	1980	8	0.959060	0.483950	0.100640	0.000000	1.543650	0.000000	43506
EKOFISK	1980	9	0.850380	0.548420	0.087020	0.000000	1.485820	0.000000	43506
EKOFISK	1980	10	0.983240	0.590750	0.105160	0.000000	1.679150	0.000000	43506
EKOFISK	1980	11	0.925620	0.592350	0.107570	0.000000	1.625540	0.000000	43506
EKOFISK	1980	12	1.005280	0.594530	0.111370	0.000000	1.711170	0.000000	43506
EKOFISK	1981	1	0.937320	0.626160	0.110140	0.000000	1.673620	0.000000	43506
EKOFISK	1981	2	0.803410	0.600010	0.101590	0.000000	1.505010	0.000000	43506
EKOFISK	1981	3	0.861860	0.718210	0.100530	0.000000	1.680590	0.000000	43506
EKOFISK	1981	4	0.823540	0.667300	0.102320	0.000000	1.593160	0.000000	43506
EKOFISK	1981	5	0.889550	0.618480	0.105690	0.000000	1.613710	0.000000	43506
EKOFISK	1981	6	0.778760	0.472010	0.090910	0.000000	1.341680	0.000000	43506
EKOFISK	1981	7	0.788270	0.479130	0.094850	0.000000	1.362240	0.000000	43506
EKOFISK	1981	8	0.425000	0.178370	0.038280	0.000000	0.641650	0.000000	43506
EKOFISK	1981	9	0.770620	0.601740	0.086040	0.000000	1.458410	0.000000	43506
EKOFISK	1981	10	0.591800	0.496920	0.068240	0.000000	1.156960	0.000000	43506
EKOFISK	1981	11	0.676330	0.516260	0.075790	0.000000	1.268370	0.000000	43506
EKOFISK	1981	12	0.639870	0.522060	0.067620	0.000000	1.229550	0.000000	43506
EKOFISK	1982	1	0.771710	0.664160	0.090280	0.000000	1.526150	0.000000	43506
EKOFISK	1982	2	0.674950	0.609690	0.084390	0.000000	1.369030	0.000000	43506
EKOFISK	1982	3	0.703880	0.667530	0.098860	0.000000	1.470270	0.000000	43506
EKOFISK	1982	4	0.713720	0.626180	0.088390	0.000000	1.428290	0.000000	43506
EKOFISK	1982	5	0.615990	0.524140	0.073820	0.000000	1.213940	0.000000	43506
EKOFISK	1982	6	0.656440	0.395000	0.078220	0.000000	1.129650	0.000000	43506
EKOFISK	1982	7	0.654510	0.372980	0.090240	0.000000	1.117730	0.000000	43506
EKOFISK	1982	8	0.693360	0.394300	0.092880	0.000000	1.180540	0.000000	43506
EKOFISK	1982	9	0.667520	0.431670	0.093950	0.000000	1.193130	0.000000	43506
EKOFISK	1982	10	0.609420	0.480970	0.088180	0.000000	1.178570	0.000000	43506
EKOFISK	1982	11	0.670020	0.582870	0.103780	0.000000	1.356670	0.000000	43506
EKOFISK	1982	12	0.695820	0.593590	0.110180	0.000000	1.399590	0.000000	43506
EKOFISK	1983	1	0.721410	0.632570	0.109610	0.000000	1.463590	0.000000	43506
EKOFISK	1983	2	0.595190	0.467860	0.089390	0.000000	1.152440	0.000000	43506
EKOFISK	1983	3	0.681350	0.567370	0.113020	0.000000	1.361730	0.000000	43506
EKOFISK	1983	4	0.669760	0.463740	0.109540	0.000000	1.243040	0.000000	43506
EKOFISK	1983	5	0.696050	0.462200	0.110190	0.000000	1.268440	0.000000	43506
EKOFISK	1983	6	0.665670	0.424890	0.113740	0.000000	1.204310	0.000000	43506
EKOFISK	1983	7	0.719020	0.462430	0.114770	0.000000	1.296220	0.000000	43506
EKOFISK	1983	8	0.710530	0.464220	0.107870	0.000000	1.282620	0.000000	43506
EKOFISK	1983	9	0.664390	0.448770	0.099650	0.000000	1.212810	0.000000	43506
EKOFISK	1983	10	0.684000	0.464160	0.104280	0.000000	1.252440	0.000000	43506
EKOFISK	1983	11	0.653650	0.487360	0.100770	0.000000	1.241780	0.000000	43506
EKOFISK	1983	12	0.648340	0.577210	0.104140	0.000000	1.329690	0.000000	43506
EKOFISK	1984	1	0.536250	0.542680	0.102060	0.000000	1.180990	0.000000	43506
EKOFISK	1984	2	0.746230	0.633850	0.100850	0.000000	1.480930	0.000000	43506
EKOFISK	1984	3	0.660420	0.725610	0.108910	0.000000	1.494940	0.000000	43506
EKOFISK	1984	4	0.612670	0.605810	0.100360	0.000000	1.318840	0.000000	43506
EKOFISK	1984	5	0.618820	0.584750	0.099890	0.000000	1.303460	0.000000	43506
EKOFISK	1984	6	0.578440	0.551600	0.093680	0.000000	1.223720	0.000000	43506
EKOFISK	1984	7	0.628630	0.461650	0.097870	0.000000	1.188150	0.000000	43506
EKOFISK	1984	8	0.464050	0.305670	0.070150	0.000000	0.839880	0.000000	43506
EKOFISK	1984	9	0.659610	0.454780	0.101490	0.000000	1.215890	0.000000	43506
EKOFISK	1984	10	0.670520	0.570310	0.111370	0.000000	1.352190	0.000000	43506
EKOFISK	1984	11	0.626000	0.567210	0.106950	0.000000	1.300160	0.000000	43506
EKOFISK	1984	12	0.617310	0.591450	0.106500	0.000000	1.315260	0.000000	43506
EKOFISK	1985	1	0.610570	0.696230	0.091070	0.000000	1.397870	0.000000	43506
EKOFISK	1985	2	0.528760	0.610300	0.094230	0.000000	1.233290	0.000000	43506
EKOFISK	1985	3	0.558760	0.652910	0.106080	0.000000	1.317740	0.000000	43506
EKOFISK	1985	4	0.539290	0.560420	0.104570	0.000000	1.204280	0.000000	43506
EKOFISK	1985	5	0.536450	0.564740	0.098950	0.000000	1.200130	0.000000	43506
EKOFISK	1985	6	0.489030	0.502290	0.087080	0.000000	1.078400	0.000000	43506
EKOFISK	1985	7	0.533530	0.489360	0.099760	0.000000	1.122650	0.000000	43506
EKOFISK	1985	8	0.508820	0.438290	0.100480	0.000000	1.047600	0.000000	43506
EKOFISK	1985	9	0.481000	0.318270	0.097780	0.000000	0.897050	0.000000	43506
EKOFISK	1985	10	0.503190	0.284620	0.105530	0.000000	0.893330	0.000000	43506
EKOFISK	1985	11	0.474310	0.320550	0.106990	0.000000	0.901850	0.000000	43506
EKOFISK	1985	12	0.469960	0.373520	0.100310	0.000000	0.943780	0.000000	43506
EKOFISK	1986	1	0.455490	0.321050	0.096840	0.000000	0.873380	0.000000	43506
EKOFISK	1986	2	0.401280	0.298690	0.083770	0.000000	0.783740	0.000000	43506
EKOFISK	1986	3	0.416040	0.329440	0.087000	0.000000	0.832480	0.000000	43506
EKOFISK	1986	4	0.139560	0.084840	0.027030	0.000000	0.251430	0.000000	43506
EKOFISK	1986	5	0.464790	0.197310	0.088400	0.000000	0.750500	0.000000	43506
EKOFISK	1986	6	0.445180	0.154170	0.091130	0.000000	0.690470	0.000000	43506
EKOFISK	1986	7	0.449690	0.130010	0.085730	0.000000	0.665430	0.000000	43506
EKOFISK	1986	8	0.406210	0.198160	0.084210	0.000000	0.688580	0.000000	43506
EKOFISK	1986	9	0.376520	0.148190	0.068610	0.000000	0.593310	0.000000	43506
EKOFISK	1986	10	0.383340	0.259240	0.054570	0.000000	0.697140	0.000000	43506
EKOFISK	1986	11	0.368460	0.261480	0.069500	0.000000	0.699440	0.000000	43506
EKOFISK	1986	12	0.390310	0.270520	0.079970	0.000000	0.740800	0.000000	43506
EKOFISK	1987	1	0.392490	0.377270	0.072700	0.000000	0.842460	0.000000	43506
EKOFISK	1987	2	0.344500	0.275080	0.066700	0.000000	0.686270	0.000000	43506
EKOFISK	1987	3	0.376170	0.311960	0.069150	0.000000	0.757270	0.000000	43506
EKOFISK	1987	4	0.383400	0.286940	0.074970	0.000000	0.745310	0.000000	43506
EKOFISK	1987	5	0.332320	0.296450	0.062680	0.000000	0.691450	0.000000	43506
EKOFISK	1987	6	0.286860	0.320740	0.052050	0.000000	0.659650	0.000000	43506
EKOFISK	1987	7	0.358650	0.266960	0.061660	0.000000	0.687270	0.000000	43506
EKOFISK	1987	8	0.089510	0.102950	0.018310	0.000000	0.210770	0.000000	43506
EKOFISK	1987	9	0.336170	0.226860	0.054900	0.000000	0.617930	0.000000	43506
EKOFISK	1987	10	0.392230	0.466640	0.060250	0.000000	0.919120	0.000000	43506
EKOFISK	1987	11	0.348760	0.464800	0.070660	0.000000	0.884210	0.000000	43506
EKOFISK	1987	12	0.355680	0.482250	0.073710	0.000000	0.911630	0.000000	43506
EKOFISK	1988	1	0.373220	0.319130	0.078530	0.000000	0.770880	0.000000	43506
EKOFISK	1988	2	0.359410	0.361130	0.078150	0.000000	0.798700	0.000000	43506
EKOFISK	1988	3	0.409630	0.376380	0.084150	0.000000	0.870160	0.000000	43506
EKOFISK	1988	4	0.414800	0.290280	0.084860	0.000000	0.789940	0.000000	43506
EKOFISK	1988	5	0.436900	0.273580	0.085600	0.000000	0.796080	0.000000	43506
EKOFISK	1988	6	0.446620	0.336250	0.090480	0.000000	0.873350	0.000000	43506
EKOFISK	1988	7	0.490460	0.280370	0.097720	0.000000	0.868550	0.000000	43506
EKOFISK	1988	8	0.478690	0.324700	0.098420	0.000000	0.901820	0.000000	43506
EKOFISK	1988	9	0.509040	0.313930	0.097800	0.000000	0.920770	0.000000	43506
EKOFISK	1988	10	0.494520	0.315670	0.100730	0.000000	0.910920	0.000000	43506
EKOFISK	1988	11	0.483030	0.263010	0.096160	0.000000	0.842200	0.000000	43506
EKOFISK	1988	12	0.466650	0.321360	0.100090	0.000000	0.888090	0.000000	43506
EKOFISK	1989	1	0.614980	0.351170	0.093950	0.000000	1.060100	0.000000	43506
EKOFISK	1989	2	0.484510	0.449930	0.094030	0.000000	1.028480	0.000000	43506
EKOFISK	1989	3	0.518210	0.374720	0.094160	0.000000	0.987080	0.000000	43506
EKOFISK	1989	4	0.529420	0.474390	0.098490	0.000000	1.102300	0.000000	43506
EKOFISK	1989	5	0.558510	0.375080	0.099860	0.000000	1.033450	0.000000	43506
EKOFISK	1989	6	0.543610	0.421900	0.096170	0.000000	1.061680	0.000000	43506
EKOFISK	1989	7	0.640030	0.377240	0.099570	0.000000	1.116840	0.000000	43506
EKOFISK	1989	8	0.572320	0.470930	0.099310	0.000000	1.142560	0.000000	43506
EKOFISK	1989	9	0.415190	0.358080	0.075040	0.000000	0.848310	0.000000	43506
EKOFISK	1989	10	0.488650	0.396980	0.088540	0.000000	0.974170	0.000000	43506
EKOFISK	1989	11	0.602140	0.454170	0.105320	0.000000	1.161640	0.000000	43506
EKOFISK	1989	12	0.670290	0.537830	0.102000	0.000000	1.310120	0.000000	43506
EKOFISK	1990	1	0.604220	0.500260	0.100060	0.000000	1.204540	0.000000	43506
EKOFISK	1990	2	0.487390	0.454650	0.087570	0.000000	1.029600	0.000000	43506
EKOFISK	1990	3	0.564350	0.489630	0.093090	0.000000	1.147060	0.000000	43506
EKOFISK	1990	4	0.628940	0.438900	0.094030	0.000000	1.161860	0.000000	43506
EKOFISK	1990	5	0.677060	0.508000	0.090000	0.000000	1.275060	0.000000	43506
EKOFISK	1990	6	0.598690	0.364120	0.097150	0.000000	1.059950	0.000000	43506
EKOFISK	1990	7	0.539470	0.321340	0.073080	0.000000	0.933890	0.000000	43506
EKOFISK	1990	8	0.684420	0.394240	0.092830	0.000000	1.171490	0.000000	43506
EKOFISK	1990	9	0.642750	0.432410	0.091060	0.000000	1.166210	0.000000	43506
EKOFISK	1990	10	0.699290	0.409000	0.092150	0.000000	1.200440	0.000000	43506
EKOFISK	1990	11	0.669760	0.440870	0.084020	0.000000	1.194650	0.000000	43506
EKOFISK	1990	12	0.698980	0.465100	0.086730	0.000000	1.250810	0.000000	43506
EKOFISK	1991	1	0.715180	0.535070	0.093230	0.000000	1.343480	0.000000	43506
EKOFISK	1991	2	0.669650	0.432670	0.083270	0.000000	1.185600	0.000000	43506
EKOFISK	1991	3	0.751280	0.443760	0.092500	0.000000	1.287540	0.000000	43506
EKOFISK	1991	4	0.702990	0.427490	0.094420	0.000000	1.224890	0.000000	43506
EKOFISK	1991	5	0.761470	0.397190	0.096750	0.000000	1.255410	0.000000	43506
EKOFISK	1991	6	0.759900	0.304820	0.096480	0.000000	1.161200	0.000000	43506
EKOFISK	1991	7	0.732630	0.363950	0.086930	0.000000	1.183510	0.000000	43506
EKOFISK	1991	8	0.342220	0.199780	0.024310	0.000000	0.566300	0.000000	43506
EKOFISK	1991	9	0.818280	0.298170	0.101910	0.000000	1.218350	0.000000	43506
EKOFISK	1991	10	0.800250	0.399170	0.098970	0.000000	1.298390	0.000000	43506
EKOFISK	1991	11	0.757910	0.498570	0.094310	0.000000	1.350790	0.000000	43506
EKOFISK	1991	12	0.789030	0.538770	0.095160	0.000000	1.422960	0.000000	43506
EKOFISK	1992	1	0.791030	0.520950	0.090500	0.000000	1.402480	0.000000	43506
EKOFISK	1992	2	0.720710	0.493520	0.081150	0.000000	1.295390	0.000000	43506
EKOFISK	1992	3	0.733980	0.520340	0.080790	0.000000	1.335100	0.000000	43506
EKOFISK	1992	4	0.764450	0.554230	0.091770	0.000000	1.410450	0.000000	43506
EKOFISK	1992	5	0.680470	0.450020	0.077050	0.000000	1.207530	0.000000	43506
EKOFISK	1992	6	0.780820	0.465550	0.084800	0.000000	1.331170	0.000000	43506
EKOFISK	1992	7	0.790260	0.410100	0.083060	0.000000	1.283430	0.000000	43506
EKOFISK	1992	8	0.773630	0.443970	0.087440	0.000000	1.305050	0.000000	43506
EKOFISK	1992	9	0.722990	0.465400	0.080400	0.000000	1.268780	0.000000	43506
EKOFISK	1992	10	0.765900	0.527260	0.061410	0.000000	1.354570	0.000000	43506
EKOFISK	1992	11	0.711690	0.498600	0.068080	0.000000	1.278370	0.000000	43506
EKOFISK	1992	12	0.760180	0.513850	0.078500	0.000000	1.352530	0.000000	43506
EKOFISK	1993	1	0.719620	0.503570	0.072770	0.000000	1.295960	0.000000	43506
EKOFISK	1993	2	0.646980	0.450070	0.066350	0.000000	1.163390	0.000000	43506
EKOFISK	1993	3	0.718930	0.510860	0.073530	0.000000	1.303320	0.000000	43506
EKOFISK	1993	4	0.722790	0.442770	0.070800	0.000000	1.236360	0.000000	43506
EKOFISK	1993	5	0.741380	0.433680	0.073930	0.000000	1.248990	0.000000	43506
EKOFISK	1993	6	0.700620	0.360600	0.068300	0.000000	1.129520	0.000000	43506
EKOFISK	1993	7	0.712020	0.232400	0.069730	0.000000	1.014140	0.000000	43506
EKOFISK	1993	8	0.697530	0.275940	0.068740	0.000000	1.042200	0.000000	43506
EKOFISK	1993	9	0.719150	0.290930	0.070630	0.000000	1.080710	0.000000	43506
EKOFISK	1993	10	0.767680	0.354240	0.072180	0.000000	1.194110	0.000000	43506
EKOFISK	1993	11	0.770620	0.385720	0.072860	0.000000	1.229210	0.000000	43506
EKOFISK	1993	12	0.849460	0.428330	0.077390	0.000000	1.355180	0.000000	43506
EKOFISK	1994	1	0.812090	0.378820	0.075970	0.000000	1.266880	0.000000	43506
EKOFISK	1994	2	0.723570	0.347370	0.066870	0.000000	1.137810	0.000000	43506
EKOFISK	1994	3	0.791300	0.335700	0.071010	0.000000	1.198020	0.000000	43506
EKOFISK	1994	4	0.771500	0.347790	0.068070	0.000000	1.187370	0.000000	43506
EKOFISK	1994	5	0.822410	0.301690	0.069720	0.000000	1.193820	0.000000	43506
EKOFISK	1994	6	0.803490	0.390190	0.067490	0.000000	1.261170	0.000000	43506
EKOFISK	1994	7	0.840450	0.404370	0.060650	0.000000	1.305470	0.000000	43506
EKOFISK	1994	8	0.560390	0.239240	0.036260	0.000000	0.835890	0.000000	43506
EKOFISK	1994	9	0.949700	0.465240	0.077120	0.000000	1.492060	0.000000	43506
EKOFISK	1994	10	1.015900	0.510860	0.083770	0.000000	1.610530	0.000000	43506
EKOFISK	1994	11	1.009210	0.514040	0.084710	0.000000	1.607950	0.000000	43506
EKOFISK	1994	12	1.001120	0.513000	0.083340	0.000000	1.597450	0.000000	43506
EKOFISK	1995	1	0.983650	0.468340	0.081230	0.000000	1.533220	0.000000	43506
EKOFISK	1995	2	0.937200	0.429490	0.076110	0.000000	1.442800	0.000000	43506
EKOFISK	1995	3	1.072140	0.468130	0.086380	0.000000	1.626640	0.000000	43506
EKOFISK	1995	4	1.076910	0.432470	0.084030	0.000000	1.593400	0.000000	43506
EKOFISK	1995	5	1.106550	0.477810	0.084730	0.000000	1.669100	0.000000	43506
EKOFISK	1995	6	1.055480	0.482240	0.076930	0.000000	1.614650	0.000000	43506
EKOFISK	1995	7	1.088880	0.387850	0.081500	0.000000	1.558230	0.000000	43506
EKOFISK	1995	8	1.110650	0.420950	0.079010	0.000000	1.610610	0.000000	43506
EKOFISK	1995	9	1.012450	0.392160	0.073520	0.000000	1.478130	0.000000	43506
EKOFISK	1995	10	1.132580	0.384340	0.051350	0.000000	1.568270	0.000000	43506
EKOFISK	1995	11	1.134420	0.400500	0.066680	0.000000	1.601590	0.000000	43506
EKOFISK	1995	12	1.116470	0.432030	0.078020	0.000000	1.626520	0.000000	43506
EKOFISK	1996	1	1.124320	0.460580	0.080940	0.000000	1.665840	0.000000	43506
EKOFISK	1996	2	1.020820	0.478080	0.073000	0.000000	1.571890	0.000000	43506
EKOFISK	1996	3	1.058060	0.561800	0.081200	0.000000	1.701060	0.000000	43506
EKOFISK	1996	4	1.153120	0.431630	0.081350	0.000000	1.666110	0.000000	43506
EKOFISK	1996	5	1.181580	0.545530	0.077390	0.000000	1.804500	0.000000	43506
EKOFISK	1996	6	1.122480	0.371050	0.068950	0.000000	1.562470	0.000000	43506
EKOFISK	1996	7	1.095340	0.303360	0.066630	0.000000	1.465340	0.000000	43506
EKOFISK	1996	8	1.085260	0.377820	0.069950	0.000000	1.533030	0.000000	43506
EKOFISK	1996	9	1.109530	0.373590	0.072040	0.000000	1.555160	0.000000	43506
EKOFISK	1996	10	1.181680	0.444920	0.076590	0.000000	1.703190	0.000000	43506
EKOFISK	1996	11	1.153100	0.432640	0.071820	0.000000	1.657560	0.000000	43506
EKOFISK	1996	12	1.160430	0.461840	0.075320	0.000000	1.697590	0.000000	43506
EKOFISK	1997	1	0.825680	0.347650	0.052330	0.000000	1.225660	0.000000	43506
EKOFISK	1997	2	0.944710	0.383070	0.060420	0.000000	1.388190	0.000000	43506
EKOFISK	1997	3	1.091020	0.461380	0.069380	0.000000	1.621780	0.000000	43506
EKOFISK	1997	4	1.238290	0.384130	0.067120	0.000000	1.689540	0.000000	43506
EKOFISK	1997	5	1.284070	0.475860	0.071650	0.000000	1.831580	0.000000	43506
EKOFISK	1997	6	1.274030	0.461060	0.069530	0.000000	1.804620	0.000000	43506
EKOFISK	1997	7	1.319390	0.481440	0.074420	0.000000	1.875250	0.000000	43506
EKOFISK	1997	8	1.277150	0.454240	0.076440	0.000000	1.807830	0.000000	43506
EKOFISK	1997	9	1.270860	0.427150	0.071210	0.000000	1.769220	0.000000	43506
EKOFISK	1997	10	1.277540	0.407650	0.071330	0.000000	1.756520	0.000000	43506
EKOFISK	1997	11	1.252300	0.364130	0.069040	0.000000	1.685460	0.000000	43506
EKOFISK	1997	12	1.216720	0.345330	0.066380	0.000000	1.628430	0.000000	43506
EKOFISK	1998	1	1.392980	0.394760	0.080750	0.000000	1.868500	0.000000	43506
EKOFISK	1998	2	1.257300	0.365340	0.062720	0.000000	1.685350	0.000000	43506
EKOFISK	1998	3	1.466660	0.417800	0.073400	0.000000	1.957860	0.000000	43506
EKOFISK	1998	4	1.375020	0.357490	0.074390	0.000000	1.806900	0.000000	43506
EKOFISK	1998	5	1.480430	0.371530	0.069370	0.000000	1.921320	0.000000	43506
EKOFISK	1998	6	1.511270	0.374000	0.073640	0.000000	1.958920	0.000000	43506
EKOFISK	1998	7	1.506910	0.357960	0.064800	0.000000	1.929670	0.000000	43506
EKOFISK	1998	8	0.524220	0.099970	0.013250	0.000000	0.637430	0.000000	43506
EKOFISK	1998	9	0.901900	0.188660	0.025650	0.000000	1.116210	0.000000	43506
EKOFISK	1998	10	0.971860	0.209810	0.029910	0.000000	1.211580	0.000000	43506
EKOFISK	1998	11	1.039150	0.231810	0.027570	0.000000	1.298530	0.000000	43506
EKOFISK	1998	12	1.106560	0.254640	0.030480	0.000000	1.391680	0.000000	43506
EKOFISK	1999	1	1.167460	0.308000	0.030480	0.000000	1.505940	0.000000	43506
EKOFISK	1999	2	1.120370	0.240500	0.034890	0.000000	1.395760	0.000000	43506
EKOFISK	1999	3	1.304740	0.252140	0.049270	0.000000	1.606140	0.000000	43506
EKOFISK	1999	4	0.893460	0.190000	0.035460	0.000000	1.118910	0.000000	43506
EKOFISK	1999	5	1.256060	0.228920	0.044290	0.000000	1.529270	0.000000	43506
EKOFISK	1999	6	1.180710	0.210210	0.042270	0.000000	1.433200	0.000000	43506
EKOFISK	1999	7	1.362720	0.253630	0.052530	0.000000	1.668870	0.000000	43506
EKOFISK	1999	8	0.756700	0.137500	0.028000	0.000000	0.922200	0.000000	43506
EKOFISK	1999	9	1.368140	0.241730	0.041890	0.000000	1.651760	0.000000	43506
EKOFISK	1999	10	1.093820	0.202910	0.034800	0.000000	1.331530	0.000000	43506
EKOFISK	1999	11	1.372960	0.251640	0.042460	0.000000	1.667060	0.000000	43506
EKOFISK	1999	12	1.396820	0.267640	0.047870	0.000000	1.712330	0.000000	43506
EKOFISK	2000	1	1.372480	0.255380	0.047080	0.000000	1.674930	0.262470	43506
EKOFISK	2000	2	1.297080	0.242180	0.045520	0.000000	1.584790	0.279320	43506
EKOFISK	2000	3	1.361900	0.254610	0.046480	0.000000	1.663000	0.309060	43506
EKOFISK	2000	4	1.367430	0.249660	0.047260	0.000000	1.664350	0.284590	43506
EKOFISK	2000	5	1.453330	0.271390	0.047970	0.000000	1.772690	0.337330	43506
EKOFISK	2000	6	1.416210	0.265490	0.046300	0.000000	1.728000	0.321700	43506
EKOFISK	2000	7	1.462800	0.274250	0.046860	0.000000	1.783910	0.352090	43506
EKOFISK	2000	8	1.398310	0.250500	0.047630	0.000000	1.696440	0.298270	43506
EKOFISK	2000	9	1.220060	0.202130	0.036910	0.000000	1.459100	0.290350	43506
EKOFISK	2000	10	1.474730	0.256220	0.045770	0.000000	1.776710	0.349190	43506
EKOFISK	2000	11	1.392840	0.238630	0.043810	0.000000	1.675280	0.357020	43506
EKOFISK	2000	12	1.451410	0.254380	0.047010	0.000000	1.752790	0.381640	43506
EKOFISK	2001	1	1.477410	0.266250	0.048190	0.000000	1.791850	0.386440	43506
EKOFISK	2001	2	1.351310	0.254100	0.045780	0.000000	1.651190	0.347690	43506
EKOFISK	2001	3	1.480700	0.273850	0.045850	0.000000	1.800400	0.387660	43506
EKOFISK	2001	4	1.459620	0.268170	0.043630	0.000000	1.771420	0.417720	43506
EKOFISK	2001	5	1.479340	0.263320	0.044650	0.000000	1.787310	0.485240	43506
EKOFISK	2001	6	1.401980	0.254740	0.039710	0.000000	1.696430	0.444230	43506
EKOFISK	2001	7	1.484750	0.248240	0.044190	0.000000	1.777180	0.461800	43506
EKOFISK	2001	8	0.727020	0.125380	0.019190	0.000000	0.871590	0.241180	43506
EKOFISK	2001	9	1.287340	0.199790	0.040340	0.000000	1.527470	0.212960	43506
EKOFISK	2001	10	1.499630	0.249100	0.055610	0.000000	1.804340	0.378540	43506
EKOFISK	2001	11	1.443080	0.232170	0.048950	0.000000	1.724200	0.381060	43506
EKOFISK	2001	12	1.472390	0.242550	0.046630	0.000000	1.761570	0.404530	43506
EKOFISK	2002	1	1.423120	0.234790	0.047280	0.000000	1.705190	0.404410	43506
EKOFISK	2002	2	1.282690	0.209320	0.043060	0.000000	1.535060	0.373000	43506
EKOFISK	2002	3	1.371220	0.224210	0.046500	0.000000	1.641930	0.406720	43506
EKOFISK	2002	4	1.387530	0.218520	0.044540	0.000000	1.650600	0.423230	43506
EKOFISK	2002	5	1.351300	0.218000	0.042920	0.000000	1.612220	0.408420	43506
EKOFISK	2002	6	1.400800	0.215460	0.045160	0.000000	1.661420	0.416460	43506
EKOFISK	2002	7	1.517210	0.242800	0.059020	0.000000	1.819030	0.431860	43506
EKOFISK	2002	8	1.490720	0.238340	0.055920	0.000000	1.784980	0.441970	43506
EKOFISK	2002	9	1.525150	0.220550	0.054820	0.000000	1.800520	0.521430	43506
EKOFISK	2002	10	1.550000	0.244390	0.058960	0.000000	1.853350	0.555770	43506
EKOFISK	2002	11	1.410400	0.226410	0.053330	0.000000	1.690130	0.555230	43506
EKOFISK	2002	12	1.522800	0.250350	0.053260	0.000000	1.826410	0.606150	43506
EKOFISK	2003	1	1.521290	0.243780	0.052160	0.000000	1.817240	0.577060	43506
EKOFISK	2003	2	1.363020	0.211950	0.048260	0.000000	1.623220	0.470050	43506
EKOFISK	2003	3	1.512620	0.241820	0.054770	0.000000	1.809210	0.491600	43506
EKOFISK	2003	4	1.460510	0.234950	0.054550	0.000000	1.750010	0.519790	43506
EKOFISK	2003	5	1.441930	0.224550	0.055910	0.000000	1.722390	0.513190	43506
EKOFISK	2003	6	1.255200	0.199320	0.046390	0.000000	1.500910	0.532550	43506
EKOFISK	2003	7	1.375200	0.217450	0.048930	0.000000	1.641580	0.517200	43506
EKOFISK	2003	8	1.441910	0.218200	0.050410	0.000000	1.710520	0.493410	43506
EKOFISK	2003	9	1.445300	0.223920	0.050460	0.000000	1.719680	0.509460	43506
EKOFISK	2003	10	1.463560	0.228230	0.056080	0.000000	1.747870	0.513450	43506
EKOFISK	2003	11	1.408140	0.216150	0.052050	0.000000	1.676340	0.504210	43506
EKOFISK	2003	12	1.484000	0.228280	0.053030	0.000000	1.765320	0.562210	43506
EKOFISK	2004	1	1.423480	0.220480	0.053140	0.000000	1.697100	0.556560	43506
EKOFISK	2004	2	1.377220	0.215950	0.051280	0.000000	1.644460	0.529540	43506
EKOFISK	2004	3	1.474710	0.234430	0.055730	0.000000	1.764880	0.551710	43506
EKOFISK	2004	4	1.425850	0.222650	0.054870	0.000000	1.703360	0.574870	43506
EKOFISK	2004	5	1.480620	0.230880	0.055820	0.000000	1.767320	0.624680	43506
EKOFISK	2004	6	1.423860	0.220090	0.051090	0.000000	1.695040	0.620960	43506
EKOFISK	2004	7	1.495140	0.236560	0.053370	0.000000	1.785070	0.629430	43506
EKOFISK	2004	8	1.044040	0.164480	0.039430	0.000000	1.247950	0.442370	43506
EKOFISK	2004	9	1.042150	0.143120	0.035130	0.000000	1.220400	0.427530	43506
EKOFISK	2004	10	1.499450	0.231540	0.057980	0.000000	1.788970	0.557020	43506
EKOFISK	2004	11	1.395400	0.222780	0.053660	0.000000	1.671840	0.623450	43506
EKOFISK	2004	12	1.439240	0.235630	0.060500	0.000000	1.735370	0.664360	43506
EKOFISK	2005	1	1.379150	0.225020	0.057740	0.000000	1.661920	0.636780	43506
EKOFISK	2005	2	1.213400	0.192990	0.048380	0.000000	1.454770	0.570630	43506
EKOFISK	2005	3	1.373520	0.221570	0.057570	0.000000	1.652670	0.643240	43506
EKOFISK	2005	4	1.323670	0.215340	0.055170	0.000000	1.594170	0.690910	43506
EKOFISK	2005	5	1.402660	0.226340	0.049000	0.000000	1.678000	0.667170	43506
EKOFISK	2005	6	1.330380	0.211750	0.041460	0.000000	1.583590	0.644360	43506
EKOFISK	2005	7	1.363840	0.217220	0.049830	0.000000	1.630890	0.648260	43506
EKOFISK	2005	8	1.265200	0.197480	0.047480	0.000000	1.510160	0.615400	43506
EKOFISK	2005	9	1.271610	0.202410	0.049060	0.000000	1.523070	0.619970	43506
EKOFISK	2005	10	1.278150	0.209650	0.050530	0.000000	1.538330	0.606440	43506
EKOFISK	2005	11	1.275190	0.203350	0.051980	0.000000	1.530510	0.582970	43506
EKOFISK	2005	12	1.341480	0.208060	0.054590	0.000000	1.604120	0.633190	43506
EKOFISK	2006	1	1.338000	0.203240	0.047600	0.000000	1.588840	0.652040	43506
EKOFISK	2006	2	1.246630	0.196620	0.052210	0.000000	1.495460	0.619220	43506
EKOFISK	2006	3	1.305710	0.200700	0.052110	0.000000	1.558520	0.663890	43506
EKOFISK	2006	4	1.379600	0.234790	0.056650	0.000000	1.671050	0.732170	43506
EKOFISK	2006	5	1.369190	0.235990	0.059250	0.000000	1.664430	0.766640	43506
EKOFISK	2006	6	1.324220	0.229630	0.056350	0.000000	1.610200	0.705140	43506
EKOFISK	2006	7	1.293230	0.218570	0.049070	0.000000	1.560870	0.710530	43506
EKOFISK	2006	8	1.306930	0.217730	0.050690	0.000000	1.575360	0.633850	43506
EKOFISK	2006	9	1.314710	0.229510	0.053590	0.000000	1.597810	0.654200	43506
EKOFISK	2006	10	1.344270	0.233310	0.055610	0.000000	1.633190	0.673210	43506
EKOFISK	2006	11	1.266920	0.210930	0.048600	0.000000	1.526450	0.654890	43506
EKOFISK	2006	12	1.300790	0.226830	0.053670	0.000000	1.581290	0.697600	43506
EKOFISK	2007	1	1.274580	0.221390	0.048870	0.000000	1.544840	0.704520	43506
EKOFISK	2007	2	1.120620	0.198360	0.043310	0.000000	1.362280	0.611870	43506
EKOFISK	2007	3	1.201750	0.204910	0.045950	0.000000	1.452600	0.737930	43506
EKOFISK	2007	4	1.147330	0.202200	0.044020	0.000000	1.393550	0.756850	43506
EKOFISK	2007	5	1.125530	0.201570	0.045510	0.000000	1.372600	0.750480	43506
EKOFISK	2007	6	0.473170	0.076480	0.014010	0.000000	0.563660	0.250340	43506
EKOFISK	2007	7	1.169690	0.182450	0.042790	0.000000	1.394930	0.663390	43506
EKOFISK	2007	8	1.219870	0.209930	0.050650	0.000000	1.480450	0.741710	43506
EKOFISK	2007	9	1.113260	0.196450	0.045690	0.000000	1.355400	0.689880	43506
EKOFISK	2007	10	1.162360	0.207510	0.049590	0.000000	1.419450	0.763770	43506
EKOFISK	2007	11	1.061990	0.185280	0.045090	0.000000	1.292360	0.724990	43506
EKOFISK	2007	12	1.112490	0.198990	0.048620	0.000000	1.360090	0.831490	43506
EKOFISK	2008	1	1.072650	0.192370	0.046990	0.000000	1.312020	0.814950	43506
EKOFISK	2008	2	1.004040	0.183140	0.044010	0.000000	1.231190	0.737940	43506
EKOFISK	2008	3	1.039190	0.189280	0.048000	0.000000	1.276470	0.773900	43506
EKOFISK	2008	4	0.998040	0.170940	0.042830	0.000000	1.211810	0.677730	43506
EKOFISK	2008	5	1.030870	0.178500	0.043570	0.000000	1.252940	0.632270	43506
EKOFISK	2008	6	0.860510	0.142680	0.036140	0.000000	1.039340	0.533210	43506
EKOFISK	2008	7	1.031110	0.178870	0.042460	0.000000	1.252440	0.765520	43506
EKOFISK	2008	8	1.041790	0.191690	0.043250	0.000000	1.276730	0.851350	43506
EKOFISK	2008	9	1.023800	0.187810	0.047860	0.000000	1.259460	0.845760	43506
EKOFISK	2008	10	1.042240	0.188030	0.045420	0.000000	1.275680	0.792590	43506
EKOFISK	2008	11	1.022370	0.178020	0.040890	0.000000	1.241270	0.751460	43506
EKOFISK	2008	12	1.022380	0.174880	0.046640	0.000000	1.243890	0.819950	43506
EKOFISK	2009	1	1.012910	0.173160	0.046560	0.000000	1.232620	0.978630	43506
EKOFISK	2009	2	0.892950	0.149700	0.040460	0.000000	1.083110	0.869180	43506
EKOFISK	2009	3	1.029990	0.174570	0.041960	0.000000	1.246510	0.949990	43506
EKOFISK	2009	4	0.964850	0.161480	0.042060	0.000000	1.168390	0.853540	43506
EKOFISK	2009	5	0.952900	0.157540	0.034100	0.000000	1.144540	0.842360	43506
EKOFISK	2009	6	0.889160	0.152120	0.033720	0.000000	1.074990	0.787310	43506
EKOFISK	2009	7	0.935590	0.159610	0.036530	0.000000	1.131720	0.789600	43506
EKOFISK	2009	8	0.887930	0.154530	0.036600	0.000000	1.079070	0.873610	43506
EKOFISK	2009	9	0.854490	0.143800	0.033470	0.000000	1.031760	0.777970	43506
EKOFISK	2009	10	0.972400	0.159470	0.038980	0.000000	1.170850	0.954130	43506
EKOFISK	2009	11	0.930140	0.160390	0.035840	0.000000	1.126370	0.991220	43506
EKOFISK	2009	12	0.923810	0.156420	0.035360	0.000000	1.115600	0.959580	43506
EKOFISK	2010	1	0.922130	0.155940	0.039910	0.000000	1.117980	0.991430	43506
EKOFISK	2010	2	0.820180	0.138860	0.035260	0.000000	0.994300	0.897270	43506
EKOFISK	2010	3	0.878190	0.147720	0.035780	0.000000	1.061690	0.987970	43506
EKOFISK	2010	4	0.822750	0.138000	0.037070	0.000000	0.997810	0.962890	43506
EKOFISK	2010	5	0.822950	0.134110	0.036210	0.000000	0.993260	1.022590	43506
EKOFISK	2010	6	0.258840	0.039850	0.006790	0.000000	0.305480	0.334260	43506
EKOFISK	2010	7	0.890250	0.145420	0.030130	0.000000	1.065800	1.049760	43506
EKOFISK	2010	8	0.849110	0.148260	0.033620	0.000000	1.030990	1.083310	43506
EKOFISK	2010	9	0.805920	0.144860	0.031650	0.000000	0.982420	1.047560	43506
EKOFISK	2010	10	0.808440	0.142610	0.032120	0.000000	0.983160	0.822240	43506
EKOFISK	2010	11	0.749920	0.126560	0.026580	0.000000	0.903050	0.981280	43506
EKOFISK	2010	12	0.758900	0.126880	0.026080	0.000000	0.911850	1.018970	43506
EKOFISK	2011	1	0.777790	0.126220	0.027580	0.000000	0.931590	1.077440	43506
EKOFISK	2011	2	0.695150	0.113480	0.024290	0.000000	0.832920	1.016270	43506
EKOFISK	2011	3	0.715100	0.112870	0.024900	0.000000	0.852860	1.088660	43506
EKOFISK	2011	4	0.681200	0.102430	0.022830	0.000000	0.806460	1.051930	43506
EKOFISK	2011	5	0.737230	0.113240	0.026190	0.000000	0.876660	1.146730	43506
EKOFISK	2011	6	0.676710	0.103040	0.023890	0.000000	0.803640	1.050320	43506
EKOFISK	2011	7	0.707810	0.110630	0.024160	0.000000	0.842600	1.144890	43506
EKOFISK	2011	8	0.701640	0.106790	0.023400	0.000000	0.831820	1.159340	43506
EKOFISK	2011	9	0.678620	0.100750	0.021930	0.000000	0.801300	1.018960	43506
EKOFISK	2011	10	0.712730	0.107720	0.025910	0.000000	0.846360	0.563970	43506
EKOFISK	2011	11	0.661100	0.100370	0.024260	0.000000	0.785730	0.928460	43506
EKOFISK	2011	12	0.666270	0.099970	0.024110	0.000000	0.790350	1.068030	43506
EKOFISK	2012	1	0.656280	0.094260	0.022880	0.000000	0.773420	1.104910	43506
EKOFISK	2012	2	0.629200	0.095150	0.022480	0.000000	0.746820	1.027480	43506
EKOFISK	2012	3	0.653640	0.098240	0.022910	0.000000	0.774800	1.099710	43506
EKOFISK	2012	4	0.614740	0.089240	0.021970	0.000000	0.725950	1.077500	43506
EKOFISK	2012	5	0.631610	0.098700	0.023950	0.000000	0.754260	1.119500	43506
EKOFISK	2012	6	0.570690	0.079900	0.019700	0.000000	0.670280	1.331490	43506
EKOFISK	2012	7	0.643540	0.089050	0.021930	0.000000	0.754520	1.425340	43506
EKOFISK	2012	8	0.677440	0.096960	0.023980	0.000000	0.798380	1.240650	43506
EKOFISK	2012	9	0.633820	0.095010	0.023700	0.000000	0.752530	1.163040	43506
EKOFISK	2012	10	0.641500	0.096250	0.023370	0.000000	0.761110	1.196990	43506
EKOFISK	2012	11	0.596310	0.088980	0.021200	0.000000	0.706490	1.160340	43506
EKOFISK	2012	12	0.626240	0.080780	0.022890	0.000000	0.729900	1.192240	43506
EKOFISK	2013	1	0.597880	0.083640	0.020830	0.000000	0.702350	1.117480	43506
EKOFISK	2013	2	0.518980	0.074200	0.019260	0.000000	0.612440	0.979800	43506
VEST EKOFISK	1977	5	0.002540	0.000000	0.000000	0.000000	0.002540	0.000000	43513
VEST EKOFISK	1977	6	0.284060	0.000000	0.000000	0.000000	0.284060	0.000000	43513
VEST EKOFISK	1977	7	0.086290	0.000000	0.000000	0.000000	0.086290	0.000000	43513
VEST EKOFISK	1977	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43513
VEST EKOFISK	1977	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43513
VEST EKOFISK	1977	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43513
VEST EKOFISK	1977	11	0.001410	0.001130	0.000000	0.000000	0.002530	0.000000	43513
VEST EKOFISK	1977	12	0.378390	0.255670	0.000000	0.000000	0.634060	0.000000	43513
VEST EKOFISK	1978	1	0.410710	0.303460	0.000000	0.000000	0.714170	0.000000	43513
VEST EKOFISK	1978	2	0.368700	0.310250	0.000000	0.000000	0.678950	0.000000	43513
VEST EKOFISK	1978	3	0.340780	0.315160	0.000000	0.000000	0.655940	0.000000	43513
VEST EKOFISK	1978	4	0.349800	0.357110	0.000000	0.000000	0.706910	0.000000	43513
VEST EKOFISK	1978	5	0.314210	0.345050	0.000000	0.000000	0.659270	0.000000	43513
VEST EKOFISK	1978	6	0.281120	0.312050	0.000000	0.000000	0.593170	0.000000	43513
VEST EKOFISK	1978	7	0.299080	0.376180	0.000000	0.000000	0.675260	0.000000	43513
VEST EKOFISK	1978	8	0.331250	0.408980	0.000000	0.000000	0.740230	0.000000	43513
VEST EKOFISK	1978	9	0.314120	0.399920	0.000000	0.000000	0.714050	0.000000	43513
VEST EKOFISK	1978	10	0.269700	0.379270	0.000000	0.000000	0.648970	0.000000	43513
VEST EKOFISK	1978	11	0.284490	0.408110	0.000000	0.000000	0.692590	0.000000	43513
VEST EKOFISK	1978	12	0.283230	0.430190	0.000000	0.000000	0.713420	0.000000	43513
VEST EKOFISK	1979	1	0.271830	0.419830	0.000000	0.000000	0.691660	0.000000	43513
VEST EKOFISK	1979	2	0.202280	0.354150	0.000000	0.000000	0.556430	0.000000	43513
VEST EKOFISK	1979	3	0.189410	0.326560	0.003000	0.000000	0.518970	0.000000	43513
VEST EKOFISK	1979	4	0.209990	0.363460	0.013400	0.000000	0.586850	0.000000	43513
VEST EKOFISK	1979	5	0.189290	0.337020	0.015790	0.000000	0.542090	0.000000	43513
VEST EKOFISK	1979	6	0.171830	0.320180	0.018710	0.000000	0.510720	0.000000	43513
VEST EKOFISK	1979	7	0.178760	0.343470	0.033990	0.000000	0.556230	0.000000	43513
VEST EKOFISK	1979	8	0.167780	0.348690	0.035360	0.000000	0.551820	0.000000	43513
VEST EKOFISK	1979	9	0.168240	0.323200	0.037510	0.000000	0.528950	0.000000	43513
VEST EKOFISK	1979	10	0.105800	0.205250	0.017730	0.000000	0.328780	0.000000	43513
VEST EKOFISK	1979	11	0.141090	0.279820	0.031490	0.000000	0.452400	0.000000	43513
VEST EKOFISK	1979	12	0.139770	0.292370	0.033610	0.000000	0.465750	0.000000	43513
VEST EKOFISK	1980	1	0.135970	0.298800	0.038060	0.000000	0.472830	0.000000	43513
VEST EKOFISK	1980	2	0.121550	0.286970	0.034800	0.000000	0.443310	0.000000	43513
VEST EKOFISK	1980	3	0.120330	0.273790	0.032160	0.000000	0.426280	0.000000	43513
VEST EKOFISK	1980	4	0.111860	0.267300	0.032810	0.000000	0.411970	0.000000	43513
VEST EKOFISK	1980	5	0.107440	0.267350	0.034750	0.000000	0.409540	0.000000	43513
VEST EKOFISK	1980	6	0.099160	0.266850	0.033330	0.000000	0.399340	0.000000	43513
VEST EKOFISK	1980	7	0.053410	0.125780	0.014930	0.000000	0.194120	0.000000	43513
VEST EKOFISK	1980	8	0.083000	0.208470	0.026040	0.000000	0.317510	0.000000	43513
VEST EKOFISK	1980	9	0.083730	0.225400	0.026530	0.000000	0.335670	0.000000	43513
VEST EKOFISK	1980	10	0.087670	0.235680	0.025600	0.000000	0.348950	0.000000	43513
VEST EKOFISK	1980	11	0.086230	0.234170	0.027680	0.000000	0.348080	0.000000	43513
VEST EKOFISK	1980	12	0.071370	0.189650	0.022870	0.000000	0.283890	0.000000	43513
VEST EKOFISK	1981	1	0.062960	0.164490	0.021460	0.000000	0.248900	0.000000	43513
VEST EKOFISK	1981	2	0.047530	0.124750	0.016310	0.000000	0.188600	0.000000	43513
VEST EKOFISK	1981	3	0.054110	0.137590	0.017910	0.000000	0.209600	0.000000	43513
VEST EKOFISK	1981	4	0.053350	0.152100	0.020240	0.000000	0.225690	0.000000	43513
VEST EKOFISK	1981	5	0.054320	0.152040	0.018290	0.000000	0.224650	0.000000	43513
VEST EKOFISK	1981	6	0.051560	0.144960	0.018000	0.000000	0.214520	0.000000	43513
VEST EKOFISK	1981	7	0.052800	0.153130	0.018950	0.000000	0.224880	0.000000	43513
VEST EKOFISK	1981	8	0.014230	0.032880	0.003820	0.000000	0.050930	0.000000	43513
VEST EKOFISK	1981	9	0.036180	0.091350	0.011780	0.000000	0.139310	0.000000	43513
VEST EKOFISK	1981	10	0.030590	0.090550	0.011370	0.000000	0.132510	0.000000	43513
VEST EKOFISK	1981	11	0.039170	0.100340	0.013330	0.000000	0.152840	0.000000	43513
VEST EKOFISK	1981	12	0.049390	0.145920	0.016410	0.000000	0.211720	0.000000	43513
VEST EKOFISK	1982	1	0.048460	0.146860	0.016370	0.000000	0.211680	0.000000	43513
VEST EKOFISK	1982	2	0.045640	0.145520	0.016370	0.000000	0.207530	0.000000	43513
VEST EKOFISK	1982	3	0.049360	0.159840	0.020990	0.000000	0.230190	0.000000	43513
VEST EKOFISK	1982	4	0.050090	0.158850	0.019910	0.000000	0.228850	0.000000	43513
VEST EKOFISK	1982	5	0.039750	0.134650	0.015380	0.000000	0.189780	0.000000	43513
VEST EKOFISK	1982	6	0.049010	0.150120	0.019950	0.000000	0.219080	0.000000	43513
VEST EKOFISK	1982	7	0.034850	0.121930	0.017670	0.000000	0.174450	0.000000	43513
VEST EKOFISK	1982	8	0.040370	0.121200	0.017890	0.000000	0.179460	0.000000	43513
VEST EKOFISK	1982	9	0.041550	0.131910	0.019680	0.000000	0.193140	0.000000	43513
VEST EKOFISK	1982	10	0.034750	0.105200	0.016920	0.000000	0.156860	0.000000	43513
VEST EKOFISK	1982	11	0.043000	0.144330	0.023710	0.000000	0.211040	0.000000	43513
VEST EKOFISK	1982	12	0.045320	0.151620	0.024250	0.000000	0.221190	0.000000	43513
VEST EKOFISK	1983	1	0.047000	0.160310	0.024990	0.000000	0.232300	0.000000	43513
VEST EKOFISK	1983	2	0.044600	0.144100	0.023000	0.000000	0.211700	0.000000	43513
VEST EKOFISK	1983	3	0.045250	0.151590	0.026420	0.000000	0.223270	0.000000	43513
VEST EKOFISK	1983	4	0.040410	0.134120	0.025310	0.000000	0.199840	0.000000	43513
VEST EKOFISK	1983	5	0.042230	0.136920	0.028390	0.000000	0.207530	0.000000	43513
VEST EKOFISK	1983	6	0.042330	0.140040	0.023210	0.000000	0.205580	0.000000	43513
VEST EKOFISK	1983	7	0.039000	0.123570	0.020070	0.000000	0.182640	0.000000	43513
VEST EKOFISK	1983	8	0.040040	0.121830	0.018490	0.000000	0.180360	0.000000	43513
VEST EKOFISK	1983	9	0.045110	0.139030	0.022150	0.000000	0.206290	0.000000	43513
VEST EKOFISK	1983	10	0.044580	0.145950	0.022420	0.000000	0.212950	0.000000	43513
VEST EKOFISK	1983	11	0.043100	0.142080	0.022390	0.000000	0.207570	0.000000	43513
VEST EKOFISK	1983	12	0.043500	0.140850	0.023650	0.000000	0.208000	0.000000	43513
VEST EKOFISK	1984	1	0.042330	0.138180	0.021800	0.000000	0.202310	0.000000	43513
VEST EKOFISK	1984	2	0.034130	0.106510	0.018240	0.000000	0.158880	0.000000	43513
VEST EKOFISK	1984	3	0.034980	0.110840	0.017810	0.000000	0.163620	0.000000	43513
VEST EKOFISK	1984	4	0.032400	0.104580	0.018640	0.000000	0.155610	0.000000	43513
VEST EKOFISK	1984	5	0.035310	0.112350	0.019830	0.000000	0.167500	0.000000	43513
VEST EKOFISK	1984	6	0.033670	0.104990	0.018850	0.000000	0.157510	0.000000	43513
VEST EKOFISK	1984	7	0.033230	0.101570	0.014770	0.000000	0.149570	0.000000	43513
VEST EKOFISK	1984	8	0.019470	0.056840	0.008370	0.000000	0.084680	0.000000	43513
VEST EKOFISK	1984	9	0.029810	0.097540	0.014050	0.000000	0.141400	0.000000	43513
VEST EKOFISK	1984	10	0.034980	0.115180	0.018380	0.000000	0.168530	0.000000	43513
VEST EKOFISK	1984	11	0.033500	0.117110	0.017620	0.000000	0.168220	0.000000	43513
VEST EKOFISK	1984	12	0.035080	0.116140	0.018660	0.000000	0.169880	0.000000	43513
VEST EKOFISK	1985	1	0.039560	0.132660	0.018150	0.000000	0.190370	0.000000	43513
VEST EKOFISK	1985	2	0.036320	0.119740	0.020320	0.000000	0.176370	0.000000	43513
VEST EKOFISK	1985	3	0.037310	0.127020	0.023910	0.000000	0.188240	0.000000	43513
VEST EKOFISK	1985	4	0.034370	0.124020	0.019880	0.000000	0.178270	0.000000	43513
VEST EKOFISK	1985	5	0.035920	0.118700	0.020580	0.000000	0.175210	0.000000	43513
VEST EKOFISK	1985	6	0.032400	0.108910	0.019430	0.000000	0.160750	0.000000	43513
VEST EKOFISK	1985	7	0.030700	0.106310	0.020290	0.000000	0.157290	0.000000	43513
VEST EKOFISK	1985	8	0.029040	0.097620	0.018350	0.000000	0.145010	0.000000	43513
VEST EKOFISK	1985	9	0.028760	0.091200	0.018270	0.000000	0.138230	0.000000	43513
VEST EKOFISK	1985	10	0.025510	0.091060	0.016530	0.000000	0.133100	0.000000	43513
VEST EKOFISK	1985	11	0.023510	0.085530	0.015370	0.000000	0.124400	0.000000	43513
VEST EKOFISK	1985	12	0.027250	0.089250	0.015370	0.000000	0.131860	0.000000	43513
VEST EKOFISK	1986	1	0.028210	0.107770	0.018090	0.000000	0.154070	0.000000	43513
VEST EKOFISK	1986	2	0.026000	0.103870	0.017630	0.000000	0.147510	0.000000	43513
VEST EKOFISK	1986	3	0.030250	0.116110	0.019710	0.000000	0.166070	0.000000	43513
VEST EKOFISK	1986	4	0.009430	0.035130	0.006000	0.000000	0.050550	0.000000	43513
VEST EKOFISK	1986	5	0.031500	0.120470	0.019930	0.000000	0.171890	0.000000	43513
VEST EKOFISK	1986	6	0.030070	0.130700	0.022410	0.000000	0.183190	0.000000	43513
VEST EKOFISK	1986	7	0.030440	0.134220	0.022240	0.000000	0.186890	0.000000	43513
VEST EKOFISK	1986	8	0.030220	0.125880	0.021840	0.000000	0.177930	0.000000	43513
VEST EKOFISK	1986	9	0.028740	0.115090	0.017860	0.000000	0.161690	0.000000	43513
VEST EKOFISK	1986	10	0.030740	0.125560	0.014520	0.000000	0.170820	0.000000	43513
VEST EKOFISK	1986	11	0.026830	0.112580	0.017760	0.000000	0.157170	0.000000	43513
VEST EKOFISK	1986	12	0.029530	0.113840	0.019820	0.000000	0.163190	0.000000	43513
VEST EKOFISK	1987	1	0.027230	0.116160	0.018940	0.000000	0.162340	0.000000	43513
VEST EKOFISK	1987	2	0.024930	0.107440	0.017460	0.000000	0.149820	0.000000	43513
VEST EKOFISK	1987	3	0.028420	0.124720	0.021030	0.000000	0.174170	0.000000	43513
VEST EKOFISK	1987	4	0.023900	0.109590	0.018340	0.000000	0.151830	0.000000	43513
VEST EKOFISK	1987	5	0.025820	0.110600	0.020070	0.000000	0.156480	0.000000	43513
VEST EKOFISK	1987	6	0.026310	0.114560	0.020300	0.000000	0.161170	0.000000	43513
VEST EKOFISK	1987	7	0.026000	0.109540	0.019320	0.000000	0.154860	0.000000	43513
VEST EKOFISK	1987	8	0.006030	0.025910	0.004520	0.000000	0.036460	0.000000	43513
VEST EKOFISK	1987	9	0.021490	0.090030	0.013140	0.000000	0.124650	0.000000	43513
VEST EKOFISK	1987	10	0.022630	0.116490	0.012830	0.000000	0.151950	0.000000	43513
VEST EKOFISK	1987	11	0.024080	0.111560	0.017640	0.000000	0.153280	0.000000	43513
VEST EKOFISK	1987	12	0.026550	0.109060	0.018480	0.000000	0.154090	0.000000	43513
VEST EKOFISK	1988	1	0.028120	0.105930	0.018840	0.000000	0.152880	0.000000	43513
VEST EKOFISK	1988	2	0.029930	0.089610	0.019100	0.000000	0.138640	0.000000	43513
VEST EKOFISK	1988	3	0.023910	0.095410	0.019550	0.000000	0.138880	0.000000	43513
VEST EKOFISK	1988	4	0.023370	0.098890	0.019200	0.000000	0.141460	0.000000	43513
VEST EKOFISK	1988	5	0.023750	0.099160	0.016580	0.000000	0.139480	0.000000	43513
VEST EKOFISK	1988	6	0.022580	0.088960	0.017140	0.000000	0.128680	0.000000	43513
VEST EKOFISK	1988	7	0.024800	0.077220	0.014780	0.000000	0.116790	0.000000	43513
VEST EKOFISK	1988	8	0.021080	0.076420	0.015160	0.000000	0.112650	0.000000	43513
VEST EKOFISK	1988	9	0.023540	0.090110	0.017930	0.000000	0.131580	0.000000	43513
VEST EKOFISK	1988	10	0.021550	0.086960	0.015800	0.000000	0.124310	0.000000	43513
VEST EKOFISK	1988	11	0.021320	0.079880	0.015270	0.000000	0.116460	0.000000	43513
VEST EKOFISK	1988	12	0.020520	0.079190	0.015570	0.000000	0.115270	0.000000	43513
VEST EKOFISK	1989	1	0.021860	0.071310	0.012120	0.000000	0.105290	0.000000	43513
VEST EKOFISK	1989	2	0.019380	0.064360	0.012310	0.000000	0.096050	0.000000	43513
VEST EKOFISK	1989	3	0.017980	0.063120	0.011870	0.000000	0.092970	0.000000	43513
VEST EKOFISK	1989	4	0.013470	0.046350	0.008800	0.000000	0.068620	0.000000	43513
VEST EKOFISK	1989	5	0.015870	0.055660	0.010350	0.000000	0.081880	0.000000	43513
VEST EKOFISK	1989	6	0.019320	0.069230	0.012450	0.000000	0.101010	0.000000	43513
VEST EKOFISK	1989	7	0.018670	0.068900	0.012450	0.000000	0.100020	0.000000	43513
VEST EKOFISK	1989	8	0.018400	0.064170	0.011870	0.000000	0.094440	0.000000	43513
VEST EKOFISK	1989	9	0.016800	0.064150	0.012300	0.000000	0.093240	0.000000	43513
VEST EKOFISK	1989	10	0.018270	0.063750	0.012450	0.000000	0.094470	0.000000	43513
VEST EKOFISK	1989	11	0.016820	0.059090	0.010540	0.000000	0.086450	0.000000	43513
VEST EKOFISK	1989	12	0.016490	0.057800	0.010290	0.000000	0.084580	0.000000	43513
VEST EKOFISK	1990	1	0.015630	0.056120	0.010520	0.000000	0.082270	0.000000	43513
VEST EKOFISK	1990	2	0.014520	0.047610	0.009140	0.000000	0.071270	0.000000	43513
VEST EKOFISK	1990	3	0.015520	0.049620	0.009940	0.000000	0.075080	0.000000	43513
VEST EKOFISK	1990	4	0.013600	0.048160	0.009030	0.000000	0.070790	0.000000	43513
VEST EKOFISK	1990	5	0.014700	0.046990	0.008960	0.000000	0.070640	0.000000	43513
VEST EKOFISK	1990	6	0.013580	0.044020	0.008310	0.000000	0.065910	0.000000	43513
VEST EKOFISK	1990	7	0.011850	0.038670	0.006390	0.000000	0.056910	0.000000	43513
VEST EKOFISK	1990	8	0.012970	0.043610	0.008040	0.000000	0.064620	0.000000	43513
VEST EKOFISK	1990	9	0.012290	0.039960	0.007000	0.000000	0.059240	0.000000	43513
VEST EKOFISK	1990	10	0.011830	0.040820	0.007050	0.000000	0.059690	0.000000	43513
VEST EKOFISK	1990	11	0.010160	0.033740	0.005500	0.000000	0.049400	0.000000	43513
VEST EKOFISK	1990	12	0.010240	0.035100	0.005560	0.000000	0.050900	0.000000	43513
VEST EKOFISK	1991	1	0.010650	0.034160	0.005520	0.000000	0.050330	0.000000	43513
VEST EKOFISK	1991	2	0.009010	0.031350	0.004830	0.000000	0.045190	0.000000	43513
VEST EKOFISK	1991	3	0.010320	0.034620	0.005440	0.000000	0.050380	0.000000	43513
VEST EKOFISK	1991	4	0.011010	0.035900	0.005910	0.000000	0.052810	0.000000	43513
VEST EKOFISK	1991	5	0.012500	0.040520	0.006540	0.000000	0.059560	0.000000	43513
VEST EKOFISK	1991	6	0.011260	0.040170	0.006370	0.000000	0.057800	0.000000	43513
VEST EKOFISK	1991	7	0.011010	0.039490	0.005470	0.000000	0.055970	0.000000	43513
VEST EKOFISK	1991	8	0.003730	0.012190	0.001210	0.000000	0.017120	0.000000	43513
VEST EKOFISK	1991	9	0.010370	0.038890	0.006350	0.000000	0.055610	0.000000	43513
VEST EKOFISK	1991	10	0.010130	0.038430	0.005830	0.000000	0.054400	0.000000	43513
VEST EKOFISK	1991	11	0.009790	0.035680	0.005270	0.000000	0.050730	0.000000	43513
VEST EKOFISK	1991	12	0.009280	0.033370	0.004870	0.000000	0.047510	0.000000	43513
VEST EKOFISK	1992	1	0.009980	0.035830	0.004960	0.000000	0.050770	0.000000	43513
VEST EKOFISK	1992	2	0.008670	0.030580	0.004270	0.000000	0.043520	0.000000	43513
VEST EKOFISK	1992	3	0.006440	0.024580	0.003300	0.000000	0.034320	0.000000	43513
VEST EKOFISK	1992	4	0.009750	0.033670	0.004790	0.000000	0.048210	0.000000	43513
VEST EKOFISK	1992	5	0.007740	0.025290	0.003470	0.000000	0.036500	0.000000	43513
VEST EKOFISK	1992	6	0.007940	0.028560	0.004030	0.000000	0.040530	0.000000	43513
VEST EKOFISK	1992	7	0.009860	0.036030	0.005130	0.000000	0.051010	0.000000	43513
VEST EKOFISK	1992	8	0.009390	0.033900	0.004980	0.000000	0.048260	0.000000	43513
VEST EKOFISK	1992	9	0.007800	0.025250	0.003710	0.000000	0.036760	0.000000	43513
VEST EKOFISK	1992	10	0.007050	0.026340	0.002760	0.000000	0.036150	0.000000	43513
VEST EKOFISK	1992	11	0.006150	0.024690	0.003010	0.000000	0.033850	0.000000	43513
VEST EKOFISK	1992	12	0.008090	0.032070	0.004350	0.000000	0.044510	0.000000	43513
VEST EKOFISK	1993	1	0.007780	0.031600	0.004130	0.000000	0.043520	0.000000	43513
VEST EKOFISK	1993	2	0.006800	0.026060	0.003630	0.000000	0.036490	0.000000	43513
VEST EKOFISK	1993	3	0.007080	0.026600	0.003680	0.000000	0.037360	0.000000	43513
VEST EKOFISK	1993	4	0.007240	0.026540	0.003620	0.000000	0.037400	0.000000	43513
VEST EKOFISK	1993	5	0.007290	0.027080	0.003830	0.000000	0.038200	0.000000	43513
VEST EKOFISK	1993	6	0.008730	0.032900	0.004560	0.000000	0.046190	0.000000	43513
VEST EKOFISK	1993	7	0.010840	0.043800	0.006000	0.000000	0.060630	0.000000	43513
VEST EKOFISK	1993	8	0.012680	0.043070	0.006290	0.000000	0.062040	0.000000	43513
VEST EKOFISK	1993	9	0.010000	0.039710	0.005570	0.000000	0.055280	0.000000	43513
VEST EKOFISK	1993	10	0.010890	0.040040	0.005520	0.000000	0.056450	0.000000	43513
VEST EKOFISK	1993	11	0.009630	0.036080	0.005970	0.000000	0.051670	0.000000	43513
VEST EKOFISK	1993	12	0.009290	0.035400	0.005460	0.000000	0.050150	0.000000	43513
VEST EKOFISK	1994	1	0.009240	0.032060	0.004750	0.000000	0.046050	0.000000	43513
VEST EKOFISK	1994	2	0.007780	0.028940	0.004240	0.000000	0.040960	0.000000	43513
VEST EKOFISK	1994	3	0.009620	0.033970	0.005500	0.000000	0.049080	0.000000	43513
VEST EKOFISK	1994	4	0.008790	0.031290	0.004740	0.000000	0.044820	0.000000	43513
VEST EKOFISK	1994	5	0.008480	0.031730	0.004550	0.000000	0.044750	0.000000	43513
VEST EKOFISK	1994	6	0.008310	0.029570	0.004390	0.000000	0.042260	0.000000	43513
VEST EKOFISK	1994	7	0.008020	0.030310	0.003600	0.000000	0.041930	0.000000	43513
VEST EKOFISK	1994	8	0.004750	0.013990	0.001720	0.000000	0.020470	0.000000	43513
VEST EKOFISK	1994	9	0.007740	0.027900	0.003870	0.000000	0.039510	0.000000	43513
VEST EKOFISK	1994	10	0.008750	0.030680	0.004580	0.000000	0.044010	0.000000	43513
VEST EKOFISK	1994	11	0.008090	0.029020	0.004390	0.000000	0.041500	0.000000	43513
VEST EKOFISK	1994	12	0.007680	0.027920	0.004560	0.000000	0.040150	0.000000	43513
VEST EKOFISK	1995	1	0.007190	0.022050	0.003640	0.000000	0.032870	0.000000	43513
VEST EKOFISK	1995	2	0.006990	0.023940	0.003740	0.000000	0.034670	0.000000	43513
VEST EKOFISK	1995	3	0.007260	0.025720	0.004240	0.000000	0.037220	0.000000	43513
VEST EKOFISK	1995	4	0.007300	0.024180	0.003710	0.000000	0.035180	0.000000	43513
VEST EKOFISK	1995	5	0.006640	0.023030	0.003640	0.000000	0.033300	0.000000	43513
VEST EKOFISK	1995	6	0.006240	0.021900	0.003410	0.000000	0.031550	0.000000	43513
VEST EKOFISK	1995	7	0.005170	0.017900	0.003050	0.000000	0.026120	0.000000	43513
VEST EKOFISK	1995	8	0.003790	0.014650	0.002070	0.000000	0.020510	0.000000	43513
VEST EKOFISK	1995	9	0.004680	0.019000	0.002910	0.000000	0.026590	0.000000	43513
VEST EKOFISK	1995	10	0.005150	0.020050	0.002050	0.000000	0.027240	0.000000	43513
VEST EKOFISK	1995	11	0.004960	0.019060	0.003420	0.000000	0.027440	0.000000	43513
VEST EKOFISK	1995	12	0.005600	0.020280	0.003260	0.000000	0.029130	0.000000	43513
VEST EKOFISK	1996	1	0.005420	0.019350	0.003050	0.000000	0.027810	0.000000	43513
VEST EKOFISK	1996	2	0.005440	0.019750	0.002740	0.000000	0.027930	0.000000	43513
VEST EKOFISK	1996	3	0.005630	0.021240	0.003120	0.000000	0.029980	0.000000	43513
VEST EKOFISK	1996	4	0.005420	0.019390	0.002970	0.000000	0.027770	0.000000	43513
VEST EKOFISK	1996	5	0.004280	0.015650	0.002010	0.000000	0.021940	0.000000	43513
VEST EKOFISK	1996	6	0.003910	0.013540	0.001920	0.000000	0.019370	0.000000	43513
VEST EKOFISK	1996	7	0.003610	0.012490	0.001840	0.000000	0.017940	0.000000	43513
VEST EKOFISK	1996	8	0.003560	0.012710	0.001980	0.000000	0.018250	0.000000	43513
VEST EKOFISK	1996	9	0.003780	0.012570	0.001830	0.000000	0.018180	0.000000	43513
VEST EKOFISK	1996	10	0.004380	0.015040	0.002310	0.000000	0.021730	0.000000	43513
VEST EKOFISK	1996	11	0.004840	0.016900	0.002590	0.000000	0.024330	0.000000	43513
VEST EKOFISK	1996	12	0.004480	0.016700	0.002460	0.000000	0.023630	0.000000	43513
VEST EKOFISK	1997	1	0.003570	0.013000	0.002070	0.000000	0.018640	0.000000	43513
VEST EKOFISK	1997	2	0.004000	0.013640	0.002180	0.000000	0.019810	0.000000	43513
VEST EKOFISK	1997	3	0.003720	0.015350	0.002250	0.000000	0.021330	0.000000	43513
VEST EKOFISK	1997	4	0.004040	0.012100	0.001980	0.000000	0.018120	0.000000	43513
VEST EKOFISK	1997	5	0.003670	0.012390	0.001850	0.000000	0.017920	0.000000	43513
VEST EKOFISK	1997	6	0.003350	0.012370	0.001750	0.000000	0.017470	0.000000	43513
VEST EKOFISK	1997	7	0.003210	0.011280	0.001710	0.000000	0.016190	0.000000	43513
VEST EKOFISK	1997	8	0.004110	0.016530	0.002660	0.000000	0.023290	0.000000	43513
VEST EKOFISK	1997	9	0.003940	0.015380	0.002460	0.000000	0.021770	0.000000	43513
VEST EKOFISK	1997	10	0.004050	0.015280	0.002480	0.000000	0.021810	0.000000	43513
VEST EKOFISK	1997	11	0.003920	0.014330	0.002480	0.000000	0.020730	0.000000	43513
VEST EKOFISK	1997	12	0.004640	0.013970	0.002440	0.000000	0.021050	0.000000	43513
VEST EKOFISK	1998	1	0.004060	0.014290	0.002600	0.000000	0.020940	0.000000	43513
VEST EKOFISK	1998	2	0.003490	0.012910	0.002040	0.000000	0.018430	0.000000	43513
VEST EKOFISK	1998	3	0.003730	0.014070	0.002160	0.000000	0.019960	0.000000	43513
VEST EKOFISK	1998	4	0.003970	0.013370	0.002440	0.000000	0.019780	0.000000	43513
VEST EKOFISK	1998	5	0.003940	0.013450	0.002200	0.000000	0.019590	0.000000	43513
VEST EKOFISK	1998	6	0.003570	0.012850	0.002170	0.000000	0.018590	0.000000	43513
VEST EKOFISK	1998	7	0.002780	0.012940	0.001890	0.000000	0.017610	0.000000	43513
TOR	1978	6	0.002230	0.000300	0.000000	0.000000	0.002530	0.000000	43520
TOR	1978	7	0.165370	0.050180	0.000000	0.000000	0.215550	0.000000	43520
TOR	1978	8	0.186700	0.051870	0.000000	0.000000	0.238570	0.000000	43520
TOR	1978	9	0.169990	0.046280	0.000000	0.000000	0.216270	0.000000	43520
TOR	1978	10	0.209600	0.059950	0.000000	0.000000	0.269550	0.000000	43520
TOR	1978	11	0.214100	0.055640	0.000000	0.000000	0.269740	0.000000	43520
TOR	1978	12	0.259370	0.076560	0.000000	0.000000	0.335930	0.000000	43520
TOR	1979	1	0.363240	0.094440	0.000000	0.000000	0.457680	0.000000	43520
TOR	1979	2	0.373950	0.106090	0.000000	0.000000	0.480040	0.000000	43520
TOR	1979	3	0.365980	0.102630	0.002000	0.000000	0.470610	0.000000	43520
TOR	1979	4	0.410020	0.104440	0.008050	0.000000	0.522520	0.000000	43520
TOR	1979	5	0.388220	0.101460	0.008950	0.000000	0.498640	0.000000	43520
TOR	1979	6	0.392460	0.094920	0.009740	0.000000	0.497120	0.000000	43520
TOR	1979	7	0.419950	0.103590	0.018640	0.000000	0.542180	0.000000	43520
TOR	1979	8	0.339620	0.085160	0.017190	0.000000	0.441970	0.000000	43520
TOR	1979	9	0.364640	0.089100	0.018700	0.000000	0.472440	0.000000	43520
TOR	1979	10	0.243540	0.063390	0.009950	0.000000	0.316880	0.000000	43520
TOR	1979	11	0.443050	0.107220	0.022740	0.000000	0.573010	0.000000	43520
TOR	1979	12	0.421620	0.104390	0.023980	0.000000	0.549990	0.000000	43520
TOR	1980	1	0.411610	0.103810	0.024810	0.000000	0.540220	0.000000	43520
TOR	1980	2	0.357060	0.094150	0.021730	0.000000	0.472940	0.000000	43520
TOR	1980	3	0.383230	0.100400	0.021750	0.000000	0.505370	0.000000	43520
TOR	1980	4	0.282690	0.081700	0.018140	0.000000	0.382530	0.000000	43520
TOR	1980	5	0.333070	0.105170	0.024210	0.000000	0.462440	0.000000	43520
TOR	1980	6	0.317160	0.113360	0.024740	0.000000	0.455250	0.000000	43520
TOR	1980	7	0.148080	0.048210	0.010990	0.000000	0.207280	0.000000	43520
TOR	1980	8	0.306120	0.113130	0.025110	0.000000	0.444360	0.000000	43520
TOR	1980	9	0.286210	0.121610	0.026410	0.000000	0.434230	0.000000	43520
TOR	1980	10	0.278670	0.133290	0.027040	0.000000	0.439000	0.000000	43520
TOR	1980	11	0.235330	0.127800	0.024850	0.000000	0.387970	0.000000	43520
TOR	1980	12	0.250350	0.145000	0.027750	0.000000	0.423100	0.000000	43520
TOR	1981	1	0.229830	0.133990	0.027810	0.000000	0.391640	0.000000	43520
TOR	1981	2	0.179880	0.103190	0.022760	0.000000	0.305830	0.000000	43520
TOR	1981	3	0.127470	0.071170	0.014960	0.000000	0.213600	0.000000	43520
TOR	1981	4	0.186180	0.105170	0.021230	0.000000	0.312570	0.000000	43520
TOR	1981	5	0.182210	0.103590	0.019760	0.000000	0.305550	0.000000	43520
TOR	1981	6	0.177730	0.113490	0.022100	0.000000	0.313320	0.000000	43520
TOR	1981	7	0.178500	0.124550	0.022940	0.000000	0.325990	0.000000	43520
TOR	1981	8	0.058030	0.037330	0.006440	0.000000	0.101800	0.000000	43520
TOR	1981	9	0.140210	0.092270	0.017830	0.000000	0.250310	0.000000	43520
TOR	1981	10	0.134970	0.095110	0.018160	0.000000	0.248240	0.000000	43520
TOR	1981	11	0.142630	0.088090	0.016900	0.000000	0.247610	0.000000	43520
TOR	1981	12	0.146160	0.109180	0.018310	0.000000	0.273650	0.000000	43520
TOR	1982	1	0.132620	0.105440	0.018160	0.000000	0.256210	0.000000	43520
TOR	1982	2	0.133180	0.106950	0.019520	0.000000	0.259650	0.000000	43520
TOR	1982	3	0.171880	0.132380	0.027170	0.000000	0.331430	0.000000	43520
TOR	1982	4	0.162850	0.131790	0.025170	0.000000	0.319800	0.000000	43520
TOR	1982	5	0.127430	0.112360	0.019390	0.000000	0.259190	0.000000	43520
TOR	1982	6	0.134450	0.110400	0.022250	0.000000	0.267100	0.000000	43520
TOR	1982	7	0.132790	0.122170	0.026330	0.000000	0.281290	0.000000	43520
TOR	1982	8	0.125790	0.117230	0.024580	0.000000	0.267600	0.000000	43520
TOR	1982	9	0.115180	0.110970	0.023890	0.000000	0.250050	0.000000	43520
TOR	1982	10	0.089380	0.087960	0.019170	0.000000	0.196510	0.000000	43520
TOR	1982	11	0.105120	0.103080	0.023920	0.000000	0.232130	0.000000	43520
TOR	1982	12	0.100050	0.101090	0.022640	0.000000	0.223770	0.000000	43520
TOR	1983	1	0.090900	0.095840	0.020690	0.000000	0.207430	0.000000	43520
TOR	1983	2	0.084020	0.087380	0.019880	0.000000	0.191280	0.000000	43520
TOR	1983	3	0.095610	0.105580	0.026630	0.000000	0.227830	0.000000	43520
TOR	1983	4	0.081820	0.093480	0.024010	0.000000	0.199320	0.000000	43520
TOR	1983	5	0.073450	0.088160	0.023380	0.000000	0.184980	0.000000	43520
TOR	1983	6	0.074260	0.089900	0.021630	0.000000	0.185790	0.000000	43520
TOR	1983	7	0.073740	0.088500	0.020230	0.000000	0.182470	0.000000	43520
TOR	1983	8	0.075630	0.087870	0.020170	0.000000	0.183680	0.000000	43520
TOR	1983	9	0.083680	0.091650	0.020160	0.000000	0.195490	0.000000	43520
TOR	1983	10	0.082450	0.089880	0.020660	0.000000	0.192990	0.000000	43520
TOR	1983	11	0.076020	0.085730	0.018870	0.000000	0.180620	0.000000	43520
TOR	1983	12	0.076360	0.083110	0.018370	0.000000	0.177840	0.000000	43520
TOR	1984	1	0.075490	0.081940	0.017530	0.000000	0.174960	0.000000	43520
TOR	1984	2	0.073690	0.077080	0.018390	0.000000	0.169160	0.000000	43520
TOR	1984	3	0.087030	0.094460	0.020720	0.000000	0.202210	0.000000	43520
TOR	1984	4	0.077060	0.081170	0.020420	0.000000	0.178650	0.000000	43520
TOR	1984	5	0.075080	0.082180	0.021070	0.000000	0.178330	0.000000	43520
TOR	1984	6	0.072280	0.081650	0.020380	0.000000	0.174310	0.000000	43520
TOR	1984	7	0.066460	0.080240	0.016770	0.000000	0.163470	0.000000	43520
TOR	1984	8	0.042990	0.048930	0.010920	0.000000	0.102830	0.000000	43520
TOR	1984	9	0.063360	0.074820	0.016450	0.000000	0.154630	0.000000	43520
TOR	1984	10	0.064670	0.075100	0.017200	0.000000	0.156970	0.000000	43520
TOR	1984	11	0.085190	0.078820	0.018040	0.000000	0.182040	0.000000	43520
TOR	1984	12	0.083920	0.079230	0.019580	0.000000	0.182730	0.000000	43520
TOR	1985	1	0.067660	0.075070	0.014970	0.000000	0.157700	0.000000	43520
TOR	1985	2	0.058620	0.069220	0.015880	0.000000	0.143710	0.000000	43520
TOR	1985	3	0.078120	0.072670	0.020450	0.000000	0.171240	0.000000	43520
TOR	1985	4	0.074430	0.066780	0.017100	0.000000	0.158310	0.000000	43520
TOR	1985	5	0.074560	0.070280	0.017670	0.000000	0.162510	0.000000	43520
TOR	1985	6	0.058310	0.054150	0.014520	0.000000	0.126990	0.000000	43520
TOR	1985	7	0.076180	0.069460	0.019210	0.000000	0.164850	0.000000	43520
TOR	1985	8	0.071210	0.068420	0.017780	0.000000	0.157410	0.000000	43520
TOR	1985	9	0.067870	0.060500	0.017960	0.000000	0.146330	0.000000	43520
TOR	1985	10	0.067060	0.061510	0.015900	0.000000	0.144480	0.000000	43520
TOR	1985	11	0.065770	0.054640	0.015620	0.000000	0.136020	0.000000	43520
TOR	1985	12	0.064420	0.056710	0.014430	0.000000	0.135560	0.000000	43520
TOR	1986	1	0.064800	0.053250	0.014370	0.000000	0.132420	0.000000	43520
TOR	1986	2	0.051890	0.043710	0.010370	0.000000	0.105970	0.000000	43520
TOR	1986	3	0.055150	0.042780	0.011400	0.000000	0.109330	0.000000	43520
TOR	1986	4	0.016000	0.012510	0.003280	0.000000	0.031780	0.000000	43520
TOR	1986	5	0.063560	0.046690	0.011830	0.000000	0.122070	0.000000	43520
TOR	1986	6	0.056480	0.039730	0.010810	0.000000	0.107020	0.000000	43520
TOR	1986	7	0.053150	0.040270	0.010310	0.000000	0.103720	0.000000	43520
TOR	1986	8	0.053990	0.038360	0.010220	0.000000	0.102570	0.000000	43520
TOR	1986	9	0.050480	0.037490	0.008720	0.000000	0.096680	0.000000	43520
TOR	1986	10	0.056370	0.039200	0.007260	0.000000	0.102840	0.000000	43520
TOR	1986	11	0.051120	0.034430	0.008690	0.000000	0.094240	0.000000	43520
TOR	1986	12	0.051550	0.035190	0.009500	0.000000	0.096240	0.000000	43520
TOR	1987	1	0.045710	0.034230	0.008360	0.000000	0.088300	0.000000	43520
TOR	1987	2	0.043130	0.029350	0.007900	0.000000	0.080380	0.000000	43520
TOR	1987	3	0.047500	0.031750	0.007750	0.000000	0.086990	0.000000	43520
TOR	1987	4	0.042290	0.030180	0.007940	0.000000	0.080400	0.000000	43520
TOR	1987	5	0.043590	0.032150	0.008760	0.000000	0.084500	0.000000	43520
TOR	1987	6	0.042040	0.029390	0.008100	0.000000	0.079530	0.000000	43520
TOR	1987	7	0.038080	0.028210	0.007510	0.000000	0.073800	0.000000	43520
TOR	1987	8	0.009710	0.007690	0.002070	0.000000	0.019470	0.000000	43520
TOR	1987	9	0.036410	0.025690	0.006900	0.000000	0.069000	0.000000	43520
TOR	1987	10	0.041160	0.031890	0.007240	0.000000	0.080290	0.000000	43520
TOR	1987	11	0.038040	0.028980	0.007490	0.000000	0.074510	0.000000	43520
TOR	1987	12	0.049720	0.033550	0.008500	0.000000	0.091770	0.000000	43520
TOR	1988	1	0.044910	0.030970	0.009110	0.000000	0.084990	0.000000	43520
TOR	1988	2	0.041060	0.027030	0.008330	0.000000	0.076420	0.000000	43520
TOR	1988	3	0.041090	0.028760	0.008920	0.000000	0.078770	0.000000	43520
TOR	1988	4	0.039410	0.027330	0.008110	0.000000	0.074850	0.000000	43520
TOR	1988	5	0.043760	0.027970	0.007620	0.000000	0.079350	0.000000	43520
TOR	1988	6	0.012600	0.008170	0.002510	0.000000	0.023280	0.000000	43520
TOR	1988	7	0.046050	0.028390	0.008890	0.000000	0.083330	0.000000	43520
TOR	1988	8	0.040580	0.027360	0.008450	0.000000	0.076390	0.000000	43520
TOR	1988	9	0.037660	0.025310	0.007670	0.000000	0.070640	0.000000	43520
TOR	1988	10	0.036060	0.026170	0.007430	0.000000	0.069660	0.000000	43520
TOR	1988	11	0.049620	0.029710	0.008950	0.000000	0.088280	0.000000	43520
TOR	1988	12	0.050070	0.030970	0.009560	0.000000	0.090610	0.000000	43520
TOR	1989	1	0.048760	0.030190	0.007940	0.000000	0.086890	0.000000	43520
TOR	1989	2	0.040980	0.026810	0.008040	0.000000	0.075830	0.000000	43520
TOR	1989	3	0.042560	0.027230	0.007970	0.000000	0.077760	0.000000	43520
TOR	1989	4	0.041100	0.027340	0.007710	0.000000	0.076150	0.000000	43520
TOR	1989	5	0.039710	0.025220	0.007210	0.000000	0.072140	0.000000	43520
TOR	1989	6	0.042320	0.028790	0.007860	0.000000	0.078970	0.000000	43520
TOR	1989	7	0.047550	0.030340	0.008390	0.000000	0.086270	0.000000	43520
TOR	1989	8	0.039810	0.026630	0.007460	0.000000	0.073900	0.000000	43520
TOR	1989	9	0.029420	0.019400	0.005750	0.000000	0.054570	0.000000	43520
TOR	1989	10	0.041760	0.019520	0.006180	0.000000	0.067470	0.000000	43520
TOR	1989	11	0.048160	0.024330	0.007160	0.000000	0.079640	0.000000	43520
TOR	1989	12	0.047890	0.026570	0.007560	0.000000	0.082010	0.000000	43520
TOR	1990	1	0.050120	0.026780	0.008020	0.000000	0.084920	0.000000	43520
TOR	1990	2	0.041120	0.023230	0.006800	0.000000	0.071160	0.000000	43520
TOR	1990	3	0.044390	0.025370	0.007760	0.000000	0.077520	0.000000	43520
TOR	1990	4	0.039610	0.020510	0.005930	0.000000	0.066050	0.000000	43520
TOR	1990	5	0.041340	0.020070	0.006130	0.000000	0.067540	0.000000	43520
TOR	1990	6	0.038290	0.019340	0.005630	0.000000	0.063260	0.000000	43520
TOR	1990	7	0.036510	0.016690	0.004270	0.000000	0.057470	0.000000	43520
TOR	1990	8	0.036880	0.018430	0.005370	0.000000	0.060680	0.000000	43520
TOR	1990	9	0.036530	0.019220	0.005230	0.000000	0.060980	0.000000	43520
TOR	1990	10	0.038010	0.018140	0.004840	0.000000	0.060990	0.000000	43520
TOR	1990	11	0.033920	0.016940	0.004270	0.000000	0.055130	0.000000	43520
TOR	1990	12	0.035940	0.016920	0.004160	0.000000	0.057020	0.000000	43520
TOR	1991	1	0.036280	0.016790	0.004190	0.000000	0.057260	0.000000	43520
TOR	1991	2	0.031440	0.014670	0.003530	0.000000	0.049640	0.000000	43520
TOR	1991	3	0.034650	0.016660	0.004030	0.000000	0.055340	0.000000	43520
TOR	1991	4	0.033580	0.015700	0.003920	0.000000	0.053200	0.000000	43520
TOR	1991	5	0.032690	0.015100	0.003750	0.000000	0.051550	0.000000	43520
TOR	1991	6	0.032230	0.017020	0.003860	0.000000	0.053110	0.000000	43520
TOR	1991	7	0.030140	0.014110	0.002990	0.000000	0.047240	0.000000	43520
TOR	1991	8	0.013670	0.005440	0.000850	0.000000	0.019960	0.000000	43520
TOR	1991	9	0.015120	0.009590	0.002360	0.000000	0.027080	0.000000	43520
TOR	1991	10	0.029400	0.012160	0.002780	0.000000	0.044330	0.000000	43520
TOR	1991	11	0.028490	0.011830	0.002770	0.000000	0.043090	0.000000	43520
TOR	1991	12	0.028590	0.012110	0.002760	0.000000	0.043450	0.000000	43520
TOR	1992	1	0.027440	0.011220	0.002490	0.000000	0.041160	0.000000	43520
TOR	1992	2	0.023560	0.009700	0.002130	0.000000	0.035390	0.000000	43520
TOR	1992	3	0.027820	0.010840	0.002310	0.000000	0.040970	0.000000	43520
TOR	1992	4	0.028710	0.011100	0.002550	0.000000	0.042360	0.000000	43520
TOR	1992	5	0.031220	0.013920	0.003060	0.000000	0.048200	0.000000	43520
TOR	1992	6	0.035610	0.017210	0.003710	0.000000	0.056530	0.000000	43520
TOR	1992	7	0.037480	0.014470	0.003260	0.000000	0.055210	0.000000	43520
TOR	1992	8	0.033840	0.012790	0.003030	0.000000	0.049650	0.000000	43520
TOR	1992	9	0.029980	0.011380	0.002650	0.000000	0.044000	0.000000	43520
TOR	1992	10	0.023980	0.009540	0.001590	0.000000	0.035100	0.000000	43520
TOR	1992	11	0.031990	0.011390	0.002240	0.000000	0.045620	0.000000	43520
TOR	1992	12	0.030710	0.010570	0.002390	0.000000	0.043670	0.000000	43520
TOR	1993	1	0.032600	0.011380	0.002510	0.000000	0.046480	0.000000	43520
TOR	1993	2	0.025660	0.008210	0.001890	0.000000	0.035760	0.000000	43520
TOR	1993	3	0.030370	0.008540	0.002080	0.000000	0.040980	0.000000	43520
TOR	1993	4	0.024070	0.007110	0.001610	0.000000	0.032800	0.000000	43520
TOR	1993	5	0.032050	0.008280	0.002010	0.000000	0.042350	0.000000	43520
TOR	1993	6	0.027890	0.007570	0.001770	0.000000	0.037230	0.000000	43520
TOR	1993	7	0.031130	0.007710	0.001850	0.000000	0.040690	0.000000	43520
TOR	1993	8	0.026800	0.007440	0.001720	0.000000	0.035960	0.000000	43520
TOR	1993	9	0.027190	0.006860	0.001690	0.000000	0.035740	0.000000	43520
TOR	1993	10	0.029530	0.007440	0.001780	0.000000	0.038750	0.000000	43520
TOR	1993	11	0.028750	0.007020	0.001770	0.000000	0.037550	0.000000	43520
TOR	1993	12	0.029820	0.007240	0.001800	0.000000	0.038850	0.000000	43520
TOR	1994	1	0.029450	0.006940	0.001800	0.000000	0.038190	0.000000	43520
TOR	1994	2	0.028390	0.005540	0.001520	0.000000	0.035440	0.000000	43520
TOR	1994	3	0.029440	0.006810	0.001820	0.000000	0.038070	0.000000	43520
TOR	1994	4	0.027940	0.006260	0.001620	0.000000	0.035820	0.000000	43520
TOR	1994	5	0.030210	0.007140	0.001850	0.000000	0.039210	0.000000	43520
TOR	1994	6	0.029470	0.006560	0.001720	0.000000	0.037750	0.000000	43520
TOR	1994	7	0.028170	0.006720	0.001440	0.000000	0.036320	0.000000	43520
TOR	1994	8	0.020730	0.004250	0.000940	0.000000	0.025910	0.000000	43520
TOR	1994	9	0.029660	0.006310	0.001620	0.000000	0.037590	0.000000	43520
TOR	1994	10	0.027470	0.005760	0.001560	0.000000	0.034780	0.000000	43520
TOR	1994	11	0.027660	0.005670	0.001560	0.000000	0.034890	0.000000	43520
TOR	1994	12	0.030030	0.006090	0.001700	0.000000	0.037810	0.000000	43520
TOR	1995	1	0.029860	0.006190	0.001700	0.000000	0.037750	0.000000	43520
TOR	1995	2	0.024270	0.004870	0.001390	0.000000	0.030530	0.000000	43520
TOR	1995	3	0.028100	0.005820	0.001610	0.000000	0.035530	0.000000	43520
TOR	1995	4	0.026500	0.005340	0.001490	0.000000	0.033330	0.000000	43520
TOR	1995	5	0.029120	0.005790	0.001660	0.000000	0.036570	0.000000	43520
TOR	1995	6	0.026810	0.005410	0.001430	0.000000	0.033650	0.000000	43520
TOR	1995	7	0.030820	0.006140	0.001640	0.000000	0.038600	0.000000	43520
TOR	1995	8	0.029810	0.006170	0.001610	0.000000	0.037590	0.000000	43520
TOR	1995	9	0.027470	0.005290	0.001510	0.000000	0.034260	0.000000	43520
TOR	1995	10	0.029620	0.005870	0.001050	0.000000	0.036540	0.000000	43520
TOR	1995	11	0.022290	0.004490	0.001020	0.000000	0.027800	0.000000	43520
TOR	1995	12	0.033950	0.005990	0.001740	0.000000	0.041680	0.000000	43520
TOR	1996	1	0.031560	0.005440	0.001560	0.000000	0.038560	0.000000	43520
TOR	1996	2	0.027950	0.004680	0.001280	0.000000	0.033920	0.000000	43520
TOR	1996	3	0.032370	0.005920	0.001590	0.000000	0.039880	0.000000	43520
TOR	1996	4	0.030000	0.005580	0.001570	0.000000	0.037140	0.000000	43520
TOR	1996	5	0.031770	0.006080	0.001440	0.000000	0.039280	0.000000	43520
TOR	1996	6	0.028810	0.005240	0.001320	0.000000	0.035380	0.000000	43520
TOR	1996	7	0.012880	0.002270	0.000600	0.000000	0.015740	0.000000	43520
TOR	1996	8	0.037710	0.006290	0.001810	0.000000	0.045800	0.000000	43520
TOR	1996	9	0.032250	0.005340	0.001510	0.000000	0.039100	0.000000	43520
TOR	1996	10	0.031610	0.005480	0.001570	0.000000	0.038660	0.000000	43520
TOR	1996	11	0.030640	0.005210	0.001470	0.000000	0.037310	0.000000	43520
TOR	1996	12	0.031710	0.005360	0.001470	0.000000	0.038550	0.000000	43520
TOR	1997	1	0.025050	0.004310	0.001220	0.000000	0.030580	0.000000	43520
TOR	1997	2	0.026460	0.004930	0.001460	0.000000	0.032850	0.000000	43520
TOR	1997	3	0.025010	0.004950	0.001360	0.000000	0.031320	0.000000	43520
TOR	1997	4	0.031620	0.005340	0.001510	0.000000	0.038460	0.000000	43520
TOR	1997	5	0.030550	0.004860	0.001480	0.000000	0.036890	0.000000	43520
TOR	1997	6	0.028440	0.004480	0.001350	0.000000	0.034270	0.000000	43520
TOR	1997	7	0.031470	0.004940	0.001460	0.000000	0.037870	0.000000	43520
TOR	1997	8	0.029300	0.004690	0.001430	0.000000	0.035420	0.000000	43520
TOR	1997	9	0.028660	0.004600	0.001430	0.000000	0.034680	0.000000	43520
TOR	1997	10	0.033020	0.004960	0.001600	0.000000	0.039580	0.000000	43520
TOR	1997	11	0.029580	0.004780	0.001590	0.000000	0.035950	0.000000	43520
TOR	1997	12	0.027670	0.004250	0.001430	0.000000	0.033350	0.000000	43520
TOR	1998	1	0.027840	0.004390	0.001510	0.000000	0.033740	0.000000	43520
TOR	1998	2	0.028230	0.004440	0.001350	0.000000	0.034030	0.000000	43520
TOR	1998	3	0.030110	0.004610	0.001390	0.000000	0.036110	0.000000	43520
TOR	1998	4	0.027760	0.004400	0.001440	0.000000	0.033600	0.000000	43520
TOR	1998	5	0.028860	0.004590	0.001400	0.000000	0.034850	0.000000	43520
TOR	1998	6	0.027790	0.004240	0.001400	0.000000	0.033430	0.000000	43520
TOR	1998	7	0.028170	0.004370	0.001290	0.000000	0.033830	0.000000	43520
TOR	1998	8	0.003120	0.000440	0.000100	0.000000	0.003670	0.000000	43520
TOR	1998	9	0.001470	0.000260	0.000060	0.000000	0.001790	0.000000	43520
TOR	1998	10	0.006440	0.001090	0.000270	0.000000	0.007800	0.000000	43520
TOR	1998	11	0.001080	0.000250	0.000050	0.000000	0.001390	0.000000	43520
TOR	1998	12	0.019840	0.003310	0.000710	0.000000	0.023860	0.000000	43520
TOR	1999	1	0.023830	0.003940	0.000720	0.000000	0.028490	0.000000	43520
TOR	1999	2	0.020830	0.003680	0.000850	0.000000	0.025370	0.000000	43520
TOR	1999	3	0.023350	0.004060	0.001220	0.000000	0.028640	0.000000	43520
TOR	1999	4	0.011010	0.002160	0.000600	0.000000	0.013770	0.000000	43520
TOR	1999	5	0.024800	0.003740	0.001230	0.000000	0.029770	0.000000	43520
TOR	1999	6	0.020770	0.003250	0.001140	0.000000	0.025160	0.000000	43520
TOR	1999	7	0.021360	0.003450	0.001200	0.000000	0.026010	0.000000	43520
TOR	1999	8	0.008490	0.001700	0.000560	0.000000	0.010740	0.000000	43520
TOR	1999	9	0.009910	0.001990	0.000570	0.000000	0.012470	0.000000	43520
TOR	1999	10	0.010800	0.001920	0.000550	0.000000	0.013270	0.000000	43520
TOR	1999	11	0.023420	0.003460	0.001000	0.000000	0.027890	0.000000	43520
TOR	1999	12	0.022920	0.003770	0.001140	0.000000	0.027830	0.000000	43520
TOR	2000	1	0.024590	0.003940	0.001040	0.000000	0.029570	0.040570	43520
TOR	2000	2	0.018610	0.003240	0.000830	0.000000	0.022690	0.030740	43520
TOR	2000	3	0.025230	0.004040	0.001050	0.000000	0.030320	0.042090	43520
TOR	2000	4	0.022520	0.003550	0.000990	0.000000	0.027060	0.038220	43520
TOR	2000	5	0.022960	0.003520	0.000920	0.000000	0.027400	0.039800	43520
TOR	2000	6	0.022310	0.003590	0.000910	0.000000	0.026800	0.038460	43520
TOR	2000	7	0.022450	0.003490	0.000890	0.000000	0.026830	0.037340	43520
TOR	2000	8	0.022890	0.003460	0.000990	0.000000	0.027330	0.038960	43520
TOR	2000	9	0.020940	0.003120	0.000830	0.000000	0.024880	0.035650	43520
TOR	2000	10	0.008830	0.002150	0.000480	0.000000	0.011470	0.011150	43520
TOR	2000	11	0.022650	0.003320	0.000890	0.000000	0.026860	0.064310	43520
TOR	2000	12	0.021590	0.003140	0.000860	0.000000	0.025600	0.051370	43520
TOR	2001	1	0.022370	0.003370	0.000900	0.000000	0.026630	0.073930	43520
TOR	2001	2	0.016470	0.002500	0.000680	0.000000	0.019650	0.041080	43520
TOR	2001	3	0.020440	0.002940	0.000820	0.000000	0.024200	0.060950	43520
TOR	2001	4	0.023150	0.003420	0.000880	0.000000	0.027450	0.089510	43520
TOR	2001	5	0.023370	0.003210	0.000850	0.000000	0.027420	0.088230	43520
TOR	2001	6	0.021170	0.003030	0.000720	0.000000	0.024920	0.074050	43520
TOR	2001	7	0.023920	0.003280	0.000840	0.000000	0.028030	0.085530	43520
TOR	2001	8	0.011460	0.001520	0.000360	0.000000	0.013340	0.040180	43520
TOR	2001	9	0.022480	0.002670	0.000920	0.000000	0.026080	0.036320	43520
TOR	2001	10	0.025290	0.002840	0.001120	0.000000	0.029250	0.043000	43520
TOR	2001	11	0.023540	0.002990	0.000950	0.000000	0.027470	0.041460	43520
TOR	2001	12	0.023190	0.002950	0.000840	0.000000	0.026980	0.040320	43520
TOR	2002	1	0.022380	0.002580	0.000800	0.000000	0.025760	0.037380	43520
TOR	2002	2	0.021270	0.002640	0.000810	0.000000	0.024720	0.035820	43520
TOR	2002	3	0.023180	0.002690	0.000860	0.000000	0.026730	0.042130	43520
TOR	2002	4	0.023040	0.002640	0.000820	0.000000	0.026500	0.041370	43520
TOR	2002	5	0.022100	0.002520	0.000740	0.000000	0.025350	0.037810	43520
TOR	2002	6	0.018220	0.002170	0.000630	0.000000	0.021030	0.037610	43520
TOR	2002	7	0.013280	0.001540	0.000570	0.000000	0.015390	0.018820	43520
TOR	2002	8	0.013220	0.001520	0.000580	0.000000	0.015320	0.021330	43520
TOR	2002	9	0.012970	0.001520	0.000560	0.000000	0.015050	0.025650	43520
TOR	2002	10	0.012730	0.001510	0.000550	0.000000	0.014790	0.017040	43520
TOR	2002	11	0.014940	0.001740	0.000650	0.000000	0.017330	0.030650	43520
TOR	2002	12	0.016210	0.001890	0.000610	0.000000	0.018710	0.033740	43520
TOR	2003	1	0.016150	0.001710	0.000630	0.000000	0.018490	0.041180	43520
TOR	2003	2	0.015520	0.001620	0.000620	0.000000	0.017760	0.038680	43520
TOR	2003	3	0.017240	0.001830	0.000690	0.000000	0.019770	0.036710	43520
TOR	2003	4	0.018260	0.001960	0.000780	0.000000	0.021000	0.024970	43520
TOR	2003	5	0.020960	0.002200	0.000910	0.000000	0.024070	0.028340	43520
TOR	2003	6	0.018970	0.001970	0.000750	0.000000	0.021680	0.027880	43520
TOR	2003	7	0.009100	0.000940	0.000350	0.000000	0.010390	0.015860	43520
TOR	2003	8	0.010500	0.001100	0.000430	0.000000	0.012030	0.020890	43520
TOR	2003	9	0.009410	0.000990	0.000370	0.000000	0.010760	0.020400	43520
TOR	2003	10	0.009540	0.001000	0.000410	0.000000	0.010950	0.021520	43520
TOR	2003	11	0.008630	0.000920	0.000360	0.000000	0.009900	0.019690	43520
TOR	2003	12	0.008630	0.000910	0.000350	0.000000	0.009890	0.019560	43520
TOR	2004	1	0.018730	0.002000	0.000800	0.000000	0.021530	0.020630	43520
TOR	2004	2	0.015900	0.001700	0.000650	0.000000	0.018260	0.017660	43520
TOR	2004	3	0.016140	0.001730	0.000640	0.000000	0.018520	0.021300	43520
TOR	2004	4	0.010920	0.001170	0.000470	0.000000	0.012560	0.015260	43520
TOR	2004	5	0.019740	0.002130	0.000840	0.000000	0.022700	0.022630	43520
TOR	2004	6	0.016630	0.001750	0.000650	0.000000	0.019030	0.018040	43520
TOR	2004	7	0.012980	0.001400	0.000500	0.000000	0.014880	0.018350	43520
TOR	2004	8	0.011230	0.001210	0.000470	0.000000	0.012910	0.012520	43520
TOR	2004	9	0.008790	0.000960	0.000380	0.000000	0.010120	0.004250	43520
TOR	2004	10	0.023580	0.002540	0.000990	0.000000	0.027100	0.009960	43520
TOR	2004	11	0.021600	0.002500	0.000980	0.000000	0.025080	0.008610	43520
TOR	2004	12	0.020920	0.002330	0.001000	0.000000	0.024240	0.008060	43520
TOR	2005	1	0.017220	0.001870	0.000800	0.000000	0.019900	0.003220	43520
TOR	2005	2	0.017350	0.001920	0.000800	0.000000	0.020070	0.003440	43520
TOR	2005	3	0.018760	0.002100	0.000880	0.000000	0.021740	0.003700	43520
TOR	2005	4	0.017270	0.001940	0.000830	0.000000	0.020030	0.003280	43520
TOR	2005	5	0.013460	0.001470	0.000530	0.000000	0.015450	0.003080	43520
TOR	2005	6	0.003330	0.000360	0.000120	0.000000	0.003800	0.000770	43520
TOR	2005	7	0.021620	0.002310	0.000870	0.000000	0.024800	0.004730	43520
TOR	2005	8	0.019440	0.002100	0.000810	0.000000	0.022360	0.003950	43520
TOR	2005	9	0.017480	0.001920	0.000760	0.000000	0.020150	0.003970	43520
TOR	2005	10	0.011460	0.001270	0.000510	0.000000	0.013240	0.002250	43520
TOR	2005	11	0.011840	0.001280	0.000540	0.000000	0.013660	0.002540	43520
TOR	2005	12	0.011130	0.001200	0.000510	0.000000	0.012850	0.002300	43520
TOR	2006	1	0.011060	0.001240	0.000530	0.000000	0.012830	0.002100	43520
TOR	2006	2	0.009440	0.001050	0.000460	0.000000	0.010950	0.002440	43520
TOR	2006	3	0.010880	0.001190	0.000510	0.000000	0.012590	0.002030	43520
TOR	2006	4	0.010430	0.001180	0.000490	0.000000	0.012100	0.001800	43520
TOR	2006	5	0.010730	0.001180	0.000510	0.000000	0.012420	0.002260	43520
TOR	2006	6	0.010460	0.001150	0.000480	0.000000	0.012080	0.002260	43520
TOR	2006	7	0.010990	0.001210	0.000460	0.000000	0.012660	0.002650	43520
TOR	2006	8	0.010030	0.001090	0.000420	0.000000	0.011540	0.002300	43520
TOR	2006	9	0.012340	0.001350	0.000540	0.000000	0.014240	0.002710	43520
TOR	2006	10	0.011830	0.001290	0.000530	0.000000	0.013650	0.002630	43520
TOR	2006	11	0.016540	0.002920	0.000930	0.000000	0.020400	0.002490	43520
TOR	2006	12	0.039550	0.008960	0.002660	0.000000	0.051180	0.005720	43520
TOR	2007	1	0.032460	0.008620	0.002320	0.000000	0.043400	0.009700	43520
TOR	2007	2	0.023110	0.005740	0.001440	0.000000	0.030290	0.007960	43520
TOR	2007	3	0.031540	0.006120	0.001720	0.000000	0.039370	0.011240	43520
TOR	2007	4	0.028430	0.005620	0.001520	0.000000	0.035570	0.015430	43520
TOR	2007	5	0.025760	0.004830	0.001380	0.000000	0.031970	0.012080	43520
TOR	2007	6	0.007710	0.001390	0.000320	0.000000	0.009420	0.006280	43520
TOR	2007	7	0.020260	0.003150	0.000940	0.000000	0.024350	0.013790	43520
TOR	2007	8	0.033070	0.004510	0.001530	0.000000	0.039100	0.018660	43520
TOR	2007	9	0.024750	0.003140	0.001030	0.000000	0.028920	0.021400	43520
TOR	2007	10	0.023330	0.002610	0.000950	0.000000	0.026890	0.016500	43520
TOR	2007	11	0.033260	0.003970	0.001370	0.000000	0.038600	0.023530	43520
TOR	2007	12	0.031150	0.004110	0.001380	0.000000	0.036640	0.030770	43520
TOR	2008	1	0.029580	0.003710	0.001350	0.000000	0.034640	0.034570	43520
TOR	2008	2	0.025730	0.003150	0.001120	0.000000	0.030000	0.032460	43520
TOR	2008	3	0.026420	0.003240	0.001180	0.000000	0.030830	0.035060	43520
TOR	2008	4	0.025330	0.002970	0.001060	0.000000	0.029360	0.033400	43520
TOR	2008	5	0.020340	0.002070	0.000890	0.000000	0.023310	0.030860	43520
TOR	2008	6	0.024730	0.002430	0.000960	0.000000	0.028120	0.031270	43520
TOR	2008	7	0.024590	0.002500	0.000920	0.000000	0.028010	0.027600	43520
TOR	2008	8	0.025690	0.002950	0.000990	0.000000	0.029630	0.031810	43520
TOR	2008	9	0.025130	0.002630	0.001060	0.000000	0.028820	0.031510	43520
TOR	2008	10	0.026430	0.002500	0.000960	0.000000	0.029880	0.036150	43520
TOR	2008	11	0.025940	0.002070	0.000840	0.000000	0.028850	0.032320	43520
TOR	2008	12	0.027270	0.002740	0.001180	0.000000	0.031200	0.033850	43520
TOR	2009	1	0.027160	0.002650	0.001160	0.000000	0.030980	0.034560	43520
TOR	2009	2	0.022970	0.002130	0.000960	0.000000	0.026070	0.029750	43520
TOR	2009	3	0.022170	0.001700	0.000760	0.000000	0.024630	0.024670	43520
TOR	2009	4	0.025460	0.002070	0.000970	0.000000	0.028510	0.035770	43520
TOR	2009	5	0.020090	0.001490	0.000590	0.000000	0.022160	0.025320	43520
TOR	2009	6	0.027060	0.002180	0.000870	0.000000	0.030110	0.033860	43520
TOR	2009	7	0.027670	0.002630	0.000970	0.000000	0.031270	0.034580	43520
TOR	2009	8	0.024210	0.002030	0.000850	0.000000	0.027090	0.027510	43520
TOR	2009	9	0.022390	0.001580	0.000670	0.000000	0.024640	0.033120	43520
TOR	2009	10	0.021690	0.001460	0.000680	0.000000	0.023830	0.027590	43520
TOR	2009	11	0.025820	0.002110	0.000810	0.000000	0.028730	0.034790	43520
TOR	2009	12	0.025260	0.002120	0.000840	0.000000	0.028210	0.035730	43520
TOR	2010	1	0.024350	0.001840	0.000850	0.000000	0.027040	0.034530	43520
TOR	2010	2	0.020910	0.001610	0.000770	0.000000	0.023300	0.030130	43520
TOR	2010	3	0.010710	0.000660	0.000340	0.000000	0.011710	0.013910	43520
TOR	2010	4	0.017970	0.000860	0.000550	0.000000	0.019380	0.015130	43520
TOR	2010	5	0.024380	0.001520	0.000830	0.000000	0.026720	0.018930	43520
TOR	2010	6	0.006290	0.000250	0.000170	0.000000	0.006710	0.004550	43520
TOR	2010	7	0.028350	0.001470	0.000720	0.000000	0.030540	0.022570	43520
TOR	2010	8	0.022600	0.001370	0.000700	0.000000	0.024670	0.016750	43520
TOR	2010	9	0.020250	0.001230	0.000600	0.000000	0.022090	0.016740	43520
TOR	2010	10	0.020510	0.001050	0.000580	0.000000	0.022140	0.013160	43520
TOR	2010	11	0.018390	0.000860	0.000430	0.000000	0.019670	0.017110	43520
TOR	2010	12	0.022340	0.001280	0.000560	0.000000	0.024170	0.020650	43520
TOR	2011	1	0.016610	0.000880	0.000430	0.000000	0.017920	0.020930	43520
TOR	2011	2	0.011870	0.000510	0.000280	0.000000	0.012650	0.018490	43520
TOR	2011	3	0.011870	0.000440	0.000260	0.000000	0.012570	0.020170	43520
TOR	2011	4	0.013680	0.000390	0.000260	0.000000	0.014340	0.021010	43520
TOR	2011	5	0.018780	0.000490	0.000370	0.000000	0.019640	0.020680	43520
TOR	2011	6	0.018450	0.000530	0.000380	0.000000	0.019360	0.017600	43520
TOR	2011	7	0.022750	0.000790	0.000480	0.000000	0.024020	0.032570	43520
TOR	2011	8	0.022150	0.000900	0.000470	0.000000	0.023520	0.034970	43520
TOR	2011	9	0.021450	0.000850	0.000470	0.000000	0.022760	0.026870	43520
TOR	2011	10	0.023450	0.000980	0.000560	0.000000	0.024980	0.023270	43520
TOR	2011	11	0.017350	0.000700	0.000420	0.000000	0.018470	0.015930	43520
TOR	2011	12	0.020870	0.000790	0.000510	0.000000	0.022170	0.011940	43520
TOR	2012	1	0.014890	0.000450	0.000320	0.000000	0.015650	0.016990	43520
TOR	2012	2	0.021100	0.000920	0.000520	0.000000	0.022540	0.021810	43520
TOR	2012	3	0.020410	0.000920	0.000500	0.000000	0.021830	0.022410	43520
TOR	2012	4	0.019760	0.000860	0.000500	0.000000	0.021120	0.021970	43520
TOR	2012	5	0.016070	0.000540	0.000380	0.000000	0.016990	0.018880	43520
TOR	2012	6	0.020070	0.000570	0.000450	0.000000	0.021090	0.010880	43520
TOR	2012	7	0.019700	0.000640	0.000450	0.000000	0.020780	0.008760	43520
TOR	2012	8	0.018850	0.000530	0.000410	0.000000	0.019780	0.008350	43520
TOR	2012	9	0.015310	0.000380	0.000320	0.000000	0.016010	0.007290	43520
TOR	2012	10	0.020330	0.000520	0.000430	0.000000	0.021290	0.008680	43520
TOR	2012	11	0.018660	0.000590	0.000430	0.000000	0.019680	0.007400	43520
TOR	2012	12	0.018250	0.000540	0.000450	0.000000	0.019230	0.004660	43520
TOR	2013	1	0.017810	0.000490	0.000380	0.000000	0.018670	0.010660	43520
TOR	2013	2	0.015480	0.000470	0.000340	0.000000	0.016290	0.020960	43520
ELDFISK	1979	8	0.155870	0.023140	0.005080	0.000000	0.184090	0.000000	43527
ELDFISK	1979	9	0.339250	0.086320	0.015170	0.000000	0.440740	0.000000	43527
ELDFISK	1979	10	0.285050	0.069390	0.009560	0.000000	0.363990	0.000000	43527
ELDFISK	1979	11	0.391380	0.091560	0.016050	0.000000	0.498980	0.000000	43527
ELDFISK	1979	12	0.540630	0.142150	0.026830	0.000000	0.709610	0.000000	43527
ELDFISK	1980	1	0.569890	0.134670	0.027830	0.000000	0.732390	0.000000	43527
ELDFISK	1980	2	0.598480	0.150120	0.029050	0.000000	0.777660	0.000000	43527
ELDFISK	1980	3	0.519250	0.125360	0.023160	0.000000	0.667770	0.000000	43527
ELDFISK	1980	4	0.500310	0.124950	0.024730	0.000000	0.649990	0.000000	43527
ELDFISK	1980	5	0.580940	0.145970	0.030060	0.000000	0.756970	0.000000	43527
ELDFISK	1980	6	0.522960	0.135110	0.027050	0.000000	0.685120	0.000000	43527
ELDFISK	1980	7	0.293040	0.069040	0.014170	0.000000	0.376260	0.000000	43527
ELDFISK	1980	8	0.519700	0.131740	0.026320	0.000000	0.677760	0.000000	43527
ELDFISK	1980	9	0.423420	0.110390	0.021540	0.000000	0.555350	0.000000	43527
ELDFISK	1980	10	0.491760	0.132960	0.026000	0.000000	0.650710	0.000000	43527
ELDFISK	1980	11	0.488000	0.132380	0.026180	0.000000	0.646560	0.000000	43527
ELDFISK	1980	12	0.367400	0.103170	0.019220	0.000000	0.489800	0.000000	43527
ELDFISK	1981	1	0.399620	0.102120	0.021140	0.000000	0.522880	0.000000	43527
ELDFISK	1981	2	0.397450	0.108440	0.022980	0.000000	0.528870	0.000000	43527
ELDFISK	1981	3	0.415220	0.120910	0.024700	0.000000	0.560830	0.000000	43527
ELDFISK	1981	4	0.405220	0.122280	0.023970	0.000000	0.551470	0.000000	43527
ELDFISK	1981	5	0.483860	0.148210	0.026700	0.000000	0.658760	0.000000	43527
ELDFISK	1981	6	0.449870	0.145080	0.025890	0.000000	0.620840	0.000000	43527
ELDFISK	1981	7	0.480580	0.153150	0.027130	0.000000	0.660870	0.000000	43527
ELDFISK	1981	8	0.190350	0.052670	0.009010	0.000000	0.252030	0.000000	43527
ELDFISK	1981	9	0.474330	0.149560	0.027370	0.000000	0.651260	0.000000	43527
ELDFISK	1981	10	0.385600	0.132770	0.023630	0.000000	0.542000	0.000000	43527
ELDFISK	1981	11	0.424790	0.130960	0.024320	0.000000	0.580080	0.000000	43527
ELDFISK	1981	12	0.426340	0.144920	0.024100	0.000000	0.595360	0.000000	43527
ELDFISK	1982	1	0.437070	0.151840	0.024930	0.000000	0.613840	0.000000	43527
ELDFISK	1982	2	0.329480	0.104930	0.019650	0.000000	0.454060	0.000000	43527
ELDFISK	1982	3	0.404290	0.134500	0.026200	0.000000	0.564990	0.000000	43527
ELDFISK	1982	4	0.368130	0.129600	0.023310	0.000000	0.521030	0.000000	43527
ELDFISK	1982	5	0.283270	0.096300	0.017340	0.000000	0.396900	0.000000	43527
ELDFISK	1982	6	0.368960	0.120590	0.024620	0.000000	0.514170	0.000000	43527
ELDFISK	1982	7	0.354230	0.124470	0.026690	0.000000	0.505380	0.000000	43527
ELDFISK	1982	8	0.365480	0.123790	0.025600	0.000000	0.514870	0.000000	43527
ELDFISK	1982	9	0.301560	0.097610	0.021130	0.000000	0.420290	0.000000	43527
ELDFISK	1982	10	0.286510	0.091770	0.020600	0.000000	0.398880	0.000000	43527
ELDFISK	1982	11	0.310660	0.106750	0.024550	0.000000	0.441960	0.000000	43527
ELDFISK	1982	12	0.305070	0.103020	0.024020	0.000000	0.432110	0.000000	43527
ELDFISK	1983	1	0.300510	0.105450	0.022840	0.000000	0.428810	0.000000	43527
ELDFISK	1983	2	0.302130	0.105420	0.023310	0.000000	0.430860	0.000000	43527
ELDFISK	1983	3	0.321760	0.117150	0.029810	0.000000	0.468720	0.000000	43527
ELDFISK	1983	4	0.301960	0.110920	0.029920	0.000000	0.442800	0.000000	43527
ELDFISK	1983	5	0.315760	0.122660	0.032990	0.000000	0.471410	0.000000	43527
ELDFISK	1983	6	0.310660	0.115670	0.026770	0.000000	0.453100	0.000000	43527
ELDFISK	1983	7	0.332870	0.135790	0.028850	0.000000	0.497510	0.000000	43527
ELDFISK	1983	8	0.321440	0.132420	0.028200	0.000000	0.482060	0.000000	43527
ELDFISK	1983	9	0.294020	0.126810	0.026340	0.000000	0.447170	0.000000	43527
ELDFISK	1983	10	0.310650	0.127530	0.026860	0.000000	0.465040	0.000000	43527
ELDFISK	1983	11	0.292960	0.117550	0.026460	0.000000	0.436970	0.000000	43527
ELDFISK	1983	12	0.310240	0.122380	0.026380	0.000000	0.459000	0.000000	43527
ELDFISK	1984	1	0.289520	0.118030	0.023850	0.000000	0.431410	0.000000	43527
ELDFISK	1984	2	0.276440	0.110650	0.024960	0.000000	0.412040	0.000000	43527
ELDFISK	1984	3	0.287400	0.118790	0.024570	0.000000	0.430760	0.000000	43527
ELDFISK	1984	4	0.276500	0.111010	0.026440	0.000000	0.413950	0.000000	43527
ELDFISK	1984	5	0.278780	0.114230	0.026620	0.000000	0.419630	0.000000	43527
ELDFISK	1984	6	0.259570	0.106340	0.024740	0.000000	0.390650	0.000000	43527
ELDFISK	1984	7	0.259160	0.107240	0.020600	0.000000	0.387000	0.000000	43527
ELDFISK	1984	8	0.236910	0.089700	0.017990	0.000000	0.344600	0.000000	43527
ELDFISK	1984	9	0.292320	0.128590	0.024540	0.000000	0.445440	0.000000	43527
ELDFISK	1984	10	0.304530	0.126780	0.026750	0.000000	0.458070	0.000000	43527
ELDFISK	1984	11	0.297730	0.127270	0.025640	0.000000	0.450640	0.000000	43527
ELDFISK	1984	12	0.321590	0.130450	0.028870	0.000000	0.480910	0.000000	43527
ELDFISK	1985	1	0.301380	0.122000	0.023090	0.000000	0.446470	0.000000	43527
ELDFISK	1985	2	0.239890	0.097340	0.022150	0.000000	0.359380	0.000000	43527
ELDFISK	1985	3	0.282650	0.113180	0.028850	0.000000	0.424690	0.000000	43527
ELDFISK	1985	4	0.287310	0.116130	0.026140	0.000000	0.429590	0.000000	43527
ELDFISK	1985	5	0.285820	0.118840	0.027460	0.000000	0.432110	0.000000	43527
ELDFISK	1985	6	0.270970	0.114430	0.027320	0.000000	0.412720	0.000000	43527
ELDFISK	1985	7	0.284470	0.116540	0.029890	0.000000	0.430900	0.000000	43527
ELDFISK	1985	8	0.276190	0.116880	0.029230	0.000000	0.422300	0.000000	43527
ELDFISK	1985	9	0.279050	0.114650	0.030250	0.000000	0.423940	0.000000	43527
ELDFISK	1985	10	0.295360	0.126230	0.029790	0.000000	0.451380	0.000000	43527
ELDFISK	1985	11	0.278840	0.113700	0.028310	0.000000	0.420850	0.000000	43527
ELDFISK	1985	12	0.295580	0.123760	0.027840	0.000000	0.447180	0.000000	43527
ELDFISK	1986	1	0.290740	0.125000	0.028600	0.000000	0.444340	0.000000	43527
ELDFISK	1986	2	0.275780	0.115560	0.026030	0.000000	0.417370	0.000000	43527
ELDFISK	1986	3	0.303010	0.131020	0.029650	0.000000	0.463680	0.000000	43527
ELDFISK	1986	4	0.100340	0.036190	0.008490	0.000000	0.145010	0.000000	43527
ELDFISK	1986	5	0.348260	0.134620	0.028510	0.000000	0.511390	0.000000	43527
ELDFISK	1986	6	0.310340	0.135050	0.029120	0.000000	0.474510	0.000000	43527
ELDFISK	1986	7	0.292660	0.137560	0.028340	0.000000	0.458560	0.000000	43527
ELDFISK	1986	8	0.288900	0.125460	0.028140	0.000000	0.442500	0.000000	43527
ELDFISK	1986	9	0.283840	0.127560	0.025720	0.000000	0.437120	0.000000	43527
ELDFISK	1986	10	0.294890	0.131950	0.019510	0.000000	0.446350	0.000000	43527
ELDFISK	1986	11	0.275730	0.114950	0.024590	0.000000	0.415270	0.000000	43527
ELDFISK	1986	12	0.293100	0.128340	0.029090	0.000000	0.450520	0.000000	43527
ELDFISK	1987	1	0.287220	0.128180	0.027120	0.000000	0.442520	0.000000	43527
ELDFISK	1987	2	0.273600	0.116080	0.024770	0.000000	0.414450	0.000000	43527
ELDFISK	1987	3	0.262560	0.108780	0.023660	0.000000	0.395000	0.000000	43527
ELDFISK	1987	4	0.299730	0.122370	0.028000	0.000000	0.450100	0.000000	43527
ELDFISK	1987	5	0.299290	0.126570	0.029240	0.000000	0.455090	0.000000	43527
ELDFISK	1987	6	0.278880	0.114570	0.026120	0.000000	0.419570	0.000000	43527
ELDFISK	1987	7	0.318990	0.136210	0.030620	0.000000	0.485820	0.000000	43527
ELDFISK	1987	8	0.088090	0.038060	0.008900	0.000000	0.135050	0.000000	43527
ELDFISK	1987	9	0.276840	0.102980	0.024240	0.000000	0.404070	0.000000	43527
ELDFISK	1987	10	0.319440	0.144620	0.027310	0.000000	0.491360	0.000000	43527
ELDFISK	1987	11	0.243820	0.117880	0.024200	0.000000	0.385890	0.000000	43527
ELDFISK	1987	12	0.196500	0.102260	0.020210	0.000000	0.318970	0.000000	43527
ELDFISK	1988	1	0.340340	0.168770	0.039560	0.000000	0.548670	0.000000	43527
ELDFISK	1988	2	0.293490	0.159230	0.037880	0.000000	0.490600	0.000000	43527
ELDFISK	1988	3	0.330690	0.187060	0.045830	0.000000	0.563590	0.000000	43527
ELDFISK	1988	4	0.328580	0.196460	0.045700	0.000000	0.570740	0.000000	43527
ELDFISK	1988	5	0.325120	0.184610	0.039660	0.000000	0.549390	0.000000	43527
ELDFISK	1988	6	0.215660	0.133210	0.029410	0.000000	0.378280	0.000000	43527
ELDFISK	1988	7	0.358800	0.209320	0.047800	0.000000	0.615920	0.000000	43527
ELDFISK	1988	8	0.323350	0.197750	0.044570	0.000000	0.565670	0.000000	43527
ELDFISK	1988	9	0.323620	0.196760	0.044830	0.000000	0.565210	0.000000	43527
ELDFISK	1988	10	0.332460	0.204650	0.043750	0.000000	0.580850	0.000000	43527
ELDFISK	1988	11	0.325950	0.205810	0.044980	0.000000	0.576740	0.000000	43527
ELDFISK	1988	12	0.323550	0.203080	0.046640	0.000000	0.573270	0.000000	43527
ELDFISK	1989	1	0.385440	0.234830	0.046140	0.000000	0.666420	0.000000	43527
ELDFISK	1989	2	0.331810	0.122010	0.045450	0.000000	0.499280	0.000000	43527
ELDFISK	1989	3	0.354660	0.106880	0.045260	0.000000	0.506800	0.000000	43527
ELDFISK	1989	4	0.350360	0.144060	0.047400	0.000000	0.541820	0.000000	43527
ELDFISK	1989	5	0.368090	0.123600	0.048590	0.000000	0.540280	0.000000	43527
ELDFISK	1989	6	0.352970	0.105100	0.047980	0.000000	0.506050	0.000000	43527
ELDFISK	1989	7	0.381080	0.115650	0.049340	0.000000	0.546070	0.000000	43527
ELDFISK	1989	8	0.374060	0.035900	0.049750	0.000000	0.459710	0.000000	43527
ELDFISK	1989	9	0.341010	0.233410	0.048870	0.000000	0.623290	0.000000	43527
ELDFISK	1989	10	0.319310	0.153260	0.044560	0.000000	0.517130	0.000000	43527
ELDFISK	1989	11	0.314720	0.115710	0.041680	0.000000	0.472120	0.000000	43527
ELDFISK	1989	12	0.331930	0.076140	0.043830	0.000000	0.451910	0.000000	43527
ELDFISK	1990	1	0.319590	0.092440	0.045860	0.000000	0.457890	0.000000	43527
ELDFISK	1990	2	0.285400	0.114150	0.040440	0.000000	0.439980	0.000000	43527
ELDFISK	1990	3	0.314340	0.103890	0.043780	0.000000	0.462000	0.000000	43527
ELDFISK	1990	4	0.325790	0.027920	0.042980	0.000000	0.396680	0.000000	43527
ELDFISK	1990	5	0.317950	0.045290	0.045890	0.000000	0.409130	0.000000	43527
ELDFISK	1990	6	0.292820	0.055710	0.040460	0.000000	0.388980	0.000000	43527
ELDFISK	1990	7	0.288600	0.061350	0.031630	0.000000	0.381580	0.000000	43527
ELDFISK	1990	8	0.320580	0.086900	0.042740	0.000000	0.450220	0.000000	43527
ELDFISK	1990	9	0.307600	0.112200	0.039060	0.000000	0.458860	0.000000	43527
ELDFISK	1990	10	0.306660	0.210400	0.038690	0.000000	0.555740	0.000000	43527
ELDFISK	1990	11	0.302180	0.198320	0.035650	0.000000	0.536150	0.000000	43527
ELDFISK	1990	12	0.299530	0.201360	0.033990	0.000000	0.534870	0.000000	43527
ELDFISK	1991	1	0.287390	0.193250	0.032730	0.000000	0.513370	0.000000	43527
ELDFISK	1991	2	0.250620	0.161330	0.027110	0.000000	0.439070	0.000000	43527
ELDFISK	1991	3	0.274130	0.185350	0.031630	0.000000	0.491110	0.000000	43527
ELDFISK	1991	4	0.258890	0.177370	0.031220	0.000000	0.467480	0.000000	43527
ELDFISK	1991	5	0.265970	0.184220	0.031820	0.000000	0.482010	0.000000	43527
ELDFISK	1991	6	0.254400	0.178140	0.030470	0.000000	0.463010	0.000000	43527
ELDFISK	1991	7	0.246220	0.174970	0.025790	0.000000	0.446980	0.000000	43527
ELDFISK	1991	8	0.129220	0.071180	0.007910	0.000000	0.208310	0.000000	43527
ELDFISK	1991	9	0.274030	0.170490	0.030570	0.000000	0.475080	0.000000	43527
ELDFISK	1991	10	0.253540	0.167950	0.027860	0.000000	0.449350	0.000000	43527
ELDFISK	1991	11	0.236370	0.155890	0.025420	0.000000	0.417680	0.000000	43527
ELDFISK	1991	12	0.249690	0.162130	0.026140	0.000000	0.437950	0.000000	43527
ELDFISK	1992	1	0.251060	0.166540	0.024900	0.000000	0.442500	0.000000	43527
ELDFISK	1992	2	0.237580	0.151810	0.022990	0.000000	0.412380	0.000000	43527
ELDFISK	1992	3	0.245720	0.159480	0.023310	0.000000	0.428520	0.000000	43527
ELDFISK	1992	4	0.243520	0.158110	0.024630	0.000000	0.426260	0.000000	43527
ELDFISK	1992	5	0.197850	0.130030	0.019310	0.000000	0.347190	0.000000	43527
ELDFISK	1992	6	0.258520	0.165300	0.025580	0.000000	0.449400	0.000000	43527
ELDFISK	1992	7	0.241250	0.161770	0.024880	0.000000	0.427900	0.000000	43527
ELDFISK	1992	8	0.235100	0.158220	0.025100	0.000000	0.418420	0.000000	43527
ELDFISK	1992	9	0.224950	0.147200	0.022540	0.000000	0.394690	0.000000	43527
ELDFISK	1992	10	0.220510	0.149210	0.016890	0.000000	0.386610	0.000000	43527
ELDFISK	1992	11	0.214840	0.144200	0.019000	0.000000	0.378030	0.000000	43527
ELDFISK	1992	12	0.213910	0.149680	0.022000	0.000000	0.385590	0.000000	43527
ELDFISK	1993	1	0.219030	0.152510	0.021990	0.000000	0.393520	0.000000	43527
ELDFISK	1993	2	0.196220	0.135640	0.020210	0.000000	0.352060	0.000000	43527
ELDFISK	1993	3	0.216370	0.148030	0.022740	0.000000	0.387150	0.000000	43527
ELDFISK	1993	4	0.203640	0.141740	0.020390	0.000000	0.365770	0.000000	43527
ELDFISK	1993	5	0.209900	0.150510	0.021090	0.000000	0.381500	0.000000	43527
ELDFISK	1993	6	0.202470	0.140400	0.020540	0.000000	0.363400	0.000000	43527
ELDFISK	1993	7	0.215130	0.151150	0.022230	0.000000	0.388510	0.000000	43527
ELDFISK	1993	8	0.203570	0.145050	0.021260	0.000000	0.369880	0.000000	43527
ELDFISK	1993	9	0.188760	0.127360	0.019160	0.000000	0.335280	0.000000	43527
ELDFISK	1993	10	0.203510	0.144420	0.020920	0.000000	0.368850	0.000000	43527
ELDFISK	1993	11	0.190060	0.133930	0.019730	0.000000	0.343720	0.000000	43527
ELDFISK	1993	12	0.202240	0.140780	0.020480	0.000000	0.363490	0.000000	43527
ELDFISK	1994	1	0.193260	0.136840	0.020790	0.000000	0.350900	0.000000	43527
ELDFISK	1994	2	0.170650	0.118750	0.018860	0.000000	0.308260	0.000000	43527
ELDFISK	1994	3	0.185110	0.128390	0.020140	0.000000	0.333640	0.000000	43527
ELDFISK	1994	4	0.188960	0.128220	0.019770	0.000000	0.336940	0.000000	43527
ELDFISK	1994	5	0.200720	0.138260	0.020460	0.000000	0.359440	0.000000	43527
ELDFISK	1994	6	0.187340	0.131610	0.019830	0.000000	0.338780	0.000000	43527
ELDFISK	1994	7	0.187810	0.134310	0.016620	0.000000	0.338730	0.000000	43527
ELDFISK	1994	8	0.135920	0.080800	0.010260	0.000000	0.226980	0.000000	43527
ELDFISK	1994	9	0.189660	0.130770	0.019060	0.000000	0.339490	0.000000	43527
ELDFISK	1994	10	0.198290	0.142820	0.021250	0.000000	0.362360	0.000000	43527
ELDFISK	1994	11	0.185500	0.132470	0.019940	0.000000	0.337910	0.000000	43527
ELDFISK	1994	12	0.206580	0.145360	0.022410	0.000000	0.374350	0.000000	43527
ELDFISK	1995	1	0.241250	0.177550	0.027280	0.000000	0.446080	0.000000	43527
ELDFISK	1995	2	0.203850	0.152530	0.023580	0.000000	0.379960	0.000000	43527
ELDFISK	1995	3	0.240040	0.176580	0.027420	0.000000	0.444050	0.000000	43527
ELDFISK	1995	4	0.219020	0.165180	0.025760	0.000000	0.409960	0.000000	43527
ELDFISK	1995	5	0.200540	0.146600	0.023320	0.000000	0.370460	0.000000	43527
ELDFISK	1995	6	0.217550	0.160180	0.023650	0.000000	0.401380	0.000000	43527
ELDFISK	1995	7	0.256570	0.189270	0.028940	0.000000	0.474780	0.000000	43527
ELDFISK	1995	8	0.223100	0.170880	0.024180	0.000000	0.418150	0.000000	43527
ELDFISK	1995	9	0.215460	0.159060	0.024710	0.000000	0.399230	0.000000	43527
ELDFISK	1995	10	0.226690	0.167310	0.016320	0.000000	0.410320	0.000000	43527
ELDFISK	1995	11	0.217080	0.162200	0.020820	0.000000	0.400100	0.000000	43527
ELDFISK	1995	12	0.231080	0.167910	0.025650	0.000000	0.424630	0.000000	43527
ELDFISK	1996	1	0.209640	0.162550	0.023720	0.000000	0.395900	0.000000	43527
ELDFISK	1996	2	0.189510	0.148210	0.021090	0.000000	0.358800	0.000000	43527
ELDFISK	1996	3	0.195950	0.148240	0.021540	0.000000	0.365730	0.000000	43527
ELDFISK	1996	4	0.195200	0.136470	0.021070	0.000000	0.352730	0.000000	43527
ELDFISK	1996	5	0.199960	0.143340	0.018100	0.000000	0.361400	0.000000	43527
ELDFISK	1996	6	0.187560	0.132430	0.017890	0.000000	0.337880	0.000000	43527
ELDFISK	1996	7	0.193560	0.127210	0.018850	0.000000	0.339620	0.000000	43527
ELDFISK	1996	8	0.196010	0.127400	0.021030	0.000000	0.344440	0.000000	43527
ELDFISK	1996	9	0.172580	0.117960	0.017840	0.000000	0.308380	0.000000	43527
ELDFISK	1996	10	0.202380	0.138300	0.021030	0.000000	0.361710	0.000000	43527
ELDFISK	1996	11	0.199250	0.146360	0.020730	0.000000	0.366340	0.000000	43527
ELDFISK	1996	12	0.192500	0.142030	0.020040	0.000000	0.354560	0.000000	43527
ELDFISK	1997	1	0.159110	0.120330	0.017730	0.000000	0.297180	0.000000	43527
ELDFISK	1997	2	0.172390	0.134550	0.019590	0.000000	0.326530	0.000000	43527
ELDFISK	1997	3	0.216900	0.169600	0.024230	0.000000	0.410720	0.000000	43527
ELDFISK	1997	4	0.216050	0.157550	0.023660	0.000000	0.397250	0.000000	43527
ELDFISK	1997	5	0.208910	0.154120	0.022550	0.000000	0.385590	0.000000	43527
ELDFISK	1997	6	0.214700	0.154510	0.022250	0.000000	0.391460	0.000000	43527
ELDFISK	1997	7	0.221030	0.148830	0.023110	0.000000	0.392970	0.000000	43527
ELDFISK	1997	8	0.196990	0.141280	0.022430	0.000000	0.360700	0.000000	43527
ELDFISK	1997	9	0.194260	0.138640	0.020740	0.000000	0.353630	0.000000	43527
ELDFISK	1997	10	0.192970	0.133790	0.021620	0.000000	0.348380	0.000000	43527
ELDFISK	1997	11	0.178360	0.128020	0.021830	0.000000	0.328210	0.000000	43527
ELDFISK	1997	12	0.181410	0.121830	0.019800	0.000000	0.323040	0.000000	43527
ELDFISK	1998	1	0.195110	0.147750	0.024460	0.000000	0.367320	0.000000	43527
ELDFISK	1998	2	0.184090	0.136080	0.020420	0.000000	0.340590	0.000000	43527
ELDFISK	1998	3	0.211310	0.153240	0.023260	0.000000	0.387810	0.000000	43527
ELDFISK	1998	4	0.218650	0.147670	0.026340	0.000000	0.392650	0.000000	43527
ELDFISK	1998	5	0.196840	0.146420	0.023180	0.000000	0.366440	0.000000	43527
ELDFISK	1998	6	0.171660	0.123570	0.020160	0.000000	0.315400	0.000000	43527
ELDFISK	1998	7	0.179310	0.125900	0.018490	0.000000	0.323710	0.000000	43527
ELDFISK	1998	8	0.020480	0.012260	0.001220	0.000000	0.033960	0.000000	43527
ELDFISK	1998	9	0.038620	0.023300	0.002950	0.000000	0.064860	0.000000	43527
ELDFISK	1998	10	0.007160	0.004770	0.000660	0.000000	0.012600	0.000000	43527
ELDFISK	1998	11	0.042250	0.025730	0.003850	0.000000	0.071830	0.000000	43527
ELDFISK	1998	12	0.051930	0.021230	0.003770	0.000000	0.076930	0.000000	43527
ELDFISK	1999	1	0.133550	0.041370	0.006280	0.000000	0.181210	0.000000	43527
ELDFISK	1999	2	0.122630	0.073240	0.010930	0.000000	0.206800	0.000000	43527
ELDFISK	1999	3	0.110180	0.058760	0.010990	0.000000	0.179930	0.000000	43527
ELDFISK	1999	4	0.072800	0.026680	0.005410	0.000000	0.104880	0.000000	43527
ELDFISK	1999	5	0.112980	0.059150	0.010520	0.000000	0.182650	0.000000	43527
ELDFISK	1999	6	0.078930	0.039890	0.007890	0.000000	0.126710	0.000000	43527
ELDFISK	1999	7	0.095700	0.047400	0.010100	0.000000	0.153200	0.000000	43527
ELDFISK	1999	8	0.072660	0.035630	0.007150	0.000000	0.115440	0.000000	43527
ELDFISK	1999	9	0.085420	0.042740	0.007390	0.000000	0.135550	0.000000	43527
ELDFISK	1999	10	0.097880	0.052490	0.008990	0.000000	0.159350	0.000000	43527
ELDFISK	1999	11	0.120260	0.055520	0.010010	0.000000	0.185800	0.000000	43527
ELDFISK	1999	12	0.061140	0.023870	0.005010	0.000000	0.090020	0.000000	43527
ELDFISK	2000	1	0.097520	0.051560	0.009650	0.000000	0.158730	0.011450	43527
ELDFISK	2000	2	0.107350	0.062520	0.010860	0.000000	0.180720	0.012900	43527
ELDFISK	2000	3	0.113900	0.068270	0.011430	0.000000	0.193600	0.011270	43527
ELDFISK	2000	4	0.088540	0.048660	0.008790	0.000000	0.145990	0.011740	43527
ELDFISK	2000	5	0.083720	0.042830	0.007850	0.000000	0.134400	0.011460	43527
ELDFISK	2000	6	0.082740	0.041400	0.007220	0.000000	0.131370	0.010540	43527
ELDFISK	2000	7	0.101490	0.051370	0.009330	0.000000	0.162190	0.014570	43527
ELDFISK	2000	8	0.082170	0.042810	0.007940	0.000000	0.132920	0.013080	43527
ELDFISK	2000	9	0.090970	0.039690	0.007270	0.000000	0.137930	0.011860	43527
ELDFISK	2000	10	0.128200	0.067550	0.011340	0.000000	0.207100	0.014140	43527
ELDFISK	2000	11	0.141860	0.074640	0.012450	0.000000	0.228950	0.013280	43527
ELDFISK	2000	12	0.154390	0.072510	0.013030	0.000000	0.239930	0.011510	43527
ELDFISK	2001	1	0.152020	0.058870	0.011070	0.000000	0.221960	0.013840	43527
ELDFISK	2001	2	0.148830	0.038070	0.008900	0.000000	0.195800	0.019500	43527
ELDFISK	2001	3	0.155510	0.058660	0.012970	0.000000	0.227140	0.021280	43527
ELDFISK	2001	4	0.157600	0.062110	0.011010	0.000000	0.230710	0.021700	43527
ELDFISK	2001	5	0.161760	0.063410	0.010110	0.000000	0.235280	0.022260	43527
ELDFISK	2001	6	0.170480	0.075480	0.010480	0.000000	0.256440	0.016450	43527
ELDFISK	2001	7	0.182210	0.074480	0.011240	0.000000	0.267930	0.014800	43527
ELDFISK	2001	8	0.091650	0.036330	0.004820	0.000000	0.132800	0.009410	43527
ELDFISK	2001	9	0.164740	0.043910	0.014520	0.000000	0.223160	0.010690	43527
ELDFISK	2001	10	0.204300	0.064890	0.020270	0.000000	0.289470	0.023060	43527
ELDFISK	2001	11	0.201190	0.080830	0.014800	0.000000	0.296810	0.020660	43527
ELDFISK	2001	12	0.205670	0.092250	0.015260	0.000000	0.313180	0.027590	43527
ELDFISK	2002	1	0.198990	0.101090	0.014220	0.000000	0.314300	0.038140	43527
ELDFISK	2002	2	0.188610	0.083250	0.013770	0.000000	0.285630	0.036890	43527
ELDFISK	2002	3	0.182080	0.088160	0.015660	0.000000	0.285900	0.014060	43527
ELDFISK	2002	4	0.189220	0.078090	0.013930	0.000000	0.281240	0.019930	43527
ELDFISK	2002	5	0.196900	0.082560	0.012310	0.000000	0.291760	0.040480	43527
ELDFISK	2002	6	0.209400	0.082760	0.013110	0.000000	0.305260	0.054510	43527
ELDFISK	2002	7	0.215970	0.074210	0.013030	0.000000	0.303220	0.052520	43527
ELDFISK	2002	8	0.197980	0.062020	0.013280	0.000000	0.273270	0.048350	43527
ELDFISK	2002	9	0.210570	0.060920	0.013000	0.000000	0.284500	0.051470	43527
ELDFISK	2002	10	0.209690	0.078550	0.014610	0.000000	0.302850	0.043130	43527
ELDFISK	2002	11	0.192970	0.069890	0.014150	0.000000	0.277010	0.054860	43527
ELDFISK	2002	12	0.200090	0.064710	0.012310	0.000000	0.277110	0.049530	43527
ELDFISK	2003	1	0.206330	0.074740	0.013130	0.000000	0.294200	0.046860	43527
ELDFISK	2003	2	0.194980	0.052750	0.010290	0.000000	0.258020	0.062850	43527
ELDFISK	2003	3	0.210300	0.070680	0.013030	0.000000	0.294010	0.069340	43527
ELDFISK	2003	4	0.200530	0.080110	0.015170	0.000000	0.295820	0.035860	43527
ELDFISK	2003	5	0.236410	0.070100	0.013520	0.000000	0.320020	0.089610	43527
ELDFISK	2003	6	0.214360	0.079810	0.014570	0.000000	0.308730	0.077580	43527
ELDFISK	2003	7	0.215440	0.077810	0.013820	0.000000	0.307070	0.085530	43527
ELDFISK	2003	8	0.144790	0.036070	0.007080	0.000000	0.187940	0.055930	43527
ELDFISK	2003	9	0.201470	0.055920	0.010450	0.000000	0.267830	0.040770	43527
ELDFISK	2003	10	0.212500	0.057330	0.011800	0.000000	0.281620	0.061850	43527
ELDFISK	2003	11	0.194530	0.051240	0.010510	0.000000	0.256270	0.060230	43527
ELDFISK	2003	12	0.186950	0.035550	0.008210	0.000000	0.230720	0.057330	43527
ELDFISK	2004	1	0.249130	0.057200	0.012660	0.000000	0.318990	0.074590	43527
ELDFISK	2004	2	0.241710	0.061840	0.013130	0.000000	0.316680	0.080500	43527
ELDFISK	2004	3	0.249110	0.076860	0.015660	0.000000	0.341640	0.069560	43527
ELDFISK	2004	4	0.267080	0.051140	0.012330	0.000000	0.330540	0.088920	43527
ELDFISK	2004	5	0.257420	0.076360	0.015700	0.000000	0.349470	0.071310	43527
ELDFISK	2004	6	0.278310	0.087170	0.017780	0.000000	0.383260	0.076030	43527
ELDFISK	2004	7	0.298650	0.092780	0.017650	0.000000	0.409080	0.087670	43527
ELDFISK	2004	8	0.209500	0.064200	0.012480	0.000000	0.286170	0.054890	43527
ELDFISK	2004	9	0.197610	0.067220	0.013510	0.000000	0.278340	0.038350	43527
ELDFISK	2004	10	0.302090	0.069170	0.015390	0.000000	0.386650	0.077860	43527
ELDFISK	2004	11	0.291190	0.084640	0.017430	0.000000	0.393260	0.076880	43527
ELDFISK	2004	12	0.321480	0.096350	0.020820	0.000000	0.438650	0.087330	43527
ELDFISK	2005	1	0.322830	0.088130	0.019240	0.000000	0.430200	0.087370	43527
ELDFISK	2005	2	0.281610	0.071330	0.015480	0.000000	0.368420	0.085440	43527
ELDFISK	2005	3	0.329660	0.081760	0.017830	0.000000	0.429250	0.113120	43527
ELDFISK	2005	4	0.314810	0.081180	0.017640	0.000000	0.413640	0.086710	43527
ELDFISK	2005	5	0.323670	0.079110	0.014760	0.000000	0.417540	0.132680	43527
ELDFISK	2005	6	0.283090	0.062760	0.011050	0.000000	0.356900	0.094560	43527
ELDFISK	2005	7	0.299060	0.069330	0.014160	0.000000	0.382540	0.068830	43527
ELDFISK	2005	8	0.236730	0.063650	0.012140	0.000000	0.312520	0.053180	43527
ELDFISK	2005	9	0.300830	0.064930	0.014260	0.000000	0.380020	0.072600	43527
ELDFISK	2005	10	0.287150	0.074610	0.014690	0.000000	0.376450	0.086600	43527
ELDFISK	2005	11	0.265920	0.062710	0.013400	0.000000	0.342020	0.085190	43527
ELDFISK	2005	12	0.265470	0.060590	0.013180	0.000000	0.339240	0.080000	43527
ELDFISK	2006	1	0.217810	0.046410	0.011770	0.000000	0.275990	0.067510	43527
ELDFISK	2006	2	0.230740	0.056260	0.012290	0.000000	0.299290	0.073030	43527
ELDFISK	2006	3	0.243020	0.052580	0.011970	0.000000	0.307570	0.077080	43527
ELDFISK	2006	4	0.252810	0.053970	0.012180	0.000000	0.318960	0.075410	43527
ELDFISK	2006	5	0.261270	0.055940	0.012880	0.000000	0.330080	0.085980	43527
ELDFISK	2006	6	0.260190	0.060720	0.013400	0.000000	0.334310	0.092280	43527
ELDFISK	2006	7	0.265550	0.065550	0.012700	0.000000	0.343800	0.093880	43527
ELDFISK	2006	8	0.254220	0.059410	0.012460	0.000000	0.326080	0.062120	43527
ELDFISK	2006	9	0.263430	0.061980	0.013350	0.000000	0.338760	0.070770	43527
ELDFISK	2006	10	0.278320	0.068050	0.014730	0.000000	0.361090	0.091990	43527
ELDFISK	2006	11	0.220860	0.042760	0.009980	0.000000	0.273610	0.089650	43527
ELDFISK	2006	12	0.264020	0.070090	0.014750	0.000000	0.348860	0.106700	43527
ELDFISK	2007	1	0.257350	0.055370	0.011870	0.000000	0.324600	0.091960	43527
ELDFISK	2007	2	0.237640	0.049750	0.010480	0.000000	0.297870	0.078980	43527
ELDFISK	2007	3	0.251560	0.048570	0.010980	0.000000	0.311100	0.089660	43527
ELDFISK	2007	4	0.254810	0.060590	0.012810	0.000000	0.328220	0.101770	43527
ELDFISK	2007	5	0.240160	0.049750	0.011410	0.000000	0.301320	0.088260	43527
ELDFISK	2007	6	0.058480	0.011560	0.001950	0.000000	0.071990	0.023030	43527
ELDFISK	2007	7	0.257630	0.051980	0.011430	0.000000	0.321050	0.080350	43527
ELDFISK	2007	8	0.273600	0.058190	0.013360	0.000000	0.345150	0.101480	43527
ELDFISK	2007	9	0.190030	0.034500	0.008060	0.000000	0.232590	0.064550	43527
ELDFISK	2007	10	0.116720	0.019300	0.005330	0.000000	0.141350	0.038360	43527
ELDFISK	2007	11	0.226570	0.040070	0.010330	0.000000	0.276960	0.070010	43527
ELDFISK	2007	12	0.279580	0.054270	0.013010	0.000000	0.346860	0.101300	43527
ELDFISK	2008	1	0.259860	0.052000	0.012890	0.000000	0.324760	0.095650	43527
ELDFISK	2008	2	0.209720	0.044210	0.010450	0.000000	0.264380	0.074210	43527
ELDFISK	2008	3	0.261730	0.046760	0.011430	0.000000	0.319920	0.097960	43527
ELDFISK	2008	4	0.259550	0.050280	0.012170	0.000000	0.322010	0.096940	43527
ELDFISK	2008	5	0.265380	0.049590	0.012520	0.000000	0.327490	0.102450	43527
ELDFISK	2008	6	0.221330	0.037850	0.009700	0.000000	0.268880	0.079940	43527
ELDFISK	2008	7	0.281870	0.051910	0.011840	0.000000	0.345620	0.104110	43527
ELDFISK	2008	8	0.266570	0.042130	0.010600	0.000000	0.319300	0.088710	43527
ELDFISK	2008	9	0.201180	0.041570	0.009960	0.000000	0.252710	0.064580	43527
ELDFISK	2008	10	0.293250	0.052610	0.012700	0.000000	0.358550	0.102430	43527
ELDFISK	2008	11	0.251140	0.047190	0.010700	0.000000	0.309030	0.094560	43527
ELDFISK	2008	12	0.250870	0.046320	0.011520	0.000000	0.308710	0.094350	43527
ELDFISK	2009	1	0.251740	0.043700	0.011540	0.000000	0.306980	0.078020	43527
ELDFISK	2009	2	0.230510	0.039380	0.010100	0.000000	0.279980	0.077220	43527
ELDFISK	2009	3	0.255730	0.046030	0.010980	0.000000	0.312730	0.101620	43527
ELDFISK	2009	4	0.230990	0.040740	0.010690	0.000000	0.282430	0.071450	43527
ELDFISK	2009	5	0.202150	0.028470	0.006930	0.000000	0.237550	0.052350	43527
ELDFISK	2009	6	0.222690	0.042730	0.009910	0.000000	0.275330	0.079410	43527
ELDFISK	2009	7	0.248040	0.044890	0.010450	0.000000	0.303370	0.085670	43527
ELDFISK	2009	8	0.228180	0.028830	0.008210	0.000000	0.265220	0.084790	43527
ELDFISK	2009	9	0.211740	0.037640	0.008840	0.000000	0.258220	0.078170	43527
ELDFISK	2009	10	0.256680	0.041320	0.010020	0.000000	0.308010	0.079240	43527
ELDFISK	2009	11	0.261120	0.049640	0.010200	0.000000	0.320950	0.079230	43527
ELDFISK	2009	12	0.258460	0.041480	0.009470	0.000000	0.309410	0.082970	43527
ELDFISK	2010	1	0.263780	0.051410	0.011510	0.000000	0.326700	0.101260	43527
ELDFISK	2010	2	0.237010	0.045260	0.010170	0.000000	0.292430	0.084890	43527
ELDFISK	2010	3	0.262740	0.050600	0.011100	0.000000	0.324430	0.091260	43527
ELDFISK	2010	4	0.253800	0.050220	0.011510	0.000000	0.315530	0.091250	43527
ELDFISK	2010	5	0.268760	0.054630	0.012560	0.000000	0.335950	0.095470	43527
ELDFISK	2010	6	0.028980	0.003170	-0.000150	0.000000	0.032000	0.005080	43527
ELDFISK	2010	7	0.275730	0.040350	0.008810	0.000000	0.324890	0.091250	43527
ELDFISK	2010	8	0.259700	0.035810	0.009420	0.000000	0.304930	0.088070	43527
ELDFISK	2010	9	0.252820	0.046110	0.010780	0.000000	0.309700	0.083490	43527
ELDFISK	2010	10	0.257470	0.042920	0.010460	0.000000	0.310850	0.094970	43527
ELDFISK	2010	11	0.254300	0.041450	0.009360	0.000000	0.305110	0.100180	43527
ELDFISK	2010	12	0.258920	0.043080	0.009230	0.000000	0.311220	0.099970	43527
ELDFISK	2011	1	0.250050	0.042290	0.009250	0.000000	0.301590	0.100640	43527
ELDFISK	2011	2	0.240380	0.039800	0.008830	0.000000	0.289010	0.094460	43527
ELDFISK	2011	3	0.264020	0.048020	0.010280	0.000000	0.322310	0.095280	43527
ELDFISK	2011	4	0.246480	0.045110	0.009560	0.000000	0.301140	0.091650	43527
ELDFISK	2011	5	0.263620	0.048300	0.010760	0.000000	0.322680	0.104890	43527
ELDFISK	2011	6	0.230290	0.033680	0.007810	0.000000	0.271780	0.090840	43527
ELDFISK	2011	7	0.232950	0.047820	0.009660	0.000000	0.290420	0.092940	43527
ELDFISK	2011	8	0.248610	0.037770	0.008240	0.000000	0.294620	0.105760	43527
ELDFISK	2011	9	0.237870	0.042970	0.009270	0.000000	0.290110	0.091700	43527
ELDFISK	2011	10	0.249500	0.038380	0.009360	0.000000	0.297250	0.100050	43527
ELDFISK	2011	11	0.212670	0.026380	0.007520	0.000000	0.246570	0.090600	43527
ELDFISK	2011	12	0.217420	0.025200	0.007560	0.000000	0.250180	0.096080	43527
ELDFISK	2012	1	0.147590	0.018480	0.004960	0.000000	0.171030	0.050340	43527
ELDFISK	2012	2	0.237000	0.026680	0.008220	0.000000	0.271900	0.112470	43527
ELDFISK	2012	3	0.255620	0.030670	0.009140	0.000000	0.295420	0.113580	43527
ELDFISK	2012	4	0.225450	0.025370	0.007990	0.000000	0.258810	0.118200	43527
ELDFISK	2012	5	0.236490	0.020060	0.007350	0.000000	0.263900	0.123510	43527
ELDFISK	2012	6	0.216680	0.023920	0.007670	0.000000	0.248280	0.117920	43527
ELDFISK	2012	7	0.231420	0.027260	0.007830	0.000000	0.266510	0.118840	43527
ELDFISK	2012	8	0.231100	0.027080	0.007920	0.000000	0.266110	0.112940	43527
ELDFISK	2012	9	0.209630	0.019730	0.006680	0.000000	0.236040	0.109710	43527
ELDFISK	2012	10	0.234290	0.024210	0.007730	0.000000	0.266220	0.119970	43527
ELDFISK	2012	11	0.206930	0.018460	0.006720	0.000000	0.232110	0.124800	43527
ELDFISK	2012	12	0.212620	0.021210	0.006890	0.000000	0.240710	0.121300	43527
ELDFISK	2013	1	0.197160	0.023130	0.007360	0.000000	0.227650	0.116080	43527
ELDFISK	2013	2	0.188610	0.019930	0.006230	0.000000	0.214770	0.114590	43527
EMBLA	1993	5	0.017090	0.005150	0.001080	0.000000	0.023320	0.000000	43534
EMBLA	1993	6	0.028750	0.006750	0.001570	0.000000	0.037060	0.000000	43534
EMBLA	1993	7	0.048770	0.014720	0.003150	0.000000	0.066640	0.000000	43534
EMBLA	1993	8	0.083360	0.025820	0.005490	0.000000	0.114670	0.000000	43534
EMBLA	1993	9	0.122370	0.038470	0.008380	0.000000	0.169220	0.000000	43534
EMBLA	1993	10	0.130590	0.040140	0.008400	0.000000	0.179130	0.000000	43534
EMBLA	1993	11	0.122720	0.038450	0.008480	0.000000	0.169650	0.000000	43534
EMBLA	1993	12	0.134470	0.040980	0.009060	0.000000	0.184500	0.000000	43534
EMBLA	1994	1	0.147540	0.044120	0.009900	0.000000	0.201570	0.000000	43534
EMBLA	1994	2	0.132270	0.039560	0.009460	0.000000	0.181280	0.000000	43534
EMBLA	1994	3	0.139110	0.041230	0.009790	0.000000	0.190140	0.000000	43534
EMBLA	1994	4	0.127430	0.038910	0.008940	0.000000	0.175290	0.000000	43534
EMBLA	1994	5	0.121500	0.034210	0.008080	0.000000	0.163780	0.000000	43534
EMBLA	1994	6	0.115990	0.035620	0.008110	0.000000	0.159720	0.000000	43534
EMBLA	1994	7	0.115180	0.036640	0.006770	0.000000	0.158580	0.000000	43534
EMBLA	1994	8	0.025060	0.006910	0.001330	0.000000	0.033310	0.000000	43534
EMBLA	1994	9	0.117810	0.035420	0.007440	0.000000	0.160670	0.000000	43534
EMBLA	1994	10	0.123220	0.037550	0.008550	0.000000	0.169320	0.000000	43534
EMBLA	1994	11	0.126890	0.038710	0.008870	0.000000	0.174460	0.000000	43534
EMBLA	1994	12	0.123900	0.039190	0.009020	0.000000	0.172120	0.000000	43534
EMBLA	1995	1	0.123640	0.037160	0.008530	0.000000	0.169320	0.000000	43534
EMBLA	1995	2	0.109540	0.031560	0.007740	0.000000	0.148840	0.000000	43534
EMBLA	1995	3	0.112850	0.033320	0.008080	0.000000	0.154250	0.000000	43534
EMBLA	1995	4	0.106380	0.032230	0.007600	0.000000	0.146210	0.000000	43534
EMBLA	1995	5	0.104150	0.029730	0.007090	0.000000	0.140960	0.000000	43534
EMBLA	1995	6	0.116700	0.033970	0.007730	0.000000	0.158390	0.000000	43534
EMBLA	1995	7	0.113860	0.034210	0.008080	0.000000	0.156140	0.000000	43534
EMBLA	1995	8	0.068500	0.025390	0.005480	0.000000	0.099380	0.000000	43534
EMBLA	1995	9	0.103020	0.030910	0.007360	0.000000	0.141290	0.000000	43534
EMBLA	1995	10	0.109230	0.033500	0.005000	0.000000	0.147720	0.000000	43534
EMBLA	1995	11	0.097530	0.033030	0.005730	0.000000	0.136280	0.000000	43534
EMBLA	1995	12	0.107200	0.034240	0.007280	0.000000	0.148730	0.000000	43534
EMBLA	1996	1	0.096970	0.031020	0.006440	0.000000	0.134430	0.000000	43534
EMBLA	1996	2	0.089860	0.029020	0.006070	0.000000	0.124960	0.000000	43534
EMBLA	1996	3	0.092640	0.030330	0.006200	0.000000	0.129180	0.000000	43534
EMBLA	1996	4	0.085030	0.027110	0.005870	0.000000	0.118020	0.000000	43534
EMBLA	1996	5	0.084120	0.028400	0.005110	0.000000	0.117630	0.000000	43534
EMBLA	1996	6	0.082890	0.027910	0.005250	0.000000	0.116050	0.000000	43534
EMBLA	1996	7	0.082960	0.030040	0.005900	0.000000	0.118900	0.000000	43534
EMBLA	1996	8	0.062620	0.021730	0.004970	0.000000	0.089310	0.000000	43534
EMBLA	1996	9	0.085420	0.034180	0.006760	0.000000	0.126350	0.000000	43534
EMBLA	1996	10	0.086030	0.034500	0.007270	0.000000	0.127800	0.000000	43534
EMBLA	1996	11	0.079440	0.032430	0.006500	0.000000	0.118380	0.000000	43534
EMBLA	1996	12	0.070590	0.028580	0.005460	0.000000	0.104640	0.000000	43534
EMBLA	1997	1	0.061890	0.024620	0.004690	0.000000	0.091200	0.000000	43534
EMBLA	1997	2	0.071930	0.027090	0.005510	0.000000	0.104520	0.000000	43534
EMBLA	1997	3	0.078240	0.030090	0.005950	0.000000	0.114270	0.000000	43534
EMBLA	1997	4	0.066630	0.026590	0.005400	0.000000	0.098620	0.000000	43534
EMBLA	1997	5	0.064270	0.025960	0.005220	0.000000	0.095440	0.000000	43534
EMBLA	1997	6	0.064430	0.025390	0.005180	0.000000	0.094990	0.000000	43534
EMBLA	1997	7	0.062210	0.025430	0.005300	0.000000	0.092940	0.000000	43534
EMBLA	1997	8	0.066200	0.025030	0.005460	0.000000	0.096700	0.000000	43534
EMBLA	1997	9	0.056840	0.024150	0.005080	0.000000	0.086070	0.000000	43534
EMBLA	1997	10	0.051170	0.023170	0.005010	0.000000	0.079350	0.000000	43534
EMBLA	1997	11	0.046520	0.021070	0.004800	0.000000	0.072390	0.000000	43534
EMBLA	1997	12	0.045760	0.017820	0.003960	0.000000	0.067540	0.000000	43534
EMBLA	1998	1	0.045210	0.019200	0.004460	0.000000	0.068870	0.000000	43534
EMBLA	1998	2	0.034920	0.017790	0.003600	0.000000	0.056310	0.000000	43534
EMBLA	1998	3	0.039390	0.018450	0.003740	0.000000	0.061580	0.000000	43534
EMBLA	1998	4	0.033240	0.016320	0.003780	0.000000	0.053340	0.000000	43534
EMBLA	1998	5	0.054830	0.017890	0.003720	0.000000	0.076440	0.000000	43534
EMBLA	1998	6	0.051650	0.021380	0.004760	0.000000	0.077780	0.000000	43534
EMBLA	1998	7	0.061280	0.023800	0.004770	0.000000	0.089850	0.000000	43534
EMBLA	1998	8	0.006480	0.001880	0.000260	0.000000	0.008620	0.000000	43534
EMBLA	1998	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43534
EMBLA	1998	10	0.036340	0.010380	0.001800	0.000000	0.048530	0.000000	43534
EMBLA	1998	11	0.064370	0.018660	0.003700	0.000000	0.086720	0.000000	43534
EMBLA	1998	12	0.057180	0.020150	0.004830	0.000000	0.082170	0.000000	43534
EMBLA	1999	1	0.060830	0.029320	0.004860	0.000000	0.095010	0.000000	43534
EMBLA	1999	2	0.050600	0.019490	0.003980	0.000000	0.074070	0.000000	43534
EMBLA	1999	3	0.056700	0.021600	0.004510	0.000000	0.082810	0.000000	43534
EMBLA	1999	4	0.033680	0.012880	0.003450	0.000000	0.050000	0.000000	43534
EMBLA	1999	5	0.052610	0.019570	0.005000	0.000000	0.077180	0.000000	43534
EMBLA	1999	6	0.038010	0.015680	0.004000	0.000000	0.057690	0.000000	43534
EMBLA	1999	7	0.059410	0.021210	0.006170	0.000000	0.086800	0.000000	43534
EMBLA	1999	8	0.034940	0.014390	0.003860	0.000000	0.053190	0.000000	43534
EMBLA	1999	9	0.091320	0.029240	0.007720	0.000000	0.128280	0.000000	43534
EMBLA	1999	10	0.066070	0.022650	0.005890	0.000000	0.094610	0.000000	43534
EMBLA	1999	11	0.067760	0.021370	0.005690	0.000000	0.094810	0.000000	43534
EMBLA	1999	12	0.088990	0.023650	0.007220	0.000000	0.119850	0.000000	43534
EMBLA	2000	1	0.086440	0.027300	0.007940	0.000000	0.121680	0.000410	43534
EMBLA	2000	2	0.056870	0.021300	0.005350	0.000000	0.083520	0.000250	43534
EMBLA	2000	3	0.047350	0.019830	0.004750	0.000000	0.071930	0.000260	43534
EMBLA	2000	4	0.039060	0.017420	0.004570	0.000000	0.061040	0.000240	43534
EMBLA	2000	5	0.059040	0.022910	0.006070	0.000000	0.088020	0.000390	43534
EMBLA	2000	6	0.054850	0.023020	0.005740	0.000000	0.083600	0.000650	43534
EMBLA	2000	7	0.057000	0.023010	0.006130	0.000000	0.086130	0.000460	43534
EMBLA	2000	8	0.053260	0.021530	0.005890	0.000000	0.080680	0.000330	43534
EMBLA	2000	9	0.046800	0.011150	0.003680	0.000000	0.061620	0.000330	43534
EMBLA	2000	10	0.052130	0.016300	0.004620	0.000000	0.073050	0.000560	43534
EMBLA	2000	11	0.043660	0.009990	0.003120	0.000000	0.056770	0.000660	43534
EMBLA	2000	12	0.040400	0.011570	0.003340	0.000000	0.055310	0.000610	43534
EMBLA	2001	1	0.056450	0.010440	0.003810	0.000000	0.070710	0.000770	43534
EMBLA	2001	2	0.042750	0.004460	0.002410	0.000000	0.049620	0.000660	43534
EMBLA	2001	3	0.053840	0.007110	0.003330	0.000000	0.064280	0.000850	43534
EMBLA	2001	4	0.062440	0.008050	0.004790	0.000000	0.075270	0.000870	43534
EMBLA	2001	5	0.055000	0.012230	0.005450	0.000000	0.072670	0.000690	43534
EMBLA	2001	6	0.033420	0.006040	0.003380	0.000000	0.042840	0.000560	43534
EMBLA	2001	7	0.031890	0.006060	0.003790	0.000000	0.041740	0.000480	43534
EMBLA	2001	8	0.014110	0.002890	0.001550	0.000000	0.018550	0.000310	43534
EMBLA	2001	9	0.037370	0.011040	0.003920	0.000000	0.052330	0.000530	43534
EMBLA	2001	10	0.037560	0.004760	0.003630	0.000000	0.045940	0.000730	43534
EMBLA	2001	11	0.033610	0.005120	0.003640	0.000000	0.042370	0.001190	43534
EMBLA	2001	12	0.036680	0.003950	0.003510	0.000000	0.044140	0.000810	43534
EMBLA	2002	1	0.037520	0.006810	0.003650	0.000000	0.047970	0.000760	43534
EMBLA	2002	2	0.031110	0.004200	0.003030	0.000000	0.038340	0.000570	43534
EMBLA	2002	3	0.026870	0.009760	0.002600	0.000000	0.039220	0.000560	43534
EMBLA	2002	4	0.032920	0.001960	0.002110	0.000000	0.036990	0.000590	43534
EMBLA	2002	5	0.037030	0.005190	0.003020	0.000000	0.045240	0.000690	43534
EMBLA	2002	6	0.033220	0.006450	0.002890	0.000000	0.042560	0.000710	43534
EMBLA	2002	7	0.032800	0.005490	0.002990	0.000000	0.041280	0.000600	43534
EMBLA	2002	8	0.034110	0.005800	0.003230	0.000000	0.043150	0.000750	43534
EMBLA	2002	9	0.032820	0.006570	0.003880	0.000000	0.043280	0.000640	43534
EMBLA	2002	10	0.030290	0.011250	0.003340	0.000000	0.044880	0.000700	43534
EMBLA	2002	11	0.028330	0.008350	0.002740	0.000000	0.039420	0.000660	43534
EMBLA	2002	12	0.030020	0.007410	0.002480	0.000000	0.039910	0.001550	43534
EMBLA	2003	1	0.029700	0.008260	0.002620	0.000000	0.040580	0.000890	43534
EMBLA	2003	2	0.020340	0.005520	0.002080	0.000000	0.027940	0.000840	43534
EMBLA	2003	3	0.029970	0.009020	0.002580	0.000000	0.041570	0.000490	43534
EMBLA	2003	4	0.031370	0.009670	0.002700	0.000000	0.043740	0.000540	43534
EMBLA	2003	5	0.031750	0.005580	0.002290	0.000000	0.039620	0.001280	43534
EMBLA	2003	6	0.029710	0.009020	0.002470	0.000000	0.041200	0.000700	43534
EMBLA	2003	7	0.033740	0.008560	0.002500	0.000000	0.044790	0.000650	43534
EMBLA	2003	8	0.025190	0.002430	0.001460	0.000000	0.029070	0.000520	43534
EMBLA	2003	9	0.042280	0.008850	0.003040	0.000000	0.054170	0.000540	43534
EMBLA	2003	10	0.056420	0.016680	0.004860	0.000000	0.077970	0.000910	43534
EMBLA	2003	11	0.038780	0.015180	0.004050	0.000000	0.058010	0.000820	43534
EMBLA	2003	12	0.033970	0.010000	0.003000	0.000000	0.046960	0.000430	43534
EMBLA	2004	1	0.054680	0.020190	0.005590	0.000000	0.080460	0.000780	43534
EMBLA	2004	2	0.042800	0.017270	0.004470	0.000000	0.064540	0.000390	43534
EMBLA	2004	3	0.036070	0.010760	0.002870	0.000000	0.049700	0.000280	43534
EMBLA	2004	4	0.037750	0.015650	0.004090	0.000000	0.057500	0.001050	43534
EMBLA	2004	5	0.030760	0.014050	0.003480	0.000000	0.048290	0.000970	43534
EMBLA	2004	6	0.026830	0.011800	0.002980	0.000000	0.041600	0.000570	43534
EMBLA	2004	7	0.022990	0.011080	0.002650	0.000000	0.036710	0.001720	43534
EMBLA	2004	8	0.019010	0.008220	0.002010	0.000000	0.029240	0.000220	43534
EMBLA	2004	9	0.022200	0.008710	0.002210	0.000000	0.033120	0.000220	43534
EMBLA	2004	10	0.033230	0.012080	0.002850	0.000000	0.048160	0.000250	43534
EMBLA	2004	11	0.037300	0.013650	0.003190	0.000000	0.054140	0.000270	43534
EMBLA	2004	12	0.036740	0.015290	0.003640	0.000000	0.055670	0.000300	43534
EMBLA	2005	1	0.028330	0.013430	0.003040	0.000000	0.044800	0.000270	43534
EMBLA	2005	2	0.022220	0.012180	0.002600	0.000000	0.037000	0.000220	43534
EMBLA	2005	3	0.024900	0.012620	0.002800	0.000000	0.040310	0.000270	43534
EMBLA	2005	4	0.019660	0.010640	0.002290	0.000000	0.032590	0.000210	43534
EMBLA	2005	5	0.023370	0.010980	0.002190	0.000000	0.036540	0.000260	43534
EMBLA	2005	6	0.020700	0.009840	0.001770	0.000000	0.032300	0.000210	43534
EMBLA	2005	7	0.021990	0.010330	0.002190	0.000000	0.034510	0.000240	43534
EMBLA	2005	8	0.017390	0.007990	0.001790	0.000000	0.027160	0.000190	43534
EMBLA	2005	9	0.027050	0.012460	0.002820	0.000000	0.042320	0.000370	43534
EMBLA	2005	10	0.023440	0.011300	0.002510	0.000000	0.037240	0.000630	43534
EMBLA	2005	11	0.023170	0.010900	0.002590	0.000000	0.036660	0.000250	43534
EMBLA	2005	12	0.029460	0.012780	0.003090	0.000000	0.045330	0.000220	43534
EMBLA	2006	1	0.027680	0.012800	0.003290	0.000000	0.043780	0.000430	43534
EMBLA	2006	2	0.032340	0.013750	0.003430	0.000000	0.049520	0.000630	43534
EMBLA	2006	3	0.034050	0.015820	0.003790	0.000000	0.053660	0.000610	43534
EMBLA	2006	4	0.032990	0.014470	0.003770	0.000000	0.051220	0.000670	43534
EMBLA	2006	5	0.030360	0.015310	0.003810	0.000000	0.049480	0.001470	43534
EMBLA	2006	6	0.027920	0.013690	0.003410	0.000000	0.045020	0.000620	43534
EMBLA	2006	7	0.025950	0.011980	0.002690	0.000000	0.040620	0.000610	43534
EMBLA	2006	8	0.027180	0.013090	0.003170	0.000000	0.043440	0.000600	43534
EMBLA	2006	9	0.026690	0.013480	0.003210	0.000000	0.043390	0.000970	43534
EMBLA	2006	10	0.024720	0.013410	0.003140	0.000000	0.041270	0.000690	43534
EMBLA	2006	11	0.019120	0.009220	0.002270	0.000000	0.030610	0.000420	43534
EMBLA	2006	12	0.020930	0.011840	0.002670	0.000000	0.035440	0.000520	43534
EMBLA	2007	1	0.022550	0.012700	0.002890	0.000000	0.038140	0.000660	43534
EMBLA	2007	2	0.016920	0.009100	0.002000	0.000000	0.028030	0.000530	43534
EMBLA	2007	3	0.018150	0.009360	0.002140	0.000000	0.029650	0.000500	43534
EMBLA	2007	4	0.018770	0.010370	0.002210	0.000000	0.031350	0.000530	43534
EMBLA	2007	5	0.017250	0.010080	0.002290	0.000000	0.029620	0.000500	43534
EMBLA	2007	6	0.003390	0.001930	0.000330	0.000000	0.005650	0.000110	43534
EMBLA	2007	7	0.012870	0.005850	0.001280	0.000000	0.020000	0.000910	43534
EMBLA	2007	8	0.014290	0.008150	0.001860	0.000000	0.024300	0.001430	43534
EMBLA	2007	9	0.016100	0.010630	0.002400	0.000000	0.029130	0.000320	43534
EMBLA	2007	10	0.011190	0.005970	0.001510	0.000000	0.018670	0.000300	43534
EMBLA	2007	11	0.023800	0.012300	0.003030	0.000000	0.039130	0.001410	43534
EMBLA	2007	12	0.021670	0.014020	0.003200	0.000000	0.038890	0.001540	43534
EMBLA	2008	1	0.017470	0.011220	0.002650	0.000000	0.031330	0.001140	43534
EMBLA	2008	2	0.014470	0.009600	0.002440	0.000000	0.026510	0.001130	43534
EMBLA	2008	3	0.019630	0.012330	0.003280	0.000000	0.035240	0.001290	43534
EMBLA	2008	4	0.016680	0.011280	0.002480	0.000000	0.030440	0.000890	43534
EMBLA	2008	5	0.018820	0.014400	0.002720	0.000000	0.035940	0.001350	43534
EMBLA	2008	6	0.015200	0.012480	0.002430	0.000000	0.030120	0.000590	43534
EMBLA	2008	7	0.012030	0.007100	0.001430	0.000000	0.020560	0.000340	43534
EMBLA	2008	8	0.017540	0.012650	0.002420	0.000000	0.032620	0.000680	43534
EMBLA	2008	9	0.012790	0.008920	0.001820	0.000000	0.023540	0.000490	43534
EMBLA	2008	10	0.026350	0.015810	0.003360	0.000000	0.045520	0.002050	43534
EMBLA	2008	11	0.023130	0.014840	0.003010	0.000000	0.040970	0.000770	43534
EMBLA	2008	12	0.024840	0.013820	0.003400	0.000000	0.042060	0.000710	43534
EMBLA	2009	1	0.021060	0.013890	0.003350	0.000000	0.038300	0.000590	43534
EMBLA	2009	2	0.019350	0.013280	0.002980	0.000000	0.035620	0.000450	43534
EMBLA	2009	3	0.022050	0.014170	0.003090	0.000000	0.039300	0.000610	43534
EMBLA	2009	4	0.017690	0.012410	0.002810	0.000000	0.032900	0.000720	43534
EMBLA	2009	5	0.014730	0.000310	0.000650	0.000000	0.015690	0.000320	43534
EMBLA	2009	6	0.020800	0.012870	0.002580	0.000000	0.036250	0.000550	43534
EMBLA	2009	7	0.021440	0.010660	0.002280	0.000000	0.034380	0.000670	43534
EMBLA	2009	8	0.020180	0.008790	0.002140	0.000000	0.031100	0.000670	43534
EMBLA	2009	9	0.017090	0.013130	0.002540	0.000000	0.032760	0.000500	43534
EMBLA	2009	10	0.016190	0.013630	0.002850	0.000000	0.032670	0.000430	43534
EMBLA	2009	11	0.016770	0.014080	0.002750	0.000000	0.033600	0.000440	43534
EMBLA	2009	12	0.017130	0.018090	0.003490	0.000000	0.038710	0.000230	43534
EMBLA	2010	1	0.013910	0.013230	0.002850	0.000000	0.029990	0.000330	43534
EMBLA	2010	2	0.013960	0.013570	0.002890	0.000000	0.030420	0.000470	43534
EMBLA	2010	3	0.016010	0.015030	0.003120	0.000000	0.034170	0.001180	43534
EMBLA	2010	4	0.013580	0.012870	0.002780	0.000000	0.029240	0.001360	43534
EMBLA	2010	5	0.013040	0.013120	0.002770	0.000000	0.028930	0.001370	43534
EMBLA	2010	6	0.000990	0.000280	0.000150	0.000000	0.001420	0.000040	43534
EMBLA	2010	7	0.027050	0.017220	0.003670	0.000000	0.047930	0.001260	43534
EMBLA	2010	8	0.015320	0.011900	0.002570	0.000000	0.029790	0.001380	43534
EMBLA	2010	9	0.013460	0.014170	0.002690	0.000000	0.030320	0.001660	43534
EMBLA	2010	10	0.015960	0.013550	0.002840	0.000000	0.032350	0.001780	43534
EMBLA	2010	11	0.013940	0.014000	0.002610	0.000000	0.030550	0.001550	43534
EMBLA	2010	12	0.014910	0.016490	0.002970	0.000000	0.034370	0.001640	43534
EMBLA	2011	1	0.014330	0.015010	0.002820	0.000000	0.032150	0.000700	43534
EMBLA	2011	2	0.013380	0.014650	0.002710	0.000000	0.030740	0.001140	43534
EMBLA	2011	3	0.014720	0.014190	0.002620	0.000000	0.031530	0.001090	43534
EMBLA	2011	4	0.011820	0.008420	0.001580	0.000000	0.021820	0.001270	43534
EMBLA	2011	5	0.013780	0.010500	0.002020	0.000000	0.026290	0.001640	43534
EMBLA	2011	6	0.012130	0.007360	0.001470	0.000000	0.020960	0.001330	43534
EMBLA	2011	7	0.011950	0.009300	0.001730	0.000000	0.022980	0.000710	43534
EMBLA	2011	8	0.013420	0.006870	0.001350	0.000000	0.021630	0.001200	43534
EMBLA	2011	9	0.011150	0.007550	0.001430	0.000000	0.020130	0.001800	43534
EMBLA	2011	10	0.010880	0.008280	0.001710	0.000000	0.020880	0.001900	43534
EMBLA	2011	11	0.009360	0.007030	0.001500	0.000000	0.017900	0.002480	43534
EMBLA	2011	12	0.011070	0.008130	0.001740	0.000000	0.020940	0.002280	43534
EMBLA	2012	1	0.011150	0.005500	0.001220	0.000000	0.017870	0.001340	43534
EMBLA	2012	2	0.010080	0.007560	0.001580	0.000000	0.019210	0.001240	43534
EMBLA	2012	3	0.010120	0.008570	0.001670	0.000000	0.020360	0.000990	43534
EMBLA	2012	4	0.009600	0.007840	0.001560	0.000000	0.019000	0.001100	43534
EMBLA	2012	5	0.010360	0.007730	0.001590	0.000000	0.019670	0.000960	43534
EMBLA	2012	6	0.009860	0.007060	0.001410	0.000000	0.018320	0.001290	43534
EMBLA	2012	7	0.009770	0.007820	0.001580	0.000000	0.019170	0.001250	43534
EMBLA	2012	8	0.009880	0.008610	0.001650	0.000000	0.020130	0.001070	43534
EMBLA	2012	9	0.010140	0.008510	0.001670	0.000000	0.020330	0.001160	43534
EMBLA	2012	10	0.012050	0.010990	0.002170	0.000000	0.025210	0.001470	43534
EMBLA	2012	11	0.006640	0.004480	0.000990	0.000000	0.012110	0.000210	43534
EMBLA	2012	12	0.010960	0.007380	0.001500	0.000000	0.019840	0.000840	43534
EMBLA	2013	1	0.014940	0.009680	0.002050	0.000000	0.026670	0.001280	43534
EMBLA	2013	2	0.012460	0.009150	0.001710	0.000000	0.023320	0.001120	43534
EDDA	1979	12	0.049090	0.010060	0.002240	0.000000	0.061400	0.000000	43541
EDDA	1980	1	0.148010	0.040720	0.008800	0.000000	0.197520	0.000000	43541
EDDA	1980	2	0.152720	0.042150	0.008420	0.000000	0.203290	0.000000	43541
EDDA	1980	3	0.123680	0.034010	0.006350	0.000000	0.164030	0.000000	43541
EDDA	1980	4	0.086550	0.024560	0.005170	0.000000	0.116280	0.000000	43541
EDDA	1980	5	0.119010	0.037390	0.008130	0.000000	0.164530	0.000000	43541
EDDA	1980	6	0.114720	0.039590	0.007850	0.000000	0.162160	0.000000	43541
EDDA	1980	7	0.061630	0.017370	0.003670	0.000000	0.082670	0.000000	43541
EDDA	1980	8	0.106030	0.038230	0.007820	0.000000	0.152080	0.000000	43541
EDDA	1980	9	0.079720	0.029370	0.006260	0.000000	0.115350	0.000000	43541
EDDA	1980	10	0.090370	0.038470	0.007290	0.000000	0.136130	0.000000	43541
EDDA	1980	11	0.085910	0.037790	0.007130	0.000000	0.130820	0.000000	43541
EDDA	1980	12	0.091920	0.040670	0.007730	0.000000	0.140310	0.000000	43541
EDDA	1981	1	0.086180	0.041810	0.007680	0.000000	0.135670	0.000000	43541
EDDA	1981	2	0.072050	0.035910	0.007190	0.000000	0.115140	0.000000	43541
EDDA	1981	3	0.071870	0.038160	0.007120	0.000000	0.117150	0.000000	43541
EDDA	1981	4	0.068830	0.038650	0.007160	0.000000	0.114630	0.000000	43541
EDDA	1981	5	0.066090	0.036640	0.006210	0.000000	0.108940	0.000000	43541
EDDA	1981	6	0.059680	0.036340	0.006080	0.000000	0.102100	0.000000	43541
EDDA	1981	7	0.058670	0.036450	0.006060	0.000000	0.101180	0.000000	43541
EDDA	1981	8	0.030850	0.014250	0.002280	0.000000	0.047380	0.000000	43541
EDDA	1981	9	0.060190	0.036340	0.006210	0.000000	0.102740	0.000000	43541
EDDA	1981	10	0.045710	0.029740	0.005030	0.000000	0.080480	0.000000	43541
EDDA	1981	11	0.052640	0.031580	0.005450	0.000000	0.089670	0.000000	43541
EDDA	1981	12	0.045040	0.032750	0.004780	0.000000	0.082570	0.000000	43541
EDDA	1982	1	0.045300	0.032020	0.004920	0.000000	0.082230	0.000000	43541
EDDA	1982	2	0.038170	0.027510	0.004350	0.000000	0.070030	0.000000	43541
EDDA	1982	3	0.040480	0.028120	0.005010	0.000000	0.073610	0.000000	43541
EDDA	1982	4	0.038390	0.027000	0.004630	0.000000	0.070020	0.000000	43541
EDDA	1982	5	0.032050	0.023530	0.003880	0.000000	0.059460	0.000000	43541
EDDA	1982	6	0.037790	0.023540	0.004460	0.000000	0.065780	0.000000	43541
EDDA	1982	7	0.033620	0.023830	0.004690	0.000000	0.062140	0.000000	43541
EDDA	1982	8	0.035450	0.024860	0.004870	0.000000	0.065190	0.000000	43541
EDDA	1982	9	0.032870	0.022490	0.004550	0.000000	0.059920	0.000000	43541
EDDA	1982	10	0.029540	0.019340	0.004360	0.000000	0.053240	0.000000	43541
EDDA	1982	11	0.029880	0.022560	0.004830	0.000000	0.057270	0.000000	43541
EDDA	1982	12	0.030090	0.021780	0.004540	0.000000	0.056400	0.000000	43541
EDDA	1983	1	0.029050	0.021000	0.004350	0.000000	0.054400	0.000000	43541
EDDA	1983	2	0.025480	0.017950	0.003710	0.000000	0.047140	0.000000	43541
EDDA	1983	3	0.026760	0.019370	0.004530	0.000000	0.050650	0.000000	43541
EDDA	1983	4	0.025060	0.017860	0.004470	0.000000	0.047380	0.000000	43541
EDDA	1983	5	0.024350	0.018180	0.004530	0.000000	0.047060	0.000000	43541
EDDA	1983	6	0.023650	0.016260	0.003680	0.000000	0.043600	0.000000	43541
EDDA	1983	7	0.024280	0.016460	0.003540	0.000000	0.044270	0.000000	43541
EDDA	1983	8	0.023560	0.015500	0.003380	0.000000	0.042440	0.000000	43541
EDDA	1983	9	0.021170	0.013340	0.002740	0.000000	0.037250	0.000000	43541
EDDA	1983	10	0.023470	0.015210	0.003110	0.000000	0.041790	0.000000	43541
EDDA	1983	11	0.022110	0.014100	0.003250	0.000000	0.039460	0.000000	43541
EDDA	1983	12	0.022120	0.015390	0.003470	0.000000	0.040990	0.000000	43541
EDDA	1984	1	0.021550	0.014630	0.002860	0.000000	0.039040	0.000000	43541
EDDA	1984	2	0.019900	0.012720	0.002780	0.000000	0.035410	0.000000	43541
EDDA	1984	3	0.020870	0.012980	0.002760	0.000000	0.036610	0.000000	43541
EDDA	1984	4	0.020320	0.011790	0.002900	0.000000	0.035000	0.000000	43541
EDDA	1984	5	0.020170	0.011720	0.002850	0.000000	0.034740	0.000000	43541
EDDA	1984	6	0.019650	0.010890	0.002680	0.000000	0.033220	0.000000	43541
EDDA	1984	7	0.019560	0.010840	0.002200	0.000000	0.032590	0.000000	43541
EDDA	1984	8	0.016070	0.007780	0.001690	0.000000	0.025540	0.000000	43541
EDDA	1984	9	0.019360	0.010520	0.002220	0.000000	0.032090	0.000000	43541
EDDA	1984	10	0.018670	0.010400	0.002260	0.000000	0.031330	0.000000	43541
EDDA	1984	11	0.017550	0.009510	0.001930	0.000000	0.028990	0.000000	43541
EDDA	1984	12	0.018250	0.009530	0.002120	0.000000	0.029900	0.000000	43541
EDDA	1985	1	0.017560	0.009330	0.001820	0.000000	0.028710	0.000000	43541
EDDA	1985	2	0.015970	0.008290	0.001990	0.000000	0.026250	0.000000	43541
EDDA	1985	3	0.017230	0.008500	0.002300	0.000000	0.028030	0.000000	43541
EDDA	1985	4	0.016860	0.007810	0.001860	0.000000	0.026520	0.000000	43541
EDDA	1985	5	0.016630	0.008060	0.002060	0.000000	0.026740	0.000000	43541
EDDA	1985	6	0.016080	0.007670	0.001910	0.000000	0.025660	0.000000	43541
EDDA	1985	7	0.016350	0.007730	0.002080	0.000000	0.026160	0.000000	43541
EDDA	1985	8	0.015920	0.007280	0.001950	0.000000	0.025150	0.000000	43541
EDDA	1985	9	0.015100	0.006680	0.001910	0.000000	0.023690	0.000000	43541
EDDA	1985	10	0.015330	0.006610	0.001760	0.000000	0.023700	0.000000	43541
EDDA	1985	11	0.014420	0.006010	0.001720	0.000000	0.022150	0.000000	43541
EDDA	1985	12	0.014540	0.005920	0.001470	0.000000	0.021920	0.000000	43541
EDDA	1986	1	0.014560	0.005640	0.001490	0.000000	0.021690	0.000000	43541
EDDA	1986	2	0.012070	0.004730	0.001280	0.000000	0.018070	0.000000	43541
EDDA	1986	3	0.011780	0.004710	0.001190	0.000000	0.017680	0.000000	43541
EDDA	1986	4	0.005260	0.001710	0.000460	0.000000	0.007430	0.000000	43541
EDDA	1986	5	0.014640	0.005200	0.001290	0.000000	0.021130	0.000000	43541
EDDA	1986	6	0.012040	0.004450	0.001150	0.000000	0.017630	0.000000	43541
EDDA	1986	7	0.012600	0.004810	0.001260	0.000000	0.018660	0.000000	43541
EDDA	1986	8	0.012420	0.004480	0.001180	0.000000	0.018090	0.000000	43541
EDDA	1986	9	0.011640	0.004300	0.001020	0.000000	0.016960	0.000000	43541
EDDA	1986	10	0.011270	0.004100	0.000810	0.000000	0.016170	0.000000	43541
EDDA	1986	11	0.010960	0.003960	0.000980	0.000000	0.015900	0.000000	43541
EDDA	1986	12	0.010200	0.003510	0.000980	0.000000	0.014700	0.000000	43541
EDDA	1987	1	0.010820	0.003640	0.000980	0.000000	0.015430	0.000000	43541
EDDA	1987	2	0.009730	0.003370	0.000810	0.000000	0.013910	0.000000	43541
EDDA	1987	3	0.001830	0.000650	0.000160	0.000000	0.002630	0.000000	43541
EDDA	1987	4	0.000110	0.000030	0.000010	0.000000	0.000150	0.000000	43541
EDDA	1987	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43541
EDDA	1987	6	0.001210	0.000290	0.000090	0.000000	0.001600	0.000000	43541
EDDA	1987	7	0.022310	0.005710	0.001720	0.000000	0.029740	0.000000	43541
EDDA	1987	8	0.003710	0.001000	0.000300	0.000000	0.005010	0.000000	43541
EDDA	1987	9	0.000240	0.000030	0.000010	0.000000	0.000280	0.000000	43541
EDDA	1987	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43541
EDDA	1987	11	0.000010	0.000000	0.000000	0.000000	0.000010	0.000000	43541
EDDA	1987	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43541
EDDA	1988	1	0.000060	0.000000	0.000000	0.000000	0.000070	0.000000	43541
EDDA	1988	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43541
EDDA	1988	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43541
EDDA	1988	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43541
EDDA	1988	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43541
EDDA	1988	6	0.002970	0.000480	0.000190	0.000000	0.003630	0.000000	43541
EDDA	1988	7	0.014690	0.002890	0.001040	0.000000	0.018620	0.000000	43541
EDDA	1988	8	0.014520	0.003160	0.001180	0.000000	0.018860	0.000000	43541
EDDA	1988	9	0.009430	0.001460	0.000640	0.000000	0.011530	0.000000	43541
EDDA	1988	10	0.013730	0.003450	0.001180	0.000000	0.018360	0.000000	43541
EDDA	1988	11	0.012010	0.003330	0.001130	0.000000	0.016480	0.000000	43541
EDDA	1988	12	0.011880	0.003410	0.001120	0.000000	0.016400	0.000000	43541
EDDA	1989	1	0.012980	0.003150	0.000970	0.000000	0.017100	0.000000	43541
EDDA	1989	2	0.010990	0.003240	0.001110	0.000000	0.015330	0.000000	43541
EDDA	1989	3	0.011770	0.002930	0.001120	0.000000	0.015820	0.000000	43541
EDDA	1989	4	0.011140	0.003030	0.001080	0.000000	0.015240	0.000000	43541
EDDA	1989	5	0.012280	0.003110	0.000960	0.000000	0.016340	0.000000	43541
EDDA	1989	6	0.016200	0.003760	0.001110	0.000000	0.021070	0.000000	43541
EDDA	1989	7	0.016120	0.004910	0.001360	0.000000	0.022380	0.000000	43541
EDDA	1989	8	0.014190	0.003890	0.001170	0.000000	0.019240	0.000000	43541
EDDA	1989	9	0.016570	0.004190	0.001380	0.000000	0.022140	0.000000	43541
EDDA	1989	10	0.015930	0.004570	0.001490	0.000000	0.021980	0.000000	43541
EDDA	1989	11	0.012610	0.002970	0.000950	0.000000	0.016530	0.000000	43541
EDDA	1989	12	0.020150	0.004720	0.001600	0.000000	0.026470	0.000000	43541
EDDA	1990	1	0.015520	0.003070	0.001220	0.000000	0.019800	0.000000	43541
EDDA	1990	2	0.015770	0.003940	0.001350	0.000000	0.021050	0.000000	43541
EDDA	1990	3	0.018780	0.005600	0.001860	0.000000	0.026230	0.000000	43541
EDDA	1990	4	0.016350	0.004820	0.001540	0.000000	0.022710	0.000000	43541
EDDA	1990	5	0.013910	0.004050	0.001260	0.000000	0.019220	0.000000	43541
EDDA	1990	6	0.017000	0.004770	0.001510	0.000000	0.023270	0.000000	43541
EDDA	1990	7	0.013890	0.003530	0.001000	0.000000	0.018420	0.000000	43541
EDDA	1990	8	0.013950	0.004250	0.001240	0.000000	0.019440	0.000000	43541
EDDA	1990	9	0.012970	0.003890	0.001060	0.000000	0.017910	0.000000	43541
EDDA	1990	10	0.013920	0.003860	0.001130	0.000000	0.018910	0.000000	43541
EDDA	1990	11	0.013200	0.003650	0.000990	0.000000	0.017830	0.000000	43541
EDDA	1990	12	0.013340	0.003620	0.000950	0.000000	0.017910	0.000000	43541
EDDA	1991	1	0.012830	0.003590	0.000920	0.000000	0.017340	0.000000	43541
EDDA	1991	2	0.011260	0.002970	0.000820	0.000000	0.015050	0.000000	43541
EDDA	1991	3	0.012540	0.003680	0.000920	0.000000	0.017140	0.000000	43541
EDDA	1991	4	0.012370	0.003590	0.000870	0.000000	0.016830	0.000000	43541
EDDA	1991	5	0.012930	0.003700	0.000950	0.000000	0.017580	0.000000	43541
EDDA	1991	6	0.011970	0.003140	0.000840	0.000000	0.015940	0.000000	43541
EDDA	1991	7	0.012310	0.003220	0.000760	0.000000	0.016300	0.000000	43541
EDDA	1991	8	0.002440	0.000390	0.000070	0.000000	0.002890	0.000000	43541
EDDA	1991	9	0.017090	0.003990	0.001060	0.000000	0.022140	0.000000	43541
EDDA	1991	10	0.013740	0.003330	0.000870	0.000000	0.017940	0.000000	43541
EDDA	1991	11	0.012710	0.002790	0.000730	0.000000	0.016230	0.000000	43541
EDDA	1991	12	0.011900	0.002980	0.000690	0.000000	0.015570	0.000000	43541
EDDA	1992	1	0.013360	0.003370	0.000810	0.000000	0.017530	0.000000	43541
EDDA	1992	2	0.011430	0.002510	0.000680	0.000000	0.014620	0.000000	43541
EDDA	1992	3	0.017810	0.004220	0.001010	0.000000	0.023040	0.000000	43541
EDDA	1992	4	0.015190	0.003620	0.000900	0.000000	0.019700	0.000000	43541
EDDA	1992	5	0.011680	0.002960	0.000670	0.000000	0.015300	0.000000	43541
EDDA	1992	6	0.012400	0.002840	0.000700	0.000000	0.015940	0.000000	43541
EDDA	1992	7	0.016950	0.004480	0.001030	0.000000	0.022470	0.000000	43541
EDDA	1992	8	0.015610	0.004100	0.000970	0.000000	0.020680	0.000000	43541
EDDA	1992	9	0.014470	0.003670	0.000900	0.000000	0.019030	0.000000	43541
EDDA	1992	10	0.013810	0.003230	0.000570	0.000000	0.017610	0.000000	43541
EDDA	1992	11	0.013150	0.003620	0.000730	0.000000	0.017500	0.000000	43541
EDDA	1992	12	0.013020	0.003430	0.000750	0.000000	0.017190	0.000000	43541
EDDA	1993	1	0.012190	0.003240	0.000730	0.000000	0.016170	0.000000	43541
EDDA	1993	2	0.011250	0.003000	0.000650	0.000000	0.014900	0.000000	43541
EDDA	1993	3	0.012060	0.003390	0.000780	0.000000	0.016230	0.000000	43541
EDDA	1993	4	0.011550	0.002790	0.000710	0.000000	0.015050	0.000000	43541
EDDA	1993	5	0.011540	0.003090	0.000700	0.000000	0.015330	0.000000	43541
EDDA	1993	6	0.010680	0.002460	0.000590	0.000000	0.013730	0.000000	43541
EDDA	1993	7	0.010900	0.002440	0.000610	0.000000	0.013950	0.000000	43541
EDDA	1993	8	0.011590	0.002490	0.000610	0.000000	0.014680	0.000000	43541
EDDA	1993	9	0.010860	0.002210	0.000600	0.000000	0.013660	0.000000	43541
EDDA	1993	10	0.011750	0.002800	0.000650	0.000000	0.015190	0.000000	43541
EDDA	1993	11	0.010810	0.002430	0.000630	0.000000	0.013870	0.000000	43541
EDDA	1993	12	0.011170	0.002660	0.000630	0.000000	0.014460	0.000000	43541
EDDA	1994	1	0.011080	0.003180	0.000750	0.000000	0.015010	0.000000	43541
EDDA	1994	2	0.013650	0.002560	0.000720	0.000000	0.016930	0.000000	43541
EDDA	1994	3	0.012970	0.002620	0.000710	0.000000	0.016290	0.000000	43541
EDDA	1994	4	0.011780	0.002490	0.000640	0.000000	0.014900	0.000000	43541
EDDA	1994	5	0.012030	0.002570	0.000680	0.000000	0.015270	0.000000	43541
EDDA	1994	6	0.010930	0.003090	0.000680	0.000000	0.014700	0.000000	43541
EDDA	1994	7	0.011050	0.002710	0.000520	0.000000	0.014280	0.000000	43541
EDDA	1994	8	0.008800	0.001740	0.000330	0.000000	0.010870	0.000000	43541
EDDA	1994	9	0.011510	0.002600	0.000600	0.000000	0.014710	0.000000	43541
EDDA	1994	10	0.010940	0.002600	0.000590	0.000000	0.014120	0.000000	43541
EDDA	1994	11	0.010710	0.002440	0.000570	0.000000	0.013720	0.000000	43541
EDDA	1994	12	0.011480	0.002700	0.000620	0.000000	0.014800	0.000000	43541
EDDA	1995	1	0.010410	0.002660	0.000590	0.000000	0.013650	0.000000	43541
EDDA	1995	2	0.009800	0.002120	0.000590	0.000000	0.012500	0.000000	43541
EDDA	1995	3	0.010450	0.002580	0.000650	0.000000	0.013670	0.000000	43541
EDDA	1995	4	0.011010	0.002640	0.000670	0.000000	0.014320	0.000000	43541
EDDA	1995	5	0.013930	0.002770	0.000640	0.000000	0.017330	0.000000	43541
EDDA	1995	6	0.014090	0.002850	0.000610	0.000000	0.017550	0.000000	43541
EDDA	1995	7	0.013410	0.002710	0.000670	0.000000	0.016780	0.000000	43541
EDDA	1995	8	0.014070	0.002720	0.000660	0.000000	0.017440	0.000000	43541
EDDA	1995	9	0.011970	0.002500	0.000550	0.000000	0.015010	0.000000	43541
EDDA	1995	10	0.012750	0.002620	0.000420	0.000000	0.015790	0.000000	43541
EDDA	1995	11	0.011540	0.002490	0.000460	0.000000	0.014480	0.000000	43541
EDDA	1995	12	0.012420	0.002500	0.000650	0.000000	0.015570	0.000000	43541
EDDA	1996	1	0.011700	0.002560	0.000550	0.000000	0.014820	0.000000	43541
EDDA	1996	2	0.011670	0.002470	0.000510	0.000000	0.014640	0.000000	43541
EDDA	1996	3	0.012360	0.002820	0.000510	0.000000	0.015680	0.000000	43541
EDDA	1996	4	0.011590	0.002570	0.000500	0.000000	0.014650	0.000000	43541
EDDA	1996	5	0.011990	0.002590	0.000450	0.000000	0.015030	0.000000	43541
EDDA	1996	6	0.010950	0.002850	0.000500	0.000000	0.014300	0.000000	43541
EDDA	1996	7	0.010970	0.002290	0.000500	0.000000	0.013760	0.000000	43541
EDDA	1996	8	0.011880	0.002400	0.000590	0.000000	0.014870	0.000000	43541
EDDA	1996	9	0.011030	0.002740	0.000560	0.000000	0.014340	0.000000	43541
EDDA	1996	10	0.011560	0.002700	0.000580	0.000000	0.014840	0.000000	43541
EDDA	1996	11	0.010940	0.002670	0.000520	0.000000	0.014130	0.000000	43541
EDDA	1996	12	0.011480	0.002700	0.000530	0.000000	0.014710	0.000000	43541
EDDA	1997	1	0.008950	0.002260	0.000450	0.000000	0.011670	0.000000	43541
EDDA	1997	2	0.009740	0.002380	0.000460	0.000000	0.012570	0.000000	43541
EDDA	1997	3	0.010510	0.002500	0.000440	0.000000	0.013440	0.000000	43541
EDDA	1997	4	0.010030	0.002000	0.000520	0.000000	0.012550	0.000000	43541
EDDA	1997	5	0.009420	0.002480	0.000490	0.000000	0.012390	0.000000	43541
EDDA	1997	6	0.007590	0.001530	0.000420	0.000000	0.009540	0.000000	43541
EDDA	1997	7	0.007470	0.001020	0.000350	0.000000	0.008840	0.000000	43541
EDDA	1997	8	0.004280	0.000850	0.000230	0.000000	0.005360	0.000000	43541
EDDA	1997	9	0.008330	0.001150	0.000320	0.000000	0.009800	0.000000	43541
EDDA	1997	10	0.009670	0.001180	0.000460	0.000000	0.011300	0.000000	43541
EDDA	1997	11	0.009030	0.001100	0.000470	0.000000	0.010600	0.000000	43541
EDDA	1997	12	0.008670	0.001710	0.000440	0.000000	0.010820	0.000000	43541
EDDA	1998	1	0.008360	0.002170	0.000520	0.000000	0.011050	0.000000	43541
EDDA	1998	2	0.007640	0.001650	0.000360	0.000000	0.009650	0.000000	43541
EDDA	1998	3	0.008960	0.001930	0.000410	0.000000	0.011310	0.000000	43541
EDDA	1998	4	0.008470	0.001790	0.000460	0.000000	0.010730	0.000000	43541
EDDA	1998	5	0.008670	0.001780	0.000430	0.000000	0.010890	0.000000	43541
EDDA	1998	6	0.008620	0.001650	0.000430	0.000000	0.010700	0.000000	43541
EDDA	1998	7	0.008830	0.001700	0.000410	0.000000	0.010940	0.000000	43541
VALHALL	1982	10	0.005870	0.000000	0.000160	0.000000	0.006030	0.000000	43548
VALHALL	1982	11	0.032840	0.000000	0.000830	0.000000	0.033680	0.000000	43548
VALHALL	1982	12	0.046700	0.000000	0.001060	0.000000	0.047760	0.000000	43548
VALHALL	1983	1	0.043260	0.000000	0.001250	0.000000	0.044510	0.000000	43548
VALHALL	1983	2	0.038410	0.000000	0.001240	0.000000	0.039650	0.000000	43548
VALHALL	1983	3	0.040360	0.000000	0.001950	0.000000	0.042300	0.000000	43548
VALHALL	1983	4	0.044740	0.000000	0.002620	0.000000	0.047350	0.000000	43548
VALHALL	1983	5	0.049660	0.000000	0.002830	0.000000	0.052490	0.000000	43548
VALHALL	1983	6	0.057960	0.000000	0.004520	0.000000	0.062480	0.000000	43548
VALHALL	1983	7	0.060170	0.002630	0.004760	0.000000	0.067560	0.000000	43548
VALHALL	1983	8	0.071260	0.008140	0.005240	0.000000	0.084630	0.000000	43548
VALHALL	1983	9	0.106310	0.015130	0.008340	0.000000	0.129770	0.000000	43548
VALHALL	1983	10	0.128190	0.019310	0.008840	0.000000	0.156340	0.000000	43548
VALHALL	1983	11	0.144620	0.024170	0.012090	0.000000	0.180880	0.000000	43548
VALHALL	1983	12	0.181770	0.031940	0.013010	0.000000	0.226720	0.000000	43548
VALHALL	1984	1	0.205950	0.036750	0.015660	0.000000	0.258350	0.000000	43548
VALHALL	1984	2	0.225430	0.041450	0.018260	0.000000	0.285140	0.000000	43548
VALHALL	1984	3	0.261210	0.048290	0.021320	0.000000	0.330820	0.000000	43548
VALHALL	1984	4	0.148680	0.027920	0.013100	0.000000	0.189710	0.000000	43548
VALHALL	1984	5	0.259930	0.048930	0.023800	0.000000	0.332650	0.000000	43548
VALHALL	1984	6	0.254570	0.047340	0.022560	0.000000	0.324470	0.000000	43548
VALHALL	1984	7	0.274850	0.051730	0.021430	0.000000	0.348010	0.000000	43548
VALHALL	1984	8	0.204920	0.029670	0.016870	0.000000	0.251450	0.000000	43548
VALHALL	1984	9	0.259020	0.045240	0.022780	0.000000	0.327040	0.000000	43548
VALHALL	1984	10	0.225730	0.041140	0.021490	0.000000	0.288360	0.000000	43548
VALHALL	1984	11	0.245410	0.043740	0.020870	0.000000	0.310010	0.000000	43548
VALHALL	1984	12	0.277630	0.050550	0.023520	0.000000	0.351690	0.000000	43548
VALHALL	1985	1	0.276580	0.049600	0.021710	0.000000	0.347880	0.000000	43548
VALHALL	1985	2	0.239180	0.042100	0.021980	0.000000	0.303260	0.000000	43548
VALHALL	1985	3	0.284320	0.051060	0.034160	0.000000	0.369540	0.000000	43548
VALHALL	1985	4	0.275990	0.049360	0.031730	0.000000	0.357070	0.000000	43548
VALHALL	1985	5	0.288260	0.050010	0.032600	0.000000	0.370870	0.000000	43548
VALHALL	1985	6	0.276920	0.047820	0.029690	0.000000	0.354430	0.000000	43548
VALHALL	1985	7	0.259580	0.043960	0.032560	0.000000	0.336090	0.000000	43548
VALHALL	1985	8	0.179970	0.026500	0.021740	0.000000	0.228220	0.000000	43548
VALHALL	1985	9	0.162120	0.023850	0.019450	0.000000	0.205420	0.000000	43548
VALHALL	1985	10	0.169760	0.025970	0.019900	0.000000	0.215630	0.000000	43548
VALHALL	1985	11	0.185380	0.028710	0.023750	0.000000	0.237850	0.000000	43548
VALHALL	1985	12	0.183110	0.029080	0.023690	0.000000	0.235880	0.000000	43548
VALHALL	1986	1	0.207640	0.032660	0.023230	0.000000	0.263520	0.000000	43548
VALHALL	1986	2	0.202700	0.032580	0.022790	0.000000	0.258080	0.000000	43548
VALHALL	1986	3	0.216030	0.034500	0.023690	0.000000	0.274220	0.000000	43548
VALHALL	1986	4	0.063180	0.009040	0.006160	0.000000	0.078380	0.000000	43548
VALHALL	1986	5	0.217030	0.035370	0.024270	0.000000	0.276670	0.000000	43548
VALHALL	1986	6	0.217660	0.037030	0.027070	0.000000	0.281760	0.000000	43548
VALHALL	1986	7	0.219630	0.035990	0.024020	0.000000	0.279640	0.000000	43548
VALHALL	1986	8	0.224630	0.036120	0.025020	0.000000	0.285770	0.000000	43548
VALHALL	1986	9	0.232190	0.038270	0.024690	0.000000	0.295140	0.000000	43548
VALHALL	1986	10	0.246940	0.049780	0.024580	0.000000	0.321300	0.000000	43548
VALHALL	1986	11	0.243970	0.037260	0.024360	0.000000	0.305590	0.000000	43548
VALHALL	1986	12	0.246800	0.050970	0.027270	0.000000	0.325050	0.000000	43548
VALHALL	1987	1	0.288990	0.046820	0.029380	0.000000	0.365190	0.000000	43548
VALHALL	1987	2	0.278540	0.046200	0.029280	0.000000	0.354020	0.000000	43548
VALHALL	1987	3	0.302040	0.050520	0.032150	0.000000	0.384710	0.000000	43548
VALHALL	1987	4	0.287470	0.047810	0.030920	0.000000	0.366190	0.000000	43548
VALHALL	1987	5	0.304470	0.051230	0.030720	0.000000	0.386420	0.000000	43548
VALHALL	1987	6	0.298460	0.053800	0.027520	0.000000	0.379780	0.000000	43548
VALHALL	1987	7	0.327180	0.059750	0.031100	0.000000	0.418030	0.000000	43548
VALHALL	1987	8	0.092110	0.016190	0.008810	0.000000	0.117100	0.000000	43548
VALHALL	1987	9	0.330110	0.051040	0.027420	0.000000	0.408580	0.000000	43548
VALHALL	1987	10	0.336650	0.071160	0.031980	0.000000	0.439790	0.000000	43548
VALHALL	1987	11	0.321680	0.069570	0.030510	0.000000	0.421760	0.000000	43548
VALHALL	1987	12	0.310460	0.057740	0.026160	0.000000	0.394370	0.000000	43548
VALHALL	1988	1	0.316830	0.056760	0.029580	0.000000	0.403180	0.000000	43548
VALHALL	1988	2	0.296140	0.055490	0.027650	0.000000	0.379280	0.000000	43548
VALHALL	1988	3	0.312890	0.058980	0.029040	0.000000	0.400920	0.000000	43548
VALHALL	1988	4	0.301630	0.065220	0.029630	0.000000	0.396480	0.000000	43548
VALHALL	1988	5	0.310350	0.058290	0.027470	0.000000	0.396110	0.000000	43548
VALHALL	1988	6	0.277030	0.050110	0.026300	0.000000	0.353430	0.000000	43548
VALHALL	1988	7	0.306690	0.056680	0.027590	0.000000	0.390950	0.000000	43548
VALHALL	1988	8	0.313940	0.058610	0.029670	0.000000	0.402230	0.000000	43548
VALHALL	1988	9	0.301390	0.057030	0.029130	0.000000	0.387550	0.000000	43548
VALHALL	1988	10	0.313930	0.060890	0.027390	0.000000	0.402210	0.000000	43548
VALHALL	1988	11	0.313210	0.063030	0.026070	0.000000	0.402310	0.000000	43548
VALHALL	1988	12	0.334690	0.068400	0.024960	0.000000	0.428050	0.000000	43548
VALHALL	1989	1	0.348460	0.068880	0.026090	0.000000	0.443420	0.000000	43548
VALHALL	1989	2	0.312600	0.063280	0.025330	0.000000	0.401200	0.000000	43548
VALHALL	1989	3	0.343260	0.067290	0.030070	0.000000	0.440620	0.000000	43548
VALHALL	1989	4	0.339100	0.065970	0.031030	0.000000	0.436110	0.000000	43548
VALHALL	1989	5	0.351920	0.069640	0.032530	0.000000	0.454100	0.000000	43548
VALHALL	1989	6	0.278210	0.053680	0.025010	0.000000	0.356900	0.000000	43548
VALHALL	1989	7	0.377630	0.070220	0.032050	0.000000	0.479900	0.000000	43548
VALHALL	1989	8	0.388350	0.080370	0.033470	0.000000	0.502190	0.000000	43548
VALHALL	1989	9	0.368630	0.073630	0.036470	0.000000	0.478730	0.000000	43548
VALHALL	1989	10	0.379710	0.076540	0.036680	0.000000	0.492920	0.000000	43548
VALHALL	1989	11	0.355300	0.071230	0.033530	0.000000	0.460060	0.000000	43548
VALHALL	1989	12	0.395630	0.080920	0.033860	0.000000	0.510400	0.000000	43548
VALHALL	1990	1	0.390430	0.084230	0.035970	0.000000	0.510630	0.000000	43548
VALHALL	1990	2	0.345130	0.073440	0.033450	0.000000	0.452020	0.000000	43548
VALHALL	1990	3	0.362340	0.078360	0.033350	0.000000	0.474050	0.000000	43548
VALHALL	1990	4	0.346870	0.075240	0.033070	0.000000	0.455190	0.000000	43548
VALHALL	1990	5	0.347940	0.077550	0.033740	0.000000	0.459230	0.000000	43548
VALHALL	1990	6	0.324890	0.072380	0.034040	0.000000	0.431310	0.000000	43548
VALHALL	1990	7	0.305820	0.062040	0.024560	0.000000	0.392410	0.000000	43548
VALHALL	1990	8	0.364360	0.081860	0.032310	0.000000	0.478530	0.000000	43548
VALHALL	1990	9	0.344290	0.077980	0.030670	0.000000	0.452940	0.000000	43548
VALHALL	1990	10	0.341600	0.079210	0.028660	0.000000	0.449470	0.000000	43548
VALHALL	1990	11	0.330800	0.075540	0.027140	0.000000	0.433490	0.000000	43548
VALHALL	1990	12	0.352030	0.080980	0.028140	0.000000	0.461150	0.000000	43548
VALHALL	1991	1	0.340130	0.077390	0.026620	0.000000	0.444140	0.000000	43548
VALHALL	1991	2	0.282700	0.065360	0.019890	0.000000	0.367950	0.000000	43548
VALHALL	1991	3	0.309740	0.070440	0.023180	0.000000	0.403360	0.000000	43548
VALHALL	1991	4	0.329300	0.075420	0.023530	0.000000	0.428260	0.000000	43548
VALHALL	1991	5	0.341300	0.075050	0.023570	0.000000	0.439910	0.000000	43548
VALHALL	1991	6	0.325330	0.071190	0.022080	0.000000	0.418610	0.000000	43548
VALHALL	1991	7	0.316630	0.069950	0.019980	0.000000	0.406560	0.000000	43548
VALHALL	1991	8	0.135970	0.024040	0.005940	0.000000	0.165950	0.000000	43548
VALHALL	1991	9	0.346490	0.072900	0.022450	0.000000	0.441840	0.000000	43548
VALHALL	1991	10	0.347580	0.074630	0.021520	0.000000	0.443730	0.000000	43548
VALHALL	1991	11	0.323700	0.067500	0.020030	0.000000	0.411230	0.000000	43548
VALHALL	1991	12	0.345330	0.074510	0.020000	0.000000	0.439840	0.000000	43548
VALHALL	1992	1	0.367370	0.080010	0.021990	0.000000	0.469360	0.000000	43548
VALHALL	1992	2	0.306520	0.069160	0.017610	0.000000	0.393290	0.000000	43548
VALHALL	1992	3	0.327090	0.070680	0.018950	0.000000	0.416720	0.000000	43548
VALHALL	1992	4	0.303620	0.068730	0.017380	0.000000	0.389730	0.000000	43548
VALHALL	1992	5	0.279860	0.061030	0.015320	0.000000	0.356210	0.000000	43548
VALHALL	1992	6	0.365070	0.081390	0.021210	0.000000	0.467670	0.000000	43548
VALHALL	1992	7	0.351070	0.082090	0.019970	0.000000	0.453130	0.000000	43548
VALHALL	1992	8	0.352640	0.084140	0.020180	0.000000	0.456960	0.000000	43548
VALHALL	1992	9	0.326680	0.081750	0.017890	0.000000	0.426320	0.000000	43548
VALHALL	1992	10	0.342000	0.081010	0.018050	0.000000	0.441070	0.000000	43548
VALHALL	1992	11	0.348040	0.080820	0.019150	0.000000	0.448020	0.000000	43548
VALHALL	1992	12	0.376320	0.086790	0.020660	0.000000	0.483770	0.000000	43548
VALHALL	1993	1	0.340740	0.078720	0.018770	0.000000	0.438230	0.000000	43548
VALHALL	1993	2	0.301840	0.068810	0.016610	0.000000	0.387260	0.000000	43548
VALHALL	1993	3	0.351900	0.080480	0.018960	0.000000	0.451340	0.000000	43548
VALHALL	1993	4	0.306860	0.069830	0.015810	0.000000	0.392500	0.000000	43548
VALHALL	1993	5	0.307100	0.071640	0.016400	0.000000	0.395140	0.000000	43548
VALHALL	1993	6	0.288400	0.065410	0.015980	0.000000	0.369790	0.000000	43548
VALHALL	1993	7	0.291470	0.068230	0.016550	0.000000	0.376250	0.000000	43548
VALHALL	1993	8	0.294260	0.067850	0.016130	0.000000	0.378240	0.000000	43548
VALHALL	1993	9	0.236040	0.050150	0.012490	0.000000	0.298680	0.000000	43548
VALHALL	1993	10	0.277360	0.060280	0.014070	0.000000	0.351710	0.000000	43548
VALHALL	1993	11	0.263240	0.057540	0.013720	0.000000	0.334500	0.000000	43548
VALHALL	1993	12	0.277490	0.060920	0.015050	0.000000	0.353460	0.000000	43548
VALHALL	1994	1	0.272180	0.058880	0.014370	0.000000	0.345430	0.000000	43548
VALHALL	1994	2	0.243300	0.051340	0.013120	0.000000	0.307760	0.000000	43548
VALHALL	1994	3	0.264030	0.054020	0.014430	0.000000	0.332480	0.000000	43548
VALHALL	1994	4	0.240960	0.049620	0.013060	0.000000	0.303640	0.000000	43548
VALHALL	1994	5	0.284120	0.060220	0.014090	0.000000	0.358430	0.000000	43548
VALHALL	1994	6	0.265330	0.057240	0.013330	0.000000	0.335910	0.000000	43548
VALHALL	1994	7	0.268560	0.059250	0.013480	0.000000	0.341290	0.000000	43548
VALHALL	1994	8	0.154510	0.027880	0.007810	0.000000	0.190190	0.000000	43548
VALHALL	1994	9	0.270590	0.052860	0.013460	0.000000	0.336900	0.000000	43548
VALHALL	1994	10	0.294690	0.063480	0.015360	0.000000	0.373530	0.000000	43548
VALHALL	1994	11	0.304550	0.066310	0.017070	0.000000	0.387930	0.000000	43548
VALHALL	1994	12	0.292060	0.066320	0.015870	0.000000	0.374260	0.000000	43548
VALHALL	1995	1	0.256960	0.057660	0.013960	0.000000	0.328580	0.000000	43548
VALHALL	1995	2	0.251890	0.060530	0.013700	0.000000	0.326120	0.000000	43548
VALHALL	1995	3	0.276820	0.062180	0.014620	0.000000	0.353620	0.000000	43548
VALHALL	1995	4	0.273140	0.058720	0.014660	0.000000	0.346520	0.000000	43548
VALHALL	1995	5	0.271820	0.057770	0.014090	0.000000	0.343680	0.000000	43548
VALHALL	1995	6	0.287470	0.065130	0.015930	0.000000	0.368540	0.000000	43548
VALHALL	1995	7	0.304260	0.069370	0.016910	0.000000	0.390530	0.000000	43548
VALHALL	1995	8	0.300230	0.068500	0.016370	0.000000	0.385100	0.000000	43548
VALHALL	1995	9	0.286320	0.060200	0.015220	0.000000	0.361740	0.000000	43548
VALHALL	1995	10	0.333050	0.076900	0.017500	0.000000	0.427450	0.000000	43548
VALHALL	1995	11	0.322550	0.074140	0.018440	0.000000	0.415140	0.000000	43548
VALHALL	1995	12	0.325370	0.076420	0.019250	0.000000	0.421040	0.000000	43548
VALHALL	1996	1	0.305440	0.070540	0.016570	0.000000	0.392550	0.000000	43548
VALHALL	1996	2	0.296730	0.069360	0.017180	0.000000	0.383270	0.000000	43548
VALHALL	1996	3	0.309270	0.071190	0.017860	0.000000	0.398320	0.000000	43548
VALHALL	1996	4	0.287340	0.066080	0.016250	0.000000	0.369670	0.000000	43548
VALHALL	1996	5	0.322840	0.073330	0.018070	0.000000	0.414240	0.000000	43548
VALHALL	1996	6	0.327900	0.072330	0.017700	0.000000	0.417930	0.000000	43548
VALHALL	1996	7	0.373440	0.080590	0.020570	0.000000	0.474590	0.000000	43548
VALHALL	1996	8	0.371540	0.078990	0.021070	0.000000	0.471600	0.000000	43548
VALHALL	1996	9	0.371230	0.079520	0.020820	0.000000	0.471570	0.000000	43548
VALHALL	1996	10	0.372160	0.076900	0.021270	0.000000	0.470340	0.000000	43548
VALHALL	1996	11	0.332190	0.065600	0.018860	0.000000	0.416650	0.000000	43548
VALHALL	1996	12	0.364530	0.075650	0.020400	0.000000	0.460580	0.000000	43548
VALHALL	1997	1	0.334250	0.078710	0.019700	0.000000	0.432660	0.000000	43548
VALHALL	1997	2	0.309710	0.076890	0.019010	0.000000	0.405610	0.000000	43548
VALHALL	1997	3	0.333520	0.077990	0.019200	0.000000	0.430710	0.000000	43548
VALHALL	1997	4	0.392080	0.081730	0.021410	0.000000	0.495210	0.000000	43548
VALHALL	1997	5	0.400280	0.080620	0.022710	0.000000	0.503620	0.000000	43548
VALHALL	1997	6	0.407260	0.081820	0.021790	0.000000	0.510880	0.000000	43548
VALHALL	1997	7	0.416950	0.086190	0.023810	0.000000	0.526950	0.000000	43548
VALHALL	1997	8	0.386940	0.078640	0.019190	0.000000	0.484780	0.000000	43548
VALHALL	1997	9	0.400080	0.076870	0.022160	0.000000	0.499110	0.000000	43548
VALHALL	1997	10	0.405590	0.078360	0.023020	0.000000	0.506970	0.000000	43548
VALHALL	1997	11	0.366880	0.071530	0.020470	0.000000	0.458880	0.000000	43548
VALHALL	1997	12	0.373320	0.071060	0.018740	0.000000	0.463110	0.000000	43548
VALHALL	1998	1	0.442410	0.085170	0.025390	0.000000	0.552970	0.000000	43548
VALHALL	1998	2	0.386980	0.074100	0.021090	0.000000	0.482160	0.000000	43548
VALHALL	1998	3	0.478280	0.094690	0.022610	0.000000	0.595590	0.000000	43548
VALHALL	1998	4	0.454380	0.091590	0.024980	0.000000	0.570950	0.000000	43548
VALHALL	1998	5	0.450790	0.088330	0.023110	0.000000	0.562230	0.000000	43548
VALHALL	1998	6	0.479020	0.090220	0.024940	0.000000	0.594180	0.000000	43548
VALHALL	1998	7	0.483620	0.090300	0.024060	0.000000	0.597980	0.000000	43548
VALHALL	1998	8	0.188420	0.024700	0.005330	0.000000	0.218450	0.000000	43548
VALHALL	1998	9	0.446490	0.075740	0.017190	0.000000	0.539420	0.000000	43548
VALHALL	1998	10	0.476210	0.088190	0.018580	0.000000	0.582980	0.000000	43548
VALHALL	1998	11	0.442400	0.082550	0.016200	0.000000	0.541150	0.000000	43548
VALHALL	1998	12	0.439460	0.079250	0.018020	0.000000	0.536730	0.000000	43548
VALHALL	1999	1	0.470800	0.089930	0.019480	0.000000	0.580210	0.000000	43548
VALHALL	1999	2	0.428740	0.082300	0.019460	0.000000	0.530500	0.000000	43548
VALHALL	1999	3	0.454020	0.086720	0.021480	0.000000	0.562220	0.000000	43548
VALHALL	1999	4	0.439150	0.085370	0.020820	0.000000	0.545330	0.000000	43548
VALHALL	1999	5	0.435330	0.084120	0.021450	0.000000	0.540900	0.000000	43548
VALHALL	1999	6	0.428940	0.084540	0.020820	0.000000	0.534300	0.000000	43548
VALHALL	1999	7	0.450710	0.091390	0.022300	0.000000	0.564400	0.000000	43548
VALHALL	1999	8	0.447350	0.087930	0.023150	0.000000	0.558430	0.000000	43548
VALHALL	1999	9	0.470930	0.094230	0.024000	0.000000	0.589160	0.000000	43548
VALHALL	1999	10	0.456490	0.088220	0.023720	0.000000	0.568430	0.000000	43548
VALHALL	1999	11	0.411620	0.079960	0.020390	0.000000	0.511960	0.000000	43548
VALHALL	1999	12	0.416160	0.081360	0.021270	0.000000	0.518800	0.000000	43548
VALHALL	2000	1	0.392970	0.073330	0.020070	0.000000	0.486370	0.009670	43548
VALHALL	2000	2	0.368360	0.070380	0.018970	0.000000	0.457710	0.014330	43548
VALHALL	2000	3	0.414030	0.083070	0.021320	0.000000	0.518420	0.019920	43548
VALHALL	2000	4	0.383970	0.076090	0.019870	0.000000	0.479920	0.015240	43548
VALHALL	2000	5	0.332850	0.066210	0.015690	0.000000	0.414740	0.013920	43548
VALHALL	2000	6	0.401900	0.078940	0.019390	0.000000	0.500230	0.015010	43548
VALHALL	2000	7	0.404050	0.081050	0.020280	0.000000	0.505380	0.022280	43548
VALHALL	2000	8	0.319160	0.061680	0.009520	0.000000	0.390360	0.016290	43548
VALHALL	2000	9	0.286590	0.050130	0.013320	0.000000	0.350040	0.012030	43548
VALHALL	2000	10	0.440780	0.085170	0.021410	0.000000	0.547360	0.025050	43548
VALHALL	2000	11	0.404430	0.078740	0.020750	0.000000	0.503930	0.018850	43548
VALHALL	2000	12	0.428860	0.084590	0.021020	0.000000	0.534470	0.020710	43548
VALHALL	2001	1	0.413800	0.082470	0.021940	0.000000	0.518200	0.018140	43548
VALHALL	2001	2	0.359110	0.071520	0.018670	0.000000	0.449300	0.017420	43548
VALHALL	2001	3	0.374670	0.075690	0.019570	0.000000	0.469930	0.020060	43548
VALHALL	2001	4	0.361440	0.068280	0.018050	0.000000	0.447770	0.020430	43548
VALHALL	2001	5	0.388950	0.077190	0.019380	0.000000	0.485530	0.029910	43548
VALHALL	2001	6	0.372400	0.074720	0.017580	0.000000	0.464700	0.025760	43548
VALHALL	2001	7	0.376660	0.075490	0.016930	0.000000	0.469070	0.023680	43548
VALHALL	2001	8	0.220190	0.046750	0.009060	0.000000	0.276000	0.013830	43548
VALHALL	2001	9	0.398270	0.076720	0.018060	0.000000	0.493050	0.026730	43548
VALHALL	2001	10	0.403650	0.084660	0.019530	0.000000	0.507850	0.026590	43548
VALHALL	2001	11	0.353230	0.076510	0.017420	0.000000	0.447150	0.021930	43548
VALHALL	2001	12	0.340430	0.072350	0.016720	0.000000	0.429490	0.022640	43548
VALHALL	2002	1	0.334820	0.069320	0.017320	0.000000	0.421460	0.024660	43548
VALHALL	2002	2	0.302630	0.061630	0.015270	0.000000	0.379530	0.022890	43548
VALHALL	2002	3	0.316090	0.064270	0.015530	0.000000	0.395900	0.026640	43548
VALHALL	2002	4	0.330960	0.065890	0.015560	0.000000	0.412410	0.029660	43548
VALHALL	2002	5	0.325070	0.066280	0.014770	0.000000	0.406120	0.032630	43548
VALHALL	2002	6	0.356990	0.073700	0.016050	0.000000	0.446740	0.037590	43548
VALHALL	2002	7	0.396900	0.087100	0.018580	0.000000	0.502580	0.037820	43548
VALHALL	2002	8	0.354230	0.073180	0.016700	0.000000	0.444110	0.027730	43548
VALHALL	2002	9	0.395440	0.085170	0.019670	0.000000	0.500270	0.022130	43548
VALHALL	2002	10	0.379580	0.083040	0.018070	0.000000	0.480690	0.027120	43548
VALHALL	2002	11	0.327190	0.068120	0.015800	0.000000	0.411110	0.024330	43548
VALHALL	2002	12	0.360630	0.077340	0.016330	0.000000	0.454300	0.020450	43548
VALHALL	2003	1	0.359540	0.075520	0.016690	0.000000	0.451750	0.021030	43548
VALHALL	2003	2	0.314890	0.064410	0.013990	0.000000	0.393290	0.020320	43548
VALHALL	2003	3	0.327340	0.067210	0.015380	0.000000	0.409930	0.019410	43548
VALHALL	2003	4	0.337730	0.074300	0.016090	0.000000	0.428120	0.022100	43548
VALHALL	2003	5	0.366720	0.078560	0.018550	0.000000	0.463830	0.039110	43548
VALHALL	2003	6	0.353980	0.076140	0.017710	0.000000	0.447830	0.025700	43548
VALHALL	2003	7	0.360890	0.077540	0.016780	0.000000	0.455210	0.031260	43548
VALHALL	2003	8	0.315330	0.065250	0.015980	0.000000	0.396560	0.026860	43548
VALHALL	2003	9	0.265530	0.053310	0.011500	0.000000	0.330340	0.025880	43548
VALHALL	2003	10	0.372130	0.000000	0.017370	0.000000	0.389500	0.038070	43548
VALHALL	2003	11	0.393690	0.000000	0.018460	0.000000	0.412150	0.037050	43548
VALHALL	2003	12	0.387390	0.000000	0.018600	0.000000	0.406000	0.036780	43548
VALHALL	2004	1	0.397630	0.085070	0.020570	0.000000	0.503280	0.040000	43548
VALHALL	2004	2	0.384890	0.080860	0.018790	0.000000	0.484530	0.044570	43548
VALHALL	2004	3	0.407160	0.086240	0.021180	0.000000	0.514580	0.035000	43548
VALHALL	2004	4	0.382920	0.079440	0.019020	0.000000	0.481370	0.042990	43548
VALHALL	2004	5	0.400960	0.085280	0.019940	0.000000	0.506190	0.040970	43548
VALHALL	2004	6	0.399240	0.084160	0.019930	0.000000	0.503320	0.043140	43548
VALHALL	2004	7	0.394410	0.081050	0.018910	0.000000	0.494370	0.042400	43548
VALHALL	2004	8	0.295380	0.058640	0.014140	0.000000	0.368160	0.032410	43548
VALHALL	2004	9	0.354400	0.064350	0.017280	0.000000	0.436030	0.037550	43548
VALHALL	2004	10	0.439180	0.084420	0.020090	0.000000	0.543690	0.048890	43548
VALHALL	2004	11	0.444070	0.085680	0.020360	0.000000	0.550120	0.051120	43548
VALHALL	2004	12	0.472390	0.092480	0.023780	0.000000	0.588650	0.057950	43548
VALHALL	2005	1	0.478430	0.092180	0.024040	0.000000	0.594640	0.065780	43548
VALHALL	2005	2	0.435500	0.083290	0.021540	0.000000	0.540330	0.052240	43548
VALHALL	2005	3	0.456110	0.089150	0.023160	0.000000	0.568420	0.051500	43548
VALHALL	2005	4	0.415710	0.080400	0.021000	0.000000	0.517110	0.046940	43548
VALHALL	2005	5	0.425760	0.083860	0.017500	0.000000	0.527120	0.048930	43548
VALHALL	2005	6	0.405010	0.077510	0.015150	0.000000	0.497660	0.044810	43548
VALHALL	2005	7	0.401390	0.080070	0.018530	0.000000	0.499990	0.048510	43548
VALHALL	2005	8	0.314830	0.061110	0.014590	0.000000	0.390530	0.038470	43548
VALHALL	2005	9	0.392310	0.078800	0.019310	0.000000	0.490420	0.053490	43548
VALHALL	2005	10	0.379970	0.080650	0.019920	0.000000	0.480540	0.044900	43548
VALHALL	2005	11	0.364690	0.074850	0.018920	0.000000	0.458460	0.043230	43548
VALHALL	2005	12	0.360080	0.074620	0.018440	0.000000	0.453140	0.038630	43548
VALHALL	2006	1	0.371960	0.077960	0.020980	0.000000	0.470890	0.038060	43548
VALHALL	2006	2	0.329810	0.070230	0.018770	0.000000	0.418810	0.031240	43548
VALHALL	2006	3	0.337790	0.068510	0.018680	0.000000	0.424980	0.034140	43548
VALHALL	2006	4	0.352000	0.069900	0.018120	0.000000	0.440020	0.042810	43548
VALHALL	2006	5	0.358210	0.069100	0.019060	0.000000	0.446370	0.036380	43548
VALHALL	2006	6	0.345950	0.065160	0.018190	0.000000	0.429300	0.040180	43548
VALHALL	2006	7	0.327930	0.060750	0.016270	0.000000	0.404950	0.286890	43548
VALHALL	2006	8	0.324050	0.059300	0.015910	0.000000	0.399250	0.168000	43548
VALHALL	2006	9	0.349530	0.064580	0.017080	0.000000	0.431190	0.043940	43548
VALHALL	2006	10	0.336820	0.061550	0.017450	0.000000	0.415820	0.042100	43548
VALHALL	2006	11	0.277440	0.044870	0.012700	0.000000	0.335010	0.033680	43548
VALHALL	2006	12	0.329680	0.060560	0.016920	0.000000	0.407160	0.046110	43548
VALHALL	2007	1	0.320500	0.061460	0.016770	0.000000	0.398730	0.047390	43548
VALHALL	2007	2	0.295650	0.054320	0.013920	0.000000	0.363880	0.040310	43548
VALHALL	2007	3	0.295880	0.050430	0.013780	0.000000	0.360100	0.044470	43548
VALHALL	2007	4	0.324190	0.055680	0.015250	0.000000	0.395120	0.048480	43548
VALHALL	2007	5	0.326800	0.061400	0.016270	0.000000	0.404470	0.055830	43548
VALHALL	2007	6	0.104730	0.018260	0.003770	0.000000	0.126760	0.019290	43548
VALHALL	2007	7	0.331280	0.049900	0.014930	0.000000	0.396110	0.044050	43548
VALHALL	2007	8	0.301000	0.052770	0.015410	0.000000	0.369180	0.043380	43548
VALHALL	2007	9	0.282300	0.049590	0.013410	0.000000	0.345300	0.047600	43548
VALHALL	2007	10	0.307270	0.056940	0.015370	0.000000	0.379580	0.134310	43548
VALHALL	2007	11	0.246360	0.045630	0.012810	0.000000	0.304800	0.043630	43548
VALHALL	2007	12	0.275200	0.051970	0.014300	0.000000	0.341460	0.124320	43548
VALHALL	2008	1	0.241440	0.042580	0.012450	0.000000	0.296460	0.046010	43548
VALHALL	2008	2	0.110900	0.018060	0.005650	0.000000	0.134610	0.041180	43548
VALHALL	2008	3	0.273420	0.045300	0.014760	0.000000	0.333480	0.232090	43548
VALHALL	2008	4	0.255500	0.042780	0.013080	0.000000	0.311360	0.041290	43548
VALHALL	2008	5	0.253020	0.044560	0.012990	0.000000	0.310570	0.038080	43548
VALHALL	2008	6	0.194840	0.032260	0.009990	0.000000	0.237090	0.033080	43548
VALHALL	2008	7	0.265710	0.047320	0.012810	0.000000	0.325830	0.039830	43548
VALHALL	2008	8	0.249520	0.044070	0.011460	0.000000	0.305050	0.077990	43548
VALHALL	2008	9	0.235120	0.041480	0.012540	0.000000	0.289140	0.046040	43548
VALHALL	2008	10	0.238160	0.041830	0.011950	0.000000	0.291940	0.036770	43548
VALHALL	2008	11	0.241180	0.043230	0.012280	0.000000	0.296690	0.038620	43548
VALHALL	2008	12	0.252100	0.042410	0.014180	0.000000	0.308680	0.038110	43548
VALHALL	2009	1	0.241110	0.040160	0.013370	0.000000	0.294640	0.044130	43548
VALHALL	2009	2	0.207950	0.033770	0.011070	0.000000	0.252800	0.036980	43548
VALHALL	2009	3	0.228060	0.034230	0.011360	0.000000	0.273640	0.047130	43548
VALHALL	2009	4	0.006450	0.000590	0.000350	0.000000	0.007380	0.001810	43548
VALHALL	2009	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43548
VALHALL	2009	6	0.127430	0.015490	0.005610	0.000000	0.148540	0.021790	43548
VALHALL	2009	7	0.286270	0.039040	0.011950	0.000000	0.337250	0.045900	43548
VALHALL	2009	8	0.256170	0.037680	0.013130	0.000000	0.306980	0.043790	43548
VALHALL	2009	9	0.228020	0.037360	0.011470	0.000000	0.276850	0.035930	43548
VALHALL	2009	10	0.250170	0.041200	0.012460	0.000000	0.303840	0.039160	43548
VALHALL	2009	11	0.215480	0.034070	0.010290	0.000000	0.259840	0.045300	43548
VALHALL	2009	12	0.218820	0.035560	0.010500	0.000000	0.264880	0.043610	43548
VALHALL	2010	1	0.212040	0.034270	0.010820	0.000000	0.257130	0.034230	43548
VALHALL	2010	2	0.197800	0.033520	0.010060	0.000000	0.241380	0.037840	43548
VALHALL	2010	3	0.170280	0.028300	0.008910	0.000000	0.207490	0.029870	43548
VALHALL	2010	4	0.148320	0.025600	0.008280	0.000000	0.182210	0.024320	43548
VALHALL	2010	5	0.176230	0.030310	0.009450	0.000000	0.215990	0.027230	43548
VALHALL	2010	6	0.027090	0.004150	0.001150	0.000000	0.032390	0.003910	43548
VALHALL	2010	7	0.163560	0.023970	0.007490	0.000000	0.195020	0.032920	43548
VALHALL	2010	8	0.194600	0.028090	0.009820	0.000000	0.232500	0.040020	43548
VALHALL	2010	9	0.181220	0.027930	0.008750	0.000000	0.217890	0.033100	43548
VALHALL	2010	10	0.194500	0.033190	0.010610	0.000000	0.238300	0.055540	43548
VALHALL	2010	11	0.182550	0.029800	0.008260	0.000000	0.220610	0.033090	43548
VALHALL	2010	12	0.241990	0.039170	0.010230	0.000000	0.291390	0.042610	43548
VALHALL	2011	1	0.188040	0.031420	0.008760	0.000000	0.228220	0.041060	43548
VALHALL	2011	2	0.177810	0.029100	0.007880	0.000000	0.214790	0.039190	43548
VALHALL	2011	3	0.162220	0.023770	0.007560	0.000000	0.193550	0.037270	43548
VALHALL	2011	4	0.190430	0.029520	0.008140	0.000000	0.228090	0.040740	43548
VALHALL	2011	5	0.175460	0.029060	0.008370	0.000000	0.212880	0.036050	43548
VALHALL	2011	6	0.142250	0.022290	0.006340	0.000000	0.170880	0.035770	43548
VALHALL	2011	7	0.073020	0.011150	0.003250	0.000000	0.087410	0.014830	43548
VALHALL	2011	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000130	43548
VALHALL	2011	9	0.099220	0.014650	0.004280	0.000000	0.118140	0.018850	43548
VALHALL	2011	10	0.167980	0.022240	0.007730	0.000000	0.197950	0.032240	43548
VALHALL	2011	11	0.163430	0.022270	0.007290	0.000000	0.192990	0.027520	43548
VALHALL	2011	12	0.102430	0.014090	0.004630	0.000000	0.121160	0.027340	43548
VALHALL	2012	1	0.142380	0.018560	0.005970	0.000000	0.166920	0.034620	43548
VALHALL	2012	2	0.142230	0.019600	0.006240	0.000000	0.168070	0.064160	43548
VALHALL	2012	3	0.115900	0.016940	0.005540	0.000000	0.138390	0.036250	43548
VALHALL	2012	4	0.073030	0.010410	0.003100	0.000000	0.086540	0.020420	43548
VALHALL	2012	5	0.169630	0.022560	0.007700	0.000000	0.199890	0.041490	43548
VALHALL	2012	6	0.195360	0.027070	0.009780	0.000000	0.232210	0.068400	43548
VALHALL	2012	7	0.125370	0.019080	0.005140	0.000000	0.149580	0.030340	43548
VALHALL	2012	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000100	43548
VALHALL	2012	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43548
VALHALL	2012	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43548
VALHALL	2012	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43548
VALHALL	2012	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43548
VALHALL	2013	1	0.005420	0.000000	0.000250	0.000000	0.005660	0.000210	43548
VALHALL	2013	2	0.050800	0.000000	0.000630	0.000000	0.051430	0.000380	43548
FRIGG	1977	9	0.000000	0.086770	0.000000	0.000000	0.086770	0.000000	43555
FRIGG	1977	10	0.000000	0.252460	0.000000	0.000000	0.252460	0.000000	43555
FRIGG	1977	11	0.000000	0.264640	0.000000	0.000680	0.265330	0.000000	43555
FRIGG	1977	12	0.000000	0.348760	0.000000	0.001660	0.350420	0.000000	43555
FRIGG	1978	1	0.000000	0.370620	0.000000	0.001440	0.372060	0.000000	43555
FRIGG	1978	2	0.000000	0.336890	0.000000	0.001310	0.338200	0.000000	43555
FRIGG	1978	3	0.000000	0.264250	0.000000	0.002400	0.266650	0.000000	43555
FRIGG	1978	4	0.000000	0.286570	0.000000	0.001200	0.287760	0.000000	43555
FRIGG	1978	5	0.000000	0.169150	0.000000	0.001270	0.170420	0.000000	43555
FRIGG	1978	6	0.000000	0.167980	0.000000	0.001120	0.169100	0.000000	43555
FRIGG	1978	7	0.000000	0.128800	0.000000	0.000750	0.129550	0.000000	43555
FRIGG	1978	8	0.000000	0.161900	0.000000	0.000770	0.162670	0.000000	43555
FRIGG	1978	9	0.000000	0.472260	0.000000	0.001500	0.473760	0.000000	43555
FRIGG	1978	10	0.000000	0.576690	0.000000	0.003030	0.579720	0.000000	43555
FRIGG	1978	11	0.000000	0.723390	0.000000	0.003290	0.726680	0.000000	43555
FRIGG	1978	12	0.000000	0.786810	0.000000	0.002580	0.789390	0.000000	43555
FRIGG	1979	1	0.000000	0.852900	0.000000	0.003570	0.856470	0.000000	43555
FRIGG	1979	2	0.000000	0.722390	0.000000	0.003890	0.726280	0.000000	43555
FRIGG	1979	3	0.000000	0.795520	0.000000	0.004390	0.799910	0.000000	43555
FRIGG	1979	4	0.000000	0.609830	0.000000	0.003550	0.613380	0.000000	43555
FRIGG	1979	5	0.000000	0.581670	0.000000	0.003340	0.585010	0.000000	43555
FRIGG	1979	6	0.000000	0.326820	0.000000	0.003190	0.330010	0.000000	43555
FRIGG	1979	7	0.000000	0.526000	0.000000	0.001600	0.527610	0.000000	43555
FRIGG	1979	8	0.000000	0.549770	0.000000	0.002950	0.552720	0.000000	43555
FRIGG	1979	9	0.000000	0.507170	0.000000	0.002620	0.509790	0.000000	43555
FRIGG	1979	10	0.000000	0.814690	0.000000	0.004920	0.819610	0.000000	43555
FRIGG	1979	11	0.000000	0.950540	0.000000	0.004950	0.955490	0.000000	43555
FRIGG	1979	12	0.000000	1.045870	0.000000	0.005030	1.050890	0.000000	43555
FRIGG	1980	1	0.000000	1.116690	0.000000	0.005070	1.121760	0.000000	43555
FRIGG	1980	2	0.000000	0.984340	0.000000	0.005710	0.990040	0.000000	43555
FRIGG	1980	3	0.000000	1.024380	0.000000	0.005550	1.029930	0.000000	43555
FRIGG	1980	4	0.000000	0.863450	0.000000	0.004670	0.868120	0.000000	43555
FRIGG	1980	5	0.000000	0.689210	0.000000	0.003290	0.692500	0.000000	43555
FRIGG	1980	6	0.000000	0.634760	0.000000	0.003130	0.637880	0.000000	43555
FRIGG	1980	7	0.000000	0.746930	0.000000	0.003590	0.750520	0.000000	43555
FRIGG	1980	8	0.000000	0.685910	0.000000	0.003060	0.688970	0.000000	43555
FRIGG	1980	9	0.000000	0.663360	0.000000	0.003390	0.666750	0.000000	43555
FRIGG	1980	10	0.000000	0.689950	0.000000	0.003550	0.693500	0.000000	43555
FRIGG	1980	11	0.000000	0.845950	0.000000	0.003050	0.848990	0.000000	43555
FRIGG	1980	12	0.000000	0.982300	0.000000	0.004170	0.986470	0.000000	43555
FRIGG	1981	1	0.000000	1.119380	0.000000	0.005090	1.124460	0.000000	43555
FRIGG	1981	2	0.000000	1.012460	0.000000	0.005160	1.017620	0.000000	43555
FRIGG	1981	3	0.000000	1.116200	0.000000	0.004820	1.121010	0.000000	43555
FRIGG	1981	4	0.000000	0.983550	0.000000	0.004310	0.987860	0.000000	43555
FRIGG	1981	5	0.000000	0.640540	0.000000	0.002920	0.643460	0.000000	43555
FRIGG	1981	6	0.000000	0.686110	0.000000	0.002860	0.688970	0.000000	43555
FRIGG	1981	7	0.000000	0.637850	0.000000	0.003230	0.641080	0.000000	43555
FRIGG	1981	8	0.000000	0.672340	0.000000	0.003260	0.675590	0.000000	43555
FRIGG	1981	9	0.000000	0.726610	0.000000	0.003400	0.730010	0.000000	43555
FRIGG	1981	10	0.000000	1.047060	0.000000	0.004210	1.051270	0.000000	43555
FRIGG	1981	11	0.000000	1.107860	0.000000	0.003650	1.111510	0.000000	43555
FRIGG	1981	12	0.000000	1.177780	0.000000	0.005560	1.183340	0.000000	43555
FRIGG	1982	1	0.000000	1.169720	0.000000	0.005520	1.175240	0.000000	43555
FRIGG	1982	2	0.000000	1.049530	0.000000	0.005230	1.054760	0.000000	43555
FRIGG	1982	3	0.000000	1.161310	0.000000	0.004890	1.166200	0.000000	43555
FRIGG	1982	4	0.000000	1.051470	0.000000	0.003640	1.055110	0.000000	43555
FRIGG	1982	5	0.000000	0.780460	0.000000	0.002910	0.783370	0.000000	43555
FRIGG	1982	6	0.000000	0.520120	0.000000	0.003000	0.523110	0.000000	43555
FRIGG	1982	7	0.000000	0.483960	0.000000	0.001960	0.485920	0.000000	43555
FRIGG	1982	8	0.000000	0.362980	0.000000	0.001580	0.364560	0.000000	43555
FRIGG	1982	9	0.000000	0.464870	0.000000	0.001580	0.466450	0.000000	43555
FRIGG	1982	10	0.000000	0.940200	0.000000	0.002890	0.943090	0.000000	43555
FRIGG	1982	11	0.000000	1.041920	0.000000	0.004470	1.046390	0.000000	43555
FRIGG	1982	12	0.000000	1.138860	0.000000	0.005500	1.144360	0.000000	43555
FRIGG	1983	1	0.000000	1.114150	0.000000	0.004000	1.118140	0.000000	43555
FRIGG	1983	2	0.000000	1.073010	0.000000	0.004740	1.077750	0.000000	43555
FRIGG	1983	3	0.000000	1.086390	0.000000	0.004020	1.090410	0.000000	43555
FRIGG	1983	4	0.000000	1.016150	0.000000	0.003260	1.019410	0.000000	43555
FRIGG	1983	5	0.000000	0.766730	0.000000	0.003660	0.770390	0.000000	43555
FRIGG	1983	6	0.000000	0.566920	0.000000	0.002200	0.569120	0.000000	43555
FRIGG	1983	7	0.000000	0.492840	0.000000	0.000680	0.493520	0.000000	43555
FRIGG	1983	8	0.000000	0.510210	0.000000	0.002400	0.512610	0.000000	43555
FRIGG	1983	9	0.000000	0.589120	0.000000	0.002250	0.591370	0.000000	43555
FRIGG	1983	10	0.000000	1.058730	0.000000	0.002860	1.061590	0.000000	43555
FRIGG	1983	11	0.000000	1.190180	0.000000	0.005530	1.195710	0.000000	43555
FRIGG	1983	12	0.000000	1.254590	0.000000	0.005390	1.259980	0.000000	43555
FRIGG	1984	1	0.000000	1.261080	0.000000	0.004490	1.265570	0.000000	43555
FRIGG	1984	2	0.000000	1.155130	0.000000	0.004160	1.159300	0.000000	43555
FRIGG	1984	3	0.000000	1.221120	0.000000	0.004970	1.226090	0.000000	43555
FRIGG	1984	4	0.000000	1.031120	0.000000	0.003850	1.034970	0.000000	43555
FRIGG	1984	5	0.000000	0.943760	0.000000	0.003960	0.947720	0.000000	43555
FRIGG	1984	6	0.000000	0.736870	0.000000	0.004870	0.741740	0.000000	43555
FRIGG	1984	7	0.000000	0.466990	0.000000	0.000660	0.467650	0.000000	43555
FRIGG	1984	8	0.000000	0.403020	0.000000	0.001040	0.404060	0.000000	43555
FRIGG	1984	9	0.000000	0.446120	0.000000	-0.000930	0.445190	0.000000	43555
FRIGG	1984	10	0.000000	0.642060	0.000000	0.002020	0.644070	0.000000	43555
FRIGG	1984	11	0.000000	0.851960	0.000000	0.002070	0.854030	0.000000	43555
FRIGG	1984	12	0.000000	0.920810	0.000000	0.002730	0.923540	0.000000	43555
FRIGG	1985	1	0.000000	1.037630	0.000000	0.003560	1.041190	0.000000	43555
FRIGG	1985	2	0.000000	0.908460	0.000000	0.003630	0.912090	0.000000	43555
FRIGG	1985	3	0.000000	0.968820	0.000000	0.003640	0.972460	0.000000	43555
FRIGG	1985	4	0.000000	0.904890	0.000000	0.003240	0.908130	0.000000	43555
FRIGG	1985	5	0.000000	0.709720	0.000000	0.002660	0.712380	0.000000	43555
FRIGG	1985	6	0.000000	0.389830	0.000000	0.001530	0.391360	0.000000	43555
FRIGG	1985	7	0.000000	0.532820	0.000000	0.001750	0.534570	0.000000	43555
FRIGG	1985	8	0.000000	0.371740	0.000000	0.000460	0.372200	0.000000	43555
FRIGG	1985	9	0.000000	0.400500	0.000000	0.001400	0.401900	0.000000	43555
FRIGG	1985	10	0.000000	0.491090	0.000000	0.002690	0.493780	0.000000	43555
FRIGG	1985	11	0.000000	0.886540	0.000000	0.004070	0.890610	0.000000	43555
FRIGG	1985	12	0.000000	0.982150	0.000000	0.005460	0.987610	0.000000	43555
FRIGG	1986	1	0.000000	1.010430	0.000000	0.004810	1.015230	0.000000	43555
FRIGG	1986	2	0.000000	0.921180	0.000000	0.004570	0.925750	0.000000	43555
FRIGG	1986	3	0.000000	1.075360	0.000000	0.001540	1.076900	0.000000	43555
FRIGG	1986	4	0.000000	0.621640	0.000000	0.003360	0.625000	0.000000	43555
FRIGG	1986	5	0.000000	0.637850	0.000000	0.002820	0.640670	0.000000	43555
FRIGG	1986	6	0.000000	0.537820	0.000000	0.001650	0.539460	0.000000	43555
FRIGG	1986	7	0.000000	0.489640	0.000000	0.003380	0.493020	0.000000	43555
FRIGG	1986	8	0.000000	0.414000	0.000000	0.001820	0.415820	0.000000	43555
FRIGG	1986	9	0.000000	0.462940	0.000000	0.003500	0.466440	0.000000	43555
FRIGG	1986	10	0.000000	0.599120	0.000000	0.002620	0.601730	0.000000	43555
FRIGG	1986	11	0.000000	0.713560	0.000000	0.002560	0.716120	0.000000	43555
FRIGG	1986	12	0.000000	0.714590	0.000000	0.001560	0.716150	0.000000	43555
FRIGG	1987	1	0.000000	0.829730	0.000000	0.002430	0.832150	0.000000	43555
FRIGG	1987	2	0.000000	0.732010	0.000000	0.001590	0.733590	0.000000	43555
FRIGG	1987	3	0.000000	0.807910	0.000000	0.005240	0.813150	0.000000	43555
FRIGG	1987	4	0.000000	0.703140	0.000000	0.002010	0.705150	0.000000	43555
FRIGG	1987	5	0.000000	0.580710	0.000000	0.002460	0.583170	0.000000	43555
FRIGG	1987	6	0.000000	0.419860	0.000000	0.001330	0.421190	0.000000	43555
FRIGG	1987	7	0.000000	0.496330	0.000000	0.000560	0.496890	0.000000	43555
FRIGG	1987	8	0.000000	0.398390	0.000000	0.000890	0.399280	0.000000	43555
FRIGG	1987	9	0.000000	0.535590	0.000000	0.003190	0.538780	0.000000	43555
FRIGG	1987	10	0.000000	0.652590	0.000000	0.002770	0.655360	0.000000	43555
FRIGG	1987	11	0.000000	0.865360	0.000000	0.002800	0.868160	0.000000	43555
FRIGG	1987	12	0.000000	0.738490	0.000000	0.003440	0.741930	0.000000	43555
FRIGG	1988	1	0.000000	0.760950	0.000000	0.002870	0.763820	0.000000	43555
FRIGG	1988	2	0.000000	0.783890	0.000000	0.002010	0.785890	0.000000	43555
FRIGG	1988	3	0.000000	0.846220	0.000000	0.003470	0.849690	0.000000	43555
FRIGG	1988	4	0.000000	0.759430	0.000000	0.003160	0.762580	0.000000	43555
FRIGG	1988	5	0.000000	0.578760	0.000000	0.002310	0.581070	0.000000	43555
FRIGG	1988	6	0.000000	0.505760	0.000000	0.001730	0.507490	0.000000	43555
FRIGG	1988	7	0.000000	0.431090	0.000000	0.000620	0.431700	0.000000	43555
FRIGG	1988	8	0.000000	0.419670	0.000000	0.001220	0.420890	0.000000	43555
FRIGG	1988	9	0.000000	0.364110	0.000000	0.001780	0.365890	0.000000	43555
FRIGG	1988	10	0.000000	0.346670	0.000000	0.001550	0.348220	0.000000	43555
FRIGG	1988	11	0.000000	0.589800	0.000000	0.001500	0.591290	0.000000	43555
FRIGG	1988	12	0.000000	0.580390	0.000000	0.001500	0.581900	0.000000	43555
FRIGG	1989	1	0.000000	0.691140	0.000000	0.002330	0.693470	0.000000	43555
FRIGG	1989	2	0.000000	0.553490	0.000000	0.000800	0.554280	0.000000	43555
FRIGG	1989	3	0.000000	0.575650	0.000000	0.001210	0.576860	0.000000	43555
FRIGG	1989	4	0.000000	0.517090	0.000000	0.000920	0.518010	0.000000	43555
FRIGG	1989	5	0.000000	0.341920	0.000000	0.001240	0.343160	0.000000	43555
FRIGG	1989	6	0.000000	0.322100	0.000000	0.001050	0.323150	0.000000	43555
FRIGG	1989	7	0.000000	0.439160	0.000000	0.000060	0.439210	0.000000	43555
FRIGG	1989	8	0.000000	0.372230	0.000000	0.001500	0.373720	0.000000	43555
FRIGG	1989	9	0.000000	0.230030	0.000000	0.000980	0.231010	0.000000	43555
FRIGG	1989	10	0.000000	0.368730	0.000000	0.000730	0.369450	0.000000	43555
FRIGG	1989	11	0.000000	0.382690	0.000000	0.001720	0.384410	0.000000	43555
FRIGG	1989	12	0.000000	0.365750	0.000000	0.001570	0.367320	0.000000	43555
FRIGG	1990	1	0.000000	0.405550	0.000000	0.001420	0.406970	0.000000	43555
FRIGG	1990	2	0.000000	0.398520	0.000000	0.000680	0.399200	0.000000	43555
FRIGG	1990	3	0.000000	0.489010	0.000000	0.001480	0.490490	0.000000	43555
FRIGG	1990	4	0.000000	0.110740	0.000000	0.000550	0.111280	0.000000	43555
FRIGG	1990	5	0.000000	0.140460	0.000000	0.000360	0.140820	0.000000	43555
FRIGG	1990	6	0.000000	0.067140	0.000000	0.000210	0.067340	0.000000	43555
FRIGG	1990	7	0.000000	0.101990	0.000000	0.000580	0.102570	0.000000	43555
FRIGG	1990	8	0.000000	0.133660	0.000000	0.000370	0.134030	0.000000	43555
FRIGG	1990	9	0.000000	0.136090	0.000000	0.000300	0.136390	0.000000	43555
FRIGG	1990	10	0.000000	0.039420	0.000000	0.000060	0.039480	0.000000	43555
FRIGG	1990	11	0.000000	0.159540	0.000000	0.000350	0.159900	0.000000	43555
FRIGG	1990	12	0.000000	0.147030	0.000000	0.000730	0.147770	0.000000	43555
FRIGG	1991	1	0.000000	0.129040	0.000000	0.000250	0.129280	0.000000	43555
FRIGG	1991	2	0.000000	0.156050	0.000000	0.000650	0.156700	0.000000	43555
FRIGG	1991	3	0.000000	0.157640	0.000000	0.000120	0.157760	0.000000	43555
FRIGG	1991	4	0.000000	0.174190	0.000000	0.001170	0.175360	0.000000	43555
FRIGG	1991	5	0.000000	0.260310	0.000000	0.000610	0.260920	0.000000	43555
FRIGG	1991	6	0.000000	0.128720	0.000000	0.000550	0.129270	0.000000	43555
FRIGG	1991	7	0.000000	0.012590	0.000000	0.000250	0.012840	0.000000	43555
FRIGG	1991	8	0.000000	0.009370	0.000000	0.003250	0.012610	0.000000	43555
FRIGG	1991	9	0.000000	0.072860	0.000000	-0.002560	0.070310	0.000000	43555
FRIGG	1991	10	0.000000	0.100530	0.000000	0.000170	0.100700	0.000000	43555
FRIGG	1991	11	0.000000	0.135070	0.000000	0.000650	0.135720	0.000000	43555
FRIGG	1991	12	0.000000	0.167110	0.000000	0.000950	0.168050	0.000000	43555
FRIGG	1992	1	0.000000	0.155320	0.000000	0.000990	0.156310	0.000000	43555
FRIGG	1992	2	0.000000	0.142260	0.000000	0.000450	0.142710	0.000000	43555
FRIGG	1992	3	0.000000	0.162760	0.000000	0.001740	0.164510	0.000000	43555
FRIGG	1992	4	0.000000	0.182930	0.000000	0.000360	0.183290	0.000000	43555
FRIGG	1992	5	0.000000	0.079080	0.000000	0.001960	0.081050	0.000000	43555
FRIGG	1992	6	0.000000	0.169420	0.000000	0.000490	0.169910	0.000000	43555
FRIGG	1992	7	0.000000	0.097240	0.000000	0.001570	0.098800	0.000000	43555
FRIGG	1992	8	0.000000	0.127960	0.000000	0.003780	0.131740	0.000000	43555
FRIGG	1992	9	0.000000	0.123540	0.000000	-0.002720	0.120820	0.000000	43555
FRIGG	1992	10	0.000000	0.099360	0.000000	0.001060	0.100420	0.000000	43555
FRIGG	1992	11	0.000000	0.153540	0.000000	0.001850	0.155380	0.000000	43555
FRIGG	1992	12	0.000000	0.149650	0.000000	0.000910	0.150560	0.000000	43555
FRIGG	1993	1	0.000000	0.177790	0.000000	0.000960	0.178750	0.000000	43555
FRIGG	1993	2	0.000000	0.155280	0.000000	0.000460	0.155750	0.000000	43555
FRIGG	1993	3	0.000000	0.112540	0.000000	0.000430	0.112960	0.000000	43555
FRIGG	1993	4	0.000000	0.103260	0.000000	0.001230	0.104490	0.000000	43555
FRIGG	1993	5	0.000000	0.156830	0.000000	0.000430	0.157250	0.000000	43555
FRIGG	1993	6	0.000000	0.026550	0.000000	0.000250	0.026800	0.000000	43555
FRIGG	1993	7	0.000000	0.056460	0.000000	0.000540	0.057000	0.000000	43555
FRIGG	1993	8	0.000000	0.037770	0.000000	0.000270	0.038040	0.000000	43555
FRIGG	1993	9	0.000000	0.098470	0.000000	0.000660	0.099130	0.000000	43555
FRIGG	1993	10	0.000000	0.134880	0.000000	0.000360	0.135240	0.000000	43555
FRIGG	1993	11	0.000000	0.138470	0.000000	0.000310	0.138780	0.000000	43555
FRIGG	1993	12	0.000000	0.156170	0.000000	0.000440	0.156610	0.000000	43555
FRIGG	1994	1	0.000000	0.159370	0.000000	0.000390	0.159750	0.000000	43555
FRIGG	1994	2	0.000000	0.153520	0.000000	0.000420	0.153930	0.000000	43555
FRIGG	1994	3	0.000000	0.150000	0.000000	0.000440	0.150450	0.000000	43555
FRIGG	1994	4	0.000000	0.164170	0.000000	0.000490	0.164660	0.000000	43555
FRIGG	1994	5	0.000000	0.124530	0.000000	0.000570	0.125100	0.000000	43555
FRIGG	1994	6	0.000000	0.040700	0.000000	0.000200	0.040900	0.000000	43555
FRIGG	1994	7	0.000000	0.022980	0.000000	0.000100	0.023080	0.000000	43555
FRIGG	1994	8	0.000000	0.015350	0.000000	0.000050	0.015390	0.000000	43555
FRIGG	1994	9	0.000000	0.081040	0.000000	0.000210	0.081240	0.000000	43555
FRIGG	1994	10	0.000000	0.013930	0.000000	0.000080	0.014010	0.000000	43555
FRIGG	1994	11	0.000000	0.060330	0.000000	0.000210	0.060550	0.000000	43555
FRIGG	1994	12	0.000000	0.067890	0.000000	0.000110	0.067990	0.000000	43555
FRIGG	1995	1	0.000000	0.089190	0.000000	0.000150	0.089330	0.000000	43555
FRIGG	1995	2	0.000000	0.017260	0.000000	0.000030	0.017290	0.000000	43555
FRIGG	1995	3	0.000000	0.085790	0.000000	0.000190	0.085980	0.000000	43555
FRIGG	1995	4	0.000000	0.046130	0.000000	0.000180	0.046310	0.000000	43555
FRIGG	1995	5	0.000000	0.035710	0.000000	0.000020	0.035730	0.000000	43555
FRIGG	1995	6	0.000000	0.064250	0.000000	0.000120	0.064370	0.000000	43555
FRIGG	1995	7	0.000000	0.045510	0.000000	0.000060	0.045570	0.000000	43555
FRIGG	1995	8	0.000000	0.044420	0.000000	0.000060	0.044480	0.000000	43555
FRIGG	1995	9	0.000000	0.087990	0.000000	0.000070	0.088050	0.000000	43555
FRIGG	1995	10	0.000000	0.010640	0.000000	0.000030	0.010670	0.000000	43555
FRIGG	1995	11	0.000000	0.051140	0.000000	0.000050	0.051190	0.000000	43555
FRIGG	1995	12	0.000000	0.086150	0.000000	0.000020	0.086170	0.000000	43555
FRIGG	1996	1	0.000000	0.064600	0.000000	0.000020	0.064620	0.000000	43555
FRIGG	1996	2	0.000000	0.024780	0.000000	0.000020	0.024800	0.000000	43555
FRIGG	1996	3	0.000000	0.025320	0.000000	0.000010	0.025320	0.000000	43555
FRIGG	1996	4	0.000000	0.055750	0.000000	0.000010	0.055760	0.000000	43555
FRIGG	1996	5	0.000000	0.020540	0.000000	0.000010	0.020540	0.000000	43555
FRIGG	1996	6	0.000000	0.008370	0.000000	0.000010	0.008380	0.000000	43555
FRIGG	1996	7	0.000000	0.016440	0.000000	0.000020	0.016470	0.000000	43555
FRIGG	1996	8	0.000000	0.069610	0.000000	0.000020	0.069630	0.000000	43555
FRIGG	1996	9	0.000000	0.038620	0.000000	0.000020	0.038640	0.000000	43555
FRIGG	1996	10	0.000000	0.002380	0.000000	0.000000	0.002380	0.000000	43555
FRIGG	1996	11	0.000000	0.046270	0.000000	0.000010	0.046280	0.000000	43555
FRIGG	1996	12	0.000000	0.037800	0.000000	0.000010	0.037810	0.000000	43555
FRIGG	1997	1	0.000000	0.085180	0.000000	0.000010	0.085190	0.000000	43555
FRIGG	1997	2	0.000000	0.055760	0.000000	0.000020	0.055790	0.000000	43555
FRIGG	1997	3	0.000000	0.061570	0.000000	0.000010	0.061580	0.000000	43555
FRIGG	1997	4	0.000000	0.075700	0.000000	0.000010	0.075710	0.000000	43555
FRIGG	1997	5	0.000000	0.035760	0.000000	0.000020	0.035780	0.000000	43555
FRIGG	1997	6	0.000000	0.043590	0.000000	0.000050	0.043640	0.000000	43555
FRIGG	1997	7	0.000000	0.019370	0.000000	0.000020	0.019390	0.000000	43555
FRIGG	1997	8	0.000000	0.001820	0.000000	0.000010	0.001830	0.000000	43555
FRIGG	1997	9	0.000000	0.034750	0.000000	0.000050	0.034800	0.000000	43555
FRIGG	1997	10	0.000000	0.011740	0.000000	0.000010	0.011750	0.000000	43555
FRIGG	1997	11	0.000000	0.006570	0.000000	0.000000	0.006580	0.000000	43555
FRIGG	1997	12	0.000000	0.048100	0.000000	0.000020	0.048120	0.000000	43555
FRIGG	1998	1	0.000000	0.078320	0.000000	0.000020	0.078350	0.000000	43555
FRIGG	1998	2	0.000000	0.079180	0.000000	0.000010	0.079190	0.000000	43555
FRIGG	1998	3	0.000000	0.085070	0.000000	0.000020	0.085090	0.000000	43555
FRIGG	1998	4	0.000000	0.074340	0.000000	0.000030	0.074380	0.000000	43555
FRIGG	1998	5	0.000000	0.066970	0.000000	0.000030	0.067000	0.000000	43555
FRIGG	1998	6	0.000000	0.057880	0.000000	0.000090	0.057970	0.000000	43555
FRIGG	1998	7	0.000000	0.048090	0.000000	0.000090	0.048180	0.000000	43555
FRIGG	1998	8	0.000000	0.030570	0.000000	0.000050	0.030620	0.000000	43555
FRIGG	1998	9	0.000000	0.012630	0.000000	0.000030	0.012670	0.000000	43555
FRIGG	1998	10	0.000000	0.020990	0.000000	0.000100	0.021090	0.000000	43555
FRIGG	1998	11	0.000000	0.017320	0.000000	0.000040	0.017350	0.000000	43555
FRIGG	1998	12	0.000000	0.029450	0.000000	0.000080	0.029540	0.000000	43555
FRIGG	1999	1	0.000000	0.020240	0.000000	0.000060	0.020300	0.000000	43555
FRIGG	1999	2	0.000000	0.022150	0.000000	0.000030	0.022180	0.000000	43555
FRIGG	1999	3	0.000000	0.023630	0.000000	0.000060	0.023690	0.000000	43555
FRIGG	1999	4	0.000000	0.015470	0.000000	0.000010	0.015480	0.000000	43555
FRIGG	1999	5	0.000000	0.013520	0.000000	0.000040	0.013560	0.000000	43555
FRIGG	1999	6	0.000000	0.015200	0.000000	0.000000	0.015200	0.000000	43555
FRIGG	1999	7	0.000000	0.005800	0.000000	0.000000	0.005800	0.000000	43555
FRIGG	1999	8	0.000000	0.013400	0.000000	0.000020	0.013430	0.000000	43555
FRIGG	1999	9	0.000000	0.005450	0.000000	0.000030	0.005470	0.000000	43555
FRIGG	1999	10	0.000000	0.072410	0.000000	0.000050	0.072460	0.000000	43555
FRIGG	1999	11	0.000000	0.068280	0.000000	0.000000	0.068280	0.000000	43555
FRIGG	1999	12	0.000000	0.056720	0.000000	0.000000	0.056720	0.000000	43555
FRIGG	2000	1	0.000000	0.051150	0.000000	0.000010	0.051160	0.000000	43555
FRIGG	2000	2	0.000000	0.045910	0.000000	0.000010	0.045920	0.000000	43555
FRIGG	2000	3	0.000000	0.057010	0.000000	0.000010	0.057020	0.000000	43555
FRIGG	2000	4	0.000000	0.047590	0.000000	0.000010	0.047590	0.000000	43555
FRIGG	2000	5	0.000000	0.062930	0.000000	0.000000	0.062930	0.000000	43555
FRIGG	2000	6	0.000000	0.028070	0.000000	0.000010	0.028080	0.000000	43555
FRIGG	2000	7	0.000000	0.020640	0.000000	0.000030	0.020680	0.000000	43555
FRIGG	2000	8	0.000000	0.028990	0.000000	0.000120	0.029110	0.000000	43555
FRIGG	2000	9	0.000000	0.048610	0.000000	0.000170	0.048780	0.000000	43555
FRIGG	2000	10	0.000000	0.071240	0.000000	0.000020	0.071270	0.000000	43555
FRIGG	2000	11	0.000000	0.070160	0.000000	0.000030	0.070190	0.000000	43555
FRIGG	2000	12	0.000000	0.070280	0.000000	0.000090	0.070370	0.000000	43555
FRIGG	2001	1	0.000000	0.070640	0.000000	0.000020	0.070660	0.000000	43555
FRIGG	2001	2	0.000000	0.064840	0.000000	0.000020	0.064860	0.000000	43555
FRIGG	2001	3	0.000000	0.068840	0.000000	0.000210	0.069050	0.000000	43555
FRIGG	2001	4	0.000000	0.069080	0.000000	0.000210	0.069290	0.000000	43555
FRIGG	2001	5	0.000000	0.068970	0.000000	0.000270	0.069240	0.000000	43555
FRIGG	2001	6	0.000000	0.064690	0.000000	0.000450	0.065140	0.000000	43555
FRIGG	2001	7	0.000000	0.014060	0.000000	0.000150	0.014210	0.000000	43555
FRIGG	2001	8	0.000000	0.048860	0.000000	0.000390	0.049250	0.000000	43555
FRIGG	2001	9	0.000000	0.057680	0.000000	0.000140	0.057820	0.000000	43555
FRIGG	2001	10	0.000000	0.064550	0.000000	0.000150	0.064710	0.000000	43555
FRIGG	2001	11	0.000000	0.074490	0.000000	0.000180	0.074670	0.000000	43555
FRIGG	2001	12	0.000000	0.070540	0.000000	0.000130	0.070670	0.000000	43555
FRIGG	2002	1	0.000000	0.068380	0.000000	0.000130	0.068510	0.000000	43555
FRIGG	2002	2	0.000000	0.066290	0.000000	0.000100	0.066400	0.000000	43555
FRIGG	2002	3	0.000000	0.072270	0.000000	0.000110	0.072380	0.000000	43555
FRIGG	2002	4	0.000000	0.052740	0.000000	0.000090	0.052830	0.000000	43555
FRIGG	2002	5	0.000000	0.055800	0.000000	0.000110	0.055910	0.000000	43555
FRIGG	2002	6	0.000000	0.052690	0.000000	0.000100	0.052790	0.000000	43555
FRIGG	2002	7	0.000000	0.042510	0.000000	0.000080	0.042590	0.000000	43555
FRIGG	2002	8	0.000000	0.054620	0.000000	0.000160	0.054790	0.000000	43555
FRIGG	2002	9	0.000000	0.043160	0.000000	0.000110	0.043270	0.000000	43555
FRIGG	2002	10	0.000000	0.075190	0.000000	0.000110	0.075300	0.000000	43555
FRIGG	2002	11	0.000000	0.064810	0.000000	0.000080	0.064890	0.000000	43555
FRIGG	2002	12	0.000000	0.068530	0.000000	0.000120	0.068650	0.000000	43555
FRIGG	2003	1	0.000000	0.070630	0.000000	0.000110	0.070740	0.000000	43555
FRIGG	2003	2	0.000000	0.062710	0.000000	0.000100	0.062810	0.000000	43555
FRIGG	2003	3	0.000000	0.052050	0.000000	0.000070	0.052120	0.000000	43555
FRIGG	2003	4	0.000000	0.049560	0.000000	0.000100	0.049650	0.000000	43555
FRIGG	2003	5	0.000000	0.053270	0.000000	0.000090	0.053350	0.000000	43555
FRIGG	2003	6	0.000000	0.050220	0.000000	0.000090	0.050310	0.000000	43555
FRIGG	2003	7	0.000000	0.060350	0.000000	0.000110	0.060460	0.000000	43555
FRIGG	2003	8	0.000000	0.062400	0.000000	0.000110	0.062510	0.000000	43555
FRIGG	2003	9	0.000000	0.054660	0.000000	0.000090	0.054750	0.000000	43555
FRIGG	2003	10	0.000000	0.069760	0.000000	0.000110	0.069870	0.000000	43555
FRIGG	2003	11	0.000000	0.068630	0.000000	0.000100	0.068730	0.000000	43555
FRIGG	2003	12	0.000000	0.053440	0.000000	0.000080	0.053520	0.000000	43555
FRIGG	2004	1	0.000000	0.044630	0.000000	0.000070	0.044700	0.000000	43555
FRIGG	2004	2	0.000000	0.049780	0.000000	0.000080	0.049850	0.000000	43555
FRIGG	2004	3	0.000000	0.056770	0.000000	0.000090	0.056860	0.000000	43555
FRIGG	2004	4	0.000000	0.070420	0.000000	0.000110	0.070520	0.000000	43555
FRIGG	2004	5	0.000000	0.101020	0.000000	0.000160	0.101180	0.000000	43555
FRIGG	2004	6	0.000000	0.132420	0.000000	0.000280	0.132700	0.000000	43555
FRIGG	2004	7	0.000000	0.144100	0.000000	0.000210	0.144310	0.000000	43555
FRIGG	2004	8	0.000000	0.129180	0.000000	0.000110	0.129290	0.000000	43555
FRIGG	2004	9	0.000000	0.099050	0.000000	0.000060	0.099110	0.000000	43555
FRIGG	2004	10	0.000000	0.035800	0.000000	0.000010	0.035810	0.000000	43555
BALDER	1991	5	0.019480	0.000000	0.000000	0.000000	0.019480	0.000000	43562
BALDER	1991	6	0.026960	0.000000	0.000000	0.000000	0.026960	0.000000	43562
BALDER	1991	7	0.032250	0.000000	0.000000	0.000000	0.032250	0.000000	43562
BALDER	1991	8	0.020550	0.000000	0.000000	0.000000	0.020550	0.000000	43562
BALDER	1991	9	0.029320	0.000000	0.000000	0.000000	0.029320	0.000000	43562
BALDER	1999	10	0.181430	0.000000	0.000000	0.000000	0.181430	0.000000	43562
BALDER	1999	11	0.324700	0.000000	0.000000	0.000000	0.324700	0.000000	43562
BALDER	1999	12	0.375080	0.000000	0.000000	0.000000	0.375080	0.000000	43562
BALDER	2000	1	0.368840	0.000000	0.000000	0.000000	0.368840	0.025880	43562
BALDER	2000	2	0.339870	0.000000	0.000000	0.000000	0.339870	0.034090	43562
BALDER	2000	3	0.374020	0.000000	0.000000	0.000000	0.374020	0.107840	43562
BALDER	2000	4	0.359990	0.000000	0.000000	0.000000	0.359990	0.091370	43562
BALDER	2000	5	0.359730	0.000000	0.000000	0.000000	0.359730	0.098100	43562
BALDER	2000	6	0.342050	0.000000	0.000000	0.000000	0.342050	0.082860	43562
BALDER	2000	7	0.317160	0.000000	0.000000	0.000000	0.317160	0.116480	43562
BALDER	2000	8	0.312740	0.000000	0.000000	0.000000	0.312740	0.120020	43562
BALDER	2000	9	0.295590	0.000000	0.000000	0.000000	0.295590	0.113260	43562
BALDER	2000	10	0.337760	0.000000	0.000000	0.000000	0.337760	0.141640	43562
BALDER	2000	11	0.294580	0.000000	0.000000	0.000000	0.294580	0.132030	43562
BALDER	2000	12	0.315680	0.000000	0.000000	0.000000	0.315680	0.148040	43562
BALDER	2001	1	0.300620	0.000000	0.000000	0.000000	0.300620	0.176240	43562
BALDER	2001	2	0.226960	0.000000	0.000000	0.000000	0.226960	0.117370	43562
BALDER	2001	3	0.246380	0.000000	0.000000	0.000000	0.246380	0.124810	43562
BALDER	2001	4	0.335010	0.000000	0.000000	0.000000	0.335010	0.135890	43562
BALDER	2001	5	0.347600	0.000000	0.000000	0.000000	0.347600	0.117050	43562
BALDER	2001	6	0.357730	0.000000	0.000000	0.000000	0.357730	0.089450	43562
BALDER	2001	7	0.297540	0.000000	0.000000	0.000000	0.297540	0.077040	43562
BALDER	2001	8	0.338970	0.000000	0.000000	0.000000	0.338970	0.119320	43562
BALDER	2001	9	0.356280	0.000000	0.000000	0.000000	0.356280	0.141390	43562
BALDER	2001	10	0.383260	0.000000	0.000000	0.000000	0.383260	0.156770	43562
BALDER	2001	11	0.346210	0.000000	0.000000	0.000000	0.346210	0.169760	43562
BALDER	2001	12	0.351470	0.000000	0.000000	0.000000	0.351470	0.154400	43562
BALDER	2002	1	0.346150	0.000000	0.000000	0.000000	0.346150	0.189700	43562
BALDER	2002	2	0.209860	0.000000	0.000000	0.000000	0.209860	0.102520	43562
BALDER	2002	3	0.352980	0.000000	0.000000	0.000000	0.352980	0.201820	43562
BALDER	2002	4	0.299010	0.000000	0.000000	0.000000	0.299010	0.200540	43562
BALDER	2002	5	0.232220	0.000000	0.000000	0.000000	0.232220	0.141680	43562
BALDER	2002	6	0.304750	0.000000	0.000000	0.000000	0.304750	0.220590	43562
BALDER	2002	7	0.309280	0.000000	0.000000	0.000000	0.309280	0.234590	43562
BALDER	2002	8	0.301590	0.000000	0.000000	0.000000	0.301590	0.142150	43562
BALDER	2002	9	0.277230	0.000000	0.000000	0.000000	0.277230	0.241910	43562
BALDER	2002	10	0.276840	0.000000	0.000000	0.000000	0.276840	0.223810	43562
BALDER	2002	11	0.265670	0.000000	0.000000	0.000000	0.265670	0.226060	43562
BALDER	2002	12	0.260490	0.000000	0.000000	0.000000	0.260490	0.245180	43562
BALDER	2003	1	0.245230	0.000000	0.000000	0.000000	0.245230	0.206880	43562
BALDER	2003	2	0.277310	0.000000	0.000000	0.000000	0.277310	0.179730	43562
BALDER	2003	3	0.332120	0.000000	0.000000	0.000000	0.332120	0.196850	43562
BALDER	2003	4	0.363270	0.000000	0.000000	0.000000	0.363270	0.201820	43562
BALDER	2003	5	0.346960	0.000000	0.000000	0.000000	0.346960	0.150990	43562
BALDER	2003	6	0.344210	0.000000	0.000000	0.000000	0.344210	0.148800	43562
BALDER	2003	7	0.325330	0.000000	0.000000	0.000000	0.325330	0.253230	43562
BALDER	2003	8	0.247850	0.000000	0.000000	0.000000	0.247850	0.180290	43562
BALDER	2003	9	0.352530	0.000000	0.000000	0.000000	0.352530	0.218590	43562
BALDER	2003	10	0.365540	0.001050	0.000000	0.000000	0.366590	0.129150	43562
BALDER	2003	11	0.395780	0.016060	0.000000	0.000000	0.411830	0.165620	43562
BALDER	2003	12	0.353330	0.014650	0.000000	0.000000	0.367970	0.131360	43562
BALDER	2004	1	0.400330	0.018210	0.000000	0.000000	0.418540	0.201240	43562
BALDER	2004	2	0.395360	0.016620	0.000000	0.000000	0.411970	0.199350	43562
BALDER	2004	3	0.403900	0.017220	0.000000	0.000000	0.421120	0.206270	43562
BALDER	2004	4	0.509610	0.025870	0.000000	0.000000	0.535490	0.242700	43562
BALDER	2004	5	0.552900	0.025360	0.000000	0.000000	0.578260	0.287550	43562
BALDER	2004	6	0.537210	0.024630	0.000000	0.000000	0.561850	0.267220	43562
BALDER	2004	7	0.597830	0.024610	0.000000	0.000000	0.622430	0.293920	43562
BALDER	2004	8	0.597830	0.016180	0.000000	0.000000	0.614000	0.242000	43562
BALDER	2004	9	0.503170	0.000000	0.000000	0.000000	0.503170	0.156830	43562
BALDER	2004	10	0.502330	0.000000	0.000000	0.000000	0.502330	0.211550	43562
BALDER	2004	11	0.430880	0.001170	0.000000	0.000000	0.432050	0.101780	43562
BALDER	2004	12	0.614560	0.024540	0.000000	0.000000	0.639100	0.216620	43562
BALDER	2005	1	0.571910	0.022370	0.000000	0.000000	0.594280	0.199110	43562
BALDER	2005	2	0.550000	0.022020	0.000000	0.000000	0.572020	0.200250	43562
BALDER	2005	3	0.616800	0.025680	0.000000	0.000000	0.642480	0.268950	43562
BALDER	2005	4	0.588150	0.023780	0.000000	0.000000	0.611930	0.239610	43562
BALDER	2005	5	0.595610	0.017700	0.000000	0.000000	0.613310	0.229420	43562
BALDER	2005	6	0.571660	0.016820	0.000000	0.000000	0.588470	0.234250	43562
BALDER	2005	7	0.593000	0.021140	0.000000	0.000000	0.614140	0.225190	43562
BALDER	2005	8	0.617580	0.022840	0.000000	0.000000	0.640410	0.262290	43562
BALDER	2005	9	0.466950	0.010510	0.000000	0.000000	0.477460	0.185380	43562
BALDER	2005	10	0.605130	0.021120	0.000000	0.000000	0.626250	0.232990	43562
BALDER	2005	11	0.584390	0.023800	0.000000	0.000000	0.608190	0.229430	43562
BALDER	2005	12	0.623230	0.026620	0.000000	0.000000	0.649850	0.285090	43562
BALDER	2006	1	0.629410	0.020870	0.000000	0.000000	0.650280	0.283760	43562
BALDER	2006	2	0.540350	0.012510	0.000000	0.000000	0.552860	0.081980	43562
BALDER	2006	3	0.586420	0.021340	0.000000	0.000000	0.607760	0.185320	43562
BALDER	2006	4	0.527790	0.022320	0.000000	0.000000	0.550110	0.286110	43562
BALDER	2006	5	0.545950	0.020980	0.000000	0.000000	0.566920	0.294790	43562
BALDER	2006	6	0.482270	0.011130	0.000000	0.000000	0.493400	0.273840	43562
BALDER	2006	7	0.513130	0.017660	0.000000	0.000000	0.530780	0.239320	43562
BALDER	2006	8	0.529090	0.021510	0.000000	0.000000	0.550600	0.290710	43562
BALDER	2006	9	0.469130	0.017300	0.000000	0.000000	0.486430	0.271880	43562
BALDER	2006	10	0.518360	0.018650	0.000000	0.000000	0.537010	0.289770	43562
BALDER	2006	11	0.498520	0.015330	0.000000	0.000000	0.513850	0.307160	43562
BALDER	2006	12	0.511900	0.015170	0.000000	0.000000	0.527070	0.308110	43562
BALDER	2007	1	0.472470	0.015000	0.000000	0.000000	0.487470	0.283460	43562
BALDER	2007	2	0.431900	0.016060	0.000000	0.000000	0.447960	0.271070	43562
BALDER	2007	3	0.480840	0.017580	0.000000	0.000000	0.498420	0.324050	43562
BALDER	2007	4	0.426130	0.014380	0.000000	0.000000	0.440520	0.291290	43562
BALDER	2007	5	0.486950	0.015340	0.000000	0.000000	0.502290	0.306780	43562
BALDER	2007	6	0.468500	0.013820	0.000000	0.000000	0.482330	0.244290	43562
BALDER	2007	7	0.516530	0.015690	0.000000	0.000000	0.532220	0.285680	43562
BALDER	2007	8	0.485010	0.016380	0.000000	0.000000	0.501390	0.273210	43562
BALDER	2007	9	0.470210	0.016520	0.000000	0.000000	0.486730	0.297640	43562
BALDER	2007	10	0.459060	0.014760	0.000000	0.000000	0.473830	0.250700	43562
BALDER	2007	11	0.458450	0.016520	0.000000	0.000000	0.474970	0.294030	43562
BALDER	2007	12	0.468090	0.016620	0.000000	0.000000	0.484710	0.314530	43562
BALDER	2008	1	0.456070	0.015140	0.000000	0.000000	0.471220	0.328190	43562
BALDER	2008	2	0.397190	0.013700	0.000000	0.000000	0.410890	0.313480	43562
BALDER	2008	3	0.424270	0.013410	0.000000	0.000000	0.437680	0.328310	43562
BALDER	2008	4	0.389340	0.013730	0.000000	0.000000	0.403070	0.326130	43562
BALDER	2008	5	0.393650	0.013720	0.000000	0.000000	0.407370	0.328570	43562
BALDER	2008	6	0.294690	0.008540	0.000000	0.000000	0.303230	0.230970	43562
BALDER	2008	7	0.346710	0.008640	0.000000	0.000000	0.355350	0.262560	43562
BALDER	2008	8	0.320200	0.006570	0.000000	0.000000	0.326770	0.281150	43562
BALDER	2008	9	0.356210	0.012500	0.000000	0.000000	0.368710	0.387770	43562
BALDER	2008	10	0.353190	0.012240	0.000000	0.000000	0.365420	0.398800	43562
BALDER	2008	11	0.328350	0.011110	0.000000	0.000000	0.339460	0.386410	43562
BALDER	2008	12	0.349300	0.010670	0.000000	0.000000	0.359970	0.395080	43562
BALDER	2009	1	0.313980	0.009740	0.000000	0.000000	0.323720	0.369430	43562
BALDER	2009	2	0.281140	0.008720	0.000000	0.000000	0.289860	0.335200	43562
BALDER	2009	3	0.300730	0.009280	0.000000	0.000000	0.310000	0.345840	43562
BALDER	2009	4	0.275620	0.010850	0.000000	0.000000	0.286470	0.354130	43562
BALDER	2009	5	0.304240	0.011660	0.000000	0.000000	0.315900	0.431120	43562
BALDER	2009	6	0.258190	0.007970	0.000000	0.000000	0.266160	0.369440	43562
BALDER	2009	7	0.284280	0.009870	0.000000	0.000000	0.294150	0.410660	43562
BALDER	2009	8	0.268020	0.009550	0.000000	0.000000	0.277570	0.409600	43562
BALDER	2009	9	0.243040	0.005470	0.000000	0.000000	0.248520	0.354620	43562
BALDER	2009	10	0.270410	0.008190	0.000000	0.000000	0.278610	0.392530	43562
BALDER	2009	11	0.260180	0.007990	0.000000	0.000000	0.268170	0.416430	43562
BALDER	2009	12	0.253400	0.008450	0.000000	0.000000	0.261850	0.427580	43562
BALDER	2010	1	0.256050	0.008940	0.000000	0.000000	0.264990	0.436180	43562
BALDER	2010	2	0.225220	0.009000	0.000000	0.000000	0.234220	0.435800	43562
BALDER	2010	3	0.237090	0.008610	0.000000	0.000000	0.245700	0.433450	43562
BALDER	2010	4	0.237420	0.007810	0.000000	0.000000	0.245230	0.432790	43562
BALDER	2010	5	0.239210	0.007850	0.000000	0.000000	0.247060	0.436640	43562
BALDER	2010	6	0.219270	0.006340	0.000000	0.000000	0.225610	0.424830	43562
BALDER	2010	7	0.253890	0.008830	0.000000	0.000000	0.262720	0.464510	43562
BALDER	2010	8	0.152340	0.005100	0.000000	0.000000	0.157440	0.299020	43562
BALDER	2010	9	0.246490	0.008330	0.000000	0.000000	0.254820	0.484060	43562
BALDER	2010	10	0.250220	0.008920	0.000000	0.000000	0.259140	0.514620	43562
BALDER	2010	11	0.201900	0.005440	0.000000	0.000000	0.207330	0.394130	43562
BALDER	2010	12	0.207200	0.006090	0.000000	0.000000	0.213290	0.457420	43562
BALDER	2011	1	0.222850	0.007020	0.000000	0.000000	0.229870	0.501860	43562
BALDER	2011	2	0.199180	0.005840	0.000000	0.000000	0.205020	0.466940	43562
BALDER	2011	3	0.210070	0.005470	0.000000	0.000000	0.215540	0.485700	43562
BALDER	2011	4	0.194170	0.005010	0.000000	0.000000	0.199170	0.494020	43562
BALDER	2011	5	0.167510	0.004260	0.000000	0.000000	0.171770	0.398930	43562
BALDER	2011	6	0.177220	0.003730	0.000000	0.000000	0.180940	0.442380	43562
BALDER	2011	7	0.193070	0.005470	0.000000	0.000000	0.198550	0.465590	43562
BALDER	2011	8	0.172650	0.004630	0.000000	0.000000	0.177280	0.361960	43562
BALDER	2011	9	0.196270	0.005770	0.000000	0.000000	0.202040	0.407420	43562
BALDER	2011	10	0.192590	0.005490	0.000000	0.000000	0.198080	0.420920	43562
BALDER	2011	11	0.168030	0.004270	0.000000	0.000000	0.172300	0.387120	43562
BALDER	2011	12	0.176760	0.004490	0.000000	0.000000	0.181250	0.428340	43562
BALDER	2012	1	0.164520	0.003640	0.000000	0.000000	0.168160	0.387970	43562
BALDER	2012	2	0.155170	0.003780	0.000000	0.000000	0.158950	0.378340	43562
BALDER	2012	3	0.167200	0.005010	0.000000	0.000000	0.172210	0.436100	43562
BALDER	2012	4	0.140490	0.002900	0.000000	0.000000	0.143390	0.370030	43562
BALDER	2012	5	0.175470	0.004120	0.000000	0.000000	0.179590	0.412660	43562
BALDER	2012	6	0.146490	0.003970	0.000000	0.000000	0.150470	0.382590	43562
BALDER	2012	7	0.162710	0.004530	0.000000	0.000000	0.167240	0.422730	43562
BALDER	2012	8	0.167730	0.004160	0.000000	0.000000	0.171890	0.436570	43562
BALDER	2012	9	0.100350	0.002280	0.000000	0.000000	0.102640	0.253100	43562
BALDER	2012	10	0.164500	0.004270	0.000000	0.000000	0.168770	0.424560	43562
BALDER	2012	11	0.154130	0.003540	0.000000	0.000000	0.157670	0.406590	43562
BALDER	2012	12	0.158510	0.003440	0.000000	0.000000	0.161940	0.426750	43562
BALDER	2013	1	0.155170	0.004040	0.000000	0.000000	0.159210	0.437840	43562
BALDER	2013	2	0.141480	0.003530	0.000000	0.000000	0.145010	0.408670	43562
NORDØST FRIGG	1983	12	0.000000	0.057760	0.000000	0.000250	0.058010	0.000000	43568
NORDØST FRIGG	1984	1	0.000000	0.098200	0.000000	0.000370	0.098560	0.000000	43568
NORDØST FRIGG	1984	2	0.000000	0.128350	0.000000	0.000480	0.128830	0.000000	43568
NORDØST FRIGG	1984	3	0.000000	0.148510	0.000000	0.000600	0.149110	0.000000	43568
NORDØST FRIGG	1984	4	0.000000	0.147450	0.000000	0.000560	0.148000	0.000000	43568
NORDØST FRIGG	1984	5	0.000000	0.070380	0.000000	0.000600	0.070980	0.000000	43568
NORDØST FRIGG	1984	6	0.000000	0.030360	0.000000	0.000010	0.030370	0.000000	43568
NORDØST FRIGG	1984	7	0.000000	0.094100	0.000000	0.000230	0.094330	0.000000	43568
NORDØST FRIGG	1984	8	0.000000	0.186540	0.000000	0.000730	0.187270	0.000000	43568
NORDØST FRIGG	1984	9	0.000000	0.164030	0.000000	0.005760	0.169790	0.000000	43568
NORDØST FRIGG	1984	10	0.000000	0.211830	0.000000	0.001280	0.213110	0.000000	43568
NORDØST FRIGG	1984	11	0.000000	0.221660	0.000000	0.001230	0.222890	0.000000	43568
NORDØST FRIGG	1984	12	0.000000	0.225240	0.000000	0.001310	0.226550	0.000000	43568
NORDØST FRIGG	1985	1	0.000000	0.223430	0.000000	0.001550	0.224970	0.000000	43568
NORDØST FRIGG	1985	2	0.000000	0.203250	0.000000	0.001700	0.204950	0.000000	43568
NORDØST FRIGG	1985	3	0.000000	0.236560	0.000000	0.001820	0.238370	0.000000	43568
NORDØST FRIGG	1985	4	0.000000	0.231760	0.000000	0.001770	0.233530	0.000000	43568
NORDØST FRIGG	1985	5	0.000000	0.223210	0.000000	0.001570	0.224780	0.000000	43568
NORDØST FRIGG	1985	6	0.000000	0.168160	0.000000	0.000940	0.169090	0.000000	43568
NORDØST FRIGG	1985	7	0.000000	0.036890	0.000000	0.000320	0.037200	0.000000	43568
NORDØST FRIGG	1985	8	0.000000	0.161760	0.000000	0.000630	0.162390	0.000000	43568
NORDØST FRIGG	1985	9	0.000000	0.201650	0.000000	0.001920	0.203570	0.000000	43568
NORDØST FRIGG	1985	10	0.000000	0.171940	0.000000	0.000670	0.172600	0.000000	43568
NORDØST FRIGG	1985	11	0.000000	0.192200	0.000000	0.000430	0.192630	0.000000	43568
NORDØST FRIGG	1985	12	0.000000	0.176840	0.000000	-0.000100	0.176750	0.000000	43568
NORDØST FRIGG	1986	1	0.000000	0.174280	0.000000	0.000040	0.174320	0.000000	43568
NORDØST FRIGG	1986	2	0.000000	0.151840	0.000000	0.000610	0.152450	0.000000	43568
NORDØST FRIGG	1986	3	0.000000	0.101910	0.000000	-0.002830	0.099080	0.000000	43568
NORDØST FRIGG	1986	4	0.000000	0.022130	0.000000	-0.000470	0.021660	0.000000	43568
NORDØST FRIGG	1986	5	0.000000	0.092140	0.000000	0.000370	0.092510	0.000000	43568
NORDØST FRIGG	1986	6	0.000000	0.082000	0.000000	0.000110	0.082110	0.000000	43568
NORDØST FRIGG	1986	7	0.000000	0.122920	0.000000	0.004170	0.127090	0.000000	43568
NORDØST FRIGG	1986	8	0.000000	0.165370	0.000000	0.000500	0.165880	0.000000	43568
NORDØST FRIGG	1986	9	0.000000	0.125420	0.000000	0.000100	0.125520	0.000000	43568
NORDØST FRIGG	1986	10	0.000000	0.233530	0.000000	0.001630	0.235160	0.000000	43568
NORDØST FRIGG	1986	11	0.000000	0.171050	0.000000	0.000950	0.171990	0.000000	43568
NORDØST FRIGG	1986	12	0.000000	0.166440	0.000000	0.000780	0.167220	0.000000	43568
NORDØST FRIGG	1987	1	0.000000	0.173190	0.000000	0.000650	0.173840	0.000000	43568
NORDØST FRIGG	1987	2	0.000000	0.152240	0.000000	0.001090	0.153320	0.000000	43568
NORDØST FRIGG	1987	3	0.000000	0.179820	0.000000	-0.000360	0.179460	0.000000	43568
NORDØST FRIGG	1987	4	0.000000	0.073750	0.000000	0.000950	0.074690	0.000000	43568
NORDØST FRIGG	1987	5	0.000000	0.076460	0.000000	0.000510	0.076980	0.000000	43568
NORDØST FRIGG	1987	6	0.000000	0.073250	0.000000	0.000820	0.074070	0.000000	43568
NORDØST FRIGG	1987	7	0.000000	0.028250	0.000000	-0.000150	0.028100	0.000000	43568
NORDØST FRIGG	1987	8	0.000000	0.068160	0.000000	0.000030	0.068190	0.000000	43568
NORDØST FRIGG	1987	9	0.000000	0.088040	0.000000	0.000050	0.088090	0.000000	43568
NORDØST FRIGG	1987	10	0.000000	0.065550	0.000000	0.000370	0.065920	0.000000	43568
NORDØST FRIGG	1987	11	0.000000	0.062030	0.000000	0.000550	0.062580	0.000000	43568
NORDØST FRIGG	1987	12	0.000000	0.102540	0.000000	0.000620	0.103160	0.000000	43568
NORDØST FRIGG	1988	1	0.000000	0.129750	0.000000	0.000900	0.130650	0.000000	43568
NORDØST FRIGG	1988	2	0.000000	0.146480	0.000000	0.000610	0.147090	0.000000	43568
NORDØST FRIGG	1988	3	0.000000	0.102690	0.000000	0.000540	0.103230	0.000000	43568
NORDØST FRIGG	1988	4	0.000000	0.160080	0.000000	0.000710	0.160790	0.000000	43568
NORDØST FRIGG	1988	5	0.000000	0.091700	0.000000	0.000900	0.092600	0.000000	43568
NORDØST FRIGG	1988	6	0.000000	0.059050	0.000000	0.000530	0.059580	0.000000	43568
NORDØST FRIGG	1988	7	0.000000	0.055750	0.000000	0.000030	0.055790	0.000000	43568
NORDØST FRIGG	1988	8	0.000000	0.044360	0.000000	0.000310	0.044670	0.000000	43568
NORDØST FRIGG	1988	9	0.000000	0.085490	0.000000	0.000440	0.085930	0.000000	43568
NORDØST FRIGG	1988	10	0.000000	0.067270	0.000000	0.000530	0.067800	0.000000	43568
NORDØST FRIGG	1988	11	0.000000	0.096070	0.000000	0.000560	0.096620	0.000000	43568
NORDØST FRIGG	1988	12	0.000000	0.082230	0.000000	0.000540	0.082770	0.000000	43568
NORDØST FRIGG	1989	1	0.000000	0.015610	0.000000	0.000240	0.015850	0.000000	43568
NORDØST FRIGG	1989	2	0.000000	0.061900	0.000000	0.000250	0.062150	0.000000	43568
NORDØST FRIGG	1989	3	0.000000	0.079240	0.000000	0.000390	0.079620	0.000000	43568
NORDØST FRIGG	1989	4	0.000000	0.080320	0.000000	0.000380	0.080690	0.000000	43568
NORDØST FRIGG	1989	5	0.000000	0.136880	0.000000	0.000930	0.137810	0.000000	43568
NORDØST FRIGG	1989	6	0.000000	0.070830	0.000000	0.000830	0.071660	0.000000	43568
NORDØST FRIGG	1989	7	0.000000	-0.000180	0.000000	0.000080	-0.000100	0.000000	43568
NORDØST FRIGG	1989	8	0.000000	0.088510	0.000000	0.000460	0.088970	0.000000	43568
NORDØST FRIGG	1989	9	0.000000	0.118610	0.000000	0.000920	0.119530	0.000000	43568
NORDØST FRIGG	1989	10	0.000000	0.165850	0.000000	0.000980	0.166830	0.000000	43568
NORDØST FRIGG	1989	11	0.000000	0.120120	0.000000	0.000470	0.120590	0.000000	43568
NORDØST FRIGG	1989	12	0.000000	0.185290	0.000000	0.001930	0.187220	0.000000	43568
NORDØST FRIGG	1990	1	0.000000	0.182280	0.000000	0.001770	0.184050	0.000000	43568
NORDØST FRIGG	1990	2	0.000000	0.129020	0.000000	0.000880	0.129900	0.000000	43568
NORDØST FRIGG	1990	3	0.000000	0.072250	0.000000	0.000660	0.072910	0.000000	43568
NORDØST FRIGG	1990	4	0.000000	0.000010	0.000000	0.000010	0.000020	0.000000	43568
NORDØST FRIGG	1990	5	0.000000	0.028140	0.000000	0.000190	0.028330	0.000000	43568
NORDØST FRIGG	1990	6	0.000000	0.118520	0.000000	0.000870	0.119390	0.000000	43568
NORDØST FRIGG	1990	7	0.000000	0.119900	0.000000	0.001210	0.121110	0.000000	43568
NORDØST FRIGG	1990	8	0.000000	0.127450	0.000000	0.001060	0.128510	0.000000	43568
NORDØST FRIGG	1990	9	0.000000	0.120190	0.000000	0.001050	0.121240	0.000000	43568
NORDØST FRIGG	1990	10	0.000000	0.117650	0.000000	0.002030	0.119680	0.000000	43568
NORDØST FRIGG	1990	11	0.000000	0.102670	0.000000	0.001230	0.103900	0.000000	43568
NORDØST FRIGG	1990	12	0.000000	0.105710	0.000000	0.000660	0.106370	0.000000	43568
NORDØST FRIGG	1991	1	0.000000	0.108740	0.000000	0.000700	0.109440	0.000000	43568
NORDØST FRIGG	1991	2	0.000000	0.080220	0.000000	0.000630	0.080850	0.000000	43568
NORDØST FRIGG	1991	3	0.000000	0.076100	0.000000	0.001180	0.077280	0.000000	43568
NORDØST FRIGG	1991	4	0.000000	0.059900	0.000000	0.000400	0.060300	0.000000	43568
NORDØST FRIGG	1991	5	0.000000	0.063970	0.000000	0.000890	0.064860	0.000000	43568
NORDØST FRIGG	1991	6	0.000000	0.059890	0.000000	0.000450	0.060330	0.000000	43568
NORDØST FRIGG	1991	7	0.000000	0.060780	0.000000	0.000730	0.061520	0.000000	43568
NORDØST FRIGG	1991	8	0.000000	0.058640	0.000000	0.000650	0.059290	0.000000	43568
NORDØST FRIGG	1991	9	0.000000	0.057190	0.000000	0.000540	0.057730	0.000000	43568
NORDØST FRIGG	1991	10	0.000000	0.060750	0.000000	0.000740	0.061490	0.000000	43568
NORDØST FRIGG	1991	11	0.000000	0.058020	0.000000	0.000700	0.058720	0.000000	43568
NORDØST FRIGG	1991	12	0.000000	0.052680	0.000000	0.000700	0.053370	0.000000	43568
NORDØST FRIGG	1992	1	0.000000	0.058700	0.000000	0.000550	0.059240	0.000000	43568
NORDØST FRIGG	1992	2	0.000000	0.051630	0.000000	0.000510	0.052140	0.000000	43568
NORDØST FRIGG	1992	3	0.000000	0.049380	0.000000	0.000820	0.050210	0.000000	43568
NORDØST FRIGG	1992	4	0.000000	0.039900	0.000000	0.000280	0.040180	0.000000	43568
NORDØST FRIGG	1992	5	0.000000	0.038960	0.000000	0.000570	0.039530	0.000000	43568
NORDØST FRIGG	1992	6	0.000000	0.051450	0.000000	0.000160	0.051600	0.000000	43568
NORDØST FRIGG	1992	7	0.000000	0.036180	0.000000	0.000270	0.036460	0.000000	43568
NORDØST FRIGG	1992	8	0.000000	0.034070	0.000000	0.000300	0.034380	0.000000	43568
NORDØST FRIGG	1992	9	0.000000	0.038040	0.000000	0.000470	0.038510	0.000000	43568
NORDØST FRIGG	1992	10	0.000000	0.040250	0.000000	0.000880	0.041130	0.000000	43568
NORDØST FRIGG	1992	11	0.000000	0.028530	0.000000	0.000720	0.029250	0.000000	43568
NORDØST FRIGG	1992	12	0.000000	0.018860	0.000000	0.000130	0.018990	0.000000	43568
NORDØST FRIGG	1993	1	0.000000	0.019160	0.000000	0.000260	0.019420	0.000000	43568
NORDØST FRIGG	1993	2	0.000000	0.017110	0.000000	0.000230	0.017340	0.000000	43568
NORDØST FRIGG	1993	3	0.000000	0.020180	0.000000	0.000150	0.020330	0.000000	43568
NORDØST FRIGG	1993	4	0.000000	0.017360	0.000000	0.000300	0.017670	0.000000	43568
NORDØST FRIGG	1993	5	0.000000	0.005130	0.000000	0.000090	0.005210	0.000000	43568
NORDØST FRIGG	1993	6	0.000000	0.000000	0.000000	0.000010	0.000010	0.000000	43568
NORDØST FRIGG	1993	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43568
NORDØST FRIGG	1993	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43568
ØST FRIGG	1988	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43576
ØST FRIGG	1988	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43576
ØST FRIGG	1988	10	0.000000	0.094060	0.000000	0.000230	0.094290	0.000000	43576
ØST FRIGG	1988	11	0.000000	0.132810	0.000000	0.000650	0.133460	0.000000	43576
ØST FRIGG	1988	12	0.000000	0.164610	0.000000	0.000540	0.165140	0.000000	43576
ØST FRIGG	1989	1	0.000000	0.158170	0.000000	0.000740	0.158910	0.000000	43576
ØST FRIGG	1989	2	0.000000	0.174760	0.000000	0.001030	0.175790	0.000000	43576
ØST FRIGG	1989	3	0.000000	0.159640	0.000000	0.001430	0.161070	0.000000	43576
ØST FRIGG	1989	4	0.000000	0.169360	0.000000	0.000900	0.170260	0.000000	43576
ØST FRIGG	1989	5	0.000000	0.140700	0.000000	0.001530	0.142230	0.000000	43576
ØST FRIGG	1989	6	0.000000	0.050570	0.000000	0.001010	0.051580	0.000000	43576
ØST FRIGG	1989	7	0.000000	0.027330	0.000000	-0.000010	0.027330	0.000000	43576
ØST FRIGG	1989	8	0.000000	0.046710	0.000000	0.000250	0.046960	0.000000	43576
ØST FRIGG	1989	9	0.000000	0.080760	0.000000	0.000470	0.081230	0.000000	43576
ØST FRIGG	1989	10	0.000000	0.153360	0.000000	0.000460	0.153820	0.000000	43576
ØST FRIGG	1989	11	0.000000	0.189570	0.000000	0.002120	0.191690	0.000000	43576
ØST FRIGG	1989	12	0.000000	0.153880	0.000000	0.001870	0.155760	0.000000	43576
ØST FRIGG	1990	1	0.000000	0.091530	0.000000	0.000540	0.092060	0.000000	43576
ØST FRIGG	1990	2	0.000000	0.081860	0.000000	0.000340	0.082200	0.000000	43576
ØST FRIGG	1990	3	0.000000	0.089680	0.000000	0.000360	0.090040	0.000000	43576
ØST FRIGG	1990	4	0.000000	0.085110	0.000000	0.000830	0.085940	0.000000	43576
ØST FRIGG	1990	5	0.000000	0.086390	0.000000	0.000790	0.087180	0.000000	43576
ØST FRIGG	1990	6	0.000000	0.084210	0.000000	0.000740	0.084950	0.000000	43576
ØST FRIGG	1990	7	0.000000	0.064120	0.000000	0.000410	0.064530	0.000000	43576
ØST FRIGG	1990	8	0.000000	0.093900	0.000000	0.000530	0.094430	0.000000	43576
ØST FRIGG	1990	9	0.000000	0.188430	0.000000	0.001220	0.189650	0.000000	43576
ØST FRIGG	1990	10	0.000000	0.170990	0.000000	0.001130	0.172130	0.000000	43576
ØST FRIGG	1990	11	0.000000	0.155870	0.000000	0.000710	0.156570	0.000000	43576
ØST FRIGG	1990	12	0.000000	0.183360	0.000000	0.001930	0.185300	0.000000	43576
ØST FRIGG	1991	1	0.000000	0.158550	0.000000	0.000340	0.158890	0.000000	43576
ØST FRIGG	1991	2	0.000000	0.137010	0.000000	0.001530	0.138530	0.000000	43576
ØST FRIGG	1991	3	0.000000	0.138020	0.000000	-0.000050	0.137970	0.000000	43576
ØST FRIGG	1991	4	0.000000	0.129960	0.000000	0.002710	0.132660	0.000000	43576
ØST FRIGG	1991	5	0.000000	0.127430	0.000000	-0.000170	0.127260	0.000000	43576
ØST FRIGG	1991	6	0.000000	0.102640	0.000000	0.001130	0.103770	0.000000	43576
ØST FRIGG	1991	7	0.000000	0.120080	0.000000	0.000880	0.120960	0.000000	43576
ØST FRIGG	1991	8	0.000000	0.129990	0.000000	0.001400	0.131390	0.000000	43576
ØST FRIGG	1991	9	0.000000	0.031910	0.000000	0.000550	0.032460	0.000000	43576
ØST FRIGG	1991	10	0.000000	0.144460	0.000000	0.001520	0.145980	0.000000	43576
ØST FRIGG	1991	11	0.000000	0.169680	0.000000	0.001380	0.171060	0.000000	43576
ØST FRIGG	1991	12	0.000000	0.173490	0.000000	0.001820	0.175310	0.000000	43576
ØST FRIGG	1992	1	0.000000	0.144540	0.000000	0.004200	0.148750	0.000000	43576
ØST FRIGG	1992	2	0.000000	0.183400	0.000000	0.001110	0.184510	0.000000	43576
ØST FRIGG	1992	3	0.000000	0.168430	0.000000	0.001570	0.170000	0.000000	43576
ØST FRIGG	1992	4	0.000000	0.047810	0.000000	0.000420	0.048230	0.000000	43576
ØST FRIGG	1992	5	0.000000	0.027520	0.000000	0.000130	0.027650	0.000000	43576
ØST FRIGG	1992	6	0.000000	0.112150	0.000000	0.000430	0.112570	0.000000	43576
ØST FRIGG	1992	7	0.000000	0.084690	0.000000	0.000590	0.085270	0.000000	43576
ØST FRIGG	1992	8	0.000000	0.114500	0.000000	0.000730	0.115230	0.000000	43576
ØST FRIGG	1992	9	0.000000	0.043250	0.000000	0.000890	0.044130	0.000000	43576
ØST FRIGG	1992	10	0.000000	0.035100	0.000000	0.000410	0.035510	0.000000	43576
ØST FRIGG	1992	11	0.000000	0.046930	0.000000	0.000610	0.047540	0.000000	43576
ØST FRIGG	1992	12	0.000000	0.102200	0.000000	0.001190	0.103390	0.000000	43576
ØST FRIGG	1993	1	0.000000	0.134070	0.000000	0.001500	0.135570	0.000000	43576
ØST FRIGG	1993	2	0.000000	0.129280	0.000000	0.000710	0.129990	0.000000	43576
ØST FRIGG	1993	3	0.000000	0.129320	0.000000	0.000770	0.130090	0.000000	43576
ØST FRIGG	1993	4	0.000000	0.119820	0.000000	0.001660	0.121470	0.000000	43576
ØST FRIGG	1993	5	0.000000	0.135820	0.000000	0.000630	0.136450	0.000000	43576
ØST FRIGG	1993	6	0.000000	0.039600	0.000000	0.000230	0.039830	0.000000	43576
ØST FRIGG	1993	7	0.000000	0.113510	0.000000	0.001340	0.114850	0.000000	43576
ØST FRIGG	1993	8	0.000000	0.099870	0.000000	0.000940	0.100810	0.000000	43576
ØST FRIGG	1993	9	0.000000	0.033630	0.000000	0.000390	0.034020	0.000000	43576
ØST FRIGG	1993	10	0.000000	0.093560	0.000000	0.000620	0.094180	0.000000	43576
ØST FRIGG	1993	11	0.000000	0.121420	0.000000	0.000840	0.122260	0.000000	43576
ØST FRIGG	1993	12	0.000000	0.117110	0.000000	0.001040	0.118160	0.000000	43576
ØST FRIGG	1994	1	0.000000	0.135520	0.000000	0.001040	0.136550	0.000000	43576
ØST FRIGG	1994	2	0.000000	0.124270	0.000000	0.001070	0.125330	0.000000	43576
ØST FRIGG	1994	3	0.000000	0.147210	0.000000	0.001020	0.148230	0.000000	43576
ØST FRIGG	1994	4	0.000000	0.140360	0.000000	0.000900	0.141260	0.000000	43576
ØST FRIGG	1994	5	0.000000	0.115190	0.000000	0.000870	0.116070	0.000000	43576
ØST FRIGG	1994	6	0.000000	0.044130	0.000000	0.000300	0.044430	0.000000	43576
ØST FRIGG	1994	7	0.000000	0.025530	0.000000	0.000220	0.025740	0.000000	43576
ØST FRIGG	1994	8	0.000000	0.022670	0.000000	0.000080	0.022750	0.000000	43576
ØST FRIGG	1994	9	0.000000	0.082060	0.000000	0.000690	0.082750	0.000000	43576
ØST FRIGG	1994	10	0.000000	0.036230	0.000000	0.000280	0.036500	0.000000	43576
ØST FRIGG	1994	11	0.000000	0.068920	0.000000	0.000390	0.069300	0.000000	43576
ØST FRIGG	1994	12	0.000000	0.040500	0.000000	0.000100	0.040600	0.000000	43576
ØST FRIGG	1995	1	0.000000	0.051880	0.000000	0.000130	0.052020	0.000000	43576
ØST FRIGG	1995	2	0.000000	0.009000	0.000000	0.000030	0.009020	0.000000	43576
ØST FRIGG	1995	3	0.000000	0.065120	0.000000	0.000110	0.065230	0.000000	43576
ØST FRIGG	1995	4	0.000000	0.020930	0.000000	0.000070	0.021000	0.000000	43576
ØST FRIGG	1995	5	0.000000	0.006290	0.000000	0.000000	0.006290	0.000000	43576
ØST FRIGG	1995	6	0.000000	0.015540	0.000000	0.000050	0.015590	0.000000	43576
ØST FRIGG	1995	7	0.000000	0.003860	0.000000	0.000010	0.003870	0.000000	43576
ØST FRIGG	1995	8	0.000000	0.001720	0.000000	0.000000	0.001720	0.000000	43576
ØST FRIGG	1995	9	0.000000	0.032760	0.000000	0.000030	0.032790	0.000000	43576
ØST FRIGG	1995	10	0.000000	0.018900	0.000000	0.000180	0.019080	0.000000	43576
ØST FRIGG	1995	11	0.000000	0.017390	0.000000	0.000000	0.017390	0.000000	43576
ØST FRIGG	1995	12	0.000000	0.075840	0.000000	0.000040	0.075880	0.000000	43576
ØST FRIGG	1996	1	0.000000	0.055850	0.000000	0.000020	0.055870	0.000000	43576
ØST FRIGG	1996	2	0.000000	0.097490	0.000000	0.000070	0.097570	0.000000	43576
ØST FRIGG	1996	3	0.000000	0.099180	0.000000	0.000070	0.099250	0.000000	43576
ØST FRIGG	1996	4	0.000000	0.086140	0.000000	0.000010	0.086160	0.000000	43576
ØST FRIGG	1996	5	0.000000	0.062360	0.000000	0.000030	0.062390	0.000000	43576
ØST FRIGG	1996	6	0.000000	0.029310	0.000000	0.000040	0.029350	0.000000	43576
ØST FRIGG	1996	7	0.000000	0.009620	0.000000	0.000010	0.009630	0.000000	43576
ØST FRIGG	1996	8	0.000000	0.053290	0.000000	0.000020	0.053310	0.000000	43576
ØST FRIGG	1996	9	0.000000	0.024830	0.000000	0.000020	0.024850	0.000000	43576
ØST FRIGG	1996	10	0.000000	0.017210	0.000000	0.000030	0.017240	0.000000	43576
ØST FRIGG	1996	11	0.000000	0.038400	0.000000	0.000020	0.038420	0.000000	43576
ØST FRIGG	1996	12	0.000000	0.036610	0.000000	0.000010	0.036620	0.000000	43576
ØST FRIGG	1997	1	0.000000	0.026070	0.000000	0.000010	0.026080	0.000000	43576
ØST FRIGG	1997	2	0.000000	0.008900	0.000000	0.000010	0.008920	0.000000	43576
ØST FRIGG	1997	3	0.000000	0.008190	0.000000	0.000010	0.008200	0.000000	43576
ØST FRIGG	1997	4	0.000000	0.008440	0.000000	0.000000	0.008440	0.000000	43576
ØST FRIGG	1997	5	0.000000	0.006790	0.000000	0.000010	0.006790	0.000000	43576
ØST FRIGG	1997	6	0.000000	0.003490	0.000000	0.000010	0.003500	0.000000	43576
ØST FRIGG	1997	7	0.000000	0.005660	0.000000	0.000010	0.005670	0.000000	43576
ØST FRIGG	1997	8	0.000000	0.008680	0.000000	0.000020	0.008710	0.000000	43576
ØST FRIGG	1997	9	0.000000	0.006180	0.000000	0.000010	0.006190	0.000000	43576
ØST FRIGG	1997	10	0.000000	0.005160	0.000000	0.000000	0.005160	0.000000	43576
ØST FRIGG	1997	11	0.000000	0.004430	0.000000	0.000000	0.004430	0.000000	43576
ØST FRIGG	1997	12	0.000000	0.004490	0.000000	0.000000	0.004490	0.000000	43576
ØST FRIGG	1998	1	0.000000	0.000030	0.000000	0.000000	0.000030	0.000000	43576
LILLE-FRIGG	1994	5	0.025920	0.055520	0.000000	0.000380	0.081820	0.000000	43583
LILLE-FRIGG	1994	6	0.059370	0.090230	0.000000	0.000520	0.150120	0.000000	43583
LILLE-FRIGG	1994	7	0.054830	0.080370	0.000000	0.000600	0.135810	0.000000	43583
LILLE-FRIGG	1994	8	0.002420	0.012220	0.000000	0.000110	0.014750	0.000000	43583
LILLE-FRIGG	1994	9	0.051630	0.074240	0.000000	0.000360	0.126230	0.000000	43583
LILLE-FRIGG	1994	10	0.063520	0.078740	0.000000	0.000580	0.142830	0.000000	43583
LILLE-FRIGG	1994	11	0.067550	0.100870	0.000000	0.000530	0.168960	0.000000	43583
LILLE-FRIGG	1994	12	0.062670	0.092250	0.000000	0.000420	0.155340	0.000000	43583
LILLE-FRIGG	1995	1	0.053060	0.081010	0.000000	0.000340	0.134400	0.000000	43583
LILLE-FRIGG	1995	2	0.005020	0.012350	0.000000	0.000060	0.017430	0.000000	43583
LILLE-FRIGG	1995	3	0.042330	0.060760	0.000000	0.000200	0.103290	0.000000	43583
LILLE-FRIGG	1995	4	0.042010	0.065970	0.000000	0.000450	0.108430	0.000000	43583
LILLE-FRIGG	1995	5	0.031060	0.025690	0.000000	0.000020	0.056760	0.000000	43583
LILLE-FRIGG	1995	6	0.035700	0.042380	0.000000	0.000230	0.078310	0.000000	43583
LILLE-FRIGG	1995	7	0.041290	0.049630	0.000000	0.000210	0.091120	0.000000	43583
LILLE-FRIGG	1995	8	0.039160	0.063890	0.000000	0.000450	0.103500	0.000000	43583
LILLE-FRIGG	1995	9	0.041720	0.052640	0.000000	0.000210	0.094560	0.000000	43583
LILLE-FRIGG	1995	10	0.029620	0.058260	0.000000	0.000460	0.088340	0.000000	43583
LILLE-FRIGG	1995	11	0.035840	0.053340	0.000000	0.000310	0.089490	0.000000	43583
LILLE-FRIGG	1995	12	0.040010	0.043450	0.000000	0.000160	0.083630	0.000000	43583
LILLE-FRIGG	1996	1	0.034340	0.054060	0.000000	0.000280	0.088670	0.000000	43583
LILLE-FRIGG	1996	2	0.025110	0.058080	0.000000	0.000200	0.083390	0.000000	43583
LILLE-FRIGG	1996	3	0.029580	0.055660	0.000000	0.000370	0.085600	0.000000	43583
LILLE-FRIGG	1996	4	0.031640	0.054780	0.000000	0.000360	0.086780	0.000000	43583
LILLE-FRIGG	1996	5	0.036640	0.057680	0.000000	0.000540	0.094860	0.000000	43583
LILLE-FRIGG	1996	6	0.025640	0.047800	0.000000	0.001460	0.074900	0.000000	43583
LILLE-FRIGG	1996	7	0.023850	0.051900	0.000000	0.001170	0.076930	0.000000	43583
LILLE-FRIGG	1996	8	0.025610	0.029100	0.000000	0.000390	0.055100	0.000000	43583
LILLE-FRIGG	1996	9	0.021160	0.040160	0.000000	0.000630	0.061950	0.000000	43583
LILLE-FRIGG	1996	10	0.015220	0.036060	0.000000	0.000560	0.051840	0.000000	43583
LILLE-FRIGG	1996	11	0.011500	0.020190	0.000000	0.000290	0.031980	0.000000	43583
LILLE-FRIGG	1996	12	0.002770	0.026550	0.000000	0.000200	0.029520	0.000000	43583
LILLE-FRIGG	1997	1	0.015580	0.025200	0.000000	0.000130	0.040910	0.000000	43583
LILLE-FRIGG	1997	2	0.011320	0.026200	0.000000	0.000150	0.037670	0.000000	43583
LILLE-FRIGG	1997	3	0.010870	0.023460	0.000000	0.000110	0.034440	0.000000	43583
LILLE-FRIGG	1997	4	0.009890	0.018970	0.000000	0.000100	0.028950	0.000000	43583
LILLE-FRIGG	1997	5	0.014990	0.037120	0.000000	0.000400	0.052500	0.000000	43583
LILLE-FRIGG	1997	6	0.008770	0.022200	0.000000	0.000220	0.031190	0.000000	43583
LILLE-FRIGG	1997	7	0.012360	0.033060	0.000000	0.000440	0.045860	0.000000	43583
LILLE-FRIGG	1997	8	0.009110	0.020510	0.000000	0.000600	0.030220	0.000000	43583
LILLE-FRIGG	1997	9	0.014280	0.017210	0.000000	0.000580	0.032070	0.000000	43583
LILLE-FRIGG	1997	10	0.009350	0.016740	0.000000	0.000230	0.026320	0.000000	43583
LILLE-FRIGG	1997	11	0.009300	0.018950	0.000000	0.000210	0.028450	0.000000	43583
LILLE-FRIGG	1997	12	0.006360	0.011510	0.000000	0.000100	0.017970	0.000000	43583
LILLE-FRIGG	1998	1	0.010440	0.012940	0.000000	0.000110	0.023490	0.000000	43583
LILLE-FRIGG	1998	2	0.005070	0.009670	0.000000	0.000060	0.014800	0.000000	43583
LILLE-FRIGG	1998	3	0.006900	0.013580	0.000000	0.000080	0.020560	0.000000	43583
LILLE-FRIGG	1998	4	0.007990	0.014160	0.000000	0.000060	0.022210	0.000000	43583
LILLE-FRIGG	1998	5	0.005060	0.011450	0.000000	0.000110	0.016620	0.000000	43583
LILLE-FRIGG	1998	6	0.005670	0.011470	0.000000	0.000520	0.017650	0.000000	43583
LILLE-FRIGG	1998	7	0.005560	0.016890	0.000000	0.000470	0.022920	0.000000	43583
LILLE-FRIGG	1998	8	0.005970	0.016200	0.000000	0.000540	0.022710	0.000000	43583
LILLE-FRIGG	1998	9	0.004950	0.006120	0.000000	0.000290	0.011370	0.000000	43583
LILLE-FRIGG	1998	10	0.007180	0.014730	0.000000	0.000340	0.022250	0.000000	43583
LILLE-FRIGG	1998	11	0.004210	0.012020	0.000000	0.000410	0.016640	0.000000	43583
LILLE-FRIGG	1998	12	0.001660	0.009270	0.000000	0.000520	0.011450	0.000000	43583
LILLE-FRIGG	1999	1	0.001140	0.014840	0.000000	0.000130	0.016110	0.000000	43583
LILLE-FRIGG	1999	2	0.004450	0.011560	0.000000	0.000060	0.016070	0.000000	43583
LILLE-FRIGG	1999	3	0.004140	0.012540	0.000000	0.000080	0.016760	0.000000	43583
LILLE-FRIGG	1999	4	0.002510	0.001600	0.000000	0.000010	0.004130	0.000000	43583
LILLE-FRIGG	1999	5	0.000050	0.000030	0.000000	0.000000	0.000080	0.000000	43583
LILLE-FRIGG	1999	6	0.000040	0.000000	0.000000	0.000000	0.000040	0.000000	43583
LILLE-FRIGG	1999	7	0.000030	0.000000	0.000000	0.000000	0.000030	0.000000	43583
LILLE-FRIGG	1999	8	0.000040	0.000000	0.000000	0.000000	0.000040	0.000000	43583
LILLE-FRIGG	1999	9	0.000030	0.000000	0.000000	0.000000	0.000030	0.000000	43583
LILLE-FRIGG	1999	10	0.000190	0.000000	0.000000	0.000000	0.000190	0.000000	43583
LILLE-FRIGG	1999	11	0.000210	0.000000	0.000000	0.000000	0.000210	0.000000	43583
LILLE-FRIGG	1999	12	0.000180	0.000000	0.000000	0.000000	0.000180	0.000000	43583
LILLE-FRIGG	2000	1	0.000160	0.000000	0.000000	0.000000	0.000160	0.000000	43583
LILLE-FRIGG	2000	2	0.000150	0.000000	0.000000	0.000000	0.000150	0.000000	43583
LILLE-FRIGG	2000	3	0.000170	0.000000	0.000000	0.000000	0.000170	0.000000	43583
LILLE-FRIGG	2000	4	0.000070	0.000000	0.000000	0.000000	0.000070	0.000000	43583
LILLE-FRIGG	2000	5	0.000200	0.000000	0.000000	0.000000	0.000200	0.000000	43583
LILLE-FRIGG	2000	6	0.000090	0.000000	0.000000	0.000000	0.000090	0.000000	43583
LILLE-FRIGG	2000	7	0.000050	0.000000	0.000000	0.000000	0.000050	0.000000	43583
LILLE-FRIGG	2000	8	0.000080	0.000000	0.000000	0.000000	0.000080	0.000000	43583
LILLE-FRIGG	2000	9	0.000130	0.000000	0.000000	0.000000	0.000130	0.000000	43583
LILLE-FRIGG	2000	10	0.000200	0.000000	0.000000	0.000000	0.000200	0.000000	43583
LILLE-FRIGG	2000	11	0.000160	0.000000	0.000000	0.000000	0.000160	0.000000	43583
LILLE-FRIGG	2000	12	0.000190	0.000000	0.000000	0.000000	0.000190	0.000000	43583
LILLE-FRIGG	2001	1	0.000190	0.000000	0.000000	0.000000	0.000190	0.000000	43583
LILLE-FRIGG	2001	2	0.000170	0.000000	0.000000	0.000000	0.000170	0.000000	43583
LILLE-FRIGG	2001	3	0.000180	0.000000	0.000000	0.000000	0.000180	0.000000	43583
LILLE-FRIGG	2001	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43583
LILLE-FRIGG	2001	5	-0.000120	0.000000	0.000000	0.000000	-0.000120	0.000000	43583
HEIMDAL	1985	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	1986	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	1986	2	0.000000	0.007290	0.000000	0.000000	0.007290	0.000000	43590
HEIMDAL	1986	3	0.004070	0.067540	0.000000	0.000000	0.071610	0.000000	43590
HEIMDAL	1986	4	0.007130	0.030720	0.000000	0.000000	0.037850	0.000000	43590
HEIMDAL	1986	5	0.033200	0.238680	0.000000	0.000000	0.271880	0.000000	43590
HEIMDAL	1986	6	0.028490	0.167420	0.000000	0.000000	0.195910	0.000000	43590
HEIMDAL	1986	7	0.039760	0.272000	0.000000	0.000000	0.311760	0.000000	43590
HEIMDAL	1986	8	0.039560	0.236040	0.000000	0.000000	0.275590	0.000000	43590
HEIMDAL	1986	9	0.035380	0.224470	0.000000	0.000000	0.259850	0.000000	43590
HEIMDAL	1986	10	0.043950	0.291720	0.000000	0.000000	0.335670	0.000000	43590
HEIMDAL	1986	11	0.040440	0.262470	0.000000	0.000000	0.302900	0.000000	43590
HEIMDAL	1986	12	0.043560	0.285890	0.000000	0.000000	0.329460	0.000000	43590
HEIMDAL	1987	1	0.046480	0.316020	0.000000	0.000000	0.362500	0.000000	43590
HEIMDAL	1987	2	0.044330	0.285270	0.000000	0.000000	0.329600	0.000000	43590
HEIMDAL	1987	3	0.052570	0.316440	0.000000	0.000000	0.369000	0.000000	43590
HEIMDAL	1987	4	0.050560	0.311140	0.000000	0.000000	0.361700	0.000000	43590
HEIMDAL	1987	5	0.052000	0.328820	0.000000	0.000000	0.380830	0.000000	43590
HEIMDAL	1987	6	0.017330	0.296600	0.000000	0.000000	0.313930	0.000000	43590
HEIMDAL	1987	7	0.050080	0.312760	0.000000	0.000000	0.362830	0.000000	43590
HEIMDAL	1987	8	0.021210	0.123010	0.000000	0.000000	0.144230	0.000000	43590
HEIMDAL	1987	9	0.042640	0.299040	0.000000	0.000000	0.341680	0.000000	43590
HEIMDAL	1987	10	0.046850	0.302770	0.000000	0.000000	0.349610	0.000000	43590
HEIMDAL	1987	11	0.047380	0.318070	0.000000	0.000000	0.365450	0.000000	43590
HEIMDAL	1987	12	0.048400	0.314810	0.000000	0.000000	0.363200	0.000000	43590
HEIMDAL	1988	1	0.049250	0.319780	0.000000	0.000000	0.369030	0.000000	43590
HEIMDAL	1988	2	0.045580	0.270910	0.000000	0.000000	0.316490	0.000000	43590
HEIMDAL	1988	3	0.046670	0.287030	0.000000	0.000000	0.333700	0.000000	43590
HEIMDAL	1988	4	0.048280	0.293190	0.000000	0.000000	0.341470	0.000000	43590
HEIMDAL	1988	5	0.048290	0.281930	0.000000	0.000000	0.330220	0.000000	43590
HEIMDAL	1988	6	0.045870	0.293370	0.000000	0.000000	0.339240	0.000000	43590
HEIMDAL	1988	7	0.053780	0.321390	0.000000	0.000000	0.375170	0.000000	43590
HEIMDAL	1988	8	0.048630	0.304750	0.000000	0.000000	0.353380	0.000000	43590
HEIMDAL	1988	9	0.045630	0.284910	0.000000	0.000000	0.330540	0.000000	43590
HEIMDAL	1988	10	0.049810	0.309070	0.000000	0.000000	0.358880	0.000000	43590
HEIMDAL	1988	11	0.048710	0.308370	0.000000	0.000000	0.357080	0.000000	43590
HEIMDAL	1988	12	0.047720	0.320260	0.000000	0.000000	0.367980	0.000000	43590
HEIMDAL	1989	1	0.049640	0.326890	0.000000	0.000000	0.376520	0.000000	43590
HEIMDAL	1989	2	0.048100	0.301710	0.000000	0.000000	0.349800	0.000000	43590
HEIMDAL	1989	3	0.047500	0.292350	0.000000	0.000000	0.339850	0.000000	43590
HEIMDAL	1989	4	0.040520	0.252060	0.000000	0.000000	0.292580	0.000000	43590
HEIMDAL	1989	5	0.041110	0.257780	0.000000	0.000000	0.298890	0.000000	43590
HEIMDAL	1989	6	0.012960	0.240950	0.000000	0.000000	0.253910	0.000000	43590
HEIMDAL	1989	7	0.028660	0.235960	0.000000	0.000000	0.264620	0.000000	43590
HEIMDAL	1989	8	0.038950	0.243370	0.000000	0.000000	0.282320	0.000000	43590
HEIMDAL	1989	9	0.043200	0.293960	0.000000	0.000000	0.337170	0.000000	43590
HEIMDAL	1989	10	0.041830	0.283780	0.000000	0.000000	0.325620	0.000000	43590
HEIMDAL	1989	11	0.039950	0.288900	0.000000	0.000000	0.328850	0.000000	43590
HEIMDAL	1989	12	0.039170	0.314380	0.000000	0.000000	0.353550	0.000000	43590
HEIMDAL	1990	1	0.043820	0.310140	0.000000	0.000000	0.353950	0.000000	43590
HEIMDAL	1990	2	0.045820	0.282250	0.000000	0.000000	0.328070	0.000000	43590
HEIMDAL	1990	3	0.043990	0.273760	0.000000	0.000000	0.317750	0.000000	43590
HEIMDAL	1990	4	0.042630	0.260940	0.000000	0.000000	0.303570	0.000000	43590
HEIMDAL	1990	5	0.036250	0.250710	0.000000	0.000000	0.286960	0.000000	43590
HEIMDAL	1990	6	0.031000	0.210730	0.000000	0.000000	0.241730	0.000000	43590
HEIMDAL	1990	7	0.029610	0.224700	0.000000	0.000000	0.254320	0.000000	43590
HEIMDAL	1990	8	0.044850	0.288250	0.000000	0.000000	0.333090	0.000000	43590
HEIMDAL	1990	9	0.048790	0.285820	0.000000	0.000000	0.334610	0.000000	43590
HEIMDAL	1990	10	0.045030	0.318680	0.000000	0.000000	0.363710	0.000000	43590
HEIMDAL	1990	11	0.046120	0.308150	0.000000	0.000000	0.354270	0.000000	43590
HEIMDAL	1990	12	0.046640	0.320310	0.000000	0.000000	0.366950	0.000000	43590
HEIMDAL	1991	1	0.026510	0.232530	0.000000	0.000000	0.259040	0.000000	43590
HEIMDAL	1991	2	0.031290	0.295190	0.000000	0.000000	0.326480	0.000000	43590
HEIMDAL	1991	3	0.059650	0.363990	0.000000	0.000000	0.423630	0.000000	43590
HEIMDAL	1991	4	0.046820	0.306090	0.000000	0.000000	0.352910	0.000000	43590
HEIMDAL	1991	5	0.054560	0.349630	0.000000	0.000000	0.404200	0.000000	43590
HEIMDAL	1991	6	0.048360	0.290150	0.000000	0.000000	0.338510	0.000000	43590
HEIMDAL	1991	7	0.042400	0.299570	0.000000	0.000000	0.341970	0.000000	43590
HEIMDAL	1991	8	0.013330	0.069010	0.000000	0.000000	0.082330	0.000000	43590
HEIMDAL	1991	9	0.038860	0.264780	0.000000	0.000000	0.303640	0.000000	43590
HEIMDAL	1991	10	0.045570	0.321970	0.000000	0.000000	0.367540	0.000000	43590
HEIMDAL	1991	11	0.043970	0.308910	0.000000	0.000000	0.352880	0.000000	43590
HEIMDAL	1991	12	0.045310	0.314470	0.000000	0.000000	0.359770	0.000000	43590
HEIMDAL	1992	1	0.046080	0.325970	0.000000	0.000000	0.372050	0.000000	43590
HEIMDAL	1992	2	0.045600	0.293160	0.000000	0.000000	0.338750	0.000000	43590
HEIMDAL	1992	3	0.044480	0.310630	0.000000	0.000000	0.355110	0.000000	43590
HEIMDAL	1992	4	0.036430	0.264300	0.000000	0.000000	0.300730	0.000000	43590
HEIMDAL	1992	5	0.039150	0.285820	0.000000	0.000000	0.324970	0.000000	43590
HEIMDAL	1992	6	0.037180	0.264560	0.000000	0.000000	0.301740	0.000000	43590
HEIMDAL	1992	7	0.039430	0.256980	0.000000	0.000000	0.296410	0.000000	43590
HEIMDAL	1992	8	0.044260	0.303110	0.000000	0.000000	0.347370	0.000000	43590
HEIMDAL	1992	9	0.036630	0.265790	0.000000	0.000000	0.302410	0.000000	43590
HEIMDAL	1992	10	0.041670	0.312630	0.000000	0.000000	0.354300	0.000000	43590
HEIMDAL	1992	11	0.037590	0.309300	0.000000	0.000000	0.346890	0.000000	43590
HEIMDAL	1992	12	0.042860	0.316610	0.000000	0.000000	0.359460	0.000000	43590
HEIMDAL	1993	1	0.046700	0.338970	0.000000	0.000000	0.385670	0.000000	43590
HEIMDAL	1993	2	0.036620	0.298850	0.000000	0.000000	0.335470	0.000000	43590
HEIMDAL	1993	3	0.014900	0.259590	0.000000	0.000000	0.274490	0.000000	43590
HEIMDAL	1993	4	0.032230	0.249370	0.000000	0.000000	0.281590	0.000000	43590
HEIMDAL	1993	5	0.045590	0.270160	0.000000	0.000000	0.315760	0.000000	43590
HEIMDAL	1993	6	0.047520	0.297220	0.000000	0.000000	0.344740	0.000000	43590
HEIMDAL	1993	7	0.038200	0.222070	0.000000	0.000000	0.260280	0.000000	43590
HEIMDAL	1993	8	0.018330	0.164000	0.000000	0.000000	0.182330	0.000000	43590
HEIMDAL	1993	9	0.050640	0.336210	0.000000	0.000000	0.386850	0.000000	43590
HEIMDAL	1993	10	0.049660	0.355310	0.000000	0.000000	0.404970	0.000000	43590
HEIMDAL	1993	11	0.054130	0.368860	0.000000	0.000000	0.422990	0.000000	43590
HEIMDAL	1993	12	0.050310	0.344950	0.000000	0.000000	0.395260	0.000000	43590
HEIMDAL	1994	1	0.048200	0.342970	0.000000	0.000000	0.391170	0.000000	43590
HEIMDAL	1994	2	0.045280	0.312840	0.000000	0.000000	0.358120	0.000000	43590
HEIMDAL	1994	3	0.046860	0.299070	0.000000	0.000000	0.345930	0.000000	43590
HEIMDAL	1994	4	0.041270	0.303220	0.000000	0.000000	0.344490	0.000000	43590
HEIMDAL	1994	5	0.030690	0.245150	0.000000	0.000000	0.275840	0.000000	43590
HEIMDAL	1994	6	0.029810	0.249630	0.000000	0.000000	0.279440	0.000000	43590
HEIMDAL	1994	7	0.030670	0.226350	0.000000	0.000000	0.257020	0.000000	43590
HEIMDAL	1994	8	0.015240	0.143450	0.000000	0.000000	0.158690	0.000000	43590
HEIMDAL	1994	9	0.031980	0.269540	0.000000	0.000000	0.301520	0.000000	43590
HEIMDAL	1994	10	0.035910	0.295240	0.000000	0.000000	0.331150	0.000000	43590
HEIMDAL	1994	11	0.040440	0.285300	0.000000	0.000000	0.325740	0.000000	43590
HEIMDAL	1994	12	0.047960	0.321450	0.000000	0.000000	0.369410	0.000000	43590
HEIMDAL	1995	1	0.054430	0.331590	0.000000	0.000000	0.386020	0.000000	43590
HEIMDAL	1995	2	0.047630	0.274820	0.000000	0.000000	0.322450	0.000000	43590
HEIMDAL	1995	3	0.041260	0.288920	0.000000	0.000000	0.330180	0.000000	43590
HEIMDAL	1995	4	0.038300	0.289010	0.000000	0.000000	0.327310	0.000000	43590
HEIMDAL	1995	5	0.033690	0.283920	0.000000	0.000000	0.317620	0.000000	43590
HEIMDAL	1995	6	0.028630	0.238440	0.000000	0.000000	0.267070	0.000000	43590
HEIMDAL	1995	7	0.026490	0.256210	0.000000	0.000000	0.282690	0.000000	43590
HEIMDAL	1995	8	0.033170	0.295110	0.000000	0.000000	0.328280	0.000000	43590
HEIMDAL	1995	9	0.035110	0.290850	0.000000	0.000000	0.325950	0.000000	43590
HEIMDAL	1995	10	0.028850	0.167980	0.000000	0.000000	0.196830	0.000000	43590
HEIMDAL	1995	11	0.045910	0.305010	0.000000	0.000000	0.350910	0.000000	43590
HEIMDAL	1995	12	0.052380	0.412540	0.000000	0.000000	0.464920	0.000000	43590
HEIMDAL	1996	1	0.056650	0.417730	0.000000	0.000000	0.474380	0.000000	43590
HEIMDAL	1996	2	0.052470	0.358930	0.000000	0.000000	0.411400	0.000000	43590
HEIMDAL	1996	3	0.056850	0.422740	0.000000	0.000000	0.479590	0.000000	43590
HEIMDAL	1996	4	0.056240	0.399780	0.000000	0.000000	0.456020	0.000000	43590
HEIMDAL	1996	5	0.046970	0.348890	0.000000	0.000000	0.395860	0.000000	43590
HEIMDAL	1996	6	0.046580	0.376790	0.000000	0.000000	0.423370	0.000000	43590
HEIMDAL	1996	7	0.056210	0.386360	0.000000	0.000000	0.442570	0.000000	43590
HEIMDAL	1996	8	0.055860	0.396790	0.000000	0.000000	0.452640	0.000000	43590
HEIMDAL	1996	9	0.051650	0.418210	0.000000	0.000000	0.469860	0.000000	43590
HEIMDAL	1996	10	0.051200	0.378100	0.000000	0.000000	0.429300	0.000000	43590
HEIMDAL	1996	11	0.047860	0.328170	0.000000	0.000000	0.376020	0.000000	43590
HEIMDAL	1996	12	0.048780	0.337000	0.000000	0.000000	0.385780	0.000000	43590
HEIMDAL	1997	1	0.047370	0.355210	0.000000	0.000000	0.402590	0.000000	43590
HEIMDAL	1997	2	0.046170	0.303250	0.000000	0.000000	0.349420	0.000000	43590
HEIMDAL	1997	3	0.053460	0.312090	0.000000	0.000000	0.365550	0.000000	43590
HEIMDAL	1997	4	0.025760	0.154200	0.000000	0.000000	0.179960	0.000000	43590
HEIMDAL	1997	5	0.023990	0.141220	0.000000	0.000000	0.165210	0.000000	43590
HEIMDAL	1997	6	0.028210	0.179370	0.000000	0.000000	0.207580	0.000000	43590
HEIMDAL	1997	7	0.035330	0.253820	0.000000	0.000000	0.289160	0.000000	43590
HEIMDAL	1997	8	0.036470	0.242790	0.000000	0.000000	0.279270	0.000000	43590
HEIMDAL	1997	9	0.032260	0.160360	0.000000	0.000000	0.192620	0.000000	43590
HEIMDAL	1997	10	0.024650	0.194210	0.000000	0.000000	0.218850	0.000000	43590
HEIMDAL	1997	11	0.025640	0.193370	0.000000	0.000000	0.219010	0.000000	43590
HEIMDAL	1997	12	0.027750	0.222230	0.000000	0.000000	0.249970	0.000000	43590
HEIMDAL	1998	1	0.026660	0.165130	0.000000	0.000000	0.191790	0.000000	43590
HEIMDAL	1998	2	0.024420	0.152290	0.000000	0.000000	0.176710	0.000000	43590
HEIMDAL	1998	3	0.023340	0.150770	0.000000	0.000000	0.174110	0.000000	43590
HEIMDAL	1998	4	0.016250	0.095720	0.000000	0.000000	0.111970	0.000000	43590
HEIMDAL	1998	5	0.015760	0.077400	0.000000	0.000000	0.093160	0.000000	43590
HEIMDAL	1998	6	0.015050	0.097240	0.000000	0.000000	0.112290	0.000000	43590
HEIMDAL	1998	7	0.016430	0.097900	0.000000	0.000000	0.114330	0.000000	43590
HEIMDAL	1998	8	0.007170	0.055550	0.000000	0.000000	0.062710	0.000000	43590
HEIMDAL	1998	9	0.012520	0.103230	0.000000	0.000000	0.115750	0.000000	43590
HEIMDAL	1998	10	0.014880	0.093380	0.000000	0.000000	0.108260	0.000000	43590
HEIMDAL	1998	11	0.016050	0.111660	0.000000	0.000000	0.127710	0.000000	43590
HEIMDAL	1998	12	0.015560	0.126060	0.000000	0.000000	0.141620	0.000000	43590
HEIMDAL	1999	1	0.015130	0.123300	0.000000	0.000000	0.138430	0.000000	43590
HEIMDAL	1999	2	0.012910	0.081690	0.000000	0.000000	0.094600	0.000000	43590
HEIMDAL	1999	3	0.013390	0.093490	0.000000	0.000000	0.106880	0.000000	43590
HEIMDAL	1999	4	0.014210	0.105590	0.000000	0.000000	0.119800	0.000000	43590
HEIMDAL	1999	5	0.015240	0.104570	0.000000	0.000000	0.119810	0.000000	43590
HEIMDAL	1999	6	0.013470	0.078940	0.000000	0.000000	0.092410	0.000000	43590
HEIMDAL	1999	7	0.011640	0.079670	0.000000	0.000000	0.091320	0.000000	43590
HEIMDAL	1999	8	0.011730	0.080570	0.000000	0.000000	0.092300	0.000000	43590
HEIMDAL	1999	9	0.010180	0.072350	0.000000	0.000000	0.082530	0.000000	43590
HEIMDAL	1999	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	1999	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	1999	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2000	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2001	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2001	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2001	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2001	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2001	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2001	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2001	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000010	43590
HEIMDAL	2001	8	0.000000	0.016750	0.000000	0.000000	0.016750	0.000000	43590
HEIMDAL	2001	9	0.000000	0.046790	0.000000	0.000000	0.046790	0.000010	43590
HEIMDAL	2001	10	0.000000	0.064570	0.000000	0.000000	0.064570	0.000000	43590
HEIMDAL	2001	11	0.007540	0.062190	0.000000	0.000000	0.069730	0.000000	43590
HEIMDAL	2001	12	0.005140	0.037470	0.000000	0.000000	0.042610	0.000000	43590
HEIMDAL	2002	1	0.007020	0.035570	0.000000	0.000000	0.042600	0.000000	43590
HEIMDAL	2002	2	0.008990	0.052860	0.000000	0.000000	0.061860	0.000000	43590
HEIMDAL	2002	3	0.014470	0.073460	0.000000	0.000000	0.087930	0.000000	43590
HEIMDAL	2002	4	0.012460	0.059240	0.000000	0.000000	0.071700	0.000000	43590
HEIMDAL	2002	5	0.010610	0.054230	0.000000	0.000000	0.064850	0.000000	43590
HEIMDAL	2002	6	0.008300	0.055260	0.000000	0.000000	0.063560	0.000000	43590
HEIMDAL	2002	7	0.010220	0.049450	0.000000	0.000000	0.059670	0.000000	43590
HEIMDAL	2002	8	0.005000	0.024510	0.000000	0.000000	0.029510	0.000000	43590
HEIMDAL	2002	9	0.005110	0.039690	0.000000	0.000000	0.044800	0.000000	43590
HEIMDAL	2002	10	0.006450	0.030990	0.000000	0.000000	0.037440	0.000000	43590
HEIMDAL	2002	11	0.004790	0.032600	0.000000	0.000000	0.037390	0.000000	43590
HEIMDAL	2002	12	0.005990	0.039010	0.000000	0.000000	0.045000	0.000000	43590
HEIMDAL	2003	1	0.005590	0.042630	0.000000	0.000000	0.048220	0.000000	43590
HEIMDAL	2003	2	0.007750	0.056830	0.000000	0.000000	0.064580	0.000000	43590
HEIMDAL	2003	3	0.003920	0.025300	0.000000	0.000000	0.029220	0.000000	43590
HEIMDAL	2003	4	0.006480	0.046710	0.000000	0.000000	0.053180	0.000000	43590
HEIMDAL	2003	5	0.006680	0.048320	0.000000	0.000000	0.055000	0.000000	43590
HEIMDAL	2003	6	0.004690	0.025420	0.000000	0.000000	0.030110	0.000000	43590
HEIMDAL	2003	7	0.002070	0.013610	0.000000	0.000000	0.015680	0.000000	43590
HEIMDAL	2003	8	0.003000	0.022450	0.000000	0.000000	0.025450	0.000000	43590
HEIMDAL	2003	9	0.003270	0.018900	0.000000	0.000000	0.022160	0.000000	43590
HEIMDAL	2003	10	0.002090	0.013000	0.000000	0.000000	0.015090	0.000000	43590
HEIMDAL	2003	11	0.002980	0.026200	0.000000	0.000000	0.029190	0.000000	43590
HEIMDAL	2003	12	0.007930	0.056780	0.000000	0.000000	0.064700	0.000000	43590
HEIMDAL	2004	1	0.008160	0.054140	0.000000	0.000000	0.062300	0.000000	43590
HEIMDAL	2004	2	0.007000	0.046140	0.000000	0.000000	0.053150	0.000000	43590
HEIMDAL	2004	3	0.004880	0.023840	0.000000	0.000000	0.028720	0.000000	43590
HEIMDAL	2004	4	0.001910	0.011860	0.000000	0.000000	0.013770	0.000000	43590
HEIMDAL	2004	5	0.003970	0.031800	0.000000	0.000000	0.035780	0.000000	43590
HEIMDAL	2004	6	0.005400	0.031390	0.000000	0.000000	0.036790	0.000000	43590
HEIMDAL	2004	7	0.003120	0.017510	0.000000	0.000000	0.020630	0.000000	43590
HEIMDAL	2004	8	0.001900	0.015530	0.000000	0.000000	0.017430	0.000000	43590
HEIMDAL	2004	9	0.001450	0.013150	0.000000	0.000000	0.014600	0.000000	43590
HEIMDAL	2004	10	0.003300	0.021940	0.000000	0.000000	0.025250	0.000000	43590
HEIMDAL	2004	11	0.005150	0.035150	0.000000	0.000000	0.040300	0.000000	43590
HEIMDAL	2004	12	0.004780	0.034360	0.000000	0.000000	0.039140	0.000000	43590
HEIMDAL	2005	1	0.005700	0.036650	0.000000	0.000000	0.042350	0.000000	43590
HEIMDAL	2005	2	0.006510	0.044050	0.000000	0.000000	0.050560	0.000000	43590
HEIMDAL	2005	3	0.007240	0.043260	0.000000	0.000000	0.050490	0.000000	43590
HEIMDAL	2005	4	0.005640	0.033990	0.000000	0.000000	0.039630	0.000000	43590
HEIMDAL	2005	5	0.004300	0.030320	0.000000	0.000000	0.034620	0.000000	43590
HEIMDAL	2005	6	0.001290	0.005040	0.000000	0.000000	0.006320	0.000000	43590
HEIMDAL	2005	7	0.002200	0.021320	0.000000	0.000000	0.023510	0.000000	43590
HEIMDAL	2005	8	0.003840	0.025810	0.000000	0.000000	0.029640	0.000000	43590
HEIMDAL	2005	9	0.003160	0.020570	0.000000	0.000000	0.023730	0.000000	43590
HEIMDAL	2005	10	0.002060	0.010140	0.000000	0.000000	0.012210	0.000000	43590
HEIMDAL	2005	11	0.001970	0.013430	0.000000	0.000000	0.015400	0.000000	43590
HEIMDAL	2005	12	0.001530	0.007310	0.000000	0.000000	0.008830	0.000000	43590
HEIMDAL	2006	1	0.000510	0.006020	0.000000	0.000000	0.006530	0.000000	43590
HEIMDAL	2006	2	0.000720	0.005550	0.000000	0.000000	0.006260	0.000000	43590
HEIMDAL	2006	3	0.000670	0.004510	0.000000	0.000000	0.005180	0.000000	43590
HEIMDAL	2006	4	0.001500	0.008080	0.000000	0.000000	0.009580	0.000000	43590
HEIMDAL	2006	5	0.000520	0.007710	0.000000	0.000000	0.008230	0.000000	43590
HEIMDAL	2006	6	0.001360	0.009930	0.000000	0.000000	0.011300	0.000000	43590
HEIMDAL	2006	7	0.001950	0.017600	0.000000	0.000000	0.019550	0.000000	43590
HEIMDAL	2006	8	0.001880	0.012640	0.000000	0.000000	0.014520	0.000000	43590
HEIMDAL	2006	9	0.003130	0.017030	0.000000	0.000000	0.020160	0.000000	43590
HEIMDAL	2006	10	0.003180	0.025230	0.000000	0.000000	0.028400	0.000000	43590
HEIMDAL	2006	11	0.003790	0.024480	0.000000	0.000000	0.028260	0.000000	43590
HEIMDAL	2006	12	0.003590	0.018960	0.000000	0.000000	0.022550	0.000000	43590
HEIMDAL	2007	1	0.002890	0.015270	0.000000	0.000000	0.018150	0.000000	43590
HEIMDAL	2007	2	0.002970	0.019900	0.000000	0.000000	0.022870	0.000000	43590
HEIMDAL	2007	3	0.002960	0.005030	0.000000	0.000000	0.007990	0.000000	43590
HEIMDAL	2007	4	0.002440	0.007780	0.000000	0.000000	0.010220	0.000000	43590
HEIMDAL	2007	5	0.001180	0.008900	0.000000	0.000000	0.010080	0.000000	43590
HEIMDAL	2007	6	0.000980	0.008640	0.000000	0.000000	0.009620	0.000000	43590
HEIMDAL	2007	7	0.001510	0.008040	0.000000	0.000000	0.009550	0.000000	43590
HEIMDAL	2007	8	0.001830	0.013500	0.000000	0.000000	0.015330	0.000000	43590
HEIMDAL	2007	9	0.001920	0.014220	0.000000	0.000000	0.016140	0.000000	43590
HEIMDAL	2007	10	0.002560	0.019060	0.000000	0.000000	0.021620	0.000000	43590
HEIMDAL	2007	11	0.002200	0.014770	0.000000	0.000000	0.016970	0.000000	43590
HEIMDAL	2007	12	0.002180	0.013870	0.000000	0.000000	0.016050	0.000000	43590
HEIMDAL	2008	1	0.001650	0.012100	0.000000	0.000000	0.013750	0.000000	43590
HEIMDAL	2008	2	0.002130	0.015330	0.000000	0.000000	0.017450	0.000000	43590
HEIMDAL	2008	3	0.001550	0.011110	0.000000	0.000000	0.012670	0.000000	43590
HEIMDAL	2008	4	0.001680	0.013650	0.000000	0.000000	0.015330	0.000000	43590
HEIMDAL	2008	5	0.002030	0.016040	0.000000	0.000000	0.018070	0.000000	43590
HEIMDAL	2008	6	0.001880	0.016770	0.000000	0.000000	0.018660	0.000000	43590
HEIMDAL	2008	7	0.001980	0.017000	0.000000	0.000000	0.018980	0.000000	43590
HEIMDAL	2008	8	0.001260	0.004270	0.000000	0.000000	0.005530	0.000000	43590
HEIMDAL	2008	9	0.001950	0.013520	0.000000	0.000000	0.015460	0.000000	43590
HEIMDAL	2008	10	0.002000	0.016120	0.000000	0.000000	0.018120	0.000000	43590
HEIMDAL	2008	11	0.001880	0.016560	0.000000	0.000000	0.018440	0.000000	43590
HEIMDAL	2008	12	0.001920	0.017340	0.000000	0.000000	0.019260	0.000000	43590
HEIMDAL	2009	1	0.002140	0.018040	0.000000	0.000000	0.020180	0.000000	43590
HEIMDAL	2009	2	0.001760	0.014600	0.000000	0.000000	0.016370	0.000000	43590
HEIMDAL	2009	3	0.002190	0.017860	0.000000	0.000000	0.020050	0.000000	43590
HEIMDAL	2009	4	0.002470	0.017030	0.000000	0.000000	0.019500	0.000000	43590
HEIMDAL	2009	5	0.002540	0.018310	0.000000	0.000000	0.020850	0.000000	43590
HEIMDAL	2009	6	0.001490	0.009840	0.000000	0.000000	0.011330	0.000000	43590
HEIMDAL	2009	7	0.002250	0.017760	0.000000	0.000000	0.020020	0.000000	43590
HEIMDAL	2009	8	0.001950	0.015780	0.000000	0.000000	0.017730	0.000000	43590
HEIMDAL	2009	9	0.002500	0.017540	0.000000	0.000000	0.020050	0.000000	43590
HEIMDAL	2009	10	0.002470	0.017940	0.000000	0.000000	0.020410	0.000000	43590
HEIMDAL	2009	11	0.001650	0.017320	0.000000	0.000000	0.018960	0.000000	43590
HEIMDAL	2009	12	0.002130	0.017490	0.000000	0.000000	0.019620	0.000000	43590
HEIMDAL	2010	1	0.002090	0.016850	0.000000	0.000000	0.018940	0.000000	43590
HEIMDAL	2010	2	0.001950	0.013970	0.000000	0.000000	0.015910	0.000000	43590
HEIMDAL	2010	3	0.001890	0.015290	0.000000	0.000000	0.017180	0.000000	43590
HEIMDAL	2010	4	0.001780	0.013370	0.000000	0.000000	0.015160	0.000000	43590
HEIMDAL	2010	5	0.001860	0.014800	0.000000	0.000000	0.016660	0.000000	43590
HEIMDAL	2010	6	0.001620	0.016190	0.000000	0.000000	0.017810	0.000000	43590
HEIMDAL	2010	7	0.002240	0.016360	0.000000	0.000000	0.018600	0.000000	43590
HEIMDAL	2010	8	0.002310	0.017080	0.000000	0.000000	0.019390	0.000000	43590
HEIMDAL	2010	9	0.002100	0.016640	0.000000	0.000000	0.018740	0.000000	43590
HEIMDAL	2010	10	0.001460	0.012700	0.000000	0.000000	0.014160	0.000000	43590
HEIMDAL	2010	11	0.003070	0.016810	0.000000	0.000000	0.019880	0.000000	43590
HEIMDAL	2010	12	0.002620	0.017050	0.000000	0.000000	0.019670	0.000000	43590
HEIMDAL	2011	1	0.002770	0.016790	0.000000	0.000000	0.019560	0.000000	43590
HEIMDAL	2011	2	0.001110	0.004920	0.000000	0.000000	0.006030	0.000000	43590
HEIMDAL	2011	3	0.001390	0.013170	0.000000	0.000000	0.014560	0.000000	43590
HEIMDAL	2011	4	0.001540	0.014430	0.000000	0.000000	0.015970	0.000000	43590
HEIMDAL	2011	5	0.001880	0.008500	0.000000	0.000000	0.010380	0.000000	43590
HEIMDAL	2011	6	0.000330	0.007800	0.000000	0.000000	0.008130	0.000000	43590
HEIMDAL	2011	7	0.002620	0.013840	0.000000	0.000000	0.016450	0.000000	43590
HEIMDAL	2011	8	0.001340	0.013560	0.000000	0.000000	0.014900	0.000000	43590
HEIMDAL	2011	9	0.001330	0.010560	0.000000	0.000000	0.011890	0.000000	43590
HEIMDAL	2011	10	0.002030	0.012760	0.000000	0.000000	0.014790	0.000000	43590
HEIMDAL	2011	11	0.001110	0.005740	0.000000	0.000000	0.006850	0.000000	43590
HEIMDAL	2011	12	0.000320	0.000000	0.000000	0.000000	0.000320	0.000000	43590
HEIMDAL	2012	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2012	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2012	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2012	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2012	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2012	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2012	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2012	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2012	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2012	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2012	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2012	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2013	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
HEIMDAL	2013	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43590
FRØY	1995	5	0.012220	0.001850	0.000000	0.000000	0.014070	0.000000	43597
FRØY	1995	6	0.041550	0.006740	0.000000	0.000170	0.048460	0.000000	43597
FRØY	1995	7	0.119490	0.017310	0.000000	0.000580	0.137380	0.000000	43597
FRØY	1995	8	0.147910	0.028570	0.000000	0.001190	0.177670	0.000000	43597
FRØY	1995	9	0.110110	0.018270	0.000000	0.000390	0.128770	0.000000	43597
FRØY	1995	10	0.166530	0.030440	0.000000	0.001290	0.198260	0.000000	43597
FRØY	1995	11	0.127870	0.026440	0.000000	0.000840	0.155140	0.000000	43597
FRØY	1995	12	0.145640	0.024010	0.000000	0.000490	0.170140	0.000000	43597
FRØY	1996	1	0.135540	0.022520	0.000000	0.001050	0.159110	0.000000	43597
FRØY	1996	2	0.157220	0.030180	0.000000	0.000680	0.188080	0.000000	43597
FRØY	1996	3	0.155900	0.028480	0.000000	0.001070	0.185450	0.000000	43597
FRØY	1996	4	0.173750	0.031530	0.000000	0.001360	0.206630	0.000000	43597
FRØY	1996	5	0.172380	0.031720	0.000000	0.001940	0.206050	0.000000	43597
FRØY	1996	6	0.125270	0.023950	0.000000	0.003820	0.153050	0.000000	43597
FRØY	1996	7	0.172670	0.030080	0.000000	0.004170	0.206920	0.000000	43597
FRØY	1996	8	0.145540	0.029620	0.000000	0.001620	0.176790	0.000000	43597
FRØY	1996	9	0.126510	0.024930	0.000000	0.001650	0.153100	0.000000	43597
FRØY	1996	10	0.153460	0.031130	0.000000	0.002600	0.187180	0.000000	43597
FRØY	1996	11	0.118220	0.030150	0.000000	0.001450	0.149820	0.000000	43597
FRØY	1996	12	0.141910	0.031210	0.000000	0.001410	0.174530	0.000000	43597
FRØY	1997	1	0.130570	0.024840	0.000000	0.000730	0.156140	0.000000	43597
FRØY	1997	2	0.132110	0.027190	0.000000	0.000860	0.160160	0.000000	43597
FRØY	1997	3	0.136610	0.027360	0.000000	0.000730	0.164700	0.000000	43597
FRØY	1997	4	0.126560	0.024410	0.000000	0.000770	0.151740	0.000000	43597
FRØY	1997	5	0.150610	0.034500	0.000000	0.002040	0.187150	0.000000	43597
FRØY	1997	6	0.063530	0.013080	0.000000	0.000870	0.077470	0.000000	43597
FRØY	1997	7	0.136990	0.023460	0.000000	0.001700	0.162150	0.000000	43597
FRØY	1997	8	0.112490	0.026230	0.000000	0.003690	0.142410	0.000000	43597
FRØY	1997	9	0.112710	0.023900	0.000000	0.002700	0.139310	0.000000	43597
FRØY	1997	10	0.125910	0.022550	0.000000	0.001310	0.149770	0.000000	43597
FRØY	1997	11	0.081380	0.024210	0.000000	0.001180	0.106760	0.000000	43597
FRØY	1997	12	0.086550	0.017050	0.000000	0.000740	0.104350	0.000000	43597
FRØY	1998	1	0.087300	0.020260	0.000000	0.000720	0.108270	0.000000	43597
FRØY	1998	2	0.067020	0.016650	0.000000	0.000520	0.084200	0.000000	43597
FRØY	1998	3	0.068250	0.016360	0.000000	0.000630	0.085230	0.000000	43597
FRØY	1998	4	0.068460	0.016220	0.000000	0.000520	0.085200	0.000000	43597
FRØY	1998	5	0.049490	0.013170	0.000000	0.000540	0.063190	0.000000	43597
FRØY	1998	6	0.052210	0.011320	0.000000	0.002060	0.065590	0.000000	43597
FRØY	1998	7	0.068170	0.016710	0.000000	0.001930	0.086810	0.000000	43597
FRØY	1998	8	0.070360	0.020570	0.000000	0.003190	0.094110	0.000000	43597
FRØY	1998	9	0.046330	0.006990	0.000000	0.001660	0.054990	0.000000	43597
FRØY	1998	10	0.048700	0.011140	0.000000	0.001230	0.061080	0.000000	43597
FRØY	1998	11	0.045630	0.010170	0.000000	0.001380	0.057170	0.000000	43597
FRØY	1998	12	0.043890	0.009560	0.000000	0.002200	0.055650	0.000000	43597
FRØY	1999	1	0.051890	0.020750	0.000000	0.000730	0.073370	0.000000	43597
FRØY	1999	2	0.048480	0.020840	0.000000	0.000330	0.069650	0.000000	43597
FRØY	1999	3	0.048300	0.026790	0.000000	0.000490	0.075580	0.000000	43597
FRØY	1999	4	0.040170	0.023190	0.000000	0.000890	0.064240	0.000000	43597
FRØY	1999	5	0.051070	0.033430	0.000000	0.002870	0.087370	0.000000	43597
FRØY	1999	6	0.029950	0.018840	0.000000	0.004740	0.053530	0.000000	43597
FRØY	1999	7	0.052760	0.023710	0.000000	0.003680	0.080150	0.000000	43597
FRØY	1999	8	0.039150	0.023170	0.000000	0.004230	0.066550	0.000000	43597
FRØY	1999	9	0.033560	0.025840	0.000000	0.005120	0.064530	0.000000	43597
FRØY	1999	10	0.032000	-0.008150	0.000000	0.003810	0.027660	0.000000	43597
FRØY	1999	11	0.032560	0.014970	0.000000	0.000170	0.047690	0.000000	43597
FRØY	1999	12	0.033580	0.025510	0.000000	0.000240	0.059330	0.000000	43597
FRØY	2000	1	0.029200	0.027480	0.000000	0.000160	0.056840	0.027480	43597
FRØY	2000	2	0.027400	0.027320	0.000000	0.000230	0.054940	0.022900	43597
FRØY	2000	3	0.026350	0.031630	0.000000	0.000210	0.058190	0.000750	43597
FRØY	2000	4	0.025070	0.028020	0.000000	0.000220	0.053310	0.000000	43597
FRØY	2000	5	0.026280	0.030030	0.000000	0.000140	0.056450	0.000000	43597
FRØY	2000	6	0.024240	0.034350	0.000000	0.000300	0.058890	0.000000	43597
FRØY	2000	7	0.022480	0.031640	0.000000	0.002300	0.056420	0.000000	43597
FRØY	2000	8	0.020010	0.042780	0.000000	0.005240	0.068030	0.000000	43597
FRØY	2000	9	0.017050	0.028300	0.000000	0.004800	0.050150	0.000000	43597
FRØY	2000	10	0.015970	0.026400	0.000000	0.000560	0.042920	0.001600	43597
FRØY	2000	11	0.014960	0.025900	0.000000	0.000460	0.041320	0.001790	43597
FRØY	2000	12	0.013620	0.024340	0.000000	0.001120	0.039070	0.001040	43597
FRØY	2001	1	0.013490	0.027260	0.000000	0.000260	0.041010	0.001310	43597
FRØY	2001	2	0.009560	0.015900	0.000000	0.000120	0.025570	0.000530	43597
FRØY	2001	3	0.012230	-0.001180	0.000000	0.000240	0.011290	0.000300	43597
FRØY	2001	4	-0.000040	-0.000340	0.000000	-0.000040	-0.000420	0.000000	43597
FRØY	2001	5	0.000890	0.000000	0.000000	0.000000	0.000890	0.000000	43597
JOTUN	1999	10	0.043090	0.000000	0.000000	0.000000	0.043090	0.000000	43604
JOTUN	1999	11	0.374680	0.004030	0.000000	0.000000	0.378720	0.000000	43604
JOTUN	1999	12	0.445330	0.008400	0.000000	0.000000	0.453730	0.000000	43604
JOTUN	2000	1	0.454600	0.013540	0.000000	0.000000	0.468140	0.009520	43604
JOTUN	2000	2	0.452750	0.023540	0.000000	0.000000	0.476280	0.011800	43604
JOTUN	2000	3	0.542120	0.020100	0.000000	0.000000	0.562220	0.018240	43604
JOTUN	2000	4	0.564620	0.025230	0.000000	0.000000	0.589840	0.028640	43604
JOTUN	2000	5	0.586420	0.023380	0.000000	0.000000	0.609800	0.038150	43604
JOTUN	2000	6	0.613010	0.025910	0.000000	0.000000	0.638920	0.049320	43604
JOTUN	2000	7	0.629840	0.026750	0.000000	0.000000	0.656580	0.064150	43604
JOTUN	2000	8	0.695820	0.029300	0.000000	0.000000	0.725130	0.079580	43604
JOTUN	2000	9	0.614200	0.025930	0.000000	0.000000	0.640140	0.094280	43604
JOTUN	2000	10	0.686690	0.030810	0.000000	0.000000	0.717490	0.119100	43604
JOTUN	2000	11	0.668430	0.036190	0.000000	0.000000	0.704620	0.133980	43604
JOTUN	2000	12	0.657220	0.032150	0.000000	0.000000	0.689370	0.174660	43604
JOTUN	2001	1	0.648760	0.034330	0.000000	0.000000	0.683090	0.219340	43604
JOTUN	2001	2	0.556370	0.022500	0.000000	0.000000	0.578870	0.236530	43604
JOTUN	2001	3	0.597710	0.022570	0.000000	0.000000	0.620270	0.288210	43604
JOTUN	2001	4	0.550940	0.020570	0.000000	0.000000	0.571510	0.316800	43604
JOTUN	2001	5	0.520960	0.018460	0.000000	0.000000	0.539420	0.345720	43604
JOTUN	2001	6	0.424970	0.015330	0.000000	0.000000	0.440300	0.335760	43604
JOTUN	2001	7	0.450200	0.016150	0.000000	0.000000	0.466350	0.394010	43604
JOTUN	2001	8	0.410760	0.013890	0.000000	0.000000	0.424640	0.417350	43604
JOTUN	2001	9	0.361640	0.011800	0.000000	0.000000	0.373440	0.439890	43604
JOTUN	2001	10	0.347170	0.011110	0.000000	0.000000	0.358290	0.476210	43604
JOTUN	2001	11	0.306980	0.009360	0.000000	0.000000	0.316340	0.501190	43604
JOTUN	2001	12	0.303350	0.009620	0.000000	0.000000	0.312970	0.536650	43604
JOTUN	2002	1	0.277260	0.008030	0.000000	0.000000	0.285300	0.527170	43604
JOTUN	2002	2	0.241870	0.007000	0.000000	0.000000	0.248870	0.495690	43604
JOTUN	2002	3	0.248780	0.007320	0.000000	0.000000	0.256100	0.549440	43604
JOTUN	2002	4	0.232720	0.006540	0.000000	0.000000	0.239260	0.563940	43604
JOTUN	2002	5	0.223960	0.006050	0.000000	0.000000	0.230000	0.573780	43604
JOTUN	2002	6	0.192670	0.005260	0.000000	0.000000	0.197930	0.544340	43604
JOTUN	2002	7	0.192980	0.004620	0.000000	0.000000	0.197590	0.533820	43604
JOTUN	2002	8	0.222130	0.005620	0.000000	0.000000	0.227750	0.587030	43604
JOTUN	2002	9	0.198050	0.005350	0.000000	0.000000	0.203400	0.602080	43604
JOTUN	2002	10	0.197770	0.004550	0.000000	0.000000	0.202320	0.623210	43604
JOTUN	2002	11	0.180180	0.004240	0.000000	0.000000	0.184410	0.593930	43604
JOTUN	2002	12	0.178700	0.003810	0.000000	0.000000	0.182500	0.645460	43604
JOTUN	2003	1	0.202030	0.004300	0.000000	0.000000	0.206330	0.642490	43604
JOTUN	2003	2	0.200890	0.004530	0.000000	0.000000	0.205410	0.568950	43604
JOTUN	2003	3	0.245920	0.005610	0.000000	0.000000	0.251530	0.586420	43604
JOTUN	2003	4	0.244390	0.005680	0.000000	0.000000	0.250070	0.557760	43604
JOTUN	2003	5	0.217840	0.004850	0.000000	0.000000	0.222680	0.606610	43604
JOTUN	2003	6	0.212770	0.004880	0.000000	0.000000	0.217650	0.600570	43604
JOTUN	2003	7	0.199440	0.004450	0.000000	0.000000	0.203890	0.645560	43604
JOTUN	2003	8	0.181220	0.003390	0.000000	0.000000	0.184610	0.671640	43604
JOTUN	2003	9	0.113140	0.002040	0.000000	0.000000	0.115180	0.464200	43604
JOTUN	2003	10	0.136180	0.002350	0.000000	0.000000	0.138530	0.588990	43604
JOTUN	2003	11	0.139370	0.003330	0.000000	0.000000	0.142700	0.707690	43604
JOTUN	2003	12	0.141440	0.002990	0.000000	0.000000	0.144430	0.760580	43604
JOTUN	2004	1	0.130590	0.002200	0.000000	0.000000	0.132790	0.760900	43604
JOTUN	2004	2	0.118850	0.002670	0.000000	0.000000	0.121510	0.698470	43604
JOTUN	2004	3	0.115580	0.003690	0.000000	0.000000	0.119270	0.727510	43604
JOTUN	2004	4	0.102140	0.006020	0.000000	0.000000	0.108160	0.676060	43604
JOTUN	2004	5	0.100320	0.006140	0.000000	0.000000	0.106460	0.668570	43604
JOTUN	2004	6	0.088240	0.004270	0.000000	0.000000	0.092510	0.641790	43604
JOTUN	2004	7	0.086590	0.004910	0.000000	0.000000	0.091500	0.679380	43604
JOTUN	2004	8	0.080590	0.002340	0.000000	0.000000	0.082920	0.667070	43604
JOTUN	2004	9	0.082140	0.000000	0.000000	0.000000	0.082140	0.678540	43604
JOTUN	2004	10	0.081850	0.000000	0.000000	0.000000	0.081850	0.687360	43604
JOTUN	2004	11	0.037630	0.000610	0.000000	0.000000	0.038240	0.313280	43604
JOTUN	2004	12	0.078520	0.003760	0.000000	0.000000	0.082280	0.706460	43604
JOTUN	2005	1	0.079060	0.003950	0.000000	0.000000	0.083010	0.715640	43604
JOTUN	2005	2	0.067280	0.003310	0.000000	0.000000	0.070580	0.640270	43604
JOTUN	2005	3	0.075540	0.003830	0.000000	0.000000	0.079370	0.708570	43604
JOTUN	2005	4	0.065570	0.003710	0.000000	0.000000	0.069280	0.748310	43604
JOTUN	2005	5	0.062350	0.004040	0.000000	0.000000	0.066390	0.654160	43604
JOTUN	2005	6	0.062740	0.004100	0.000000	0.000000	0.066850	0.664340	43604
JOTUN	2005	7	0.065220	0.004970	0.000000	0.000000	0.070190	0.727850	43604
JOTUN	2005	8	0.069300	0.005300	0.000000	0.000000	0.074600	0.740550	43604
JOTUN	2005	9	0.030180	0.002090	0.000000	0.000000	0.032270	0.339600	43604
JOTUN	2005	10	0.065800	0.005110	0.000000	0.000000	0.070910	0.738760	43604
JOTUN	2005	11	0.060090	0.005200	0.000000	0.000000	0.065290	0.692270	43604
JOTUN	2005	12	0.061180	0.005020	0.000000	0.000000	0.066200	0.731100	43604
JOTUN	2006	1	0.061590	0.005490	0.000000	0.000000	0.067080	0.713990	43604
JOTUN	2006	2	0.058990	0.004490	0.000000	0.000000	0.063470	0.641260	43604
JOTUN	2006	3	0.063080	0.005560	0.000000	0.000000	0.068640	0.707060	43604
JOTUN	2006	4	0.057560	0.003590	0.000000	0.000000	0.061150	0.671900	43604
JOTUN	2006	5	0.057370	0.004280	0.000000	0.000000	0.061650	0.680950	43604
JOTUN	2006	6	0.041560	0.002460	0.000000	0.000000	0.044020	0.533200	43604
JOTUN	2006	7	0.057710	0.002820	0.000000	0.000000	0.060530	0.665630	43604
JOTUN	2006	8	0.052170	0.002730	0.000000	0.000000	0.054900	0.665270	43604
JOTUN	2006	9	0.050570	0.002950	0.000000	0.000000	0.053520	0.624370	43604
JOTUN	2006	10	0.046360	0.003060	0.000000	0.000000	0.049420	0.582930	43604
JOTUN	2006	11	0.060360	0.006990	0.000000	0.000000	0.067360	0.540460	43604
JOTUN	2006	12	0.058130	0.006770	0.000000	0.000000	0.064900	0.551220	43604
JOTUN	2007	1	0.050170	0.004610	0.000000	0.000000	0.054790	0.548080	43604
JOTUN	2007	2	0.046150	0.004720	0.000000	0.000000	0.050870	0.539810	43604
JOTUN	2007	3	0.049870	0.004760	0.000000	0.000000	0.054630	0.578870	43604
JOTUN	2007	4	0.042300	0.003930	0.000000	0.000000	0.046230	0.556220	43604
JOTUN	2007	5	0.042650	0.003550	0.000000	0.000000	0.046210	0.577320	43604
JOTUN	2007	6	0.043030	0.002950	0.000000	0.000000	0.045980	0.546850	43604
JOTUN	2007	7	0.042690	0.003590	0.000000	0.000000	0.046290	0.557340	43604
JOTUN	2007	8	0.039920	0.003470	0.000000	0.000000	0.043380	0.581150	43604
JOTUN	2007	9	0.039810	0.003660	0.000000	0.000000	0.043480	0.541900	43604
JOTUN	2007	10	0.039610	0.003090	0.000000	0.000000	0.042700	0.544340	43604
JOTUN	2007	11	0.039640	0.003140	0.000000	0.000000	0.042780	0.551740	43604
JOTUN	2007	12	0.038840	0.003180	0.000000	0.000000	0.042020	0.569580	43604
JOTUN	2008	1	0.033800	0.002820	0.000000	0.000000	0.036620	0.500540	43604
JOTUN	2008	2	0.032720	0.002530	0.000000	0.000000	0.035250	0.495390	43604
JOTUN	2008	3	0.036410	0.002960	0.000000	0.000000	0.039360	0.551200	43604
JOTUN	2008	4	0.034630	0.002450	0.000000	0.000000	0.037080	0.537060	43604
JOTUN	2008	5	0.032310	0.002260	0.000000	0.000000	0.034570	0.526140	43604
JOTUN	2008	6	0.020730	0.000840	0.000000	0.000000	0.021570	0.336780	43604
JOTUN	2008	7	0.033120	0.002010	0.000000	0.000000	0.035130	0.548960	43604
JOTUN	2008	8	0.033410	0.000110	0.000000	0.000000	0.033520	0.525590	43604
JOTUN	2008	9	0.030880	0.001960	0.000000	0.000000	0.032840	0.500460	43604
JOTUN	2008	10	0.032970	0.001180	0.000000	0.000000	0.034150	0.521520	43604
JOTUN	2008	11	0.030990	0.001410	0.000000	0.000000	0.032400	0.505620	43604
JOTUN	2008	12	0.032110	0.001890	0.000000	0.000000	0.034000	0.535340	43604
JOTUN	2009	1	0.031210	0.002110	0.000000	0.000000	0.033320	0.545130	43604
JOTUN	2009	2	0.027410	0.001360	0.000000	0.000000	0.028780	0.463390	43604
JOTUN	2009	3	0.026690	0.001470	0.000000	0.000000	0.028160	0.496080	43604
JOTUN	2009	4	0.029560	0.000770	0.000000	0.000000	0.030320	0.445590	43604
JOTUN	2009	5	0.030230	0.000650	0.000000	0.000000	0.030870	0.490540	43604
JOTUN	2009	6	0.023940	0.001150	0.000000	0.000000	0.025090	0.405100	43604
JOTUN	2009	7	0.027100	0.001450	0.000000	0.000000	0.028550	0.512400	43604
JOTUN	2009	8	0.025190	0.000660	0.000000	0.000000	0.025850	0.391700	43604
JOTUN	2009	9	0.022860	0.001040	0.000000	0.000000	0.023900	0.370950	43604
JOTUN	2009	10	0.024560	0.001040	0.000000	0.000000	0.025600	0.479400	43604
JOTUN	2009	11	0.019930	0.001220	0.000000	0.000000	0.021150	0.403600	43604
JOTUN	2009	12	0.023440	0.001260	0.000000	0.000000	0.024700	0.527070	43604
JOTUN	2010	1	0.024200	0.000740	0.000000	0.000000	0.024930	0.493660	43604
JOTUN	2010	2	0.022590	0.000730	0.000000	0.000000	0.023310	0.422180	43604
JOTUN	2010	3	0.024700	0.000520	0.000000	0.000000	0.025230	0.481750	43604
JOTUN	2010	4	0.023280	0.000650	0.000000	0.000000	0.023930	0.474350	43604
JOTUN	2010	5	0.024110	0.000640	0.000000	0.000000	0.024750	0.473200	43604
JOTUN	2010	6	0.020560	0.000760	0.000000	0.000000	0.021320	0.433690	43604
JOTUN	2010	7	0.022800	0.000700	0.000000	0.000000	0.023500	0.476520	43604
JOTUN	2010	8	0.014710	0.000370	0.000000	0.000000	0.015080	0.316310	43604
JOTUN	2010	9	0.017280	0.000860	0.000000	0.000000	0.018130	0.439360	43604
JOTUN	2010	10	0.022100	0.000470	0.000000	0.000000	0.022570	0.440700	43604
JOTUN	2010	11	0.018340	0.000340	0.000000	0.000000	0.018680	0.459790	43604
JOTUN	2010	12	0.019080	0.000320	0.000000	0.000000	0.019400	0.461390	43604
JOTUN	2011	1	0.021100	0.000770	0.000000	0.000000	0.021870	0.449990	43604
JOTUN	2011	2	0.018390	0.000640	0.000000	0.000000	0.019030	0.401360	43604
JOTUN	2011	3	0.019930	0.000500	0.000000	0.000000	0.020420	0.425760	43604
JOTUN	2011	4	0.019080	0.000640	0.000000	0.000000	0.019720	0.432360	43604
JOTUN	2011	5	0.019010	0.000200	0.000000	0.000000	0.019210	0.460990	43604
JOTUN	2011	6	0.017120	0.000280	0.000000	0.000000	0.017400	0.406370	43604
JOTUN	2011	7	0.018350	0.000410	0.000000	0.000000	0.018760	0.426550	43604
JOTUN	2011	8	0.015590	0.000160	0.000000	0.000000	0.015750	0.414870	43604
JOTUN	2011	9	0.018370	0.000390	0.000000	0.000000	0.018760	0.426360	43604
JOTUN	2011	10	0.017440	0.000290	0.000000	0.000000	0.017730	0.459040	43604
JOTUN	2011	11	0.015180	0.000300	0.000000	0.000000	0.015480	0.427010	43604
JOTUN	2011	12	0.013840	0.000020	0.000000	0.000000	0.013860	0.407460	43604
JOTUN	2012	1	0.015920	0.000000	0.000000	0.000000	0.015920	0.438250	43604
JOTUN	2012	2	0.015140	0.000040	0.000000	0.000000	0.015180	0.414200	43604
JOTUN	2012	3	0.017710	0.000110	0.000000	0.000000	0.017820	0.444430	43604
JOTUN	2012	4	0.015090	0.000060	0.000000	0.000000	0.015150	0.410890	43604
JOTUN	2012	5	0.015130	0.000020	0.000000	0.000000	0.015140	0.396680	43604
JOTUN	2012	6	0.014160	0.000000	0.000000	0.000000	0.014160	0.404090	43604
JOTUN	2012	7	0.015730	0.000060	0.000000	0.000000	0.015790	0.425890	43604
JOTUN	2012	8	0.015370	0.000040	0.000000	0.000000	0.015410	0.411440	43604
JOTUN	2012	9	0.008180	0.000000	0.000000	0.000000	0.008180	0.241340	43604
JOTUN	2012	10	0.014520	0.000010	0.000000	0.000000	0.014520	0.412070	43604
JOTUN	2012	11	0.014360	0.000000	0.000000	0.000000	0.014360	0.411020	43604
JOTUN	2012	12	0.012450	0.000230	0.000000	0.000000	0.012680	0.419600	43604
JOTUN	2013	1	0.015760	0.000110	0.000000	0.000000	0.015860	0.407620	43604
JOTUN	2013	2	0.012440	0.000190	0.000000	0.000000	0.012630	0.355930	43604
ODIN	1984	4	0.000000	0.037930	0.000000	0.000150	0.038070	0.000000	43610
ODIN	1984	5	0.000000	0.072690	0.000000	0.000620	0.073310	0.000000	43610
ODIN	1984	6	0.000000	0.096250	0.000000	-0.000010	0.096250	0.000000	43610
ODIN	1984	7	0.000000	0.056350	0.000000	0.000120	0.056470	0.000000	43610
ODIN	1984	8	0.000000	0.102160	0.000000	0.000420	0.102580	0.000000	43610
ODIN	1984	9	0.000000	0.167140	0.000000	0.004890	0.172030	0.000000	43610
ODIN	1984	10	0.000000	0.335620	0.000000	0.003910	0.339530	0.000000	43610
ODIN	1984	11	0.000000	0.305490	0.000000	0.003130	0.308620	0.000000	43610
ODIN	1984	12	0.000000	0.341650	0.000000	0.003040	0.344690	0.000000	43610
ODIN	1985	1	0.000000	0.330930	0.000000	0.003050	0.333980	0.000000	43610
ODIN	1985	2	0.000000	0.304430	0.000000	0.003100	0.307530	0.000000	43610
ODIN	1985	3	0.000000	0.341950	0.000000	0.003480	0.345430	0.000000	43610
ODIN	1985	4	0.000000	0.333480	0.000000	0.003270	0.336750	0.000000	43610
ODIN	1985	5	0.000000	0.348470	0.000000	0.003370	0.351840	0.000000	43610
ODIN	1985	6	0.000000	0.314250	0.000000	0.002740	0.316990	0.000000	43610
ODIN	1985	7	0.000000	0.100530	0.000000	0.001250	0.101790	0.000000	43610
ODIN	1985	8	0.000000	0.229220	0.000000	0.001480	0.230700	0.000000	43610
ODIN	1985	9	0.000000	0.230910	0.000000	0.001020	0.231930	0.000000	43610
ODIN	1985	10	0.000000	0.340730	0.000000	0.003040	0.343770	0.000000	43610
ODIN	1985	11	0.000000	0.332600	0.000000	0.000960	0.333560	0.000000	43610
ODIN	1985	12	0.000000	0.341660	0.000000	0.001190	0.342850	0.000000	43610
ODIN	1986	1	0.000000	0.343300	0.000000	0.001160	0.344460	0.000000	43610
ODIN	1986	2	0.000000	0.311580	0.000000	0.001890	0.313470	0.000000	43610
ODIN	1986	3	0.000000	0.309820	0.000000	0.010430	0.320250	0.000000	43610
ODIN	1986	4	0.000000	0.104980	0.000000	-0.000500	0.104490	0.000000	43610
ODIN	1986	5	0.000000	0.310390	0.000000	0.001760	0.312150	0.000000	43610
ODIN	1986	6	0.000000	0.188470	0.000000	0.002230	0.190700	0.000000	43610
ODIN	1986	7	0.000000	0.214880	0.000000	-0.008240	0.206640	0.000000	43610
ODIN	1986	8	0.000000	0.293770	0.000000	0.000920	0.294690	0.000000	43610
ODIN	1986	9	0.000000	0.291570	0.000000	0.002000	0.293570	0.000000	43610
ODIN	1986	10	0.000000	0.383250	0.000000	0.003210	0.386460	0.000000	43610
ODIN	1986	11	0.000000	0.310080	0.000000	0.002150	0.312230	0.000000	43610
ODIN	1986	12	0.000000	0.308880	0.000000	0.003710	0.312590	0.000000	43610
ODIN	1987	1	0.000000	0.362190	0.000000	0.004090	0.366280	0.000000	43610
ODIN	1987	2	0.000000	0.337400	0.000000	0.002100	0.339500	0.000000	43610
ODIN	1987	3	0.000000	0.377060	0.000000	0.000030	0.377090	0.000000	43610
ODIN	1987	4	0.000000	0.315510	0.000000	0.003380	0.318890	0.000000	43610
ODIN	1987	5	0.000000	0.374250	0.000000	0.002410	0.376660	0.000000	43610
ODIN	1987	6	0.000000	0.300350	0.000000	0.002170	0.302510	0.000000	43610
ODIN	1987	7	0.000000	0.065690	0.000000	-0.000070	0.065620	0.000000	43610
ODIN	1987	8	0.000000	0.283190	0.000000	0.001170	0.284370	0.000000	43610
ODIN	1987	9	0.000000	0.264400	0.000000	0.000910	0.265310	0.000000	43610
ODIN	1987	10	0.000000	0.219040	0.000000	0.001520	0.220560	0.000000	43610
ODIN	1987	11	0.000000	0.268240	0.000000	0.001180	0.269420	0.000000	43610
ODIN	1987	12	0.000000	0.307770	0.000000	0.001710	0.309480	0.000000	43610
ODIN	1988	1	0.000000	0.305500	0.000000	0.001950	0.307460	0.000000	43610
ODIN	1988	2	0.000000	0.284640	0.000000	0.001310	0.285950	0.000000	43610
ODIN	1988	3	0.000000	0.285590	0.000000	0.001200	0.286790	0.000000	43610
ODIN	1988	4	0.000000	0.295390	0.000000	0.001590	0.296980	0.000000	43610
ODIN	1988	5	0.000000	0.254850	0.000000	0.001830	0.256690	0.000000	43610
ODIN	1988	6	0.000000	0.226880	0.000000	0.001450	0.228330	0.000000	43610
ODIN	1988	7	0.000000	0.160250	0.000000	0.000290	0.160540	0.000000	43610
ODIN	1988	8	0.000000	0.104640	0.000000	0.000720	0.105360	0.000000	43610
ODIN	1988	9	0.000000	0.087670	0.000000	0.000620	0.088290	0.000000	43610
ODIN	1988	10	0.000000	0.234730	0.000000	0.001150	0.235880	0.000000	43610
ODIN	1988	11	0.000000	0.239980	0.000000	0.001270	0.241240	0.000000	43610
ODIN	1988	12	0.000000	0.248750	0.000000	0.001760	0.250510	0.000000	43610
ODIN	1989	1	0.000000	0.253050	0.000000	0.001640	0.254690	0.000000	43610
ODIN	1989	2	0.000000	0.270440	0.000000	0.002760	0.273200	0.000000	43610
ODIN	1989	3	0.000000	0.275880	0.000000	0.001280	0.277160	0.000000	43610
ODIN	1989	4	0.000000	0.298340	0.000000	0.001580	0.299920	0.000000	43610
ODIN	1989	5	0.000000	0.241350	0.000000	0.001780	0.243130	0.000000	43610
ODIN	1989	6	0.000000	0.211640	0.000000	0.001780	0.213420	0.000000	43610
ODIN	1989	7	0.000000	0.062660	0.000000	0.000030	0.062690	0.000000	43610
ODIN	1989	8	0.000000	0.136570	0.000000	0.000810	0.137380	0.000000	43610
ODIN	1989	9	0.000000	0.237540	0.000000	0.001540	0.239080	0.000000	43610
ODIN	1989	10	0.000000	0.270770	0.000000	0.001260	0.272030	0.000000	43610
ODIN	1989	11	0.000000	0.271980	0.000000	0.001430	0.273420	0.000000	43610
ODIN	1989	12	0.000000	0.296940	0.000000	0.003000	0.299940	0.000000	43610
ODIN	1990	1	0.000000	0.297770	0.000000	0.002000	0.299770	0.000000	43610
ODIN	1990	2	0.000000	0.261610	0.000000	0.002220	0.263830	0.000000	43610
ODIN	1990	3	0.000000	0.261080	0.000000	0.001900	0.262980	0.000000	43610
ODIN	1990	4	0.000000	0.244660	0.000000	0.001870	0.246540	0.000000	43610
ODIN	1990	5	0.000000	0.145560	0.000000	0.001000	0.146560	0.000000	43610
ODIN	1990	6	0.000000	0.150300	0.000000	0.001190	0.151500	0.000000	43610
ODIN	1990	7	0.000000	0.162440	0.000000	0.001500	0.163940	0.000000	43610
ODIN	1990	8	0.000000	0.212090	0.000000	0.001660	0.213750	0.000000	43610
ODIN	1990	9	0.000000	0.148470	0.000000	0.000680	0.149160	0.000000	43610
ODIN	1990	10	0.000000	0.198700	0.000000	0.002140	0.200840	0.000000	43610
ODIN	1990	11	0.000000	0.257250	0.000000	0.002670	0.259920	0.000000	43610
ODIN	1990	12	0.000000	0.285150	0.000000	0.001190	0.286330	0.000000	43610
ODIN	1991	1	0.000000	0.283000	0.000000	0.002260	0.285260	0.000000	43610
ODIN	1991	2	0.000000	0.265400	0.000000	0.002540	0.267930	0.000000	43610
ODIN	1991	3	0.000000	0.276390	0.000000	0.003810	0.280190	0.000000	43610
ODIN	1991	4	0.000000	0.277040	0.000000	0.002220	0.279250	0.000000	43610
ODIN	1991	5	0.000000	0.256410	0.000000	0.002710	0.259120	0.000000	43610
ODIN	1991	6	0.000000	0.205560	0.000000	0.001540	0.207100	0.000000	43610
ODIN	1991	7	0.000000	0.199710	0.000000	0.001490	0.201200	0.000000	43610
ODIN	1991	8	0.000000	0.174170	0.000000	0.002110	0.176280	0.000000	43610
ODIN	1991	9	0.000000	0.205080	0.000000	0.002680	0.207750	0.000000	43610
ODIN	1991	10	0.000000	0.220420	0.000000	0.002390	0.222820	0.000000	43610
ODIN	1991	11	0.000000	0.228000	0.000000	0.002980	0.230980	0.000000	43610
ODIN	1991	12	0.000000	0.219290	0.000000	0.003060	0.222350	0.000000	43610
ODIN	1992	1	0.000000	0.242610	0.000000	0.001880	0.244490	0.000000	43610
ODIN	1992	2	0.000000	0.215110	0.000000	0.001770	0.216880	0.000000	43610
ODIN	1992	3	0.000000	0.219880	0.000000	0.002580	0.222450	0.000000	43610
ODIN	1992	4	0.000000	0.233350	0.000000	0.001870	0.235220	0.000000	43610
ODIN	1992	5	0.000000	0.230500	0.000000	0.001440	0.231930	0.000000	43610
ODIN	1992	6	0.000000	0.165250	0.000000	0.001110	0.166360	0.000000	43610
ODIN	1992	7	0.000000	0.209420	0.000000	0.001090	0.210510	0.000000	43610
ODIN	1992	8	0.000000	0.138150	0.000000	0.001090	0.139240	0.000000	43610
ODIN	1992	9	0.000000	0.189340	0.000000	0.002800	0.192150	0.000000	43610
ODIN	1992	10	0.000000	0.148820	0.000000	0.002480	0.151300	0.000000	43610
ODIN	1992	11	0.000000	0.108280	0.000000	0.003240	0.111520	0.000000	43610
ODIN	1992	12	0.000000	0.187910	0.000000	0.001950	0.189870	0.000000	43610
ODIN	1993	1	0.000000	0.189960	0.000000	0.002020	0.191980	0.000000	43610
ODIN	1993	2	0.000000	0.160930	0.000000	0.001060	0.161990	0.000000	43610
ODIN	1993	3	0.000000	0.169130	0.000000	0.001160	0.170280	0.000000	43610
ODIN	1993	4	0.000000	0.157500	0.000000	0.002700	0.160190	0.000000	43610
ODIN	1993	5	0.000000	0.156080	0.000000	0.000890	0.156970	0.000000	43610
ODIN	1993	6	0.000000	0.035350	0.000000	0.000390	0.035740	0.000000	43610
ODIN	1993	7	0.000000	0.116330	0.000000	0.001920	0.118260	0.000000	43610
ODIN	1993	8	0.000000	0.091320	0.000000	0.001510	0.092830	0.000000	43610
ODIN	1993	9	0.000000	0.124460	0.000000	0.001460	0.125920	0.000000	43610
ODIN	1993	10	0.000000	0.113770	0.000000	0.001390	0.115160	0.000000	43610
ODIN	1993	11	0.000000	0.099290	0.000000	0.000860	0.100150	0.000000	43610
ODIN	1993	12	0.000000	0.089240	0.000000	0.000830	0.090080	0.000000	43610
ODIN	1994	1	0.000000	0.081820	0.000000	0.000670	0.082490	0.000000	43610
ODIN	1994	2	0.000000	0.073630	0.000000	0.000710	0.074340	0.000000	43610
ODIN	1994	3	0.000000	0.084920	0.000000	0.000860	0.085780	0.000000	43610
ODIN	1994	4	0.000000	0.083990	0.000000	0.000910	0.084900	0.000000	43610
ODIN	1994	5	0.000000	0.081730	0.000000	0.001060	0.082790	0.000000	43610
ODIN	1994	6	0.000000	0.080210	0.000000	0.001160	0.081370	0.000000	43610
ODIN	1994	7	0.000000	0.071180	0.000000	0.001120	0.072300	0.000000	43610
ODIN	1994	8	0.000000	0.007600	0.000000	0.000120	0.007720	0.000000	43610
VESLEFRIKK	1989	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43618
VESLEFRIKK	1990	1	0.070200	0.000000	0.000000	0.000000	0.070200	0.000000	43618
VESLEFRIKK	1990	2	0.114950	0.000000	0.000000	0.000000	0.114950	0.000000	43618
VESLEFRIKK	1990	3	0.154310	0.000000	0.000000	0.000000	0.154310	0.000000	43618
VESLEFRIKK	1990	4	0.153450	0.000000	0.000000	0.000000	0.153450	0.000000	43618
VESLEFRIKK	1990	5	0.259210	0.000000	0.014950	0.000000	0.274160	0.000000	43618
VESLEFRIKK	1990	6	0.285540	0.000000	0.016100	0.000000	0.301640	0.000000	43618
VESLEFRIKK	1990	7	0.256020	0.000000	0.014410	0.000000	0.270430	0.000000	43618
VESLEFRIKK	1990	8	0.259270	0.000000	0.016440	0.000000	0.275710	0.000000	43618
VESLEFRIKK	1990	9	0.327940	0.000000	0.021890	0.000000	0.349830	0.000000	43618
VESLEFRIKK	1990	10	0.342240	0.000000	0.023510	0.000000	0.365750	0.000000	43618
VESLEFRIKK	1990	11	0.322310	0.000000	0.021840	0.000000	0.344160	0.000000	43618
VESLEFRIKK	1990	12	0.327580	0.000000	0.029240	0.000000	0.356820	0.000000	43618
VESLEFRIKK	1991	1	0.312810	0.000000	0.012930	0.000000	0.325750	0.000000	43618
VESLEFRIKK	1991	2	0.293180	0.000000	0.018280	0.000000	0.311460	0.000000	43618
VESLEFRIKK	1991	3	0.312490	0.000000	0.019490	0.000000	0.331980	0.000000	43618
VESLEFRIKK	1991	4	0.290160	0.000000	0.018570	0.000000	0.308740	0.000000	43618
VESLEFRIKK	1991	5	0.305060	0.000000	0.019610	0.000000	0.324670	0.000000	43618
VESLEFRIKK	1991	6	0.298090	0.000000	0.019010	0.000000	0.317100	0.000000	43618
VESLEFRIKK	1991	7	0.285170	0.000000	0.016550	0.000000	0.301720	0.000000	43618
VESLEFRIKK	1991	8	0.074730	0.000000	0.003080	0.000000	0.077810	0.000000	43618
VESLEFRIKK	1991	9	0.324390	0.000000	0.019880	0.000000	0.344270	0.000000	43618
VESLEFRIKK	1991	10	0.339370	0.000000	0.023040	0.000000	0.362410	0.000000	43618
VESLEFRIKK	1991	11	0.325330	0.000000	0.020260	0.000000	0.345590	0.000000	43618
VESLEFRIKK	1991	12	0.328700	0.000000	0.029200	0.000000	0.357900	0.000000	43618
VESLEFRIKK	1992	1	0.343280	0.000000	0.013320	0.000000	0.356590	0.000000	43618
VESLEFRIKK	1992	2	0.257360	0.000000	0.016830	0.000000	0.274190	0.000000	43618
VESLEFRIKK	1992	3	0.356200	0.000000	0.019100	0.000000	0.375300	0.000000	43618
VESLEFRIKK	1992	4	0.345830	0.000000	0.025340	0.000000	0.371170	0.000000	43618
VESLEFRIKK	1992	5	0.357370	0.000000	0.022320	0.000000	0.379690	0.000000	43618
VESLEFRIKK	1992	6	0.341240	0.000000	0.022070	0.000000	0.363300	0.000000	43618
VESLEFRIKK	1992	7	0.334180	0.000000	0.021850	0.000000	0.356030	0.000000	43618
VESLEFRIKK	1992	8	0.341520	0.000000	0.022120	0.000000	0.363640	0.000000	43618
VESLEFRIKK	1992	9	0.249560	0.000000	0.009100	0.000000	0.258660	0.000000	43618
VESLEFRIKK	1992	10	0.342330	0.000000	0.022850	0.000000	0.365170	0.000000	43618
VESLEFRIKK	1992	11	0.338360	0.000000	0.021910	0.000000	0.360260	0.000000	43618
VESLEFRIKK	1992	12	0.346240	0.000000	0.030030	0.000000	0.376270	0.000000	43618
VESLEFRIKK	1993	1	0.345710	0.000000	0.014700	0.000000	0.360400	0.000000	43618
VESLEFRIKK	1993	2	0.318200	0.000000	0.019930	0.000000	0.338130	0.000000	43618
VESLEFRIKK	1993	3	0.374910	0.000000	0.023670	0.000000	0.398580	0.000000	43618
VESLEFRIKK	1993	4	0.336410	0.000000	0.022030	0.000000	0.358450	0.000000	43618
VESLEFRIKK	1993	5	0.335280	0.000000	0.021130	0.000000	0.356410	0.000000	43618
VESLEFRIKK	1993	6	0.183790	0.000000	0.011580	0.000000	0.195360	0.000000	43618
VESLEFRIKK	1993	7	0.310400	0.000000	0.018620	0.000000	0.329030	0.000000	43618
VESLEFRIKK	1993	8	0.362900	0.032720	0.022300	0.000000	0.417910	0.000000	43618
VESLEFRIKK	1993	9	0.327410	0.026160	0.021280	0.000000	0.374850	0.000000	43618
VESLEFRIKK	1993	10	0.358160	0.016130	0.019270	0.000000	0.393560	0.000000	43618
VESLEFRIKK	1993	11	0.316280	0.014660	0.017430	0.000000	0.348370	0.000000	43618
VESLEFRIKK	1993	12	0.363070	0.027110	0.020060	0.000000	0.410230	0.000000	43618
VESLEFRIKK	1994	1	0.364980	0.034740	0.023970	0.000000	0.423700	0.000000	43618
VESLEFRIKK	1994	2	0.342190	0.032730	0.022200	0.000000	0.397120	0.000000	43618
VESLEFRIKK	1994	3	0.368020	0.028180	0.022150	0.000000	0.418340	0.000000	43618
VESLEFRIKK	1994	4	0.340620	0.020100	0.020400	0.000000	0.381110	0.000000	43618
VESLEFRIKK	1994	5	0.388230	0.004020	0.024160	0.000000	0.416400	0.000000	43618
VESLEFRIKK	1994	6	0.402140	0.015430	0.022140	0.000000	0.439710	0.000000	43618
VESLEFRIKK	1994	7	0.366330	0.014190	0.019900	0.000000	0.400420	0.000000	43618
VESLEFRIKK	1994	8	0.256430	0.009730	0.015300	0.000000	0.281470	0.000000	43618
VESLEFRIKK	1994	9	0.412520	0.015100	0.021730	0.000000	0.449340	0.000000	43618
VESLEFRIKK	1994	10	0.406600	0.025880	0.022540	0.000000	0.455010	0.000000	43618
VESLEFRIKK	1994	11	0.380150	0.026930	0.022210	0.000000	0.429290	0.000000	43618
VESLEFRIKK	1994	12	0.414530	0.026340	0.023500	0.000000	0.464370	0.000000	43618
VESLEFRIKK	1995	1	0.393070	0.056660	0.021750	0.000000	0.471480	0.000000	43618
VESLEFRIKK	1995	2	0.338830	0.027390	0.019500	0.000000	0.385720	0.000000	43618
VESLEFRIKK	1995	3	0.427320	0.037470	0.025550	0.000000	0.490340	0.000000	43618
VESLEFRIKK	1995	4	0.421720	0.032120	0.023760	0.000000	0.477600	0.000000	43618
VESLEFRIKK	1995	5	0.420590	0.033810	0.025280	0.000000	0.479690	0.000000	43618
VESLEFRIKK	1995	6	0.203910	0.011020	0.010730	0.000000	0.225660	0.000000	43618
VESLEFRIKK	1995	7	0.384590	0.032810	0.023100	0.000000	0.440490	0.000000	43618
VESLEFRIKK	1995	8	0.411410	0.040180	0.023980	0.000000	0.475570	0.000000	43618
VESLEFRIKK	1995	9	0.356710	0.031210	0.020040	0.000000	0.407960	0.000000	43618
VESLEFRIKK	1995	10	0.401110	0.037690	0.021560	0.000000	0.460350	0.000000	43618
VESLEFRIKK	1995	11	0.337220	0.036980	0.019750	0.000000	0.393950	0.000000	43618
VESLEFRIKK	1995	12	0.361350	0.030530	0.021790	0.000000	0.413670	0.000000	43618
VESLEFRIKK	1996	1	0.384550	0.039990	0.022960	0.000000	0.447500	0.000000	43618
VESLEFRIKK	1996	2	0.364000	0.061880	0.022920	0.000000	0.448800	0.000000	43618
VESLEFRIKK	1996	3	0.359390	0.033160	0.021300	0.000000	0.413850	0.000000	43618
VESLEFRIKK	1996	4	0.370770	0.036860	0.022210	0.000000	0.429840	0.000000	43618
VESLEFRIKK	1996	5	0.328180	0.028950	0.021340	0.000000	0.378470	0.000000	43618
VESLEFRIKK	1996	6	0.327400	0.036320	0.020150	0.000000	0.383870	0.000000	43618
VESLEFRIKK	1996	7	0.352120	0.042220	0.023030	0.000000	0.417370	0.000000	43618
VESLEFRIKK	1996	8	0.247050	0.031580	0.015390	0.000000	0.294030	0.000000	43618
VESLEFRIKK	1996	9	0.334570	0.033550	0.021510	0.000000	0.389630	0.000000	43618
VESLEFRIKK	1996	10	0.332430	0.034640	0.021380	0.000000	0.388450	0.000000	43618
VESLEFRIKK	1996	11	0.330760	0.026960	0.018960	0.000000	0.376670	0.000000	43618
VESLEFRIKK	1996	12	0.337450	0.026340	0.020860	0.000000	0.384640	0.000000	43618
VESLEFRIKK	1997	1	0.280360	0.018520	0.012080	0.000000	0.310960	0.000000	43618
VESLEFRIKK	1997	2	0.262890	0.027360	0.016470	0.000000	0.306720	0.000000	43618
VESLEFRIKK	1997	3	0.298110	0.024260	0.013840	0.000000	0.336210	0.000000	43618
VESLEFRIKK	1997	4	0.290970	0.012010	0.007560	0.000000	0.310530	0.000000	43618
VESLEFRIKK	1997	5	0.309250	0.008350	0.005290	0.000000	0.322890	0.000000	43618
VESLEFRIKK	1997	6	0.136990	0.006900	0.003640	0.000000	0.147530	0.000000	43618
VESLEFRIKK	1997	7	0.310480	0.001850	0.000420	0.000000	0.312750	0.000000	43618
VESLEFRIKK	1997	8	0.353570	0.002980	0.002090	0.000000	0.358640	0.000000	43618
VESLEFRIKK	1997	9	0.316560	0.001910	0.001490	0.000000	0.319960	0.000000	43618
VESLEFRIKK	1997	10	0.294950	0.004000	0.002810	0.000000	0.301750	0.000000	43618
VESLEFRIKK	1997	11	0.305920	0.011030	0.007260	0.000000	0.324210	0.000000	43618
VESLEFRIKK	1997	12	0.314630	0.020020	0.013010	0.000000	0.347660	0.000000	43618
VESLEFRIKK	1998	1	0.295700	0.016410	0.012190	0.000000	0.324300	0.000000	43618
VESLEFRIKK	1998	2	0.271210	0.022350	0.015440	0.000000	0.309000	0.000000	43618
VESLEFRIKK	1998	3	0.320560	0.023470	0.015000	0.000000	0.359030	0.000000	43618
VESLEFRIKK	1998	4	0.276390	0.019630	0.012710	0.000000	0.308730	0.000000	43618
VESLEFRIKK	1998	5	0.294580	0.009620	0.008900	0.000000	0.313100	0.000000	43618
VESLEFRIKK	1998	6	0.286830	0.025740	0.017370	0.000000	0.329940	0.000000	43618
VESLEFRIKK	1998	7	0.277390	0.032200	0.014600	0.000000	0.324190	0.000000	43618
VESLEFRIKK	1998	8	0.258100	0.008010	0.003160	0.000000	0.269270	0.000000	43618
VESLEFRIKK	1998	9	0.244620	0.017740	0.010550	0.000000	0.272900	0.000000	43618
VESLEFRIKK	1998	10	0.235830	0.025040	0.012860	0.000000	0.273730	0.000000	43618
VESLEFRIKK	1998	11	0.252540	0.035930	0.019440	0.000000	0.307920	0.000000	43618
VESLEFRIKK	1998	12	0.254260	0.040980	0.021610	0.000000	0.316850	0.000000	43618
VESLEFRIKK	1999	1	0.231280	0.025360	0.013330	0.000000	0.269970	0.000000	43618
VESLEFRIKK	1999	2	0.198590	0.009230	0.005570	0.000000	0.213400	0.000000	43618
VESLEFRIKK	1999	3	0.239890	0.010430	0.006890	0.000000	0.257210	0.000000	43618
VESLEFRIKK	1999	4	0.267660	0.012130	0.007810	0.000000	0.287610	0.000000	43618
VESLEFRIKK	1999	5	0.172720	0.015940	0.009560	0.000000	0.198220	0.000000	43618
VESLEFRIKK	1999	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43618
VESLEFRIKK	1999	7	0.000000	0.000000	0.000020	0.000000	0.000020	0.000000	43618
VESLEFRIKK	1999	8	0.000000	0.000000	0.000040	0.000000	0.000040	0.000000	43618
VESLEFRIKK	1999	9	0.110280	0.000000	0.000010	0.000000	0.110300	0.000000	43618
VESLEFRIKK	1999	10	0.135070	0.003800	0.002220	0.000000	0.141100	0.000000	43618
VESLEFRIKK	1999	11	0.245580	0.017930	0.011760	0.000000	0.275270	0.000000	43618
VESLEFRIKK	1999	12	0.298390	0.017090	0.011380	0.000000	0.326850	0.000000	43618
VESLEFRIKK	2000	1	0.270920	0.016070	0.009170	0.000000	0.296160	0.231280	43618
VESLEFRIKK	2000	2	0.209190	0.023530	0.015070	0.000000	0.247780	0.211350	43618
VESLEFRIKK	2000	3	0.237790	0.039300	0.023390	0.000000	0.300480	0.253420	43618
VESLEFRIKK	2000	4	0.242430	0.040230	0.023000	0.000000	0.305650	0.223820	43618
VESLEFRIKK	2000	5	0.205790	0.029610	0.020240	0.000000	0.255640	0.229990	43618
VESLEFRIKK	2000	6	0.187800	0.005840	0.003660	0.000000	0.197290	0.213580	43618
VESLEFRIKK	2000	7	0.211260	0.002240	0.001170	0.000000	0.214680	0.273300	43618
VESLEFRIKK	2000	8	0.071250	0.001410	0.002380	0.000000	0.075040	0.105810	43618
VESLEFRIKK	2000	9	0.198070	0.003390	0.003910	0.000000	0.205360	0.319280	43618
VESLEFRIKK	2000	10	0.183270	0.008680	0.006260	0.000000	0.198210	0.313050	43618
VESLEFRIKK	2000	11	0.191380	0.009400	0.013720	0.000000	0.214500	0.366070	43618
VESLEFRIKK	2000	12	0.195520	0.019750	0.020860	0.000000	0.236130	0.370830	43618
VESLEFRIKK	2001	1	0.200530	0.023070	0.021200	0.000000	0.244790	0.368860	43618
VESLEFRIKK	2001	2	0.185470	0.012120	0.012200	0.000000	0.209790	0.343200	43618
VESLEFRIKK	2001	3	0.173750	0.001350	0.001410	0.000000	0.176510	0.338230	43618
VESLEFRIKK	2001	4	0.194660	0.002090	0.002410	0.000000	0.199160	0.323790	43618
VESLEFRIKK	2001	5	0.195160	0.003320	0.003930	0.000000	0.202410	0.356280	43618
VESLEFRIKK	2001	6	0.102110	0.001360	0.001570	0.000000	0.105040	0.189640	43618
VESLEFRIKK	2001	7	0.074730	0.000400	0.000550	0.000000	0.075670	0.118690	43618
VESLEFRIKK	2001	8	0.175120	0.014660	0.014080	0.000000	0.203850	0.339940	43618
VESLEFRIKK	2001	9	0.173370	0.002640	0.001820	0.000000	0.177830	0.344950	43618
VESLEFRIKK	2001	10	0.174630	0.001760	0.001640	0.000000	0.178030	0.387280	43618
VESLEFRIKK	2001	11	0.167180	0.000340	0.000490	0.000000	0.168010	0.373280	43618
VESLEFRIKK	2001	12	0.159810	0.001720	0.002460	0.000000	0.163990	0.369720	43618
VESLEFRIKK	2002	1	0.164870	0.001560	0.001530	0.000000	0.167970	0.391930	43618
VESLEFRIKK	2002	2	0.139540	0.003430	0.003160	0.000000	0.146130	0.349560	43618
VESLEFRIKK	2002	3	0.171150	0.002180	0.001980	0.000000	0.175310	0.421860	43618
VESLEFRIKK	2002	4	0.152090	0.009150	0.008200	0.000000	0.169440	0.410570	43618
VESLEFRIKK	2002	5	0.138010	0.000780	0.000810	0.000000	0.139600	0.414980	43618
VESLEFRIKK	2002	6	0.139730	-0.000030	0.000150	0.000000	0.139840	0.403420	43618
VESLEFRIKK	2002	7	0.144120	0.000030	-0.000080	0.000000	0.144070	0.397620	43618
VESLEFRIKK	2002	8	0.080140	0.001040	0.000870	0.000000	0.082050	0.234850	43618
VESLEFRIKK	2002	9	0.138440	0.000460	0.000350	0.000000	0.139250	0.382260	43618
VESLEFRIKK	2002	10	0.131630	0.000060	-0.000110	0.000000	0.131570	0.377400	43618
VESLEFRIKK	2002	11	0.114580	0.006290	0.005230	0.000000	0.126110	0.385550	43618
VESLEFRIKK	2002	12	0.130280	0.004250	0.003980	0.000000	0.138520	0.380950	43618
VESLEFRIKK	2003	1	0.131810	0.005490	0.004170	0.000000	0.141480	0.364760	43618
VESLEFRIKK	2003	2	0.126920	0.002410	0.001870	0.000000	0.131200	0.376410	43618
VESLEFRIKK	2003	3	0.135230	0.003260	0.002320	0.000000	0.140810	0.401990	43618
VESLEFRIKK	2003	4	0.131120	0.002740	0.001870	0.000000	0.135730	0.399960	43618
VESLEFRIKK	2003	5	0.144800	0.002710	0.001960	0.000000	0.149460	0.368460	43618
VESLEFRIKK	2003	6	0.108370	0.002220	0.001620	0.000000	0.112200	0.253490	43618
VESLEFRIKK	2003	7	0.099660	0.001870	0.001280	0.000000	0.102810	0.234240	43618
VESLEFRIKK	2003	8	0.151270	0.001140	0.000700	0.000000	0.153110	0.334480	43618
VESLEFRIKK	2003	9	0.158910	0.002030	0.001620	0.000000	0.162560	0.335920	43618
VESLEFRIKK	2003	10	0.154830	0.003220	0.002330	0.000000	0.160380	0.343520	43618
VESLEFRIKK	2003	11	0.157060	0.000990	0.000770	0.000000	0.158820	0.365420	43618
VESLEFRIKK	2003	12	0.185940	0.002850	0.002030	0.000000	0.190810	0.412730	43618
VESLEFRIKK	2004	1	0.162360	0.002840	0.001990	0.000000	0.167180	0.430710	43618
VESLEFRIKK	2004	2	0.126530	0.002290	0.001590	0.000000	0.130400	0.354950	43618
VESLEFRIKK	2004	3	0.131500	0.000420	0.001120	0.000000	0.133030	0.388770	43618
VESLEFRIKK	2004	4	0.137130	0.002210	0.002070	0.000000	0.141400	0.409580	43618
VESLEFRIKK	2004	5	0.116990	0.000690	0.001050	0.000000	0.118730	0.408650	43618
VESLEFRIKK	2004	6	0.133370	0.001200	0.001630	0.000000	0.136200	0.408170	43618
VESLEFRIKK	2004	7	0.148770	0.001060	0.001570	0.000000	0.151400	0.413050	43618
VESLEFRIKK	2004	8	0.135370	0.001780	0.001770	0.000000	0.138920	0.471050	43618
VESLEFRIKK	2004	9	0.119360	0.002120	0.001620	0.000000	0.123110	0.480040	43618
VESLEFRIKK	2004	10	0.118330	0.002380	0.002100	0.000000	0.122810	0.448120	43618
VESLEFRIKK	2004	11	0.135950	0.002710	0.002500	0.000000	0.141170	0.437280	43618
VESLEFRIKK	2004	12	0.123010	0.002270	0.002660	0.000000	0.127930	0.422960	43618
VESLEFRIKK	2005	1	0.137880	0.008050	0.005640	0.000000	0.151570	0.505440	43618
VESLEFRIKK	2005	2	0.112580	0.013000	0.008910	0.000000	0.134500	0.435680	43618
VESLEFRIKK	2005	3	0.128160	0.007610	0.005430	0.000000	0.141210	0.483610	43618
VESLEFRIKK	2005	4	0.167610	0.004280	0.004360	0.000000	0.176250	0.430250	43618
VESLEFRIKK	2005	5	0.164990	0.001660	0.001680	0.000000	0.168330	0.422490	43618
VESLEFRIKK	2005	6	0.042020	0.000650	0.000640	0.000000	0.043310	0.106000	43618
VESLEFRIKK	2005	7	0.099510	0.001340	0.001570	0.000000	0.102420	0.283450	43618
VESLEFRIKK	2005	8	0.101460	0.001240	0.001070	0.000000	0.103770	0.246000	43618
VESLEFRIKK	2005	9	0.161810	0.001690	0.001470	0.000000	0.164960	0.391890	43618
VESLEFRIKK	2005	10	0.163450	0.001210	0.001220	0.000000	0.165870	0.380560	43618
VESLEFRIKK	2005	11	0.140050	0.001160	0.001040	0.000000	0.142240	0.419960	43618
VESLEFRIKK	2005	12	0.107960	0.001900	0.001630	0.000000	0.111480	0.354300	43618
VESLEFRIKK	2006	1	0.118450	0.002190	0.001460	0.000000	0.122100	0.418150	43618
VESLEFRIKK	2006	2	0.107280	0.003800	0.002450	0.000000	0.113530	0.423050	43618
VESLEFRIKK	2006	3	0.103650	0.005600	0.003020	0.000000	0.112270	0.476520	43618
VESLEFRIKK	2006	4	0.088440	0.004850	0.003290	0.000000	0.096570	0.438680	43618
VESLEFRIKK	2006	5	0.088250	0.002710	0.001560	0.000000	0.092520	0.440570	43618
VESLEFRIKK	2006	6	0.088370	0.002310	0.001290	0.000000	0.091970	0.373590	43618
VESLEFRIKK	2006	7	0.089820	0.003020	0.001510	0.000000	0.094360	0.378150	43618
VESLEFRIKK	2006	8	0.090940	0.005520	0.003320	0.000000	0.099780	0.392740	43618
VESLEFRIKK	2006	9	0.096830	0.000470	0.000210	0.000000	0.097510	0.452000	43618
VESLEFRIKK	2006	10	0.093860	0.001990	0.000880	0.000000	0.096730	0.450880	43618
VESLEFRIKK	2006	11	0.054280	0.000030	0.000020	0.000000	0.054330	0.289470	43618
VESLEFRIKK	2006	12	0.092680	0.000970	0.000410	0.000000	0.094050	0.472340	43618
VESLEFRIKK	2007	1	0.088680	0.000030	0.000020	0.000000	0.088730	0.454850	43618
VESLEFRIKK	2007	2	0.076390	0.000130	0.000100	0.000000	0.076610	0.487290	43618
VESLEFRIKK	2007	3	0.087570	0.000120	0.000090	0.000000	0.087780	0.560940	43618
VESLEFRIKK	2007	4	0.084180	0.000090	0.000040	0.000000	0.084310	0.532340	43618
VESLEFRIKK	2007	5	0.064840	0.000490	0.000250	0.000000	0.065580	0.453470	43618
VESLEFRIKK	2007	6	0.044180	0.000900	0.000460	0.000000	0.045550	0.302830	43618
VESLEFRIKK	2007	7	0.093570	0.000260	0.000140	0.000000	0.093980	0.507020	43618
VESLEFRIKK	2007	8	0.089920	0.000650	0.000390	0.000000	0.090950	0.494640	43618
VESLEFRIKK	2007	9	0.071730	0.000070	0.000050	0.000000	0.071860	0.434380	43618
VESLEFRIKK	2007	10	0.069010	0.000010	0.000010	0.000000	0.069030	0.438430	43618
VESLEFRIKK	2007	11	0.059500	0.000130	0.000070	0.000000	0.059710	0.348630	43618
VESLEFRIKK	2007	12	0.079910	0.000110	0.000070	0.000000	0.080090	0.476270	43618
VESLEFRIKK	2008	1	0.068960	0.000470	0.000260	0.000000	0.069690	0.421430	43618
VESLEFRIKK	2008	2	0.064880	0.000070	0.000040	0.000000	0.064990	0.399810	43618
VESLEFRIKK	2008	3	0.068880	0.000090	0.000070	0.000000	0.069040	0.375880	43618
VESLEFRIKK	2008	4	0.064590	0.000230	0.000110	0.000000	0.064930	0.414170	43618
VESLEFRIKK	2008	5	0.052340	0.000300	0.000160	0.000000	0.052800	0.359870	43618
VESLEFRIKK	2008	6	0.054410	0.000260	0.000130	0.000000	0.054790	0.391070	43618
VESLEFRIKK	2008	7	0.059170	0.000170	0.000080	0.000000	0.059420	0.432200	43618
VESLEFRIKK	2008	8	0.042610	0.000490	0.000250	0.000000	0.043340	0.270350	43618
VESLEFRIKK	2008	9	0.047240	0.000480	0.000250	0.000000	0.047960	0.365540	43618
VESLEFRIKK	2008	10	0.054800	0.000050	0.000030	0.000000	0.054880	0.408110	43618
VESLEFRIKK	2008	11	0.060110	0.000190	0.000100	0.000000	0.060400	0.449830	43618
VESLEFRIKK	2008	12	0.063680	0.000260	0.000130	0.000000	0.064060	0.473730	43618
VESLEFRIKK	2009	1	0.057760	0.000300	0.000170	0.000000	0.058230	0.429310	43618
VESLEFRIKK	2009	2	0.052900	0.000460	0.000250	0.000000	0.053600	0.426200	43618
VESLEFRIKK	2009	3	0.059230	0.000360	0.000200	0.000000	0.059800	0.456790	43618
VESLEFRIKK	2009	4	0.065610	0.000450	0.000190	0.000000	0.066240	0.418830	43618
VESLEFRIKK	2009	5	0.064040	0.000370	0.000200	0.000000	0.064610	0.374090	43618
VESLEFRIKK	2009	6	0.021550	0.000060	0.000050	0.000000	0.021660	0.161610	43618
VESLEFRIKK	2009	7	0.066760	0.000030	0.000020	0.000000	0.066800	0.481820	43618
VESLEFRIKK	2009	8	0.060600	0.000010	0.000000	0.000000	0.060610	0.474890	43618
VESLEFRIKK	2009	9	0.058030	0.000000	0.000000	0.000000	0.058030	0.479590	43618
VESLEFRIKK	2009	10	0.050340	0.000000	0.000000	0.000000	0.050340	0.454670	43618
VESLEFRIKK	2009	11	0.064840	0.000000	0.000000	0.000000	0.064840	0.557340	43618
VESLEFRIKK	2009	12	0.056840	0.000000	0.000000	0.000000	0.056840	0.517510	43618
VESLEFRIKK	2010	1	0.064370	0.000000	0.000000	0.000000	0.064370	0.547560	43618
VESLEFRIKK	2010	2	0.057220	0.000000	0.000000	0.000000	0.057220	0.487400	43618
VESLEFRIKK	2010	3	0.058030	0.000000	0.000000	0.000000	0.058030	0.512600	43618
VESLEFRIKK	2010	4	0.058560	0.000000	0.000000	0.000000	0.058560	0.533140	43618
VESLEFRIKK	2010	5	0.067590	0.000000	0.000000	0.000000	0.067590	0.558400	43618
VESLEFRIKK	2010	6	0.068980	0.000000	0.000000	0.000000	0.068980	0.525980	43618
VESLEFRIKK	2010	7	0.065650	0.000000	0.000000	0.000000	0.065650	0.528360	43618
VESLEFRIKK	2010	8	0.058550	0.000000	0.000000	0.000000	0.058550	0.506210	43618
VESLEFRIKK	2010	9	0.074530	0.000000	0.000000	0.000000	0.074530	0.562370	43618
VESLEFRIKK	2010	10	0.071570	0.000000	0.000000	0.000000	0.071570	0.598360	43618
VESLEFRIKK	2010	11	0.058790	0.000000	0.000000	0.000000	0.058790	0.462520	43618
VESLEFRIKK	2010	12	0.062110	0.000000	0.000000	0.000000	0.062110	0.541310	43618
VESLEFRIKK	2011	1	0.060850	0.000000	0.000000	0.000000	0.060850	0.499010	43618
VESLEFRIKK	2011	2	0.051490	0.000000	0.000000	0.000000	0.051490	0.453080	43618
VESLEFRIKK	2011	3	0.052280	0.000000	0.000000	0.000000	0.052280	0.475000	43618
VESLEFRIKK	2011	4	0.059120	0.000000	0.000000	0.000000	0.059120	0.512030	43618
VESLEFRIKK	2011	5	0.035940	0.000000	0.000000	0.000000	0.035940	0.291800	43618
VESLEFRIKK	2011	6	0.030600	0.000000	0.000000	0.000000	0.030600	0.213870	43618
VESLEFRIKK	2011	7	0.075510	0.000000	0.000000	0.000000	0.075510	0.444670	43618
VESLEFRIKK	2011	8	0.068540	0.000000	0.000000	0.000000	0.068540	0.402300	43618
VESLEFRIKK	2011	9	0.073650	0.000000	0.000000	0.000000	0.073650	0.448220	43618
VESLEFRIKK	2011	10	0.072890	0.000000	0.000000	0.000000	0.072890	0.453630	43618
VESLEFRIKK	2011	11	0.066680	0.008200	0.005380	0.000000	0.080260	0.408670	43618
VESLEFRIKK	2011	12	0.059530	0.010590	0.006900	0.000000	0.077020	0.397790	43618
VESLEFRIKK	2012	1	0.067880	0.009820	0.006540	0.000000	0.084250	0.333240	43618
VESLEFRIKK	2012	2	0.065170	0.012040	0.008770	0.000000	0.085980	0.407450	43618
VESLEFRIKK	2012	3	0.076560	0.017180	0.012080	0.000000	0.105830	0.478930	43618
VESLEFRIKK	2012	4	0.080840	0.019050	0.012480	0.000000	0.112370	0.494860	43618
VESLEFRIKK	2012	5	0.075100	0.011480	0.006800	0.000000	0.093380	0.476170	43618
VESLEFRIKK	2012	6	0.033580	0.005580	0.003270	0.000000	0.042430	0.247270	43618
VESLEFRIKK	2012	7	0.039580	0.005630	0.003480	0.000000	0.048690	0.308710	43618
VESLEFRIKK	2012	8	0.071880	0.012330	0.007240	0.000000	0.091450	0.500810	43618
VESLEFRIKK	2012	9	0.067350	0.015530	0.010110	0.000000	0.092990	0.487800	43618
VESLEFRIKK	2012	10	0.074070	0.005690	0.006880	0.000000	0.086640	0.484910	43618
VESLEFRIKK	2012	11	0.034040	0.006240	0.006840	0.000000	0.047120	0.365390	43618
VESLEFRIKK	2012	12	0.060420	0.006750	0.007000	0.000000	0.074180	0.450510	43618
VESLEFRIKK	2013	1	0.058280	0.007130	0.008090	0.000000	0.073500	0.408520	43618
VESLEFRIKK	2013	2	0.050080	0.013070	0.007440	0.000000	0.070590	0.311650	43618
OSEBERG	1986	9	0.019840	0.000000	0.000000	0.000000	0.019840	0.000000	43625
OSEBERG	1986	10	0.091010	0.000000	0.000000	0.000000	0.091010	0.000000	43625
OSEBERG	1986	11	0.086630	0.000000	0.000000	0.000000	0.086630	0.000000	43625
OSEBERG	1986	12	0.093310	0.000000	0.000000	0.000000	0.093310	0.000000	43625
OSEBERG	1987	1	0.103970	0.000000	0.000000	0.000000	0.103970	0.000000	43625
OSEBERG	1987	2	0.100600	0.000000	0.000000	0.000000	0.100600	0.000000	43625
OSEBERG	1987	3	0.059190	0.000000	0.000000	0.000000	0.059190	0.000000	43625
OSEBERG	1987	4	0.059050	0.000000	0.000000	0.000000	0.059050	0.000000	43625
OSEBERG	1987	5	0.061310	0.000000	0.000000	0.000000	0.061310	0.000000	43625
OSEBERG	1987	6	0.087900	0.000000	0.000000	0.000000	0.087900	0.000000	43625
OSEBERG	1987	7	0.097460	0.000000	0.000000	0.000000	0.097460	0.000000	43625
OSEBERG	1987	8	0.079730	0.000000	0.000000	0.000000	0.079730	0.000000	43625
OSEBERG	1987	9	0.008190	0.000000	0.000000	0.000000	0.008190	0.000000	43625
OSEBERG	1987	10	0.004750	0.000000	0.000000	0.000000	0.004750	0.000000	43625
OSEBERG	1987	11	0.055310	0.000000	0.000000	0.000000	0.055310	0.000000	43625
OSEBERG	1987	12	0.090350	0.000000	0.000000	0.000000	0.090350	0.000000	43625
OSEBERG	1988	1	0.104320	0.000000	0.000000	0.000000	0.104320	0.000000	43625
OSEBERG	1988	2	0.086930	0.000000	0.000000	0.000000	0.086930	0.000000	43625
OSEBERG	1988	3	0.101140	0.000000	0.000000	0.000000	0.101140	0.000000	43625
OSEBERG	1988	4	0.104210	0.000000	0.000000	0.000000	0.104210	0.000000	43625
OSEBERG	1988	5	0.072700	0.000000	0.000000	0.000000	0.072700	0.000000	43625
OSEBERG	1988	6	0.007260	0.000000	0.000000	0.000000	0.007260	0.000000	43625
OSEBERG	1988	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43625
OSEBERG	1988	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43625
OSEBERG	1988	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43625
OSEBERG	1988	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43625
OSEBERG	1988	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43625
OSEBERG	1988	12	0.649400	0.000000	0.000000	0.000000	0.649400	0.000000	43625
OSEBERG	1989	1	0.727120	0.000000	0.000000	0.000000	0.727120	0.000000	43625
OSEBERG	1989	2	0.941980	0.000000	0.000000	0.000000	0.941980	0.000000	43625
OSEBERG	1989	3	0.935610	0.000000	0.000000	0.000000	0.935610	0.000000	43625
OSEBERG	1989	4	1.201870	0.000000	0.000000	0.000000	1.201870	0.000000	43625
OSEBERG	1989	5	1.172270	0.000000	0.000000	0.000000	1.172270	0.000000	43625
OSEBERG	1989	6	1.231100	0.000000	0.000000	0.000000	1.231100	0.000000	43625
OSEBERG	1989	7	1.281660	0.000000	0.000000	0.000000	1.281660	0.000000	43625
OSEBERG	1989	8	1.288790	0.000000	0.000000	0.000000	1.288790	0.000000	43625
OSEBERG	1989	9	1.195750	0.000000	0.000000	0.000000	1.195750	0.000000	43625
OSEBERG	1989	10	1.293890	0.000000	0.000000	0.000000	1.293890	0.000000	43625
OSEBERG	1989	11	1.361030	0.000000	0.000000	0.000000	1.361030	0.000000	43625
OSEBERG	1989	12	0.883240	0.000000	0.000000	0.000000	0.883240	0.000000	43625
OSEBERG	1990	1	1.494820	0.000000	0.000000	0.000000	1.494820	0.000000	43625
OSEBERG	1990	2	1.335030	0.000000	0.000000	0.000000	1.335030	0.000000	43625
OSEBERG	1990	3	1.522400	0.000000	0.000000	0.000000	1.522400	0.000000	43625
OSEBERG	1990	4	1.513760	0.000000	0.000000	0.000000	1.513760	0.000000	43625
OSEBERG	1990	5	1.577180	0.000000	0.000000	0.000000	1.577180	0.000000	43625
OSEBERG	1990	6	1.044950	0.000000	0.000000	0.000000	1.044950	0.000000	43625
OSEBERG	1990	7	1.354980	0.000000	0.000000	0.000000	1.354980	0.000000	43625
OSEBERG	1990	8	1.254870	0.000000	0.000000	0.000000	1.254870	0.000000	43625
OSEBERG	1990	9	1.605850	0.000000	0.000000	0.000000	1.605850	0.000000	43625
OSEBERG	1990	10	1.620160	0.000000	0.000000	0.000000	1.620160	0.000000	43625
OSEBERG	1990	11	1.580970	0.000000	0.000000	0.000000	1.580970	0.000000	43625
OSEBERG	1990	12	1.403770	0.000000	0.000000	0.000000	1.403770	0.000000	43625
OSEBERG	1991	1	1.608560	0.000000	0.000000	0.000000	1.608560	0.000000	43625
OSEBERG	1991	2	1.392770	0.000000	0.000000	0.000000	1.392770	0.000000	43625
OSEBERG	1991	3	1.627640	0.000000	0.000000	0.000000	1.627640	0.000000	43625
OSEBERG	1991	4	1.545100	0.000000	0.000000	0.000000	1.545100	0.000000	43625
OSEBERG	1991	5	1.627560	0.000000	0.000000	0.000000	1.627560	0.000000	43625
OSEBERG	1991	6	1.561000	0.000000	0.000000	0.000000	1.561000	0.000000	43625
OSEBERG	1991	7	1.580940	0.000000	0.000000	0.000000	1.580940	0.000000	43625
OSEBERG	1991	8	1.656430	0.000000	0.000000	0.000000	1.656430	0.000000	43625
OSEBERG	1991	9	1.907000	0.000000	0.000000	0.000000	1.907000	0.000000	43625
OSEBERG	1991	10	2.076110	0.000000	0.000000	0.000000	2.076110	0.000000	43625
OSEBERG	1991	11	2.081270	0.000000	0.000000	0.000000	2.081270	0.000000	43625
OSEBERG	1991	12	2.251500	0.000000	0.000000	0.000000	2.251500	0.000000	43625
OSEBERG	1992	1	2.240970	0.000000	0.000000	0.000000	2.240970	0.000000	43625
OSEBERG	1992	2	1.443940	0.000000	0.000000	0.000000	1.443940	0.000000	43625
OSEBERG	1992	3	2.194630	0.000000	0.000000	0.000000	2.194630	0.000000	43625
OSEBERG	1992	4	2.213780	0.000000	0.000000	0.000000	2.213780	0.000000	43625
OSEBERG	1992	5	2.293630	0.000000	0.000000	0.000000	2.293630	0.000000	43625
OSEBERG	1992	6	2.208620	0.000000	0.000000	0.000000	2.208620	0.000000	43625
OSEBERG	1992	7	2.271160	0.000000	0.000000	0.000000	2.271160	0.000000	43625
OSEBERG	1992	8	2.268710	0.000000	0.000000	0.000000	2.268710	0.000000	43625
OSEBERG	1992	9	2.222590	0.000000	0.000000	0.000000	2.222590	0.000000	43625
OSEBERG	1992	10	2.251610	0.000000	0.000000	0.000000	2.251610	0.000000	43625
OSEBERG	1992	11	2.190940	0.000000	0.000000	0.000000	2.190940	0.000000	43625
OSEBERG	1992	12	2.303430	0.000000	0.000000	0.000000	2.303430	0.000000	43625
OSEBERG	1993	1	2.255750	0.000000	0.000000	0.000000	2.255750	0.000000	43625
OSEBERG	1993	2	2.090890	0.000000	0.000000	0.000000	2.090890	0.000000	43625
OSEBERG	1993	3	2.406560	0.000000	0.000000	0.000000	2.406560	0.000000	43625
OSEBERG	1993	4	2.369900	0.000000	0.000000	0.000000	2.369900	0.000000	43625
OSEBERG	1993	5	2.440530	0.000000	0.000000	0.000000	2.440530	0.000000	43625
OSEBERG	1993	6	2.116160	0.000000	0.000000	0.000000	2.116160	0.000000	43625
OSEBERG	1993	7	2.478560	0.000000	0.000000	0.000000	2.478560	0.000000	43625
OSEBERG	1993	8	2.479830	0.000000	0.000000	0.000000	2.479830	0.000000	43625
OSEBERG	1993	9	2.418300	0.000000	0.000000	0.000000	2.418300	0.000000	43625
OSEBERG	1993	10	2.490460	0.000000	0.000000	0.000000	2.490460	0.000000	43625
OSEBERG	1993	11	2.411390	0.000000	0.000000	0.000000	2.411390	0.000000	43625
OSEBERG	1993	12	2.504580	0.000000	0.000000	0.000000	2.504580	0.000000	43625
OSEBERG	1994	1	2.488750	0.000000	0.000000	0.000000	2.488750	0.000000	43625
OSEBERG	1994	2	2.258380	0.000000	0.000000	0.000000	2.258380	0.000000	43625
OSEBERG	1994	3	2.449320	0.000000	0.000000	0.000000	2.449320	0.000000	43625
OSEBERG	1994	4	2.336790	0.000000	0.000000	0.000000	2.336790	0.000000	43625
OSEBERG	1994	5	2.505510	0.000000	0.000000	0.000000	2.505510	0.000000	43625
OSEBERG	1994	6	2.417210	0.000000	0.000000	0.000000	2.417210	0.000000	43625
OSEBERG	1994	7	2.494720	0.000000	0.000000	0.000000	2.494720	0.000000	43625
OSEBERG	1994	8	2.497970	0.000000	0.000000	0.000000	2.497970	0.000000	43625
OSEBERG	1994	9	2.403890	0.000000	0.000000	0.000000	2.403890	0.000000	43625
OSEBERG	1994	10	2.452460	0.000000	0.000000	0.000000	2.452460	0.000000	43625
OSEBERG	1994	11	2.409430	0.000000	0.000000	0.000000	2.409430	0.000000	43625
OSEBERG	1994	12	2.497220	0.000000	0.000000	0.000000	2.497220	0.000000	43625
OSEBERG	1995	1	2.506750	0.000000	0.000000	0.000000	2.506750	0.000000	43625
OSEBERG	1995	2	2.260890	0.000000	0.000000	0.000000	2.260890	0.000000	43625
OSEBERG	1995	3	2.506420	0.000000	0.000000	0.000000	2.506420	0.000000	43625
OSEBERG	1995	4	2.418650	0.000000	0.000000	0.000000	2.418650	0.000000	43625
OSEBERG	1995	5	2.499680	0.000000	0.000000	0.000000	2.499680	0.000000	43625
OSEBERG	1995	6	1.983590	0.000000	0.000000	0.000000	1.983590	0.000000	43625
OSEBERG	1995	7	2.505310	0.000000	0.000000	0.000000	2.505310	0.000000	43625
OSEBERG	1995	8	2.492820	0.000000	0.000000	0.000000	2.492820	0.000000	43625
OSEBERG	1995	9	2.420160	0.000000	0.000000	0.000000	2.420160	0.000000	43625
OSEBERG	1995	10	2.509240	0.000000	0.000000	0.000000	2.509240	0.000000	43625
OSEBERG	1995	11	2.410920	0.000000	0.000000	0.000000	2.410920	0.000000	43625
OSEBERG	1995	12	2.470800	0.000000	0.000000	0.000000	2.470800	0.000000	43625
OSEBERG	1996	1	2.503770	0.000000	0.000000	0.000000	2.503770	0.000000	43625
OSEBERG	1996	2	2.340020	0.000000	0.000000	0.000000	2.340020	0.000000	43625
OSEBERG	1996	3	2.488420	0.000000	0.000000	0.000000	2.488420	0.000000	43625
OSEBERG	1996	4	2.419900	0.000000	0.000000	0.000000	2.419900	0.000000	43625
OSEBERG	1996	5	2.359340	0.000000	0.000000	0.000000	2.359340	0.000000	43625
OSEBERG	1996	6	2.410030	0.000000	0.000000	0.000000	2.410030	0.000000	43625
OSEBERG	1996	7	2.491720	0.000000	0.000000	0.000000	2.491720	0.000000	43625
OSEBERG	1996	8	2.486020	0.000000	0.000000	0.000000	2.486020	0.000000	43625
OSEBERG	1996	9	2.384880	0.000000	0.000000	0.000000	2.384880	0.000000	43625
OSEBERG	1996	10	2.492220	0.000000	0.000000	0.000000	2.492220	0.000000	43625
OSEBERG	1996	11	2.346600	0.000000	0.000000	0.000000	2.346600	0.000000	43625
OSEBERG	1996	12	2.403570	0.000000	0.000000	0.000000	2.403570	0.000000	43625
OSEBERG	1997	1	2.486300	0.000000	0.000000	0.000000	2.486300	0.000000	43625
OSEBERG	1997	2	2.247290	0.000000	0.000000	0.000000	2.247290	0.000000	43625
OSEBERG	1997	3	2.413660	0.000000	0.000000	0.000000	2.413660	0.000000	43625
OSEBERG	1997	4	2.404640	0.000000	0.000000	0.000000	2.404640	0.000000	43625
OSEBERG	1997	5	2.407960	0.000000	0.000000	0.000000	2.407960	0.000000	43625
OSEBERG	1997	6	1.687210	0.000000	0.000000	0.000000	1.687210	0.000000	43625
OSEBERG	1997	7	2.408650	0.000000	0.000000	0.000000	2.408650	0.000000	43625
OSEBERG	1997	8	2.373010	0.000000	0.000000	0.000000	2.373010	0.000000	43625
OSEBERG	1997	9	2.250320	0.000000	0.000000	0.000000	2.250320	0.000000	43625
OSEBERG	1997	10	2.240740	0.000000	0.000000	0.000000	2.240740	0.000000	43625
OSEBERG	1997	11	2.132560	0.000000	0.000000	0.000000	2.132560	0.000000	43625
OSEBERG	1997	12	2.215930	0.000000	0.000000	0.000000	2.215930	0.000000	43625
OSEBERG	1998	1	2.176480	0.000000	0.000000	0.000000	2.176480	0.000000	43625
OSEBERG	1998	2	1.957950	0.000000	0.000000	0.000000	1.957950	0.000000	43625
OSEBERG	1998	3	2.006290	0.000000	0.000000	0.000000	2.006290	0.000000	43625
OSEBERG	1998	4	1.935730	0.000000	0.000000	0.000000	1.935730	0.000000	43625
OSEBERG	1998	5	1.942150	0.000000	0.000000	0.000000	1.942150	0.000000	43625
OSEBERG	1998	6	1.939790	0.000000	0.000000	0.000000	1.939790	0.000000	43625
OSEBERG	1998	7	2.039250	0.000000	0.000000	0.000000	2.039250	0.000000	43625
OSEBERG	1998	8	2.087950	0.000000	0.000000	0.000000	2.087950	0.000000	43625
OSEBERG	1998	9	1.999220	0.000000	0.000000	0.000000	1.999220	0.000000	43625
OSEBERG	1998	10	2.041850	0.000000	0.000000	0.000000	2.041850	0.000000	43625
OSEBERG	1998	11	1.838700	0.000000	0.000000	0.000000	1.838700	0.000000	43625
OSEBERG	1998	12	2.136300	0.000000	0.000000	0.000000	2.136300	0.000000	43625
OSEBERG	1999	1	2.046030	0.000000	0.000000	0.000000	2.046030	0.000000	43625
OSEBERG	1999	2	1.746820	0.000000	0.000000	0.000000	1.746820	0.000000	43625
OSEBERG	1999	3	1.883650	0.000000	0.000000	0.000000	1.883650	0.000000	43625
OSEBERG	1999	4	1.764850	0.000000	0.000000	0.000000	1.764850	0.000000	43625
OSEBERG	1999	5	1.794270	0.000000	0.000000	0.000000	1.794270	0.000000	43625
OSEBERG	1999	6	0.845020	0.000000	0.000000	0.000000	0.845020	0.000000	43625
OSEBERG	1999	7	1.740450	0.000000	0.000000	0.000000	1.740450	0.000000	43625
OSEBERG	1999	8	1.557870	0.000000	0.000000	0.000000	1.557870	0.000000	43625
OSEBERG	1999	9	1.413530	0.000000	0.000000	0.000000	1.413530	0.000000	43625
OSEBERG	1999	10	1.570360	0.000000	0.000000	0.000000	1.570360	0.000000	43625
OSEBERG	1999	11	1.523830	0.000000	0.000000	0.000000	1.523830	0.000000	43625
OSEBERG	1999	12	1.548520	0.000000	0.000000	0.000000	1.548520	0.000000	43625
OSEBERG	2000	1	1.468590	0.000000	0.008000	0.000000	1.476590	0.287700	43625
OSEBERG	2000	2	1.385680	0.000000	0.019730	0.000000	1.405410	0.243840	43625
OSEBERG	2000	3	1.545330	0.000000	0.020650	0.000000	1.565980	0.301850	43625
OSEBERG	2000	4	1.380640	0.000000	0.057170	0.000000	1.437800	0.277670	43625
OSEBERG	2000	5	1.245920	0.000000	0.031510	0.000000	1.277430	0.279710	43625
OSEBERG	2000	6	1.300010	0.000000	0.056240	0.000000	1.356240	0.254630	43625
OSEBERG	2000	7	1.368350	0.000000	0.073070	0.000000	1.441420	0.236910	43625
OSEBERG	2000	8	1.277780	0.000000	0.050900	0.000000	1.328680	0.241720	43625
OSEBERG	2000	9	1.063130	0.022680	0.054340	0.000000	1.140150	0.250760	43625
OSEBERG	2000	10	1.222010	0.463420	0.082230	0.000000	1.767660	0.234240	43625
OSEBERG	2000	11	1.050740	0.470090	0.087080	0.000000	1.607910	0.211780	43625
OSEBERG	2000	12	1.102640	0.447000	0.088710	0.000000	1.638360	0.226600	43625
OSEBERG	2001	1	1.052030	0.269910	0.085900	0.000000	1.407830	0.227290	43625
OSEBERG	2001	2	0.856880	0.273690	0.063140	0.000000	1.193710	0.182570	43625
OSEBERG	2001	3	1.005890	0.313650	0.089940	0.000000	1.409470	0.170510	43625
OSEBERG	2001	4	0.975270	0.308070	0.093670	0.000000	1.377020	0.192110	43625
OSEBERG	2001	5	0.906200	0.129150	0.090320	0.000000	1.125670	0.209920	43625
OSEBERG	2001	6	0.559880	0.032720	0.026040	0.000000	0.618650	0.146870	43625
OSEBERG	2001	7	0.922160	0.215390	0.071410	0.000000	1.208960	0.162490	43625
OSEBERG	2001	8	0.862230	0.324610	0.081130	0.000000	1.267960	0.170310	43625
OSEBERG	2001	9	0.977700	0.307700	0.083750	0.000000	1.369140	0.174770	43625
OSEBERG	2001	10	0.941290	0.460980	0.082910	0.000000	1.485180	0.173110	43625
OSEBERG	2001	11	1.018080	0.582510	0.091970	0.000000	1.692560	0.179690	43625
OSEBERG	2001	12	0.892710	0.578320	0.094740	0.000000	1.565760	0.165620	43625
OSEBERG	2002	1	1.008760	0.349580	0.088370	0.000000	1.446710	0.163060	43625
OSEBERG	2002	2	0.901650	0.197570	0.089340	0.000000	1.188560	0.131690	43625
OSEBERG	2002	3	0.604970	0.167100	0.086840	0.000000	0.858910	0.107590	43625
OSEBERG	2002	4	0.872070	0.142090	0.059530	0.000000	1.073680	0.131710	43625
OSEBERG	2002	5	0.892610	0.280300	0.093070	0.000000	1.265980	0.125550	43625
OSEBERG	2002	6	0.863460	0.205730	0.090870	0.000000	1.160050	0.127580	43625
OSEBERG	2002	7	0.827710	0.213250	0.091380	0.000000	1.132330	0.158540	43625
OSEBERG	2002	8	0.781010	0.185920	0.083670	0.000000	1.050590	0.143750	43625
OSEBERG	2002	9	0.861260	0.212070	0.077760	0.000000	1.151090	0.166540	43625
OSEBERG	2002	10	0.880860	0.204170	0.076190	0.000000	1.161220	0.170240	43625
OSEBERG	2002	11	0.788040	0.279900	0.093350	0.000000	1.161290	0.159580	43625
OSEBERG	2002	12	0.830140	0.359930	0.088760	0.000000	1.278830	0.156250	43625
OSEBERG	2003	1	0.847620	0.428990	0.089850	0.000000	1.366460	0.185170	43625
OSEBERG	2003	2	0.790040	0.166830	0.081040	0.000000	1.037910	0.154400	43625
OSEBERG	2003	3	0.849260	0.078610	0.090400	0.000000	1.018280	0.164900	43625
OSEBERG	2003	4	0.683120	0.038670	0.086400	0.000000	0.808190	0.171920	43625
OSEBERG	2003	5	0.672420	0.012180	0.083910	0.000000	0.768510	0.175650	43625
OSEBERG	2003	6	0.745920	0.008340	0.051950	0.000000	0.806200	0.170840	43625
OSEBERG	2003	7	0.700580	0.039500	0.064200	0.000000	0.804280	0.198350	43625
OSEBERG	2003	8	0.769530	0.067850	0.088930	0.000000	0.926310	0.210090	43625
OSEBERG	2003	9	0.653380	0.052900	0.073560	0.000000	0.779840	0.191400	43625
OSEBERG	2003	10	0.797810	0.025970	0.096390	0.000000	0.920170	0.225810	43625
OSEBERG	2003	11	0.842160	0.106470	0.104430	0.000000	1.053060	0.225320	43625
OSEBERG	2003	12	0.823270	0.212490	0.114010	0.000000	1.149770	0.230840	43625
OSEBERG	2004	1	0.700660	0.192720	0.104860	0.000000	0.998230	0.222340	43625
OSEBERG	2004	2	0.864570	0.256000	0.083500	0.000000	1.204070	0.194100	43625
OSEBERG	2004	3	0.797380	0.158780	0.113400	0.000000	1.069550	0.211390	43625
OSEBERG	2004	4	0.615710	0.111600	0.060610	0.000000	0.787920	0.206930	43625
OSEBERG	2004	5	0.818330	0.245960	0.067520	0.000000	1.131810	0.183920	43625
OSEBERG	2004	6	0.714640	0.196610	0.085100	0.000000	0.996350	0.214260	43625
OSEBERG	2004	7	0.742270	0.002780	0.110430	0.000000	0.855490	0.200480	43625
OSEBERG	2004	8	0.729690	0.024010	0.110120	0.000000	0.863820	0.278510	43625
OSEBERG	2004	9	0.618370	0.243540	0.104250	0.000000	0.966150	0.199270	43625
OSEBERG	2004	10	0.735530	0.222760	0.118210	0.000000	1.076500	0.199500	43625
OSEBERG	2004	11	0.672680	0.350290	0.108030	0.000000	1.131000	0.194440	43625
OSEBERG	2004	12	0.703940	0.417860	0.117960	0.000000	1.239760	0.231990	43625
OSEBERG	2005	1	0.698450	0.169430	0.106160	0.000000	0.974040	0.239560	43625
OSEBERG	2005	2	0.624410	0.197360	0.103260	0.000000	0.925020	0.202370	43625
OSEBERG	2005	3	0.710270	0.292410	0.116560	0.000000	1.119230	0.234390	43625
OSEBERG	2005	4	0.670550	0.323940	0.097820	0.000000	1.092310	0.222370	43625
OSEBERG	2005	5	0.649930	0.400830	0.106360	0.000000	1.157130	0.241420	43625
OSEBERG	2005	6	0.421650	0.123880	0.038080	0.000000	0.583610	0.116290	43625
OSEBERG	2005	7	0.641240	0.148270	0.094180	0.000000	0.883690	0.272990	43625
OSEBERG	2005	8	0.665320	0.131890	0.115540	0.000000	0.912750	0.310300	43625
OSEBERG	2005	9	0.584450	0.087570	0.098440	0.000000	0.770460	0.300600	43625
OSEBERG	2005	10	0.554050	0.180050	0.102720	0.000000	0.836820	0.283250	43625
OSEBERG	2005	11	0.590280	0.285300	0.084690	0.000000	0.960270	0.266450	43625
OSEBERG	2005	12	0.656170	0.479980	0.100860	0.000000	1.237010	0.292010	43625
OSEBERG	2006	1	0.591170	0.544970	0.120990	0.000000	1.257140	0.285960	43625
OSEBERG	2006	2	0.537140	0.561960	0.105900	0.000000	1.204990	0.221730	43625
OSEBERG	2006	3	0.628880	0.380410	0.077680	0.000000	1.086970	0.229830	43625
OSEBERG	2006	4	0.599990	0.262900	0.087060	0.000000	0.949960	0.228490	43625
OSEBERG	2006	5	0.531380	-0.017220	0.094750	0.000000	0.608910	0.249270	43625
OSEBERG	2006	6	0.512090	0.131730	0.109930	0.000000	0.753760	0.242300	43625
OSEBERG	2006	7	0.538540	0.306170	0.119590	0.000000	0.964300	0.256790	43625
OSEBERG	2006	8	0.464050	0.257860	0.112040	0.000000	0.833950	0.202980	43625
OSEBERG	2006	9	0.431430	0.085080	0.097210	0.000000	0.613720	0.208310	43625
OSEBERG	2006	10	0.460100	-0.014870	0.099970	0.000000	0.545200	0.217580	43625
OSEBERG	2006	11	0.462040	0.426670	0.117610	0.000000	1.006320	0.221730	43625
OSEBERG	2006	12	0.504970	0.444410	0.112440	0.000000	1.061820	0.237020	43625
OSEBERG	2007	1	0.507660	0.142800	0.115610	0.000000	0.766070	0.216870	43625
OSEBERG	2007	2	0.454790	0.145170	0.104720	0.000000	0.704680	0.203120	43625
OSEBERG	2007	3	0.440910	0.149000	0.086390	0.000000	0.676310	0.207990	43625
OSEBERG	2007	4	0.463360	0.255150	0.115810	0.000000	0.834320	0.184970	43625
OSEBERG	2007	5	0.401750	0.044360	0.105100	0.000000	0.551210	0.183510	43625
OSEBERG	2007	6	0.324610	0.056400	0.075400	0.000000	0.456420	0.146700	43625
OSEBERG	2007	7	0.426710	0.039920	0.112570	0.000000	0.579200	0.229270	43625
OSEBERG	2007	8	0.429010	0.083830	0.117790	0.000000	0.630630	0.220240	43625
OSEBERG	2007	9	0.421040	0.129440	0.107150	0.000000	0.657630	0.206200	43625
OSEBERG	2007	10	0.463940	0.111140	0.120720	0.000000	0.695790	0.212870	43625
OSEBERG	2007	11	0.429410	0.113540	0.119260	0.000000	0.662210	0.203650	43625
OSEBERG	2007	12	0.400390	0.276770	0.122510	0.000000	0.799670	0.199220	43625
OSEBERG	2008	1	0.408550	0.043890	0.120930	0.000000	0.573380	0.210100	43625
OSEBERG	2008	2	0.379520	0.349260	0.116440	0.000000	0.845220	0.204120	43625
OSEBERG	2008	3	0.392360	0.457450	0.116150	0.000000	0.965960	0.247810	43625
OSEBERG	2008	4	0.417460	0.657450	0.109900	0.000000	1.184810	0.226610	43625
OSEBERG	2008	5	0.438530	0.391030	0.106260	0.000000	0.935830	0.166400	43625
OSEBERG	2008	6	0.323900	0.239230	0.038870	0.000000	0.601990	0.122470	43625
OSEBERG	2008	7	0.536800	0.137490	0.097100	0.000000	0.771380	0.206690	43625
OSEBERG	2008	8	0.438600	0.205760	0.084350	0.000000	0.728710	0.185760	43625
OSEBERG	2008	9	0.389040	0.464690	0.083620	0.000000	0.937350	0.160560	43625
OSEBERG	2008	10	0.546860	0.382660	0.096140	0.000000	1.025650	0.225930	43625
OSEBERG	2008	11	0.502020	0.117670	0.099050	0.000000	0.718740	0.216660	43625
OSEBERG	2008	12	0.518890	0.371850	0.110230	0.000000	1.000960	0.221900	43625
OSEBERG	2009	1	0.503430	0.636570	0.109560	0.000000	1.249560	0.241090	43625
OSEBERG	2009	2	0.459180	0.446680	0.102760	0.000000	1.008620	0.258440	43625
OSEBERG	2009	3	0.517440	0.151360	0.095540	0.000000	0.764340	0.252860	43625
OSEBERG	2009	4	0.459790	0.128570	0.097900	0.000000	0.686260	0.202890	43625
OSEBERG	2009	5	0.475350	0.153750	0.094540	0.000000	0.723640	0.255220	43625
OSEBERG	2009	6	0.200420	0.015120	0.036250	0.000000	0.251790	0.113380	43625
OSEBERG	2009	7	0.416840	0.083690	0.082490	0.000000	0.583020	0.242140	43625
OSEBERG	2009	8	0.331990	-0.038230	0.068260	0.000000	0.362020	0.163910	43625
OSEBERG	2009	9	0.423620	0.148380	0.102270	0.000000	0.674270	0.218590	43625
OSEBERG	2009	10	0.415150	0.069210	0.090280	0.000000	0.574640	0.253080	43625
OSEBERG	2009	11	0.465460	0.235850	0.106320	0.000000	0.807630	0.253640	43625
OSEBERG	2009	12	0.456720	0.348720	0.088690	0.000000	0.894130	0.259280	43625
OSEBERG	2010	1	0.506050	0.583070	0.090330	0.000000	1.179450	0.241990	43625
OSEBERG	2010	2	0.413200	0.211370	0.105880	0.000000	0.730450	0.252440	43625
OSEBERG	2010	3	0.395240	0.194230	0.113130	0.000000	0.702600	0.266180	43625
OSEBERG	2010	4	0.399460	0.274740	0.120380	0.000000	0.794580	0.234720	43625
OSEBERG	2010	5	0.379700	0.180320	0.095170	0.000000	0.655190	0.218110	43625
OSEBERG	2010	6	0.287050	-0.081340	0.043890	0.000000	0.249590	0.207670	43625
OSEBERG	2010	7	0.285890	-0.039130	0.007980	0.000000	0.254750	0.286180	43625
OSEBERG	2010	8	0.297340	-0.103860	0.030560	0.000000	0.224040	0.227430	43625
OSEBERG	2010	9	0.328350	0.107180	0.049930	0.000000	0.485450	0.214080	43625
OSEBERG	2010	10	0.355810	0.510460	0.103940	0.000000	0.970210	0.265420	43625
OSEBERG	2010	11	0.310980	0.554500	0.092710	0.000000	0.958190	0.239740	43625
OSEBERG	2010	12	0.350370	0.851680	0.105020	0.000000	1.307060	0.261220	43625
OSEBERG	2011	1	0.265630	0.443650	0.098670	0.000000	0.807940	0.187540	43625
OSEBERG	2011	2	0.293300	0.103210	0.088730	0.000000	0.485240	0.219620	43625
OSEBERG	2011	3	0.373350	0.037430	0.104810	0.000000	0.515590	0.262660	43625
OSEBERG	2011	4	0.380360	0.031210	0.113760	0.000000	0.525330	0.204000	43625
OSEBERG	2011	5	0.186660	0.011970	0.066900	0.000000	0.265530	0.087800	43625
OSEBERG	2011	6	0.291430	-0.015280	0.071420	0.000000	0.347570	0.124120	43625
OSEBERG	2011	7	0.357220	-0.024580	0.116770	0.000000	0.449410	0.210040	43625
OSEBERG	2011	8	0.427960	0.039850	0.095420	0.000000	0.563230	0.207580	43625
OSEBERG	2011	9	0.310640	0.045340	0.095990	0.000000	0.451980	0.173100	43625
OSEBERG	2011	10	0.349350	0.035260	0.120820	0.000000	0.505420	0.155480	43625
OSEBERG	2011	11	0.341210	0.210610	0.111800	0.000000	0.663610	0.153950	43625
OSEBERG	2011	12	0.336580	0.611260	0.113860	0.000000	1.061700	0.131910	43625
OSEBERG	2012	1	0.324630	0.558030	0.096050	0.000000	0.978710	0.125740	43625
OSEBERG	2012	2	0.303130	0.695790	0.099360	0.000000	1.098280	0.159320	43625
OSEBERG	2012	3	0.331460	0.577050	0.108040	0.000000	1.016550	0.194270	43625
OSEBERG	2012	4	0.297660	0.205350	0.096180	0.000000	0.599190	0.167680	43625
OSEBERG	2012	5	0.293900	0.090900	0.106700	0.000000	0.491500	0.172230	43625
OSEBERG	2012	6	0.239040	0.003040	0.075810	0.000000	0.317880	0.118080	43625
OSEBERG	2012	7	0.215770	0.117030	0.066030	0.000000	0.398820	0.121900	43625
OSEBERG	2012	8	0.299630	0.074930	0.106670	0.000000	0.481230	0.182030	43625
OSEBERG	2012	9	0.249170	0.282650	0.078630	0.000000	0.610440	0.147870	43625
OSEBERG	2012	10	0.261340	0.622230	0.113550	0.000000	0.997120	0.128780	43625
OSEBERG	2012	11	0.249070	0.612330	0.114970	0.000000	0.976370	0.138770	43625
OSEBERG	2012	12	0.245780	0.729230	0.114490	0.000000	1.089500	0.126250	43625
OSEBERG	2013	1	0.256130	0.623710	0.111580	0.000000	0.991420	0.128220	43625
OSEBERG	2013	2	0.222260	0.621360	0.099650	0.000000	0.943270	0.108980	43625
OSEBERG ØST	1999	5	0.072220	0.000000	0.000000	0.000000	0.072220	0.000000	43639
OSEBERG ØST	1999	6	0.039460	0.000000	0.000000	0.000000	0.039460	0.000000	43639
OSEBERG ØST	1999	7	0.064420	0.000000	0.000000	0.000000	0.064420	0.000000	43639
OSEBERG ØST	1999	8	0.062590	0.000000	0.000000	0.000000	0.062590	0.000000	43639
OSEBERG ØST	1999	9	0.111820	0.000000	0.000000	0.000000	0.111820	0.000000	43639
OSEBERG ØST	1999	10	0.209800	0.000000	0.000000	0.000000	0.209800	0.000000	43639
OSEBERG ØST	1999	11	0.189660	0.000000	0.000000	0.000000	0.189660	0.000000	43639
OSEBERG ØST	1999	12	0.160980	0.000000	0.000000	0.000000	0.160980	0.000000	43639
OSEBERG ØST	2000	1	0.148010	0.000000	0.000000	0.000000	0.148010	0.000490	43639
OSEBERG ØST	2000	2	0.120940	0.000000	0.000000	0.000000	0.120940	0.000380	43639
OSEBERG ØST	2000	3	0.118790	0.000000	0.000000	0.000000	0.118790	0.000330	43639
OSEBERG ØST	2000	4	0.137450	0.000000	0.000000	0.000000	0.137450	0.000580	43639
OSEBERG ØST	2000	5	0.139840	0.000000	0.000000	0.000000	0.139840	0.001220	43639
OSEBERG ØST	2000	6	0.205440	0.000000	0.000000	0.000000	0.205440	0.000290	43639
OSEBERG ØST	2000	7	0.250120	0.000000	0.000000	0.000000	0.250120	0.000210	43639
OSEBERG ØST	2000	8	0.270210	0.000000	0.000000	0.000000	0.270210	0.000290	43639
OSEBERG ØST	2000	9	0.317770	0.000000	0.000000	0.000000	0.317770	0.000570	43639
OSEBERG ØST	2000	10	0.265980	0.000000	0.000000	0.000000	0.265980	0.000620	43639
OSEBERG ØST	2000	11	0.314950	0.000000	0.000000	0.000000	0.314950	0.000860	43639
OSEBERG ØST	2000	12	0.264040	0.000000	0.000000	0.000000	0.264040	0.001290	43639
OSEBERG ØST	2001	1	0.347540	0.000000	0.000000	0.000000	0.347540	0.001150	43639
OSEBERG ØST	2001	2	0.293310	0.000000	0.000000	0.000000	0.293310	0.001110	43639
OSEBERG ØST	2001	3	0.326100	0.000000	0.000000	0.000000	0.326100	0.001240	43639
OSEBERG ØST	2001	4	0.321160	0.000000	0.000000	0.000000	0.321160	0.001250	43639
OSEBERG ØST	2001	5	0.336830	0.000000	0.000000	0.000000	0.336830	0.007650	43639
OSEBERG ØST	2001	6	0.220720	0.000000	0.000000	0.000000	0.220720	0.005980	43639
OSEBERG ØST	2001	7	0.321950	0.000000	0.000000	0.000000	0.321950	0.014200	43639
OSEBERG ØST	2001	8	0.349520	0.000000	0.000000	0.000000	0.349520	0.042650	43639
OSEBERG ØST	2001	9	0.323100	0.000000	0.000000	0.000000	0.323100	0.042190	43639
OSEBERG ØST	2001	10	0.317060	0.000000	0.000000	0.000000	0.317060	0.053260	43639
OSEBERG ØST	2001	11	0.328110	0.000000	0.000000	0.000000	0.328110	0.070700	43639
OSEBERG ØST	2001	12	0.327460	0.000000	0.000000	0.000000	0.327460	0.090260	43639
OSEBERG ØST	2002	1	0.164120	0.000000	0.000000	0.000000	0.164120	0.055010	43639
OSEBERG ØST	2002	2	0.252990	0.000000	0.000000	0.000000	0.252990	0.073440	43639
OSEBERG ØST	2002	3	0.299010	0.000000	0.000000	0.000000	0.299010	0.083910	43639
OSEBERG ØST	2002	4	0.253410	0.000000	0.000000	0.000000	0.253410	0.081140	43639
OSEBERG ØST	2002	5	0.272170	0.000000	0.000000	0.000000	0.272170	0.098790	43639
OSEBERG ØST	2002	6	0.258470	0.000000	0.000000	0.000000	0.258470	0.127980	43639
OSEBERG ØST	2002	7	0.278730	0.000000	0.000000	0.000000	0.278730	0.127240	43639
OSEBERG ØST	2002	8	0.241300	0.000000	0.000000	0.000000	0.241300	0.129050	43639
OSEBERG ØST	2002	9	0.204700	0.000000	0.000000	0.000000	0.204700	0.144490	43639
OSEBERG ØST	2002	10	0.298280	0.010410	0.000000	0.000000	0.308680	0.196730	43639
OSEBERG ØST	2002	11	0.300450	0.010270	0.000000	0.000000	0.310720	0.189360	43639
OSEBERG ØST	2002	12	0.289050	0.009930	0.000000	0.000000	0.298970	0.181500	43639
OSEBERG ØST	2003	1	0.240970	0.009270	0.000000	0.000000	0.250240	0.142960	43639
OSEBERG ØST	2003	2	0.224360	0.008400	0.000000	0.000000	0.232760	0.146330	43639
OSEBERG ØST	2003	3	0.228530	0.008790	0.000000	0.000000	0.237310	0.157780	43639
OSEBERG ØST	2003	4	0.217510	0.008170	0.000000	0.000000	0.225690	0.152220	43639
OSEBERG ØST	2003	5	0.218690	0.008150	0.000000	0.000000	0.226840	0.160820	43639
OSEBERG ØST	2003	6	0.154350	0.005550	0.000000	0.000000	0.159900	0.167730	43639
OSEBERG ØST	2003	7	0.149650	0.005430	0.000000	0.000000	0.155090	0.187830	43639
OSEBERG ØST	2003	8	0.184720	0.006300	0.000000	0.000000	0.191020	0.234010	43639
OSEBERG ØST	2003	9	0.123590	0.004420	0.000000	0.000000	0.128010	0.190200	43639
OSEBERG ØST	2003	10	0.166810	0.006190	0.000000	0.000000	0.173000	0.255470	43639
OSEBERG ØST	2003	11	0.147720	0.006140	0.000000	0.000000	0.153860	0.226460	43639
OSEBERG ØST	2003	12	0.131330	0.005110	0.000000	0.000000	0.136430	0.196470	43639
OSEBERG ØST	2004	1	0.154830	0.006240	0.000000	0.000000	0.161070	0.236290	43639
OSEBERG ØST	2004	2	0.150760	0.005460	0.000000	0.000000	0.156210	0.235700	43639
OSEBERG ØST	2004	3	0.147960	0.005690	0.000000	0.000000	0.153660	0.236350	43639
OSEBERG ØST	2004	4	0.157370	0.005850	0.000000	0.000000	0.163220	0.265380	43639
OSEBERG ØST	2004	5	0.148950	0.005240	0.000000	0.000000	0.154190	0.273370	43639
OSEBERG ØST	2004	6	0.146810	0.005880	0.000000	0.000000	0.152680	0.259750	43639
OSEBERG ØST	2004	7	0.163710	0.006210	0.000000	0.000000	0.169920	0.256880	43639
OSEBERG ØST	2004	8	0.147270	0.005580	0.000000	0.000000	0.152840	0.208950	43639
OSEBERG ØST	2004	9	0.152890	0.005340	0.000000	0.000000	0.158240	0.261540	43639
OSEBERG ØST	2004	10	0.144150	0.005230	0.000000	0.000000	0.149380	0.245140	43639
OSEBERG ØST	2004	11	0.145970	0.005280	0.000000	0.000000	0.151250	0.255640	43639
OSEBERG ØST	2004	12	0.137160	0.004600	0.000000	0.000000	0.141760	0.255550	43639
OSEBERG ØST	2005	1	0.110510	0.003900	0.000000	0.000000	0.114410	0.256330	43639
OSEBERG ØST	2005	2	0.096960	0.003670	0.000000	0.000000	0.100630	0.231460	43639
OSEBERG ØST	2005	3	0.116150	0.004100	0.000000	0.000000	0.120250	0.283310	43639
OSEBERG ØST	2005	4	0.102800	0.003730	0.000000	0.000000	0.106520	0.240540	43639
OSEBERG ØST	2005	5	0.080030	0.003010	0.000000	0.000000	0.083040	0.215700	43639
OSEBERG ØST	2005	6	0.037550	0.001260	0.000000	0.000000	0.038810	0.108550	43639
OSEBERG ØST	2005	7	0.080270	0.002740	0.000000	0.000000	0.083010	0.265310	43639
OSEBERG ØST	2005	8	0.089100	0.002930	0.000000	0.000000	0.092030	0.239840	43639
OSEBERG ØST	2005	9	0.090290	0.003150	0.000000	0.000000	0.093440	0.234770	43639
OSEBERG ØST	2005	10	0.091580	0.003210	0.000000	0.000000	0.094790	0.254530	43639
OSEBERG ØST	2005	11	0.088740	0.003170	0.000000	0.000000	0.091900	0.244580	43639
OSEBERG ØST	2005	12	0.077860	0.002250	0.000000	0.000000	0.080110	0.194980	43639
OSEBERG ØST	2006	1	0.052300	0.001840	0.000000	0.000000	0.054140	0.180280	43639
OSEBERG ØST	2006	2	0.046970	0.001790	0.000000	0.000000	0.048770	0.179820	43639
OSEBERG ØST	2006	3	0.050090	0.001780	0.000000	0.000000	0.051870	0.193540	43639
OSEBERG ØST	2006	4	0.049210	0.001790	0.000000	0.000000	0.051000	0.198090	43639
OSEBERG ØST	2006	5	0.046230	0.001830	0.000000	0.000000	0.048050	0.162840	43639
OSEBERG ØST	2006	6	0.070330	0.002780	0.000000	0.000000	0.073110	0.205350	43639
OSEBERG ØST	2006	7	0.062070	0.002160	0.000000	0.000000	0.064230	0.206130	43639
OSEBERG ØST	2006	8	0.061460	0.002100	0.000000	0.000000	0.063560	0.221270	43639
OSEBERG ØST	2006	9	0.060850	0.002010	0.000000	0.000000	0.062860	0.233920	43639
OSEBERG ØST	2006	10	0.058140	0.001950	0.000000	0.000000	0.060090	0.246580	43639
OSEBERG ØST	2006	11	0.052220	0.001840	0.000000	0.000000	0.054060	0.216490	43639
OSEBERG ØST	2006	12	0.053460	0.002020	0.000000	0.000000	0.055490	0.258960	43639
OSEBERG ØST	2007	1	0.036710	0.001390	0.000000	0.000000	0.038100	0.179730	43639
OSEBERG ØST	2007	2	0.045910	0.001660	0.000000	0.000000	0.047570	0.220980	43639
OSEBERG ØST	2007	3	0.052150	0.001870	0.000000	0.000000	0.054020	0.251020	43639
OSEBERG ØST	2007	4	0.063610	0.002310	0.000000	0.000000	0.065910	0.265080	43639
OSEBERG ØST	2007	5	0.045220	0.001580	0.000000	0.000000	0.046800	0.220230	43639
OSEBERG ØST	2007	6	0.032170	0.001070	0.000000	0.000000	0.033240	0.169930	43639
OSEBERG ØST	2007	7	0.051900	0.001940	0.000000	0.000000	0.053840	0.254840	43639
OSEBERG ØST	2007	8	0.055390	0.002010	0.000000	0.000000	0.057390	0.266850	43639
OSEBERG ØST	2007	9	0.043660	0.001710	0.000000	0.000000	0.045370	0.200340	43639
OSEBERG ØST	2007	10	0.032440	0.001240	0.000000	0.000000	0.033680	0.158530	43639
OSEBERG ØST	2007	11	0.045770	0.001630	0.000000	0.000000	0.047400	0.205780	43639
OSEBERG ØST	2007	12	0.033940	0.001140	0.000000	0.000000	0.035080	0.183560	43639
OSEBERG ØST	2008	1	0.057000	0.001080	0.000000	0.000000	0.058080	0.217570	43639
OSEBERG ØST	2008	2	0.057950	0.001100	0.000000	0.000000	0.059050	0.215550	43639
OSEBERG ØST	2008	3	0.038500	0.000740	0.000000	0.000000	0.039240	0.145400	43639
OSEBERG ØST	2008	4	0.022320	0.000430	0.000000	0.000000	0.022750	0.103200	43639
OSEBERG ØST	2008	5	0.054060	0.000590	0.000000	0.000000	0.054650	0.244480	43639
OSEBERG ØST	2008	6	0.031310	0.000610	0.000000	0.000000	0.031920	0.139480	43639
OSEBERG ØST	2008	7	0.041510	0.000790	0.000000	0.000000	0.042300	0.181950	43639
OSEBERG ØST	2008	8	0.036280	0.000670	0.000000	0.000000	0.036960	0.151170	43639
OSEBERG ØST	2008	9	0.026700	0.000520	0.000000	0.000000	0.027210	0.141010	43639
OSEBERG ØST	2008	10	0.026950	0.000500	0.000000	0.000000	0.027450	0.129280	43639
OSEBERG ØST	2008	11	0.032580	0.000620	0.000000	0.000000	0.033190	0.145400	43639
OSEBERG ØST	2008	12	0.013350	0.000250	0.000000	0.000000	0.013600	0.073930	43639
OSEBERG ØST	2009	1	0.018050	0.000330	0.000000	0.000000	0.018380	0.085470	43639
OSEBERG ØST	2009	2	0.021540	0.000400	0.000000	0.000000	0.021930	0.097130	43639
OSEBERG ØST	2009	3	0.014210	0.000280	0.000000	0.000000	0.014490	0.063190	43639
OSEBERG ØST	2009	4	0.029840	0.000570	0.000000	0.000000	0.030420	0.105860	43639
OSEBERG ØST	2009	5	0.054550	0.001000	0.000000	0.000000	0.055550	0.142060	43639
OSEBERG ØST	2009	6	0.012900	0.000230	0.000000	0.000000	0.013130	0.037700	43639
OSEBERG ØST	2009	7	0.036260	0.000770	0.000000	0.000000	0.037030	0.127060	43639
OSEBERG ØST	2009	8	0.046040	0.000810	0.000000	0.000000	0.046850	0.130720	43639
OSEBERG ØST	2009	9	0.030430	0.000580	0.000000	0.000000	0.031010	0.118890	43639
OSEBERG ØST	2009	10	0.027730	0.000290	0.000000	0.000000	0.028010	0.107650	43639
OSEBERG ØST	2009	11	0.030500	0.000580	0.000000	0.000000	0.031080	0.120910	43639
OSEBERG ØST	2009	12	0.028410	0.000540	0.000000	0.000000	0.028940	0.114810	43639
OSEBERG ØST	2010	1	0.030630	0.000580	0.000000	0.000000	0.031210	0.118000	43639
OSEBERG ØST	2010	2	0.025640	0.000500	0.000000	0.000000	0.026140	0.104320	43639
OSEBERG ØST	2010	3	0.035270	0.000620	0.000000	0.000000	0.035890	0.141510	43639
OSEBERG ØST	2010	4	0.015690	0.000280	0.000000	0.000000	0.015960	0.073980	43639
OSEBERG ØST	2010	5	0.032900	0.000620	0.000000	0.000000	0.033520	0.151500	43639
OSEBERG ØST	2010	6	0.026280	0.000500	0.000000	0.000000	0.026780	0.118130	43639
OSEBERG ØST	2010	7	0.028290	0.000540	0.000000	0.000000	0.028830	0.131030	43639
OSEBERG ØST	2010	8	0.032730	0.000610	0.000000	0.000000	0.033350	0.142980	43639
OSEBERG ØST	2010	9	0.031760	0.000610	0.000000	0.000000	0.032370	0.138580	43639
OSEBERG ØST	2010	10	0.029830	0.000570	0.000000	0.000000	0.030400	0.130870	43639
OSEBERG ØST	2010	11	0.029810	0.000560	0.000000	0.000000	0.030370	0.130440	43639
OSEBERG ØST	2010	12	0.030090	0.000570	0.000000	0.000000	0.030650	0.137360	43639
OSEBERG ØST	2011	1	0.021560	0.000400	0.000000	0.000000	0.021960	0.101500	43639
OSEBERG ØST	2011	2	0.037370	0.000500	0.000000	0.000000	0.037870	0.113820	43639
OSEBERG ØST	2011	3	0.060580	0.001150	0.000000	0.000000	0.061730	0.135720	43639
OSEBERG ØST	2011	4	0.046000	0.001150	0.000000	0.000000	0.047140	0.111640	43639
OSEBERG ØST	2011	5	0.025990	0.000500	0.000000	0.000000	0.026490	0.069230	43639
OSEBERG ØST	2011	6	0.031930	0.000590	0.000000	0.000000	0.032510	0.086810	43639
OSEBERG ØST	2011	7	0.050740	0.000970	0.000000	0.000000	0.051710	0.133370	43639
OSEBERG ØST	2011	8	0.046600	0.000860	0.000000	0.000000	0.047470	0.125040	43639
OSEBERG ØST	2011	9	0.044890	0.000890	0.000000	0.000000	0.045780	0.112190	43639
OSEBERG ØST	2011	10	0.052020	0.000990	0.000000	0.000000	0.053010	0.126000	43639
OSEBERG ØST	2011	11	0.051190	0.000970	0.000000	0.000000	0.052150	0.121960	43639
OSEBERG ØST	2011	12	0.047510	0.000890	0.000000	0.000000	0.048400	0.115100	43639
OSEBERG ØST	2012	1	0.036490	0.000680	0.000000	0.000000	0.037170	0.092360	43639
OSEBERG ØST	2012	2	0.041350	0.000780	0.000000	0.000000	0.042130	0.089570	43639
OSEBERG ØST	2012	3	0.035920	0.000740	0.000000	0.000000	0.036660	0.095910	43639
OSEBERG ØST	2012	4	0.052350	0.000960	0.000000	0.000000	0.053310	0.145210	43639
OSEBERG ØST	2012	5	0.046950	0.000860	0.000000	0.000000	0.047800	0.131840	43639
OSEBERG ØST	2012	6	0.033890	0.000630	0.000000	0.000000	0.034520	0.102550	43639
OSEBERG ØST	2012	7	0.026240	0.000500	0.000000	0.000000	0.026740	0.089080	43639
OSEBERG ØST	2012	8	0.040780	0.000780	0.000000	0.000000	0.041560	0.140260	43639
OSEBERG ØST	2012	9	0.025200	0.000480	0.000000	0.000000	0.025670	0.082340	43639
OSEBERG ØST	2012	10	0.037910	0.000710	0.000000	0.000000	0.038630	0.151430	43639
OSEBERG ØST	2012	11	0.036800	0.000730	0.000000	0.000000	0.037530	0.141120	43639
OSEBERG ØST	2012	12	0.041180	0.000760	0.000000	0.000000	0.041940	0.160760	43639
OSEBERG ØST	2013	1	0.037170	0.000700	0.000000	0.000000	0.037870	0.151200	43639
OSEBERG ØST	2013	2	0.031090	0.000610	0.000000	0.000000	0.031700	0.132070	43639
OSEBERG SØR	2000	2	0.047940	0.000000	0.000000	0.000000	0.047940	0.000370	43645
OSEBERG SØR	2000	3	0.066690	0.000000	0.000000	0.000000	0.066690	0.000220	43645
OSEBERG SØR	2000	4	0.053000	0.000000	0.000000	0.000000	0.053000	0.000110	43645
OSEBERG SØR	2000	5	0.054130	0.000000	0.000000	0.000000	0.054130	0.000060	43645
OSEBERG SØR	2000	6	0.048460	0.000000	0.000000	0.000000	0.048460	0.000070	43645
OSEBERG SØR	2000	7	0.050010	0.000000	0.000000	0.000000	0.050010	0.000060	43645
OSEBERG SØR	2000	8	0.066940	0.000000	0.000000	0.000000	0.066940	0.000020	43645
OSEBERG SØR	2000	9	0.134780	0.000000	0.000000	0.000000	0.134780	0.000220	43645
OSEBERG SØR	2000	10	0.238560	0.000000	0.000000	0.000000	0.238560	0.000310	43645
OSEBERG SØR	2000	11	0.267250	0.000000	0.000000	0.000000	0.267250	0.000320	43645
OSEBERG SØR	2000	12	0.404300	0.000000	0.000000	0.000000	0.404300	0.002490	43645
OSEBERG SØR	2001	1	0.396010	0.000000	0.000000	0.000000	0.396010	0.005060	43645
OSEBERG SØR	2001	2	0.257400	0.000000	0.000000	0.000000	0.257400	0.004420	43645
OSEBERG SØR	2001	3	0.249640	0.000000	0.000000	0.000000	0.249640	0.004120	43645
OSEBERG SØR	2001	4	0.295890	0.000000	0.000000	0.000000	0.295890	0.004310	43645
OSEBERG SØR	2001	5	0.366550	0.000000	0.000000	0.000000	0.366550	0.001720	43645
OSEBERG SØR	2001	6	0.297280	0.000000	0.000000	0.000000	0.297280	0.001040	43645
OSEBERG SØR	2001	7	0.402550	0.000000	0.000000	0.000000	0.402550	0.001460	43645
OSEBERG SØR	2001	8	0.424970	0.000000	0.000000	0.000000	0.424970	0.004740	43645
OSEBERG SØR	2001	9	0.443120	0.000000	0.000000	0.000000	0.443120	0.007770	43645
OSEBERG SØR	2001	10	0.428660	0.000000	0.000000	0.000000	0.428660	0.005110	43645
OSEBERG SØR	2001	11	0.449430	0.000000	0.000000	0.000000	0.449430	0.002680	43645
OSEBERG SØR	2001	12	0.444480	0.000000	0.000000	0.000000	0.444480	0.004760	43645
OSEBERG SØR	2002	1	0.417710	0.000000	0.000000	0.000000	0.417710	0.005620	43645
OSEBERG SØR	2002	2	0.324140	0.000000	0.000000	0.000000	0.324140	0.019040	43645
OSEBERG SØR	2002	3	0.356550	0.000000	0.000000	0.000000	0.356550	0.008530	43645
OSEBERG SØR	2002	4	0.353040	0.000000	0.000000	0.000000	0.353040	0.014050	43645
OSEBERG SØR	2002	5	0.375320	0.000000	0.000000	0.000000	0.375320	0.018760	43645
OSEBERG SØR	2002	6	0.319090	0.000000	0.000000	0.000000	0.319090	0.016580	43645
OSEBERG SØR	2002	7	0.373020	0.000000	0.000000	0.000000	0.373020	0.020350	43645
OSEBERG SØR	2002	8	0.372470	0.000000	0.000000	0.000000	0.372470	0.011420	43645
OSEBERG SØR	2002	9	0.359800	0.000000	0.000000	0.000000	0.359800	0.010380	43645
OSEBERG SØR	2002	10	0.351240	0.069590	0.000000	0.000000	0.420830	0.020370	43645
OSEBERG SØR	2002	11	0.359020	0.065880	0.000000	0.000000	0.424900	0.013820	43645
OSEBERG SØR	2002	12	0.398630	0.061680	0.000000	0.000000	0.460310	0.015560	43645
OSEBERG SØR	2003	1	0.399630	0.050460	0.000000	0.000000	0.450090	0.016370	43645
OSEBERG SØR	2003	2	0.394030	0.050540	0.000000	0.000000	0.444570	0.020280	43645
OSEBERG SØR	2003	3	0.423000	0.060600	0.000000	0.000000	0.483600	0.023520	43645
OSEBERG SØR	2003	4	0.442050	0.062700	0.000000	0.000000	0.504750	0.023930	43645
OSEBERG SØR	2003	5	0.472470	0.080470	0.000000	0.000000	0.552940	0.028090	43645
OSEBERG SØR	2003	6	0.334940	0.062170	0.000000	0.000000	0.397110	0.023190	43645
OSEBERG SØR	2003	7	0.402630	0.069520	0.000000	0.000000	0.472150	0.027740	43645
OSEBERG SØR	2003	8	0.460790	0.088200	0.000000	0.000000	0.548980	0.030020	43645
OSEBERG SØR	2003	9	0.424970	0.083030	0.000000	0.000000	0.508000	0.028470	43645
OSEBERG SØR	2003	10	0.455470	0.100310	0.000000	0.000000	0.555780	0.029620	43645
OSEBERG SØR	2003	11	0.418880	0.091180	0.000000	0.000000	0.510070	0.034730	43645
OSEBERG SØR	2003	12	0.431430	0.095860	0.000000	0.000000	0.527290	0.040940	43645
OSEBERG SØR	2004	1	0.418410	0.094350	0.000000	0.000000	0.512760	0.052960	43645
OSEBERG SØR	2004	2	0.314320	0.075470	0.000000	0.000000	0.389790	0.064580	43645
OSEBERG SØR	2004	3	0.323360	0.072050	0.000000	0.000000	0.395400	0.049240	43645
OSEBERG SØR	2004	4	0.436970	0.078530	0.000000	0.000000	0.515500	0.090960	43645
OSEBERG SØR	2004	5	0.374240	0.072160	0.000000	0.000000	0.446400	0.086050	43645
OSEBERG SØR	2004	6	0.422140	0.088160	0.000000	0.000000	0.510300	0.098840	43645
OSEBERG SØR	2004	7	0.434820	0.086850	0.000000	0.000000	0.521670	0.096810	43645
OSEBERG SØR	2004	8	0.408460	0.083870	0.000000	0.000000	0.492320	0.080890	43645
OSEBERG SØR	2004	9	0.369930	0.073970	0.000000	0.000000	0.443900	0.071890	43645
OSEBERG SØR	2004	10	0.347010	0.073990	0.000000	0.000000	0.421000	0.106480	43645
OSEBERG SØR	2004	11	0.363940	0.073710	0.000000	0.000000	0.437650	0.107130	43645
OSEBERG SØR	2004	12	0.368740	0.080620	0.000000	0.000000	0.449360	0.097140	43645
OSEBERG SØR	2005	1	0.345380	0.065540	0.000000	0.000000	0.410920	0.065270	43645
OSEBERG SØR	2005	2	0.303440	0.048470	0.000000	0.000000	0.351910	0.092990	43645
OSEBERG SØR	2005	3	0.352210	0.052090	0.000000	0.000000	0.404300	0.103880	43645
OSEBERG SØR	2005	4	0.341110	0.051980	0.000000	0.000000	0.393100	0.082710	43645
OSEBERG SØR	2005	5	0.343150	0.057430	0.000000	0.000000	0.400590	0.096160	43645
OSEBERG SØR	2005	6	0.173550	0.027040	0.000000	0.000000	0.200590	0.059900	43645
OSEBERG SØR	2005	7	0.386000	0.064590	0.000000	0.000000	0.450590	0.157590	43645
OSEBERG SØR	2005	8	0.382550	0.069140	0.000000	0.000000	0.451680	0.157500	43645
OSEBERG SØR	2005	9	0.396400	0.070460	0.000000	0.000000	0.466860	0.128220	43645
OSEBERG SØR	2005	10	0.400040	0.071060	0.000000	0.000000	0.471100	0.168190	43645
OSEBERG SØR	2005	11	0.375630	0.065340	0.000000	0.000000	0.440970	0.120240	43645
OSEBERG SØR	2005	12	0.382220	0.070130	0.000000	0.000000	0.452350	0.141480	43645
OSEBERG SØR	2006	1	0.376340	0.070590	0.000000	0.000000	0.446930	0.163690	43645
OSEBERG SØR	2006	2	0.315940	0.056160	0.000000	0.000000	0.372110	0.171890	43645
OSEBERG SØR	2006	3	0.334080	0.059660	0.000000	0.000000	0.393730	0.187490	43645
OSEBERG SØR	2006	4	0.308850	0.059070	0.000000	0.000000	0.367920	0.179760	43645
OSEBERG SØR	2006	5	0.349280	0.065520	0.000000	0.000000	0.414800	0.195640	43645
OSEBERG SØR	2006	6	0.338850	0.061250	0.000000	0.000000	0.400100	0.202170	43645
OSEBERG SØR	2006	7	0.367310	0.065630	0.000000	0.000000	0.432940	0.211050	43645
OSEBERG SØR	2006	8	0.346160	0.064190	0.000000	0.000000	0.410340	0.206310	43645
OSEBERG SØR	2006	9	0.308790	0.062560	0.000000	0.000000	0.371350	0.160020	43645
OSEBERG SØR	2006	10	0.350040	0.066410	0.000000	0.000000	0.416450	0.211770	43645
OSEBERG SØR	2006	11	0.316280	0.057400	0.000000	0.000000	0.373670	0.248250	43645
OSEBERG SØR	2006	12	0.358440	0.070640	0.000000	0.000000	0.429070	0.241030	43645
OSEBERG SØR	2007	1	0.315830	0.069040	0.000000	0.000000	0.384870	0.224330	43645
OSEBERG SØR	2007	2	0.275860	0.057420	0.000000	0.000000	0.333290	0.202880	43645
OSEBERG SØR	2007	3	0.278540	0.060120	0.000000	0.000000	0.338660	0.210050	43645
OSEBERG SØR	2007	4	0.288100	0.059190	0.000000	0.000000	0.347280	0.197250	43645
OSEBERG SØR	2007	5	0.228100	0.049010	0.000000	0.000000	0.277120	0.146160	43645
OSEBERG SØR	2007	6	0.160870	0.029530	0.000000	0.000000	0.190400	0.098100	43645
OSEBERG SØR	2007	7	0.264950	0.058540	0.000000	0.000000	0.323490	0.136290	43645
OSEBERG SØR	2007	8	0.245960	0.047840	0.000000	0.000000	0.293800	0.159430	43645
OSEBERG SØR	2007	9	0.268390	0.058800	0.000000	0.000000	0.327190	0.171210	43645
OSEBERG SØR	2007	10	0.282040	0.059920	0.000000	0.000000	0.341960	0.191050	43645
OSEBERG SØR	2007	11	0.264780	0.057550	0.000000	0.000000	0.322330	0.178470	43645
OSEBERG SØR	2007	12	0.299180	0.061420	0.000000	0.000000	0.360600	0.207020	43645
OSEBERG SØR	2008	1	0.228330	0.048770	0.000000	0.000000	0.277100	0.144430	43645
OSEBERG SØR	2008	2	0.255390	0.042530	0.000000	0.000000	0.297920	0.154120	43645
OSEBERG SØR	2008	3	0.286010	0.051030	0.000000	0.000000	0.337040	0.158420	43645
OSEBERG SØR	2008	4	0.296270	0.048270	0.000000	0.000000	0.344540	0.194990	43645
OSEBERG SØR	2008	5	0.292820	0.047710	0.000000	0.000000	0.340530	0.182200	43645
OSEBERG SØR	2008	6	0.216170	0.035940	0.000000	0.000000	0.252110	0.126010	43645
OSEBERG SØR	2008	7	0.327660	0.055250	0.000000	0.000000	0.382910	0.180880	43645
OSEBERG SØR	2008	8	0.293480	0.051080	0.000000	0.000000	0.344570	0.189970	43645
OSEBERG SØR	2008	9	0.270800	0.063870	0.000000	0.000000	0.334670	0.174750	43645
OSEBERG SØR	2008	10	0.294560	0.061020	0.000000	0.000000	0.355590	0.200330	43645
OSEBERG SØR	2008	11	0.265130	0.045590	0.000000	0.000000	0.310710	0.161990	43645
OSEBERG SØR	2008	12	0.278100	0.052100	0.000000	0.000000	0.330200	0.180380	43645
OSEBERG SØR	2009	1	0.207700	0.057640	0.000000	0.000000	0.265340	0.129620	43645
OSEBERG SØR	2009	2	0.220890	0.051310	0.000000	0.000000	0.272190	0.151750	43645
OSEBERG SØR	2009	3	0.220440	0.050170	0.000000	0.000000	0.270610	0.147090	43645
OSEBERG SØR	2009	4	0.223690	0.049320	0.000000	0.000000	0.273010	0.161250	43645
OSEBERG SØR	2009	5	0.253790	0.041110	0.000000	0.000000	0.294910	0.168100	43645
OSEBERG SØR	2009	6	0.114640	0.057950	0.000000	0.000000	0.172590	0.069510	43645
OSEBERG SØR	2009	7	0.257860	0.051860	0.000000	0.000000	0.309730	0.163710	43645
OSEBERG SØR	2009	8	0.233310	0.044660	0.000000	0.000000	0.277970	0.156030	43645
OSEBERG SØR	2009	9	0.236530	0.050820	0.000000	0.000000	0.287350	0.162800	43645
OSEBERG SØR	2009	10	0.218810	0.048050	0.000000	0.000000	0.266860	0.154010	43645
OSEBERG SØR	2009	11	0.205370	0.050530	0.000000	0.000000	0.255900	0.153950	43645
OSEBERG SØR	2009	12	0.240810	0.059610	0.000000	0.000000	0.300420	0.183790	43645
OSEBERG SØR	2010	1	0.237800	0.057960	0.000000	0.000000	0.295750	0.183720	43645
OSEBERG SØR	2010	2	0.218350	0.049000	0.000000	0.000000	0.267350	0.178010	43645
OSEBERG SØR	2010	3	0.225300	0.051720	0.000000	0.000000	0.277020	0.176660	43645
OSEBERG SØR	2010	4	0.207320	0.054810	0.000000	0.000000	0.262130	0.169280	43645
OSEBERG SØR	2010	5	0.215130	0.051100	0.000000	0.000000	0.266220	0.171490	43645
OSEBERG SØR	2010	6	0.193270	0.034170	0.000000	0.000000	0.227440	0.144040	43645
OSEBERG SØR	2010	7	0.177690	0.019810	0.000000	0.000000	0.197500	0.135670	43645
OSEBERG SØR	2010	8	0.209600	0.053420	0.000000	0.000000	0.263020	0.173590	43645
OSEBERG SØR	2010	9	0.138520	0.063910	0.000000	0.000000	0.202420	0.096270	43645
OSEBERG SØR	2010	10	0.103590	0.065540	0.000000	0.000000	0.169120	0.044450	43645
OSEBERG SØR	2010	11	0.186670	0.064060	0.000000	0.000000	0.250730	0.109040	43645
OSEBERG SØR	2010	12	0.188600	0.063720	0.000000	0.000000	0.252320	0.133140	43645
OSEBERG SØR	2011	1	0.174130	0.054950	0.000000	0.000000	0.229080	0.148730	43645
OSEBERG SØR	2011	2	0.170440	0.050330	0.000000	0.000000	0.220770	0.137000	43645
OSEBERG SØR	2011	3	0.172940	0.030800	0.000000	0.000000	0.203740	0.165750	43645
OSEBERG SØR	2011	4	0.190310	0.077890	0.000000	0.000000	0.268200	0.163370	43645
OSEBERG SØR	2011	5	0.106020	0.037930	0.000000	0.000000	0.143950	0.089280	43645
OSEBERG SØR	2011	6	0.151370	0.065470	0.000000	0.000000	0.216840	0.107140	43645
OSEBERG SØR	2011	7	0.183170	0.052720	0.000000	0.000000	0.235890	0.123330	43645
OSEBERG SØR	2011	8	0.200940	0.083490	0.000000	0.000000	0.284430	0.142540	43645
OSEBERG SØR	2011	9	0.173180	0.052540	0.000000	0.000000	0.225720	0.146560	43645
OSEBERG SØR	2011	10	0.173820	0.092230	0.000000	0.000000	0.266050	0.155110	43645
OSEBERG SØR	2011	11	0.189320	0.098870	0.000000	0.000000	0.288190	0.163910	43645
OSEBERG SØR	2011	12	0.195770	0.109910	0.000000	0.000000	0.305680	0.143180	43645
OSEBERG SØR	2012	1	0.199500	0.102420	0.000000	0.000000	0.301920	0.154970	43645
OSEBERG SØR	2012	2	0.203990	0.099890	0.000000	0.000000	0.303880	0.145030	43645
OSEBERG SØR	2012	3	0.212120	0.105550	0.000000	0.000000	0.317660	0.189260	43645
OSEBERG SØR	2012	4	0.202270	0.088990	0.000000	0.000000	0.291270	0.193380	43645
OSEBERG SØR	2012	5	0.192710	0.109360	0.000000	0.000000	0.302070	0.154850	43645
OSEBERG SØR	2012	6	0.139460	0.076860	0.000000	0.000000	0.216320	0.099260	43645
OSEBERG SØR	2012	7	0.115870	0.068500	0.000000	0.000000	0.184370	0.095200	43645
OSEBERG SØR	2012	8	0.193080	0.099520	0.000000	0.000000	0.292600	0.163500	43645
OSEBERG SØR	2012	9	0.102520	0.098230	0.000000	0.000000	0.200750	0.087040	43645
OSEBERG SØR	2012	10	0.199200	0.095780	0.000000	0.000000	0.294980	0.185150	43645
OSEBERG SØR	2012	11	0.172490	0.088810	0.000000	0.000000	0.261300	0.151560	43645
OSEBERG SØR	2012	12	0.163920	0.083660	0.000000	0.000000	0.247580	0.064180	43645
OSEBERG SØR	2013	1	0.152850	0.097940	0.000000	0.000000	0.250790	0.130410	43645
OSEBERG SØR	2013	2	0.163610	0.078120	0.000000	0.000000	0.241740	0.174920	43645
BRAGE	1993	9	0.024500	0.000240	0.000330	0.000000	0.025060	0.000000	43651
BRAGE	1993	10	0.230330	0.003270	0.005470	0.000000	0.239070	0.000000	43651
BRAGE	1993	11	0.371520	0.006740	0.011920	0.000000	0.390180	0.000000	43651
BRAGE	1993	12	0.417690	0.014420	0.013220	0.000000	0.445330	0.000000	43651
BRAGE	1994	1	0.408440	0.016620	0.011200	0.000000	0.436260	0.000000	43651
BRAGE	1994	2	0.385770	0.016140	0.012180	0.000000	0.414080	0.000000	43651
BRAGE	1994	3	0.419450	0.017940	0.014280	0.000000	0.451670	0.000000	43651
BRAGE	1994	4	0.401830	0.013530	0.012550	0.000000	0.427910	0.000000	43651
BRAGE	1994	5	0.462520	0.014690	0.013820	0.000000	0.491030	0.000000	43651
BRAGE	1994	6	0.459100	0.013700	0.014680	0.000000	0.487480	0.000000	43651
BRAGE	1994	7	0.476530	0.015930	0.017240	0.000000	0.509700	0.000000	43651
BRAGE	1994	8	0.474300	0.014210	0.016380	0.000000	0.504890	0.000000	43651
BRAGE	1994	9	0.462070	0.014630	0.015080	0.000000	0.491780	0.000000	43651
BRAGE	1994	10	0.472780	0.019450	0.016370	0.000000	0.508600	0.000000	43651
BRAGE	1994	11	0.458880	0.017790	0.016350	0.000000	0.493020	0.000000	43651
BRAGE	1994	12	0.470150	0.017840	0.013750	0.000000	0.501740	0.000000	43651
BRAGE	1995	1	0.472820	0.016020	0.011630	0.000000	0.500480	0.000000	43651
BRAGE	1995	2	0.437060	0.013260	0.013050	0.000000	0.463370	0.000000	43651
BRAGE	1995	3	0.471260	0.009290	0.008730	0.000000	0.489280	0.000000	43651
BRAGE	1995	4	0.483760	0.018420	0.014510	0.000000	0.516690	0.000000	43651
BRAGE	1995	5	0.475090	0.023440	0.016680	0.000000	0.515200	0.000000	43651
BRAGE	1995	6	0.395500	0.013340	0.010620	0.000000	0.419450	0.000000	43651
BRAGE	1995	7	0.591290	0.024260	0.015760	0.000000	0.631310	0.000000	43651
BRAGE	1995	8	0.593810	0.022050	0.012540	0.000000	0.628390	0.000000	43651
BRAGE	1995	9	0.575980	0.009490	0.005340	0.000000	0.590810	0.000000	43651
BRAGE	1995	10	0.596570	0.026230	0.015250	0.000000	0.638050	0.000000	43651
BRAGE	1995	11	0.570800	0.022410	0.012510	0.000000	0.605710	0.000000	43651
BRAGE	1995	12	0.587980	0.024580	0.015660	0.000000	0.628210	0.000000	43651
BRAGE	1996	1	0.588280	0.025960	0.015580	0.000000	0.629810	0.000000	43651
BRAGE	1996	2	0.542040	0.022700	0.014650	0.000000	0.579380	0.000000	43651
BRAGE	1996	3	0.597280	0.034920	0.021050	0.000000	0.653240	0.000000	43651
BRAGE	1996	4	0.577440	0.038250	0.022070	0.000000	0.637760	0.000000	43651
BRAGE	1996	5	0.599610	0.024190	0.018600	0.000000	0.642400	0.000000	43651
BRAGE	1996	6	0.533790	0.025370	0.014850	0.000000	0.574010	0.000000	43651
BRAGE	1996	7	0.538450	0.032870	0.017680	0.000000	0.589000	0.000000	43651
BRAGE	1996	8	0.485620	0.027590	0.015630	0.000000	0.528840	0.000000	43651
BRAGE	1996	9	0.489400	0.025700	0.018290	0.000000	0.533380	0.000000	43651
BRAGE	1996	10	0.524980	0.034620	0.019830	0.000000	0.579430	0.000000	43651
BRAGE	1996	11	0.535240	0.031510	0.018910	0.000000	0.585660	0.000000	43651
BRAGE	1996	12	0.385780	0.017190	0.011520	0.000000	0.414490	0.000000	43651
BRAGE	1997	1	0.586690	0.028620	0.017870	0.000000	0.633170	0.000000	43651
BRAGE	1997	2	0.529070	0.020820	0.013360	0.000000	0.563250	0.000000	43651
BRAGE	1997	3	0.588450	0.016020	0.010590	0.000000	0.615060	0.000000	43651
BRAGE	1997	4	0.543660	0.027770	0.018390	0.000000	0.589820	0.000000	43651
BRAGE	1997	5	0.514480	0.019500	0.011910	0.000000	0.545890	0.000000	43651
BRAGE	1997	6	0.324840	0.018390	0.010650	0.000000	0.353880	0.000000	43651
BRAGE	1997	7	0.464800	0.027220	0.016230	0.000000	0.508250	0.000000	43651
BRAGE	1997	8	0.485870	0.016820	0.011210	0.000000	0.513910	0.000000	43651
BRAGE	1997	9	0.480390	0.007990	0.005350	0.000000	0.493730	0.000000	43651
BRAGE	1997	10	0.479180	0.012810	0.008560	0.000000	0.500550	0.000000	43651
BRAGE	1997	11	0.460970	0.017770	0.011360	0.000000	0.490100	0.000000	43651
BRAGE	1997	12	0.410270	0.016700	0.010880	0.000000	0.437850	0.000000	43651
BRAGE	1998	1	0.582970	0.027960	0.019020	0.000000	0.629950	0.000000	43651
BRAGE	1998	2	0.526670	0.026100	0.019240	0.000000	0.572010	0.000000	43651
BRAGE	1998	3	0.522250	0.038410	0.026410	0.000000	0.587070	0.000000	43651
BRAGE	1998	4	0.480790	0.034230	0.023490	0.000000	0.538510	0.000000	43651
BRAGE	1998	5	0.484610	0.022230	0.021400	0.000000	0.528240	0.000000	43651
BRAGE	1998	6	0.491330	0.023270	0.017130	0.000000	0.531730	0.000000	43651
BRAGE	1998	7	0.488680	0.027910	0.018480	0.000000	0.535070	0.000000	43651
BRAGE	1998	8	0.455590	0.010110	0.003510	0.000000	0.469210	0.000000	43651
BRAGE	1998	9	0.399850	0.021110	0.012680	0.000000	0.433640	0.000000	43651
BRAGE	1998	10	0.416000	0.020330	0.014220	0.000000	0.450550	0.000000	43651
BRAGE	1998	11	0.356410	0.012850	0.009420	0.000000	0.378690	0.000000	43651
BRAGE	1998	12	0.336220	0.016520	0.009970	0.000000	0.362710	0.000000	43651
BRAGE	1999	1	0.337930	0.018680	0.011670	0.000000	0.368280	0.000000	43651
BRAGE	1999	2	0.317160	0.014370	0.010930	0.000000	0.342460	0.000000	43651
BRAGE	1999	3	0.323760	0.016500	0.011450	0.000000	0.351710	0.000000	43651
BRAGE	1999	4	0.390500	0.015090	0.010700	0.000000	0.416280	0.000000	43651
BRAGE	1999	5	0.369190	0.018240	0.013780	0.000000	0.401210	0.000000	43651
BRAGE	1999	6	0.219710	0.013080	0.009740	0.000000	0.242530	0.000000	43651
BRAGE	1999	7	0.359800	0.018850	0.012480	0.000000	0.391120	0.000000	43651
BRAGE	1999	8	0.333580	0.016050	0.011170	0.000000	0.360800	0.000000	43651
BRAGE	1999	9	0.295820	0.009610	0.007040	0.000000	0.312470	0.000000	43651
BRAGE	1999	10	0.288270	0.005980	0.004150	0.000000	0.298400	0.000000	43651
BRAGE	1999	11	0.255120	0.004540	0.003690	0.000000	0.263340	0.000000	43651
BRAGE	1999	12	0.307520	0.006580	0.004640	0.000000	0.318730	0.000000	43651
BRAGE	2000	1	0.233180	0.005510	0.003520	0.000000	0.242210	0.409850	43651
BRAGE	2000	2	0.238100	0.010530	0.007140	0.000000	0.255770	0.455240	43651
BRAGE	2000	3	0.215210	0.015420	0.009580	0.000000	0.240210	0.420080	43651
BRAGE	2000	4	0.212560	0.014670	0.009210	0.000000	0.236440	0.419370	43651
BRAGE	2000	5	0.242380	0.013810	0.010580	0.000000	0.266770	0.449400	43651
BRAGE	2000	6	0.227120	0.013800	0.009450	0.000000	0.250360	0.430290	43651
BRAGE	2000	7	0.230900	0.013780	0.009200	0.000000	0.253880	0.419080	43651
BRAGE	2000	8	0.226840	0.013620	0.010440	0.000000	0.250900	0.430550	43651
BRAGE	2000	9	0.201030	0.011830	0.009030	0.000000	0.221880	0.389190	43651
BRAGE	2000	10	0.194130	0.012020	0.008190	0.000000	0.214340	0.394600	43651
BRAGE	2000	11	0.207460	0.013410	0.014730	0.000000	0.235600	0.399430	43651
BRAGE	2000	12	0.203810	0.011050	0.013610	0.000000	0.228480	0.405670	43651
BRAGE	2001	1	0.230770	0.014880	0.014840	0.000000	0.260480	0.536510	43651
BRAGE	2001	2	0.195700	0.013120	0.013000	0.000000	0.221810	0.465390	43651
BRAGE	2001	3	0.202720	0.015380	0.014420	0.000000	0.232520	0.425390	43651
BRAGE	2001	4	0.205000	0.016600	0.015790	0.000000	0.237390	0.495480	43651
BRAGE	2001	5	0.213860	0.019890	0.018450	0.000000	0.252200	0.538020	43651
BRAGE	2001	6	0.110380	0.010260	0.009400	0.000000	0.130040	0.307280	43651
BRAGE	2001	7	0.180950	0.010540	0.010380	0.000000	0.201870	0.518550	43651
BRAGE	2001	8	0.196640	0.014510	0.013230	0.000000	0.224380	0.564770	43651
BRAGE	2001	9	0.187570	0.014700	0.012300	0.000000	0.214560	0.563780	43651
BRAGE	2001	10	0.185460	0.013980	0.012910	0.000000	0.212350	0.594370	43651
BRAGE	2001	11	0.166490	0.012920	0.012360	0.000000	0.191770	0.584020	43651
BRAGE	2001	12	0.153310	0.010500	0.010710	0.000000	0.174520	0.592730	43651
BRAGE	2002	1	0.201200	0.013000	0.011940	0.000000	0.226140	0.538950	43651
BRAGE	2002	2	0.188590	0.010950	0.010080	0.000000	0.209610	0.454910	43651
BRAGE	2002	3	0.071730	0.002800	0.002620	0.000000	0.077160	0.159100	43651
BRAGE	2002	4	0.205280	0.009670	0.009490	0.000000	0.224440	0.537020	43651
BRAGE	2002	5	0.226920	0.012280	0.012230	0.000000	0.251420	0.500870	43651
BRAGE	2002	6	0.187450	0.010660	0.010870	0.000000	0.208980	0.411730	43651
BRAGE	2002	7	0.157010	0.007910	0.007700	0.000000	0.172620	0.337200	43651
BRAGE	2002	8	0.188350	0.008220	0.007470	0.000000	0.204040	0.488360	43651
BRAGE	2002	9	0.183290	0.010350	0.009820	0.000000	0.203460	0.532090	43651
BRAGE	2002	10	0.177830	0.010360	0.009200	0.000000	0.197400	0.551970	43651
BRAGE	2002	11	0.174640	0.009790	0.008380	0.000000	0.192810	0.602110	43651
BRAGE	2002	12	0.180350	0.008840	0.008730	0.000000	0.197910	0.619150	43651
BRAGE	2003	1	0.160980	0.008640	0.007460	0.000000	0.177080	0.572670	43651
BRAGE	2003	2	0.153830	0.007950	0.006720	0.000000	0.168500	0.554230	43651
BRAGE	2003	3	0.163760	0.008280	0.007020	0.000000	0.179060	0.492790	43651
BRAGE	2003	4	0.173030	0.009230	0.007380	0.000000	0.189640	0.473680	43651
BRAGE	2003	5	0.135410	0.005700	0.004680	0.000000	0.145790	0.454980	43651
BRAGE	2003	6	0.142360	0.006490	0.005460	0.000000	0.154310	0.486990	43651
BRAGE	2003	7	0.171790	0.009000	0.007190	0.000000	0.187980	0.623390	43651
BRAGE	2003	8	0.167070	0.009050	0.007230	0.000000	0.183340	0.616640	43651
BRAGE	2003	9	0.158290	0.009060	0.007910	0.000000	0.175260	0.629960	43651
BRAGE	2003	10	0.149710	0.008000	0.006440	0.000000	0.164150	0.651340	43651
BRAGE	2003	11	0.148970	0.008190	0.006790	0.000000	0.163960	0.689620	43651
BRAGE	2003	12	0.152830	0.008800	0.007110	0.000000	0.168750	0.728190	43651
BRAGE	2004	1	0.145160	0.008550	0.006870	0.000000	0.160570	0.697190	43651
BRAGE	2004	2	0.149570	0.008130	0.006740	0.000000	0.164440	0.670970	43651
BRAGE	2004	3	0.095270	0.003760	0.003070	0.000000	0.102090	0.477150	43651
BRAGE	2004	4	0.145910	0.007370	0.005830	0.000000	0.159110	0.716830	43651
BRAGE	2004	5	0.143390	0.010530	0.008170	0.000000	0.162100	0.712490	43651
BRAGE	2004	6	0.147290	0.009350	0.006950	0.000000	0.163590	0.756960	43651
BRAGE	2004	7	0.127130	0.005630	0.004350	0.000000	0.137100	0.727280	43651
BRAGE	2004	8	0.121020	0.002670	0.002000	0.000000	0.125700	0.768910	43651
BRAGE	2004	9	0.121320	0.008470	0.006230	0.000000	0.136030	0.700920	43651
BRAGE	2004	10	0.129630	0.008190	0.005830	0.000000	0.143650	0.745900	43651
BRAGE	2004	11	0.120970	0.007230	0.005170	0.000000	0.133380	0.721970	43651
BRAGE	2004	12	0.134680	0.008910	0.006380	0.000000	0.149970	0.705330	43651
BRAGE	2005	1	0.129860	0.009790	0.007160	0.000000	0.146800	0.791910	43651
BRAGE	2005	2	0.104770	0.007630	0.005310	0.000000	0.117710	0.660930	43651
BRAGE	2005	3	0.125370	0.011810	0.008530	0.000000	0.145700	0.795930	43651
BRAGE	2005	4	0.115950	0.010590	0.007050	0.000000	0.133590	0.739390	43651
BRAGE	2005	5	0.150830	0.013310	0.008050	0.000000	0.172200	0.760020	43651
BRAGE	2005	6	0.048000	0.002540	0.001800	0.000000	0.052330	0.331910	43651
BRAGE	2005	7	0.153760	0.010490	0.006990	0.000000	0.171240	0.795330	43651
BRAGE	2005	8	0.146220	0.012070	0.009060	0.000000	0.167350	0.799770	43651
BRAGE	2005	9	0.126120	0.010700	0.007260	0.000000	0.144090	0.725130	43651
BRAGE	2005	10	0.136660	0.012660	0.008680	0.000000	0.158000	0.808120	43651
BRAGE	2005	11	0.121380	0.011580	0.008310	0.000000	0.141270	0.781650	43651
BRAGE	2005	12	0.122080	0.011240	0.007870	0.000000	0.141190	0.805860	43651
BRAGE	2006	1	0.111180	0.011780	0.008300	0.000000	0.131260	0.787910	43651
BRAGE	2006	2	0.101640	0.011410	0.007800	0.000000	0.120850	0.713480	43651
BRAGE	2006	3	0.109090	0.012590	0.008080	0.000000	0.129760	0.810470	43651
BRAGE	2006	4	0.101460	0.011180	0.007360	0.000000	0.120010	0.775570	43651
BRAGE	2006	5	0.089520	0.007240	0.004370	0.000000	0.101130	0.740430	43651
BRAGE	2006	6	0.081480	0.006120	0.003790	0.000000	0.091380	0.669460	43651
BRAGE	2006	7	0.094550	0.012440	0.008030	0.000000	0.115020	0.784800	43651
BRAGE	2006	8	0.058910	0.008390	0.005010	0.000000	0.072310	0.504610	43651
BRAGE	2006	9	0.092220	0.012120	0.007490	0.000000	0.111830	0.779650	43651
BRAGE	2006	10	0.092890	0.013010	0.008100	0.000000	0.114010	0.784290	43651
BRAGE	2006	11	0.085110	0.013020	0.008160	0.000000	0.106280	0.776590	43651
BRAGE	2006	12	0.094920	0.013430	0.007750	0.000000	0.116100	0.813940	43651
BRAGE	2007	1	0.082080	0.012010	0.006930	0.000000	0.101010	0.715700	43651
BRAGE	2007	2	0.080700	0.011370	0.006310	0.000000	0.098370	0.737490	43651
BRAGE	2007	3	0.089920	0.012670	0.007520	0.000000	0.110110	0.844920	43651
BRAGE	2007	4	0.127140	0.014590	0.009380	0.000000	0.151110	0.698380	43651
BRAGE	2007	5	0.114140	0.012590	0.008420	0.000000	0.135150	0.627770	43651
BRAGE	2007	6	0.077200	0.007410	0.004960	0.000000	0.089570	0.486090	43651
BRAGE	2007	7	0.113100	0.012130	0.007830	0.000000	0.133060	0.801960	43651
BRAGE	2007	8	0.106820	0.012150	0.007970	0.000000	0.126940	0.830330	43651
BRAGE	2007	9	0.115870	0.019430	0.012280	0.000000	0.147580	0.800200	43651
BRAGE	2007	10	0.109120	0.024500	0.013890	0.000000	0.147510	0.843780	43651
BRAGE	2007	11	0.098940	0.021020	0.012960	0.000000	0.132910	0.784510	43651
BRAGE	2007	12	0.079870	0.014230	0.008330	0.000000	0.102430	0.663920	43651
BRAGE	2008	1	0.090680	0.017650	0.010240	0.000000	0.118560	0.751190	43651
BRAGE	2008	2	0.097810	0.017560	0.010660	0.000000	0.126020	0.700470	43651
BRAGE	2008	3	0.121500	0.022480	0.014860	0.000000	0.158840	0.764600	43651
BRAGE	2008	4	0.131370	0.022000	0.013570	0.000000	0.166940	0.717140	43651
BRAGE	2008	5	0.137910	0.023640	0.015720	0.000000	0.177270	0.731670	43651
BRAGE	2008	6	0.103000	0.014810	0.009520	0.000000	0.127330	0.562700	43651
BRAGE	2008	7	0.137320	0.020780	0.013460	0.000000	0.171560	0.643070	43651
BRAGE	2008	8	0.145120	0.025060	0.016170	0.000000	0.186360	0.690430	43651
BRAGE	2008	9	0.140390	0.022970	0.014900	0.000000	0.178260	0.686410	43651
BRAGE	2008	10	0.150340	0.024040	0.016600	0.000000	0.190980	0.733770	43651
BRAGE	2008	11	0.135790	0.018450	0.013210	0.000000	0.167450	0.588020	43651
BRAGE	2008	12	0.206040	0.029640	0.020750	0.000000	0.256430	0.588130	43651
BRAGE	2009	1	0.157780	0.020260	0.015100	0.000000	0.193150	0.489750	43651
BRAGE	2009	2	0.159490	0.017560	0.012940	0.000000	0.189980	0.499020	43651
BRAGE	2009	3	0.159740	0.018850	0.013970	0.000000	0.192560	0.619930	43651
BRAGE	2009	4	0.142290	0.009080	0.006930	0.000000	0.158300	0.606590	43651
BRAGE	2009	5	0.145530	0.006790	0.004930	0.000000	0.157240	0.670310	43651
BRAGE	2009	6	0.068420	0.003340	0.002420	0.000000	0.074180	0.317980	43651
BRAGE	2009	7	0.131510	0.006680	0.004790	0.000000	0.142980	0.637870	43651
BRAGE	2009	8	0.137700	0.006140	0.004590	0.000000	0.148430	0.714550	43651
BRAGE	2009	9	0.154500	0.013460	0.009410	0.000000	0.177370	0.786520	43651
BRAGE	2009	10	0.164520	0.013880	0.010260	0.000000	0.188650	0.809270	43651
BRAGE	2009	11	0.153150	0.009620	0.006980	0.000000	0.169740	0.744650	43651
BRAGE	2009	12	0.101800	0.004640	0.003300	0.000000	0.109740	0.504100	43651
BRAGE	2010	1	0.156030	0.008900	0.006140	0.000000	0.171070	0.776360	43651
BRAGE	2010	2	0.145910	0.008350	0.006230	0.000000	0.160490	0.691790	43651
BRAGE	2010	3	0.156000	0.007810	0.005790	0.000000	0.169600	0.687540	43651
BRAGE	2010	4	0.141290	0.009390	0.006830	0.000000	0.157500	0.668640	43651
BRAGE	2010	5	0.168800	0.015220	0.010620	0.000000	0.194630	0.701480	43651
BRAGE	2010	6	0.157460	0.020260	0.014160	0.000000	0.191880	0.666250	43651
BRAGE	2010	7	0.127220	0.013640	0.009730	0.000000	0.150590	0.650660	43651
BRAGE	2010	8	0.103010	0.007180	0.004620	0.000000	0.114800	0.577660	43651
BRAGE	2010	9	0.065510	0.004530	0.002930	0.000000	0.072970	0.394610	43651
BRAGE	2010	10	0.091530	0.007940	0.004920	0.000000	0.104380	0.662570	43651
BRAGE	2010	11	0.119650	0.011490	0.007470	0.000000	0.138610	0.724500	43651
BRAGE	2010	12	0.113790	0.011130	0.007450	0.000000	0.132370	0.748810	43651
BRAGE	2011	1	0.107990	0.010240	0.006620	0.000000	0.124840	0.735620	43651
BRAGE	2011	2	0.102220	0.010250	0.006780	0.000000	0.119240	0.675720	43651
BRAGE	2011	3	0.073420	0.007630	0.005110	0.000000	0.086150	0.530830	43651
BRAGE	2011	4	0.115390	0.011730	0.008250	0.000000	0.135370	0.770070	43651
BRAGE	2011	5	0.062610	0.006090	0.004230	0.000000	0.072940	0.421090	43651
BRAGE	2011	6	0.103960	0.009130	0.006410	0.000000	0.119500	0.657350	43651
BRAGE	2011	7	0.113680	0.012200	0.008220	0.000000	0.134100	0.749500	43651
BRAGE	2011	8	0.099110	0.011520	0.008010	0.000000	0.118640	0.775670	43651
BRAGE	2011	9	0.093400	0.014020	0.009660	0.000000	0.117080	0.689480	43651
BRAGE	2011	10	0.092720	0.012880	0.008800	0.000000	0.114400	0.784910	43651
BRAGE	2011	11	0.090950	0.012100	0.008080	0.000000	0.111130	0.772280	43651
BRAGE	2011	12	0.077810	0.011740	0.007510	0.000000	0.097060	0.732820	43651
BRAGE	2012	1	0.097700	0.017080	0.011110	0.000000	0.125880	0.805260	43651
BRAGE	2012	2	0.094580	0.010940	0.007490	0.000000	0.113020	0.794750	43651
BRAGE	2012	3	0.097600	0.013660	0.009310	0.000000	0.120570	0.864650	43651
BRAGE	2012	4	0.073870	0.009370	0.005930	0.000000	0.089180	0.838630	43651
BRAGE	2012	5	0.072940	0.007860	0.005100	0.000000	0.085900	0.743840	43651
BRAGE	2012	6	0.010650	0.001170	0.000750	0.000000	0.012570	0.142220	43651
BRAGE	2012	7	0.048900	0.003880	0.002620	0.000000	0.055400	0.540990	43651
BRAGE	2012	8	0.071570	0.013540	0.008620	0.000000	0.093730	0.799670	43651
BRAGE	2012	9	0.065470	0.014040	0.009390	0.000000	0.088900	0.832460	43651
BRAGE	2012	10	0.066860	0.010550	0.006240	0.000000	0.083640	0.901860	43651
BRAGE	2012	11	0.052140	0.001460	0.001060	0.000000	0.054660	0.700850	43651
BRAGE	2012	12	0.035640	0.007440	0.005080	0.000000	0.048160	0.500830	43651
BRAGE	2013	1	0.059100	0.010650	0.006980	0.000000	0.076730	0.768220	43651
BRAGE	2013	2	0.054290	0.010380	0.006570	0.000000	0.071240	0.732780	43651
STATFJORD	1979	11	0.034130	0.000000	0.000000	0.000000	0.034130	0.000000	43658
STATFJORD	1979	12	0.225260	0.000000	0.000000	0.000000	0.225260	0.000000	43658
STATFJORD	1980	1	0.241050	0.000000	0.000000	0.000000	0.241050	0.000000	43658
STATFJORD	1980	2	0.227660	0.000000	0.000000	0.000000	0.227660	0.000000	43658
STATFJORD	1980	3	0.248710	0.000000	0.000000	0.000000	0.248710	0.000000	43658
STATFJORD	1980	4	0.287240	0.000000	0.000000	0.000000	0.287240	0.000000	43658
STATFJORD	1980	5	0.253270	0.000000	0.000000	0.000000	0.253270	0.000000	43658
STATFJORD	1980	6	0.299130	0.000000	0.000000	0.000000	0.299130	0.000000	43658
STATFJORD	1980	7	0.096890	0.000000	0.000000	0.000000	0.096890	0.000000	43658
STATFJORD	1980	8	0.274420	0.000000	0.000000	0.000000	0.274420	0.000000	43658
STATFJORD	1980	9	0.301230	0.000000	0.000000	0.000000	0.301230	0.000000	43658
STATFJORD	1980	10	0.318280	0.000000	0.000000	0.000000	0.318280	0.000000	43658
STATFJORD	1980	11	0.336150	0.000000	0.000000	0.000000	0.336150	0.000000	43658
STATFJORD	1980	12	0.545160	0.000000	0.000000	0.000000	0.545160	0.000000	43658
STATFJORD	1981	1	0.502850	0.000000	0.000000	0.000000	0.502850	0.000000	43658
STATFJORD	1981	2	0.503620	0.000000	0.000000	0.000000	0.503620	0.000000	43658
STATFJORD	1981	3	0.600990	0.000000	0.000000	0.000000	0.600990	0.000000	43658
STATFJORD	1981	4	0.459470	0.000000	0.000000	0.000000	0.459470	0.000000	43658
STATFJORD	1981	5	0.671330	0.000000	0.000000	0.000000	0.671330	0.000000	43658
STATFJORD	1981	6	0.812100	0.000000	0.000000	0.000000	0.812100	0.000000	43658
STATFJORD	1981	7	0.767630	0.000000	0.000000	0.000000	0.767630	0.000000	43658
STATFJORD	1981	8	0.748480	0.000000	0.000000	0.000000	0.748480	0.000000	43658
STATFJORD	1981	9	0.562670	0.000000	0.000000	0.000000	0.562670	0.000000	43658
STATFJORD	1981	10	0.592110	0.000000	0.000000	0.000000	0.592110	0.000000	43658
STATFJORD	1981	11	0.824560	0.000000	0.000000	0.000000	0.824560	0.000000	43658
STATFJORD	1981	12	0.882360	0.000000	0.000000	0.000000	0.882360	0.000000	43658
STATFJORD	1982	1	0.881060	0.000000	0.000000	0.000000	0.881060	0.000000	43658
STATFJORD	1982	2	0.819680	0.000000	0.000000	0.000000	0.819680	0.000000	43658
STATFJORD	1982	3	0.898500	0.000000	0.000000	0.000000	0.898500	0.000000	43658
STATFJORD	1982	4	1.020800	0.000000	0.000000	0.000000	1.020800	0.000000	43658
STATFJORD	1982	5	1.029980	0.000000	0.000000	0.000000	1.029980	0.000000	43658
STATFJORD	1982	6	0.664860	0.000000	0.000000	0.000000	0.664860	0.000000	43658
STATFJORD	1982	7	0.992620	0.000000	0.000000	0.000000	0.992620	0.000000	43658
STATFJORD	1982	8	0.976000	0.000000	0.000000	0.000000	0.976000	0.000000	43658
STATFJORD	1982	9	0.760770	0.000000	0.000000	0.000000	0.760770	0.000000	43658
STATFJORD	1982	10	0.715760	0.000000	0.000000	0.000000	0.715760	0.000000	43658
STATFJORD	1982	11	1.260070	0.000000	0.000000	0.000000	1.260070	0.000000	43658
STATFJORD	1982	12	1.376550	0.000000	0.000000	0.000000	1.376550	0.000000	43658
STATFJORD	1983	1	1.190700	0.000000	0.000000	0.000000	1.190700	0.000000	43658
STATFJORD	1983	2	1.501500	0.000000	0.000000	0.000000	1.501500	0.000000	43658
STATFJORD	1983	3	1.608980	0.000000	0.000000	0.000000	1.608980	0.000000	43658
STATFJORD	1983	4	1.622050	0.000000	0.000000	0.000000	1.622050	0.000000	43658
STATFJORD	1983	5	1.573040	0.000000	0.000000	0.000000	1.573040	0.000000	43658
STATFJORD	1983	6	1.644180	0.000000	0.000000	0.000000	1.644180	0.000000	43658
STATFJORD	1983	7	1.826470	0.000000	0.000000	0.000000	1.826470	0.000000	43658
STATFJORD	1983	8	1.361360	0.000000	0.000000	0.000000	1.361360	0.000000	43658
STATFJORD	1983	9	1.442840	0.000000	0.000000	0.000000	1.442840	0.000000	43658
STATFJORD	1983	10	1.714430	0.000000	0.000000	0.000000	1.714430	0.000000	43658
STATFJORD	1983	11	1.721260	0.000000	0.000000	0.000000	1.721260	0.000000	43658
STATFJORD	1983	12	1.837320	0.000000	0.000000	0.000000	1.837320	0.000000	43658
STATFJORD	1984	1	1.888280	0.000000	0.000000	0.000000	1.888280	0.000000	43658
STATFJORD	1984	2	1.497590	0.000000	0.000000	0.000000	1.497590	0.000000	43658
STATFJORD	1984	3	1.575190	0.000000	0.000000	0.000000	1.575190	0.000000	43658
STATFJORD	1984	4	1.728090	0.000000	0.000000	0.000000	1.728090	0.000000	43658
STATFJORD	1984	5	1.861960	0.000000	0.000000	0.000000	1.861960	0.000000	43658
STATFJORD	1984	6	1.793690	0.000000	0.000000	0.000000	1.793690	0.000000	43658
STATFJORD	1984	7	1.670490	0.000000	0.000000	0.000000	1.670490	0.000000	43658
STATFJORD	1984	8	2.133370	0.000000	0.000000	0.000000	2.133370	0.000000	43658
STATFJORD	1984	9	1.927410	0.000000	0.000000	0.000000	1.927410	0.000000	43658
STATFJORD	1984	10	2.142480	0.000000	0.000000	0.000000	2.142480	0.000000	43658
STATFJORD	1984	11	2.045530	0.000000	0.000000	0.000000	2.045530	0.000000	43658
STATFJORD	1984	12	2.172650	0.000000	0.000000	0.000000	2.172650	0.000000	43658
STATFJORD	1985	1	1.922550	0.000000	0.000000	0.000000	1.922550	0.000000	43658
STATFJORD	1985	2	1.782830	0.000000	0.000000	0.000000	1.782830	0.000000	43658
STATFJORD	1985	3	2.146480	0.000000	0.000000	0.000000	2.146480	0.000000	43658
STATFJORD	1985	4	2.124300	0.000000	0.000000	0.000000	2.124300	0.000000	43658
STATFJORD	1985	5	2.186810	0.000000	0.000000	0.000000	2.186810	0.000000	43658
STATFJORD	1985	6	1.761040	0.000000	0.000000	0.000000	1.761040	0.000000	43658
STATFJORD	1985	7	2.623880	0.000000	0.000000	0.000000	2.623880	0.000000	43658
STATFJORD	1985	8	2.600530	0.000000	0.000000	0.000000	2.600530	0.000000	43658
STATFJORD	1985	9	2.700940	0.000000	0.000000	0.000000	2.700940	0.000000	43658
STATFJORD	1985	10	2.975710	0.089650	0.055810	0.000000	3.121170	0.000000	43658
STATFJORD	1985	11	2.966790	0.096500	0.054980	0.000000	3.118270	0.000000	43658
STATFJORD	1985	12	2.969900	0.268120	0.191560	0.000000	3.429580	0.000000	43658
STATFJORD	1986	1	2.943990	0.297940	0.128480	0.000000	3.370410	0.000000	43658
STATFJORD	1986	2	2.714790	0.266740	0.071040	0.000000	3.052580	0.000000	43658
STATFJORD	1986	3	3.002460	0.257100	0.149580	0.000000	3.409140	0.000000	43658
STATFJORD	1986	4	0.994980	0.079460	0.043350	0.000000	1.117790	0.000000	43658
STATFJORD	1986	5	2.517520	0.237090	0.136640	0.000000	2.891240	0.000000	43658
STATFJORD	1986	6	2.882270	0.287760	0.160250	0.000000	3.330280	0.000000	43658
STATFJORD	1986	7	3.232590	0.278450	0.155390	0.000000	3.666430	0.000000	43658
STATFJORD	1986	8	3.296220	0.232670	0.142000	0.000000	3.670890	0.000000	43658
STATFJORD	1986	9	2.885410	0.236800	0.130360	0.000000	3.252580	0.000000	43658
STATFJORD	1986	10	3.234250	0.282290	0.168160	0.000000	3.684700	0.000000	43658
STATFJORD	1986	11	3.253590	0.268070	0.159160	0.000000	3.680810	0.000000	43658
STATFJORD	1986	12	3.322700	0.285910	0.208170	0.000000	3.816790	0.000000	43658
STATFJORD	1987	1	3.336020	0.284140	0.108490	0.000000	3.728650	0.000000	43658
STATFJORD	1987	2	2.634320	0.259700	0.135840	0.000000	3.029860	0.000000	43658
STATFJORD	1987	3	2.977120	0.276100	0.157200	0.000000	3.410420	0.000000	43658
STATFJORD	1987	4	3.004290	0.293120	0.170570	0.000000	3.467980	0.000000	43658
STATFJORD	1987	5	3.090500	0.275530	0.160750	0.000000	3.526770	0.000000	43658
STATFJORD	1987	6	2.277710	0.263490	0.142640	0.000000	2.683840	0.000000	43658
STATFJORD	1987	7	2.801330	0.272910	0.099450	0.000000	3.173690	0.000000	43658
STATFJORD	1987	8	2.725310	0.089060	0.047600	0.000000	2.861960	0.000000	43658
STATFJORD	1987	9	2.916680	0.258500	0.222230	0.000000	3.397400	0.000000	43658
STATFJORD	1987	10	3.112100	0.303440	0.173480	0.000000	3.589020	0.000000	43658
STATFJORD	1987	11	3.007840	0.301870	0.168550	0.000000	3.478260	0.000000	43658
STATFJORD	1987	12	3.075930	0.382290	0.274290	0.000000	3.732510	0.000000	43658
STATFJORD	1988	1	3.114090	0.342590	0.134260	0.000000	3.590940	0.000000	43658
STATFJORD	1988	2	2.896300	0.295360	0.167400	0.000000	3.359060	0.000000	43658
STATFJORD	1988	3	3.086700	0.259700	0.147260	0.000000	3.493660	0.000000	43658
STATFJORD	1988	4	3.016430	0.238600	0.133160	0.000000	3.388190	0.000000	43658
STATFJORD	1988	5	3.029220	0.245370	0.136650	0.000000	3.411230	0.000000	43658
STATFJORD	1988	6	2.363060	0.261910	0.147570	0.000000	2.772540	0.000000	43658
STATFJORD	1988	7	2.933620	0.241440	0.135760	0.000000	3.310820	0.000000	43658
STATFJORD	1988	8	2.384360	0.216950	0.125370	0.000000	2.726680	0.000000	43658
STATFJORD	1988	9	2.887990	0.224240	0.118720	0.000000	3.230950	0.000000	43658
STATFJORD	1988	10	3.023680	0.245150	0.141470	0.000000	3.410310	0.000000	43658
STATFJORD	1988	11	2.840150	0.277930	0.151980	0.000000	3.270060	0.000000	43658
STATFJORD	1988	12	3.010380	0.353270	0.254950	0.000000	3.618590	0.000000	43658
STATFJORD	1989	1	2.929810	0.304930	0.108770	0.000000	3.343500	0.000000	43658
STATFJORD	1989	2	2.028670	0.219230	0.125060	0.000000	2.372960	0.000000	43658
STATFJORD	1989	3	3.129650	0.290490	0.161560	0.000000	3.581690	0.000000	43658
STATFJORD	1989	4	3.040220	0.200550	0.111850	0.000000	3.352620	0.000000	43658
STATFJORD	1989	5	2.975860	0.247100	0.140260	0.000000	3.363210	0.000000	43658
STATFJORD	1989	6	2.578120	0.282330	0.098810	0.000000	2.959260	0.000000	43658
STATFJORD	1989	7	2.918390	0.246190	0.198210	0.000000	3.362790	0.000000	43658
STATFJORD	1989	8	2.965260	0.233010	0.134400	0.000000	3.332670	0.000000	43658
STATFJORD	1989	9	2.426770	0.128530	0.072070	0.000000	2.627360	0.000000	43658
STATFJORD	1989	10	3.100020	0.253340	0.138360	0.000000	3.491720	0.000000	43658
STATFJORD	1989	11	2.964470	0.298310	0.165240	0.000000	3.428020	0.000000	43658
STATFJORD	1989	12	2.935390	0.310110	0.177950	0.000000	3.423440	0.000000	43658
STATFJORD	1990	1	2.877280	0.326740	0.092460	0.000000	3.296480	0.000000	43658
STATFJORD	1990	2	2.638170	0.255950	0.139580	0.000000	3.033700	0.000000	43658
STATFJORD	1990	3	2.982800	0.285180	0.145110	0.000000	3.413090	0.000000	43658
STATFJORD	1990	4	2.834280	0.249470	0.139650	0.000000	3.223400	0.000000	43658
STATFJORD	1990	5	3.064610	0.195650	0.106680	0.000000	3.366930	0.000000	43658
STATFJORD	1990	6	2.921670	0.246240	0.135230	0.000000	3.303140	0.000000	43658
STATFJORD	1990	7	2.419650	0.189620	0.105500	0.000000	2.714770	0.000000	43658
STATFJORD	1990	8	2.319110	0.246840	0.133640	0.000000	2.699590	0.000000	43658
STATFJORD	1990	9	2.130940	0.187190	0.089140	0.000000	2.407270	0.000000	43658
STATFJORD	1990	10	3.090790	0.249120	0.142180	0.000000	3.482100	0.000000	43658
STATFJORD	1990	11	3.028000	0.266690	0.156650	0.000000	3.451340	0.000000	43658
STATFJORD	1990	12	3.006420	0.273660	0.220350	0.000000	3.500430	0.000000	43658
STATFJORD	1991	1	3.094380	0.277910	0.090950	0.000000	3.463230	0.000000	43658
STATFJORD	1991	2	2.904100	0.264620	0.140030	0.000000	3.308740	0.000000	43658
STATFJORD	1991	3	3.167770	0.261320	0.138320	0.000000	3.567410	0.000000	43658
STATFJORD	1991	4	3.027120	0.233770	0.127430	0.000000	3.388320	0.000000	43658
STATFJORD	1991	5	3.288290	0.221430	0.119330	0.000000	3.629040	0.000000	43658
STATFJORD	1991	6	2.391820	0.208930	0.114600	0.000000	2.715340	0.000000	43658
STATFJORD	1991	7	2.786550	0.204310	0.105330	0.000000	3.096190	0.000000	43658
STATFJORD	1991	8	3.138490	0.058880	0.026440	0.000000	3.223800	0.000000	43658
STATFJORD	1991	9	3.384560	0.229100	0.111020	0.000000	3.724670	0.000000	43658
STATFJORD	1991	10	2.377760	0.293380	0.166300	0.000000	2.837440	0.000000	43658
STATFJORD	1991	11	2.425400	0.292900	0.155130	0.000000	2.873430	0.000000	43658
STATFJORD	1991	12	2.871500	0.291240	0.211560	0.000000	3.374300	0.000000	43658
STATFJORD	1992	1	3.453530	0.286270	0.094410	0.000000	3.834210	0.000000	43658
STATFJORD	1992	2	3.242910	0.270270	0.148360	0.000000	3.661540	0.000000	43658
STATFJORD	1992	3	3.313690	0.265930	0.128460	0.000000	3.708080	0.000000	43658
STATFJORD	1992	4	3.291220	0.234370	0.144150	0.000000	3.669740	0.000000	43658
STATFJORD	1992	5	2.527280	0.219200	0.115110	0.000000	2.861590	0.000000	43658
STATFJORD	1992	6	3.225400	0.234560	0.125090	0.000000	3.585050	0.000000	43658
STATFJORD	1992	7	3.198860	0.215320	0.116870	0.000000	3.531050	0.000000	43658
STATFJORD	1992	8	2.638810	0.265690	0.145190	0.000000	3.049700	0.000000	43658
STATFJORD	1992	9	2.664910	0.225430	0.067990	0.000000	2.958330	0.000000	43658
STATFJORD	1992	10	3.255560	0.265130	0.139650	0.000000	3.660340	0.000000	43658
STATFJORD	1992	11	2.993590	0.240150	0.127600	0.000000	3.361340	0.000000	43658
STATFJORD	1992	12	3.183610	0.258860	0.178200	0.000000	3.620670	0.000000	43658
STATFJORD	1993	1	2.343320	0.277510	0.085520	0.000000	2.706350	0.000000	43658
STATFJORD	1993	2	2.548760	0.250170	0.131140	0.000000	2.930070	0.000000	43658
STATFJORD	1993	3	3.175870	0.308330	0.154640	0.000000	3.638850	0.000000	43658
STATFJORD	1993	4	3.006000	0.216530	0.113930	0.000000	3.336450	0.000000	43658
STATFJORD	1993	5	2.811190	0.188810	0.105340	0.000000	3.105340	0.000000	43658
STATFJORD	1993	6	2.693750	0.119930	0.061130	0.000000	2.874820	0.000000	43658
STATFJORD	1993	7	3.118550	0.207110	0.084620	0.000000	3.410270	0.000000	43658
STATFJORD	1993	8	2.526550	0.179560	0.071340	0.000000	2.777450	0.000000	43658
STATFJORD	1993	9	2.400280	0.275960	0.143490	0.000000	2.819730	0.000000	43658
STATFJORD	1993	10	3.004170	0.312740	0.134400	0.000000	3.451310	0.000000	43658
STATFJORD	1993	11	2.869930	0.314310	0.134780	0.000000	3.319020	0.000000	43658
STATFJORD	1993	12	2.805780	0.309400	0.137080	0.000000	3.252250	0.000000	43658
STATFJORD	1994	1	2.759970	0.281480	0.118470	0.000000	3.159910	0.000000	43658
STATFJORD	1994	2	2.671870	0.251610	0.109550	0.000000	3.033030	0.000000	43658
STATFJORD	1994	3	2.904370	0.301230	0.131150	0.000000	3.336750	0.000000	43658
STATFJORD	1994	4	2.491250	0.264340	0.108670	0.000000	2.864250	0.000000	43658
STATFJORD	1994	5	2.655250	0.240720	0.105920	0.000000	3.001880	0.000000	43658
STATFJORD	1994	6	2.821560	0.250550	0.118750	0.000000	3.190870	0.000000	43658
STATFJORD	1994	7	2.911320	0.256590	0.109080	0.000000	3.276990	0.000000	43658
STATFJORD	1994	8	2.745990	0.219480	0.113080	0.000000	3.078550	0.000000	43658
STATFJORD	1994	9	2.326940	0.198380	0.103480	0.000000	2.628790	0.000000	43658
STATFJORD	1994	10	2.578900	0.249070	0.113000	0.000000	2.940980	0.000000	43658
STATFJORD	1994	11	2.388820	0.274580	0.122030	0.000000	2.785430	0.000000	43658
STATFJORD	1994	12	2.474670	0.355940	0.137580	0.000000	2.968190	0.000000	43658
STATFJORD	1995	1	2.308600	0.320050	0.133250	0.000000	2.761900	0.000000	43658
STATFJORD	1995	2	1.967860	0.262750	0.114830	0.000000	2.345440	0.000000	43658
STATFJORD	1995	3	2.309530	0.264100	0.111850	0.000000	2.685480	0.000000	43658
STATFJORD	1995	4	2.341020	0.205170	0.099650	0.000000	2.645840	0.000000	43658
STATFJORD	1995	5	2.297980	0.279120	0.127220	0.000000	2.704320	0.000000	43658
STATFJORD	1995	6	1.814090	0.242090	0.109990	0.000000	2.166170	0.000000	43658
STATFJORD	1995	7	2.131030	0.215460	0.096320	0.000000	2.442810	0.000000	43658
STATFJORD	1995	8	2.216110	0.191130	0.085040	0.000000	2.492280	0.000000	43658
STATFJORD	1995	9	2.120660	0.175810	0.062220	0.000000	2.358700	0.000000	43658
STATFJORD	1995	10	2.298470	0.293230	0.128370	0.000000	2.720070	0.000000	43658
STATFJORD	1995	11	2.047660	0.229770	0.114660	0.000000	2.392090	0.000000	43658
STATFJORD	1995	12	2.024940	0.263010	0.131490	0.000000	2.419440	0.000000	43658
STATFJORD	1996	1	1.939480	0.289440	0.144460	0.000000	2.373370	0.000000	43658
STATFJORD	1996	2	1.897460	0.271300	0.135630	0.000000	2.304380	0.000000	43658
STATFJORD	1996	3	1.766740	0.299470	0.152270	0.000000	2.218490	0.000000	43658
STATFJORD	1996	4	1.924420	0.231020	0.111640	0.000000	2.267080	0.000000	43658
STATFJORD	1996	5	1.650220	0.282600	0.119530	0.000000	2.052350	0.000000	43658
STATFJORD	1996	6	1.827860	0.277880	0.127760	0.000000	2.233500	0.000000	43658
STATFJORD	1996	7	1.854040	0.266890	0.145100	0.000000	2.266030	0.000000	43658
STATFJORD	1996	8	1.602180	0.249600	0.118620	0.000000	1.970410	0.000000	43658
STATFJORD	1996	9	1.891480	0.189770	0.061990	0.000000	2.143250	0.000000	43658
STATFJORD	1996	10	1.915670	0.321760	0.136910	0.000000	2.374350	0.000000	43658
STATFJORD	1996	11	1.782670	0.274050	0.124760	0.000000	2.181480	0.000000	43658
STATFJORD	1996	12	1.557000	0.282300	0.131560	0.000000	1.970850	0.000000	43658
STATFJORD	1997	1	1.706350	0.264570	0.148140	0.000000	2.119060	0.000000	43658
STATFJORD	1997	2	1.471070	0.262020	0.113770	0.000000	1.846860	0.000000	43658
STATFJORD	1997	3	1.508500	0.162310	0.098370	0.000000	1.769180	0.000000	43658
STATFJORD	1997	4	1.827680	0.195070	0.111400	0.000000	2.134150	0.000000	43658
STATFJORD	1997	5	1.823660	0.242610	0.107400	0.000000	2.173670	0.000000	43658
STATFJORD	1997	6	1.629200	0.200370	0.090190	0.000000	1.919760	0.000000	43658
STATFJORD	1997	7	1.751580	0.317680	0.121080	0.000000	2.190340	0.000000	43658
STATFJORD	1997	8	1.233250	0.325490	0.129640	0.000000	1.688380	0.000000	43658
STATFJORD	1997	9	1.460360	0.167180	0.101670	0.000000	1.729210	0.000000	43658
STATFJORD	1997	10	1.623640	0.291000	0.127840	0.000000	2.042480	0.000000	43658
STATFJORD	1997	11	1.516380	0.301520	0.146290	0.000000	1.964190	0.000000	43658
STATFJORD	1997	12	1.602860	0.364430	0.147240	0.000000	2.114530	0.000000	43658
STATFJORD	1998	1	1.642490	0.295420	0.139870	0.000000	2.077780	0.000000	43658
STATFJORD	1998	2	1.468570	0.198760	0.122570	0.000000	1.789900	0.000000	43658
STATFJORD	1998	3	1.503870	0.228690	0.111080	0.000000	1.843630	0.000000	43658
STATFJORD	1998	4	1.628250	0.203100	0.088430	0.000000	1.919780	0.000000	43658
STATFJORD	1998	5	1.373430	0.160010	0.094230	0.000000	1.627660	0.000000	43658
STATFJORD	1998	6	1.475710	0.149530	0.091880	0.000000	1.717120	0.000000	43658
STATFJORD	1998	7	1.333460	0.186630	0.091480	0.000000	1.611570	0.000000	43658
STATFJORD	1998	8	1.005480	0.059150	0.042800	0.000000	1.107430	0.000000	43658
STATFJORD	1998	9	1.304710	0.256910	0.115430	0.000000	1.677050	0.000000	43658
STATFJORD	1998	10	1.271740	0.238060	0.121030	0.000000	1.630840	0.000000	43658
STATFJORD	1998	11	1.278360	0.290090	0.100510	0.000000	1.668960	0.000000	43658
STATFJORD	1998	12	1.309520	0.245490	0.087360	0.000000	1.642370	0.000000	43658
STATFJORD	1999	1	1.262600	0.203940	0.090660	0.000000	1.557190	0.000000	43658
STATFJORD	1999	2	1.135370	0.171800	0.089120	0.000000	1.396280	0.000000	43658
STATFJORD	1999	3	1.115180	0.212910	0.099700	0.000000	1.427790	0.000000	43658
STATFJORD	1999	4	1.054530	0.179910	0.084850	0.000000	1.319290	0.000000	43658
STATFJORD	1999	5	0.956570	0.237200	0.093280	0.000000	1.287050	0.000000	43658
STATFJORD	1999	6	0.981120	0.179420	0.092000	0.000000	1.252540	0.000000	43658
STATFJORD	1999	7	1.073960	0.183960	0.077800	0.000000	1.335730	0.000000	43658
STATFJORD	1999	8	0.854070	0.121220	0.047380	0.000000	1.022680	0.000000	43658
STATFJORD	1999	9	0.873370	0.217130	0.108200	0.000000	1.198700	0.000000	43658
STATFJORD	1999	10	1.094170	0.182930	0.081590	0.000000	1.358680	0.000000	43658
STATFJORD	1999	11	1.066090	0.205660	0.102190	0.000000	1.373950	0.000000	43658
STATFJORD	1999	12	1.052220	0.183660	0.080160	0.000000	1.316040	0.000000	43658
STATFJORD	2000	1	0.974310	0.139020	0.059280	0.000000	1.172620	3.064720	43658
STATFJORD	2000	2	1.004540	0.156470	0.078780	0.000000	1.239790	3.015590	43658
STATFJORD	2000	3	0.922910	0.138330	0.058540	0.000000	1.119770	2.917510	43658
STATFJORD	2000	4	0.879240	0.101960	0.040350	0.000000	1.021550	3.001650	43658
STATFJORD	2000	5	0.876160	0.076580	0.047120	0.000000	0.999860	2.873440	43658
STATFJORD	2000	6	0.615570	0.201750	0.100630	0.000000	0.917940	2.250200	43658
STATFJORD	2000	7	1.007080	0.098540	0.042010	0.000000	1.147630	2.926830	43658
STATFJORD	2000	8	1.006720	0.144010	0.060210	0.000000	1.210940	2.971810	43658
STATFJORD	2000	9	0.872610	0.107720	0.049750	0.000000	1.030070	2.676190	43658
STATFJORD	2000	10	0.949230	0.080980	0.026390	0.000000	1.056600	3.049530	43658
STATFJORD	2000	11	0.915200	0.142560	0.070080	0.000000	1.127840	2.931040	43658
STATFJORD	2000	12	0.862420	0.163890	0.088500	0.000000	1.114810	2.824430	43658
STATFJORD	2001	1	0.918330	0.121640	0.057040	0.000000	1.097010	3.086050	43658
STATFJORD	2001	2	0.743380	0.095660	0.041600	0.000000	0.880640	2.559910	43658
STATFJORD	2001	3	0.850070	0.126500	0.057500	0.000000	1.034070	2.897900	43658
STATFJORD	2001	4	0.881280	0.105140	0.045900	0.000000	1.032330	2.794880	43658
STATFJORD	2001	5	0.865280	0.155360	0.071500	0.000000	1.092140	2.777870	43658
STATFJORD	2001	6	0.635170	0.121720	0.050540	0.000000	0.807420	2.263530	43658
STATFJORD	2001	7	0.911480	0.101350	0.040890	0.000000	1.053720	3.050140	43658
STATFJORD	2001	8	0.922380	0.119540	0.047900	0.000000	1.089820	3.126790	43658
STATFJORD	2001	9	0.844080	0.074630	0.015630	0.000000	0.934340	3.051110	43658
STATFJORD	2001	10	0.873170	0.115200	0.067650	0.000000	1.056020	3.120010	43658
STATFJORD	2001	11	0.834250	0.135330	0.071660	0.000000	1.041240	3.065730	43658
STATFJORD	2001	12	0.847370	0.161500	0.078480	0.000000	1.087340	3.125450	43658
STATFJORD	2002	1	0.776060	0.110950	0.035200	0.000000	0.922200	2.944530	43658
STATFJORD	2002	2	0.737360	0.146810	0.062830	0.000000	0.947000	2.793180	43658
STATFJORD	2002	3	0.820100	0.155070	0.059390	0.000000	1.034560	3.167630	43658
STATFJORD	2002	4	0.813080	0.092050	0.024580	0.000000	0.929710	3.080300	43658
STATFJORD	2002	5	0.839650	0.134520	0.068210	0.000000	1.042380	3.228720	43658
STATFJORD	2002	6	0.759800	0.172100	0.080920	0.000000	1.012820	2.959180	43658
STATFJORD	2002	7	0.767130	0.126760	0.049640	0.000000	0.943520	2.975640	43658
STATFJORD	2002	8	0.531160	0.026460	0.018400	0.000000	0.576020	2.033660	43658
STATFJORD	2002	9	0.628990	0.163620	0.087340	0.000000	0.879950	2.245240	43658
STATFJORD	2002	10	0.746930	0.125570	0.053980	0.000000	0.926470	2.890490	43658
STATFJORD	2002	11	0.690620	0.121090	0.043580	0.000000	0.855290	2.823840	43658
STATFJORD	2002	12	0.760940	0.138920	0.041520	0.000000	0.941370	2.928970	43658
STATFJORD	2003	1	0.712350	0.123680	0.075540	0.000000	0.911570	2.997320	43658
STATFJORD	2003	2	0.627540	0.094780	0.066250	0.000000	0.788570	2.698850	43658
STATFJORD	2003	3	0.690810	0.084210	0.058140	0.000000	0.833150	3.153230	43658
STATFJORD	2003	4	0.637770	0.084810	0.035360	0.000000	0.757940	3.080510	43658
STATFJORD	2003	5	0.677000	0.124950	0.055960	0.000000	0.857910	3.233450	43658
STATFJORD	2003	6	0.670510	0.081300	0.046080	0.000000	0.797880	3.166270	43658
STATFJORD	2003	7	0.669750	0.084000	0.035460	0.000000	0.789210	3.105500	43658
STATFJORD	2003	8	0.427700	0.043940	0.013690	0.000000	0.485330	2.113450	43658
STATFJORD	2003	9	0.656930	0.124560	0.067520	0.000000	0.849010	2.864620	43658
STATFJORD	2003	10	0.696460	0.143160	0.068630	0.000000	0.908240	3.228010	43658
STATFJORD	2003	11	0.638930	0.124060	0.062750	0.000000	0.825750	2.856580	43658
STATFJORD	2003	12	0.648790	0.080480	0.036370	0.000000	0.765640	2.942100	43658
STATFJORD	2004	1	0.658600	0.162150	0.094700	0.008370	0.923820	2.832020	43658
STATFJORD	2004	2	0.639140	0.165790	0.050310	0.004950	0.860190	2.581100	43658
STATFJORD	2004	3	0.569870	0.144510	0.044510	0.009740	0.768620	2.653080	43658
STATFJORD	2004	4	0.467680	0.000000	0.000000	0.005520	0.473200	2.134940	43658
STATFJORD	2004	5	0.559960	0.141760	0.044460	0.005350	0.751530	2.496060	43658
STATFJORD	2004	6	0.608550	0.157910	0.043180	0.005000	0.814640	2.807280	43658
STATFJORD	2004	7	0.599120	0.240690	0.058500	0.005210	0.903510	2.960300	43658
STATFJORD	2004	8	0.530780	0.134720	0.046010	0.004020	0.715530	2.736620	43658
STATFJORD	2004	9	0.597190	0.195360	0.057270	0.004880	0.854700	3.013970	43658
STATFJORD	2004	10	0.574500	0.246530	0.075940	0.005150	0.902120	3.034880	43658
STATFJORD	2004	11	0.576890	0.208990	0.067560	0.004310	0.857740	3.137930	43658
STATFJORD	2004	12	0.587960	0.210520	0.069910	0.004880	0.873270	3.300710	43658
STATFJORD	2005	1	0.555330	0.192550	0.082070	0.009140	0.839080	3.221510	43658
STATFJORD	2005	2	0.470740	0.136960	0.060100	0.002460	0.670260	2.878620	43658
STATFJORD	2005	3	0.518930	0.223860	0.101660	0.004770	0.849220	3.421630	43658
STATFJORD	2005	4	0.468060	0.083110	0.022580	0.001720	0.575460	3.124910	43658
STATFJORD	2005	5	0.470350	0.163530	0.046100	0.004460	0.684440	3.193550	43658
STATFJORD	2005	6	0.381730	0.168330	0.032740	0.002020	0.584810	2.696330	43658
STATFJORD	2005	7	0.452460	0.134070	0.053670	0.002350	0.642550	3.248010	43658
STATFJORD	2005	8	0.487580	0.187320	0.057870	0.003090	0.735870	3.651950	43658
STATFJORD	2005	9	0.469570	0.167250	0.048730	0.003980	0.689530	3.551660	43658
STATFJORD	2005	10	0.424280	0.145070	0.076290	0.001520	0.647150	3.411690	43658
STATFJORD	2005	11	0.420150	0.158940	0.080400	0.005110	0.664600	3.302460	43658
STATFJORD	2005	12	0.444290	0.199180	0.102080	0.003960	0.749510	3.264480	43658
STATFJORD	2006	1	0.407700	0.195540	0.095280	0.001300	0.699820	2.961290	43658
STATFJORD	2006	2	0.353010	0.175050	0.071770	0.003760	0.603580	2.442630	43658
STATFJORD	2006	3	0.428380	0.184690	0.069680	0.001930	0.684680	2.942260	43658
STATFJORD	2006	4	0.334500	0.169210	0.099590	0.001630	0.604920	2.234670	43658
STATFJORD	2006	5	0.411230	0.183450	0.064740	0.003600	0.663010	3.072390	43658
STATFJORD	2006	6	0.243090	0.143830	0.082160	0.000320	0.469410	1.868310	43658
STATFJORD	2006	7	0.379750	0.156940	0.086600	0.000580	0.623870	2.626640	43658
STATFJORD	2006	8	0.284360	0.126860	0.078950	0.000200	0.490370	1.994550	43658
STATFJORD	2006	9	0.340370	0.149610	0.077030	0.001360	0.568370	2.742010	43658
STATFJORD	2006	10	0.339840	0.136100	0.081590	0.000670	0.558200	2.693170	43658
STATFJORD	2006	11	0.357120	0.149860	0.088190	0.000320	0.595490	2.903810	43658
STATFJORD	2006	12	0.379950	0.176670	0.085030	0.000370	0.642020	3.096460	43658
STATFJORD	2007	1	0.365130	0.157970	0.080940	0.007240	0.611280	3.280730	43658
STATFJORD	2007	2	0.338450	0.128050	0.066910	0.000980	0.534390	3.051460	43658
STATFJORD	2007	3	0.368390	0.118410	0.072350	0.000060	0.559210	3.322240	43658
STATFJORD	2007	4	0.360630	0.190390	0.094250	0.002180	0.647450	3.134750	43658
STATFJORD	2007	5	0.355660	0.176540	0.083870	0.001730	0.617800	3.185930	43658
STATFJORD	2007	6	0.245530	0.097350	0.051210	0.000390	0.394480	2.622510	43658
STATFJORD	2007	7	0.353690	0.157590	0.078220	0.001470	0.590970	3.077970	43658
STATFJORD	2007	8	0.271180	0.129620	0.083180	0.000720	0.484700	2.214780	43658
STATFJORD	2007	9	0.321170	0.115660	0.045710	0.001340	0.483880	2.812260	43658
STATFJORD	2007	10	0.345210	0.033240	0.098340	0.006320	0.483120	3.048660	43658
STATFJORD	2007	11	0.325680	0.375750	0.120840	0.010590	0.832860	3.103990	43658
STATFJORD	2007	12	0.329900	0.331730	0.140020	0.012360	0.814000	3.310370	43658
STATFJORD	2008	1	0.322780	0.331080	0.141140	0.012230	0.807220	3.021490	43658
STATFJORD	2008	2	0.300260	0.326000	0.139270	0.011890	0.777430	2.848420	43658
STATFJORD	2008	3	0.294010	0.271670	0.115300	0.019560	0.700540	2.965160	43658
STATFJORD	2008	4	0.174490	0.215060	0.091420	0.007940	0.488910	1.768590	43658
STATFJORD	2008	5	0.280930	0.268330	0.112460	0.009710	0.671430	2.821890	43658
STATFJORD	2008	6	0.283330	0.254140	0.105410	0.008780	0.651650	2.933250	43658
STATFJORD	2008	7	0.286230	0.275750	0.114460	0.009530	0.685970	3.005940	43658
STATFJORD	2008	8	0.268920	0.158840	0.087020	0.003460	0.518240	2.832450	43658
STATFJORD	2008	9	0.246880	0.236540	0.094610	0.008790	0.586810	2.469120	43658
STATFJORD	2008	10	0.266870	0.280610	0.115220	0.009730	0.672430	2.720840	43658
STATFJORD	2008	11	0.222570	0.218070	0.086800	0.007020	0.534460	2.352130	43658
STATFJORD	2008	12	0.230060	0.186500	0.101360	0.007650	0.525570	2.502830	43658
STATFJORD	2009	1	0.214530	0.182150	0.102590	0.015970	0.515230	2.355670	43658
STATFJORD	2009	2	0.189840	0.225650	0.093420	0.007680	0.516590	2.059760	43658
STATFJORD	2009	3	0.203710	0.263250	0.097680	0.009320	0.573960	2.016550	43658
STATFJORD	2009	4	0.116820	0.169590	0.065670	0.006890	0.358970	1.351390	43658
STATFJORD	2009	5	0.198890	0.206500	0.087730	0.008150	0.501260	1.833040	43658
STATFJORD	2009	6	0.184850	0.208370	0.086800	0.007370	0.487400	1.804970	43658
STATFJORD	2009	7	0.189350	0.229690	0.093140	0.007900	0.520060	1.753470	43658
STATFJORD	2009	8	0.109790	0.124850	0.053320	0.004340	0.292300	1.192650	43658
STATFJORD	2009	9	0.136660	0.184030	0.070080	0.005910	0.396700	0.961510	43658
STATFJORD	2009	10	0.187480	0.230660	0.090200	0.007660	0.516000	1.575730	43658
STATFJORD	2009	11	0.180410	0.223640	0.091870	0.006960	0.502870	1.600790	43658
STATFJORD	2009	12	0.198550	0.226860	0.094470	0.007840	0.527720	1.618530	43658
STATFJORD	2010	1	0.154810	0.193370	0.072920	0.005740	0.426840	1.328270	43658
STATFJORD	2010	2	0.137360	0.170900	0.066720	0.006190	0.381170	1.215170	43658
STATFJORD	2010	3	0.165780	0.201030	0.079120	0.006920	0.452860	1.430160	43658
STATFJORD	2010	4	0.178910	0.215720	0.084200	0.007370	0.486200	1.471870	43658
STATFJORD	2010	5	0.183630	0.213410	0.076380	0.007120	0.480530	1.526410	43658
STATFJORD	2010	6	0.171130	0.204480	0.081550	0.007450	0.464600	1.471750	43658
STATFJORD	2010	7	0.171870	0.202770	0.080480	0.006800	0.461920	1.533510	43658
STATFJORD	2010	8	0.156430	0.191390	0.071890	0.006340	0.426060	1.607090	43658
STATFJORD	2010	9	0.164520	0.186150	0.069750	0.006840	0.427250	1.481060	43658
STATFJORD	2010	10	0.174480	0.191300	0.070060	0.006690	0.442520	1.605520	43658
STATFJORD	2010	11	0.167760	0.151830	0.064840	0.006310	0.390740	1.598730	43658
STATFJORD	2010	12	0.172300	0.171130	0.066230	0.005980	0.415650	1.708220	43658
STATFJORD	2011	1	0.181940	0.141820	0.055900	0.005550	0.385200	1.720350	43658
STATFJORD	2011	2	0.175320	0.137740	0.040750	0.004030	0.357830	1.687810	43658
STATFJORD	2011	3	0.214710	0.154070	0.048350	0.004760	0.421890	1.903710	43658
STATFJORD	2011	4	0.188600	0.132660	0.042530	0.004610	0.368400	1.665620	43658
STATFJORD	2011	5	0.174840	0.122750	0.037490	0.004190	0.339280	1.894710	43658
STATFJORD	2011	6	0.123710	0.091970	0.029080	0.002840	0.247600	1.453370	43658
STATFJORD	2011	7	0.147680	0.121500	0.034260	0.003450	0.306890	1.746180	43658
STATFJORD	2011	8	0.133300	0.082850	0.027770	0.002720	0.246640	1.527140	43658
STATFJORD	2011	9	0.129140	0.086260	0.025670	0.002620	0.243680	1.491650	43658
STATFJORD	2011	10	0.139660	0.079800	0.023670	0.001600	0.244720	1.833300	43658
STATFJORD	2011	11	0.134700	0.090520	0.027880	0.002020	0.255110	1.674560	43658
STATFJORD	2011	12	0.138520	0.107400	0.029670	0.002560	0.278140	1.703520	43658
STATFJORD	2012	1	0.133940	0.117330	0.028400	0.002660	0.282330	1.668540	43658
STATFJORD	2012	2	0.129120	0.111410	0.031110	0.003310	0.274950	1.561790	43658
STATFJORD	2012	3	0.139590	0.135690	0.042880	0.004480	0.322640	1.798760	43658
STATFJORD	2012	4	0.134450	0.126850	0.040610	0.003800	0.305710	1.829950	43658
STATFJORD	2012	5	0.117620	0.099120	0.028870	0.002790	0.248400	1.628860	43658
STATFJORD	2012	6	0.103560	0.058160	0.016930	0.002050	0.180700	1.295950	43658
STATFJORD	2012	7	0.134230	0.106610	0.031900	0.003820	0.276560	1.984140	43658
STATFJORD	2012	8	0.110880	0.098520	0.053160	0.001510	0.264070	1.633690	43658
STATFJORD	2012	9	0.116720	0.109330	0.049420	0.001890	0.277370	1.544380	43658
STATFJORD	2012	10	0.140100	0.128410	0.073540	0.004720	0.346770	2.051910	43658
STATFJORD	2012	11	0.132190	0.115000	0.074190	0.004200	0.325590	2.086800	43658
STATFJORD	2012	12	0.148720	0.123610	0.082040	0.004100	0.358480	2.089600	43658
STATFJORD	2013	1	0.145660	0.111710	0.067890	0.004070	0.329330	2.239660	43658
STATFJORD	2013	2	0.120380	0.110810	0.066250	0.004110	0.301550	1.801320	43658
MURCHISON	1980	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43665
MURCHISON	1980	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43665
MURCHISON	1980	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43665
MURCHISON	1981	1	0.041760	0.000000	0.000000	0.000000	0.041760	0.000000	43665
MURCHISON	1981	2	0.049030	0.000000	0.000000	0.000000	0.049030	0.000000	43665
MURCHISON	1981	3	0.045870	0.000000	0.000000	0.000000	0.045870	0.000000	43665
MURCHISON	1981	4	0.058030	0.000000	0.000000	0.000000	0.058030	0.000000	43665
MURCHISON	1981	5	0.066870	0.000000	0.000000	0.000000	0.066870	0.000000	43665
MURCHISON	1981	6	0.049540	0.000000	0.000000	0.000000	0.049540	0.000000	43665
MURCHISON	1981	7	0.070490	0.000000	0.000000	0.000000	0.070490	0.000000	43665
MURCHISON	1981	8	0.064620	0.000000	0.000000	0.000000	0.064620	0.000000	43665
MURCHISON	1981	9	0.069180	0.000000	0.000000	0.000000	0.069180	0.000000	43665
MURCHISON	1981	10	0.059960	0.000000	0.000000	0.000000	0.059960	0.000000	43665
MURCHISON	1981	11	0.070640	0.000000	0.000000	0.000000	0.070640	0.000000	43665
MURCHISON	1981	12	0.074460	0.000000	0.000000	0.000000	0.074460	0.000000	43665
MURCHISON	1982	1	0.080920	0.000000	0.000000	0.000000	0.080920	0.000000	43665
MURCHISON	1982	2	0.078950	0.000000	0.000000	0.000000	0.078950	0.000000	43665
MURCHISON	1982	3	0.085580	0.000000	0.000000	0.000000	0.085580	0.000000	43665
MURCHISON	1982	4	0.082310	0.000000	0.000000	0.000000	0.082310	0.000000	43665
MURCHISON	1982	5	0.093300	0.000000	0.000000	0.000000	0.093300	0.000000	43665
MURCHISON	1982	6	0.094630	0.000000	0.000000	0.000000	0.094630	0.000000	43665
MURCHISON	1982	7	0.086000	0.000000	0.000000	0.000000	0.086000	0.000000	43665
MURCHISON	1982	8	0.083990	0.000000	0.000000	0.000000	0.083990	0.000000	43665
MURCHISON	1982	9	0.087140	0.000000	0.000000	0.000000	0.087140	0.000000	43665
MURCHISON	1982	10	0.084270	0.000000	0.000000	0.000000	0.084270	0.000000	43665
MURCHISON	1982	11	0.098570	0.000000	0.000000	0.000000	0.098570	0.000000	43665
MURCHISON	1982	12	0.096780	0.000000	0.000000	0.000000	0.096780	0.000000	43665
MURCHISON	1983	1	0.074220	0.000000	0.000000	0.000000	0.074220	0.000000	43665
MURCHISON	1983	2	0.093130	0.000000	0.000000	0.000000	0.093130	0.000000	43665
MURCHISON	1983	3	0.084080	0.000000	0.000000	0.000000	0.084080	0.000000	43665
MURCHISON	1983	4	0.071140	0.000000	0.000000	0.000000	0.071140	0.000000	43665
MURCHISON	1983	5	0.099270	0.000000	0.000000	0.000000	0.099270	0.000000	43665
MURCHISON	1983	6	0.090560	0.000000	0.000000	0.000000	0.090560	0.000000	43665
MURCHISON	1983	7	0.086960	0.000640	0.006240	0.000000	0.093850	0.000000	43665
MURCHISON	1983	8	0.090960	0.004290	0.009170	0.000020	0.104450	0.000000	43665
MURCHISON	1983	9	0.089320	0.002980	0.007700	0.000010	0.100010	0.000000	43665
MURCHISON	1983	10	0.084560	0.003350	0.007800	0.000010	0.095730	0.000000	43665
MURCHISON	1983	11	0.092630	0.003230	0.007930	0.000020	0.103800	0.000000	43665
MURCHISON	1983	12	0.096810	0.004480	0.009680	0.000030	0.110990	0.000000	43665
MURCHISON	1984	1	0.257630	0.008310	0.020050	0.000080	0.286060	0.000000	43665
MURCHISON	1984	2	0.244730	0.009470	0.019570	0.000060	0.273840	0.000000	43665
MURCHISON	1984	3	0.212400	0.010000	0.017800	0.000070	0.240280	0.000000	43665
MURCHISON	1984	4	0.243120	0.007950	0.015940	0.000040	0.267060	0.000000	43665
MURCHISON	1984	5	0.297260	0.007320	0.017040	0.000040	0.321670	0.000000	43665
MURCHISON	1984	6	0.190440	0.004840	0.012420	0.000030	0.207740	0.000000	43665
MURCHISON	1984	7	0.240560	0.005050	0.016110	0.000020	0.261740	0.000000	43665
MURCHISON	1984	8	0.255600	0.006580	0.018050	0.000040	0.280260	0.000000	43665
MURCHISON	1984	9	0.183660	0.004280	0.012640	0.000030	0.200610	0.000000	43665
MURCHISON	1984	10	0.249030	0.006120	0.015360	0.000010	0.270520	0.000000	43665
MURCHISON	1984	11	0.233760	0.004870	0.015070	0.000020	0.253710	0.000000	43665
MURCHISON	1984	12	0.254540	0.005770	0.015430	0.000020	0.275750	0.000000	43665
MURCHISON	1985	1	0.235980	0.004960	0.014320	0.000010	0.255270	0.000000	43665
MURCHISON	1985	2	0.213620	0.005240	0.014170	0.000020	0.233050	0.000000	43665
MURCHISON	1985	3	0.183400	0.003950	0.011030	0.000020	0.198390	0.000000	43665
MURCHISON	1985	4	0.158820	0.004630	0.014100	0.000020	0.177570	0.000000	43665
MURCHISON	1985	5	0.118620	0.004440	0.012150	0.000020	0.135230	0.000000	43665
MURCHISON	1985	6	0.105870	0.004780	0.010390	0.000020	0.121070	0.000000	43665
MURCHISON	1985	7	0.113450	0.003940	0.011560	0.000020	0.128970	0.000000	43665
MURCHISON	1985	8	0.118610	0.004660	0.012370	0.000030	0.135660	0.000000	43665
MURCHISON	1985	9	0.107820	0.004800	0.009210	0.000030	0.121870	0.000000	43665
MURCHISON	1985	10	0.117590	0.004750	0.010620	0.000030	0.132990	0.000000	43665
MURCHISON	1985	11	0.109610	0.004480	0.009700	0.000020	0.123810	0.000000	43665
MURCHISON	1985	12	0.112790	0.004430	0.009080	0.000020	0.126310	0.000000	43665
MURCHISON	1986	1	0.115360	0.005060	0.009920	0.000030	0.130380	0.000000	43665
MURCHISON	1986	2	0.102630	0.004930	0.009370	0.000020	0.116940	0.000000	43665
MURCHISON	1986	3	0.101060	0.004880	0.008830	0.000020	0.114800	0.000000	43665
MURCHISON	1986	4	0.106260	0.005590	0.009510	0.000030	0.121390	0.000000	43665
MURCHISON	1986	5	0.100280	0.005340	0.008860	0.000030	0.114510	0.000000	43665
MURCHISON	1986	6	0.092600	0.004380	0.008350	0.000030	0.105360	0.000000	43665
MURCHISON	1986	7	0.091720	0.004740	0.009310	0.000040	0.105810	0.000000	43665
MURCHISON	1986	8	0.064210	0.002970	0.005590	0.000020	0.072790	0.000000	43665
MURCHISON	1986	9	0.030620	0.002150	0.002890	0.000010	0.035670	0.000000	43665
MURCHISON	1986	10	0.029500	0.002280	0.003170	0.000020	0.034970	0.000000	43665
MURCHISON	1986	11	0.028860	0.001970	0.002920	0.000020	0.033760	0.000000	43665
MURCHISON	1986	12	0.030060	0.002150	0.003010	0.000020	0.035240	0.000000	43665
MURCHISON	1987	1	0.029140	0.002030	0.002640	0.000010	0.033830	0.000000	43665
MURCHISON	1987	2	0.027610	0.002150	0.002420	0.000020	0.032190	0.000000	43665
MURCHISON	1987	3	0.030170	0.002460	0.002760	0.000020	0.035420	0.000000	43665
MURCHISON	1987	4	0.019860	0.001190	0.001580	0.000010	0.022640	0.000000	43665
MURCHISON	1987	5	0.031420	0.002200	0.002890	0.000010	0.036520	0.000000	43665
MURCHISON	1987	6	0.029170	0.001910	0.002940	0.000010	0.034030	0.000000	43665
MURCHISON	1987	7	0.029000	0.002380	0.003310	0.000020	0.034710	0.000000	43665
MURCHISON	1987	8	0.032450	0.002300	0.001530	0.000000	0.036280	0.000000	43665
MURCHISON	1987	9	0.029530	0.001430	0.001540	0.000010	0.032500	0.000000	43665
MURCHISON	1987	10	0.029510	0.002230	0.000990	0.000010	0.032750	0.000000	43665
MURCHISON	1987	11	0.028150	0.001930	0.000860	0.000010	0.030950	0.000000	43665
MURCHISON	1987	12	0.027800	0.002050	0.000530	0.000010	0.030390	0.000000	43665
MURCHISON	1988	1	0.026540	0.001950	0.000640	0.000020	0.029140	0.000000	43665
MURCHISON	1988	2	0.025310	0.001540	0.000490	0.000020	0.027350	0.000000	43665
MURCHISON	1988	3	0.026860	0.001680	0.000940	0.000020	0.029490	0.000000	43665
MURCHISON	1988	4	0.026560	0.001510	0.000840	0.000010	0.028930	0.000000	43665
MURCHISON	1988	5	0.027400	0.001670	0.000950	0.000010	0.030030	0.000000	43665
MURCHISON	1988	6	0.025380	0.001420	0.004610	0.000090	0.031500	0.000000	43665
MURCHISON	1988	7	0.052490	0.001250	0.000680	0.000010	0.054420	0.000000	43665
MURCHISON	1988	8	0.066530	0.002490	0.001400	0.000010	0.070430	0.000000	43665
MURCHISON	1988	9	0.065020	0.002780	0.002270	0.000050	0.070120	0.000000	43665
MURCHISON	1988	10	0.062870	0.002450	0.002240	0.000040	0.067590	0.000000	43665
MURCHISON	1988	11	0.059210	0.002580	0.002130	0.000020	0.063930	0.000000	43665
MURCHISON	1988	12	0.058820	0.002330	0.002030	0.000030	0.063200	0.000000	43665
MURCHISON	1989	1	0.056160	0.002360	0.002300	0.000020	0.060850	0.000000	43665
MURCHISON	1989	2	0.048090	0.002000	0.002090	0.000010	0.052190	0.000000	43665
MURCHISON	1989	3	0.047870	0.002150	0.001930	0.000020	0.051970	0.000000	43665
MURCHISON	1989	4	0.025990	0.000830	0.000900	0.000010	0.027720	0.000000	43665
MURCHISON	1989	5	0.001900	0.000000	0.000000	0.000000	0.001900	0.000000	43665
MURCHISON	1989	6	0.047320	0.001190	0.000900	0.000010	0.049420	0.000000	43665
MURCHISON	1989	7	0.044540	0.001840	0.001590	0.000010	0.047990	0.000000	43665
MURCHISON	1989	8	0.042130	0.001080	0.000920	0.000010	0.044150	0.000000	43665
MURCHISON	1989	9	0.044320	0.001050	0.001480	0.000010	0.046870	0.000000	43665
MURCHISON	1989	10	0.046840	0.001870	0.001400	0.000010	0.050120	0.000000	43665
MURCHISON	1989	11	0.041400	0.001470	0.001460	0.000010	0.044340	0.000000	43665
MURCHISON	1989	12	0.038320	0.000860	0.001140	0.000010	0.040330	0.000000	43665
MURCHISON	1990	1	0.041280	0.000340	0.001440	0.000010	0.043070	0.000000	43665
MURCHISON	1990	2	0.034560	0.001350	0.001140	0.000010	0.037050	0.000000	43665
MURCHISON	1990	3	0.036410	0.001380	0.001400	0.000010	0.039200	0.000000	43665
MURCHISON	1990	4	0.035130	0.001390	0.001580	0.000010	0.038110	0.000000	43665
MURCHISON	1990	5	0.040140	0.001610	0.001140	0.000010	0.042900	0.000000	43665
MURCHISON	1990	6	0.046530	0.001590	0.001660	0.000010	0.049800	0.000000	43665
MURCHISON	1990	7	0.049030	0.000000	0.000970	0.000000	0.050000	0.000000	43665
MURCHISON	1990	8	0.046970	0.000000	0.000680	0.000000	0.047650	0.000000	43665
MURCHISON	1990	9	0.042150	0.000000	0.000770	0.000000	0.042920	0.000000	43665
MURCHISON	1990	10	0.034370	0.000000	0.000610	0.000000	0.034970	0.000000	43665
MURCHISON	1990	11	0.034870	0.000000	0.000620	0.000000	0.035480	0.000000	43665
MURCHISON	1990	12	0.039260	0.000000	0.000660	0.000000	0.039920	0.000000	43665
MURCHISON	1991	1	0.045230	0.000000	0.000160	0.000000	0.045390	0.000000	43665
MURCHISON	1991	2	0.037040	0.000000	0.000200	0.000000	0.037240	0.000000	43665
MURCHISON	1991	3	0.034940	0.001040	0.000760	0.000010	0.036750	0.000000	43665
MURCHISON	1991	4	0.001650	0.000000	0.000000	0.000000	0.001650	0.000000	43665
MURCHISON	1991	5	0.006850	0.000140	0.000190	0.000000	0.007180	0.000000	43665
MURCHISON	1991	6	0.041380	0.001350	0.001270	0.000010	0.044010	0.000000	43665
MURCHISON	1991	7	0.002060	0.000280	0.000180	0.000000	0.002520	0.000000	43665
MURCHISON	1991	8	0.013470	0.000000	0.000200	0.000000	0.013670	0.000000	43665
MURCHISON	1991	9	0.060970	0.002380	0.002070	0.000010	0.065440	0.000000	43665
MURCHISON	1991	10	0.053050	0.002230	0.002080	0.000010	0.057370	0.000000	43665
MURCHISON	1991	11	0.044790	0.001340	0.001540	0.000010	0.047670	0.000000	43665
MURCHISON	1991	12	0.052610	0.002430	0.001590	0.000020	0.056640	0.000000	43665
MURCHISON	1992	1	0.051370	0.002060	0.002060	0.000010	0.055490	0.000000	43665
MURCHISON	1992	2	0.049140	0.001960	0.001940	0.000010	0.053050	0.000000	43665
MURCHISON	1992	3	0.030110	0.001360	0.001230	0.000010	0.032710	0.000000	43665
MURCHISON	1992	4	0.048770	0.001710	0.001700	0.000010	0.052180	0.000000	43665
MURCHISON	1992	5	0.047180	0.002180	0.001930	0.000010	0.051300	0.000000	43665
MURCHISON	1992	6	0.040080	0.001610	0.000570	0.000010	0.042260	0.000000	43665
MURCHISON	1992	7	0.034780	0.001220	0.000820	0.000010	0.036830	0.000000	43665
MURCHISON	1992	8	0.030820	0.000980	0.000740	0.000010	0.032540	0.000000	43665
MURCHISON	1992	9	0.031990	0.001000	0.000990	0.000010	0.033990	0.000000	43665
MURCHISON	1992	10	0.035830	0.001300	0.001210	0.000010	0.038340	0.000000	43665
MURCHISON	1992	11	0.034500	0.001370	0.000380	0.000010	0.036260	0.000000	43665
MURCHISON	1992	12	0.034080	0.001400	0.001150	0.000010	0.036640	0.000000	43665
MURCHISON	1993	1	0.027750	0.000920	0.000810	0.000010	0.029480	0.000000	43665
MURCHISON	1993	2	0.024050	0.000590	0.000710	0.000000	0.025350	0.000000	43665
MURCHISON	1993	3	0.021990	0.000410	0.000550	0.000000	0.022950	0.000000	43665
MURCHISON	1993	4	0.021180	0.000550	0.000410	0.000000	0.022130	0.000000	43665
MURCHISON	1993	5	0.022000	0.002180	0.000430	0.000000	0.024610	0.000000	43665
MURCHISON	1993	6	0.010530	0.000110	0.000110	0.000000	0.010750	0.000000	43665
MURCHISON	1993	7	0.027620	0.000600	0.000650	0.000000	0.028880	0.000000	43665
MURCHISON	1993	8	0.030930	0.000980	0.000830	0.000010	0.032750	0.000000	43665
MURCHISON	1993	9	0.026340	0.000740	0.000790	0.000000	0.027880	0.000000	43665
MURCHISON	1993	10	0.027480	0.000690	0.000750	0.000000	0.028920	0.000000	43665
MURCHISON	1993	11	0.022990	0.000720	0.000630	0.000000	0.024340	0.000000	43665
MURCHISON	1993	12	0.026370	0.000710	0.000650	0.000000	0.027730	0.000000	43665
MURCHISON	1994	1	0.024360	0.000640	0.000630	0.000000	0.025640	0.000000	43665
MURCHISON	1994	2	0.022210	0.000490	0.000540	0.000000	0.023240	0.000000	43665
MURCHISON	1994	3	0.030800	0.000820	0.000730	0.000000	0.032350	0.000000	43665
MURCHISON	1994	4	0.018630	0.000450	0.000480	0.000000	0.019570	0.000000	43665
MURCHISON	1994	5	0.020630	0.000430	0.000500	0.000000	0.021560	0.000000	43665
MURCHISON	1994	6	0.009000	0.000190	0.000170	0.000000	0.009360	0.000000	43665
MURCHISON	1994	7	0.018080	0.000060	0.000130	0.000000	0.018270	0.000000	43665
MURCHISON	1994	8	0.010890	0.000030	0.000130	0.000000	0.011050	0.000000	43665
MURCHISON	1994	9	0.016520	0.000030	0.000160	0.000000	0.016720	0.000000	43665
MURCHISON	1994	10	0.020270	0.000330	0.000270	0.000000	0.020870	0.000000	43665
MURCHISON	1994	11	0.019110	0.000520	0.000410	0.000000	0.020040	0.000000	43665
MURCHISON	1994	12	0.019450	0.000340	0.000450	0.000000	0.020240	0.000000	43665
MURCHISON	1995	1	0.021770	0.000330	0.000600	0.000000	0.022700	0.000000	43665
MURCHISON	1995	2	0.017550	0.000370	0.000460	0.000000	0.018380	0.000000	43665
MURCHISON	1995	3	0.019700	0.000610	0.000610	0.000010	0.020920	0.000000	43665
MURCHISON	1995	4	0.017900	0.000490	0.000500	0.000000	0.018890	0.000000	43665
MURCHISON	1995	5	0.017160	0.000500	0.000490	0.000000	0.018160	0.000000	43665
MURCHISON	1995	6	0.013590	0.000540	0.000420	0.000000	0.014560	0.000000	43665
MURCHISON	1995	7	0.013630	0.000210	0.000230	0.000000	0.014070	0.000000	43665
MURCHISON	1995	8	0.017910	0.000270	0.000430	0.000000	0.018610	0.000000	43665
MURCHISON	1995	9	0.014240	0.000240	0.000380	0.000000	0.014850	0.000000	43665
MURCHISON	1995	10	0.017400	0.000280	0.000350	0.000000	0.018040	0.000000	43665
MURCHISON	1995	11	0.016330	0.000280	0.000380	0.000000	0.016990	0.000000	43665
MURCHISON	1995	12	0.015700	0.000040	0.000310	0.000000	0.016050	0.000000	43665
MURCHISON	1996	1	0.014620	0.000050	0.000270	0.000000	0.014940	0.000000	43665
MURCHISON	1996	2	0.017440	0.000530	0.000450	0.000000	0.018420	0.000000	43665
MURCHISON	1996	3	0.017480	0.000440	0.000340	0.000000	0.018260	0.000000	43665
MURCHISON	1996	4	0.016420	0.000330	0.000350	0.000000	0.017110	0.000000	43665
MURCHISON	1996	5	0.016540	0.000310	0.000360	0.000000	0.017210	0.000000	43665
MURCHISON	1996	6	0.018630	0.000410	0.000390	0.000000	0.019430	0.000000	43665
MURCHISON	1996	7	0.019570	0.000470	0.000390	0.000000	0.020430	0.000000	43665
MURCHISON	1996	8	0.021800	0.000630	0.000510	0.000000	0.022950	0.000000	43665
MURCHISON	1996	9	0.015650	0.000300	0.000300	0.000000	0.016250	0.000000	43665
MURCHISON	1996	10	0.019780	0.000360	0.000390	0.000000	0.020530	0.000000	43665
MURCHISON	1996	11	0.028810	0.001550	0.000820	0.000010	0.031190	0.000000	43665
MURCHISON	1996	12	0.028810	0.000560	0.000790	0.000010	0.030170	0.000000	43665
MURCHISON	1997	1	0.025470	0.001140	0.000650	0.000010	0.027260	0.000000	43665
MURCHISON	1997	2	0.019790	0.000710	0.000930	0.000010	0.021430	0.000000	43665
MURCHISON	1997	3	0.022010	0.000960	0.001040	0.000010	0.024020	0.000000	43665
MURCHISON	1997	4	0.020750	0.000780	0.000390	0.000010	0.021930	0.000000	43665
MURCHISON	1997	5	0.019530	0.000480	0.000290	0.000000	0.020310	0.000000	43665
MURCHISON	1997	6	0.019870	0.000570	0.000360	0.000000	0.020800	0.000000	43665
MURCHISON	1997	7	0.021210	0.000430	0.000350	0.000000	0.022000	0.000000	43665
MURCHISON	1997	8	0.029680	0.001210	0.000720	0.000010	0.031610	0.000000	43665
MURCHISON	1997	9	0.024600	0.001300	0.001490	0.000010	0.027390	0.000000	43665
MURCHISON	1997	10	0.025070	0.001420	0.001590	0.000010	0.028080	0.000000	43665
MURCHISON	1997	11	0.023480	0.001210	0.001570	0.000010	0.026270	0.000000	43665
MURCHISON	1997	12	0.028570	0.000780	0.001110	0.000010	0.030470	0.000000	43665
MURCHISON	1998	1	0.030560	0.000930	0.000990	0.000010	0.032480	0.000000	43665
MURCHISON	1998	2	0.023930	0.000900	0.001050	0.000000	0.025890	0.000000	43665
MURCHISON	1998	3	0.024010	0.000710	0.001010	0.000000	0.025740	0.000000	43665
MURCHISON	1998	4	0.024430	0.000750	0.000630	0.000010	0.025810	0.000000	43665
MURCHISON	1998	5	0.020280	0.000480	0.000310	0.000000	0.021070	0.000000	43665
MURCHISON	1998	6	0.018930	0.000240	0.000230	0.000000	0.019400	0.000000	43665
MURCHISON	1998	7	0.018270	0.000450	0.000250	0.000000	0.018970	0.000000	43665
MURCHISON	1998	8	0.017950	0.000470	0.000400	0.000000	0.018820	0.000000	43665
MURCHISON	1998	9	0.023820	0.000210	0.000440	0.000000	0.024480	0.000000	43665
MURCHISON	1998	10	0.026350	0.000280	0.000560	0.000000	0.027190	0.000000	43665
MURCHISON	1998	11	0.019120	0.000290	0.000490	0.000010	0.019910	0.000000	43665
MURCHISON	1998	12	0.021210	0.000250	0.000390	0.000000	0.021860	0.000000	43665
MURCHISON	1999	1	0.021340	0.000380	0.000420	0.000000	0.022140	0.000000	43665
MURCHISON	1999	2	0.023440	0.000400	0.000560	0.000000	0.024400	0.000000	43665
MURCHISON	1999	3	0.026030	0.000700	0.000200	0.000010	0.026930	0.000000	43665
MURCHISON	1999	4	0.021920	0.000460	0.000460	0.000000	0.022850	0.000000	43665
MURCHISON	1999	5	0.020570	0.000420	0.000510	0.000000	0.021500	0.000000	43665
MURCHISON	1999	6	0.021250	0.000390	0.000520	0.000000	0.022160	0.000000	43665
MURCHISON	1999	7	0.020760	0.000300	0.000550	0.000000	0.021610	0.000000	43665
MURCHISON	1999	8	0.020420	0.000390	0.000590	0.000000	0.021390	0.000000	43665
MURCHISON	1999	9	0.020760	0.000030	0.000510	0.000000	0.021300	0.000000	43665
MURCHISON	1999	10	0.018860	0.000150	0.000330	0.000000	0.019340	0.000000	43665
MURCHISON	1999	11	0.018650	0.000320	0.000370	0.000000	0.019340	0.000000	43665
MURCHISON	1999	12	0.017690	0.000200	0.000360	0.000000	0.018250	0.000000	43665
MURCHISON	2000	1	0.010910	0.000070	0.000520	0.000000	0.011500	0.000000	43665
MURCHISON	2000	2	0.015040	0.000090	0.000760	0.000000	0.015880	0.000000	43665
MURCHISON	2000	3	0.015970	0.000010	0.000770	0.000000	0.016740	0.000000	43665
MURCHISON	2000	4	0.014120	0.000000	0.000000	0.000000	0.014120	0.000000	43665
MURCHISON	2000	5	0.011600	0.000000	0.000530	0.000000	0.012130	0.000000	43665
MURCHISON	2000	6	0.015200	0.000010	0.000590	0.000000	0.015810	0.000000	43665
MURCHISON	2000	7	0.014240	0.000170	0.000600	0.000000	0.015000	0.000000	43665
MURCHISON	2000	8	0.014990	0.000020	0.000450	0.000000	0.015470	0.000000	43665
MURCHISON	2000	9	0.013680	0.000140	0.000440	0.000000	0.014260	0.000000	43665
MURCHISON	2000	10	0.013860	0.000000	0.000410	0.000000	0.014280	0.000000	43665
MURCHISON	2000	11	0.013160	0.000000	0.000000	0.000000	0.013160	0.000000	43665
MURCHISON	2000	12	0.014950	0.000000	0.000000	0.000000	0.014950	0.000000	43665
MURCHISON	2001	1	0.012580	0.000000	0.000000	0.000000	0.012580	0.000000	43665
MURCHISON	2001	2	0.010450	0.000000	0.000000	0.000000	0.010450	0.000000	43665
MURCHISON	2001	3	0.012670	0.000000	0.000000	0.000000	0.012670	0.000000	43665
MURCHISON	2001	4	0.012960	0.000000	0.000000	0.000000	0.012960	0.000000	43665
MURCHISON	2001	5	0.013400	0.000000	0.000000	0.000000	0.013400	0.000000	43665
MURCHISON	2001	6	0.013340	0.000000	0.000000	0.000000	0.013340	0.000000	43665
MURCHISON	2001	7	0.002850	0.000000	0.000000	0.000000	0.002850	0.000000	43665
MURCHISON	2001	8	0.001830	0.000000	0.000000	0.000000	0.001830	0.000000	43665
MURCHISON	2001	9	0.002250	0.000000	0.000000	0.000000	0.002250	0.000000	43665
MURCHISON	2001	10	0.002370	0.000000	0.000000	0.000000	0.002370	0.000000	43665
MURCHISON	2001	11	0.002350	0.000000	0.000000	0.000000	0.002350	0.000000	43665
MURCHISON	2001	12	0.002600	0.000000	0.000000	0.000000	0.002600	0.000000	43665
MURCHISON	2002	1	0.010730	0.000000	0.000000	0.000000	0.010730	0.000000	43665
MURCHISON	2002	2	0.009030	0.000000	0.000000	0.000000	0.009030	0.000000	43665
MURCHISON	2002	3	0.008840	0.000000	0.000000	0.000000	0.008840	0.000000	43665
MURCHISON	2002	4	0.007760	0.000000	0.000000	0.000000	0.007760	0.000000	43665
MURCHISON	2002	5	0.007980	0.000000	0.000000	0.000000	0.007980	0.000000	43665
MURCHISON	2002	6	0.008850	0.000000	0.000000	0.000000	0.008850	0.000000	43665
MURCHISON	2002	7	0.008270	0.000000	0.000000	0.000000	0.008270	0.000000	43665
MURCHISON	2002	8	0.009830	0.000000	0.000000	0.000000	0.009830	0.000000	43665
MURCHISON	2002	9	0.008270	0.000000	0.000000	0.000000	0.008270	0.000000	43665
MURCHISON	2002	10	0.008320	0.000000	0.000170	0.000000	0.008490	0.000000	43665
MURCHISON	2002	11	0.008570	0.000000	0.000110	0.000000	0.008680	0.000000	43665
MURCHISON	2002	12	0.008840	0.000000	0.000250	0.000000	0.009090	0.000000	43665
MURCHISON	2003	1	0.008400	0.000000	0.000320	0.000000	0.008720	0.000000	43665
MURCHISON	2003	2	0.007440	0.000000	0.000190	0.000000	0.007620	0.000000	43665
MURCHISON	2003	3	0.009410	0.000000	0.000380	0.000000	0.009790	0.000000	43665
MURCHISON	2003	4	0.009200	0.000000	0.000330	0.000000	0.009530	0.000000	43665
MURCHISON	2003	5	0.010550	0.000000	0.000300	0.000000	0.010840	0.000000	43665
MURCHISON	2003	6	0.008480	0.000000	0.000320	0.000000	0.008800	0.000000	43665
MURCHISON	2003	7	0.009430	0.000000	0.000180	0.000000	0.009610	0.000000	43665
MURCHISON	2003	8	0.009110	0.000000	0.000260	0.000000	0.009370	0.000000	43665
MURCHISON	2003	9	0.008880	0.000000	0.000350	0.000000	0.009230	0.000000	43665
MURCHISON	2003	10	0.009120	0.000000	0.000410	0.000000	0.009530	0.000000	43665
MURCHISON	2003	11	0.011320	0.000000	0.000230	0.000000	0.011550	0.000000	43665
MURCHISON	2003	12	0.012550	0.000000	0.000240	0.000000	0.012790	0.000000	43665
MURCHISON	2004	1	0.008190	0.000000	0.000080	0.000000	0.008270	0.000000	43665
MURCHISON	2004	2	0.008160	0.000000	-0.000270	0.000000	0.007890	0.000000	43665
MURCHISON	2004	3	0.005110	0.000000	0.000060	0.000000	0.005160	0.000000	43665
MURCHISON	2004	4	0.005630	0.000000	0.000210	0.000000	0.005840	0.000000	43665
MURCHISON	2004	5	0.009540	0.000000	-0.000160	0.000000	0.009380	0.000000	43665
MURCHISON	2004	6	0.007680	0.000000	-0.000020	0.000000	0.007660	0.000000	43665
MURCHISON	2004	7	0.007850	0.000000	0.000070	0.000000	0.007920	0.000000	43665
MURCHISON	2004	8	0.004760	0.000000	0.000040	0.000000	0.004800	0.000000	43665
MURCHISON	2004	9	0.008340	0.000000	0.000090	0.000000	0.008430	0.000000	43665
MURCHISON	2004	10	0.009160	0.000000	0.000330	0.000000	0.009500	0.000000	43665
MURCHISON	2004	11	0.008750	0.000000	0.000320	0.000000	0.009070	0.000000	43665
MURCHISON	2004	12	0.007300	0.000000	0.000480	0.000000	0.007780	0.000000	43665
MURCHISON	2005	1	0.007650	0.000000	0.000210	0.000000	0.007860	0.000000	43665
MURCHISON	2005	2	0.005720	0.000000	0.000110	0.000000	0.005840	0.000000	43665
MURCHISON	2005	3	0.005100	0.000000	-0.000570	0.000000	0.004530	0.000000	43665
MURCHISON	2005	4	0.005100	0.000000	-0.000570	0.000000	0.004530	0.000000	43665
MURCHISON	2005	5	0.005110	0.000000	-0.000380	0.000000	0.004740	0.000000	43665
MURCHISON	2005	6	0.006730	0.000000	-0.000050	0.000000	0.006690	0.000000	43665
MURCHISON	2005	7	0.009110	0.000000	0.000610	0.000000	0.009730	0.000000	43665
MURCHISON	2005	8	0.007360	0.000000	0.000410	0.000000	0.007760	0.000000	43665
MURCHISON	2005	9	0.007480	0.000000	0.000180	0.000000	0.007660	0.000000	43665
MURCHISON	2005	10	0.007730	0.000000	-0.000210	0.000000	0.007520	0.000000	43665
MURCHISON	2005	11	0.008200	0.000000	0.000190	0.000000	0.008390	0.000000	43665
MURCHISON	2005	12	0.006770	0.000000	0.000390	0.000000	0.007170	0.000000	43665
MURCHISON	2006	1	0.010120	0.000000	0.000340	0.000000	0.010460	0.000000	43665
MURCHISON	2006	2	0.006850	0.000000	0.000130	0.000000	0.006970	0.000000	43665
MURCHISON	2006	3	0.006740	0.000000	0.000130	0.000000	0.006870	0.000000	43665
MURCHISON	2006	4	0.004740	0.000000	0.000050	0.000000	0.004780	0.000000	43665
MURCHISON	2006	5	0.007710	0.000000	-0.000050	0.000000	0.007670	0.000000	43665
MURCHISON	2006	6	0.007760	0.000000	0.000300	0.000000	0.008060	0.000000	43665
MURCHISON	2006	7	0.008490	0.000000	0.000430	0.000000	0.008910	0.000000	43665
MURCHISON	2006	8	0.007250	0.000000	0.000250	0.000000	0.007500	0.000000	43665
MURCHISON	2006	9	0.007450	0.000000	0.000200	0.000000	0.007650	0.000000	43665
MURCHISON	2006	10	0.007190	0.000000	-0.000130	0.000000	0.007060	0.000000	43665
MURCHISON	2006	11	0.006220	0.000000	0.000000	0.000000	0.006220	0.000000	43665
MURCHISON	2006	12	0.007730	0.000000	0.000030	0.000000	0.007760	0.000000	43665
MURCHISON	2007	1	0.006580	0.000000	0.000020	0.000000	0.006600	0.000000	43665
MURCHISON	2007	2	0.006150	0.000000	0.000020	0.000000	0.006170	0.000000	43665
MURCHISON	2007	3	0.008110	0.000000	-0.000340	0.000000	0.007770	0.000000	43665
MURCHISON	2007	4	0.005440	0.000000	0.000000	0.000000	0.005450	0.000000	43665
MURCHISON	2007	5	0.007210	0.000000	0.000120	0.000000	0.007330	0.000000	43665
MURCHISON	2007	6	0.007540	0.000000	0.000280	0.000000	0.007810	0.000000	43665
MURCHISON	2007	7	0.007440	0.000000	0.000200	0.000000	0.007640	0.000000	43665
MURCHISON	2007	8	0.007380	0.000000	0.000200	0.000000	0.007580	0.000000	43665
MURCHISON	2007	9	0.005280	0.000000	0.000160	0.000000	0.005440	0.000000	43665
MURCHISON	2007	10	0.006680	0.000000	0.000030	0.000000	0.006720	0.000000	43665
MURCHISON	2007	11	0.004530	0.000000	0.000030	0.000000	0.004560	0.000000	43665
MURCHISON	2007	12	0.005700	0.000000	-0.000270	0.000000	0.005440	0.000000	43665
MURCHISON	2008	1	0.006430	0.000000	0.000070	0.000000	0.006500	0.000000	43665
MURCHISON	2008	2	0.004840	0.000000	0.000070	0.000000	0.004900	0.000000	43665
MURCHISON	2008	3	0.006960	0.000000	0.000070	0.000000	0.007030	0.000000	43665
MURCHISON	2008	4	0.007360	0.000000	0.000250	0.000000	0.007610	0.000000	43665
MURCHISON	2008	5	0.007430	0.000000	0.000100	0.000000	0.007530	0.000000	43665
MURCHISON	2008	6	0.007870	0.000000	-0.000060	0.000000	0.007810	0.000000	43665
MURCHISON	2008	7	0.007070	0.000000	-0.000230	0.000000	0.006840	0.000000	43665
MURCHISON	2008	8	0.003190	0.000000	0.000060	0.000000	0.003240	0.000000	43665
MURCHISON	2008	9	0.001990	0.000000	0.000170	0.000000	0.002160	0.000000	43665
MURCHISON	2008	10	0.006590	0.000000	0.000000	0.000000	0.006590	0.000000	43665
MURCHISON	2008	11	0.007600	0.000000	0.000280	0.000000	0.007880	0.000000	43665
MURCHISON	2008	12	0.008000	0.000000	0.000350	0.000000	0.008350	0.000000	43665
MURCHISON	2009	1	0.007560	0.000000	0.000180	0.000000	0.007740	0.000000	43665
MURCHISON	2009	2	0.005960	0.000000	0.000240	0.000000	0.006190	0.000000	43665
MURCHISON	2009	3	0.006130	0.000000	0.000250	0.000000	0.006390	0.000000	43665
MURCHISON	2009	4	0.006450	0.000000	0.000070	0.000000	0.006520	0.000000	43665
MURCHISON	2009	5	0.006050	0.000000	0.000160	0.000000	0.006210	0.000000	43665
MURCHISON	2009	6	0.005730	0.000000	0.000140	0.000000	0.005870	0.000000	43665
MURCHISON	2009	7	0.005810	0.000000	0.000180	0.000000	0.005990	0.000000	43665
MURCHISON	2009	8	0.004810	0.000000	-0.000780	0.000000	0.004030	0.000000	43665
MURCHISON	2009	9	0.006220	0.000000	0.000200	0.000000	0.006420	0.000000	43665
MURCHISON	2009	10	0.004650	0.000000	0.000180	0.000000	0.004830	0.000000	43665
MURCHISON	2009	11	0.004150	0.000000	0.000090	0.000000	0.004240	0.000000	43665
MURCHISON	2009	12	0.004670	0.000000	-0.000060	0.000000	0.004610	0.000000	43665
MURCHISON	2010	1	0.005140	0.000000	0.000070	0.000000	0.005200	0.000000	43665
MURCHISON	2010	2	0.004860	0.000000	0.000220	0.000000	0.005070	0.000000	43665
MURCHISON	2010	3	0.005920	0.000000	0.000300	0.000000	0.006220	0.000000	43665
MURCHISON	2010	4	0.004630	0.000000	0.000090	0.000000	0.004720	0.000000	43665
MURCHISON	2010	5	0.005390	0.000000	0.000170	0.000000	0.005550	0.000000	43665
MURCHISON	2010	6	0.004830	0.000000	0.000110	0.000000	0.004940	0.000000	43665
MURCHISON	2010	7	0.005470	0.000000	-0.000040	0.000000	0.005430	0.000000	43665
MURCHISON	2010	8	0.005120	0.000000	0.000000	0.000000	0.005120	0.000000	43665
MURCHISON	2010	9	0.000140	0.000000	0.000000	0.000000	0.000140	0.000000	43665
MURCHISON	2010	10	0.001490	0.000000	-0.001950	0.000000	-0.000460	0.000000	43665
MURCHISON	2010	11	0.000850	0.000000	-0.000020	0.000000	0.000840	0.000000	43665
MURCHISON	2010	12	0.002660	0.000000	0.000000	0.000000	0.002660	0.000000	43665
MURCHISON	2011	1	0.003560	0.000000	0.000000	0.000000	0.003560	0.000000	43665
MURCHISON	2011	2	0.004370	0.000000	0.000000	0.000000	0.004370	0.000000	43665
MURCHISON	2011	3	0.004170	0.000000	0.000000	0.000000	0.004170	0.000000	43665
MURCHISON	2011	4	0.004600	0.000000	0.000000	0.000000	0.004600	0.000000	43665
MURCHISON	2011	5	0.004780	0.000000	0.000000	0.000000	0.004780	0.000000	43665
MURCHISON	2011	6	0.003770	0.000000	0.000000	0.000000	0.003770	0.000000	43665
MURCHISON	2011	7	0.004580	0.000000	0.000000	0.000000	0.004580	0.000000	43665
MURCHISON	2011	8	0.004650	0.000000	0.000000	0.000000	0.004650	0.000000	43665
MURCHISON	2011	9	0.004330	0.000000	0.000000	0.000000	0.004330	0.000000	43665
MURCHISON	2011	10	0.002530	0.000000	0.000000	0.000000	0.002530	0.000000	43665
MURCHISON	2011	11	0.004680	0.000000	0.000000	0.000000	0.004680	0.000000	43665
MURCHISON	2011	12	0.003660	0.000000	0.000000	0.000000	0.003660	0.000000	43665
MURCHISON	2012	1	0.004030	0.000000	0.000000	0.000000	0.004030	0.000000	43665
MURCHISON	2012	2	0.003660	0.000000	0.000000	0.000000	0.003660	0.000000	43665
MURCHISON	2012	3	0.003480	0.000000	0.000000	0.000000	0.003480	0.000000	43665
MURCHISON	2012	4	0.002820	0.000000	0.000000	0.000000	0.002820	0.000000	43665
MURCHISON	2012	5	0.002780	0.000000	0.000000	0.000000	0.002780	0.000000	43665
MURCHISON	2012	6	0.002350	0.000000	0.000000	0.000000	0.002350	0.000000	43665
MURCHISON	2012	7	0.003930	0.000000	0.000000	0.000000	0.003930	0.000000	43665
MURCHISON	2012	8	0.003890	0.000000	0.000000	0.000000	0.003890	0.000000	43665
MURCHISON	2012	9	0.003740	0.000000	0.000000	0.000000	0.003740	0.000000	43665
MURCHISON	2012	10	0.004350	0.000000	0.000000	0.000000	0.004350	0.000000	43665
MURCHISON	2012	11	0.004280	0.000000	0.000000	0.000000	0.004280	0.000000	43665
MURCHISON	2012	12	0.004340	0.000000	0.000000	0.000000	0.004340	0.000000	43665
MURCHISON	2013	1	0.003060	0.000000	0.000000	0.000000	0.003060	0.000000	43665
MURCHISON	2013	2	0.002160	0.000000	0.000000	0.000000	0.002160	0.000000	43665
STATFJORD ØST	1994	9	0.006420	0.000000	0.000000	0.000000	0.006420	0.000000	43672
STATFJORD ØST	1994	10	0.128530	0.009730	0.004290	0.000000	0.142550	0.000000	43672
STATFJORD ØST	1994	11	0.213680	0.010540	0.004720	0.000000	0.228950	0.000000	43672
STATFJORD ØST	1994	12	0.262230	0.011460	0.005200	0.000000	0.278890	0.000000	43672
STATFJORD ØST	1995	1	0.232660	0.012280	0.005350	0.000000	0.250290	0.000000	43672
STATFJORD ØST	1995	2	0.188450	0.011990	0.005710	0.000000	0.206150	0.000000	43672
STATFJORD ØST	1995	3	0.254240	0.011480	0.005700	0.000000	0.271420	0.000000	43672
STATFJORD ØST	1995	4	0.249820	0.007970	0.004910	0.000000	0.262700	0.000000	43672
STATFJORD ØST	1995	5	0.248010	0.008970	0.005510	0.000000	0.262490	0.000000	43672
STATFJORD ØST	1995	6	0.239720	0.007450	0.005070	0.000000	0.252240	0.000000	43672
STATFJORD ØST	1995	7	0.300110	0.008940	0.004760	0.000000	0.313810	0.000000	43672
STATFJORD ØST	1995	8	0.285000	0.006320	0.002740	0.000000	0.294050	0.000000	43672
STATFJORD ØST	1995	9	0.290190	0.008270	0.004290	0.000000	0.302740	0.000000	43672
STATFJORD ØST	1995	10	0.318480	0.014680	0.005540	0.000000	0.338710	0.000000	43672
STATFJORD ØST	1995	11	0.302730	0.018530	0.007170	0.000000	0.328430	0.000000	43672
STATFJORD ØST	1995	12	0.319980	0.018650	0.009090	0.000000	0.347710	0.000000	43672
STATFJORD ØST	1996	1	0.299630	0.021540	0.010270	0.000000	0.331430	0.000000	43672
STATFJORD ØST	1996	2	0.261070	0.018770	0.009020	0.000000	0.288860	0.000000	43672
STATFJORD ØST	1996	3	0.272520	0.020590	0.009560	0.000000	0.302670	0.000000	43672
STATFJORD ØST	1996	4	0.261640	0.019240	0.008400	0.000000	0.289280	0.000000	43672
STATFJORD ØST	1996	5	0.215290	0.016050	0.009380	0.000000	0.240720	0.000000	43672
STATFJORD ØST	1996	6	0.314660	0.018050	0.007890	0.000000	0.340600	0.000000	43672
STATFJORD ØST	1996	7	0.311770	0.019250	0.007890	0.000000	0.338910	0.000000	43672
STATFJORD ØST	1996	8	0.099000	0.017480	0.008530	0.000000	0.125010	0.000000	43672
STATFJORD ØST	1996	9	0.315700	0.011880	0.008010	0.000000	0.335590	0.000000	43672
STATFJORD ØST	1996	10	0.313960	0.018020	0.008750	0.000000	0.340730	0.000000	43672
STATFJORD ØST	1996	11	0.310720	0.017780	0.008240	0.000000	0.336740	0.000000	43672
STATFJORD ØST	1996	12	0.379600	0.022540	0.010770	0.000000	0.412910	0.000000	43672
STATFJORD ØST	1997	1	0.366170	0.021150	0.011400	0.000000	0.398720	0.000000	43672
STATFJORD ØST	1997	2	0.313770	0.020050	0.010140	0.000000	0.343960	0.000000	43672
STATFJORD ØST	1997	3	0.279560	0.022320	0.011430	0.000000	0.313300	0.000000	43672
STATFJORD ØST	1997	4	0.342000	0.020820	0.011260	0.000000	0.374080	0.000000	43672
STATFJORD ØST	1997	5	0.333580	0.021680	0.011620	0.000000	0.366870	0.000000	43672
STATFJORD ØST	1997	6	0.319410	0.022130	0.010880	0.000000	0.352420	0.000000	43672
STATFJORD ØST	1997	7	0.320060	0.021410	0.011550	0.000000	0.353020	0.000000	43672
STATFJORD ØST	1997	8	0.379530	0.021040	0.011620	0.000000	0.412200	0.000000	43672
STATFJORD ØST	1997	9	0.359300	0.021720	0.011420	0.000000	0.392430	0.000000	43672
STATFJORD ØST	1997	10	0.392220	0.021220	0.011680	0.000000	0.425110	0.000000	43672
STATFJORD ØST	1997	11	0.373060	0.021120	0.011560	0.000000	0.405740	0.000000	43672
STATFJORD ØST	1997	12	0.371250	0.021450	0.012170	0.000000	0.404870	0.000000	43672
STATFJORD ØST	1998	1	0.366150	0.019730	0.011820	0.000000	0.397700	0.000000	43672
STATFJORD ØST	1998	2	0.343030	0.018820	0.010960	0.000000	0.372800	0.000000	43672
STATFJORD ØST	1998	3	0.382280	0.020710	0.011240	0.000000	0.414230	0.000000	43672
STATFJORD ØST	1998	4	0.373370	0.020380	0.011160	0.000000	0.404910	0.000000	43672
STATFJORD ØST	1998	5	0.365690	0.017470	0.012300	0.000000	0.395460	0.000000	43672
STATFJORD ØST	1998	6	0.369450	0.020040	0.011450	0.000000	0.400940	0.000000	43672
STATFJORD ØST	1998	7	0.413020	0.025690	0.011620	0.000000	0.450330	0.000000	43672
STATFJORD ØST	1998	8	0.073680	0.008200	0.003100	0.000000	0.084980	0.000000	43672
STATFJORD ØST	1998	9	0.393800	0.022740	0.010560	0.000000	0.427110	0.000000	43672
STATFJORD ØST	1998	10	0.407020	0.027050	0.012150	0.000000	0.446220	0.000000	43672
STATFJORD ØST	1998	11	0.383350	0.022390	0.011720	0.000000	0.417460	0.000000	43672
STATFJORD ØST	1998	12	0.364860	0.023070	0.011750	0.000000	0.399680	0.000000	43672
STATFJORD ØST	1999	1	0.354010	0.022640	0.011480	0.000000	0.388130	0.000000	43672
STATFJORD ØST	1999	2	0.301830	0.019410	0.011970	0.000000	0.333210	0.000000	43672
STATFJORD ØST	1999	3	0.349730	0.019910	0.012470	0.000000	0.382110	0.000000	43672
STATFJORD ØST	1999	4	0.316700	0.020800	0.012090	0.000000	0.349590	0.000000	43672
STATFJORD ØST	1999	5	0.209510	0.018570	0.010260	0.000000	0.238340	0.000000	43672
STATFJORD ØST	1999	6	0.239990	0.016350	0.010170	0.000000	0.266510	0.000000	43672
STATFJORD ØST	1999	7	0.296030	0.021630	0.011740	0.000000	0.329400	0.000000	43672
STATFJORD ØST	1999	8	0.309170	0.021080	0.012330	0.000000	0.342580	0.000000	43672
STATFJORD ØST	1999	9	0.340820	0.021700	0.012220	0.000000	0.374740	0.000000	43672
STATFJORD ØST	1999	10	0.407020	0.033000	0.017630	0.000000	0.457650	0.000000	43672
STATFJORD ØST	1999	11	0.317420	0.030780	0.016780	0.000000	0.364970	0.000000	43672
STATFJORD ØST	1999	12	0.326870	0.032240	0.017050	0.000000	0.376160	0.000000	43672
STATFJORD ØST	2000	1	0.287640	0.032000	0.015920	0.000000	0.335550	0.073850	43672
STATFJORD ØST	2000	2	0.288460	0.029570	0.017170	0.000000	0.335190	0.096770	43672
STATFJORD ØST	2000	3	0.297420	0.031980	0.016340	0.000000	0.345740	0.106630	43672
STATFJORD ØST	2000	4	0.282840	0.031890	0.016400	0.000000	0.331130	0.108730	43672
STATFJORD ØST	2000	5	0.268030	0.027860	0.018390	0.000000	0.314280	0.126750	43672
STATFJORD ØST	2000	6	0.032930	0.008310	0.004680	0.000000	0.045910	0.007580	43672
STATFJORD ØST	2000	7	0.269060	0.032770	0.017790	0.000000	0.319620	0.127610	43672
STATFJORD ØST	2000	8	0.254770	0.031120	0.020500	0.000000	0.306380	0.131500	43672
STATFJORD ØST	2000	9	0.235580	0.029970	0.020470	0.000000	0.286010	0.123770	43672
STATFJORD ØST	2000	10	0.216060	0.031770	0.020470	0.000000	0.268300	0.124260	43672
STATFJORD ØST	2000	11	0.202300	0.027480	0.029900	0.000000	0.259690	0.183200	43672
STATFJORD ØST	2000	12	0.187130	0.029100	0.031950	0.000000	0.248190	0.176030	43672
STATFJORD ØST	2001	1	0.193420	0.030570	0.028210	0.000000	0.252200	0.138920	43672
STATFJORD ØST	2001	2	0.176020	0.027300	0.025870	0.000000	0.229190	0.126880	43672
STATFJORD ØST	2001	3	0.193140	0.030640	0.028360	0.000000	0.252140	0.145870	43672
STATFJORD ØST	2001	4	0.202340	0.029950	0.027260	0.000000	0.259550	0.147360	43672
STATFJORD ØST	2001	5	0.202040	0.027400	0.026570	0.000000	0.256010	0.153120	43672
STATFJORD ØST	2001	6	0.190950	0.029740	0.027220	0.000000	0.247910	0.147900	43672
STATFJORD ØST	2001	7	0.191140	0.027000	0.026900	0.000000	0.245030	0.178920	43672
STATFJORD ØST	2001	8	0.179200	0.028740	0.026280	0.000000	0.234220	0.141500	43672
STATFJORD ØST	2001	9	0.168710	0.029400	0.025390	0.000000	0.223500	0.189150	43672
STATFJORD ØST	2001	10	0.162620	0.014880	0.013350	0.000000	0.190840	0.184660	43672
STATFJORD ØST	2001	11	0.161340	0.014100	0.014540	0.000000	0.189990	0.193330	43672
STATFJORD ØST	2001	12	0.176140	0.014740	0.016570	0.000000	0.207460	0.199570	43672
STATFJORD ØST	2002	1	0.142610	0.015810	0.014770	0.000000	0.173190	0.168190	43672
STATFJORD ØST	2002	2	0.154420	0.016810	0.016380	0.000000	0.187610	0.185210	43672
STATFJORD ØST	2002	3	0.144090	0.015910	0.014650	0.000000	0.174650	0.171880	43672
STATFJORD ØST	2002	4	0.198480	0.022080	0.020130	0.000000	0.240680	0.180410	43672
STATFJORD ØST	2002	5	0.198170	0.021790	0.020810	0.000000	0.240770	0.194750	43672
STATFJORD ØST	2002	6	0.082150	0.008790	0.009380	0.000000	0.100320	0.113980	43672
STATFJORD ØST	2002	7	0.209240	0.023600	0.021250	0.000000	0.254100	0.181410	43672
STATFJORD ØST	2002	8	0.049840	0.006030	0.004640	0.000000	0.060510	0.035060	43672
STATFJORD ØST	2002	9	0.188350	0.021000	0.019240	0.000000	0.228590	0.178620	43672
STATFJORD ØST	2002	10	0.192150	0.021690	0.017960	0.000000	0.231800	0.195750	43672
STATFJORD ØST	2002	11	0.170530	0.019820	0.016420	0.000000	0.206770	0.188730	43672
STATFJORD ØST	2002	12	0.187410	0.020420	0.018850	0.000000	0.226670	0.164120	43672
STATFJORD ØST	2003	1	0.188660	0.021420	0.017330	0.000000	0.227410	0.180170	43672
STATFJORD ØST	2003	2	0.172090	0.019630	0.014880	0.000000	0.206600	0.179720	43672
STATFJORD ØST	2003	3	0.193130	0.023040	0.017390	0.000000	0.233560	0.209720	43672
STATFJORD ØST	2003	4	0.183990	0.021070	0.015550	0.000000	0.220600	0.192110	43672
STATFJORD ØST	2003	5	0.168790	0.019370	0.014530	0.000000	0.202690	0.196430	43672
STATFJORD ØST	2003	6	0.162210	0.019060	0.014180	0.000000	0.195450	0.213200	43672
STATFJORD ØST	2003	7	0.166280	0.020180	0.013840	0.000000	0.200290	0.251980	43672
STATFJORD ØST	2003	8	0.159860	0.018850	0.013050	0.000000	0.191760	0.240630	43672
STATFJORD ØST	2003	9	0.158220	0.017910	0.013940	0.000000	0.190080	0.258650	43672
STATFJORD ØST	2003	10	0.154630	0.021740	0.015710	0.000000	0.192080	0.262240	43672
STATFJORD ØST	2003	11	0.145790	0.020460	0.015370	0.000000	0.181620	0.247950	43672
STATFJORD ØST	2003	12	0.138760	0.019670	0.014970	0.000000	0.173390	0.246050	43672
STATFJORD ØST	2004	1	0.134460	0.018970	0.014340	0.000000	0.167770	0.250680	43672
STATFJORD ØST	2004	2	0.129340	0.021280	0.011780	0.000000	0.162410	0.243170	43672
STATFJORD ØST	2004	3	0.121810	0.018560	0.012690	0.000000	0.153060	0.242710	43672
STATFJORD ØST	2004	4	0.071100	0.000000	0.000000	0.000000	0.071100	0.135930	43672
STATFJORD ØST	2004	5	0.120020	0.001470	0.001160	0.000000	0.122650	0.178940	43672
STATFJORD ØST	2004	6	0.125500	0.017000	0.014760	0.000000	0.157250	0.234430	43672
STATFJORD ØST	2004	7	0.126620	0.016730	0.016880	0.000000	0.160220	0.248820	43672
STATFJORD ØST	2004	8	0.118640	0.008570	0.006080	0.000000	0.133290	0.245510	43672
STATFJORD ØST	2004	9	0.112790	0.016090	0.007710	0.000000	0.136600	0.251920	43672
STATFJORD ØST	2004	10	0.105810	0.014810	0.013220	0.000000	0.133840	0.251160	43672
STATFJORD ØST	2004	11	0.093460	0.031980	0.023240	0.000000	0.148680	0.260640	43672
STATFJORD ØST	2004	12	0.089110	0.028780	0.026020	0.000000	0.143900	0.281180	43672
STATFJORD ØST	2005	1	0.086310	0.032490	0.022690	0.000000	0.141490	0.282520	43672
STATFJORD ØST	2005	2	0.094380	0.029480	0.018690	0.000000	0.142540	0.213500	43672
STATFJORD ØST	2005	3	0.092420	0.031640	0.025190	0.000000	0.149250	0.322940	43672
STATFJORD ØST	2005	4	0.094880	0.027010	0.019480	0.000000	0.141370	0.276110	43672
STATFJORD ØST	2005	5	0.102860	0.033720	0.019350	0.000000	0.155920	0.279410	43672
STATFJORD ØST	2005	6	0.101830	0.028680	0.033920	0.000000	0.164430	0.277180	43672
STATFJORD ØST	2005	7	0.086690	0.031280	0.023790	0.000000	0.141760	0.264640	43672
STATFJORD ØST	2005	8	0.090570	0.032650	0.023430	0.000000	0.146660	0.258700	43672
STATFJORD ØST	2005	9	0.090620	0.031940	0.021970	0.000000	0.144540	0.263470	43672
STATFJORD ØST	2005	10	0.096650	0.036890	0.026320	0.000000	0.159850	0.270930	43672
STATFJORD ØST	2005	11	0.096010	0.035760	0.026840	0.000000	0.158600	0.274160	43672
STATFJORD ØST	2005	12	0.096100	0.036130	0.027180	0.000000	0.159410	0.277340	43672
STATFJORD ØST	2006	1	0.089530	0.036090	0.027330	0.000000	0.152950	0.270530	43672
STATFJORD ØST	2006	2	0.068670	0.008080	0.005940	0.000000	0.082690	0.218300	43672
STATFJORD ØST	2006	3	0.074300	0.035720	0.024970	0.000000	0.134990	0.228770	43672
STATFJORD ØST	2006	4	0.096080	0.036410	0.025940	0.000000	0.158430	0.260610	43672
STATFJORD ØST	2006	5	0.131730	0.038500	0.025160	0.000000	0.195400	0.259020	43672
STATFJORD ØST	2006	6	0.007400	0.000870	0.000600	0.000000	0.008860	0.003640	43672
STATFJORD ØST	2006	7	0.116460	0.013820	0.010900	0.000000	0.141180	0.195590	43672
STATFJORD ØST	2006	8	0.122790	0.019870	0.013920	0.000000	0.156580	0.240370	43672
STATFJORD ØST	2006	9	0.122770	0.038780	0.027360	0.000000	0.188920	0.318630	43672
STATFJORD ØST	2006	10	0.069740	0.031400	0.023060	0.000000	0.124200	0.138000	43672
STATFJORD ØST	2006	11	0.118950	0.035690	0.026320	0.000000	0.180950	0.316380	43672
STATFJORD ØST	2006	12	0.117320	0.036470	0.026640	0.000000	0.180430	0.335290	43672
STATFJORD ØST	2007	1	0.118080	0.037630	0.024160	0.000000	0.179860	0.337410	43672
STATFJORD ØST	2007	2	0.099440	0.030810	0.021340	0.000000	0.151600	0.315240	43672
STATFJORD ØST	2007	3	0.103600	0.014260	0.008890	0.000000	0.126750	0.363050	43672
STATFJORD ØST	2007	4	0.115880	0.036450	0.022850	0.000000	0.175180	0.327390	43672
STATFJORD ØST	2007	5	0.118360	0.037410	0.024500	0.000000	0.180270	0.371540	43672
STATFJORD ØST	2007	6	0.091170	0.014500	0.010200	0.000000	0.115870	0.314270	43672
STATFJORD ØST	2007	7	0.090540	0.031770	0.022210	0.000000	0.144520	0.344050	43672
STATFJORD ØST	2007	8	0.087220	0.024900	0.018560	0.000000	0.130680	0.298080	43672
STATFJORD ØST	2007	9	0.091800	0.025610	0.019050	0.000000	0.136460	0.288720	43672
STATFJORD ØST	2007	10	0.092700	0.024800	0.020710	0.000000	0.138210	0.328270	43672
STATFJORD ØST	2007	11	0.087420	0.016470	0.013220	0.000000	0.117110	0.318360	43672
STATFJORD ØST	2007	12	0.086410	0.016850	0.013540	0.000000	0.116790	0.321850	43672
STATFJORD ØST	2008	1	0.075090	0.012840	0.010210	0.000000	0.098140	0.272540	43672
STATFJORD ØST	2008	2	0.074370	0.010300	0.008570	0.000000	0.093240	0.259560	43672
STATFJORD ØST	2008	3	0.074670	0.002470	0.002030	0.000000	0.079170	0.329950	43672
STATFJORD ØST	2008	4	0.013360	0.000000	0.000000	0.000000	0.013360	0.042930	43672
STATFJORD ØST	2008	5	0.088540	0.014460	0.011620	0.000000	0.114620	0.276230	43672
STATFJORD ØST	2008	6	0.054170	0.008010	0.006360	0.000000	0.068550	0.179570	43672
STATFJORD ØST	2008	7	0.055800	0.007790	0.006260	0.000000	0.069850	0.202030	43672
STATFJORD ØST	2008	8	0.072250	0.007270	0.005710	0.000000	0.085220	0.289630	43672
STATFJORD ØST	2008	9	0.071670	0.011740	0.007460	0.000000	0.090860	0.266390	43672
STATFJORD ØST	2008	10	0.073020	0.014110	0.007340	0.000000	0.094470	0.281180	43672
STATFJORD ØST	2008	11	0.062940	0.014380	0.007330	0.000000	0.084650	0.253660	43672
STATFJORD ØST	2008	12	0.066230	0.009390	0.005770	0.000000	0.081380	0.276550	43672
STATFJORD ØST	2009	1	0.061470	0.007200	0.004320	0.000000	0.072990	0.261460	43672
STATFJORD ØST	2009	2	0.056780	0.007170	0.003240	0.000000	0.067190	0.247640	43672
STATFJORD ØST	2009	3	0.057980	0.007590	0.003310	0.000000	0.068880	0.264250	43672
STATFJORD ØST	2009	4	0.047360	0.006270	0.002730	0.000000	0.056360	0.213240	43672
STATFJORD ØST	2009	5	0.042130	0.003680	0.002000	0.000000	0.047800	0.158500	43672
STATFJORD ØST	2009	6	0.050600	0.005440	0.003040	0.000000	0.059080	0.153790	43672
STATFJORD ØST	2009	7	0.048160	0.005980	0.003260	0.000000	0.057410	0.148940	43672
STATFJORD ØST	2009	8	0.003620	0.000070	0.000210	0.000000	0.003900	0.006740	43672
STATFJORD ØST	2009	9	0.047880	0.005920	0.003730	0.000000	0.057520	0.137500	43672
STATFJORD ØST	2009	10	0.047290	0.006450	0.002900	0.000000	0.056640	0.159040	43672
STATFJORD ØST	2009	11	0.044180	0.006160	0.002730	0.000000	0.053080	0.155770	43672
STATFJORD ØST	2009	12	0.044160	0.007030	0.003190	0.000000	0.054380	0.160950	43672
STATFJORD ØST	2010	1	0.086610	0.010400	0.004490	0.000000	0.101510	0.164960	43672
STATFJORD ØST	2010	2	0.087880	0.011730	0.005140	0.000000	0.104750	0.171220	43672
STATFJORD ØST	2010	3	0.105950	0.015650	0.006480	0.000000	0.128080	0.196440	43672
STATFJORD ØST	2010	4	0.100460	0.015260	0.006390	0.000000	0.122110	0.197940	43672
STATFJORD ØST	2010	5	0.085900	0.012430	0.005440	0.000000	0.103770	0.224490	43672
STATFJORD ØST	2010	6	0.067290	0.008290	0.003980	0.000000	0.079550	0.185920	43672
STATFJORD ØST	2010	7	0.057140	0.005460	0.002950	0.000000	0.065550	0.137960	43672
STATFJORD ØST	2010	8	0.066380	0.008960	0.004110	0.000000	0.079450	0.215660	43672
STATFJORD ØST	2010	9	0.045150	0.007400	0.003080	0.000000	0.055620	0.192310	43672
STATFJORD ØST	2010	10	0.039020	0.005450	0.002170	0.000000	0.046630	0.198970	43672
STATFJORD ØST	2010	11	0.036530	0.004190	0.001880	0.000000	0.042600	0.183170	43672
STATFJORD ØST	2010	12	0.039080	0.004070	0.001720	0.000000	0.044870	0.169980	43672
STATFJORD ØST	2011	1	0.039680	0.003690	0.001560	0.000000	0.044930	0.169670	43672
STATFJORD ØST	2011	2	0.034720	0.005860	0.002280	0.000000	0.042860	0.153550	43672
STATFJORD ØST	2011	3	0.037670	0.004560	0.001920	0.000000	0.044150	0.173300	43672
STATFJORD ØST	2011	4	0.036120	0.004100	0.002060	0.000000	0.042280	0.172180	43672
STATFJORD ØST	2011	5	0.034890	0.004370	0.002380	0.000000	0.041640	0.162910	43672
STATFJORD ØST	2011	6	0.009310	0.002250	0.001410	0.000000	0.012970	0.041180	43672
STATFJORD ØST	2011	7	0.030770	0.003580	0.002040	0.000000	0.036390	0.175060	43672
STATFJORD ØST	2011	8	0.037120	0.006960	0.003880	0.000000	0.047960	0.212770	43672
STATFJORD ØST	2011	9	0.032660	0.006730	0.003420	0.000000	0.042820	0.163280	43672
STATFJORD ØST	2011	10	0.039130	0.007500	0.003850	0.000000	0.050480	0.157510	43672
STATFJORD ØST	2011	11	0.032490	0.005060	0.002800	0.000000	0.040340	0.140060	43672
STATFJORD ØST	2011	12	0.028630	0.002650	0.001150	0.000000	0.032420	0.125790	43672
STATFJORD ØST	2012	1	0.022140	0.001390	0.000590	0.000000	0.024130	0.083860	43672
STATFJORD ØST	2012	2	0.019750	0.000900	0.000310	0.000000	0.020960	0.099670	43672
STATFJORD ØST	2012	3	0.033580	0.002110	0.000700	0.000000	0.036390	0.150890	43672
STATFJORD ØST	2012	4	0.045790	0.002960	0.001260	0.000000	0.050010	0.170350	43672
STATFJORD ØST	2012	5	0.053990	0.005030	0.001990	0.000000	0.061010	0.263830	43672
STATFJORD ØST	2012	6	0.045150	0.004790	0.002180	0.000000	0.052120	0.230180	43672
STATFJORD ØST	2012	7	0.046170	0.004890	0.002300	0.000000	0.053350	0.266620	43672
STATFJORD ØST	2012	8	0.038110	0.004210	0.002290	0.000000	0.044610	0.223220	43672
STATFJORD ØST	2012	9	0.033480	0.002930	0.001140	0.000000	0.037550	0.162770	43672
STATFJORD ØST	2012	10	0.037420	0.004540	0.002610	0.000000	0.044560	0.172640	43672
STATFJORD ØST	2012	11	0.045250	0.005460	0.003410	0.000000	0.054120	0.237010	43672
STATFJORD ØST	2012	12	0.040920	0.007470	0.004930	0.000000	0.053320	0.198100	43672
STATFJORD ØST	2013	1	0.033530	0.010790	0.006590	0.000000	0.050910	0.144840	43672
STATFJORD ØST	2013	2	0.031940	0.009120	0.005600	0.000000	0.046660	0.159460	43672
STATFJORD NORD	1995	1	0.031450	0.007820	0.003410	0.000000	0.042670	0.000000	43679
STATFJORD NORD	1995	2	0.126000	0.001210	0.003550	0.000000	0.130750	0.000000	43679
STATFJORD NORD	1995	3	0.176380	0.001370	0.003600	0.000000	0.181360	0.000000	43679
STATFJORD NORD	1995	4	0.209760	0.001550	0.003100	0.000000	0.214400	0.000000	43679
STATFJORD NORD	1995	5	0.265390	0.001540	0.003480	0.000000	0.270410	0.000000	43679
STATFJORD NORD	1995	6	0.267980	0.001330	0.003200	0.000000	0.272510	0.000000	43679
STATFJORD NORD	1995	7	0.268100	0.001360	0.002820	0.000000	0.272280	0.000000	43679
STATFJORD NORD	1995	8	0.255470	0.001290	0.001600	0.000000	0.258350	0.000000	43679
STATFJORD NORD	1995	9	0.234410	0.001380	0.002530	0.000000	0.238310	0.000000	43679
STATFJORD NORD	1995	10	0.196500	0.022550	0.010020	0.000000	0.229080	0.000000	43679
STATFJORD NORD	1995	11	0.260970	0.038090	0.016220	0.000000	0.315280	0.000000	43679
STATFJORD NORD	1995	12	0.255230	0.039800	0.016560	0.000000	0.311580	0.000000	43679
STATFJORD NORD	1996	1	0.277570	0.039120	0.018440	0.000000	0.335120	0.000000	43679
STATFJORD NORD	1996	2	0.206440	0.030620	0.014720	0.000000	0.251780	0.000000	43679
STATFJORD NORD	1996	3	0.234750	0.037540	0.017330	0.000000	0.289620	0.000000	43679
STATFJORD NORD	1996	4	0.355000	0.034950	0.015090	0.000000	0.405040	0.000000	43679
STATFJORD NORD	1996	5	0.245050	0.028640	0.016910	0.000000	0.290590	0.000000	43679
STATFJORD NORD	1996	6	0.285580	0.032720	0.014210	0.000000	0.332500	0.000000	43679
STATFJORD NORD	1996	7	0.361520	0.035310	0.014030	0.000000	0.410860	0.000000	43679
STATFJORD NORD	1996	8	0.120290	0.031900	0.015350	0.000000	0.167540	0.000000	43679
STATFJORD NORD	1996	9	0.296050	0.020290	0.014430	0.000000	0.330760	0.000000	43679
STATFJORD NORD	1996	10	0.333080	0.011310	0.005610	0.000000	0.350000	0.000000	43679
STATFJORD NORD	1996	11	0.294020	0.011400	0.005240	0.000000	0.310660	0.000000	43679
STATFJORD NORD	1996	12	0.297610	0.015390	0.007460	0.000000	0.320450	0.000000	43679
STATFJORD NORD	1997	1	0.224520	0.014220	0.007680	0.000000	0.246420	0.000000	43679
STATFJORD NORD	1997	2	0.286520	0.013530	0.006840	0.000000	0.306890	0.000000	43679
STATFJORD NORD	1997	3	0.266010	0.015080	0.007720	0.000000	0.288810	0.000000	43679
STATFJORD NORD	1997	4	0.390160	0.014140	0.007630	0.000000	0.411930	0.000000	43679
STATFJORD NORD	1997	5	0.374750	0.014620	0.007840	0.000000	0.397210	0.000000	43679
STATFJORD NORD	1997	6	0.403710	0.014940	0.007340	0.000000	0.425990	0.000000	43679
STATFJORD NORD	1997	7	0.386290	0.014440	0.007800	0.000000	0.408530	0.000000	43679
STATFJORD NORD	1997	8	0.326560	0.014210	0.007850	0.000000	0.348620	0.000000	43679
STATFJORD NORD	1997	9	0.320880	0.014660	0.007700	0.000000	0.343240	0.000000	43679
STATFJORD NORD	1997	10	0.326350	0.014290	0.007880	0.000000	0.348520	0.000000	43679
STATFJORD NORD	1997	11	0.307750	0.014260	0.007810	0.000000	0.329830	0.000000	43679
STATFJORD NORD	1997	12	0.321810	0.014490	0.008210	0.000000	0.344520	0.000000	43679
STATFJORD NORD	1998	1	0.189570	0.013320	0.007980	0.000000	0.210870	0.000000	43679
STATFJORD NORD	1998	2	0.261370	0.012700	0.007390	0.000000	0.281460	0.000000	43679
STATFJORD NORD	1998	3	0.321760	0.013970	0.007590	0.000000	0.343320	0.000000	43679
STATFJORD NORD	1998	4	0.300820	0.013760	0.007530	0.000000	0.322110	0.000000	43679
STATFJORD NORD	1998	5	0.296490	0.011780	0.008300	0.000000	0.316570	0.000000	43679
STATFJORD NORD	1998	6	0.292330	0.013520	0.007730	0.000000	0.313570	0.000000	43679
STATFJORD NORD	1998	7	0.285430	0.016710	0.007850	0.000000	0.309980	0.000000	43679
STATFJORD NORD	1998	8	0.050510	0.005520	0.002100	0.000000	0.058140	0.000000	43679
STATFJORD NORD	1998	9	0.232190	0.015350	0.007130	0.000000	0.254670	0.000000	43679
STATFJORD NORD	1998	10	0.268410	0.018350	0.008210	0.000000	0.294970	0.000000	43679
STATFJORD NORD	1998	11	0.267640	0.015120	0.007900	0.000000	0.290660	0.000000	43679
STATFJORD NORD	1998	12	0.268920	0.015570	0.007930	0.000000	0.292420	0.000000	43679
STATFJORD NORD	1999	1	0.255660	0.015270	0.007750	0.000000	0.278670	0.000000	43679
STATFJORD NORD	1999	2	0.229370	0.013120	0.008070	0.000000	0.250560	0.000000	43679
STATFJORD NORD	1999	3	0.240330	0.013390	0.008420	0.000000	0.262140	0.000000	43679
STATFJORD NORD	1999	4	0.220450	0.014030	0.008170	0.000000	0.242650	0.000000	43679
STATFJORD NORD	1999	5	0.206810	0.012530	0.006930	0.000000	0.226270	0.000000	43679
STATFJORD NORD	1999	6	0.244390	0.010990	0.006870	0.000000	0.262250	0.000000	43679
STATFJORD NORD	1999	7	0.350020	0.014580	0.007930	0.000000	0.372530	0.000000	43679
STATFJORD NORD	1999	8	0.350000	0.014190	0.008320	0.000000	0.372520	0.000000	43679
STATFJORD NORD	1999	9	0.331370	0.013760	0.007740	0.000000	0.352860	0.000000	43679
STATFJORD NORD	1999	10	0.268410	0.012160	0.006410	0.000000	0.286980	0.000000	43679
STATFJORD NORD	1999	11	0.342910	0.011180	0.006160	0.000000	0.360250	0.000000	43679
STATFJORD NORD	1999	12	0.353720	0.011860	0.006230	0.000000	0.371810	0.000000	43679
STATFJORD NORD	2000	1	0.333790	0.011710	0.005830	0.000000	0.351330	0.075500	43679
STATFJORD NORD	2000	2	0.340680	0.010780	0.006260	0.000000	0.357710	0.080810	43679
STATFJORD NORD	2000	3	0.356610	0.011640	0.005950	0.000000	0.374200	0.083110	43679
STATFJORD NORD	2000	4	0.356420	0.011220	0.005760	0.000000	0.373390	0.064060	43679
STATFJORD NORD	2000	5	0.389540	0.009610	0.006390	0.000000	0.405530	0.071350	43679
STATFJORD NORD	2000	6	0.060010	0.004740	0.002650	0.000000	0.067410	0.007740	43679
STATFJORD NORD	2000	7	0.366280	0.011360	0.006160	0.000000	0.383800	0.083090	43679
STATFJORD NORD	2000	8	0.367610	0.010770	0.007130	0.000000	0.385510	0.077450	43679
STATFJORD NORD	2000	9	0.375710	0.010440	0.007170	0.000000	0.393320	0.103990	43679
STATFJORD NORD	2000	10	0.374650	0.010580	0.006840	0.000000	0.392070	0.109130	43679
STATFJORD NORD	2000	11	0.344840	0.009040	0.010180	0.000000	0.364070	0.117660	43679
STATFJORD NORD	2000	12	0.331590	0.009590	0.010830	0.000000	0.352010	0.149490	43679
STATFJORD NORD	2001	1	0.300350	0.010130	0.009350	0.000000	0.319830	0.171550	43679
STATFJORD NORD	2001	2	0.252980	0.008810	0.008350	0.000000	0.270130	0.159910	43679
STATFJORD NORD	2001	3	0.283760	0.009950	0.009210	0.000000	0.302910	0.203570	43679
STATFJORD NORD	2001	4	0.259880	0.009600	0.008740	0.000000	0.278220	0.201010	43679
STATFJORD NORD	2001	5	0.252350	0.009100	0.008820	0.000000	0.270270	0.232210	43679
STATFJORD NORD	2001	6	0.235630	0.009630	0.008810	0.000000	0.254070	0.239090	43679
STATFJORD NORD	2001	7	0.235750	0.009140	0.009100	0.000000	0.253980	0.254180	43679
STATFJORD NORD	2001	8	0.213540	0.009210	0.008420	0.000000	0.231160	0.292430	43679
STATFJORD NORD	2001	9	0.197700	0.009860	0.008540	0.000000	0.216100	0.215260	43679
STATFJORD NORD	2001	10	0.216170	0.009880	0.008960	0.000000	0.235020	0.250340	43679
STATFJORD NORD	2001	11	0.173810	0.009170	0.009190	0.000000	0.192180	0.222380	43679
STATFJORD NORD	2001	12	0.219230	0.009500	0.010050	0.000000	0.238780	0.260130	43679
STATFJORD NORD	2002	1	0.194230	0.011400	0.010650	0.000000	0.216270	0.232620	43679
STATFJORD NORD	2002	2	0.199520	0.011570	0.011280	0.000000	0.222360	0.252430	43679
STATFJORD NORD	2002	3	0.184190	0.010830	0.009970	0.000000	0.204990	0.258730	43679
STATFJORD NORD	2002	4	0.213480	0.013150	0.011940	0.000000	0.238570	0.263690	43679
STATFJORD NORD	2002	5	0.223830	0.013210	0.012630	0.000000	0.249670	0.273630	43679
STATFJORD NORD	2002	6	0.199870	0.012000	0.012090	0.000000	0.223960	0.250280	43679
STATFJORD NORD	2002	7	0.208900	0.012620	0.011240	0.000000	0.232750	0.273180	43679
STATFJORD NORD	2002	8	0.042690	0.002870	0.002020	0.000000	0.047590	0.047030	43679
STATFJORD NORD	2002	9	0.193530	0.011740	0.010710	0.000000	0.215980	0.262600	43679
STATFJORD NORD	2002	10	0.198250	0.012360	0.010120	0.000000	0.220720	0.254810	43679
STATFJORD NORD	2002	11	0.208480	0.013210	0.010970	0.000000	0.232650	0.256700	43679
STATFJORD NORD	2002	12	0.207650	0.012920	0.011940	0.000000	0.232500	0.265900	43679
STATFJORD NORD	2003	1	0.213790	0.013190	0.010670	0.000000	0.237660	0.259210	43679
STATFJORD NORD	2003	2	0.193050	0.011950	0.009060	0.000000	0.214050	0.230520	43679
STATFJORD NORD	2003	3	0.211040	0.013520	0.010200	0.000000	0.234760	0.272500	43679
STATFJORD NORD	2003	4	0.269650	0.017720	0.013230	0.000000	0.300600	0.228500	43679
STATFJORD NORD	2003	5	0.277630	0.017630	0.013280	0.000000	0.308530	0.271270	43679
STATFJORD NORD	2003	6	0.252470	0.015560	0.011600	0.000000	0.279630	0.271240	43679
STATFJORD NORD	2003	7	0.258140	0.016830	0.011600	0.000000	0.286580	0.280800	43679
STATFJORD NORD	2003	8	0.250690	0.016040	0.011230	0.000000	0.277960	0.286790	43679
STATFJORD NORD	2003	9	0.236060	0.014210	0.011030	0.000000	0.261290	0.286330	43679
STATFJORD NORD	2003	10	0.238410	0.017280	0.012480	0.000000	0.268180	0.276620	43679
STATFJORD NORD	2003	11	0.216390	0.015450	0.011610	0.000000	0.243460	0.305760	43679
STATFJORD NORD	2003	12	0.212890	0.015060	0.011470	0.000000	0.239420	0.329500	43679
STATFJORD NORD	2004	1	0.205490	0.014600	0.011040	0.000000	0.231130	0.329530	43679
STATFJORD NORD	2004	2	0.225850	0.018350	0.010150	0.000000	0.254350	0.313640	43679
STATFJORD NORD	2004	3	0.212220	0.016710	0.011430	0.000000	0.240360	0.308310	43679
STATFJORD NORD	2004	4	0.088150	0.000000	0.000000	0.000000	0.088150	0.140360	43679
STATFJORD NORD	2004	5	0.174220	0.001180	0.000930	0.000000	0.176330	0.208950	43679
STATFJORD NORD	2004	6	0.193330	0.013110	0.011380	0.000000	0.217810	0.271590	43679
STATFJORD NORD	2004	7	0.185290	0.012370	0.012480	0.000000	0.210140	0.318640	43679
STATFJORD NORD	2004	8	0.180980	0.006680	0.004740	0.000000	0.192410	0.351480	43679
STATFJORD NORD	2004	9	0.171700	0.012370	0.005930	0.000000	0.190000	0.344050	43679
STATFJORD NORD	2004	10	0.169400	0.011960	0.010680	0.000000	0.192040	0.366020	43679
STATFJORD NORD	2004	11	0.170520	0.023490	0.017070	0.000000	0.211080	0.341820	43679
STATFJORD NORD	2004	12	0.186240	0.022110	0.019990	0.000000	0.228340	0.349960	43679
STATFJORD NORD	2005	1	0.192990	0.025780	0.018000	0.000000	0.236770	0.316980	43679
STATFJORD NORD	2005	2	0.135200	0.018400	0.011660	0.000000	0.165250	0.229110	43679
STATFJORD NORD	2005	3	0.183190	0.024370	0.019410	0.000000	0.226960	0.316470	43679
STATFJORD NORD	2005	4	0.173180	0.019780	0.014270	0.000000	0.207230	0.300650	43679
STATFJORD NORD	2005	5	0.171850	0.024100	0.013830	0.000000	0.209780	0.301890	43679
STATFJORD NORD	2005	6	0.161720	0.019960	0.023600	0.000000	0.205280	0.321440	43679
STATFJORD NORD	2005	7	0.147360	0.022170	0.016860	0.000000	0.186390	0.299770	43679
STATFJORD NORD	2005	8	0.146900	0.022650	0.016250	0.000000	0.185790	0.337820	43679
STATFJORD NORD	2005	9	0.142690	0.021630	0.014880	0.000000	0.179200	0.350780	43679
STATFJORD NORD	2005	10	0.152380	0.022890	0.016330	0.000000	0.191590	0.334480	43679
STATFJORD NORD	2005	11	0.146960	0.021840	0.016390	0.000000	0.185190	0.318620	43679
STATFJORD NORD	2005	12	0.151870	0.022590	0.017000	0.000000	0.191460	0.363290	43679
STATFJORD NORD	2006	1	0.146080	0.022150	0.016770	0.000000	0.185000	0.380540	43679
STATFJORD NORD	2006	2	0.119770	0.007370	0.005420	0.000000	0.132550	0.329110	43679
STATFJORD NORD	2006	3	0.122780	0.020830	0.014570	0.000000	0.158180	0.323230	43679
STATFJORD NORD	2006	4	0.126190	0.020490	0.014600	0.000000	0.161280	0.346930	43679
STATFJORD NORD	2006	5	0.131380	0.019730	0.012890	0.000000	0.164000	0.373410	43679
STATFJORD NORD	2006	6	0.000370	0.000020	0.000010	0.000000	0.000400	0.000690	43679
STATFJORD NORD	2006	7	0.112750	0.006730	0.005310	0.000000	0.124790	0.297300	43679
STATFJORD NORD	2006	8	0.110060	0.010040	0.007030	0.000000	0.127130	0.304680	43679
STATFJORD NORD	2006	9	0.119280	0.019510	0.013770	0.000000	0.152550	0.351420	43679
STATFJORD NORD	2006	10	0.116640	0.015690	0.011520	0.000000	0.143850	0.335290	43679
STATFJORD NORD	2006	11	0.102830	0.009800	0.007230	0.000000	0.119850	0.312260	43679
STATFJORD NORD	2006	12	0.101650	0.007720	0.005640	0.000000	0.115010	0.345320	43679
STATFJORD NORD	2007	1	0.096950	0.007960	0.005110	0.000000	0.110010	0.367120	43679
STATFJORD NORD	2007	2	0.088830	0.007100	0.004920	0.000000	0.100840	0.324680	43679
STATFJORD NORD	2007	3	0.091620	0.005880	0.003670	0.000000	0.101160	0.331220	43679
STATFJORD NORD	2007	4	0.096340	0.008020	0.005020	0.000000	0.109380	0.376150	43679
STATFJORD NORD	2007	5	0.102340	0.008120	0.005320	0.000000	0.115780	0.409850	43679
STATFJORD NORD	2007	6	0.088560	0.005580	0.003920	0.000000	0.098060	0.395100	43679
STATFJORD NORD	2007	7	0.093940	0.007360	0.005150	0.000000	0.106450	0.422440	43679
STATFJORD NORD	2007	8	0.100750	0.007100	0.005290	0.000000	0.113140	0.406870	43679
STATFJORD NORD	2007	9	0.094140	0.006670	0.004960	0.000000	0.105770	0.347930	43679
STATFJORD NORD	2007	10	0.095710	0.008050	0.006700	0.000000	0.110460	0.441170	43679
STATFJORD NORD	2007	11	0.088550	0.008570	0.006890	0.000000	0.104010	0.440480	43679
STATFJORD NORD	2007	12	0.088780	0.008450	0.006790	0.000000	0.104020	0.458380	43679
STATFJORD NORD	2008	1	0.086440	0.005730	0.004550	0.000000	0.096720	0.434220	43679
STATFJORD NORD	2008	2	0.081760	0.004190	0.003490	0.000000	0.089450	0.425320	43679
STATFJORD NORD	2008	3	0.074650	0.001270	0.001040	0.000000	0.076960	0.394630	43679
STATFJORD NORD	2008	4	0.008490	0.000000	0.000000	0.000000	0.008490	0.037770	43679
STATFJORD NORD	2008	5	0.080960	0.004940	0.003970	0.000000	0.089870	0.366090	43679
STATFJORD NORD	2008	6	0.078800	0.002850	0.002260	0.000000	0.083900	0.393450	43679
STATFJORD NORD	2008	7	0.086700	0.002830	0.002270	0.000000	0.091800	0.443570	43679
STATFJORD NORD	2008	8	0.081380	0.003430	0.002700	0.000000	0.087510	0.416500	43679
STATFJORD NORD	2008	9	0.067060	0.004690	0.002850	0.000000	0.074590	0.391210	43679
STATFJORD NORD	2008	10	0.049680	0.005340	0.002250	0.000000	0.057280	0.315730	43679
STATFJORD NORD	2008	11	0.024980	0.001960	0.000820	0.000000	0.027760	0.152900	43679
STATFJORD NORD	2008	12	0.022760	0.001230	0.000710	0.000000	0.024700	0.135560	43679
STATFJORD NORD	2009	1	0.021940	0.001110	0.000620	0.000000	0.023660	0.132670	43679
STATFJORD NORD	2009	2	0.020050	0.000520	0.000220	0.000000	0.020790	0.124900	43679
STATFJORD NORD	2009	3	0.022760	0.000990	0.000410	0.000000	0.024160	0.134390	43679
STATFJORD NORD	2009	4	0.024930	0.001200	0.000490	0.000000	0.026620	0.120140	43679
STATFJORD NORD	2009	5	0.031150	0.001740	0.000710	0.000000	0.033610	0.143890	43679
STATFJORD NORD	2009	6	0.032060	0.001730	0.000710	0.000000	0.034500	0.160380	43679
STATFJORD NORD	2009	7	0.028740	0.001650	0.000660	0.000000	0.031060	0.129570	43679
STATFJORD NORD	2009	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43679
STATFJORD NORD	2009	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43679
STATFJORD NORD	2009	10	0.033810	0.001820	0.000750	0.000000	0.036370	0.096820	43679
STATFJORD NORD	2009	11	0.035330	0.002370	0.000960	0.000000	0.038670	0.124020	43679
STATFJORD NORD	2009	12	0.034950	0.002950	0.001190	0.000000	0.039090	0.128790	43679
STATFJORD NORD	2010	1	0.036920	0.002750	0.001100	0.000000	0.040760	0.131190	43679
STATFJORD NORD	2010	2	0.038220	0.002630	0.001050	0.000000	0.041890	0.150740	43679
STATFJORD NORD	2010	3	0.046290	0.003000	0.001180	0.000000	0.050470	0.180790	43679
STATFJORD NORD	2010	4	0.042610	0.002930	0.001160	0.000000	0.046710	0.159560	43679
STATFJORD NORD	2010	5	0.035040	0.002660	0.001060	0.000000	0.038770	0.145840	43679
STATFJORD NORD	2010	6	0.030840	0.002770	0.001110	0.000000	0.034720	0.145410	43679
STATFJORD NORD	2010	7	0.024490	0.001800	0.000720	0.000000	0.027010	0.124910	43679
STATFJORD NORD	2010	8	0.032300	0.002730	0.001060	0.000000	0.036090	0.158710	43679
STATFJORD NORD	2010	9	0.027840	0.001740	0.000680	0.000000	0.030250	0.116370	43679
STATFJORD NORD	2010	10	0.029870	0.002640	0.000970	0.000000	0.033480	0.137900	43679
STATFJORD NORD	2010	11	0.031550	0.002400	0.000980	0.000000	0.034930	0.183300	43679
STATFJORD NORD	2010	12	0.032690	0.002740	0.001060	0.000000	0.036480	0.222000	43679
STATFJORD NORD	2011	1	0.028680	0.002060	0.000810	0.000000	0.031550	0.230020	43679
STATFJORD NORD	2011	2	0.025670	0.001830	0.000610	0.000000	0.028110	0.213850	43679
STATFJORD NORD	2011	3	0.026770	0.002070	0.000710	0.000000	0.029550	0.239260	43679
STATFJORD NORD	2011	4	0.026540	0.002090	0.000710	0.000000	0.029340	0.245530	43679
STATFJORD NORD	2011	5	0.028540	0.002210	0.000720	0.000000	0.031470	0.224950	43679
STATFJORD NORD	2011	6	0.006480	0.000480	0.000180	0.000000	0.007140	0.055300	43679
STATFJORD NORD	2011	7	0.023460	0.001650	0.000560	0.000000	0.025660	0.138250	43679
STATFJORD NORD	2011	8	0.020410	0.001890	0.000640	0.000000	0.022940	0.166620	43679
STATFJORD NORD	2011	9	0.019930	0.001610	0.000530	0.000000	0.022060	0.199740	43679
STATFJORD NORD	2011	10	0.015570	0.001630	0.000520	0.000000	0.017720	0.155140	43679
STATFJORD NORD	2011	11	0.017980	0.005340	0.001630	0.000000	0.024950	0.189870	43679
STATFJORD NORD	2011	12	0.005770	0.000680	0.000210	0.000000	0.006660	0.065790	43679
STATFJORD NORD	2012	1	0.020400	0.003320	0.000980	0.000000	0.024710	0.247750	43679
STATFJORD NORD	2012	2	0.020920	0.000730	0.000220	0.000000	0.021870	0.262750	43679
STATFJORD NORD	2012	3	0.036830	0.001800	0.000550	0.000000	0.039180	0.220940	43679
STATFJORD NORD	2012	4	0.035500	0.001950	0.000600	0.000000	0.038050	0.189880	43679
STATFJORD NORD	2012	5	0.029540	0.001200	0.000360	0.000000	0.031100	0.140440	43679
STATFJORD NORD	2012	6	0.016960	0.000620	0.000190	0.000000	0.017770	0.143740	43679
STATFJORD NORD	2012	7	0.004960	0.000110	0.000020	0.000000	0.005080	0.045130	43679
STATFJORD NORD	2012	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43679
STATFJORD NORD	2012	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43679
STATFJORD NORD	2012	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43679
STATFJORD NORD	2012	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43679
STATFJORD NORD	2012	12	0.000000	0.000180	0.000110	0.000000	0.000290	0.000000	43679
STATFJORD NORD	2013	1	0.000000	0.000110	0.000070	0.000000	0.000180	0.000000	43679
STATFJORD NORD	2013	2	0.002960	0.000400	0.000230	0.000000	0.003590	0.013190	43679
GULLFAKS	1986	12	0.044480	0.000000	0.000000	0.000000	0.044480	0.000000	43686
GULLFAKS	1987	1	0.150220	0.000000	0.000000	0.000000	0.150220	0.000000	43686
GULLFAKS	1987	2	0.184040	0.000000	0.000000	0.000000	0.184040	0.000000	43686
GULLFAKS	1987	3	0.248310	0.000000	0.000000	0.000000	0.248310	0.000000	43686
GULLFAKS	1987	4	0.256650	0.000000	0.000000	0.000000	0.256650	0.000000	43686
GULLFAKS	1987	5	0.300600	0.000000	0.000000	0.000000	0.300600	0.000000	43686
GULLFAKS	1987	6	0.323000	0.000000	0.000000	0.000000	0.323000	0.000000	43686
GULLFAKS	1987	7	0.410310	0.011970	0.000790	0.000000	0.423070	0.000000	43686
GULLFAKS	1987	8	0.493820	0.023110	0.001730	0.000000	0.518660	0.000000	43686
GULLFAKS	1987	9	0.523230	0.030300	0.005930	0.000000	0.559450	0.000000	43686
GULLFAKS	1987	10	0.517040	0.027140	0.003970	0.000000	0.548160	0.000000	43686
GULLFAKS	1987	11	0.400160	0.020080	0.001520	0.000000	0.421760	0.000000	43686
GULLFAKS	1987	12	0.212610	0.008910	0.002830	0.000000	0.224350	0.000000	43686
GULLFAKS	1988	1	0.541380	0.032660	0.002520	0.000000	0.576560	0.000000	43686
GULLFAKS	1988	2	0.533520	0.034590	0.003730	0.000000	0.571840	0.000000	43686
GULLFAKS	1988	3	0.731360	0.047040	0.005200	0.000000	0.783600	0.000000	43686
GULLFAKS	1988	4	0.719830	0.046790	0.005760	0.000000	0.772380	0.000000	43686
GULLFAKS	1988	5	0.542270	0.029030	0.003310	0.000000	0.574600	0.000000	43686
GULLFAKS	1988	6	0.365930	0.020160	0.002360	0.000000	0.388450	0.000000	43686
GULLFAKS	1988	7	0.821210	0.052410	0.007920	0.000000	0.881540	0.000000	43686
GULLFAKS	1988	8	0.891060	0.056440	0.008050	0.000000	0.955550	0.000000	43686
GULLFAKS	1988	9	0.922030	0.072130	0.010850	0.000000	1.005000	0.000000	43686
GULLFAKS	1988	10	1.042720	0.077060	0.009120	0.000000	1.128900	0.000000	43686
GULLFAKS	1988	11	1.035270	0.076090	0.012100	0.000000	1.123450	0.000000	43686
GULLFAKS	1988	12	0.492440	0.037110	0.009190	0.000000	0.538740	0.000000	43686
GULLFAKS	1989	1	1.214460	0.092040	0.009920	0.000000	1.316420	0.000000	43686
GULLFAKS	1989	2	1.069860	0.072890	0.011650	0.000000	1.154400	0.000000	43686
GULLFAKS	1989	3	1.396700	0.103730	0.016820	0.000000	1.517240	0.000000	43686
GULLFAKS	1989	4	1.399140	0.098140	0.014050	0.000000	1.511320	0.000000	43686
GULLFAKS	1989	5	1.372250	0.089480	0.013730	0.000000	1.475450	0.000000	43686
GULLFAKS	1989	6	1.055410	0.072050	0.006140	0.000000	1.133610	0.000000	43686
GULLFAKS	1989	7	1.353900	0.093210	0.020120	0.000000	1.467230	0.000000	43686
GULLFAKS	1989	8	1.371310	0.098380	0.014050	0.000000	1.483740	0.000000	43686
GULLFAKS	1989	9	1.337570	0.082660	0.010280	0.000000	1.430510	0.000000	43686
GULLFAKS	1989	10	1.359270	0.089980	0.012000	0.000000	1.461250	0.000000	43686
GULLFAKS	1989	11	1.374230	0.096970	0.012740	0.000000	1.483950	0.000000	43686
GULLFAKS	1989	12	1.185870	0.069900	0.009590	0.000000	1.265360	0.000000	43686
GULLFAKS	1990	1	1.209840	0.072040	0.004730	0.000000	1.286610	0.000000	43686
GULLFAKS	1990	2	1.079690	0.070380	0.008070	0.000000	1.158140	0.000000	43686
GULLFAKS	1990	3	1.220770	0.076190	0.009780	0.000000	1.306740	0.000000	43686
GULLFAKS	1990	4	1.212630	0.077550	0.010270	0.000000	1.300450	0.000000	43686
GULLFAKS	1990	5	1.318140	0.095870	0.013100	0.000000	1.427100	0.000000	43686
GULLFAKS	1990	6	1.308000	0.094890	0.012730	0.000000	1.415630	0.000000	43686
GULLFAKS	1990	7	1.049180	0.079620	0.010820	0.000000	1.139620	0.000000	43686
GULLFAKS	1990	8	0.821480	0.053470	0.007570	0.000000	0.882520	0.000000	43686
GULLFAKS	1990	9	1.278300	0.085610	0.013620	0.000000	1.377530	0.000000	43686
GULLFAKS	1990	10	1.452340	0.095210	0.015210	0.000000	1.562760	0.000000	43686
GULLFAKS	1990	11	1.431530	0.099300	0.016050	0.000000	1.546870	0.000000	43686
GULLFAKS	1990	12	1.447670	0.104770	0.023040	0.000000	1.575480	0.000000	43686
GULLFAKS	1991	1	1.576300	0.114170	0.010090	0.000000	1.700570	0.000000	43686
GULLFAKS	1991	2	1.416920	0.108780	0.016340	0.000000	1.542040	0.000000	43686
GULLFAKS	1991	3	1.481480	0.094440	0.014270	0.000000	1.590190	0.000000	43686
GULLFAKS	1991	4	1.547230	0.084450	0.016270	0.000000	1.647940	0.000000	43686
GULLFAKS	1991	5	1.774040	0.103900	0.019560	0.000000	1.897500	0.000000	43686
GULLFAKS	1991	6	1.743150	0.137300	0.022040	0.000000	1.902490	0.000000	43686
GULLFAKS	1991	7	1.798560	0.134750	0.024700	0.000000	1.958000	0.000000	43686
GULLFAKS	1991	8	1.040540	0.019240	0.003780	0.000000	1.063560	0.000000	43686
GULLFAKS	1991	9	1.849960	0.103960	0.022100	0.000000	1.976020	0.000000	43686
GULLFAKS	1991	10	1.970260	0.138450	0.028040	0.000000	2.136740	0.000000	43686
GULLFAKS	1991	11	1.796540	0.137180	0.026650	0.000000	1.960360	0.000000	43686
GULLFAKS	1991	12	1.911750	0.133190	0.033640	0.000000	2.078580	0.000000	43686
GULLFAKS	1992	1	2.142760	0.154870	0.019410	0.000000	2.317040	0.000000	43686
GULLFAKS	1992	2	1.939940	0.115160	0.023740	0.000000	2.078840	0.000000	43686
GULLFAKS	1992	3	2.065510	0.128530	0.022860	0.000000	2.216890	0.000000	43686
GULLFAKS	1992	4	1.996360	0.152940	0.032390	0.000000	2.181690	0.000000	43686
GULLFAKS	1992	5	2.123580	0.166410	0.032130	0.000000	2.322120	0.000000	43686
GULLFAKS	1992	6	1.614490	0.127880	0.025060	0.000000	1.767420	0.000000	43686
GULLFAKS	1992	7	2.059230	0.152320	0.029050	0.000000	2.240600	0.000000	43686
GULLFAKS	1992	8	2.114270	0.143450	0.024600	0.000000	2.282320	0.000000	43686
GULLFAKS	1992	9	2.059280	0.140400	0.013500	0.000000	2.213180	0.000000	43686
GULLFAKS	1992	10	2.216680	0.179750	0.033680	0.000000	2.430110	0.000000	43686
GULLFAKS	1992	11	2.272280	0.173690	0.032400	0.000000	2.478360	0.000000	43686
GULLFAKS	1992	12	2.422720	0.164020	0.048500	0.000000	2.635240	0.000000	43686
GULLFAKS	1993	1	2.178990	0.135030	0.018640	0.000000	2.332660	0.000000	43686
GULLFAKS	1993	2	1.940960	0.126720	0.028460	0.000000	2.096130	0.000000	43686
GULLFAKS	1993	3	2.519660	0.165740	0.036860	0.000000	2.722260	0.000000	43686
GULLFAKS	1993	4	2.464480	0.172450	0.035460	0.000000	2.672390	0.000000	43686
GULLFAKS	1993	5	2.522190	0.191520	0.040480	0.000000	2.754190	0.000000	43686
GULLFAKS	1993	6	1.617220	0.068290	0.016030	0.000000	1.701540	0.000000	43686
GULLFAKS	1993	7	2.590290	0.182280	0.112550	0.000000	2.885120	0.000000	43686
GULLFAKS	1993	8	2.583030	0.198640	0.042380	0.000000	2.824040	0.000000	43686
GULLFAKS	1993	9	2.521410	0.205370	0.045750	0.000000	2.772530	0.000000	43686
GULLFAKS	1993	10	2.609860	0.217960	0.043940	0.000000	2.871760	0.000000	43686
GULLFAKS	1993	11	2.565970	0.205400	0.035530	0.000000	2.806900	0.000000	43686
GULLFAKS	1993	12	2.562570	0.199700	0.038520	0.000000	2.800790	0.000000	43686
GULLFAKS	1994	1	2.639380	0.208700	0.040590	0.000000	2.888670	0.000000	43686
GULLFAKS	1994	2	2.435540	0.193920	0.037530	0.000000	2.667000	0.000000	43686
GULLFAKS	1994	3	2.697170	0.194720	0.047280	0.000000	2.939160	0.000000	43686
GULLFAKS	1994	4	2.702300	0.212980	0.042280	0.000000	2.957570	0.000000	43686
GULLFAKS	1994	5	2.794570	0.214780	0.045350	0.000000	3.054700	0.000000	43686
GULLFAKS	1994	6	2.650030	0.132570	0.037370	0.000000	2.819970	0.000000	43686
GULLFAKS	1994	7	2.716420	0.148070	0.038190	0.000000	2.902670	0.000000	43686
GULLFAKS	1994	8	1.394660	0.078490	0.018570	0.000000	1.491710	0.000000	43686
GULLFAKS	1994	9	2.598880	0.162950	0.034840	0.000000	2.796660	0.000000	43686
GULLFAKS	1994	10	2.804930	0.160030	0.036220	0.000000	3.001180	0.000000	43686
GULLFAKS	1994	11	2.619850	0.154680	0.035670	0.000000	2.810200	0.000000	43686
GULLFAKS	1994	12	2.689560	0.154620	0.034520	0.000000	2.878690	0.000000	43686
GULLFAKS	1995	1	2.577880	0.162400	0.033780	0.000000	2.774050	0.000000	43686
GULLFAKS	1995	2	2.129870	0.143370	0.030310	0.000000	2.303550	0.000000	43686
GULLFAKS	1995	3	2.448170	0.172830	0.034830	0.000000	2.655830	0.000000	43686
GULLFAKS	1995	4	2.454160	0.163100	0.034480	0.000000	2.651740	0.000000	43686
GULLFAKS	1995	5	2.568680	0.164710	0.037280	0.000000	2.770670	0.000000	43686
GULLFAKS	1995	6	2.418310	0.145140	0.032710	0.000000	2.596160	0.000000	43686
GULLFAKS	1995	7	2.578280	0.162540	0.035160	0.000000	2.775980	0.000000	43686
GULLFAKS	1995	8	1.533780	0.109500	0.018770	0.000000	1.662040	0.000000	43686
GULLFAKS	1995	9	2.292720	0.136720	0.025950	0.000000	2.455390	0.000000	43686
GULLFAKS	1995	10	2.481530	0.166700	0.034550	0.000000	2.682780	0.000000	43686
GULLFAKS	1995	11	2.231830	0.174250	0.030580	0.000000	2.436660	0.000000	43686
GULLFAKS	1995	12	2.375750	0.171880	0.029670	0.000000	2.577290	0.000000	43686
GULLFAKS	1996	1	2.283100	0.140230	0.019080	0.000000	2.442400	0.000000	43686
GULLFAKS	1996	2	2.185640	0.153400	0.018580	0.000000	2.357610	0.000000	43686
GULLFAKS	1996	3	2.286700	0.150570	0.017000	0.000000	2.454270	0.000000	43686
GULLFAKS	1996	4	2.286080	0.160650	0.017770	0.000000	2.464500	0.000000	43686
GULLFAKS	1996	5	2.087210	0.153480	0.017330	0.000000	2.258020	0.000000	43686
GULLFAKS	1996	6	2.224700	0.149390	0.016270	0.000000	2.390360	0.000000	43686
GULLFAKS	1996	7	2.265620	0.160930	0.016790	0.000000	2.443350	0.000000	43686
GULLFAKS	1996	8	2.171650	0.190960	0.018150	0.000000	2.380750	0.000000	43686
GULLFAKS	1996	9	2.049740	0.131120	0.012590	0.000000	2.193440	0.000000	43686
GULLFAKS	1996	10	1.104200	0.098230	0.014790	0.000000	1.217230	0.000000	43686
GULLFAKS	1996	11	2.127480	0.137460	0.017130	0.000000	2.282080	0.000000	43686
GULLFAKS	1996	12	2.372890	0.146390	0.016510	0.000000	2.535800	0.000000	43686
GULLFAKS	1997	1	2.339720	0.162430	0.017640	0.000000	2.519790	0.000000	43686
GULLFAKS	1997	2	1.922270	0.120060	0.009840	0.000000	2.052160	0.000000	43686
GULLFAKS	1997	3	2.072470	0.133070	0.014400	0.000000	2.219940	0.000000	43686
GULLFAKS	1997	4	2.275330	0.149190	0.022930	0.000000	2.447460	0.000000	43686
GULLFAKS	1997	5	2.294920	0.156600	0.027550	0.000000	2.479060	0.000000	43686
GULLFAKS	1997	6	2.192280	0.140500	0.011260	0.000000	2.344040	0.000000	43686
GULLFAKS	1997	7	2.250360	0.153570	0.013970	0.000000	2.417900	0.000000	43686
GULLFAKS	1997	8	1.781940	0.135750	0.011550	0.000000	1.929240	0.000000	43686
GULLFAKS	1997	9	0.943890	0.031960	0.006390	0.000000	0.982230	0.000000	43686
GULLFAKS	1997	10	2.098510	0.158670	0.015260	0.000000	2.272430	0.000000	43686
GULLFAKS	1997	11	1.982780	0.169100	0.017970	0.000000	2.169850	0.000000	43686
GULLFAKS	1997	12	1.966830	0.173220	0.020300	0.000000	2.160350	0.000000	43686
GULLFAKS	1998	1	1.889020	0.139150	0.029990	0.000000	2.058160	0.000000	43686
GULLFAKS	1998	2	1.788000	0.128280	0.024390	0.000000	1.940670	0.000000	43686
GULLFAKS	1998	3	1.830850	0.139440	0.027290	0.000000	1.997590	0.000000	43686
GULLFAKS	1998	4	1.706650	0.124830	0.014060	0.000000	1.845530	0.000000	43686
GULLFAKS	1998	5	1.688430	0.131460	0.018060	0.000000	1.837950	0.000000	43686
GULLFAKS	1998	6	1.123380	0.035190	0.006350	0.000000	1.164910	0.000000	43686
GULLFAKS	1998	7	1.777650	0.097000	0.014010	0.000000	1.888660	0.000000	43686
GULLFAKS	1998	8	1.121140	0.022500	0.001700	0.000000	1.145340	0.000000	43686
GULLFAKS	1998	9	1.687200	0.145220	0.019740	0.000000	1.852150	0.000000	43686
GULLFAKS	1998	10	1.760780	0.177800	0.031680	0.000000	1.970270	0.000000	43686
GULLFAKS	1998	11	1.748910	0.166680	0.032270	0.000000	1.947860	0.000000	43686
GULLFAKS	1998	12	1.732840	0.147910	0.024100	0.000000	1.904850	0.000000	43686
GULLFAKS	1999	1	1.724160	0.095040	0.010470	0.000000	1.829670	0.000000	43686
GULLFAKS	1999	2	1.466510	0.103810	0.019250	0.000000	1.589580	0.000000	43686
GULLFAKS	1999	3	1.600430	0.054440	0.008130	0.000000	1.663000	0.000000	43686
GULLFAKS	1999	4	1.577790	0.098870	0.017870	0.000000	1.694530	0.000000	43686
GULLFAKS	1999	5	1.612470	0.106270	0.019950	0.000000	1.738690	0.000000	43686
GULLFAKS	1999	6	1.507690	0.103070	0.018230	0.000000	1.628990	0.000000	43686
GULLFAKS	1999	7	1.442030	0.032580	0.004610	0.000000	1.479220	0.000000	43686
GULLFAKS	1999	8	1.531150	0.092810	0.014640	0.000000	1.638590	0.000000	43686
GULLFAKS	1999	9	0.822860	0.022840	0.005130	0.000000	0.850820	0.000000	43686
GULLFAKS	1999	10	1.143520	0.079460	0.013750	0.000000	1.236730	0.000000	43686
GULLFAKS	1999	11	1.392590	0.084040	0.011880	0.000000	1.488510	0.000000	43686
GULLFAKS	1999	12	1.455990	0.094870	0.020720	0.000000	1.571570	0.000000	43686
GULLFAKS	2000	1	1.319050	0.067860	0.007130	0.000000	1.394040	1.841550	43686
GULLFAKS	2000	2	1.270010	0.082720	0.011880	0.000000	1.364600	1.911700	43686
GULLFAKS	2000	3	1.197220	0.080830	0.008680	0.000000	1.286730	1.963060	43686
GULLFAKS	2000	4	0.930940	0.106160	0.016780	0.000000	1.053870	1.768340	43686
GULLFAKS	2000	5	1.251620	0.054420	0.008130	0.000000	1.314170	2.210450	43686
GULLFAKS	2000	6	1.248240	0.034700	0.005690	0.000000	1.288630	2.204830	43686
GULLFAKS	2000	7	1.245120	0.079130	0.012800	0.000000	1.337050	2.303790	43686
GULLFAKS	2000	8	0.730590	0.040730	0.005560	0.000000	0.776880	1.207490	43686
GULLFAKS	2000	9	1.097370	0.073710	0.015880	0.000000	1.186950	2.130190	43686
GULLFAKS	2000	10	0.853580	0.079160	0.016770	0.000000	0.949510	1.759140	43686
GULLFAKS	2000	11	1.054880	0.074640	0.018490	0.000000	1.148010	2.028220	43686
GULLFAKS	2000	12	1.073470	0.127900	0.033930	0.000000	1.235300	2.188130	43686
GULLFAKS	2001	1	0.984120	0.088670	0.025520	0.000000	1.098310	1.965580	43686
GULLFAKS	2001	2	0.907980	0.066030	0.018470	0.000000	0.992480	2.036920	43686
GULLFAKS	2001	3	0.945170	0.074600	0.020020	0.000000	1.039780	2.293250	43686
GULLFAKS	2001	4	0.959670	0.079290	0.021990	0.000000	1.060950	2.342020	43686
GULLFAKS	2001	5	0.694520	0.066900	0.018250	0.000000	0.779670	1.811530	43686
GULLFAKS	2001	6	0.903380	0.062130	0.011330	0.000000	0.976830	2.086740	43686
GULLFAKS	2001	7	0.882910	0.044670	0.006920	0.000000	0.934490	2.184090	43686
GULLFAKS	2001	8	0.819660	0.074840	0.015630	0.000000	0.910120	1.955770	43686
GULLFAKS	2001	9	0.877230	0.069430	0.006130	0.000000	0.952790	2.154100	43686
GULLFAKS	2001	10	0.924890	0.069200	0.014840	0.000000	1.008930	2.303110	43686
GULLFAKS	2001	11	0.710490	0.073530	0.018880	0.000000	0.802900	1.764150	43686
GULLFAKS	2001	12	0.921930	0.057840	0.018710	0.000000	0.998480	2.389400	43686
GULLFAKS	2002	1	0.854290	0.070880	0.020250	0.000000	0.945420	2.134560	43686
GULLFAKS	2002	2	0.789870	0.057190	0.014090	0.000000	0.861150	2.025300	43686
GULLFAKS	2002	3	0.791470	0.039340	0.011490	0.000000	0.842300	2.109220	43686
GULLFAKS	2002	4	0.792720	0.035030	0.011430	0.000000	0.839180	2.075490	43686
GULLFAKS	2002	5	0.801990	0.054160	0.015520	0.000000	0.871670	2.097060	43686
GULLFAKS	2002	6	0.811280	0.078130	0.020160	0.000000	0.909570	2.172160	43686
GULLFAKS	2002	7	0.788880	0.065580	0.020010	0.000000	0.874470	2.371380	43686
GULLFAKS	2002	8	0.776420	0.025450	0.006520	0.000000	0.808380	2.292790	43686
GULLFAKS	2002	9	0.476770	0.035660	0.007520	0.000000	0.519960	1.096450	43686
GULLFAKS	2002	10	0.739220	0.045320	0.013120	0.000000	0.797660	1.965000	43686
GULLFAKS	2002	11	0.801580	0.050910	0.008690	0.000000	0.861180	2.184340	43686
GULLFAKS	2002	12	0.786230	0.047390	0.013780	0.000000	0.847400	2.128460	43686
GULLFAKS	2003	1	0.753820	0.059100	0.024900	0.000000	0.837820	2.028160	43686
GULLFAKS	2003	2	0.813220	0.051610	0.022820	0.000000	0.887650	2.157670	43686
GULLFAKS	2003	3	0.764990	0.056590	0.023240	0.000000	0.844820	2.058050	43686
GULLFAKS	2003	4	0.582720	0.043470	0.021410	0.000000	0.647610	1.508830	43686
GULLFAKS	2003	5	0.838490	0.066190	0.028600	0.000000	0.933280	2.189660	43686
GULLFAKS	2003	6	0.793870	0.009950	0.009180	0.000000	0.812990	2.196000	43686
GULLFAKS	2003	7	0.802360	0.050600	0.029690	0.000000	0.882640	2.208500	43686
GULLFAKS	2003	8	0.855370	0.008260	0.009110	0.000000	0.872740	2.267850	43686
GULLFAKS	2003	9	0.831540	-0.000630	0.001470	0.000000	0.832380	2.181760	43686
GULLFAKS	2003	10	0.689340	0.141080	0.038990	0.000000	0.869410	1.870590	43686
GULLFAKS	2003	11	0.855610	0.077010	0.017050	0.000000	0.949670	2.221920	43686
GULLFAKS	2003	12	0.924850	0.058500	0.025950	0.000000	1.009300	2.381840	43686
GULLFAKS	2004	1	0.891510	0.056280	0.024730	0.000000	0.972510	2.396880	43686
GULLFAKS	2004	2	0.818580	0.060630	0.024360	0.000000	0.903560	2.293210	43686
GULLFAKS	2004	3	0.833090	0.066070	0.027140	0.000000	0.926300	2.468920	43686
GULLFAKS	2004	4	0.808350	0.019060	0.008090	0.000000	0.835510	2.438030	43686
GULLFAKS	2004	5	0.834750	0.009620	0.007650	0.000000	0.852020	2.495930	43686
GULLFAKS	2004	6	0.803510	0.001010	0.002020	0.000000	0.806530	2.432920	43686
GULLFAKS	2004	7	0.819120	0.052760	0.027950	0.000000	0.899820	2.518070	43686
GULLFAKS	2004	8	0.753750	0.017820	0.011200	0.000000	0.782770	2.221540	43686
GULLFAKS	2004	9	0.804060	0.097710	0.018140	0.000000	0.919900	2.518510	43686
GULLFAKS	2004	10	0.852370	0.069450	0.029960	0.000000	0.951780	2.659730	43686
GULLFAKS	2004	11	0.748380	0.063110	0.027860	0.000000	0.839340	2.283350	43686
GULLFAKS	2004	12	0.744820	0.065100	0.023230	0.000000	0.833150	2.357460	43686
GULLFAKS	2005	1	0.806900	0.068820	0.026350	0.000000	0.902060	2.419380	43686
GULLFAKS	2005	2	0.705790	0.054210	0.019010	0.000000	0.779010	2.138650	43686
GULLFAKS	2005	3	0.759760	0.059380	0.022340	0.000000	0.841480	2.265880	43686
GULLFAKS	2005	4	0.726370	0.033100	0.014320	0.000000	0.773790	2.145310	43686
GULLFAKS	2005	5	0.733810	0.010250	0.007760	0.000000	0.751820	2.311580	43686
GULLFAKS	2005	6	0.690940	0.000000	0.000000	0.000000	0.690940	1.936030	43686
GULLFAKS	2005	7	0.556870	0.000000	0.000000	0.000000	0.556870	1.406790	43686
GULLFAKS	2005	8	0.578380	0.011920	0.024690	0.000000	0.615000	1.566350	43686
GULLFAKS	2005	9	0.699050	0.042870	0.023970	0.000000	0.765890	1.970240	43686
GULLFAKS	2005	10	0.739150	0.060510	0.024720	0.000000	0.824380	2.235020	43686
GULLFAKS	2005	11	0.682570	0.053030	0.027380	0.000000	0.762980	2.330390	43686
GULLFAKS	2005	12	0.666830	0.053440	0.026630	0.000000	0.746910	2.428230	43686
GULLFAKS	2006	1	0.700570	0.056190	0.028250	0.000000	0.785000	2.403310	43686
GULLFAKS	2006	2	0.543750	0.047740	0.019020	0.000000	0.610510	1.784580	43686
GULLFAKS	2006	3	0.624230	0.048260	0.023040	0.000000	0.695540	2.446540	43686
GULLFAKS	2006	4	0.564300	0.039390	0.019100	0.000000	0.622800	2.288890	43686
GULLFAKS	2006	5	0.610840	0.037970	0.014820	0.000000	0.663620	2.393580	43686
GULLFAKS	2006	6	0.579760	0.049160	0.011290	0.000000	0.640210	2.261830	43686
GULLFAKS	2006	7	0.574860	0.048090	0.016370	0.000000	0.639310	2.288200	43686
GULLFAKS	2006	8	0.532690	0.042100	0.015440	0.000000	0.590230	2.375360	43686
GULLFAKS	2006	9	0.345430	0.052300	0.010350	0.000000	0.408080	1.969540	43686
GULLFAKS	2006	10	0.438530	0.038400	0.014130	0.000000	0.491050	2.045350	43686
GULLFAKS	2006	11	0.474270	0.033280	0.023780	0.000000	0.531330	2.062800	43686
GULLFAKS	2006	12	0.440090	0.000000	0.000000	0.000000	0.440090	1.907600	43686
GULLFAKS	2007	1	0.484020	0.035580	0.026270	0.000000	0.545860	2.117580	43686
GULLFAKS	2007	2	0.424620	0.032990	0.019160	0.000000	0.476770	1.816390	43686
GULLFAKS	2007	3	0.480510	0.027600	0.020450	0.000000	0.528560	2.163450	43686
GULLFAKS	2007	4	0.474610	0.026780	0.021920	0.000000	0.523310	2.070050	43686
GULLFAKS	2007	5	0.482600	0.000000	0.000000	0.000000	0.482600	2.051280	43686
GULLFAKS	2007	6	0.465130	0.005420	0.027920	0.000000	0.498470	1.984650	43686
GULLFAKS	2007	7	0.473250	0.044140	0.027270	0.000000	0.544660	2.023270	43686
GULLFAKS	2007	8	0.494740	0.034140	0.030050	0.000000	0.558930	2.046270	43686
GULLFAKS	2007	9	0.404320	0.000000	0.000000	0.000000	0.404320	1.558300	43686
GULLFAKS	2007	10	0.446260	0.005790	0.015470	0.000000	0.467520	1.945160	43686
GULLFAKS	2007	11	0.455150	0.013430	0.035140	0.000000	0.503710	2.013120	43686
GULLFAKS	2007	12	0.475070	0.010130	0.033410	0.000000	0.518620	2.047310	43686
GULLFAKS	2008	1	0.464950	0.024480	0.032460	0.000000	0.521890	2.039480	43686
GULLFAKS	2008	2	0.447590	0.039230	0.032100	0.000000	0.518920	1.999200	43686
GULLFAKS	2008	3	0.428710	0.036630	0.039900	0.000000	0.505230	1.725470	43686
GULLFAKS	2008	4	0.452000	0.021300	0.027120	0.000000	0.500410	2.051870	43686
GULLFAKS	2008	5	0.478120	0.032640	0.038230	0.000000	0.549000	2.215790	43686
GULLFAKS	2008	6	0.235300	0.010580	0.023380	0.000000	0.269260	0.642660	43686
GULLFAKS	2008	7	0.490100	0.038500	0.034370	0.000000	0.562960	2.001560	43686
GULLFAKS	2008	8	0.474550	0.042290	0.035650	0.000000	0.552500	2.150630	43686
GULLFAKS	2008	9	0.476680	0.042600	0.034520	0.000000	0.553800	2.189030	43686
GULLFAKS	2008	10	0.443680	0.012950	0.014300	0.000000	0.470920	2.165820	43686
GULLFAKS	2008	11	0.448330	0.020950	0.006660	0.000000	0.475940	2.183420	43686
GULLFAKS	2008	12	0.465490	0.011100	0.003380	0.000000	0.479970	2.284280	43686
GULLFAKS	2009	1	0.452790	0.013840	0.004540	0.000000	0.471160	2.348000	43686
GULLFAKS	2009	2	0.405540	0.009870	0.003220	0.000000	0.418630	2.014040	43686
GULLFAKS	2009	3	0.443980	0.014910	0.005080	0.000000	0.463970	2.155970	43686
GULLFAKS	2009	4	0.397900	0.024290	0.007850	0.000000	0.430040	2.110050	43686
GULLFAKS	2009	5	0.314290	0.046800	0.015300	0.000000	0.376390	1.824510	43686
GULLFAKS	2009	6	0.355390	0.034480	0.011530	0.000000	0.401400	1.984120	43686
GULLFAKS	2009	7	0.417410	0.011350	0.003480	0.000000	0.432240	2.343150	43686
GULLFAKS	2009	8	0.402090	0.006120	0.001970	0.000000	0.410180	2.203600	43686
GULLFAKS	2009	9	0.417540	0.010280	0.003010	0.000000	0.430830	2.303630	43686
GULLFAKS	2009	10	0.372260	0.020000	0.005790	0.000000	0.398050	2.204380	43686
GULLFAKS	2009	11	0.352760	0.022100	0.006710	0.000000	0.381570	2.175090	43686
GULLFAKS	2009	12	0.357970	0.013570	0.004260	0.000000	0.375800	2.159090	43686
GULLFAKS	2010	1	0.377460	0.001280	0.000360	0.000000	0.379100	2.190470	43686
GULLFAKS	2010	2	0.348750	0.002200	0.000690	0.000000	0.351640	2.170580	43686
GULLFAKS	2010	3	0.386870	0.005160	0.001660	0.000000	0.393690	2.383480	43686
GULLFAKS	2010	4	0.360640	0.000160	0.000050	0.000000	0.360850	2.093220	43686
GULLFAKS	2010	5	0.325250	0.017990	0.006290	0.000000	0.349530	2.116210	43686
GULLFAKS	2010	6	0.235990	0.022480	0.007940	0.000000	0.266400	1.538080	43686
GULLFAKS	2010	7	0.313680	0.017990	0.006170	0.000000	0.337830	2.022820	43686
GULLFAKS	2010	8	0.348050	0.001020	0.000320	0.000000	0.349380	2.208950	43686
GULLFAKS	2010	9	0.369390	0.021570	0.006460	0.000000	0.397410	2.333210	43686
GULLFAKS	2010	10	0.352170	0.000000	0.000000	0.000000	0.352170	2.260540	43686
GULLFAKS	2010	11	0.346310	0.000000	0.000000	0.000000	0.346310	2.266640	43686
GULLFAKS	2010	12	0.194860	0.000000	0.000000	0.000000	0.194860	0.968650	43686
GULLFAKS	2011	1	0.199730	0.000000	0.000000	0.000000	0.199730	0.930600	43686
GULLFAKS	2011	2	0.199220	0.000000	0.000000	0.000000	0.199220	1.045860	43686
GULLFAKS	2011	3	0.223630	0.000000	0.000000	0.000000	0.223630	1.237650	43686
GULLFAKS	2011	4	0.245470	0.000000	0.000000	0.000000	0.245470	1.350170	43686
GULLFAKS	2011	5	0.140690	0.000000	0.000000	0.000000	0.140690	0.690600	43686
GULLFAKS	2011	6	0.183530	0.000000	0.000000	0.000000	0.183530	0.980620	43686
GULLFAKS	2011	7	0.223530	0.000000	0.000000	0.000000	0.223530	1.427920	43686
GULLFAKS	2011	8	0.238180	0.000000	0.000000	0.000000	0.238180	1.600030	43686
GULLFAKS	2011	9	0.251240	0.000000	0.000000	0.000000	0.251240	1.564590	43686
GULLFAKS	2011	10	0.238270	0.000000	0.000000	0.000000	0.238270	1.479570	43686
GULLFAKS	2011	11	0.254210	0.000000	0.000000	0.000000	0.254210	1.382540	43686
GULLFAKS	2011	12	0.265340	0.000000	0.000000	0.000000	0.265340	1.432390	43686
GULLFAKS	2012	1	0.238280	0.000000	0.000000	0.000000	0.238280	1.171710	43686
GULLFAKS	2012	2	0.216310	0.000000	0.000000	0.000000	0.216310	0.978600	43686
GULLFAKS	2012	3	0.226270	0.000000	0.000000	0.000000	0.226270	1.205170	43686
GULLFAKS	2012	4	0.220240	0.000000	0.000000	0.000000	0.220240	1.141530	43686
GULLFAKS	2012	5	0.217300	0.000000	0.000000	0.000000	0.217300	2.640800	43686
GULLFAKS	2012	6	0.195190	0.000000	0.000000	0.000000	0.195190	1.304100	43686
GULLFAKS	2012	7	0.208260	0.000000	0.000000	0.000000	0.208260	1.409020	43686
GULLFAKS	2012	8	0.245850	0.000000	0.000000	0.000000	0.245850	1.414720	43686
GULLFAKS	2012	9	0.256520	0.000000	0.000000	0.000000	0.256520	1.342590	43686
GULLFAKS	2012	10	0.159360	0.000000	0.000000	0.000000	0.159360	1.001840	43686
GULLFAKS	2012	11	0.191460	0.000000	0.000000	0.000000	0.191460	1.176020	43686
GULLFAKS	2012	12	0.162080	0.000000	0.000000	0.000000	0.162080	1.027890	43686
GULLFAKS	2013	1	0.217180	0.000000	0.000000	0.000000	0.217180	1.241690	43686
GULLFAKS	2013	2	0.205590	0.000000	0.000000	0.000000	0.205590	1.159430	43686
GULLFAKS SØR	1998	10	0.013150	0.000000	0.000000	0.000000	0.013150	0.000000	43699
GULLFAKS SØR	1998	11	0.026080	0.000000	0.000000	0.000000	0.026080	0.000000	43699
GULLFAKS SØR	1998	12	0.029750	0.000000	0.000000	0.000000	0.029750	0.000000	43699
GULLFAKS SØR	1999	1	0.031650	0.000000	0.000000	0.000000	0.031650	0.000000	43699
GULLFAKS SØR	1999	2	0.069870	0.000000	0.000000	0.000000	0.069870	0.000000	43699
GULLFAKS SØR	1999	3	0.120240	0.000000	0.000000	0.000000	0.120240	0.000000	43699
GULLFAKS SØR	1999	4	0.158490	0.000000	0.000000	0.000000	0.158490	0.000000	43699
GULLFAKS SØR	1999	5	0.187100	0.000000	0.000000	0.000000	0.187100	0.000000	43699
GULLFAKS SØR	1999	6	0.215920	0.000000	0.000000	0.000000	0.215920	0.000000	43699
GULLFAKS SØR	1999	7	0.221450	0.000000	0.000000	0.000000	0.221450	0.000000	43699
GULLFAKS SØR	1999	8	0.233650	0.000000	0.000000	0.000000	0.233650	0.000000	43699
GULLFAKS SØR	1999	9	0.069160	0.000000	0.000000	0.000000	0.069160	0.000000	43699
GULLFAKS SØR	1999	10	0.320080	0.000000	0.000000	0.000000	0.320080	0.000000	43699
GULLFAKS SØR	1999	11	0.309500	0.000000	0.000000	0.000000	0.309500	0.000000	43699
GULLFAKS SØR	1999	12	0.269970	0.000000	0.000000	0.000000	0.269970	0.000000	43699
GULLFAKS SØR	2000	1	0.236400	0.000000	0.000000	0.000000	0.236400	0.015510	43699
GULLFAKS SØR	2000	2	0.243050	0.000000	0.000000	0.000000	0.243050	0.013420	43699
GULLFAKS SØR	2000	3	0.211640	0.000000	0.000000	0.000000	0.211640	0.011510	43699
GULLFAKS SØR	2000	4	0.261710	0.044600	0.007120	0.000000	0.313430	0.012600	43699
GULLFAKS SØR	2000	5	0.259970	0.004350	0.000750	0.000000	0.265070	0.017240	43699
GULLFAKS SØR	2000	6	0.217920	0.029310	0.004990	0.000000	0.252230	0.017660	43699
GULLFAKS SØR	2000	7	0.259260	0.074540	0.012260	0.000000	0.346050	0.020890	43699
GULLFAKS SØR	2000	8	0.072570	0.005640	0.000660	0.000000	0.078860	0.004950	43699
GULLFAKS SØR	2000	9	0.281060	0.122160	0.027150	0.000000	0.430370	0.019560	43699
GULLFAKS SØR	2000	10	0.326750	0.126390	0.028820	0.000000	0.481960	0.019230	43699
GULLFAKS SØR	2000	11	0.313050	0.090670	0.022340	0.000000	0.426060	0.018060	43699
GULLFAKS SØR	2000	12	0.311130	0.000990	0.000830	0.000000	0.312940	0.019020	43699
GULLFAKS SØR	2001	1	0.318330	0.000000	0.000000	0.000000	0.318330	0.021860	43699
GULLFAKS SØR	2001	2	0.294990	0.000000	0.000000	0.000000	0.294990	0.025050	43699
GULLFAKS SØR	2001	3	0.309430	0.000000	0.000000	0.000000	0.309430	0.030630	43699
GULLFAKS SØR	2001	4	0.325940	0.000000	0.000000	0.000000	0.325940	0.035960	43699
GULLFAKS SØR	2001	5	0.296140	0.000000	0.000000	0.000000	0.296140	0.035590	43699
GULLFAKS SØR	2001	6	0.310460	0.000000	0.000000	0.000000	0.310460	0.035620	43699
GULLFAKS SØR	2001	7	0.336910	0.000000	0.000000	0.000000	0.336910	0.035980	43699
GULLFAKS SØR	2001	8	0.200530	0.000000	0.000000	0.000000	0.200530	0.021370	43699
GULLFAKS SØR	2001	9	0.347130	0.000000	0.000000	0.000000	0.347130	0.037420	43699
GULLFAKS SØR	2001	10	0.365290	0.158150	0.043270	0.000000	0.566720	0.040770	43699
GULLFAKS SØR	2001	11	0.325840	0.201980	0.052320	0.000000	0.580140	0.022420	43699
GULLFAKS SØR	2001	12	0.407180	0.238990	0.055670	0.000000	0.701840	0.028970	43699
GULLFAKS SØR	2002	1	0.371710	0.270370	0.063750	0.000000	0.705840	0.018720	43699
GULLFAKS SØR	2002	2	0.326160	0.198830	0.050980	0.000000	0.575970	0.022200	43699
GULLFAKS SØR	2002	3	0.358830	0.172130	0.042640	0.000000	0.573590	0.023810	43699
GULLFAKS SØR	2002	4	0.350110	0.166200	0.040820	0.000000	0.557130	0.021220	43699
GULLFAKS SØR	2002	5	0.347830	0.157390	0.040980	0.000000	0.546210	0.018530	43699
GULLFAKS SØR	2002	6	0.302320	0.106670	0.029260	0.000000	0.438250	0.019660	43699
GULLFAKS SØR	2002	7	0.321980	0.173560	0.042580	0.000000	0.538110	0.022800	43699
GULLFAKS SØR	2002	8	0.277820	0.060860	0.015210	0.000000	0.353880	0.022020	43699
GULLFAKS SØR	2002	9	0.135240	0.182550	0.039640	0.000000	0.357420	0.007010	43699
GULLFAKS SØR	2002	10	0.283710	0.170600	0.037440	0.000000	0.491750	0.012420	43699
GULLFAKS SØR	2002	11	0.341730	0.112860	0.024570	0.000000	0.479170	0.027100	43699
GULLFAKS SØR	2002	12	0.311700	0.114580	0.029710	0.000000	0.455980	0.027300	43699
GULLFAKS SØR	2003	1	0.295340	0.193110	0.042140	0.000000	0.530590	0.023290	43699
GULLFAKS SØR	2003	2	0.312010	0.213190	0.043840	0.000000	0.569040	0.027260	43699
GULLFAKS SØR	2003	3	0.187890	0.189270	0.038500	0.000000	0.415660	0.016670	43699
GULLFAKS SØR	2003	4	0.149080	0.230890	0.044750	0.000000	0.424720	0.008440	43699
GULLFAKS SØR	2003	5	0.275420	0.168840	0.044490	0.000000	0.488740	0.026330	43699
GULLFAKS SØR	2003	6	0.259190	0.174060	0.032200	0.000000	0.465450	0.029350	43699
GULLFAKS SØR	2003	7	0.310390	0.251220	0.040110	0.000000	0.601710	0.014370	43699
GULLFAKS SØR	2003	8	0.311360	0.225380	0.037400	0.000000	0.574140	0.006360	43699
GULLFAKS SØR	2003	9	0.284270	0.243690	0.067560	0.000000	0.595520	0.004840	43699
GULLFAKS SØR	2003	10	0.280220	0.113540	0.047080	0.000000	0.440840	0.006820	43699
GULLFAKS SØR	2003	11	0.327580	0.215690	0.073010	0.000000	0.616270	0.006970	43699
GULLFAKS SØR	2003	12	0.386410	0.323940	0.067590	0.000000	0.777930	0.007150	43699
GULLFAKS SØR	2004	1	0.379420	0.316570	0.068050	0.000000	0.764040	0.007120	43699
GULLFAKS SØR	2004	2	0.354910	0.322320	0.070460	0.000000	0.747690	0.006340	43699
GULLFAKS SØR	2004	3	0.368110	0.353590	0.079380	0.000000	0.801080	0.007060	43699
GULLFAKS SØR	2004	4	0.323010	0.135220	0.028980	0.000000	0.487210	0.008870	43699
GULLFAKS SØR	2004	5	0.369750	0.230240	0.051610	0.000000	0.651600	0.011140	43699
GULLFAKS SØR	2004	6	0.338740	0.189690	0.047260	0.000000	0.575690	0.012240	43699
GULLFAKS SØR	2004	7	0.356320	0.348380	0.084610	0.000000	0.789310	0.015060	43699
GULLFAKS SØR	2004	8	0.284390	0.140870	0.029300	0.000000	0.454560	0.013370	43699
GULLFAKS SØR	2004	9	0.298560	0.173380	0.061900	0.000000	0.533840	0.020650	43699
GULLFAKS SØR	2004	10	0.343170	0.303370	0.065450	0.000000	0.711980	0.026670	43699
GULLFAKS SØR	2004	11	0.365740	0.326910	0.069520	0.000000	0.762170	0.028810	43699
GULLFAKS SØR	2004	12	0.388530	0.373050	0.084300	0.000000	0.845870	0.030870	43699
GULLFAKS SØR	2005	1	0.381290	0.341540	0.080450	0.000000	0.803290	0.032570	43699
GULLFAKS SØR	2005	2	0.320010	0.254630	0.057430	0.000000	0.632070	0.026850	43699
GULLFAKS SØR	2005	3	0.365230	0.326550	0.072460	0.000000	0.764240	0.031190	43699
GULLFAKS SØR	2005	4	0.329530	0.282200	0.060510	0.000000	0.672230	0.032610	43699
GULLFAKS SØR	2005	5	0.329340	0.209860	0.037380	0.000000	0.576580	0.036770	43699
GULLFAKS SØR	2005	6	0.339500	0.255850	0.065460	0.000000	0.660810	0.037930	43699
GULLFAKS SØR	2005	7	0.255130	0.325480	0.076080	0.000000	0.656690	0.023410	43699
GULLFAKS SØR	2005	8	0.255980	0.363330	0.062780	0.000000	0.682090	0.024110	43699
GULLFAKS SØR	2005	9	0.347360	0.322150	0.060570	0.000000	0.730080	0.029740	43699
GULLFAKS SØR	2005	10	0.348200	0.399440	0.088080	0.000000	0.835720	0.039370	43699
GULLFAKS SØR	2005	11	0.308230	0.374350	0.082820	0.000000	0.765390	0.037920	43699
GULLFAKS SØR	2005	12	0.309690	0.347950	0.080460	0.000000	0.738100	0.040690	43699
GULLFAKS SØR	2006	1	0.291570	0.335630	0.078780	0.000000	0.705980	0.045570	43699
GULLFAKS SØR	2006	2	0.246340	0.358190	0.089110	0.000000	0.693640	0.041720	43699
GULLFAKS SØR	2006	3	0.305430	0.368940	0.077930	0.000000	0.752310	0.049790	43699
GULLFAKS SØR	2006	4	0.268830	0.314200	0.069100	0.000000	0.652130	0.046340	43699
GULLFAKS SØR	2006	5	0.265390	0.268440	0.056580	0.000000	0.590420	0.043660	43699
GULLFAKS SØR	2006	6	0.208730	0.143100	0.053450	0.000000	0.405280	0.038630	43699
GULLFAKS SØR	2006	7	0.234580	0.265730	0.079390	0.000000	0.579700	0.035300	43699
GULLFAKS SØR	2006	8	0.241140	0.341040	0.095440	0.000000	0.677610	0.058900	43699
GULLFAKS SØR	2006	9	0.193840	0.265110	0.103590	0.000000	0.562530	0.058200	43699
GULLFAKS SØR	2006	10	0.228750	0.290610	0.088090	0.000000	0.607450	0.053820	43699
GULLFAKS SØR	2006	11	0.254880	0.369410	0.086780	0.000000	0.711070	0.051800	43699
GULLFAKS SØR	2006	12	0.193350	0.316400	0.088510	0.000000	0.598250	0.037360	43699
GULLFAKS SØR	2007	1	0.253560	0.367970	0.085910	0.000000	0.707430	0.058340	43699
GULLFAKS SØR	2007	2	0.258060	0.327180	0.080560	0.000000	0.665800	0.051250	43699
GULLFAKS SØR	2007	3	0.276050	0.348800	0.084710	0.000000	0.709560	0.063300	43699
GULLFAKS SØR	2007	4	0.250500	0.359610	0.082260	0.000000	0.692370	0.060090	43699
GULLFAKS SØR	2007	5	0.255440	0.387830	0.108000	0.000000	0.751270	0.061130	43699
GULLFAKS SØR	2007	6	0.277550	0.322210	0.072350	0.000000	0.672110	0.054950	43699
GULLFAKS SØR	2007	7	0.315570	0.337500	0.091580	0.000000	0.744650	0.050850	43699
GULLFAKS SØR	2007	8	0.296140	0.333720	0.088720	0.000000	0.718580	0.056760	43699
GULLFAKS SØR	2007	9	0.265300	0.185680	0.061410	0.000000	0.512390	0.054600	43699
GULLFAKS SØR	2007	10	0.269760	0.297740	0.079870	0.000000	0.647370	0.044740	43699
GULLFAKS SØR	2007	11	0.289780	0.364650	0.086960	0.000000	0.741390	0.027590	43699
GULLFAKS SØR	2007	12	0.272620	0.410440	0.094200	0.000000	0.777250	0.028960	43699
GULLFAKS SØR	2008	1	0.257010	0.387340	0.087890	0.000000	0.732240	0.033250	43699
GULLFAKS SØR	2008	2	0.211180	0.354460	0.086590	0.000000	0.652230	0.033360	43699
GULLFAKS SØR	2008	3	0.217750	0.358480	0.081950	0.000000	0.658180	0.031400	43699
GULLFAKS SØR	2008	4	0.241490	0.216530	0.040720	0.000000	0.498730	0.036190	43699
GULLFAKS SØR	2008	5	0.297060	0.334010	0.074460	0.000000	0.705530	0.035760	43699
GULLFAKS SØR	2008	6	0.129220	0.311620	0.061320	0.000000	0.502150	0.001090	43699
GULLFAKS SØR	2008	7	0.270610	0.304760	0.061270	0.000000	0.636640	0.021730	43699
GULLFAKS SØR	2008	8	0.321490	0.270150	0.057770	0.000000	0.649420	0.035970	43699
GULLFAKS SØR	2008	9	0.295630	0.310120	0.066780	0.000000	0.672540	0.031190	43699
GULLFAKS SØR	2008	10	0.292410	0.318280	0.087220	0.000000	0.697920	0.028190	43699
GULLFAKS SØR	2008	11	0.283820	0.280570	0.087500	0.000000	0.651900	0.031430	43699
GULLFAKS SØR	2008	12	0.290330	0.292070	0.084600	0.000000	0.667000	0.036160	43699
GULLFAKS SØR	2009	1	0.304140	0.303550	0.097920	0.000000	0.705600	0.038460	43699
GULLFAKS SØR	2009	2	0.269620	0.228460	0.071840	0.000000	0.569920	0.033740	43699
GULLFAKS SØR	2009	3	0.281040	0.229920	0.075230	0.000000	0.586190	0.039460	43699
GULLFAKS SØR	2009	4	0.254600	0.212910	0.068690	0.000000	0.536190	0.040150	43699
GULLFAKS SØR	2009	5	0.175470	0.156560	0.050490	0.000000	0.382520	0.040830	43699
GULLFAKS SØR	2009	6	0.237510	0.167040	0.055380	0.000000	0.459920	0.040650	43699
GULLFAKS SØR	2009	7	0.260260	0.226410	0.068880	0.000000	0.555550	0.037050	43699
GULLFAKS SØR	2009	8	0.251720	0.223760	0.069560	0.000000	0.545040	0.012760	43699
GULLFAKS SØR	2009	9	0.245200	0.172590	0.051750	0.000000	0.469540	0.027520	43699
GULLFAKS SØR	2009	10	0.239530	0.238200	0.068290	0.000000	0.546020	0.030840	43699
GULLFAKS SØR	2009	11	0.246640	0.227260	0.068830	0.000000	0.542720	0.046880	43699
GULLFAKS SØR	2009	12	0.241710	0.250450	0.073550	0.000000	0.565720	0.056680	43699
GULLFAKS SØR	2010	1	0.228490	0.266070	0.071140	0.000000	0.565710	0.019420	43699
GULLFAKS SØR	2010	2	0.194750	0.227070	0.068640	0.000000	0.490460	0.011480	43699
GULLFAKS SØR	2010	3	0.205570	0.213890	0.074870	0.000000	0.494330	0.012830	43699
GULLFAKS SØR	2010	4	0.192830	0.192250	0.071230	0.000000	0.456300	0.011760	43699
GULLFAKS SØR	2010	5	0.189710	0.206330	0.070660	0.000000	0.466690	0.012650	43699
GULLFAKS SØR	2010	6	0.143650	0.089540	0.031610	0.000000	0.264800	0.012590	43699
GULLFAKS SØR	2010	7	0.159780	0.178550	0.055120	0.000000	0.393460	0.012680	43699
GULLFAKS SØR	2010	8	0.154620	0.180350	0.043810	0.000000	0.378780	0.012660	43699
GULLFAKS SØR	2010	9	0.151990	0.142420	0.044450	0.000000	0.338860	0.009260	43699
GULLFAKS SØR	2010	10	0.172720	0.228870	0.077420	0.000000	0.479010	0.012270	43699
GULLFAKS SØR	2010	11	0.151650	0.216810	0.067790	0.000000	0.436250	0.012000	43699
GULLFAKS SØR	2010	12	0.139440	0.194000	0.064330	0.000000	0.397770	0.016030	43699
GULLFAKS SØR	2011	1	0.163730	0.215470	0.047740	0.000000	0.426940	0.016480	43699
GULLFAKS SØR	2011	2	0.127480	0.157490	0.028770	0.000000	0.313730	0.017010	43699
GULLFAKS SØR	2011	3	0.152180	0.178020	0.033160	0.000000	0.363360	0.024610	43699
GULLFAKS SØR	2011	4	0.138420	0.129810	0.022500	0.000000	0.290730	0.024380	43699
GULLFAKS SØR	2011	5	0.049380	0.068010	0.006240	0.000000	0.123630	0.010670	43699
GULLFAKS SØR	2011	6	0.151510	0.063870	0.006430	0.000000	0.221810	0.029720	43699
GULLFAKS SØR	2011	7	0.138130	0.079980	0.008250	0.000000	0.226360	0.022820	43699
GULLFAKS SØR	2011	8	0.142360	0.072960	0.007800	0.000000	0.223120	0.026180	43699
GULLFAKS SØR	2011	9	0.141680	0.080370	0.008340	0.000000	0.230380	0.026640	43699
GULLFAKS SØR	2011	10	0.125190	0.133840	0.021160	0.000000	0.280190	0.032630	43699
GULLFAKS SØR	2011	11	0.108240	0.198670	0.044230	0.000000	0.351150	0.032100	43699
GULLFAKS SØR	2011	12	0.155520	0.230470	0.045330	0.000000	0.431320	0.068180	43699
GULLFAKS SØR	2012	1	0.093500	0.225080	0.057680	0.000000	0.376250	0.102690	43699
GULLFAKS SØR	2012	2	0.102460	0.201080	0.050220	0.000000	0.353760	0.128470	43699
GULLFAKS SØR	2012	3	0.135130	0.239520	0.065580	0.000000	0.440220	0.144880	43699
GULLFAKS SØR	2012	4	0.145400	0.213550	0.052860	0.000000	0.411810	0.175450	43699
GULLFAKS SØR	2012	5	0.177070	0.232400	0.060510	0.000000	0.469980	0.151150	43699
GULLFAKS SØR	2012	6	0.187800	0.248940	0.068560	0.000000	0.505300	0.166620	43699
GULLFAKS SØR	2012	7	0.184630	0.321990	0.085920	0.000000	0.592540	0.098930	43699
GULLFAKS SØR	2012	8	0.189380	0.205660	0.056340	0.000000	0.451370	0.121520	43699
GULLFAKS SØR	2012	9	0.182520	0.129620	0.040530	0.000000	0.352660	0.117630	43699
GULLFAKS SØR	2012	10	0.146840	0.007290	0.001640	0.000000	0.155760	0.073620	43699
GULLFAKS SØR	2012	11	0.159850	0.126180	0.040070	0.000000	0.326100	0.080250	43699
GULLFAKS SØR	2012	12	0.177500	0.284240	0.085560	0.000000	0.547310	0.080180	43699
GULLFAKS SØR	2013	1	0.170180	0.250620	0.071450	0.000000	0.492250	0.099920	43699
GULLFAKS SØR	2013	2	0.178220	0.156550	0.043910	0.000000	0.378690	0.130800	43699
SNORRE	1992	8	0.072760	0.000000	0.002970	0.000000	0.075730	0.000000	43718
SNORRE	1992	9	0.221890	0.000000	0.005310	0.000000	0.227200	0.000000	43718
SNORRE	1992	10	0.316260	0.000000	0.015090	0.000000	0.331360	0.000000	43718
SNORRE	1992	11	0.476870	0.000000	0.022600	0.000000	0.499470	0.000000	43718
SNORRE	1992	12	0.470240	0.000000	0.040790	0.000000	0.511030	0.000000	43718
SNORRE	1993	1	0.365630	0.000000	0.014280	0.000000	0.379910	0.000000	43718
SNORRE	1993	2	0.432550	0.000000	0.028130	0.000000	0.460680	0.000000	43718
SNORRE	1993	3	0.599690	0.000000	0.043930	0.000000	0.643620	0.000000	43718
SNORRE	1993	4	0.639420	0.000000	0.047650	0.000000	0.687070	0.000000	43718
SNORRE	1993	5	0.566900	0.000000	0.043320	0.000000	0.610220	0.000000	43718
SNORRE	1993	6	0.484670	0.000000	0.016850	0.000000	0.501510	0.000000	43718
SNORRE	1993	7	0.667130	0.000000	0.052220	0.000000	0.719360	0.000000	43718
SNORRE	1993	8	0.762880	0.045780	0.063650	0.000000	0.872300	0.000000	43718
SNORRE	1993	9	0.286660	0.017380	0.023570	0.000000	0.327610	0.000000	43718
SNORRE	1993	10	0.711310	0.049860	0.054800	0.000000	0.815970	0.000000	43718
SNORRE	1993	11	0.731970	0.052560	0.056530	0.000000	0.841070	0.000000	43718
SNORRE	1993	12	0.659920	0.049780	0.050510	0.000000	0.760200	0.000000	43718
SNORRE	1994	1	0.761740	0.054810	0.051610	0.000000	0.868160	0.000000	43718
SNORRE	1994	2	0.836670	0.061890	0.053720	0.000000	0.952280	0.000000	43718
SNORRE	1994	3	1.019000	0.051340	0.061830	0.000000	1.132170	0.000000	43718
SNORRE	1994	4	0.811770	0.018910	0.049830	0.000000	0.880500	0.000000	43718
SNORRE	1994	5	1.044070	0.007270	0.060470	0.000000	1.111810	0.000000	43718
SNORRE	1994	6	0.849060	0.029440	0.046970	0.000000	0.925480	0.000000	43718
SNORRE	1994	7	0.653320	0.031070	0.038190	0.000000	0.722580	0.000000	43718
SNORRE	1994	8	0.601440	0.017330	0.037860	0.000000	0.656630	0.000000	43718
SNORRE	1994	9	0.399880	0.022620	0.020940	0.000000	0.443440	0.000000	43718
SNORRE	1994	10	1.002060	0.056670	0.066430	0.000000	1.125160	0.000000	43718
SNORRE	1994	11	0.880630	0.045840	0.055170	0.000000	0.981640	0.000000	43718
SNORRE	1994	12	1.012190	0.056560	0.067460	0.000000	1.136210	0.000000	43718
SNORRE	1995	1	1.021930	0.068580	0.062480	0.000000	1.152990	0.000000	43718
SNORRE	1995	2	0.866740	0.049150	0.054290	0.000000	0.970190	0.000000	43718
SNORRE	1995	3	0.836500	0.043760	0.056370	0.000000	0.936630	0.000000	43718
SNORRE	1995	4	0.828110	0.038770	0.043390	0.000000	0.910270	0.000000	43718
SNORRE	1995	5	0.749880	0.030880	0.046750	0.000000	0.827520	0.000000	43718
SNORRE	1995	6	1.009370	0.036420	0.061950	0.000000	1.107750	0.000000	43718
SNORRE	1995	7	0.944170	0.048320	0.057660	0.000000	1.050150	0.000000	43718
SNORRE	1995	8	1.055850	0.052250	0.056340	0.000000	1.164430	0.000000	43718
SNORRE	1995	9	0.923860	0.027390	0.053780	0.000000	1.005040	0.000000	43718
SNORRE	1995	10	1.079680	0.086070	0.063760	0.000000	1.229510	0.000000	43718
SNORRE	1995	11	0.986330	0.081760	0.062910	0.000000	1.131000	0.000000	43718
SNORRE	1995	12	1.071910	0.064120	0.059970	0.000000	1.196000	0.000000	43718
SNORRE	1996	1	1.014870	0.062930	0.053620	0.000000	1.131430	0.000000	43718
SNORRE	1996	2	0.984560	0.059800	0.046850	0.000000	1.091200	0.000000	43718
SNORRE	1996	3	0.464010	0.026740	0.024360	0.000000	0.515110	0.000000	43718
SNORRE	1996	4	0.954850	0.050760	0.053430	0.000000	1.059040	0.000000	43718
SNORRE	1996	5	1.008740	0.050100	0.059960	0.000000	1.118810	0.000000	43718
SNORRE	1996	6	1.033540	0.059730	0.059080	0.000000	1.152350	0.000000	43718
SNORRE	1996	7	0.988780	0.053480	0.042820	0.000000	1.085090	0.000000	43718
SNORRE	1996	8	0.992310	0.053900	0.061720	0.000000	1.107920	0.000000	43718
SNORRE	1996	9	1.034360	0.035940	0.057030	0.000000	1.127330	0.000000	43718
SNORRE	1996	10	1.054760	0.057910	0.062370	0.000000	1.175030	0.000000	43718
SNORRE	1996	11	0.984860	0.052360	0.053090	0.000000	1.090310	0.000000	43718
SNORRE	1996	12	0.966320	0.047320	0.053490	0.000000	1.067120	0.000000	43718
SNORRE	1997	1	1.157060	0.074520	0.040680	0.000000	1.272270	0.000000	43718
SNORRE	1997	2	0.884700	0.037960	0.045440	0.000000	0.968100	0.000000	43718
SNORRE	1997	3	0.823630	0.032930	0.043320	0.000000	0.899880	0.000000	43718
SNORRE	1997	4	1.040810	0.050600	0.057250	0.000000	1.148670	0.000000	43718
SNORRE	1997	5	0.990630	0.056160	0.054220	0.000000	1.101020	0.000000	43718
SNORRE	1997	6	0.925980	0.054940	0.047360	0.000000	1.028280	0.000000	43718
SNORRE	1997	7	0.782730	0.048230	0.040980	0.000000	0.871940	0.000000	43718
SNORRE	1997	8	0.848110	0.053970	0.050190	0.000000	0.952270	0.000000	43718
SNORRE	1997	9	0.776670	0.053140	0.046030	0.000000	0.875840	0.000000	43718
SNORRE	1997	10	0.886630	0.042300	0.049730	0.000000	0.978660	0.000000	43718
SNORRE	1997	11	0.776930	0.038660	0.049270	0.000000	0.864860	0.000000	43718
SNORRE	1997	12	0.876220	0.033820	0.043680	0.000000	0.953730	0.000000	43718
SNORRE	1998	1	0.876360	0.036210	0.060390	0.000000	0.972960	0.000000	43718
SNORRE	1998	2	0.754620	0.037290	0.050720	0.000000	0.842630	0.000000	43718
SNORRE	1998	3	0.859080	0.041080	0.055280	0.000000	0.955450	0.000000	43718
SNORRE	1998	4	0.915440	0.041760	0.055120	0.000000	1.012320	0.000000	43718
SNORRE	1998	5	0.313040	0.007900	0.024160	0.000000	0.345100	0.000000	43718
SNORRE	1998	6	1.013410	0.045270	0.068670	0.000000	1.127350	0.000000	43718
SNORRE	1998	7	0.973230	0.058120	0.064720	0.000000	1.096070	0.000000	43718
SNORRE	1998	8	0.929420	0.018380	0.019890	0.000000	0.967690	0.000000	43718
SNORRE	1998	9	0.914820	0.050880	0.063510	0.000000	1.029210	0.000000	43718
SNORRE	1998	10	0.898240	0.050340	0.052480	0.000000	1.001060	0.000000	43718
SNORRE	1998	11	0.777580	0.029340	0.041890	0.000000	0.848810	0.000000	43718
SNORRE	1998	12	0.865880	0.040560	0.058000	0.000000	0.964440	0.000000	43718
SNORRE	1999	1	0.816060	0.026720	0.041200	0.000000	0.883990	0.000000	43718
SNORRE	1999	2	0.730290	0.022120	0.046260	0.000000	0.798660	0.000000	43718
SNORRE	1999	3	0.705650	0.022690	0.047900	0.000000	0.776240	0.000000	43718
SNORRE	1999	4	0.862080	0.040170	0.058810	0.000000	0.961060	0.000000	43718
SNORRE	1999	5	0.670070	0.021670	0.034850	0.000000	0.726590	0.000000	43718
SNORRE	1999	6	0.844720	0.027870	0.044140	0.000000	0.916730	0.000000	43718
SNORRE	1999	7	0.908470	0.028490	0.052070	0.000000	0.989020	0.000000	43718
SNORRE	1999	8	0.828260	0.023480	0.051950	0.000000	0.903680	0.000000	43718
SNORRE	1999	9	0.659330	0.021210	0.041690	0.000000	0.722230	0.000000	43718
SNORRE	1999	10	0.888910	0.025550	0.049100	0.000000	0.963560	0.000000	43718
SNORRE	1999	11	0.712590	0.023110	0.042340	0.000000	0.778040	0.000000	43718
SNORRE	1999	12	0.772310	0.025180	0.047150	0.000000	0.844640	0.000000	43718
SNORRE	2000	1	0.700910	0.023900	0.038260	0.000000	0.763070	0.624870	43718
SNORRE	2000	2	0.707290	0.022130	0.040370	0.000000	0.769780	0.610120	43718
SNORRE	2000	3	0.660540	0.018550	0.033910	0.000000	0.713000	0.508810	43718
SNORRE	2000	4	0.496110	0.020740	0.032310	0.000000	0.549160	0.372980	43718
SNORRE	2000	5	0.736810	0.021720	0.043560	0.000000	0.802090	0.505400	43718
SNORRE	2000	6	0.791870	0.030930	0.047680	0.000000	0.870480	0.506790	43718
SNORRE	2000	7	0.917930	0.030210	0.051180	0.000000	0.999320	0.637200	43718
SNORRE	2000	8	0.827110	0.022710	0.049320	0.000000	0.899140	0.569480	43718
SNORRE	2000	9	0.356520	0.008330	0.023820	0.000000	0.388670	0.182070	43718
SNORRE	2000	10	0.742140	0.032850	0.043590	0.000000	0.818580	0.452470	43718
SNORRE	2000	11	0.783710	0.026150	0.062210	0.000000	0.872070	0.620520	43718
SNORRE	2000	12	0.866510	0.034280	0.068750	0.000000	0.969540	0.694490	43718
SNORRE	2001	1	0.863070	0.030530	0.061980	0.000000	0.955580	0.620260	43718
SNORRE	2001	2	0.697790	0.030960	0.061270	0.000000	0.790020	0.446930	43718
SNORRE	2001	3	0.685670	0.026050	0.057310	0.000000	0.769030	0.454550	43718
SNORRE	2001	4	0.799180	0.040970	0.073410	0.000000	0.913570	0.527690	43718
SNORRE	2001	5	0.771640	0.034590	0.071260	0.000000	0.877480	0.502390	43718
SNORRE	2001	6	0.856490	0.034870	0.072260	0.000000	0.963620	0.475730	43718
SNORRE	2001	7	1.310310	0.055190	0.101400	0.000000	1.466900	0.578390	43718
SNORRE	2001	8	1.294210	0.063510	0.111570	0.000000	1.469290	0.631330	43718
SNORRE	2001	9	1.145520	0.042790	0.093720	0.000000	1.282040	0.529790	43718
SNORRE	2001	10	1.013560	0.049400	0.077910	0.000000	1.140870	0.515530	43718
SNORRE	2001	11	1.034060	0.065980	0.101830	0.000000	1.201870	0.512640	43718
SNORRE	2001	12	1.073610	0.045670	0.091320	0.000000	1.210600	0.557890	43718
SNORRE	2002	1	1.104580	0.050840	0.098190	0.000000	1.253610	0.644440	43718
SNORRE	2002	2	0.869740	0.030020	0.070050	0.000000	0.969820	0.472840	43718
SNORRE	2002	3	1.039990	0.039680	0.094830	0.000000	1.174500	0.605320	43718
SNORRE	2002	4	1.043290	0.047030	0.102220	0.000000	1.192540	0.442780	43718
SNORRE	2002	5	1.087770	0.042950	0.072410	0.000000	1.203130	0.585160	43718
SNORRE	2002	6	1.124820	0.022040	0.075970	0.000000	1.222840	0.596380	43718
SNORRE	2002	7	1.188930	0.042220	0.085320	0.000000	1.316470	0.549180	43718
SNORRE	2002	8	1.072130	0.023170	0.023610	0.000000	1.118900	0.467170	43718
SNORRE	2002	9	0.500800	0.008980	0.019840	0.000000	0.529620	0.148910	43718
SNORRE	2002	10	1.000750	0.028170	0.064720	0.000000	1.093640	0.371750	43718
SNORRE	2002	11	1.253480	0.060790	0.107010	0.000000	1.421280	0.554970	43718
SNORRE	2002	12	1.354170	0.053660	0.122280	0.000000	1.530110	0.695040	43718
SNORRE	2003	1	1.158150	0.033330	0.067740	0.000000	1.259220	0.709120	43718
SNORRE	2003	2	0.998940	0.038140	0.041350	0.000000	1.078430	0.638990	43718
SNORRE	2003	3	1.239170	0.054560	0.059530	0.000000	1.353260	0.677700	43718
SNORRE	2003	4	1.105850	0.028670	0.055520	0.000000	1.190040	0.521110	43718
SNORRE	2003	5	1.110950	0.028120	0.062020	0.000000	1.201080	0.588490	43718
SNORRE	2003	6	1.018470	0.029090	0.054520	0.000000	1.102070	0.308610	43718
SNORRE	2003	7	1.272300	0.029300	0.055530	0.000000	1.357130	0.506320	43718
SNORRE	2003	8	0.929980	0.034860	0.067770	0.000000	1.032600	0.653950	43718
SNORRE	2003	9	1.147110	0.031930	0.061310	0.000000	1.240350	0.526010	43718
SNORRE	2003	10	1.279340	0.044040	0.064870	0.000000	1.388250	0.638790	43718
SNORRE	2003	11	1.189870	0.027640	0.039160	0.000000	1.256670	0.705500	43718
SNORRE	2003	12	1.148100	0.026260	0.037340	0.000000	1.211700	0.626400	43718
SNORRE	2004	1	1.134650	0.013170	0.018430	0.000000	1.166240	0.673690	43718
SNORRE	2004	2	0.997240	0.009890	0.013330	0.000000	1.020470	0.498360	43718
SNORRE	2004	3	1.078380	0.015780	0.023200	0.000000	1.117360	0.699630	43718
SNORRE	2004	4	1.098680	0.016150	0.010630	0.000000	1.125460	0.749040	43718
SNORRE	2004	5	1.153600	0.037990	0.031730	0.000000	1.223320	0.769580	43718
SNORRE	2004	6	0.787340	0.014400	0.020790	0.000000	0.822530	0.506500	43718
SNORRE	2004	7	1.116380	0.010090	0.022780	0.000000	1.149250	0.766930	43718
SNORRE	2004	8	0.760260	0.003270	0.005890	0.000000	0.769430	0.462910	43718
SNORRE	2004	9	0.901990	0.026070	0.032200	0.000000	0.960250	0.516290	43718
SNORRE	2004	10	1.156510	0.028650	0.053700	0.000000	1.238860	0.765590	43718
SNORRE	2004	11	0.985720	0.017180	0.029150	0.000000	1.032050	0.747470	43718
SNORRE	2004	12	0.368080	0.000000	0.000000	0.000000	0.368080	0.252840	43718
SNORRE	2005	1	0.403710	0.004910	0.007970	0.000000	0.416580	0.281110	43718
SNORRE	2005	2	0.620870	0.033400	0.027010	0.000000	0.681280	0.377480	43718
SNORRE	2005	3	0.786090	0.027840	0.029820	0.000000	0.843750	0.437030	43718
SNORRE	2005	4	0.812500	0.034560	0.034280	0.000000	0.881340	0.403470	43718
SNORRE	2005	5	0.847410	0.042790	0.036920	0.000000	0.927110	0.413020	43718
SNORRE	2005	6	0.692320	0.037710	0.067730	0.000000	0.797760	0.335080	43718
SNORRE	2005	7	0.814410	0.043760	0.049850	0.000000	0.908030	0.413550	43718
SNORRE	2005	8	0.919320	0.027700	0.032120	0.000000	0.979140	0.507600	43718
SNORRE	2005	9	0.789820	0.030090	0.040200	0.000000	0.860110	0.664580	43718
SNORRE	2005	10	0.645930	0.023310	0.027420	0.000000	0.696660	0.642200	43718
SNORRE	2005	11	0.775750	0.021880	0.028780	0.000000	0.826410	0.691760	43718
SNORRE	2005	12	0.847700	0.014670	0.022540	0.000000	0.884910	0.735600	43718
SNORRE	2006	1	0.834830	0.018240	0.031770	0.000000	0.884840	0.832220	43718
SNORRE	2006	2	0.688830	0.014180	0.021020	0.000000	0.724030	0.662860	43718
SNORRE	2006	3	0.684470	0.015180	0.026460	0.000000	0.726110	0.644040	43718
SNORRE	2006	4	0.204220	0.000000	0.000000	0.000000	0.204220	0.233130	43718
SNORRE	2006	5	0.564990	0.020160	0.027080	0.000000	0.612230	0.544330	43718
SNORRE	2006	6	0.711210	0.006730	0.009910	0.000000	0.727850	0.601130	43718
SNORRE	2006	7	0.782890	0.008830	0.013180	0.000000	0.804900	0.620950	43718
SNORRE	2006	8	0.847990	0.021260	0.026300	0.000000	0.895550	0.711670	43718
SNORRE	2006	9	0.792410	0.015430	0.020080	0.000000	0.827910	0.766220	43718
SNORRE	2006	10	0.599120	0.002530	0.004020	0.000000	0.605670	0.452970	43718
SNORRE	2006	11	0.775490	0.014470	0.023630	0.000000	0.813580	0.846710	43718
SNORRE	2006	12	0.828770	0.009640	0.016950	0.000000	0.855360	0.898730	43718
SNORRE	2007	1	0.782940	0.005720	0.010280	0.000000	0.798940	0.895920	43718
SNORRE	2007	2	0.738560	0.007590	0.012190	0.000000	0.758330	0.865450	43718
SNORRE	2007	3	0.766940	0.001960	0.003120	0.000000	0.772030	0.947030	43718
SNORRE	2007	4	0.687450	0.000000	0.000000	0.000000	0.687450	0.846100	43718
SNORRE	2007	5	0.628720	0.003810	0.006730	0.000000	0.639260	0.794660	43718
SNORRE	2007	6	0.676520	0.005110	0.008870	0.000000	0.690490	0.829020	43718
SNORRE	2007	7	0.792580	0.003610	0.006400	0.000000	0.802580	0.851290	43718
SNORRE	2007	8	0.312660	0.000550	0.000370	0.000000	0.313580	0.718710	43718
SNORRE	2007	9	0.671330	0.006950	0.012850	0.000000	0.691130	0.667610	43718
SNORRE	2007	10	0.829110	0.013010	0.010680	0.000000	0.852800	0.715290	43718
SNORRE	2007	11	0.774230	0.013720	0.011020	0.000000	0.798960	0.802990	43718
SNORRE	2007	12	0.720610	0.002300	0.001850	0.000000	0.724760	0.874670	43718
SNORRE	2008	1	0.753790	0.000660	0.000520	0.000000	0.754970	0.845630	43718
SNORRE	2008	2	0.809030	0.006520	0.005420	0.000000	0.820970	0.885520	43718
SNORRE	2008	3	0.760490	0.016350	0.014080	0.000000	0.790920	0.831120	43718
SNORRE	2008	4	0.542340	0.009230	0.008110	0.000000	0.559680	0.604860	43718
SNORRE	2008	5	0.727840	0.028490	0.023800	0.000000	0.780130	0.665210	43718
SNORRE	2008	6	0.788030	0.055000	0.043660	0.000000	0.886690	0.829770	43718
SNORRE	2008	7	0.813420	0.045660	0.036600	0.000000	0.895680	0.857820	43718
SNORRE	2008	8	0.627700	0.014520	0.011860	0.000000	0.654080	0.589820	43718
SNORRE	2008	9	0.503110	0.002610	0.001800	0.000000	0.507530	0.384010	43718
SNORRE	2008	10	0.730410	0.022160	0.015970	0.000000	0.768540	0.777110	43718
SNORRE	2008	11	0.685680	0.022950	0.016380	0.000000	0.725010	0.507900	43718
SNORRE	2008	12	0.729950	0.004870	0.005250	0.000000	0.740060	0.694790	43718
SNORRE	2009	1	0.671080	0.001490	0.001400	0.000000	0.673970	0.630700	43718
SNORRE	2009	2	0.564770	0.006480	0.004390	0.000000	0.575640	0.517620	43718
SNORRE	2009	3	0.651110	0.009470	0.006730	0.000000	0.667300	0.576980	43718
SNORRE	2009	4	0.008760	0.019370	0.013960	0.000000	0.042090	0.513830	43718
SNORRE	2009	5	0.600090	0.004120	0.002810	0.000000	0.607030	0.575310	43718
SNORRE	2009	6	0.503500	0.004040	0.002670	0.000000	0.510210	0.509050	43718
SNORRE	2009	7	0.639970	0.012310	0.008140	0.000000	0.660420	0.603950	43718
SNORRE	2009	8	0.406320	0.008470	0.006520	0.000000	0.421310	0.527560	43718
SNORRE	2009	9	0.257820	0.003190	0.002120	0.000000	0.263130	0.150850	43718
SNORRE	2009	10	0.499070	0.032600	0.022960	0.000000	0.554630	0.575030	43718
SNORRE	2009	11	0.581650	0.016840	0.009510	0.000000	0.608000	0.681950	43718
SNORRE	2009	12	0.621670	0.021050	0.014170	0.000000	0.656890	0.918000	43718
SNORRE	2010	1	0.586580	0.016680	0.011860	0.000000	0.615120	0.961700	43718
SNORRE	2010	2	0.509940	0.012400	0.009060	0.000000	0.531400	0.753190	43718
SNORRE	2010	3	0.649170	0.003030	0.002000	0.000000	0.654200	0.850130	43718
SNORRE	2010	4	0.533540	0.012250	0.007450	0.000000	0.553240	0.725930	43718
SNORRE	2010	5	0.393140	0.036050	0.026920	0.000000	0.456100	0.570120	43718
SNORRE	2010	6	0.501140	0.029960	0.020040	0.000000	0.551140	0.718680	43718
SNORRE	2010	7	0.551360	0.018390	0.012190	0.000000	0.581940	0.802120	43718
SNORRE	2010	8	0.305070	0.004640	0.002950	0.000000	0.312660	0.290660	43718
SNORRE	2010	9	0.309640	0.002570	0.001750	0.000000	0.313960	0.318130	43718
SNORRE	2010	10	0.529140	0.000180	0.000110	0.000000	0.529420	0.761200	43718
SNORRE	2010	11	0.469570	0.001450	0.000900	0.000000	0.471910	0.673090	43718
SNORRE	2010	12	0.491930	0.000050	0.000020	0.000000	0.492000	0.692140	43718
SNORRE	2011	1	0.504730	0.002670	0.002000	0.000000	0.509400	0.723750	43718
SNORRE	2011	2	0.544800	0.000790	0.000550	0.000000	0.546140	0.611990	43718
SNORRE	2011	3	0.613420	0.017920	0.012650	0.000000	0.643980	0.803260	43718
SNORRE	2011	4	0.459270	0.032410	0.021800	0.000000	0.513480	0.646910	43718
SNORRE	2011	5	0.421590	0.009320	0.006250	0.000000	0.437160	0.585150	43718
SNORRE	2011	6	0.389600	0.007620	0.005230	0.000000	0.402440	0.700060	43718
SNORRE	2011	7	0.509670	0.000560	0.000380	0.000000	0.510600	0.804540	43718
SNORRE	2011	8	0.313140	0.007490	0.005010	0.000000	0.325640	0.417530	43718
SNORRE	2011	9	0.435240	0.003210	0.002130	0.000000	0.440580	0.381500	43718
SNORRE	2011	10	0.534290	0.015380	0.014010	0.000000	0.563680	0.690230	43718
SNORRE	2011	11	0.389900	0.007340	0.006150	0.000000	0.403390	0.643910	43718
SNORRE	2011	12	0.400870	0.013900	0.011510	0.000000	0.426280	0.708270	43718
SNORRE	2012	1	0.359730	0.009380	0.008120	0.000000	0.377230	0.655270	43718
SNORRE	2012	2	0.319060	0.007890	0.007380	0.000000	0.334340	0.622320	43718
SNORRE	2012	3	0.213000	0.000320	0.000110	0.000000	0.213440	0.660350	43718
SNORRE	2012	4	0.397470	0.005410	0.003230	0.000000	0.406110	0.795910	43718
SNORRE	2012	5	0.418890	0.005450	0.004280	0.000000	0.428610	0.780420	43718
SNORRE	2012	6	0.429420	0.003790	0.000430	0.000000	0.433640	0.756530	43718
SNORRE	2012	7	0.389010	0.000980	0.000610	0.000000	0.390600	0.700550	43718
SNORRE	2012	8	0.277300	0.000190	0.000000	0.000000	0.277480	0.538690	43718
SNORRE	2012	9	0.391110	0.000000	0.000000	0.000000	0.391110	0.651940	43718
SNORRE	2012	10	0.432400	0.000000	0.000000	0.000000	0.432400	0.578980	43718
SNORRE	2012	11	0.404540	0.000000	0.000000	0.000000	0.404540	0.660180	43718
SNORRE	2012	12	0.418240	0.000990	0.001370	0.000000	0.420600	0.452470	43718
SNORRE	2013	1	0.389670	0.000000	0.000000	0.000000	0.389670	0.468200	43718
SNORRE	2013	2	0.349520	0.000000	0.000000	0.000000	0.349520	0.519660	43718
TORDIS	1994	6	0.104540	0.000000	0.000000	0.000000	0.104540	0.000000	43725
TORDIS	1994	7	0.136160	0.006730	0.000000	0.000000	0.142890	0.000000	43725
TORDIS	1994	8	0.078800	0.005670	0.000000	0.000000	0.084470	0.000000	43725
TORDIS	1994	9	0.229430	0.006390	0.000000	0.000000	0.235810	0.000000	43725
TORDIS	1994	10	0.308610	0.022790	0.012530	0.000000	0.343920	0.000000	43725
TORDIS	1994	11	0.338540	0.025270	0.013870	0.000000	0.377680	0.000000	43725
TORDIS	1994	12	0.359390	0.026130	0.014520	0.000000	0.400040	0.000000	43725
TORDIS	1995	1	0.360970	0.031060	0.014830	0.000000	0.406850	0.000000	43725
TORDIS	1995	2	0.310350	0.022110	0.013140	0.000000	0.345600	0.000000	43725
TORDIS	1995	3	0.368960	0.024850	0.016170	0.000000	0.409980	0.000000	43725
TORDIS	1995	4	0.369550	0.021930	0.016640	0.000000	0.408120	0.000000	43725
TORDIS	1995	5	0.381510	0.024710	0.016860	0.000000	0.423080	0.000000	43725
TORDIS	1995	6	0.359460	0.021820	0.015630	0.000000	0.396910	0.000000	43725
TORDIS	1995	7	0.364240	0.024720	0.015420	0.000000	0.404380	0.000000	43725
TORDIS	1995	8	0.204660	0.012350	0.008030	0.000000	0.225040	0.000000	43725
TORDIS	1995	9	0.320160	0.018210	0.012150	0.000000	0.350510	0.000000	43725
TORDIS	1995	10	0.368420	0.026270	0.011880	0.000000	0.406570	0.000000	43725
TORDIS	1995	11	0.340640	0.027240	0.012370	0.000000	0.380260	0.000000	43725
TORDIS	1995	12	0.396770	0.022770	0.017450	0.000000	0.436990	0.000000	43725
TORDIS	1996	1	0.452590	0.040050	0.018290	0.000000	0.510930	0.000000	43725
TORDIS	1996	2	0.407150	0.030200	0.017270	0.000000	0.454620	0.000000	43725
TORDIS	1996	3	0.420570	0.027960	0.016790	0.000000	0.465320	0.000000	43725
TORDIS	1996	4	0.379690	0.028970	0.015580	0.000000	0.424240	0.000000	43725
TORDIS	1996	5	0.346280	0.031490	0.015080	0.000000	0.392850	0.000000	43725
TORDIS	1996	6	0.377770	0.031340	0.017020	0.000000	0.426140	0.000000	43725
TORDIS	1996	7	0.373810	0.033150	0.017550	0.000000	0.424510	0.000000	43725
TORDIS	1996	8	0.370560	0.036100	0.015850	0.000000	0.422500	0.000000	43725
TORDIS	1996	9	0.354160	0.024730	0.016940	0.000000	0.395820	0.000000	43725
TORDIS	1996	10	0.149740	0.017630	0.008200	0.000000	0.175570	0.000000	43725
TORDIS	1996	11	0.442220	0.031830	0.020890	0.000000	0.494940	0.000000	43725
TORDIS	1996	12	0.429220	0.030430	0.019940	0.000000	0.479590	0.000000	43725
TORDIS	1997	1	0.416290	0.032440	0.019700	0.000000	0.468430	0.000000	43725
TORDIS	1997	2	0.337530	0.026070	0.015460	0.000000	0.379060	0.000000	43725
TORDIS	1997	3	0.328890	0.026860	0.014870	0.000000	0.370620	0.000000	43725
TORDIS	1997	4	0.285580	0.032710	0.013770	0.000000	0.332050	0.000000	43725
TORDIS	1997	5	0.364680	0.040910	0.017520	0.000000	0.423110	0.000000	43725
TORDIS	1997	6	0.334780	0.039660	0.015980	0.000000	0.390430	0.000000	43725
TORDIS	1997	7	0.358980	0.041380	0.018000	0.000000	0.418370	0.000000	43725
TORDIS	1997	8	0.352430	0.039410	0.017330	0.000000	0.409170	0.000000	43725
TORDIS	1997	9	0.320960	0.024460	0.006380	0.000000	0.351800	0.000000	43725
TORDIS	1997	10	0.330580	0.030660	0.020340	0.000000	0.381590	0.000000	43725
TORDIS	1997	11	0.334520	0.026970	0.018200	0.000000	0.379680	0.000000	43725
TORDIS	1997	12	0.357110	0.028520	0.019370	0.000000	0.405000	0.000000	43725
TORDIS	1998	1	0.349520	0.024600	0.019670	0.000000	0.393800	0.000000	43725
TORDIS	1998	2	0.307050	0.022670	0.017040	0.000000	0.346760	0.000000	43725
TORDIS	1998	3	0.346070	0.025600	0.016580	0.000000	0.388240	0.000000	43725
TORDIS	1998	4	0.317850	0.023420	0.015070	0.000000	0.356340	0.000000	43725
TORDIS	1998	5	0.369890	0.023760	0.019100	0.000000	0.412740	0.000000	43725
TORDIS	1998	6	0.364880	0.016100	0.010290	0.000000	0.391270	0.000000	43725
TORDIS	1998	7	0.359820	0.043080	0.020960	0.000000	0.423860	0.000000	43725
TORDIS	1998	8	0.102080	0.003860	0.000030	0.000000	0.105970	0.000000	43725
TORDIS	1998	9	0.369400	0.038510	0.021680	0.000000	0.429580	0.000000	43725
TORDIS	1998	10	0.374580	0.039460	0.019780	0.000000	0.433810	0.000000	43725
TORDIS	1998	11	0.334260	0.028290	0.017200	0.000000	0.379750	0.000000	43725
TORDIS	1998	12	0.374260	0.031090	0.018320	0.000000	0.423670	0.000000	43725
TORDIS	1999	1	0.405310	0.033050	0.019210	0.000000	0.457560	0.000000	43725
TORDIS	1999	2	0.362450	0.033130	0.021160	0.000000	0.416730	0.000000	43725
TORDIS	1999	3	0.395740	0.027700	0.018850	0.000000	0.442290	0.000000	43725
TORDIS	1999	4	0.377840	0.030050	0.018390	0.000000	0.426290	0.000000	43725
TORDIS	1999	5	0.369700	0.028120	0.019950	0.000000	0.417770	0.000000	43725
TORDIS	1999	6	0.381260	0.029190	0.018680	0.000000	0.429130	0.000000	43725
TORDIS	1999	7	0.414690	0.031220	0.020090	0.000000	0.466000	0.000000	43725
TORDIS	1999	8	0.391950	0.030360	0.020520	0.000000	0.442830	0.000000	43725
TORDIS	1999	9	0.375770	0.011500	0.005880	0.000000	0.393150	0.000000	43725
TORDIS	1999	10	0.138430	0.014020	0.008840	0.000000	0.161290	0.000000	43725
TORDIS	1999	11	0.391710	0.030300	0.019480	0.000000	0.441490	0.000000	43725
TORDIS	1999	12	0.415650	0.039450	0.025030	0.000000	0.480140	0.000000	43725
TORDIS	2000	1	0.388540	0.036680	0.020970	0.000000	0.446180	0.111540	43725
TORDIS	2000	2	0.351160	0.028930	0.017840	0.000000	0.397930	0.106850	43725
TORDIS	2000	3	0.383770	0.031070	0.017690	0.000000	0.432530	0.122230	43725
TORDIS	2000	4	0.120630	0.009510	0.004930	0.000000	0.135070	0.033560	43725
TORDIS	2000	5	0.395430	0.021590	0.016140	0.000000	0.433160	0.091040	43725
TORDIS	2000	6	0.386480	0.007200	0.004390	0.000000	0.398070	0.109800	43725
TORDIS	2000	7	0.396090	0.051940	0.030670	0.000000	0.478700	0.123520	43725
TORDIS	2000	8	0.353590	0.014340	0.009540	0.000000	0.377460	0.129390	43725
TORDIS	2000	9	0.367130	0.034890	0.022560	0.000000	0.424570	0.136460	43725
TORDIS	2000	10	0.141570	0.012440	0.006620	0.000000	0.160630	0.052300	43725
TORDIS	2000	11	0.283950	0.021150	0.019080	0.000000	0.324180	0.095190	43725
TORDIS	2000	12	0.425990	0.034560	0.028280	0.000000	0.488830	0.120550	43725
TORDIS	2001	1	0.424820	0.032420	0.029180	0.000000	0.486420	0.110340	43725
TORDIS	2001	2	0.364200	0.024450	0.019230	0.000000	0.407880	0.098250	43725
TORDIS	2001	3	0.422420	0.030060	0.028150	0.000000	0.480630	0.127000	43725
TORDIS	2001	4	0.426260	0.030680	0.029820	0.000000	0.486770	0.094360	43725
TORDIS	2001	5	0.134430	0.008490	0.009660	0.000000	0.152580	0.034000	43725
TORDIS	2001	6	0.424310	0.029610	0.030930	0.000000	0.484840	0.094860	43725
TORDIS	2001	7	0.443510	0.029840	0.029840	0.000000	0.503190	0.100540	43725
TORDIS	2001	8	0.383690	0.027610	0.024400	0.000000	0.435700	0.083580	43725
TORDIS	2001	9	0.424140	0.030000	0.028560	0.000000	0.482700	0.089690	43725
TORDIS	2001	10	0.448590	0.032320	0.030840	0.000000	0.511750	0.095690	43725
TORDIS	2001	11	0.394210	0.027050	0.027940	0.000000	0.449210	0.089220	43725
TORDIS	2001	12	0.463310	0.033950	0.034360	0.000000	0.531620	0.085800	43725
TORDIS	2002	1	0.446630	0.032150	0.031440	0.000000	0.510210	0.064890	43725
TORDIS	2002	2	0.432770	0.031500	0.030620	0.000000	0.494880	0.072890	43725
TORDIS	2002	3	0.195270	0.013230	0.013240	0.000000	0.221740	0.034110	43725
TORDIS	2002	4	0.386550	0.026740	0.026710	0.000000	0.440000	0.102830	43725
TORDIS	2002	5	0.405820	0.026810	0.029490	0.000000	0.462120	0.112690	43725
TORDIS	2002	6	0.358610	0.022090	0.024570	0.000000	0.405270	0.124920	43725
TORDIS	2002	7	0.375760	0.024880	0.024910	0.000000	0.425540	0.141840	43725
TORDIS	2002	8	0.396730	0.015840	0.014620	0.000000	0.427180	0.161360	43725
TORDIS	2002	9	0.397870	0.035270	0.034820	0.000000	0.467960	0.164860	43725
TORDIS	2002	10	0.411410	0.029950	0.028610	0.000000	0.469960	0.144010	43725
TORDIS	2002	11	0.395960	0.027940	0.029500	0.000000	0.453400	0.038600	43725
TORDIS	2002	12	0.412150	0.030520	0.030540	0.000000	0.473220	0.139630	43725
TORDIS	2003	1	0.412050	0.031740	0.027480	0.000000	0.471270	0.120520	43725
TORDIS	2003	2	0.385310	0.029280	0.025060	0.000000	0.439650	0.121910	43725
TORDIS	2003	3	0.415530	0.033180	0.027570	0.000000	0.476290	0.126820	43725
TORDIS	2003	4	0.379240	0.028310	0.022170	0.000000	0.429710	0.122180	43725
TORDIS	2003	5	0.406400	0.030460	0.023980	0.000000	0.460850	0.127460	43725
TORDIS	2003	6	0.371720	0.029750	0.023450	0.000000	0.424930	0.138710	43725
TORDIS	2003	7	0.330060	0.024800	0.019700	0.000000	0.374560	0.150490	43725
TORDIS	2003	8	0.323340	0.026120	0.019280	0.000000	0.368740	0.138980	43725
TORDIS	2003	9	0.264160	0.019380	0.017590	0.000000	0.301130	0.123810	43725
TORDIS	2003	10	0.163250	0.011860	0.009570	0.000000	0.184680	0.079760	43725
TORDIS	2003	11	0.311840	0.035450	0.022430	0.000000	0.369730	0.181830	43725
TORDIS	2003	12	0.352580	0.028620	0.022760	0.000000	0.403950	0.191850	43725
TORDIS	2004	1	0.345260	0.028400	0.022260	0.000000	0.395930	0.203290	43725
TORDIS	2004	2	0.293770	0.023970	0.018630	0.000000	0.336360	0.160100	43725
TORDIS	2004	3	0.331570	0.027570	0.021640	0.000000	0.380770	0.187320	43725
TORDIS	2004	4	0.327120	0.026470	0.019810	0.000000	0.373400	0.175380	43725
TORDIS	2004	5	0.327670	0.026990	0.019820	0.000000	0.374470	0.180190	43725
TORDIS	2004	6	0.321540	0.026530	0.020430	0.000000	0.368490	0.168400	43725
TORDIS	2004	7	0.307540	0.024940	0.020050	0.000000	0.352530	0.167000	43725
TORDIS	2004	8	0.336830	0.013820	0.010220	0.000000	0.360870	0.207770	43725
TORDIS	2004	9	0.309760	0.019380	0.013790	0.000000	0.342930	0.199710	43725
TORDIS	2004	10	0.291850	0.023370	0.018000	0.000000	0.333220	0.193150	43725
TORDIS	2004	11	0.264220	0.021310	0.016200	0.000000	0.301720	0.220220	43725
TORDIS	2004	12	0.228920	0.018340	0.014430	0.000000	0.261690	0.211810	43725
TORDIS	2005	1	0.248240	0.020190	0.015570	0.000000	0.283990	0.211890	43725
TORDIS	2005	2	0.224460	0.018110	0.013790	0.000000	0.256370	0.137190	43725
TORDIS	2005	3	0.237390	0.019360	0.015060	0.000000	0.271810	0.163650	43725
TORDIS	2005	4	0.270120	0.022380	0.016900	0.000000	0.309400	0.211150	43725
TORDIS	2005	5	0.280450	0.023270	0.015830	0.000000	0.319550	0.215090	43725
TORDIS	2005	6	0.254340	0.020470	0.017020	0.000000	0.291820	0.200980	43725
TORDIS	2005	7	0.277630	0.023180	0.017630	0.000000	0.318430	0.255080	43725
TORDIS	2005	8	0.253590	0.021260	0.016140	0.000000	0.290990	0.263010	43725
TORDIS	2005	9	0.236200	0.019250	0.014250	0.000000	0.269700	0.242500	43725
TORDIS	2005	10	0.206900	0.016690	0.012890	0.000000	0.236470	0.155020	43725
TORDIS	2005	11	0.275540	0.022000	0.017710	0.000000	0.315250	0.174760	43725
TORDIS	2005	12	0.261490	0.020720	0.016910	0.000000	0.299120	0.208130	43725
TORDIS	2006	1	0.260720	0.020980	0.016950	0.000000	0.298660	0.253330	43725
TORDIS	2006	2	0.213820	0.017440	0.013760	0.000000	0.245020	0.283960	43725
TORDIS	2006	3	0.213910	0.015930	0.013010	0.000000	0.242840	0.317910	43725
TORDIS	2006	4	0.162460	0.012680	0.010900	0.000000	0.186040	0.294220	43725
TORDIS	2006	5	0.166290	0.012650	0.009830	0.000000	0.188770	0.328250	43725
TORDIS	2006	6	0.137310	0.007770	0.006820	0.000000	0.151900	0.316390	43725
TORDIS	2006	7	0.120690	0.007700	0.007030	0.000000	0.135420	0.355110	43725
TORDIS	2006	8	0.025290	0.001560	0.001510	0.000000	0.028360	0.083730	43725
TORDIS	2006	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43725
TORDIS	2006	10	0.057440	0.001810	0.001440	0.000000	0.060690	0.057460	43725
TORDIS	2006	11	0.137240	0.003550	0.002950	0.000000	0.143750	0.242600	43725
TORDIS	2006	12	0.172430	0.005330	0.004670	0.000000	0.182430	0.288190	43725
TORDIS	2007	1	0.187840	0.005650	0.004660	0.000000	0.198150	0.190200	43725
TORDIS	2007	2	0.189960	0.007070	0.005620	0.000000	0.202660	0.155370	43725
TORDIS	2007	3	0.220860	0.009830	0.007580	0.000000	0.238260	0.211760	43725
TORDIS	2007	4	0.226530	0.010500	0.008270	0.000000	0.245300	0.255470	43725
TORDIS	2007	5	0.215340	0.007920	0.006700	0.000000	0.229960	0.253000	43725
TORDIS	2007	6	0.229970	0.009200	0.008140	0.000000	0.247300	0.252980	43725
TORDIS	2007	7	0.223410	0.009210	0.007810	0.000000	0.240430	0.289720	43725
TORDIS	2007	8	0.229540	0.009840	0.008270	0.000000	0.247650	0.310850	43725
TORDIS	2007	9	0.190210	0.006890	0.005610	0.000000	0.202710	0.303950	43725
TORDIS	2007	10	0.182640	0.006010	0.005090	0.000000	0.193740	0.302810	43725
TORDIS	2007	11	0.164370	0.005160	0.004200	0.000000	0.173730	0.220860	43725
TORDIS	2007	12	0.169130	0.004700	0.003790	0.000000	0.177610	0.299580	43725
TORDIS	2008	1	0.193630	0.001780	0.001360	0.000000	0.196770	0.424190	43725
TORDIS	2008	2	0.170590	0.000240	0.000190	0.000000	0.171010	0.450530	43725
TORDIS	2008	3	0.166870	0.000000	0.000000	0.000000	0.166870	0.475010	43725
TORDIS	2008	4	0.165240	0.000000	0.000000	0.000000	0.165240	0.504040	43725
TORDIS	2008	5	0.185350	0.000170	0.000140	0.000000	0.185660	0.676820	43725
TORDIS	2008	6	0.103590	0.000000	0.000000	0.000000	0.103590	0.297990	43725
TORDIS	2008	7	0.107030	0.000000	0.000000	0.000000	0.107030	0.317700	43725
TORDIS	2008	8	0.104280	0.000000	0.000000	0.000000	0.104280	0.244250	43725
TORDIS	2008	9	0.097530	0.000000	0.000000	0.000000	0.097530	0.213650	43725
TORDIS	2008	10	0.105780	0.000000	0.000000	0.000000	0.105780	0.280920	43725
TORDIS	2008	11	0.100250	0.000000	0.000000	0.000000	0.100250	0.283760	43725
TORDIS	2008	12	0.108680	0.000000	0.000000	0.000000	0.108680	0.324730	43725
TORDIS	2009	1	0.106040	0.001060	0.000940	0.000000	0.108040	0.334810	43725
TORDIS	2009	2	0.097850	0.001110	0.000940	0.000000	0.099900	0.272310	43725
TORDIS	2009	3	0.108430	0.001280	0.001080	0.000000	0.110780	0.355900	43725
TORDIS	2009	4	0.113900	0.001780	0.001550	0.000000	0.117220	0.342220	43725
TORDIS	2009	5	0.021950	0.000250	0.000210	0.000000	0.022400	0.041030	43725
TORDIS	2009	6	0.078700	0.000000	0.000000	0.000000	0.078700	0.170900	43725
TORDIS	2009	7	0.097130	0.000000	0.000000	0.000000	0.097130	0.318530	43725
TORDIS	2009	8	0.095190	0.000000	0.000000	0.000000	0.095190	0.358290	43725
TORDIS	2009	9	0.078690	0.000000	0.000000	0.000000	0.078690	0.317360	43725
TORDIS	2009	10	0.114780	0.000000	0.000000	0.000000	0.114780	0.266470	43725
TORDIS	2009	11	0.106420	0.000000	0.000000	0.000000	0.106420	0.286100	43725
TORDIS	2009	12	0.075800	0.000000	0.000000	0.000000	0.075800	0.237440	43725
TORDIS	2010	1	0.033560	0.000000	0.000000	0.000000	0.033560	0.047580	43725
TORDIS	2010	2	0.081530	0.000000	0.000000	0.000000	0.081530	0.181560	43725
TORDIS	2010	3	0.076520	0.000000	0.000000	0.000000	0.076520	0.235470	43725
TORDIS	2010	4	0.090540	0.000000	0.000000	0.000000	0.090540	0.296740	43725
TORDIS	2010	5	0.057160	0.000000	0.000000	0.000000	0.057160	0.190480	43725
TORDIS	2010	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43725
TORDIS	2010	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43725
TORDIS	2010	8	0.006030	0.000000	0.000000	0.000000	0.006030	0.011140	43725
TORDIS	2010	9	0.054530	0.000000	0.000000	0.000000	0.054530	0.078080	43725
TORDIS	2010	10	0.116120	0.000000	0.000000	0.000000	0.116120	0.189890	43725
TORDIS	2010	11	0.098290	0.000000	0.000000	0.000000	0.098290	0.189910	43725
TORDIS	2010	12	0.121500	0.000000	0.000000	0.000000	0.121500	0.221060	43725
TORDIS	2011	1	0.081540	0.036860	0.029440	0.000000	0.147840	0.245440	43725
TORDIS	2011	2	0.019350	0.029360	0.023700	0.000000	0.072420	0.058470	43725
TORDIS	2011	3	0.025310	0.028940	0.026880	0.000000	0.081130	0.026000	43725
TORDIS	2011	4	0.113520	0.040110	0.032490	0.000000	0.186120	0.178860	43725
TORDIS	2011	5	0.117660	0.025990	0.022080	0.000000	0.165730	0.164190	43725
TORDIS	2011	6	0.054800	0.028970	0.023640	0.000000	0.107420	0.080260	43725
TORDIS	2011	7	0.088180	0.038930	0.031680	0.000000	0.158780	0.149150	43725
TORDIS	2011	8	0.000000	0.031150	0.026530	0.000000	0.057680	0.000000	43725
TORDIS	2011	9	0.024270	0.036550	0.030920	0.000000	0.091740	0.034520	43725
TORDIS	2011	10	0.025610	0.047260	0.039580	0.000000	0.112450	0.028220	43725
TORDIS	2011	11	0.023900	0.031880	0.026670	0.000000	0.082450	0.035790	43725
TORDIS	2011	12	0.016180	0.032460	0.026450	0.000000	0.075100	0.024260	43725
TORDIS	2012	1	0.043370	0.003430	0.002710	0.000000	0.049510	0.082980	43725
TORDIS	2012	2	0.051320	0.004080	0.003360	0.000000	0.058760	0.091270	43725
TORDIS	2012	3	0.034320	0.002840	0.002250	0.000000	0.039410	0.071130	43725
TORDIS	2012	4	0.000000	0.000360	0.000000	0.000000	0.000360	0.000000	43725
TORDIS	2012	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43725
TORDIS	2012	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43725
TORDIS	2012	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43725
TORDIS	2012	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43725
TORDIS	2012	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43725
TORDIS	2012	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43725
TORDIS	2012	11	0.055090	0.004210	0.004040	0.000000	0.063340	0.069660	43725
TORDIS	2012	12	0.038670	0.002960	0.002670	0.000000	0.044290	0.081190	43725
TORDIS	2013	1	0.036150	0.002730	0.002410	0.000000	0.041290	0.000000	43725
TORDIS	2013	2	0.036470	0.002800	0.002360	0.000000	0.041630	0.059460	43725
VIGDIS	1997	1	0.011170	0.000000	0.000000	0.000000	0.011170	0.000000	43732
VIGDIS	1997	2	0.117700	0.000000	0.000000	0.000000	0.117700	0.000000	43732
VIGDIS	1997	3	0.149910	0.000000	0.000000	0.000000	0.149910	0.000000	43732
VIGDIS	1997	4	0.110480	0.000000	0.000000	0.000000	0.110480	0.000000	43732
VIGDIS	1997	5	0.056740	0.000000	0.000000	0.000000	0.056740	0.000000	43732
VIGDIS	1997	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43732
VIGDIS	1997	7	0.042620	0.000000	0.000000	0.000000	0.042620	0.000000	43732
VIGDIS	1997	8	0.072950	0.000000	0.000000	0.000000	0.072950	0.000000	43732
VIGDIS	1997	9	0.057820	0.000000	0.000000	0.000000	0.057820	0.000000	43732
VIGDIS	1997	10	0.349900	0.000000	0.000000	0.000000	0.349900	0.000000	43732
VIGDIS	1997	11	0.349250	0.000000	0.000000	0.000000	0.349250	0.000000	43732
VIGDIS	1997	12	0.278270	0.000000	0.000000	0.000000	0.278270	0.000000	43732
VIGDIS	1998	1	0.445630	0.000000	0.000000	0.000000	0.445630	0.000000	43732
VIGDIS	1998	2	0.387960	0.000000	0.000000	0.000000	0.387960	0.000000	43732
VIGDIS	1998	3	0.395050	0.000000	0.000000	0.000000	0.395050	0.000000	43732
VIGDIS	1998	4	0.380610	0.000000	0.000000	0.000000	0.380610	0.000000	43732
VIGDIS	1998	5	0.080130	0.000000	0.000000	0.000000	0.080130	0.000000	43732
VIGDIS	1998	6	0.259810	0.000000	0.000000	0.000000	0.259810	0.000000	43732
VIGDIS	1998	7	0.302830	0.000000	0.000000	0.000000	0.302830	0.000000	43732
VIGDIS	1998	8	0.480920	0.000000	0.000000	0.000000	0.480920	0.000000	43732
VIGDIS	1998	9	0.480570	0.000000	0.000000	0.000000	0.480570	0.000000	43732
VIGDIS	1998	10	0.503350	0.000000	0.000000	0.000000	0.503350	0.000000	43732
VIGDIS	1998	11	0.493400	0.000000	0.000000	0.000000	0.493400	0.000000	43732
VIGDIS	1998	12	0.513900	0.000000	0.000000	0.000000	0.513900	0.000000	43732
VIGDIS	1999	1	0.446260	0.000000	0.000000	0.000000	0.446260	0.000000	43732
VIGDIS	1999	2	0.431470	0.000000	0.000000	0.000000	0.431470	0.000000	43732
VIGDIS	1999	3	0.439750	0.000000	0.000000	0.000000	0.439750	0.000000	43732
VIGDIS	1999	4	0.426050	0.000000	0.000000	0.000000	0.426050	0.000000	43732
VIGDIS	1999	5	0.480580	0.000000	0.000000	0.000000	0.480580	0.000000	43732
VIGDIS	1999	6	0.456970	0.000000	0.000000	0.000000	0.456970	0.000000	43732
VIGDIS	1999	7	0.456170	0.000000	0.000000	0.000000	0.456170	0.000000	43732
VIGDIS	1999	8	0.408710	0.000000	0.000000	0.000000	0.408710	0.000000	43732
VIGDIS	1999	9	0.272970	0.000000	0.000000	0.000000	0.272970	0.000000	43732
VIGDIS	1999	10	0.478840	0.000000	0.000000	0.000000	0.478840	0.000000	43732
VIGDIS	1999	11	0.385220	0.000000	0.000000	0.000000	0.385220	0.000000	43732
VIGDIS	1999	12	0.425860	0.000000	0.000000	0.000000	0.425860	0.000000	43732
VIGDIS	2000	1	0.451000	0.000000	0.000000	0.000000	0.451000	0.053370	43732
VIGDIS	2000	2	0.426840	0.000000	0.000000	0.000000	0.426840	0.054930	43732
VIGDIS	2000	3	0.444020	0.000000	0.000000	0.000000	0.444020	0.082400	43732
VIGDIS	2000	4	0.270780	0.000000	0.000000	0.000000	0.270780	0.057320	43732
VIGDIS	2000	5	0.448570	0.000000	0.000000	0.000000	0.448570	0.112540	43732
VIGDIS	2000	6	0.360710	0.000000	0.000000	0.000000	0.360710	0.102310	43732
VIGDIS	2000	7	0.405200	0.000000	0.000000	0.000000	0.405200	0.106040	43732
VIGDIS	2000	8	0.296450	0.000000	0.000000	0.000000	0.296450	0.104480	43732
VIGDIS	2000	9	0.084900	0.000000	0.000000	0.000000	0.084900	0.022140	43732
VIGDIS	2000	10	0.339060	0.000000	0.000000	0.000000	0.339060	0.122640	43732
VIGDIS	2000	11	0.316030	0.000000	0.000000	0.000000	0.316030	0.139120	43732
VIGDIS	2000	12	0.354490	0.000000	0.000000	0.000000	0.354490	0.169190	43732
VIGDIS	2001	1	0.329550	0.000000	0.000000	0.000000	0.329550	0.178430	43732
VIGDIS	2001	2	0.291720	0.000000	0.000000	0.000000	0.291720	0.162900	43732
VIGDIS	2001	3	0.362070	0.000000	0.000000	0.000000	0.362070	0.188660	43732
VIGDIS	2001	4	0.347410	0.000000	0.000000	0.000000	0.347410	0.213000	43732
VIGDIS	2001	5	0.335750	0.000000	0.000000	0.000000	0.335750	0.182680	43732
VIGDIS	2001	6	0.292410	0.000000	0.000000	0.000000	0.292410	0.184630	43732
VIGDIS	2001	7	0.337070	0.000000	0.000000	0.000000	0.337070	0.238200	43732
VIGDIS	2001	8	0.327040	0.000000	0.000000	0.000000	0.327040	0.235180	43732
VIGDIS	2001	9	0.294260	0.000000	0.000000	0.000000	0.294260	0.229490	43732
VIGDIS	2001	10	0.294350	0.000000	0.000000	0.000000	0.294350	0.214390	43732
VIGDIS	2001	11	0.246510	0.000000	0.000000	0.000000	0.246510	0.147420	43732
VIGDIS	2001	12	0.212070	0.000000	0.000000	0.000000	0.212070	0.109400	43732
VIGDIS	2002	1	0.213720	0.000000	0.000000	0.000000	0.213720	0.114340	43732
VIGDIS	2002	2	0.219010	0.000000	0.000000	0.000000	0.219010	0.103740	43732
VIGDIS	2002	3	0.197340	0.000000	0.000000	0.000000	0.197340	0.066440	43732
VIGDIS	2002	4	0.238470	0.000000	0.000000	0.000000	0.238470	0.105830	43732
VIGDIS	2002	5	0.221640	0.000000	0.000000	0.000000	0.221640	0.103450	43732
VIGDIS	2002	6	0.246220	0.000000	0.000000	0.000000	0.246220	0.089440	43732
VIGDIS	2002	7	0.333630	0.000000	0.000000	0.000000	0.333630	0.183710	43732
VIGDIS	2002	8	0.373450	0.000000	0.000000	0.000000	0.373450	0.235240	43732
VIGDIS	2002	9	0.035950	0.000000	0.000000	0.000000	0.035950	0.023170	43732
VIGDIS	2002	10	0.244640	0.000000	0.000000	0.000000	0.244640	0.121000	43732
VIGDIS	2002	11	0.381410	0.000000	0.000000	0.000000	0.381410	0.237370	43732
VIGDIS	2002	12	0.347110	0.000000	0.000000	0.000000	0.347110	0.244320	43732
VIGDIS	2003	1	0.313040	0.000000	0.000000	0.000000	0.313040	0.235860	43732
VIGDIS	2003	2	0.295020	0.000000	0.000000	0.000000	0.295020	0.248150	43732
VIGDIS	2003	3	0.314320	0.000000	0.000000	0.000000	0.314320	0.270930	43732
VIGDIS	2003	4	0.266320	0.000000	0.000000	0.000000	0.266320	0.263000	43732
VIGDIS	2003	5	0.283510	0.000000	0.000000	0.000000	0.283510	0.296370	43732
VIGDIS	2003	6	0.273400	0.000000	0.000000	0.000000	0.273400	0.297810	43732
VIGDIS	2003	7	0.275180	0.000000	0.000000	0.000000	0.275180	0.299590	43732
VIGDIS	2003	8	0.267710	0.000000	0.000000	0.000000	0.267710	0.320350	43732
VIGDIS	2003	9	0.130820	0.000000	0.000000	0.000000	0.130820	0.156640	43732
VIGDIS	2003	10	0.223230	0.000000	0.000000	0.000000	0.223230	0.287880	43732
VIGDIS	2003	11	0.365030	0.019210	0.026400	0.000000	0.410630	0.245780	43732
VIGDIS	2003	12	0.354080	0.018900	0.026590	0.000000	0.399560	0.250600	43732
VIGDIS	2004	1	0.365940	0.020520	0.028720	0.000000	0.415180	0.258850	43732
VIGDIS	2004	2	0.346680	0.019820	0.026720	0.000000	0.393220	0.200810	43732
VIGDIS	2004	3	0.366760	0.022470	0.033040	0.000000	0.422280	0.236010	43732
VIGDIS	2004	4	0.372140	0.026210	0.017250	0.000000	0.415590	0.236210	43732
VIGDIS	2004	5	0.403950	0.031080	0.025960	0.000000	0.460990	0.261430	43732
VIGDIS	2004	6	0.279480	0.016240	0.023440	0.000000	0.319150	0.181900	43732
VIGDIS	2004	7	0.374990	0.019610	0.044300	0.000000	0.438900	0.255250	43732
VIGDIS	2004	8	0.178320	0.009000	0.016200	0.000000	0.203520	0.125790	43732
VIGDIS	2004	9	0.191740	0.002290	0.002830	0.000000	0.196870	0.086640	43732
VIGDIS	2004	10	0.378100	0.009290	0.017420	0.000000	0.404810	0.256590	43732
VIGDIS	2004	11	0.328950	0.013130	0.022280	0.000000	0.364360	0.234020	43732
VIGDIS	2004	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43732
VIGDIS	2005	1	0.134860	0.004050	0.006570	0.000000	0.145470	0.040490	43732
VIGDIS	2005	2	0.268380	0.012240	0.009900	0.000000	0.290510	0.160090	43732
VIGDIS	2005	3	0.379450	0.020170	0.021600	0.000000	0.421210	0.193190	43732
VIGDIS	2005	4	0.302580	0.013800	0.013690	0.000000	0.330070	0.193090	43732
VIGDIS	2005	5	0.308580	0.013410	0.011570	0.000000	0.333560	0.224770	43732
VIGDIS	2005	6	0.312770	0.012670	0.022750	0.000000	0.348180	0.195760	43732
VIGDIS	2005	7	0.330030	0.016480	0.018780	0.000000	0.365290	0.192740	43732
VIGDIS	2005	8	0.349180	0.021500	0.024930	0.000000	0.395620	0.134290	43732
VIGDIS	2005	9	0.350350	0.017560	0.023460	0.000000	0.391360	0.209750	43732
VIGDIS	2005	10	0.297770	0.017750	0.020880	0.000000	0.336410	0.141750	43732
VIGDIS	2005	11	0.318110	0.018150	0.023870	0.000000	0.360120	0.179850	43732
VIGDIS	2005	12	0.338870	0.019680	0.030240	0.000000	0.388780	0.125070	43732
VIGDIS	2006	1	0.360480	0.019430	0.033840	0.000000	0.413750	0.161200	43732
VIGDIS	2006	2	0.306950	0.017520	0.025970	0.000000	0.350440	0.232180	43732
VIGDIS	2006	3	0.278820	0.014060	0.024500	0.000000	0.317380	0.202250	43732
VIGDIS	2006	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43732
VIGDIS	2006	5	0.262380	0.010090	0.013550	0.000000	0.286030	0.113130	43732
VIGDIS	2006	6	0.421490	0.025370	0.037390	0.000000	0.484250	0.174130	43732
VIGDIS	2006	7	0.398700	0.025560	0.038160	0.000000	0.462420	0.138010	43732
VIGDIS	2006	8	0.382570	0.025170	0.031130	0.000000	0.438870	0.232590	43732
VIGDIS	2006	9	0.435660	0.027430	0.035700	0.000000	0.498780	0.155460	43732
VIGDIS	2006	10	0.275890	0.015050	0.023880	0.000000	0.314820	0.086450	43732
VIGDIS	2006	11	0.312290	0.017770	0.029020	0.000000	0.359070	0.187090	43732
VIGDIS	2006	12	0.323030	0.019890	0.034970	0.000000	0.377890	0.190380	43732
VIGDIS	2007	1	0.329090	0.018780	0.033740	0.000000	0.381610	0.241650	43732
VIGDIS	2007	2	0.298570	0.016840	0.027050	0.000000	0.342460	0.273160	43732
VIGDIS	2007	3	0.358550	0.021990	0.034980	0.000000	0.415530	0.269370	43732
VIGDIS	2007	4	0.355800	0.020090	0.030910	0.000000	0.406790	0.254310	43732
VIGDIS	2007	5	0.325730	0.015280	0.027000	0.000000	0.368010	0.247940	43732
VIGDIS	2007	6	0.305950	0.016990	0.029480	0.000000	0.352410	0.289880	43732
VIGDIS	2007	7	0.294150	0.018580	0.032920	0.000000	0.345650	0.247410	43732
VIGDIS	2007	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43732
VIGDIS	2007	9	0.217770	0.010740	0.019860	0.000000	0.248370	0.134400	43732
VIGDIS	2007	10	0.290540	0.030410	0.025310	0.000000	0.346260	0.229710	43732
VIGDIS	2007	11	0.241470	0.020570	0.016550	0.000000	0.278590	0.188480	43732
VIGDIS	2007	12	0.259400	0.018840	0.015190	0.000000	0.293430	0.235730	43732
VIGDIS	2008	1	0.295920	0.019600	0.015610	0.000000	0.331130	0.269760	43732
VIGDIS	2008	2	0.294070	0.024450	0.020360	0.000000	0.338870	0.270220	43732
VIGDIS	2008	3	0.324050	0.022300	0.019400	0.000000	0.365750	0.244650	43732
VIGDIS	2008	4	0.240650	0.012000	0.010370	0.000000	0.263010	0.246880	43732
VIGDIS	2008	5	0.206800	0.002160	0.001800	0.000000	0.210760	0.212110	43732
VIGDIS	2008	6	0.242920	0.006830	0.005410	0.000000	0.255150	0.160480	43732
VIGDIS	2008	7	0.300970	0.014500	0.011630	0.000000	0.327100	0.210650	43732
VIGDIS	2008	8	0.128560	0.011320	0.009280	0.000000	0.149170	0.104380	43732
VIGDIS	2008	9	0.051690	0.006840	0.004680	0.000000	0.063210	0.029970	43732
VIGDIS	2008	10	0.319730	0.030820	0.022380	0.000000	0.372940	0.245610	43732
VIGDIS	2008	11	0.303600	0.036170	0.025930	0.000000	0.365700	0.194040	43732
VIGDIS	2008	12	0.359630	0.028140	0.033110	0.000000	0.420880	0.225180	43732
VIGDIS	2009	1	0.334730	0.025500	0.023930	0.000000	0.384150	0.248250	43732
VIGDIS	2009	2	0.272320	0.025540	0.017720	0.000000	0.315570	0.234950	43732
VIGDIS	2009	3	0.315080	0.025540	0.018370	0.000000	0.358990	0.314600	43732
VIGDIS	2009	4	0.171780	0.015320	0.010950	0.000000	0.198050	0.165280	43732
VIGDIS	2009	5	0.219330	0.017390	0.011720	0.000000	0.248440	0.281300	43732
VIGDIS	2009	6	0.265960	0.014080	0.009350	0.000000	0.289380	0.289950	43732
VIGDIS	2009	7	0.278880	0.021270	0.013970	0.000000	0.314110	0.270820	43732
VIGDIS	2009	8	0.223570	0.015330	0.010830	0.000000	0.249730	0.236730	43732
VIGDIS	2009	9	0.000010	0.000550	0.000360	0.000000	0.000910	0.000000	43732
VIGDIS	2009	10	0.153340	0.011490	0.008160	0.000000	0.172990	0.197300	43732
VIGDIS	2009	11	0.196680	0.014450	0.007890	0.000000	0.219020	0.312170	43732
VIGDIS	2009	12	0.201270	0.012860	0.008630	0.000000	0.222760	0.316210	43732
VIGDIS	2010	1	0.226320	0.021510	0.015400	0.000000	0.263230	0.317220	43732
VIGDIS	2010	2	0.215090	0.019830	0.014430	0.000000	0.249350	0.248410	43732
VIGDIS	2010	3	0.193810	0.019710	0.011910	0.000000	0.225430	0.246920	43732
VIGDIS	2010	4	0.117660	0.009940	0.005950	0.000000	0.133550	0.132790	43732
VIGDIS	2010	5	0.221880	0.015910	0.011970	0.000000	0.249760	0.275790	43732
VIGDIS	2010	6	0.131520	0.006250	0.004150	0.000000	0.141920	0.248100	43732
VIGDIS	2010	7	0.216180	0.000210	0.000140	0.000000	0.216530	0.298520	43732
VIGDIS	2010	8	0.003460	0.000000	0.000000	0.000000	0.003460	0.004140	43732
VIGDIS	2010	9	0.037930	0.004860	0.003210	0.000000	0.045990	0.034540	43732
VIGDIS	2010	10	0.222350	0.005660	0.003500	0.000000	0.231500	0.243230	43732
VIGDIS	2010	11	0.190540	0.005020	0.003040	0.000000	0.198600	0.245390	43732
VIGDIS	2010	12	0.193800	0.011430	0.007140	0.000000	0.212380	0.254150	43732
VIGDIS	2011	1	0.197890	0.014750	0.010620	0.000000	0.223260	0.287230	43732
VIGDIS	2011	2	0.155750	0.042630	0.032330	0.000000	0.230720	0.241930	43732
VIGDIS	2011	3	0.186040	0.021550	0.017540	0.000000	0.225130	0.363080	43732
VIGDIS	2011	4	0.205940	0.000000	0.003490	0.000000	0.209430	0.325210	43732
VIGDIS	2011	5	0.194620	0.009130	0.006350	0.000000	0.210090	0.378800	43732
VIGDIS	2011	6	0.174550	0.006610	0.004680	0.000000	0.185850	0.408740	43732
VIGDIS	2011	7	0.171330	0.007690	0.005770	0.000000	0.184780	0.423790	43732
VIGDIS	2011	8	0.091090	0.006390	0.004710	0.000000	0.102180	0.170700	43732
VIGDIS	2011	9	0.034920	0.006630	0.005600	0.000000	0.047150	0.085140	43732
VIGDIS	2011	10	0.185520	0.008670	0.008340	0.000000	0.202530	0.309440	43732
VIGDIS	2011	11	0.219460	0.006780	0.005640	0.000000	0.231890	0.367650	43732
VIGDIS	2011	12	0.217890	0.011230	0.009610	0.000000	0.238730	0.385890	43732
VIGDIS	2012	1	0.214420	0.024840	0.023510	0.000000	0.262760	0.427110	43732
VIGDIS	2012	2	0.184500	0.024760	0.019500	0.000000	0.228750	0.413840	43732
VIGDIS	2012	3	0.160670	0.006740	0.004950	0.000000	0.172370	0.462610	43732
VIGDIS	2012	4	0.164740	0.006760	0.004190	0.000000	0.175690	0.406060	43732
VIGDIS	2012	5	0.162300	0.034660	0.026190	0.000000	0.223150	0.375560	43732
VIGDIS	2012	6	0.146670	0.010780	0.008230	0.000000	0.165690	0.348770	43732
VIGDIS	2012	7	0.175880	0.012540	0.007960	0.000000	0.196370	0.408870	43732
VIGDIS	2012	8	0.149100	0.010770	0.011090	0.000000	0.170960	0.293670	43732
VIGDIS	2012	9	0.052090	0.003950	0.003770	0.000000	0.059820	0.113080	43732
VIGDIS	2012	10	0.139330	0.003170	0.003450	0.000000	0.145940	0.292540	43732
VIGDIS	2012	11	0.141490	0.011970	0.011910	0.000000	0.165370	0.327480	43732
VIGDIS	2012	12	0.170480	0.024100	0.021030	0.000000	0.215600	0.416550	43732
VIGDIS	2013	1	0.162740	0.009920	0.007280	0.000000	0.179940	0.404540	43732
VIGDIS	2013	2	0.151100	0.007560	0.005090	0.000000	0.163750	0.376480	43732
VISUND	1999	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43745
VISUND	1999	5	0.086180	0.000000	0.000000	0.000000	0.086180	0.000000	43745
VISUND	1999	6	0.035180	0.000000	0.000000	0.000000	0.035180	0.000000	43745
VISUND	1999	7	0.051200	0.000000	0.000000	0.000000	0.051200	0.000000	43745
VISUND	1999	8	0.096140	0.000000	0.000000	0.000000	0.096140	0.000000	43745
VISUND	1999	9	0.036610	0.000000	0.000000	0.000000	0.036610	0.000000	43745
VISUND	1999	10	0.075240	0.000000	0.000000	0.000000	0.075240	0.000000	43745
VISUND	1999	11	0.106860	0.000000	0.000000	0.000000	0.106860	0.000000	43745
VISUND	1999	12	0.140760	0.000000	0.000000	0.000000	0.140760	0.000000	43745
VISUND	2000	1	0.162630	0.000000	0.000000	0.000000	0.162630	0.107490	43745
VISUND	2000	2	0.152530	0.000000	0.000000	0.000000	0.152530	0.114510	43745
VISUND	2000	3	0.254920	0.000000	0.000000	0.000000	0.254920	0.118740	43745
VISUND	2000	4	0.195850	0.000000	0.000000	0.000000	0.195850	0.044180	43745
VISUND	2000	5	0.215780	0.000000	0.000000	0.000000	0.215780	0.029260	43745
VISUND	2000	6	0.191160	0.000000	0.000000	0.000000	0.191160	0.009040	43745
VISUND	2000	7	0.178990	0.000000	0.000000	0.000000	0.178990	0.006940	43745
VISUND	2000	8	0.088170	0.000000	0.000000	0.000000	0.088170	0.004990	43745
VISUND	2000	9	0.249070	0.000000	0.000000	0.000000	0.249070	0.009560	43745
VISUND	2000	10	0.220750	0.000000	0.000000	0.000000	0.220750	0.038490	43745
VISUND	2000	11	0.176110	0.000000	0.000000	0.000000	0.176110	0.040240	43745
VISUND	2000	12	0.167020	0.000000	0.000000	0.000000	0.167020	0.057930	43745
VISUND	2001	1	0.189890	0.000000	0.000000	0.000000	0.189890	0.084180	43745
VISUND	2001	2	0.200580	0.000000	0.000000	0.000000	0.200580	0.090880	43745
VISUND	2001	3	0.198060	0.000000	0.000000	0.000000	0.198060	0.134950	43745
VISUND	2001	4	0.176010	0.000000	0.000000	0.000000	0.176010	0.146240	43745
VISUND	2001	5	0.191600	0.000000	0.000000	0.000000	0.191600	0.181130	43745
VISUND	2001	6	0.195900	0.000000	0.000000	0.000000	0.195900	0.158770	43745
VISUND	2001	7	0.332900	0.000000	0.000000	0.000000	0.332900	0.077070	43745
VISUND	2001	8	0.258240	0.000000	0.000000	0.000000	0.258240	0.058300	43745
VISUND	2001	9	0.218060	0.000000	0.000000	0.000000	0.218060	0.057930	43745
VISUND	2001	10	0.200190	0.000000	0.000000	0.000000	0.200190	0.060170	43745
VISUND	2001	11	0.129250	0.000000	0.000000	0.000000	0.129250	0.037950	43745
VISUND	2001	12	0.245660	0.000000	0.000000	0.000000	0.245660	0.033760	43745
VISUND	2002	1	0.206190	0.000000	0.000000	0.000000	0.206190	0.012700	43745
VISUND	2002	2	0.200470	0.000000	0.000000	0.000000	0.200470	0.007160	43745
VISUND	2002	3	0.143210	0.000000	0.000000	0.000000	0.143210	0.001940	43745
VISUND	2002	4	0.190360	0.000000	0.000000	0.000000	0.190360	0.039170	43745
VISUND	2002	5	0.260110	0.000000	0.000000	0.000000	0.260110	0.048140	43745
VISUND	2002	6	0.185740	0.000000	0.000000	0.000000	0.185740	0.051880	43745
VISUND	2002	7	0.214920	0.000000	0.000000	0.000000	0.214920	0.069630	43745
VISUND	2002	8	0.273880	0.000000	0.000000	0.000000	0.273880	0.078880	43745
VISUND	2002	9	0.105840	0.000000	0.000000	0.000000	0.105840	0.013700	43745
VISUND	2002	10	0.260000	0.000000	0.000000	0.000000	0.260000	0.109340	43745
VISUND	2002	11	0.210900	0.000000	0.000000	0.000000	0.210900	0.086100	43745
VISUND	2002	12	0.207380	0.000000	0.000000	0.000000	0.207380	0.149060	43745
VISUND	2003	1	0.122440	0.000000	0.000000	0.000000	0.122440	0.090000	43745
VISUND	2003	2	0.164240	0.000000	0.000000	0.000000	0.164240	0.057230	43745
VISUND	2003	3	0.185980	0.000000	0.000000	0.000000	0.185980	0.060610	43745
VISUND	2003	4	0.107010	0.000000	0.000000	0.000000	0.107010	0.040120	43745
VISUND	2003	5	0.093480	0.000000	0.000000	0.000000	0.093480	0.013450	43745
VISUND	2003	6	0.212730	0.000000	0.000000	0.000000	0.212730	0.089750	43745
VISUND	2003	7	0.211120	0.000000	0.000000	0.000000	0.211120	0.092980	43745
VISUND	2003	8	0.239150	0.000000	0.000000	0.000000	0.239150	0.096880	43745
VISUND	2003	9	0.173860	0.000000	0.000000	0.000000	0.173860	0.072570	43745
VISUND	2003	10	0.190040	0.000000	0.000000	0.000000	0.190040	0.103290	43745
VISUND	2003	11	0.172580	0.000000	0.000000	0.000000	0.172580	0.147620	43745
VISUND	2003	12	0.148310	0.000000	0.000000	0.000000	0.148310	0.140140	43745
VISUND	2004	1	0.163230	0.000000	0.000000	0.000000	0.163230	0.182360	43745
VISUND	2004	2	0.173020	0.000000	0.000000	0.000000	0.173020	0.156520	43745
VISUND	2004	3	0.193800	0.000000	0.000000	0.000000	0.193800	0.175440	43745
VISUND	2004	4	0.165810	0.000000	0.000000	0.000000	0.165810	0.166700	43745
VISUND	2004	5	0.180980	0.000000	0.000000	0.000000	0.180980	0.132790	43745
VISUND	2004	6	0.130770	0.000000	0.000000	0.000000	0.130770	0.100610	43745
VISUND	2004	7	0.182440	0.000000	0.000000	0.000000	0.182440	0.163080	43745
VISUND	2004	8	0.177240	0.000000	0.000000	0.000000	0.177240	0.105090	43745
VISUND	2004	9	0.100790	0.000000	0.000000	0.000000	0.100790	0.057380	43745
VISUND	2004	10	0.055580	0.000000	0.000000	0.000000	0.055580	0.021290	43745
VISUND	2004	11	0.171450	0.000000	0.000000	0.000000	0.171450	0.115030	43745
VISUND	2004	12	0.167770	0.000000	0.000000	0.000000	0.167770	0.110720	43745
VISUND	2005	1	0.165130	0.000000	0.000000	0.000000	0.165130	0.048040	43745
VISUND	2005	2	0.132230	0.000000	0.000000	0.000000	0.132230	0.032990	43745
VISUND	2005	3	0.156800	0.000000	0.000000	0.000000	0.156800	0.034430	43745
VISUND	2005	4	0.001570	0.000000	0.000000	0.000000	0.001570	0.000000	43745
VISUND	2005	5	0.159960	0.000000	0.000000	0.000000	0.159960	0.038350	43745
VISUND	2005	6	0.152660	0.000000	0.000000	0.000000	0.152660	0.035770	43745
VISUND	2005	7	0.023660	0.000000	0.000000	0.000000	0.023660	0.006240	43745
VISUND	2005	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43745
VISUND	2005	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43745
VISUND	2005	10	0.104020	0.108840	0.014060	0.000000	0.226920	0.015700	43745
VISUND	2005	11	0.100600	0.121600	0.014930	0.000000	0.237120	0.033310	43745
VISUND	2005	12	0.119560	0.115050	0.013830	0.000000	0.248440	0.051730	43745
VISUND	2006	1	0.081960	0.060020	0.006510	0.000000	0.148490	0.050270	43745
VISUND	2006	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43745
VISUND	2006	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43745
VISUND	2006	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43745
VISUND	2006	5	0.011750	0.006820	0.000850	0.000000	0.019410	0.007320	43745
VISUND	2006	6	0.136060	0.126490	0.017330	0.000000	0.279880	0.063280	43745
VISUND	2006	7	0.133330	0.142390	0.018980	0.000000	0.294700	0.057200	43745
VISUND	2006	8	0.157130	0.113130	0.013360	0.000000	0.283620	0.061980	43745
VISUND	2006	9	0.120840	0.135510	0.016190	0.000000	0.272550	0.043110	43745
VISUND	2006	10	0.183940	0.171630	0.021140	0.000000	0.376710	0.097600	43745
VISUND	2006	11	0.167850	0.126600	0.014220	0.000000	0.308670	0.085820	43745
VISUND	2006	12	0.217170	0.156390	0.017960	0.000000	0.391520	0.130420	43745
VISUND	2007	1	0.240120	0.157890	0.016690	0.000000	0.414700	0.086670	43745
VISUND	2007	2	0.208710	0.147440	0.015790	0.000000	0.371940	0.084490	43745
VISUND	2007	3	0.210630	0.132180	0.013210	0.000000	0.356020	0.086290	43745
VISUND	2007	4	0.216240	0.136240	0.014190	0.000000	0.366670	0.091830	43745
VISUND	2007	5	0.187830	0.141580	0.011260	0.000000	0.340670	0.084370	43745
VISUND	2007	6	0.181690	0.174760	0.016790	0.000000	0.373230	0.069290	43745
VISUND	2007	7	0.217050	0.131630	0.009590	0.000000	0.358280	0.086050	43745
VISUND	2007	8	0.138920	0.105670	0.006880	0.000000	0.251470	0.041970	43745
VISUND	2007	9	0.131860	0.128430	0.009140	0.000000	0.269440	0.041520	43745
VISUND	2007	10	0.211940	0.182620	0.015770	0.000000	0.410330	0.074550	43745
VISUND	2007	11	0.177320	0.068950	0.003800	0.000000	0.250070	0.049790	43745
VISUND	2007	12	0.128520	0.000000	0.000000	0.000000	0.128520	0.025070	43745
VISUND	2008	1	0.164990	0.082390	0.006150	0.000000	0.253530	0.029660	43745
VISUND	2008	2	0.126810	0.124550	0.012280	0.000000	0.263630	0.016260	43745
VISUND	2008	3	0.183290	0.124610	0.013320	0.000000	0.321220	0.025960	43745
VISUND	2008	4	0.185690	0.127470	0.014370	0.000000	0.327530	0.046070	43745
VISUND	2008	5	0.181550	0.125420	0.017170	0.000000	0.324140	0.031720	43745
VISUND	2008	6	0.045210	0.040970	0.004740	0.000000	0.090920	0.009880	43745
VISUND	2008	7	0.146200	0.131090	0.017110	0.000000	0.294400	0.038210	43745
VISUND	2008	8	0.144480	0.036400	0.003540	0.000000	0.184420	0.032180	43745
VISUND	2008	9	0.122910	0.000000	0.000000	0.000000	0.122910	0.034350	43745
VISUND	2008	10	0.138320	0.000000	0.000000	0.000000	0.138320	0.040840	43745
VISUND	2008	11	0.154600	0.000000	0.000000	0.000000	0.154600	0.038570	43745
VISUND	2008	12	0.130280	0.000000	0.000000	0.000000	0.130280	0.030530	43745
VISUND	2009	1	0.172250	0.028980	0.001360	0.000000	0.202600	0.033940	43745
VISUND	2009	2	0.138940	0.104870	0.008450	0.000000	0.252250	0.023190	43745
VISUND	2009	3	0.162600	0.142490	0.014850	0.000000	0.319940	0.033860	43745
VISUND	2009	4	0.126830	0.097420	0.011190	0.000000	0.235440	0.032140	43745
VISUND	2009	5	0.115770	0.070180	0.007800	0.000000	0.193750	0.030600	43745
VISUND	2009	6	0.104840	0.074980	0.005990	0.000000	0.185810	0.028680	43745
VISUND	2009	7	0.090140	0.079170	0.010770	0.000000	0.180080	0.018320	43745
VISUND	2009	8	0.123110	0.116560	0.016430	0.000000	0.256100	0.030620	43745
VISUND	2009	9	0.145120	0.109630	0.016060	0.000000	0.270810	0.038740	43745
VISUND	2009	10	0.113860	0.100090	0.013570	0.000000	0.227520	0.000000	43745
VISUND	2009	11	0.136630	0.106140	0.014260	0.000000	0.257030	0.048350	43745
VISUND	2009	12	0.133250	0.106890	0.012230	0.000000	0.252370	0.045800	43745
VISUND	2010	1	0.119360	0.092580	0.009720	0.000000	0.221650	0.049960	43745
VISUND	2010	2	0.087200	0.117480	0.012760	0.000000	0.217430	0.022230	43745
VISUND	2010	3	0.152800	0.109020	0.012200	0.000000	0.274020	0.056420	43745
VISUND	2010	4	0.142900	0.106750	0.013840	0.000000	0.263490	0.039630	43745
VISUND	2010	5	0.138390	0.102070	0.010680	0.000000	0.251140	0.039170	43745
VISUND	2010	6	0.135780	0.108930	0.012250	0.000000	0.256960	0.041210	43745
VISUND	2010	7	0.112160	0.118880	0.015250	0.000000	0.246280	0.028830	43745
VISUND	2010	8	0.118280	0.094450	0.009850	0.000000	0.222570	0.038710	43745
VISUND	2010	9	0.123520	0.056660	0.002160	0.000000	0.182350	0.033150	43745
VISUND	2010	10	0.117410	0.086380	0.003260	0.000000	0.207050	0.038010	43745
VISUND	2010	11	0.005690	0.008090	0.000300	0.000000	0.014080	0.000960	43745
VISUND	2010	12	0.149710	0.114610	0.004820	0.000000	0.269140	0.057440	43745
VISUND	2011	1	0.146910	0.118550	0.005450	0.000000	0.270900	0.057420	43745
VISUND	2011	2	0.121360	0.098190	0.004190	0.000000	0.223730	0.050790	43745
VISUND	2011	3	0.130880	0.117630	0.005970	0.000000	0.254480	0.045680	43745
VISUND	2011	4	0.035530	0.032230	0.001520	0.000000	0.069270	0.011140	43745
VISUND	2011	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43745
VISUND	2011	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43745
VISUND	2011	7	0.009150	0.000000	0.000000	0.000000	0.009150	0.000160	43745
VISUND	2011	8	0.029660	0.005050	0.000520	0.000000	0.035230	0.001800	43745
VISUND	2011	9	0.013110	0.009740	0.001340	0.000000	0.024200	0.000770	43745
VISUND	2011	10	0.036760	0.045180	0.006070	0.000000	0.088010	0.001600	43745
VISUND	2011	11	0.073190	0.071240	0.007530	0.000000	0.151950	0.012110	43745
VISUND	2011	12	0.072370	0.059270	0.006090	0.000000	0.137720	0.017180	43745
VISUND	2012	1	0.061100	0.057700	0.006040	0.000000	0.124840	0.014620	43745
VISUND	2012	2	0.060260	0.055160	0.005890	0.000000	0.121310	0.015950	43745
VISUND	2012	3	0.058180	0.061250	0.006780	0.000000	0.126210	0.014610	43745
VISUND	2012	4	0.067190	0.059780	0.007000	0.000000	0.133970	0.019070	43745
VISUND	2012	5	0.038900	0.018820	0.002170	0.000000	0.059890	0.013430	43745
VISUND	2012	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43745
VISUND	2012	7	0.000170	0.000520	0.000060	0.000000	0.000740	0.000180	43745
VISUND	2012	8	0.081180	0.060110	0.004790	0.000000	0.146080	0.063750	43745
VISUND	2012	9	0.088170	0.034750	0.001860	0.000000	0.124770	0.059380	43745
VISUND	2012	10	0.098160	0.054460	0.002710	0.000000	0.155340	0.056290	43745
VISUND	2012	11	0.085940	0.021540	0.002190	0.000000	0.109670	3.008560	43745
VISUND	2012	12	0.079750	0.031920	0.002910	0.000000	0.114590	0.017570	43745
VISUND	2013	1	0.071310	0.030190	0.003110	0.000000	0.104610	0.015510	43745
VISUND	2013	2	0.064450	0.026130	0.002750	0.000000	0.093330	0.011840	43745
NJORD	1997	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43751
NJORD	1997	10	0.095980	0.000000	0.000000	0.000000	0.095980	0.000000	43751
NJORD	1997	11	0.141550	0.000000	0.000000	0.000000	0.141550	0.000000	43751
NJORD	1997	12	0.129490	0.000000	0.000000	0.000000	0.129490	0.000000	43751
NJORD	1998	1	0.110010	0.000000	0.000000	0.000000	0.110010	0.000000	43751
NJORD	1998	2	0.108410	0.000000	0.000000	0.000000	0.108410	0.000000	43751
NJORD	1998	3	0.108510	0.000000	0.000000	0.000000	0.108510	0.000000	43751
NJORD	1998	4	0.108900	0.000000	0.000000	0.000000	0.108900	0.000000	43751
NJORD	1998	5	0.106930	0.000000	0.000000	0.000000	0.106930	0.000000	43751
NJORD	1998	6	0.078390	0.000000	0.000000	0.000000	0.078390	0.000000	43751
NJORD	1998	7	0.098170	0.000000	0.000000	0.000000	0.098170	0.000000	43751
NJORD	1998	8	0.102830	0.000000	0.000000	0.000000	0.102830	0.000000	43751
NJORD	1998	9	0.171650	0.000000	0.000000	0.000000	0.171650	0.000000	43751
NJORD	1998	10	0.183220	0.000000	0.000000	0.000000	0.183220	0.000000	43751
NJORD	1998	11	0.295960	0.000000	0.000000	0.000000	0.295960	0.000000	43751
NJORD	1998	12	0.222630	0.000000	0.000000	0.000000	0.222630	0.000000	43751
NJORD	1999	1	0.272160	0.000000	0.000000	0.000000	0.272160	0.000000	43751
NJORD	1999	2	0.215270	0.000000	0.000000	0.000000	0.215270	0.000000	43751
NJORD	1999	3	0.262120	0.000000	0.000000	0.000000	0.262120	0.000000	43751
NJORD	1999	4	0.285370	0.000000	0.000000	0.000000	0.285370	0.000000	43751
NJORD	1999	5	0.374850	0.000000	0.000000	0.000000	0.374850	0.000000	43751
NJORD	1999	6	0.305770	0.000000	0.000000	0.000000	0.305770	0.000000	43751
NJORD	1999	7	0.272710	0.000000	0.000000	0.000000	0.272710	0.000000	43751
NJORD	1999	8	0.149100	0.000000	0.000000	0.000000	0.149100	0.000000	43751
NJORD	1999	9	0.348920	0.000000	0.000000	0.000000	0.348920	0.000000	43751
NJORD	1999	10	0.351920	0.000000	0.000000	0.000000	0.351920	0.000000	43751
NJORD	1999	11	0.338970	0.000000	0.000000	0.000000	0.338970	0.000000	43751
NJORD	1999	12	0.345470	0.000000	0.000000	0.000000	0.345470	0.000000	43751
NJORD	2000	1	0.318900	0.000000	0.000000	0.000000	0.318900	0.003850	43751
NJORD	2000	2	0.286250	0.000000	0.000000	0.000000	0.286250	0.002640	43751
NJORD	2000	3	0.331620	0.000000	0.000000	0.000000	0.331620	0.002120	43751
NJORD	2000	4	0.335830	0.000000	0.000000	0.000000	0.335830	0.002900	43751
NJORD	2000	5	0.256210	0.000000	0.000000	0.000000	0.256210	0.001810	43751
NJORD	2000	6	0.359880	0.000000	0.000000	0.000000	0.359880	0.004220	43751
NJORD	2000	7	0.362580	0.000000	0.000000	0.000000	0.362580	0.005290	43751
NJORD	2000	8	0.339590	0.000000	0.000000	0.000000	0.339590	0.006030	43751
NJORD	2000	9	0.199610	0.000000	0.000000	0.000000	0.199610	0.003080	43751
NJORD	2000	10	0.384360	0.000000	0.000000	0.000000	0.384360	0.008060	43751
NJORD	2000	11	0.362670	0.000000	0.000000	0.000000	0.362670	0.008110	43751
NJORD	2000	12	0.383750	0.000000	0.000000	0.000000	0.383750	0.014380	43751
NJORD	2001	1	0.365950	0.000000	0.000000	0.000000	0.365950	0.017130	43751
NJORD	2001	2	0.267360	0.000000	0.000000	0.000000	0.267360	0.013890	43751
NJORD	2001	3	0.262230	0.000000	0.000000	0.000000	0.262230	0.017620	43751
NJORD	2001	4	0.232730	0.000000	0.000000	0.000000	0.232730	0.013850	43751
NJORD	2001	5	0.233830	0.000000	0.000000	0.000000	0.233830	0.008820	43751
NJORD	2001	6	0.210350	0.000000	0.000000	0.000000	0.210350	0.006520	43751
NJORD	2001	7	0.263380	0.000000	0.000000	0.000000	0.263380	0.007260	43751
NJORD	2001	8	0.234720	0.000000	0.000000	0.000000	0.234720	0.007690	43751
NJORD	2001	9	0.218120	0.000000	0.000000	0.000000	0.218120	0.006720	43751
NJORD	2001	10	0.232870	0.000000	0.000000	0.000000	0.232870	0.008300	43751
NJORD	2001	11	0.204530	0.000000	0.000000	0.000000	0.204530	0.007810	43751
NJORD	2001	12	0.210750	0.000000	0.000000	0.000000	0.210750	0.008020	43751
NJORD	2002	1	0.185400	0.000000	0.000000	0.000000	0.185400	0.008730	43751
NJORD	2002	2	0.152650	0.000000	0.000000	0.000000	0.152650	0.010210	43751
NJORD	2002	3	0.092810	0.000000	0.000000	0.000000	0.092810	0.004410	43751
NJORD	2002	4	0.158410	0.000000	0.000000	0.000000	0.158410	0.006860	43751
NJORD	2002	5	0.152120	0.000000	0.000000	0.000000	0.152120	0.006580	43751
NJORD	2002	6	0.160160	0.000000	0.000000	0.000000	0.160160	0.006930	43751
NJORD	2002	7	0.186830	0.000000	0.000000	0.000000	0.186830	0.008430	43751
NJORD	2002	8	0.175330	0.000000	0.000000	0.000000	0.175330	0.008730	43751
NJORD	2002	9	0.111650	0.000000	0.000000	0.000000	0.111650	0.005430	43751
NJORD	2002	10	0.162640	0.000000	0.000000	0.000000	0.162640	0.007870	43751
NJORD	2002	11	0.165840	0.000000	0.000000	0.000000	0.165840	0.009470	43751
NJORD	2002	12	0.159310	0.000000	0.000000	0.000000	0.159310	0.019630	43751
NJORD	2003	1	0.148850	0.000000	0.000000	0.000000	0.148850	0.028360	43751
NJORD	2003	2	0.125140	0.000000	0.000000	0.000000	0.125140	0.024450	43751
NJORD	2003	3	0.134280	0.000000	0.000000	0.000000	0.134280	0.023890	43751
NJORD	2003	4	0.124600	0.000000	0.000000	0.000000	0.124600	0.022730	43751
NJORD	2003	5	0.138390	0.000000	0.000000	0.000000	0.138390	0.011110	43751
NJORD	2003	6	0.133180	0.000000	0.000000	0.000000	0.133180	0.002850	43751
NJORD	2003	7	0.144980	0.000000	0.000000	0.000000	0.144980	0.003620	43751
NJORD	2003	8	0.173010	0.000000	0.000000	0.000000	0.173010	0.007700	43751
NJORD	2003	9	0.151340	0.000000	0.000000	0.000000	0.151340	0.006070	43751
NJORD	2003	10	0.168600	0.000000	0.000000	0.000000	0.168600	0.005030	43751
NJORD	2003	11	0.158080	0.000000	0.000000	0.000000	0.158080	0.003550	43751
NJORD	2003	12	0.163640	0.000000	0.000000	0.000000	0.163640	0.004570	43751
NJORD	2004	1	0.150980	0.000000	0.000000	0.000000	0.150980	0.003780	43751
NJORD	2004	2	0.141050	0.000000	0.000000	0.000000	0.141050	0.003770	43751
NJORD	2004	3	0.142020	0.000000	0.000000	0.000000	0.142020	0.003110	43751
NJORD	2004	4	0.159890	0.000000	0.000000	0.000000	0.159890	0.004540	43751
NJORD	2004	5	0.154950	0.000000	0.000000	0.000000	0.154950	0.005080	43751
NJORD	2004	6	0.142230	0.000000	0.000000	0.000000	0.142230	0.005020	43751
NJORD	2004	7	0.157130	0.000000	0.000000	0.000000	0.157130	0.011010	43751
NJORD	2004	8	0.150810	0.000000	0.000000	0.000000	0.150810	0.012830	43751
NJORD	2004	9	0.144120	0.000000	0.000000	0.000000	0.144120	0.005560	43751
NJORD	2004	10	0.127070	0.000000	0.000000	0.000000	0.127070	0.005350	43751
NJORD	2004	11	0.109510	0.000000	0.000000	0.000000	0.109510	0.004390	43751
NJORD	2004	12	0.109300	0.000000	0.000000	0.000000	0.109300	0.005980	43751
NJORD	2005	1	0.116940	0.000000	0.000000	0.000000	0.116940	0.013340	43751
NJORD	2005	2	0.102960	0.000000	0.000000	0.000000	0.102960	0.009260	43751
NJORD	2005	3	0.112350	0.000000	0.000000	0.000000	0.112350	0.004560	43751
NJORD	2005	4	0.174780	0.000000	0.000000	0.000000	0.174780	0.003820	43751
NJORD	2005	5	0.165940	0.000000	0.000000	0.000000	0.165940	0.004220	43751
NJORD	2005	6	0.175770	0.000000	0.000000	0.000000	0.175770	0.004250	43751
NJORD	2005	7	0.188590	0.000000	0.000000	0.000000	0.188590	0.004590	43751
NJORD	2005	8	0.169070	0.000000	0.000000	0.000000	0.169070	0.003820	43751
NJORD	2005	9	0.157700	0.000000	0.000000	0.000000	0.157700	0.004990	43751
NJORD	2005	10	0.154610	0.000000	0.000000	0.000000	0.154610	0.006870	43751
NJORD	2005	11	0.139550	0.000000	0.000000	0.000000	0.139550	0.009040	43751
NJORD	2005	12	0.171930	0.000000	0.000000	0.000000	0.171930	0.011520	43751
NJORD	2006	1	0.155740	0.000000	0.000000	0.000000	0.155740	0.013650	43751
NJORD	2006	2	0.126250	0.000000	0.000000	0.000000	0.126250	0.012890	43751
NJORD	2006	3	0.120940	0.000000	0.000000	0.000000	0.120940	0.013440	43751
NJORD	2006	4	0.077960	0.000000	0.000000	0.000000	0.077960	0.007790	43751
NJORD	2006	5	0.134460	0.000000	0.000000	0.000000	0.134460	0.017290	43751
NJORD	2006	6	0.129230	0.000000	0.000000	0.000000	0.129230	0.016430	43751
NJORD	2006	7	0.128830	0.000000	0.000000	0.000000	0.128830	0.017140	43751
NJORD	2006	8	0.113970	0.000000	0.000000	0.000000	0.113970	0.013850	43751
NJORD	2006	9	0.102790	0.000000	0.000000	0.000000	0.102790	0.012410	43751
NJORD	2006	10	0.121660	0.000000	0.000000	0.000000	0.121660	0.015590	43751
NJORD	2006	11	0.067230	0.000000	0.000000	0.000000	0.067230	0.007680	43751
NJORD	2006	12	0.113080	0.000000	0.000000	0.000000	0.113080	0.013340	43751
NJORD	2007	1	0.108350	0.000000	0.000000	0.000000	0.108350	0.012530	43751
NJORD	2007	2	0.088400	0.000000	0.000000	0.000000	0.088400	0.009360	43751
NJORD	2007	3	0.102830	0.000000	0.000000	0.000000	0.102830	0.009500	43751
NJORD	2007	4	0.093950	0.000000	0.000000	0.000000	0.093950	0.008330	43751
NJORD	2007	5	0.082440	0.000000	0.000000	0.000000	0.082440	0.009360	43751
NJORD	2007	6	0.073640	0.000000	0.000000	0.000000	0.073640	0.006560	43751
NJORD	2007	7	0.087180	0.000000	0.000000	0.000000	0.087180	0.007350	43751
NJORD	2007	8	0.086620	0.000000	0.000000	0.000000	0.086620	0.007130	43751
NJORD	2007	9	0.077130	0.000000	0.000000	0.000000	0.077130	0.005520	43751
NJORD	2007	10	0.092300	0.000000	0.000000	0.000000	0.092300	0.006830	43751
NJORD	2007	11	0.083910	0.000000	0.000000	0.000000	0.083910	0.005730	43751
NJORD	2007	12	0.076230	0.075050	0.033560	0.000000	0.184830	0.005370	43751
NJORD	2008	1	0.090800	0.154490	0.070420	0.000000	0.315700	0.007140	43751
NJORD	2008	2	0.074000	0.182830	0.085880	0.000000	0.342700	0.005150	43751
NJORD	2008	3	0.089870	0.202790	0.094380	0.000000	0.387040	0.006940	43751
NJORD	2008	4	0.083750	0.165240	0.071210	0.000000	0.320200	0.006400	43751
NJORD	2008	5	0.078430	0.159000	0.072690	0.000000	0.310120	0.006590	43751
NJORD	2008	6	0.059640	0.100420	0.043340	0.000000	0.203390	0.004560	43751
NJORD	2008	7	0.073030	0.169970	0.073650	0.000000	0.316650	0.007190	43751
NJORD	2008	8	0.087710	0.201180	0.090590	0.000000	0.379480	0.008640	43751
NJORD	2008	9	0.074610	0.094940	0.040890	0.000000	0.210440	0.007480	43751
NJORD	2008	10	0.071360	0.179330	0.084090	0.000000	0.334790	0.007300	43751
NJORD	2008	11	0.070420	0.185460	0.086870	0.000000	0.342750	0.008550	43751
NJORD	2008	12	0.093810	0.201690	0.090500	0.000000	0.386000	0.010290	43751
NJORD	2009	1	0.087320	0.202410	0.096360	0.000000	0.386080	0.017540	43751
NJORD	2009	2	0.068080	0.140740	0.065840	0.000000	0.274650	0.018080	43751
NJORD	2009	3	0.072170	0.161920	0.075650	0.000000	0.309750	0.021220	43751
NJORD	2009	4	0.067910	0.155570	0.072700	0.000000	0.296190	0.020260	43751
NJORD	2009	5	0.056390	0.140750	0.065900	0.000000	0.263030	0.016340	43751
NJORD	2009	6	0.058520	0.155300	0.071570	0.000000	0.285390	0.010700	43751
NJORD	2009	7	0.057550	0.145230	0.065270	0.000000	0.268050	0.012790	43751
NJORD	2009	8	0.060350	0.140880	0.065870	0.000000	0.267090	0.014340	43751
NJORD	2009	9	0.056680	0.136520	0.060130	0.000000	0.253330	0.014870	43751
NJORD	2009	10	0.050880	0.146970	0.064800	0.000000	0.262650	0.014160	43751
NJORD	2009	11	0.053960	0.149840	0.067780	0.000000	0.271580	0.016310	43751
NJORD	2009	12	0.053220	0.148100	0.067770	0.000000	0.269100	0.012620	43751
NJORD	2010	1	0.059550	0.137760	0.061040	0.000000	0.258350	0.012860	43751
NJORD	2010	2	0.058790	0.045620	0.021140	0.000000	0.125550	0.012930	43751
NJORD	2010	3	0.069490	0.098280	0.044800	0.000000	0.212580	0.011980	43751
NJORD	2010	4	0.090820	0.138180	0.063140	0.000000	0.292140	0.013520	43751
NJORD	2010	5	0.094490	0.172650	0.078590	0.000000	0.345730	0.013800	43751
NJORD	2010	6	0.090900	0.151800	0.068190	0.000000	0.310900	0.010100	43751
NJORD	2010	7	0.086900	0.170650	0.076360	0.000000	0.333910	0.012740	43751
NJORD	2010	8	0.050490	0.102690	0.046130	0.000000	0.199310	0.006480	43751
NJORD	2010	9	0.089350	0.142290	0.061680	0.000000	0.293310	0.011710	43751
NJORD	2010	10	0.096410	0.214960	0.096740	0.000000	0.408110	0.013550	43751
NJORD	2010	11	0.076730	0.184680	0.083350	0.000000	0.344760	0.010750	43751
NJORD	2010	12	0.097270	0.217810	0.096800	0.000000	0.411870	0.011540	43751
NJORD	2011	1	0.115500	0.231790	0.102500	0.000000	0.449790	0.012290	43751
NJORD	2011	2	0.107520	0.215860	0.097200	0.000000	0.420580	0.010690	43751
NJORD	2011	3	0.055410	0.109920	0.050910	0.000000	0.216240	0.005140	43751
NJORD	2011	4	0.006220	0.016750	0.006890	0.000000	0.029860	0.001200	43751
NJORD	2011	5	0.020810	0.083460	0.036290	0.000000	0.140560	0.000780	43751
NJORD	2011	6	0.027520	0.093760	0.040640	0.000000	0.161920	0.001110	43751
NJORD	2011	7	0.021680	0.092800	0.039580	0.000000	0.154060	0.001470	43751
NJORD	2011	8	0.011400	0.062610	0.028160	0.000000	0.102170	0.000740	43751
NJORD	2011	9	0.047650	0.154340	0.068640	0.000000	0.270620	0.002020	43751
NJORD	2011	10	0.037210	0.070980	0.032680	0.000000	0.140870	0.000820	43751
NJORD	2011	11	0.035530	0.078080	0.036380	0.000000	0.150000	0.001100	43751
NJORD	2011	12	0.054180	0.174140	0.073920	0.000000	0.302240	0.002280	43751
NJORD	2012	1	0.054810	0.159710	0.068550	0.000000	0.283070	0.003080	43751
NJORD	2012	2	0.041590	0.130640	0.057760	0.000000	0.229990	0.003920	43751
NJORD	2012	3	0.039570	0.114150	0.051510	0.000000	0.205230	0.004080	43751
NJORD	2012	4	0.023010	0.070130	0.029720	0.000000	0.122850	0.002020	43751
NJORD	2012	5	0.023490	0.049020	0.020860	0.000000	0.093380	0.001050	43751
NJORD	2012	6	0.026300	0.045530	0.019230	0.000000	0.091060	0.001390	43751
NJORD	2012	7	0.000070	0.000490	0.000220	0.000000	0.000780	0.000000	43751
NJORD	2012	8	0.053070	0.116050	0.050150	0.000000	0.219270	0.003110	43751
NJORD	2012	9	0.025690	0.039170	0.017120	0.000000	0.081980	0.001710	43751
NJORD	2012	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000030	43751
NJORD	2012	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43751
NJORD	2012	12	0.029300	0.031510	0.014040	0.000000	0.074840	0.002210	43751
NJORD	2013	1	0.039210	0.092290	0.040540	0.000000	0.172040	0.002530	43751
NJORD	2013	2	0.040630	0.079290	0.033420	0.000000	0.153340	0.004210	43751
DRAUGEN	1993	10	0.018570	0.000000	0.000000	0.000000	0.018570	0.000000	43758
DRAUGEN	1993	11	0.077100	0.000000	0.000000	0.000000	0.077100	0.000000	43758
DRAUGEN	1993	12	0.027470	0.000000	0.000000	0.000000	0.027470	0.000000	43758
DRAUGEN	1994	1	0.139030	0.000000	0.000000	0.000000	0.139030	0.000000	43758
DRAUGEN	1994	2	0.034640	0.000000	0.000000	0.000000	0.034640	0.000000	43758
DRAUGEN	1994	3	0.066300	0.000000	0.000000	0.000000	0.066300	0.000000	43758
DRAUGEN	1994	4	0.164990	0.000000	0.000000	0.000000	0.164990	0.000000	43758
DRAUGEN	1994	5	0.127330	0.000000	0.000000	0.000000	0.127330	0.000000	43758
DRAUGEN	1994	6	0.316230	0.000000	0.000000	0.000000	0.316230	0.000000	43758
DRAUGEN	1994	7	0.341090	0.000000	0.000000	0.000000	0.341090	0.000000	43758
DRAUGEN	1994	8	0.524850	0.000000	0.000000	0.000000	0.524850	0.000000	43758
DRAUGEN	1994	9	0.517750	0.000000	0.000000	0.000000	0.517750	0.000000	43758
DRAUGEN	1994	10	0.525820	0.000000	0.000000	0.000000	0.525820	0.000000	43758
DRAUGEN	1994	11	0.524650	0.000000	0.000000	0.000000	0.524650	0.000000	43758
DRAUGEN	1994	12	0.604310	0.000000	0.000000	0.000000	0.604310	0.000000	43758
DRAUGEN	1995	1	0.361650	0.000000	0.000000	0.000000	0.361650	0.000000	43758
DRAUGEN	1995	2	0.533110	0.000000	0.000000	0.000000	0.533110	0.000000	43758
DRAUGEN	1995	3	0.495210	0.000000	0.000000	0.000000	0.495210	0.000000	43758
DRAUGEN	1995	4	0.537510	0.000000	0.000000	0.000000	0.537510	0.000000	43758
DRAUGEN	1995	5	0.649740	0.000000	0.000000	0.000000	0.649740	0.000000	43758
DRAUGEN	1995	6	0.361660	0.000000	0.000000	0.000000	0.361660	0.000000	43758
DRAUGEN	1995	7	0.671810	0.000000	0.000000	0.000000	0.671810	0.000000	43758
DRAUGEN	1995	8	0.654940	0.000000	0.000000	0.000000	0.654940	0.000000	43758
DRAUGEN	1995	9	0.681500	0.000000	0.000000	0.000000	0.681500	0.000000	43758
DRAUGEN	1995	10	0.683250	0.000000	0.000000	0.000000	0.683250	0.000000	43758
DRAUGEN	1995	11	0.660370	0.000000	0.000000	0.000000	0.660370	0.000000	43758
DRAUGEN	1995	12	0.680150	0.000000	0.000000	0.000000	0.680150	0.000000	43758
DRAUGEN	1996	1	0.666740	0.000000	0.000000	0.000000	0.666740	0.000000	43758
DRAUGEN	1996	2	0.681730	0.000000	0.000000	0.000000	0.681730	0.000000	43758
DRAUGEN	1996	3	0.734140	0.000000	0.000000	0.000000	0.734140	0.000000	43758
DRAUGEN	1996	4	0.614600	0.000000	0.000000	0.000000	0.614600	0.000000	43758
DRAUGEN	1996	5	0.402060	0.000000	0.000000	0.000000	0.402060	0.000000	43758
DRAUGEN	1996	6	0.726830	0.000000	0.000000	0.000000	0.726830	0.000000	43758
DRAUGEN	1996	7	0.747040	0.000000	0.000000	0.000000	0.747040	0.000000	43758
DRAUGEN	1996	8	0.737030	0.000000	0.000000	0.000000	0.737030	0.000000	43758
DRAUGEN	1996	9	0.723670	0.000000	0.000000	0.000000	0.723670	0.000000	43758
DRAUGEN	1996	10	0.784750	0.000000	0.000000	0.000000	0.784750	0.000000	43758
DRAUGEN	1996	11	0.771710	0.000000	0.000000	0.000000	0.771710	0.000000	43758
DRAUGEN	1996	12	0.854050	0.000000	0.000000	0.000000	0.854050	0.000000	43758
DRAUGEN	1997	1	0.892130	0.000000	0.000000	0.000000	0.892130	0.000000	43758
DRAUGEN	1997	2	0.779390	0.000000	0.000000	0.000000	0.779390	0.000000	43758
DRAUGEN	1997	3	0.701700	0.000000	0.000000	0.000000	0.701700	0.000000	43758
DRAUGEN	1997	4	0.868760	0.000000	0.000000	0.000000	0.868760	0.000000	43758
DRAUGEN	1997	5	0.655760	0.000000	0.000000	0.000000	0.655760	0.000000	43758
DRAUGEN	1997	6	0.866310	0.000000	0.000000	0.000000	0.866310	0.000000	43758
DRAUGEN	1997	7	0.904230	0.000000	0.000000	0.000000	0.904230	0.000000	43758
DRAUGEN	1997	8	0.946120	0.000000	0.000000	0.000000	0.946120	0.000000	43758
DRAUGEN	1997	9	0.934850	0.000000	0.000000	0.000000	0.934850	0.000000	43758
DRAUGEN	1997	10	0.949320	0.000000	0.000000	0.000000	0.949320	0.000000	43758
DRAUGEN	1997	11	0.948050	0.000000	0.000000	0.000000	0.948050	0.000000	43758
DRAUGEN	1997	12	1.005000	0.000000	0.000000	0.000000	1.005000	0.000000	43758
DRAUGEN	1998	1	0.978810	0.000000	0.000000	0.000000	0.978810	0.000000	43758
DRAUGEN	1998	2	0.881100	0.000000	0.000000	0.000000	0.881100	0.000000	43758
DRAUGEN	1998	3	0.765450	0.000000	0.000000	0.000000	0.765450	0.000000	43758
DRAUGEN	1998	4	0.957300	0.000000	0.000000	0.000000	0.957300	0.000000	43758
DRAUGEN	1998	5	0.785620	0.000000	0.000000	0.000000	0.785620	0.000000	43758
DRAUGEN	1998	6	0.929630	0.000000	0.000000	0.000000	0.929630	0.000000	43758
DRAUGEN	1998	7	0.959750	0.000000	0.000000	0.000000	0.959750	0.000000	43758
DRAUGEN	1998	8	1.009360	0.000000	0.000000	0.000000	1.009360	0.000000	43758
DRAUGEN	1998	9	0.951890	0.000000	0.000000	0.000000	0.951890	0.000000	43758
DRAUGEN	1998	10	1.008010	0.000000	0.000000	0.000000	1.008010	0.000000	43758
DRAUGEN	1998	11	0.969920	0.000000	0.000000	0.000000	0.969920	0.000000	43758
DRAUGEN	1998	12	0.997290	0.000000	0.000000	0.000000	0.997290	0.000000	43758
DRAUGEN	1999	1	1.013420	0.000000	0.000000	0.000000	1.013420	0.000000	43758
DRAUGEN	1999	2	0.917410	0.000000	0.000000	0.000000	0.917410	0.000000	43758
DRAUGEN	1999	3	1.017670	0.000000	0.000000	0.000000	1.017670	0.000000	43758
DRAUGEN	1999	4	0.993210	0.000000	0.000000	0.000000	0.993210	0.000000	43758
DRAUGEN	1999	5	0.813450	0.000000	0.000000	0.000000	0.813450	0.000000	43758
DRAUGEN	1999	6	1.011420	0.000000	0.000000	0.000000	1.011420	0.000000	43758
DRAUGEN	1999	7	1.077740	0.000000	0.000000	0.000000	1.077740	0.000000	43758
DRAUGEN	1999	8	1.098650	0.000000	0.000000	0.000000	1.098650	0.000000	43758
DRAUGEN	1999	9	1.060810	0.000000	0.000000	0.000000	1.060810	0.000000	43758
DRAUGEN	1999	10	1.084520	0.000000	0.000000	0.000000	1.084520	0.000000	43758
DRAUGEN	1999	11	1.010110	0.000000	0.000000	0.000000	1.010110	0.000000	43758
DRAUGEN	1999	12	1.040570	0.000000	0.000000	0.000000	1.040570	0.000000	43758
DRAUGEN	2000	1	0.870110	0.000000	0.000000	0.000000	0.870110	0.015540	43758
DRAUGEN	2000	2	0.935000	0.000000	0.000000	0.000000	0.935000	0.017730	43758
DRAUGEN	2000	3	0.986490	0.000000	0.000000	0.000000	0.986490	0.019630	43758
DRAUGEN	2000	4	1.054310	0.000000	0.000000	0.000000	1.054310	0.021880	43758
DRAUGEN	2000	5	1.064360	0.000000	0.000000	0.000000	1.064360	0.016320	43758
DRAUGEN	2000	6	0.586730	0.000000	0.000000	0.000000	0.586730	0.010940	43758
DRAUGEN	2000	7	1.070650	0.000000	0.000000	0.000000	1.070650	0.023600	43758
DRAUGEN	2000	8	1.090490	0.000000	0.000000	0.000000	1.090490	0.020570	43758
DRAUGEN	2000	9	0.988030	0.000000	0.000000	0.000000	0.988030	0.015780	43758
DRAUGEN	2000	10	1.071970	0.000000	0.000000	0.000000	1.071970	0.025760	43758
DRAUGEN	2000	11	1.046660	0.017910	0.028230	0.000000	1.092810	0.026050	43758
DRAUGEN	2000	12	0.979380	0.002560	0.006240	0.000000	0.988190	0.024640	43758
DRAUGEN	2001	1	1.095350	0.029370	0.062130	0.000000	1.186840	0.029630	43758
DRAUGEN	2001	2	0.640140	0.010530	0.025000	0.000000	0.675670	0.015280	43758
DRAUGEN	2001	3	1.080540	0.028770	0.074630	0.000000	1.183940	0.022690	43758
DRAUGEN	2001	4	1.048720	0.024870	0.055390	0.000000	1.128980	0.016970	43758
DRAUGEN	2001	5	0.557200	0.003190	0.008850	0.000000	0.569250	0.005080	43758
DRAUGEN	2001	6	1.057940	0.023710	0.063140	0.000000	1.144790	0.022080	43758
DRAUGEN	2001	7	1.089350	0.028780	0.073650	0.000000	1.191770	0.028690	43758
DRAUGEN	2001	8	1.091840	0.009750	0.026120	0.000000	1.127700	0.025040	43758
DRAUGEN	2001	9	1.032090	0.029120	0.065360	0.000000	1.126560	0.025700	43758
DRAUGEN	2001	10	1.089310	0.030520	0.096880	0.000000	1.216710	0.026980	43758
DRAUGEN	2001	11	0.983010	0.025220	0.083660	0.000000	1.091890	0.019530	43758
DRAUGEN	2001	12	1.093710	0.029690	0.098730	0.000000	1.222130	0.011240	43758
DRAUGEN	2002	1	0.897220	0.009380	0.036930	0.000000	0.943530	0.017410	43758
DRAUGEN	2002	2	0.929990	0.013690	0.039480	0.000000	0.983160	0.020790	43758
DRAUGEN	2002	3	1.035120	0.025600	0.070010	0.000000	1.130740	0.029040	43758
DRAUGEN	2002	4	1.005940	0.027270	0.066610	0.000000	1.099810	0.044200	43758
DRAUGEN	2002	5	1.019360	0.026570	0.061710	0.000000	1.107650	0.039830	43758
DRAUGEN	2002	6	0.997640	0.019440	0.053220	0.000000	1.070300	0.041340	43758
DRAUGEN	2002	7	1.014510	0.031410	0.076970	0.000000	1.122890	0.063200	43758
DRAUGEN	2002	8	0.956200	0.026570	0.067650	0.000000	1.050420	0.086900	43758
DRAUGEN	2002	9	0.931690	0.007550	0.020520	0.000000	0.959760	0.103930	43758
DRAUGEN	2002	10	0.922040	0.020720	0.057270	0.000000	1.000030	0.143850	43758
DRAUGEN	2002	11	0.900540	0.021710	0.060340	0.000000	0.982590	0.142520	43758
DRAUGEN	2002	12	0.456930	0.009350	0.030820	0.000000	0.497100	0.094630	43758
DRAUGEN	2003	1	0.697640	0.009090	0.025900	0.000000	0.732630	0.053290	43758
DRAUGEN	2003	2	0.701280	0.013110	0.037720	0.000000	0.752110	0.126000	43758
DRAUGEN	2003	3	0.774800	0.013450	0.038140	0.000000	0.826380	0.189180	43758
DRAUGEN	2003	4	0.773670	0.023280	0.063850	0.000000	0.860810	0.232090	43758
DRAUGEN	2003	5	0.327670	0.007120	0.022260	0.000000	0.357050	0.047670	43758
DRAUGEN	2003	6	0.620520	0.016370	0.049650	0.000000	0.686540	0.178370	43758
DRAUGEN	2003	7	0.611530	0.015420	0.046140	0.000000	0.673100	0.197280	43758
DRAUGEN	2003	8	0.618290	0.016170	0.048320	0.000000	0.682780	0.211710	43758
DRAUGEN	2003	9	0.595920	0.007490	0.024300	0.000000	0.627710	0.208180	43758
DRAUGEN	2003	10	0.604300	0.015930	0.048760	0.000000	0.668990	0.208320	43758
DRAUGEN	2003	11	0.531620	0.013790	0.043290	0.000000	0.588700	0.208110	43758
DRAUGEN	2003	12	0.576960	0.014970	0.046250	0.000000	0.638180	0.290580	43758
DRAUGEN	2004	1	0.566680	0.013980	0.043010	0.000000	0.623670	0.312640	43758
DRAUGEN	2004	2	0.505050	0.012470	0.037450	0.000000	0.554970	0.284040	43758
DRAUGEN	2004	3	0.565500	0.013680	0.042250	0.000000	0.621420	0.345210	43758
DRAUGEN	2004	4	0.672710	0.020990	0.055600	0.000000	0.749300	0.275650	43758
DRAUGEN	2004	5	0.724810	0.020790	0.060420	0.000000	0.806010	0.318080	43758
DRAUGEN	2004	6	0.757660	0.021830	0.060540	0.000000	0.840030	0.395790	43758
DRAUGEN	2004	7	0.750990	0.016990	0.045510	0.000000	0.813480	0.473570	43758
DRAUGEN	2004	8	0.725730	0.009230	0.025310	0.000000	0.760260	0.480740	43758
DRAUGEN	2004	9	0.653140	0.014100	0.039020	0.000000	0.706260	0.453330	43758
DRAUGEN	2004	10	0.694600	0.019800	0.054820	0.000000	0.769220	0.516790	43758
DRAUGEN	2004	11	0.635870	0.017840	0.049300	0.000000	0.703010	0.470980	43758
DRAUGEN	2004	12	0.554570	0.015500	0.043080	0.000000	0.613140	0.431390	43758
DRAUGEN	2005	1	0.516770	0.014960	0.040220	0.000000	0.571950	0.285640	43758
DRAUGEN	2005	2	0.568860	0.015970	0.044560	0.000000	0.629390	0.464560	43758
DRAUGEN	2005	3	0.467440	0.013440	0.035690	0.000000	0.516570	0.340910	43758
DRAUGEN	2005	4	0.569480	0.015800	0.043540	0.000000	0.628810	0.515980	43758
DRAUGEN	2005	5	0.369600	0.009790	0.026130	0.000000	0.405510	0.257170	43758
DRAUGEN	2005	6	0.587940	0.015340	0.045900	0.000000	0.649180	0.625210	43758
DRAUGEN	2005	7	0.546340	0.015550	0.043110	0.000000	0.605000	0.592070	43758
DRAUGEN	2005	8	0.499900	0.014740	0.039430	0.000000	0.554080	0.595490	43758
DRAUGEN	2005	9	0.479060	0.013060	0.035750	0.000000	0.527870	0.564700	43758
DRAUGEN	2005	10	0.488280	0.007650	0.021690	0.000000	0.517620	0.585940	43758
DRAUGEN	2005	11	0.461480	0.012930	0.035140	0.000000	0.509550	0.570080	43758
DRAUGEN	2005	12	0.463140	0.013060	0.036830	0.000000	0.513030	0.568850	43758
DRAUGEN	2006	1	0.429480	0.009210	0.025570	0.000000	0.464260	0.507960	43758
DRAUGEN	2006	2	0.402710	0.011580	0.031100	0.000000	0.445390	0.478180	43758
DRAUGEN	2006	3	0.424040	0.011940	0.033230	0.000000	0.469210	0.498530	43758
DRAUGEN	2006	4	0.400620	0.011470	0.030830	0.000000	0.442920	0.497930	43758
DRAUGEN	2006	5	0.404990	0.011770	0.031770	0.000000	0.448530	0.495520	43758
DRAUGEN	2006	6	0.307300	0.008330	0.022850	0.000000	0.338470	0.335790	43758
DRAUGEN	2006	7	0.367320	0.011030	0.029670	0.000000	0.408020	0.430210	43758
DRAUGEN	2006	8	0.353330	0.010680	0.028420	0.000000	0.392420	0.419110	43758
DRAUGEN	2006	9	0.335040	0.004460	0.012950	0.000000	0.352450	0.368310	43758
DRAUGEN	2006	10	0.364440	0.010050	0.028820	0.000000	0.403300	0.446530	43758
DRAUGEN	2006	11	0.372080	0.008580	0.025880	0.000000	0.406530	0.459400	43758
DRAUGEN	2006	12	0.388090	0.010370	0.031850	0.000000	0.430300	0.523060	43758
DRAUGEN	2007	1	0.390440	0.010330	0.029940	0.000000	0.430710	0.567480	43758
DRAUGEN	2007	2	0.356620	0.009550	0.026390	0.000000	0.392560	0.524730	43758
DRAUGEN	2007	3	0.387770	0.009790	0.028120	0.000000	0.425690	0.551850	43758
DRAUGEN	2007	4	0.323050	0.008810	0.025250	0.000000	0.357110	0.497060	43758
DRAUGEN	2007	5	0.160490	0.000000	0.000000	0.000000	0.160490	0.115730	43758
DRAUGEN	2007	6	0.372780	0.006120	0.017860	0.000000	0.396750	0.555530	43758
DRAUGEN	2007	7	0.351330	0.007580	0.021700	0.000000	0.380610	0.582760	43758
DRAUGEN	2007	8	0.367890	0.009930	0.028330	0.000000	0.406150	0.611370	43758
DRAUGEN	2007	9	0.370090	0.009260	0.026490	0.000000	0.405840	0.655100	43758
DRAUGEN	2007	10	0.350330	0.009260	0.026770	0.000000	0.386360	0.643480	43758
DRAUGEN	2007	11	0.339810	0.008870	0.025310	0.000000	0.373990	0.574610	43758
DRAUGEN	2007	12	0.353310	0.009110	0.025800	0.000000	0.388220	0.596520	43758
DRAUGEN	2008	1	0.350580	0.009330	0.025670	0.000000	0.385580	0.646250	43758
DRAUGEN	2008	2	0.296670	0.007370	0.020710	0.000000	0.324760	0.545080	43758
DRAUGEN	2008	3	0.313150	0.008260	0.023240	0.000000	0.344650	0.590760	43758
DRAUGEN	2008	4	0.326300	0.008230	0.021870	0.000000	0.356400	0.628910	43758
DRAUGEN	2008	5	0.305630	0.007360	0.020650	0.000000	0.333640	0.547890	43758
DRAUGEN	2008	6	0.267690	0.005540	0.017200	0.000000	0.290420	0.413520	43758
DRAUGEN	2008	7	0.379250	0.008640	0.027180	0.000000	0.415070	0.546080	43758
DRAUGEN	2008	8	0.370240	0.008910	0.027290	0.000000	0.406440	0.699330	43758
DRAUGEN	2008	9	0.326270	0.003080	0.009080	0.000000	0.338430	0.602250	43758
DRAUGEN	2008	10	0.420430	0.009760	0.030280	0.000000	0.460470	0.576350	43758
DRAUGEN	2008	11	0.352490	0.008220	0.025980	0.000000	0.386680	0.487740	43758
DRAUGEN	2008	12	0.331470	0.007690	0.023390	0.000000	0.362560	0.612720	43758
DRAUGEN	2009	1	0.347760	0.008060	0.025670	0.000000	0.381480	0.612550	43758
DRAUGEN	2009	2	0.320720	0.007460	0.023180	0.000000	0.351360	0.687850	43758
DRAUGEN	2009	3	0.346110	0.008620	0.025650	0.000000	0.380380	0.743580	43758
DRAUGEN	2009	4	0.275910	0.006390	0.020250	0.000000	0.302550	0.610590	43758
DRAUGEN	2009	5	0.102170	0.001610	0.005150	0.000000	0.108930	0.145600	43758
DRAUGEN	2009	6	0.344700	0.007530	0.024010	0.000000	0.376230	0.738680	43758
DRAUGEN	2009	7	0.301320	0.006520	0.021060	0.000000	0.328910	0.745900	43758
DRAUGEN	2009	8	0.273230	0.005810	0.020030	0.000000	0.299070	0.723830	43758
DRAUGEN	2009	9	0.287580	0.005550	0.016910	0.000000	0.310040	0.767280	43758
DRAUGEN	2009	10	0.265890	0.005840	0.018320	0.000000	0.290050	0.727150	43758
DRAUGEN	2009	11	0.267090	0.005760	0.018810	0.000000	0.291660	0.713530	43758
DRAUGEN	2009	12	0.265960	0.005820	0.018210	0.000000	0.289980	0.801590	43758
DRAUGEN	2010	1	0.246970	0.005020	0.015590	0.000000	0.267580	0.764110	43758
DRAUGEN	2010	2	0.151650	0.003140	0.010290	0.000000	0.165070	0.479590	43758
DRAUGEN	2010	3	0.216840	0.004480	0.014400	0.000000	0.235720	0.547180	43758
DRAUGEN	2010	4	0.203280	0.003910	0.013240	0.000000	0.220420	0.613870	43758
DRAUGEN	2010	5	0.143560	0.002790	0.008840	0.000000	0.155180	0.411550	43758
DRAUGEN	2010	6	0.206660	0.004050	0.013360	0.000000	0.224080	0.666420	43758
DRAUGEN	2010	7	0.198700	0.004000	0.013480	0.000000	0.216180	0.670640	43758
DRAUGEN	2010	8	0.210530	0.002130	0.007030	0.000000	0.219700	0.659100	43758
DRAUGEN	2010	9	0.206300	0.003060	0.010070	0.000000	0.219430	0.649210	43758
DRAUGEN	2010	10	0.218070	0.004190	0.014910	0.000000	0.237170	0.674700	43758
DRAUGEN	2010	11	0.199890	0.004240	0.014050	0.000000	0.218180	0.664900	43758
DRAUGEN	2010	12	0.206230	0.004580	0.015070	0.000000	0.225880	0.725640	43758
DRAUGEN	2011	1	0.201850	0.003730	0.012950	0.000000	0.218530	0.757310	43758
DRAUGEN	2011	2	0.180750	0.003480	0.012130	0.000000	0.196370	0.718330	43758
DRAUGEN	2011	3	0.186870	0.003570	0.012400	0.000000	0.202840	0.681330	43758
DRAUGEN	2011	4	0.194970	0.003640	0.011870	0.000000	0.210480	0.722010	43758
DRAUGEN	2011	5	0.073200	0.001560	0.004550	0.000000	0.079310	0.205370	43758
DRAUGEN	2011	6	0.168040	0.003100	0.009860	0.000000	0.181000	0.617270	43758
DRAUGEN	2011	7	0.192290	0.003610	0.012850	0.000000	0.208750	0.648340	43758
DRAUGEN	2011	8	0.213470	0.004100	0.014320	0.000000	0.231890	0.797570	43758
DRAUGEN	2011	9	0.190230	0.003750	0.013140	0.000000	0.207120	0.790600	43758
DRAUGEN	2011	10	0.206640	0.003830	0.013680	0.000000	0.224140	0.850140	43758
DRAUGEN	2011	11	0.176320	0.003340	0.011690	0.000000	0.191340	0.733860	43758
DRAUGEN	2011	12	0.188090	0.004140	0.013020	0.000000	0.205250	0.788830	43758
DRAUGEN	2012	1	0.166510	0.003570	0.011070	0.000000	0.181150	0.755950	43758
DRAUGEN	2012	2	0.171350	0.003330	0.011770	0.000000	0.186450	0.715070	43758
DRAUGEN	2012	3	0.168750	0.003300	0.011640	0.000000	0.183700	0.729330	43758
DRAUGEN	2012	4	0.176580	0.003540	0.011850	0.000000	0.191970	0.761790	43758
DRAUGEN	2012	5	0.180080	0.003220	0.011480	0.000000	0.194770	0.815450	43758
DRAUGEN	2012	6	0.143930	0.002370	0.008640	0.000000	0.154940	0.684500	43758
DRAUGEN	2012	7	0.180330	0.003140	0.011410	0.000000	0.194880	0.884090	43758
DRAUGEN	2012	8	0.174500	0.003090	0.011150	0.000000	0.188750	0.886190	43758
DRAUGEN	2012	9	0.168800	0.002990	0.010420	0.000000	0.182200	0.803730	43758
DRAUGEN	2012	10	0.169980	0.002990	0.011410	0.000000	0.184380	0.907830	43758
DRAUGEN	2012	11	0.168230	0.002910	0.010950	0.000000	0.182090	0.776370	43758
DRAUGEN	2012	12	0.155450	0.003120	0.010640	0.000000	0.169200	0.843800	43758
DRAUGEN	2013	1	0.155920	0.002570	0.009730	0.000000	0.168230	0.868100	43758
DRAUGEN	2013	2	0.136820	0.001980	0.007790	0.000000	0.146590	0.752340	43758
ÅSGARD	1999	5	0.060670	0.000000	0.000000	0.000000	0.060670	0.000000	43765
ÅSGARD	1999	6	0.201850	0.000000	0.000000	0.000000	0.201850	0.000000	43765
ÅSGARD	1999	7	0.507960	0.000000	0.000000	0.000000	0.507960	0.000000	43765
ÅSGARD	1999	8	0.463380	0.000000	0.000000	0.000000	0.463380	0.000000	43765
ÅSGARD	1999	9	0.643240	0.000000	0.000000	0.000000	0.643240	0.000000	43765
ÅSGARD	1999	10	0.707870	0.000000	0.000000	0.000000	0.707870	0.000000	43765
ÅSGARD	1999	11	0.646050	0.000000	0.000000	0.000000	0.646050	0.000000	43765
ÅSGARD	1999	12	0.669840	0.000000	0.000000	0.000000	0.669840	0.000000	43765
ÅSGARD	2000	1	0.617280	0.000000	0.000000	0.000000	0.617280	0.004750	43765
ÅSGARD	2000	2	0.703430	0.000000	0.000000	0.000000	0.703430	0.003930	43765
ÅSGARD	2000	3	0.620240	0.000000	0.000000	0.000000	0.620240	0.003110	43765
ÅSGARD	2000	4	0.725750	0.000000	0.000000	0.000000	0.725750	0.004060	43765
ÅSGARD	2000	5	0.735630	0.000000	0.000000	0.000000	0.735630	0.006470	43765
ÅSGARD	2000	6	0.419860	0.000000	0.000000	0.000000	0.419860	0.003970	43765
ÅSGARD	2000	7	0.668880	0.000000	0.000000	0.000000	0.668880	0.007560	43765
ÅSGARD	2000	8	0.664140	0.000000	0.000000	0.000000	0.664140	0.012220	43765
ÅSGARD	2000	9	0.608110	0.000000	0.000000	0.000000	0.608110	0.010630	43765
ÅSGARD	2000	10	0.665160	0.075610	0.020350	0.016100	0.777220	0.012350	43765
ÅSGARD	2000	11	0.683440	0.301740	0.034670	0.054700	1.074550	0.012520	43765
ÅSGARD	2000	12	0.725460	0.145680	0.031000	0.026930	0.929070	0.011640	43765
ÅSGARD	2001	1	0.711100	0.497270	0.133440	0.096650	1.438460	0.013270	43765
ÅSGARD	2001	2	0.625470	0.379430	0.117300	0.068420	1.190620	0.011990	43765
ÅSGARD	2001	3	0.696170	0.542180	0.171650	0.099210	1.509220	0.014080	43765
ÅSGARD	2001	4	0.702400	0.553490	0.161690	0.093400	1.510980	0.012410	43765
ÅSGARD	2001	5	0.728400	0.329600	0.113430	0.039790	1.211220	0.012400	43765
ÅSGARD	2001	6	0.751030	0.602260	0.192130	0.083980	1.629390	0.013870	43765
ÅSGARD	2001	7	0.806680	0.756920	0.216670	0.129090	1.909360	0.015100	43765
ÅSGARD	2001	8	0.683190	0.303270	0.102310	0.070900	1.159670	0.009980	43765
ÅSGARD	2001	9	0.630090	-0.020360	-0.020290	0.000000	0.589440	0.008180	43765
ÅSGARD	2001	10	0.642070	-0.013390	0.035290	0.000000	0.663970	0.007830	43765
ÅSGARD	2001	11	0.600890	-0.009220	0.041200	0.000000	0.632880	0.007630	43765
ÅSGARD	2001	12	0.742480	-0.029730	0.041580	0.000000	0.754330	0.009700	43765
ÅSGARD	2002	1	0.668990	0.267380	0.122060	0.069070	1.127500	0.009660	43765
ÅSGARD	2002	2	0.623570	0.406940	0.126540	0.076210	1.233260	0.007950	43765
ÅSGARD	2002	3	0.681010	0.521050	0.160400	0.149070	1.511530	0.008810	43765
ÅSGARD	2002	4	0.651410	0.533400	0.145680	0.143470	1.473950	0.014160	43765
ÅSGARD	2002	5	0.651770	0.677950	0.202400	0.246540	1.778660	0.014770	43765
ÅSGARD	2002	6	0.697880	0.455020	0.151990	0.123470	1.428350	0.014770	43765
ÅSGARD	2002	7	0.770460	0.781700	0.240010	0.265090	2.057250	0.020200	43765
ÅSGARD	2002	8	0.724920	0.718930	0.203400	0.317830	1.965070	0.018150	43765
ÅSGARD	2002	9	0.606440	0.206290	0.076610	0.099380	0.988710	0.014560	43765
ÅSGARD	2002	10	0.705530	0.878010	0.250740	0.371700	2.205990	0.022780	43765
ÅSGARD	2002	11	0.708990	0.880250	0.261800	0.338820	2.189860	0.024250	43765
ÅSGARD	2002	12	0.740760	0.920400	0.282880	0.391670	2.335710	0.027520	43765
ÅSGARD	2003	1	0.607880	0.487560	0.175130	0.262410	1.532980	0.021550	43765
ÅSGARD	2003	2	0.555070	0.550450	0.200980	0.268350	1.574850	0.020200	43765
ÅSGARD	2003	3	0.659660	1.011410	0.349670	0.462690	2.483440	0.027410	43765
ÅSGARD	2003	4	0.630530	0.992540	0.329440	0.414660	2.367180	0.026510	43765
ÅSGARD	2003	5	0.670830	0.868610	0.303200	0.378760	2.221400	0.025920	43765
ÅSGARD	2003	6	0.602250	0.920370	0.311540	0.384920	2.219080	0.023820	43765
ÅSGARD	2003	7	0.615760	1.011110	0.341930	0.433910	2.402710	0.026530	43765
ÅSGARD	2003	8	0.577310	0.976450	0.296960	0.408920	2.259650	0.025020	43765
ÅSGARD	2003	9	0.305260	0.450150	0.184930	0.185350	1.125690	0.013150	43765
ÅSGARD	2003	10	0.585930	0.889980	0.329880	0.362010	2.167800	0.026060	43765
ÅSGARD	2003	11	0.563510	0.936220	0.355460	0.384590	2.239770	0.029070	43765
ÅSGARD	2003	12	0.569710	0.978390	0.347310	0.382440	2.277850	0.029380	43765
ÅSGARD	2004	1	0.546790	0.887800	0.306280	0.369600	2.110460	0.029890	43765
ÅSGARD	2004	2	0.498580	0.881240	0.304430	0.353430	2.037680	0.029790	43765
ÅSGARD	2004	3	0.516620	0.951580	0.329400	0.390260	2.187860	0.032730	43765
ÅSGARD	2004	4	0.466940	0.914150	0.304550	0.378580	2.064210	0.030620	43765
ÅSGARD	2004	5	0.522090	0.892060	0.301380	0.355710	2.071240	0.035700	43765
ÅSGARD	2004	6	0.471470	0.873730	0.289100	0.329560	1.963860	0.034730	43765
ÅSGARD	2004	7	0.497610	0.771680	0.270670	0.319500	1.859460	0.035270	43765
ÅSGARD	2004	8	0.416530	0.417930	0.139540	0.126330	1.100330	0.025900	43765
ÅSGARD	2004	9	0.410150	0.671860	0.204080	0.261010	1.547100	0.031830	43765
ÅSGARD	2004	10	0.438430	0.977850	0.347870	0.325300	2.089450	0.039090	43765
ÅSGARD	2004	11	0.431180	0.970940	0.342800	0.327210	2.072120	0.042540	43765
ÅSGARD	2004	12	0.441690	0.992560	0.347840	0.316070	2.098160	0.040610	43765
ÅSGARD	2005	1	0.432980	0.918990	0.327710	0.300310	1.979990	0.039360	43765
ÅSGARD	2005	2	0.388830	0.826870	0.299230	0.280070	1.795000	0.036580	43765
ÅSGARD	2005	3	0.416430	1.009190	0.358660	0.350120	2.134400	0.044790	43765
ÅSGARD	2005	4	0.390910	0.963660	0.341200	0.341210	2.036980	0.043880	43765
ÅSGARD	2005	5	0.397710	0.893580	0.268670	0.310080	1.870040	0.037330	43765
ÅSGARD	2005	6	0.360810	0.794480	0.282010	0.258050	1.695340	0.030900	43765
ÅSGARD	2005	7	0.384570	0.878310	0.282880	0.241590	1.787360	0.032010	43765
ÅSGARD	2005	8	0.396900	0.920660	0.305120	0.223970	1.846650	0.036050	43765
ÅSGARD	2005	9	0.384510	0.868890	0.281750	0.245670	1.780830	0.034630	43765
ÅSGARD	2005	10	0.335560	0.505840	0.184360	0.177780	1.203540	0.028690	43765
ÅSGARD	2005	11	0.371680	0.960890	0.348970	0.308120	1.989650	0.036160	43765
ÅSGARD	2005	12	0.376150	0.971860	0.358300	0.313560	2.019870	0.037730	43765
ÅSGARD	2006	1	0.351530	0.735030	0.280550	0.226770	1.593870	0.032620	43765
ÅSGARD	2006	2	0.343880	0.889040	0.324430	0.255260	1.812610	0.036900	43765
ÅSGARD	2006	3	0.397070	0.990390	0.351440	0.241850	1.980750	0.039820	43765
ÅSGARD	2006	4	0.328010	0.826060	0.297320	0.269680	1.721060	0.035100	43765
ÅSGARD	2006	5	0.268120	0.816300	0.286260	0.286210	1.656890	0.035680	43765
ÅSGARD	2006	6	0.317360	0.722220	0.258120	0.262420	1.560120	0.037680	43765
ÅSGARD	2006	7	0.359240	0.965290	0.369580	0.283230	1.977340	0.042430	43765
ÅSGARD	2006	8	0.349950	0.976730	0.361020	0.265500	1.953190	0.041080	43765
ÅSGARD	2006	9	0.273250	0.363570	0.130800	0.118290	0.885910	0.026270	43765
ÅSGARD	2006	10	0.597280	0.773820	0.285600	0.000000	1.656710	0.037050	43765
ÅSGARD	2006	11	0.607340	0.767560	0.299190	0.000000	1.674080	0.034410	43765
ÅSGARD	2006	12	0.643190	0.943870	0.364660	0.000000	1.951710	0.038630	43765
ÅSGARD	2007	1	0.660450	1.117950	0.415210	0.000000	2.193610	0.040250	43765
ÅSGARD	2007	2	0.583280	0.974300	0.352250	0.000000	1.909830	0.037210	43765
ÅSGARD	2007	3	0.581830	0.849440	0.311980	0.000000	1.743250	0.041740	43765
ÅSGARD	2007	4	0.589410	1.110110	0.408700	0.000000	2.108220	0.044320	43765
ÅSGARD	2007	5	0.606660	1.146410	0.411600	0.000000	2.164660	0.045720	43765
ÅSGARD	2007	6	0.558810	0.856370	0.320900	0.000000	1.736080	0.047700	43765
ÅSGARD	2007	7	0.668960	1.024480	0.379800	0.000000	2.073240	0.054700	43765
ÅSGARD	2007	8	0.553330	0.938630	0.342380	0.000000	1.834330	0.047980	43765
ÅSGARD	2007	9	0.291840	0.566350	0.191440	0.000000	1.049630	0.023890	43765
ÅSGARD	2007	10	0.580910	0.965720	0.341280	0.000000	1.887910	0.046990	43765
ÅSGARD	2007	11	0.587140	0.998950	0.361690	0.000000	1.947780	0.059620	43765
ÅSGARD	2007	12	0.530670	0.892320	0.322450	0.000000	1.745440	0.061670	43765
ÅSGARD	2008	1	0.553410	0.994500	0.352380	0.000000	1.900290	0.061550	43765
ÅSGARD	2008	2	0.458760	0.790280	0.285220	0.000000	1.534260	0.061310	43765
ÅSGARD	2008	3	0.510820	0.954050	0.342300	0.000000	1.807170	0.056990	43765
ÅSGARD	2008	4	0.512630	0.889990	0.285540	0.000000	1.688160	0.049770	43765
ÅSGARD	2008	5	0.545980	1.080270	0.388660	0.000000	2.014910	0.054070	43765
ÅSGARD	2008	6	0.520110	1.062580	0.355910	0.000000	1.938600	0.050690	43765
ÅSGARD	2008	7	0.539000	1.110090	0.378430	0.000000	2.027520	0.053410	43765
ÅSGARD	2008	8	0.522450	1.022560	0.355880	0.000000	1.900880	0.053610	43765
ÅSGARD	2008	9	0.291790	0.370440	0.124270	0.000000	0.786490	0.032420	43765
ÅSGARD	2008	10	0.475600	1.026720	0.385080	0.000000	1.887410	0.045510	43765
ÅSGARD	2008	11	0.493180	1.077150	0.402740	0.000000	1.973070	0.062410	43765
ÅSGARD	2008	12	0.525020	1.038290	0.366060	0.000000	1.929370	0.095310	43765
ÅSGARD	2009	1	0.476370	0.945140	0.374590	0.000000	1.796100	0.071710	43765
ÅSGARD	2009	2	0.483620	0.991670	0.385260	0.000000	1.860560	0.071510	43765
ÅSGARD	2009	3	0.503050	1.076550	0.393570	0.000000	1.973170	0.077710	43765
ÅSGARD	2009	4	0.503060	1.075660	0.397740	0.000000	1.976460	0.073110	43765
ÅSGARD	2009	5	0.507940	1.053450	0.390160	0.000000	1.951560	0.072830	43765
ÅSGARD	2009	6	0.459240	0.998470	0.363610	0.000000	1.821330	0.073150	43765
ÅSGARD	2009	7	0.508900	1.099050	0.389710	0.000000	1.997650	0.080290	43765
ÅSGARD	2009	8	0.484040	1.059650	0.392020	0.000000	1.935700	0.076110	43765
ÅSGARD	2009	9	0.380370	0.796210	0.273020	0.000000	1.449600	0.062920	43765
ÅSGARD	2009	10	0.509470	1.111390	0.393680	0.000000	2.014540	0.075740	43765
ÅSGARD	2009	11	0.445550	1.097220	0.412670	0.000000	1.955430	0.067300	43765
ÅSGARD	2009	12	0.467720	1.014640	0.387670	0.000000	1.870030	0.073300	43765
ÅSGARD	2010	1	0.467140	1.079740	0.388090	0.000000	1.934970	0.071140	43765
ÅSGARD	2010	2	0.420620	1.016270	0.378920	0.000000	1.815800	0.069140	43765
ÅSGARD	2010	3	0.444420	1.105520	0.411810	0.000000	1.961760	0.078200	43765
ÅSGARD	2010	4	0.408280	0.943620	0.359070	0.000000	1.710970	0.071240	43765
ÅSGARD	2010	5	0.475950	1.046770	0.400020	0.000000	1.922740	0.078690	43765
ÅSGARD	2010	6	0.412320	0.906140	0.341130	0.000000	1.659590	0.077820	43765
ÅSGARD	2010	7	0.472130	1.046720	0.400890	0.000000	1.919730	0.075970	43765
ÅSGARD	2010	8	0.341180	0.582950	0.212380	0.000000	1.136510	0.067370	43765
ÅSGARD	2010	9	0.351570	0.744020	0.281120	0.000000	1.376700	0.068190	43765
ÅSGARD	2010	10	0.412910	1.144250	0.447880	0.000000	2.005050	0.078790	43765
ÅSGARD	2010	11	0.415880	1.125950	0.431500	0.000000	1.973320	0.086740	43765
ÅSGARD	2010	12	0.403810	1.087130	0.408790	0.000000	1.899730	0.093290	43765
ÅSGARD	2011	1	0.382350	1.067840	0.406420	0.000000	1.856610	0.079480	43765
ÅSGARD	2011	2	0.334580	0.961780	0.362460	0.000000	1.658820	0.072790	43765
ÅSGARD	2011	3	0.341430	1.004920	0.379680	0.000000	1.726040	0.076570	43765
ÅSGARD	2011	4	0.339790	0.999110	0.376890	0.000000	1.715780	0.074460	43765
ÅSGARD	2011	5	0.343300	1.130130	0.457100	0.000000	1.930520	0.069380	43765
ÅSGARD	2011	6	0.237990	0.937050	0.370880	0.000000	1.545910	0.022200	43765
ÅSGARD	2011	7	0.247210	0.972600	0.397090	0.000000	1.616890	0.023170	43765
ÅSGARD	2011	8	0.311890	0.977000	0.396610	0.000000	1.685500	0.043560	43765
ÅSGARD	2011	9	0.353910	0.964470	0.402260	0.000000	1.720650	0.071610	43765
ÅSGARD	2011	10	0.347870	1.022770	0.439300	0.000000	1.809940	0.065780	43765
ÅSGARD	2011	11	0.330680	0.946210	0.403650	0.000000	1.680540	0.058230	43765
ÅSGARD	2011	12	0.361390	1.099490	0.440020	0.000000	1.900900	0.068100	43765
ÅSGARD	2012	1	0.351150	1.077270	0.446080	0.000000	1.874500	0.068590	43765
ÅSGARD	2012	2	0.350310	0.989740	0.425010	0.000000	1.765050	0.060160	43765
ÅSGARD	2012	3	0.371920	1.038970	0.450750	0.000000	1.861640	0.063380	43765
ÅSGARD	2012	4	0.355100	1.009270	0.409000	0.000000	1.773370	0.062890	43765
ÅSGARD	2012	5	0.366240	0.999330	0.397820	0.000000	1.763390	0.068280	43765
ÅSGARD	2012	6	0.309750	0.851440	0.353630	0.000000	1.514810	0.057170	43765
ÅSGARD	2012	7	0.344990	1.095360	0.441530	0.000000	1.881880	0.061580	43765
ÅSGARD	2012	8	0.338320	1.097760	0.443180	0.000000	1.879260	0.054420	43765
ÅSGARD	2012	9	0.274180	0.908200	0.365290	0.000000	1.547670	0.036510	43765
ÅSGARD	2012	10	0.314020	1.027100	0.449720	0.000000	1.790840	0.050850	43765
ÅSGARD	2012	11	0.313690	1.052580	0.461900	0.000000	1.828180	0.046200	43765
ÅSGARD	2012	12	0.311130	1.063730	0.458810	0.000000	1.833670	0.052840	43765
ÅSGARD	2013	1	0.272640	0.822200	0.363390	0.000000	1.458230	0.059900	43765
ÅSGARD	2013	2	0.263920	0.830350	0.335620	0.000000	1.429890	0.046580	43765
HEIDRUN	1995	10	0.062130	0.000000	0.000000	0.000000	0.062130	0.000000	43771
HEIDRUN	1995	11	0.394920	0.000000	0.000000	0.000000	0.394920	0.000000	43771
HEIDRUN	1995	12	0.601690	0.000000	0.000000	0.000000	0.601690	0.000000	43771
HEIDRUN	1996	1	0.809760	0.000000	0.000000	0.000000	0.809760	0.000000	43771
HEIDRUN	1996	2	0.977270	0.000000	0.000000	0.000000	0.977270	0.000000	43771
HEIDRUN	1996	3	0.976760	0.000000	0.000000	0.000000	0.976760	0.000000	43771
HEIDRUN	1996	4	1.009120	0.000000	0.000000	0.000000	1.009120	0.000000	43771
HEIDRUN	1996	5	1.220770	0.000000	0.000000	0.000000	1.220770	0.000000	43771
HEIDRUN	1996	6	1.042380	0.000000	0.000000	0.000000	1.042380	0.000000	43771
HEIDRUN	1996	7	1.095590	0.000000	0.000000	0.000000	1.095590	0.000000	43771
HEIDRUN	1996	8	1.145030	0.000000	0.000000	0.000000	1.145030	0.000000	43771
HEIDRUN	1996	9	0.649140	0.000000	0.000000	0.000000	0.649140	0.000000	43771
HEIDRUN	1996	10	1.132150	0.000000	0.000000	0.000000	1.132150	0.000000	43771
HEIDRUN	1996	11	0.938620	0.000000	0.000000	0.000000	0.938620	0.000000	43771
HEIDRUN	1996	12	1.192690	0.009100	0.000000	0.000000	1.201800	0.000000	43771
HEIDRUN	1997	1	1.185800	0.003460	0.000000	0.000000	1.189260	0.000000	43771
HEIDRUN	1997	2	1.146680	0.000010	0.000000	0.000000	1.146690	0.000000	43771
HEIDRUN	1997	3	1.181720	0.001350	0.000000	0.000000	1.183070	0.000000	43771
HEIDRUN	1997	4	1.104150	0.001270	0.000000	0.000000	1.105420	0.000000	43771
HEIDRUN	1997	5	1.057880	0.006880	0.000000	0.000000	1.064760	0.000000	43771
HEIDRUN	1997	6	1.018430	0.023020	0.000000	0.000000	1.041450	0.000000	43771
HEIDRUN	1997	7	1.129740	0.035990	0.000000	0.000000	1.165730	0.000000	43771
HEIDRUN	1997	8	1.090760	0.050850	0.000000	0.000000	1.141600	0.000000	43771
HEIDRUN	1997	9	1.061550	0.044800	0.000000	0.000000	1.106350	0.000000	43771
HEIDRUN	1997	10	1.122380	0.052810	0.000000	0.000000	1.175190	0.000000	43771
HEIDRUN	1997	11	1.140230	0.053520	0.000000	0.000000	1.193750	0.000000	43771
HEIDRUN	1997	12	1.217150	0.057310	0.000000	0.000000	1.274460	0.000000	43771
HEIDRUN	1998	1	1.173210	0.055060	0.000000	0.000000	1.228270	0.000000	43771
HEIDRUN	1998	2	1.053050	0.045230	0.000000	0.000000	1.098270	0.000000	43771
HEIDRUN	1998	3	1.120060	0.058020	0.000000	0.000000	1.178080	0.000000	43771
HEIDRUN	1998	4	0.999780	0.052050	0.000000	0.000000	1.051830	0.000000	43771
HEIDRUN	1998	5	1.023980	0.054610	0.000000	0.000000	1.078590	0.000000	43771
HEIDRUN	1998	6	0.939110	0.031920	0.000000	0.000000	0.971020	0.000000	43771
HEIDRUN	1998	7	0.985440	0.056650	0.000000	0.000000	1.042090	0.000000	43771
HEIDRUN	1998	8	0.939190	0.049610	0.000000	0.000000	0.988800	0.000000	43771
HEIDRUN	1998	9	0.397530	0.004080	0.000000	0.000000	0.401610	0.000000	43771
HEIDRUN	1998	10	1.048310	0.055900	0.000000	0.000000	1.104210	0.000000	43771
HEIDRUN	1998	11	1.009680	0.057180	0.000000	0.000000	1.066860	0.000000	43771
HEIDRUN	1998	12	1.001100	0.045850	0.000000	0.000000	1.046950	0.000000	43771
HEIDRUN	1999	1	0.994130	0.045730	0.000000	0.000000	1.039860	0.000000	43771
HEIDRUN	1999	2	0.892670	0.050120	0.000000	0.000000	0.942790	0.000000	43771
HEIDRUN	1999	3	1.018180	0.058200	0.000000	0.000000	1.076380	0.000000	43771
HEIDRUN	1999	4	1.004690	0.048310	0.000000	0.000000	1.053000	0.000000	43771
HEIDRUN	1999	5	1.109340	0.058810	0.000000	0.000000	1.168150	0.000000	43771
HEIDRUN	1999	6	1.088070	0.057400	0.000000	0.000000	1.145470	0.000000	43771
HEIDRUN	1999	7	1.181390	0.055910	0.000000	0.000000	1.237300	0.000000	43771
HEIDRUN	1999	8	1.211620	0.057730	0.000000	0.000000	1.269350	0.000000	43771
HEIDRUN	1999	9	1.035660	0.050530	0.000000	0.000000	1.086190	0.000000	43771
HEIDRUN	1999	10	1.045160	0.058130	0.000000	0.000000	1.103290	0.000000	43771
HEIDRUN	1999	11	0.975960	0.056530	0.000000	0.000000	1.032490	0.000000	43771
HEIDRUN	1999	12	0.982970	0.054570	0.000000	0.000000	1.037540	0.000000	43771
HEIDRUN	2000	1	1.018060	0.050850	0.000000	0.000000	1.068910	0.191450	43771
HEIDRUN	2000	2	0.916330	0.047580	0.000000	0.000000	0.963910	0.175690	43771
HEIDRUN	2000	3	1.030230	0.056750	0.000000	0.000000	1.086980	0.157200	43771
HEIDRUN	2000	4	0.873700	0.057340	0.000000	0.000000	0.931030	0.136010	43771
HEIDRUN	2000	5	0.436990	0.022920	0.000000	0.000000	0.459910	0.065720	43771
HEIDRUN	2000	6	0.870040	0.037620	0.000000	0.000000	0.907660	0.119120	43771
HEIDRUN	2000	7	0.955260	0.058380	0.000000	0.000000	1.013640	0.150560	43771
HEIDRUN	2000	8	0.897120	0.050280	0.000000	0.000000	0.947400	0.148990	43771
HEIDRUN	2000	9	0.872210	0.052230	0.000000	0.000000	0.924440	0.141920	43771
HEIDRUN	2000	10	0.889970	0.056190	0.000000	0.000000	0.946160	0.137420	43771
HEIDRUN	2000	11	0.919870	0.058270	0.000000	0.000000	0.978140	0.147880	43771
HEIDRUN	2000	12	0.910750	0.060060	0.000000	0.000000	0.970810	0.128400	43771
HEIDRUN	2001	1	0.854470	0.060320	0.000000	0.000000	0.914800	0.177790	43771
HEIDRUN	2001	2	0.769670	0.100790	0.012830	0.000000	0.883280	0.130950	43771
HEIDRUN	2001	3	0.807380	0.127420	0.020130	0.000000	0.954920	0.133460	43771
HEIDRUN	2001	4	0.766280	0.114640	0.015930	0.000000	0.896850	0.102760	43771
HEIDRUN	2001	5	0.810150	0.088260	0.011460	0.000000	0.909860	0.128140	43771
HEIDRUN	2001	6	0.792480	0.133420	0.022550	0.000000	0.948440	0.141990	43771
HEIDRUN	2001	7	0.735850	0.110160	0.013450	0.000000	0.859460	0.101580	43771
HEIDRUN	2001	8	0.957000	0.079750	0.005470	0.000000	1.042220	0.162210	43771
HEIDRUN	2001	9	0.981990	0.134390	0.018460	0.000000	1.134830	0.155530	43771
HEIDRUN	2001	10	0.953440	0.120290	0.020080	0.000000	1.093800	0.127290	43771
HEIDRUN	2001	11	0.891670	0.146840	0.028060	0.000000	1.066570	0.126010	43771
HEIDRUN	2001	12	0.905550	0.129620	0.024030	0.000000	1.059190	0.140830	43771
HEIDRUN	2002	1	0.881160	0.096110	0.013760	0.000000	0.991040	0.177860	43771
HEIDRUN	2002	2	0.787180	0.093710	0.007080	0.000000	0.887980	0.180080	43771
HEIDRUN	2002	3	0.946090	0.123350	0.012980	0.000000	1.082410	0.234490	43771
HEIDRUN	2002	4	0.844900	0.113150	0.012490	0.000000	0.970540	0.220760	43771
HEIDRUN	2002	5	0.687460	0.078640	0.006380	0.000000	0.772480	0.165450	43771
HEIDRUN	2002	6	0.661260	0.048690	0.007510	0.000000	0.717460	0.154570	43771
HEIDRUN	2002	7	0.837320	0.119560	0.013890	0.000000	0.970770	0.183670	43771
HEIDRUN	2002	8	0.837300	0.114810	0.012290	0.000000	0.964390	0.176120	43771
HEIDRUN	2002	9	0.805370	0.075510	0.003450	0.000000	0.884330	0.188130	43771
HEIDRUN	2002	10	0.923180	0.087230	0.006570	0.000000	1.016980	0.233550	43771
HEIDRUN	2002	11	0.941290	0.083590	0.005470	0.000000	1.030350	0.207150	43771
HEIDRUN	2002	12	0.979000	0.102750	0.010370	0.000000	1.092130	0.244220	43771
HEIDRUN	2003	1	0.926220	0.154330	0.009990	0.000000	1.090540	0.233230	43771
HEIDRUN	2003	2	0.824020	0.150490	0.012250	0.000000	0.986770	0.241860	43771
HEIDRUN	2003	3	0.901680	0.165650	0.011700	0.000000	1.079030	0.323860	43771
HEIDRUN	2003	4	0.822850	0.145340	0.006300	0.000000	0.974480	0.346060	43771
HEIDRUN	2003	5	0.812970	0.159730	0.009510	0.000000	0.982210	0.326910	43771
HEIDRUN	2003	6	0.767180	0.160260	0.010870	0.000000	0.938300	0.347610	43771
HEIDRUN	2003	7	0.805690	0.191640	0.018350	0.000000	1.015680	0.383960	43771
HEIDRUN	2003	8	0.699690	0.195410	0.017650	0.000000	0.912750	0.340770	43771
HEIDRUN	2003	9	0.694970	0.201600	0.024010	0.000000	0.920580	0.352180	43771
HEIDRUN	2003	10	0.590790	0.205030	0.021070	0.000000	0.816890	0.302340	43771
HEIDRUN	2003	11	0.543550	0.176960	0.015540	0.000000	0.736050	0.236800	43771
HEIDRUN	2003	12	0.680140	0.192770	0.017730	0.000000	0.890650	0.287150	43771
HEIDRUN	2004	1	0.720770	0.196490	0.017020	0.000000	0.934270	0.276610	43771
HEIDRUN	2004	2	0.689400	0.056880	0.014750	0.000000	0.761030	0.265900	43771
HEIDRUN	2004	3	0.745960	0.069850	0.017600	0.000000	0.833410	0.300910	43771
HEIDRUN	2004	4	0.738420	0.053810	0.013330	0.000000	0.805570	0.300380	43771
HEIDRUN	2004	5	0.722250	0.053730	0.013790	0.000000	0.789770	0.329810	43771
HEIDRUN	2004	6	0.714450	0.064590	0.016200	0.000000	0.795240	0.345100	43771
HEIDRUN	2004	7	0.727550	0.051040	0.013790	0.000000	0.792380	0.315520	43771
HEIDRUN	2004	8	0.714570	0.026330	0.006700	0.000000	0.747600	0.288500	43771
HEIDRUN	2004	9	0.721080	0.044670	0.010620	0.000000	0.776370	0.299840	43771
HEIDRUN	2004	10	0.667980	0.052060	0.014070	0.000000	0.734110	0.286640	43771
HEIDRUN	2004	11	0.682470	0.040960	0.010710	0.000000	0.734130	0.321910	43771
HEIDRUN	2004	12	0.737980	0.044950	0.011990	0.000000	0.794920	0.354560	43771
HEIDRUN	2005	1	0.754920	0.039940	0.010520	0.000000	0.805380	0.361390	43771
HEIDRUN	2005	2	0.664300	0.034490	0.009030	0.000000	0.707810	0.344780	43771
HEIDRUN	2005	3	0.698750	0.034420	0.008820	0.000000	0.742000	0.399700	43771
HEIDRUN	2005	4	0.736490	0.049350	0.012430	0.000000	0.798270	0.381520	43771
HEIDRUN	2005	5	0.708100	0.018160	0.003830	0.000000	0.730090	0.397550	43771
HEIDRUN	2005	6	0.414330	0.000000	0.000000	0.000000	0.414330	0.200010	43771
HEIDRUN	2005	7	0.848690	0.031310	0.008120	0.000000	0.888120	0.472610	43771
HEIDRUN	2005	8	0.807550	0.038310	0.009520	0.000000	0.855380	0.482690	43771
HEIDRUN	2005	9	0.718970	0.037030	0.008600	0.000000	0.764600	0.411390	43771
HEIDRUN	2005	10	0.681780	0.023590	0.006040	0.000000	0.711410	0.395460	43771
HEIDRUN	2005	11	0.659870	0.035240	0.009000	0.000000	0.704110	0.449520	43771
HEIDRUN	2005	12	0.444840	0.000000	0.000000	0.000000	0.444840	0.312900	43771
HEIDRUN	2006	1	0.707700	0.019360	0.005080	0.000000	0.732140	0.470660	43771
HEIDRUN	2006	2	0.538340	0.033160	0.008140	0.000000	0.579640	0.349450	43771
HEIDRUN	2006	3	0.719560	0.041010	0.009760	0.000000	0.770320	0.429000	43771
HEIDRUN	2006	4	0.711500	0.038220	0.009050	0.000000	0.758760	0.423480	43771
HEIDRUN	2006	5	0.706260	0.040080	0.009370	0.000000	0.755700	0.434390	43771
HEIDRUN	2006	6	0.654540	0.034200	0.008560	0.000000	0.697310	0.380660	43771
HEIDRUN	2006	7	0.694880	0.044180	0.011220	0.000000	0.750270	0.376730	43771
HEIDRUN	2006	8	0.718890	0.040830	0.010030	0.000000	0.769750	0.366440	43771
HEIDRUN	2006	9	0.661110	0.011540	0.002820	0.000000	0.675460	0.340810	43771
HEIDRUN	2006	10	0.642150	0.037800	0.009150	0.000000	0.689100	0.337650	43771
HEIDRUN	2006	11	0.635930	0.041600	0.009550	0.000000	0.687080	0.326940	43771
HEIDRUN	2006	12	0.609650	0.041550	0.009720	0.000000	0.660920	0.422770	43771
HEIDRUN	2007	1	0.559200	0.041030	0.009030	0.000000	0.609260	0.397630	43771
HEIDRUN	2007	2	0.529130	0.037980	0.007740	0.000000	0.574850	0.327200	43771
HEIDRUN	2007	3	0.580750	0.035950	0.007030	0.000000	0.623720	0.364240	43771
HEIDRUN	2007	4	0.574550	0.001300	0.000260	0.000000	0.576110	0.373100	43771
HEIDRUN	2007	5	0.425370	0.000000	0.000000	0.000000	0.425370	0.244980	43771
HEIDRUN	2007	6	0.464700	0.033360	0.007740	0.000000	0.505790	0.243320	43771
HEIDRUN	2007	7	0.449700	0.018680	0.004310	0.000000	0.472690	0.290530	43771
HEIDRUN	2007	8	0.521070	0.018380	0.003480	0.000000	0.542920	0.300470	43771
HEIDRUN	2007	9	0.563570	0.002750	0.000610	0.000000	0.566930	0.380700	43771
HEIDRUN	2007	10	0.548430	0.040210	0.009720	0.000000	0.598350	0.392130	43771
HEIDRUN	2007	11	0.485250	0.040940	0.009580	0.000000	0.535770	0.386170	43771
HEIDRUN	2007	12	0.501280	0.039120	0.009020	0.000000	0.549410	0.407530	43771
HEIDRUN	2008	1	0.482660	0.034930	0.007550	0.000000	0.525140	0.362180	43771
HEIDRUN	2008	2	0.447940	0.041370	0.009330	0.000000	0.498640	0.282310	43771
HEIDRUN	2008	3	0.467960	0.041210	0.009050	0.000000	0.518210	0.321240	43771
HEIDRUN	2008	4	0.447610	0.000070	0.000020	0.000000	0.447700	0.334880	43771
HEIDRUN	2008	5	0.449240	0.008590	0.001820	0.000000	0.459640	0.320970	43771
HEIDRUN	2008	6	0.449800	0.001530	0.000330	0.000000	0.451650	0.346000	43771
HEIDRUN	2008	7	0.450640	0.000000	0.000000	0.000000	0.450650	0.435670	43771
HEIDRUN	2008	8	0.464450	0.001250	0.000290	0.000000	0.466000	0.364340	43771
HEIDRUN	2008	9	0.460630	0.000000	0.000000	0.000000	0.460630	0.352180	43771
HEIDRUN	2008	10	0.446660	0.036230	0.008800	0.000000	0.491690	0.387100	43771
HEIDRUN	2008	11	0.431730	0.035330	0.008120	0.000000	0.475190	0.423400	43771
HEIDRUN	2008	12	0.460880	0.040450	0.008900	0.000000	0.510220	0.459970	43771
HEIDRUN	2009	1	0.453040	0.045950	0.010500	0.000000	0.509490	0.481070	43771
HEIDRUN	2009	2	0.403380	0.028720	0.006480	0.000000	0.438570	0.436300	43771
HEIDRUN	2009	3	0.444640	0.057010	0.012890	0.000000	0.514540	0.506500	43771
HEIDRUN	2009	4	0.411560	0.023110	0.005250	0.000000	0.439920	0.450350	43771
HEIDRUN	2009	5	0.399190	0.004550	0.001040	0.000000	0.404790	0.419920	43771
HEIDRUN	2009	6	0.379400	0.002910	0.000700	0.000000	0.383020	0.379660	43771
HEIDRUN	2009	7	0.388260	0.001760	0.000400	0.000000	0.390420	0.377060	43771
HEIDRUN	2009	8	0.374230	0.002220	0.000510	0.000000	0.376960	0.372110	43771
HEIDRUN	2009	9	0.272440	0.021360	0.004440	0.000000	0.298240	0.261430	43771
HEIDRUN	2009	10	0.378670	0.012760	0.002600	0.000000	0.394020	0.321980	43771
HEIDRUN	2009	11	0.339610	0.021500	0.004480	0.000000	0.365590	0.327950	43771
HEIDRUN	2009	12	0.317380	0.035170	0.007450	0.000000	0.359990	0.286880	43771
HEIDRUN	2010	1	0.289110	0.069690	0.000970	0.000000	0.359770	0.274340	43771
HEIDRUN	2010	2	0.268810	0.072310	0.003370	0.000000	0.344500	0.293040	43771
HEIDRUN	2010	3	0.309560	0.092050	0.005670	0.000000	0.407280	0.377240	43771
HEIDRUN	2010	4	0.310060	0.089790	0.005800	0.000000	0.405650	0.370690	43771
HEIDRUN	2010	5	0.268080	0.081330	0.007680	0.000000	0.357090	0.306450	43771
HEIDRUN	2010	6	0.019720	0.003360	0.000000	0.000000	0.023080	0.012110	43771
HEIDRUN	2010	7	0.216960	0.080600	0.000710	0.000000	0.298270	0.286110	43771
HEIDRUN	2010	8	0.313460	0.076550	0.002990	0.000000	0.393000	0.361620	43771
HEIDRUN	2010	9	0.300950	0.069080	0.001220	0.000000	0.371240	0.346640	43771
HEIDRUN	2010	10	0.300230	0.083330	0.004460	0.000000	0.388020	0.357230	43771
HEIDRUN	2010	11	0.304280	0.072230	0.001730	0.000000	0.378240	0.314640	43771
HEIDRUN	2010	12	0.308810	0.073830	0.001530	0.000000	0.384180	0.340660	43771
HEIDRUN	2011	1	0.286060	0.067160	0.000690	0.000000	0.353900	0.394840	43771
HEIDRUN	2011	2	0.254740	0.061280	0.000350	0.000000	0.316370	0.380340	43771
HEIDRUN	2011	3	0.282160	0.065170	0.000000	0.000000	0.347330	0.421340	43771
HEIDRUN	2011	4	0.289890	0.064870	0.000000	0.000000	0.354760	0.420180	43771
HEIDRUN	2011	5	0.317150	0.061560	0.004580	0.000000	0.383280	0.387200	43771
HEIDRUN	2011	6	0.317780	0.076000	0.004870	0.000000	0.398640	0.366410	43771
HEIDRUN	2011	7	0.359090	0.064700	0.000000	0.000000	0.423790	0.381740	43771
HEIDRUN	2011	8	0.344800	0.065550	0.000330	0.000000	0.410680	0.397750	43771
HEIDRUN	2011	9	0.317420	0.062450	0.000000	0.000000	0.379870	0.363950	43771
HEIDRUN	2011	10	0.336790	0.065110	0.000000	0.000000	0.401900	0.407200	43771
HEIDRUN	2011	11	0.291950	0.061720	0.000130	0.000000	0.353800	0.365880	43771
HEIDRUN	2011	12	0.306990	0.063660	0.001080	0.000000	0.371720	0.427480	43771
HEIDRUN	2012	1	0.308590	0.065820	0.000000	0.000000	0.374410	0.436170	43771
HEIDRUN	2012	2	0.275020	0.058490	0.000450	0.000000	0.333960	0.408150	43771
HEIDRUN	2012	3	0.247750	0.056010	0.000980	0.000000	0.304740	0.420360	43771
HEIDRUN	2012	4	0.149410	0.054360	0.000160	0.000000	0.203920	0.215510	43771
HEIDRUN	2012	5	0.270780	0.062430	0.000550	0.000000	0.333770	0.426370	43771
HEIDRUN	2012	6	0.235150	0.052440	0.000070	0.000000	0.287670	0.358870	43771
HEIDRUN	2012	7	0.198970	0.042480	0.000000	0.000000	0.241450	0.292270	43771
HEIDRUN	2012	8	0.265600	0.064020	0.000670	0.000000	0.330290	0.399640	43771
HEIDRUN	2012	9	0.310040	0.058400	0.001960	0.000000	0.370400	0.455410	43771
HEIDRUN	2012	10	0.312080	0.064560	0.000010	0.000000	0.376650	0.427550	43771
HEIDRUN	2012	11	0.306720	0.061540	0.000000	0.000000	0.368260	0.456450	43771
HEIDRUN	2012	12	0.300660	0.064900	0.000000	0.000000	0.365570	0.457160	43771
HEIDRUN	2013	1	0.337240	0.064280	0.000070	0.000000	0.401590	0.495600	43771
HEIDRUN	2013	2	0.297370	0.057820	0.000200	0.000000	0.355380	0.429940	43771
NORNE	1997	11	0.130020	0.000000	0.000000	0.000000	0.130020	0.000000	43778
NORNE	1997	12	0.285250	0.000000	0.000000	0.000000	0.285250	0.000000	43778
NORNE	1998	1	0.504920	0.000000	0.000000	0.000000	0.504920	0.000000	43778
NORNE	1998	2	0.033950	0.000000	0.000000	0.000000	0.033950	0.000000	43778
NORNE	1998	3	0.351870	0.000000	0.000000	0.000000	0.351870	0.000000	43778
NORNE	1998	4	0.503190	0.000000	0.000000	0.000000	0.503190	0.000000	43778
NORNE	1998	5	0.624040	0.000000	0.000000	0.000000	0.624040	0.000000	43778
NORNE	1998	6	0.593040	0.000000	0.000000	0.000000	0.593040	0.000000	43778
NORNE	1998	7	0.635100	0.000000	0.000000	0.000000	0.635100	0.000000	43778
NORNE	1998	8	0.613600	0.000000	0.000000	0.000000	0.613600	0.000000	43778
NORNE	1998	9	0.617730	0.000000	0.000000	0.000000	0.617730	0.000000	43778
NORNE	1998	10	0.493370	0.000000	0.000000	0.000000	0.493370	0.000000	43778
NORNE	1998	11	0.735950	0.000000	0.000000	0.000000	0.735950	0.000000	43778
NORNE	1998	12	0.608940	0.000000	0.000000	0.000000	0.608940	0.000000	43778
NORNE	1999	1	0.600040	0.000000	0.000000	0.000000	0.600040	0.000000	43778
NORNE	1999	2	0.589110	0.000000	0.000000	0.000000	0.589110	0.000000	43778
NORNE	1999	3	0.592420	0.000000	0.000000	0.000000	0.592420	0.000000	43778
NORNE	1999	4	0.614560	0.000000	0.000000	0.000000	0.614560	0.000000	43778
NORNE	1999	5	0.700610	0.000000	0.000000	0.000000	0.700610	0.000000	43778
NORNE	1999	6	0.682020	0.000000	0.000000	0.000000	0.682020	0.000000	43778
NORNE	1999	7	0.704100	0.000000	0.000000	0.000000	0.704100	0.000000	43778
NORNE	1999	8	0.780220	0.000000	0.000000	0.000000	0.780220	0.000000	43778
NORNE	1999	9	0.755500	0.000000	0.000000	0.000000	0.755500	0.000000	43778
NORNE	1999	10	0.787790	0.000000	0.000000	0.000000	0.787790	0.000000	43778
NORNE	1999	11	0.549040	0.000000	0.000000	0.000000	0.549040	0.000000	43778
NORNE	1999	12	0.949650	0.000000	0.000000	0.000000	0.949650	0.000000	43778
NORNE	2000	1	0.828020	0.000000	0.000000	0.000000	0.828020	0.021520	43778
NORNE	2000	2	0.814530	0.000000	0.000000	0.000000	0.814530	0.025080	43778
NORNE	2000	3	0.853190	0.000000	0.000000	0.000000	0.853190	0.033130	43778
NORNE	2000	4	0.532930	0.000000	0.000000	0.000000	0.532930	0.007650	43778
NORNE	2000	5	0.897780	0.000000	0.000000	0.000000	0.897780	0.003910	43778
NORNE	2000	6	0.844250	0.000000	0.000000	0.000000	0.844250	0.002680	43778
NORNE	2000	7	0.902630	0.000000	0.000000	0.000000	0.902630	0.003200	43778
NORNE	2000	8	0.862610	0.000000	0.000000	0.000000	0.862610	0.001940	43778
NORNE	2000	9	0.933780	0.000000	0.000000	0.000000	0.933780	0.000000	43778
NORNE	2000	10	1.038230	0.000000	0.000000	0.000000	1.038230	0.008380	43778
NORNE	2000	11	0.951440	0.000000	0.000000	0.000000	0.951440	0.011300	43778
NORNE	2000	12	0.960840	0.000000	0.000000	0.000000	0.960840	0.020160	43778
NORNE	2001	1	0.887260	0.000000	0.000000	0.000000	0.887260	0.026370	43778
NORNE	2001	2	0.852720	0.073350	0.012230	0.000000	0.938300	0.009060	43778
NORNE	2001	3	0.998440	0.123200	0.022260	0.000000	1.143890	0.031230	43778
NORNE	2001	4	1.023750	0.110080	0.020070	0.000000	1.153900	0.014450	43778
NORNE	2001	5	1.013230	0.077780	0.014050	0.000000	1.105070	0.017540	43778
NORNE	2001	6	0.963320	0.105770	0.019680	0.000000	1.088770	0.035920	43778
NORNE	2001	7	0.931420	0.120980	0.021790	0.000000	1.074180	0.035430	43778
NORNE	2001	8	0.974650	0.043970	0.008310	0.000000	1.026930	0.020070	43778
NORNE	2001	9	0.707140	0.073100	0.011310	0.000000	0.791540	0.021420	43778
NORNE	2001	10	1.054720	0.111070	0.024330	0.000000	1.190110	0.008310	43778
NORNE	2001	11	0.904390	0.107270	0.024000	0.000000	1.035660	0.026460	43778
NORNE	2001	12	0.986250	0.138380	0.030430	0.000000	1.155050	0.057060	43778
NORNE	2002	1	0.924800	0.020300	0.006290	0.000000	0.951390	0.055950	43778
NORNE	2002	2	0.868910	0.033690	0.006360	0.000000	0.908960	0.030800	43778
NORNE	2002	3	0.848420	0.046290	0.008700	0.000000	0.903410	0.044020	43778
NORNE	2002	4	0.988340	0.052560	0.010090	0.000000	1.050980	0.054870	43778
NORNE	2002	5	0.994260	0.078690	0.014540	0.000000	1.087490	0.072010	43778
NORNE	2002	6	0.833050	0.044200	0.007850	0.000000	0.885100	0.104690	43778
NORNE	2002	7	0.895680	0.088360	0.015980	0.000000	1.000010	0.133490	43778
NORNE	2002	8	0.902300	0.071460	0.013530	0.000000	0.987280	0.114450	43778
NORNE	2002	9	0.892970	0.014170	0.002610	0.000000	0.909760	0.115310	43778
NORNE	2002	10	0.746010	0.106990	0.019080	0.000000	0.872080	0.100890	43778
NORNE	2002	11	0.704450	0.122790	0.021490	0.000000	0.848730	0.110550	43778
NORNE	2002	12	0.670560	0.110130	0.019430	0.000000	0.800130	0.119340	43778
NORNE	2003	1	0.735820	0.047920	0.011340	0.000000	0.795080	0.107840	43778
NORNE	2003	2	0.604820	0.032870	0.008830	0.000000	0.646520	0.131990	43778
NORNE	2003	3	0.812780	0.092750	0.023800	0.000000	0.929330	0.158240	43778
NORNE	2003	4	0.679530	0.052370	0.012200	0.000000	0.744090	0.124880	43778
NORNE	2003	5	0.773450	0.095330	0.024830	0.000000	0.893610	0.187380	43778
NORNE	2003	6	0.714560	0.073530	0.017360	0.000000	0.805450	0.136110	43778
NORNE	2003	7	0.693690	0.075990	0.017330	0.000000	0.787000	0.154070	43778
NORNE	2003	8	0.691280	0.051930	0.010550	0.000000	0.753760	0.168480	43778
NORNE	2003	9	0.609370	0.020410	0.006420	0.000000	0.636210	0.155730	43778
NORNE	2003	10	0.753580	0.058010	0.013170	0.000000	0.824750	0.171490	43778
NORNE	2003	11	0.751400	0.057790	0.013490	0.000000	0.822680	0.184170	43778
NORNE	2003	12	0.731570	0.097230	0.021990	0.000000	0.850800	0.175360	43778
NORNE	2004	1	0.719350	0.129760	0.028240	0.000000	0.877340	0.167450	43778
NORNE	2004	2	0.609550	0.096360	0.021060	0.000000	0.726970	0.155090	43778
NORNE	2004	3	0.640820	0.107590	0.022830	0.000000	0.771250	0.181140	43778
NORNE	2004	4	0.571280	0.090610	0.018320	0.000000	0.680210	0.171090	43778
NORNE	2004	5	0.599570	0.083850	0.017180	0.000000	0.700600	0.193090	43778
NORNE	2004	6	0.612310	0.057210	0.011960	0.000000	0.681480	0.224500	43778
NORNE	2004	7	0.645240	0.071140	0.016310	0.000000	0.732700	0.237430	43778
NORNE	2004	8	0.413580	0.040150	0.008590	0.000000	0.462320	0.162320	43778
NORNE	2004	9	0.437690	0.048830	0.009810	0.000000	0.496330	0.165220	43778
NORNE	2004	10	0.664750	0.115270	0.025710	0.000000	0.805730	0.274530	43778
NORNE	2004	11	0.556350	0.071980	0.015130	0.000000	0.643460	0.243490	43778
NORNE	2004	12	0.537160	0.043370	0.009790	0.000000	0.590320	0.298130	43778
NORNE	2005	1	0.496960	0.080090	0.018030	0.000000	0.595070	0.375520	43778
NORNE	2005	2	0.442100	0.083300	0.018620	0.000000	0.544020	0.359240	43778
NORNE	2005	3	0.488080	0.095180	0.020840	0.000000	0.604100	0.421910	43778
NORNE	2005	4	0.457420	0.093410	0.020400	0.000000	0.571230	0.428180	43778
NORNE	2005	5	0.565670	0.099010	0.018910	0.000000	0.683590	0.401110	43778
NORNE	2005	6	0.543610	0.086050	0.020190	0.000000	0.649850	0.397220	43778
NORNE	2005	7	0.502860	0.090720	0.019930	0.000000	0.613510	0.357980	43778
NORNE	2005	8	0.435030	0.082880	0.018420	0.000000	0.536330	0.376790	43778
NORNE	2005	9	0.396890	0.075220	0.015790	0.000000	0.487890	0.449090	43778
NORNE	2005	10	0.376820	0.072010	0.016600	0.000000	0.465430	0.510260	43778
NORNE	2005	11	0.282040	0.051490	0.011650	0.000000	0.345170	0.418610	43778
NORNE	2005	12	0.279500	0.036310	0.008440	0.000000	0.324250	0.456950	43778
NORNE	2006	1	0.270950	0.026090	0.007040	0.000000	0.304080	0.352420	43778
NORNE	2006	2	0.390040	0.040780	0.011380	0.000000	0.442200	0.403880	43778
NORNE	2006	3	0.546480	0.057190	0.014950	0.000000	0.618610	0.507760	43778
NORNE	2006	4	0.519340	0.053630	0.013810	0.000000	0.586780	0.474070	43778
NORNE	2006	5	0.490950	0.053470	0.013940	0.000000	0.558360	0.451690	43778
NORNE	2006	6	0.420410	0.053510	0.014400	0.000000	0.488330	0.428120	43778
NORNE	2006	7	0.432720	0.050070	0.013780	0.000000	0.496570	0.494420	43778
NORNE	2006	8	0.437490	0.048180	0.012200	0.000000	0.497870	0.534520	43778
NORNE	2006	9	0.400400	0.002130	0.000560	0.000000	0.403090	0.527460	43778
NORNE	2006	10	0.366110	0.007900	0.001730	0.000000	0.375740	0.444170	43778
NORNE	2006	11	0.318340	0.036460	0.008530	0.000000	0.363330	0.451290	43778
NORNE	2006	12	0.255920	0.005600	0.001510	0.000000	0.263020	0.393120	43778
NORNE	2007	1	0.254220	0.038590	0.009780	0.000000	0.302580	0.313560	43778
NORNE	2007	2	0.299680	0.042950	0.010940	0.000000	0.353570	0.420510	43778
NORNE	2007	3	0.302930	0.041570	0.010410	0.000000	0.354910	0.437630	43778
NORNE	2007	4	0.290610	0.038910	0.009280	0.000000	0.338800	0.459690	43778
NORNE	2007	5	0.327950	0.038600	0.009540	0.000000	0.376090	0.498840	43778
NORNE	2007	6	0.318200	0.048260	0.012160	0.000000	0.378620	0.439240	43778
NORNE	2007	7	0.371810	0.044710	0.011630	0.000000	0.428150	0.482680	43778
NORNE	2007	8	0.414040	0.047420	0.012760	0.000000	0.474220	0.528050	43778
NORNE	2007	9	0.437030	0.045800	0.012510	0.000000	0.495330	0.526490	43778
NORNE	2007	10	0.438350	0.041050	0.011700	0.000000	0.491100	0.555420	43778
NORNE	2007	11	0.416690	0.041650	0.012340	0.000000	0.470670	0.576070	43778
NORNE	2007	12	0.402790	0.040360	0.011560	0.000000	0.454710	0.615720	43778
NORNE	2008	1	0.361400	0.037600	0.010240	0.000000	0.409240	0.566630	43778
NORNE	2008	2	0.324410	0.033550	0.009550	0.000000	0.367510	0.549010	43778
NORNE	2008	3	0.331080	0.034400	0.009580	0.000000	0.375060	0.543710	43778
NORNE	2008	4	0.299540	0.027540	0.007080	0.000000	0.334170	0.571030	43778
NORNE	2008	5	0.327860	0.027580	0.007730	0.000000	0.363170	0.572900	43778
NORNE	2008	6	0.338310	0.030920	0.008070	0.000000	0.377300	0.563990	43778
NORNE	2008	7	0.163190	0.012700	0.003320	0.000000	0.179210	0.260580	43778
NORNE	2008	8	0.073180	0.006670	0.001820	0.000000	0.081670	0.124290	43778
NORNE	2008	9	0.335980	0.034580	0.008940	0.000000	0.379500	0.608480	43778
NORNE	2008	10	0.332230	0.034380	0.009350	0.000000	0.375950	0.696020	43778
NORNE	2008	11	0.298230	0.031720	0.008400	0.000000	0.338340	0.640530	43778
NORNE	2008	12	0.296160	0.031220	0.007880	0.000000	0.335250	0.752790	43778
NORNE	2009	1	0.248460	0.025230	0.006740	0.000000	0.280430	0.670660	43778
NORNE	2009	2	0.252400	0.026640	0.007110	0.000000	0.286150	0.657900	43778
NORNE	2009	3	0.234910	0.023040	0.006200	0.000000	0.264150	0.693240	43778
NORNE	2009	4	0.221420	0.019450	0.005300	0.000000	0.246170	0.662950	43778
NORNE	2009	5	0.224200	0.020370	0.005600	0.000000	0.250160	0.706970	43778
NORNE	2009	6	0.193790	0.018180	0.004900	0.000000	0.216870	0.592400	43778
NORNE	2009	7	0.135810	0.009330	0.002460	0.000000	0.147590	0.397130	43778
NORNE	2009	8	0.136430	0.009050	0.002490	0.000000	0.147960	0.445420	43778
NORNE	2009	9	0.105070	0.006470	0.001670	0.000000	0.113220	0.410630	43778
NORNE	2009	10	0.141580	0.007610	0.001980	0.000000	0.151160	0.370000	43778
NORNE	2009	11	0.156470	0.007090	0.001900	0.000000	0.165450	0.415810	43778
NORNE	2009	12	0.163720	0.007890	0.002140	0.000000	0.173760	0.375740	43778
NORNE	2010	1	0.194090	0.012490	0.003270	0.000000	0.209860	0.346600	43778
NORNE	2010	2	0.184850	0.023300	0.006380	0.000000	0.214530	0.305720	43778
NORNE	2010	3	0.153620	0.008900	0.002400	0.000000	0.164920	0.467140	43778
NORNE	2010	4	0.153380	0.012340	0.003370	0.000000	0.169090	0.487300	43778
NORNE	2010	5	0.160020	0.009620	0.002620	0.000000	0.172250	0.538670	43778
NORNE	2010	6	0.183430	0.013980	0.003780	0.000000	0.201190	0.558070	43778
NORNE	2010	7	0.164450	0.009660	0.002600	0.000000	0.176710	0.582670	43778
NORNE	2010	8	0.101970	0.006320	0.001660	0.000000	0.109950	0.415670	43778
NORNE	2010	9	0.137480	0.017170	0.004460	0.000000	0.159110	0.581230	43778
NORNE	2010	10	0.181230	0.021960	0.005930	0.000000	0.209120	0.765670	43778
NORNE	2010	11	0.160450	0.016790	0.004540	0.000000	0.181790	0.685100	43778
NORNE	2010	12	0.156300	0.016780	0.004540	0.000000	0.177620	0.732680	43778
NORNE	2011	1	0.156820	0.025250	0.006720	0.000000	0.188790	0.720730	43778
NORNE	2011	2	0.144380	0.025490	0.006920	0.000000	0.176790	0.674460	43778
NORNE	2011	3	0.139290	0.020970	0.005890	0.000000	0.166140	0.686480	43778
NORNE	2011	4	0.192750	0.028080	0.007430	0.000000	0.228260	0.635590	43778
NORNE	2011	5	0.173400	0.027660	0.007840	0.000000	0.208900	0.727600	43778
NORNE	2011	6	0.130720	0.020820	0.005810	0.000000	0.157350	0.706230	43778
NORNE	2011	7	0.121560	0.018420	0.005170	0.000000	0.145150	0.667290	43778
NORNE	2011	8	0.119500	0.020430	0.005930	0.000000	0.145860	0.668460	43778
NORNE	2011	9	0.118120	0.016380	0.004630	0.000000	0.139130	0.688850	43778
NORNE	2011	10	0.119110	0.024430	0.006960	0.000000	0.150500	0.665190	43778
NORNE	2011	11	0.106010	0.016970	0.004870	0.000000	0.127860	0.619490	43778
NORNE	2011	12	0.093000	0.012520	0.003410	0.000000	0.108930	0.646270	43778
NORNE	2012	1	0.094470	0.015740	0.004310	0.000000	0.114510	0.689870	43778
NORNE	2012	2	0.071300	0.012080	0.003410	0.000000	0.086790	0.584530	43778
NORNE	2012	3	0.086260	0.008490	0.002430	0.000000	0.097170	0.694390	43778
NORNE	2012	4	0.059050	0.011980	0.003210	0.000000	0.074240	0.447360	43778
NORNE	2012	5	0.047590	0.015300	0.004120	0.000000	0.067010	0.427920	43778
NORNE	2012	6	0.050070	0.014930	0.003980	0.000000	0.068970	0.464670	43778
NORNE	2012	7	0.048930	0.013510	0.003760	0.000000	0.066200	0.555100	43778
NORNE	2012	8	0.050800	0.015260	0.004160	0.000000	0.070220	0.519610	43778
NORNE	2012	9	0.055990	0.008870	0.002440	0.000000	0.067300	0.563990	43778
NORNE	2012	10	0.051510	0.013720	0.004130	0.000000	0.069360	0.329270	43778
NORNE	2012	11	0.061170	0.015430	0.004430	0.000000	0.081030	0.351350	43778
NORNE	2012	12	0.066340	0.011600	0.003310	0.000000	0.081250	0.494990	43778
NORNE	2013	1	0.084390	0.011940	0.003420	0.000000	0.099750	0.626650	43778
NORNE	2013	2	0.062930	0.010980	0.002980	0.000000	0.076890	0.410740	43778
COD	1977	11	0.000000	0.000810	0.000000	0.000000	0.000810	0.000000	43785
COD	1977	12	0.001560	0.003410	0.000000	0.000000	0.004970	0.000000	43785
COD	1978	1	0.025070	0.052410	0.000000	0.000000	0.077480	0.000000	43785
COD	1978	2	0.011350	0.024700	0.000000	0.000000	0.036040	0.000000	43785
COD	1978	3	0.007350	0.015670	0.000000	0.000000	0.023020	0.000000	43785
COD	1978	4	0.005270	0.011680	0.000000	0.000000	0.016950	0.000000	43785
COD	1978	5	0.000420	0.001470	0.000000	0.000000	0.001890	0.000000	43785
COD	1978	6	0.012020	0.021030	0.000000	0.000000	0.033050	0.000000	43785
COD	1978	7	0.001690	0.003490	0.000000	0.000000	0.005170	0.000000	43785
COD	1978	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43785
COD	1978	9	0.000000	0.000060	0.000000	0.000000	0.000060	0.000000	43785
COD	1978	10	0.001110	0.001810	0.000000	0.000000	0.002920	0.000000	43785
COD	1978	11	0.003440	0.005360	0.000000	0.000000	0.008800	0.000000	43785
COD	1978	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43785
COD	1979	1	0.006340	0.012740	0.000000	0.000000	0.019080	0.000000	43785
COD	1979	2	0.007170	0.012710	0.000000	0.000000	0.019890	0.000000	43785
COD	1979	3	0.014200	0.023560	0.000220	0.000000	0.037980	0.000000	43785
COD	1979	4	0.030140	0.048080	0.001550	0.000000	0.079770	0.000000	43785
COD	1979	5	0.017890	0.034950	0.001490	0.000000	0.054330	0.000000	43785
COD	1979	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43785
COD	1979	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43785
COD	1979	8	0.044480	0.076140	0.005990	0.000000	0.126610	0.000000	43785
COD	1979	9	0.047830	0.080630	0.006770	0.000000	0.135230	0.000000	43785
COD	1979	10	0.030540	0.051960	0.003330	0.000000	0.085830	0.000000	43785
COD	1979	11	0.041030	0.070230	0.007130	0.000000	0.118390	0.000000	43785
COD	1979	12	0.045710	0.070980	0.008490	0.000000	0.125180	0.000000	43785
COD	1980	1	0.049270	0.084660	0.010870	0.000000	0.144800	0.000000	43785
COD	1980	2	0.049080	0.082390	0.010010	0.000000	0.141480	0.000000	43785
COD	1980	3	0.043720	0.074000	0.008630	0.000000	0.126360	0.000000	43785
COD	1980	4	0.030470	0.054520	0.006770	0.000000	0.091760	0.000000	43785
COD	1980	5	0.048330	0.085550	0.011240	0.000000	0.145120	0.000000	43785
COD	1980	6	0.044070	0.081860	0.010290	0.000000	0.136210	0.000000	43785
COD	1980	7	0.013610	0.023280	0.002820	0.000000	0.039710	0.000000	43785
COD	1980	8	0.033280	0.060550	0.008060	0.000000	0.101890	0.000000	43785
COD	1980	9	0.039770	0.075340	0.009990	0.000000	0.125100	0.000000	43785
COD	1980	10	0.036460	0.072000	0.009130	0.000000	0.117580	0.000000	43785
COD	1980	11	0.038790	0.072390	0.009440	0.000000	0.120620	0.000000	43785
COD	1980	12	0.038180	0.076800	0.009590	0.000000	0.124560	0.000000	43785
COD	1981	1	0.037790	0.070420	0.009150	0.000000	0.117360	0.000000	43785
COD	1981	2	0.034150	0.063680	0.008630	0.000000	0.106460	0.000000	43785
COD	1981	3	0.034680	0.069680	0.009390	0.000000	0.113740	0.000000	43785
COD	1981	4	0.029040	0.059180	0.008010	0.000000	0.096230	0.000000	43785
COD	1981	5	0.035110	0.067590	0.008550	0.000000	0.111260	0.000000	43785
COD	1981	6	0.032790	0.063770	0.008100	0.000000	0.104670	0.000000	43785
COD	1981	7	0.027970	0.057880	0.007280	0.000000	0.093130	0.000000	43785
COD	1981	8	0.006920	0.014530	0.001680	0.000000	0.023130	0.000000	43785
COD	1981	9	0.024150	0.052920	0.006540	0.000000	0.083620	0.000000	43785
COD	1981	10	0.023770	0.053010	0.006530	0.000000	0.083310	0.000000	43785
COD	1981	11	0.027140	0.055650	0.007330	0.000000	0.090110	0.000000	43785
COD	1981	12	0.028840	0.062980	0.007440	0.000000	0.099260	0.000000	43785
COD	1982	1	0.031940	0.073690	0.008250	0.000000	0.113880	0.000000	43785
COD	1982	2	0.027910	0.065670	0.008030	0.000000	0.101620	0.000000	43785
COD	1982	3	0.028690	0.066160	0.009150	0.000000	0.104000	0.000000	43785
COD	1982	4	0.030350	0.068110	0.008800	0.000000	0.107260	0.000000	43785
COD	1982	5	0.025190	0.057310	0.007040	0.000000	0.089530	0.000000	43785
COD	1982	6	0.025500	0.058440	0.008510	0.000000	0.092440	0.000000	43785
COD	1982	7	0.023460	0.056280	0.008520	0.000000	0.088260	0.000000	43785
COD	1982	8	0.025570	0.062060	0.009130	0.000000	0.096760	0.000000	43785
COD	1982	9	0.026150	0.059270	0.009020	0.000000	0.094440	0.000000	43785
COD	1982	10	0.021730	0.052330	0.007950	0.000000	0.082000	0.000000	43785
COD	1982	11	0.030560	0.076560	0.011220	0.000000	0.118340	0.000000	43785
COD	1982	12	0.025350	0.061960	0.009150	0.000000	0.096470	0.000000	43785
COD	1983	1	0.021680	0.054600	0.008490	0.000000	0.084770	0.000000	43785
COD	1983	2	0.028600	0.067760	0.010160	0.000000	0.106530	0.000000	43785
COD	1983	3	0.028480	0.069030	0.012950	0.000000	0.110460	0.000000	43785
COD	1983	4	0.025980	0.068860	0.013140	0.000000	0.107990	0.000000	43785
COD	1983	5	0.024870	0.068950	0.014190	0.000000	0.108010	0.000000	43785
COD	1983	6	0.023510	0.059370	0.010290	0.000000	0.093170	0.000000	43785
COD	1983	7	0.024940	0.067180	0.011240	0.000000	0.103360	0.000000	43785
COD	1983	8	0.023540	0.062350	0.009860	0.000000	0.095750	0.000000	43785
COD	1983	9	0.015430	0.040830	0.006760	0.000000	0.063020	0.000000	43785
COD	1983	10	0.021550	0.054950	0.008760	0.000000	0.085260	0.000000	43785
COD	1983	11	0.022190	0.057690	0.009750	0.000000	0.089630	0.000000	43785
COD	1983	12	0.022490	0.058770	0.009830	0.000000	0.091100	0.000000	43785
COD	1984	1	0.021480	0.058950	0.009060	0.000000	0.089500	0.000000	43785
COD	1984	2	0.019010	0.052580	0.009020	0.000000	0.080600	0.000000	43785
COD	1984	3	0.018710	0.052270	0.008410	0.000000	0.079390	0.000000	43785
COD	1984	4	0.018370	0.049440	0.009010	0.000000	0.076810	0.000000	43785
COD	1984	5	0.017850	0.049040	0.008710	0.000000	0.075590	0.000000	43785
COD	1984	6	0.017160	0.045780	0.008060	0.000000	0.071000	0.000000	43785
COD	1984	7	0.012030	0.033400	0.004910	0.000000	0.050340	0.000000	43785
COD	1984	8	0.008690	0.023640	0.003590	0.000000	0.035920	0.000000	43785
COD	1984	9	0.015380	0.043870	0.006550	0.000000	0.065800	0.000000	43785
COD	1984	10	0.015050	0.043980	0.007140	0.000000	0.066170	0.000000	43785
COD	1984	11	0.014320	0.039850	0.006200	0.000000	0.060370	0.000000	43785
COD	1984	12	0.013270	0.035930	0.006110	0.000000	0.055310	0.000000	43785
COD	1985	1	0.012250	0.034480	0.004860	0.000000	0.051590	0.000000	43785
COD	1985	2	0.011330	0.032700	0.005880	0.000000	0.049900	0.000000	43785
COD	1985	3	0.012900	0.035710	0.007080	0.000000	0.055690	0.000000	43785
COD	1985	4	0.011750	0.032440	0.005800	0.000000	0.049990	0.000000	43785
COD	1985	5	0.013330	0.039020	0.006860	0.000000	0.059210	0.000000	43785
COD	1985	6	0.012040	0.034690	0.006370	0.000000	0.053100	0.000000	43785
COD	1985	7	0.012470	0.036800	0.007210	0.000000	0.056480	0.000000	43785
COD	1985	8	0.011980	0.037820	0.007240	0.000000	0.057040	0.000000	43785
COD	1985	9	0.014690	0.044500	0.008830	0.000000	0.068020	0.000000	43785
COD	1985	10	0.013750	0.044560	0.007820	0.000000	0.066140	0.000000	43785
COD	1985	11	0.013240	0.040670	0.007610	0.000000	0.061530	0.000000	43785
COD	1985	12	0.013730	0.041300	0.007590	0.000000	0.062610	0.000000	43785
COD	1986	1	0.013790	0.041250	0.007650	0.000000	0.062680	0.000000	43785
COD	1986	2	0.011260	0.037380	0.006210	0.000000	0.054850	0.000000	43785
COD	1986	3	0.012480	0.039470	0.007330	0.000000	0.059290	0.000000	43785
COD	1986	4	0.002990	0.009140	0.001710	0.000000	0.013840	0.000000	43785
COD	1986	5	0.011950	0.037760	0.006570	0.000000	0.056270	0.000000	43785
COD	1986	6	0.012000	0.037830	0.006920	0.000000	0.056740	0.000000	43785
COD	1986	7	0.011170	0.038990	0.006360	0.000000	0.056510	0.000000	43785
COD	1986	8	0.011060	0.035540	0.005880	0.000000	0.052470	0.000000	43785
COD	1986	9	0.010240	0.034150	0.005100	0.000000	0.049490	0.000000	43785
COD	1986	10	0.009780	0.034670	0.003750	0.000000	0.048200	0.000000	43785
COD	1986	11	0.009540	0.029250	0.005320	0.000000	0.044110	0.000000	43785
COD	1986	12	0.009560	0.029420	0.005300	0.000000	0.044280	0.000000	43785
COD	1987	1	0.008030	0.024630	0.004190	0.000000	0.036850	0.000000	43785
COD	1987	2	0.004910	0.016120	0.002930	0.000000	0.023960	0.000000	43785
COD	1987	3	0.007480	0.025380	0.004060	0.000000	0.036910	0.000000	43785
COD	1987	4	0.007080	0.023460	0.004200	0.000000	0.034740	0.000000	43785
COD	1987	5	0.007490	0.026630	0.004600	0.000000	0.038720	0.000000	43785
COD	1987	6	0.007180	0.026820	0.004790	0.000000	0.038800	0.000000	43785
COD	1987	7	0.007490	0.025960	0.004620	0.000000	0.038070	0.000000	43785
COD	1987	8	0.002010	0.007660	0.001350	0.000000	0.011020	0.000000	43785
COD	1987	9	0.005450	0.019350	0.003390	0.000000	0.028180	0.000000	43785
COD	1987	10	0.007200	0.025010	0.004290	0.000000	0.036500	0.000000	43785
COD	1987	11	0.006860	0.023330	0.004040	0.000000	0.034230	0.000000	43785
COD	1987	12	0.010230	0.036430	0.006380	0.000000	0.053040	0.000000	43785
COD	1988	1	0.009760	0.036840	0.006800	0.000000	0.053390	0.000000	43785
COD	1988	2	0.008820	0.033160	0.006430	0.000000	0.048400	0.000000	43785
COD	1988	3	0.009380	0.034080	0.007010	0.000000	0.050470	0.000000	43785
COD	1988	4	0.009670	0.031460	0.006180	0.000000	0.047310	0.000000	43785
COD	1988	5	0.008800	0.030900	0.005480	0.000000	0.045180	0.000000	43785
COD	1988	6	0.008340	0.030680	0.005860	0.000000	0.044880	0.000000	43785
COD	1988	7	0.007490	0.029410	0.005570	0.000000	0.042470	0.000000	43785
COD	1988	8	0.008300	0.027700	0.005420	0.000000	0.041410	0.000000	43785
COD	1988	9	0.007690	0.025870	0.005090	0.000000	0.038650	0.000000	43785
COD	1988	10	0.007430	0.025410	0.004490	0.000000	0.037320	0.000000	43785
COD	1988	11	0.006900	0.023780	0.004620	0.000000	0.035300	0.000000	43785
COD	1988	12	0.007550	0.024380	0.004690	0.000000	0.036620	0.000000	43785
COD	1989	1	0.007950	0.024250	0.004220	0.000000	0.036420	0.000000	43785
COD	1989	2	0.006600	0.022740	0.004380	0.000000	0.033720	0.000000	43785
COD	1989	3	0.005530	0.019900	0.003660	0.000000	0.029090	0.000000	43785
COD	1989	4	0.004880	0.017210	0.003120	0.000000	0.025210	0.000000	43785
COD	1989	5	0.004260	0.013940	0.002540	0.000000	0.020750	0.000000	43785
COD	1989	6	0.005690	0.023040	0.003900	0.000000	0.032630	0.000000	43785
COD	1989	7	0.006520	0.022820	0.004220	0.000000	0.033550	0.000000	43785
COD	1989	8	0.005990	0.023810	0.004130	0.000000	0.033920	0.000000	43785
COD	1989	9	0.005880	0.022790	0.004210	0.000000	0.032880	0.000000	43785
COD	1989	10	0.005860	0.021710	0.004120	0.000000	0.031680	0.000000	43785
COD	1989	11	0.005660	0.020550	0.003620	0.000000	0.029830	0.000000	43785
COD	1989	12	0.006160	0.022410	0.003910	0.000000	0.032480	0.000000	43785
COD	1990	1	0.005790	0.021690	0.003980	0.000000	0.031460	0.000000	43785
COD	1990	2	0.004610	0.015620	0.002890	0.000000	0.023120	0.000000	43785
COD	1990	3	0.004770	0.015810	0.003120	0.000000	0.023710	0.000000	43785
COD	1990	4	0.005960	0.019820	0.003680	0.000000	0.029460	0.000000	43785
COD	1990	5	0.005900	0.021050	0.003970	0.000000	0.030920	0.000000	43785
COD	1990	6	0.005400	0.019040	0.003420	0.000000	0.027860	0.000000	43785
COD	1990	7	0.004180	0.014360	0.002310	0.000000	0.020850	0.000000	43785
COD	1990	8	0.003880	0.012870	0.002470	0.000000	0.019220	0.000000	43785
COD	1990	9	0.004420	0.015020	0.002560	0.000000	0.022000	0.000000	43785
COD	1990	10	0.004350	0.014970	0.002600	0.000000	0.021920	0.000000	43785
COD	1990	11	0.004000	0.011980	0.002040	0.000000	0.018020	0.000000	43785
COD	1990	12	0.003920	0.012200	0.001870	0.000000	0.017990	0.000000	43785
COD	1991	1	0.004010	0.012510	0.001970	0.000000	0.018480	0.000000	43785
COD	1991	2	0.003080	0.010580	0.001580	0.000000	0.015240	0.000000	43785
COD	1991	3	0.003720	0.012390	0.001910	0.000000	0.018020	0.000000	43785
COD	1991	4	0.003510	0.012090	0.001890	0.000000	0.017490	0.000000	43785
COD	1991	5	0.003560	0.012000	0.001810	0.000000	0.017370	0.000000	43785
COD	1991	6	0.005400	0.018250	0.002810	0.000000	0.026470	0.000000	43785
COD	1991	7	0.005880	0.020810	0.002760	0.000000	0.029450	0.000000	43785
COD	1991	8	0.002020	0.006900	0.000680	0.000000	0.009610	0.000000	43785
COD	1991	9	0.005020	0.017070	0.002520	0.000000	0.024620	0.000000	43785
COD	1991	10	0.005200	0.017250	0.002530	0.000000	0.024980	0.000000	43785
COD	1991	11	0.005050	0.016620	0.002390	0.000000	0.024060	0.000000	43785
COD	1991	12	0.004870	0.016500	0.002430	0.000000	0.023810	0.000000	43785
COD	1992	1	0.004950	0.016910	0.002360	0.000000	0.024220	0.000000	43785
COD	1992	2	0.004060	0.014650	0.002040	0.000000	0.020760	0.000000	43785
COD	1992	3	0.003380	0.011170	0.001460	0.000000	0.016010	0.000000	43785
COD	1992	4	0.004390	0.015560	0.002210	0.000000	0.022150	0.000000	43785
COD	1992	5	0.003470	0.012770	0.001660	0.000000	0.017890	0.000000	43785
COD	1992	6	0.003100	0.011110	0.001540	0.000000	0.015750	0.000000	43785
COD	1992	7	0.004130	0.014660	0.001990	0.000000	0.020770	0.000000	43785
COD	1992	8	0.004210	0.015270	0.002060	0.000000	0.021550	0.000000	43785
COD	1992	9	0.004060	0.013780	0.001920	0.000000	0.019760	0.000000	43785
COD	1992	10	0.004420	0.016220	0.001660	0.000000	0.022300	0.000000	43785
COD	1992	11	0.004450	0.014600	0.001720	0.000000	0.020780	0.000000	43785
COD	1992	12	0.004300	0.014700	0.001920	0.000000	0.020920	0.000000	43785
COD	1993	1	0.003570	0.012580	0.001690	0.000000	0.017840	0.000000	43785
COD	1993	2	0.003820	0.013630	0.001850	0.000000	0.019300	0.000000	43785
COD	1993	3	0.003510	0.012260	0.001630	0.000000	0.017400	0.000000	43785
COD	1993	4	0.003980	0.013940	0.001950	0.000000	0.019880	0.000000	43785
COD	1993	5	0.003890	0.013360	0.001850	0.000000	0.019100	0.000000	43785
COD	1993	6	0.003640	0.011730	0.001620	0.000000	0.016980	0.000000	43785
COD	1993	7	0.003970	0.014690	0.001920	0.000000	0.020570	0.000000	43785
COD	1993	8	0.004640	0.014990	0.002080	0.000000	0.021720	0.000000	43785
COD	1993	9	0.003650	0.012280	0.001690	0.000000	0.017620	0.000000	43785
COD	1993	10	0.003800	0.013120	0.001750	0.000000	0.018670	0.000000	43785
COD	1993	11	0.004120	0.013440	0.001900	0.000000	0.019460	0.000000	43785
COD	1993	12	0.002950	0.011170	0.001430	0.000000	0.015550	0.000000	43785
COD	1994	1	0.003910	0.014110	0.001870	0.000000	0.019890	0.000000	43785
COD	1994	2	0.003790	0.012750	0.001730	0.000000	0.018270	0.000000	43785
COD	1994	3	0.004330	0.014470	0.002010	0.000000	0.020820	0.000000	43785
COD	1994	4	0.004060	0.013890	0.001890	0.000000	0.019840	0.000000	43785
COD	1994	5	0.004150	0.014520	0.002010	0.000000	0.020680	0.000000	43785
COD	1994	6	0.004060	0.013650	0.001950	0.000000	0.019650	0.000000	43785
COD	1994	7	0.004120	0.014120	0.001660	0.000000	0.019900	0.000000	43785
COD	1994	8	0.002450	0.008360	0.000960	0.000000	0.011770	0.000000	43785
COD	1994	9	0.003940	0.012990	0.001760	0.000000	0.018700	0.000000	43785
COD	1994	10	0.003790	0.011570	0.001660	0.000000	0.017030	0.000000	43785
COD	1994	11	0.003770	0.012330	0.001780	0.000000	0.017880	0.000000	43785
COD	1994	12	0.003940	0.012490	0.001840	0.000000	0.018270	0.000000	43785
COD	1995	1	0.003780	0.012420	0.001830	0.000000	0.018040	0.000000	43785
COD	1995	2	0.003250	0.011840	0.001740	0.000000	0.016820	0.000000	43785
COD	1995	3	0.004180	0.015610	0.002280	0.000000	0.022080	0.000000	43785
COD	1995	4	0.004330	0.015130	0.002160	0.000000	0.021620	0.000000	43785
COD	1995	5	0.004390	0.015570	0.002250	0.000000	0.022210	0.000000	43785
COD	1995	6	0.004600	0.015850	0.002140	0.000000	0.022590	0.000000	43785
COD	1995	7	0.003840	0.012530	0.001770	0.000000	0.018140	0.000000	43785
COD	1995	8	0.002780	0.009010	0.001280	0.000000	0.013060	0.000000	43785
COD	1995	9	0.004060	0.014930	0.002180	0.000000	0.021170	0.000000	43785
COD	1995	10	0.004430	0.015180	0.001370	0.000000	0.020970	0.000000	43785
COD	1995	11	0.003120	0.011310	0.001340	0.000000	0.015770	0.000000	43785
COD	1995	12	0.004150	0.014360	0.002030	0.000000	0.020540	0.000000	43785
COD	1996	1	0.003530	0.012050	0.001700	0.000000	0.017290	0.000000	43785
COD	1996	2	0.001880	0.007070	0.000960	0.000000	0.009910	0.000000	43785
COD	1996	3	0.003720	0.014650	0.001920	0.000000	0.020280	0.000000	43785
COD	1996	4	0.003660	0.013770	0.001840	0.000000	0.019260	0.000000	43785
COD	1996	5	0.003940	0.014990	0.001740	0.000000	0.020670	0.000000	43785
COD	1996	6	0.003310	0.011800	0.001420	0.000000	0.016530	0.000000	43785
COD	1996	7	0.003730	0.012680	0.001670	0.000000	0.018080	0.000000	43785
COD	1996	8	0.004020	0.013300	0.001840	0.000000	0.019160	0.000000	43785
COD	1996	9	0.003750	0.012730	0.001730	0.000000	0.018210	0.000000	43785
COD	1996	10	0.003830	0.013000	0.001730	0.000000	0.018560	0.000000	43785
COD	1996	11	0.002530	0.008820	0.001170	0.000000	0.012520	0.000000	43785
COD	1996	12	0.003830	0.012860	0.001710	0.000000	0.018400	0.000000	43785
COD	1997	1	0.002420	0.008850	0.001220	0.000000	0.012490	0.000000	43785
COD	1997	2	0.003010	0.009760	0.001530	0.000000	0.014310	0.000000	43785
COD	1997	3	0.003220	0.011950	0.001570	0.000000	0.016740	0.000000	43785
COD	1997	4	0.003550	0.010890	0.001620	0.000000	0.016060	0.000000	43785
COD	1997	5	0.003410	0.011540	0.001570	0.000000	0.016530	0.000000	43785
COD	1997	6	0.002730	0.010240	0.001320	0.000000	0.014290	0.000000	43785
COD	1997	7	0.002230	0.008240	0.001130	0.000000	0.011600	0.000000	43785
COD	1997	8	0.002530	0.010260	0.001500	0.000000	0.014280	0.000000	43785
COD	1997	9	0.002450	0.009270	0.001350	0.000000	0.013080	0.000000	43785
COD	1997	10	0.002240	0.008550	0.001270	0.000000	0.012050	0.000000	43785
COD	1997	11	0.002510	0.008680	0.001380	0.000000	0.012570	0.000000	43785
COD	1997	12	0.002480	0.008910	0.001390	0.000000	0.012780	0.000000	43785
COD	1998	1	0.002790	0.010460	0.001730	0.000000	0.014980	0.000000	43785
COD	1998	2	0.002750	0.011820	0.001680	0.000000	0.016240	0.000000	43785
COD	1998	3	0.002680	0.011280	0.001560	0.000000	0.015510	0.000000	43785
COD	1998	4	0.002410	0.009630	0.001580	0.000000	0.013620	0.000000	43785
COD	1998	5	0.002530	0.010830	0.001590	0.000000	0.014950	0.000000	43785
COD	1998	6	0.002320	0.010480	0.001580	0.000000	0.014380	0.000000	43785
COD	1998	7	0.002320	0.010380	0.001380	0.000000	0.014090	0.000000	43785
MIME	1990	10	0.002230	0.000480	0.000180	0.000000	0.002890	0.000000	43792
MIME	1990	11	0.011900	0.002640	0.000900	0.000000	0.015430	0.000000	43792
MIME	1990	12	0.011710	0.002650	0.000850	0.000000	0.015210	0.000000	43792
MIME	1991	1	0.015730	0.003720	0.001170	0.000000	0.020620	0.000000	43792
MIME	1991	2	0.014710	0.003370	0.001040	0.000000	0.019120	0.000000	43792
MIME	1991	3	0.016470	0.003830	0.001190	0.000000	0.021490	0.000000	43792
MIME	1991	4	0.015320	0.003470	0.001150	0.000000	0.019940	0.000000	43792
MIME	1991	5	0.015200	0.003370	0.001080	0.000000	0.019650	0.000000	43792
MIME	1991	6	0.014100	0.003120	0.000990	0.000000	0.018200	0.000000	43792
MIME	1991	7	0.013800	0.003180	0.000870	0.000000	0.017850	0.000000	43792
MIME	1991	8	0.005120	0.001150	0.000230	0.000000	0.006500	0.000000	43792
MIME	1991	9	0.013720	0.003120	0.001040	0.000000	0.017890	0.000000	43792
MIME	1991	10	0.013470	0.002950	0.000930	0.000000	0.017350	0.000000	43792
MIME	1991	11	0.012260	0.002670	0.000820	0.000000	0.015750	0.000000	43792
MIME	1991	12	0.012460	0.002760	0.000830	0.000000	0.016040	0.000000	43792
MIME	1992	1	0.012500	0.002730	0.000780	0.000000	0.016010	0.000000	43792
MIME	1992	2	0.011280	0.002500	0.000710	0.000000	0.014490	0.000000	43792
MIME	1992	3	0.009810	0.002140	0.000580	0.000000	0.012530	0.000000	43792
MIME	1992	4	0.008380	0.001880	0.000540	0.000000	0.010800	0.000000	43792
MIME	1992	5	0.009250	0.002110	0.000580	0.000000	0.011940	0.000000	43792
MIME	1992	6	0.010980	0.002480	0.000710	0.000000	0.014170	0.000000	43792
MIME	1992	7	0.010790	0.002470	0.000700	0.000000	0.013960	0.000000	43792
MIME	1992	8	0.010610	0.002380	0.000700	0.000000	0.013690	0.000000	43792
MIME	1992	9	0.009890	0.002240	0.000650	0.000000	0.012780	0.000000	43792
MIME	1992	10	0.010660	0.002420	0.000520	0.000000	0.013600	0.000000	43792
MIME	1992	11	0.009630	0.002220	0.000540	0.000000	0.012390	0.000000	43792
MIME	1992	12	0.008560	0.002030	0.000550	0.000000	0.011140	0.000000	43792
MIME	1993	1	0.008340	0.001900	0.000510	0.000000	0.010750	0.000000	43792
MIME	1993	2	0.007480	0.001650	0.000460	0.000000	0.009590	0.000000	43792
MIME	1993	3	0.001660	0.000300	0.000090	0.000000	0.002060	0.000000	43792
MIME	1993	4	0.005410	0.001110	0.000310	0.000000	0.006830	0.000000	43792
MIME	1993	5	0.008230	0.001990	0.000540	0.000000	0.010750	0.000000	43792
MIME	1993	6	0.006410	0.001490	0.000410	0.000000	0.008310	0.000000	43792
MIME	1993	7	0.007560	0.001670	0.000460	0.000000	0.009700	0.000000	43792
MIME	1993	8	0.007220	0.001630	0.000450	0.000000	0.009300	0.000000	43792
MIME	1993	9	0.006150	0.001450	0.000400	0.000000	0.008010	0.000000	43792
MIME	1993	10	0.005240	0.001260	0.000330	0.000000	0.006840	0.000000	43792
MIME	1993	11	0.000540	0.000120	0.000040	0.000000	0.000690	0.000000	43792
ULA	1986	10	0.121000	0.000200	0.007560	0.000000	0.128750	0.000000	43800
ULA	1986	11	0.294850	0.015980	0.024110	0.000000	0.334940	0.000000	43800
ULA	1986	12	0.430740	0.021780	0.034660	0.000000	0.487180	0.000000	43800
ULA	1987	1	0.438810	0.027590	0.034880	0.000000	0.501280	0.000000	43800
ULA	1987	2	0.392690	0.028320	0.031490	0.000000	0.452500	0.000000	43800
ULA	1987	3	0.349610	0.024280	0.032340	0.000000	0.406230	0.000000	43800
ULA	1987	4	0.429900	0.031310	0.036990	0.000000	0.498200	0.000000	43800
ULA	1987	5	0.445990	0.030690	0.036130	0.000000	0.512820	0.000000	43800
ULA	1987	6	0.287370	0.018930	0.024910	0.000000	0.331210	0.000000	43800
ULA	1987	7	0.451910	0.031970	0.041220	0.000000	0.525100	0.000000	43800
ULA	1987	8	0.127530	0.009180	0.011600	0.000000	0.148320	0.000000	43800
ULA	1987	9	0.391380	0.025930	0.033430	0.000000	0.450740	0.000000	43800
ULA	1987	10	0.458290	0.033820	0.040780	0.000000	0.532900	0.000000	43800
ULA	1987	11	0.420630	0.030000	0.038660	0.000000	0.489290	0.000000	43800
ULA	1987	12	0.386700	0.028010	0.034410	0.000000	0.449120	0.000000	43800
ULA	1988	1	0.458380	0.035020	0.043580	0.000000	0.536980	0.000000	43800
ULA	1988	2	0.418600	0.030170	0.043200	0.000000	0.491970	0.000000	43800
ULA	1988	3	0.452220	0.032470	0.047200	0.000000	0.531890	0.000000	43800
ULA	1988	4	0.440830	0.031430	0.046320	0.000000	0.518570	0.000000	43800
ULA	1988	5	0.429720	0.030310	0.039300	0.000000	0.499330	0.000000	43800
ULA	1988	6	0.317330	0.022610	0.031800	0.000000	0.371740	0.000000	43800
ULA	1988	7	0.460900	0.032790	0.044580	0.000000	0.538270	0.000000	43800
ULA	1988	8	0.444270	0.030590	0.043930	0.000000	0.518790	0.000000	43800
ULA	1988	9	0.427890	0.029580	0.040800	0.000000	0.498270	0.000000	43800
ULA	1988	10	0.419360	0.030470	0.041550	0.000000	0.491380	0.000000	43800
ULA	1988	11	0.436460	0.031110	0.044150	0.000000	0.511720	0.000000	43800
ULA	1988	12	0.355700	0.024890	0.036090	0.000000	0.416680	0.000000	43800
ULA	1989	1	0.469390	0.032300	0.041560	0.000000	0.543250	0.000000	43800
ULA	1989	2	0.369160	0.025450	0.038380	0.000000	0.432990	0.000000	43800
ULA	1989	3	0.453420	0.030410	0.044500	0.000000	0.528320	0.000000	43800
ULA	1989	4	0.408500	0.028530	0.041860	0.000000	0.478890	0.000000	43800
ULA	1989	5	0.455440	0.031740	0.046450	0.000000	0.533620	0.000000	43800
ULA	1989	6	0.349520	0.022630	0.033040	0.000000	0.405180	0.000000	43800
ULA	1989	7	0.447090	0.030380	0.042330	0.000000	0.519790	0.000000	43800
ULA	1989	8	0.438970	0.030800	0.041960	0.000000	0.511730	0.000000	43800
ULA	1989	9	0.443000	0.031720	0.044620	0.000000	0.519340	0.000000	43800
ULA	1989	10	0.439490	0.030240	0.044460	0.000000	0.514190	0.000000	43800
ULA	1989	11	0.405100	0.027490	0.039950	0.000000	0.472540	0.000000	43800
ULA	1989	12	0.377030	0.026320	0.033580	0.000000	0.436940	0.000000	43800
ULA	1990	1	0.462410	0.031320	0.045430	0.000000	0.539160	0.000000	43800
ULA	1990	2	0.415480	0.028590	0.041880	0.000000	0.485950	0.000000	43800
ULA	1990	3	0.452470	0.031800	0.045600	0.000000	0.529870	0.000000	43800
ULA	1990	4	0.447960	0.030590	0.044630	0.000000	0.523190	0.000000	43800
ULA	1990	5	0.328310	0.022580	0.032820	0.000000	0.383720	0.000000	43800
ULA	1990	6	0.459280	0.029910	0.048960	0.000000	0.538150	0.000000	43800
ULA	1990	7	0.439460	0.028850	0.036950	0.000000	0.505270	0.000000	43800
ULA	1990	8	0.492260	0.033400	0.045140	0.000000	0.570810	0.000000	43800
ULA	1990	9	0.453820	0.031060	0.041500	0.000000	0.526380	0.000000	43800
ULA	1990	10	0.508100	0.036700	0.045260	0.000000	0.590070	0.000000	43800
ULA	1990	11	0.519570	0.035760	0.042990	0.000000	0.598320	0.000000	43800
ULA	1990	12	0.525910	0.035240	0.043430	0.000000	0.604590	0.000000	43800
ULA	1991	1	0.552750	0.036860	0.044210	0.000000	0.633810	0.000000	43800
ULA	1991	2	0.500200	0.032530	0.037690	0.000000	0.570420	0.000000	43800
ULA	1991	3	0.567220	0.035580	0.045390	0.000000	0.648190	0.000000	43800
ULA	1991	4	0.562390	0.035830	0.045700	0.000000	0.643930	0.000000	43800
ULA	1991	5	0.588330	0.038210	0.047220	0.000000	0.673760	0.000000	43800
ULA	1991	6	0.551600	0.034370	0.042640	0.000000	0.628610	0.000000	43800
ULA	1991	7	0.598410	0.037390	0.046370	0.000000	0.682170	0.000000	43800
ULA	1991	8	0.272000	0.013570	0.014560	0.000000	0.300130	0.000000	43800
ULA	1991	9	0.632330	0.038530	0.053270	0.000000	0.724130	0.000000	43800
ULA	1991	10	0.650630	0.040640	0.052000	0.000000	0.743270	0.000000	43800
ULA	1991	11	0.633690	0.039260	0.048610	0.000000	0.721560	0.000000	43800
ULA	1991	12	0.673190	0.041650	0.051950	0.000000	0.766790	0.000000	43800
ULA	1992	1	0.672390	0.041370	0.050140	0.000000	0.763890	0.000000	43800
ULA	1992	2	0.622230	0.037790	0.046110	0.000000	0.706120	0.000000	43800
ULA	1992	3	0.679240	0.041070	0.049690	0.000000	0.770000	0.000000	43800
ULA	1992	4	0.655850	0.039980	0.050690	0.000000	0.746520	0.000000	43800
ULA	1992	5	0.516110	0.031320	0.038520	0.000000	0.585940	0.000000	43800
ULA	1992	6	0.639430	0.039410	0.047950	0.000000	0.726790	0.000000	43800
ULA	1992	7	0.646260	0.040680	0.047300	0.000000	0.734250	0.000000	43800
ULA	1992	8	0.615050	0.039320	0.045010	0.000000	0.699390	0.000000	43800
ULA	1992	9	0.560540	0.036010	0.040860	0.000000	0.637410	0.000000	43800
ULA	1992	10	0.557480	0.037050	0.034130	0.000000	0.628660	0.000000	43800
ULA	1992	11	0.556780	0.036100	0.038650	0.000000	0.631530	0.000000	43800
ULA	1992	12	0.595570	0.037230	0.041480	0.000000	0.674270	0.000000	43800
ULA	1993	1	0.595500	0.038200	0.042560	0.000000	0.676250	0.000000	43800
ULA	1993	2	0.527120	0.034180	0.036610	0.000000	0.597920	0.000000	43800
ULA	1993	3	0.629070	0.038500	0.045640	0.000000	0.713220	0.000000	43800
ULA	1993	4	0.661220	0.042440	0.047560	0.000000	0.751220	0.000000	43800
ULA	1993	5	0.706190	0.045990	0.050870	0.000000	0.803040	0.000000	43800
ULA	1993	6	0.654660	0.041540	0.046390	0.000000	0.742580	0.000000	43800
ULA	1993	7	0.639870	0.041690	0.044890	0.000000	0.726450	0.000000	43800
ULA	1993	8	0.534310	0.035020	0.037420	0.000000	0.606750	0.000000	43800
ULA	1993	9	0.557380	0.035610	0.038820	0.000000	0.631810	0.000000	43800
ULA	1993	10	0.651310	0.042390	0.043870	0.000000	0.737570	0.000000	43800
ULA	1993	11	0.584210	0.037110	0.040690	0.000000	0.662010	0.000000	43800
ULA	1993	12	0.605250	0.039340	0.041710	0.000000	0.686290	0.000000	43800
ULA	1994	1	0.570190	0.036680	0.040410	0.000000	0.647280	0.000000	43800
ULA	1994	2	0.488820	0.030860	0.034590	0.000000	0.554270	0.000000	43800
ULA	1994	3	0.449470	0.029020	0.032540	0.000000	0.511030	0.000000	43800
ULA	1994	4	0.527360	0.034610	0.036680	0.000000	0.598650	0.000000	43800
ULA	1994	5	0.514410	0.033210	0.035620	0.000000	0.583250	0.000000	43800
ULA	1994	6	0.523260	0.033860	0.035600	0.000000	0.592720	0.000000	43800
ULA	1994	7	0.501450	0.033670	0.030070	0.000000	0.565190	0.000000	43800
ULA	1994	8	0.193100	0.011890	0.011120	0.000000	0.216110	0.000000	43800
ULA	1994	9	0.429600	0.027590	0.029410	0.000000	0.486600	0.000000	43800
ULA	1994	10	0.410610	0.022860	0.027960	0.000000	0.461420	0.000000	43800
ULA	1994	11	0.428300	0.027860	0.029340	0.000000	0.485500	0.000000	43800
ULA	1994	12	0.420970	0.027030	0.029480	0.000000	0.477470	0.000000	43800
ULA	1995	1	0.352840	0.022770	0.024920	0.000000	0.400530	0.000000	43800
ULA	1995	2	0.306040	0.019040	0.021460	0.000000	0.346540	0.000000	43800
ULA	1995	3	0.312860	0.019850	0.021530	0.000000	0.354240	0.000000	43800
ULA	1995	4	0.362620	0.022920	0.025190	0.000000	0.410730	0.000000	43800
ULA	1995	5	0.344260	0.021030	0.023620	0.000000	0.388910	0.000000	43800
ULA	1995	6	0.327320	0.019870	0.021460	0.000000	0.368650	0.000000	43800
ULA	1995	7	0.348580	0.021390	0.023390	0.000000	0.393360	0.000000	43800
ULA	1995	8	0.316550	0.019530	0.020780	0.000000	0.356860	0.000000	43800
ULA	1995	9	0.253650	0.014560	0.016700	0.000000	0.284910	0.000000	43800
ULA	1995	10	0.291130	0.017510	0.016310	0.000000	0.324940	0.000000	43800
ULA	1995	11	0.293140	0.018390	0.018730	0.000000	0.330260	0.000000	43800
ULA	1995	12	0.290090	0.017700	0.019690	0.000000	0.327480	0.000000	43800
ULA	1996	1	0.248520	0.014250	0.016100	0.000000	0.278870	0.000000	43800
ULA	1996	2	0.243640	0.014530	0.015400	0.000000	0.273570	0.000000	43800
ULA	1996	3	0.250260	0.014940	0.016080	0.000000	0.281280	0.000000	43800
ULA	1996	4	0.231330	0.013240	0.014700	0.000000	0.259270	0.000000	43800
ULA	1996	5	0.180440	0.010340	0.010310	0.000000	0.201090	0.000000	43800
ULA	1996	6	0.249130	0.015320	0.014080	0.000000	0.278540	0.000000	43800
ULA	1996	7	0.245310	0.015390	0.013890	0.000000	0.274580	0.000000	43800
ULA	1996	8	0.235210	0.014420	0.013970	0.000000	0.263600	0.000000	43800
ULA	1996	9	0.212190	0.013420	0.012260	0.000000	0.237860	0.000000	43800
ULA	1996	10	0.222710	0.014400	0.012980	0.000000	0.250090	0.000000	43800
ULA	1996	11	0.203840	0.012890	0.011660	0.000000	0.228390	0.000000	43800
ULA	1996	12	0.192010	0.012170	0.010730	0.000000	0.214900	0.000000	43800
ULA	1997	1	0.185690	0.013230	0.010850	0.000000	0.209760	0.000000	43800
ULA	1997	2	0.162750	0.011920	0.010010	0.000000	0.184680	0.000000	43800
ULA	1997	3	0.181130	0.013030	0.010760	0.000000	0.204920	0.000000	43800
ULA	1997	4	0.174290	0.010520	0.009620	0.000000	0.194440	0.000000	43800
ULA	1997	5	0.133240	0.007830	0.007710	0.000000	0.148790	0.000000	43800
ULA	1997	6	0.197720	0.013370	0.011340	0.000000	0.222430	0.000000	43800
ULA	1997	7	0.208760	0.014140	0.011960	0.000000	0.234860	0.000000	43800
ULA	1997	8	0.202420	0.012890	0.011010	0.000000	0.226320	0.000000	43800
ULA	1997	9	0.191140	0.012280	0.010820	0.000000	0.214250	0.000000	43800
ULA	1997	10	0.192910	0.012180	0.011180	0.000000	0.216280	0.000000	43800
ULA	1997	11	0.201030	0.013440	0.012250	0.000000	0.226720	0.000000	43800
ULA	1997	12	0.190680	0.011790	0.010430	0.000000	0.212900	0.000000	43800
ULA	1998	1	0.192630	0.008540	0.011070	0.000000	0.212240	0.000000	43800
ULA	1998	2	0.166990	0.001330	0.007680	0.000000	0.176000	0.000000	43800
ULA	1998	3	0.161630	0.004870	0.007320	0.000000	0.173810	0.000000	43800
ULA	1998	4	0.165670	0.001830	0.008420	0.000000	0.175920	0.000000	43800
ULA	1998	5	0.178110	0.001500	0.008830	0.000000	0.188440	0.000000	43800
ULA	1998	6	0.160990	0.002490	0.007570	0.000000	0.171060	0.000000	43800
ULA	1998	7	0.127020	0.001530	0.005630	0.000000	0.134180	0.000000	43800
ULA	1998	8	0.035910	0.000000	0.000840	0.000000	0.036750	0.000000	43800
ULA	1998	9	0.105030	0.000000	0.003690	0.000000	0.108720	0.000000	43800
ULA	1998	10	0.108450	0.000000	0.003340	0.000000	0.111790	0.000000	43800
ULA	1998	11	0.143340	0.000000	0.004210	0.000000	0.147550	0.000000	43800
ULA	1998	12	0.151480	0.000000	0.005130	0.000000	0.156610	0.000000	43800
ULA	1999	1	0.144110	0.000000	0.004700	0.000000	0.148820	0.000000	43800
ULA	1999	2	0.122040	0.000000	0.004470	0.000000	0.126500	0.000000	43800
ULA	1999	3	0.139710	0.000000	0.005010	0.000000	0.144730	0.000000	43800
ULA	1999	4	0.137850	0.000000	0.004570	0.000000	0.142420	0.000000	43800
ULA	1999	5	0.117920	0.000000	0.004250	0.000000	0.122170	0.000000	43800
ULA	1999	6	0.131020	0.000000	0.004510	0.000000	0.135530	0.000000	43800
ULA	1999	7	0.132920	0.000000	0.004630	0.000000	0.137550	0.000000	43800
ULA	1999	8	0.115560	0.000000	0.004010	0.000000	0.119570	0.000000	43800
ULA	1999	9	0.112940	0.000000	0.003770	0.000000	0.116710	0.000000	43800
ULA	1999	10	0.109160	0.000000	0.003800	0.000000	0.112970	0.000000	43800
ULA	1999	11	0.081490	0.000000	0.002910	0.000000	0.084400	0.000000	43800
ULA	1999	12	0.112290	0.000000	0.004180	0.000000	0.116470	0.000000	43800
ULA	2000	1	0.110280	0.000000	0.004010	0.000000	0.114280	0.420280	43800
ULA	2000	2	0.098270	0.000000	0.003750	0.000000	0.102020	0.415200	43800
ULA	2000	3	0.096290	0.000000	0.003300	0.000000	0.099590	0.401740	43800
ULA	2000	4	0.103170	0.000000	0.003550	0.000000	0.106720	0.446580	43800
ULA	2000	5	0.099050	0.000000	0.003300	0.000000	0.102350	0.398670	43800
ULA	2000	6	0.096490	0.000000	0.003290	0.000000	0.099790	0.391290	43800
ULA	2000	7	0.103190	0.000000	0.003500	0.000000	0.106690	0.405010	43800
ULA	2000	8	0.098880	0.000000	0.003830	0.000000	0.102700	0.384600	43800
ULA	2000	9	0.090510	0.000000	0.003500	0.000000	0.094010	0.280160	43800
ULA	2000	10	0.079410	0.000000	0.003120	0.000000	0.082530	0.171770	43800
ULA	2000	11	0.095490	0.000000	0.003870	0.000000	0.099360	0.239100	43800
ULA	2000	12	0.106780	0.000000	0.004440	0.000000	0.111220	0.383470	43800
ULA	2001	1	0.105710	0.000000	0.004600	0.000000	0.110310	0.493590	43800
ULA	2001	2	0.109440	0.000000	0.004880	0.000000	0.114320	0.331460	43800
ULA	2001	3	0.131200	0.000000	0.006250	0.000000	0.137450	0.422510	43800
ULA	2001	4	0.129130	0.000000	0.006370	0.000000	0.135490	0.434380	43800
ULA	2001	5	0.076880	0.000000	0.003380	0.000000	0.080260	0.286780	43800
ULA	2001	6	0.095350	0.000000	0.004000	0.000000	0.099350	0.300000	43800
ULA	2001	7	0.117720	0.000000	0.006000	0.000000	0.123720	0.383730	43800
ULA	2001	8	0.062670	0.000000	0.002850	0.000000	0.065520	0.203910	43800
ULA	2001	9	0.117370	0.005010	0.007690	0.000000	0.130060	0.265590	43800
ULA	2001	10	0.131500	0.000420	0.007790	0.000000	0.139710	0.261190	43800
ULA	2001	11	0.120460	0.000900	0.007500	0.000000	0.128860	0.285980	43800
ULA	2001	12	0.125470	0.000000	0.008190	0.000000	0.133660	0.401320	43800
ULA	2002	1	0.117940	0.000000	0.007680	0.000000	0.125610	0.280830	43800
ULA	2002	2	0.098280	0.000060	0.006900	0.000000	0.105240	0.224220	43800
ULA	2002	3	0.111060	0.000150	0.006600	0.000000	0.117810	0.236360	43800
ULA	2002	4	0.105130	0.005820	0.007730	0.000000	0.118680	0.275430	43800
ULA	2002	5	0.100490	0.006500	0.007220	0.000000	0.114220	0.259180	43800
ULA	2002	6	0.109210	0.012990	0.009670	0.000000	0.131870	0.282270	43800
ULA	2002	7	0.100980	0.001340	0.008090	0.000000	0.110420	0.290810	43800
ULA	2002	8	0.091840	0.004980	0.007340	0.000000	0.104160	0.200330	43800
ULA	2002	9	0.104250	0.007610	0.009480	0.000000	0.121340	0.295400	43800
ULA	2002	10	0.109120	0.002880	0.008060	0.000000	0.120050	0.283420	43800
ULA	2002	11	0.099850	0.001000	0.006730	0.000000	0.107590	0.263350	43800
ULA	2002	12	0.092830	0.002280	0.006820	0.000000	0.101930	0.117300	43800
ULA	2003	1	0.091260	0.000170	0.006690	0.000000	0.098110	0.125080	43800
ULA	2003	2	0.080620	0.000130	0.005180	0.000000	0.085940	0.167540	43800
ULA	2003	3	0.090080	0.000020	0.006130	0.000000	0.096230	0.384560	43800
ULA	2003	4	0.080890	0.000060	0.005500	0.000000	0.086460	0.432180	43800
ULA	2003	5	0.087660	0.003420	0.006170	0.000000	0.097250	0.394230	43800
ULA	2003	6	0.098510	0.000470	0.006490	0.000000	0.105470	0.386330	43800
ULA	2003	7	0.112440	0.007980	0.009690	0.000000	0.130110	0.270130	43800
ULA	2003	8	0.078540	0.002460	0.005720	0.000000	0.086720	0.148740	43800
ULA	2003	9	0.084150	0.003920	0.006420	0.000000	0.094490	0.144590	43800
ULA	2003	10	0.088440	0.008160	0.008400	0.000000	0.104990	0.188210	43800
ULA	2003	11	0.087350	0.011550	0.008990	0.000000	0.107890	0.255280	43800
ULA	2003	12	0.090640	0.011730	0.008900	0.000000	0.111270	0.232020	43800
ULA	2004	1	0.089860	0.007450	0.008220	0.000000	0.105530	0.221640	43800
ULA	2004	2	0.080390	0.005900	0.007240	0.000000	0.093540	0.239100	43800
ULA	2004	3	0.089920	0.007500	0.008500	0.000000	0.105920	0.253150	43800
ULA	2004	4	0.087240	0.004030	0.004760	0.000000	0.096030	0.249670	43800
ULA	2004	5	0.098160	0.002870	0.006890	0.000000	0.107920	0.313380	43800
ULA	2004	6	0.087990	0.000010	0.004640	0.000000	0.092630	0.376840	43800
ULA	2004	7	0.090300	0.000140	0.004900	0.000000	0.095340	0.377160	43800
ULA	2004	8	0.061180	0.000000	0.003580	0.000000	0.064750	0.331390	43800
ULA	2004	9	0.081500	0.000120	0.003730	0.000000	0.085340	0.234590	43800
ULA	2004	10	0.098870	0.000000	0.003840	0.000000	0.102710	0.387490	43800
ULA	2004	11	0.091570	0.000000	0.003810	0.000000	0.095370	0.358760	43800
ULA	2004	12	0.076650	0.000000	0.005490	0.000000	0.082140	0.318730	43800
ULA	2005	1	0.096700	0.000000	0.007040	0.000000	0.103740	0.267010	43800
ULA	2005	2	0.079330	0.000000	0.005900	0.000000	0.085220	0.196960	43800
ULA	2005	3	0.084170	0.000000	0.007410	0.000000	0.091580	0.187360	43800
ULA	2005	4	0.089710	0.000000	0.005810	0.000000	0.095530	0.314560	43800
ULA	2005	5	0.096110	0.000000	0.006530	0.000000	0.102640	0.350540	43800
ULA	2005	6	0.082340	0.000000	0.004450	0.000000	0.086790	0.303410	43800
ULA	2005	7	0.086830	0.000000	0.005740	0.000000	0.092570	0.294700	43800
ULA	2005	8	0.064960	0.000000	0.004450	0.000000	0.069410	0.203330	43800
ULA	2005	9	0.089470	0.000000	0.006500	0.000000	0.095970	0.281370	43800
ULA	2005	10	0.101890	0.000000	0.007040	0.000000	0.108930	0.297660	43800
ULA	2005	11	0.109840	0.000000	0.006840	0.000000	0.116670	0.119050	43800
ULA	2005	12	0.104020	0.000000	0.005990	0.000000	0.110010	0.252110	43800
ULA	2006	1	0.097430	0.000000	0.006820	0.000000	0.104250	0.309620	43800
ULA	2006	2	0.077970	0.000000	0.005350	0.000000	0.083320	0.289390	43800
ULA	2006	3	0.093830	0.000000	0.006170	0.000000	0.100010	0.259860	43800
ULA	2006	4	0.097030	0.000000	0.006160	0.000000	0.103190	0.248510	43800
ULA	2006	5	0.095870	0.000000	0.006750	0.000000	0.102620	0.306050	43800
ULA	2006	6	0.061270	0.000000	0.004210	0.000000	0.065480	0.182720	43800
ULA	2006	7	0.072990	0.000000	0.004490	0.000000	0.077490	0.202810	43800
ULA	2006	8	0.077190	0.000000	0.004980	0.000000	0.082180	0.000000	43800
ULA	2006	9	0.081520	0.000000	0.005420	0.000000	0.086930	0.000000	43800
ULA	2006	10	0.077510	0.000000	0.004760	0.000000	0.082270	0.000000	43800
ULA	2006	11	0.059560	0.000000	0.003430	0.000000	0.062990	0.000000	43800
ULA	2006	12	0.095860	0.000000	0.005720	0.000000	0.101570	0.000000	43800
ULA	2007	1	0.101600	0.000000	0.005840	0.000000	0.107430	0.136590	43800
ULA	2007	2	0.083540	0.000000	0.004540	0.000000	0.088080	0.167700	43800
ULA	2007	3	0.076500	0.000000	0.004170	0.000000	0.080680	0.193250	43800
ULA	2007	4	0.071270	0.000000	0.003220	0.000000	0.074490	0.159740	43800
ULA	2007	5	0.069870	0.000000	0.003210	0.000000	0.073080	0.120240	43800
ULA	2007	6	0.018970	0.000000	0.000720	0.000000	0.019690	0.039030	43800
ULA	2007	7	0.068300	0.000000	0.003550	0.000000	0.071850	0.101220	43800
ULA	2007	8	0.072540	0.000000	0.003970	0.000000	0.076510	0.201670	43800
ULA	2007	9	0.063820	0.000000	0.003610	0.000000	0.067430	0.202580	43800
ULA	2007	10	0.070060	0.000000	0.004170	0.000000	0.074230	0.204280	43800
ULA	2007	11	0.060930	0.000000	0.003820	0.000000	0.064750	0.189870	43800
ULA	2007	12	0.047380	0.006850	0.003700	0.000000	0.057930	0.132520	43800
ULA	2008	1	0.051730	0.000020	0.002210	0.000000	0.053970	0.131810	43800
ULA	2008	2	0.050070	0.000000	0.002310	0.000000	0.052380	0.116710	43800
ULA	2008	3	0.048760	0.000000	0.002430	0.000000	0.051190	0.145290	43800
ULA	2008	4	0.032420	0.000000	0.001320	0.000000	0.033730	0.095390	43800
ULA	2008	5	0.050760	0.000030	0.001910	0.000000	0.052710	0.158990	43800
ULA	2008	6	0.038990	0.000000	0.002490	0.000000	0.041470	0.051490	43800
ULA	2008	7	0.042650	0.000070	0.001670	0.000000	0.044390	0.013020	43800
ULA	2008	8	0.047300	0.000010	0.001560	0.000000	0.048870	0.010980	43800
ULA	2008	9	0.047530	0.000760	0.002220	0.000000	0.050510	0.016990	43800
ULA	2008	10	0.050610	0.000100	0.001960	0.000000	0.052670	0.016770	43800
ULA	2008	11	0.045330	0.000000	0.001810	0.000000	0.047130	0.014870	43800
ULA	2008	12	0.043320	0.000000	0.002080	0.000000	0.045410	0.014980	43800
ULA	2009	1	0.046570	0.000760	0.002450	0.000000	0.049780	0.017240	43800
ULA	2009	2	0.040810	0.000100	0.000830	0.000000	0.041740	0.023020	43800
ULA	2009	3	0.056110	0.000000	0.001000	0.000000	0.057110	0.104590	43800
ULA	2009	4	0.053070	0.000150	0.001980	0.000000	0.055210	0.142870	43800
ULA	2009	5	0.045500	0.000000	0.001390	0.000000	0.046880	0.016570	43800
ULA	2009	6	0.042330	0.000420	0.002090	0.000000	0.044830	0.015980	43800
ULA	2009	7	0.058460	0.000000	0.003150	0.000000	0.061600	0.073330	43800
ULA	2009	8	0.068850	0.000000	0.002570	0.000000	0.071420	0.103480	43800
ULA	2009	9	0.059920	0.000010	0.003560	0.000000	0.063490	0.072480	43800
ULA	2009	10	0.064310	0.000000	0.003550	0.000000	0.067860	0.058970	43800
ULA	2009	11	0.101040	0.000000	0.005370	0.000000	0.106410	0.032510	43800
ULA	2009	12	0.109890	0.000000	0.005330	0.000000	0.115220	0.025540	43800
ULA	2010	1	0.120160	0.000000	0.006510	0.000000	0.126670	0.056720	43800
ULA	2010	2	0.109370	0.000000	0.006260	0.000000	0.115630	0.089970	43800
ULA	2010	3	0.122870	0.000000	0.006530	0.000000	0.129390	0.126590	43800
ULA	2010	4	0.102190	0.000000	0.005040	0.000000	0.107230	0.156410	43800
ULA	2010	5	0.095610	0.000000	0.004920	0.000000	0.100540	0.169990	43800
ULA	2010	6	0.013580	0.000000	0.000530	0.000000	0.014110	0.024160	43800
ULA	2010	7	0.093710	0.000000	0.003580	0.000000	0.097290	0.192320	43800
ULA	2010	8	0.110010	0.000000	0.005140	0.000000	0.115150	0.220980	43800
ULA	2010	9	0.088540	0.000000	0.004390	0.000000	0.092930	0.190510	43800
ULA	2010	10	0.087320	0.000000	0.003880	0.000000	0.091200	0.209900	43800
ULA	2010	11	0.078090	0.000000	0.003020	0.000000	0.081110	0.177480	43800
ULA	2010	12	0.079700	0.000000	0.003230	0.000000	0.082940	0.161410	43800
ULA	2011	1	0.056290	0.000000	0.001980	0.000000	0.058270	0.113290	43800
ULA	2011	2	0.054340	0.000000	0.002290	0.000000	0.056630	0.096700	43800
ULA	2011	3	0.069800	0.000000	0.003410	0.000000	0.073200	0.166670	43800
ULA	2011	4	0.062890	0.000000	0.002300	0.000000	0.065190	0.157640	43800
ULA	2011	5	0.062700	0.000000	0.002060	0.000000	0.064760	0.146450	43800
ULA	2011	6	0.057600	0.000000	0.002270	0.000000	0.059870	0.132390	43800
ULA	2011	7	0.065820	0.000000	0.002660	0.000000	0.068480	0.117440	43800
ULA	2011	8	0.067270	0.000000	0.002390	0.000000	0.069660	0.118180	43800
ULA	2011	9	0.071350	0.000000	0.002570	0.000000	0.073920	0.193920	43800
ULA	2011	10	0.074420	0.000000	0.002690	0.000000	0.077110	0.239130	43800
ULA	2011	11	0.050100	0.000000	0.001350	0.000000	0.051450	0.102180	43800
ULA	2011	12	0.046480	0.000000	0.001370	0.000000	0.047850	0.101540	43800
ULA	2012	1	0.042060	0.000000	0.001220	0.000000	0.043280	0.143750	43800
ULA	2012	2	0.050370	0.000000	0.002290	0.000000	0.052650	0.216360	43800
ULA	2012	3	0.066550	0.000000	0.002430	0.000000	0.068980	0.212910	43800
ULA	2012	4	0.061340	0.000000	0.002780	0.000000	0.064130	0.214750	43800
ULA	2012	5	0.056400	0.000000	0.002640	0.000000	0.059040	0.192780	43800
ULA	2012	6	0.051260	0.000000	0.002010	0.000000	0.053270	0.166870	43800
ULA	2012	7	0.050480	0.000000	0.002110	0.000000	0.052580	0.161400	43800
ULA	2012	8	0.054090	0.000000	0.001410	0.000000	0.055500	0.201450	43800
ULA	2012	9	0.018430	0.000000	0.000530	0.000000	0.018960	0.068220	43800
ULA	2012	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43800
ULA	2012	11	0.029880	0.000000	0.001380	0.000000	0.031260	0.088820	43800
ULA	2012	12	0.048200	0.000000	0.002330	0.000000	0.050530	0.128480	43800
ULA	2013	1	0.052000	0.000000	0.002380	0.000000	0.054380	0.116520	43800
ULA	2013	2	0.067240	0.000000	0.002550	0.000000	0.069800	0.000000	43800
YME	1996	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43807
YME	1996	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43807
YME	1996	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43807
YME	1996	5	0.097290	0.000000	0.000000	0.000000	0.097290	0.000000	43807
YME	1996	6	0.117980	0.000000	0.000000	0.000000	0.117980	0.000000	43807
YME	1996	7	0.108500	0.000000	0.000000	0.000000	0.108500	0.000000	43807
YME	1996	8	0.259530	0.000000	0.000000	0.000000	0.259530	0.000000	43807
YME	1996	9	0.134070	0.000000	0.000000	0.000000	0.134070	0.000000	43807
YME	1996	10	0.115840	0.000000	0.000000	0.000000	0.115840	0.000000	43807
YME	1996	11	0.131770	0.000000	0.000000	0.000000	0.131770	0.000000	43807
YME	1996	12	0.229800	0.000000	0.000000	0.000000	0.229800	0.000000	43807
YME	1997	1	0.134210	0.000000	0.000000	0.000000	0.134210	0.000000	43807
YME	1997	2	0.129070	0.000000	0.000000	0.000000	0.129070	0.000000	43807
YME	1997	3	0.210300	0.000000	0.000000	0.000000	0.210300	0.000000	43807
YME	1997	4	0.132080	0.000000	0.000000	0.000000	0.132080	0.000000	43807
YME	1997	5	0.228340	0.000000	0.000000	0.000000	0.228340	0.000000	43807
YME	1997	6	0.117760	0.000000	0.000000	0.000000	0.117760	0.000000	43807
YME	1997	7	0.133160	0.000000	0.000000	0.000000	0.133160	0.000000	43807
YME	1997	8	0.262410	0.000000	0.000000	0.000000	0.262410	0.000000	43807
YME	1997	9	0.115080	0.000000	0.000000	0.000000	0.115080	0.000000	43807
YME	1997	10	0.131670	0.000000	0.000000	0.000000	0.131670	0.000000	43807
YME	1997	11	0.130460	0.000000	0.000000	0.000000	0.130460	0.000000	43807
YME	1997	12	0.255230	0.000000	0.000000	0.000000	0.255230	0.000000	43807
YME	1998	1	0.115890	0.000000	0.000000	0.000000	0.115890	0.000000	43807
YME	1998	2	0.217480	0.000000	0.000000	0.000000	0.217480	0.000000	43807
YME	1998	3	0.123150	0.000000	0.000000	0.000000	0.123150	0.000000	43807
YME	1998	4	0.135960	0.000000	0.000000	0.000000	0.135960	0.000000	43807
YME	1998	5	0.276120	0.000000	0.000000	0.000000	0.276120	0.000000	43807
YME	1998	6	0.117270	0.000000	0.000000	0.000000	0.117270	0.000000	43807
YME	1998	7	0.126080	0.000000	0.000000	0.000000	0.126080	0.000000	43807
YME	1998	8	0.259360	0.000000	0.000000	0.000000	0.259360	0.000000	43807
YME	1998	9	0.105430	0.000000	0.000000	0.000000	0.105430	0.000000	43807
YME	1998	10	0.135030	0.000000	0.000000	0.000000	0.135030	0.000000	43807
YME	1998	11	0.130000	0.000000	0.000000	0.000000	0.130000	0.000000	43807
YME	1998	12	0.228000	0.000000	0.000000	0.000000	0.228000	0.000000	43807
YME	1999	1	0.126350	0.000000	0.000000	0.000000	0.126350	0.000000	43807
YME	1999	2	0.035400	0.000000	0.000000	0.000000	0.035400	0.000000	43807
YME	1999	3	0.328650	0.000000	0.000000	0.000000	0.328650	0.000000	43807
YME	1999	4	0.117120	0.000000	0.000000	0.000000	0.117120	0.000000	43807
YME	1999	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43807
YME	1999	6	0.246490	0.000000	0.000000	0.000000	0.246490	0.000000	43807
YME	1999	7	0.127550	0.000000	0.000000	0.000000	0.127550	0.000000	43807
YME	1999	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43807
YME	1999	9	0.128370	0.000000	0.000000	0.000000	0.128370	0.000000	43807
YME	1999	10	0.119920	0.000000	0.000000	0.000000	0.119920	0.000000	43807
YME	1999	11	0.120590	0.000000	0.000000	0.000000	0.120590	0.000000	43807
YME	1999	12	0.133530	0.000000	0.000000	0.000000	0.133530	0.000000	43807
YME	2000	1	0.134340	0.000000	0.000000	0.000000	0.134340	0.048300	43807
YME	2000	2	0.078310	0.000000	0.000000	0.000000	0.078310	0.036460	43807
YME	2000	3	0.115820	0.000000	0.000000	0.000000	0.115820	0.055960	43807
YME	2000	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.039740	43807
YME	2000	5	0.123950	0.000000	0.000000	0.000000	0.123950	0.049930	43807
YME	2000	6	0.124650	0.000000	0.000000	0.000000	0.124650	0.061020	43807
YME	2000	7	0.193310	0.000000	0.000000	0.000000	0.193310	0.074640	43807
YME	2000	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.069850	43807
YME	2000	9	0.184190	0.000000	0.000000	0.000000	0.184190	0.038590	43807
YME	2000	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.077230	43807
YME	2000	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.075540	43807
YME	2000	12	0.116710	0.000000	0.000000	0.000000	0.116710	0.060910	43807
YME	2001	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.081300	43807
YME	2001	2	0.127780	0.000000	0.000000	0.000000	0.127780	0.051270	43807
YME	2001	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.071720	43807
YME	2001	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.021970	43807
YME	2001	5	0.078730	0.000000	0.000000	0.000000	0.078730	0.000000	43807
YME	2001	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43807
YME	2001	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43807
33/9-6 DELTA	2009	7	0.000250	0.000000	-0.000040	0.000000	0.000210	0.000510	44576
33/9-6 DELTA	2009	8	0.003250	0.000000	0.000140	0.000000	0.003390	0.000630	44576
33/9-6 DELTA	2009	9	0.003170	0.000000	0.000100	0.000000	0.003270	0.003160	44576
33/9-6 DELTA	2009	10	0.002940	0.000000	0.000120	0.000000	0.003060	0.005350	44576
33/9-6 DELTA	2009	11	-0.000010	0.000000	-0.000040	0.000000	-0.000050	0.000000	44576
33/9-6 DELTA	2009	12	0.000620	0.000000	-0.000020	0.000000	0.000600	0.000960	44576
33/9-6 DELTA	2010	1	0.002980	0.000000	0.000080	0.000000	0.003050	0.000790	44576
33/9-6 DELTA	2010	2	0.002600	0.000000	0.000100	0.000000	0.002700	0.004510	44576
33/9-6 DELTA	2010	3	0.003020	0.000000	0.000150	0.000000	0.003170	0.006820	44576
33/9-6 DELTA	2010	4	0.001830	0.000000	0.000020	0.000000	0.001850	0.009180	44576
33/9-6 DELTA	2010	5	0.003140	0.000000	0.000100	0.000000	0.003240	0.006980	44576
33/9-6 DELTA	2010	6	0.001680	0.000000	0.000030	0.000000	0.001710	0.002670	44576
33/9-6 DELTA	2010	7	0.002820	0.000000	-0.000020	0.000000	0.002800	0.003620	44576
33/9-6 DELTA	2010	8	0.002310	0.000000	0.000000	0.000000	0.002310	0.003070	44576
33/9-6 DELTA	2010	9	-0.000020	0.000000	0.000000	0.000000	-0.000020	0.000000	44576
33/9-6 DELTA	2010	10	0.000480	0.000000	-0.000610	0.000000	-0.000130	0.000000	44576
33/9-6 DELTA	2010	11	0.000000	0.000000	-0.000080	0.000000	-0.000080	0.000000	44576
33/9-6 DELTA	2010	12	0.000490	0.000000	0.000000	0.000000	0.000490	0.000750	44576
33/9-6 DELTA	2011	1	-0.000010	0.000000	0.000000	0.000000	-0.000010	0.000000	44576
33/9-6 DELTA	2011	2	0.001090	0.000000	0.000000	0.000000	0.001090	0.001390	44576
33/9-6 DELTA	2011	3	0.001000	0.000000	0.000000	0.000000	0.001000	0.001410	44576
33/9-6 DELTA	2011	4	0.002370	0.000000	0.000000	0.000000	0.002370	0.002950	44576
33/9-6 DELTA	2011	5	0.002510	0.000000	0.000000	0.000000	0.002510	0.000790	44576
33/9-6 DELTA	2011	6	0.001520	0.000000	0.000000	0.000000	0.001520	0.000090	44576
33/9-6 DELTA	2011	7	0.001860	0.000000	0.000000	0.000000	0.001860	0.000110	44576
33/9-6 DELTA	2011	8	0.002530	0.000000	0.000000	0.000000	0.002530	0.000150	44576
33/9-6 DELTA	2011	9	0.002070	0.000000	0.000000	0.000000	0.002070	0.000120	44576
33/9-6 DELTA	2011	10	0.000480	0.000000	0.000000	0.000000	0.000480	0.000040	44576
33/9-6 DELTA	2011	11	0.001990	0.000000	0.000000	0.000000	0.001990	0.000180	44576
33/9-6 DELTA	2011	12	0.001480	0.000000	0.000000	0.000000	0.001480	0.000140	44576
33/9-6 DELTA	2012	1	0.001650	0.000000	0.000000	0.000000	0.001650	0.000480	44576
33/9-6 DELTA	2012	2	0.000590	0.000000	0.000000	0.000000	0.000590	0.000390	44576
33/9-6 DELTA	2012	3	0.001130	0.000000	0.000000	0.000000	0.001130	0.000810	44576
33/9-6 DELTA	2012	4	-0.000010	0.000000	0.000000	0.000000	-0.000010	0.000000	44576
33/9-6 DELTA	2012	5	0.000250	0.000000	0.000000	0.000000	0.000250	0.000230	44576
33/9-6 DELTA	2012	6	0.001200	0.000000	0.000000	0.000000	0.001200	0.000250	44576
33/9-6 DELTA	2012	7	0.002420	0.000000	0.000000	0.000000	0.002420	0.000480	44576
33/9-6 DELTA	2012	8	0.001420	0.000000	0.000000	0.000000	0.001420	0.000260	44576
33/9-6 DELTA	2012	9	0.000030	0.000000	0.000000	0.000000	0.000030	0.000020	44576
33/9-6 DELTA	2012	10	0.002350	0.000000	0.000000	0.000000	0.002350	0.000400	44576
33/9-6 DELTA	2012	11	0.001470	0.000000	0.000000	0.000000	0.001470	0.000350	44576
33/9-6 DELTA	2012	12	0.000870	0.000000	0.000000	0.000000	0.000870	0.000210	44576
33/9-6 DELTA	2013	1	0.000330	0.000000	0.000000	0.000000	0.000330	0.000100	44576
33/9-6 DELTA	2013	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	44576
TROLL	1990	1	0.071880	0.000000	0.000000	0.000000	0.071880	0.000000	46437
TROLL	1990	2	0.079950	0.000000	0.000000	0.000000	0.079950	0.000000	46437
TROLL	1990	3	0.120610	0.000000	0.000000	0.000000	0.120610	0.000000	46437
TROLL	1990	4	0.122540	0.000000	0.000000	0.000000	0.122540	0.000000	46437
TROLL	1990	5	0.082720	0.000000	0.000000	0.000000	0.082720	0.000000	46437
TROLL	1990	6	0.123070	0.000000	0.000000	0.000000	0.123070	0.000000	46437
TROLL	1990	7	0.082530	0.000000	0.000000	0.000000	0.082530	0.000000	46437
TROLL	1990	8	0.082580	0.000000	0.000000	0.000000	0.082580	0.000000	46437
TROLL	1990	9	0.081060	0.000000	0.000000	0.000000	0.081060	0.000000	46437
TROLL	1990	10	0.082720	0.000000	0.000000	0.000000	0.082720	0.000000	46437
TROLL	1990	11	0.080420	0.000000	0.000000	0.000000	0.080420	0.000000	46437
TROLL	1990	12	0.041220	0.000000	0.000000	0.000000	0.041220	0.000000	46437
TROLL	1991	1	0.026800	0.000000	0.000000	0.000000	0.026800	0.000000	46437
TROLL	1991	2	0.028990	0.000000	0.000000	0.000000	0.028990	0.000000	46437
TROLL	1991	3	0.030690	0.000000	0.000000	0.000000	0.030690	0.000000	46437
TROLL	1991	4	0.029970	0.000000	0.000000	0.000000	0.029970	0.000000	46437
TROLL	1991	5	0.030080	0.000000	0.000000	0.000000	0.030080	0.000000	46437
TROLL	1991	6	0.005250	0.000000	0.000000	0.000000	0.005250	0.000000	46437
TROLL	1991	7	0.003440	0.000000	0.000000	0.000000	0.003440	0.000000	46437
TROLL	1991	8	0.002570	0.000000	0.000000	0.000000	0.002570	0.000000	46437
TROLL	1991	9	0.004360	0.000000	0.000000	0.000000	0.004360	0.000000	46437
TROLL	1991	10	0.002450	0.000000	0.000000	0.000000	0.002450	0.000000	46437
TROLL	1991	11	0.005580	0.000000	0.000000	0.000000	0.005580	0.000000	46437
TROLL	1991	12	0.005900	0.000000	0.000000	0.000000	0.005900	0.000000	46437
TROLL	1992	1	0.005370	0.000000	0.000000	0.000000	0.005370	0.000000	46437
TROLL	1992	2	0.003040	0.000000	0.000000	0.000000	0.003040	0.000000	46437
TROLL	1992	3	0.005450	0.000000	0.000000	0.000000	0.005450	0.000000	46437
TROLL	1992	4	0.006060	0.000000	0.000000	0.000000	0.006060	0.000000	46437
TROLL	1992	5	0.005050	0.000000	0.000000	0.000000	0.005050	0.000000	46437
TROLL	1992	6	0.004180	0.000000	0.000000	0.000000	0.004180	0.000000	46437
TROLL	1992	7	0.005580	0.000000	0.000000	0.000000	0.005580	0.000000	46437
TROLL	1992	8	0.006520	0.000000	0.000000	0.000000	0.006520	0.000000	46437
TROLL	1992	9	0.006240	0.000000	0.000000	0.000000	0.006240	0.000000	46437
TROLL	1992	10	0.005760	0.000000	0.000000	0.000000	0.005760	0.000000	46437
TROLL	1992	11	0.005030	0.000000	0.000000	0.000000	0.005030	0.000000	46437
TROLL	1992	12	0.004930	0.000000	0.000000	0.000000	0.004930	0.000000	46437
TROLL	1993	1	0.005150	0.000000	0.000000	0.000000	0.005150	0.000000	46437
TROLL	1993	2	0.005300	0.000000	0.000000	0.000000	0.005300	0.000000	46437
TROLL	1993	3	0.004340	0.000000	0.000000	0.000000	0.004340	0.000000	46437
TROLL	1993	4	0.005530	0.000000	0.000000	0.000000	0.005530	0.000000	46437
TROLL	1993	5	0.005120	0.000000	0.000000	0.000000	0.005120	0.000000	46437
TROLL	1993	6	0.004470	0.000000	0.000000	0.000000	0.004470	0.000000	46437
TROLL	1993	7	0.005900	0.000000	0.000000	0.000000	0.005900	0.000000	46437
TROLL	1993	8	0.006140	0.000000	0.000000	0.000000	0.006140	0.000000	46437
TROLL	1993	9	0.005430	0.000000	0.000000	0.000000	0.005430	0.000000	46437
TROLL	1993	10	0.005970	0.000000	0.000000	0.000000	0.005970	0.000000	46437
TROLL	1993	11	0.005340	0.000000	0.000000	0.000000	0.005340	0.000000	46437
TROLL	1993	12	0.001440	0.000000	0.000000	0.000000	0.001440	0.000000	46437
TROLL	1994	1	0.004520	0.000000	0.000000	0.000000	0.004520	0.000000	46437
TROLL	1994	2	0.005800	0.000000	0.000000	0.000000	0.005800	0.000000	46437
TROLL	1994	3	0.003360	0.000000	0.000000	0.000000	0.003360	0.000000	46437
TROLL	1994	4	0.005290	0.000000	0.000000	0.000000	0.005290	0.000000	46437
TROLL	1994	5	0.006530	0.000000	0.000000	0.000000	0.006530	0.000000	46437
TROLL	1994	6	0.005650	0.000000	0.000000	0.000000	0.005650	0.000000	46437
TROLL	1994	7	0.006060	0.000000	0.000000	0.000000	0.006060	0.000000	46437
TROLL	1994	8	0.006030	0.000000	0.000000	0.000000	0.006030	0.000000	46437
TROLL	1994	9	0.005790	0.000000	0.000000	0.000000	0.005790	0.000000	46437
TROLL	1994	10	0.005110	0.000000	0.000000	0.000000	0.005110	0.000000	46437
TROLL	1994	11	0.005500	0.000000	0.000000	0.000000	0.005500	0.000000	46437
TROLL	1994	12	0.000940	0.000000	0.000000	0.000000	0.000940	0.000000	46437
TROLL	1995	1	0.001520	0.000000	0.000000	0.000000	0.001520	0.000000	46437
TROLL	1995	2	0.002560	0.000000	0.000000	0.000000	0.002560	0.000000	46437
TROLL	1995	3	0.003690	0.000000	0.000000	0.000000	0.003690	0.000000	46437
TROLL	1995	4	0.005810	0.000000	0.000000	0.000000	0.005810	0.000000	46437
TROLL	1995	5	0.006110	0.000000	0.000000	0.000000	0.006110	0.000000	46437
TROLL	1995	6	0.004220	0.000000	0.000000	0.000000	0.004220	0.000000	46437
TROLL	1995	7	0.003000	0.000000	0.000000	0.000000	0.003000	0.000000	46437
TROLL	1995	8	0.001330	0.000000	0.000000	0.000000	0.001330	0.000000	46437
TROLL	1995	9	0.210370	0.000000	0.000000	0.000000	0.210370	0.000000	46437
TROLL	1995	10	0.826660	0.000000	0.000000	0.000000	0.826660	0.000000	46437
TROLL	1995	11	0.875050	0.000000	0.000000	0.000000	0.875050	0.000000	46437
TROLL	1995	12	0.915850	0.000000	0.000000	0.000000	0.915850	0.000000	46437
TROLL	1996	1	0.946860	0.000000	0.000000	0.000000	0.946860	0.000000	46437
TROLL	1996	2	0.915760	0.000000	0.000000	0.000000	0.915760	0.000000	46437
TROLL	1996	3	1.022770	0.000000	0.000000	0.000000	1.022770	0.000000	46437
TROLL	1996	4	0.996210	0.000000	0.000000	0.000000	0.996210	0.000000	46437
TROLL	1996	5	1.041460	0.042660	0.000000	0.000000	1.084120	0.000000	46437
TROLL	1996	6	1.021430	0.215660	0.000000	0.000000	1.237090	0.000000	46437
TROLL	1996	7	1.240900	0.462800	0.000000	0.000000	1.703700	0.000000	46437
TROLL	1996	8	1.227010	0.358880	0.000000	0.000000	1.585880	0.000000	46437
TROLL	1996	9	1.194550	0.971450	0.000000	0.000000	2.166000	0.000000	46437
TROLL	1996	10	1.277860	1.122070	0.000000	0.000000	2.399920	0.000000	46437
TROLL	1996	11	1.189710	1.079450	0.000000	0.000000	2.269160	0.000000	46437
TROLL	1996	12	1.249100	1.254360	0.000000	0.000000	2.503460	0.000000	46437
TROLL	1997	1	1.307110	1.370270	0.000000	0.000000	2.677380	0.000000	46437
TROLL	1997	2	1.195990	1.275080	0.000000	0.000000	2.471060	0.000000	46437
TROLL	1997	3	1.296580	1.206880	0.000000	0.000000	2.503460	0.000000	46437
TROLL	1997	4	1.246210	0.873010	0.000000	0.000000	2.119210	0.000000	46437
TROLL	1997	5	1.271740	0.593840	0.000000	0.000000	1.865580	0.000000	46437
TROLL	1997	6	1.221770	0.591200	0.000000	0.000000	1.812970	0.000000	46437
TROLL	1997	7	1.244200	1.034800	0.000000	0.000000	2.279000	0.000000	46437
TROLL	1997	8	0.887340	0.729800	0.000000	0.000000	1.617140	0.000000	46437
TROLL	1997	9	1.272170	0.976680	0.000000	0.000000	2.248850	0.000000	46437
TROLL	1997	10	1.321280	1.630950	0.000000	0.000000	2.952220	0.000000	46437
TROLL	1997	11	1.238940	1.912680	0.000000	0.000000	3.151610	0.000000	46437
TROLL	1997	12	1.263720	2.121990	0.000000	0.000000	3.385710	0.000000	46437
TROLL	1998	1	1.244290	1.775270	0.000000	0.000000	3.019560	0.000000	46437
TROLL	1998	2	1.092980	1.640720	0.000000	0.000000	2.733700	0.000000	46437
TROLL	1998	3	1.106810	1.317610	0.000000	0.000000	2.424420	0.000000	46437
TROLL	1998	4	1.045100	1.676050	0.000000	0.000000	2.721160	0.000000	46437
TROLL	1998	5	1.108600	1.029040	0.000000	0.000000	2.137640	0.000000	46437
TROLL	1998	6	1.101680	1.047310	0.000000	0.000000	2.148990	0.000000	46437
TROLL	1998	7	1.027310	0.723580	0.000000	0.000000	1.750890	0.000000	46437
TROLL	1998	8	1.206600	1.952890	0.000000	0.000000	3.159490	0.000000	46437
TROLL	1998	9	1.070940	1.484590	0.000000	0.000000	2.555530	0.000000	46437
TROLL	1998	10	1.114360	2.327500	0.000000	0.000000	3.441860	0.000000	46437
TROLL	1998	11	1.069440	2.427470	0.000000	0.000000	3.496920	0.000000	46437
TROLL	1998	12	1.065780	2.552280	0.000000	0.000000	3.618060	0.000000	46437
TROLL	1999	1	1.040880	2.652730	0.000000	0.000000	3.693620	0.000000	46437
TROLL	1999	2	0.946920	2.399300	0.000000	0.000000	3.346220	0.000000	46437
TROLL	1999	3	1.071050	2.220640	0.000000	0.000000	3.291690	0.000000	46437
TROLL	1999	4	1.063810	1.908250	0.000000	0.000000	2.972060	0.000000	46437
TROLL	1999	5	1.079530	2.036950	0.000000	0.000000	3.116470	0.000000	46437
TROLL	1999	6	0.955740	1.436140	0.000000	0.000000	2.391880	0.000000	46437
TROLL	1999	7	1.034170	1.629790	0.000000	0.000000	2.663960	0.000000	46437
TROLL	1999	8	1.071990	1.812060	0.000000	0.000000	2.884050	0.000000	46437
TROLL	1999	9	1.054130	1.728860	0.000000	0.000000	2.783000	0.000000	46437
TROLL	1999	10	1.073860	2.255670	0.000000	0.056220	3.385750	0.000000	46437
TROLL	1999	11	1.163250	2.578950	0.000000	0.078800	3.821010	0.000000	46437
TROLL	1999	12	1.353440	2.802030	0.000000	0.082520	4.237990	0.000000	46437
TROLL	2000	1	1.429270	2.755740	0.000000	0.084070	4.269080	1.317890	46437
TROLL	2000	2	1.393990	2.559490	0.000000	0.078280	4.031760	1.201530	46437
TROLL	2000	3	1.433630	2.776230	0.000000	0.083980	4.293830	1.279310	46437
TROLL	2000	4	1.488990	1.979900	0.000000	0.060930	3.529820	1.300140	46437
TROLL	2000	5	1.519760	1.628370	0.000000	0.049510	3.197630	1.311370	46437
TROLL	2000	6	1.489750	1.250100	0.000000	0.038190	2.778050	1.213860	46437
TROLL	2000	7	1.610550	1.304800	0.000000	0.039830	2.955180	1.376840	46437
TROLL	2000	8	1.594590	1.645930	0.000000	0.049720	3.290230	1.366470	46437
TROLL	2000	9	1.535420	1.854920	0.000000	0.056180	3.446530	1.285530	46437
TROLL	2000	10	1.619340	1.850940	0.000000	0.055020	3.525300	1.374550	46437
TROLL	2000	11	1.579020	2.444280	0.000000	0.076040	4.099330	1.334720	46437
TROLL	2000	12	1.667200	2.615190	0.000000	0.078560	4.360950	1.449540	46437
TROLL	2001	1	1.640860	2.207260	0.000000	0.067340	3.915460	1.454290	46437
TROLL	2001	2	1.451640	1.283730	0.000000	0.037370	2.772750	1.340780	46437
TROLL	2001	3	1.633520	1.463550	0.000000	0.043410	3.140480	1.570320	46437
TROLL	2001	4	1.640160	1.359890	0.000000	0.040290	3.040340	1.617670	46437
TROLL	2001	5	1.719680	1.285600	0.000000	0.036530	3.041810	1.742110	46437
TROLL	2001	6	1.492850	1.274540	0.000000	0.038100	2.805490	1.514410	46437
TROLL	2001	7	1.804880	1.646800	0.000000	0.048330	3.500020	1.698230	46437
TROLL	2001	8	1.503630	1.954040	0.000000	0.059050	3.516720	1.428490	46437
TROLL	2001	9	1.268320	1.976720	0.000000	0.058970	3.304010	1.161680	46437
TROLL	2001	10	1.878560	1.792960	0.000000	0.053270	3.724800	1.808670	46437
TROLL	2001	11	1.631770	2.371880	0.000000	0.071290	4.074940	1.436630	46437
TROLL	2001	12	1.837010	2.816250	0.000000	0.085520	4.738780	1.716700	46437
TROLL	2002	1	1.786730	2.914720	0.000000	0.086950	4.788400	1.687530	46437
TROLL	2002	2	1.787620	2.122250	0.000000	0.064240	3.974110	1.660960	46437
TROLL	2002	3	1.329000	1.512460	0.000000	0.045950	2.887410	1.126450	46437
TROLL	2002	4	1.906100	2.608600	0.000000	0.079970	4.594670	1.678430	46437
TROLL	2002	5	1.871940	2.061430	0.000000	0.060890	3.994260	1.753690	46437
TROLL	2002	6	1.378950	1.976610	0.000000	0.060130	3.415680	1.454880	46437
TROLL	2002	7	1.911400	1.711100	0.000000	0.052050	3.674550	1.591920	46437
TROLL	2002	8	1.931530	1.221530	0.000000	0.036900	3.189960	1.613410	46437
TROLL	2002	9	1.860710	1.933930	0.000000	0.055940	3.850580	1.629510	46437
TROLL	2002	10	1.888950	2.238150	0.000000	0.066230	4.193330	1.604390	46437
TROLL	2002	11	1.734850	2.478620	0.000000	0.075790	4.289270	1.478860	46437
TROLL	2002	12	1.806460	2.802020	0.000000	0.082670	4.691160	1.638460	46437
TROLL	2003	1	1.934180	2.888870	0.000000	0.167600	4.990650	1.796960	46437
TROLL	2003	2	1.798540	2.700060	0.000000	0.159500	4.658100	1.701800	46437
TROLL	2003	3	1.873660	2.912560	0.000000	0.169530	4.955750	1.791280	46437
TROLL	2003	4	1.875060	1.859190	0.000000	0.110680	3.844930	1.832320	46437
TROLL	2003	5	1.865560	1.440550	0.000000	0.083450	3.389560	1.907410	46437
TROLL	2003	6	0.674820	0.934360	0.000000	0.050620	1.659800	0.716680	46437
TROLL	2003	7	1.990580	1.815260	0.000000	0.107770	3.913610	2.066070	46437
TROLL	2003	8	1.940370	1.212960	0.000000	0.065370	3.218700	2.196420	46437
TROLL	2003	9	1.731420	2.127960	0.000000	0.123590	3.982970	1.904560	46437
TROLL	2003	10	1.735720	2.520800	0.000000	0.143390	4.399910	2.017850	46437
TROLL	2003	11	1.591330	2.827960	0.000000	0.164040	4.583340	1.944910	46437
TROLL	2003	12	1.809550	2.928520	0.000000	0.166730	4.904800	2.041230	46437
TROLL	2004	1	1.641100	2.987340	0.000000	0.072680	4.701120	1.966460	46437
TROLL	2004	2	1.544890	2.812170	0.000000	0.069020	4.426080	1.921870	46437
TROLL	2004	3	1.585510	2.933060	0.000000	0.071750	4.590320	1.963660	46437
TROLL	2004	4	1.589930	2.374880	0.000000	0.058070	4.022890	2.040810	46437
TROLL	2004	5	1.341690	1.971600	0.000000	0.046650	3.359950	1.985850	46437
TROLL	2004	6	1.564010	1.198960	0.000000	0.027990	2.790960	2.038340	46437
TROLL	2004	7	1.492650	1.026110	0.000000	0.024440	2.543200	1.963960	46437
TROLL	2004	8	1.400610	1.579040	0.000000	0.038340	3.017990	1.765210	46437
TROLL	2004	9	1.461070	1.694550	0.000000	0.040780	3.196390	1.986610	46437
TROLL	2004	10	1.382040	2.219280	0.068380	0.000000	3.669690	1.977400	46437
TROLL	2004	11	1.377620	2.656690	0.091840	0.000000	4.126150	1.953950	46437
TROLL	2004	12	1.382700	2.907960	0.121420	0.000000	4.412080	2.071480	46437
TROLL	2005	1	1.285120	2.853140	0.119730	0.000000	4.257990	2.023550	46437
TROLL	2005	2	1.146090	2.591470	0.117390	0.000000	3.854960	1.771790	46437
TROLL	2005	3	1.357590	2.828380	0.127220	0.000000	4.313190	2.037740	46437
TROLL	2005	4	1.248570	2.672050	0.121900	0.000000	4.042520	1.955680	46437
TROLL	2005	5	1.269340	2.452560	0.114360	0.000000	3.836260	1.982800	46437
TROLL	2005	6	0.919110	1.547440	0.052380	0.000000	2.518920	1.466620	46437
TROLL	2005	7	1.203530	1.558240	0.079670	0.000000	2.841450	1.820260	46437
TROLL	2005	8	1.181250	1.427900	0.082730	0.000000	2.691880	1.998850	46437
TROLL	2005	9	1.036400	2.176280	0.107120	0.000000	3.319800	1.772810	46437
TROLL	2005	10	1.157150	2.484750	0.127240	0.000000	3.769140	1.983590	46437
TROLL	2005	11	1.064330	2.793270	0.127340	0.000000	3.984930	1.879020	46437
TROLL	2005	12	1.224200	2.954100	0.132670	0.000000	4.310960	1.901720	46437
TROLL	2006	1	1.036170	2.939290	0.130280	0.000000	4.105740	1.864360	46437
TROLL	2006	2	0.912570	2.442400	0.106880	0.000000	3.461850	1.674840	46437
TROLL	2006	3	0.966450	2.719460	0.124080	0.000000	3.809990	1.793030	46437
TROLL	2006	4	0.991060	2.596630	0.100980	0.000000	3.688670	1.929500	46437
TROLL	2006	5	0.956470	2.592990	0.118230	0.000000	3.667690	1.889070	46437
TROLL	2006	6	0.712260	2.222530	0.106630	0.000000	3.041410	1.455700	46437
TROLL	2006	7	0.959120	1.836780	0.094750	0.000000	2.890640	1.990760	46437
TROLL	2006	8	0.731880	2.207930	0.104110	0.000000	3.043920	1.448400	46437
TROLL	2006	9	0.826200	2.284770	0.109060	0.000000	3.220030	1.718800	46437
TROLL	2006	10	0.941370	2.288940	0.110380	0.000000	3.340680	1.857240	46437
TROLL	2006	11	0.887090	3.286220	0.146050	0.000000	4.319360	1.823070	46437
TROLL	2006	12	0.899310	3.282610	0.148780	0.000000	4.330700	1.813690	46437
TROLL	2007	1	0.880740	3.132920	0.132180	0.000000	4.145840	1.875060	46437
TROLL	2007	2	0.802250	2.889050	0.125640	0.000000	3.816940	1.714720	46437
TROLL	2007	3	0.830340	3.269410	0.143810	0.000000	4.243560	1.807540	46437
TROLL	2007	4	0.801550	3.484680	0.147870	0.000000	4.434100	1.789330	46437
TROLL	2007	5	0.813410	2.478300	0.099020	0.000000	3.390720	1.821920	46437
TROLL	2007	6	0.790910	2.266830	0.093210	0.000000	3.150950	1.825060	46437
TROLL	2007	7	0.807760	2.345690	0.089340	0.000000	3.242790	1.879110	46437
TROLL	2007	8	0.747640	2.293720	0.075430	0.000000	3.116780	1.822870	46437
TROLL	2007	9	0.739110	3.006270	0.088370	0.000000	3.833750	1.759630	46437
TROLL	2007	10	0.654670	3.511870	0.134540	0.000000	4.301070	1.613740	46437
TROLL	2007	11	0.781900	3.432090	0.119730	0.000000	4.333720	1.818870	46437
TROLL	2007	12	0.775230	3.668760	0.120220	0.000000	4.564210	1.932790	46437
TROLL	2008	1	0.784850	3.636460	0.135520	0.000000	4.556820	1.907030	46437
TROLL	2008	2	0.657090	3.374500	0.140020	0.000000	4.171610	1.654460	46437
TROLL	2008	3	0.716810	3.355560	0.148600	0.000000	4.220960	1.841860	46437
TROLL	2008	4	0.694220	2.430170	0.117640	0.000000	3.242040	1.805750	46437
TROLL	2008	5	0.708920	1.320690	0.073000	0.000000	2.102600	1.875730	46437
TROLL	2008	6	0.669390	1.573290	0.076670	0.000000	2.319360	1.795000	46437
TROLL	2008	7	0.675070	1.210750	0.067680	0.000000	1.953510	1.962670	46437
TROLL	2008	8	0.451130	0.763580	0.033620	0.000000	1.248330	1.111530	46437
TROLL	2008	9	0.747230	2.154860	0.048680	0.000000	2.950760	1.957390	46437
TROLL	2008	10	0.718180	3.282860	0.077950	0.000000	4.078990	1.979090	46437
TROLL	2008	11	0.689790	3.162270	0.073420	0.000000	3.925480	1.861680	46437
TROLL	2008	12	0.655620	3.473570	0.081960	0.000000	4.211150	1.786460	46437
TROLL	2009	1	0.731360	3.618800	0.101050	0.000000	4.451210	1.979100	46437
TROLL	2009	2	0.608190	3.082960	0.124590	0.000000	3.815740	1.706760	46437
TROLL	2009	3	0.763790	2.659070	0.123560	0.000000	3.546430	2.064810	46437
TROLL	2009	4	0.735110	2.245260	0.108480	0.000000	3.088860	1.922800	46437
TROLL	2009	5	0.629840	1.502260	0.070000	0.000000	2.202100	1.588920	46437
TROLL	2009	6	0.667800	1.149370	0.040510	0.000000	1.857680	1.694570	46437
TROLL	2009	7	0.704930	1.314830	0.071620	0.000000	2.091380	1.830060	46437
TROLL	2009	8	0.598360	1.198290	0.066340	0.000000	1.862980	1.613490	46437
TROLL	2009	9	0.630470	1.319280	0.072530	0.000000	2.022270	1.712130	46437
TROLL	2009	10	0.572350	1.325770	0.066270	0.000000	1.964390	1.505080	46437
TROLL	2009	11	0.574390	2.117760	0.098620	0.000000	2.790780	1.623440	46437
TROLL	2009	12	0.632650	2.867470	0.121880	0.000000	3.622010	1.715370	46437
TROLL	2010	1	0.607410	3.336650	0.136440	0.000000	4.080510	1.644430	46437
TROLL	2010	2	0.531240	3.189030	0.132980	0.000000	3.853240	1.287170	46437
TROLL	2010	3	0.588550	3.534710	0.152640	0.000000	4.275910	1.582590	46437
TROLL	2010	4	0.620470	1.597320	0.075340	0.000000	2.293130	1.747600	46437
TROLL	2010	5	0.641910	2.376860	0.099910	0.000000	3.118680	1.885150	46437
TROLL	2010	6	0.566740	2.272350	0.098820	0.000000	2.937910	1.781060	46437
TROLL	2010	7	0.546310	1.734900	0.084130	0.000000	2.365330	1.660840	46437
TROLL	2010	8	0.622190	1.600190	0.066500	0.000000	2.288880	1.914830	46437
TROLL	2010	9	0.316830	0.761700	0.017090	0.000000	1.095620	0.932580	46437
TROLL	2010	10	0.645120	1.922520	0.046660	0.000000	2.614300	1.876300	46437
TROLL	2010	11	0.621760	2.796000	0.068390	0.000000	3.486160	1.882310	46437
TROLL	2010	12	0.560980	3.433610	0.093410	0.000000	4.088000	1.789020	46437
TROLL	2011	1	0.570170	3.107460	0.086790	0.000000	3.764410	1.805220	46437
TROLL	2011	2	0.558900	3.004400	0.084960	0.000000	3.648250	1.559400	46437
TROLL	2011	3	0.488050	3.429820	0.095450	0.000000	4.013320	1.305220	46437
TROLL	2011	4	0.595020	1.154250	0.033370	0.000000	1.782640	1.562070	46437
TROLL	2011	5	0.683560	0.675440	0.022630	0.000000	1.381630	1.817970	46437
TROLL	2011	6	0.611020	1.812630	0.083170	0.000000	2.506810	1.717110	46437
TROLL	2011	7	0.622070	1.191520	0.064700	0.000000	1.878280	1.748500	46437
TROLL	2011	8	0.651300	1.142110	0.046670	0.000000	1.840080	1.802940	46437
TROLL	2011	9	0.613260	1.132380	0.059170	0.000000	1.804810	1.620050	46437
TROLL	2011	10	0.613640	1.840930	0.089530	0.000000	2.544100	1.580940	46437
TROLL	2011	11	0.623620	3.000670	0.124950	0.000000	3.749230	1.622070	46437
TROLL	2011	12	0.633460	3.304090	0.138160	0.000000	4.075710	1.701330	46437
TROLL	2012	1	0.627220	3.563760	0.152520	0.000000	4.343500	1.808870	46437
TROLL	2012	2	0.620150	3.406030	0.149270	0.000000	4.175440	1.586200	46437
TROLL	2012	3	0.651760	3.536480	0.154220	0.000000	4.342460	1.792350	46437
TROLL	2012	4	0.618920	2.584380	0.119040	0.000000	3.322330	1.717990	46437
TROLL	2012	5	0.645420	2.747210	0.124060	0.000000	3.516680	1.647920	46437
TROLL	2012	6	0.631170	2.381940	0.105730	0.000000	3.118830	1.611650	46437
TROLL	2012	7	0.633070	2.418760	0.108980	0.000000	3.160800	1.677710	46437
TROLL	2012	8	0.617290	1.834390	0.056870	0.000000	2.508550	1.593090	46437
TROLL	2012	9	0.190270	1.223020	0.029740	0.000000	1.443040	0.534990	46437
TROLL	2012	10	0.683900	3.391910	0.121870	0.000000	4.197680	1.790260	46437
TROLL	2012	11	0.571120	3.575290	0.146190	0.000000	4.292600	1.554590	46437
TROLL	2012	12	0.610140	3.743890	0.142480	0.000000	4.496510	1.648760	46437
TROLL	2013	1	0.587960	3.353780	0.138780	0.000000	4.080520	1.586990	46437
TROLL	2013	2	0.502670	2.621580	0.098600	0.000000	3.222850	0.002620	46437
HULDRA	2001	11	0.014170	0.031810	0.001030	0.000000	0.047010	0.001490	97002
HULDRA	2001	12	0.023940	0.050050	0.000760	0.000000	0.074760	0.001610	97002
HULDRA	2002	1	0.072690	0.157140	0.001990	0.000000	0.231810	0.004960	97002
HULDRA	2002	2	0.101410	0.211710	0.004040	0.000000	0.317150	0.006770	97002
HULDRA	2002	3	0.121620	0.256470	0.005500	0.000000	0.383590	0.009050	97002
HULDRA	2002	4	0.097680	0.210590	0.004890	0.000000	0.313160	0.010440	97002
HULDRA	2002	5	0.128320	0.225810	0.005160	0.000000	0.359290	0.009540	97002
HULDRA	2002	6	0.103010	0.207140	0.004470	0.000000	0.314630	0.015630	97002
HULDRA	2002	7	0.116260	0.242730	0.005250	0.000000	0.364240	0.026150	97002
HULDRA	2002	8	0.049560	0.104840	0.002360	0.000000	0.156760	0.010410	97002
HULDRA	2002	9	0.094540	0.216100	0.004200	0.000000	0.314840	0.024660	97002
HULDRA	2002	10	0.102920	0.229540	0.004650	0.000000	0.337100	0.027890	97002
HULDRA	2002	11	0.127800	0.266520	0.005460	0.000000	0.399770	0.041110	97002
HULDRA	2002	12	0.132960	0.286600	0.003820	0.000000	0.423390	0.044080	97002
HULDRA	2003	1	0.133890	0.305170	0.005300	0.000000	0.444360	0.044490	97002
HULDRA	2003	2	0.133920	0.298610	0.002910	0.000000	0.435440	0.047040	97002
HULDRA	2003	3	0.095300	0.214140	0.000960	0.000000	0.310400	0.033160	97002
HULDRA	2003	4	0.111150	0.264670	0.000830	0.000000	0.376650	0.043950	97002
HULDRA	2003	5	0.124270	0.314400	0.000850	0.000000	0.439510	0.048100	97002
HULDRA	2003	6	0.096550	0.245430	0.002510	0.000000	0.344490	0.032610	97002
HULDRA	2003	7	0.043630	0.111100	0.001510	0.000000	0.156230	0.015970	97002
HULDRA	2003	8	0.069500	0.193730	0.001950	0.000000	0.265170	0.024010	97002
HULDRA	2003	9	0.103550	0.269140	0.002800	0.000000	0.375490	0.039970	97002
HULDRA	2003	10	0.091120	0.240050	0.001560	0.000000	0.332730	0.040690	97002
HULDRA	2003	11	0.074990	0.213300	0.000830	0.000000	0.289120	0.026220	97002
HULDRA	2003	12	0.104750	0.288490	0.001190	0.000000	0.394430	0.031330	97002
HULDRA	2004	1	0.115960	0.326600	0.001080	0.000000	0.443630	0.041130	97002
HULDRA	2004	2	0.100700	0.271190	0.000940	0.000000	0.372820	0.037790	97002
HULDRA	2004	3	0.095690	0.296210	0.002710	0.000000	0.394610	0.035940	97002
HULDRA	2004	4	0.090600	0.298420	0.003230	0.000000	0.392250	0.039010	97002
HULDRA	2004	5	0.081650	0.280500	0.003090	0.000000	0.365240	0.033250	97002
HULDRA	2004	6	0.082520	0.273590	0.004800	0.000000	0.360920	0.032220	97002
HULDRA	2004	7	0.086910	0.298400	0.005490	0.000000	0.390810	0.039390	97002
HULDRA	2004	8	0.033460	0.136510	0.003620	0.000000	0.173580	0.016810	97002
HULDRA	2004	9	0.067280	0.239190	0.002800	0.000000	0.309280	0.032540	97002
HULDRA	2004	10	0.068820	0.242240	0.004380	0.000000	0.315440	0.036380	97002
HULDRA	2004	11	0.056800	0.206100	0.004980	0.000000	0.267880	0.030860	97002
HULDRA	2004	12	0.058740	0.212400	0.005800	0.000000	0.276930	0.030270	97002
HULDRA	2005	1	0.065030	0.247790	0.009290	0.000000	0.322110	0.036810	97002
HULDRA	2005	2	0.052220	0.198350	0.002470	0.000000	0.253040	0.026970	97002
HULDRA	2005	3	0.057140	0.222070	0.007220	0.000000	0.286430	0.024240	97002
HULDRA	2005	4	0.050990	0.206540	0.007100	0.000000	0.264630	0.023320	97002
HULDRA	2005	5	0.040860	0.157760	0.001330	0.000000	0.199940	0.024360	97002
HULDRA	2005	6	0.006040	0.028810	0.001000	0.000000	0.035840	0.004770	97002
HULDRA	2005	7	0.029820	0.117750	0.003110	0.000000	0.150670	0.023950	97002
HULDRA	2005	8	0.031800	0.115910	0.001000	0.000000	0.148710	0.019110	97002
HULDRA	2005	9	0.043900	0.177010	0.002810	0.000000	0.223720	0.033880	97002
HULDRA	2005	10	0.039330	0.164530	0.002620	0.000000	0.206480	0.026540	97002
HULDRA	2005	11	0.033780	0.141150	0.001880	0.000000	0.176800	0.017400	97002
HULDRA	2005	12	0.033970	0.141120	0.002620	0.000000	0.177710	0.024200	97002
HULDRA	2006	1	0.039140	0.165370	0.003120	0.000000	0.207620	0.035360	97002
HULDRA	2006	2	0.027400	0.122680	0.003330	0.000000	0.153410	0.022450	97002
HULDRA	2006	3	0.031180	0.137200	0.003000	0.000000	0.171380	0.026730	97002
HULDRA	2006	4	0.009730	0.032060	0.000440	0.000000	0.042240	0.005410	97002
HULDRA	2006	5	0.022160	0.097170	0.001340	0.000000	0.120670	0.015740	97002
HULDRA	2006	6	0.026320	0.131520	0.002540	0.000000	0.160380	0.021680	97002
HULDRA	2006	7	0.026120	0.114670	0.002370	0.000000	0.143170	0.026360	97002
HULDRA	2006	8	0.022010	0.099240	0.001700	0.000000	0.122940	0.023320	97002
HULDRA	2006	9	0.023000	0.093900	0.000640	0.000000	0.117540	0.012380	97002
HULDRA	2006	10	0.029170	0.131530	0.001980	0.000000	0.162680	0.023790	97002
HULDRA	2006	11	0.016470	0.073340	0.000000	0.000000	0.089810	0.010680	97002
HULDRA	2006	12	0.030900	0.139650	0.001450	0.000000	0.171990	0.027510	97002
HULDRA	2007	1	0.014400	0.057580	0.000000	0.000000	0.071980	0.014420	97002
HULDRA	2007	2	0.000230	0.000000	0.000000	0.000000	0.000230	0.000000	97002
HULDRA	2007	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	97002
HULDRA	2007	4	0.001030	0.007260	0.000040	0.000000	0.008320	0.000330	97002
HULDRA	2007	5	0.016620	0.075170	0.000420	0.000000	0.092210	0.013770	97002
HULDRA	2007	6	0.006110	0.022360	0.000640	0.000000	0.029110	0.001290	97002
HULDRA	2007	7	0.013760	0.056840	0.000090	0.000000	0.070690	0.015350	97002
HULDRA	2007	8	0.027080	0.119530	0.000160	0.000000	0.146770	0.028580	97002
HULDRA	2007	9	0.025180	0.120220	0.000000	0.000000	0.145400	0.032820	97002
HULDRA	2007	10	0.025990	0.126120	0.000000	0.000000	0.152110	0.042920	97002
HULDRA	2007	11	0.016660	0.080260	0.000030	0.000000	0.096950	0.023700	97002
HULDRA	2007	12	0.021040	0.101670	0.000020	0.000000	0.122740	0.031310	97002
HULDRA	2008	1	0.021090	0.101120	0.000110	0.000000	0.122320	0.035630	97002
HULDRA	2008	2	0.021540	0.111280	0.000020	0.000000	0.132840	0.032720	97002
HULDRA	2008	3	0.015560	0.076860	0.000000	0.000000	0.092420	0.021570	97002
HULDRA	2008	4	0.016880	0.082290	0.000060	0.000000	0.099230	0.018100	97002
HULDRA	2008	5	0.021610	0.111000	0.000080	0.000000	0.132690	0.034050	97002
HULDRA	2008	6	0.017050	0.085580	0.000070	0.000000	0.102710	0.028030	97002
HULDRA	2008	7	0.019690	0.103520	0.000050	0.000000	0.123250	0.030310	97002
HULDRA	2008	8	0.006770	0.030640	0.000130	0.000000	0.037550	0.008800	97002
HULDRA	2008	9	0.017130	0.079010	0.000120	0.000000	0.096270	0.023950	97002
HULDRA	2008	10	0.021000	0.116850	0.000010	0.000000	0.137850	0.038670	97002
HULDRA	2008	11	0.018390	0.113960	0.000060	0.000000	0.132410	0.039460	97002
HULDRA	2008	12	0.012180	0.070960	0.000070	0.000000	0.083210	0.018700	97002
HULDRA	2009	1	0.018020	0.101430	0.000070	0.000000	0.119520	0.032530	97002
HULDRA	2009	2	0.015650	0.082290	0.000110	0.000000	0.098040	0.026050	97002
HULDRA	2009	3	0.015420	0.083750	0.000090	0.000000	0.099250	0.025930	97002
HULDRA	2009	4	0.019520	0.106360	0.000130	0.000000	0.126010	0.042780	97002
HULDRA	2009	5	0.020110	0.115840	0.000040	0.000000	0.135990	0.038770	97002
HULDRA	2009	6	0.007370	0.037730	0.000000	0.000000	0.045100	0.012100	97002
HULDRA	2009	7	0.020320	0.113830	0.000000	0.000000	0.134160	0.039170	97002
HULDRA	2009	8	0.015810	0.083780	0.000000	0.000000	0.099590	0.034710	97002
HULDRA	2009	9	0.017330	0.091920	0.000000	0.000000	0.109250	0.042170	97002
HULDRA	2009	10	0.014330	0.079110	0.000000	0.000000	0.093440	0.032730	97002
HULDRA	2009	11	0.017020	0.100040	0.000000	0.000000	0.117060	0.039340	97002
HULDRA	2009	12	0.010840	0.058840	0.000000	0.000000	0.069680	0.022970	97002
HULDRA	2010	1	0.015550	0.085630	0.000000	0.000000	0.101180	0.033200	97002
HULDRA	2010	2	0.013820	0.077350	0.000000	0.000000	0.091170	0.029690	97002
HULDRA	2010	3	0.014850	0.083600	0.000000	0.000000	0.098450	0.034840	97002
HULDRA	2010	4	0.008870	0.048980	0.000000	0.000000	0.057840	0.028030	97002
HULDRA	2010	5	0.012550	0.071420	0.000000	0.000000	0.083970	0.036180	97002
HULDRA	2010	6	0.013170	0.077890	0.000000	0.000000	0.091050	0.024220	97002
HULDRA	2010	7	0.011530	0.070660	0.000000	0.000000	0.082200	0.024370	97002
HULDRA	2010	8	0.011250	0.061470	0.000000	0.000000	0.072720	0.021100	97002
HULDRA	2010	9	0.011910	0.072810	0.000000	0.000000	0.084720	0.025350	97002
HULDRA	2010	10	0.009320	0.054840	0.000000	0.000000	0.064160	0.018020	97002
HULDRA	2010	11	0.011520	0.059030	0.000000	0.000000	0.070550	0.022080	97002
HULDRA	2010	12	0.011300	0.060640	0.000000	0.000000	0.071930	0.025370	97002
HULDRA	2011	1	0.010920	0.060000	0.000000	0.000000	0.070920	0.023830	97002
HULDRA	2011	2	0.007100	0.040580	0.000000	0.000000	0.047680	0.014630	97002
HULDRA	2011	3	0.009090	0.053750	0.000000	0.000000	0.062830	0.019390	97002
HULDRA	2011	4	0.009420	0.055630	0.000000	0.000000	0.065060	0.024040	97002
HULDRA	2011	5	0.005280	0.027740	0.000000	0.000000	0.033010	0.012310	97002
HULDRA	2011	6	0.005420	0.034470	0.000000	0.000000	0.039890	0.012310	97002
HULDRA	2011	7	0.010600	0.059580	0.000000	0.000000	0.070180	0.025600	97002
HULDRA	2011	8	0.008110	0.049510	0.000000	0.000000	0.057620	0.022490	97002
HULDRA	2011	9	0.007910	0.045130	0.000000	0.000000	0.053030	0.020900	97002
HULDRA	2011	10	0.009180	0.051380	0.000000	0.000000	0.060560	0.025550	97002
HULDRA	2011	11	0.008280	0.050400	0.000650	0.000000	0.059330	0.024710	97002
HULDRA	2011	12	0.007470	0.048270	0.000620	0.000000	0.056370	0.024120	97002
HULDRA	2012	1	0.008240	0.044700	0.000550	0.000000	0.053500	0.020630	97002
HULDRA	2012	2	0.005800	0.031000	0.000390	0.000000	0.037180	0.014130	97002
HULDRA	2012	3	0.006530	0.038620	0.000520	0.000000	0.045680	0.015020	97002
HULDRA	2012	4	0.007390	0.035660	0.000520	0.000000	0.043570	0.018340	97002
HULDRA	2012	5	0.005010	0.032690	0.004950	0.000000	0.042650	0.012900	97002
HULDRA	2012	6	0.004610	0.029760	0.002190	0.000000	0.036560	0.008190	97002
HULDRA	2012	7	0.003660	0.018980	0.002230	0.000000	0.024870	0.003540	97002
HULDRA	2012	8	0.009720	0.055290	0.004150	0.000000	0.069160	0.019360	97002
HULDRA	2012	9	0.006670	0.035110	0.003250	0.000000	0.045030	0.014680	97002
HULDRA	2012	10	0.009250	0.041660	0.001650	0.000000	0.052550	0.014290	97002
HULDRA	2012	11	0.004650	0.035990	0.001050	0.000000	0.041680	0.012300	97002
HULDRA	2012	12	0.007720	0.040360	0.001140	0.000000	0.049230	0.016760	97002
HULDRA	2013	1	0.006940	0.044510	0.001590	0.000000	0.053040	0.017670	97002
HULDRA	2013	2	0.001920	0.012340	0.002680	0.000000	0.016950	0.003370	97002
SYGNA	2000	8	0.104770	0.000000	0.000000	0.000000	0.104770	0.001220	104718
SYGNA	2000	9	0.094630	0.000000	0.000000	0.000000	0.094630	0.000000	104718
SYGNA	2000	10	0.113590	0.000000	0.000000	0.000000	0.113590	0.000000	104718
SYGNA	2000	11	0.124700	0.000000	0.000000	0.000000	0.124700	0.000000	104718
SYGNA	2000	12	0.204740	0.000000	0.000000	0.000000	0.204740	0.000290	104718
SYGNA	2001	1	0.217060	0.000000	0.000000	0.000000	0.217060	0.000000	104718
SYGNA	2001	2	0.200750	0.000000	0.000000	0.000000	0.200750	0.000000	104718
SYGNA	2001	3	0.226060	0.000000	0.000000	0.000000	0.226060	0.000000	104718
SYGNA	2001	4	0.212750	0.000000	0.000000	0.000000	0.212750	0.000000	104718
SYGNA	2001	5	0.220180	0.000000	0.000000	0.000000	0.220180	0.000000	104718
SYGNA	2001	6	0.211350	0.000000	0.000000	0.000000	0.211350	0.000000	104718
SYGNA	2001	7	0.220200	0.000000	0.000000	0.000000	0.220200	0.000000	104718
SYGNA	2001	8	0.212700	0.000000	0.000000	0.000000	0.212700	0.000000	104718
SYGNA	2001	9	0.207060	0.000000	0.000000	0.000000	0.207060	0.000000	104718
SYGNA	2001	10	0.206340	0.000000	0.000000	0.000000	0.206340	0.000000	104718
SYGNA	2001	11	0.200350	0.000000	0.000000	0.000000	0.200350	0.000000	104718
SYGNA	2001	12	0.215050	0.000000	0.000000	0.000000	0.215050	0.000000	104718
SYGNA	2002	1	0.185400	0.000000	0.000000	0.000000	0.185400	0.000000	104718
SYGNA	2002	2	0.169210	0.000000	0.000000	0.000000	0.169210	0.007490	104718
SYGNA	2002	3	0.194550	0.000000	0.000000	0.000000	0.194550	0.016240	104718
SYGNA	2002	4	0.173650	0.000000	0.000000	0.000000	0.173650	0.027400	104718
SYGNA	2002	5	0.182560	0.000000	0.000000	0.000000	0.182560	0.028630	104718
SYGNA	2002	6	0.165890	0.000000	0.000000	0.000000	0.165890	0.043990	104718
SYGNA	2002	7	0.166530	0.000000	0.000000	0.000000	0.166530	0.054330	104718
SYGNA	2002	8	0.047690	0.000000	0.000000	0.000000	0.047690	0.013290	104718
SYGNA	2002	9	0.154350	0.000000	0.000000	0.000000	0.154350	0.051190	104718
SYGNA	2002	10	0.120440	0.000000	0.000000	0.000000	0.120440	0.062650	104718
SYGNA	2002	11	0.126650	0.000000	0.000000	0.000000	0.126650	0.065740	104718
SYGNA	2002	12	0.126240	0.000000	0.000000	0.000000	0.126240	0.068280	104718
SYGNA	2003	1	0.126440	0.000000	0.000000	0.000000	0.126440	0.081150	104718
SYGNA	2003	2	0.109620	0.000000	0.000000	0.000000	0.109620	0.072940	104718
SYGNA	2003	3	0.160250	0.000000	0.000000	0.000000	0.160250	0.093950	104718
SYGNA	2003	4	0.158550	0.000000	0.000000	0.000000	0.158550	0.097900	104718
SYGNA	2003	5	0.156880	0.000000	0.000000	0.000000	0.156880	0.109410	104718
SYGNA	2003	6	0.144490	0.000000	0.000000	0.000000	0.144490	0.107110	104718
SYGNA	2003	7	0.141080	0.000000	0.000000	0.000000	0.141080	0.105310	104718
SYGNA	2003	8	0.139210	0.000000	0.000000	0.000000	0.139210	0.103840	104718
SYGNA	2003	9	0.124890	0.000000	0.000000	0.000000	0.124890	0.095790	104718
SYGNA	2003	10	0.135920	0.000000	0.000000	0.000000	0.135920	0.107580	104718
SYGNA	2003	11	0.131430	0.000000	0.000000	0.000000	0.131430	0.103330	104718
SYGNA	2003	12	0.109280	0.000000	0.000000	0.000000	0.109280	0.098890	104718
SYGNA	2004	1	0.123070	0.000000	0.000000	0.000000	0.123070	0.114000	104718
SYGNA	2004	2	0.111980	0.000000	0.000000	0.000000	0.111980	0.105380	104718
SYGNA	2004	3	0.112330	0.000000	0.000000	0.000000	0.112330	0.109300	104718
SYGNA	2004	4	0.061090	0.000000	0.000000	0.000000	0.061090	0.058960	104718
SYGNA	2004	5	0.085170	0.000000	0.000000	0.000000	0.085170	0.070890	104718
SYGNA	2004	6	0.101840	0.000000	0.000000	0.000000	0.101840	0.105270	104718
SYGNA	2004	7	0.102650	0.000000	0.000000	0.000000	0.102650	0.119900	104718
SYGNA	2004	8	0.096390	0.000000	0.000000	0.000000	0.096390	0.120490	104718
SYGNA	2004	9	0.093420	0.000000	0.000000	0.000000	0.093420	0.120570	104718
SYGNA	2004	10	0.092610	0.000000	0.000000	0.000000	0.092610	0.128320	104718
SYGNA	2004	11	0.082660	0.000000	0.000000	0.000000	0.082660	0.127500	104718
SYGNA	2004	12	0.079830	0.000000	0.000000	0.000000	0.079830	0.130840	104718
SYGNA	2005	1	0.072700	0.000000	0.000000	0.000000	0.072700	0.138750	104718
SYGNA	2005	2	0.057100	0.000000	0.000000	0.000000	0.057100	0.116280	104718
SYGNA	2005	3	0.071080	0.000000	0.000000	0.000000	0.071080	0.144630	104718
SYGNA	2005	4	0.065940	0.000000	0.000000	0.000000	0.065940	0.151130	104718
SYGNA	2005	5	0.063420	0.000000	0.000000	0.000000	0.063420	0.141230	104718
SYGNA	2005	6	0.060410	0.000000	0.000000	0.000000	0.060410	0.146510	104718
SYGNA	2005	7	0.063050	0.000000	0.000000	0.000000	0.063050	0.155500	104718
SYGNA	2005	8	0.057000	0.000000	0.000000	0.000000	0.057000	0.159740	104718
SYGNA	2005	9	0.048450	0.000000	0.000000	0.000000	0.048450	0.157520	104718
SYGNA	2005	10	0.046490	0.000000	0.000000	0.000000	0.046490	0.149460	104718
SYGNA	2005	11	0.042900	0.000000	0.000000	0.000000	0.042900	0.163480	104718
SYGNA	2005	12	0.042820	0.000000	0.000000	0.000000	0.042820	0.169250	104718
SYGNA	2006	1	0.039990	0.000000	0.000000	0.000000	0.039990	0.167770	104718
SYGNA	2006	2	0.031330	0.000000	0.000000	0.000000	0.031330	0.139780	104718
SYGNA	2006	3	0.040160	0.000000	0.000000	0.000000	0.040160	0.161500	104718
SYGNA	2006	4	0.041780	0.000000	0.000000	0.000000	0.041780	0.173060	104718
SYGNA	2006	5	0.040230	0.000000	0.000000	0.000000	0.040230	0.173510	104718
SYGNA	2006	6	0.000580	0.000000	0.000000	0.000000	0.000580	0.001330	104718
SYGNA	2006	7	0.032380	0.000000	0.000000	0.000000	0.032380	0.130210	104718
SYGNA	2006	8	0.029150	0.000000	0.000000	0.000000	0.029150	0.126850	104718
SYGNA	2006	9	0.031960	0.000000	0.000000	0.000000	0.031960	0.145690	104718
SYGNA	2006	10	0.039760	0.000000	0.000000	0.000000	0.039760	0.118370	104718
SYGNA	2006	11	0.042880	0.000000	0.000000	0.000000	0.042880	0.127280	104718
SYGNA	2006	12	0.042780	0.000000	0.000000	0.000000	0.042780	0.137480	104718
SYGNA	2007	1	0.040350	0.000000	0.000000	0.000000	0.040350	0.139560	104718
SYGNA	2007	2	0.033620	0.000000	0.000000	0.000000	0.033620	0.119020	104718
SYGNA	2007	3	0.031580	0.000000	0.000000	0.000000	0.031580	0.133220	104718
SYGNA	2007	4	0.028150	0.000000	0.000000	0.000000	0.028150	0.157870	104718
SYGNA	2007	5	0.031620	0.000000	0.000000	0.000000	0.031620	0.179620	104718
SYGNA	2007	6	0.031220	0.000000	0.000000	0.000000	0.031220	0.173080	104718
SYGNA	2007	7	0.033050	0.000000	0.000000	0.000000	0.033050	0.182240	104718
SYGNA	2007	8	0.031910	0.000000	0.000000	0.000000	0.031910	0.175740	104718
SYGNA	2007	9	0.032290	0.000000	0.000000	0.000000	0.032290	0.200370	104718
SYGNA	2007	10	0.027600	0.000000	0.000000	0.000000	0.027600	0.159700	104718
SYGNA	2007	11	0.026800	0.000000	0.000000	0.000000	0.026800	0.151070	104718
SYGNA	2007	12	0.029290	0.000000	0.000000	0.000000	0.029290	0.174450	104718
SYGNA	2008	1	0.029580	0.000000	0.000000	0.000000	0.029580	0.180810	104718
SYGNA	2008	2	0.026300	0.000000	0.000000	0.000000	0.026300	0.175950	104718
SYGNA	2008	3	0.026580	0.000000	0.000000	0.000000	0.026580	0.186320	104718
SYGNA	2008	4	0.002770	0.000000	0.000000	0.000000	0.002770	0.017510	104718
SYGNA	2008	5	0.026410	0.000000	0.000000	0.000000	0.026410	0.159250	104718
SYGNA	2008	6	0.025010	0.000000	0.000000	0.000000	0.025010	0.165740	104718
SYGNA	2008	7	0.026730	0.000000	0.000000	0.000000	0.026730	0.178420	104718
SYGNA	2008	8	0.028230	0.000000	0.000000	0.000000	0.028230	0.192500	104718
SYGNA	2008	9	0.026480	0.000000	0.000000	0.000000	0.026480	0.197430	104718
SYGNA	2008	10	0.027820	0.000000	0.000000	0.000000	0.027820	0.213460	104718
SYGNA	2008	11	0.025260	0.000000	0.000000	0.000000	0.025260	0.207390	104718
SYGNA	2008	12	0.026710	0.000000	0.000000	0.000000	0.026710	0.220360	104718
SYGNA	2009	1	0.027170	0.000000	0.000000	0.000000	0.027170	0.218000	104718
SYGNA	2009	2	0.020070	0.000000	0.000000	0.000000	0.020070	0.172090	104718
SYGNA	2009	3	0.027830	0.000000	0.000000	0.000000	0.027830	0.246640	104718
SYGNA	2009	4	0.016950	0.000000	0.000000	0.000000	0.016950	0.158730	104718
SYGNA	2009	5	0.008690	0.000000	0.000000	0.000000	0.008690	0.086990	104718
SYGNA	2009	6	0.008000	0.000000	0.000000	0.000000	0.008000	0.079390	104718
SYGNA	2009	7	0.009120	0.000000	0.000000	0.000000	0.009120	0.073550	104718
SYGNA	2009	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
SYGNA	2009	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
SYGNA	2009	10	0.003520	0.000000	0.000000	0.000000	0.003520	0.032050	104718
SYGNA	2009	11	0.003970	0.000000	0.000000	0.000000	0.003970	0.035130	104718
SYGNA	2009	12	0.004320	0.000000	0.000000	0.000000	0.004320	0.038350	104718
SYGNA	2010	1	0.004630	0.000000	0.000000	0.000000	0.004630	0.035880	104718
SYGNA	2010	2	0.003940	0.000000	0.000000	0.000000	0.003940	0.030440	104718
SYGNA	2010	3	0.004420	0.000000	0.000000	0.000000	0.004420	0.037130	104718
SYGNA	2010	4	0.004560	0.000000	0.000000	0.000000	0.004560	0.033480	104718
SYGNA	2010	5	0.004720	0.000000	0.000000	0.000000	0.004720	0.035880	104718
SYGNA	2010	6	0.005170	0.000000	0.000000	0.000000	0.005170	0.035430	104718
SYGNA	2010	7	0.001160	0.000000	0.000000	0.000000	0.001160	0.005920	104718
SYGNA	2010	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
SYGNA	2010	9	0.006640	0.000000	0.000000	0.000000	0.006640	0.025720	104718
SYGNA	2010	10	0.008750	0.000000	0.000000	0.000000	0.008750	0.035640	104718
SYGNA	2010	11	0.006800	0.000000	0.000000	0.000000	0.006800	0.035730	104718
SYGNA	2010	12	0.003630	0.000000	0.000000	0.000000	0.003630	0.015810	104718
SYGNA	2011	1	0.006620	0.000000	0.000000	0.000000	0.006620	0.027360	104718
SYGNA	2011	2	0.006170	0.000000	0.000000	0.000000	0.006170	0.022990	104718
SYGNA	2011	3	0.009530	0.000000	0.000000	0.000000	0.009530	0.026380	104718
SYGNA	2011	4	0.006810	0.000000	0.000000	0.000000	0.006810	0.028780	104718
SYGNA	2011	5	0.006150	0.000000	0.000000	0.000000	0.006150	0.027820	104718
SYGNA	2011	6	0.000160	0.000000	0.000000	0.000000	0.000160	0.000870	104718
SYGNA	2011	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
SYGNA	2011	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
SYGNA	2011	9	0.003310	0.000000	0.000000	0.000000	0.003310	0.010650	104718
SYGNA	2011	10	0.008120	0.000000	0.000000	0.000000	0.008120	0.030740	104718
SYGNA	2011	11	0.007970	0.000000	0.000000	0.000000	0.007970	0.022030	104718
SYGNA	2011	12	0.008060	0.000000	0.000000	0.000000	0.008060	0.021570	104718
SYGNA	2012	1	0.006010	0.000000	0.000000	0.000000	0.006010	0.027290	104718
SYGNA	2012	2	0.001750	0.000000	0.000000	0.000000	0.001750	0.018180	104718
SYGNA	2012	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
SYGNA	2012	4	0.009290	0.000000	0.000000	0.000000	0.009290	0.012790	104718
SYGNA	2012	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
SYGNA	2012	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
SYGNA	2012	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
SYGNA	2012	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
SYGNA	2012	9	0.005840	0.000000	0.000000	0.000000	0.005840	0.017640	104718
SYGNA	2012	10	0.012930	0.000000	0.000000	0.000000	0.012930	0.030430	104718
SYGNA	2012	11	0.012730	0.000000	0.000000	0.000000	0.012730	0.024980	104718
SYGNA	2012	12	0.002620	0.000000	0.000000	0.000000	0.002620	0.004520	104718
SYGNA	2013	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
SYGNA	2013	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	104718
TUNE	2002	11	0.002070	0.004370	0.000150	0.000000	0.006590	0.000000	853376
TUNE	2002	12	0.016230	0.039650	0.000510	0.000000	0.056390	0.000200	853376
TUNE	2003	1	0.076460	0.208170	0.002760	0.000000	0.287390	0.002020	853376
TUNE	2003	2	0.057430	0.208450	0.003220	0.000000	0.269100	0.002470	853376
TUNE	2003	3	0.083970	0.250570	0.001910	0.000000	0.336440	0.004380	853376
TUNE	2003	4	0.107130	0.333650	0.004190	0.000000	0.444970	0.004560	853376
TUNE	2003	5	0.106300	0.371130	0.005260	0.000000	0.482680	0.004380	853376
TUNE	2003	6	0.069540	0.254040	0.001630	0.000000	0.325200	0.003780	853376
TUNE	2003	7	0.082810	0.234120	0.001360	0.000000	0.318290	0.005060	853376
TUNE	2003	8	0.064470	0.221630	0.002040	0.000000	0.288130	0.005610	853376
TUNE	2003	9	0.174240	0.213070	0.005700	0.000000	0.393000	0.001790	853376
TUNE	2003	10	0.091320	0.307900	0.004900	0.000000	0.404120	0.005610	853376
TUNE	2003	11	0.089620	0.339360	0.004320	0.000000	0.433290	0.003970	853376
TUNE	2003	12	0.136010	0.389920	0.004680	0.000000	0.530620	0.004340	853376
TUNE	2004	1	0.100440	0.376530	0.005430	0.000000	0.482400	0.003410	853376
TUNE	2004	2	0.090880	0.286900	0.003510	0.000000	0.381290	0.002870	853376
TUNE	2004	3	0.098730	0.358460	0.004460	0.000000	0.461650	0.002270	853376
TUNE	2004	4	0.088250	0.368450	0.002550	0.000000	0.459250	0.002380	853376
TUNE	2004	5	0.068340	0.251660	0.002400	0.000000	0.322390	0.007110	853376
TUNE	2004	6	0.089000	0.376110	0.003720	0.000000	0.468830	0.002050	853376
TUNE	2004	7	0.084130	0.352940	0.002800	0.000000	0.439870	0.005950	853376
TUNE	2004	8	0.081250	0.376680	0.005750	0.000000	0.463680	0.002170	853376
TUNE	2004	9	0.076680	0.352010	0.004630	0.000000	0.433320	0.002370	853376
TUNE	2004	10	0.051240	0.235740	0.002690	0.000000	0.289670	0.003170	853376
TUNE	2004	11	0.061480	0.293810	0.003850	0.000000	0.359140	0.002720	853376
TUNE	2004	12	0.067360	0.343150	0.004280	0.000000	0.414790	0.004380	853376
TUNE	2005	1	0.059360	0.313790	0.003720	0.000000	0.376870	0.004460	853376
TUNE	2005	2	0.055060	0.300500	0.003720	0.000000	0.359280	0.002450	853376
TUNE	2005	3	0.054940	0.313120	0.003800	0.000000	0.371860	0.001960	853376
TUNE	2005	4	0.051890	0.300510	0.003540	0.000000	0.355940	0.003460	853376
TUNE	2005	5	0.039830	0.238950	0.002710	0.000000	0.281490	0.001500	853376
TUNE	2005	6	0.018430	0.107640	0.000940	0.000000	0.127010	0.001150	853376
TUNE	2005	7	0.037980	0.262170	0.002110	0.000000	0.302270	0.001930	853376
TUNE	2005	8	0.040550	0.250590	0.002900	0.000000	0.294030	0.002790	853376
TUNE	2005	9	0.039930	0.270960	0.003020	0.000000	0.313900	0.003040	853376
TUNE	2005	10	0.038730	0.273590	0.002850	0.000000	0.315170	0.002990	853376
TUNE	2005	11	0.036170	0.253080	0.002340	0.000000	0.291590	0.003120	853376
TUNE	2005	12	0.032980	0.233460	0.001990	0.000000	0.268430	0.003040	853376
TUNE	2006	1	0.035200	0.250850	0.002890	0.000000	0.288930	0.003310	853376
TUNE	2006	2	0.024430	0.194390	0.002300	0.000000	0.221120	0.001660	853376
TUNE	2006	3	0.035000	0.265030	0.002200	0.000000	0.302220	0.001140	853376
TUNE	2006	4	0.024470	0.184750	0.001150	0.000000	0.210370	0.000210	853376
TUNE	2006	5	0.023550	0.244950	0.002670	0.000000	0.271170	0.000280	853376
TUNE	2006	6	0.022300	0.218060	0.001790	0.000000	0.242150	0.002600	853376
TUNE	2006	7	0.021710	0.221650	0.002390	0.000000	0.245750	0.001230	853376
TUNE	2006	8	0.017370	0.163290	0.001680	0.000000	0.182340	0.000110	853376
TUNE	2006	9	0.020250	0.198900	0.002290	0.000000	0.221430	0.000950	853376
TUNE	2006	10	0.022740	0.213570	0.002730	0.000000	0.239040	0.000520	853376
TUNE	2006	11	0.020470	0.198510	0.002700	0.000000	0.221680	0.000180	853376
TUNE	2006	12	0.019170	0.202850	0.002300	0.000000	0.224320	0.003130	853376
TUNE	2007	1	0.019030	0.203120	0.001860	0.000000	0.224010	0.001910	853376
TUNE	2007	2	0.015320	0.168320	0.001680	0.000000	0.185310	0.001740	853376
TUNE	2007	3	0.010440	0.106590	0.000780	0.000000	0.117810	0.000520	853376
TUNE	2007	4	0.018590	0.192030	0.001460	0.000000	0.212080	0.000490	853376
TUNE	2007	5	0.013480	0.148980	0.002350	0.000000	0.164810	0.002050	853376
TUNE	2007	6	0.008590	0.094050	0.000800	0.000000	0.103440	0.001740	853376
TUNE	2007	7	0.014620	0.171490	0.001730	0.000000	0.187840	0.003450	853376
TUNE	2007	8	0.012160	0.129060	0.001700	0.000000	0.142920	0.002640	853376
TUNE	2007	9	0.014360	0.155540	0.002020	0.000000	0.171930	0.003430	853376
TUNE	2007	10	0.011650	0.124470	0.001430	0.000000	0.137550	0.002810	853376
TUNE	2007	11	0.012890	0.150770	0.001830	0.000000	0.165500	0.003040	853376
TUNE	2007	12	0.013840	0.156530	0.001900	0.000000	0.172270	0.003410	853376
TUNE	2008	1	0.013130	0.158540	0.002480	0.000000	0.174150	0.003450	853376
TUNE	2008	2	0.011780	0.140940	0.001870	0.000000	0.154590	0.003100	853376
TUNE	2008	3	0.012840	0.143170	0.001620	0.000000	0.157620	0.003150	853376
TUNE	2008	4	0.003050	0.034810	0.000750	0.000000	0.038610	0.000810	853376
TUNE	2008	5	0.007710	0.092870	0.001150	0.000000	0.101730	0.005590	853376
TUNE	2008	6	0.002780	0.045500	0.000520	0.000000	0.048800	0.001030	853376
TUNE	2008	7	0.006380	0.103640	0.000640	0.000000	0.110660	0.033040	853376
TUNE	2008	8	0.008150	0.090810	0.002280	0.000000	0.101240	0.008520	853376
TUNE	2008	9	0.007440	0.090620	0.000800	0.000000	0.098860	0.019500	853376
TUNE	2008	10	0.006350	0.110060	0.001450	0.000000	0.117860	0.011500	853376
TUNE	2008	11	0.010760	0.133950	0.003670	0.000000	0.148380	0.005840	853376
TUNE	2008	12	0.008730	0.127850	0.003370	0.000000	0.139950	0.002080	853376
TUNE	2009	1	0.021320	0.255700	0.003560	0.000000	0.280570	0.001240	853376
TUNE	2009	2	0.013420	0.164190	0.003090	0.000000	0.180700	0.000730	853376
TUNE	2009	3	0.018010	0.192100	0.002780	0.000000	0.212890	0.000780	853376
TUNE	2009	4	0.018110	0.204040	0.003010	0.000000	0.225160	0.001060	853376
TUNE	2009	5	0.010480	0.157610	0.002240	0.000000	0.170320	0.000610	853376
TUNE	2009	6	0.002740	0.047640	0.001650	0.000000	0.052020	0.000090	853376
TUNE	2009	7	0.008250	0.066180	0.000690	0.000000	0.075120	0.001930	853376
TUNE	2009	8	0.034300	0.221160	0.004200	0.000000	0.259660	0.012680	853376
TUNE	2009	9	0.032530	0.243120	0.004270	0.000000	0.279910	0.001000	853376
TUNE	2009	10	0.024160	0.215390	0.004450	0.000000	0.244000	0.002920	853376
TUNE	2009	11	0.021330	0.178730	0.003590	0.000000	0.203650	0.000700	853376
TUNE	2009	12	0.020320	0.166630	0.002050	0.000000	0.189000	0.000690	853376
TUNE	2010	1	0.016120	0.135540	0.004100	0.000000	0.155760	0.000550	853376
TUNE	2010	2	0.014470	0.132850	0.003050	0.000000	0.150370	0.000550	853376
TUNE	2010	3	0.013250	0.118850	0.002820	0.000000	0.134930	0.000750	853376
TUNE	2010	4	0.013290	0.116950	0.002790	0.000000	0.133030	0.000350	853376
TUNE	2010	5	0.015930	0.136550	0.003190	0.000000	0.155670	0.000490	853376
TUNE	2010	6	0.012210	0.113390	0.001660	0.000000	0.127270	0.000690	853376
TUNE	2010	7	0.010860	0.042710	0.000770	0.000000	0.054340	0.000060	853376
TUNE	2010	8	0.014580	0.121990	0.001110	0.000000	0.137680	0.001300	853376
TUNE	2010	9	0.012550	0.107110	0.002080	0.000000	0.121750	0.000350	853376
TUNE	2010	10	0.000000	0.000000	-0.000220	0.000000	-0.000220	0.000000	853376
TUNE	2010	11	0.005020	0.043370	-0.001950	0.000000	0.046450	0.000230	853376
TUNE	2010	12	0.012930	0.118150	0.003620	0.000000	0.134690	0.000790	853376
TUNE	2011	1	0.009510	0.087510	0.002050	0.000000	0.099070	0.000480	853376
TUNE	2011	2	0.010370	0.095200	0.001840	0.000000	0.107410	0.000780	853376
TUNE	2011	3	0.010920	0.106090	0.002370	0.000000	0.119380	0.000490	853376
TUNE	2011	4	0.009960	0.099350	0.002190	0.000000	0.111500	0.000610	853376
TUNE	2011	5	0.006910	0.062780	0.001890	0.000000	0.071580	0.000260	853376
TUNE	2011	6	0.012370	0.095900	0.001360	0.000000	0.109630	0.000960	853376
TUNE	2011	7	0.006290	0.086710	0.001200	0.000000	0.094200	0.000670	853376
TUNE	2011	8	0.008220	0.073580	0.001530	0.000000	0.083330	0.000550	853376
TUNE	2011	9	0.002100	0.019590	0.000480	0.000000	0.022170	0.000190	853376
TUNE	2011	10	0.000000	0.000000	0.000020	0.000000	0.000020	0.000000	853376
TUNE	2011	11	0.008150	0.057620	0.001420	0.000000	0.067200	0.000410	853376
TUNE	2011	12	0.006840	0.085810	0.001120	0.000000	0.093770	0.001450	853376
TUNE	2012	1	0.009010	0.095670	0.001470	0.000000	0.106150	0.001440	853376
TUNE	2012	2	0.009910	0.069460	0.001160	0.000000	0.080530	0.000670	853376
TUNE	2012	3	0.002800	0.014410	0.000320	0.000000	0.017540	0.000150	853376
TUNE	2012	4	0.005470	0.036230	0.000570	0.000000	0.042280	0.000560	853376
TUNE	2012	5	0.006580	0.049910	0.001090	0.000000	0.057580	0.001680	853376
TUNE	2012	6	0.003210	0.028870	0.000450	0.000000	0.032530	0.001110	853376
TUNE	2012	7	0.002990	0.027050	0.000430	0.000000	0.030480	0.000770	853376
TUNE	2012	8	0.004360	0.039080	0.000720	0.000000	0.044160	0.001280	853376
TUNE	2012	9	0.004540	0.030240	0.000710	0.000000	0.035490	0.000700	853376
TUNE	2012	10	0.011730	0.103870	0.002050	0.000000	0.117650	0.001550	853376
TUNE	2012	11	0.012590	0.108060	0.001900	0.000000	0.122560	0.001130	853376
TUNE	2012	12	0.009910	0.084070	0.001770	0.000000	0.095740	0.001790	853376
TUNE	2013	1	0.005290	0.044900	0.000770	0.000000	0.050960	0.000430	853376
TUNE	2013	2	0.002690	0.025710	0.000390	0.000000	0.028790	0.000410	853376
TAMBAR	2001	7	0.047590	0.000000	0.001970	0.000000	0.049550	0.000290	1028599
TAMBAR	2001	8	0.030310	0.000000	0.001110	0.000000	0.031420	0.000180	1028599
TAMBAR	2001	9	0.063860	0.000000	0.002340	0.000000	0.066200	0.000180	1028599
TAMBAR	2001	10	0.102240	0.000000	0.005150	0.000000	0.107390	0.000610	1028599
TAMBAR	2001	11	0.129130	0.000000	0.006500	0.000000	0.135640	0.000970	1028599
TAMBAR	2001	12	0.161850	0.000000	0.008090	0.000000	0.169940	0.000970	1028599
TAMBAR	2002	1	0.148700	0.000000	0.007520	0.000000	0.156220	0.000460	1028599
TAMBAR	2002	2	0.147210	0.000000	0.007790	0.000000	0.155000	0.000440	1028599
TAMBAR	2002	3	0.118850	0.000000	0.006950	0.000000	0.125800	0.000360	1028599
TAMBAR	2002	4	0.158870	0.000000	0.008210	0.000000	0.167070	0.000480	1028599
TAMBAR	2002	5	0.149680	0.000000	0.007620	0.000000	0.157290	0.000450	1028599
TAMBAR	2002	6	0.145630	0.000000	0.006760	0.000000	0.152390	0.000440	1028599
TAMBAR	2002	7	0.151030	0.000000	0.007190	0.000000	0.158220	0.000450	1028599
TAMBAR	2002	8	0.130100	0.000000	0.006620	0.000000	0.136720	0.000390	1028599
TAMBAR	2002	9	0.155540	0.000000	0.008270	0.000000	0.163810	0.000470	1028599
TAMBAR	2002	10	0.140540	0.000000	0.006790	0.000000	0.147340	0.000420	1028599
TAMBAR	2002	11	0.139300	0.000000	0.006960	0.000000	0.146250	0.000420	1028599
TAMBAR	2002	12	0.141060	0.000000	0.006570	0.000000	0.147630	0.000420	1028599
TAMBAR	2003	1	0.145130	0.000000	0.007190	0.000000	0.152320	0.000440	1028599
TAMBAR	2003	2	0.125110	0.000000	0.006080	0.000000	0.131200	0.000380	1028599
TAMBAR	2003	3	0.139620	0.000000	0.006960	0.000000	0.146570	0.000420	1028599
TAMBAR	2003	4	0.128440	0.000000	0.006490	0.000000	0.134930	0.000390	1028599
TAMBAR	2003	5	0.123610	0.000000	0.006170	0.000000	0.129780	0.000370	1028599
TAMBAR	2003	6	0.121180	0.000000	0.005950	0.000000	0.127130	0.000360	1028599
TAMBAR	2003	7	0.121290	0.000000	0.005950	0.000000	0.127240	0.000360	1028599
TAMBAR	2003	8	0.095320	0.000000	0.004350	0.000000	0.099670	0.000290	1028599
TAMBAR	2003	9	0.120480	0.000000	0.005230	0.000000	0.125710	0.000420	1028599
TAMBAR	2003	10	0.116910	0.000000	0.006050	0.000000	0.122960	0.000390	1028599
TAMBAR	2003	11	0.110640	0.000000	0.005670	0.000000	0.116310	0.000720	1028599
TAMBAR	2003	12	0.115610	0.000000	0.005760	0.000000	0.121370	0.000750	1028599
TAMBAR	2004	1	0.111890	0.000000	0.006040	0.000000	0.117930	0.000420	1028599
TAMBAR	2004	2	0.103160	0.000000	0.005440	0.000000	0.108600	0.000390	1028599
TAMBAR	2004	3	0.108110	0.000000	0.005060	0.000000	0.113160	0.000480	1028599
TAMBAR	2004	4	0.103620	0.000000	0.005170	0.000000	0.108790	0.000430	1028599
TAMBAR	2004	5	0.102810	0.000000	0.005350	0.000000	0.108160	0.000400	1028599
TAMBAR	2004	6	0.098090	0.000000	0.005560	0.000000	0.103650	0.000410	1028599
TAMBAR	2004	7	0.098320	0.000000	0.004990	0.000000	0.103310	0.000400	1028599
TAMBAR	2004	8	0.070910	0.000000	0.003380	0.000000	0.074300	0.000270	1028599
TAMBAR	2004	9	0.000100	0.000000	0.000000	0.000000	0.000100	0.000000	1028599
TAMBAR	2004	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1028599
TAMBAR	2004	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1028599
TAMBAR	2004	12	0.086550	0.000000	0.005040	0.000000	0.091590	0.000620	1028599
TAMBAR	2005	1	0.102630	0.000000	0.005620	0.000000	0.108250	0.000470	1028599
TAMBAR	2005	2	0.105990	0.000000	0.006000	0.000000	0.111990	0.000530	1028599
TAMBAR	2005	3	0.127810	0.000000	0.007100	0.000000	0.134920	0.000730	1028599
TAMBAR	2005	4	0.116180	0.000000	0.006980	0.000000	0.123170	0.000800	1028599
TAMBAR	2005	5	0.113880	0.000000	0.005810	0.000000	0.119700	0.000950	1028599
TAMBAR	2005	6	0.107460	0.000000	0.004840	0.000000	0.112310	0.000890	1028599
TAMBAR	2005	7	0.104760	0.000000	0.005840	0.000000	0.110600	0.000840	1028599
TAMBAR	2005	8	0.066040	0.000000	0.003810	0.000000	0.069850	0.001080	1028599
TAMBAR	2005	9	0.104310	0.000000	0.006090	0.000000	0.110390	0.001230	1028599
TAMBAR	2005	10	0.102850	0.000000	0.006010	0.000000	0.108870	0.000730	1028599
TAMBAR	2005	11	0.092330	0.000000	0.005710	0.000000	0.098040	0.000660	1028599
TAMBAR	2005	12	0.096060	0.000000	0.005850	0.000000	0.101910	0.000800	1028599
TAMBAR	2006	1	0.095170	0.000000	0.006390	0.000000	0.101560	0.000900	1028599
TAMBAR	2006	2	0.085690	0.000000	0.005380	0.000000	0.091070	0.000780	1028599
TAMBAR	2006	3	0.086330	0.000000	0.005030	0.000000	0.091360	0.000770	1028599
TAMBAR	2006	4	0.088940	0.000000	0.005340	0.000000	0.094280	0.000870	1028599
TAMBAR	2006	5	0.090930	0.000000	0.005520	0.000000	0.096440	0.000770	1028599
TAMBAR	2006	6	0.061520	0.000000	0.003740	0.000000	0.065260	0.000480	1028599
TAMBAR	2006	7	0.074020	0.000000	0.003980	0.000000	0.078000	0.000840	1028599
TAMBAR	2006	8	0.081620	0.000000	0.004490	0.000000	0.086100	0.000000	1028599
TAMBAR	2006	9	0.073230	0.000000	0.004080	0.000000	0.077310	0.000000	1028599
TAMBAR	2006	10	0.072930	0.000000	0.004410	0.000000	0.077340	0.000000	1028599
TAMBAR	2006	11	0.056480	0.000000	0.003210	0.000000	0.059690	0.000000	1028599
TAMBAR	2006	12	0.068670	0.000000	0.004130	0.000000	0.072790	0.000000	1028599
TAMBAR	2007	1	0.067490	0.000000	0.003790	0.000000	0.071280	0.002110	1028599
TAMBAR	2007	2	0.056310	0.000000	0.003040	0.000000	0.059350	0.002100	1028599
TAMBAR	2007	3	0.065660	0.000000	0.003560	0.000000	0.069220	0.002640	1028599
TAMBAR	2007	4	0.061180	0.000000	0.003550	0.000000	0.064730	0.002580	1028599
TAMBAR	2007	5	0.060780	0.000000	0.003800	0.000000	0.064580	0.003230	1028599
TAMBAR	2007	6	0.010240	0.000000	0.000450	0.000000	0.010690	0.000400	1028599
TAMBAR	2007	7	0.043670	0.000000	0.002260	0.000000	0.045930	0.001350	1028599
TAMBAR	2007	8	0.050290	0.000000	0.002770	0.000000	0.053060	0.000580	1028599
TAMBAR	2007	9	0.041890	0.000000	0.002160	0.000000	0.044050	0.000310	1028599
TAMBAR	2007	10	0.064050	0.000000	0.003800	0.000000	0.067860	0.001200	1028599
TAMBAR	2007	11	0.057040	0.000000	0.003310	0.000000	0.060360	0.001450	1028599
TAMBAR	2007	12	0.071260	0.000000	0.004100	0.000000	0.075370	0.001460	1028599
TAMBAR	2008	1	0.073180	0.000000	0.004670	0.000000	0.077850	0.001420	1028599
TAMBAR	2008	2	0.064640	0.000000	0.004230	0.000000	0.068870	0.002000	1028599
TAMBAR	2008	3	0.060160	0.000000	0.003890	0.000000	0.064040	0.001440	1028599
TAMBAR	2008	4	0.040620	0.000000	0.002560	0.000000	0.043180	0.001430	1028599
TAMBAR	2008	5	0.053350	0.000000	0.003520	0.000000	0.056870	0.001680	1028599
TAMBAR	2008	6	0.044010	0.000000	0.002180	0.000000	0.046190	0.001920	1028599
TAMBAR	2008	7	0.053320	0.000000	0.003160	0.000000	0.056480	0.003010	1028599
TAMBAR	2008	8	0.052850	0.000000	0.003180	0.000000	0.056030	0.003700	1028599
TAMBAR	2008	9	0.050810	0.000000	0.003360	0.000000	0.054170	0.003760	1028599
TAMBAR	2008	10	0.043340	0.000000	0.002820	0.000000	0.046160	0.004140	1028599
TAMBAR	2008	11	0.022960	0.000000	0.001480	0.000000	0.024440	0.001870	1028599
TAMBAR	2008	12	0.032080	0.000000	0.002470	0.000000	0.034550	0.000470	1028599
TAMBAR	2009	1	0.033100	0.000000	0.001330	0.000000	0.034420	0.000420	1028599
TAMBAR	2009	2	0.027670	0.000000	0.002110	0.000000	0.029770	0.000310	1028599
TAMBAR	2009	3	0.032990	0.000000	0.002210	0.000000	0.035200	0.000380	1028599
TAMBAR	2009	4	0.030380	0.000000	0.001420	0.000000	0.031800	0.000340	1028599
TAMBAR	2009	5	0.030370	0.000000	0.001130	0.000000	0.031500	0.000350	1028599
TAMBAR	2009	6	0.028170	0.000000	0.001130	0.000000	0.029300	0.000280	1028599
TAMBAR	2009	7	0.027310	0.000000	0.001040	0.000000	0.028350	0.000320	1028599
TAMBAR	2009	8	0.027850	0.000000	0.001150	0.000000	0.028990	0.000250	1028599
TAMBAR	2009	9	0.024360	0.000000	0.000960	0.000000	0.025320	0.000220	1028599
TAMBAR	2009	10	0.022430	0.000000	0.000930	0.000000	0.023360	0.000200	1028599
TAMBAR	2009	11	0.028460	0.000000	0.001400	0.000000	0.029860	0.000290	1028599
TAMBAR	2009	12	0.027830	0.000000	0.001380	0.000000	0.029200	0.000270	1028599
TAMBAR	2010	1	0.025750	0.000000	0.001310	0.000000	0.027060	0.000210	1028599
TAMBAR	2010	2	0.023780	0.000000	0.001160	0.000000	0.024950	0.000200	1028599
TAMBAR	2010	3	0.028160	0.000000	0.001410	0.000000	0.029570	0.000260	1028599
TAMBAR	2010	4	0.026780	0.000000	0.001340	0.000000	0.028120	0.000250	1028599
TAMBAR	2010	5	0.029610	0.000000	0.001440	0.000000	0.031050	0.000240	1028599
TAMBAR	2010	6	0.001480	0.000000	0.000050	0.000000	0.001530	0.000010	1028599
TAMBAR	2010	7	0.029810	0.000000	0.001110	0.000000	0.030920	0.000220	1028599
TAMBAR	2010	8	0.024110	0.000000	0.001020	0.000000	0.025120	0.000240	1028599
TAMBAR	2010	9	0.024370	0.000000	0.001080	0.000000	0.025450	0.000540	1028599
TAMBAR	2010	10	0.026850	0.000000	0.001190	0.000000	0.028040	0.000210	1028599
TAMBAR	2010	11	0.023860	0.000000	0.000900	0.000000	0.024760	0.000190	1028599
TAMBAR	2010	12	0.020300	0.000000	0.000730	0.000000	0.021040	0.000270	1028599
TAMBAR	2011	1	0.024820	0.000000	0.001040	0.000000	0.025860	0.000370	1028599
TAMBAR	2011	2	0.022020	0.000000	0.000910	0.000000	0.022930	0.000220	1028599
TAMBAR	2011	3	0.026040	0.000000	0.001070	0.000000	0.027100	0.000390	1028599
TAMBAR	2011	4	0.026580	0.000000	0.001060	0.000000	0.027630	0.000260	1028599
TAMBAR	2011	5	0.020360	0.000000	0.000870	0.000000	0.021230	0.000210	1028599
TAMBAR	2011	6	0.027060	0.000000	0.001020	0.000000	0.028090	0.000260	1028599
TAMBAR	2011	7	0.025430	0.000000	0.001010	0.000000	0.026440	0.000410	1028599
TAMBAR	2011	8	0.022440	0.000000	0.000790	0.000000	0.023230	0.000130	1028599
TAMBAR	2011	9	0.023960	0.000000	0.000900	0.000000	0.024860	0.000160	1028599
TAMBAR	2011	10	0.022310	0.000000	0.000790	0.000000	0.023100	0.000160	1028599
TAMBAR	2011	11	0.024090	0.000000	0.000970	0.000000	0.025070	0.000160	1028599
TAMBAR	2011	12	0.025300	0.000000	0.001020	0.000000	0.026320	0.000260	1028599
TAMBAR	2012	1	0.021550	0.000000	0.000860	0.000000	0.022400	0.000170	1028599
TAMBAR	2012	2	0.022960	0.000000	0.000910	0.000000	0.023870	0.000230	1028599
TAMBAR	2012	3	0.025630	0.000000	0.001040	0.000000	0.026670	0.000130	1028599
TAMBAR	2012	4	0.023570	0.000000	0.000930	0.000000	0.024500	0.000140	1028599
TAMBAR	2012	5	0.023270	0.000000	0.000950	0.000000	0.024220	0.000270	1028599
TAMBAR	2012	6	0.021510	0.000000	0.000840	0.000000	0.022350	0.000150	1028599
TAMBAR	2012	7	0.028470	0.000000	0.001200	0.000000	0.029670	0.000190	1028599
TAMBAR	2012	8	0.026760	0.000000	0.001220	0.000000	0.027980	0.000150	1028599
TAMBAR	2012	9	0.008770	0.000000	0.000410	0.000000	0.009180	0.000010	1028599
TAMBAR	2012	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1028599
TAMBAR	2012	11	0.009370	0.000000	0.000380	0.000000	0.009760	0.000080	1028599
TAMBAR	2012	12	0.013680	0.000000	0.000610	0.000000	0.014290	0.000150	1028599
TAMBAR	2013	1	0.015360	0.000000	0.000740	0.000000	0.016100	0.000150	1028599
TAMBAR	2013	2	0.033740	0.000000	0.001740	0.000000	0.035470	0.000000	1028599
GRANE	1996	7	0.003820	0.000000	0.000000	0.000000	0.003820	0.000000	1035937
GRANE	1996	8	0.058320	0.000000	0.000000	0.000000	0.058320	0.000000	1035937
GRANE	1996	9	0.017060	0.000000	0.000000	0.000000	0.017060	0.000000	1035937
GRANE	2003	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000030	1035937
GRANE	2003	10	0.139890	0.000000	0.000000	0.000000	0.139890	0.055220	1035937
GRANE	2003	11	0.235440	0.000000	0.000000	0.000000	0.235440	0.053620	1035937
GRANE	2003	12	0.375740	0.000000	0.000000	0.000000	0.375740	0.076560	1035937
GRANE	2004	1	0.459710	0.000000	0.000000	0.000000	0.459710	0.115700	1035937
GRANE	2004	2	0.521530	0.000000	0.000000	0.000000	0.521530	0.116450	1035937
GRANE	2004	3	0.618180	0.000000	0.000000	0.000000	0.618180	0.159140	1035937
GRANE	2004	4	0.543380	0.000000	0.000000	0.000000	0.543380	0.210870	1035937
GRANE	2004	5	0.478450	0.000000	0.000000	0.000000	0.478450	0.214830	1035937
GRANE	2004	6	0.520590	0.000000	0.000000	0.000000	0.520590	0.225810	1035937
GRANE	2004	7	0.394340	0.000000	0.000000	0.000000	0.394340	0.161690	1035937
GRANE	2004	8	0.668050	0.000000	0.000000	0.000000	0.668050	0.315830	1035937
GRANE	2004	9	0.706670	0.000000	0.000000	0.000000	0.706670	0.339270	1035937
GRANE	2004	10	0.726130	0.000000	0.000000	0.000000	0.726130	0.392660	1035937
GRANE	2004	11	0.721510	0.000000	0.000000	0.000000	0.721510	0.350570	1035937
GRANE	2004	12	0.727620	0.000000	0.000000	0.000000	0.727620	0.344630	1035937
GRANE	2005	1	0.757200	0.000000	0.000000	0.000000	0.757200	0.324110	1035937
GRANE	2005	2	0.742170	0.000000	0.000000	0.000000	0.742170	0.460070	1035937
GRANE	2005	3	0.896900	0.000000	0.000000	0.000000	0.896900	0.490860	1035937
GRANE	2005	4	0.897090	0.000000	0.000000	0.000000	0.897090	0.393670	1035937
GRANE	2005	5	0.901850	0.000000	0.000000	0.000000	0.901850	0.406020	1035937
GRANE	2005	6	0.435700	0.000000	0.000000	0.000000	0.435700	0.155290	1035937
GRANE	2005	7	0.965090	0.000000	0.000000	0.000000	0.965090	0.403540	1035937
GRANE	2005	8	0.947140	0.000000	0.000000	0.000000	0.947140	0.388640	1035937
GRANE	2005	9	0.968790	0.000000	0.000000	0.000000	0.968790	0.413880	1035937
GRANE	2005	10	0.908670	0.000000	0.000000	0.000000	0.908670	0.401620	1035937
GRANE	2005	11	0.832740	0.000000	0.000000	0.000000	0.832740	0.317320	1035937
GRANE	2005	12	1.054420	0.000000	0.000000	0.000000	1.054420	0.379110	1035937
GRANE	2006	1	1.052940	0.000000	0.000000	0.000000	1.052940	0.365480	1035937
GRANE	2006	2	0.944120	0.000000	0.000000	0.000000	0.944120	0.362120	1035937
GRANE	2006	3	1.126650	0.000000	0.000000	0.000000	1.126650	0.425010	1035937
GRANE	2006	4	1.029620	0.000000	0.000000	0.000000	1.029620	0.347020	1035937
GRANE	2006	5	1.134760	0.000000	0.000000	0.000000	1.134760	0.384870	1035937
GRANE	2006	6	1.079460	0.000000	0.000000	0.000000	1.079460	0.383620	1035937
GRANE	2006	7	1.111990	0.000000	0.000000	0.000000	1.111990	0.436720	1035937
GRANE	2006	8	1.140670	0.000000	0.000000	0.000000	1.140670	0.451260	1035937
GRANE	2006	9	0.973230	0.000000	0.000000	0.000000	0.973230	0.383510	1035937
GRANE	2006	10	0.959340	0.000000	0.000000	0.000000	0.959340	0.366130	1035937
GRANE	2006	11	0.987820	0.000000	0.000000	0.000000	0.987820	0.385040	1035937
GRANE	2006	12	1.073150	0.000000	0.000000	0.000000	1.073150	0.395080	1035937
GRANE	2007	1	1.119120	0.000000	0.000000	0.000000	1.119120	0.375170	1035937
GRANE	2007	2	0.947750	0.000000	0.000000	0.000000	0.947750	0.315490	1035937
GRANE	2007	3	1.104220	0.000000	0.000000	0.000000	1.104220	0.349220	1035937
GRANE	2007	4	1.134760	0.000000	0.000000	0.000000	1.134760	0.318670	1035937
GRANE	2007	5	1.032910	0.000000	0.000000	0.000000	1.032910	0.290340	1035937
GRANE	2007	6	0.898100	0.000000	0.000000	0.000000	0.898100	0.195890	1035937
GRANE	2007	7	1.054260	0.000000	0.000000	0.000000	1.054260	0.237230	1035937
GRANE	2007	8	1.040270	0.000000	0.000000	0.000000	1.040270	0.233550	1035937
GRANE	2007	9	0.971560	0.000000	0.000000	0.000000	0.971560	0.255240	1035937
GRANE	2007	10	0.905440	0.000000	0.000000	0.000000	0.905440	0.243900	1035937
GRANE	2007	11	0.865390	0.000000	0.000000	0.000000	0.865390	0.231790	1035937
GRANE	2007	12	0.918670	0.000000	0.000000	0.000000	0.918670	0.269530	1035937
GRANE	2008	1	0.887810	0.000000	0.000000	0.000000	0.887810	0.308430	1035937
GRANE	2008	2	0.785340	0.000000	0.000000	0.000000	0.785340	0.271410	1035937
GRANE	2008	3	0.838430	0.000000	0.000000	0.000000	0.838430	0.308480	1035937
GRANE	2008	4	0.769840	0.000000	0.000000	0.000000	0.769840	0.268560	1035937
GRANE	2008	5	0.809690	0.000000	0.000000	0.000000	0.809690	0.261050	1035937
GRANE	2008	6	0.728740	0.000000	0.000000	0.000000	0.728740	0.207680	1035937
GRANE	2008	7	0.893080	0.000000	0.000000	0.000000	0.893080	0.267160	1035937
GRANE	2008	8	0.873520	0.000000	0.000000	0.000000	0.873520	0.292110	1035937
GRANE	2008	9	0.857860	0.000000	0.000000	0.000000	0.857860	0.278510	1035937
GRANE	2008	10	0.835820	0.000000	0.000000	0.000000	0.835820	0.292210	1035937
GRANE	2008	11	0.836380	0.000000	0.000000	0.000000	0.836380	0.272470	1035937
GRANE	2008	12	0.920730	0.000000	0.000000	0.000000	0.920730	0.268250	1035937
GRANE	2009	1	0.894850	0.000000	0.000000	0.000000	0.894850	0.270870	1035937
GRANE	2009	2	0.777450	0.000000	0.000000	0.000000	0.777450	0.230820	1035937
GRANE	2009	3	0.892070	0.000000	0.000000	0.000000	0.892070	0.245340	1035937
GRANE	2009	4	0.976960	0.000000	0.000000	0.000000	0.976960	0.245220	1035937
GRANE	2009	5	0.947380	0.000000	0.000000	0.000000	0.947380	0.233420	1035937
GRANE	2009	6	0.585720	0.000000	0.000000	0.000000	0.585720	0.118320	1035937
GRANE	2009	7	0.956060	0.000000	0.000000	0.000000	0.956060	0.231050	1035937
GRANE	2009	8	0.965040	0.000000	0.000000	0.000000	0.965040	0.242700	1035937
GRANE	2009	9	0.883590	0.000000	0.000000	0.000000	0.883590	0.219880	1035937
GRANE	2009	10	0.928390	0.000000	0.000000	0.000000	0.928390	0.211700	1035937
GRANE	2009	11	0.950210	0.000000	0.000000	0.000000	0.950210	0.227160	1035937
GRANE	2009	12	0.966210	0.000000	0.000000	0.000000	0.966210	0.249180	1035937
GRANE	2010	1	0.900730	0.000000	0.000000	0.000000	0.900730	0.231260	1035937
GRANE	2010	2	0.675920	0.000000	0.000000	0.000000	0.675920	0.163200	1035937
GRANE	2010	3	0.839550	0.000000	0.000000	0.000000	0.839550	0.215540	1035937
GRANE	2010	4	0.819590	0.000000	0.000000	0.000000	0.819590	0.194520	1035937
GRANE	2010	5	0.880610	0.000000	0.000000	0.000000	0.880610	0.212280	1035937
GRANE	2010	6	0.818370	0.000000	0.000000	0.000000	0.818370	0.212060	1035937
GRANE	2010	7	0.834370	0.000000	0.000000	0.000000	0.834370	0.160080	1035937
GRANE	2010	8	0.816580	0.000000	0.000000	0.000000	0.816580	0.184430	1035937
GRANE	2010	9	0.743240	0.000000	0.000000	0.000000	0.743240	0.170230	1035937
GRANE	2010	10	0.786790	0.000000	0.000000	0.000000	0.786790	0.194110	1035937
GRANE	2010	11	0.712030	0.000000	0.000000	0.000000	0.712030	0.172220	1035937
GRANE	2010	12	0.826690	0.000000	0.000000	0.000000	0.826690	0.188730	1035937
GRANE	2011	1	0.829010	0.000000	0.000000	0.000000	0.829010	0.205660	1035937
GRANE	2011	2	0.706330	0.000000	0.000000	0.000000	0.706330	0.206340	1035937
GRANE	2011	3	0.777050	0.000000	0.000000	0.000000	0.777050	0.260600	1035937
GRANE	2011	4	0.754190	0.000000	0.000000	0.000000	0.754190	0.288700	1035937
GRANE	2011	5	0.751850	0.000000	0.000000	0.000000	0.751850	0.320490	1035937
GRANE	2011	6	0.669040	0.000000	0.000000	0.000000	0.669040	0.282110	1035937
GRANE	2011	7	0.759780	0.000000	0.000000	0.000000	0.759780	0.324100	1035937
GRANE	2011	8	0.756490	0.000000	0.000000	0.000000	0.756490	0.344080	1035937
GRANE	2011	9	0.101660	0.000000	0.000000	0.000000	0.101660	0.017420	1035937
GRANE	2011	10	0.472060	0.000000	0.000000	0.000000	0.472060	0.156920	1035937
GRANE	2011	11	0.794610	0.000000	0.000000	0.000000	0.794610	0.369110	1035937
GRANE	2011	12	0.798270	0.000000	0.000000	0.000000	0.798270	0.381470	1035937
GRANE	2012	1	0.722810	0.000000	0.000000	0.000000	0.722810	0.349060	1035937
GRANE	2012	2	0.480830	0.000000	0.000000	0.000000	0.480830	0.192760	1035937
GRANE	2012	3	0.554940	0.000000	0.000000	0.000000	0.554940	0.186350	1035937
GRANE	2012	4	0.722100	0.000000	0.000000	0.000000	0.722100	0.326580	1035937
GRANE	2012	5	0.670630	0.000000	0.000000	0.000000	0.670630	0.309500	1035937
GRANE	2012	6	0.583760	0.000000	0.000000	0.000000	0.583760	0.277050	1035937
GRANE	2012	7	0.630810	0.000000	0.000000	0.000000	0.630810	0.387960	1035937
GRANE	2012	8	0.626600	0.000000	0.000000	0.000000	0.626600	0.418670	1035937
GRANE	2012	9	0.469620	0.000000	0.000000	0.000000	0.469620	0.257030	1035937
GRANE	2012	10	0.541930	0.000000	0.000000	0.000000	0.541930	0.274980	1035937
GRANE	2012	11	0.529080	0.000000	0.000000	0.000000	0.529080	0.299940	1035937
GRANE	2012	12	0.575310	0.000000	0.000000	0.000000	0.575310	0.345990	1035937
GRANE	2013	1	0.563210	0.000000	0.000000	0.000000	0.563210	0.382660	1035937
GRANE	2013	2	0.387790	0.000000	0.000000	0.000000	0.387790	0.237660	1035937
KVITEBJØRN	2004	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2004	10	0.073140	0.146810	0.006700	0.000000	0.226650	0.002730	1036101
KVITEBJØRN	2004	11	0.091880	0.184010	0.007370	0.000000	0.283250	0.006880	1036101
KVITEBJØRN	2004	12	0.115570	0.227130	0.020390	0.000000	0.363090	0.004240	1036101
KVITEBJØRN	2005	1	0.136290	0.268520	0.029210	0.000000	0.434010	0.004150	1036101
KVITEBJØRN	2005	2	0.167020	0.343300	0.039800	0.000000	0.550120	0.005370	1036101
KVITEBJØRN	2005	3	0.178900	0.355110	0.042730	0.000000	0.576730	0.006430	1036101
KVITEBJØRN	2005	4	0.171820	0.339770	0.043100	0.000000	0.554680	0.007220	1036101
KVITEBJØRN	2005	5	0.173800	0.349390	0.046920	0.000000	0.570100	0.005080	1036101
KVITEBJØRN	2005	6	0.085160	0.168660	0.016810	0.000000	0.270630	0.002810	1036101
KVITEBJØRN	2005	7	0.175940	0.354140	0.045990	0.000000	0.576070	0.005140	1036101
KVITEBJØRN	2005	8	0.216340	0.397240	0.062940	0.000000	0.676520	0.006890	1036101
KVITEBJØRN	2005	9	0.230900	0.442440	0.069160	0.000000	0.742500	0.007170	1036101
KVITEBJØRN	2005	10	0.238960	0.486380	0.072610	0.000000	0.797950	0.007880	1036101
KVITEBJØRN	2005	11	0.207060	0.417920	0.060610	0.000000	0.685580	0.006760	1036101
KVITEBJØRN	2005	12	0.204800	0.417340	0.059880	0.000000	0.682020	0.006740	1036101
KVITEBJØRN	2006	1	0.256370	0.513020	0.068810	0.000000	0.838210	0.008640	1036101
KVITEBJØRN	2006	2	0.219510	0.450780	0.059960	0.000000	0.730250	0.007350	1036101
KVITEBJØRN	2006	3	0.290300	0.582350	0.074460	0.000000	0.947100	0.009030	1036101
KVITEBJØRN	2006	4	0.157190	0.320490	0.037480	0.000000	0.515160	0.005030	1036101
KVITEBJØRN	2006	5	0.298600	0.585530	0.082040	0.000000	0.966170	0.008570	1036101
KVITEBJØRN	2006	6	0.266370	0.525580	0.087760	0.000000	0.879720	0.007880	1036101
KVITEBJØRN	2006	7	0.258500	0.502050	0.082580	0.000000	0.843130	0.007610	1036101
KVITEBJØRN	2006	8	0.172730	0.330960	0.047530	0.000000	0.551220	0.005040	1036101
KVITEBJØRN	2006	9	0.201570	0.395050	0.059110	0.000000	0.655730	0.005820	1036101
KVITEBJØRN	2006	10	0.202520	0.395830	0.064900	0.000000	0.663250	0.006370	1036101
KVITEBJØRN	2006	11	0.269050	0.534170	0.074970	0.000000	0.878190	0.008900	1036101
KVITEBJØRN	2006	12	0.244560	0.483870	0.070700	0.000000	0.799130	0.007430	1036101
KVITEBJØRN	2007	1	0.135610	0.270260	0.035290	0.000000	0.441160	0.004730	1036101
KVITEBJØRN	2007	2	0.127830	0.250690	0.032650	0.000000	0.411170	0.003970	1036101
KVITEBJØRN	2007	3	0.140920	0.279880	0.034930	0.000000	0.455730	0.004380	1036101
KVITEBJØRN	2007	4	0.143050	0.281810	0.036680	0.000000	0.461530	0.004390	1036101
KVITEBJØRN	2007	5	0.001050	0.000000	0.000000	0.000000	0.001060	0.000110	1036101
KVITEBJØRN	2007	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2007	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2007	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2007	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2007	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2007	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2007	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2008	1	0.061580	0.118150	0.011630	0.000000	0.191360	0.002380	1036101
KVITEBJØRN	2008	2	0.177280	0.350940	0.043480	0.000000	0.571700	0.005420	1036101
KVITEBJØRN	2008	3	0.229100	0.481350	0.065100	0.000000	0.775550	0.007400	1036101
KVITEBJØRN	2008	4	0.242730	0.516950	0.076060	0.000000	0.835740	0.008150	1036101
KVITEBJØRN	2008	5	0.254470	0.532970	0.095210	0.000000	0.882650	0.010700	1036101
KVITEBJØRN	2008	6	0.193240	0.396170	0.059940	0.000000	0.649360	0.008300	1036101
KVITEBJØRN	2008	7	0.232990	0.487010	0.085460	0.000000	0.805450	0.014170	1036101
KVITEBJØRN	2008	8	0.056870	0.119040	0.016100	0.000000	0.192020	0.005340	1036101
KVITEBJØRN	2008	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2008	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2008	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2008	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1036101
KVITEBJØRN	2009	1	0.038540	0.079520	0.005560	0.000000	0.123620	0.002050	1036101
KVITEBJØRN	2009	2	0.169580	0.329570	0.040280	0.000000	0.539430	0.005570	1036101
KVITEBJØRN	2009	3	0.173570	0.369830	0.052420	0.000000	0.595830	0.007310	1036101
KVITEBJØRN	2009	4	0.170860	0.356840	0.054500	0.000000	0.582190	0.010810	1036101
KVITEBJØRN	2009	5	0.094180	0.208430	0.030490	0.000000	0.333090	0.009370	1036101
KVITEBJØRN	2009	6	0.123940	0.278020	0.030410	0.000000	0.432360	0.009630	1036101
KVITEBJØRN	2009	7	0.277540	0.611690	0.108780	0.000000	0.998010	0.022270	1036101
KVITEBJØRN	2009	8	0.249880	0.549970	0.100150	0.000000	0.900000	0.019670	1036101
KVITEBJØRN	2009	9	0.272500	0.595320	0.110450	0.000000	0.978270	0.023750	1036101
KVITEBJØRN	2009	10	0.253500	0.554200	0.092370	0.000000	0.900060	0.023210	1036101
KVITEBJØRN	2009	11	0.252710	0.550920	0.093050	0.000000	0.896670	0.021370	1036101
KVITEBJØRN	2009	12	0.271890	0.596220	0.089700	0.000000	0.957810	0.017380	1036101
KVITEBJØRN	2010	1	0.267110	0.572790	0.079890	0.000000	0.919790	0.015440	1036101
KVITEBJØRN	2010	2	0.249980	0.547310	0.077010	0.000000	0.874310	0.020870	1036101
KVITEBJØRN	2010	3	0.276930	0.624430	0.092100	0.000000	0.993470	0.019960	1036101
KVITEBJØRN	2010	4	0.253850	0.571960	0.097320	0.000000	0.923120	0.020390	1036101
KVITEBJØRN	2010	5	0.233350	0.520980	0.072650	0.000000	0.826980	0.020180	1036101
KVITEBJØRN	2010	6	0.264360	0.581160	0.087670	0.000000	0.933190	0.024550	1036101
KVITEBJØRN	2010	7	0.250180	0.570090	0.095860	0.000000	0.916130	0.021320	1036101
KVITEBJØRN	2010	8	0.242060	0.556330	0.077730	0.000000	0.876120	0.023000	1036101
KVITEBJØRN	2010	9	0.082610	0.190740	0.010420	0.000000	0.283770	0.007720	1036101
KVITEBJØRN	2010	10	0.180690	0.421830	0.025030	0.000000	0.627550	0.021410	1036101
KVITEBJØRN	2010	11	0.170420	0.409170	0.021700	0.000000	0.601290	0.019230	1036101
KVITEBJØRN	2010	12	0.238990	0.548010	0.037250	0.000000	0.824260	0.011850	1036101
KVITEBJØRN	2011	1	0.282230	0.632340	0.047390	0.000000	0.961960	0.020550	1036101
KVITEBJØRN	2011	2	0.230320	0.550820	0.039380	0.000000	0.820520	0.019200	1036101
KVITEBJØRN	2011	3	0.218190	0.551830	0.040630	0.000000	0.810650	0.023000	1036101
KVITEBJØRN	2011	4	0.147340	0.394080	0.025290	0.000000	0.566710	0.022390	1036101
KVITEBJØRN	2011	5	0.086030	0.213790	0.017270	0.000000	0.317100	0.010950	1036101
KVITEBJØRN	2011	6	0.178190	0.443610	0.068100	0.000000	0.689900	0.020100	1036101
KVITEBJØRN	2011	7	0.255010	0.614600	0.111170	0.000000	0.980770	0.016230	1036101
KVITEBJØRN	2011	8	0.254350	0.624660	0.086370	0.000000	0.965390	0.014630	1036101
KVITEBJØRN	2011	9	0.231330	0.568290	0.101490	0.000000	0.901110	0.013360	1036101
KVITEBJØRN	2011	10	0.263830	0.657130	0.112880	0.000000	1.033840	0.015180	1036101
KVITEBJØRN	2011	11	0.249220	0.656140	0.092950	0.000000	0.998310	0.014120	1036101
KVITEBJØRN	2011	12	0.231600	0.610420	0.085690	0.000000	0.927710	0.012430	1036101
KVITEBJØRN	2012	1	0.262580	0.714920	0.104190	0.000000	1.081690	0.013010	1036101
KVITEBJØRN	2012	2	0.242660	0.653020	0.094420	0.000000	0.990100	0.012930	1036101
KVITEBJØRN	2012	3	0.254390	0.683440	0.098920	0.000000	1.036750	0.015560	1036101
KVITEBJØRN	2012	4	0.221450	0.604910	0.093620	0.000000	0.919980	0.015370	1036101
KVITEBJØRN	2012	5	0.232170	0.637500	0.097600	0.000000	0.967270	0.012460	1036101
KVITEBJØRN	2012	6	0.221370	0.624260	0.095180	0.000000	0.940810	0.011690	1036101
KVITEBJØRN	2012	7	0.230460	0.648490	0.101190	0.000000	0.980150	0.012730	1036101
KVITEBJØRN	2012	8	0.190890	0.553680	0.058380	0.000000	0.802950	0.010170	1036101
KVITEBJØRN	2012	9	0.092660	0.265630	0.019830	0.000000	0.378120	0.004510	1036101
KVITEBJØRN	2012	10	0.183780	0.542500	0.039250	0.000000	0.765520	0.008140	1036101
KVITEBJØRN	2012	11	0.174190	0.518760	0.067720	0.000000	0.760670	0.009240	1036101
KVITEBJØRN	2012	12	0.176420	0.532250	0.063090	0.000000	0.771750	0.009570	1036101
KVITEBJØRN	2013	1	0.201670	0.614560	0.081480	0.000000	0.897710	0.011300	1036101
KVITEBJØRN	2013	2	0.191310	0.585160	0.067380	0.000000	0.843850	0.011720	1036101
GLITNE	2001	8	0.006970	0.000000	0.000000	0.000000	0.006970	0.000020	1272071
GLITNE	2001	9	0.172720	0.000000	0.000000	0.000000	0.172720	0.000220	1272071
GLITNE	2001	10	0.188150	0.000000	0.000000	0.000000	0.188150	0.000450	1272071
GLITNE	2001	11	0.178420	0.000000	0.000000	0.000000	0.178420	0.000680	1272071
GLITNE	2001	12	0.199430	0.000000	0.000000	0.000000	0.199430	0.003390	1272071
GLITNE	2002	1	0.201950	0.000000	0.000000	0.000000	0.201950	0.007410	1272071
GLITNE	2002	2	0.165160	0.000000	0.000000	0.000000	0.165160	0.008900	1272071
GLITNE	2002	3	0.191360	0.000000	0.000000	0.000000	0.191360	0.015390	1272071
GLITNE	2002	4	0.212460	0.000000	0.000000	0.000000	0.212460	0.025980	1272071
GLITNE	2002	5	0.199410	0.000000	0.000000	0.000000	0.199410	0.033310	1272071
GLITNE	2002	6	0.132320	0.000000	0.000000	0.000000	0.132320	0.027250	1272071
GLITNE	2002	7	0.181210	0.000000	0.000000	0.000000	0.181210	0.045900	1272071
GLITNE	2002	8	0.188960	0.000000	0.000000	0.000000	0.188960	0.056000	1272071
GLITNE	2002	9	0.172980	0.000000	0.000000	0.000000	0.172980	0.056740	1272071
GLITNE	2002	10	0.181150	0.000000	0.000000	0.000000	0.181150	0.064560	1272071
GLITNE	2002	11	0.171630	0.000000	0.000000	0.000000	0.171630	0.067990	1272071
GLITNE	2002	12	0.158700	0.000000	0.000000	0.000000	0.158700	0.006720	1272071
GLITNE	2003	1	0.170130	0.000000	0.000000	0.000000	0.170130	0.082330	1272071
GLITNE	2003	2	0.110210	0.000000	0.000000	0.000000	0.110210	0.059600	1272071
GLITNE	2003	3	0.160150	0.000000	0.000000	0.000000	0.160150	0.092360	1272071
GLITNE	2003	4	0.146130	0.000000	0.000000	0.000000	0.146130	0.092140	1272071
GLITNE	2003	5	0.152890	0.000000	0.000000	0.000000	0.152890	0.107800	1272071
GLITNE	2003	6	0.134350	0.000000	0.000000	0.000000	0.134350	0.096210	1272071
GLITNE	2003	7	0.119770	0.000000	0.000000	0.000000	0.119770	0.094410	1272071
GLITNE	2003	8	0.119850	0.000000	0.000000	0.000000	0.119850	0.102250	1272071
GLITNE	2003	9	0.145440	0.000000	0.000000	0.000000	0.145440	0.101740	1272071
GLITNE	2003	10	0.166260	0.000000	0.000000	0.000000	0.166260	0.110900	1272071
GLITNE	2003	11	0.156220	0.000000	0.000000	0.000000	0.156220	0.081200	1272071
GLITNE	2003	12	0.105030	0.000000	0.000000	0.000000	0.105030	0.049880	1272071
GLITNE	2004	1	0.110690	0.000000	0.000000	0.000000	0.110690	0.084420	1272071
GLITNE	2004	2	0.115580	0.000000	0.000000	0.000000	0.115580	0.122060	1272071
GLITNE	2004	3	0.110210	0.000000	0.000000	0.000000	0.110210	0.127790	1272071
GLITNE	2004	4	0.089390	0.000000	0.000000	0.000000	0.089390	0.108780	1272071
GLITNE	2004	5	0.045550	0.000000	0.000000	0.000000	0.045550	0.056870	1272071
GLITNE	2004	6	0.085330	0.000000	0.000000	0.000000	0.085330	0.127100	1272071
GLITNE	2004	7	0.102560	0.000000	0.000000	0.000000	0.102560	0.162110	1272071
GLITNE	2004	8	0.086070	0.000000	0.000000	0.000000	0.086070	0.146050	1272071
GLITNE	2004	9	0.029270	0.000000	0.000000	0.000000	0.029270	0.037870	1272071
GLITNE	2004	10	0.001260	0.000000	0.000000	0.000000	0.001260	0.001810	1272071
GLITNE	2004	11	0.092380	0.000000	0.000000	0.000000	0.092380	0.153060	1272071
GLITNE	2004	12	0.100750	0.000000	0.000000	0.000000	0.100750	0.163250	1272071
GLITNE	2005	1	0.066410	0.000000	0.000000	0.000000	0.066410	0.123020	1272071
GLITNE	2005	2	0.083040	0.000000	0.000000	0.000000	0.083040	0.165450	1272071
GLITNE	2005	3	0.076510	0.000000	0.000000	0.000000	0.076510	0.161430	1272071
GLITNE	2005	4	0.081800	0.000000	0.000000	0.000000	0.081800	0.183090	1272071
GLITNE	2005	5	0.081110	0.000000	0.000000	0.000000	0.081110	0.184720	1272071
GLITNE	2005	6	0.078370	0.000000	0.000000	0.000000	0.078370	0.195670	1272071
GLITNE	2005	7	0.067280	0.000000	0.000000	0.000000	0.067280	0.163600	1272071
GLITNE	2005	8	0.074120	0.000000	0.000000	0.000000	0.074120	0.185650	1272071
GLITNE	2005	9	0.028490	0.000000	0.000000	0.000000	0.028490	0.083920	1272071
GLITNE	2005	10	0.070930	0.000000	0.000000	0.000000	0.070930	0.194760	1272071
GLITNE	2005	11	0.056230	0.000000	0.000000	0.000000	0.056230	0.168590	1272071
GLITNE	2005	12	0.062660	0.000000	0.000000	0.000000	0.062660	0.192930	1272071
GLITNE	2006	1	0.057990	0.000000	0.000000	0.000000	0.057990	0.189830	1272071
GLITNE	2006	2	0.053550	0.000000	0.000000	0.000000	0.053550	0.181620	1272071
GLITNE	2006	3	0.042350	0.000000	0.000000	0.000000	0.042350	0.154200	1272071
GLITNE	2006	4	0.054340	0.000000	0.000000	0.000000	0.054340	0.199830	1272071
GLITNE	2006	5	0.054320	0.000000	0.000000	0.000000	0.054320	0.209180	1272071
GLITNE	2006	6	0.049730	0.000000	0.000000	0.000000	0.049730	0.208320	1272071
GLITNE	2006	7	0.050420	0.000000	0.000000	0.000000	0.050420	0.215120	1272071
GLITNE	2006	8	0.050370	0.000000	0.000000	0.000000	0.050370	0.221130	1272071
GLITNE	2006	9	0.033900	0.000000	0.000000	0.000000	0.033900	0.150430	1272071
GLITNE	2006	10	0.047380	0.000000	0.000000	0.000000	0.047380	0.221660	1272071
GLITNE	2006	11	0.043720	0.000000	0.000000	0.000000	0.043720	0.209340	1272071
GLITNE	2006	12	0.043500	0.000000	0.000000	0.000000	0.043500	0.212570	1272071
GLITNE	2007	1	0.045220	0.000000	0.000000	0.000000	0.045220	0.227410	1272071
GLITNE	2007	2	0.037180	0.000000	0.000000	0.000000	0.037180	0.192950	1272071
GLITNE	2007	3	0.040880	0.000000	0.000000	0.000000	0.040880	0.220800	1272071
GLITNE	2007	4	0.039010	0.000000	0.000000	0.000000	0.039010	0.220030	1272071
GLITNE	2007	5	0.027880	0.000000	0.000000	0.000000	0.027880	0.161090	1272071
GLITNE	2007	6	0.029480	0.000000	0.000000	0.000000	0.029480	0.180020	1272071
GLITNE	2007	7	0.042520	0.000000	0.000000	0.000000	0.042520	0.248840	1272071
GLITNE	2007	8	0.039950	0.000000	0.000000	0.000000	0.039950	0.247510	1272071
GLITNE	2007	9	0.039620	0.000000	0.000000	0.000000	0.039620	0.248810	1272071
GLITNE	2007	10	0.038110	0.000000	0.000000	0.000000	0.038110	0.245000	1272071
GLITNE	2007	11	0.033640	0.000000	0.000000	0.000000	0.033640	0.217000	1272071
GLITNE	2007	12	0.055250	0.000000	0.000000	0.000000	0.055250	0.218420	1272071
GLITNE	2008	1	0.052440	0.000000	0.000000	0.000000	0.052440	0.225670	1272071
GLITNE	2008	2	0.049090	0.000000	0.000000	0.000000	0.049090	0.224600	1272071
GLITNE	2008	3	0.042620	0.000000	0.000000	0.000000	0.042620	0.209100	1272071
GLITNE	2008	4	0.046350	0.000000	0.000000	0.000000	0.046350	0.233390	1272071
GLITNE	2008	5	0.046820	0.000000	0.000000	0.000000	0.046820	0.242700	1272071
GLITNE	2008	6	0.045360	0.000000	0.000000	0.000000	0.045360	0.246020	1272071
GLITNE	2008	7	0.045130	0.000000	0.000000	0.000000	0.045130	0.253130	1272071
GLITNE	2008	8	0.032210	0.000000	0.000000	0.000000	0.032210	0.195120	1272071
GLITNE	2008	9	0.035730	0.000000	0.000000	0.000000	0.035730	0.222050	1272071
GLITNE	2008	10	0.039920	0.000000	0.000000	0.000000	0.039920	0.247620	1272071
GLITNE	2008	11	0.038180	0.000000	0.000000	0.000000	0.038180	0.238260	1272071
GLITNE	2008	12	0.035470	0.000000	0.000000	0.000000	0.035470	0.227920	1272071
GLITNE	2009	1	0.035730	0.000000	0.000000	0.000000	0.035730	0.243030	1272071
GLITNE	2009	2	0.033100	0.000000	0.000000	0.000000	0.033100	0.228030	1272071
GLITNE	2009	3	0.034210	0.000000	0.000000	0.000000	0.034210	0.238060	1272071
GLITNE	2009	4	0.029280	0.000000	0.000000	0.000000	0.029280	0.221720	1272071
GLITNE	2009	5	0.031290	0.000000	0.000000	0.000000	0.031290	0.243630	1272071
GLITNE	2009	6	0.033550	0.000000	0.000000	0.000000	0.033550	0.259100	1272071
GLITNE	2009	7	0.034660	0.000000	0.000000	0.000000	0.034660	0.271140	1272071
GLITNE	2009	8	0.031540	0.000000	0.000000	0.000000	0.031540	0.257110	1272071
GLITNE	2009	9	0.020950	0.000000	0.000000	0.000000	0.020950	0.180210	1272071
GLITNE	2009	10	0.030330	0.000000	0.000000	0.000000	0.030330	0.247610	1272071
GLITNE	2009	11	0.028700	0.000000	0.000000	0.000000	0.028700	0.246320	1272071
GLITNE	2009	12	0.028620	0.000000	0.000000	0.000000	0.028620	0.250650	1272071
GLITNE	2010	1	0.028140	0.000000	0.000000	0.000000	0.028140	0.253670	1272071
GLITNE	2010	2	0.023700	0.000000	0.000000	0.000000	0.023700	0.216080	1272071
GLITNE	2010	3	0.026650	0.000000	0.000000	0.000000	0.026650	0.256730	1272071
GLITNE	2010	4	0.018200	0.000000	0.000000	0.000000	0.018200	0.163130	1272071
GLITNE	2010	5	0.020480	0.000000	0.000000	0.000000	0.020480	0.199700	1272071
GLITNE	2010	6	0.025060	0.000000	0.000000	0.000000	0.025060	0.241370	1272071
GLITNE	2010	7	0.025420	0.000000	0.000000	0.000000	0.025420	0.249460	1272071
GLITNE	2010	8	0.022610	0.000000	0.000000	0.000000	0.022610	0.214560	1272071
GLITNE	2010	9	0.016550	0.000000	0.000000	0.000000	0.016550	0.164520	1272071
GLITNE	2010	10	0.020450	0.000000	0.000000	0.000000	0.020450	0.207910	1272071
GLITNE	2010	11	0.019930	0.000000	0.000000	0.000000	0.019930	0.206350	1272071
GLITNE	2010	12	0.012130	0.000000	0.000000	0.000000	0.012130	0.099850	1272071
GLITNE	2011	1	0.012140	0.000000	0.000000	0.000000	0.012140	0.100470	1272071
GLITNE	2011	2	0.011910	0.000000	0.000000	0.000000	0.011910	0.127100	1272071
GLITNE	2011	3	0.022470	0.000000	0.000000	0.000000	0.022470	0.245870	1272071
GLITNE	2011	4	0.020400	0.000000	0.000000	0.000000	0.020400	0.223370	1272071
GLITNE	2011	5	0.018440	0.000000	0.000000	0.000000	0.018440	0.193370	1272071
GLITNE	2011	6	0.018530	0.000000	0.000000	0.000000	0.018530	0.209800	1272071
GLITNE	2011	7	0.018490	0.000000	0.000000	0.000000	0.018490	0.210570	1272071
GLITNE	2011	8	0.008000	0.000000	0.000000	0.000000	0.008000	0.073210	1272071
GLITNE	2011	9	0.018890	0.000000	0.000000	0.000000	0.018890	0.253580	1272071
GLITNE	2011	10	0.019180	0.000000	0.000000	0.000000	0.019180	0.268820	1272071
GLITNE	2011	11	0.016020	0.000000	0.000000	0.000000	0.016020	0.226820	1272071
GLITNE	2011	12	0.013460	0.000000	0.000000	0.000000	0.013460	0.169590	1272071
GLITNE	2012	1	0.014680	0.000000	0.000000	0.000000	0.014680	0.178030	1272071
GLITNE	2012	2	0.014660	0.000000	0.000000	0.000000	0.014660	0.201420	1272071
GLITNE	2012	3	0.012010	0.000000	0.000000	0.000000	0.012010	0.138330	1272071
GLITNE	2012	4	0.012390	0.000000	0.000000	0.000000	0.012390	0.139940	1272071
GLITNE	2012	5	0.012810	0.000000	0.000000	0.000000	0.012810	0.140230	1272071
GLITNE	2012	6	0.009950	0.000000	0.000000	0.000000	0.009950	0.148660	1272071
GLITNE	2012	7	0.007660	0.000000	0.000000	0.000000	0.007660	0.144230	1272071
GLITNE	2012	8	0.002430	0.000000	0.000000	0.000000	0.002430	0.070650	1272071
GLITNE	2012	9	0.003780	0.000000	0.000000	0.000000	0.003780	0.109320	1272071
GLITNE	2012	10	0.003950	0.000000	0.000000	0.000000	0.003950	0.117360	1272071
GLITNE	2012	11	0.003650	0.000000	0.000000	0.000000	0.003650	0.107020	1272071
GLITNE	2012	12	0.003300	0.000000	0.000000	0.000000	0.003300	0.099430	1272071
GLITNE	2013	1	0.003580	0.000000	0.000000	0.000000	0.003580	0.111370	1272071
GLITNE	2013	2	0.002580	0.000000	0.000000	0.000000	0.002580	0.082580	1272071
FRAM	2003	10	0.158120	0.000000	0.000000	0.000000	0.158120	0.001290	1578840
FRAM	2003	11	0.287350	0.000000	0.000000	0.000000	0.287350	0.000820	1578840
FRAM	2003	12	0.248070	0.000000	0.000000	0.000000	0.248070	0.000620	1578840
FRAM	2004	1	0.291610	0.000000	0.000000	0.000000	0.291610	0.001410	1578840
FRAM	2004	2	0.271710	0.000000	0.000000	0.000000	0.271710	0.001850	1578840
FRAM	2004	3	0.281710	0.000000	0.000000	0.000000	0.281710	0.002880	1578840
FRAM	2004	4	0.267690	0.000000	0.000000	0.000000	0.267690	0.003180	1578840
FRAM	2004	5	0.252510	0.000000	0.000000	0.000000	0.252510	0.004000	1578840
FRAM	2004	6	0.254500	0.000000	0.000000	0.000000	0.254500	0.005850	1578840
FRAM	2004	7	0.210140	0.000000	0.000000	0.000000	0.210140	0.006030	1578840
FRAM	2004	8	0.248810	0.000000	0.000000	0.000000	0.248810	0.009210	1578840
FRAM	2004	9	0.230950	0.000000	0.000000	0.000000	0.230950	0.006040	1578840
FRAM	2004	10	0.218580	0.000000	0.000000	0.000000	0.218580	0.003640	1578840
FRAM	2004	11	0.206920	0.000000	0.000000	0.000000	0.206920	0.006480	1578840
FRAM	2004	12	0.202730	0.000000	0.000000	0.000000	0.202730	0.008550	1578840
FRAM	2005	1	0.193690	0.000000	0.000000	0.000000	0.193690	0.009690	1578840
FRAM	2005	2	0.166080	0.000000	0.000000	0.000000	0.166080	0.007050	1578840
FRAM	2005	3	0.173500	0.000000	0.000000	0.000000	0.173500	0.005500	1578840
FRAM	2005	4	0.159570	0.000000	0.000000	0.000000	0.159570	0.005710	1578840
FRAM	2005	5	0.159240	0.000000	0.000000	0.000000	0.159240	0.006600	1578840
FRAM	2005	6	0.146960	0.000000	0.000000	0.000000	0.146960	0.006170	1578840
FRAM	2005	7	0.153500	0.000000	0.000000	0.000000	0.153500	0.007240	1578840
FRAM	2005	8	0.150030	0.000000	0.000000	0.000000	0.150030	0.007090	1578840
FRAM	2005	9	0.137740	0.000000	0.000000	0.000000	0.137740	0.007470	1578840
FRAM	2005	10	0.142850	0.000000	0.000000	0.000000	0.142850	0.006150	1578840
FRAM	2005	11	0.137450	0.000000	0.000000	0.000000	0.137450	0.006440	1578840
FRAM	2005	12	0.140470	0.000000	0.000000	0.000000	0.140470	0.003070	1578840
FRAM	2006	1	0.136940	0.000000	0.000000	0.000000	0.136940	0.006560	1578840
FRAM	2006	2	0.118430	0.000000	0.000000	0.000000	0.118430	0.003580	1578840
FRAM	2006	3	0.129440	0.000000	0.000000	0.000000	0.129440	0.005730	1578840
FRAM	2006	4	0.132110	0.000000	0.000000	0.000000	0.132110	0.006210	1578840
FRAM	2006	5	0.134620	0.000000	0.000000	0.000000	0.134620	0.005840	1578840
FRAM	2006	6	0.122720	0.000000	0.000000	0.000000	0.122720	0.005000	1578840
FRAM	2006	7	0.139140	0.000000	0.000000	0.000000	0.139140	0.005110	1578840
FRAM	2006	8	0.067840	0.000000	0.000000	0.000000	0.067840	0.002510	1578840
FRAM	2006	9	0.129670	0.000000	0.000000	0.000000	0.129670	0.004910	1578840
FRAM	2006	10	0.147030	0.000000	0.000000	0.000000	0.147030	0.008550	1578840
FRAM	2006	11	0.204640	0.000000	0.000000	0.000000	0.204640	0.006400	1578840
FRAM	2006	12	0.200690	0.000000	0.000000	0.000000	0.200690	0.005860	1578840
FRAM	2007	1	0.214640	0.000000	0.000000	0.000000	0.214640	0.008660	1578840
FRAM	2007	2	0.194340	0.000000	0.000000	0.000000	0.194340	0.011430	1578840
FRAM	2007	3	0.203920	0.000000	0.000000	0.000000	0.203920	0.013200	1578840
FRAM	2007	4	0.200640	0.000000	0.000000	0.000000	0.200640	0.021720	1578840
FRAM	2007	5	0.190680	0.000000	0.000000	0.000000	0.190680	0.016820	1578840
FRAM	2007	6	0.196900	0.000000	0.000000	0.000000	0.196900	0.016780	1578840
FRAM	2007	7	0.241720	0.000000	0.000000	0.000000	0.241720	0.016620	1578840
FRAM	2007	8	0.227000	0.000000	0.000000	0.000000	0.227000	0.018670	1578840
FRAM	2007	9	0.219600	0.000000	0.000000	0.000000	0.219600	0.019130	1578840
FRAM	2007	10	0.221520	0.023470	0.001320	0.000000	0.246310	0.011340	1578840
FRAM	2007	11	0.246030	0.021150	0.001350	0.000000	0.268520	0.017240	1578840
FRAM	2007	12	0.283640	0.023330	0.001010	0.000000	0.307980	0.024660	1578840
FRAM	2008	1	0.275320	0.022140	0.001260	0.000000	0.298730	0.023010	1578840
FRAM	2008	2	0.233290	0.019930	0.001300	0.000000	0.254520	0.016230	1578840
FRAM	2008	3	0.260880	0.023540	0.002310	0.000000	0.286730	0.014640	1578840
FRAM	2008	4	0.244540	0.022980	0.003190	0.000000	0.270700	0.011680	1578840
FRAM	2008	5	0.259280	0.020580	0.003650	0.000000	0.283510	0.007720	1578840
FRAM	2008	6	0.313390	0.021290	0.003420	0.000000	0.338100	0.002870	1578840
FRAM	2008	7	0.305750	0.022730	0.004280	0.000000	0.332760	0.003230	1578840
FRAM	2008	8	0.151400	0.011720	0.001930	0.000000	0.165050	0.004070	1578840
FRAM	2008	9	0.299700	0.022720	0.000910	0.000000	0.323320	0.006150	1578840
FRAM	2008	10	0.297230	0.033580	0.001520	0.000000	0.332330	0.006100	1578840
FRAM	2008	11	0.319760	0.032840	0.001590	0.000000	0.354200	0.008570	1578840
FRAM	2008	12	0.317700	0.033540	0.001590	0.000000	0.352830	0.014290	1578840
FRAM	2009	1	0.325470	0.032420	0.001880	0.000000	0.359770	0.015760	1578840
FRAM	2009	2	0.284440	0.029290	0.003620	0.000000	0.317350	0.014150	1578840
FRAM	2009	3	0.321170	0.032260	0.004780	0.000000	0.358210	0.027630	1578840
FRAM	2009	4	0.246740	0.021870	0.004220	0.000000	0.272840	0.017570	1578840
FRAM	2009	5	0.287620	0.023220	0.004850	0.000000	0.315680	0.023580	1578840
FRAM	2009	6	0.281440	0.025230	0.002900	0.000000	0.309570	0.026490	1578840
FRAM	2009	7	0.293990	0.032410	0.005700	0.000000	0.332100	0.030910	1578840
FRAM	2009	8	0.238650	0.025450	0.004860	0.000000	0.268960	0.025500	1578840
FRAM	2009	9	0.274930	0.030920	0.005990	0.000000	0.311830	0.025840	1578840
FRAM	2009	10	0.273070	0.058520	0.010300	0.000000	0.341890	0.029360	1578840
FRAM	2009	11	0.255980	0.052060	0.009340	0.000000	0.317380	0.025940	1578840
FRAM	2009	12	0.297120	0.059600	0.009440	0.000000	0.366160	0.032490	1578840
FRAM	2010	1	0.245950	0.034540	0.007370	0.000000	0.287870	0.027580	1578840
FRAM	2010	2	0.271620	0.051870	0.007950	0.000000	0.331440	0.030180	1578840
FRAM	2010	3	0.256460	0.042690	0.007500	0.000000	0.306650	0.027160	1578840
FRAM	2010	4	0.270310	0.048600	0.008700	0.000000	0.327610	0.035190	1578840
FRAM	2010	5	0.266190	0.056520	0.008100	0.000000	0.330820	0.035070	1578840
FRAM	2010	6	0.266740	0.055920	0.009060	0.000000	0.331720	0.032830	1578840
FRAM	2010	7	0.240780	0.027380	0.006320	0.000000	0.274470	0.025220	1578840
FRAM	2010	8	0.295580	0.059620	0.009710	0.000000	0.364910	0.037980	1578840
FRAM	2010	9	0.139100	0.025000	0.001920	0.000000	0.166020	0.019780	1578840
FRAM	2010	10	0.289660	0.055050	0.003740	0.000000	0.348450	0.039270	1578840
FRAM	2010	11	0.276630	0.059070	0.002840	0.000000	0.338540	0.046010	1578840
FRAM	2010	12	0.272200	0.053110	0.003280	0.000000	0.328590	0.046500	1578840
FRAM	2011	1	0.281230	0.054160	0.003860	0.000000	0.339240	0.047250	1578840
FRAM	2011	2	0.236980	0.050580	0.003560	0.000000	0.291120	0.042320	1578840
FRAM	2011	3	0.194920	0.037770	0.002720	0.000000	0.235420	0.031220	1578840
FRAM	2011	4	0.240860	0.053940	0.003710	0.000000	0.298500	0.047170	1578840
FRAM	2011	5	0.259700	0.030250	0.002460	0.000000	0.292420	0.055490	1578840
FRAM	2011	6	0.256950	0.054820	0.009480	0.000000	0.321240	0.057680	1578840
FRAM	2011	7	0.268240	0.058110	0.012030	0.000000	0.338380	0.060750	1578840
FRAM	2011	8	0.234540	0.056610	0.007550	0.000000	0.298700	0.051840	1578840
FRAM	2011	9	0.183520	0.041340	0.008250	0.000000	0.233110	0.046590	1578840
FRAM	2011	10	0.140260	0.025540	0.005520	0.000000	0.171320	0.025160	1578840
FRAM	2011	11	0.251270	0.053620	0.008400	0.000000	0.313290	0.061670	1578840
FRAM	2011	12	0.253090	0.059140	0.009380	0.000000	0.321600	0.069430	1578840
FRAM	2012	1	0.258510	0.058610	0.009490	0.000000	0.326610	0.075660	1578840
FRAM	2012	2	0.230830	0.044120	0.008180	0.000000	0.283130	0.072570	1578840
FRAM	2012	3	0.248260	0.057290	0.010020	0.000000	0.315570	0.078050	1578840
FRAM	2012	4	0.226500	0.056390	0.010840	0.000000	0.293730	0.073070	1578840
FRAM	2012	5	0.222060	0.045610	0.008940	0.000000	0.276610	0.071250	1578840
FRAM	2012	6	0.227030	0.046030	0.008720	0.000000	0.281780	0.077480	1578840
FRAM	2012	7	0.202160	0.057830	0.009740	0.000000	0.269740	0.068660	1578840
FRAM	2012	8	0.219360	0.048720	0.005240	0.000000	0.273320	0.083010	1578840
FRAM	2012	9	0.055240	0.010230	0.000820	0.000000	0.066280	0.020630	1578840
FRAM	2012	10	0.184070	0.033990	0.002340	0.000000	0.220390	0.056510	1578840
FRAM	2012	11	0.139030	0.026420	0.003400	0.000000	0.168840	0.053890	1578840
FRAM	2012	12	0.228650	0.050060	0.006500	0.000000	0.285210	0.085390	1578840
FRAM	2013	1	0.233500	0.058190	0.008400	0.000000	0.300080	0.094040	1578840
FRAM	2013	2	0.202110	0.047430	0.005680	0.000000	0.255220	0.000000	1578840
VALE	2002	6	0.004430	0.000000	0.000000	0.000000	0.004430	0.000000	1578893
VALE	2002	7	0.006250	0.000000	0.000000	0.000000	0.006250	0.000000	1578893
VALE	2002	8	0.004690	0.000000	0.000000	0.000000	0.004690	0.000000	1578893
VALE	2002	9	0.008140	0.000000	0.000000	0.000000	0.008140	0.000000	1578893
VALE	2002	10	0.007200	0.000000	0.000000	0.000000	0.007200	0.000000	1578893
VALE	2002	11	0.009440	0.000000	0.000000	0.000000	0.009440	0.000000	1578893
VALE	2002	12	0.014010	0.000000	0.000000	0.000000	0.014010	0.000000	1578893
VALE	2003	1	0.015970	0.013880	0.000000	0.000000	0.029850	0.000000	1578893
VALE	2003	2	0.015920	0.013030	0.000000	0.000000	0.028950	0.000000	1578893
VALE	2003	3	0.011230	0.009200	0.000000	0.000000	0.020430	0.000000	1578893
VALE	2003	4	0.009660	0.006940	0.000000	0.000000	0.016590	0.000000	1578893
VALE	2003	5	0.016470	0.015420	0.000000	0.000000	0.031880	0.000000	1578893
VALE	2003	6	0.015360	0.011050	0.000000	0.000000	0.026410	0.000000	1578893
VALE	2003	7	0.007500	0.002310	0.000000	0.000000	0.009820	0.000000	1578893
VALE	2003	8	0.009140	0.009620	0.000000	0.000000	0.018750	0.000000	1578893
VALE	2003	9	0.013680	0.009730	0.000000	0.000000	0.023420	0.000000	1578893
VALE	2003	10	0.011980	0.009020	0.000000	0.000000	0.021010	0.000000	1578893
VALE	2003	11	0.010800	0.007790	0.000000	0.000000	0.018580	0.000000	1578893
VALE	2003	12	0.014970	0.010970	0.000000	0.000000	0.025940	0.000000	1578893
VALE	2004	1	0.015450	0.013060	0.000000	0.000000	0.028510	0.000000	1578893
VALE	2004	2	0.013040	0.011740	0.000000	0.000000	0.024770	0.000000	1578893
VALE	2004	3	0.015670	0.013560	0.000000	0.000000	0.029230	0.000000	1578893
VALE	2004	4	0.016040	0.012670	0.000000	0.000000	0.028710	0.000000	1578893
VALE	2004	5	0.014180	0.012790	0.000000	0.000000	0.026970	0.000000	1578893
VALE	2004	6	0.011330	0.007550	0.000000	0.000000	0.018880	0.000000	1578893
VALE	2004	7	0.012590	0.011200	0.000000	0.000000	0.023790	0.000000	1578893
VALE	2004	8	0.008220	0.004690	0.000000	0.000000	0.012910	0.000000	1578893
VALE	2004	9	0.010150	0.008050	0.000000	0.000000	0.018200	0.000000	1578893
VALE	2004	10	0.014380	0.012950	0.000000	0.000000	0.027330	0.000000	1578893
VALE	2004	11	0.013990	0.010570	0.000000	0.000000	0.024560	0.000000	1578893
VALE	2004	12	0.015170	0.013050	0.000000	0.000000	0.028230	0.000000	1578893
VALE	2005	1	0.015460	0.012930	0.000000	0.000000	0.028390	0.000000	1578893
VALE	2005	2	0.013840	0.011250	0.000000	0.000000	0.025090	0.000000	1578893
VALE	2005	3	0.014010	0.011540	0.000000	0.000000	0.025550	0.000000	1578893
VALE	2005	4	0.007840	0.005200	0.000000	0.000000	0.013040	0.000000	1578893
VALE	2005	5	0.000370	0.000000	0.000000	0.000000	0.000370	0.000000	1578893
VALE	2005	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2005	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2005	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2005	9	0.000200	0.000000	0.000000	0.000000	0.000200	0.000000	1578893
VALE	2005	10	0.000130	0.000000	0.000000	0.000000	0.000130	0.000000	1578893
VALE	2005	11	0.009340	0.007980	0.000000	0.000000	0.017320	0.000000	1578893
VALE	2005	12	0.015660	0.013160	0.000000	0.000000	0.028820	0.000000	1578893
VALE	2006	1	0.017410	0.013060	0.000000	0.000000	0.030470	0.000000	1578893
VALE	2006	2	0.017270	0.015740	0.000000	0.000000	0.033010	0.000000	1578893
VALE	2006	3	0.022130	0.021610	0.000000	0.000000	0.043730	0.000000	1578893
VALE	2006	4	0.021950	0.016680	0.000000	0.000000	0.038630	0.000000	1578893
VALE	2006	5	0.010890	0.008100	0.000000	0.000000	0.018990	0.000000	1578893
VALE	2006	6	0.017240	0.014330	0.000000	0.000000	0.031570	0.000000	1578893
VALE	2006	7	0.017680	0.014840	0.000000	0.000000	0.032510	0.000000	1578893
VALE	2006	8	0.005550	0.003220	0.000000	0.000000	0.008780	0.000000	1578893
VALE	2006	9	0.009580	0.008450	0.000000	0.000000	0.018030	0.000000	1578893
VALE	2006	10	0.009310	0.006620	0.000000	0.000000	0.015930	0.000000	1578893
VALE	2006	11	0.009870	0.008470	0.000000	0.000000	0.018340	0.000000	1578893
VALE	2006	12	0.018780	0.014820	0.000000	0.000000	0.033600	0.000000	1578893
VALE	2007	1	0.014060	0.009300	0.000000	0.000000	0.023360	0.000000	1578893
VALE	2007	2	0.017530	0.015330	0.000000	0.000000	0.032860	0.000000	1578893
VALE	2007	3	0.009020	0.007050	0.000000	0.000000	0.016070	0.000000	1578893
VALE	2007	4	0.013970	0.007370	0.000000	0.000000	0.021340	0.000000	1578893
VALE	2007	5	0.002900	0.000020	0.000000	0.000000	0.002920	0.000000	1578893
VALE	2007	6	0.004120	0.003370	0.000000	0.000000	0.007490	0.000000	1578893
VALE	2007	7	0.004840	0.006700	0.000000	0.000000	0.011540	0.000000	1578893
VALE	2007	8	0.019730	0.017990	0.000000	0.000000	0.037710	0.000000	1578893
VALE	2007	9	0.022140	0.018540	0.000000	0.000000	0.040680	0.000000	1578893
VALE	2007	10	0.022450	0.017550	0.000000	0.000000	0.040000	0.000000	1578893
VALE	2007	11	0.019650	0.015230	0.000000	0.000000	0.034880	0.000000	1578893
VALE	2007	12	0.023030	0.017970	0.000000	0.000000	0.041010	0.000000	1578893
VALE	2008	1	0.023120	0.017260	0.000000	0.000000	0.040380	0.000000	1578893
VALE	2008	2	0.019840	0.016970	0.000000	0.000000	0.036810	0.000000	1578893
VALE	2008	3	0.015790	0.009350	0.000000	0.000000	0.025130	0.000000	1578893
VALE	2008	4	0.014670	0.013890	0.000000	0.000000	0.028560	0.000000	1578893
VALE	2008	5	0.014880	0.013300	0.000000	0.000000	0.028180	0.000000	1578893
VALE	2008	6	0.023680	0.018430	0.000000	0.000000	0.042110	0.000000	1578893
VALE	2008	7	0.015480	0.017950	0.000000	0.000000	0.033430	0.000000	1578893
VALE	2008	8	0.005760	0.004590	0.000000	0.000000	0.010350	0.000000	1578893
VALE	2008	9	0.009240	0.008750	0.000000	0.000000	0.017990	0.000000	1578893
VALE	2008	10	0.018990	0.017560	0.000000	0.000000	0.036550	0.000000	1578893
VALE	2008	11	0.021060	0.015840	0.000000	0.000000	0.036900	0.000000	1578893
VALE	2008	12	0.021040	0.019010	0.000000	0.000000	0.040050	0.000000	1578893
VALE	2009	1	0.022280	0.019600	0.000000	0.000000	0.041890	0.000000	1578893
VALE	2009	2	0.017740	0.013940	0.000000	0.000000	0.031680	0.000000	1578893
VALE	2009	3	0.017550	0.012240	0.000000	0.000000	0.029790	0.000000	1578893
VALE	2009	4	0.020060	0.018340	0.000000	0.000000	0.038400	0.000000	1578893
VALE	2009	5	0.020670	0.019140	0.000000	0.000000	0.039800	0.000000	1578893
VALE	2009	6	0.009990	0.006200	0.000000	0.000000	0.016190	0.000000	1578893
VALE	2009	7	0.016420	0.016410	0.000000	0.000000	0.032820	0.000000	1578893
VALE	2009	8	0.015700	0.016460	0.000000	0.000000	0.032160	0.000000	1578893
VALE	2009	9	0.022220	0.019280	0.000000	0.000000	0.041500	0.000000	1578893
VALE	2009	10	0.018580	0.014570	0.000000	0.000000	0.033160	0.000000	1578893
VALE	2009	11	0.002100	0.000000	0.000000	0.000000	0.002100	0.000000	1578893
VALE	2009	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2010	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2010	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2010	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2010	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2010	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2010	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2010	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2010	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2010	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2010	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2010	11	0.008240	0.009120	0.000000	0.000000	0.017360	0.000000	1578893
VALE	2010	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2011	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2011	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2011	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2011	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2011	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2011	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2011	7	0.000100	0.001240	0.000000	0.000000	0.001340	0.000000	1578893
VALE	2011	8	0.003880	0.002590	0.000000	0.000000	0.006480	0.000000	1578893
VALE	2011	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1578893
VALE	2011	10	0.006480	0.010240	0.000000	0.000000	0.016720	0.000000	1578893
VALE	2011	11	0.004870	0.001210	0.000000	0.000000	0.006070	0.000000	1578893
VALE	2011	12	0.000270	0.000000	0.000000	0.000000	0.000270	0.000000	1578893
VALE	2012	1	0.007640	0.006200	0.000000	0.000000	0.013840	0.000000	1578893
VALE	2012	2	0.000570	0.000000	0.000000	0.000000	0.000570	0.000000	1578893
VALE	2012	3	0.000310	0.002660	0.000000	0.000000	0.002970	0.000000	1578893
VALE	2012	4	0.003350	0.000000	0.000000	0.000000	0.003350	0.000000	1578893
VALE	2012	7	0.007650	0.005060	0.000000	0.000000	0.012710	0.000000	1578893
VALE	2012	8	0.022180	0.018490	0.000000	0.000000	0.040670	0.000000	1578893
VALE	2012	9	0.016990	0.017200	0.000000	0.000000	0.034190	0.000000	1578893
VALE	2012	10	0.021870	0.025100	0.000000	0.000000	0.046970	0.000000	1578893
VALE	2012	11	0.022020	0.022020	0.000000	0.000000	0.044040	0.000000	1578893
VALE	2012	12	0.022020	0.024170	0.000000	0.000000	0.046190	0.000000	1578893
VALE	2013	1	0.022010	0.026420	0.000000	0.000000	0.048440	0.000000	1578893
VALE	2013	2	0.007220	0.006470	0.000000	0.000000	0.013690	0.000000	1578893
SIGYN	2002	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000100	1630100
SIGYN	2003	1	0.000000	0.082560	0.050970	0.082510	0.216040	0.000410	1630100
SIGYN	2003	2	0.000000	0.075890	0.047430	0.068130	0.191460	0.000330	1630100
SIGYN	2003	3	0.000000	0.083990	0.054010	0.076820	0.214820	0.000410	1630100
SIGYN	2003	4	0.000000	0.069340	0.042690	0.064630	0.176660	0.000350	1630100
SIGYN	2003	5	0.000000	0.071490	0.044950	0.064840	0.181270	0.000360	1630100
SIGYN	2003	6	0.000000	0.051690	0.032840	0.048560	0.133080	0.000270	1630100
SIGYN	2003	7	0.000000	0.075980	0.049420	0.070080	0.195490	0.000330	1630100
SIGYN	2003	8	0.000000	0.069060	0.050310	0.071790	0.191150	0.000380	1630100
SIGYN	2003	9	0.000000	0.068600	0.054380	0.077830	0.200810	0.000340	1630100
SIGYN	2003	10	0.000000	0.093310	0.064560	0.090620	0.248490	0.000970	1630100
SIGYN	2003	11	0.000000	0.087380	0.058540	0.085200	0.231120	0.001070	1630100
SIGYN	2003	12	0.000000	0.083950	0.060840	0.086610	0.231400	0.000880	1630100
SIGYN	2004	1	0.000000	0.078830	0.060350	0.084640	0.223810	0.001250	1630100
SIGYN	2004	2	0.000000	0.064260	0.049310	0.072690	0.186270	0.001010	1630100
SIGYN	2004	3	0.000000	0.075030	0.059590	0.078140	0.212760	0.001360	1630100
SIGYN	2004	4	0.000000	0.068430	0.055200	0.072480	0.196100	0.001460	1630100
SIGYN	2004	5	0.000000	0.075480	0.051540	0.068180	0.195200	0.001730	1630100
SIGYN	2004	6	0.000000	0.078040	0.061060	0.082400	0.221510	0.001850	1630100
SIGYN	2004	7	0.000000	0.069950	0.057840	0.076660	0.204450	0.001960	1630100
SIGYN	2004	8	0.000000	0.030500	0.026140	0.035040	0.091670	0.000890	1630100
SIGYN	2004	9	0.000000	0.042600	0.037360	0.051390	0.131350	0.001820	1630100
SIGYN	2004	10	0.000000	0.085630	0.067700	0.092090	0.245420	0.003340	1630100
SIGYN	2004	11	0.000000	0.082480	0.066180	0.094450	0.243110	0.002940	1630100
SIGYN	2004	12	0.000000	0.084660	0.067320	0.093140	0.245120	0.002820	1630100
SIGYN	2005	1	0.000000	0.079280	0.062730	0.088790	0.230790	0.002200	1630100
SIGYN	2005	2	0.000000	0.073360	0.057040	0.078490	0.208880	0.002680	1630100
SIGYN	2005	3	0.000000	0.062640	0.048740	0.067960	0.179340	0.002230	1630100
SIGYN	2005	4	0.000000	0.073220	0.058350	0.077820	0.209390	0.002790	1630100
SIGYN	2005	5	0.000000	0.073150	0.056040	0.074380	0.203570	0.003260	1630100
SIGYN	2005	6	0.000000	0.072310	0.056410	0.078890	0.207600	0.003410	1630100
SIGYN	2005	7	0.000000	0.074810	0.058280	0.077630	0.210720	0.004050	1630100
SIGYN	2005	8	0.000000	0.077220	0.058100	0.077120	0.212450	0.003680	1630100
SIGYN	2005	9	0.000000	0.054820	0.041160	0.056170	0.152150	0.003080	1630100
SIGYN	2005	10	0.000000	0.059150	0.046110	0.058350	0.163600	0.004040	1630100
SIGYN	2005	11	0.000000	0.070720	0.054510	0.069790	0.195020	0.005130	1630100
SIGYN	2005	12	0.000000	0.073050	0.059920	0.067080	0.200050	0.005930	1630100
SIGYN	2006	1	0.000000	0.073860	0.052830	0.078920	0.205610	0.005580	1630100
SIGYN	2006	2	0.000000	0.061290	0.043760	0.059410	0.164460	0.005850	1630100
SIGYN	2006	3	0.000000	0.069320	0.048550	0.066940	0.184820	0.006200	1630100
SIGYN	2006	4	0.000000	0.065240	0.046710	0.063100	0.175050	0.006270	1630100
SIGYN	2006	5	0.000000	0.065980	0.043800	0.062990	0.172770	0.007730	1630100
SIGYN	2006	6	0.000000	0.004490	0.004080	0.004520	0.013090	0.000560	1630100
SIGYN	2006	7	0.000000	0.064930	0.047800	0.058300	0.171030	0.007440	1630100
SIGYN	2006	8	0.000000	0.060110	0.041930	0.050790	0.152830	0.008080	1630100
SIGYN	2006	9	0.000000	0.062630	0.044520	0.051810	0.158960	0.008610	1630100
SIGYN	2006	10	0.000000	0.063210	0.043600	0.053290	0.160090	0.007770	1630100
SIGYN	2006	11	0.000000	0.060110	0.039200	0.044120	0.143430	0.006030	1630100
SIGYN	2006	12	0.000000	0.064770	0.044120	0.052140	0.161030	0.007540	1630100
SIGYN	2007	1	0.000000	0.056060	0.040780	0.049860	0.146700	0.007590	1630100
SIGYN	2007	2	0.000000	0.052690	0.037490	0.044390	0.134570	0.006710	1630100
SIGYN	2007	3	0.000000	0.052260	0.039120	0.047490	0.138880	0.006860	1630100
SIGYN	2007	4	0.000000	0.046820	0.033470	0.038550	0.118840	0.006140	1630100
SIGYN	2007	5	0.000000	0.060970	0.044080	0.055360	0.160410	0.007810	1630100
SIGYN	2007	6	0.000000	0.056110	0.041400	0.048900	0.146420	0.008640	1630100
SIGYN	2007	7	0.000000	0.053040	0.042490	0.053550	0.149090	0.008490	1630100
SIGYN	2007	8	0.000000	0.059170	0.047150	0.058350	0.164670	0.009600	1630100
SIGYN	2007	9	0.000000	0.048470	0.035310	0.044440	0.128220	0.007810	1630100
SIGYN	2007	10	0.000000	0.055470	0.043280	0.051810	0.150560	0.008300	1630100
SIGYN	2007	11	0.000000	0.054520	0.044430	0.053900	0.152850	0.008430	1630100
SIGYN	2007	12	0.000000	0.053760	0.043430	0.051310	0.148500	0.008540	1630100
SIGYN	2008	1	0.000000	0.052960	0.043460	0.053770	0.150190	0.010560	1630100
SIGYN	2008	2	0.000000	0.044080	0.038200	0.046080	0.128360	0.008500	1630100
SIGYN	2008	3	0.000000	0.037980	0.031400	0.034470	0.103840	0.007060	1630100
SIGYN	2008	4	0.000000	0.051650	0.047640	0.039560	0.138850	0.009600	1630100
SIGYN	2008	5	0.000000	0.055880	0.050560	0.040260	0.146700	0.011040	1630100
SIGYN	2008	6	0.000000	0.048370	0.034200	0.048200	0.130780	0.010990	1630100
SIGYN	2008	7	0.000000	0.050390	0.035780	0.050330	0.136500	0.011150	1630100
SIGYN	2008	8	0.000000	0.031150	0.023100	0.030230	0.084480	0.008510	1630100
SIGYN	2008	9	0.000000	0.030390	0.022330	0.027840	0.080560	0.008160	1630100
SIGYN	2008	10	0.000000	0.048210	0.038370	0.047600	0.134170	0.013840	1630100
SIGYN	2008	11	0.000000	0.048410	0.038720	0.045800	0.132930	0.011500	1630100
SIGYN	2008	12	0.000000	0.046120	0.034060	0.044210	0.124390	0.011120	1630100
SIGYN	2009	1	0.000000	0.043230	0.033290	0.042950	0.119460	0.010940	1630100
SIGYN	2009	2	0.000000	0.036430	0.028820	0.036240	0.101490	0.009350	1630100
SIGYN	2009	3	0.000000	0.041580	0.035370	0.040870	0.117820	0.011290	1630100
SIGYN	2009	4	0.000000	0.040000	0.030700	0.034520	0.105230	0.010840	1630100
SIGYN	2009	5	0.000000	0.046980	0.033960	0.038000	0.118930	0.013580	1630100
SIGYN	2009	6	0.000000	0.040250	0.034780	0.041930	0.116960	0.011510	1630100
SIGYN	2009	7	0.000000	0.040480	0.027130	0.029530	0.097140	0.008150	1630100
SIGYN	2009	8	0.000000	0.042290	0.031590	0.037100	0.110980	0.010400	1630100
SIGYN	2009	9	0.000000	0.033770	0.025580	0.029970	0.089310	0.008040	1630100
SIGYN	2009	10	0.000000	0.037670	0.030830	0.036670	0.105170	0.009950	1630100
SIGYN	2009	11	0.000000	0.041380	0.029210	0.036540	0.107120	0.010270	1630100
SIGYN	2009	12	0.000000	0.040610	0.028860	0.035960	0.105430	0.009360	1630100
SIGYN	2010	1	0.000000	0.035660	0.024670	0.030490	0.090820	0.008910	1630100
SIGYN	2010	2	0.000000	0.034210	0.023910	0.028930	0.087060	0.010130	1630100
SIGYN	2010	3	0.000000	0.019200	0.013620	0.017090	0.049910	0.005330	1630100
SIGYN	2010	4	0.000000	0.039700	0.024240	0.030720	0.094650	0.011890	1630100
SIGYN	2010	5	0.000000	0.041840	0.023900	0.032590	0.098330	0.011800	1630100
SIGYN	2010	6	0.000000	0.041210	0.024180	0.033490	0.098870	0.011650	1630100
SIGYN	2010	7	0.000000	0.042430	0.025200	0.033420	0.101040	0.012600	1630100
SIGYN	2010	8	0.000000	0.021310	0.012270	0.017120	0.050700	0.006410	1630100
SIGYN	2010	9	0.000000	0.024790	0.015600	0.021540	0.061930	0.005660	1630100
SIGYN	2010	10	0.000000	0.037480	0.023820	0.034020	0.095320	0.007550	1630100
SIGYN	2010	11	0.000000	0.035920	0.021990	0.031360	0.089270	0.012640	1630100
SIGYN	2010	12	0.000000	0.037330	0.022280	0.031500	0.091120	0.014150	1630100
SIGYN	2011	1	0.000000	0.037270	0.023110	0.032800	0.093180	0.015460	1630100
SIGYN	2011	2	0.000000	0.032900	0.020040	0.028840	0.081780	0.012900	1630100
SIGYN	2011	3	0.000000	0.038760	0.023360	0.033830	0.095940	0.012740	1630100
SIGYN	2011	4	0.000000	0.039450	0.023880	0.028510	0.091840	0.011870	1630100
SIGYN	2011	5	0.000000	0.038960	0.025090	0.029060	0.093110	0.011490	1630100
SIGYN	2011	6	0.000000	0.037140	0.023020	0.027850	0.088000	0.011890	1630100
SIGYN	2011	7	0.000000	0.039430	0.024440	0.029160	0.093030	0.012920	1630100
SIGYN	2011	8	0.000000	0.038390	0.023750	0.028290	0.090430	0.012650	1630100
SIGYN	2011	9	0.000000	0.027120	0.018020	0.021960	0.067090	0.007000	1630100
SIGYN	2011	10	0.000000	0.037000	0.023860	0.027470	0.088320	0.013770	1630100
SIGYN	2011	11	0.000000	0.035910	0.023340	0.027590	0.086840	0.013600	1630100
SIGYN	2011	12	0.000000	0.035290	0.023140	0.027530	0.085970	0.013560	1630100
SIGYN	2012	1	0.000000	0.034130	0.022280	0.026980	0.083400	0.013160	1630100
SIGYN	2012	2	0.000000	0.031350	0.021080	0.024720	0.077150	0.011990	1630100
SIGYN	2012	3	0.000000	0.033490	0.021770	0.026360	0.081610	0.012880	1630100
SIGYN	2012	4	0.000000	0.030990	0.020760	0.025090	0.076840	0.011820	1630100
SIGYN	2012	5	0.000000	0.032530	0.021400	0.027510	0.081430	0.012510	1630100
SIGYN	2012	6	0.000000	0.032760	0.020520	0.025410	0.078690	0.012410	1630100
SIGYN	2012	7	0.000000	0.030570	0.020270	0.025700	0.076540	0.008870	1630100
SIGYN	2012	8	0.000000	0.016080	0.010450	0.013770	0.040300	0.002960	1630100
SIGYN	2012	9	0.000000	0.013080	0.008520	0.010910	0.032510	0.003330	1630100
SIGYN	2012	10	0.000000	0.026150	0.017810	0.022860	0.066820	0.007770	1630100
SIGYN	2012	11	0.000000	0.026100	0.018730	0.022440	0.067270	0.008540	1630100
SIGYN	2012	12	0.000000	0.028020	0.020470	0.023160	0.071650	0.009060	1630100
SIGYN	2013	1	0.000000	0.026060	0.017950	0.022380	0.066390	0.009700	1630100
SIGYN	2013	2	0.000000	0.024570	0.016800	0.020240	0.061620	0.008380	1630100
MIKKEL	2003	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000250	1630514
MIKKEL	2003	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1630514
MIKKEL	2003	10	0.000000	0.163200	0.060900	0.070650	0.294740	0.000710	1630514
MIKKEL	2003	11	0.000000	0.155360	0.058560	0.067510	0.281430	0.000680	1630514
MIKKEL	2003	12	0.000000	0.144210	0.075440	0.067230	0.286880	0.000680	1630514
MIKKEL	2004	1	0.000000	0.145520	0.075690	0.067550	0.288760	0.000680	1630514
MIKKEL	2004	2	0.000000	0.128710	0.065730	0.059660	0.254100	0.000600	1630514
MIKKEL	2004	3	0.000000	0.159420	0.081370	0.073400	0.314190	0.000740	1630514
MIKKEL	2004	4	0.000000	0.119730	0.059280	0.054820	0.233830	0.000550	1630514
MIKKEL	2004	5	0.000000	0.156620	0.078370	0.067720	0.302720	0.000680	1630514
MIKKEL	2004	6	0.000000	0.148860	0.078080	0.064790	0.291730	0.000650	1630514
MIKKEL	2004	7	0.000000	0.152820	0.084930	0.066670	0.304420	0.000670	1630514
MIKKEL	2004	8	0.000000	0.068700	0.036400	0.029450	0.134550	0.000300	1630514
MIKKEL	2004	9	0.000000	0.115300	0.057920	0.049960	0.223180	0.000510	1630514
MIKKEL	2004	10	0.000000	0.152720	0.080790	0.066320	0.299840	0.000670	1630514
MIKKEL	2004	11	0.000000	0.149340	0.077700	0.064640	0.291680	0.000650	1630514
MIKKEL	2004	12	0.000000	0.153240	0.080950	0.066540	0.300730	0.000670	1630514
MIKKEL	2005	1	0.000000	0.150160	0.079080	0.065210	0.294450	0.000660	1630514
MIKKEL	2005	2	0.000000	0.139270	0.074530	0.060390	0.274190	0.000610	1630514
MIKKEL	2005	3	0.000000	0.154810	0.081050	0.066440	0.302290	0.000670	1630514
MIKKEL	2005	4	0.000000	0.150360	0.079200	0.064570	0.294130	0.000650	1630514
MIKKEL	2005	5	0.000000	0.151150	0.070300	0.065380	0.286830	0.000660	1630514
MIKKEL	2005	6	0.000000	0.141520	0.076680	0.063650	0.281850	0.000640	1630514
MIKKEL	2005	7	0.000000	0.137490	0.071880	0.061620	0.270980	0.000620	1630514
MIKKEL	2005	8	0.000000	0.158420	0.082830	0.070730	0.311980	0.000710	1630514
MIKKEL	2005	9	0.000000	0.166690	0.084170	0.072200	0.323050	0.000730	1630514
MIKKEL	2005	10	0.000000	0.089210	0.049530	0.039700	0.178430	0.000400	1630514
MIKKEL	2005	11	0.000000	0.148450	0.080430	0.064180	0.293060	0.000650	1630514
MIKKEL	2005	12	0.000000	0.150070	0.084220	0.066200	0.300490	0.000670	1630514
MIKKEL	2006	1	0.000000	0.125420	0.070500	0.056300	0.252230	0.000570	1630514
MIKKEL	2006	2	0.000000	0.135830	0.073810	0.059490	0.269120	0.000600	1630514
MIKKEL	2006	3	0.000000	0.153710	0.083680	0.067740	0.305130	0.000680	1630514
MIKKEL	2006	4	0.000000	0.146790	0.078780	0.065280	0.290840	0.000660	1630514
MIKKEL	2006	5	0.000000	0.146640	0.077060	0.064090	0.287780	0.000650	1630514
MIKKEL	2006	6	0.000000	0.149150	0.079290	0.065570	0.294010	0.000660	1630514
MIKKEL	2006	7	0.000000	0.149330	0.082740	0.065420	0.297490	0.000660	1630514
MIKKEL	2006	8	0.000000	0.153130	0.083270	0.066450	0.302840	0.000670	1630514
MIKKEL	2006	9	0.000000	0.050550	0.027830	0.021780	0.100160	0.000220	1630514
MIKKEL	2006	10	0.053970	0.126930	0.069920	0.000000	0.250820	0.000550	1630514
MIKKEL	2006	11	0.052050	0.123380	0.069420	0.000000	0.244850	0.000530	1630514
MIKKEL	2006	12	0.062700	0.151720	0.084770	0.000000	0.299180	0.000630	1630514
MIKKEL	2007	1	0.061430	0.153670	0.082130	0.000000	0.297230	0.000620	1630514
MIKKEL	2007	2	0.056260	0.140580	0.075390	0.000000	0.272230	0.000570	1630514
MIKKEL	2007	3	0.051620	0.141120	0.076940	0.000000	0.269670	0.000520	1630514
MIKKEL	2007	4	0.060620	0.150770	0.080360	0.000000	0.291750	0.000610	1630514
MIKKEL	2007	5	0.062670	0.157040	0.083100	0.000000	0.302800	0.000630	1630514
MIKKEL	2007	6	0.067590	0.169710	0.093740	0.000000	0.331030	0.000680	1630514
MIKKEL	2007	7	0.062270	0.156020	0.084750	0.000000	0.303040	0.000630	1630514
MIKKEL	2007	8	0.066320	0.163900	0.089190	0.000000	0.319410	0.000670	1630514
MIKKEL	2007	9	0.058250	0.140440	0.075940	0.000000	0.274630	0.000590	1630514
MIKKEL	2007	10	0.064120	0.154260	0.083790	0.000000	0.302170	0.000650	1630514
MIKKEL	2007	11	0.063060	0.158130	0.085840	0.000000	0.307030	0.000640	1630514
MIKKEL	2007	12	0.066090	0.164420	0.088640	0.000000	0.319150	0.000670	1630514
MIKKEL	2008	1	0.061620	0.153580	0.080900	0.000000	0.296100	0.000620	1630514
MIKKEL	2008	3	0.021800	0.053560	0.028880	0.000000	0.104240	0.000220	1630514
MIKKEL	2008	4	0.061660	0.150540	0.075080	0.000000	0.287280	0.000620	1630514
MIKKEL	2008	5	0.067880	0.164320	0.088650	0.000000	0.320850	0.000690	1630514
MIKKEL	2008	6	0.064650	0.157010	0.079600	0.000000	0.301270	0.000650	1630514
MIKKEL	2008	7	0.065200	0.158490	0.081130	0.000000	0.304820	0.000660	1630514
MIKKEL	2008	8	0.063530	0.153750	0.081110	0.000000	0.298390	0.000640	1630514
MIKKEL	2008	9	0.023080	0.056790	0.028880	0.000000	0.108750	0.000230	1630514
MIKKEL	2008	10	0.063840	0.152700	0.083880	0.000000	0.300420	0.000650	1630514
MIKKEL	2008	11	0.051600	0.161150	0.089180	0.000000	0.301920	0.000520	1630514
MIKKEL	2008	12	0.045430	0.144040	0.075710	0.000000	0.265180	0.000460	1630514
MIKKEL	2009	1	0.039490	0.138660	0.055130	0.000000	0.233280	0.000420	1630514
MIKKEL	2009	2	0.041960	0.150300	0.057360	0.000000	0.249610	0.000500	1630514
MIKKEL	2009	3	0.046030	0.152760	0.083750	0.000000	0.282550	0.000570	1630514
MIKKEL	2009	4	0.044030	0.146840	0.080570	0.000000	0.271440	0.000510	1630514
MIKKEL	2009	5	0.047300	0.162200	0.089460	0.000000	0.298960	0.000580	1630514
MIKKEL	2009	6	0.043220	0.146070	0.080600	0.000000	0.269880	0.000570	1630514
MIKKEL	2009	7	0.044170	0.154880	0.083480	0.000000	0.282540	0.000620	1630514
MIKKEL	2009	8	0.043500	0.150630	0.084580	0.000000	0.278710	0.000450	1630514
MIKKEL	2009	9	0.041280	0.143790	0.076340	0.000000	0.261410	0.000500	1630514
MIKKEL	2009	10	0.044350	0.155300	0.082170	0.000000	0.281830	0.000550	1630514
MIKKEL	2009	11	0.039610	0.138870	0.075580	0.000000	0.254060	0.000500	1630514
MIKKEL	2009	12	0.040200	0.140570	0.077370	0.000000	0.258140	0.000530	1630514
MIKKEL	2010	1	0.040760	0.145390	0.076150	0.000000	0.262300	0.000470	1630514
MIKKEL	2010	2	0.039440	0.138550	0.075660	0.000000	0.253660	0.000480	1630514
MIKKEL	2010	3	0.042980	0.151930	0.081810	0.000000	0.276710	0.000530	1630514
MIKKEL	2010	4	0.039630	0.147000	0.079630	0.000000	0.266260	0.000530	1630514
MIKKEL	2010	5	0.039190	0.145410	0.078460	0.000000	0.263060	0.000530	1630514
MIKKEL	2010	6	0.040350	0.149700	0.080130	0.000000	0.270180	0.000560	1630514
MIKKEL	2010	7	0.041870	0.155600	0.083140	0.000000	0.280610	0.000600	1630514
MIKKEL	2010	8	0.023410	0.088140	0.045820	0.000000	0.157370	0.000340	1630514
MIKKEL	2010	9	0.030790	0.113670	0.058590	0.000000	0.203050	0.000440	1630514
MIKKEL	2010	10	0.040240	0.154380	0.082210	0.000000	0.276830	0.000510	1630514
MIKKEL	2010	11	0.038420	0.148920	0.079480	0.000000	0.266820	0.000510	1630514
MIKKEL	2010	12	0.040590	0.155650	0.082760	0.000000	0.279000	0.000540	1630514
MIKKEL	2011	1	0.038040	0.151130	0.079200	0.000000	0.268370	0.000540	1630514
MIKKEL	2011	2	0.033590	0.133430	0.070540	0.000000	0.237560	0.000490	1630514
MIKKEL	2011	3	0.034270	0.133120	0.072120	0.000000	0.239500	0.000480	1630514
MIKKEL	2011	4	0.032150	0.128220	0.066060	0.000000	0.226430	0.000460	1630514
MIKKEL	2011	5	0.035620	0.145600	0.080020	0.000000	0.261250	0.000520	1630514
MIKKEL	2011	6	0.035010	0.141220	0.076180	0.000000	0.252420	0.000520	1630514
MIKKEL	2011	7	0.035850	0.145930	0.079210	0.000000	0.260990	0.000520	1630514
MIKKEL	2011	8	0.035460	0.143480	0.080380	0.000000	0.259320	0.000520	1630514
MIKKEL	2011	9	0.033790	0.137230	0.075080	0.000000	0.246100	0.000520	1630514
MIKKEL	2011	10	0.034630	0.142340	0.078470	0.000000	0.255440	0.000550	1630514
MIKKEL	2011	11	0.031460	0.128930	0.071540	0.000000	0.231940	0.000530	1630514
MIKKEL	2011	12	0.034270	0.141470	0.074420	0.000000	0.250160	0.000580	1630514
MIKKEL	2012	1	0.034270	0.145010	0.076430	0.000000	0.255700	0.000510	1630514
MIKKEL	2012	2	0.030910	0.129660	0.070860	0.000000	0.231420	0.000490	1630514
MIKKEL	2012	3	0.032200	0.136090	0.075670	0.000000	0.243960	0.000530	1630514
MIKKEL	2012	4	0.032160	0.140100	0.072730	0.000000	0.244990	0.000550	1630514
MIKKEL	2012	5	0.033100	0.143180	0.074290	0.000000	0.250570	0.000580	1630514
MIKKEL	2012	6	0.027890	0.120880	0.062030	0.000000	0.210800	0.000360	1630514
MIKKEL	2012	7	0.032970	0.145680	0.077930	0.000000	0.256580	0.000450	1630514
MIKKEL	2012	8	0.032180	0.141810	0.074110	0.000000	0.248090	0.000470	1630514
MIKKEL	2012	9	0.028250	0.127280	0.067280	0.000000	0.222800	0.000440	1630514
MIKKEL	2012	10	0.031310	0.138940	0.080100	0.000000	0.250340	0.000500	1630514
MIKKEL	2012	11	0.027510	0.122860	0.068130	0.000000	0.218490	0.000480	1630514
MIKKEL	2012	12	0.027760	0.123900	0.068200	0.000000	0.219860	0.000510	1630514
MIKKEL	2013	1	0.025360	0.115860	0.063810	0.000000	0.205030	0.000370	1630514
MIKKEL	2013	2	0.024760	0.112910	0.059140	0.000000	0.196800	0.000360	1630514
KRISTIN	2005	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1854729
KRISTIN	2005	11	0.000000	0.033000	0.013290	0.041000	0.087290	0.000750	1854729
KRISTIN	2005	12	0.000000	0.156540	0.062330	0.154050	0.372910	0.004710	1854729
KRISTIN	2006	1	0.000000	0.157260	0.068610	0.173050	0.398920	0.006870	1854729
KRISTIN	2006	2	0.000000	0.175770	0.072720	0.206600	0.455090	0.006580	1854729
KRISTIN	2006	3	0.000000	0.189220	0.079560	0.222680	0.491460	0.005300	1854729
KRISTIN	2006	4	0.000000	0.197210	0.082410	0.235980	0.515600	0.005280	1854729
KRISTIN	2006	5	0.000000	0.167280	0.068140	0.196400	0.431810	0.004400	1854729
KRISTIN	2006	6	0.000000	0.195860	0.082330	0.224210	0.502390	0.004970	1854729
KRISTIN	2006	7	0.000000	0.242130	0.105150	0.270660	0.617940	0.006610	1854729
KRISTIN	2006	8	0.000000	0.222550	0.094250	0.248150	0.564960	0.006630	1854729
KRISTIN	2006	9	0.000000	0.111620	0.047810	0.123980	0.283420	0.002930	1854729
KRISTIN	2006	10	0.356750	0.316710	0.136890	0.000000	0.810350	0.008680	1854729
KRISTIN	2006	11	0.349200	0.313090	0.138980	0.000000	0.801280	0.009410	1854729
KRISTIN	2006	12	0.363600	0.321610	0.141740	0.000000	0.826950	0.009880	1854729
KRISTIN	2007	1	0.314350	0.282030	0.118470	0.000000	0.714860	0.008290	1854729
KRISTIN	2007	2	0.325060	0.289410	0.121730	0.000000	0.736200	0.008390	1854729
KRISTIN	2007	3	0.331710	0.292020	0.126150	0.000000	0.749880	0.008840	1854729
KRISTIN	2007	4	0.358750	0.320670	0.134380	0.000000	0.813800	0.010060	1854729
KRISTIN	2007	5	0.290430	0.256900	0.106600	0.000000	0.653930	0.009190	1854729
KRISTIN	2007	6	0.292390	0.258630	0.112780	0.000000	0.663800	0.011170	1854729
KRISTIN	2007	7	0.342190	0.302410	0.129050	0.000000	0.773650	0.012720	1854729
KRISTIN	2007	8	0.301530	0.266990	0.115430	0.000000	0.683940	0.011840	1854729
KRISTIN	2007	9	0.332780	0.274290	0.116430	0.000000	0.723500	0.011200	1854729
KRISTIN	2007	10	0.474830	0.389730	0.169300	0.000000	1.033850	0.029110	1854729
KRISTIN	2007	11	0.472310	0.394260	0.170620	0.000000	1.037190	0.045240	1854729
KRISTIN	2007	12	0.441290	0.362760	0.156890	0.000000	0.960940	0.046730	1854729
KRISTIN	2008	1	0.429720	0.356030	0.152900	0.000000	0.938650	0.050500	1854729
KRISTIN	2008	2	0.367120	0.326560	0.140730	0.000000	0.834410	0.039470	1854729
KRISTIN	2008	3	0.497120	0.448950	0.188760	0.000000	1.134830	0.060430	1854729
KRISTIN	2008	4	0.424800	0.393670	0.150390	0.000000	0.968860	0.055570	1854729
KRISTIN	2008	5	0.357580	0.322180	0.135820	0.000000	0.815580	0.047020	1854729
KRISTIN	2008	6	0.446410	0.408900	0.160670	0.000000	1.015980	0.068150	1854729
KRISTIN	2008	7	0.440960	0.410010	0.163800	0.000000	1.014770	0.061100	1854729
KRISTIN	2008	8	0.414240	0.385610	0.158270	0.000000	0.958120	0.072190	1854729
KRISTIN	2008	9	0.137660	0.127360	0.050090	0.000000	0.315110	0.025280	1854729
KRISTIN	2008	10	0.285050	0.235730	0.102670	0.000000	0.623450	0.056070	1854729
KRISTIN	2008	11	0.297750	0.260400	0.112770	0.000000	0.670930	0.065230	1854729
KRISTIN	2008	12	0.299560	0.264540	0.108080	0.000000	0.672180	0.066330	1854729
KRISTIN	2009	1	0.169000	0.143230	0.062220	0.000000	0.374450	0.034870	1854729
KRISTIN	2009	2	0.281650	0.251510	0.107550	0.000000	0.640710	0.064610	1854729
KRISTIN	2009	3	0.294150	0.268340	0.114450	0.000000	0.676940	0.066450	1854729
KRISTIN	2009	4	0.247940	0.230960	0.098260	0.000000	0.577170	0.058080	1854729
KRISTIN	2009	5	0.225000	0.211260	0.091190	0.000000	0.527450	0.061610	1854729
KRISTIN	2009	6	0.215240	0.206150	0.086310	0.000000	0.507700	0.057260	1854729
KRISTIN	2009	7	0.256640	0.252650	0.108740	0.000000	0.618030	0.046690	1854729
KRISTIN	2009	8	0.236250	0.238130	0.101250	0.000000	0.575620	0.018180	1854729
KRISTIN	2009	9	0.244630	0.257940	0.106510	0.000000	0.609080	0.064670	1854729
KRISTIN	2009	10	0.238140	0.256270	0.105480	0.000000	0.599890	0.073030	1854729
KRISTIN	2009	11	0.237760	0.264060	0.105100	0.000000	0.606920	0.081990	1854729
KRISTIN	2009	12	0.217210	0.232110	0.093740	0.000000	0.543060	0.074410	1854729
KRISTIN	2010	1	0.208470	0.236350	0.096710	0.000000	0.541530	0.089330	1854729
KRISTIN	2010	2	0.180200	0.203680	0.090080	0.000000	0.473960	0.081440	1854729
KRISTIN	2010	3	0.162590	0.173780	0.070180	0.000000	0.406540	0.073790	1854729
KRISTIN	2010	4	0.159100	0.166230	0.069650	0.000000	0.394970	0.064190	1854729
KRISTIN	2010	5	0.148410	0.181460	0.075560	0.000000	0.405440	0.050720	1854729
KRISTIN	2010	6	0.143440	0.185270	0.079900	0.000000	0.408610	0.082220	1854729
KRISTIN	2010	7	0.150410	0.197390	0.085460	0.000000	0.433260	0.091390	1854729
KRISTIN	2010	8	0.087220	0.115210	0.048460	0.000000	0.250900	0.048560	1854729
KRISTIN	2010	9	0.131340	0.146260	0.056920	0.000000	0.334530	0.057850	1854729
KRISTIN	2010	10	0.150520	0.204880	0.081810	0.000000	0.437200	0.093080	1854729
KRISTIN	2010	11	0.124360	0.183220	0.073850	0.000000	0.381420	0.090390	1854729
KRISTIN	2010	12	0.104140	0.123390	0.053860	0.000000	0.281390	0.068280	1854729
KRISTIN	2011	1	0.115840	0.209600	0.088090	0.000000	0.413530	0.108510	1854729
KRISTIN	2011	2	0.075230	0.164710	0.070680	0.000000	0.310620	0.091950	1854729
KRISTIN	2011	3	0.067030	0.137850	0.062930	0.000000	0.267810	0.097260	1854729
KRISTIN	2011	4	0.131710	0.155730	0.066740	0.000000	0.354180	0.093410	1854729
KRISTIN	2011	5	0.154760	0.197750	0.090480	0.000000	0.442990	0.120120	1854729
KRISTIN	2011	6	0.128220	0.173270	0.079440	0.000000	0.380930	0.107760	1854729
KRISTIN	2011	7	0.140740	0.171790	0.082930	0.000000	0.395470	0.107170	1854729
KRISTIN	2011	8	0.122510	0.145530	0.072010	0.000000	0.340040	0.094050	1854729
KRISTIN	2011	9	0.126450	0.176020	0.078110	0.000000	0.380580	0.109230	1854729
KRISTIN	2011	10	0.130150	0.169590	0.076960	0.000000	0.376700	0.111230	1854729
KRISTIN	2011	11	0.110270	0.141550	0.065190	0.000000	0.317000	0.096080	1854729
KRISTIN	2011	12	0.108440	0.137320	0.057780	0.000000	0.303540	0.093930	1854729
KRISTIN	2012	1	0.112000	0.154860	0.063500	0.000000	0.330360	0.106510	1854729
KRISTIN	2012	2	0.093060	0.139920	0.057980	0.000000	0.290960	0.099700	1854729
KRISTIN	2012	3	0.106410	0.148300	0.066600	0.000000	0.321310	0.106670	1854729
KRISTIN	2012	4	0.111250	0.149310	0.063360	0.000000	0.323910	0.091170	1854729
KRISTIN	2012	5	0.105560	0.138240	0.058670	0.000000	0.302470	0.090860	1854729
KRISTIN	2012	6	0.088840	0.128760	0.047070	0.000000	0.264670	0.079650	1854729
KRISTIN	2012	7	0.098350	0.137800	0.057250	0.000000	0.293400	0.090690	1854729
KRISTIN	2012	8	0.095810	0.139140	0.057380	0.000000	0.292330	0.091950	1854729
KRISTIN	2012	9	0.068020	0.109110	0.043770	0.000000	0.220910	0.072680	1854729
KRISTIN	2012	10	0.073540	0.128080	0.057200	0.000000	0.258820	0.097690	1854729
KRISTIN	2012	11	0.089380	0.127520	0.052940	0.000000	0.269840	0.092090	1854729
KRISTIN	2012	12	0.097020	0.132680	0.049040	0.000000	0.278740	0.098670	1854729
KRISTIN	2013	1	0.089870	0.122810	0.046800	0.000000	0.259480	0.093810	1854729
KRISTIN	2013	2	0.081300	0.105490	0.037110	0.000000	0.223900	0.078990	1854729
SNØHVIT	2007	8	0.000000	0.000000	0.000000	0.012550	0.012550	0.000000	2053062
SNØHVIT	2007	9	0.000000	0.019370	0.000000	0.040760	0.060130	0.000000	2053062
SNØHVIT	2007	10	0.000000	0.080210	0.008170	0.041150	0.129520	0.000000	2053062
SNØHVIT	2007	11	0.000000	0.045120	0.005900	0.016370	0.067390	0.000000	2053062
SNØHVIT	2007	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2053062
SNØHVIT	2008	1	0.000000	0.032190	0.002940	0.012180	0.047300	0.000000	2053062
SNØHVIT	2008	2	0.000000	0.218600	0.024780	0.053250	0.296630	0.000000	2053062
SNØHVIT	2008	3	0.000000	0.127830	0.012930	0.032070	0.172830	0.000000	2053062
SNØHVIT	2008	4	0.000000	0.134360	0.019050	0.033870	0.187280	0.000000	2053062
SNØHVIT	2008	5	0.000000	0.063560	0.007910	0.016050	0.087520	0.000000	2053062
SNØHVIT	2008	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2053062
SNØHVIT	2008	7	0.000000	0.170310	0.018770	0.039000	0.228080	0.000000	2053062
SNØHVIT	2008	8	0.000000	0.313630	0.033900	0.067960	0.415480	0.000000	2053062
SNØHVIT	2008	9	0.000000	0.389430	0.039120	0.077930	0.506480	0.000000	2053062
SNØHVIT	2008	10	0.000000	0.048220	0.005410	0.011490	0.065120	0.000000	2053062
SNØHVIT	2008	11	0.000000	0.423620	0.041700	0.081350	0.546670	0.000000	2053062
SNØHVIT	2008	12	0.000000	0.433380	0.040470	0.081160	0.555010	0.000000	2053062
SNØHVIT	2009	1	0.000000	0.341280	0.033920	0.063510	0.438700	0.000000	2053062
SNØHVIT	2009	2	0.000000	0.429850	0.042960	0.078130	0.550940	0.000000	2053062
SNØHVIT	2009	3	0.000000	0.494150	0.047520	0.087200	0.628860	0.000000	2053062
SNØHVIT	2009	4	0.000000	0.366760	0.035680	0.064060	0.466500	0.000000	2053062
SNØHVIT	2009	5	0.000000	0.372100	0.038190	0.068090	0.478370	0.000000	2053062
SNØHVIT	2009	6	0.000000	0.417770	0.038330	0.073520	0.529630	0.000000	2053062
SNØHVIT	2009	7	0.000000	0.497650	0.045820	0.087030	0.630500	0.000000	2053062
SNØHVIT	2009	8	0.000000	0.218920	0.021430	0.038910	0.279270	0.000000	2053062
SNØHVIT	2009	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2053062
SNØHVIT	2009	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2053062
SNØHVIT	2009	11	0.000000	0.000000	0.000000	0.000400	0.000400	0.000000	2053062
SNØHVIT	2009	12	0.000000	0.194150	0.021260	0.037770	0.253190	0.000000	2053062
SNØHVIT	2010	1	0.000000	0.504620	0.051790	0.085830	0.642240	0.000000	2053062
SNØHVIT	2010	2	0.000000	0.405030	0.039990	0.068540	0.513550	0.000000	2053062
SNØHVIT	2010	3	0.000000	0.482020	0.047340	0.081210	0.610580	0.000000	2053062
SNØHVIT	2010	4	0.000000	0.442760	0.041190	0.072960	0.556900	0.000000	2053062
SNØHVIT	2010	5	0.000000	0.194640	0.016790	0.032210	0.243640	0.000000	2053062
SNØHVIT	2010	6	0.000000	0.509420	0.044440	0.086240	0.640100	0.000000	2053062
SNØHVIT	2010	7	0.000000	0.488260	0.043730	0.082160	0.614150	0.000000	2053062
SNØHVIT	2010	8	0.000000	0.352790	0.033230	0.061310	0.447330	0.000000	2053062
SNØHVIT	2010	9	0.000000	0.274900	0.025480	0.047800	0.348180	0.000000	2053062
SNØHVIT	2010	10	0.000000	0.537460	0.050160	0.088660	0.676270	0.000000	2053062
SNØHVIT	2010	11	0.000000	0.494130	0.047100	0.081500	0.622720	0.000000	2053062
SNØHVIT	2010	12	0.000000	0.313440	0.030350	0.053400	0.397180	0.000000	2053062
SNØHVIT	2011	1	0.000000	0.284540	0.029170	0.050340	0.364050	0.000000	2053062
SNØHVIT	2011	2	0.000000	0.495000	0.046400	0.080360	0.621760	0.000000	2053062
SNØHVIT	2011	3	0.000000	0.554430	0.051810	0.091360	0.697590	0.000000	2053062
SNØHVIT	2011	4	0.000000	0.494030	0.047730	0.084460	0.626220	0.000000	2053062
SNØHVIT	2011	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2053062
SNØHVIT	2011	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2053062
SNØHVIT	2011	7	0.000000	0.220720	0.020060	0.039630	0.280410	0.000000	2053062
SNØHVIT	2011	8	0.000000	0.549310	0.050990	0.088820	0.689130	0.000000	2053062
SNØHVIT	2011	9	0.000000	0.453200	0.042650	0.076220	0.572070	0.000000	2053062
SNØHVIT	2011	10	0.000000	0.187770	0.018970	0.032310	0.239050	0.000000	2053062
SNØHVIT	2011	11	0.000000	0.525610	0.046990	0.085590	0.658200	0.000000	2053062
SNØHVIT	2011	12	0.000000	0.550250	0.049630	0.088450	0.688340	0.000000	2053062
SNØHVIT	2012	1	0.000000	0.366930	0.033890	0.060680	0.461500	0.000000	2053062
SNØHVIT	2012	2	0.000000	0.446910	0.042420	0.073050	0.562390	0.000000	2053062
SNØHVIT	2012	3	0.000000	0.534190	0.049600	0.085070	0.668870	0.000000	2053062
SNØHVIT	2012	4	0.000000	0.450070	0.042510	0.076540	0.569120	0.000000	2053062
SNØHVIT	2012	5	0.000000	0.186400	0.018030	0.031530	0.235960	0.000000	2053062
SNØHVIT	2012	6	0.000000	0.363220	0.034300	0.063230	0.460750	0.000000	2053062
SNØHVIT	2012	7	0.000000	0.124270	0.012200	0.022100	0.158570	0.000000	2053062
SNØHVIT	2012	8	0.000000	0.461830	0.041680	0.077220	0.580740	0.000000	2053062
SNØHVIT	2012	9	0.000000	0.463880	0.039780	0.074130	0.577800	0.000000	2053062
SNØHVIT	2012	10	0.000000	0.506660	0.047580	0.083020	0.637260	0.000000	2053062
SNØHVIT	2012	11	0.000000	0.302690	0.028530	0.052370	0.383590	0.000000	2053062
SNØHVIT	2012	12	0.000000	0.444300	0.039140	0.071750	0.555190	0.000000	2053062
SNØHVIT	2013	1	0.000000	0.391220	0.036740	0.062620	0.490590	0.000000	2053062
SNØHVIT	2013	2	0.000000	0.000000	0.000000	0.000010	0.000010	0.000000	2053062
SKIRNE	2004	3	0.010520	0.026860	0.000000	0.000000	0.037380	0.000000	2138816
SKIRNE	2004	4	0.021430	0.057570	0.000000	0.000000	0.079000	0.000000	2138816
SKIRNE	2004	5	0.023700	0.064750	0.000000	0.000000	0.088450	0.000000	2138816
SKIRNE	2004	6	0.022960	0.059580	0.000000	0.000000	0.082530	0.000000	2138816
SKIRNE	2004	7	0.027080	0.085310	0.000000	0.000000	0.112380	0.000000	2138816
SKIRNE	2004	8	0.014840	0.029650	0.000000	0.000000	0.044490	0.000000	2138816
SKIRNE	2004	9	0.013160	0.057510	0.000000	0.000000	0.070670	0.000000	2138816
SKIRNE	2004	10	0.029920	0.091230	0.000000	0.000000	0.121150	0.000000	2138816
SKIRNE	2004	11	0.027160	0.072570	0.000000	0.000000	0.099730	0.000000	2138816
SKIRNE	2004	12	0.025220	0.111750	0.000000	0.000000	0.136960	0.000000	2138816
SKIRNE	2005	1	0.030930	0.118820	0.000000	0.000000	0.149750	0.000000	2138816
SKIRNE	2005	2	0.028000	0.105510	0.000000	0.000000	0.133510	0.000000	2138816
SKIRNE	2005	3	0.033140	0.131710	0.000000	0.000000	0.164850	0.000000	2138816
SKIRNE	2005	4	0.030820	0.125190	0.000000	0.000000	0.156010	0.000000	2138816
SKIRNE	2005	5	0.033290	0.139660	0.000000	0.000000	0.172940	0.000000	2138816
SKIRNE	2005	6	0.007210	0.013660	0.000000	0.000000	0.020870	0.000000	2138816
SKIRNE	2005	7	0.023080	0.089540	0.000000	0.000000	0.112620	0.000000	2138816
SKIRNE	2005	8	0.026470	0.119070	0.000000	0.000000	0.145530	0.000000	2138816
SKIRNE	2005	9	0.024560	0.092260	0.000000	0.000000	0.116830	0.000000	2138816
SKIRNE	2005	10	0.020690	0.090010	0.000000	0.000000	0.110700	0.000000	2138816
SKIRNE	2005	11	0.022530	0.103420	0.000000	0.000000	0.125940	0.000000	2138816
SKIRNE	2005	12	0.016200	0.067700	0.000000	0.000000	0.083900	0.000000	2138816
SKIRNE	2006	1	0.023970	0.111140	0.000000	0.000000	0.135110	0.000000	2138816
SKIRNE	2006	2	0.018440	0.083550	0.000000	0.000000	0.101990	0.000000	2138816
SKIRNE	2006	3	0.021190	0.089430	0.000000	0.000000	0.110610	0.000000	2138816
SKIRNE	2006	4	0.026740	0.104170	0.000000	0.000000	0.130910	0.000000	2138816
SKIRNE	2006	5	0.023070	0.112310	0.000000	0.000000	0.135380	0.000000	2138816
SKIRNE	2006	6	0.019630	0.098580	0.000000	0.000000	0.118210	0.000000	2138816
SKIRNE	2006	7	0.023070	0.110170	0.000000	0.000000	0.133240	0.000000	2138816
SKIRNE	2006	8	0.019670	0.089970	0.000000	0.000000	0.109650	0.000000	2138816
SKIRNE	2006	9	0.024710	0.114960	0.000000	0.000000	0.139660	0.000000	2138816
SKIRNE	2006	10	0.024850	0.120590	0.000000	0.000000	0.145440	0.000000	2138816
SKIRNE	2006	11	0.022780	0.123340	0.000000	0.000000	0.146120	0.000000	2138816
SKIRNE	2006	12	0.023310	0.118430	0.000000	0.000000	0.141740	0.000000	2138816
SKIRNE	2007	1	0.015500	0.078670	0.000000	0.000000	0.094170	0.000000	2138816
SKIRNE	2007	2	0.018820	0.100720	0.000000	0.000000	0.119540	0.000000	2138816
SKIRNE	2007	3	0.012850	0.065420	0.000000	0.000000	0.078270	0.000000	2138816
SKIRNE	2007	4	0.022600	0.105270	0.000000	0.000000	0.127870	0.000000	2138816
SKIRNE	2007	5	0.016750	0.050030	0.000000	0.000000	0.066790	0.000000	2138816
SKIRNE	2007	6	0.005580	0.036820	0.000000	0.000000	0.042400	0.000000	2138816
SKIRNE	2007	7	0.009470	0.055150	0.000000	0.000000	0.064620	0.000000	2138816
SKIRNE	2007	8	0.022480	0.105000	0.000000	0.000000	0.127480	0.000000	2138816
SKIRNE	2007	9	0.023240	0.104500	0.000000	0.000000	0.127740	0.000000	2138816
SKIRNE	2007	10	0.022190	0.102780	0.000000	0.000000	0.124970	0.000000	2138816
SKIRNE	2007	11	0.020160	0.105270	0.000000	0.000000	0.125420	0.000000	2138816
SKIRNE	2007	12	0.022800	0.113320	0.000000	0.000000	0.136120	0.000000	2138816
SKIRNE	2008	1	0.022740	0.116500	0.000000	0.000000	0.139250	0.000000	2138816
SKIRNE	2008	2	0.020390	0.111250	0.000000	0.000000	0.131640	0.000000	2138816
SKIRNE	2008	3	0.014680	0.075530	0.000000	0.000000	0.090210	0.000000	2138816
SKIRNE	2008	4	0.014580	0.089100	0.000000	0.000000	0.103690	0.000000	2138816
SKIRNE	2008	5	0.016740	0.095190	0.000000	0.000000	0.111920	0.000000	2138816
SKIRNE	2008	6	0.016010	0.081370	0.000000	0.000000	0.097380	0.000000	2138816
SKIRNE	2008	7	0.018490	0.079110	0.000000	0.000000	0.097600	0.000000	2138816
SKIRNE	2008	8	0.007820	0.031970	0.000000	0.000000	0.039780	0.000000	2138816
SKIRNE	2008	9	0.012850	0.080700	0.000000	0.000000	0.093560	0.000000	2138816
SKIRNE	2008	10	0.015140	0.117010	0.000000	0.000000	0.132150	0.000000	2138816
SKIRNE	2008	11	0.020080	0.110790	0.000000	0.000000	0.130870	0.000000	2138816
SKIRNE	2008	12	0.019280	0.119880	0.000000	0.000000	0.139150	0.000000	2138816
SKIRNE	2009	1	0.018600	0.106640	0.000000	0.000000	0.125240	0.000000	2138816
SKIRNE	2009	2	0.015400	0.090510	0.000000	0.000000	0.105910	0.000000	2138816
SKIRNE	2009	3	0.018750	0.111570	0.000000	0.000000	0.130320	0.000000	2138816
SKIRNE	2009	4	0.019650	0.110290	0.000000	0.000000	0.129940	0.000000	2138816
SKIRNE	2009	5	0.018210	0.116570	0.000000	0.000000	0.134780	0.000000	2138816
SKIRNE	2009	6	0.009130	0.044340	0.000000	0.000000	0.053470	0.000000	2138816
SKIRNE	2009	7	0.015840	0.104960	0.000000	0.000000	0.120810	0.000000	2138816
SKIRNE	2009	8	0.017940	0.103370	0.000000	0.000000	0.121310	0.000000	2138816
SKIRNE	2009	9	0.018860	0.104780	0.000000	0.000000	0.123640	0.000000	2138816
SKIRNE	2009	10	0.019410	0.105430	0.000000	0.000000	0.124840	0.000000	2138816
SKIRNE	2009	11	0.016460	0.103220	0.000000	0.000000	0.119680	0.000000	2138816
SKIRNE	2009	12	0.017400	0.102150	0.000000	0.000000	0.119540	0.000000	2138816
SKIRNE	2010	1	0.014920	0.091510	0.000000	0.000000	0.106430	0.000000	2138816
SKIRNE	2010	2	0.014200	0.090300	0.000000	0.000000	0.104500	0.000000	2138816
SKIRNE	2010	3	0.015770	0.098080	0.000000	0.000000	0.113850	0.000000	2138816
SKIRNE	2010	4	0.013540	0.089210	0.000000	0.000000	0.102760	0.000000	2138816
SKIRNE	2010	5	0.011710	0.070470	0.000000	0.000000	0.082170	0.000000	2138816
SKIRNE	2010	6	0.009560	0.074010	0.000000	0.000000	0.083580	0.000000	2138816
SKIRNE	2010	7	0.013540	0.097330	0.000000	0.000000	0.110870	0.000000	2138816
SKIRNE	2010	8	0.014210	0.091640	0.000000	0.000000	0.105850	0.000000	2138816
SKIRNE	2010	9	0.013840	0.088850	0.000000	0.000000	0.102690	0.000000	2138816
SKIRNE	2010	10	0.010320	0.068000	0.000000	0.000000	0.078320	0.000000	2138816
SKIRNE	2010	11	0.014600	0.089100	0.000000	0.000000	0.103700	0.000000	2138816
SKIRNE	2010	12	0.008270	0.053300	0.000000	0.000000	0.061570	0.000000	2138816
SKIRNE	2011	1	0.011500	0.089210	0.000000	0.000000	0.100710	0.000000	2138816
SKIRNE	2011	2	0.007950	0.053140	0.000000	0.000000	0.061090	0.000000	2138816
SKIRNE	2011	3	0.012680	0.081550	0.000000	0.000000	0.094220	0.000000	2138816
SKIRNE	2011	4	0.010470	0.082010	0.000000	0.000000	0.092490	0.000000	2138816
SKIRNE	2011	5	0.010540	0.038570	0.000000	0.000000	0.049110	0.000000	2138816
SKIRNE	2011	6	0.001860	0.041550	0.000000	0.000000	0.043410	0.000000	2138816
SKIRNE	2011	7	0.011000	0.074610	0.000000	0.000000	0.085610	0.000000	2138816
SKIRNE	2011	8	0.005970	0.066990	0.000000	0.000000	0.072950	0.000000	2138816
SKIRNE	2011	9	0.007340	0.055790	0.000000	0.000000	0.063130	0.000000	2138816
SKIRNE	2011	10	0.011170	0.078650	0.000000	0.000000	0.089820	0.000000	2138816
SKIRNE	2011	11	0.013280	0.070770	0.000000	0.000000	0.084060	0.000000	2138816
SKIRNE	2011	12	0.008300	0.062390	0.000000	0.000000	0.070690	0.000000	2138816
SKIRNE	2012	1	0.014040	0.066430	0.000000	0.000000	0.080460	0.000000	2138816
SKIRNE	2012	2	0.003910	0.036870	0.000000	0.000000	0.040790	0.000000	2138816
SKIRNE	2012	3	0.002640	0.038600	0.000000	0.000000	0.041240	0.000000	2138816
SKIRNE	2012	4	0.010500	0.069930	0.000000	0.000000	0.080430	0.000000	2138816
SKIRNE	2012	5	0.006930	0.044540	0.000000	0.000000	0.051460	0.000000	2138816
SKIRNE	2012	6	0.004820	0.048470	0.000000	0.000000	0.053280	0.000000	2138816
SKIRNE	2012	7	0.012260	0.061160	0.000000	0.000000	0.073420	0.000000	2138816
SKIRNE	2012	8	0.009140	0.063700	0.000000	0.000000	0.072840	0.000000	2138816
SKIRNE	2012	9	0.001820	0.011390	0.000000	0.000000	0.013210	0.000000	2138816
SKIRNE	2012	10	0.004960	0.036540	0.000000	0.000000	0.041500	0.000000	2138816
SKIRNE	2012	11	0.004990	0.051490	0.000000	0.000000	0.056480	0.000000	2138816
SKIRNE	2012	12	0.005000	0.083670	0.000000	0.000000	0.088670	0.000000	2138816
SKIRNE	2013	1	0.006400	0.059250	0.000000	0.000000	0.065650	0.000000	2138816
SKIRNE	2013	2	0.000800	0.031130	0.000000	0.000000	0.031930	0.000000	2138816
ORMEN LANGE	2007	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2762452
ORMEN LANGE	2007	9	0.000000	0.074630	0.000000	0.000000	0.074630	0.000000	2762452
ORMEN LANGE	2007	10	0.000000	0.367650	0.000000	0.031300	0.398960	0.001530	2762452
ORMEN LANGE	2007	11	0.000000	0.618910	0.000000	0.054980	0.673890	0.000000	2762452
ORMEN LANGE	2007	12	0.000000	0.609270	0.000000	0.048250	0.657510	0.000000	2762452
ORMEN LANGE	2008	1	0.000000	0.767780	0.000000	0.058620	0.826400	0.000000	2762452
ORMEN LANGE	2008	2	0.000000	0.759800	0.000000	0.066650	0.826450	0.000000	2762452
ORMEN LANGE	2008	3	0.000000	0.758110	0.000000	0.066040	0.824160	0.000000	2762452
ORMEN LANGE	2008	4	0.000000	0.824060	0.000000	0.076020	0.900080	0.000000	2762452
ORMEN LANGE	2008	5	0.000000	0.871130	0.000000	0.070350	0.941470	0.000000	2762452
ORMEN LANGE	2008	6	0.000000	0.779360	0.000000	0.068350	0.847710	0.000000	2762452
ORMEN LANGE	2008	7	0.000000	0.930430	0.000000	0.078020	1.008460	0.000000	2762452
ORMEN LANGE	2008	8	0.000000	0.930560	0.000000	0.080350	1.010910	0.000000	2762452
ORMEN LANGE	2008	9	0.000000	0.793940	0.000000	0.070670	0.864610	0.000000	2762452
ORMEN LANGE	2008	10	0.000000	0.973430	0.000000	0.077370	1.050800	0.000000	2762452
ORMEN LANGE	2008	11	0.000000	1.425000	0.000000	0.120120	1.545120	0.000000	2762452
ORMEN LANGE	2008	12	0.000000	1.623490	0.000000	0.134930	1.758420	0.000000	2762452
ORMEN LANGE	2009	1	0.000000	1.733240	0.000000	0.135760	1.868990	0.000000	2762452
ORMEN LANGE	2009	2	0.000000	1.627880	0.000000	0.135140	1.763020	0.000000	2762452
ORMEN LANGE	2009	3	0.000000	1.690350	0.000000	0.131400	1.821760	0.000000	2762452
ORMEN LANGE	2009	4	0.000000	1.670870	0.000000	0.129410	1.800280	0.000000	2762452
ORMEN LANGE	2009	5	0.000000	1.741210	0.000000	0.137540	1.878750	0.000000	2762452
ORMEN LANGE	2009	6	0.000000	1.505870	0.000000	0.117390	1.623260	0.000000	2762452
ORMEN LANGE	2009	7	0.000000	1.605770	0.000000	0.119660	1.725420	0.000000	2762452
ORMEN LANGE	2009	8	0.000000	1.527460	0.000000	0.162660	1.690130	0.000000	2762452
ORMEN LANGE	2009	9	0.000000	1.586770	0.000000	0.116340	1.703110	0.000000	2762452
ORMEN LANGE	2009	10	0.000000	1.929670	0.000000	0.145280	2.074950	0.000000	2762452
ORMEN LANGE	2009	11	0.000000	2.031100	0.000000	0.152900	2.184000	0.000000	2762452
ORMEN LANGE	2009	12	0.000000	2.131490	0.000000	0.162300	2.293790	0.000000	2762452
ORMEN LANGE	2010	1	0.000000	1.800510	0.000000	0.123100	1.923610	0.000000	2762452
ORMEN LANGE	2010	2	0.000000	1.867880	0.000000	0.158540	2.026420	0.000000	2762452
ORMEN LANGE	2010	3	0.000000	1.874860	0.000000	0.128990	2.003850	0.000000	2762452
ORMEN LANGE	2010	4	0.000000	1.993820	0.000000	0.150340	2.144160	0.000000	2762452
ORMEN LANGE	2010	5	0.000000	1.860190	0.000000	0.136820	1.997010	0.000000	2762452
ORMEN LANGE	2010	6	0.000000	1.770590	0.000000	0.125220	1.895820	0.000000	2762452
ORMEN LANGE	2010	7	0.000000	1.050210	0.000000	0.065160	1.115370	0.000000	2762452
ORMEN LANGE	2010	8	0.000000	0.945460	0.000000	0.070700	1.016150	0.000000	2762452
ORMEN LANGE	2010	9	0.000000	1.484070	0.000000	0.097230	1.581300	0.000000	2762452
ORMEN LANGE	2010	10	0.000000	2.080810	0.000000	0.160710	2.241530	0.000000	2762452
ORMEN LANGE	2010	11	0.000000	2.057110	0.000000	0.151140	2.208250	0.000000	2762452
ORMEN LANGE	2010	12	0.000000	2.065070	0.000000	0.161460	2.226530	0.000000	2762452
ORMEN LANGE	2011	1	0.000000	1.998000	0.000000	0.144980	2.142990	0.000000	2762452
ORMEN LANGE	2011	2	0.000000	1.756160	0.000000	0.130250	1.886410	0.000000	2762452
ORMEN LANGE	2011	3	0.000000	1.949010	0.000000	0.148760	2.097770	0.000000	2762452
ORMEN LANGE	2011	4	0.000000	1.809090	0.000000	0.159120	1.968210	0.000000	2762452
ORMEN LANGE	2011	5	0.000000	1.881090	0.000000	0.138400	2.019490	0.000000	2762452
ORMEN LANGE	2011	6	0.000000	0.727420	0.000000	0.062210	0.789640	0.000000	2762452
ORMEN LANGE	2011	7	0.000000	1.773430	0.000000	0.119260	1.892690	0.000000	2762452
ORMEN LANGE	2011	8	0.000000	2.095730	0.000000	0.162600	2.258330	0.000000	2762452
ORMEN LANGE	2011	9	0.000000	2.007940	0.000000	0.156210	2.164160	0.000000	2762452
ORMEN LANGE	2011	10	0.000000	1.987970	0.000000	0.150750	2.138720	0.000000	2762452
ORMEN LANGE	2011	11	0.000000	2.036830	0.000000	0.169540	2.206370	0.000000	2762452
ORMEN LANGE	2011	12	0.000000	1.716400	0.000000	0.112160	1.828550	0.000000	2762452
ORMEN LANGE	2012	1	0.000000	2.014540	0.000000	0.164310	2.178850	0.000000	2762452
ORMEN LANGE	2012	2	0.000000	1.931010	0.000000	0.144130	2.075140	0.000000	2762452
ORMEN LANGE	2012	3	0.000000	1.965880	0.000000	0.147310	2.113190	0.000000	2762452
ORMEN LANGE	2012	4	0.000000	1.864230	0.000000	0.147060	2.011290	0.000000	2762452
ORMEN LANGE	2012	5	0.000000	1.513010	0.000000	0.140560	1.653570	0.000000	2762452
ORMEN LANGE	2012	6	0.000000	1.905690	0.000000	0.158090	2.063780	0.000000	2762452
ORMEN LANGE	2012	7	0.000000	1.960270	0.000000	0.143290	2.103560	0.000000	2762452
ORMEN LANGE	2012	8	0.000000	1.797190	0.000000	0.124880	1.922070	0.000000	2762452
ORMEN LANGE	2012	9	0.000000	1.874100	0.000000	0.129970	2.004070	0.000000	2762452
ORMEN LANGE	2012	10	0.000000	1.712920	0.000000	0.128400	1.841330	0.000000	2762452
ORMEN LANGE	2012	11	0.000000	1.865050	0.000000	0.153610	2.018660	0.000000	2762452
ORMEN LANGE	2012	12	0.000000	1.799380	0.000000	0.151980	1.951360	0.000000	2762452
ORMEN LANGE	2013	1	0.000000	1.954590	0.000000	0.146130	2.100720	0.000000	2762452
ORMEN LANGE	2013	2	0.000000	1.775300	0.000000	0.124900	1.900190	0.000000	2762452
URD	2005	11	0.058500	0.005980	0.001350	0.000000	0.065840	0.000000	2834734
URD	2005	12	0.132620	0.005390	0.001250	0.000000	0.139260	0.000000	2834734
URD	2006	1	0.162140	0.006280	0.001690	0.000000	0.170110	0.006280	2834734
URD	2006	2	0.206020	0.010340	0.002880	0.000000	0.219250	0.009920	2834734
URD	2006	3	0.195940	0.009240	0.002410	0.000000	0.207590	0.026880	2834734
URD	2006	4	0.154340	0.005530	0.001430	0.000000	0.161300	0.027020	2834734
URD	2006	5	0.176980	0.008280	0.002160	0.000000	0.187420	0.017910	2834734
URD	2006	6	0.139610	0.006830	0.001840	0.000000	0.148280	0.028970	2834734
URD	2006	7	0.211500	0.008930	0.002460	0.000000	0.222890	0.030420	2834734
URD	2006	8	0.204630	0.007970	0.002020	0.000000	0.214620	0.034310	2834734
URD	2006	9	0.189310	0.000760	0.000200	0.000000	0.190260	0.035690	2834734
URD	2006	10	0.169400	0.001570	0.000340	0.000000	0.171300	0.044230	2834734
URD	2006	11	0.128890	0.003340	0.000780	0.000000	0.133020	0.039310	2834734
URD	2006	12	0.105930	0.000030	0.000010	0.000000	0.105970	0.049800	2834734
URD	2007	1	0.000910	0.000000	0.000000	0.000000	0.000910	0.001370	2834734
URD	2007	2	0.037330	0.001340	0.000340	0.000000	0.039010	0.023610	2834734
URD	2007	3	0.125730	0.004590	0.001150	0.000000	0.131470	0.053270	2834734
URD	2007	4	0.121290	0.003410	0.000810	0.000000	0.125500	0.055280	2834734
URD	2007	5	0.108010	0.003700	0.000910	0.000000	0.112620	0.060370	2834734
URD	2007	6	0.090570	0.002890	0.000730	0.000000	0.094180	0.058490	2834734
URD	2007	7	0.078640	0.002600	0.000680	0.000000	0.081920	0.051690	2834734
URD	2007	8	0.083670	0.002550	0.000690	0.000000	0.086900	0.055550	2834734
URD	2007	9	0.070780	0.001940	0.000530	0.000000	0.073250	0.050620	2834734
URD	2007	10	0.041560	0.000000	0.000000	0.000000	0.041560	0.023990	2834734
URD	2007	11	0.036240	0.005310	0.001570	0.000000	0.043110	0.047420	2834734
URD	2007	12	0.051390	0.003340	0.000960	0.000000	0.055690	0.044870	2834734
URD	2008	1	0.057590	0.002580	0.000700	0.000000	0.060880	0.043450	2834734
URD	2008	2	0.049040	0.002170	0.000620	0.000000	0.051830	0.038090	2834734
URD	2008	3	0.051870	0.001330	0.000370	0.000000	0.053570	0.045220	2834734
URD	2008	4	0.035690	0.002700	0.000700	0.000000	0.039090	0.044080	2834734
URD	2008	5	0.035970	0.003920	0.001100	0.000000	0.040990	0.046210	2834734
URD	2008	6	0.043410	0.002480	0.000650	0.000000	0.046550	0.046640	2834734
URD	2008	7	0.019730	0.001320	0.000340	0.000000	0.021390	0.020110	2834734
URD	2008	8	0.007440	0.000190	0.000050	0.000000	0.007670	0.008090	2834734
URD	2008	9	0.046410	0.000900	0.000230	0.000000	0.047540	0.047230	2834734
URD	2008	10	0.052870	0.000890	0.000240	0.000000	0.054010	0.051140	2834734
URD	2008	11	0.058230	0.001250	0.000330	0.000000	0.059800	0.055840	2834734
URD	2008	12	0.052200	0.000910	0.000230	0.000000	0.053340	0.047630	2834734
URD	2009	1	0.046470	0.000400	0.000110	0.000000	0.046970	0.036200	2834734
URD	2009	2	0.041770	0.000460	0.000120	0.000000	0.042350	0.032730	2834734
URD	2009	3	0.023310	0.000210	0.000060	0.000000	0.023580	0.020000	2834734
URD	2009	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2834734
URD	2009	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2834734
URD	2009	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2834734
URD	2009	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	2834734
URD	2009	8	0.059130	0.002050	0.000570	0.000000	0.061760	0.071000	2834734
URD	2009	9	0.048180	0.001200	0.000320	0.000000	0.049700	0.071950	2834734
URD	2009	10	0.053880	0.000790	0.000210	0.000000	0.054880	0.061530	2834734
URD	2009	11	0.046400	0.000740	0.000200	0.000000	0.047340	0.055520	2834734
URD	2009	12	0.044180	0.000670	0.000190	0.000000	0.045040	0.052280	2834734
URD	2010	1	0.037470	0.000510	0.000130	0.000000	0.038110	0.058380	2834734
URD	2010	2	0.040020	0.000610	0.000170	0.000000	0.040800	0.095640	2834734
URD	2010	3	0.043720	0.000790	0.000220	0.000000	0.044720	0.099230	2834734
URD	2010	4	0.040620	0.000070	0.000020	0.000000	0.040710	0.102030	2834734
URD	2010	5	0.036950	0.000480	0.000130	0.000000	0.037560	0.094540	2834734
URD	2010	6	0.040110	0.000140	0.000040	0.000000	0.040290	0.049610	2834734
URD	2010	7	0.039770	0.000000	0.000000	0.000000	0.039770	0.050140	2834734
URD	2010	8	0.017900	0.000010	0.000000	0.000000	0.017910	0.020990	2834734
URD	2010	9	0.020050	0.000130	0.000030	0.000000	0.020210	0.028030	2834734
URD	2010	10	0.024660	0.000000	0.000000	0.000000	0.024660	0.028520	2834734
URD	2010	11	0.035070	0.000180	0.000050	0.000000	0.035300	0.054610	2834734
URD	2010	12	0.037770	0.000000	0.000000	0.000000	0.037770	0.053850	2834734
URD	2011	1	0.032900	0.000090	0.000020	0.000000	0.033000	0.050520	2834734
URD	2011	2	0.030030	0.000260	0.000070	0.000000	0.030370	0.045230	2834734
URD	2011	3	0.033180	0.000090	0.000030	0.000000	0.033300	0.048860	2834734
URD	2011	4	0.018550	0.000000	0.000000	0.000000	0.018550	0.032140	2834734
URD	2011	5	0.003910	0.000000	0.000000	0.000000	0.003910	0.006620	2834734
URD	2011	6	0.023380	0.000060	0.000020	0.000000	0.023450	0.047090	2834734
URD	2011	7	0.028460	0.000370	0.000110	0.000000	0.028930	0.050450	2834734
URD	2011	8	0.032040	0.000190	0.000060	0.000000	0.032290	0.052120	2834734
URD	2011	9	0.024210	0.000100	0.000030	0.000000	0.024330	0.056140	2834734
URD	2011	10	0.031220	0.000320	0.000090	0.000000	0.031630	0.066840	2834734
URD	2011	11	0.030850	0.000120	0.000040	0.000000	0.031010	0.071620	2834734
URD	2011	12	0.025480	0.000000	0.000000	0.000000	0.025480	0.052970	2834734
URD	2012	1	0.028210	0.000000	0.000000	0.000000	0.028210	0.091710	2834734
URD	2012	2	0.030490	0.000000	0.000000	0.000000	0.030490	0.065930	2834734
URD	2012	3	0.026250	0.001360	0.000400	0.000000	0.028010	0.041280	2834734
URD	2012	4	0.029140	0.000080	0.000020	0.000000	0.029250	0.087590	2834734
URD	2012	5	0.031010	0.000180	0.000050	0.000000	0.031240	0.071480	2834734
URD	2012	6	0.029110	0.000300	0.000080	0.000000	0.029500	0.042630	2834734
URD	2012	7	0.027240	0.000440	0.000120	0.000000	0.027810	0.044490	2834734
URD	2012	8	0.025670	0.001080	0.000300	0.000000	0.027040	0.064180	2834734
URD	2012	9	0.021360	0.000000	0.000000	0.000000	0.021360	0.041200	2834734
URD	2012	10	0.026580	0.000000	0.000000	0.000000	0.026580	0.048370	2834734
URD	2012	11	0.024380	0.000000	0.000000	0.000000	0.024380	0.041120	2834734
URD	2012	12	0.025270	0.000000	0.000000	0.000000	0.025270	0.054450	2834734
URD	2013	1	0.023600	0.000000	0.000000	0.000000	0.023600	0.082980	2834734
URD	2013	2	0.022540	0.000000	0.000000	0.000000	0.022540	0.070150	2834734
ALVHEIM	2008	6	0.191140	0.000000	0.000000	0.000000	0.191140	0.000180	2845712
ALVHEIM	2008	7	0.307670	0.004420	0.000000	0.000000	0.312080	0.000060	2845712
ALVHEIM	2008	8	0.372680	0.024500	0.000000	0.000000	0.397180	0.000070	2845712
ALVHEIM	2008	9	0.396350	0.031270	0.000000	0.000000	0.427620	0.000030	2845712
ALVHEIM	2008	10	0.274190	0.020890	0.000000	0.000000	0.295080	0.000000	2845712
ALVHEIM	2008	11	0.356730	0.030660	0.000000	0.000000	0.387390	0.000090	2845712
ALVHEIM	2008	12	0.401000	0.034350	0.000000	0.000000	0.435340	0.000620	2845712
ALVHEIM	2009	1	0.365850	0.032580	0.000000	0.000000	0.398430	0.000530	2845712
ALVHEIM	2009	2	0.398050	0.039320	0.000000	0.000000	0.437370	0.001910	2845712
ALVHEIM	2009	3	0.446030	0.041800	0.000000	0.000000	0.487830	0.001650	2845712
ALVHEIM	2009	4	0.389180	0.032330	0.000000	0.000000	0.421520	0.017550	2845712
ALVHEIM	2009	5	0.299070	0.024420	0.000000	0.000000	0.323490	0.015440	2845712
ALVHEIM	2009	6	0.491960	0.040640	0.000000	0.000000	0.532600	0.028300	2845712
ALVHEIM	2009	7	0.477490	0.042520	0.000000	0.000000	0.520010	0.038580	2845712
ALVHEIM	2009	8	0.331070	0.027970	0.000000	0.000000	0.359040	0.030230	2845712
ALVHEIM	2009	9	0.457440	0.040750	0.000000	0.000000	0.498190	0.048120	2845712
ALVHEIM	2009	10	0.520510	0.049730	0.000000	0.000000	0.570230	0.075450	2845712
ALVHEIM	2009	11	0.442560	0.042150	0.000000	0.000000	0.484700	0.070280	2845712
ALVHEIM	2009	12	0.354070	0.031230	0.000000	0.000000	0.385310	0.048850	2845712
ALVHEIM	2010	1	0.418930	0.037110	0.000000	0.000000	0.456040	0.063690	2845712
ALVHEIM	2010	2	0.397880	0.035670	0.000000	0.000000	0.433560	0.062890	2845712
ALVHEIM	2010	3	0.444270	0.040500	0.000000	0.000000	0.484770	0.081700	2845712
ALVHEIM	2010	4	0.411990	0.039420	0.000000	0.000000	0.451410	0.083840	2845712
ALVHEIM	2010	5	0.393770	0.037130	0.000000	0.000000	0.430890	0.003190	2845712
ALVHEIM	2010	6	0.402170	0.037390	0.000000	0.000000	0.439570	0.005950	2845712
ALVHEIM	2010	7	0.405180	0.039210	0.000000	0.000000	0.444380	0.002300	2845712
ALVHEIM	2010	8	0.401330	0.039280	0.000000	0.000000	0.440610	0.004590	2845712
ALVHEIM	2010	9	0.343820	0.034200	0.000000	0.000000	0.378020	0.001110	2845712
ALVHEIM	2010	10	0.347300	0.037630	0.000000	0.000000	0.384920	0.002740	2845712
ALVHEIM	2010	11	0.239060	0.024730	0.000000	0.000000	0.263790	0.003460	2845712
ALVHEIM	2010	12	0.364780	0.034730	0.000000	0.000000	0.399510	0.024710	2845712
ALVHEIM	2011	1	0.386320	0.041470	0.000000	0.000000	0.427790	0.040920	2845712
ALVHEIM	2011	2	0.354780	0.040130	0.000000	0.000000	0.394910	0.004130	2845712
ALVHEIM	2011	3	0.352060	0.040130	0.000000	0.000000	0.392200	0.008900	2845712
ALVHEIM	2011	4	0.331290	0.036180	0.000000	0.000000	0.367470	0.007350	2845712
ALVHEIM	2011	5	0.180470	0.018400	0.000000	0.000000	0.198860	0.054890	2845712
ALVHEIM	2011	6	0.322290	0.032730	0.000000	0.000000	0.355020	0.104890	2845712
ALVHEIM	2011	7	0.319480	0.037500	0.000000	0.000000	0.356970	0.115330	2845712
ALVHEIM	2011	8	0.277450	0.030180	0.000000	0.000000	0.307620	0.099130	2845712
ALVHEIM	2011	9	0.285990	0.034010	0.000000	0.000000	0.319990	0.124990	2845712
ALVHEIM	2011	10	0.352510	0.045110	0.000000	0.000000	0.397620	0.118720	2845712
ALVHEIM	2011	11	0.341770	0.048660	0.000000	0.000000	0.390430	0.125170	2845712
ALVHEIM	2011	12	0.351930	0.053540	0.000000	0.000000	0.405460	0.130840	2845712
ALVHEIM	2012	1	0.356630	0.048880	0.000000	0.000000	0.405520	0.136340	2845712
ALVHEIM	2012	2	0.314880	0.040840	0.000000	0.000000	0.355720	0.129660	2845712
ALVHEIM	2012	3	0.372870	0.057110	0.000000	0.000000	0.429970	0.153020	2845712
ALVHEIM	2012	4	0.354490	0.054320	0.000000	0.000000	0.408810	0.163720	2845712
ALVHEIM	2012	5	0.346170	0.052620	0.000000	0.000000	0.398790	0.171770	2845712
ALVHEIM	2012	6	0.291760	0.045140	0.000000	0.000000	0.336900	0.150710	2845712
ALVHEIM	2012	7	0.325570	0.050620	0.000000	0.000000	0.376190	0.176180	2845712
ALVHEIM	2012	8	0.329370	0.054830	0.000000	0.000000	0.384200	0.182690	2845712
ALVHEIM	2012	9	0.311340	0.054020	0.000000	0.000000	0.365360	0.189810	2845712
ALVHEIM	2012	10	0.323550	0.049290	0.000000	0.000000	0.372840	0.216880	2845712
ALVHEIM	2012	11	0.342930	0.055770	0.000000	0.000000	0.398700	0.221540	2845712
ALVHEIM	2012	12	0.343750	0.055310	0.000000	0.000000	0.399060	0.218720	2845712
ALVHEIM	2013	1	0.338880	0.056340	0.000000	0.000000	0.395220	0.182990	2845712
ALVHEIM	2013	2	0.276510	0.046680	0.000000	0.000000	0.323190	0.091240	2845712
VILJE	2008	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3392471
VILJE	2008	8	0.074550	0.003240	0.000000	0.000000	0.077790	0.000000	3392471
VILJE	2008	9	0.079460	0.003540	0.000000	0.000000	0.083000	0.000020	3392471
VILJE	2008	10	0.104250	0.006030	0.000000	0.000000	0.110280	0.000020	3392471
VILJE	2008	11	0.124530	0.008170	0.000000	0.000000	0.132700	0.000020	3392471
VILJE	2008	12	0.136440	0.007100	0.000000	0.000000	0.143540	0.000020	3392471
VILJE	2009	1	0.120000	0.005990	0.000000	0.000000	0.125990	0.000010	3392471
VILJE	2009	2	0.137000	0.007510	0.000000	0.000000	0.144510	0.000050	3392471
VILJE	2009	3	0.145140	0.005920	0.000000	0.000000	0.151060	0.000060	3392471
VILJE	2009	4	0.123490	0.005400	0.000000	0.000000	0.128900	0.000610	3392471
VILJE	2009	5	0.086720	0.003820	0.000000	0.000000	0.090540	0.000450	3392471
VILJE	2009	6	0.137900	0.006330	0.000000	0.000000	0.144230	0.000260	3392471
VILJE	2009	7	0.146680	0.007120	0.000000	0.000000	0.153800	0.000410	3392471
VILJE	2009	8	0.097260	0.005420	0.000000	0.000000	0.102670	0.000430	3392471
VILJE	2009	9	0.139270	0.006570	0.000000	0.000000	0.145840	0.000280	3392471
VILJE	2009	10	0.156880	0.007730	0.000000	0.000000	0.164610	0.000640	3392471
VILJE	2009	11	0.135300	0.006300	0.000000	0.000000	0.141600	0.000260	3392471
VILJE	2009	12	0.112470	0.005670	0.000000	0.000000	0.118130	0.000280	3392471
VILJE	2010	1	0.135950	0.006660	0.000000	0.000000	0.142610	0.000320	3392471
VILJE	2010	2	0.134960	0.006530	0.000000	0.000000	0.141500	0.000330	3392471
VILJE	2010	3	0.154300	0.007570	0.000000	0.000000	0.161860	0.000280	3392471
VILJE	2010	4	0.155650	0.007540	0.000000	0.000000	0.163200	0.000260	3392471
VILJE	2010	5	0.158910	0.007550	0.000000	0.000000	0.166460	0.000000	3392471
VILJE	2010	6	0.151040	0.007330	0.000000	0.000000	0.158370	0.000020	3392471
VILJE	2010	7	0.161150	0.007530	0.000000	0.000000	0.168680	0.000010	3392471
VILJE	2010	8	0.163990	0.007480	0.000000	0.000000	0.171470	0.000010	3392471
VILJE	2010	9	0.150390	0.006900	0.000000	0.000000	0.157280	0.000000	3392471
VILJE	2010	10	0.158240	0.007350	0.000000	0.000000	0.165590	0.000090	3392471
VILJE	2010	11	0.112530	0.005150	0.000000	0.000000	0.117680	0.000000	3392471
VILJE	2010	12	0.147480	0.006520	0.000000	0.000000	0.154000	0.000050	3392471
VILJE	2011	1	0.134840	0.006020	0.000000	0.000000	0.140860	0.000010	3392471
VILJE	2011	2	0.133100	0.006130	0.000000	0.000000	0.139230	0.000000	3392471
VILJE	2011	3	0.146840	0.006820	0.000000	0.000000	0.153660	0.000050	3392471
VILJE	2011	4	0.152710	0.006860	0.000000	0.000000	0.159570	0.000100	3392471
VILJE	2011	5	0.089910	0.004030	0.000000	0.000000	0.093940	0.000760	3392471
VILJE	2011	6	0.159150	0.007440	0.000000	0.000000	0.166580	0.001330	3392471
VILJE	2011	7	0.171580	0.007790	0.000000	0.000000	0.179370	0.002500	3392471
VILJE	2011	8	0.146150	0.006440	0.000000	0.000000	0.152590	0.002170	3392471
VILJE	2011	9	0.171500	0.007840	0.000000	0.000000	0.179340	0.004510	3392471
VILJE	2011	10	0.159220	0.007090	0.000000	0.000000	0.166300	0.005540	3392471
VILJE	2011	11	0.146460	0.006500	0.000000	0.000000	0.152950	0.006020	3392471
VILJE	2011	12	0.165340	0.007370	0.000000	0.000000	0.172710	0.009350	3392471
VILJE	2012	1	0.172870	0.007550	0.000000	0.000000	0.180420	0.011790	3392471
VILJE	2012	2	0.140440	0.006350	0.000000	0.000000	0.146800	0.010980	3392471
VILJE	2012	3	0.155880	0.007120	0.000000	0.000000	0.163010	0.014190	3392471
VILJE	2012	4	0.147370	0.006790	0.000000	0.000000	0.154160	0.015940	3392471
VILJE	2012	5	0.151730	0.006900	0.000000	0.000000	0.158630	0.017110	3392471
VILJE	2012	6	0.138590	0.005990	0.000000	0.000000	0.144580	0.015850	3392471
VILJE	2012	7	0.155510	0.007010	0.000000	0.000000	0.162520	0.022660	3392471
VILJE	2012	8	0.155670	0.007070	0.000000	0.000000	0.162740	0.023460	3392471
VILJE	2012	9	0.143440	0.006380	0.000000	0.000000	0.149810	0.025370	3392471
VILJE	2012	10	0.143370	0.005840	0.000000	0.000000	0.149200	0.027820	3392471
VILJE	2012	11	0.134360	0.006030	0.000000	0.000000	0.140390	0.028120	3392471
VILJE	2012	12	0.131630	0.005630	0.000000	0.000000	0.137260	0.028370	3392471
VILJE	2013	1	0.125860	0.005320	0.000000	0.000000	0.131180	0.029630	3392471
VILJE	2013	2	0.114330	0.004750	0.000000	0.000000	0.119080	0.020700	3392471
VOLVE	2008	2	0.049090	0.000000	0.000000	0.000000	0.049090	0.000050	3420717
VOLVE	2008	3	0.084410	0.002300	0.000860	0.000300	0.087870	0.000000	3420717
VOLVE	2008	4	0.075760	0.007580	0.002920	0.001150	0.087410	0.000000	3420717
VOLVE	2008	5	0.126890	0.013930	0.005390	0.002020	0.148220	0.000000	3420717
VOLVE	2008	6	0.144280	0.000320	0.005320	0.002000	0.151930	0.000000	3420717
VOLVE	2008	7	0.165170	0.017380	0.006160	0.002350	0.191060	0.000000	3420717
VOLVE	2008	8	0.167050	0.014080	0.005860	0.002390	0.189380	0.000580	3420717
VOLVE	2008	9	0.194140	0.017710	0.006780	0.002820	0.221450	0.000460	3420717
VOLVE	2008	10	0.236640	0.022680	0.009990	0.003870	0.273180	0.000730	3420717
VOLVE	2008	11	0.250330	0.025850	0.010730	0.004240	0.291150	0.002580	3420717
VOLVE	2008	12	0.276640	0.032950	0.013160	0.005070	0.327820	0.001070	3420717
VOLVE	2009	1	0.269200	0.031460	0.012530	0.004170	0.317370	0.001370	3420717
VOLVE	2009	2	0.236460	0.026430	0.010800	0.003610	0.277300	0.002530	3420717
VOLVE	2009	3	0.189510	0.021220	0.009090	0.002790	0.222610	0.004990	3420717
VOLVE	2009	4	0.237510	0.027590	0.010730	0.003190	0.279020	0.001490	3420717
VOLVE	2009	5	0.257210	0.027740	0.010850	0.003200	0.299000	0.006550	3420717
VOLVE	2009	6	0.226570	0.023380	0.009920	0.003080	0.262950	0.013800	3420717
VOLVE	2009	7	0.185770	0.017260	0.006640	0.001960	0.211620	0.023620	3420717
VOLVE	2009	8	0.224550	0.023780	0.009060	0.002680	0.260070	0.025820	3420717
VOLVE	2009	9	0.179760	0.018580	0.007180	0.002170	0.207700	0.017510	3420717
VOLVE	2009	10	0.224520	0.025220	0.009560	0.002850	0.262140	0.032910	3420717
VOLVE	2009	11	0.234260	0.026440	0.009350	0.002750	0.272800	0.052680	3420717
VOLVE	2009	12	0.252080	0.027430	0.009820	0.003010	0.292340	0.090180	3420717
VOLVE	2010	1	0.232160	0.023780	0.008210	0.002510	0.266660	0.100240	3420717
VOLVE	2010	2	0.165830	0.016600	0.005980	0.001790	0.190210	0.105220	3420717
VOLVE	2010	3	0.168530	0.002200	0.000860	0.000290	0.171880	0.118580	3420717
VOLVE	2010	4	0.160320	0.018860	0.006950	0.002060	0.188180	0.137860	3420717
VOLVE	2010	5	0.165540	0.018890	0.006630	0.002020	0.193070	0.160910	3420717
VOLVE	2010	6	0.145070	0.015270	0.005490	0.001760	0.167590	0.179850	3420717
VOLVE	2010	7	0.135480	0.014040	0.005150	0.001470	0.156130	0.196270	3420717
VOLVE	2010	8	0.068920	0.006130	0.002190	0.000670	0.077910	0.111240	3420717
VOLVE	2010	9	0.107150	0.007650	0.002820	0.000860	0.118470	0.155940	3420717
VOLVE	2010	10	0.131610	0.012900	0.004600	0.001370	0.150480	0.200490	3420717
VOLVE	2010	11	0.107660	0.009850	0.003550	0.001060	0.122120	0.199210	3420717
VOLVE	2010	12	0.110300	0.010560	0.003800	0.001140	0.125790	0.222980	3420717
VOLVE	2011	1	0.107100	0.009660	0.003460	0.001000	0.121230	0.228050	3420717
VOLVE	2011	2	0.074710	0.006650	0.002380	0.000730	0.084460	0.164770	3420717
VOLVE	2011	3	0.095250	0.009090	0.003150	0.000940	0.108430	0.230740	3420717
VOLVE	2011	4	0.091560	0.008850	0.002660	0.000650	0.103710	0.238250	3420717
VOLVE	2011	5	0.090190	0.008740	0.002720	0.000660	0.102300	0.248900	3420717
VOLVE	2011	6	0.053510	0.004660	0.001410	0.000360	0.059950	0.155820	3420717
VOLVE	2011	7	0.032550	0.002480	0.000740	0.000180	0.035960	0.073900	3420717
VOLVE	2011	8	0.087290	0.008020	0.002390	0.000580	0.098280	0.207940	3420717
VOLVE	2011	9	0.082000	0.006810	0.001990	0.000470	0.091280	0.244430	3420717
VOLVE	2011	10	0.034650	0.002830	0.000850	0.000210	0.038550	0.109360	3420717
VOLVE	2011	11	0.058250	0.004670	0.001440	0.000360	0.064710	0.149360	3420717
VOLVE	2011	12	0.052340	0.004320	0.001350	0.000320	0.058340	0.139120	3420717
VOLVE	2012	1	0.046310	0.003750	0.001160	0.000280	0.051500	0.121380	3420717
VOLVE	2012	2	0.064700	0.005400	0.001720	0.000400	0.072220	0.189750	3420717
VOLVE	2012	3	0.062860	0.005140	0.001580	0.000380	0.069960	0.202410	3420717
VOLVE	2012	4	0.062360	0.005090	0.001620	0.000390	0.069460	0.210920	3420717
VOLVE	2012	5	0.058430	0.004170	0.001270	0.000310	0.064190	0.223080	3420717
VOLVE	2012	6	0.054100	0.003650	0.001080	0.000270	0.059090	0.214270	3420717
VOLVE	2012	7	0.054960	0.004190	0.000640	0.000140	0.059930	0.224130	3420717
VOLVE	2012	8	0.022260	0.001620	0.000240	0.000060	0.024190	0.088040	3420717
VOLVE	2012	9	0.002630	0.000090	0.000000	0.000000	0.002720	0.007430	3420717
VOLVE	2012	10	0.053460	0.004230	0.000680	0.000160	0.058530	0.181380	3420717
VOLVE	2012	11	0.056140	0.004010	0.000660	0.000130	0.060940	0.222140	3420717
VOLVE	2012	12	0.048380	0.004120	0.000660	0.000140	0.053300	0.225190	3420717
VOLVE	2013	1	0.049310	0.003800	0.000590	0.000130	0.053830	0.000000	3420717
VOLVE	2013	2	0.042090	0.002700	0.000400	0.000090	0.045280	0.000000	3420717
BLANE	2007	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437650
BLANE	2007	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437650
BLANE	2007	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437650
BLANE	2007	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437650
BLANE	2007	9	0.007770	0.000000	0.000290	0.000000	0.008060	0.000100	3437650
BLANE	2007	10	0.013720	0.000000	0.000580	0.000000	0.014300	0.000070	3437650
BLANE	2007	11	0.013130	0.000000	0.000570	0.000000	0.013690	0.000050	3437650
BLANE	2007	12	0.014020	0.000000	0.000590	0.000000	0.014600	0.000040	3437650
BLANE	2008	1	0.013340	0.000000	0.000600	0.000000	0.013940	0.000050	3437650
BLANE	2008	2	0.012230	0.000000	0.000520	0.000000	0.012750	0.000040	3437650
BLANE	2008	3	0.013980	0.000000	0.000610	0.000000	0.014590	0.000040	3437650
BLANE	2008	4	0.007580	0.000000	0.000320	0.000000	0.007900	0.000020	3437650
BLANE	2008	5	0.014090	0.000000	0.000590	0.000000	0.014670	0.000040	3437650
BLANE	2008	6	0.011910	0.000000	0.000480	0.000000	0.012390	0.000040	3437650
BLANE	2008	7	0.011290	0.000000	0.000460	0.000000	0.011750	0.000030	3437650
BLANE	2008	8	0.012330	0.000000	0.000480	0.000000	0.012810	0.000040	3437650
BLANE	2008	9	0.011230	0.000000	0.000510	0.000000	0.011740	0.000040	3437650
BLANE	2008	10	0.010970	0.000000	0.000430	0.000000	0.011400	0.000040	3437650
BLANE	2008	11	0.010280	0.000000	0.000410	0.000000	0.010690	0.000040	3437650
BLANE	2008	12	0.010190	0.000000	0.000480	0.000000	0.010670	0.000030	3437650
BLANE	2009	1	0.009920	0.000000	0.000320	0.000000	0.010240	0.000030	3437650
BLANE	2009	2	0.009260	0.000000	0.000550	0.000000	0.009810	0.000030	3437650
BLANE	2009	3	0.011750	0.000000	0.000610	0.000000	0.012350	0.000040	3437650
BLANE	2009	4	0.010830	0.000000	0.000570	0.000000	0.011400	0.000040	3437650
BLANE	2009	5	0.010640	0.000000	0.000450	0.000000	0.011100	0.000030	3437650
BLANE	2009	6	0.009770	0.000000	0.000350	0.000000	0.010120	0.000030	3437650
BLANE	2009	7	0.007930	0.000000	0.000230	0.000000	0.008160	0.000030	3437650
BLANE	2009	8	0.009620	0.000000	0.000360	0.000000	0.009980	0.000030	3437650
BLANE	2009	9	0.009180	0.000000	0.000300	0.000000	0.009480	0.000030	3437650
BLANE	2009	10	0.009370	0.000000	0.000340	0.000000	0.009700	0.000030	3437650
BLANE	2009	11	0.009020	0.000000	0.000310	0.000000	0.009320	0.000030	3437650
BLANE	2009	12	0.008390	0.000000	0.000290	0.000000	0.008680	0.000030	3437650
BLANE	2010	1	0.008930	0.000000	0.000360	0.000000	0.009290	0.000030	3437650
BLANE	2010	2	0.007690	0.000000	0.000260	0.000000	0.007960	0.000020	3437650
BLANE	2010	3	0.009060	0.000000	0.000330	0.000000	0.009390	0.000030	3437650
BLANE	2010	4	0.008780	0.000000	0.000330	0.000000	0.009110	0.000030	3437650
BLANE	2010	5	0.009170	0.000000	0.000330	0.000000	0.009500	0.000030	3437650
BLANE	2010	6	0.001210	0.000000	0.000030	0.000000	0.001240	0.000000	3437650
BLANE	2010	7	0.002390	0.000000	0.000070	0.000000	0.002460	0.000010	3437650
BLANE	2010	8	0.008210	0.000000	0.000270	0.000000	0.008480	0.000040	3437650
BLANE	2010	9	0.009700	0.000000	0.000330	0.000000	0.010020	0.000030	3437650
BLANE	2010	10	0.010390	0.000000	0.000420	0.000000	0.010800	0.000040	3437650
BLANE	2010	11	0.008930	0.000000	0.000280	0.000000	0.009210	0.000030	3437650
BLANE	2010	12	0.009570	0.000000	0.000330	0.000000	0.009900	0.000040	3437650
BLANE	2011	1	0.009300	0.000000	0.000350	0.000000	0.009650	0.000040	3437650
BLANE	2011	2	0.008670	0.000000	0.000310	0.000000	0.008980	0.000030	3437650
BLANE	2011	3	0.010470	0.000000	0.000350	0.000000	0.010820	0.000040	3437650
BLANE	2011	4	0.009050	0.000000	0.000300	0.000000	0.009350	0.000040	3437650
BLANE	2011	5	0.008540	0.000000	0.000340	0.000000	0.008870	0.000090	3437650
BLANE	2011	6	0.008500	0.000000	0.000310	0.000000	0.008810	0.000220	3437650
BLANE	2011	7	0.007700	0.000000	0.000240	0.000000	0.007940	0.000260	3437650
BLANE	2011	8	0.007980	0.000000	0.000250	0.000000	0.008230	0.000520	3437650
BLANE	2011	9	0.006880	0.000000	0.000250	0.000000	0.007130	0.000350	3437650
BLANE	2011	10	0.008330	0.000000	0.000410	0.000000	0.008740	0.000560	3437650
BLANE	2011	11	0.007590	0.000000	0.000320	0.000000	0.007900	0.000550	3437650
BLANE	2011	12	0.007740	0.000000	0.000320	0.000000	0.008060	0.000720	3437650
BLANE	2012	1	0.005130	0.000000	0.000210	0.000000	0.005340	0.000420	3437650
BLANE	2012	2	0.007160	0.000000	0.000310	0.000000	0.007470	0.000820	3437650
BLANE	2012	3	0.007080	0.000000	0.000300	0.000000	0.007380	0.000890	3437650
BLANE	2012	4	0.005130	0.000000	0.000190	0.000000	0.005320	0.000690	3437650
BLANE	2012	5	0.004680	0.000000	0.000180	0.000000	0.004860	0.000590	3437650
BLANE	2012	6	0.004750	0.000000	0.000160	0.000000	0.004910	0.000600	3437650
BLANE	2012	7	0.004490	0.000000	0.000170	0.000000	0.004660	0.000960	3437650
BLANE	2012	8	0.006660	0.000000	0.000290	0.000000	0.006950	0.001280	3437650
BLANE	2012	9	0.002450	0.000000	0.000130	0.000000	0.002570	0.000500	3437650
BLANE	2012	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437650
BLANE	2012	11	0.001050	0.000000	0.000040	0.000000	0.001090	0.000320	3437650
BLANE	2012	12	0.005180	0.000000	0.000210	0.000000	0.005390	0.001360	3437650
BLANE	2013	1	0.005780	0.000000	0.000230	0.000000	0.006010	0.001700	3437650
BLANE	2013	2	0.006420	0.000000	0.000280	0.000000	0.006700	0.000000	3437650
ENOCH	2007	5	0.000240	0.000000	0.000000	0.000000	0.000240	0.000000	3437659
ENOCH	2007	6	0.007900	0.000170	0.000000	0.000000	0.008070	0.000010	3437659
ENOCH	2007	7	0.009690	0.000000	0.000000	0.000000	0.009690	0.000030	3437659
ENOCH	2007	8	0.007620	0.000000	0.000000	0.000000	0.007620	0.000140	3437659
ENOCH	2007	9	0.008560	0.000000	0.000000	0.000000	0.008560	0.000150	3437659
ENOCH	2007	10	0.008090	0.000000	0.000000	0.000000	0.008090	0.000190	3437659
ENOCH	2007	11	0.007140	0.000000	0.000000	0.000000	0.007140	0.000000	3437659
ENOCH	2007	12	0.006850	0.000000	0.000000	0.000000	0.006850	0.000160	3437659
ENOCH	2008	1	0.006660	0.000000	0.000000	0.000000	0.006660	0.000190	3437659
ENOCH	2008	2	0.006380	0.000000	0.000000	0.000000	0.006380	0.000160	3437659
ENOCH	2008	3	0.006980	0.000000	0.000000	0.000000	0.006980	0.000190	3437659
ENOCH	2008	4	0.005770	0.000000	0.000000	0.000000	0.005770	0.000130	3437659
ENOCH	2008	5	0.003860	0.000000	0.000000	0.000000	0.003860	0.000090	3437659
ENOCH	2008	6	0.007160	0.000000	0.000000	0.000000	0.007160	0.000170	3437659
ENOCH	2008	7	0.006320	0.000000	0.000000	0.000000	0.006320	0.000120	3437659
ENOCH	2008	8	0.000890	0.000000	0.000000	0.000000	0.000890	0.000020	3437659
ENOCH	2008	9	0.005070	0.000000	0.000000	0.000000	0.005070	0.000090	3437659
ENOCH	2008	10	0.005100	0.000000	0.000000	0.000000	0.005100	0.000080	3437659
ENOCH	2008	11	0.007200	0.000000	0.000000	0.000000	0.007200	0.000160	3437659
ENOCH	2008	12	0.007060	0.000000	0.000000	0.000000	0.007060	0.000180	3437659
ENOCH	2009	1	0.006940	0.000000	0.000000	0.000000	0.006940	0.000140	3437659
ENOCH	2009	2	0.006350	0.000000	0.000000	0.000000	0.006350	0.000120	3437659
ENOCH	2009	3	0.006530	0.000000	0.000000	0.000000	0.006530	0.000130	3437659
ENOCH	2009	4	0.004950	0.000000	0.000000	0.000000	0.004950	0.000120	3437659
ENOCH	2009	5	0.005370	0.000000	0.000000	0.000000	0.005370	0.000140	3437659
ENOCH	2009	6	0.004450	0.000000	0.000000	0.000000	0.004450	0.000080	3437659
ENOCH	2009	7	0.005110	0.000000	0.000000	0.000000	0.005110	0.000160	3437659
ENOCH	2009	8	0.006000	0.000000	0.000000	0.000000	0.006000	0.000080	3437659
ENOCH	2009	9	0.007280	0.000000	0.000000	0.000000	0.007280	0.000080	3437659
ENOCH	2009	10	0.005110	0.000000	0.000000	0.000000	0.005110	0.000000	3437659
ENOCH	2009	11	0.007350	0.000000	0.000000	0.000000	0.007350	0.000000	3437659
ENOCH	2009	12	0.006860	0.000000	0.000000	0.000000	0.006860	0.000000	3437659
ENOCH	2010	1	0.006390	0.000000	0.000000	0.000000	0.006390	0.000080	3437659
ENOCH	2010	2	0.004390	0.000000	0.000000	0.000000	0.004390	0.000080	3437659
ENOCH	2010	3	0.005210	0.000000	0.000000	0.000000	0.005210	0.000120	3437659
ENOCH	2010	4	0.003890	0.000000	0.000000	0.000000	0.003890	0.000070	3437659
ENOCH	2010	5	0.004870	0.000000	0.000000	0.000000	0.004870	0.000030	3437659
ENOCH	2010	6	0.003590	0.000000	0.000000	0.000000	0.003590	0.000030	3437659
ENOCH	2010	7	0.003200	0.000000	0.000000	0.000000	0.003200	0.000000	3437659
ENOCH	2010	8	0.003770	0.000000	0.000000	0.000000	0.003770	0.000000	3437659
ENOCH	2010	9	0.002650	0.000000	0.000000	0.000000	0.002650	0.000000	3437659
ENOCH	2010	10	0.002220	0.000000	0.000000	0.000000	0.002220	0.000000	3437659
ENOCH	2010	11	0.003500	0.000000	0.000000	0.000000	0.003500	0.000000	3437659
ENOCH	2010	12	0.003260	0.000000	0.000000	0.000000	0.003260	0.000000	3437659
ENOCH	2011	1	0.002720	0.000000	0.000000	0.000000	0.002720	0.000050	3437659
ENOCH	2011	2	0.002290	0.000000	0.000000	0.000000	0.002290	0.000020	3437659
ENOCH	2011	3	0.002820	0.000000	0.000000	0.000000	0.002820	0.000030	3437659
ENOCH	2011	4	0.003010	0.000000	0.000000	0.000000	0.003010	0.000040	3437659
ENOCH	2011	5	0.002880	0.000000	0.000000	0.000000	0.002880	0.000040	3437659
ENOCH	2011	6	0.000900	0.000000	0.000000	0.000000	0.000900	0.000010	3437659
ENOCH	2011	7	0.002220	0.000000	0.000000	0.000000	0.002220	0.000060	3437659
ENOCH	2011	8	0.001740	0.000000	0.000000	0.000000	0.001740	0.000020	3437659
ENOCH	2011	9	0.002890	0.000000	0.000000	0.000000	0.002890	0.000000	3437659
ENOCH	2011	10	0.002890	0.000000	0.000000	0.000000	0.002890	0.000000	3437659
ENOCH	2011	11	0.002460	0.000000	0.000000	0.000000	0.002460	0.000000	3437659
ENOCH	2011	12	0.002410	0.000000	0.000000	0.000000	0.002410	0.000000	3437659
ENOCH	2012	1	0.001690	0.000000	0.000000	0.000000	0.001690	0.000000	3437659
ENOCH	2012	2	0.000320	0.000000	0.000000	0.000000	0.000320	0.000000	3437659
ENOCH	2012	3	0.000020	0.000000	0.000000	0.000000	0.000020	0.000000	3437659
ENOCH	2012	4	0.000010	0.000000	0.000000	0.000000	0.000010	0.000000	3437659
ENOCH	2012	5	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437659
ENOCH	2012	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437659
ENOCH	2012	7	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437659
ENOCH	2012	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437659
ENOCH	2012	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437659
ENOCH	2012	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437659
ENOCH	2012	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437659
ENOCH	2012	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437659
ENOCH	2013	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437659
ENOCH	2013	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	3437659
RINGHORNE ØST	2006	3	0.024420	0.000870	0.000000	0.000000	0.025290	0.000050	3505505
RINGHORNE ØST	2006	4	0.075460	0.003050	0.000000	0.000000	0.078510	0.003420	3505505
RINGHORNE ØST	2006	5	0.091250	0.003580	0.000000	0.000000	0.094820	0.003530	3505505
RINGHORNE ØST	2006	6	0.094170	0.002630	0.000000	0.000000	0.096800	0.009000	3505505
RINGHORNE ØST	2006	7	0.079750	0.002330	0.000000	0.000000	0.082080	0.001560	3505505
RINGHORNE ØST	2006	8	0.107570	0.004000	0.000000	0.000000	0.111570	0.002880	3505505
RINGHORNE ØST	2006	9	0.099260	0.003800	0.000000	0.000000	0.103050	0.003290	3505505
RINGHORNE ØST	2006	10	0.108140	0.004270	0.000000	0.000000	0.112410	0.004790	3505505
RINGHORNE ØST	2006	11	0.119340	0.003810	0.000000	0.000000	0.123150	0.002760	3505505
RINGHORNE ØST	2006	12	0.134920	0.002670	0.000000	0.000000	0.137590	0.003020	3505505
RINGHORNE ØST	2007	1	0.136560	0.004070	0.000000	0.000000	0.140640	0.002410	3505505
RINGHORNE ØST	2007	2	0.114460	0.000270	0.000000	0.000000	0.114740	0.003100	3505505
RINGHORNE ØST	2007	3	0.143170	0.000420	0.000000	0.000000	0.143590	0.003510	3505505
RINGHORNE ØST	2007	4	0.115130	0.000710	0.000000	0.000000	0.115840	0.003060	3505505
RINGHORNE ØST	2007	5	0.123400	0.003700	0.000000	0.000000	0.127100	0.002840	3505505
RINGHORNE ØST	2007	6	0.136090	0.001230	0.000000	0.000000	0.137320	0.002910	3505505
RINGHORNE ØST	2007	7	0.132650	0.000710	0.000000	0.000000	0.133350	0.003080	3505505
RINGHORNE ØST	2007	8	0.145650	0.001660	0.000000	0.000000	0.147320	0.003580	3505505
RINGHORNE ØST	2007	9	0.147400	0.001740	0.000000	0.000000	0.149140	0.006010	3505505
RINGHORNE ØST	2007	10	0.145560	0.003950	0.000000	0.000000	0.149500	0.005540	3505505
RINGHORNE ØST	2007	11	0.138810	0.003320	0.000000	0.000000	0.142130	0.005740	3505505
RINGHORNE ØST	2007	12	0.142780	0.002880	0.000000	0.000000	0.145660	0.006180	3505505
RINGHORNE ØST	2008	1	0.155530	0.003710	0.000000	0.000000	0.159240	0.006390	3505505
RINGHORNE ØST	2008	2	0.146590	0.001120	0.000000	0.000000	0.147710	0.006720	3505505
RINGHORNE ØST	2008	3	0.164430	0.005780	0.000000	0.000000	0.170210	0.008720	3505505
RINGHORNE ØST	2008	4	0.167490	0.001820	0.000000	0.000000	0.169310	0.010970	3505505
RINGHORNE ØST	2008	5	0.175460	0.000230	0.000000	0.000000	0.175690	0.009440	3505505
RINGHORNE ØST	2008	6	0.116300	0.000000	0.000000	0.000000	0.116300	0.006320	3505505
RINGHORNE ØST	2008	7	0.182870	0.005170	0.000000	0.000000	0.188030	0.006730	3505505
RINGHORNE ØST	2008	8	0.180960	0.001080	0.000000	0.000000	0.182030	0.009580	3505505
RINGHORNE ØST	2008	9	0.174000	0.000000	0.000000	0.000000	0.174000	0.017730	3505505
RINGHORNE ØST	2008	10	0.175690	0.004220	0.000000	0.000000	0.179920	0.024370	3505505
RINGHORNE ØST	2008	11	0.167500	0.005790	0.000000	0.000000	0.173300	0.026320	3505505
RINGHORNE ØST	2008	12	0.172650	0.006510	0.000000	0.000000	0.179160	0.030090	3505505
RINGHORNE ØST	2009	1	0.172450	0.004600	0.000000	0.000000	0.177040	0.035950	3505505
RINGHORNE ØST	2009	2	0.153850	0.003910	0.000000	0.000000	0.157760	0.034810	3505505
RINGHORNE ØST	2009	3	0.154980	0.004830	0.000000	0.000000	0.159800	0.037270	3505505
RINGHORNE ØST	2009	4	0.138270	0.003880	0.000000	0.000000	0.142150	0.043900	3505505
RINGHORNE ØST	2009	5	0.146170	0.003670	0.000000	0.000000	0.149840	0.061720	3505505
RINGHORNE ØST	2009	6	0.130000	0.002700	0.000000	0.000000	0.132700	0.055130	3505505
RINGHORNE ØST	2009	7	0.128740	0.003550	0.000000	0.000000	0.132300	0.070110	3505505
RINGHORNE ØST	2009	8	0.122120	0.003160	0.000000	0.000000	0.125280	0.069540	3505505
RINGHORNE ØST	2009	9	0.113200	0.003330	0.000000	0.000000	0.116520	0.073550	3505505
RINGHORNE ØST	2009	10	0.117060	0.003810	0.000000	0.000000	0.120870	0.078710	3505505
RINGHORNE ØST	2009	11	0.112350	0.002910	0.000000	0.000000	0.115260	0.094770	3505505
RINGHORNE ØST	2009	12	0.114250	0.003090	0.000000	0.000000	0.117330	0.101110	3505505
RINGHORNE ØST	2010	1	0.107050	0.002340	0.000000	0.000000	0.109390	0.085640	3505505
RINGHORNE ØST	2010	2	0.097410	0.002730	0.000000	0.000000	0.100140	0.079700	3505505
RINGHORNE ØST	2010	3	0.099130	0.002230	0.000000	0.000000	0.101370	0.081430	3505505
RINGHORNE ØST	2010	4	0.097860	0.002750	0.000000	0.000000	0.100610	0.082460	3505505
RINGHORNE ØST	2010	5	0.097420	0.002930	0.000000	0.000000	0.100350	0.083920	3505505
RINGHORNE ØST	2010	6	0.091820	0.002200	0.000000	0.000000	0.094030	0.082370	3505505
RINGHORNE ØST	2010	7	0.095150	0.003180	0.000000	0.000000	0.098330	0.094030	3505505
RINGHORNE ØST	2010	8	0.057770	0.001900	0.000000	0.000000	0.059660	0.054410	3505505
RINGHORNE ØST	2010	9	0.091580	0.002840	0.000000	0.000000	0.094420	0.090010	3505505
RINGHORNE ØST	2010	10	0.089820	0.002990	0.000000	0.000000	0.092810	0.086850	3505505
RINGHORNE ØST	2010	11	0.083670	0.002560	0.000000	0.000000	0.086230	0.087300	3505505
RINGHORNE ØST	2010	12	0.085280	0.002680	0.000000	0.000000	0.087960	0.087320	3505505
RINGHORNE ØST	2011	1	0.085520	0.002750	0.000000	0.000000	0.088260	0.092270	3505505
RINGHORNE ØST	2011	2	0.076680	0.002480	0.000000	0.000000	0.079160	0.081950	3505505
RINGHORNE ØST	2011	3	0.082400	0.002660	0.000000	0.000000	0.085060	0.089580	3505505
RINGHORNE ØST	2011	4	0.080810	0.002720	0.000000	0.000000	0.083530	0.086330	3505505
RINGHORNE ØST	2011	5	0.082330	0.001870	0.000000	0.000000	0.084200	0.075520	3505505
RINGHORNE ØST	2011	6	0.076890	0.001030	0.000000	0.000000	0.077930	0.083840	3505505
RINGHORNE ØST	2011	7	0.080910	0.002500	0.000000	0.000000	0.083420	0.091080	3505505
RINGHORNE ØST	2011	8	0.070910	0.002000	0.000000	0.000000	0.072910	0.079820	3505505
RINGHORNE ØST	2011	9	0.077540	0.002310	0.000000	0.000000	0.079850	0.086360	3505505
RINGHORNE ØST	2011	10	0.079260	0.002500	0.000000	0.000000	0.081770	0.095360	3505505
RINGHORNE ØST	2011	11	0.073340	0.002390	0.000000	0.000000	0.075720	0.090210	3505505
RINGHORNE ØST	2011	12	0.078780	0.002590	0.000000	0.000000	0.081370	0.098590	3505505
RINGHORNE ØST	2012	1	0.076470	0.002560	0.000000	0.000000	0.079030	0.095090	3505505
RINGHORNE ØST	2012	2	0.072580	0.002580	0.000000	0.000000	0.075150	0.093570	3505505
RINGHORNE ØST	2012	3	0.075630	0.002170	0.000000	0.000000	0.077800	0.099900	3505505
RINGHORNE ØST	2012	4	0.071570	0.001630	0.000000	0.000000	0.073200	0.095520	3505505
RINGHORNE ØST	2012	5	0.074150	0.001000	0.000000	0.000000	0.075150	0.095940	3505505
RINGHORNE ØST	2012	6	0.070470	0.000910	0.000000	0.000000	0.071380	0.095130	3505505
RINGHORNE ØST	2012	7	0.073470	0.001890	0.000000	0.000000	0.075360	0.087700	3505505
RINGHORNE ØST	2012	8	0.096400	0.002780	0.000000	0.000000	0.099180	0.105170	3505505
RINGHORNE ØST	2012	9	0.060840	0.000900	0.000000	0.000000	0.061750	0.065530	3505505
RINGHORNE ØST	2012	10	0.087740	0.002440	0.000000	0.000000	0.090190	0.098760	3505505
RINGHORNE ØST	2012	11	0.080750	0.002180	0.000000	0.000000	0.082930	0.082500	3505505
RINGHORNE ØST	2012	12	0.082170	0.002410	0.000000	0.000000	0.084580	0.104630	3505505
RINGHORNE ØST	2013	1	0.083280	0.002090	0.000000	0.000000	0.085360	0.111370	3505505
RINGHORNE ØST	2013	2	0.073460	0.001960	0.000000	0.000000	0.075420	0.098320	3505505
TYRIHANS	2009	7	0.158190	0.049180	0.021170	0.000000	0.228540	0.000940	3960848
TYRIHANS	2009	8	0.277750	0.098300	0.041790	0.000000	0.417840	0.000000	3960848
TYRIHANS	2009	9	0.288300	0.077570	0.032030	0.000000	0.397900	0.000130	3960848
TYRIHANS	2009	10	0.326580	0.093430	0.038450	0.000000	0.458460	0.000000	3960848
TYRIHANS	2009	11	0.288170	0.024280	0.012050	0.000000	0.324510	0.000000	3960848
TYRIHANS	2009	12	0.257160	0.000000	0.000000	0.000000	0.257160	0.000000	3960848
TYRIHANS	2010	1	0.261630	0.000000	0.000000	0.000000	0.261630	0.000000	3960848
TYRIHANS	2010	2	0.270860	0.001520	0.000540	0.000000	0.272920	0.000000	3960848
TYRIHANS	2010	3	0.227140	0.002390	0.000950	0.000000	0.230480	0.000000	3960848
TYRIHANS	2010	4	0.239690	0.008510	0.003650	0.000000	0.251850	0.000000	3960848
TYRIHANS	2010	5	0.355720	0.027030	0.012700	0.000000	0.395450	0.000050	3960848
TYRIHANS	2010	6	0.433890	0.020830	0.009220	0.000000	0.463930	0.000000	3960848
TYRIHANS	2010	7	0.444310	0.000460	0.000200	0.000000	0.444970	0.000000	3960848
TYRIHANS	2010	8	0.225400	0.000730	0.000300	0.000000	0.226430	0.000000	3960848
TYRIHANS	2010	9	0.307120	0.000000	0.000000	0.000000	0.307120	0.000000	3960848
TYRIHANS	2010	10	0.485530	0.000030	0.000010	0.000000	0.485570	0.000000	3960848
TYRIHANS	2010	11	0.489850	0.000020	0.000010	0.000000	0.489880	0.000000	3960848
TYRIHANS	2010	12	0.314930	0.000110	0.000050	0.000000	0.315090	0.000000	3960848
TYRIHANS	2011	1	0.511700	0.000000	0.000000	0.000000	0.511700	0.000000	3960848
TYRIHANS	2011	2	0.423110	0.000000	0.000000	0.000000	0.423110	0.000000	3960848
TYRIHANS	2011	3	0.423110	0.000000	0.000000	0.000000	0.423110	0.000000	3960848
TYRIHANS	2011	4	0.373970	0.000000	0.000000	0.000000	0.373970	0.000000	3960848
TYRIHANS	2011	5	0.448410	0.037620	0.016470	0.000000	0.502500	0.000000	3960848
TYRIHANS	2011	6	0.423650	0.042670	0.017980	0.000000	0.484300	0.000000	3960848
TYRIHANS	2011	7	0.390870	0.061080	0.026330	0.000000	0.478280	0.000000	3960848
TYRIHANS	2011	8	0.373990	0.061220	0.028670	0.000000	0.463880	0.000000	3960848
TYRIHANS	2011	9	0.487540	0.067730	0.035450	0.000000	0.590720	0.000000	3960848
TYRIHANS	2011	10	0.490740	0.000000	0.000000	0.000000	0.490740	0.000000	3960848
TYRIHANS	2011	11	0.382610	0.000000	0.000000	0.000000	0.382610	0.000000	3960848
TYRIHANS	2011	12	0.391170	0.000000	0.000000	0.000000	0.391170	0.000000	3960848
TYRIHANS	2012	1	0.466680	0.000000	0.000000	0.000000	0.466680	0.000000	3960848
TYRIHANS	2012	2	0.443520	0.000000	0.000000	0.000000	0.443520	0.000000	3960848
TYRIHANS	2012	3	0.486780	0.000000	0.000000	0.000000	0.486780	0.004090	3960848
TYRIHANS	2012	4	0.447990	0.000000	0.000000	0.000000	0.447990	0.023100	3960848
TYRIHANS	2012	5	0.426470	0.000000	0.000000	0.000000	0.426470	0.023360	3960848
TYRIHANS	2012	6	0.377710	0.000000	0.000000	0.000000	0.377710	0.023550	3960848
TYRIHANS	2012	7	0.432980	0.000000	0.000000	0.000000	0.432980	0.026960	3960848
TYRIHANS	2012	8	0.450040	0.000000	0.000000	0.000000	0.450040	0.026350	3960848
TYRIHANS	2012	9	0.372740	0.000000	0.000000	0.000000	0.372740	0.022250	3960848
TYRIHANS	2012	10	0.466700	0.018180	0.009430	0.000000	0.494310	0.032070	3960848
TYRIHANS	2012	11	0.399920	0.011160	0.005550	0.000000	0.416620	0.030770	3960848
TYRIHANS	2012	12	0.376560	0.007340	0.003690	0.000000	0.387590	0.024460	3960848
TYRIHANS	2013	1	0.346260	0.009490	0.004740	0.000000	0.360500	0.022990	3960848
TYRIHANS	2013	2	0.278150	0.003330	0.001600	0.000000	0.283070	0.016690	3960848
GIMLE	2005	2	0.005770	0.000000	0.000000	0.000000	0.005770	0.000000	4005142
GIMLE	2005	3	0.031020	0.008020	0.002850	0.000000	0.041890	0.000040	4005142
GIMLE	2005	4	0.040520	0.008420	0.002940	0.000000	0.051880	0.000600	4005142
GIMLE	2005	5	0.045400	0.009510	0.002920	0.000000	0.057830	0.000250	4005142
GIMLE	2005	6	0.058900	0.010360	0.003900	0.000000	0.073160	0.000230	4005142
GIMLE	2005	7	0.047250	0.010610	0.003740	0.000000	0.061600	0.001290	4005142
GIMLE	2005	8	0.033260	0.006460	0.002290	0.000000	0.042020	0.004890	4005142
GIMLE	2005	9	0.037540	0.008220	0.002760	0.000000	0.048530	0.001750	4005142
GIMLE	2005	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4005142
GIMLE	2005	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4005142
GIMLE	2005	12	0.000410	0.000100	0.000040	0.000000	0.000540	0.000010	4005142
GIMLE	2006	1	0.004760	0.001150	0.000450	0.000000	0.006350	0.000010	4005142
GIMLE	2006	2	0.020090	0.004890	0.001830	0.000000	0.026800	0.000100	4005142
GIMLE	2006	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4005142
GIMLE	2006	4	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4005142
GIMLE	2006	5	0.012780	0.002370	0.000790	0.000000	0.015930	0.000060	4005142
GIMLE	2006	6	0.027780	0.003430	0.001150	0.000000	0.032360	0.000100	4005142
GIMLE	2006	7	0.034740	0.000000	0.000000	0.000000	0.034740	0.000160	4005142
GIMLE	2006	8	0.036580	0.000000	0.000000	0.000000	0.036580	0.000440	4005142
GIMLE	2006	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4005142
GIMLE	2006	10	0.030900	0.000000	0.000000	0.000000	0.030900	0.000040	4005142
GIMLE	2006	11	0.043890	0.000000	0.000000	0.000000	0.043890	0.000160	4005142
GIMLE	2006	12	0.044180	0.000000	0.000000	0.000000	0.044180	0.000080	4005142
GIMLE	2007	1	0.042990	0.000000	0.000000	0.000000	0.042990	0.000280	4005142
GIMLE	2007	2	0.037710	0.000000	0.000000	0.000000	0.037710	0.000100	4005142
GIMLE	2007	3	0.054810	0.000000	0.000000	0.000000	0.054810	0.000380	4005142
GIMLE	2007	4	0.051150	0.000000	0.000000	0.000000	0.051150	0.000400	4005142
GIMLE	2007	5	0.049830	0.000000	0.000000	0.000000	0.049830	0.001850	4005142
GIMLE	2007	6	0.052300	0.000000	0.000000	0.000000	0.052300	0.000590	4005142
GIMLE	2007	7	0.046980	0.000000	0.000000	0.000000	0.046980	0.001510	4005142
GIMLE	2007	8	0.045380	0.000000	0.000000	0.000000	0.045380	0.003370	4005142
GIMLE	2007	9	0.043540	0.000000	0.000000	0.000000	0.043540	0.000820	4005142
GIMLE	2007	10	0.044350	0.000000	0.000000	0.000000	0.044350	0.001710	4005142
GIMLE	2007	11	0.041220	0.000000	0.000000	0.000000	0.041220	0.004270	4005142
GIMLE	2007	12	0.039750	0.000000	0.000000	0.000000	0.039750	0.005440	4005142
GIMLE	2008	1	0.050100	0.000000	0.000000	0.000000	0.050100	0.006770	4005142
GIMLE	2008	2	0.055360	0.000000	0.000000	0.000000	0.055360	0.009590	4005142
GIMLE	2008	3	0.049730	0.000000	0.000000	0.000000	0.049730	0.012880	4005142
GIMLE	2008	4	0.051250	0.000000	0.000000	0.000000	0.051250	0.019900	4005142
GIMLE	2008	5	0.048200	0.000000	0.000000	0.000000	0.048200	0.030740	4005142
GIMLE	2008	6	0.056340	0.000000	0.000000	0.000000	0.056340	0.036390	4005142
GIMLE	2008	7	0.063580	0.000000	0.000000	0.000000	0.063580	0.075820	4005142
GIMLE	2008	8	0.050350	0.000000	0.000000	0.000000	0.050350	0.077110	4005142
GIMLE	2008	9	0.050880	0.000000	0.000000	0.000000	0.050880	0.077540	4005142
GIMLE	2008	10	0.048380	0.000000	0.000000	0.000000	0.048380	0.081570	4005142
GIMLE	2008	11	0.049290	0.000000	0.000000	0.000000	0.049290	0.084810	4005142
GIMLE	2008	12	0.037930	0.000000	0.000000	0.000000	0.037930	0.047890	4005142
GIMLE	2009	1	0.026480	0.000000	0.000000	0.000000	0.026480	0.033330	4005142
GIMLE	2009	2	0.030360	0.000000	0.000000	0.000000	0.030360	0.043240	4005142
GIMLE	2009	3	0.040590	0.000000	0.000000	0.000000	0.040590	0.079120	4005142
GIMLE	2009	4	0.040350	0.000000	0.000000	0.000000	0.040350	0.085740	4005142
GIMLE	2009	5	0.011110	0.000000	0.000000	0.000000	0.011110	0.031310	4005142
GIMLE	2009	6	0.013270	0.000000	0.000000	0.000000	0.013270	0.045320	4005142
GIMLE	2009	7	0.030360	0.000000	0.000000	0.000000	0.030360	0.087800	4005142
GIMLE	2009	8	0.025940	0.000000	0.000000	0.000000	0.025940	0.071650	4005142
GIMLE	2009	9	0.028320	0.000000	0.000000	0.000000	0.028320	0.072530	4005142
GIMLE	2009	10	0.028000	0.000000	0.000000	0.000000	0.028000	0.076930	4005142
GIMLE	2009	11	0.030900	0.000000	0.000000	0.000000	0.030900	0.087410	4005142
GIMLE	2009	12	0.027100	0.000000	0.000000	0.000000	0.027100	0.080870	4005142
GIMLE	2010	1	0.023890	0.000000	0.000000	0.000000	0.023890	0.083780	4005142
GIMLE	2010	2	0.026030	0.000000	0.000000	0.000000	0.026030	0.087180	4005142
GIMLE	2010	3	0.027830	0.000000	0.000000	0.000000	0.027830	0.108180	4005142
GIMLE	2010	4	0.023560	0.000000	0.000000	0.000000	0.023560	0.108670	4005142
GIMLE	2010	5	0.018800	0.000000	0.000000	0.000000	0.018800	0.073710	4005142
GIMLE	2010	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4005142
GIMLE	2010	7	0.009380	0.000000	0.000000	0.000000	0.009380	0.059820	4005142
GIMLE	2010	8	0.017990	0.000000	0.000000	0.000000	0.017990	0.098320	4005142
GIMLE	2010	9	0.022230	0.000000	0.000000	0.000000	0.022230	0.104060	4005142
GIMLE	2010	10	0.018040	0.000000	0.000000	0.000000	0.018040	0.080320	4005142
GIMLE	2010	11	0.020100	0.000000	0.000000	0.000000	0.020100	0.099790	4005142
GIMLE	2010	12	0.018890	0.000000	0.000000	0.000000	0.018890	0.098790	4005142
GIMLE	2011	1	0.018280	0.000000	0.000000	0.000000	0.018280	0.093500	4005142
GIMLE	2011	2	0.015310	0.000000	0.000000	0.000000	0.015310	0.093020	4005142
GIMLE	2011	3	0.014940	0.000000	0.000000	0.000000	0.014940	0.092760	4005142
GIMLE	2011	4	0.015590	0.000000	0.000000	0.000000	0.015590	0.101890	4005142
GIMLE	2011	5	0.012360	0.000000	0.000000	0.000000	0.012360	0.094750	4005142
GIMLE	2011	6	0.010330	0.000000	0.000000	0.000000	0.010330	0.088180	4005142
GIMLE	2011	7	0.025530	0.000000	0.000000	0.000000	0.025530	0.108680	4005142
GIMLE	2011	8	0.016180	0.000000	0.000000	0.000000	0.016180	0.093550	4005142
GIMLE	2011	9	0.015700	0.000000	0.000000	0.000000	0.015700	0.107890	4005142
GIMLE	2011	10	0.011460	0.000000	0.000000	0.000000	0.011460	0.090600	4005142
GIMLE	2011	11	0.024870	0.000000	0.000000	0.000000	0.024870	0.111490	4005142
GIMLE	2011	12	0.019080	0.000000	0.000000	0.000000	0.019080	0.115630	4005142
GIMLE	2012	1	0.015920	0.028650	0.011350	0.000000	0.055920	0.124800	4005142
GIMLE	2012	2	0.017940	0.026550	0.010890	0.000000	0.055370	0.116870	4005142
GIMLE	2012	3	0.014500	0.028420	0.011580	0.000000	0.054490	0.120670	4005142
GIMLE	2012	4	0.010740	0.031010	0.011780	0.000000	0.053530	0.116360	4005142
GIMLE	2012	5	0.015460	0.032200	0.012510	0.000000	0.060170	0.126530	4005142
GIMLE	2012	6	0.012520	0.030870	0.011780	0.000000	0.055160	0.121090	4005142
GIMLE	2012	7	0.010930	0.031400	0.012570	0.000000	0.054900	0.125730	4005142
GIMLE	2012	8	0.012370	0.030420	0.011520	0.000000	0.054300	0.112550	4005142
GIMLE	2012	9	0.012260	0.027620	0.011030	0.000000	0.050920	0.127860	4005142
GIMLE	2012	10	0.002320	0.001900	0.000710	0.000000	0.004930	0.024360	4005142
GIMLE	2012	11	0.011470	0.031400	0.014180	0.000000	0.057060	0.128970	4005142
GIMLE	2012	12	0.007970	0.030810	0.012730	0.000000	0.051520	0.076580	4005142
GIMLE	2013	1	0.012240	0.026570	0.010800	0.000000	0.049610	0.127110	4005142
GIMLE	2013	2	0.010980	0.029270	0.011510	0.000000	0.051760	0.121840	4005142
VOLUND	2009	9	0.008840	0.000860	0.000000	0.000000	0.009690	0.000020	4380167
VOLUND	2009	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4380167
VOLUND	2009	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4380167
VOLUND	2009	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4380167
VOLUND	2010	1	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4380167
VOLUND	2010	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4380167
VOLUND	2010	3	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4380167
VOLUND	2010	4	0.029080	0.002970	0.000000	0.000000	0.032050	0.000360	4380167
VOLUND	2010	5	0.064110	0.006920	0.000000	0.000000	0.071030	0.000020	4380167
VOLUND	2010	6	0.066330	0.007200	0.000000	0.000000	0.073530	0.000010	4380167
VOLUND	2010	7	0.071940	0.007530	0.000000	0.000000	0.079460	0.000000	4380167
VOLUND	2010	8	0.082070	0.008540	0.000000	0.000000	0.090610	0.000010	4380167
VOLUND	2010	9	0.116460	0.011820	0.000000	0.000000	0.128270	0.000000	4380167
VOLUND	2010	10	0.125920	0.012580	0.000000	0.000000	0.138500	0.000440	4380167
VOLUND	2010	11	0.107560	0.010860	0.000000	0.000000	0.118420	0.000010	4380167
VOLUND	2010	12	0.137760	0.013030	0.000000	0.000000	0.150780	0.000240	4380167
VOLUND	2011	1	0.125060	0.011610	0.000000	0.000000	0.136670	0.000480	4380167
VOLUND	2011	2	0.126540	0.012230	0.000000	0.000000	0.138770	0.000050	4380167
VOLUND	2011	3	0.154580	0.014750	0.000000	0.000000	0.169330	0.000330	4380167
VOLUND	2011	4	0.162510	0.015430	0.000000	0.000000	0.177940	0.000070	4380167
VOLUND	2011	5	0.093720	0.009070	0.000000	0.000000	0.102790	0.000810	4380167
VOLUND	2011	6	0.166990	0.016430	0.000000	0.000000	0.183420	0.001550	4380167
VOLUND	2011	7	0.179210	0.016970	0.000000	0.000000	0.196170	0.001520	4380167
VOLUND	2011	8	0.170330	0.015650	0.000000	0.000000	0.185970	0.001130	4380167
VOLUND	2011	9	0.175520	0.016380	0.000000	0.000000	0.191900	0.001370	4380167
VOLUND	2011	10	0.161420	0.014880	0.000000	0.000000	0.176300	0.001150	4380167
VOLUND	2011	11	0.155650	0.014670	0.000000	0.000000	0.170320	0.001180	4380167
VOLUND	2011	12	0.163680	0.015950	0.000000	0.000000	0.179620	0.001820	4380167
VOLUND	2012	1	0.176780	0.016790	0.000000	0.000000	0.193570	0.001500	4380167
VOLUND	2012	2	0.143390	0.013800	0.000000	0.000000	0.157190	0.001190	4380167
VOLUND	2012	3	0.178760	0.017020	0.000000	0.000000	0.195780	0.002450	4380167
VOLUND	2012	4	0.175150	0.016430	0.000000	0.000000	0.191580	0.003240	4380167
VOLUND	2012	5	0.174250	0.016420	0.000000	0.000000	0.190680	0.003160	4380167
VOLUND	2012	6	0.152260	0.014160	0.000000	0.000000	0.166410	0.002750	4380167
VOLUND	2012	7	0.171400	0.016250	0.000000	0.000000	0.187650	0.004680	4380167
VOLUND	2012	8	0.174810	0.016530	0.000000	0.000000	0.191340	0.005540	4380167
VOLUND	2012	9	0.167540	0.015310	0.000000	0.000000	0.182850	0.006550	4380167
VOLUND	2012	10	0.160630	0.014140	0.000000	0.000000	0.174770	0.008530	4380167
VOLUND	2012	11	0.156460	0.014600	0.000000	0.000000	0.171060	0.012110	4380167
VOLUND	2012	12	0.164590	0.014490	0.000000	0.000000	0.179080	0.012480	4380167
VOLUND	2013	1	0.157780	0.014020	0.000000	0.000000	0.171800	0.010880	4380167
VOLUND	2013	2	0.157900	0.014020	0.000000	0.000000	0.171920	0.007360	4380167
ALVE	2009	3	0.010510	0.035800	0.012650	0.000000	0.058960	0.000180	4444332
ALVE	2009	4	0.029980	0.102730	0.036790	0.000000	0.169500	0.000580	4444332
ALVE	2009	5	0.030520	0.105470	0.038070	0.000000	0.174060	0.000460	4444332
ALVE	2009	6	0.030640	0.106280	0.037740	0.000000	0.174660	0.000920	4444332
ALVE	2009	7	0.029590	0.103190	0.037230	0.000000	0.170010	0.000170	4444332
ALVE	2009	8	0.028790	0.101460	0.035050	0.000000	0.165300	0.000090	4444332
ALVE	2009	9	0.023420	0.081460	0.026480	0.000000	0.131360	0.000030	4444332
ALVE	2009	10	0.023950	0.083530	0.027280	0.000000	0.134750	0.000060	4444332
ALVE	2009	11	0.026870	0.094510	0.032030	0.000000	0.153410	0.000000	4444332
ALVE	2009	12	0.024490	0.085910	0.029250	0.000000	0.139650	0.000010	4444332
ALVE	2010	1	0.024680	0.087600	0.028900	0.000000	0.141180	0.000020	4444332
ALVE	2010	2	0.023160	0.078010	0.026340	0.000000	0.127500	0.000010	4444332
ALVE	2010	3	0.024270	0.082990	0.028650	0.000000	0.135910	0.000000	4444332
ALVE	2010	4	0.017260	0.058200	0.020260	0.000000	0.095720	0.000010	4444332
ALVE	2010	5	0.024070	0.082040	0.028590	0.000000	0.134700	0.000000	4444332
ALVE	2010	6	0.022290	0.075570	0.025930	0.000000	0.123790	0.000000	4444332
ALVE	2010	7	0.021130	0.072100	0.024330	0.000000	0.117550	0.000010	4444332
ALVE	2010	8	0.012970	0.045000	0.015100	0.000000	0.073080	0.000000	4444332
ALVE	2010	9	0.013550	0.044700	0.015810	0.000000	0.074060	0.000020	4444332
ALVE	2010	10	0.022800	0.074950	0.026630	0.000000	0.124390	0.000000	4444332
ALVE	2010	11	0.018980	0.069530	0.024580	0.000000	0.113080	0.000010	4444332
ALVE	2010	12	0.018570	0.068260	0.023990	0.000000	0.110830	0.000020	4444332
ALVE	2011	1	0.017490	0.064770	0.021750	0.000000	0.104000	0.000030	4444332
ALVE	2011	2	0.013200	0.048780	0.016450	0.000000	0.078430	0.000810	4444332
ALVE	2011	3	0.014010	0.052290	0.017560	0.000000	0.083860	0.000820	4444332
ALVE	2011	4	0.020330	0.051010	0.017250	0.000000	0.088590	0.000170	4444332
ALVE	2011	5	0.044530	0.073260	0.028750	0.000000	0.146540	0.000000	4444332
ALVE	2011	6	0.037160	0.074750	0.027810	0.000000	0.139720	0.000000	4444332
ALVE	2011	7	0.032250	0.063770	0.023140	0.000000	0.119160	0.000000	4444332
ALVE	2011	8	0.033130	0.073120	0.027430	0.000000	0.133670	0.000000	4444332
ALVE	2011	9	0.019430	0.043700	0.015340	0.000000	0.078470	0.000000	4444332
ALVE	2011	10	0.029530	0.068280	0.025800	0.000000	0.123600	0.000000	4444332
ALVE	2011	11	0.029770	0.068880	0.025770	0.000000	0.124430	0.000000	4444332
ALVE	2011	12	0.027650	0.064010	0.022580	0.000000	0.114240	0.000000	4444332
ALVE	2012	1	0.026910	0.063140	0.022530	0.000000	0.112570	0.000000	4444332
ALVE	2012	2	0.026610	0.062210	0.022900	0.000000	0.111720	0.000010	4444332
ALVE	2012	3	0.030330	0.066050	0.024270	0.000000	0.120650	0.000020	4444332
ALVE	2012	4	0.027560	0.040950	0.017380	0.000000	0.085890	0.000040	4444332
ALVE	2012	5	0.028780	0.056770	0.021140	0.000000	0.106680	0.000040	4444332
ALVE	2012	6	0.011030	0.022230	0.007310	0.000000	0.040570	0.000010	4444332
ALVE	2012	7	0.028070	0.056800	0.021260	0.000000	0.106130	0.000010	4444332
ALVE	2012	8	0.025820	0.047370	0.018130	0.000000	0.091310	0.000040	4444332
ALVE	2012	9	0.021400	0.051490	0.020370	0.000000	0.093270	0.000010	4444332
ALVE	2012	10	0.005040	0.011640	0.003670	0.000000	0.020350	0.000000	4444332
ALVE	2012	11	0.001180	0.005400	0.000360	0.000000	0.006930	0.000020	4444332
ALVE	2012	12	0.010730	0.020870	0.007090	0.000000	0.038680	0.000060	4444332
ALVE	2013	1	0.012510	0.023250	0.009000	0.000000	0.044770	0.000130	4444332
ALVE	2013	2	0.011950	0.023400	0.008140	0.000000	0.043490	0.000260	4444332
REV	2009	1	0.002660	0.009280	0.000000	0.000000	0.011940	0.000000	4467554
REV	2009	2	0.020810	0.045960	0.000000	0.000000	0.066770	0.000000	4467554
REV	2009	3	0.023020	0.061510	0.000000	0.000000	0.084530	0.000000	4467554
REV	2009	4	0.013080	0.024210	0.000000	0.000000	0.037290	0.000000	4467554
REV	2009	5	0.015290	0.042320	0.000000	0.000000	0.057610	0.000000	4467554
REV	2009	6	0.017800	0.046280	0.000000	0.000000	0.064080	0.000000	4467554
REV	2009	7	0.010740	0.025220	0.000000	0.000000	0.035960	0.000000	4467554
REV	2009	8	0.001680	0.016150	0.000000	0.000000	0.017830	0.000000	4467554
REV	2009	9	0.030850	0.077360	0.000000	0.000000	0.108210	0.000000	4467554
REV	2009	10	0.026550	0.063460	0.000000	0.000000	0.090010	0.000000	4467554
REV	2009	11	0.039970	0.106590	0.000000	0.000000	0.146560	0.000000	4467554
REV	2009	12	0.037920	0.110170	0.000000	0.000000	0.148090	0.000000	4467554
REV	2010	1	0.023720	0.102480	0.000000	0.000000	0.126200	0.000000	4467554
REV	2010	2	0.027790	0.093430	0.000000	0.000000	0.121220	0.000000	4467554
REV	2010	3	0.031010	0.096420	0.000000	0.000000	0.127430	0.000000	4467554
REV	2010	4	0.030330	0.111110	0.000000	0.000000	0.141440	0.000000	4467554
REV	2010	5	0.029200	0.108360	0.000000	0.000000	0.137570	0.000000	4467554
REV	2010	6	0.004730	0.000000	0.000000	0.000000	0.004730	0.000000	4467554
REV	2010	7	0.017950	0.093010	0.000000	0.000000	0.110960	0.000000	4467554
REV	2010	8	0.028980	0.101420	0.000000	0.000000	0.130400	0.000000	4467554
REV	2010	9	0.022420	0.100850	0.000000	0.000000	0.123270	0.000000	4467554
REV	2010	10	0.028980	0.115960	0.010060	0.000000	0.155000	0.000000	4467554
REV	2010	11	0.025620	0.103610	0.005000	0.000000	0.134230	0.000000	4467554
REV	2010	12	0.020750	0.101990	0.003940	0.000000	0.126670	0.000000	4467554
REV	2011	1	0.014740	0.075240	0.005820	0.000000	0.095790	0.002170	4467554
REV	2011	2	0.011450	0.058890	0.000000	0.000000	0.070340	0.000800	4467554
REV	2011	3	0.010950	0.066270	0.006080	0.000000	0.083300	0.000930	4467554
REV	2011	4	0.008840	0.053870	0.004760	0.000000	0.067460	0.000700	4467554
REV	2011	5	0.008840	0.045980	0.003690	0.000000	0.058510	0.000520	4467554
REV	2011	6	0.006340	0.030890	0.000000	0.000000	0.037230	0.000390	4467554
REV	2011	7	0.000140	0.000000	0.000000	0.000000	0.000140	0.000000	4467554
REV	2011	8	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4467554
REV	2011	9	0.000010	0.003110	0.000220	0.000000	0.003340	0.000000	4467554
REV	2011	10	0.007790	0.052120	0.004480	0.000000	0.064390	0.000080	4467554
REV	2011	11	0.008310	0.047070	0.004080	0.000000	0.059460	0.000320	4467554
REV	2011	12	0.006710	0.047100	0.004110	0.000000	0.057920	0.000250	4467554
REV	2012	1	0.006870	0.036530	0.003250	0.000000	0.046650	0.000410	4467554
REV	2012	2	0.007950	0.035810	0.002930	0.000000	0.046690	0.000450	4467554
REV	2012	3	0.006010	0.033840	0.000000	0.000000	0.039850	0.000370	4467554
REV	2012	4	0.007020	0.038150	0.003100	0.000000	0.048260	0.000620	4467554
REV	2012	5	0.006820	0.030490	0.002510	0.000000	0.039820	0.001200	4467554
REV	2012	6	0.002590	0.019480	0.001560	0.000000	0.023630	0.000250	4467554
REV	2012	7	0.004060	0.024770	0.001780	0.000000	0.030610	0.000690	4467554
REV	2012	8	0.003520	0.016720	0.001180	0.000000	0.021430	0.000470	4467554
REV	2012	9	0.002220	0.012260	0.001140	0.000000	0.015610	0.000690	4467554
REV	2012	10	0.002710	0.017590	0.001580	0.000000	0.021880	0.000420	4467554
REV	2012	11	0.003300	0.015730	0.001370	0.000000	0.020400	0.000680	4467554
REV	2012	12	0.004000	0.014840	0.001330	0.000000	0.020160	0.001080	4467554
REV	2013	1	0.005150	0.014890	0.001020	0.000000	0.021050	0.002650	4467554
REV	2013	2	0.004110	0.007670	0.000680	0.000000	0.012460	0.003580	4467554
GJØA	2010	11	0.112260	0.123000	0.000000	0.000000	0.235250	0.004550	4467574
GJØA	2010	12	0.128740	0.089610	0.000000	0.000000	0.218350	0.003000	4467574
GJØA	2011	1	0.180180	0.131360	0.000000	0.000000	0.311540	0.004240	4467574
GJØA	2011	2	0.216520	0.146550	0.028950	0.003730	0.395740	0.005920	4467574
GJØA	2011	3	0.246480	0.173740	0.000000	0.000000	0.420220	0.008720	4467574
GJØA	2011	4	0.224060	0.169810	0.108990	0.007760	0.510620	0.008730	4467574
GJØA	2011	5	0.231390	0.186100	0.121600	0.008530	0.547620	0.009700	4467574
GJØA	2011	6	0.201020	0.185780	0.120230	0.007030	0.514060	0.007570	4467574
GJØA	2011	7	0.170330	0.168000	0.101650	0.006030	0.446000	0.008290	4467574
GJØA	2011	8	0.176460	0.183150	0.116850	0.010130	0.486570	0.009650	4467574
GJØA	2011	9	0.149980	0.176740	0.089790	0.011400	0.427920	0.009970	4467574
GJØA	2011	10	0.124570	0.143290	0.085490	0.008550	0.361890	0.007590	4467574
GJØA	2011	11	0.052660	0.026780	0.019800	0.002190	0.101420	0.002710	4467574
GJØA	2011	12	0.175750	0.076250	0.052570	0.005710	0.310280	0.004790	4467574
GJØA	2012	1	0.334880	0.295800	0.208190	0.016660	0.855530	0.011220	4467574
GJØA	2012	2	0.298530	0.256820	0.170510	0.020590	0.746440	0.010460	4467574
GJØA	2012	3	0.315450	0.296030	0.198480	0.016370	0.826340	0.009820	4467574
GJØA	2012	4	0.290460	0.292520	0.191870	0.017700	0.792560	0.009770	4467574
GJØA	2012	5	0.278380	0.304110	0.198320	0.017540	0.798340	0.009620	4467574
GJØA	2012	6	0.236270	0.287320	0.176770	0.017070	0.717430	0.008410	4467574
GJØA	2012	7	0.231830	0.291170	0.176200	0.015330	0.714540	0.009170	4467574
GJØA	2012	8	0.152930	0.191970	0.086430	0.009500	0.440820	0.008040	4467574
GJØA	2012	9	0.139570	0.113810	0.018420	0.004980	0.276780	0.007520	4467574
GJØA	2012	10	0.173810	0.178830	0.069150	0.010240	0.432040	0.010950	4467574
GJØA	2012	11	0.112470	0.114140	0.060600	0.005520	0.292720	0.005780	4467574
GJØA	2012	12	0.197960	0.311880	0.193010	0.020970	0.723810	0.011600	4467574
GJØA	2013	1	0.190170	0.312340	0.180900	0.016290	0.699710	0.011560	4467574
GJØA	2013	2	0.167720	0.295050	0.171030	0.015490	0.649280	0.010160	4467574
VEGA	2010	12	0.017920	0.022720	0.000000	0.000000	0.040640	0.000000	4467595
VEGA	2011	1	0.038940	0.046050	0.000000	0.000000	0.085000	0.000720	4467595
VEGA	2011	2	0.064490	0.068860	0.017310	0.003290	0.153950	0.003540	4467595
VEGA	2011	3	0.076610	0.089760	0.000000	0.000000	0.166370	0.005570	4467595
VEGA	2011	4	0.064380	0.076920	0.049140	0.004400	0.194840	0.013510	4467595
VEGA	2011	5	0.055990	0.064260	0.041790	0.005690	0.167740	0.005110	4467595
VEGA	2011	6	0.067120	0.070080	0.046560	0.007150	0.190910	0.006620	4467595
VEGA	2011	7	0.055510	0.061970	0.038710	0.005080	0.161270	0.003990	4467595
VEGA	2011	8	0.065720	0.071220	0.047110	0.005710	0.189760	0.009320	4467595
VEGA	2011	9	0.055090	0.064820	0.034930	0.004010	0.158840	0.000900	4467595
VEGA	2011	10	0.051740	0.058150	0.036480	0.003480	0.149840	0.000880	4467595
VEGA	2011	11	0.011080	0.011940	0.008140	0.000920	0.032090	0.000200	4467595
VEGA	2011	12	0.051370	0.057870	0.039380	0.004490	0.153110	0.001200	4467595
VEGA	2012	1	0.067980	0.079490	0.059810	0.004660	0.211940	0.001000	4467595
VEGA	2012	2	0.072220	0.082590	0.056600	0.006610	0.218020	0.009810	4467595
VEGA	2012	3	0.066480	0.074680	0.052870	0.004110	0.198130	0.024310	4467595
VEGA	2012	4	0.065630	0.074650	0.052400	0.004410	0.197100	0.004800	4467595
VEGA	2012	5	0.067470	0.079500	0.055990	0.004730	0.207690	0.001050	4467595
VEGA	2012	6	0.062630	0.073460	0.049530	0.004830	0.190450	0.013750	4467595
VEGA	2012	7	0.086110	0.105090	0.074860	0.006580	0.272640	0.000000	4467595
VEGA	2012	8	0.060610	0.074420	0.038400	0.004030	0.177450	0.010030	4467595
VEGA	2012	9	0.058780	0.080050	0.013490	0.004760	0.157090	0.010280	4467595
VEGA	2012	10	0.096290	0.121140	0.056500	0.009380	0.283310	0.001240	4467595
VEGA	2012	11	0.052200	0.066710	0.039830	0.004640	0.163380	0.000750	4467595
VEGA	2012	12	0.101980	0.129740	0.076350	0.003660	0.311720	0.037060	4467595
VEGA	2013	1	0.098020	0.131940	0.079350	0.008370	0.317680	0.014500	4467595
VEGA	2013	2	0.088250	0.120720	0.078500	0.008600	0.296060	0.000000	4467595
SKARV	2013	1	0.032080	0.123090	0.032400	0.000000	0.187560	0.000000	4704482
SKARV	2013	2	0.044000	0.148850	0.035570	0.000000	0.228420	0.000000	4704482
MORVIN	2010	8	0.038700	0.000000	0.000000	0.000000	0.038700	0.000000	4966234
MORVIN	2010	9	0.051940	0.000000	0.000000	0.000000	0.051940	0.000000	4966234
MORVIN	2010	10	0.128130	0.000000	0.000000	0.000000	0.128130	0.000000	4966234
MORVIN	2010	11	0.107110	0.000000	0.000000	0.000000	0.107110	0.000000	4966234
MORVIN	2010	12	0.081140	0.000000	0.000000	0.000000	0.081140	0.000000	4966234
MORVIN	2011	1	0.099180	0.000000	0.000000	0.000000	0.099180	0.000000	4966234
MORVIN	2011	2	0.048930	0.000000	0.000000	0.000000	0.048930	0.000000	4966234
MORVIN	2011	3	0.043640	0.000000	0.000000	0.000000	0.043640	0.000000	4966234
MORVIN	2011	4	0.045520	0.000000	0.000000	0.000000	0.045520	0.000000	4966234
MORVIN	2011	5	0.089760	0.000000	0.000000	0.000000	0.089760	0.000000	4966234
MORVIN	2011	6	0.182940	0.000000	0.000000	0.000000	0.182940	0.000000	4966234
MORVIN	2011	7	0.232470	0.000000	0.000000	0.000000	0.232470	0.000000	4966234
MORVIN	2011	8	0.209030	0.000000	0.000000	0.000000	0.209030	0.000000	4966234
MORVIN	2011	9	0.162250	0.000000	0.000000	0.000000	0.162250	0.000000	4966234
MORVIN	2011	10	0.158900	0.000000	0.000000	0.000000	0.158900	0.000000	4966234
MORVIN	2011	11	0.148400	0.000000	0.000000	0.000000	0.148400	0.000000	4966234
MORVIN	2011	12	0.137440	0.000000	0.000000	0.000000	0.137440	0.000000	4966234
MORVIN	2012	1	0.144670	0.000000	0.000000	0.000000	0.144670	0.000000	4966234
MORVIN	2012	2	0.165430	0.000000	0.000000	0.000000	0.165430	0.000000	4966234
MORVIN	2012	3	0.172060	0.000000	0.000000	0.000000	0.172060	0.000000	4966234
MORVIN	2012	4	0.166220	0.000000	0.000000	0.000000	0.166220	0.000000	4966234
MORVIN	2012	5	0.163580	0.000000	0.000000	0.000000	0.163580	0.000000	4966234
MORVIN	2012	6	0.126980	0.000000	0.000000	0.000000	0.126980	0.000000	4966234
MORVIN	2012	7	0.120810	0.000000	0.000000	0.000000	0.120810	0.000000	4966234
MORVIN	2012	8	0.111080	0.000000	0.000000	0.000000	0.111080	0.000000	4966234
MORVIN	2012	9	0.112760	0.000000	0.000000	0.000000	0.112760	0.000000	4966234
MORVIN	2012	10	0.148270	0.000000	0.000000	0.000000	0.148270	0.000000	4966234
MORVIN	2012	11	0.135910	0.000000	0.000000	0.000000	0.135910	0.000000	4966234
MORVIN	2012	12	0.142900	0.000000	0.000000	0.000000	0.142900	0.000000	4966234
MORVIN	2013	1	0.134980	0.000000	0.000000	0.000000	0.134980	0.000000	4966234
MORVIN	2013	2	0.095210	0.000000	0.000000	0.000000	0.095210	0.000000	4966234
YTTERGRYTA	2009	1	0.009090	0.021690	0.008600	0.000000	0.039370	0.000000	4973114
YTTERGRYTA	2009	2	0.010920	0.023370	0.009080	0.000000	0.043370	0.000000	4973114
YTTERGRYTA	2009	3	0.009920	0.026080	0.009530	0.000000	0.045530	0.000000	4973114
YTTERGRYTA	2009	4	0.012060	0.025270	0.009340	0.000000	0.046670	0.000000	4973114
YTTERGRYTA	2009	5	0.010410	0.026330	0.009750	0.000000	0.046500	0.000210	4973114
YTTERGRYTA	2009	6	0.010440	0.025340	0.009230	0.000000	0.045000	0.000200	4973114
YTTERGRYTA	2009	7	0.010400	0.026340	0.009340	0.000000	0.046070	0.000220	4973114
YTTERGRYTA	2009	8	0.010730	0.026250	0.009710	0.000000	0.046690	0.000240	4973114
YTTERGRYTA	2009	9	0.009970	0.025710	0.008820	0.000000	0.044490	0.000210	4973114
YTTERGRYTA	2009	10	0.006140	0.026260	0.009300	0.000000	0.041700	0.000130	4973114
YTTERGRYTA	2009	11	0.005860	0.025730	0.009490	0.000000	0.041080	0.000120	4973114
YTTERGRYTA	2009	12	0.011320	0.023000	0.008540	0.000000	0.042860	0.000230	4973114
YTTERGRYTA	2010	1	0.008710	0.027610	0.009860	0.000000	0.046170	0.000190	4973114
YTTERGRYTA	2010	2	0.005670	0.024530	0.009210	0.000000	0.039410	0.000140	4973114
YTTERGRYTA	2010	3	0.011550	0.027480	0.010150	0.000000	0.049180	0.000240	4973114
YTTERGRYTA	2010	4	0.011780	0.026480	0.009920	0.000000	0.048180	0.000250	4973114
YTTERGRYTA	2010	5	0.010760	0.027340	0.010190	0.000000	0.048290	0.000230	4973114
YTTERGRYTA	2010	6	0.011110	0.026510	0.009900	0.000000	0.047520	0.000240	4973114
YTTERGRYTA	2010	7	0.010690	0.027510	0.010210	0.000000	0.048410	0.000230	4973114
YTTERGRYTA	2010	8	0.006280	0.015420	0.005460	0.000000	0.027160	0.000130	4973114
YTTERGRYTA	2010	9	0.007850	0.018600	0.006670	0.000000	0.033110	0.000160	4973114
YTTERGRYTA	2010	10	0.011600	0.027390	0.010230	0.000000	0.049220	0.000240	4973114
YTTERGRYTA	2010	11	0.010740	0.026650	0.009770	0.000000	0.047150	0.000230	4973114
YTTERGRYTA	2010	12	0.011030	0.036850	0.013640	0.000000	0.061520	0.000230	4973114
YTTERGRYTA	2011	1	0.010800	0.027480	0.010160	0.000000	0.048440	0.000230	4973114
YTTERGRYTA	2011	2	0.009410	0.024940	0.009140	0.000000	0.043480	0.000200	4973114
YTTERGRYTA	2011	3	0.010350	0.027470	0.010060	0.000000	0.047880	0.000220	4973114
YTTERGRYTA	2011	4	0.009480	0.024420	0.009020	0.000000	0.042910	0.000210	4973114
YTTERGRYTA	2011	5	0.010370	0.027460	0.010880	0.000000	0.048710	0.000240	4973114
YTTERGRYTA	2011	6	0.000010	0.026250	0.010200	0.000000	0.036460	0.000000	4973114
YTTERGRYTA	2011	7	0.000000	0.027040	0.010910	0.000000	0.037950	0.000000	4973114
YTTERGRYTA	2011	8	0.000000	0.027210	0.010770	0.000000	0.037980	0.000000	4973114
YTTERGRYTA	2011	9	0.001680	0.026080	0.010400	0.000000	0.038160	0.000030	4973114
YTTERGRYTA	2011	10	0.003050	0.027140	0.010930	0.000000	0.041120	0.000070	4973114
YTTERGRYTA	2011	11	0.000000	0.026150	0.010560	0.000000	0.036720	0.000000	4973114
YTTERGRYTA	2011	12	0.000060	0.025490	0.009690	0.000000	0.035240	0.000010	4973114
YTTERGRYTA	2012	1	0.000000	0.027200	0.010660	0.000000	0.037860	0.000000	4973114
YTTERGRYTA	2012	2	0.000260	0.025110	0.010220	0.000000	0.035600	0.000000	4973114
YTTERGRYTA	2012	3	0.000000	0.026110	0.010650	0.000000	0.036750	0.000000	4973114
YTTERGRYTA	2012	4	0.000000	0.026500	0.010110	0.000000	0.036610	0.000000	4973114
YTTERGRYTA	2012	5	0.000000	0.027370	0.010220	0.000000	0.037590	0.000000	4973114
YTTERGRYTA	2012	6	0.000000	0.023650	0.009190	0.000000	0.032840	0.000000	4973114
YTTERGRYTA	2012	7	0.000000	0.027370	0.010350	0.000000	0.037720	0.000000	4973114
YTTERGRYTA	2012	8	0.000000	0.027160	0.010370	0.000000	0.037530	0.000000	4973114
YTTERGRYTA	2012	9	0.000000	0.026530	0.010090	0.000000	0.036620	0.000000	4973114
YTTERGRYTA	2012	10	0.000010	0.025320	0.010450	0.000000	0.035780	0.000000	4973114
YTTERGRYTA	2012	11	0.000000	0.025980	0.010960	0.000000	0.036940	0.000000	4973114
YTTERGRYTA	2012	12	0.000000	0.013050	0.005350	0.000000	0.018390	0.000000	4973114
YTTERGRYTA	2013	1	0.000000	0.041820	0.017510	0.000000	0.059330	0.000000	4973114
YTTERGRYTA	2013	2	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	4973114
OSELVAR	2012	4	0.019730	0.000000	0.000940	0.000000	0.020680	0.000170	5506919
OSELVAR	2012	5	0.030170	0.000000	0.001490	0.000000	0.031650	0.000340	5506919
OSELVAR	2012	6	0.011220	0.000000	0.000560	0.000000	0.011780	0.000150	5506919
OSELVAR	2012	7	0.028820	0.000000	0.001320	0.000000	0.030130	0.000540	5506919
OSELVAR	2012	8	0.024390	0.000000	0.001090	0.000000	0.025480	0.002090	5506919
OSELVAR	2012	9	0.009400	0.000000	0.000470	0.000000	0.009860	0.000390	5506919
OSELVAR	2012	10	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	5506919
OSELVAR	2012	11	0.005800	0.000000	0.000270	0.000000	0.006060	0.000080	5506919
OSELVAR	2012	12	0.022030	0.000000	0.001080	0.000000	0.023100	0.000310	5506919
OSELVAR	2013	1	0.019990	0.000000	0.000960	0.000000	0.020950	0.000550	5506919
OSELVAR	2013	2	0.018370	0.000000	0.000920	0.000000	0.019280	0.000000	5506919
TRYM	2011	2	0.017040	0.024320	0.000000	0.000000	0.041360	0.000000	18081500
TRYM	2011	3	0.019730	0.026840	0.000000	0.000000	0.046570	0.000000	18081500
TRYM	2011	4	0.019730	0.028150	0.000000	0.000000	0.047880	0.000150	18081500
TRYM	2011	5	0.033970	0.047570	0.000000	0.000000	0.081540	0.000000	18081500
TRYM	2011	6	0.026230	0.035790	0.000000	0.000000	0.062020	0.000000	18081500
TRYM	2011	7	0.029120	0.039560	0.000000	0.000000	0.068680	0.000000	18081500
TRYM	2011	8	0.041890	0.057610	0.000000	0.000000	0.099510	0.000000	18081500
TRYM	2011	9	0.037050	0.051000	0.000000	0.000000	0.088040	0.000000	18081500
TRYM	2011	10	0.041520	0.056250	0.000000	0.000000	0.097760	0.000000	18081500
TRYM	2011	11	0.033380	0.045480	0.000000	0.000000	0.078860	0.000000	18081500
TRYM	2011	12	0.030260	0.040880	0.000000	0.000000	0.071140	0.000000	18081500
TRYM	2012	1	0.041970	0.060430	0.000000	0.000000	0.102400	0.000000	18081500
TRYM	2012	2	0.036470	0.052570	0.000000	0.000000	0.089040	0.000000	18081500
TRYM	2012	3	0.026410	0.039320	0.000000	0.000000	0.065730	0.000000	18081500
TRYM	2012	4	0.036470	0.052570	0.000000	0.000000	0.089040	0.000000	18081500
TRYM	2012	5	0.034580	0.059650	0.000000	0.000000	0.094240	0.000000	18081500
TRYM	2012	6	0.031750	0.054480	0.000000	0.000000	0.086230	0.000000	18081500
TRYM	2012	7	0.026620	0.045570	0.000000	0.000000	0.072190	0.000000	18081500
TRYM	2012	8	0.022530	0.042120	0.000000	0.000000	0.064640	0.000000	18081500
TRYM	2012	9	0.022900	0.043150	0.000000	0.000000	0.066050	0.000000	18081500
TRYM	2012	10	0.031550	0.059750	0.000000	0.000000	0.091290	0.000000	18081500
TRYM	2012	11	0.030040	0.056820	0.000000	0.000000	0.086860	0.000000	18081500
TRYM	2012	12	0.032390	0.061040	0.000000	0.000000	0.093430	0.000000	18081500
TRYM	2013	1	0.030760	0.057700	0.000000	0.000000	0.088460	0.000000	18081500
TRYM	2013	2	0.028670	0.057700	0.000000	0.000000	0.086370	0.000000	18081500
GAUPE	2012	4	0.017100	0.009750	0.000790	0.000440	0.028090	0.000340	18161341
GAUPE	2012	5	0.012690	0.010610	0.000880	0.000470	0.024650	0.000300	18161341
GAUPE	2012	6	0.010520	0.010970	0.000870	0.000490	0.022850	0.000270	18161341
GAUPE	2012	7	0.018680	0.030340	0.002110	0.001230	0.052370	0.000290	18161341
GAUPE	2012	8	0.015290	0.025020	0.001800	0.000750	0.042860	0.000140	18161341
GAUPE	2012	9	0.002220	0.005780	0.000550	0.000210	0.008760	0.000060	18161341
GAUPE	2012	10	0.012900	0.022630	0.002060	0.000960	0.038550	0.000250	18161341
GAUPE	2012	11	0.012610	0.025410	0.002390	0.001110	0.041520	0.000730	18161341
GAUPE	2012	12	0.009360	0.020900	0.001890	0.000890	0.033040	0.001360	18161341
GAUPE	2013	1	0.009140	0.020480	0.001820	0.000980	0.032410	0.001670	18161341
GAUPE	2013	2	0.005220	0.023020	0.001060	0.000540	0.029840	0.001030	18161341
MARULK	2012	4	0.007620	0.083960	0.014100	0.000000	0.105680	0.000630	18212090
MARULK	2012	5	0.008250	0.091310	0.015390	0.000000	0.114950	0.000740	18212090
MARULK	2012	6	0.007790	0.083570	0.013900	0.000000	0.105270	0.000710	18212090
MARULK	2012	7	0.008940	0.097570	0.016940	0.000000	0.123450	0.000770	18212090
MARULK	2012	8	0.007840	0.085000	0.014530	0.000000	0.107370	0.000630	18212090
MARULK	2012	9	0.008410	0.092230	0.015800	0.000000	0.116430	0.000380	18212090
MARULK	2012	10	0.000700	0.007600	0.001410	0.000000	0.009710	0.000040	18212090
MARULK	2012	11	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	18212090
MARULK	2012	12	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	18212090
MARULK	2013	1	0.001220	0.013250	0.002360	0.000000	0.016820	0.000190	18212090
MARULK	2013	2	0.000170	0.002000	0.000340	0.000000	0.002500	0.000030	18212090
VISUND SØR	2012	11	0.013140	0.002650	0.001220	0.000000	0.017010	0.000210	20461008
VISUND SØR	2012	12	0.036280	0.014900	0.003840	0.000000	0.055020	0.000270	20461008
VISUND SØR	2013	1	0.030920	0.019830	0.005450	0.000000	0.056190	0.000270	20461008
VISUND SØR	2013	2	0.031660	0.026800	0.006030	0.000000	0.064490	0.000410	20461008
ISLAY	2012	4	0.000160	0.002310	0.000210	0.000000	0.002690	0.000000	21105675
ISLAY	2012	5	0.000250	0.003680	0.000340	0.000000	0.004270	0.000000	21105675
ISLAY	2012	6	0.000230	0.003330	0.000310	0.000000	0.003860	0.000000	21105675
ISLAY	2012	7	0.000260	0.003780	0.000350	0.000000	0.004380	0.000000	21105675
ISLAY	2012	8	0.000240	0.003610	0.000330	0.000000	0.004180	0.000000	21105675
ISLAY	2012	9	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	21105675
ISLAY	2012	10	0.000070	0.000960	0.000090	0.000000	0.001120	0.000000	21105675
ISLAY	2012	11	0.000230	0.003750	0.000340	0.000000	0.004320	0.000000	21105675
ISLAY	2012	12	0.000240	0.003980	0.000360	0.000000	0.004580	0.000000	21105675
ISLAY	2013	1	0.000210	0.003490	0.000320	0.000000	0.004020	0.000000	21105675
ISLAY	2013	2	0.000200	0.003520	0.000320	0.000000	0.004040	0.000000	21105675
ATLA	2012	10	0.013000	0.019090	0.000000	0.000000	0.032090	0.000000	21106284
ATLA	2012	11	0.015940	0.027370	0.000000	0.000000	0.043310	0.000000	21106284
ATLA	2012	12	0.009470	0.000000	0.000000	0.000000	0.009470	0.000000	21106284
ATLA	2013	1	0.006490	0.000000	0.000000	0.000000	0.006490	0.000000	21106284
ATLA	2013	2	0.005360	0.000000	0.000000	0.000000	0.005360	0.000000	21106284
\.



COPY field_production_totalt_ncs_month (prfyear, prfmonth, prfprdoilnetmillsm3, prfprdgasnetbillsm3, prfprdnglnetmillsm3, prfprdcondensatenetmillsm3, prfprdoenetmillsm3, prfprdproducedwaterinfieldmillsm3) FROM stdin;
1971	6	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000
1971	7	0.034000	0.000000	0.000000	0.000000	0.034000	0.000000
1971	8	0.051000	0.000000	0.000000	0.000000	0.051000	0.000000
1971	9	0.064000	0.000000	0.000000	0.000000	0.064000	0.000000
1971	10	0.086000	0.000000	0.000000	0.000000	0.086000	0.000000
1971	11	0.058000	0.000000	0.000000	0.000000	0.058000	0.000000
1971	12	0.063000	0.000000	0.000000	0.000000	0.063000	0.000000
1972	1	0.047000	0.000000	0.000000	0.000000	0.047000	0.000000
1972	2	0.145000	0.000000	0.000000	0.000000	0.145000	0.000000
1972	3	0.173000	0.000000	0.000000	0.000000	0.173000	0.000000
1972	4	0.195000	0.000000	0.000000	0.000000	0.195000	0.000000
1972	5	0.199000	0.000000	0.000000	0.000000	0.199000	0.000000
1972	6	0.188000	0.000000	0.000000	0.000000	0.188000	0.000000
1972	7	0.203000	0.000000	0.000000	0.000000	0.203000	0.000000
1972	8	0.205000	0.000000	0.000000	0.000000	0.205000	0.000000
1972	9	0.173000	0.000000	0.000000	0.000000	0.173000	0.000000
1972	10	0.173000	0.000000	0.000000	0.000000	0.173000	0.000000
1972	11	0.101000	0.000000	0.000000	0.000000	0.101000	0.000000
1972	12	0.125000	0.000000	0.000000	0.000000	0.125000	0.000000
1973	1	0.185000	0.000000	0.000000	0.000000	0.185000	0.000000
1973	2	0.119000	0.000000	0.000000	0.000000	0.119000	0.000000
1973	3	0.207000	0.000000	0.000000	0.000000	0.207000	0.000000
1973	4	0.136000	0.000000	0.000000	0.000000	0.136000	0.000000
1973	5	0.190000	0.000000	0.000000	0.000000	0.190000	0.000000
1973	6	0.190000	0.000000	0.000000	0.000000	0.190000	0.000000
1973	7	0.171000	0.000000	0.000000	0.000000	0.171000	0.000000
1973	8	0.180000	0.000000	0.000000	0.000000	0.180000	0.000000
1973	9	0.194000	0.000000	0.000000	0.000000	0.194000	0.000000
1973	10	0.189000	0.000000	0.000000	0.000000	0.189000	0.000000
1973	11	0.092000	0.000000	0.000000	0.000000	0.092000	0.000000
1973	12	0.017000	0.000000	0.000000	0.000000	0.017000	0.000000
1974	1	0.009000	0.000000	0.000000	0.000000	0.009000	0.000000
1974	2	0.113000	0.000000	0.000000	0.000000	0.113000	0.000000
1974	3	0.083000	0.000000	0.000000	0.000000	0.083000	0.000000
1974	4	0.070000	0.000000	0.000000	0.000000	0.070000	0.000000
1974	5	0.124000	0.000000	0.000000	0.000000	0.124000	0.000000
1974	6	0.179000	0.000000	0.000000	0.000000	0.179000	0.000000
1974	7	0.247000	0.000000	0.000000	0.000000	0.247000	0.000000
1974	8	0.226000	0.000000	0.000000	0.000000	0.226000	0.000000
1974	9	0.237000	0.000000	0.000000	0.000000	0.237000	0.000000
1974	10	0.219000	0.000000	0.000000	0.000000	0.219000	0.000000
1974	11	0.280000	0.000000	0.000000	0.000000	0.280000	0.000000
1974	12	0.227000	0.000000	0.000000	0.000000	0.227000	0.000000
1975	1	0.117000	0.000000	0.000000	0.000000	0.117000	0.000000
1975	2	0.342000	0.000000	0.000000	0.000000	0.342000	0.000000
1975	3	0.604000	0.000000	0.000000	0.000000	0.604000	0.000000
1975	4	0.718000	0.000000	0.000000	0.000000	0.718000	0.000000
1975	5	0.824000	0.000000	0.000000	0.000000	0.824000	0.000000
1975	6	1.045000	0.000000	0.000000	0.000000	1.045000	0.000000
1975	7	1.255000	0.000000	0.000000	0.000000	1.255000	0.000000
1975	8	1.074000	0.000000	0.000000	0.000000	1.074000	0.000000
1975	9	1.383000	0.000000	0.000000	0.000000	1.383000	0.000000
1975	10	1.291000	0.000000	0.000000	0.000000	1.291000	0.000000
1975	11	1.097000	0.000000	0.000000	0.000000	1.097000	0.000000
1975	12	1.245000	0.000000	0.000000	0.000000	1.245000	0.000000
1976	1	1.298000	0.000000	0.000000	0.000000	1.298000	0.000000
1976	2	1.285000	0.000000	0.000000	0.000000	1.285000	0.000000
1976	3	1.320000	0.000000	0.000000	0.000000	1.320000	0.000000
1976	4	0.935000	0.000000	0.000000	0.000000	0.935000	0.000000
1976	5	0.830000	0.000000	0.000000	0.000000	0.830000	0.000000
1976	6	1.338000	0.000000	0.000000	0.000000	1.338000	0.000000
1976	7	1.568000	0.000000	0.000000	0.000000	1.568000	0.000000
1976	8	1.600000	0.000000	0.000000	0.000000	1.600000	0.000000
1976	9	1.477000	0.000000	0.000000	0.000000	1.477000	0.000000
1976	10	1.719000	0.000000	0.000000	0.000000	1.719000	0.000000
1976	11	1.143000	0.000000	0.000000	0.000000	1.143000	0.000000
1976	12	1.713000	0.000000	0.000000	0.000000	1.713000	0.000000
1977	1	1.700000	0.000000	0.000000	0.000000	1.700000	0.000000
1977	2	1.494000	0.000000	0.000000	0.000000	1.494000	0.000000
1977	3	1.571000	0.000000	0.000000	0.000000	1.571000	0.000000
1977	4	1.128000	0.000000	0.000000	0.000000	1.128000	0.000000
1977	5	0.776000	0.000000	0.000000	0.000000	0.776000	0.000000
1977	6	0.997000	0.000000	0.000000	0.000000	0.997000	0.000000
1977	7	1.266000	0.000000	0.000000	0.000000	1.266000	0.000000
1977	8	1.386000	0.000000	0.000000	0.000000	1.386000	0.000000
1977	9	1.290000	0.267000	0.000000	0.000000	1.557000	0.000000
1977	10	1.547000	0.695000	0.000000	0.000000	2.242000	0.000000
1977	11	1.583000	0.672000	0.000000	0.001000	2.256000	0.000000
1977	12	1.903000	1.021000	0.000000	0.002000	2.927000	0.000000
1978	1	1.954000	1.150000	0.000000	0.001000	3.106000	0.000000
1978	2	1.704000	1.049000	0.000000	0.001000	2.755000	0.000000
1978	3	1.760000	1.019000	0.000000	0.002000	2.782000	0.000000
1978	4	1.753000	1.063000	0.000000	0.001000	2.817000	0.000000
1978	5	1.674000	0.847000	0.000000	0.001000	2.523000	0.000000
1978	6	1.290000	0.812000	0.000000	0.001000	2.103000	0.000000
1978	7	1.767000	0.989000	0.000000	0.001000	2.757000	0.000000
1978	8	1.860000	0.984000	0.000000	0.001000	2.844000	0.000000
1978	9	1.742000	1.385000	0.000000	0.002000	3.128000	0.000000
1978	10	1.703000	1.472000	0.000000	0.003000	3.179000	0.000000
1978	11	1.719000	1.663000	0.000000	0.003000	3.385000	0.000000
1978	12	1.718000	1.768000	0.000000	0.003000	3.488000	0.000000
1979	1	1.766000	1.863000	0.000000	0.004000	3.633000	0.000000
1979	2	1.613000	1.626000	0.000000	0.004000	3.243000	0.000000
1979	3	1.714000	1.745000	0.014000	0.004000	3.477000	0.000000
1979	4	1.859000	1.621000	0.051000	0.004000	3.534000	0.000000
1979	5	1.778000	1.573000	0.061000	0.003000	3.416000	0.000000
1979	6	1.640000	1.083000	0.066000	0.003000	2.792000	0.000000
1979	7	1.716000	1.521000	0.129000	0.002000	3.367000	0.000000
1979	8	1.889000	1.722000	0.162000	0.003000	3.776000	0.000000
1979	9	2.100000	1.762000	0.172000	0.003000	4.037000	0.000000
1979	10	1.656000	1.685000	0.103000	0.005000	3.449000	0.000000
1979	11	2.228000	2.157000	0.177000	0.005000	4.567000	0.000000
1979	12	2.520000	2.312000	0.193000	0.005000	5.030000	0.000000
1980	1	2.638000	2.437000	0.217000	0.005000	5.298000	0.000000
1980	2	2.642000	2.378000	0.215000	0.006000	5.241000	0.000000
1980	3	2.572000	2.378000	0.200000	0.006000	5.155000	0.000000
1980	4	2.386000	2.108000	0.197000	0.005000	4.695000	0.000000
1980	5	2.538000	2.069000	0.226000	0.003000	4.837000	0.000000
1980	6	2.419000	1.966000	0.217000	0.003000	4.605000	0.000000
1980	7	1.213000	1.383000	0.102000	0.004000	2.701000	0.000000
1980	8	2.412000	1.884000	0.213000	0.003000	4.512000	0.000000
1980	9	2.195000	1.939000	0.198000	0.003000	4.336000	0.000000
1980	10	2.405000	2.059000	0.219000	0.004000	4.687000	0.000000
1980	11	2.312000	2.195000	0.221000	0.003000	4.732000	0.000000
1980	12	2.487000	2.291000	0.217000	0.004000	4.999000	0.000000
1981	1	2.411000	2.415000	0.216000	0.005000	5.047000	0.000000
1981	2	2.201000	2.202000	0.199000	0.005000	4.608000	0.000000
1981	3	2.354000	2.468000	0.199000	0.005000	5.026000	0.000000
1981	4	2.213000	2.316000	0.206000	0.004000	4.739000	0.000000
1981	5	2.581000	1.957000	0.207000	0.003000	4.747000	0.000000
1981	6	2.536000	1.858000	0.194000	0.003000	4.590000	0.000000
1981	7	2.556000	1.851000	0.201000	0.003000	4.612000	0.000000
1981	8	1.590000	1.080000	0.070000	0.003000	2.744000	0.000000
1981	9	2.276000	1.993000	0.185000	0.003000	4.457000	0.000000
1981	10	1.976000	2.151000	0.157000	0.004000	4.289000	0.000000
1981	11	2.373000	2.230000	0.168000	0.004000	4.774000	0.000000
1981	12	2.418000	2.431000	0.165000	0.006000	5.019000	0.000000
1982	1	2.551000	2.579000	0.188000	0.006000	5.324000	0.000000
1982	2	2.249000	2.310000	0.175000	0.005000	4.739000	0.000000
1982	3	2.487000	2.563000	0.213000	0.005000	5.268000	0.000000
1982	4	2.558000	2.375000	0.193000	0.004000	5.129000	0.000000
1982	5	2.325000	1.891000	0.155000	0.003000	4.374000	0.000000
1982	6	2.121000	1.559000	0.181000	0.003000	3.864000	0.000000
1982	7	2.390000	1.476000	0.197000	0.002000	4.066000	0.000000
1982	8	2.412000	1.347000	0.193000	0.002000	3.953000	0.000000
1982	9	2.089000	1.446000	0.189000	0.002000	3.726000	0.000000
1982	10	1.927000	1.888000	0.173000	0.003000	3.990000	0.000000
1982	11	2.636000	2.212000	0.212000	0.004000	5.064000	0.000000
1982	12	2.784000	2.313000	0.217000	0.005000	5.319000	0.000000
1983	1	2.580000	2.321000	0.211000	0.004000	5.116000	0.000000
1983	2	2.778000	2.102000	0.190000	0.005000	5.074000	0.000000
1983	3	3.002000	2.274000	0.242000	0.004000	5.521000	0.000000
1983	4	2.945000	2.049000	0.235000	0.003000	5.232000	0.000000
1983	5	2.958000	1.808000	0.243000	0.004000	5.012000	0.000000
1983	6	2.993000	1.553000	0.226000	0.002000	4.774000	0.000000
1983	7	3.248000	1.541000	0.231000	0.001000	5.020000	0.000000
1983	8	2.771000	1.538000	0.221000	0.002000	4.532000	0.000000
1983	9	2.814000	1.594000	0.212000	0.002000	4.622000	0.000000
1983	10	3.147000	2.114000	0.221000	0.003000	5.486000	0.000000
1983	11	3.119000	2.248000	0.221000	0.006000	5.593000	0.000000
1983	12	3.290000	2.473000	0.227000	0.006000	5.995000	0.000000
1984	1	3.387000	2.487000	0.231000	0.005000	6.109000	0.000000
1984	2	3.181000	2.440000	0.229000	0.005000	5.855000	0.000000
1984	3	3.205000	2.661000	0.239000	0.006000	6.110000	0.000000
1984	4	3.201000	2.324000	0.223000	0.005000	5.753000	0.000000
1984	5	3.508000	2.204000	0.237000	0.005000	5.954000	0.000000
1984	6	3.256000	1.906000	0.217000	0.005000	5.384000	0.000000
1984	7	3.242000	1.558000	0.206000	0.001000	5.007000	0.000000
1984	8	3.411000	1.330000	0.157000	0.002000	4.900000	0.000000
1984	9	3.484000	1.733000	0.213000	0.010000	5.439000	0.000000
1984	10	3.760000	2.272000	0.232000	0.007000	6.272000	0.000000
1984	11	3.631000	2.454000	0.224000	0.006000	6.315000	0.000000
1984	12	3.827000	2.595000	0.233000	0.007000	6.662000	0.000000
1985	1	3.518000	2.812000	0.201000	0.008000	6.539000	0.000000
1985	2	3.158000	2.484000	0.209000	0.008000	5.859000	0.000000
1985	3	3.635000	2.702000	0.249000	0.009000	6.595000	0.000000
1985	4	3.555000	2.519000	0.234000	0.008000	6.317000	0.000000
1985	5	3.588000	2.344000	0.232000	0.008000	6.171000	0.000000
1985	6	3.050000	1.825000	0.208000	0.005000	5.088000	0.000000
1985	7	3.979000	1.631000	0.236000	0.003000	5.850000	0.000000
1985	8	3.841000	1.644000	0.223000	0.003000	5.710000	0.000000
1985	9	3.884000	1.576000	0.217000	0.004000	5.682000	0.000000
1985	10	4.211000	1.827000	0.277000	0.006000	6.322000	0.000000
1985	11	4.159000	2.245000	0.278000	0.005000	6.688000	0.000000
1985	12	4.179000	2.577000	0.404000	0.007000	7.166000	0.000000
1986	1	4.161000	2.599000	0.341000	0.006000	7.107000	0.000000
1986	2	3.822000	2.371000	0.259000	0.007000	6.460000	0.000000
1986	3	4.177000	2.594000	0.349000	0.009000	7.130000	0.000000
1986	4	1.456000	1.079000	0.110000	0.002000	2.647000	0.000000
1986	5	3.830000	2.181000	0.338000	0.005000	6.353000	0.000000
1986	6	4.111000	1.886000	0.369000	0.004000	6.369000	0.000000
1986	7	4.462000	2.007000	0.357000	0.001000	6.825000	0.000000
1986	8	4.454000	2.002000	0.337000	0.003000	6.796000	0.000000
1986	9	3.990000	1.934000	0.296000	0.006000	6.226000	0.000000
1986	10	4.577000	2.525000	0.312000	0.007000	7.421000	0.000000
1986	11	4.714000	2.417000	0.348000	0.006000	7.484000	0.000000
1986	12	5.018000	2.496000	0.429000	0.006000	7.949000	0.000000
1987	1	5.187000	2.807000	0.319000	0.007000	8.319000	0.000000
1987	2	4.383000	2.460000	0.329000	0.005000	7.176000	0.000000
1987	3	4.764000	2.713000	0.360000	0.005000	7.842000	0.000000
1987	4	4.884000	2.417000	0.383000	0.006000	7.690000	0.000000
1987	5	5.013000	2.386000	0.366000	0.005000	7.771000	0.000000
1987	6	3.982000	2.105000	0.320000	0.004000	6.411000	0.000000
1987	7	4.957000	1.923000	0.311000	0.000000	7.191000	0.000000
1987	8	3.776000	1.215000	0.110000	0.002000	5.103000	0.000000
1987	9	4.936000	2.078000	0.402000	0.004000	7.420000	0.000000
1987	10	5.309000	2.530000	0.371000	0.005000	8.214000	0.000000
1987	11	4.960000	2.744000	0.373000	0.005000	8.081000	0.000000
1987	12	4.808000	2.774000	0.475000	0.006000	8.063000	0.000000
1988	1	5.424000	2.709000	0.372000	0.006000	8.511000	0.000000
1988	2	5.050000	2.631000	0.401000	0.004000	8.087000	0.000000
1988	3	5.589000	2.700000	0.405000	0.005000	8.700000	0.000000
1988	4	5.489000	2.592000	0.389000	0.005000	8.476000	0.000000
1988	5	5.314000	2.245000	0.371000	0.005000	7.935000	0.000000
1988	6	4.125000	2.094000	0.367000	0.004000	6.590000	0.000000
1988	7	5.586000	2.031000	0.400000	0.001000	8.019000	0.000000
1988	8	5.051000	1.950000	0.391000	0.002000	7.394000	0.000000
1988	9	5.576000	1.911000	0.384000	0.003000	7.873000	0.000000
1988	10	5.882000	2.233000	0.411000	0.003000	8.530000	0.000000
1988	11	5.713000	2.549000	0.427000	0.004000	8.693000	0.000000
1988	12	5.923000	2.684000	0.528000	0.004000	9.139000	0.000000
1989	1	6.973000	2.788000	0.373000	0.005000	10.138000	0.000000
1989	2	5.799000	2.559000	0.389000	0.005000	8.751000	0.000000
1989	3	7.389000	2.603000	0.439000	0.004000	10.436000	0.000000
1989	4	7.461000	2.517000	0.381000	0.004000	10.363000	0.000000
1989	5	7.412000	2.232000	0.414000	0.005000	10.064000	0.000000
1989	6	6.589000	2.082000	0.348000	0.005000	9.024000	0.000000
1989	7	7.655000	1.977000	0.492000	0.000000	10.123000	0.000000
1989	8	7.651000	2.109000	0.421000	0.003000	10.184000	0.000000
1989	9	6.771000	2.129000	0.336000	0.004000	9.239000	0.000000
1989	10	7.638000	2.508000	0.415000	0.003000	10.565000	0.000000
1989	11	7.619000	2.559000	0.442000	0.006000	10.626000	0.000000
1989	12	7.026000	2.675000	0.447000	0.008000	10.156000	0.000000
1990	1	7.754000	2.656000	0.373000	0.006000	10.789000	0.000000
1990	2	7.009000	2.377000	0.393000	0.004000	9.783000	0.000000
1990	3	7.936000	2.497000	0.418000	0.004000	10.856000	0.000000
1990	4	7.815000	1.842000	0.408000	0.003000	10.069000	0.000000
1990	5	8.185000	1.804000	0.376000	0.002000	10.367000	0.000000
1990	6	7.591000	1.710000	0.426000	0.003000	9.730000	0.000000
1990	7	7.065000	1.605000	0.340000	0.004000	9.013000	0.000000
1990	8	6.984000	1.982000	0.429000	0.004000	9.398000	0.000000
1990	9	7.628000	2.031000	0.391000	0.003000	10.053000	0.000000
1990	10	9.009000	2.172000	0.459000	0.005000	11.646000	0.000000
1990	11	8.869000	2.349000	0.460000	0.005000	11.683000	0.000000
1990	12	8.699000	2.455000	0.537000	0.005000	11.696000	0.000000
1991	1	9.181000	2.414000	0.389000	0.004000	11.988000	0.000000
1991	2	8.320000	2.229000	0.407000	0.005000	10.962000	0.000000
1991	3	9.153000	2.370000	0.437000	0.005000	11.966000	0.000000
1991	4	8.869000	2.221000	0.428000	0.006000	11.525000	0.000000
1991	5	9.599000	2.320000	0.430000	0.004000	12.352000	0.000000
1991	6	8.498000	1.965000	0.413000	0.004000	10.879000	0.000000
1991	7	8.877000	1.887000	0.379000	0.003000	11.146000	0.000000
1991	8	7.052000	0.883000	0.102000	0.007000	8.045000	0.000000
1991	9	10.171000	1.753000	0.427000	0.001000	12.351000	0.000000
1991	10	9.471000	2.228000	0.488000	0.005000	12.192000	0.000000
1991	11	9.237000	2.336000	0.459000	0.006000	12.038000	0.000000
1991	12	10.082000	2.422000	0.538000	0.007000	13.049000	0.000000
1992	1	10.759000	2.418000	0.365000	0.008000	13.549000	0.000000
1992	2	9.385000	2.261000	0.423000	0.004000	12.072000	0.000000
1992	3	10.538000	2.335000	0.408000	0.007000	13.288000	0.000000
1992	4	10.472000	2.238000	0.459000	0.003000	13.171000	0.000000
1992	5	9.523000	1.934000	0.378000	0.004000	11.839000	0.000000
1992	6	10.039000	2.081000	0.414000	0.002000	12.536000	0.000000
1992	7	10.527000	2.014000	0.412000	0.004000	12.956000	0.000000
1992	8	10.040000	2.118000	0.443000	0.006000	12.607000	0.000000
1992	9	9.845000	1.990000	0.322000	0.001000	12.158000	0.000000
1992	10	10.887000	2.115000	0.399000	0.005000	13.405000	0.000000
1992	11	10.697000	2.070000	0.410000	0.006000	13.183000	0.000000
1992	12	11.288000	2.260000	0.527000	0.004000	14.079000	0.000000
1993	1	9.943000	2.304000	0.351000	0.005000	12.604000	0.000000
1993	2	9.514000	2.063000	0.405000	0.002000	11.984000	0.000000
1993	3	11.518000	2.187000	0.482000	0.002000	14.189000	0.000000
1993	4	11.232000	1.975000	0.433000	0.006000	13.646000	0.000000
1993	5	11.228000	2.075000	0.439000	0.002000	13.744000	0.000000
1993	6	9.534000	1.459000	0.322000	0.001000	11.316000	0.000000
1993	7	11.659000	1.675000	0.491000	0.004000	13.828000	0.000000
1993	8	11.066000	1.643000	0.411000	0.003000	13.122000	0.000000
1993	9	10.342000	1.979000	0.444000	0.032000	12.797000	0.000000
1993	10	12.041000	2.403000	0.562000	0.110000	15.116000	0.000000
1993	11	11.821000	2.470000	0.576000	0.140000	15.007000	0.000000
1993	12	11.947000	2.571000	0.603000	0.168000	15.288000	0.000000
1994	1	12.078000	2.524000	0.593000	0.178000	15.373000	0.000000
1994	2	11.179000	2.286000	0.537000	0.152000	14.153000	0.000000
1994	3	12.239000	2.342000	0.578000	0.144000	15.303000	0.000000
1994	4	11.571000	2.286000	0.533000	0.135000	14.524000	0.000000
1994	5	12.456000	2.174000	0.597000	0.188000	15.415000	0.000000
1994	6	12.512000	2.112000	0.604000	0.209000	15.437000	0.000000
1994	7	12.609000	2.038000	0.529000	0.163000	15.339000	0.000000
1994	8	9.949000	1.220000	0.377000	0.112000	11.658000	0.000000
1994	9	11.920000	2.129000	0.595000	0.251000	14.896000	0.000000
1994	10	13.391000	2.447000	0.723000	0.303000	16.864000	0.000000
1994	11	12.913000	2.574000	0.716000	0.290000	16.492000	0.000000
1994	12	13.465000	2.710000	0.740000	0.279000	17.193000	0.000000
1995	1	12.847000	2.746000	0.713000	0.262000	16.568000	0.000000
1995	2	11.450000	2.195000	0.649000	0.252000	14.546000	0.000000
1995	3	12.840000	2.567000	0.704000	0.292000	16.403000	0.000000
1995	4	12.868000	2.211000	0.662000	0.266000	16.007000	0.000000
1995	5	13.085000	2.269000	0.694000	0.274000	16.322000	0.000000
1995	6	11.571000	2.226000	0.666000	0.274000	14.736000	0.000000
1995	7	13.440000	2.124000	0.677000	0.278000	16.520000	0.000000
1995	8	12.363000	1.929000	0.515000	0.142000	14.949000	0.000000
1995	9	12.869000	2.144000	0.594000	0.277000	15.884000	0.000000
1995	10	14.560000	2.090000	0.682000	0.308000	17.640000	0.000000
1995	11	14.084000	2.456000	0.640000	0.249000	17.429000	0.000000
1995	12	14.800000	2.857000	0.745000	0.304000	18.706000	0.000000
1996	1	14.803000	2.898000	0.739000	0.309000	18.750000	0.000000
1996	2	14.247000	2.773000	0.685000	0.281000	17.985000	0.000000
1996	3	14.212000	2.983000	0.716000	0.298000	18.209000	0.000000
1996	4	14.771000	2.737000	0.689000	0.287000	18.483000	0.000000
1996	5	14.250000	2.806000	0.678000	0.283000	18.018000	0.000000
1996	6	14.801000	2.470000	0.561000	0.154000	17.987000	0.000000
1996	7	15.360000	2.908000	0.694000	0.301000	19.263000	0.000000
1996	8	14.573000	2.945000	0.690000	0.294000	18.501000	0.000000
1996	9	14.390000	3.419000	0.615000	0.326000	18.750000	0.000000
1996	10	14.187000	3.731000	0.730000	0.408000	19.056000	0.000000
1996	11	14.699000	3.740000	0.709000	0.409000	19.557000	0.000000
1996	12	15.209000	3.997000	0.726000	0.433000	20.365000	0.000000
1997	1	15.208000	4.053000	0.695000	0.452000	20.408000	0.000000
1997	2	13.797000	3.587000	0.635000	0.412000	18.430000	0.000000
1997	3	14.571000	3.783000	0.640000	0.455000	19.449000	0.000000
1997	4	15.456000	3.093000	0.677000	0.443000	19.669000	0.000000
1997	5	15.318000	3.070000	0.710000	0.489000	19.588000	0.000000
1997	6	13.749000	3.052000	0.650000	0.479000	17.930000	0.000000
1997	7	15.241000	3.616000	0.699000	0.487000	20.043000	0.000000
1997	8	13.989000	2.828000	0.569000	0.259000	17.645000	0.000000
1997	9	13.259000	3.167000	0.644000	0.478000	17.547000	0.000000
1997	10	15.241000	3.941000	0.704000	0.469000	20.355000	0.000000
1997	11	14.752000	4.316000	0.736000	0.480000	20.284000	0.000000
1997	12	15.333000	4.444000	0.715000	0.471000	20.964000	0.000000
1998	1	15.644000	4.289000	0.769000	0.472000	21.173000	0.000000
1998	2	13.869000	3.836000	0.672000	0.422000	18.799000	0.000000
1998	3	14.827000	3.762000	0.725000	0.470000	19.783000	0.000000
1998	4	14.705000	3.942000	0.678000	0.447000	19.773000	0.000000
1998	5	13.870000	3.139000	0.666000	0.481000	18.156000	0.000000
1998	6	14.109000	2.936000	0.675000	0.461000	18.181000	0.000000
1998	7	14.803000	3.280000	0.685000	0.443000	19.211000	0.000000
1998	8	11.613000	2.664000	0.187000	0.143000	14.607000	0.000000
1998	9	13.082000	3.331000	0.605000	0.464000	17.483000	0.000000
1998	10	14.001000	4.077000	0.529000	0.310000	18.917000	0.000000
1998	11	13.861000	4.302000	0.587000	0.451000	19.201000	0.000000
1998	12	14.360000	4.631000	0.613000	0.483000	20.086000	0.000000
1999	1	14.299000	4.719000	0.560000	0.457000	20.036000	0.000000
1999	2	12.771000	4.170000	0.580000	0.420000	17.941000	0.000000
1999	3	14.158000	4.125000	0.630000	0.486000	19.398000	0.000000
1999	4	13.481000	3.990000	0.586000	0.447000	18.505000	0.000000
1999	5	13.763000	4.113000	0.614000	0.475000	18.965000	0.000000
1999	6	12.715000	3.105000	0.536000	0.336000	16.692000	0.000000
1999	7	14.765000	3.397000	0.604000	0.453000	19.218000	0.000000
1999	8	13.459000	3.378000	0.542000	0.459000	17.837000	0.000000
1999	9	13.218000	3.453000	0.582000	0.456000	17.708000	0.000000
1999	10	14.593000	4.094000	0.558000	0.488000	19.733000	0.000000
1999	11	15.183000	4.823000	0.595000	0.515000	21.115000	0.000000
1999	12	16.284000	5.112000	0.605000	0.523000	22.525000	0.000000
2000	1	15.421000	5.025000	0.575000	0.538000	21.559000	9.409000
2000	2	14.916000	4.637000	0.553000	0.448000	20.554000	9.300000
2000	3	15.609000	5.054000	0.573000	0.511000	21.747000	9.448000
2000	4	14.057000	4.080000	0.585000	0.481000	19.203000	8.872000
2000	5	15.020000	3.410000	0.592000	0.468000	19.490000	9.487000
2000	6	13.854000	2.992000	0.615000	0.463000	17.924000	8.540000
2000	7	16.333000	3.153000	0.643000	0.480000	20.609000	10.017000
2000	8	14.740000	2.830000	0.425000	0.229000	18.224000	8.579000
2000	9	14.164000	3.321000	0.431000	0.272000	18.187000	8.776000
2000	10	15.522000	4.386000	0.641000	0.500000	21.049000	9.211000
2000	11	15.411000	5.367000	0.779000	0.523000	22.081000	9.810000
2000	12	16.132000	5.535000	0.814000	0.498000	22.979000	10.450000
2001	1	15.969000	5.177000	0.934000	0.553000	22.633000	10.798000
2001	2	13.723000	3.778000	0.799000	0.460000	18.760000	9.552000
2001	3	15.278000	4.250000	0.993000	0.527000	21.048000	10.724000
2001	4	15.353000	3.849000	0.844000	0.357000	20.404000	10.919000
2001	5	14.427000	3.889000	0.889000	0.472000	19.677000	10.475000
2001	6	13.948000	3.768000	0.905000	0.483000	19.105000	9.532000
2001	7	15.990000	4.563000	1.022000	0.565000	22.139000	11.033000
2001	8	14.326000	4.325000	0.835000	0.515000	20.001000	10.509000
2001	9	14.829000	4.218000	0.719000	0.409000	20.176000	10.396000
2001	10	16.143000	4.492000	0.972000	0.434000	22.040000	11.547000
2001	11	14.914000	5.631000	0.995000	0.445000	21.985000	10.522000
2001	12	15.984000	6.098000	1.018000	0.446000	23.545000	11.776000
2002	1	15.176000	6.326000	0.977000	0.536000	23.014000	11.178000
2002	2	14.022000	5.341000	0.926000	0.475000	20.763000	10.387000
2002	3	13.735000	4.939000	1.008000	0.563000	20.245000	10.361000
2002	4	15.059000	5.789000	0.963000	0.588000	22.399000	11.384000
2002	5	15.001000	5.481000	1.073000	0.686000	22.241000	11.692000
2002	6	13.916000	4.860000	0.980000	0.542000	20.297000	11.169000
2002	7	15.386000	5.281000	1.125000	0.670000	22.462000	11.795000
2002	8	14.271000	4.141000	0.859000	0.687000	19.958000	10.190000
2002	9	13.121000	3.995000	0.622000	0.262000	18.000000	9.577000
2002	10	14.753000	6.018000	1.045000	0.752000	22.569000	11.710000
2002	11	14.589000	6.425000	1.105000	0.749000	22.868000	11.902000
2002	12	14.622000	6.996000	1.115000	0.813000	23.547000	12.329000
2003	1	14.510000	7.088000	0.985000	0.823000	23.406000	12.283000
2003	2	13.480000	6.353000	0.921000	0.774000	21.528000	11.772000
2003	3	14.790000	7.137000	1.153000	1.025000	24.105000	12.856000
2003	4	13.821000	5.960000	1.091000	0.891000	21.762000	12.040000
2003	5	13.980000	5.374000	1.088000	0.832000	21.273000	12.989000
2003	6	12.299000	4.181000	0.925000	0.686000	18.091000	11.506000
2003	7	13.998000	5.685000	1.082000	0.909000	21.674000	13.307000
2003	8	13.297000	4.819000	1.003000	0.837000	19.956000	12.542000
2003	9	12.831000	5.420000	0.914000	0.641000	19.806000	12.369000
2003	10	13.861000	6.811000	1.229000	0.952000	22.853000	13.124000
2003	11	13.985000	7.197000	1.235000	0.971000	23.389000	13.348000
2003	12	14.623000	7.690000	1.251000	0.973000	24.538000	13.875000
2004	1	14.458000	7.845000	1.247000	0.868000	24.418000	14.008000
2004	2	13.744000	7.178000	1.096000	0.780000	22.799000	13.038000
2004	3	14.177000	7.661000	1.250000	0.883000	23.971000	13.702000
2004	4	13.700000	6.414000	0.960000	0.806000	21.880000	13.201000
2004	5	14.055000	6.335000	1.091000	0.765000	22.245000	13.873000
2004	6	13.765000	5.677000	1.101000	0.747000	21.290000	14.221000
2004	7	14.293000	5.539000	1.207000	0.732000	21.772000	14.969000
2004	8	12.511000	4.124000	0.656000	0.336000	17.627000	13.543000
2004	9	12.396000	5.155000	0.857000	0.528000	18.935000	13.910000
2004	10	13.787000	6.970000	1.381000	0.739000	22.876000	15.113000
2004	11	13.197000	7.537000	1.352000	0.754000	22.840000	14.466000
2004	12	12.694000	8.160000	1.383000	0.736000	22.974000	14.676000
2005	1	12.643000	7.737000	1.375000	0.716000	22.471000	14.550000
2005	2	11.826000	7.081000	1.262000	0.639000	20.808000	13.454000
2005	3	13.388000	7.952000	1.449000	0.704000	23.493000	15.280000
2005	4	12.891000	7.626000	1.322000	0.726000	22.566000	14.753000
2005	5	13.056000	7.214000	1.179000	0.681000	22.130000	14.798000
2005	6	10.733000	5.352000	1.128000	0.661000	17.874000	12.086000
2005	7	12.684000	6.174000	1.266000	0.642000	20.765000	14.068000
2005	8	12.362000	6.213000	1.317000	0.619000	20.511000	14.813000
2005	9	12.125000	6.567000	1.237000	0.553000	20.482000	14.708000
2005	10	12.171000	6.938000	1.204000	0.492000	20.805000	15.616000
2005	11	11.873000	7.887000	1.441000	0.707000	21.909000	15.176000
2005	12	12.385000	8.349000	1.553000	0.812000	23.099000	15.579000
2006	1	12.281000	8.230000	1.476000	0.772000	22.758000	15.495000
2006	2	10.845000	7.490000	1.380000	0.787000	20.501000	13.335000
2006	3	12.014000	8.095000	1.459000	0.810000	22.377000	15.267000
2006	4	10.608000	7.190000	1.314000	0.849000	19.962000	13.929000
2006	5	11.616000	7.359000	1.347000	0.837000	21.159000	15.453000
2006	6	10.703000	5.656000	1.130000	0.583000	18.073000	12.354000
2006	7	11.746000	7.007000	1.523000	0.900000	21.176000	15.134000
2006	8	11.095000	7.006000	1.452000	0.847000	20.399000	13.339000
2006	9	10.592000	6.190000	1.124000	0.527000	18.434000	13.863000
2006	10	11.481000	6.845000	1.407000	0.247000	19.980000	13.736000
2006	11	11.528000	8.160000	1.472000	0.204000	21.364000	14.530000
2006	12	12.069000	8.714000	1.588000	0.263000	22.634000	15.283000
2007	1	11.694000	8.082000	1.551000	0.261000	21.588000	15.455000
2007	2	10.667000	7.335000	1.386000	0.224000	19.613000	14.479000
2007	3	11.508000	7.546000	1.359000	0.245000	20.658000	16.119000
2007	4	11.326000	8.321000	1.512000	0.226000	21.385000	15.486000
2007	5	10.470000	6.858000	1.383000	0.250000	18.961000	14.768000
2007	6	8.900000	5.858000	1.170000	0.234000	16.162000	13.160000
2007	7	11.221000	6.441000	1.375000	0.220000	19.257000	15.471000
2007	8	10.237000	6.535000	1.331000	0.264000	18.367000	14.452000
2007	9	10.173000	6.607000	1.050000	0.247000	18.076000	14.381000
2007	10	10.848000	8.316000	1.478000	0.325000	20.967000	15.292000
2007	11	10.550000	8.768000	1.516000	0.330000	21.165000	15.267000
2007	12	10.682000	9.035000	1.499000	0.300000	21.516000	16.180000
2008	1	10.644000	9.222000	1.561000	0.314000	21.741000	15.815000
2008	2	9.701000	9.197000	1.444000	0.348000	20.690000	14.888000
2008	3	10.545000	9.584000	1.596000	0.318000	22.043000	15.433000
2008	4	9.695000	8.579000	1.398000	0.341000	20.013000	13.189000
2008	5	10.462000	7.671000	1.573000	0.320000	20.026000	15.361000
2008	6	9.253000	7.007000	1.334000	0.268000	17.862000	12.336000
2008	7	10.984000	7.510000	1.556000	0.346000	20.396000	15.025000
2008	8	9.840000	6.012000	1.319000	0.296000	17.467000	13.578000
2008	9	9.562000	6.319000	0.828000	0.249000	16.957000	14.234000
2008	10	10.727000	8.864000	1.424000	0.283000	21.298000	15.565000
2008	11	10.421000	9.368000	1.453000	0.410000	21.652000	14.209000
2008	12	10.828000	10.003000	1.439000	0.420000	22.690000	14.931000
2009	1	10.390000	10.473000	1.412000	0.409000	22.683000	14.857000
2009	2	9.653000	9.957000	1.435000	0.398000	21.443000	13.460000
2009	3	10.602000	9.816000	1.553000	0.418000	22.389000	14.865000
2009	4	8.951000	8.867000	1.449000	0.378000	19.645000	13.197000
2009	5	8.915000	7.959000	1.341000	0.399000	18.614000	12.393000
2009	6	8.476000	7.001000	1.223000	0.367000	17.067000	12.022000
2009	7	10.217000	8.158000	1.472000	0.373000	20.220000	13.882000
2009	8	9.321000	7.538000	1.413000	0.389000	18.661000	12.564000
2009	9	8.939000	7.340000	1.250000	0.260000	17.790000	11.776000
2009	10	9.912000	8.319000	1.464000	0.335000	20.030000	13.198000
2009	11	9.815000	9.185000	1.479000	0.326000	20.805000	13.730000
2009	12	9.859000	10.209000	1.458000	0.370000	21.896000	13.914000
2010	1	9.804000	10.803000	1.450000	0.356000	22.412000	13.652000
2010	2	8.720000	9.836000	1.357000	0.357000	20.271000	12.289000
2010	3	9.431000	10.574000	1.452000	0.348000	21.805000	13.962000
2010	4	9.001000	8.626000	1.380000	0.386000	19.393000	13.586000
2010	5	9.140000	9.165000	1.432000	0.335000	20.073000	13.649000
2010	6	7.309000	8.411000	1.257000	0.382000	17.358000	11.470000
2010	7	8.921000	7.651000	1.327000	0.315000	18.213000	13.494000
2010	8	7.946000	6.115000	0.883000	0.222000	15.166000	12.622000
2010	9	7.587000	5.828000	0.892000	0.250000	14.556000	11.889000
2010	10	9.198000	9.417000	1.381000	0.412000	20.408000	14.279000
2010	11	8.555000	10.157000	1.297000	0.393000	20.402000	14.071000
2010	12	8.848000	11.120000	1.320000	0.365000	21.652000	13.249000
2011	1	8.983000	10.466000	1.345000	0.339000	21.134000	13.378000
2011	2	8.162000	9.548000	1.264000	0.349000	19.323000	12.272000
2011	3	8.561000	10.306000	1.258000	0.394000	20.518000	13.299000
2011	4	8.416000	7.478000	1.276000	0.434000	17.604000	13.417000
2011	5	7.603000	6.358000	1.298000	0.341000	15.599000	12.020000
2011	6	7.711000	6.349000	1.305000	0.262000	15.627000	11.911000
2011	7	8.406000	7.313000	1.427000	0.366000	17.512000	13.695000
2011	8	7.997000	7.902000	1.387000	0.459000	17.745000	13.003000
2011	9	7.349000	7.463000	1.381000	0.398000	16.590000	12.494000
2011	10	8.179000	8.240000	1.479000	0.382000	18.280000	13.052000
2011	11	7.979000	9.752000	1.367000	0.438000	19.536000	12.984000
2011	12	8.208000	10.523000	1.514000	0.390000	20.634000	13.303000
2012	1	8.268000	11.190000	1.704000	0.421000	21.584000	13.452000
2012	2	7.680000	10.715000	1.603000	0.407000	20.404000	12.812000
2012	3	8.003000	10.994000	1.698000	0.417000	21.112000	14.001000
2012	4	7.855000	9.450000	1.559000	0.425000	19.290000	13.568000
2012	5	8.046000	8.890000	1.563000	0.367000	18.866000	14.889000
2012	6	7.108000	8.526000	1.356000	0.403000	17.393000	12.067000
2012	7	7.394000	9.020000	1.521000	0.355000	18.291000	13.744000
2012	8	7.442000	8.138000	1.347000	0.303000	17.230000	13.448000
2012	9	5.944000	6.932000	0.991000	0.305000	14.172000	11.054000
2012	10	7.306000	10.021000	1.336000	0.387000	19.050000	13.232000
2012	11	6.879000	10.073000	1.393000	0.362000	18.707000	16.124000
2012	12	7.318000	10.968000	1.643000	0.396000	20.326000	13.114000
2013	1	7.264000	10.477000	1.566000	0.367000	19.674000	13.529000
2013	2	6.446000	8.795000	1.338000	0.277000	16.856000	10.179000
\.



COPY field_production_totalt_ncs_year (prfyear, prfprdoilnetmillsm, prfprdgasnetbillsm, prfprdcondensatenetmillsm3, prfprdnglnetmillsm3, prfprdoenetmillsm3, prfprdproducedwaterinfieldmillsm3) FROM stdin;
1971	0.357000	0.000000	0.000000	0.000000	0.357000	0.000000
1972	1.927000	0.000000	0.000000	0.000000	1.927000	0.000000
1973	1.870000	0.000000	0.000000	0.000000	1.870000	0.000000
1974	2.014000	0.000000	0.000000	0.000000	2.014000	0.000000
1975	10.995000	0.000000	0.000000	0.000000	10.995000	0.000000
1976	16.227000	0.000000	0.000000	0.000000	16.227000	0.000000
1977	16.643000	2.655000	0.000000	0.002000	19.300000	0.000000
1978	20.644000	14.201000	0.000000	0.021000	34.866000	0.000000
1979	22.478000	20.670000	1.128000	0.044000	44.319000	0.000000
1980	28.221000	25.088000	2.440000	0.048000	55.798000	0.000000
1981	27.485000	24.951000	2.168000	0.048000	54.652000	0.000000
1982	28.528000	23.960000	2.286000	0.043000	54.817000	0.000000
1983	35.645000	23.613000	2.680000	0.041000	61.979000	0.000000
1984	41.093000	25.963000	2.642000	0.064000	69.762000	0.000000
1985	44.758000	26.186000	2.968000	0.076000	73.987000	0.000000
1986	48.771000	26.090000	3.845000	0.061000	78.767000	0.000000
1987	56.959000	28.151000	4.117000	0.055000	89.281000	0.000000
1988	64.723000	28.330000	4.846000	0.047000	97.945000	0.000000
1989	85.983000	28.738000	4.898000	0.053000	119.672000	0.000000
1990	94.542000	25.479000	5.011000	0.048000	125.081000	0.000000
1991	108.510000	25.027000	4.897000	0.057000	138.492000	0.000000
1992	123.999000	25.834000	4.959000	0.054000	154.846000	0.000000
1993	131.843000	24.804000	5.518000	0.474000	162.639000	0.000000
1994	146.282000	26.842000	7.122000	2.403000	182.649000	0.000000
1995	156.776000	27.814000	7.942000	3.178000	195.709000	0.000000
1996	175.501000	37.407000	8.232000	3.784000	224.925000	0.000000
1997	175.914000	42.950000	8.074000	5.376000	232.313000	0.000000
1998	168.744000	44.190000	7.390000	5.047000	225.371000	0.000000
1999	168.690000	48.479000	6.992000	5.512000	229.673000	0.000000
2000	181.181000	49.790000	7.225000	5.411000	243.606000	112.162000
2001	180.884000	54.038000	10.924000	5.666000	251.512000	127.960000
2002	173.649000	65.593000	11.798000	7.323000	258.364000	133.675000
2003	165.475000	73.714000	12.877000	10.315000	262.382000	152.011000
2004	162.778000	78.595000	13.581000	8.675000	263.628000	168.721000
2005	148.137000	85.089000	15.735000	7.952000	256.912000	174.879000
2006	136.577000	87.943000	16.672000	7.625000	248.817000	171.718000
2007	128.276000	89.702000	16.610000	3.126000	237.714000	180.510000
2008	122.662000	99.335000	16.926000	3.914000	242.836000	174.563000
2009	115.051000	104.827000	16.947000	4.424000	241.249000	159.859000
2010	104.459000	107.702000	15.428000	4.121000	231.709000	158.212000
2011	97.555000	101.697000	16.300000	4.551000	220.102000	154.827000
2012	89.244000	114.918000	17.713000	4.549000	226.424000	161.504000
2013	13.710000	19.272000	2.903000	0.644000	36.530000	23.709000
\.



COPY field_production_yearly (prfinformationcarrier, prfyear, prfprdoilnetmillsm3, prfprdgasnetbillsm3, prfprdnglnetmillsm3, prfprdcondensatenetmillsm3, prfprdoenetmillsm3, prfprdproducedwaterinfieldmillsm3, prfnpdidinformationcarrier) FROM stdin;
ALBUSKJELL	1979	0.531000	0.652000	0.060000	0.000000	1.243000	0.000000	43437
ALBUSKJELL	1980	1.442000	1.779000	0.208000	0.000000	3.428000	0.000000	43437
ALBUSKJELL	1981	1.426000	2.249000	0.268000	0.000000	3.943000	0.000000	43437
ALBUSKJELL	1982	0.953000	1.998000	0.251000	0.000000	3.202000	0.000000	43437
ALBUSKJELL	1983	0.697000	1.655000	0.253000	0.000000	2.605000	0.000000	43437
ALBUSKJELL	1984	0.462000	1.183000	0.169000	0.000000	1.814000	0.000000	43437
ALBUSKJELL	1985	0.357000	1.026000	0.157000	0.000000	1.540000	0.000000	43437
ALBUSKJELL	1986	0.285000	0.946000	0.129000	0.000000	1.360000	0.000000	43437
ALBUSKJELL	1987	0.216000	0.778000	0.106000	0.000000	1.100000	0.000000	43437
ALBUSKJELL	1988	0.176000	0.613000	0.096000	0.000000	0.884000	0.000000	43437
ALBUSKJELL	1989	0.142000	0.456000	0.067000	0.000000	0.665000	0.000000	43437
ALBUSKJELL	1990	0.109000	0.339000	0.046000	0.000000	0.493000	0.000000	43437
ALBUSKJELL	1991	0.091000	0.271000	0.031000	0.000000	0.393000	0.000000	43437
ALBUSKJELL	1992	0.087000	0.266000	0.027000	0.000000	0.380000	0.000000	43437
ALBUSKJELL	1993	0.096000	0.309000	0.033000	0.000000	0.437000	0.000000	43437
ALBUSKJELL	1994	0.081000	0.264000	0.028000	0.000000	0.373000	0.000000	43437
ALBUSKJELL	1995	0.074000	0.236000	0.024000	0.000000	0.335000	0.000000	43437
ALBUSKJELL	1996	0.054000	0.218000	0.021000	0.000000	0.293000	0.000000	43437
ALBUSKJELL	1997	0.046000	0.192000	0.020000	0.000000	0.258000	0.000000	43437
ALBUSKJELL	1998	0.030000	0.106000	0.012000	0.000000	0.147000	0.000000	43437
TOMMELITEN GAMMA	1988	0.204000	0.255000	0.041000	0.000000	0.500000	0.000000	43444
TOMMELITEN GAMMA	1989	0.785000	1.086000	0.170000	0.000000	2.041000	0.000000	43444
TOMMELITEN GAMMA	1990	0.691000	1.250000	0.184000	0.000000	2.125000	0.000000	43444
TOMMELITEN GAMMA	1991	0.467000	1.001000	0.124000	0.000000	1.591000	0.000000	43444
TOMMELITEN GAMMA	1992	0.437000	1.171000	0.124000	0.000000	1.732000	0.000000	43444
TOMMELITEN GAMMA	1993	0.396000	1.298000	0.140000	0.000000	1.834000	0.000000	43444
TOMMELITEN GAMMA	1994	0.270000	0.993000	0.109000	0.000000	1.372000	0.000000	43444
TOMMELITEN GAMMA	1995	0.224000	0.876000	0.095000	0.000000	1.195000	0.000000	43444
TOMMELITEN GAMMA	1996	0.189000	0.788000	0.083000	0.000000	1.061000	0.000000	43444
TOMMELITEN GAMMA	1997	0.141000	0.648000	0.072000	0.000000	0.862000	0.000000	43444
TOMMELITEN GAMMA	1998	0.069000	0.327000	0.039000	0.000000	0.435000	0.000000	43444
VARG	1998	0.010000	0.000000	0.000000	0.000000	0.010000	0.000000	43451
VARG	1999	1.743000	0.000000	0.000000	0.000000	1.743000	0.000000	43451
VARG	2000	1.738000	0.000000	0.000000	0.000000	1.738000	0.296000	43451
VARG	2001	1.185000	0.000000	0.000000	0.000000	1.185000	1.067000	43451
VARG	2002	0.784000	0.000000	0.000000	0.000000	0.784000	1.392000	43451
VARG	2003	0.921000	0.000000	0.000000	0.000000	0.921000	0.769000	43451
VARG	2004	1.207000	0.000000	0.000000	0.000000	1.207000	0.366000	43451
VARG	2005	1.281000	0.000000	0.000000	0.000000	1.281000	0.327000	43451
VARG	2006	0.854000	0.000000	0.000000	0.000000	0.854000	0.874000	43451
VARG	2007	0.797000	0.000000	0.000000	0.000000	0.797000	1.681000	43451
VARG	2008	0.703000	0.000000	0.000000	0.000000	0.703000	1.656000	43451
VARG	2009	0.789000	0.000000	0.000000	0.000000	0.789000	1.034000	43451
VARG	2010	1.420000	0.000000	0.000000	0.000000	1.420000	0.694000	43451
VARG	2011	0.972000	0.000000	0.000000	0.000000	0.972000	0.499000	43451
VARG	2012	0.647000	0.000000	0.000000	0.000000	0.647000	0.997000	43451
VARG	2013	0.077000	0.000000	0.000000	0.000000	0.077000	0.124000	43451
SLEIPNER VEST	1996	0.000000	0.000000	0.207000	0.497000	0.704000	0.000000	43457
SLEIPNER VEST	1997	0.000000	0.442000	0.780000	2.262000	3.485000	0.000000	43457
SLEIPNER VEST	1998	0.000000	1.453000	0.865000	2.260000	4.578000	0.000000	43457
SLEIPNER VEST	1999	0.000000	3.100000	1.084000	2.379000	6.563000	0.000000	43457
SLEIPNER VEST	2000	0.000000	0.000000	1.069000	2.262000	3.331000	0.089000	43457
SLEIPNER VEST	2001	0.000000	0.000000	1.363000	2.150000	3.514000	0.113000	43457
SLEIPNER VEST	2002	0.000000	0.000000	1.341000	1.988000	3.329000	0.093000	43457
SLEIPNER VEST	2003	0.000000	0.000000	1.049000	1.792000	2.841000	0.122000	43457
SLEIPNER VEST	2004	0.000000	0.000000	0.871000	1.486000	2.357000	0.144000	43457
SLEIPNER VEST	2005	0.000000	0.000000	0.867000	1.778000	2.645000	0.160000	43457
SLEIPNER VEST	2006	0.000000	0.000000	0.894000	1.592000	2.486000	0.190000	43457
SLEIPNER VEST	2007	0.000000	0.000000	0.867000	1.599000	2.466000	0.215000	43457
SLEIPNER VEST	2008	0.000000	0.000000	0.701000	1.267000	1.968000	0.127000	43457
SLEIPNER VEST	2009	0.000000	0.006000	0.819000	1.241000	2.066000	0.122000	43457
SLEIPNER VEST	2010	0.000000	0.000000	0.747000	1.047000	1.794000	0.114000	43457
SLEIPNER VEST	2011	0.000000	0.000000	0.952000	1.455000	2.408000	0.142000	43457
SLEIPNER VEST	2012	0.000000	0.000000	0.867000	1.331000	2.197000	0.220000	43457
SLEIPNER VEST	2013	0.000000	0.000000	0.125000	0.185000	0.310000	0.057000	43457
GUNGNE	1996	0.000000	0.000000	0.037000	0.062000	0.098000	0.000000	43464
GUNGNE	1997	0.000000	0.000000	0.223000	0.393000	0.616000	0.000000	43464
GUNGNE	1998	0.000000	0.000000	0.102000	0.180000	0.283000	0.000000	43464
GUNGNE	1999	0.000000	0.000000	0.138000	0.252000	0.389000	0.000000	43464
GUNGNE	2000	0.000000	0.000000	0.127000	0.171000	0.298000	0.008000	43464
GUNGNE	2001	0.000000	0.000000	0.280000	0.314000	0.594000	0.007000	43464
GUNGNE	2002	0.000000	0.000000	0.305000	0.445000	0.750000	0.009000	43464
GUNGNE	2003	0.000000	0.000000	0.407000	0.573000	0.980000	0.024000	43464
GUNGNE	2004	0.000000	0.000000	0.331000	0.466000	0.797000	0.039000	43464
GUNGNE	2005	0.000000	0.000000	0.333000	0.344000	0.677000	0.052000	43464
GUNGNE	2006	0.000000	0.000000	0.286000	0.261000	0.547000	0.069000	43464
GUNGNE	2007	0.000000	0.000000	0.266000	0.226000	0.492000	0.073000	43464
GUNGNE	2008	0.000000	0.000000	0.240000	0.213000	0.453000	0.080000	43464
GUNGNE	2009	0.000000	0.000000	0.187000	0.148000	0.335000	0.079000	43464
GUNGNE	2010	0.000000	0.000000	0.140000	0.120000	0.260000	0.090000	43464
GUNGNE	2011	0.000000	0.000000	0.119000	0.075000	0.195000	0.081000	43464
GUNGNE	2012	0.000000	0.000000	0.099000	0.065000	0.164000	0.082000	43464
GUNGNE	2013	0.000000	0.000000	0.017000	0.012000	0.029000	0.013000	43464
SLEIPNER ØST	1993	0.000000	0.834000	0.299000	0.440000	1.573000	0.000000	43478
SLEIPNER ØST	1994	0.000000	3.952000	1.784000	2.383000	8.119000	0.000000	43478
SLEIPNER ØST	1995	0.000000	5.195000	2.489000	3.168000	10.852000	0.000000	43478
SLEIPNER ØST	1996	0.000000	7.625000	2.548000	3.195000	13.369000	0.000000	43478
SLEIPNER ØST	1997	0.000000	7.500000	2.187000	2.700000	12.387000	0.000000	43478
SLEIPNER ØST	1998	0.000000	7.198000	2.102000	2.586000	11.886000	0.000000	43478
SLEIPNER ØST	1999	0.000000	8.069000	2.206000	2.637000	12.913000	0.000000	43478
SLEIPNER ØST	2000	0.000000	11.806000	1.854000	2.113000	15.773000	0.047000	43478
SLEIPNER ØST	2001	0.000000	11.641000	1.821000	1.877000	15.339000	0.044000	43478
SLEIPNER ØST	2002	0.000000	13.481000	1.734000	1.529000	16.743000	0.096000	43478
SLEIPNER ØST	2003	0.000000	13.233000	1.067000	1.015000	15.315000	0.065000	43478
SLEIPNER ØST	2004	0.000000	12.692000	0.896000	0.720000	14.308000	0.055000	43478
SLEIPNER ØST	2005	0.000000	14.321000	0.790000	0.607000	15.719000	0.093000	43478
SLEIPNER ØST	2006	0.000000	13.215000	0.693000	0.467000	14.375000	0.211000	43478
SLEIPNER ØST	2007	0.000000	13.420000	0.605000	0.413000	14.438000	0.224000	43478
SLEIPNER ØST	2008	0.000000	11.335000	0.481000	0.309000	12.125000	0.154000	43478
SLEIPNER ØST	2009	0.000000	10.083000	0.400000	0.219000	10.702000	0.048000	43478
SLEIPNER ØST	2010	0.000000	8.088000	0.308000	0.144000	8.540000	0.031000	43478
SLEIPNER ØST	2011	0.000000	8.098000	0.259000	0.143000	8.500000	0.031000	43478
SLEIPNER ØST	2012	0.000000	6.897000	0.207000	0.091000	7.195000	0.033000	43478
SLEIPNER ØST	2013	0.000000	1.024000	0.024000	0.012000	1.060000	0.004000	43478
HOD	1990	0.155000	0.021000	0.010000	0.000000	0.186000	0.000000	43485
HOD	1991	1.526000	0.202000	0.088000	0.000000	1.816000	0.000000	43485
HOD	1992	1.288000	0.250000	0.077000	0.000000	1.614000	0.000000	43485
HOD	1993	0.868000	0.204000	0.051000	0.000000	1.123000	0.000000	43485
HOD	1994	0.616000	0.139000	0.038000	0.000000	0.793000	0.000000	43485
HOD	1995	0.524000	0.118000	0.032000	0.000000	0.674000	0.000000	43485
HOD	1996	0.560000	0.120000	0.032000	0.000000	0.712000	0.000000	43485
HOD	1997	0.468000	0.095000	0.026000	0.000000	0.589000	0.000000	43485
HOD	1998	0.294000	0.054000	0.015000	0.000000	0.363000	0.000000	43485
HOD	1999	0.131000	0.017000	0.005000	0.000000	0.152000	0.000000	43485
HOD	2000	0.094000	0.011000	0.003000	0.000000	0.109000	0.006000	43485
HOD	2001	0.377000	0.043000	0.015000	0.000000	0.434000	0.042000	43485
HOD	2002	0.372000	0.051000	0.015000	0.000000	0.438000	0.054000	43485
HOD	2003	0.330000	0.042000	0.014000	0.000000	0.386000	0.063000	43485
HOD	2004	0.282000	0.051000	0.013000	0.000000	0.346000	0.082000	43485
HOD	2005	0.231000	0.035000	0.010000	0.000000	0.277000	0.086000	43485
HOD	2006	0.376000	0.048000	0.015000	0.000000	0.439000	0.132000	43485
HOD	2007	0.302000	0.047000	0.014000	0.000000	0.363000	0.086000	43485
HOD	2008	0.217000	0.033000	0.010000	0.000000	0.260000	0.107000	43485
HOD	2009	0.194000	0.027000	0.009000	0.000000	0.230000	0.092000	43485
HOD	2010	0.173000	0.017000	0.007000	0.000000	0.197000	0.098000	43485
HOD	2011	0.070000	0.008000	0.003000	0.000000	0.080000	0.036000	43485
HOD	2012	0.044000	0.004000	0.001000	0.000000	0.050000	0.035000	43485
GYDA	1990	1.497000	0.159000	0.181000	0.000000	1.836000	0.000000	43492
GYDA	1991	3.130000	0.416000	0.368000	0.000000	3.914000	0.000000	43492
GYDA	1992	3.587000	0.479000	0.400000	0.000000	4.466000	0.000000	43492
GYDA	1993	3.708000	0.483000	0.402000	0.000000	4.593000	0.000000	43492
GYDA	1994	3.808000	0.475000	0.413000	0.000000	4.696000	0.000000	43492
GYDA	1995	3.448000	0.501000	0.381000	0.000000	4.329000	0.000000	43492
GYDA	1996	3.125000	0.608000	0.362000	0.000000	4.095000	0.000000	43492
GYDA	1997	2.505000	0.581000	0.310000	0.000000	3.396000	0.000000	43492
GYDA	1998	1.740000	0.484000	0.221000	0.000000	2.445000	0.000000	43492
GYDA	1999	1.502000	0.456000	0.176000	0.000000	2.134000	0.000000	43492
GYDA	2000	1.116000	0.281000	0.124000	0.000000	1.520000	0.870000	43492
GYDA	2001	1.116000	0.234000	0.111000	0.000000	1.461000	0.935000	43492
GYDA	2002	0.698000	0.088000	0.060000	0.000000	0.847000	1.243000	43492
GYDA	2003	0.650000	0.065000	0.049000	0.000000	0.763000	1.863000	43492
GYDA	2004	0.524000	0.055000	0.038000	0.000000	0.617000	1.377000	43492
GYDA	2005	0.745000	0.123000	0.059000	0.000000	0.927000	0.886000	43492
GYDA	2006	0.650000	0.134000	0.058000	0.000000	0.842000	1.053000	43492
GYDA	2007	0.521000	0.124000	0.048000	0.000000	0.692000	1.201000	43492
GYDA	2008	0.623000	0.150000	0.061000	0.000000	0.834000	1.453000	43492
GYDA	2009	0.384000	0.124000	0.041000	0.000000	0.549000	1.657000	43492
GYDA	2010	0.224000	0.081000	0.026000	0.000000	0.330000	1.197000	43492
GYDA	2011	0.234000	0.061000	0.021000	0.000000	0.316000	0.966000	43492
GYDA	2012	0.144000	0.004000	0.006000	0.000000	0.155000	0.675000	43492
GYDA	2013	0.023000	0.001000	0.001000	0.000000	0.025000	0.055000	43492
EKOFISK	1971	0.357000	0.000000	0.000000	0.000000	0.357000	0.000000	43506
EKOFISK	1972	1.927000	0.000000	0.000000	0.000000	1.927000	0.000000	43506
EKOFISK	1973	1.870000	0.000000	0.000000	0.000000	1.870000	0.000000	43506
EKOFISK	1974	2.014000	0.000000	0.000000	0.000000	2.014000	0.000000	43506
EKOFISK	1975	10.995000	0.000000	0.000000	0.000000	10.995000	0.000000	43506
EKOFISK	1976	16.227000	0.000000	0.000000	0.000000	16.227000	0.000000	43506
EKOFISK	1977	15.888000	1.441000	0.000000	0.000000	17.330000	0.000000	43506
EKOFISK	1978	15.522000	4.931000	0.000000	0.000000	20.453000	0.000000	43506
EKOFISK	1979	12.978000	5.759000	0.577000	0.000000	19.314000	0.000000	43506
EKOFISK	1980	10.999000	6.455000	1.118000	0.000000	18.572000	0.000000	43506
EKOFISK	1981	8.986000	6.497000	1.042000	0.000000	16.525000	0.000000	43506
EKOFISK	1982	8.127000	6.343000	1.093000	0.000000	15.564000	0.000000	43506
EKOFISK	1983	8.109000	5.923000	1.277000	0.000000	15.309000	0.000000	43506
EKOFISK	1984	7.419000	6.595000	1.200000	0.000000	15.214000	0.000000	43506
EKOFISK	1985	6.234000	5.811000	1.193000	0.000000	13.238000	0.000000	43506
EKOFISK	1986	4.697000	2.653000	0.917000	0.000000	8.267000	0.000000	43506
EKOFISK	1987	3.997000	3.879000	0.738000	0.000000	8.613000	0.000000	43506
EKOFISK	1988	5.363000	3.776000	1.093000	0.000000	10.231000	0.000000	43506
EKOFISK	1989	6.638000	5.042000	1.146000	0.000000	12.827000	0.000000	43506
EKOFISK	1990	7.495000	5.218000	1.082000	0.000000	13.796000	0.000000	43506
EKOFISK	1991	8.601000	4.839000	1.058000	0.000000	14.498000	0.000000	43506
EKOFISK	1992	8.996000	5.864000	0.965000	0.000000	15.825000	0.000000	43506
EKOFISK	1993	8.767000	4.669000	0.857000	0.000000	14.293000	0.000000	43506
EKOFISK	1994	10.101000	4.748000	0.845000	0.000000	15.694000	0.000000	43506
EKOFISK	1995	12.827000	5.176000	0.919000	0.000000	18.923000	0.000000	43506
EKOFISK	1996	13.446000	5.243000	0.895000	0.000000	19.584000	0.000000	43506
EKOFISK	1997	14.272000	4.993000	0.819000	0.000000	20.084000	0.000000	43506
EKOFISK	1998	14.534000	3.624000	0.626000	0.000000	18.784000	0.000000	43506
EKOFISK	1999	14.274000	2.785000	0.484000	0.000000	17.543000	0.000000	43506
EKOFISK	2000	16.669000	3.015000	0.549000	0.000000	20.232000	3.823000	43506
EKOFISK	2001	16.565000	2.878000	0.523000	0.000000	19.965000	4.549000	43506
EKOFISK	2002	17.233000	2.743000	0.605000	0.000000	20.581000	5.545000	43506
EKOFISK	2003	17.173000	2.689000	0.623000	0.000000	20.484000	6.204000	43506
EKOFISK	2004	16.521000	2.579000	0.622000	0.000000	19.722000	6.802000	43506
EKOFISK	2005	15.818000	2.531000	0.613000	0.000000	18.962000	7.559000	43506
EKOFISK	2006	15.790000	2.638000	0.635000	0.000000	19.063000	8.163000	43506
EKOFISK	2007	13.183000	2.286000	0.524000	0.000000	15.992000	8.227000	43506
EKOFISK	2008	12.189000	2.156000	0.528000	0.000000	14.873000	8.997000	43506
EKOFISK	2009	11.247000	1.903000	0.456000	0.000000	13.606000	10.627000	43506
EKOFISK	2010	9.388000	1.589000	0.371000	0.000000	11.348000	11.200000	43506
EKOFISK	2011	8.411000	1.297000	0.293000	0.000000	10.002000	12.315000	43506
EKOFISK	2012	7.575000	1.103000	0.271000	0.000000	8.948000	14.139000	43506
EKOFISK	2013	1.117000	0.158000	0.040000	0.000000	1.315000	2.097000	43506
VEST EKOFISK	1977	0.753000	0.257000	0.000000	0.000000	1.009000	0.000000	43513
VEST EKOFISK	1978	3.847000	4.346000	0.000000	0.000000	8.193000	0.000000	43513
VEST EKOFISK	1979	2.136000	3.914000	0.241000	0.000000	6.291000	0.000000	43513
VEST EKOFISK	1980	1.162000	2.880000	0.350000	0.000000	4.391000	0.000000	43513
VEST EKOFISK	1981	0.546000	1.490000	0.188000	0.000000	2.224000	0.000000	43513
VEST EKOFISK	1982	0.522000	1.672000	0.229000	0.000000	2.423000	0.000000	43513
VEST EKOFISK	1983	0.517000	1.680000	0.280000	0.000000	2.478000	0.000000	43513
VEST EKOFISK	1984	0.399000	1.282000	0.207000	0.000000	1.888000	0.000000	43513
VEST EKOFISK	1985	0.381000	1.292000	0.226000	0.000000	1.899000	0.000000	43513
VEST EKOFISK	1986	0.332000	1.341000	0.218000	0.000000	1.891000	0.000000	43513
VEST EKOFISK	1987	0.283000	1.246000	0.202000	0.000000	1.731000	0.000000	43513
VEST EKOFISK	1988	0.284000	1.068000	0.205000	0.000000	1.557000	0.000000	43513
VEST EKOFISK	1989	0.213000	0.748000	0.138000	0.000000	1.099000	0.000000	43513
VEST EKOFISK	1990	0.157000	0.524000	0.095000	0.000000	0.777000	0.000000	43513
VEST EKOFISK	1991	0.119000	0.415000	0.064000	0.000000	0.597000	0.000000	43513
VEST EKOFISK	1992	0.099000	0.357000	0.049000	0.000000	0.504000	0.000000	43513
VEST EKOFISK	1993	0.108000	0.409000	0.058000	0.000000	0.575000	0.000000	43513
VEST EKOFISK	1994	0.097000	0.347000	0.051000	0.000000	0.495000	0.000000	43513
VEST EKOFISK	1995	0.071000	0.252000	0.039000	0.000000	0.362000	0.000000	43513
VEST EKOFISK	1996	0.055000	0.195000	0.029000	0.000000	0.279000	0.000000	43513
VEST EKOFISK	1997	0.046000	0.166000	0.026000	0.000000	0.238000	0.000000	43513
VEST EKOFISK	1998	0.026000	0.094000	0.016000	0.000000	0.135000	0.000000	43513
TOR	1978	1.207000	0.341000	0.000000	0.000000	1.548000	0.000000	43520
TOR	1979	4.526000	1.157000	0.140000	0.000000	5.823000	0.000000	43520
TOR	1980	3.590000	1.288000	0.278000	0.000000	5.155000	0.000000	43520
TOR	1981	1.884000	1.177000	0.229000	0.000000	3.290000	0.000000	43520
TOR	1982	1.531000	1.342000	0.272000	0.000000	3.145000	0.000000	43520
TOR	1983	0.968000	1.087000	0.255000	0.000000	2.310000	0.000000	43520
TOR	1984	0.867000	0.936000	0.217000	0.000000	2.020000	0.000000	43520
TOR	1985	0.824000	0.779000	0.201000	0.000000	1.805000	0.000000	43520
TOR	1986	0.625000	0.464000	0.117000	0.000000	1.205000	0.000000	43520
TOR	1987	0.477000	0.343000	0.089000	0.000000	0.909000	0.000000	43520
TOR	1988	0.483000	0.318000	0.096000	0.000000	0.897000	0.000000	43520
TOR	1989	0.510000	0.312000	0.089000	0.000000	0.912000	0.000000	43520
TOR	1990	0.473000	0.242000	0.068000	0.000000	0.783000	0.000000	43520
TOR	1991	0.346000	0.161000	0.038000	0.000000	0.545000	0.000000	43520
TOR	1992	0.362000	0.144000	0.031000	0.000000	0.538000	0.000000	43520
TOR	1993	0.346000	0.095000	0.022000	0.000000	0.463000	0.000000	43520
TOR	1994	0.339000	0.074000	0.019000	0.000000	0.432000	0.000000	43520
TOR	1995	0.339000	0.067000	0.018000	0.000000	0.424000	0.000000	43520
TOR	1996	0.359000	0.063000	0.017000	0.000000	0.439000	0.000000	43520
TOR	1997	0.347000	0.057000	0.017000	0.000000	0.421000	0.000000	43520
TOR	1998	0.231000	0.036000	0.011000	0.000000	0.278000	0.000000	43520
TOR	1999	0.221000	0.037000	0.011000	0.000000	0.269000	0.000000	43520
TOR	2000	0.256000	0.041000	0.011000	0.000000	0.307000	0.469000	43520
TOR	2001	0.257000	0.035000	0.010000	0.000000	0.301000	0.715000	43520
TOR	2002	0.214000	0.025000	0.008000	0.000000	0.247000	0.379000	43520
TOR	2003	0.163000	0.017000	0.007000	0.000000	0.187000	0.316000	43520
TOR	2004	0.197000	0.021000	0.008000	0.000000	0.227000	0.177000	43520
TOR	2005	0.180000	0.020000	0.008000	0.000000	0.208000	0.037000	43520
TOR	2006	0.164000	0.024000	0.009000	0.000000	0.197000	0.031000	43520
TOR	2007	0.315000	0.054000	0.016000	0.000000	0.385000	0.187000	43520
TOR	2008	0.307000	0.033000	0.013000	0.000000	0.353000	0.391000	43520
TOR	2009	0.292000	0.024000	0.010000	0.000000	0.326000	0.377000	43520
TOR	2010	0.237000	0.014000	0.007000	0.000000	0.258000	0.224000	43520
TOR	2011	0.219000	0.008000	0.005000	0.000000	0.232000	0.264000	43520
TOR	2012	0.223000	0.007000	0.005000	0.000000	0.236000	0.158000	43520
TOR	2013	0.033000	0.001000	0.001000	0.000000	0.035000	0.032000	43520
ELDFISK	1979	1.712000	0.413000	0.073000	0.000000	2.197000	0.000000	43527
ELDFISK	1980	5.875000	1.496000	0.295000	0.000000	7.666000	0.000000	43527
ELDFISK	1981	4.933000	1.511000	0.281000	0.000000	6.725000	0.000000	43527
ELDFISK	1982	4.115000	1.385000	0.279000	0.000000	5.778000	0.000000	43527
ELDFISK	1983	3.715000	1.440000	0.329000	0.000000	5.483000	0.000000	43527
ELDFISK	1984	3.380000	1.389000	0.296000	0.000000	5.065000	0.000000	43527
ELDFISK	1985	3.378000	1.394000	0.330000	0.000000	5.102000	0.000000	43527
ELDFISK	1986	3.358000	1.443000	0.306000	0.000000	5.107000	0.000000	43527
ELDFISK	1987	3.145000	1.359000	0.294000	0.000000	4.798000	0.000000	43527
ELDFISK	1988	3.822000	2.247000	0.511000	0.000000	6.579000	0.000000	43527
ELDFISK	1989	4.205000	1.567000	0.559000	0.000000	6.331000	0.000000	43527
ELDFISK	1990	3.681000	1.310000	0.481000	0.000000	5.472000	0.000000	43527
ELDFISK	1991	2.980000	1.982000	0.329000	0.000000	5.291000	0.000000	43527
ELDFISK	1992	2.785000	1.842000	0.271000	0.000000	4.897000	0.000000	43527
ELDFISK	1993	2.451000	1.712000	0.251000	0.000000	4.413000	0.000000	43527
ELDFISK	1994	2.230000	1.549000	0.229000	0.000000	4.008000	0.000000	43527
ELDFISK	1995	2.692000	1.995000	0.292000	0.000000	4.979000	0.000000	43527
ELDFISK	1996	2.334000	1.670000	0.243000	0.000000	4.247000	0.000000	43527
ELDFISK	1997	2.353000	1.703000	0.260000	0.000000	4.316000	0.000000	43527
ELDFISK	1998	1.517000	1.068000	0.169000	0.000000	2.754000	0.000000	43527
ELDFISK	1999	1.164000	0.557000	0.101000	0.000000	1.822000	0.000000	43527
ELDFISK	2000	1.273000	0.664000	0.117000	0.000000	2.054000	0.148000	43527
ELDFISK	2001	1.996000	0.749000	0.145000	0.000000	2.891000	0.221000	43527
ELDFISK	2002	2.392000	0.926000	0.163000	0.000000	3.482000	0.504000	43527
ELDFISK	2003	2.419000	0.742000	0.142000	0.000000	3.302000	0.744000	43527
ELDFISK	2004	3.163000	0.885000	0.185000	0.000000	4.233000	0.884000	43527
ELDFISK	2005	3.511000	0.860000	0.178000	0.000000	4.549000	1.046000	43527
ELDFISK	2006	3.012000	0.694000	0.152000	0.000000	3.858000	0.986000	43527
ELDFISK	2007	2.644000	0.534000	0.121000	0.000000	3.299000	0.930000	43527
ELDFISK	2008	3.022000	0.562000	0.136000	0.000000	3.721000	1.096000	43527
ELDFISK	2009	2.858000	0.485000	0.117000	0.000000	3.460000	0.950000	43527
ELDFISK	2010	2.874000	0.505000	0.115000	0.000000	3.494000	1.027000	43527
ELDFISK	2011	2.894000	0.476000	0.108000	0.000000	3.478000	1.155000	43527
ELDFISK	2012	2.645000	0.283000	0.089000	0.000000	3.017000	1.344000	43527
ELDFISK	2013	0.386000	0.043000	0.014000	0.000000	0.442000	0.231000	43527
EMBLA	1993	0.688000	0.210000	0.046000	0.000000	0.944000	0.000000	43534
EMBLA	1994	1.416000	0.428000	0.096000	0.000000	1.940000	0.000000	43534
EMBLA	1995	1.273000	0.389000	0.086000	0.000000	1.748000	0.000000	43534
EMBLA	1996	0.999000	0.355000	0.072000	0.000000	1.426000	0.000000	43534
EMBLA	1997	0.736000	0.296000	0.062000	0.000000	1.094000	0.000000	43534
EMBLA	1998	0.485000	0.186000	0.039000	0.000000	0.710000	0.000000	43534
EMBLA	1999	0.701000	0.251000	0.062000	0.000000	1.014000	0.000000	43534
EMBLA	2000	0.637000	0.225000	0.061000	0.000000	0.923000	0.005000	43534
EMBLA	2001	0.495000	0.082000	0.043000	0.000000	0.620000	0.008000	43534
EMBLA	2002	0.387000	0.079000	0.036000	0.000000	0.502000	0.009000	43534
EMBLA	2003	0.403000	0.109000	0.034000	0.000000	0.546000	0.009000	43534
EMBLA	2004	0.400000	0.159000	0.040000	0.000000	0.599000	0.007000	43534
EMBLA	2005	0.282000	0.135000	0.030000	0.000000	0.447000	0.003000	43534
EMBLA	2006	0.330000	0.159000	0.039000	0.000000	0.527000	0.008000	43534
EMBLA	2007	0.197000	0.110000	0.025000	0.000000	0.333000	0.009000	43534
EMBLA	2008	0.219000	0.144000	0.031000	0.000000	0.395000	0.011000	43534
EMBLA	2009	0.224000	0.145000	0.032000	0.000000	0.401000	0.006000	43534
EMBLA	2010	0.172000	0.155000	0.032000	0.000000	0.359000	0.014000	43534
EMBLA	2011	0.148000	0.117000	0.023000	0.000000	0.288000	0.018000	43534
EMBLA	2012	0.121000	0.092000	0.019000	0.000000	0.231000	0.013000	43534
EMBLA	2013	0.027000	0.019000	0.004000	0.000000	0.050000	0.002000	43534
EDDA	1979	0.049000	0.010000	0.002000	0.000000	0.061000	0.000000	43541
EDDA	1980	1.260000	0.420000	0.085000	0.000000	1.765000	0.000000	43541
EDDA	1981	0.718000	0.409000	0.071000	0.000000	1.198000	0.000000	43541
EDDA	1982	0.424000	0.297000	0.055000	0.000000	0.775000	0.000000	43541
EDDA	1983	0.291000	0.201000	0.045000	0.000000	0.536000	0.000000	43541
EDDA	1984	0.232000	0.133000	0.029000	0.000000	0.394000	0.000000	43541
EDDA	1985	0.192000	0.090000	0.023000	0.000000	0.305000	0.000000	43541
EDDA	1986	0.139000	0.052000	0.013000	0.000000	0.204000	0.000000	43541
EDDA	1987	0.050000	0.015000	0.004000	0.000000	0.069000	0.000000	43541
EDDA	1988	0.079000	0.018000	0.006000	0.000000	0.104000	0.000000	43541
EDDA	1989	0.171000	0.044000	0.014000	0.000000	0.230000	0.000000	43541
EDDA	1990	0.179000	0.049000	0.015000	0.000000	0.243000	0.000000	43541
EDDA	1991	0.144000	0.037000	0.010000	0.000000	0.191000	0.000000	43541
EDDA	1992	0.169000	0.042000	0.010000	0.000000	0.221000	0.000000	43541
EDDA	1993	0.136000	0.033000	0.008000	0.000000	0.177000	0.000000	43541
EDDA	1994	0.137000	0.031000	0.007000	0.000000	0.176000	0.000000	43541
EDDA	1995	0.146000	0.031000	0.007000	0.000000	0.184000	0.000000	43541
EDDA	1996	0.138000	0.031000	0.006000	0.000000	0.176000	0.000000	43541
EDDA	1997	0.104000	0.020000	0.005000	0.000000	0.129000	0.000000	43541
EDDA	1998	0.060000	0.013000	0.003000	0.000000	0.075000	0.000000	43541
VALHALL	1982	0.085000	0.000000	0.002000	0.000000	0.087000	0.000000	43548
VALHALL	1983	0.967000	0.101000	0.067000	0.000000	1.135000	0.000000	43548
VALHALL	1984	2.843000	0.513000	0.242000	0.000000	3.598000	0.000000	43548
VALHALL	1985	2.781000	0.468000	0.313000	0.000000	3.562000	0.000000	43548
VALHALL	1986	2.538000	0.430000	0.277000	0.000000	3.245000	0.000000	43548
VALHALL	1987	3.478000	0.622000	0.336000	0.000000	4.436000	0.000000	43548
VALHALL	1988	3.699000	0.709000	0.334000	0.000000	4.743000	0.000000	43548
VALHALL	1989	4.239000	0.842000	0.376000	0.000000	5.457000	0.000000	43548
VALHALL	1990	4.156000	0.919000	0.375000	0.000000	5.450000	0.000000	43548
VALHALL	1991	3.744000	0.818000	0.249000	0.000000	4.811000	0.000000	43548
VALHALL	1992	4.046000	0.928000	0.228000	0.000000	5.202000	0.000000	43548
VALHALL	1993	3.537000	0.800000	0.191000	0.000000	4.527000	0.000000	43548
VALHALL	1994	3.155000	0.667000	0.165000	0.000000	3.988000	0.000000	43548
VALHALL	1995	3.490000	0.788000	0.191000	0.000000	4.468000	0.000000	43548
VALHALL	1996	4.035000	0.880000	0.227000	0.000000	5.141000	0.000000	43548
VALHALL	1997	4.527000	0.940000	0.251000	0.000000	5.718000	0.000000	43548
VALHALL	1998	5.168000	0.965000	0.241000	0.000000	6.375000	0.000000	43548
VALHALL	1999	5.310000	1.036000	0.258000	0.000000	6.605000	0.000000	43548
VALHALL	2000	4.578000	0.889000	0.222000	0.000000	5.689000	0.203000	43548
VALHALL	2001	4.363000	0.882000	0.213000	0.000000	5.458000	0.267000	43548
VALHALL	2002	4.181000	0.875000	0.200000	0.000000	5.255000	0.334000	43548
VALHALL	2003	4.155000	0.632000	0.197000	0.000000	4.984000	0.344000	43548
VALHALL	2004	4.773000	0.968000	0.234000	0.000000	5.974000	0.517000	43548
VALHALL	2005	4.830000	0.956000	0.232000	0.000000	6.018000	0.577000	43548
VALHALL	2006	4.041000	0.772000	0.210000	0.000000	5.024000	0.844000	43548
VALHALL	2007	3.411000	0.608000	0.166000	0.000000	4.185000	0.693000	43548
VALHALL	2008	2.811000	0.486000	0.144000	0.000000	3.441000	0.709000	43548
VALHALL	2009	2.266000	0.349000	0.112000	0.000000	2.727000	0.406000	43548
VALHALL	2010	2.090000	0.338000	0.104000	0.000000	2.532000	0.395000	43548
VALHALL	2011	1.642000	0.250000	0.074000	0.000000	1.966000	0.351000	43548
VALHALL	2012	0.964000	0.134000	0.043000	0.000000	1.142000	0.296000	43548
VALHALL	2013	0.056000	0.000000	0.001000	0.000000	0.057000	0.001000	43548
FRIGG	1977	0.000000	0.953000	0.000000	0.002000	0.955000	0.000000	43555
FRIGG	1978	0.000000	4.445000	0.000000	0.021000	4.466000	0.000000	43555
FRIGG	1979	0.000000	8.283000	0.000000	0.044000	8.327000	0.000000	43555
FRIGG	1980	0.000000	9.927000	0.000000	0.048000	9.975000	0.000000	43555
FRIGG	1981	0.000000	10.928000	0.000000	0.048000	10.976000	0.000000	43555
FRIGG	1982	0.000000	10.165000	0.000000	0.043000	10.209000	0.000000	43555
FRIGG	1983	0.000000	10.719000	0.000000	0.041000	10.760000	0.000000	43555
FRIGG	1984	0.000000	10.080000	0.000000	0.034000	10.114000	0.000000	43555
FRIGG	1985	0.000000	8.584000	0.000000	0.034000	8.618000	0.000000	43555
FRIGG	1986	0.000000	8.198000	0.000000	0.034000	8.232000	0.000000	43555
FRIGG	1987	0.000000	7.760000	0.000000	0.029000	7.789000	0.000000	43555
FRIGG	1988	0.000000	6.967000	0.000000	0.024000	6.990000	0.000000	43555
FRIGG	1989	0.000000	5.160000	0.000000	0.014000	5.174000	0.000000	43555
FRIGG	1990	0.000000	2.329000	0.000000	0.007000	2.336000	0.000000	43555
FRIGG	1991	0.000000	1.503000	0.000000	0.006000	1.510000	0.000000	43555
FRIGG	1992	0.000000	1.643000	0.000000	0.012000	1.656000	0.000000	43555
FRIGG	1993	0.000000	1.354000	0.000000	0.006000	1.361000	0.000000	43555
FRIGG	1994	0.000000	1.054000	0.000000	0.003000	1.057000	0.000000	43555
FRIGG	1995	0.000000	0.664000	0.000000	0.001000	0.665000	0.000000	43555
FRIGG	1996	0.000000	0.410000	0.000000	0.000000	0.411000	0.000000	43555
FRIGG	1997	0.000000	0.480000	0.000000	0.000000	0.480000	0.000000	43555
FRIGG	1998	0.000000	0.601000	0.000000	0.001000	0.601000	0.000000	43555
FRIGG	1999	0.000000	0.332000	0.000000	0.000000	0.333000	0.000000	43555
FRIGG	2000	0.000000	0.603000	0.000000	0.001000	0.603000	0.000000	43555
FRIGG	2001	0.000000	0.737000	0.000000	0.002000	0.740000	0.000000	43555
FRIGG	2002	0.000000	0.717000	0.000000	0.001000	0.718000	0.000000	43555
FRIGG	2003	0.000000	0.708000	0.000000	0.001000	0.709000	0.000000	43555
FRIGG	2004	0.000000	0.863000	0.000000	0.001000	0.864000	0.000000	43555
BALDER	1991	0.129000	0.000000	0.000000	0.000000	0.129000	0.000000	43562
BALDER	1999	0.881000	0.000000	0.000000	0.000000	0.881000	0.000000	43562
BALDER	2000	4.018000	0.000000	0.000000	0.000000	4.018000	1.212000	43562
BALDER	2001	3.888000	0.000000	0.000000	0.000000	3.888000	1.579000	43562
BALDER	2002	3.436000	0.000000	0.000000	0.000000	3.436000	2.371000	43562
BALDER	2003	3.949000	0.032000	0.000000	0.000000	3.981000	2.163000	43562
BALDER	2004	6.046000	0.194000	0.000000	0.000000	6.240000	2.627000	43562
BALDER	2005	6.984000	0.254000	0.000000	0.000000	7.239000	2.792000	43562
BALDER	2006	6.352000	0.215000	0.000000	0.000000	6.567000	3.113000	43562
BALDER	2007	5.624000	0.189000	0.000000	0.000000	5.813000	3.437000	43562
BALDER	2008	4.409000	0.140000	0.000000	0.000000	4.549000	3.967000	43562
BALDER	2009	3.313000	0.108000	0.000000	0.000000	3.421000	4.617000	43562
BALDER	2010	2.726000	0.091000	0.000000	0.000000	2.818000	5.213000	43562
BALDER	2011	2.270000	0.061000	0.000000	0.000000	2.332000	5.261000	43562
BALDER	2012	1.857000	0.046000	0.000000	0.000000	1.903000	4.738000	43562
BALDER	2013	0.297000	0.008000	0.000000	0.000000	0.304000	0.847000	43562
NORDØST FRIGG	1983	0.000000	0.058000	0.000000	0.000000	0.058000	0.000000	43568
NORDØST FRIGG	1984	0.000000	1.727000	0.000000	0.013000	1.740000	0.000000	43568
NORDØST FRIGG	1985	0.000000	2.228000	0.000000	0.013000	2.241000	0.000000	43568
NORDØST FRIGG	1986	0.000000	1.609000	0.000000	0.006000	1.615000	0.000000	43568
NORDØST FRIGG	1987	0.000000	1.143000	0.000000	0.005000	1.148000	0.000000	43568
NORDØST FRIGG	1988	0.000000	1.121000	0.000000	0.007000	1.128000	0.000000	43568
NORDØST FRIGG	1989	0.000000	1.123000	0.000000	0.008000	1.131000	0.000000	43568
NORDØST FRIGG	1990	0.000000	1.224000	0.000000	0.012000	1.235000	0.000000	43568
NORDØST FRIGG	1991	0.000000	0.797000	0.000000	0.008000	0.805000	0.000000	43568
NORDØST FRIGG	1992	0.000000	0.486000	0.000000	0.006000	0.492000	0.000000	43568
NORDØST FRIGG	1993	0.000000	0.079000	0.000000	0.001000	0.080000	0.000000	43568
ØST FRIGG	1988	0.000000	0.391000	0.000000	0.001000	0.393000	0.000000	43576
ØST FRIGG	1989	0.000000	1.505000	0.000000	0.012000	1.517000	0.000000	43576
ØST FRIGG	1990	0.000000	1.375000	0.000000	0.010000	1.385000	0.000000	43576
ØST FRIGG	1991	0.000000	1.563000	0.000000	0.013000	1.576000	0.000000	43576
ØST FRIGG	1992	0.000000	1.111000	0.000000	0.012000	1.123000	0.000000	43576
ØST FRIGG	1993	0.000000	1.267000	0.000000	0.011000	1.278000	0.000000	43576
ØST FRIGG	1994	0.000000	0.983000	0.000000	0.007000	0.990000	0.000000	43576
ØST FRIGG	1995	0.000000	0.319000	0.000000	0.001000	0.320000	0.000000	43576
ØST FRIGG	1996	0.000000	0.610000	0.000000	0.000000	0.611000	0.000000	43576
ØST FRIGG	1997	0.000000	0.096000	0.000000	0.000000	0.097000	0.000000	43576
ØST FRIGG	1998	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43576
LILLE-FRIGG	1994	0.388000	0.584000	0.000000	0.003000	0.976000	0.000000	43583
LILLE-FRIGG	1995	0.437000	0.609000	0.000000	0.003000	1.049000	0.000000	43583
LILLE-FRIGG	1996	0.283000	0.532000	0.000000	0.006000	0.822000	0.000000	43583
LILLE-FRIGG	1997	0.132000	0.271000	0.000000	0.003000	0.407000	0.000000	43583
LILLE-FRIGG	1998	0.071000	0.149000	0.000000	0.004000	0.223000	0.000000	43583
LILLE-FRIGG	1999	0.013000	0.041000	0.000000	0.000000	0.054000	0.000000	43583
LILLE-FRIGG	2000	0.002000	0.000000	0.000000	0.000000	0.002000	0.000000	43583
LILLE-FRIGG	2001	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	43583
HEIMDAL	1986	0.316000	2.084000	0.000000	0.000000	2.400000	0.000000	43590
HEIMDAL	1987	0.520000	3.525000	0.000000	0.000000	4.045000	0.000000	43590
HEIMDAL	1988	0.578000	3.595000	0.000000	0.000000	4.173000	0.000000	43590
HEIMDAL	1989	0.472000	3.332000	0.000000	0.000000	3.804000	0.000000	43590
HEIMDAL	1990	0.505000	3.334000	0.000000	0.000000	3.839000	0.000000	43590
HEIMDAL	1991	0.497000	3.416000	0.000000	0.000000	3.913000	0.000000	43590
HEIMDAL	1992	0.491000	3.509000	0.000000	0.000000	4.000000	0.000000	43590
HEIMDAL	1993	0.485000	3.506000	0.000000	0.000000	3.990000	0.000000	43590
HEIMDAL	1994	0.444000	3.294000	0.000000	0.000000	3.739000	0.000000	43590
HEIMDAL	1995	0.466000	3.434000	0.000000	0.000000	3.900000	0.000000	43590
HEIMDAL	1996	0.627000	4.569000	0.000000	0.000000	5.197000	0.000000	43590
HEIMDAL	1997	0.407000	2.712000	0.000000	0.000000	3.119000	0.000000	43590
HEIMDAL	1998	0.204000	1.326000	0.000000	0.000000	1.530000	0.000000	43590
HEIMDAL	1999	0.118000	0.820000	0.000000	0.000000	0.938000	0.000000	43590
HEIMDAL	2001	0.013000	0.228000	0.000000	0.000000	0.240000	0.000000	43590
HEIMDAL	2002	0.099000	0.547000	0.000000	0.000000	0.646000	0.000000	43590
HEIMDAL	2003	0.056000	0.396000	0.000000	0.000000	0.453000	0.000000	43590
HEIMDAL	2004	0.051000	0.337000	0.000000	0.000000	0.388000	0.000000	43590
HEIMDAL	2005	0.045000	0.292000	0.000000	0.000000	0.337000	0.000000	43590
HEIMDAL	2006	0.023000	0.158000	0.000000	0.000000	0.181000	0.000000	43590
HEIMDAL	2007	0.026000	0.149000	0.000000	0.000000	0.175000	0.000000	43590
HEIMDAL	2008	0.022000	0.170000	0.000000	0.000000	0.192000	0.000000	43590
HEIMDAL	2009	0.026000	0.200000	0.000000	0.000000	0.225000	0.000000	43590
HEIMDAL	2010	0.025000	0.187000	0.000000	0.000000	0.212000	0.000000	43590
HEIMDAL	2011	0.018000	0.122000	0.000000	0.000000	0.140000	0.000000	43590
FRØY	1995	0.871000	0.154000	0.000000	0.005000	1.030000	0.000000	43597
FRØY	1996	1.778000	0.345000	0.000000	0.023000	2.147000	0.000000	43597
FRØY	1997	1.396000	0.289000	0.000000	0.017000	1.702000	0.000000	43597
FRØY	1998	0.716000	0.169000	0.000000	0.017000	0.901000	0.000000	43597
FRØY	1999	0.493000	0.249000	0.000000	0.027000	0.770000	0.000000	43597
FRØY	2000	0.263000	0.358000	0.000000	0.016000	0.637000	0.056000	43597
FRØY	2001	0.036000	0.042000	0.000000	0.001000	0.078000	0.002000	43597
JOTUN	1999	0.863000	0.012000	0.000000	0.000000	0.876000	0.000000	43604
JOTUN	2000	7.166000	0.313000	0.000000	0.000000	7.479000	0.821000	43604
JOTUN	2001	5.480000	0.206000	0.000000	0.000000	5.685000	4.508000	43604
JOTUN	2002	2.587000	0.068000	0.000000	0.000000	2.655000	6.840000	43604
JOTUN	2003	2.235000	0.048000	0.000000	0.000000	2.283000	7.401000	43604
JOTUN	2004	1.103000	0.037000	0.000000	0.000000	1.140000	7.905000	43604
JOTUN	2005	0.764000	0.051000	0.000000	0.000000	0.815000	8.101000	43604
JOTUN	2006	0.665000	0.051000	0.000000	0.000000	0.717000	7.578000	43604
JOTUN	2007	0.515000	0.045000	0.000000	0.000000	0.559000	6.693000	43604
JOTUN	2008	0.384000	0.022000	0.000000	0.000000	0.406000	6.085000	43604
JOTUN	2009	0.312000	0.014000	0.000000	0.000000	0.326000	5.531000	43604
JOTUN	2010	0.254000	0.007000	0.000000	0.000000	0.261000	5.373000	43604
JOTUN	2011	0.213000	0.005000	0.000000	0.000000	0.218000	5.138000	43604
JOTUN	2012	0.174000	0.001000	0.000000	0.000000	0.174000	4.830000	43604
JOTUN	2013	0.028000	0.000000	0.000000	0.000000	0.028000	0.764000	43604
ODIN	1984	0.000000	1.515000	0.000000	0.016000	1.532000	0.000000	43610
ODIN	1985	0.000000	3.549000	0.000000	0.028000	3.577000	0.000000	43610
ODIN	1986	0.000000	3.371000	0.000000	0.021000	3.392000	0.000000	43610
ODIN	1987	0.000000	3.475000	0.000000	0.021000	3.496000	0.000000	43610
ODIN	1988	0.000000	2.729000	0.000000	0.015000	2.744000	0.000000	43610
ODIN	1989	0.000000	2.827000	0.000000	0.019000	2.846000	0.000000	43610
ODIN	1990	0.000000	2.625000	0.000000	0.020000	2.645000	0.000000	43610
ODIN	1991	0.000000	2.810000	0.000000	0.030000	2.840000	0.000000	43610
ODIN	1992	0.000000	2.289000	0.000000	0.023000	2.312000	0.000000	43610
ODIN	1993	0.000000	1.503000	0.000000	0.016000	1.520000	0.000000	43610
ODIN	1994	0.000000	0.565000	0.000000	0.007000	0.572000	0.000000	43610
VESLEFRIKK	1990	2.873000	0.000000	0.158000	0.000000	3.031000	0.000000	43618
VESLEFRIKK	1991	3.489000	0.000000	0.220000	0.000000	3.709000	0.000000	43618
VESLEFRIKK	1992	3.953000	0.000000	0.247000	0.000000	4.200000	0.000000	43618
VESLEFRIKK	1993	3.932000	0.117000	0.232000	0.000000	4.281000	0.000000	43618
VESLEFRIKK	1994	4.443000	0.253000	0.260000	0.000000	4.956000	0.000000	43618
VESLEFRIKK	1995	4.458000	0.408000	0.257000	0.000000	5.122000	0.000000	43618
VESLEFRIKK	1996	4.069000	0.432000	0.252000	0.000000	4.753000	0.000000	43618
VESLEFRIKK	1997	3.475000	0.139000	0.086000	0.000000	3.700000	0.000000	43618
VESLEFRIKK	1998	3.268000	0.277000	0.164000	0.000000	3.709000	0.000000	43618
VESLEFRIKK	1999	1.899000	0.112000	0.069000	0.000000	2.080000	0.000000	43618
VESLEFRIKK	2000	2.405000	0.199000	0.143000	0.000000	2.747000	3.112000	43618
VESLEFRIKK	2001	1.977000	0.065000	0.064000	0.000000	2.105000	3.854000	43618
VESLEFRIKK	2002	1.645000	0.029000	0.026000	0.000000	1.700000	4.551000	43618
VESLEFRIKK	2003	1.686000	0.031000	0.023000	0.000000	1.739000	4.191000	43618
VESLEFRIKK	2004	1.589000	0.022000	0.022000	0.000000	1.632000	5.073000	43618
VESLEFRIKK	2005	1.527000	0.044000	0.035000	0.000000	1.606000	4.460000	43618
VESLEFRIKK	2006	1.113000	0.033000	0.019000	0.000000	1.166000	5.006000	43618
VESLEFRIKK	2007	0.909000	0.003000	0.002000	0.000000	0.914000	5.491000	43618
VESLEFRIKK	2008	0.702000	0.003000	0.002000	0.000000	0.706000	4.762000	43618
VESLEFRIKK	2009	0.678000	0.002000	0.001000	0.000000	0.682000	5.233000	43618
VESLEFRIKK	2010	0.766000	0.000000	0.000000	0.000000	0.766000	6.364000	43618
VESLEFRIKK	2011	0.707000	0.019000	0.012000	0.000000	0.738000	5.000000	43618
VESLEFRIKK	2012	0.746000	0.127000	0.091000	0.000000	0.965000	5.036000	43618
VESLEFRIKK	2013	0.108000	0.020000	0.016000	0.000000	0.144000	0.720000	43618
OSEBERG	1986	0.291000	0.000000	0.000000	0.000000	0.291000	0.000000	43625
OSEBERG	1987	0.808000	0.000000	0.000000	0.000000	0.808000	0.000000	43625
OSEBERG	1988	1.126000	0.000000	0.000000	0.000000	1.126000	0.000000	43625
OSEBERG	1989	13.514000	0.000000	0.000000	0.000000	13.514000	0.000000	43625
OSEBERG	1990	17.309000	0.000000	0.000000	0.000000	17.309000	0.000000	43625
OSEBERG	1991	20.916000	0.000000	0.000000	0.000000	20.916000	0.000000	43625
OSEBERG	1992	26.104000	0.000000	0.000000	0.000000	26.104000	0.000000	43625
OSEBERG	1993	28.463000	0.000000	0.000000	0.000000	28.463000	0.000000	43625
OSEBERG	1994	29.212000	0.000000	0.000000	0.000000	29.212000	0.000000	43625
OSEBERG	1995	28.985000	0.000000	0.000000	0.000000	28.985000	0.000000	43625
OSEBERG	1996	29.126000	0.000000	0.000000	0.000000	29.126000	0.000000	43625
OSEBERG	1997	27.268000	0.000000	0.000000	0.000000	27.268000	0.000000	43625
OSEBERG	1998	24.102000	0.000000	0.000000	0.000000	24.102000	0.000000	43625
OSEBERG	1999	19.435000	0.000000	0.000000	0.000000	19.435000	0.000000	43625
OSEBERG	2000	15.411000	1.403000	0.630000	0.000000	17.444000	3.047000	43625
OSEBERG	2001	10.970000	3.797000	0.955000	0.000000	15.722000	2.155000	43625
OSEBERG	2002	10.113000	2.798000	1.019000	0.000000	13.929000	1.742000	43625
OSEBERG	2003	9.175000	1.239000	1.025000	0.000000	11.439000	2.305000	43625
OSEBERG	2004	8.714000	2.423000	1.184000	0.000000	12.321000	2.537000	43625
OSEBERG	2005	7.467000	2.821000	1.165000	0.000000	11.452000	2.982000	43625
OSEBERG	2006	6.262000	3.370000	1.255000	0.000000	10.887000	2.802000	43625
OSEBERG	2007	5.164000	1.548000	1.303000	0.000000	8.014000	2.415000	43625
OSEBERG	2008	5.293000	3.818000	1.179000	0.000000	10.290000	2.395000	43625
OSEBERG	2009	5.125000	2.380000	1.075000	0.000000	8.580000	2.715000	43625
OSEBERG	2010	4.309000	3.243000	0.959000	0.000000	8.512000	2.915000	43625
OSEBERG	2011	3.914000	1.530000	1.199000	0.000000	6.643000	2.118000	43625
OSEBERG	2012	3.311000	4.569000	1.176000	0.000000	9.056000	1.783000	43625
OSEBERG	2013	0.478000	1.245000	0.211000	0.000000	1.935000	0.237000	43625
OSEBERG ØST	1999	0.911000	0.000000	0.000000	0.000000	0.911000	0.000000	43639
OSEBERG ØST	2000	2.554000	0.000000	0.000000	0.000000	2.554000	0.007000	43639
OSEBERG ØST	2001	3.813000	0.000000	0.000000	0.000000	3.813000	0.332000	43639
OSEBERG ØST	2002	3.113000	0.031000	0.000000	0.000000	3.143000	1.489000	43639
OSEBERG ØST	2003	2.188000	0.082000	0.000000	0.000000	2.270000	2.218000	43639
OSEBERG ØST	2004	1.798000	0.067000	0.000000	0.000000	1.864000	2.991000	43639
OSEBERG ØST	2005	1.062000	0.037000	0.000000	0.000000	1.099000	2.770000	43639
OSEBERG ØST	2006	0.663000	0.024000	0.000000	0.000000	0.687000	2.503000	43639
OSEBERG ØST	2007	0.539000	0.020000	0.000000	0.000000	0.558000	2.577000	43639
OSEBERG ØST	2008	0.438000	0.008000	0.000000	0.000000	0.446000	1.888000	43639
OSEBERG ØST	2009	0.350000	0.006000	0.000000	0.000000	0.357000	1.251000	43639
OSEBERG ØST	2010	0.349000	0.007000	0.000000	0.000000	0.355000	1.519000	43639
OSEBERG ØST	2011	0.516000	0.010000	0.000000	0.000000	0.526000	1.352000	43639
OSEBERG ØST	2012	0.455000	0.009000	0.000000	0.000000	0.464000	1.422000	43639
OSEBERG ØST	2013	0.068000	0.001000	0.000000	0.000000	0.070000	0.283000	43639
OSEBERG SØR	2000	1.432000	0.000000	0.000000	0.000000	1.432000	0.004000	43645
OSEBERG SØR	2001	4.456000	0.000000	0.000000	0.000000	4.456000	0.047000	43645
OSEBERG SØR	2002	4.360000	0.197000	0.000000	0.000000	4.557000	0.174000	43645
OSEBERG SØR	2003	5.060000	0.895000	0.000000	0.000000	5.955000	0.327000	43645
OSEBERG SØR	2004	4.582000	0.954000	0.000000	0.000000	5.536000	1.003000	43645
OSEBERG SØR	2005	4.182000	0.713000	0.000000	0.000000	4.895000	1.374000	43645
OSEBERG SØR	2006	4.070000	0.759000	0.000000	0.000000	4.829000	2.379000	43645
OSEBERG SØR	2007	3.173000	0.668000	0.000000	0.000000	3.841000	2.122000	43645
OSEBERG SØR	2008	3.305000	0.603000	0.000000	0.000000	3.908000	2.048000	43645
OSEBERG SØR	2009	2.634000	0.613000	0.000000	0.000000	3.247000	1.802000	43645
OSEBERG SØR	2010	2.302000	0.629000	0.000000	0.000000	2.931000	1.715000	43645
OSEBERG SØR	2011	2.081000	0.807000	0.000000	0.000000	2.889000	1.686000	43645
OSEBERG SØR	2012	2.097000	1.118000	0.000000	0.000000	3.215000	1.683000	43645
OSEBERG SØR	2013	0.316000	0.176000	0.000000	0.000000	0.493000	0.305000	43645
BRAGE	1993	1.044000	0.025000	0.031000	0.000000	1.100000	0.000000	43651
BRAGE	1994	5.352000	0.192000	0.174000	0.000000	5.718000	0.000000	43651
BRAGE	1995	6.252000	0.223000	0.152000	0.000000	6.627000	0.000000	43651
BRAGE	1996	6.398000	0.341000	0.209000	0.000000	6.947000	0.000000	43651
BRAGE	1997	5.869000	0.230000	0.146000	0.000000	6.245000	0.000000	43651
BRAGE	1998	5.541000	0.281000	0.195000	0.000000	6.017000	0.000000	43651
BRAGE	1999	3.798000	0.158000	0.111000	0.000000	4.067000	0.000000	43651
BRAGE	2000	2.633000	0.149000	0.115000	0.000000	2.897000	5.023000	43651
BRAGE	2001	2.229000	0.167000	0.158000	0.000000	2.554000	6.186000	43651
BRAGE	2002	2.143000	0.115000	0.109000	0.000000	2.366000	5.733000	43651
BRAGE	2003	1.878000	0.098000	0.081000	0.000000	2.058000	6.974000	43651
BRAGE	2004	1.581000	0.089000	0.068000	0.000000	1.738000	8.402000	43651
BRAGE	2005	1.481000	0.124000	0.086000	0.000000	1.691000	8.796000	43651
BRAGE	2006	1.113000	0.133000	0.084000	0.000000	1.330000	8.941000	43651
BRAGE	2007	1.195000	0.174000	0.107000	0.000000	1.476000	8.835000	43651
BRAGE	2008	1.597000	0.259000	0.170000	0.000000	2.026000	8.158000	43651
BRAGE	2009	1.676000	0.130000	0.096000	0.000000	1.902000	7.401000	43651
BRAGE	2010	1.546000	0.126000	0.087000	0.000000	1.759000	7.951000	43651
BRAGE	2011	1.133000	0.130000	0.088000	0.000000	1.350000	8.295000	43651
BRAGE	2012	0.788000	0.111000	0.073000	0.000000	0.972000	8.466000	43651
BRAGE	2013	0.113000	0.021000	0.014000	0.000000	0.148000	1.501000	43651
STATFJORD	1979	0.259000	0.000000	0.000000	0.000000	0.259000	0.000000	43658
STATFJORD	1980	3.429000	0.000000	0.000000	0.000000	3.429000	0.000000	43658
STATFJORD	1981	7.928000	0.000000	0.000000	0.000000	7.928000	0.000000	43658
STATFJORD	1982	11.397000	0.000000	0.000000	0.000000	11.397000	0.000000	43658
STATFJORD	1983	19.044000	0.000000	0.000000	0.000000	19.044000	0.000000	43658
STATFJORD	1984	22.437000	0.000000	0.000000	0.000000	22.437000	0.000000	43658
STATFJORD	1985	28.762000	0.454000	0.302000	0.000000	29.518000	0.000000	43658
STATFJORD	1986	34.281000	3.010000	1.653000	0.000000	38.944000	0.000000	43658
STATFJORD	1987	34.959000	3.260000	1.861000	0.000000	40.080000	0.000000	43658
STATFJORD	1988	34.586000	3.203000	1.795000	0.000000	39.583000	0.000000	43658
STATFJORD	1989	33.993000	3.014000	1.633000	0.000000	38.639000	0.000000	43658
STATFJORD	1990	33.314000	2.972000	1.606000	0.000000	37.892000	0.000000	43658
STATFJORD	1991	34.858000	2.838000	1.506000	0.000000	39.202000	0.000000	43658
STATFJORD	1992	36.989000	2.981000	1.531000	0.000000	41.502000	0.000000	43658
STATFJORD	1993	33.304000	2.960000	1.357000	0.000000	37.622000	0.000000	43658
STATFJORD	1994	31.731000	3.144000	1.391000	0.000000	36.266000	0.000000	43658
STATFJORD	1995	25.878000	2.942000	1.315000	0.000000	30.135000	0.000000	43658
STATFJORD	1996	21.609000	3.236000	1.510000	0.000000	26.356000	0.000000	43658
STATFJORD	1997	19.155000	3.094000	1.443000	0.000000	23.692000	0.000000	43658
STATFJORD	1998	16.596000	2.512000	1.207000	0.000000	20.314000	0.000000	43658
STATFJORD	1999	12.519000	2.280000	1.047000	0.000000	15.846000	0.000000	43658
STATFJORD	2000	10.886000	1.552000	0.722000	0.000000	13.159000	34.503000	43658
STATFJORD	2001	10.126000	1.434000	0.646000	0.000000	12.206000	34.919000	43658
STATFJORD	2002	8.872000	1.514000	0.626000	0.000000	11.011000	34.071000	43658
STATFJORD	2003	7.755000	1.194000	0.622000	0.000000	9.570000	35.440000	43658
STATFJORD	2004	6.970000	2.009000	0.652000	0.067000	9.699000	33.689000	43658
STATFJORD	2005	5.563000	1.960000	0.764000	0.045000	8.332000	38.967000	43658
STATFJORD	2006	4.259000	1.948000	0.981000	0.016000	7.204000	31.578000	43658
STATFJORD	2007	3.981000	2.012000	1.016000	0.045000	7.054000	36.166000	43658
STATFJORD	2008	3.177000	3.023000	1.304000	0.116000	7.621000	32.242000	43658
STATFJORD	2009	2.111000	2.475000	1.027000	0.096000	5.709000	20.124000	43658
STATFJORD	2010	1.999000	2.293000	0.884000	0.080000	5.256000	17.978000	43658
STATFJORD	2011	1.882000	1.349000	0.423000	0.041000	3.695000	20.302000	43658
SKIRNE	2004	0.216000	0.657000	0.000000	0.000000	0.873000	0.000000	2138816
STATFJORD	2012	1.541000	1.330000	0.553000	0.039000	3.464000	21.174000	43658
STATFJORD	2013	0.266000	0.223000	0.134000	0.008000	0.631000	4.041000	43658
MURCHISON	1981	0.720000	0.000000	0.000000	0.000000	0.720000	0.000000	43665
MURCHISON	1982	1.052000	0.000000	0.000000	0.000000	1.052000	0.000000	43665
MURCHISON	1983	1.054000	0.019000	0.049000	0.000000	1.121000	0.000000	43665
MURCHISON	1984	2.863000	0.081000	0.195000	0.000000	3.139000	0.000000	43665
MURCHISON	1985	1.696000	0.055000	0.139000	0.000000	1.890000	0.000000	43665
MURCHISON	1986	0.893000	0.046000	0.082000	0.000000	1.022000	0.000000	43665
MURCHISON	1987	0.344000	0.024000	0.024000	0.000000	0.392000	0.000000	43665
MURCHISON	1988	0.523000	0.024000	0.019000	0.000000	0.566000	0.000000	43665
MURCHISON	1989	0.485000	0.017000	0.016000	0.000000	0.518000	0.000000	43665
MURCHISON	1990	0.481000	0.008000	0.013000	0.000000	0.501000	0.000000	43665
MURCHISON	1991	0.394000	0.011000	0.010000	0.000000	0.416000	0.000000	43665
MURCHISON	1992	0.469000	0.018000	0.015000	0.000000	0.502000	0.000000	43665
MURCHISON	1993	0.289000	0.009000	0.007000	0.000000	0.306000	0.000000	43665
MURCHISON	1994	0.230000	0.004000	0.005000	0.000000	0.239000	0.000000	43665
MURCHISON	1995	0.203000	0.004000	0.005000	0.000000	0.212000	0.000000	43665
MURCHISON	1996	0.236000	0.006000	0.005000	0.000000	0.247000	0.000000	43665
MURCHISON	1997	0.280000	0.011000	0.010000	0.000000	0.302000	0.000000	43665
MURCHISON	1998	0.269000	0.006000	0.007000	0.000000	0.282000	0.000000	43665
MURCHISON	1999	0.252000	0.004000	0.005000	0.000000	0.261000	0.000000	43665
MURCHISON	2000	0.168000	0.001000	0.005000	0.000000	0.173000	0.000000	43665
MURCHISON	2001	0.090000	0.000000	0.000000	0.000000	0.090000	0.000000	43665
MURCHISON	2002	0.105000	0.000000	0.001000	0.000000	0.106000	0.000000	43665
MURCHISON	2003	0.114000	0.000000	0.003000	0.000000	0.117000	0.000000	43665
MURCHISON	2004	0.090000	0.000000	0.001000	0.000000	0.092000	0.000000	43665
MURCHISON	2005	0.082000	0.000000	0.000000	0.000000	0.082000	0.000000	43665
MURCHISON	2006	0.088000	0.000000	0.002000	0.000000	0.090000	0.000000	43665
MURCHISON	2007	0.078000	0.000000	0.000000	0.000000	0.078000	0.000000	43665
MURCHISON	2008	0.075000	0.000000	0.001000	0.000000	0.076000	0.000000	43665
MURCHISON	2009	0.068000	0.000000	0.001000	0.000000	0.069000	0.000000	43665
MURCHISON	2010	0.046000	0.000000	0.001000	0.000000	0.045000	0.000000	43665
MURCHISON	2011	0.050000	0.000000	0.000000	0.000000	0.050000	0.000000	43665
MURCHISON	2012	0.044000	0.000000	0.000000	0.000000	0.044000	0.000000	43665
MURCHISON	2013	0.005000	0.000000	0.000000	0.000000	0.005000	0.000000	43665
STATFJORD ØST	1994	0.611000	0.032000	0.014000	0.000000	0.657000	0.000000	43672
STATFJORD ØST	1995	3.229000	0.136000	0.066000	0.000000	3.431000	0.000000	43672
STATFJORD ØST	1996	3.356000	0.221000	0.107000	0.000000	3.683000	0.000000	43672
STATFJORD ØST	1997	4.150000	0.256000	0.137000	0.000000	4.543000	0.000000	43672
STATFJORD ØST	1998	4.236000	0.246000	0.130000	0.000000	4.612000	0.000000	43672
STATFJORD ØST	1999	3.769000	0.278000	0.156000	0.000000	4.203000	0.000000	43672
STATFJORD ØST	2000	2.822000	0.344000	0.230000	0.000000	3.396000	1.387000	43672
STATFJORD ØST	2001	2.197000	0.304000	0.287000	0.000000	2.788000	1.947000	43672
STATFJORD ØST	2002	1.917000	0.214000	0.194000	0.000000	2.326000	1.958000	43672
STATFJORD ØST	2003	1.992000	0.242000	0.181000	0.000000	2.416000	2.679000	43672
STATFJORD ØST	2004	1.349000	0.194000	0.148000	0.000000	1.691000	2.825000	43672
STATFJORD ØST	2005	1.129000	0.388000	0.289000	0.000000	1.806000	3.261000	43672
STATFJORD ØST	2006	1.136000	0.332000	0.238000	0.000000	1.706000	2.785000	43672
STATFJORD ØST	2007	1.183000	0.311000	0.219000	0.000000	1.713000	3.928000	43672
STATFJORD ØST	2008	0.782000	0.113000	0.079000	0.000000	0.974000	2.930000	43672
STATFJORD ØST	2009	0.552000	0.069000	0.035000	0.000000	0.655000	2.068000	43672
STATFJORD ØST	2010	0.817000	0.109000	0.048000	0.000000	0.974000	2.239000	43672
STATFJORD ØST	2011	0.393000	0.057000	0.029000	0.000000	0.479000	1.847000	43672
STATFJORD ØST	2012	0.462000	0.047000	0.024000	0.000000	0.532000	2.259000	43672
STATFJORD ØST	2013	0.065000	0.020000	0.012000	0.000000	0.098000	0.304000	43672
STATFJORD NORD	1995	2.548000	0.119000	0.070000	0.000000	2.737000	0.000000	43679
STATFJORD NORD	1996	3.307000	0.329000	0.159000	0.000000	3.795000	0.000000	43679
STATFJORD NORD	1997	3.935000	0.173000	0.092000	0.000000	4.200000	0.000000	43679
STATFJORD NORD	1998	3.035000	0.166000	0.088000	0.000000	3.289000	0.000000	43679
STATFJORD NORD	1999	3.393000	0.157000	0.089000	0.000000	3.639000	0.000000	43679
STATFJORD NORD	2000	3.998000	0.121000	0.081000	0.000000	4.200000	1.023000	43679
STATFJORD NORD	2001	2.841000	0.114000	0.108000	0.000000	3.063000	2.702000	43679
STATFJORD NORD	2002	2.275000	0.138000	0.126000	0.000000	2.538000	2.892000	43679
STATFJORD NORD	2003	2.830000	0.184000	0.137000	0.000000	3.152000	3.299000	43679
STATFJORD NORD	2004	2.163000	0.153000	0.116000	0.000000	2.432000	3.644000	43679
STATFJORD NORD	2005	1.906000	0.266000	0.198000	0.000000	2.371000	3.791000	43679
STATFJORD NORD	2006	1.310000	0.160000	0.115000	0.000000	1.585000	3.700000	43679
STATFJORD NORD	2007	1.127000	0.089000	0.064000	0.000000	1.279000	4.721000	43679
STATFJORD NORD	2008	0.744000	0.038000	0.027000	0.000000	0.809000	3.907000	43679
STATFJORD NORD	2009	0.286000	0.016000	0.007000	0.000000	0.309000	1.296000	43679
STATFJORD NORD	2010	0.409000	0.031000	0.012000	0.000000	0.452000	1.857000	43679
STATFJORD NORD	2011	0.246000	0.024000	0.008000	0.000000	0.277000	2.124000	43679
STATFJORD NORD	2012	0.165000	0.010000	0.003000	0.000000	0.178000	1.251000	43679
STATFJORD NORD	2013	0.003000	0.001000	0.000000	0.000000	0.004000	0.013000	43679
GULLFAKS	1986	0.044000	0.000000	0.000000	0.000000	0.044000	0.000000	43686
GULLFAKS	1987	4.020000	0.122000	0.017000	0.000000	4.158000	0.000000	43686
GULLFAKS	1988	8.639000	0.582000	0.080000	0.000000	9.301000	0.000000	43686
GULLFAKS	1989	15.490000	1.059000	0.151000	0.000000	16.700000	0.000000	43686
GULLFAKS	1990	14.830000	1.005000	0.145000	0.000000	15.979000	0.000000	43686
GULLFAKS	1991	19.907000	1.310000	0.237000	0.000000	21.454000	0.000000	43686
GULLFAKS	1992	25.027000	1.799000	0.337000	0.000000	27.164000	0.000000	43686
GULLFAKS	1993	28.677000	2.069000	0.495000	0.000000	31.240000	0.000000	43686
GULLFAKS	1994	30.743000	2.017000	0.448000	0.000000	33.208000	0.000000	43686
GULLFAKS	1995	28.091000	1.873000	0.378000	0.000000	30.342000	0.000000	43686
GULLFAKS	1996	25.445000	1.773000	0.202000	0.000000	27.420000	0.000000	43686
GULLFAKS	1997	24.121000	1.684000	0.189000	0.000000	25.994000	0.000000	43686
GULLFAKS	1998	19.855000	1.455000	0.244000	0.000000	21.554000	0.000000	43686
GULLFAKS	1999	17.277000	0.968000	0.165000	0.000000	18.410000	0.000000	43686
GULLFAKS	2000	13.272000	0.902000	0.162000	0.000000	14.336000	23.517000	43686
GULLFAKS	2001	10.532000	0.827000	0.197000	0.000000	11.556000	25.287000	43686
GULLFAKS	2002	9.211000	0.605000	0.163000	0.000000	9.978000	24.652000	43686
GULLFAKS	2003	9.506000	0.622000	0.252000	0.000000	10.380000	25.271000	43686
GULLFAKS	2004	9.712000	0.579000	0.232000	0.000000	10.523000	29.085000	43686
GULLFAKS	2005	8.346000	0.448000	0.217000	0.000000	9.011000	25.154000	43686
GULLFAKS	2006	6.429000	0.493000	0.196000	0.000000	7.118000	26.228000	43686
GULLFAKS	2007	5.560000	0.236000	0.257000	0.000000	6.053000	23.837000	43686
GULLFAKS	2008	5.305000	0.333000	0.322000	0.000000	5.961000	23.649000	43686
GULLFAKS	2009	4.690000	0.228000	0.073000	0.000000	4.990000	25.826000	43686
GULLFAKS	2010	3.959000	0.090000	0.030000	0.000000	4.079000	24.553000	43686
GULLFAKS	2011	2.663000	0.000000	0.000000	0.000000	2.663000	15.123000	43686
GULLFAKS	2012	2.537000	0.000000	0.000000	0.000000	2.537000	15.814000	43686
GULLFAKS	2013	0.423000	0.000000	0.000000	0.000000	0.423000	2.401000	43686
GULLFAKS SØR	1998	0.069000	0.000000	0.000000	0.000000	0.069000	0.000000	43699
GULLFAKS SØR	1999	2.207000	0.000000	0.000000	0.000000	2.207000	0.000000	43699
GULLFAKS SØR	2000	2.994000	0.499000	0.105000	0.000000	3.598000	0.190000	43699
GULLFAKS SØR	2001	3.838000	0.599000	0.151000	0.000000	4.589000	0.372000	43699
GULLFAKS SØR	2002	3.729000	1.887000	0.458000	0.000000	6.073000	0.243000	43699
GULLFAKS SØR	2003	3.379000	2.543000	0.579000	0.000000	6.501000	0.178000	43699
GULLFAKS SØR	2004	4.171000	3.214000	0.741000	0.000000	8.125000	0.188000	43699
GULLFAKS SØR	2005	3.889000	3.803000	0.824000	0.000000	8.517000	0.393000	43699
GULLFAKS SØR	2006	2.933000	3.637000	0.967000	0.000000	7.536000	0.561000	43699
GULLFAKS SØR	2007	3.280000	4.043000	1.017000	0.000000	8.340000	0.613000	43699
GULLFAKS SØR	2008	3.108000	3.738000	0.878000	0.000000	7.724000	0.356000	43699
GULLFAKS SØR	2009	3.007000	2.637000	0.820000	0.000000	6.465000	0.445000	43699
GULLFAKS SØR	2010	2.085000	2.336000	0.741000	0.000000	5.162000	0.156000	43699
GULLFAKS SØR	2011	1.594000	1.609000	0.280000	0.000000	3.483000	0.331000	43699
GULLFAKS SØR	2012	1.882000	2.436000	0.665000	0.000000	4.983000	1.441000	43699
GULLFAKS SØR	2013	0.348000	0.407000	0.115000	0.000000	0.871000	0.231000	43699
SNORRE	1992	1.558000	0.000000	0.087000	0.000000	1.645000	0.000000	43718
SNORRE	1993	6.909000	0.215000	0.495000	0.000000	7.620000	0.000000	43718
SNORRE	1994	9.872000	0.454000	0.610000	0.000000	10.936000	0.000000	43718
SNORRE	1995	11.374000	0.627000	0.680000	0.000000	12.681000	0.000000	43718
SNORRE	1996	11.482000	0.611000	0.628000	0.000000	12.721000	0.000000	43718
SNORRE	1997	10.770000	0.577000	0.568000	0.000000	11.915000	0.000000	43718
SNORRE	1998	10.091000	0.457000	0.615000	0.000000	11.163000	0.000000	43718
SNORRE	1999	9.399000	0.308000	0.557000	0.000000	10.264000	0.000000	43718
SNORRE	2000	8.587000	0.292000	0.535000	0.000000	9.415000	6.285000	43718
SNORRE	2001	11.545000	0.521000	0.975000	0.000000	13.041000	6.353000	43718
SNORRE	2002	12.640000	0.450000	0.936000	0.000000	14.026000	6.134000	43718
SNORRE	2003	13.598000	0.406000	0.667000	0.000000	14.671000	7.101000	43718
SNORRE	2004	11.539000	0.193000	0.262000	0.000000	11.993000	7.409000	43718
SNORRE	2005	8.956000	0.343000	0.405000	0.000000	9.703000	5.902000	43718
SNORRE	2006	8.315000	0.147000	0.220000	0.000000	8.682000	7.815000	43718
SNORRE	2007	8.382000	0.064000	0.084000	0.000000	8.530000	9.809000	43718
SNORRE	2008	8.472000	0.229000	0.183000	0.000000	8.884000	8.474000	43718
SNORRE	2009	6.006000	0.139000	0.095000	0.000000	6.241000	6.781000	43718
SNORRE	2010	5.830000	0.138000	0.095000	0.000000	6.063000	8.117000	43718
SNORRE	2011	5.517000	0.119000	0.088000	0.000000	5.723000	7.717000	43718
SNORRE	2012	4.450000	0.034000	0.026000	0.000000	4.510000	7.854000	43718
SNORRE	2013	0.739000	0.000000	0.000000	0.000000	0.739000	0.988000	43718
TORDIS	1994	1.555000	0.093000	0.041000	0.000000	1.689000	0.000000	43725
TORDIS	1995	4.146000	0.278000	0.171000	0.000000	4.594000	0.000000	43725
TORDIS	1996	4.504000	0.364000	0.199000	0.000000	5.067000	0.000000	43725
TORDIS	1997	4.122000	0.390000	0.197000	0.000000	4.709000	0.000000	43725
TORDIS	1998	3.970000	0.320000	0.196000	0.000000	4.486000	0.000000	43725
TORDIS	1999	4.420000	0.338000	0.216000	0.000000	4.975000	0.000000	43725
TORDIS	2000	3.994000	0.304000	0.199000	0.000000	4.497000	1.232000	43725
TORDIS	2001	4.754000	0.336000	0.323000	0.000000	5.413000	1.103000	43725
TORDIS	2002	4.616000	0.317000	0.319000	0.000000	5.251000	1.303000	43725
TORDIS	2003	4.115000	0.329000	0.261000	0.000000	4.705000	1.624000	43725
TORDIS	2004	3.686000	0.281000	0.215000	0.000000	4.182000	2.274000	43725
TORDIS	2005	3.026000	0.247000	0.190000	0.000000	3.463000	2.438000	43725
TORDIS	2006	1.668000	0.107000	0.089000	0.000000	1.864000	2.821000	43725
TORDIS	2007	2.430000	0.092000	0.076000	0.000000	2.598000	3.047000	43725
TORDIS	2008	1.609000	0.002000	0.002000	0.000000	1.613000	4.494000	43725
TORDIS	2009	1.095000	0.005000	0.005000	0.000000	1.105000	3.301000	43725
TORDIS	2010	0.736000	0.000000	0.000000	0.000000	0.736000	1.642000	43725
TORDIS	2011	0.590000	0.408000	0.340000	0.000000	1.339000	1.025000	43725
TORDIS	2012	0.223000	0.018000	0.015000	0.000000	0.256000	0.396000	43725
TORDIS	2013	0.073000	0.006000	0.005000	0.000000	0.083000	0.059000	43725
VIGDIS	1997	1.597000	0.000000	0.000000	0.000000	1.597000	0.000000	43732
VIGDIS	1998	4.724000	0.000000	0.000000	0.000000	4.724000	0.000000	43732
VIGDIS	1999	5.109000	0.000000	0.000000	0.000000	5.109000	0.000000	43732
VIGDIS	2000	4.198000	0.000000	0.000000	0.000000	4.198000	1.126000	43732
VIGDIS	2001	3.670000	0.000000	0.000000	0.000000	3.670000	2.284000	43732
VIGDIS	2002	3.053000	0.000000	0.000000	0.000000	3.053000	1.628000	43732
VIGDIS	2003	3.362000	0.038000	0.053000	0.000000	3.453000	3.173000	43732
VIGDIS	2004	3.587000	0.190000	0.258000	0.000000	4.035000	2.334000	43732
VIGDIS	2005	3.691000	0.187000	0.228000	0.000000	4.107000	1.991000	43732
VIGDIS	2006	3.758000	0.217000	0.328000	0.000000	4.304000	1.873000	43732
VIGDIS	2007	3.277000	0.209000	0.293000	0.000000	3.779000	2.612000	43732
VIGDIS	2008	3.069000	0.215000	0.180000	0.000000	3.464000	2.414000	43732
VIGDIS	2009	2.633000	0.199000	0.142000	0.000000	2.974000	2.868000	43732
VIGDIS	2010	1.971000	0.120000	0.081000	0.000000	2.172000	2.549000	43732
VIGDIS	2011	2.035000	0.142000	0.115000	0.000000	2.292000	3.748000	43732
VIGDIS	2012	1.862000	0.175000	0.146000	0.000000	2.182000	4.286000	43732
VIGDIS	2013	0.314000	0.017000	0.012000	0.000000	0.344000	0.781000	43732
VISUND	1999	0.628000	0.000000	0.000000	0.000000	0.628000	0.000000	43745
VISUND	2000	2.253000	0.000000	0.000000	0.000000	2.253000	0.581000	43745
VISUND	2001	2.536000	0.000000	0.000000	0.000000	2.536000	1.121000	43745
VISUND	2002	2.459000	0.000000	0.000000	0.000000	2.459000	0.668000	43745
VISUND	2003	2.021000	0.000000	0.000000	0.000000	2.021000	1.005000	43745
VISUND	2004	1.863000	0.000000	0.000000	0.000000	1.863000	1.487000	43745
VISUND	2005	1.116000	0.345000	0.043000	0.000000	1.504000	0.297000	43745
VISUND	2006	1.210000	1.039000	0.127000	0.000000	2.376000	0.597000	43745
VISUND	2007	2.251000	1.507000	0.133000	0.000000	3.891000	0.822000	43745
VISUND	2008	1.724000	0.793000	0.089000	0.000000	2.606000	0.374000	43745
VISUND	2009	1.563000	1.137000	0.133000	0.000000	2.834000	0.364000	43745
VISUND	2010	1.403000	1.116000	0.107000	0.000000	2.626000	0.446000	43745
VISUND	2011	0.669000	0.557000	0.039000	0.000000	1.265000	0.199000	43745
VISUND	2012	0.719000	0.456000	0.042000	0.000000	1.217000	3.283000	43745
VISUND	2013	0.136000	0.056000	0.006000	0.000000	0.198000	0.027000	43745
NJORD	1997	0.367000	0.000000	0.000000	0.000000	0.367000	0.000000	43751
NJORD	1998	1.696000	0.000000	0.000000	0.000000	1.696000	0.000000	43751
NJORD	1999	3.523000	0.000000	0.000000	0.000000	3.523000	0.000000	43751
NJORD	2000	3.921000	0.000000	0.000000	0.000000	3.921000	0.062000	43751
NJORD	2001	2.937000	0.000000	0.000000	0.000000	2.937000	0.124000	43751
NJORD	2002	1.863000	0.000000	0.000000	0.000000	1.863000	0.103000	43751
NJORD	2003	1.764000	0.000000	0.000000	0.000000	1.764000	0.144000	43751
NJORD	2004	1.689000	0.000000	0.000000	0.000000	1.689000	0.070000	43751
NJORD	2005	1.830000	0.000000	0.000000	0.000000	1.830000	0.080000	43751
NJORD	2006	1.392000	0.000000	0.000000	0.000000	1.392000	0.161000	43751
NJORD	2007	1.053000	0.075000	0.034000	0.000000	1.162000	0.094000	43751
NJORD	2008	0.947000	1.997000	0.905000	0.000000	3.849000	0.086000	43751
NJORD	2009	0.743000	1.824000	0.840000	0.000000	3.407000	0.189000	43751
NJORD	2010	0.961000	1.777000	0.798000	0.000000	3.537000	0.142000	43751
NJORD	2011	0.541000	1.384000	0.614000	0.000000	2.539000	0.040000	43751
NJORD	2012	0.317000	0.756000	0.329000	0.000000	1.402000	0.023000	43751
NJORD	2013	0.080000	0.172000	0.074000	0.000000	0.325000	0.007000	43751
DRAUGEN	1993	0.123000	0.000000	0.000000	0.000000	0.123000	0.000000	43758
DRAUGEN	1994	3.887000	0.000000	0.000000	0.000000	3.887000	0.000000	43758
DRAUGEN	1995	6.971000	0.000000	0.000000	0.000000	6.971000	0.000000	43758
DRAUGEN	1996	8.444000	0.000000	0.000000	0.000000	8.444000	0.000000	43758
DRAUGEN	1997	10.452000	0.000000	0.000000	0.000000	10.452000	0.000000	43758
DRAUGEN	1998	11.194000	0.000000	0.000000	0.000000	11.194000	0.000000	43758
DRAUGEN	1999	12.139000	0.000000	0.000000	0.000000	12.139000	0.000000	43758
DRAUGEN	2000	11.744000	0.020000	0.034000	0.000000	11.799000	0.238000	43758
DRAUGEN	2001	11.859000	0.274000	0.734000	0.000000	12.866000	0.249000	43758
DRAUGEN	2002	11.067000	0.239000	0.642000	0.000000	11.948000	0.828000	43758
DRAUGEN	2003	7.434000	0.166000	0.495000	0.000000	8.095000	2.151000	43758
DRAUGEN	2004	7.807000	0.197000	0.556000	0.000000	8.561000	4.758000	43758
DRAUGEN	2005	6.018000	0.162000	0.448000	0.000000	6.629000	5.967000	43758
DRAUGEN	2006	4.549000	0.119000	0.333000	0.000000	5.002000	5.461000	43758
DRAUGEN	2007	4.124000	0.099000	0.282000	0.000000	4.504000	6.476000	43758
DRAUGEN	2008	4.040000	0.092000	0.273000	0.000000	4.405000	6.897000	43758
DRAUGEN	2009	3.398000	0.075000	0.237000	0.000000	3.711000	8.018000	43758
DRAUGEN	2010	2.409000	0.046000	0.150000	0.000000	2.605000	7.527000	43758
DRAUGEN	2011	2.173000	0.042000	0.142000	0.000000	2.357000	8.311000	43758
DRAUGEN	2012	2.024000	0.038000	0.132000	0.000000	2.194000	9.564000	43758
DRAUGEN	2013	0.293000	0.005000	0.018000	0.000000	0.315000	1.620000	43758
ÅSGARD	1999	3.901000	0.000000	0.000000	0.000000	3.901000	0.000000	43765
ÅSGARD	2000	7.837000	0.523000	0.086000	0.098000	8.544000	0.093000	43765
ÅSGARD	2001	8.320000	3.892000	1.306000	0.681000	14.200000	0.136000	43765
ÅSGARD	2002	8.232000	7.247000	2.224000	2.592000	20.296000	0.198000	43765
ÅSGARD	2003	6.944000	10.073000	3.526000	4.329000	24.872000	0.295000	43765
ÅSGARD	2004	5.658000	10.203000	3.488000	3.853000	23.202000	0.409000	43765
ÅSGARD	2005	4.637000	10.513000	3.639000	3.351000	22.140000	0.438000	43765
ÅSGARD	2006	4.836000	9.770000	3.609000	2.209000	20.424000	0.438000	43765
ÅSGARD	2007	6.793000	11.441000	4.160000	0.000000	22.394000	0.552000	43765
ÅSGARD	2008	5.949000	11.417000	4.022000	0.000000	21.388000	0.677000	43765
ÅSGARD	2009	5.729000	12.319000	4.554000	0.000000	22.602000	0.876000	43765
ÅSGARD	2010	5.026000	11.829000	4.462000	0.000000	21.317000	0.917000	43765
ÅSGARD	2011	3.932000	12.083000	4.832000	0.000000	20.848000	0.725000	43765
ÅSGARD	2012	4.001000	12.211000	5.103000	0.000000	21.314000	0.683000	43765
ÅSGARD	2013	0.537000	1.653000	0.699000	0.000000	2.888000	0.106000	43765
HEIDRUN	1995	1.059000	0.000000	0.000000	0.000000	1.059000	0.000000	43771
HEIDRUN	1996	12.189000	0.009000	0.000000	0.000000	12.198000	0.000000	43771
HEIDRUN	1997	13.456000	0.331000	0.000000	0.000000	13.788000	0.000000	43771
HEIDRUN	1998	11.690000	0.566000	0.000000	0.000000	12.257000	0.000000	43771
HEIDRUN	1999	12.540000	0.652000	0.000000	0.000000	13.192000	0.000000	43771
HEIDRUN	2000	10.591000	0.608000	0.000000	0.000000	11.199000	1.700000	43771
HEIDRUN	2001	10.226000	1.346000	0.192000	0.000000	11.764000	1.629000	43771
HEIDRUN	2002	10.132000	1.137000	0.112000	0.000000	11.381000	2.366000	43771
HEIDRUN	2003	9.070000	2.099000	0.175000	0.000000	11.344000	3.723000	43771
HEIDRUN	2004	8.583000	0.755000	0.161000	0.000000	9.499000	3.686000	43771
HEIDRUN	2005	8.139000	0.342000	0.086000	0.000000	8.566000	4.610000	43771
HEIDRUN	2006	8.000000	0.424000	0.102000	0.000000	8.526000	4.659000	43771
HEIDRUN	2007	6.203000	0.310000	0.069000	0.000000	6.581000	4.108000	43771
HEIDRUN	2008	5.460000	0.241000	0.054000	0.000000	5.755000	4.390000	43771
HEIDRUN	2009	4.562000	0.257000	0.057000	0.000000	4.876000	4.621000	43771
HEIDRUN	2010	3.210000	0.864000	0.036000	0.000000	4.110000	3.641000	43771
HEIDRUN	2011	3.705000	0.779000	0.012000	0.000000	4.496000	4.714000	43771
HEIDRUN	2012	3.181000	0.705000	0.005000	0.000000	3.891000	4.754000	43771
HEIDRUN	2013	0.635000	0.122000	0.000000	0.000000	0.757000	0.926000	43771
NORNE	1997	0.415000	0.000000	0.000000	0.000000	0.415000	0.000000	43778
NORNE	1998	6.316000	0.000000	0.000000	0.000000	6.316000	0.000000	43778
NORNE	1999	8.305000	0.000000	0.000000	0.000000	8.305000	0.000000	43778
NORNE	2000	10.420000	0.000000	0.000000	0.000000	10.420000	0.139000	43778
NORNE	2001	11.297000	1.085000	0.208000	0.000000	12.591000	0.303000	43778
NORNE	2002	10.270000	0.790000	0.146000	0.000000	11.205000	1.056000	43778
NORNE	2003	8.552000	0.756000	0.181000	0.000000	9.489000	1.856000	43778
NORNE	2004	7.008000	0.956000	0.205000	0.000000	8.169000	2.473000	43778
NORNE	2005	5.267000	0.946000	0.208000	0.000000	6.420000	4.953000	43778
NORNE	2006	4.849000	0.435000	0.114000	0.000000	5.398000	5.463000	43778
NORNE	2007	4.274000	0.510000	0.135000	0.000000	4.919000	5.854000	43778
NORNE	2008	3.482000	0.343000	0.092000	0.000000	3.916000	6.450000	43778
NORNE	2009	2.214000	0.180000	0.048000	0.000000	2.443000	6.399000	43778
NORNE	2010	1.931000	0.169000	0.046000	0.000000	2.146000	6.467000	43778
NORNE	2011	1.615000	0.257000	0.072000	0.000000	1.944000	8.107000	43778
NORNE	2012	0.743000	0.157000	0.044000	0.000000	0.944000	6.123000	43778
NORNE	2013	0.147000	0.023000	0.006000	0.000000	0.177000	1.037000	43778
COD	1977	0.002000	0.004000	0.000000	0.000000	0.006000	0.000000	43785
COD	1978	0.068000	0.138000	0.000000	0.000000	0.205000	0.000000	43785
COD	1979	0.285000	0.482000	0.035000	0.000000	0.802000	0.000000	43785
COD	1980	0.465000	0.843000	0.107000	0.000000	1.415000	0.000000	43785
COD	1981	0.342000	0.691000	0.089000	0.000000	1.122000	0.000000	43785
COD	1982	0.322000	0.758000	0.105000	0.000000	1.185000	0.000000	43785
COD	1983	0.283000	0.730000	0.125000	0.000000	1.139000	0.000000	43785
COD	1984	0.191000	0.529000	0.087000	0.000000	0.807000	0.000000	43785
COD	1985	0.153000	0.455000	0.083000	0.000000	0.691000	0.000000	43785
COD	1986	0.126000	0.405000	0.068000	0.000000	0.599000	0.000000	43785
COD	1987	0.081000	0.281000	0.049000	0.000000	0.411000	0.000000	43785
COD	1988	0.100000	0.354000	0.068000	0.000000	0.521000	0.000000	43785
COD	1989	0.071000	0.255000	0.046000	0.000000	0.372000	0.000000	43785
COD	1990	0.057000	0.194000	0.035000	0.000000	0.287000	0.000000	43785
COD	1991	0.051000	0.173000	0.025000	0.000000	0.250000	0.000000	43785
COD	1992	0.049000	0.171000	0.023000	0.000000	0.243000	0.000000	43785
COD	1993	0.046000	0.157000	0.021000	0.000000	0.224000	0.000000	43785
COD	1994	0.046000	0.155000	0.021000	0.000000	0.223000	0.000000	43785
COD	1995	0.047000	0.164000	0.022000	0.000000	0.233000	0.000000	43785
COD	1996	0.042000	0.148000	0.019000	0.000000	0.209000	0.000000	43785
COD	1997	0.033000	0.117000	0.017000	0.000000	0.167000	0.000000	43785
COD	1998	0.018000	0.075000	0.011000	0.000000	0.104000	0.000000	43785
MIME	1990	0.026000	0.006000	0.002000	0.000000	0.034000	0.000000	43792
MIME	1991	0.162000	0.037000	0.011000	0.000000	0.210000	0.000000	43792
MIME	1992	0.122000	0.028000	0.008000	0.000000	0.157000	0.000000	43792
MIME	1993	0.064000	0.015000	0.004000	0.000000	0.083000	0.000000	43792
ULA	1986	0.847000	0.038000	0.066000	0.000000	0.951000	0.000000	43800
ULA	1987	4.581000	0.320000	0.397000	0.000000	5.298000	0.000000	43800
ULA	1988	5.062000	0.361000	0.502000	0.000000	5.926000	0.000000	43800
ULA	1989	5.056000	0.348000	0.493000	0.000000	5.897000	0.000000	43800
ULA	1990	5.505000	0.376000	0.515000	0.000000	6.395000	0.000000	43800
ULA	1991	6.783000	0.424000	0.530000	0.000000	7.737000	0.000000	43800
ULA	1992	7.317000	0.457000	0.531000	0.000000	8.305000	0.000000	43800
ULA	1993	7.346000	0.472000	0.517000	0.000000	8.335000	0.000000	43800
ULA	1994	5.458000	0.349000	0.373000	0.000000	6.179000	0.000000	43800
ULA	1995	3.799000	0.235000	0.254000	0.000000	4.287000	0.000000	43800
ULA	1996	2.715000	0.165000	0.162000	0.000000	3.042000	0.000000	43800
ULA	1997	2.222000	0.147000	0.128000	0.000000	2.496000	0.000000	43800
ULA	1998	1.697000	0.022000	0.074000	0.000000	1.793000	0.000000	43800
ULA	1999	1.457000	0.000000	0.051000	0.000000	1.508000	0.000000	43800
ULA	2000	1.178000	0.000000	0.043000	0.000000	1.221000	4.338000	43800
ULA	2001	1.323000	0.006000	0.069000	0.000000	1.399000	4.070000	43800
ULA	2002	1.241000	0.046000	0.092000	0.000000	1.379000	3.009000	43800
ULA	2003	1.071000	0.050000	0.084000	0.000000	1.205000	3.129000	43800
ULA	2004	1.034000	0.028000	0.066000	0.000000	1.127000	3.662000	43800
ULA	2005	1.085000	0.000000	0.074000	0.000000	1.159000	3.068000	43800
ULA	2006	0.988000	0.000000	0.064000	0.000000	1.052000	1.799000	43800
ULA	2007	0.805000	0.007000	0.045000	0.000000	0.856000	1.849000	43800
ULA	2008	0.549000	0.001000	0.024000	0.000000	0.574000	0.787000	43800
ULA	2009	0.747000	0.001000	0.033000	0.000000	0.782000	0.687000	43800
ULA	2010	1.101000	0.000000	0.053000	0.000000	1.154000	1.776000	43800
ULA	2011	0.739000	0.000000	0.027000	0.000000	0.766000	1.686000	43800
ULA	2012	0.529000	0.000000	0.021000	0.000000	0.550000	1.796000	43800
ULA	2013	0.119000	0.000000	0.005000	0.000000	0.124000	0.117000	43800
YME	1996	1.195000	0.000000	0.000000	0.000000	1.195000	0.000000	43807
YME	1997	1.980000	0.000000	0.000000	0.000000	1.980000	0.000000	43807
YME	1998	1.970000	0.000000	0.000000	0.000000	1.970000	0.000000	43807
YME	1999	1.484000	0.000000	0.000000	0.000000	1.484000	0.000000	43807
YME	2000	1.071000	0.000000	0.000000	0.000000	1.071000	0.688000	43807
YME	2001	0.207000	0.000000	0.000000	0.000000	0.207000	0.226000	43807
33/9-6 DELTA	2009	0.010000	0.000000	0.000000	0.000000	0.010000	0.011000	44576
33/9-6 DELTA	2010	0.021000	0.000000	0.000000	0.000000	0.021000	0.038000	44576
33/9-6 DELTA	2011	0.019000	0.000000	0.000000	0.000000	0.019000	0.007000	44576
33/9-6 DELTA	2012	0.013000	0.000000	0.000000	0.000000	0.013000	0.004000	44576
33/9-6 DELTA	2013	0.000000	0.000000	0.000000	0.000000	0.000000	0.000000	44576
TROLL	1990	1.051000	0.000000	0.000000	0.000000	1.051000	0.000000	46437
TROLL	1991	0.176000	0.000000	0.000000	0.000000	0.176000	0.000000	46437
TROLL	1992	0.063000	0.000000	0.000000	0.000000	0.063000	0.000000	46437
TROLL	1993	0.060000	0.000000	0.000000	0.000000	0.060000	0.000000	46437
TROLL	1994	0.061000	0.000000	0.000000	0.000000	0.061000	0.000000	46437
TROLL	1995	2.856000	0.000000	0.000000	0.000000	2.856000	0.000000	46437
TROLL	1996	13.324000	5.507000	0.000000	0.000000	18.831000	0.000000	46437
TROLL	1997	14.767000	14.317000	0.000000	0.000000	29.084000	0.000000	46437
TROLL	1998	13.254000	19.954000	0.000000	0.000000	33.208000	0.000000	46437
TROLL	1999	12.909000	25.461000	0.000000	0.218000	38.588000	0.000000	46437
TROLL	2000	18.362000	24.666000	0.000000	0.750000	43.778000	15.812000	46437
TROLL	2001	19.503000	21.433000	0.000000	0.639000	41.576000	18.490000	46437
TROLL	2002	21.194000	25.581000	0.000000	0.768000	47.543000	18.918000	46437
TROLL	2003	20.821000	26.169000	0.000000	1.512000	48.502000	21.917000	46437
TROLL	2004	17.764000	26.362000	0.282000	0.450000	44.857000	23.636000	46437
TROLL	2005	14.093000	28.340000	1.310000	0.000000	43.742000	22.594000	46437
TROLL	2006	10.820000	30.701000	1.400000	0.000000	42.921000	21.258000	46437
TROLL	2007	9.426000	35.780000	1.369000	0.000000	46.574000	21.661000	46437
TROLL	2008	8.168000	29.739000	1.075000	0.000000	38.982000	21.539000	46437
TROLL	2009	7.849000	24.401000	1.065000	0.000000	33.316000	20.957000	46437
TROLL	2010	6.870000	28.556000	1.072000	0.000000	36.498000	19.984000	46437
TROLL	2011	7.264000	24.796000	0.930000	0.000000	32.989000	19.843000	46437
TROLL	2012	7.100000	34.407000	1.411000	0.000000	42.918000	18.964000	46437
TROLL	2013	1.091000	5.975000	0.237000	0.000000	7.303000	1.590000	46437
HULDRA	2001	0.038000	0.082000	0.002000	0.000000	0.122000	0.003000	97002
HULDRA	2002	1.249000	2.615000	0.052000	0.000000	3.916000	0.231000	97002
HULDRA	2003	1.183000	2.958000	0.023000	0.000000	4.164000	0.428000	97002
HULDRA	2004	0.939000	3.081000	0.043000	0.000000	4.063000	0.406000	97002
HULDRA	2005	0.485000	1.919000	0.042000	0.000000	2.446000	0.286000	97002
HULDRA	2006	0.304000	1.338000	0.022000	0.000000	1.664000	0.251000	97002
HULDRA	2007	0.168000	0.767000	0.001000	0.000000	0.937000	0.204000	97002
HULDRA	2008	0.209000	1.083000	0.001000	0.000000	1.293000	0.330000	97002
HULDRA	2009	0.192000	1.055000	0.000000	0.000000	1.247000	0.389000	97002
HULDRA	2010	0.146000	0.824000	0.000000	0.000000	0.970000	0.322000	97002
HULDRA	2011	0.099000	0.576000	0.001000	0.000000	0.676000	0.250000	97002
HULDRA	2012	0.079000	0.440000	0.023000	0.000000	0.542000	0.170000	97002
HULDRA	2013	0.009000	0.057000	0.004000	0.000000	0.070000	0.021000	97002
SYGNA	2000	0.642000	0.000000	0.000000	0.000000	0.642000	0.002000	104718
SYGNA	2001	2.550000	0.000000	0.000000	0.000000	2.550000	0.000000	104718
SYGNA	2002	1.813000	0.000000	0.000000	0.000000	1.813000	0.439000	104718
SYGNA	2003	1.638000	0.000000	0.000000	0.000000	1.638000	1.177000	104718
SYGNA	2004	1.143000	0.000000	0.000000	0.000000	1.143000	1.311000	104718
SYGNA	2005	0.691000	0.000000	0.000000	0.000000	0.691000	1.793000	104718
SYGNA	2006	0.413000	0.000000	0.000000	0.000000	0.413000	1.603000	104718
SYGNA	2007	0.377000	0.000000	0.000000	0.000000	0.377000	1.946000	104718
SYGNA	2008	0.298000	0.000000	0.000000	0.000000	0.298000	2.095000	104718
SYGNA	2009	0.130000	0.000000	0.000000	0.000000	0.130000	1.141000	104718
SYGNA	2010	0.054000	0.000000	0.000000	0.000000	0.054000	0.327000	104718
SYGNA	2011	0.063000	0.000000	0.000000	0.000000	0.063000	0.219000	104718
SYGNA	2012	0.051000	0.000000	0.000000	0.000000	0.051000	0.136000	104718
TUNE	2002	0.018000	0.044000	0.001000	0.000000	0.063000	0.000000	853376
TUNE	2003	1.139000	3.332000	0.042000	0.000000	4.513000	0.048000	853376
TUNE	2004	0.958000	3.972000	0.046000	0.000000	4.976000	0.041000	853376
TUNE	2005	0.506000	3.118000	0.034000	0.000000	3.658000	0.032000	853376
TUNE	2006	0.287000	2.557000	0.027000	0.000000	2.871000	0.015000	853376
TUNE	2007	0.165000	1.801000	0.020000	0.000000	1.985000	0.027000	853376
TUNE	2008	0.099000	1.273000	0.021000	0.000000	1.392000	0.098000	853376
TUNE	2009	0.225000	2.112000	0.036000	0.000000	2.373000	0.024000	853376
TUNE	2010	0.141000	1.187000	0.023000	0.000000	1.352000	0.006000	853376
TUNE	2011	0.092000	0.870000	0.017000	0.000000	0.979000	0.007000	853376
TUNE	2012	0.083000	0.687000	0.013000	0.000000	0.783000	0.013000	853376
TUNE	2013	0.008000	0.071000	0.001000	0.000000	0.080000	0.001000	853376
TAMBAR	2001	0.535000	0.000000	0.025000	0.000000	0.560000	0.003000	1028599
TAMBAR	2002	1.726000	0.000000	0.087000	0.000000	1.814000	0.005000	1028599
TAMBAR	2003	1.463000	0.000000	0.072000	0.000000	1.535000	0.005000	1028599
TAMBAR	2004	0.884000	0.000000	0.046000	0.000000	0.930000	0.004000	1028599
TAMBAR	2005	1.240000	0.000000	0.070000	0.000000	1.310000	0.010000	1028599
TAMBAR	2006	0.936000	0.000000	0.056000	0.000000	0.991000	0.005000	1028599
TAMBAR	2007	0.650000	0.000000	0.037000	0.000000	0.686000	0.019000	1028599
TAMBAR	2008	0.591000	0.000000	0.037000	0.000000	0.629000	0.027000	1028599
TAMBAR	2009	0.341000	0.000000	0.016000	0.000000	0.357000	0.004000	1028599
TAMBAR	2010	0.285000	0.000000	0.013000	0.000000	0.298000	0.003000	1028599
TAMBAR	2011	0.290000	0.000000	0.011000	0.000000	0.302000	0.003000	1028599
TAMBAR	2012	0.226000	0.000000	0.009000	0.000000	0.235000	0.002000	1028599
TAMBAR	2013	0.049000	0.000000	0.002000	0.000000	0.052000	0.000000	1028599
GRANE	1996	0.079000	0.000000	0.000000	0.000000	0.079000	0.000000	1035937
GRANE	2003	0.751000	0.000000	0.000000	0.000000	0.751000	0.185000	1035937
GRANE	2004	7.086000	0.000000	0.000000	0.000000	7.086000	2.947000	1035937
GRANE	2005	10.308000	0.000000	0.000000	0.000000	10.308000	4.534000	1035937
GRANE	2006	12.614000	0.000000	0.000000	0.000000	12.614000	4.686000	1035937
GRANE	2007	11.992000	0.000000	0.000000	0.000000	11.992000	3.316000	1035937
GRANE	2008	10.037000	0.000000	0.000000	0.000000	10.037000	3.296000	1035937
GRANE	2009	10.724000	0.000000	0.000000	0.000000	10.724000	2.726000	1035937
GRANE	2010	9.654000	0.000000	0.000000	0.000000	9.654000	2.299000	1035937
GRANE	2011	8.170000	0.000000	0.000000	0.000000	8.170000	3.157000	1035937
GRANE	2012	7.108000	0.000000	0.000000	0.000000	7.108000	3.626000	1035937
GRANE	2013	0.951000	0.000000	0.000000	0.000000	0.951000	0.620000	1035937
KVITEBJØRN	2004	0.281000	0.558000	0.034000	0.000000	0.873000	0.014000	1036101
KVITEBJØRN	2005	2.187000	4.340000	0.590000	0.000000	7.117000	0.072000	1036101
KVITEBJØRN	2006	2.837000	5.620000	0.810000	0.000000	9.267000	0.088000	1036101
KVITEBJØRN	2007	0.548000	1.083000	0.140000	0.000000	1.771000	0.018000	1036101
KVITEBJØRN	2008	1.448000	3.003000	0.453000	0.000000	4.904000	0.062000	1036101
KVITEBJØRN	2009	2.349000	5.081000	0.808000	0.000000	8.237000	0.172000	1036101
KVITEBJØRN	2010	2.711000	6.115000	0.775000	0.000000	9.600000	0.226000	1036101
KVITEBJØRN	2011	2.628000	6.518000	0.829000	0.000000	9.974000	0.202000	1036101
KVITEBJØRN	2012	2.483000	6.979000	0.933000	0.000000	10.396000	0.135000	1036101
KVITEBJØRN	2013	0.393000	1.200000	0.149000	0.000000	1.742000	0.023000	1036101
GLITNE	2001	0.746000	0.000000	0.000000	0.000000	0.746000	0.005000	1272071
GLITNE	2002	2.157000	0.000000	0.000000	0.000000	2.157000	0.416000	1272071
GLITNE	2003	1.686000	0.000000	0.000000	0.000000	1.686000	1.071000	1272071
GLITNE	2004	0.969000	0.000000	0.000000	0.000000	0.969000	1.291000	1272071
GLITNE	2005	0.827000	0.000000	0.000000	0.000000	0.827000	2.003000	1272071
GLITNE	2006	0.582000	0.000000	0.000000	0.000000	0.582000	2.373000	1272071
GLITNE	2007	0.469000	0.000000	0.000000	0.000000	0.469000	2.628000	1272071
GLITNE	2008	0.509000	0.000000	0.000000	0.000000	0.509000	2.766000	1272071
GLITNE	2009	0.372000	0.000000	0.000000	0.000000	0.372000	2.887000	1272071
GLITNE	2010	0.259000	0.000000	0.000000	0.000000	0.259000	2.473000	1272071
GLITNE	2011	0.198000	0.000000	0.000000	0.000000	0.198000	2.303000	1272071
GLITNE	2012	0.101000	0.000000	0.000000	0.000000	0.101000	1.595000	1272071
GLITNE	2013	0.006000	0.000000	0.000000	0.000000	0.006000	0.194000	1272071
FRAM	2003	0.694000	0.000000	0.000000	0.000000	0.694000	0.003000	1578840
FRAM	2004	2.938000	0.000000	0.000000	0.000000	2.938000	0.059000	1578840
FRAM	2005	1.861000	0.000000	0.000000	0.000000	1.861000	0.078000	1578840
FRAM	2006	1.663000	0.000000	0.000000	0.000000	1.663000	0.066000	1578840
FRAM	2007	2.641000	0.068000	0.004000	0.000000	2.712000	0.196000	1578840
FRAM	2008	3.278000	0.288000	0.027000	0.000000	3.593000	0.119000	1578840
FRAM	2009	3.381000	0.423000	0.068000	0.000000	3.872000	0.295000	1578840
FRAM	2010	3.091000	0.569000	0.076000	0.000000	3.737000	0.403000	1578840
FRAM	2011	2.802000	0.576000	0.077000	0.000000	3.454000	0.597000	1578840
FRAM	2012	2.442000	0.535000	0.084000	0.000000	3.061000	0.816000	1578840
FRAM	2013	0.436000	0.106000	0.014000	0.000000	0.555000	0.094000	1578840
VALE	2002	0.054000	0.000000	0.000000	0.000000	0.054000	0.000000	1578893
VALE	2003	0.153000	0.119000	0.000000	0.000000	0.272000	0.000000	1578893
VALE	2004	0.160000	0.132000	0.000000	0.000000	0.292000	0.000000	1578893
VALE	2005	0.077000	0.062000	0.000000	0.000000	0.139000	0.000000	1578893
VALE	2006	0.178000	0.146000	0.000000	0.000000	0.324000	0.000000	1578893
VALE	2007	0.173000	0.136000	0.000000	0.000000	0.310000	0.000000	1578893
VALE	2008	0.204000	0.173000	0.000000	0.000000	0.376000	0.000000	1578893
VALE	2009	0.183000	0.156000	0.000000	0.000000	0.339000	0.000000	1578893
VALE	2010	0.008000	0.009000	0.000000	0.000000	0.017000	0.000000	1578893
VALE	2011	0.016000	0.015000	0.000000	0.000000	0.031000	0.000000	1578893
VALE	2012	0.125000	0.121000	0.000000	0.000000	0.246000	0.000000	1578893
VALE	2013	0.029000	0.033000	0.000000	0.000000	0.062000	0.000000	1578893
SIGYN	2003	0.000000	0.913000	0.611000	0.888000	2.412000	0.006000	1630100
SIGYN	2004	0.000000	0.836000	0.660000	0.901000	2.397000	0.022000	1630100
SIGYN	2005	0.000000	0.844000	0.657000	0.872000	2.374000	0.042000	1630100
SIGYN	2006	0.000000	0.716000	0.501000	0.646000	1.863000	0.078000	1630100
SIGYN	2007	0.000000	0.649000	0.492000	0.598000	1.740000	0.095000	1630100
SIGYN	2008	0.000000	0.546000	0.438000	0.508000	1.492000	0.122000	1630100
SIGYN	2009	0.000000	0.485000	0.370000	0.440000	1.295000	0.124000	1630100
SIGYN	2010	0.000000	0.411000	0.256000	0.342000	1.009000	0.119000	1630100
SIGYN	2011	0.000000	0.438000	0.275000	0.343000	1.056000	0.150000	1630100
SIGYN	2012	0.000000	0.335000	0.224000	0.275000	0.834000	0.115000	1630100
SIGYN	2013	0.000000	0.051000	0.035000	0.043000	0.128000	0.018000	1630100
MIKKEL	2003	0.000000	0.463000	0.195000	0.205000	0.863000	0.002000	1630514
MIKKEL	2004	0.000000	1.651000	0.857000	0.732000	3.240000	0.007000	1630514
MIKKEL	2005	0.000000	1.738000	0.914000	0.760000	3.412000	0.008000	1630514
MIKKEL	2006	0.169000	1.613000	0.881000	0.532000	3.194000	0.007000	1630514
MIKKEL	2007	0.740000	1.850000	1.000000	0.000000	3.590000	0.007000	1630514
MIKKEL	2008	0.590000	1.506000	0.793000	0.000000	2.889000	0.006000	1630514
MIKKEL	2009	0.515000	1.781000	0.926000	0.000000	3.222000	0.006000	1630514
MIKKEL	2010	0.458000	1.694000	0.904000	0.000000	3.056000	0.006000	1630514
MIKKEL	2011	0.414000	1.672000	0.903000	0.000000	2.989000	0.006000	1630514
MIKKEL	2012	0.370000	1.615000	0.868000	0.000000	2.854000	0.006000	1630514
MIKKEL	2013	0.050000	0.229000	0.123000	0.000000	0.402000	0.001000	1630514
KRISTIN	2005	0.000000	0.190000	0.076000	0.195000	0.460000	0.005000	1854729
KRISTIN	2006	1.070000	2.610000	1.119000	1.902000	6.700000	0.078000	1854729
KRISTIN	2007	4.278000	3.690000	1.578000	0.000000	9.546000	0.213000	1854729
KRISTIN	2008	4.398000	3.940000	1.625000	0.000000	9.963000	0.667000	1854729
KRISTIN	2009	2.864000	2.813000	1.181000	0.000000	6.857000	0.702000	1854729
KRISTIN	2010	1.750000	2.117000	0.882000	0.000000	4.750000	0.891000	1854729
KRISTIN	2011	1.411000	1.981000	0.891000	0.000000	4.283000	1.231000	1854729
KRISTIN	2012	1.139000	1.634000	0.675000	0.000000	3.448000	1.118000	1854729
KRISTIN	2013	0.171000	0.228000	0.084000	0.000000	0.483000	0.173000	1854729
SNØHVIT	2007	0.000000	0.145000	0.014000	0.111000	0.270000	0.000000	2053062
SNØHVIT	2008	0.000000	2.355000	0.247000	0.506000	3.108000	0.000000	2053062
SNØHVIT	2009	0.000000	3.333000	0.325000	0.599000	4.256000	0.000000	2053062
SNØHVIT	2010	0.000000	4.999000	0.472000	0.842000	6.313000	0.000000	2053062
SNØHVIT	2011	0.000000	4.315000	0.404000	0.718000	5.437000	0.000000	2053062
SNØHVIT	2012	0.000000	4.651000	0.430000	0.771000	5.852000	0.000000	2053062
SNØHVIT	2013	0.000000	0.391000	0.037000	0.063000	0.491000	0.000000	2053062
SKIRNE	2005	0.297000	1.197000	0.000000	0.000000	1.493000	0.000000	2138816
SKIRNE	2006	0.271000	1.277000	0.000000	0.000000	1.548000	0.000000	2138816
SKIRNE	2007	0.212000	1.023000	0.000000	0.000000	1.235000	0.000000	2138816
SKIRNE	2008	0.199000	1.108000	0.000000	0.000000	1.307000	0.000000	2138816
SKIRNE	2009	0.206000	1.204000	0.000000	0.000000	1.409000	0.000000	2138816
SKIRNE	2010	0.154000	1.002000	0.000000	0.000000	1.156000	0.000000	2138816
SKIRNE	2011	0.112000	0.795000	0.000000	0.000000	0.907000	0.000000	2138816
SKIRNE	2012	0.081000	0.613000	0.000000	0.000000	0.694000	0.000000	2138816
SKIRNE	2013	0.007000	0.090000	0.000000	0.000000	0.098000	0.000000	2138816
ORMEN LANGE	2007	0.000000	1.670000	0.000000	0.135000	1.805000	0.002000	2762452
ORMEN LANGE	2008	0.000000	11.437000	0.000000	0.967000	12.405000	0.000000	2762452
ORMEN LANGE	2009	0.000000	20.782000	0.000000	1.646000	22.427000	0.000000	2762452
ORMEN LANGE	2010	0.000000	20.851000	0.000000	1.529000	22.380000	0.000000	2762452
ORMEN LANGE	2011	0.000000	21.739000	0.000000	1.654000	23.393000	0.000000	2762452
ORMEN LANGE	2012	0.000000	22.203000	0.000000	1.734000	23.937000	0.000000	2762452
ORMEN LANGE	2013	0.000000	3.730000	0.000000	0.271000	4.001000	0.000000	2762452
URD	2005	0.191000	0.011000	0.003000	0.000000	0.205000	0.000000	2834734
URD	2006	2.045000	0.069000	0.018000	0.000000	2.132000	0.351000	2834734
URD	2007	0.846000	0.032000	0.008000	0.000000	0.886000	0.527000	2834734
URD	2008	0.510000	0.021000	0.006000	0.000000	0.537000	0.494000	2834734
URD	2009	0.363000	0.007000	0.002000	0.000000	0.372000	0.401000	2834734
URD	2010	0.414000	0.003000	0.001000	0.000000	0.418000	0.736000	2834734
URD	2011	0.314000	0.002000	0.000000	0.000000	0.316000	0.581000	2834734
URD	2012	0.325000	0.003000	0.001000	0.000000	0.329000	0.694000	2834734
URD	2013	0.046000	0.000000	0.000000	0.000000	0.046000	0.153000	2834734
ALVHEIM	2008	2.300000	0.146000	0.000000	0.000000	2.446000	0.001000	2845712
ALVHEIM	2009	4.973000	0.445000	0.000000	0.000000	5.419000	0.377000	2845712
ALVHEIM	2010	4.570000	0.437000	0.000000	0.000000	5.007000	0.340000	2845712
ALVHEIM	2011	3.856000	0.458000	0.000000	0.000000	4.314000	0.935000	2845712
ALVHEIM	2012	4.013000	0.619000	0.000000	0.000000	4.632000	2.111000	2845712
ALVHEIM	2013	0.615000	0.103000	0.000000	0.000000	0.718000	0.274000	2845712
VILJE	2008	0.519000	0.028000	0.000000	0.000000	0.547000	0.000000	3392471
VILJE	2009	1.538000	0.074000	0.000000	0.000000	1.612000	0.004000	3392471
VILJE	2010	1.785000	0.084000	0.000000	0.000000	1.869000	0.001000	3392471
VILJE	2011	1.777000	0.080000	0.000000	0.000000	1.857000	0.032000	3392471
VILJE	2012	1.771000	0.079000	0.000000	0.000000	1.849000	0.242000	3392471
VILJE	2013	0.240000	0.010000	0.000000	0.000000	0.250000	0.050000	3392471
VOLVE	2008	1.770000	0.155000	0.067000	0.026000	2.019000	0.005000	3420717
VOLVE	2009	2.717000	0.297000	0.116000	0.035000	3.165000	0.273000	3420717
VOLVE	2010	1.699000	0.157000	0.056000	0.017000	1.928000	1.889000	3420717
VOLVE	2011	0.859000	0.077000	0.025000	0.006000	0.967000	2.191000	3420717
VOLVE	2012	0.587000	0.045000	0.011000	0.003000	0.646000	2.110000	3420717
VOLVE	2013	0.091000	0.007000	0.001000	0.000000	0.099000	0.000000	3420717
BLANE	2007	0.049000	0.000000	0.002000	0.000000	0.051000	0.000000	3437650
BLANE	2008	0.139000	0.000000	0.006000	0.000000	0.145000	0.000000	3437650
BLANE	2009	0.116000	0.000000	0.005000	0.000000	0.120000	0.000000	3437650
BLANE	2010	0.094000	0.000000	0.003000	0.000000	0.097000	0.000000	3437650
BLANE	2011	0.101000	0.000000	0.004000	0.000000	0.104000	0.003000	3437650
BLANE	2012	0.054000	0.000000	0.002000	0.000000	0.056000	0.008000	3437650
BLANE	2013	0.012000	0.000000	0.001000	0.000000	0.013000	0.002000	3437650
ENOCH	2007	0.056000	0.000000	0.000000	0.000000	0.056000	0.001000	3437659
ENOCH	2008	0.068000	0.000000	0.000000	0.000000	0.068000	0.002000	3437659
ENOCH	2009	0.072000	0.000000	0.000000	0.000000	0.072000	0.001000	3437659
ENOCH	2010	0.047000	0.000000	0.000000	0.000000	0.047000	0.000000	3437659
ENOCH	2011	0.029000	0.000000	0.000000	0.000000	0.029000	0.000000	3437659
ENOCH	2012	0.002000	0.000000	0.000000	0.000000	0.002000	0.000000	3437659
RINGHORNE ØST	2006	0.934000	0.031000	0.000000	0.000000	0.965000	0.034000	3505505
RINGHORNE ØST	2007	1.622000	0.025000	0.000000	0.000000	1.646000	0.048000	3505505
RINGHORNE ØST	2008	1.979000	0.035000	0.000000	0.000000	2.015000	0.163000	3505505
RINGHORNE ØST	2009	1.603000	0.043000	0.000000	0.000000	1.647000	0.757000	3505505
RINGHORNE ØST	2010	1.094000	0.031000	0.000000	0.000000	1.125000	0.995000	3505505
RINGHORNE ØST	2011	0.945000	0.028000	0.000000	0.000000	0.973000	1.051000	3505505
RINGHORNE ØST	2012	0.922000	0.023000	0.000000	0.000000	0.946000	1.119000	3505505
RINGHORNE ØST	2013	0.157000	0.004000	0.000000	0.000000	0.161000	0.210000	3505505
TYRIHANS	2009	1.596000	0.343000	0.145000	0.000000	2.084000	0.001000	3960848
TYRIHANS	2010	4.056000	0.062000	0.028000	0.000000	4.145000	0.000000	3960848
TYRIHANS	2011	5.121000	0.270000	0.125000	0.000000	5.516000	0.000000	3960848
TYRIHANS	2012	5.148000	0.037000	0.019000	0.000000	5.203000	0.237000	3960848
TYRIHANS	2013	0.624000	0.013000	0.006000	0.000000	0.644000	0.040000	3960848
GIMLE	2005	0.300000	0.062000	0.021000	0.000000	0.383000	0.009000	4005142
GIMLE	2006	0.256000	0.012000	0.004000	0.000000	0.272000	0.001000	4005142
GIMLE	2007	0.550000	0.000000	0.000000	0.000000	0.550000	0.021000	4005142
GIMLE	2008	0.611000	0.000000	0.000000	0.000000	0.611000	0.561000	4005142
GIMLE	2009	0.333000	0.000000	0.000000	0.000000	0.333000	0.795000	4005142
GIMLE	2010	0.227000	0.000000	0.000000	0.000000	0.227000	1.003000	4005142
GIMLE	2011	0.200000	0.000000	0.000000	0.000000	0.200000	1.192000	4005142
GIMLE	2012	0.144000	0.331000	0.133000	0.000000	0.608000	1.322000	4005142
GIMLE	2013	0.023000	0.056000	0.022000	0.000000	0.101000	0.249000	4005142
VOLUND	2009	0.009000	0.001000	0.000000	0.000000	0.010000	0.000000	4380167
VOLUND	2010	0.801000	0.081000	0.000000	0.000000	0.883000	0.001000	4380167
VOLUND	2011	1.835000	0.174000	0.000000	0.000000	2.009000	0.011000	4380167
VOLUND	2012	1.996000	0.186000	0.000000	0.000000	2.182000	0.064000	4380167
VOLUND	2013	0.316000	0.028000	0.000000	0.000000	0.344000	0.018000	4380167
ALVE	2009	0.259000	0.900000	0.313000	0.000000	1.472000	0.003000	4444332
ALVE	2010	0.244000	0.839000	0.289000	0.000000	1.372000	0.000000	4444332
ALVE	2011	0.318000	0.747000	0.270000	0.000000	1.335000	0.002000	4444332
ALVE	2012	0.243000	0.505000	0.186000	0.000000	0.935000	0.000000	4444332
ALVE	2013	0.024000	0.047000	0.017000	0.000000	0.088000	0.000000	4444332
REV	2009	0.240000	0.628000	0.000000	0.000000	0.869000	0.000000	4467554
REV	2010	0.291000	1.129000	0.019000	0.000000	1.439000	0.000000	4467554
REV	2011	0.084000	0.481000	0.033000	0.000000	0.598000	0.006000	4467554
REV	2012	0.057000	0.296000	0.022000	0.000000	0.375000	0.007000	4467554
REV	2013	0.009000	0.023000	0.002000	0.000000	0.034000	0.006000	4467554
GJØA	2010	0.241000	0.213000	0.000000	0.000000	0.454000	0.008000	4467574
GJØA	2011	2.149000	1.768000	0.846000	0.071000	4.834000	0.088000	4467574
GJØA	2012	2.763000	2.934000	1.748000	0.172000	7.617000	0.112000	4467574
GJØA	2013	0.358000	0.607000	0.352000	0.032000	1.349000	0.022000	4467574
VEGA	2010	0.018000	0.023000	0.000000	0.000000	0.041000	0.000000	4467595
VEGA	2011	0.658000	0.742000	0.360000	0.044000	1.804000	0.052000	4467595
VEGA	2012	0.858000	1.042000	0.627000	0.062000	2.589000	0.114000	4467595
VEGA	2013	0.186000	0.253000	0.158000	0.017000	0.614000	0.015000	4467595
SKARV	2013	0.076000	0.272000	0.068000	0.000000	0.416000	0.000000	4704482
MORVIN	2010	0.407000	0.000000	0.000000	0.000000	0.407000	0.000000	4966234
MORVIN	2011	1.558000	0.000000	0.000000	0.000000	1.558000	0.000000	4966234
MORVIN	2012	1.711000	0.000000	0.000000	0.000000	1.711000	0.000000	4966234
MORVIN	2013	0.230000	0.000000	0.000000	0.000000	0.230000	0.000000	4966234
YTTERGRYTA	2009	0.117000	0.301000	0.111000	0.000000	0.529000	0.002000	4973114
YTTERGRYTA	2010	0.118000	0.312000	0.115000	0.000000	0.545000	0.003000	4973114
YTTERGRYTA	2011	0.055000	0.317000	0.123000	0.000000	0.495000	0.001000	4973114
YTTERGRYTA	2012	0.000000	0.301000	0.119000	0.000000	0.420000	0.000000	4973114
YTTERGRYTA	2013	0.000000	0.042000	0.018000	0.000000	0.059000	0.000000	4973114
OSELVAR	2012	0.152000	0.000000	0.007000	0.000000	0.159000	0.004000	5506919
OSELVAR	2013	0.038000	0.000000	0.002000	0.000000	0.040000	0.001000	5506919
TRYM	2011	0.330000	0.453000	0.000000	0.000000	0.783000	0.000000	18081500
TRYM	2012	0.374000	0.627000	0.000000	0.000000	1.001000	0.000000	18081500
TRYM	2013	0.059000	0.115000	0.000000	0.000000	0.175000	0.000000	18081500
GAUPE	2012	0.111000	0.161000	0.013000	0.007000	0.293000	0.004000	18161341
GAUPE	2013	0.014000	0.044000	0.003000	0.002000	0.062000	0.003000	18161341
MARULK	2012	0.050000	0.541000	0.092000	0.000000	0.683000	0.004000	18212090
MARULK	2013	0.001000	0.015000	0.003000	0.000000	0.019000	0.000000	18212090
VISUND SØR	2012	0.049000	0.018000	0.005000	0.000000	0.072000	0.000000	20461008
VISUND SØR	2013	0.063000	0.047000	0.011000	0.000000	0.121000	0.001000	20461008
ISLAY	2012	0.002000	0.025000	0.002000	0.000000	0.029000	0.000000	21105675
ISLAY	2013	0.000000	0.007000	0.001000	0.000000	0.008000	0.000000	21105675
ATLA	2012	0.038000	0.046000	0.000000	0.000000	0.085000	0.000000	21106284
ATLA	2013	0.012000	0.000000	0.000000	0.000000	0.012000	0.000000	21106284
\.



COPY field_reserves (fldname, fldrecoverableoil, fldrecoverablegas, fldrecoverablengl, fldrecoverablecondensate, fldrecoverableoe, fldremainingoil, fldremaininggas, fldremainingngl, fldremainingcondensate, fldremainingoe, flddateoffresestdisplay, fldnpdidfield, datesyncnpd) FROM stdin;
ALBUSKJELL	7.400000	15.600000	1.000000	0.000000	24.900000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43437	2013-05-08
TOMMELITEN GAMMA	3.900000	9.700000	0.500000	0.000000	14.550000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43444	2013-05-08
VARG	16.400000	1.100000	1.000000	0.000000	19.400000	1.400000	1.100000	1.000000	0.000000	4.400000	2012-12-31	43451	2013-05-08
SLEIPNER VEST	0.000000	133.300000	9.500000	32.900000	184.250000	0.000000	19.800000	1.500000	4.500000	27.150000	2012-12-31	43457	2013-05-08
GUNGNE	0.000000	15.200000	2.200000	4.700000	24.080000	0.000000	1.300000	0.300000	0.400000	2.270000	2012-12-31	43464	2013-05-08
SLEIPNER ØST	0.000000	67.800000	13.500000	27.000000	120.450000	0.000000	1.500000	0.400000	0.200000	2.460000	2012-12-31	43478	2013-05-08
HOD	10.400000	1.800000	0.400000	0.000000	12.960000	0.900000	0.200000	0.100000	0.000000	1.290000	2012-12-31	43485	2013-05-08
GYDA	36.500000	6.700000	2.000000	0.000000	47.000000	0.900000	0.500000	0.100000	0.000000	1.590000	2012-12-31	43492	2013-05-08
EKOFISK	569.200000	164.500000	15.200000	0.000000	762.580000	129.800000	22.800000	2.200000	0.000000	156.780000	2012-12-31	43506	2013-05-08
VEST EKOFISK	12.200000	26.000000	1.400000	0.000000	40.860000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43513	2013-05-08
TOR	24.300000	10.900000	1.200000	0.000000	37.480000	0.400000	0.100000	0.000000	0.000000	0.500000	2012-12-31	43520	2013-05-08
ELDFISK	137.900000	44.800000	4.100000	0.000000	190.490000	37.300000	5.400000	0.200000	0.000000	43.080000	2012-12-31	43527	2013-05-08
EMBLA	11.900000	7.500000	0.700000	0.000000	20.730000	1.500000	3.600000	0.300000	0.000000	5.670000	2012-12-31	43534	2013-05-08
EDDA	4.800000	2.000000	0.200000	0.000000	7.180000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43541	2013-05-08
VALHALL	147.400000	27.500000	5.500000	0.000000	185.350000	41.500000	6.900000	2.200000	0.000000	52.580000	2012-12-31	43548	2013-05-08
FRIGG	0.000000	116.200000	0.000000	0.500000	116.700000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43555	2013-05-08
BALDER	72.100000	2.000000	0.000000	0.000000	74.100000	16.200000	0.600000	0.000000	0.000000	16.800000	2012-12-31	43562	2013-05-08
NORDØST FRIGG	0.000000	11.600000	0.000000	0.100000	11.700000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43568	2013-05-08
ØST FRIGG	0.000000	9.200000	0.000000	0.100000	9.300000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43576	2013-05-08
LILLE-FRIGG	1.300000	2.200000	0.000000	0.000000	3.500000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43583	2013-05-08
HEIMDAL	8.200000	46.900000	0.000000	0.000000	55.100000	1.600000	1.700000	0.000000	0.000000	3.300000	2012-12-31	43590	2013-05-08
FRØY	5.600000	1.600000	0.000000	0.100000	7.300000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43597	2013-05-08
JOTUN	23.400000	1.100000	0.000000	0.000000	24.500000	0.700000	0.200000	0.000000	0.000000	0.900000	2012-12-31	43604	2013-05-08
ODIN	0.000000	27.300000	0.000000	0.200000	27.500000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43610	2013-05-08
VESLEFRIKK	54.100000	5.700000	2.000000	0.000000	63.600000	1.800000	3.300000	0.700000	0.000000	6.430000	2012-12-31	43618	2013-05-08
OSEBERG	384.600000	104.100000	12.100000	0.000000	511.690000	22.700000	69.200000	3.800000	0.000000	99.120000	2012-12-31	43625	2013-05-08
OSEBERG ØST	26.700000	0.400000	0.300000	0.000000	27.670000	7.900000	0.100000	0.300000	0.000000	8.570000	2012-12-31	43639	2013-05-08
OSEBERG SØR	61.000000	16.000000	1.600000	0.000000	80.040000	17.200000	8.000000	1.600000	0.000000	28.240000	2012-12-31	43645	2013-05-08
BRAGE	59.300000	4.500000	1.500000	0.000000	66.650000	4.000000	1.200000	0.300000	0.000000	5.770000	2012-12-31	43651	2013-05-08
STATFJORD	570.400000	77.400000	23.000000	1.100000	692.600000	4.300000	11.400000	6.100000	0.600000	27.890000	2012-12-31	43658	2013-05-08
MURCHISON	13.900000	0.400000	0.000000	0.000000	14.300000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43665	2013-05-08
STATFJORD ØST	36.800000	4.000000	2.100000	0.000000	44.790000	0.700000	0.100000	0.800000	0.000000	2.320000	2012-12-31	43672	2013-05-08
STATFJORD NORD	39.500000	2.100000	1.100000	0.000000	43.690000	3.000000	0.000000	0.300000	0.000000	3.570000	2012-12-31	43679	2013-05-08
GULLFAKS	365.500000	23.100000	2.800000	0.000000	393.920000	11.600000	0.000000	0.000000	0.000000	11.600000	2012-12-31	43686	2013-05-08
GULLFAKS SØR	58.800000	65.100000	9.200000	0.000000	141.380000	16.600000	32.100000	5.000000	0.000000	58.200000	2012-12-31	43699	2013-05-08
SNORRE	249.900000	6.600000	4.700000	0.000000	265.430000	64.100000	0.300000	0.100000	0.000000	64.590000	2012-12-31	43718	2013-05-08
TORDIS	61.200000	4.600000	1.800000	0.000000	69.220000	6.000000	0.400000	0.200000	0.000000	6.780000	2012-12-31	43725	2013-05-08
VIGDIS	66.600000	1.900000	1.200000	0.000000	70.780000	15.000000	0.200000	0.300000	0.000000	15.770000	2012-12-31	43732	2013-05-08
VISUND	33.900000	51.300000	6.400000	0.000000	97.360000	11.500000	44.300000	6.000000	0.000000	67.200000	2012-12-31	43745	2013-05-08
NJORD	28.500000	17.200000	3.900000	0.000000	53.110000	3.000000	9.400000	2.100000	0.000000	16.390000	2012-12-31	43751	2013-05-08
DRAUGEN	146.700000	1.600000	2.800000	0.000000	153.620000	14.900000	0.100000	0.400000	0.000000	15.760000	2012-12-31	43758	2013-05-08
ÅSGARD	100.400000	207.700000	39.400000	17.100000	400.060000	18.600000	84.100000	16.800000	0.000000	134.620000	2012-12-31	43765	2013-05-08
HEIDRUN	182.100000	46.500000	2.200000	0.000000	232.780000	40.100000	31.300000	1.700000	0.000000	74.630000	2012-12-31	43771	2013-05-08
NORNE	90.800000	12.000000	1.600000	0.000000	105.840000	3.800000	5.400000	0.800000	0.000000	10.720000	2012-12-31	43778	2013-05-08
COD	2.900000	7.300000	0.500000	0.000000	11.150000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43785	2013-05-08
MIME	0.400000	0.100000	0.000000	0.000000	0.500000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	43792	2013-05-08
ULA	87.900000	3.900000	4.000000	0.000000	99.400000	15.700000	0.000000	1.400000	0.000000	18.360000	2012-12-31	43800	2013-05-08
YME	22.000000	0.000000	0.000000	0.000000	22.000000	14.100000	0.000000	0.000000	0.000000	14.100000	2012-12-31	43807	2013-05-08
TROLL	263.800000	1432.800000	27.500000	1.500000	1750.350000	36.000000	984.900000	21.100000	2.800000	1058.190000	2012-12-31	46437	2013-05-08
HULDRA	5.100000	17.500000	0.100000	0.000000	22.790000	0.000000	0.700000	0.000000	0.000000	0.700000	2012-12-31	97002	2013-05-08
SYGNA	11.000000	0.000000	0.000000	0.000000	11.000000	1.100000	0.000000	0.000000	0.000000	1.100000	2012-12-31	104718	2013-05-08
TUNE	3.300000	18.300000	0.200000	0.000000	21.980000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	853376	2013-05-08
TAMBAR	9.500000	2.000000	0.500000	0.000000	12.450000	0.600000	0.000000	0.200000	0.000000	0.980000	2012-12-31	1028599	2013-05-08
GRANE	124.600000	0.000000	0.000000	0.000000	124.600000	36.100000	0.000000	0.000000	0.000000	36.100000	2012-12-31	1035937	2013-05-08
KVITEBJØRN	27.300000	89.100000	11.500000	0.000000	138.250000	9.800000	49.800000	8.100000	0.000000	74.990000	2012-12-31	1036101	2013-05-08
GLITNE	8.900000	0.000000	0.000000	0.000000	8.900000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	1272071	2013-05-08
FRAM	30.700000	8.800000	0.600000	0.000000	40.640000	5.900000	6.300000	0.400000	0.000000	12.960000	2012-12-31	1578840	2013-05-08
VALE	2.400000	2.300000	0.000000	0.000000	4.700000	1.100000	1.300000	0.000000	0.000000	2.400000	2012-12-31	1578893	2013-05-08
SIGYN	0.000000	6.900000	2.600000	6.400000	18.240000	0.000000	0.700000	0.200000	0.600000	1.680000	2012-12-31	1630100	2013-05-08
MIKKEL	6.600000	31.400000	8.600000	2.200000	56.540000	3.300000	15.800000	4.400000	0.000000	27.460000	2012-12-31	1630514	2013-05-08
KRISTIN	22.900000	28.700000	6.300000	2.100000	65.670000	6.000000	9.700000	2.300000	0.000000	20.070000	2012-12-31	1854729	2013-05-08
SNØHVIT	0.000000	176.700000	6.400000	22.600000	211.460000	0.000000	156.900000	5.400000	19.000000	186.160000	2012-12-31	2053062	2013-05-08
SKIRNE	2.200000	10.200000	0.000000	0.000000	12.400000	0.500000	1.300000	0.000000	0.000000	1.800000	2012-12-31	2138816	2013-05-08
ORMEN LANGE	0.000000	306.300000	0.000000	16.700000	323.000000	0.000000	207.700000	0.000000	9.100000	216.800000	2012-12-31	2762452	2013-05-08
URD	7.000000	0.200000	0.000000	0.000000	7.200000	2.000000	0.000000	0.000000	0.000000	2.000000	2012-12-31	2834734	2013-05-08
ALVHEIM	37.200000	6.800000	0.000000	0.000000	44.000000	17.500000	4.700000	0.000000	0.000000	22.200000	2012-12-31	2845712	2013-05-08
VILJE	13.600000	0.000000	0.000000	0.000000	13.600000	6.200000	0.000000	0.000000	0.000000	6.200000	2012-12-31	3392471	2013-05-08
VOLVE	8.700000	0.800000	0.200000	0.100000	9.980000	1.000000	0.100000	0.000000	0.000000	1.100000	2012-12-31	3420717	2013-05-08
BLANE	0.800000	0.000000	0.000000	0.000000	0.800000	0.300000	0.000000	0.000000	0.000000	0.300000	2012-12-31	3437650	2013-05-08
ENOCH	0.400000	0.000000	0.000000	0.000000	0.400000	0.100000	0.000000	0.000000	0.000000	0.100000	2012-12-31	3437659	2013-05-08
RINGHORNE ØST	15.500000	0.400000	0.000000	0.000000	15.900000	6.300000	0.100000	0.000000	0.000000	6.400000	2012-12-31	3505505	2013-05-08
TYRIHANS	32.400000	41.700000	10.900000	0.000000	94.810000	16.500000	40.900000	10.700000	0.000000	77.730000	2012-12-31	3960848	2013-05-08
GIMLE	3.000000	1.400000	0.300000	0.000000	4.970000	0.400000	1.000000	0.200000	0.000000	1.780000	2012-12-31	4005142	2013-05-08
VOLUND	8.600000	0.900000	0.000000	0.000000	9.500000	4.000000	0.500000	0.000000	0.000000	4.500000	2012-12-31	4380167	2013-05-08
ALVE	1.900000	5.700000	1.100000	0.000000	9.690000	0.800000	2.700000	0.600000	0.000000	4.640000	2012-12-31	4444332	2013-05-08
REV	0.700000	2.700000	0.100000	0.000000	3.590000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	4467554	2013-05-08
GJØA	11.600000	32.700000	8.700000	0.000000	60.830000	6.400000	27.800000	7.600000	0.000000	48.640000	2012-12-31	4467574	2013-05-08
VEGA	6.600000	14.000000	2.400000	0.000000	25.160000	5.100000	12.200000	2.000000	0.000000	21.100000	2012-12-31	4467595	2013-05-08
SKARV	15.500000	43.400000	5.600000	0.000000	69.540000	15.500000	43.400000	5.600000	0.000000	69.540000	2012-12-31	4704482	2013-05-08
MORVIN	9.300000	4.500000	1.100000	0.000000	15.890000	5.600000	4.500000	1.100000	0.000000	12.190000	2012-12-31	4966234	2013-05-08
YTTERGRYTA	0.300000	2.200000	0.400000	0.000000	3.260000	0.000000	1.000000	0.200000	0.000000	1.380000	2012-12-31	4973114	2013-05-08
TAMBAR ØST	0.300000	0.000000	0.000000	0.000000	0.300000	0.000000	0.000000	0.000000	0.000000	0.000000	2012-12-31	4999528	2013-05-08
OSELVAR	4.600000	3.900000	0.000000	0.000000	8.500000	4.500000	3.900000	0.000000	0.000000	8.400000	2012-12-31	5506919	2013-05-08
GOLIAT	30.200000	7.300000	0.300000	0.000000	38.070000	30.200000	7.300000	0.300000	0.000000	38.070000	2012-12-31	5774394	2013-05-08
TRYM	1.500000	4.300000	0.000000	0.000000	5.800000	0.800000	3.200000	0.000000	0.000000	4.000000	2012-12-31	18081500	2013-05-08
GUDRUN	11.700000	6.400000	1.300000	0.000000	20.570000	11.700000	6.400000	1.300000	0.000000	20.570000	2012-12-31	18116481	2013-05-08
GAUPE	0.200000	0.500000	0.000000	0.000000	0.700000	0.100000	0.300000	0.000000	0.000000	0.400000	2012-12-31	18161341	2013-05-08
MARULK	0.700000	8.400000	0.900000	0.000000	10.810000	0.600000	7.800000	0.900000	0.000000	10.110000	2012-12-31	18212090	2013-05-08
VALEMON	4.900000	26.100000	1.300000	0.000000	33.470000	4.900000	26.100000	1.300000	0.000000	33.470000	2012-12-31	20460969	2013-05-08
KNARR	11.900000	0.300000	0.800000	0.000000	13.720000	11.900000	0.300000	0.800000	0.000000	13.720000	2012-12-31	20460988	2013-05-08
VISUND SØR	2.700000	7.300000	0.900000	0.000000	11.710000	2.700000	7.300000	0.900000	0.000000	11.710000	2012-12-31	20461008	2013-05-08
HYME	3.200000	0.500000	0.200000	0.000000	4.080000	3.200000	0.500000	0.200000	0.000000	4.080000	2012-12-31	20474183	2013-05-08
ISLAY	0.000000	0.100000	0.000000	0.000000	0.100000	0.000000	0.100000	0.000000	0.000000	0.100000	2012-12-31	21105675	2013-05-08
ATLA	0.300000	1.400000	0.000000	0.000000	1.700000	0.300000	1.300000	0.000000	0.000000	1.600000	2012-12-31	21106284	2013-05-08
BRYNHILD	3.600000	0.000000	0.000000	0.000000	3.600000	3.600000	0.000000	0.000000	0.000000	3.600000	2012-12-31	21123063	2013-05-08
SKULD	13.400000	0.600000	0.100000	0.000000	14.190000	13.400000	0.600000	0.100000	0.000000	14.190000	2012-12-31	21350124	2013-05-08
JETTE	1.500000	0.100000	0.000000	0.000000	1.600000	1.500000	0.100000	0.000000	0.000000	1.600000	2012-12-31	21613906	2013-05-08
EDVARD GRIEG	26.200000	1.800000	0.600000	0.000000	29.140000	26.200000	1.800000	0.600000	0.000000	29.140000	2012-12-31	21675433	2013-05-08
MARTIN LINGE	6.000000	19.700000	0.700000	3.000000	30.030000	6.000000	19.700000	0.700000	3.000000	30.030000	2012-12-31	21675447	2013-05-08
BØYLA	3.400000	0.300000	0.000000	0.000000	3.700000	3.400000	0.300000	0.000000	0.000000	3.700000	2012-12-31	22492497	2013-05-08
SVALIN	12.100000	0.000000	0.000000	0.000000	12.100000	12.100000	0.000000	0.000000	0.000000	12.100000	2012-12-31	22507971	2013-05-08
\.



COPY fldarea (fldnpdidfield, fldname, dscnpdiddiscovery, dscname, dscresinclindiscoveryname, dscnpdidresinclindiscovery, dscincludedinfld, dschctype, fldhctype, dsccurrentactivitystatus, fldcurrentactivitystatus, flddsclabel, dscfacturl, fldfacturl) FROM stdin;
3437650	BLANE	43814	1/2-1 BLANE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	BLANE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43814	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3437650
1028599	TAMBAR	43826	1/3-3 TAMBAR	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	TAMBAR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43826	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1028599
5506919	OSELVAR	43832	1/3-6 OSELVAR	\N	\N	YES	GAS/CONDENSATE	GAS	PRODUCING	PRODUCING	OSELVAR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43832	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=5506919
43437	ALBUSKJELL	43844	1/6-1 ALBUSKJELL	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	SHUT DOWN	SHUT DOWN	ALBUSKJELL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43844	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43437
43444	TOMMELITEN GAMMA	43856	1/9-4 TOMMELITEN GAMMA	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	SHUT DOWN	SHUT DOWN	TOMMELITEN GAMMA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43856	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43444
43451	VARG	43868	15/12-4 VARG	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VARG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43868	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43451
18116481	GUDRUN	43880	15/3-1 S GUDRUN	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PDO APPROVED	PDO APPROVED	GUDRUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43880	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18116481
1272071	GLITNE	43904	15/5-5 GLITNE	\N	\N	YES	OIL	OIL	SHUT DOWN	SHUT DOWN	GLITNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43904	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1272071
43457	SLEIPNER VEST	43910	15/6-3 SLEIPNER VEST	\N	\N	YES	GAS	GAS/CONDENSATE	PRODUCING	PRODUCING	SLEIPNER VEST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43910	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43457
43464	GUNGNE	43922	15/9-15 GUNGNE	\N	\N	YES	GAS	GAS	PRODUCING	PRODUCING	GUNGNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43922	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43464
43478	SLEIPNER ØST	43928	15/9-17 LOKE	15/9-9 SLEIPNER ØST	43946	YES	GAS/CONDENSATE	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	SLEIPNER ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43928	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43478
3420717	VOLVE	43934	15/9-19 S VOLVE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VOLVE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43934	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3420717
43464	GUNGNE	43940	15/9-20 S	15/9-15 GUNGNE	43922	YES	GAS/CONDENSATE	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GUNGNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43940	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43464
43478	SLEIPNER ØST	43946	15/9-9 SLEIPNER ØST	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	SLEIPNER ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=43946	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43478
43485	HOD	44000	2/11-2 HOD	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	HOD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44000	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43485
43492	GYDA	44012	2/1-3 GYDA	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	GYDA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44012	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43492
43492	GYDA	44018	2/1-9 GYDA SØR	2/1-3 GYDA	44012	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GYDA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44018	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43492
43506	EKOFISK	44072	2/4-2 EKOFISK	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	EKOFISK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44072	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43506
43513	VEST EKOFISK	44078	2/4-6 VEST EKOFISK	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	SHUT DOWN	SHUT DOWN	VEST EKOFISK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44078	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43513
43520	TOR	44084	2/5-1 TOR	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	TOR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44084	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43520
43527	ELDFISK	44114	2/7-1 ELDFISK	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	ELDFISK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44114	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43527
43534	EMBLA	44132	2/7-20 EMBLA	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	EMBLA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44132	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43534
43541	EDDA	44150	2/7-4 EDDA	\N	\N	YES	OIL	OIL	SHUT DOWN	SHUT DOWN	EDDA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44150	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43541
43548	VALHALL	44162	2/8-6 VALHALL	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VALHALL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44162	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43548
4380167	VOLUND	44186	24/9-5 VOLUND	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VOLUND	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44186	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4380167
43555	FRIGG	44204	25/1-1 FRIGG	\N	\N	YES	GAS	GAS	SHUT DOWN	SHUT DOWN	FRIGG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44204	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43555
43562	BALDER	44210	25/11-1 BALDER	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	BALDER	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44210	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43562
1035937	GRANE	44216	25/11-15 GRANE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	GRANE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44216	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1035937
22507971	SVALIN	44222	25/11-16 SVALIN	\N	\N	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	SVALIN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44222	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=22507971
43568	NORDØST FRIGG	44228	25/1-4 NORDØST FRIGG	\N	\N	YES	GAS	GAS	SHUT DOWN	SHUT DOWN	NORDØST FRIGG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44228	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43568
43576	ØST FRIGG	44234	25/2-1 ØST FRIGG	\N	\N	YES	GAS	GAS	SHUT DOWN	SHUT DOWN	ØST FRIGG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44234	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43576
43583	LILLE-FRIGG	44240	25/2-4 LILLE-FRIGG	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	SHUT DOWN	SHUT DOWN	LILLE-FRIGG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44240	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43583
43590	HEIMDAL	44252	25/4-1 HEIMDAL	\N	\N	YES	GAS	OIL/GAS	PRODUCING	PRODUCING	HEIMDAL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44252	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43590
1578893	VALE	44258	25/4-6 S VALE	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	VALE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44258	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578893
43597	FRØY	44264	25/5-1 FRØY	\N	\N	YES	OIL	OIL	SHUT DOWN	SHUT DOWN	FRØY	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44264	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43597
2138816	SKIRNE	44270	25/5-3 SKIRNE	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	SKIRNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44270	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2138816
2138816	SKIRNE	44276	25/5-4 BYGGVE	25/5-3 SKIRNE	44270	YES	GAS/CONDENSATE	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	SKIRNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44276	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2138816
43604	JOTUN	44300	25/7-3 JOTUN	25/8-5 S JOTUN	44330	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	JOTUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44300	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43604
43562	BALDER	44312	25/8-1 RINGHORNE	25/11-1 BALDER	44210	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BALDER	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44312	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43562
43562	BALDER	44318	25/8-11 RINGHORNE	25/11-1 BALDER	44210	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BALDER	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44318	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43562
43604	JOTUN	44330	25/8-5 S JOTUN	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	JOTUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44330	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43604
43604	JOTUN	44336	25/8-8 S JOTUN	25/8-5 S JOTUN	44330	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	JOTUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44336	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43604
18081500	TRYM	44354	3/7-4 TRYM	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	TRYM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44354	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18081500
43610	ODIN	44360	30/10-2 ODIN	\N	\N	YES	GAS	GAS	SHUT DOWN	SHUT DOWN	ODIN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44360	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43610
97002	HULDRA	44372	30/2-1 HULDRA	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	HULDRA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44372	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=97002
43618	VESLEFRIKK	44378	30/3-2  VESLEFRIKK	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VESLEFRIKK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44378	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43618
43625	OSEBERG	44396	30/6-1 OSEBERG	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44396	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
43639	OSEBERG ØST	44402	30/6-14	30/6-5 OSEBERG ØST	44438	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44402	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43639
43625	OSEBERG	44408	30/6-15 OSEBERG VEST	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44408	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
43625	OSEBERG	44420	30/6-17	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44420	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
43625	OSEBERG	44426	30/6-18 KAPPA	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44426	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
43639	OSEBERG ØST	44438	30/6-5 OSEBERG ØST	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	OSEBERG ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44438	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43639
21675447	MARTIN LINGE	44444	30/7-2	30/7-6 MARTIN LINGE	44450	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	MARTIN LINGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44444	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21675447
21675447	MARTIN LINGE	44450	30/7-6 MARTIN LINGE	\N	\N	YES	GAS	OIL/GAS	PDO APPROVED	PDO APPROVED	MARTIN LINGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44450	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21675447
43645	OSEBERG SØR	44468	30/9-10 OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44468	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44474	30/9-13 S OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44474	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44480	30/9-15 OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44480	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44486	30/9-16 K OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44486	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44492	30/9-3 OSEBERG SØR	\N	\N	YES	OIL	OIL/GAS	PRODUCING	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44492	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44498	30/9-4 S OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44498	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44510	30/9-6 OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44510	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44516	30/9-7 OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44516	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43645	OSEBERG SØR	44522	30/9-9 OSEBERG SØR	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44522	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
46437	TROLL	44534	31/2-1 TROLL VEST	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	TROLL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44534	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=46437
46437	TROLL	44552	31/6-1 TROLL ØST	\N	\N	YES	GAS	OIL/GAS	PRODUCING	PRODUCING	TROLL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44552	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=46437
46437	TROLL	44552	31/6-1 TROLL ØST	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	TROLL	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44552	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=46437
43658	STATFJORD	44558	33/12-1 STATFJORD	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	STATFJORD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44558	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43658
104718	SYGNA	44564	33/9-19 S SYGNA	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	SYGNA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44564	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=104718
43665	MURCHISON	44570	33/9  MURCHISON	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	MURCHISON	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44570	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43665
43672	STATFJORD ØST	44582	33/9-7 STATFJORD ØST	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	STATFJORD ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44582	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43672
43679	STATFJORD NORD	44588	33/9-8 STATFJORD NORD	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	STATFJORD NORD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44588	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43679
43686	GULLFAKS	44594	34/10-1 GULLFAKS	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	GULLFAKS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44594	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43686
43699	GULLFAKS SØR	44600	34/10-17 RIMFAKS	34/10-2 GULLFAKS SØR	44606	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44600	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43699	GULLFAKS SØR	44606	34/10-2 GULLFAKS SØR	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44606	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
20460969	VALEMON	44618	34/10-23 VALEMON	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PDO APPROVED	PDO APPROVED	VALEMON	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44618	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20460969
43686	GULLFAKS	44624	34/10-34 GULLFAKS VEST	34/10-1 GULLFAKS	44594	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44624	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43686
43699	GULLFAKS SØR	44630	34/10-37 GULLVEIG	34/10-2 GULLFAKS SØR	44606	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44630	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
1036101	KVITEBJØRN	44642	34/11-1 KVITEBJØRN	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	KVITEBJØRN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44642	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1036101
43718	SNORRE	44654	34/4-1 SNORRE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	SNORRE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44654	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43718
43725	TORDIS	44666	34/7-12 TORDIS	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	TORDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44666	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43725
43725	TORDIS	44690	34/7-21 BORG	34/7-12 TORDIS	44666	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	TORDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44690	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43725
43725	TORDIS	44696	34/7-22 TORDIS ØST	34/7-12 TORDIS	44666	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	TORDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44696	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43725
43732	VIGDIS	44702	34/7-23 S	34/7-8 VIGDIS	44714	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	VIGDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44702	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43732
43725	TORDIS	44708	34/7-25 S	34/7-12 TORDIS	44666	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	TORDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44708	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43725
43732	VIGDIS	44714	34/7-8 VIGDIS	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VIGDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44714	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43732
43745	VISUND	44720	34/8-1 VISUND	\N	\N	YES	GAS	OIL/GAS	PRODUCING	PRODUCING	VISUND	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44720	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43745
43745	VISUND	44720	34/8-1 VISUND	\N	\N	YES	OIL	OIL/GAS	PRODUCING	PRODUCING	VISUND	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44720	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43745
43745	VISUND	44720	34/8-1 VISUND	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	VISUND	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44720	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43745
43745	VISUND	44726	34/8-4 S	34/8-1 VISUND	44720	YES	GAS/CONDENSATE	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	VISUND	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44726	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43745
4467595	VEGA	44744	35/11-2 VEGA SØR	35/8-1 VEGA	44774	YES	OIL/GAS	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	VEGA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44744	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467595
1578840	FRAM	44750	35/11-4 FRAM	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	FRAM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44750	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578840
1578840	FRAM	44756	35/11-7	35/11-4 FRAM	44750	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	FRAM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44756	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578840
1578840	FRAM	44762	35/11-8 S	35/11-4 FRAM	44750	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	FRAM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44762	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578840
4467595	VEGA	44774	35/8-1 VEGA	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	VEGA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44774	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467595
4467595	VEGA	44780	35/8-2 VEGA	35/8-1 VEGA	44774	YES	GAS	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	VEGA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44780	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467595
4467574	GJØA	44786	35/9-1 GJØA	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	GJØA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44786	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467574
4467574	GJØA	44792	36/7-1	35/9-1 GJØA	44786	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GJØA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44792	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467574
18161341	GAUPE	44804	6/3-1 PI	\N	\N	YES	GAS	OIL/GAS	PRODUCING	PRODUCING	GAUPE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44804	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18161341
18161341	GAUPE	44804	6/3-1 PI	\N	\N	YES	OIL	OIL/GAS	PRODUCING	PRODUCING	GAUPE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44804	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18161341
2762452	ORMEN LANGE	44822	6305/5-1 ORMEN LANGE	\N	\N	YES	GAS	GAS	PRODUCING	PRODUCING	ORMEN LANGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44822	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2762452
1854729	KRISTIN	44840	6406/2-3 KRISTIN	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	KRISTIN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44840	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1854729
3960848	TYRIHANS	44852	6407/1-2 TYRIHANS SØR	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	TYRIHANS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44852	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3960848
3960848	TYRIHANS	44858	6407/1-3 TYRIHANS NORD	6407/1-2 TYRIHANS SØR	44852	YES	GAS/CONDENSATE	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	TYRIHANS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44858	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3960848
43751	NJORD	44876	6407/7-1 S NJORD	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	NJORD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44876	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43751
43758	DRAUGEN	44888	6407/9-1 DRAUGEN	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	DRAUGEN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44888	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43758
43765	ÅSGARD	44900	6506/12-1 SMØRBUKK	6507/11-1 MIDGARD	44912	YES	GAS/CONDENSATE	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	ÅSGARD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44900	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43765
43765	ÅSGARD	44912	6507/11-1 MIDGARD	\N	\N	YES	OIL/GAS	GAS/CONDENSATE	PRODUCING	PRODUCING	ÅSGARD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44912	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43765
18212090	MARULK	44918	6507/2-2 MARULK	\N	\N	YES	GAS	GAS	PRODUCING	PRODUCING	MARULK	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44918	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18212090
4444332	ALVE	44924	6507/3-1 ALVE	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	ALVE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44924	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4444332
43771	HEIDRUN	44930	6507/7-2 HEIDRUN	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	HEIDRUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44930	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43771
43771	HEIDRUN	44936	6507/8-4 HEIDRUN NORD	6507/7-2 HEIDRUN	44930	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	HEIDRUN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44936	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43771
43778	NORNE	44942	6608/10-2 NORNE	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	NORNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44942	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43778
43778	NORNE	44948	6608/10-4	6608/10-2 NORNE	44942	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	NORNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44948	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43778
43785	COD	44960	7/11-1 COD	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	SHUT DOWN	SHUT DOWN	COD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44960	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43785
43792	MIME	44966	7/11-5 MIME	\N	\N	YES	OIL	OIL	SHUT DOWN	SHUT DOWN	MIME	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44966	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43792
43800	ULA	44972	7/12-2 ULA	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	ULA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44972	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43800
21123063	BRYNHILD	44984	7/7-2 BRYNHILD	\N	\N	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	BRYNHILD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=44984	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21123063
2053062	SNØHVIT	45014	7120/7-1 ASKELADD VEST	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45014	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45020	7120/7-2 ASKELADD SENTRAL	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45020	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45026	7120/8-1 ASKELADD	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45026	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45032	7120/9-1 ALBATROSS	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45032	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45038	7121/4-1 SNØHVIT	\N	\N	YES	OIL/GAS	GAS	PRODUCING	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45038	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45044	7121/4-2 SNØHVIT NORD	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45044	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45050	7121/5-2 BETA	7121/4-1 SNØHVIT	45038	YES	OIL/GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45050	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
2053062	SNØHVIT	45062	7121/7-2 ALBATROSS SØR	7121/4-1 SNØHVIT	45038	YES	GAS	GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SNØHVIT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45062	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2053062
43807	YME	45098	9/2-1 YME	\N	\N	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	YME	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45098	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43807
43807	YME	45104	9/2-3	9/2-1 YME	45098	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	YME	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45104	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43807
43807	YME	45116	9/2-7 S	9/2-1 YME	45098	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	YME	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45116	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43807
853376	TUNE	45614	30/8-3	30/8-1 S TUNE	44456	YES	GAS	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	TUNE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45614	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=853376
1630100	SIGYN	45625	16/7-4 SIGYN	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	SIGYN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45625	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1630100
1630100	SIGYN	45641	16/7-7 S	16/7-4 SIGYN	45625	YES	OIL	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	SIGYN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45641	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1630100
4704482	SKARV	45801	6507/5-1 SKARV	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	SKARV	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45801	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4704482
2845712	ALVHEIM	45828	24/6-2 ALVHEIM	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	ALVHEIM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45828	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2845712
43765	ÅSGARD	45846	6506/12-3 SMØRBUKK SØR	6507/11-1 MIDGARD	44912	YES	OIL	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	ÅSGARD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=45846	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43765
3437659	ENOCH	48253	15/5 ENOCH/SELE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	ENOCH	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=48253	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3437659
43562	BALDER	52316	25/8-10 S RINGHORNE	25/11-1 BALDER	44210	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BALDER	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=52316	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43562
43625	OSEBERG	96300	30/9-19	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=96300	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
4704482	SKARV	105867	6507/3-3 IDUN	6507/5-1 SKARV	45801	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SKARV	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=105867	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4704482
2834734	URD	1030536	6608/10-6 SVALE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	URD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1030536	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2834734
4704482	SKARV	1036252	6507/5-3 SNADD	6507/5-1 SKARV	45801	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SKARV	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1036252	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4704482
5774394	GOLIAT	1340775	7122/7-1 GOLIAT	\N	\N	YES	OIL/GAS	OIL	PDO APPROVED	PDO APPROVED	GOLIAT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1340775	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=5774394
43751	NJORD	1341958	6407/7-6	6407/7-1 S NJORD	44876	YES	GAS/CONDENSATE	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	NJORD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1341958	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43751
4467554	REV	1626017	15/12-12 REV	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	REV	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1626017	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467554
43651	BRAGE	1626899	31/4-11	31/4-3 BRAGE	44546	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BRAGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1626899	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43651
43699	GULLFAKS SØR	1628630	34/10-43 S	34/10-2 GULLFAKS SØR	44606	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1628630	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
4966234	MORVIN	1630175	6506/11-7 MORVIN	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	MORVIN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630175	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4966234
43699	GULLFAKS SØR	1630418	34/10-44 S RIMFAKS LUNDE	34/10-2 GULLFAKS SØR	44606	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1630418	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43625	OSEBERG	1632058	30/6-26 GAMMA VEST	30/6-18 KAPPA	44426	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1632058	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
43625	OSEBERG	1632112	30/6-27	30/6-18 KAPPA	44426	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1632112	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
4005142	GIMLE	1853123	34/8-12 S	34/10-48 S GIMLE	3000688	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GIMLE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1853123	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4005142
43686	GULLFAKS	1853762	34/10-45 S	34/10-1 GULLFAKS	44594	YES	GAS/CONDENSATE	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=1853762	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43686
43686	GULLFAKS	2066044	34/10-46 A	34/10-1 GULLFAKS	44594	YES	OIL/GAS	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2066044	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43686
43645	OSEBERG SØR	2066145	30/9-20 S	30/9-3 OSEBERG SØR	44492	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2066145	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
2834734	URD	2074060	6608/10-8 STÆR	6608/10-6 SVALE	1030536	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	URD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074060	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2834734
43699	GULLFAKS SØR	2074087	33/12-8 S SKINFAKS B	33/12-8 A SKINFAKS	2074147	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074087	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43699	GULLFAKS SØR	2074147	33/12-8 A SKINFAKS	34/10-2 GULLFAKS SØR	44606	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074147	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43699	GULLFAKS SØR	2074191	33/12-8 S SKINFAKS S	33/12-8 A SKINFAKS	2074147	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2074191	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43699	GULLFAKS SØR	2144184	34/10-47 S GULLTOPP	34/10-2 GULLFAKS SØR	44606	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2144184	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
2834734	URD	2391586	6608/10-9 LERKE	6608/10-6 SVALE	1030536	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	URD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2391586	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2834734
43699	GULLFAKS SØR	2417063	34/10-K-2 H GULLVEIG	34/10-2 GULLFAKS SØR	44606	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2417063	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
2845712	ALVHEIM	2420578	25/4-7 ALVHEIM	24/6-2 ALVHEIM	45828	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	ALVHEIM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2420578	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2845712
4467574	GJØA	2449421	35/9-2	35/9-1 GJØA	44786	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GJØA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2449421	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4467574
43562	BALDER	2455295	25/8-C-20	25/11-1 BALDER	44210	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BALDER	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2455295	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43562
2845712	ALVHEIM	2472552	24/6-4 ALVHEIM	24/6-2 ALVHEIM	45828	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	ALVHEIM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2472552	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2845712
3505505	RINGHORNE ØST	2472571	25/8-14 S	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	RINGHORNE ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2472571	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3505505
3392471	VILJE	2472606	25/4-9 S VILJE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	VILJE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2472606	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=3392471
43686	GULLFAKS	2482767	34/10-45 B	34/10-1 GULLFAKS	44594	YES	GAS/CONDENSATE	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2482767	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43686
21675447	MARTIN LINGE	2770139	29/6-1	30/7-6 MARTIN LINGE	44450	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	MARTIN LINGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2770139	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21675447
43625	OSEBERG	2770154	30/6-9	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2770154	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
43651	BRAGE	2820014	31/4-A-30 B	31/4-3 BRAGE	44546	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BRAGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=2820014	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43651
4005142	GIMLE	3000688	34/10-48 S GIMLE	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	GIMLE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=3000688	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4005142
5774394	GOLIAT	4001397	7122/7-3	7122/7-1 GOLIAT	1340775	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	GOLIAT	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4001397	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=5774394
43699	GULLFAKS SØR	4038603	34/10-49 S ALUN	34/10-2 GULLFAKS SØR	44606	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4038603	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
43699	GULLFAKS SØR	4038668	34/10-49 S EPIDOT	34/10-2 GULLFAKS SØR	44606	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GULLFAKS SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4038668	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43699
2834734	URD	4055854	6608/10-11 S	6608/10-6 SVALE	1030536	YES	GAS	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	URD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4055854	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2834734
4973114	YTTERGRYTA	4475288	6507/11-8	\N	\N	YES	GAS	GAS	PRODUCING	PRODUCING	YTTERGRYTA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4475288	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4973114
43751	NJORD	4527314	6407/7-7S	6407/7-1 S NJORD	44876	YES	GAS/CONDENSATE	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	NJORD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4527314	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43751
21675433	EDVARD GRIEG	4530554	16/1-8 EDVARD GRIEG	\N	\N	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	EDVARD GRIEG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4530554	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21675433
1578840	FRAM	4972656	35/11-B-23-H	35/11-4 FRAM	44750	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	FRAM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972656	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=1578840
22507971	SVALIN	4972673	25/11-25 S SVALIN	25/11-16 SVALIN	44222	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	SVALIN	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972673	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=22507971
4444332	ALVE	4972713	6507/3-5 S	6507/3-1 ALVE	44924	YES	OIL/GAS	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	ALVE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972713	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4444332
43625	OSEBERG	4972721	30/9-21 S	30/6-1 OSEBERG	44396	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972721	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43625
18161341	GAUPE	4972729	15/12-19	6/3-1 PI	44804	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	GAUPE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4972729	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=18161341
4999528	TAMBAR ØST	4999519	1/3-K-5 TAMBAR ØST	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	TAMBAR ØST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=4999519	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4999528
43451	VARG	5010042	15/12-20 S	15/12-4 VARG	43868	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	VARG	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5010042	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43451
20461008	VISUND SØR	5081135	34/8-14 S VISUND SØR	\N	\N	YES	OIL/GAS	OIL/GAS	PRODUCING	PRODUCING	VISUND SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5081135	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20461008
43651	BRAGE	5081894	31/4-A-1-A	31/4-3 BRAGE	44546	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	BRAGE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5081894	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43651
43645	OSEBERG SØR	5490404	30/9-22 STJERNE	30/9-3 OSEBERG SØR	44492	YES	OIL/GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	OSEBERG SØR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490404	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43645
43732	VIGDIS	5490421	34/7-34	34/7-8 VIGDIS	44714	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	VIGDIS	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5490421	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43732
20474183	HYME	5506881	6407/8-5 S HYME	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	HYME	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5506881	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20474183
21350124	SKULD	5818165	6608/10-12 SKULD	\N	\N	YES	OIL	OIL	PRODUCING	PRODUCING	SKULD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=5818165	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21350124
22492497	BØYLA	17237206	24/9-9 S BØYLA	24/9-9 S BØYLA	17237206	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	BØYLA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17237206	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=22492497
21613906	JETTE	17238186	25/8-17 JETTE	\N	\N	YES	OIL	OIL	PDO APPROVED	PDO APPROVED	JETTE	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17238186	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21613906
43457	SLEIPNER VEST	17250040	15/9-B-1	15/6-3 SLEIPNER VEST	43910	YES	GAS/CONDENSATE	GAS/CONDENSATE	INCLUDED IN OTHER DISCOVERY	PRODUCING	SLEIPNER VEST	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17250040	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=43457
2845712	ALVHEIM	17256863	25/4-10 S	24/6-2 ALVHEIM	45828	YES	OIL	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	ALVHEIM	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=17256863	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=2845712
21350124	SKULD	18086080	6608/10-14 S SKULD	6608/10-12 SKULD	5818165	YES	OIL/GAS	OIL	INCLUDED IN OTHER DISCOVERY	PRODUCING	SKULD	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18086080	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21350124
4704482	SKARV	18161414	6507/5-6 S	6507/5-1 SKARV	45801	YES	GAS	OIL/GAS	INCLUDED IN OTHER DISCOVERY	PRODUCING	SKARV	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18161414	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=4704482
21106284	ATLA	18404420	25/5-7 ATLA	\N	\N	YES	GAS/CONDENSATE	GAS/CONDENSATE	PRODUCING	PRODUCING	ATLA	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=18404420	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=21106284
20460988	KNARR	21124644	34/3-3 S	34/3-1 S KNARR	4999474	YES	OIL	OIL	INCLUDED IN OTHER DISCOVERY	PDO APPROVED	KNARR	http://factpages.npd.no/FactPages/default.aspx?nav1=discovery&nav2=PageView|All&nav3=21124644	http://factpages.npd.no/FactPages/default.aspx?nav1=field&nav2=PageView|All&nav3=20460988
\.



COPY licence (prlname, prllicensingactivityname, prlmainarea, prlstatus, prldategranted, prldatevalidto, prloriginalarea, prlcurrentarea, prlphasecurrent, prlnpdidlicence, prlfactpageurl, prlfactmapurl, prldateupdated, prldateupdatedmax, datesyncnpd) FROM stdin;
001	1-A	North sea	ACTIVE	1965-09-01	2030-03-01	2145.855000	100.779	PRODUCTION EXTENDED	20756	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	http://www.npd.no/FactMapSearch?NPDID_production_licence=20756	9999-12-31	9999-12-31	2013-05-08
001 P	Awarded additionaly to round 1-A	North sea	INACTIVE	1994-01-19	1999-12-14	214.180000	0.000	\N	20764	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20764	\N	9999-12-31	9999-12-31	2013-05-08
002	1-A	North sea	INACTIVE	1965-09-01	1977-09-01	2172.688000	0.000	\N	20772	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20772	\N	9999-12-31	9999-12-31	2013-05-08
003	1-A	North sea	INACTIVE	1965-09-01	1977-09-01	2218.308000	0.000	\N	20780	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20780	\N	9999-12-31	9999-12-31	2013-05-08
004	1-A	North sea	INACTIVE	1965-09-01	1971-08-31	970.291000	0.000	\N	20788	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20788	\N	9999-12-31	9999-12-31	2013-05-08
005	1-A	North sea	INACTIVE	1965-09-01	1971-08-31	1659.956000	0.000	\N	20796	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	\N	9999-12-31	9999-12-31	2013-05-08
006	1-A	North sea	ACTIVE	1965-09-01	2028-12-31	2278.556000	37.960	PRODUCTION EXTENDED	20804	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	http://www.npd.no/FactMapSearch?NPDID_production_licence=20804	9999-12-31	9999-12-31	2013-05-08
007	1-A	North sea	INACTIVE	1965-09-01	1990-09-01	2153.548000	0.000	\N	20812	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	\N	9999-12-31	9999-12-31	2013-05-08
008	1-A	North sea	INACTIVE	1965-09-01	2002-12-31	2214.404000	0.000	\N	20820	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	\N	9999-12-31	9999-12-31	2013-05-08
009	1-A	North sea	INACTIVE	1965-09-01	1999-01-01	2233.446000	0.000	\N	20828	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	\N	9999-12-31	9999-12-31	2013-05-08
010	1-A	North sea	INACTIVE	1965-09-01	1979-09-01	2172.621000	0.000	\N	20836	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	\N	9999-12-31	9999-12-31	2013-05-08
011	1-A	North sea	INACTIVE	1965-09-01	1999-12-31	1681.660000	0.000	\N	20844	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	\N	9999-12-31	9999-12-31	2013-05-08
012	1-A	North sea	INACTIVE	1965-09-01	1971-09-01	1678.863000	0.000	\N	20852	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20852	\N	9999-12-31	9999-12-31	2013-05-08
013	1-A	North sea	INACTIVE	1965-09-01	1978-09-01	1667.530000	0.000	\N	20860	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	\N	9999-12-31	9999-12-31	2013-05-08
014	1-A	North sea	INACTIVE	1965-09-01	1977-09-01	2256.058000	0.000	\N	20868	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	\N	9999-12-31	9999-12-31	2013-05-08
015	1-A	North sea	INACTIVE	1965-09-01	1977-09-01	2237.217000	0.000	\N	20876	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	\N	9999-12-31	9999-12-31	2013-05-08
016	1-A	North sea	INACTIVE	1965-09-01	1994-12-31	2203.126000	0.000	\N	20884	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	\N	9999-12-31	9999-12-31	2013-05-08
017	1-A	North sea	INACTIVE	1965-09-01	1991-12-31	1682.634000	0.000	\N	20892	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	\N	9999-12-31	9999-12-31	2013-05-08
018	1-A	North sea	ACTIVE	1965-09-01	2028-12-31	1752.704000	851.767	PRODUCTION EXTENDED	20900	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	http://www.npd.no/FactMapSearch?NPDID_production_licence=20900	9999-12-31	9999-12-31	2013-05-08
018 B	Awarded additionaly to round 1-A	North sea	ACTIVE	1995-08-25	2028-12-31	102.503000	55.050	PRODUCTION	20908	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20908	http://www.npd.no/FactMapSearch?NPDID_production_licence=20908	9999-12-31	9999-12-31	2013-05-08
019	1-A	North sea	ACTIVE	1965-09-01	2029-01-01	1686.393000	101.217	PRODUCTION EXTENDED	20916	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	http://www.npd.no/FactMapSearch?NPDID_production_licence=20916	9999-12-31	9999-12-31	2013-05-08
019 B	Awarded additionaly to round 1-A	North sea	ACTIVE	1977-09-12	2018-09-01	617.890000	142.635	PRODUCTION EXTENDED	20924	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	http://www.npd.no/FactMapSearch?NPDID_production_licence=20924	9999-12-31	9999-12-31	2013-05-08
020	1-A	North sea	INACTIVE	1965-09-01	1987-12-31	1656.119000	0.000	\N	20932	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	\N	9999-12-31	9999-12-31	2013-05-08
021	1-A	North sea	INACTIVE	1965-09-01	1973-09-01	1120.499000	0.000	\N	20940	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20940	\N	9999-12-31	9999-12-31	2013-05-08
022	1-A	North sea	INACTIVE	1965-12-07	1986-12-31	2263.565000	0.000	\N	20948	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	\N	9999-12-31	9999-12-31	2013-05-08
023	2-A	North sea	INACTIVE	1969-05-23	1985-05-23	341.158000	0.000	\N	20956	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20956	\N	9999-12-31	9999-12-31	2013-05-08
024	2-A	North sea	ACTIVE	1969-05-23	2015-05-23	446.965000	124.750	PRODUCTION	20964	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20964	http://www.npd.no/FactMapSearch?NPDID_production_licence=20964	9999-12-31	9999-12-31	2013-05-08
026	2-A	North sea	ACTIVE	1969-05-23	2025-05-23	520.058000	46.898	PRODUCTION	20980	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	http://www.npd.no/FactMapSearch?NPDID_production_licence=20980	2012-07-04	2012-07-04	2013-05-08
027	2-A	North sea	ACTIVE	1969-05-23	2030-03-01	527.805000	100.561	PRODUCTION	20988	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20988	http://www.npd.no/FactMapSearch?NPDID_production_licence=20988	9999-12-31	9999-12-31	2013-05-08
027 P	Awarded additionaly to round 2-A	North sea	INACTIVE	1994-01-19	1999-12-14	159.883000	0.000	\N	20996	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20996	\N	9999-12-31	9999-12-31	2013-05-08
028	2-A	North sea	ACTIVE	1969-05-23	2030-03-01	531.663000	24.773	PRODUCTION	21004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	http://www.npd.no/FactMapSearch?NPDID_production_licence=21004	9999-12-31	9999-12-31	2013-05-08
028 P	Awarded additionaly to round 2-A	North sea	INACTIVE	1994-01-19	1999-12-14	221.649000	0.000	\N	21012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21012	\N	9999-12-31	9999-12-31	2013-05-08
029	2-A	North sea	ACTIVE	1969-05-23	2028-12-31	539.346000	34.710	PRODUCTION	21020	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21020	http://www.npd.no/FactMapSearch?NPDID_production_licence=21020	2012-11-03	2012-11-05	2013-05-08
030	2-A	North sea	INACTIVE	1969-05-23	1995-12-31	464.254000	0.000	\N	21028	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21028	\N	9999-12-31	9999-12-31	2013-05-08
031	2-A	North sea	INACTIVE	1969-05-23	1999-12-31	201.075000	0.000	\N	21036	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21036	\N	9999-12-31	9999-12-31	2013-05-08
032	2-A	North sea	INACTIVE	1969-05-30	1999-12-31	538.404000	0.000	\N	21044	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21044	\N	9999-12-31	9999-12-31	2013-05-08
172	13	North sea	INACTIVE	1991-03-01	2003-12-31	157.188000	0.000	\N	22188	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22188	\N	9999-12-31	9999-12-31	2013-05-08
033	2-A	North sea	ACTIVE	1969-05-30	2015-05-30	207.879000	55.281	PRODUCTION	21052	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21052	http://www.npd.no/FactMapSearch?NPDID_production_licence=21052	9999-12-31	9999-12-31	2013-05-08
034	2-A	North sea	ACTIVE	1969-11-14	2015-11-14	508.360000	11.898	PRODUCTION	21060	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21060	http://www.npd.no/FactMapSearch?NPDID_production_licence=21060	9999-12-31	9999-12-31	2013-05-08
035	2-A	North sea	ACTIVE	1969-11-14	2022-11-14	516.169000	132.315	PRODUCTION	21068	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	http://www.npd.no/FactMapSearch?NPDID_production_licence=21068	2013-03-19	2013-03-19	2013-05-08
036	2-A	North sea	ACTIVE	1971-06-11	2021-06-11	523.937000	151.959	PRODUCTION	21076	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	http://www.npd.no/FactMapSearch?NPDID_production_licence=21076	9999-12-31	9999-12-31	2013-05-08
037	Awarded additionaly to round 2-A	North sea	ACTIVE	1973-08-10	2026-08-10	586.834000	179.676	PRODUCTION EXTENDED	21084	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	http://www.npd.no/FactMapSearch?NPDID_production_licence=21084	9999-12-31	9999-12-31	2013-05-08
038	3	North sea	ACTIVE	1975-04-01	2021-04-01	442.226000	75.930	PRODUCTION EXTENDED	21092	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	http://www.npd.no/FactMapSearch?NPDID_production_licence=21092	9999-12-31	9999-12-31	2013-05-08
039	3	North sea	INACTIVE	1975-04-01	1983-04-01	375.257000	0.000	\N	21100	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21100	\N	9999-12-31	9999-12-31	2013-05-08
040	3	North sea	ACTIVE	1975-04-01	2027-12-31	534.405000	40.994	PRODUCTION EXTENDED	21108	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21108	http://www.npd.no/FactMapSearch?NPDID_production_licence=21108	2012-08-07	2012-08-07	2013-05-08
041	3	North sea	INACTIVE	1975-06-01	1989-01-01	488.659000	0.000	\N	21116	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21116	\N	9999-12-31	9999-12-31	2013-05-08
042	3	North sea	INACTIVE	1975-04-01	1980-04-01	488.659000	0.000	\N	21124	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21124	\N	9999-12-31	9999-12-31	2013-05-08
043	3	North sea	ACTIVE	1976-08-06	2027-12-31	604.558000	49.005	PRODUCTION EXTENDED	21132	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21132	http://www.npd.no/FactMapSearch?NPDID_production_licence=21132	2012-08-07	2012-08-07	2013-05-08
044	3	North sea	ACTIVE	1976-08-27	2028-12-31	193.076000	81.534	PRODUCTION EXTENDED	21140	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21140	http://www.npd.no/FactMapSearch?NPDID_production_licence=21140	2012-09-01	2012-09-01	2013-05-08
045	3	North sea	INACTIVE	1976-12-03	1982-12-02	531.190000	0.000	\N	21148	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21148	\N	9999-12-31	9999-12-31	2013-05-08
046	3	North sea	ACTIVE	1976-12-03	2028-12-31	739.492000	431.574	PRODUCTION EXTENDED	21156	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	http://www.npd.no/FactMapSearch?NPDID_production_licence=21156	2012-12-02	2012-12-02	2013-05-08
047	3	North sea	INACTIVE	1977-01-07	1993-12-31	368.363000	0.000	\N	21164	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21164	\N	9999-12-31	9999-12-31	2013-05-08
048	3	North sea	ACTIVE	1977-02-18	2028-12-31	321.500000	10.802	PRODUCTION EXTENDED	21172	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	http://www.npd.no/FactMapSearch?NPDID_production_licence=21172	2013-02-19	2013-02-19	2013-05-08
049	3	North sea	INACTIVE	1977-12-23	1983-12-23	485.802000	0.000	\N	21180	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21180	\N	9999-12-31	9999-12-31	2013-05-08
050	Awarded additionaly to round 3	North sea	ACTIVE	1978-06-16	2036-06-30	500.509000	348.547	PRODUCTION	21188	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	http://www.npd.no/FactMapSearch?NPDID_production_licence=21188	9999-12-31	9999-12-31	2013-05-08
050 B	Awarded additionaly to round 3	North sea	ACTIVE	1995-08-11	2036-06-30	98.403000	98.403	PRODUCTION	21196	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21196	http://www.npd.no/FactMapSearch?NPDID_production_licence=21196	9999-12-31	9999-12-31	2013-05-08
051	4	North sea	ACTIVE	1979-04-06	2015-04-06	504.440000	79.039	PRODUCTION	21204	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21204	http://www.npd.no/FactMapSearch?NPDID_production_licence=21204	9999-12-31	9999-12-31	2013-05-08
052	4	North sea	ACTIVE	1979-04-06	2020-12-31	504.440000	79.239	PRODUCTION	21212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	http://www.npd.no/FactMapSearch?NPDID_production_licence=21212	9999-12-31	9999-12-31	2013-05-08
053	4	North sea	ACTIVE	1979-04-06	2031-03-01	508.360000	325.458	PRODUCTION	21220	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21220	http://www.npd.no/FactMapSearch?NPDID_production_licence=21220	2012-12-05	2012-12-05	2013-05-08
054	4	North sea	ACTIVE	1979-04-06	2030-09-30	504.440000	319.718	PRODUCTION	21228	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21228	http://www.npd.no/FactMapSearch?NPDID_production_licence=21228	9999-12-31	9999-12-31	2013-05-08
055	4	North sea	ACTIVE	1979-04-06	2015-04-06	508.360000	122.198	PRODUCTION	21236	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21236	http://www.npd.no/FactMapSearch?NPDID_production_licence=21236	2013-02-20	2013-02-20	2013-05-08
056	4	North sea	INACTIVE	1979-04-06	1987-04-06	488.659000	0.000	\N	21244	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21244	\N	9999-12-31	9999-12-31	2013-05-08
057	4	North sea	ACTIVE	1979-04-06	2015-04-06	492.619000	116.884	PRODUCTION	21252	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21252	http://www.npd.no/FactMapSearch?NPDID_production_licence=21252	9999-12-31	9999-12-31	2013-05-08
058	4	North sea	INACTIVE	1979-04-06	1989-04-06	496.569000	0.000	\N	21260	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21260	\N	9999-12-31	9999-12-31	2013-05-08
059	5	Norwegian sea	INACTIVE	1980-01-18	1986-01-18	436.310000	0.000	\N	21268	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21268	\N	9999-12-31	9999-12-31	2013-05-08
060	5	Barents sea	INACTIVE	1980-01-18	1986-01-18	335.884000	0.000	\N	21276	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21276	\N	9999-12-31	9999-12-31	2013-05-08
061	5	Barents sea	INACTIVE	1980-01-18	1993-12-31	335.884000	0.000	\N	21284	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21284	\N	9999-12-31	9999-12-31	2013-05-08
062	5	Norwegian sea	ACTIVE	1981-03-27	2027-04-10	436.310000	51.041	PRODUCTION	21292	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21292	http://www.npd.no/FactMapSearch?NPDID_production_licence=21292	9999-12-31	9999-12-31	2013-05-08
063	5	Barents sea	INACTIVE	1981-03-27	1987-03-27	331.606000	0.000	\N	21300	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21300	\N	9999-12-31	9999-12-31	2013-05-08
064	5	Barents sea	ACTIVE	1981-03-27	2035-10-01	331.606000	134.853	PRODUCTION	21308	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21308	http://www.npd.no/FactMapSearch?NPDID_production_licence=21308	9999-12-31	9999-12-31	2013-05-08
173	13	North sea	INACTIVE	1991-03-01	2000-12-27	500.509000	0.000	\N	22196	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22196	\N	9999-12-31	9999-12-31	2013-05-08
065	6	North sea	ACTIVE	1981-08-21	2022-01-01	365.661000	58.366	PRODUCTION	21316	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21316	http://www.npd.no/FactMapSearch?NPDID_production_licence=21316	9999-12-31	9999-12-31	2013-05-08
066	6	North sea	INACTIVE	1981-08-21	2002-12-31	565.894000	0.000	\N	21324	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21324	\N	9999-12-31	9999-12-31	2013-05-08
067	6	North sea	INACTIVE	1981-08-21	1999-01-01	183.915000	0.000	\N	21332	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21332	\N	9999-12-31	9999-12-31	2013-05-08
068	6	North sea	INACTIVE	1981-08-21	1992-01-01	219.413000	0.000	\N	21340	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21340	\N	9999-12-31	9999-12-31	2013-05-08
069	6	North sea	INACTIVE	1981-08-21	1999-12-31	558.364000	0.000	\N	21348	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21348	\N	9999-12-31	9999-12-31	2013-05-08
070	6	North sea	INACTIVE	1981-08-21	1999-12-31	415.755000	0.000	\N	21356	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21356	\N	9999-12-31	9999-12-31	2013-05-08
071	6	North sea	INACTIVE	1981-08-21	1989-01-01	366.771000	0.000	\N	21364	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21364	\N	9999-12-31	9999-12-31	2013-05-08
072	6	North sea	ACTIVE	1981-08-21	2018-01-01	543.172000	39.938	PRODUCTION	21372	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21372	http://www.npd.no/FactMapSearch?NPDID_production_licence=21372	9999-12-31	9999-12-31	2013-05-08
073	5	Norwegian sea	ACTIVE	1982-04-23	2029-12-31	440.392000	73.479	PRODUCTION	21380	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21380	http://www.npd.no/FactMapSearch?NPDID_production_licence=21380	9999-12-31	9999-12-31	2013-05-08
074	5	Norwegian sea	ACTIVE	1982-04-23	2027-04-10	440.392000	99.659	PRODUCTION	21388	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21388	http://www.npd.no/FactMapSearch?NPDID_production_licence=21388	9999-12-31	9999-12-31	2013-05-08
075	5	Norwegian sea	INACTIVE	1982-04-23	1988-04-23	436.310000	0.000	\N	21396	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21396	\N	9999-12-31	9999-12-31	2013-05-08
076	5	Barents sea	INACTIVE	1982-04-23	1988-04-23	331.606000	0.000	\N	21404	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21404	\N	9999-12-31	9999-12-31	2013-05-08
077	5	Barents sea	ACTIVE	1982-04-23	2035-10-01	331.606000	76.463	PRODUCTION	21412	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21412	http://www.npd.no/FactMapSearch?NPDID_production_licence=21412	9999-12-31	9999-12-31	2013-05-08
078	5	Barents sea	ACTIVE	1982-04-23	2035-10-01	331.606000	66.043	PRODUCTION	21420	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21420	http://www.npd.no/FactMapSearch?NPDID_production_licence=21420	9999-12-31	9999-12-31	2013-05-08
080	7	Norwegian sea	INACTIVE	1982-12-10	1988-12-10	411.636000	0.000	\N	21436	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21436	\N	9999-12-31	9999-12-31	2013-05-08
081	7	Norwegian sea	INACTIVE	1982-12-10	1988-12-10	415.770000	0.000	\N	21444	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21444	\N	9999-12-31	9999-12-31	2013-05-08
082	7	Norwegian sea	INACTIVE	1982-12-10	1988-12-10	419.895000	0.000	\N	21452	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21452	\N	9999-12-31	9999-12-31	2013-05-08
083	7	Norwegian sea	INACTIVE	1982-12-10	1988-12-10	419.895000	0.000	\N	21460	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21460	\N	9999-12-31	9999-12-31	2013-05-08
084	7	Norwegian sea	INACTIVE	1982-12-10	1988-12-10	415.770000	0.000	\N	21468	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21468	\N	9999-12-31	9999-12-31	2013-05-08
085	Awarded additionaly to round 7	North sea	ACTIVE	1983-07-08	2030-09-30	1521.160000	795.344	PRODUCTION	21476	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21476	http://www.npd.no/FactMapSearch?NPDID_production_licence=21476	9999-12-31	9999-12-31	2013-05-08
085 B	Awarded additionaly to round 7	North sea	ACTIVE	1992-09-11	2030-07-08	27.166000	27.166	PRODUCTION	21484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21484	http://www.npd.no/FactMapSearch?NPDID_production_licence=21484	9999-12-31	9999-12-31	2013-05-08
086	8	North sea	INACTIVE	1984-03-09	2001-01-01	594.788000	0.000	\N	21492	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21492	\N	9999-12-31	9999-12-31	2013-05-08
087	8	North sea	INACTIVE	1984-03-09	1994-12-31	539.346000	0.000	\N	21500	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21500	\N	9999-12-31	9999-12-31	2013-05-08
088	8	North sea	ACTIVE	1984-03-09	2022-03-09	401.128000	37.392	PRODUCTION	21508	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21508	http://www.npd.no/FactMapSearch?NPDID_production_licence=21508	9999-12-31	9999-12-31	2013-05-08
089	8	North sea	ACTIVE	1984-03-09	2024-03-09	446.846000	316.127	PRODUCTION	21516	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21516	http://www.npd.no/FactMapSearch?NPDID_production_licence=21516	2012-12-05	2012-12-05	2013-05-08
090	8	North sea	ACTIVE	1984-03-09	2024-03-09	500.509000	181.640	PRODUCTION	21524	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21524	http://www.npd.no/FactMapSearch?NPDID_production_licence=21524	2013-03-01	2013-03-01	2013-05-08
091	8	Norwegian sea	ACTIVE	1984-03-09	2029-12-31	440.392000	82.399	PRODUCTION	21532	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21532	http://www.npd.no/FactMapSearch?NPDID_production_licence=21532	9999-12-31	9999-12-31	2013-05-08
092	8	Norwegian sea	ACTIVE	1984-03-09	2020-03-09	444.465000	28.085	PRODUCTION	21540	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21540	http://www.npd.no/FactMapSearch?NPDID_production_licence=21540	9999-12-31	9999-12-31	2013-05-08
093	8	Norwegian sea	ACTIVE	1984-03-09	2024-03-09	448.529000	121.249	PRODUCTION	21548	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21548	http://www.npd.no/FactMapSearch?NPDID_production_licence=21548	2012-12-01	2012-12-01	2013-05-08
094	8	Norwegian sea	ACTIVE	1984-03-09	2027-04-10	436.310000	285.123	PRODUCTION	21556	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21556	http://www.npd.no/FactMapSearch?NPDID_production_licence=21556	9999-12-31	9999-12-31	2013-05-08
095	8	Norwegian sea	ACTIVE	1984-03-09	2024-03-09	432.220000	73.562	PRODUCTION	21564	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	http://www.npd.no/FactMapSearch?NPDID_production_licence=21564	9999-12-31	9999-12-31	2013-05-08
096	8	Barents sea	INACTIVE	1984-03-09	1990-03-09	331.606000	0.000	\N	21572	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21572	\N	9999-12-31	9999-12-31	2013-05-08
097	8	Barents sea	ACTIVE	1984-03-09	2035-10-01	327.322000	133.387	PRODUCTION	21580	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21580	http://www.npd.no/FactMapSearch?NPDID_production_licence=21580	9999-12-31	9999-12-31	2013-05-08
098	8	Barents sea	INACTIVE	1984-03-09	1991-03-09	335.884000	0.000	\N	21588	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21588	\N	9999-12-31	9999-12-31	2013-05-08
099	8	Barents sea	ACTIVE	1984-03-09	2035-10-01	327.322000	98.178	PRODUCTION	21596	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21596	http://www.npd.no/FactMapSearch?NPDID_production_licence=21596	9999-12-31	9999-12-31	2013-05-08
100	8	Barents sea	ACTIVE	1984-03-09	2035-10-01	331.606000	77.025	PRODUCTION	21604	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21604	http://www.npd.no/FactMapSearch?NPDID_production_licence=21604	9999-12-31	9999-12-31	2013-05-08
101	9	North sea	INACTIVE	1985-03-01	1999-12-31	546.986000	0.000	\N	21612	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21612	\N	9999-12-31	9999-12-31	2013-05-08
102	9	North sea	ACTIVE	1985-03-01	2025-03-01	523.937000	40.627	PRODUCTION	21620	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	http://www.npd.no/FactMapSearch?NPDID_production_licence=21620	9999-12-31	9999-12-31	2013-05-08
103	9	North sea	INACTIVE	1985-03-01	2003-12-31	527.805000	0.000	\N	21628	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21628	\N	9999-12-31	9999-12-31	2013-05-08
104	9	North sea	ACTIVE	1985-03-01	2031-03-01	410.102000	348.512	PRODUCTION	21636	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21636	http://www.npd.no/FactMapSearch?NPDID_production_licence=21636	2012-12-05	2012-12-05	2013-05-08
105	9	Norwegian sea	INACTIVE	1985-03-01	1991-03-01	444.465000	0.000	\N	21644	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21644	\N	9999-12-31	9999-12-31	2013-05-08
106	9	Norwegian sea	INACTIVE	1985-03-01	1993-12-31	444.465000	0.000	\N	21652	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21652	\N	9999-12-31	9999-12-31	2013-05-08
107	9	Norwegian sea	ACTIVE	1985-03-01	2021-03-01	448.529000	70.501	PRODUCTION	21660	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	http://www.npd.no/FactMapSearch?NPDID_production_licence=21660	9999-12-31	9999-12-31	2013-05-08
108	9	Barents sea	INACTIVE	1985-03-01	1996-12-31	323.030000	0.000	\N	21668	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668	\N	9999-12-31	9999-12-31	2013-05-08
109	9	Barents sea	INACTIVE	1985-03-01	2000-12-31	646.061000	0.000	\N	21676	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21676	\N	9999-12-31	9999-12-31	2013-05-08
110	9	Barents sea	ACTIVE	1985-03-01	2035-10-01	654.644000	103.865	PRODUCTION	21684	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	http://www.npd.no/FactMapSearch?NPDID_production_licence=21684	9999-12-31	9999-12-31	2013-05-08
111	9	Barents sea	INACTIVE	1985-03-01	1994-12-31	323.030000	0.000	\N	21692	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21692	\N	9999-12-31	9999-12-31	2013-05-08
112	Awarded additionaly to round 9	North sea	INACTIVE	1985-07-26	2000-12-31	260.215000	0.000	\N	21700	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21700	\N	9999-12-31	9999-12-31	2013-05-08
113	10-A	North sea	ACTIVE	1985-08-23	2021-08-23	20.949000	20.949	PRODUCTION	21708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21708	http://www.npd.no/FactMapSearch?NPDID_production_licence=21708	2012-08-29	2012-08-30	2013-05-08
114	10-A	North sea	INACTIVE	1985-08-23	2001-12-31	550.790000	0.000	\N	21716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21716	\N	9999-12-31	9999-12-31	2013-05-08
114 B	Awarded additionaly to round 10-A	North sea	INACTIVE	1995-08-11	2001-08-11	11.059000	0.000	\N	21724	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21724	\N	9999-12-31	9999-12-31	2013-05-08
115	10-A	North sea	INACTIVE	1985-08-23	1999-12-31	550.790000	0.000	\N	21732	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21732	\N	9999-12-31	9999-12-31	2013-05-08
116	10-A	North sea	INACTIVE	1985-08-23	2000-12-31	188.465000	0.000	\N	21740	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21740	\N	9999-12-31	9999-12-31	2013-05-08
117	10-A	North sea	INACTIVE	1985-08-23	1999-12-31	523.937000	0.000	\N	21748	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21748	\N	9999-12-31	9999-12-31	2013-05-08
118	10-A	North sea	INACTIVE	1985-08-23	1991-08-23	523.937000	0.000	\N	21756	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21756	\N	9999-12-31	9999-12-31	2013-05-08
119	10-A	North sea	INACTIVE	1985-08-23	1991-08-23	170.273000	0.000	\N	21764	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21764	\N	9999-12-31	9999-12-31	2013-05-08
120	10-A	North sea	ACTIVE	1985-08-23	2034-08-23	546.292000	251.669	PRODUCTION	21772	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21772	http://www.npd.no/FactMapSearch?NPDID_production_licence=21772	9999-12-31	9999-12-31	2013-05-08
121	10-B	Norwegian sea	ACTIVE	1986-02-28	2022-02-28	444.465000	26.619	PRODUCTION	21780	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21780	http://www.npd.no/FactMapSearch?NPDID_production_licence=21780	9999-12-31	9999-12-31	2013-05-08
122	10-B	Norwegian sea	ACTIVE	1986-02-28	2025-02-28	424.012000	81.758	PRODUCTION	21788	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21788	http://www.npd.no/FactMapSearch?NPDID_production_licence=21788	9999-12-31	9999-12-31	2013-05-08
123	10-B	Norwegian sea	INACTIVE	1986-02-28	1992-02-28	428.120000	0.000	\N	21796	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21796	\N	9999-12-31	9999-12-31	2013-05-08
124	10-B	Norwegian sea	ACTIVE	1986-02-28	2025-02-28	432.220000	99.273	PRODUCTION	21804	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21804	http://www.npd.no/FactMapSearch?NPDID_production_licence=21804	9999-12-31	9999-12-31	2013-05-08
125	10-B	Norwegian sea	INACTIVE	1986-02-28	1990-03-14	428.120000	0.000	\N	21812	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21812	\N	9999-12-31	9999-12-31	2013-05-08
126	10-B	Norwegian sea	INACTIVE	1986-02-28	1992-02-28	411.636000	0.000	\N	21820	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21820	\N	9999-12-31	9999-12-31	2013-05-08
127	10-B	Norwegian sea	ACTIVE	1986-02-28	2023-02-28	419.895000	92.716	PRODUCTION	21828	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21828	http://www.npd.no/FactMapSearch?NPDID_production_licence=21828	9999-12-31	9999-12-31	2013-05-08
128	10-B	Norwegian sea	ACTIVE	1986-02-28	2026-02-28	839.790000	249.038	PRODUCTION	21836	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	http://www.npd.no/FactMapSearch?NPDID_production_licence=21836	9999-12-31	9999-12-31	2013-05-08
129	Awarded additionaly to round 10-A	North sea	INACTIVE	1986-07-11	1994-12-31	225.393000	0.000	\N	21844	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21844	\N	9999-12-31	9999-12-31	2013-05-08
130	11-A	Norwegian sea	INACTIVE	1987-04-10	1993-04-10	478.071000	0.000	\N	21852	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21852	\N	9999-12-31	9999-12-31	2013-05-08
131	11-A	Norwegian sea	INACTIVE	1987-04-10	1992-12-15	448.529000	0.000	\N	21860	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21860	\N	9999-12-31	9999-12-31	2013-05-08
132	11-A	Norwegian sea	ACTIVE	1987-04-10	2023-04-10	452.584000	21.036	PRODUCTION	21868	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21868	http://www.npd.no/FactMapSearch?NPDID_production_licence=21868	9999-12-31	9999-12-31	2013-05-08
133	11-A	Norwegian sea	INACTIVE	1987-04-10	1992-01-01	444.465000	0.000	\N	21876	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21876	\N	9999-12-31	9999-12-31	2013-05-08
134	11-A	Norwegian sea	ACTIVE	1987-04-10	2027-04-10	436.310000	62.711	PRODUCTION	21884	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21884	http://www.npd.no/FactMapSearch?NPDID_production_licence=21884	9999-12-31	9999-12-31	2013-05-08
135	11-A	Barents sea	INACTIVE	1987-04-10	1995-12-31	646.061000	0.000	\N	21892	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21892	\N	9999-12-31	9999-12-31	2013-05-08
136	11-A	Barents sea	INACTIVE	1987-04-10	1993-04-10	628.856000	0.000	\N	21900	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21900	\N	9999-12-31	9999-12-31	2013-05-08
137	11-A	Barents sea	INACTIVE	1987-04-10	1990-12-31	628.856000	0.000	\N	21908	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21908	\N	9999-12-31	9999-12-31	2013-05-08
138	11-B	Barents sea	INACTIVE	1987-05-29	1999-12-31	327.322000	0.000	\N	21916	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21916	\N	9999-12-31	9999-12-31	2013-05-08
139	11-B	Barents sea	INACTIVE	1987-05-29	1993-05-29	947.588000	0.000	\N	21924	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21924	\N	9999-12-31	9999-12-31	2013-05-08
140	11-B	Barents sea	INACTIVE	1987-05-29	1990-12-31	594.294000	0.000	\N	21932	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21932	\N	9999-12-31	9999-12-31	2013-05-08
141	11-B	Barents sea	INACTIVE	1987-05-29	1990-12-31	594.294000	0.000	\N	21940	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21940	\N	9999-12-31	9999-12-31	2013-05-08
142	11-B	North sea	INACTIVE	1987-05-29	1999-12-31	512.309000	0.000	\N	21948	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21948	\N	9999-12-31	9999-12-31	2013-05-08
143	12	North sea	ACTIVE	1988-07-08	2027-07-08	319.068000	105.141	PRODUCTION	21956	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21956	http://www.npd.no/FactMapSearch?NPDID_production_licence=21956	9999-12-31	9999-12-31	2013-05-08
144	12	North sea	INACTIVE	1988-07-08	2002-12-31	336.500000	0.000	\N	21964	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21964	\N	9999-12-31	9999-12-31	2013-05-08
145	12	North sea	ACTIVE	1988-07-08	2024-07-08	250.555000	11.475	PRODUCTION	21972	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21972	http://www.npd.no/FactMapSearch?NPDID_production_licence=21972	9999-12-31	9999-12-31	2013-05-08
146	12	North sea	ACTIVE	1988-07-08	2027-07-08	221.748000	83.371	PRODUCTION	21980	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21980	http://www.npd.no/FactMapSearch?NPDID_production_licence=21980	9999-12-31	9999-12-31	2013-05-08
147	12	North sea	ACTIVE	1988-07-08	2027-07-08	467.778000	19.372	PRODUCTION	21988	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21988	http://www.npd.no/FactMapSearch?NPDID_production_licence=21988	9999-12-31	9999-12-31	2013-05-08
148	12	North sea	ACTIVE	1988-07-08	2024-07-08	543.438000	50.122	PRODUCTION	21996	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21996	http://www.npd.no/FactMapSearch?NPDID_production_licence=21996	2013-01-03	2013-01-03	2013-05-08
149	12	North sea	INACTIVE	1988-07-08	1994-07-08	535.510000	0.000	\N	22004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22004	\N	9999-12-31	9999-12-31	2013-05-08
150	12	North sea	ACTIVE	1988-07-08	2024-07-08	375.258000	47.369	PRODUCTION	22012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22012	http://www.npd.no/FactMapSearch?NPDID_production_licence=22012	9999-12-31	9999-12-31	2013-05-08
151	12	North sea	INACTIVE	1988-07-08	1994-07-08	520.058000	0.000	\N	22020	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22020	\N	9999-12-31	9999-12-31	2013-05-08
152	12	North sea	ACTIVE	1988-07-08	2036-06-30	137.968000	20.061	PRODUCTION	22028	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22028	http://www.npd.no/FactMapSearch?NPDID_production_licence=22028	2013-01-03	2013-01-03	2013-05-08
153	12	North sea	ACTIVE	1988-07-08	2028-07-08	993.138000	147.254	PRODUCTION	22036	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	http://www.npd.no/FactMapSearch?NPDID_production_licence=22036	9999-12-31	9999-12-31	2013-05-08
154	12-B	Norwegian sea	INACTIVE	1989-03-03	1995-03-03	941.433000	0.000	\N	22044	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22044	\N	9999-12-31	9999-12-31	2013-05-08
155	12-B	Norwegian sea	INACTIVE	1989-03-03	1993-02-18	468.712000	0.000	\N	22052	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22052	\N	9999-12-31	9999-12-31	2013-05-08
156	12-B	Norwegian sea	INACTIVE	1989-03-03	2002-12-31	452.584000	0.000	\N	22060	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22060	\N	9999-12-31	9999-12-31	2013-05-08
157	12-B	Norwegian sea	INACTIVE	1989-03-03	1999-12-31	452.584000	0.000	\N	22068	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22068	\N	9999-12-31	9999-12-31	2013-05-08
158	12-B	Norwegian sea	ACTIVE	1989-03-03	2028-03-03	448.529000	5.975	PRODUCTION	22076	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22076	http://www.npd.no/FactMapSearch?NPDID_production_licence=22076	2012-12-01	2012-12-01	2013-05-08
159	12-B	Norwegian sea	ACTIVE	1989-03-03	2029-03-03	424.012000	55.650	PRODUCTION	22084	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22084	http://www.npd.no/FactMapSearch?NPDID_production_licence=22084	9999-12-31	9999-12-31	2013-05-08
160	12-B	Barents sea	INACTIVE	1989-03-03	1993-11-01	611.600000	0.000	\N	22092	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22092	\N	9999-12-31	9999-12-31	2013-05-08
161	12-B	Barents sea	INACTIVE	1989-03-03	1993-12-31	628.856000	0.000	\N	22100	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22100	\N	9999-12-31	9999-12-31	2013-05-08
162	12-B	Barents sea	INACTIVE	1989-03-03	1991-12-31	602.953000	0.000	\N	22108	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22108	\N	9999-12-31	9999-12-31	2013-05-08
163	13	North sea	INACTIVE	1991-03-01	2000-03-01	101.690000	0.000	\N	22116	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22116	\N	9999-12-31	9999-12-31	2013-05-08
164	13	North sea	INACTIVE	1991-03-01	1997-03-01	783.712000	0.000	\N	22124	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22124	\N	9999-12-31	9999-12-31	2013-05-08
165	13	North sea	INACTIVE	1991-03-01	1994-11-01	558.364000	0.000	\N	22132	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22132	\N	9999-12-31	9999-12-31	2013-05-08
166	13	North sea	INACTIVE	1991-03-01	2002-12-31	269.806000	0.000	\N	22140	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22140	\N	9999-12-31	9999-12-31	2013-05-08
167	13	North sea	ACTIVE	1991-03-01	2030-03-01	209.034000	21.359	PRODUCTION	22148	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22148	http://www.npd.no/FactMapSearch?NPDID_production_licence=22148	9999-12-31	9999-12-31	2013-05-08
168	13	North sea	INACTIVE	1991-03-01	2003-12-31	267.501000	0.000	\N	22156	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22156	\N	9999-12-31	9999-12-31	2013-05-08
169	13	North sea	ACTIVE	1991-03-01	2030-03-01	589.389000	212.400	PRODUCTION	22164	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	http://www.npd.no/FactMapSearch?NPDID_production_licence=22164	9999-12-31	9999-12-31	2013-05-08
170	13	North sea	INACTIVE	1991-03-01	1997-12-31	174.407000	0.000	\N	22172	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22172	\N	9999-12-31	9999-12-31	2013-05-08
171	13	North sea	INACTIVE	1991-03-01	2002-12-31	516.169000	0.000	\N	22180	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22180	\N	9999-12-31	9999-12-31	2013-05-08
174	13	North sea	INACTIVE	1991-03-01	2003-12-31	500.509000	0.000	\N	22204	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22204	\N	9999-12-31	9999-12-31	2013-05-08
175	13	Norwegian sea	INACTIVE	1991-03-01	1999-12-31	969.378000	0.000	\N	22212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22212	\N	9999-12-31	9999-12-31	2013-05-08
176	13	Norwegian sea	ACTIVE	1991-03-01	2028-03-01	905.169000	7.512	PRODUCTION	22220	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	http://www.npd.no/FactMapSearch?NPDID_production_licence=22220	2012-12-01	2012-12-01	2013-05-08
177	13	Norwegian sea	INACTIVE	1991-03-01	2000-01-01	814.989000	0.000	\N	22228	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22228	\N	9999-12-31	9999-12-31	2013-05-08
178	13	Barents sea	INACTIVE	1991-03-01	1993-12-31	650.352000	0.000	\N	22236	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22236	\N	9999-12-31	9999-12-31	2013-05-08
179	13	Barents sea	INACTIVE	1991-03-01	1994-12-22	646.061000	0.000	\N	22244	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22244	\N	9999-12-31	9999-12-31	2013-05-08
180	13	Barents sea	INACTIVE	1991-03-01	1995-04-01	327.322000	0.000	\N	22252	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22252	\N	9999-12-31	9999-12-31	2013-05-08
181	13	Barents sea	INACTIVE	1991-03-01	1999-03-01	986.250000	0.000	\N	22260	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22260	\N	9999-12-31	9999-12-31	2013-05-08
182	13	Barents sea	INACTIVE	1991-03-01	2000-12-31	628.856000	0.000	\N	22268	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22268	\N	9999-12-31	9999-12-31	2013-05-08
183	13	Barents sea	INACTIVE	1991-03-01	1995-04-11	637.465000	0.000	\N	22276	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22276	\N	9999-12-31	9999-12-31	2013-05-08
184	13	Barents sea	INACTIVE	1991-03-01	1994-07-01	882.769000	0.000	\N	22284	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22284	\N	9999-12-31	9999-12-31	2013-05-08
185	Awarded additionaly to round 13	North sea	ACTIVE	1991-09-13	2015-04-06	25.535000	25.535	PRODUCTION	22292	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22292	http://www.npd.no/FactMapSearch?NPDID_production_licence=22292	2013-02-20	2013-02-20	2013-05-08
186	14	North sea	INACTIVE	1993-09-10	1999-09-10	232.554000	0.000	\N	22300	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22300	\N	9999-12-31	9999-12-31	2013-05-08
187	14	North sea	ACTIVE	1993-09-10	2032-09-10	374.677000	67.918	PRODUCTION	22308	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22308	http://www.npd.no/FactMapSearch?NPDID_production_licence=22308	9999-12-31	9999-12-31	2013-05-08
188	14	North sea	INACTIVE	1993-09-10	1998-04-20	535.510000	0.000	\N	22316	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22316	\N	9999-12-31	9999-12-31	2013-05-08
189	14	North sea	INACTIVE	1993-09-10	2005-01-01	636.661000	0.000	PRODUCTION	22324	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22324	\N	9999-12-31	9999-12-31	2013-05-08
190	14	North sea	ACTIVE	1993-09-10	2032-09-10	512.269000	256.067	PRODUCTION	22332	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22332	http://www.npd.no/FactMapSearch?NPDID_production_licence=22332	9999-12-31	9999-12-31	2013-05-08
192	14	North sea	INACTIVE	1993-09-10	1999-10-06	492.619000	0.000	\N	22348	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22348	\N	9999-12-31	9999-12-31	2013-05-08
193	14	North sea	ACTIVE	1993-09-10	2031-09-10	500.509000	172.291	PRODUCTION	22356	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22356	http://www.npd.no/FactMapSearch?NPDID_production_licence=22356	9999-12-31	9999-12-31	2013-05-08
194	14	North sea	INACTIVE	1993-09-10	2000-03-28	615.774000	0.000	\N	22364	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22364	\N	9999-12-31	9999-12-31	2013-05-08
195	14	North sea	ACTIVE	1993-09-10	2030-09-10	403.704000	54.633	PRODUCTION	22372	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22372	http://www.npd.no/FactMapSearch?NPDID_production_licence=22372	9999-12-31	9999-12-31	2013-05-08
196	14	North sea	INACTIVE	1993-09-10	2002-03-10	985.238000	0.000	\N	22380	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22380	\N	9999-12-31	9999-12-31	2013-05-08
197	14	Norwegian sea	INACTIVE	1993-09-10	2002-12-31	917.297000	0.000	PRODUCTION	22388	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22388	\N	9999-12-31	9999-12-31	2013-05-08
198	14	Norwegian sea	INACTIVE	1993-09-10	1999-09-10	460.667000	0.000	\N	22396	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22396	\N	9999-12-31	9999-12-31	2013-05-08
199	14	Norwegian sea	ACTIVE	1993-09-10	2033-09-10	440.393000	215.679	PRODUCTION	22404	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22404	http://www.npd.no/FactMapSearch?NPDID_production_licence=22404	9999-12-31	9999-12-31	2013-05-08
200	14	Norwegian sea	INACTIVE	1993-09-10	2003-09-10	831.540000	0.000	\N	22412	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22412	\N	9999-12-31	9999-12-31	2013-05-08
201	14	Barents sea	ACTIVE	1993-09-10	2033-09-10	680.312000	28.296	PRODUCTION	22420	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22420	http://www.npd.no/FactMapSearch?NPDID_production_licence=22420	9999-12-31	9999-12-31	2013-05-08
203	15	North sea	ACTIVE	1996-02-02	2032-02-02	525.592000	201.442	PRODUCTION	22436	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	http://www.npd.no/FactMapSearch?NPDID_production_licence=22436	9999-12-31	9999-12-31	2013-05-08
204	15	North sea	INACTIVE	1996-02-02	2004-02-02	719.968000	0.000	\N	22444	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22444	\N	9999-12-31	9999-12-31	2013-05-08
205	15	North sea	INACTIVE	1996-02-02	1999-12-31	1306.493000	0.000	\N	22452	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22452	\N	9999-12-31	9999-12-31	2013-05-08
206	15	North sea	INACTIVE	1996-02-02	2003-12-31	796.024000	0.000	PRODUCTION	22460	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22460	\N	9999-12-31	9999-12-31	2013-05-08
207	15	Norwegian sea	INACTIVE	1996-02-02	2000-01-20	1850.722000	0.000	\N	22468	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22468	\N	9999-12-31	9999-12-31	2013-05-08
208	15	Norwegian sea	ACTIVE	1996-02-02	2040-02-02	929.388000	140.867	PRODUCTION	22476	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22476	http://www.npd.no/FactMapSearch?NPDID_production_licence=22476	9999-12-31	9999-12-31	2013-05-08
209	15	Norwegian sea	ACTIVE	1996-02-02	2041-02-02	1834.594000	341.261	PRODUCTION	22484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	http://www.npd.no/FactMapSearch?NPDID_production_licence=22484	9999-12-31	9999-12-31	2013-05-08
210	15	Norwegian sea	INACTIVE	1996-02-02	2006-02-02	2617.844000	0.000	\N	22492	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22492	\N	9999-12-31	9999-12-31	2013-05-08
211	15	Norwegian sea	ACTIVE	1996-02-02	2032-02-02	856.240000	241.784	PRODUCTION	22500	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22500	http://www.npd.no/FactMapSearch?NPDID_production_licence=22500	2013-04-25	2013-04-25	2013-05-08
260	16	Norwegian sea	INACTIVE	2000-05-12	2004-02-12	623.508000	0.000	\N	1033065	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033065	\N	9999-12-31	9999-12-31	2013-05-08
212	15	Norwegian sea	ACTIVE	1996-02-02	2033-02-02	856.240000	218.110	PRODUCTION	22508	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	http://www.npd.no/FactMapSearch?NPDID_production_licence=22508	9999-12-31	9999-12-31	2013-05-08
213	15	Norwegian sea	INACTIVE	1996-02-02	2010-12-31	416.977000	0.000	PRODUCTION	22516	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22516	\N	9999-12-31	9999-12-31	2013-05-08
214	15	Norwegian sea	INACTIVE	1996-02-02	1999-03-23	831.040000	0.000	\N	22524	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22524	\N	9999-12-31	9999-12-31	2013-05-08
215	15	Norwegian sea	INACTIVE	1996-02-02	2006-02-02	1621.677000	0.000	\N	22532	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22532	\N	9999-12-31	9999-12-31	2013-05-08
216	15	Norwegian sea	INACTIVE	1996-02-02	2002-02-01	407.494000	0.000	\N	22540	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22540	\N	9999-12-31	9999-12-31	2013-05-08
217	15	Norwegian sea	INACTIVE	1996-02-02	2005-07-07	504.180000	0.000	\N	22548	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22548	\N	9999-12-31	9999-12-31	2013-05-08
218	15	Norwegian sea	ACTIVE	1996-02-02	2041-02-02	705.852000	115.938	PRODUCTION	22556	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22556	http://www.npd.no/FactMapSearch?NPDID_production_licence=22556	2012-10-03	2012-10-03	2013-05-08
219	15	Norwegian sea	ACTIVE	1996-02-02	2014-02-02	377.504000	377.504	INITIAL EXTENDED	22564	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22564	http://www.npd.no/FactMapSearch?NPDID_production_licence=22564	9999-12-31	9999-12-31	2013-05-08
220	15	Norwegian sea	ACTIVE	1996-02-02	2014-02-02	247.977000	247.977	INITIAL EXTENDED	22572	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22572	http://www.npd.no/FactMapSearch?NPDID_production_licence=22572	9999-12-31	9999-12-31	2013-05-08
221	BARENTSHAVPROSJEKTET-97	Barents sea	INACTIVE	1997-05-30	2002-04-30	0.000000	0.000	\N	22580	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22580	\N	9999-12-31	9999-12-31	2013-05-08
222	BARENTSHAVPROSJEKTET-97	\N	INACTIVE	1997-05-30	2002-04-30	0.000000	0.000	\N	22588	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22588	\N	9999-12-31	9999-12-31	2013-05-08
223	BARENTSHAVPROSJEKTET-97	\N	INACTIVE	1997-05-30	2002-04-30	0.000000	0.000	\N	22596	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22596	\N	9999-12-31	9999-12-31	2013-05-08
224	BARENTSHAVPROSJEKTET-97	Barents sea	INACTIVE	1997-05-30	2002-05-14	1664.872000	0.000	\N	22604	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22604	\N	9999-12-31	9999-12-31	2013-05-08
225	BARENTSHAVPROSJEKTET-97	Barents sea	INACTIVE	1997-05-30	2009-01-01	0.000000	0.000	PRODUCTION	22612	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22612	\N	9999-12-31	9999-12-31	2013-05-08
226	BARENTSHAVPROSJEKTET-97	Barents sea	ACTIVE	1997-05-30	2050-05-15	0.000000	100.635	PRODUCTION	22620	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22620	http://www.npd.no/FactMapSearch?NPDID_production_licence=22620	9999-12-31	9999-12-31	2013-05-08
227	BARENTSHAVPROSJEKTET-97	\N	INACTIVE	1997-05-30	2010-05-15	0.000000	0.000	\N	22628	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22628	\N	9999-12-31	9999-12-31	2013-05-08
228	BARENTSHAVPROSJEKTET-97	Barents sea	INACTIVE	1997-05-30	2010-12-31	2506.789000	0.000	PRODUCTION	22636	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	\N	9999-12-31	9999-12-31	2013-05-08
229	BARENTSHAVPROSJEKTET-97	Barents sea	ACTIVE	1997-05-30	2042-05-15	1010.447000	217.282	PRODUCTION	22644	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	http://www.npd.no/FactMapSearch?NPDID_production_licence=22644	9999-12-31	9999-12-31	2013-05-08
230	BARENTSHAVPROSJEKTET-97	Barents sea	ACTIVE	1997-05-30	2049-05-15	0.000000	111.076	PRODUCTION	22652	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	http://www.npd.no/FactMapSearch?NPDID_production_licence=22652	9999-12-31	9999-12-31	2013-05-08
231	BARENTSHAVPROSJEKTET-97	\N	INACTIVE	1997-05-30	2009-05-15	0.000000	0.000	\N	22660	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22660	\N	9999-12-31	9999-12-31	2013-05-08
232	BARENTSHAVPROSJEKTET-97	\N	INACTIVE	1997-05-30	2009-05-15	0.000000	0.000	\N	22668	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22668	\N	9999-12-31	9999-12-31	2013-05-08
233	BARENTSHAVPROSJEKTET-97	Barents sea	INACTIVE	1997-05-30	2007-05-15	0.000000	0.000	\N	22676	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	\N	9999-12-31	9999-12-31	2013-05-08
234	BARENTSHAVPROSJEKTET-97	\N	INACTIVE	1997-05-30	2007-05-15	0.000000	0.000	\N	22684	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22684	\N	9999-12-31	9999-12-31	2013-05-08
235	BARENTSHAVPROSJEKTET-97	\N	INACTIVE	1997-05-30	2007-05-15	0.000000	0.000	\N	22692	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22692	\N	9999-12-31	9999-12-31	2013-05-08
236	BARENTSHAVPROSJEKTET-97	\N	INACTIVE	1997-05-30	2007-05-15	0.000000	0.000	\N	22700	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22700	\N	9999-12-31	9999-12-31	2013-05-08
025	2-A	North sea	ACTIVE	1969-05-23	2028-12-31	535.510000	267.852	PRODUCTION	34512	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=34512	http://www.npd.no/FactMapSearch?NPDID_production_licence=34512	9999-12-31	9999-12-31	2013-05-08
079	Awarded additionaly to round 6	North sea	ACTIVE	1982-08-20	2031-03-01	102.167000	102.167	PRODUCTION	34635	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=34635	http://www.npd.no/FactMapSearch?NPDID_production_licence=34635	2012-12-05	2012-12-05	2013-05-08
102 B	Awarded additionaly to round 9	North sea	INACTIVE	1998-01-22	2002-12-31	26.123000	0.000	PRODUCTION	40264	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=40264	\N	9999-12-31	9999-12-31	2013-05-08
103 B	Awarded additionaly to round 9	North sea	ACTIVE	1998-01-22	2021-03-01	23.706000	23.706	PRODUCTION	40772	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=40772	http://www.npd.no/FactMapSearch?NPDID_production_licence=40772	9999-12-31	9999-12-31	2013-05-08
237	Awarded additionaly to round 15	Norwegian sea	ACTIVE	1998-01-30	2027-04-10	17.567000	17.567	PRODUCTION	41327	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=41327	http://www.npd.no/FactMapSearch?NPDID_production_licence=41327	9999-12-31	9999-12-31	2013-05-08
128 B	Awarded additionaly to round 10-A	Norwegian sea	ACTIVE	1998-01-30	2026-02-28	4.220000	4.220	PRODUCTION	41361	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=41361	http://www.npd.no/FactMapSearch?NPDID_production_licence=41361	9999-12-31	9999-12-31	2013-05-08
019 C	Awarded additionaly to round 1-A	North sea	ACTIVE	1998-09-14	2018-09-01	323.219000	31.496	PRODUCTION EXTENDED	47992	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	http://www.npd.no/FactMapSearch?NPDID_production_licence=47992	9999-12-31	9999-12-31	2013-05-08
037 B	Awarded additionaly to round 2-A	North sea	ACTIVE	1998-09-14	2036-06-30	9.199000	9.199	PRODUCTION	48081	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=48081	http://www.npd.no/FactMapSearch?NPDID_production_licence=48081	9999-12-31	9999-12-31	2013-05-08
281	17	Norwegian sea	INACTIVE	2002-06-14	2009-06-14	1345.579000	0.000	\N	2073488	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073488	\N	9999-12-31	9999-12-31	2013-05-08
053 B	Awarded additionaly to round 4	North sea	ACTIVE	1998-09-14	2017-04-06	8.494000	8.494	PRODUCTION	48207	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=48207	http://www.npd.no/FactMapSearch?NPDID_production_licence=48207	9999-12-31	9999-12-31	2013-05-08
114 C	Awarded additionaly to round 10-A	North sea	INACTIVE	1998-09-03	2001-12-31	34.964000	0.000	\N	90914	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=90914	\N	9999-12-31	9999-12-31	2013-05-08
238	NST99	North sea	INACTIVE	1999-06-04	2002-03-21	484.331000	0.000	\N	102103	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102103	\N	9999-12-31	9999-12-31	2013-05-08
241	NST99	North sea	INACTIVE	1999-06-04	2006-06-04	180.442000	0.000	\N	102131	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102131	\N	9999-12-31	9999-12-31	2013-05-08
239	NST99	North sea	INACTIVE	1999-06-04	2005-06-04	307.043000	0.000	\N	102157	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102157	\N	9999-12-31	9999-12-31	2013-05-08
240	NST99	North sea	INACTIVE	1999-06-04	2003-06-04	393.447000	0.000	\N	102217	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102217	\N	9999-12-31	9999-12-31	2013-05-08
242	NST99	North sea	ACTIVE	1999-06-04	2035-06-04	112.296000	21.404	PRODUCTION	102226	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102226	http://www.npd.no/FactMapSearch?NPDID_production_licence=102226	9999-12-31	9999-12-31	2013-05-08
243	NST99	North sea	INACTIVE	1999-06-04	2004-01-01	539.346000	0.000	\N	102235	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102235	\N	9999-12-31	9999-12-31	2013-05-08
244	NST99	North sea	INACTIVE	1999-06-04	2002-12-31	645.330000	0.000	\N	102244	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102244	\N	9999-12-31	9999-12-31	2013-05-08
245	NST99	North sea	INACTIVE	1999-06-04	2004-12-30	935.475000	0.000	\N	102258	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102258	\N	9999-12-31	9999-12-31	2013-05-08
246	NST99	North sea	INACTIVE	1999-06-04	2002-08-31	52.650000	0.000	\N	102267	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102267	\N	9999-12-31	9999-12-31	2013-05-08
247	NST99	North sea	INACTIVE	1999-06-04	2002-08-29	581.834000	0.000	\N	102276	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102276	\N	9999-12-31	9999-12-31	2013-05-08
248	NST99	North sea	ACTIVE	1999-06-04	2035-06-04	342.783000	167.752	PRODUCTION	102285	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102285	http://www.npd.no/FactMapSearch?NPDID_production_licence=102285	2013-04-26	2013-04-26	2013-05-08
249	NST99	North sea	ACTIVE	1999-06-04	2021-06-11	1.209000	1.209	PRODUCTION	102294	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102294	http://www.npd.no/FactMapSearch?NPDID_production_licence=102294	9999-12-31	9999-12-31	2013-05-08
050 C	NST99	North sea	ACTIVE	1999-06-04	2036-06-30	50.271000	13.406	PRODUCTION	102490	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	http://www.npd.no/FactMapSearch?NPDID_production_licence=102490	9999-12-31	9999-12-31	2013-05-08
055 B	NST99	North sea	ACTIVE	1999-06-04	2017-04-06	27.947000	5.084	PRODUCTION	102499	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102499	http://www.npd.no/FactMapSearch?NPDID_production_licence=102499	2013-02-20	2013-02-20	2013-05-08
250	Awarded additionaly to round 15	Norwegian sea	ACTIVE	1999-10-22	2041-02-02	170.324000	170.324	PRODUCTION	115537	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=115537	http://www.npd.no/FactMapSearch?NPDID_production_licence=115537	9999-12-31	9999-12-31	2013-05-08
037 C	Awarded additionaly to round 2-A	North sea	ACTIVE	2000-01-14	2026-08-10	9.724000	9.724	PRODUCTION	853671	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=853671	http://www.npd.no/FactMapSearch?NPDID_production_licence=853671	9999-12-31	9999-12-31	2013-05-08
001 B	Awarded additionaly to round 1-A	North sea	ACTIVE	1999-12-15	2013-12-17	214.180000	94.505	PRODUCTION EXTENDED	917266	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917266	http://www.npd.no/FactMapSearch?NPDID_production_licence=917266	9999-12-31	9999-12-31	2013-05-08
027 B	Awarded additionaly to round 2-A	North sea	ACTIVE	1999-12-15	2021-03-01	159.883000	52.660	PRODUCTION	917344	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917344	http://www.npd.no/FactMapSearch?NPDID_production_licence=917344	2012-10-18	2012-10-18	2013-05-08
028 B	Awarded additionaly to round 2-A	North sea	ACTIVE	1999-12-15	2015-05-23	221.649000	30.210	PRODUCTION	917484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917484	http://www.npd.no/FactMapSearch?NPDID_production_licence=917484	9999-12-31	9999-12-31	2013-05-08
134 B	Awarded additionaly to round 11-A	Norwegian sea	ACTIVE	2000-01-14	2027-04-10	155.795000	136.958	PRODUCTION	1025257	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1025257	http://www.npd.no/FactMapSearch?NPDID_production_licence=1025257	9999-12-31	9999-12-31	2013-05-08
169 B1	Awarded additionaly to round 13	North sea	ACTIVE	2000-03-01	2030-03-01	51.793000	51.793	PRODUCTION	1030964	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1030964	http://www.npd.no/FactMapSearch?NPDID_production_licence=1030964	9999-12-31	9999-12-31	2013-05-08
169 B2	Awarded additionaly to round 13	North sea	ACTIVE	2000-03-01	2030-03-01	22.532000	22.532	PRODUCTION	1031002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1031002	http://www.npd.no/FactMapSearch?NPDID_production_licence=1031002	9999-12-31	9999-12-31	2013-05-08
251	16	Norwegian sea	INACTIVE	2000-05-12	2008-05-12	1854.749000	0.000	\N	1032893	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032893	\N	9999-12-31	9999-12-31	2013-05-08
252	16	Norwegian sea	INACTIVE	2000-05-12	2003-05-12	527.221000	0.000	\N	1032911	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032911	\N	9999-12-31	9999-12-31	2013-05-08
253	16	Norwegian sea	INACTIVE	2000-05-12	2008-05-12	905.169000	0.000	\N	1032927	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032927	\N	9999-12-31	9999-12-31	2013-05-08
254	16	Norwegian sea	INACTIVE	2000-05-12	2004-12-31	1802.227000	0.000	\N	1032954	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032954	\N	9999-12-31	9999-12-31	2013-05-08
255	16	Norwegian sea	ACTIVE	2000-05-12	2038-05-12	1322.703000	273.188	PRODUCTION	1032979	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032979	http://www.npd.no/FactMapSearch?NPDID_production_licence=1032979	9999-12-31	9999-12-31	2013-05-08
256	16	Norwegian sea	INACTIVE	2000-05-12	2011-01-01	795.955000	0.000	PRODUCTION	1032995	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032995	\N	9999-12-31	9999-12-31	2013-05-08
257	16	Norwegian sea	ACTIVE	2000-05-12	2033-09-10	95.504000	32.354	PRODUCTION	1033013	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033013	http://www.npd.no/FactMapSearch?NPDID_production_licence=1033013	9999-12-31	9999-12-31	2013-05-08
258	16	Norwegian sea	INACTIVE	2000-05-12	2003-09-29	2128.276000	0.000	\N	1033029	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033029	\N	9999-12-31	9999-12-31	2013-05-08
259	16	Norwegian sea	INACTIVE	2000-05-12	2010-01-01	1276.144000	0.000	PRODUCTION	1033049	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033049	\N	9999-12-31	9999-12-31	2013-05-08
261	16	Norwegian sea	ACTIVE	2000-05-12	2036-05-12	706.806000	155.743	PRODUCTION	1033077	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	http://www.npd.no/FactMapSearch?NPDID_production_licence=1033077	9999-12-31	9999-12-31	2013-05-08
262	16	Norwegian sea	ACTIVE	2000-05-12	2033-02-02	38.292000	38.292	PRODUCTION	1033093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033093	http://www.npd.no/FactMapSearch?NPDID_production_licence=1033093	9999-12-31	9999-12-31	2013-05-08
263	16	Norwegian sea	ACTIVE	2000-05-12	2037-05-12	812.824000	150.159	PRODUCTION	1033111	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	http://www.npd.no/FactMapSearch?NPDID_production_licence=1033111	9999-12-31	9999-12-31	2013-05-08
264	16	Norwegian sea	INACTIVE	2000-05-12	2013-01-01	1185.057000	0.000	PRODUCTION	1033127	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	\N	2013-01-03	2013-01-03	2013-05-08
191	14	North sea	INACTIVE	1993-09-10	2003-09-10	849.728000	0.000	\N	1043631	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	\N	9999-12-31	9999-12-31	2013-05-08
006 B	Awarded additionaly to round 1-A	North sea	ACTIVE	2000-10-09	2028-12-31	128.282000	128.282	PRODUCTION	1333048	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333048	http://www.npd.no/FactMapSearch?NPDID_production_licence=1333048	9999-12-31	9999-12-31	2013-05-08
006 C	Awarded additionaly to round 1-A	North sea	ACTIVE	2000-10-09	2028-12-31	678.000000	93.197	PRODUCTION	1333089	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333089	http://www.npd.no/FactMapSearch?NPDID_production_licence=1333089	2013-01-04	2013-01-04	2013-05-08
027 C	Awarded additionaly to round 2-A	North sea	ACTIVE	2000-10-09	2030-03-01	3.524000	3.524	PRODUCTION	1333301	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333301	http://www.npd.no/FactMapSearch?NPDID_production_licence=1333301	9999-12-31	9999-12-31	2013-05-08
028 C	Awarded additionaly to round 2-A	North sea	ACTIVE	2000-10-09	2030-03-01	17.739000	17.739	PRODUCTION	1333344	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333344	http://www.npd.no/FactMapSearch?NPDID_production_licence=1333344	9999-12-31	9999-12-31	2013-05-08
171 B	Awarded additionaly to round 13	North sea	ACTIVE	2000-10-09	2031-03-01	23.152000	23.152	PRODUCTION	1333384	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333384	http://www.npd.no/FactMapSearch?NPDID_production_licence=1333384	2012-12-05	2012-12-05	2013-05-08
048 B	Awarded additionaly to round 3	North sea	ACTIVE	2001-01-10	2016-07-15	31.015000	21.518	PRODUCTION EXTENDED	1342723	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1342723	http://www.npd.no/FactMapSearch?NPDID_production_licence=1342723	2013-02-19	2013-02-19	2013-05-08
033 B	Awarded additionaly to round 2-A	North sea	ACTIVE	2001-05-04	2028-12-31	47.955000	47.955	PRODUCTION	1622353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1622353	http://www.npd.no/FactMapSearch?NPDID_production_licence=1622353	9999-12-31	9999-12-31	2013-05-08
265	NST2000	North sea	ACTIVE	2001-04-27	2037-01-27	1071.020000	255.518	PRODUCTION	1624237	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624237	http://www.npd.no/FactMapSearch?NPDID_production_licence=1624237	9999-12-31	9999-12-31	2013-05-08
266	NST2000	North sea	INACTIVE	2001-04-27	2006-12-22	1181.813000	0.000	\N	1624332	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624332	\N	9999-12-31	9999-12-31	2013-05-08
267	NST2000	\N	INACTIVE	2001-04-27	2006-12-22	0.000000	0.000	\N	1624349	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624349	\N	9999-12-31	9999-12-31	2013-05-08
268	NST2000	North sea	INACTIVE	2001-04-27	2004-10-31	1051.272000	0.000	\N	1624366	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624366	\N	9999-12-31	9999-12-31	2013-05-08
269	NST2000	North sea	ACTIVE	2001-04-27	2041-04-27	488.659000	185.614	PRODUCTION	1624410	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624410	http://www.npd.no/FactMapSearch?NPDID_production_licence=1624410	9999-12-31	9999-12-31	2013-05-08
270	NST2000	North sea	ACTIVE	2001-04-27	2035-04-27	488.659000	241.222	PRODUCTION	1624436	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624436	http://www.npd.no/FactMapSearch?NPDID_production_licence=1624436	2013-01-18	2013-01-18	2013-05-08
029 B	Awarded additionaly to round 2-A	North sea	ACTIVE	2001-05-11	2015-05-23	213.000000	95.147	PRODUCTION	1626782	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1626782	http://www.npd.no/FactMapSearch?NPDID_production_licence=1626782	2012-12-05	2012-12-05	2013-05-08
072 B	Awarded additionaly to round 6	North sea	ACTIVE	2001-09-24	2018-01-01	79.606000	39.817	PRODUCTION	1630345	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1630345	http://www.npd.no/FactMapSearch?NPDID_production_licence=1630345	9999-12-31	9999-12-31	2013-05-08
052 B	Awarded additionaly to round 4	North sea	ACTIVE	2001-11-30	2015-04-06	9.254000	9.254	PRODUCTION	1840712	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1840712	http://www.npd.no/FactMapSearch?NPDID_production_licence=1840712	9999-12-31	9999-12-31	2013-05-08
085 C	Awarded additionaly to round 7	North sea	ACTIVE	2002-01-25	2030-09-30	18.534000	18.534	PRODUCTION	2051285	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2051285	http://www.npd.no/FactMapSearch?NPDID_production_licence=2051285	9999-12-31	9999-12-31	2013-05-08
271	NST2001	North sea	INACTIVE	2002-03-15	2009-03-15	538.067000	0.000	\N	2060218	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060218	\N	9999-12-31	9999-12-31	2013-05-08
272	NST2001	North sea	ACTIVE	2002-03-15	2022-11-14	259.821000	99.728	PRODUCTION	2060232	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060232	http://www.npd.no/FactMapSearch?NPDID_production_licence=2060232	2013-03-19	2013-03-19	2013-05-08
273	NST2001	North sea	INACTIVE	2002-03-15	2010-12-31	538.404000	0.000	PRODUCTION	2060246	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060246	\N	9999-12-31	9999-12-31	2013-05-08
274	NST2001	North sea	ACTIVE	2002-03-15	2039-09-15	507.527000	131.958	PRODUCTION	2060266	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	http://www.npd.no/FactMapSearch?NPDID_production_licence=2060266	2012-09-14	2012-09-14	2013-05-08
275	NST2001	North sea	ACTIVE	2002-03-15	2028-12-31	32.271000	15.185	PRODUCTION	2060278	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060278	http://www.npd.no/FactMapSearch?NPDID_production_licence=2060278	9999-12-31	9999-12-31	2013-05-08
276	NST2001	North sea	INACTIVE	2002-03-15	2005-03-15	12.321000	0.000	\N	2060300	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060300	\N	9999-12-31	9999-12-31	2013-05-08
277	NST2001	North sea	ACTIVE	2002-03-15	2025-07-08	13.391000	8.368	PRODUCTION	2060336	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060336	http://www.npd.no/FactMapSearch?NPDID_production_licence=2060336	9999-12-31	9999-12-31	2013-05-08
278	NST2001	North sea	INACTIVE	2002-03-15	2005-04-21	425.400000	0.000	\N	2060350	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060350	\N	9999-12-31	9999-12-31	2013-05-08
279	NST2001	North sea	INACTIVE	2002-03-15	2004-04-16	430.535000	0.000	\N	2060367	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060367	\N	9999-12-31	9999-12-31	2013-05-08
280	NST2001	North sea	INACTIVE	2002-03-15	2004-05-10	46.477000	0.000	\N	2060385	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060385	\N	9999-12-31	9999-12-31	2013-05-08
282	17	Norwegian sea	INACTIVE	2002-06-14	2006-06-14	2132.384000	0.000	\N	2073510	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073510	\N	9999-12-31	9999-12-31	2013-05-08
283	17	Norwegian sea	INACTIVE	2002-06-14	2012-01-01	2074.716000	0.000	PRODUCTION	2073530	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	\N	9999-12-31	9999-12-31	2013-05-08
284	17	Norwegian sea	INACTIVE	2002-06-14	2005-03-30	682.698000	0.000	\N	2073548	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073548	\N	9999-12-31	9999-12-31	2013-05-08
285	17	Norwegian sea	INACTIVE	2002-06-14	2005-06-14	411.636000	0.000	\N	2073564	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073564	\N	9999-12-31	9999-12-31	2013-05-08
286	17	Norwegian sea	INACTIVE	2002-06-14	2008-06-14	823.273000	0.000	\N	2073578	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073578	\N	9999-12-31	9999-12-31	2013-05-08
094 B	Awarded additionaly to round 8	Norwegian sea	ACTIVE	2002-06-14	2027-04-10	7.308000	7.308	PRODUCTION	2092082	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2092082	http://www.npd.no/FactMapSearch?NPDID_production_licence=2092082	9999-12-31	9999-12-31	2013-05-08
212 B	Awarded additionaly to round 15	Norwegian sea	ACTIVE	2002-06-14	2033-02-02	64.927000	22.616	PRODUCTION	2092275	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2092275	http://www.npd.no/FactMapSearch?NPDID_production_licence=2092275	9999-12-31	9999-12-31	2013-05-08
122 B	Awarded additionaly to round 10 B	Norwegian sea	ACTIVE	2002-06-14	2025-02-28	7.037000	5.629	PRODUCTION	2134110	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2134110	http://www.npd.no/FactMapSearch?NPDID_production_licence=2134110	9999-12-31	9999-12-31	2013-05-08
018 C	Awarded additionaly to round 1-A	North sea	ACTIVE	2002-12-20	2028-12-31	24.028000	24.028	PRODUCTION	2246113	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2246113	http://www.npd.no/FactMapSearch?NPDID_production_licence=2246113	2013-04-09	2013-04-09	2013-05-08
038 B	NST2002	North sea	INACTIVE	2003-04-11	2006-04-11	5.573000	0.000	\N	2407278	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407278	\N	9999-12-31	9999-12-31	2013-05-08
287	NST2002	North sea	INACTIVE	2003-04-11	2004-12-14	797.235000	0.000	\N	2407356	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407356	\N	9999-12-31	9999-12-31	2013-05-08
289	NST2002	North sea	ACTIVE	2003-04-11	2039-04-11	321.788000	24.812	PRODUCTION	2407454	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407454	http://www.npd.no/FactMapSearch?NPDID_production_licence=2407454	2012-11-06	2012-11-06	2013-05-08
290	NST2002	North sea	INACTIVE	2003-04-11	2004-04-11	430.132000	0.000	\N	2407486	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407486	\N	9999-12-31	9999-12-31	2013-05-08
291	NST2002	North sea	INACTIVE	2003-04-11	2006-04-11	58.607000	0.000	\N	2407510	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407510	\N	9999-12-31	9999-12-31	2013-05-08
295	NST2002	North sea	INACTIVE	2003-04-11	2005-04-11	10.554000	0.000	\N	2407550	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407550	\N	9999-12-31	9999-12-31	2013-05-08
292	NST2002	North sea	ACTIVE	2003-04-11	2026-04-01	65.258000	28.094	PRODUCTION	2407572	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407572	http://www.npd.no/FactMapSearch?NPDID_production_licence=2407572	9999-12-31	9999-12-31	2013-05-08
293	NST2002	North sea	ACTIVE	2003-04-11	2039-04-11	1067.455000	163.289	PRODUCTION	2407711	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	http://www.npd.no/FactMapSearch?NPDID_production_licence=2407711	2013-03-22	2013-03-23	2013-05-08
294	NST2002	North sea	INACTIVE	2003-04-11	2006-04-11	985.238000	0.000	\N	2407753	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407753	\N	9999-12-31	9999-12-31	2013-05-08
167 B	NST2002	North sea	ACTIVE	2003-04-11	2030-03-01	37.313000	3.556	PRODUCTION	2407874	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407874	http://www.npd.no/FactMapSearch?NPDID_production_licence=2407874	9999-12-31	9999-12-31	2013-05-08
288	NST2002	North sea	INACTIVE	2003-04-11	2006-04-11	1113.363000	0.000	\N	2407909	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407909	\N	9999-12-31	9999-12-31	2013-05-08
055 C	Awarded additionaly to NST99	North sea	ACTIVE	2003-06-27	2031-03-01	5.071000	5.071	PRODUCTION	2424830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2424830	http://www.npd.no/FactMapSearch?NPDID_production_licence=2424830	9999-12-31	9999-12-31	2013-05-08
143 BS	Awarded additionaly to round 12	North sea	ACTIVE	2003-06-27	2027-07-08	68.085000	45.469	PRODUCTION	2424891	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2424891	http://www.npd.no/FactMapSearch?NPDID_production_licence=2424891	9999-12-31	9999-12-31	2013-05-08
143 CS	Awarded additionaly to round 12	North sea	INACTIVE	2003-06-27	2007-01-01	89.923000	0.000	PRODUCTION	2424919	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2424919	\N	9999-12-31	9999-12-31	2013-05-08
036 BS	Awarded additionaly to round 2-A	North sea	ACTIVE	2003-10-13	2021-06-11	110.164000	110.164	PRODUCTION	2473189	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2473189	http://www.npd.no/FactMapSearch?NPDID_production_licence=2473189	9999-12-31	9999-12-31	2013-05-08
036 C	Awarded additionaly to round 2-A	North sea	ACTIVE	2003-10-13	2021-06-11	26.215000	26.215	PRODUCTION	2473241	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2473241	http://www.npd.no/FactMapSearch?NPDID_production_licence=2473241	9999-12-31	9999-12-31	2013-05-08
296	TFO2003	North sea	INACTIVE	2003-12-12	2009-12-12	961.505000	0.000	\N	2490197	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490197	\N	9999-12-31	2012-06-21	2013-05-08
297	TFO2003	North sea	INACTIVE	2003-12-12	2012-02-28	742.682000	0.000	INITIAL EXTENDED	2490240	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490240	\N	2012-12-13	2012-12-13	2013-05-08
298	TFO2003	North sea	INACTIVE	2003-12-12	2007-01-01	30.062000	0.000	\N	2490295	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490295	\N	9999-12-31	9999-12-31	2013-05-08
299	TFO2003	North sea	ACTIVE	2003-12-12	2013-12-12	330.537000	90.728	INITIAL EXTENDED	2490320	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490320	http://www.npd.no/FactMapSearch?NPDID_production_licence=2490320	2013-04-30	2013-05-01	2013-05-08
300	TFO2003	North sea	ACTIVE	2003-12-12	2023-12-12	20.694000	11.289	PRODUCTION	2490354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490354	http://www.npd.no/FactMapSearch?NPDID_production_licence=2490354	9999-12-31	2012-06-21	2013-05-08
301	TFO2003	North sea	ACTIVE	2003-12-12	2013-12-12	973.120000	76.761	INITIAL EXTENDED	2490380	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	http://www.npd.no/FactMapSearch?NPDID_production_licence=2490380	2013-04-09	2013-04-09	2013-05-08
302	TFO2003	North sea	INACTIVE	2003-12-12	2009-03-15	109.702000	0.000	\N	2490440	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490440	\N	9999-12-31	2012-06-21	2013-05-08
303	TFO2003	North sea	ACTIVE	2003-12-12	2013-03-12	939.594000	935.988	\N	2490467	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	http://www.npd.no/FactMapSearch?NPDID_production_licence=2490467	2013-03-12	2013-03-12	2013-05-08
304	TFO2003	North sea	INACTIVE	2003-12-12	2010-12-12	439.142000	0.000	\N	2490623	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490623	\N	9999-12-31	9999-12-31	2013-05-08
305	TFO2003	North sea	INACTIVE	2003-12-12	2008-12-02	335.285000	0.000	\N	2490682	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490682	\N	9999-12-31	2012-06-20	2013-05-08
306	TFO2003	North sea	INACTIVE	2003-12-12	2005-07-12	106.773000	0.000	\N	2490776	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490776	\N	9999-12-31	2012-06-26	2013-05-08
307	TFO2003	North sea	INACTIVE	2003-12-12	2005-12-12	163.808000	0.000	\N	2490820	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490820	\N	9999-12-31	2012-06-21	2013-05-08
308	TFO2003	North sea	INACTIVE	2003-12-12	2007-12-04	493.018000	0.000	\N	2490856	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490856	\N	9999-12-31	9999-12-31	2013-05-08
309	TFO2003	North sea	ACTIVE	2003-12-12	2012-12-12	1501.476000	16.930	\N	2490982	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	http://www.npd.no/FactMapSearch?NPDID_production_licence=2490982	2012-12-12	2013-02-13	2013-05-08
310	TFO2003	North sea	INACTIVE	2003-12-12	2005-01-27	356.183000	0.000	\N	2491119	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491119	\N	9999-12-31	9999-12-31	2013-05-08
311	TFO2003	North sea	INACTIVE	2003-12-12	2008-12-12	660.528000	0.000	\N	2491153	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491153	\N	9999-12-31	9999-12-31	2013-05-08
312	TFO2003	Norwegian sea	ACTIVE	2003-12-12	2013-12-12	839.205000	29.683	INITIAL EXTENDED	2491196	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491196	http://www.npd.no/FactMapSearch?NPDID_production_licence=2491196	2013-01-21	2013-01-21	2013-05-08
313	TFO2003	Norwegian sea	INACTIVE	2003-12-12	2005-12-12	50.593000	0.000	\N	2491243	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491243	\N	9999-12-31	9999-12-31	2013-05-08
314	TFO2003	Norwegian sea	INACTIVE	2003-12-12	2006-12-12	108.896000	0.000	\N	2491284	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491284	\N	9999-12-31	9999-12-31	2013-05-08
261 BS	Awarded additionaly to round 16	Norwegian sea	INACTIVE	2003-12-12	2005-11-25	440.520000	0.000	\N	2588889	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2588889	\N	9999-12-31	9999-12-31	2013-05-08
280 S	Awarded additionaly to NST2001	North sea	INACTIVE	2004-05-10	2006-03-15	2.076000	0.000	\N	2773116	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2773116	\N	9999-12-31	9999-12-31	2013-05-08
315	18	North sea	INACTIVE	2004-06-18	2009-08-20	6107.950000	0.000	\N	2786350	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	\N	9999-12-31	9999-12-31	2013-05-08
316	18	North sea	ACTIVE	2004-06-18	2030-06-18	2221.804000	139.842	PRODUCTION	2786469	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	http://www.npd.no/FactMapSearch?NPDID_production_licence=2786469	9999-12-31	9999-12-31	2013-05-08
317	18	North sea	INACTIVE	2004-06-18	2009-04-13	1109.165000	0.000	\N	2786553	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786553	\N	9999-12-31	9999-12-31	2013-05-08
318	18	North sea	ACTIVE	2004-06-18	2014-06-18	488.659000	267.216	INITIAL EXTENDED	2786586	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786586	http://www.npd.no/FactMapSearch?NPDID_production_licence=2786586	2013-01-03	2013-02-01	2013-05-08
319	18	Norwegian sea	INACTIVE	2004-06-18	2007-06-29	478.071000	0.000	\N	2786612	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786612	\N	9999-12-31	9999-12-31	2013-05-08
320	18	Norwegian sea	INACTIVE	2004-06-18	2007-06-14	460.667000	0.000	\N	2786635	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786635	\N	9999-12-31	9999-12-31	2013-05-08
321	18	Norwegian sea	INACTIVE	2004-06-18	2010-06-18	1373.927000	0.000	\N	2786661	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786661	\N	9999-12-31	9999-12-31	2013-05-08
322	18	Norwegian sea	INACTIVE	2004-06-18	2008-06-18	1337.460000	0.000	\N	2786703	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786703	\N	9999-12-31	9999-12-31	2013-05-08
323	18	Norwegian sea	INACTIVE	2004-06-18	2010-06-18	897.059000	0.000	\N	2786740	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786740	\N	9999-12-31	9999-12-31	2013-05-08
324	18	Norwegian sea	INACTIVE	2004-06-18	2008-07-09	1409.202000	0.000	\N	2786758	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786758	\N	9999-12-31	9999-12-31	2013-05-08
325	18	Norwegian sea	INACTIVE	2004-06-18	2008-03-18	1300.749000	0.000	\N	2786811	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786811	\N	9999-12-31	9999-12-31	2013-05-08
326	18	Norwegian sea	INACTIVE	2004-06-18	2011-06-18	1671.330000	0.000	\N	2786855	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786855	\N	9999-12-31	9999-12-31	2013-05-08
327	18	Norwegian sea	ACTIVE	2004-06-18	2041-06-18	1201.715000	32.388	PRODUCTION	2786915	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786915	http://www.npd.no/FactMapSearch?NPDID_production_licence=2786915	9999-12-31	9999-12-31	2013-05-08
328	18	Norwegian sea	INACTIVE	2004-06-18	2011-06-18	819.131000	0.000	\N	2786957	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786957	\N	9999-12-31	9999-12-31	2013-05-08
329	18	Norwegian sea	INACTIVE	2004-06-18	2009-06-18	1226.625000	0.000	\N	2786994	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786994	\N	9999-12-31	9999-12-31	2013-05-08
330	18	Norwegian sea	ACTIVE	2004-06-18	2014-06-18	1222.483000	735.026	INITIAL EXTENDED	2787040	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787040	http://www.npd.no/FactMapSearch?NPDID_production_licence=2787040	9999-12-31	9999-12-31	2013-05-08
037 D	Awarded additionaly to round 2-A	North sea	ACTIVE	2004-06-08	2026-08-10	12.397000	12.397	PRODUCTION	2787322	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787322	http://www.npd.no/FactMapSearch?NPDID_production_licence=2787322	9999-12-31	9999-12-31	2013-05-08
088 BS	Awarded additionaly to round 8	North sea	ACTIVE	2003-03-21	2022-03-09	97.054000	61.753	PRODUCTION	2787418	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787418	http://www.npd.no/FactMapSearch?NPDID_production_licence=2787418	9999-12-31	9999-12-31	2013-05-08
159 B	Awarded additionaly to round 12 B	Norwegian sea	ACTIVE	2004-08-13	2029-03-03	77.444000	77.444	PRODUCTION	2819945	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2819945	http://www.npd.no/FactMapSearch?NPDID_production_licence=2819945	9999-12-31	9999-12-31	2013-05-08
331	TFO2004	North sea	INACTIVE	2004-12-17	2011-06-18	1694.550000	0.000	INITIAL EXTENDED	2986187	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986187	\N	9999-12-31	9999-12-31	2013-05-08
332	TFO2004	North sea	ACTIVE	2004-12-17	2014-12-17	565.894000	203.883	INITIAL EXTENDED	2986240	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986240	http://www.npd.no/FactMapSearch?NPDID_production_licence=2986240	2013-01-15	2013-04-03	2013-05-08
333	TFO2004	North sea	ACTIVE	2004-12-17	2027-07-08	66.326000	43.569	INITIAL EXTENDED	2986266	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986266	http://www.npd.no/FactMapSearch?NPDID_production_licence=2986266	2013-02-12	2013-02-26	2013-05-08
334	TFO2004	North sea	INACTIVE	2004-12-17	2008-03-17	850.252000	0.000	\N	2986306	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986306	\N	9999-12-31	9999-12-31	2013-05-08
335	TFO2004	North sea	INACTIVE	2004-12-17	2007-12-17	207.579000	0.000	\N	2986333	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986333	\N	9999-12-31	2012-06-20	2013-05-08
336	TFO2004	North sea	INACTIVE	2004-12-17	2006-12-17	460.918000	0.000	\N	2986364	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986364	\N	9999-12-31	9999-12-31	2013-05-08
337	TFO2004	North sea	INACTIVE	2004-12-17	2013-02-09	674.436000	0.000	INITIAL EXTENDED	2986484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	\N	2013-02-12	2013-02-13	2013-05-08
338	TFO2004	North sea	ACTIVE	2004-12-17	2013-12-17	218.119000	218.119	INITIAL EXTENDED	2986578	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986578	http://www.npd.no/FactMapSearch?NPDID_production_licence=2986578	2012-12-20	2012-12-20	2013-05-08
339	TFO2004	North sea	INACTIVE	2004-12-17	2009-12-17	270.152000	0.000	\N	2986606	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986606	\N	9999-12-31	9999-12-31	2013-05-08
340	TFO2004	North sea	ACTIVE	2004-12-17	2014-12-17	164.438000	44.046	INITIAL EXTENDED	2986630	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986630	http://www.npd.no/FactMapSearch?NPDID_production_licence=2986630	2012-12-13	2012-12-13	2013-05-08
341	TFO2004	North sea	INACTIVE	2004-12-17	2011-12-17	539.693000	0.000	\N	2986675	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986675	\N	2012-12-17	2012-12-17	2013-05-08
342	TFO2004	North sea	INACTIVE	2004-12-17	2006-12-17	125.078000	0.000	\N	2986721	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986721	\N	9999-12-31	9999-12-31	2013-05-08
343	TFO2004	North sea	INACTIVE	2004-12-17	2009-10-17	749.738000	0.000	\N	2986758	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986758	\N	9999-12-31	9999-12-31	2013-05-08
344	TFO2004	North sea	INACTIVE	2004-12-17	2010-12-07	260.548000	0.000	\N	2986805	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986805	\N	9999-12-31	9999-12-31	2013-05-08
345	TFO2004	North sea	INACTIVE	2004-12-17	2008-12-17	305.848000	0.000	\N	2986889	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986889	\N	9999-12-31	9999-12-31	2013-05-08
346	TFO2004	Norwegian sea	INACTIVE	2004-12-17	2006-12-17	313.884000	0.000	\N	2986958	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986958	\N	9999-12-31	9999-12-31	2013-05-08
347	TFO2004	Norwegian sea	INACTIVE	2004-12-17	2007-12-14	346.301000	0.000	\N	2986982	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986982	\N	9999-12-31	9999-12-31	2013-05-08
348	TFO2004	Norwegian sea	ACTIVE	2004-12-17	2014-12-17	207.727000	207.727	INITIAL EXTENDED	2987047	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987047	http://www.npd.no/FactMapSearch?NPDID_production_licence=2987047	2012-12-18	2012-12-18	2013-05-08
349	TFO2004	Norwegian sea	INACTIVE	2004-12-17	2006-12-17	438.106000	0.000	\N	2987098	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987098	\N	9999-12-31	2012-06-20	2013-05-08
350	TFO2004	Norwegian sea	INACTIVE	2004-12-17	2012-09-17	264.012000	0.000	INITIAL EXTENDED	2987133	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987133	\N	2012-10-12	2013-01-04	2013-05-08
351	TFO2004	Norwegian sea	INACTIVE	2004-12-17	2007-12-14	361.615000	0.000	\N	2987183	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987183	\N	9999-12-31	2012-06-21	2013-05-08
352	TFO2004	Norwegian sea	INACTIVE	2004-12-17	2008-10-08	233.390000	0.000	\N	2987228	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987228	\N	9999-12-31	2012-06-20	2013-05-08
353	TFO2004	Norwegian sea	INACTIVE	2004-12-17	2006-12-17	197.048000	0.000	\N	2987265	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987265	\N	9999-12-31	9999-12-31	2013-05-08
073 B	TFO2004	Norwegian sea	ACTIVE	2004-12-17	2029-12-31	16.169000	16.169	PRODUCTION	2987414	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987414	http://www.npd.no/FactMapSearch?NPDID_production_licence=2987414	9999-12-31	9999-12-31	2013-05-08
122 C	TFO2004	Norwegian sea	ACTIVE	2004-12-17	2025-02-28	5.622000	4.217	PRODUCTION	2987454	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987454	http://www.npd.no/FactMapSearch?NPDID_production_licence=2987454	9999-12-31	9999-12-31	2013-05-08
305 B	TFO2004	North sea	INACTIVE	2004-12-17	2008-12-02	15.837000	0.000	\N	2987480	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987480	\N	9999-12-31	9999-12-31	2013-05-08
311 B	TFO2004	North sea	INACTIVE	2004-12-17	2009-02-28	28.633000	0.000	\N	2987508	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987508	\N	9999-12-31	9999-12-31	2013-05-08
037 E	Awarded additionaly to round 2-A	North sea	ACTIVE	2004-12-10	2036-06-30	2.504000	2.504	PRODUCTION	3000656	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3000656	http://www.npd.no/FactMapSearch?NPDID_production_licence=3000656	9999-12-31	9999-12-31	2013-05-08
110 B	TFO2004	Barents sea	ACTIVE	2004-12-17	2014-12-17	1316.830000	478.616	INITIAL EXTENDED	3001885	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	http://www.npd.no/FactMapSearch?NPDID_production_licence=3001885	2012-11-07	2012-11-07	2013-05-08
212 C	Awarded additionaly to round 15	Norwegian sea	INACTIVE	2005-02-07	2010-01-01	114.232000	0.000	PRODUCTION	3371954	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3371954	\N	9999-12-31	9999-12-31	2013-05-08
090 B	Awarded additionaly to round 8	North sea	ACTIVE	2005-05-25	2024-03-09	21.660000	21.660	PRODUCTION	3426781	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3426781	http://www.npd.no/FactMapSearch?NPDID_production_licence=3426781	9999-12-31	9999-12-31	2013-05-08
090 C	Awarded additionaly to round 8	North sea	ACTIVE	2005-05-25	2024-03-09	21.663000	21.663	PRODUCTION	3426824	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3426824	http://www.npd.no/FactMapSearch?NPDID_production_licence=3426824	9999-12-31	9999-12-31	2013-05-08
048 C	Awarded additionaly to round 3	North sea	ACTIVE	2005-10-10	2013-02-18	13.287000	13.287	\N	3489506	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3489506	http://www.npd.no/FactMapSearch?NPDID_production_licence=3489506	2013-02-18	2013-02-18	2013-05-08
048 D	Awarded additionaly to round 3	North sea	ACTIVE	2005-10-10	2018-02-18	9.497000	9.497	PRODUCTION EXTENDED	3489553	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3489553	http://www.npd.no/FactMapSearch?NPDID_production_licence=3489553	2013-02-19	2013-02-19	2013-05-08
274 BS	Awarded additionaly to NST2001	North sea	INACTIVE	2005-12-13	2010-12-13	73.761000	0.000	\N	3809011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3809011	\N	9999-12-31	9999-12-31	2013-05-08
085 D	TFO2005	North sea	INACTIVE	2006-01-06	2008-01-01	97.304000	0.000	\N	3810164	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810164	\N	9999-12-31	9999-12-31	2013-05-08
354	TFO2005	North sea	INACTIVE	2006-01-06	2010-01-06	354.787000	0.000	\N	3810204	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810204	\N	9999-12-31	9999-12-31	2013-05-08
356	TFO2005	North sea	INACTIVE	2006-01-06	2013-01-06	670.287000	0.000	INITIAL EXTENDED	3810275	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810275	\N	2013-03-22	2013-04-11	2013-05-08
357	TFO2005	North sea	INACTIVE	2006-01-06	2008-01-07	355.986000	0.000	\N	3810310	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810310	\N	9999-12-31	9999-12-31	2013-05-08
358	TFO2005	North sea	INACTIVE	2006-01-06	2011-07-06	876.840000	0.000	INITIAL EXTENDED	3810338	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810338	\N	2013-01-07	2013-01-07	2013-05-08
359	TFO2005	North sea	ACTIVE	2006-01-06	2016-01-06	304.989000	304.989	INITIAL EXTENDED	3810373	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810373	http://www.npd.no/FactMapSearch?NPDID_production_licence=3810373	2012-11-01	2012-11-01	2013-05-08
360	TFO2005	North sea	ACTIVE	2006-01-06	2014-01-06	1561.802000	1561.802	INITIAL EXTENDED	3810387	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810387	http://www.npd.no/FactMapSearch?NPDID_production_licence=3810387	2013-01-04	2013-01-31	2013-05-08
361	TFO2005	North sea	INACTIVE	2006-01-06	2009-04-06	1619.932000	0.000	\N	3810510	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810510	\N	9999-12-31	9999-12-31	2013-05-08
362	TFO2005	North sea	ACTIVE	2006-01-06	2013-09-06	102.074000	102.074	INITIAL EXTENDED	3810565	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810565	http://www.npd.no/FactMapSearch?NPDID_production_licence=3810565	9999-12-31	2012-11-17	2013-05-08
363	TFO2005	North sea	INACTIVE	2006-01-06	2011-01-06	167.941000	0.000	\N	3810598	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810598	\N	9999-12-31	9999-12-31	2013-05-08
364	TFO2005	North sea	ACTIVE	2006-01-06	2019-01-06	104.386000	32.204	PRODUCTION	3810636	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	http://www.npd.no/FactMapSearch?NPDID_production_licence=3810636	2013-04-24	2013-04-25	2013-05-08
365	TFO2005	North sea	INACTIVE	2006-01-06	2007-12-18	181.608000	0.000	\N	3810693	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810693	\N	9999-12-31	9999-12-31	2013-05-08
366	TFO2005	North sea	INACTIVE	2006-01-06	2008-02-05	442.884000	0.000	\N	3810756	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810756	\N	9999-12-31	9999-12-31	2013-05-08
367 S	TFO2005	North sea	INACTIVE	2006-01-06	2007-12-18	244.365000	0.000	\N	3810797	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810797	\N	9999-12-31	9999-12-31	2013-05-08
368	TFO2005	North sea	INACTIVE	2006-01-06	2007-07-06	18.560000	0.000	\N	3810851	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810851	\N	9999-12-31	9999-12-31	2013-05-08
369	TFO2005	North sea	INACTIVE	2006-01-06	2011-01-06	1043.128000	0.000	INITIAL EXTENDED	3810875	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810875	\N	9999-12-31	2013-01-11	2013-05-08
370	TFO2005	North sea	ACTIVE	2006-01-06	2014-07-06	216.403000	162.350	INITIAL EXTENDED	3810959	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810959	http://www.npd.no/FactMapSearch?NPDID_production_licence=3810959	2013-04-30	2013-05-01	2013-05-08
371 S	TFO2005	North sea	INACTIVE	2006-01-06	2009-04-06	1504.100000	0.000	\N	3810996	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810996	\N	9999-12-31	9999-12-31	2013-05-08
372 S	TFO2005	North sea	INACTIVE	2006-01-06	2009-07-06	194.988000	0.000	INITIAL EXTENDED	3811092	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811092	\N	2013-01-07	2013-01-07	2013-05-08
373 S	TFO2005	North sea	ACTIVE	2006-01-06	2038-01-06	329.695000	329.695	PRODUCTION	3811116	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811116	http://www.npd.no/FactMapSearch?NPDID_production_licence=3811116	2013-05-07	2013-05-08	2013-05-08
374 S	TFO2005	North sea	ACTIVE	2006-01-06	2016-01-06	559.499000	104.884	INITIAL EXTENDED	3811171	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811171	http://www.npd.no/FactMapSearch?NPDID_production_licence=3811171	2013-04-30	2013-04-30	2013-05-08
375	TFO2005	North sea	ACTIVE	2006-01-06	2014-12-31	285.521000	285.521	INITIAL EXTENDED	3811214	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811214	http://www.npd.no/FactMapSearch?NPDID_production_licence=3811214	2013-01-01	2013-02-01	2013-05-08
376	TFO2005	North sea	INACTIVE	2006-01-06	2010-01-06	561.918000	0.000	\N	3811255	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811255	\N	9999-12-31	9999-12-31	2013-05-08
377 S	TFO2005	North sea	INACTIVE	2006-01-06	2012-07-06	127.588000	0.000	INITIAL EXTENDED	3811290	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811290	\N	2013-04-13	2013-04-17	2013-05-08
378	TFO2005	North sea	ACTIVE	2006-01-06	2016-01-06	625.613000	263.112	INITIAL EXTENDED	3811312	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811312	http://www.npd.no/FactMapSearch?NPDID_production_licence=3811312	2013-01-07	2013-01-29	2013-05-08
379	TFO2005	Norwegian sea	INACTIVE	2006-01-06	2010-01-05	271.956000	0.000	\N	3811357	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811357	\N	2013-01-06	2013-01-06	2013-05-08
380	TFO2005	Norwegian sea	INACTIVE	2006-01-06	2010-01-06	60.029000	0.000	\N	3811381	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811381	\N	9999-12-31	9999-12-31	2013-05-08
381	TFO2005	Norwegian sea	INACTIVE	2006-01-06	2009-02-06	116.186000	0.000	\N	3811409	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811409	\N	9999-12-31	9999-12-31	2013-05-08
382	TFO2005	Norwegian sea	INACTIVE	2006-01-06	2011-04-06	791.338000	0.000	INITIAL EXTENDED	3811444	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811444	\N	2013-01-07	2013-01-07	2013-05-08
383	TFO2005	Norwegian sea	INACTIVE	2006-01-06	2010-07-06	213.750000	0.000	\N	3811499	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811499	\N	2012-07-06	2012-07-06	2013-05-08
384	TFO2005	Norwegian sea	INACTIVE	2006-01-06	2008-04-01	148.700000	0.000	\N	3811564	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811564	\N	9999-12-31	2012-06-21	2013-05-08
385	TFO2005	Norwegian sea	ACTIVE	2006-01-06	2014-01-06	653.457000	132.969	INITIAL EXTENDED	3811602	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811602	http://www.npd.no/FactMapSearch?NPDID_production_licence=3811602	2013-01-07	2013-02-13	2013-05-08
386	TFO2005	Norwegian sea	INACTIVE	2006-01-06	2013-04-06	1062.048000	0.000	INITIAL EXTENDED	3811659	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811659	\N	2013-04-12	2013-04-23	2013-05-08
043 BS	Awarded additionaly to round 3	North sea	ACTIVE	2006-01-06	2027-12-31	17.309000	17.309	PRODUCTION EXTENDED	3811810	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811810	http://www.npd.no/FactMapSearch?NPDID_production_licence=3811810	2012-08-07	2012-08-07	2013-05-08
090 D	TFO2005	North sea	INACTIVE	2006-01-06	2010-01-06	25.049000	0.000	\N	3811847	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811847	\N	9999-12-31	9999-12-31	2013-05-08
091 C	TFO2005	Norwegian sea	INACTIVE	2006-01-06	2008-02-06	38.043000	0.000	\N	3811888	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811888	\N	9999-12-31	9999-12-31	2013-05-08
122 D	TFO2005	Norwegian sea	ACTIVE	2006-01-06	2025-02-28	7.028000	7.028	PRODUCTION	3811939	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811939	http://www.npd.no/FactMapSearch?NPDID_production_licence=3811939	9999-12-31	9999-12-31	2013-05-08
128 C	TFO2005	Norwegian sea	INACTIVE	2006-01-06	2007-01-06	68.295000	0.000	\N	3811967	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811967	\N	9999-12-31	9999-12-31	2013-05-08
134 C	TFO2005	Norwegian sea	ACTIVE	2006-01-06	2027-04-10	10.170000	10.170	PRODUCTION	3812006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812006	http://www.npd.no/FactMapSearch?NPDID_production_licence=3812006	9999-12-31	9999-12-31	2013-05-08
195 B	TFO2005	North sea	ACTIVE	2006-01-06	2030-10-10	16.573000	14.917	PRODUCTION	3812021	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812021	http://www.npd.no/FactMapSearch?NPDID_production_licence=3812021	9999-12-31	9999-12-31	2013-05-08
248 B	TFO2005	North sea	ACTIVE	2006-01-06	2035-06-04	48.010000	24.838	PRODUCTION	3812058	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812058	http://www.npd.no/FactMapSearch?NPDID_production_licence=3812058	9999-12-31	9999-12-31	2013-05-08
263 B	TFO2005	Norwegian sea	ACTIVE	2006-01-06	2037-05-12	4.385000	4.385	PRODUCTION	3812093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812093	http://www.npd.no/FactMapSearch?NPDID_production_licence=3812093	9999-12-31	9999-12-31	2013-05-08
277 B	TFO2005	North sea	INACTIVE	2006-01-06	2013-01-01	15.086000	0.000	PRODUCTION	3812131	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812131	\N	2013-01-03	2013-01-03	2013-05-08
355	TFO2005	North sea	INACTIVE	2006-01-06	2009-12-12	39.779000	0.000	\N	3812175	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812175	\N	9999-12-31	9999-12-31	2013-05-08
091 B	TFO2005	Norwegian sea	INACTIVE	2006-01-06	2009-10-06	20.526000	0.000	\N	3812205	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812205	\N	9999-12-31	9999-12-31	2013-05-08
387	19	Norwegian sea	INACTIVE	2006-04-28	2009-04-28	1797.177000	0.000	\N	3964986	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3964986	\N	9999-12-31	9999-12-31	2013-05-08
388	19	Norwegian sea	INACTIVE	2006-04-28	2011-10-28	1390.055000	0.000	INITIAL EXTENDED	3965088	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965088	\N	2013-04-29	2013-04-29	2013-05-08
389	19	Norwegian sea	INACTIVE	2006-04-28	2010-04-26	331.643000	0.000	\N	3965128	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965128	\N	9999-12-31	9999-12-31	2013-05-08
390	19	Norwegian sea	INACTIVE	2006-04-28	2011-04-28	1288.460000	0.000	\N	3965152	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965152	\N	2012-07-28	2012-07-28	2013-05-08
391	19	Norwegian sea	INACTIVE	2006-04-28	2010-01-28	424.012000	0.000	\N	3965194	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965194	\N	9999-12-31	9999-12-31	2013-05-08
392	19	Norwegian sea	INACTIVE	2006-04-28	2012-04-28	1654.813000	0.000	\N	3965222	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965222	\N	9999-12-31	9999-12-31	2013-05-08
393	19	Barents sea	ACTIVE	2006-04-28	2040-04-28	525.316000	112.798	PRODUCTION	3965277	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965277	http://www.npd.no/FactMapSearch?NPDID_production_licence=3965277	9999-12-31	9999-12-31	2013-05-08
394	19	Barents sea	INACTIVE	2006-04-28	2011-02-05	620.234000	0.000	\N	3965323	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965323	\N	9999-12-31	9999-12-31	2013-05-08
395	19	Barents sea	ACTIVE	2006-04-28	2014-04-28	917.400000	774.111	INITIAL EXTENDED	3965360	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965360	http://www.npd.no/FactMapSearch?NPDID_production_licence=3965360	2013-04-29	2013-04-29	2013-05-08
396	19	Barents sea	INACTIVE	2006-04-28	2012-10-28	611.600000	0.000	\N	3965404	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965404	\N	2012-12-04	2012-12-05	2013-05-08
397	19	Barents sea	INACTIVE	2006-04-28	2011-02-18	1852.068000	0.000	\N	3965439	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965439	\N	2013-04-28	2013-04-28	2013-05-08
110 C	19	Barents sea	ACTIVE	2006-04-28	2014-12-17	54.601000	17.491	INITIAL EXTENDED	3986340	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3986340	http://www.npd.no/FactMapSearch?NPDID_production_licence=3986340	2012-11-07	2012-11-07	2013-05-08
372 BS	19	Norwegian sea	INACTIVE	2006-04-28	2009-07-06	64.819000	0.000	INITIAL EXTENDED	3987486	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3987486	\N	2013-01-07	2013-01-07	2013-05-08
038 C	Awarded additionaly to NST2002	North sea	ACTIVE	2006-06-15	2021-04-01	25.584000	25.584	PRODUCTION	4005057	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4005057	http://www.npd.no/FactMapSearch?NPDID_production_licence=4005057	9999-12-31	9999-12-31	2013-05-08
046 B	Awarded additionaly to round 3	North sea	ACTIVE	2006-11-28	2028-12-31	14.461000	14.461	PRODUCTION	4227611	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4227611	http://www.npd.no/FactMapSearch?NPDID_production_licence=4227611	9999-12-31	9999-12-31	2013-05-08
046 BS	Awarded additionaly to round 3	North sea	ACTIVE	2006-11-28	2028-12-31	9.740000	9.740	PRODUCTION	4227659	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4227659	http://www.npd.no/FactMapSearch?NPDID_production_licence=4227659	9999-12-31	9999-12-31	2013-05-08
354 B	TFO2006	North sea	INACTIVE	2007-12-16	2010-01-06	17.235000	0.000	\N	4237131	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237131	\N	9999-12-31	9999-12-31	2013-05-08
399	TFO2006	North sea	INACTIVE	2007-02-16	2009-02-16	57.338000	0.000	\N	4237147	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237147	\N	2012-08-16	2012-08-16	2013-05-08
440 S	TFO2006	North sea	ACTIVE	2007-06-15	2015-06-15	387.758000	124.168	INITIAL	4237161	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237161	http://www.npd.no/FactMapSearch?NPDID_production_licence=4237161	2013-01-04	2013-01-04	2013-05-08
398 S	TFO2006	North sea	INACTIVE	2007-02-16	2009-02-16	387.758000	0.000	\N	4237177	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237177	\N	2013-02-16	2013-02-16	2013-05-08
402	TFO2006	North sea	ACTIVE	2007-02-16	2017-02-16	1413.637000	218.768	INITIAL EXTENDED	4237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	http://www.npd.no/FactMapSearch?NPDID_production_licence=4237193	2013-04-24	2013-04-24	2013-05-08
404	TFO2006	North sea	INACTIVE	2007-02-16	2012-08-16	1698.719000	0.000	INITIAL	4237207	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237207	\N	2012-10-12	2013-03-23	2013-05-08
401	TFO2006	North sea	INACTIVE	2007-02-16	2009-12-16	289.516000	0.000	\N	4237219	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237219	\N	2012-08-16	2012-08-16	2013-05-08
403	TFO2006	North sea	INACTIVE	2007-02-16	2008-02-16	244.950000	0.000	\N	4237233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237233	\N	2013-02-16	2013-02-16	2013-05-08
400	TFO2006	North sea	INACTIVE	2007-02-16	2012-02-16	322.520000	0.000	INITIAL EXTENDED	4237242	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237242	\N	2013-02-17	2013-02-17	2013-05-08
411	TFO2006	North sea	INACTIVE	2007-02-16	2012-05-16	1776.912000	0.000	INITIAL EXTENDED	4237252	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237252	\N	2013-02-17	2013-02-17	2013-05-08
441	TFO2006	North sea	INACTIVE	2007-06-15	2008-05-25	416.456000	0.000	INITIAL	4237270	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237270	\N	9999-12-31	9999-12-31	2013-05-08
405	TFO2006	North sea	ACTIVE	2007-02-16	2016-02-16	624.729000	624.729	INITIAL EXTENDED	4237284	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237284	http://www.npd.no/FactMapSearch?NPDID_production_licence=4237284	2013-02-20	2013-02-20	2013-05-08
407	TFO2006	North sea	ACTIVE	2007-02-16	2016-02-16	735.261000	202.027	INITIAL EXTENDED	4237300	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237300	http://www.npd.no/FactMapSearch?NPDID_production_licence=4237300	2013-04-09	2013-04-09	2013-05-08
406	TFO2006	North sea	ACTIVE	2007-02-16	2015-02-16	904.263000	115.109	INITIAL EXTENDED	4237318	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237318	http://www.npd.no/FactMapSearch?NPDID_production_licence=4237318	2013-04-09	2013-04-09	2013-05-08
316 B	TFO2006	North sea	ACTIVE	2007-02-16	2030-06-18	16.569000	16.569	PRODUCTION	4237334	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237334	http://www.npd.no/FactMapSearch?NPDID_production_licence=4237334	9999-12-31	9999-12-31	2013-05-08
408	TFO2006	North sea	INACTIVE	2007-02-16	2010-12-31	138.752000	0.000	\N	4237444	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237444	\N	9999-12-31	9999-12-31	2013-05-08
410	TFO2006	North sea	ACTIVE	2007-02-16	2015-02-16	244.381000	244.381	INITIAL EXTENDED	4237458	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237458	http://www.npd.no/FactMapSearch?NPDID_production_licence=4237458	9999-12-31	9999-12-31	2013-05-08
409	TFO2006	North sea	ACTIVE	2007-02-16	2015-02-16	407.283000	162.722	INITIAL EXTENDED	4237470	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237470	http://www.npd.no/FactMapSearch?NPDID_production_licence=4237470	2013-02-17	2013-02-17	2013-05-08
413	TFO2006	North sea	INACTIVE	2007-02-16	2010-08-16	188.161000	0.000	INITIAL EXTENDED	4237482	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237482	\N	9999-12-31	9999-12-31	2013-05-08
415	TFO2006	North sea	INACTIVE	2007-02-16	2009-02-16	271.891000	0.000	\N	4237498	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237498	\N	9999-12-31	9999-12-31	2013-05-08
442	TFO2006	North sea	ACTIVE	2007-06-15	2014-03-15	284.264000	284.264	INITIAL EXTENDED	4237510	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237510	http://www.npd.no/FactMapSearch?NPDID_production_licence=4237510	2012-12-16	2013-03-19	2013-05-08
414	TFO2006	North sea	ACTIVE	2007-02-16	2015-02-16	571.846000	415.688	INITIAL EXTENDED	4237582	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237582	http://www.npd.no/FactMapSearch?NPDID_production_licence=4237582	2013-03-22	2013-04-12	2013-05-08
412	TFO2006	North sea	INACTIVE	2007-02-16	2011-02-17	1005.104000	0.000	\N	4237612	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237612	\N	9999-12-31	9999-12-31	2013-05-08
417	TFO2006	North sea	INACTIVE	2007-02-16	2010-02-16	768.301000	0.000	\N	4237645	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237645	\N	9999-12-31	9999-12-31	2013-05-08
416	TFO2006	North sea	INACTIVE	2007-02-16	2012-02-16	512.269000	0.000	\N	4237675	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237675	\N	2013-02-16	2013-02-16	2013-05-08
423 S	TFO2006	North sea	INACTIVE	2007-02-16	2011-08-16	679.846000	0.000	INITIAL EXTENDED	4237691	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237691	\N	9999-12-31	9999-12-31	2013-05-08
445	TFO2006	North sea	INACTIVE	2007-06-15	2009-06-15	297.279000	0.000	\N	4237722	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237722	\N	2012-06-15	2012-06-15	2013-05-08
424	TFO2006	North sea	INACTIVE	2007-02-16	2009-08-16	695.253000	0.000	\N	4237756	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237756	\N	9999-12-31	9999-12-31	2013-05-08
425 S	TFO2006	North sea	INACTIVE	2007-02-16	2009-02-16	950.601000	0.000	\N	4237783	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	\N	9999-12-31	9999-12-31	2013-05-08
427 S	TFO2006	North sea	INACTIVE	2007-02-16	2009-04-16	483.249000	0.000	\N	4237809	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237809	\N	9999-12-31	9999-12-31	2013-05-08
443	TFO2006	North sea	INACTIVE	2007-06-15	2010-06-15	128.041000	0.000	INITIAL	4237831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237831	\N	9999-12-31	9999-12-31	2013-05-08
422 S	TFO2006	North sea	INACTIVE	2007-02-16	2009-02-16	221.674000	0.000	\N	4237847	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237847	\N	9999-12-31	9999-12-31	2013-05-08
444	TFO2006	North sea	INACTIVE	2007-06-15	2010-09-30	244.163000	0.000	INITIAL	4237881	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237881	\N	9999-12-31	2012-06-22	2013-05-08
050 D	TFO2006	North sea	ACTIVE	2007-02-16	2031-09-10	53.559000	53.560	PRODUCTION	4237912	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237912	http://www.npd.no/FactMapSearch?NPDID_production_licence=4237912	9999-12-31	2012-06-21	2013-05-08
426	TFO2006	North sea	INACTIVE	2007-02-16	2010-08-16	247.437000	0.000	\N	4238116	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238116	\N	9999-12-31	9999-12-31	2013-05-08
318 B	TFO2006	North sea	ACTIVE	2007-02-16	2014-06-18	108.028000	40.946	INITIAL EXTENDED	4238138	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238138	http://www.npd.no/FactMapSearch?NPDID_production_licence=4238138	2013-01-03	2013-01-03	2013-05-08
421	TFO2006	North sea	INACTIVE	2007-02-16	2009-02-16	175.021000	0.000	\N	4238186	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238186	\N	9999-12-31	9999-12-31	2013-05-08
418	TFO2006	North sea	ACTIVE	2007-02-16	2016-02-16	111.214000	111.214	INITIAL EXTENDED	4238348	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238348	http://www.npd.no/FactMapSearch?NPDID_production_licence=4238348	2013-04-30	2013-05-01	2013-05-08
420	TFO2006	North sea	ACTIVE	2007-02-16	2015-08-16	92.821000	92.821	INITIAL EXTENDED	4238409	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238409	http://www.npd.no/FactMapSearch?NPDID_production_licence=4238409	2012-11-13	2013-02-28	2013-05-08
419	TFO2006	North sea	INACTIVE	2007-02-16	2011-02-17	195.457000	0.000	\N	4238530	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238530	\N	9999-12-31	9999-12-31	2013-05-08
446	TFO2006	Norwegian sea	INACTIVE	2007-06-15	2009-06-15	169.263000	0.000	\N	4238548	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238548	\N	2012-06-15	2012-06-15	2013-05-08
430	TFO2006	Norwegian sea	INACTIVE	2007-02-16	2009-02-16	70.876000	0.000	\N	4238564	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238564	\N	9999-12-31	9999-12-31	2013-05-08
429	TFO2006	Norwegian sea	INACTIVE	2007-02-16	2012-02-16	456.260000	0.000	\N	4238578	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238578	\N	2013-02-16	2013-02-16	2013-05-08
428	TFO2006	Norwegian sea	INACTIVE	2007-02-16	2009-02-16	65.645000	0.000	\N	4238624	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238624	\N	9999-12-31	9999-12-31	2013-05-08
211 B	TFO2006	Norwegian sea	ACTIVE	2007-02-16	2032-02-02	97.640000	37.310	PRODUCTION	4238638	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238638	http://www.npd.no/FactMapSearch?NPDID_production_licence=4238638	2013-04-25	2013-04-25	2013-05-08
433	TFO2006	Norwegian sea	ACTIVE	2007-02-16	2015-02-16	79.540000	79.540	INITIAL EXTENDED	4238654	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238654	http://www.npd.no/FactMapSearch?NPDID_production_licence=4238654	2012-11-20	2012-11-20	2013-05-08
436	TFO2006	Norwegian sea	INACTIVE	2007-02-16	2010-02-16	162.999000	0.000	\N	4238670	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238670	\N	2013-02-16	2013-02-16	2013-05-08
212 D	TFO2006	Norwegian sea	INACTIVE	2007-02-16	2010-01-01	81.890000	0.000	\N	4238684	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238684	\N	9999-12-31	9999-12-31	2013-05-08
435	TFO2006	Norwegian sea	ACTIVE	2007-02-16	2015-02-16	242.949000	242.949	INITIAL EXTENDED	4238696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238696	http://www.npd.no/FactMapSearch?NPDID_production_licence=4238696	2013-02-08	2013-02-08	2013-05-08
431	TFO2006	Norwegian sea	INACTIVE	2007-02-16	2012-08-16	238.168000	0.000	INITIAL EXTENDED	4238714	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238714	\N	2012-10-12	2012-10-13	2013-05-08
434	TFO2006	Norwegian sea	INACTIVE	2007-02-16	2012-02-16	62.160000	0.000	\N	4238730	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238730	\N	2013-02-16	2013-02-16	2013-05-08
432	TFO2006	Norwegian sea	INACTIVE	2007-02-16	2010-02-16	415.040000	0.000	\N	4238746	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238746	\N	2013-02-16	2013-02-16	2013-05-08
447	TFO2006	Norwegian sea	INACTIVE	2007-06-15	2011-06-16	249.049000	0.000	INITIAL	4238758	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238758	\N	9999-12-31	9999-12-31	2013-05-08
437	TFO2006	Norwegian sea	INACTIVE	2007-02-16	2012-02-16	19.679000	0.000	\N	4238776	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238776	\N	2013-02-16	2013-02-16	2013-05-08
448	TFO2006	Barents sea	ACTIVE	2007-06-15	2016-06-15	288.034000	288.034	INITIAL	4238790	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238790	http://www.npd.no/FactMapSearch?NPDID_production_licence=4238790	2012-09-26	2012-09-26	2013-05-08
438	TFO2006	Barents sea	ACTIVE	2007-02-16	2015-02-16	461.661000	461.661	INITIAL EXTENDED	4238812	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238812	http://www.npd.no/FactMapSearch?NPDID_production_licence=4238812	2013-02-20	2013-02-20	2013-05-08
439	TFO2006	Barents sea	INACTIVE	2007-02-16	2012-12-16	211.795000	0.000	INITIAL EXTENDED	4238830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238830	\N	2013-02-17	2013-04-23	2013-05-08
449	TFO2006	Barents sea	INACTIVE	2007-06-15	2010-06-15	676.063000	0.000	INITIAL	4238846	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238846	\N	9999-12-31	9999-12-31	2013-05-08
050 DS	Awarded additionaly to round 3	North sea	ACTIVE	2006-10-06	2023-08-23	3.947000	3.947	PRODUCTION	4380141	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4380141	http://www.npd.no/FactMapSearch?NPDID_production_licence=4380141	9999-12-31	9999-12-31	2013-05-08
120 B	Awarded additionaly to round 10 B	North sea	ACTIVE	2006-10-06	2034-08-23	19.931000	19.931	PRODUCTION	4380181	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4380181	http://www.npd.no/FactMapSearch?NPDID_production_licence=4380181	9999-12-31	9999-12-31	2013-05-08
229 B	Awarded additionaly to round 15 X	Barents sea	ACTIVE	2007-04-27	2042-05-15	63.504000	1.113	PRODUCTION	4461754	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4461754	http://www.npd.no/FactMapSearch?NPDID_production_licence=4461754	2012-07-04	2012-07-04	2013-05-08
316 CS	Awarded additionaly to round 18	North sea	INACTIVE	2007-08-23	2010-06-18	1109.165000	0.000	\N	4480974	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4480974	\N	9999-12-31	9999-12-31	2013-05-08
316 DS	Awarded additionaly to round 18	North sea	INACTIVE	2007-08-23	2010-06-18	841.350000	0.000	\N	4481011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4481011	\N	9999-12-31	9999-12-31	2013-05-08
202	14	Barents sea	INACTIVE	1993-09-10	2008-01-01	1040.465000	0.000	\N	4705176	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	\N	9999-12-31	9999-12-31	2013-05-08
327 B	Awarded additionaly to round 18	Norwegian sea	ACTIVE	2007-12-07	2041-06-18	53.982000	27.004	PRODUCTION	4720054	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4720054	http://www.npd.no/FactMapSearch?NPDID_production_licence=4720054	9999-12-31	9999-12-31	2013-05-08
321 B	Awarded additionaly to round 18	Norwegian sea	INACTIVE	2007-12-07	2010-06-18	30.614000	0.000	\N	4720082	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4720082	\N	9999-12-31	9999-12-31	2013-05-08
274 CS	TFO2007	North sea	ACTIVE	2008-02-29	2039-09-15	18.816000	18.816	PRODUCTION	4909658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909658	http://www.npd.no/FactMapSearch?NPDID_production_licence=4909658	2012-09-14	2012-09-14	2013-05-08
006 D	TFO2007	North sea	INACTIVE	2008-02-29	2011-08-29	46.622000	0.000	\N	4909688	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909688	\N	9999-12-31	2012-06-21	2013-05-08
454	TFO2007	North sea	INACTIVE	2008-02-29	2010-03-01	507.976000	0.000	\N	4909716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909716	\N	2013-03-01	2013-03-01	2013-05-08
452	TFO2007	North sea	INACTIVE	2008-02-29	2009-08-29	115.303000	0.000	\N	4909740	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909740	\N	9999-12-31	9999-12-31	2013-05-08
450	TFO2007	North sea	ACTIVE	2008-02-29	2015-03-01	89.232000	89.232	INITIAL	4909784	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909784	http://www.npd.no/FactMapSearch?NPDID_production_licence=4909784	2013-03-22	2013-04-03	2013-05-08
455	TFO2007	North sea	ACTIVE	2008-02-29	2014-03-01	1364.706000	1364.706	INITIAL	4909816	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909816	http://www.npd.no/FactMapSearch?NPDID_production_licence=4909816	9999-12-31	2013-03-25	2013-05-08
453 S	TFO2007	North sea	ACTIVE	2008-02-29	2015-03-01	2122.201000	2122.201	INITIAL	4909893	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909893	http://www.npd.no/FactMapSearch?NPDID_production_licence=4909893	2013-01-04	2013-04-03	2013-05-08
451	TFO2007	North sea	INACTIVE	2008-02-29	2011-03-01	1014.941000	0.000	INITIAL	4910013	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910013	\N	9999-12-31	9999-12-31	2013-05-08
457	TFO2007	North sea	ACTIVE	2008-02-29	2015-03-01	53.437000	53.437	INITIAL	4910110	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910110	http://www.npd.no/FactMapSearch?NPDID_production_licence=4910110	9999-12-31	2012-06-21	2013-05-08
456	TFO2007	North sea	INACTIVE	2008-02-29	2009-02-28	390.190000	0.000	INITIAL	4910146	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910146	\N	9999-12-31	2012-10-24	2013-05-08
460	TFO2007	North sea	ACTIVE	2008-02-29	2015-03-01	250.562000	46.876	INITIAL EXTENDED	4910195	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910195	http://www.npd.no/FactMapSearch?NPDID_production_licence=4910195	2013-03-02	2013-03-02	2013-05-08
459	TFO2007	North sea	INACTIVE	2008-02-29	2010-03-01	33.266000	0.000	\N	4910251	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910251	\N	2013-03-01	2013-03-01	2013-05-08
458	TFO2007	North sea	INACTIVE	2008-02-29	2010-03-01	33.757000	0.000	\N	4910277	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910277	\N	2013-03-01	2013-03-01	2013-05-08
461	TFO2007	North sea	INACTIVE	2008-02-29	2010-03-01	1036.227000	0.000	INITIAL	4910313	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910313	\N	9999-12-31	2012-06-21	2013-05-08
462 S	TFO2007	North sea	INACTIVE	2008-02-29	2011-03-01	821.180000	0.000	INITIAL	4910350	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910350	\N	9999-12-31	2012-06-21	2013-05-08
463 S	TFO2007	North sea	INACTIVE	2008-02-29	2011-08-28	769.627000	0.000	INITIAL	4910414	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910414	\N	9999-12-31	2012-06-21	2013-05-08
465	TFO2007	North sea	INACTIVE	2008-02-29	2011-03-01	308.951000	0.000	INITIAL	4918009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918009	\N	9999-12-31	2012-06-21	2013-05-08
052 C	TFO2007	North sea	INACTIVE	2008-02-29	2011-03-01	12.321000	0.000	\N	4918046	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918046	\N	2013-02-28	2013-02-28	2013-05-08
464	TFO2007	North sea	INACTIVE	2008-02-29	2011-03-01	126.291000	0.000	INITIAL EXTENDED	4918076	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918076	\N	2013-03-02	2013-03-02	2013-05-08
344 B	TFO2007	North sea	INACTIVE	2008-02-29	2010-12-07	2.076000	0.000	\N	4918142	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918142	\N	9999-12-31	9999-12-31	2013-05-08
466 S	TFO2007	North sea	INACTIVE	2008-02-29	2010-03-01	491.286000	0.000	INITIAL	4918164	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918164	\N	9999-12-31	2012-06-21	2013-05-08
467 S	TFO2007	North sea	INACTIVE	2008-02-29	2010-08-29	316.572000	0.000	INITIAL EXTENDED	4918211	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918211	\N	2013-03-02	2013-03-02	2013-05-08
153 B	TFO2007	North sea	ACTIVE	2008-02-29	2028-07-08	6.630000	6.630	PRODUCTION	4918242	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918242	http://www.npd.no/FactMapSearch?NPDID_production_licence=4918242	9999-12-31	9999-12-31	2013-05-08
468	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2012-02-29	123.525000	0.000	\N	4918281	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918281	\N	2013-03-01	2013-03-01	2013-05-08
474	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2010-09-01	214.223000	0.000	INITIAL EXTENDED	4918303	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918303	\N	2013-03-01	2013-03-01	2013-05-08
472	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2010-03-01	98.617000	0.000	\N	4918367	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918367	\N	2013-02-28	2013-02-28	2013-05-08
475	TFO2007	Norwegian sea	ACTIVE	2008-02-29	2015-02-28	152.333000	152.333	INITIAL EXTENDED	4918410	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918410	http://www.npd.no/FactMapSearch?NPDID_production_licence=4918410	2013-02-13	2013-02-13	2013-05-08
405 B	TFO2007	North sea	ACTIVE	2008-02-29	2016-02-16	20.643000	20.643	INITIAL EXTENDED	4918473	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918473	http://www.npd.no/FactMapSearch?NPDID_production_licence=4918473	2013-02-20	2013-02-20	2013-05-08
471	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2013-02-28	410.122000	0.000	INITIAL	4918501	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918501	\N	2013-03-22	2013-03-22	2013-05-08
074 B	TFO2007	Norwegian sea	ACTIVE	2008-02-29	2027-04-10	5.875000	5.875	PRODUCTION	4918544	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918544	http://www.npd.no/FactMapSearch?NPDID_production_licence=4918544	9999-12-31	9999-12-31	2013-05-08
473	TFO2007	Norwegian sea	ACTIVE	2008-02-29	2015-03-01	14.739000	14.739	INITIAL EXTENDED	4920841	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920841	http://www.npd.no/FactMapSearch?NPDID_production_licence=4920841	2013-03-01	2013-03-01	2013-05-08
469	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2011-02-28	705.079000	0.000	\N	4920878	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920878	\N	2013-02-28	2013-02-28	2013-05-08
470	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2011-03-01	167.842000	0.000	\N	4920926	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920926	\N	9999-12-31	9999-12-31	2013-05-08
479	TFO2007	Norwegian sea	ACTIVE	2008-02-29	2015-03-01	15.929000	15.929	INITIAL EXTENDED	4920979	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920979	http://www.npd.no/FactMapSearch?NPDID_production_licence=4920979	2013-03-01	2013-03-01	2013-05-08
477	TFO2007	Norwegian sea	ACTIVE	2008-02-29	2015-03-01	142.304000	142.304	INITIAL	4921022	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921022	http://www.npd.no/FactMapSearch?NPDID_production_licence=4921022	2012-12-19	2013-03-27	2013-05-08
487 S	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2010-03-01	327.553000	0.000	\N	4921153	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921153	\N	2013-03-01	2013-03-01	2013-05-08
488	TFO2007	Barents sea	INACTIVE	2008-02-29	2012-11-19	650.635000	0.000	INITIAL	4921192	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921192	\N	2013-01-23	2013-01-25	2013-05-08
478	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2011-08-29	245.105000	0.000	INITIAL	4921207	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921207	\N	9999-12-31	2012-06-21	2013-05-08
480	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2010-03-01	41.758000	0.000	\N	4921338	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921338	\N	2013-02-28	2013-02-28	2013-05-08
490	TFO2007	Barents sea	ACTIVE	2008-02-29	2014-03-01	331.061000	331.061	INITIAL	4921353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921353	http://www.npd.no/FactMapSearch?NPDID_production_licence=4921353	2013-02-20	2013-04-24	2013-05-08
476	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2011-01-22	78.658000	0.000	\N	4921415	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921415	\N	9999-12-31	2012-06-21	2013-05-08
482	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2013-03-01	67.638000	0.000	INITIAL	4921474	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921474	\N	2013-04-13	2013-04-23	2013-05-08
489	TFO2007	Barents sea	ACTIVE	2008-02-29	2014-03-01	268.252000	268.252	INITIAL	4921522	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921522	http://www.npd.no/FactMapSearch?NPDID_production_licence=4921522	9999-12-31	9999-12-31	2013-05-08
481	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2013-03-01	303.238000	0.000	INITIAL	4921546	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921546	\N	2013-05-08	2013-05-08	2013-05-08
448 B	TFO2007	Barents sea	INACTIVE	2008-02-29	2010-09-15	124.811000	0.000	INITIAL	4921587	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921587	\N	9999-12-31	9999-12-31	2013-05-08
484	TFO2007	Norwegian sea	ACTIVE	2008-02-29	2016-02-28	171.920000	171.920	INITIAL EXTENDED	4921632	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921632	http://www.npd.no/FactMapSearch?NPDID_production_licence=4921632	2013-03-22	2013-04-12	2013-05-08
491	TFO2007	Barents sea	INACTIVE	2008-02-29	2011-03-01	151.282000	0.000	INITIAL	4921667	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921667	\N	9999-12-31	2012-06-20	2013-05-08
229 C	TFO2007	Barents sea	INACTIVE	2008-02-29	2009-02-28	22.117000	0.000	\N	4921701	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921701	\N	9999-12-31	2012-10-25	2013-05-08
485	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2011-02-28	138.897000	0.000	INITIAL EXTENDED	4921710	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921710	\N	2013-03-02	2013-03-02	2013-05-08
483 S	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2011-01-16	470.600000	0.000	\N	4921755	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921755	\N	2013-03-01	2013-03-01	2013-05-08
486 S	TFO2007	Norwegian sea	INACTIVE	2008-02-29	2010-03-01	621.202000	0.000	\N	4921823	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921823	\N	2013-03-01	2013-03-01	2013-05-08
492	TFO2007	Barents sea	ACTIVE	2008-02-29	2015-03-01	220.175000	220.175	INITIAL	4925088	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4925088	http://www.npd.no/FactMapSearch?NPDID_production_licence=4925088	2013-02-02	2013-02-02	2013-05-08
159 C	Awarded additionaly to round 12 B	Norwegian sea	ACTIVE	2008-02-13	2029-03-03	60.704000	60.704	PRODUCTION	4939362	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4939362	http://www.npd.no/FactMapSearch?NPDID_production_licence=4939362	9999-12-31	9999-12-31	2013-05-08
159 D	Awarded additionaly to round 12 B	Norwegian sea	ACTIVE	2008-02-13	2029-03-03	18.046000	18.046	PRODUCTION	4939421	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4939421	http://www.npd.no/FactMapSearch?NPDID_production_licence=4939421	9999-12-31	9999-12-31	2013-05-08
027 D	Awarded additionaly to round 1-A	North sea	ACTIVE	2007-12-07	2015-05-23	85.287000	58.061	PRODUCTION	4943160	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4943160	http://www.npd.no/FactMapSearch?NPDID_production_licence=4943160	9999-12-31	9999-12-31	2013-05-08
263 C	Awarded additionaly to round TFO2005	Norwegian sea	ACTIVE	2008-04-18	2037-05-12	1.274000	1.274	PRODUCTION	4966437	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4966437	http://www.npd.no/FactMapSearch?NPDID_production_licence=4966437	9999-12-31	9999-12-31	2013-05-08
212 E	Awarded additionaly to round 15	Norwegian sea	ACTIVE	2008-01-23	2033-02-02	42.311000	42.311	PRODUCTION	4966902	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4966902	http://www.npd.no/FactMapSearch?NPDID_production_licence=4966902	9999-12-31	9999-12-31	2013-05-08
301 B	Awarded additionaly to TFO2003	North sea	INACTIVE	2008-05-21	2011-06-13	22.294000	0.000	\N	4973175	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4973175	\N	9999-12-31	9999-12-31	2013-05-08
301 CS	Awarded additionaly to TFO2003	North sea	INACTIVE	2008-05-21	2012-06-12	93.898000	0.000	INITIAL EXTENDED	4973200	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4973200	\N	2012-09-12	2012-09-13	2013-05-08
036 D	Awarded additionaly to round 2-A	North sea	ACTIVE	2008-10-17	2021-06-11	19.191000	19.191	PRODUCTION	5081703	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5081703	http://www.npd.no/FactMapSearch?NPDID_production_licence=5081703	2012-10-02	2012-10-03	2013-05-08
035 B	Awarded additionaly to round 2-A	North sea	ACTIVE	2008-11-26	2015-11-14	25.881000	25.881	PRODUCTION	5105684	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105684	http://www.npd.no/FactMapSearch?NPDID_production_licence=5105684	9999-12-31	9999-12-31	2013-05-08
493	TFO2008	North sea	INACTIVE	2009-01-23	2012-01-23	118.613000	0.000	INITIAL	5105835	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105835	\N	9999-12-31	9999-12-31	2013-05-08
494	TFO2008	North sea	ACTIVE	2009-01-23	2016-07-23	215.496000	215.496	INITIAL	5105899	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105899	http://www.npd.no/FactMapSearch?NPDID_production_licence=5105899	2013-04-09	2013-04-10	2013-05-08
495	TFO2008	North sea	ACTIVE	2009-01-23	2015-07-23	1165.010000	1165.010	INITIAL	5105968	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105968	http://www.npd.no/FactMapSearch?NPDID_production_licence=5105968	2013-02-20	2013-02-20	2013-05-08
496	TFO2008	North sea	INACTIVE	2009-01-23	2011-03-08	10.488000	0.000	INITIAL	5106035	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106035	\N	9999-12-31	2012-06-21	2013-05-08
497	TFO2008	North sea	ACTIVE	2009-01-23	2016-01-23	47.678000	47.678	INITIAL	5106073	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106073	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106073	2013-04-30	2013-05-01	2013-05-08
498	TFO2008	North sea	ACTIVE	2009-01-23	2015-01-23	278.160000	278.160	INITIAL	5106134	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106134	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106134	2013-02-07	2013-02-26	2013-05-08
499 S	TFO2008	North sea	INACTIVE	2009-01-23	2011-07-23	685.537000	0.000	INITIAL	5106238	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106238	\N	9999-12-31	2012-06-21	2013-05-08
500	TFO2008	North sea	ACTIVE	2009-01-23	2017-01-23	33.818000	33.818	INITIAL	5106274	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106274	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106274	2012-06-09	2013-03-19	2013-05-08
501	TFO2008	North sea	ACTIVE	2009-01-23	2015-01-23	709.383000	709.383	INITIAL	5106314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106314	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106314	9999-12-31	9999-12-31	2013-05-08
502	TFO2008	North sea	ACTIVE	2009-01-23	2016-01-23	32.269000	32.269	INITIAL EXTENDED	5106378	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106378	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106378	9999-12-31	9999-12-31	2013-05-08
503	TFO2008	North sea	ACTIVE	2009-01-23	2017-01-23	977.806000	977.806	INITIAL	5106405	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106405	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106405	2013-02-07	2013-02-07	2013-05-08
504	TFO2008	North sea	ACTIVE	2009-01-23	2014-01-23	12.313000	12.313	INITIAL	5106455	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106455	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106455	2012-11-09	2012-11-09	2013-05-08
505	TFO2008	North sea	ACTIVE	2009-01-23	2016-10-23	169.295000	169.295	INITIAL	5106486	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106486	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106486	9999-12-31	2013-01-16	2013-05-08
506 S	TFO2008	North sea	ACTIVE	2009-01-23	2016-01-23	1051.742000	1051.742	INITIAL	5106544	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106544	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106544	2013-01-09	2013-01-10	2013-05-08
518	TFO2008	Barents sea	INACTIVE	2009-01-23	2013-01-23	429.064000	0.000	INITIAL	5106560	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106560	\N	2013-03-22	2013-03-22	2013-05-08
507	TFO2008	North sea	ACTIVE	2009-01-23	2015-01-23	1003.419000	1003.419	INITIAL	5106689	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106689	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106689	2013-02-20	2013-05-08	2013-05-08
508 S	TFO2008	North sea	INACTIVE	2009-01-23	2012-01-23	773.487000	0.000	INITIAL	5106810	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106810	\N	9999-12-31	9999-12-31	2013-05-08
509 S	TFO2008	North sea	ACTIVE	2009-01-23	2016-01-23	859.220000	859.220	INITIAL	5106880	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106880	2013-02-20	2013-03-19	2013-05-08
510	TFO2008	Norwegian sea	ACTIVE	2009-01-23	2016-01-23	301.482000	301.482	INITIAL	5106991	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106991	http://www.npd.no/FactMapSearch?NPDID_production_licence=5106991	2013-02-15	2013-02-16	2013-05-08
517	TFO2008	Barents sea	INACTIVE	2009-01-23	2012-01-23	53.053000	0.000	INITIAL	5107074	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107074	\N	9999-12-31	9999-12-31	2013-05-08
516	TFO2008	Norwegian sea	ACTIVE	2009-01-23	2026-02-28	18.145000	2.790	PRODUCTION	5107101	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107101	http://www.npd.no/FactMapSearch?NPDID_production_licence=5107101	9999-12-31	9999-12-31	2013-05-08
515	TFO2008	Norwegian sea	INACTIVE	2009-01-23	2012-04-23	284.992000	0.000	INITIAL	5107133	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107133	\N	2012-12-04	2012-12-05	2013-05-08
514	TFO2008	Norwegian sea	INACTIVE	2009-01-23	2011-01-22	318.652000	0.000	INITIAL	5107175	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107175	\N	9999-12-31	2012-06-26	2013-05-08
513	TFO2008	Norwegian sea	ACTIVE	2009-01-23	2015-07-23	411.590000	411.590	INITIAL	5107217	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107217	http://www.npd.no/FactMapSearch?NPDID_production_licence=5107217	2012-12-13	2013-04-06	2013-05-08
432 B	TFO2008	Norwegian sea	INACTIVE	2009-01-23	2010-02-16	81.623000	0.000	\N	5107289	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107289	\N	2013-02-16	2013-02-16	2013-05-08
512	TFO2008	Norwegian sea	ACTIVE	2009-01-23	2017-07-23	469.903000	469.903	INITIAL	5107312	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107312	http://www.npd.no/FactMapSearch?NPDID_production_licence=5107312	9999-12-31	2012-06-26	2013-05-08
107 B	TFO2008	Norwegian sea	ACTIVE	2009-01-23	2015-01-23	11.949000	11.949	INITIAL	5107376	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107376	http://www.npd.no/FactMapSearch?NPDID_production_licence=5107376	9999-12-31	9999-12-31	2013-05-08
511	TFO2008	Norwegian sea	ACTIVE	2009-01-23	2015-01-23	458.445000	458.445	INITIAL	5107428	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107428	http://www.npd.no/FactMapSearch?NPDID_production_licence=5107428	2013-02-20	2013-02-20	2013-05-08
292 B	TFO2008	North sea	ACTIVE	2009-01-23	2026-04-01	5.573000	4.268	PRODUCTION	5107501	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107501	http://www.npd.no/FactMapSearch?NPDID_production_licence=5107501	9999-12-31	9999-12-31	2013-05-08
465 B	TFO2008	North sea	INACTIVE	2009-01-23	2011-03-01	40.411000	0.000	INITIAL	5107561	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107561	\N	9999-12-31	2012-06-21	2013-05-08
193 B	TFO2008	North sea	ACTIVE	2009-01-23	2031-09-10	5.002000	5.002	PRODUCTION	5107611	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107611	http://www.npd.no/FactMapSearch?NPDID_production_licence=5107611	9999-12-31	2012-06-21	2013-05-08
472 B	TFO2008	Norwegian sea	INACTIVE	2009-01-23	2010-03-01	28.038000	0.000	\N	5107640	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107640	\N	2013-03-01	2013-03-01	2013-05-08
475 BS	TFO2008	Norwegian sea	ACTIVE	2009-01-23	2016-02-28	38.043000	38.043	INITIAL	5107669	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107669	http://www.npd.no/FactMapSearch?NPDID_production_licence=5107669	2013-03-22	2013-03-22	2013-05-08
402 B	TFO2008	North sea	ACTIVE	2009-01-23	2017-02-16	28.182000	28.182	INITIAL EXTENDED	5107780	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107780	http://www.npd.no/FactMapSearch?NPDID_production_licence=5107780	2013-04-24	2013-04-24	2013-05-08
107 C	TFO2008	Norwegian sea	ACTIVE	2009-01-23	2017-01-23	20.965000	20.965	INITIAL	5115394	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5115394	http://www.npd.no/FactMapSearch?NPDID_production_licence=5115394	2012-12-11	2012-12-11	2013-05-08
519	20	Norwegian sea	ACTIVE	2009-05-15	2013-05-15	527.123000	527.123	INITIAL	5463084	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463084	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463084	2013-02-20	2013-02-20	2013-05-08
318 C	20	Norwegian sea	ACTIVE	2009-05-15	2014-06-18	19.456000	19.456	INITIAL EXTENDED	5463114	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463114	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463114	2012-06-19	2012-06-19	2013-05-08
520	20	Norwegian sea	ACTIVE	2009-05-15	2017-05-15	2980.408000	2980.408	INITIAL	5463136	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463136	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463136	2013-01-04	2013-01-04	2013-05-08
521	20	Norwegian sea	ACTIVE	2009-05-15	2015-05-15	1070.300000	1070.300	INITIAL	5463210	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463210	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463210	9999-12-31	9999-12-31	2013-05-08
522	20	Norwegian sea	ACTIVE	2009-05-15	2015-05-15	2049.896000	2049.896	INITIAL	5463248	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463248	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463248	9999-12-31	9999-12-31	2013-05-08
523	20	Norwegian sea	INACTIVE	2009-05-15	2012-05-15	839.790000	0.000	INITIAL	5463304	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463304	\N	2012-07-04	2012-07-05	2013-05-08
524	20	Norwegian sea	INACTIVE	2009-05-15	2012-05-15	433.628000	0.000	INITIAL	5463333	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463333	\N	9999-12-31	9999-12-31	2013-05-08
525	20	Norwegian sea	ACTIVE	2009-05-15	2015-05-15	823.272000	823.272	INITIAL	5463362	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463362	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463362	2013-01-04	2013-01-05	2013-05-08
526	20	Norwegian sea	ACTIVE	2009-05-15	2014-05-15	1127.766000	1127.766	INITIAL	5463391	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463391	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463391	2012-09-07	2012-09-07	2013-05-08
527	20	Norwegian sea	ACTIVE	2009-05-15	2017-05-15	3609.306000	3609.306	INITIAL	5463429	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463429	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463429	9999-12-31	9999-12-31	2013-05-08
528	20	Norwegian sea	ACTIVE	2009-05-15	2015-05-15	1201.716000	1201.716	INITIAL	5463521	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463521	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463521	2013-04-10	2013-04-10	2013-05-08
529	20	Barents sea	ACTIVE	2009-05-15	2016-05-15	676.040000	676.040	INITIAL	5463559	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463559	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463559	9999-12-31	9999-12-31	2013-05-08
530	20	Barents sea	INACTIVE	2009-05-15	2013-03-12	332.876000	0.000	INITIAL	5463588	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463588	\N	2013-03-22	2013-03-22	2013-05-08
531	20	Barents sea	ACTIVE	2009-05-15	2014-05-15	956.196000	956.196	INITIAL	5463621	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463621	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463621	2012-12-01	2012-12-01	2013-05-08
532	20	Barents sea	ACTIVE	2009-05-15	2018-05-15	1563.518000	1563.518	INITIAL	5463659	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463659	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463659	9999-12-31	9999-12-31	2013-05-08
533	20	Barents sea	ACTIVE	2009-05-15	2014-05-15	637.464000	637.464	INITIAL	5463724	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463724	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463724	9999-12-31	9999-12-31	2013-05-08
534	20	Barents sea	ACTIVE	2009-05-15	2015-05-15	947.588000	947.588	INITIAL	5463753	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463753	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463753	9999-12-31	9999-12-31	2013-05-08
535	20	Barents sea	ACTIVE	2009-05-15	2014-05-15	611.600000	611.600	INITIAL	5463791	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463791	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463791	2013-01-09	2013-01-09	2013-05-08
536	20	Barents sea	INACTIVE	2009-05-15	2012-11-15	637.464000	0.000	INITIAL	5463820	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463820	\N	2013-01-23	2013-01-24	2013-05-08
537	20	Barents sea	ACTIVE	2009-05-15	2014-05-15	594.294000	594.294	INITIAL	5463849	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463849	http://www.npd.no/FactMapSearch?NPDID_production_licence=5463849	2013-02-20	2013-02-20	2013-05-08
102 C	Awarded additionaly to round 9	North sea	ACTIVE	2009-03-20	2025-03-01	114.953000	114.953	PRODUCTION	5467035	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5467035	http://www.npd.no/FactMapSearch?NPDID_production_licence=5467035	9999-12-31	9999-12-31	2013-05-08
169 C	Awarded additionaly to round 13	North sea	ACTIVE	2009-03-27	2030-03-01	26.387000	8.790	PRODUCTION	5479914	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5479914	http://www.npd.no/FactMapSearch?NPDID_production_licence=5479914	2012-11-09	2012-11-09	2013-05-08
538	20	Norwegian sea	INACTIVE	2009-05-15	2012-05-15	403.344000	0.000	INITIAL	5480294	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5480294	\N	9999-12-31	9999-12-31	2013-05-08
019 D	Awarded additionaly to round 1-A	North sea	ACTIVE	2009-01-16	2018-09-01	12.291000	7.562	PRODUCTION EXTENDED	5488531	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5488531	http://www.npd.no/FactMapSearch?NPDID_production_licence=5488531	9999-12-31	9999-12-31	2013-05-08
299 B	Awarded additionaly to round 17 A	North sea	INACTIVE	2009-01-16	2010-01-01	57.043000	0.000	\N	5488567	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5488567	\N	9999-12-31	9999-12-31	2013-05-08
038 D	20	North sea	ACTIVE	2009-05-15	2021-04-01	32.728000	32.728	PRODUCTION	5500999	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5500999	http://www.npd.no/FactMapSearch?NPDID_production_licence=5500999	9999-12-31	9999-12-31	2013-05-08
539	TFO2009	North sea	ACTIVE	2010-02-19	2017-02-19	190.919000	190.919	INITIAL	17320077	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320077	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320077	9999-12-31	2013-04-03	2013-05-08
540	TFO2009	North sea	INACTIVE	2010-02-19	2011-08-19	218.964000	0.000	INITIAL	17320106	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320106	\N	9999-12-31	2012-08-15	2013-05-08
541	TFO2009	North sea	ACTIVE	2010-02-19	2016-02-19	263.654000	263.654	INITIAL	17320130	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320130	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320130	9999-12-31	9999-12-31	2013-05-08
542	TFO2009	North sea	ACTIVE	2010-02-19	2015-02-19	60.322000	60.322	INITIAL	17320156	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320156	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320156	2013-02-20	2013-02-20	2013-05-08
331 C	TFO2009	North sea	INACTIVE	2010-02-19	2011-06-18	20.694000	0.000	INITIAL	17320176	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320176	\N	9999-12-31	9999-12-31	2013-05-08
497 B	TFO2009	North sea	ACTIVE	2010-02-19	2016-01-23	22.410000	22.410	INITIAL	17320202	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320202	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320202	2013-04-30	2013-05-01	2013-05-08
543	TFO2009	North sea	INACTIVE	2010-02-19	2012-11-19	5.434000	0.000	INITIAL	17320231	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320231	\N	2013-02-08	2013-02-09	2013-05-08
544	TFO2009	North sea	ACTIVE	2010-02-19	2016-02-19	255.725000	255.725	INITIAL	17320260	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320260	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320260	2012-12-13	2013-04-12	2013-05-08
545	TFO2009	North sea	INACTIVE	2010-02-19	2012-02-19	1539.239000	0.000	INITIAL	17320282	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320282	\N	9999-12-31	9999-12-31	2013-05-08
546	TFO2009	North sea	ACTIVE	2010-02-19	2018-02-19	418.540000	418.540	INITIAL	17320338	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320338	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320338	2013-03-23	2013-03-23	2013-05-08
169 D	TFO2009	North sea	ACTIVE	2010-02-19	2030-03-01	8.834000	8.834	PRODUCTION	17320383	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320383	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320383	9999-12-31	9999-12-31	2013-05-08
340 BS	TFO2009	North sea	ACTIVE	2010-02-19	2014-12-17	61.727000	21.171	Missing info. about phase	17320421	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320421	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320421	2012-12-13	2012-12-13	2013-05-08
547 S	TFO2009	North sea	INACTIVE	2010-02-19	2012-02-19	168.983000	0.000	INITIAL	17320441	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320441	\N	9999-12-31	2012-06-22	2013-05-08
504 BS	TFO2009	North sea	ACTIVE	2010-02-19	2014-01-23	5.273000	5.273	INITIAL	17320469	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320469	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320469	9999-12-31	9999-12-31	2013-05-08
548 S	TFO2009	North sea	INACTIVE	2010-02-19	2012-02-19	173.068000	0.000	INITIAL	17320489	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320489	\N	2012-07-04	2012-08-04	2013-05-08
505 BS	TFO2009	North sea	ACTIVE	2010-02-19	2016-10-23	32.480000	32.480	INITIAL	17320530	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320530	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320530	9999-12-31	9999-12-31	2013-05-08
549 S	TFO2009	North sea	ACTIVE	2010-02-19	2018-02-19	271.891000	271.891	INITIAL	17320558	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320558	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320558	9999-12-31	2012-12-19	2013-05-08
550	TFO2009	North sea	ACTIVE	2010-02-19	2016-02-19	468.956000	468.956	INITIAL	17320594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320594	http://www.npd.no/FactMapSearch?NPDID_production_licence=17320594	2013-02-20	2013-02-21	2013-05-08
551	TFO2009	North sea	ACTIVE	2010-02-19	2016-02-19	100.655000	100.655	INITIAL	17642019	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17642019	http://www.npd.no/FactMapSearch?NPDID_production_licence=17642019	2013-02-20	2013-02-21	2013-05-08
090 E	TFO2009	North sea	ACTIVE	2010-02-19	2024-03-09	15.078000	15.078	PRODUCTION	17642079	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17642079	http://www.npd.no/FactMapSearch?NPDID_production_licence=17642079	9999-12-31	9999-12-31	2013-05-08
552	TFO2009	North sea	ACTIVE	2010-02-19	2014-02-19	67.892000	67.892	INITIAL	17642108	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17642108	http://www.npd.no/FactMapSearch?NPDID_production_licence=17642108	9999-12-31	2013-04-24	2013-05-08
553	TFO2009	North sea	ACTIVE	2010-02-19	2016-02-19	237.956000	237.956	INITIAL	17646365	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17646365	http://www.npd.no/FactMapSearch?NPDID_production_licence=17646365	2013-03-22	2013-04-13	2013-05-08
554	TFO2009	North sea	ACTIVE	2010-02-19	2016-02-19	156.150000	156.150	INITIAL	17654471	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654471	http://www.npd.no/FactMapSearch?NPDID_production_licence=17654471	2013-03-19	2013-03-19	2013-05-08
423 BS	TFO2009	North sea	INACTIVE	2010-02-19	2011-08-16	55.555000	0.000	INITIAL EXTENDED	17654498	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654498	\N	9999-12-31	9999-12-31	2013-05-08
555	TFO2009	North sea	ACTIVE	2010-02-19	2016-02-19	193.229000	193.229	INITIAL	17654533	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654533	http://www.npd.no/FactMapSearch?NPDID_production_licence=17654533	9999-12-31	2012-06-22	2013-05-08
556	TFO2009	Norwegian sea	INACTIVE	2010-02-19	2011-02-19	117.356000	0.000	INITIAL	17654560	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654560	\N	9999-12-31	2013-03-19	2013-05-08
093 B	TFO2009	Norwegian sea	ACTIVE	2010-02-19	2014-02-19	2.985000	2.985	INITIAL EXTENDED	17654585	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654585	http://www.npd.no/FactMapSearch?NPDID_production_licence=17654585	2013-02-20	2013-02-20	2013-05-08
312 B	TFO2009	Norwegian sea	ACTIVE	2010-02-19	2013-12-12	5.939000	5.939	INITIAL EXTENDED	17654614	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654614	http://www.npd.no/FactMapSearch?NPDID_production_licence=17654614	2013-01-21	2013-01-21	2013-05-08
557	TFO2009	Norwegian sea	ACTIVE	2010-02-19	2019-02-19	397.775000	397.775	INITIAL	17654641	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654641	http://www.npd.no/FactMapSearch?NPDID_production_licence=17654641	2013-02-08	2013-04-25	2013-05-08
477 B	TFO2009	Norwegian sea	ACTIVE	2010-02-19	2015-03-01	18.838000	18.838	INITIAL	17654703	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654703	http://www.npd.no/FactMapSearch?NPDID_production_licence=17654703	2012-12-19	2012-12-19	2013-05-08
558	TFO2009	Norwegian sea	ACTIVE	2010-02-19	2016-02-19	145.854000	145.854	INITIAL	17654732	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654732	http://www.npd.no/FactMapSearch?NPDID_production_licence=17654732	2013-01-16	2013-01-16	2013-05-08
559	TFO2009	Norwegian sea	ACTIVE	2010-02-19	2016-02-19	343.153000	343.153	INITIAL	17654775	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654775	http://www.npd.no/FactMapSearch?NPDID_production_licence=17654775	2013-01-18	2013-01-18	2013-05-08
560	TFO2009	Norwegian sea	INACTIVE	2010-02-19	2011-02-19	33.399000	0.000	INITIAL	17654831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654831	\N	9999-12-31	2012-06-22	2013-05-08
561	TFO2009	Norwegian sea	INACTIVE	2010-02-19	2013-02-19	410.194000	0.000	INITIAL	17654869	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654869	\N	2013-04-03	2013-04-23	2013-05-08
562	TFO2009	Norwegian sea	ACTIVE	2010-02-19	2017-02-19	796.472000	796.472	INITIAL	17654921	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654921	http://www.npd.no/FactMapSearch?NPDID_production_licence=17654921	2013-01-04	2013-04-24	2013-05-08
518 B	TFO2009	Barents sea	INACTIVE	2010-02-19	2013-01-23	113.615000	0.000	INITIAL	17654970	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654970	\N	2013-03-22	2013-03-22	2013-05-08
563	TFO2009	Barents sea	ACTIVE	2010-02-19	2017-02-19	276.557000	276.557	INITIAL	17655034	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17655034	http://www.npd.no/FactMapSearch?NPDID_production_licence=17655034	2013-01-04	2013-04-24	2013-05-08
564	TFO2009	Barents sea	ACTIVE	2010-02-19	2017-02-19	272.720000	272.720	INITIAL	17655076	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17655076	http://www.npd.no/FactMapSearch?NPDID_production_licence=17655076	2012-12-19	2013-02-13	2013-05-08
028 S	Awarded additionaly to round 2-A	North sea	ACTIVE	2009-11-13	2030-03-01	24.773000	24.773	PRODUCTION	18054740	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18054740	http://www.npd.no/FactMapSearch?NPDID_production_licence=18054740	2012-08-29	2012-08-29	2013-05-08
043 CS	Awarded additionaly to round 3	North sea	ACTIVE	2010-05-12	2027-12-31	1.607000	1.607	PRODUCTION	18116800	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18116800	http://www.npd.no/FactMapSearch?NPDID_production_licence=18116800	9999-12-31	9999-12-31	2013-05-08
043 DS	Awarded additionaly to round 3	North sea	ACTIVE	2010-05-12	2027-12-31	1.276000	1.276	PRODUCTION	18116829	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18116829	http://www.npd.no/FactMapSearch?NPDID_production_licence=18116829	9999-12-31	9999-12-31	2013-05-08
330 B	Awarded additionaly to round 18	Norwegian sea	INACTIVE	2010-10-22	2011-06-01	487.457000	0.000	INITIAL	18403842	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18403842	\N	9999-12-31	9999-12-31	2013-05-08
393 B	Awarded additionaly to round 19	Barents sea	ACTIVE	2010-09-10	2013-09-10	73.461000	73.461	INITIAL	18404594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18404594	http://www.npd.no/FactMapSearch?NPDID_production_licence=18404594	9999-12-31	9999-12-31	2013-05-08
048 E	Awarded additionaly to round 3	North sea	ACTIVE	2010-12-09	2028-12-31	17.966000	17.966	PRODUCTION	18450020	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18450020	http://www.npd.no/FactMapSearch?NPDID_production_licence=18450020	9999-12-31	9999-12-31	2013-05-08
565	TFO2010	North sea	ACTIVE	2011-02-04	2018-08-04	38.895000	38.895	INITIAL	20088435	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088435	http://www.npd.no/FactMapSearch?NPDID_production_licence=20088435	2013-02-08	2013-04-03	2013-05-08
566 S	TFO2010	North sea	ACTIVE	2011-02-04	2019-02-04	530.423000	530.423	INITIAL	20088461	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088461	http://www.npd.no/FactMapSearch?NPDID_production_licence=20088461	2013-01-03	2013-04-03	2013-05-08
494 B	TFO2010	North sea	ACTIVE	2011-02-04	2016-07-23	22.871000	22.871	INITIAL	20088555	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088555	http://www.npd.no/FactMapSearch?NPDID_production_licence=20088555	2013-04-09	2013-04-10	2013-05-08
567	TFO2010	North sea	ACTIVE	2011-02-04	2019-02-04	389.226000	389.226	INITIAL	20088593	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088593	http://www.npd.no/FactMapSearch?NPDID_production_licence=20088593	2013-02-13	2013-04-03	2013-05-08
301 D	TFO2010	North sea	ACTIVE	2011-02-04	2013-12-12	5.601000	5.601	INITIAL EXTENDED	20088622	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088622	http://www.npd.no/FactMapSearch?NPDID_production_licence=20088622	9999-12-31	2013-03-19	2013-05-08
568	TFO2010	North sea	ACTIVE	2011-02-04	2017-02-04	476.429000	476.429	INITIAL	20088760	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088760	http://www.npd.no/FactMapSearch?NPDID_production_licence=20088760	9999-12-31	2012-06-21	2013-05-08
360 B	TFO2010	North sea	ACTIVE	2011-02-04	2014-01-06	81.819000	81.819	INITIAL	20107847	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107847	http://www.npd.no/FactMapSearch?NPDID_production_licence=20107847	2013-01-04	2013-01-04	2013-05-08
569	TFO2010	North sea	ACTIVE	2011-02-04	2015-02-04	14.427000	14.427	INITIAL	20107876	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107876	http://www.npd.no/FactMapSearch?NPDID_production_licence=20107876	9999-12-31	9999-12-31	2013-05-08
503 B	TFO2010	North sea	ACTIVE	2011-02-04	2017-01-23	432.702000	432.702	INITIAL	20107903	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107903	http://www.npd.no/FactMapSearch?NPDID_production_licence=20107903	2013-02-07	2013-02-07	2013-05-08
501 B	TFO2010	North sea	ACTIVE	2011-02-04	2015-01-23	85.988000	85.988	INITIAL	20107950	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107950	http://www.npd.no/FactMapSearch?NPDID_production_licence=20107950	9999-12-31	9999-12-31	2013-05-08
570	TFO2010	North sea	ACTIVE	2011-02-04	2018-02-04	107.922000	107.922	INITIAL	20107979	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107979	http://www.npd.no/FactMapSearch?NPDID_production_licence=20107979	9999-12-31	2013-03-19	2013-05-08
571	TFO2010	North sea	ACTIVE	2011-02-04	2017-02-04	132.448000	132.448	INITIAL	20108024	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108024	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108024	9999-12-31	2013-02-26	2013-05-08
150 B	TFO2010	North sea	ACTIVE	2011-02-04	2016-08-04	29.888000	8.466	INITIAL EXTENDED	20108072	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108072	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108072	2012-11-29	2013-01-16	2013-05-08
506 BS	TFO2010	North sea	ACTIVE	2011-02-04	2016-01-23	520.058000	520.058	INITIAL	20108101	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108101	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108101	2013-01-09	2013-01-10	2013-05-08
506 CS	TFO2010	North sea	ACTIVE	2011-02-04	2016-01-23	1051.742000	1051.742	INITIAL	20108128	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108128	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108128	2013-01-09	2013-01-10	2013-05-08
572 S	TFO2010	North sea	INACTIVE	2011-02-04	2012-02-04	1036.227000	0.000	INITIAL	20108160	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108160	\N	2012-06-09	2013-01-16	2013-05-08
573 S	TFO2010	North sea	ACTIVE	2011-02-04	2018-02-04	271.891000	271.891	INITIAL	20108194	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108194	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108194	9999-12-31	2013-02-26	2013-05-08
574	TFO2010	North sea	ACTIVE	2011-02-04	2020-02-04	461.676000	461.676	INITIAL	20108260	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108260	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108260	2013-02-13	2013-02-25	2013-05-08
575	TFO2010	North sea	INACTIVE	2011-02-04	2013-02-04	73.243000	0.000	INITIAL	20108314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108314	\N	2013-03-23	2013-03-24	2013-05-08
576	TFO2010	North sea	INACTIVE	2011-02-04	2013-02-04	51.164000	0.000	INITIAL	20108349	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108349	\N	2013-04-03	2013-04-04	2013-05-08
309 B	TFO2010	North sea	ACTIVE	2011-02-04	2031-03-01	26.989000	26.989	PRODUCTION	20108378	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108378	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108378	2012-12-13	2012-12-13	2013-05-08
193 C	TFO2010	North sea	ACTIVE	2011-02-04	2031-09-10	50.109000	50.109	PRODUCTION	20108409	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108409	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108409	2012-07-04	2012-07-04	2013-05-08
378 B	TFO2010	North sea	ACTIVE	2011-02-04	2013-01-06	25.049000	25.049	\N	20108440	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108440	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108440	2013-01-16	2013-01-29	2013-05-08
577	TFO2010	North sea	ACTIVE	2011-02-04	2018-02-04	618.903000	618.903	INITIAL	20108473	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108473	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108473	2013-02-20	2013-02-20	2013-05-08
554 B	TFO2010	North sea	ACTIVE	2011-02-04	2016-02-19	24.750000	24.750	INITIAL	20108509	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108509	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108509	2013-03-19	2013-03-19	2013-05-08
377 BS	TFO2010	North sea	INACTIVE	2011-02-04	2012-07-06	14.894000	0.000	INITIAL	20108534	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108534	\N	2013-04-13	2013-04-13	2013-05-08
578	TFO2010	North sea	ACTIVE	2011-02-04	2019-02-04	492.619000	492.619	INITIAL	20108565	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108565	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108565	9999-12-31	2012-06-21	2013-05-08
375 B	TFO2010	North sea	ACTIVE	2011-02-04	2014-12-31	151.081000	151.081	INITIAL EXTENDED	20108600	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108600	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108600	2013-01-01	2013-01-01	2013-05-08
370 B	TFO2010	North sea	ACTIVE	2011-02-04	2014-07-06	29.555000	9.850	INITIAL EXTENDED	20108642	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108642	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108642	2013-04-30	2013-05-01	2013-05-08
579	TFO2010	North sea	ACTIVE	2011-02-04	2017-02-04	179.491000	179.491	INITIAL	20108664	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108664	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108664	9999-12-31	2012-06-26	2013-05-08
580	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2019-02-04	1201.773000	1201.773	INITIAL	20108700	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108700	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108700	9999-12-31	2012-06-21	2013-05-08
581	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2019-02-04	725.045000	725.045	INITIAL	20108743	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108743	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108743	2013-01-09	2013-01-09	2013-05-08
582	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2019-02-04	452.779000	452.779	INITIAL	20108820	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108820	http://www.npd.no/FactMapSearch?NPDID_production_licence=20108820	2013-01-03	2013-01-03	2013-05-08
468 B	TFO2010	Norwegian sea	INACTIVE	2011-02-04	2012-02-29	268.676000	0.000	\N	20108859	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108859	\N	2013-03-01	2013-03-01	2013-05-08
583	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2019-02-04	1021.400000	1021.400	INITIAL	20109004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109004	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109004	2013-02-20	2013-02-21	2013-05-08
584	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2019-02-04	971.547000	971.547	INITIAL	20109082	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109082	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109082	9999-12-31	9999-12-31	2013-05-08
585	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2018-02-04	717.647000	717.647	INITIAL	20109152	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109152	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109152	9999-12-31	2013-02-12	2013-05-08
586	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2017-02-04	287.366000	287.366	INITIAL	20109200	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109200	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109200	9999-12-31	2013-03-26	2013-05-08
587	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2018-02-04	62.621000	62.621	INITIAL	20109234	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109234	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109234	9999-12-31	2012-06-21	2013-05-08
348 B	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2014-12-17	13.472000	13.472	Missing info. about phase	20109261	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109261	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109261	2012-12-18	2012-12-18	2013-05-08
588	TFO2010	Norwegian sea	INACTIVE	2011-02-04	2012-02-04	79.065000	0.000	INITIAL	20109294	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109294	\N	2012-12-04	2012-12-05	2013-05-08
589	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2017-02-04	57.515000	57.515	INITIAL	20109325	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109325	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109325	9999-12-31	2012-06-21	2013-05-08
475 CS	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2016-02-28	17.579000	17.579	INITIAL	20109375	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109375	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109375	2013-03-22	2013-03-22	2013-05-08
590	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2016-02-04	120.960000	120.960	INITIAL	20109438	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109438	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109438	9999-12-31	2013-04-11	2013-05-08
591	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2017-02-04	206.542000	206.542	INITIAL	20109475	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109475	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109475	2013-02-20	2013-04-06	2013-05-08
592	TFO2010	Norwegian sea	ACTIVE	2011-02-04	2018-02-04	188.975000	188.975	INITIAL	20109566	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109566	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109566	9999-12-31	2013-03-27	2013-05-08
593	TFO2010	Norwegian sea	INACTIVE	2011-02-04	2013-02-04	22.487000	0.000	INITIAL	20109597	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109597	\N	2013-03-22	2013-04-24	2013-05-08
594	TFO2010	Barents sea	INACTIVE	2011-02-04	2013-02-04	195.879000	0.000	INITIAL	20109626	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109626	\N	2013-03-22	2013-04-24	2013-05-08
595	TFO2010	Barents sea	ACTIVE	2011-02-04	2019-02-04	646.060000	646.060	INITIAL	20109655	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109655	http://www.npd.no/FactMapSearch?NPDID_production_licence=20109655	9999-12-31	2012-06-21	2013-05-08
596	21	Norwegian sea	ACTIVE	2011-05-13	2020-05-13	3184.272000	3184.272	INITIAL	20428440	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428440	http://www.npd.no/FactMapSearch?NPDID_production_licence=20428440	2013-02-20	2013-02-20	2013-05-08
597	21	Norwegian sea	ACTIVE	2011-05-13	2016-05-13	428.120000	428.120	INITIAL	20428525	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428525	http://www.npd.no/FactMapSearch?NPDID_production_licence=20428525	9999-12-31	2012-06-26	2013-05-08
599	21	Norwegian sea	ACTIVE	2011-05-13	2016-05-13	1976.960000	1976.960	INITIAL	20428552	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428552	http://www.npd.no/FactMapSearch?NPDID_production_licence=20428552	2013-01-04	2013-01-04	2013-05-08
600	21	Norwegian sea	ACTIVE	2011-05-13	2016-05-13	809.580000	809.580	INITIAL	20428617	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428617	http://www.npd.no/FactMapSearch?NPDID_production_licence=20428617	9999-12-31	2013-04-13	2013-05-08
598	21	Norwegian sea	ACTIVE	2011-05-13	2018-05-13	1654.812000	1654.812	INITIAL	20428655	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428655	http://www.npd.no/FactMapSearch?NPDID_production_licence=20428655	9999-12-31	2012-06-21	2013-05-08
601	21	Norwegian sea	ACTIVE	2011-05-13	2017-05-13	814.988000	814.988	INITIAL	20428711	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428711	http://www.npd.no/FactMapSearch?NPDID_production_licence=20428711	2013-01-09	2013-01-09	2013-05-08
602	21	Norwegian sea	ACTIVE	2011-05-13	2017-05-13	519.093000	519.093	INITIAL	20428749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428749	http://www.npd.no/FactMapSearch?NPDID_production_licence=20428749	2013-01-09	2013-01-09	2013-05-08
603	21	Norwegian sea	ACTIVE	2011-05-13	2017-05-13	525.177000	525.177	INITIAL	20428814	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428814	http://www.npd.no/FactMapSearch?NPDID_production_licence=20428814	9999-12-31	2012-09-27	2013-05-08
218 B	21	Norwegian sea	ACTIVE	2011-05-13	2041-02-02	39.126000	22.925	PRODUCTION	20428874	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428874	http://www.npd.no/FactMapSearch?NPDID_production_licence=20428874	2013-01-03	2013-01-03	2013-05-08
524 B	21	Norwegian sea	INACTIVE	2011-05-13	2012-05-15	28.356000	0.000	INITIAL	20428934	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428934	\N	9999-12-31	9999-12-31	2013-05-08
528 B	21	Norwegian sea	ACTIVE	2011-05-13	2015-05-15	48.252000	48.252	INITIAL	20428963	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428963	http://www.npd.no/FactMapSearch?NPDID_production_licence=20428963	2013-04-10	2013-04-10	2013-05-08
604	21	Norwegian sea	ACTIVE	2011-05-13	2017-05-13	1596.744000	1596.744	INITIAL	20428990	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428990	http://www.npd.no/FactMapSearch?NPDID_production_licence=20428990	9999-12-31	9999-12-31	2013-05-08
605	21	Barents sea	ACTIVE	2011-05-13	2017-05-13	646.060000	646.060	INITIAL	20429042	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429042	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429042	9999-12-31	9999-12-31	2013-05-08
606	21	Barents sea	ACTIVE	2011-05-13	2017-05-13	917.400000	917.400	INITIAL	20429078	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429078	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429078	2013-01-04	2013-01-04	2013-05-08
607	21	Barents sea	ACTIVE	2011-05-13	2015-05-13	943.284000	943.284	INITIAL	20429121	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429121	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429121	9999-12-31	9999-12-31	2013-05-08
608	21	Barents sea	ACTIVE	2011-05-13	2016-05-13	314.428000	314.428	INITIAL	20429159	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429159	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429159	9999-12-31	9999-12-31	2013-05-08
609	21	Barents sea	ACTIVE	2011-05-13	2017-05-13	1180.617000	1180.617	INITIAL	20429186	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429186	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429186	9999-12-31	2012-06-21	2013-05-08
610	21	Barents sea	ACTIVE	2011-05-13	2017-05-13	402.530000	402.530	INITIAL	20429259	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429259	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429259	2013-02-20	2013-02-20	2013-05-08
611	21	Barents sea	ACTIVE	2011-05-13	2017-05-13	2153.551000	2153.551	INITIAL	20429303	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429303	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429303	9999-12-31	9999-12-31	2013-05-08
226 B	21	Barents sea	ACTIVE	2011-05-13	2015-11-13	209.070000	209.070	INITIAL	20429377	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429377	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429377	9999-12-31	9999-12-31	2013-05-08
613	21	Barents sea	ACTIVE	2011-05-13	2017-05-13	602.952000	602.952	INITIAL	20429419	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429419	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429419	9999-12-31	9999-12-31	2013-05-08
612	21	Barents sea	ACTIVE	2011-05-13	2018-05-13	891.441000	891.441	INITIAL	20429462	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429462	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429462	9999-12-31	9999-12-31	2013-05-08
614	21	Barents sea	ACTIVE	2011-05-13	2017-05-13	594.294000	594.294	INITIAL	20429507	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429507	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429507	9999-12-31	9999-12-31	2013-05-08
615	21	Barents sea	ACTIVE	2011-05-13	2016-05-13	1153.880000	1153.880	INITIAL	20429544	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429544	http://www.npd.no/FactMapSearch?NPDID_production_licence=20429544	9999-12-31	9999-12-31	2013-05-08
303 B	Awarded additionaly to round 17 A	North sea	ACTIVE	2011-05-27	2013-12-12	3.608000	3.608	INITIAL EXTENDED	20499620	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20499620	http://www.npd.no/FactMapSearch?NPDID_production_licence=20499620	2013-03-12	2013-03-12	2013-05-08
309 C	Awarded additionaly to round 17 A	North sea	ACTIVE	2011-10-06	2031-03-01	184.747000	184.747	PRODUCTION	21104663	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21104663	http://www.npd.no/FactMapSearch?NPDID_production_licence=21104663	2012-12-13	2012-12-13	2013-05-08
107 D	Awarded additionaly to round 9	Norwegian sea	ACTIVE	2011-10-31	2021-03-01	26.858000	26.858	PRODUCTION	21124705	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21124705	http://www.npd.no/FactMapSearch?NPDID_production_licence=21124705	9999-12-31	9999-12-31	2013-05-08
169 E	Awarded additionaly to round 13	North sea	ACTIVE	2011-11-04	2030-03-01	19.385000	19.385	PRODUCTION	21124742	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21124742	http://www.npd.no/FactMapSearch?NPDID_production_licence=21124742	9999-12-31	9999-12-31	2013-05-08
018 DS	Awarded additionaly to round 1-A	North sea	ACTIVE	2011-11-29	2028-12-31	24.028000	24.028	PRODUCTION	21139552	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21139552	http://www.npd.no/FactMapSearch?NPDID_production_licence=21139552	2013-04-09	2013-04-09	2013-05-08
193 D	Awarded additionaly to round 14	North sea	ACTIVE	2011-12-21	2031-09-10	78.138000	78.138	PRODUCTION	21349950	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21349950	http://www.npd.no/FactMapSearch?NPDID_production_licence=21349950	9999-12-31	9999-12-31	2013-05-08
046 C	Awarded additionaly to round 3	North sea	ACTIVE	2011-12-21	2028-12-31	9.928000	9.928	PRODUCTION	21350140	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21350140	http://www.npd.no/FactMapSearch?NPDID_production_licence=21350140	9999-12-31	9999-12-31	2013-05-08
072 C	Awarded additionaly to round 6	North sea	ACTIVE	2011-12-21	2028-12-31	21.666000	21.666	PRODUCTION	21350207	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21350207	http://www.npd.no/FactMapSearch?NPDID_production_licence=21350207	9999-12-31	9999-12-31	2013-05-08
659	TFO2011	Barents sea	ACTIVE	2012-02-03	2020-02-03	1462.416000	1462.416	INITIAL	21558636	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558636	http://www.npd.no/FactMapSearch?NPDID_production_licence=21558636	2013-02-20	2013-02-20	2013-05-08
658	TFO2011	Barents sea	ACTIVE	2012-02-03	2021-02-03	808.640000	808.640	INITIAL	21558820	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558820	http://www.npd.no/FactMapSearch?NPDID_production_licence=21558820	9999-12-31	9999-12-31	2013-05-08
657	TFO2011	Barents sea	ACTIVE	2012-02-03	2019-02-03	431.301000	431.301	INITIAL	21558872	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558872	http://www.npd.no/FactMapSearch?NPDID_production_licence=21558872	9999-12-31	9999-12-31	2013-05-08
656	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2020-02-03	1145.381000	1145.381	INITIAL	21558940	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558940	http://www.npd.no/FactMapSearch?NPDID_production_licence=21558940	9999-12-31	9999-12-31	2013-05-08
655	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2019-02-03	346.127000	346.127	INITIAL	21558998	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558998	http://www.npd.no/FactMapSearch?NPDID_production_licence=21558998	9999-12-31	9999-12-31	2013-05-08
654	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2019-02-03	132.668000	132.668	INITIAL	21559027	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559027	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559027	9999-12-31	9999-12-31	2013-05-08
653	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2020-02-03	407.192000	407.192	INITIAL	21559076	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559076	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559076	9999-12-31	9999-12-31	2013-05-08
652	TFO2011	Norwegian sea	INACTIVE	2012-02-03	2013-02-03	33.363000	0.000	INITIAL	21559103	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559103	\N	2013-04-03	2013-04-24	2013-05-08
651	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2021-02-03	1337.942000	1337.942	INITIAL	21559146	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559146	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559146	2013-02-20	2013-02-20	2013-05-08
650	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2019-02-03	140.075000	140.075	INITIAL	21559201	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559201	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559201	9999-12-31	9999-12-31	2013-05-08
035 C	TFO2011	North sea	ACTIVE	2012-02-03	2022-11-14	13.662000	13.662	INITIAL EXTENDED	21559372	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559372	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559372	2013-03-19	2013-03-19	2013-05-08
046 D	TFO2011	North sea	ACTIVE	2012-02-03	2028-12-31	36.337000	36.337	PRODUCTION	21559399	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559399	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559399	2013-02-05	2013-02-05	2013-05-08
639	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2020-02-03	602.357000	602.357	INITIAL	21559426	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559426	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559426	2013-02-20	2013-02-21	2013-05-08
640	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2020-02-03	1258.990000	1258.990	INITIAL	21559488	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559488	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559488	9999-12-31	9999-12-31	2013-05-08
641	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2019-02-03	573.541000	573.541	INITIAL	21559540	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559540	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559540	9999-12-31	9999-12-31	2013-05-08
642	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2019-02-03	427.386000	427.386	INITIAL	21559610	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559610	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559610	2013-02-20	2013-02-20	2013-05-08
644	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2020-02-03	275.062000	275.062	INITIAL	21559648	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559648	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559648	9999-12-31	2012-06-21	2013-05-08
645	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2018-02-03	151.953000	151.953	INITIAL	21559709	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559709	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559709	9999-12-31	9999-12-31	2013-05-08
646	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2019-02-03	68.866000	68.866	INITIAL	21559761	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559761	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559761	2013-01-04	2013-01-04	2013-05-08
647	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2019-02-03	230.810000	230.810	INITIAL	21559805	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559805	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559805	9999-12-31	9999-12-31	2013-05-08
648 S	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2019-02-03	384.010000	384.010	INITIAL	21559877	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559877	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559877	9999-12-31	9999-12-31	2013-05-08
649	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2019-02-03	1032.805000	1032.805	INITIAL	21559950	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559950	http://www.npd.no/FactMapSearch?NPDID_production_licence=21559950	9999-12-31	2012-06-21	2013-05-08
619	TFO2011	North sea	ACTIVE	2012-02-03	2020-02-03	335.714000	335.714	INITIAL	21560040	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560040	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560040	2013-02-20	2013-02-20	2013-05-08
495 B	TFO2011	North sea	ACTIVE	2012-02-03	2015-07-23	99.979000	99.979	INITIAL	21560089	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560089	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560089	2013-02-20	2013-02-20	2013-05-08
620	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	296.098000	296.098	INITIAL	21560115	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560115	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560115	2013-01-04	2013-04-03	2013-05-08
621	TFO2011	North sea	INACTIVE	2012-02-03	2013-02-03	27.560000	0.000	INITIAL	21560157	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560157	\N	2013-04-03	2013-04-04	2013-05-08
622	TFO2011	North sea	ACTIVE	2012-02-03	2020-02-03	386.565000	386.565	INITIAL	21560182	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560182	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560182	9999-12-31	2012-06-21	2013-05-08
623	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	144.733000	144.733	INITIAL	21560239	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560239	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560239	9999-12-31	2012-06-26	2013-05-08
506 DS	TFO2011	North sea	ACTIVE	2012-02-03	2018-02-03	1051.742000	1051.742	INITIAL	21560284	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560284	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560284	2013-01-09	2013-01-10	2013-05-08
624	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	521.399000	521.399	INITIAL	21560318	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560318	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560318	2013-01-04	2013-01-04	2013-05-08
625	TFO2011	North sea	ACTIVE	2012-02-03	2017-02-03	30.182000	30.182	INITIAL	21560380	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560380	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560380	9999-12-31	2012-06-20	2013-05-08
626	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	202.262000	202.262	INITIAL	21560418	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560418	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560418	2013-02-20	2013-02-20	2013-05-08
513 B	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2015-01-23	30.010000	30.010	INITIAL	21560453	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560453	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560453	9999-12-31	9999-12-31	2013-05-08
627	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	458.705000	458.705	INITIAL	21560469	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560469	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560469	9999-12-31	2012-06-21	2013-05-08
628	TFO2011	North sea	ACTIVE	2012-02-03	2018-02-03	631.775000	631.775	INITIAL	21560616	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560616	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560616	9999-12-31	2012-06-21	2013-05-08
629	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	84.505000	84.505	INITIAL	21560683	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560683	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560683	9999-12-31	2012-06-21	2013-05-08
630	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	317.808000	317.808	INITIAL	21560745	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560745	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560745	2013-04-30	2013-05-01	2013-05-08
631	TFO2011	North sea	ACTIVE	2012-02-03	2018-02-03	147.839000	147.839	INITIAL	21560844	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560844	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560844	9999-12-31	9999-12-31	2013-05-08
557 B	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2019-02-19	27.830000	27.830	INITIAL	21560889	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560889	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560889	2013-02-08	2013-02-08	2013-05-08
632	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	85.386000	85.386	INITIAL	21560912	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560912	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560912	2013-04-30	2013-05-01	2013-05-08
633	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	1048.093000	1048.093	INITIAL	21560982	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560982	http://www.npd.no/FactMapSearch?NPDID_production_licence=21560982	9999-12-31	9999-12-31	2013-05-08
634	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	377.212000	377.212	INITIAL	21561057	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561057	http://www.npd.no/FactMapSearch?NPDID_production_licence=21561057	2013-01-04	2013-01-04	2013-05-08
635	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	358.350000	358.350	INITIAL	21561115	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561115	http://www.npd.no/FactMapSearch?NPDID_production_licence=21561115	9999-12-31	9999-12-31	2013-05-08
636	TFO2011	North sea	ACTIVE	2012-02-03	2017-02-03	454.834000	454.834	INITIAL	21561151	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561151	http://www.npd.no/FactMapSearch?NPDID_production_licence=21561151	2013-02-20	2013-02-20	2013-05-08
637	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	422.474000	422.474	INITIAL	21561194	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561194	http://www.npd.no/FactMapSearch?NPDID_production_licence=21561194	9999-12-31	9999-12-31	2013-05-08
638	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	597.567000	597.567	INITIAL	21561239	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561239	http://www.npd.no/FactMapSearch?NPDID_production_licence=21561239	9999-12-31	9999-12-31	2013-05-08
597 B	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2016-05-13	146.463000	146.463	INITIAL	21561308	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561308	http://www.npd.no/FactMapSearch?NPDID_production_licence=21561308	9999-12-31	9999-12-31	2013-05-08
643	TFO2011	Norwegian sea	ACTIVE	2012-02-03	2019-02-03	407.303000	407.303	INITIAL	21561387	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561387	http://www.npd.no/FactMapSearch?NPDID_production_licence=21561387	9999-12-31	9999-12-31	2013-05-08
609 B	TFO2011	Barents sea	ACTIVE	2012-02-03	2017-05-13	80.264000	80.264	INITIAL	21561445	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561445	http://www.npd.no/FactMapSearch?NPDID_production_licence=21561445	9999-12-31	9999-12-31	2013-05-08
616	TFO2011	North sea	ACTIVE	2012-02-03	2019-08-03	332.981000	332.981	INITIAL	21561481	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561481	http://www.npd.no/FactMapSearch?NPDID_production_licence=21561481	2013-01-04	2013-01-04	2013-05-08
617	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	111.714000	111.714	INITIAL	21561629	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561629	http://www.npd.no/FactMapSearch?NPDID_production_licence=21561629	9999-12-31	9999-12-31	2013-05-08
618	TFO2011	North sea	ACTIVE	2012-02-03	2019-02-03	605.688000	605.688	INITIAL	21561689	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561689	http://www.npd.no/FactMapSearch?NPDID_production_licence=21561689	9999-12-31	9999-12-31	2013-05-08
102 E	TFO2011	North sea	ACTIVE	2012-02-03	2025-03-01	5.240000	5.240	PRODUCTION	21568578	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568578	http://www.npd.no/FactMapSearch?NPDID_production_licence=21568578	2013-02-04	2013-02-04	2013-05-08
102 D	TFO2011	North sea	ACTIVE	2012-02-03	2025-03-01	85.636000	85.636	PRODUCTION	21568785	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568785	http://www.npd.no/FactMapSearch?NPDID_production_licence=21568785	2013-02-04	2013-02-04	2013-05-08
104 B	TFO2011	North sea	ACTIVE	2012-02-03	2013-02-03	37.587000	37.587	\N	21568959	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568959	http://www.npd.no/FactMapSearch?NPDID_production_licence=21568959	2013-02-03	2013-02-03	2013-05-08
193 E	TFO2011	North sea	ACTIVE	2012-02-03	2031-09-10	18.289000	18.289	PRODUCTION	21568992	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568992	http://www.npd.no/FactMapSearch?NPDID_production_licence=21568992	2013-04-30	2013-05-01	2013-05-08
350 B	TFO2011	Norwegian sea	INACTIVE	2012-02-03	2012-09-17	18.470000	0.000	INITIAL	21569025	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569025	\N	2012-10-12	2012-10-13	2013-05-08
375 C	TFO2011	North sea	ACTIVE	2012-02-03	2014-12-31	27.970000	27.970	INITIAL	21569065	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569065	http://www.npd.no/FactMapSearch?NPDID_production_licence=21569065	9999-12-31	9999-12-31	2013-05-08
414 B	TFO2011	North sea	ACTIVE	2012-02-03	2015-02-16	51.268000	51.268	INITIAL	21569107	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569107	http://www.npd.no/FactMapSearch?NPDID_production_licence=21569107	2013-03-22	2013-03-22	2013-05-08
494 C	TFO2011	North sea	ACTIVE	2012-02-03	2016-07-23	3.812000	3.812	INITIAL	21569178	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569178	http://www.npd.no/FactMapSearch?NPDID_production_licence=21569178	2013-04-09	2013-04-10	2013-05-08
050 ES	Awarded additionaly to round 3	North sea	ACTIVE	2012-04-11	2031-09-10	63.949000	63.949	PRODUCTION	21668200	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668200	http://www.npd.no/FactMapSearch?NPDID_production_licence=21668200	2013-03-19	2013-03-19	2013-05-08
050 FS	Awarded additionaly to round 3	North sea	ACTIVE	2012-04-11	2031-09-10	2.091000	2.091	PRODUCTION	21668235	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668235	http://www.npd.no/FactMapSearch?NPDID_production_licence=21668235	2013-03-19	2013-03-19	2013-05-08
050 GS	Awarded additionaly to round 3	North sea	ACTIVE	2012-04-11	2031-09-10	6.701000	6.701	PRODUCTION	21668262	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668262	http://www.npd.no/FactMapSearch?NPDID_production_licence=21668262	2013-03-19	2013-03-19	2013-05-08
050 HS	Awarded additionaly to round 3	North sea	ACTIVE	2012-04-11	2031-09-10	47.282000	47.282	PRODUCTION	21668287	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668287	http://www.npd.no/FactMapSearch?NPDID_production_licence=21668287	9999-12-31	9999-12-31	2013-05-08
293 B	Awarded additionaly to round 17 Z	North sea	ACTIVE	2012-06-15	2039-04-11	45.081000	45.081	PRODUCTION	21695786	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21695786	http://www.npd.no/FactMapSearch?NPDID_production_licence=21695786	2012-07-31	2012-07-31	2013-05-08
029 C	Awarded additionaly to round 2-A	North sea	ACTIVE	2012-10-17	2028-12-31	21.163000	21.163	PRODUCTION	22493034	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22493034	http://www.npd.no/FactMapSearch?NPDID_production_licence=22493034	2012-12-05	2012-12-06	2013-05-08
037 F	TFO2012	North sea	ACTIVE	2013-02-08	2017-02-08	8.249000	8.249	INITIAL	22813049	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813049	http://www.npd.no/FactMapSearch?NPDID_production_licence=22813049	2013-02-26	2013-03-08	2013-05-08
055 D	TFO2012	North sea	ACTIVE	2013-02-08	2014-02-08	22.018000	22.018	INITIAL	22813096	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813096	http://www.npd.no/FactMapSearch?NPDID_production_licence=22813096	2013-02-26	2013-02-26	2013-05-08
091 D	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2014-02-08	14.690000	14.690	INITIAL	22813131	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813131	http://www.npd.no/FactMapSearch?NPDID_production_licence=22813131	2013-02-26	2013-02-26	2013-05-08
093 C	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2014-02-08	22.562000	22.562	INITIAL	22813180	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813180	http://www.npd.no/FactMapSearch?NPDID_production_licence=22813180	2013-02-26	2013-02-26	2013-05-08
190 B	TFO2012	North sea	ACTIVE	2013-02-08	2017-02-08	153.912000	153.912	INITIAL	22813207	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813207	http://www.npd.no/FactMapSearch?NPDID_production_licence=22813207	2013-02-26	2013-03-08	2013-05-08
203 B	TFO2012	North sea	ACTIVE	2013-02-08	2018-02-08	34.909000	34.909	INITIAL	22813239	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813239	http://www.npd.no/FactMapSearch?NPDID_production_licence=22813239	2013-02-26	2013-03-08	2013-05-08
509 BS	TFO2012	North sea	ACTIVE	2013-02-08	2016-01-23	118.312000	118.312	INITIAL	22813272	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813272	http://www.npd.no/FactMapSearch?NPDID_production_licence=22813272	2013-02-26	2013-02-26	2013-05-08
542 B	TFO2012	North sea	ACTIVE	2013-02-08	2015-02-19	15.081000	15.081	INITIAL	22813299	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813299	http://www.npd.no/FactMapSearch?NPDID_production_licence=22813299	2013-02-26	2013-02-26	2013-05-08
660	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	59.153000	59.153	INITIAL	22815555	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815555	http://www.npd.no/FactMapSearch?NPDID_production_licence=22815555	2013-02-28	2013-03-08	2013-05-08
661	TFO2012	North sea	ACTIVE	2013-02-08	2021-02-08	224.365000	224.365	INITIAL	22815589	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815589	http://www.npd.no/FactMapSearch?NPDID_production_licence=22815589	2013-02-26	2013-03-08	2013-05-08
662	TFO2012	North sea	ACTIVE	2013-02-08	2021-02-08	17.085000	17.085	INITIAL	22815632	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815632	http://www.npd.no/FactMapSearch?NPDID_production_licence=22815632	2013-02-26	2013-03-08	2013-05-08
663	TFO2012	North sea	ACTIVE	2013-02-08	2021-02-08	193.738000	193.738	INITIAL	22815661	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815661	http://www.npd.no/FactMapSearch?NPDID_production_licence=22815661	2013-02-26	2013-03-08	2013-05-08
664 S	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	596.327000	596.327	INITIAL	22815702	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815702	http://www.npd.no/FactMapSearch?NPDID_production_licence=22815702	2013-02-26	2013-03-08	2013-05-08
665 S	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	750.840000	750.840	INITIAL	22815738	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815738	http://www.npd.no/FactMapSearch?NPDID_production_licence=22815738	2013-04-30	2013-05-01	2013-05-08
666	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	307.883000	307.883	INITIAL	22815785	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815785	http://www.npd.no/FactMapSearch?NPDID_production_licence=22815785	2013-02-26	2013-03-08	2013-05-08
667	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	118.633000	118.633	INITIAL	22815830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815830	http://www.npd.no/FactMapSearch?NPDID_production_licence=22815830	2013-02-26	2013-03-08	2013-05-08
668	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	47.892000	47.892	INITIAL	22815873	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815873	http://www.npd.no/FactMapSearch?NPDID_production_licence=22815873	2013-02-26	2013-03-08	2013-05-08
669	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	119.811000	119.811	INITIAL	22815914	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815914	http://www.npd.no/FactMapSearch?NPDID_production_licence=22815914	2013-02-26	2013-03-08	2013-05-08
670	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	215.293000	215.293	INITIAL	22815949	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815949	http://www.npd.no/FactMapSearch?NPDID_production_licence=22815949	2013-02-26	2013-03-08	2013-05-08
671	TFO2012	North sea	ACTIVE	2013-02-08	2021-02-08	232.766000	232.766	INITIAL	22816003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816003	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816003	2013-02-23	2013-03-08	2013-05-08
672	TFO2012	North sea	ACTIVE	2013-02-08	2018-02-08	100.672000	100.672	INITIAL	22816061	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816061	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816061	2013-02-23	2013-03-08	2013-05-08
673	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	57.071000	57.071	INITIAL	22816103	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816103	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816103	2013-02-23	2013-03-08	2013-05-08
674	TFO2012	North sea	ACTIVE	2013-02-08	2021-02-08	1026.552000	1026.552	INITIAL	22816134	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816134	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816134	2013-02-23	2013-03-08	2013-05-08
675	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	242.126000	242.126	INITIAL	22816217	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816217	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816217	2013-02-23	2013-03-08	2013-05-08
676 S	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	522.992000	522.992	INITIAL	22816262	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816262	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816262	2013-02-23	2013-03-08	2013-05-08
677	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	121.882000	121.882	INITIAL	22816357	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816357	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816357	2013-02-23	2013-03-08	2013-05-08
678 S	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	1204.379000	1204.379	INITIAL	22816406	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816406	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816406	2013-02-23	2013-03-08	2013-05-08
679 S	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	755.260000	755.260	INITIAL	22816484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816484	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816484	2013-02-23	2013-03-08	2013-05-08
680	TFO2012	North sea	ACTIVE	2013-02-08	2021-02-08	691.404000	691.404	INITIAL	22816583	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816583	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816583	2013-02-23	2013-03-08	2013-05-08
681	TFO2012	North sea	ACTIVE	2013-02-08	2016-02-08	180.829000	180.829	INITIAL	22816639	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816639	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816639	2013-02-23	2013-02-23	2013-05-08
682	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	205.018000	205.018	INITIAL	22816685	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816685	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816685	2013-04-30	2013-05-01	2013-05-08
683	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	64.745000	64.745	INITIAL	22816753	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816753	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816753	2013-02-23	2013-03-08	2013-05-08
684	TFO2012	North sea	ACTIVE	2013-02-08	2021-02-08	66.593000	66.593	INITIAL	22816794	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816794	http://www.npd.no/FactMapSearch?NPDID_production_licence=22816794	2013-02-23	2013-03-08	2013-05-08
685	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	406.596000	406.596	INITIAL	22820468	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820468	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820468	2013-02-23	2013-03-08	2013-05-08
686	TFO2012	North sea	ACTIVE	2013-02-08	2020-02-08	492.617000	492.617	INITIAL	22820521	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820521	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820521	2013-02-23	2013-03-08	2013-05-08
687	TFO2012	North sea	ACTIVE	2013-02-08	2021-02-08	513.168000	513.168	INITIAL	22820550	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820550	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820550	2013-02-27	2013-03-08	2013-05-08
688	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2022-02-08	484.627000	484.627	INITIAL	22820588	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820588	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820588	2013-02-27	2013-03-08	2013-05-08
689	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2021-02-08	456.628000	456.628	INITIAL	22820628	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820628	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820628	2013-02-27	2013-03-08	2013-05-08
690	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2020-02-08	444.463000	444.463	INITIAL	22820657	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820657	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820657	2013-02-27	2013-03-08	2013-05-08
691	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2019-02-08	62.141000	62.141	INITIAL	22820684	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820684	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820684	2013-02-27	2013-03-08	2013-05-08
692	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2020-02-08	663.022000	663.022	INITIAL	22820715	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820715	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820715	2013-02-26	2013-03-08	2013-05-08
693	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2020-02-08	441.686000	441.686	INITIAL	22820761	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820761	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820761	2013-02-26	2013-03-08	2013-05-08
694	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2021-02-08	1234.903000	1234.903	INITIAL	22820804	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820804	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820804	2013-02-26	2013-03-08	2013-05-08
695	TFO2012	Barents sea	ACTIVE	2013-02-08	2021-02-08	589.873000	589.873	INITIAL	22820851	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820851	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820851	2013-02-26	2013-03-08	2013-05-08
696	TFO2012	Barents sea	ACTIVE	2013-02-08	2021-02-08	1129.486000	1129.486	INITIAL	22820904	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820904	http://www.npd.no/FactMapSearch?NPDID_production_licence=22820904	2013-02-26	2013-03-08	2013-05-08
697	TFO2012	Barents sea	ACTIVE	2013-02-08	2020-02-08	166.452000	166.452	INITIAL	22821005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821005	http://www.npd.no/FactMapSearch?NPDID_production_licence=22821005	2013-02-26	2013-03-08	2013-05-08
698	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2019-02-08	1227.911000	1227.911	INITIAL	22821040	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821040	http://www.npd.no/FactMapSearch?NPDID_production_licence=22821040	2013-02-23	2013-03-08	2013-05-08
699	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2019-02-08	1515.851000	1515.851	INITIAL	22821109	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821109	http://www.npd.no/FactMapSearch?NPDID_production_licence=22821109	2013-02-23	2013-03-08	2013-05-08
700	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2020-02-08	300.307000	300.307	INITIAL	22821177	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821177	http://www.npd.no/FactMapSearch?NPDID_production_licence=22821177	2013-02-23	2013-03-08	2013-05-08
701	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2019-02-08	419.210000	419.210	INITIAL	23180841	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23180841	http://www.npd.no/FactMapSearch?NPDID_production_licence=23180841	2013-02-22	2013-03-08	2013-05-08
591 B	TFO2012	Norwegian sea	ACTIVE	2013-02-08	2017-02-04	27.072000	27.072	INITIAL	23180930	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23180930	http://www.npd.no/FactMapSearch?NPDID_production_licence=23180930	2013-02-26	2013-02-26	2013-05-08
090 F	Awarded additionaly to round 8	North sea	ACTIVE	2013-01-22	2024-03-09	21.046000	21.046	PRODUCTION	23268186	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23268186	http://www.npd.no/FactMapSearch?NPDID_production_licence=23268186	2013-03-01	2013-03-02	2013-05-08
090 G	Awarded additionaly to round 8	North sea	ACTIVE	2013-01-22	2024-03-09	4.485000	4.485	PRODUCTION	23268222	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23268222	http://www.npd.no/FactMapSearch?NPDID_production_licence=23268222	2013-03-01	2013-03-02	2013-05-08
090 HS	Awarded additionaly to round 8	North sea	ACTIVE	2013-04-09	2024-02-19	21.663000	21.663	INITIAL	23297006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23297006	http://www.npd.no/FactMapSearch?NPDID_production_licence=23297006	2013-04-26	2013-04-27	2013-05-08
248 C	Awarded additionaly to round 15 X	North sea	ACTIVE	2013-04-09	2035-06-04	175.058000	175.058	INITIAL	23297103	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23297103	http://www.npd.no/FactMapSearch?NPDID_production_licence=23297103	2013-05-01	2013-05-02	2013-05-08
\.



COPY licence_area_poly_hst (prlname, prlareapolydatevalidfrom, prlareapolydatevalidto, prlareapolynationcode, prlareapolyblockname, prlareapolystratigraphical, prlareapolypolyno, prlareapolypolyarea, prlnpdidlicence, prlareadateupdated, datesyncnpd) FROM stdin;
001	1965-09-01	1971-09-01	NO	16/1	NO	1	535.510000	20756	9999-12-31	2013-05-08
001	1971-09-01	1974-09-01	NO	16/1	NO	1	535.510000	20756	9999-12-31	2013-05-08
001	1974-09-01	1977-09-01	NO	16/1	NO	1	315.856000	20756	9999-12-31	2013-05-08
001	1977-09-01	1994-01-19	NO	16/1	NO	1	214.180000	20756	9999-12-31	2013-05-08
001	1965-09-01	1971-09-01	NO	16/2	NO	2	535.510000	20756	9999-12-31	2013-05-08
001	1971-09-01	1974-09-01	NO	16/2	NO	2	535.510000	20756	9999-12-31	2013-05-08
001	1974-09-01	1977-09-01	NO	16/2	NO	2	428.638000	20756	9999-12-31	2013-05-08
001	1965-09-01	1971-09-01	NO	16/7	NO	3	543.172000	20756	9999-12-31	2013-05-08
001	1994-01-19	9999-12-31	NO	25/11	NO	1	100.779000	20756	9999-12-31	2013-05-08
001	1977-09-01	1994-01-19	NO	25/11	NO	2	100.779000	20756	9999-12-31	2013-05-08
001	1971-09-01	1974-09-01	NO	25/11	NO	3	531.663000	20756	9999-12-31	2013-05-08
001	1974-09-01	1977-09-01	NO	25/11	NO	3	418.433000	20756	9999-12-31	2013-05-08
001	1965-09-01	1971-09-01	NO	25/11	NO	4	531.663000	20756	9999-12-31	2013-05-08
001 P	1994-01-19	1999-12-14	NO	16/1	NO	1	214.180000	20764	9999-12-31	2013-05-08
002	1965-09-01	1971-09-01	NO	16/9	NO	1	543.172000	20772	9999-12-31	2013-05-08
002	1971-09-01	1977-09-01	NO	17/8	NO	1	361.690000	20772	9999-12-31	2013-05-08
002	1965-09-01	1971-09-01	NO	17/8	NO	2	543.172000	20772	9999-12-31	2013-05-08
002	1971-09-01	1977-09-01	NO	17/9	NO	2	361.690000	20772	9999-12-31	2013-05-08
002	1965-09-01	1971-09-01	NO	17/9	NO	3	543.172000	20772	9999-12-31	2013-05-08
002	1971-09-01	1977-09-01	NO	18/7	NO	3	361.690000	20772	9999-12-31	2013-05-08
002	1965-09-01	1971-09-01	NO	18/7	NO	4	543.172000	20772	9999-12-31	2013-05-08
003	1965-09-01	1971-09-01	NO	8/2	NO	1	550.790000	20780	9999-12-31	2013-05-08
003	1971-09-01	1977-09-01	NO	8/2	NO	1	257.508000	20780	9999-12-31	2013-05-08
003	1965-09-01	1971-09-01	NO	8/3	NO	2	550.790000	20780	9999-12-31	2013-05-08
003	1971-09-01	1977-09-01	NO	8/3	NO	2	550.790000	20780	9999-12-31	2013-05-08
003	1965-09-01	1971-09-01	NO	9/7	NO	3	558.364000	20780	9999-12-31	2013-05-08
003	1965-09-01	1971-09-01	NO	9/8	NO	4	558.364000	20780	9999-12-31	2013-05-08
004	1965-09-01	1971-08-31	NO	6/3	NO	1	56.721000	20788	9999-12-31	2013-05-08
004	1971-09-01	1974-09-01	NO	7/1	NO	1	437.266000	20788	9999-12-31	2013-05-08
004	1974-09-01	1977-09-01	NO	7/1	NO	1	180.396000	20788	9999-12-31	2013-05-08
004	1965-09-01	1971-08-31	NO	7/1	NO	2	538.067000	20788	9999-12-31	2013-05-08
004	1971-09-01	1974-09-01	NO	7/4	NO	2	246.518000	20788	9999-12-31	2013-05-08
004	1974-09-01	1977-09-01	NO	7/4	NO	2	246.518000	20788	9999-12-31	2013-05-08
004	1965-09-01	1971-08-31	NO	7/4	NO	3	375.503000	20788	9999-12-31	2013-05-08
005	1965-09-01	1971-08-31	NO	7/3	NO	1	550.790000	20796	9999-12-31	2013-05-08
005	1971-09-01	1974-09-01	NO	7/3	NO	1	433.055000	20796	9999-12-31	2013-05-08
005	1974-09-01	1978-09-01	NO	7/3	NO	1	332.211000	20796	9999-12-31	2013-05-08
005	1978-09-01	1982-09-01	NO	7/3	NO	1	168.876000	20796	9999-12-31	2013-05-08
005	1965-09-01	1971-08-31	NO	7/6	NO	2	554.583000	20796	9999-12-31	2013-05-08
005	1971-09-01	1974-09-01	NO	7/6	NO	2	384.817000	20796	9999-12-31	2013-05-08
005	1974-09-01	1978-09-01	NO	7/6	NO	2	162.580000	20796	9999-12-31	2013-05-08
005	1965-09-01	1971-08-31	NO	8/4	NO	3	554.583000	20796	9999-12-31	2013-05-08
005	1971-09-01	1974-09-01	NO	8/4	NO	3	404.552000	20796	9999-12-31	2013-05-08
005	1974-09-01	1978-09-01	NO	8/4	NO	3	306.405000	20796	9999-12-31	2013-05-08
006	1965-09-01	1971-09-01	NO	2/2	NO	1	565.894000	20804	9999-12-31	2013-05-08
006	1971-09-01	1974-09-01	NO	2/2	NO	4	122.537000	20804	9999-12-31	2013-05-08
006	1971-09-01	1974-09-01	NO	2/2	NO	5	152.786000	20804	9999-12-31	2013-05-08
006	1974-09-01	1995-12-31	NO	2/5	NO	1	385.727000	20804	9999-12-31	2013-05-08
006	1996-01-01	1999-01-01	NO	2/5	NO	1	385.727000	20804	9999-12-31	2013-05-08
006	1999-01-01	2000-10-09	NO	2/5	NO	1	385.727000	20804	9999-12-31	2013-05-08
006	2000-10-09	9999-12-31	NO	2/5	NO	1	37.960000	20804	9999-12-31	2013-05-08
006	1965-09-01	1971-09-01	NO	2/5	NO	2	569.642000	20804	9999-12-31	2013-05-08
006	1971-09-01	1974-09-01	NO	2/5	NO	2	569.642000	20804	9999-12-31	2013-05-08
006	1974-09-01	1995-12-31	NO	2/8	NO	2	458.611000	20804	9999-12-31	2013-05-08
006	1996-01-01	1999-01-01	NO	2/8	NO	2	458.611000	20804	9999-12-31	2013-05-08
006	1999-01-01	2000-10-09	NO	2/8	NO	2	458.611000	20804	9999-12-31	2013-05-08
006	1965-09-01	1971-09-01	NO	2/8	NO	3	573.378000	20804	9999-12-31	2013-05-08
006	1971-09-01	1974-09-01	NO	2/8	NO	3	573.378000	20804	9999-12-31	2013-05-08
006	1971-09-01	1974-09-01	NO	3/4	NO	1	288.363000	20804	9999-12-31	2013-05-08
006	1974-09-01	1995-12-31	NO	3/4	NO	3	288.363000	20804	9999-12-31	2013-05-08
006	1996-01-01	1999-01-01	NO	3/4	NO	3	72.124000	20804	9999-12-31	2013-05-08
006	1965-09-01	1971-09-01	NO	3/4	NO	4	569.642000	20804	9999-12-31	2013-05-08
007	1965-09-01	1971-09-01	NO	16/3	NO	1	535.510000	20812	9999-12-31	2013-05-08
007	1971-09-01	1974-09-01	NO	16/3	NO	1	535.510000	20812	9999-12-31	2013-05-08
007	1974-09-01	1977-09-01	NO	16/3	NO	1	319.658000	20812	9999-12-31	2013-05-08
007	1977-09-01	1978-09-01	NO	16/3	NO	1	205.443000	20812	9999-12-31	2013-05-08
007	1965-09-01	1971-09-01	NO	16/5	NO	2	539.346000	20812	9999-12-31	2013-05-08
007	1971-09-01	1974-09-01	NO	16/5	NO	2	370.632000	20812	9999-12-31	2013-05-08
007	1974-09-01	1977-09-01	NO	16/5	NO	2	259.174000	20812	9999-12-31	2013-05-08
007	1977-09-01	1978-09-01	NO	16/5	NO	2	106.205000	20812	9999-12-31	2013-05-08
007	1978-09-01	1990-09-01	NO	16/6	NO	1	102.696000	20812	9999-12-31	2013-05-08
007	1965-09-01	1971-09-01	NO	16/6	NO	3	539.346000	20812	9999-12-31	2013-05-08
007	1971-09-01	1974-09-01	NO	16/6	NO	3	203.600000	20812	9999-12-31	2013-05-08
007	1974-09-01	1977-09-01	NO	16/6	NO	3	203.600000	20812	9999-12-31	2013-05-08
007	1977-09-01	1978-09-01	NO	16/6	NO	3	102.696000	20812	9999-12-31	2013-05-08
007	1971-09-01	1974-09-01	NO	16/6	NO	4	134.485000	20812	9999-12-31	2013-05-08
007	1974-09-01	1977-09-01	NO	16/6	NO	5	134.485000	20812	9999-12-31	2013-05-08
007	1965-09-01	1971-09-01	NO	17/4	NO	4	539.346000	20812	9999-12-31	2013-05-08
007	1974-09-01	1977-09-01	NO	17/4	NO	4	156.718000	20812	9999-12-31	2013-05-08
007	1971-09-01	1974-09-01	NO	17/4	NO	5	156.718000	20812	9999-12-31	2013-05-08
008	1977-09-01	1996-01-01	NO	18/10	NO	2	103.998000	20820	9999-12-31	2013-05-08
008	1965-09-01	1971-09-01	NO	18/10	NO	3	546.986000	20820	9999-12-31	2013-05-08
008	1971-09-01	1974-09-01	NO	18/10	NO	3	205.916000	20820	9999-12-31	2013-05-08
008	1974-09-01	1977-09-01	NO	18/10	NO	3	205.916000	20820	9999-12-31	2013-05-08
008	1971-09-01	1974-09-01	NO	18/10	NO	4	100.134000	20820	9999-12-31	2013-05-08
008	1965-09-01	1971-09-01	NO	18/11	NO	4	546.986000	20820	9999-12-31	2013-05-08
008	1974-09-01	1977-09-01	NO	18/11	NO	4	118.806000	20820	9999-12-31	2013-05-08
008	1971-09-01	1974-09-01	NO	18/11	NO	5	393.782000	20820	9999-12-31	2013-05-08
008	1965-09-01	1971-09-01	NO	2/6	NO	1	569.642000	20820	9999-12-31	2013-05-08
008	1971-09-01	1974-09-01	NO	2/6	NO	1	444.315000	20820	9999-12-31	2013-05-08
008	1974-09-01	1977-09-01	NO	2/6	NO	1	334.454000	20820	9999-12-31	2013-05-08
008	1977-09-01	1996-01-01	NO	2/6	NO	1	334.454000	20820	9999-12-31	2013-05-08
008	1996-01-01	2001-01-01	NO	2/6	NO	1	110.182000	20820	9999-12-31	2013-05-08
008	2001-01-01	2002-12-31	NO	2/6	NO	1	36.066000	20820	9999-12-31	2013-05-08
008	1965-09-01	1971-09-01	NO	7/2	NO	2	550.790000	20820	9999-12-31	2013-05-08
008	1971-09-01	1974-09-01	NO	7/2	NO	2	437.006000	20820	9999-12-31	2013-05-08
008	1974-09-01	1977-09-01	NO	7/2	NO	2	437.006000	20820	9999-12-31	2013-05-08
009	1965-09-01	1971-09-01	NO	10/11	NO	3	562.135000	20828	9999-12-31	2013-05-08
009	1971-09-01	1974-09-01	NO	10/11	NO	3	562.135000	20828	9999-12-31	2013-05-08
009	1974-09-01	1977-09-01	NO	10/11	NO	3	281.067000	20828	9999-12-31	2013-05-08
009	1965-09-01	1971-09-01	NO	10/8	NO	2	558.364000	20828	9999-12-31	2013-05-08
009	1971-09-01	1974-09-01	NO	10/8	NO	2	123.050000	20828	9999-12-31	2013-05-08
009	1974-09-01	1977-09-01	NO	10/8	NO	2	123.050000	20828	9999-12-31	2013-05-08
009	1965-09-01	1971-09-01	NO	11/9	NO	4	558.364000	20828	9999-12-31	2013-05-08
009	1971-09-01	1974-09-01	NO	11/9	NO	4	457.843000	20828	9999-12-31	2013-05-08
009	1974-09-01	1977-09-01	NO	11/9	NO	4	223.782000	20828	9999-12-31	2013-05-08
009	1974-09-01	1977-09-01	NO	11/9	NO	5	131.843000	20828	9999-12-31	2013-05-08
009	1965-09-01	1971-09-01	NO	9/5	NO	1	554.583000	20828	9999-12-31	2013-05-08
009	1971-09-01	1974-09-01	NO	9/5	NO	1	357.167000	20828	9999-12-31	2013-05-08
009	1974-09-01	1977-09-01	NO	9/5	NO	1	357.167000	20828	9999-12-31	2013-05-08
009	1977-09-01	1999-01-01	NO	9/5	NO	1	107.236000	20828	9999-12-31	2013-05-08
010	1965-09-01	1971-09-01	NO	16/12	NO	1	546.986000	20836	9999-12-31	2013-05-08
010	1971-09-01	1974-09-01	NO	16/12	NO	1	120.091000	20836	9999-12-31	2013-05-08
010	1974-09-01	1977-09-01	NO	16/12	NO	1	120.091000	20836	9999-12-31	2013-05-08
010	1965-09-01	1971-09-01	NO	17/10	NO	2	546.986000	20836	9999-12-31	2013-05-08
010	1971-09-01	1974-09-01	NO	17/10	NO	2	426.361000	20836	9999-12-31	2013-05-08
010	1974-09-01	1977-09-01	NO	17/10	NO	2	231.575000	20836	9999-12-31	2013-05-08
010	1965-09-01	1971-09-01	NO	17/11	NO	3	546.986000	20836	9999-12-31	2013-05-08
010	1971-09-01	1974-09-01	NO	17/11	NO	3	546.986000	20836	9999-12-31	2013-05-08
010	1974-09-01	1977-09-01	NO	17/11	NO	3	446.435000	20836	9999-12-31	2013-05-08
010	1977-09-01	1979-09-01	NO	25/12	NO	1	177.435000	20836	9999-12-31	2013-05-08
010	1965-09-01	1971-09-01	NO	25/12	NO	4	531.663000	20836	9999-12-31	2013-05-08
010	1971-09-01	1974-09-01	NO	25/12	NO	4	531.663000	20836	9999-12-31	2013-05-08
010	1974-09-01	1977-09-01	NO	25/12	NO	4	287.036000	20836	9999-12-31	2013-05-08
011	1965-09-01	1971-09-01	NO	1/3	NO	1	565.894000	20844	9999-12-31	2013-05-08
011	1971-09-01	1974-09-01	NO	1/3	NO	1	452.975000	20844	9999-12-31	2013-05-08
011	1974-09-01	1977-09-01	NO	1/3	NO	1	302.277000	20844	9999-12-31	2013-05-08
011	1977-09-01	1995-08-25	NO	1/3	NO	1	200.233000	20844	9999-12-31	2013-05-08
011	1995-08-25	1999-01-01	NO	1/3	NO	1	200.233000	20844	9999-12-31	2013-05-08
011	1999-01-01	1999-12-31	NO	1/3	NO	4	200.233000	20844	9999-12-31	2013-05-08
011	1999-01-01	1999-12-31	NO	1/6	NO	1	64.808000	20844	9999-12-31	2013-05-08
011	1965-09-01	1971-09-01	NO	1/6	NO	2	557.403000	20844	9999-12-31	2013-05-08
011	1971-09-01	1974-09-01	NO	1/6	NO	2	557.403000	20844	9999-12-31	2013-05-08
011	1974-09-01	1977-09-01	NO	1/6	NO	2	416.716000	20844	9999-12-31	2013-05-08
011	1977-09-01	1995-08-25	NO	1/6	NO	2	300.171000	20844	9999-12-31	2013-05-08
011	1995-08-25	1999-01-01	NO	1/6	NO	2	76.187000	20844	9999-12-31	2013-05-08
011	1999-01-01	1999-12-31	NO	1/6	NO	2	32.191000	20844	9999-12-31	2013-05-08
011	1995-08-25	1999-01-01	NO	1/6	NO	3	53.287000	20844	9999-12-31	2013-05-08
011	1999-01-01	1999-12-31	NO	1/6	NO	3	24.755000	20844	9999-12-31	2013-05-08
011	1995-08-25	1999-01-01	NO	1/6	NO	4	68.194000	20844	9999-12-31	2013-05-08
011	1965-09-01	1971-09-01	NO	8/7	NO	3	558.364000	20844	9999-12-31	2013-05-08
011	1971-09-01	1974-09-01	NO	8/7	NO	3	249.398000	20844	9999-12-31	2013-05-08
011	1974-09-01	1977-09-01	NO	8/7	NO	3	115.638000	20844	9999-12-31	2013-05-08
012	1965-09-01	1971-09-01	NO	10/7	NO	2	558.364000	20852	9999-12-31	2013-05-08
012	1965-09-01	1971-09-01	NO	10/9	NO	3	558.364000	20852	9999-12-31	2013-05-08
012	1965-09-01	1971-09-01	NO	9/12	NO	1	562.135000	20852	9999-12-31	2013-05-08
013	1965-09-01	1971-09-01	NO	8/6	NO	1	554.583000	20860	9999-12-31	2013-05-08
013	1971-09-01	1974-09-01	NO	8/6	NO	1	306.867000	20860	9999-12-31	2013-05-08
013	1974-09-01	1976-09-01	NO	8/6	NO	1	205.027000	20860	9999-12-31	2013-05-08
013	1976-09-01	1977-09-01	NO	8/6	NO	1	205.027000	20860	9999-12-31	2013-05-08
013	1965-09-01	1971-09-01	NO	8/9	NO	2	558.364000	20860	9999-12-31	2013-05-08
013	1971-09-01	1974-09-01	NO	8/9	NO	2	558.364000	20860	9999-12-31	2013-05-08
013	1974-09-01	1976-09-01	NO	8/9	NO	2	348.092000	20860	9999-12-31	2013-05-08
013	1976-09-01	1977-09-01	NO	8/9	NO	2	154.485000	20860	9999-12-31	2013-05-08
013	1977-09-01	1978-09-01	NO	9/4	NO	1	138.330000	20860	9999-12-31	2013-05-08
013	1965-09-01	1971-09-01	NO	9/4	NO	3	554.583000	20860	9999-12-31	2013-05-08
013	1971-09-01	1974-09-01	NO	9/4	NO	3	380.436000	20860	9999-12-31	2013-05-08
013	1974-09-01	1976-09-01	NO	9/4	NO	3	278.684000	20860	9999-12-31	2013-05-08
013	1976-09-01	1977-09-01	NO	9/4	NO	3	278.684000	20860	9999-12-31	2013-05-08
014	1965-09-01	1971-09-01	NO	3/2	NO	1	565.894000	20868	9999-12-31	2013-05-08
014	1971-09-01	1974-09-01	NO	3/2	NO	1	339.543000	20868	9999-12-31	2013-05-08
014	1974-09-01	1976-09-01	NO	3/2	NO	1	339.543000	20868	9999-12-31	2013-05-08
014	1965-09-01	1971-09-01	NO	3/3	NO	2	565.894000	20868	9999-12-31	2013-05-08
014	1971-09-01	1974-09-01	NO	3/3	NO	2	565.894000	20868	9999-12-31	2013-05-08
014	1974-09-01	1976-09-01	NO	3/3	NO	2	371.353000	20868	9999-12-31	2013-05-08
014	1976-09-01	1977-09-01	NO	8/12	NO	1	203.960000	20868	9999-12-31	2013-05-08
014	1965-09-01	1971-09-01	NO	8/12	NO	3	562.135000	20868	9999-12-31	2013-05-08
014	1971-09-01	1974-09-01	NO	8/12	NO	3	310.695000	20868	9999-12-31	2013-05-08
014	1974-09-01	1976-09-01	NO	8/12	NO	3	310.695000	20868	9999-12-31	2013-05-08
014	1965-09-01	1971-09-01	NO	9/11	NO	4	562.135000	20868	9999-12-31	2013-05-08
014	1971-09-01	1974-09-01	NO	9/11	NO	4	119.735000	20868	9999-12-31	2013-05-08
014	1974-09-01	1976-09-01	NO	9/11	NO	4	119.735000	20868	9999-12-31	2013-05-08
015	1965-09-01	1971-09-01	NO	10/10	NO	3	562.135000	20876	9999-12-31	2013-05-08
015	1971-09-01	1974-09-01	NO	10/10	NO	3	562.135000	20876	9999-12-31	2013-05-08
015	1974-09-01	1976-09-01	NO	10/10	NO	3	213.634000	20876	9999-12-31	2013-05-08
015	1965-09-01	1971-09-01	NO	10/12	NO	4	562.135000	20876	9999-12-31	2013-05-08
015	1971-09-01	1974-09-01	NO	10/12	NO	4	213.859000	20876	9999-12-31	2013-05-08
015	1974-09-01	1976-09-01	NO	10/12	NO	4	107.020000	20876	9999-12-31	2013-05-08
015	1976-09-01	1977-09-01	NO	10/5	NO	1	209.173000	20876	9999-12-31	2013-05-08
015	1965-09-01	1971-09-01	NO	10/5	NO	2	554.583000	20876	9999-12-31	2013-05-08
015	1971-09-01	1974-09-01	NO	10/5	NO	2	469.767000	20876	9999-12-31	2013-05-08
015	1974-09-01	1976-09-01	NO	10/5	NO	2	445.773000	20876	9999-12-31	2013-05-08
015	1965-09-01	1971-09-01	NO	9/9	NO	1	558.364000	20876	9999-12-31	2013-05-08
015	1971-09-01	1974-09-01	NO	9/9	NO	1	454.378000	20876	9999-12-31	2013-05-08
015	1974-09-01	1976-09-01	NO	9/9	NO	1	352.183000	20876	9999-12-31	2013-05-08
016	1976-09-01	1988-12-31	NO	16/11	NO	1	169.391000	20884	9999-12-31	2013-05-08
016	1965-09-01	1971-09-01	NO	16/11	NO	3	546.986000	20884	9999-12-31	2013-05-08
016	1971-09-01	1974-09-01	NO	16/11	NO	3	546.986000	20884	9999-12-31	2013-05-08
016	1974-09-01	1976-09-01	NO	16/11	NO	3	315.423000	20884	9999-12-31	2013-05-08
016	1988-12-31	1994-12-31	NO	17/12	NO	1	424.872000	20884	9999-12-31	2013-05-08
016	1976-09-01	1988-12-31	NO	17/12	NO	2	424.872000	20884	9999-12-31	2013-05-08
016	1965-09-01	1971-09-01	NO	17/12	NO	4	546.986000	20884	9999-12-31	2013-05-08
016	1971-09-01	1974-09-01	NO	17/12	NO	4	424.872000	20884	9999-12-31	2013-05-08
016	1974-09-01	1976-09-01	NO	17/12	NO	4	424.872000	20884	9999-12-31	2013-05-08
016	1965-09-01	1971-09-01	NO	7/8	NO	1	558.364000	20884	9999-12-31	2013-05-08
016	1971-09-01	1974-09-01	NO	7/8	NO	1	379.759000	20884	9999-12-31	2013-05-08
016	1974-09-01	1976-09-01	NO	7/8	NO	1	249.774000	20884	9999-12-31	2013-05-08
016	1965-09-01	1971-09-01	NO	8/1	NO	2	550.790000	20884	9999-12-31	2013-05-08
016	1971-09-01	1974-09-01	NO	8/1	NO	2	299.464000	20884	9999-12-31	2013-05-08
016	1974-09-01	1976-09-01	NO	8/1	NO	2	110.242000	20884	9999-12-31	2013-05-08
017	1965-09-01	1971-09-01	NO	8/10	NO	2	562.135000	20892	9999-12-31	2013-05-08
017	1971-09-01	1974-09-01	NO	8/10	NO	2	346.846000	20892	9999-12-31	2013-05-08
017	1974-09-01	1977-09-01	NO	8/10	NO	2	346.846000	20892	9999-12-31	2013-05-08
017	1977-09-01	1991-12-31	NO	8/10	NO	2	187.343000	20892	9999-12-31	2013-05-08
017	1965-09-01	1971-09-01	NO	8/11	NO	3	562.135000	20892	9999-12-31	2013-05-08
017	1971-09-01	1974-09-01	NO	8/11	NO	3	145.919000	20892	9999-12-31	2013-05-08
017	1974-09-01	1977-09-01	NO	8/11	NO	3	145.919000	20892	9999-12-31	2013-05-08
017	1977-09-01	1991-12-31	NO	8/11	NO	3	145.919000	20892	9999-12-31	2013-05-08
017	1971-09-01	1974-09-01	NO	8/11	NO	4	198.944000	20892	9999-12-31	2013-05-08
017	1974-09-01	1977-09-01	NO	8/11	NO	4	198.944000	20892	9999-12-31	2013-05-08
017	1965-09-01	1971-09-01	NO	8/8	NO	1	558.364000	20892	9999-12-31	2013-05-08
017	1971-09-01	1974-09-01	NO	8/8	NO	1	282.857000	20892	9999-12-31	2013-05-08
017	1974-09-01	1977-09-01	NO	8/8	NO	1	147.345000	20892	9999-12-31	2013-05-08
017	1977-09-01	1991-12-31	NO	8/8	NO	1	147.345000	20892	9999-12-31	2013-05-08
017	1971-09-01	1974-09-01	NO	8/8	NO	5	68.899000	20892	9999-12-31	2013-05-08
018	1965-09-01	1971-09-01	NO	1/5	NO	1	103.297000	20900	9999-12-31	2013-05-08
018	1971-09-01	1974-09-01	NO	1/5	NO	1	103.297000	20900	9999-12-31	2013-05-08
018	1974-09-01	2002-12-20	NO	1/5	NO	1	24.028000	20900	9999-12-31	2013-05-08
018	2002-12-20	9999-12-31	NO	2/4	NO	1	347.894000	20900	9999-12-31	2013-05-08
018	1965-09-01	1971-09-01	NO	2/4	NO	2	569.642000	20900	9999-12-31	2013-05-08
018	1971-09-01	1974-09-01	NO	2/4	NO	2	569.642000	20900	9999-12-31	2013-05-08
018	1974-09-01	2002-12-20	NO	2/4	NO	2	347.894000	20900	9999-12-31	2013-05-08
018	2002-12-20	9999-12-31	NO	2/7	NO	2	406.935000	20900	9999-12-31	2013-05-08
018	1965-09-01	1971-09-01	NO	2/7	NO	3	567.099000	20900	9999-12-31	2013-05-08
018	1971-09-01	1974-09-01	NO	2/7	NO	3	406.935000	20900	9999-12-31	2013-05-08
018	1974-09-01	2002-12-20	NO	2/7	NO	3	406.935000	20900	9999-12-31	2013-05-08
018	2002-12-20	9999-12-31	NO	7/11	NO	3	96.938000	20900	9999-12-31	2013-05-08
018	1965-09-01	1971-09-01	NO	7/11	NO	4	512.694000	20900	9999-12-31	2013-05-08
018	1971-09-01	1974-09-01	NO	7/11	NO	4	231.828000	20900	9999-12-31	2013-05-08
018	1974-09-01	2002-12-20	NO	7/11	NO	4	96.938000	20900	9999-12-31	2013-05-08
018 B	1995-08-25	2001-01-01	NO	1/6	NO	1	102.503000	20908	9999-12-31	2013-05-08
018 B	2001-01-01	9999-12-31	NO	1/6	NO	1	55.050000	20908	9999-12-31	2013-05-08
019	1965-09-01	1971-09-01	NO	11/8	NO	3	558.364000	20916	9999-12-31	2013-05-08
019	1971-09-01	1974-09-01	NO	11/8	NO	3	123.070000	20916	9999-12-31	2013-05-08
019	1974-09-01	1976-09-01	NO	11/8	NO	4	123.070000	20916	9999-12-31	2013-05-08
019	1965-09-01	1971-09-01	NO	2/1	NO	1	565.894000	20916	9999-12-31	2013-05-08
019	1971-09-01	1974-09-01	NO	2/1	NO	1	565.894000	20916	9999-12-31	2013-05-08
019	1974-09-01	1976-09-01	NO	2/1	NO	1	464.277000	20916	9999-12-31	2013-05-08
019	1976-09-01	9999-12-31	NO	7/12	NO	1	101.217000	20916	9999-12-31	2013-05-08
019	1965-09-01	1971-09-01	NO	7/12	NO	2	562.135000	20916	9999-12-31	2013-05-08
019	1971-09-01	1974-09-01	NO	7/12	NO	2	562.135000	20916	9999-12-31	2013-05-08
019	1974-09-01	1976-09-01	NO	7/12	NO	2	228.671000	20916	9999-12-31	2013-05-08
019	1974-09-01	1976-09-01	NO	7/12	NO	3	26.159000	20916	9999-12-31	2013-05-08
019 B	1977-09-12	1998-01-01	NO	2/1	NO	1	464.277000	20924	9999-12-31	2013-05-08
019 B	1998-01-01	1998-09-14	NO	2/1	NO	1	398.383000	20924	9999-12-31	2013-05-08
019 B	1998-09-14	9999-12-31	NO	2/1	NO	1	137.013000	20924	9999-12-31	2013-05-08
019 B	1977-09-12	1998-01-01	NO	7/12	NO	2	127.454000	20924	9999-12-31	2013-05-08
019 B	1998-01-01	1998-09-14	NO	7/12	NO	2	35.690000	20924	9999-12-31	2013-05-08
019 B	1998-09-14	9999-12-31	NO	7/12	NO	2	5.622000	20924	9999-12-31	2013-05-08
019 B	1977-09-12	1998-01-01	NO	7/12	NO	3	26.159000	20924	9999-12-31	2013-05-08
019 B	1998-01-01	1998-09-14	NO	7/12	NO	3	5.622000	20924	9999-12-31	2013-05-08
019 B	1998-01-01	1998-09-14	NO	7/12	NO	4	26.159000	20924	9999-12-31	2013-05-08
020	1976-09-01	1987-12-31	NO	16/8	NO	1	123.030000	20932	9999-12-31	2013-05-08
020	1965-09-01	1971-09-01	NO	16/8	NO	3	543.172000	20932	9999-12-31	2013-05-08
020	1971-09-01	1974-09-01	NO	16/8	NO	3	543.172000	20932	9999-12-31	2013-05-08
020	1974-09-01	1976-09-01	NO	16/8	NO	3	103.467000	20932	9999-12-31	2013-05-08
020	1974-09-01	1976-09-01	NO	16/8	NO	4	338.142000	20932	9999-12-31	2013-05-08
020	1965-09-01	1971-09-01	NO	7/9	NO	1	558.364000	20932	9999-12-31	2013-05-08
020	1971-09-01	1974-09-01	NO	7/9	NO	1	558.364000	20932	9999-12-31	2013-05-08
020	1974-09-01	1976-09-01	NO	7/9	NO	1	245.554000	20932	9999-12-31	2013-05-08
020	1965-09-01	1971-09-01	NO	8/5	NO	2	554.583000	20932	9999-12-31	2013-05-08
020	1971-09-01	1974-09-01	NO	8/5	NO	2	138.473000	20932	9999-12-31	2013-05-08
020	1974-09-01	1976-09-01	NO	8/5	NO	2	138.473000	20932	9999-12-31	2013-05-08
021	1965-09-01	1971-09-01	NO	11/10	NO	2	562.135000	20940	9999-12-31	2013-05-08
021	1971-09-01	1973-09-01	NO	11/10	NO	2	562.135000	20940	9999-12-31	2013-05-08
021	1965-09-01	1971-09-01	NO	11/7	NO	1	558.364000	20940	9999-12-31	2013-05-08
021	1971-09-01	1973-09-01	NO	11/7	NO	1	261.040000	20940	9999-12-31	2013-05-08
022	1965-12-07	1971-12-07	NO	2/3	NO	1	565.894000	20948	9999-12-31	2013-05-08
022	1971-12-07	1974-12-07	NO	2/3	NO	1	565.894000	20948	9999-12-31	2013-05-08
022	1974-12-07	1976-12-07	NO	2/3	NO	1	434.186000	20948	9999-12-31	2013-05-08
022	1976-12-07	1979-12-07	NO	2/3	NO	1	279.449000	20948	9999-12-31	2013-05-08
022	1979-12-07	1984-12-07	NO	2/3	NO	1	279.449000	20948	9999-12-31	2013-05-08
022	1984-12-07	1986-12-31	NO	2/3	NO	1	279.449000	20948	9999-12-31	2013-05-08
022	1965-12-07	1971-12-07	NO	3/1	NO	2	565.894000	20948	9999-12-31	2013-05-08
022	1971-12-07	1974-12-07	NO	3/1	NO	2	565.894000	20948	9999-12-31	2013-05-08
022	1974-12-07	1976-12-07	NO	3/1	NO	2	230.360000	20948	9999-12-31	2013-05-08
022	1976-12-07	1979-12-07	NO	3/5	NO	2	303.967000	20948	9999-12-31	2013-05-08
022	1979-12-07	1984-12-07	NO	3/5	NO	2	119.738000	20948	9999-12-31	2013-05-08
022	1965-12-07	1971-12-07	NO	3/5	NO	3	569.642000	20948	9999-12-31	2013-05-08
022	1971-12-07	1974-12-07	NO	3/5	NO	3	303.967000	20948	9999-12-31	2013-05-08
022	1974-12-07	1976-12-07	NO	3/5	NO	3	303.967000	20948	9999-12-31	2013-05-08
022	1965-12-07	1971-12-07	NO	9/10	NO	4	562.135000	20948	9999-12-31	2013-05-08
022	1971-12-07	1974-12-07	NO	9/10	NO	4	101.388000	20948	9999-12-31	2013-05-08
022	1974-12-07	1976-12-07	NO	9/10	NO	4	130.872000	20948	9999-12-31	2013-05-08
022	1971-12-07	1974-12-07	NO	9/10	NO	5	130.872000	20948	9999-12-31	2013-05-08
023	1969-05-23	1975-05-23	NO	3/7	NO	1	341.157000	20956	9999-12-31	2013-05-08
023	1975-05-23	1978-05-23	NO	3/7	NO	1	253.315000	20956	9999-12-31	2013-05-08
023	1978-05-23	1985-05-23	NO	3/7	NO	1	169.808000	20956	9999-12-31	2013-05-08
024	1969-05-23	1976-05-23	NO	25/1	NO	1	446.965000	20964	9999-12-31	2013-05-08
024	1976-05-23	1978-05-23	NO	25/1	NO	1	333.844000	20964	9999-12-31	2013-05-08
024	1978-05-23	1997-01-01	NO	25/1	NO	1	221.572000	20964	9999-12-31	2013-05-08
024	1997-01-01	9999-12-31	NO	25/1	NO	1	124.750000	20964	9999-12-31	2013-05-08
026	1969-05-23	1976-05-23	NO	25/2	NO	1	520.058000	20980	9999-12-31	2013-05-08
026	1976-05-23	1978-05-23	NO	25/2	NO	1	389.777000	20980	9999-12-31	2013-05-08
026	1978-05-23	1996-01-01	NO	25/2	NO	1	259.843000	20980	9999-12-31	2013-05-08
026	1996-01-01	2002-05-24	NO	25/2	NO	1	62.292000	20980	9999-12-31	2013-05-08
026	2002-05-24	9999-12-31	NO	25/2	NO	1	29.542000	20980	9999-12-31	2013-05-08
026	1996-01-01	2002-05-24	NO	25/2	NO	2	29.542000	20980	9999-12-31	2013-05-08
026	2002-05-24	9999-12-31	NO	25/2	NO	2	17.356000	20980	9999-12-31	2013-05-08
026	1996-01-01	2002-05-24	NO	25/2	NO	3	46.917000	20980	9999-12-31	2013-05-08
027	1969-05-23	1976-05-23	NO	25/8	NO	1	527.805000	20988	9999-12-31	2013-05-08
027	1976-05-23	1978-05-23	NO	25/8	NO	1	392.467000	20988	9999-12-31	2013-05-08
027	1978-05-23	1994-01-19	NO	25/8	NO	1	260.444000	20988	9999-12-31	2013-05-08
027	1994-01-19	9999-12-31	NO	25/8	NO	1	100.561000	20988	9999-12-31	2013-05-08
027 P	1994-01-19	1999-12-14	NO	25/8	NO	1	159.883000	20996	9999-12-31	2013-05-08
028	1969-05-23	1976-05-23	NO	25/10	YES	1	531.663000	21004	9999-12-31	2013-05-08
028	1976-05-23	1978-05-23	NO	25/10	YES	1	398.747000	21004	9999-12-31	2013-05-08
028	1978-05-23	1994-01-19	NO	25/10	YES	1	264.162000	21004	9999-12-31	2013-05-08
028	1994-01-19	2000-10-09	NO	25/10	YES	1	42.512000	21004	9999-12-31	2013-05-08
028	2000-10-09	2009-11-13	NO	25/10	YES	1	24.773000	21004	9999-12-31	2013-05-08
028	2009-11-13	9999-12-31	NO	25/10	YES	1	24.773000	21004	9999-12-31	2013-05-08
028 P	1994-01-19	1999-12-14	NO	25/10	NO	1	221.649000	21012	9999-12-31	2013-05-08
029	1969-05-23	1976-05-23	NO	15/6	NO	1	539.346000	21020	9999-12-31	2013-05-08
029	1976-05-23	1978-05-23	NO	15/6	NO	1	399.147000	21020	9999-12-31	2013-05-08
029	1978-05-23	2001-05-11	NO	15/6	NO	1	269.540000	21020	9999-12-31	2013-05-08
029	2012-10-17	9999-12-31	NO	15/6	NO	1	34.710000	21020	9999-12-31	2013-05-08
030	1969-05-23	1976-05-23	NO	30/10	NO	1	464.255000	21028	9999-12-31	2013-05-08
030	1976-05-23	1978-05-23	NO	30/10	NO	1	348.793000	21028	9999-12-31	2013-05-08
030	1978-05-23	1994-12-31	NO	30/10	NO	1	231.668000	21028	9999-12-31	2013-05-08
030	1995-01-01	1995-12-31	NO	30/10	NO	1	119.836000	21028	9999-12-31	2013-05-08
031	1969-05-23	1976-05-23	NO	2/10	NO	1	201.075000	21036	9999-12-31	2013-05-08
031	1976-05-23	1978-05-23	NO	2/10	NO	1	150.403000	21036	9999-12-31	2013-05-08
031	1978-05-23	1999-12-31	NO	2/10	NO	1	99.386000	21036	9999-12-31	2013-05-08
032	1969-05-30	1976-05-30	NO	2/9	NO	1	538.404000	21044	9999-12-31	2013-05-08
032	1976-05-30	1978-05-30	NO	2/9	NO	1	401.712000	21044	9999-12-31	2013-05-08
032	1978-05-30	1999-12-31	NO	2/9	NO	1	266.143000	21044	9999-12-31	2013-05-08
033	1969-05-30	1976-05-30	NO	2/11	NO	1	207.879000	21052	9999-12-31	2013-05-08
033	1976-05-30	1978-05-30	NO	2/11	NO	1	155.398000	21052	9999-12-31	2013-05-08
033	1978-05-30	2001-05-04	NO	2/11	NO	1	103.236000	21052	9999-12-31	2013-05-08
033	2001-05-04	9999-12-31	NO	2/11	NO	1	55.281000	21052	9999-12-31	2013-05-08
034	1969-11-14	1976-11-14	NO	30/5	NO	1	508.360000	21060	9999-12-31	2013-05-08
034	1976-11-14	1977-11-14	NO	30/5	NO	1	379.723000	21060	9999-12-31	2013-05-08
034	1977-11-14	2002-01-01	NO	30/5	NO	1	203.344000	21060	9999-12-31	2013-05-08
034	2002-01-01	2003-01-01	NO	30/5	NO	1	81.377000	21060	9999-12-31	2013-05-08
034	2003-01-01	9999-12-31	NO	30/5	NO	1	11.898000	21060	9999-12-31	2013-05-08
035	1969-11-14	1976-11-14	NO	30/11	NO	1	516.169000	21068	9999-12-31	2013-05-08
035	1976-11-14	1978-11-14	NO	30/11	NO	1	385.450000	21068	9999-12-31	2013-05-08
035	1978-11-14	2008-01-01	NO	30/11	NO	1	128.741000	21068	9999-12-31	2013-05-08
035	2008-01-01	2008-11-26	NO	30/11	NO	1	103.017000	21068	9999-12-31	2013-05-08
035	2008-11-26	9999-12-31	NO	30/11	NO	1	103.017000	21068	9999-12-31	2013-05-08
035	1978-11-14	2008-01-01	NO	30/11	NO	2	127.607000	21068	9999-12-31	2013-05-08
035	2008-01-01	2008-11-26	NO	30/11	NO	2	25.881000	21068	9999-12-31	2013-05-08
035	2008-11-26	9999-12-31	NO	30/11	NO	2	29.298000	21068	9999-12-31	2013-05-08
035	2008-01-01	2008-11-26	NO	30/11	NO	3	29.298000	21068	9999-12-31	2013-05-08
036	1971-06-11	1977-06-11	NO	25/4	YES	1	523.937000	21076	9999-12-31	2013-05-08
036	1977-06-11	1981-06-11	NO	25/4	YES	1	393.211000	21076	9999-12-31	2013-05-08
036	1981-07-01	1996-12-31	NO	25/4	YES	1	261.890000	21076	9999-12-31	2013-05-08
036	1997-01-01	2003-10-13	NO	25/4	YES	1	197.366000	21076	9999-12-31	2013-05-08
036	2003-10-13	2008-10-17	NO	25/4	YES	1	76.729000	21076	9999-12-31	2013-05-08
036	2008-10-17	9999-12-31	NO	25/4	YES	1	27.875000	21076	9999-12-31	2013-05-08
036	2003-10-13	2008-10-17	NO	25/4	YES	2	94.422000	21076	9999-12-31	2013-05-08
036	2008-10-17	9999-12-31	NO	25/4	YES	2	29.662000	21076	9999-12-31	2013-05-08
036	2003-10-13	2008-10-17	NO	25/4	YES	3	15.741000	21076	9999-12-31	2013-05-08
036	2008-10-17	9999-12-31	NO	25/4	YES	3	94.422000	21076	9999-12-31	2013-05-08
036	2008-10-17	9999-12-31	NO	25/4	YES	4	15.741000	21076	9999-12-31	2013-05-08
037	1973-08-10	1979-08-10	NO	33/12	NO	2	244.359000	21084	9999-12-31	2013-05-08
037	1979-08-10	1998-09-14	NO	33/12	NO	3	106.391000	21084	9999-12-31	2013-05-08
037	1998-09-14	1999-12-15	NO	33/12	NO	3	97.192000	21084	9999-12-31	2013-05-08
037	1999-12-15	2004-06-08	NO	33/12	NO	3	97.192000	21084	9999-12-31	2013-05-08
037	2004-06-08	2004-12-10	NO	33/12	NO	3	97.192000	21084	9999-12-31	2013-05-08
037	2004-12-10	2005-01-01	NO	33/12	NO	3	94.688000	21084	9999-12-31	2013-05-08
037	2005-01-01	2011-01-01	NO	33/12	NO	3	36.432000	21084	9999-12-31	2013-05-08
037	2011-01-01	9999-12-31	NO	33/12	NO	3	36.432000	21084	9999-12-31	2013-05-08
037	1973-08-10	1979-08-10	NO	33/9	NO	1	342.474000	21084	9999-12-31	2013-05-08
037	1979-08-10	1998-09-14	NO	33/9	NO	1	116.929000	21084	9999-12-31	2013-05-08
037	1998-09-14	1999-12-15	NO	33/9	NO	1	68.357000	21084	9999-12-31	2013-05-08
037	1999-12-15	2004-06-08	NO	33/9	NO	1	58.643000	21084	9999-12-31	2013-05-08
037	2004-06-08	2004-12-10	NO	33/9	NO	1	46.238000	21084	9999-12-31	2013-05-08
037	2004-12-10	2005-01-01	NO	33/9	NO	1	46.238000	21084	9999-12-31	2013-05-08
037	2005-01-01	2011-01-01	NO	33/9	NO	1	46.238000	21084	9999-12-31	2013-05-08
037	2011-01-01	9999-12-31	NO	33/9	NO	1	97.006000	21084	9999-12-31	2013-05-08
037	1979-08-10	1998-09-14	NO	33/9	NO	2	68.357000	21084	9999-12-31	2013-05-08
037	1998-09-14	1999-12-15	NO	33/9	NO	2	116.929000	21084	9999-12-31	2013-05-08
037	1999-12-15	2004-06-08	NO	33/9	NO	2	116.928000	21084	9999-12-31	2013-05-08
037	2004-06-08	2004-12-10	NO	33/9	NO	2	116.929000	21084	9999-12-31	2013-05-08
037	2004-12-10	2005-01-01	NO	33/9	NO	2	116.929000	21084	9999-12-31	2013-05-08
037	2005-01-01	2011-01-01	NO	33/9	NO	2	116.929000	21084	9999-12-31	2013-05-08
037	2011-01-01	9999-12-31	NO	33/9	NO	2	46.238000	21084	9999-12-31	2013-05-08
038	1975-04-01	1981-04-01	NO	15/11	NO	2	0.954000	21092	9999-12-31	2013-05-08
038	1981-04-01	1998-01-01	NO	15/12	NO	1	101.515000	21092	9999-12-31	2013-05-08
038	1998-01-01	2006-06-15	NO	15/12	NO	1	32.728000	21092	9999-12-31	2013-05-08
038	2006-06-15	2009-05-15	NO	15/12	NO	1	32.728000	21092	9999-12-31	2013-05-08
038	2009-05-15	9999-12-31	NO	15/12	NO	1	75.930000	21092	9999-12-31	2013-05-08
038	1981-04-01	1998-01-01	NO	15/12	NO	2	94.569000	21092	9999-12-31	2013-05-08
038	1998-01-01	2006-06-15	NO	15/12	NO	2	101.515000	21092	9999-12-31	2013-05-08
038	2006-06-15	2009-05-15	NO	15/12	NO	2	75.930000	21092	9999-12-31	2013-05-08
038	1975-04-01	1981-04-01	NO	15/12	NO	3	384.550000	21092	9999-12-31	2013-05-08
038	1975-04-01	1981-04-01	NO	6/3	NO	1	56.721000	21092	9999-12-31	2013-05-08
039	1975-04-01	1981-04-01	NO	24/9	NO	1	375.258000	21100	9999-12-31	2013-05-08
039	1981-04-01	1983-04-01	NO	24/9	NO	1	219.195000	21100	9999-12-31	2013-05-08
040	1975-04-01	1981-04-01	NO	29/9	NO	1	23.633000	21108	9999-12-31	2013-05-08
040	1981-04-01	1995-01-01	NO	29/9	NO	1	15.607000	21108	9999-12-31	2013-05-08
040	1995-01-01	9999-12-31	NO	29/9	NO	1	10.351000	21108	9999-12-31	2013-05-08
040	1975-04-01	1981-04-01	NO	30/7	NO	2	510.772000	21108	9999-12-31	2013-05-08
040	1981-04-01	1995-01-01	NO	30/7	NO	2	85.161000	21108	9999-12-31	2013-05-08
040	1995-01-01	9999-12-31	NO	30/7	NO	2	30.642000	21108	9999-12-31	2013-05-08
040	1981-04-01	1995-01-01	NO	30/7	NO	3	153.915000	21108	9999-12-31	2013-05-08
041	1975-06-01	1982-06-01	NO	35/3	NO	1	488.659000	21116	9999-12-31	2013-05-08
041	1982-06-01	1989-01-01	NO	35/3	NO	1	244.611000	21116	9999-12-31	2013-05-08
042	1975-04-01	1980-04-01	NO	36/1	NO	1	488.659000	21124	9999-12-31	2013-05-08
043	1976-08-06	1982-08-06	NO	29/6	NO	1	96.198000	21132	9999-12-31	2013-05-08
043	1991-01-01	9999-12-31	NO	29/6	NO	1	18.410000	21132	9999-12-31	2013-05-08
043	1982-08-06	1991-01-01	NO	29/6	NO	2	96.198000	21132	9999-12-31	2013-05-08
043	1982-08-06	1991-01-01	NO	30/4	NO	1	205.144000	21132	9999-12-31	2013-05-08
043	1976-08-06	1982-08-06	NO	30/4	NO	2	508.360000	21132	9999-12-31	2013-05-08
043	1991-01-01	9999-12-31	NO	30/4	NO	2	30.596000	21132	9999-12-31	2013-05-08
044	1976-08-27	1982-08-27	NO	1/9	NO	1	193.076000	21140	9999-12-31	2013-05-08
044	1982-08-27	2008-01-01	NO	1/9	NO	1	102.659000	21140	9999-12-31	2013-05-08
044	2008-01-01	9999-12-31	NO	1/9	NO	1	81.534000	21140	9999-12-31	2013-05-08
045	1976-12-03	1982-12-02	NO	24/11	NO	1	13.203000	21148	9999-12-31	2013-05-08
045	1976-12-03	1982-12-02	NO	24/12	NO	2	517.987000	21148	9999-12-31	2013-05-08
046	1976-12-03	1984-12-03	NO	15/8	NO	1	196.310000	21156	9999-12-31	2013-05-08
046	1984-12-03	2006-11-28	NO	15/8	NO	1	39.941000	21156	9999-12-31	2013-05-08
046	2006-11-28	2011-12-21	NO	15/8	NO	1	39.931000	21156	9999-12-31	2013-05-08
046	2011-12-21	9999-12-31	NO	15/8	NO	1	25.300000	21156	9999-12-31	2013-05-08
046	2011-12-21	9999-12-31	NO	15/8	NO	2	39.931000	21156	9999-12-31	2013-05-08
046	1984-12-03	2006-11-28	NO	15/8	NO	3	25.300000	21156	9999-12-31	2013-05-08
046	2006-11-28	2011-12-21	NO	15/8	NO	3	25.300000	21156	9999-12-31	2013-05-08
046	1976-12-03	1984-12-03	NO	15/9	NO	2	543.172000	21156	9999-12-31	2013-05-08
046	1984-12-03	2006-11-28	NO	15/9	NO	2	390.732000	21156	9999-12-31	2013-05-08
046	2006-11-28	2011-12-21	NO	15/9	NO	2	376.271000	21156	9999-12-31	2013-05-08
046	2011-12-21	9999-12-31	NO	15/9	NO	3	366.343000	21156	9999-12-31	2013-05-08
047	1977-01-07	1983-01-07	NO	33/2	NO	1	304.159000	21164	9999-12-31	2013-05-08
047	1983-01-07	1993-12-31	NO	33/5	NO	1	64.203000	21164	9999-12-31	2013-05-08
047	1977-01-07	1983-01-07	NO	33/5	NO	2	64.203000	21164	9999-12-31	2013-05-08
048	1977-02-18	1983-02-18	NO	15/2	NO	1	107.019000	21172	9999-12-31	2013-05-08
048	1983-02-18	1993-12-31	NO	15/5	NO	1	214.481000	21172	9999-12-31	2013-05-08
048	1993-12-31	2000-01-01	NO	15/5	NO	1	118.002000	21172	9999-12-31	2013-05-08
048	2000-01-01	2001-01-10	NO	15/5	NO	1	21.518000	21172	9999-12-31	2013-05-08
048	2001-01-10	2005-10-10	NO	15/5	NO	1	13.287000	21172	9999-12-31	2013-05-08
048	2005-10-10	2010-12-09	NO	15/5	NO	1	17.966000	21172	9999-12-31	2013-05-08
048	2010-12-09	9999-12-31	NO	15/5	NO	1	10.802000	21172	9999-12-31	2013-05-08
048	1977-02-18	1983-02-18	NO	15/5	NO	2	214.481000	21172	9999-12-31	2013-05-08
048	2000-01-01	2001-01-10	NO	15/5	NO	2	40.750000	21172	9999-12-31	2013-05-08
048	2001-01-10	2005-10-10	NO	15/5	NO	2	17.966000	21172	9999-12-31	2013-05-08
048	2005-10-10	2010-12-09	NO	15/5	NO	2	10.802000	21172	9999-12-31	2013-05-08
048	2000-01-01	2001-01-10	NO	15/5	NO	3	10.802000	21172	9999-12-31	2013-05-08
048	2001-01-10	2005-10-10	NO	15/5	NO	3	10.802000	21172	9999-12-31	2013-05-08
049	1977-12-23	1983-12-23	NO	33/6	NO	1	485.802000	21180	9999-12-31	2013-05-08
050	1978-06-16	1986-06-30	NO	34/10	YES	1	500.509000	21188	9999-12-31	2013-05-08
050	1986-06-30	2006-10-06	NO	34/10	YES	1	348.547000	21188	9999-12-31	2013-05-08
050	2006-10-06	2012-04-11	NO	34/10	YES	1	344.600000	21188	9999-12-31	2013-05-08
050	2012-04-11	9999-12-31	NO	34/10	YES	1	280.651000	21188	9999-12-31	2013-05-08
050	2006-10-06	2012-04-11	NO	34/10	YES	2	3.947000	21188	9999-12-31	2013-05-08
050	2012-04-11	9999-12-31	NO	34/10	YES	2	3.947000	21188	9999-12-31	2013-05-08
050	2012-04-11	9999-12-31	NO	34/10	YES	3	63.949000	21188	9999-12-31	2013-05-08
050	2012-04-11	9999-12-31	NO	34/10	YES	4	0.000000	21188	9999-12-31	2013-05-08
050 B	1995-08-11	2012-04-11	NO	34/10	YES	1	98.403000	21196	9999-12-31	2013-05-08
050 B	2012-04-11	9999-12-31	NO	34/10	YES	1	96.312000	21196	9999-12-31	2013-05-08
050 B	2012-04-11	9999-12-31	NO	34/10	YES	2	2.091000	21196	9999-12-31	2013-05-08
050 B	2012-04-11	9999-12-31	NO	34/10	YES	3	0.000000	21196	9999-12-31	2013-05-08
051	1979-04-06	1985-04-06	NO	30/2	NO	1	504.440000	21204	9999-12-31	2013-05-08
051	1985-04-06	1988-01-01	NO	30/2	NO	1	252.068000	21204	9999-12-31	2013-05-08
051	1988-01-01	1994-12-31	NO	30/2	NO	1	201.776000	21204	9999-12-31	2013-05-08
051	1995-01-01	9999-12-31	NO	30/2	NO	1	79.039000	21204	9999-12-31	2013-05-08
052	1979-04-06	1985-04-06	NO	30/3	NO	1	504.440000	21212	9999-12-31	2013-05-08
052	1985-04-06	1996-01-01	NO	30/3	NO	1	94.186000	21212	9999-12-31	2013-05-08
052	1996-01-01	2001-11-30	NO	30/3	NO	1	45.475000	21212	9999-12-31	2013-05-08
052	2001-11-30	2008-01-01	NO	30/3	NO	1	36.221000	21212	9999-12-31	2013-05-08
052	2008-01-01	2012-01-01	NO	30/3	NO	1	36.221000	21212	9999-12-31	2013-05-08
052	2012-01-01	9999-12-31	NO	30/3	NO	1	79.239000	21212	9999-12-31	2013-05-08
052	1985-04-06	1996-01-01	NO	30/3	NO	2	156.659000	21212	9999-12-31	2013-05-08
052	1996-01-01	2001-11-30	NO	30/3	NO	2	99.445000	21212	9999-12-31	2013-05-08
052	2001-11-30	2008-01-01	NO	30/3	NO	2	99.445000	21212	9999-12-31	2013-05-08
052	2008-01-01	2012-01-01	NO	30/3	NO	2	79.239000	21212	9999-12-31	2013-05-08
053	1979-04-06	1988-05-31	NO	30/6	NO	1	508.360000	21220	9999-12-31	2013-05-08
053	1988-05-31	1998-09-14	NO	30/6	NO	1	227.327000	21220	9999-12-31	2013-05-08
053	1998-09-14	9999-12-31	NO	30/6	NO	1	98.131000	21220	9999-12-31	2013-05-08
053	1988-05-31	1998-09-14	NO	30/6	NO	2	106.625000	21220	9999-12-31	2013-05-08
053	1998-09-14	9999-12-31	NO	30/6	NO	2	227.327000	21220	9999-12-31	2013-05-08
054	1979-04-06	1985-04-06	NO	31/2	NO	1	504.440000	21228	9999-12-31	2013-05-08
054	1985-04-06	9999-12-31	NO	31/2	NO	1	319.718000	21228	9999-12-31	2013-05-08
055	1979-04-06	1985-04-06	NO	31/4	NO	1	508.360000	21236	9999-12-31	2013-05-08
055	1985-04-06	2002-01-01	NO	31/4	NO	1	220.363000	21236	9999-12-31	2013-05-08
055	2002-01-01	2003-06-27	NO	31/4	NO	1	122.198000	21236	9999-12-31	2013-05-08
055	2003-06-27	9999-12-31	NO	31/4	NO	1	122.198000	21236	9999-12-31	2013-05-08
055	2002-01-01	2003-06-27	NO	31/4	NO	2	5.071000	21236	9999-12-31	2013-05-08
056	1979-04-06	1987-04-06	NO	34/2	NO	1	488.659000	21244	9999-12-31	2013-05-08
057	1979-04-06	1985-04-06	NO	34/4	NO	1	492.619000	21252	9999-12-31	2013-05-08
057	1985-04-06	2001-01-01	NO	34/4	NO	1	246.600000	21252	9999-12-31	2013-05-08
057	2001-01-01	2007-01-01	NO	34/4	NO	1	135.002000	21252	9999-12-31	2013-05-08
057	2007-01-01	9999-12-31	NO	34/4	NO	1	116.884000	21252	9999-12-31	2013-05-08
058	1979-04-06	1989-04-06	NO	35/8	NO	1	496.569000	21260	9999-12-31	2013-05-08
059	1980-01-18	1986-01-18	NO	6507/12	NO	1	436.310000	21268	9999-12-31	2013-05-08
060	1980-01-18	1986-01-18	NO	7119/12	NO	1	335.884000	21276	9999-12-31	2013-05-08
061	1980-01-18	1986-01-18	NO	7120/12	NO	1	335.884000	21284	9999-12-31	2013-05-08
061	1986-01-18	1993-12-31	NO	7120/12	NO	1	109.403000	21284	9999-12-31	2013-05-08
062	1981-03-27	1991-03-27	NO	6507/11	NO	1	436.310000	21292	9999-12-31	2013-05-08
062	1991-03-27	1998-01-01	NO	6507/11	NO	1	68.548000	21292	9999-12-31	2013-05-08
062	1998-01-01	2001-01-01	NO	6507/11	NO	1	59.797000	21292	9999-12-31	2013-05-08
062	2001-01-01	9999-12-31	NO	6507/11	NO	1	51.041000	21292	9999-12-31	2013-05-08
063	1981-03-27	1987-03-27	NO	7117/9	NO	1	331.606000	21300	9999-12-31	2013-05-08
064	1981-03-27	1987-03-27	NO	7120/8	NO	1	331.606000	21308	9999-12-31	2013-05-08
064	1987-03-27	2012-01-01	NO	7120/8	NO	1	163.432000	21308	9999-12-31	2013-05-08
064	2012-01-01	9999-12-31	NO	7120/8	NO	1	134.853000	21308	9999-12-31	2013-05-08
065	1981-08-21	1992-01-01	NO	1/3	NO	1	365.661000	21316	9999-12-31	2013-05-08
065	1992-01-01	2000-01-01	NO	1/3	NO	1	107.390000	21316	9999-12-31	2013-05-08
065	2000-01-01	9999-12-31	NO	1/3	NO	1	58.366000	21316	9999-12-31	2013-05-08
065	1992-01-01	2000-01-01	NO	1/3	NO	2	75.298000	21316	9999-12-31	2013-05-08
066	1981-08-21	1990-01-01	NO	2/2	NO	1	565.894000	21324	9999-12-31	2013-05-08
066	1990-01-01	1999-01-01	NO	2/2	NO	1	181.461000	21324	9999-12-31	2013-05-08
066	1999-01-01	2002-12-31	NO	2/2	NO	1	66.206000	21324	9999-12-31	2013-05-08
067	1981-08-21	1988-01-01	NO	2/5	NO	1	183.915000	21332	9999-12-31	2013-05-08
067	1988-01-01	1999-01-01	NO	2/5	NO	1	94.729000	21332	9999-12-31	2013-05-08
068	1981-08-21	1992-01-01	NO	2/11	NO	2	52.162000	21340	9999-12-31	2013-05-08
068	1981-08-21	1992-01-01	NO	2/11	NO	3	52.483000	21340	9999-12-31	2013-05-08
068	1981-08-21	1992-01-01	NO	2/8	NO	1	114.768000	21340	9999-12-31	2013-05-08
069	1981-08-21	1988-01-01	NO	7/8	NO	1	558.364000	21348	9999-12-31	2013-05-08
069	1988-01-01	1998-01-01	NO	7/8	NO	1	221.773000	21348	9999-12-31	2013-05-08
069	1998-01-01	1999-12-31	NO	7/8	NO	1	83.973000	21348	9999-12-31	2013-05-08
069	1998-01-01	1999-12-31	NO	7/8	NO	2	24.150000	21348	9999-12-31	2013-05-08
070	1981-08-21	1988-01-01	NO	7/11	NO	1	415.755000	21356	9999-12-31	2013-05-08
070	1988-01-01	1999-12-31	NO	7/11	NO	1	174.456000	21356	9999-12-31	2013-05-08
070	1988-01-01	1999-12-31	NO	7/11	NO	2	18.679000	21356	9999-12-31	2013-05-08
071	1981-08-21	1989-01-01	NO	8/3	NO	1	366.771000	21364	9999-12-31	2013-05-08
072	1981-08-21	1988-01-01	NO	16/7	NO	1	543.172000	21372	9999-12-31	2013-05-08
072	1988-01-01	2000-01-01	NO	16/7	NO	1	195.801000	21372	9999-12-31	2013-05-08
072	2000-01-01	2001-09-04	NO	16/7	NO	1	135.889000	21372	9999-12-31	2013-05-08
072	2001-09-04	2009-01-01	NO	16/7	NO	1	56.283000	21372	9999-12-31	2013-05-08
072	2009-01-01	9999-12-31	NO	16/7	NO	1	39.938000	21372	9999-12-31	2013-05-08
073	1982-04-23	1988-04-23	NO	6407/1	NO	1	440.392000	21380	9999-12-31	2013-05-08
073	1988-04-23	1994-01-01	NO	6407/1	NO	1	171.606000	21380	9999-12-31	2013-05-08
073	1994-01-01	9999-12-31	NO	6407/1	NO	1	73.479000	21380	9999-12-31	2013-05-08
074	1982-04-23	1988-04-23	NO	6407/2	NO	1	440.392000	21388	9999-12-31	2013-05-08
074	1988-04-23	1998-01-01	NO	6407/2	NO	1	211.176000	21388	9999-12-31	2013-05-08
074	1998-01-01	2001-01-01	NO	6407/2	NO	1	170.222000	21388	9999-12-31	2013-05-08
074	2001-01-01	2003-01-01	NO	6407/2	NO	1	117.295000	21388	9999-12-31	2013-05-08
074	2003-01-01	9999-12-31	NO	6407/2	NO	1	99.659000	21388	9999-12-31	2013-05-08
075	1982-04-23	1988-04-23	NO	6507/10	NO	1	436.310000	21396	9999-12-31	2013-05-08
076	1982-04-23	1988-04-23	NO	7119/7	NO	1	331.606000	21404	9999-12-31	2013-05-08
077	1982-04-23	1988-04-23	NO	7120/7	NO	1	331.606000	21412	9999-12-31	2013-05-08
077	1988-04-23	2012-01-01	NO	7120/7	NO	1	107.346000	21412	9999-12-31	2013-05-08
077	2012-01-01	9999-12-31	NO	7120/7	NO	1	76.463000	21412	9999-12-31	2013-05-08
078	1982-04-23	1988-04-23	NO	7120/9	NO	1	331.606000	21420	9999-12-31	2013-05-08
078	1988-04-23	1992-01-01	NO	7120/9	NO	1	153.371000	21420	9999-12-31	2013-05-08
078	1992-01-01	2009-01-01	NO	7120/9	NO	1	70.441000	21420	9999-12-31	2013-05-08
078	2009-01-01	9999-12-31	NO	7120/9	NO	1	66.043000	21420	9999-12-31	2013-05-08
080	1982-12-10	1988-12-10	NO	6609/5	NO	1	411.636000	21436	9999-12-31	2013-05-08
081	1982-12-10	1988-12-10	NO	6609/7	NO	1	415.770000	21444	9999-12-31	2013-05-08
082	1982-12-10	1988-12-10	NO	6609/10	NO	1	419.895000	21452	9999-12-31	2013-05-08
083	1982-12-10	1988-12-10	NO	6609/11	NO	1	419.895000	21460	9999-12-31	2013-05-08
084	1982-12-10	1988-12-10	NO	6610/7	NO	1	415.770000	21468	9999-12-31	2013-05-08
085	1983-07-08	1989-07-08	NO	31/3	NO	1	504.440000	21476	9999-12-31	2013-05-08
085	1989-07-08	9999-12-31	NO	31/3	NO	1	134.802000	21476	9999-12-31	2013-05-08
085	1983-07-08	1989-07-08	NO	31/5	NO	2	508.360000	21476	9999-12-31	2013-05-08
085	1989-07-08	9999-12-31	NO	31/5	NO	2	203.083000	21476	9999-12-31	2013-05-08
085	1983-07-08	1989-07-08	NO	31/6	NO	3	508.360000	21476	9999-12-31	2013-05-08
085	1989-07-08	9999-12-31	NO	31/6	NO	3	457.458000	21476	9999-12-31	2013-05-08
085 B	1992-09-11	9999-12-31	NO	31/9	NO	1	17.019000	21484	9999-12-31	2013-05-08
085 B	1992-09-11	9999-12-31	NO	32/4	NO	2	10.146000	21484	9999-12-31	2013-05-08
086	1984-03-09	1990-03-09	NO	6/3	NO	1	56.721000	21492	9999-12-31	2013-05-08
086	1990-03-09	1998-01-01	NO	6/3	NO	1	56.721000	21492	9999-12-31	2013-05-08
086	1998-01-01	2001-01-01	NO	6/3	NO	1	21.579000	21492	9999-12-31	2013-05-08
086	1984-03-09	1990-03-09	NO	7/1	NO	2	538.067000	21492	9999-12-31	2013-05-08
087	1984-03-09	1991-03-09	NO	16/4	NO	1	539.346000	21500	9999-12-31	2013-05-08
087	1991-03-09	1994-12-31	NO	16/4	NO	1	266.115000	21500	9999-12-31	2013-05-08
088	1984-03-09	1992-03-09	NO	24/6	YES	1	139.081000	21508	9999-12-31	2013-05-08
088	1992-03-09	2008-01-01	NO	24/6	YES	1	97.054000	21508	9999-12-31	2013-05-08
088	2008-01-01	9999-12-31	NO	24/6	YES	1	37.392000	21508	9999-12-31	2013-05-08
088	1984-03-09	1992-03-09	NO	25/4	YES	2	262.047000	21508	9999-12-31	2013-05-08
089	1984-03-09	1994-03-09	NO	34/7	NO	1	446.846000	21516	9999-12-31	2013-05-08
089	1994-03-09	9999-12-31	NO	34/7	NO	1	316.127000	21516	9999-12-31	2013-05-08
090	1984-03-09	1994-03-09	NO	35/11	NO	1	500.509000	21524	9999-12-31	2013-05-08
090	1994-03-09	2005-05-25	NO	35/11	NO	1	250.590000	21524	9999-12-31	2013-05-08
090	2013-01-22	9999-12-31	NO	35/11	NO	1	181.640000	21524	9999-12-31	2013-05-08
091	1984-03-09	1990-03-09	NO	6406/3	NO	1	440.392000	21532	9999-12-31	2013-05-08
091	1990-03-09	2000-01-01	NO	6406/3	NO	1	177.695000	21532	9999-12-31	2013-05-08
091	2000-01-01	9999-12-31	NO	6406/3	NO	1	82.399000	21532	9999-12-31	2013-05-08
092	1984-03-09	1990-03-09	NO	6407/6	NO	1	444.465000	21540	9999-12-31	2013-05-08
092	1990-03-09	1994-01-01	NO	6407/6	NO	1	180.778000	21540	9999-12-31	2013-05-08
092	1994-01-01	9999-12-31	NO	6407/6	NO	1	28.085000	21540	9999-12-31	2013-05-08
093	1984-03-09	1994-03-09	NO	6407/9	NO	1	448.529000	21548	9999-12-31	2013-05-08
093	1994-03-09	2002-01-01	NO	6407/9	NO	1	187.016000	21548	9999-12-31	2013-05-08
093	2002-01-01	9999-12-31	NO	6407/9	NO	1	119.755000	21548	9999-12-31	2013-05-08
093	2002-01-01	9999-12-31	NO	6407/9	NO	2	1.494000	21548	9999-12-31	2013-05-08
094	1984-03-09	1994-03-09	NO	6506/12	NO	1	436.310000	21556	9999-12-31	2013-05-08
094	1994-03-09	2002-01-01	NO	6506/12	NO	1	314.258000	21556	9999-12-31	2013-05-08
094	2002-01-01	9999-12-31	NO	6506/12	NO	1	67.128000	21556	9999-12-31	2013-05-08
094	2002-01-01	9999-12-31	NO	6506/12	NO	2	217.995000	21556	9999-12-31	2013-05-08
095	1984-03-09	1994-03-09	NO	6507/7	NO	1	432.220000	21564	9999-12-31	2013-05-08
095	1994-03-09	2000-01-01	NO	6507/7	NO	1	214.896000	21564	9999-12-31	2013-05-08
095	2000-01-01	2003-01-01	NO	6507/7	NO	1	181.863000	21564	9999-12-31	2013-05-08
095	2003-01-01	2003-11-06	NO	6507/7	NO	1	168.847000	21564	9999-12-31	2013-05-08
095	2003-11-06	2008-01-01	NO	6507/7	NO	1	102.405000	21564	9999-12-31	2013-05-08
095	2008-01-01	2011-01-01	NO	6507/7	NO	1	87.998000	21564	9999-12-31	2013-05-08
095	2011-01-01	9999-12-31	NO	6507/7	NO	1	73.562000	21564	9999-12-31	2013-05-08
096	1984-03-09	1990-03-09	NO	7119/9	NO	1	331.606000	21572	9999-12-31	2013-05-08
097	1984-03-09	1990-03-09	NO	7120/6	NO	1	327.322000	21580	9999-12-31	2013-05-08
097	1990-03-09	2009-01-01	NO	7120/6	NO	1	101.521000	21580	9999-12-31	2013-05-08
097	2009-01-01	9999-12-31	NO	7120/6	NO	1	93.884000	21580	9999-12-31	2013-05-08
097	1990-03-09	2009-01-01	NO	7120/6	NO	2	43.891000	21580	9999-12-31	2013-05-08
097	2009-01-01	9999-12-31	NO	7120/6	NO	2	39.503000	21580	9999-12-31	2013-05-08
098	1984-03-09	1991-03-09	NO	7120/10	NO	1	335.884000	21588	9999-12-31	2013-05-08
099	1984-03-09	1990-03-09	NO	7121/4	NO	1	327.322000	21596	9999-12-31	2013-05-08
099	1990-03-09	2009-01-01	NO	7121/4	NO	1	100.360000	21596	9999-12-31	2013-05-08
099	2009-01-01	9999-12-31	NO	7121/4	NO	1	98.178000	21596	9999-12-31	2013-05-08
100	1984-03-09	1990-03-09	NO	7121/7	NO	1	331.606000	21604	9999-12-31	2013-05-08
100	1990-03-09	2009-01-01	NO	7121/7	NO	1	101.257000	21604	9999-12-31	2013-05-08
100	2009-01-01	9999-12-31	NO	7121/7	NO	1	77.025000	21604	9999-12-31	2013-05-08
101	1985-03-01	1992-03-01	NO	16/10	NO	1	546.986000	21612	9999-12-31	2013-05-08
101	1992-03-01	1998-01-01	NO	16/10	NO	1	234.826000	21612	9999-12-31	2013-05-08
101	1998-01-01	1999-01-01	NO	16/10	NO	1	180.252000	21612	9999-12-31	2013-05-08
101	1999-01-01	1999-12-31	NO	16/10	NO	1	89.176000	21612	9999-12-31	2013-05-08
102	1985-03-01	1995-03-01	NO	25/5	NO	1	523.937000	21620	9999-12-31	2013-05-08
102	1995-03-01	1998-01-22	NO	25/5	NO	1	262.272000	21620	9999-12-31	2013-05-08
102	1998-01-22	2003-01-01	NO	25/5	NO	1	236.149000	21620	9999-12-31	2013-05-08
102	2003-01-01	2009-03-20	NO	25/5	NO	1	134.601000	21620	9999-12-31	2013-05-08
102	2009-03-20	9999-12-31	NO	25/5	NO	1	19.649000	21620	9999-12-31	2013-05-08
102	2003-01-01	2009-03-20	NO	25/5	NO	2	20.978000	21620	9999-12-31	2013-05-08
102	2009-03-20	9999-12-31	NO	25/5	NO	2	20.978000	21620	9999-12-31	2013-05-08
103	1985-03-01	1991-03-01	NO	25/7	NO	1	527.805000	21628	9999-12-31	2013-05-08
103	1991-03-01	1998-01-22	NO	25/7	NO	1	263.976000	21628	9999-12-31	2013-05-08
103	1998-01-22	2000-01-01	NO	25/7	NO	1	240.271000	21628	9999-12-31	2013-05-08
103	2000-01-01	2003-12-31	NO	25/7	NO	1	123.337000	21628	9999-12-31	2013-05-08
104	1985-03-01	1995-02-28	NO	30/9	NO	1	410.102000	21636	9999-12-31	2013-05-08
104	1995-03-01	9999-12-31	NO	30/9	NO	1	348.512000	21636	9999-12-31	2013-05-08
105	1985-03-01	1991-03-01	NO	6406/6	NO	1	444.465000	21644	9999-12-31	2013-05-08
106	1985-03-01	1991-03-01	NO	6407/4	NO	1	444.465000	21652	9999-12-31	2013-05-08
106	1991-03-01	1993-12-31	NO	6407/4	NO	1	204.474000	21652	9999-12-31	2013-05-08
107	1985-03-01	1991-03-01	NO	6407/7	NO	1	448.529000	21660	9999-12-31	2013-05-08
107	1991-03-01	1995-12-31	NO	6407/7	NO	1	221.518000	21660	9999-12-31	2013-05-08
107	1996-01-01	2011-01-01	NO	6407/7	NO	1	70.501000	21660	9999-12-31	2013-05-08
107	2011-01-01	2011-10-31	NO	6407/7	NO	1	26.858000	21660	9999-12-31	2013-05-08
107	2011-10-31	9999-12-31	NO	6407/7	NO	1	70.501000	21660	9999-12-31	2013-05-08
107	1996-01-01	2011-01-01	NO	6407/7	NO	2	50.730000	21660	9999-12-31	2013-05-08
107	2011-01-01	2011-10-31	NO	6407/7	NO	2	70.501000	21660	9999-12-31	2013-05-08
108	1985-03-01	1992-03-01	NO	7120/1	NO	1	323.030000	21668	9999-12-31	2013-05-08
108	1992-03-01	1993-12-31	NO	7120/1	NO	1	80.543000	21668	9999-12-31	2013-05-08
108	1993-12-31	1996-12-31	NO	7120/1	NO	1	80.078000	21668	9999-12-31	2013-05-08
108	1992-03-01	1993-12-31	NO	7120/1	NO	2	80.078000	21668	9999-12-31	2013-05-08
109	1985-03-01	1992-03-01	NO	7120/2	NO	1	323.030000	21676	9999-12-31	2013-05-08
109	1992-03-01	1994-12-31	NO	7120/2	NO	1	140.500000	21676	9999-12-31	2013-05-08
109	1995-01-01	2000-12-31	NO	7120/2	NO	1	99.384000	21676	9999-12-31	2013-05-08
109	1985-03-01	1992-03-01	NO	7120/3	NO	2	323.030000	21676	9999-12-31	2013-05-08
109	1992-03-01	1994-12-31	NO	7120/3	NO	2	151.282000	21676	9999-12-31	2013-05-08
109	1995-01-01	2000-12-31	NO	7120/3	NO	2	43.128000	21676	9999-12-31	2013-05-08
110	1985-03-01	1991-03-01	NO	7120/5	NO	1	327.322000	21684	9999-12-31	2013-05-08
110	1991-03-01	2009-01-01	NO	7120/5	NO	1	105.063000	21684	9999-12-31	2013-05-08
110	2009-01-01	2012-01-01	NO	7120/5	NO	1	105.063000	21684	9999-12-31	2013-05-08
110	2012-01-01	9999-12-31	NO	7120/5	NO	1	44.850000	21684	9999-12-31	2013-05-08
110	1985-03-01	1991-03-01	NO	7121/5	NO	2	327.322000	21684	9999-12-31	2013-05-08
110	1991-03-01	2009-01-01	NO	7121/5	NO	2	74.210000	21684	9999-12-31	2013-05-08
110	2009-01-01	2012-01-01	NO	7121/5	NO	2	28.405000	21684	9999-12-31	2013-05-08
110	2012-01-01	9999-12-31	NO	7121/5	NO	2	15.368000	21684	9999-12-31	2013-05-08
110	1991-03-01	2009-01-01	NO	7121/5	NO	3	30.729000	21684	9999-12-31	2013-05-08
110	2009-01-01	2012-01-01	NO	7121/5	NO	3	4.364000	21684	9999-12-31	2013-05-08
110	2012-01-01	9999-12-31	NO	7121/5	NO	3	28.405000	21684	9999-12-31	2013-05-08
110	2009-01-01	2012-01-01	NO	7121/5	NO	4	15.242000	21684	9999-12-31	2013-05-08
110	2012-01-01	9999-12-31	NO	7121/5	NO	4	15.242000	21684	9999-12-31	2013-05-08
110	2009-01-01	2012-01-01	NO	7121/5	NO	5	15.368000	21684	9999-12-31	2013-05-08
111	1985-03-01	1991-03-01	NO	7121/1	NO	1	323.030000	21692	9999-12-31	2013-05-08
111	1991-03-01	1994-12-31	NO	7121/1	NO	1	151.282000	21692	9999-12-31	2013-05-08
112	1985-07-26	1991-07-26	NO	25/2	NO	1	260.215000	21700	9999-12-31	2013-05-08
112	1991-07-26	1995-12-31	NO	25/2	NO	1	130.257000	21700	9999-12-31	2013-05-08
112	1996-01-01	1997-01-01	NO	25/2	NO	1	39.979000	21700	9999-12-31	2013-05-08
112	1997-01-01	2000-12-31	NO	25/2	NO	1	10.394000	21700	9999-12-31	2013-05-08
112	1996-01-01	1997-01-01	NO	25/2	NO	2	10.394000	21700	9999-12-31	2013-05-08
113	1985-08-23	9999-12-31	NO	2/12	NO	1	20.949000	21708	9999-12-31	2013-05-08
114	1985-08-23	1992-08-23	NO	9/2	NO	1	550.790000	21716	9999-12-31	2013-05-08
114	1992-08-23	2000-01-01	NO	9/2	NO	1	145.301000	21716	9999-12-31	2013-05-08
114	2000-01-01	2001-12-31	NO	9/2	NO	1	18.415000	21716	9999-12-31	2013-05-08
114	2000-01-01	2001-12-31	NO	9/2	NO	2	77.202000	21716	9999-12-31	2013-05-08
114 B	1995-08-11	2001-08-11	NO	9/5	NO	1	11.059000	21724	9999-12-31	2013-05-08
115	1985-08-23	1991-08-23	NO	9/3	NO	1	550.790000	21732	9999-12-31	2013-05-08
115	1991-08-23	1995-12-31	NO	9/3	NO	1	174.742000	21732	9999-12-31	2013-05-08
115	1996-01-01	1999-12-31	NO	9/3	NO	1	115.861000	21732	9999-12-31	2013-05-08
116	1985-08-23	1992-08-23	NO	15/12	NO	1	188.465000	21740	9999-12-31	2013-05-08
116	1992-08-23	1998-01-01	NO	15/12	NO	1	12.280000	21740	9999-12-31	2013-05-08
116	1998-01-01	2000-12-31	NO	15/12	NO	1	66.764000	21740	9999-12-31	2013-05-08
116	1992-08-23	1998-01-01	NO	15/12	NO	2	81.478000	21740	9999-12-31	2013-05-08
116	1998-01-01	2000-12-31	NO	15/12	NO	2	12.280000	21740	9999-12-31	2013-05-08
117	1985-08-23	1992-08-23	NO	25/6	NO	1	523.937000	21748	9999-12-31	2013-05-08
117	1992-08-23	1999-12-31	NO	25/6	NO	1	108.520000	21748	9999-12-31	2013-05-08
118	1985-08-23	1991-08-23	NO	26/4	NO	1	523.937000	21756	9999-12-31	2013-05-08
119	1985-08-23	1991-08-23	NO	29/3	NO	1	170.273000	21764	9999-12-31	2013-05-08
120	1985-08-23	1993-08-23	NO	34/7	NO	1	49.723000	21772	9999-12-31	2013-05-08
120	1993-08-23	2006-10-06	NO	34/7	NO	1	24.894000	21772	9999-12-31	2013-05-08
120	2006-10-06	9999-12-31	NO	34/7	NO	1	14.929000	21772	9999-12-31	2013-05-08
120	1985-08-23	1993-08-23	NO	34/8	NO	2	496.569000	21772	9999-12-31	2013-05-08
120	1993-08-23	2006-10-06	NO	34/8	NO	2	246.706000	21772	9999-12-31	2013-05-08
120	2006-10-06	9999-12-31	NO	34/8	NO	2	236.740000	21772	9999-12-31	2013-05-08
121	1986-02-28	1992-02-28	NO	6407/5	NO	1	444.465000	21780	9999-12-31	2013-05-08
121	1992-02-28	1994-01-01	NO	6407/5	NO	1	222.558000	21780	9999-12-31	2013-05-08
121	1994-01-01	9999-12-31	NO	6407/5	NO	1	26.619000	21780	9999-12-31	2013-05-08
122	1986-02-28	1995-02-28	NO	6507/2	NO	1	424.012000	21788	9999-12-31	2013-05-08
122	1995-02-28	1996-12-31	NO	6507/2	NO	1	212.022000	21788	9999-12-31	2013-05-08
122	1997-01-01	2011-01-01	NO	6507/2	NO	1	102.926000	21788	9999-12-31	2013-05-08
122	2011-01-01	9999-12-31	NO	6507/2	NO	1	81.758000	21788	9999-12-31	2013-05-08
123	1986-02-28	1992-02-28	NO	6507/6	NO	1	428.120000	21796	9999-12-31	2013-05-08
124	1986-02-28	1995-02-28	NO	6507/8	NO	1	432.220000	21804	9999-12-31	2013-05-08
124	1995-02-28	2000-01-01	NO	6507/8	NO	1	215.926000	21804	9999-12-31	2013-05-08
124	2000-01-01	2005-01-01	NO	6507/8	NO	1	195.785000	21804	9999-12-31	2013-05-08
124	2005-01-01	2011-12-31	NO	6507/8	NO	1	141.133000	21804	9999-12-31	2013-05-08
124	2011-12-31	9999-12-31	NO	6507/8	NO	1	99.273000	21804	9999-12-31	2013-05-08
125	1986-02-28	1990-03-14	NO	6508/5	NO	1	428.120000	21812	9999-12-31	2013-05-08
126	1986-02-28	1992-02-28	NO	6607/5	NO	1	411.636000	21820	9999-12-31	2013-05-08
127	1986-02-28	1993-02-28	NO	6607/12	NO	1	419.895000	21828	9999-12-31	2013-05-08
127	1993-02-28	1998-01-01	NO	6607/12	NO	1	210.335000	21828	9999-12-31	2013-05-08
127	1998-01-01	2005-01-01	NO	6607/12	NO	1	144.441000	21828	9999-12-31	2013-05-08
127	2005-01-01	9999-12-31	NO	6607/12	NO	1	92.716000	21828	9999-12-31	2013-05-08
128	1986-02-28	1996-02-28	NO	6608/10	NO	1	419.895000	21836	9999-12-31	2013-05-08
128	1996-02-28	2005-01-01	NO	6608/10	NO	1	173.945000	21836	9999-12-31	2013-05-08
128	2005-01-01	2008-01-01	NO	6608/10	NO	1	173.945000	21836	9999-12-31	2013-05-08
128	2008-01-01	2009-01-01	NO	6608/10	NO	1	140.227000	21836	9999-12-31	2013-05-08
128	2009-01-01	9999-12-31	NO	6608/10	NO	1	137.422000	21836	9999-12-31	2013-05-08
128	1996-02-28	2005-01-01	NO	6608/10	NO	2	34.847000	21836	9999-12-31	2013-05-08
128	2005-01-01	2008-01-01	NO	6608/10	NO	2	34.847000	21836	9999-12-31	2013-05-08
128	2008-01-01	2009-01-01	NO	6608/10	NO	2	34.847000	21836	9999-12-31	2013-05-08
128	2009-01-01	9999-12-31	NO	6608/10	NO	2	34.847000	21836	9999-12-31	2013-05-08
128	1986-02-28	1996-02-28	NO	6608/11	NO	2	419.895000	21836	9999-12-31	2013-05-08
128	1996-02-28	2005-01-01	NO	6608/11	NO	3	206.968000	21836	9999-12-31	2013-05-08
128	2005-01-01	2008-01-01	NO	6608/11	NO	3	184.550000	21836	9999-12-31	2013-05-08
128	2008-01-01	2009-01-01	NO	6608/11	NO	3	148.067000	21836	9999-12-31	2013-05-08
128	2009-01-01	9999-12-31	NO	6608/11	NO	3	76.769000	21836	9999-12-31	2013-05-08
129	1986-07-11	1992-07-11	NO	25/1	NO	1	225.393000	21844	9999-12-31	2013-05-08
129	1992-07-11	1994-12-31	NO	25/1	NO	1	105.976000	21844	9999-12-31	2013-05-08
130	1987-04-10	1993-04-10	NO	6201/11	NO	1	478.071000	21852	9999-12-31	2013-05-08
131	1987-04-10	1992-12-15	NO	6406/8	NO	1	448.529000	21860	9999-12-31	2013-05-08
132	1987-04-10	1993-04-10	NO	6407/10	NO	1	452.584000	21868	9999-12-31	2013-05-08
132	1993-04-10	2004-01-01	NO	6407/10	NO	1	72.168000	21868	9999-12-31	2013-05-08
132	2004-01-01	9999-12-31	NO	6407/10	NO	1	21.036000	21868	9999-12-31	2013-05-08
133	1987-04-10	1992-01-01	NO	6408/4	NO	1	444.465000	21876	9999-12-31	2013-05-08
134	1987-04-10	1997-04-09	NO	6506/11	NO	1	436.310000	21884	9999-12-31	2013-05-08
134	1997-04-10	2000-01-14	NO	6506/11	NO	1	218.507000	21884	9999-12-31	2013-05-08
134	2000-01-14	9999-12-31	NO	6506/11	NO	1	62.711000	21884	9999-12-31	2013-05-08
135	1987-04-10	1993-04-10	NO	7124/3	NO	1	323.030000	21892	9999-12-31	2013-05-08
135	1993-04-10	1995-12-31	NO	7124/3	NO	1	64.950000	21892	9999-12-31	2013-05-08
135	1993-04-10	1995-12-31	NO	7124/3	NO	2	141.679000	21892	9999-12-31	2013-05-08
135	1987-04-10	1993-04-10	NO	7125/1	NO	2	323.030000	21892	9999-12-31	2013-05-08
135	1993-04-10	1995-12-31	NO	7125/1	NO	3	16.237000	21892	9999-12-31	2013-05-08
135	1993-04-10	1995-12-31	NO	7125/1	NO	4	96.823000	21892	9999-12-31	2013-05-08
136	1987-04-10	1993-04-10	NO	7219/9	NO	1	314.428000	21900	9999-12-31	2013-05-08
136	1987-04-10	1993-04-10	NO	7220/7	NO	2	314.428000	21900	9999-12-31	2013-05-08
137	1987-04-10	1990-12-31	NO	7224/7	NO	1	314.428000	21908	9999-12-31	2013-05-08
137	1987-04-10	1990-12-31	NO	7224/8	NO	2	314.428000	21908	9999-12-31	2013-05-08
138	1987-05-29	1993-05-29	NO	7122/6	NO	1	327.322000	21916	9999-12-31	2013-05-08
138	1993-05-29	1999-12-31	NO	7122/6	NO	1	92.741000	21916	9999-12-31	2013-05-08
139	1987-05-29	1993-05-29	NO	7226/11	NO	3	318.732000	21924	9999-12-31	2013-05-08
139	1987-05-29	1993-05-29	NO	7226/8	NO	1	314.428000	21924	9999-12-31	2013-05-08
139	1987-05-29	1993-05-29	NO	7226/9	NO	2	314.428000	21924	9999-12-31	2013-05-08
140	1987-05-29	1990-12-31	NO	7320/9	NO	1	297.147000	21932	9999-12-31	2013-05-08
140	1987-05-29	1990-12-31	NO	7321/7	NO	2	297.147000	21932	9999-12-31	2013-05-08
141	1987-05-29	1990-12-31	NO	7321/8	NO	1	297.147000	21940	9999-12-31	2013-05-08
141	1987-05-29	1990-12-31	NO	7321/9	NO	2	297.147000	21940	9999-12-31	2013-05-08
142	1987-05-29	1997-05-29	NO	29/9	NO	1	8.026000	21948	9999-12-31	2013-05-08
142	1997-05-30	1999-01-01	NO	30/10	NO	2	73.928000	21948	9999-12-31	2013-05-08
142	1987-05-29	1997-05-29	NO	30/10	NO	3	232.587000	21948	9999-12-31	2013-05-08
142	1997-05-30	1999-01-01	NO	30/7	NO	1	180.062000	21948	9999-12-31	2013-05-08
142	1999-01-01	1999-12-31	NO	30/7	NO	1	102.220000	21948	9999-12-31	2013-05-08
142	1987-05-29	1997-05-29	NO	30/7	NO	2	271.696000	21948	9999-12-31	2013-05-08
143	1988-07-08	1997-07-09	NO	1/2	YES	1	319.068000	21956	9999-12-31	2013-05-08
143	1997-07-09	2012-01-01	NO	1/2	YES	1	158.008000	21956	9999-12-31	2013-05-08
143	2012-01-01	9999-12-31	NO	1/2	YES	1	105.141000	21956	9999-12-31	2013-05-08
144	1988-07-08	1998-07-08	NO	1/5	NO	1	79.269000	21964	9999-12-31	2013-05-08
144	1998-07-08	2002-12-31	NO	1/5	NO	3	49.254000	21964	9999-12-31	2013-05-08
144	1998-07-08	2002-12-31	NO	1/6	NO	1	105.493000	21964	9999-12-31	2013-05-08
144	1988-07-08	1998-07-08	NO	1/6	NO	2	117.497000	21964	9999-12-31	2013-05-08
144	1998-07-08	2002-12-31	NO	1/6	NO	2	34.151000	21964	9999-12-31	2013-05-08
144	1988-07-08	1998-07-08	NO	1/6	NO	3	139.734000	21964	9999-12-31	2013-05-08
145	1988-07-08	1994-07-08	NO	1/9	NO	1	90.418000	21972	9999-12-31	2013-05-08
145	1994-07-08	2001-01-01	NO	1/9	NO	1	14.932000	21972	9999-12-31	2013-05-08
145	2001-01-01	2007-01-01	NO	2/7	NO	1	21.036000	21972	9999-12-31	2013-05-08
145	2007-01-01	9999-12-31	NO	2/7	NO	1	11.475000	21972	9999-12-31	2013-05-08
145	1988-07-08	1994-07-08	NO	2/7	NO	2	160.137000	21972	9999-12-31	2013-05-08
145	1994-07-08	2001-01-01	NO	2/7	NO	2	100.927000	21972	9999-12-31	2013-05-08
146	1988-07-08	1997-07-08	NO	2/4	NO	1	221.748000	21980	9999-12-31	2013-05-08
146	1997-07-09	2003-01-01	NO	2/4	NO	1	109.888000	21980	9999-12-31	2013-05-08
146	2003-01-01	9999-12-31	NO	2/4	NO	1	83.371000	21980	9999-12-31	2013-05-08
147	1988-07-08	1997-07-09	NO	3/7	NO	1	341.157000	21988	9999-12-31	2013-05-08
147	1997-07-09	2000-01-01	NO	3/7	NO	1	132.971000	21988	9999-12-31	2013-05-08
147	2000-01-01	9999-12-31	NO	3/7	NO	1	19.372000	21988	9999-12-31	2013-05-08
147	1988-07-08	1997-07-09	NO	3/8	NO	2	126.620000	21988	9999-12-31	2013-05-08
147	1997-07-09	2000-01-01	NO	3/8	NO	2	99.939000	21988	9999-12-31	2013-05-08
148	1988-07-08	1994-07-08	NO	7/4	NO	1	375.503000	21996	9999-12-31	2013-05-08
148	1994-07-08	2000-01-01	NO	7/4	NO	1	123.708000	21996	9999-12-31	2013-05-08
148	2000-01-01	9999-12-31	NO	7/4	NO	1	9.272000	21996	9999-12-31	2013-05-08
148	1988-07-08	1994-07-08	NO	7/7	NO	2	167.935000	21996	9999-12-31	2013-05-08
148	1994-07-08	2000-01-01	NO	7/7	NO	2	147.446000	21996	9999-12-31	2013-05-08
148	2000-01-01	9999-12-31	NO	7/7	NO	2	40.849000	21996	9999-12-31	2013-05-08
149	1988-07-08	1994-07-08	NO	16/3	NO	1	535.510000	22004	9999-12-31	2013-05-08
150	1988-07-08	1994-07-08	NO	24/9	NO	1	375.258000	22012	9999-12-31	2013-05-08
150	1994-07-08	2003-01-01	NO	24/9	NO	1	186.479000	22012	9999-12-31	2013-05-08
150	2003-01-01	2008-01-01	NO	24/9	NO	1	57.912000	22012	9999-12-31	2013-05-08
150	2008-01-01	9999-12-31	NO	24/9	NO	1	47.369000	22012	9999-12-31	2013-05-08
151	1988-07-08	1994-07-08	NO	25/3	NO	1	520.058000	22020	9999-12-31	2013-05-08
152	1988-07-08	1995-07-08	NO	33/12	NO	1	137.968000	22028	9999-12-31	2013-05-08
152	1995-07-08	2005-01-01	NO	33/12	NO	1	73.468000	22028	9999-12-31	2013-05-08
152	2005-01-01	2013-01-01	NO	33/12	NO	1	23.408000	22028	2013-01-03	2013-05-08
152	2013-01-01	9999-12-31	NO	33/12	NO	1	20.061000	22028	9999-12-31	2013-05-08
153	1988-07-08	1998-07-08	NO	35/9	NO	1	496.569000	22036	9999-12-31	2013-05-08
153	1998-07-08	2001-01-01	NO	35/9	NO	1	332.420000	22036	9999-12-31	2013-05-08
153	2001-01-01	2003-01-01	NO	35/9	NO	1	74.534000	22036	9999-12-31	2013-05-08
153	2003-01-01	2004-01-01	NO	35/9	NO	1	74.534000	22036	9999-12-31	2013-05-08
153	2004-01-01	9999-12-31	NO	35/9	NO	1	110.810000	22036	9999-12-31	2013-05-08
153	2001-01-01	2003-01-01	NO	35/9	NO	2	132.262000	22036	9999-12-31	2013-05-08
153	2003-01-01	2004-01-01	NO	35/9	NO	2	110.810000	22036	9999-12-31	2013-05-08
153	1988-07-08	1998-07-08	NO	36/7	NO	2	496.569000	22036	9999-12-31	2013-05-08
153	1998-07-08	2001-01-01	NO	36/7	NO	2	451.723000	22036	9999-12-31	2013-05-08
153	2004-01-01	9999-12-31	NO	36/7	NO	2	24.841000	22036	9999-12-31	2013-05-08
153	2001-01-01	2003-01-01	NO	36/7	NO	3	345.605000	22036	9999-12-31	2013-05-08
153	2003-01-01	2004-01-01	NO	36/7	NO	3	24.841000	22036	9999-12-31	2013-05-08
153	2004-01-01	9999-12-31	NO	36/7	NO	3	11.603000	22036	9999-12-31	2013-05-08
153	2003-01-01	2004-01-01	NO	36/7	NO	4	11.603000	22036	9999-12-31	2013-05-08
154	1989-03-03	1995-03-03	NO	6205/3	NO	1	472.721000	22044	9999-12-31	2013-05-08
154	1989-03-03	1995-03-03	NO	6305/12	NO	2	468.712000	22044	9999-12-31	2013-05-08
155	1989-03-03	1993-02-18	NO	6306/10	NO	1	468.712000	22052	9999-12-31	2013-05-08
156	1989-03-03	1999-03-03	NO	6406/11	NO	1	452.584000	22060	9999-12-31	2013-05-08
156	1999-03-03	2001-01-01	NO	6406/11	NO	1	221.959000	22060	9999-12-31	2013-05-08
156	2001-01-01	2002-12-31	NO	6406/11	NO	1	45.285000	22060	9999-12-31	2013-05-08
157	1989-03-03	1999-03-03	NO	6406/12	NO	1	452.584000	22068	9999-12-31	2013-05-08
157	1999-03-03	1999-12-31	NO	6406/12	NO	1	226.546000	22068	9999-12-31	2013-05-08
158	1989-03-03	1998-03-03	NO	6407/8	NO	1	448.529000	22076	9999-12-31	2013-05-08
158	1998-03-03	2000-01-01	NO	6407/8	NO	1	224.139000	22076	9999-12-31	2013-05-08
158	2000-01-01	2002-01-01	NO	6407/8	NO	1	149.595000	22076	9999-12-31	2013-05-08
158	2002-01-01	9999-12-31	NO	6407/8	NO	1	5.975000	22076	9999-12-31	2013-05-08
159	1989-03-03	1999-03-03	NO	6507/3	NO	1	424.012000	22084	9999-12-31	2013-05-08
159	1999-03-03	2001-09-03	NO	6507/3	NO	1	237.259000	22084	9999-12-31	2013-05-08
159	2001-09-03	2004-08-13	NO	6507/3	NO	1	211.843000	22084	9999-12-31	2013-05-08
159	2004-08-13	2008-02-13	NO	6507/3	NO	1	134.399000	22084	9999-12-31	2013-05-08
159	2008-02-13	9999-12-31	NO	6507/3	NO	1	55.650000	22084	9999-12-31	2013-05-08
160	1989-03-03	1993-11-01	NO	7228/1	NO	1	305.800000	22092	9999-12-31	2013-05-08
160	1989-03-03	1993-11-01	NO	7228/2	NO	2	305.800000	22092	9999-12-31	2013-05-08
161	1989-03-03	1993-12-31	NO	7228/8	NO	1	314.428000	22100	9999-12-31	2013-05-08
161	1989-03-03	1993-12-31	NO	7228/9	NO	2	314.428000	22100	9999-12-31	2013-05-08
162	1989-03-03	1991-12-31	NO	7324/10	NO	1	301.476000	22108	9999-12-31	2013-05-08
162	1989-03-03	1991-12-31	NO	7324/11	NO	2	301.476000	22108	9999-12-31	2013-05-08
163	1991-03-01	2000-03-01	NO	2/10	NO	1	51.795000	22116	9999-12-31	2013-05-08
163	1991-03-01	2000-03-01	NO	2/10	NO	2	49.895000	22116	9999-12-31	2013-05-08
164	1991-03-01	1997-03-01	NO	2/1	NO	1	101.616000	22124	9999-12-31	2013-05-08
164	1991-03-01	1997-03-01	NO	7/12	NO	2	78.819000	22124	9999-12-31	2013-05-08
164	1991-03-01	1997-03-01	NO	7/12	NO	3	228.485000	22124	9999-12-31	2013-05-08
164	1991-03-01	1997-03-01	NO	8/10	NO	4	374.792000	22124	9999-12-31	2013-05-08
165	1991-03-01	1994-11-01	NO	10/7	NO	1	558.364000	22132	9999-12-31	2013-05-08
166	1991-03-01	2000-03-01	NO	15/6	NO	1	269.806000	22140	9999-12-31	2013-05-08
166	2000-03-01	2002-12-31	NO	15/6	NO	1	127.786000	22140	9999-12-31	2013-05-08
167	1991-03-01	2000-03-01	NO	16/1	NO	1	209.034000	22148	9999-12-31	2013-05-08
167	2000-03-01	2007-01-01	NO	16/1	NO	1	40.960000	22148	9999-12-31	2013-05-08
167	2007-01-01	9999-12-31	NO	16/1	NO	1	21.359000	22148	9999-12-31	2013-05-08
168	1991-03-01	1999-03-01	NO	25/10	NO	1	267.501000	22156	9999-12-31	2013-05-08
168	1999-03-01	2001-01-01	NO	25/10	NO	1	47.718000	22156	9999-12-31	2013-05-08
168	2001-01-01	2003-12-31	NO	25/10	NO	1	47.718000	22156	9999-12-31	2013-05-08
168	1999-03-01	2001-01-01	NO	25/10	NO	2	85.277000	22156	9999-12-31	2013-05-08
169	1991-03-01	2000-03-01	NO	25/11	NO	2	430.884000	22164	9999-12-31	2013-05-08
169	2000-03-01	2009-03-27	NO	25/11	NO	2	120.714000	22164	9999-12-31	2013-05-08
169	2009-03-27	2011-11-04	NO	25/11	NO	2	120.714000	22164	9999-12-31	2013-05-08
169	2011-11-04	9999-12-31	NO	25/11	NO	2	120.714000	22164	9999-12-31	2013-05-08
169	2000-03-01	2009-03-27	NO	25/11	NO	3	1.773000	22164	9999-12-31	2013-05-08
169	2009-03-27	2011-11-04	NO	25/11	NO	3	1.773000	22164	9999-12-31	2013-05-08
169	2011-11-04	9999-12-31	NO	25/11	NO	3	1.773000	22164	9999-12-31	2013-05-08
169	2000-03-01	2009-03-27	NO	25/11	NO	4	3.542000	22164	9999-12-31	2013-05-08
169	2009-03-27	2011-11-04	NO	25/11	NO	4	3.542000	22164	9999-12-31	2013-05-08
169	2011-11-04	9999-12-31	NO	25/11	NO	4	3.542000	22164	9999-12-31	2013-05-08
169	2000-03-01	2009-03-27	NO	25/11	NO	5	5.307000	22164	9999-12-31	2013-05-08
169	2009-03-27	2011-11-04	NO	25/11	NO	5	5.307000	22164	9999-12-31	2013-05-08
169	2011-11-04	9999-12-31	NO	25/11	NO	5	5.307000	22164	9999-12-31	2013-05-08
169	2000-03-01	2009-03-27	NO	25/11	NO	6	8.831000	22164	9999-12-31	2013-05-08
169	2009-03-27	2011-11-04	NO	25/11	NO	6	8.831000	22164	9999-12-31	2013-05-08
169	2011-11-04	9999-12-31	NO	25/11	NO	6	8.831000	22164	9999-12-31	2013-05-08
169	1991-03-01	2000-03-01	NO	25/8	NO	1	158.505000	22164	9999-12-31	2013-05-08
169	2000-03-01	2009-03-27	NO	25/8	NO	1	118.005000	22164	9999-12-31	2013-05-08
169	2009-03-27	2011-11-04	NO	25/8	NO	1	91.618000	22164	9999-12-31	2013-05-08
169	2011-11-04	9999-12-31	NO	25/8	NO	1	72.233000	22164	9999-12-31	2013-05-08
170	1991-03-01	1995-03-01	NO	30/6	NO	1	174.407000	22172	9999-12-31	2013-05-08
170	1995-03-01	1997-12-31	NO	30/6	NO	1	13.511000	22172	9999-12-31	2013-05-08
171	1991-03-01	2000-10-09	NO	30/12	NO	1	516.169000	22180	9999-12-31	2013-05-08
171	2000-10-09	2001-01-01	NO	30/12	NO	1	493.017000	22180	9999-12-31	2013-05-08
171	2001-01-01	2002-12-31	NO	30/12	NO	1	231.012000	22180	9999-12-31	2013-05-08
172	1991-03-01	1995-03-01	NO	33/9	NO	1	85.440000	22188	9999-12-31	2013-05-08
172	1995-03-01	2000-01-01	NO	33/9	NO	1	29.769000	22188	9999-12-31	2013-05-08
172	2000-01-01	2003-12-31	NO	33/9	NO	1	25.272000	22188	9999-12-31	2013-05-08
172	1991-03-01	1995-03-01	NO	33/9	NO	2	71.748000	22188	9999-12-31	2013-05-08
172	1995-03-01	2000-01-01	NO	33/9	NO	2	48.366000	22188	9999-12-31	2013-05-08
173	1991-03-01	1999-12-29	NO	35/10	NO	1	500.509000	22196	9999-12-31	2013-05-08
173	1999-12-29	2000-12-27	NO	35/10	NO	1	211.971000	22196	9999-12-31	2013-05-08
173	1999-12-29	2000-12-27	NO	35/10	NO	2	38.284000	22196	9999-12-31	2013-05-08
174	1991-03-01	2000-12-29	NO	35/12	NO	1	500.509000	22204	9999-12-31	2013-05-08
174	2000-12-29	2003-12-31	NO	35/12	NO	1	50.124000	22204	9999-12-31	2013-05-08
175	1991-03-01	1999-03-01	NO	6204/10	NO	1	484.689000	22212	9999-12-31	2013-05-08
175	1999-03-01	1999-12-31	NO	6204/10	NO	1	359.963000	22212	9999-12-31	2013-05-08
175	1991-03-01	1999-03-01	NO	6204/11	NO	2	484.689000	22212	9999-12-31	2013-05-08
175	1999-03-01	1999-12-31	NO	6204/11	NO	2	19.436000	22212	9999-12-31	2013-05-08
175	1999-03-01	1999-12-31	NO	6204/11	NO	3	49.955000	22212	9999-12-31	2013-05-08
176	1991-03-01	1998-03-01	NO	6407/11	NO	1	452.584000	22220	9999-12-31	2013-05-08
176	1998-03-01	2000-01-01	NO	6407/11	NO	1	227.394000	22220	9999-12-31	2013-05-08
176	2000-01-01	2001-01-01	NO	6407/11	NO	1	84.193000	22220	9999-12-31	2013-05-08
176	2001-01-01	9999-12-31	NO	6407/12	NO	1	7.512000	22220	9999-12-31	2013-05-08
176	1991-03-01	1998-03-01	NO	6407/12	NO	2	452.584000	22220	9999-12-31	2013-05-08
176	1998-03-01	2000-01-01	NO	6407/12	NO	2	189.621000	22220	9999-12-31	2013-05-08
176	2000-01-01	2001-01-01	NO	6407/12	NO	2	45.096000	22220	9999-12-31	2013-05-08
177	1991-03-01	2000-01-01	NO	6610/2	NO	1	407.494000	22228	9999-12-31	2013-05-08
177	1991-03-01	2000-01-01	NO	6610/3	NO	2	407.494000	22228	9999-12-31	2013-05-08
178	1991-03-01	1993-12-31	NO	7122/1	NO	1	323.030000	22236	9999-12-31	2013-05-08
178	1991-03-01	1993-12-31	NO	7122/4	NO	2	327.322000	22236	9999-12-31	2013-05-08
179	1991-03-01	1994-12-22	NO	7122/2	NO	1	323.030000	22244	9999-12-31	2013-05-08
179	1991-03-01	1994-12-22	NO	7122/3	NO	2	323.030000	22244	9999-12-31	2013-05-08
180	1991-03-01	1995-04-01	NO	7128/4	NO	1	327.322000	22252	9999-12-31	2013-05-08
181	1991-03-01	1999-03-01	NO	7128/6	NO	1	327.322000	22260	9999-12-31	2013-05-08
181	1991-03-01	1999-03-01	NO	7128/9	NO	2	331.606000	22260	9999-12-31	2013-05-08
181	1991-03-01	1999-03-01	NO	7129/4	NO	3	327.322000	22260	9999-12-31	2013-05-08
182	1991-03-01	2000-12-31	NO	7219/7	NO	1	314.428000	22268	9999-12-31	2013-05-08
182	1991-03-01	2000-12-31	NO	7219/8	NO	2	314.428000	22268	9999-12-31	2013-05-08
183	1991-03-01	1995-04-11	NO	7229/11	NO	1	318.732000	22276	9999-12-31	2013-05-08
183	1991-03-01	1995-04-11	NO	7229/12	NO	2	318.732000	22276	9999-12-31	2013-05-08
184	1991-03-01	1994-07-01	NO	7316/4	NO	1	292.811000	22284	9999-12-31	2013-05-08
184	1991-03-01	1994-07-01	NO	7316/5	NO	2	292.811000	22284	9999-12-31	2013-05-08
184	1991-03-01	1994-07-01	NO	7316/8	NO	3	297.147000	22284	9999-12-31	2013-05-08
185	1991-09-13	9999-12-31	NO	31/7	NO	1	25.535000	22292	9999-12-31	2013-05-08
186	1993-09-10	1999-09-10	NO	7/10	NO	1	9.933000	22300	9999-12-31	2013-05-08
186	1993-09-10	1999-09-10	NO	7/11	NO	2	222.620000	22300	9999-12-31	2013-05-08
187	1993-09-10	2002-09-10	NO	15/2	NO	1	107.019000	22308	9999-12-31	2013-05-08
187	2002-09-10	9999-12-31	NO	15/3	NO	1	33.942000	22308	9999-12-31	2013-05-08
187	1993-09-10	2002-09-10	NO	15/3	NO	2	133.877000	22308	9999-12-31	2013-05-08
187	2002-09-10	9999-12-31	NO	15/3	NO	2	33.976000	22308	9999-12-31	2013-05-08
187	1993-09-10	2002-09-10	NO	15/3	NO	3	133.781000	22308	9999-12-31	2013-05-08
188	1993-09-10	1998-04-20	NO	17/3	NO	1	535.510000	22316	9999-12-31	2013-05-08
189	1993-09-10	2000-09-10	NO	25/8	NO	1	108.857000	22324	9999-12-31	2013-05-08
189	2000-09-10	2003-12-18	NO	25/8	NO	1	108.857000	22324	9999-12-31	2013-05-08
189	2003-12-18	2005-01-01	NO	25/8	NO	1	108.857000	22324	9999-12-31	2013-05-08
189	1993-09-10	2000-09-10	NO	25/9	NO	2	527.805000	22324	9999-12-31	2013-05-08
189	2000-09-10	2003-12-18	NO	25/9	NO	2	207.836000	22324	9999-12-31	2013-05-08
190	1993-09-10	2000-10-04	NO	30/8	NO	1	512.269000	22332	9999-12-31	2013-05-08
190	2000-10-04	2002-09-10	NO	30/8	NO	1	35.756000	22332	9999-12-31	2013-05-08
190	2002-09-10	9999-12-31	NO	30/8	NO	1	35.756000	22332	9999-12-31	2013-05-08
190	2000-10-04	2002-09-10	NO	30/8	NO	2	42.749000	22332	9999-12-31	2013-05-08
190	2002-09-10	9999-12-31	NO	30/8	NO	2	23.944000	22332	9999-12-31	2013-05-08
190	2000-10-04	2002-09-10	NO	30/8	NO	3	196.367000	22332	9999-12-31	2013-05-08
190	2002-09-10	9999-12-31	NO	30/8	NO	3	196.367000	22332	9999-12-31	2013-05-08
192	1993-09-10	1999-10-06	NO	34/5	NO	1	492.619000	22348	9999-12-31	2013-05-08
193	1993-09-10	2001-09-10	NO	34/11	NO	1	500.509000	22356	9999-12-31	2013-05-08
193	2001-09-10	2011-12-21	NO	34/11	NO	1	250.430000	22356	9999-12-31	2013-05-08
193	2011-12-21	9999-12-31	NO	34/11	NO	1	134.029000	22356	9999-12-31	2013-05-08
193	2011-12-21	9999-12-31	NO	34/11	NO	2	38.262000	22356	9999-12-31	2013-05-08
194	1993-09-10	2000-03-28	NO	35/4	NO	1	492.619000	22364	9999-12-31	2013-05-08
194	1993-09-10	2000-03-28	NO	35/5	NO	2	123.155000	22364	9999-12-31	2013-05-08
195	1993-09-10	2000-09-10	NO	35/8	NO	1	403.704000	22372	9999-12-31	2013-05-08
195	2000-09-10	2003-01-01	NO	35/8	NO	1	200.560000	22372	9999-12-31	2013-05-08
195	2003-01-01	2009-01-01	NO	35/8	NO	1	87.714000	22372	9999-12-31	2013-05-08
195	2009-01-01	9999-12-31	NO	35/8	NO	1	29.805000	22372	9999-12-31	2013-05-08
195	2009-01-01	9999-12-31	NO	35/8	NO	2	24.828000	22372	9999-12-31	2013-05-08
196	1993-09-10	2002-03-10	NO	35/6	NO	1	492.619000	22380	9999-12-31	2013-05-08
196	1993-09-10	2002-03-10	NO	36/4	NO	2	492.619000	22380	9999-12-31	2013-05-08
197	1993-09-10	2000-12-27	NO	6306/2	NO	1	456.630000	22388	9999-12-31	2013-05-08
197	2000-12-27	2002-12-31	NO	6306/2	NO	2	236.323000	22388	9999-12-31	2013-05-08
197	2000-12-27	2002-12-31	NO	6306/5	NO	1	162.391000	22388	9999-12-31	2013-05-08
197	1993-09-10	2000-12-27	NO	6306/5	NO	2	460.667000	22388	9999-12-31	2013-05-08
198	1993-09-10	1999-09-10	NO	6306/6	NO	1	460.667000	22396	9999-12-31	2013-05-08
199	1993-09-10	2003-08-26	NO	6406/2	NO	1	440.392000	22404	9999-12-31	2013-05-08
199	2003-08-26	9999-12-31	NO	6406/2	NO	1	215.679000	22404	9999-12-31	2013-05-08
200	1993-09-10	2003-09-10	NO	6608/7	NO	1	415.770000	22412	9999-12-31	2013-05-08
200	1993-09-10	2003-09-10	NO	6608/8	NO	2	415.770000	22412	9999-12-31	2013-05-08
201	1993-09-10	2003-06-26	NO	7018/3	NO	1	340.156000	22420	9999-12-31	2013-05-08
201	2003-06-26	2010-01-01	NO	7018/3	NO	1	152.412000	22420	9999-12-31	2013-05-08
201	2010-01-01	9999-12-31	NO	7018/3	NO	1	1.133000	22420	9999-12-31	2013-05-08
201	1993-09-10	2003-06-26	NO	7019/1	NO	2	340.156000	22420	9999-12-31	2013-05-08
201	2003-06-26	2010-01-01	NO	7019/1	NO	2	181.400000	22420	9999-12-31	2013-05-08
201	2010-01-01	9999-12-31	NO	7019/1	NO	2	27.163000	22420	9999-12-31	2013-05-08
203	1996-02-02	2002-02-02	NO	24/6	NO	1	42.029000	22436	9999-12-31	2013-05-08
203	2002-02-02	2008-01-01	NO	24/6	NO	1	42.029000	22436	9999-12-31	2013-05-08
203	2008-01-01	9999-12-31	NO	24/6	NO	1	42.029000	22436	9999-12-31	2013-05-08
203	1996-02-02	2002-02-02	NO	25/4	NO	2	262.047000	22436	9999-12-31	2013-05-08
203	2002-02-02	2008-01-01	NO	25/4	NO	2	115.533000	22436	9999-12-31	2013-05-08
203	2008-01-01	9999-12-31	NO	25/4	NO	2	101.517000	22436	9999-12-31	2013-05-08
203	1996-02-02	2002-02-02	NO	25/7	NO	3	221.518000	22436	9999-12-31	2013-05-08
203	2002-02-02	2008-01-01	NO	25/7	NO	3	98.259000	22436	9999-12-31	2013-05-08
203	2008-01-01	9999-12-31	NO	25/7	NO	3	57.896000	22436	9999-12-31	2013-05-08
204	1996-02-02	2003-02-02	NO	24/11	NO	2	13.203000	22444	9999-12-31	2013-05-08
204	2003-02-02	2004-02-02	NO	24/12	NO	2	350.694000	22444	9999-12-31	2013-05-08
204	1996-02-02	2003-02-02	NO	24/12	NO	3	517.987000	22444	9999-12-31	2013-05-08
204	1996-02-02	2003-02-02	NO	24/9	NO	1	188.778000	22444	9999-12-31	2013-05-08
204	2003-02-02	2004-02-02	NO	24/9	NO	1	138.877000	22444	9999-12-31	2013-05-08
205	1996-02-02	1999-12-31	NO	32/1	NO	1	504.440000	22452	9999-12-31	2013-05-08
205	1996-02-02	1999-12-31	NO	32/2	NO	2	151.332000	22452	9999-12-31	2013-05-08
205	1996-02-02	1999-12-31	NO	32/4	NO	3	498.213000	22452	9999-12-31	2013-05-08
205	1996-02-02	1999-12-31	NO	32/5	NO	4	152.508000	22452	9999-12-31	2013-05-08
206	1996-02-02	2002-02-02	NO	33/5	NO	1	64.203000	22460	9999-12-31	2013-05-08
206	2002-02-02	2003-12-31	NO	33/5	NO	1	41.411000	22460	9999-12-31	2013-05-08
206	1996-02-02	2002-02-02	NO	33/6	NO	2	485.802000	22460	9999-12-31	2013-05-08
206	2002-02-02	2003-12-31	NO	33/6	NO	2	68.939000	22460	9999-12-31	2013-05-08
206	1996-02-02	2002-02-02	NO	34/4	NO	3	246.019000	22460	9999-12-31	2013-05-08
207	1996-02-02	2000-01-20	NO	6302/4	NO	1	460.667000	22468	9999-12-31	2013-05-08
207	1996-02-02	2000-01-20	NO	6302/5	NO	2	460.667000	22468	9999-12-31	2013-05-08
207	1996-02-02	2000-01-20	NO	6302/7	NO	3	464.694000	22468	9999-12-31	2013-05-08
207	1996-02-02	2000-01-20	NO	6302/8	NO	4	464.694000	22468	9999-12-31	2013-05-08
208	1996-02-02	2005-02-02	NO	6304/9	NO	1	464.694000	22476	9999-12-31	2013-05-08
208	2005-02-02	9999-12-31	NO	6305/7	NO	1	140.867000	22476	9999-12-31	2013-05-08
208	1996-02-02	2005-02-02	NO	6305/7	NO	2	464.694000	22476	9999-12-31	2013-05-08
209	1996-02-02	2006-02-02	NO	6305/1	NO	1	456.630000	22484	9999-12-31	2013-05-08
209	2006-02-02	2008-01-01	NO	6305/1	NO	1	333.274000	22484	9999-12-31	2013-05-08
209	2008-01-01	2009-01-01	NO	6305/1	NO	1	333.274000	22484	9999-12-31	2013-05-08
209	2009-01-01	2011-01-01	NO	6305/1	NO	1	22.912000	22484	9999-12-31	2013-05-08
209	1996-02-02	2006-02-02	NO	6305/2	NO	2	456.630000	22484	9999-12-31	2013-05-08
209	2006-02-02	2008-01-01	NO	6305/2	NO	2	4.550000	22484	9999-12-31	2013-05-08
209	2008-01-01	2009-01-01	NO	6305/2	NO	2	4.550000	22484	9999-12-31	2013-05-08
209	2009-01-01	2011-01-01	NO	6305/2	NO	2	27.495000	22484	9999-12-31	2013-05-08
209	2006-02-02	2008-01-01	NO	6305/2	NO	3	39.693000	22484	9999-12-31	2013-05-08
209	2008-01-01	2009-01-01	NO	6305/2	NO	3	39.693000	22484	9999-12-31	2013-05-08
209	2011-01-01	9999-12-31	NO	6305/4	NO	1	147.542000	22484	9999-12-31	2013-05-08
209	1996-02-02	2006-02-02	NO	6305/4	NO	3	460.667000	22484	9999-12-31	2013-05-08
209	2009-01-01	2011-01-01	NO	6305/4	NO	3	170.495000	22484	9999-12-31	2013-05-08
209	2006-02-02	2008-01-01	NO	6305/4	NO	4	408.273000	22484	9999-12-31	2013-05-08
209	2008-01-01	2009-01-01	NO	6305/4	NO	4	283.909000	22484	9999-12-31	2013-05-08
209	2011-01-01	9999-12-31	NO	6305/5	NO	2	193.719000	22484	9999-12-31	2013-05-08
209	1996-02-02	2006-02-02	NO	6305/5	NO	4	460.667000	22484	9999-12-31	2013-05-08
209	2009-01-01	2011-01-01	NO	6305/5	NO	4	221.263000	22484	9999-12-31	2013-05-08
209	2006-02-02	2008-01-01	NO	6305/5	NO	5	221.263000	22484	9999-12-31	2013-05-08
209	2008-01-01	2009-01-01	NO	6305/5	NO	5	221.263000	22484	9999-12-31	2013-05-08
210	1996-02-02	2006-02-02	NO	6404/3	NO	1	440.392000	22492	9999-12-31	2013-05-08
210	1996-02-02	2006-02-02	NO	6405/1	NO	2	440.392000	22492	9999-12-31	2013-05-08
210	1996-02-02	2006-02-02	NO	6504/12	NO	4	436.310000	22492	9999-12-31	2013-05-08
210	1996-02-02	2006-02-02	NO	6504/9	NO	3	432.220000	22492	9999-12-31	2013-05-08
210	1996-02-02	2006-02-02	NO	6505/10	NO	6	436.310000	22492	9999-12-31	2013-05-08
210	1996-02-02	2006-02-02	NO	6505/7	NO	5	432.220000	22492	9999-12-31	2013-05-08
211	1996-02-02	2002-02-02	NO	6506/6	NO	1	428.120000	22500	9999-12-31	2013-05-08
211	2002-02-02	2011-01-01	NO	6506/6	NO	1	124.490000	22500	9999-12-31	2013-05-08
211	2011-01-01	9999-12-31	NO	6506/6	NO	1	94.464000	22500	9999-12-31	2013-05-08
211	1996-02-02	2002-02-02	NO	6507/4	NO	2	428.120000	22500	9999-12-31	2013-05-08
211	2002-02-02	2011-01-01	NO	6507/4	NO	2	304.376000	22500	9999-12-31	2013-05-08
211	2011-01-01	9999-12-31	NO	6507/4	NO	2	147.320000	22500	9999-12-31	2013-05-08
212	1996-02-02	2003-02-02	NO	6507/5	NO	1	428.120000	22508	9999-12-31	2013-05-08
212	2003-02-02	2004-01-01	NO	6507/5	NO	1	294.041000	22508	9999-12-31	2013-05-08
212	2004-01-01	2005-02-07	NO	6507/5	NO	1	203.893000	22508	9999-12-31	2013-05-08
212	2005-02-07	9999-12-31	NO	6507/5	NO	1	203.893000	22508	9999-12-31	2013-05-08
212	1996-02-02	2003-02-02	NO	6507/6	NO	2	428.120000	22508	9999-12-31	2013-05-08
212	2003-02-02	2004-01-01	NO	6507/6	NO	2	14.218000	22508	9999-12-31	2013-05-08
212	2004-01-01	2005-02-07	NO	6507/6	NO	2	114.232000	22508	9999-12-31	2013-05-08
212	2005-02-07	9999-12-31	NO	6507/6	NO	2	14.218000	22508	9999-12-31	2013-05-08
212	2003-02-02	2004-01-01	NO	6507/6	NO	3	2.855000	22508	9999-12-31	2013-05-08
212	2004-01-01	2005-02-07	NO	6507/6	NO	3	14.218000	22508	9999-12-31	2013-05-08
212	2003-02-02	2004-01-01	NO	6507/6	NO	4	114.232000	22508	9999-12-31	2013-05-08
213	1996-02-02	2002-02-02	NO	6508/1	NO	1	416.977000	22516	9999-12-31	2013-05-08
213	2002-02-02	2007-01-01	NO	6508/1	NO	1	207.445000	22516	9999-12-31	2013-05-08
213	2007-01-01	2010-01-01	NO	6508/1	NO	1	111.577000	22516	9999-12-31	2013-05-08
213	2010-01-01	2010-12-31	NO	6508/1	NO	1	30.968000	22516	9999-12-31	2013-05-08
214	1996-02-02	1999-03-23	NO	6510/1	NO	1	424.012000	22524	9999-12-31	2013-05-08
214	1996-02-02	1999-03-23	NO	6510/2	NO	2	407.028000	22524	9999-12-31	2013-05-08
215	1996-02-02	2006-02-02	NO	6604/2	NO	1	407.494000	22532	9999-12-31	2013-05-08
215	1996-02-02	2006-02-02	NO	6604/3	NO	2	407.494000	22532	9999-12-31	2013-05-08
215	1996-02-02	2006-02-02	NO	6704/12	NO	3	403.344000	22532	9999-12-31	2013-05-08
215	1996-02-02	2006-02-02	NO	6705/10	NO	4	403.344000	22532	9999-12-31	2013-05-08
216	1996-02-02	2002-02-01	NO	6610/1	NO	1	407.494000	22540	9999-12-31	2013-05-08
217	1996-02-02	2005-07-07	NO	6706/11	NO	1	403.344000	22548	9999-12-31	2013-05-08
217	1996-02-02	2005-07-07	NO	6706/12	NO	2	100.836000	22548	9999-12-31	2013-05-08
218	1996-02-02	2006-02-02	NO	6706/12	NO	1	302.508000	22556	9999-12-31	2013-05-08
218	2006-02-02	9999-12-31	NO	6706/12	NO	1	71.444000	22556	9999-12-31	2013-05-08
218	1996-02-02	2006-02-02	NO	6707/10	NO	2	403.344000	22556	9999-12-31	2013-05-08
218	2006-02-02	9999-12-31	NO	6707/10	NO	2	44.494000	22556	9999-12-31	2013-05-08
219	1996-02-02	9999-12-31	NO	6710/6	NO	1	377.504000	22564	9999-12-31	2013-05-08
220	1996-02-02	9999-12-31	NO	6710/10	NO	1	247.977000	22572	9999-12-31	2013-05-08
221	2000-06-16	2002-04-30	NO	7116/2	NO	5	150.213000	22580	9999-12-31	2013-05-08
221	2000-06-16	2002-04-30	NO	7116/3	NO	6	71.807000	22580	9999-12-31	2013-05-08
221	2000-06-16	2002-04-30	NO	7216/10	NO	1	318.732000	22580	9999-12-31	2013-05-08
221	2000-06-16	2002-04-30	NO	7216/11	NO	2	318.732000	22580	9999-12-31	2013-05-08
221	2000-06-16	2002-04-30	NO	7216/12	NO	3	161.935000	22580	9999-12-31	2013-05-08
221	2000-06-16	2002-04-30	NO	7217/10	NO	4	25.613000	22580	9999-12-31	2013-05-08
224	1997-05-30	2002-05-14	NO	7217/12	NO	2	318.732000	22604	9999-12-31	2013-05-08
224	1997-05-30	2002-05-14	NO	7217/9	NO	1	236.225000	22604	9999-12-31	2013-05-08
224	1997-05-30	2002-05-14	NO	7218/10	NO	5	318.732000	22604	9999-12-31	2013-05-08
224	1997-05-30	2002-05-14	NO	7218/11	NO	6	318.732000	22604	9999-12-31	2013-05-08
224	1997-05-30	2002-05-14	NO	7218/7	NO	3	236.225000	22604	9999-12-31	2013-05-08
224	1997-05-30	2002-05-14	NO	7218/8	NO	4	236.225000	22604	9999-12-31	2013-05-08
225	2004-05-13	2009-01-01	NO	7220/12	NO	4	63.446000	22612	9999-12-31	2013-05-08
225	2004-05-13	2009-01-01	NO	7220/3	NO	1	122.806000	22612	9999-12-31	2013-05-08
225	2004-05-13	2009-01-01	NO	7220/6	NO	2	310.117000	22612	9999-12-31	2013-05-08
225	2004-05-13	2009-01-01	NO	7220/9	NO	3	310.209000	22612	9999-12-31	2013-05-08
225	2004-05-13	2009-01-01	NO	7221/4	NO	5	178.113000	22612	9999-12-31	2013-05-08
225	2004-05-13	2009-01-01	NO	7221/7	NO	6	87.785000	22612	9999-12-31	2013-05-08
226	2010-04-21	9999-12-31	NO	7222/1	NO	1	100.635000	22620	9999-12-31	2013-05-08
228	2009-05-15	2010-01-01	NO	7222/11	NO	1	187.498000	22636	9999-12-31	2013-05-08
228	2010-01-01	2010-12-31	NO	7222/11	NO	1	158.831000	22636	9999-12-31	2013-05-08
228	1997-05-30	2009-01-01	NO	7222/11	NO	4	318.732000	22636	9999-12-31	2013-05-08
228	2009-01-01	2009-05-15	NO	7222/11	NO	4	318.732000	22636	9999-12-31	2013-05-08
228	2009-05-15	2010-01-01	NO	7222/12	NO	2	267.716000	22636	9999-12-31	2013-05-08
228	2010-01-01	2010-12-31	NO	7222/12	NO	2	225.289000	22636	9999-12-31	2013-05-08
228	1997-05-30	2009-01-01	NO	7222/12	NO	5	318.732000	22636	9999-12-31	2013-05-08
228	2009-01-01	2009-05-15	NO	7222/12	NO	5	318.732000	22636	9999-12-31	2013-05-08
228	1997-05-30	2009-01-01	NO	7222/6	NO	1	310.117000	22636	9999-12-31	2013-05-08
228	2009-01-01	2009-05-15	NO	7222/6	NO	1	289.577000	22636	9999-12-31	2013-05-08
228	1997-05-30	2009-01-01	NO	7222/8	NO	2	314.428000	22636	9999-12-31	2013-05-08
228	2009-01-01	2009-05-15	NO	7222/8	NO	2	314.428000	22636	9999-12-31	2013-05-08
228	1997-05-30	2009-01-01	NO	7222/9	NO	3	314.428000	22636	9999-12-31	2013-05-08
228	2009-01-01	2009-05-15	NO	7222/9	NO	3	314.428000	22636	9999-12-31	2013-05-08
228	1997-05-30	2009-01-01	NO	7223/4	NO	6	310.117000	22636	9999-12-31	2013-05-08
228	2009-01-01	2009-05-15	NO	7223/4	NO	6	231.947000	22636	9999-12-31	2013-05-08
228	1997-05-30	2009-01-01	NO	7223/5	NO	7	310.117000	22636	9999-12-31	2013-05-08
228	2009-01-01	2009-05-15	NO	7223/5	NO	7	186.588000	22636	9999-12-31	2013-05-08
228	1997-05-30	2009-01-01	NO	7223/6	NO	8	310.117000	22636	9999-12-31	2013-05-08
228	2009-01-01	2009-05-15	NO	7223/6	NO	8	155.595000	22636	9999-12-31	2013-05-08
229	1997-05-30	2009-02-16	NO	7122/10	NO	4	16.698000	22644	9999-12-31	2013-05-08
229	2009-02-16	2010-01-01	NO	7122/10	NO	4	16.698000	22644	9999-12-31	2013-05-08
229	2010-01-01	9999-12-31	NO	7122/10	NO	5	16.698000	22644	9999-12-31	2013-05-08
229	1997-05-30	2009-02-16	NO	7122/7	NO	1	331.606000	22644	9999-12-31	2013-05-08
229	2009-02-16	2010-01-01	NO	7122/7	NO	1	94.275000	22644	9999-12-31	2013-05-08
229	2010-01-01	9999-12-31	NO	7122/7	NO	1	47.718000	22644	9999-12-31	2013-05-08
229	1997-05-30	2009-02-16	NO	7122/8	NO	2	331.606000	22644	9999-12-31	2013-05-08
229	2009-02-16	2010-01-01	NO	7122/8	NO	2	179.088000	22644	9999-12-31	2013-05-08
229	2010-01-01	9999-12-31	NO	7122/8	NO	2	83.964000	22644	9999-12-31	2013-05-08
229	1997-05-30	2009-02-16	NO	7122/9	NO	3	165.268000	22644	9999-12-31	2013-05-08
229	2009-02-16	2010-01-01	NO	7122/9	NO	3	153.165000	22644	9999-12-31	2013-05-08
229	2010-01-01	9999-12-31	NO	7122/9	NO	3	30.797000	22644	9999-12-31	2013-05-08
229	2010-01-01	9999-12-31	NO	7122/9	NO	4	25.407000	22644	9999-12-31	2013-05-08
229	1997-05-30	2009-02-16	NO	7123/7	NO	5	165.268000	22644	9999-12-31	2013-05-08
229	2009-02-16	2010-01-01	NO	7123/7	NO	5	43.033000	22644	9999-12-31	2013-05-08
229	2010-01-01	9999-12-31	NO	7123/7	NO	6	12.698000	22644	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7125/2	NO	1	24.905000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7125/2	NO	1	19.490000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7125/2	NO	1	3.230000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7125/2	NO	2	3.230000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7125/2	NO	2	3.230000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7125/3	NO	2	85.003000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7125/3	NO	3	137.940000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7125/3	NO	3	113.124000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7126/1	NO	3	100.858000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7126/1	NO	4	214.934000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7126/1	NO	4	108.389000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7126/1	NO	5	12.973000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7126/2	NO	4	42.830000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7126/2	NO	5	130.024000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7126/2	NO	6	42.830000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7126/3	NO	5	17.129000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7126/3	NO	6	65.354000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7126/3	NO	7	4.309000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7126/3	NO	7	17.129000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7126/3	NO	8	12.847000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7127/1	NO	8	28.904000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7127/1	NO	9	25.692000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7226/10	NO	6	7.484000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7226/10	NO	9	318.732000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7226/10	NO	10	7.484000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7226/11	NO	7	5.346000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7226/11	NO	8	57.575000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7226/11	NO	10	318.732000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7226/11	NO	11	5.346000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7226/11	NO	12	57.575000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7226/12	NO	9	37.327000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7226/12	NO	10	21.249000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7226/12	NO	11	318.732000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7226/12	NO	11	10.577000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7226/12	NO	13	62.952000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7226/12	NO	14	21.249000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7226/12	NO	15	10.577000	22652	9999-12-31	2013-05-08
230	2011-12-31	9999-12-31	NO	7227/10	NO	3	75.307000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7227/10	NO	15	318.732000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7227/10	NO	15	171.640000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7227/10	NO	19	66.206000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7227/10	NO	20	171.640000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7227/7	NO	12	21.096000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7227/7	NO	12	21.096000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7227/7	NO	16	21.096000	22652	9999-12-31	2013-05-08
230	2011-12-31	9999-12-31	NO	7227/8	NO	1	14.751000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7227/8	NO	13	102.084000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7227/8	NO	13	40.039000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7227/8	NO	17	40.039000	22652	9999-12-31	2013-05-08
230	2011-12-31	9999-12-31	NO	7227/9	NO	2	21.018000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7227/9	NO	14	228.609000	22652	9999-12-31	2013-05-08
230	2010-01-01	2011-12-31	NO	7227/9	NO	14	67.290000	22652	9999-12-31	2013-05-08
230	2009-05-13	2010-01-01	NO	7227/9	NO	18	67.290000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7228/4	NO	16	72.696000	22652	9999-12-31	2013-05-08
230	2008-09-10	2009-05-13	NO	7228/7	NO	17	211.397000	22652	9999-12-31	2013-05-08
233	2004-07-05	2007-05-15	NO	7128/3	NO	1	162.052000	22676	9999-12-31	2013-05-08
233	2004-07-05	2007-05-15	NO	7129/1	NO	2	162.052000	22676	9999-12-31	2013-05-08
233	2004-07-05	2007-05-15	NO	7129/2	NO	3	162.052000	22676	9999-12-31	2013-05-08
233	2004-07-05	2007-05-15	NO	7129/5	NO	4	21.688000	22676	9999-12-31	2013-05-08
233	2004-07-05	2007-05-15	NO	7129/6	NO	5	21.688000	22676	9999-12-31	2013-05-08
233	2004-07-05	2007-05-15	NO	7130/3	NO	6	323.030000	22676	9999-12-31	2013-05-08
233	2004-07-05	2007-05-15	NO	7130/4	NO	7	108.631000	22676	9999-12-31	2013-05-08
233	2004-07-05	2007-05-15	NO	7130/5	NO	8	217.738000	22676	9999-12-31	2013-05-08
233	2004-07-05	2007-05-15	NO	7130/6	NO	9	327.322000	22676	9999-12-31	2013-05-08
233	2004-07-05	2007-05-15	NO	7131/1	NO	10	161.515000	22676	9999-12-31	2013-05-08
233	2004-07-05	2007-05-15	NO	7131/4	NO	11	163.661000	22676	9999-12-31	2013-05-08
025	1969-05-23	1976-05-23	NO	15/3	NO	1	535.510000	34512	9999-12-31	2013-05-08
025	1976-05-23	1978-05-23	NO	15/3	NO	1	401.729000	34512	9999-12-31	2013-05-08
025	1978-05-23	9999-12-31	NO	15/3	NO	1	267.852000	34512	9999-12-31	2013-05-08
079	1982-08-20	9999-12-31	NO	30/9	NO	1	102.167000	34635	9999-12-31	2013-05-08
102 B	1998-01-22	2002-12-31	NO	25/5	NO	1	26.123000	40264	9999-12-31	2013-05-08
103 B	1998-01-22	9999-12-31	NO	25/7	NO	1	23.706000	40772	9999-12-31	2013-05-08
237	1998-01-30	9999-12-31	NO	6407/3	NO	1	17.567000	41327	9999-12-31	2013-05-08
128 B	1998-01-30	9999-12-31	NO	6508/1	NO	1	4.220000	41361	9999-12-31	2013-05-08
019 C	1998-09-14	2001-01-01	NO	2/1	NO	1	261.370000	47992	9999-12-31	2013-05-08
019 C	2001-01-01	2002-01-01	NO	2/1	NO	1	80.015000	47992	9999-12-31	2013-05-08
019 C	2002-01-01	2009-01-16	NO	2/1	NO	1	43.786000	47992	9999-12-31	2013-05-08
019 C	2009-01-16	9999-12-31	NO	2/1	NO	1	31.496000	47992	9999-12-31	2013-05-08
019 C	2001-01-01	2002-01-01	NO	2/1	NO	2	32.107000	47992	9999-12-31	2013-05-08
019 C	1998-09-14	2001-01-01	NO	7/12	NO	2	35.690000	47992	9999-12-31	2013-05-08
019 C	1998-09-14	2001-01-01	NO	7/12	NO	3	26.159000	47992	9999-12-31	2013-05-08
037 B	1998-09-14	9999-12-31	NO	33/12	NO	1	9.199000	48081	9999-12-31	2013-05-08
053 B	1998-09-14	9999-12-31	NO	30/6	NO	1	8.494000	48207	9999-12-31	2013-05-08
114 C	1998-09-03	1999-09-03	NO	9/1	NO	1	11.046000	90914	9999-12-31	2013-05-08
114 C	1999-09-03	2001-12-31	NO	9/1	NO	1	11.046000	90914	9999-12-31	2013-05-08
114 C	1998-09-03	1999-09-03	NO	9/2	NO	2	20.232000	90914	9999-12-31	2013-05-08
114 C	1999-09-03	2001-12-31	NO	9/2	NO	2	18.394000	90914	9999-12-31	2013-05-08
114 C	1998-09-03	1999-09-03	NO	9/4	NO	3	3.685000	90914	9999-12-31	2013-05-08
114 C	1999-09-03	2001-12-31	NO	9/4	NO	3	3.685000	90914	9999-12-31	2013-05-08
238	1999-06-04	2002-03-21	NO	3/6	NO	1	484.331000	102103	9999-12-31	2013-05-08
241	1999-06-04	2006-06-04	NO	15/8	NO	1	28.003000	102131	9999-12-31	2013-05-08
241	1999-06-04	2006-06-04	NO	15/9	NO	2	152.439000	102131	9999-12-31	2013-05-08
239	1999-06-04	2005-06-04	NO	4/4	NO	1	263.654000	102157	9999-12-31	2013-05-08
239	1999-06-04	2005-06-04	NO	4/5	NO	2	43.389000	102157	9999-12-31	2013-05-08
240	1999-06-04	2003-06-04	NO	7/12	NO	1	393.447000	102217	9999-12-31	2013-05-08
242	1999-06-04	2007-01-01	NO	16/1	NO	1	112.296000	102226	9999-12-31	2013-05-08
242	2007-01-01	2010-01-01	NO	16/1	NO	1	78.477000	102226	9999-12-31	2013-05-08
242	2010-01-01	9999-12-31	NO	16/1	NO	1	21.404000	102226	9999-12-31	2013-05-08
243	1999-06-04	2004-01-01	NO	16/4	NO	1	539.346000	102235	9999-12-31	2013-05-08
244	1999-06-04	2002-12-31	NO	25/2	NO	4	370.911000	102244	9999-12-31	2013-05-08
244	1999-06-04	2002-12-31	NO	25/4	NO	1	13.964000	102244	9999-12-31	2013-05-08
244	1999-06-04	2002-12-31	NO	25/5	NO	2	167.938000	102244	9999-12-31	2013-05-08
244	1999-06-04	2002-12-31	NO	25/5	NO	3	92.517000	102244	9999-12-31	2013-05-08
245	1999-06-04	2004-12-30	NO	25/3	NO	1	520.058000	102258	9999-12-31	2013-05-08
245	1999-06-04	2004-12-30	NO	25/6	NO	2	415.417000	102258	9999-12-31	2013-05-08
246	1999-06-04	2002-08-31	NO	29/3	NO	1	52.650000	102267	9999-12-31	2013-05-08
247	1999-06-04	2002-08-29	NO	29/3	NO	1	117.624000	102276	9999-12-31	2013-05-08
247	1999-06-04	2002-08-29	NO	30/1	NO	2	464.210000	102276	9999-12-31	2013-05-08
248	1999-06-04	2013-04-09	NO	35/11	NO	2	23.277000	102285	2013-04-26	2013-05-08
248	2013-04-09	9999-12-31	NO	35/11	NO	2	23.277000	102285	9999-12-31	2013-05-08
248	1999-06-04	2013-04-09	NO	35/11	NO	3	226.641000	102285	2013-04-26	2013-05-08
248	2013-04-09	9999-12-31	NO	35/11	NO	3	1.662000	102285	9999-12-31	2013-05-08
248	2013-04-09	9999-12-31	NO	35/11	NO	4	49.948000	102285	9999-12-31	2013-05-08
248	1999-06-04	2013-04-09	NO	35/8	NO	1	92.865000	102285	2013-04-26	2013-05-08
248	2013-04-09	9999-12-31	NO	35/8	NO	1	92.865000	102285	9999-12-31	2013-05-08
249	1999-06-04	9999-12-31	NO	25/5	NO	1	1.209000	102294	9999-12-31	2013-05-08
050 C	1999-06-04	2005-01-01	NO	30/1	YES	1	40.230000	102490	9999-12-31	2013-05-08
050 C	2005-01-01	2012-04-11	NO	30/1	YES	1	13.406000	102490	9999-12-31	2013-05-08
050 C	2012-04-11	9999-12-31	NO	30/1	YES	1	6.705000	102490	9999-12-31	2013-05-08
050 C	2012-04-11	9999-12-31	NO	30/1	YES	2	6.701000	102490	9999-12-31	2013-05-08
050 C	2012-04-11	9999-12-31	NO	30/1	YES	3	0.000000	102490	9999-12-31	2013-05-08
050 C	1999-06-04	2005-01-01	NO	34/10	YES	2	10.042000	102490	9999-12-31	2013-05-08
055 B	1999-06-04	2009-06-03	NO	31/4	NO	1	27.947000	102499	9999-12-31	2013-05-08
055 B	2009-06-03	2009-06-24	NO	31/4	NO	1	13.547000	102499	9999-12-31	2013-05-08
055 B	2009-06-24	9999-12-31	NO	31/4	NO	1	5.084000	102499	9999-12-31	2013-05-08
250	1999-10-22	9999-12-31	NO	6305/8	NO	1	170.324000	115537	9999-12-31	2013-05-08
037 C	2000-01-14	9999-12-31	NO	33/9	NO	1	9.724000	853671	9999-12-31	2013-05-08
001 B	1999-12-15	2000-01-01	NO	16/1	NO	1	214.180000	917266	9999-12-31	2013-05-08
001 B	2000-01-01	9999-12-31	NO	16/1	NO	1	21.445000	917266	9999-12-31	2013-05-08
001 B	2000-01-01	9999-12-31	NO	16/1	NO	2	73.060000	917266	9999-12-31	2013-05-08
027 B	1999-12-15	2000-10-09	NO	25/8	NO	1	159.883000	917344	9999-12-31	2013-05-08
027 B	2000-10-09	2005-01-01	NO	25/8	NO	1	156.359000	917344	9999-12-31	2013-05-08
027 B	2005-01-01	2007-12-07	NO	25/8	NO	1	140.579000	917344	9999-12-31	2013-05-08
027 B	2007-12-07	2011-01-01	NO	25/8	NO	1	55.292000	917344	9999-12-31	2013-05-08
027 B	2011-01-01	9999-12-31	NO	25/8	NO	1	52.660000	917344	9999-12-31	2013-05-08
028 B	1999-12-15	2000-01-01	NO	25/10	NO	1	221.649000	917484	9999-12-31	2013-05-08
028 B	2000-01-01	9999-12-31	NO	25/10	NO	1	30.210000	917484	9999-12-31	2013-05-08
134 B	2000-01-14	2008-01-01	NO	6506/11	NO	1	155.795000	1025257	9999-12-31	2013-05-08
134 B	2008-01-01	9999-12-31	NO	6506/11	NO	1	136.958000	1025257	9999-12-31	2013-05-08
169 B1	2000-03-01	9999-12-31	NO	25/11	NO	1	51.793000	1030964	9999-12-31	2013-05-08
169 B2	2000-03-01	9999-12-31	NO	25/11	NO	1	22.532000	1031002	9999-12-31	2013-05-08
251	2000-05-12	2008-05-12	NO	6302/6	NO	1	460.667000	1032893	9999-12-31	2013-05-08
251	2000-05-12	2008-05-12	NO	6302/9	NO	2	464.694000	1032893	9999-12-31	2013-05-08
251	2000-05-12	2008-05-12	NO	6303/7	NO	3	464.694000	1032893	9999-12-31	2013-05-08
251	2000-05-12	2008-05-12	NO	6303/8	NO	4	464.694000	1032893	9999-12-31	2013-05-08
252	2000-05-12	2003-05-12	NO	6305/8	NO	1	294.371000	1032911	9999-12-31	2013-05-08
252	2000-05-12	2003-05-12	NO	6305/9	NO	2	232.850000	1032911	9999-12-31	2013-05-08
253	2000-05-12	2008-05-12	NO	6402/12	NO	2	452.584000	1032927	9999-12-31	2013-05-08
253	2000-05-12	2008-05-12	NO	6403/10	NO	1	452.584000	1032927	9999-12-31	2013-05-08
254	2000-05-12	2004-12-31	NO	6404/10	NO	3	452.584000	1032954	9999-12-31	2013-05-08
254	2000-05-12	2004-12-31	NO	6404/11	NO	4	452.584000	1032954	9999-12-31	2013-05-08
254	2000-05-12	2004-12-31	NO	6404/7	NO	1	448.529000	1032954	9999-12-31	2013-05-08
254	2000-05-12	2004-12-31	NO	6404/8	NO	2	448.529000	1032954	9999-12-31	2013-05-08
255	2000-05-12	2008-05-12	NO	6406/5	NO	1	429.709000	1032979	9999-12-31	2013-05-08
255	2008-05-12	9999-12-31	NO	6406/5	NO	1	90.331000	1032979	9999-12-31	2013-05-08
255	2000-05-12	2008-05-12	NO	6406/6	NO	2	444.465000	1032979	9999-12-31	2013-05-08
255	2008-05-12	9999-12-31	NO	6406/6	NO	2	87.414000	1032979	9999-12-31	2013-05-08
255	2008-05-12	9999-12-31	NO	6406/6	NO	3	14.872000	1032979	9999-12-31	2013-05-08
255	2000-05-12	2008-05-12	NO	6406/9	NO	3	448.529000	1032979	9999-12-31	2013-05-08
255	2008-05-12	9999-12-31	NO	6406/9	NO	4	38.759000	1032979	9999-12-31	2013-05-08
255	2008-05-12	9999-12-31	NO	6406/9	NO	5	41.812000	1032979	9999-12-31	2013-05-08
256	2000-05-12	2007-01-29	NO	6406/1	NO	2	359.645000	1032995	9999-12-31	2013-05-08
256	2007-01-29	2011-01-01	NO	6406/1	NO	2	26.375000	1032995	9999-12-31	2013-05-08
256	2000-05-12	2007-01-29	NO	6506/10	NO	1	436.310000	1032995	9999-12-31	2013-05-08
256	2007-01-29	2011-01-01	NO	6506/10	NO	1	95.796000	1032995	9999-12-31	2013-05-08
257	2000-05-12	2003-05-12	NO	6406/1	NO	1	73.376000	1033013	9999-12-31	2013-05-08
257	2003-05-12	9999-12-31	NO	6406/1	NO	1	22.025000	1033013	9999-12-31	2013-05-08
257	2000-05-12	2003-05-12	NO	6406/1	NO	3	7.372000	1033013	9999-12-31	2013-05-08
257	2003-05-12	9999-12-31	NO	6406/5	NO	2	10.329000	1033013	9999-12-31	2013-05-08
257	2000-05-12	2003-05-12	NO	6406/6	NO	2	14.757000	1033013	9999-12-31	2013-05-08
258	2000-05-12	2003-09-29	NO	6502/2	NO	1	424.012000	1033029	9999-12-31	2013-05-08
258	2000-05-12	2003-09-29	NO	6502/3	NO	2	424.012000	1033029	9999-12-31	2013-05-08
258	2000-05-12	2003-09-29	NO	6502/6	NO	3	428.120000	1033029	9999-12-31	2013-05-08
258	2000-05-12	2003-09-29	NO	6503/1	NO	4	424.012000	1033029	9999-12-31	2013-05-08
258	2000-05-12	2003-09-29	NO	6503/4	NO	5	428.120000	1033029	9999-12-31	2013-05-08
259	2000-05-12	2007-01-26	NO	6506/2	NO	1	424.012000	1033049	9999-12-31	2013-05-08
259	2007-01-26	2010-01-01	NO	6506/2	NO	1	9.937000	1033049	9999-12-31	2013-05-08
259	2000-05-12	2007-01-26	NO	6506/3	NO	2	424.012000	1033049	9999-12-31	2013-05-08
259	2007-01-26	2010-01-01	NO	6506/3	NO	2	35.463000	1033049	9999-12-31	2013-05-08
259	2000-05-12	2007-01-26	NO	6506/5	NO	3	428.120000	1033049	9999-12-31	2013-05-08
259	2007-01-26	2010-01-01	NO	6506/5	NO	3	126.740000	1033049	9999-12-31	2013-05-08
260	2000-05-12	2004-02-12	NO	6506/9	NO	1	432.220000	1033065	9999-12-31	2013-05-08
260	2000-05-12	2004-02-12	NO	6507/7	NO	2	191.289000	1033065	9999-12-31	2013-05-08
261	2000-05-12	2003-12-12	NO	6507/1	YES	1	424.012000	1033077	9999-12-31	2013-05-08
261	2003-12-12	2006-05-12	NO	6507/1	YES	1	42.502000	1033077	9999-12-31	2013-05-08
261	2006-05-12	9999-12-31	NO	6507/1	YES	1	19.829000	1033077	9999-12-31	2013-05-08
261	2003-12-12	2006-05-12	NO	6507/1	YES	3	52.516000	1033077	9999-12-31	2013-05-08
261	2000-05-12	2003-12-12	NO	6507/2	YES	2	282.794000	1033077	9999-12-31	2013-05-08
261	2003-12-12	2006-05-12	NO	6507/2	YES	2	2.829000	1033077	9999-12-31	2013-05-08
261	2006-05-12	9999-12-31	NO	6507/2	YES	2	2.829000	1033077	9999-12-31	2013-05-08
261	2006-05-12	9999-12-31	NO	6507/2	YES	3	133.085000	1033077	9999-12-31	2013-05-08
261	2003-12-12	2006-05-12	NO	6507/2	YES	4	213.770000	1033077	9999-12-31	2013-05-08
262	2000-05-12	9999-12-31	NO	6507/2	NO	1	38.292000	1033093	9999-12-31	2013-05-08
263	2000-05-12	2007-03-20	NO	6507/10	NO	1	436.310000	1033111	9999-12-31	2013-05-08
263	2007-03-20	2008-04-18	NO	6507/10	NO	1	147.337000	1033111	9999-12-31	2013-05-08
263	2008-04-18	2010-01-01	NO	6507/10	NO	1	147.337000	1033111	9999-12-31	2013-05-08
263	2010-01-01	9999-12-31	NO	6507/10	NO	1	42.346000	1033111	9999-12-31	2013-05-08
263	2007-03-20	2008-04-18	NO	6507/10	NO	2	24.643000	1033111	9999-12-31	2013-05-08
263	2008-04-18	2010-01-01	NO	6507/10	NO	2	24.643000	1033111	9999-12-31	2013-05-08
263	2000-05-12	2007-03-20	NO	6507/11	NO	2	376.513000	1033111	9999-12-31	2013-05-08
263	2010-01-01	9999-12-31	NO	6507/11	NO	2	107.813000	1033111	9999-12-31	2013-05-08
263	2007-03-20	2008-04-18	NO	6507/11	NO	3	189.012000	1033111	9999-12-31	2013-05-08
263	2008-04-18	2010-01-01	NO	6507/11	NO	3	187.739000	1033111	9999-12-31	2013-05-08
264	2000-05-12	2006-03-23	NO	6706/5	NO	1	395.019000	1033127	9999-12-31	2013-05-08
264	2006-03-23	2008-01-01	NO	6706/5	NO	1	121.110000	1033127	9999-12-31	2013-05-08
264	2008-01-01	2009-01-01	NO	6706/5	NO	1	34.269000	1033127	9999-12-31	2013-05-08
264	2009-01-01	2013-01-01	NO	6706/5	NO	1	34.269000	1033127	2013-01-03	2013-05-08
264	2008-01-01	2009-01-01	NO	6706/5	NO	2	2.625000	1033127	9999-12-31	2013-05-08
264	2000-05-12	2006-03-23	NO	6706/6	NO	2	395.019000	1033127	9999-12-31	2013-05-08
264	2006-03-23	2008-01-01	NO	6706/6	NO	2	306.475000	1033127	9999-12-31	2013-05-08
264	2009-01-01	2013-01-01	NO	6706/6	NO	2	156.728000	1033127	2013-01-03	2013-05-08
264	2008-01-01	2009-01-01	NO	6706/6	NO	3	264.304000	1033127	9999-12-31	2013-05-08
264	2000-05-12	2006-03-23	NO	6707/4	NO	3	395.019000	1033127	9999-12-31	2013-05-08
264	2006-03-23	2008-01-01	NO	6707/4	NO	3	99.854000	1033127	9999-12-31	2013-05-08
264	2009-01-01	2013-01-01	NO	6707/4	NO	3	7.895000	1033127	2013-01-03	2013-05-08
264	2008-01-01	2009-01-01	NO	6707/4	NO	4	31.515000	1033127	9999-12-31	2013-05-08
191	1993-09-10	2000-09-10	NO	31/1	NO	1	504.440000	1043631	9999-12-31	2013-05-08
191	2000-09-10	2001-08-10	NO	31/1	NO	1	21.816000	1043631	9999-12-31	2013-05-08
191	2000-09-10	2001-08-10	NO	31/1	NO	2	35.398000	1043631	9999-12-31	2013-05-08
191	2001-08-10	2003-09-10	NO	31/2	NO	1	28.633000	1043631	9999-12-31	2013-05-08
191	1993-09-10	2000-09-10	NO	31/2	NO	2	184.721000	1043631	9999-12-31	2013-05-08
191	2000-09-10	2001-08-10	NO	31/2	NO	3	174.645000	1043631	9999-12-31	2013-05-08
191	1993-09-10	2000-09-10	NO	31/4	NO	3	126.764000	1043631	9999-12-31	2013-05-08
191	2000-09-10	2001-08-10	NO	31/4	NO	4	28.736000	1043631	9999-12-31	2013-05-08
191	1993-09-10	2000-09-10	NO	31/5	NO	4	33.804000	1043631	9999-12-31	2013-05-08
191	2000-09-10	2001-08-10	NO	31/5	NO	5	15.205000	1043631	9999-12-31	2013-05-08
006 B	2000-10-09	9999-12-31	NO	2/8	NO	1	128.282000	1333048	9999-12-31	2013-05-08
006 C	2000-10-09	2001-01-01	NO	2/5	NO	1	347.768000	1333089	9999-12-31	2013-05-08
006 C	2001-01-01	2003-01-01	NO	2/5	NO	1	62.528000	1333089	9999-12-31	2013-05-08
006 C	2003-01-01	9999-12-31	NO	2/5	NO	1	93.197000	1333089	9999-12-31	2013-05-08
006 C	2001-01-01	2003-01-01	NO	2/5	NO	2	93.197000	1333089	9999-12-31	2013-05-08
006 C	2000-10-09	2001-01-01	NO	2/8	NO	2	330.328000	1333089	9999-12-31	2013-05-08
006 C	2001-01-01	2003-01-01	NO	2/8	NO	3	13.338000	1333089	9999-12-31	2013-05-08
027 C	2000-10-09	9999-12-31	NO	25/8	NO	1	3.524000	1333301	9999-12-31	2013-05-08
028 C	2000-10-09	9999-12-31	NO	25/10	NO	1	17.739000	1333344	9999-12-31	2013-05-08
171 B	2000-10-09	9999-12-31	NO	30/12	NO	1	23.152000	1333384	9999-12-31	2013-05-08
048 B	2001-01-10	2005-10-10	NO	15/5	NO	1	9.497000	1342723	9999-12-31	2013-05-08
048 B	2005-10-10	9999-12-31	NO	15/5	NO	1	21.518000	1342723	9999-12-31	2013-05-08
048 B	2001-01-10	2005-10-10	NO	15/5	NO	2	21.518000	1342723	9999-12-31	2013-05-08
033 B	2001-05-04	9999-12-31	NO	2/11	NO	1	47.955000	1622353	9999-12-31	2013-05-08
265	2001-04-27	2005-04-30	NO	16/2	NO	1	535.510000	1624237	9999-12-31	2013-05-08
265	2005-04-30	2006-01-03	NO	16/2	NO	1	535.510000	1624237	9999-12-31	2013-05-08
265	2006-01-03	2006-12-28	NO	16/2	NO	1	292.922000	1624237	9999-12-31	2013-05-08
265	2006-12-28	9999-12-31	NO	16/2	NO	1	255.518000	1624237	9999-12-31	2013-05-08
265	2001-04-27	2005-04-30	NO	16/3	NO	2	535.510000	1624237	9999-12-31	2013-05-08
266	2004-02-11	2006-12-22	NO	26/1	NO	1	520.058000	1624332	9999-12-31	2013-05-08
266	2004-02-11	2006-12-22	NO	26/4	NO	2	523.937000	1624332	9999-12-31	2013-05-08
266	2004-02-11	2006-12-22	NO	31/10	NO	3	137.818000	1624332	9999-12-31	2013-05-08
268	2001-04-27	2004-10-31	NO	34/5	NO	1	492.619000	1624366	9999-12-31	2013-05-08
268	2001-04-27	2004-10-31	NO	34/6	NO	2	492.619000	1624366	9999-12-31	2013-05-08
268	2001-04-27	2004-10-31	NO	34/9	NO	3	66.034000	1624366	9999-12-31	2013-05-08
269	2001-04-27	2008-12-30	NO	35/1	NO	1	488.659000	1624410	9999-12-31	2013-05-08
269	2008-12-30	2011-04-27	NO	35/1	NO	1	130.371000	1624410	9999-12-31	2013-05-08
269	2011-04-27	9999-12-31	NO	35/1	NO	1	185.614000	1624410	9999-12-31	2013-05-08
269	2008-12-30	2011-04-27	NO	35/1	NO	2	185.614000	1624410	9999-12-31	2013-05-08
270	2001-04-27	2005-04-27	NO	35/3	NO	1	488.659000	1624436	9999-12-31	2013-05-08
270	2005-04-27	9999-12-31	NO	35/3	NO	1	241.222000	1624436	9999-12-31	2013-05-08
029 B	2001-05-11	2002-01-01	NO	15/6	NO	1	213.667000	1626782	9999-12-31	2013-05-08
029 B	2002-01-01	9999-12-31	NO	15/6	NO	1	87.973000	1626782	9999-12-31	2013-05-08
029 B	2002-01-01	9999-12-31	NO	15/6	NO	2	7.174000	1626782	9999-12-31	2013-05-08
072 B	2001-09-24	2008-01-01	NO	16/7	NO	1	79.606000	1630345	9999-12-31	2013-05-08
072 B	2008-01-01	2011-12-21	NO	16/7	NO	1	61.483000	1630345	9999-12-31	2013-05-08
072 B	2011-12-21	9999-12-31	NO	16/7	NO	1	39.817000	1630345	9999-12-31	2013-05-08
052 B	2001-11-30	9999-12-31	NO	30/3	NO	1	9.254000	1840712	9999-12-31	2013-05-08
085 C	2002-01-25	9999-12-31	NO	31/3	NO	1	10.084000	2051285	9999-12-31	2013-05-08
085 C	2002-01-25	9999-12-31	NO	31/3	NO	2	3.370000	2051285	9999-12-31	2013-05-08
085 C	2002-01-25	9999-12-31	NO	31/6	NO	3	5.079000	2051285	9999-12-31	2013-05-08
271	2002-03-15	2009-03-15	NO	7/1	NO	1	538.067000	2060218	9999-12-31	2013-05-08
272	2002-03-15	2008-02-21	NO	30/11	NO	1	259.821000	2060232	9999-12-31	2013-05-08
272	2008-02-21	9999-12-31	NO	30/11	NO	1	17.175000	2060232	9999-12-31	2013-05-08
272	2008-02-21	9999-12-31	NO	30/11	NO	2	82.553000	2060232	9999-12-31	2013-05-08
273	2002-03-15	2008-01-01	NO	2/9	NO	1	538.404000	2060246	9999-12-31	2013-05-08
273	2008-01-01	2008-12-26	NO	2/9	NO	1	322.867000	2060246	9999-12-31	2013-05-08
273	2008-12-26	2010-01-01	NO	2/9	NO	1	202.314000	2060246	9999-12-31	2013-05-08
273	2010-01-01	2010-12-31	NO	2/9	NO	1	95.158000	2060246	9999-12-31	2013-05-08
274	2002-03-15	2005-12-13	NO	1/3	YES	1	507.527000	2060266	9999-12-31	2013-05-08
274	2005-12-13	2008-01-01	NO	1/3	YES	1	433.766000	2060266	9999-12-31	2013-05-08
274	2008-01-01	2009-09-29	NO	1/3	YES	1	388.914000	2060266	9999-12-31	2013-05-08
274	2009-09-29	2011-01-01	NO	1/3	YES	1	252.824000	2060266	9999-12-31	2013-05-08
274	2011-01-01	9999-12-31	NO	1/3	YES	1	131.958000	2060266	9999-12-31	2013-05-08
274	2005-12-13	2008-01-01	NO	1/3	YES	2	73.761000	2060266	9999-12-31	2013-05-08
274	2008-01-01	2009-09-29	NO	1/3	YES	2	73.761000	2060266	9999-12-31	2013-05-08
274	2009-09-29	2011-01-01	NO	1/3	YES	2	3.784000	2060266	9999-12-31	2013-05-08
275	2002-03-15	2008-12-26	NO	2/4	NO	1	32.271000	2060278	9999-12-31	2013-05-08
275	2008-12-26	9999-12-31	NO	2/4	NO	1	15.185000	2060278	9999-12-31	2013-05-08
276	2002-03-15	2005-03-15	NO	30/6	NO	1	12.321000	2060300	9999-12-31	2013-05-08
277	2002-03-15	2007-10-03	NO	33/12	NO	1	13.391000	2060336	9999-12-31	2013-05-08
277	2007-10-03	9999-12-31	NO	33/12	NO	1	3.349000	2060336	9999-12-31	2013-05-08
277	2007-10-03	9999-12-31	NO	33/12	NO	2	5.019000	2060336	9999-12-31	2013-05-08
278	2002-03-15	2005-04-21	NO	30/2	NO	1	425.400000	2060350	9999-12-31	2013-05-08
279	2002-03-15	2004-04-16	NO	34/9	NO	1	430.535000	2060367	9999-12-31	2013-05-08
280	2002-03-15	2004-05-10	NO	33/9	NO	1	46.477000	2060385	9999-12-31	2013-05-08
281	2002-06-14	2009-06-14	NO	6405/10	NO	3	452.584000	2073488	9999-12-31	2013-05-08
281	2002-06-14	2009-06-14	NO	6405/4	NO	1	444.465000	2073488	9999-12-31	2013-05-08
281	2002-06-14	2009-06-14	NO	6405/7	NO	2	448.529000	2073488	9999-12-31	2013-05-08
282	2002-06-14	2006-06-14	NO	6504/6	NO	1	428.120000	2073510	9999-12-31	2013-05-08
282	2002-06-14	2006-06-14	NO	6505/1	NO	2	424.012000	2073510	9999-12-31	2013-05-08
282	2002-06-14	2006-06-14	NO	6505/2	NO	3	424.012000	2073510	9999-12-31	2013-05-08
282	2002-06-14	2006-06-14	NO	6505/4	NO	4	428.120000	2073510	9999-12-31	2013-05-08
282	2002-06-14	2006-06-14	NO	6505/5	NO	5	428.120000	2073510	9999-12-31	2013-05-08
283	2002-06-14	2009-06-23	NO	6605/5	NO	1	411.636000	2073530	9999-12-31	2013-05-08
283	2009-06-23	2011-01-01	NO	6605/5	NO	1	220.054000	2073530	9999-12-31	2013-05-08
283	2011-01-01	2012-01-01	NO	6605/5	NO	1	137.672000	2073530	9999-12-31	2013-05-08
283	2002-06-14	2009-06-23	NO	6605/7	NO	2	415.770000	2073530	9999-12-31	2013-05-08
283	2009-06-23	2011-01-01	NO	6605/7	NO	2	82.824000	2073530	9999-12-31	2013-05-08
283	2011-01-01	2012-01-01	NO	6605/7	NO	2	69.017000	2073530	9999-12-31	2013-05-08
283	2002-06-14	2009-06-23	NO	6605/8	NO	3	415.770000	2073530	9999-12-31	2013-05-08
283	2009-06-23	2011-01-01	NO	6605/8	NO	3	37.271000	2073530	9999-12-31	2013-05-08
283	2002-06-14	2009-06-23	NO	6605/9	NO	4	415.770000	2073530	9999-12-31	2013-05-08
283	2002-06-14	2009-06-23	NO	6606/7	NO	5	415.770000	2073530	9999-12-31	2013-05-08
284	2002-06-14	2005-03-30	NO	6607/11	NO	1	412.867000	2073548	9999-12-31	2013-05-08
284	2002-06-14	2005-03-30	NO	6607/12	NO	2	269.831000	2073548	9999-12-31	2013-05-08
285	2002-06-14	2005-06-14	NO	6607/5	NO	1	411.636000	2073564	9999-12-31	2013-05-08
286	2002-06-14	2008-06-14	NO	6609/5	NO	1	411.636000	2073578	9999-12-31	2013-05-08
286	2002-06-14	2008-06-14	NO	6609/6	NO	2	411.636000	2073578	9999-12-31	2013-05-08
094 B	2002-06-14	9999-12-31	NO	6406/3	NO	1	7.308000	2092082	9999-12-31	2013-05-08
212 B	2002-06-14	2008-01-21	NO	6507/3	NO	1	64.927000	2092275	9999-12-31	2013-05-08
212 B	2008-01-21	9999-12-31	NO	6507/3	NO	1	22.616000	2092275	9999-12-31	2013-05-08
122 B	2002-06-14	2011-01-01	NO	6507/3	NO	1	7.037000	2134110	9999-12-31	2013-05-08
122 B	2011-01-01	9999-12-31	NO	6507/3	NO	1	5.629000	2134110	9999-12-31	2013-05-08
018 C	2002-12-20	2011-11-29	NO	1/5	YES	1	24.028000	2246113	9999-12-31	2013-05-08
018 C	2011-11-29	9999-12-31	NO	1/5	YES	1	24.028000	2246113	9999-12-31	2013-05-08
018 C	2011-11-29	9999-12-31	NO	1/5	YES	2	0.000000	2246113	9999-12-31	2013-05-08
038 B	2003-04-11	2006-04-11	NO	15/12	NO	1	5.573000	2407278	9999-12-31	2013-05-08
287	2003-04-11	2004-12-14	NO	35/6	NO	1	492.619000	2407356	9999-12-31	2013-05-08
287	2003-04-11	2004-12-14	NO	35/9	NO	2	304.616000	2407356	9999-12-31	2013-05-08
289	2003-04-11	2008-01-01	NO	3/7	NO	1	321.788000	2407454	9999-12-31	2013-05-08
289	2008-01-01	2009-03-09	NO	3/7	NO	1	77.500000	2407454	9999-12-31	2013-05-08
289	2009-03-09	2010-01-01	NO	3/7	NO	1	42.670000	2407454	9999-12-31	2013-05-08
289	2010-01-01	9999-12-31	NO	3/7	NO	1	24.812000	2407454	9999-12-31	2013-05-08
290	2003-04-11	2004-04-11	NO	35/7	NO	1	430.132000	2407486	9999-12-31	2013-05-08
291	2003-04-11	2006-04-11	NO	31/4	NO	1	58.607000	2407510	9999-12-31	2013-05-08
295	2003-04-11	2005-04-11	NO	25/7	NO	1	10.554000	2407550	9999-12-31	2013-05-08
292	2003-04-11	2010-07-05	NO	15/12	NO	2	4.573000	2407572	9999-12-31	2013-05-08
292	2010-07-05	9999-12-31	NO	15/12	NO	2	3.964000	2407572	9999-12-31	2013-05-08
292	2003-04-11	2010-07-05	NO	15/12	NO	3	3.964000	2407572	9999-12-31	2013-05-08
292	2010-07-05	9999-12-31	NO	15/12	NO	3	0.915000	2407572	9999-12-31	2013-05-08
292	2003-04-11	2010-07-05	NO	6/3	NO	1	56.722000	2407572	9999-12-31	2013-05-08
292	2010-07-05	9999-12-31	NO	6/3	NO	1	23.215000	2407572	9999-12-31	2013-05-08
293	2003-04-11	2009-04-11	NO	34/12	NO	1	500.509000	2407711	9999-12-31	2013-05-08
293	2009-04-11	2010-01-01	NO	34/12	NO	1	49.985000	2407711	9999-12-31	2013-05-08
293	2010-01-01	2012-06-15	NO	34/12	NO	1	19.980000	2407711	9999-12-31	2013-05-08
293	2012-06-15	2013-01-01	NO	34/12	NO	1	19.980000	2407711	9999-12-31	2013-05-08
293	2013-01-01	9999-12-31	NO	34/12	NO	4	19.980000	2407711	9999-12-31	2013-05-08
293	2013-01-01	9999-12-31	NO	35/10	NO	1	126.700000	2407711	9999-12-31	2013-05-08
293	2003-04-11	2009-04-11	NO	35/10	NO	3	500.509000	2407711	9999-12-31	2013-05-08
293	2009-04-11	2010-01-01	NO	35/10	NO	3	378.776000	2407711	9999-12-31	2013-05-08
293	2010-01-01	2012-06-15	NO	35/10	NO	4	255.101000	2407711	9999-12-31	2013-05-08
293	2012-06-15	2013-01-01	NO	35/10	NO	4	210.020000	2407711	9999-12-31	2013-05-08
293	2003-04-11	2009-04-11	NO	35/7	NO	2	66.437000	2407711	9999-12-31	2013-05-08
293	2009-04-11	2010-01-01	NO	35/7	NO	2	49.828000	2407711	9999-12-31	2013-05-08
293	2010-01-01	2012-06-15	NO	35/7	NO	2	9.966000	2407711	9999-12-31	2013-05-08
293	2012-06-15	2013-01-01	NO	35/7	NO	2	9.966000	2407711	9999-12-31	2013-05-08
293	2013-01-01	9999-12-31	NO	35/7	NO	2	6.644000	2407711	9999-12-31	2013-05-08
293	2010-01-01	2012-06-15	NO	35/7	NO	3	28.236000	2407711	9999-12-31	2013-05-08
293	2012-06-15	2013-01-01	NO	35/7	NO	3	28.236000	2407711	9999-12-31	2013-05-08
293	2013-01-01	9999-12-31	NO	35/7	NO	3	9.965000	2407711	9999-12-31	2013-05-08
294	2003-04-11	2006-04-11	NO	35/4	NO	1	492.619000	2407753	9999-12-31	2013-05-08
294	2003-04-11	2006-04-11	NO	35/5	NO	2	492.619000	2407753	9999-12-31	2013-05-08
167 B	2003-04-11	2007-01-01	NO	25/10	NO	1	37.313000	2407874	9999-12-31	2013-05-08
167 B	2007-01-01	9999-12-31	NO	25/10	NO	1	3.556000	2407874	9999-12-31	2013-05-08
288	2003-04-11	2006-04-11	NO	4/1	NO	1	565.894000	2407909	9999-12-31	2013-05-08
288	2003-04-11	2006-04-11	NO	4/2	NO	2	547.470000	2407909	9999-12-31	2013-05-08
055 C	2003-06-27	9999-12-31	NO	31/4	NO	1	5.071000	2424830	9999-12-31	2013-05-08
143 BS	2003-06-27	2009-01-01	NO	1/2	YES	1	68.085000	2424891	9999-12-31	2013-05-08
143 BS	2009-01-01	9999-12-31	NO	1/2	YES	1	45.469000	2424891	9999-12-31	2013-05-08
143 CS	2003-06-27	2007-01-01	NO	1/2	YES	1	89.923000	2424919	9999-12-31	2013-05-08
036 BS	2003-10-13	9999-12-31	NO	25/4	YES	1	94.422000	2473189	9999-12-31	2013-05-08
036 BS	2003-10-13	9999-12-31	NO	25/4	YES	2	15.741000	2473189	9999-12-31	2013-05-08
036 C	2003-10-13	9999-12-31	NO	25/4	NO	1	26.215000	2473241	9999-12-31	2013-05-08
296	2003-12-12	2009-12-12	NO	2/5	NO	1	391.863000	2490197	9999-12-31	2013-05-08
296	2003-12-12	2009-12-12	NO	2/6	NO	2	569.642000	2490197	9999-12-31	2013-05-08
297	2003-12-12	2011-01-01	NO	1/2	NO	1	161.060000	2490240	9999-12-31	2013-05-08
297	2003-12-12	2011-01-01	NO	1/5	NO	2	79.269000	2490240	9999-12-31	2013-05-08
297	2011-01-01	2012-02-28	NO	1/6	NO	1	59.154000	2490240	9999-12-31	2013-05-08
297	2003-12-12	2011-01-01	NO	1/6	NO	3	502.353000	2490240	9999-12-31	2013-05-08
298	2003-12-12	2007-01-01	NO	7/11	YES	1	30.062000	2490295	9999-12-31	2013-05-08
299	2003-12-12	2008-10-23	NO	2/1	NO	1	330.537000	2490320	9999-12-31	2013-05-08
299	2008-10-23	2009-01-16	NO	2/1	NO	1	198.712000	2490320	9999-12-31	2013-05-08
299	2009-01-16	2011-12-30	NO	2/1	NO	1	141.669000	2490320	9999-12-31	2013-05-08
299	2011-12-30	9999-12-31	NO	2/1	NO	1	90.728000	2490320	9999-12-31	2013-05-08
300	2003-12-12	2008-12-12	NO	2/1	NO	1	20.694000	2490354	9999-12-31	2013-05-08
300	2008-12-12	9999-12-31	NO	2/1	NO	1	11.289000	2490354	9999-12-31	2013-05-08
301	2003-12-12	2007-12-27	NO	7/11	NO	2	415.755000	2490380	9999-12-31	2013-05-08
301	2008-12-24	2009-12-30	NO	7/11	NO	2	228.416000	2490380	9999-12-31	2013-05-08
301	2009-12-30	2011-03-20	NO	7/11	NO	2	7.472000	2490380	9999-12-31	2013-05-08
301	2011-03-20	9999-12-31	NO	7/11	NO	2	7.472000	2490380	9999-12-31	2013-05-08
301	2003-12-12	2007-12-27	NO	7/11	NO	3	30.062000	2490380	9999-12-31	2013-05-08
301	2007-12-27	2008-05-21	NO	7/11	NO	3	337.267000	2490380	9999-12-31	2013-05-08
301	2008-05-21	2008-12-24	NO	7/11	NO	3	243.369000	2490380	9999-12-31	2013-05-08
301	2009-12-30	2011-03-20	NO	7/11	NO	3	187.283000	2490380	9999-12-31	2013-05-08
301	2011-03-20	9999-12-31	NO	7/11	NO	3	54.356000	2490380	9999-12-31	2013-05-08
301	2007-12-27	2008-05-21	NO	7/11	NO	4	30.062000	2490380	9999-12-31	2013-05-08
301	2003-12-12	2007-12-27	NO	7/8	NO	1	558.364000	2490380	9999-12-31	2013-05-08
301	2007-12-27	2008-05-21	NO	7/8	NO	1	59.561000	2490380	9999-12-31	2013-05-08
301	2008-05-21	2008-12-24	NO	7/8	NO	1	37.266000	2490380	9999-12-31	2013-05-08
301	2008-12-24	2009-12-30	NO	7/8	NO	1	14.933000	2490380	9999-12-31	2013-05-08
301	2009-12-30	2011-03-20	NO	7/8	NO	1	14.933000	2490380	9999-12-31	2013-05-08
301	2011-03-20	9999-12-31	NO	7/8	NO	1	14.933000	2490380	9999-12-31	2013-05-08
301	2007-12-27	2008-05-21	NO	7/8	NO	2	14.933000	2490380	9999-12-31	2013-05-08
301	2008-05-21	2008-12-24	NO	7/8	NO	2	14.933000	2490380	9999-12-31	2013-05-08
302	2003-12-12	2009-03-15	NO	16/10	NO	1	109.702000	2490440	9999-12-31	2013-05-08
303	2003-12-12	2011-05-27	NO	15/2	NO	1	107.019000	2490467	9999-12-31	2013-05-08
303	2011-05-27	9999-12-31	NO	15/2	NO	1	107.019000	2490467	9999-12-31	2013-05-08
303	2003-12-12	2011-05-27	NO	15/3	NO	2	99.935000	2490467	9999-12-31	2013-05-08
303	2011-05-27	9999-12-31	NO	15/3	NO	2	99.935000	2490467	9999-12-31	2013-05-08
303	2003-12-12	2011-05-27	NO	15/3	NO	3	99.805000	2490467	9999-12-31	2013-05-08
303	2011-05-27	9999-12-31	NO	15/3	NO	3	99.805000	2490467	9999-12-31	2013-05-08
303	2003-12-12	2011-05-27	NO	15/5	NO	4	103.661000	2490467	9999-12-31	2013-05-08
303	2011-05-27	9999-12-31	NO	15/5	NO	4	103.661000	2490467	9999-12-31	2013-05-08
303	2003-12-12	2011-05-27	NO	15/5	NO	5	37.739000	2490467	9999-12-31	2013-05-08
303	2011-05-27	9999-12-31	NO	15/5	NO	5	37.739000	2490467	9999-12-31	2013-05-08
303	2003-12-12	2011-05-27	NO	15/6	NO	6	388.326000	2490467	9999-12-31	2013-05-08
303	2011-05-27	9999-12-31	NO	15/6	NO	6	384.718000	2490467	9999-12-31	2013-05-08
303	2003-12-12	2011-05-27	NO	15/8	NO	7	103.111000	2490467	9999-12-31	2013-05-08
303	2011-05-27	9999-12-31	NO	15/8	NO	7	103.111000	2490467	9999-12-31	2013-05-08
304	2010-01-01	2010-12-12	NO	25/10	NO	1	198.771000	2490623	9999-12-31	2013-05-08
304	2003-12-12	2010-01-01	NO	25/10	NO	2	373.910000	2490623	9999-12-31	2013-05-08
304	2003-12-12	2010-01-01	NO	25/7	NO	1	65.232000	2490623	9999-12-31	2013-05-08
305	2003-12-12	2008-12-02	NO	24/9	NO	1	128.567000	2490682	9999-12-31	2013-05-08
305	2003-12-12	2008-12-02	NO	25/7	NO	2	206.718000	2490682	9999-12-31	2013-05-08
306	2003-12-12	2005-07-12	NO	25/1	NO	1	3.479000	2490776	9999-12-31	2013-05-08
306	2003-12-12	2005-07-12	NO	25/2	NO	2	17.396000	2490776	9999-12-31	2013-05-08
306	2003-12-12	2005-07-12	NO	25/5	NO	3	85.898000	2490776	9999-12-31	2013-05-08
307	2003-12-12	2005-12-12	NO	25/4	NO	1	163.808000	2490820	9999-12-31	2013-05-08
308	2003-12-12	2007-12-04	NO	30/12	NO	1	493.018000	2490856	9999-12-31	2013-05-08
309	2003-12-12	2010-03-08	NO	30/5	NO	1	496.461000	2490982	9999-12-31	2013-05-08
309	2010-03-08	2011-01-01	NO	30/5	NO	1	295.049000	2490982	9999-12-31	2013-05-08
309	2011-01-01	2011-07-08	NO	30/5	NO	1	193.217000	2490982	9999-12-31	2013-05-08
309	2011-07-08	2011-10-06	NO	30/5	NO	1	150.726000	2490982	9999-12-31	2013-05-08
309	2003-12-12	2010-03-08	NO	30/6	NO	2	162.086000	2490982	9999-12-31	2013-05-08
309	2010-03-08	2011-01-01	NO	30/6	NO	2	162.086000	2490982	9999-12-31	2013-05-08
309	2011-01-01	2011-07-08	NO	30/6	NO	2	34.021000	2490982	9999-12-31	2013-05-08
309	2011-07-08	2011-10-06	NO	30/6	NO	2	34.021000	2490982	9999-12-31	2013-05-08
309	2003-12-12	2010-03-08	NO	30/8	NO	3	256.202000	2490982	9999-12-31	2013-05-08
309	2010-03-08	2011-01-01	NO	30/8	NO	3	256.202000	2490982	9999-12-31	2013-05-08
309	2011-01-01	2011-07-08	NO	30/8	NO	3	68.430000	2490982	9999-12-31	2013-05-08
309	2011-01-01	2011-07-08	NO	30/8	NO	4	18.801000	2490982	9999-12-31	2013-05-08
309	2011-01-01	2011-07-08	NO	30/8	NO	5	22.127000	2490982	9999-12-31	2013-05-08
309	2003-12-12	2010-03-08	NO	30/9	NO	4	61.589000	2490982	9999-12-31	2013-05-08
309	2011-10-06	9999-12-31	NO	31/4	NO	1	3.379000	2490982	9999-12-31	2013-05-08
309	2011-10-06	9999-12-31	NO	31/4	NO	2	13.551000	2490982	9999-12-31	2013-05-08
309	2011-07-08	2011-10-06	NO	31/4	NO	3	3.379000	2490982	9999-12-31	2013-05-08
309	2010-03-08	2011-01-01	NO	31/4	NO	4	64.311000	2490982	9999-12-31	2013-05-08
309	2011-07-08	2011-10-06	NO	31/4	NO	4	13.551000	2490982	9999-12-31	2013-05-08
309	2003-12-12	2010-03-08	NO	31/4	NO	5	294.537000	2490982	9999-12-31	2013-05-08
309	2011-01-01	2011-07-08	NO	31/4	NO	6	13.551000	2490982	9999-12-31	2013-05-08
309	2011-01-01	2011-07-08	NO	31/4	NO	7	3.379000	2490982	9999-12-31	2013-05-08
309	2003-12-12	2010-03-08	NO	31/7	NO	6	230.599000	2490982	9999-12-31	2013-05-08
310	2003-12-12	2005-01-27	NO	31/3	NO	1	356.183000	2491119	9999-12-31	2013-05-08
311	2003-12-12	2008-12-12	NO	31/1	NO	1	504.440000	2491153	9999-12-31	2013-05-08
311	2003-12-12	2008-12-12	NO	31/2	NO	2	156.088000	2491153	9999-12-31	2013-05-08
312	2003-12-12	2010-01-02	NO	6407/3	NO	1	422.825000	2491196	9999-12-31	2013-05-08
312	2010-01-02	2011-12-20	NO	6407/3	NO	1	25.033000	2491196	9999-12-31	2013-05-08
312	2011-12-20	9999-12-31	NO	6407/6	NO	1	29.683000	2491196	9999-12-31	2013-05-08
312	2003-12-12	2010-01-02	NO	6407/6	NO	2	416.380000	2491196	9999-12-31	2013-05-08
312	2010-01-02	2011-12-20	NO	6407/6	NO	2	8.854000	2491196	9999-12-31	2013-05-08
312	2010-01-02	2011-12-20	NO	6407/6	NO	3	29.683000	2491196	9999-12-31	2013-05-08
313	2003-12-12	2005-12-12	NO	6608/10	NO	1	14.056000	2491243	9999-12-31	2013-05-08
313	2003-12-12	2005-12-12	NO	6608/11	NO	2	36.536000	2491243	9999-12-31	2013-05-08
314	2003-12-12	2006-12-12	NO	6406/3	NO	1	108.896000	2491284	9999-12-31	2013-05-08
261 BS	2003-12-12	2005-11-25	NO	6507/1	YES	1	42.502000	2588889	9999-12-31	2013-05-08
261 BS	2003-12-12	2005-11-25	NO	6507/1	YES	3	328.994000	2588889	9999-12-31	2013-05-08
261 BS	2003-12-12	2005-11-25	NO	6507/2	YES	2	2.829000	2588889	9999-12-31	2013-05-08
261 BS	2003-12-12	2005-11-25	NO	6507/2	YES	4	66.195000	2588889	9999-12-31	2013-05-08
280 S	2004-05-10	2006-03-15	NO	33/9	YES	1	2.076000	2773116	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	10/4	YES	7	554.583000	2786350	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	10/7	YES	8	558.364000	2786350	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	10/8	YES	9	558.364000	2786350	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	10/9	YES	10	558.364000	2786350	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	11/7	YES	11	558.364000	2786350	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	8/6	YES	1	554.583000	2786350	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	9/2	YES	2	550.790000	2786350	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	9/3	YES	3	550.790000	2786350	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	9/4	YES	4	554.583000	2786350	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	9/5	YES	5	543.524000	2786350	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	9/5	YES	12	11.059000	2786350	9999-12-31	2013-05-08
315	2004-06-18	2009-08-20	NO	9/6	YES	6	554.583000	2786350	9999-12-31	2013-05-08
316	2004-06-18	2007-08-23	NO	10/4	YES	5	554.583000	2786469	9999-12-31	2013-05-08
316	2004-06-18	2007-08-23	NO	9/2	YES	1	550.790000	2786469	9999-12-31	2013-05-08
316	2007-08-23	2010-04-16	NO	9/2	YES	1	260.230000	2786469	9999-12-31	2013-05-08
316	2010-04-16	9999-12-31	NO	9/2	YES	1	128.783000	2786469	9999-12-31	2013-05-08
316	2004-06-18	2007-08-23	NO	9/3	YES	2	550.790000	2786469	9999-12-31	2013-05-08
316	2007-08-23	2010-04-16	NO	9/5	YES	2	11.059000	2786469	9999-12-31	2013-05-08
316	2010-04-16	9999-12-31	NO	9/5	YES	2	11.059000	2786469	9999-12-31	2013-05-08
316	2004-06-18	2007-08-23	NO	9/5	YES	3	11.059000	2786469	9999-12-31	2013-05-08
316	2004-06-18	2007-08-23	NO	9/6	YES	4	554.583000	2786469	9999-12-31	2013-05-08
317	2004-06-18	2009-04-13	NO	11/5	NO	1	554.583000	2786553	9999-12-31	2013-05-08
317	2004-06-18	2009-04-13	NO	11/6	NO	2	554.583000	2786553	9999-12-31	2013-05-08
318	2004-06-18	2010-07-18	NO	35/2	NO	1	488.659000	2786586	9999-12-31	2013-05-08
318	2010-07-19	2012-12-27	NO	35/2	NO	1	397.573000	2786586	9999-12-31	2013-05-08
318	2012-12-28	9999-12-31	NO	35/2	NO	1	267.216000	2786586	9999-12-31	2013-05-08
319	2004-06-18	2007-06-29	NO	6201/11	NO	1	478.071000	2786612	9999-12-31	2013-05-08
320	2004-06-18	2007-06-14	NO	6304/6	NO	1	460.667000	2786635	9999-12-31	2013-05-08
321	2004-06-18	2010-06-18	NO	6306/2	NO	1	456.630000	2786661	9999-12-31	2013-05-08
321	2004-06-18	2010-06-18	NO	6306/3	NO	2	456.630000	2786661	9999-12-31	2013-05-08
321	2004-06-18	2010-06-18	NO	6306/5	NO	3	460.667000	2786661	9999-12-31	2013-05-08
322	2004-06-18	2008-06-18	NO	6403/5	NO	1	444.465000	2786703	9999-12-31	2013-05-08
322	2004-06-18	2008-06-18	NO	6403/6	NO	2	444.465000	2786703	9999-12-31	2013-05-08
322	2004-06-18	2008-06-18	NO	6403/9	NO	3	448.529000	2786703	9999-12-31	2013-05-08
323	2004-06-18	2010-06-18	NO	6406/7	NO	1	448.529000	2786740	9999-12-31	2013-05-08
323	2004-06-18	2010-06-18	NO	6406/8	NO	2	448.529000	2786740	9999-12-31	2013-05-08
324	2004-06-18	2008-07-09	NO	6504/1	NO	1	128.950000	2786758	9999-12-31	2013-05-08
324	2004-06-18	2008-07-09	NO	6504/2	NO	2	424.012000	2786758	9999-12-31	2013-05-08
324	2004-06-18	2008-07-09	NO	6504/4	NO	3	428.120000	2786758	9999-12-31	2013-05-08
324	2004-06-18	2008-07-09	NO	6504/5	NO	4	428.120000	2786758	9999-12-31	2013-05-08
325	2004-06-18	2008-03-18	NO	6503/9	NO	1	432.220000	2786811	9999-12-31	2013-05-08
325	2004-06-18	2008-03-18	NO	6504/11	NO	3	436.310000	2786811	9999-12-31	2013-05-08
325	2004-06-18	2008-03-18	NO	6504/7	NO	2	432.220000	2786811	9999-12-31	2013-05-08
326	2004-06-18	2011-03-22	NO	6603/12	NO	1	419.895000	2786855	9999-12-31	2013-05-08
326	2011-03-22	2011-06-18	NO	6603/12	NO	1	227.656000	2786855	9999-12-31	2013-05-08
326	2004-06-18	2011-03-22	NO	6604/10	NO	4	419.895000	2786855	9999-12-31	2013-05-08
326	2011-03-22	2011-06-18	NO	6604/10	NO	4	276.986000	2786855	9999-12-31	2013-05-08
326	2004-06-18	2011-03-22	NO	6604/7	NO	2	415.770000	2786855	9999-12-31	2013-05-08
326	2011-03-22	2011-06-18	NO	6604/7	NO	2	415.770000	2786855	9999-12-31	2013-05-08
326	2004-06-18	2011-03-22	NO	6604/8	NO	3	415.770000	2786855	9999-12-31	2013-05-08
326	2011-03-22	2011-06-18	NO	6604/8	NO	3	415.770000	2786855	9999-12-31	2013-05-08
327	2011-06-18	9999-12-31	NO	6705/11	NO	1	32.388000	2786915	9999-12-31	2013-05-08
327	2004-06-18	2011-06-18	NO	6705/11	NO	3	403.344000	2786915	9999-12-31	2013-05-08
327	2004-06-18	2011-06-18	NO	6705/8	NO	1	399.186000	2786915	9999-12-31	2013-05-08
327	2004-06-18	2011-06-18	NO	6705/9	NO	2	399.186000	2786915	9999-12-31	2013-05-08
328	2004-06-18	2009-06-12	NO	6605/1	NO	1	407.494000	2786957	9999-12-31	2013-05-08
328	2009-06-12	2011-03-28	NO	6605/1	NO	1	170.799000	2786957	9999-12-31	2013-05-08
328	2011-03-28	2011-06-18	NO	6605/1	NO	1	108.496000	2786957	9999-12-31	2013-05-08
328	2004-06-18	2009-06-12	NO	6605/4	NO	2	411.636000	2786957	9999-12-31	2013-05-08
328	2009-06-12	2011-03-28	NO	6605/4	NO	2	275.937000	2786957	9999-12-31	2013-05-08
328	2011-03-28	2011-06-18	NO	6605/4	NO	2	79.386000	2786957	9999-12-31	2013-05-08
328	2011-03-28	2011-06-18	NO	6605/4	NO	3	74.382000	2786957	9999-12-31	2013-05-08
329	2004-06-18	2009-06-18	NO	6607/1	NO	1	407.494000	2786994	9999-12-31	2013-05-08
329	2004-06-18	2009-06-18	NO	6607/2	NO	2	407.494000	2786994	9999-12-31	2013-05-08
329	2004-06-18	2009-06-18	NO	6607/4	NO	3	411.636000	2786994	9999-12-31	2013-05-08
330	2004-06-18	2010-10-22	NO	6608/1	NO	1	407.494000	2787040	9999-12-31	2013-05-08
330	2010-10-22	9999-12-31	NO	6608/1	NO	1	407.494000	2787040	9999-12-31	2013-05-08
330	2004-06-18	2010-10-22	NO	6608/2	NO	2	407.494000	2787040	9999-12-31	2013-05-08
330	2010-10-22	9999-12-31	NO	6608/2	NO	2	327.532000	2787040	9999-12-31	2013-05-08
330	2004-06-18	2010-10-22	NO	6608/3	NO	3	407.494000	2787040	9999-12-31	2013-05-08
037 D	2004-06-08	9999-12-31	NO	33/9	NO	1	12.397000	2787322	9999-12-31	2013-05-08
088 BS	2003-03-21	2008-01-01	NO	24/6	YES	1	97.054000	2787418	9999-12-31	2013-05-08
088 BS	2008-01-01	9999-12-31	NO	24/6	YES	1	61.753000	2787418	9999-12-31	2013-05-08
159 B	2004-08-13	9999-12-31	NO	6507/3	NO	1	77.444000	2819945	9999-12-31	2013-05-08
331	2004-12-17	2011-06-18	NO	2/2	YES	1	565.894000	2986187	9999-12-31	2013-05-08
331	2004-12-17	2011-06-18	NO	2/3	YES	2	565.894000	2986187	9999-12-31	2013-05-08
331	2004-12-17	2011-06-18	NO	8/10	YES	3	187.587000	2986187	9999-12-31	2013-05-08
331	2004-12-17	2011-06-18	NO	8/11	YES	4	375.175000	2986187	9999-12-31	2013-05-08
332	2004-12-17	2011-01-01	NO	2/2	YES	1	565.894000	2986240	9999-12-31	2013-05-08
332	2011-01-01	9999-12-31	NO	2/2	YES	1	45.181000	2986240	9999-12-31	2013-05-08
332	2011-01-01	9999-12-31	NO	2/2	YES	2	158.702000	2986240	9999-12-31	2013-05-08
333	2004-12-17	2013-01-03	NO	2/4	NO	1	66.326000	2986266	2013-02-12	2013-05-08
333	2013-01-03	9999-12-31	NO	2/4	NO	1	35.982000	2986266	9999-12-31	2013-05-08
333	2013-01-03	9999-12-31	NO	2/4	NO	2	3.793000	2986266	9999-12-31	2013-05-08
333	2013-01-03	9999-12-31	NO	2/4	NO	3	3.794000	2986266	9999-12-31	2013-05-08
334	2004-12-17	2008-03-17	NO	7/4	NO	1	295.669000	2986306	9999-12-31	2013-05-08
334	2004-12-17	2008-03-17	NO	7/5	NO	2	554.583000	2986306	9999-12-31	2013-05-08
335	2004-12-17	2007-12-17	NO	7/10	NO	3	9.933000	2986333	9999-12-31	2013-05-08
335	2004-12-17	2007-12-17	NO	7/4	NO	1	70.561000	2986333	9999-12-31	2013-05-08
335	2004-12-17	2007-12-17	NO	7/7	NO	2	127.085000	2986333	9999-12-31	2013-05-08
336	2004-12-17	2006-12-17	NO	7/12	NO	1	460.918000	2986364	9999-12-31	2013-05-08
337	2004-12-17	2009-12-29	NO	15/11	NO	1	0.954000	2986484	9999-12-31	2013-05-08
337	2009-12-29	2010-12-17	NO	15/11	NO	1	0.954000	2986484	9999-12-31	2013-05-08
337	2010-12-17	2012-01-20	NO	15/12	NO	1	105.542000	2986484	9999-12-31	2013-05-08
337	2012-01-20	2013-02-09	NO	15/12	NO	1	63.600000	2986484	2013-02-12	2013-05-08
337	2004-12-17	2009-12-29	NO	15/12	NO	2	236.198000	2986484	9999-12-31	2013-05-08
337	2009-12-29	2010-12-17	NO	15/12	NO	2	236.198000	2986484	9999-12-31	2013-05-08
337	2004-12-17	2009-12-29	NO	16/10	NO	3	437.284000	2986484	9999-12-31	2013-05-08
337	2009-12-29	2010-12-17	NO	16/10	NO	3	178.336000	2986484	9999-12-31	2013-05-08
338	2004-12-17	9999-12-31	NO	16/1	NO	1	218.119000	2986578	9999-12-31	2013-05-08
339	2004-12-17	2008-12-12	NO	16/4	NO	1	270.152000	2986606	9999-12-31	2013-05-08
339	2008-12-12	2009-12-17	NO	16/4	NO	1	14.427000	2986606	9999-12-31	2013-05-08
340	2004-12-17	2012-04-30	NO	24/9	NO	1	164.438000	2986630	9999-12-31	2013-05-08
340	2012-04-30	9999-12-31	NO	24/9	NO	1	44.046000	2986630	9999-12-31	2013-05-08
341	2004-12-17	2011-08-31	NO	24/11	NO	2	13.203000	2986675	9999-12-31	2013-05-08
341	2011-08-31	2011-12-17	NO	24/11	NO	2	10.386000	2986675	9999-12-31	2013-05-08
341	2004-12-17	2011-08-31	NO	24/12	NO	3	517.987000	2986675	9999-12-31	2013-05-08
341	2011-08-31	2011-12-17	NO	24/12	NO	3	101.536000	2986675	9999-12-31	2013-05-08
341	2011-08-31	2011-12-17	NO	24/12	NO	4	21.327000	2986675	9999-12-31	2013-05-08
341	2004-12-17	2011-08-31	NO	24/9	NO	1	8.503000	2986675	9999-12-31	2013-05-08
341	2011-08-31	2011-12-17	NO	24/9	NO	1	8.503000	2986675	9999-12-31	2013-05-08
342	2004-12-17	2006-12-17	NO	25/1	NO	1	97.279000	2986721	9999-12-31	2013-05-08
342	2004-12-17	2006-12-17	NO	25/2	NO	2	27.799000	2986721	9999-12-31	2013-05-08
343	2004-12-17	2009-10-17	NO	29/9	NO	1	13.276000	2986758	9999-12-31	2013-05-08
343	2004-12-17	2009-10-17	NO	30/10	NO	3	256.332000	2986758	9999-12-31	2013-05-08
343	2004-12-17	2009-10-17	NO	30/7	NO	2	480.130000	2986758	9999-12-31	2013-05-08
344	2004-12-17	2010-12-07	NO	33/6	NO	1	92.266000	2986805	9999-12-31	2013-05-08
344	2004-12-17	2010-12-07	NO	33/9	NO	2	83.784000	2986805	9999-12-31	2013-05-08
344	2004-12-17	2010-12-07	NO	33/9	NO	3	69.672000	2986805	9999-12-31	2013-05-08
344	2004-12-17	2010-12-07	NO	34/4	NO	4	14.826000	2986805	9999-12-31	2013-05-08
345	2004-12-17	2008-12-17	NO	34/7	NO	1	155.548000	2986889	9999-12-31	2013-05-08
345	2004-12-17	2008-12-17	NO	34/8	NO	2	150.300000	2986889	9999-12-31	2013-05-08
346	2004-12-17	2006-12-17	NO	6407/5	NO	1	313.884000	2986958	9999-12-31	2013-05-08
347	2004-12-17	2007-12-14	NO	6407/10	NO	3	250.219000	2986982	9999-12-31	2013-05-08
347	2004-12-17	2007-12-14	NO	6407/11	NO	4	27.082000	2986982	9999-12-31	2013-05-08
347	2004-12-17	2007-12-14	NO	6407/7	NO	1	26.998000	2986982	9999-12-31	2013-05-08
347	2004-12-17	2007-12-14	NO	6407/8	NO	2	42.002000	2986982	9999-12-31	2013-05-08
348	2004-12-17	9999-12-31	NO	6407/8	NO	1	182.398000	2987047	9999-12-31	2013-05-08
348	2004-12-17	9999-12-31	NO	6407/9	NO	2	25.329000	2987047	9999-12-31	2013-05-08
349	2004-12-17	2006-12-17	NO	6407/11	NO	1	204.743000	2987098	9999-12-31	2013-05-08
349	2004-12-17	2006-12-17	NO	6407/12	NO	2	233.363000	2987098	9999-12-31	2013-05-08
350	2004-12-17	2012-09-17	NO	6507/6	NO	1	264.012000	2987133	2012-10-12	2013-05-08
351	2004-12-17	2007-12-14	NO	6508/1	NO	1	135.987000	2987183	9999-12-31	2013-05-08
351	2004-12-17	2007-12-14	NO	6508/2	NO	2	225.628000	2987183	9999-12-31	2013-05-08
352	2004-12-17	2008-10-08	NO	6608/7	NO	1	122.330000	2987228	9999-12-31	2013-05-08
352	2004-12-17	2008-10-08	NO	6608/8	NO	2	111.060000	2987228	9999-12-31	2013-05-08
353	2004-12-17	2006-12-17	NO	6608/10	NO	1	197.048000	2987265	9999-12-31	2013-05-08
073 B	2004-12-17	9999-12-31	NO	6406/3	NO	1	16.169000	2987414	9999-12-31	2013-05-08
122 C	2004-12-17	2011-01-01	NO	6607/12	NO	1	5.622000	2987454	9999-12-31	2013-05-08
122 C	2011-01-01	9999-12-31	NO	6607/12	NO	1	4.217000	2987454	9999-12-31	2013-05-08
305 B	2004-12-17	2008-12-02	NO	24/9	NO	1	15.837000	2987480	9999-12-31	2013-05-08
311 B	2004-12-17	2009-02-28	NO	31/2	NO	1	28.633000	2987508	9999-12-31	2013-05-08
037 E	2004-12-10	9999-12-31	NO	33/12	NO	1	2.504000	3000656	9999-12-31	2013-05-08
110 B	2004-12-17	2011-02-24	NO	7121/6	NO	1	240.455000	3001885	9999-12-31	2013-05-08
110 B	2011-02-24	2012-01-01	NO	7121/6	NO	1	30.478000	3001885	9999-12-31	2013-05-08
110 B	2012-01-01	9999-12-31	NO	7121/6	NO	1	30.478000	3001885	9999-12-31	2013-05-08
110 B	2011-02-24	2012-01-01	NO	7121/6	NO	2	102.996000	3001885	9999-12-31	2013-05-08
110 B	2012-01-01	9999-12-31	NO	7121/6	NO	2	41.679000	3001885	9999-12-31	2013-05-08
110 B	2004-12-17	2011-02-24	NO	7121/8	NO	2	264.943000	3001885	9999-12-31	2013-05-08
110 B	2011-02-24	2012-01-01	NO	7121/8	NO	3	125.611000	3001885	9999-12-31	2013-05-08
110 B	2012-01-01	9999-12-31	NO	7121/8	NO	3	86.042000	3001885	9999-12-31	2013-05-08
110 B	2004-12-17	2011-02-24	NO	7121/9	NO	3	264.943000	3001885	9999-12-31	2013-05-08
110 B	2011-02-24	2012-01-01	NO	7121/9	NO	4	1.099000	3001885	9999-12-31	2013-05-08
110 B	2012-01-01	9999-12-31	NO	7121/9	NO	4	126.854000	3001885	9999-12-31	2013-05-08
110 B	2011-02-24	2012-01-01	NO	7121/9	NO	5	126.854000	3001885	9999-12-31	2013-05-08
110 B	2004-12-17	2011-02-24	NO	7122/4	NO	4	109.584000	3001885	9999-12-31	2013-05-08
110 B	2004-12-17	2011-02-24	NO	7122/5	NO	5	109.584000	3001885	9999-12-31	2013-05-08
110 B	2012-01-01	9999-12-31	NO	7122/5	NO	5	9.871000	3001885	9999-12-31	2013-05-08
110 B	2011-02-24	2012-01-01	NO	7122/5	NO	6	9.871000	3001885	9999-12-31	2013-05-08
110 B	2004-12-17	2011-02-24	NO	7122/6	NO	6	327.322000	3001885	9999-12-31	2013-05-08
110 B	2012-01-01	9999-12-31	NO	7122/6	NO	6	183.692000	3001885	9999-12-31	2013-05-08
110 B	2011-02-24	2012-01-01	NO	7122/6	NO	7	263.278000	3001885	9999-12-31	2013-05-08
212 C	2005-02-07	2010-01-01	NO	6507/6	NO	1	114.232000	3371954	9999-12-31	2013-05-08
090 B	2005-05-25	9999-12-31	NO	35/11	NO	1	21.660000	3426781	9999-12-31	2013-05-08
090 C	2005-05-25	9999-12-31	NO	35/11	NO	1	21.663000	3426824	9999-12-31	2013-05-08
048 C	2005-10-10	9999-12-31	NO	15/5	NO	1	13.287000	3489506	9999-12-31	2013-05-08
048 D	2005-10-10	9999-12-31	NO	15/5	NO	1	9.497000	3489553	9999-12-31	2013-05-08
274 BS	2005-12-13	2010-12-13	NO	1/3	YES	1	73.761000	3809011	9999-12-31	2013-05-08
085 D	2006-01-06	2008-01-01	NO	31/3	NO	1	97.304000	3810164	9999-12-31	2013-05-08
354	2006-01-06	2010-01-06	NO	1/9	NO	1	38.895000	3810204	9999-12-31	2013-05-08
354	2006-01-06	2010-01-06	NO	2/10	NO	3	201.075000	3810204	9999-12-31	2013-05-08
354	2006-01-06	2010-01-06	NO	2/11	NO	4	52.163000	3810204	9999-12-31	2013-05-08
354	2006-01-06	2010-01-06	NO	2/7	NO	2	62.655000	3810204	9999-12-31	2013-05-08
356	2006-01-06	2013-01-06	NO	3/4	NO	1	523.951000	3810275	2013-03-22	2013-05-08
356	2006-01-06	2013-01-06	NO	3/5	NO	2	146.336000	3810275	2013-03-22	2013-05-08
357	2006-01-06	2008-01-07	NO	4/3	NO	1	355.986000	3810310	9999-12-31	2013-05-08
358	2006-01-06	2011-07-06	NO	7/3	NO	1	433.477000	3810338	9999-12-31	2013-05-08
358	2006-01-06	2011-07-06	NO	7/6	NO	2	443.363000	3810338	9999-12-31	2013-05-08
359	2006-01-06	9999-12-31	NO	16/1	NO	1	35.795000	3810373	9999-12-31	2013-05-08
359	2006-01-06	9999-12-31	NO	16/4	NO	2	269.194000	3810373	9999-12-31	2013-05-08
360	2006-01-06	9999-12-31	NO	16/5	NO	1	187.331000	3810387	9999-12-31	2013-05-08
360	2006-01-06	9999-12-31	NO	16/6	NO	2	288.128000	3810387	9999-12-31	2013-05-08
360	2006-01-06	9999-12-31	NO	16/8	NO	3	543.172000	3810387	9999-12-31	2013-05-08
360	2006-01-06	9999-12-31	NO	16/9	NO	4	543.172000	3810387	9999-12-31	2013-05-08
361	2006-01-06	2009-04-06	NO	17/2	NO	1	357.433000	3810510	9999-12-31	2013-05-08
361	2006-01-06	2009-04-06	NO	17/3	NO	2	428.715000	3810510	9999-12-31	2013-05-08
361	2006-01-06	2009-04-06	NO	17/5	NO	3	539.346000	3810510	9999-12-31	2013-05-08
361	2006-01-06	2009-04-06	NO	17/6	NO	4	294.437000	3810510	9999-12-31	2013-05-08
362	2006-01-06	9999-12-31	NO	25/1	NO	1	32.853000	3810565	9999-12-31	2013-05-08
362	2006-01-06	9999-12-31	NO	25/2	NO	2	69.220000	3810565	9999-12-31	2013-05-08
363	2006-01-06	2011-01-06	NO	25/5	NO	1	167.941000	3810598	9999-12-31	2013-05-08
364	2006-01-06	2009-01-06	NO	25/2	NO	1	29.566000	3810636	9999-12-31	2013-05-08
364	2009-01-06	2013-01-01	NO	25/2	NO	1	24.347000	3810636	9999-12-31	2013-05-08
364	2013-01-01	9999-12-31	NO	25/2	NO	1	10.435000	3810636	9999-12-31	2013-05-08
364	2006-01-06	2009-01-06	NO	25/3	NO	2	27.812000	3810636	9999-12-31	2013-05-08
364	2009-01-06	2013-01-01	NO	25/5	NO	2	28.732000	3810636	9999-12-31	2013-05-08
364	2013-01-01	9999-12-31	NO	25/5	NO	2	21.769000	3810636	9999-12-31	2013-05-08
364	2006-01-06	2009-01-06	NO	25/5	NO	3	36.565000	3810636	9999-12-31	2013-05-08
364	2006-01-06	2009-01-06	NO	25/6	NO	4	10.444000	3810636	9999-12-31	2013-05-08
365	2006-01-06	2007-12-18	NO	25/10	NO	2	47.718000	3810693	9999-12-31	2013-05-08
365	2006-01-06	2007-12-18	NO	25/7	NO	1	133.890000	3810693	9999-12-31	2013-05-08
366	2006-01-06	2008-02-05	NO	29/3	NO	1	127.060000	3810756	9999-12-31	2013-05-08
366	2006-01-06	2008-02-05	NO	30/1	NO	2	315.824000	3810756	9999-12-31	2013-05-08
367 S	2006-01-06	2007-12-18	NO	29/6	YES	1	5.425000	3810797	9999-12-31	2013-05-08
367 S	2006-01-06	2007-12-18	NO	29/6	YES	2	32.066000	3810797	9999-12-31	2013-05-08
367 S	2006-01-06	2007-12-18	NO	30/4	YES	3	11.883000	3810797	9999-12-31	2013-05-08
367 S	2006-01-06	2007-12-18	NO	30/4	YES	4	194.990000	3810797	9999-12-31	2013-05-08
368	2006-01-06	2007-07-06	NO	30/3	NO	1	18.560000	3810851	9999-12-31	2013-05-08
369	2006-01-06	2011-01-06	NO	31/6	NO	1	45.822000	3810875	9999-12-31	2013-05-08
369	2006-01-06	2011-01-06	NO	32/1	NO	2	94.357000	3810875	9999-12-31	2013-05-08
369	2006-01-06	2011-01-06	NO	32/2	NO	3	70.768000	3810875	9999-12-31	2013-05-08
369	2006-01-06	2011-01-06	NO	32/4	NO	4	406.949000	3810875	9999-12-31	2013-05-08
369	2006-01-06	2011-01-06	NO	32/5	NO	5	152.508000	3810875	9999-12-31	2013-05-08
369	2006-01-06	2011-01-06	NO	32/7	NO	6	272.724000	3810875	9999-12-31	2013-05-08
370	2006-01-06	2013-02-21	NO	33/5	NO	1	64.203000	3810959	9999-12-31	2013-05-08
370	2013-02-21	9999-12-31	NO	33/5	NO	2	64.203000	3810959	9999-12-31	2013-05-08
370	2013-02-21	9999-12-31	NO	33/6	NO	1	98.147000	3810959	9999-12-31	2013-05-08
370	2006-01-06	2013-02-21	NO	33/6	NO	2	152.200000	3810959	9999-12-31	2013-05-08
371 S	2006-01-06	2009-04-06	NO	34/2	YES	1	58.687000	3810996	9999-12-31	2013-05-08
371 S	2006-01-06	2009-04-06	NO	34/3	YES	2	391.244000	3810996	9999-12-31	2013-05-08
371 S	2006-01-06	2009-04-06	NO	34/5	YES	3	14.731000	3810996	9999-12-31	2013-05-08
371 S	2006-01-06	2009-04-06	NO	34/6	YES	4	354.575000	3810996	9999-12-31	2013-05-08
371 S	2006-01-06	2009-04-06	NO	34/9	YES	5	279.586000	3810996	9999-12-31	2013-05-08
371 S	2006-01-06	2009-04-06	NO	35/7	YES	6	405.277000	3810996	9999-12-31	2013-05-08
372 S	2006-01-06	2009-07-06	NO	34/3	YES	1	194.988000	3811092	9999-12-31	2013-05-08
373 S	2006-01-06	9999-12-31	NO	34/2	YES	1	3.270000	3811116	9999-12-31	2013-05-08
373 S	2006-01-06	9999-12-31	NO	34/3	YES	2	293.671000	3811116	9999-12-31	2013-05-08
373 S	2006-01-06	9999-12-31	NO	34/5	YES	3	16.377000	3811116	9999-12-31	2013-05-08
373 S	2006-01-06	9999-12-31	NO	34/6	YES	4	16.377000	3811116	9999-12-31	2013-05-08
374 S	2006-01-06	2013-01-11	NO	34/2	YES	1	107.822000	3811171	2013-01-12	2013-05-08
374 S	2013-01-11	9999-12-31	NO	34/2	YES	1	11.442000	3811171	2013-04-30	2013-05-08
374 S	2006-01-06	2013-01-11	NO	34/5	YES	2	451.677000	3811171	2013-01-12	2013-05-08
374 S	2013-01-11	9999-12-31	NO	34/5	YES	2	93.442000	3811171	2013-04-30	2013-05-08
375	2006-01-06	9999-12-31	NO	34/4	NO	1	260.956000	3811214	9999-12-31	2013-05-08
375	2006-01-06	9999-12-31	NO	34/5	NO	2	24.565000	3811214	9999-12-31	2013-05-08
376	2006-01-06	2010-01-06	NO	35/6	NO	1	492.619000	3811255	9999-12-31	2013-05-08
376	2006-01-06	2010-01-06	NO	35/9	NO	2	69.299000	3811255	9999-12-31	2013-05-08
377 S	2006-01-06	2012-07-06	NO	35/7	YES	1	127.588000	3811290	2013-04-11	2013-05-08
378	2006-01-06	2012-03-22	NO	35/12	NO	1	475.460000	3811312	9999-12-31	2013-05-08
378	2012-03-22	9999-12-31	NO	35/12	NO	1	263.112000	3811312	9999-12-31	2013-05-08
378	2006-01-06	2012-03-22	NO	36/10	NO	2	150.153000	3811312	9999-12-31	2013-05-08
379	2006-01-06	2010-01-05	NO	6406/12	NO	1	271.956000	3811357	9999-12-31	2013-05-08
380	2006-01-06	2010-01-06	NO	6407/2	NO	1	60.029000	3811381	9999-12-31	2013-05-08
381	2006-01-06	2009-02-06	NO	6407/5	NO	1	29.749000	3811409	9999-12-31	2013-05-08
381	2006-01-06	2009-02-06	NO	6407/8	NO	2	86.438000	3811409	9999-12-31	2013-05-08
382	2006-01-06	2011-04-06	NO	6506/11	NO	4	65.329000	3811444	9999-12-31	2013-05-08
382	2006-01-06	2011-04-06	NO	6506/7	NO	1	259.332000	3811444	9999-12-31	2013-05-08
382	2006-01-06	2011-04-06	NO	6506/8	NO	2	432.220000	3811444	9999-12-31	2013-05-08
382	2006-01-06	2011-04-06	NO	6506/9	NO	3	34.457000	3811444	9999-12-31	2013-05-08
383	2006-01-06	2010-07-06	NO	6507/3	NO	1	140.205000	3811499	9999-12-31	2013-05-08
383	2006-01-06	2010-07-06	NO	6508/1	NO	2	73.545000	3811499	9999-12-31	2013-05-08
384	2006-01-06	2008-04-01	NO	6507/5	NO	1	148.700000	3811564	9999-12-31	2013-05-08
385	2006-01-06	2012-06-28	NO	6607/11	NO	1	331.900000	3811602	9999-12-31	2013-05-08
385	2012-06-29	9999-12-31	NO	6607/12	NO	1	132.969000	3811602	9999-12-31	2013-05-08
385	2006-01-06	2012-06-28	NO	6607/12	NO	2	321.557000	3811602	9999-12-31	2013-05-08
386	2006-01-06	2013-04-06	NO	6609/12	NO	1	419.895000	3811659	2013-04-12	2013-05-08
386	2006-01-06	2013-04-06	NO	6610/10	NO	3	419.895000	3811659	2013-04-12	2013-05-08
386	2006-01-06	2013-04-06	NO	6610/7	NO	2	222.258000	3811659	2013-04-12	2013-05-08
043 BS	2006-01-06	2010-05-12	NO	29/6	YES	1	5.425000	3811810	9999-12-31	2013-05-08
043 BS	2010-05-12	9999-12-31	NO	29/6	YES	1	3.819000	3811810	9999-12-31	2013-05-08
043 BS	2010-05-12	9999-12-31	NO	29/6	YES	2	1.607000	3811810	9999-12-31	2013-05-08
043 BS	2006-01-06	2010-05-12	NO	30/4	YES	2	11.883000	3811810	9999-12-31	2013-05-08
043 BS	2010-05-12	9999-12-31	NO	30/4	YES	3	11.883000	3811810	9999-12-31	2013-05-08
090 D	2006-01-06	2010-01-06	NO	35/12	NO	1	25.049000	3811847	9999-12-31	2013-05-08
091 C	2006-01-06	2008-02-06	NO	6406/3	NO	1	32.194000	3811888	9999-12-31	2013-05-08
091 C	2006-01-06	2008-02-06	NO	6407/1	NO	2	5.849000	3811888	9999-12-31	2013-05-08
122 D	2006-01-06	9999-12-31	NO	6607/11	NO	1	7.028000	3811939	9999-12-31	2013-05-08
128 C	2006-01-06	2007-01-06	NO	6608/11	NO	2	34.891000	3811967	9999-12-31	2013-05-08
128 C	2006-01-06	2007-01-06	NO	6608/8	NO	1	33.405000	3811967	9999-12-31	2013-05-08
134 C	2006-01-06	9999-12-31	NO	6506/11	NO	1	2.902000	3812006	9999-12-31	2013-05-08
134 C	2006-01-06	9999-12-31	NO	6506/11	NO	2	4.359000	3812006	9999-12-31	2013-05-08
134 C	2006-01-06	9999-12-31	NO	6506/11	NO	3	1.454000	3812006	9999-12-31	2013-05-08
134 C	2006-01-06	9999-12-31	NO	6506/11	NO	4	1.455000	3812006	9999-12-31	2013-05-08
195 B	2006-01-06	2009-01-01	NO	35/8	NO	1	16.573000	3812021	9999-12-31	2013-05-08
195 B	2009-01-01	9999-12-31	NO	35/8	NO	1	14.917000	3812021	9999-12-31	2013-05-08
248 B	2006-01-06	2007-01-01	NO	35/7	NO	1	24.855000	3812058	9999-12-31	2013-05-08
248 B	2007-01-01	9999-12-31	NO	35/7	NO	1	14.915000	3812058	9999-12-31	2013-05-08
248 B	2006-01-06	2007-01-01	NO	35/8	NO	2	23.155000	3812058	9999-12-31	2013-05-08
248 B	2007-01-01	9999-12-31	NO	35/8	NO	2	9.923000	3812058	9999-12-31	2013-05-08
263 B	2006-01-06	9999-12-31	NO	6407/2	NO	1	4.385000	3812093	9999-12-31	2013-05-08
277 B	2006-01-06	2007-10-03	NO	29/3	NO	1	15.086000	3812131	9999-12-31	2013-05-08
277 B	2007-10-03	2013-01-01	NO	29/3	NO	1	13.411000	3812131	2013-01-03	2013-05-08
355	2006-01-06	2009-12-12	NO	2/4	NO	1	39.779000	3812175	9999-12-31	2013-05-08
091 B	2006-01-06	2009-10-06	NO	6406/3	NO	1	20.526000	3812205	9999-12-31	2013-05-08
387	2006-04-28	2009-04-28	NO	6202/12	NO	4	355.050000	3964986	9999-12-31	2013-05-08
387	2006-04-28	2009-04-28	NO	6202/7	NO	1	480.709000	3964986	9999-12-31	2013-05-08
387	2006-04-28	2009-04-28	NO	6202/8	NO	2	480.709000	3964986	9999-12-31	2013-05-08
387	2006-04-28	2009-04-28	NO	6202/9	NO	3	480.709000	3964986	9999-12-31	2013-05-08
388	2006-04-28	2011-10-28	NO	6302/5	NO	1	460.667000	3965088	9999-12-31	2013-05-08
388	2006-04-28	2011-10-28	NO	6302/7	NO	2	464.694000	3965088	9999-12-31	2013-05-08
388	2006-04-28	2011-10-28	NO	6302/8	NO	3	464.694000	3965088	9999-12-31	2013-05-08
389	2006-04-28	2010-04-26	NO	6406/11	NO	1	331.643000	3965128	9999-12-31	2013-05-08
390	2006-04-28	2011-04-28	NO	6505/6	NO	1	428.120000	3965152	9999-12-31	2013-05-08
390	2006-04-28	2011-04-28	NO	6505/9	NO	2	432.220000	3965152	9999-12-31	2013-05-08
390	2006-04-28	2011-04-28	NO	6506/4	NO	3	428.120000	3965152	9999-12-31	2013-05-08
391	2006-04-28	2010-01-28	NO	6506/1	NO	1	424.012000	3965194	9999-12-31	2013-05-08
392	2006-04-28	2012-04-28	NO	6603/5	NO	1	411.636000	3965222	9999-12-31	2013-05-08
392	2006-04-28	2012-04-28	NO	6603/6	NO	2	411.636000	3965222	9999-12-31	2013-05-08
392	2006-04-28	2012-04-28	NO	6603/7	NO	3	415.770000	3965222	9999-12-31	2013-05-08
392	2006-04-28	2012-04-28	NO	6603/8	NO	4	415.770000	3965222	9999-12-31	2013-05-08
393	2006-04-28	2010-04-28	NO	7124/6	NO	1	175.105000	3965277	9999-12-31	2013-05-08
393	2010-04-28	9999-12-31	NO	7124/6	NO	1	26.306000	3965277	9999-12-31	2013-05-08
393	2006-04-28	2010-04-28	NO	7125/4	NO	2	175.105000	3965277	9999-12-31	2013-05-08
393	2010-04-28	9999-12-31	NO	7125/4	NO	2	65.710000	3965277	9999-12-31	2013-05-08
393	2006-04-28	2010-04-28	NO	7125/5	NO	3	175.105000	3965277	9999-12-31	2013-05-08
393	2010-04-28	9999-12-31	NO	7125/5	NO	3	20.782000	3965277	9999-12-31	2013-05-08
394	2006-04-28	2011-02-05	NO	7224/6	NO	1	310.117000	3965323	9999-12-31	2013-05-08
394	2006-04-28	2011-02-05	NO	7225/4	NO	2	310.117000	3965323	9999-12-31	2013-05-08
395	2006-04-28	2013-01-01	NO	7226/2	NO	1	305.800000	3965360	9999-12-31	2013-05-08
395	2013-01-01	9999-12-31	NO	7226/2	NO	2	248.559000	3965360	9999-12-31	2013-05-08
395	2006-04-28	2013-01-01	NO	7226/3	NO	2	305.800000	3965360	9999-12-31	2013-05-08
395	2013-01-01	9999-12-31	NO	7226/3	NO	3	281.204000	3965360	9999-12-31	2013-05-08
395	2013-01-01	9999-12-31	NO	7227/1	NO	1	244.348000	3965360	9999-12-31	2013-05-08
395	2006-04-28	2013-01-01	NO	7227/1	NO	3	305.800000	3965360	9999-12-31	2013-05-08
396	2006-04-28	2012-01-24	NO	7228/1	NO	1	305.800000	3965404	9999-12-31	2013-05-08
396	2012-01-24	2012-10-28	NO	7228/1	NO	1	83.601000	3965404	2012-12-04	2013-05-08
396	2006-04-28	2012-01-24	NO	7228/2	NO	2	305.800000	3965404	9999-12-31	2013-05-08
396	2012-01-24	2012-10-28	NO	7228/2	NO	2	59.068000	3965404	2012-12-04	2013-05-08
397	2006-04-28	2011-02-18	NO	7230/2	NO	1	305.800000	3965439	9999-12-31	2013-05-08
397	2006-04-28	2011-02-18	NO	7230/3	NO	2	305.800000	3965439	9999-12-31	2013-05-08
397	2006-04-28	2011-02-18	NO	7230/4	NO	3	310.117000	3965439	9999-12-31	2013-05-08
397	2006-04-28	2011-02-18	NO	7230/5	NO	4	310.117000	3965439	9999-12-31	2013-05-08
397	2006-04-28	2011-02-18	NO	7230/6	NO	5	310.117000	3965439	9999-12-31	2013-05-08
397	2006-04-28	2011-02-18	NO	7231/4	NO	7	310.117000	3965439	9999-12-31	2013-05-08
110 C	2006-04-28	2012-01-01	NO	7123/4	NO	1	54.601000	3986340	9999-12-31	2013-05-08
110 C	2012-01-01	9999-12-31	NO	7123/4	NO	1	17.491000	3986340	9999-12-31	2013-05-08
372 BS	2006-04-28	2009-07-06	NO	6202/12	YES	1	64.819000	3987486	9999-12-31	2013-05-08
038 C	2006-06-15	9999-12-31	NO	15/12	NO	1	25.584000	4005057	9999-12-31	2013-05-08
046 B	2006-11-28	9999-12-31	NO	15/9	YES	1	14.461000	4227611	9999-12-31	2013-05-08
046 BS	2006-11-28	9999-12-31	NO	15/9	YES	1	9.740000	4227659	9999-12-31	2013-05-08
354 B	2007-12-16	2010-01-06	NO	2/7	NO	1	17.235000	4237131	9999-12-31	2013-05-08
399	2007-02-16	2009-02-16	NO	2/8	NO	1	57.338000	4237147	9999-12-31	2013-05-08
440 S	2007-06-15	2009-11-25	NO	2/8	YES	1	387.758000	4237161	9999-12-31	2013-05-08
440 S	2009-11-25	9999-12-31	NO	2/8	YES	1	124.168000	4237161	9999-12-31	2013-05-08
398 S	2007-02-16	2009-02-16	NO	2/8	YES	1	387.758000	4237177	9999-12-31	2013-05-08
402	2012-12-27	9999-12-31	NO	10/10	NO	3	58.243000	4237193	9999-12-31	2013-05-08
402	2007-02-16	2011-12-29	NO	10/10	NO	4	112.728000	4237193	2013-01-03	2013-05-08
402	2011-12-30	2012-12-27	NO	10/10	NO	4	112.728000	4237193	2013-01-03	2013-05-08
402	2007-02-16	2011-12-29	NO	10/11	NO	5	112.728000	4237193	2013-01-03	2013-05-08
402	2011-12-30	2012-12-27	NO	10/11	NO	5	56.364000	4237193	2013-01-03	2013-05-08
402	2007-02-16	2011-12-29	NO	3/3	NO	1	320.944000	4237193	2013-01-03	2013-05-08
402	2011-12-30	2012-12-27	NO	3/3	NO	1	65.875000	4237193	2013-01-03	2013-05-08
402	2012-12-27	9999-12-31	NO	3/3	NO	1	47.053000	4237193	9999-12-31	2013-05-08
402	2007-02-16	2011-12-29	NO	4/1	NO	2	565.894000	4237193	2013-01-03	2013-05-08
402	2011-12-30	2012-12-27	NO	4/1	NO	2	497.821000	4237193	2013-01-03	2013-05-08
402	2012-12-27	9999-12-31	NO	4/1	NO	2	113.472000	4237193	9999-12-31	2013-05-08
402	2007-02-16	2011-12-29	NO	4/2	NO	3	301.343000	4237193	2013-01-03	2013-05-08
402	2011-12-30	2012-12-27	NO	4/2	NO	3	301.343000	4237193	2013-01-03	2013-05-08
404	2007-02-16	2012-08-16	NO	10/11	NO	2	449.407000	4237207	2012-10-12	2013-05-08
404	2007-02-16	2012-08-16	NO	10/12	NO	3	562.135000	4237207	2012-10-12	2013-05-08
404	2007-02-16	2012-08-16	NO	11/10	NO	4	562.135000	4237207	2012-10-12	2013-05-08
404	2007-02-16	2012-08-16	NO	5/1	NO	1	125.044000	4237207	2012-10-12	2013-05-08
401	2007-02-16	2009-12-16	NO	4/2	NO	1	246.127000	4237219	9999-12-31	2013-05-08
401	2007-02-16	2009-12-16	NO	4/5	NO	2	43.389000	4237219	9999-12-31	2013-05-08
403	2007-02-16	2008-02-16	NO	3/3	NO	1	244.950000	4237233	9999-12-31	2013-05-08
400	2007-02-16	2012-02-16	NO	3/5	NO	1	195.898000	4237242	9999-12-31	2013-05-08
400	2007-02-16	2012-02-16	NO	3/8	NO	2	126.622000	4237242	9999-12-31	2013-05-08
411	2007-02-16	2011-08-13	NO	17/1	NO	1	535.510000	4237252	9999-12-31	2013-05-08
411	2011-08-13	2012-05-16	NO	17/1	NO	1	178.076000	4237252	2012-07-04	2013-05-08
411	2007-02-16	2011-08-13	NO	17/2	NO	2	178.076000	4237252	9999-12-31	2013-05-08
411	2011-08-13	2012-05-16	NO	26/10	NO	2	354.870000	4237252	2012-07-04	2013-05-08
411	2007-02-16	2011-08-13	NO	26/10	NO	3	531.663000	4237252	9999-12-31	2013-05-08
411	2007-02-16	2011-08-13	NO	26/11	NO	4	531.663000	4237252	9999-12-31	2013-05-08
441	2007-06-15	2008-05-25	NO	3/2	NO	1	189.048000	4237270	9999-12-31	2013-05-08
441	2007-06-15	2008-05-25	NO	3/5	NO	2	227.408000	4237270	9999-12-31	2013-05-08
405	2007-02-16	9999-12-31	NO	7/12	NO	2	28.031000	4237284	9999-12-31	2013-05-08
405	2007-02-16	9999-12-31	NO	7/9	NO	1	50.389000	4237284	9999-12-31	2013-05-08
405	2007-02-16	9999-12-31	NO	8/10	NO	5	374.547000	4237284	9999-12-31	2013-05-08
405	2007-02-16	9999-12-31	NO	8/11	NO	6	37.392000	4237284	9999-12-31	2013-05-08
405	2007-02-16	9999-12-31	NO	8/7	NO	3	111.975000	4237284	9999-12-31	2013-05-08
405	2007-02-16	9999-12-31	NO	8/8	NO	4	22.395000	4237284	9999-12-31	2013-05-08
407	2007-02-16	2011-08-12	NO	17/11	NO	3	80.150000	4237300	9999-12-31	2013-05-08
407	2011-08-12	9999-12-31	NO	17/12	NO	2	192.944000	4237300	9999-12-31	2013-05-08
407	2007-02-16	2011-08-12	NO	17/12	NO	4	400.751000	4237300	9999-12-31	2013-05-08
407	2007-02-16	2011-08-12	NO	17/8	NO	1	36.296000	4237300	9999-12-31	2013-05-08
407	2011-08-12	9999-12-31	NO	17/9	NO	1	9.083000	4237300	9999-12-31	2013-05-08
407	2007-02-16	2011-08-12	NO	17/9	NO	2	127.075000	4237300	9999-12-31	2013-05-08
407	2007-02-16	2011-08-12	NO	18/10	NO	6	69.200000	4237300	9999-12-31	2013-05-08
407	2007-02-16	2011-08-12	NO	18/7	NO	5	21.788000	4237300	9999-12-31	2013-05-08
406	2007-02-16	2013-02-14	NO	17/12	NO	3	109.677000	4237318	2013-02-15	2013-05-08
406	2013-02-14	9999-12-31	NO	18/10	NO	1	115.109000	4237318	9999-12-31	2013-05-08
406	2007-02-16	2013-02-14	NO	18/10	NO	4	244.784000	4237318	2013-02-15	2013-05-08
406	2007-02-16	2013-02-14	NO	18/11	NO	5	36.559000	4237318	2013-02-15	2013-05-08
406	2007-02-16	2013-02-14	NO	8/3	NO	1	219.961000	4237318	2013-02-15	2013-05-08
406	2007-02-16	2013-02-14	NO	9/1	NO	2	293.282000	4237318	2013-02-15	2013-05-08
316 B	2007-02-16	9999-12-31	NO	9/1	NO	1	16.569000	4237334	9999-12-31	2013-05-08
408	2007-02-16	2010-12-31	NO	15/8	NO	1	6.247000	4237444	9999-12-31	2013-05-08
408	2007-02-16	2010-12-31	NO	15/9	NO	2	132.504000	4237444	9999-12-31	2013-05-08
410	2007-02-16	9999-12-31	NO	16/5	NO	1	244.381000	4237458	9999-12-31	2013-05-08
409	2007-02-16	2012-02-16	NO	16/7	NO	1	407.283000	4237470	9999-12-31	2013-05-08
409	2012-02-16	9999-12-31	NO	16/7	NO	1	162.722000	4237470	9999-12-31	2013-05-08
413	2007-02-16	2010-08-16	NO	25/1	NO	1	3.479000	4237482	9999-12-31	2013-05-08
413	2007-02-16	2010-08-16	NO	25/2	NO	2	20.874000	4237482	9999-12-31	2013-05-08
413	2007-02-16	2010-08-16	NO	25/4	NO	3	163.808000	4237482	9999-12-31	2013-05-08
415	2007-02-16	2009-02-16	NO	25/1	NO	1	63.969000	4237498	9999-12-31	2013-05-08
415	2007-02-16	2009-02-16	NO	30/10	NO	2	207.922000	4237498	9999-12-31	2013-05-08
442	2007-06-15	9999-12-31	NO	25/2	NO	1	273.863000	4237510	9999-12-31	2013-05-08
442	2007-06-15	9999-12-31	NO	25/3	NO	2	10.401000	4237510	9999-12-31	2013-05-08
414	2007-02-16	2013-03-17	NO	25/3	NO	1	343.542000	4237582	9999-12-31	2013-05-08
414	2013-03-18	9999-12-31	NO	25/3	NO	1	187.384000	4237582	9999-12-31	2013-05-08
414	2007-02-16	2013-03-17	NO	25/5	NO	2	29.638000	4237582	9999-12-31	2013-05-08
414	2013-03-18	9999-12-31	NO	25/5	NO	3	29.638000	4237582	9999-12-31	2013-05-08
414	2013-03-18	9999-12-31	NO	25/6	NO	2	198.666000	4237582	9999-12-31	2013-05-08
414	2007-02-16	2013-03-17	NO	25/6	NO	3	198.666000	4237582	9999-12-31	2013-05-08
412	2007-02-16	2011-02-17	NO	25/5	NO	1	117.233000	4237612	9999-12-31	2013-05-08
412	2007-02-16	2011-02-17	NO	25/6	NO	2	314.827000	4237612	9999-12-31	2013-05-08
412	2007-02-16	2011-02-17	NO	25/8	NO	3	151.109000	4237612	9999-12-31	2013-05-08
412	2007-02-16	2011-02-17	NO	25/9	NO	4	421.935000	4237612	9999-12-31	2013-05-08
417	2007-02-16	2010-02-16	NO	31/3	NO	1	149.398000	4237645	9999-12-31	2013-05-08
417	2007-02-16	2010-02-16	NO	32/1	NO	2	268.546000	4237645	9999-12-31	2013-05-08
417	2007-02-16	2010-02-16	NO	36/10	NO	3	350.357000	4237645	9999-12-31	2013-05-08
416	2007-02-16	2012-02-16	NO	31/8	NO	1	512.269000	4237675	9999-12-31	2013-05-08
423 S	2007-02-16	2011-08-16	NO	34/6	YES	1	197.048000	4237691	9999-12-31	2013-05-08
423 S	2007-02-16	2011-08-16	NO	35/4	YES	2	482.798000	4237691	9999-12-31	2013-05-08
445	2007-06-15	2009-06-15	NO	33/2	NO	1	193.229000	4237722	9999-12-31	2013-05-08
445	2007-06-15	2009-06-15	NO	33/3	NO	2	104.050000	4237722	9999-12-31	2013-05-08
424	2007-02-16	2009-08-16	NO	33/2	NO	1	110.931000	4237756	9999-12-31	2013-05-08
424	2007-02-16	2009-08-16	NO	33/3	NO	2	228.534000	4237756	9999-12-31	2013-05-08
424	2007-02-16	2009-08-16	NO	33/6	NO	3	241.336000	4237756	9999-12-31	2013-05-08
424	2007-02-16	2009-08-16	NO	34/1	NO	4	65.348000	4237756	9999-12-31	2013-05-08
424	2007-02-16	2009-08-16	NO	34/4	NO	5	49.104000	4237756	9999-12-31	2013-05-08
425 S	2007-02-16	2009-02-16	NO	33/3	YES	1	156.075000	4237783	9999-12-31	2013-05-08
425 S	2007-02-16	2009-02-16	NO	34/1	YES	2	65.348000	4237783	9999-12-31	2013-05-08
425 S	2007-02-16	2009-02-16	NO	34/1	YES	3	125.287000	4237783	9999-12-31	2013-05-08
425 S	2007-02-16	2009-02-16	NO	34/1	YES	4	232.675000	4237783	9999-12-31	2013-05-08
425 S	2007-02-16	2009-02-16	NO	34/2	YES	5	19.604000	4237783	9999-12-31	2013-05-08
425 S	2007-02-16	2009-02-16	NO	34/2	YES	6	68.306000	4237783	9999-12-31	2013-05-08
425 S	2007-02-16	2009-02-16	NO	34/2	YES	7	250.573000	4237783	9999-12-31	2013-05-08
425 S	2007-02-16	2009-02-16	NO	34/4	YES	8	32.731000	4237783	9999-12-31	2013-05-08
427 S	2007-02-16	2009-04-16	NO	34/1	YES	1	232.675000	4237809	9999-12-31	2013-05-08
427 S	2007-02-16	2009-04-16	NO	34/2	YES	2	250.573000	4237809	9999-12-31	2013-05-08
443	2007-06-15	2010-06-15	NO	33/12	NO	1	128.041000	4237831	9999-12-31	2013-05-08
422 S	2007-02-16	2009-02-16	NO	34/6	YES	1	131.488000	4237847	9999-12-31	2013-05-08
422 S	2007-02-16	2009-02-16	NO	34/6	YES	2	90.186000	4237847	9999-12-31	2013-05-08
444	2007-06-15	2010-09-30	NO	34/11	NO	3	98.154000	4237881	9999-12-31	2013-05-08
444	2007-06-15	2010-09-30	NO	34/8	NO	1	99.564000	4237881	9999-12-31	2013-05-08
444	2007-06-15	2010-09-30	NO	34/9	NO	2	46.445000	4237881	9999-12-31	2013-05-08
050 D	2007-02-16	2012-04-11	NO	34/10	YES	1	53.559000	4237912	9999-12-31	2013-05-08
050 D	2012-04-11	9999-12-31	NO	34/10	YES	1	6.278000	4237912	9999-12-31	2013-05-08
050 D	2012-04-11	9999-12-31	NO	34/10	YES	2	47.282000	4237912	9999-12-31	2013-05-08
050 D	2012-04-11	9999-12-31	NO	34/10	YES	3	0.000000	4237912	9999-12-31	2013-05-08
426	2007-02-16	2010-08-16	NO	35/3	NO	1	68.645000	4238116	9999-12-31	2013-05-08
426	2007-02-16	2010-08-16	NO	35/3	NO	2	178.792000	4238116	9999-12-31	2013-05-08
318 B	2007-02-16	2010-07-19	NO	35/4	NO	1	9.821000	4238138	9999-12-31	2013-05-08
318 B	2012-12-28	9999-12-31	NO	35/4	NO	1	6.545000	4238138	9999-12-31	2013-05-08
318 B	2007-02-16	2010-07-19	NO	35/5	NO	2	98.207000	4238138	9999-12-31	2013-05-08
318 B	2012-12-28	9999-12-31	NO	35/5	NO	2	34.401000	4238138	9999-12-31	2013-05-08
421	2007-02-16	2009-02-16	NO	35/8	NO	1	175.021000	4238186	9999-12-31	2013-05-08
418	2007-02-16	9999-12-31	NO	35/8	NO	1	96.270000	4238348	9999-12-31	2013-05-08
418	2007-02-16	9999-12-31	NO	35/9	NO	2	14.944000	4238348	9999-12-31	2013-05-08
420	2007-02-16	9999-12-31	NO	35/9	NO	1	92.821000	4238409	9999-12-31	2013-05-08
419	2007-02-16	2011-02-17	NO	35/9	NO	1	195.457000	4238530	9999-12-31	2013-05-08
446	2007-06-15	2009-06-15	NO	6305/7	NO	1	169.263000	4238548	9999-12-31	2013-05-08
430	2007-02-16	2009-02-16	NO	6406/4	NO	1	70.876000	4238564	9999-12-31	2013-05-08
429	2007-02-16	2012-02-16	NO	6407/1	NO	1	11.795000	4238578	9999-12-31	2013-05-08
429	2007-02-16	2012-02-16	NO	6407/4	NO	2	444.465000	4238578	9999-12-31	2013-05-08
428	2007-02-16	2009-02-16	NO	6407/9	NO	1	65.645000	4238624	9999-12-31	2013-05-08
211 B	2007-02-16	2010-02-17	NO	6506/9	NO	1	83.289000	4238638	9999-12-31	2013-05-08
211 B	2010-02-17	9999-12-31	NO	6506/9	NO	1	35.876000	4238638	9999-12-31	2013-05-08
211 B	2007-02-16	2010-02-17	NO	6507/7	NO	2	14.351000	4238638	9999-12-31	2013-05-08
211 B	2010-02-17	9999-12-31	NO	6507/7	NO	2	1.434000	4238638	9999-12-31	2013-05-08
433	2007-02-16	9999-12-31	NO	6506/12	NO	2	15.928000	4238654	9999-12-31	2013-05-08
433	2007-02-16	9999-12-31	NO	6506/9	NO	1	63.612000	4238654	9999-12-31	2013-05-08
436	2007-02-16	2010-02-16	NO	6507/6	NO	1	17.177000	4238670	9999-12-31	2013-05-08
436	2007-02-16	2010-02-16	NO	6508/4	NO	2	145.823000	4238670	9999-12-31	2013-05-08
212 D	2007-02-16	2010-01-01	NO	6507/9	NO	1	81.890000	4238684	9999-12-31	2013-05-08
435	2007-02-16	9999-12-31	NO	6507/7	NO	1	209.930000	4238696	9999-12-31	2013-05-08
435	2007-02-16	9999-12-31	NO	6507/8	NO	2	33.019000	4238696	9999-12-31	2013-05-08
431	2007-02-16	2012-08-16	NO	6406/2	NO	1	21.954000	4238714	2012-10-12	2013-05-08
431	2007-02-16	2012-08-16	NO	6406/3	NO	2	122.985000	4238714	2012-10-12	2013-05-08
431	2007-02-16	2012-08-16	NO	6506/12	NO	3	93.228000	4238714	2012-10-12	2013-05-08
434	2007-02-16	2012-02-16	NO	6507/8	NO	1	62.160000	4238730	9999-12-31	2013-05-08
432	2007-02-16	2010-02-16	NO	6507/12	NO	2	283.602000	4238746	9999-12-31	2013-05-08
432	2007-02-16	2010-02-16	NO	6507/9	NO	1	131.438000	4238746	9999-12-31	2013-05-08
447	2007-06-15	2011-06-16	NO	6608/7	NO	1	249.049000	4238758	9999-12-31	2013-05-08
437	2007-02-16	2012-02-16	NO	6608/10	NO	1	14.056000	4238776	9999-12-31	2013-05-08
437	2007-02-16	2012-02-16	NO	6608/11	NO	2	5.623000	4238776	9999-12-31	2013-05-08
448	2007-06-15	9999-12-31	NO	7120/7	NO	1	26.665000	4238790	9999-12-31	2013-05-08
448	2007-06-15	9999-12-31	NO	7120/8	NO	2	106.485000	4238790	9999-12-31	2013-05-08
448	2007-06-15	9999-12-31	NO	7120/9	NO	3	154.883000	4238790	9999-12-31	2013-05-08
438	2007-02-16	9999-12-31	NO	7120/1	NO	1	151.282000	4238812	9999-12-31	2013-05-08
438	2007-02-16	9999-12-31	NO	7120/2	NO	2	151.282000	4238812	9999-12-31	2013-05-08
438	2007-02-16	9999-12-31	NO	7120/3	NO	3	90.769000	4238812	9999-12-31	2013-05-08
438	2007-02-16	9999-12-31	NO	7120/4	NO	4	21.688000	4238812	9999-12-31	2013-05-08
438	2007-02-16	9999-12-31	NO	7120/5	NO	5	21.688000	4238812	9999-12-31	2013-05-08
438	2007-02-16	9999-12-31	NO	7120/6	NO	6	24.952000	4238812	9999-12-31	2013-05-08
439	2007-02-16	2012-12-16	NO	7120/3	NO	1	60.513000	4238830	2013-02-13	2013-05-08
439	2007-02-16	2012-12-16	NO	7121/1	NO	2	151.282000	4238830	2013-02-13	2013-05-08
449	2007-06-15	2010-06-15	NO	7121/3	NO	1	323.030000	4238846	9999-12-31	2013-05-08
449	2007-06-15	2010-06-15	NO	7122/1	NO	2	323.030000	4238846	9999-12-31	2013-05-08
449	2007-06-15	2010-06-15	NO	7122/2	NO	3	30.003000	4238846	9999-12-31	2013-05-08
050 DS	2006-10-06	9999-12-31	NO	34/10	YES	1	3.947000	4380141	9999-12-31	2013-05-08
120 B	2006-10-06	9999-12-31	NO	34/7	NO	1	9.966000	4380181	9999-12-31	2013-05-08
120 B	2006-10-06	9999-12-31	NO	34/8	NO	2	9.966000	4380181	9999-12-31	2013-05-08
229 B	2007-04-27	2011-07-27	NO	7122/10	NO	1	50.137000	4461754	9999-12-31	2013-05-08
229 B	2011-07-27	9999-12-31	NO	7122/11	NO	1	1.113000	4461754	9999-12-31	2013-05-08
229 B	2007-04-27	2011-07-27	NO	7122/11	NO	2	13.367000	4461754	9999-12-31	2013-05-08
316 CS	2007-08-23	2010-06-18	NO	10/4	YES	2	554.583000	4480974	9999-12-31	2013-05-08
316 CS	2007-08-23	2010-06-18	NO	9/6	YES	1	554.583000	4480974	9999-12-31	2013-05-08
316 DS	2007-08-23	2010-06-18	NO	9/2	YES	1	290.560000	4481011	9999-12-31	2013-05-08
316 DS	2007-08-23	2010-06-18	NO	9/3	YES	2	550.790000	4481011	9999-12-31	2013-05-08
202	1993-09-10	2003-09-10	NO	7227/11	NO	1	318.732000	4705176	9999-12-31	2013-05-08
202	2003-09-10	2006-01-01	NO	7227/11	NO	1	190.733000	4705176	9999-12-31	2013-05-08
202	2006-01-01	2008-01-01	NO	7227/11	NO	1	190.733000	4705176	9999-12-31	2013-05-08
202	1993-09-10	2003-09-10	NO	7227/12	NO	2	318.732000	4705176	9999-12-31	2013-05-08
202	2003-09-10	2006-01-01	NO	7227/12	NO	2	162.018000	4705176	9999-12-31	2013-05-08
202	2006-01-01	2008-01-01	NO	7227/12	NO	2	138.663000	4705176	9999-12-31	2013-05-08
202	1993-09-10	2003-09-10	NO	7228/10	NO	4	318.732000	4705176	9999-12-31	2013-05-08
202	2003-09-10	2006-01-01	NO	7228/10	NO	4	70.832000	4705176	9999-12-31	2013-05-08
202	2006-01-01	2008-01-01	NO	7228/10	NO	5	33.812000	4705176	9999-12-31	2013-05-08
202	1993-09-10	2003-09-10	NO	7228/7	NO	3	84.269000	4705176	9999-12-31	2013-05-08
202	2003-09-10	2006-01-01	NO	7228/7	NO	3	84.269000	4705176	9999-12-31	2013-05-08
202	2006-01-01	2008-01-01	NO	7228/7	NO	3	6.318000	4705176	9999-12-31	2013-05-08
202	2006-01-01	2008-01-01	NO	7228/7	NO	4	23.197000	4705176	9999-12-31	2013-05-08
327 B	2007-12-07	2011-06-18	NO	6705/10	NO	1	53.982000	4720054	9999-12-31	2013-05-08
327 B	2011-06-18	9999-12-31	NO	6705/10	NO	1	27.004000	4720054	9999-12-31	2013-05-08
321 B	2007-12-07	2010-06-18	NO	6306/6	NO	1	30.614000	4720082	9999-12-31	2013-05-08
274 CS	2008-02-29	9999-12-31	NO	1/2	YES	1	18.816000	4909658	2012-08-10	2013-05-08
006 D	2008-02-29	2011-08-29	NO	2/5	NO	1	46.622000	4909688	9999-12-31	2013-05-08
454	2008-02-29	2010-03-01	NO	7/9	NO	1	507.976000	4909716	9999-12-31	2013-05-08
452	2008-02-29	2009-08-29	NO	7/12	NO	1	115.303000	4909740	9999-12-31	2013-05-08
450	2008-02-29	9999-12-31	NO	7/12	NO	1	89.232000	4909784	9999-12-31	2013-05-08
455	2008-02-29	9999-12-31	NO	17/11	NO	5	111.409000	4909816	9999-12-31	2013-05-08
455	2008-02-29	9999-12-31	NO	17/12	NO	6	36.559000	4909816	9999-12-31	2013-05-08
455	2008-02-29	9999-12-31	NO	8/1	NO	1	215.104000	4909816	9999-12-31	2013-05-08
455	2008-02-29	9999-12-31	NO	8/2	NO	2	429.867000	4909816	9999-12-31	2013-05-08
455	2008-02-29	9999-12-31	NO	8/3	NO	3	330.828000	4909816	9999-12-31	2013-05-08
455	2008-02-29	9999-12-31	NO	9/1	NO	4	240.939000	4909816	9999-12-31	2013-05-08
453 S	2008-02-29	9999-12-31	NO	8/11	YES	6	149.568000	4909893	9999-12-31	2013-05-08
453 S	2008-02-29	9999-12-31	NO	8/12	YES	7	299.337000	4909893	9999-12-31	2013-05-08
453 S	2008-02-29	9999-12-31	NO	8/4	YES	1	388.274000	4909893	9999-12-31	2013-05-08
453 S	2008-02-29	9999-12-31	NO	8/5	YES	2	480.857000	4909893	9999-12-31	2013-05-08
453 S	2008-02-29	9999-12-31	NO	8/7	YES	3	133.917000	4909893	9999-12-31	2013-05-08
453 S	2008-02-29	9999-12-31	NO	8/8	YES	4	535.969000	4909893	9999-12-31	2013-05-08
453 S	2008-02-29	9999-12-31	NO	8/9	YES	5	134.279000	4909893	9999-12-31	2013-05-08
451	2008-02-29	2011-03-01	NO	10/10	NO	3	247.334000	4910013	9999-12-31	2013-05-08
451	2008-02-29	2011-03-01	NO	9/11	NO	1	318.200000	4910013	9999-12-31	2013-05-08
451	2008-02-29	2011-03-01	NO	9/12	NO	2	449.407000	4910013	9999-12-31	2013-05-08
457	2008-02-29	9999-12-31	NO	16/1	NO	1	53.437000	4910110	9999-12-31	2013-05-08
456	2008-02-29	2009-02-28	NO	17/6	NO	1	122.570000	4910146	9999-12-31	2013-05-08
456	2008-02-29	2009-02-28	NO	17/9	NO	2	267.620000	4910146	9999-12-31	2013-05-08
460	2008-02-29	2011-05-22	NO	24/3	NO	1	0.850000	4910195	9999-12-31	2013-05-08
460	2011-05-22	9999-12-31	NO	25/1	NO	1	46.876000	4910195	9999-12-31	2013-05-08
460	2008-02-29	2011-05-22	NO	25/1	NO	2	221.913000	4910195	9999-12-31	2013-05-08
460	2008-02-29	2011-05-22	NO	25/2	NO	3	27.799000	4910195	9999-12-31	2013-05-08
459	2008-02-29	2010-03-01	NO	25/4	NO	1	33.266000	4910251	9999-12-31	2013-05-08
458	2008-02-29	2010-03-01	NO	25/10	NO	1	33.757000	4910277	9999-12-31	2013-05-08
461	2008-02-29	2010-03-01	NO	26/2	NO	1	520.058000	4910313	9999-12-31	2013-05-08
461	2008-02-29	2010-03-01	NO	31/11	NO	2	516.169000	4910313	9999-12-31	2013-05-08
462 S	2008-02-29	2011-03-01	NO	29/3	YES	1	28.128000	4910350	9999-12-31	2013-05-08
462 S	2008-02-29	2011-03-01	NO	29/6	YES	2	40.296000	4910350	9999-12-31	2013-05-08
462 S	2008-02-29	2011-03-01	NO	30/1	YES	3	175.209000	4910350	9999-12-31	2013-05-08
462 S	2008-02-29	2011-03-01	NO	30/2	YES	4	408.529000	4910350	9999-12-31	2013-05-08
462 S	2008-02-29	2011-03-01	NO	30/4	YES	5	169.018000	4910350	9999-12-31	2013-05-08
463 S	2008-02-29	2011-08-28	NO	30/1	YES	1	175.209000	4910414	9999-12-31	2013-05-08
463 S	2008-02-29	2011-08-28	NO	30/2	YES	2	425.400000	4910414	9999-12-31	2013-05-08
463 S	2008-02-29	2011-08-28	NO	30/4	YES	3	169.018000	4910414	9999-12-31	2013-05-08
465	2008-02-29	2011-03-01	NO	30/3	NO	1	308.951000	4918009	9999-12-31	2013-05-08
052 C	2008-02-29	2011-03-01	NO	30/6	NO	1	12.321000	4918046	9999-12-31	2013-05-08
464	2008-02-29	2011-03-01	NO	31/3	NO	1	92.609000	4918076	9999-12-31	2013-05-08
464	2008-02-29	2011-03-01	NO	32/1	NO	2	33.682000	4918076	9999-12-31	2013-05-08
344 B	2008-02-29	2010-12-07	NO	33/9	NO	1	2.076000	4918142	9999-12-31	2013-05-08
466 S	2008-02-29	2010-03-01	NO	34/6	YES	3	41.161000	4918164	9999-12-31	2013-05-08
466 S	2008-02-29	2010-03-01	NO	34/9	YES	1	279.586000	4918164	9999-12-31	2013-05-08
466 S	2008-02-29	2010-03-01	NO	34/9	YES	2	170.539000	4918164	9999-12-31	2013-05-08
467 S	2008-02-29	2010-08-29	NO	35/5	YES	1	118.418000	4918211	9999-12-31	2013-05-08
467 S	2008-02-29	2010-08-29	NO	35/7	YES	2	198.154000	4918211	9999-12-31	2013-05-08
153 B	2008-02-29	9999-12-31	NO	35/9	NO	1	1.656000	4918242	9999-12-31	2013-05-08
153 B	2008-02-29	9999-12-31	NO	35/9	NO	2	4.974000	4918242	9999-12-31	2013-05-08
468	2008-02-29	2012-02-29	NO	6305/9	NO	1	123.525000	4918281	9999-12-31	2013-05-08
474	2008-02-29	2010-09-01	NO	6406/1	NO	2	180.448000	4918303	9999-12-31	2013-05-08
474	2008-02-29	2010-09-01	NO	6406/2	NO	1	33.775000	4918303	9999-12-31	2013-05-08
472	2008-02-29	2010-03-01	NO	6406/2	NO	2	63.331000	4918367	9999-12-31	2013-05-08
472	2008-02-29	2010-03-01	NO	6406/3	NO	1	35.286000	4918367	9999-12-31	2013-05-08
475	2008-02-29	9999-12-31	NO	6406/3	NO	2	49.916000	4918410	9999-12-31	2013-05-08
475	2008-02-29	9999-12-31	NO	6407/1	NO	1	102.417000	4918410	9999-12-31	2013-05-08
405 B	2008-02-29	9999-12-31	NO	7/12	NO	1	20.643000	4918473	9999-12-31	2013-05-08
471	2008-02-29	2013-02-28	NO	6407/2	NO	1	33.889000	4918501	2013-03-22	2013-05-08
471	2008-02-29	2013-02-28	NO	6407/5	NO	2	376.233000	4918501	2013-03-22	2013-05-08
074 B	2008-02-29	9999-12-31	NO	6407/2	NO	1	5.875000	4918544	9999-12-31	2013-05-08
473	2008-02-29	9999-12-31	NO	6407/2	NO	1	11.788000	4920841	9999-12-31	2013-05-08
473	2008-02-29	9999-12-31	NO	6407/5	NO	2	2.951000	4920841	9999-12-31	2013-05-08
469	2008-02-29	2011-02-28	NO	6407/11	NO	2	272.037000	4920878	9999-12-31	2013-05-08
469	2008-02-29	2011-02-28	NO	6407/12	NO	3	424.034000	4920878	9999-12-31	2013-05-08
469	2008-02-29	2011-02-28	NO	6407/9	NO	1	9.008000	4920878	9999-12-31	2013-05-08
470	2008-02-29	2011-03-01	NO	6407/12	NO	2	21.039000	4920926	9999-12-31	2013-05-08
470	2008-02-29	2011-03-01	NO	6407/9	NO	1	146.803000	4920926	9999-12-31	2013-05-08
479	2008-02-29	9999-12-31	NO	6506/12	NO	2	8.693000	4920979	9999-12-31	2013-05-08
479	2008-02-29	9999-12-31	NO	6506/9	NO	1	7.236000	4920979	9999-12-31	2013-05-08
477	2008-02-29	9999-12-31	NO	6506/11	NO	1	142.304000	4921022	9999-12-31	2013-05-08
487 S	2008-02-29	2010-03-01	NO	6609/8	YES	1	29.181000	4921153	9999-12-31	2013-05-08
487 S	2008-02-29	2010-03-01	NO	6609/9	YES	2	298.372000	4921153	9999-12-31	2013-05-08
488	2008-02-29	2012-11-19	NO	7019/2	NO	1	126.567000	4921192	2013-01-23	2013-05-08
488	2008-02-29	2012-11-19	NO	7019/3	NO	2	140.085000	4921192	2013-01-23	2013-05-08
488	2008-02-29	2012-11-19	NO	7119/11	NO	3	6.755000	4921192	2013-01-23	2013-05-08
488	2008-02-29	2012-11-19	NO	7119/12	NO	4	202.044000	4921192	2013-01-23	2013-05-08
488	2008-02-29	2012-11-19	NO	7120/10	NO	5	175.184000	4921192	2013-01-23	2013-05-08
478	2008-02-29	2011-08-29	NO	6507/10	NO	2	171.390000	4921207	9999-12-31	2013-05-08
478	2008-02-29	2011-08-29	NO	6507/7	NO	1	73.715000	4921207	9999-12-31	2013-05-08
480	2008-02-29	2010-03-01	NO	6507/8	NO	1	41.758000	4921338	9999-12-31	2013-05-08
490	2008-02-29	9999-12-31	NO	7120/4	NO	1	61.180000	4921353	9999-12-31	2013-05-08
490	2008-02-29	9999-12-31	NO	7120/5	NO	2	165.489000	4921353	9999-12-31	2013-05-08
490	2008-02-29	9999-12-31	NO	7120/6	NO	3	104.392000	4921353	9999-12-31	2013-05-08
476	2008-02-29	2011-01-22	NO	6507/11	NO	1	78.658000	4921415	9999-12-31	2013-05-08
482	2008-02-29	2013-03-01	NO	6508/1	NO	1	67.638000	4921474	2013-04-13	2013-05-08
489	2008-02-29	9999-12-31	NO	7120/11	NO	1	44.804000	4921522	9999-12-31	2013-05-08
489	2008-02-29	9999-12-31	NO	7120/12	NO	2	223.448000	4921522	9999-12-31	2013-05-08
481	2008-02-29	2013-03-01	NO	6508/5	NO	1	57.283000	4921546	2013-05-08	2013-05-08
481	2008-02-29	2013-03-01	NO	6508/6	NO	2	245.955000	4921546	2013-05-08	2013-05-08
448 B	2008-02-29	2010-09-15	NO	7120/10	NO	1	35.660000	4921587	9999-12-31	2013-05-08
448 B	2008-02-29	2010-09-15	NO	7120/11	NO	2	89.151000	4921587	9999-12-31	2013-05-08
484	2008-02-29	9999-12-31	NO	6608/10	NO	1	171.920000	4921632	9999-12-31	2013-05-08
491	2008-02-29	2011-03-01	NO	7121/2	NO	1	151.282000	4921667	9999-12-31	2013-05-08
229 C	2008-02-29	2009-02-28	NO	7122/9	NO	1	22.117000	4921701	9999-12-31	2013-05-08
485	2008-02-29	2011-02-28	NO	6608/8	NO	1	138.897000	4921710	9999-12-31	2013-05-08
483 S	2008-02-29	2011-01-16	NO	6508/3	YES	1	33.789000	4921755	9999-12-31	2013-05-08
483 S	2008-02-29	2011-01-16	NO	6608/12	YES	2	44.880000	4921755	9999-12-31	2013-05-08
483 S	2008-02-29	2011-01-16	NO	6609/10	YES	3	190.733000	4921755	9999-12-31	2013-05-08
483 S	2008-02-29	2011-01-16	NO	6609/11	YES	4	125.919000	4921755	9999-12-31	2013-05-08
483 S	2008-02-29	2011-01-16	NO	6609/11	YES	5	75.279000	4921755	9999-12-31	2013-05-08
486 S	2008-02-29	2010-03-01	NO	6609/10	YES	3	46.007000	4921823	9999-12-31	2013-05-08
486 S	2008-02-29	2010-03-01	NO	6609/11	YES	4	75.279000	4921823	9999-12-31	2013-05-08
486 S	2008-02-29	2010-03-01	NO	6609/8	YES	1	249.958000	4921823	9999-12-31	2013-05-08
486 S	2008-02-29	2010-03-01	NO	6609/9	YES	2	249.958000	4921823	9999-12-31	2013-05-08
492	2008-02-29	9999-12-31	NO	7120/1	NO	1	155.683000	4925088	9999-12-31	2013-05-08
492	2008-02-29	9999-12-31	NO	7120/2	NO	2	64.492000	4925088	9999-12-31	2013-05-08
159 C	2008-02-13	9999-12-31	NO	6507/3	NO	1	60.704000	4939362	9999-12-31	2013-05-08
159 D	2008-02-13	9999-12-31	NO	6507/3	NO	1	18.046000	4939421	9999-12-31	2013-05-08
027 D	2007-12-07	2011-01-01	NO	25/8	NO	1	50.077000	4943160	9999-12-31	2013-05-08
027 D	2011-01-01	9999-12-31	NO	25/8	NO	1	22.851000	4943160	9999-12-31	2013-05-08
027 D	2007-12-07	2011-01-01	NO	25/8	NO	2	35.210000	4943160	9999-12-31	2013-05-08
027 D	2011-01-01	9999-12-31	NO	25/8	NO	2	35.210000	4943160	9999-12-31	2013-05-08
263 C	2008-04-18	9999-12-31	NO	6507/11	NO	1	0.546000	4966437	9999-12-31	2013-05-08
263 C	2008-04-18	9999-12-31	NO	6507/11	NO	2	0.728000	4966437	9999-12-31	2013-05-08
212 E	2008-01-23	9999-12-31	NO	6507/3	NO	1	42.311000	4966902	9999-12-31	2013-05-08
301 B	2008-05-21	2011-06-13	NO	7/8	NO	1	22.294000	4973175	9999-12-31	2013-05-08
301 CS	2008-05-21	2012-06-12	NO	7/11	YES	1	63.836000	4973200	2012-09-12	2013-05-08
301 CS	2008-05-21	2012-06-12	NO	7/11	YES	2	30.062000	4973200	2012-09-12	2013-05-08
036 D	2008-10-17	9999-12-31	NO	25/4	NO	1	19.191000	5081703	9999-12-31	2013-05-08
035 B	2008-11-26	9999-12-31	NO	30/11	NO	1	25.881000	5105684	9999-12-31	2013-05-08
493	2009-01-23	2012-01-23	NO	1/3	NO	1	118.613000	5105835	9999-12-31	2013-05-08
494	2009-01-23	9999-12-31	NO	2/9	NO	1	215.496000	5105899	9999-12-31	2013-05-08
495	2009-01-23	9999-12-31	NO	7/2	NO	1	110.462000	5105968	9999-12-31	2013-05-08
495	2009-01-23	9999-12-31	NO	7/4	NO	2	366.235000	5105968	9999-12-31	2013-05-08
495	2009-01-23	9999-12-31	NO	7/5	NO	3	554.583000	5105968	9999-12-31	2013-05-08
495	2009-01-23	9999-12-31	NO	7/8	NO	4	133.730000	5105968	9999-12-31	2013-05-08
496	2009-01-23	2011-03-08	NO	7/10	NO	2	3.818000	5106035	9999-12-31	2013-05-08
496	2009-01-23	2011-03-08	NO	7/7	NO	1	6.670000	5106035	9999-12-31	2013-05-08
497	2009-01-23	9999-12-31	NO	7/11	NO	3	27.093000	5106073	9999-12-31	2013-05-08
497	2009-01-23	9999-12-31	NO	7/7	NO	1	10.317000	5106073	9999-12-31	2013-05-08
497	2009-01-23	9999-12-31	NO	7/8	NO	2	10.268000	5106073	9999-12-31	2013-05-08
498	2009-01-23	9999-12-31	NO	7/11	NO	3	19.625000	5106134	9999-12-31	2013-05-08
498	2009-01-23	9999-12-31	NO	7/11	NO	4	20.557000	5106134	9999-12-31	2013-05-08
498	2009-01-23	9999-12-31	NO	7/12	NO	5	35.521000	5106134	9999-12-31	2013-05-08
498	2009-01-23	9999-12-31	NO	7/7	NO	1	43.032000	5106134	9999-12-31	2013-05-08
498	2009-01-23	9999-12-31	NO	7/8	NO	2	159.425000	5106134	9999-12-31	2013-05-08
499 S	2009-01-23	2011-07-23	NO	8/11	YES	2	149.568000	5106238	9999-12-31	2013-05-08
499 S	2009-01-23	2011-07-23	NO	8/8	YES	1	535.969000	5106238	9999-12-31	2013-05-08
500	2009-01-23	9999-12-31	NO	16/1	NO	1	33.818000	5106274	9999-12-31	2013-05-08
501	2009-01-23	9999-12-31	NO	16/2	NO	1	279.991000	5106314	9999-12-31	2013-05-08
501	2009-01-23	9999-12-31	NO	16/3	NO	2	240.979000	5106314	9999-12-31	2013-05-08
501	2009-01-23	9999-12-31	NO	16/5	NO	3	75.365000	5106314	9999-12-31	2013-05-08
501	2009-01-23	9999-12-31	NO	16/6	NO	4	113.048000	5106314	9999-12-31	2013-05-08
502	2009-01-23	9999-12-31	NO	16/5	NO	1	32.269000	5106378	9999-12-31	2013-05-08
503	2009-01-23	9999-12-31	NO	17/7	NO	1	470.931000	5106405	9999-12-31	2013-05-08
503	2009-01-23	9999-12-31	NO	17/8	NO	2	506.875000	5106405	9999-12-31	2013-05-08
504	2009-01-23	9999-12-31	NO	25/7	NO	1	12.313000	5106455	9999-12-31	2013-05-08
505	2009-01-23	9999-12-31	NO	25/10	NO	2	47.718000	5106486	9999-12-31	2013-05-08
505	2009-01-23	9999-12-31	NO	25/7	NO	1	121.577000	5106486	9999-12-31	2013-05-08
506 S	2009-01-23	9999-12-31	NO	26/5	YES	1	523.937000	5106544	9999-12-31	2013-05-08
506 S	2009-01-23	9999-12-31	NO	26/8	YES	2	527.805000	5106544	9999-12-31	2013-05-08
518	2009-01-23	2013-01-23	NO	7121/10	NO	3	67.034000	5106560	2013-03-22	2013-05-08
518	2009-01-23	2013-01-23	NO	7121/11	NO	4	145.070000	5106560	2013-03-22	2013-05-08
518	2009-01-23	2013-01-23	NO	7121/12	NO	5	93.632000	5106560	2013-03-22	2013-05-08
518	2009-01-23	2013-01-23	NO	7121/8	NO	1	56.664000	5106560	2013-03-22	2013-05-08
518	2009-01-23	2013-01-23	NO	7121/9	NO	2	66.664000	5106560	2013-03-22	2013-05-08
507	2009-01-23	9999-12-31	NO	25/2	NO	1	51.837000	5106689	9999-12-31	2013-05-08
507	2009-01-23	9999-12-31	NO	25/3	NO	2	138.302000	5106689	9999-12-31	2013-05-08
507	2009-01-23	9999-12-31	NO	30/11	NO	3	258.245000	5106689	9999-12-31	2013-05-08
507	2009-01-23	9999-12-31	NO	30/12	NO	4	493.017000	5106689	9999-12-31	2013-05-08
507	2009-01-23	9999-12-31	NO	31/10	NO	5	62.018000	5106689	9999-12-31	2013-05-08
508 S	2009-01-23	2012-01-23	NO	29/3	YES	1	128.735000	5106810	9999-12-31	2013-05-08
508 S	2009-01-23	2012-01-23	NO	29/6	YES	2	32.066000	5106810	9999-12-31	2013-05-08
508 S	2009-01-23	2012-01-23	NO	30/1	YES	3	315.824000	5106810	9999-12-31	2013-05-08
508 S	2009-01-23	2012-01-23	NO	30/4	YES	4	296.862000	5106810	9999-12-31	2013-05-08
509 S	2009-01-23	9999-12-31	NO	29/3	YES	1	128.735000	5106880	9999-12-31	2013-05-08
509 S	2009-01-23	9999-12-31	NO	29/3	YES	2	28.128000	5106880	9999-12-31	2013-05-08
509 S	2009-01-23	9999-12-31	NO	29/6	YES	3	32.066000	5106880	9999-12-31	2013-05-08
509 S	2009-01-23	9999-12-31	NO	29/6	YES	4	5.426000	5106880	9999-12-31	2013-05-08
509 S	2009-01-23	9999-12-31	NO	29/6	YES	5	40.296000	5106880	9999-12-31	2013-05-08
509 S	2009-01-23	9999-12-31	NO	30/1	YES	6	315.824000	5106880	9999-12-31	2013-05-08
509 S	2009-01-23	9999-12-31	NO	30/4	YES	7	296.862000	5106880	9999-12-31	2013-05-08
509 S	2009-01-23	9999-12-31	NO	30/4	YES	8	11.883000	5106880	9999-12-31	2013-05-08
510	2009-01-23	9999-12-31	NO	6406/5	NO	1	116.766000	5106991	9999-12-31	2013-05-08
510	2009-01-23	9999-12-31	NO	6406/6	NO	2	184.716000	5106991	9999-12-31	2013-05-08
517	2009-01-23	2012-01-23	NO	7020/1	NO	1	53.053000	5107074	9999-12-31	2013-05-08
516	2009-01-23	2011-12-22	NO	6608/10	NO	1	18.145000	5107101	9999-12-31	2013-05-08
516	2011-12-22	9999-12-31	NO	6608/10	NO	1	2.790000	5107101	9999-12-31	2013-05-08
515	2009-01-23	2012-04-23	NO	6508/1	NO	1	31.078000	5107133	2012-12-04	2013-05-08
515	2009-01-23	2012-04-23	NO	6508/2	NO	2	253.914000	5107133	2012-12-04	2013-05-08
514	2009-01-23	2011-01-22	NO	6507/1	NO	1	225.628000	5107175	9999-12-31	2013-05-08
514	2009-01-23	2011-01-22	NO	6507/2	NO	2	93.024000	5107175	9999-12-31	2013-05-08
513	2009-01-23	9999-12-31	NO	6506/6	NO	1	253.842000	5107217	9999-12-31	2013-05-08
513	2009-01-23	9999-12-31	NO	6507/1	NO	2	59.592000	5107217	9999-12-31	2013-05-08
513	2009-01-23	9999-12-31	NO	6507/4	NO	3	98.156000	5107217	9999-12-31	2013-05-08
432 B	2009-01-23	2010-02-16	NO	6507/12	NO	1	81.623000	5107289	9999-12-31	2013-05-08
512	2009-01-23	9999-12-31	NO	6407/10	NO	3	340.708000	5107312	9999-12-31	2013-05-08
512	2009-01-23	9999-12-31	NO	6407/11	NO	4	63.192000	5107312	9999-12-31	2013-05-08
512	2009-01-23	9999-12-31	NO	6407/7	NO	1	24.001000	5107312	9999-12-31	2013-05-08
512	2009-01-23	9999-12-31	NO	6407/8	NO	2	42.002000	5107312	9999-12-31	2013-05-08
107 B	2009-01-23	9999-12-31	NO	6407/7	NO	1	11.949000	5107376	9999-12-31	2013-05-08
511	2009-01-23	9999-12-31	NO	6406/5	NO	1	112.922000	5107428	9999-12-31	2013-05-08
511	2009-01-23	9999-12-31	NO	6406/6	NO	2	157.464000	5107428	9999-12-31	2013-05-08
511	2009-01-23	9999-12-31	NO	6406/9	NO	3	188.059000	5107428	9999-12-31	2013-05-08
292 B	2009-01-23	2010-07-05	NO	15/12	NO	1	5.573000	5107501	9999-12-31	2013-05-08
292 B	2010-07-05	9999-12-31	NO	15/12	NO	1	4.268000	5107501	9999-12-31	2013-05-08
465 B	2009-01-23	2011-03-01	NO	30/3	NO	1	1.681000	5107561	9999-12-31	2013-05-08
465 B	2009-01-23	2011-03-01	NO	30/3	NO	2	38.730000	5107561	9999-12-31	2013-05-08
193 B	2009-01-23	9999-12-31	NO	34/11	NO	1	5.002000	5107611	9999-12-31	2013-05-08
472 B	2009-01-23	2010-03-01	NO	6406/5	NO	1	28.038000	5107640	9999-12-31	2013-05-08
475 BS	2009-01-23	9999-12-31	NO	6406/3	YES	1	32.194000	5107669	9999-12-31	2013-05-08
475 BS	2009-01-23	9999-12-31	NO	6407/1	YES	2	5.849000	5107669	9999-12-31	2013-05-08
402 B	2009-01-23	9999-12-31	NO	9/12	NO	1	28.182000	5107780	9999-12-31	2013-05-08
107 C	2009-01-23	9999-12-31	NO	6407/7	NO	1	20.965000	5115394	9999-12-31	2013-05-08
519	2009-05-15	9999-12-31	NO	6201/11	NO	1	349.209000	5463084	9999-12-31	2013-05-08
519	2009-05-15	9999-12-31	NO	6201/12	NO	2	177.914000	5463084	9999-12-31	2013-05-08
318 C	2009-05-15	9999-12-31	NO	6203/10	NO	1	19.456000	5463114	9999-12-31	2013-05-08
520	2009-05-15	9999-12-31	NO	6502/2	NO	1	424.012000	5463136	9999-12-31	2013-05-08
520	2009-05-15	9999-12-31	NO	6502/3	NO	2	424.012000	5463136	9999-12-31	2013-05-08
520	2009-05-15	9999-12-31	NO	6502/6	NO	3	428.120000	5463136	9999-12-31	2013-05-08
520	2009-05-15	9999-12-31	NO	6503/1	NO	4	424.012000	5463136	9999-12-31	2013-05-08
520	2009-05-15	9999-12-31	NO	6503/2	NO	5	424.012000	5463136	9999-12-31	2013-05-08
520	2009-05-15	9999-12-31	NO	6503/4	NO	6	428.120000	5463136	9999-12-31	2013-05-08
520	2009-05-15	9999-12-31	NO	6503/5	NO	7	428.120000	5463136	9999-12-31	2013-05-08
521	2009-05-15	9999-12-31	NO	6509/4	NO	1	428.120000	5463210	9999-12-31	2013-05-08
521	2009-05-15	9999-12-31	NO	6509/5	NO	2	428.120000	5463210	9999-12-31	2013-05-08
521	2009-05-15	9999-12-31	NO	6509/6	NO	3	214.060000	5463210	9999-12-31	2013-05-08
522	2009-05-15	9999-12-31	NO	6604/2	NO	1	407.494000	5463248	9999-12-31	2013-05-08
522	2009-05-15	9999-12-31	NO	6604/3	NO	2	407.494000	5463248	9999-12-31	2013-05-08
522	2009-05-15	9999-12-31	NO	6604/4	NO	3	411.636000	5463248	9999-12-31	2013-05-08
522	2009-05-15	9999-12-31	NO	6604/5	NO	4	411.636000	5463248	9999-12-31	2013-05-08
522	2009-05-15	9999-12-31	NO	6604/6	NO	5	411.636000	5463248	9999-12-31	2013-05-08
523	2009-05-15	2012-05-15	NO	6605/11	NO	1	419.895000	5463304	2012-07-04	2013-05-08
523	2009-05-15	2012-05-15	NO	6605/12	NO	2	419.895000	5463304	2012-07-04	2013-05-08
524	2009-05-15	2012-05-15	NO	6606/2	NO	1	216.814000	5463333	9999-12-31	2013-05-08
524	2009-05-15	2012-05-15	NO	6606/3	NO	2	216.814000	5463333	9999-12-31	2013-05-08
525	2009-05-15	9999-12-31	NO	6606/4	NO	1	411.636000	5463362	9999-12-31	2013-05-08
525	2009-05-15	9999-12-31	NO	6606/5	NO	2	411.636000	5463362	9999-12-31	2013-05-08
526	2009-05-15	9999-12-31	NO	6608/6	NO	1	411.636000	5463391	9999-12-31	2013-05-08
526	2009-05-15	9999-12-31	NO	6608/9	NO	2	304.494000	5463391	9999-12-31	2013-05-08
526	2009-05-15	9999-12-31	NO	6609/4	NO	3	411.636000	5463391	9999-12-31	2013-05-08
527	2009-05-15	9999-12-31	NO	6703/10	NO	4	403.344000	5463429	9999-12-31	2013-05-08
527	2009-05-15	9999-12-31	NO	6703/11	NO	5	403.344000	5463429	9999-12-31	2013-05-08
527	2009-05-15	9999-12-31	NO	6703/12	NO	6	403.344000	5463429	9999-12-31	2013-05-08
527	2009-05-15	9999-12-31	NO	6703/7	NO	1	399.186000	5463429	9999-12-31	2013-05-08
527	2009-05-15	9999-12-31	NO	6703/8	NO	2	399.186000	5463429	9999-12-31	2013-05-08
527	2009-05-15	9999-12-31	NO	6703/9	NO	3	399.186000	5463429	9999-12-31	2013-05-08
527	2009-05-15	9999-12-31	NO	6704/10	NO	9	403.344000	5463429	9999-12-31	2013-05-08
527	2009-05-15	9999-12-31	NO	6704/7	NO	7	399.186000	5463429	9999-12-31	2013-05-08
527	2009-05-15	9999-12-31	NO	6704/8	NO	8	399.186000	5463429	9999-12-31	2013-05-08
528	2009-05-15	9999-12-31	NO	6707/11	NO	3	403.344000	5463521	9999-12-31	2013-05-08
528	2009-05-15	9999-12-31	NO	6707/8	NO	1	399.186000	5463521	9999-12-31	2013-05-08
528	2009-05-15	9999-12-31	NO	6707/9	NO	2	399.186000	5463521	9999-12-31	2013-05-08
529	2009-05-15	9999-12-31	NO	7016/2	NO	1	340.156000	5463559	9999-12-31	2013-05-08
529	2009-05-15	9999-12-31	NO	7116/11	NO	2	335.884000	5463559	9999-12-31	2013-05-08
530	2009-05-15	2013-03-12	NO	7123/6	NO	1	179.031000	5463588	2013-03-22	2013-05-08
530	2009-05-15	2013-03-12	NO	7124/4	NO	2	153.845000	5463588	2013-03-22	2013-05-08
531	2009-05-15	9999-12-31	NO	7217/12	NO	1	318.732000	5463621	9999-12-31	2013-05-08
531	2009-05-15	9999-12-31	NO	7218/10	NO	2	318.732000	5463621	9999-12-31	2013-05-08
531	2009-05-15	9999-12-31	NO	7218/11	NO	3	318.732000	5463621	9999-12-31	2013-05-08
532	2009-05-15	9999-12-31	NO	7219/9	NO	1	314.428000	5463659	9999-12-31	2013-05-08
532	2009-05-15	9999-12-31	NO	7220/4	NO	2	310.117000	5463659	9999-12-31	2013-05-08
532	2009-05-15	9999-12-31	NO	7220/5	NO	3	310.117000	5463659	9999-12-31	2013-05-08
532	2009-05-15	9999-12-31	NO	7220/7	NO	4	314.428000	5463659	9999-12-31	2013-05-08
532	2009-05-15	9999-12-31	NO	7220/8	NO	5	314.428000	5463659	9999-12-31	2013-05-08
533	2009-05-15	9999-12-31	NO	7219/12	NO	1	318.732000	5463724	9999-12-31	2013-05-08
533	2009-05-15	9999-12-31	NO	7220/10	NO	2	318.732000	5463724	9999-12-31	2013-05-08
534	2009-05-15	9999-12-31	NO	7224/11	NO	3	318.732000	5463753	9999-12-31	2013-05-08
534	2009-05-15	9999-12-31	NO	7224/7	NO	1	314.428000	5463753	9999-12-31	2013-05-08
534	2009-05-15	9999-12-31	NO	7224/8	NO	2	314.428000	5463753	9999-12-31	2013-05-08
535	2009-05-15	9999-12-31	NO	7225/3	NO	1	305.800000	5463791	9999-12-31	2013-05-08
535	2009-05-15	9999-12-31	NO	7226/1	NO	2	305.800000	5463791	9999-12-31	2013-05-08
536	2009-05-15	2012-11-15	NO	7228/11	NO	1	318.732000	5463820	2013-01-23	2013-05-08
536	2009-05-15	2012-11-15	NO	7228/12	NO	2	318.732000	5463820	2013-01-23	2013-05-08
537	2009-05-15	9999-12-31	NO	7324/7	NO	1	297.147000	5463849	9999-12-31	2013-05-08
537	2009-05-15	9999-12-31	NO	7324/8	NO	2	297.147000	5463849	9999-12-31	2013-05-08
102 C	2009-03-20	9999-12-31	NO	25/5	NO	1	81.809000	5467035	9999-12-31	2013-05-08
102 C	2009-03-20	9999-12-31	NO	25/5	NO	2	10.476000	5467035	9999-12-31	2013-05-08
102 C	2009-03-20	9999-12-31	NO	25/5	NO	3	22.668000	5467035	9999-12-31	2013-05-08
169 C	2009-03-27	2011-01-01	NO	25/8	NO	1	26.387000	5479914	9999-12-31	2013-05-08
169 C	2011-01-01	9999-12-31	NO	25/8	NO	1	8.790000	5479914	9999-12-31	2013-05-08
538	2009-05-15	2012-05-15	NO	6705/12	NO	1	403.344000	5480294	9999-12-31	2013-05-08
019 D	2009-01-16	2010-01-01	NO	2/1	NO	1	7.562000	5488531	9999-12-31	2013-05-08
019 D	2010-01-01	9999-12-31	NO	2/1	NO	1	7.562000	5488531	9999-12-31	2013-05-08
019 D	2009-01-16	2010-01-01	NO	2/1	NO	2	4.729000	5488531	9999-12-31	2013-05-08
299 B	2009-01-16	2010-01-01	NO	2/1	NO	1	57.043000	5488567	9999-12-31	2013-05-08
038 D	2009-05-15	9999-12-31	NO	15/12	NO	1	32.728000	5500999	9999-12-31	2013-05-08
539	2010-02-19	9999-12-31	NO	3/7	NO	1	190.919000	17320077	9999-12-31	2013-05-08
540	2010-02-19	2011-08-19	NO	3/6	NO	1	218.964000	17320106	9999-12-31	2013-05-08
541	2010-02-19	9999-12-31	NO	4/4	NO	1	263.654000	17320130	9999-12-31	2013-05-08
542	2010-02-19	9999-12-31	NO	2/1	NO	1	60.322000	17320156	9999-12-31	2013-05-08
331 C	2010-02-19	2011-06-18	NO	2/1	NO	1	20.694000	17320176	9999-12-31	2013-05-08
497 B	2010-02-19	9999-12-31	NO	7/11	NO	2	11.213000	17320202	9999-12-31	2013-05-08
497 B	2010-02-19	9999-12-31	NO	7/8	NO	1	11.197000	17320202	9999-12-31	2013-05-08
543	2010-02-19	2012-11-19	NO	16/7	NO	1	5.434000	17320231	2013-02-08	2013-05-08
544	2010-02-19	9999-12-31	NO	16/4	NO	1	255.725000	17320260	9999-12-31	2013-05-08
545	2010-02-19	2012-02-19	NO	17/2	NO	1	357.433000	17320282	9999-12-31	2013-05-08
545	2010-02-19	2012-02-19	NO	17/3	NO	2	535.510000	17320282	9999-12-31	2013-05-08
545	2010-02-19	2012-02-19	NO	17/5	NO	3	323.148000	17320282	9999-12-31	2013-05-08
545	2010-02-19	2012-02-19	NO	17/6	NO	4	323.148000	17320282	9999-12-31	2013-05-08
546	2010-02-19	9999-12-31	NO	25/11	NO	1	211.091000	17320338	9999-12-31	2013-05-08
546	2010-02-19	9999-12-31	NO	25/12	NO	2	207.449000	17320338	9999-12-31	2013-05-08
169 D	2010-02-19	9999-12-31	NO	25/11	NO	1	5.301000	17320383	9999-12-31	2013-05-08
169 D	2010-02-19	9999-12-31	NO	25/12	NO	2	3.533000	17320383	9999-12-31	2013-05-08
340 BS	2010-02-19	2012-04-30	NO	24/9	YES	1	61.727000	17320421	9999-12-31	2013-05-08
340 BS	2012-04-30	9999-12-31	NO	24/9	YES	1	21.171000	17320421	9999-12-31	2013-05-08
547 S	2010-02-19	2012-02-19	NO	25/7	YES	1	168.983000	17320441	9999-12-31	2013-05-08
504 BS	2010-02-19	9999-12-31	NO	25/7	YES	1	5.273000	17320469	9999-12-31	2013-05-08
548 S	2010-02-19	2012-02-19	NO	24/9	YES	1	28.129000	17320489	2012-07-04	2013-05-08
548 S	2010-02-19	2012-02-19	NO	25/7	YES	2	144.939000	17320489	2012-07-04	2013-05-08
505 BS	2010-02-19	9999-12-31	NO	25/7	YES	1	32.480000	17320530	9999-12-31	2013-05-08
549 S	2010-02-19	9999-12-31	NO	25/1	YES	1	63.969000	17320558	9999-12-31	2013-05-08
549 S	2010-02-19	9999-12-31	NO	30/10	YES	2	207.922000	17320558	9999-12-31	2013-05-08
550	2010-02-19	9999-12-31	NO	31/1	NO	1	302.664000	17320594	9999-12-31	2013-05-08
550	2010-02-19	9999-12-31	NO	31/2	NO	2	166.292000	17320594	9999-12-31	2013-05-08
551	2010-02-19	9999-12-31	NO	31/2	NO	1	3.351000	17642019	9999-12-31	2013-05-08
551	2010-02-19	9999-12-31	NO	31/3	NO	2	97.304000	17642019	9999-12-31	2013-05-08
090 E	2010-02-19	9999-12-31	NO	31/2	NO	1	15.078000	17642079	9999-12-31	2013-05-08
552	2010-02-19	9999-12-31	NO	34/7	NO	1	67.892000	17642108	9999-12-31	2013-05-08
553	2010-02-19	9999-12-31	NO	34/7	NO	1	87.656000	17646365	9999-12-31	2013-05-08
553	2010-02-19	9999-12-31	NO	34/8	NO	2	150.300000	17646365	9999-12-31	2013-05-08
554	2010-02-19	9999-12-31	NO	34/6	NO	1	156.150000	17654471	9999-12-31	2013-05-08
423 BS	2010-02-19	2011-08-16	NO	35/1	YES	1	55.555000	17654498	9999-12-31	2013-05-08
555	2010-02-19	9999-12-31	NO	33/2	NO	1	193.229000	17654533	9999-12-31	2013-05-08
556	2010-02-19	2011-02-19	NO	6407/11	NO	1	117.356000	17654560	9999-12-31	2013-05-08
093 B	2010-02-19	9999-12-31	NO	6407/9	NO	1	2.985000	17654585	9999-12-31	2013-05-08
312 B	2010-02-19	9999-12-31	NO	6407/5	NO	1	5.939000	17654614	9999-12-31	2013-05-08
557	2010-02-19	9999-12-31	NO	6406/1	NO	1	179.119000	17654641	9999-12-31	2013-05-08
557	2010-02-19	9999-12-31	NO	6506/10	NO	2	218.656000	17654641	9999-12-31	2013-05-08
477 B	2010-02-19	9999-12-31	NO	6506/11	NO	1	18.838000	17654703	9999-12-31	2013-05-08
558	2010-02-19	9999-12-31	NO	6507/5	NO	1	145.854000	17654732	9999-12-31	2013-05-08
559	2010-02-19	9999-12-31	NO	6608/10	NO	1	14.036000	17654775	9999-12-31	2013-05-08
559	2010-02-19	9999-12-31	NO	6608/11	NO	2	329.117000	17654775	9999-12-31	2013-05-08
560	2010-02-19	2011-02-19	NO	6608/7	NO	1	32.007000	17654831	9999-12-31	2013-05-08
560	2010-02-19	2011-02-19	NO	6608/8	NO	2	1.392000	17654831	9999-12-31	2013-05-08
561	2010-02-19	2013-02-19	NO	6608/7	NO	1	134.714000	17654869	2013-04-03	2013-05-08
561	2010-02-19	2013-02-19	NO	6608/8	NO	2	275.480000	17654869	2013-04-03	2013-05-08
562	2010-02-19	9999-12-31	NO	6609/5	NO	1	411.636000	17654921	9999-12-31	2013-05-08
562	2010-02-19	9999-12-31	NO	6609/6	NO	2	219.024000	17654921	9999-12-31	2013-05-08
562	2010-02-19	9999-12-31	NO	6609/8	NO	3	165.812000	17654921	9999-12-31	2013-05-08
518 B	2010-02-19	2013-01-23	NO	7121/10	NO	3	75.804000	17654970	2013-03-22	2013-05-08
518 B	2010-02-19	2013-01-23	NO	7121/11	NO	4	10.025000	17654970	2013-03-22	2013-05-08
518 B	2010-02-19	2013-01-23	NO	7121/7	NO	1	17.786000	17654970	2013-03-22	2013-05-08
518 B	2010-02-19	2013-01-23	NO	7121/8	NO	2	10.000000	17654970	2013-03-22	2013-05-08
563	2010-02-19	9999-12-31	NO	7119/6	NO	1	119.808000	17655034	9999-12-31	2013-05-08
563	2010-02-19	9999-12-31	NO	7120/4	NO	2	156.749000	17655034	9999-12-31	2013-05-08
564	2010-02-19	9999-12-31	NO	7123/4	NO	1	272.720000	17655076	9999-12-31	2013-05-08
028 S	2009-11-13	9999-12-31	NO	25/10	YES	1	24.773000	18054740	9999-12-31	2013-05-08
043 CS	2010-05-12	9999-12-31	NO	29/6	YES	1	1.607000	18116800	9999-12-31	2013-05-08
043 DS	2010-05-12	9999-12-31	NO	29/6	YES	1	1.276000	18116829	9999-12-31	2013-05-08
330 B	2010-10-22	2011-06-01	NO	6608/2	NO	1	79.963000	18403842	9999-12-31	2013-05-08
330 B	2010-10-22	2011-06-01	NO	6608/3	NO	2	407.494000	18403842	9999-12-31	2013-05-08
393 B	2010-09-10	9999-12-31	NO	7125/4	NO	1	37.304000	18404594	9999-12-31	2013-05-08
393 B	2010-09-10	9999-12-31	NO	7125/5	NO	2	36.157000	18404594	9999-12-31	2013-05-08
048 E	2010-12-09	9999-12-31	NO	15/5	NO	1	17.966000	18450020	9999-12-31	2013-05-08
565	2011-02-04	9999-12-31	NO	1/9	NO	1	38.895000	20088435	9999-12-31	2013-05-08
566 S	2011-02-04	9999-12-31	NO	2/11	YES	4	5.754000	20088461	9999-12-31	2013-05-08
566 S	2011-02-04	9999-12-31	NO	2/8	YES	1	124.168000	20088461	9999-12-31	2013-05-08
566 S	2011-02-04	9999-12-31	NO	2/8	YES	2	206.551000	20088461	9999-12-31	2013-05-08
566 S	2011-02-04	9999-12-31	NO	2/9	YES	3	193.950000	20088461	9999-12-31	2013-05-08
494 B	2011-02-04	9999-12-31	NO	2/6	NO	1	9.523000	20088555	9999-12-31	2013-05-08
494 B	2011-02-04	9999-12-31	NO	2/9	NO	2	13.348000	20088555	9999-12-31	2013-05-08
567	2011-02-04	9999-12-31	NO	2/6	NO	1	389.226000	20088593	9999-12-31	2013-05-08
301 D	2011-02-04	9999-12-31	NO	7/11	NO	2	1.868000	20088622	9999-12-31	2013-05-08
301 D	2011-02-04	9999-12-31	NO	7/8	NO	1	3.733000	20088622	9999-12-31	2013-05-08
568	2011-02-04	9999-12-31	NO	16/10	NO	3	62.179000	20088760	9999-12-31	2013-05-08
568	2011-02-04	9999-12-31	NO	7/1	NO	1	410.572000	20088760	9999-12-31	2013-05-08
568	2011-02-04	9999-12-31	NO	7/2	NO	2	3.678000	20088760	9999-12-31	2013-05-08
360 B	2011-02-04	9999-12-31	NO	16/11	NO	1	81.819000	20107847	9999-12-31	2013-05-08
569	2011-02-04	9999-12-31	NO	16/4	NO	1	14.427000	20107876	9999-12-31	2013-05-08
503 B	2011-02-04	9999-12-31	NO	17/5	NO	1	216.198000	20107903	9999-12-31	2013-05-08
503 B	2011-02-04	9999-12-31	NO	17/6	NO	2	108.099000	20107903	9999-12-31	2013-05-08
503 B	2011-02-04	9999-12-31	NO	17/9	NO	3	108.405000	20107903	9999-12-31	2013-05-08
501 B	2011-02-04	9999-12-31	NO	16/3	NO	1	42.953000	20107950	9999-12-31	2013-05-08
501 B	2011-02-04	9999-12-31	NO	16/6	NO	2	43.035000	20107950	9999-12-31	2013-05-08
570	2011-02-04	9999-12-31	NO	25/10	NO	1	107.922000	20107979	9999-12-31	2013-05-08
571	2011-02-04	9999-12-31	NO	25/10	NO	2	67.216000	20108024	9999-12-31	2013-05-08
571	2011-02-04	9999-12-31	NO	25/7	NO	1	65.232000	20108024	9999-12-31	2013-05-08
150 B	2011-02-04	2012-09-27	NO	24/9	NO	1	29.888000	20108072	9999-12-31	2013-05-08
150 B	2012-09-27	9999-12-31	NO	24/9	NO	1	8.466000	20108072	9999-12-31	2013-05-08
506 BS	2011-02-04	9999-12-31	NO	26/2	YES	1	520.058000	20108101	9999-12-31	2013-05-08
506 CS	2011-02-04	9999-12-31	NO	26/5	YES	1	523.937000	20108128	9999-12-31	2013-05-08
506 CS	2011-02-04	9999-12-31	NO	26/8	YES	2	527.805000	20108128	9999-12-31	2013-05-08
572 S	2011-02-04	2012-02-04	NO	26/2	YES	1	520.058000	20108160	9999-12-31	2013-05-08
572 S	2011-02-04	2012-02-04	NO	31/11	YES	2	516.169000	20108160	9999-12-31	2013-05-08
573 S	2011-02-04	9999-12-31	NO	25/1	YES	1	63.969000	20108194	9999-12-31	2013-05-08
573 S	2011-02-04	9999-12-31	NO	30/10	YES	2	207.922000	20108194	9999-12-31	2013-05-08
574	2011-02-04	9999-12-31	NO	29/9	NO	1	1.465000	20108260	9999-12-31	2013-05-08
574	2011-02-04	9999-12-31	NO	30/10	NO	3	256.332000	20108260	9999-12-31	2013-05-08
574	2011-02-04	9999-12-31	NO	30/7	NO	2	203.879000	20108260	9999-12-31	2013-05-08
575	2011-02-04	2013-02-04	NO	29/9	NO	1	11.817000	20108314	2013-03-23	2013-05-08
575	2011-02-04	2013-02-04	NO	30/7	NO	2	61.426000	20108314	2013-03-23	2013-05-08
576	2011-02-04	2013-02-04	NO	30/9	NO	1	3.413000	20108349	2013-04-03	2013-05-08
576	2011-02-04	2013-02-04	NO	31/7	NO	2	47.751000	20108349	2013-04-03	2013-05-08
309 B	2011-02-04	9999-12-31	NO	30/3	NO	1	26.989000	20108378	9999-12-31	2013-05-08
193 C	2011-02-04	9999-12-31	NO	34/11	NO	1	50.109000	20108409	9999-12-31	2013-05-08
378 B	2011-02-04	9999-12-31	NO	35/12	NO	1	25.049000	20108440	9999-12-31	2013-05-08
577	2011-02-04	9999-12-31	NO	32/1	NO	1	268.546000	20108473	9999-12-31	2013-05-08
577	2011-02-04	9999-12-31	NO	36/10	NO	2	350.357000	20108473	9999-12-31	2013-05-08
554 B	2011-02-04	9999-12-31	NO	34/9	NO	1	24.750000	20108509	9999-12-31	2013-05-08
377 BS	2011-02-04	2012-07-06	NO	35/7	YES	1	14.894000	20108534	2013-04-11	2013-05-08
578	2011-02-04	9999-12-31	NO	35/6	NO	1	492.619000	20108565	9999-12-31	2013-05-08
375 B	2011-02-04	9999-12-31	NO	33/6	NO	1	118.350000	20108600	9999-12-31	2013-05-08
375 B	2011-02-04	9999-12-31	NO	34/4	NO	2	32.731000	20108600	9999-12-31	2013-05-08
370 B	2011-02-04	2013-02-21	NO	33/6	NO	1	29.555000	20108642	9999-12-31	2013-05-08
370 B	2013-02-21	9999-12-31	NO	33/6	NO	1	9.850000	20108642	9999-12-31	2013-05-08
579	2011-02-04	9999-12-31	NO	33/2	NO	1	110.931000	20108664	9999-12-31	2013-05-08
579	2011-02-04	9999-12-31	NO	33/3	NO	2	68.560000	20108664	9999-12-31	2013-05-08
580	2011-02-04	9999-12-31	NO	6202/8	NO	1	480.709000	20108700	9999-12-31	2013-05-08
580	2011-02-04	9999-12-31	NO	6202/9	NO	2	480.709000	20108700	9999-12-31	2013-05-08
580	2011-02-04	9999-12-31	NO	6203/7	NO	3	240.355000	20108700	9999-12-31	2013-05-08
581	2011-02-04	9999-12-31	NO	6203/10	NO	4	80.671000	20108743	9999-12-31	2013-05-08
581	2011-02-04	9999-12-31	NO	6203/11	NO	5	322.684000	20108743	9999-12-31	2013-05-08
581	2011-02-04	9999-12-31	NO	6203/12	NO	6	80.671000	20108743	9999-12-31	2013-05-08
581	2011-02-04	9999-12-31	NO	6203/7	NO	1	40.170000	20108743	9999-12-31	2013-05-08
581	2011-02-04	9999-12-31	NO	6203/8	NO	2	160.679000	20108743	9999-12-31	2013-05-08
581	2011-02-04	9999-12-31	NO	6203/9	NO	3	40.170000	20108743	9999-12-31	2013-05-08
582	2011-02-04	9999-12-31	NO	6204/10	NO	1	249.079000	20108820	9999-12-31	2013-05-08
582	2011-02-04	9999-12-31	NO	6204/11	NO	2	203.700000	20108820	9999-12-31	2013-05-08
468 B	2011-02-04	2012-02-29	NO	6305/6	NO	1	92.456000	20108859	9999-12-31	2013-05-08
468 B	2011-02-04	2012-02-29	NO	6305/9	NO	2	46.443000	20108859	9999-12-31	2013-05-08
468 B	2011-02-04	2012-02-29	NO	6306/4	NO	3	32.360000	20108859	9999-12-31	2013-05-08
468 B	2011-02-04	2012-02-29	NO	6306/7	NO	4	97.417000	20108859	9999-12-31	2013-05-08
583	2011-02-04	9999-12-31	NO	6306/6	NO	1	364.182000	20109004	9999-12-31	2013-05-08
583	2011-02-04	9999-12-31	NO	6306/7	NO	2	142.363000	20109004	9999-12-31	2013-05-08
583	2011-02-04	9999-12-31	NO	6306/8	NO	3	295.397000	20109004	9999-12-31	2013-05-08
583	2011-02-04	9999-12-31	NO	6306/9	NO	4	219.458000	20109004	9999-12-31	2013-05-08
584	2011-02-04	9999-12-31	NO	6305/3	NO	1	121.373000	20109082	9999-12-31	2013-05-08
584	2011-02-04	9999-12-31	NO	6306/1	NO	2	48.549000	20109082	9999-12-31	2013-05-08
584	2011-02-04	9999-12-31	NO	6405/12	NO	4	452.584000	20109082	9999-12-31	2013-05-08
584	2011-02-04	9999-12-31	NO	6405/9	NO	3	120.005000	20109082	9999-12-31	2013-05-08
584	2011-02-04	9999-12-31	NO	6406/10	NO	6	181.034000	20109082	9999-12-31	2013-05-08
584	2011-02-04	9999-12-31	NO	6406/7	NO	5	48.002000	20109082	9999-12-31	2013-05-08
585	2011-02-04	9999-12-31	NO	6406/7	NO	1	269.118000	20109152	9999-12-31	2013-05-08
585	2011-02-04	9999-12-31	NO	6406/8	NO	2	448.529000	20109152	9999-12-31	2013-05-08
586	2011-02-04	9999-12-31	NO	6406/11	NO	1	75.656000	20109200	9999-12-31	2013-05-08
586	2011-02-04	9999-12-31	NO	6406/12	NO	2	211.710000	20109200	9999-12-31	2013-05-08
587	2011-02-04	9999-12-31	NO	6407/8	NO	1	62.621000	20109234	9999-12-31	2013-05-08
348 B	2011-02-04	9999-12-31	NO	6407/8	NO	1	13.472000	20109261	9999-12-31	2013-05-08
588	2011-02-04	2012-02-04	NO	6407/9	NO	1	79.065000	20109294	2012-12-04	2013-05-08
589	2011-02-04	9999-12-31	NO	6406/2	NO	1	29.477000	20109325	9999-12-31	2013-05-08
589	2011-02-04	9999-12-31	NO	6406/5	NO	2	28.038000	20109325	9999-12-31	2013-05-08
475 CS	2011-02-04	9999-12-31	NO	6406/3	YES	1	14.658000	20109375	9999-12-31	2013-05-08
475 CS	2011-02-04	9999-12-31	NO	6507/10	YES	2	2.921000	20109375	9999-12-31	2013-05-08
590	2011-02-04	9999-12-31	NO	6507/10	NO	1	120.960000	20109438	9999-12-31	2013-05-08
591	2011-02-04	9999-12-31	NO	6507/11	NO	3	53.678000	20109475	9999-12-31	2013-05-08
591	2011-02-04	9999-12-31	NO	6507/8	NO	1	119.692000	20109475	9999-12-31	2013-05-08
591	2011-02-04	9999-12-31	NO	6507/9	NO	2	33.172000	20109475	9999-12-31	2013-05-08
592	2011-02-04	9999-12-31	NO	6506/9	NO	1	188.975000	20109566	9999-12-31	2013-05-08
593	2011-02-04	2013-02-04	NO	6608/10	NO	1	22.487000	20109597	2013-03-22	2013-05-08
594	2011-02-04	2013-02-04	NO	7123/5	NO	1	195.879000	20109626	2013-03-22	2013-05-08
595	2011-02-04	9999-12-31	NO	7124/1	NO	1	323.030000	20109655	9999-12-31	2013-05-08
595	2011-02-04	9999-12-31	NO	7124/2	NO	2	323.030000	20109655	9999-12-31	2013-05-08
596	2011-05-13	9999-12-31	NO	6301/3	NO	1	456.630000	20428440	9999-12-31	2013-05-08
596	2011-05-13	9999-12-31	NO	6302/1	NO	2	456.630000	20428440	9999-12-31	2013-05-08
596	2011-05-13	9999-12-31	NO	6302/2	NO	3	456.630000	20428440	9999-12-31	2013-05-08
596	2011-05-13	9999-12-31	NO	6302/3	NO	4	456.630000	20428440	9999-12-31	2013-05-08
596	2011-05-13	9999-12-31	NO	6401/12	NO	5	452.584000	20428440	9999-12-31	2013-05-08
596	2011-05-13	9999-12-31	NO	6402/10	NO	6	452.584000	20428440	9999-12-31	2013-05-08
596	2011-05-13	9999-12-31	NO	6402/11	NO	7	452.584000	20428440	9999-12-31	2013-05-08
597	2011-05-13	9999-12-31	NO	6506/5	NO	1	428.120000	20428525	9999-12-31	2013-05-08
599	2011-05-13	9999-12-31	NO	6605/2	NO	1	407.494000	20428552	9999-12-31	2013-05-08
599	2011-05-13	9999-12-31	NO	6605/3	NO	2	407.494000	20428552	9999-12-31	2013-05-08
599	2011-05-13	9999-12-31	NO	6605/6	NO	3	411.636000	20428552	9999-12-31	2013-05-08
599	2011-05-13	9999-12-31	NO	6606/1	NO	4	407.494000	20428552	9999-12-31	2013-05-08
599	2011-05-13	9999-12-31	NO	6706/10	NO	5	342.842000	20428552	9999-12-31	2013-05-08
600	2011-05-13	9999-12-31	NO	6607/1	YES	1	402.086000	20428617	9999-12-31	2013-05-08
600	2011-05-13	9999-12-31	NO	6607/2	YES	2	407.494000	20428617	9999-12-31	2013-05-08
598	2011-05-13	9999-12-31	NO	6601/6	NO	1	411.636000	20428655	9999-12-31	2013-05-08
598	2011-05-13	9999-12-31	NO	6601/9	NO	2	415.770000	20428655	9999-12-31	2013-05-08
598	2011-05-13	9999-12-31	NO	6602/4	NO	3	411.636000	20428655	9999-12-31	2013-05-08
598	2011-05-13	9999-12-31	NO	6602/7	NO	4	415.770000	20428655	9999-12-31	2013-05-08
601	2011-05-13	9999-12-31	NO	6609/3	NO	1	407.494000	20428711	9999-12-31	2013-05-08
601	2011-05-13	9999-12-31	NO	6610/1	NO	2	407.494000	20428711	9999-12-31	2013-05-08
602	2011-05-13	9999-12-31	NO	6706/10	NO	1	60.502000	20428749	9999-12-31	2013-05-08
602	2011-05-13	9999-12-31	NO	6706/11	NO	2	403.344000	20428749	9999-12-31	2013-05-08
602	2011-05-13	9999-12-31	NO	6706/12	NO	3	55.247000	20428749	9999-12-31	2013-05-08
603	2011-05-13	9999-12-31	NO	6706/12	NO	1	232.094000	20428814	9999-12-31	2013-05-08
603	2011-05-13	9999-12-31	NO	6707/10	NO	2	293.083000	20428814	9999-12-31	2013-05-08
218 B	2013-01-01	9999-12-31	NO	6607/1	NO	1	5.409000	20428874	9999-12-31	2013-05-08
218 B	2013-01-01	9999-12-31	NO	6707/10	NO	2	1.351000	20428874	9999-12-31	2013-05-08
218 B	2013-01-01	9999-12-31	NO	6707/10	NO	3	16.165000	20428874	9999-12-31	2013-05-08
524 B	2011-05-13	2012-05-15	NO	6706/12	NO	1	28.356000	20428934	9999-12-31	2013-05-08
528 B	2011-05-13	9999-12-31	NO	6707/10	NO	1	48.252000	20428963	9999-12-31	2013-05-08
604	2011-05-13	9999-12-31	NO	6706/7	NO	1	399.186000	20428990	9999-12-31	2013-05-08
604	2011-05-13	9999-12-31	NO	6706/8	NO	2	399.186000	20428990	9999-12-31	2013-05-08
604	2011-05-13	9999-12-31	NO	6706/9	NO	3	399.186000	20428990	9999-12-31	2013-05-08
604	2011-05-13	9999-12-31	NO	6707/7	NO	4	399.186000	20428990	9999-12-31	2013-05-08
605	2011-05-13	9999-12-31	NO	7119/2	NO	1	323.030000	20429042	9999-12-31	2013-05-08
605	2011-05-13	9999-12-31	NO	7119/3	NO	2	323.030000	20429042	9999-12-31	2013-05-08
606	2011-05-13	9999-12-31	NO	7216/1	NO	1	305.800000	20429078	9999-12-31	2013-05-08
606	2011-05-13	9999-12-31	NO	7216/2	NO	2	305.800000	20429078	9999-12-31	2013-05-08
606	2011-05-13	9999-12-31	NO	7216/3	NO	3	305.800000	20429078	9999-12-31	2013-05-08
607	2011-05-13	9999-12-31	NO	7218/8	NO	1	314.428000	20429121	9999-12-31	2013-05-08
607	2011-05-13	9999-12-31	NO	7218/9	NO	2	314.428000	20429121	9999-12-31	2013-05-08
607	2011-05-13	9999-12-31	NO	7219/7	NO	3	314.428000	20429121	9999-12-31	2013-05-08
608	2011-05-13	9999-12-31	NO	7219/8	NO	1	314.428000	20429159	9999-12-31	2013-05-08
609	2011-05-13	9999-12-31	NO	7220/11	NO	3	318.732000	20429186	9999-12-31	2013-05-08
609	2011-05-13	9999-12-31	NO	7220/12	NO	4	63.446000	20429186	9999-12-31	2013-05-08
609	2011-05-13	9999-12-31	NO	7220/6	NO	1	310.117000	20429186	9999-12-31	2013-05-08
609	2011-05-13	9999-12-31	NO	7220/9	NO	2	310.209000	20429186	9999-12-31	2013-05-08
609	2011-05-13	9999-12-31	NO	7221/4	NO	5	178.113000	20429186	9999-12-31	2013-05-08
610	2011-05-13	9999-12-31	NO	7222/2	NO	1	168.723000	20429259	9999-12-31	2013-05-08
610	2011-05-13	9999-12-31	NO	7222/3	NO	2	233.807000	20429259	9999-12-31	2013-05-08
611	2011-05-13	9999-12-31	NO	7223/3	NO	1	305.800000	20429303	9999-12-31	2013-05-08
611	2011-05-13	9999-12-31	NO	7223/6	NO	2	310.117000	20429303	9999-12-31	2013-05-08
611	2011-05-13	9999-12-31	NO	7224/1	NO	3	305.800000	20429303	9999-12-31	2013-05-08
611	2011-05-13	9999-12-31	NO	7224/2	NO	4	305.800000	20429303	9999-12-31	2013-05-08
611	2011-05-13	9999-12-31	NO	7224/3	NO	5	305.800000	20429303	9999-12-31	2013-05-08
611	2011-05-13	9999-12-31	NO	7224/4	NO	6	310.117000	20429303	9999-12-31	2013-05-08
611	2011-05-13	9999-12-31	NO	7224/5	NO	7	310.117000	20429303	9999-12-31	2013-05-08
226 B	2011-05-13	9999-12-31	NO	7222/2	NO	1	137.077000	20429377	9999-12-31	2013-05-08
226 B	2011-05-13	9999-12-31	NO	7222/3	NO	2	71.993000	20429377	9999-12-31	2013-05-08
613	2011-05-13	9999-12-31	NO	7322/10	NO	1	301.476000	20429419	9999-12-31	2013-05-08
613	2011-05-13	9999-12-31	NO	7322/11	NO	2	301.476000	20429419	9999-12-31	2013-05-08
612	2011-05-13	9999-12-31	NO	7318/8	NO	1	297.147000	20429462	9999-12-31	2013-05-08
612	2011-05-13	9999-12-31	NO	7318/9	NO	2	297.147000	20429462	9999-12-31	2013-05-08
612	2011-05-13	9999-12-31	NO	7319/7	NO	3	297.147000	20429462	9999-12-31	2013-05-08
614	2011-05-13	9999-12-31	NO	7324/9	NO	1	297.147000	20429507	9999-12-31	2013-05-08
614	2011-05-13	9999-12-31	NO	7325/7	NO	2	297.147000	20429507	9999-12-31	2013-05-08
615	2011-05-13	9999-12-31	NO	7324/1	NO	1	288.470000	20429544	9999-12-31	2013-05-08
615	2011-05-13	9999-12-31	NO	7324/2	NO	2	288.470000	20429544	9999-12-31	2013-05-08
615	2011-05-13	9999-12-31	NO	7324/3	NO	3	288.470000	20429544	9999-12-31	2013-05-08
615	2011-05-13	9999-12-31	NO	7325/1	NO	4	288.470000	20429544	9999-12-31	2013-05-08
303 B	2011-05-27	9999-12-31	NO	15/6	NO	1	3.608000	20499620	9999-12-31	2013-05-08
309 C	2011-10-06	9999-12-31	NO	30/5	NO	1	150.726000	21104663	9999-12-31	2013-05-08
309 C	2011-10-06	9999-12-31	NO	30/6	NO	2	34.021000	21104663	9999-12-31	2013-05-08
107 D	2011-10-31	9999-12-31	NO	6407/7	NO	1	26.858000	21124705	9999-12-31	2013-05-08
169 E	2011-11-04	9999-12-31	NO	25/8	NO	1	19.385000	21124742	9999-12-31	2013-05-08
018 DS	2011-11-29	9999-12-31	NO	1/5	YES	1	24.028000	21139552	9999-12-31	2013-05-08
193 D	2011-12-21	9999-12-31	NO	34/11	NO	1	78.138000	21349950	9999-12-31	2013-05-08
046 C	2011-12-21	9999-12-31	NO	15/9	NO	1	9.928000	21350140	9999-12-31	2013-05-08
072 C	2011-12-21	9999-12-31	NO	16/7	NO	1	21.666000	21350207	9999-12-31	2013-05-08
659	2012-02-03	9999-12-31	NO	7121/3	NO	1	38.545000	21558636	9999-12-31	2013-05-08
659	2012-02-03	9999-12-31	NO	7122/1	NO	2	85.656000	21558636	9999-12-31	2013-05-08
659	2012-02-03	9999-12-31	NO	7122/2	NO	3	64.243000	21558636	9999-12-31	2013-05-08
659	2012-02-03	9999-12-31	NO	7221/10	NO	5	318.488000	21558636	9999-12-31	2013-05-08
659	2012-02-03	9999-12-31	NO	7221/12	NO	4	318.482000	21558636	9999-12-31	2013-05-08
659	2012-02-03	9999-12-31	NO	7222/11	NO	6	318.496000	21558636	9999-12-31	2013-05-08
659	2012-02-03	9999-12-31	NO	7222/12	NO	7	318.506000	21558636	9999-12-31	2013-05-08
658	2012-02-03	9999-12-31	NO	7121/2	NO	1	140.179000	21558820	9999-12-31	2013-05-08
658	2012-02-03	9999-12-31	NO	7121/3	NO	2	215.661000	21558820	9999-12-31	2013-05-08
658	2012-02-03	9999-12-31	NO	7122/1	NO	3	215.666000	21558820	9999-12-31	2013-05-08
658	2012-02-03	9999-12-31	NO	7122/2	NO	4	237.134000	21558820	9999-12-31	2013-05-08
657	2012-02-03	9999-12-31	NO	7122/8	NO	1	156.110000	21558872	9999-12-31	2013-05-08
657	2012-02-03	9999-12-31	NO	7122/9	NO	2	275.191000	21558872	9999-12-31	2013-05-08
656	2012-02-03	9999-12-31	NO	6610/2	NO	1	61.083000	21558940	9999-12-31	2013-05-08
656	2012-02-03	9999-12-31	NO	6610/3	NO	2	407.231000	21558940	9999-12-31	2013-05-08
656	2012-02-03	9999-12-31	NO	6611/1	NO	3	407.256000	21558940	9999-12-31	2013-05-08
656	2012-02-03	9999-12-31	NO	6611/2	NO	4	269.811000	21558940	9999-12-31	2013-05-08
655	2012-02-03	9999-12-31	NO	6610/2	NO	1	346.127000	21558998	9999-12-31	2013-05-08
654	2012-02-03	9999-12-31	NO	6608/2	NO	1	79.900000	21559027	9999-12-31	2013-05-08
654	2012-02-03	9999-12-31	NO	6608/3	NO	2	52.768000	21559027	9999-12-31	2013-05-08
653	2012-02-03	9999-12-31	NO	6607/3	NO	1	407.192000	21559076	9999-12-31	2013-05-08
652	2012-02-03	2013-02-03	NO	6608/7	NO	1	31.972000	21559103	2013-04-03	2013-05-08
652	2012-02-03	2013-02-03	NO	6608/8	NO	2	1.391000	21559103	2013-04-03	2013-05-08
651	2012-02-03	9999-12-31	NO	6610/11	NO	3	279.279000	21559146	9999-12-31	2013-05-08
651	2012-02-03	9999-12-31	NO	6610/12	NO	4	227.678000	21559146	9999-12-31	2013-05-08
651	2012-02-03	9999-12-31	NO	6610/8	NO	1	415.481000	21559146	9999-12-31	2013-05-08
651	2012-02-03	9999-12-31	NO	6610/9	NO	2	415.504000	21559146	9999-12-31	2013-05-08
650	2012-02-03	9999-12-31	NO	6507/3	NO	1	140.075000	21559201	9999-12-31	2013-05-08
035 C	2012-02-03	9999-12-31	NO	30/8	NO	1	13.662000	21559372	9999-12-31	2013-05-08
046 D	2012-02-03	9999-12-31	NO	15/9	NO	1	36.337000	21559399	9999-12-31	2013-05-08
639	2012-02-03	9999-12-31	NO	6201/10	NO	3	75.360000	21559426	9999-12-31	2013-05-08
639	2012-02-03	9999-12-31	NO	6201/11	NO	4	128.777000	21559426	9999-12-31	2013-05-08
639	2012-02-03	9999-12-31	NO	6201/7	NO	1	141.514000	21559426	9999-12-31	2013-05-08
639	2012-02-03	9999-12-31	NO	6201/8	NO	2	256.706000	21559426	9999-12-31	2013-05-08
640	2012-02-03	9999-12-31	NO	6201/12	NO	1	242.169000	21559488	9999-12-31	2013-05-08
640	2012-02-03	9999-12-31	NO	6202/10	NO	3	484.321000	21559488	9999-12-31	2013-05-08
640	2012-02-03	9999-12-31	NO	6202/11	NO	4	484.307000	21559488	9999-12-31	2013-05-08
640	2012-02-03	9999-12-31	NO	6202/7	NO	2	48.193000	21559488	9999-12-31	2013-05-08
641	2012-02-03	9999-12-31	NO	6204/10	NO	3	157.880000	21559540	9999-12-31	2013-05-08
641	2012-02-03	9999-12-31	NO	6204/11	NO	4	57.946000	21559540	9999-12-31	2013-05-08
641	2012-02-03	9999-12-31	NO	6204/7	NO	1	288.698000	21559540	9999-12-31	2013-05-08
641	2012-02-03	9999-12-31	NO	6204/8	NO	2	69.017000	21559540	9999-12-31	2013-05-08
642	2012-02-03	9999-12-31	NO	6306/2	NO	1	274.344000	21559610	9999-12-31	2013-05-08
642	2012-02-03	9999-12-31	NO	6306/5	NO	2	153.042000	21559610	9999-12-31	2013-05-08
644	2012-02-03	9999-12-31	NO	6506/10	NO	2	65.301000	21559648	9999-12-31	2013-05-08
644	2012-02-03	9999-12-31	NO	6506/11	NO	3	65.301000	21559648	9999-12-31	2013-05-08
644	2012-02-03	9999-12-31	NO	6506/8	NO	1	144.460000	21559648	9999-12-31	2013-05-08
645	2012-02-03	9999-12-31	NO	6507/10	NO	2	91.338000	21559709	9999-12-31	2013-05-08
645	2012-02-03	9999-12-31	NO	6507/7	NO	1	60.615000	21559709	9999-12-31	2013-05-08
646	2012-02-03	9999-12-31	NO	6507/8	NO	1	40.172000	21559761	9999-12-31	2013-05-08
646	2012-02-03	9999-12-31	NO	6507/9	NO	2	28.694000	21559761	9999-12-31	2013-05-08
647	2012-02-03	9999-12-31	NO	6507/4	NO	1	155.331000	21559805	9999-12-31	2013-05-08
647	2012-02-03	9999-12-31	NO	6507/5	NO	2	75.479000	21559805	9999-12-31	2013-05-08
648 S	2012-02-03	9999-12-31	NO	6507/1	YES	1	228.736000	21559877	9999-12-31	2013-05-08
648 S	2012-02-03	9999-12-31	NO	6507/2	YES	2	101.450000	21559877	9999-12-31	2013-05-08
648 S	2012-02-03	9999-12-31	NO	6507/2	YES	3	53.824000	21559877	9999-12-31	2013-05-08
649	2012-02-03	9999-12-31	NO	6506/2	NO	1	423.805000	21559950	9999-12-31	2013-05-08
649	2012-02-03	9999-12-31	NO	6506/3	NO	2	423.770000	21559950	9999-12-31	2013-05-08
649	2012-02-03	9999-12-31	NO	6506/6	NO	3	49.761000	21559950	9999-12-31	2013-05-08
649	2012-02-03	9999-12-31	NO	6507/1	NO	4	135.469000	21559950	9999-12-31	2013-05-08
619	2012-02-03	9999-12-31	NO	1/3	NO	1	169.892000	21560040	9999-12-31	2013-05-08
619	2012-02-03	9999-12-31	NO	1/6	NO	2	104.122000	21560040	9999-12-31	2013-05-08
619	2012-02-03	9999-12-31	NO	2/1	NO	3	61.700000	21560040	9999-12-31	2013-05-08
495 B	2012-02-03	9999-12-31	NO	7/1	NO	1	99.979000	21560089	9999-12-31	2013-05-08
620	2012-02-03	9999-12-31	NO	9/6	NO	1	296.098000	21560115	9999-12-31	2013-05-08
621	2012-02-03	2013-02-03	NO	9/2	NO	1	27.560000	21560157	2013-04-03	2013-05-08
622	2012-02-03	9999-12-31	NO	15/12	NO	1	36.355000	21560182	9999-12-31	2013-05-08
622	2012-02-03	9999-12-31	NO	16/10	NO	2	295.668000	21560182	9999-12-31	2013-05-08
622	2012-02-03	9999-12-31	NO	16/11	NO	3	54.542000	21560182	9999-12-31	2013-05-08
623	2012-02-03	9999-12-31	NO	15/11	NO	3	0.953000	21560239	9999-12-31	2013-05-08
623	2012-02-03	9999-12-31	NO	15/12	NO	4	32.510000	21560239	9999-12-31	2013-05-08
623	2012-02-03	9999-12-31	NO	15/8	NO	1	27.990000	21560239	9999-12-31	2013-05-08
623	2012-02-03	9999-12-31	NO	15/9	NO	2	83.280000	21560239	9999-12-31	2013-05-08
506 DS	2012-02-03	9999-12-31	NO	26/5	YES	1	523.937000	21560284	9999-12-31	2013-05-08
506 DS	2012-02-03	9999-12-31	NO	26/8	YES	2	527.805000	21560284	9999-12-31	2013-05-08
624	2012-02-03	9999-12-31	NO	16/6	NO	1	86.087000	21560318	9999-12-31	2013-05-08
624	2012-02-03	9999-12-31	NO	17/4	NO	2	363.115000	21560318	9999-12-31	2013-05-08
624	2012-02-03	9999-12-31	NO	17/7	NO	3	72.197000	21560318	9999-12-31	2013-05-08
625	2012-02-03	9999-12-31	NO	25/10	NO	1	30.182000	21560380	9999-12-31	2013-05-08
626	2012-02-03	9999-12-31	NO	25/10	NO	1	202.262000	21560418	9999-12-31	2013-05-08
513 B	2012-02-03	9999-12-31	NO	6506/6	NO	1	12.882000	21560453	9999-12-31	2013-05-08
513 B	2012-02-03	9999-12-31	NO	6506/6	NO	2	2.858000	21560453	9999-12-31	2013-05-08
513 B	2012-02-03	9999-12-31	NO	6506/6	NO	3	2.856000	21560453	9999-12-31	2013-05-08
513 B	2012-02-03	9999-12-31	NO	6506/6	NO	4	11.414000	21560453	9999-12-31	2013-05-08
627	2012-02-03	9999-12-31	NO	25/5	NO	1	117.119000	21560469	9999-12-31	2013-05-08
627	2012-02-03	9999-12-31	NO	25/6	NO	2	183.679000	21560469	9999-12-31	2013-05-08
627	2012-02-03	9999-12-31	NO	25/8	NO	3	108.780000	21560469	9999-12-31	2013-05-08
627	2012-02-03	9999-12-31	NO	25/9	NO	4	49.127000	21560469	9999-12-31	2013-05-08
628	2012-02-03	9999-12-31	NO	25/6	NO	1	125.673000	21560616	9999-12-31	2013-05-08
628	2012-02-03	9999-12-31	NO	25/9	NO	2	421.906000	21560616	9999-12-31	2013-05-08
628	2012-02-03	9999-12-31	NO	26/4	NO	3	31.458000	21560616	9999-12-31	2013-05-08
628	2012-02-03	9999-12-31	NO	26/7	NO	4	52.738000	21560616	9999-12-31	2013-05-08
629	2012-02-03	9999-12-31	NO	25/1	NO	1	53.824000	21560683	9999-12-31	2013-05-08
629	2012-02-03	9999-12-31	NO	25/2	NO	2	20.829000	21560683	9999-12-31	2013-05-08
629	2012-02-03	9999-12-31	NO	25/4	NO	3	5.219000	21560683	9999-12-31	2013-05-08
629	2012-02-03	9999-12-31	NO	25/5	NO	4	4.633000	21560683	9999-12-31	2013-05-08
630	2012-02-03	9999-12-31	NO	31/1	NO	1	134.235000	21560745	9999-12-31	2013-05-08
630	2012-02-03	9999-12-31	NO	35/10	NO	2	183.573000	21560745	9999-12-31	2013-05-08
631	2012-02-03	9999-12-31	NO	33/12	NO	2	127.932000	21560844	9999-12-31	2013-05-08
631	2012-02-03	9999-12-31	NO	33/9	NO	1	19.907000	21560844	9999-12-31	2013-05-08
557 B	2012-02-03	9999-12-31	NO	6406/1	NO	1	27.830000	21560889	9999-12-31	2013-05-08
632	2012-02-03	9999-12-31	NO	33/9	NO	1	85.386000	21560912	9999-12-31	2013-05-08
633	2012-02-03	9999-12-31	NO	34/11	NO	3	83.017000	21560982	9999-12-31	2013-05-08
633	2012-02-03	9999-12-31	NO	34/11	NO	5	36.788000	21560982	9999-12-31	2013-05-08
633	2012-02-03	9999-12-31	NO	34/12	NO	5	450.133000	21560982	9999-12-31	2013-05-08
633	2012-02-03	9999-12-31	NO	34/8	NO	1	56.353000	21560982	9999-12-31	2013-05-08
633	2012-02-03	9999-12-31	NO	34/9	NO	2	421.802000	21560982	9999-12-31	2013-05-08
634	2012-02-03	9999-12-31	NO	35/4	NO	1	115.099000	21561057	9999-12-31	2013-05-08
634	2012-02-03	9999-12-31	NO	35/5	NO	2	69.060000	21561057	9999-12-31	2013-05-08
634	2012-02-03	9999-12-31	NO	35/7	NO	3	98.998000	21561057	9999-12-31	2013-05-08
634	2012-02-03	9999-12-31	NO	35/8	NO	4	94.055000	21561057	9999-12-31	2013-05-08
635	2012-02-03	9999-12-31	NO	35/5	NO	1	275.872000	21561115	9999-12-31	2013-05-08
635	2012-02-03	9999-12-31	NO	35/8	NO	2	82.478000	21561115	9999-12-31	2013-05-08
636	2012-02-03	9999-12-31	NO	36/7	NO	1	454.834000	21561151	9999-12-31	2013-05-08
637	2012-02-03	9999-12-31	NO	33/3	NO	1	159.859000	21561194	9999-12-31	2013-05-08
637	2012-02-03	9999-12-31	NO	34/1	NO	2	228.361000	21561194	9999-12-31	2013-05-08
637	2012-02-03	9999-12-31	NO	34/2	NO	3	34.254000	21561194	9999-12-31	2013-05-08
638	2012-02-03	9999-12-31	NO	34/2	NO	1	125.302000	21561239	9999-12-31	2013-05-08
638	2012-02-03	9999-12-31	NO	34/3	NO	2	194.831000	21561239	9999-12-31	2013-05-08
638	2012-02-03	9999-12-31	NO	34/6	NO	3	121.141000	21561239	9999-12-31	2013-05-08
638	2012-02-03	9999-12-31	NO	35/1	NO	4	146.480000	21561239	9999-12-31	2013-05-08
638	2012-02-03	9999-12-31	NO	35/4	NO	5	9.813000	21561239	9999-12-31	2013-05-08
597 B	2012-02-03	9999-12-31	NO	6506/8	NO	1	94.771000	21561308	9999-12-31	2013-05-08
597 B	2012-02-03	9999-12-31	NO	6506/9	NO	2	51.692000	21561308	9999-12-31	2013-05-08
643	2012-02-03	9999-12-31	NO	6406/1	NO	1	26.530000	21561387	9999-12-31	2013-05-08
643	2012-02-03	9999-12-31	NO	6406/4	NO	2	294.695000	21561387	9999-12-31	2013-05-08
643	2012-02-03	9999-12-31	NO	6406/5	NO	3	86.078000	21561387	9999-12-31	2013-05-08
609 B	2012-02-03	9999-12-31	NO	7120/1	NO	1	16.053000	21561445	9999-12-31	2013-05-08
609 B	2012-02-03	9999-12-31	NO	7120/2	NO	2	64.211000	21561445	9999-12-31	2013-05-08
616	2012-02-03	9999-12-31	NO	2/10	NO	2	201.021000	21561481	9999-12-31	2013-05-08
616	2012-02-03	9999-12-31	NO	2/11	NO	3	52.127000	21561481	9999-12-31	2013-05-08
616	2012-02-03	9999-12-31	NO	2/7	NO	1	79.833000	21561481	9999-12-31	2013-05-08
617	2012-02-03	9999-12-31	NO	2/9	NO	1	111.714000	21561629	9999-12-31	2013-05-08
618	2012-02-03	9999-12-31	NO	1/2	NO	1	106.308000	21561689	9999-12-31	2013-05-08
618	2012-02-03	9999-12-31	NO	1/3	NO	2	66.114000	21561689	9999-12-31	2013-05-08
618	2012-02-03	9999-12-31	NO	1/5	NO	3	79.218000	21561689	9999-12-31	2013-05-08
618	2012-02-03	9999-12-31	NO	1/6	NO	4	338.656000	21561689	9999-12-31	2013-05-08
618	2012-02-03	9999-12-31	NO	1/9	NO	5	15.392000	21561689	9999-12-31	2013-05-08
102 E	2012-02-03	9999-12-31	NO	25/6	NO	1	5.240000	21568578	9999-12-31	2013-05-08
102 D	2012-02-03	9999-12-31	NO	25/4	NO	1	17.475000	21568785	9999-12-31	2013-05-08
102 D	2012-02-03	9999-12-31	NO	25/5	NO	2	15.772000	21568785	9999-12-31	2013-05-08
102 D	2012-02-03	9999-12-31	NO	25/5	NO	3	52.389000	21568785	9999-12-31	2013-05-08
104 B	2012-02-03	9999-12-31	NO	30/9	NO	1	37.587000	21568959	9999-12-31	2013-05-08
193 E	2012-02-03	9999-12-31	NO	34/11	NO	1	18.289000	21568992	9999-12-31	2013-05-08
350 B	2012-02-03	2012-09-17	NO	6507/6	NO	1	2.845000	21569025	2012-10-12	2013-05-08
350 B	2012-02-03	2012-09-17	NO	6507/6	NO	2	15.625000	21569025	2012-10-12	2013-05-08
375 C	2012-02-03	9999-12-31	NO	33/6	NO	1	27.970000	21569065	9999-12-31	2013-05-08
414 B	2012-02-03	9999-12-31	NO	25/2	NO	1	5.215000	21569107	9999-12-31	2013-05-08
414 B	2012-02-03	9999-12-31	NO	25/3	NO	2	27.790000	21569107	9999-12-31	2013-05-08
414 B	2012-02-03	9999-12-31	NO	25/5	NO	3	7.827000	21569107	9999-12-31	2013-05-08
414 B	2012-02-03	9999-12-31	NO	25/6	NO	4	10.436000	21569107	9999-12-31	2013-05-08
494 C	2012-02-03	9999-12-31	NO	2/9	NO	1	3.812000	21569178	9999-12-31	2013-05-08
050 ES	2012-04-11	9999-12-31	NO	34/10	YES	1	63.949000	21668200	9999-12-31	2013-05-08
050 FS	2012-04-11	9999-12-31	NO	34/10	YES	1	2.091000	21668235	9999-12-31	2013-05-08
050 GS	2012-04-11	9999-12-31	NO	30/1	YES	1	6.701000	21668262	9999-12-31	2013-05-08
050 HS	2012-04-11	9999-12-31	NO	34/10	YES	1	47.282000	21668287	9999-12-31	2013-05-08
293 B	2012-06-15	9999-12-31	NO	35/10	NO	1	45.081000	21695786	9999-12-31	2013-05-08
029 C	2012-10-17	9999-12-31	NO	15/6	NO	1	21.163000	22493034	9999-12-31	2013-05-08
037 F	2013-02-08	9999-12-31	NO	33/9	NO	1	3.298000	22813049	9999-12-31	2013-05-08
037 F	2013-02-08	9999-12-31	NO	33/9	NO	2	3.300000	22813049	9999-12-31	2013-05-08
037 F	2013-02-08	9999-12-31	NO	33/9	NO	3	1.651000	22813049	9999-12-31	2013-05-08
055 D	2013-02-08	9999-12-31	NO	31/4	NO	1	22.018000	22813096	9999-12-31	2013-05-08
091 D	2013-02-08	9999-12-31	NO	6406/3	NO	1	5.868000	22813131	9999-12-31	2013-05-08
091 D	2013-02-08	9999-12-31	NO	6406/3	NO	2	8.822000	22813131	9999-12-31	2013-05-08
093 C	2013-02-08	9999-12-31	NO	6407/12	NO	1	22.562000	22813180	9999-12-31	2013-05-08
190 B	2013-02-08	9999-12-31	NO	30/7	NO	1	1.708000	22813207	9999-12-31	2013-05-08
190 B	2013-02-08	9999-12-31	NO	30/8	NO	2	152.204000	22813207	9999-12-31	2013-05-08
203 B	2013-02-08	9999-12-31	NO	25/4	NO	1	34.909000	22813239	9999-12-31	2013-05-08
509 BS	2013-02-08	9999-12-31	NO	30/4	YES	1	118.312000	22813272	9999-12-31	2013-05-08
542 B	2013-02-08	9999-12-31	NO	2/1	NO	1	15.081000	22813299	9999-12-31	2013-05-08
660	2013-02-08	9999-12-31	NO	1/6	NO	1	59.153000	22815555	9999-12-31	2013-05-08
661	2013-02-08	9999-12-31	NO	2/2	NO	1	73.761000	22815589	9999-12-31	2013-05-08
661	2013-02-08	9999-12-31	NO	2/4	NO	2	39.779000	22815589	9999-12-31	2013-05-08
661	2013-02-08	9999-12-31	NO	2/5	NO	3	110.825000	22815589	9999-12-31	2013-05-08
662	2013-02-08	9999-12-31	NO	2/4	NO	1	17.085000	22815632	9999-12-31	2013-05-08
663	2013-02-08	9999-12-31	NO	2/6	NO	1	170.892000	22815661	9999-12-31	2013-05-08
663	2013-02-08	9999-12-31	NO	3/4	NO	2	22.846000	22815661	9999-12-31	2013-05-08
664 S	2013-02-08	9999-12-31	NO	2/2	YES	1	105.564000	22815702	9999-12-31	2013-05-08
664 S	2013-02-08	9999-12-31	NO	2/3	YES	2	490.763000	22815702	9999-12-31	2013-05-08
665 S	2013-02-08	9999-12-31	NO	2/2	YES	1	131.897000	22815738	9999-12-31	2013-05-08
665 S	2013-02-08	9999-12-31	NO	2/3	YES	2	565.998000	22815738	9999-12-31	2013-05-08
665 S	2013-02-08	9999-12-31	NO	3/1	YES	3	52.945000	22815738	9999-12-31	2013-05-08
666	2013-02-08	9999-12-31	NO	2/1	NO	1	18.805000	22815785	9999-12-31	2013-05-08
666	2013-02-08	9999-12-31	NO	8/10	NO	2	131.399000	22815785	9999-12-31	2013-05-08
666	2013-02-08	9999-12-31	NO	8/11	NO	3	157.679000	22815785	9999-12-31	2013-05-08
667	2013-02-08	9999-12-31	NO	1/3	NO	1	118.633000	22815830	9999-12-31	2013-05-08
668	2013-02-08	9999-12-31	NO	7/12	NO	1	47.892000	22815873	9999-12-31	2013-05-08
669	2013-02-08	9999-12-31	NO	7/12	NO	1	119.811000	22815914	9999-12-31	2013-05-08
670	2013-02-08	9999-12-31	NO	7/11	NO	1	175.944000	22815949	9999-12-31	2013-05-08
670	2013-02-08	9999-12-31	NO	7/12	NO	2	39.349000	22815949	9999-12-31	2013-05-08
671	2013-02-08	9999-12-31	NO	10/4	NO	3	131.269000	22816003	9999-12-31	2013-05-08
671	2013-02-08	9999-12-31	NO	10/7	NO	4	9.277000	22816003	9999-12-31	2013-05-08
671	2013-02-08	9999-12-31	NO	9/3	NO	1	7.367000	22816003	9999-12-31	2013-05-08
671	2013-02-08	9999-12-31	NO	9/6	NO	2	84.853000	22816003	9999-12-31	2013-05-08
672	2013-02-08	9999-12-31	NO	15/12	NO	1	64.215000	22816061	9999-12-31	2013-05-08
672	2013-02-08	9999-12-31	NO	16/10	NO	2	36.457000	22816061	9999-12-31	2013-05-08
673	2013-02-08	9999-12-31	NO	16/1	NO	1	57.071000	22816103	9999-12-31	2013-05-08
674	2013-02-08	9999-12-31	NO	16/3	NO	1	251.596000	22816134	9999-12-31	2013-05-08
674	2013-02-08	9999-12-31	NO	16/6	NO	2	8.959000	22816134	9999-12-31	2013-05-08
674	2013-02-08	9999-12-31	NO	17/1	NO	3	417.941000	22816134	9999-12-31	2013-05-08
674	2013-02-08	9999-12-31	NO	17/2	NO	4	241.325000	22816134	9999-12-31	2013-05-08
674	2013-02-08	9999-12-31	NO	17/4	NO	5	12.543000	22816134	9999-12-31	2013-05-08
674	2013-02-08	9999-12-31	NO	25/12	NO	6	78.184000	22816134	9999-12-31	2013-05-08
674	2013-02-08	9999-12-31	NO	26/10	NO	7	16.004000	22816134	9999-12-31	2013-05-08
675	2013-02-08	9999-12-31	NO	24/11	NO	1	13.155000	22816217	9999-12-31	2013-05-08
675	2013-02-08	9999-12-31	NO	24/12	NO	2	228.971000	22816217	9999-12-31	2013-05-08
676 S	2013-02-08	9999-12-31	NO	24/12	YES	4	175.174000	22816262	9999-12-31	2013-05-08
676 S	2013-02-08	9999-12-31	NO	24/9	YES	1	157.578000	22816262	9999-12-31	2013-05-08
676 S	2013-02-08	9999-12-31	NO	24/9	YES	2	19.412000	22816262	9999-12-31	2013-05-08
676 S	2013-02-08	9999-12-31	NO	24/9	YES	3	21.172000	22816262	9999-12-31	2013-05-08
676 S	2013-02-08	9999-12-31	NO	25/7	YES	5	149.656000	22816262	9999-12-31	2013-05-08
677	2013-02-08	9999-12-31	NO	25/1	NO	1	33.025000	22816357	9999-12-31	2013-05-08
677	2013-02-08	9999-12-31	NO	25/4	NO	2	88.857000	22816357	9999-12-31	2013-05-08
678 S	2013-02-08	9999-12-31	NO	26/1	YES	1	234.026000	22816406	9999-12-31	2013-05-08
678 S	2013-02-08	9999-12-31	NO	26/1	YES	2	286.032000	22816406	9999-12-31	2013-05-08
678 S	2013-02-08	9999-12-31	NO	26/2	YES	3	208.024000	22816406	9999-12-31	2013-05-08
678 S	2013-02-08	9999-12-31	NO	26/4	YES	4	334.816000	22816406	9999-12-31	2013-05-08
678 S	2013-02-08	9999-12-31	NO	31/10	YES	5	31.071000	22816406	9999-12-31	2013-05-08
678 S	2013-02-08	9999-12-31	NO	31/10	YES	6	110.410000	22816406	9999-12-31	2013-05-08
679 S	2013-02-08	9999-12-31	NO	30/1	YES	1	60.674000	22816484	9999-12-31	2013-05-08
679 S	2013-02-08	9999-12-31	NO	30/1	YES	5	91.021000	22816484	9999-12-31	2013-05-08
679 S	2013-02-08	9999-12-31	NO	30/2	YES	3	131.460000	22816484	9999-12-31	2013-05-08
679 S	2013-02-08	9999-12-31	NO	30/4	YES	4	50.705000	22816484	9999-12-31	2013-05-08
679 S	2013-02-08	9999-12-31	NO	30/4	YES	5	61.019000	22816484	9999-12-31	2013-05-08
679 S	2013-02-08	9999-12-31	NO	30/4	YES	6	118.312000	22816484	9999-12-31	2013-05-08
679 S	2013-02-08	9999-12-31	NO	30/5	YES	7	242.069000	22816484	9999-12-31	2013-05-08
680	2013-02-08	9999-12-31	NO	31/6	NO	1	45.822000	22816583	9999-12-31	2013-05-08
680	2013-02-08	9999-12-31	NO	32/4	NO	2	339.341000	22816583	9999-12-31	2013-05-08
680	2013-02-08	9999-12-31	NO	32/5	NO	3	101.803000	22816583	9999-12-31	2013-05-08
680	2013-02-08	9999-12-31	NO	32/7	NO	4	204.438000	22816583	9999-12-31	2013-05-08
681	2013-02-08	9999-12-31	NO	31/3	NO	1	50.336000	22816639	9999-12-31	2013-05-08
681	2013-02-08	9999-12-31	NO	35/12	NO	2	130.493000	22816639	9999-12-31	2013-05-08
682	2013-02-08	9999-12-31	NO	35/9	NO	1	205.018000	22816685	9999-12-31	2013-05-08
683	2013-02-08	9999-12-31	NO	35/10	NO	2	19.952000	22816753	9999-12-31	2013-05-08
683	2013-02-08	9999-12-31	NO	35/7	NO	1	44.793000	22816753	9999-12-31	2013-05-08
684	2013-02-08	9999-12-31	NO	34/11	NO	2	56.627000	22816794	9999-12-31	2013-05-08
684	2013-02-08	9999-12-31	NO	34/8	NO	1	9.966000	22816794	9999-12-31	2013-05-08
685	2013-02-08	9999-12-31	NO	34/6	NO	1	91.906000	22820468	9999-12-31	2013-05-08
685	2013-02-08	9999-12-31	NO	35/1	NO	2	35.961000	22820468	9999-12-31	2013-05-08
685	2013-02-08	9999-12-31	NO	35/4	NO	3	278.729000	22820468	9999-12-31	2013-05-08
686	2013-02-08	9999-12-31	NO	36/4	NO	1	492.617000	22820521	9999-12-31	2013-05-08
687	2013-02-08	9999-12-31	NO	35/3	NO	1	24.512000	22820550	9999-12-31	2013-05-08
687	2013-02-08	9999-12-31	NO	36/1	NO	2	488.656000	22820550	9999-12-31	2013-05-08
688	2013-02-08	9999-12-31	NO	6203/9	NO	1	320.029000	22820588	9999-12-31	2013-05-08
688	2013-02-08	9999-12-31	NO	6204/7	NO	2	164.598000	22820588	9999-12-31	2013-05-08
689	2013-02-08	9999-12-31	NO	6306/3	NO	1	456.628000	22820628	9999-12-31	2013-05-08
690	2013-02-08	9999-12-31	NO	6407/4	NO	1	444.463000	22820657	9999-12-31	2013-05-08
691	2013-02-08	9999-12-31	NO	6507/7	NO	1	62.141000	22820684	9999-12-31	2013-05-08
692	2013-02-08	9999-12-31	NO	6509/3	NO	1	226.651000	22820715	9999-12-31	2013-05-08
692	2013-02-08	9999-12-31	NO	6510/1	NO	2	226.651000	22820715	9999-12-31	2013-05-08
692	2013-02-08	9999-12-31	NO	6510/2	NO	3	209.720000	22820715	9999-12-31	2013-05-08
693	2013-02-08	9999-12-31	NO	6608/4	NO	1	192.637000	22820761	9999-12-31	2013-05-08
693	2013-02-08	9999-12-31	NO	6608/7	NO	2	249.049000	22820761	9999-12-31	2013-05-08
694	2013-02-08	9999-12-31	NO	6607/4	NO	1	411.634000	22820804	9999-12-31	2013-05-08
694	2013-02-08	9999-12-31	NO	6607/5	NO	2	411.635000	22820804	9999-12-31	2013-05-08
694	2013-02-08	9999-12-31	NO	6607/6	NO	3	411.634000	22820804	9999-12-31	2013-05-08
695	2013-02-08	9999-12-31	NO	7018/3	NO	1	271.333000	22820851	9999-12-31	2013-05-08
695	2013-02-08	9999-12-31	NO	7018/6	NO	2	182.079000	22820851	9999-12-31	2013-05-08
695	2013-02-08	9999-12-31	NO	7019/1	NO	3	136.461000	22820851	9999-12-31	2013-05-08
696	2013-02-08	9999-12-31	NO	7020/1	NO	1	283.231000	22820904	9999-12-31	2013-05-08
696	2013-02-08	9999-12-31	NO	7020/2	NO	2	226.362000	22820904	9999-12-31	2013-05-08
696	2013-02-08	9999-12-31	NO	7020/3	NO	3	169.609000	22820904	9999-12-31	2013-05-08
696	2013-02-08	9999-12-31	NO	7021/1	NO	4	112.976000	22820904	9999-12-31	2013-05-08
696	2013-02-08	9999-12-31	NO	7120/11	NO	5	112.436000	22820904	9999-12-31	2013-05-08
696	2013-02-08	9999-12-31	NO	7120/12	NO	6	112.436000	22820904	9999-12-31	2013-05-08
696	2013-02-08	9999-12-31	NO	7121/10	NO	7	112.436000	22820904	9999-12-31	2013-05-08
697	2013-02-08	9999-12-31	NO	7122/10	NO	1	166.452000	22821005	9999-12-31	2013-05-08
698	2013-02-08	9999-12-31	NO	6304/6	NO	1	460.665000	22821040	9999-12-31	2013-05-08
698	2013-02-08	9999-12-31	NO	6304/9	NO	2	123.525000	22821040	9999-12-31	2013-05-08
698	2013-02-08	9999-12-31	NO	6305/1	NO	3	244.039000	22821040	9999-12-31	2013-05-08
698	2013-02-08	9999-12-31	NO	6305/4	NO	4	313.209000	22821040	9999-12-31	2013-05-08
698	2013-02-08	9999-12-31	NO	6305/7	NO	5	86.473000	22821040	9999-12-31	2013-05-08
699	2013-02-08	9999-12-31	NO	6304/9	NO	1	341.167000	22821109	9999-12-31	2013-05-08
699	2013-02-08	9999-12-31	NO	6305/10	NO	3	468.712000	22821109	9999-12-31	2013-05-08
699	2013-02-08	9999-12-31	NO	6305/11	NO	4	468.712000	22821109	9999-12-31	2013-05-08
699	2013-02-08	9999-12-31	NO	6305/7	NO	2	237.260000	22821109	9999-12-31	2013-05-08
700	2013-02-08	9999-12-31	NO	6406/11	NO	1	256.643000	22821177	9999-12-31	2013-05-08
700	2013-02-08	9999-12-31	NO	6406/12	NO	2	43.664000	22821177	9999-12-31	2013-05-08
701	2013-02-08	9999-12-31	NO	6406/11	NO	2	42.103000	23180841	9999-12-31	2013-05-08
701	2013-02-08	9999-12-31	NO	6406/12	NO	3	197.209000	23180841	9999-12-31	2013-05-08
701	2013-02-08	9999-12-31	NO	6406/9	NO	1	179.898000	23180841	9999-12-31	2013-05-08
591 B	2013-02-08	9999-12-31	NO	6507/8	NO	1	27.072000	23180930	9999-12-31	2013-05-08
090 F	2013-01-22	9999-12-31	NO	35/11	NO	1	21.046000	23268186	9999-12-31	2013-05-08
090 G	2013-01-22	9999-12-31	NO	35/11	NO	1	4.485000	23268222	9999-12-31	2013-05-08
090 HS	2013-04-09	9999-12-31	NO	35/11	YES	1	21.663000	23297006	9999-12-31	2013-05-08
248 C	2013-04-09	9999-12-31	NO	35/11	NO	1	84.896000	23297103	9999-12-31	2013-05-08
248 C	2013-04-09	9999-12-31	NO	35/11	NO	2	90.162000	23297103	9999-12-31	2013-05-08
\.



COPY licence_licensee_hst (prlname, prllicenseedatevalidfrom, prllicenseedatevalidto, cmplongname, prllicenseeinterest, prllicenseesdfi, prloperdatevalidfrom, prloperdatevalidto, prlnpdidlicence, cmpnpdidcompany, prllicenseedateupdated, datesyncnpd) FROM stdin;
001	1965-09-01	2004-10-01	Esso Exploration and Production Norway A/S	100.000000	\N	1965-09-01	2004-10-01	20756	353	9999-12-31	2013-05-08
001	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2004-10-01	9999-12-31	20756	2835212	9999-12-31	2013-05-08
001 P	1994-01-19	1999-12-14	Enterprise Oil Norwegian AS	50.000000	\N	9999-12-31	9999-12-31	20764	342	9999-12-31	2013-05-08
001 P	1994-01-19	1999-12-14	Esso Exploration and Production Norway A/S	50.000000	\N	1994-01-19	1999-12-14	20764	353	9999-12-31	2013-05-08
002	1965-09-01	1977-09-01	Esso Exploration and Production Norway A/S	100.000000	\N	1965-09-01	1977-09-01	20772	353	9999-12-31	2013-05-08
003	1965-09-01	1977-09-01	Esso Exploration and Production Norway A/S	100.000000	\N	1965-09-01	1977-09-01	20780	353	9999-12-31	2013-05-08
004	1965-09-01	1977-09-01	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	20788	67	9999-12-31	2013-05-08
004	1965-09-01	1977-09-01	Amoco Norway Oil Company	25.000000	\N	1965-09-01	1977-09-01	20788	78	9999-12-31	2013-05-08
004	1965-09-01	1977-09-01	Norwegian Oil Consortium A/S & Co	25.000000	\N	9999-12-31	9999-12-31	20788	518	9999-12-31	2013-05-08
004	1965-09-01	1977-09-01	Texas Eastern Norwegian Inc.	25.000000	\N	9999-12-31	9999-12-31	20788	837	9999-12-31	2013-05-08
005	1965-09-01	1977-01-20	Amerada Hess Norge AS	28.333000	\N	9999-12-31	9999-12-31	20796	67	9999-12-31	2013-05-08
005	1977-01-20	1978-02-24	Amerada Hess Norge AS	10.200000	\N	9999-12-31	9999-12-31	20796	67	9999-12-31	2013-05-08
005	1965-09-01	1977-01-20	Amoco Norway Oil Company	28.334000	\N	1965-09-01	1977-01-20	20796	78	9999-12-31	2013-05-08
005	1977-01-20	1978-02-24	Amoco Norway Oil Company	10.200000	\N	9999-12-31	9999-12-31	20796	78	9999-12-31	2013-05-08
005	1965-09-01	1977-01-20	Norwegian Oil Consortium A/S & Co	15.000000	\N	9999-12-31	9999-12-31	20796	518	9999-12-31	2013-05-08
005	1977-01-20	1978-02-24	Norwegian Oil Consortium A/S & Co	5.400000	\N	9999-12-31	9999-12-31	20796	518	9999-12-31	2013-05-08
005	1977-01-20	1978-02-24	Den norske stats oljeselskap a.s	10.000000	\N	9999-12-31	9999-12-31	20796	749	9999-12-31	2013-05-08
005	1978-02-24	1982-09-01	Den norske stats oljeselskap a.s	10.000000	\N	9999-12-31	9999-12-31	20796	749	9999-12-31	2013-05-08
005	1965-09-01	1977-01-20	Texas Eastern Norwegian Inc.	28.333000	\N	9999-12-31	9999-12-31	20796	837	9999-12-31	2013-05-08
005	1977-01-20	1978-02-24	Texas Eastern Norwegian Inc.	10.200000	\N	9999-12-31	9999-12-31	20796	837	9999-12-31	2013-05-08
005	1977-01-20	1978-02-24	Union Norge A/S	54.000000	\N	1977-01-20	1982-09-01	20796	881	9999-12-31	2013-05-08
005	1978-02-24	1982-09-01	Union Norge A/S	90.000000	\N	1977-01-20	1982-09-01	20796	881	9999-12-31	2013-05-08
006	1965-09-01	1989-04-14	Amerada Hess Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	67	9999-12-31	2013-05-08
006	1989-04-14	1992-02-25	Amerada Hess Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	67	9999-12-31	2013-05-08
006	1992-02-25	1999-12-23	Amerada Hess Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	67	9999-12-31	2013-05-08
006	1999-12-23	2000-07-24	Amerada Hess Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	67	9999-12-31	2013-05-08
006	2000-07-24	2001-02-15	Amerada Hess Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	67	9999-12-31	2013-05-08
006	1965-09-01	1989-04-14	Amoco Norway Oil Company	28.333330	\N	1965-09-01	1999-12-23	20804	78	9999-12-31	2013-05-08
006	1989-04-14	1992-02-25	Amoco Norway Oil Company	28.333330	\N	1965-09-01	1999-12-23	20804	78	9999-12-31	2013-05-08
006	1992-02-25	1999-12-23	Amoco Norway Oil Company	28.333330	\N	1965-09-01	1999-12-23	20804	78	9999-12-31	2013-05-08
006	1992-02-25	1999-12-23	Elf Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	20804	298	9999-12-31	2013-05-08
006	1999-12-23	2000-07-24	Elf Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	20804	298	9999-12-31	2013-05-08
006	1989-04-14	1992-02-25	Enterprise Oil Norwegian AS	28.333330	\N	9999-12-31	9999-12-31	20804	342	9999-12-31	2013-05-08
006	1992-02-25	1999-12-23	Enterprise Oil Norwegian AS	28.333330	\N	9999-12-31	9999-12-31	20804	342	9999-12-31	2013-05-08
006	1999-12-23	2000-07-24	Enterprise Oil Norwegian AS	28.333330	\N	9999-12-31	9999-12-31	20804	342	9999-12-31	2013-05-08
006	2000-07-24	2001-02-15	Enterprise Oil Norwegian AS	28.333330	\N	9999-12-31	9999-12-31	20804	342	9999-12-31	2013-05-08
006	2001-02-15	2001-12-31	Enterprise Oil Norwegian AS	28.333330	\N	9999-12-31	9999-12-31	20804	342	9999-12-31	2013-05-08
006	1965-09-01	1989-04-14	Norwegian Oil Consortium A/S & Co	15.000000	\N	9999-12-31	9999-12-31	20804	518	9999-12-31	2013-05-08
006	1989-04-14	1992-02-25	Norwegian Oil Consortium A/S & Co	15.000000	\N	9999-12-31	9999-12-31	20804	518	9999-12-31	2013-05-08
006	1965-09-01	1989-04-14	Texas Eastern Norwegian Inc.	28.333330	\N	9999-12-31	9999-12-31	20804	837	9999-12-31	2013-05-08
006	1999-12-23	2000-07-24	BP Amoco Norge AS	28.333330	\N	1999-12-23	2000-10-17	20804	982372	9999-12-31	2013-05-08
006	2000-07-24	2001-02-15	BP Amoco Norge AS	28.333330	\N	1999-12-23	2000-10-17	20804	982372	9999-12-31	2013-05-08
006	2001-02-15	2001-12-31	BP Amoco Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	982372	9999-12-31	2013-05-08
006	2001-12-31	2002-03-12	BP Amoco Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	982372	9999-12-31	2013-05-08
006	2000-07-24	2001-02-15	TotalFinaElf Exploration Norge AS	15.000000	\N	2000-10-17	2003-05-06	20804	1340884	9999-12-31	2013-05-08
006	2001-02-15	2001-12-31	TotalFinaElf Exploration Norge AS	43.333330	\N	2000-10-17	2003-05-06	20804	1340884	9999-12-31	2013-05-08
006	2001-12-31	2002-03-12	TotalFinaElf Exploration Norge AS	43.333330	\N	2000-10-17	2003-05-06	20804	1340884	9999-12-31	2013-05-08
006	2002-03-12	2003-05-06	TotalFinaElf Exploration Norge AS	43.333330	\N	2000-10-17	2003-05-06	20804	1340884	9999-12-31	2013-05-08
006	2001-12-31	2002-03-12	Enterprise Oil Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	1853786	9999-12-31	2013-05-08
006	2002-03-12	2003-05-06	Enterprise Oil Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	1853786	9999-12-31	2013-05-08
006	2003-05-06	2003-10-28	Enterprise Oil Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	1853786	9999-12-31	2013-05-08
006	2002-03-12	2003-05-06	BP Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	2052695	9999-12-31	2013-05-08
006	2003-05-06	2003-10-28	BP Norge AS	28.333330	\N	9999-12-31	9999-12-31	20804	2052695	9999-12-31	2013-05-08
006	2003-05-06	2003-10-28	Total E&P Norge AS	43.333330	\N	2003-05-06	9999-12-31	20804	2410708	9999-12-31	2013-05-08
006	2003-10-28	9999-12-31	Total E&P Norge AS	100.000000	\N	2003-05-06	9999-12-31	20804	2410708	9999-12-31	2013-05-08
007	1967-01-01	1967-06-20	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20812	45	9999-12-31	2013-05-08
007	1967-06-20	1967-08-31	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20812	45	9999-12-31	2013-05-08
007	1967-08-31	1977-07-01	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20812	45	9999-12-31	2013-05-08
007	1977-07-01	1980-06-02	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20812	45	9999-12-31	2013-05-08
007	1980-06-02	1987-01-01	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20812	45	9999-12-31	2013-05-08
007	1987-01-01	1990-09-01	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20812	45	9999-12-31	2013-05-08
007	1965-09-01	1967-01-01	Aquitaine Norge A/S	13.125000	\N	9999-12-31	9999-12-31	20812	111	9999-12-31	2013-05-08
007	1967-01-01	1967-06-20	Aquitaine Norge A/S	10.650000	\N	9999-12-31	9999-12-31	20812	111	9999-12-31	2013-05-08
007	1967-06-20	1967-08-31	Aquitaine Norge A/S	10.650000	\N	9999-12-31	9999-12-31	20812	111	9999-12-31	2013-05-08
007	1967-08-31	1977-07-01	Aquitaine Norge A/S	10.792000	\N	9999-12-31	9999-12-31	20812	111	9999-12-31	2013-05-08
007	1965-09-01	1967-01-01	Auxirap Norge A/S	26.250000	\N	9999-12-31	9999-12-31	20812	133	9999-12-31	2013-05-08
007	1967-01-01	1967-06-20	Auxirap Norge A/S	21.300000	\N	9999-12-31	9999-12-31	20812	133	9999-12-31	2013-05-08
007	1965-09-01	1967-01-01	Cofranord A/S	2.625000	\N	9999-12-31	9999-12-31	20812	199	9999-12-31	2013-05-08
007	1967-01-01	1967-06-20	Cofranord A/S	1.600000	\N	9999-12-31	9999-12-31	20812	199	9999-12-31	2013-05-08
007	1967-06-20	1967-08-31	Cofranord A/S	1.600000	\N	9999-12-31	9999-12-31	20812	199	9999-12-31	2013-05-08
007	1967-08-31	1977-07-01	Cofranord A/S	1.216000	\N	9999-12-31	9999-12-31	20812	199	9999-12-31	2013-05-08
007	1977-07-01	1980-06-02	Cofranord A/S	1.216000	\N	9999-12-31	9999-12-31	20812	199	9999-12-31	2013-05-08
007	1980-06-02	1987-01-01	Cofranord A/S	1.216000	\N	9999-12-31	9999-12-31	20812	199	9999-12-31	2013-05-08
007	1965-09-01	1967-01-01	Coparex Norge A/S	2.625000	\N	9999-12-31	9999-12-31	20812	243	9999-12-31	2013-05-08
007	1967-01-01	1967-06-20	Coparex Norge A/S	2.100000	\N	9999-12-31	9999-12-31	20812	243	9999-12-31	2013-05-08
007	1967-06-20	1967-08-31	Coparex Norge A/S	2.100000	\N	9999-12-31	9999-12-31	20812	243	9999-12-31	2013-05-08
007	1967-08-31	1977-07-01	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20812	243	9999-12-31	2013-05-08
007	1977-07-01	1980-06-02	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20812	243	9999-12-31	2013-05-08
007	1980-06-02	1987-01-01	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20812	243	9999-12-31	2013-05-08
007	1987-01-01	1990-09-01	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20812	243	9999-12-31	2013-05-08
007	1967-08-31	1977-07-01	Elf Norge A/S	21.584000	\N	9999-12-31	9999-12-31	20812	287	9999-12-31	2013-05-08
007	1977-07-01	1980-06-02	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20812	331	9999-12-31	2013-05-08
007	1980-06-02	1987-01-01	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20812	331	9999-12-31	2013-05-08
007	1987-01-01	1990-09-01	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20812	331	9999-12-31	2013-05-08
007	1965-09-01	1967-01-01	Eurafrep Norge A/S	3.500000	\N	9999-12-31	9999-12-31	20812	364	9999-12-31	2013-05-08
007	1967-01-01	1967-06-20	Eurafrep Norge A/S	2.400000	\N	9999-12-31	9999-12-31	20812	364	9999-12-31	2013-05-08
007	1967-06-20	1967-08-31	Eurafrep Norge A/S	2.400000	\N	9999-12-31	9999-12-31	20812	364	9999-12-31	2013-05-08
007	1967-08-31	1977-07-01	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20812	364	9999-12-31	2013-05-08
007	1977-07-01	1980-06-02	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20812	364	9999-12-31	2013-05-08
007	1980-06-02	1987-01-01	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20812	364	9999-12-31	2013-05-08
007	1987-01-01	1990-09-01	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20812	364	9999-12-31	2013-05-08
007	1965-09-01	1967-01-01	Norsk Hydro Produksjon AS	12.500000	\N	9999-12-31	9999-12-31	20812	430	9999-12-31	2013-05-08
007	1967-01-01	1967-06-20	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	20812	430	9999-12-31	2013-05-08
007	1967-06-20	1967-08-31	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	20812	430	9999-12-31	2013-05-08
007	1967-08-31	1977-07-01	Norsk Hydro Produksjon AS	26.800000	\N	9999-12-31	9999-12-31	20812	430	9999-12-31	2013-05-08
007	1977-07-01	1980-06-02	Norsk Hydro Produksjon AS	15.400000	\N	9999-12-31	9999-12-31	20812	430	9999-12-31	2013-05-08
007	1980-06-02	1987-01-01	Norsk Hydro Produksjon AS	26.800000	\N	9999-12-31	9999-12-31	20812	430	9999-12-31	2013-05-08
007	1987-01-01	1990-09-01	Norsk Hydro Produksjon AS	26.800000	\N	9999-12-31	9999-12-31	20812	430	9999-12-31	2013-05-08
007	1987-01-01	1990-09-01	Norminol AS	1.216000	\N	9999-12-31	9999-12-31	20812	529	9999-12-31	2013-05-08
007	1965-09-01	1967-01-01	Petropar Norge A/S	13.125000	\N	9999-12-31	9999-12-31	20812	650	9999-12-31	2013-05-08
007	1967-01-01	1967-06-20	Petropar Norge A/S	10.650000	\N	9999-12-31	9999-12-31	20812	650	9999-12-31	2013-05-08
007	1967-06-20	1967-08-31	Petropar Norge A/S	31.950000	\N	9999-12-31	9999-12-31	20812	650	9999-12-31	2013-05-08
007	1967-01-01	1967-06-20	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20812	694	9999-12-31	2013-05-08
007	1967-06-20	1967-08-31	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20812	694	9999-12-31	2013-05-08
007	1967-08-31	1977-07-01	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20812	694	9999-12-31	2013-05-08
007	1977-07-01	1980-06-02	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20812	694	9999-12-31	2013-05-08
007	1980-06-02	1987-01-01	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20812	694	9999-12-31	2013-05-08
007	1987-01-01	1990-09-01	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20812	694	9999-12-31	2013-05-08
007	1965-09-01	1967-01-01	Total Norge AS	26.250000	\N	9999-12-31	9999-12-31	20812	848	9999-12-31	2013-05-08
007	1967-01-01	1967-06-20	Total Norge AS	21.300000	\N	9999-12-31	9999-12-31	20812	848	9999-12-31	2013-05-08
007	1967-06-20	1967-08-31	Total Norge AS	21.300000	\N	9999-12-31	9999-12-31	20812	848	9999-12-31	2013-05-08
007	1967-08-31	1977-07-01	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20812	848	9999-12-31	2013-05-08
007	1977-07-01	1980-06-02	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20812	848	9999-12-31	2013-05-08
007	1980-06-02	1987-01-01	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20812	848	9999-12-31	2013-05-08
007	1987-01-01	1990-09-01	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20812	848	9999-12-31	2013-05-08
007	1977-07-01	1980-06-02	OMV Norge A/S	11.400000	\N	9999-12-31	9999-12-31	20812	925	9999-12-31	2013-05-08
008	1967-01-01	1967-06-20	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20820	45	9999-12-31	2013-05-08
008	1967-06-20	1967-11-30	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20820	45	9999-12-31	2013-05-08
008	1967-11-30	1972-01-01	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20820	45	9999-12-31	2013-05-08
008	1972-01-01	1977-07-01	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20820	45	9999-12-31	2013-05-08
008	1977-07-01	1980-06-02	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20820	45	9999-12-31	2013-05-08
008	1980-06-02	1983-12-31	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20820	45	9999-12-31	2013-05-08
008	1983-12-31	1990-01-01	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20820	45	9999-12-31	2013-05-08
008	1990-01-01	1990-11-22	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20820	45	9999-12-31	2013-05-08
008	1990-11-22	1992-03-26	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20820	45	9999-12-31	2013-05-08
008	1992-03-26	1992-07-15	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20820	45	9999-12-31	2013-05-08
008	1992-07-15	1994-01-01	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20820	45	9999-12-31	2013-05-08
008	1995-06-19	2001-01-11	Amerada Hess Norge AS	50.000000	\N	9999-12-31	9999-12-31	20820	67	9999-12-31	2013-05-08
008	2001-01-11	2001-05-09	Amerada Hess Norge AS	50.000000	\N	9999-12-31	9999-12-31	20820	67	9999-12-31	2013-05-08
008	2001-05-09	2002-12-31	Amerada Hess Norge AS	100.000000	\N	2001-05-09	2002-12-31	20820	67	9999-12-31	2013-05-08
008	1965-09-01	1967-01-01	Aquitaine Norge A/S	13.312000	\N	9999-12-31	9999-12-31	20820	111	9999-12-31	2013-05-08
008	1967-01-01	1967-06-20	Aquitaine Norge A/S	10.650000	\N	9999-12-31	9999-12-31	20820	111	9999-12-31	2013-05-08
008	1967-06-20	1967-11-30	Aquitaine Norge A/S	10.650000	\N	9999-12-31	9999-12-31	20820	111	9999-12-31	2013-05-08
008	1967-11-30	1972-01-01	Aquitaine Norge A/S	10.650000	\N	9999-12-31	9999-12-31	20820	111	9999-12-31	2013-05-08
008	1972-01-01	1977-07-01	Aquitaine Norge A/S	10.792000	\N	9999-12-31	9999-12-31	20820	111	9999-12-31	2013-05-08
008	1965-09-01	1967-01-01	Auxirap Norge A/S	26.625000	\N	9999-12-31	9999-12-31	20820	133	9999-12-31	2013-05-08
008	1967-01-01	1967-06-20	Auxirap Norge A/S	21.300000	\N	9999-12-31	9999-12-31	20820	133	9999-12-31	2013-05-08
008	1965-09-01	1967-01-01	Cofranord A/S	2.000000	\N	9999-12-31	9999-12-31	20820	199	9999-12-31	2013-05-08
008	1967-01-01	1967-06-20	Cofranord A/S	1.600000	\N	9999-12-31	9999-12-31	20820	199	9999-12-31	2013-05-08
008	1967-06-20	1967-11-30	Cofranord A/S	1.600000	\N	9999-12-31	9999-12-31	20820	199	9999-12-31	2013-05-08
008	1967-11-30	1972-01-01	Cofranord A/S	1.600000	\N	9999-12-31	9999-12-31	20820	199	9999-12-31	2013-05-08
008	1972-01-01	1977-07-01	Cofranord A/S	1.216000	\N	9999-12-31	9999-12-31	20820	199	9999-12-31	2013-05-08
008	1977-07-01	1980-06-02	Cofranord A/S	1.216000	\N	9999-12-31	9999-12-31	20820	199	9999-12-31	2013-05-08
008	1980-06-02	1983-12-31	Cofranord A/S	1.216000	\N	9999-12-31	9999-12-31	20820	199	9999-12-31	2013-05-08
008	1983-12-31	1990-01-01	Cofranord A/S	1.216000	\N	9999-12-31	9999-12-31	20820	199	9999-12-31	2013-05-08
008	1990-01-01	1990-11-22	Cofranord A/S	1.216000	\N	9999-12-31	9999-12-31	20820	199	9999-12-31	2013-05-08
008	1965-09-01	1967-01-01	Coparex Norge A/S	2.625000	\N	9999-12-31	9999-12-31	20820	243	9999-12-31	2013-05-08
008	1967-01-01	1967-06-20	Coparex Norge A/S	2.100000	\N	9999-12-31	9999-12-31	20820	243	9999-12-31	2013-05-08
008	1967-06-20	1967-11-30	Coparex Norge A/S	2.100000	\N	9999-12-31	9999-12-31	20820	243	9999-12-31	2013-05-08
008	1967-11-30	1972-01-01	Coparex Norge A/S	2.100000	\N	9999-12-31	9999-12-31	20820	243	9999-12-31	2013-05-08
008	1972-01-01	1977-07-01	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20820	243	9999-12-31	2013-05-08
008	1977-07-01	1980-06-02	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20820	243	9999-12-31	2013-05-08
008	1980-06-02	1983-12-31	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20820	243	9999-12-31	2013-05-08
008	1983-12-31	1990-01-01	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20820	243	9999-12-31	2013-05-08
008	1990-01-01	1990-11-22	Coparex Norge A/S	2.712000	\N	9999-12-31	9999-12-31	20820	243	9999-12-31	2013-05-08
008	1967-11-30	1972-01-01	Elf Norge A/S	31.950000	\N	9999-12-31	9999-12-31	20820	287	9999-12-31	2013-05-08
008	1972-01-01	1977-07-01	Elf Norge A/S	21.584000	\N	9999-12-31	9999-12-31	20820	287	9999-12-31	2013-05-08
008	1992-03-26	1992-07-15	Elf Petroleum Norge AS	32.376000	\N	1967-08-31	1994-12-21	20820	298	9999-12-31	2013-05-08
008	1992-07-15	1994-01-01	Elf Petroleum Norge AS	32.376000	\N	1967-08-31	1994-12-21	20820	298	9999-12-31	2013-05-08
008	1994-01-01	1994-12-21	Elf Petroleum Norge AS	32.376000	\N	1967-08-31	1994-12-21	20820	298	9999-12-31	2013-05-08
008	1990-11-22	1992-03-26	Elf Rep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20820	309	9999-12-31	2013-05-08
008	1992-03-26	1992-07-15	Elf Rep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20820	309	9999-12-31	2013-05-08
008	1990-11-22	1992-03-26	Elf Rex Norge AS	2.712000	\N	9999-12-31	9999-12-31	20820	320	9999-12-31	2013-05-08
008	1992-03-26	1992-07-15	Elf Rex Norge AS	2.712000	\N	9999-12-31	9999-12-31	20820	320	9999-12-31	2013-05-08
008	1992-07-15	1994-01-01	Elf Rex Norge AS	4.536000	\N	9999-12-31	9999-12-31	20820	320	9999-12-31	2013-05-08
008	1994-01-01	1994-12-21	Elf Rex Norge AS	4.536000	\N	9999-12-31	9999-12-31	20820	320	9999-12-31	2013-05-08
008	1977-07-01	1980-06-02	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20820	331	9999-12-31	2013-05-08
008	1980-06-02	1983-12-31	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20820	331	9999-12-31	2013-05-08
008	1983-12-31	1990-01-01	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20820	331	9999-12-31	2013-05-08
008	1990-01-01	1990-11-22	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20820	331	9999-12-31	2013-05-08
008	1990-11-22	1992-03-26	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20820	331	9999-12-31	2013-05-08
008	1965-09-01	1967-01-01	Eurafrep Norge A/S	3.000000	\N	9999-12-31	9999-12-31	20820	364	9999-12-31	2013-05-08
008	1967-01-01	1967-06-20	Eurafrep Norge A/S	2.400000	\N	9999-12-31	9999-12-31	20820	364	9999-12-31	2013-05-08
008	1967-06-20	1967-11-30	Eurafrep Norge A/S	2.400000	\N	9999-12-31	9999-12-31	20820	364	9999-12-31	2013-05-08
008	1967-11-30	1972-01-01	Eurafrep Norge A/S	2.400000	\N	9999-12-31	9999-12-31	20820	364	9999-12-31	2013-05-08
008	1972-01-01	1977-07-01	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20820	364	9999-12-31	2013-05-08
008	1977-07-01	1980-06-02	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20820	364	9999-12-31	2013-05-08
008	1980-06-02	1983-12-31	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20820	364	9999-12-31	2013-05-08
008	1983-12-31	1990-01-01	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20820	364	9999-12-31	2013-05-08
008	1990-01-01	1990-11-22	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20820	364	9999-12-31	2013-05-08
008	1965-09-01	1967-01-01	Norsk Hydro Produksjon AS	12.500000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	1967-01-01	1967-06-20	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	1967-06-20	1967-11-30	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	1967-11-30	1972-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	1972-01-01	1977-07-01	Norsk Hydro Produksjon AS	26.800000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	1977-07-01	1980-06-02	Norsk Hydro Produksjon AS	26.800000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	1980-06-02	1983-12-31	Norsk Hydro Produksjon AS	13.400000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	1983-12-31	1990-01-01	Norsk Hydro Produksjon AS	24.800000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	1990-01-01	1990-11-22	Norsk Hydro Produksjon AS	23.684000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	1990-11-22	1992-03-26	Norsk Hydro Produksjon AS	23.684000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	1992-03-26	1992-07-15	Norsk Hydro Produksjon AS	12.400000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	1992-07-15	1994-01-01	Norsk Hydro Produksjon AS	12.400000	\N	9999-12-31	9999-12-31	20820	430	9999-12-31	2013-05-08
008	2001-01-11	2001-05-09	Norsk Hydro Produksjon AS	50.000000	\N	2001-01-11	2001-05-09	20820	430	9999-12-31	2013-05-08
008	1990-11-22	1992-03-26	Norminol AS	1.216000	\N	9999-12-31	9999-12-31	20820	529	9999-12-31	2013-05-08
008	1992-03-26	1992-07-15	Norminol AS	1.216000	\N	9999-12-31	9999-12-31	20820	529	9999-12-31	2013-05-08
008	1992-07-15	1994-01-01	Norminol AS	1.216000	\N	9999-12-31	9999-12-31	20820	529	9999-12-31	2013-05-08
008	1994-01-01	1994-12-21	Norminol AS	46.308000	\N	9999-12-31	9999-12-31	20820	529	9999-12-31	2013-05-08
008	1965-09-01	1967-01-01	Petropar Norge A/S	13.313000	\N	9999-12-31	9999-12-31	20820	650	9999-12-31	2013-05-08
008	1967-01-01	1967-06-20	Petropar Norge A/S	10.650000	\N	9999-12-31	9999-12-31	20820	650	9999-12-31	2013-05-08
008	1967-06-20	1967-11-30	Petropar Norge A/S	31.950000	\N	9999-12-31	9999-12-31	20820	650	9999-12-31	2013-05-08
008	1967-01-01	1967-06-20	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1967-06-20	1967-11-30	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1967-11-30	1972-01-01	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1972-01-01	1977-07-01	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1977-07-01	1980-06-02	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1980-06-02	1983-12-31	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1983-12-31	1990-01-01	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1990-01-01	1990-11-22	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1990-11-22	1992-03-26	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1992-03-26	1992-07-15	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1992-07-15	1994-01-01	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1994-01-01	1994-12-21	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20820	694	9999-12-31	2013-05-08
008	1994-12-21	1995-06-19	Saga Petroleum ASA	100.000000	\N	1994-12-21	2001-01-11	20820	716	9999-12-31	2013-05-08
008	1995-06-19	2001-01-11	Saga Petroleum ASA	50.000000	\N	1994-12-21	2001-01-11	20820	716	9999-12-31	2013-05-08
008	1980-06-02	1983-12-31	Den norske stats oljeselskap a.s	2.000000	\N	9999-12-31	9999-12-31	20820	749	9999-12-31	2013-05-08
008	1983-12-31	1990-01-01	Den norske stats oljeselskap a.s	2.000000	\N	9999-12-31	9999-12-31	20820	749	9999-12-31	2013-05-08
008	1990-01-01	1990-11-22	Den norske stats oljeselskap a.s	2.000000	\N	9999-12-31	9999-12-31	20820	749	9999-12-31	2013-05-08
008	1990-11-22	1992-03-26	Den norske stats oljeselskap a.s	2.000000	\N	9999-12-31	9999-12-31	20820	749	9999-12-31	2013-05-08
008	1992-03-26	1992-07-15	Den norske stats oljeselskap a.s	2.000000	\N	9999-12-31	9999-12-31	20820	749	9999-12-31	2013-05-08
008	1992-07-15	1994-01-01	Den norske stats oljeselskap a.s	2.000000	\N	9999-12-31	9999-12-31	20820	749	9999-12-31	2013-05-08
008	1994-01-01	1994-12-21	Den norske stats oljeselskap a.s	2.000000	\N	9999-12-31	9999-12-31	20820	749	9999-12-31	2013-05-08
008	1965-09-01	1967-01-01	Total Norge AS	26.625000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1967-01-01	1967-06-20	Total Norge AS	21.300000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1967-06-20	1967-11-30	Total Norge AS	21.300000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1967-11-30	1972-01-01	Total Norge AS	21.300000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1972-01-01	1977-07-01	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1977-07-01	1980-06-02	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1980-06-02	1983-12-31	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1983-12-31	1990-01-01	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1990-01-01	1990-11-22	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1990-11-22	1992-03-26	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1992-03-26	1992-07-15	Total Norge AS	27.472000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1992-07-15	1994-01-01	Total Norge AS	27.472000	\N	9999-12-31	9999-12-31	20820	848	9999-12-31	2013-05-08
008	1980-06-02	1983-12-31	OMV Norge A/S	11.400000	\N	9999-12-31	9999-12-31	20820	925	9999-12-31	2013-05-08
009	1967-01-01	1967-06-20	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20828	45	9999-12-31	2013-05-08
009	1967-06-20	1967-11-30	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20828	45	9999-12-31	2013-05-08
009	1967-11-30	1977-07-01	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20828	45	9999-12-31	2013-05-08
009	1977-07-01	1980-06-02	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20828	45	9999-12-31	2013-05-08
009	1980-06-02	1987-01-01	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20828	45	9999-12-31	2013-05-08
009	1987-01-01	1990-11-22	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20828	45	9999-12-31	2013-05-08
009	1990-11-22	1992-07-15	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20828	45	9999-12-31	2013-05-08
009	1992-07-15	1994-03-01	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20828	45	9999-12-31	2013-05-08
009	1994-03-01	1994-12-27	Norsk Agip  AS	5.220000	\N	9999-12-31	9999-12-31	20828	45	9999-12-31	2013-05-08
009	1965-09-01	1967-01-01	Aquitaine Norge A/S	13.312000	\N	9999-12-31	9999-12-31	20828	111	9999-12-31	2013-05-08
009	1967-01-01	1967-06-20	Aquitaine Norge A/S	10.650000	\N	9999-12-31	9999-12-31	20828	111	9999-12-31	2013-05-08
009	1967-06-20	1967-11-30	Aquitaine Norge A/S	10.650000	\N	9999-12-31	9999-12-31	20828	111	9999-12-31	2013-05-08
009	1967-11-30	1977-07-01	Aquitaine Norge A/S	10.792000	\N	9999-12-31	9999-12-31	20828	111	9999-12-31	2013-05-08
009	1965-09-01	1967-01-01	Auxirap Norge A/S	26.625000	\N	9999-12-31	9999-12-31	20828	133	9999-12-31	2013-05-08
009	1967-01-01	1967-06-20	Auxirap Norge A/S	21.300000	\N	9999-12-31	9999-12-31	20828	133	9999-12-31	2013-05-08
009	1965-09-01	1967-01-01	Cofranord A/S	2.000000	\N	9999-12-31	9999-12-31	20828	199	9999-12-31	2013-05-08
009	1967-01-01	1967-06-20	Cofranord A/S	1.600000	\N	9999-12-31	9999-12-31	20828	199	9999-12-31	2013-05-08
009	1967-06-20	1967-11-30	Cofranord A/S	1.600000	\N	9999-12-31	9999-12-31	20828	199	9999-12-31	2013-05-08
009	1967-11-30	1977-07-01	Cofranord A/S	1.216000	\N	9999-12-31	9999-12-31	20828	199	9999-12-31	2013-05-08
009	1977-07-01	1980-06-02	Cofranord A/S	1.216000	\N	9999-12-31	9999-12-31	20828	199	9999-12-31	2013-05-08
009	1980-06-02	1987-01-01	Cofranord A/S	1.216000	\N	9999-12-31	9999-12-31	20828	199	9999-12-31	2013-05-08
009	1965-09-01	1967-01-01	Coparex Norge A/S	2.625000	\N	9999-12-31	9999-12-31	20828	243	9999-12-31	2013-05-08
009	1967-01-01	1967-06-20	Coparex Norge A/S	2.100000	\N	9999-12-31	9999-12-31	20828	243	9999-12-31	2013-05-08
009	1967-06-20	1967-11-30	Coparex Norge A/S	2.100000	\N	9999-12-31	9999-12-31	20828	243	9999-12-31	2013-05-08
009	1967-11-30	1977-07-01	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20828	243	9999-12-31	2013-05-08
009	1977-07-01	1980-06-02	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20828	243	9999-12-31	2013-05-08
009	1980-06-02	1987-01-01	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20828	243	9999-12-31	2013-05-08
009	1987-01-01	1990-11-22	Coparex Norge A/S	1.596000	\N	9999-12-31	9999-12-31	20828	243	9999-12-31	2013-05-08
009	1967-11-30	1977-07-01	Elf Norge A/S	21.584000	\N	9999-12-31	9999-12-31	20828	287	9999-12-31	2013-05-08
009	1992-07-15	1994-03-01	Elf Petroleum Norge AS	32.376000	\N	1967-08-31	1999-01-01	20828	298	9999-12-31	2013-05-08
009	1994-03-01	1994-12-27	Elf Petroleum Norge AS	60.392000	\N	1967-08-31	1999-01-01	20828	298	9999-12-31	2013-05-08
009	1994-12-27	1997-01-01	Elf Petroleum Norge AS	65.612000	\N	1967-08-31	1999-01-01	20828	298	9999-12-31	2013-05-08
009	1997-01-01	1998-12-31	Elf Petroleum Norge AS	69.032000	\N	1967-08-31	1999-01-01	20828	298	9999-12-31	2013-05-08
009	1990-11-22	1992-07-15	Elf Rep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20828	309	9999-12-31	2013-05-08
009	1990-11-22	1992-07-15	Elf Rex Norge AS	1.596000	\N	9999-12-31	9999-12-31	20828	320	9999-12-31	2013-05-08
009	1992-07-15	1994-03-01	Elf Rex Norge AS	3.420000	\N	9999-12-31	9999-12-31	20828	320	9999-12-31	2013-05-08
009	1994-03-01	1994-12-27	Elf Rex Norge AS	3.420000	\N	9999-12-31	9999-12-31	20828	320	9999-12-31	2013-05-08
009	1994-12-27	1997-01-01	Elf Rex Norge AS	3.420000	\N	9999-12-31	9999-12-31	20828	320	9999-12-31	2013-05-08
009	1977-07-01	1980-06-02	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20828	331	9999-12-31	2013-05-08
009	1980-06-02	1987-01-01	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20828	331	9999-12-31	2013-05-08
009	1987-01-01	1990-11-22	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20828	331	9999-12-31	2013-05-08
009	1990-11-22	1992-07-15	Elf Aquitaine Norge A/S	32.376000	\N	9999-12-31	9999-12-31	20828	331	9999-12-31	2013-05-08
009	1965-09-01	1967-01-01	Eurafrep Norge A/S	3.000000	\N	9999-12-31	9999-12-31	20828	364	9999-12-31	2013-05-08
009	1967-01-01	1967-06-20	Eurafrep Norge A/S	2.400000	\N	9999-12-31	9999-12-31	20828	364	9999-12-31	2013-05-08
009	1967-06-20	1967-11-30	Eurafrep Norge A/S	2.400000	\N	9999-12-31	9999-12-31	20828	364	9999-12-31	2013-05-08
009	1967-11-30	1977-07-01	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20828	364	9999-12-31	2013-05-08
009	1977-07-01	1980-06-02	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20828	364	9999-12-31	2013-05-08
009	1980-06-02	1987-01-01	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20828	364	9999-12-31	2013-05-08
009	1987-01-01	1990-11-22	Eurafrep Norge A/S	1.824000	\N	9999-12-31	9999-12-31	20828	364	9999-12-31	2013-05-08
009	1965-09-01	1967-01-01	Norsk Hydro Produksjon AS	12.500000	\N	9999-12-31	9999-12-31	20828	430	9999-12-31	2013-05-08
009	1967-01-01	1967-06-20	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	20828	430	9999-12-31	2013-05-08
009	1967-06-20	1967-11-30	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	20828	430	9999-12-31	2013-05-08
009	1967-11-30	1977-07-01	Norsk Hydro Produksjon AS	26.800000	\N	9999-12-31	9999-12-31	20828	430	9999-12-31	2013-05-08
009	1977-07-01	1980-06-02	Norsk Hydro Produksjon AS	15.400000	\N	9999-12-31	9999-12-31	20828	430	9999-12-31	2013-05-08
009	1980-06-02	1987-01-01	Norsk Hydro Produksjon AS	26.800000	\N	9999-12-31	9999-12-31	20828	430	9999-12-31	2013-05-08
009	1987-01-01	1990-11-22	Norsk Hydro Produksjon AS	26.800000	\N	9999-12-31	9999-12-31	20828	430	9999-12-31	2013-05-08
009	1990-11-22	1992-07-15	Norsk Hydro Produksjon AS	26.800000	\N	9999-12-31	9999-12-31	20828	430	9999-12-31	2013-05-08
009	1992-07-15	1994-03-01	Norsk Hydro Produksjon AS	26.800000	\N	9999-12-31	9999-12-31	20828	430	9999-12-31	2013-05-08
009	1987-01-01	1990-11-22	Norminol AS	1.216000	\N	9999-12-31	9999-12-31	20828	529	9999-12-31	2013-05-08
009	1990-11-22	1992-07-15	Norminol AS	1.216000	\N	9999-12-31	9999-12-31	20828	529	9999-12-31	2013-05-08
009	1992-07-15	1994-03-01	Norminol AS	1.216000	\N	9999-12-31	9999-12-31	20828	529	9999-12-31	2013-05-08
009	1965-09-01	1967-01-01	Petropar Norge A/S	13.313000	\N	9999-12-31	9999-12-31	20828	650	9999-12-31	2013-05-08
009	1967-01-01	1967-06-20	Petropar Norge A/S	10.650000	\N	9999-12-31	9999-12-31	20828	650	9999-12-31	2013-05-08
009	1967-06-20	1967-11-30	Petropar Norge A/S	31.950000	\N	9999-12-31	9999-12-31	20828	650	9999-12-31	2013-05-08
009	1967-01-01	1967-06-20	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20828	694	9999-12-31	2013-05-08
009	1967-06-20	1967-11-30	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20828	694	9999-12-31	2013-05-08
009	1967-11-30	1977-07-01	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20828	694	9999-12-31	2013-05-08
009	1977-07-01	1980-06-02	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20828	694	9999-12-31	2013-05-08
009	1980-06-02	1987-01-01	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20828	694	9999-12-31	2013-05-08
009	1987-01-01	1990-11-22	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20828	694	9999-12-31	2013-05-08
009	1990-11-22	1992-07-15	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20828	694	9999-12-31	2013-05-08
009	1992-07-15	1994-03-01	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20828	694	9999-12-31	2013-05-08
009	1994-03-01	1994-12-27	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20828	694	9999-12-31	2013-05-08
009	1994-12-27	1997-01-01	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20828	694	9999-12-31	2013-05-08
009	1997-01-01	1998-12-31	Phillips Petroleum Company Norway	14.780000	\N	9999-12-31	9999-12-31	20828	694	9999-12-31	2013-05-08
009	1965-09-01	1967-01-01	Total Norge AS	26.625000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1967-01-01	1967-06-20	Total Norge AS	21.300000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1967-06-20	1967-11-30	Total Norge AS	21.300000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1967-11-30	1977-07-01	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1977-07-01	1980-06-02	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1980-06-02	1987-01-01	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1987-01-01	1990-11-22	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1990-11-22	1992-07-15	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1992-07-15	1994-03-01	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1994-03-01	1994-12-27	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1994-12-27	1997-01-01	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1997-01-01	1998-12-31	Total Norge AS	16.188000	\N	9999-12-31	9999-12-31	20828	848	9999-12-31	2013-05-08
009	1977-07-01	1980-06-02	OMV Norge A/S	11.400000	\N	9999-12-31	9999-12-31	20828	925	9999-12-31	2013-05-08
010	1965-09-01	1979-09-01	A/S Norske Shell	100.000000	\N	1965-09-01	1979-09-01	20836	562	9999-12-31	2013-05-08
011	1995-05-09	1997-02-24	Amoco Norway Oil Company	50.000000	\N	9999-12-31	9999-12-31	20844	78	9999-12-31	2013-05-08
011	1997-02-24	1999-12-31	Amoco Norway Oil Company	30.000000	\N	9999-12-31	9999-12-31	20844	78	9999-12-31	2013-05-08
011	1997-02-24	1999-12-31	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	20844	221	9999-12-31	2013-05-08
011	1965-09-01	1995-05-09	A/S Norske Shell	100.000000	\N	1965-09-01	1999-12-31	20844	562	9999-12-31	2013-05-08
011	1995-05-09	1997-02-24	A/S Norske Shell	50.000000	\N	1965-09-01	1999-12-31	20844	562	9999-12-31	2013-05-08
011	1997-02-24	1999-12-31	A/S Norske Shell	50.000000	\N	1965-09-01	1999-12-31	20844	562	9999-12-31	2013-05-08
012	1965-09-01	1971-09-01	A/S Norske Shell	100.000000	\N	1965-09-01	1971-09-01	20852	562	9999-12-31	2013-05-08
013	1965-09-01	1971-05-01	California Asiatic Oil co of Norway	50.000000	\N	9999-12-31	9999-12-31	20860	177	9999-12-31	2013-05-08
013	1971-05-01	1975-01-01	Chevron Petroleum Company of Norway	25.000000	\N	9999-12-31	9999-12-31	20860	188	9999-12-31	2013-05-08
013	1975-01-01	1976-12-31	Chevron Petroleum Company of Norway	12.500000	\N	9999-12-31	9999-12-31	20860	188	9999-12-31	2013-05-08
013	1971-05-01	1975-01-01	Conoco Norway Inc.	47.500000	\N	1971-05-01	1976-12-31	20860	210	9999-12-31	2013-05-08
013	1975-01-01	1976-12-31	Conoco Norway Inc.	23.750000	\N	1971-05-01	1976-12-31	20860	210	9999-12-31	2013-05-08
013	1975-01-01	1976-12-31	Deminex Norge AS	20.625000	\N	9999-12-31	9999-12-31	20860	254	9999-12-31	2013-05-08
013	1976-12-31	1977-07-31	Deminex Norge AS	75.000000	\N	9999-12-31	9999-12-31	20860	254	9999-12-31	2013-05-08
013	1977-07-31	1978-09-01	Deminex Norge AS	32.000000	\N	9999-12-31	9999-12-31	20860	254	9999-12-31	2013-05-08
013	1971-05-01	1975-01-01	Pelican AS	2.500000	\N	9999-12-31	9999-12-31	20860	606	9999-12-31	2013-05-08
013	1975-01-01	1976-12-31	Pelican AS	10.000000	\N	9999-12-31	9999-12-31	20860	606	9999-12-31	2013-05-08
013	1976-12-31	1977-07-31	Pelican AS	25.000000	\N	9999-12-31	9999-12-31	20860	606	9999-12-31	2013-05-08
013	1977-07-31	1978-09-01	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20860	606	9999-12-31	2013-05-08
013	1975-01-01	1976-12-31	Petroswede Norge A/S	20.625000	\N	9999-12-31	9999-12-31	20860	672	9999-12-31	2013-05-08
013	1977-07-31	1978-09-01	Petroswede Norge A/S	8.000000	\N	9999-12-31	9999-12-31	20860	672	9999-12-31	2013-05-08
013	1977-07-31	1978-09-01	Saga Petroleum ASA	16.000000	\N	1977-07-31	1978-09-01	20860	716	9999-12-31	2013-05-08
013	1977-07-31	1978-09-01	Scandinavian Sun Oil A/S	20.000000	\N	9999-12-31	9999-12-31	20860	727	9999-12-31	2013-05-08
013	1977-07-31	1978-09-01	Den norske stats oljeselskap a.s	20.000000	\N	9999-12-31	9999-12-31	20860	749	9999-12-31	2013-05-08
013	1971-05-01	1975-01-01	Texaco Exploration Norway AS	25.000000	\N	9999-12-31	9999-12-31	20860	804	9999-12-31	2013-05-08
013	1975-01-01	1976-12-31	Texaco Exploration Norway AS	12.500000	\N	9999-12-31	9999-12-31	20860	804	9999-12-31	2013-05-08
013	1965-09-01	1971-05-01	Texas Overseas Petroleum Company	50.000000	\N	9999-12-31	9999-12-31	20860	826	9999-12-31	2013-05-08
014	1965-09-01	1971-05-01	California Asiatic Oil co of Norway	50.000000	\N	9999-12-31	9999-12-31	20868	177	9999-12-31	2013-05-08
014	1971-05-01	1975-01-01	Chevron Petroleum Company of Norway	25.000000	\N	9999-12-31	9999-12-31	20868	188	9999-12-31	2013-05-08
014	1975-01-01	1976-12-31	Chevron Petroleum Company of Norway	12.500000	\N	9999-12-31	9999-12-31	20868	188	9999-12-31	2013-05-08
014	1971-05-01	1975-01-01	Conoco Norway Inc.	47.500000	\N	1971-05-01	1976-12-31	20868	210	9999-12-31	2013-05-08
014	1975-01-01	1976-12-31	Conoco Norway Inc.	23.750000	\N	1971-05-01	1976-12-31	20868	210	9999-12-31	2013-05-08
014	1975-01-01	1976-12-31	Deminex Norge AS	20.625000	\N	9999-12-31	9999-12-31	20868	254	9999-12-31	2013-05-08
014	1976-12-31	1977-07-31	Deminex Norge AS	75.000000	\N	9999-12-31	9999-12-31	20868	254	9999-12-31	2013-05-08
014	1977-07-31	1977-09-01	Deminex Norge AS	32.000000	\N	9999-12-31	9999-12-31	20868	254	9999-12-31	2013-05-08
014	1971-05-01	1975-01-01	Pelican AS	2.500000	\N	9999-12-31	9999-12-31	20868	606	9999-12-31	2013-05-08
014	1975-01-01	1976-12-31	Pelican AS	10.000000	\N	9999-12-31	9999-12-31	20868	606	9999-12-31	2013-05-08
014	1976-12-31	1977-07-31	Pelican AS	25.000000	\N	9999-12-31	9999-12-31	20868	606	9999-12-31	2013-05-08
014	1977-07-31	1977-09-01	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20868	606	9999-12-31	2013-05-08
014	1975-01-01	1976-12-31	Petroswede Norge A/S	20.625000	\N	9999-12-31	9999-12-31	20868	672	9999-12-31	2013-05-08
014	1977-07-31	1977-09-01	Petroswede Norge A/S	8.000000	\N	9999-12-31	9999-12-31	20868	672	9999-12-31	2013-05-08
014	1977-07-31	1977-09-01	Saga Petroleum ASA	16.000000	\N	1977-07-31	1977-09-01	20868	716	9999-12-31	2013-05-08
014	1977-07-31	1977-09-01	Scandinavian Sun Oil A/S	20.000000	\N	9999-12-31	9999-12-31	20868	727	9999-12-31	2013-05-08
014	1977-07-31	1977-09-01	Den norske stats oljeselskap a.s	20.000000	\N	9999-12-31	9999-12-31	20868	749	9999-12-31	2013-05-08
014	1971-05-01	1975-01-01	Texaco Exploration Norway AS	25.000000	\N	9999-12-31	9999-12-31	20868	804	9999-12-31	2013-05-08
014	1965-09-01	1971-05-01	Texas Overseas Petroleum Company	50.000000	\N	9999-12-31	9999-12-31	20868	826	9999-12-31	2013-05-08
014	1975-01-01	1976-12-31	Texas Overseas Petroleum Company	12.500000	\N	9999-12-31	9999-12-31	20868	826	9999-12-31	2013-05-08
015	1965-09-01	1971-05-01	California Asiatic Oil co of Norway	50.000000	\N	9999-12-31	9999-12-31	20876	177	9999-12-31	2013-05-08
015	1971-05-01	1975-01-01	Chevron Petroleum Company of Norway	25.000000	\N	9999-12-31	9999-12-31	20876	188	9999-12-31	2013-05-08
015	1975-01-01	1976-12-31	Chevron Petroleum Company of Norway	12.500000	\N	9999-12-31	9999-12-31	20876	188	9999-12-31	2013-05-08
015	1971-05-01	1975-01-01	Conoco Norway Inc.	47.500000	\N	1971-05-01	1976-12-31	20876	210	9999-12-31	2013-05-08
015	1975-01-01	1976-12-31	Conoco Norway Inc.	23.750000	\N	1971-05-01	1976-12-31	20876	210	9999-12-31	2013-05-08
015	1975-01-01	1976-12-31	Deminex Norge AS	20.625000	\N	9999-12-31	9999-12-31	20876	254	9999-12-31	2013-05-08
015	1976-12-31	1977-07-31	Deminex Norge AS	75.000000	\N	9999-12-31	9999-12-31	20876	254	9999-12-31	2013-05-08
015	1977-07-31	1977-09-01	Deminex Norge AS	32.000000	\N	9999-12-31	9999-12-31	20876	254	9999-12-31	2013-05-08
015	1971-05-01	1975-01-01	Pelican AS	2.500000	\N	9999-12-31	9999-12-31	20876	606	9999-12-31	2013-05-08
015	1975-01-01	1976-12-31	Pelican AS	10.000000	\N	9999-12-31	9999-12-31	20876	606	9999-12-31	2013-05-08
015	1976-12-31	1977-07-31	Pelican AS	25.000000	\N	9999-12-31	9999-12-31	20876	606	9999-12-31	2013-05-08
015	1977-07-31	1977-09-01	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20876	606	9999-12-31	2013-05-08
015	1975-01-01	1976-12-31	Petroswede Norge A/S	20.625000	\N	9999-12-31	9999-12-31	20876	672	9999-12-31	2013-05-08
015	1977-07-31	1977-09-01	Petroswede Norge A/S	8.000000	\N	9999-12-31	9999-12-31	20876	672	9999-12-31	2013-05-08
015	1977-07-31	1977-09-01	Saga Petroleum ASA	16.000000	\N	1977-07-31	1977-09-01	20876	716	9999-12-31	2013-05-08
015	1977-07-31	1977-09-01	Scandinavian Sun Oil A/S	20.000000	\N	9999-12-31	9999-12-31	20876	727	9999-12-31	2013-05-08
015	1977-07-31	1977-09-01	Den norske stats oljeselskap a.s	20.000000	\N	9999-12-31	9999-12-31	20876	749	9999-12-31	2013-05-08
015	1975-01-01	1976-12-31	Texaco Exploration Norway AS	12.500000	\N	9999-12-31	9999-12-31	20876	804	9999-12-31	2013-05-08
015	1965-09-01	1971-05-01	Texas Overseas Petroleum Company	50.000000	\N	9999-12-31	9999-12-31	20876	826	9999-12-31	2013-05-08
015	1971-05-01	1975-01-01	Texas Overseas Petroleum Company	25.000000	\N	9999-12-31	9999-12-31	20876	826	9999-12-31	2013-05-08
016	1965-09-01	1968-01-01	Norsk Agip  AS	18.260000	\N	9999-12-31	9999-12-31	20884	45	9999-12-31	2013-05-08
016	1968-01-01	1977-07-01	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20884	45	9999-12-31	2013-05-08
016	1977-07-01	1990-11-22	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20884	45	9999-12-31	2013-05-08
016	1990-11-22	1992-07-15	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20884	45	9999-12-31	2013-05-08
016	1992-07-15	1994-12-31	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20884	45	9999-12-31	2013-05-08
016	1968-01-01	1977-07-01	Aquitaine Norge A/S	3.550000	\N	9999-12-31	9999-12-31	20884	111	9999-12-31	2013-05-08
016	1968-01-01	1977-07-01	Cofranord A/S	0.400000	\N	9999-12-31	9999-12-31	20884	199	9999-12-31	2013-05-08
016	1977-07-01	1990-11-22	Cofranord A/S	0.304000	\N	9999-12-31	9999-12-31	20884	199	9999-12-31	2013-05-08
016	1968-01-01	1977-07-01	Coparex Norge A/S	0.525000	\N	9999-12-31	9999-12-31	20884	243	9999-12-31	2013-05-08
016	1977-07-01	1990-11-22	Coparex Norge A/S	0.399000	\N	9999-12-31	9999-12-31	20884	243	9999-12-31	2013-05-08
016	1968-01-01	1977-07-01	Elf Norge A/S	7.100000	\N	9999-12-31	9999-12-31	20884	287	9999-12-31	2013-05-08
016	1977-07-01	1990-11-22	Elf Petroleum Norge AS	8.094000	\N	9999-12-31	9999-12-31	20884	298	9999-12-31	2013-05-08
016	1990-11-22	1992-07-15	Elf Petroleum Norge AS	8.094000	\N	9999-12-31	9999-12-31	20884	298	9999-12-31	2013-05-08
016	1992-07-15	1994-12-31	Elf Petroleum Norge AS	8.094000	\N	9999-12-31	9999-12-31	20884	298	9999-12-31	2013-05-08
016	1990-11-22	1992-07-15	Elf Rep Norge A/S	0.456000	\N	9999-12-31	9999-12-31	20884	309	9999-12-31	2013-05-08
016	1990-11-22	1992-07-15	Elf Rex Norge AS	0.399000	\N	9999-12-31	9999-12-31	20884	320	9999-12-31	2013-05-08
016	1992-07-15	1994-12-31	Elf Rex Norge AS	0.855000	\N	9999-12-31	9999-12-31	20884	320	9999-12-31	2013-05-08
016	1968-01-01	1977-07-01	Eurafrep Norge A/S	0.600000	\N	9999-12-31	9999-12-31	20884	364	9999-12-31	2013-05-08
016	1977-07-01	1990-11-22	Eurafrep Norge A/S	0.456000	\N	9999-12-31	9999-12-31	20884	364	9999-12-31	2013-05-08
016	1965-09-01	1968-01-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20884	386	9999-12-31	2013-05-08
016	1968-01-01	1977-07-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20884	386	9999-12-31	2013-05-08
016	1977-07-01	1990-11-22	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20884	386	9999-12-31	2013-05-08
016	1990-11-22	1992-07-15	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20884	386	9999-12-31	2013-05-08
016	1992-07-15	1994-12-31	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20884	386	9999-12-31	2013-05-08
016	1968-01-01	1977-07-01	Norsk Hydro Produksjon AS	2.500000	\N	9999-12-31	9999-12-31	20884	430	9999-12-31	2013-05-08
016	1977-07-01	1990-11-22	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20884	430	9999-12-31	2013-05-08
016	1990-11-22	1992-07-15	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20884	430	9999-12-31	2013-05-08
016	1992-07-15	1994-12-31	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20884	430	9999-12-31	2013-05-08
016	1990-11-22	1992-07-15	Norminol AS	0.304000	\N	9999-12-31	9999-12-31	20884	529	9999-12-31	2013-05-08
016	1992-07-15	1994-12-31	Norminol AS	0.304000	\N	9999-12-31	9999-12-31	20884	529	9999-12-31	2013-05-08
016	1965-09-01	1968-01-01	Phillips Petroleum Company Norway	51.740000	\N	1965-09-01	1994-12-31	20884	694	9999-12-31	2013-05-08
016	1968-01-01	1977-07-01	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	1994-12-31	20884	694	9999-12-31	2013-05-08
016	1977-07-01	1990-11-22	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	1994-12-31	20884	694	9999-12-31	2013-05-08
016	1990-11-22	1992-07-15	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	1994-12-31	20884	694	9999-12-31	2013-05-08
016	1992-07-15	1994-12-31	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	1994-12-31	20884	694	9999-12-31	2013-05-08
016	1968-01-01	1977-07-01	Total Norge AS	5.325000	\N	9999-12-31	9999-12-31	20884	848	9999-12-31	2013-05-08
016	1977-07-01	1990-11-22	Total Norge AS	4.047000	\N	9999-12-31	9999-12-31	20884	848	9999-12-31	2013-05-08
016	1990-11-22	1992-07-15	Total Norge AS	4.047000	\N	9999-12-31	9999-12-31	20884	848	9999-12-31	2013-05-08
016	1992-07-15	1994-12-31	Total Norge AS	4.047000	\N	9999-12-31	9999-12-31	20884	848	9999-12-31	2013-05-08
017	1965-09-01	1968-01-01	Norsk Agip  AS	18.260000	\N	9999-12-31	9999-12-31	20892	45	9999-12-31	2013-05-08
017	1968-01-01	1977-01-01	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20892	45	9999-12-31	2013-05-08
017	1977-01-01	1977-07-01	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20892	45	9999-12-31	2013-05-08
017	1977-07-01	1990-11-22	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20892	45	9999-12-31	2013-05-08
017	1990-11-22	1991-12-31	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20892	45	9999-12-31	2013-05-08
017	1968-01-01	1977-01-01	Aquitaine Norge A/S	3.550000	\N	9999-12-31	9999-12-31	20892	111	9999-12-31	2013-05-08
017	1977-01-01	1977-07-01	Aquitaine Norge A/S	2.698000	\N	9999-12-31	9999-12-31	20892	111	9999-12-31	2013-05-08
017	1968-01-01	1977-01-01	Cofranord A/S	0.400000	\N	9999-12-31	9999-12-31	20892	199	9999-12-31	2013-05-08
017	1977-01-01	1977-07-01	Cofranord A/S	0.304000	\N	9999-12-31	9999-12-31	20892	199	9999-12-31	2013-05-08
017	1977-07-01	1990-11-22	Cofranord A/S	0.304000	\N	9999-12-31	9999-12-31	20892	199	9999-12-31	2013-05-08
017	1968-01-01	1977-01-01	Coparex Norge A/S	0.525000	\N	9999-12-31	9999-12-31	20892	243	9999-12-31	2013-05-08
017	1977-01-01	1977-07-01	Coparex Norge A/S	0.399000	\N	9999-12-31	9999-12-31	20892	243	9999-12-31	2013-05-08
017	1977-07-01	1990-11-22	Coparex Norge A/S	0.399000	\N	9999-12-31	9999-12-31	20892	243	9999-12-31	2013-05-08
017	1968-01-01	1977-01-01	Elf Norge A/S	7.100000	\N	9999-12-31	9999-12-31	20892	287	9999-12-31	2013-05-08
017	1977-01-01	1977-07-01	Elf Norge A/S	5.396000	\N	9999-12-31	9999-12-31	20892	287	9999-12-31	2013-05-08
017	1977-07-01	1990-11-22	Elf Petroleum Norge AS	8.094000	\N	9999-12-31	9999-12-31	20892	298	9999-12-31	2013-05-08
017	1990-11-22	1991-12-31	Elf Petroleum Norge AS	8.094000	\N	9999-12-31	9999-12-31	20892	298	9999-12-31	2013-05-08
017	1990-11-22	1991-12-31	Elf Rep Norge A/S	0.456000	\N	9999-12-31	9999-12-31	20892	309	9999-12-31	2013-05-08
017	1990-11-22	1991-12-31	Elf Rex Norge AS	0.399000	\N	9999-12-31	9999-12-31	20892	320	9999-12-31	2013-05-08
017	1968-01-01	1977-01-01	Eurafrep Norge A/S	0.600000	\N	9999-12-31	9999-12-31	20892	364	9999-12-31	2013-05-08
017	1977-01-01	1977-07-01	Eurafrep Norge A/S	0.456000	\N	9999-12-31	9999-12-31	20892	364	9999-12-31	2013-05-08
017	1977-07-01	1990-11-22	Eurafrep Norge A/S	0.456000	\N	9999-12-31	9999-12-31	20892	364	9999-12-31	2013-05-08
017	1965-09-01	1968-01-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20892	386	9999-12-31	2013-05-08
017	1968-01-01	1977-01-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20892	386	9999-12-31	2013-05-08
017	1977-01-01	1977-07-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20892	386	9999-12-31	2013-05-08
017	1977-07-01	1990-11-22	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20892	386	9999-12-31	2013-05-08
017	1990-11-22	1991-12-31	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20892	386	9999-12-31	2013-05-08
017	1968-01-01	1977-01-01	Norsk Hydro Produksjon AS	2.500000	\N	9999-12-31	9999-12-31	20892	430	9999-12-31	2013-05-08
017	1977-01-01	1977-07-01	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20892	430	9999-12-31	2013-05-08
017	1977-07-01	1990-11-22	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20892	430	9999-12-31	2013-05-08
017	1990-11-22	1991-12-31	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20892	430	9999-12-31	2013-05-08
017	1990-11-22	1991-12-31	Norminol AS	0.304000	\N	9999-12-31	9999-12-31	20892	529	9999-12-31	2013-05-08
017	1965-09-01	1968-01-01	Phillips Petroleum Company Norway	51.740000	\N	1965-09-01	1991-12-31	20892	694	9999-12-31	2013-05-08
017	1968-01-01	1977-01-01	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	1991-12-31	20892	694	9999-12-31	2013-05-08
017	1977-01-01	1977-07-01	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	1991-12-31	20892	694	9999-12-31	2013-05-08
017	1977-07-01	1990-11-22	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	1991-12-31	20892	694	9999-12-31	2013-05-08
017	1990-11-22	1991-12-31	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	1991-12-31	20892	694	9999-12-31	2013-05-08
017	1968-01-01	1977-01-01	Total Norge AS	5.325000	\N	9999-12-31	9999-12-31	20892	848	9999-12-31	2013-05-08
017	1977-01-01	1977-07-01	Total Norge AS	4.047000	\N	9999-12-31	9999-12-31	20892	848	9999-12-31	2013-05-08
017	1977-07-01	1990-11-22	Total Norge AS	4.047000	\N	9999-12-31	9999-12-31	20892	848	9999-12-31	2013-05-08
017	1990-11-22	1991-12-31	Total Norge AS	4.047000	\N	9999-12-31	9999-12-31	20892	848	9999-12-31	2013-05-08
018	1965-09-01	1968-01-01	Norsk Agip  AS	18.260000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	1968-01-01	1971-01-01	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	1971-01-01	1977-07-01	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	1977-07-01	1988-04-01	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	1988-04-01	1990-11-22	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	1990-11-22	1992-08-14	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	1992-08-14	1995-01-01	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	1995-01-01	1997-01-01	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	1997-01-01	1999-01-01	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	1999-01-01	2000-07-24	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	2000-07-24	2000-12-20	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	2000-12-20	2001-01-11	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	2001-01-11	2001-05-10	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	2001-05-10	2001-06-17	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	2001-06-17	2001-12-18	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	2001-12-18	2002-10-23	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	2002-10-23	2003-03-05	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	2003-03-05	2003-05-06	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	2003-05-06	2003-12-15	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20900	45	9999-12-31	2013-05-08
018	1968-01-01	1971-01-01	Aquitaine Norge A/S	3.550000	\N	9999-12-31	9999-12-31	20900	111	9999-12-31	2013-05-08
018	1971-01-01	1977-07-01	Aquitaine Norge A/S	2.698000	\N	9999-12-31	9999-12-31	20900	111	9999-12-31	2013-05-08
018	1968-01-01	1971-01-01	Cofranord A/S	0.400000	\N	9999-12-31	9999-12-31	20900	199	9999-12-31	2013-05-08
018	1971-01-01	1977-07-01	Cofranord A/S	0.304000	\N	9999-12-31	9999-12-31	20900	199	9999-12-31	2013-05-08
018	1977-07-01	1988-04-01	Cofranord A/S	0.304000	\N	9999-12-31	9999-12-31	20900	199	9999-12-31	2013-05-08
018	1988-04-01	1990-11-22	Cofranord A/S	0.304000	\N	9999-12-31	9999-12-31	20900	199	9999-12-31	2013-05-08
018	1968-01-01	1971-01-01	Coparex Norge A/S	0.525000	\N	9999-12-31	9999-12-31	20900	243	9999-12-31	2013-05-08
018	1971-01-01	1977-07-01	Coparex Norge A/S	0.399000	\N	9999-12-31	9999-12-31	20900	243	9999-12-31	2013-05-08
018	1977-07-01	1988-04-01	Coparex Norge A/S	0.399000	\N	9999-12-31	9999-12-31	20900	243	9999-12-31	2013-05-08
018	1988-04-01	1990-11-22	Coparex Norge A/S	0.399000	\N	9999-12-31	9999-12-31	20900	243	9999-12-31	2013-05-08
018	1968-01-01	1971-01-01	Elf Norge A/S	7.100000	\N	9999-12-31	9999-12-31	20900	287	9999-12-31	2013-05-08
018	1971-01-01	1977-07-01	Elf Norge A/S	5.396000	\N	9999-12-31	9999-12-31	20900	287	9999-12-31	2013-05-08
018	1992-08-14	1995-01-01	Elf Petroleum Norge AS	7.594000	\N	9999-12-31	9999-12-31	20900	298	9999-12-31	2013-05-08
018	1995-01-01	1997-01-01	Elf Petroleum Norge AS	7.594000	\N	9999-12-31	9999-12-31	20900	298	9999-12-31	2013-05-08
018	1997-01-01	1999-01-01	Elf Petroleum Norge AS	8.449000	\N	9999-12-31	9999-12-31	20900	298	9999-12-31	2013-05-08
018	1999-01-01	2000-07-24	Elf Petroleum Norge AS	8.026000	\N	9999-12-31	9999-12-31	20900	298	9999-12-31	2013-05-08
018	1990-11-22	1992-08-14	Elf Rep Norge A/S	0.456000	\N	9999-12-31	9999-12-31	20900	309	9999-12-31	2013-05-08
018	1990-11-22	1992-08-14	Elf Rex Norge AS	0.399000	\N	9999-12-31	9999-12-31	20900	320	9999-12-31	2013-05-08
018	1992-08-14	1995-01-01	Elf Rex Norge AS	0.855000	\N	9999-12-31	9999-12-31	20900	320	9999-12-31	2013-05-08
018	1995-01-01	1997-01-01	Elf Rex Norge AS	0.855000	\N	9999-12-31	9999-12-31	20900	320	9999-12-31	2013-05-08
018	1977-07-01	1988-04-01	Elf Aquitaine Norge A/S	8.094000	\N	9999-12-31	9999-12-31	20900	331	9999-12-31	2013-05-08
018	1988-04-01	1990-11-22	Elf Aquitaine Norge A/S	7.594000	\N	9999-12-31	9999-12-31	20900	331	9999-12-31	2013-05-08
018	1990-11-22	1992-08-14	Elf Aquitaine Norge A/S	7.594000	\N	9999-12-31	9999-12-31	20900	331	9999-12-31	2013-05-08
018	1968-01-01	1971-01-01	Eurafrep Norge A/S	0.600000	\N	9999-12-31	9999-12-31	20900	364	9999-12-31	2013-05-08
018	1971-01-01	1977-07-01	Eurafrep Norge A/S	0.456000	\N	9999-12-31	9999-12-31	20900	364	9999-12-31	2013-05-08
018	1977-07-01	1988-04-01	Eurafrep Norge A/S	0.456000	\N	9999-12-31	9999-12-31	20900	364	9999-12-31	2013-05-08
018	1988-04-01	1990-11-22	Eurafrep Norge A/S	0.456000	\N	9999-12-31	9999-12-31	20900	364	9999-12-31	2013-05-08
018	1965-09-01	1968-01-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20900	386	9999-12-31	2013-05-08
018	1968-01-01	1971-01-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20900	386	9999-12-31	2013-05-08
018	1971-01-01	1977-07-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20900	386	9999-12-31	2013-05-08
018	1977-07-01	1988-04-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20900	386	9999-12-31	2013-05-08
018	1988-04-01	1990-11-22	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20900	386	9999-12-31	2013-05-08
018	1990-11-22	1992-08-14	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20900	386	9999-12-31	2013-05-08
018	1992-08-14	1995-01-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20900	386	9999-12-31	2013-05-08
018	1995-01-01	1997-01-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20900	386	9999-12-31	2013-05-08
018	1997-01-01	1999-01-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20900	386	9999-12-31	2013-05-08
018	1999-01-01	2000-07-24	Fina Production Licenses AS	28.500000	\N	9999-12-31	9999-12-31	20900	386	9999-12-31	2013-05-08
018	2000-07-24	2000-12-20	Fina Production Licenses AS	28.500000	\N	9999-12-31	9999-12-31	20900	386	9999-12-31	2013-05-08
018	1968-01-01	1971-01-01	Norsk Hydro Produksjon AS	2.500000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	1971-01-01	1977-07-01	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	1977-07-01	1988-04-01	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	1988-04-01	1990-11-22	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	1990-11-22	1992-08-14	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	1992-08-14	1995-01-01	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	1995-01-01	1997-01-01	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	1997-01-01	1999-01-01	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	1999-01-01	2000-07-24	Norsk Hydro Produksjon AS	6.365000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	2000-07-24	2000-12-20	Norsk Hydro Produksjon AS	6.365000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	2000-12-20	2001-01-11	Norsk Hydro Produksjon AS	6.365000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	2001-12-18	2002-10-23	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	2002-10-23	2003-03-05	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	2003-05-06	2003-12-15	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	2003-12-15	2007-01-01	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20900	430	9999-12-31	2013-05-08
018	1990-11-22	1992-08-14	Norminol AS	0.304000	\N	9999-12-31	9999-12-31	20900	529	9999-12-31	2013-05-08
018	1992-08-14	1995-01-01	Norminol AS	0.304000	\N	9999-12-31	9999-12-31	20900	529	9999-12-31	2013-05-08
018	1965-09-01	1968-01-01	Phillips Petroleum Company Norway	51.740000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	1968-01-01	1971-01-01	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	1971-01-01	1977-07-01	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	1977-07-01	1988-04-01	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	1988-04-01	1990-11-22	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	1990-11-22	1992-08-14	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	1992-08-14	1995-01-01	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	1995-01-01	1997-01-01	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	1997-01-01	1999-01-01	Phillips Petroleum Company Norway	36.960000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	1999-01-01	2000-07-24	Phillips Petroleum Company Norway	35.112000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	2000-07-24	2000-12-20	Phillips Petroleum Company Norway	35.112000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	2000-12-20	2001-01-11	Phillips Petroleum Company Norway	35.112000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	2001-01-11	2001-05-10	Phillips Petroleum Company Norway	35.112000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	2001-05-10	2001-06-17	Phillips Petroleum Company Norway	35.112000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	2001-06-17	2001-12-18	Phillips Petroleum Company Norway	35.112000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	2001-12-18	2002-10-23	Phillips Petroleum Company Norway	35.112000	\N	1965-09-01	2002-10-23	20900	694	9999-12-31	2013-05-08
018	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	35.112000	\N	2003-04-25	2003-05-06	20900	705	9999-12-31	2013-05-08
018	1995-01-01	1997-01-01	Saga Petroleum ASA	0.304000	\N	9999-12-31	9999-12-31	20900	716	9999-12-31	2013-05-08
018	1997-01-01	1999-01-01	Saga Petroleum ASA	0.304000	\N	9999-12-31	9999-12-31	20900	716	9999-12-31	2013-05-08
018	1999-01-01	2000-07-24	Saga Petroleum ASA	0.289000	\N	9999-12-31	9999-12-31	20900	716	9999-12-31	2013-05-08
018	2000-07-24	2000-12-20	Saga Petroleum ASA	0.289000	\N	9999-12-31	9999-12-31	20900	716	9999-12-31	2013-05-08
018	2000-12-20	2001-01-11	Saga Petroleum ASA	0.289000	\N	9999-12-31	9999-12-31	20900	716	9999-12-31	2013-05-08
018	1988-04-01	1990-11-22	Den norske stats oljeselskap a.s	1.000000	\N	9999-12-31	9999-12-31	20900	749	9999-12-31	2013-05-08
018	1990-11-22	1992-08-14	Den norske stats oljeselskap a.s	1.000000	\N	9999-12-31	9999-12-31	20900	749	9999-12-31	2013-05-08
018	1992-08-14	1995-01-01	Den norske stats oljeselskap a.s	1.000000	\N	9999-12-31	9999-12-31	20900	749	9999-12-31	2013-05-08
018	1995-01-01	1997-01-01	Den norske stats oljeselskap a.s	1.000000	\N	9999-12-31	9999-12-31	20900	749	9999-12-31	2013-05-08
018	1997-01-01	1999-01-01	Den norske stats oljeselskap a.s	1.000000	\N	9999-12-31	9999-12-31	20900	749	9999-12-31	2013-05-08
018	1999-01-01	2000-07-24	Den norske stats oljeselskap a.s	5.950000	5.000000	9999-12-31	9999-12-31	20900	749	9999-12-31	2013-05-08
018	2000-07-24	2000-12-20	Den norske stats oljeselskap a.s	5.950000	5.000000	9999-12-31	9999-12-31	20900	749	9999-12-31	2013-05-08
018	2000-12-20	2001-01-11	Den norske stats oljeselskap a.s	5.950000	5.000000	9999-12-31	9999-12-31	20900	749	9999-12-31	2013-05-08
018	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	5.950000	5.000000	9999-12-31	9999-12-31	20900	749	9999-12-31	2013-05-08
018	1968-01-01	1971-01-01	Total Norge AS	5.325000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	1971-01-01	1977-07-01	Total Norge AS	4.047000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	1977-07-01	1988-04-01	Total Norge AS	4.047000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	1988-04-01	1990-11-22	Total Norge AS	3.547000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	1990-11-22	1992-08-14	Total Norge AS	3.547000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	1992-08-14	1995-01-01	Total Norge AS	3.547000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	1995-01-01	1997-01-01	Total Norge AS	3.547000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	1997-01-01	1999-01-01	Total Norge AS	3.547000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	1999-01-01	2000-07-24	Total Norge AS	3.370000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	2000-07-24	2000-12-20	Total Norge AS	3.370000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	2000-12-20	2001-01-11	Total Norge AS	31.870000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	2001-01-11	2001-05-10	Total Norge AS	31.870000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	2001-05-10	2001-06-17	Total Norge AS	31.870000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	2001-06-17	2001-12-18	Total Norge AS	31.870000	\N	9999-12-31	9999-12-31	20900	848	9999-12-31	2013-05-08
018	2000-07-24	2000-12-20	TotalFinaElf Exploration Norge AS	8.026000	\N	9999-12-31	9999-12-31	20900	1340884	9999-12-31	2013-05-08
018	2000-12-20	2001-01-11	TotalFinaElf Exploration Norge AS	8.026000	\N	9999-12-31	9999-12-31	20900	1340884	9999-12-31	2013-05-08
018	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	8.026000	\N	9999-12-31	9999-12-31	20900	1340884	9999-12-31	2013-05-08
018	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	8.026000	\N	9999-12-31	9999-12-31	20900	1340884	9999-12-31	2013-05-08
018	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	8.026000	\N	9999-12-31	9999-12-31	20900	1340884	9999-12-31	2013-05-08
018	2001-12-18	2002-10-23	TotalFinaElf Exploration Norge AS	39.896000	\N	9999-12-31	9999-12-31	20900	1340884	9999-12-31	2013-05-08
018	2002-10-23	2003-03-05	TotalFinaElf Exploration Norge AS	39.896000	\N	9999-12-31	9999-12-31	20900	1340884	9999-12-31	2013-05-08
018	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	39.896000	\N	9999-12-31	9999-12-31	20900	1340884	9999-12-31	2013-05-08
018	2001-05-10	2001-06-17	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20900	1622484	9999-12-31	2013-05-08
018	2001-06-17	2001-12-18	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20900	1622484	9999-12-31	2013-05-08
018	2001-12-18	2002-10-23	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20900	1622484	9999-12-31	2013-05-08
018	2002-10-23	2003-03-05	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20900	1622484	9999-12-31	2013-05-08
018	2003-03-05	2003-05-06	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20900	1622484	9999-12-31	2013-05-08
018	2003-05-06	2003-12-15	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20900	1622484	9999-12-31	2013-05-08
018	2003-12-15	2007-01-01	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20900	1622484	9999-12-31	2013-05-08
018	2007-01-01	2007-10-01	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20900	1622484	9999-12-31	2013-05-08
018	2001-05-10	2001-06-17	SDØE	5.000000	\N	9999-12-31	9999-12-31	20900	1623450	9999-12-31	2013-05-08
018	2001-06-17	2001-12-18	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20900	1626839	9999-12-31	2013-05-08
018	2001-12-18	2002-10-23	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20900	1626839	9999-12-31	2013-05-08
018	2002-10-23	2003-03-05	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20900	1626839	9999-12-31	2013-05-08
018	2003-03-05	2003-05-06	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20900	1626839	9999-12-31	2013-05-08
018	2003-05-06	2003-12-15	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20900	1626839	9999-12-31	2013-05-08
018	2003-12-15	2007-01-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20900	1626839	9999-12-31	2013-05-08
018	2007-01-01	2007-10-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20900	1626839	9999-12-31	2013-05-08
018	2007-10-01	2009-01-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20900	1626839	9999-12-31	2013-05-08
018	2009-01-01	2009-11-02	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20900	1626839	9999-12-31	2013-05-08
018	2009-11-02	9999-12-31	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20900	1626839	9999-12-31	2013-05-08
018	2002-10-23	2003-03-05	ConocoPhillips Norge	35.112000	\N	2002-10-23	2003-04-25	20900	2144081	9999-12-31	2013-05-08
018	2003-12-15	2007-01-01	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	20900	2388594	9999-12-31	2013-05-08
018	2007-01-01	2007-10-01	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	20900	2388594	9999-12-31	2013-05-08
018	2007-10-01	2009-01-01	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	20900	2388594	9999-12-31	2013-05-08
018	2009-01-01	2009-11-02	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	20900	2388594	9999-12-31	2013-05-08
018	2009-11-02	9999-12-31	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	20900	2388594	9999-12-31	2013-05-08
018	2003-05-06	2003-12-15	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20900	2410696	9999-12-31	2013-05-08
018	2003-12-15	2007-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20900	2410696	9999-12-31	2013-05-08
018	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20900	2410696	9999-12-31	2013-05-08
018	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20900	2410696	9999-12-31	2013-05-08
018	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20900	2410696	9999-12-31	2013-05-08
018	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20900	2410696	9999-12-31	2013-05-08
018	2003-05-06	2003-12-15	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20900	2410708	9999-12-31	2013-05-08
018	2003-12-15	2007-01-01	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20900	2410708	9999-12-31	2013-05-08
018	2007-01-01	2007-10-01	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20900	2410708	9999-12-31	2013-05-08
018	2007-10-01	2009-01-01	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20900	2410708	9999-12-31	2013-05-08
018	2009-01-01	2009-11-02	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20900	2410708	9999-12-31	2013-05-08
018	2009-11-02	9999-12-31	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20900	2410708	9999-12-31	2013-05-08
018	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	20900	4511658	9999-12-31	2013-05-08
018	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	7.604000	\N	9999-12-31	9999-12-31	20900	4511658	9999-12-31	2013-05-08
018	2007-10-01	2009-01-01	StatoilHydro ASA	0.950000	\N	9999-12-31	9999-12-31	20900	4511854	9999-12-31	2013-05-08
018	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	20900	4524355	9999-12-31	2013-05-08
018	2009-11-02	9999-12-31	Statoil Petroleum AS	7.604000	\N	9999-12-31	9999-12-31	20900	17237817	9999-12-31	2013-05-08
018 B	1995-08-25	1997-01-01	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	1997-01-01	1999-01-01	Norsk Agip  AS	13.040000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	1999-01-01	2000-07-24	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	2000-07-24	2000-12-20	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	2000-12-20	2001-01-11	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	2001-01-11	2001-05-10	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	2001-05-10	2001-06-17	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	2001-06-17	2001-12-18	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	2001-12-18	2002-10-23	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	2002-10-23	2003-03-05	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	2003-03-05	2003-05-06	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	2003-05-06	2003-12-31	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	20908	45	9999-12-31	2013-05-08
018 B	1995-08-25	1997-01-01	Elf Petroleum Norge AS	7.594000	\N	9999-12-31	9999-12-31	20908	298	9999-12-31	2013-05-08
018 B	1997-01-01	1999-01-01	Elf Petroleum Norge AS	8.449000	\N	9999-12-31	9999-12-31	20908	298	9999-12-31	2013-05-08
018 B	1999-01-01	2000-07-24	Elf Petroleum Norge AS	8.026000	\N	9999-12-31	9999-12-31	20908	298	9999-12-31	2013-05-08
018 B	1995-08-25	1997-01-01	Elf Rex Norge AS	0.855000	\N	9999-12-31	9999-12-31	20908	320	9999-12-31	2013-05-08
018 B	1995-08-25	1997-01-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20908	386	9999-12-31	2013-05-08
018 B	1997-01-01	1999-01-01	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	20908	386	9999-12-31	2013-05-08
018 B	1999-01-01	2000-07-24	Fina Production Licenses AS	28.500000	\N	9999-12-31	9999-12-31	20908	386	9999-12-31	2013-05-08
018 B	2000-07-24	2000-12-20	Fina Production Licenses AS	28.500000	\N	9999-12-31	9999-12-31	20908	386	9999-12-31	2013-05-08
018 B	1995-08-25	1997-01-01	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	1997-01-01	1999-01-01	Norsk Hydro Produksjon AS	6.700000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	1999-01-01	2000-07-24	Norsk Hydro Produksjon AS	6.365000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	2000-07-24	2000-12-20	Norsk Hydro Produksjon AS	6.365000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	2000-12-20	2001-01-11	Norsk Hydro Produksjon AS	6.365000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	2001-12-18	2002-10-23	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	2002-10-23	2003-03-05	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	20908	430	9999-12-31	2013-05-08
018 B	1995-08-25	1997-01-01	Phillips Petroleum Company Norway	36.960000	\N	1995-08-25	2002-10-23	20908	694	9999-12-31	2013-05-08
018 B	1997-01-01	1999-01-01	Phillips Petroleum Company Norway	36.960000	\N	1995-08-25	2002-10-23	20908	694	9999-12-31	2013-05-08
018 B	1999-01-01	2000-07-24	Phillips Petroleum Company Norway	35.112000	\N	1995-08-25	2002-10-23	20908	694	9999-12-31	2013-05-08
018 B	2000-07-24	2000-12-20	Phillips Petroleum Company Norway	35.112000	\N	1995-08-25	2002-10-23	20908	694	9999-12-31	2013-05-08
018 B	2000-12-20	2001-01-11	Phillips Petroleum Company Norway	35.112000	\N	1995-08-25	2002-10-23	20908	694	9999-12-31	2013-05-08
018 B	2001-01-11	2001-05-10	Phillips Petroleum Company Norway	35.112000	\N	1995-08-25	2002-10-23	20908	694	9999-12-31	2013-05-08
018 B	2001-05-10	2001-06-17	Phillips Petroleum Company Norway	35.112000	\N	1995-08-25	2002-10-23	20908	694	9999-12-31	2013-05-08
018 B	2001-06-17	2001-12-18	Phillips Petroleum Company Norway	35.112000	\N	1995-08-25	2002-10-23	20908	694	9999-12-31	2013-05-08
018 B	2001-12-18	2002-10-23	Phillips Petroleum Company Norway	35.112000	\N	1995-08-25	2002-10-23	20908	694	9999-12-31	2013-05-08
018 B	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	35.112000	\N	2003-04-23	2003-05-06	20908	705	9999-12-31	2013-05-08
018 B	1995-08-25	1997-01-01	Saga Petroleum ASA	0.304000	\N	9999-12-31	9999-12-31	20908	716	9999-12-31	2013-05-08
018 B	1997-01-01	1999-01-01	Saga Petroleum ASA	0.304000	\N	9999-12-31	9999-12-31	20908	716	9999-12-31	2013-05-08
018 B	1999-01-01	2000-07-24	Saga Petroleum ASA	0.289000	\N	9999-12-31	9999-12-31	20908	716	9999-12-31	2013-05-08
018 B	2000-07-24	2000-12-20	Saga Petroleum ASA	0.289000	\N	9999-12-31	9999-12-31	20908	716	9999-12-31	2013-05-08
018 B	2000-12-20	2001-01-11	Saga Petroleum ASA	0.289000	\N	9999-12-31	9999-12-31	20908	716	9999-12-31	2013-05-08
018 B	1995-08-25	1997-01-01	Den norske stats oljeselskap a.s	1.000000	\N	9999-12-31	9999-12-31	20908	749	9999-12-31	2013-05-08
018 B	1997-01-01	1999-01-01	Den norske stats oljeselskap a.s	1.000000	\N	9999-12-31	9999-12-31	20908	749	9999-12-31	2013-05-08
018 B	1999-01-01	2000-07-24	Den norske stats oljeselskap a.s	5.950000	5.000000	9999-12-31	9999-12-31	20908	749	9999-12-31	2013-05-08
018 B	2000-07-24	2000-12-20	Den norske stats oljeselskap a.s	5.950000	5.000000	9999-12-31	9999-12-31	20908	749	9999-12-31	2013-05-08
018 B	2000-12-20	2001-01-11	Den norske stats oljeselskap a.s	5.950000	5.000000	9999-12-31	9999-12-31	20908	749	9999-12-31	2013-05-08
018 B	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	5.950000	5.000000	9999-12-31	9999-12-31	20908	749	9999-12-31	2013-05-08
018 B	1995-08-25	1997-01-01	Total Norge AS	3.547000	\N	9999-12-31	9999-12-31	20908	848	9999-12-31	2013-05-08
018 B	1997-01-01	1999-01-01	Total Norge AS	3.547000	\N	9999-12-31	9999-12-31	20908	848	9999-12-31	2013-05-08
018 B	1999-01-01	2000-07-24	Total Norge AS	3.370000	\N	9999-12-31	9999-12-31	20908	848	9999-12-31	2013-05-08
018 B	2000-07-24	2000-12-20	Total Norge AS	3.370000	\N	9999-12-31	9999-12-31	20908	848	9999-12-31	2013-05-08
018 B	2000-12-20	2001-01-11	Total Norge AS	31.870000	\N	9999-12-31	9999-12-31	20908	848	9999-12-31	2013-05-08
018 B	2001-01-11	2001-05-10	Total Norge AS	31.870000	\N	9999-12-31	9999-12-31	20908	848	9999-12-31	2013-05-08
018 B	2001-05-10	2001-06-17	Total Norge AS	31.870000	\N	9999-12-31	9999-12-31	20908	848	9999-12-31	2013-05-08
018 B	2001-06-17	2001-12-18	Total Norge AS	31.870000	\N	9999-12-31	9999-12-31	20908	848	9999-12-31	2013-05-08
018 B	2000-07-24	2000-12-20	TotalFinaElf Exploration Norge AS	8.026000	\N	9999-12-31	9999-12-31	20908	1340884	9999-12-31	2013-05-08
018 B	2000-12-20	2001-01-11	TotalFinaElf Exploration Norge AS	8.026000	\N	9999-12-31	9999-12-31	20908	1340884	9999-12-31	2013-05-08
018 B	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	8.026000	\N	9999-12-31	9999-12-31	20908	1340884	9999-12-31	2013-05-08
018 B	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	8.026000	\N	9999-12-31	9999-12-31	20908	1340884	9999-12-31	2013-05-08
018 B	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	8.026000	\N	9999-12-31	9999-12-31	20908	1340884	9999-12-31	2013-05-08
018 B	2001-12-18	2002-10-23	TotalFinaElf Exploration Norge AS	39.896000	\N	9999-12-31	9999-12-31	20908	1340884	9999-12-31	2013-05-08
018 B	2002-10-23	2003-03-05	TotalFinaElf Exploration Norge AS	39.896000	\N	9999-12-31	9999-12-31	20908	1340884	9999-12-31	2013-05-08
018 B	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	39.896000	\N	9999-12-31	9999-12-31	20908	1340884	9999-12-31	2013-05-08
018 B	2001-05-10	2001-06-17	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20908	1622484	9999-12-31	2013-05-08
018 B	2001-06-17	2001-12-18	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20908	1622484	9999-12-31	2013-05-08
018 B	2001-12-18	2002-10-23	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20908	1622484	9999-12-31	2013-05-08
018 B	2002-10-23	2003-03-05	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20908	1622484	9999-12-31	2013-05-08
018 B	2003-03-05	2003-05-06	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20908	1622484	9999-12-31	2013-05-08
018 B	2003-05-06	2003-12-31	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20908	1622484	9999-12-31	2013-05-08
018 B	2003-12-31	2007-01-01	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20908	1622484	9999-12-31	2013-05-08
018 B	2007-01-01	2007-10-01	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	20908	1622484	9999-12-31	2013-05-08
018 B	2001-05-10	2001-06-17	SDØE	5.000000	\N	9999-12-31	9999-12-31	20908	1623450	9999-12-31	2013-05-08
018 B	2001-06-17	2001-12-18	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20908	1626839	9999-12-31	2013-05-08
018 B	2001-12-18	2002-10-23	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20908	1626839	9999-12-31	2013-05-08
018 B	2002-10-23	2003-03-05	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20908	1626839	9999-12-31	2013-05-08
018 B	2003-03-05	2003-05-06	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20908	1626839	9999-12-31	2013-05-08
018 B	2003-05-06	2003-12-31	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20908	1626839	9999-12-31	2013-05-08
018 B	2003-12-31	2007-01-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20908	1626839	9999-12-31	2013-05-08
018 B	2007-01-01	2007-10-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20908	1626839	9999-12-31	2013-05-08
018 B	2007-10-01	2009-01-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20908	1626839	9999-12-31	2013-05-08
018 B	2009-01-01	2009-11-02	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20908	1626839	9999-12-31	2013-05-08
018 B	2009-11-02	9999-12-31	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	20908	1626839	9999-12-31	2013-05-08
018 B	2002-10-23	2003-03-05	ConocoPhillips Norge	35.112000	\N	2002-10-23	2003-04-22	20908	2144081	9999-12-31	2013-05-08
018 B	2003-12-31	2007-01-01	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	20908	2388594	9999-12-31	2013-05-08
018 B	2007-01-01	2007-10-01	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	20908	2388594	9999-12-31	2013-05-08
018 B	2007-10-01	2009-01-01	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	20908	2388594	9999-12-31	2013-05-08
018 B	2009-01-01	2009-11-02	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	20908	2388594	9999-12-31	2013-05-08
018 B	2009-11-02	9999-12-31	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	20908	2388594	9999-12-31	2013-05-08
018 B	2003-05-06	2003-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20908	2410696	9999-12-31	2013-05-08
018 B	2003-12-31	2007-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20908	2410696	9999-12-31	2013-05-08
018 B	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20908	2410696	9999-12-31	2013-05-08
018 B	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20908	2410696	9999-12-31	2013-05-08
018 B	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20908	2410696	9999-12-31	2013-05-08
018 B	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	20908	2410696	9999-12-31	2013-05-08
018 B	2003-05-06	2003-12-31	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20908	2410708	9999-12-31	2013-05-08
018 B	2003-12-31	2007-01-01	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20908	2410708	9999-12-31	2013-05-08
018 B	2007-01-01	2007-10-01	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20908	2410708	9999-12-31	2013-05-08
018 B	2007-10-01	2009-01-01	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20908	2410708	9999-12-31	2013-05-08
018 B	2009-01-01	2009-11-02	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20908	2410708	9999-12-31	2013-05-08
018 B	2009-11-02	9999-12-31	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	20908	2410708	9999-12-31	2013-05-08
018 B	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	20908	4511658	9999-12-31	2013-05-08
018 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	7.604000	\N	9999-12-31	9999-12-31	20908	4511658	9999-12-31	2013-05-08
018 B	2007-10-01	2009-01-01	StatoilHydro ASA	0.950000	\N	9999-12-31	9999-12-31	20908	4511854	9999-12-31	2013-05-08
018 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	20908	4524355	9999-12-31	2013-05-08
018 B	2009-11-02	9999-12-31	Statoil Petroleum AS	7.604000	\N	9999-12-31	9999-12-31	20908	17237817	9999-12-31	2013-05-08
019	1976-05-31	1978-12-05	BP Petroleum Dev. of Norway AS	57.500000	\N	1976-05-31	1999-12-23	20916	155	9999-12-31	2013-05-08
019	1978-12-05	1996-03-02	BP Petroleum Dev. of Norway AS	57.500000	\N	1976-05-31	1999-12-23	20916	155	9999-12-31	2013-05-08
019	1996-03-02	1997-01-01	BP Petroleum Dev. of Norway AS	57.500000	\N	1976-05-31	1999-12-23	20916	155	9999-12-31	2013-05-08
019	1997-01-01	1997-05-15	BP Petroleum Dev. of Norway AS	70.000000	\N	1976-05-31	1999-12-23	20916	155	9999-12-31	2013-05-08
019	1997-05-15	1999-12-23	BP Petroleum Dev. of Norway AS	80.000000	\N	1976-05-31	1999-12-23	20916	155	9999-12-31	2013-05-08
019	1970-12-10	1975-01-01	Conoco Norway Inc.	66.700000	\N	1970-12-10	1976-05-31	20916	210	9999-12-31	2013-05-08
019	1975-01-01	1976-05-31	Conoco Norway Inc.	85.000000	\N	1970-12-10	1976-05-31	20916	210	9999-12-31	2013-05-08
019	1976-05-31	1978-12-05	Conoco Norway Inc.	25.000000	\N	9999-12-31	9999-12-31	20916	210	9999-12-31	2013-05-08
019	1978-12-05	1996-03-02	Conoco Norway Inc.	10.000000	\N	9999-12-31	9999-12-31	20916	210	9999-12-31	2013-05-08
019	1996-03-02	1997-01-01	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	20916	221	9999-12-31	2013-05-08
019	1997-01-01	1997-05-15	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	20916	221	9999-12-31	2013-05-08
019	1965-09-01	1970-12-10	Norwegian Gulf Exploration Company AS	100.000000	\N	1965-09-01	1970-12-10	20916	397	9999-12-31	2013-05-08
019	1970-12-10	1975-01-01	Norwegian Gulf Exploration Company AS	33.300000	\N	9999-12-31	9999-12-31	20916	397	9999-12-31	2013-05-08
019	1975-01-01	1976-05-31	Pelican AS	15.000000	\N	9999-12-31	9999-12-31	20916	606	9999-12-31	2013-05-08
019	1976-05-31	1978-12-05	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	20916	606	9999-12-31	2013-05-08
019	1978-12-05	1996-03-02	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	20916	606	9999-12-31	2013-05-08
019	1996-03-02	1997-01-01	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	20916	606	9999-12-31	2013-05-08
019	1997-01-01	1997-05-15	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	20916	606	9999-12-31	2013-05-08
019	1997-05-15	1999-12-23	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	20916	606	9999-12-31	2013-05-08
019	1999-12-23	2002-03-12	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	20916	606	9999-12-31	2013-05-08
019	2002-03-12	2002-04-17	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	20916	606	9999-12-31	2013-05-08
019	1978-12-05	1996-03-02	Svenska Petroleum Exploration AS	15.000000	\N	9999-12-31	9999-12-31	20916	738	9999-12-31	2013-05-08
019	1996-03-02	1997-01-01	Svenska Petroleum Exploration AS	15.000000	\N	9999-12-31	9999-12-31	20916	738	9999-12-31	2013-05-08
019	1997-01-01	1997-05-15	Svenska Petroleum Exploration AS	15.000000	\N	9999-12-31	9999-12-31	20916	738	9999-12-31	2013-05-08
019	1997-05-15	1999-12-23	Svenska Petroleum Exploration AS	15.000000	\N	9999-12-31	9999-12-31	20916	738	9999-12-31	2013-05-08
019	1999-12-23	2002-03-12	Svenska Petroleum Exploration AS	15.000000	\N	9999-12-31	9999-12-31	20916	738	9999-12-31	2013-05-08
019	2002-03-12	2002-04-17	Svenska Petroleum Exploration AS	15.000000	\N	9999-12-31	9999-12-31	20916	738	9999-12-31	2013-05-08
019	2002-04-17	2006-09-06	Svenska Petroleum Exploration AS	15.000000	\N	9999-12-31	9999-12-31	20916	738	9999-12-31	2013-05-08
019	2006-09-06	2008-01-01	Svenska Petroleum Exploration AS	15.000000	\N	9999-12-31	9999-12-31	20916	738	9999-12-31	2013-05-08
019	1976-05-31	1978-12-05	Den norske stats oljeselskap a.s	12.500000	\N	9999-12-31	9999-12-31	20916	749	9999-12-31	2013-05-08
019	1978-12-05	1996-03-02	Den norske stats oljeselskap a.s	12.500000	\N	9999-12-31	9999-12-31	20916	749	9999-12-31	2013-05-08
019	1996-03-02	1997-01-01	Den norske stats oljeselskap a.s	12.500000	\N	9999-12-31	9999-12-31	20916	749	9999-12-31	2013-05-08
019	1999-12-23	2002-03-12	BP Amoco Norge AS	80.000000	\N	1999-12-23	2002-03-12	20916	982372	9999-12-31	2013-05-08
019	2002-04-17	2006-09-06	DONG Norge AS	5.000000	\N	9999-12-31	9999-12-31	20916	1853083	9999-12-31	2013-05-08
019	2002-03-12	2002-04-17	BP Norge AS	80.000000	\N	2002-03-12	9999-12-31	20916	2052695	9999-12-31	2013-05-08
019	2002-04-17	2006-09-06	BP Norge AS	80.000000	\N	2002-03-12	9999-12-31	20916	2052695	9999-12-31	2013-05-08
019	2006-09-06	2008-01-01	BP Norge AS	80.000000	\N	2002-03-12	9999-12-31	20916	2052695	9999-12-31	2013-05-08
019	2008-01-01	9999-12-31	BP Norge AS	80.000000	\N	2002-03-12	9999-12-31	20916	2052695	9999-12-31	2013-05-08
019	2006-09-06	2008-01-01	DONG E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	20916	4070011	9999-12-31	2013-05-08
019	2008-01-01	9999-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	20916	4070011	9999-12-31	2013-05-08
019 B	1988-04-29	1996-03-02	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	1996-03-02	1997-01-01	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	1997-01-01	1997-05-15	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	1997-05-15	1999-12-23	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	1999-12-23	2001-05-10	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	2001-05-10	2001-06-17	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	2001-06-17	2002-03-12	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	2002-03-12	2002-03-19	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	2002-03-19	2002-04-17	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	2002-04-17	2002-06-27	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	2002-06-27	2003-07-04	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	2003-07-04	2006-09-06	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	2006-09-06	9999-12-31	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	20924	34	9999-12-31	2013-05-08
019 B	1977-09-12	1985-01-01	BP Petroleum Dev. of Norway AS	26.625000	\N	1977-09-12	1999-12-23	20924	155	9999-12-31	2013-05-08
019 B	1985-01-01	1988-04-29	BP Petroleum Dev. of Norway AS	26.625000	\N	1977-09-12	1999-12-23	20924	155	9999-12-31	2013-05-08
019 B	1988-04-29	1996-03-02	BP Petroleum Dev. of Norway AS	26.625000	\N	1977-09-12	1999-12-23	20924	155	9999-12-31	2013-05-08
019 B	1996-03-02	1997-01-01	BP Petroleum Dev. of Norway AS	26.625000	\N	1977-09-12	1999-12-23	20924	155	9999-12-31	2013-05-08
019 B	1997-01-01	1997-05-15	BP Petroleum Dev. of Norway AS	46.625000	\N	1977-09-12	1999-12-23	20924	155	9999-12-31	2013-05-08
019 B	1997-05-15	1999-12-23	BP Petroleum Dev. of Norway AS	56.000000	\N	1977-09-12	1999-12-23	20924	155	9999-12-31	2013-05-08
019 B	1977-09-12	1985-01-01	Conoco Norway Inc.	19.375000	\N	9999-12-31	9999-12-31	20924	210	9999-12-31	2013-05-08
019 B	1985-01-01	1988-04-29	Conoco Norway Inc.	19.375000	\N	9999-12-31	9999-12-31	20924	210	9999-12-31	2013-05-08
019 B	1988-04-29	1996-03-02	Conoco Norway Inc.	9.375000	0.000000	9999-12-31	9999-12-31	20924	210	9999-12-31	2013-05-08
019 B	1996-03-02	1997-01-01	Norske Conoco A/S	9.375000	\N	9999-12-31	9999-12-31	20924	221	9999-12-31	2013-05-08
019 B	1997-01-01	1997-05-15	Norske Conoco A/S	9.375000	\N	9999-12-31	9999-12-31	20924	221	9999-12-31	2013-05-08
019 B	1988-04-29	1996-03-02	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	20924	485	9999-12-31	2013-05-08
019 B	1996-03-02	1997-01-01	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	20924	485	9999-12-31	2013-05-08
019 B	1997-01-01	1997-05-15	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	20924	485	9999-12-31	2013-05-08
019 B	1997-05-15	1999-12-23	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	20924	485	9999-12-31	2013-05-08
019 B	1999-12-23	2001-05-10	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	20924	485	9999-12-31	2013-05-08
019 B	2001-05-10	2001-06-17	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	20924	485	9999-12-31	2013-05-08
019 B	2001-06-17	2002-03-12	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	20924	485	9999-12-31	2013-05-08
019 B	2002-03-12	2002-03-19	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	20924	485	9999-12-31	2013-05-08
019 B	2002-03-19	2002-04-17	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	20924	485	9999-12-31	2013-05-08
019 B	2002-04-17	2002-06-27	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	20924	485	9999-12-31	2013-05-08
019 B	1977-09-12	1985-01-01	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20924	606	9999-12-31	2013-05-08
019 B	1985-01-01	1988-04-29	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20924	606	9999-12-31	2013-05-08
019 B	1988-04-29	1996-03-02	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20924	606	9999-12-31	2013-05-08
019 B	1996-03-02	1997-01-01	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20924	606	9999-12-31	2013-05-08
019 B	1997-01-01	1997-05-15	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20924	606	9999-12-31	2013-05-08
019 B	1997-05-15	1999-12-23	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20924	606	9999-12-31	2013-05-08
019 B	1999-12-23	2001-05-10	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20924	606	9999-12-31	2013-05-08
019 B	2001-05-10	2001-06-17	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20924	606	9999-12-31	2013-05-08
019 B	2001-06-17	2002-03-12	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20924	606	9999-12-31	2013-05-08
019 B	2002-03-12	2002-03-19	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	20924	606	9999-12-31	2013-05-08
019 B	2002-03-19	2002-04-17	Pelican AS	34.000000	\N	9999-12-31	9999-12-31	20924	606	9999-12-31	2013-05-08
019 B	1977-09-12	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	20924	749	9999-12-31	2013-05-08
019 B	1985-01-01	1988-04-29	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	20924	749	9999-12-31	2013-05-08
019 B	1988-04-29	1996-03-02	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	20924	749	9999-12-31	2013-05-08
019 B	1996-03-02	1997-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	20924	749	9999-12-31	2013-05-08
019 B	1997-01-01	1997-05-15	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	20924	749	9999-12-31	2013-05-08
019 B	1997-05-15	1999-12-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	20924	749	9999-12-31	2013-05-08
019 B	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	20924	749	9999-12-31	2013-05-08
019 B	1999-12-23	2001-05-10	BP Amoco Norge AS	56.000000	\N	1999-12-23	2002-03-12	20924	982372	9999-12-31	2013-05-08
019 B	2001-05-10	2001-06-17	BP Amoco Norge AS	56.000000	\N	1999-12-23	2002-03-12	20924	982372	9999-12-31	2013-05-08
019 B	2001-06-17	2002-03-12	BP Amoco Norge AS	56.000000	\N	1999-12-23	2002-03-12	20924	982372	9999-12-31	2013-05-08
019 B	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	20924	1623450	9999-12-31	2013-05-08
019 B	2001-06-17	2002-03-12	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	20924	1626839	9999-12-31	2013-05-08
019 B	2002-03-12	2002-03-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	20924	1626839	9999-12-31	2013-05-08
019 B	2002-04-17	2002-06-27	DONG Norge AS	34.000000	\N	9999-12-31	9999-12-31	20924	1853083	9999-12-31	2013-05-08
019 B	2002-06-27	2003-07-04	DONG Norge AS	34.000000	\N	9999-12-31	9999-12-31	20924	1853083	9999-12-31	2013-05-08
019 B	2003-07-04	2006-09-06	DONG Norge AS	34.000000	\N	9999-12-31	9999-12-31	20924	1853083	9999-12-31	2013-05-08
019 B	2002-03-12	2002-03-19	BP Norge AS	56.000000	\N	2002-03-12	2003-07-04	20924	2052695	9999-12-31	2013-05-08
019 B	2002-03-19	2002-04-17	BP Norge AS	56.000000	\N	2002-03-12	2003-07-04	20924	2052695	9999-12-31	2013-05-08
019 B	2002-04-17	2002-06-27	BP Norge AS	56.000000	\N	2002-03-12	2003-07-04	20924	2052695	9999-12-31	2013-05-08
019 B	2002-06-27	2003-07-04	BP Norge AS	61.000000	\N	2002-03-12	2003-07-04	20924	2052695	9999-12-31	2013-05-08
019 B	2003-07-04	2006-09-06	Talisman Energy Norge AS	61.000000	\N	2003-07-04	9999-12-31	20924	2425093	9999-12-31	2013-05-08
019 B	2006-09-06	9999-12-31	Talisman Energy Norge AS	61.000000	\N	2003-07-04	9999-12-31	20924	2425093	9999-12-31	2013-05-08
019 B	2006-09-06	9999-12-31	DONG E&P Norge AS	34.000000	\N	9999-12-31	9999-12-31	20924	4070011	9999-12-31	2013-05-08
020	1976-05-31	1987-12-31	BP Petroleum Dev. of Norway AS	70.000000	\N	1978-01-01	1987-12-31	20932	155	9999-12-31	2013-05-08
020	1970-12-10	1975-01-01	Conoco Norway Inc.	56.660000	\N	1965-09-01	1978-01-01	20932	210	9999-12-31	2013-05-08
020	1975-01-01	1976-05-31	Conoco Norway Inc.	85.000000	\N	1965-09-01	1978-01-01	20932	210	9999-12-31	2013-05-08
020	1976-05-31	1987-12-31	Conoco Norway Inc.	25.000000	\N	1965-09-01	1978-01-01	20932	210	9999-12-31	2013-05-08
020	1965-09-01	1970-12-10	Norwegian Gulf Exploration Company AS	100.000000	\N	9999-12-31	9999-12-31	20932	397	9999-12-31	2013-05-08
020	1970-12-10	1975-01-01	Norwegian Gulf Exploration Company AS	33.340000	\N	9999-12-31	9999-12-31	20932	397	9999-12-31	2013-05-08
020	1970-12-10	1975-01-01	Pelican AS	10.000000	\N	9999-12-31	9999-12-31	20932	606	9999-12-31	2013-05-08
020	1975-01-01	1976-05-31	Pelican AS	15.000000	\N	9999-12-31	9999-12-31	20932	606	9999-12-31	2013-05-08
020	1976-05-31	1987-12-31	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	20932	606	9999-12-31	2013-05-08
021	1965-09-01	1973-09-01	Syracuse Oils Norge A/S	100.000000	\N	1965-09-01	1973-09-01	20940	782	9999-12-31	2013-05-08
022	1971-09-29	1976-06-06	Amax Petroleum Norge  A/S	28.333000	\N	9999-12-31	9999-12-31	20948	56	9999-12-31	2013-05-08
022	1976-06-06	1977-09-30	Amax Petroleum Norge  A/S	12.300000	\N	9999-12-31	9999-12-31	20948	56	9999-12-31	2013-05-08
022	1977-09-30	1980-01-01	Amax Petroleum Norge  A/S	9.060000	\N	9999-12-31	9999-12-31	20948	56	9999-12-31	2013-05-08
022	1976-06-06	1977-09-30	Norwegian Gulf Exploration Company AS	25.400000	\N	9999-12-31	9999-12-31	20948	397	9999-12-31	2013-05-08
022	1977-09-30	1980-01-01	Norwegian Gulf Exploration Company AS	42.070000	\N	1977-09-30	1986-12-31	20948	397	9999-12-31	2013-05-08
022	1980-01-01	1986-12-31	Norwegian Gulf Exploration Company AS	47.045000	\N	1977-09-30	1986-12-31	20948	397	9999-12-31	2013-05-08
022	1965-12-07	1971-09-29	Norske Murphy Oil Company	25.000000	\N	1965-12-07	1977-09-30	20948	551	9999-12-31	2013-05-08
022	1971-09-29	1976-06-06	Norske Murphy Oil Company	16.667000	\N	1965-12-07	1977-09-30	20948	551	9999-12-31	2013-05-08
022	1976-06-06	1977-09-30	Norske Murphy Oil Company	7.300000	\N	1965-12-07	1977-09-30	20948	551	9999-12-31	2013-05-08
022	1977-09-30	1980-01-01	Norske Murphy Oil Company	5.390000	\N	9999-12-31	9999-12-31	20948	551	9999-12-31	2013-05-08
022	1980-01-01	1986-12-31	Norske Murphy Oil Company	6.028000	\N	9999-12-31	9999-12-31	20948	551	9999-12-31	2013-05-08
022	1965-12-07	1971-09-29	Norske Ocean Exploration Company	25.000000	\N	9999-12-31	9999-12-31	20948	573	9999-12-31	2013-05-08
022	1971-09-29	1976-06-06	Norske Ocean Exploration Company	16.667000	\N	9999-12-31	9999-12-31	20948	573	9999-12-31	2013-05-08
022	1976-06-06	1977-09-30	Norske Ocean Exploration Company	7.300000	\N	9999-12-31	9999-12-31	20948	573	9999-12-31	2013-05-08
022	1977-09-30	1980-01-01	Norske Ocean Exploration Company	5.390000	\N	9999-12-31	9999-12-31	20948	573	9999-12-31	2013-05-08
022	1980-01-01	1986-12-31	Norske Ocean Exploration Company	6.028000	\N	9999-12-31	9999-12-31	20948	573	9999-12-31	2013-05-08
022	1965-12-07	1971-09-29	Pennzoil Company Norge	25.000000	\N	9999-12-31	9999-12-31	20948	617	9999-12-31	2013-05-08
022	1971-09-29	1976-06-06	K/S A/S Polaris Oil Consortium	5.000000	\N	9999-12-31	9999-12-31	20948	683	9999-12-31	2013-05-08
022	1976-06-06	1977-09-30	K/S A/S Polaris Oil Consortium	4.525000	\N	9999-12-31	9999-12-31	20948	683	9999-12-31	2013-05-08
022	1977-09-30	1980-01-01	K/S A/S Polaris Oil Consortium	3.345000	\N	9999-12-31	9999-12-31	20948	683	9999-12-31	2013-05-08
022	1980-01-01	1986-12-31	K/S A/S Polaris Oil Consortium	3.345000	\N	9999-12-31	9999-12-31	20948	683	9999-12-31	2013-05-08
022	1976-06-06	1977-09-30	Den norske stats oljeselskap a.s	11.000000	\N	9999-12-31	9999-12-31	20948	749	9999-12-31	2013-05-08
022	1977-09-30	1980-01-01	Den norske stats oljeselskap a.s	11.000000	\N	9999-12-31	9999-12-31	20948	749	9999-12-31	2013-05-08
022	1980-01-01	1986-12-31	Den norske stats oljeselskap a.s	11.000000	\N	9999-12-31	9999-12-31	20948	749	9999-12-31	2013-05-08
022	1965-12-07	1971-09-29	Wintershall Norge A/S	25.000000	\N	9999-12-31	9999-12-31	20948	914	9999-12-31	2013-05-08
022	1971-09-29	1976-06-06	Wintershall Norge A/S	33.333000	\N	9999-12-31	9999-12-31	20948	914	9999-12-31	2013-05-08
022	1976-06-06	1977-09-30	Wintershall Norge A/S	32.175000	\N	9999-12-31	9999-12-31	20948	914	9999-12-31	2013-05-08
022	1977-09-30	1980-01-01	Wintershall Norge A/S	23.745000	\N	9999-12-31	9999-12-31	20948	914	9999-12-31	2013-05-08
022	1980-01-01	1986-12-31	Wintershall Norge A/S	26.554000	\N	9999-12-31	9999-12-31	20948	914	9999-12-31	2013-05-08
023	1969-05-23	1972-04-25	Aquitaine Norge A/S	19.200000	\N	9999-12-31	9999-12-31	20956	111	9999-12-31	2013-05-08
023	1972-04-25	1977-07-01	Aquitaine Norge A/S	14.530000	\N	9999-12-31	9999-12-31	20956	111	9999-12-31	2013-05-08
023	1969-05-23	1972-04-25	Elf Norge A/S	38.400000	\N	1969-05-23	1985-05-23	20956	287	9999-12-31	2013-05-08
023	1972-04-25	1977-07-01	Elf Norge A/S	29.070000	\N	1969-05-23	1985-05-23	20956	287	9999-12-31	2013-05-08
023	1977-07-01	1985-05-23	Elf Petroleum Norge AS	43.600000	\N	9999-12-31	9999-12-31	20956	298	9999-12-31	2013-05-08
023	1969-05-23	1972-04-25	Norsk Hydro Produksjon AS	13.600000	\N	9999-12-31	9999-12-31	20956	430	9999-12-31	2013-05-08
023	1972-04-25	1977-07-01	Norsk Hydro Produksjon AS	34.600000	\N	9999-12-31	9999-12-31	20956	430	9999-12-31	2013-05-08
023	1977-07-01	1985-05-23	Norsk Hydro Produksjon AS	34.600000	\N	9999-12-31	9999-12-31	20956	430	9999-12-31	2013-05-08
023	1969-05-23	1972-04-25	Total Norge AS	28.800000	\N	9999-12-31	9999-12-31	20956	848	9999-12-31	2013-05-08
023	1972-04-25	1977-07-01	Total Norge AS	21.800000	\N	9999-12-31	9999-12-31	20956	848	9999-12-31	2013-05-08
023	1977-07-01	1985-05-23	Total Norge AS	21.800000	\N	9999-12-31	9999-12-31	20956	848	9999-12-31	2013-05-08
024	1969-05-23	1972-04-01	Aquitaine Norge A/S	19.200000	\N	9999-12-31	9999-12-31	20964	111	9999-12-31	2013-05-08
024	1972-04-01	1973-05-25	Aquitaine Norge A/S	14.530000	\N	9999-12-31	9999-12-31	20964	111	9999-12-31	2013-05-08
024	1973-05-25	1977-07-01	Aquitaine Norge A/S	13.800000	\N	9999-12-31	9999-12-31	20964	111	9999-12-31	2013-05-08
024	1969-05-23	1972-04-01	Elf Norge A/S	38.400000	\N	9999-12-31	9999-12-31	20964	287	9999-12-31	2013-05-08
024	1972-04-01	1973-05-25	Elf Norge A/S	29.070000	\N	9999-12-31	9999-12-31	20964	287	9999-12-31	2013-05-08
024	1973-05-25	1977-07-01	Elf Norge A/S	27.620000	\N	9999-12-31	9999-12-31	20964	287	9999-12-31	2013-05-08
024	1992-08-20	2000-07-24	Elf Petroleum Norge AS	26.420000	\N	1969-05-23	2000-07-24	20964	298	9999-12-31	2013-05-08
024	1977-07-01	1992-08-20	Elf Aquitaine Norge A/S	41.420000	\N	9999-12-31	9999-12-31	20964	331	9999-12-31	2013-05-08
024	1969-05-23	1972-04-01	Norsk Hydro Produksjon AS	13.600000	\N	9999-12-31	9999-12-31	20964	430	9999-12-31	2013-05-08
024	1972-04-01	1973-05-25	Norsk Hydro Produksjon AS	34.600000	\N	9999-12-31	9999-12-31	20964	430	9999-12-31	2013-05-08
024	1973-05-25	1977-07-01	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20964	430	9999-12-31	2013-05-08
024	1977-07-01	1992-08-20	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20964	430	9999-12-31	2013-05-08
024	1992-08-20	2000-07-24	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20964	430	9999-12-31	2013-05-08
024	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20964	430	9999-12-31	2013-05-08
024	2001-05-10	2001-12-18	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20964	430	9999-12-31	2013-05-08
024	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20964	430	9999-12-31	2013-05-08
024	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20964	430	9999-12-31	2013-05-08
024	1973-05-25	1977-07-01	Den norske stats oljeselskap a.s	5.000000	\N	9999-12-31	9999-12-31	20964	749	9999-12-31	2013-05-08
024	1977-07-01	1992-08-20	Den norske stats oljeselskap a.s	5.000000	\N	9999-12-31	9999-12-31	20964	749	9999-12-31	2013-05-08
024	1992-08-20	2000-07-24	Den norske stats oljeselskap a.s	20.000000	\N	9999-12-31	9999-12-31	20964	749	9999-12-31	2013-05-08
024	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	20.000000	\N	9999-12-31	9999-12-31	20964	749	9999-12-31	2013-05-08
024	1969-05-23	1972-04-01	Total Norge AS	28.800000	\N	9999-12-31	9999-12-31	20964	848	9999-12-31	2013-05-08
024	1972-04-01	1973-05-25	Total Norge AS	21.800000	\N	9999-12-31	9999-12-31	20964	848	9999-12-31	2013-05-08
024	1973-05-25	1977-07-01	Total Norge AS	20.710000	\N	9999-12-31	9999-12-31	20964	848	9999-12-31	2013-05-08
024	1977-07-01	1992-08-20	Total Norge AS	20.710000	\N	9999-12-31	9999-12-31	20964	848	9999-12-31	2013-05-08
024	1992-08-20	2000-07-24	Total Norge AS	20.710000	\N	9999-12-31	9999-12-31	20964	848	9999-12-31	2013-05-08
024	2000-07-24	2001-05-10	Total Norge AS	20.710000	\N	9999-12-31	9999-12-31	20964	848	9999-12-31	2013-05-08
024	2001-05-10	2001-12-18	Total Norge AS	20.710000	\N	9999-12-31	9999-12-31	20964	848	9999-12-31	2013-05-08
024	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	26.420000	\N	2000-07-24	2003-05-06	20964	1340884	9999-12-31	2013-05-08
024	2001-05-10	2001-12-18	TotalFinaElf Exploration Norge AS	26.420000	\N	2000-07-24	2003-05-06	20964	1340884	9999-12-31	2013-05-08
024	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	47.130000	\N	2000-07-24	2003-05-06	20964	1340884	9999-12-31	2013-05-08
024	2001-05-10	2001-12-18	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	20964	1622484	9999-12-31	2013-05-08
024	2001-12-18	2003-05-06	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	20964	1622484	9999-12-31	2013-05-08
024	2003-05-06	2007-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	20964	1622484	9999-12-31	2013-05-08
024	2007-01-01	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	20964	1622484	9999-12-31	2013-05-08
024	2003-05-06	2007-01-01	Total E&P Norge AS	47.130000	\N	2003-05-06	9999-12-31	20964	2410708	9999-12-31	2013-05-08
024	2007-01-01	2007-10-01	Total E&P Norge AS	47.130000	\N	2003-05-06	9999-12-31	20964	2410708	9999-12-31	2013-05-08
024	2007-10-01	2009-01-01	Total E&P Norge AS	47.130000	\N	2003-05-06	9999-12-31	20964	2410708	9999-12-31	2013-05-08
024	2009-01-01	2009-11-02	Total E&P Norge AS	47.130000	\N	2003-05-06	9999-12-31	20964	2410708	9999-12-31	2013-05-08
024	2009-11-02	9999-12-31	Total E&P Norge AS	47.130000	\N	2003-05-06	9999-12-31	20964	2410708	9999-12-31	2013-05-08
024	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	32.870000	\N	9999-12-31	9999-12-31	20964	4511658	9999-12-31	2013-05-08
024	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	52.870000	\N	9999-12-31	9999-12-31	20964	4511658	9999-12-31	2013-05-08
024	2007-10-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	20964	4511854	9999-12-31	2013-05-08
024	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	32.870000	\N	9999-12-31	9999-12-31	20964	4524355	9999-12-31	2013-05-08
024	2009-11-02	9999-12-31	Statoil Petroleum AS	52.870000	\N	9999-12-31	9999-12-31	20964	17237817	9999-12-31	2013-05-08
026	1969-05-23	1972-04-01	Aquitaine Norge A/S	19.200000	\N	9999-12-31	9999-12-31	20980	111	9999-12-31	2013-05-08
026	1972-04-01	1977-07-01	Aquitaine Norge A/S	14.530000	\N	9999-12-31	9999-12-31	20980	111	9999-12-31	2013-05-08
026	1969-05-23	1972-04-01	Elf Norge A/S	38.400000	\N	9999-12-31	9999-12-31	20980	287	9999-12-31	2013-05-08
026	1972-04-01	1977-07-01	Elf Norge A/S	29.070000	\N	9999-12-31	9999-12-31	20980	287	9999-12-31	2013-05-08
026	1977-07-01	1985-07-26	Elf Petroleum Norge AS	43.600000	\N	1969-05-23	2000-07-24	20980	298	9999-12-31	2013-05-08
026	1985-07-26	2000-07-24	Elf Petroleum Norge AS	41.420000	\N	1969-05-23	2000-07-24	20980	298	9999-12-31	2013-05-08
026	1969-05-23	1972-04-01	Norsk Hydro Produksjon AS	13.600000	\N	9999-12-31	9999-12-31	20980	430	9999-12-31	2013-05-08
026	1972-04-01	1977-07-01	Norsk Hydro Produksjon AS	34.600000	\N	9999-12-31	9999-12-31	20980	430	9999-12-31	2013-05-08
026	1977-07-01	1985-07-26	Norsk Hydro Produksjon AS	34.600000	\N	9999-12-31	9999-12-31	20980	430	9999-12-31	2013-05-08
026	1985-07-26	2000-07-24	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20980	430	9999-12-31	2013-05-08
026	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20980	430	9999-12-31	2013-05-08
026	2001-05-10	2001-12-18	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20980	430	9999-12-31	2013-05-08
026	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20980	430	9999-12-31	2013-05-08
026	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	32.870000	\N	9999-12-31	9999-12-31	20980	430	9999-12-31	2013-05-08
026	1985-07-26	2000-07-24	Den norske stats oljeselskap a.s	5.000000	\N	9999-12-31	9999-12-31	20980	749	9999-12-31	2013-05-08
026	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	5.000000	\N	9999-12-31	9999-12-31	20980	749	9999-12-31	2013-05-08
026	1969-05-23	1972-04-01	Total Norge AS	28.800000	\N	9999-12-31	9999-12-31	20980	848	9999-12-31	2013-05-08
026	1972-04-01	1977-07-01	Total Norge AS	21.800000	\N	9999-12-31	9999-12-31	20980	848	9999-12-31	2013-05-08
026	1977-07-01	1985-07-26	Total Norge AS	21.800000	\N	9999-12-31	9999-12-31	20980	848	9999-12-31	2013-05-08
026	1985-07-26	2000-07-24	Total Norge AS	20.710000	\N	9999-12-31	9999-12-31	20980	848	9999-12-31	2013-05-08
026	2000-07-24	2001-05-10	Total Norge AS	20.710000	\N	9999-12-31	9999-12-31	20980	848	9999-12-31	2013-05-08
026	2001-05-10	2001-12-18	Total Norge AS	20.710000	\N	9999-12-31	9999-12-31	20980	848	9999-12-31	2013-05-08
026	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	41.420000	\N	2000-07-24	2003-05-06	20980	1340884	9999-12-31	2013-05-08
026	2001-05-10	2001-12-18	TotalFinaElf Exploration Norge AS	41.420000	\N	2000-07-24	2003-05-06	20980	1340884	9999-12-31	2013-05-08
026	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	62.130000	\N	2000-07-24	2003-05-06	20980	1340884	9999-12-31	2013-05-08
026	2001-05-10	2001-12-18	Statoil ASA (old)	5.000000	\N	9999-12-31	9999-12-31	20980	1622484	9999-12-31	2013-05-08
026	2001-12-18	2003-05-06	Statoil ASA (old)	5.000000	\N	9999-12-31	9999-12-31	20980	1622484	9999-12-31	2013-05-08
026	2003-05-06	2007-01-01	Statoil ASA (old)	5.000000	\N	9999-12-31	9999-12-31	20980	1622484	9999-12-31	2013-05-08
026	2007-01-01	2007-10-01	Statoil ASA (old)	5.000000	\N	9999-12-31	9999-12-31	20980	1622484	9999-12-31	2013-05-08
026	2003-05-06	2007-01-01	Total E&P Norge AS	62.130000	\N	2003-05-06	9999-12-31	20980	2410708	9999-12-31	2013-05-08
026	2007-01-01	2007-10-01	Total E&P Norge AS	62.130000	\N	2003-05-06	9999-12-31	20980	2410708	9999-12-31	2013-05-08
026	2007-10-01	2009-01-01	Total E&P Norge AS	62.130000	\N	2003-05-06	9999-12-31	20980	2410708	9999-12-31	2013-05-08
026	2009-01-01	2009-11-02	Total E&P Norge AS	62.130000	\N	2003-05-06	9999-12-31	20980	2410708	9999-12-31	2013-05-08
026	2009-11-02	2012-04-30	Total E&P Norge AS	62.130000	\N	2003-05-06	9999-12-31	20980	2410708	9999-12-31	2013-05-08
026	2012-04-30	9999-12-31	Total E&P Norge AS	62.130000	\N	2003-05-06	9999-12-31	20980	2410708	9999-12-31	2013-05-08
026	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	37.870000	\N	9999-12-31	9999-12-31	20980	4238233	9999-12-31	2013-05-08
026	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	32.870000	\N	9999-12-31	9999-12-31	20980	4511658	9999-12-31	2013-05-08
026	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	37.870000	\N	9999-12-31	9999-12-31	20980	4511658	9999-12-31	2013-05-08
026	2007-10-01	2009-01-01	StatoilHydro ASA	5.000000	\N	9999-12-31	9999-12-31	20980	4511854	9999-12-31	2013-05-08
026	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	32.870000	\N	9999-12-31	9999-12-31	20980	4524355	9999-12-31	2013-05-08
026	2009-11-02	2012-04-30	Statoil Petroleum AS	37.870000	\N	9999-12-31	9999-12-31	20980	17237817	9999-12-31	2013-05-08
027	1969-05-23	2004-10-01	Esso Exploration and Production Norway A/S	100.000000	\N	1969-05-23	2004-10-01	20988	353	9999-12-31	2013-05-08
027	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2004-10-01	9999-12-31	20988	2835212	9999-12-31	2013-05-08
027 P	1994-01-19	1999-12-14	Enterprise Oil Norwegian AS	50.000000	\N	9999-12-31	9999-12-31	20996	342	9999-12-31	2013-05-08
027 P	1994-01-19	1999-12-14	Esso Exploration and Production Norway A/S	50.000000	\N	1994-01-19	1999-12-14	20996	353	9999-12-31	2013-05-08
028	1969-05-23	2004-10-01	Esso Exploration and Production Norway A/S	100.000000	\N	1969-05-23	2004-10-01	21004	353	9999-12-31	2013-05-08
028	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2004-10-01	9999-12-31	21004	2835212	9999-12-31	2013-05-08
028 P	1994-01-19	1999-12-14	Enterprise Oil Norwegian AS	50.000000	\N	9999-12-31	9999-12-31	21012	342	9999-12-31	2013-05-08
028 P	1994-01-19	1999-12-14	Esso Exploration and Production Norway A/S	50.000000	\N	1994-01-19	1999-12-14	21012	353	9999-12-31	2013-05-08
029	1969-05-23	2004-10-01	Esso Exploration and Production Norway A/S	100.000000	\N	1969-05-23	2004-10-01	21020	353	9999-12-31	2013-05-08
029	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2004-10-01	9999-12-31	21020	2835212	9999-12-31	2013-05-08
030	1969-05-23	1995-12-31	Esso Exploration and Production Norway A/S	100.000000	\N	1969-05-23	1995-12-31	21028	353	9999-12-31	2013-05-08
031	1969-05-23	1999-12-31	Norsk Agip  AS	18.260000	\N	9999-12-31	9999-12-31	21036	45	9999-12-31	2013-05-08
031	1969-05-23	1999-12-31	Fina Production Licenses AS	30.000000	\N	9999-12-31	9999-12-31	21036	386	9999-12-31	2013-05-08
031	1969-05-23	1999-12-31	Phillips Petroleum Company Norway	51.740000	\N	1969-05-23	1999-12-31	21036	694	9999-12-31	2013-05-08
032	1969-05-30	1978-12-05	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21044	67	9999-12-31	2013-05-08
032	1978-12-05	1989-03-01	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21044	67	9999-12-31	2013-05-08
032	1989-03-01	1992-02-25	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21044	67	9999-12-31	2013-05-08
032	1992-02-25	1996-04-01	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21044	67	9999-12-31	2013-05-08
032	1996-04-01	1999-12-31	Amerada Hess Norge AS	35.000000	\N	9999-12-31	9999-12-31	21044	67	9999-12-31	2013-05-08
032	1969-05-30	1978-12-05	Amoco Norway Oil Company	25.000000	\N	1969-05-30	1999-12-31	21044	78	9999-12-31	2013-05-08
032	1978-12-05	1989-03-01	Amoco Norway Oil Company	25.000000	\N	1969-05-30	1999-12-31	21044	78	9999-12-31	2013-05-08
032	1989-03-01	1992-02-25	Amoco Norway Oil Company	25.000000	\N	1969-05-30	1999-12-31	21044	78	9999-12-31	2013-05-08
032	1992-02-25	1996-04-01	Amoco Norway Oil Company	25.000000	\N	1969-05-30	1999-12-31	21044	78	9999-12-31	2013-05-08
032	1996-04-01	1999-12-31	Amoco Norway Oil Company	25.000000	\N	1969-05-30	1999-12-31	21044	78	9999-12-31	2013-05-08
032	1992-02-25	1996-04-01	Elf Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21044	298	9999-12-31	2013-05-08
032	1996-04-01	1999-12-31	Elf Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21044	298	9999-12-31	2013-05-08
032	1989-03-01	1992-02-25	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21044	342	9999-12-31	2013-05-08
032	1992-02-25	1996-04-01	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21044	342	9999-12-31	2013-05-08
032	1996-04-01	1999-12-31	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21044	342	9999-12-31	2013-05-08
032	1969-05-30	1978-12-05	Norwegian Oil Consortium A/S & Co	25.000000	\N	9999-12-31	9999-12-31	21044	518	9999-12-31	2013-05-08
032	1978-12-05	1989-03-01	Norwegian Oil Consortium A/S & Co	15.000000	\N	9999-12-31	9999-12-31	21044	518	9999-12-31	2013-05-08
032	1989-03-01	1992-02-25	Norwegian Oil Consortium A/S & Co	15.000000	\N	9999-12-31	9999-12-31	21044	518	9999-12-31	2013-05-08
032	1978-12-05	1989-03-01	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21044	738	9999-12-31	2013-05-08
032	1989-03-01	1992-02-25	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21044	738	9999-12-31	2013-05-08
032	1992-02-25	1996-04-01	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21044	738	9999-12-31	2013-05-08
032	1969-05-30	1978-12-05	Texas Eastern Norwegian Inc.	25.000000	\N	9999-12-31	9999-12-31	21044	837	9999-12-31	2013-05-08
032	1978-12-05	1989-03-01	Texas Eastern Norwegian Inc.	25.000000	\N	9999-12-31	9999-12-31	21044	837	9999-12-31	2013-05-08
033	1969-05-30	1989-03-01	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	67	9999-12-31	2013-05-08
033	1989-03-01	1992-02-25	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	67	9999-12-31	2013-05-08
033	1992-02-25	1999-12-23	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	67	9999-12-31	2013-05-08
033	1999-12-23	2000-07-24	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	67	9999-12-31	2013-05-08
033	2000-07-24	2001-12-31	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	67	9999-12-31	2013-05-08
033	2001-12-31	2002-03-12	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	67	9999-12-31	2013-05-08
033	2002-03-12	2003-05-06	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	67	9999-12-31	2013-05-08
033	2003-05-06	2006-06-26	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	67	9999-12-31	2013-05-08
033	1969-05-30	1989-03-01	Amoco Norway Oil Company	25.000000	\N	1969-05-30	1999-12-23	21052	78	9999-12-31	2013-05-08
033	1989-03-01	1992-02-25	Amoco Norway Oil Company	25.000000	\N	1969-05-30	1999-12-23	21052	78	9999-12-31	2013-05-08
033	1992-02-25	1999-12-23	Amoco Norway Oil Company	25.000000	\N	1969-05-30	1999-12-23	21052	78	9999-12-31	2013-05-08
033	1992-02-25	1999-12-23	Elf Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	298	9999-12-31	2013-05-08
033	1999-12-23	2000-07-24	Elf Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	298	9999-12-31	2013-05-08
033	1989-03-01	1992-02-25	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21052	342	9999-12-31	2013-05-08
033	1992-02-25	1999-12-23	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21052	342	9999-12-31	2013-05-08
033	1999-12-23	2000-07-24	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21052	342	9999-12-31	2013-05-08
033	2000-07-24	2001-12-31	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21052	342	9999-12-31	2013-05-08
033	1969-05-30	1989-03-01	Norwegian Oil Consortium A/S & Co	25.000000	\N	9999-12-31	9999-12-31	21052	518	9999-12-31	2013-05-08
033	1989-03-01	1992-02-25	Norwegian Oil Consortium A/S & Co	25.000000	\N	9999-12-31	9999-12-31	21052	518	9999-12-31	2013-05-08
033	1969-05-30	1989-03-01	Texas Eastern Norwegian Inc.	25.000000	\N	9999-12-31	9999-12-31	21052	837	9999-12-31	2013-05-08
033	1999-12-23	2000-07-24	BP Amoco Norge AS	25.000000	\N	1999-12-23	2002-03-12	21052	982372	9999-12-31	2013-05-08
033	2000-07-24	2001-12-31	BP Amoco Norge AS	25.000000	\N	1999-12-23	2002-03-12	21052	982372	9999-12-31	2013-05-08
033	2001-12-31	2002-03-12	BP Amoco Norge AS	25.000000	\N	1999-12-23	2002-03-12	21052	982372	9999-12-31	2013-05-08
033	2000-07-24	2001-12-31	TotalFinaElf Exploration Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	1340884	9999-12-31	2013-05-08
033	2001-12-31	2002-03-12	TotalFinaElf Exploration Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	1340884	9999-12-31	2013-05-08
033	2002-03-12	2003-05-06	TotalFinaElf Exploration Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	1340884	9999-12-31	2013-05-08
033	2001-12-31	2002-03-12	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	1853786	9999-12-31	2013-05-08
033	2002-03-12	2003-05-06	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	1853786	9999-12-31	2013-05-08
033	2003-05-06	2006-06-26	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	1853786	9999-12-31	2013-05-08
033	2006-06-26	2010-01-01	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	1853786	9999-12-31	2013-05-08
033	2010-01-01	2010-01-02	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	1853786	9999-12-31	2013-05-08
033	2002-03-12	2003-05-06	BP Norge AS	25.000000	\N	2002-03-12	9999-12-31	21052	2052695	9999-12-31	2013-05-08
033	2003-05-06	2006-06-26	BP Norge AS	25.000000	\N	2002-03-12	9999-12-31	21052	2052695	9999-12-31	2013-05-08
033	2006-06-26	2010-01-01	BP Norge AS	25.000000	\N	2002-03-12	9999-12-31	21052	2052695	9999-12-31	2013-05-08
033	2010-01-01	2010-01-02	BP Norge AS	37.500000	\N	2002-03-12	9999-12-31	21052	2052695	9999-12-31	2013-05-08
033	2010-01-02	9999-12-31	BP Norge AS	37.500000	\N	2002-03-12	9999-12-31	21052	2052695	9999-12-31	2013-05-08
033	2003-05-06	2006-06-26	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	2410708	9999-12-31	2013-05-08
033	2006-06-26	2010-01-01	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	2410708	9999-12-31	2013-05-08
033	2006-06-26	2010-01-01	Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21052	4038735	9999-12-31	2013-05-08
033	2010-01-01	2010-01-02	Hess Norge AS	37.500000	\N	9999-12-31	9999-12-31	21052	4038735	9999-12-31	2013-05-08
033	2010-01-02	9999-12-31	Hess Norge AS	62.500000	\N	9999-12-31	9999-12-31	21052	4038735	9999-12-31	2013-05-08
034	1999-07-01	2000-07-24	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	298	9999-12-31	2013-05-08
034	1999-07-01	2000-07-24	Norsk Hydro Produksjon AS	30.000000	\N	1999-07-01	2007-01-01	21060	430	9999-12-31	2013-05-08
034	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	1999-07-01	2007-01-01	21060	430	9999-12-31	2013-05-08
034	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	30.000000	\N	1999-07-01	2007-01-01	21060	430	9999-12-31	2013-05-08
034	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	30.000000	\N	1999-07-01	2007-01-01	21060	430	9999-12-31	2013-05-08
034	2001-12-18	2002-03-19	Norsk Hydro Produksjon AS	30.000000	\N	1999-07-01	2007-01-01	21060	430	9999-12-31	2013-05-08
034	2002-03-19	2003-05-06	Norsk Hydro Produksjon AS	40.000000	\N	1999-07-01	2007-01-01	21060	430	9999-12-31	2013-05-08
034	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	40.000000	\N	1999-07-01	2007-01-01	21060	430	9999-12-31	2013-05-08
034	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	1999-07-01	2007-01-01	21060	430	9999-12-31	2013-05-08
034	1969-11-14	1999-07-01	A/S Norske Shell	100.000000	\N	1969-11-14	1999-07-01	21060	562	9999-12-31	2013-05-08
034	1999-07-01	2000-07-24	Den norske stats oljeselskap a.s	50.000000	50.000000	9999-12-31	9999-12-31	21060	749	9999-12-31	2013-05-08
034	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	50.000000	50.000000	9999-12-31	9999-12-31	21060	749	9999-12-31	2013-05-08
034	1999-07-01	2000-07-24	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	848	9999-12-31	2013-05-08
034	2000-07-24	2001-05-10	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	848	9999-12-31	2013-05-08
034	2001-05-10	2001-06-17	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	848	9999-12-31	2013-05-08
034	2001-06-17	2001-12-18	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	848	9999-12-31	2013-05-08
034	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	1340884	9999-12-31	2013-05-08
034	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	1340884	9999-12-31	2013-05-08
034	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	1340884	9999-12-31	2013-05-08
034	2001-12-18	2002-03-19	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	21060	1340884	9999-12-31	2013-05-08
034	2002-03-19	2003-05-06	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	21060	1340884	9999-12-31	2013-05-08
034	2004-01-01	2007-01-01	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	21060	1622484	9999-12-31	2013-05-08
034	2007-01-01	2007-10-01	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	21060	1622484	9999-12-31	2013-05-08
034	2001-05-10	2001-06-17	SDØE	50.000000	\N	9999-12-31	9999-12-31	21060	1623450	9999-12-31	2013-05-08
034	2001-06-17	2001-12-18	Petoro AS	50.000000	\N	9999-12-31	9999-12-31	21060	1626839	9999-12-31	2013-05-08
034	2001-12-18	2002-03-19	Petoro AS	50.000000	\N	9999-12-31	9999-12-31	21060	1626839	9999-12-31	2013-05-08
034	2002-03-19	2003-05-06	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	21060	1626839	9999-12-31	2013-05-08
034	2003-05-06	2004-01-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	21060	1626839	9999-12-31	2013-05-08
034	2004-01-01	2007-01-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	21060	1626839	9999-12-31	2013-05-08
034	2007-01-01	2007-10-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	21060	1626839	9999-12-31	2013-05-08
034	2007-10-01	2009-01-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	21060	1626839	9999-12-31	2013-05-08
034	2009-01-01	2009-11-02	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	21060	1626839	9999-12-31	2013-05-08
034	2009-11-02	9999-12-31	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	21060	1626839	9999-12-31	2013-05-08
034	2003-05-06	2004-01-01	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21060	2410708	9999-12-31	2013-05-08
034	2004-01-01	2007-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	2410708	9999-12-31	2013-05-08
034	2007-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	2410708	9999-12-31	2013-05-08
034	2007-10-01	2009-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	2410708	9999-12-31	2013-05-08
034	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	2410708	9999-12-31	2013-05-08
034	2009-11-02	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21060	2410708	9999-12-31	2013-05-08
034	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	21060	4511658	9999-12-31	2013-05-08
034	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	21060	4511658	9999-12-31	2013-05-08
034	2007-10-01	2009-01-01	StatoilHydro ASA	10.000000	\N	9999-12-31	9999-12-31	21060	4511854	9999-12-31	2013-05-08
034	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	21060	4524355	9999-12-31	2013-05-08
034	2009-11-02	9999-12-31	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	21060	17237817	9999-12-31	2013-05-08
035	2000-09-27	2001-12-31	Enterprise Oil Norwegian AS	50.000000	\N	9999-12-31	9999-12-31	21068	342	9999-12-31	2013-05-08
035	1999-01-01	2000-09-27	Norsk Hydro Produksjon AS	100.000000	\N	1999-01-01	2007-01-01	21068	430	9999-12-31	2013-05-08
035	2000-09-27	2001-12-31	Norsk Hydro Produksjon AS	50.000000	\N	1999-01-01	2007-01-01	21068	430	9999-12-31	2013-05-08
035	2001-12-31	2003-01-01	Norsk Hydro Produksjon AS	50.000000	\N	1999-01-01	2007-01-01	21068	430	9999-12-31	2013-05-08
035	2003-01-01	2004-01-01	Norsk Hydro Produksjon AS	50.000000	\N	1999-01-01	2007-01-01	21068	430	9999-12-31	2013-05-08
035	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	50.000000	\N	1999-01-01	2007-01-01	21068	430	9999-12-31	2013-05-08
035	1969-11-14	1999-01-01	A/S Norske Shell	100.000000	\N	1969-11-14	1998-12-31	21068	562	9999-12-31	2013-05-08
035	2003-01-01	2004-01-01	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	21068	738	9999-12-31	2013-05-08
035	2004-01-01	2007-01-01	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	21068	738	9999-12-31	2013-05-08
035	2007-01-01	2007-06-20	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	21068	738	9999-12-31	2013-05-08
035	2007-06-20	2007-10-01	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	21068	738	9999-12-31	2013-05-08
035	2007-10-01	2007-11-16	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	21068	738	9999-12-31	2013-05-08
035	2007-11-16	2008-01-01	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	21068	738	9999-12-31	2013-05-08
035	2008-01-01	2009-11-02	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	21068	738	9999-12-31	2013-05-08
035	2009-11-02	2009-12-22	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	21068	738	9999-12-31	2013-05-08
035	2009-12-22	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	21068	738	9999-12-31	2013-05-08
035	2004-01-01	2007-01-01	Det Norske Oljeselskap AS	25.000000	\N	9999-12-31	9999-12-31	21068	1340609	9999-12-31	2013-05-08
035	2007-01-01	2007-06-20	Det Norske Oljeselskap AS	25.000000	\N	9999-12-31	9999-12-31	21068	1340609	9999-12-31	2013-05-08
035	2001-12-31	2003-01-01	Enterprise Oil Norge AS	50.000000	\N	9999-12-31	9999-12-31	21068	1853786	9999-12-31	2013-05-08
035	2003-01-01	2004-01-01	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	21068	1853786	9999-12-31	2013-05-08
035	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	21068	4468177	9999-12-31	2013-05-08
035	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	21068	4468177	9999-12-31	2013-05-08
035	2007-10-01	2007-11-16	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	21068	4511658	9999-12-31	2013-05-08
035	2007-11-16	2008-01-01	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	21068	4511658	9999-12-31	2013-05-08
035	2008-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	21068	4511658	9999-12-31	2013-05-08
035	2007-01-01	2007-06-20	Norsk Hydro Petroleum AS	50.000000	\N	2007-01-01	2007-10-01	21068	4524355	9999-12-31	2013-05-08
035	2007-06-20	2007-10-01	Norsk Hydro Petroleum AS	50.000000	\N	2007-01-01	2007-10-01	21068	4524355	9999-12-31	2013-05-08
035	2007-11-16	2008-01-01	Noil Energy ASA	25.000000	\N	9999-12-31	9999-12-31	21068	4539976	9999-12-31	2013-05-08
035	2008-01-01	2009-11-02	Det norske oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	21068	4539989	9999-12-31	2013-05-08
035	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	21068	4539989	9999-12-31	2013-05-08
035	2009-11-02	2009-12-22	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	21068	17237817	9999-12-31	2013-05-08
035	2009-12-22	9999-12-31	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	21068	17237817	9999-12-31	2013-05-08
035	2009-12-22	9999-12-31	Det norske oljeselskap ASA	25.000000	\N	9999-12-31	9999-12-31	21068	17342870	9999-12-31	2013-05-08
036	1972-03-23	1977-07-01	Aquitaine Norge A/S	2.906000	\N	9999-12-31	9999-12-31	21076	111	9999-12-31	2013-05-08
036	1972-03-23	1977-07-01	Bow Valley Exploration Norge A/S	15.238000	\N	9999-12-31	9999-12-31	21076	144	9999-12-31	2013-05-08
036	1977-07-01	1978-01-01	Bow Valley Exploration Norge A/S	15.238000	\N	9999-12-31	9999-12-31	21076	144	9999-12-31	2013-05-08
036	1978-01-01	1980-01-01	Bow Valley Exploration Norge A/S	15.238000	\N	9999-12-31	9999-12-31	21076	144	9999-12-31	2013-05-08
036	1980-01-01	1987-03-26	Bow Valley Exploration Norge A/S	15.238000	\N	9999-12-31	9999-12-31	21076	144	9999-12-31	2013-05-08
036	1972-03-23	1977-07-01	Elf Norge A/S	5.814000	\N	9999-12-31	9999-12-31	21076	287	9999-12-31	2013-05-08
036	1978-01-01	1980-01-01	Elf Petroleum Norge AS	8.720000	\N	1972-03-23	1997-12-22	21076	298	9999-12-31	2013-05-08
036	1980-01-01	1987-03-26	Elf Petroleum Norge AS	11.083000	\N	1972-03-23	1997-12-22	21076	298	9999-12-31	2013-05-08
036	1987-03-26	1989-06-15	Elf Petroleum Norge AS	26.321000	\N	1972-03-23	1997-12-22	21076	298	9999-12-31	2013-05-08
036	1989-06-15	1996-01-01	Elf Petroleum Norge AS	33.702000	\N	1972-03-23	1997-12-22	21076	298	9999-12-31	2013-05-08
036	1996-01-01	1998-01-01	Elf Petroleum Norge AS	33.702000	\N	1972-03-23	1997-12-22	21076	298	9999-12-31	2013-05-08
036	1998-01-01	2000-07-24	Elf Petroleum Norge AS	18.702000	\N	9999-12-31	9999-12-31	21076	298	9999-12-31	2013-05-08
036	1977-07-01	1978-01-01	Elf Aquitaine Norge A/S	8.720000	\N	9999-12-31	9999-12-31	21076	331	9999-12-31	2013-05-08
036	1971-06-11	1972-03-23	K/S Femogtyvefire Norsk A/S	20.000000	\N	9999-12-31	9999-12-31	21076	375	9999-12-31	2013-05-08
036	1972-03-23	1977-07-01	K/S Femogtyvefire Norsk A/S	20.476000	\N	9999-12-31	9999-12-31	21076	375	9999-12-31	2013-05-08
036	1977-07-01	1978-01-01	K/S Femogtyvefire Norsk A/S	20.476000	\N	9999-12-31	9999-12-31	21076	375	9999-12-31	2013-05-08
036	1972-03-23	1977-07-01	Norsk Hydro Produksjon AS	6.920000	\N	9999-12-31	9999-12-31	21076	430	9999-12-31	2013-05-08
036	1977-07-01	1978-01-01	Norsk Hydro Produksjon AS	6.920000	\N	9999-12-31	9999-12-31	21076	430	9999-12-31	2013-05-08
036	1978-01-01	1980-01-01	Norsk Hydro Produksjon AS	6.920000	\N	9999-12-31	9999-12-31	21076	430	9999-12-31	2013-05-08
036	1980-01-01	1987-03-26	Norsk Hydro Produksjon AS	6.920000	\N	9999-12-31	9999-12-31	21076	430	9999-12-31	2013-05-08
036	1987-03-26	1989-06-15	Norsk Hydro Produksjon AS	6.920000	\N	9999-12-31	9999-12-31	21076	430	9999-12-31	2013-05-08
036	1989-06-15	1996-01-01	Norsk Hydro Produksjon AS	6.920000	\N	9999-12-31	9999-12-31	21076	430	9999-12-31	2013-05-08
036	1996-01-01	1998-01-01	Norsk Hydro Produksjon AS	6.920000	\N	1997-12-22	2007-01-01	21076	430	9999-12-31	2013-05-08
036	1998-01-01	2000-07-24	Norsk Hydro Produksjon AS	21.920000	\N	1997-12-22	2007-01-01	21076	430	9999-12-31	2013-05-08
036	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	21.920000	\N	1997-12-22	2007-01-01	21076	430	9999-12-31	2013-05-08
036	2001-01-11	2001-12-18	Norsk Hydro Produksjon AS	28.531000	\N	1997-12-22	2007-01-01	21076	430	9999-12-31	2013-05-08
036	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	28.531000	\N	1997-12-22	2007-01-01	21076	430	9999-12-31	2013-05-08
036	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	28.531000	\N	1997-12-22	2007-01-01	21076	430	9999-12-31	2013-05-08
036	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	28.853000	\N	1997-12-22	2007-01-01	21076	430	9999-12-31	2013-05-08
036	1980-01-01	1987-03-26	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	1987-03-26	1989-06-15	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	1989-06-15	1996-01-01	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	1996-01-01	1998-01-01	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	1998-01-01	2000-07-24	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	2000-07-24	2001-01-11	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	2001-01-11	2001-12-18	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	2001-12-18	2003-05-06	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	2003-05-06	2004-01-01	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	2004-01-01	2007-01-01	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	2007-01-01	2007-10-01	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	2007-10-01	2008-01-01	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	21076	463	9999-12-31	2013-05-08
036	1971-06-11	1972-03-23	Pan Ocean Oil Norge A/S	50.000000	\N	9999-12-31	9999-12-31	21076	595	9999-12-31	2013-05-08
036	1972-03-23	1977-07-01	Pan Ocean Oil Norge A/S	36.905000	\N	9999-12-31	9999-12-31	21076	595	9999-12-31	2013-05-08
036	1977-07-01	1978-01-01	Pan Ocean Oil Norge A/S	36.905000	\N	9999-12-31	9999-12-31	21076	595	9999-12-31	2013-05-08
036	1978-01-01	1980-01-01	Pan Ocean Oil Norge A/S	50.448000	\N	9999-12-31	9999-12-31	21076	595	9999-12-31	2013-05-08
036	1978-01-01	1980-01-01	Saga Petroleum ASA	6.611000	\N	9999-12-31	9999-12-31	21076	716	9999-12-31	2013-05-08
036	1980-01-01	1987-03-26	Saga Petroleum ASA	6.611000	\N	9999-12-31	9999-12-31	21076	716	9999-12-31	2013-05-08
036	1987-03-26	1989-06-15	Saga Petroleum ASA	6.611000	\N	9999-12-31	9999-12-31	21076	716	9999-12-31	2013-05-08
036	1989-06-15	1996-01-01	Saga Petroleum ASA	6.611000	\N	9999-12-31	9999-12-31	21076	716	9999-12-31	2013-05-08
036	1996-01-01	1998-01-01	Saga Petroleum ASA	6.611000	\N	9999-12-31	9999-12-31	21076	716	9999-12-31	2013-05-08
036	1998-01-01	2000-07-24	Saga Petroleum ASA	6.611000	\N	9999-12-31	9999-12-31	21076	716	9999-12-31	2013-05-08
036	2000-07-24	2001-01-11	Saga Petroleum ASA	6.611000	\N	9999-12-31	9999-12-31	21076	716	9999-12-31	2013-05-08
036	1971-06-11	1972-03-23	Sunningdale Oil Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21076	760	9999-12-31	2013-05-08
036	1972-03-23	1977-07-01	Sunningdale Oil Norge A/S	7.381000	\N	9999-12-31	9999-12-31	21076	760	9999-12-31	2013-05-08
036	1977-07-01	1978-01-01	Sunningdale Oil Norge A/S	7.381000	\N	9999-12-31	9999-12-31	21076	760	9999-12-31	2013-05-08
036	1978-01-01	1980-01-01	Sunningdale Oil Norge A/S	7.381000	\N	9999-12-31	9999-12-31	21076	760	9999-12-31	2013-05-08
036	1980-01-01	1987-03-26	Sunningdale Oil Norge A/S	7.381000	\N	9999-12-31	9999-12-31	21076	760	9999-12-31	2013-05-08
036	1987-03-26	1989-06-15	Sunningdale Oil Norge A/S	7.381000	\N	9999-12-31	9999-12-31	21076	760	9999-12-31	2013-05-08
036	1971-06-11	1972-03-23	Syracuse Oils Norge A/S	20.000000	\N	9999-12-31	9999-12-31	21076	782	9999-12-31	2013-05-08
036	1972-03-23	1977-07-01	Total Norge AS	4.360000	\N	9999-12-31	9999-12-31	21076	848	9999-12-31	2013-05-08
036	1977-07-01	1978-01-01	Total Norge AS	4.360000	\N	9999-12-31	9999-12-31	21076	848	9999-12-31	2013-05-08
036	1978-01-01	1980-01-01	Total Norge AS	4.360000	\N	9999-12-31	9999-12-31	21076	848	9999-12-31	2013-05-08
036	1980-01-01	1987-03-26	Total Norge AS	5.541000	\N	9999-12-31	9999-12-31	21076	848	9999-12-31	2013-05-08
036	1987-03-26	1989-06-15	Total Norge AS	5.541000	\N	9999-12-31	9999-12-31	21076	848	9999-12-31	2013-05-08
036	1989-06-15	1996-01-01	Total Norge AS	5.541000	\N	9999-12-31	9999-12-31	21076	848	9999-12-31	2013-05-08
036	1996-01-01	1998-01-01	Total Norge AS	5.541000	\N	9999-12-31	9999-12-31	21076	848	9999-12-31	2013-05-08
036	1998-01-01	2000-07-24	Total Norge AS	5.541000	\N	9999-12-31	9999-12-31	21076	848	9999-12-31	2013-05-08
036	2000-07-24	2001-01-11	Total Norge AS	5.541000	\N	9999-12-31	9999-12-31	21076	848	9999-12-31	2013-05-08
036	2001-01-11	2001-12-18	Total Norge AS	5.541000	\N	9999-12-31	9999-12-31	21076	848	9999-12-31	2013-05-08
036	1978-01-01	1980-01-01	Ugland Construction Company AS	0.322000	\N	9999-12-31	9999-12-31	21076	859	9999-12-31	2013-05-08
036	1980-01-01	1987-03-26	Ugland Construction Company AS	0.322000	\N	9999-12-31	9999-12-31	21076	859	9999-12-31	2013-05-08
036	1987-03-26	1989-06-15	Ugland Construction Company AS	0.322000	\N	9999-12-31	9999-12-31	21076	859	9999-12-31	2013-05-08
036	1989-06-15	1996-01-01	Ugland Construction Company AS	0.322000	\N	9999-12-31	9999-12-31	21076	859	9999-12-31	2013-05-08
036	1996-01-01	1998-01-01	AS Uglands Rederi	0.322000	\N	9999-12-31	9999-12-31	21076	40103	9999-12-31	2013-05-08
036	1998-01-01	2000-07-24	AS Uglands Rederi	0.322000	\N	9999-12-31	9999-12-31	21076	40103	9999-12-31	2013-05-08
036	2000-07-24	2001-01-11	AS Uglands Rederi	0.322000	\N	9999-12-31	9999-12-31	21076	40103	9999-12-31	2013-05-08
036	2001-01-11	2001-12-18	AS Uglands Rederi	0.322000	\N	9999-12-31	9999-12-31	21076	40103	9999-12-31	2013-05-08
036	2001-12-18	2003-05-06	AS Uglands Rederi	0.322000	\N	9999-12-31	9999-12-31	21076	40103	9999-12-31	2013-05-08
036	2003-05-06	2004-01-01	AS Uglands Rederi	0.322000	\N	9999-12-31	9999-12-31	21076	40103	9999-12-31	2013-05-08
036	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	18.702000	\N	9999-12-31	9999-12-31	21076	1340884	9999-12-31	2013-05-08
036	2001-01-11	2001-12-18	TotalFinaElf Exploration Norge AS	18.702000	\N	9999-12-31	9999-12-31	21076	1340884	9999-12-31	2013-05-08
036	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	24.243000	\N	9999-12-31	9999-12-31	21076	1340884	9999-12-31	2013-05-08
036	2003-05-06	2004-01-01	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	21076	2410708	9999-12-31	2013-05-08
036	2004-01-01	2007-01-01	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	21076	2410708	9999-12-31	2013-05-08
036	2007-01-01	2007-10-01	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	21076	2410708	9999-12-31	2013-05-08
036	2007-10-01	2008-01-01	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	21076	2410708	9999-12-31	2013-05-08
036	2008-01-01	2009-11-02	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	21076	2410708	9999-12-31	2013-05-08
036	2009-11-02	2012-04-30	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	21076	2410708	9999-12-31	2013-05-08
036	2012-04-30	9999-12-31	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	21076	2410708	9999-12-31	2013-05-08
036	2008-01-01	2009-11-02	Centrica Resources (Norge) AS	46.904000	\N	9999-12-31	9999-12-31	21076	4238233	9999-12-31	2013-05-08
036	2009-11-02	2012-04-30	Centrica Resources (Norge) AS	46.904000	\N	9999-12-31	9999-12-31	21076	4238233	9999-12-31	2013-05-08
036	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	75.757000	\N	2012-04-30	9999-12-31	21076	4238233	9999-12-31	2013-05-08
036	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	28.853000	\N	2007-10-01	2009-11-01	21076	4511658	9999-12-31	2013-05-08
036	2008-01-01	2009-11-02	StatoilHydro Petroleum AS	28.853000	\N	2007-10-01	2009-11-01	21076	4511658	9999-12-31	2013-05-08
036	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	28.853000	\N	2007-01-01	2007-10-01	21076	4524355	9999-12-31	2013-05-08
036	2009-11-02	2012-04-30	Statoil Petroleum AS	28.853000	\N	2009-11-02	2012-04-29	21076	17237817	9999-12-31	2013-05-08
037	1973-08-10	1985-01-01	Amerada Hess Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	67	9999-12-31	2013-05-08
037	1985-01-01	1989-04-14	Amerada Hess Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	67	9999-12-31	2013-05-08
037	1989-04-14	1994-10-05	Amerada Hess Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	67	9999-12-31	2013-05-08
037	1994-10-05	1997-07-01	Amerada Hess Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	67	9999-12-31	2013-05-08
037	1973-08-10	1985-01-01	Amoco Norway Oil Company	1.041670	\N	9999-12-31	9999-12-31	21084	78	9999-12-31	2013-05-08
037	1985-01-01	1989-04-14	Amoco Norway Oil Company	1.041670	\N	9999-12-31	9999-12-31	21084	78	9999-12-31	2013-05-08
037	1989-04-14	1994-10-05	Amoco Norway AS	1.041670	\N	9999-12-31	9999-12-31	21084	89	9999-12-31	2013-05-08
037	1973-08-10	1985-01-01	Conoco Norway Inc.	10.000000	\N	9999-12-31	9999-12-31	21084	210	9999-12-31	2013-05-08
037	1985-01-01	1989-04-14	Conoco Norway Inc.	10.000000	\N	9999-12-31	9999-12-31	21084	210	9999-12-31	2013-05-08
037	1989-04-14	1994-10-05	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	21084	221	9999-12-31	2013-05-08
037	1994-10-05	1997-07-01	Norske Conoco A/S	11.041670	\N	9999-12-31	9999-12-31	21084	221	9999-12-31	2013-05-08
037	1997-07-01	1999-12-11	Norske Conoco A/S	12.083330	\N	9999-12-31	9999-12-31	21084	221	9999-12-31	2013-05-08
037	1999-12-11	2001-05-10	Norske Conoco A/S	12.083330	\N	9999-12-31	9999-12-31	21084	221	9999-12-31	2013-05-08
037	2001-05-10	2001-06-17	Norske Conoco A/S	12.083330	\N	9999-12-31	9999-12-31	21084	221	9999-12-31	2013-05-08
037	2001-06-17	2001-12-31	Norske Conoco A/S	12.083330	\N	9999-12-31	9999-12-31	21084	221	9999-12-31	2013-05-08
037	2001-12-31	2002-01-01	Norske Conoco A/S	12.083330	\N	9999-12-31	9999-12-31	21084	221	9999-12-31	2013-05-08
037	2002-01-01	2003-03-22	Norske Conoco A/S	12.083330	\N	9999-12-31	9999-12-31	21084	221	9999-12-31	2013-05-08
037	1989-04-14	1994-10-05	Enterprise Oil Norwegian AS	1.041670	\N	9999-12-31	9999-12-31	21084	342	9999-12-31	2013-05-08
037	1994-10-05	1997-07-01	Enterprise Oil Norwegian AS	1.041670	\N	9999-12-31	9999-12-31	21084	342	9999-12-31	2013-05-08
037	1997-07-01	1999-12-11	Enterprise Oil Norwegian AS	1.041670	\N	9999-12-31	9999-12-31	21084	342	9999-12-31	2013-05-08
037	1999-12-11	2001-05-10	Enterprise Oil Norwegian AS	1.041670	\N	9999-12-31	9999-12-31	21084	342	9999-12-31	2013-05-08
037	2001-05-10	2001-06-17	Enterprise Oil Norwegian AS	1.041670	\N	9999-12-31	9999-12-31	21084	342	9999-12-31	2013-05-08
037	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	1.041670	\N	9999-12-31	9999-12-31	21084	342	9999-12-31	2013-05-08
037	1973-08-10	1985-01-01	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21084	353	9999-12-31	2013-05-08
037	1985-01-01	1989-04-14	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21084	353	9999-12-31	2013-05-08
037	1989-04-14	1994-10-05	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21084	353	9999-12-31	2013-05-08
037	1994-10-05	1997-07-01	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21084	353	9999-12-31	2013-05-08
037	1997-07-01	1999-12-11	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21084	353	9999-12-31	2013-05-08
037	1999-12-11	2001-05-10	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21084	353	9999-12-31	2013-05-08
037	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21084	353	9999-12-31	2013-05-08
037	2001-06-17	2001-12-31	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21084	353	9999-12-31	2013-05-08
037	2001-12-31	2002-01-01	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21084	353	9999-12-31	2013-05-08
037	2002-01-01	2003-03-22	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	21084	353	9999-12-31	2013-05-08
037	2003-03-22	2004-10-01	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	21084	353	9999-12-31	2013-05-08
037	1973-08-10	1985-01-01	Mobil Development Norway AS	15.000000	\N	1973-08-10	1987-01-01	21084	474	9999-12-31	2013-05-08
037	1985-01-01	1989-04-14	Mobil Development Norway AS	15.000000	\N	1973-08-10	1987-01-01	21084	474	9999-12-31	2013-05-08
037	1989-04-14	1994-10-05	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21084	474	9999-12-31	2013-05-08
037	1994-10-05	1997-07-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21084	474	9999-12-31	2013-05-08
037	1997-07-01	1999-12-11	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21084	474	9999-12-31	2013-05-08
037	1999-12-11	2001-05-10	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21084	474	9999-12-31	2013-05-08
037	2001-05-10	2001-06-17	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21084	474	9999-12-31	2013-05-08
037	2001-06-17	2001-12-31	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21084	474	9999-12-31	2013-05-08
037	2001-12-31	2002-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21084	474	9999-12-31	2013-05-08
037	1973-08-10	1985-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	1985-01-01	1989-04-14	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	1989-04-14	1994-10-05	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	1994-10-05	1997-07-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	1997-07-01	1999-12-11	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	1999-12-11	2001-05-10	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	2001-05-10	2001-06-17	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	2001-06-17	2001-12-31	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	2001-12-31	2002-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	2002-01-01	2003-03-22	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	2003-03-22	2004-10-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	2004-10-01	2007-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	2007-01-01	2007-10-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	2007-10-01	2009-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	2009-01-01	2009-11-02	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	2009-11-02	2010-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21084	562	9999-12-31	2013-05-08
037	1973-08-10	1985-01-01	Saga Petroleum ASA	1.875000	\N	9999-12-31	9999-12-31	21084	716	9999-12-31	2013-05-08
037	1985-01-01	1989-04-14	Saga Petroleum ASA	1.875000	\N	9999-12-31	9999-12-31	21084	716	9999-12-31	2013-05-08
037	1989-04-14	1994-10-05	Saga Petroleum ASA	1.875000	\N	9999-12-31	9999-12-31	21084	716	9999-12-31	2013-05-08
037	1994-10-05	1997-07-01	Saga Petroleum ASA	1.875000	\N	9999-12-31	9999-12-31	21084	716	9999-12-31	2013-05-08
037	1997-07-01	1999-12-11	Saga Petroleum ASA	1.875000	\N	9999-12-31	9999-12-31	21084	716	9999-12-31	2013-05-08
037	1973-08-10	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21084	749	9999-12-31	2013-05-08
037	1985-01-01	1989-04-14	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-01-01	2001-05-10	21084	749	9999-12-31	2013-05-08
037	1989-04-14	1994-10-05	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-01-01	2001-05-10	21084	749	9999-12-31	2013-05-08
037	1994-10-05	1997-07-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-01-01	2001-05-10	21084	749	9999-12-31	2013-05-08
037	1997-07-01	1999-12-11	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-01-01	2001-05-10	21084	749	9999-12-31	2013-05-08
037	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	51.875000	30.000000	1987-01-01	2001-05-10	21084	749	9999-12-31	2013-05-08
037	1973-08-10	1985-01-01	Texas Eastern Norwegian Inc.	1.041670	\N	9999-12-31	9999-12-31	21084	837	9999-12-31	2013-05-08
037	1985-01-01	1989-04-14	Texas Eastern Norwegian Inc.	1.041670	\N	9999-12-31	9999-12-31	21084	837	9999-12-31	2013-05-08
037	2001-05-10	2001-06-17	Statoil ASA (old)	21.875000	\N	2001-05-10	2007-10-01	21084	1622484	9999-12-31	2013-05-08
037	2001-06-17	2001-12-31	Statoil ASA (old)	21.875000	\N	2001-05-10	2007-10-01	21084	1622484	9999-12-31	2013-05-08
037	2001-12-31	2002-01-01	Statoil ASA (old)	21.875000	\N	2001-05-10	2007-10-01	21084	1622484	9999-12-31	2013-05-08
037	2002-01-01	2003-03-22	Statoil ASA (old)	21.875000	\N	2001-05-10	2007-10-01	21084	1622484	9999-12-31	2013-05-08
037	2003-03-22	2004-10-01	Statoil ASA (old)	21.875000	\N	2001-05-10	2007-10-01	21084	1622484	9999-12-31	2013-05-08
037	2004-10-01	2007-01-01	Statoil ASA (old)	21.875000	\N	2001-05-10	2007-10-01	21084	1622484	9999-12-31	2013-05-08
037	2007-01-01	2007-10-01	Statoil ASA (old)	21.875000	\N	2001-05-10	2007-10-01	21084	1622484	9999-12-31	2013-05-08
037	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21084	1623450	9999-12-31	2013-05-08
037	2001-06-17	2001-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21084	1626839	9999-12-31	2013-05-08
037	2001-12-31	2002-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21084	1626839	9999-12-31	2013-05-08
037	2002-01-01	2003-03-22	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21084	1626839	9999-12-31	2013-05-08
037	2003-03-22	2004-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21084	1626839	9999-12-31	2013-05-08
037	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21084	1626839	9999-12-31	2013-05-08
037	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21084	1626839	9999-12-31	2013-05-08
037	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21084	1626839	9999-12-31	2013-05-08
037	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21084	1626839	9999-12-31	2013-05-08
037	2009-11-02	2010-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21084	1626839	9999-12-31	2013-05-08
037	2010-01-01	2012-04-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21084	1626839	9999-12-31	2013-05-08
037	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21084	1626839	9999-12-31	2013-05-08
037	2001-12-31	2002-01-01	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	1853786	9999-12-31	2013-05-08
037	2002-01-01	2003-03-22	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	1853786	9999-12-31	2013-05-08
037	2003-03-22	2004-10-01	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	1853786	9999-12-31	2013-05-08
037	2004-10-01	2007-01-01	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	1853786	9999-12-31	2013-05-08
037	2007-01-01	2007-10-01	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	1853786	9999-12-31	2013-05-08
037	2007-10-01	2009-01-01	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	1853786	9999-12-31	2013-05-08
037	2009-01-01	2009-11-02	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	1853786	9999-12-31	2013-05-08
037	2009-11-02	2010-01-01	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	21084	1853786	9999-12-31	2013-05-08
037	2003-03-22	2004-10-01	Norske ConocoPhillips AS	12.083330	\N	9999-12-31	9999-12-31	21084	2399056	9999-12-31	2013-05-08
037	2004-10-01	2007-01-01	Norske ConocoPhillips AS	12.083330	\N	9999-12-31	9999-12-31	21084	2399056	9999-12-31	2013-05-08
037	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	12.083330	\N	9999-12-31	9999-12-31	21084	2410696	9999-12-31	2013-05-08
037	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	12.083330	\N	9999-12-31	9999-12-31	21084	2410696	9999-12-31	2013-05-08
037	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	12.083330	\N	9999-12-31	9999-12-31	21084	2410696	9999-12-31	2013-05-08
037	2009-11-02	2010-01-01	ConocoPhillips Skandinavia AS	12.083330	\N	9999-12-31	9999-12-31	21084	2410696	9999-12-31	2013-05-08
037	2010-01-01	2012-04-30	ConocoPhillips Skandinavia AS	12.083330	\N	9999-12-31	9999-12-31	21084	2410696	9999-12-31	2013-05-08
037	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	21084	2835212	9999-12-31	2013-05-08
037	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	21084	2835212	9999-12-31	2013-05-08
037	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	21084	2835212	9999-12-31	2013-05-08
037	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	21084	2835212	9999-12-31	2013-05-08
037	2009-11-02	2010-01-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	21084	2835212	9999-12-31	2013-05-08
037	2010-01-01	2012-04-30	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	21084	2835212	9999-12-31	2013-05-08
037	2012-04-30	9999-12-31	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	21084	2835212	9999-12-31	2013-05-08
037	2010-01-01	2012-04-30	Centrica Resources (Norge) AS	11.041670	\N	9999-12-31	9999-12-31	21084	4238233	9999-12-31	2013-05-08
037	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	23.125000	\N	9999-12-31	9999-12-31	21084	4238233	9999-12-31	2013-05-08
037	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	21.875000	\N	2009-01-01	2009-11-01	21084	4511658	9999-12-31	2013-05-08
037	2007-10-01	2009-01-01	StatoilHydro ASA	21.875000	\N	2007-10-01	2008-12-31	21084	4511854	9999-12-31	2013-05-08
037	2009-11-02	2010-01-01	Statoil Petroleum AS	21.875000	\N	2009-11-02	9999-12-31	21084	17237817	9999-12-31	2013-05-08
037	2010-01-01	2012-04-30	Statoil Petroleum AS	21.875000	\N	2009-11-02	9999-12-31	21084	17237817	9999-12-31	2013-05-08
037	2012-04-30	9999-12-31	Statoil Petroleum AS	21.875000	\N	2009-11-02	9999-12-31	21084	17237817	9999-12-31	2013-05-08
038	1975-04-01	1985-01-01	Esso Exploration and Production Norway A/S	50.000000	\N	9999-12-31	9999-12-31	21092	353	9999-12-31	2013-05-08
038	1985-01-01	1994-11-10	Esso Exploration and Production Norway A/S	50.000000	\N	9999-12-31	9999-12-31	21092	353	9999-12-31	2013-05-08
038	2000-10-20	2001-01-11	Norsk Hydro Produksjon AS	7.000000	\N	9999-12-31	9999-12-31	21092	430	9999-12-31	2013-05-08
038	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	42.000000	\N	2001-01-11	2002-03-13	21092	430	9999-12-31	2013-05-08
038	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	42.000000	\N	2001-01-11	2002-03-13	21092	430	9999-12-31	2013-05-08
038	2001-06-17	2002-03-13	Norsk Hydro Produksjon AS	42.000000	\N	2001-01-11	2002-03-13	21092	430	9999-12-31	2013-05-08
038	1994-11-10	1995-06-22	Saga Petroleum ASA	50.000000	\N	9999-12-31	9999-12-31	21092	716	9999-12-31	2013-05-08
038	1995-06-22	2000-10-20	Saga Petroleum ASA	35.000000	\N	1995-09-01	2001-01-11	21092	716	9999-12-31	2013-05-08
038	2000-10-20	2001-01-11	Saga Petroleum ASA	35.000000	\N	1995-09-01	2001-01-11	21092	716	9999-12-31	2013-05-08
038	1975-04-01	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1975-04-01	1995-09-01	21092	749	9999-12-31	2013-05-08
038	1985-01-01	1994-11-10	Den norske stats oljeselskap a.s	50.000000	30.000000	1975-04-01	1995-09-01	21092	749	9999-12-31	2013-05-08
038	1994-11-10	1995-06-22	Den norske stats oljeselskap a.s	50.000000	30.000000	1975-04-01	1995-09-01	21092	749	9999-12-31	2013-05-08
038	1995-06-22	2000-10-20	Den norske stats oljeselskap a.s	65.000000	30.000000	1975-04-01	1995-09-01	21092	749	9999-12-31	2013-05-08
038	2000-10-20	2001-01-11	Den norske stats oljeselskap a.s	58.000000	30.000000	9999-12-31	9999-12-31	21092	749	9999-12-31	2013-05-08
038	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	58.000000	30.000000	9999-12-31	9999-12-31	21092	749	9999-12-31	2013-05-08
038	2001-05-10	2001-06-17	Statoil ASA (old)	28.000000	\N	9999-12-31	9999-12-31	21092	1622484	9999-12-31	2013-05-08
038	2001-06-17	2002-03-13	Statoil ASA (old)	28.000000	\N	9999-12-31	9999-12-31	21092	1622484	9999-12-31	2013-05-08
038	2002-03-13	2002-04-19	Statoil ASA (old)	28.000000	\N	9999-12-31	9999-12-31	21092	1622484	9999-12-31	2013-05-08
038	2002-04-19	2002-05-02	Statoil ASA (old)	28.000000	\N	9999-12-31	9999-12-31	21092	1622484	9999-12-31	2013-05-08
038	2002-05-02	2002-06-04	Statoil ASA (old)	28.000000	\N	9999-12-31	9999-12-31	21092	1622484	9999-12-31	2013-05-08
038	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21092	1623450	9999-12-31	2013-05-08
038	2001-06-17	2002-03-13	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21092	1626839	9999-12-31	2013-05-08
038	2002-03-13	2002-04-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21092	1626839	9999-12-31	2013-05-08
038	2002-04-19	2002-05-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21092	1626839	9999-12-31	2013-05-08
038	2002-05-02	2002-06-04	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21092	1626839	9999-12-31	2013-05-08
038	2002-06-04	2005-03-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21092	1626839	9999-12-31	2013-05-08
038	2005-03-31	2005-04-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21092	1626839	9999-12-31	2013-05-08
038	2005-04-01	2005-04-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21092	1626839	9999-12-31	2013-05-08
038	2005-04-02	2006-03-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21092	1626839	9999-12-31	2013-05-08
038	2006-03-01	2007-11-16	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21092	1626839	9999-12-31	2013-05-08
038	2007-11-16	2009-12-22	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21092	1626839	9999-12-31	2013-05-08
038	2009-12-22	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21092	1626839	9999-12-31	2013-05-08
038	2002-03-13	2002-04-19	PGS Production AS	42.000000	\N	9999-12-31	9999-12-31	21092	2060190	9999-12-31	2013-05-08
038	2002-04-19	2002-05-02	PGS Petroleum AS	42.000000	\N	9999-12-31	9999-12-31	21092	2069526	9999-12-31	2013-05-08
038	2002-05-02	2002-06-04	Pertra AS (OLD)	42.000000	\N	9999-12-31	9999-12-31	21092	2069841	9999-12-31	2013-05-08
038	2002-06-04	2005-03-31	Pertra AS (OLD)	70.000000	\N	2002-08-01	2005-03-31	21092	2069841	9999-12-31	2013-05-08
038	2005-04-02	2006-03-01	Talisman Energy Norge AS	65.000000	\N	2005-04-29	9999-12-31	21092	2425093	9999-12-31	2013-05-08
038	2006-03-01	2007-11-16	Talisman Energy Norge AS	65.000000	\N	2005-04-29	9999-12-31	21092	2425093	9999-12-31	2013-05-08
038	2007-11-16	2009-12-22	Talisman Energy Norge AS	65.000000	\N	2005-04-29	9999-12-31	21092	2425093	9999-12-31	2013-05-08
038	2009-12-22	9999-12-31	Talisman Energy Norge AS	65.000000	\N	2005-04-29	9999-12-31	21092	2425093	9999-12-31	2013-05-08
038	2005-03-31	2005-04-01	Talisman Production Norge AS	70.000000	\N	2005-03-31	2005-04-29	21092	3420565	9999-12-31	2013-05-08
038	2005-04-01	2005-04-02	Talisman Production Norge AS	65.000000	\N	2005-03-31	2005-04-29	21092	3420565	9999-12-31	2013-05-08
038	2005-04-01	2005-04-02	Pertra AS	5.000000	\N	9999-12-31	9999-12-31	21092	3425724	9999-12-31	2013-05-08
038	2005-04-02	2006-03-01	Pertra AS	5.000000	\N	9999-12-31	9999-12-31	21092	3425724	9999-12-31	2013-05-08
038	2006-03-01	2007-11-16	Pertra ASA	5.000000	\N	9999-12-31	9999-12-31	21092	3964368	9999-12-31	2013-05-08
038	2007-11-16	2009-12-22	Det norske oljeselskap ASA (old)	5.000000	\N	9999-12-31	9999-12-31	21092	4539989	9999-12-31	2013-05-08
038	2009-12-22	9999-12-31	Det norske oljeselskap ASA	5.000000	\N	9999-12-31	9999-12-31	21092	17342870	9999-12-31	2013-05-08
039	1975-04-01	1983-04-01	Norske Conoco A/S	23.333000	\N	1975-04-01	1983-04-01	21100	221	9999-12-31	2013-05-08
039	1975-04-01	1983-04-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21100	430	9999-12-31	2013-05-08
039	1975-04-01	1983-04-01	Lasmo Norge A/S	16.667000	\N	9999-12-31	9999-12-31	21100	452	9999-12-31	2013-05-08
039	1975-04-01	1983-04-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21100	749	9999-12-31	2013-05-08
040	1975-04-01	1977-07-01	Aquitaine Norge A/S	9.600000	\N	9999-12-31	9999-12-31	21108	111	9999-12-31	2013-05-08
040	1975-04-01	1977-07-01	Elf Norge A/S	19.200000	\N	9999-12-31	9999-12-31	21108	287	9999-12-31	2013-05-08
040	1977-07-01	1985-01-01	Elf Petroleum Norge AS	28.800000	\N	9999-12-31	9999-12-31	21108	298	9999-12-31	2013-05-08
040	1985-01-01	1998-01-01	Elf Petroleum Norge AS	28.800000	\N	9999-12-31	9999-12-31	21108	298	9999-12-31	2013-05-08
040	1975-04-01	1977-07-01	Norsk Hydro Produksjon AS	6.800000	\N	1975-04-01	2000-12-31	21108	430	9999-12-31	2013-05-08
040	1977-07-01	1985-01-01	Norsk Hydro Produksjon AS	6.800000	\N	1975-04-01	2000-12-31	21108	430	9999-12-31	2013-05-08
040	1985-01-01	1998-01-01	Norsk Hydro Produksjon AS	6.800000	\N	1975-04-01	2000-12-31	21108	430	9999-12-31	2013-05-08
040	1998-01-01	2001-01-01	Norsk Hydro Produksjon AS	6.800000	\N	1975-04-01	2000-12-31	21108	430	9999-12-31	2013-05-08
040	1975-04-01	1977-07-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21108	749	9999-12-31	2013-05-08
040	1977-07-01	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21108	749	9999-12-31	2013-05-08
040	1985-01-01	1998-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21108	749	9999-12-31	2013-05-08
040	1998-01-01	2001-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21108	749	9999-12-31	2013-05-08
040	2001-01-01	2001-05-10	Den norske stats oljeselskap a.s	53.600000	30.000000	9999-12-31	9999-12-31	21108	749	9999-12-31	2013-05-08
040	1975-04-01	1977-07-01	Total Norge AS	14.400000	\N	9999-12-31	9999-12-31	21108	848	9999-12-31	2013-05-08
040	1977-07-01	1985-01-01	Total Norge AS	14.400000	\N	9999-12-31	9999-12-31	21108	848	9999-12-31	2013-05-08
040	1985-01-01	1998-01-01	Total Norge AS	14.400000	\N	9999-12-31	9999-12-31	21108	848	9999-12-31	2013-05-08
040	1998-01-01	2001-01-01	Total Norge AS	43.200000	\N	9999-12-31	9999-12-31	21108	848	9999-12-31	2013-05-08
040	2001-01-01	2001-05-10	Total Norge AS	43.200000	\N	9999-12-31	9999-12-31	21108	848	9999-12-31	2013-05-08
040	2001-05-10	2001-06-17	Total Norge AS	43.200000	\N	9999-12-31	9999-12-31	21108	848	9999-12-31	2013-05-08
040	2001-06-17	2001-12-18	Total Norge AS	43.200000	\N	9999-12-31	9999-12-31	21108	848	9999-12-31	2013-05-08
040	2001-01-01	2001-05-10	TotalFinaElf Exploration Norge AS	3.200000	\N	2001-01-01	2003-05-06	21108	1340884	9999-12-31	2013-05-08
040	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	3.200000	\N	2001-01-01	2003-05-06	21108	1340884	9999-12-31	2013-05-08
040	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	3.200000	\N	2001-01-01	2003-05-06	21108	1340884	9999-12-31	2013-05-08
040	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	46.400000	\N	2001-01-01	2003-05-06	21108	1340884	9999-12-31	2013-05-08
040	2001-05-10	2001-06-17	Statoil ASA (old)	23.600000	\N	9999-12-31	9999-12-31	21108	1622484	9999-12-31	2013-05-08
040	2001-06-17	2001-12-18	Statoil ASA (old)	23.600000	\N	9999-12-31	9999-12-31	21108	1622484	9999-12-31	2013-05-08
040	2001-12-18	2003-05-06	Statoil ASA (old)	23.600000	\N	9999-12-31	9999-12-31	21108	1622484	9999-12-31	2013-05-08
040	2003-05-06	2005-01-01	Statoil ASA (old)	23.600000	\N	9999-12-31	9999-12-31	21108	1622484	9999-12-31	2013-05-08
040	2005-01-01	2007-10-01	Statoil ASA (old)	21.000000	\N	9999-12-31	9999-12-31	21108	1622484	9999-12-31	2013-05-08
040	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21108	1623450	9999-12-31	2013-05-08
040	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21108	1626839	9999-12-31	2013-05-08
040	2001-12-18	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21108	1626839	9999-12-31	2013-05-08
040	2003-05-06	2005-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21108	1626839	9999-12-31	2013-05-08
040	2005-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21108	1626839	9999-12-31	2013-05-08
040	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21108	1626839	9999-12-31	2013-05-08
040	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21108	1626839	9999-12-31	2013-05-08
040	2009-11-02	2012-01-13	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21108	1626839	9999-12-31	2013-05-08
040	2012-01-13	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21108	1626839	9999-12-31	2013-05-08
040	2003-05-06	2005-01-01	Total E&P Norge AS	46.400000	\N	2003-05-06	9999-12-31	21108	2410708	9999-12-31	2013-05-08
040	2005-01-01	2007-10-01	Total E&P Norge AS	49.000000	\N	2003-05-06	9999-12-31	21108	2410708	9999-12-31	2013-05-08
040	2007-10-01	2009-01-01	Total E&P Norge AS	49.000000	\N	2003-05-06	9999-12-31	21108	2410708	9999-12-31	2013-05-08
040	2009-01-01	2009-11-02	Total E&P Norge AS	49.000000	\N	2003-05-06	9999-12-31	21108	2410708	9999-12-31	2013-05-08
040	2009-11-02	2012-01-13	Total E&P Norge AS	49.000000	\N	2003-05-06	9999-12-31	21108	2410708	9999-12-31	2013-05-08
040	2012-01-13	9999-12-31	Total E&P Norge AS	51.000000	\N	2003-05-06	9999-12-31	21108	2410708	9999-12-31	2013-05-08
040	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	21.000000	\N	9999-12-31	9999-12-31	21108	4511658	9999-12-31	2013-05-08
040	2007-10-01	2009-01-01	StatoilHydro ASA	21.000000	\N	9999-12-31	9999-12-31	21108	4511854	9999-12-31	2013-05-08
040	2009-11-02	2012-01-13	Statoil Petroleum AS	21.000000	\N	9999-12-31	9999-12-31	21108	17237817	9999-12-31	2013-05-08
040	2012-01-13	9999-12-31	Statoil Petroleum AS	19.000000	\N	9999-12-31	9999-12-31	21108	17237817	9999-12-31	2013-05-08
041	1975-06-01	1985-01-01	BP Petroleum Dev. of Norway AS	35.000000	\N	9999-12-31	9999-12-31	21116	155	9999-12-31	2013-05-08
041	1985-01-01	1989-01-01	BP Petroleum Dev. of Norway AS	35.000000	\N	9999-12-31	9999-12-31	21116	155	9999-12-31	2013-05-08
041	1975-06-01	1985-01-01	Saga Petroleum ASA	15.000000	\N	1975-06-01	1989-01-01	21116	716	9999-12-31	2013-05-08
041	1985-01-01	1989-01-01	Saga Petroleum ASA	15.000000	\N	1975-06-01	1989-01-01	21116	716	9999-12-31	2013-05-08
041	1975-06-01	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21116	749	9999-12-31	2013-05-08
041	1985-01-01	1989-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21116	749	9999-12-31	2013-05-08
042	1975-04-01	1980-04-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21124	67	9999-12-31	2013-05-08
042	1975-04-01	1980-04-01	Amoco Norway AS	10.000000	\N	1975-04-01	1980-04-01	21124	89	9999-12-31	2013-05-08
042	1975-04-01	1980-04-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21124	474	9999-12-31	2013-05-08
042	1975-04-01	1980-04-01	Den norske stats oljeselskap a.s	55.000000	\N	9999-12-31	9999-12-31	21124	749	9999-12-31	2013-05-08
042	1975-04-01	1980-04-01	Texas Eastern Norwegian Inc.	10.000000	\N	9999-12-31	9999-12-31	21124	837	9999-12-31	2013-05-08
043	1976-08-06	1985-01-01	BP Petroleum Dev. of Norway AS	50.000000	\N	1976-08-06	1990-10-16	21132	155	9999-12-31	2013-05-08
043	1985-01-01	1990-10-16	BP Petroleum Dev. of Norway AS	50.000000	\N	1976-08-06	1990-10-16	21132	155	9999-12-31	2013-05-08
043	1976-08-06	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21132	749	9999-12-31	2013-05-08
043	1985-01-01	1990-10-16	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21132	749	9999-12-31	2013-05-08
043	1990-10-16	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21132	749	9999-12-31	2013-05-08
043	1990-10-16	2001-05-10	Total Norge AS	50.000000	\N	1990-10-16	2001-12-18	21132	848	9999-12-31	2013-05-08
043	2001-05-10	2001-06-17	Total Norge AS	50.000000	\N	1990-10-16	2001-12-18	21132	848	9999-12-31	2013-05-08
043	2001-06-17	2001-12-18	Total Norge AS	50.000000	\N	1990-10-16	2001-12-18	21132	848	9999-12-31	2013-05-08
043	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	50.000000	\N	2001-12-18	2003-05-06	21132	1340884	9999-12-31	2013-05-08
043	2001-05-10	2001-06-17	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21132	1622484	9999-12-31	2013-05-08
043	2001-06-17	2001-12-18	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21132	1622484	9999-12-31	2013-05-08
043	2001-12-18	2003-05-06	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21132	1622484	9999-12-31	2013-05-08
043	2003-05-06	2005-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21132	1622484	9999-12-31	2013-05-08
043	2005-01-01	2007-10-01	Statoil ASA (old)	21.000000	\N	9999-12-31	9999-12-31	21132	1622484	9999-12-31	2013-05-08
043	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21132	1623450	9999-12-31	2013-05-08
043	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21132	1626839	9999-12-31	2013-05-08
043	2001-12-18	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21132	1626839	9999-12-31	2013-05-08
043	2003-05-06	2005-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21132	1626839	9999-12-31	2013-05-08
043	2005-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21132	1626839	9999-12-31	2013-05-08
043	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21132	1626839	9999-12-31	2013-05-08
043	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21132	1626839	9999-12-31	2013-05-08
043	2009-11-02	2012-01-13	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21132	1626839	9999-12-31	2013-05-08
043	2012-01-13	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21132	1626839	9999-12-31	2013-05-08
043	2003-05-06	2005-01-01	Total E&P Norge AS	50.000000	\N	2003-05-06	9999-12-31	21132	2410708	9999-12-31	2013-05-08
043	2005-01-01	2007-10-01	Total E&P Norge AS	49.000000	\N	2003-05-06	9999-12-31	21132	2410708	9999-12-31	2013-05-08
043	2007-10-01	2009-01-01	Total E&P Norge AS	49.000000	\N	2003-05-06	9999-12-31	21132	2410708	9999-12-31	2013-05-08
043	2009-01-01	2009-11-02	Total E&P Norge AS	49.000000	\N	2003-05-06	9999-12-31	21132	2410708	9999-12-31	2013-05-08
043	2009-11-02	2012-01-13	Total E&P Norge AS	49.000000	\N	2003-05-06	9999-12-31	21132	2410708	9999-12-31	2013-05-08
043	2012-01-13	9999-12-31	Total E&P Norge AS	51.000000	\N	2003-05-06	9999-12-31	21132	2410708	9999-12-31	2013-05-08
043	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	21.000000	\N	9999-12-31	9999-12-31	21132	4511658	9999-12-31	2013-05-08
043	2007-10-01	2009-01-01	StatoilHydro ASA	21.000000	\N	9999-12-31	9999-12-31	21132	4511854	9999-12-31	2013-05-08
043	2009-11-02	2012-01-13	Statoil Petroleum AS	21.000000	\N	9999-12-31	9999-12-31	21132	17237817	9999-12-31	2013-05-08
043	2012-01-13	9999-12-31	Statoil Petroleum AS	19.000000	\N	9999-12-31	9999-12-31	21132	17237817	9999-12-31	2013-05-08
044	1976-08-27	1985-01-01	Norsk Agip  AS	9.130000	\N	9999-12-31	9999-12-31	21140	45	9999-12-31	2013-05-08
044	1985-01-01	1996-12-03	Norsk Agip  AS	9.130000	\N	9999-12-31	9999-12-31	21140	45	9999-12-31	2013-05-08
044	1996-12-03	2000-12-20	Norsk Agip  AS	13.120000	\N	9999-12-31	9999-12-31	21140	45	9999-12-31	2013-05-08
044	2000-12-20	2001-01-22	Norsk Agip  AS	13.120000	\N	9999-12-31	9999-12-31	21140	45	9999-12-31	2013-05-08
044	2001-01-22	2001-05-10	Norsk Agip  AS	13.120000	\N	9999-12-31	9999-12-31	21140	45	9999-12-31	2013-05-08
044	2001-05-10	2001-06-01	Norsk Agip  AS	13.120000	\N	9999-12-31	9999-12-31	21140	45	9999-12-31	2013-05-08
044	2001-06-01	2001-12-18	Norsk Agip  AS	13.120000	\N	9999-12-31	9999-12-31	21140	45	9999-12-31	2013-05-08
044	2001-12-18	2003-05-06	Norsk Agip  AS	13.120000	\N	9999-12-31	9999-12-31	21140	45	9999-12-31	2013-05-08
044	2003-05-06	2003-12-31	Norsk Agip  AS	13.120000	\N	9999-12-31	9999-12-31	21140	45	9999-12-31	2013-05-08
044	1976-08-27	1985-01-01	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	21140	386	9999-12-31	2013-05-08
044	1985-01-01	1996-12-03	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	21140	386	9999-12-31	2013-05-08
044	1996-12-03	2000-12-20	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	21140	386	9999-12-31	2013-05-08
044	1976-08-27	1985-01-01	Phillips Petroleum Norsk AS	25.870000	\N	9999-12-31	9999-12-31	21140	705	9999-12-31	2013-05-08
044	1985-01-01	1996-12-03	Phillips Petroleum Norsk AS	25.870000	\N	9999-12-31	9999-12-31	21140	705	9999-12-31	2013-05-08
044	2001-01-22	2001-05-10	Phillips Petroleum Norsk AS	41.880000	\N	2001-01-22	2003-05-06	21140	705	9999-12-31	2013-05-08
044	2001-05-10	2001-06-01	Phillips Petroleum Norsk AS	41.880000	\N	2001-01-22	2003-05-06	21140	705	9999-12-31	2013-05-08
044	2001-06-01	2001-12-18	Phillips Petroleum Norsk AS	41.880000	\N	2001-01-22	2003-05-06	21140	705	9999-12-31	2013-05-08
044	2001-12-18	2003-05-06	Phillips Petroleum Norsk AS	41.880000	\N	2001-01-22	2003-05-06	21140	705	9999-12-31	2013-05-08
044	1976-08-27	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1976-08-27	2001-01-22	21140	749	9999-12-31	2013-05-08
044	1985-01-01	1996-12-03	Den norske stats oljeselskap a.s	50.000000	30.000000	1976-08-27	2001-01-22	21140	749	9999-12-31	2013-05-08
044	1996-12-03	2000-12-20	Den norske stats oljeselskap a.s	71.880000	30.000000	1976-08-27	2001-01-22	21140	749	9999-12-31	2013-05-08
044	2000-12-20	2001-01-22	Den norske stats oljeselskap a.s	71.880000	30.000000	1976-08-27	2001-01-22	21140	749	9999-12-31	2013-05-08
044	2001-01-22	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	21140	749	9999-12-31	2013-05-08
044	2000-12-20	2001-01-22	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21140	848	9999-12-31	2013-05-08
044	2001-01-22	2001-05-10	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21140	848	9999-12-31	2013-05-08
044	2001-05-10	2001-06-01	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21140	848	9999-12-31	2013-05-08
044	2001-06-01	2001-12-18	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21140	848	9999-12-31	2013-05-08
044	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	21140	1340884	9999-12-31	2013-05-08
044	2001-06-01	2001-12-18	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21140	1622484	9999-12-31	2013-05-08
044	2001-12-18	2003-05-06	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21140	1622484	9999-12-31	2013-05-08
044	2003-05-06	2003-12-31	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21140	1622484	9999-12-31	2013-05-08
044	2003-12-31	2007-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21140	1622484	9999-12-31	2013-05-08
044	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21140	1623450	9999-12-31	2013-05-08
044	2003-12-31	2007-10-01	Eni Norge AS	13.120000	\N	9999-12-31	9999-12-31	21140	2388594	9999-12-31	2013-05-08
044	2007-10-01	2009-01-01	Eni Norge AS	13.120000	\N	9999-12-31	9999-12-31	21140	2388594	9999-12-31	2013-05-08
044	2009-01-01	2009-11-02	Eni Norge AS	13.120000	\N	9999-12-31	9999-12-31	21140	2388594	9999-12-31	2013-05-08
044	2009-11-02	9999-12-31	Eni Norge AS	13.120000	\N	9999-12-31	9999-12-31	21140	2388594	9999-12-31	2013-05-08
044	2003-05-06	2003-12-31	ConocoPhillips Skandinavia AS	41.880000	\N	2003-05-06	9999-12-31	21140	2410696	9999-12-31	2013-05-08
044	2003-12-31	2007-10-01	ConocoPhillips Skandinavia AS	41.880000	\N	2003-05-06	9999-12-31	21140	2410696	9999-12-31	2013-05-08
044	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	41.880000	\N	2003-05-06	9999-12-31	21140	2410696	9999-12-31	2013-05-08
044	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	41.880000	\N	2003-05-06	9999-12-31	21140	2410696	9999-12-31	2013-05-08
044	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	41.880000	\N	2003-05-06	9999-12-31	21140	2410696	9999-12-31	2013-05-08
044	2003-05-06	2003-12-31	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	21140	2410708	9999-12-31	2013-05-08
044	2003-12-31	2007-10-01	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	21140	2410708	9999-12-31	2013-05-08
044	2007-10-01	2009-01-01	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	21140	2410708	9999-12-31	2013-05-08
044	2009-01-01	2009-11-02	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	21140	2410708	9999-12-31	2013-05-08
044	2009-11-02	9999-12-31	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	21140	2410708	9999-12-31	2013-05-08
044	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	21140	4511658	9999-12-31	2013-05-08
044	2007-10-01	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	21140	4511854	9999-12-31	2013-05-08
044	2009-11-02	9999-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	21140	17237817	9999-12-31	2013-05-08
045	1976-12-03	1982-12-02	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21148	430	9999-12-31	2013-05-08
045	1976-12-03	1982-12-02	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21148	716	9999-12-31	2013-05-08
045	1976-12-03	1982-12-02	Den norske stats oljeselskap a.s	50.000000	\N	1976-12-03	1982-12-02	21148	749	9999-12-31	2013-05-08
045	1976-12-03	1982-12-02	Texaco Exploration Norway AS	35.000000	\N	9999-12-31	9999-12-31	21148	804	9999-12-31	2013-05-08
046	1988-01-01	1993-01-15	Elf Petroleum Norge AS	9.000000	\N	9999-12-31	9999-12-31	21156	298	9999-12-31	2013-05-08
046	1993-01-15	1998-01-01	Elf Petroleum Norge AS	9.000000	\N	9999-12-31	9999-12-31	21156	298	9999-12-31	2013-05-08
046	1998-01-01	2000-07-24	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21156	298	9999-12-31	2013-05-08
046	1987-01-01	1988-01-01	Elf Aquitaine Norge A/S	9.000000	\N	9999-12-31	9999-12-31	21156	331	9999-12-31	2013-05-08
046	1976-12-03	1985-01-01	Esso Exploration and Production Norway A/S	40.000000	\N	9999-12-31	9999-12-31	21156	353	9999-12-31	2013-05-08
046	1985-01-01	1987-01-01	Esso Exploration and Production Norway A/S	40.000000	\N	9999-12-31	9999-12-31	21156	353	9999-12-31	2013-05-08
046	1987-01-01	1988-01-01	Esso Exploration and Production Norway A/S	40.000000	\N	9999-12-31	9999-12-31	21156	353	9999-12-31	2013-05-08
046	1988-01-01	1993-01-15	Esso Exploration and Production Norway A/S	30.400000	\N	9999-12-31	9999-12-31	21156	353	9999-12-31	2013-05-08
046	1993-01-15	1998-01-01	Esso Exploration and Production Norway A/S	28.000000	\N	9999-12-31	9999-12-31	21156	353	9999-12-31	2013-05-08
046	1998-01-01	2000-07-24	Esso Exploration and Production Norway A/S	28.000000	\N	9999-12-31	9999-12-31	21156	353	9999-12-31	2013-05-08
046	2000-07-24	2001-05-10	Esso Exploration and Production Norway A/S	28.000000	\N	9999-12-31	9999-12-31	21156	353	9999-12-31	2013-05-08
046	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	28.000000	\N	9999-12-31	9999-12-31	21156	353	9999-12-31	2013-05-08
046	2001-06-01	2003-05-06	Esso Exploration and Production Norway A/S	28.000000	\N	9999-12-31	9999-12-31	21156	353	9999-12-31	2013-05-08
046	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	28.000000	\N	9999-12-31	9999-12-31	21156	353	9999-12-31	2013-05-08
046	1976-12-03	1985-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21156	430	9999-12-31	2013-05-08
046	1985-01-01	1987-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21156	430	9999-12-31	2013-05-08
046	1987-01-01	1988-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21156	430	9999-12-31	2013-05-08
046	1988-01-01	1993-01-15	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21156	430	9999-12-31	2013-05-08
046	1993-01-15	1998-01-01	Norsk Hydro Produksjon AS	9.400000	\N	9999-12-31	9999-12-31	21156	430	9999-12-31	2013-05-08
046	1998-01-01	2000-07-24	Norsk Hydro Produksjon AS	9.400000	\N	9999-12-31	9999-12-31	21156	430	9999-12-31	2013-05-08
046	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	9.400000	\N	9999-12-31	9999-12-31	21156	430	9999-12-31	2013-05-08
046	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.400000	\N	9999-12-31	9999-12-31	21156	430	9999-12-31	2013-05-08
046	2001-06-01	2003-05-06	Norsk Hydro Produksjon AS	9.400000	\N	9999-12-31	9999-12-31	21156	430	9999-12-31	2013-05-08
046	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	9.400000	\N	9999-12-31	9999-12-31	21156	430	9999-12-31	2013-05-08
046	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	9.400000	\N	9999-12-31	9999-12-31	21156	430	9999-12-31	2013-05-08
046	1976-12-03	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1976-12-03	2001-05-10	21156	749	9999-12-31	2013-05-08
046	1985-01-01	1987-01-01	Den norske stats oljeselskap a.s	50.000000	20.000000	1976-12-03	2001-05-10	21156	749	9999-12-31	2013-05-08
046	1987-01-01	1988-01-01	Den norske stats oljeselskap a.s	40.000000	29.600000	1976-12-03	2001-05-10	21156	749	9999-12-31	2013-05-08
046	1988-01-01	1993-01-15	Den norske stats oljeselskap a.s	49.600000	29.600000	1976-12-03	2001-05-10	21156	749	9999-12-31	2013-05-08
046	1993-01-15	1998-01-01	Den norske stats oljeselskap a.s	52.600000	34.400000	1976-12-03	2001-05-10	21156	749	9999-12-31	2013-05-08
046	1998-01-01	2000-07-24	Den norske stats oljeselskap a.s	52.600000	34.400000	1976-12-03	2001-05-10	21156	749	9999-12-31	2013-05-08
046	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	52.600000	34.400000	1976-12-03	2001-05-10	21156	749	9999-12-31	2013-05-08
046	1987-01-01	1988-01-01	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21156	848	9999-12-31	2013-05-08
046	1988-01-01	1993-01-15	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21156	848	9999-12-31	2013-05-08
046	1993-01-15	1998-01-01	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21156	848	9999-12-31	2013-05-08
046	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21156	1340884	9999-12-31	2013-05-08
046	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21156	1340884	9999-12-31	2013-05-08
046	2001-06-01	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21156	1340884	9999-12-31	2013-05-08
046	2001-05-10	2001-06-01	Statoil ASA (old)	18.200000	\N	2001-05-10	2007-10-01	21156	1622484	9999-12-31	2013-05-08
046	2001-06-01	2003-05-06	Statoil ASA (old)	52.600000	\N	2001-05-10	2007-10-01	21156	1622484	9999-12-31	2013-05-08
046	2003-05-06	2004-10-01	Statoil ASA (old)	52.600000	\N	2001-05-10	2007-10-01	21156	1622484	9999-12-31	2013-05-08
046	2004-10-01	2007-01-01	Statoil ASA (old)	52.600000	\N	2001-05-10	2007-10-01	21156	1622484	9999-12-31	2013-05-08
046	2007-01-01	2007-10-01	Statoil ASA (old)	52.600000	\N	2001-05-10	2007-10-01	21156	1622484	9999-12-31	2013-05-08
046	2001-05-10	2001-06-01	SDØE	34.400000	\N	9999-12-31	9999-12-31	21156	1623450	9999-12-31	2013-05-08
046	2003-05-06	2004-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21156	2410708	9999-12-31	2013-05-08
046	2004-10-01	2007-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21156	2410708	9999-12-31	2013-05-08
046	2007-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21156	2410708	9999-12-31	2013-05-08
046	2007-10-01	2009-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21156	2410708	9999-12-31	2013-05-08
046	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21156	2410708	9999-12-31	2013-05-08
046	2009-11-02	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21156	2410708	9999-12-31	2013-05-08
046	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	21156	2835212	9999-12-31	2013-05-08
046	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	21156	2835212	9999-12-31	2013-05-08
046	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	21156	2835212	9999-12-31	2013-05-08
046	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	21156	2835212	9999-12-31	2013-05-08
046	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	21156	2835212	9999-12-31	2013-05-08
046	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.400000	\N	9999-12-31	9999-12-31	21156	4511658	9999-12-31	2013-05-08
046	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	62.000000	\N	2009-01-01	2009-11-01	21156	4511658	9999-12-31	2013-05-08
046	2007-10-01	2009-01-01	StatoilHydro ASA	52.600000	\N	2007-10-01	2008-12-31	21156	4511854	9999-12-31	2013-05-08
046	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.400000	\N	9999-12-31	9999-12-31	21156	4524355	9999-12-31	2013-05-08
046	2009-11-02	9999-12-31	Statoil Petroleum AS	62.000000	\N	2009-11-02	9999-12-31	21156	17237817	9999-12-31	2013-05-08
047	1977-01-07	1985-01-01	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21164	254	9999-12-31	2013-05-08
047	1985-01-01	1993-12-31	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21164	254	9999-12-31	2013-05-08
047	1977-01-07	1985-01-01	Elf Petroleum Norge AS	17.440000	\N	9999-12-31	9999-12-31	21164	298	9999-12-31	2013-05-08
047	1985-01-01	1993-12-31	Elf Petroleum Norge AS	17.440000	\N	9999-12-31	9999-12-31	21164	298	9999-12-31	2013-05-08
047	1977-01-07	1985-01-01	Norsk Hydro Produksjon AS	13.840000	\N	1977-01-07	1993-12-31	21164	430	9999-12-31	2013-05-08
047	1985-01-01	1993-12-31	Norsk Hydro Produksjon AS	13.840000	\N	1977-01-07	1993-12-31	21164	430	9999-12-31	2013-05-08
047	1977-01-07	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21164	749	9999-12-31	2013-05-08
047	1985-01-01	1993-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21164	749	9999-12-31	2013-05-08
047	1977-01-07	1985-01-01	Total Norge AS	8.720000	\N	9999-12-31	9999-12-31	21164	848	9999-12-31	2013-05-08
047	1985-01-01	1993-12-31	Total Norge AS	8.720000	\N	9999-12-31	9999-12-31	21164	848	9999-12-31	2013-05-08
048	1977-02-18	1977-07-01	Aquitaine Norge A/S	7.265000	\N	9999-12-31	9999-12-31	21172	111	9999-12-31	2013-05-08
048	1991-01-01	1992-08-14	BP Petroleum Dev. of Norway AS	10.900000	\N	9999-12-31	9999-12-31	21172	155	9999-12-31	2013-05-08
048	1992-08-14	1997-01-01	BP Petroleum Dev. of Norway AS	10.900000	\N	9999-12-31	9999-12-31	21172	155	9999-12-31	2013-05-08
048	1997-01-01	1997-01-27	BP Petroleum Dev. of Norway AS	10.900000	\N	9999-12-31	9999-12-31	21172	155	9999-12-31	2013-05-08
048	1997-01-27	1997-02-12	BP Petroleum Dev. of Norway AS	10.900000	\N	9999-12-31	9999-12-31	21172	155	9999-12-31	2013-05-08
048	1997-02-12	1997-06-27	BP Petroleum Dev. of Norway AS	8.400000	\N	9999-12-31	9999-12-31	21172	155	9999-12-31	2013-05-08
048	1997-06-27	1997-11-06	BP Petroleum Dev. of Norway AS	3.900000	\N	9999-12-31	9999-12-31	21172	155	9999-12-31	2013-05-08
048	1977-02-18	1977-07-01	Elf Norge A/S	14.535000	\N	9999-12-31	9999-12-31	21172	287	9999-12-31	2013-05-08
048	1992-08-14	1997-01-01	Elf Petroleum Norge AS	21.800000	\N	9999-12-31	9999-12-31	21172	298	9999-12-31	2013-05-08
048	1997-01-01	1997-01-27	Elf Petroleum Norge AS	17.300000	\N	9999-12-31	9999-12-31	21172	298	9999-12-31	2013-05-08
048	1997-01-27	1997-02-12	Elf Petroleum Norge AS	17.300000	\N	9999-12-31	9999-12-31	21172	298	9999-12-31	2013-05-08
048	1997-02-12	1997-06-27	Elf Petroleum Norge AS	17.300000	\N	9999-12-31	9999-12-31	21172	298	9999-12-31	2013-05-08
048	1997-06-27	1997-11-06	Elf Petroleum Norge AS	21.800000	\N	9999-12-31	9999-12-31	21172	298	9999-12-31	2013-05-08
048	1997-11-06	2000-07-24	Elf Petroleum Norge AS	21.800000	\N	9999-12-31	9999-12-31	21172	298	9999-12-31	2013-05-08
048	1977-07-01	1985-01-01	Elf Aquitaine Norge A/S	21.800000	\N	9999-12-31	9999-12-31	21172	331	9999-12-31	2013-05-08
048	1985-01-01	1991-01-01	Elf Aquitaine Norge A/S	21.800000	\N	9999-12-31	9999-12-31	21172	331	9999-12-31	2013-05-08
048	1991-01-01	1992-08-14	Elf Aquitaine Norge A/S	21.800000	\N	9999-12-31	9999-12-31	21172	331	9999-12-31	2013-05-08
048	1977-02-18	1977-07-01	Norsk Hydro Produksjon AS	17.300000	\N	1977-02-18	1997-01-27	21172	430	9999-12-31	2013-05-08
048	1977-07-01	1985-01-01	Norsk Hydro Produksjon AS	17.300000	\N	1977-02-18	1997-01-27	21172	430	9999-12-31	2013-05-08
048	1985-01-01	1991-01-01	Norsk Hydro Produksjon AS	17.300000	\N	1977-02-18	1997-01-27	21172	430	9999-12-31	2013-05-08
048	1991-01-01	1992-08-14	Norsk Hydro Produksjon AS	17.300000	\N	1977-02-18	1997-01-27	21172	430	9999-12-31	2013-05-08
048	1992-08-14	1997-01-01	Norsk Hydro Produksjon AS	17.300000	\N	1977-02-18	1997-01-27	21172	430	9999-12-31	2013-05-08
048	1997-01-01	1997-01-27	Norsk Hydro Produksjon AS	17.300000	\N	1977-02-18	1997-01-27	21172	430	9999-12-31	2013-05-08
048	1997-01-27	1997-02-12	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	21172	430	9999-12-31	2013-05-08
048	1997-02-12	1997-06-27	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	21172	430	9999-12-31	2013-05-08
048	1997-06-27	1997-11-06	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	21172	430	9999-12-31	2013-05-08
048	1997-11-06	2000-07-24	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	21172	430	9999-12-31	2013-05-08
048	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	21172	430	9999-12-31	2013-05-08
048	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	21172	430	9999-12-31	2013-05-08
048	2001-06-01	2003-05-06	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	21172	430	9999-12-31	2013-05-08
048	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	21172	430	9999-12-31	2013-05-08
048	1977-02-18	1977-07-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21172	749	9999-12-31	2013-05-08
048	1977-07-01	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21172	749	9999-12-31	2013-05-08
048	1985-01-01	1991-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21172	749	9999-12-31	2013-05-08
048	1991-01-01	1992-08-14	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21172	749	9999-12-31	2013-05-08
048	1992-08-14	1997-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21172	749	9999-12-31	2013-05-08
048	1997-01-01	1997-01-27	Den norske stats oljeselskap a.s	54.500000	30.000000	9999-12-31	9999-12-31	21172	749	9999-12-31	2013-05-08
048	1997-01-27	1997-02-12	Den norske stats oljeselskap a.s	62.500000	30.000000	1997-01-27	2001-05-10	21172	749	9999-12-31	2013-05-08
048	1997-02-12	1997-06-27	Den norske stats oljeselskap a.s	65.000000	30.000000	1997-01-27	2001-05-10	21172	749	9999-12-31	2013-05-08
048	1997-06-27	1997-11-06	Den norske stats oljeselskap a.s	65.000000	30.000000	1997-01-27	2001-05-10	21172	749	9999-12-31	2013-05-08
048	1997-11-06	2000-07-24	Den norske stats oljeselskap a.s	68.900000	30.000000	1997-01-27	2001-05-10	21172	749	9999-12-31	2013-05-08
048	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	68.900000	30.000000	1997-01-27	2001-05-10	21172	749	9999-12-31	2013-05-08
048	1977-02-18	1977-07-01	Total Norge AS	10.900000	\N	9999-12-31	9999-12-31	21172	848	9999-12-31	2013-05-08
048	1977-07-01	1985-01-01	Total Norge AS	10.900000	\N	9999-12-31	9999-12-31	21172	848	9999-12-31	2013-05-08
048	1985-01-01	1991-01-01	Total Norge AS	10.900000	\N	9999-12-31	9999-12-31	21172	848	9999-12-31	2013-05-08
048	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	21.800000	\N	9999-12-31	9999-12-31	21172	1340884	9999-12-31	2013-05-08
048	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	21.800000	\N	9999-12-31	9999-12-31	21172	1340884	9999-12-31	2013-05-08
048	2001-06-01	2003-05-06	TotalFinaElf Exploration Norge AS	21.800000	\N	9999-12-31	9999-12-31	21172	1340884	9999-12-31	2013-05-08
048	2001-05-10	2001-06-01	Statoil ASA (old)	38.900000	\N	2001-05-10	2007-10-01	21172	1622484	9999-12-31	2013-05-08
048	2001-06-01	2003-05-06	Statoil ASA (old)	68.900000	\N	2001-05-10	2007-10-01	21172	1622484	9999-12-31	2013-05-08
048	2003-05-06	2007-01-01	Statoil ASA (old)	68.900000	\N	2001-05-10	2007-10-01	21172	1622484	9999-12-31	2013-05-08
048	2007-01-01	2007-10-01	Statoil ASA (old)	68.900000	\N	2001-05-10	2007-10-01	21172	1622484	9999-12-31	2013-05-08
048	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21172	1623450	9999-12-31	2013-05-08
048	2003-05-06	2007-01-01	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	21172	2410708	9999-12-31	2013-05-08
048	2007-01-01	2007-10-01	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	21172	2410708	9999-12-31	2013-05-08
048	2007-10-01	2009-01-01	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	21172	2410708	9999-12-31	2013-05-08
048	2009-01-01	2009-11-02	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	21172	2410708	9999-12-31	2013-05-08
048	2009-11-02	9999-12-31	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	21172	2410708	9999-12-31	2013-05-08
048	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.300000	\N	9999-12-31	9999-12-31	21172	4511658	9999-12-31	2013-05-08
048	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	78.200000	\N	2009-01-01	2009-11-01	21172	4511658	9999-12-31	2013-05-08
048	2007-10-01	2009-01-01	StatoilHydro ASA	68.900000	\N	2007-10-01	2008-12-31	21172	4511854	9999-12-31	2013-05-08
048	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.300000	\N	9999-12-31	9999-12-31	21172	4524355	9999-12-31	2013-05-08
048	2009-11-02	9999-12-31	Statoil Petroleum AS	78.200000	\N	2009-11-02	9999-12-31	21172	17237817	9999-12-31	2013-05-08
049	1977-12-23	1983-12-23	Norsk Agip  AS	30.000000	\N	1977-12-23	1983-12-23	21180	45	9999-12-31	2013-05-08
049	1977-12-23	1983-12-23	Deminex Norge AS	20.000000	\N	9999-12-31	9999-12-31	21180	254	9999-12-31	2013-05-08
049	1977-12-23	1983-12-23	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21180	749	9999-12-31	2013-05-08
050	1978-06-16	1985-01-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21188	430	9999-12-31	2013-05-08
050	1985-01-01	1999-12-11	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21188	430	9999-12-31	2013-05-08
050	1999-12-11	2001-05-10	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21188	430	9999-12-31	2013-05-08
050	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21188	430	9999-12-31	2013-05-08
050	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21188	430	9999-12-31	2013-05-08
050	2001-06-17	2007-01-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21188	430	9999-12-31	2013-05-08
050	1978-06-16	1985-01-01	Saga Petroleum ASA	6.000000	\N	9999-12-31	9999-12-31	21188	716	9999-12-31	2013-05-08
050	1985-01-01	1999-12-11	Saga Petroleum ASA	6.000000	\N	9999-12-31	9999-12-31	21188	716	9999-12-31	2013-05-08
050	1978-06-16	1985-01-01	Den norske stats oljeselskap a.s	85.000000	\N	1978-06-16	2001-05-10	21188	749	9999-12-31	2013-05-08
050	1985-01-01	1999-12-11	Den norske stats oljeselskap a.s	85.000000	73.000000	1978-06-16	2001-05-10	21188	749	9999-12-31	2013-05-08
050	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	91.000000	73.000000	1978-06-16	2001-05-10	21188	749	9999-12-31	2013-05-08
050	2001-05-10	2001-06-01	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21188	1622484	9999-12-31	2013-05-08
050	2001-06-01	2001-06-17	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	21188	1622484	9999-12-31	2013-05-08
050	2001-06-17	2007-01-01	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	21188	1622484	9999-12-31	2013-05-08
050	2007-01-01	2007-10-01	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	21188	1622484	9999-12-31	2013-05-08
050	2001-05-10	2001-06-01	SDØE	73.000000	\N	9999-12-31	9999-12-31	21188	1623450	9999-12-31	2013-05-08
050	2001-06-01	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21188	1623450	9999-12-31	2013-05-08
050	2001-06-17	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21188	1626839	9999-12-31	2013-05-08
050	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21188	1626839	9999-12-31	2013-05-08
050	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21188	1626839	9999-12-31	2013-05-08
050	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21188	1626839	9999-12-31	2013-05-08
050	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21188	1626839	9999-12-31	2013-05-08
050	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	21188	4511658	9999-12-31	2013-05-08
050	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	21188	4511658	9999-12-31	2013-05-08
050	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	2007-10-01	2008-12-31	21188	4511854	9999-12-31	2013-05-08
050	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	21188	4524355	9999-12-31	2013-05-08
050	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	21188	17237817	9999-12-31	2013-05-08
050 B	1995-08-11	1999-12-11	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21196	430	9999-12-31	2013-05-08
050 B	1999-12-11	2001-05-10	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21196	430	9999-12-31	2013-05-08
050 B	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21196	430	9999-12-31	2013-05-08
050 B	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21196	430	9999-12-31	2013-05-08
050 B	2001-06-17	2007-01-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21196	430	9999-12-31	2013-05-08
050 B	1995-08-11	1999-12-11	Saga Petroleum ASA	6.000000	\N	9999-12-31	9999-12-31	21196	716	9999-12-31	2013-05-08
050 B	1995-08-11	1999-12-11	Den norske stats oljeselskap a.s	85.000000	73.000000	1995-08-11	2001-05-10	21196	749	9999-12-31	2013-05-08
050 B	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	91.000000	73.000000	1995-08-11	2001-05-10	21196	749	9999-12-31	2013-05-08
050 B	2001-05-10	2001-06-01	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21196	1622484	9999-12-31	2013-05-08
050 B	2001-06-01	2001-06-17	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	21196	1622484	9999-12-31	2013-05-08
050 B	2001-06-17	2007-01-01	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	21196	1622484	9999-12-31	2013-05-08
050 B	2007-01-01	2007-10-01	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	21196	1622484	9999-12-31	2013-05-08
050 B	2001-05-10	2001-06-01	SDØE	73.000000	\N	9999-12-31	9999-12-31	21196	1623450	9999-12-31	2013-05-08
050 B	2001-06-01	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21196	1623450	9999-12-31	2013-05-08
050 B	2001-06-17	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21196	1626839	9999-12-31	2013-05-08
050 B	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21196	1626839	9999-12-31	2013-05-08
050 B	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21196	1626839	9999-12-31	2013-05-08
050 B	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21196	1626839	9999-12-31	2013-05-08
050 B	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21196	1626839	9999-12-31	2013-05-08
050 B	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	21196	4511658	9999-12-31	2013-05-08
050 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	21196	4511658	9999-12-31	2013-05-08
050 B	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	2007-10-01	2008-12-31	21196	4511854	9999-12-31	2013-05-08
050 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	21196	4524355	9999-12-31	2013-05-08
050 B	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	21196	17237817	9999-12-31	2013-05-08
051	1992-07-31	2001-05-10	Norske Conoco A/S	24.500000	\N	9999-12-31	9999-12-31	21204	221	9999-12-31	2013-05-08
051	2001-05-10	2001-06-17	Norske Conoco A/S	24.500000	\N	9999-12-31	9999-12-31	21204	221	9999-12-31	2013-05-08
051	2001-06-17	2001-12-18	Norske Conoco A/S	24.500000	\N	9999-12-31	9999-12-31	21204	221	9999-12-31	2013-05-08
051	2001-12-18	2003-03-22	Norske Conoco A/S	24.500000	\N	9999-12-31	9999-12-31	21204	221	9999-12-31	2013-05-08
051	1988-12-16	1990-05-25	Conoco Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	21204	232	9999-12-31	2013-05-08
051	1990-05-25	1992-07-31	Conoco Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	21204	232	9999-12-31	2013-05-08
051	1979-04-06	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1979-04-06	2001-05-10	21204	749	9999-12-31	2013-05-08
051	1985-01-01	1988-12-16	Den norske stats oljeselskap a.s	50.000000	30.000000	1979-04-06	2001-05-10	21204	749	9999-12-31	2013-05-08
051	1988-12-16	1990-05-25	Den norske stats oljeselskap a.s	50.000000	30.000000	1979-04-06	2001-05-10	21204	749	9999-12-31	2013-05-08
051	1990-05-25	1992-07-31	Den norske stats oljeselskap a.s	50.000000	30.000000	1979-04-06	2001-05-10	21204	749	9999-12-31	2013-05-08
051	1992-07-31	2001-05-10	Den norske stats oljeselskap a.s	51.000000	30.000000	1979-04-06	2001-05-10	21204	749	9999-12-31	2013-05-08
051	1979-04-06	1985-01-01	Tennaco Oil Norway A/S	25.000000	\N	9999-12-31	9999-12-31	21204	793	9999-12-31	2013-05-08
051	1985-01-01	1988-12-16	Tennaco Oil Norway A/S	25.000000	\N	9999-12-31	9999-12-31	21204	793	9999-12-31	2013-05-08
051	1990-05-25	1992-07-31	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21204	848	9999-12-31	2013-05-08
051	1992-07-31	2001-05-10	Total Norge AS	24.500000	\N	9999-12-31	9999-12-31	21204	848	9999-12-31	2013-05-08
051	2001-05-10	2001-06-17	Total Norge AS	24.500000	\N	9999-12-31	9999-12-31	21204	848	9999-12-31	2013-05-08
051	2001-06-17	2001-12-18	Total Norge AS	24.500000	\N	9999-12-31	9999-12-31	21204	848	9999-12-31	2013-05-08
051	1979-04-06	1985-01-01	Unocal Norge A/S	25.000000	\N	9999-12-31	9999-12-31	21204	892	9999-12-31	2013-05-08
051	1985-01-01	1988-12-16	Unocal Norge A/S	25.000000	\N	9999-12-31	9999-12-31	21204	892	9999-12-31	2013-05-08
051	1988-12-16	1990-05-25	Unocal Norge A/S	25.000000	\N	9999-12-31	9999-12-31	21204	892	9999-12-31	2013-05-08
051	2001-12-18	2003-03-22	TotalFinaElf Exploration Norge AS	24.500000	\N	9999-12-31	9999-12-31	21204	1340884	9999-12-31	2013-05-08
051	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	24.500000	\N	9999-12-31	9999-12-31	21204	1340884	9999-12-31	2013-05-08
051	2001-05-10	2001-06-17	Statoil ASA (old)	19.600000	\N	2001-05-10	2007-10-01	21204	1622484	9999-12-31	2013-05-08
051	2001-06-17	2001-12-18	Statoil ASA (old)	19.600000	\N	2001-05-10	2007-10-01	21204	1622484	9999-12-31	2013-05-08
051	2001-12-18	2003-03-22	Statoil ASA (old)	19.600000	\N	2001-05-10	2007-10-01	21204	1622484	9999-12-31	2013-05-08
051	2003-03-22	2003-05-06	Statoil ASA (old)	19.600000	\N	2001-05-10	2007-10-01	21204	1622484	9999-12-31	2013-05-08
051	2003-05-06	2007-01-01	Statoil ASA (old)	19.600000	\N	2001-05-10	2007-10-01	21204	1622484	9999-12-31	2013-05-08
051	2007-01-01	2007-10-01	Statoil ASA (old)	19.600000	\N	2001-05-10	2007-10-01	21204	1622484	9999-12-31	2013-05-08
051	2001-05-10	2001-06-17	SDØE	31.400000	\N	9999-12-31	9999-12-31	21204	1623450	9999-12-31	2013-05-08
051	2001-06-17	2001-12-18	Petoro AS	31.400000	\N	9999-12-31	9999-12-31	21204	1626839	9999-12-31	2013-05-08
051	2001-12-18	2003-03-22	Petoro AS	31.400000	\N	9999-12-31	9999-12-31	21204	1626839	9999-12-31	2013-05-08
051	2003-03-22	2003-05-06	Petoro AS	31.400000	\N	9999-12-31	9999-12-31	21204	1626839	9999-12-31	2013-05-08
051	2003-05-06	2007-01-01	Petoro AS	31.400000	\N	9999-12-31	9999-12-31	21204	1626839	9999-12-31	2013-05-08
051	2007-01-01	2007-10-01	Petoro AS	31.400000	\N	9999-12-31	9999-12-31	21204	1626839	9999-12-31	2013-05-08
051	2007-10-01	2009-01-01	Petoro AS	31.400000	\N	9999-12-31	9999-12-31	21204	1626839	9999-12-31	2013-05-08
051	2009-01-01	2009-11-02	Petoro AS	31.400000	\N	9999-12-31	9999-12-31	21204	1626839	9999-12-31	2013-05-08
051	2009-11-02	9999-12-31	Petoro AS	31.400000	\N	9999-12-31	9999-12-31	21204	1626839	9999-12-31	2013-05-08
051	2003-03-22	2003-05-06	Norske ConocoPhillips AS	24.500000	\N	9999-12-31	9999-12-31	21204	2399056	9999-12-31	2013-05-08
051	2003-05-06	2007-01-01	Norske ConocoPhillips AS	24.500000	\N	9999-12-31	9999-12-31	21204	2399056	9999-12-31	2013-05-08
051	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	24.500000	\N	9999-12-31	9999-12-31	21204	2410696	9999-12-31	2013-05-08
051	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	24.500000	\N	9999-12-31	9999-12-31	21204	2410696	9999-12-31	2013-05-08
051	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	24.500000	\N	9999-12-31	9999-12-31	21204	2410696	9999-12-31	2013-05-08
051	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	24.500000	\N	9999-12-31	9999-12-31	21204	2410696	9999-12-31	2013-05-08
051	2003-05-06	2007-01-01	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	21204	2410708	9999-12-31	2013-05-08
051	2007-01-01	2007-10-01	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	21204	2410708	9999-12-31	2013-05-08
051	2007-10-01	2009-01-01	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	21204	2410708	9999-12-31	2013-05-08
051	2009-01-01	2009-11-02	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	21204	2410708	9999-12-31	2013-05-08
051	2009-11-02	9999-12-31	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	21204	2410708	9999-12-31	2013-05-08
051	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	19.600000	\N	2009-01-01	2009-11-01	21204	4511658	9999-12-31	2013-05-08
051	2007-10-01	2009-01-01	StatoilHydro ASA	19.600000	\N	2007-10-01	2008-12-31	21204	4511854	9999-12-31	2013-05-08
051	2009-11-02	9999-12-31	Statoil Petroleum AS	19.600000	\N	2009-11-02	9999-12-31	21204	17237817	9999-12-31	2013-05-08
052	1979-04-06	1985-01-01	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21212	254	9999-12-31	2013-05-08
052	1985-01-01	1986-08-01	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21212	254	9999-12-31	2013-05-08
052	1986-08-01	1987-03-01	Deminex Norge AS	12.500000	\N	9999-12-31	9999-12-31	21212	254	9999-12-31	2013-05-08
052	1987-03-01	1990-05-25	Deminex Norge AS	11.250000	\N	9999-12-31	9999-12-31	21212	254	9999-12-31	2013-05-08
052	1990-05-25	1996-12-13	Deminex Norge AS	11.250000	\N	9999-12-31	9999-12-31	21212	254	9999-12-31	2013-05-08
052	1996-12-13	1998-12-17	Deminex Norge AS	11.250000	\N	9999-12-31	9999-12-31	21212	254	9999-12-31	2013-05-08
052	1979-04-06	1985-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21212	430	9999-12-31	2013-05-08
052	1985-01-01	1986-08-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21212	430	9999-12-31	2013-05-08
052	1986-08-01	1987-03-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21212	430	9999-12-31	2013-05-08
052	1987-03-01	1990-05-25	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21212	430	9999-12-31	2013-05-08
052	1990-05-25	1996-12-13	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	21212	430	9999-12-31	2013-05-08
052	1986-08-01	1987-03-01	Norske Deminex AS	2.500000	\N	9999-12-31	9999-12-31	21212	540	9999-12-31	2013-05-08
052	1987-03-01	1990-05-25	Norske Deminex AS	2.250000	\N	9999-12-31	9999-12-31	21212	540	9999-12-31	2013-05-08
052	1990-05-25	1996-12-13	Norske Deminex AS	2.250000	\N	9999-12-31	9999-12-31	21212	540	9999-12-31	2013-05-08
052	1996-12-13	1998-12-17	Norske Deminex AS	2.250000	\N	9999-12-31	9999-12-31	21212	540	9999-12-31	2013-05-08
052	1979-04-06	1985-01-01	Petro-Canada Norge AS (old)	5.000000	\N	9999-12-31	9999-12-31	21212	628	9999-12-31	2013-05-08
052	1985-01-01	1986-08-01	Petro-Canada Norge AS (old)	5.000000	\N	9999-12-31	9999-12-31	21212	628	9999-12-31	2013-05-08
052	1996-12-13	1998-12-17	Petro-Canada Norge AS (old)	9.000000	\N	9999-12-31	9999-12-31	21212	628	9999-12-31	2013-05-08
052	1998-12-17	2001-01-23	Petro-Canada Norge AS (old)	9.000000	\N	9999-12-31	9999-12-31	21212	628	9999-12-31	2013-05-08
052	1986-08-01	1987-03-01	Petroswede Norge A/S	2.500000	\N	9999-12-31	9999-12-31	21212	672	9999-12-31	2013-05-08
052	1986-08-01	1987-03-01	Svenska Petroleum Exploration AS	2.500000	\N	9999-12-31	9999-12-31	21212	738	9999-12-31	2013-05-08
052	1987-03-01	1990-05-25	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	21212	738	9999-12-31	2013-05-08
052	1990-05-25	1996-12-13	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	21212	738	9999-12-31	2013-05-08
052	1996-12-13	1998-12-17	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	21212	738	9999-12-31	2013-05-08
052	1998-12-17	2001-01-23	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	21212	738	9999-12-31	2013-05-08
052	2001-01-23	2001-05-10	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	21212	738	9999-12-31	2013-05-08
052	2001-05-10	2001-06-17	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	21212	738	9999-12-31	2013-05-08
052	2001-06-17	2001-12-18	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	21212	738	9999-12-31	2013-05-08
052	2001-12-18	2002-12-13	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	21212	738	9999-12-31	2013-05-08
052	2002-12-13	2003-03-24	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	21212	738	9999-12-31	2013-05-08
052	2003-03-24	2005-01-01	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	21212	738	9999-12-31	2013-05-08
052	1979-04-06	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1979-04-06	2001-05-10	21212	749	9999-12-31	2013-05-08
052	1985-01-01	1986-08-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1979-04-06	2001-05-10	21212	749	9999-12-31	2013-05-08
052	1986-08-01	1987-03-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1979-04-06	2001-05-10	21212	749	9999-12-31	2013-05-08
052	1987-03-01	1990-05-25	Den norske stats oljeselskap a.s	55.000000	37.000000	1979-04-06	2001-05-10	21212	749	9999-12-31	2013-05-08
052	1990-05-25	1996-12-13	Den norske stats oljeselskap a.s	55.000000	37.000000	1979-04-06	2001-05-10	21212	749	9999-12-31	2013-05-08
052	1996-12-13	1998-12-17	Den norske stats oljeselskap a.s	55.000000	37.000000	1979-04-06	2001-05-10	21212	749	9999-12-31	2013-05-08
052	1998-12-17	2001-01-23	Den norske stats oljeselskap a.s	55.000000	37.000000	1979-04-06	2001-05-10	21212	749	9999-12-31	2013-05-08
052	2001-01-23	2001-05-10	Den norske stats oljeselskap a.s	55.000000	37.000000	1979-04-06	2001-05-10	21212	749	9999-12-31	2013-05-08
052	1990-05-25	1996-12-13	Total Norge AS	18.000000	\N	9999-12-31	9999-12-31	21212	848	9999-12-31	2013-05-08
052	1996-12-13	1998-12-17	Total Norge AS	18.000000	\N	9999-12-31	9999-12-31	21212	848	9999-12-31	2013-05-08
052	1998-12-17	2001-01-23	Total Norge AS	18.000000	\N	9999-12-31	9999-12-31	21212	848	9999-12-31	2013-05-08
052	2001-01-23	2001-05-10	Total Norge AS	18.000000	\N	9999-12-31	9999-12-31	21212	848	9999-12-31	2013-05-08
052	2001-05-10	2001-06-17	Total Norge AS	18.000000	\N	9999-12-31	9999-12-31	21212	848	9999-12-31	2013-05-08
052	2001-06-17	2001-12-18	Total Norge AS	18.000000	\N	9999-12-31	9999-12-31	21212	848	9999-12-31	2013-05-08
052	1979-04-06	1985-01-01	Unocal Norge A/S	30.000000	\N	9999-12-31	9999-12-31	21212	892	9999-12-31	2013-05-08
052	1985-01-01	1986-08-01	Unocal Norge A/S	30.000000	\N	9999-12-31	9999-12-31	21212	892	9999-12-31	2013-05-08
052	1986-08-01	1987-03-01	Unocal Norge A/S	20.000000	\N	9999-12-31	9999-12-31	21212	892	9999-12-31	2013-05-08
052	1987-03-01	1990-05-25	Unocal Norge A/S	18.000000	\N	9999-12-31	9999-12-31	21212	892	9999-12-31	2013-05-08
052	1998-12-17	2001-01-23	RWE Dea Norge AS	11.250000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2001-01-23	2001-05-10	RWE Dea Norge AS	11.250000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2001-05-10	2001-06-17	RWE Dea Norge AS	11.250000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2001-06-17	2001-12-18	RWE Dea Norge AS	11.250000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2001-12-18	2002-12-13	RWE Dea Norge AS	11.250000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2002-12-13	2003-03-24	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2003-03-24	2005-01-01	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2005-01-01	2005-05-04	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2005-05-04	2006-03-22	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2006-03-22	2006-03-23	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2006-03-23	2007-10-01	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2007-10-01	2009-01-01	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2009-01-01	2009-01-02	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2009-01-02	2009-01-17	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2009-01-17	2009-11-02	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2009-11-02	2011-01-01	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2011-01-01	2012-03-24	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	2012-03-24	9999-12-31	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	21212	97557	9999-12-31	2013-05-08
052	1998-12-17	2001-01-23	Norske RWE-DEA AS	2.250000	\N	9999-12-31	9999-12-31	21212	853394	9999-12-31	2013-05-08
052	2001-01-23	2001-05-10	Norske RWE-DEA AS	2.250000	\N	9999-12-31	9999-12-31	21212	853394	9999-12-31	2013-05-08
052	2001-05-10	2001-06-17	Norske RWE-DEA AS	2.250000	\N	9999-12-31	9999-12-31	21212	853394	9999-12-31	2013-05-08
052	2001-06-17	2001-12-18	Norske RWE-DEA AS	2.250000	\N	9999-12-31	9999-12-31	21212	853394	9999-12-31	2013-05-08
052	2001-12-18	2002-12-13	Norske RWE-DEA AS	2.250000	\N	9999-12-31	9999-12-31	21212	853394	9999-12-31	2013-05-08
052	2001-12-18	2002-12-13	TotalFinaElf Exploration Norge AS	18.000000	\N	9999-12-31	9999-12-31	21212	1340884	9999-12-31	2013-05-08
052	2002-12-13	2003-03-24	TotalFinaElf Exploration Norge AS	18.000000	\N	9999-12-31	9999-12-31	21212	1340884	9999-12-31	2013-05-08
052	2001-01-23	2001-05-10	Paladin Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	21212	1577943	9999-12-31	2013-05-08
052	2001-05-10	2001-06-17	Paladin Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	21212	1577943	9999-12-31	2013-05-08
052	2001-06-17	2001-12-18	Paladin Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	21212	1577943	9999-12-31	2013-05-08
052	2001-12-18	2002-12-13	Paladin Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	21212	1577943	9999-12-31	2013-05-08
052	2002-12-13	2003-03-24	Paladin Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	21212	1577943	9999-12-31	2013-05-08
052	2003-03-24	2005-01-01	Paladin Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	1577943	9999-12-31	2013-05-08
052	2005-01-01	2005-05-04	Paladin Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	1577943	9999-12-31	2013-05-08
052	2005-05-04	2006-03-22	Paladin Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	1577943	9999-12-31	2013-05-08
052	2001-05-10	2001-06-17	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21212	1622484	9999-12-31	2013-05-08
052	2001-06-17	2001-12-18	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21212	1622484	9999-12-31	2013-05-08
052	2001-12-18	2002-12-13	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21212	1622484	9999-12-31	2013-05-08
052	2002-12-13	2003-03-24	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21212	1622484	9999-12-31	2013-05-08
052	2003-03-24	2005-01-01	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21212	1622484	9999-12-31	2013-05-08
052	2005-01-01	2005-05-04	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21212	1622484	9999-12-31	2013-05-08
052	2005-05-04	2006-03-22	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21212	1622484	9999-12-31	2013-05-08
052	2006-03-22	2006-03-23	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21212	1622484	9999-12-31	2013-05-08
052	2006-03-23	2007-10-01	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21212	1622484	9999-12-31	2013-05-08
052	2001-05-10	2001-06-17	SDØE	37.000000	\N	9999-12-31	9999-12-31	21212	1623450	9999-12-31	2013-05-08
052	2001-06-17	2001-12-18	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2001-12-18	2002-12-13	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2002-12-13	2003-03-24	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2003-03-24	2005-01-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2005-01-01	2005-05-04	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2005-05-04	2006-03-22	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2006-03-22	2006-03-23	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2006-03-23	2007-10-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2007-10-01	2009-01-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2009-01-01	2009-01-02	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2009-01-02	2009-01-17	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2009-01-17	2009-11-02	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2009-11-02	2011-01-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2011-01-01	2012-03-24	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2012-03-24	9999-12-31	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	21212	1626839	9999-12-31	2013-05-08
052	2006-03-23	2007-10-01	Talisman Energy Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	2425093	9999-12-31	2013-05-08
052	2007-10-01	2009-01-01	Talisman Energy Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	2425093	9999-12-31	2013-05-08
052	2009-01-01	2009-01-02	Talisman Energy Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	2425093	9999-12-31	2013-05-08
052	2011-01-01	2012-03-24	Talisman Energy Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	2425093	9999-12-31	2013-05-08
052	2012-03-24	9999-12-31	Talisman Energy Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	2425093	9999-12-31	2013-05-08
052	2005-01-01	2005-05-04	Revus Energy AS	4.500000	\N	9999-12-31	9999-12-31	21212	2455850	9999-12-31	2013-05-08
052	2005-05-04	2006-03-22	Revus Energy ASA	4.500000	\N	9999-12-31	9999-12-31	21212	3431773	9999-12-31	2013-05-08
052	2006-03-22	2006-03-23	Revus Energy ASA	4.500000	\N	9999-12-31	9999-12-31	21212	3431773	9999-12-31	2013-05-08
052	2006-03-23	2007-10-01	Revus Energy ASA	4.500000	\N	9999-12-31	9999-12-31	21212	3431773	9999-12-31	2013-05-08
052	2007-10-01	2009-01-01	Revus Energy ASA	4.500000	\N	9999-12-31	9999-12-31	21212	3431773	9999-12-31	2013-05-08
052	2009-01-01	2009-01-02	Revus Energy ASA	4.500000	\N	9999-12-31	9999-12-31	21212	3431773	9999-12-31	2013-05-08
052	2009-01-02	2009-01-17	Revus Energy ASA	4.500000	\N	9999-12-31	9999-12-31	21212	3431773	9999-12-31	2013-05-08
052	2006-03-22	2006-03-23	Talisman Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	3987574	9999-12-31	2013-05-08
052	2009-01-02	2009-01-17	Talisman Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	3987574	9999-12-31	2013-05-08
052	2009-01-17	2009-11-02	Talisman Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	3987574	9999-12-31	2013-05-08
052	2009-11-02	2011-01-01	Talisman Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	21212	3987574	9999-12-31	2013-05-08
052	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	18.000000	\N	2009-01-01	2009-11-01	21212	4511658	9999-12-31	2013-05-08
052	2009-01-02	2009-01-17	StatoilHydro Petroleum AS	18.000000	\N	2009-01-01	2009-11-01	21212	4511658	9999-12-31	2013-05-08
052	2009-01-17	2009-11-02	StatoilHydro Petroleum AS	18.000000	\N	2009-01-01	2009-11-01	21212	4511658	9999-12-31	2013-05-08
052	2007-10-01	2009-01-01	StatoilHydro ASA	18.000000	\N	2007-10-01	2008-12-31	21212	4511854	9999-12-31	2013-05-08
052	2009-01-17	2009-11-02	Wintershall Norge ASA	4.500000	\N	9999-12-31	9999-12-31	21212	5442509	9999-12-31	2013-05-08
052	2009-11-02	2011-01-01	Wintershall Norge ASA	4.500000	\N	9999-12-31	9999-12-31	21212	5442509	9999-12-31	2013-05-08
052	2011-01-01	2012-03-24	Wintershall Norge ASA	4.500000	\N	9999-12-31	9999-12-31	21212	5442509	9999-12-31	2013-05-08
052	2009-11-02	2011-01-01	Statoil Petroleum AS	18.000000	\N	2009-11-02	9999-12-31	21212	17237817	9999-12-31	2013-05-08
052	2011-01-01	2012-03-24	Statoil Petroleum AS	18.000000	\N	2009-11-02	9999-12-31	21212	17237817	9999-12-31	2013-05-08
052	2012-03-24	9999-12-31	Statoil Petroleum AS	18.000000	\N	2009-11-02	9999-12-31	21212	17237817	9999-12-31	2013-05-08
052	2012-03-24	9999-12-31	Wintershall Norge AS	4.500000	\N	9999-12-31	9999-12-31	21212	21666830	9999-12-31	2013-05-08
053	2002-10-01	2002-12-04	Norske Conoco A/S	2.400000	\N	9999-12-31	9999-12-31	21220	221	9999-12-31	2013-05-08
053	2002-12-04	2003-03-22	Norske Conoco A/S	2.400000	\N	9999-12-31	9999-12-31	21220	221	9999-12-31	2013-05-08
053	1988-04-01	2000-07-24	Elf Petroleum Norge AS	9.333000	\N	9999-12-31	9999-12-31	21220	298	9999-12-31	2013-05-08
053	1979-04-06	1983-06-01	Elf Aquitaine Norge A/S	13.330000	\N	9999-12-31	9999-12-31	21220	331	9999-12-31	2013-05-08
053	1983-06-01	1985-01-01	Elf Aquitaine Norge A/S	10.667000	\N	9999-12-31	9999-12-31	21220	331	9999-12-31	2013-05-08
053	1985-01-01	1988-04-01	Elf Aquitaine Norge A/S	10.667000	\N	9999-12-31	9999-12-31	21220	331	9999-12-31	2013-05-08
053	1979-04-06	1983-06-01	Norsk Hydro Produksjon AS	12.500000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	1983-06-01	1985-01-01	Norsk Hydro Produksjon AS	12.250000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	1985-01-01	1988-04-01	Norsk Hydro Produksjon AS	12.250000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	1988-04-01	2000-07-24	Norsk Hydro Produksjon AS	12.250000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	12.250000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	19.600000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	19.600000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	19.600000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	2001-12-18	2002-03-19	Norsk Hydro Produksjon AS	19.600000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	2002-03-19	2002-10-01	Norsk Hydro Produksjon AS	34.000000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	2002-10-01	2002-12-04	Norsk Hydro Produksjon AS	34.000000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	2002-12-04	2003-03-22	Norsk Hydro Produksjon AS	34.000000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	34.000000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	34.000000	\N	1982-04-01	2007-01-01	21220	430	9999-12-31	2013-05-08
053	1979-04-06	1983-06-01	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	1983-06-01	1985-01-01	Mobil Development Norway AS	8.000000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	1985-01-01	1988-04-01	Mobil Development Norway AS	8.000000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	1988-04-01	2000-07-24	Mobil Development Norway AS	7.000000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2000-07-24	2001-01-11	Mobil Development Norway AS	7.000000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2001-01-11	2001-05-10	Mobil Development Norway AS	7.000000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2001-05-10	2001-06-17	Mobil Development Norway AS	7.000000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2001-06-17	2001-12-18	Mobil Development Norway AS	7.000000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2001-12-18	2002-03-19	Mobil Development Norway AS	7.000000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2002-03-19	2002-10-01	Mobil Development Norway AS	7.000000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2002-10-01	2002-12-04	Mobil Development Norway AS	7.000000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2002-12-04	2003-03-22	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2003-03-22	2003-05-06	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2003-05-06	2007-01-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2007-01-01	2007-01-02	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2007-01-02	2007-10-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	2007-10-01	2008-08-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21220	474	9999-12-31	2013-05-08
053	1979-04-06	1983-06-01	Saga Petroleum ASA	7.500000	\N	9999-12-31	9999-12-31	21220	716	9999-12-31	2013-05-08
053	1983-06-01	1985-01-01	Saga Petroleum ASA	7.350000	\N	9999-12-31	9999-12-31	21220	716	9999-12-31	2013-05-08
053	1985-01-01	1988-04-01	Saga Petroleum ASA	7.350000	\N	9999-12-31	9999-12-31	21220	716	9999-12-31	2013-05-08
053	1988-04-01	2000-07-24	Saga Petroleum ASA	7.350000	\N	9999-12-31	9999-12-31	21220	716	9999-12-31	2013-05-08
053	2000-07-24	2001-01-11	Saga Petroleum ASA	7.350000	\N	9999-12-31	9999-12-31	21220	716	9999-12-31	2013-05-08
053	1979-04-06	1983-06-01	Den norske stats oljeselskap a.s	50.000000	\N	1979-04-06	1982-04-01	21220	749	9999-12-31	2013-05-08
053	1983-06-01	1985-01-01	Den norske stats oljeselskap a.s	56.400000	\N	9999-12-31	9999-12-31	21220	749	9999-12-31	2013-05-08
053	1985-01-01	1988-04-01	Den norske stats oljeselskap a.s	56.400000	42.400000	9999-12-31	9999-12-31	21220	749	9999-12-31	2013-05-08
053	1988-04-01	2000-07-24	Den norske stats oljeselskap a.s	59.400000	45.400000	9999-12-31	9999-12-31	21220	749	9999-12-31	2013-05-08
053	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	59.400000	45.400000	9999-12-31	9999-12-31	21220	749	9999-12-31	2013-05-08
053	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	59.400000	45.400000	9999-12-31	9999-12-31	21220	749	9999-12-31	2013-05-08
053	1979-04-06	1983-06-01	Total Norge AS	6.670000	\N	9999-12-31	9999-12-31	21220	848	9999-12-31	2013-05-08
053	1983-06-01	1985-01-01	Total Norge AS	5.333000	\N	9999-12-31	9999-12-31	21220	848	9999-12-31	2013-05-08
053	1985-01-01	1988-04-01	Total Norge AS	5.333000	\N	9999-12-31	9999-12-31	21220	848	9999-12-31	2013-05-08
053	1988-04-01	2000-07-24	Total Norge AS	4.667000	\N	9999-12-31	9999-12-31	21220	848	9999-12-31	2013-05-08
053	2000-07-24	2001-01-11	Total Norge AS	4.667000	\N	9999-12-31	9999-12-31	21220	848	9999-12-31	2013-05-08
053	2001-01-11	2001-05-10	Total Norge AS	4.667000	\N	9999-12-31	9999-12-31	21220	848	9999-12-31	2013-05-08
053	2001-05-10	2001-06-17	Total Norge AS	4.667000	\N	9999-12-31	9999-12-31	21220	848	9999-12-31	2013-05-08
053	2001-06-17	2001-12-18	Total Norge AS	4.667000	\N	9999-12-31	9999-12-31	21220	848	9999-12-31	2013-05-08
053	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	9.333000	\N	9999-12-31	9999-12-31	21220	1340884	9999-12-31	2013-05-08
053	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	9.333000	\N	9999-12-31	9999-12-31	21220	1340884	9999-12-31	2013-05-08
053	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	9.333000	\N	9999-12-31	9999-12-31	21220	1340884	9999-12-31	2013-05-08
053	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	9.333000	\N	9999-12-31	9999-12-31	21220	1340884	9999-12-31	2013-05-08
053	2001-12-18	2002-03-19	TotalFinaElf Exploration Norge AS	14.000000	\N	9999-12-31	9999-12-31	21220	1340884	9999-12-31	2013-05-08
053	2002-03-19	2002-10-01	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21220	1340884	9999-12-31	2013-05-08
053	2002-10-01	2002-12-04	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21220	1340884	9999-12-31	2013-05-08
053	2002-12-04	2003-03-22	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21220	1340884	9999-12-31	2013-05-08
053	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21220	1340884	9999-12-31	2013-05-08
053	2001-05-10	2001-06-17	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	21220	1622484	9999-12-31	2013-05-08
053	2001-06-17	2001-12-18	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	21220	1622484	9999-12-31	2013-05-08
053	2001-12-18	2002-03-19	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	21220	1622484	9999-12-31	2013-05-08
053	2002-03-19	2002-10-01	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	21220	1622484	9999-12-31	2013-05-08
053	2002-10-01	2002-12-04	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	21220	1622484	9999-12-31	2013-05-08
053	2002-12-04	2003-03-22	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	21220	1622484	9999-12-31	2013-05-08
053	2003-03-22	2003-05-06	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	21220	1622484	9999-12-31	2013-05-08
053	2003-05-06	2007-01-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	21220	1622484	9999-12-31	2013-05-08
053	2007-01-01	2007-01-02	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	21220	1622484	9999-12-31	2013-05-08
053	2007-01-02	2007-10-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	21220	1622484	9999-12-31	2013-05-08
053	2001-05-10	2001-06-17	SDØE	45.400000	\N	9999-12-31	9999-12-31	21220	1623450	9999-12-31	2013-05-08
053	2001-06-17	2001-12-18	Petoro AS	45.400000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2001-12-18	2002-03-19	Petoro AS	45.400000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2002-03-19	2002-10-01	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2002-10-01	2002-12-04	Petoro AS	31.300000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2002-12-04	2003-03-22	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2003-03-22	2003-05-06	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2003-05-06	2007-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2007-01-01	2007-01-02	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2007-01-02	2007-10-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2007-10-01	2008-08-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2008-08-01	2009-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2009-01-01	2009-11-02	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2009-11-02	2012-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21220	1626839	2012-12-05	2013-05-08
053	2012-01-01	9999-12-31	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21220	1626839	9999-12-31	2013-05-08
053	2003-03-22	2003-05-06	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	21220	2399056	9999-12-31	2013-05-08
053	2003-05-06	2007-01-01	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	21220	2399056	9999-12-31	2013-05-08
053	2007-01-01	2007-01-02	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	21220	2399056	9999-12-31	2013-05-08
053	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21220	2410696	9999-12-31	2013-05-08
053	2007-10-01	2008-08-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21220	2410696	9999-12-31	2013-05-08
053	2008-08-01	2009-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21220	2410696	9999-12-31	2013-05-08
053	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21220	2410696	9999-12-31	2013-05-08
053	2009-11-02	2012-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21220	2410696	2012-12-05	2013-05-08
053	2012-01-01	9999-12-31	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21220	2410696	9999-12-31	2013-05-08
053	2003-05-06	2007-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21220	2410708	9999-12-31	2013-05-08
053	2007-01-01	2007-01-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21220	2410708	9999-12-31	2013-05-08
053	2007-01-02	2007-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21220	2410708	9999-12-31	2013-05-08
053	2007-10-01	2008-08-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21220	2410708	9999-12-31	2013-05-08
053	2008-08-01	2009-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21220	2410708	9999-12-31	2013-05-08
053	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21220	2410708	9999-12-31	2013-05-08
053	2009-11-02	2012-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21220	2410708	2012-12-05	2013-05-08
053	2012-01-01	9999-12-31	Total E&P Norge AS	14.700000	\N	9999-12-31	9999-12-31	21220	2410708	9999-12-31	2013-05-08
053	2008-08-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	21220	2835212	9999-12-31	2013-05-08
053	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	21220	2835212	9999-12-31	2013-05-08
053	2009-11-02	2012-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	21220	2835212	2012-12-05	2013-05-08
053	2007-10-01	2008-08-01	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	21220	4511658	9999-12-31	2013-05-08
053	2008-08-01	2009-01-01	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	21220	4511658	9999-12-31	2013-05-08
053	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	49.300000	\N	2007-10-01	2009-11-01	21220	4511658	9999-12-31	2013-05-08
053	2007-10-01	2008-08-01	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	21220	4511854	9999-12-31	2013-05-08
053	2008-08-01	2009-01-01	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	21220	4511854	9999-12-31	2013-05-08
053	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	34.000000	\N	2007-01-01	2007-10-01	21220	4524355	9999-12-31	2013-05-08
053	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	34.000000	\N	2007-01-01	2007-10-01	21220	4524355	9999-12-31	2013-05-08
053	2009-11-02	2012-01-01	Statoil Petroleum AS	49.300000	\N	2009-11-02	9999-12-31	21220	17237817	2012-12-05	2013-05-08
053	2012-01-01	9999-12-31	Statoil Petroleum AS	49.300000	\N	2009-11-02	9999-12-31	21220	17237817	9999-12-31	2013-05-08
054	1979-04-06	1985-01-01	Conoco Norway Inc.	5.000000	\N	9999-12-31	9999-12-31	21228	210	9999-12-31	2013-05-08
054	1985-01-01	1986-06-01	Conoco Norway Inc.	5.000000	\N	9999-12-31	9999-12-31	21228	210	9999-12-31	2013-05-08
054	1986-06-01	1987-01-01	Conoco Norway Inc.	5.000000	\N	9999-12-31	9999-12-31	21228	210	9999-12-31	2013-05-08
054	1987-01-01	1988-01-01	Conoco Norway Inc.	5.000000	\N	9999-12-31	9999-12-31	21228	210	9999-12-31	2013-05-08
054	1988-01-01	1993-04-01	Norske Conoco A/S	6.295000	\N	9999-12-31	9999-12-31	21228	221	9999-12-31	2013-05-08
054	1993-04-01	2000-07-24	Norske Conoco A/S	5.191020	\N	9999-12-31	9999-12-31	21228	221	9999-12-31	2013-05-08
054	2000-07-24	2001-05-10	Norske Conoco A/S	5.191020	\N	9999-12-31	9999-12-31	21228	221	9999-12-31	2013-05-08
054	2001-05-10	2001-06-17	Norske Conoco A/S	5.191020	\N	9999-12-31	9999-12-31	21228	221	9999-12-31	2013-05-08
054	2001-06-17	2001-12-18	Norske Conoco A/S	5.191020	\N	9999-12-31	9999-12-31	21228	221	9999-12-31	2013-05-08
054	2001-12-18	2003-03-22	Norske Conoco A/S	5.191020	\N	9999-12-31	9999-12-31	21228	221	9999-12-31	2013-05-08
054	1988-01-01	1993-04-01	Elf Petroleum Norge AS	3.105000	\N	9999-12-31	9999-12-31	21228	298	9999-12-31	2013-05-08
054	1993-04-01	2000-07-24	Elf Petroleum Norge AS	3.104500	\N	9999-12-31	9999-12-31	21228	298	9999-12-31	2013-05-08
054	1987-01-01	1988-01-01	Elf Aquitaine Norge A/S	2.000000	\N	9999-12-31	9999-12-31	21228	331	9999-12-31	2013-05-08
054	1979-04-06	1985-01-01	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	1985-01-01	1986-06-01	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	1986-06-01	1987-01-01	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	1987-01-01	1988-01-01	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	1988-01-01	1993-04-01	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	1993-04-01	2000-07-24	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	2001-12-18	2003-03-22	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21228	430	9999-12-31	2013-05-08
054	1986-06-01	1987-01-01	Mobil Development Norway AS	5.000000	\N	9999-12-31	9999-12-31	21228	474	9999-12-31	2013-05-08
054	1987-01-01	1988-01-01	Mobil Development Norway AS	5.000000	\N	9999-12-31	9999-12-31	21228	474	9999-12-31	2013-05-08
054	1979-04-06	1985-01-01	A/S Norske Shell	35.000000	\N	1979-04-06	1996-06-19	21228	562	9999-12-31	2013-05-08
054	1985-01-01	1986-06-01	A/S Norske Shell	35.000000	\N	1979-04-06	1996-06-19	21228	562	9999-12-31	2013-05-08
054	1986-06-01	1987-01-01	A/S Norske Shell	35.000000	\N	1979-04-06	1996-06-19	21228	562	9999-12-31	2013-05-08
054	1987-01-01	1988-01-01	A/S Norske Shell	35.000000	\N	1979-04-06	1996-06-19	21228	562	9999-12-31	2013-05-08
054	1988-01-01	1993-04-01	A/S Norske Shell	25.900000	\N	1979-04-06	1996-06-19	21228	562	9999-12-31	2013-05-08
054	1993-04-01	2000-07-24	A/S Norske Shell	25.900000	\N	1979-04-06	1996-06-19	21228	562	9999-12-31	2013-05-08
054	2000-07-24	2001-05-10	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	2001-05-10	2001-06-17	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	2001-06-17	2001-12-18	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	2001-12-18	2003-03-22	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	2003-03-22	2003-05-06	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	2003-05-06	2007-01-01	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	2007-01-01	2007-01-02	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	2007-01-02	2007-10-01	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	2007-10-01	2007-10-02	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	2007-10-02	2009-01-01	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	2009-01-01	2009-11-02	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	2009-11-02	9999-12-31	A/S Norske Shell	25.900000	\N	9999-12-31	9999-12-31	21228	562	9999-12-31	2013-05-08
054	1979-04-06	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21228	749	9999-12-31	2013-05-08
054	1985-01-01	1986-06-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21228	749	9999-12-31	2013-05-08
054	1986-06-01	1987-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21228	749	9999-12-31	2013-05-08
054	1987-01-01	1988-01-01	Den norske stats oljeselskap a.s	47.000000	\N	9999-12-31	9999-12-31	21228	749	9999-12-31	2013-05-08
054	1988-01-01	1993-04-01	Den norske stats oljeselskap a.s	58.800000	10.800000	9999-12-31	9999-12-31	21228	749	9999-12-31	2013-05-08
054	1993-04-01	2000-07-24	Den norske stats oljeselskap a.s	58.800000	10.800000	1996-06-19	2001-05-10	21228	749	9999-12-31	2013-05-08
054	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	58.800000	10.800000	1996-06-19	2001-05-10	21228	749	9999-12-31	2013-05-08
054	1979-04-06	1985-01-01	Superior Oil Norge A/S	5.000000	\N	9999-12-31	9999-12-31	21228	771	9999-12-31	2013-05-08
054	1985-01-01	1986-06-01	Superior Oil Norge A/S	5.000000	\N	9999-12-31	9999-12-31	21228	771	9999-12-31	2013-05-08
054	1987-01-01	1988-01-01	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21228	848	9999-12-31	2013-05-08
054	1988-01-01	1993-04-01	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21228	848	9999-12-31	2013-05-08
054	1993-04-01	2000-07-24	Total Norge AS	2.104480	\N	9999-12-31	9999-12-31	21228	848	9999-12-31	2013-05-08
054	2000-07-24	2001-05-10	Total Norge AS	2.104480	\N	9999-12-31	9999-12-31	21228	848	9999-12-31	2013-05-08
054	2001-05-10	2001-06-17	Total Norge AS	2.104480	\N	9999-12-31	9999-12-31	21228	848	9999-12-31	2013-05-08
054	2001-06-17	2001-12-18	Total Norge AS	2.104480	\N	9999-12-31	9999-12-31	21228	848	9999-12-31	2013-05-08
054	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	3.104500	\N	9999-12-31	9999-12-31	21228	1340884	9999-12-31	2013-05-08
054	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	3.104500	\N	9999-12-31	9999-12-31	21228	1340884	9999-12-31	2013-05-08
054	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	3.104500	\N	9999-12-31	9999-12-31	21228	1340884	9999-12-31	2013-05-08
054	2001-12-18	2003-03-22	TotalFinaElf Exploration Norge AS	5.208980	\N	9999-12-31	9999-12-31	21228	1340884	9999-12-31	2013-05-08
054	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	5.208980	\N	9999-12-31	9999-12-31	21228	1340884	9999-12-31	2013-05-08
054	2001-05-10	2001-06-17	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21228	1622484	9999-12-31	2013-05-08
054	2001-06-17	2001-12-18	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21228	1622484	9999-12-31	2013-05-08
054	2001-12-18	2003-03-22	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21228	1622484	9999-12-31	2013-05-08
054	2003-03-22	2003-05-06	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21228	1622484	9999-12-31	2013-05-08
054	2003-05-06	2007-01-01	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21228	1622484	9999-12-31	2013-05-08
054	2007-01-01	2007-01-02	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21228	1622484	9999-12-31	2013-05-08
054	2007-01-02	2007-10-01	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	21228	1622484	9999-12-31	2013-05-08
054	2001-05-10	2001-06-17	SDØE	40.800000	\N	9999-12-31	9999-12-31	21228	1623450	9999-12-31	2013-05-08
054	2001-06-17	2001-12-18	Petoro AS	40.800000	\N	9999-12-31	9999-12-31	21228	1626839	9999-12-31	2013-05-08
054	2001-12-18	2003-03-22	Petoro AS	40.800000	\N	9999-12-31	9999-12-31	21228	1626839	9999-12-31	2013-05-08
054	2003-03-22	2003-05-06	Petoro AS	40.800000	\N	9999-12-31	9999-12-31	21228	1626839	9999-12-31	2013-05-08
054	2003-05-06	2007-01-01	Petoro AS	40.800000	\N	9999-12-31	9999-12-31	21228	1626839	9999-12-31	2013-05-08
054	2007-01-01	2007-01-02	Petoro AS	40.800000	\N	9999-12-31	9999-12-31	21228	1626839	9999-12-31	2013-05-08
054	2007-01-02	2007-10-01	Petoro AS	40.800000	\N	9999-12-31	9999-12-31	21228	1626839	9999-12-31	2013-05-08
054	2007-10-01	2007-10-02	Petoro AS	40.800000	\N	9999-12-31	9999-12-31	21228	1626839	9999-12-31	2013-05-08
054	2007-10-02	2009-01-01	Petoro AS	40.800000	\N	9999-12-31	9999-12-31	21228	1626839	9999-12-31	2013-05-08
054	2009-01-01	2009-11-02	Petoro AS	40.800000	\N	9999-12-31	9999-12-31	21228	1626839	9999-12-31	2013-05-08
054	2009-11-02	9999-12-31	Petoro AS	40.800000	\N	9999-12-31	9999-12-31	21228	1626839	9999-12-31	2013-05-08
054	2003-03-22	2003-05-06	Norske ConocoPhillips AS	5.191020	\N	9999-12-31	9999-12-31	21228	2399056	9999-12-31	2013-05-08
054	2003-05-06	2007-01-01	Norske ConocoPhillips AS	5.191020	\N	9999-12-31	9999-12-31	21228	2399056	9999-12-31	2013-05-08
054	2007-01-01	2007-01-02	Norske ConocoPhillips AS	5.191020	\N	9999-12-31	9999-12-31	21228	2399056	9999-12-31	2013-05-08
054	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	5.191020	\N	9999-12-31	9999-12-31	21228	2410696	9999-12-31	2013-05-08
054	2007-10-01	2007-10-02	ConocoPhillips Skandinavia AS	5.191020	\N	9999-12-31	9999-12-31	21228	2410696	9999-12-31	2013-05-08
054	2007-10-02	2009-01-01	ConocoPhillips Skandinavia AS	5.191020	\N	9999-12-31	9999-12-31	21228	2410696	9999-12-31	2013-05-08
054	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	5.191020	\N	9999-12-31	9999-12-31	21228	2410696	9999-12-31	2013-05-08
054	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	5.191020	\N	9999-12-31	9999-12-31	21228	2410696	9999-12-31	2013-05-08
054	2003-05-06	2007-01-01	Total E&P Norge AS	5.208980	\N	9999-12-31	9999-12-31	21228	2410708	9999-12-31	2013-05-08
054	2007-01-01	2007-01-02	Total E&P Norge AS	5.208980	\N	9999-12-31	9999-12-31	21228	2410708	9999-12-31	2013-05-08
054	2007-01-02	2007-10-01	Total E&P Norge AS	5.208980	\N	9999-12-31	9999-12-31	21228	2410708	9999-12-31	2013-05-08
054	2007-10-01	2007-10-02	Total E&P Norge AS	5.208980	\N	9999-12-31	9999-12-31	21228	2410708	9999-12-31	2013-05-08
054	2007-10-02	2009-01-01	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	21228	2410708	9999-12-31	2013-05-08
054	2009-01-01	2009-11-02	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	21228	2410708	9999-12-31	2013-05-08
054	2009-11-02	9999-12-31	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	21228	2410708	9999-12-31	2013-05-08
054	2007-10-01	2007-10-02	StatoilHydro Petroleum AS	4.900000	\N	9999-12-31	9999-12-31	21228	4511658	9999-12-31	2013-05-08
054	2007-10-02	2009-01-01	StatoilHydro Petroleum AS	4.900000	\N	9999-12-31	9999-12-31	21228	4511658	9999-12-31	2013-05-08
054	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	24.418020	\N	2009-01-01	2009-11-01	21228	4511658	9999-12-31	2013-05-08
054	2007-10-01	2007-10-02	StatoilHydro ASA	18.000000	\N	2007-10-01	2008-12-31	21228	4511854	9999-12-31	2013-05-08
054	2007-10-02	2009-01-01	StatoilHydro ASA	19.518020	\N	2007-10-01	2008-12-31	21228	4511854	9999-12-31	2013-05-08
054	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	4.900000	\N	9999-12-31	9999-12-31	21228	4524355	9999-12-31	2013-05-08
054	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	4.900000	\N	9999-12-31	9999-12-31	21228	4524355	9999-12-31	2013-05-08
054	2009-11-02	9999-12-31	Statoil Petroleum AS	24.418020	\N	2009-11-02	9999-12-31	21228	17237817	9999-12-31	2013-05-08
055	1979-04-06	1985-01-01	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21236	122	9999-12-31	2013-05-08
055	1985-01-01	1987-08-10	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21236	122	9999-12-31	2013-05-08
055	1987-08-10	1988-01-01	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21236	122	9999-12-31	2013-05-08
055	1988-01-01	1988-09-01	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21236	122	9999-12-31	2013-05-08
055	1988-09-01	1990-03-29	Arco Norge A/S	9.800000	\N	9999-12-31	9999-12-31	21236	122	9999-12-31	2013-05-08
055	1990-03-29	1990-07-25	Arco Norge A/S	9.800000	\N	9999-12-31	9999-12-31	21236	122	9999-12-31	2013-05-08
055	1979-04-06	1985-01-01	BP Petroleum Dev. of Norway AS	5.000000	\N	9999-12-31	9999-12-31	21236	155	9999-12-31	2013-05-08
055	1985-01-01	1987-08-10	BP Petroleum Dev. of Norway AS	5.000000	\N	9999-12-31	9999-12-31	21236	155	9999-12-31	2013-05-08
055	1987-08-10	1988-01-01	BP Petroleum Dev. of Norway AS	5.000000	\N	9999-12-31	9999-12-31	21236	155	9999-12-31	2013-05-08
055	1988-01-01	1988-09-01	BP Petroleum Dev. of Norway AS	5.000000	\N	9999-12-31	9999-12-31	21236	155	9999-12-31	2013-05-08
055	1988-09-01	1990-03-29	BP Petroleum Dev. of Norway AS	4.900000	\N	9999-12-31	9999-12-31	21236	155	9999-12-31	2013-05-08
055	1990-03-29	1990-07-25	BP Petroleum Dev. of Norway AS	4.900000	\N	9999-12-31	9999-12-31	21236	155	9999-12-31	2013-05-08
055	1990-07-25	1990-12-03	BP Petroleum Dev. of Norway AS	4.900000	\N	9999-12-31	9999-12-31	21236	155	9999-12-31	2013-05-08
055	1988-01-01	1988-09-01	Elf Aquitaine Norge A/S	2.000000	\N	9999-12-31	9999-12-31	21236	331	9999-12-31	2013-05-08
055	1979-04-06	1985-01-01	Esso Exploration and Production Norway A/S	20.000000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	1985-01-01	1987-08-10	Esso Exploration and Production Norway A/S	20.000000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	1987-08-10	1988-01-01	Esso Exploration and Production Norway A/S	20.000000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	1988-01-01	1988-09-01	Esso Exploration and Production Norway A/S	20.000000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	1988-09-01	1990-03-29	Esso Exploration and Production Norway A/S	19.600000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	1990-03-29	1990-07-25	Esso Exploration and Production Norway A/S	19.600000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	1990-07-25	1990-12-03	Esso Exploration and Production Norway A/S	19.600000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	1990-12-03	1993-12-13	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	1993-12-13	1999-04-13	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	1999-04-13	2001-05-10	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	2001-06-17	2002-01-01	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	2002-01-01	2002-03-19	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	2002-03-19	2003-03-04	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	2003-03-04	2004-01-01	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	2004-01-01	2004-10-01	Esso Exploration and Production Norway A/S	14.908000	\N	9999-12-31	9999-12-31	21236	353	9999-12-31	2013-05-08
055	1979-04-06	1985-01-01	Norsk Hydro Produksjon AS	15.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	1985-01-01	1987-08-10	Norsk Hydro Produksjon AS	15.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	1987-08-10	1988-01-01	Norsk Hydro Produksjon AS	15.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	1988-01-01	1988-09-01	Norsk Hydro Produksjon AS	15.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	1988-09-01	1990-03-29	Norsk Hydro Produksjon AS	14.700000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	1990-03-29	1990-07-25	Norsk Hydro Produksjon AS	14.700000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	1990-07-25	1990-12-03	Norsk Hydro Produksjon AS	14.700000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	1990-12-03	1993-12-13	Norsk Hydro Produksjon AS	13.200000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	1993-12-13	1999-04-13	Norsk Hydro Produksjon AS	23.200000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	1999-04-13	2001-05-10	Norsk Hydro Produksjon AS	23.200000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	23.200000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	23.200000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2002-01-01	2002-03-19	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2002-03-19	2003-03-04	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2003-03-04	2004-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2004-01-01	2004-10-01	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2004-10-01	2005-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2005-01-01	2005-01-02	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2005-01-02	2005-05-04	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2005-05-04	2006-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2006-01-01	2006-03-22	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2006-03-22	2006-03-23	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2006-03-23	2006-11-28	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	2006-11-28	2007-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1979-04-06	2007-01-01	21236	430	9999-12-31	2013-05-08
055	1990-07-25	1990-12-03	Neste Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21236	496	9999-12-31	2013-05-08
055	1990-12-03	1993-12-13	Neste Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	21236	496	9999-12-31	2013-05-08
055	1993-12-13	1999-04-13	Neste Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	21236	496	9999-12-31	2013-05-08
055	1979-04-06	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21236	749	9999-12-31	2013-05-08
055	1985-01-01	1987-08-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21236	749	9999-12-31	2013-05-08
055	1987-08-10	1988-01-01	Den norske stats oljeselskap a.s	50.000000	31.400000	9999-12-31	9999-12-31	21236	749	9999-12-31	2013-05-08
055	1988-01-01	1988-09-01	Den norske stats oljeselskap a.s	48.000000	31.400000	9999-12-31	9999-12-31	21236	749	9999-12-31	2013-05-08
055	1988-09-01	1990-03-29	Den norske stats oljeselskap a.s	51.000000	31.400000	9999-12-31	9999-12-31	21236	749	9999-12-31	2013-05-08
055	1990-03-29	1990-07-25	Den norske stats oljeselskap a.s	51.000000	38.400000	9999-12-31	9999-12-31	21236	749	9999-12-31	2013-05-08
055	1990-07-25	1990-12-03	Den norske stats oljeselskap a.s	51.000000	38.400000	9999-12-31	9999-12-31	21236	749	9999-12-31	2013-05-08
055	1990-12-03	1993-12-13	Den norske stats oljeselskap a.s	56.000000	38.400000	9999-12-31	9999-12-31	21236	749	9999-12-31	2013-05-08
055	1993-12-13	1999-04-13	Den norske stats oljeselskap a.s	46.000000	33.400000	9999-12-31	9999-12-31	21236	749	9999-12-31	2013-05-08
055	1999-04-13	2001-05-10	Den norske stats oljeselskap a.s	46.000000	33.400000	9999-12-31	9999-12-31	21236	749	9999-12-31	2013-05-08
055	1999-04-13	2001-05-10	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	21236	102714	9999-12-31	2013-05-08
055	2001-05-10	2001-06-17	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	21236	102714	9999-12-31	2013-05-08
055	2001-06-17	2002-01-01	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	21236	102714	9999-12-31	2013-05-08
055	2002-01-01	2002-03-19	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	21236	102714	9999-12-31	2013-05-08
055	2002-03-19	2003-03-04	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	21236	102714	9999-12-31	2013-05-08
055	2002-03-19	2003-03-04	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	21236	1577943	9999-12-31	2013-05-08
055	2003-03-04	2004-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	21236	1577943	9999-12-31	2013-05-08
055	2004-01-01	2004-10-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	21236	1577943	9999-12-31	2013-05-08
055	2004-10-01	2005-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	21236	1577943	9999-12-31	2013-05-08
055	2005-01-01	2005-01-02	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	21236	1577943	9999-12-31	2013-05-08
055	2005-01-02	2005-05-04	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	21236	1577943	9999-12-31	2013-05-08
057	2005-01-01	2006-06-26	Statoil ASA (old)	16.300000	\N	2003-01-01	2007-10-01	21252	1622484	9999-12-31	2013-05-08
055	2005-05-04	2006-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	21236	1577943	9999-12-31	2013-05-08
055	2006-01-01	2006-03-22	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	21236	1577943	9999-12-31	2013-05-08
055	2001-05-10	2001-06-17	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2001-06-17	2002-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2002-01-01	2002-03-19	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2002-03-19	2003-03-04	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2003-03-04	2004-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2004-01-01	2004-10-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2004-10-01	2005-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2005-01-01	2005-01-02	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2005-01-02	2005-05-04	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2005-05-04	2006-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2006-01-01	2006-03-22	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2006-03-22	2006-03-23	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2006-03-23	2006-11-28	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2006-11-28	2007-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2007-01-01	2007-10-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	21236	1622484	9999-12-31	2013-05-08
055	2001-05-10	2001-06-17	SDØE	33.400000	\N	9999-12-31	9999-12-31	21236	1623450	9999-12-31	2013-05-08
055	2001-06-17	2002-01-01	Petoro AS	33.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2002-01-01	2002-03-19	Petoro AS	33.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2002-03-19	2003-03-04	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2003-03-04	2004-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2004-01-01	2004-10-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2004-10-01	2005-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2005-01-01	2005-01-02	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2005-01-02	2005-05-04	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2005-05-04	2006-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2006-01-01	2006-03-22	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2006-03-22	2006-03-23	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2006-03-23	2006-11-28	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2006-11-28	2007-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2007-01-01	2007-10-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2007-10-01	2009-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2009-01-01	2009-01-17	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2009-01-17	2009-05-26	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2009-05-26	2009-10-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2009-10-01	2009-11-02	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2009-11-02	2010-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2010-01-01	2011-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	21236	1626839	9999-12-31	2013-05-08
055	2002-01-01	2002-03-19	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	21236	2258813	9999-12-31	2013-05-08
055	2002-03-19	2003-03-04	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	21236	2258813	9999-12-31	2013-05-08
055	2003-03-04	2004-01-01	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	21236	2258813	9999-12-31	2013-05-08
055	2004-01-01	2004-10-01	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	21236	2258813	9999-12-31	2013-05-08
055	2004-10-01	2005-01-01	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	21236	2258813	9999-12-31	2013-05-08
055	2003-03-04	2004-01-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	21236	2388594	9999-12-31	2013-05-08
055	2004-01-01	2004-10-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	21236	2388594	9999-12-31	2013-05-08
055	2004-10-01	2005-01-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	21236	2388594	9999-12-31	2013-05-08
055	2005-01-01	2005-01-02	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	21236	2388594	9999-12-31	2013-05-08
055	2005-01-02	2005-05-04	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	21236	2388594	9999-12-31	2013-05-08
055	2005-05-04	2006-01-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	21236	2388594	9999-12-31	2013-05-08
055	2005-01-02	2005-05-04	Talisman Energy Norge AS	14.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2005-05-04	2006-01-01	Talisman Energy Norge AS	14.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2006-01-01	2006-03-22	Talisman Energy Norge AS	14.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2006-03-22	2006-03-23	Talisman Energy Norge AS	14.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2006-03-23	2006-11-28	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2006-11-28	2007-01-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2007-01-01	2007-10-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2007-10-01	2009-01-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2009-01-01	2009-01-17	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2009-01-17	2009-05-26	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2009-05-26	2009-10-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2009-10-01	2009-11-02	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2009-11-02	2010-01-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2010-01-01	2011-01-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2011-01-01	2011-07-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2011-07-01	2013-02-13	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	2013-02-20	2013-05-08
055	2013-02-13	9999-12-31	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	21236	2425093	9999-12-31	2013-05-08
055	2004-01-01	2004-10-01	Revus Energy AS	2.692000	\N	9999-12-31	9999-12-31	21236	2455850	9999-12-31	2013-05-08
055	2004-10-01	2005-01-01	Revus Energy AS	2.692000	\N	9999-12-31	9999-12-31	21236	2455850	9999-12-31	2013-05-08
055	2005-01-01	2005-01-02	Revus Energy AS	2.692000	\N	9999-12-31	9999-12-31	21236	2455850	9999-12-31	2013-05-08
055	2005-01-02	2005-05-04	Revus Energy AS	2.692000	\N	9999-12-31	9999-12-31	21236	2455850	9999-12-31	2013-05-08
055	2006-01-01	2006-03-22	Altinex Oil AS	13.200000	\N	9999-12-31	9999-12-31	21236	2835200	9999-12-31	2013-05-08
055	2006-03-22	2006-03-23	Altinex Oil AS	13.200000	\N	9999-12-31	9999-12-31	21236	2835200	9999-12-31	2013-05-08
055	2006-03-23	2006-11-28	Altinex Oil AS	13.200000	\N	9999-12-31	9999-12-31	21236	2835200	9999-12-31	2013-05-08
055	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	14.908000	\N	9999-12-31	9999-12-31	21236	2835212	9999-12-31	2013-05-08
055	2005-01-01	2005-01-02	ExxonMobil Exploration & Production Norway AS	14.908000	\N	9999-12-31	9999-12-31	21236	2835212	9999-12-31	2013-05-08
055	2005-01-01	2005-01-02	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	3113213	9999-12-31	2013-05-08
055	2005-01-02	2005-05-04	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	3113213	9999-12-31	2013-05-08
055	2005-05-04	2006-01-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	3113213	9999-12-31	2013-05-08
055	2006-01-01	2006-03-22	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	3113213	9999-12-31	2013-05-08
055	2006-03-22	2006-03-23	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	3113213	9999-12-31	2013-05-08
055	2006-03-23	2006-11-28	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	3113213	9999-12-31	2013-05-08
055	2006-11-28	2007-01-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	3113213	9999-12-31	2013-05-08
055	2007-01-01	2007-10-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	3113213	9999-12-31	2013-05-08
055	2007-10-01	2009-01-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	3113213	9999-12-31	2013-05-08
055	2009-01-01	2009-01-17	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	3113213	9999-12-31	2013-05-08
055	2009-01-17	2009-05-26	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	3113213	9999-12-31	2013-05-08
055	2005-05-04	2006-01-01	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	21236	3431773	9999-12-31	2013-05-08
055	2006-01-01	2006-03-22	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	21236	3431773	9999-12-31	2013-05-08
055	2006-03-22	2006-03-23	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	21236	3431773	9999-12-31	2013-05-08
055	2006-03-23	2006-11-28	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	21236	3431773	9999-12-31	2013-05-08
055	2006-11-28	2007-01-01	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	21236	3431773	9999-12-31	2013-05-08
055	2007-01-01	2007-10-01	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	21236	3431773	9999-12-31	2013-05-08
055	2007-10-01	2009-01-01	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	21236	3431773	9999-12-31	2013-05-08
055	2009-01-01	2009-01-17	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	21236	3431773	9999-12-31	2013-05-08
055	2006-03-22	2006-03-23	Talisman Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	21236	3987574	9999-12-31	2013-05-08
055	2011-01-01	2011-07-01	Faroe Petroleum Norge AS	13.400000	\N	9999-12-31	9999-12-31	21236	4062883	9999-12-31	2013-05-08
055	2011-07-01	2013-02-13	Faroe Petroleum Norge AS	13.400000	\N	9999-12-31	9999-12-31	21236	4062883	2013-02-20	2013-05-08
055	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	13.400000	\N	9999-12-31	9999-12-31	21236	4062883	9999-12-31	2013-05-08
055	2006-11-28	2007-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	21236	4446230	9999-12-31	2013-05-08
055	2007-01-01	2007-10-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	21236	4446230	9999-12-31	2013-05-08
055	2007-10-01	2009-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	21236	4446230	9999-12-31	2013-05-08
055	2009-01-01	2009-01-17	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	21236	4446230	9999-12-31	2013-05-08
055	2009-01-17	2009-05-26	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	21236	4446230	9999-12-31	2013-05-08
055	2009-05-26	2009-10-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	21236	4446230	9999-12-31	2013-05-08
055	2009-10-01	2009-11-02	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	21236	4446230	9999-12-31	2013-05-08
055	2009-11-02	2010-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	21236	4446230	9999-12-31	2013-05-08
055	2010-01-01	2011-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	21236	4446230	9999-12-31	2013-05-08
055	2011-01-01	2011-07-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	21236	4446230	9999-12-31	2013-05-08
055	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	21236	4511658	9999-12-31	2013-05-08
055	2009-01-01	2009-01-17	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	21236	4511658	9999-12-31	2013-05-08
055	2009-01-17	2009-05-26	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	21236	4511658	9999-12-31	2013-05-08
055	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	21236	4511658	9999-12-31	2013-05-08
055	2009-10-01	2009-11-02	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	21236	4511658	9999-12-31	2013-05-08
055	2007-10-01	2009-01-01	StatoilHydro ASA	12.600000	\N	9999-12-31	9999-12-31	21236	4511854	9999-12-31	2013-05-08
055	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	20.000000	\N	2007-01-01	2007-10-01	21236	4524355	9999-12-31	2013-05-08
055	2010-01-01	2011-01-01	Spring Energy Norway AS	2.692000	\N	9999-12-31	9999-12-31	21236	5072514	9999-12-31	2013-05-08
055	2011-01-01	2011-07-01	Spring Energy Norway AS	2.692000	\N	9999-12-31	9999-12-31	21236	5072514	9999-12-31	2013-05-08
055	2011-07-01	2013-02-13	Spring Energy Norway AS	2.692000	\N	9999-12-31	9999-12-31	21236	5072514	2013-02-20	2013-05-08
055	2009-01-17	2009-05-26	Wintershall Norge ASA	2.692000	\N	9999-12-31	9999-12-31	21236	5442509	9999-12-31	2013-05-08
055	2009-05-26	2009-10-01	Wintershall Norge ASA	2.692000	\N	9999-12-31	9999-12-31	21236	5442509	9999-12-31	2013-05-08
055	2009-10-01	2009-11-02	Wintershall Norge ASA	2.692000	\N	9999-12-31	9999-12-31	21236	5442509	9999-12-31	2013-05-08
055	2009-11-02	2010-01-01	Wintershall Norge ASA	2.692000	\N	9999-12-31	9999-12-31	21236	5442509	9999-12-31	2013-05-08
055	2009-05-26	2009-10-01	VNG Norge (Operations) AS	3.200000	\N	9999-12-31	9999-12-31	21236	5497155	9999-12-31	2013-05-08
055	2009-10-01	2009-11-02	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	17237193	9999-12-31	2013-05-08
055	2009-11-02	2010-01-01	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	17237193	9999-12-31	2013-05-08
055	2010-01-01	2011-01-01	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	17237193	9999-12-31	2013-05-08
055	2011-01-01	2011-07-01	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	17237193	9999-12-31	2013-05-08
055	2011-07-01	2013-02-13	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	17237193	2013-02-20	2013-05-08
055	2013-02-13	9999-12-31	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	21236	17237193	9999-12-31	2013-05-08
055	2009-11-02	2010-01-01	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	21236	17237817	9999-12-31	2013-05-08
055	2010-01-01	2011-01-01	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	21236	17237817	9999-12-31	2013-05-08
055	2011-01-01	2011-07-01	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	21236	17237817	9999-12-31	2013-05-08
055	2011-07-01	2013-02-13	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	21236	17237817	2013-02-20	2013-05-08
055	2013-02-13	9999-12-31	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	21236	17237817	9999-12-31	2013-05-08
055	2011-07-01	2013-02-13	Core Energy AS	13.200000	\N	9999-12-31	9999-12-31	21236	20460080	2013-02-20	2013-05-08
055	2013-02-13	9999-12-31	Core Energy AS	13.200000	\N	9999-12-31	9999-12-31	21236	20460080	9999-12-31	2013-05-08
055	2013-02-13	9999-12-31	Tullow Oil Norge AS	2.692000	\N	9999-12-31	9999-12-31	21236	23173852	9999-12-31	2013-05-08
056	1979-04-06	1985-01-01	Norsk Agip  AS	3.350000	\N	9999-12-31	9999-12-31	21244	45	9999-12-31	2013-05-08
056	1985-01-01	1987-04-06	Norsk Agip  AS	3.350000	\N	9999-12-31	9999-12-31	21244	45	9999-12-31	2013-05-08
056	1979-04-06	1985-01-01	Amoco Norway AS	25.000000	\N	1979-04-06	1987-04-06	21244	89	9999-12-31	2013-05-08
056	1985-01-01	1987-04-06	Amoco Norway AS	25.000000	\N	1979-04-06	1987-04-06	21244	89	9999-12-31	2013-05-08
056	1979-04-06	1985-01-01	Fina Production Licenses AS	3.350000	\N	9999-12-31	9999-12-31	21244	386	9999-12-31	2013-05-08
056	1985-01-01	1987-04-06	Fina Production Licenses AS	3.350000	\N	9999-12-31	9999-12-31	21244	386	9999-12-31	2013-05-08
056	1979-04-06	1985-01-01	Mobil Development Norway AS	12.500000	\N	9999-12-31	9999-12-31	21244	474	9999-12-31	2013-05-08
056	1985-01-01	1987-04-06	Mobil Development Norway AS	12.500000	\N	9999-12-31	9999-12-31	21244	474	9999-12-31	2013-05-08
056	1979-04-06	1985-01-01	Phillips Petroleum Norsk AS	5.800000	\N	9999-12-31	9999-12-31	21244	705	9999-12-31	2013-05-08
056	1985-01-01	1987-04-06	Phillips Petroleum Norsk AS	5.800000	\N	9999-12-31	9999-12-31	21244	705	9999-12-31	2013-05-08
056	1979-04-06	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21244	749	9999-12-31	2013-05-08
056	1985-01-01	1987-04-06	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21244	749	9999-12-31	2013-05-08
057	1979-04-06	1985-01-01	Amerada Hess Norge AS	5.000000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	1985-01-01	1988-04-30	Amerada Hess Norge AS	5.000000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	1988-04-30	1988-05-30	Amerada Hess Norge AS	5.000000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	1988-05-30	1989-04-14	Amerada Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	1989-04-14	1990-01-01	Amerada Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	1990-01-01	1998-12-17	Amerada Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	1998-12-17	2001-01-11	Amerada Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	2001-01-11	2001-05-10	Amerada Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	2001-05-10	2001-06-01	Amerada Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	2001-06-01	2001-06-17	Amerada Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	2001-06-17	2001-12-31	Amerada Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	2001-12-31	2005-01-01	Amerada Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	2005-01-01	2006-06-26	Amerada Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	67	9999-12-31	2013-05-08
057	1979-04-06	1985-01-01	Amoco Norway Oil Company	10.000000	\N	9999-12-31	9999-12-31	21252	78	9999-12-31	2013-05-08
057	1985-01-01	1988-04-30	Amoco Norway Oil Company	10.000000	\N	9999-12-31	9999-12-31	21252	78	9999-12-31	2013-05-08
057	1988-04-30	1988-05-30	Amoco Norway Oil Company	10.000000	\N	9999-12-31	9999-12-31	21252	78	9999-12-31	2013-05-08
057	1979-04-06	1985-01-01	Deminex Norge AS	15.000000	\N	9999-12-31	9999-12-31	21252	254	9999-12-31	2013-05-08
057	1985-01-01	1988-04-30	Deminex Norge AS	15.000000	\N	9999-12-31	9999-12-31	21252	254	9999-12-31	2013-05-08
057	1988-04-30	1988-05-30	Deminex Norge AS	15.000000	\N	9999-12-31	9999-12-31	21252	254	9999-12-31	2013-05-08
057	1988-05-30	1989-04-14	Deminex Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	254	9999-12-31	2013-05-08
057	1989-04-14	1990-01-01	Deminex Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	254	9999-12-31	2013-05-08
057	1990-01-01	1998-12-17	Deminex Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	254	9999-12-31	2013-05-08
057	1989-04-14	1990-01-01	Enterprise Oil Norwegian AS	4.900000	\N	9999-12-31	9999-12-31	21252	342	9999-12-31	2013-05-08
057	1990-01-01	1998-12-17	Enterprise Oil Norwegian AS	4.900000	\N	9999-12-31	9999-12-31	21252	342	9999-12-31	2013-05-08
057	1998-12-17	2001-01-11	Enterprise Oil Norwegian AS	4.900000	\N	9999-12-31	9999-12-31	21252	342	9999-12-31	2013-05-08
057	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	4.900000	\N	9999-12-31	9999-12-31	21252	342	9999-12-31	2013-05-08
057	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	4.900000	\N	9999-12-31	9999-12-31	21252	342	9999-12-31	2013-05-08
057	2001-06-01	2001-06-17	Enterprise Oil Norwegian AS	4.900000	\N	9999-12-31	9999-12-31	21252	342	9999-12-31	2013-05-08
057	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	4.900000	\N	9999-12-31	9999-12-31	21252	342	9999-12-31	2013-05-08
057	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	14.700000	\N	2001-01-11	2002-12-31	21252	430	9999-12-31	2013-05-08
057	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	14.700000	\N	2001-01-11	2002-12-31	21252	430	9999-12-31	2013-05-08
057	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	14.700000	\N	2001-01-11	2002-12-31	21252	430	9999-12-31	2013-05-08
057	2001-06-17	2001-12-31	Norsk Hydro Produksjon AS	14.700000	\N	2001-01-11	2002-12-31	21252	430	9999-12-31	2013-05-08
057	2001-12-31	2005-01-01	Norsk Hydro Produksjon AS	14.700000	\N	2001-01-11	2002-12-31	21252	430	9999-12-31	2013-05-08
057	2005-01-01	2006-06-26	Norsk Hydro Produksjon AS	14.700000	\N	9999-12-31	9999-12-31	21252	430	9999-12-31	2013-05-08
057	2006-06-26	2007-01-01	Norsk Hydro Produksjon AS	14.700000	\N	9999-12-31	9999-12-31	21252	430	9999-12-31	2013-05-08
057	1990-01-01	1998-12-17	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	1998-12-17	2001-01-11	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2001-01-11	2001-05-10	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2001-05-10	2001-06-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2001-06-01	2001-06-17	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2001-06-17	2001-12-31	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2001-12-31	2005-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2005-01-01	2006-06-26	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2006-06-26	2007-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2007-01-01	2007-10-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2009-01-01	2009-11-02	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2009-11-02	2011-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	2011-01-01	9999-12-31	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21252	441	9999-12-31	2013-05-08
057	1979-04-06	1985-01-01	Saga Petroleum ASA	15.000000	\N	1979-04-06	2001-01-11	21252	716	9999-12-31	2013-05-08
057	1985-01-01	1988-04-30	Saga Petroleum ASA	15.000000	\N	1979-04-06	2001-01-11	21252	716	9999-12-31	2013-05-08
057	1988-04-30	1988-05-30	Saga Petroleum ASA	15.000000	\N	1979-04-06	2001-01-11	21252	716	9999-12-31	2013-05-08
057	1988-05-30	1989-04-14	Saga Petroleum ASA	14.700000	\N	1979-04-06	2001-01-11	21252	716	9999-12-31	2013-05-08
057	1989-04-14	1990-01-01	Saga Petroleum ASA	14.700000	\N	1979-04-06	2001-01-11	21252	716	9999-12-31	2013-05-08
057	1990-01-01	1998-12-17	Saga Petroleum ASA	14.700000	\N	1979-04-06	2001-01-11	21252	716	9999-12-31	2013-05-08
057	1998-12-17	2001-01-11	Saga Petroleum ASA	14.700000	\N	1979-04-06	2001-01-11	21252	716	9999-12-31	2013-05-08
057	1979-04-06	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21252	749	9999-12-31	2013-05-08
057	1985-01-01	1988-04-30	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21252	749	9999-12-31	2013-05-08
057	1988-04-30	1988-05-30	Den norske stats oljeselskap a.s	50.000000	31.400000	9999-12-31	9999-12-31	21252	749	9999-12-31	2013-05-08
057	1988-05-30	1989-04-14	Den norske stats oljeselskap a.s	51.000000	31.400000	9999-12-31	9999-12-31	21252	749	9999-12-31	2013-05-08
057	1989-04-14	1990-01-01	Den norske stats oljeselskap a.s	51.000000	31.400000	9999-12-31	9999-12-31	21252	749	9999-12-31	2013-05-08
057	1990-01-01	1998-12-17	Den norske stats oljeselskap a.s	41.400000	31.400000	9999-12-31	9999-12-31	21252	749	9999-12-31	2013-05-08
057	1998-12-17	2001-01-11	Den norske stats oljeselskap a.s	41.400000	31.400000	9999-12-31	9999-12-31	21252	749	9999-12-31	2013-05-08
057	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	41.400000	31.400000	9999-12-31	9999-12-31	21252	749	9999-12-31	2013-05-08
057	1979-04-06	1985-01-01	Texas Eastern Norwegian Inc.	5.000000	\N	9999-12-31	9999-12-31	21252	837	9999-12-31	2013-05-08
057	1985-01-01	1988-04-30	Texas Eastern Norwegian Inc.	5.000000	\N	9999-12-31	9999-12-31	21252	837	9999-12-31	2013-05-08
057	1988-04-30	1988-05-30	Texas Eastern Norwegian Inc.	5.000000	\N	9999-12-31	9999-12-31	21252	837	9999-12-31	2013-05-08
057	1988-05-30	1989-04-14	Texas Eastern Norwegian Inc.	4.900000	\N	9999-12-31	9999-12-31	21252	837	9999-12-31	2013-05-08
057	1998-12-17	2001-01-11	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2001-01-11	2001-05-10	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2001-05-10	2001-06-01	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2001-06-01	2001-06-17	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2001-06-17	2001-12-31	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2001-12-31	2005-01-01	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2005-01-01	2006-06-26	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2006-06-26	2007-01-01	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2007-01-01	2007-10-01	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2007-10-01	2009-01-01	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2009-01-01	2009-11-02	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2009-11-02	2011-01-01	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2011-01-01	9999-12-31	RWE Dea Norge AS	24.500000	\N	9999-12-31	9999-12-31	21252	97557	9999-12-31	2013-05-08
057	2001-05-10	2001-06-01	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	21252	1622484	9999-12-31	2013-05-08
057	2001-06-01	2001-06-17	Statoil ASA (old)	11.400000	\N	9999-12-31	9999-12-31	21252	1622484	9999-12-31	2013-05-08
057	2001-06-17	2001-12-31	Statoil ASA (old)	11.400000	\N	9999-12-31	9999-12-31	21252	1622484	9999-12-31	2013-05-08
057	2001-12-31	2005-01-01	Statoil ASA (old)	11.400000	\N	2003-01-01	2007-10-01	21252	1622484	9999-12-31	2013-05-08
057	2006-06-26	2007-01-01	Statoil ASA (old)	16.300000	\N	2003-01-01	2007-10-01	21252	1622484	9999-12-31	2013-05-08
057	2007-01-01	2007-10-01	Statoil ASA (old)	16.300000	\N	2003-01-01	2007-10-01	21252	1622484	9999-12-31	2013-05-08
057	2001-05-10	2001-06-01	SDØE	31.400000	\N	9999-12-31	9999-12-31	21252	1623450	9999-12-31	2013-05-08
057	2001-06-01	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21252	1623450	9999-12-31	2013-05-08
057	2001-06-17	2001-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21252	1626839	9999-12-31	2013-05-08
057	2001-12-31	2005-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21252	1626839	9999-12-31	2013-05-08
057	2005-01-01	2006-06-26	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21252	1626839	9999-12-31	2013-05-08
057	2006-06-26	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21252	1626839	9999-12-31	2013-05-08
057	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21252	1626839	9999-12-31	2013-05-08
057	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21252	1626839	9999-12-31	2013-05-08
057	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21252	1626839	9999-12-31	2013-05-08
057	2009-11-02	2011-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21252	1626839	9999-12-31	2013-05-08
057	2011-01-01	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21252	1626839	9999-12-31	2013-05-08
057	2001-12-31	2005-01-01	Enterprise Oil Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	1853786	9999-12-31	2013-05-08
057	2006-06-26	2007-01-01	Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	4038735	9999-12-31	2013-05-08
057	2007-01-01	2007-10-01	Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	4038735	9999-12-31	2013-05-08
057	2007-10-01	2009-01-01	Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	4038735	9999-12-31	2013-05-08
057	2009-01-01	2009-11-02	Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	4038735	9999-12-31	2013-05-08
057	2009-11-02	2011-01-01	Hess Norge AS	4.900000	\N	9999-12-31	9999-12-31	21252	4038735	9999-12-31	2013-05-08
057	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	14.700000	\N	9999-12-31	9999-12-31	21252	4511658	9999-12-31	2013-05-08
057	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	31.000000	\N	2009-01-01	2009-11-01	21252	4511658	9999-12-31	2013-05-08
057	2007-10-01	2009-01-01	StatoilHydro ASA	16.300000	\N	2007-10-01	2008-12-31	21252	4511854	9999-12-31	2013-05-08
057	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	14.700000	\N	9999-12-31	9999-12-31	21252	4524355	9999-12-31	2013-05-08
057	2009-11-02	2011-01-01	Statoil Petroleum AS	31.000000	\N	2009-11-02	9999-12-31	21252	17237817	9999-12-31	2013-05-08
057	2011-01-01	9999-12-31	Statoil Petroleum AS	31.000000	\N	2009-11-02	9999-12-31	21252	17237817	9999-12-31	2013-05-08
057	2011-01-01	9999-12-31	Core Energy AS	4.900000	\N	9999-12-31	9999-12-31	21252	20460080	9999-12-31	2013-05-08
058	1979-04-06	1985-01-01	Norwegian Gulf Exploration Company AS	30.000000	\N	1979-04-06	1989-04-06	21260	397	9999-12-31	2013-05-08
058	1985-01-01	1989-04-06	Norwegian Gulf Exploration Company AS	30.000000	\N	1979-04-06	1989-04-06	21260	397	9999-12-31	2013-05-08
058	1979-04-06	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21260	749	9999-12-31	2013-05-08
058	1985-01-01	1989-04-06	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21260	749	9999-12-31	2013-05-08
058	1979-04-06	1985-01-01	Texaco Exploration Norway II A/S	20.000000	\N	9999-12-31	9999-12-31	21260	815	9999-12-31	2013-05-08
058	1985-01-01	1989-04-06	Texaco Exploration Norway II A/S	20.000000	\N	9999-12-31	9999-12-31	21260	815	9999-12-31	2013-05-08
059	1980-01-18	1985-01-01	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21268	254	9999-12-31	2013-05-08
059	1985-01-01	1986-01-18	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21268	254	9999-12-31	2013-05-08
059	1980-01-18	1985-01-01	Elf Aquitaine Norge A/S	20.000000	\N	9999-12-31	9999-12-31	21268	331	9999-12-31	2013-05-08
059	1985-01-01	1986-01-18	Elf Aquitaine Norge A/S	20.000000	\N	9999-12-31	9999-12-31	21268	331	9999-12-31	2013-05-08
059	1980-01-18	1985-01-01	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21268	430	9999-12-31	2013-05-08
059	1985-01-01	1986-01-18	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21268	430	9999-12-31	2013-05-08
059	1980-01-18	1985-01-01	Saga Petroleum ASA	10.000000	\N	1980-08-18	1986-01-18	21268	716	9999-12-31	2013-05-08
059	1985-01-01	1986-01-18	Saga Petroleum ASA	10.000000	\N	1980-08-18	1986-01-18	21268	716	9999-12-31	2013-05-08
059	1980-01-18	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21268	749	9999-12-31	2013-05-08
059	1985-01-01	1986-01-18	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21268	749	9999-12-31	2013-05-08
059	1980-01-18	1985-01-01	Volvo Petroleum Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21268	903	9999-12-31	2013-05-08
059	1985-01-01	1986-01-18	Volvo Petroleum Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21268	903	9999-12-31	2013-05-08
060	1980-01-18	1985-01-01	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21276	254	9999-12-31	2013-05-08
060	1985-01-01	1986-01-18	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21276	254	9999-12-31	2013-05-08
060	1980-01-18	1985-01-01	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	21276	353	9999-12-31	2013-05-08
060	1985-01-01	1986-01-18	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	21276	353	9999-12-31	2013-05-08
060	1980-01-18	1985-01-01	Hispanoil (Norway) A/S	5.000000	\N	9999-12-31	9999-12-31	21276	408	9999-12-31	2013-05-08
060	1985-01-01	1986-01-18	Hispanoil (Norway) A/S	5.000000	\N	9999-12-31	9999-12-31	21276	408	9999-12-31	2013-05-08
060	1980-01-18	1985-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21276	430	9999-12-31	2013-05-08
060	1985-01-01	1986-01-18	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21276	430	9999-12-31	2013-05-08
060	1980-01-18	1985-01-01	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21276	716	9999-12-31	2013-05-08
060	1985-01-01	1986-01-18	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21276	716	9999-12-31	2013-05-08
060	1980-01-18	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1980-01-18	1986-01-18	21276	749	9999-12-31	2013-05-08
060	1985-01-01	1986-01-18	Den norske stats oljeselskap a.s	50.000000	30.000000	1980-01-18	1986-01-18	21276	749	9999-12-31	2013-05-08
061	1980-01-18	1985-01-01	Amoco Norway AS	10.000000	\N	9999-12-31	9999-12-31	21284	89	9999-12-31	2013-05-08
061	1985-01-01	1993-12-31	Amoco Norway AS	10.000000	\N	9999-12-31	9999-12-31	21284	89	9999-12-31	2013-05-08
061	1980-01-18	1985-01-01	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	21284	221	9999-12-31	2013-05-08
061	1985-01-01	1993-12-31	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	21284	221	9999-12-31	2013-05-08
061	1980-01-18	1985-01-01	Norsk Hydro Produksjon AS	15.000000	\N	1980-01-18	1993-12-31	21284	430	9999-12-31	2013-05-08
061	1985-01-01	1993-12-31	Norsk Hydro Produksjon AS	15.000000	\N	1980-01-18	1993-12-31	21284	430	9999-12-31	2013-05-08
061	1980-01-18	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21284	749	9999-12-31	2013-05-08
061	1985-01-01	1993-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21284	749	9999-12-31	2013-05-08
062	1981-03-27	1985-01-01	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21292	122	9999-12-31	2013-05-08
062	1985-01-01	1990-07-25	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21292	122	9999-12-31	2013-05-08
062	1981-03-27	1985-01-01	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	1985-01-01	1990-07-25	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	1990-07-25	1991-07-01	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	1991-07-01	1992-06-02	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	1992-06-02	1999-04-13	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	1999-04-13	2001-01-11	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	14.700000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	14.700000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	14.700000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	14.700000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	2001-12-18	2003-03-04	Norsk Hydro Produksjon AS	14.700000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	2003-03-04	2003-05-06	Norsk Hydro Produksjon AS	14.700000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	14.700000	\N	9999-12-31	9999-12-31	21292	430	9999-12-31	2013-05-08
062	1990-07-25	1991-07-01	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21292	496	9999-12-31	2013-05-08
062	1991-07-01	1992-06-02	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21292	496	9999-12-31	2013-05-08
062	1992-06-02	1999-04-13	Neste Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21292	496	9999-12-31	2013-05-08
062	1981-03-27	1985-01-01	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	21292	562	9999-12-31	2013-05-08
062	1985-01-01	1990-07-25	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	21292	562	9999-12-31	2013-05-08
062	1990-07-25	1991-07-01	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	21292	562	9999-12-31	2013-05-08
062	1981-03-27	1985-01-01	Saga Petroleum ASA	10.000000	\N	1981-03-27	1995-08-31	21292	716	9999-12-31	2013-05-08
062	1985-01-01	1990-07-25	Saga Petroleum ASA	10.000000	\N	1981-03-27	1995-08-31	21292	716	9999-12-31	2013-05-08
062	1990-07-25	1991-07-01	Saga Petroleum ASA	10.000000	\N	1981-03-27	1995-08-31	21292	716	9999-12-31	2013-05-08
062	1991-07-01	1992-06-02	Saga Petroleum ASA	10.000000	\N	1981-03-27	1995-08-31	21292	716	9999-12-31	2013-05-08
062	1992-06-02	1999-04-13	Saga Petroleum ASA	9.800000	\N	1981-03-27	1995-08-31	21292	716	9999-12-31	2013-05-08
062	1999-04-13	2001-01-11	Saga Petroleum ASA	9.800000	\N	9999-12-31	9999-12-31	21292	716	9999-12-31	2013-05-08
062	1981-03-27	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21292	749	9999-12-31	2013-05-08
062	1985-01-01	1990-07-25	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21292	749	9999-12-31	2013-05-08
062	1990-07-25	1991-07-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21292	749	9999-12-31	2013-05-08
062	1991-07-01	1992-06-02	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21292	749	9999-12-31	2013-05-08
062	1992-06-02	1999-04-13	Den norske stats oljeselskap a.s	51.000000	31.400000	1995-09-01	2001-05-10	21292	749	9999-12-31	2013-05-08
062	1999-04-13	2001-01-11	Den norske stats oljeselskap a.s	51.000000	31.400000	1995-09-01	2001-05-10	21292	749	9999-12-31	2013-05-08
062	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	51.000000	31.400000	1995-09-01	2001-05-10	21292	749	9999-12-31	2013-05-08
062	1991-07-01	1992-06-02	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21292	848	9999-12-31	2013-05-08
062	1992-06-02	1999-04-13	Total Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	848	9999-12-31	2013-05-08
062	1999-04-13	2001-01-11	Total Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	848	9999-12-31	2013-05-08
062	2001-01-11	2001-05-10	Total Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	848	9999-12-31	2013-05-08
062	2001-05-10	2001-06-01	Total Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	848	9999-12-31	2013-05-08
062	2001-06-01	2001-06-17	Total Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	848	9999-12-31	2013-05-08
062	2001-06-17	2001-12-18	Total Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	848	9999-12-31	2013-05-08
062	1999-04-13	2001-01-11	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21292	102714	9999-12-31	2013-05-08
062	2001-01-11	2001-05-10	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21292	102714	9999-12-31	2013-05-08
062	2001-05-10	2001-06-01	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21292	102714	9999-12-31	2013-05-08
062	2001-06-01	2001-06-17	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21292	102714	9999-12-31	2013-05-08
062	2001-06-17	2001-12-18	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21292	102714	9999-12-31	2013-05-08
062	2001-12-18	2003-03-04	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21292	102714	9999-12-31	2013-05-08
062	2001-12-18	2003-03-04	TotalFinaElf Exploration Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	1340884	9999-12-31	2013-05-08
062	2003-03-04	2003-05-06	TotalFinaElf Exploration Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	1340884	9999-12-31	2013-05-08
062	2001-05-10	2001-06-01	Statoil ASA (old)	19.600000	\N	2001-05-10	2007-10-01	21292	1622484	9999-12-31	2013-05-08
062	2001-06-01	2001-06-17	Statoil ASA (old)	31.050000	\N	2001-05-10	2007-10-01	21292	1622484	9999-12-31	2013-05-08
062	2001-06-17	2001-12-18	Statoil ASA (old)	31.050000	\N	2001-05-10	2007-10-01	21292	1622484	9999-12-31	2013-05-08
062	2001-12-18	2003-03-04	Statoil ASA (old)	31.050000	\N	2001-05-10	2007-10-01	21292	1622484	9999-12-31	2013-05-08
062	2003-03-04	2003-05-06	Statoil ASA (old)	31.050000	\N	2001-05-10	2007-10-01	21292	1622484	9999-12-31	2013-05-08
062	2003-05-06	2007-01-01	Statoil ASA (old)	31.050000	\N	2001-05-10	2007-10-01	21292	1622484	9999-12-31	2013-05-08
062	2007-01-01	2007-10-01	Statoil ASA (old)	31.050000	\N	2001-05-10	2007-10-01	21292	1622484	9999-12-31	2013-05-08
062	2001-05-10	2001-06-01	SDØE	31.400000	\N	9999-12-31	9999-12-31	21292	1623450	9999-12-31	2013-05-08
062	2001-06-01	2001-06-17	SDØE	19.950000	\N	9999-12-31	9999-12-31	21292	1623450	9999-12-31	2013-05-08
062	2001-06-17	2001-12-18	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21292	1626839	9999-12-31	2013-05-08
062	2001-12-18	2003-03-04	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21292	1626839	9999-12-31	2013-05-08
062	2003-03-04	2003-05-06	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21292	1626839	9999-12-31	2013-05-08
062	2003-05-06	2007-01-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21292	1626839	9999-12-31	2013-05-08
062	2007-01-01	2007-10-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21292	1626839	9999-12-31	2013-05-08
062	2007-10-01	2008-01-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21292	1626839	9999-12-31	2013-05-08
062	2008-01-01	2009-01-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21292	1626839	9999-12-31	2013-05-08
062	2009-01-01	2009-11-02	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21292	1626839	9999-12-31	2013-05-08
062	2009-11-02	9999-12-31	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21292	1626839	9999-12-31	2013-05-08
062	2003-03-04	2003-05-06	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	21292	2388594	9999-12-31	2013-05-08
062	2003-05-06	2007-01-01	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	21292	2388594	9999-12-31	2013-05-08
062	2007-01-01	2007-10-01	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	21292	2388594	9999-12-31	2013-05-08
062	2007-10-01	2008-01-01	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	21292	2388594	9999-12-31	2013-05-08
062	2008-01-01	2009-01-01	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	21292	2388594	9999-12-31	2013-05-08
062	2009-01-01	2009-11-02	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	21292	2388594	9999-12-31	2013-05-08
062	2009-11-02	9999-12-31	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	21292	2388594	9999-12-31	2013-05-08
062	2003-05-06	2007-01-01	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	2410708	9999-12-31	2013-05-08
062	2007-01-01	2007-10-01	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	2410708	9999-12-31	2013-05-08
062	2007-10-01	2008-01-01	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	2410708	9999-12-31	2013-05-08
062	2008-01-01	2009-01-01	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	2410708	9999-12-31	2013-05-08
062	2009-01-01	2009-11-02	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	2410708	9999-12-31	2013-05-08
062	2009-11-02	9999-12-31	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	21292	2410708	9999-12-31	2013-05-08
062	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	14.700000	\N	9999-12-31	9999-12-31	21292	4511658	9999-12-31	2013-05-08
062	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	45.750000	\N	2009-01-01	2009-11-01	21292	4511658	9999-12-31	2013-05-08
062	2007-10-01	2008-01-01	StatoilHydro ASA	31.050000	\N	2007-10-01	2008-12-31	21292	4511854	9999-12-31	2013-05-08
062	2008-01-01	2009-01-01	StatoilHydro ASA	45.750000	\N	2007-10-01	2008-12-31	21292	4511854	9999-12-31	2013-05-08
062	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	14.700000	\N	9999-12-31	9999-12-31	21292	4524355	9999-12-31	2013-05-08
062	2009-11-02	9999-12-31	Statoil Petroleum AS	45.750000	\N	2009-11-02	9999-12-31	21292	17237817	9999-12-31	2013-05-08
063	1981-03-27	1985-01-01	BP Petroleum Dev. of Norway AS	20.000000	\N	9999-12-31	9999-12-31	21300	155	9999-12-31	2013-05-08
063	1985-01-01	1987-03-27	BP Petroleum Dev. of Norway AS	20.000000	\N	9999-12-31	9999-12-31	21300	155	9999-12-31	2013-05-08
063	1981-03-27	1985-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1981-03-27	1987-03-27	21300	430	9999-12-31	2013-05-08
063	1985-01-01	1987-03-27	Norsk Hydro Produksjon AS	20.000000	\N	1981-03-27	1987-03-27	21300	430	9999-12-31	2013-05-08
063	1981-03-27	1985-01-01	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21300	716	9999-12-31	2013-05-08
063	1985-01-01	1987-03-27	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21300	716	9999-12-31	2013-05-08
063	1981-03-27	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21300	749	9999-12-31	2013-05-08
063	1985-01-01	1987-03-27	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21300	749	9999-12-31	2013-05-08
063	1981-03-27	1985-01-01	Total Norge AS	5.000000	\N	9999-12-31	9999-12-31	21300	848	9999-12-31	2013-05-08
063	1985-01-01	1987-03-27	Total Norge AS	5.000000	\N	9999-12-31	9999-12-31	21300	848	9999-12-31	2013-05-08
064	1981-03-27	1985-01-01	Elf Petroleum Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	298	9999-12-31	2013-05-08
064	1985-01-01	1994-01-01	Elf Petroleum Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	298	9999-12-31	2013-05-08
064	1994-01-01	1996-02-29	Elf Petroleum Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	298	9999-12-31	2013-05-08
064	1996-02-29	1998-01-01	Elf Petroleum Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	298	9999-12-31	2013-05-08
064	1981-03-27	1985-01-01	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	21308	353	9999-12-31	2013-05-08
064	1985-01-01	1994-01-01	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	21308	353	9999-12-31	2013-05-08
064	1981-03-27	1985-01-01	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21308	430	9999-12-31	2013-05-08
064	1985-01-01	1994-01-01	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21308	430	9999-12-31	2013-05-08
064	1994-01-01	1996-02-29	Norsk Hydro Produksjon AS	20.750000	\N	9999-12-31	9999-12-31	21308	430	9999-12-31	2013-05-08
064	1996-02-29	1998-01-01	Norsk Hydro Produksjon AS	20.750000	\N	9999-12-31	9999-12-31	21308	430	9999-12-31	2013-05-08
064	1998-01-01	2000-04-07	Norsk Hydro Produksjon AS	20.750000	\N	9999-12-31	9999-12-31	21308	430	9999-12-31	2013-05-08
064	2000-04-07	2000-12-23	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21308	430	9999-12-31	2013-05-08
064	2000-12-23	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21308	430	9999-12-31	2013-05-08
064	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21308	430	9999-12-31	2013-05-08
064	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21308	430	9999-12-31	2013-05-08
064	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21308	430	9999-12-31	2013-05-08
064	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21308	430	9999-12-31	2013-05-08
064	1981-03-27	1985-01-01	Phillips Petroleum Norsk AS	5.000000	\N	9999-12-31	9999-12-31	21308	705	9999-12-31	2013-05-08
064	1985-01-01	1994-01-01	Phillips Petroleum Norsk AS	5.000000	\N	9999-12-31	9999-12-31	21308	705	9999-12-31	2013-05-08
064	1994-01-01	1996-02-29	Phillips Petroleum Norsk AS	5.000000	\N	9999-12-31	9999-12-31	21308	705	9999-12-31	2013-05-08
064	1981-03-27	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1981-03-27	2001-05-10	21308	749	9999-12-31	2013-05-08
064	1985-01-01	1994-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1981-03-27	2001-05-10	21308	749	9999-12-31	2013-05-08
064	1994-01-01	1996-02-29	Den norske stats oljeselskap a.s	69.250000	30.000000	1981-03-27	2001-05-10	21308	749	9999-12-31	2013-05-08
064	1996-02-29	1998-01-01	Den norske stats oljeselskap a.s	74.250000	30.000000	1981-03-27	2001-05-10	21308	749	9999-12-31	2013-05-08
064	1998-01-01	2000-04-07	Den norske stats oljeselskap a.s	74.250000	30.000000	1981-03-27	2001-05-10	21308	749	9999-12-31	2013-05-08
064	2000-04-07	2000-12-23	Den norske stats oljeselskap a.s	85.000000	30.000000	1981-03-27	2001-05-10	21308	749	9999-12-31	2013-05-08
064	2000-12-23	2001-05-10	Den norske stats oljeselskap a.s	69.520000	30.000000	1981-03-27	2001-05-10	21308	749	9999-12-31	2013-05-08
064	1998-01-01	2000-04-07	Total Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	848	9999-12-31	2013-05-08
064	2000-04-07	2000-12-23	Total Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	848	9999-12-31	2013-05-08
064	2000-12-23	2001-05-10	Total Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	848	9999-12-31	2013-05-08
064	2001-05-10	2001-06-17	Total Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	848	9999-12-31	2013-05-08
064	2001-06-17	2001-12-18	Total Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	848	9999-12-31	2013-05-08
064	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	1340884	9999-12-31	2013-05-08
064	2001-05-10	2001-06-17	Statoil ASA (old)	39.520000	\N	2001-05-10	2007-10-01	21308	1622484	9999-12-31	2013-05-08
064	2001-06-17	2001-12-18	Statoil ASA (old)	39.520000	\N	2001-05-10	2007-10-01	21308	1622484	9999-12-31	2013-05-08
064	2001-12-18	2003-05-06	Statoil ASA (old)	39.520000	\N	2001-05-10	2007-10-01	21308	1622484	9999-12-31	2013-05-08
064	2003-05-06	2004-01-01	Statoil ASA (old)	39.520000	\N	2001-05-10	2007-10-01	21308	1622484	9999-12-31	2013-05-08
064	2004-01-01	2007-10-01	Statoil ASA (old)	49.520000	\N	2001-05-10	2007-10-01	21308	1622484	9999-12-31	2013-05-08
064	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21308	1623450	9999-12-31	2013-05-08
064	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21308	1626839	9999-12-31	2013-05-08
064	2001-12-18	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21308	1626839	9999-12-31	2013-05-08
064	2003-05-06	2004-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21308	1626839	9999-12-31	2013-05-08
064	2004-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21308	1626839	9999-12-31	2013-05-08
064	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21308	1626839	9999-12-31	2013-05-08
064	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21308	1626839	9999-12-31	2013-05-08
064	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21308	1626839	9999-12-31	2013-05-08
064	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21308	1626839	9999-12-31	2013-05-08
064	2000-12-23	2001-05-10	Gaz de France Norge AS	15.480000	\N	9999-12-31	9999-12-31	21308	1628733	9999-12-31	2013-05-08
064	2001-05-10	2001-06-17	Gaz de France Norge AS	15.480000	\N	9999-12-31	9999-12-31	21308	1628733	9999-12-31	2013-05-08
064	2001-06-17	2001-12-18	Gaz de France Norge AS	15.480000	\N	9999-12-31	9999-12-31	21308	1628733	9999-12-31	2013-05-08
064	2001-12-18	2003-05-06	Gaz de France Norge AS	15.480000	\N	9999-12-31	9999-12-31	21308	1628733	9999-12-31	2013-05-08
064	2003-05-06	2004-01-01	Gaz de France Norge AS	15.480000	\N	9999-12-31	9999-12-31	21308	1628733	9999-12-31	2013-05-08
064	2004-01-01	2007-10-01	Gaz de France Norge AS	15.480000	\N	9999-12-31	9999-12-31	21308	1628733	9999-12-31	2013-05-08
064	2007-10-01	2009-01-01	Gaz de France Norge AS	15.480000	\N	9999-12-31	9999-12-31	21308	1628733	9999-12-31	2013-05-08
064	2003-05-06	2004-01-01	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	2410708	9999-12-31	2013-05-08
064	2004-01-01	2007-10-01	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	2410708	9999-12-31	2013-05-08
064	2007-10-01	2009-01-01	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	2410708	9999-12-31	2013-05-08
064	2009-01-01	2009-01-02	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	2410708	9999-12-31	2013-05-08
064	2009-01-02	2009-11-02	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	2410708	9999-12-31	2013-05-08
064	2009-11-02	9999-12-31	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	21308	2410708	9999-12-31	2013-05-08
064	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	49.520000	\N	2009-01-01	2009-11-01	21308	4511658	9999-12-31	2013-05-08
064	2007-10-01	2009-01-01	StatoilHydro ASA	49.520000	\N	2007-10-01	2008-12-31	21308	4511854	9999-12-31	2013-05-08
064	2009-01-01	2009-01-02	StatoilHydro ASA	49.520000	\N	9999-12-31	9999-12-31	21308	4511854	9999-12-31	2013-05-08
064	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	15.480000	\N	9999-12-31	9999-12-31	21308	5267845	9999-12-31	2013-05-08
064	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	15.480000	\N	9999-12-31	9999-12-31	21308	5267845	9999-12-31	2013-05-08
064	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	15.480000	\N	9999-12-31	9999-12-31	21308	5267845	9999-12-31	2013-05-08
064	2009-11-02	9999-12-31	Statoil Petroleum AS	49.520000	\N	2009-11-02	9999-12-31	21308	17237817	9999-12-31	2013-05-08
065	1990-05-21	1995-01-19	BP Petroleum Dev. of Norway AS	8.333000	\N	9999-12-31	9999-12-31	21316	155	9999-12-31	2013-05-08
065	1995-01-19	1997-01-01	BP Petroleum Dev. of Norway AS	8.333000	\N	9999-12-31	9999-12-31	21316	155	9999-12-31	2013-05-08
065	1997-01-01	1997-02-12	BP Petroleum Dev. of Norway AS	25.000000	\N	1997-01-01	1999-12-23	21316	155	9999-12-31	2013-05-08
065	1997-02-12	1998-07-23	BP Petroleum Dev. of Norway AS	35.000000	\N	1997-01-01	1999-12-23	21316	155	9999-12-31	2013-05-08
065	1998-07-23	1999-12-23	BP Petroleum Dev. of Norway AS	55.000000	\N	1997-01-01	1999-12-23	21316	155	9999-12-31	2013-05-08
065	1990-05-21	1995-01-19	Elf Petroleum Norge AS	16.667000	\N	1981-08-21	1997-01-01	21316	298	9999-12-31	2013-05-08
065	1995-01-19	1997-01-01	Elf Petroleum Norge AS	16.667000	\N	1981-08-21	1997-01-01	21316	298	9999-12-31	2013-05-08
065	1981-08-21	1985-01-01	Elf Aquitaine Norge A/S	16.667000	\N	9999-12-31	9999-12-31	21316	331	9999-12-31	2013-05-08
065	1985-01-01	1990-01-18	Elf Aquitaine Norge A/S	16.667000	\N	9999-12-31	9999-12-31	21316	331	9999-12-31	2013-05-08
065	1990-01-18	1990-05-21	Elf Aquitaine Norge A/S	16.667000	\N	9999-12-31	9999-12-31	21316	331	9999-12-31	2013-05-08
065	1990-01-18	1990-05-21	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	21316	342	9999-12-31	2013-05-08
065	1990-05-21	1995-01-19	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	21316	342	9999-12-31	2013-05-08
065	1995-01-19	1997-01-01	Enterprise Oil Norwegian AS	20.000000	\N	9999-12-31	9999-12-31	21316	342	9999-12-31	2013-05-08
065	1997-01-01	1997-02-12	Enterprise Oil Norwegian AS	20.000000	\N	9999-12-31	9999-12-31	21316	342	9999-12-31	2013-05-08
065	1997-02-12	1998-07-23	Enterprise Oil Norwegian AS	20.000000	\N	9999-12-31	9999-12-31	21316	342	9999-12-31	2013-05-08
065	1981-08-21	1985-01-01	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21316	562	9999-12-31	2013-05-08
065	1985-01-01	1990-01-18	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21316	562	9999-12-31	2013-05-08
065	1990-01-18	1990-05-21	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21316	562	9999-12-31	2013-05-08
065	1990-05-21	1995-01-19	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21316	562	9999-12-31	2013-05-08
065	1995-01-19	1997-01-01	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21316	562	9999-12-31	2013-05-08
065	1997-01-01	1997-02-12	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21316	562	9999-12-31	2013-05-08
065	1997-02-12	1998-07-23	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21316	562	9999-12-31	2013-05-08
065	1998-07-23	1999-12-23	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21316	562	9999-12-31	2013-05-08
065	1999-12-23	2000-01-01	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21316	562	9999-12-31	2013-05-08
065	2000-01-01	2001-05-10	Pelican AS	15.000000	\N	9999-12-31	9999-12-31	21316	606	9999-12-31	2013-05-08
065	2001-05-10	2001-06-17	Pelican AS	15.000000	\N	9999-12-31	9999-12-31	21316	606	9999-12-31	2013-05-08
065	2001-06-17	2002-03-12	Pelican AS	15.000000	\N	9999-12-31	9999-12-31	21316	606	9999-12-31	2013-05-08
065	2002-03-12	2002-03-19	Pelican AS	15.000000	\N	9999-12-31	9999-12-31	21316	606	9999-12-31	2013-05-08
065	2002-03-19	2002-04-17	Pelican AS	45.000000	\N	9999-12-31	9999-12-31	21316	606	9999-12-31	2013-05-08
065	1981-08-21	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21316	749	9999-12-31	2013-05-08
065	1985-01-01	1990-01-18	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21316	749	9999-12-31	2013-05-08
065	1990-01-18	1990-05-21	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21316	749	9999-12-31	2013-05-08
065	1990-05-21	1995-01-19	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21316	749	9999-12-31	2013-05-08
065	1995-01-19	1997-01-01	Den norske stats oljeselskap a.s	40.000000	30.000000	9999-12-31	9999-12-31	21316	749	9999-12-31	2013-05-08
065	1997-01-01	1997-02-12	Den norske stats oljeselskap a.s	40.000000	30.000000	9999-12-31	9999-12-31	21316	749	9999-12-31	2013-05-08
065	1997-02-12	1998-07-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	21316	749	9999-12-31	2013-05-08
065	1998-07-23	1999-12-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	21316	749	9999-12-31	2013-05-08
065	1999-12-23	2000-01-01	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	21316	749	9999-12-31	2013-05-08
065	2000-01-01	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	21316	749	9999-12-31	2013-05-08
065	1981-08-21	1985-01-01	Texaco Exploration Norway AS	10.000000	\N	9999-12-31	9999-12-31	21316	804	9999-12-31	2013-05-08
065	1985-01-01	1990-01-18	Texaco Exploration Norway AS	10.000000	\N	9999-12-31	9999-12-31	21316	804	9999-12-31	2013-05-08
065	1981-08-21	1985-01-01	Total Norge AS	8.333000	\N	9999-12-31	9999-12-31	21316	848	9999-12-31	2013-05-08
065	1985-01-01	1990-01-18	Total Norge AS	8.333000	\N	9999-12-31	9999-12-31	21316	848	9999-12-31	2013-05-08
065	1990-01-18	1990-05-21	Total Norge AS	8.333000	\N	9999-12-31	9999-12-31	21316	848	9999-12-31	2013-05-08
065	1999-12-23	2000-01-01	BP Amoco Norge AS	55.000000	\N	1999-12-23	2002-03-12	21316	982372	9999-12-31	2013-05-08
065	2000-01-01	2001-05-10	BP Amoco Norge AS	55.000000	\N	1999-12-23	2002-03-12	21316	982372	9999-12-31	2013-05-08
065	2001-05-10	2001-06-17	BP Amoco Norge AS	55.000000	\N	1999-12-23	2002-03-12	21316	982372	9999-12-31	2013-05-08
065	2001-06-17	2002-03-12	BP Amoco Norge AS	55.000000	\N	1999-12-23	2002-03-12	21316	982372	9999-12-31	2013-05-08
065	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21316	1623450	9999-12-31	2013-05-08
065	2001-06-17	2002-03-12	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21316	1626839	9999-12-31	2013-05-08
065	2002-03-12	2002-03-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21316	1626839	9999-12-31	2013-05-08
065	2002-04-17	2006-09-06	DONG Norge AS	45.000000	\N	9999-12-31	9999-12-31	21316	1853083	9999-12-31	2013-05-08
065	2002-03-12	2002-03-19	BP Norge AS	55.000000	\N	2002-03-12	9999-12-31	21316	2052695	9999-12-31	2013-05-08
065	2002-03-19	2002-04-17	BP Norge AS	55.000000	\N	2002-03-12	9999-12-31	21316	2052695	9999-12-31	2013-05-08
065	2002-04-17	2006-09-06	BP Norge AS	55.000000	\N	2002-03-12	9999-12-31	21316	2052695	9999-12-31	2013-05-08
065	2006-09-06	9999-12-31	BP Norge AS	55.000000	\N	2002-03-12	9999-12-31	21316	2052695	9999-12-31	2013-05-08
065	2006-09-06	9999-12-31	DONG E&P Norge AS	45.000000	\N	9999-12-31	9999-12-31	21316	4070011	9999-12-31	2013-05-08
066	1995-02-22	1996-07-31	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	21324	67	9999-12-31	2013-05-08
066	1996-07-31	1999-01-01	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	21324	67	9999-12-31	2013-05-08
066	1999-01-01	2001-05-10	Amerada Hess Norge AS	70.000000	\N	1999-01-01	2002-12-31	21324	67	9999-12-31	2013-05-08
066	2001-05-10	2001-06-01	Amerada Hess Norge AS	70.000000	\N	1999-01-01	2002-12-31	21324	67	9999-12-31	2013-05-08
066	2001-06-01	2002-12-31	Amerada Hess Norge AS	70.000000	\N	1999-01-01	2002-12-31	21324	67	9999-12-31	2013-05-08
066	1981-08-21	1985-01-01	Arco Norge A/S	5.000000	\N	9999-12-31	9999-12-31	21324	122	9999-12-31	2013-05-08
066	1985-01-01	1990-06-13	Arco Norge A/S	5.000000	\N	9999-12-31	9999-12-31	21324	122	9999-12-31	2013-05-08
066	1996-07-31	1999-01-01	BP Petroleum Dev. of Norway AS	5.000000	\N	9999-12-31	9999-12-31	21324	155	9999-12-31	2013-05-08
066	1981-08-21	1985-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21324	430	9999-12-31	2013-05-08
066	1985-01-01	1990-06-13	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21324	430	9999-12-31	2013-05-08
066	1990-06-13	1993-01-25	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21324	430	9999-12-31	2013-05-08
066	1981-08-21	1985-01-01	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	21324	474	9999-12-31	2013-05-08
066	1985-01-01	1990-06-13	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	21324	474	9999-12-31	2013-05-08
066	1990-06-13	1993-01-25	Mobil Development Norway AS	28.600000	\N	9999-12-31	9999-12-31	21324	474	9999-12-31	2013-05-08
066	1993-01-25	1993-12-08	Mobil Development Norway AS	28.600000	\N	9999-12-31	9999-12-31	21324	474	9999-12-31	2013-05-08
066	1981-08-21	1985-01-01	Saga Petroleum ASA	10.000000	\N	1981-08-21	1999-01-01	21324	716	9999-12-31	2013-05-08
066	1985-01-01	1990-06-13	Saga Petroleum ASA	10.000000	\N	1981-08-21	1999-01-01	21324	716	9999-12-31	2013-05-08
066	1990-06-13	1993-01-25	Saga Petroleum ASA	11.400000	\N	1981-08-21	1999-01-01	21324	716	9999-12-31	2013-05-08
066	1993-01-25	1993-12-08	Saga Petroleum ASA	21.400000	\N	1981-08-21	1999-01-01	21324	716	9999-12-31	2013-05-08
066	1993-12-08	1995-02-22	Saga Petroleum ASA	50.000000	\N	1981-08-21	1999-01-01	21324	716	9999-12-31	2013-05-08
066	1995-02-22	1996-07-31	Saga Petroleum ASA	30.000000	\N	1981-08-21	1999-01-01	21324	716	9999-12-31	2013-05-08
066	1996-07-31	1999-01-01	Saga Petroleum ASA	25.000000	\N	1981-08-21	1999-01-01	21324	716	9999-12-31	2013-05-08
066	1981-08-21	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21324	749	9999-12-31	2013-05-08
066	1985-01-01	1990-06-13	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21324	749	9999-12-31	2013-05-08
066	1990-06-13	1993-01-25	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21324	749	9999-12-31	2013-05-08
066	1993-01-25	1993-12-08	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21324	749	9999-12-31	2013-05-08
066	1993-12-08	1995-02-22	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21324	749	9999-12-31	2013-05-08
066	1995-02-22	1996-07-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21324	749	9999-12-31	2013-05-08
066	1996-07-31	1999-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21324	749	9999-12-31	2013-05-08
066	1999-01-01	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	21324	749	9999-12-31	2013-05-08
066	2001-06-01	2002-12-31	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21324	1622484	9999-12-31	2013-05-08
066	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21324	1623450	9999-12-31	2013-05-08
067	1981-08-21	1985-01-01	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21332	45	9999-12-31	2013-05-08
067	1985-01-01	1991-08-01	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21332	45	9999-12-31	2013-05-08
067	1991-08-01	1999-01-01	Norsk Agip  AS	40.000000	\N	1991-08-01	1999-01-01	21332	45	9999-12-31	2013-05-08
067	1981-08-21	1985-01-01	A/S Norske Shell	30.000000	\N	1981-08-21	1991-08-01	21332	562	9999-12-31	2013-05-08
067	1985-01-01	1991-08-01	A/S Norske Shell	30.000000	\N	1981-08-21	1991-08-01	21332	562	9999-12-31	2013-05-08
067	1981-08-21	1985-01-01	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	21332	705	9999-12-31	2013-05-08
067	1985-01-01	1991-08-01	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	21332	705	9999-12-31	2013-05-08
067	1991-08-01	1999-01-01	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	21332	705	9999-12-31	2013-05-08
067	1981-08-21	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21332	749	9999-12-31	2013-05-08
067	1985-01-01	1991-08-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21332	749	9999-12-31	2013-05-08
067	1991-08-01	1999-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21332	749	9999-12-31	2013-05-08
068	1981-08-21	1985-01-01	Norske Conoco A/S	7.500000	\N	9999-12-31	9999-12-31	21340	221	9999-12-31	2013-05-08
068	1985-01-01	1992-01-01	Norske Conoco A/S	7.500000	\N	9999-12-31	9999-12-31	21340	221	9999-12-31	2013-05-08
068	1981-08-21	1985-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1981-08-21	1992-01-01	21340	430	9999-12-31	2013-05-08
068	1985-01-01	1992-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1981-08-21	1992-01-01	21340	430	9999-12-31	2013-05-08
068	1981-08-21	1985-01-01	Mobil Development Norway AS	7.500000	\N	9999-12-31	9999-12-31	21340	474	9999-12-31	2013-05-08
068	1985-01-01	1992-01-01	Mobil Development Norway AS	7.500000	\N	9999-12-31	9999-12-31	21340	474	9999-12-31	2013-05-08
068	1981-08-21	1985-01-01	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21340	716	9999-12-31	2013-05-08
068	1985-01-01	1992-01-01	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21340	716	9999-12-31	2013-05-08
068	1981-08-21	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21340	749	9999-12-31	2013-05-08
068	1985-01-01	1992-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21340	749	9999-12-31	2013-05-08
069	1981-08-21	1985-01-01	BP Petroleum Dev. of Norway AS	5.000000	\N	9999-12-31	9999-12-31	21348	155	9999-12-31	2013-05-08
069	1985-01-01	1994-11-10	BP Petroleum Dev. of Norway AS	5.000000	\N	9999-12-31	9999-12-31	21348	155	9999-12-31	2013-05-08
069	1981-08-21	1985-01-01	Norske Conoco A/S	25.000000	\N	1981-08-21	1996-08-26	21348	221	9999-12-31	2013-05-08
069	1985-01-01	1994-11-10	Norske Conoco A/S	25.000000	\N	1981-08-21	1996-08-26	21348	221	9999-12-31	2013-05-08
069	1994-11-10	1995-05-09	Norske Conoco A/S	25.000000	\N	1981-08-21	1996-08-26	21348	221	9999-12-31	2013-05-08
069	1995-05-09	1996-08-26	Norske Conoco A/S	25.000000	\N	1981-08-21	1996-08-26	21348	221	9999-12-31	2013-05-08
069	1981-08-21	1985-01-01	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21348	254	9999-12-31	2013-05-08
069	1985-01-01	1994-11-10	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21348	254	9999-12-31	2013-05-08
069	1994-11-10	1995-05-09	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21348	254	9999-12-31	2013-05-08
069	1995-05-09	1996-08-26	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21348	254	9999-12-31	2013-05-08
069	1996-08-26	1998-12-17	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21348	254	9999-12-31	2013-05-08
069	1994-11-10	1995-05-09	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21348	276	9999-12-31	2013-05-08
069	1981-08-21	1985-01-01	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21348	430	9999-12-31	2013-05-08
069	1985-01-01	1994-11-10	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21348	430	9999-12-31	2013-05-08
069	1994-11-10	1995-05-09	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21348	430	9999-12-31	2013-05-08
069	1995-05-09	1996-08-26	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21348	430	9999-12-31	2013-05-08
069	1996-08-26	1998-12-17	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21348	430	9999-12-31	2013-05-08
069	1998-12-17	1999-12-31	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21348	430	9999-12-31	2013-05-08
069	1995-05-09	1996-08-26	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21348	716	9999-12-31	2013-05-08
069	1996-08-26	1998-12-17	Saga Petroleum ASA	30.000000	\N	1996-08-26	1999-12-31	21348	716	9999-12-31	2013-05-08
069	1998-12-17	1999-12-31	Saga Petroleum ASA	30.000000	\N	1996-08-26	1999-12-31	21348	716	9999-12-31	2013-05-08
069	1981-08-21	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21348	749	9999-12-31	2013-05-08
069	1985-01-01	1994-11-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21348	749	9999-12-31	2013-05-08
069	1994-11-10	1995-05-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21348	749	9999-12-31	2013-05-08
069	1995-05-09	1996-08-26	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21348	749	9999-12-31	2013-05-08
069	1996-08-26	1998-12-17	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21348	749	9999-12-31	2013-05-08
069	1998-12-17	1999-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21348	749	9999-12-31	2013-05-08
069	1998-12-17	1999-12-31	RWE Dea Norge AS	5.000000	\N	9999-12-31	9999-12-31	21348	97557	9999-12-31	2013-05-08
070	1993-01-07	1994-01-01	Amoco Norway Oil Company	7.350000	\N	9999-12-31	9999-12-31	21356	78	9999-12-31	2013-05-08
070	1994-01-01	1999-12-31	Amoco Norway AS	14.700000	\N	9999-12-31	9999-12-31	21356	89	9999-12-31	2013-05-08
070	1981-08-21	1985-01-01	Norske Conoco A/S	7.500000	\N	9999-12-31	9999-12-31	21356	221	9999-12-31	2013-05-08
070	1985-01-01	1993-01-07	Norske Conoco A/S	7.500000	\N	9999-12-31	9999-12-31	21356	221	9999-12-31	2013-05-08
070	1993-01-07	1994-01-01	Norske Conoco A/S	7.350000	\N	9999-12-31	9999-12-31	21356	221	9999-12-31	2013-05-08
070	1981-08-21	1985-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1981-08-21	1999-12-31	21356	430	9999-12-31	2013-05-08
070	1985-01-01	1993-01-07	Norsk Hydro Produksjon AS	25.000000	\N	1981-08-21	1999-12-31	21356	430	9999-12-31	2013-05-08
070	1993-01-07	1994-01-01	Norsk Hydro Produksjon AS	24.500000	\N	1981-08-21	1999-12-31	21356	430	9999-12-31	2013-05-08
070	1994-01-01	1999-12-31	Norsk Hydro Produksjon AS	24.500000	\N	1981-08-21	1999-12-31	21356	430	9999-12-31	2013-05-08
070	1981-08-21	1985-01-01	Mobil Development Norway AS	7.500000	\N	9999-12-31	9999-12-31	21356	474	9999-12-31	2013-05-08
070	1985-01-01	1993-01-07	Mobil Development Norway AS	7.500000	\N	9999-12-31	9999-12-31	21356	474	9999-12-31	2013-05-08
070	1981-08-21	1985-01-01	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21356	716	9999-12-31	2013-05-08
070	1985-01-01	1993-01-07	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21356	716	9999-12-31	2013-05-08
070	1993-01-07	1994-01-01	Saga Petroleum ASA	9.800000	\N	9999-12-31	9999-12-31	21356	716	9999-12-31	2013-05-08
070	1994-01-01	1999-12-31	Saga Petroleum ASA	9.800000	\N	9999-12-31	9999-12-31	21356	716	9999-12-31	2013-05-08
070	1981-08-21	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21356	749	9999-12-31	2013-05-08
070	1985-01-01	1993-01-07	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21356	749	9999-12-31	2013-05-08
070	1993-01-07	1994-01-01	Den norske stats oljeselskap a.s	51.000000	31.400000	9999-12-31	9999-12-31	21356	749	9999-12-31	2013-05-08
070	1994-01-01	1999-12-31	Den norske stats oljeselskap a.s	51.000000	31.400000	9999-12-31	9999-12-31	21356	749	9999-12-31	2013-05-08
071	1981-08-21	1985-01-01	A/S Norske Shell	35.000000	\N	9999-12-31	9999-12-31	21364	562	9999-12-31	2013-05-08
071	1985-01-01	1989-01-01	A/S Norske Shell	35.000000	\N	9999-12-31	9999-12-31	21364	562	9999-12-31	2013-05-08
071	1981-08-21	1985-01-01	Svenska Petroleum Exploration AS	7.500000	\N	9999-12-31	9999-12-31	21364	738	9999-12-31	2013-05-08
071	1985-01-01	1989-01-01	Svenska Petroleum Exploration AS	7.500000	\N	9999-12-31	9999-12-31	21364	738	9999-12-31	2013-05-08
071	1981-08-21	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1981-08-21	1989-01-01	21364	749	9999-12-31	2013-05-08
071	1985-01-01	1989-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1981-08-21	1989-01-01	21364	749	9999-12-31	2013-05-08
071	1981-08-21	1985-01-01	Volvo Petroleum Norge A/S	7.500000	\N	9999-12-31	9999-12-31	21364	903	9999-12-31	2013-05-08
071	1985-01-01	1989-01-01	Volvo Petroleum Norge A/S	7.500000	\N	9999-12-31	9999-12-31	21364	903	9999-12-31	2013-05-08
072	1981-08-21	1985-01-01	Esso Exploration and Production Norway A/S	40.000000	\N	1981-08-21	2004-10-01	21372	353	9999-12-31	2013-05-08
072	1985-01-01	2001-05-10	Esso Exploration and Production Norway A/S	40.000000	\N	1981-08-21	2004-10-01	21372	353	9999-12-31	2013-05-08
072	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	40.000000	\N	1981-08-21	2004-10-01	21372	353	9999-12-31	2013-05-08
072	2001-06-01	2004-10-01	Esso Exploration and Production Norway A/S	40.000000	\N	1981-08-21	2004-10-01	21372	353	9999-12-31	2013-05-08
072	1981-08-21	1985-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21372	430	9999-12-31	2013-05-08
072	1985-01-01	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21372	430	9999-12-31	2013-05-08
072	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21372	430	9999-12-31	2013-05-08
072	2001-06-01	2004-10-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21372	430	9999-12-31	2013-05-08
072	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21372	430	9999-12-31	2013-05-08
072	1981-08-21	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21372	749	9999-12-31	2013-05-08
072	1985-01-01	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21372	749	9999-12-31	2013-05-08
072	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21372	1622484	9999-12-31	2013-05-08
072	2001-06-01	2004-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21372	1622484	9999-12-31	2013-05-08
072	2004-10-01	2007-01-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21372	1622484	9999-12-31	2013-05-08
072	2007-01-01	2007-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21372	1622484	9999-12-31	2013-05-08
072	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21372	1623450	9999-12-31	2013-05-08
072	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	40.000000	\N	2004-10-01	9999-12-31	21372	2835212	9999-12-31	2013-05-08
072	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	40.000000	\N	2004-10-01	9999-12-31	21372	2835212	9999-12-31	2013-05-08
072	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	40.000000	\N	2004-10-01	9999-12-31	21372	2835212	9999-12-31	2013-05-08
072	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	40.000000	\N	2004-10-01	9999-12-31	21372	2835212	9999-12-31	2013-05-08
072	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	40.000000	\N	2004-10-01	9999-12-31	21372	2835212	9999-12-31	2013-05-08
072	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21372	4511658	9999-12-31	2013-05-08
072	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	9999-12-31	9999-12-31	21372	4511658	9999-12-31	2013-05-08
072	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	21372	4511854	9999-12-31	2013-05-08
072	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21372	4524355	9999-12-31	2013-05-08
072	2009-11-02	9999-12-31	Statoil Petroleum AS	60.000000	\N	9999-12-31	9999-12-31	21372	17237817	9999-12-31	2013-05-08
073	2003-09-15	2003-12-31	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	21380	45	9999-12-31	2013-05-08
073	1982-04-23	1985-01-01	Amoco Norway AS	20.000000	\N	9999-12-31	9999-12-31	21380	89	9999-12-31	2013-05-08
073	1985-01-01	1993-04-01	Amoco Norway AS	20.000000	\N	9999-12-31	9999-12-31	21380	89	9999-12-31	2013-05-08
073	1993-04-01	1994-04-01	Amoco Norway AS	20.000000	\N	9999-12-31	9999-12-31	21380	89	9999-12-31	2013-05-08
073	1982-04-23	1985-01-01	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	21380	221	9999-12-31	2013-05-08
073	1985-01-01	1993-04-01	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	21380	221	9999-12-31	2013-05-08
073	1982-04-23	1985-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	1985-01-01	1993-04-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	1993-04-01	1994-04-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	1994-04-01	2000-01-31	Norsk Hydro Produksjon AS	16.667000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	2000-01-31	2001-05-10	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	2001-06-01	2001-12-18	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	2003-05-06	2003-09-15	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	2003-09-15	2003-12-31	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	2003-12-31	2006-01-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	2006-01-01	2006-01-02	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	2006-01-02	2007-01-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21380	430	9999-12-31	2013-05-08
073	2006-01-01	2006-01-02	Mobil Development Norway AS	6.290000	\N	9999-12-31	9999-12-31	21380	474	9999-12-31	2013-05-08
073	2006-01-02	2007-01-01	Mobil Development Norway AS	6.290000	\N	9999-12-31	9999-12-31	21380	474	9999-12-31	2013-05-08
073	2007-01-01	2007-10-01	Mobil Development Norway AS	6.290000	\N	9999-12-31	9999-12-31	21380	474	9999-12-31	2013-05-08
073	2007-10-01	2008-01-01	Mobil Development Norway AS	6.290000	\N	9999-12-31	9999-12-31	21380	474	9999-12-31	2013-05-08
073	2008-01-01	2008-01-02	Mobil Development Norway AS	6.290000	\N	9999-12-31	9999-12-31	21380	474	9999-12-31	2013-05-08
073	1982-04-23	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1982-04-23	2001-05-10	21380	749	9999-12-31	2013-05-08
073	1985-01-01	1993-04-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1982-04-23	2001-05-10	21380	749	9999-12-31	2013-05-08
073	1993-04-01	1994-04-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1982-04-23	2001-05-10	21380	749	9999-12-31	2013-05-08
073	1994-04-01	2000-01-31	Den norske stats oljeselskap a.s	50.000000	30.000000	1982-04-23	2001-05-10	21380	749	9999-12-31	2013-05-08
073	2000-01-31	2001-05-10	Den norske stats oljeselskap a.s	54.667000	30.000000	1982-04-23	2001-05-10	21380	749	9999-12-31	2013-05-08
073	1993-04-01	1994-04-01	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	21380	848	9999-12-31	2013-05-08
073	1994-04-01	2000-01-31	Total Norge AS	33.333000	\N	9999-12-31	9999-12-31	21380	848	9999-12-31	2013-05-08
073	2000-01-31	2001-05-10	Total Norge AS	33.333000	\N	9999-12-31	9999-12-31	21380	848	9999-12-31	2013-05-08
073	2001-05-10	2001-06-01	Total Norge AS	33.333000	\N	9999-12-31	9999-12-31	21380	848	9999-12-31	2013-05-08
073	2001-06-01	2001-12-18	Total Norge AS	33.333000	\N	9999-12-31	9999-12-31	21380	848	9999-12-31	2013-05-08
073	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	33.333000	\N	9999-12-31	9999-12-31	21380	1340884	9999-12-31	2013-05-08
073	2001-05-10	2001-06-01	Statoil ASA (old)	24.667000	\N	2001-05-10	2007-10-01	21380	1622484	9999-12-31	2013-05-08
073	2001-06-01	2001-12-18	Statoil ASA (old)	54.667000	\N	2001-05-10	2007-10-01	21380	1622484	9999-12-31	2013-05-08
073	2001-12-18	2003-05-06	Statoil ASA (old)	54.667000	\N	2001-05-10	2007-10-01	21380	1622484	9999-12-31	2013-05-08
073	2003-05-06	2003-09-15	Statoil ASA (old)	54.667000	\N	2001-05-10	2007-10-01	21380	1622484	9999-12-31	2013-05-08
073	2003-09-15	2003-12-31	Statoil ASA (old)	46.767000	\N	2001-05-10	2007-10-01	21380	1622484	9999-12-31	2013-05-08
073	2003-12-31	2006-01-01	Statoil ASA (old)	46.767000	\N	2001-05-10	2007-10-01	21380	1622484	9999-12-31	2013-05-08
073	2006-01-01	2006-01-02	Statoil ASA (old)	46.767000	\N	2001-05-10	2007-10-01	21380	1622484	9999-12-31	2013-05-08
073	2006-01-02	2007-01-01	Statoil ASA (old)	46.767000	\N	2001-05-10	2007-10-01	21380	1622484	9999-12-31	2013-05-08
073	2007-01-01	2007-10-01	Statoil ASA (old)	46.767000	\N	2001-05-10	2007-10-01	21380	1622484	9999-12-31	2013-05-08
073	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21380	1623450	9999-12-31	2013-05-08
073	2003-12-31	2006-01-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	21380	2388594	9999-12-31	2013-05-08
073	2006-01-01	2006-01-02	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	21380	2388594	9999-12-31	2013-05-08
073	2006-01-02	2007-01-01	Eni Norge AS	5.800000	\N	9999-12-31	9999-12-31	21380	2388594	9999-12-31	2013-05-08
073	2007-01-01	2007-10-01	Eni Norge AS	5.800000	\N	9999-12-31	9999-12-31	21380	2388594	9999-12-31	2013-05-08
073	2007-10-01	2008-01-01	Eni Norge AS	5.800000	\N	9999-12-31	9999-12-31	21380	2388594	9999-12-31	2013-05-08
073	2008-01-01	2008-01-02	Eni Norge AS	5.800000	\N	9999-12-31	9999-12-31	21380	2388594	9999-12-31	2013-05-08
073	2008-01-02	2009-01-01	Eni Norge AS	5.800000	\N	9999-12-31	9999-12-31	21380	2388594	9999-12-31	2013-05-08
073	2009-01-01	2009-11-02	Eni Norge AS	5.800000	\N	9999-12-31	9999-12-31	21380	2388594	9999-12-31	2013-05-08
073	2009-11-02	9999-12-31	Eni Norge AS	5.800000	\N	9999-12-31	9999-12-31	21380	2388594	9999-12-31	2013-05-08
073	2003-05-06	2003-09-15	Total E&P Norge AS	33.333000	\N	9999-12-31	9999-12-31	21380	2410708	9999-12-31	2013-05-08
073	2003-09-15	2003-12-31	Total E&P Norge AS	33.333000	\N	9999-12-31	9999-12-31	21380	2410708	9999-12-31	2013-05-08
073	2003-12-31	2006-01-01	Total E&P Norge AS	33.333000	\N	9999-12-31	9999-12-31	21380	2410708	9999-12-31	2013-05-08
073	2006-01-01	2006-01-02	Total E&P Norge AS	27.043000	\N	9999-12-31	9999-12-31	21380	2410708	9999-12-31	2013-05-08
073	2006-01-02	2007-01-01	Total E&P Norge AS	29.143000	\N	9999-12-31	9999-12-31	21380	2410708	9999-12-31	2013-05-08
073	2007-01-01	2007-10-01	Total E&P Norge AS	29.143000	\N	9999-12-31	9999-12-31	21380	2410708	9999-12-31	2013-05-08
073	2007-10-01	2008-01-01	Total E&P Norge AS	29.143000	\N	9999-12-31	9999-12-31	21380	2410708	9999-12-31	2013-05-08
073	2008-01-01	2008-01-02	Total E&P Norge AS	29.143000	\N	9999-12-31	9999-12-31	21380	2410708	9999-12-31	2013-05-08
073	2008-01-02	2009-01-01	Total E&P Norge AS	29.143000	\N	9999-12-31	9999-12-31	21380	2410708	9999-12-31	2013-05-08
073	2009-01-01	2009-11-02	Total E&P Norge AS	29.143000	\N	9999-12-31	9999-12-31	21380	2410708	9999-12-31	2013-05-08
073	2009-11-02	9999-12-31	Total E&P Norge AS	29.143000	\N	9999-12-31	9999-12-31	21380	2410708	9999-12-31	2013-05-08
073	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	6.290000	\N	9999-12-31	9999-12-31	21380	2835212	9999-12-31	2013-05-08
073	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	6.290000	\N	9999-12-31	9999-12-31	21380	2835212	9999-12-31	2013-05-08
073	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	6.290000	\N	9999-12-31	9999-12-31	21380	2835212	9999-12-31	2013-05-08
073	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	21380	4511658	9999-12-31	2013-05-08
073	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	58.767000	\N	2009-01-01	2009-11-01	21380	4511658	9999-12-31	2013-05-08
073	2007-10-01	2008-01-01	StatoilHydro ASA	46.767000	\N	2007-10-01	2008-12-31	21380	4511854	9999-12-31	2013-05-08
073	2008-01-01	2008-01-02	StatoilHydro ASA	58.767000	\N	2007-10-01	2008-12-31	21380	4511854	9999-12-31	2013-05-08
073	2008-01-02	2009-01-01	StatoilHydro ASA	58.767000	\N	2007-10-01	2008-12-31	21380	4511854	9999-12-31	2013-05-08
073	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	21380	4524355	9999-12-31	2013-05-08
073	2009-11-02	9999-12-31	Statoil Petroleum AS	58.767000	\N	2009-11-02	9999-12-31	21380	17237817	9999-12-31	2013-05-08
074	1982-04-23	1985-01-01	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	21388	45	9999-12-31	2013-05-08
074	1985-01-01	1990-07-25	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	21388	45	9999-12-31	2013-05-08
074	1990-07-25	1992-01-01	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	21388	45	9999-12-31	2013-05-08
074	1992-01-01	1995-04-05	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	21388	45	9999-12-31	2013-05-08
074	1995-04-05	1999-04-13	Norsk Agip  AS	14.700000	\N	9999-12-31	9999-12-31	21388	45	9999-12-31	2013-05-08
074	1999-04-13	2001-01-11	Norsk Agip  AS	14.700000	\N	9999-12-31	9999-12-31	21388	45	9999-12-31	2013-05-08
074	2001-01-11	2001-05-10	Norsk Agip  AS	14.700000	\N	9999-12-31	9999-12-31	21388	45	9999-12-31	2013-05-08
074	2001-05-10	2001-06-01	Norsk Agip  AS	14.700000	\N	9999-12-31	9999-12-31	21388	45	9999-12-31	2013-05-08
074	2001-06-01	2001-06-17	Norsk Agip  AS	14.700000	\N	9999-12-31	9999-12-31	21388	45	9999-12-31	2013-05-08
074	2001-06-17	2003-03-04	Norsk Agip  AS	14.700000	\N	9999-12-31	9999-12-31	21388	45	9999-12-31	2013-05-08
074	2003-03-04	2003-12-31	Norsk Agip  AS	14.700000	\N	9999-12-31	9999-12-31	21388	45	9999-12-31	2013-05-08
074	1982-04-23	1985-01-01	Arco Norge A/S	15.000000	\N	9999-12-31	9999-12-31	21388	122	9999-12-31	2013-05-08
074	1985-01-01	1990-07-25	Arco Norge A/S	15.000000	\N	9999-12-31	9999-12-31	21388	122	9999-12-31	2013-05-08
074	1982-04-23	1985-01-01	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21388	254	9999-12-31	2013-05-08
074	1985-01-01	1990-07-25	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21388	254	9999-12-31	2013-05-08
074	1990-07-25	1992-01-01	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21388	254	9999-12-31	2013-05-08
074	1992-01-01	1995-04-05	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21388	254	9999-12-31	2013-05-08
074	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	9.800000	\N	9999-12-31	9999-12-31	21388	430	9999-12-31	2013-05-08
074	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.800000	\N	9999-12-31	9999-12-31	21388	430	9999-12-31	2013-05-08
074	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.800000	\N	9999-12-31	9999-12-31	21388	430	9999-12-31	2013-05-08
074	2001-06-17	2003-03-04	Norsk Hydro Produksjon AS	9.800000	\N	9999-12-31	9999-12-31	21388	430	9999-12-31	2013-05-08
074	2003-03-04	2003-12-31	Norsk Hydro Produksjon AS	9.800000	\N	9999-12-31	9999-12-31	21388	430	9999-12-31	2013-05-08
074	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	9.800000	\N	9999-12-31	9999-12-31	21388	430	9999-12-31	2013-05-08
074	1995-04-05	1999-04-13	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	474	9999-12-31	2013-05-08
074	1999-04-13	2001-01-11	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	474	9999-12-31	2013-05-08
074	2001-01-11	2001-05-10	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	474	9999-12-31	2013-05-08
074	2001-05-10	2001-06-01	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	474	9999-12-31	2013-05-08
074	2001-06-01	2001-06-17	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	474	9999-12-31	2013-05-08
074	2001-06-17	2003-03-04	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	474	9999-12-31	2013-05-08
074	2003-03-04	2003-12-31	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	474	9999-12-31	2013-05-08
074	2003-12-31	2007-01-01	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	474	9999-12-31	2013-05-08
074	2007-01-01	2007-10-01	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	474	9999-12-31	2013-05-08
074	2007-10-01	2008-01-01	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	474	9999-12-31	2013-05-08
074	2008-01-01	2008-01-02	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	474	9999-12-31	2013-05-08
074	1990-07-25	1992-01-01	Neste Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	21388	496	9999-12-31	2013-05-08
074	1992-01-01	1995-04-05	Neste Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	21388	496	9999-12-31	2013-05-08
074	1995-04-05	1999-04-13	Neste Petroleum AS	14.700000	\N	9999-12-31	9999-12-31	21388	496	9999-12-31	2013-05-08
074	1982-04-23	1985-01-01	Saga Petroleum ASA	10.000000	\N	1982-04-23	1995-08-31	21388	716	9999-12-31	2013-05-08
074	1985-01-01	1990-07-25	Saga Petroleum ASA	10.000000	\N	1982-04-23	1995-08-31	21388	716	9999-12-31	2013-05-08
074	1990-07-25	1992-01-01	Saga Petroleum ASA	10.000000	\N	1982-04-23	1995-08-31	21388	716	9999-12-31	2013-05-08
074	1992-01-01	1995-04-05	Saga Petroleum ASA	10.000000	\N	1982-04-23	1995-08-31	21388	716	9999-12-31	2013-05-08
074	1995-04-05	1999-04-13	Saga Petroleum ASA	9.800000	\N	1982-04-23	1995-08-31	21388	716	9999-12-31	2013-05-08
074	1999-04-13	2001-01-11	Saga Petroleum ASA	9.800000	\N	9999-12-31	9999-12-31	21388	716	9999-12-31	2013-05-08
074	1982-04-23	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21388	749	9999-12-31	2013-05-08
074	1985-01-01	1990-07-25	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21388	749	9999-12-31	2013-05-08
074	1990-07-25	1992-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21388	749	9999-12-31	2013-05-08
074	1992-01-01	1995-04-05	Den norske stats oljeselskap a.s	50.000000	31.400000	9999-12-31	9999-12-31	21388	749	9999-12-31	2013-05-08
074	1995-04-05	1999-04-13	Den norske stats oljeselskap a.s	51.000000	31.400000	1995-09-01	2001-05-10	21388	749	9999-12-31	2013-05-08
074	1999-04-13	2001-01-11	Den norske stats oljeselskap a.s	51.000000	31.400000	1995-09-01	2001-05-10	21388	749	9999-12-31	2013-05-08
074	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	51.000000	31.400000	1995-09-01	2001-05-10	21388	749	9999-12-31	2013-05-08
074	1999-04-13	2001-01-11	Fortum Petroleum AS	14.700000	\N	9999-12-31	9999-12-31	21388	102714	9999-12-31	2013-05-08
074	2001-01-11	2001-05-10	Fortum Petroleum AS	14.700000	\N	9999-12-31	9999-12-31	21388	102714	9999-12-31	2013-05-08
074	2001-05-10	2001-06-01	Fortum Petroleum AS	14.700000	\N	9999-12-31	9999-12-31	21388	102714	9999-12-31	2013-05-08
074	2001-06-01	2001-06-17	Fortum Petroleum AS	14.700000	\N	9999-12-31	9999-12-31	21388	102714	9999-12-31	2013-05-08
074	2001-06-17	2003-03-04	Fortum Petroleum AS	14.700000	\N	9999-12-31	9999-12-31	21388	102714	9999-12-31	2013-05-08
074	2001-05-10	2001-06-01	Statoil ASA (old)	19.600000	\N	2001-05-10	2007-10-01	21388	1622484	9999-12-31	2013-05-08
074	2001-06-01	2001-06-17	Statoil ASA (old)	31.050000	\N	2001-05-10	2007-10-01	21388	1622484	9999-12-31	2013-05-08
074	2001-06-17	2003-03-04	Statoil ASA (old)	31.050000	\N	2001-05-10	2007-10-01	21388	1622484	9999-12-31	2013-05-08
074	2003-03-04	2003-12-31	Statoil ASA (old)	31.050000	\N	2001-05-10	2007-10-01	21388	1622484	9999-12-31	2013-05-08
074	2003-12-31	2007-01-01	Statoil ASA (old)	31.050000	\N	2001-05-10	2007-10-01	21388	1622484	9999-12-31	2013-05-08
074	2007-01-01	2007-10-01	Statoil ASA (old)	31.050000	\N	2001-05-10	2007-10-01	21388	1622484	9999-12-31	2013-05-08
074	2001-05-10	2001-06-01	SDØE	31.400000	\N	9999-12-31	9999-12-31	21388	1623450	9999-12-31	2013-05-08
074	2001-06-01	2001-06-17	SDØE	19.950000	\N	9999-12-31	9999-12-31	21388	1623450	9999-12-31	2013-05-08
074	2001-06-17	2003-03-04	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21388	1626839	9999-12-31	2013-05-08
074	2003-03-04	2003-12-31	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21388	1626839	9999-12-31	2013-05-08
074	2003-12-31	2007-01-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21388	1626839	9999-12-31	2013-05-08
074	2007-01-01	2007-10-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21388	1626839	9999-12-31	2013-05-08
074	2007-10-01	2008-01-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21388	1626839	9999-12-31	2013-05-08
074	2008-01-01	2008-01-02	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21388	1626839	9999-12-31	2013-05-08
074	2008-01-02	2009-01-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21388	1626839	9999-12-31	2013-05-08
074	2009-01-01	2009-11-02	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21388	1626839	9999-12-31	2013-05-08
074	2009-11-02	9999-12-31	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	21388	1626839	9999-12-31	2013-05-08
074	2003-03-04	2003-12-31	Eni Norge AS	14.700000	\N	9999-12-31	9999-12-31	21388	2388594	9999-12-31	2013-05-08
074	2003-12-31	2007-01-01	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	21388	2388594	9999-12-31	2013-05-08
074	2007-01-01	2007-10-01	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	21388	2388594	9999-12-31	2013-05-08
074	2007-10-01	2008-01-01	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	21388	2388594	9999-12-31	2013-05-08
074	2008-01-01	2008-01-02	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	21388	2388594	9999-12-31	2013-05-08
074	2008-01-02	2009-01-01	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	21388	2388594	9999-12-31	2013-05-08
074	2009-01-01	2009-11-02	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	21388	2388594	9999-12-31	2013-05-08
074	2009-11-02	9999-12-31	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	21388	2388594	9999-12-31	2013-05-08
074	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	2835212	9999-12-31	2013-05-08
074	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	2835212	9999-12-31	2013-05-08
074	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	9.800000	\N	9999-12-31	9999-12-31	21388	2835212	9999-12-31	2013-05-08
074	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21388	4511658	9999-12-31	2013-05-08
074	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	40.850000	\N	2009-01-01	2009-11-01	21388	4511658	9999-12-31	2013-05-08
074	2007-10-01	2008-01-01	StatoilHydro ASA	31.050000	\N	2007-10-01	2008-12-31	21388	4511854	9999-12-31	2013-05-08
074	2008-01-01	2008-01-02	StatoilHydro ASA	40.850000	\N	2007-10-01	2008-12-31	21388	4511854	9999-12-31	2013-05-08
074	2008-01-02	2009-01-01	StatoilHydro ASA	40.850000	\N	2007-10-01	2008-12-31	21388	4511854	9999-12-31	2013-05-08
074	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21388	4524355	9999-12-31	2013-05-08
074	2009-11-02	9999-12-31	Statoil Petroleum AS	40.850000	\N	2009-11-02	9999-12-31	21388	17237817	9999-12-31	2013-05-08
075	1982-04-23	1985-01-01	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21396	122	9999-12-31	2013-05-08
075	1985-01-01	1988-04-23	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21396	122	9999-12-31	2013-05-08
075	1982-04-23	1985-01-01	BP Petroleum Dev. of Norway AS	30.000000	\N	1982-04-23	1988-04-23	21396	155	9999-12-31	2013-05-08
075	1985-01-01	1988-04-23	BP Petroleum Dev. of Norway AS	30.000000	\N	1982-04-23	1988-04-23	21396	155	9999-12-31	2013-05-08
075	1982-04-23	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21396	749	9999-12-31	2013-05-08
075	1985-01-01	1988-04-23	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21396	749	9999-12-31	2013-05-08
075	1982-04-23	1985-01-01	Unocal Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21396	892	9999-12-31	2013-05-08
075	1985-01-01	1988-04-23	Unocal Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21396	892	9999-12-31	2013-05-08
076	1982-04-23	1985-01-01	Elf Aquitaine Norge A/S	15.000000	\N	9999-12-31	9999-12-31	21404	331	9999-12-31	2013-05-08
076	1985-01-01	1988-04-23	Elf Aquitaine Norge A/S	15.000000	\N	9999-12-31	9999-12-31	21404	331	9999-12-31	2013-05-08
076	1982-04-23	1985-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1982-04-23	1988-04-23	21404	430	9999-12-31	2013-05-08
076	1985-01-01	1988-04-23	Norsk Hydro Produksjon AS	25.000000	\N	1982-04-23	1988-04-23	21404	430	9999-12-31	2013-05-08
076	1982-04-23	1985-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21404	562	9999-12-31	2013-05-08
076	1985-01-01	1988-04-23	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21404	562	9999-12-31	2013-05-08
076	1982-04-23	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21404	749	9999-12-31	2013-05-08
076	1985-01-01	1988-04-23	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21404	749	9999-12-31	2013-05-08
077	1982-04-23	1985-01-01	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21412	430	9999-12-31	2013-05-08
077	1985-01-01	1995-02-16	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21412	430	9999-12-31	2013-05-08
077	1995-02-16	1996-02-29	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21412	430	9999-12-31	2013-05-08
077	1996-02-29	1996-04-25	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21412	430	9999-12-31	2013-05-08
077	1996-04-25	2000-04-07	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21412	430	9999-12-31	2013-05-08
077	2000-04-07	2001-01-11	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21412	430	9999-12-31	2013-05-08
077	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21412	430	9999-12-31	2013-05-08
077	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21412	430	9999-12-31	2013-05-08
077	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21412	430	9999-12-31	2013-05-08
077	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21412	430	9999-12-31	2013-05-08
077	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21412	430	9999-12-31	2013-05-08
077	1982-04-23	1985-01-01	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	21412	705	9999-12-31	2013-05-08
077	1985-01-01	1995-02-16	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	21412	705	9999-12-31	2013-05-08
077	1995-02-16	1996-02-29	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	21412	705	9999-12-31	2013-05-08
077	1982-04-23	1985-01-01	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21412	716	9999-12-31	2013-05-08
077	1985-01-01	1995-02-16	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21412	716	9999-12-31	2013-05-08
077	1982-04-23	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1982-04-23	2001-05-10	21412	749	9999-12-31	2013-05-08
077	1985-01-01	1995-02-16	Den norske stats oljeselskap a.s	50.000000	30.000000	1982-04-23	2001-05-10	21412	749	9999-12-31	2013-05-08
077	1995-02-16	1996-02-29	Den norske stats oljeselskap a.s	55.000000	30.000000	1982-04-23	2001-05-10	21412	749	9999-12-31	2013-05-08
077	1996-02-29	1996-04-25	Den norske stats oljeselskap a.s	65.000000	30.000000	1982-04-23	2001-05-10	21412	749	9999-12-31	2013-05-08
077	1996-04-25	2000-04-07	Den norske stats oljeselskap a.s	75.000000	30.000000	1982-04-23	2001-05-10	21412	749	9999-12-31	2013-05-08
077	2000-04-07	2001-01-11	Den norske stats oljeselskap a.s	80.000000	30.000000	1982-04-23	2001-05-10	21412	749	9999-12-31	2013-05-08
077	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	68.000000	30.000000	1982-04-23	2001-05-10	21412	749	9999-12-31	2013-05-08
077	1982-04-23	1985-01-01	Texaco Exploration Norway AS	10.000000	\N	9999-12-31	9999-12-31	21412	804	9999-12-31	2013-05-08
077	1985-01-01	1995-02-16	Texaco Exploration Norway AS	10.000000	\N	9999-12-31	9999-12-31	21412	804	9999-12-31	2013-05-08
077	1995-02-16	1996-02-29	Texaco Exploration Norway AS	10.000000	\N	9999-12-31	9999-12-31	21412	804	9999-12-31	2013-05-08
077	1996-02-29	1996-04-25	Texaco Exploration Norway AS	10.000000	\N	9999-12-31	9999-12-31	21412	804	9999-12-31	2013-05-08
077	1982-04-23	1985-01-01	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	848	9999-12-31	2013-05-08
077	1985-01-01	1995-02-16	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	848	9999-12-31	2013-05-08
077	1995-02-16	1996-02-29	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	848	9999-12-31	2013-05-08
077	1996-02-29	1996-04-25	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	848	9999-12-31	2013-05-08
077	1996-04-25	2000-04-07	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	848	9999-12-31	2013-05-08
077	2000-04-07	2001-01-11	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	848	9999-12-31	2013-05-08
077	2001-01-11	2001-05-10	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	848	9999-12-31	2013-05-08
077	2001-05-10	2001-06-17	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	848	9999-12-31	2013-05-08
077	2001-06-17	2001-12-18	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	848	9999-12-31	2013-05-08
077	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	1340884	9999-12-31	2013-05-08
077	2001-05-10	2001-06-17	Statoil ASA (old)	38.000000	\N	2001-05-10	2007-10-01	21412	1622484	9999-12-31	2013-05-08
077	2001-06-17	2001-12-18	Statoil ASA (old)	38.000000	\N	2001-05-10	2007-10-01	21412	1622484	9999-12-31	2013-05-08
077	2001-12-18	2003-05-06	Statoil ASA (old)	38.000000	\N	2001-05-10	2007-10-01	21412	1622484	9999-12-31	2013-05-08
077	2003-05-06	2004-01-01	Statoil ASA (old)	38.000000	\N	2001-05-10	2007-10-01	21412	1622484	9999-12-31	2013-05-08
077	2004-01-01	2007-10-01	Statoil ASA (old)	48.000000	\N	2001-05-10	2007-10-01	21412	1622484	9999-12-31	2013-05-08
077	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21412	1623450	9999-12-31	2013-05-08
077	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21412	1626839	9999-12-31	2013-05-08
077	2001-12-18	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21412	1626839	9999-12-31	2013-05-08
077	2003-05-06	2004-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21412	1626839	9999-12-31	2013-05-08
077	2004-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21412	1626839	9999-12-31	2013-05-08
077	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21412	1626839	9999-12-31	2013-05-08
077	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21412	1626839	9999-12-31	2013-05-08
077	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21412	1626839	9999-12-31	2013-05-08
077	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21412	1626839	9999-12-31	2013-05-08
077	2001-01-11	2001-05-10	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21412	1628733	9999-12-31	2013-05-08
077	2001-05-10	2001-06-17	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21412	1628733	9999-12-31	2013-05-08
077	2001-06-17	2001-12-18	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21412	1628733	9999-12-31	2013-05-08
077	2001-12-18	2003-05-06	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21412	1628733	9999-12-31	2013-05-08
077	2003-05-06	2004-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21412	1628733	9999-12-31	2013-05-08
077	2004-01-01	2007-10-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21412	1628733	9999-12-31	2013-05-08
077	2007-10-01	2009-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21412	1628733	9999-12-31	2013-05-08
077	2003-05-06	2004-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	2410708	9999-12-31	2013-05-08
077	2004-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	2410708	9999-12-31	2013-05-08
077	2007-10-01	2009-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	2410708	9999-12-31	2013-05-08
077	2009-01-01	2009-01-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	2410708	9999-12-31	2013-05-08
077	2009-01-02	2009-11-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	2410708	9999-12-31	2013-05-08
077	2009-11-02	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21412	2410708	9999-12-31	2013-05-08
077	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	48.000000	\N	2009-01-01	2009-11-01	21412	4511658	9999-12-31	2013-05-08
077	2007-10-01	2009-01-01	StatoilHydro ASA	48.000000	\N	2007-10-01	2008-12-31	21412	4511854	9999-12-31	2013-05-08
077	2009-01-01	2009-01-02	StatoilHydro ASA	48.000000	\N	9999-12-31	9999-12-31	21412	4511854	9999-12-31	2013-05-08
077	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21412	5267845	9999-12-31	2013-05-08
077	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21412	5267845	9999-12-31	2013-05-08
077	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21412	5267845	9999-12-31	2013-05-08
077	2009-11-02	9999-12-31	Statoil Petroleum AS	48.000000	\N	2009-11-02	9999-12-31	21412	17237817	9999-12-31	2013-05-08
078	1991-07-01	1998-01-01	Elf Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21420	298	9999-12-31	2013-05-08
078	1982-04-23	1985-01-01	Elf Aquitaine Norge A/S	15.000000	\N	9999-12-31	9999-12-31	21420	331	9999-12-31	2013-05-08
078	1985-01-01	1991-07-01	Elf Aquitaine Norge A/S	15.000000	\N	9999-12-31	9999-12-31	21420	331	9999-12-31	2013-05-08
078	1982-04-23	1985-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1982-04-23	2000-04-10	21420	430	9999-12-31	2013-05-08
078	1985-01-01	1991-07-01	Norsk Hydro Produksjon AS	25.000000	\N	1982-04-23	2000-04-10	21420	430	9999-12-31	2013-05-08
078	1991-07-01	1998-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1982-04-23	2000-04-10	21420	430	9999-12-31	2013-05-08
078	1998-01-01	2000-04-07	Norsk Hydro Produksjon AS	25.000000	\N	1982-04-23	2000-04-10	21420	430	9999-12-31	2013-05-08
078	2000-04-07	2000-12-23	Norsk Hydro Produksjon AS	10.000000	\N	1982-04-23	2000-04-10	21420	430	9999-12-31	2013-05-08
078	2000-12-23	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21420	430	9999-12-31	2013-05-08
078	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21420	430	9999-12-31	2013-05-08
078	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21420	430	9999-12-31	2013-05-08
078	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21420	430	9999-12-31	2013-05-08
078	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21420	430	9999-12-31	2013-05-08
078	1982-04-23	1985-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21420	562	9999-12-31	2013-05-08
078	1985-01-01	1991-07-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21420	562	9999-12-31	2013-05-08
078	1982-04-23	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21420	749	9999-12-31	2013-05-08
078	1985-01-01	1991-07-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21420	749	9999-12-31	2013-05-08
078	1991-07-01	1998-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21420	749	9999-12-31	2013-05-08
078	1998-01-01	2000-04-07	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21420	749	9999-12-31	2013-05-08
078	2000-04-07	2000-12-23	Den norske stats oljeselskap a.s	65.000000	30.000000	2000-04-10	2001-05-10	21420	749	9999-12-31	2013-05-08
078	2000-12-23	2001-05-10	Den norske stats oljeselskap a.s	53.000000	30.000000	2000-04-10	2001-05-10	21420	749	9999-12-31	2013-05-08
078	1991-07-01	1998-01-01	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21420	848	9999-12-31	2013-05-08
078	1998-01-01	2000-04-07	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	848	9999-12-31	2013-05-08
078	2000-04-07	2000-12-23	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	848	9999-12-31	2013-05-08
078	2000-12-23	2001-05-10	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	848	9999-12-31	2013-05-08
078	2001-05-10	2001-06-17	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	848	9999-12-31	2013-05-08
078	2001-06-17	2001-12-18	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	848	9999-12-31	2013-05-08
078	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	1340884	9999-12-31	2013-05-08
078	2001-05-10	2001-06-17	Statoil ASA (old)	23.000000	\N	2001-05-10	2007-10-01	21420	1622484	9999-12-31	2013-05-08
078	2001-06-17	2001-12-18	Statoil ASA (old)	23.000000	\N	2001-05-10	2007-10-01	21420	1622484	9999-12-31	2013-05-08
078	2001-12-18	2003-05-06	Statoil ASA (old)	23.000000	\N	2001-05-10	2007-10-01	21420	1622484	9999-12-31	2013-05-08
078	2003-05-06	2004-01-01	Statoil ASA (old)	23.000000	\N	2001-05-10	2007-10-01	21420	1622484	9999-12-31	2013-05-08
078	2004-01-01	2007-10-01	Statoil ASA (old)	33.000000	\N	2001-05-10	2007-10-01	21420	1622484	9999-12-31	2013-05-08
078	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21420	1623450	9999-12-31	2013-05-08
078	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21420	1626839	9999-12-31	2013-05-08
078	2001-12-18	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21420	1626839	9999-12-31	2013-05-08
078	2003-05-06	2004-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21420	1626839	9999-12-31	2013-05-08
078	2004-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21420	1626839	9999-12-31	2013-05-08
078	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21420	1626839	9999-12-31	2013-05-08
078	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21420	1626839	9999-12-31	2013-05-08
078	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21420	1626839	9999-12-31	2013-05-08
078	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21420	1626839	9999-12-31	2013-05-08
078	2000-12-23	2001-05-10	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21420	1628733	9999-12-31	2013-05-08
078	2001-05-10	2001-06-17	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21420	1628733	9999-12-31	2013-05-08
078	2001-06-17	2001-12-18	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21420	1628733	9999-12-31	2013-05-08
078	2001-12-18	2003-05-06	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21420	1628733	9999-12-31	2013-05-08
078	2003-05-06	2004-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21420	1628733	9999-12-31	2013-05-08
078	2004-01-01	2007-10-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21420	1628733	9999-12-31	2013-05-08
078	2007-10-01	2009-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21420	1628733	9999-12-31	2013-05-08
078	2003-05-06	2004-01-01	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	2410708	9999-12-31	2013-05-08
078	2004-01-01	2007-10-01	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	2410708	9999-12-31	2013-05-08
078	2007-10-01	2009-01-01	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	2410708	9999-12-31	2013-05-08
078	2009-01-01	2009-01-02	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	2410708	9999-12-31	2013-05-08
078	2009-01-02	2009-11-02	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	2410708	9999-12-31	2013-05-08
078	2009-11-02	9999-12-31	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21420	2410708	9999-12-31	2013-05-08
078	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	33.000000	\N	2009-01-01	2009-11-01	21420	4511658	9999-12-31	2013-05-08
078	2007-10-01	2009-01-01	StatoilHydro ASA	33.000000	\N	2007-10-01	2008-12-31	21420	4511854	9999-12-31	2013-05-08
078	2009-01-01	2009-01-02	StatoilHydro ASA	33.000000	\N	9999-12-31	9999-12-31	21420	4511854	9999-12-31	2013-05-08
078	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21420	5267845	9999-12-31	2013-05-08
078	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21420	5267845	9999-12-31	2013-05-08
078	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21420	5267845	9999-12-31	2013-05-08
078	2009-11-02	9999-12-31	Statoil Petroleum AS	33.000000	\N	2009-11-02	9999-12-31	21420	17237817	9999-12-31	2013-05-08
080	1982-12-10	1985-01-01	Esso Exploration and Production Norway A/S	15.000000	\N	9999-12-31	9999-12-31	21436	353	9999-12-31	2013-05-08
080	1985-01-01	1988-12-10	Esso Exploration and Production Norway A/S	15.000000	\N	9999-12-31	9999-12-31	21436	353	9999-12-31	2013-05-08
080	1982-12-10	1985-01-01	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21436	430	9999-12-31	2013-05-08
080	1985-01-01	1988-12-10	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21436	430	9999-12-31	2013-05-08
080	1982-12-10	1985-01-01	Phillips Petroleum Norsk AS	30.000000	\N	9999-12-31	9999-12-31	21436	705	9999-12-31	2013-05-08
080	1985-01-01	1988-12-10	Phillips Petroleum Norsk AS	30.000000	\N	9999-12-31	9999-12-31	21436	705	9999-12-31	2013-05-08
080	1982-12-10	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1982-12-10	1988-12-10	21436	749	9999-12-31	2013-05-08
080	1985-01-01	1988-12-10	Den norske stats oljeselskap a.s	50.000000	30.000000	1982-12-10	1988-12-10	21436	749	9999-12-31	2013-05-08
081	1982-12-10	1985-01-01	Esso Exploration and Production Norway A/S	20.000000	\N	9999-12-31	9999-12-31	21444	353	9999-12-31	2013-05-08
081	1985-01-01	1988-12-10	Esso Exploration and Production Norway A/S	20.000000	\N	9999-12-31	9999-12-31	21444	353	9999-12-31	2013-05-08
081	1982-12-10	1985-01-01	Phillips Petroleum Norsk AS	30.000000	\N	9999-12-31	9999-12-31	21444	705	9999-12-31	2013-05-08
081	1985-01-01	1988-12-10	Phillips Petroleum Norsk AS	30.000000	\N	9999-12-31	9999-12-31	21444	705	9999-12-31	2013-05-08
081	1982-12-10	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21444	749	9999-12-31	2013-05-08
081	1985-01-01	1988-12-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21444	749	9999-12-31	2013-05-08
082	1982-12-10	1985-01-01	Esso Exploration and Production Norway A/S	30.000000	\N	9999-12-31	9999-12-31	21452	353	9999-12-31	2013-05-08
082	1985-01-01	1988-12-10	Esso Exploration and Production Norway A/S	30.000000	\N	9999-12-31	9999-12-31	21452	353	9999-12-31	2013-05-08
082	1982-12-10	1985-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21452	430	9999-12-31	2013-05-08
082	1985-01-01	1988-12-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21452	430	9999-12-31	2013-05-08
082	1982-12-10	1985-01-01	Saga Petroleum ASA	10.000000	\N	1982-12-10	1988-12-10	21452	716	9999-12-31	2013-05-08
082	1985-01-01	1988-12-10	Saga Petroleum ASA	10.000000	\N	1982-12-10	1988-12-10	21452	716	9999-12-31	2013-05-08
082	1982-12-10	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21452	749	9999-12-31	2013-05-08
082	1985-01-01	1988-12-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21452	749	9999-12-31	2013-05-08
083	1982-12-10	1985-01-01	Arco Norge A/S	20.000000	\N	9999-12-31	9999-12-31	21460	122	9999-12-31	2013-05-08
083	1985-01-01	1988-12-10	Arco Norge A/S	20.000000	\N	9999-12-31	9999-12-31	21460	122	9999-12-31	2013-05-08
083	1982-12-10	1985-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1982-12-10	1988-12-10	21460	430	9999-12-31	2013-05-08
083	1985-01-01	1988-12-10	Norsk Hydro Produksjon AS	25.000000	\N	1982-12-10	1988-12-10	21460	430	9999-12-31	2013-05-08
083	1982-12-10	1985-01-01	Svenska Petroleum Exploration AS	5.000000	\N	9999-12-31	9999-12-31	21460	738	9999-12-31	2013-05-08
083	1985-01-01	1988-12-10	Svenska Petroleum Exploration AS	5.000000	\N	9999-12-31	9999-12-31	21460	738	9999-12-31	2013-05-08
083	1982-12-10	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21460	749	9999-12-31	2013-05-08
083	1985-01-01	1988-12-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21460	749	9999-12-31	2013-05-08
084	1982-12-10	1985-01-01	Norsk Agip  AS	25.000000	\N	9999-12-31	9999-12-31	21468	45	9999-12-31	2013-05-08
084	1985-01-01	1988-12-10	Norsk Agip  AS	25.000000	\N	9999-12-31	9999-12-31	21468	45	9999-12-31	2013-05-08
084	1982-12-10	1985-01-01	Elf Aquitaine Norge A/S	25.000000	\N	9999-12-31	9999-12-31	21468	331	9999-12-31	2013-05-08
084	1985-01-01	1988-12-10	Elf Aquitaine Norge A/S	25.000000	\N	9999-12-31	9999-12-31	21468	331	9999-12-31	2013-05-08
084	1982-12-10	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1982-12-10	1988-12-10	21468	749	9999-12-31	2013-05-08
084	1985-01-01	1988-12-10	Den norske stats oljeselskap a.s	50.000000	30.000000	1982-12-10	1988-12-10	21468	749	9999-12-31	2013-05-08
085	1987-01-01	1999-12-11	Elf Petroleum Norge AS	2.000000	\N	9999-12-31	9999-12-31	21476	298	9999-12-31	2013-05-08
085	1999-12-11	2000-07-24	Elf Petroleum Norge AS	2.000000	\N	9999-12-31	9999-12-31	21476	298	9999-12-31	2013-05-08
085	1983-07-08	1985-01-01	Norsk Hydro Produksjon AS	9.000000	\N	1983-07-08	2007-01-01	21476	430	9999-12-31	2013-05-08
085	1985-01-01	1987-01-01	Norsk Hydro Produksjon AS	9.000000	\N	1983-07-08	2007-01-01	21476	430	9999-12-31	2013-05-08
085	1987-01-01	1999-12-11	Norsk Hydro Produksjon AS	9.000000	\N	1983-07-08	2007-01-01	21476	430	9999-12-31	2013-05-08
085	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	9.000000	\N	1983-07-08	2007-01-01	21476	430	9999-12-31	2013-05-08
085	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	9.000000	\N	1983-07-08	2007-01-01	21476	430	9999-12-31	2013-05-08
085	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	12.000000	\N	1983-07-08	2007-01-01	21476	430	9999-12-31	2013-05-08
085	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	12.000000	\N	1983-07-08	2007-01-01	21476	430	9999-12-31	2013-05-08
085	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	12.000000	\N	1983-07-08	2007-01-01	21476	430	9999-12-31	2013-05-08
085	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	12.000000	\N	1983-07-08	2007-01-01	21476	430	9999-12-31	2013-05-08
085	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	12.000000	\N	1983-07-08	2007-01-01	21476	430	9999-12-31	2013-05-08
085	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	12.000000	\N	1983-07-08	2007-01-01	21476	430	9999-12-31	2013-05-08
085	1983-07-08	1985-01-01	Saga Petroleum ASA	6.000000	\N	1983-07-08	2001-01-11	21476	716	9999-12-31	2013-05-08
085	1985-01-01	1987-01-01	Saga Petroleum ASA	6.000000	\N	1983-07-08	2001-01-11	21476	716	9999-12-31	2013-05-08
085	1987-01-01	1999-12-11	Saga Petroleum ASA	6.000000	\N	1983-07-08	2001-01-11	21476	716	9999-12-31	2013-05-08
085	1999-12-11	2000-07-24	Saga Petroleum ASA	3.000000	\N	1983-07-08	2001-01-11	21476	716	9999-12-31	2013-05-08
085	2000-07-24	2001-01-11	Saga Petroleum ASA	3.000000	\N	1983-07-08	2001-01-11	21476	716	9999-12-31	2013-05-08
085	1983-07-08	1985-01-01	Den norske stats oljeselskap a.s	85.000000	\N	1983-07-08	2001-05-10	21476	749	9999-12-31	2013-05-08
085 B	2001-05-10	2001-06-01	Statoil ASA (old)	12.000000	\N	2001-05-10	2007-10-01	21484	1622484	9999-12-31	2013-05-08
085	1985-01-01	1987-01-01	Den norske stats oljeselskap a.s	85.000000	73.000000	1983-07-08	2001-05-10	21476	749	9999-12-31	2013-05-08
085	1987-01-01	1999-12-11	Den norske stats oljeselskap a.s	82.000000	73.000000	1983-07-08	2001-05-10	21476	749	9999-12-31	2013-05-08
085	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	85.000000	73.000000	1983-07-08	2001-05-10	21476	749	9999-12-31	2013-05-08
085	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	85.000000	73.000000	1983-07-08	2001-05-10	21476	749	9999-12-31	2013-05-08
085	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	85.000000	73.000000	1983-07-08	2001-05-10	21476	749	9999-12-31	2013-05-08
085	1987-01-01	1999-12-11	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21476	848	9999-12-31	2013-05-08
085	1999-12-11	2000-07-24	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21476	848	9999-12-31	2013-05-08
085	2000-07-24	2001-01-11	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21476	848	9999-12-31	2013-05-08
085	2001-01-11	2001-05-10	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21476	848	9999-12-31	2013-05-08
085	2001-05-10	2001-06-01	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21476	848	9999-12-31	2013-05-08
085	2001-06-01	2001-06-17	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21476	848	9999-12-31	2013-05-08
085	2001-06-17	2001-12-18	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21476	848	9999-12-31	2013-05-08
085	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	2.000000	\N	9999-12-31	9999-12-31	21476	1340884	9999-12-31	2013-05-08
085	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	2.000000	\N	9999-12-31	9999-12-31	21476	1340884	9999-12-31	2013-05-08
085	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	2.000000	\N	9999-12-31	9999-12-31	21476	1340884	9999-12-31	2013-05-08
085	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	2.000000	\N	9999-12-31	9999-12-31	21476	1340884	9999-12-31	2013-05-08
085	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	2.000000	\N	9999-12-31	9999-12-31	21476	1340884	9999-12-31	2013-05-08
085	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	3.000000	\N	9999-12-31	9999-12-31	21476	1340884	9999-12-31	2013-05-08
085	2001-05-10	2001-06-01	Statoil ASA (old)	12.000000	\N	2001-05-10	2007-10-01	21476	1622484	9999-12-31	2013-05-08
085	2001-06-01	2001-06-17	Statoil ASA (old)	22.081340	\N	2001-05-10	2007-10-01	21476	1622484	9999-12-31	2013-05-08
085	2001-06-17	2001-12-18	Statoil ASA (old)	22.081340	\N	2001-05-10	2007-10-01	21476	1622484	9999-12-31	2013-05-08
085	2001-12-18	2003-05-06	Statoil ASA (old)	22.081340	\N	2001-05-10	2007-10-01	21476	1622484	9999-12-31	2013-05-08
085	2003-05-06	2007-01-01	Statoil ASA (old)	22.081340	\N	2001-05-10	2007-10-01	21476	1622484	9999-12-31	2013-05-08
085	2007-01-01	2007-10-01	Statoil ASA (old)	22.081340	\N	2001-05-10	2007-10-01	21476	1622484	9999-12-31	2013-05-08
085	2001-05-10	2001-06-01	SDØE	73.000000	\N	9999-12-31	9999-12-31	21476	1623450	9999-12-31	2013-05-08
085	2001-06-01	2001-06-17	SDØE	62.918660	\N	9999-12-31	9999-12-31	21476	1623450	9999-12-31	2013-05-08
085	2001-06-17	2001-12-18	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21476	1626839	9999-12-31	2013-05-08
085	2001-12-18	2003-05-06	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21476	1626839	9999-12-31	2013-05-08
085	2003-05-06	2007-01-01	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21476	1626839	9999-12-31	2013-05-08
085	2007-01-01	2007-10-01	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21476	1626839	9999-12-31	2013-05-08
085	2007-10-01	2007-10-02	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21476	1626839	9999-12-31	2013-05-08
085	2007-10-02	2009-01-01	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21476	1626839	9999-12-31	2013-05-08
085	2009-01-01	2009-11-02	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21476	1626839	9999-12-31	2013-05-08
085	2009-11-02	9999-12-31	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21476	1626839	9999-12-31	2013-05-08
085	2003-05-06	2007-01-01	Total E&P Norge AS	3.000000	\N	9999-12-31	9999-12-31	21476	2410708	9999-12-31	2013-05-08
085	2007-01-01	2007-10-01	Total E&P Norge AS	3.000000	\N	9999-12-31	9999-12-31	21476	2410708	9999-12-31	2013-05-08
085	2007-10-01	2007-10-02	Total E&P Norge AS	3.000000	\N	9999-12-31	9999-12-31	21476	2410708	9999-12-31	2013-05-08
085	2007-10-02	2009-01-01	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	21476	2410708	9999-12-31	2013-05-08
085	2009-01-01	2009-11-02	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	21476	2410708	9999-12-31	2013-05-08
085	2009-11-02	9999-12-31	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	21476	2410708	9999-12-31	2013-05-08
085	2007-10-01	2007-10-02	StatoilHydro Petroleum AS	12.000000	\N	2007-10-01	2008-12-31	21476	4511658	9999-12-31	2013-05-08
085	2007-10-02	2009-01-01	StatoilHydro Petroleum AS	12.000000	\N	2007-10-01	2008-12-31	21476	4511658	9999-12-31	2013-05-08
085	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	33.390380	\N	2009-01-01	2009-11-01	21476	4511658	9999-12-31	2013-05-08
085	2007-10-01	2007-10-02	StatoilHydro ASA	22.081340	\N	2007-10-01	2008-12-31	21476	4511854	9999-12-31	2013-05-08
085	2007-10-02	2009-01-01	StatoilHydro ASA	21.390380	\N	2007-10-01	2008-12-31	21476	4511854	9999-12-31	2013-05-08
085	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	12.000000	\N	2007-01-01	2007-10-01	21476	4524355	9999-12-31	2013-05-08
085	2009-11-02	9999-12-31	Statoil Petroleum AS	33.390380	\N	2009-11-02	9999-12-31	21476	17237817	9999-12-31	2013-05-08
085 B	1992-09-11	1999-12-11	Elf Petroleum Norge AS	2.000000	\N	9999-12-31	9999-12-31	21484	298	9999-12-31	2013-05-08
085 B	1999-12-11	2000-07-24	Elf Petroleum Norge AS	2.000000	\N	9999-12-31	9999-12-31	21484	298	9999-12-31	2013-05-08
085 B	1992-09-11	1999-12-11	Norsk Hydro Produksjon AS	9.000000	\N	1992-09-11	2007-01-01	21484	430	9999-12-31	2013-05-08
085 B	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	9.000000	\N	1992-09-11	2007-01-01	21484	430	9999-12-31	2013-05-08
085 B	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	9.000000	\N	1992-09-11	2007-01-01	21484	430	9999-12-31	2013-05-08
085 B	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	12.000000	\N	1992-09-11	2007-01-01	21484	430	9999-12-31	2013-05-08
085 B	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	12.000000	\N	1992-09-11	2007-01-01	21484	430	9999-12-31	2013-05-08
085 B	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	12.000000	\N	1992-09-11	2007-01-01	21484	430	9999-12-31	2013-05-08
085 B	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	12.000000	\N	1992-09-11	2007-01-01	21484	430	9999-12-31	2013-05-08
085 B	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	12.000000	\N	1992-09-11	2007-01-01	21484	430	9999-12-31	2013-05-08
085 B	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	12.000000	\N	1992-09-11	2007-01-01	21484	430	9999-12-31	2013-05-08
085 B	1992-09-11	1999-12-11	Saga Petroleum ASA	6.000000	\N	1992-09-11	2001-01-11	21484	716	9999-12-31	2013-05-08
085 B	1999-12-11	2000-07-24	Saga Petroleum ASA	3.000000	\N	1992-09-11	2001-01-11	21484	716	9999-12-31	2013-05-08
085 B	2000-07-24	2001-01-11	Saga Petroleum ASA	3.000000	\N	1992-09-11	2001-01-11	21484	716	9999-12-31	2013-05-08
085 B	1992-09-11	1999-12-11	Den norske stats oljeselskap a.s	82.000000	73.000000	1992-09-11	2001-05-10	21484	749	9999-12-31	2013-05-08
085 B	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	85.000000	73.000000	1992-09-11	2001-05-10	21484	749	9999-12-31	2013-05-08
085 B	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	85.000000	73.000000	1992-09-11	2001-05-10	21484	749	9999-12-31	2013-05-08
085 B	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	85.000000	73.000000	1992-09-11	2001-05-10	21484	749	9999-12-31	2013-05-08
085 B	1992-09-11	1999-12-11	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21484	848	9999-12-31	2013-05-08
085 B	1999-12-11	2000-07-24	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21484	848	9999-12-31	2013-05-08
085 B	2000-07-24	2001-01-11	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21484	848	9999-12-31	2013-05-08
085 B	2001-01-11	2001-05-10	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21484	848	9999-12-31	2013-05-08
085 B	2001-05-10	2001-06-01	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21484	848	9999-12-31	2013-05-08
085 B	2001-06-01	2001-06-17	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21484	848	9999-12-31	2013-05-08
085 B	2001-06-17	2001-12-18	Total Norge AS	1.000000	\N	9999-12-31	9999-12-31	21484	848	9999-12-31	2013-05-08
085 B	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	2.000000	\N	9999-12-31	9999-12-31	21484	1340884	9999-12-31	2013-05-08
085 B	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	2.000000	\N	9999-12-31	9999-12-31	21484	1340884	9999-12-31	2013-05-08
085 B	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	2.000000	\N	9999-12-31	9999-12-31	21484	1340884	9999-12-31	2013-05-08
085 B	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	2.000000	\N	9999-12-31	9999-12-31	21484	1340884	9999-12-31	2013-05-08
085 B	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	2.000000	\N	9999-12-31	9999-12-31	21484	1340884	9999-12-31	2013-05-08
085 B	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	3.000000	\N	9999-12-31	9999-12-31	21484	1340884	9999-12-31	2013-05-08
085 B	2001-06-01	2001-06-17	Statoil ASA (old)	22.081340	\N	2001-05-10	2007-10-01	21484	1622484	9999-12-31	2013-05-08
085 B	2001-06-17	2001-12-18	Statoil ASA (old)	22.081340	\N	2001-05-10	2007-10-01	21484	1622484	9999-12-31	2013-05-08
085 B	2001-12-18	2003-05-06	Statoil ASA (old)	22.081340	\N	2001-05-10	2007-10-01	21484	1622484	9999-12-31	2013-05-08
085 B	2003-05-06	2007-01-01	Statoil ASA (old)	22.081340	\N	2001-05-10	2007-10-01	21484	1622484	9999-12-31	2013-05-08
085 B	2007-01-01	2007-10-01	Statoil ASA (old)	22.081340	\N	2001-05-10	2007-10-01	21484	1622484	9999-12-31	2013-05-08
085 B	2001-05-10	2001-06-01	SDØE	73.000000	\N	9999-12-31	9999-12-31	21484	1623450	9999-12-31	2013-05-08
085 B	2001-06-01	2001-06-17	SDØE	62.918660	\N	9999-12-31	9999-12-31	21484	1623450	9999-12-31	2013-05-08
085 B	2001-06-17	2001-12-18	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21484	1626839	9999-12-31	2013-05-08
085 B	2001-12-18	2003-05-06	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21484	1626839	9999-12-31	2013-05-08
085 B	2003-05-06	2007-01-01	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21484	1626839	9999-12-31	2013-05-08
085 B	2007-01-01	2007-10-01	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21484	1626839	9999-12-31	2013-05-08
085 B	2007-10-01	2009-01-01	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21484	1626839	9999-12-31	2013-05-08
085 B	2009-01-01	2009-11-02	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21484	1626839	9999-12-31	2013-05-08
085 B	2009-11-02	9999-12-31	Petoro AS	62.918660	\N	9999-12-31	9999-12-31	21484	1626839	9999-12-31	2013-05-08
085 B	2003-05-06	2007-01-01	Total E&P Norge AS	3.000000	\N	9999-12-31	9999-12-31	21484	2410708	9999-12-31	2013-05-08
085 B	2007-01-01	2007-10-01	Total E&P Norge AS	3.000000	\N	9999-12-31	9999-12-31	21484	2410708	9999-12-31	2013-05-08
085 B	2007-10-01	2009-01-01	Total E&P Norge AS	3.000000	\N	9999-12-31	9999-12-31	21484	2410708	9999-12-31	2013-05-08
085 B	2009-01-01	2009-11-02	Total E&P Norge AS	3.000000	\N	9999-12-31	9999-12-31	21484	2410708	9999-12-31	2013-05-08
085 B	2009-11-02	9999-12-31	Total E&P Norge AS	3.000000	\N	9999-12-31	9999-12-31	21484	2410708	9999-12-31	2013-05-08
085 B	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	12.000000	\N	2007-10-01	2008-12-31	21484	4511658	9999-12-31	2013-05-08
085 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	34.081340	\N	2009-01-01	2009-11-01	21484	4511658	9999-12-31	2013-05-08
085 B	2007-10-01	2009-01-01	StatoilHydro ASA	22.081340	\N	2007-10-01	2008-12-31	21484	4511854	9999-12-31	2013-05-08
085 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	12.000000	\N	2007-01-01	2007-10-01	21484	4524355	9999-12-31	2013-05-08
085 B	2009-11-02	9999-12-31	Statoil Petroleum AS	34.081340	\N	2009-11-02	9999-12-31	21484	17237817	9999-12-31	2013-05-08
086	1984-03-09	1985-01-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21492	67	9999-12-31	2013-05-08
086	1985-01-01	1995-06-22	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21492	67	9999-12-31	2013-05-08
086	1995-06-22	1996-08-12	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21492	67	9999-12-31	2013-05-08
086	1996-08-12	1999-01-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21492	67	9999-12-31	2013-05-08
086	1999-01-01	1999-03-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21492	67	9999-12-31	2013-05-08
086	1984-03-09	1985-01-01	Norske Conoco A/S	30.000000	\N	9999-12-31	9999-12-31	21492	221	9999-12-31	2013-05-08
086	1985-01-01	1995-06-22	Norske Conoco A/S	30.000000	\N	9999-12-31	9999-12-31	21492	221	9999-12-31	2013-05-08
086	1995-06-22	1996-08-12	Norske Conoco A/S	30.000000	\N	9999-12-31	9999-12-31	21492	221	9999-12-31	2013-05-08
086	1984-03-09	1985-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21492	430	9999-12-31	2013-05-08
086	1985-01-01	1995-06-22	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21492	430	9999-12-31	2013-05-08
086	1995-06-22	1996-08-12	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21492	430	9999-12-31	2013-05-08
086	1996-08-12	1999-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21492	430	9999-12-31	2013-05-08
086	1999-01-01	1999-03-01	Norsk Hydro Produksjon AS	80.000000	\N	9999-12-31	9999-12-31	21492	430	9999-12-31	2013-05-08
086	1999-03-01	2001-01-01	Norsk Hydro Produksjon AS	80.000000	\N	9999-12-31	9999-12-31	21492	430	9999-12-31	2013-05-08
086	1995-06-22	1996-08-12	Saga Petroleum ASA	10.000000	\N	1995-09-01	2001-01-01	21492	716	9999-12-31	2013-05-08
086	1996-08-12	1999-01-01	Saga Petroleum ASA	10.000000	\N	1995-09-01	2001-01-01	21492	716	9999-12-31	2013-05-08
086	1999-01-01	1999-03-01	Saga Petroleum ASA	10.000000	\N	1995-09-01	2001-01-01	21492	716	9999-12-31	2013-05-08
086	1999-03-01	2001-01-01	Saga Petroleum ASA	20.000000	\N	1995-09-01	2001-01-01	21492	716	9999-12-31	2013-05-08
086	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1984-03-09	1995-09-01	21492	749	9999-12-31	2013-05-08
086	1985-01-01	1995-06-22	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	1995-09-01	21492	749	9999-12-31	2013-05-08
086	1995-06-22	1996-08-12	Den norske stats oljeselskap a.s	40.000000	30.000000	1984-03-09	1995-09-01	21492	749	9999-12-31	2013-05-08
086	1996-08-12	1999-01-01	Den norske stats oljeselskap a.s	70.000000	30.000000	9999-12-31	9999-12-31	21492	749	9999-12-31	2013-05-08
087	1994-09-08	1994-12-31	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	21500	221	9999-12-31	2013-05-08
087	1988-12-16	1994-09-08	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21500	232	9999-12-31	2013-05-08
087	1984-03-09	1985-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1984-03-09	1994-12-31	21500	430	9999-12-31	2013-05-08
087	1985-01-01	1988-12-16	Norsk Hydro Produksjon AS	20.000000	\N	1984-03-09	1994-12-31	21500	430	9999-12-31	2013-05-08
087	1988-12-16	1994-09-08	Norsk Hydro Produksjon AS	20.000000	\N	1984-03-09	1994-12-31	21500	430	9999-12-31	2013-05-08
087	1994-09-08	1994-12-31	Norsk Hydro Produksjon AS	20.000000	\N	1984-03-09	1994-12-31	21500	430	9999-12-31	2013-05-08
087	1984-03-09	1985-01-01	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	21500	562	9999-12-31	2013-05-08
087	1985-01-01	1988-12-16	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	21500	562	9999-12-31	2013-05-08
087	1988-12-16	1994-09-08	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	21500	562	9999-12-31	2013-05-08
087	1994-09-08	1994-12-31	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	21500	562	9999-12-31	2013-05-08
087	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21500	749	9999-12-31	2013-05-08
087	1985-01-01	1988-12-16	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21500	749	9999-12-31	2013-05-08
087	1988-12-16	1994-09-08	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21500	749	9999-12-31	2013-05-08
087	1994-09-08	1994-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21500	749	9999-12-31	2013-05-08
087	1984-03-09	1985-01-01	Tennaco Oil Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21500	793	9999-12-31	2013-05-08
087	1985-01-01	1988-12-16	Tennaco Oil Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21500	793	9999-12-31	2013-05-08
088	2001-06-08	2001-06-17	Marathon Petroleum Norge AS	18.600000	\N	9999-12-31	9999-12-31	21508	463	9999-12-31	2013-05-08
088	2001-06-17	2001-12-18	Marathon Petroleum Norge AS	18.600000	\N	9999-12-31	9999-12-31	21508	463	9999-12-31	2013-05-08
088	2001-12-18	2002-03-19	Marathon Petroleum Norge AS	18.600000	\N	9999-12-31	9999-12-31	21508	463	9999-12-31	2013-05-08
088	2002-03-19	2003-05-06	Marathon Petroleum Norge AS	50.000000	\N	9999-12-31	9999-12-31	21508	463	9999-12-31	2013-05-08
088	2003-05-06	2006-01-01	Marathon Petroleum Norge AS	50.000000	\N	9999-12-31	9999-12-31	21508	463	9999-12-31	2013-05-08
088	2006-01-01	2008-01-01	Marathon Petroleum Norge AS	50.000000	\N	9999-12-31	9999-12-31	21508	463	9999-12-31	2013-05-08
088	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21508	749	9999-12-31	2013-05-08
088	1985-01-01	1990-05-25	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21508	749	9999-12-31	2013-05-08
088	1990-05-25	1996-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21508	749	9999-12-31	2013-05-08
088	1996-01-01	2001-05-10	Den norske stats oljeselskap a.s	50.000000	31.400000	9999-12-31	9999-12-31	21508	749	9999-12-31	2013-05-08
088	1984-03-09	1985-01-01	Total Norge AS	30.000000	\N	1984-03-09	2001-12-18	21508	848	9999-12-31	2013-05-08
088	1985-01-01	1990-05-25	Total Norge AS	30.000000	\N	1984-03-09	2001-12-18	21508	848	9999-12-31	2013-05-08
088	1990-05-25	1996-01-01	Total Norge AS	50.000000	\N	1984-03-09	2001-12-18	21508	848	9999-12-31	2013-05-08
088	1996-01-01	2001-05-10	Total Norge AS	50.000000	\N	1984-03-09	2001-12-18	21508	848	9999-12-31	2013-05-08
088	2001-05-10	2001-06-08	Total Norge AS	50.000000	\N	1984-03-09	2001-12-18	21508	848	9999-12-31	2013-05-08
088	2001-06-08	2001-06-17	Total Norge AS	50.000000	\N	1984-03-09	2001-12-18	21508	848	9999-12-31	2013-05-08
088	2001-06-17	2001-12-18	Total Norge AS	50.000000	\N	1984-03-09	2001-12-18	21508	848	9999-12-31	2013-05-08
088	1984-03-09	1985-01-01	Unocal Norge A/S	20.000000	\N	9999-12-31	9999-12-31	21508	892	9999-12-31	2013-05-08
088	1985-01-01	1990-05-25	Unocal Norge A/S	20.000000	\N	9999-12-31	9999-12-31	21508	892	9999-12-31	2013-05-08
088	2001-12-18	2002-03-19	TotalFinaElf Exploration Norge AS	50.000000	\N	2001-12-18	2003-05-06	21508	1340884	9999-12-31	2013-05-08
088	2002-03-19	2003-05-06	TotalFinaElf Exploration Norge AS	50.000000	\N	2001-12-18	2003-05-06	21508	1340884	9999-12-31	2013-05-08
088	2001-05-10	2001-06-08	Statoil ASA (old)	18.600000	\N	9999-12-31	9999-12-31	21508	1622484	9999-12-31	2013-05-08
088	2001-05-10	2001-06-08	SDØE	31.400000	\N	9999-12-31	9999-12-31	21508	1623450	9999-12-31	2013-05-08
088	2001-06-08	2001-06-17	SDØE	31.400000	\N	9999-12-31	9999-12-31	21508	1623450	9999-12-31	2013-05-08
088	2001-06-17	2001-12-18	Petoro AS	31.400000	\N	9999-12-31	9999-12-31	21508	1626839	9999-12-31	2013-05-08
088	2001-12-18	2002-03-19	Petoro AS	31.400000	\N	9999-12-31	9999-12-31	21508	1626839	9999-12-31	2013-05-08
088	2003-05-06	2006-01-01	Total E&P Norge AS	50.000000	\N	2003-05-06	2007-02-09	21508	2410708	9999-12-31	2013-05-08
088	2006-01-01	2008-01-01	Lundin Norway AS	50.000000	\N	2007-02-09	2011-12-05	21508	2767314	9999-12-31	2013-05-08
088	2008-01-01	9999-12-31	Lundin Norway AS	50.000000	\N	2007-02-09	2011-12-05	21508	2767314	9999-12-31	2013-05-08
088	2008-01-01	9999-12-31	Centrica Resources (Norge) AS	50.000000	\N	2011-12-06	9999-12-31	21508	4238233	9999-12-31	2013-05-08
089	1984-03-09	1985-01-01	Deminex Norge AS	3.920000	\N	9999-12-31	9999-12-31	21516	254	9999-12-31	2013-05-08
089	1985-01-01	1988-04-30	Deminex Norge AS	3.920000	\N	9999-12-31	9999-12-31	21516	254	9999-12-31	2013-05-08
089	1988-04-30	1988-05-27	Deminex Norge AS	3.920000	\N	9999-12-31	9999-12-31	21516	254	9999-12-31	2013-05-08
089	1988-05-27	1990-01-01	Deminex Norge AS	3.920000	\N	9999-12-31	9999-12-31	21516	254	9999-12-31	2013-05-08
089	1990-01-01	1990-02-01	Deminex Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	254	9999-12-31	2013-05-08
089	1990-02-01	1995-05-09	Deminex Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	254	9999-12-31	2013-05-08
089	1995-05-09	1998-12-17	Deminex Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	254	9999-12-31	2013-05-08
089	1984-03-09	1985-01-01	DNO Olje A/S	0.980000	\N	9999-12-31	9999-12-31	21516	276	9999-12-31	2013-05-08
089	1985-01-01	1988-04-30	DNO Olje A/S	0.980000	\N	9999-12-31	9999-12-31	21516	276	9999-12-31	2013-05-08
089	1988-04-30	1988-05-27	DNO Olje A/S	0.980000	\N	9999-12-31	9999-12-31	21516	276	9999-12-31	2013-05-08
089	1988-05-27	1990-01-01	DNO Olje A/S	0.980000	\N	9999-12-31	9999-12-31	21516	276	9999-12-31	2013-05-08
089	1990-01-01	1990-02-01	DNO Olje A/S	0.700000	\N	9999-12-31	9999-12-31	21516	276	9999-12-31	2013-05-08
089	1990-02-01	1995-05-09	DNO Olje A/S	0.700000	\N	9999-12-31	9999-12-31	21516	276	9999-12-31	2013-05-08
089	1990-01-01	1990-02-01	Elf Petroleum Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	298	9999-12-31	2013-05-08
089	1990-02-01	1995-05-09	Elf Petroleum Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	298	9999-12-31	2013-05-08
089	1995-05-09	1998-12-17	Elf Petroleum Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	298	9999-12-31	2013-05-08
089	1998-12-17	1999-12-11	Elf Petroleum Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	298	9999-12-31	2013-05-08
089	1999-12-11	2000-07-24	Elf Petroleum Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	298	9999-12-31	2013-05-08
089	1984-03-09	1985-01-01	Elf Aquitaine Norge A/S	7.840000	\N	9999-12-31	9999-12-31	21516	331	9999-12-31	2013-05-08
089	1985-01-01	1988-04-30	Elf Aquitaine Norge A/S	7.840000	\N	9999-12-31	9999-12-31	21516	331	9999-12-31	2013-05-08
089	1988-04-30	1988-05-27	Elf Aquitaine Norge A/S	7.840000	\N	9999-12-31	9999-12-31	21516	331	9999-12-31	2013-05-08
089	1988-05-27	1990-01-01	Elf Aquitaine Norge A/S	7.840000	\N	9999-12-31	9999-12-31	21516	331	9999-12-31	2013-05-08
089	1984-03-09	1985-01-01	Esso Exploration and Production Norway A/S	14.700000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	1985-01-01	1988-04-30	Esso Exploration and Production Norway A/S	14.700000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	1988-04-30	1988-05-27	Esso Exploration and Production Norway A/S	14.700000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	1988-05-27	1990-01-01	Esso Exploration and Production Norway A/S	14.700000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	1990-01-01	1990-02-01	Esso Exploration and Production Norway A/S	10.500000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	1990-02-01	1995-05-09	Esso Exploration and Production Norway A/S	10.500000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	1995-05-09	1998-12-17	Esso Exploration and Production Norway A/S	10.500000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	1998-12-17	1999-12-11	Esso Exploration and Production Norway A/S	10.500000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	1999-12-11	2000-07-24	Esso Exploration and Production Norway A/S	10.500000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	2000-07-24	2001-01-11	Esso Exploration and Production Norway A/S	10.500000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	2001-01-11	2001-05-10	Esso Exploration and Production Norway A/S	10.500000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	10.500000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	2001-06-01	2001-06-17	Esso Exploration and Production Norway A/S	10.500000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	2001-06-17	2003-05-06	Esso Exploration and Production Norway A/S	10.500000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	2003-05-06	2004-10-01	Esso Exploration and Production Norway A/S	10.500000	\N	9999-12-31	9999-12-31	21516	353	9999-12-31	2013-05-08
089	1984-03-09	1985-01-01	Norsk Hydro Produksjon AS	11.760000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	1985-01-01	1988-04-30	Norsk Hydro Produksjon AS	11.760000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	1988-04-30	1988-05-27	Norsk Hydro Produksjon AS	11.760000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	1988-05-27	1990-01-01	Norsk Hydro Produksjon AS	11.760000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	1990-01-01	1990-02-01	Norsk Hydro Produksjon AS	8.400000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	1990-02-01	1995-05-09	Norsk Hydro Produksjon AS	8.400000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	1995-05-09	1998-12-17	Norsk Hydro Produksjon AS	8.400000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	1998-12-17	1999-12-11	Norsk Hydro Produksjon AS	8.400000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	1999-12-11	2000-07-24	Norsk Hydro Produksjon AS	8.400000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	8.400000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	13.280000	\N	2001-01-11	2002-12-31	21516	430	9999-12-31	2013-05-08
089	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	13.280000	\N	2001-01-11	2002-12-31	21516	430	9999-12-31	2013-05-08
089	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	13.280000	\N	2001-01-11	2002-12-31	21516	430	9999-12-31	2013-05-08
089	2001-06-17	2003-05-06	Norsk Hydro Produksjon AS	13.280000	\N	2001-01-11	2002-12-31	21516	430	9999-12-31	2013-05-08
089	2003-05-06	2004-10-01	Norsk Hydro Produksjon AS	13.280000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	13.280000	\N	9999-12-31	9999-12-31	21516	430	9999-12-31	2013-05-08
089	1990-02-01	1995-05-09	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	1995-05-09	1998-12-17	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	1998-12-17	1999-12-11	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	1999-12-11	2000-07-24	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	2000-07-24	2001-01-11	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	2001-01-11	2001-05-10	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	2001-05-10	2001-06-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	2001-06-01	2001-06-17	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	2001-06-17	2003-05-06	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	2003-05-06	2004-10-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	2004-10-01	2007-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	2007-01-01	2007-10-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	2009-01-01	2009-11-02	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	2009-11-02	2012-01-01	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	2012-12-05	2013-05-08
089	2012-01-01	9999-12-31	Idemitsu Petroleum Norge AS	9.600000	\N	9999-12-31	9999-12-31	21516	441	9999-12-31	2013-05-08
089	1984-03-09	1985-01-01	Saga Petroleum ASA	9.800000	\N	1984-03-09	2001-01-11	21516	716	9999-12-31	2013-05-08
089	1985-01-01	1988-04-30	Saga Petroleum ASA	9.800000	\N	1984-03-09	2001-01-11	21516	716	9999-12-31	2013-05-08
089	1988-04-30	1988-05-27	Saga Petroleum ASA	9.800000	\N	1984-03-09	2001-01-11	21516	716	9999-12-31	2013-05-08
089	1988-05-27	1990-01-01	Saga Petroleum ASA	9.800000	\N	1984-03-09	2001-01-11	21516	716	9999-12-31	2013-05-08
089	1990-01-01	1990-02-01	Saga Petroleum ASA	7.000000	\N	1984-03-09	2001-01-11	21516	716	9999-12-31	2013-05-08
089	1990-02-01	1995-05-09	Saga Petroleum ASA	7.000000	\N	1984-03-09	2001-01-11	21516	716	9999-12-31	2013-05-08
089	1995-05-09	1998-12-17	Saga Petroleum ASA	7.700000	\N	1984-03-09	2001-01-11	21516	716	9999-12-31	2013-05-08
089	1998-12-17	1999-12-11	Saga Petroleum ASA	7.700000	\N	1984-03-09	2001-01-11	21516	716	9999-12-31	2013-05-08
089	1999-12-11	2000-07-24	Saga Petroleum ASA	4.880000	\N	1984-03-09	2001-01-11	21516	716	9999-12-31	2013-05-08
089	2000-07-24	2001-01-11	Saga Petroleum ASA	4.880000	\N	1984-03-09	2001-01-11	21516	716	9999-12-31	2013-05-08
089	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	51.000000	\N	9999-12-31	9999-12-31	21516	749	9999-12-31	2013-05-08
089	1985-01-01	1988-04-30	Den norske stats oljeselskap a.s	51.000000	30.000000	9999-12-31	9999-12-31	21516	749	9999-12-31	2013-05-08
089	1988-04-30	1988-05-27	Den norske stats oljeselskap a.s	51.000000	31.400000	9999-12-31	9999-12-31	21516	749	9999-12-31	2013-05-08
089	1988-05-27	1990-01-01	Den norske stats oljeselskap a.s	51.000000	51.000000	9999-12-31	9999-12-31	21516	749	9999-12-31	2013-05-08
089	1990-01-01	1990-02-01	Den norske stats oljeselskap a.s	65.000000	51.000000	9999-12-31	9999-12-31	21516	749	9999-12-31	2013-05-08
089	1990-02-01	1995-05-09	Den norske stats oljeselskap a.s	55.400000	51.000000	9999-12-31	9999-12-31	21516	749	9999-12-31	2013-05-08
089	1995-05-09	1998-12-17	Den norske stats oljeselskap a.s	55.400000	51.000000	9999-12-31	9999-12-31	21516	749	9999-12-31	2013-05-08
089	1998-12-17	1999-12-11	Den norske stats oljeselskap a.s	55.400000	51.000000	9999-12-31	9999-12-31	21516	749	9999-12-31	2013-05-08
089	1999-12-11	2000-07-24	Den norske stats oljeselskap a.s	58.220000	51.000000	9999-12-31	9999-12-31	21516	749	9999-12-31	2013-05-08
089	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	58.220000	51.000000	9999-12-31	9999-12-31	21516	749	9999-12-31	2013-05-08
089	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	58.220000	51.000000	9999-12-31	9999-12-31	21516	749	9999-12-31	2013-05-08
089	1998-12-17	1999-12-11	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	1999-12-11	2000-07-24	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2000-07-24	2001-01-11	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2001-01-11	2001-05-10	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2001-05-10	2001-06-01	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2001-06-01	2001-06-17	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2001-06-17	2003-05-06	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2003-05-06	2004-10-01	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2004-10-01	2007-01-01	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2007-01-01	2007-10-01	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2007-10-01	2009-01-01	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2009-01-01	2009-11-02	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2009-11-02	2012-01-01	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	2012-12-05	2013-05-08
089	2012-01-01	9999-12-31	RWE Dea Norge AS	2.800000	\N	9999-12-31	9999-12-31	21516	97557	9999-12-31	2013-05-08
089	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	1340884	9999-12-31	2013-05-08
089	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	1340884	9999-12-31	2013-05-08
089	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	1340884	9999-12-31	2013-05-08
089	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	1340884	9999-12-31	2013-05-08
089	2001-06-17	2003-05-06	TotalFinaElf Exploration Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	1340884	9999-12-31	2013-05-08
089	2001-05-10	2001-06-01	Statoil ASA (old)	7.220000	\N	9999-12-31	9999-12-31	21516	1622484	9999-12-31	2013-05-08
089	2001-06-01	2001-06-17	Statoil ASA (old)	28.220000	\N	9999-12-31	9999-12-31	21516	1622484	9999-12-31	2013-05-08
089	2001-06-17	2003-05-06	Statoil ASA (old)	28.220000	\N	2003-01-01	2007-10-01	21516	1622484	9999-12-31	2013-05-08
089	2003-05-06	2004-10-01	Statoil ASA (old)	28.220000	\N	2003-01-01	2007-10-01	21516	1622484	9999-12-31	2013-05-08
089	2004-10-01	2007-01-01	Statoil ASA (old)	28.220000	\N	2003-01-01	2007-10-01	21516	1622484	9999-12-31	2013-05-08
089	2007-01-01	2007-10-01	Statoil ASA (old)	28.220000	\N	2003-01-01	2007-10-01	21516	1622484	9999-12-31	2013-05-08
089	2001-05-10	2001-06-01	SDØE	51.000000	\N	9999-12-31	9999-12-31	21516	1623450	9999-12-31	2013-05-08
089	2001-06-01	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21516	1623450	9999-12-31	2013-05-08
089	2001-06-17	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21516	1626839	9999-12-31	2013-05-08
089	2003-05-06	2004-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21516	1626839	9999-12-31	2013-05-08
089	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21516	1626839	9999-12-31	2013-05-08
089	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21516	1626839	9999-12-31	2013-05-08
089	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21516	1626839	9999-12-31	2013-05-08
089	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21516	1626839	9999-12-31	2013-05-08
089	2009-11-02	2012-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21516	1626839	2012-12-05	2013-05-08
089	2012-01-01	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21516	1626839	9999-12-31	2013-05-08
089	2003-05-06	2004-10-01	Total E&P Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	2410708	9999-12-31	2013-05-08
089	2004-10-01	2007-01-01	Total E&P Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	2410708	9999-12-31	2013-05-08
089	2007-01-01	2007-10-01	Total E&P Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	2410708	9999-12-31	2013-05-08
089	2007-10-01	2009-01-01	Total E&P Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	2410708	9999-12-31	2013-05-08
089	2009-01-01	2009-11-02	Total E&P Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	2410708	9999-12-31	2013-05-08
089	2009-11-02	2012-01-01	Total E&P Norge AS	5.600000	\N	9999-12-31	9999-12-31	21516	2410708	2012-12-05	2013-05-08
089	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	9999-12-31	9999-12-31	21516	2835212	9999-12-31	2013-05-08
089	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	9999-12-31	9999-12-31	21516	2835212	9999-12-31	2013-05-08
089	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	9999-12-31	9999-12-31	21516	2835212	9999-12-31	2013-05-08
089	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	10.500000	\N	9999-12-31	9999-12-31	21516	2835212	9999-12-31	2013-05-08
089	2009-11-02	2012-01-01	ExxonMobil Exploration & Production Norway AS	10.500000	\N	9999-12-31	9999-12-31	21516	2835212	2012-12-05	2013-05-08
089	2012-01-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	16.100000	\N	9999-12-31	9999-12-31	21516	2835212	9999-12-31	2013-05-08
089	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	13.280000	\N	9999-12-31	9999-12-31	21516	4511658	9999-12-31	2013-05-08
089	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	41.500000	\N	2009-01-01	2009-11-01	21516	4511658	9999-12-31	2013-05-08
089	2007-10-01	2009-01-01	StatoilHydro ASA	28.220000	\N	2007-10-01	2008-12-31	21516	4511854	9999-12-31	2013-05-08
089	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	13.280000	\N	9999-12-31	9999-12-31	21516	4524355	9999-12-31	2013-05-08
089	2009-11-02	2012-01-01	Statoil Petroleum AS	41.500000	\N	2009-11-02	9999-12-31	21516	17237817	2012-12-05	2013-05-08
089	2012-01-01	9999-12-31	Statoil Petroleum AS	41.500000	\N	2009-11-02	9999-12-31	21516	17237817	9999-12-31	2013-05-08
090	1984-03-09	1985-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21524	430	9999-12-31	2013-05-08
090	1985-01-01	1995-06-23	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21524	430	9999-12-31	2013-05-08
090	1995-06-23	2001-05-10	Norsk Hydro Produksjon AS	25.000000	\N	1995-08-01	2007-01-01	21524	430	9999-12-31	2013-05-08
090	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	25.000000	\N	1995-08-01	2007-01-01	21524	430	9999-12-31	2013-05-08
090	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	25.000000	\N	1995-08-01	2007-01-01	21524	430	9999-12-31	2013-05-08
090	2002-03-19	2007-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1995-08-01	2007-01-01	21524	430	9999-12-31	2013-05-08
090	2002-03-19	2007-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	441	9999-12-31	2013-05-08
090	2007-01-01	2007-10-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	441	9999-12-31	2013-05-08
090	2007-10-01	2008-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	441	9999-12-31	2013-05-08
090	2008-01-01	2009-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	441	9999-12-31	2013-05-08
090	2009-01-01	2009-01-02	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	441	9999-12-31	2013-05-08
090	2009-01-02	2009-11-02	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	441	9999-12-31	2013-05-08
090	2009-11-02	9999-12-31	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	441	9999-12-31	2013-05-08
090	1984-03-09	1985-01-01	Mobil Development Norway AS	40.000000	\N	1984-03-09	1995-07-31	21524	474	9999-12-31	2013-05-08
090	1985-01-01	1995-06-23	Mobil Development Norway AS	40.000000	\N	1984-03-09	1995-07-31	21524	474	9999-12-31	2013-05-08
090	1995-06-23	2001-05-10	Mobil Development Norway AS	25.000000	\N	1984-03-09	1995-07-31	21524	474	9999-12-31	2013-05-08
090	2001-05-10	2001-06-17	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	21524	474	9999-12-31	2013-05-08
090	2001-06-17	2002-03-19	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	21524	474	9999-12-31	2013-05-08
090	2002-03-19	2007-01-01	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	21524	474	9999-12-31	2013-05-08
090	2007-01-01	2007-10-01	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	21524	474	9999-12-31	2013-05-08
090	2007-10-01	2008-01-01	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	21524	474	9999-12-31	2013-05-08
090	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21524	749	9999-12-31	2013-05-08
090	1985-01-01	1995-06-23	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21524	749	9999-12-31	2013-05-08
090	1995-06-23	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21524	749	9999-12-31	2013-05-08
090	2001-05-10	2001-06-17	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21524	1622484	9999-12-31	2013-05-08
090	2001-06-17	2002-03-19	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21524	1622484	9999-12-31	2013-05-08
090	2002-03-19	2007-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21524	1622484	9999-12-31	2013-05-08
090	2007-01-01	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21524	1622484	9999-12-31	2013-05-08
090	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21524	1623450	9999-12-31	2013-05-08
090	2001-06-17	2002-03-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21524	1626839	9999-12-31	2013-05-08
090	2002-03-19	2007-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	1628733	9999-12-31	2013-05-08
090	2007-01-01	2007-10-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	1628733	9999-12-31	2013-05-08
090	2007-10-01	2008-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	1628733	9999-12-31	2013-05-08
090	2008-01-01	2009-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	1628733	9999-12-31	2013-05-08
090	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	21524	2835212	9999-12-31	2013-05-08
090	2009-01-01	2009-01-02	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	21524	2835212	9999-12-31	2013-05-08
090	2009-01-02	2009-11-02	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	21524	2835212	9999-12-31	2013-05-08
090	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	21524	2835212	9999-12-31	2013-05-08
090	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	21524	4511658	9999-12-31	2013-05-08
090	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	21524	4511658	9999-12-31	2013-05-08
090	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	21524	4511658	9999-12-31	2013-05-08
090	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	45.000000	\N	2007-10-01	2009-11-01	21524	4511658	9999-12-31	2013-05-08
090	2007-10-01	2008-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	21524	4511854	9999-12-31	2013-05-08
090	2008-01-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	21524	4511854	9999-12-31	2013-05-08
090	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	21524	4511854	9999-12-31	2013-05-08
090	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	25.000000	\N	2007-01-01	2007-10-01	21524	4524355	9999-12-31	2013-05-08
090	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	5267845	9999-12-31	2013-05-08
090	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	5267845	9999-12-31	2013-05-08
090	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	21524	5267845	9999-12-31	2013-05-08
090	2009-11-02	9999-12-31	Statoil Petroleum AS	45.000000	\N	2009-11-02	9999-12-31	21524	17237817	9999-12-31	2013-05-08
091	2003-09-15	2003-12-31	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	21532	45	9999-12-31	2013-05-08
091	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21532	430	9999-12-31	2013-05-08
091	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21532	430	9999-12-31	2013-05-08
091	2001-06-01	2003-09-15	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21532	430	9999-12-31	2013-05-08
091	2003-09-15	2003-12-31	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21532	430	9999-12-31	2013-05-08
091	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	21532	430	9999-12-31	2013-05-08
091	1984-03-09	1985-01-01	Mobil Development Norway AS	45.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	1985-01-01	1996-04-16	Mobil Development Norway AS	45.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	1996-04-16	1999-12-11	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	1999-12-11	2001-01-11	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	2001-01-11	2001-05-10	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	2001-05-10	2001-06-01	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	2001-06-01	2003-09-15	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	2003-09-15	2003-12-31	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	2003-12-31	2007-01-01	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	2007-01-01	2007-10-01	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	2007-10-01	2008-01-01	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	2008-01-01	2008-01-02	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	474	9999-12-31	2013-05-08
091	1984-03-09	1985-01-01	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21532	716	9999-12-31	2013-05-08
091	1985-01-01	1996-04-16	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21532	716	9999-12-31	2013-05-08
091	1996-04-16	1999-12-11	Saga Petroleum ASA	17.000000	\N	9999-12-31	9999-12-31	21532	716	9999-12-31	2013-05-08
091	1999-12-11	2001-01-11	Saga Petroleum ASA	12.000000	\N	9999-12-31	9999-12-31	21532	716	9999-12-31	2013-05-08
091	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1984-03-09	2001-05-10	21532	749	9999-12-31	2013-05-08
091	1985-01-01	1996-04-16	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21532	749	9999-12-31	2013-05-08
091	1996-04-16	1999-12-11	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21532	749	9999-12-31	2013-05-08
091	1999-12-11	2001-01-11	Den norske stats oljeselskap a.s	55.000000	30.000000	1984-03-09	2001-05-10	21532	749	9999-12-31	2013-05-08
091	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	55.000000	30.000000	1984-03-09	2001-05-10	21532	749	9999-12-31	2013-05-08
091	2001-05-10	2001-06-01	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	21532	1622484	9999-12-31	2013-05-08
091	2001-06-01	2003-09-15	Statoil ASA (old)	55.000000	\N	2001-05-10	2007-10-01	21532	1622484	9999-12-31	2013-05-08
091	2003-09-15	2003-12-31	Statoil ASA (old)	47.100000	\N	2001-05-10	2007-10-01	21532	1622484	9999-12-31	2013-05-08
091	2003-12-31	2007-01-01	Statoil ASA (old)	47.100000	\N	2001-05-10	2007-10-01	21532	1622484	9999-12-31	2013-05-08
091	2007-01-01	2007-10-01	Statoil ASA (old)	47.100000	\N	2001-05-10	2007-10-01	21532	1622484	9999-12-31	2013-05-08
091	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21532	1623450	9999-12-31	2013-05-08
091	2003-12-31	2007-01-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	21532	2388594	9999-12-31	2013-05-08
091	2007-01-01	2007-10-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	21532	2388594	9999-12-31	2013-05-08
091	2007-10-01	2008-01-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	21532	2388594	9999-12-31	2013-05-08
091	2008-01-01	2008-01-02	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	21532	2388594	9999-12-31	2013-05-08
091	2008-01-02	2009-01-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	21532	2388594	9999-12-31	2013-05-08
091	2009-01-01	2009-11-02	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	21532	2388594	9999-12-31	2013-05-08
091	2009-11-02	9999-12-31	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	21532	2388594	9999-12-31	2013-05-08
091	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	2835212	9999-12-31	2013-05-08
091	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	2835212	9999-12-31	2013-05-08
091	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	33.000000	\N	9999-12-31	9999-12-31	21532	2835212	9999-12-31	2013-05-08
091	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	21532	4511658	9999-12-31	2013-05-08
091	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	59.100000	\N	2009-01-01	2009-11-01	21532	4511658	9999-12-31	2013-05-08
091	2007-10-01	2008-01-01	StatoilHydro ASA	47.100000	\N	2007-10-01	2008-12-31	21532	4511854	9999-12-31	2013-05-08
091	2008-01-01	2008-01-02	StatoilHydro ASA	59.100000	\N	2007-10-01	2008-12-31	21532	4511854	9999-12-31	2013-05-08
091	2008-01-02	2009-01-01	StatoilHydro ASA	59.100000	\N	2007-10-01	2008-12-31	21532	4511854	9999-12-31	2013-05-08
091	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	21532	4524355	9999-12-31	2013-05-08
091	2009-11-02	9999-12-31	Statoil Petroleum AS	59.100000	\N	2009-11-02	9999-12-31	21532	17237817	9999-12-31	2013-05-08
092	2002-01-01	2003-03-04	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	21540	45	9999-12-31	2013-05-08
092	2003-03-04	2003-12-31	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	21540	45	9999-12-31	2013-05-08
092	1995-09-01	1997-04-24	BP Petroleum Dev. of Norway AS	2.000000	\N	9999-12-31	9999-12-31	21540	155	9999-12-31	2013-05-08
092	1984-03-09	1985-01-01	Britoil Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21540	166	9999-12-31	2013-05-08
092	1985-01-01	1994-11-10	Britoil Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21540	166	9999-12-31	2013-05-08
092	1994-11-10	1995-05-09	Britoil Norge A/S	2.000000	\N	9999-12-31	9999-12-31	21540	166	9999-12-31	2013-05-08
092	1995-05-09	1995-09-01	Britoil Norge A/S	2.000000	\N	9999-12-31	9999-12-31	21540	166	9999-12-31	2013-05-08
092	1994-11-10	1995-05-09	DNO Olje A/S	8.000000	\N	9999-12-31	9999-12-31	21540	276	9999-12-31	2013-05-08
092	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21540	430	9999-12-31	2013-05-08
092	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21540	430	9999-12-31	2013-05-08
092	2001-06-01	2002-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21540	430	9999-12-31	2013-05-08
092	2002-01-01	2003-03-04	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21540	430	9999-12-31	2013-05-08
092	2003-03-04	2003-12-31	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21540	430	9999-12-31	2013-05-08
092	2003-12-31	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21540	430	9999-12-31	2013-05-08
092	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21540	430	9999-12-31	2013-05-08
092	1984-03-09	1985-01-01	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	1985-01-01	1994-11-10	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	1994-11-10	1995-05-09	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	1995-05-09	1995-09-01	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	1995-09-01	1997-04-24	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	1997-04-24	2001-01-11	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	2001-01-11	2001-05-10	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	2001-05-10	2001-06-01	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	2001-06-01	2002-01-01	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	2002-01-01	2003-03-04	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	2003-03-04	2003-12-31	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	2003-12-31	2004-01-01	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	2004-01-01	2007-01-01	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	2007-01-01	2007-10-01	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	2007-10-01	2008-01-01	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	2008-01-01	2008-01-02	Mobil Development Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	474	9999-12-31	2013-05-08
092	1995-05-09	1995-09-01	Saga Petroleum ASA	8.000000	\N	9999-12-31	9999-12-31	21540	716	9999-12-31	2013-05-08
092	1995-09-01	1997-04-24	Saga Petroleum ASA	8.000000	\N	9999-12-31	9999-12-31	21540	716	9999-12-31	2013-05-08
092	1997-04-24	2001-01-11	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21540	716	9999-12-31	2013-05-08
092	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1984-03-09	2001-05-10	21540	749	9999-12-31	2013-05-08
092	1985-01-01	1994-11-10	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21540	749	9999-12-31	2013-05-08
092	1994-11-10	1995-05-09	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21540	749	9999-12-31	2013-05-08
092	1995-05-09	1995-09-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21540	749	9999-12-31	2013-05-08
092	1995-09-01	1997-04-24	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21540	749	9999-12-31	2013-05-08
092	1997-04-24	2001-01-11	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21540	749	9999-12-31	2013-05-08
092	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21540	749	9999-12-31	2013-05-08
092	2002-01-01	2003-03-04	Fortum Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	21540	102714	9999-12-31	2013-05-08
092	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	2001-05-10	2007-10-01	21540	1622484	9999-12-31	2013-05-08
092	2001-06-01	2002-01-01	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-10-01	21540	1622484	9999-12-31	2013-05-08
092	2002-01-01	2003-03-04	Statoil ASA (old)	35.100000	\N	2001-05-10	2007-10-01	21540	1622484	9999-12-31	2013-05-08
092	2003-03-04	2003-12-31	Statoil ASA (old)	35.100000	\N	2001-05-10	2007-10-01	21540	1622484	9999-12-31	2013-05-08
092	2003-12-31	2004-01-01	Statoil ASA (old)	35.100000	\N	2001-05-10	2007-10-01	21540	1622484	9999-12-31	2013-05-08
092	2004-01-01	2007-01-01	Statoil ASA (old)	27.450000	\N	2001-05-10	2007-10-01	21540	1622484	9999-12-31	2013-05-08
092	2007-01-01	2007-10-01	Statoil ASA (old)	27.450000	\N	2001-05-10	2007-10-01	21540	1622484	9999-12-31	2013-05-08
092	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21540	1623450	9999-12-31	2013-05-08
092	2003-03-04	2003-12-31	Eni Norge AS	7.000000	\N	9999-12-31	9999-12-31	21540	2388594	9999-12-31	2013-05-08
092	2003-12-31	2004-01-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21540	2388594	9999-12-31	2013-05-08
092	2004-01-01	2007-01-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21540	2388594	9999-12-31	2013-05-08
092	2007-01-01	2007-10-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21540	2388594	9999-12-31	2013-05-08
092	2007-10-01	2008-01-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21540	2388594	9999-12-31	2013-05-08
092	2008-01-01	2008-01-02	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21540	2388594	9999-12-31	2013-05-08
092	2008-01-02	2009-01-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21540	2388594	9999-12-31	2013-05-08
092	2009-01-01	2009-11-02	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21540	2388594	9999-12-31	2013-05-08
092	2009-11-02	9999-12-31	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21540	2388594	9999-12-31	2013-05-08
092	2004-01-01	2007-01-01	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21540	2410708	9999-12-31	2013-05-08
092	2007-01-01	2007-10-01	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21540	2410708	9999-12-31	2013-05-08
092	2007-10-01	2008-01-01	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21540	2410708	9999-12-31	2013-05-08
092	2008-01-01	2008-01-02	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21540	2410708	9999-12-31	2013-05-08
092	2008-01-02	2009-01-01	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21540	2410708	9999-12-31	2013-05-08
092	2009-01-01	2009-11-02	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21540	2410708	9999-12-31	2013-05-08
092	2009-11-02	9999-12-31	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21540	2410708	9999-12-31	2013-05-08
092	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	2835212	9999-12-31	2013-05-08
092	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	2835212	9999-12-31	2013-05-08
092	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	40.000000	\N	9999-12-31	9999-12-31	21540	2835212	9999-12-31	2013-05-08
092	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21540	4511658	9999-12-31	2013-05-08
092	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	37.450000	\N	2009-01-01	2009-11-01	21540	4511658	9999-12-31	2013-05-08
092	2007-10-01	2008-01-01	StatoilHydro ASA	27.450000	\N	2007-10-01	2008-12-31	21540	4511854	9999-12-31	2013-05-08
092	2008-01-01	2008-01-02	StatoilHydro ASA	37.450000	\N	2007-10-01	2008-12-31	21540	4511854	9999-12-31	2013-05-08
092	2008-01-02	2009-01-01	StatoilHydro ASA	37.450000	\N	2007-10-01	2008-12-31	21540	4511854	9999-12-31	2013-05-08
092	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21540	4524355	9999-12-31	2013-05-08
092	2009-11-02	9999-12-31	Statoil Petroleum AS	37.450000	\N	2009-11-02	9999-12-31	21540	17237817	9999-12-31	2013-05-08
093	1984-03-09	1985-01-01	BP Petroleum Dev. of Norway AS	20.000000	\N	9999-12-31	9999-12-31	21548	155	9999-12-31	2013-05-08
093	1985-01-01	1987-09-13	BP Petroleum Dev. of Norway AS	20.000000	\N	9999-12-31	9999-12-31	21548	155	9999-12-31	2013-05-08
093	1987-09-13	1988-12-19	BP Petroleum Dev. of Norway AS	20.000000	\N	9999-12-31	9999-12-31	21548	155	9999-12-31	2013-05-08
093	1988-12-19	1995-07-01	BP Petroleum Dev. of Norway AS	14.000000	\N	9999-12-31	9999-12-31	21548	155	9999-12-31	2013-05-08
093	1995-07-01	1997-01-01	BP Petroleum Dev. of Norway AS	10.800000	\N	9999-12-31	9999-12-31	21548	155	9999-12-31	2013-05-08
093	1997-01-01	1998-02-09	BP Petroleum Dev. of Norway AS	18.360000	\N	9999-12-31	9999-12-31	21548	155	9999-12-31	2013-05-08
093	1998-02-09	1999-12-23	BP Petroleum Dev. of Norway AS	18.360000	\N	9999-12-31	9999-12-31	21548	155	9999-12-31	2013-05-08
093	1984-03-09	1985-01-01	A/S Norske Shell	30.000000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	1985-01-01	1987-09-13	A/S Norske Shell	30.000000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	1987-09-13	1988-12-19	A/S Norske Shell	30.000000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	1988-12-19	1995-07-01	A/S Norske Shell	21.000000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	1995-07-01	1997-01-01	A/S Norske Shell	16.200000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	1997-01-01	1998-02-09	A/S Norske Shell	16.200000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	1998-02-09	1999-12-23	A/S Norske Shell	16.200000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	1999-12-23	2001-05-10	A/S Norske Shell	16.200000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	2001-05-10	2001-06-17	A/S Norske Shell	16.200000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	2001-06-17	2002-03-12	A/S Norske Shell	16.200000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	2002-03-12	2002-03-19	A/S Norske Shell	16.200000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	2002-03-19	2002-11-19	A/S Norske Shell	26.200000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	2002-11-19	2005-09-19	A/S Norske Shell	26.200000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	2005-09-19	2012-01-01	A/S Norske Shell	26.200000	\N	1984-03-09	9999-12-31	21548	562	2012-12-01	2013-05-08
093	2012-01-01	9999-12-31	A/S Norske Shell	44.560000	\N	1984-03-09	9999-12-31	21548	562	9999-12-31	2013-05-08
093	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21548	749	9999-12-31	2013-05-08
093	1985-01-01	1987-09-13	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21548	749	9999-12-31	2013-05-08
093	1987-09-13	1988-12-19	Den norske stats oljeselskap a.s	50.000000	31.400000	9999-12-31	9999-12-31	21548	749	9999-12-31	2013-05-08
093	1988-12-19	1995-07-01	Den norske stats oljeselskap a.s	65.000000	45.400000	9999-12-31	9999-12-31	21548	749	9999-12-31	2013-05-08
093	1995-07-01	1997-01-01	Den norske stats oljeselskap a.s	73.000000	57.880000	9999-12-31	9999-12-31	21548	749	9999-12-31	2013-05-08
093	1997-01-01	1998-02-09	Den norske stats oljeselskap a.s	65.440000	57.880000	9999-12-31	9999-12-31	21548	749	9999-12-31	2013-05-08
093	1998-02-09	1999-12-23	Den norske stats oljeselskap a.s	57.880000	57.880000	9999-12-31	9999-12-31	21548	749	9999-12-31	2013-05-08
093	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	57.880000	57.880000	9999-12-31	9999-12-31	21548	749	9999-12-31	2013-05-08
093	1998-02-09	1999-12-23	Norsk Chevron AS	7.560000	\N	9999-12-31	9999-12-31	21548	40148	9999-12-31	2013-05-08
093	1999-12-23	2001-05-10	Norsk Chevron AS	7.560000	\N	9999-12-31	9999-12-31	21548	40148	9999-12-31	2013-05-08
093	2001-05-10	2001-06-17	Norsk Chevron AS	7.560000	\N	9999-12-31	9999-12-31	21548	40148	9999-12-31	2013-05-08
093	2001-06-17	2002-03-12	Norsk Chevron AS	7.560000	\N	9999-12-31	9999-12-31	21548	40148	9999-12-31	2013-05-08
093	2002-03-12	2002-03-19	Norsk Chevron AS	7.560000	\N	9999-12-31	9999-12-31	21548	40148	9999-12-31	2013-05-08
093	2002-03-19	2002-11-19	Norsk Chevron AS	7.560000	\N	9999-12-31	9999-12-31	21548	40148	9999-12-31	2013-05-08
093	1999-12-23	2001-05-10	BP Amoco Norge AS	18.360000	\N	9999-12-31	9999-12-31	21548	982372	9999-12-31	2013-05-08
093	2001-05-10	2001-06-17	BP Amoco Norge AS	18.360000	\N	9999-12-31	9999-12-31	21548	982372	9999-12-31	2013-05-08
093	2001-06-17	2002-03-12	BP Amoco Norge AS	18.360000	\N	9999-12-31	9999-12-31	21548	982372	9999-12-31	2013-05-08
093	2001-05-10	2001-06-17	SDØE	57.880000	\N	9999-12-31	9999-12-31	21548	1623450	9999-12-31	2013-05-08
093	2001-06-17	2002-03-12	Petoro AS	57.880000	\N	9999-12-31	9999-12-31	21548	1626839	9999-12-31	2013-05-08
093	2002-03-12	2002-03-19	Petoro AS	57.880000	\N	9999-12-31	9999-12-31	21548	1626839	9999-12-31	2013-05-08
093	2002-03-19	2002-11-19	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	21548	1626839	9999-12-31	2013-05-08
093	2002-11-19	2005-09-19	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	21548	1626839	9999-12-31	2013-05-08
093	2005-09-19	2012-01-01	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	21548	1626839	2012-12-01	2013-05-08
093	2012-01-01	9999-12-31	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	21548	1626839	9999-12-31	2013-05-08
093	2002-03-12	2002-03-19	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	21548	2052695	9999-12-31	2013-05-08
093	2002-03-19	2002-11-19	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	21548	2052695	9999-12-31	2013-05-08
093	2002-11-19	2005-09-19	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	21548	2052695	9999-12-31	2013-05-08
093	2005-09-19	2012-01-01	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	21548	2052695	2012-12-01	2013-05-08
093	2002-11-19	2005-09-19	Chevron Texaco Norge AS	7.560000	\N	9999-12-31	9999-12-31	21548	2154473	9999-12-31	2013-05-08
093	2005-09-19	2012-01-01	Chevron Norge AS	7.560000	\N	9999-12-31	9999-12-31	21548	3488906	2012-12-01	2013-05-08
093	2012-01-01	9999-12-31	Chevron Norge AS	7.560000	\N	9999-12-31	9999-12-31	21548	3488906	9999-12-31	2013-05-08
094	1984-03-09	1985-01-01	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	1985-01-01	1988-12-16	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	1988-12-16	1990-07-25	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	1990-07-25	1992-01-03	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	1992-01-03	1993-04-01	Norsk Agip  AS	9.800000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	1993-04-01	1995-06-22	Norsk Agip  AS	9.800000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	1995-06-22	1999-04-13	Norsk Agip  AS	9.800000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	1999-04-13	2001-01-11	Norsk Agip  AS	9.800000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	2001-01-11	2001-05-10	Norsk Agip  AS	9.800000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	2001-05-10	2001-06-01	Norsk Agip  AS	9.800000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	2001-06-01	2001-06-17	Norsk Agip  AS	9.800000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	2001-06-17	2001-12-18	Norsk Agip  AS	9.800000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	2001-12-18	2003-03-04	Norsk Agip  AS	9.800000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	2003-03-04	2003-05-06	Norsk Agip  AS	9.800000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	2003-05-06	2003-12-31	Norsk Agip  AS	9.800000	\N	9999-12-31	9999-12-31	21556	45	9999-12-31	2013-05-08
094	1984-03-09	1985-01-01	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21556	122	9999-12-31	2013-05-08
094	1985-01-01	1988-12-16	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21556	122	9999-12-31	2013-05-08
094	1988-12-16	1990-07-25	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21556	122	9999-12-31	2013-05-08
094	1988-12-16	1990-07-25	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21556	232	9999-12-31	2013-05-08
094	1990-07-25	1992-01-03	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21556	232	9999-12-31	2013-05-08
094	1992-01-03	1993-04-01	Conoco Petroleum Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	232	9999-12-31	2013-05-08
094	1984-03-09	1985-01-01	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	1985-01-01	1988-12-16	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	1988-12-16	1990-07-25	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	1990-07-25	1992-01-03	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	1992-01-03	1993-04-01	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	1993-04-01	1995-06-22	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	1995-06-22	1999-04-13	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	1999-04-13	2001-01-11	Norsk Hydro Produksjon AS	4.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	11.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	11.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	11.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	11.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	2001-12-18	2003-03-04	Norsk Hydro Produksjon AS	11.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	2003-03-04	2003-05-06	Norsk Hydro Produksjon AS	11.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	11.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	11.900000	\N	9999-12-31	9999-12-31	21556	430	9999-12-31	2013-05-08
094	1984-03-09	1985-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	1985-01-01	1988-12-16	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	1988-12-16	1990-07-25	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	1990-07-25	1992-01-03	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	1992-01-03	1993-04-01	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	1993-04-01	1995-06-22	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	1995-06-22	1999-04-13	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	1999-04-13	2001-01-11	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	2001-01-11	2001-05-10	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	2001-05-10	2001-06-01	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	2001-06-01	2001-06-17	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	2001-06-17	2001-12-18	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	2001-12-18	2003-03-04	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	2003-03-04	2003-05-06	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	2003-05-06	2003-12-31	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	2003-12-31	2007-01-01	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	2007-01-01	2007-10-01	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	2007-10-01	2008-01-01	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	2008-01-01	2008-01-02	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	474	9999-12-31	2013-05-08
094	1990-07-25	1992-01-03	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21556	496	9999-12-31	2013-05-08
094	1992-01-03	1993-04-01	Neste Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21556	496	9999-12-31	2013-05-08
094	1993-04-01	1995-06-22	Neste Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21556	496	9999-12-31	2013-05-08
094	1995-06-22	1999-04-13	Neste Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21556	496	9999-12-31	2013-05-08
094	1995-06-22	1999-04-13	Saga Petroleum ASA	7.000000	\N	9999-12-31	9999-12-31	21556	716	9999-12-31	2013-05-08
094	1999-04-13	2001-01-11	Saga Petroleum ASA	7.000000	\N	9999-12-31	9999-12-31	21556	716	9999-12-31	2013-05-08
094	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1984-03-09	2001-05-10	21556	749	9999-12-31	2013-05-08
094	1985-01-01	1988-12-16	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21556	749	9999-12-31	2013-05-08
094	1988-12-16	1990-07-25	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21556	749	9999-12-31	2013-05-08
094	1990-07-25	1992-01-03	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21556	749	9999-12-31	2013-05-08
094	1992-01-03	1993-04-01	Den norske stats oljeselskap a.s	51.000000	31.400000	1984-03-09	2001-05-10	21556	749	9999-12-31	2013-05-08
094	1993-04-01	1995-06-22	Den norske stats oljeselskap a.s	51.000000	31.400000	1984-03-09	2001-05-10	21556	749	9999-12-31	2013-05-08
094	1995-06-22	1999-04-13	Den norske stats oljeselskap a.s	44.000000	26.400000	1984-03-09	2001-05-10	21556	749	9999-12-31	2013-05-08
094	1999-04-13	2001-01-11	Den norske stats oljeselskap a.s	44.000000	26.400000	1984-03-09	2001-05-10	21556	749	9999-12-31	2013-05-08
094	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	44.000000	26.400000	1984-03-09	2001-05-10	21556	749	9999-12-31	2013-05-08
094	1984-03-09	1985-01-01	Tennaco Oil Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21556	793	9999-12-31	2013-05-08
094	1985-01-01	1988-12-16	Tennaco Oil Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21556	793	9999-12-31	2013-05-08
094	1993-04-01	1995-06-22	Total Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	848	9999-12-31	2013-05-08
094	1995-06-22	1999-04-13	Total Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	848	9999-12-31	2013-05-08
094	1999-04-13	2001-01-11	Total Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	848	9999-12-31	2013-05-08
094	2001-01-11	2001-05-10	Total Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	848	9999-12-31	2013-05-08
094	2001-05-10	2001-06-01	Total Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	848	9999-12-31	2013-05-08
094	2001-06-01	2001-06-17	Total Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	848	9999-12-31	2013-05-08
094	2001-06-17	2001-12-18	Total Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	848	9999-12-31	2013-05-08
094	1999-04-13	2001-01-11	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21556	102714	9999-12-31	2013-05-08
094	2001-01-11	2001-05-10	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21556	102714	9999-12-31	2013-05-08
094	2001-05-10	2001-06-01	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21556	102714	9999-12-31	2013-05-08
094	2001-06-01	2001-06-17	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21556	102714	9999-12-31	2013-05-08
094	2001-06-17	2001-12-18	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21556	102714	9999-12-31	2013-05-08
094	2001-12-18	2003-03-04	Fortum Petroleum AS	9.800000	\N	9999-12-31	9999-12-31	21556	102714	9999-12-31	2013-05-08
094	2001-12-18	2003-03-04	TotalFinaElf Exploration Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	1340884	9999-12-31	2013-05-08
094	2003-03-04	2003-05-06	TotalFinaElf Exploration Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	1340884	9999-12-31	2013-05-08
094	2001-05-10	2001-06-01	Statoil ASA (old)	17.600000	\N	2001-05-10	2007-10-01	21556	1622484	9999-12-31	2013-05-08
094	2001-06-01	2001-06-17	Statoil ASA (old)	29.050000	\N	2001-05-10	2007-10-01	21556	1622484	9999-12-31	2013-05-08
094	2001-06-17	2001-12-18	Statoil ASA (old)	29.050000	\N	2001-05-10	2007-10-01	21556	1622484	9999-12-31	2013-05-08
094	2001-12-18	2003-03-04	Statoil ASA (old)	29.050000	\N	2001-05-10	2007-10-01	21556	1622484	9999-12-31	2013-05-08
094	2003-03-04	2003-05-06	Statoil ASA (old)	29.050000	\N	2001-05-10	2007-10-01	21556	1622484	9999-12-31	2013-05-08
094	2003-05-06	2003-12-31	Statoil ASA (old)	29.050000	\N	2001-05-10	2007-10-01	21556	1622484	9999-12-31	2013-05-08
094	2003-12-31	2007-01-01	Statoil ASA (old)	29.050000	\N	2001-05-10	2007-10-01	21556	1622484	9999-12-31	2013-05-08
094	2007-01-01	2007-10-01	Statoil ASA (old)	29.050000	\N	2001-05-10	2007-10-01	21556	1622484	9999-12-31	2013-05-08
094	2001-05-10	2001-06-01	SDØE	26.400000	\N	9999-12-31	9999-12-31	21556	1623450	9999-12-31	2013-05-08
094	2001-06-01	2001-06-17	SDØE	14.950000	\N	9999-12-31	9999-12-31	21556	1623450	9999-12-31	2013-05-08
094	2001-06-17	2001-12-18	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	21556	1626839	9999-12-31	2013-05-08
094	2001-12-18	2003-03-04	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	21556	1626839	9999-12-31	2013-05-08
094	2003-03-04	2003-05-06	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	21556	1626839	9999-12-31	2013-05-08
094	2003-05-06	2003-12-31	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	21556	1626839	9999-12-31	2013-05-08
094	2003-12-31	2007-01-01	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	21556	1626839	9999-12-31	2013-05-08
094	2007-01-01	2007-10-01	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	21556	1626839	9999-12-31	2013-05-08
094	2007-10-01	2008-01-01	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	21556	1626839	9999-12-31	2013-05-08
094	2008-01-01	2008-01-02	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	21556	1626839	9999-12-31	2013-05-08
094	2008-01-02	2009-01-01	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	21556	1626839	9999-12-31	2013-05-08
094	2009-01-01	2009-11-02	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	21556	1626839	9999-12-31	2013-05-08
094	2009-11-02	9999-12-31	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	21556	1626839	9999-12-31	2013-05-08
094	2003-03-04	2003-05-06	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	2388594	9999-12-31	2013-05-08
094	2003-05-06	2003-12-31	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	2388594	9999-12-31	2013-05-08
094	2003-12-31	2007-01-01	Eni Norge AS	19.600000	\N	9999-12-31	9999-12-31	21556	2388594	9999-12-31	2013-05-08
094	2007-01-01	2007-10-01	Eni Norge AS	19.600000	\N	9999-12-31	9999-12-31	21556	2388594	9999-12-31	2013-05-08
094	2007-10-01	2008-01-01	Eni Norge AS	19.600000	\N	9999-12-31	9999-12-31	21556	2388594	9999-12-31	2013-05-08
094	2008-01-01	2008-01-02	Eni Norge AS	19.600000	\N	9999-12-31	9999-12-31	21556	2388594	9999-12-31	2013-05-08
094	2008-01-02	2009-01-01	Eni Norge AS	19.600000	\N	9999-12-31	9999-12-31	21556	2388594	9999-12-31	2013-05-08
094	2009-01-01	2009-11-02	Eni Norge AS	19.600000	\N	9999-12-31	9999-12-31	21556	2388594	9999-12-31	2013-05-08
094	2009-11-02	9999-12-31	Eni Norge AS	19.600000	\N	9999-12-31	9999-12-31	21556	2388594	9999-12-31	2013-05-08
094	2003-05-06	2003-12-31	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	2410708	9999-12-31	2013-05-08
094	2003-12-31	2007-01-01	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	2410708	9999-12-31	2013-05-08
094	2007-01-01	2007-10-01	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	2410708	9999-12-31	2013-05-08
094	2007-10-01	2008-01-01	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	2410708	9999-12-31	2013-05-08
094	2008-01-01	2008-01-02	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	2410708	9999-12-31	2013-05-08
094	2008-01-02	2009-01-01	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	2410708	9999-12-31	2013-05-08
094	2009-01-01	2009-11-02	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	2410708	9999-12-31	2013-05-08
094	2009-11-02	9999-12-31	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	21556	2410708	9999-12-31	2013-05-08
094	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	2835212	9999-12-31	2013-05-08
094	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	2835212	9999-12-31	2013-05-08
094	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	14.700000	\N	9999-12-31	9999-12-31	21556	2835212	9999-12-31	2013-05-08
094	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	11.900000	\N	9999-12-31	9999-12-31	21556	4511658	9999-12-31	2013-05-08
094	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	40.950000	\N	2009-01-01	2009-11-01	21556	4511658	9999-12-31	2013-05-08
094	2007-10-01	2008-01-01	StatoilHydro ASA	29.050000	\N	2007-10-01	2008-12-31	21556	4511854	9999-12-31	2013-05-08
094	2008-01-01	2008-01-02	StatoilHydro ASA	40.950000	\N	2007-10-01	2008-12-31	21556	4511854	9999-12-31	2013-05-08
094	2008-01-02	2009-01-01	StatoilHydro ASA	40.950000	\N	2007-10-01	2008-12-31	21556	4511854	9999-12-31	2013-05-08
094	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	11.900000	\N	9999-12-31	9999-12-31	21556	4524355	9999-12-31	2013-05-08
094	2009-11-02	9999-12-31	Statoil Petroleum AS	40.950000	\N	2009-11-02	9999-12-31	21556	17237817	9999-12-31	2013-05-08
095	1984-03-09	1985-01-01	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21564	122	9999-12-31	2013-05-08
095	1985-01-01	1988-12-16	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21564	122	9999-12-31	2013-05-08
095	1988-12-16	1990-07-25	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21564	122	9999-12-31	2013-05-08
095	1984-03-09	1985-01-01	Norske Conoco A/S	30.000000	\N	1984-03-09	2003-03-22	21564	221	9999-12-31	2013-05-08
095	1985-01-01	1988-12-16	Norske Conoco A/S	30.000000	\N	1984-03-09	2003-03-22	21564	221	9999-12-31	2013-05-08
095	1988-12-16	1990-07-25	Norske Conoco A/S	30.000000	\N	1984-03-09	2003-03-22	21564	221	9999-12-31	2013-05-08
095	1990-07-25	1993-12-13	Norske Conoco A/S	30.000000	\N	1984-03-09	2003-03-22	21564	221	9999-12-31	2013-05-08
095	1993-12-13	1994-09-08	Norske Conoco A/S	15.000000	\N	1984-03-09	2003-03-22	21564	221	9999-12-31	2013-05-08
095	1994-09-08	1999-04-13	Norske Conoco A/S	20.000000	\N	1984-03-09	2003-03-22	21564	221	9999-12-31	2013-05-08
095	1999-04-13	2001-05-10	Norske Conoco A/S	20.000000	\N	1984-03-09	2003-03-22	21564	221	9999-12-31	2013-05-08
095	2001-05-10	2001-06-17	Norske Conoco A/S	20.000000	\N	1984-03-09	2003-03-22	21564	221	9999-12-31	2013-05-08
095	2001-06-17	2002-03-19	Norske Conoco A/S	20.000000	\N	1984-03-09	2003-03-22	21564	221	9999-12-31	2013-05-08
095	2002-03-19	2003-03-04	Norske Conoco A/S	26.000000	\N	1984-03-09	2003-03-22	21564	221	9999-12-31	2013-05-08
095	2003-03-04	2003-03-22	Norske Conoco A/S	26.000000	\N	1984-03-09	2003-03-22	21564	221	9999-12-31	2013-05-08
095	1988-12-16	1990-07-25	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21564	232	9999-12-31	2013-05-08
095	1990-07-25	1993-12-13	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21564	232	9999-12-31	2013-05-08
095	1993-12-13	1994-09-08	Conoco Petroleum Norge AS	5.000000	\N	9999-12-31	9999-12-31	21564	232	9999-12-31	2013-05-08
095	1990-07-25	1993-12-13	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21564	496	9999-12-31	2013-05-08
095	1993-12-13	1994-09-08	Neste Petroleum AS	5.000000	\N	9999-12-31	9999-12-31	21564	496	9999-12-31	2013-05-08
095	1994-09-08	1999-04-13	Neste Petroleum AS	5.000000	\N	9999-12-31	9999-12-31	21564	496	9999-12-31	2013-05-08
095	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21564	749	9999-12-31	2013-05-08
095	1985-01-01	1988-12-16	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21564	749	9999-12-31	2013-05-08
095	1988-12-16	1990-07-25	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21564	749	9999-12-31	2013-05-08
095	1990-07-25	1993-12-13	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21564	749	9999-12-31	2013-05-08
095	1993-12-13	1994-09-08	Den norske stats oljeselskap a.s	75.000000	65.000000	9999-12-31	9999-12-31	21564	749	9999-12-31	2013-05-08
095	1994-09-08	1999-04-13	Den norske stats oljeselskap a.s	75.000000	65.000000	9999-12-31	9999-12-31	21564	749	9999-12-31	2013-05-08
095	1999-04-13	2001-05-10	Den norske stats oljeselskap a.s	75.000000	65.000000	9999-12-31	9999-12-31	21564	749	9999-12-31	2013-05-08
095	1984-03-09	1985-01-01	Tennaco Oil Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21564	793	9999-12-31	2013-05-08
095	1985-01-01	1988-12-16	Tennaco Oil Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21564	793	9999-12-31	2013-05-08
095	1999-04-13	2001-05-10	Fortum Petroleum AS	5.000000	\N	9999-12-31	9999-12-31	21564	102714	9999-12-31	2013-05-08
095	2001-05-10	2001-06-17	Fortum Petroleum AS	5.000000	\N	9999-12-31	9999-12-31	21564	102714	9999-12-31	2013-05-08
095	2001-06-17	2002-03-19	Fortum Petroleum AS	5.000000	\N	9999-12-31	9999-12-31	21564	102714	9999-12-31	2013-05-08
095	2002-03-19	2003-03-04	Fortum Petroleum AS	5.000000	\N	9999-12-31	9999-12-31	21564	102714	9999-12-31	2013-05-08
095	2001-05-10	2001-06-17	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	21564	1622484	9999-12-31	2013-05-08
095	2001-06-17	2002-03-19	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	21564	1622484	9999-12-31	2013-05-08
095	2002-03-19	2003-03-04	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	21564	1622484	9999-12-31	2013-05-08
095	2003-03-04	2003-03-22	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	21564	1622484	9999-12-31	2013-05-08
095	2003-03-22	2007-01-01	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	21564	1622484	9999-12-31	2013-05-08
095	2007-01-01	2007-10-01	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	21564	1622484	9999-12-31	2013-05-08
095	2001-05-10	2001-06-17	SDØE	65.000000	\N	9999-12-31	9999-12-31	21564	1623450	9999-12-31	2013-05-08
095	2001-06-17	2002-03-19	Petoro AS	65.000000	\N	9999-12-31	9999-12-31	21564	1626839	9999-12-31	2013-05-08
095	2002-03-19	2003-03-04	Petoro AS	59.000000	\N	9999-12-31	9999-12-31	21564	1626839	9999-12-31	2013-05-08
095	2003-03-04	2003-03-22	Petoro AS	59.000000	\N	9999-12-31	9999-12-31	21564	1626839	9999-12-31	2013-05-08
095	2003-03-22	2007-01-01	Petoro AS	59.000000	\N	9999-12-31	9999-12-31	21564	1626839	9999-12-31	2013-05-08
095	2007-01-01	2007-10-01	Petoro AS	59.000000	\N	9999-12-31	9999-12-31	21564	1626839	9999-12-31	2013-05-08
095	2007-10-01	2009-01-01	Petoro AS	59.000000	\N	9999-12-31	9999-12-31	21564	1626839	9999-12-31	2013-05-08
095	2009-01-01	2009-11-02	Petoro AS	59.000000	\N	9999-12-31	9999-12-31	21564	1626839	9999-12-31	2013-05-08
095	2009-11-02	9999-12-31	Petoro AS	59.000000	\N	9999-12-31	9999-12-31	21564	1626839	9999-12-31	2013-05-08
095	2003-03-04	2003-03-22	Eni Norge AS	5.000000	\N	9999-12-31	9999-12-31	21564	2388594	9999-12-31	2013-05-08
095	2003-03-22	2007-01-01	Eni Norge AS	5.000000	\N	9999-12-31	9999-12-31	21564	2388594	9999-12-31	2013-05-08
095	2007-01-01	2007-10-01	Eni Norge AS	5.000000	\N	9999-12-31	9999-12-31	21564	2388594	9999-12-31	2013-05-08
095	2007-10-01	2009-01-01	Eni Norge AS	5.000000	\N	9999-12-31	9999-12-31	21564	2388594	9999-12-31	2013-05-08
095	2009-01-01	2009-11-02	Eni Norge AS	5.000000	\N	9999-12-31	9999-12-31	21564	2388594	9999-12-31	2013-05-08
095	2009-11-02	9999-12-31	Eni Norge AS	5.000000	\N	9999-12-31	9999-12-31	21564	2388594	9999-12-31	2013-05-08
095	2003-03-22	2007-01-01	Norske ConocoPhillips AS	26.000000	\N	2003-03-22	2007-01-01	21564	2399056	9999-12-31	2013-05-08
095	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	26.000000	\N	2007-01-01	9999-12-31	21564	2410696	9999-12-31	2013-05-08
095	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	26.000000	\N	2007-01-01	9999-12-31	21564	2410696	9999-12-31	2013-05-08
095	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	26.000000	\N	2007-01-01	9999-12-31	21564	2410696	9999-12-31	2013-05-08
095	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	26.000000	\N	2007-01-01	9999-12-31	21564	2410696	9999-12-31	2013-05-08
095	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21564	4511658	9999-12-31	2013-05-08
095	2007-10-01	2009-01-01	StatoilHydro ASA	10.000000	\N	9999-12-31	9999-12-31	21564	4511854	9999-12-31	2013-05-08
095	2009-11-02	9999-12-31	Statoil Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21564	17237817	9999-12-31	2013-05-08
096	1984-03-09	1985-01-01	Elf Aquitaine Norge A/S	35.000000	\N	1984-03-09	1990-03-09	21572	331	9999-12-31	2013-05-08
096	1985-01-01	1990-03-09	Elf Aquitaine Norge A/S	35.000000	\N	1984-03-09	1990-03-09	21572	331	9999-12-31	2013-05-08
096	1984-03-09	1985-01-01	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21572	430	9999-12-31	2013-05-08
096	1985-01-01	1990-03-09	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21572	430	9999-12-31	2013-05-08
096	1984-03-09	1985-01-01	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21572	716	9999-12-31	2013-05-08
096	1985-01-01	1990-03-09	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21572	716	9999-12-31	2013-05-08
096	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21572	749	9999-12-31	2013-05-08
096	1985-01-01	1990-03-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21572	749	9999-12-31	2013-05-08
097	1984-03-09	1985-01-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	67	9999-12-31	2013-05-08
097	1985-01-01	1994-12-21	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	67	9999-12-31	2013-05-08
097	1994-12-21	1998-12-17	Amerada Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	67	9999-12-31	2013-05-08
097	1998-12-17	1999-01-01	Amerada Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	67	9999-12-31	2013-05-08
097	1999-01-01	2000-12-23	Amerada Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	67	9999-12-31	2013-05-08
097	2000-12-23	2001-05-10	Amerada Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	67	9999-12-31	2013-05-08
097	2001-05-10	2001-06-17	Amerada Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	67	9999-12-31	2013-05-08
097	2001-06-17	2004-01-01	Amerada Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	67	9999-12-31	2013-05-08
097	2004-01-01	2006-06-26	Amerada Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	67	9999-12-31	2013-05-08
097	1984-03-09	1985-01-01	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	254	9999-12-31	2013-05-08
097	1985-01-01	1994-12-21	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	254	9999-12-31	2013-05-08
097	1994-12-21	1998-12-17	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	254	9999-12-31	2013-05-08
097	1984-03-09	1985-01-01	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21580	353	9999-12-31	2013-05-08
097	1985-01-01	1994-12-21	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21580	353	9999-12-31	2013-05-08
097	1984-03-09	1985-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1984-03-09	2000-04-10	21580	430	9999-12-31	2013-05-08
097	1985-01-01	1994-12-21	Norsk Hydro Produksjon AS	20.000000	\N	1984-03-09	2000-04-10	21580	430	9999-12-31	2013-05-08
097	1994-12-21	1998-12-17	Norsk Hydro Produksjon AS	22.500000	\N	1984-03-09	2000-04-10	21580	430	9999-12-31	2013-05-08
097	1998-12-17	1999-01-01	Norsk Hydro Produksjon AS	22.500000	\N	1984-03-09	2000-04-10	21580	430	9999-12-31	2013-05-08
097	1999-01-01	2000-12-23	Norsk Hydro Produksjon AS	10.000000	\N	1984-03-09	2000-04-10	21580	430	9999-12-31	2013-05-08
097	2000-12-23	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21580	430	9999-12-31	2013-05-08
097	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21580	430	9999-12-31	2013-05-08
097	2001-06-17	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21580	430	9999-12-31	2013-05-08
097	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21580	749	9999-12-31	2013-05-08
097	1985-01-01	1994-12-21	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21580	749	9999-12-31	2013-05-08
097	1994-12-21	1998-12-17	Den norske stats oljeselskap a.s	56.250000	30.000000	9999-12-31	9999-12-31	21580	749	9999-12-31	2013-05-08
097	1998-12-17	1999-01-01	Den norske stats oljeselskap a.s	56.250000	30.000000	9999-12-31	9999-12-31	21580	749	9999-12-31	2013-05-08
097	1999-01-01	2000-12-23	Den norske stats oljeselskap a.s	68.750000	30.000000	2000-04-10	2001-05-10	21580	749	9999-12-31	2013-05-08
097	2000-12-23	2001-05-10	Den norske stats oljeselskap a.s	56.750000	30.000000	2000-04-10	2001-05-10	21580	749	9999-12-31	2013-05-08
097	1998-12-17	1999-01-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	1999-01-01	2000-12-23	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	2000-12-23	2001-05-10	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	2001-05-10	2001-06-17	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	2001-06-17	2004-01-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	2004-01-01	2006-06-26	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	2006-06-26	2007-10-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	2007-10-01	2009-01-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	2009-01-01	2009-01-02	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	2009-01-02	2009-11-02	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	2009-11-02	2011-01-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	2011-01-01	9999-12-31	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21580	97557	9999-12-31	2013-05-08
097	2001-05-10	2001-06-17	Statoil ASA (old)	26.750000	\N	2001-05-10	2007-10-01	21580	1622484	9999-12-31	2013-05-08
097	2001-06-17	2004-01-01	Statoil ASA (old)	26.750000	\N	2001-05-10	2007-10-01	21580	1622484	9999-12-31	2013-05-08
097	2004-01-01	2006-06-26	Statoil ASA (old)	36.750000	\N	2001-05-10	2007-10-01	21580	1622484	9999-12-31	2013-05-08
097	2006-06-26	2007-10-01	Statoil ASA (old)	36.750000	\N	2001-05-10	2007-10-01	21580	1622484	9999-12-31	2013-05-08
097	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21580	1623450	9999-12-31	2013-05-08
097	2001-06-17	2004-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21580	1626839	9999-12-31	2013-05-08
097	2004-01-01	2006-06-26	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21580	1626839	9999-12-31	2013-05-08
097	2006-06-26	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21580	1626839	9999-12-31	2013-05-08
097	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21580	1626839	9999-12-31	2013-05-08
097	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21580	1626839	9999-12-31	2013-05-08
097	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21580	1626839	9999-12-31	2013-05-08
097	2009-11-02	2011-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21580	1626839	9999-12-31	2013-05-08
097	2011-01-01	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21580	1626839	9999-12-31	2013-05-08
097	2000-12-23	2001-05-10	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21580	1628733	9999-12-31	2013-05-08
097	2001-05-10	2001-06-17	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21580	1628733	9999-12-31	2013-05-08
097	2001-06-17	2004-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21580	1628733	9999-12-31	2013-05-08
097	2004-01-01	2006-06-26	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21580	1628733	9999-12-31	2013-05-08
097	2006-06-26	2007-10-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21580	1628733	9999-12-31	2013-05-08
097	2007-10-01	2009-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21580	1628733	9999-12-31	2013-05-08
097	2006-06-26	2007-10-01	Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	4038735	9999-12-31	2013-05-08
097	2007-10-01	2009-01-01	Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	4038735	9999-12-31	2013-05-08
097	2009-01-01	2009-01-02	Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	4038735	9999-12-31	2013-05-08
097	2009-01-02	2009-11-02	Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	4038735	9999-12-31	2013-05-08
097	2009-11-02	2011-01-01	Hess Norge AS	11.250000	\N	9999-12-31	9999-12-31	21580	4038735	9999-12-31	2013-05-08
097	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	36.750000	\N	2009-01-01	2009-11-01	21580	4511658	9999-12-31	2013-05-08
097	2007-10-01	2009-01-01	StatoilHydro ASA	36.750000	\N	2007-10-01	2008-12-31	21580	4511854	9999-12-31	2013-05-08
097	2009-01-01	2009-01-02	StatoilHydro ASA	36.750000	\N	9999-12-31	9999-12-31	21580	4511854	9999-12-31	2013-05-08
097	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21580	5267845	9999-12-31	2013-05-08
097	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21580	5267845	9999-12-31	2013-05-08
097	2009-11-02	2011-01-01	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21580	5267845	9999-12-31	2013-05-08
097	2011-01-01	9999-12-31	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21580	5267845	9999-12-31	2013-05-08
097	2009-11-02	2011-01-01	Statoil Petroleum AS	36.750000	\N	2009-11-02	9999-12-31	21580	17237817	9999-12-31	2013-05-08
097	2011-01-01	9999-12-31	Statoil Petroleum AS	48.000000	\N	2009-11-02	9999-12-31	21580	17237817	9999-12-31	2013-05-08
098	1984-03-09	1985-01-01	Esso Exploration and Production Norway A/S	50.000000	\N	1984-03-09	1991-03-09	21588	353	9999-12-31	2013-05-08
098	1985-01-01	1991-03-09	Esso Exploration and Production Norway A/S	50.000000	\N	1984-03-09	1991-03-09	21588	353	9999-12-31	2013-05-08
098	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	9999-12-31	9999-12-31	21588	749	9999-12-31	2013-05-08
098	1985-01-01	1991-03-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21588	749	9999-12-31	2013-05-08
099	1984-03-09	1985-01-01	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	21596	221	9999-12-31	2013-05-08
099	1985-01-01	1993-02-15	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	21596	221	9999-12-31	2013-05-08
099	1993-02-15	1993-04-01	Norske Conoco A/S	7.500000	\N	9999-12-31	9999-12-31	21596	221	9999-12-31	2013-05-08
099	1984-03-09	1985-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21596	430	9999-12-31	2013-05-08
099	1985-01-01	1993-02-15	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21596	430	9999-12-31	2013-05-08
099	1993-02-15	1993-04-01	Norsk Hydro Produksjon AS	12.500000	\N	9999-12-31	9999-12-31	21596	430	9999-12-31	2013-05-08
099	1993-04-01	1999-01-01	Norsk Hydro Produksjon AS	12.500000	\N	9999-12-31	9999-12-31	21596	430	9999-12-31	2013-05-08
099	1999-01-01	2000-12-23	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21596	430	9999-12-31	2013-05-08
099	2000-12-23	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21596	430	9999-12-31	2013-05-08
099	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21596	430	9999-12-31	2013-05-08
099	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21596	430	9999-12-31	2013-05-08
099	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21596	430	9999-12-31	2013-05-08
099	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21596	430	9999-12-31	2013-05-08
099	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1984-03-09	2001-05-10	21596	749	9999-12-31	2013-05-08
099	1985-01-01	1993-02-15	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21596	749	9999-12-31	2013-05-08
099	1993-02-15	1993-04-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21596	749	9999-12-31	2013-05-08
099	1993-04-01	1999-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21596	749	9999-12-31	2013-05-08
099	1999-01-01	2000-12-23	Den norske stats oljeselskap a.s	52.500000	30.000000	1984-03-09	2001-05-10	21596	749	9999-12-31	2013-05-08
099	2000-12-23	2001-05-10	Den norske stats oljeselskap a.s	40.500000	30.000000	1984-03-09	2001-05-10	21596	749	9999-12-31	2013-05-08
099	1984-03-09	1985-01-01	Total Norge AS	30.000000	\N	9999-12-31	9999-12-31	21596	848	9999-12-31	2013-05-08
099	1985-01-01	1993-02-15	Total Norge AS	30.000000	\N	9999-12-31	9999-12-31	21596	848	9999-12-31	2013-05-08
099	1993-02-15	1993-04-01	Total Norge AS	30.000000	\N	9999-12-31	9999-12-31	21596	848	9999-12-31	2013-05-08
099	1993-04-01	1999-01-01	Total Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	848	9999-12-31	2013-05-08
099	1999-01-01	2000-12-23	Total Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	848	9999-12-31	2013-05-08
099	2000-12-23	2001-05-10	Total Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	848	9999-12-31	2013-05-08
099	2001-05-10	2001-06-17	Total Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	848	9999-12-31	2013-05-08
099	2001-06-17	2001-12-18	Total Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	848	9999-12-31	2013-05-08
099	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	1340884	9999-12-31	2013-05-08
099	2001-05-10	2001-06-17	Statoil ASA (old)	10.500000	\N	2001-05-10	2007-10-01	21596	1622484	9999-12-31	2013-05-08
099	2001-06-17	2001-12-18	Statoil ASA (old)	10.500000	\N	2001-05-10	2007-10-01	21596	1622484	9999-12-31	2013-05-08
099	2001-12-18	2003-05-06	Statoil ASA (old)	10.500000	\N	2001-05-10	2007-10-01	21596	1622484	9999-12-31	2013-05-08
099	2003-05-06	2004-01-01	Statoil ASA (old)	10.500000	\N	2001-05-10	2007-10-01	21596	1622484	9999-12-31	2013-05-08
099	2004-01-01	2007-10-01	Statoil ASA (old)	20.500000	\N	2001-05-10	2007-10-01	21596	1622484	9999-12-31	2013-05-08
099	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21596	1623450	9999-12-31	2013-05-08
099	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21596	1626839	9999-12-31	2013-05-08
099	2001-12-18	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21596	1626839	9999-12-31	2013-05-08
099	2003-05-06	2004-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21596	1626839	9999-12-31	2013-05-08
099	2004-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21596	1626839	9999-12-31	2013-05-08
099	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21596	1626839	9999-12-31	2013-05-08
099	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21596	1626839	9999-12-31	2013-05-08
099	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21596	1626839	9999-12-31	2013-05-08
099	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21596	1626839	9999-12-31	2013-05-08
099	2000-12-23	2001-05-10	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21596	1628733	9999-12-31	2013-05-08
099	2001-05-10	2001-06-17	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21596	1628733	9999-12-31	2013-05-08
099	2001-06-17	2001-12-18	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21596	1628733	9999-12-31	2013-05-08
099	2001-12-18	2003-05-06	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21596	1628733	9999-12-31	2013-05-08
099	2003-05-06	2004-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21596	1628733	9999-12-31	2013-05-08
099	2004-01-01	2007-10-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21596	1628733	9999-12-31	2013-05-08
099	2007-10-01	2009-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21596	1628733	9999-12-31	2013-05-08
099	2003-05-06	2004-01-01	Total E&P Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	2410708	9999-12-31	2013-05-08
099	2004-01-01	2007-10-01	Total E&P Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	2410708	9999-12-31	2013-05-08
099	2007-10-01	2009-01-01	Total E&P Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	2410708	9999-12-31	2013-05-08
099	2009-01-01	2009-01-02	Total E&P Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	2410708	9999-12-31	2013-05-08
099	2009-01-02	2009-11-02	Total E&P Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	2410708	9999-12-31	2013-05-08
099	2009-11-02	9999-12-31	Total E&P Norge AS	37.500000	\N	9999-12-31	9999-12-31	21596	2410708	9999-12-31	2013-05-08
099	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	20.500000	\N	2009-01-01	2009-11-01	21596	4511658	9999-12-31	2013-05-08
099	2007-10-01	2009-01-01	StatoilHydro ASA	20.500000	\N	2007-10-01	2008-12-31	21596	4511854	9999-12-31	2013-05-08
099	2009-01-01	2009-01-02	StatoilHydro ASA	20.500000	\N	9999-12-31	9999-12-31	21596	4511854	9999-12-31	2013-05-08
099	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21596	5267845	9999-12-31	2013-05-08
099	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21596	5267845	9999-12-31	2013-05-08
099	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21596	5267845	9999-12-31	2013-05-08
099	2009-11-02	9999-12-31	Statoil Petroleum AS	20.500000	\N	2009-11-02	9999-12-31	21596	17237817	9999-12-31	2013-05-08
100	1984-03-09	1985-01-01	Deminex Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	254	9999-12-31	2013-05-08
100	1985-01-01	1995-02-16	Deminex Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	254	9999-12-31	2013-05-08
100	1995-02-16	1998-01-01	Deminex Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	254	9999-12-31	2013-05-08
100	1998-01-01	1998-12-17	Deminex Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	254	9999-12-31	2013-05-08
100	1984-03-09	1985-01-01	DNO Olje A/S	1.000000	\N	9999-12-31	9999-12-31	21604	276	9999-12-31	2013-05-08
100	1985-01-01	1995-02-16	DNO Olje A/S	1.000000	\N	9999-12-31	9999-12-31	21604	276	9999-12-31	2013-05-08
100	1984-03-09	1985-01-01	Elf Petroleum Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	298	9999-12-31	2013-05-08
100	1985-01-01	1995-02-16	Elf Petroleum Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	298	9999-12-31	2013-05-08
100	1995-02-16	1998-01-01	Elf Petroleum Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	298	9999-12-31	2013-05-08
100	1999-01-01	2000-12-23	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21604	430	9999-12-31	2013-05-08
100	2000-12-23	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21604	430	9999-12-31	2013-05-08
100	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21604	430	9999-12-31	2013-05-08
100	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21604	430	9999-12-31	2013-05-08
100	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21604	430	9999-12-31	2013-05-08
100	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21604	430	9999-12-31	2013-05-08
100	1984-03-09	1985-01-01	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21604	738	9999-12-31	2013-05-08
100	1985-01-01	1995-02-16	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21604	738	9999-12-31	2013-05-08
100	1995-02-16	1998-01-01	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21604	738	9999-12-31	2013-05-08
100	1998-01-01	1998-12-17	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21604	738	9999-12-31	2013-05-08
100	1998-12-17	1999-01-01	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21604	738	9999-12-31	2013-05-08
100	1999-01-01	2000-12-23	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21604	738	9999-12-31	2013-05-08
100	2000-12-23	2001-05-10	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21604	738	9999-12-31	2013-05-08
100	2001-05-10	2001-06-17	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21604	738	9999-12-31	2013-05-08
100	2001-06-17	2001-12-18	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21604	738	9999-12-31	2013-05-08
100	2001-12-18	2003-05-06	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21604	738	9999-12-31	2013-05-08
100	2003-05-06	2004-01-01	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21604	738	9999-12-31	2013-05-08
100	1984-03-09	1985-01-01	Den norske stats oljeselskap a.s	50.000000	\N	1984-03-09	2001-05-10	21604	749	9999-12-31	2013-05-08
100	1985-01-01	1995-02-16	Den norske stats oljeselskap a.s	50.000000	30.000000	1984-03-09	2001-05-10	21604	749	9999-12-31	2013-05-08
100	1995-02-16	1998-01-01	Den norske stats oljeselskap a.s	51.000000	30.000000	1984-03-09	2001-05-10	21604	749	9999-12-31	2013-05-08
100	1998-01-01	1998-12-17	Den norske stats oljeselskap a.s	51.000000	30.000000	1984-03-09	2001-05-10	21604	749	9999-12-31	2013-05-08
100	1998-12-17	1999-01-01	Den norske stats oljeselskap a.s	51.000000	30.000000	1984-03-09	2001-05-10	21604	749	9999-12-31	2013-05-08
100	1999-01-01	2000-12-23	Den norske stats oljeselskap a.s	41.000000	30.000000	1984-03-09	2001-05-10	21604	749	9999-12-31	2013-05-08
100	2000-12-23	2001-05-10	Den norske stats oljeselskap a.s	35.000000	30.000000	1984-03-09	2001-05-10	21604	749	9999-12-31	2013-05-08
100	1998-01-01	1998-12-17	Total Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	848	9999-12-31	2013-05-08
100	1998-12-17	1999-01-01	Total Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	848	9999-12-31	2013-05-08
100	1999-01-01	2000-12-23	Total Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	848	9999-12-31	2013-05-08
100	2000-12-23	2001-05-10	Total Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	848	9999-12-31	2013-05-08
100	2001-05-10	2001-06-17	Total Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	848	9999-12-31	2013-05-08
100	2001-06-17	2001-12-18	Total Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	848	9999-12-31	2013-05-08
100	1998-12-17	1999-01-01	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	1999-01-01	2000-12-23	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	2000-12-23	2001-05-10	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	2001-05-10	2001-06-17	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	2001-06-17	2001-12-18	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	2001-12-18	2003-05-06	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	2003-05-06	2004-01-01	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	2004-01-01	2007-10-01	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	2007-10-01	2009-01-01	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	2009-01-01	2009-01-02	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	2009-01-02	2009-11-02	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	2009-11-02	9999-12-31	RWE Dea Norge AS	4.000000	\N	9999-12-31	9999-12-31	21604	97557	9999-12-31	2013-05-08
100	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	1340884	9999-12-31	2013-05-08
100	2001-05-10	2001-06-17	Statoil ASA (old)	5.000000	\N	2001-05-10	2007-10-01	21604	1622484	9999-12-31	2013-05-08
100	2001-06-17	2001-12-18	Statoil ASA (old)	5.000000	\N	2001-05-10	2007-10-01	21604	1622484	9999-12-31	2013-05-08
100	2001-12-18	2003-05-06	Statoil ASA (old)	5.000000	\N	2001-05-10	2007-10-01	21604	1622484	9999-12-31	2013-05-08
100	2003-05-06	2004-01-01	Statoil ASA (old)	5.000000	\N	2001-05-10	2007-10-01	21604	1622484	9999-12-31	2013-05-08
100	2004-01-01	2007-10-01	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	21604	1622484	9999-12-31	2013-05-08
100	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21604	1623450	9999-12-31	2013-05-08
100	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21604	1626839	9999-12-31	2013-05-08
100	2001-12-18	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21604	1626839	9999-12-31	2013-05-08
100	2003-05-06	2004-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21604	1626839	9999-12-31	2013-05-08
100	2004-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21604	1626839	9999-12-31	2013-05-08
100	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21604	1626839	9999-12-31	2013-05-08
100	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21604	1626839	9999-12-31	2013-05-08
100	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21604	1626839	9999-12-31	2013-05-08
100	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21604	1626839	9999-12-31	2013-05-08
100	2000-12-23	2001-05-10	Gaz de France Norge AS	6.000000	\N	9999-12-31	9999-12-31	21604	1628733	9999-12-31	2013-05-08
100	2001-05-10	2001-06-17	Gaz de France Norge AS	6.000000	\N	9999-12-31	9999-12-31	21604	1628733	9999-12-31	2013-05-08
100	2001-06-17	2001-12-18	Gaz de France Norge AS	6.000000	\N	9999-12-31	9999-12-31	21604	1628733	9999-12-31	2013-05-08
100	2001-12-18	2003-05-06	Gaz de France Norge AS	6.000000	\N	9999-12-31	9999-12-31	21604	1628733	9999-12-31	2013-05-08
100	2003-05-06	2004-01-01	Gaz de France Norge AS	6.000000	\N	9999-12-31	9999-12-31	21604	1628733	9999-12-31	2013-05-08
100	2004-01-01	2007-10-01	Gaz de France Norge AS	6.000000	\N	9999-12-31	9999-12-31	21604	1628733	9999-12-31	2013-05-08
100	2007-10-01	2009-01-01	Gaz de France Norge AS	6.000000	\N	9999-12-31	9999-12-31	21604	1628733	9999-12-31	2013-05-08
100	2003-05-06	2004-01-01	Total E&P Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	2410708	9999-12-31	2013-05-08
100	2004-01-01	2007-10-01	Total E&P Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	2410708	9999-12-31	2013-05-08
100	2007-10-01	2009-01-01	Total E&P Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	2410708	9999-12-31	2013-05-08
100	2009-01-01	2009-01-02	Total E&P Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	2410708	9999-12-31	2013-05-08
100	2009-01-02	2009-11-02	Total E&P Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	2410708	9999-12-31	2013-05-08
100	2009-11-02	9999-12-31	Total E&P Norge AS	35.000000	\N	9999-12-31	9999-12-31	21604	2410708	9999-12-31	2013-05-08
100	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	25.000000	\N	2009-01-01	2009-11-01	21604	4511658	9999-12-31	2013-05-08
100	2007-10-01	2009-01-01	StatoilHydro ASA	25.000000	\N	2007-10-01	2008-12-31	21604	4511854	9999-12-31	2013-05-08
100	2009-01-01	2009-01-02	StatoilHydro ASA	25.000000	\N	9999-12-31	9999-12-31	21604	4511854	9999-12-31	2013-05-08
100	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	21604	5267845	9999-12-31	2013-05-08
100	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	21604	5267845	9999-12-31	2013-05-08
100	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	21604	5267845	9999-12-31	2013-05-08
100	2009-11-02	9999-12-31	Statoil Petroleum AS	25.000000	\N	2009-11-02	9999-12-31	21604	17237817	9999-12-31	2013-05-08
101	1985-03-01	1992-03-01	Norsk Agip  AS	25.000000	\N	1985-03-01	1999-12-31	21612	45	9999-12-31	2013-05-08
101	1992-03-01	1998-12-17	Norsk Agip  AS	45.000000	\N	1985-03-01	1999-12-31	21612	45	9999-12-31	2013-05-08
101	1998-12-17	1999-12-31	Norsk Agip  AS	45.000000	\N	1985-03-01	1999-12-31	21612	45	9999-12-31	2013-05-08
101	1985-03-01	1992-03-01	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21612	254	9999-12-31	2013-05-08
101	1992-03-01	1998-12-17	Deminex Norge AS	5.000000	\N	9999-12-31	9999-12-31	21612	254	9999-12-31	2013-05-08
101	1985-03-01	1992-03-01	Fina Production Licenses AS	20.000000	\N	9999-12-31	9999-12-31	21612	386	9999-12-31	2013-05-08
101	1985-03-01	1992-03-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21612	749	9999-12-31	2013-05-08
101	1992-03-01	1998-12-17	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21612	749	9999-12-31	2013-05-08
101	1998-12-17	1999-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21612	749	9999-12-31	2013-05-08
101	1998-12-17	1999-12-31	RWE Dea Norge AS	5.000000	\N	9999-12-31	9999-12-31	21612	97557	9999-12-31	2013-05-08
102	1991-07-01	1997-01-01	Elf Petroleum Norge AS	30.000000	\N	1985-03-01	2000-07-24	21620	298	9999-12-31	2013-05-08
102	1997-01-01	2000-07-24	Elf Petroleum Norge AS	20.000000	\N	1985-03-01	2000-07-24	21620	298	9999-12-31	2013-05-08
102	1985-03-01	1991-07-01	Elf Aquitaine Norge A/S	30.000000	\N	9999-12-31	9999-12-31	21620	331	9999-12-31	2013-05-08
102	1997-01-01	2000-07-24	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21620	430	9999-12-31	2013-05-08
102	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21620	430	9999-12-31	2013-05-08
102	2001-05-10	2001-06-08	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21620	430	9999-12-31	2013-05-08
102	2001-06-08	2001-06-17	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21620	430	9999-12-31	2013-05-08
102	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21620	430	9999-12-31	2013-05-08
102	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21620	430	9999-12-31	2013-05-08
102	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21620	430	9999-12-31	2013-05-08
102	2001-06-08	2001-06-17	Marathon Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	463	9999-12-31	2013-05-08
102	2001-06-17	2001-12-18	Marathon Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	463	9999-12-31	2013-05-08
102	2001-12-18	2003-05-06	Marathon Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	463	9999-12-31	2013-05-08
102	2003-05-06	2007-01-01	Marathon Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	463	9999-12-31	2013-05-08
102	2007-01-01	2007-10-01	Marathon Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	463	9999-12-31	2013-05-08
102	2007-10-01	2008-01-01	Marathon Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	463	9999-12-31	2013-05-08
102	1985-03-01	1991-07-01	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	21620	562	9999-12-31	2013-05-08
102	1985-03-01	1991-07-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21620	749	9999-12-31	2013-05-08
102	1991-07-01	1997-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21620	749	9999-12-31	2013-05-08
102	1997-01-01	2000-07-24	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21620	749	9999-12-31	2013-05-08
102	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21620	749	9999-12-31	2013-05-08
102	1991-07-01	1997-01-01	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	848	9999-12-31	2013-05-08
102	1997-01-01	2000-07-24	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	848	9999-12-31	2013-05-08
102	2000-07-24	2001-05-10	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	848	9999-12-31	2013-05-08
102	2001-05-10	2001-06-08	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	848	9999-12-31	2013-05-08
102	2001-06-08	2001-06-17	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	848	9999-12-31	2013-05-08
102	2001-06-17	2001-12-18	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	21620	848	9999-12-31	2013-05-08
102	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	20.000000	\N	2000-07-24	2003-05-06	21620	1340884	9999-12-31	2013-05-08
102	2001-05-10	2001-06-08	TotalFinaElf Exploration Norge AS	20.000000	\N	2000-07-24	2003-05-06	21620	1340884	9999-12-31	2013-05-08
102	2001-06-08	2001-06-17	TotalFinaElf Exploration Norge AS	20.000000	\N	2000-07-24	2003-05-06	21620	1340884	9999-12-31	2013-05-08
102	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	20.000000	\N	2000-07-24	2003-05-06	21620	1340884	9999-12-31	2013-05-08
102	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	40.000000	\N	2000-07-24	2003-05-06	21620	1340884	9999-12-31	2013-05-08
102	2001-05-10	2001-06-08	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21620	1622484	9999-12-31	2013-05-08
102	2001-05-10	2001-06-08	SDØE	30.000000	\N	9999-12-31	9999-12-31	21620	1623450	9999-12-31	2013-05-08
102	2001-06-08	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21620	1623450	9999-12-31	2013-05-08
102	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21620	1626839	9999-12-31	2013-05-08
102	2001-12-18	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21620	1626839	9999-12-31	2013-05-08
102	2003-05-06	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21620	1626839	9999-12-31	2013-05-08
102	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21620	1626839	9999-12-31	2013-05-08
102	2007-10-01	2008-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21620	1626839	9999-12-31	2013-05-08
102	2008-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21620	1626839	9999-12-31	2013-05-08
102	2009-11-02	2012-04-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21620	1626839	9999-12-31	2013-05-08
102	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21620	1626839	9999-12-31	2013-05-08
102	2003-05-06	2007-01-01	Total E&P Norge AS	40.000000	\N	2003-05-06	9999-12-31	21620	2410708	9999-12-31	2013-05-08
102	2007-01-01	2007-10-01	Total E&P Norge AS	40.000000	\N	2003-05-06	9999-12-31	21620	2410708	9999-12-31	2013-05-08
102	2007-10-01	2008-01-01	Total E&P Norge AS	40.000000	\N	2003-05-06	9999-12-31	21620	2410708	9999-12-31	2013-05-08
102	2008-01-01	2009-11-02	Total E&P Norge AS	40.000000	\N	2003-05-06	9999-12-31	21620	2410708	9999-12-31	2013-05-08
102	2009-11-02	2012-04-30	Total E&P Norge AS	40.000000	\N	2003-05-06	9999-12-31	21620	2410708	9999-12-31	2013-05-08
102	2012-04-30	9999-12-31	Total E&P Norge AS	40.000000	\N	2003-05-06	9999-12-31	21620	2410708	9999-12-31	2013-05-08
102	2008-01-01	2009-11-02	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	21620	4238233	9999-12-31	2013-05-08
102	2009-11-02	2012-04-30	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	21620	4238233	9999-12-31	2013-05-08
102	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	21620	4238233	9999-12-31	2013-05-08
102	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21620	4511658	9999-12-31	2013-05-08
102	2008-01-01	2009-11-02	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21620	4511658	9999-12-31	2013-05-08
102	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21620	4524355	9999-12-31	2013-05-08
102	2009-11-02	2012-04-30	Statoil Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21620	17237817	9999-12-31	2013-05-08
103	1985-03-01	1995-01-06	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21628	67	9999-12-31	2013-05-08
103	1995-01-06	1998-01-01	Amerada Hess Norge AS	12.500000	\N	9999-12-31	9999-12-31	21628	67	9999-12-31	2013-05-08
103	1998-01-01	2000-01-01	Amerada Hess Norge AS	50.000000	\N	1998-11-30	2003-12-31	21628	67	9999-12-31	2013-05-08
103	2000-01-01	2003-12-31	Amerada Hess Norge AS	100.000000	\N	1998-11-30	2003-12-31	21628	67	9999-12-31	2013-05-08
103	1985-03-01	1995-01-06	Britoil Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21628	166	9999-12-31	2013-05-08
103	1985-03-01	1995-01-06	Norske Conoco A/S	30.000000	\N	1985-03-01	1998-11-29	21628	221	9999-12-31	2013-05-08
103	1995-01-06	1998-01-01	Norske Conoco A/S	37.500000	\N	1985-03-01	1998-11-29	21628	221	9999-12-31	2013-05-08
103	1985-03-01	1995-01-06	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21628	749	9999-12-31	2013-05-08
103	1995-01-06	1998-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21628	749	9999-12-31	2013-05-08
103	1998-01-01	2000-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21628	749	9999-12-31	2013-05-08
104	1985-03-01	1988-12-16	Norsk Agip  AS	5.000000	\N	9999-12-31	9999-12-31	21636	45	9999-12-31	2013-05-08
104	1988-12-16	1994-09-08	Norsk Agip  AS	5.000000	\N	9999-12-31	9999-12-31	21636	45	9999-12-31	2013-05-08
104	1994-09-08	1995-05-09	Norsk Agip  AS	5.000000	\N	9999-12-31	9999-12-31	21636	45	9999-12-31	2013-05-08
104	1995-05-09	1995-06-23	Norsk Agip  AS	5.000000	\N	9999-12-31	9999-12-31	21636	45	9999-12-31	2013-05-08
104	1995-06-23	1996-07-23	Norsk Agip  AS	5.000000	\N	9999-12-31	9999-12-31	21636	45	9999-12-31	2013-05-08
104	1994-09-08	1995-05-09	Norske Conoco A/S	5.000000	\N	9999-12-31	9999-12-31	21636	221	9999-12-31	2013-05-08
104	1995-05-09	1995-06-23	Norske Conoco A/S	5.000000	\N	9999-12-31	9999-12-31	21636	221	9999-12-31	2013-05-08
104	1995-06-23	1996-07-23	Norske Conoco A/S	5.000000	\N	9999-12-31	9999-12-31	21636	221	9999-12-31	2013-05-08
104	1996-07-23	1996-07-31	Norske Conoco A/S	5.000000	\N	9999-12-31	9999-12-31	21636	221	9999-12-31	2013-05-08
104	1996-07-31	2001-01-11	Norske Conoco A/S	11.000000	\N	9999-12-31	9999-12-31	21636	221	9999-12-31	2013-05-08
104	2001-01-11	2001-05-10	Norske Conoco A/S	11.000000	\N	9999-12-31	9999-12-31	21636	221	9999-12-31	2013-05-08
104	2001-05-10	2001-06-17	Norske Conoco A/S	11.000000	\N	9999-12-31	9999-12-31	21636	221	9999-12-31	2013-05-08
104	2001-06-17	2002-03-19	Norske Conoco A/S	11.000000	\N	9999-12-31	9999-12-31	21636	221	9999-12-31	2013-05-08
104	2002-03-19	2002-10-01	Norske Conoco A/S	11.000000	\N	9999-12-31	9999-12-31	21636	221	9999-12-31	2013-05-08
104	2002-10-01	2002-12-04	Norske Conoco A/S	2.400000	\N	9999-12-31	9999-12-31	21636	221	9999-12-31	2013-05-08
104	2002-12-04	2003-03-22	Norske Conoco A/S	2.400000	\N	9999-12-31	9999-12-31	21636	221	9999-12-31	2013-05-08
104	1988-12-16	1994-09-08	Conoco Petroleum Norge AS	5.000000	\N	9999-12-31	9999-12-31	21636	232	9999-12-31	2013-05-08
104	1985-03-01	1988-12-16	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21636	276	9999-12-31	2013-05-08
104	1988-12-16	1994-09-08	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21636	276	9999-12-31	2013-05-08
104	1994-09-08	1995-05-09	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21636	276	9999-12-31	2013-05-08
104	1985-03-01	1988-12-16	Norsk Hydro Produksjon AS	30.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	1988-12-16	1994-09-08	Norsk Hydro Produksjon AS	30.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	1994-09-08	1995-05-09	Norsk Hydro Produksjon AS	30.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	1995-05-09	1995-06-23	Norsk Hydro Produksjon AS	30.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	1995-06-23	1996-07-23	Norsk Hydro Produksjon AS	25.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	1996-07-23	1996-07-31	Norsk Hydro Produksjon AS	30.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	1996-07-31	2001-01-11	Norsk Hydro Produksjon AS	24.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	34.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	34.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	34.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	2002-03-19	2002-10-01	Norsk Hydro Produksjon AS	34.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	2002-10-01	2002-12-04	Norsk Hydro Produksjon AS	34.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	2002-12-04	2003-03-22	Norsk Hydro Produksjon AS	34.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	34.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	34.000000	\N	1985-03-01	2007-01-01	21636	430	9999-12-31	2013-05-08
104	1995-06-23	1996-07-23	Mobil Development Norway AS	5.000000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	1996-07-23	1996-07-31	Mobil Development Norway AS	5.000000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	1996-07-31	2001-01-11	Mobil Development Norway AS	5.000000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	2001-01-11	2001-05-10	Mobil Development Norway AS	5.000000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	2001-05-10	2001-06-17	Mobil Development Norway AS	5.000000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	2001-06-17	2002-03-19	Mobil Development Norway AS	5.000000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	2002-03-19	2002-10-01	Mobil Development Norway AS	5.000000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	2002-10-01	2002-12-04	Mobil Development Norway AS	5.000000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	2002-12-04	2003-03-22	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	2003-03-22	2003-05-06	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	2003-05-06	2007-01-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	2007-01-01	2007-10-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	2007-10-01	2007-11-21	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	2007-11-21	2008-01-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	21636	474	9999-12-31	2013-05-08
104	1985-03-01	1988-12-16	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21636	716	9999-12-31	2013-05-08
104	1988-12-16	1994-09-08	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21636	716	9999-12-31	2013-05-08
104	1994-09-08	1995-05-09	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21636	716	9999-12-31	2013-05-08
104	1995-05-09	1995-06-23	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21636	716	9999-12-31	2013-05-08
104	1995-06-23	1996-07-23	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21636	716	9999-12-31	2013-05-08
104	1996-07-23	1996-07-31	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21636	716	9999-12-31	2013-05-08
104	1996-07-31	2001-01-11	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21636	716	9999-12-31	2013-05-08
104	1985-03-01	1988-12-16	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21636	749	9999-12-31	2013-05-08
104	1988-12-16	1994-09-08	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21636	749	9999-12-31	2013-05-08
104	1994-09-08	1995-05-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21636	749	9999-12-31	2013-05-08
104	1995-05-09	1995-06-23	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21636	749	9999-12-31	2013-05-08
104	1995-06-23	1996-07-23	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21636	749	9999-12-31	2013-05-08
104	1996-07-23	1996-07-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21636	749	9999-12-31	2013-05-08
104	1996-07-31	2001-01-11	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21636	749	9999-12-31	2013-05-08
104	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21636	749	9999-12-31	2013-05-08
104	1985-03-01	1988-12-16	Tennaco Oil Norway A/S	5.000000	\N	9999-12-31	9999-12-31	21636	793	9999-12-31	2013-05-08
104	2002-03-19	2002-10-01	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21636	1340884	9999-12-31	2013-05-08
104	2002-10-01	2002-12-04	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21636	1340884	9999-12-31	2013-05-08
104	2002-12-04	2003-03-22	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21636	1340884	9999-12-31	2013-05-08
104	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21636	1340884	9999-12-31	2013-05-08
104	2001-05-10	2001-06-17	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21636	1622484	9999-12-31	2013-05-08
104	2001-06-17	2002-03-19	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21636	1622484	9999-12-31	2013-05-08
104	2002-03-19	2002-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21636	1622484	9999-12-31	2013-05-08
104	2002-10-01	2002-12-04	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	21636	1622484	9999-12-31	2013-05-08
104	2002-12-04	2003-03-22	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	21636	1622484	9999-12-31	2013-05-08
104	2003-03-22	2003-05-06	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	21636	1622484	9999-12-31	2013-05-08
104	2003-05-06	2007-01-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	21636	1622484	9999-12-31	2013-05-08
104	2007-01-01	2007-10-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	21636	1622484	9999-12-31	2013-05-08
104	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21636	1623450	9999-12-31	2013-05-08
104	2001-06-17	2002-03-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2002-03-19	2002-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2002-10-01	2002-12-04	Petoro AS	33.300000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2002-12-04	2003-03-22	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2003-03-22	2003-05-06	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2003-05-06	2007-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2007-01-01	2007-10-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2007-10-01	2007-11-21	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2007-11-21	2008-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2008-01-01	2009-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2009-01-01	2009-11-02	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2009-11-02	2012-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21636	1626839	2012-12-05	2013-05-08
104	2012-01-01	9999-12-31	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21636	1626839	9999-12-31	2013-05-08
104	2003-03-22	2003-05-06	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	21636	2399056	9999-12-31	2013-05-08
104	2003-05-06	2007-01-01	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	21636	2399056	9999-12-31	2013-05-08
104	2007-01-01	2007-10-01	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	21636	2399056	9999-12-31	2013-05-08
104	2007-10-01	2007-11-21	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	21636	2399056	9999-12-31	2013-05-08
104	2007-11-21	2008-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21636	2410696	9999-12-31	2013-05-08
104	2008-01-01	2009-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21636	2410696	9999-12-31	2013-05-08
104	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21636	2410696	9999-12-31	2013-05-08
104	2009-11-02	2012-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21636	2410696	2012-12-05	2013-05-08
104	2012-01-01	9999-12-31	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21636	2410696	9999-12-31	2013-05-08
104	2003-05-06	2007-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21636	2410708	9999-12-31	2013-05-08
104	2007-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21636	2410708	9999-12-31	2013-05-08
104	2007-10-01	2007-11-21	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21636	2410708	9999-12-31	2013-05-08
104	2007-11-21	2008-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21636	2410708	9999-12-31	2013-05-08
104	2008-01-01	2009-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21636	2410708	9999-12-31	2013-05-08
104	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21636	2410708	9999-12-31	2013-05-08
104	2009-11-02	2012-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21636	2410708	2012-12-05	2013-05-08
104	2012-01-01	9999-12-31	Total E&P Norge AS	14.700000	\N	9999-12-31	9999-12-31	21636	2410708	9999-12-31	2013-05-08
104	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	21636	2835212	9999-12-31	2013-05-08
104	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	21636	2835212	9999-12-31	2013-05-08
104	2009-11-02	2012-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	21636	2835212	2012-12-05	2013-05-08
104	2007-10-01	2007-11-21	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	21636	4511658	9999-12-31	2013-05-08
104	2007-11-21	2008-01-01	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	21636	4511658	9999-12-31	2013-05-08
104	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	21636	4511658	9999-12-31	2013-05-08
104	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	49.300000	\N	2007-10-01	2009-11-01	21636	4511658	9999-12-31	2013-05-08
104	2007-10-01	2007-11-21	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	21636	4511854	9999-12-31	2013-05-08
104	2007-11-21	2008-01-01	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	21636	4511854	9999-12-31	2013-05-08
104	2008-01-01	2009-01-01	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	21636	4511854	9999-12-31	2013-05-08
104	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	34.000000	\N	2007-01-01	2007-10-01	21636	4524355	9999-12-31	2013-05-08
104	2009-11-02	2012-01-01	Statoil Petroleum AS	49.300000	\N	2009-11-02	9999-12-31	21636	17237817	2012-12-05	2013-05-08
104	2012-01-01	9999-12-31	Statoil Petroleum AS	49.300000	\N	2009-11-02	9999-12-31	21636	17237817	9999-12-31	2013-05-08
105	1985-03-01	1991-03-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21644	67	9999-12-31	2013-05-08
105	1985-03-01	1991-03-01	BP Petroleum Dev. of Norway AS	40.000000	\N	9999-12-31	9999-12-31	21644	155	9999-12-31	2013-05-08
105	1985-03-01	1991-03-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1985-03-01	1991-03-01	21644	749	9999-12-31	2013-05-08
106	1985-03-01	1993-12-31	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	21652	221	9999-12-31	2013-05-08
106	1985-03-01	1993-12-31	Elf Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21652	298	9999-12-31	2013-05-08
106	1985-03-01	1993-12-31	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21652	716	9999-12-31	2013-05-08
106	1985-03-01	1993-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	1985-03-01	1993-12-31	21652	749	9999-12-31	2013-05-08
107	1985-03-01	1995-01-09	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21660	45	9999-12-31	2013-05-08
107	2002-03-19	2003-03-22	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	21660	221	9999-12-31	2013-05-08
107	1985-03-01	1995-01-09	Norsk Hydro Produksjon AS	20.000000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	1995-01-09	1995-01-10	Norsk Hydro Produksjon AS	30.000000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	1995-01-10	1996-12-13	Norsk Hydro Produksjon AS	30.000000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	1996-12-13	2000-12-23	Norsk Hydro Produksjon AS	22.500000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	2000-12-23	2001-01-23	Norsk Hydro Produksjon AS	22.500000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	2001-01-23	2001-05-10	Norsk Hydro Produksjon AS	22.500000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	22.500000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	22.500000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	2002-01-01	2002-03-19	Norsk Hydro Produksjon AS	20.000000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	2002-03-19	2003-03-22	Norsk Hydro Produksjon AS	20.000000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	2003-03-22	2003-09-24	Norsk Hydro Produksjon AS	20.000000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	2003-09-24	2004-07-05	Norsk Hydro Produksjon AS	20.000000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	2004-07-05	2005-01-02	Norsk Hydro Produksjon AS	20.000000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	2005-01-02	2005-01-10	Norsk Hydro Produksjon AS	20.000000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	2005-01-10	2007-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1985-03-01	2007-01-01	21660	430	9999-12-31	2013-05-08
107	1995-01-10	1996-12-13	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	1996-12-13	2000-12-23	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2000-12-23	2001-01-23	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2001-01-23	2001-05-10	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2001-05-10	2001-06-17	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2001-06-17	2002-01-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2002-01-01	2002-03-19	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2002-03-19	2003-03-22	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2003-03-22	2003-09-24	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2003-09-24	2004-07-05	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2004-07-05	2005-01-02	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2005-01-02	2005-01-10	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2005-01-10	2007-01-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2007-01-01	2007-10-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	2007-10-01	2008-01-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	474	9999-12-31	2013-05-08
107	1985-03-01	1995-01-09	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	21660	562	9999-12-31	2013-05-08
107	1995-01-09	1995-01-10	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	21660	562	9999-12-31	2013-05-08
107	1996-12-13	2000-12-23	Petro-Canada Norge AS (old)	7.500000	\N	9999-12-31	9999-12-31	21660	628	9999-12-31	2013-05-08
107	2000-12-23	2001-01-23	Petro-Canada Norge AS (old)	7.500000	\N	9999-12-31	9999-12-31	21660	628	9999-12-31	2013-05-08
107	1985-03-01	1995-01-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21660	749	9999-12-31	2013-05-08
107	1995-01-09	1995-01-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21660	749	9999-12-31	2013-05-08
107	1995-01-10	1996-12-13	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21660	749	9999-12-31	2013-05-08
107	1996-12-13	2000-12-23	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21660	749	9999-12-31	2013-05-08
107	2000-12-23	2001-01-23	Den norske stats oljeselskap a.s	30.000000	\N	9999-12-31	9999-12-31	21660	749	9999-12-31	2013-05-08
107	2001-01-23	2001-05-10	Den norske stats oljeselskap a.s	30.000000	\N	9999-12-31	9999-12-31	21660	749	9999-12-31	2013-05-08
107	2001-01-23	2001-05-10	Paladin Resources Norge AS	7.500000	\N	9999-12-31	9999-12-31	21660	1577943	9999-12-31	2013-05-08
107	2001-05-10	2001-06-17	Paladin Resources Norge AS	7.500000	\N	9999-12-31	9999-12-31	21660	1577943	9999-12-31	2013-05-08
107	2001-06-17	2002-01-01	Paladin Resources Norge AS	7.500000	\N	9999-12-31	9999-12-31	21660	1577943	9999-12-31	2013-05-08
107	2002-01-01	2002-03-19	Paladin Resources Norge AS	7.500000	\N	9999-12-31	9999-12-31	21660	1577943	9999-12-31	2013-05-08
107	2002-03-19	2003-03-22	Paladin Resources Norge AS	15.000000	\N	9999-12-31	9999-12-31	21660	1577943	9999-12-31	2013-05-08
107	2003-03-22	2003-09-24	Paladin Resources Norge AS	15.000000	\N	9999-12-31	9999-12-31	21660	1577943	9999-12-31	2013-05-08
107	2003-09-24	2004-07-05	Paladin Resources Norge AS	15.000000	\N	9999-12-31	9999-12-31	21660	1577943	9999-12-31	2013-05-08
107	2004-07-05	2005-01-02	Paladin Resources Norge AS	15.000000	\N	9999-12-31	9999-12-31	21660	1577943	9999-12-31	2013-05-08
107	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21660	1623450	9999-12-31	2013-05-08
107	2001-06-17	2002-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2002-01-01	2002-03-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2002-03-19	2003-03-22	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2003-03-22	2003-09-24	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2003-09-24	2004-07-05	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2004-07-05	2005-01-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2005-01-02	2005-01-10	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2005-01-10	2007-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2007-01-01	2007-10-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2007-10-01	2008-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2008-01-01	2008-11-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2008-11-01	2009-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2009-01-01	2009-01-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2009-01-02	2009-05-26	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2009-05-26	2009-10-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2009-10-01	2009-11-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2009-11-02	2011-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2011-01-01	2011-01-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21660	1626839	9999-12-31	2013-05-08
107	2000-12-23	2001-01-23	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2001-01-23	2001-05-10	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2001-05-10	2001-06-17	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2001-06-17	2002-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2002-01-01	2002-03-19	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2002-03-19	2003-03-22	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2003-03-22	2003-09-24	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2003-09-24	2004-07-05	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2004-07-05	2005-01-02	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2005-01-02	2005-01-10	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2005-01-10	2007-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2007-01-01	2007-10-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2007-10-01	2008-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2008-01-01	2008-11-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2008-11-01	2009-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	1628733	9999-12-31	2013-05-08
107	2002-01-01	2002-03-19	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21660	2258813	9999-12-31	2013-05-08
107	2002-03-19	2003-03-22	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21660	2258813	9999-12-31	2013-05-08
107	2003-03-22	2003-09-24	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21660	2258813	9999-12-31	2013-05-08
107	2003-09-24	2004-07-05	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21660	2258813	9999-12-31	2013-05-08
107	2004-07-05	2005-01-02	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21660	2258813	9999-12-31	2013-05-08
107	2005-01-02	2005-01-10	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21660	2258813	9999-12-31	2013-05-08
107	2003-03-22	2003-09-24	Norske ConocoPhillips AS	15.000000	\N	9999-12-31	9999-12-31	21660	2399056	9999-12-31	2013-05-08
107	2003-09-24	2004-07-05	Ruhrgas Norge AS	15.000000	\N	9999-12-31	9999-12-31	21660	2489913	9999-12-31	2013-05-08
107	2008-01-01	2008-11-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	2835212	9999-12-31	2013-05-08
107	2008-11-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	2835212	9999-12-31	2013-05-08
107	2009-01-01	2009-01-02	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	2835212	9999-12-31	2013-05-08
107	2009-01-02	2009-05-26	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	2835212	9999-12-31	2013-05-08
107	2009-05-26	2009-10-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	2835212	9999-12-31	2013-05-08
107	2009-10-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	2835212	9999-12-31	2013-05-08
107	2009-11-02	2011-01-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21660	2835212	9999-12-31	2013-05-08
107	2004-07-05	2005-01-02	E.ON Ruhrgas Norge AS	15.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2005-01-02	2005-01-10	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2005-01-10	2007-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2007-01-01	2007-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2007-10-01	2008-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2008-01-01	2008-11-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2008-11-01	2009-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2009-01-01	2009-01-02	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2009-01-02	2009-05-26	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2009-05-26	2009-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2009-10-01	2009-11-02	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2009-11-02	2011-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2011-01-01	2011-01-02	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2011-01-02	2012-02-11	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	2840522	9999-12-31	2013-05-08
107	2005-01-10	2007-01-01	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	3113213	9999-12-31	2013-05-08
107	2007-01-01	2007-10-01	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	3113213	9999-12-31	2013-05-08
107	2007-10-01	2008-01-01	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	3113213	9999-12-31	2013-05-08
107	2008-01-01	2008-11-01	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	3113213	9999-12-31	2013-05-08
107	2008-11-01	2009-01-01	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	3113213	9999-12-31	2013-05-08
107	2009-01-01	2009-01-02	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	3113213	9999-12-31	2013-05-08
107	2009-01-02	2009-05-26	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	3113213	9999-12-31	2013-05-08
107	2011-01-02	2012-02-11	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	21660	4062883	9999-12-31	2013-05-08
107	2012-02-11	9999-12-31	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	21660	4062883	9999-12-31	2013-05-08
107	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	21660	4511658	9999-12-31	2013-05-08
107	2008-01-01	2008-11-01	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	21660	4511658	9999-12-31	2013-05-08
107	2009-01-02	2009-05-26	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	21660	4511658	9999-12-31	2013-05-08
107	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	21660	4511658	9999-12-31	2013-05-08
107	2009-10-01	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	21660	4511658	9999-12-31	2013-05-08
107	2008-11-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	21660	4511854	9999-12-31	2013-05-08
107	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	21660	4511854	9999-12-31	2013-05-08
107	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	20.000000	\N	2007-01-01	2007-10-01	21660	4524355	9999-12-31	2013-05-08
107	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	5267845	9999-12-31	2013-05-08
107	2009-01-02	2009-05-26	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	5267845	9999-12-31	2013-05-08
107	2009-05-26	2009-10-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	5267845	9999-12-31	2013-05-08
107	2009-10-01	2009-11-02	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	5267845	9999-12-31	2013-05-08
107	2009-11-02	2011-01-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21660	5267845	9999-12-31	2013-05-08
107	2011-01-01	2011-01-02	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	21660	5267845	9999-12-31	2013-05-08
107	2011-01-02	2012-02-11	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	21660	5267845	9999-12-31	2013-05-08
107	2012-02-11	9999-12-31	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	21660	5267845	9999-12-31	2013-05-08
107	2009-05-26	2009-10-01	VNG Norge (Operations) AS	2.500000	\N	9999-12-31	9999-12-31	21660	5497155	9999-12-31	2013-05-08
107	2009-10-01	2009-11-02	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	17237193	9999-12-31	2013-05-08
107	2009-11-02	2011-01-01	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	17237193	9999-12-31	2013-05-08
107	2011-01-01	2011-01-02	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	17237193	9999-12-31	2013-05-08
107	2011-01-02	2012-02-11	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	17237193	9999-12-31	2013-05-08
107	2012-02-11	9999-12-31	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21660	17237193	9999-12-31	2013-05-08
107	2009-11-02	2011-01-01	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	21660	17237817	9999-12-31	2013-05-08
107	2011-01-01	2011-01-02	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	21660	17237817	9999-12-31	2013-05-08
107	2011-01-02	2012-02-11	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	21660	17237817	9999-12-31	2013-05-08
107	2012-02-11	9999-12-31	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	21660	17237817	9999-12-31	2013-05-08
107	2012-02-11	9999-12-31	E.ON E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	21660	21631209	9999-12-31	2013-05-08
108	1985-03-01	1996-12-31	Elf Petroleum Norge AS	5.000000	\N	9999-12-31	9999-12-31	21668	298	9999-12-31	2013-05-08
108	1985-03-01	1996-12-31	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	21668	430	9999-12-31	2013-05-08
108	1985-03-01	1996-12-31	A/S Norske Shell	40.000000	\N	1985-03-01	1996-12-31	21668	562	9999-12-31	2013-05-08
108	1985-03-01	1996-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21668	749	9999-12-31	2013-05-08
109	1994-09-08	1996-01-01	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	21676	221	9999-12-31	2013-05-08
109	1988-12-16	1994-01-01	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21676	232	9999-12-31	2013-05-08
109	1994-01-01	1994-09-08	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21676	232	9999-12-31	2013-05-08
109	1985-03-01	1988-12-16	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21676	353	9999-12-31	2013-05-08
109	1988-12-16	1994-01-01	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21676	353	9999-12-31	2013-05-08
109	1985-03-01	1988-12-16	Norsk Hydro Produksjon AS	15.000000	\N	1985-03-01	2000-12-31	21676	430	9999-12-31	2013-05-08
109	1988-12-16	1994-01-01	Norsk Hydro Produksjon AS	15.000000	\N	1985-03-01	2000-12-31	21676	430	9999-12-31	2013-05-08
109	1994-01-01	1994-09-08	Norsk Hydro Produksjon AS	20.000000	\N	1985-03-01	2000-12-31	21676	430	9999-12-31	2013-05-08
109	1994-09-08	1996-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1985-03-01	2000-12-31	21676	430	9999-12-31	2013-05-08
109	1996-01-01	2000-12-31	Norsk Hydro Produksjon AS	23.055000	\N	1985-03-01	2000-12-31	21676	430	9999-12-31	2013-05-08
109	1985-03-01	1988-12-16	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21676	474	9999-12-31	2013-05-08
109	1988-12-16	1994-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21676	474	9999-12-31	2013-05-08
109	1994-01-01	1994-09-08	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21676	474	9999-12-31	2013-05-08
109	1994-09-08	1996-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21676	474	9999-12-31	2013-05-08
109	1996-01-01	2000-12-31	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21676	474	9999-12-31	2013-05-08
109	1985-03-01	1988-12-16	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21676	749	9999-12-31	2013-05-08
109	1988-12-16	1994-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21676	749	9999-12-31	2013-05-08
109	1994-01-01	1994-09-08	Den norske stats oljeselskap a.s	55.000000	30.000000	9999-12-31	9999-12-31	21676	749	9999-12-31	2013-05-08
109	1994-09-08	1996-01-01	Den norske stats oljeselskap a.s	55.000000	30.000000	9999-12-31	9999-12-31	21676	749	9999-12-31	2013-05-08
109	1996-01-01	2000-12-31	Den norske stats oljeselskap a.s	61.945000	30.000000	9999-12-31	9999-12-31	21676	749	9999-12-31	2013-05-08
109	1985-03-01	1988-12-16	Tennaco Oil Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21676	793	9999-12-31	2013-05-08
110	1985-03-01	1993-02-15	Amerada Hess Norge AS	5.000000	\N	9999-12-31	9999-12-31	21684	67	9999-12-31	2013-05-08
110	1993-02-15	1998-01-01	Amerada Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	67	9999-12-31	2013-05-08
110	1998-01-01	1999-01-01	Amerada Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	67	9999-12-31	2013-05-08
110	1999-01-01	2000-12-20	Amerada Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	67	9999-12-31	2013-05-08
110	2000-12-20	2000-12-23	Amerada Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	67	9999-12-31	2013-05-08
110	2000-12-23	2001-05-10	Amerada Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	67	9999-12-31	2013-05-08
110	2001-05-10	2001-06-17	Amerada Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	67	9999-12-31	2013-05-08
110	2001-06-17	2001-12-18	Amerada Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	67	9999-12-31	2013-05-08
110	2001-12-18	2003-05-06	Amerada Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	67	9999-12-31	2013-05-08
110	2003-05-06	2004-01-01	Amerada Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	67	9999-12-31	2013-05-08
110	2004-01-01	2006-06-26	Amerada Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	67	9999-12-31	2013-05-08
110	1985-03-01	1993-02-15	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	21684	221	9999-12-31	2013-05-08
110	1985-03-01	1993-02-15	Elf Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21684	298	9999-12-31	2013-05-08
110	1993-02-15	1998-01-01	Elf Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21684	298	9999-12-31	2013-05-08
110	1985-03-01	1993-02-15	Fina Production Licenses AS	5.000000	\N	9999-12-31	9999-12-31	21684	386	9999-12-31	2013-05-08
110	1993-02-15	1998-01-01	Fina Production Licenses AS	5.000000	\N	9999-12-31	9999-12-31	21684	386	9999-12-31	2013-05-08
110	1998-01-01	1999-01-01	Fina Production Licenses AS	5.000000	\N	9999-12-31	9999-12-31	21684	386	9999-12-31	2013-05-08
110	1999-01-01	2000-12-20	Fina Production Licenses AS	5.000000	\N	9999-12-31	9999-12-31	21684	386	9999-12-31	2013-05-08
110	1985-03-01	1993-02-15	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21684	430	9999-12-31	2013-05-08
110	1993-02-15	1998-01-01	Norsk Hydro Produksjon AS	16.670000	\N	9999-12-31	9999-12-31	21684	430	9999-12-31	2013-05-08
110	1998-01-01	1999-01-01	Norsk Hydro Produksjon AS	16.670000	\N	9999-12-31	9999-12-31	21684	430	9999-12-31	2013-05-08
110	1999-01-01	2000-12-20	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21684	430	9999-12-31	2013-05-08
110	2000-12-20	2000-12-23	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21684	430	9999-12-31	2013-05-08
110	2000-12-23	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21684	430	9999-12-31	2013-05-08
110	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21684	430	9999-12-31	2013-05-08
110	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21684	430	9999-12-31	2013-05-08
110	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21684	430	9999-12-31	2013-05-08
110	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21684	430	9999-12-31	2013-05-08
110	1985-03-01	1993-02-15	Den norske stats oljeselskap a.s	50.000000	30.000000	1985-03-01	2001-05-10	21684	749	9999-12-31	2013-05-08
110	1993-02-15	1998-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1985-03-01	2001-05-10	21684	749	9999-12-31	2013-05-08
110	1998-01-01	1999-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1985-03-01	2001-05-10	21684	749	9999-12-31	2013-05-08
110	1999-01-01	2000-12-20	Den norske stats oljeselskap a.s	56.670000	30.000000	1985-03-01	2001-05-10	21684	749	9999-12-31	2013-05-08
110	2000-12-20	2000-12-23	Den norske stats oljeselskap a.s	56.670000	30.000000	1985-03-01	2001-05-10	21684	749	9999-12-31	2013-05-08
110	2000-12-23	2001-05-10	Den norske stats oljeselskap a.s	44.670000	30.000000	1985-03-01	2001-05-10	21684	749	9999-12-31	2013-05-08
110	1998-01-01	1999-01-01	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	21684	848	9999-12-31	2013-05-08
110	1999-01-01	2000-12-20	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	21684	848	9999-12-31	2013-05-08
110	2000-12-20	2000-12-23	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	848	9999-12-31	2013-05-08
110	2000-12-23	2001-05-10	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	848	9999-12-31	2013-05-08
110	2001-05-10	2001-06-17	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	848	9999-12-31	2013-05-08
110	2001-06-17	2001-12-18	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	848	9999-12-31	2013-05-08
110	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	1340884	9999-12-31	2013-05-08
110	2001-05-10	2001-06-17	Statoil ASA (old)	14.670000	\N	2001-05-10	2007-10-01	21684	1622484	9999-12-31	2013-05-08
110	2001-06-17	2001-12-18	Statoil ASA (old)	14.670000	\N	2001-05-10	2007-10-01	21684	1622484	9999-12-31	2013-05-08
110	2001-12-18	2003-05-06	Statoil ASA (old)	14.670000	\N	2001-05-10	2007-10-01	21684	1622484	9999-12-31	2013-05-08
110	2003-05-06	2004-01-01	Statoil ASA (old)	14.670000	\N	2001-05-10	2007-10-01	21684	1622484	9999-12-31	2013-05-08
110	2004-01-01	2006-06-26	Statoil ASA (old)	24.670000	\N	2001-05-10	2007-10-01	21684	1622484	9999-12-31	2013-05-08
110	2006-06-26	2007-10-01	Statoil ASA (old)	24.670000	\N	2001-05-10	2007-10-01	21684	1622484	9999-12-31	2013-05-08
110	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21684	1623450	9999-12-31	2013-05-08
110	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21684	1626839	9999-12-31	2013-05-08
110	2001-12-18	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21684	1626839	9999-12-31	2013-05-08
110	2003-05-06	2004-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21684	1626839	9999-12-31	2013-05-08
110	2004-01-01	2006-06-26	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21684	1626839	9999-12-31	2013-05-08
110	2006-06-26	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21684	1626839	9999-12-31	2013-05-08
110	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21684	1626839	9999-12-31	2013-05-08
110	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21684	1626839	9999-12-31	2013-05-08
110	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21684	1626839	9999-12-31	2013-05-08
110	2009-11-02	2011-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21684	1626839	9999-12-31	2013-05-08
110	2011-01-01	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21684	1626839	9999-12-31	2013-05-08
110	2000-12-23	2001-05-10	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	1628733	9999-12-31	2013-05-08
110	2001-05-10	2001-06-17	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	1628733	9999-12-31	2013-05-08
110	2001-06-17	2001-12-18	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	1628733	9999-12-31	2013-05-08
110	2001-12-18	2003-05-06	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	1628733	9999-12-31	2013-05-08
110	2003-05-06	2004-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	1628733	9999-12-31	2013-05-08
110	2004-01-01	2006-06-26	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	1628733	9999-12-31	2013-05-08
110	2006-06-26	2007-10-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	1628733	9999-12-31	2013-05-08
110	2007-10-01	2009-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	1628733	9999-12-31	2013-05-08
110	2003-05-06	2004-01-01	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	2410708	9999-12-31	2013-05-08
110	2004-01-01	2006-06-26	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	2410708	9999-12-31	2013-05-08
110	2006-06-26	2007-10-01	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	2410708	9999-12-31	2013-05-08
110	2007-10-01	2009-01-01	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	2410708	9999-12-31	2013-05-08
110	2009-01-01	2009-01-02	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	2410708	9999-12-31	2013-05-08
110	2009-01-02	2009-11-02	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	2410708	9999-12-31	2013-05-08
110	2009-11-02	2011-01-01	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	2410708	9999-12-31	2013-05-08
110	2011-01-01	9999-12-31	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21684	2410708	9999-12-31	2013-05-08
110	2006-06-26	2007-10-01	Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	4038735	9999-12-31	2013-05-08
110	2007-10-01	2009-01-01	Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	4038735	9999-12-31	2013-05-08
110	2009-01-01	2009-01-02	Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	4038735	9999-12-31	2013-05-08
110	2009-01-02	2009-11-02	Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	4038735	9999-12-31	2013-05-08
110	2009-11-02	2011-01-01	Hess Norge AS	8.330000	\N	9999-12-31	9999-12-31	21684	4038735	9999-12-31	2013-05-08
110	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	24.670000	\N	2009-01-01	2009-11-01	21684	4511658	9999-12-31	2013-05-08
110	2007-10-01	2009-01-01	StatoilHydro ASA	24.670000	\N	2007-10-01	2008-12-31	21684	4511854	9999-12-31	2013-05-08
110	2009-01-01	2009-01-02	StatoilHydro ASA	24.670000	\N	9999-12-31	9999-12-31	21684	4511854	9999-12-31	2013-05-08
110	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	5267845	9999-12-31	2013-05-08
110	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	5267845	9999-12-31	2013-05-08
110	2009-11-02	2011-01-01	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	5267845	9999-12-31	2013-05-08
110	2011-01-01	9999-12-31	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	21684	5267845	9999-12-31	2013-05-08
110	2009-11-02	2011-01-01	Statoil Petroleum AS	24.670000	\N	2009-11-02	9999-12-31	21684	17237817	9999-12-31	2013-05-08
110	2011-01-01	9999-12-31	Statoil Petroleum AS	33.000000	\N	2009-11-02	9999-12-31	21684	17237817	9999-12-31	2013-05-08
111	1985-03-01	1994-12-31	Esso Exploration and Production Norway A/S	35.000000	\N	1985-03-01	1994-12-31	21692	353	9999-12-31	2013-05-08
111	1985-03-01	1994-12-31	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21692	430	9999-12-31	2013-05-08
111	1985-03-01	1994-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21692	749	9999-12-31	2013-05-08
112	1985-07-26	2000-07-24	Elf Petroleum Norge AS	21.800000	\N	1985-07-26	2000-07-24	21700	298	9999-12-31	2013-05-08
112	1985-07-26	2000-07-24	Norsk Hydro Produksjon AS	17.300000	\N	9999-12-31	9999-12-31	21700	430	9999-12-31	2013-05-08
112	2000-07-24	2000-12-31	Norsk Hydro Produksjon AS	17.300000	\N	9999-12-31	9999-12-31	21700	430	9999-12-31	2013-05-08
112	1985-07-26	2000-07-24	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21700	749	9999-12-31	2013-05-08
112	2000-07-24	2000-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21700	749	9999-12-31	2013-05-08
112	1985-07-26	2000-07-24	Total Norge AS	10.900000	\N	9999-12-31	9999-12-31	21700	848	9999-12-31	2013-05-08
112	2000-07-24	2000-12-31	Total Norge AS	10.900000	\N	9999-12-31	9999-12-31	21700	848	9999-12-31	2013-05-08
112	2000-07-24	2000-12-31	TotalFinaElf Exploration Norge AS	21.800000	\N	2000-07-24	2000-12-31	21700	1340884	9999-12-31	2013-05-08
113	1985-08-23	1994-12-13	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21708	67	9999-12-31	2013-05-08
113	1994-12-13	2001-02-06	Amerada Hess Norge AS	50.000000	\N	1994-12-13	2006-06-26	21708	67	9999-12-31	2013-05-08
113	2001-02-06	2001-05-10	Amerada Hess Norge AS	50.000000	\N	1994-12-13	2006-06-26	21708	67	9999-12-31	2013-05-08
113	2001-05-10	2001-06-01	Amerada Hess Norge AS	50.000000	\N	1994-12-13	2006-06-26	21708	67	9999-12-31	2013-05-08
113	2001-06-01	2001-12-21	Amerada Hess Norge AS	50.000000	\N	1994-12-13	2006-06-26	21708	67	9999-12-31	2013-05-08
113	2001-12-21	2002-04-17	Amerada Hess Norge AS	50.000000	\N	1994-12-13	2006-06-26	21708	67	9999-12-31	2013-05-08
113	2002-04-17	2002-06-06	Amerada Hess Norge AS	50.000000	\N	1994-12-13	2006-06-26	21708	67	9999-12-31	2013-05-08
113	2002-06-06	2006-06-26	Amerada Hess Norge AS	50.000000	\N	1994-12-13	2006-06-26	21708	67	9999-12-31	2013-05-08
113	1985-08-23	1994-12-13	Norsk Hydro Produksjon AS	25.000000	\N	1985-08-23	1994-12-13	21708	430	9999-12-31	2013-05-08
113	1985-08-23	1994-12-13	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21708	749	9999-12-31	2013-05-08
113	1994-12-13	2001-02-06	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21708	749	9999-12-31	2013-05-08
113	2001-02-06	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	21708	749	9999-12-31	2013-05-08
113	2001-02-06	2001-05-10	DONG Etterforskning og Produktion AS	20.000000	\N	9999-12-31	9999-12-31	21708	1441164	9999-12-31	2013-05-08
113	2001-05-10	2001-06-01	DONG Etterforskning og Produktion AS	20.000000	\N	9999-12-31	9999-12-31	21708	1441164	9999-12-31	2013-05-08
113	2001-06-01	2001-12-21	DONG Etterforskning og Produktion AS	20.000000	\N	9999-12-31	9999-12-31	21708	1441164	9999-12-31	2013-05-08
113	2001-06-01	2001-12-21	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21708	1622484	9999-12-31	2013-05-08
113	2001-12-21	2002-04-17	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21708	1622484	9999-12-31	2013-05-08
113	2002-04-17	2002-06-06	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21708	1622484	9999-12-31	2013-05-08
113	2002-06-06	2006-06-26	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21708	1622484	9999-12-31	2013-05-08
113	2006-06-26	2006-09-06	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21708	1622484	9999-12-31	2013-05-08
113	2006-09-06	2007-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21708	1622484	9999-12-31	2013-05-08
113	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21708	1623450	9999-12-31	2013-05-08
113	2001-12-21	2002-04-17	DONG Norge AS	20.000000	\N	9999-12-31	9999-12-31	21708	1853083	9999-12-31	2013-05-08
113	2002-06-06	2006-06-26	DONG Norge AS	20.000000	\N	9999-12-31	9999-12-31	21708	1853083	9999-12-31	2013-05-08
113	2006-06-26	2006-09-06	DONG Norge AS	20.000000	\N	9999-12-31	9999-12-31	21708	1853083	9999-12-31	2013-05-08
113	2002-04-17	2002-06-06	DOPAS Norge AS	20.000000	\N	9999-12-31	9999-12-31	21708	2133811	9999-12-31	2013-05-08
113	2006-06-26	2006-09-06	Hess Norge AS	50.000000	\N	2006-06-26	2012-06-21	21708	4038735	2012-08-30	2013-05-08
113	2006-09-06	2007-10-01	Hess Norge AS	50.000000	\N	2006-06-26	2012-06-21	21708	4038735	2012-08-30	2013-05-08
113	2007-10-01	2009-01-01	Hess Norge AS	50.000000	\N	2006-06-26	2012-06-21	21708	4038735	2012-08-30	2013-05-08
113	2009-01-01	2009-11-02	Hess Norge AS	50.000000	\N	2006-06-26	2012-06-21	21708	4038735	2012-08-30	2013-05-08
113	2009-11-02	2012-01-01	Hess Norge AS	50.000000	\N	2006-06-26	2012-06-21	21708	4038735	2012-08-30	2013-05-08
113	2006-09-06	2007-10-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21708	4070011	9999-12-31	2013-05-08
113	2007-10-01	2009-01-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21708	4070011	9999-12-31	2013-05-08
113	2009-01-01	2009-11-02	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21708	4070011	9999-12-31	2013-05-08
113	2009-11-02	2012-01-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21708	4070011	2012-08-29	2013-05-08
113	2012-01-01	9999-12-31	DONG E&P Norge AS	70.000000	\N	2012-06-22	9999-12-31	21708	4070011	2012-08-30	2013-05-08
113	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	21708	4511658	9999-12-31	2013-05-08
113	2007-10-01	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	21708	4511854	9999-12-31	2013-05-08
113	2009-11-02	2012-01-01	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	21708	17237817	2012-08-29	2013-05-08
113	2012-01-01	9999-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	21708	17237817	9999-12-31	2013-05-08
114	1985-08-23	1988-09-30	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21716	254	9999-12-31	2013-05-08
114	1988-09-30	1991-09-11	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21716	254	9999-12-31	2013-05-08
114	1991-09-11	1994-08-01	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21716	254	9999-12-31	2013-05-08
114	1994-08-01	1995-05-04	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21716	254	9999-12-31	2013-05-08
114	1995-05-04	1998-12-17	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21716	254	9999-12-31	2013-05-08
114	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	21716	430	9999-12-31	2013-05-08
114	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	21716	430	9999-12-31	2013-05-08
114	2001-06-01	2001-12-31	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	21716	430	9999-12-31	2013-05-08
114	1985-08-23	1988-09-30	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21716	562	9999-12-31	2013-05-08
114	1988-09-30	1991-09-11	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21716	562	9999-12-31	2013-05-08
114	1985-08-23	1988-09-30	Norsk Occidental A/S	10.000000	\N	9999-12-31	9999-12-31	21716	584	9999-12-31	2013-05-08
114	1988-09-30	1991-09-11	Petrobras Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21716	639	9999-12-31	2013-05-08
114	1991-09-11	1994-08-01	Petrobras Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21716	639	9999-12-31	2013-05-08
114	1994-08-01	1995-05-04	Petrosaga AS	10.000000	\N	9999-12-31	9999-12-31	21716	661	9999-12-31	2013-05-08
114	1985-08-23	1988-09-30	Saga Petroleum ASA	15.000000	\N	9999-12-31	9999-12-31	21716	716	9999-12-31	2013-05-08
114	1988-09-30	1991-09-11	Saga Petroleum ASA	15.000000	\N	9999-12-31	9999-12-31	21716	716	9999-12-31	2013-05-08
114	1991-09-11	1994-08-01	Saga Petroleum ASA	15.000000	\N	9999-12-31	9999-12-31	21716	716	9999-12-31	2013-05-08
114	1994-08-01	1995-05-04	Saga Petroleum ASA	15.000000	\N	9999-12-31	9999-12-31	21716	716	9999-12-31	2013-05-08
114	1995-05-04	1998-12-17	Saga Petroleum ASA	25.000000	\N	9999-12-31	9999-12-31	21716	716	9999-12-31	2013-05-08
114	1998-12-17	2001-01-11	Saga Petroleum ASA	25.000000	\N	9999-12-31	9999-12-31	21716	716	9999-12-31	2013-05-08
114	1985-08-23	1988-09-30	Den norske stats oljeselskap a.s	50.000000	30.000000	1985-08-23	2001-05-10	21716	749	9999-12-31	2013-05-08
114	1988-09-30	1991-09-11	Den norske stats oljeselskap a.s	50.000000	30.000000	1985-08-23	2001-05-10	21716	749	9999-12-31	2013-05-08
114	1991-09-11	1994-08-01	Den norske stats oljeselskap a.s	65.000000	30.000000	1985-08-23	2001-05-10	21716	749	9999-12-31	2013-05-08
114	1994-08-01	1995-05-04	Den norske stats oljeselskap a.s	65.000000	30.000000	1985-08-23	2001-05-10	21716	749	9999-12-31	2013-05-08
114	1995-05-04	1998-12-17	Den norske stats oljeselskap a.s	65.000000	30.000000	1985-08-23	2001-05-10	21716	749	9999-12-31	2013-05-08
114	1998-12-17	2001-01-11	Den norske stats oljeselskap a.s	65.000000	30.000000	1985-08-23	2001-05-10	21716	749	9999-12-31	2013-05-08
114	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	65.000000	30.000000	1985-08-23	2001-05-10	21716	749	9999-12-31	2013-05-08
114	1998-12-17	2001-01-11	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21716	97557	9999-12-31	2013-05-08
114	2001-01-11	2001-05-10	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21716	97557	9999-12-31	2013-05-08
114	2001-05-10	2001-06-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21716	97557	9999-12-31	2013-05-08
114	2001-06-01	2001-12-31	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21716	97557	9999-12-31	2013-05-08
114	2001-05-10	2001-06-01	Statoil ASA (old)	35.000000	\N	2001-05-10	2001-12-31	21716	1622484	9999-12-31	2013-05-08
114	2001-06-01	2001-12-31	Statoil ASA (old)	65.000000	\N	2001-05-10	2001-12-31	21716	1622484	9999-12-31	2013-05-08
114	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21716	1623450	9999-12-31	2013-05-08
114 B	1995-08-11	1998-12-17	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21724	254	9999-12-31	2013-05-08
114 B	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	21724	430	9999-12-31	2013-05-08
114 B	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	21724	430	9999-12-31	2013-05-08
114 B	2001-06-01	2001-08-11	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	21724	430	9999-12-31	2013-05-08
114 B	1995-08-11	1998-12-17	Saga Petroleum ASA	25.000000	\N	9999-12-31	9999-12-31	21724	716	9999-12-31	2013-05-08
114 B	1998-12-17	2001-01-11	Saga Petroleum ASA	25.000000	\N	9999-12-31	9999-12-31	21724	716	9999-12-31	2013-05-08
114 B	1995-08-11	1998-12-17	Den norske stats oljeselskap a.s	65.000000	30.000000	1995-08-11	2001-05-10	21724	749	9999-12-31	2013-05-08
114 B	1998-12-17	2001-01-11	Den norske stats oljeselskap a.s	65.000000	30.000000	1995-08-11	2001-05-10	21724	749	9999-12-31	2013-05-08
114 B	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	65.000000	30.000000	1995-08-11	2001-05-10	21724	749	9999-12-31	2013-05-08
114 B	1998-12-17	2001-01-11	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21724	97557	9999-12-31	2013-05-08
114 B	2001-01-11	2001-05-10	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21724	97557	9999-12-31	2013-05-08
114 B	2001-05-10	2001-06-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21724	97557	9999-12-31	2013-05-08
114 B	2001-06-01	2001-08-11	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	21724	97557	9999-12-31	2013-05-08
114 B	2001-05-10	2001-06-01	Statoil ASA (old)	35.000000	\N	2001-05-10	2001-08-11	21724	1622484	9999-12-31	2013-05-08
114 B	2001-06-01	2001-08-11	Statoil ASA (old)	65.000000	\N	2001-05-10	2001-08-11	21724	1622484	9999-12-31	2013-05-08
114 B	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21724	1623450	9999-12-31	2013-05-08
115	1994-09-08	1995-05-09	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	21732	221	9999-12-31	2013-05-08
115	1995-05-09	1996-07-04	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	21732	221	9999-12-31	2013-05-08
115	1988-12-16	1991-07-01	Conoco Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21732	232	9999-12-31	2013-05-08
115	1991-07-01	1994-09-08	Conoco Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21732	232	9999-12-31	2013-05-08
115	1997-04-18	1998-12-17	Deminex Norge AS	27.000000	\N	9999-12-31	9999-12-31	21732	254	9999-12-31	2013-05-08
115	1985-08-23	1988-12-16	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21732	276	9999-12-31	2013-05-08
115	1988-12-16	1991-07-01	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21732	276	9999-12-31	2013-05-08
115	1991-07-01	1994-09-08	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21732	276	9999-12-31	2013-05-08
115	1994-09-08	1995-05-09	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21732	276	9999-12-31	2013-05-08
115	1985-08-23	1988-12-16	A/S Norske Shell	30.000000	\N	1985-08-23	1991-07-01	21732	562	9999-12-31	2013-05-08
115	1988-12-16	1991-07-01	A/S Norske Shell	30.000000	\N	1985-08-23	1991-07-01	21732	562	9999-12-31	2013-05-08
115	1995-05-09	1996-07-04	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21732	716	9999-12-31	2013-05-08
115	1985-08-23	1988-12-16	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21732	749	9999-12-31	2013-05-08
115	1988-12-16	1991-07-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21732	749	9999-12-31	2013-05-08
115	1991-07-01	1994-09-08	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21732	749	9999-12-31	2013-05-08
115	1994-09-08	1995-05-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21732	749	9999-12-31	2013-05-08
115	1995-05-09	1996-07-04	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21732	749	9999-12-31	2013-05-08
115	1996-07-04	1997-04-18	Den norske stats oljeselskap a.s	100.000000	30.000000	1996-07-04	1999-12-31	21732	749	9999-12-31	2013-05-08
115	1997-04-18	1998-12-17	Den norske stats oljeselskap a.s	73.000000	30.000000	1996-07-04	1999-12-31	21732	749	9999-12-31	2013-05-08
115	1998-12-17	1999-12-31	Den norske stats oljeselskap a.s	73.000000	30.000000	1996-07-04	1999-12-31	21732	749	9999-12-31	2013-05-08
115	1985-08-23	1988-12-16	Tennaco Oil Norway A/S	15.000000	\N	9999-12-31	9999-12-31	21732	793	9999-12-31	2013-05-08
115	1991-07-01	1994-09-08	Total Norge AS	30.000000	\N	1991-07-01	1996-07-04	21732	848	9999-12-31	2013-05-08
115	1994-09-08	1995-05-09	Total Norge AS	30.000000	\N	1991-07-01	1996-07-04	21732	848	9999-12-31	2013-05-08
115	1995-05-09	1996-07-04	Total Norge AS	30.000000	\N	1991-07-01	1996-07-04	21732	848	9999-12-31	2013-05-08
115	1998-12-17	1999-12-31	RWE Dea Norge AS	27.000000	\N	9999-12-31	9999-12-31	21732	97557	9999-12-31	2013-05-08
116	1985-08-23	1995-06-22	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21740	67	9999-12-31	2013-05-08
116	1995-06-22	1996-08-12	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21740	67	9999-12-31	2013-05-08
116	1996-08-12	1999-03-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21740	67	9999-12-31	2013-05-08
116	1985-08-23	1995-06-22	Norske Conoco A/S	30.000000	\N	9999-12-31	9999-12-31	21740	221	9999-12-31	2013-05-08
116	1995-06-22	1996-08-12	Norske Conoco A/S	30.000000	\N	9999-12-31	9999-12-31	21740	221	9999-12-31	2013-05-08
116	1985-08-23	1995-06-22	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21740	430	9999-12-31	2013-05-08
116	1995-06-22	1996-08-12	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21740	430	9999-12-31	2013-05-08
116	1996-08-12	1999-03-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21740	430	9999-12-31	2013-05-08
116	1999-03-01	2000-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21740	430	9999-12-31	2013-05-08
116	2000-01-01	2000-12-31	Norsk Hydro Produksjon AS	80.000000	\N	9999-12-31	9999-12-31	21740	430	9999-12-31	2013-05-08
116	1995-06-22	1996-08-12	Saga Petroleum ASA	10.000000	\N	1995-09-01	2000-12-31	21740	716	9999-12-31	2013-05-08
116	1996-08-12	1999-03-01	Saga Petroleum ASA	10.000000	\N	1995-09-01	2000-12-31	21740	716	9999-12-31	2013-05-08
116	1999-03-01	2000-01-01	Saga Petroleum ASA	20.000000	\N	1995-09-01	2000-12-31	21740	716	9999-12-31	2013-05-08
116	2000-01-01	2000-12-31	Saga Petroleum ASA	20.000000	\N	1995-09-01	2000-12-31	21740	716	9999-12-31	2013-05-08
116	1985-08-23	1995-06-22	Den norske stats oljeselskap a.s	50.000000	30.000000	1985-08-23	1995-09-01	21740	749	9999-12-31	2013-05-08
116	1995-06-22	1996-08-12	Den norske stats oljeselskap a.s	40.000000	30.000000	1985-08-23	1995-09-01	21740	749	9999-12-31	2013-05-08
116	1996-08-12	1999-03-01	Den norske stats oljeselskap a.s	70.000000	30.000000	9999-12-31	9999-12-31	21740	749	9999-12-31	2013-05-08
116	1999-03-01	2000-01-01	Den norske stats oljeselskap a.s	70.000000	30.000000	9999-12-31	9999-12-31	21740	749	9999-12-31	2013-05-08
117	1985-08-23	1994-11-23	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	21748	45	9999-12-31	2013-05-08
117	1994-11-23	1999-03-26	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21748	67	9999-12-31	2013-05-08
117	1999-03-26	1999-12-31	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21748	67	9999-12-31	2013-05-08
117	1985-08-23	1994-11-23	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	21748	386	9999-12-31	2013-05-08
117	1994-11-23	1999-03-26	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	21748	386	9999-12-31	2013-05-08
117	1985-08-23	1994-11-23	Saga Petroleum ASA	15.000000	\N	1985-08-23	1999-12-31	21748	716	9999-12-31	2013-05-08
117	1994-11-23	1999-03-26	Saga Petroleum ASA	25.000000	\N	1985-08-23	1999-12-31	21748	716	9999-12-31	2013-05-08
117	1999-03-26	1999-12-31	Saga Petroleum ASA	40.000000	\N	1985-08-23	1999-12-31	21748	716	9999-12-31	2013-05-08
117	1985-08-23	1994-11-23	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21748	749	9999-12-31	2013-05-08
117	1994-11-23	1999-03-26	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21748	749	9999-12-31	2013-05-08
117	1999-03-26	1999-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21748	749	9999-12-31	2013-05-08
118	1985-08-23	1991-08-23	BP Petroleum Dev. of Norway AS	25.000000	\N	1985-08-23	1991-08-23	21756	155	9999-12-31	2013-05-08
118	1985-08-23	1991-08-23	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21756	749	9999-12-31	2013-05-08
118	1985-08-23	1991-08-23	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	21756	848	9999-12-31	2013-05-08
119	1985-08-23	1991-08-23	Britoil Norge A/S	5.000000	\N	9999-12-31	9999-12-31	21764	166	9999-12-31	2013-05-08
119	1985-08-23	1991-08-23	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	21764	221	9999-12-31	2013-05-08
119	1985-08-23	1991-08-23	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21764	276	9999-12-31	2013-05-08
119	1985-08-23	1991-08-23	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21764	749	9999-12-31	2013-05-08
119	1985-08-23	1991-08-23	Total Norge AS	25.000000	\N	1985-08-23	1991-08-23	21764	848	9999-12-31	2013-05-08
120	1985-08-23	1996-07-01	Norske Conoco A/S	13.000000	\N	9999-12-31	9999-12-31	21772	221	9999-12-31	2013-05-08
120	1996-07-01	1997-01-01	Norske Conoco A/S	13.000000	\N	9999-12-31	9999-12-31	21772	221	9999-12-31	2013-05-08
120	1997-01-01	2000-07-24	Norske Conoco A/S	13.000000	\N	9999-12-31	9999-12-31	21772	221	9999-12-31	2013-05-08
120	2000-07-24	2001-01-11	Norske Conoco A/S	13.000000	\N	9999-12-31	9999-12-31	21772	221	9999-12-31	2013-05-08
120	2001-01-11	2001-05-10	Norske Conoco A/S	13.000000	\N	9999-12-31	9999-12-31	21772	221	9999-12-31	2013-05-08
120	2001-05-10	2001-06-01	Norske Conoco A/S	13.000000	\N	9999-12-31	9999-12-31	21772	221	9999-12-31	2013-05-08
120	2001-06-01	2001-06-17	Norske Conoco A/S	13.000000	\N	9999-12-31	9999-12-31	21772	221	9999-12-31	2013-05-08
120	2001-06-17	2003-03-22	Norske Conoco A/S	13.000000	\N	9999-12-31	9999-12-31	21772	221	9999-12-31	2013-05-08
120	1985-08-23	1996-07-01	Elf Petroleum Norge AS	13.000000	\N	9999-12-31	9999-12-31	21772	298	9999-12-31	2013-05-08
120	1996-07-01	1997-01-01	Elf Petroleum Norge AS	13.000000	\N	9999-12-31	9999-12-31	21772	298	9999-12-31	2013-05-08
120	1997-01-01	2000-07-24	Elf Petroleum Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	298	9999-12-31	2013-05-08
120	1985-08-23	1996-07-01	Norsk Hydro Produksjon AS	18.000000	\N	1985-08-23	2002-12-31	21772	430	9999-12-31	2013-05-08
120	1996-07-01	1997-01-01	Norsk Hydro Produksjon AS	21.000000	\N	1985-08-23	2002-12-31	21772	430	9999-12-31	2013-05-08
120	1997-01-01	2000-07-24	Norsk Hydro Produksjon AS	23.000000	\N	1985-08-23	2002-12-31	21772	430	9999-12-31	2013-05-08
120	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	23.000000	\N	1985-08-23	2002-12-31	21772	430	9999-12-31	2013-05-08
120	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	29.000000	\N	1985-08-23	2002-12-31	21772	430	9999-12-31	2013-05-08
120	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	29.000000	\N	1985-08-23	2002-12-31	21772	430	9999-12-31	2013-05-08
120	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	29.000000	\N	1985-08-23	2002-12-31	21772	430	9999-12-31	2013-05-08
120	2001-06-17	2003-03-22	Norsk Hydro Produksjon AS	29.000000	\N	1985-08-23	2002-12-31	21772	430	9999-12-31	2013-05-08
120	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	29.000000	\N	9999-12-31	9999-12-31	21772	430	9999-12-31	2013-05-08
120	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	29.000000	\N	9999-12-31	9999-12-31	21772	430	9999-12-31	2013-05-08
120	1985-08-23	1996-07-01	Saga Petroleum ASA	6.000000	\N	9999-12-31	9999-12-31	21772	716	9999-12-31	2013-05-08
120	1996-07-01	1997-01-01	Saga Petroleum ASA	6.000000	\N	9999-12-31	9999-12-31	21772	716	9999-12-31	2013-05-08
120	1997-01-01	2000-07-24	Saga Petroleum ASA	6.000000	\N	9999-12-31	9999-12-31	21772	716	9999-12-31	2013-05-08
120	2000-07-24	2001-01-11	Saga Petroleum ASA	6.000000	\N	9999-12-31	9999-12-31	21772	716	9999-12-31	2013-05-08
120	1985-08-23	1996-07-01	Den norske stats oljeselskap a.s	50.000000	28.000000	9999-12-31	9999-12-31	21772	749	9999-12-31	2013-05-08
120	1996-07-01	1997-01-01	Den norske stats oljeselskap a.s	47.000000	\N	9999-12-31	9999-12-31	21772	749	9999-12-31	2013-05-08
120	1997-01-01	2000-07-24	Den norske stats oljeselskap a.s	47.000000	\N	9999-12-31	9999-12-31	21772	749	9999-12-31	2013-05-08
120	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	47.000000	\N	9999-12-31	9999-12-31	21772	749	9999-12-31	2013-05-08
120	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	47.000000	\N	9999-12-31	9999-12-31	21772	749	9999-12-31	2013-05-08
120	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	1340884	9999-12-31	2013-05-08
120	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	1340884	9999-12-31	2013-05-08
120	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	1340884	9999-12-31	2013-05-08
120	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	1340884	9999-12-31	2013-05-08
120	2001-06-17	2003-03-22	TotalFinaElf Exploration Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	1340884	9999-12-31	2013-05-08
120	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	1340884	9999-12-31	2013-05-08
120	2001-05-10	2001-06-01	Statoil ASA (old)	19.000000	\N	9999-12-31	9999-12-31	21772	1622484	9999-12-31	2013-05-08
120	2001-06-01	2001-06-17	Statoil ASA (old)	30.064520	\N	9999-12-31	9999-12-31	21772	1622484	9999-12-31	2013-05-08
120	2001-06-17	2003-03-22	Statoil ASA (old)	30.064520	\N	2003-01-01	2007-10-01	21772	1622484	9999-12-31	2013-05-08
120	2003-03-22	2003-05-06	Statoil ASA (old)	30.064520	\N	2003-01-01	2007-10-01	21772	1622484	9999-12-31	2013-05-08
120	2003-05-06	2007-01-01	Statoil ASA (old)	30.064520	\N	2003-01-01	2007-10-01	21772	1622484	9999-12-31	2013-05-08
120	2007-01-01	2007-01-02	Statoil ASA (old)	30.064520	\N	2003-01-01	2007-10-01	21772	1622484	9999-12-31	2013-05-08
120	2007-01-02	2007-10-01	Statoil ASA (old)	30.064520	\N	2003-01-01	2007-10-01	21772	1622484	9999-12-31	2013-05-08
120	2001-05-10	2001-06-01	SDØE	28.000000	\N	9999-12-31	9999-12-31	21772	1623450	9999-12-31	2013-05-08
120	2001-06-01	2001-06-17	SDØE	16.935480	\N	9999-12-31	9999-12-31	21772	1623450	9999-12-31	2013-05-08
120	2001-06-17	2003-03-22	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	21772	1626839	9999-12-31	2013-05-08
120	2003-03-22	2003-05-06	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	21772	1626839	9999-12-31	2013-05-08
120	2003-05-06	2007-01-01	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	21772	1626839	9999-12-31	2013-05-08
120	2007-01-01	2007-01-02	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	21772	1626839	9999-12-31	2013-05-08
120	2007-01-02	2007-10-01	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	21772	1626839	9999-12-31	2013-05-08
120	2007-10-01	2009-01-01	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	21772	1626839	9999-12-31	2013-05-08
120	2009-01-01	2009-11-02	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	21772	1626839	9999-12-31	2013-05-08
120	2009-11-02	9999-12-31	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	21772	1626839	9999-12-31	2013-05-08
120	2003-03-22	2003-05-06	Norske ConocoPhillips AS	13.000000	\N	9999-12-31	9999-12-31	21772	2399056	9999-12-31	2013-05-08
120	2003-05-06	2007-01-01	Norske ConocoPhillips AS	13.000000	\N	9999-12-31	9999-12-31	21772	2399056	9999-12-31	2013-05-08
120	2007-01-01	2007-01-02	Norske ConocoPhillips AS	13.000000	\N	9999-12-31	9999-12-31	21772	2399056	9999-12-31	2013-05-08
120	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	13.000000	\N	9999-12-31	9999-12-31	21772	2410696	9999-12-31	2013-05-08
120	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	13.000000	\N	9999-12-31	9999-12-31	21772	2410696	9999-12-31	2013-05-08
120	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	13.000000	\N	9999-12-31	9999-12-31	21772	2410696	9999-12-31	2013-05-08
120	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	13.000000	\N	9999-12-31	9999-12-31	21772	2410696	9999-12-31	2013-05-08
120	2003-05-06	2007-01-01	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	2410708	9999-12-31	2013-05-08
120	2007-01-01	2007-01-02	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	2410708	9999-12-31	2013-05-08
120	2007-01-02	2007-10-01	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	2410708	9999-12-31	2013-05-08
120	2007-10-01	2009-01-01	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	2410708	9999-12-31	2013-05-08
120	2009-01-01	2009-11-02	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	2410708	9999-12-31	2013-05-08
120	2009-11-02	9999-12-31	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	21772	2410708	9999-12-31	2013-05-08
120	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	29.000000	\N	9999-12-31	9999-12-31	21772	4511658	9999-12-31	2013-05-08
120	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	59.064520	\N	2009-01-01	2009-11-01	21772	4511658	9999-12-31	2013-05-08
120	2007-10-01	2009-01-01	StatoilHydro ASA	30.064520	\N	2007-10-01	2008-12-31	21772	4511854	9999-12-31	2013-05-08
120	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	29.000000	\N	9999-12-31	9999-12-31	21772	4524355	9999-12-31	2013-05-08
120	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	29.000000	\N	9999-12-31	9999-12-31	21772	4524355	9999-12-31	2013-05-08
120	2009-11-02	9999-12-31	Statoil Petroleum AS	59.064520	\N	2009-11-02	9999-12-31	21772	17237817	9999-12-31	2013-05-08
121	2002-01-01	2003-03-04	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	21780	45	9999-12-31	2013-05-08
121	2003-03-04	2003-12-31	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	21780	45	9999-12-31	2013-05-08
121	1995-09-01	1997-04-24	BP Petroleum Dev. of Norway AS	2.000000	\N	9999-12-31	9999-12-31	21780	155	9999-12-31	2013-05-08
121	1986-02-28	1994-11-10	Britoil Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21780	166	9999-12-31	2013-05-08
121	1994-11-10	1995-05-09	Britoil Norge A/S	2.000000	\N	9999-12-31	9999-12-31	21780	166	9999-12-31	2013-05-08
121	1995-05-09	1995-09-01	Britoil Norge A/S	2.000000	\N	9999-12-31	9999-12-31	21780	166	9999-12-31	2013-05-08
121	1994-11-10	1995-05-09	DNO Olje A/S	8.000000	\N	9999-12-31	9999-12-31	21780	276	9999-12-31	2013-05-08
121	1986-02-28	1994-11-10	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	1994-11-10	1995-05-09	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	1995-05-09	1995-09-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	1995-09-01	1997-04-24	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	1997-04-24	2000-01-31	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	2001-06-01	2002-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	2002-01-01	2003-03-04	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	2003-03-04	2003-12-31	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	2003-12-31	2004-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21780	430	9999-12-31	2013-05-08
121	1986-02-28	1994-11-10	Mobil Development Norway AS	20.000000	\N	1986-02-28	1993-07-01	21780	474	9999-12-31	2013-05-08
121	1994-11-10	1995-05-09	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	1995-05-09	1995-09-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	1995-09-01	1997-04-24	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	1997-04-24	2000-01-31	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	2000-01-31	2001-01-11	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	2001-01-11	2001-05-10	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	2001-05-10	2001-06-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	2001-06-01	2002-01-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	2002-01-01	2003-03-04	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	2003-03-04	2003-12-31	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	2003-12-31	2004-01-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	2004-01-01	2007-01-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	2007-01-01	2007-10-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	2007-10-01	2008-01-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	2008-01-01	2008-01-02	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	474	9999-12-31	2013-05-08
121	1995-05-09	1995-09-01	Saga Petroleum ASA	8.000000	\N	9999-12-31	9999-12-31	21780	716	9999-12-31	2013-05-08
121	1995-09-01	1997-04-24	Saga Petroleum ASA	8.000000	\N	9999-12-31	9999-12-31	21780	716	9999-12-31	2013-05-08
121	1997-04-24	2000-01-31	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21780	716	9999-12-31	2013-05-08
121	2000-01-31	2001-01-11	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21780	716	9999-12-31	2013-05-08
121	1986-02-28	1994-11-10	Den norske stats oljeselskap a.s	50.000000	40.000000	1993-07-01	2001-05-10	21780	749	9999-12-31	2013-05-08
121	1994-11-10	1995-05-09	Den norske stats oljeselskap a.s	50.000000	40.000000	1993-07-01	2001-05-10	21780	749	9999-12-31	2013-05-08
121	1995-05-09	1995-09-01	Den norske stats oljeselskap a.s	50.000000	40.000000	1993-07-01	2001-05-10	21780	749	9999-12-31	2013-05-08
121	1995-09-01	1997-04-24	Den norske stats oljeselskap a.s	50.000000	40.000000	1993-07-01	2001-05-10	21780	749	9999-12-31	2013-05-08
121	1997-04-24	2000-01-31	Den norske stats oljeselskap a.s	50.000000	40.000000	1993-07-01	2001-05-10	21780	749	9999-12-31	2013-05-08
121	2000-01-31	2001-01-11	Den norske stats oljeselskap a.s	70.000000	40.000000	1993-07-01	2001-05-10	21780	749	9999-12-31	2013-05-08
121	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	70.000000	40.000000	1993-07-01	2001-05-10	21780	749	9999-12-31	2013-05-08
121	2002-01-01	2003-03-04	Fortum Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	21780	102714	9999-12-31	2013-05-08
121	2001-05-10	2001-06-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	21780	1622484	9999-12-31	2013-05-08
121	2001-06-01	2002-01-01	Statoil ASA (old)	70.000000	\N	2001-05-10	2007-10-01	21780	1622484	9999-12-31	2013-05-08
121	2002-01-01	2003-03-04	Statoil ASA (old)	55.100000	\N	2001-05-10	2007-10-01	21780	1622484	9999-12-31	2013-05-08
121	2003-03-04	2003-12-31	Statoil ASA (old)	55.100000	\N	2001-05-10	2007-10-01	21780	1622484	9999-12-31	2013-05-08
121	2003-12-31	2004-01-01	Statoil ASA (old)	55.100000	\N	2001-05-10	2007-10-01	21780	1622484	9999-12-31	2013-05-08
121	2004-01-01	2007-01-01	Statoil ASA (old)	47.450000	\N	2001-05-10	2007-10-01	21780	1622484	9999-12-31	2013-05-08
121	2007-01-01	2007-10-01	Statoil ASA (old)	47.450000	\N	2001-05-10	2007-10-01	21780	1622484	9999-12-31	2013-05-08
121	2001-05-10	2001-06-01	SDØE	40.000000	\N	9999-12-31	9999-12-31	21780	1623450	9999-12-31	2013-05-08
121	2003-03-04	2003-12-31	Eni Norge AS	7.000000	\N	9999-12-31	9999-12-31	21780	2388594	9999-12-31	2013-05-08
121	2003-12-31	2004-01-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21780	2388594	9999-12-31	2013-05-08
121	2004-01-01	2007-01-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21780	2388594	9999-12-31	2013-05-08
121	2007-01-01	2007-10-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21780	2388594	9999-12-31	2013-05-08
121	2007-10-01	2008-01-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21780	2388594	9999-12-31	2013-05-08
121	2008-01-01	2008-01-02	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21780	2388594	9999-12-31	2013-05-08
121	2008-01-02	2009-01-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21780	2388594	9999-12-31	2013-05-08
121	2009-01-01	2009-11-02	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21780	2388594	9999-12-31	2013-05-08
121	2009-11-02	9999-12-31	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	21780	2388594	9999-12-31	2013-05-08
121	2004-01-01	2007-01-01	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21780	2410708	9999-12-31	2013-05-08
121	2007-01-01	2007-10-01	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21780	2410708	9999-12-31	2013-05-08
121	2007-10-01	2008-01-01	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21780	2410708	9999-12-31	2013-05-08
121	2008-01-01	2008-01-02	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21780	2410708	9999-12-31	2013-05-08
121	2008-01-02	2009-01-01	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21780	2410708	9999-12-31	2013-05-08
121	2009-01-01	2009-11-02	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21780	2410708	9999-12-31	2013-05-08
121	2009-11-02	9999-12-31	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	21780	2410708	9999-12-31	2013-05-08
121	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	2835212	9999-12-31	2013-05-08
121	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	2835212	9999-12-31	2013-05-08
121	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21780	2835212	9999-12-31	2013-05-08
121	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21780	4511658	9999-12-31	2013-05-08
121	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	57.450000	\N	2009-01-01	2009-11-01	21780	4511658	9999-12-31	2013-05-08
121	2007-10-01	2008-01-01	StatoilHydro ASA	47.450000	\N	2007-10-01	2008-12-31	21780	4511854	9999-12-31	2013-05-08
121	2008-01-01	2008-01-02	StatoilHydro ASA	57.450000	\N	2007-10-01	2008-12-31	21780	4511854	9999-12-31	2013-05-08
121	2008-01-02	2009-01-01	StatoilHydro ASA	57.450000	\N	2007-10-01	2008-12-31	21780	4511854	9999-12-31	2013-05-08
121	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21780	4524355	9999-12-31	2013-05-08
121	2009-11-02	9999-12-31	Statoil Petroleum AS	57.450000	\N	2009-11-02	9999-12-31	21780	17237817	9999-12-31	2013-05-08
122	1996-07-23	2001-05-10	Norsk Agip  AS	20.000000	\N	1996-01-01	2003-12-31	21788	45	9999-12-31	2013-05-08
122	2001-05-10	2001-06-01	Norsk Agip  AS	20.000000	\N	1996-01-01	2003-12-31	21788	45	9999-12-31	2013-05-08
122	2001-06-01	2003-08-22	Norsk Agip  AS	20.000000	\N	1996-01-01	2003-12-31	21788	45	9999-12-31	2013-05-08
122	2003-08-22	2003-12-31	Norsk Agip  AS	20.000000	\N	1996-01-01	2003-12-31	21788	45	9999-12-31	2013-05-08
122	1986-02-28	1995-01-19	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21788	67	9999-12-31	2013-05-08
122	1995-01-19	1996-07-23	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	21788	67	9999-12-31	2013-05-08
122	1996-07-23	2001-05-10	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	21788	67	9999-12-31	2013-05-08
122	2001-05-10	2001-06-01	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	21788	67	9999-12-31	2013-05-08
122	2001-06-01	2003-08-22	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	21788	67	9999-12-31	2013-05-08
122	1986-02-28	1995-01-19	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21788	353	9999-12-31	2013-05-08
122	1986-02-28	1995-01-19	Norsk Hydro Produksjon AS	20.000000	\N	1986-02-28	1996-01-01	21788	430	9999-12-31	2013-05-08
122	1995-01-19	1996-07-23	Norsk Hydro Produksjon AS	20.000000	\N	1986-02-28	1996-01-01	21788	430	9999-12-31	2013-05-08
122	1986-02-28	1995-01-19	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	21788	474	9999-12-31	2013-05-08
122	1995-01-19	1996-07-23	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	21788	474	9999-12-31	2013-05-08
122	1996-07-23	2001-05-10	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	21788	474	9999-12-31	2013-05-08
122	2001-05-10	2001-06-01	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	21788	474	9999-12-31	2013-05-08
122	2001-06-01	2003-08-22	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	21788	474	9999-12-31	2013-05-08
122	2003-08-22	2003-12-31	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	21788	474	9999-12-31	2013-05-08
122	2003-12-31	2004-05-01	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	21788	474	9999-12-31	2013-05-08
122	1986-02-28	1995-01-19	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21788	749	9999-12-31	2013-05-08
122	1995-01-19	1996-07-23	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21788	749	9999-12-31	2013-05-08
122	1996-07-23	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21788	749	9999-12-31	2013-05-08
122	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21788	1622484	9999-12-31	2013-05-08
122	2001-06-01	2003-08-22	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21788	1622484	9999-12-31	2013-05-08
122	2003-08-22	2003-12-31	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21788	1622484	9999-12-31	2013-05-08
122	2003-12-31	2004-05-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21788	1622484	9999-12-31	2013-05-08
122	2004-05-01	2006-09-06	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21788	1622484	9999-12-31	2013-05-08
122	2006-09-06	2007-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21788	1622484	9999-12-31	2013-05-08
122	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21788	1623450	9999-12-31	2013-05-08
122	2003-08-22	2003-12-31	DONG Norge AS	20.000000	\N	9999-12-31	9999-12-31	21788	1853083	9999-12-31	2013-05-08
122	2003-12-31	2004-05-01	DONG Norge AS	20.000000	\N	9999-12-31	9999-12-31	21788	1853083	9999-12-31	2013-05-08
122	2004-05-01	2006-09-06	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	21788	1853083	9999-12-31	2013-05-08
122	2003-12-31	2004-05-01	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	21788	2388594	9999-12-31	2013-05-08
122	2004-05-01	2006-09-06	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	21788	2388594	9999-12-31	2013-05-08
122	2006-09-06	2007-10-01	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	21788	2388594	9999-12-31	2013-05-08
122	2007-10-01	2009-01-01	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	21788	2388594	9999-12-31	2013-05-08
122	2009-01-01	2009-11-02	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	21788	2388594	9999-12-31	2013-05-08
122	2009-11-02	9999-12-31	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	21788	2388594	9999-12-31	2013-05-08
122	2006-09-06	2007-10-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	21788	4070011	9999-12-31	2013-05-08
122	2007-10-01	2009-01-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	21788	4070011	9999-12-31	2013-05-08
122	2009-01-01	2009-11-02	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	21788	4070011	9999-12-31	2013-05-08
122	2009-11-02	9999-12-31	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	21788	4070011	9999-12-31	2013-05-08
122	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	21788	4511658	9999-12-31	2013-05-08
122	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	21788	4511854	9999-12-31	2013-05-08
122	2009-11-02	9999-12-31	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	21788	17237817	9999-12-31	2013-05-08
123	1986-02-28	1992-02-28	BP Petroleum Dev. of Norway AS	15.000000	\N	9999-12-31	9999-12-31	21796	155	9999-12-31	2013-05-08
123	1986-02-28	1992-02-28	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21796	298	9999-12-31	2013-05-08
123	1986-02-28	1992-02-28	Saga Petroleum ASA	15.000000	\N	1986-02-28	1992-02-28	21796	716	9999-12-31	2013-05-08
123	1986-02-28	1992-02-28	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	21796	749	9999-12-31	2013-05-08
123	1986-02-28	1992-02-28	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21796	848	9999-12-31	2013-05-08
124	1986-02-28	1988-12-16	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21804	122	9999-12-31	2013-05-08
124	1988-12-16	1990-07-25	Arco Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21804	122	9999-12-31	2013-05-08
124	1986-02-28	1988-12-16	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	1988-12-16	1990-07-25	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	1990-07-25	1993-12-13	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	1993-12-13	1994-09-08	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	1994-09-08	1995-03-06	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	1995-03-06	1995-06-22	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	1995-06-22	1999-04-13	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	1999-04-13	2001-05-10	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	2001-05-10	2001-06-17	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	2001-06-17	2002-03-19	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	2002-03-19	2003-03-04	Norske Conoco A/S	27.910000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	2003-03-04	2003-03-22	Norske Conoco A/S	27.910000	\N	9999-12-31	9999-12-31	21804	221	9999-12-31	2013-05-08
124	1988-12-16	1990-07-25	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21804	232	9999-12-31	2013-05-08
124	1990-07-25	1993-12-13	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21804	232	9999-12-31	2013-05-08
124	1993-12-13	1994-09-08	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21804	232	9999-12-31	2013-05-08
124	1986-02-28	1988-12-16	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21804	276	9999-12-31	2013-05-08
124	1988-12-16	1990-07-25	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21804	276	9999-12-31	2013-05-08
124	1990-07-25	1993-12-13	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21804	276	9999-12-31	2013-05-08
124	1993-12-13	1994-09-08	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21804	276	9999-12-31	2013-05-08
124	1994-09-08	1995-03-06	DNO Olje A/S	5.000000	\N	9999-12-31	9999-12-31	21804	276	9999-12-31	2013-05-08
124	1986-02-28	1988-12-16	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21804	430	9999-12-31	2013-05-08
124	1988-12-16	1990-07-25	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21804	430	9999-12-31	2013-05-08
124	1990-07-25	1993-12-13	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21804	430	9999-12-31	2013-05-08
124	1990-07-25	1993-12-13	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21804	496	9999-12-31	2013-05-08
124	1993-12-13	1994-09-08	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21804	496	9999-12-31	2013-05-08
124	1994-09-08	1995-03-06	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21804	496	9999-12-31	2013-05-08
124	1995-03-06	1995-06-22	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21804	496	9999-12-31	2013-05-08
124	1995-06-22	1999-04-13	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21804	496	9999-12-31	2013-05-08
124	1995-03-06	1995-06-22	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21804	716	9999-12-31	2013-05-08
124	1986-02-28	1988-12-16	Den norske stats oljeselskap a.s	50.000000	30.000000	1986-02-28	2001-05-10	21804	749	9999-12-31	2013-05-08
124	1988-12-16	1990-07-25	Den norske stats oljeselskap a.s	50.000000	30.000000	1986-02-28	2001-05-10	21804	749	9999-12-31	2013-05-08
124	1990-07-25	1993-12-13	Den norske stats oljeselskap a.s	50.000000	30.000000	1986-02-28	2001-05-10	21804	749	9999-12-31	2013-05-08
124	1993-12-13	1994-09-08	Den norske stats oljeselskap a.s	60.000000	\N	1986-02-28	2001-05-10	21804	749	9999-12-31	2013-05-08
124	1994-09-08	1995-03-06	Den norske stats oljeselskap a.s	60.000000	\N	1986-02-28	2001-05-10	21804	749	9999-12-31	2013-05-08
124	1995-03-06	1995-06-22	Den norske stats oljeselskap a.s	60.000000	\N	1986-02-28	2001-05-10	21804	749	9999-12-31	2013-05-08
124	1995-06-22	1999-04-13	Den norske stats oljeselskap a.s	65.000000	\N	1986-02-28	2001-05-10	21804	749	9999-12-31	2013-05-08
124	1999-04-13	2001-05-10	Den norske stats oljeselskap a.s	65.000000	\N	1986-02-28	2001-05-10	21804	749	9999-12-31	2013-05-08
124	1986-02-28	1988-12-16	Tennaco Oil Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21804	793	9999-12-31	2013-05-08
124	1999-04-13	2001-05-10	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21804	102714	9999-12-31	2013-05-08
124	2001-05-10	2001-06-17	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21804	102714	9999-12-31	2013-05-08
124	2001-06-17	2002-03-19	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21804	102714	9999-12-31	2013-05-08
124	2002-03-19	2003-03-04	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21804	102714	9999-12-31	2013-05-08
124	2001-05-10	2001-06-17	Statoil ASA (old)	35.000000	\N	2001-05-10	2007-10-01	21804	1622484	9999-12-31	2013-05-08
124	2001-06-17	2002-03-19	Statoil ASA (old)	35.000000	\N	2001-05-10	2007-10-01	21804	1622484	9999-12-31	2013-05-08
124	2002-03-19	2003-03-04	Statoil ASA (old)	35.000000	\N	2001-05-10	2007-10-01	21804	1622484	9999-12-31	2013-05-08
124	2003-03-04	2003-03-22	Statoil ASA (old)	35.000000	\N	2001-05-10	2007-10-01	21804	1622484	9999-12-31	2013-05-08
124	2003-03-22	2007-01-01	Statoil ASA (old)	35.000000	\N	2001-05-10	2007-10-01	21804	1622484	9999-12-31	2013-05-08
124	2007-01-01	2007-10-01	Statoil ASA (old)	35.000000	\N	2001-05-10	2007-10-01	21804	1622484	9999-12-31	2013-05-08
124	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21804	1623450	9999-12-31	2013-05-08
124	2001-06-17	2002-03-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21804	1626839	9999-12-31	2013-05-08
124	2002-03-19	2003-03-04	Petoro AS	27.090000	\N	9999-12-31	9999-12-31	21804	1626839	9999-12-31	2013-05-08
124	2003-03-04	2003-03-22	Petoro AS	27.090000	\N	9999-12-31	9999-12-31	21804	1626839	9999-12-31	2013-05-08
124	2003-03-22	2007-01-01	Petoro AS	27.090000	\N	9999-12-31	9999-12-31	21804	1626839	9999-12-31	2013-05-08
124	2007-01-01	2007-10-01	Petoro AS	27.090000	\N	9999-12-31	9999-12-31	21804	1626839	9999-12-31	2013-05-08
124	2007-10-01	2009-01-01	Petoro AS	27.090000	\N	9999-12-31	9999-12-31	21804	1626839	9999-12-31	2013-05-08
124	2009-01-01	2009-11-02	Petoro AS	27.090000	\N	9999-12-31	9999-12-31	21804	1626839	9999-12-31	2013-05-08
124	2009-11-02	9999-12-31	Petoro AS	27.090000	\N	9999-12-31	9999-12-31	21804	1626839	9999-12-31	2013-05-08
124	2003-03-04	2003-03-22	Eni Norge AS	10.000000	\N	9999-12-31	9999-12-31	21804	2388594	9999-12-31	2013-05-08
124	2003-03-22	2007-01-01	Eni Norge AS	10.000000	\N	9999-12-31	9999-12-31	21804	2388594	9999-12-31	2013-05-08
124	2007-01-01	2007-10-01	Eni Norge AS	10.000000	\N	9999-12-31	9999-12-31	21804	2388594	9999-12-31	2013-05-08
124	2007-10-01	2009-01-01	Eni Norge AS	10.000000	\N	9999-12-31	9999-12-31	21804	2388594	9999-12-31	2013-05-08
124	2009-01-01	2009-11-02	Eni Norge AS	10.000000	\N	9999-12-31	9999-12-31	21804	2388594	9999-12-31	2013-05-08
124	2009-11-02	9999-12-31	Eni Norge AS	10.000000	\N	9999-12-31	9999-12-31	21804	2388594	9999-12-31	2013-05-08
124	2003-03-22	2007-01-01	Norske ConocoPhillips AS	27.910000	\N	9999-12-31	9999-12-31	21804	2399056	9999-12-31	2013-05-08
124	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	27.910000	\N	9999-12-31	9999-12-31	21804	2410696	9999-12-31	2013-05-08
124	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	27.910000	\N	9999-12-31	9999-12-31	21804	2410696	9999-12-31	2013-05-08
124	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	27.910000	\N	9999-12-31	9999-12-31	21804	2410696	9999-12-31	2013-05-08
124	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	27.910000	\N	9999-12-31	9999-12-31	21804	2410696	9999-12-31	2013-05-08
124	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	35.000000	\N	2009-01-01	2009-11-01	21804	4511658	9999-12-31	2013-05-08
124	2007-10-01	2009-01-01	StatoilHydro ASA	35.000000	\N	2007-10-01	2008-12-31	21804	4511854	9999-12-31	2013-05-08
124	2009-11-02	9999-12-31	Statoil Petroleum AS	35.000000	\N	2009-11-02	9999-12-31	21804	17237817	9999-12-31	2013-05-08
125	1986-02-28	1987-11-27	A/S Norske Shell	35.000000	\N	1986-02-28	1990-03-14	21812	562	9999-12-31	2013-05-08
125	1987-11-27	1990-03-14	A/S Norske Shell	41.180000	\N	1986-02-28	1990-03-14	21812	562	9999-12-31	2013-05-08
125	1986-02-28	1987-11-27	Norsk Occidental A/S	15.000000	\N	9999-12-31	9999-12-31	21812	584	9999-12-31	2013-05-08
125	1986-02-28	1987-11-27	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21812	749	9999-12-31	2013-05-08
125	1987-11-27	1990-03-14	Den norske stats oljeselskap a.s	58.820000	30.000000	9999-12-31	9999-12-31	21812	749	9999-12-31	2013-05-08
126	1991-01-01	1992-02-28	Enterprise Oil Norwegian AS	20.000000	\N	9999-12-31	9999-12-31	21820	342	9999-12-31	2013-05-08
126	1986-02-28	1991-01-01	Esso Exploration and Production Norway A/S	35.000000	\N	1986-02-28	1992-02-28	21820	353	9999-12-31	2013-05-08
126	1991-01-01	1992-02-28	Esso Exploration and Production Norway A/S	5.000000	\N	1986-02-28	1992-02-28	21820	353	9999-12-31	2013-05-08
126	1986-02-28	1991-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	21820	474	9999-12-31	2013-05-08
126	1991-01-01	1992-02-28	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	21820	474	9999-12-31	2013-05-08
126	1986-02-28	1991-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21820	749	9999-12-31	2013-05-08
126	1991-01-01	1992-02-28	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21820	749	9999-12-31	2013-05-08
127	1986-02-28	2000-07-24	Elf Petroleum Norge AS	35.000000	\N	1986-02-28	2000-07-24	21828	298	9999-12-31	2013-05-08
127	1986-02-28	2000-07-24	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	21828	386	9999-12-31	2013-05-08
127	2000-07-24	2000-12-20	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	21828	386	9999-12-31	2013-05-08
127	1986-02-28	2000-07-24	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21828	749	9999-12-31	2013-05-08
127	2000-07-24	2000-12-20	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21828	749	9999-12-31	2013-05-08
127	2000-12-20	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21828	749	9999-12-31	2013-05-08
127	2000-12-20	2001-05-10	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21828	848	9999-12-31	2013-05-08
127	2001-05-10	2001-06-01	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21828	848	9999-12-31	2013-05-08
127	2001-06-01	2001-12-18	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21828	848	9999-12-31	2013-05-08
127	2000-07-24	2000-12-20	TotalFinaElf Exploration Norge AS	35.000000	\N	2000-07-24	2003-05-06	21828	1340884	9999-12-31	2013-05-08
127	2000-12-20	2001-05-10	TotalFinaElf Exploration Norge AS	35.000000	\N	2000-07-24	2003-05-06	21828	1340884	9999-12-31	2013-05-08
127	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	35.000000	\N	2000-07-24	2003-05-06	21828	1340884	9999-12-31	2013-05-08
127	2001-06-01	2001-12-18	TotalFinaElf Exploration Norge AS	35.000000	\N	2000-07-24	2003-05-06	21828	1340884	9999-12-31	2013-05-08
127	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	50.000000	\N	2000-07-24	2003-05-06	21828	1340884	9999-12-31	2013-05-08
127	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21828	1622484	9999-12-31	2013-05-08
127	2001-06-01	2001-12-18	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21828	1622484	9999-12-31	2013-05-08
127	2001-12-18	2003-05-06	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21828	1622484	9999-12-31	2013-05-08
127	2003-05-06	2007-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21828	1622484	9999-12-31	2013-05-08
127	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21828	1623450	9999-12-31	2013-05-08
127	2003-05-06	2007-10-01	Total E&P Norge AS	50.000000	\N	2003-05-06	9999-12-31	21828	2410708	9999-12-31	2013-05-08
127	2007-10-01	2009-01-01	Total E&P Norge AS	50.000000	\N	2003-05-06	9999-12-31	21828	2410708	9999-12-31	2013-05-08
127	2009-01-01	2009-11-02	Total E&P Norge AS	50.000000	\N	2003-05-06	9999-12-31	21828	2410708	9999-12-31	2013-05-08
127	2009-11-02	9999-12-31	Total E&P Norge AS	50.000000	\N	2003-05-06	9999-12-31	21828	2410708	9999-12-31	2013-05-08
127	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	21828	4511658	9999-12-31	2013-05-08
127	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	21828	4511854	9999-12-31	2013-05-08
127	2009-11-02	9999-12-31	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	21828	17237817	9999-12-31	2013-05-08
128	1986-02-28	1989-04-14	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21836	45	9999-12-31	2013-05-08
128	1989-04-14	1996-07-23	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21836	45	9999-12-31	2013-05-08
128	1996-07-23	1999-12-11	Norsk Agip  AS	11.500000	\N	9999-12-31	9999-12-31	21836	45	9999-12-31	2013-05-08
128	1999-12-11	2001-05-10	Norsk Agip  AS	11.500000	\N	9999-12-31	9999-12-31	21836	45	9999-12-31	2013-05-08
128	2001-05-10	2001-06-01	Norsk Agip  AS	11.500000	\N	9999-12-31	9999-12-31	21836	45	9999-12-31	2013-05-08
128	2001-06-01	2001-06-17	Norsk Agip  AS	11.500000	\N	9999-12-31	9999-12-31	21836	45	9999-12-31	2013-05-08
128	2001-06-17	2001-12-31	Norsk Agip  AS	11.500000	\N	9999-12-31	9999-12-31	21836	45	9999-12-31	2013-05-08
128	2001-12-31	2003-12-31	Norsk Agip  AS	11.500000	\N	9999-12-31	9999-12-31	21836	45	9999-12-31	2013-05-08
128	1989-04-14	1996-07-23	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	21836	342	9999-12-31	2013-05-08
128	1996-07-23	1999-12-11	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	21836	342	9999-12-31	2013-05-08
128	1999-12-11	2001-05-10	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	21836	342	9999-12-31	2013-05-08
128	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	21836	342	9999-12-31	2013-05-08
128	2001-06-01	2001-06-17	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	21836	342	9999-12-31	2013-05-08
128	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	21836	342	9999-12-31	2013-05-08
128	1986-02-28	1989-04-14	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21836	430	9999-12-31	2013-05-08
128	1989-04-14	1996-07-23	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21836	430	9999-12-31	2013-05-08
128	1996-07-23	1999-12-11	Norsk Hydro Produksjon AS	13.500000	\N	9999-12-31	9999-12-31	21836	430	9999-12-31	2013-05-08
128	1999-12-11	2001-05-10	Norsk Hydro Produksjon AS	13.500000	\N	9999-12-31	9999-12-31	21836	430	9999-12-31	2013-05-08
128	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	13.500000	\N	9999-12-31	9999-12-31	21836	430	9999-12-31	2013-05-08
128	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	13.500000	\N	9999-12-31	9999-12-31	21836	430	9999-12-31	2013-05-08
128	2001-06-17	2001-12-31	Norsk Hydro Produksjon AS	13.500000	\N	9999-12-31	9999-12-31	21836	430	9999-12-31	2013-05-08
128	2001-12-31	2003-12-31	Norsk Hydro Produksjon AS	13.500000	\N	9999-12-31	9999-12-31	21836	430	9999-12-31	2013-05-08
128	2003-12-31	2005-01-01	Norsk Hydro Produksjon AS	13.500000	\N	9999-12-31	9999-12-31	21836	430	9999-12-31	2013-05-08
128	2005-01-01	2007-01-01	Norsk Hydro Produksjon AS	13.500000	\N	9999-12-31	9999-12-31	21836	430	9999-12-31	2013-05-08
128	1986-02-28	1989-04-14	Saga Petroleum ASA	15.000000	\N	9999-12-31	9999-12-31	21836	716	9999-12-31	2013-05-08
128	1989-04-14	1996-07-23	Saga Petroleum ASA	15.000000	\N	9999-12-31	9999-12-31	21836	716	9999-12-31	2013-05-08
128	1996-07-23	1999-12-11	Saga Petroleum ASA	15.000000	\N	9999-12-31	9999-12-31	21836	716	9999-12-31	2013-05-08
128	1986-02-28	1989-04-14	Den norske stats oljeselskap a.s	50.000000	25.000000	1986-02-28	2001-05-10	21836	749	9999-12-31	2013-05-08
128	1989-04-14	1996-07-23	Den norske stats oljeselskap a.s	50.000000	25.000000	1986-02-28	2001-05-10	21836	749	9999-12-31	2013-05-08
128	1996-07-23	1999-12-11	Den norske stats oljeselskap a.s	50.000000	\N	1986-02-28	2001-05-10	21836	749	9999-12-31	2013-05-08
128	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	65.000000	\N	1986-02-28	2001-05-10	21836	749	9999-12-31	2013-05-08
128	1986-02-28	1989-04-14	Texas Eastern Norwegian Inc.	10.000000	\N	9999-12-31	9999-12-31	21836	837	9999-12-31	2013-05-08
128	2001-05-10	2001-06-01	Statoil ASA (old)	40.000000	\N	2001-05-10	2007-10-01	21836	1622484	9999-12-31	2013-05-08
128	2001-06-01	2001-06-17	Statoil ASA (old)	40.454550	\N	2001-05-10	2007-10-01	21836	1622484	9999-12-31	2013-05-08
128	2001-06-17	2001-12-31	Statoil ASA (old)	40.454550	\N	2001-05-10	2007-10-01	21836	1622484	9999-12-31	2013-05-08
128	2001-12-31	2003-12-31	Statoil ASA (old)	40.454550	\N	2001-05-10	2007-10-01	21836	1622484	9999-12-31	2013-05-08
128	2003-12-31	2005-01-01	Statoil ASA (old)	40.454550	\N	2001-05-10	2007-10-01	21836	1622484	9999-12-31	2013-05-08
128	2005-01-01	2007-01-01	Statoil ASA (old)	50.454550	\N	2001-05-10	2007-10-01	21836	1622484	9999-12-31	2013-05-08
128	2007-01-01	2007-10-01	Statoil ASA (old)	50.454550	\N	2001-05-10	2007-10-01	21836	1622484	9999-12-31	2013-05-08
128	2001-05-10	2001-06-01	SDØE	25.000000	\N	9999-12-31	9999-12-31	21836	1623450	9999-12-31	2013-05-08
128	2001-06-01	2001-06-17	SDØE	24.545460	\N	9999-12-31	9999-12-31	21836	1623450	9999-12-31	2013-05-08
128	2001-06-17	2001-12-31	Petoro AS	24.545460	\N	9999-12-31	9999-12-31	21836	1626839	9999-12-31	2013-05-08
128	2001-12-31	2003-12-31	Petoro AS	24.545460	\N	9999-12-31	9999-12-31	21836	1626839	9999-12-31	2013-05-08
128	2003-12-31	2005-01-01	Petoro AS	24.545460	\N	9999-12-31	9999-12-31	21836	1626839	9999-12-31	2013-05-08
128	2005-01-01	2007-01-01	Petoro AS	24.545460	\N	9999-12-31	9999-12-31	21836	1626839	9999-12-31	2013-05-08
128	2007-01-01	2007-10-01	Petoro AS	24.545460	\N	9999-12-31	9999-12-31	21836	1626839	9999-12-31	2013-05-08
128	2007-10-01	2008-01-01	Petoro AS	24.545460	\N	9999-12-31	9999-12-31	21836	1626839	9999-12-31	2013-05-08
128	2008-01-01	2009-01-01	Petoro AS	24.545460	\N	9999-12-31	9999-12-31	21836	1626839	9999-12-31	2013-05-08
128	2009-01-01	2009-11-02	Petoro AS	24.545460	\N	9999-12-31	9999-12-31	21836	1626839	9999-12-31	2013-05-08
128	2009-11-02	9999-12-31	Petoro AS	24.545460	\N	9999-12-31	9999-12-31	21836	1626839	9999-12-31	2013-05-08
128	2001-12-31	2003-12-31	Enterprise Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	21836	1853786	9999-12-31	2013-05-08
128	2003-12-31	2005-01-01	Enterprise Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	21836	1853786	9999-12-31	2013-05-08
128	2003-12-31	2005-01-01	Eni Norge AS	11.500000	\N	9999-12-31	9999-12-31	21836	2388594	9999-12-31	2013-05-08
128	2005-01-01	2007-01-01	Eni Norge AS	11.500000	\N	9999-12-31	9999-12-31	21836	2388594	9999-12-31	2013-05-08
128	2007-01-01	2007-10-01	Eni Norge AS	11.500000	\N	9999-12-31	9999-12-31	21836	2388594	9999-12-31	2013-05-08
128	2007-10-01	2008-01-01	Eni Norge AS	11.500000	\N	9999-12-31	9999-12-31	21836	2388594	9999-12-31	2013-05-08
128	2008-01-01	2009-01-01	Eni Norge AS	11.500000	\N	9999-12-31	9999-12-31	21836	2388594	9999-12-31	2013-05-08
128	2009-01-01	2009-11-02	Eni Norge AS	11.500000	\N	9999-12-31	9999-12-31	21836	2388594	9999-12-31	2013-05-08
128	2009-11-02	9999-12-31	Eni Norge AS	11.500000	\N	9999-12-31	9999-12-31	21836	2388594	9999-12-31	2013-05-08
128	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	13.500000	\N	9999-12-31	9999-12-31	21836	4511658	9999-12-31	2013-05-08
128	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	63.954550	\N	2009-01-01	2009-11-01	21836	4511658	9999-12-31	2013-05-08
128	2007-10-01	2008-01-01	StatoilHydro ASA	50.454550	\N	2007-10-01	2008-12-31	21836	4511854	9999-12-31	2013-05-08
128	2008-01-01	2009-01-01	StatoilHydro ASA	63.954550	\N	2007-10-01	2008-12-31	21836	4511854	9999-12-31	2013-05-08
128	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	13.500000	\N	9999-12-31	9999-12-31	21836	4524355	9999-12-31	2013-05-08
128	2009-11-02	9999-12-31	Statoil Petroleum AS	63.954550	\N	2009-11-02	9999-12-31	21836	17237817	9999-12-31	2013-05-08
129	1986-07-11	1994-12-31	Elf Petroleum Norge AS	21.800000	\N	9999-12-31	9999-12-31	21844	298	9999-12-31	2013-05-08
129	1986-07-11	1994-12-31	Norsk Hydro Produksjon AS	17.300000	\N	1986-07-11	1994-12-31	21844	430	9999-12-31	2013-05-08
129	1986-07-11	1994-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21844	749	9999-12-31	2013-05-08
129	1986-07-11	1994-12-31	Total Norge AS	10.900000	\N	9999-12-31	9999-12-31	21844	848	9999-12-31	2013-05-08
130	1989-04-14	1991-01-01	Enterprise Oil Norwegian AS	20.000000	\N	9999-12-31	9999-12-31	21852	342	9999-12-31	2013-05-08
130	1991-01-01	1991-07-01	Enterprise Oil Norwegian AS	27.500000	\N	9999-12-31	9999-12-31	21852	342	9999-12-31	2013-05-08
130	1991-07-01	1993-04-10	Enterprise Oil Norwegian AS	27.500000	\N	9999-12-31	9999-12-31	21852	342	9999-12-31	2013-05-08
130	1987-04-10	1989-04-14	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21852	562	9999-12-31	2013-05-08
130	1989-04-14	1991-01-01	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21852	562	9999-12-31	2013-05-08
130	1991-01-01	1991-07-01	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21852	562	9999-12-31	2013-05-08
130	1987-04-10	1989-04-14	Petrobras Norge A/S	15.000000	\N	9999-12-31	9999-12-31	21852	639	9999-12-31	2013-05-08
130	1989-04-14	1991-01-01	Petrobras Norge A/S	15.000000	\N	9999-12-31	9999-12-31	21852	639	9999-12-31	2013-05-08
130	1987-04-10	1989-04-14	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-04-10	1993-04-10	21852	749	9999-12-31	2013-05-08
130	1989-04-14	1991-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-04-10	1993-04-10	21852	749	9999-12-31	2013-05-08
130	1991-01-01	1991-07-01	Den norske stats oljeselskap a.s	57.500000	30.000000	1987-04-10	1993-04-10	21852	749	9999-12-31	2013-05-08
130	1991-07-01	1993-04-10	Den norske stats oljeselskap a.s	57.500000	30.000000	1987-04-10	1993-04-10	21852	749	9999-12-31	2013-05-08
130	1987-04-10	1989-04-14	Texas Eastern Norwegian Inc.	20.000000	\N	9999-12-31	9999-12-31	21852	837	9999-12-31	2013-05-08
130	1991-07-01	1993-04-10	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21852	848	9999-12-31	2013-05-08
131	1987-04-10	1992-12-15	Elf Petroleum Norge AS	20.000000	\N	1987-04-10	1992-12-15	21860	298	9999-12-31	2013-05-08
131	1987-04-10	1992-12-15	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21860	353	9999-12-31	2013-05-08
131	1987-04-10	1992-12-15	Petrobras Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21860	639	9999-12-31	2013-05-08
131	1987-04-10	1992-12-15	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	21860	738	9999-12-31	2013-05-08
131	1987-04-10	1992-12-15	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21860	749	9999-12-31	2013-05-08
132	1987-04-10	1995-01-09	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21868	45	9999-12-31	2013-05-08
132	2002-03-19	2003-03-22	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	21868	221	9999-12-31	2013-05-08
132	1987-04-10	1995-01-09	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21868	254	9999-12-31	2013-05-08
132	1995-01-09	1995-01-10	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21868	254	9999-12-31	2013-05-08
132	1995-01-10	1995-04-05	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	21868	254	9999-12-31	2013-05-08
132	1987-04-10	1995-01-09	Norsk Hydro Produksjon AS	20.000000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	1995-01-09	1995-01-10	Norsk Hydro Produksjon AS	30.000000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	1995-01-10	1995-04-05	Norsk Hydro Produksjon AS	30.000000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	1995-04-05	1996-12-13	Norsk Hydro Produksjon AS	30.000000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	1996-12-13	2001-01-11	Norsk Hydro Produksjon AS	22.500000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	2001-01-11	2001-01-23	Norsk Hydro Produksjon AS	22.500000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	2001-01-23	2001-05-10	Norsk Hydro Produksjon AS	22.500000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	22.500000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	22.500000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	2002-01-01	2002-03-19	Norsk Hydro Produksjon AS	20.000000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	2002-03-19	2003-03-22	Norsk Hydro Produksjon AS	20.000000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	2003-03-22	2003-09-24	Norsk Hydro Produksjon AS	20.000000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	2003-09-24	2004-07-05	Norsk Hydro Produksjon AS	20.000000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	2004-07-05	2005-01-02	Norsk Hydro Produksjon AS	20.000000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	2005-01-02	2005-01-10	Norsk Hydro Produksjon AS	20.000000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	2005-01-10	2007-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1987-04-10	2007-01-01	21868	430	9999-12-31	2013-05-08
132	1995-01-10	1995-04-05	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	1995-04-05	1996-12-13	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	1996-12-13	2001-01-11	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2001-01-11	2001-01-23	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2001-01-23	2001-05-10	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2001-05-10	2001-06-17	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2001-06-17	2002-01-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2002-01-01	2002-03-19	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2002-03-19	2003-03-22	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2003-03-22	2003-09-24	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2003-09-24	2004-07-05	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2004-07-05	2005-01-02	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2005-01-02	2005-01-10	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2005-01-10	2007-01-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2007-01-01	2007-10-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	2007-10-01	2008-09-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	474	9999-12-31	2013-05-08
132	1987-04-10	1995-01-09	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21868	562	9999-12-31	2013-05-08
132	1995-01-09	1995-01-10	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21868	562	9999-12-31	2013-05-08
132	1996-12-13	2001-01-11	Petro-Canada Norge AS (old)	7.500000	\N	9999-12-31	9999-12-31	21868	628	9999-12-31	2013-05-08
132	2001-01-11	2001-01-23	Petro-Canada Norge AS (old)	7.500000	\N	9999-12-31	9999-12-31	21868	628	9999-12-31	2013-05-08
132	1987-04-10	1995-01-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21868	749	9999-12-31	2013-05-08
132	1995-01-09	1995-01-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21868	749	9999-12-31	2013-05-08
132	1995-01-10	1995-04-05	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21868	749	9999-12-31	2013-05-08
132	1995-04-05	1996-12-13	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21868	749	9999-12-31	2013-05-08
132	1996-12-13	2001-01-11	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21868	749	9999-12-31	2013-05-08
132	2001-01-11	2001-01-23	Den norske stats oljeselskap a.s	30.000000	\N	9999-12-31	9999-12-31	21868	749	9999-12-31	2013-05-08
132	2001-01-23	2001-05-10	Den norske stats oljeselskap a.s	30.000000	\N	9999-12-31	9999-12-31	21868	749	9999-12-31	2013-05-08
132	2001-01-23	2001-05-10	Paladin Resources Norge AS	7.500000	\N	9999-12-31	9999-12-31	21868	1577943	9999-12-31	2013-05-08
132	2001-05-10	2001-06-17	Paladin Resources Norge AS	7.500000	\N	9999-12-31	9999-12-31	21868	1577943	9999-12-31	2013-05-08
132	2001-06-17	2002-01-01	Paladin Resources Norge AS	7.500000	\N	9999-12-31	9999-12-31	21868	1577943	9999-12-31	2013-05-08
132	2002-01-01	2002-03-19	Paladin Resources Norge AS	7.500000	\N	9999-12-31	9999-12-31	21868	1577943	9999-12-31	2013-05-08
132	2002-03-19	2003-03-22	Paladin Resources Norge AS	15.000000	\N	9999-12-31	9999-12-31	21868	1577943	9999-12-31	2013-05-08
132	2003-03-22	2003-09-24	Paladin Resources Norge AS	15.000000	\N	9999-12-31	9999-12-31	21868	1577943	9999-12-31	2013-05-08
132	2003-09-24	2004-07-05	Paladin Resources Norge AS	15.000000	\N	9999-12-31	9999-12-31	21868	1577943	9999-12-31	2013-05-08
132	2004-07-05	2005-01-02	Paladin Resources Norge AS	15.000000	\N	9999-12-31	9999-12-31	21868	1577943	9999-12-31	2013-05-08
132	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	21868	1623450	9999-12-31	2013-05-08
132	2001-06-17	2002-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2002-01-01	2002-03-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2002-03-19	2003-03-22	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2003-03-22	2003-09-24	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2003-09-24	2004-07-05	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2004-07-05	2005-01-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2005-01-02	2005-01-10	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2005-01-10	2007-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2007-01-01	2007-10-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2007-10-01	2008-09-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2008-09-01	2008-11-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2008-11-01	2009-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2009-01-01	2009-01-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2009-01-02	2009-05-26	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2009-05-26	2009-10-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2009-10-01	2009-11-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2009-11-02	2011-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2011-01-01	2011-01-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21868	1626839	9999-12-31	2013-05-08
132	2001-01-11	2001-01-23	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2001-01-23	2001-05-10	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2001-05-10	2001-06-17	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2001-06-17	2002-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2002-01-01	2002-03-19	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2002-03-19	2003-03-22	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2003-03-22	2003-09-24	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2003-09-24	2004-07-05	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2004-07-05	2005-01-02	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2005-01-02	2005-01-10	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2005-01-10	2007-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2007-01-01	2007-10-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2007-10-01	2008-09-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2008-09-01	2008-11-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2008-11-01	2009-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	1628733	9999-12-31	2013-05-08
132	2002-01-01	2002-03-19	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21868	2258813	9999-12-31	2013-05-08
132	2002-03-19	2003-03-22	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21868	2258813	9999-12-31	2013-05-08
132	2003-03-22	2003-09-24	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21868	2258813	9999-12-31	2013-05-08
132	2003-09-24	2004-07-05	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21868	2258813	9999-12-31	2013-05-08
132	2004-07-05	2005-01-02	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21868	2258813	9999-12-31	2013-05-08
132	2005-01-02	2005-01-10	OER Oil AS	2.500000	\N	9999-12-31	9999-12-31	21868	2258813	9999-12-31	2013-05-08
132	2003-03-22	2003-09-24	Norske ConocoPhillips AS	15.000000	\N	9999-12-31	9999-12-31	21868	2399056	9999-12-31	2013-05-08
132	2003-09-24	2004-07-05	Ruhrgas Norge AS	15.000000	\N	9999-12-31	9999-12-31	21868	2489913	9999-12-31	2013-05-08
132	2008-09-01	2008-11-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	2835212	9999-12-31	2013-05-08
132	2008-11-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	2835212	9999-12-31	2013-05-08
132	2009-01-01	2009-01-02	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	2835212	9999-12-31	2013-05-08
132	2009-01-02	2009-05-26	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	2835212	9999-12-31	2013-05-08
132	2009-05-26	2009-10-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	2835212	9999-12-31	2013-05-08
132	2009-10-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	2835212	9999-12-31	2013-05-08
132	2009-11-02	2011-01-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	21868	2835212	9999-12-31	2013-05-08
132	2004-07-05	2005-01-02	E.ON Ruhrgas Norge AS	15.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2005-01-02	2005-01-10	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2005-01-10	2007-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2007-01-01	2007-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2007-10-01	2008-09-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2008-09-01	2008-11-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2008-11-01	2009-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2009-01-01	2009-01-02	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2009-01-02	2009-05-26	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2009-05-26	2009-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2009-10-01	2009-11-02	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2009-11-02	2011-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2011-01-01	2011-01-02	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2011-01-02	2012-02-11	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	2840522	9999-12-31	2013-05-08
132	2005-01-10	2007-01-01	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	3113213	9999-12-31	2013-05-08
132	2007-01-01	2007-10-01	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	3113213	9999-12-31	2013-05-08
132	2007-10-01	2008-09-01	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	3113213	9999-12-31	2013-05-08
132	2008-09-01	2008-11-01	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	3113213	9999-12-31	2013-05-08
132	2008-11-01	2009-01-01	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	3113213	9999-12-31	2013-05-08
132	2009-01-01	2009-01-02	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	3113213	9999-12-31	2013-05-08
132	2009-01-02	2009-05-26	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	3113213	9999-12-31	2013-05-08
132	2011-01-02	2012-02-11	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	21868	4062883	9999-12-31	2013-05-08
132	2012-02-11	9999-12-31	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	21868	4062883	9999-12-31	2013-05-08
132	2007-10-01	2008-09-01	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	21868	4511658	9999-12-31	2013-05-08
132	2008-09-01	2008-11-01	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	21868	4511658	9999-12-31	2013-05-08
132	2009-01-02	2009-05-26	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	21868	4511658	9999-12-31	2013-05-08
132	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	21868	4511658	9999-12-31	2013-05-08
132	2009-10-01	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	21868	4511658	9999-12-31	2013-05-08
132	2008-11-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	21868	4511854	9999-12-31	2013-05-08
132	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	21868	4511854	9999-12-31	2013-05-08
132	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	20.000000	\N	2007-01-01	2007-10-01	21868	4524355	9999-12-31	2013-05-08
132	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	5267845	9999-12-31	2013-05-08
132	2009-01-02	2009-05-26	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	5267845	9999-12-31	2013-05-08
132	2009-05-26	2009-10-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	5267845	9999-12-31	2013-05-08
132	2009-10-01	2009-11-02	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	5267845	9999-12-31	2013-05-08
132	2009-11-02	2011-01-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21868	5267845	9999-12-31	2013-05-08
132	2011-01-01	2011-01-02	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	21868	5267845	9999-12-31	2013-05-08
132	2011-01-02	2012-02-11	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	21868	5267845	9999-12-31	2013-05-08
132	2012-02-11	9999-12-31	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	21868	5267845	9999-12-31	2013-05-08
132	2009-05-26	2009-10-01	VNG Norge (Operations) AS	2.500000	\N	9999-12-31	9999-12-31	21868	5497155	9999-12-31	2013-05-08
132	2009-10-01	2009-11-02	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	17237193	9999-12-31	2013-05-08
132	2009-11-02	2011-01-01	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	17237193	9999-12-31	2013-05-08
132	2011-01-01	2011-01-02	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	17237193	9999-12-31	2013-05-08
132	2011-01-02	2012-02-11	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	17237193	9999-12-31	2013-05-08
132	2012-02-11	9999-12-31	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21868	17237193	9999-12-31	2013-05-08
132	2009-11-02	2011-01-01	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	21868	17237817	9999-12-31	2013-05-08
132	2011-01-01	2011-01-02	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	21868	17237817	9999-12-31	2013-05-08
132	2011-01-02	2012-02-11	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	21868	17237817	9999-12-31	2013-05-08
132	2012-02-11	9999-12-31	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	21868	17237817	9999-12-31	2013-05-08
132	2012-02-11	9999-12-31	E.ON E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	21868	21631209	9999-12-31	2013-05-08
133	1987-04-10	1992-01-01	Norske Conoco A/S	50.000000	\N	1987-04-10	1992-01-01	21876	221	9999-12-31	2013-05-08
133	1987-04-10	1992-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21876	749	9999-12-31	2013-05-08
134	1987-04-10	1988-12-16	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	1988-12-16	1989-04-14	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	1989-04-14	1993-04-01	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	1993-04-01	1995-01-19	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	1995-01-19	1995-06-22	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	1995-06-22	2001-01-11	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	2001-01-11	2001-05-10	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	2001-05-10	2001-06-01	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	2001-06-01	2001-06-17	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	2001-06-17	2001-12-18	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	2001-12-18	2003-05-06	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	2003-05-06	2003-12-31	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	21884	45	9999-12-31	2013-05-08
134	1988-12-16	1989-04-14	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	232	9999-12-31	2013-05-08
134	1989-04-14	1993-04-01	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	232	9999-12-31	2013-05-08
134	1989-04-14	1993-04-01	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	21884	342	9999-12-31	2013-05-08
134	1993-04-01	1995-01-19	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	21884	342	9999-12-31	2013-05-08
134	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	7.000000	\N	9999-12-31	9999-12-31	21884	430	9999-12-31	2013-05-08
134	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	7.000000	\N	9999-12-31	9999-12-31	21884	430	9999-12-31	2013-05-08
134	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	7.000000	\N	9999-12-31	9999-12-31	21884	430	9999-12-31	2013-05-08
134	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	7.000000	\N	9999-12-31	9999-12-31	21884	430	9999-12-31	2013-05-08
134	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	7.000000	\N	9999-12-31	9999-12-31	21884	430	9999-12-31	2013-05-08
134	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	7.000000	\N	9999-12-31	9999-12-31	21884	430	9999-12-31	2013-05-08
134	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	7.000000	\N	9999-12-31	9999-12-31	21884	430	9999-12-31	2013-05-08
134	1995-06-22	2001-01-11	Saga Petroleum ASA	7.000000	\N	9999-12-31	9999-12-31	21884	716	9999-12-31	2013-05-08
134	1987-04-10	1988-12-16	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-04-10	2001-05-10	21884	749	9999-12-31	2013-05-08
134	1988-12-16	1989-04-14	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-04-10	2001-05-10	21884	749	9999-12-31	2013-05-08
134	1989-04-14	1993-04-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-04-10	2001-05-10	21884	749	9999-12-31	2013-05-08
134	1993-04-01	1995-01-19	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-04-10	2001-05-10	21884	749	9999-12-31	2013-05-08
134	1995-01-19	1995-06-22	Den norske stats oljeselskap a.s	60.000000	30.000000	1987-04-10	2001-05-10	21884	749	9999-12-31	2013-05-08
134	1995-06-22	2001-01-11	Den norske stats oljeselskap a.s	53.000000	25.000000	1987-04-10	2001-05-10	21884	749	9999-12-31	2013-05-08
134	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	53.000000	25.000000	1987-04-10	2001-05-10	21884	749	9999-12-31	2013-05-08
134	1987-04-10	1988-12-16	Tennaco Oil Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21884	793	9999-12-31	2013-05-08
134	1987-04-10	1988-12-16	Texas Eastern Norwegian Inc.	10.000000	\N	9999-12-31	9999-12-31	21884	837	9999-12-31	2013-05-08
134	1988-12-16	1989-04-14	Texas Eastern Norwegian Inc.	10.000000	\N	9999-12-31	9999-12-31	21884	837	9999-12-31	2013-05-08
134	1993-04-01	1995-01-19	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	848	9999-12-31	2013-05-08
134	1995-01-19	1995-06-22	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	848	9999-12-31	2013-05-08
134	1995-06-22	2001-01-11	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	848	9999-12-31	2013-05-08
134	2001-01-11	2001-05-10	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	848	9999-12-31	2013-05-08
134	2001-05-10	2001-06-01	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	848	9999-12-31	2013-05-08
134	2001-06-01	2001-06-17	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	848	9999-12-31	2013-05-08
134	2001-06-17	2001-12-18	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	848	9999-12-31	2013-05-08
134	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	1340884	9999-12-31	2013-05-08
134	2001-05-10	2001-06-01	Statoil ASA (old)	28.000000	\N	2001-05-10	2007-10-01	21884	1622484	9999-12-31	2013-05-08
134	2001-06-01	2001-06-17	Statoil ASA (old)	39.450000	\N	2001-05-10	2007-10-01	21884	1622484	9999-12-31	2013-05-08
134	2001-06-17	2001-12-18	Statoil ASA (old)	39.450000	\N	2001-05-10	2007-10-01	21884	1622484	9999-12-31	2013-05-08
134	2001-12-18	2003-05-06	Statoil ASA (old)	39.450000	\N	2001-05-10	2007-10-01	21884	1622484	9999-12-31	2013-05-08
134	2003-05-06	2003-12-31	Statoil ASA (old)	39.450000	\N	2001-05-10	2007-10-01	21884	1622484	9999-12-31	2013-05-08
134	2003-12-31	2007-01-01	Statoil ASA (old)	39.450000	\N	2001-05-10	2007-10-01	21884	1622484	9999-12-31	2013-05-08
134	2007-01-01	2007-10-01	Statoil ASA (old)	39.450000	\N	2001-05-10	2007-10-01	21884	1622484	9999-12-31	2013-05-08
134	2001-05-10	2001-06-01	SDØE	25.000000	\N	9999-12-31	9999-12-31	21884	1623450	9999-12-31	2013-05-08
134	2001-06-01	2001-06-17	SDØE	13.550000	\N	9999-12-31	9999-12-31	21884	1623450	9999-12-31	2013-05-08
134	2001-06-17	2001-12-18	Petoro AS	13.550000	\N	9999-12-31	9999-12-31	21884	1626839	9999-12-31	2013-05-08
134	2001-12-18	2003-05-06	Petoro AS	13.550000	\N	9999-12-31	9999-12-31	21884	1626839	9999-12-31	2013-05-08
134	2003-05-06	2003-12-31	Petoro AS	13.550000	\N	9999-12-31	9999-12-31	21884	1626839	9999-12-31	2013-05-08
134	2003-12-31	2007-01-01	Petoro AS	13.550000	\N	9999-12-31	9999-12-31	21884	1626839	9999-12-31	2013-05-08
134	2007-01-01	2007-10-01	Petoro AS	13.550000	\N	9999-12-31	9999-12-31	21884	1626839	9999-12-31	2013-05-08
134	2007-10-01	2008-01-01	Petoro AS	13.550000	\N	9999-12-31	9999-12-31	21884	1626839	9999-12-31	2013-05-08
134	2008-01-01	2009-01-01	Petoro AS	13.550000	\N	9999-12-31	9999-12-31	21884	1626839	9999-12-31	2013-05-08
134	2009-01-01	2009-11-02	Petoro AS	13.550000	\N	9999-12-31	9999-12-31	21884	1626839	9999-12-31	2013-05-08
134	2009-11-02	9999-12-31	Petoro AS	13.550000	\N	9999-12-31	9999-12-31	21884	1626839	9999-12-31	2013-05-08
134	2003-12-31	2007-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	21884	2388594	9999-12-31	2013-05-08
134	2007-01-01	2007-10-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	21884	2388594	9999-12-31	2013-05-08
134	2007-10-01	2008-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	21884	2388594	9999-12-31	2013-05-08
134	2008-01-01	2009-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	21884	2388594	9999-12-31	2013-05-08
134	2009-01-01	2009-11-02	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	21884	2388594	9999-12-31	2013-05-08
134	2009-11-02	9999-12-31	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	21884	2388594	9999-12-31	2013-05-08
134	2003-05-06	2003-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	2410708	9999-12-31	2013-05-08
134	2003-12-31	2007-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	2410708	9999-12-31	2013-05-08
134	2007-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	2410708	9999-12-31	2013-05-08
134	2007-10-01	2008-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	2410708	9999-12-31	2013-05-08
134	2008-01-01	2009-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	2410708	9999-12-31	2013-05-08
134	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	2410708	9999-12-31	2013-05-08
134	2009-11-02	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21884	2410708	9999-12-31	2013-05-08
134	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	21884	4511658	9999-12-31	2013-05-08
134	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	46.450000	\N	2009-01-01	2009-11-01	21884	4511658	9999-12-31	2013-05-08
134	2007-10-01	2008-01-01	StatoilHydro ASA	39.450000	\N	2007-10-01	2008-12-31	21884	4511854	9999-12-31	2013-05-08
134	2008-01-01	2009-01-01	StatoilHydro ASA	46.450000	\N	2007-10-01	2008-12-31	21884	4511854	9999-12-31	2013-05-08
134	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	21884	4524355	9999-12-31	2013-05-08
134	2009-11-02	9999-12-31	Statoil Petroleum AS	46.450000	\N	2009-11-02	9999-12-31	21884	17237817	9999-12-31	2013-05-08
135	1987-04-10	1990-07-25	Amerada Hess Norge AS	5.000000	\N	9999-12-31	9999-12-31	21892	67	9999-12-31	2013-05-08
135	1990-07-25	1993-04-11	Amerada Hess Norge AS	5.000000	\N	9999-12-31	9999-12-31	21892	67	9999-12-31	2013-05-08
135	1993-04-11	1995-12-31	Amerada Hess Norge AS	35.000000	\N	9999-12-31	9999-12-31	21892	67	9999-12-31	2013-05-08
135	1987-04-10	1990-07-25	Arco Norge A/S	15.000000	\N	9999-12-31	9999-12-31	21892	122	9999-12-31	2013-05-08
135	1990-07-25	1993-04-11	Neste Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	21892	496	9999-12-31	2013-05-08
135	1987-04-10	1990-07-25	Saga Petroleum ASA	15.000000	\N	1987-04-10	1995-12-31	21892	716	9999-12-31	2013-05-08
135	1990-07-25	1993-04-11	Saga Petroleum ASA	15.000000	\N	1987-04-10	1995-12-31	21892	716	9999-12-31	2013-05-08
135	1993-04-11	1995-12-31	Saga Petroleum ASA	15.000000	\N	1987-04-10	1995-12-31	21892	716	9999-12-31	2013-05-08
135	1987-04-10	1990-07-25	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21892	749	9999-12-31	2013-05-08
135	1990-07-25	1993-04-11	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21892	749	9999-12-31	2013-05-08
135	1993-04-11	1995-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21892	749	9999-12-31	2013-05-08
135	1987-04-10	1990-07-25	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21892	848	9999-12-31	2013-05-08
135	1990-07-25	1993-04-11	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21892	848	9999-12-31	2013-05-08
136	1987-04-10	1993-04-10	BP Petroleum Dev. of Norway AS	10.000000	\N	9999-12-31	9999-12-31	21900	155	9999-12-31	2013-05-08
136	1987-04-10	1993-04-10	Fina Production Licenses AS	10.000000	\N	9999-12-31	9999-12-31	21900	386	9999-12-31	2013-05-08
136	1987-04-10	1993-04-10	Norsk Hydro Produksjon AS	20.000000	\N	1987-04-10	1993-04-10	21900	430	9999-12-31	2013-05-08
136	1987-04-10	1993-04-10	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	21900	474	9999-12-31	2013-05-08
136	1987-04-10	1993-04-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21900	749	9999-12-31	2013-05-08
137	1987-04-10	1990-12-31	BP Petroleum Dev. of Norway AS	10.000000	\N	9999-12-31	9999-12-31	21908	155	9999-12-31	2013-05-08
137	1987-04-10	1990-12-31	Esso Exploration and Production Norway A/S	15.000000	\N	9999-12-31	9999-12-31	21908	353	9999-12-31	2013-05-08
137	1987-04-10	1990-12-31	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21908	430	9999-12-31	2013-05-08
137	1987-04-10	1990-12-31	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21908	562	9999-12-31	2013-05-08
137	1987-04-10	1990-12-31	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21908	716	9999-12-31	2013-05-08
137	1987-04-10	1990-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-04-10	1990-12-31	21908	749	9999-12-31	2013-05-08
138	1987-05-29	1993-05-28	Amerada Hess Norge AS	5.000000	\N	9999-12-31	9999-12-31	21916	67	9999-12-31	2013-05-08
138	1993-05-28	1996-01-01	Amerada Hess Norge AS	8.000000	\N	9999-12-31	9999-12-31	21916	67	9999-12-31	2013-05-08
138	1996-01-01	1999-12-31	Amerada Hess Norge AS	13.000000	\N	9999-12-31	9999-12-31	21916	67	9999-12-31	2013-05-08
138	1987-05-29	1993-05-28	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21916	430	9999-12-31	2013-05-08
138	1993-05-28	1996-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21916	430	9999-12-31	2013-05-08
138	1987-05-29	1993-05-28	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	21916	562	9999-12-31	2013-05-08
138	1987-05-29	1993-05-28	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21916	749	9999-12-31	2013-05-08
138	1993-05-28	1996-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21916	749	9999-12-31	2013-05-08
138	1996-01-01	1999-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21916	749	9999-12-31	2013-05-08
138	1987-05-29	1993-05-28	Total Norge AS	20.000000	\N	1987-05-29	1999-12-31	21916	848	9999-12-31	2013-05-08
138	1993-05-28	1996-01-01	Total Norge AS	32.000000	\N	1987-05-29	1999-12-31	21916	848	9999-12-31	2013-05-08
138	1996-01-01	1999-12-31	Total Norge AS	37.000000	\N	1987-05-29	1999-12-31	21916	848	9999-12-31	2013-05-08
139	1987-05-29	1993-05-29	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	21924	221	9999-12-31	2013-05-08
139	1987-05-29	1993-05-29	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21924	298	9999-12-31	2013-05-08
139	1987-05-29	1993-05-29	Fina Production Licenses AS	10.000000	\N	9999-12-31	9999-12-31	21924	386	9999-12-31	2013-05-08
139	1987-05-29	1993-05-29	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	21924	474	9999-12-31	2013-05-08
139	1987-05-29	1993-05-29	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	21924	562	9999-12-31	2013-05-08
139	1987-05-29	1993-05-29	Den norske stats oljeselskap a.s	50.000000	30.000000	1987-05-29	1993-05-29	21924	749	9999-12-31	2013-05-08
140	1987-05-29	1990-12-31	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	21932	221	9999-12-31	2013-05-08
140	1987-05-29	1990-12-31	Mobil Development Norway AS	35.000000	\N	1987-05-29	1990-12-31	21932	474	9999-12-31	2013-05-08
140	1987-05-29	1990-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21932	749	9999-12-31	2013-05-08
141	1987-05-29	1988-12-16	BP Petroleum Dev. of Norway AS	15.000000	\N	9999-12-31	9999-12-31	21940	155	9999-12-31	2013-05-08
141	1988-12-16	1990-12-31	BP Petroleum Dev. of Norway AS	15.000000	\N	9999-12-31	9999-12-31	21940	155	9999-12-31	2013-05-08
141	1988-12-16	1990-12-31	Conoco Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21940	232	9999-12-31	2013-05-08
141	1987-05-29	1988-12-16	Norsk Hydro Produksjon AS	20.000000	\N	1987-05-29	1990-12-31	21940	430	9999-12-31	2013-05-08
141	1988-12-16	1990-12-31	Norsk Hydro Produksjon AS	20.000000	\N	1987-05-29	1990-12-31	21940	430	9999-12-31	2013-05-08
141	1987-05-29	1988-12-16	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21940	716	9999-12-31	2013-05-08
141	1988-12-16	1990-12-31	Saga Petroleum ASA	5.000000	\N	9999-12-31	9999-12-31	21940	716	9999-12-31	2013-05-08
141	1987-05-29	1988-12-16	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21940	749	9999-12-31	2013-05-08
141	1988-12-16	1990-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21940	749	9999-12-31	2013-05-08
141	1987-05-29	1988-12-16	Tennaco Oil Norway A/S	10.000000	\N	9999-12-31	9999-12-31	21940	793	9999-12-31	2013-05-08
142	1987-05-29	1997-05-28	Elf Petroleum Norge AS	40.000000	\N	1987-05-29	1997-09-01	21948	298	9999-12-31	2013-05-08
142	1987-05-29	1997-05-28	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	21948	716	9999-12-31	2013-05-08
142	1997-05-28	1999-12-31	Saga Petroleum ASA	30.000000	\N	9999-12-31	9999-12-31	21948	716	9999-12-31	2013-05-08
142	1987-05-29	1997-05-28	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21948	749	9999-12-31	2013-05-08
142	1997-05-28	1999-12-31	Den norske stats oljeselskap a.s	70.000000	30.000000	1997-09-01	1999-12-31	21948	749	9999-12-31	2013-05-08
143	1994-11-23	1996-01-01	Amoco Norway AS	10.000000	\N	9999-12-31	9999-12-31	21956	89	9999-12-31	2013-05-08
143	1996-01-01	1997-01-01	Amoco Norway AS	10.000000	\N	9999-12-31	9999-12-31	21956	89	9999-12-31	2013-05-08
143	1997-01-01	1998-09-01	Amoco Norway AS	10.000000	\N	9999-12-31	9999-12-31	21956	89	9999-12-31	2013-05-08
143	1996-01-01	1997-01-01	BP Petroleum Dev. of Norway AS	15.000000	\N	1996-01-01	1998-12-29	21956	155	9999-12-31	2013-05-08
143	1997-01-01	1998-09-01	BP Petroleum Dev. of Norway AS	15.000000	\N	1996-01-01	1998-12-29	21956	155	9999-12-31	2013-05-08
143	1989-04-14	1994-11-23	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	21956	342	9999-12-31	2013-05-08
143	1994-11-23	1996-01-01	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	21956	342	9999-12-31	2013-05-08
143	1996-01-01	1997-01-01	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	21956	342	9999-12-31	2013-05-08
143	1997-01-01	1998-09-01	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	21956	342	9999-12-31	2013-05-08
143	1997-01-01	1998-09-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	21956	430	9999-12-31	2013-05-08
143	1998-09-01	2001-05-10	Norsk Hydro Produksjon AS	35.000000	\N	1998-12-29	2003-06-27	21956	430	9999-12-31	2013-05-08
143	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	35.000000	\N	1998-12-29	2003-06-27	21956	430	9999-12-31	2013-05-08
143	2001-06-01	2002-10-14	Norsk Hydro Produksjon AS	35.000000	\N	1998-12-29	2003-06-27	21956	430	9999-12-31	2013-05-08
143	2006-04-01	2006-10-02	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21956	430	9999-12-31	2013-05-08
143	2006-10-02	2006-10-03	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21956	430	9999-12-31	2013-05-08
143	2006-10-03	2007-01-01	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	21956	430	9999-12-31	2013-05-08
143	1988-07-08	1989-04-14	Phillips Petroleum Norsk AS	25.000000	\N	1988-07-08	1996-01-01	21956	705	9999-12-31	2013-05-08
143	1989-04-14	1994-11-23	Phillips Petroleum Norsk AS	25.000000	\N	1988-07-08	1996-01-01	21956	705	9999-12-31	2013-05-08
143	1994-11-23	1996-01-01	Phillips Petroleum Norsk AS	25.000000	\N	1988-07-08	1996-01-01	21956	705	9999-12-31	2013-05-08
143	1996-01-01	1997-01-01	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	21956	705	9999-12-31	2013-05-08
143	1997-01-01	1998-09-01	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	21956	705	9999-12-31	2013-05-08
143	1998-09-01	2001-05-10	Phillips Petroleum Norsk AS	35.000000	\N	9999-12-31	9999-12-31	21956	705	9999-12-31	2013-05-08
143	2001-05-10	2001-06-01	Phillips Petroleum Norsk AS	35.000000	\N	9999-12-31	9999-12-31	21956	705	9999-12-31	2013-05-08
143	2001-06-01	2002-10-14	Phillips Petroleum Norsk AS	35.000000	\N	9999-12-31	9999-12-31	21956	705	9999-12-31	2013-05-08
143	2002-10-14	2003-02-12	Phillips Petroleum Norsk AS	35.000000	\N	9999-12-31	9999-12-31	21956	705	9999-12-31	2013-05-08
143	2003-02-12	2003-05-06	Phillips Petroleum Norsk AS	35.000000	\N	9999-12-31	9999-12-31	21956	705	9999-12-31	2013-05-08
143	1988-07-08	1989-04-14	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21956	749	9999-12-31	2013-05-08
143	1989-04-14	1994-11-23	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21956	749	9999-12-31	2013-05-08
143	1994-11-23	1996-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21956	749	9999-12-31	2013-05-08
143	1996-01-01	1997-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21956	749	9999-12-31	2013-05-08
143	1997-01-01	1998-09-01	Den norske stats oljeselskap a.s	30.000000	\N	9999-12-31	9999-12-31	21956	749	9999-12-31	2013-05-08
143	1998-09-01	2001-05-10	Den norske stats oljeselskap a.s	30.000000	\N	9999-12-31	9999-12-31	21956	749	9999-12-31	2013-05-08
143	1988-07-08	1989-04-14	Texas Eastern Norwegian Inc.	15.000000	\N	9999-12-31	9999-12-31	21956	837	9999-12-31	2013-05-08
143	1988-07-08	1989-04-14	OMV Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21956	925	9999-12-31	2013-05-08
143	1989-04-14	1994-11-23	OMV Norge A/S	10.000000	\N	9999-12-31	9999-12-31	21956	925	9999-12-31	2013-05-08
143	2002-10-14	2003-02-12	Paladin Resources Norge AS	35.000000	\N	9999-12-31	9999-12-31	21956	1577943	9999-12-31	2013-05-08
143	2003-02-12	2003-05-06	Paladin Resources Norge AS	65.000000	\N	9999-12-31	9999-12-31	21956	1577943	9999-12-31	2013-05-08
143	2003-05-06	2004-07-01	Paladin Resources Norge AS	65.000000	\N	9999-12-31	9999-12-31	21956	1577943	9999-12-31	2013-05-08
143	2004-07-01	2006-03-22	Paladin Resources Norge AS	35.000000	\N	9999-12-31	9999-12-31	21956	1577943	9999-12-31	2013-05-08
143	2001-06-01	2002-10-14	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21956	1622484	9999-12-31	2013-05-08
143	2002-10-14	2003-02-12	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21956	1622484	9999-12-31	2013-05-08
143	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21956	1623450	9999-12-31	2013-05-08
143	2003-05-06	2004-07-01	ConocoPhillips Skandinavia AS	35.000000	\N	2003-06-27	9999-12-31	21956	2410696	9999-12-31	2013-05-08
143	2004-07-01	2006-03-22	ConocoPhillips Skandinavia AS	35.000000	\N	2003-06-27	9999-12-31	21956	2410696	9999-12-31	2013-05-08
143	2006-03-22	2006-04-01	ConocoPhillips Skandinavia AS	35.000000	\N	2003-06-27	9999-12-31	21956	2410696	9999-12-31	2013-05-08
143	2006-04-01	2006-10-02	ConocoPhillips Skandinavia AS	35.000000	\N	2003-06-27	9999-12-31	21956	2410696	9999-12-31	2013-05-08
143	2006-10-02	2006-10-03	ConocoPhillips Skandinavia AS	35.000000	\N	2003-06-27	9999-12-31	21956	2410696	9999-12-31	2013-05-08
143	2006-10-03	2007-01-01	ConocoPhillips Skandinavia AS	35.000000	\N	2003-06-27	9999-12-31	21956	2410696	9999-12-31	2013-05-08
143	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.000000	\N	2003-06-27	9999-12-31	21956	2410696	9999-12-31	2013-05-08
143	2007-10-01	2008-07-01	ConocoPhillips Skandinavia AS	35.000000	\N	2003-06-27	9999-12-31	21956	2410696	9999-12-31	2013-05-08
143	2008-07-01	9999-12-31	ConocoPhillips Skandinavia AS	50.000000	\N	2003-06-27	9999-12-31	21956	2410696	9999-12-31	2013-05-08
143	2006-10-03	2007-01-01	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	21956	2425093	9999-12-31	2013-05-08
143	2007-01-01	2007-10-01	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	21956	2425093	9999-12-31	2013-05-08
143	2007-10-01	2008-07-01	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	21956	2425093	9999-12-31	2013-05-08
143	2008-07-01	9999-12-31	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	21956	2425093	9999-12-31	2013-05-08
143	2004-07-01	2006-03-22	BG Norge AS	30.000000	\N	9999-12-31	9999-12-31	21956	2747354	9999-12-31	2013-05-08
143	2006-03-22	2006-04-01	BG Norge AS	30.000000	\N	9999-12-31	9999-12-31	21956	2747354	9999-12-31	2013-05-08
143	2006-04-01	2006-10-02	BG Norge AS	30.000000	\N	9999-12-31	9999-12-31	21956	2747354	9999-12-31	2013-05-08
143	2006-10-02	2006-10-03	BG Norge AS	40.000000	\N	9999-12-31	9999-12-31	21956	2747354	9999-12-31	2013-05-08
143	2006-10-03	2007-01-01	BG Norge AS	40.000000	\N	9999-12-31	9999-12-31	21956	2747354	9999-12-31	2013-05-08
143	2007-01-01	2007-10-01	BG Norge AS	40.000000	\N	9999-12-31	9999-12-31	21956	2747354	9999-12-31	2013-05-08
143	2007-10-01	2008-07-01	BG Norge AS	40.000000	\N	9999-12-31	9999-12-31	21956	2747354	9999-12-31	2013-05-08
143	2008-07-01	9999-12-31	BG Norge AS	40.000000	\N	9999-12-31	9999-12-31	21956	2747354	9999-12-31	2013-05-08
143	2006-03-22	2006-04-01	Talisman Resources Norge AS	35.000000	\N	9999-12-31	9999-12-31	21956	3987574	9999-12-31	2013-05-08
143	2006-04-01	2006-10-02	Talisman Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	21956	3987574	9999-12-31	2013-05-08
143	2006-10-02	2006-10-03	Talisman Resources Norge AS	10.000000	\N	9999-12-31	9999-12-31	21956	3987574	9999-12-31	2013-05-08
143	2007-10-01	2008-07-01	StatoilHydro Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	21956	4511658	9999-12-31	2013-05-08
143	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	21956	4524355	9999-12-31	2013-05-08
144	1997-07-01	1999-01-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21964	67	9999-12-31	2013-05-08
144	1999-01-01	2001-05-10	Amerada Hess Norge AS	25.000000	\N	1999-01-01	2002-12-31	21964	67	9999-12-31	2013-05-08
144	2001-05-10	2001-06-01	Amerada Hess Norge AS	25.000000	\N	1999-01-01	2002-12-31	21964	67	9999-12-31	2013-05-08
144	2001-06-01	2001-12-31	Amerada Hess Norge AS	25.000000	\N	1999-01-01	2002-12-31	21964	67	9999-12-31	2013-05-08
144	2001-12-31	2002-12-31	Amerada Hess Norge AS	25.000000	\N	1999-01-01	2002-12-31	21964	67	9999-12-31	2013-05-08
144	1988-07-08	1997-01-01	BP Petroleum Dev. of Norway AS	25.000000	\N	9999-12-31	9999-12-31	21964	155	9999-12-31	2013-05-08
144	1988-07-08	1997-01-01	Norske Conoco A/S	25.000000	\N	1988-07-08	1999-01-01	21964	221	9999-12-31	2013-05-08
144	1997-01-01	1997-07-01	Norske Conoco A/S	25.000000	\N	1988-07-08	1999-01-01	21964	221	9999-12-31	2013-05-08
144	1997-07-01	1999-01-01	Norske Conoco A/S	15.000000	\N	1988-07-08	1999-01-01	21964	221	9999-12-31	2013-05-08
144	1997-01-01	1997-07-01	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21964	342	9999-12-31	2013-05-08
144	1997-07-01	1999-01-01	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21964	342	9999-12-31	2013-05-08
144	1999-01-01	2001-05-10	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21964	342	9999-12-31	2013-05-08
144	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21964	342	9999-12-31	2013-05-08
144	2001-06-01	2001-12-31	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	21964	342	9999-12-31	2013-05-08
144	1988-07-08	1997-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21964	749	9999-12-31	2013-05-08
144	1997-01-01	1997-07-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21964	749	9999-12-31	2013-05-08
144	1997-07-01	1999-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21964	749	9999-12-31	2013-05-08
144	1999-01-01	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21964	749	9999-12-31	2013-05-08
144	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	21964	1622484	9999-12-31	2013-05-08
144	2001-06-01	2001-12-31	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21964	1622484	9999-12-31	2013-05-08
144	2001-12-31	2002-12-31	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	21964	1622484	9999-12-31	2013-05-08
144	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21964	1623450	9999-12-31	2013-05-08
144	2001-12-31	2002-12-31	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	21964	1853786	9999-12-31	2013-05-08
145	1988-07-08	1996-01-01	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21972	45	9999-12-31	2013-05-08
145	1996-01-01	1996-09-09	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21972	45	9999-12-31	2013-05-08
145	1996-09-09	2001-05-10	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21972	45	9999-12-31	2013-05-08
145	2001-05-10	2001-06-01	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21972	45	9999-12-31	2013-05-08
145	2001-06-01	2001-09-18	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	21972	45	9999-12-31	2013-05-08
145	2001-09-18	2003-01-01	Norsk Agip  AS	14.000000	\N	9999-12-31	9999-12-31	21972	45	9999-12-31	2013-05-08
145	2003-01-01	2003-05-06	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	21972	45	9999-12-31	2013-05-08
145	2003-05-06	2003-12-31	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	21972	45	9999-12-31	2013-05-08
145	1988-07-08	1996-01-01	BP Petroleum Dev. of Norway AS	30.000000	\N	1988-07-08	1996-01-01	21972	155	9999-12-31	2013-05-08
145	1988-07-08	1996-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21972	430	9999-12-31	2013-05-08
145	1996-01-01	1996-09-09	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21972	430	9999-12-31	2013-05-08
145	1996-09-09	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21972	430	9999-12-31	2013-05-08
145	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21972	430	9999-12-31	2013-05-08
145	2001-06-01	2001-09-18	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	21972	430	9999-12-31	2013-05-08
145	1996-01-01	1996-09-09	Phillips Petroleum Norsk AS	30.000000	\N	1996-01-01	2003-05-06	21972	705	9999-12-31	2013-05-08
145	1996-09-09	2001-05-10	Phillips Petroleum Norsk AS	40.000000	\N	1996-01-01	2003-05-06	21972	705	9999-12-31	2013-05-08
145	2001-05-10	2001-06-01	Phillips Petroleum Norsk AS	40.000000	\N	1996-01-01	2003-05-06	21972	705	9999-12-31	2013-05-08
145	2001-06-01	2001-09-18	Phillips Petroleum Norsk AS	40.000000	\N	1996-01-01	2003-05-06	21972	705	9999-12-31	2013-05-08
145	2001-09-18	2003-01-01	Phillips Petroleum Norsk AS	56.000000	\N	1996-01-01	2003-05-06	21972	705	9999-12-31	2013-05-08
145	2003-01-01	2003-05-06	Phillips Petroleum Norsk AS	80.000000	\N	1996-01-01	2003-05-06	21972	705	9999-12-31	2013-05-08
145	1988-07-08	1996-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21972	749	9999-12-31	2013-05-08
145	1996-01-01	1996-09-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21972	749	9999-12-31	2013-05-08
145	1996-09-09	2001-05-10	Den norske stats oljeselskap a.s	40.000000	30.000000	9999-12-31	9999-12-31	21972	749	9999-12-31	2013-05-08
145	2001-05-10	2001-06-01	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	21972	1622484	9999-12-31	2013-05-08
145	2001-06-01	2001-09-18	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	21972	1622484	9999-12-31	2013-05-08
145	2001-09-18	2003-01-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21972	1622484	9999-12-31	2013-05-08
145	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21972	1623450	9999-12-31	2013-05-08
145	2003-12-31	9999-12-31	Eni Norge AS	20.000000	\N	9999-12-31	9999-12-31	21972	2388594	9999-12-31	2013-05-08
145	2003-05-06	2003-12-31	ConocoPhillips Skandinavia AS	80.000000	\N	2003-05-06	9999-12-31	21972	2410696	9999-12-31	2013-05-08
145	2003-12-31	9999-12-31	ConocoPhillips Skandinavia AS	80.000000	\N	2003-05-06	9999-12-31	21972	2410696	9999-12-31	2013-05-08
146	1988-07-08	1996-09-09	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21980	67	9999-12-31	2013-05-08
146	1996-09-09	2000-07-24	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21980	67	9999-12-31	2013-05-08
146	2000-07-24	2001-01-11	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21980	67	9999-12-31	2013-05-08
146	2001-01-11	2001-05-10	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21980	67	9999-12-31	2013-05-08
146	2001-05-10	2001-06-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21980	67	9999-12-31	2013-05-08
146	2001-06-01	2003-02-06	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	21980	67	9999-12-31	2013-05-08
146	1988-07-08	1996-09-09	Elf Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21980	298	9999-12-31	2013-05-08
146	1996-09-09	2000-07-24	Elf Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21980	298	9999-12-31	2013-05-08
146	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-01-01	21980	430	9999-12-31	2013-05-08
146	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-01-01	21980	430	9999-12-31	2013-05-08
146	2001-06-01	2003-02-06	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-01-01	21980	430	9999-12-31	2013-05-08
146	2003-02-06	2003-05-06	Norsk Hydro Produksjon AS	22.300000	\N	2001-01-11	2007-01-01	21980	430	9999-12-31	2013-05-08
146	2003-05-06	2003-11-25	Norsk Hydro Produksjon AS	22.300000	\N	2001-01-11	2007-01-01	21980	430	9999-12-31	2013-05-08
146	2003-11-25	2007-01-01	Norsk Hydro Produksjon AS	44.500000	\N	2001-01-11	2007-01-01	21980	430	9999-12-31	2013-05-08
146	1996-09-09	2000-07-24	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	21980	705	9999-12-31	2013-05-08
146	2000-07-24	2001-01-11	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	21980	705	9999-12-31	2013-05-08
146	2001-01-11	2001-05-10	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	21980	705	9999-12-31	2013-05-08
146	2001-05-10	2001-06-01	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	21980	705	9999-12-31	2013-05-08
146	2001-06-01	2003-02-06	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	21980	705	9999-12-31	2013-05-08
146	2003-02-06	2003-05-06	Phillips Petroleum Norsk AS	22.200000	\N	9999-12-31	9999-12-31	21980	705	9999-12-31	2013-05-08
146	1988-07-08	1996-09-09	Saga Petroleum ASA	20.000000	\N	1988-07-08	2001-01-11	21980	716	9999-12-31	2013-05-08
146	1996-09-09	2000-07-24	Saga Petroleum ASA	20.000000	\N	1988-07-08	2001-01-11	21980	716	9999-12-31	2013-05-08
146	2000-07-24	2001-01-11	Saga Petroleum ASA	20.000000	\N	1988-07-08	2001-01-11	21980	716	9999-12-31	2013-05-08
146	1988-07-08	1996-09-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21980	749	9999-12-31	2013-05-08
146	1996-09-09	2000-07-24	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	21980	749	9999-12-31	2013-05-08
146	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	21980	749	9999-12-31	2013-05-08
146	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	21980	749	9999-12-31	2013-05-08
146	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	21980	1340884	9999-12-31	2013-05-08
146	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	21980	1340884	9999-12-31	2013-05-08
146	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	21980	1340884	9999-12-31	2013-05-08
146	2001-06-01	2003-02-06	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	21980	1340884	9999-12-31	2013-05-08
146	2003-02-06	2003-05-06	TotalFinaElf Exploration Norge AS	22.200000	\N	9999-12-31	9999-12-31	21980	1340884	9999-12-31	2013-05-08
146	2001-06-01	2003-02-06	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21980	1622484	9999-12-31	2013-05-08
146	2003-02-06	2003-05-06	Statoil ASA (old)	33.300000	\N	9999-12-31	9999-12-31	21980	1622484	9999-12-31	2013-05-08
146	2003-05-06	2003-11-25	Statoil ASA (old)	33.300000	\N	9999-12-31	9999-12-31	21980	1622484	9999-12-31	2013-05-08
146	2003-11-25	2007-01-01	Statoil ASA (old)	33.300000	\N	9999-12-31	9999-12-31	21980	1622484	9999-12-31	2013-05-08
146	2007-01-01	2007-10-01	Statoil ASA (old)	33.300000	\N	9999-12-31	9999-12-31	21980	1622484	9999-12-31	2013-05-08
146	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21980	1623450	9999-12-31	2013-05-08
146	2003-05-06	2003-11-25	ConocoPhillips Skandinavia AS	22.200000	\N	9999-12-31	9999-12-31	21980	2410696	9999-12-31	2013-05-08
146	2003-05-06	2003-11-25	Total E&P Norge AS	22.200000	\N	9999-12-31	9999-12-31	21980	2410708	9999-12-31	2013-05-08
146	2003-11-25	2007-01-01	Total E&P Norge AS	22.200000	\N	9999-12-31	9999-12-31	21980	2410708	9999-12-31	2013-05-08
146	2007-01-01	2007-10-01	Total E&P Norge AS	22.200000	\N	9999-12-31	9999-12-31	21980	2410708	9999-12-31	2013-05-08
146	2007-10-01	2009-01-01	Total E&P Norge AS	22.200000	\N	9999-12-31	9999-12-31	21980	2410708	9999-12-31	2013-05-08
146	2009-01-01	2009-11-02	Total E&P Norge AS	22.200000	\N	9999-12-31	9999-12-31	21980	2410708	9999-12-31	2013-05-08
146	2009-11-02	9999-12-31	Total E&P Norge AS	22.200000	\N	9999-12-31	9999-12-31	21980	2410708	9999-12-31	2013-05-08
146	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	44.500000	\N	2007-10-01	2009-11-01	21980	4511658	9999-12-31	2013-05-08
146	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	77.800000	\N	2007-10-01	2009-11-01	21980	4511658	9999-12-31	2013-05-08
146	2007-10-01	2009-01-01	StatoilHydro ASA	33.300000	\N	9999-12-31	9999-12-31	21980	4511854	9999-12-31	2013-05-08
146	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	44.500000	\N	2007-01-01	2007-10-01	21980	4524355	9999-12-31	2013-05-08
146	2009-11-02	9999-12-31	Statoil Petroleum AS	77.800000	\N	2009-11-02	9999-12-31	21980	17237817	9999-12-31	2013-05-08
147	1988-07-08	1991-07-01	A/S Norske Shell	35.000000	\N	1988-07-08	2008-09-01	21988	562	9999-12-31	2013-05-08
147	1991-07-01	2000-06-05	A/S Norske Shell	50.000000	\N	1988-07-08	2008-09-01	21988	562	9999-12-31	2013-05-08
147	2000-06-05	2001-05-10	A/S Norske Shell	50.000000	\N	1988-07-08	2008-09-01	21988	562	9999-12-31	2013-05-08
147	2001-05-10	2001-06-01	A/S Norske Shell	50.000000	\N	1988-07-08	2008-09-01	21988	562	9999-12-31	2013-05-08
147	2001-06-01	2001-12-21	A/S Norske Shell	50.000000	\N	1988-07-08	2008-09-01	21988	562	9999-12-31	2013-05-08
147	2001-12-21	2002-04-17	A/S Norske Shell	50.000000	\N	1988-07-08	2008-09-01	21988	562	9999-12-31	2013-05-08
147	2002-04-17	2002-06-06	A/S Norske Shell	50.000000	\N	1988-07-08	2008-09-01	21988	562	9999-12-31	2013-05-08
147	2002-06-06	2006-09-06	A/S Norske Shell	50.000000	\N	1988-07-08	2008-09-01	21988	562	9999-12-31	2013-05-08
147	2006-09-06	2007-01-01	A/S Norske Shell	50.000000	\N	1988-07-08	2008-09-01	21988	562	9999-12-31	2013-05-08
147	2007-01-01	2008-01-01	A/S Norske Shell	50.000000	\N	1988-07-08	2008-09-01	21988	562	9999-12-31	2013-05-08
147	1988-07-08	1991-07-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21988	749	9999-12-31	2013-05-08
147	1991-07-01	2000-06-05	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	21988	749	9999-12-31	2013-05-08
147	2000-06-05	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	21988	749	9999-12-31	2013-05-08
147	1988-07-08	1991-07-01	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21988	848	9999-12-31	2013-05-08
147	2000-06-05	2001-05-10	DONG Etterforskning og Produktion AS	20.000000	\N	9999-12-31	9999-12-31	21988	1441164	9999-12-31	2013-05-08
147	2001-05-10	2001-06-01	DONG Etterforskning og Produktion AS	20.000000	\N	9999-12-31	9999-12-31	21988	1441164	9999-12-31	2013-05-08
147	2001-06-01	2001-12-21	DONG Etterforskning og Produktion AS	20.000000	\N	9999-12-31	9999-12-31	21988	1441164	9999-12-31	2013-05-08
147	2001-06-01	2001-12-21	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21988	1622484	9999-12-31	2013-05-08
147	2001-12-21	2002-04-17	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21988	1622484	9999-12-31	2013-05-08
147	2002-04-17	2002-06-06	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21988	1622484	9999-12-31	2013-05-08
147	2002-06-06	2006-09-06	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21988	1622484	9999-12-31	2013-05-08
147	2006-09-06	2007-01-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	21988	1622484	9999-12-31	2013-05-08
147	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	21988	1623450	9999-12-31	2013-05-08
147	2001-12-21	2002-04-17	DONG Norge AS	20.000000	\N	9999-12-31	9999-12-31	21988	1853083	9999-12-31	2013-05-08
147	2002-06-06	2006-09-06	DONG Norge AS	20.000000	\N	9999-12-31	9999-12-31	21988	1853083	9999-12-31	2013-05-08
147	2002-04-17	2002-06-06	DOPAS Norge AS	20.000000	\N	9999-12-31	9999-12-31	21988	2133811	9999-12-31	2013-05-08
147	2008-01-01	2009-01-01	Faroe Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	21988	4062883	9999-12-31	2013-05-08
147	2006-09-06	2007-01-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21988	4070011	9999-12-31	2013-05-08
147	2007-01-01	2008-01-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21988	4070011	9999-12-31	2013-05-08
147	2008-01-01	2009-01-01	DONG E&P Norge AS	40.000000	\N	2008-09-01	9999-12-31	21988	4070011	9999-12-31	2013-05-08
147	2009-01-01	9999-12-31	DONG E&P Norge AS	50.000000	\N	2008-09-01	9999-12-31	21988	4070011	9999-12-31	2013-05-08
147	2007-01-01	2008-01-01	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21988	4444493	9999-12-31	2013-05-08
147	2008-01-01	2009-01-01	Bayerngas Norge AS	50.000000	\N	9999-12-31	9999-12-31	21988	4444493	9999-12-31	2013-05-08
147	2009-01-01	9999-12-31	Bayerngas Norge AS	50.000000	\N	9999-12-31	9999-12-31	21988	4444493	9999-12-31	2013-05-08
148	1988-07-08	1999-12-23	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21996	67	9999-12-31	2013-05-08
148	1999-12-23	2000-11-23	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21996	67	9999-12-31	2013-05-08
148	2000-11-23	2001-05-09	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	21996	67	9999-12-31	2013-05-08
148	2001-05-09	2003-01-27	Amerada Hess Norge AS	70.000000	\N	2001-05-09	2003-01-27	21996	67	9999-12-31	2013-05-08
148	1988-07-08	1999-12-23	Amoco Norway AS	10.000000	\N	9999-12-31	9999-12-31	21996	89	9999-12-31	2013-05-08
148	1988-07-08	1999-12-23	Den norske stats oljeselskap a.s	50.000000	30.000000	1988-07-08	2001-05-09	21996	749	9999-12-31	2013-05-08
148	1999-12-23	2000-11-23	Den norske stats oljeselskap a.s	50.000000	30.000000	1988-07-08	2001-05-09	21996	749	9999-12-31	2013-05-08
148	2000-11-23	2001-05-09	Den norske stats oljeselskap a.s	50.000000	30.000000	1988-07-08	2001-05-09	21996	749	9999-12-31	2013-05-08
148	1988-07-08	1999-12-23	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21996	848	9999-12-31	2013-05-08
148	1999-12-23	2000-11-23	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21996	848	9999-12-31	2013-05-08
148	2000-11-23	2001-05-09	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	21996	848	9999-12-31	2013-05-08
148	1999-12-23	2000-11-23	BP Amoco Norge AS	10.000000	\N	9999-12-31	9999-12-31	21996	982372	9999-12-31	2013-05-08
148	2000-11-23	2001-05-09	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	21996	1340609	9999-12-31	2013-05-08
148	2001-05-09	2003-01-27	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	21996	1340609	9999-12-31	2013-05-08
148	2003-01-27	2003-06-12	Det Norske Oljeselskap AS	100.000000	\N	2003-01-27	2004-01-01	21996	1340609	9999-12-31	2013-05-08
148	2003-06-12	2004-01-01	Det Norske Oljeselskap AS	50.000000	\N	2003-01-27	2004-01-01	21996	1340609	9999-12-31	2013-05-08
148	2003-06-12	2004-01-01	Paladin Resources Norge AS	50.000000	\N	9999-12-31	9999-12-31	21996	1577943	9999-12-31	2013-05-08
148	2004-01-01	2006-03-22	Paladin Resources Norge AS	50.000000	\N	9999-12-31	9999-12-31	21996	1577943	9999-12-31	2013-05-08
148	2006-07-02	2007-07-11	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	21996	2425093	9999-12-31	2013-05-08
148	2007-07-11	2011-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	21996	2425093	9999-12-31	2013-05-08
148	2012-12-21	9999-12-31	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	21996	2425093	9999-12-31	2013-05-08
148	2004-01-01	2006-03-22	Lundin Norway AS	50.000000	\N	2004-01-01	9999-12-31	21996	2767314	9999-12-31	2013-05-08
148	2006-03-22	2006-07-01	Lundin Norway AS	50.000000	\N	2004-01-01	9999-12-31	21996	2767314	9999-12-31	2013-05-08
148	2006-07-01	2006-07-02	Lundin Norway AS	50.000000	\N	2004-01-01	9999-12-31	21996	2767314	9999-12-31	2013-05-08
148	2006-07-02	2007-07-11	Lundin Norway AS	50.000000	\N	2004-01-01	9999-12-31	21996	2767314	9999-12-31	2013-05-08
148	2007-07-11	2011-01-01	Lundin Norway AS	50.000000	\N	2004-01-01	9999-12-31	21996	2767314	9999-12-31	2013-05-08
148	2011-01-01	2011-01-02	Lundin Norway AS	50.000000	\N	2004-01-01	9999-12-31	21996	2767314	9999-12-31	2013-05-08
148	2011-01-02	2012-12-21	Lundin Norway AS	70.000000	\N	2004-01-01	9999-12-31	21996	2767314	2013-01-03	2013-05-08
148	2012-12-21	9999-12-31	Lundin Norway AS	90.000000	\N	2004-01-01	9999-12-31	21996	2767314	9999-12-31	2013-05-08
148	2006-07-01	2006-07-02	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	21996	3482246	9999-12-31	2013-05-08
148	2006-07-02	2007-07-11	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	21996	3482246	9999-12-31	2013-05-08
148	2006-03-22	2006-07-01	Talisman Resources Norge AS	50.000000	\N	9999-12-31	9999-12-31	21996	3987574	9999-12-31	2013-05-08
148	2006-07-01	2006-07-02	Talisman Resources Norge AS	30.000000	\N	9999-12-31	9999-12-31	21996	3987574	9999-12-31	2013-05-08
148	2007-07-11	2011-01-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	21996	4530695	9999-12-31	2013-05-08
148	2011-01-01	2011-01-02	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	21996	4530695	9999-12-31	2013-05-08
148	2011-01-01	2011-01-02	Talisman Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	21996	21139184	9999-12-31	2013-05-08
148	2011-01-02	2012-12-21	Talisman Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	21996	21139184	2013-01-03	2013-05-08
149	1988-07-08	1994-07-08	Esso Exploration and Production Norway A/S	40.000000	\N	1988-07-08	1994-07-08	22004	353	9999-12-31	2013-05-08
149	1988-07-08	1994-07-08	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22004	749	9999-12-31	2013-05-08
149	1988-07-08	1994-07-08	Idemitsu Oil Exploration (Norsk) a.s.	10.000000	\N	9999-12-31	9999-12-31	22004	3084	9999-12-31	2013-05-08
150	1989-04-14	1993-06-03	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22012	342	9999-12-31	2013-05-08
150	1993-06-03	1995-01-19	Enterprise Oil Norwegian AS	30.000000	\N	9999-12-31	9999-12-31	22012	342	9999-12-31	2013-05-08
150	1995-01-19	2000-12-20	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	22012	342	9999-12-31	2013-05-08
150	2000-12-20	2001-01-11	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	22012	342	9999-12-31	2013-05-08
150	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	22012	342	9999-12-31	2013-05-08
150	2001-05-10	2001-06-08	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	22012	342	9999-12-31	2013-05-08
150	2001-06-08	2001-06-17	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	22012	342	9999-12-31	2013-05-08
150	2001-06-17	2001-12-18	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	22012	342	9999-12-31	2013-05-08
150	2001-12-18	2001-12-31	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	22012	342	9999-12-31	2013-05-08
150	1988-07-08	1989-04-14	Fina Production Licenses AS	30.000000	\N	1988-07-08	2000-12-20	22012	386	9999-12-31	2013-05-08
150	1989-04-14	1993-06-03	Fina Production Licenses AS	30.000000	\N	1988-07-08	2000-12-20	22012	386	9999-12-31	2013-05-08
150	1993-06-03	1995-01-19	Fina Production Licenses AS	10.000000	\N	1988-07-08	2000-12-20	22012	386	9999-12-31	2013-05-08
150	1995-01-19	2000-12-20	Fina Production Licenses AS	10.000000	\N	1988-07-08	2000-12-20	22012	386	9999-12-31	2013-05-08
150	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22012	430	9999-12-31	2013-05-08
150	2001-05-10	2001-06-08	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22012	430	9999-12-31	2013-05-08
150	2001-06-08	2001-06-17	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22012	430	9999-12-31	2013-05-08
150	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22012	430	9999-12-31	2013-05-08
150	2001-12-18	2001-12-31	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22012	430	9999-12-31	2013-05-08
150	2001-12-31	2002-03-19	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22012	430	9999-12-31	2013-05-08
150	2002-03-19	2002-06-14	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22012	430	9999-12-31	2013-05-08
150	2001-06-08	2001-06-17	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22012	463	9999-12-31	2013-05-08
150	2001-06-17	2001-12-18	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22012	463	9999-12-31	2013-05-08
150	2001-12-18	2001-12-31	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22012	463	9999-12-31	2013-05-08
150	2001-12-31	2002-03-19	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22012	463	9999-12-31	2013-05-08
150	2002-03-19	2002-06-14	Marathon Petroleum Norge AS	40.000000	\N	9999-12-31	9999-12-31	22012	463	9999-12-31	2013-05-08
150	2002-06-14	2003-01-01	Marathon Petroleum Norge AS	50.000000	\N	9999-12-31	9999-12-31	22012	463	9999-12-31	2013-05-08
150	2003-01-01	2003-06-17	Marathon Petroleum Norge AS	60.000000	\N	9999-12-31	9999-12-31	22012	463	9999-12-31	2013-05-08
150	2003-06-17	2004-01-01	Marathon Petroleum Norge AS	65.000000	\N	2003-06-17	2011-07-03	22012	463	9999-12-31	2013-05-08
150	2004-01-01	2011-07-04	Marathon Petroleum Norge AS	65.000000	\N	2003-06-17	2011-07-03	22012	463	9999-12-31	2013-05-08
150	1988-07-08	1989-04-14	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22012	716	9999-12-31	2013-05-08
150	1989-04-14	1993-06-03	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22012	716	9999-12-31	2013-05-08
150	1993-06-03	1995-01-19	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22012	716	9999-12-31	2013-05-08
150	1995-01-19	2000-12-20	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22012	716	9999-12-31	2013-05-08
150	2000-12-20	2001-01-11	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22012	716	9999-12-31	2013-05-08
150	1988-07-08	1989-04-14	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22012	749	9999-12-31	2013-05-08
150	1989-04-14	1993-06-03	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22012	749	9999-12-31	2013-05-08
150	1993-06-03	1995-01-19	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22012	749	9999-12-31	2013-05-08
150	1995-01-19	2000-12-20	Den norske stats oljeselskap a.s	40.000000	\N	9999-12-31	9999-12-31	22012	749	9999-12-31	2013-05-08
150	2000-12-20	2001-01-11	Den norske stats oljeselskap a.s	40.000000	\N	9999-12-31	9999-12-31	22012	749	9999-12-31	2013-05-08
150	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	40.000000	\N	9999-12-31	9999-12-31	22012	749	9999-12-31	2013-05-08
150	1988-07-08	1989-04-14	Texas Eastern Norwegian Inc.	10.000000	\N	9999-12-31	9999-12-31	22012	837	9999-12-31	2013-05-08
150	2000-12-20	2001-01-11	Total Norge AS	10.000000	\N	2000-12-20	2001-12-18	22012	848	9999-12-31	2013-05-08
150	2001-01-11	2001-05-10	Total Norge AS	10.000000	\N	2000-12-20	2001-12-18	22012	848	9999-12-31	2013-05-08
150	2001-05-10	2001-06-08	Total Norge AS	10.000000	\N	2000-12-20	2001-12-18	22012	848	9999-12-31	2013-05-08
150	2001-06-08	2001-06-17	Total Norge AS	10.000000	\N	2000-12-20	2001-12-18	22012	848	9999-12-31	2013-05-08
150	2001-06-17	2001-12-18	Total Norge AS	10.000000	\N	2000-12-20	2001-12-18	22012	848	9999-12-31	2013-05-08
150	2003-06-17	2004-01-01	Det Norske Oljeselskap AS	35.000000	\N	9999-12-31	9999-12-31	22012	1340609	9999-12-31	2013-05-08
150	2001-12-18	2001-12-31	TotalFinaElf Exploration Norge AS	10.000000	\N	2001-12-18	2003-06-17	22012	1340884	9999-12-31	2013-05-08
150	2001-12-31	2002-03-19	TotalFinaElf Exploration Norge AS	10.000000	\N	2001-12-18	2003-06-17	22012	1340884	9999-12-31	2013-05-08
150	2002-03-19	2002-06-14	TotalFinaElf Exploration Norge AS	10.000000	\N	2001-12-18	2003-06-17	22012	1340884	9999-12-31	2013-05-08
150	2002-06-14	2003-01-01	TotalFinaElf Exploration Norge AS	10.000000	\N	2001-12-18	2003-06-17	22012	1340884	9999-12-31	2013-05-08
150	2001-05-10	2001-06-08	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	22012	1622484	9999-12-31	2013-05-08
150	2001-05-10	2001-06-08	SDØE	30.000000	\N	9999-12-31	9999-12-31	22012	1623450	9999-12-31	2013-05-08
150	2001-06-08	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	22012	1623450	9999-12-31	2013-05-08
150	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22012	1626839	9999-12-31	2013-05-08
150	2001-12-18	2001-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22012	1626839	9999-12-31	2013-05-08
150	2001-12-31	2002-03-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22012	1626839	9999-12-31	2013-05-08
150	2001-12-31	2002-03-19	Enterprise Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	22012	1853786	9999-12-31	2013-05-08
150	2002-03-19	2002-06-14	Enterprise Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	22012	1853786	9999-12-31	2013-05-08
150	2002-06-14	2003-01-01	Enterprise Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	22012	1853786	9999-12-31	2013-05-08
150	2003-01-01	2003-06-17	Enterprise Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	22012	1853786	9999-12-31	2013-05-08
150	2004-01-01	2011-07-04	Lundin Norway AS	35.000000	\N	9999-12-31	9999-12-31	22012	2767314	9999-12-31	2013-05-08
150	2011-07-04	9999-12-31	Lundin Norway AS	35.000000	\N	9999-12-31	9999-12-31	22012	2767314	9999-12-31	2013-05-08
150	2011-07-04	9999-12-31	Marathon Oil Norge AS	65.000000	\N	2011-07-04	9999-12-31	22012	20485291	9999-12-31	2013-05-08
151	1988-07-08	1994-07-08	DNO Olje A/S	8.000000	\N	9999-12-31	9999-12-31	22020	276	9999-12-31	2013-05-08
151	1988-07-08	1994-07-08	Elf Petroleum Norge AS	20.000000	\N	1988-07-08	1994-07-08	22020	298	9999-12-31	2013-05-08
151	1988-07-08	1994-07-08	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22020	353	9999-12-31	2013-05-08
151	1988-07-08	1994-07-08	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	22020	430	9999-12-31	2013-05-08
151	1988-07-08	1994-07-08	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22020	749	9999-12-31	2013-05-08
152	1988-07-08	1996-04-16	BP Petroleum Dev. of Norway AS	30.000000	\N	9999-12-31	9999-12-31	22028	155	9999-12-31	2013-05-08
152	1996-04-16	1997-01-01	BP Petroleum Dev. of Norway AS	30.000000	\N	9999-12-31	9999-12-31	22028	155	9999-12-31	2013-05-08
152	2005-01-01	2007-01-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	22028	430	9999-12-31	2013-05-08
152	1996-04-16	1997-01-01	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	22028	474	9999-12-31	2013-05-08
152	1997-01-01	1999-12-31	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	22028	474	9999-12-31	2013-05-08
152	1999-12-31	2001-05-10	Mobil Development Norway AS	11.110000	\N	9999-12-31	9999-12-31	22028	474	9999-12-31	2013-05-08
152	2001-05-10	2001-06-17	Mobil Development Norway AS	11.110000	\N	9999-12-31	9999-12-31	22028	474	9999-12-31	2013-05-08
152	2001-06-17	2002-05-07	Mobil Development Norway AS	11.110000	\N	9999-12-31	9999-12-31	22028	474	9999-12-31	2013-05-08
152	1988-07-08	1996-04-16	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22028	716	9999-12-31	2013-05-08
152	1988-07-08	1996-04-16	Den norske stats oljeselskap a.s	50.000000	30.000000	1988-07-08	2001-05-10	22028	749	9999-12-31	2013-05-08
152	1996-04-16	1997-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	1988-07-08	2001-05-10	22028	749	9999-12-31	2013-05-08
152	1997-01-01	1999-12-31	Den norske stats oljeselskap a.s	80.000000	30.000000	1988-07-08	2001-05-10	22028	749	9999-12-31	2013-05-08
152	1999-12-31	2001-05-10	Den norske stats oljeselskap a.s	88.890000	30.000000	1988-07-08	2001-05-10	22028	749	9999-12-31	2013-05-08
152	1988-07-08	1996-04-16	Idemitsu Oil Exploration (Norsk) a.s.	10.000000	\N	9999-12-31	9999-12-31	22028	3084	9999-12-31	2013-05-08
152	1996-04-16	1997-01-01	Idemitsu Oil Exploration (Norsk) a.s.	10.000000	\N	9999-12-31	9999-12-31	22028	3084	9999-12-31	2013-05-08
152	1997-01-01	1999-12-31	Idemitsu Oil Exploration (Norsk) a.s.	10.000000	\N	9999-12-31	9999-12-31	22028	3084	9999-12-31	2013-05-08
152	2001-05-10	2001-06-17	Statoil ASA (old)	58.890000	\N	2001-05-10	2007-10-01	22028	1622484	9999-12-31	2013-05-08
152	2001-06-17	2002-05-07	Statoil ASA (old)	58.890000	\N	2001-05-10	2007-10-01	22028	1622484	9999-12-31	2013-05-08
152	2002-05-07	2005-01-01	Statoil ASA (old)	70.000000	\N	2001-05-10	2007-10-01	22028	1622484	9999-12-31	2013-05-08
152	2005-01-01	2007-01-01	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	22028	1622484	9999-12-31	2013-05-08
152	2007-01-01	2007-10-01	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	22028	1622484	9999-12-31	2013-05-08
152	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	22028	1623450	9999-12-31	2013-05-08
152	2001-06-17	2002-05-07	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22028	1626839	9999-12-31	2013-05-08
152	2002-05-07	2005-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22028	1626839	9999-12-31	2013-05-08
152	2005-01-01	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22028	1626839	9999-12-31	2013-05-08
152	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22028	1626839	9999-12-31	2013-05-08
152	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22028	1626839	9999-12-31	2013-05-08
152	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22028	1626839	9999-12-31	2013-05-08
152	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22028	1626839	9999-12-31	2013-05-08
152	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	22028	4511658	9999-12-31	2013-05-08
152	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	22028	4511658	9999-12-31	2013-05-08
152	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	2007-10-01	2008-12-31	22028	4511854	9999-12-31	2013-05-08
152	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	22028	4524355	9999-12-31	2013-05-08
152	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	22028	17237817	9999-12-31	2013-05-08
153	1988-07-08	1994-08-01	Deminex Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	254	9999-12-31	2013-05-08
153	1994-08-01	1995-05-04	Deminex Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	254	9999-12-31	2013-05-08
153	1995-05-04	1998-12-17	Deminex Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	254	9999-12-31	2013-05-08
153	1988-07-08	1994-08-01	Norsk Hydro Produksjon AS	20.000000	\N	1988-07-08	2004-02-05	22036	430	9999-12-31	2013-05-08
153	1994-08-01	1995-05-04	Norsk Hydro Produksjon AS	20.000000	\N	1988-07-08	2004-02-05	22036	430	9999-12-31	2013-05-08
153	1995-05-04	1998-12-17	Norsk Hydro Produksjon AS	20.000000	\N	1988-07-08	2004-02-05	22036	430	9999-12-31	2013-05-08
153	1998-12-17	2001-01-11	Norsk Hydro Produksjon AS	20.000000	\N	1988-07-08	2004-02-05	22036	430	9999-12-31	2013-05-08
153	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	1988-07-08	2004-02-05	22036	430	9999-12-31	2013-05-08
153	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	30.000000	\N	1988-07-08	2004-02-05	22036	430	9999-12-31	2013-05-08
153	2001-06-17	2003-01-01	Norsk Hydro Produksjon AS	30.000000	\N	1988-07-08	2004-02-05	22036	430	9999-12-31	2013-05-08
153	1988-07-08	1994-08-01	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	1994-08-01	1995-05-04	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	1995-05-04	1998-12-17	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	1998-12-17	2001-01-11	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	2001-01-11	2001-05-10	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	2001-05-10	2001-06-17	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	2001-06-17	2003-01-01	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	2003-01-01	2007-10-01	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	2007-10-01	2009-01-01	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	2009-01-01	2009-01-02	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	2009-01-02	2009-11-02	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	2009-11-02	9999-12-31	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	22036	562	9999-12-31	2013-05-08
153	1988-07-08	1994-08-01	Petrobras Norge A/S	10.000000	\N	9999-12-31	9999-12-31	22036	639	9999-12-31	2013-05-08
153	1994-08-01	1995-05-04	Petrosaga AS	10.000000	\N	9999-12-31	9999-12-31	22036	661	9999-12-31	2013-05-08
153	1995-05-04	1998-12-17	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22036	716	9999-12-31	2013-05-08
153	1998-12-17	2001-01-11	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22036	716	9999-12-31	2013-05-08
153	1988-07-08	1994-08-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22036	749	9999-12-31	2013-05-08
153	1994-08-01	1995-05-04	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22036	749	9999-12-31	2013-05-08
153	1995-05-04	1998-12-17	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22036	749	9999-12-31	2013-05-08
153	1998-12-17	2001-01-11	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22036	749	9999-12-31	2013-05-08
153	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22036	749	9999-12-31	2013-05-08
153	1998-12-17	2001-01-11	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	97557	9999-12-31	2013-05-08
153	2001-01-11	2001-05-10	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	97557	9999-12-31	2013-05-08
153	2001-05-10	2001-06-17	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	97557	9999-12-31	2013-05-08
153	2001-06-17	2003-01-01	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	97557	9999-12-31	2013-05-08
153	2003-01-01	2007-10-01	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	97557	9999-12-31	2013-05-08
153	2007-10-01	2009-01-01	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	97557	9999-12-31	2013-05-08
153	2009-01-01	2009-01-02	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	97557	9999-12-31	2013-05-08
153	2009-01-02	2009-11-02	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	97557	9999-12-31	2013-05-08
153	2009-11-02	9999-12-31	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	22036	97557	9999-12-31	2013-05-08
153	2001-05-10	2001-06-17	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22036	1622484	9999-12-31	2013-05-08
153	2001-06-17	2003-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22036	1622484	9999-12-31	2013-05-08
153	2003-01-01	2007-10-01	Statoil ASA (old)	20.000000	\N	2004-02-05	2007-10-01	22036	1622484	9999-12-31	2013-05-08
153	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	22036	1623450	9999-12-31	2013-05-08
153	2001-06-17	2003-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22036	1626839	9999-12-31	2013-05-08
153	2003-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22036	1626839	9999-12-31	2013-05-08
153	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22036	1626839	9999-12-31	2013-05-08
153	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22036	1626839	9999-12-31	2013-05-08
153	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22036	1626839	9999-12-31	2013-05-08
153	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22036	1626839	9999-12-31	2013-05-08
153	2003-01-01	2007-10-01	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	22036	1628733	9999-12-31	2013-05-08
153	2007-10-01	2009-01-01	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	22036	1628733	9999-12-31	2013-05-08
153	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	2009-01-01	2009-11-01	22036	4511658	9999-12-31	2013-05-08
153	2007-10-01	2009-01-01	StatoilHydro ASA	20.000000	\N	2007-10-01	2008-12-31	22036	4511854	9999-12-31	2013-05-08
153	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	22036	4511854	9999-12-31	2013-05-08
153	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	22036	5267845	9999-12-31	2013-05-08
153	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	22036	5267845	9999-12-31	2013-05-08
153	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	30.000000	\N	2010-11-25	9999-12-31	22036	5267845	9999-12-31	2013-05-08
153	2009-11-02	9999-12-31	Statoil Petroleum AS	20.000000	\N	2009-11-02	2010-11-24	22036	17237817	9999-12-31	2013-05-08
154	1989-03-03	1995-03-03	Amoco Norway AS	10.000000	\N	9999-12-31	9999-12-31	22044	89	9999-12-31	2013-05-08
154	1989-03-03	1995-03-03	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22044	298	9999-12-31	2013-05-08
154	1989-03-03	1995-03-03	Norsk Hydro Produksjon AS	30.000000	\N	1989-03-03	1995-03-03	22044	430	9999-12-31	2013-05-08
154	1989-03-03	1995-03-03	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22044	749	9999-12-31	2013-05-08
155	1989-03-03	1993-02-18	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	22052	45	9999-12-31	2013-05-08
155	1989-03-03	1993-02-18	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	22052	254	9999-12-31	2013-05-08
155	1989-03-03	1993-02-18	A/S Norske Shell	30.000000	\N	1989-03-03	1993-02-18	22052	562	9999-12-31	2013-05-08
155	1989-03-03	1993-02-18	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22052	749	9999-12-31	2013-05-08
156	1989-03-03	1996-04-16	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	22060	67	9999-12-31	2013-05-08
156	1996-04-16	1998-02-09	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	22060	67	9999-12-31	2013-05-08
156	1998-02-09	2000-01-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	22060	67	9999-12-31	2013-05-08
156	2001-01-11	2001-01-22	Norsk Hydro Produksjon AS	50.000000	\N	2001-01-11	2002-12-31	22060	430	9999-12-31	2013-05-08
156	2001-01-22	2001-05-10	Norsk Hydro Produksjon AS	70.000000	\N	2001-01-11	2002-12-31	22060	430	9999-12-31	2013-05-08
156	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	70.000000	\N	2001-01-11	2002-12-31	22060	430	9999-12-31	2013-05-08
156	2001-06-01	2002-12-31	Norsk Hydro Produksjon AS	70.000000	\N	2001-01-11	2002-12-31	22060	430	9999-12-31	2013-05-08
156	1989-03-03	1996-04-16	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	22060	474	9999-12-31	2013-05-08
156	1989-03-03	1996-04-16	Saga Petroleum ASA	20.000000	\N	1989-03-03	2001-01-11	22060	716	9999-12-31	2013-05-08
156	1996-04-16	1998-02-09	Saga Petroleum ASA	40.000000	\N	1989-03-03	2001-01-11	22060	716	9999-12-31	2013-05-08
156	1998-02-09	2000-01-01	Saga Petroleum ASA	40.000000	\N	1989-03-03	2001-01-11	22060	716	9999-12-31	2013-05-08
156	2000-01-01	2001-01-11	Saga Petroleum ASA	50.000000	\N	1989-03-03	2001-01-11	22060	716	9999-12-31	2013-05-08
156	1989-03-03	1996-04-16	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22060	749	9999-12-31	2013-05-08
156	1996-04-16	1998-02-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22060	749	9999-12-31	2013-05-08
156	1998-02-09	2000-01-01	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22060	749	9999-12-31	2013-05-08
156	2000-01-01	2001-01-11	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22060	749	9999-12-31	2013-05-08
156	2001-01-11	2001-01-22	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22060	749	9999-12-31	2013-05-08
156	2001-01-22	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22060	749	9999-12-31	2013-05-08
156	1998-02-09	2000-01-01	Norsk Chevron AS	20.000000	\N	9999-12-31	9999-12-31	22060	40148	9999-12-31	2013-05-08
156	2000-01-01	2001-01-11	Norsk Chevron AS	20.000000	\N	9999-12-31	9999-12-31	22060	40148	9999-12-31	2013-05-08
156	2001-01-11	2001-01-22	Norsk Chevron AS	20.000000	\N	9999-12-31	9999-12-31	22060	40148	9999-12-31	2013-05-08
156	2001-06-01	2002-12-31	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22060	1622484	9999-12-31	2013-05-08
156	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22060	1623450	9999-12-31	2013-05-08
157	1989-03-03	1994-08-01	BP Petroleum Dev. of Norway AS	15.000000	\N	9999-12-31	9999-12-31	22068	155	9999-12-31	2013-05-08
157	1994-08-01	1994-11-10	BP Petroleum Dev. of Norway AS	15.000000	\N	9999-12-31	9999-12-31	22068	155	9999-12-31	2013-05-08
157	1989-03-03	1994-08-01	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22068	221	9999-12-31	2013-05-08
157	1994-08-01	1994-11-10	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22068	221	9999-12-31	2013-05-08
157	1994-11-10	1995-05-04	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22068	221	9999-12-31	2013-05-08
157	1995-05-04	1995-05-09	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22068	221	9999-12-31	2013-05-08
157	1995-05-09	1998-02-09	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22068	221	9999-12-31	2013-05-08
157	1998-02-09	1999-12-31	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22068	221	9999-12-31	2013-05-08
157	1994-11-10	1995-05-04	DNO Olje A/S	15.000000	\N	9999-12-31	9999-12-31	22068	276	9999-12-31	2013-05-08
157	1989-03-03	1994-08-01	Petrobras Norge A/S	10.000000	\N	9999-12-31	9999-12-31	22068	639	9999-12-31	2013-05-08
157	1994-08-01	1994-11-10	Petrosaga AS	10.000000	\N	9999-12-31	9999-12-31	22068	661	9999-12-31	2013-05-08
157	1994-11-10	1995-05-04	Petrosaga AS	10.000000	\N	9999-12-31	9999-12-31	22068	661	9999-12-31	2013-05-08
157	1995-05-04	1995-05-09	Petrosaga AS	10.000000	\N	9999-12-31	9999-12-31	22068	661	9999-12-31	2013-05-08
157	1989-03-03	1994-08-01	Phillips Petroleum Norsk AS	15.000000	\N	9999-12-31	9999-12-31	22068	705	9999-12-31	2013-05-08
157	1994-08-01	1994-11-10	Phillips Petroleum Norsk AS	15.000000	\N	9999-12-31	9999-12-31	22068	705	9999-12-31	2013-05-08
157	1994-11-10	1995-05-04	Phillips Petroleum Norsk AS	15.000000	\N	9999-12-31	9999-12-31	22068	705	9999-12-31	2013-05-08
157	1995-05-04	1995-05-09	Phillips Petroleum Norsk AS	15.000000	\N	9999-12-31	9999-12-31	22068	705	9999-12-31	2013-05-08
157	1995-05-09	1998-02-09	Phillips Petroleum Norsk AS	15.000000	\N	9999-12-31	9999-12-31	22068	705	9999-12-31	2013-05-08
157	1998-02-09	1999-12-31	Phillips Petroleum Norsk AS	15.000000	\N	9999-12-31	9999-12-31	22068	705	9999-12-31	2013-05-08
157	1995-05-04	1995-05-09	Saga Petroleum ASA	15.000000	\N	9999-12-31	9999-12-31	22068	716	9999-12-31	2013-05-08
157	1995-05-09	1998-02-09	Saga Petroleum ASA	25.000000	\N	9999-12-31	9999-12-31	22068	716	9999-12-31	2013-05-08
157	1998-02-09	1999-12-31	Saga Petroleum ASA	25.000000	\N	9999-12-31	9999-12-31	22068	716	9999-12-31	2013-05-08
157	1989-03-03	1994-08-01	Den norske stats oljeselskap a.s	50.000000	20.000000	1989-03-03	1998-02-09	22068	749	9999-12-31	2013-05-08
157	1994-08-01	1994-11-10	Den norske stats oljeselskap a.s	50.000000	20.000000	1989-03-03	1998-02-09	22068	749	9999-12-31	2013-05-08
157	1994-11-10	1995-05-04	Den norske stats oljeselskap a.s	50.000000	20.000000	1989-03-03	1998-02-09	22068	749	9999-12-31	2013-05-08
157	1995-05-04	1995-05-09	Den norske stats oljeselskap a.s	50.000000	20.000000	1989-03-03	1998-02-09	22068	749	9999-12-31	2013-05-08
157	1995-05-09	1998-02-09	Den norske stats oljeselskap a.s	50.000000	20.000000	1989-03-03	1998-02-09	22068	749	9999-12-31	2013-05-08
157	1998-02-09	1999-12-31	Den norske stats oljeselskap a.s	20.000000	20.000000	9999-12-31	9999-12-31	22068	749	9999-12-31	2013-05-08
157	1998-02-09	1999-12-31	Norsk Chevron AS	30.000000	\N	1998-02-09	1999-12-31	22068	40148	9999-12-31	2013-05-08
158	1989-03-03	1990-05-25	BP Petroleum Dev. of Norway AS	30.000000	\N	1989-03-03	1999-12-10	22076	155	9999-12-31	2013-05-08
158	1990-05-25	1994-11-10	BP Petroleum Dev. of Norway AS	30.000000	\N	1989-03-03	1999-12-10	22076	155	9999-12-31	2013-05-08
158	1994-11-10	1995-09-01	BP Petroleum Dev. of Norway AS	36.000000	\N	1989-03-03	1999-12-10	22076	155	9999-12-31	2013-05-08
158	1995-09-01	1996-02-19	BP Petroleum Dev. of Norway AS	40.000000	\N	1989-03-03	1999-12-10	22076	155	9999-12-31	2013-05-08
158	1996-02-19	1998-02-09	BP Petroleum Dev. of Norway AS	40.000000	\N	1989-03-03	1999-12-10	22076	155	9999-12-31	2013-05-08
158	1998-02-09	1999-12-10	BP Petroleum Dev. of Norway AS	40.000000	\N	1989-03-03	1999-12-10	22076	155	9999-12-31	2013-05-08
158	1999-12-10	1999-12-23	BP Petroleum Dev. of Norway AS	18.360000	\N	9999-12-31	9999-12-31	22076	155	9999-12-31	2013-05-08
158	1994-11-10	1995-09-01	Britoil Norge A/S	4.000000	\N	9999-12-31	9999-12-31	22076	166	9999-12-31	2013-05-08
158	1989-03-03	1990-05-25	DNO Olje A/S	10.000000	\N	9999-12-31	9999-12-31	22076	276	9999-12-31	2013-05-08
158	1990-05-25	1994-11-10	DNO Olje A/S	10.000000	\N	9999-12-31	9999-12-31	22076	276	9999-12-31	2013-05-08
158	1996-02-19	1998-02-09	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	22076	562	9999-12-31	2013-05-08
158	1998-02-09	1999-12-10	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	22076	562	9999-12-31	2013-05-08
158	1999-12-10	1999-12-23	A/S Norske Shell	31.640000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	1999-12-23	2001-05-10	A/S Norske Shell	31.640000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	2001-05-10	2001-06-01	A/S Norske Shell	31.640000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	2001-06-01	2002-03-12	A/S Norske Shell	31.640000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	2002-03-12	2002-11-19	A/S Norske Shell	31.640000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	2002-11-19	2005-09-17	A/S Norske Shell	31.640000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	2005-09-17	2007-10-01	A/S Norske Shell	31.640000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	2007-10-01	2009-01-01	A/S Norske Shell	31.640000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	2009-01-01	2009-11-02	A/S Norske Shell	31.640000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	2009-11-02	2010-01-01	A/S Norske Shell	31.640000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	2010-01-01	2010-01-02	A/S Norske Shell	26.200000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	2010-01-02	2010-07-30	A/S Norske Shell	26.200000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	2010-07-30	2012-01-01	A/S Norske Shell	26.200000	\N	1999-12-10	9999-12-31	22076	562	2012-12-01	2013-05-08
158	2012-01-01	9999-12-31	A/S Norske Shell	44.560000	\N	1999-12-10	9999-12-31	22076	562	9999-12-31	2013-05-08
158	1989-03-03	1990-05-25	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22076	749	9999-12-31	2013-05-08
158	1990-05-25	1994-11-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22076	749	9999-12-31	2013-05-08
158	1994-11-10	1995-09-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22076	749	9999-12-31	2013-05-08
158	1995-09-01	1996-02-19	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22076	749	9999-12-31	2013-05-08
158	1996-02-19	1998-02-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22076	749	9999-12-31	2013-05-08
158	1998-02-09	1999-12-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22076	749	9999-12-31	2013-05-08
158	1999-12-10	1999-12-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22076	749	9999-12-31	2013-05-08
158	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22076	749	9999-12-31	2013-05-08
158	1990-05-25	1994-11-10	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	22076	848	9999-12-31	2013-05-08
158	1994-11-10	1995-09-01	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	22076	848	9999-12-31	2013-05-08
158	1995-09-01	1996-02-19	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	22076	848	9999-12-31	2013-05-08
158	1989-03-03	1990-05-25	Unocal Norge A/S	10.000000	\N	9999-12-31	9999-12-31	22076	892	9999-12-31	2013-05-08
158	1998-02-09	1999-12-10	Norsk Chevron AS	20.000000	\N	9999-12-31	9999-12-31	22076	40148	9999-12-31	2013-05-08
158	1999-12-10	1999-12-23	Norsk Chevron AS	20.000000	\N	9999-12-31	9999-12-31	22076	40148	9999-12-31	2013-05-08
158	1999-12-23	2001-05-10	Norsk Chevron AS	20.000000	\N	9999-12-31	9999-12-31	22076	40148	9999-12-31	2013-05-08
158	2001-05-10	2001-06-01	Norsk Chevron AS	20.000000	\N	9999-12-31	9999-12-31	22076	40148	9999-12-31	2013-05-08
158	2001-06-01	2002-03-12	Norsk Chevron AS	20.000000	\N	9999-12-31	9999-12-31	22076	40148	9999-12-31	2013-05-08
158	2002-03-12	2002-11-19	Norsk Chevron AS	20.000000	\N	9999-12-31	9999-12-31	22076	40148	9999-12-31	2013-05-08
158	1999-12-23	2001-05-10	BP Amoco Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	982372	9999-12-31	2013-05-08
158	2001-05-10	2001-06-01	BP Amoco Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	982372	9999-12-31	2013-05-08
158	2001-06-01	2002-03-12	BP Amoco Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	982372	9999-12-31	2013-05-08
158	2001-06-01	2002-03-12	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22076	1622484	9999-12-31	2013-05-08
158	2002-03-12	2002-11-19	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22076	1622484	9999-12-31	2013-05-08
158	2002-11-19	2005-09-17	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22076	1622484	9999-12-31	2013-05-08
158	2005-09-17	2007-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22076	1622484	9999-12-31	2013-05-08
158	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22076	1623450	9999-12-31	2013-05-08
158	2010-01-01	2010-01-02	Petoro AS	5.440000	\N	9999-12-31	9999-12-31	22076	1626839	9999-12-31	2013-05-08
158	2010-01-02	2010-07-30	Petoro AS	17.880000	\N	9999-12-31	9999-12-31	22076	1626839	9999-12-31	2013-05-08
158	2010-07-30	2012-01-01	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	22076	1626839	2012-12-01	2013-05-08
158	2012-01-01	9999-12-31	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	22076	1626839	9999-12-31	2013-05-08
158	2002-03-12	2002-11-19	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	2052695	9999-12-31	2013-05-08
158	2002-11-19	2005-09-17	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	2052695	9999-12-31	2013-05-08
158	2005-09-17	2007-10-01	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	2052695	9999-12-31	2013-05-08
158	2007-10-01	2009-01-01	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	2052695	9999-12-31	2013-05-08
158	2009-01-01	2009-11-02	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	2052695	9999-12-31	2013-05-08
158	2009-11-02	2010-01-01	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	2052695	9999-12-31	2013-05-08
158	2010-01-01	2010-01-02	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	2052695	9999-12-31	2013-05-08
158	2010-01-02	2010-07-30	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	2052695	9999-12-31	2013-05-08
158	2010-07-30	2012-01-01	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22076	2052695	2012-12-01	2013-05-08
158	2002-11-19	2005-09-17	Chevron Texaco Norge AS	20.000000	\N	9999-12-31	9999-12-31	22076	2154473	9999-12-31	2013-05-08
158	2005-09-17	2007-10-01	Chevron Norge AS	20.000000	\N	9999-12-31	9999-12-31	22076	3488906	9999-12-31	2013-05-08
158	2007-10-01	2009-01-01	Chevron Norge AS	20.000000	\N	9999-12-31	9999-12-31	22076	3488906	9999-12-31	2013-05-08
158	2009-01-01	2009-11-02	Chevron Norge AS	20.000000	\N	9999-12-31	9999-12-31	22076	3488906	9999-12-31	2013-05-08
158	2009-11-02	2010-01-01	Chevron Norge AS	20.000000	\N	9999-12-31	9999-12-31	22076	3488906	9999-12-31	2013-05-08
158	2010-01-01	2010-01-02	Chevron Norge AS	20.000000	\N	9999-12-31	9999-12-31	22076	3488906	9999-12-31	2013-05-08
158	2010-01-02	2010-07-30	Chevron Norge AS	7.560000	\N	9999-12-31	9999-12-31	22076	3488906	9999-12-31	2013-05-08
158	2010-07-30	2012-01-01	Chevron Norge AS	7.560000	\N	9999-12-31	9999-12-31	22076	3488906	2012-12-01	2013-05-08
158	2012-01-01	9999-12-31	Chevron Norge AS	7.560000	\N	9999-12-31	9999-12-31	22076	3488906	9999-12-31	2013-05-08
158	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22076	4511658	9999-12-31	2013-05-08
158	2007-10-01	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	22076	4511854	9999-12-31	2013-05-08
158	2009-11-02	2010-01-01	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22076	17237817	9999-12-31	2013-05-08
158	2010-01-01	2010-01-02	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22076	17237817	9999-12-31	2013-05-08
158	2010-01-02	2010-07-30	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22076	17237817	9999-12-31	2013-05-08
159	1997-10-01	1998-08-17	Enterprise Oil Norwegian AS	20.000000	\N	9999-12-31	9999-12-31	22084	342	9999-12-31	2013-05-08
159	1998-08-17	2001-01-11	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	22084	342	9999-12-31	2013-05-08
159	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	22084	342	9999-12-31	2013-05-08
159	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	22084	342	9999-12-31	2013-05-08
159	2001-06-01	2001-12-31	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	22084	342	9999-12-31	2013-05-08
159	1989-03-03	1997-10-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22084	430	9999-12-31	2013-05-08
159	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22084	430	9999-12-31	2013-05-08
159	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22084	430	9999-12-31	2013-05-08
159	2001-06-01	2001-12-31	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22084	430	9999-12-31	2013-05-08
159	2001-12-31	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22084	430	9999-12-31	2013-05-08
159	1989-03-03	1997-10-01	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22084	716	9999-12-31	2013-05-08
159	1997-10-01	1998-08-17	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22084	716	9999-12-31	2013-05-08
159	1998-08-17	2001-01-11	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22084	716	9999-12-31	2013-05-08
159	1989-03-03	1997-10-01	Den norske stats oljeselskap a.s	50.000000	20.000000	1989-03-03	2001-05-10	22084	749	9999-12-31	2013-05-08
159	1997-10-01	1998-08-17	Den norske stats oljeselskap a.s	50.000000	20.000000	1989-03-03	2001-05-10	22084	749	9999-12-31	2013-05-08
159	1998-08-17	2001-01-11	Den norske stats oljeselskap a.s	50.000000	20.000000	1989-03-03	2001-05-10	22084	749	9999-12-31	2013-05-08
159	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	20.000000	1989-03-03	2001-05-10	22084	749	9999-12-31	2013-05-08
159	1989-03-03	1997-10-01	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	22084	848	9999-12-31	2013-05-08
159	1997-10-01	1998-08-17	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	22084	848	9999-12-31	2013-05-08
159	2001-05-10	2001-06-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	22084	1622484	9999-12-31	2013-05-08
159	2001-06-01	2001-12-31	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-10-01	22084	1622484	9999-12-31	2013-05-08
159	2001-12-31	2007-01-01	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-10-01	22084	1622484	9999-12-31	2013-05-08
159	2007-01-01	2007-01-02	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-10-01	22084	1622484	9999-12-31	2013-05-08
159	2007-01-02	2007-10-01	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-10-01	22084	1622484	9999-12-31	2013-05-08
159	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22084	1623450	9999-12-31	2013-05-08
159	2001-12-31	2007-01-01	Enterprise Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	22084	1853786	9999-12-31	2013-05-08
159	2007-01-01	2007-01-02	Enterprise Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	22084	1853786	9999-12-31	2013-05-08
159	2007-01-02	2007-10-01	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	22084	2840522	9999-12-31	2013-05-08
159	2007-10-01	2008-01-01	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	22084	2840522	9999-12-31	2013-05-08
159	2008-01-01	2009-01-01	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	22084	2840522	9999-12-31	2013-05-08
159	2009-01-01	2009-11-02	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	22084	2840522	9999-12-31	2013-05-08
159	2009-11-02	2012-02-11	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	22084	2840522	9999-12-31	2013-05-08
159	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22084	4511658	9999-12-31	2013-05-08
159	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	2009-01-01	2009-11-01	22084	4511658	9999-12-31	2013-05-08
159	2007-10-01	2008-01-01	StatoilHydro ASA	50.000000	\N	2007-10-01	2008-12-31	22084	4511854	9999-12-31	2013-05-08
159	2008-01-01	2009-01-01	StatoilHydro ASA	60.000000	\N	2007-10-01	2008-12-31	22084	4511854	9999-12-31	2013-05-08
159	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22084	4524355	9999-12-31	2013-05-08
159	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22084	4524355	9999-12-31	2013-05-08
159	2009-11-02	2012-02-11	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	22084	17237817	9999-12-31	2013-05-08
159	2012-02-11	9999-12-31	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	22084	17237817	9999-12-31	2013-05-08
159	2012-02-11	9999-12-31	E.ON E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	22084	21631209	9999-12-31	2013-05-08
160	1989-03-03	1993-11-01	Mobil Development Norway AS	40.000000	\N	1989-03-03	1993-11-01	22092	474	9999-12-31	2013-05-08
160	1989-03-03	1993-11-01	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	22092	705	9999-12-31	2013-05-08
160	1989-03-03	1993-11-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22092	749	9999-12-31	2013-05-08
161	1989-03-03	1993-12-31	Fina Production Licenses AS	10.000000	\N	9999-12-31	9999-12-31	22100	386	9999-12-31	2013-05-08
161	1989-03-03	1993-12-31	Norsk Hydro Produksjon AS	20.000000	\N	1989-03-03	1993-12-31	22100	430	9999-12-31	2013-05-08
161	1989-03-03	1993-12-31	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	22100	562	9999-12-31	2013-05-08
161	1989-03-03	1993-12-31	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22100	716	9999-12-31	2013-05-08
161	1989-03-03	1993-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22100	749	9999-12-31	2013-05-08
162	1989-03-03	1991-12-31	Amoco Norway AS	10.000000	\N	9999-12-31	9999-12-31	22108	89	9999-12-31	2013-05-08
162	1989-03-03	1991-12-31	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22108	298	9999-12-31	2013-05-08
162	1989-03-03	1991-12-31	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22108	430	9999-12-31	2013-05-08
162	1989-03-03	1991-12-31	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	22108	474	9999-12-31	2013-05-08
162	1989-03-03	1991-12-31	Den norske stats oljeselskap a.s	50.000000	30.000000	1989-03-03	1991-12-31	22108	749	9999-12-31	2013-05-08
163	1991-03-01	2000-03-01	Norsk Agip  AS	10.000000	\N	9999-12-31	9999-12-31	22116	45	9999-12-31	2013-05-08
163	1991-03-01	2000-03-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	22116	67	9999-12-31	2013-05-08
163	1991-03-01	2000-03-01	Saga Petroleum ASA	30.000000	\N	1991-03-01	2000-03-01	22116	716	9999-12-31	2013-05-08
163	1991-03-01	2000-03-01	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22116	749	9999-12-31	2013-05-08
164	1997-02-24	1997-03-01	Amoco Norway Oil Company	10.000000	\N	9999-12-31	9999-12-31	22124	78	9999-12-31	2013-05-08
164	1991-03-01	1997-02-24	BP Petroleum Dev. of Norway AS	30.000000	\N	1991-03-01	1997-03-01	22124	155	9999-12-31	2013-05-08
164	1997-02-24	1997-03-01	BP Petroleum Dev. of Norway AS	30.000000	\N	1991-03-01	1997-03-01	22124	155	9999-12-31	2013-05-08
164	1991-03-01	1997-02-24	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22124	221	9999-12-31	2013-05-08
164	1991-03-01	1997-02-24	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	22124	738	9999-12-31	2013-05-08
164	1997-02-24	1997-03-01	Svenska Petroleum Exploration AS	10.000000	\N	9999-12-31	9999-12-31	22124	738	9999-12-31	2013-05-08
164	1991-03-01	1997-02-24	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22124	749	9999-12-31	2013-05-08
164	1997-02-24	1997-03-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22124	749	9999-12-31	2013-05-08
165	1991-03-01	1994-11-01	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22132	342	9999-12-31	2013-05-08
165	1991-03-01	1994-11-01	Esso Exploration and Production Norway A/S	25.000000	\N	1991-03-01	1994-11-01	22132	353	9999-12-31	2013-05-08
165	1991-03-01	1994-11-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22132	474	9999-12-31	2013-05-08
165	1991-03-01	1994-11-01	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22132	749	9999-12-31	2013-05-08
166	1991-03-01	1994-11-18	BP Petroleum Dev. of Norway AS	10.000000	\N	9999-12-31	9999-12-31	22140	155	9999-12-31	2013-05-08
166	1991-03-01	1994-11-18	Deminex Norge AS	30.000000	\N	1991-03-01	1998-12-17	22140	254	9999-12-31	2013-05-08
166	1994-11-18	1996-02-27	Deminex Norge AS	30.000000	\N	1991-03-01	1998-12-17	22140	254	9999-12-31	2013-05-08
166	1996-02-27	1998-12-17	Deminex Norge AS	30.000000	\N	1991-03-01	1998-12-17	22140	254	9999-12-31	2013-05-08
166	1991-03-01	1994-11-18	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	22140	562	9999-12-31	2013-05-08
166	1994-11-18	1996-02-27	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	22140	562	9999-12-31	2013-05-08
166	1991-03-01	1994-11-18	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22140	749	9999-12-31	2013-05-08
166	1994-11-18	1996-02-27	Den norske stats oljeselskap a.s	60.000000	30.000000	9999-12-31	9999-12-31	22140	749	9999-12-31	2013-05-08
166	1996-02-27	1998-12-17	Den norske stats oljeselskap a.s	70.000000	30.000000	9999-12-31	9999-12-31	22140	749	9999-12-31	2013-05-08
166	1998-12-17	2001-05-10	Den norske stats oljeselskap a.s	70.000000	30.000000	9999-12-31	9999-12-31	22140	749	9999-12-31	2013-05-08
166	1998-12-17	2001-05-10	RWE Dea Norge AS	30.000000	\N	1998-12-17	2002-12-31	22140	97557	9999-12-31	2013-05-08
166	2001-05-10	2001-06-01	RWE Dea Norge AS	30.000000	\N	1998-12-17	2002-12-31	22140	97557	9999-12-31	2013-05-08
166	2001-06-01	2002-12-31	RWE Dea Norge AS	30.000000	\N	1998-12-17	2002-12-31	22140	97557	9999-12-31	2013-05-08
166	2001-05-10	2001-06-01	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22140	1622484	9999-12-31	2013-05-08
166	2001-06-01	2002-12-31	Statoil ASA (old)	70.000000	\N	9999-12-31	9999-12-31	22140	1622484	9999-12-31	2013-05-08
166	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22140	1623450	9999-12-31	2013-05-08
167	1991-03-01	1999-12-23	Amoco Norway AS	10.000000	\N	9999-12-31	9999-12-31	22148	89	9999-12-31	2013-05-08
167	1991-03-01	1999-12-23	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22148	430	9999-12-31	2013-05-08
167	1999-12-23	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22148	430	9999-12-31	2013-05-08
167	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22148	430	9999-12-31	2013-05-08
167	2001-06-01	2001-09-18	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22148	430	9999-12-31	2013-05-08
167	1991-03-01	1999-12-23	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	22148	705	9999-12-31	2013-05-08
167	1999-12-23	2001-05-10	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	22148	705	9999-12-31	2013-05-08
167	2001-05-10	2001-06-01	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	22148	705	9999-12-31	2013-05-08
167	2001-06-01	2001-09-18	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	22148	705	9999-12-31	2013-05-08
167	1991-03-01	1999-12-23	Den norske stats oljeselskap a.s	50.000000	20.000000	1991-03-01	2001-05-10	22148	749	9999-12-31	2013-05-08
167	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	50.000000	20.000000	1991-03-01	2001-05-10	22148	749	9999-12-31	2013-05-08
167	1999-12-23	2001-05-10	BP Amoco Norge AS	10.000000	\N	9999-12-31	9999-12-31	22148	982372	9999-12-31	2013-05-08
167	2001-05-10	2001-06-01	BP Amoco Norge AS	10.000000	\N	9999-12-31	9999-12-31	22148	982372	9999-12-31	2013-05-08
167	2001-06-01	2001-09-18	BP Amoco Norge AS	10.000000	\N	9999-12-31	9999-12-31	22148	982372	9999-12-31	2013-05-08
167	2001-09-18	2002-03-12	BP Amoco Norge AS	20.000000	\N	9999-12-31	9999-12-31	22148	982372	9999-12-31	2013-05-08
167	2002-11-08	2004-01-01	Det Norske Oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	22148	1340609	9999-12-31	2013-05-08
167	2001-05-10	2001-06-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	22148	1622484	9999-12-31	2013-05-08
167	2001-06-01	2001-09-18	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-10-01	22148	1622484	9999-12-31	2013-05-08
167	2001-09-18	2002-03-12	Statoil ASA (old)	80.000000	\N	2001-05-10	2007-10-01	22148	1622484	9999-12-31	2013-05-08
167	2002-03-12	2002-11-08	Statoil ASA (old)	80.000000	\N	2001-05-10	2007-10-01	22148	1622484	9999-12-31	2013-05-08
167	2002-11-08	2004-01-01	Statoil ASA (old)	80.000000	\N	2001-05-10	2007-10-01	22148	1622484	9999-12-31	2013-05-08
167	2004-01-01	2007-10-01	Statoil ASA (old)	80.000000	\N	2001-05-10	2007-10-01	22148	1622484	9999-12-31	2013-05-08
167	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22148	1623450	9999-12-31	2013-05-08
167	2002-03-12	2002-11-08	BP Norge AS	20.000000	\N	9999-12-31	9999-12-31	22148	2052695	9999-12-31	2013-05-08
167	2004-01-01	2007-10-01	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	22148	2767314	9999-12-31	2013-05-08
167	2007-10-01	2009-01-01	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	22148	2767314	9999-12-31	2013-05-08
167	2009-01-01	2009-11-02	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	22148	2767314	9999-12-31	2013-05-08
167	2009-11-02	9999-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	22148	2767314	9999-12-31	2013-05-08
167	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	80.000000	\N	2009-01-01	2009-11-01	22148	4511658	9999-12-31	2013-05-08
167	2007-10-01	2009-01-01	StatoilHydro ASA	80.000000	\N	2007-10-01	2008-12-31	22148	4511854	9999-12-31	2013-05-08
167	2009-11-02	9999-12-31	Statoil Petroleum AS	80.000000	\N	2009-11-02	9999-12-31	22148	17237817	9999-12-31	2013-05-08
168	1991-03-01	1995-07-01	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	22156	67	9999-12-31	2013-05-08
168	1995-07-01	1999-01-01	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	22156	67	9999-12-31	2013-05-08
168	1999-01-01	2001-05-09	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	22156	67	9999-12-31	2013-05-08
168	2001-05-09	2003-12-31	Amerada Hess Norge AS	100.000000	\N	2001-05-09	2003-12-31	22156	67	9999-12-31	2013-05-08
168	1991-03-01	1995-07-01	BP Petroleum Dev. of Norway AS	15.000000	\N	9999-12-31	9999-12-31	22156	155	9999-12-31	2013-05-08
168	1991-03-01	1995-07-01	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	22156	386	9999-12-31	2013-05-08
168	1995-07-01	1999-01-01	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	22156	386	9999-12-31	2013-05-08
168	1991-03-01	1995-07-01	Den norske stats oljeselskap a.s	50.000000	20.000000	1991-03-01	2001-05-09	22156	749	9999-12-31	2013-05-08
168	1995-07-01	1999-01-01	Den norske stats oljeselskap a.s	65.000000	20.000000	1991-03-01	2001-05-09	22156	749	9999-12-31	2013-05-08
168	1999-01-01	2001-05-09	Den norske stats oljeselskap a.s	75.000000	20.000000	1991-03-01	2001-05-09	22156	749	9999-12-31	2013-05-08
169	1991-03-01	1996-01-01	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22164	221	9999-12-31	2013-05-08
169	1991-03-01	1996-01-01	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22164	353	9999-12-31	2013-05-08
169	1996-01-01	2001-05-10	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22164	353	9999-12-31	2013-05-08
169	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22164	353	9999-12-31	2013-05-08
169	2001-06-17	2002-03-19	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22164	353	9999-12-31	2013-05-08
169	2002-03-19	2002-05-07	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22164	353	9999-12-31	2013-05-08
169	2002-05-07	2004-10-01	Esso Exploration and Production Norway A/S	13.000000	\N	9999-12-31	9999-12-31	22164	353	9999-12-31	2013-05-08
169	1991-03-01	1996-01-01	Norsk Hydro Produksjon AS	30.000000	\N	1991-03-01	2007-01-01	22164	430	9999-12-31	2013-05-08
169	1996-01-01	2001-05-10	Norsk Hydro Produksjon AS	40.000000	\N	1991-03-01	2007-01-01	22164	430	9999-12-31	2013-05-08
169	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	40.000000	\N	1991-03-01	2007-01-01	22164	430	9999-12-31	2013-05-08
169	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	40.000000	\N	1991-03-01	2007-01-01	22164	430	9999-12-31	2013-05-08
169	2002-03-19	2002-05-07	Norsk Hydro Produksjon AS	45.000000	\N	1991-03-01	2007-01-01	22164	430	9999-12-31	2013-05-08
169	2002-05-07	2004-10-01	Norsk Hydro Produksjon AS	45.000000	\N	1991-03-01	2007-01-01	22164	430	9999-12-31	2013-05-08
169	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	45.000000	\N	1991-03-01	2007-01-01	22164	430	9999-12-31	2013-05-08
169	1991-03-01	1996-01-01	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22164	749	9999-12-31	2013-05-08
169	1996-01-01	2001-05-10	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22164	749	9999-12-31	2013-05-08
169	2001-05-10	2001-06-17	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22164	1622484	9999-12-31	2013-05-08
169	2001-06-17	2002-03-19	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22164	1622484	9999-12-31	2013-05-08
169	2002-03-19	2002-05-07	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22164	1622484	9999-12-31	2013-05-08
169	2002-05-07	2004-10-01	Statoil ASA (old)	12.000000	\N	9999-12-31	9999-12-31	22164	1622484	9999-12-31	2013-05-08
169	2004-10-01	2007-01-01	Statoil ASA (old)	12.000000	\N	9999-12-31	9999-12-31	22164	1622484	9999-12-31	2013-05-08
169	2007-01-01	2007-10-01	Statoil ASA (old)	12.000000	\N	9999-12-31	9999-12-31	22164	1622484	9999-12-31	2013-05-08
169	2001-05-10	2001-06-17	SDØE	35.000000	\N	9999-12-31	9999-12-31	22164	1623450	9999-12-31	2013-05-08
169	2001-06-17	2002-03-19	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22164	1626839	9999-12-31	2013-05-08
169	2002-03-19	2002-05-07	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22164	1626839	9999-12-31	2013-05-08
169	2002-05-07	2004-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22164	1626839	9999-12-31	2013-05-08
169	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22164	1626839	9999-12-31	2013-05-08
169	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22164	1626839	9999-12-31	2013-05-08
169	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22164	1626839	9999-12-31	2013-05-08
169	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22164	1626839	9999-12-31	2013-05-08
169	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22164	1626839	9999-12-31	2013-05-08
169	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	22164	2835212	9999-12-31	2013-05-08
169	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	22164	2835212	9999-12-31	2013-05-08
169	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	22164	2835212	9999-12-31	2013-05-08
169	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	22164	2835212	9999-12-31	2013-05-08
169	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	22164	2835212	9999-12-31	2013-05-08
169	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	45.000000	\N	2007-10-01	2009-11-01	22164	4511658	9999-12-31	2013-05-08
169	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	57.000000	\N	2007-10-01	2009-11-01	22164	4511658	9999-12-31	2013-05-08
169	2007-10-01	2009-01-01	StatoilHydro ASA	12.000000	\N	9999-12-31	9999-12-31	22164	4511854	9999-12-31	2013-05-08
169	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	45.000000	\N	2007-01-01	2007-10-01	22164	4524355	9999-12-31	2013-05-08
169	2009-11-02	9999-12-31	Statoil Petroleum AS	57.000000	\N	2009-11-02	9999-12-31	22164	17237817	9999-12-31	2013-05-08
170	1991-03-01	1997-12-31	Norsk Hydro Produksjon AS	30.000000	\N	1991-03-01	1997-12-31	22172	430	9999-12-31	2013-05-08
170	1991-03-01	1997-12-31	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22172	749	9999-12-31	2013-05-08
170	1991-03-01	1997-12-31	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	22172	848	9999-12-31	2013-05-08
171	2000-10-17	2001-01-11	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22180	342	9999-12-31	2013-05-08
171	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22180	342	9999-12-31	2013-05-08
171	2001-05-10	2001-06-17	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22180	342	9999-12-31	2013-05-08
171	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22180	342	9999-12-31	2013-05-08
171	1991-03-01	1994-06-01	Norsk Hydro Produksjon AS	30.000000	\N	1991-03-01	2002-12-31	22180	430	9999-12-31	2013-05-08
171	1994-06-01	1996-04-16	Norsk Hydro Produksjon AS	30.000000	\N	1991-03-01	2002-12-31	22180	430	9999-12-31	2013-05-08
171	1996-04-16	2000-10-17	Norsk Hydro Produksjon AS	30.000000	\N	1991-03-01	2002-12-31	22180	430	9999-12-31	2013-05-08
171	2000-10-17	2001-01-11	Norsk Hydro Produksjon AS	30.000000	\N	1991-03-01	2002-12-31	22180	430	9999-12-31	2013-05-08
171	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	40.000000	\N	1991-03-01	2002-12-31	22180	430	9999-12-31	2013-05-08
171	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	40.000000	\N	1991-03-01	2002-12-31	22180	430	9999-12-31	2013-05-08
171	2001-06-17	2001-12-31	Norsk Hydro Produksjon AS	40.000000	\N	1991-03-01	2002-12-31	22180	430	9999-12-31	2013-05-08
171	2001-12-31	2002-12-31	Norsk Hydro Produksjon AS	40.000000	\N	1991-03-01	2002-12-31	22180	430	9999-12-31	2013-05-08
171	1996-04-16	2000-10-17	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	22180	474	9999-12-31	2013-05-08
171	1991-03-01	1994-06-01	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22180	716	9999-12-31	2013-05-08
171	1994-06-01	1996-04-16	Saga Petroleum ASA	20.000000	\N	9999-12-31	9999-12-31	22180	716	9999-12-31	2013-05-08
171	1996-04-16	2000-10-17	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22180	716	9999-12-31	2013-05-08
171	2000-10-17	2001-01-11	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22180	716	9999-12-31	2013-05-08
171	1991-03-01	1994-06-01	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22180	749	9999-12-31	2013-05-08
171	1994-06-01	1996-04-16	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22180	749	9999-12-31	2013-05-08
171	1996-04-16	2000-10-17	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22180	749	9999-12-31	2013-05-08
171	2000-10-17	2001-01-11	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22180	749	9999-12-31	2013-05-08
171	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22180	749	9999-12-31	2013-05-08
171	1991-03-01	1994-06-01	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	22180	848	9999-12-31	2013-05-08
171	2001-05-10	2001-06-17	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22180	1622484	9999-12-31	2013-05-08
171	2001-06-17	2001-12-31	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22180	1622484	9999-12-31	2013-05-08
171	2001-12-31	2002-12-31	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22180	1622484	9999-12-31	2013-05-08
171	2001-05-10	2001-06-17	SDØE	35.000000	\N	9999-12-31	9999-12-31	22180	1623450	9999-12-31	2013-05-08
171	2001-06-17	2001-12-31	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22180	1626839	9999-12-31	2013-05-08
171	2001-12-31	2002-12-31	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22180	1626839	9999-12-31	2013-05-08
171	2001-12-31	2002-12-31	Enterprise Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	22180	1853786	9999-12-31	2013-05-08
172	1991-03-01	1998-12-01	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	22188	67	9999-12-31	2013-05-08
172	1998-12-01	1999-01-05	Amerada Hess Norge AS	5.550000	\N	9999-12-31	9999-12-31	22188	67	9999-12-31	2013-05-08
172	1991-03-01	1998-12-01	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22188	221	9999-12-31	2013-05-08
172	1998-12-01	1999-01-05	Norske Conoco A/S	16.670000	\N	9999-12-31	9999-12-31	22188	221	9999-12-31	2013-05-08
172	1999-01-05	2000-01-01	Norske Conoco A/S	16.670000	\N	9999-12-31	9999-12-31	22188	221	9999-12-31	2013-05-08
172	1991-03-01	1998-12-01	Mobil Development Norway AS	25.000000	\N	1991-03-01	2003-12-31	22188	474	9999-12-31	2013-05-08
172	1998-12-01	1999-01-05	Mobil Development Norway AS	27.780000	\N	1991-03-01	2003-12-31	22188	474	9999-12-31	2013-05-08
172	1999-01-05	2000-01-01	Mobil Development Norway AS	27.780000	\N	1991-03-01	2003-12-31	22188	474	9999-12-31	2013-05-08
172	2000-01-01	2001-05-10	Mobil Development Norway AS	44.450000	\N	1991-03-01	2003-12-31	22188	474	9999-12-31	2013-05-08
172	2001-05-10	2001-06-01	Mobil Development Norway AS	44.450000	\N	1991-03-01	2003-12-31	22188	474	9999-12-31	2013-05-08
172	2001-06-01	2001-06-17	Mobil Development Norway AS	44.450000	\N	1991-03-01	2003-12-31	22188	474	9999-12-31	2013-05-08
172	2001-06-17	2003-12-31	Mobil Development Norway AS	44.450000	\N	1991-03-01	2003-12-31	22188	474	9999-12-31	2013-05-08
172	1991-03-01	1998-12-01	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22188	749	9999-12-31	2013-05-08
172	1998-12-01	1999-01-05	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22188	749	9999-12-31	2013-05-08
172	1999-01-05	2000-01-01	Den norske stats oljeselskap a.s	55.550000	35.000000	9999-12-31	9999-12-31	22188	749	9999-12-31	2013-05-08
172	2000-01-01	2001-05-10	Den norske stats oljeselskap a.s	55.550000	35.000000	9999-12-31	9999-12-31	22188	749	9999-12-31	2013-05-08
172	2001-05-10	2001-06-01	Statoil ASA (old)	20.550000	\N	9999-12-31	9999-12-31	22188	1622484	9999-12-31	2013-05-08
172	2001-06-01	2001-06-17	Statoil ASA (old)	25.550000	\N	9999-12-31	9999-12-31	22188	1622484	9999-12-31	2013-05-08
172	2001-06-17	2003-12-31	Statoil ASA (old)	25.550000	\N	9999-12-31	9999-12-31	22188	1622484	9999-12-31	2013-05-08
172	2001-05-10	2001-06-01	SDØE	35.000000	\N	9999-12-31	9999-12-31	22188	1623450	9999-12-31	2013-05-08
172	2001-06-01	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	22188	1623450	9999-12-31	2013-05-08
172	2001-06-17	2003-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22188	1626839	9999-12-31	2013-05-08
173	1991-03-01	1999-10-01	Elf Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	22196	298	9999-12-31	2013-05-08
173	1999-10-01	2000-07-24	Elf Petroleum Norge AS	8.500000	\N	9999-12-31	9999-12-31	22196	298	9999-12-31	2013-05-08
173	1991-03-01	1999-10-01	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22196	430	9999-12-31	2013-05-08
173	1999-10-01	2000-07-24	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22196	430	9999-12-31	2013-05-08
173	2000-07-24	2000-12-27	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22196	430	9999-12-31	2013-05-08
173	1991-03-01	1999-10-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	22196	474	9999-12-31	2013-05-08
173	1999-10-01	2000-07-24	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	22196	474	9999-12-31	2013-05-08
173	2000-07-24	2000-12-27	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	22196	474	9999-12-31	2013-05-08
173	1991-03-01	1999-10-01	Den norske stats oljeselskap a.s	50.000000	20.000000	1991-03-01	2000-12-27	22196	749	9999-12-31	2013-05-08
173	1999-10-01	2000-07-24	Den norske stats oljeselskap a.s	56.500000	20.000000	1991-03-01	2000-12-27	22196	749	9999-12-31	2013-05-08
173	2000-07-24	2000-12-27	Den norske stats oljeselskap a.s	56.500000	20.000000	1991-03-01	2000-12-27	22196	749	9999-12-31	2013-05-08
173	2000-07-24	2000-12-27	TotalFinaElf Exploration Norge AS	8.500000	\N	9999-12-31	9999-12-31	22196	1340884	9999-12-31	2013-05-08
174	1996-08-26	2001-01-11	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22204	221	9999-12-31	2013-05-08
174	2001-01-11	2001-05-10	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22204	221	9999-12-31	2013-05-08
174	2001-05-10	2001-06-17	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22204	221	9999-12-31	2013-05-08
174	2001-06-17	2002-03-19	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22204	221	9999-12-31	2013-05-08
174	2002-03-19	2003-03-22	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22204	221	9999-12-31	2013-05-08
174	1991-03-01	1996-04-16	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22204	353	9999-12-31	2013-05-08
174	1996-04-16	1996-06-07	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22204	353	9999-12-31	2013-05-08
174	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	2000-01-11	2003-12-31	22204	430	9999-12-31	2013-05-08
174	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	30.000000	\N	2000-01-11	2003-12-31	22204	430	9999-12-31	2013-05-08
174	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	30.000000	\N	2000-01-11	2003-12-31	22204	430	9999-12-31	2013-05-08
174	2002-03-19	2003-03-22	Norsk Hydro Produksjon AS	30.000000	\N	2000-01-11	2003-12-31	22204	430	9999-12-31	2013-05-08
174	2003-03-22	2003-12-31	Norsk Hydro Produksjon AS	30.000000	\N	2000-01-11	2003-12-31	22204	430	9999-12-31	2013-05-08
174	2002-03-19	2003-03-22	Idemitsu Petroleum Norge AS	17.500000	\N	9999-12-31	9999-12-31	22204	441	9999-12-31	2013-05-08
174	2003-03-22	2003-12-31	Idemitsu Petroleum Norge AS	17.500000	\N	9999-12-31	9999-12-31	22204	441	9999-12-31	2013-05-08
174	1991-03-01	1996-04-16	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	22204	474	9999-12-31	2013-05-08
174	1991-03-01	1996-04-16	Saga Petroleum ASA	30.000000	\N	1991-03-01	2000-01-11	22204	716	9999-12-31	2013-05-08
174	1996-04-16	1996-06-07	Saga Petroleum ASA	40.000000	\N	1991-03-01	2000-01-11	22204	716	9999-12-31	2013-05-08
174	1996-06-07	1996-08-26	Saga Petroleum ASA	50.000000	\N	1991-03-01	2000-01-11	22204	716	9999-12-31	2013-05-08
174	1996-08-26	2001-01-11	Saga Petroleum ASA	30.000000	\N	1991-03-01	2000-01-11	22204	716	9999-12-31	2013-05-08
174	1991-03-01	1996-04-16	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22204	749	9999-12-31	2013-05-08
174	1996-04-16	1996-06-07	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22204	749	9999-12-31	2013-05-08
174	1996-06-07	1996-08-26	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22204	749	9999-12-31	2013-05-08
174	1996-08-26	2001-01-11	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22204	749	9999-12-31	2013-05-08
174	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22204	749	9999-12-31	2013-05-08
174	2001-05-10	2001-06-17	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22204	1622484	9999-12-31	2013-05-08
174	2001-06-17	2002-03-19	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22204	1622484	9999-12-31	2013-05-08
174	2002-03-19	2003-03-22	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22204	1622484	9999-12-31	2013-05-08
174	2003-03-22	2003-12-31	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22204	1622484	9999-12-31	2013-05-08
174	2001-05-10	2001-06-17	SDØE	35.000000	\N	9999-12-31	9999-12-31	22204	1623450	9999-12-31	2013-05-08
174	2001-06-17	2002-03-19	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22204	1626839	9999-12-31	2013-05-08
174	2002-03-19	2003-03-22	Gaz de France Norge AS	17.500000	\N	9999-12-31	9999-12-31	22204	1628733	9999-12-31	2013-05-08
174	2003-03-22	2003-12-31	Gaz de France Norge AS	17.500000	\N	9999-12-31	9999-12-31	22204	1628733	9999-12-31	2013-05-08
174	2003-03-22	2003-12-31	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	22204	2399056	9999-12-31	2013-05-08
175	1991-03-01	1999-04-13	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22212	342	9999-12-31	2013-05-08
175	1999-04-13	1999-12-31	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22212	342	9999-12-31	2013-05-08
175	1991-03-01	1999-04-13	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22212	496	9999-12-31	2013-05-08
175	1991-03-01	1999-04-13	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22212	705	9999-12-31	2013-05-08
175	1999-04-13	1999-12-31	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22212	705	9999-12-31	2013-05-08
175	1991-03-01	1999-04-13	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22212	716	9999-12-31	2013-05-08
175	1999-04-13	1999-12-31	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22212	716	9999-12-31	2013-05-08
175	1991-03-01	1999-04-13	Den norske stats oljeselskap a.s	50.000000	25.000000	1991-03-01	1999-12-31	22212	749	9999-12-31	2013-05-08
175	1999-04-13	1999-12-31	Den norske stats oljeselskap a.s	50.000000	25.000000	1991-03-01	1999-12-31	22212	749	9999-12-31	2013-05-08
175	1999-04-13	1999-12-31	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22212	102714	9999-12-31	2013-05-08
176	1991-03-01	1998-02-09	Fina Production Licenses AS	10.000000	\N	9999-12-31	9999-12-31	22220	386	9999-12-31	2013-05-08
176	1998-02-09	1998-12-21	Fina Production Licenses AS	10.000000	\N	9999-12-31	9999-12-31	22220	386	9999-12-31	2013-05-08
176	1991-03-01	1998-02-09	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22220	430	9999-12-31	2013-05-08
176	1998-02-09	1998-12-21	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22220	430	9999-12-31	2013-05-08
176	1998-12-21	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22220	430	9999-12-31	2013-05-08
176	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22220	430	9999-12-31	2013-05-08
176	2001-06-01	2001-11-26	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22220	430	9999-12-31	2013-05-08
176	1991-03-01	1998-02-09	A/S Norske Shell	30.000000	\N	1991-03-01	9999-12-31	22220	562	9999-12-31	2013-05-08
176	1998-02-09	1998-12-21	A/S Norske Shell	30.000000	\N	1991-03-01	9999-12-31	22220	562	9999-12-31	2013-05-08
176	1998-12-21	2001-05-10	A/S Norske Shell	40.000000	\N	1991-03-01	9999-12-31	22220	562	9999-12-31	2013-05-08
176	2001-05-10	2001-06-01	A/S Norske Shell	40.000000	\N	1991-03-01	9999-12-31	22220	562	9999-12-31	2013-05-08
176	2001-06-01	2001-11-26	A/S Norske Shell	40.000000	\N	1991-03-01	9999-12-31	22220	562	9999-12-31	2013-05-08
176	2001-11-26	2002-03-12	A/S Norske Shell	16.200000	\N	1991-03-01	9999-12-31	22220	562	9999-12-31	2013-05-08
176	2002-03-12	2002-03-19	A/S Norske Shell	16.200000	\N	1991-03-01	9999-12-31	22220	562	9999-12-31	2013-05-08
176	2002-03-19	2002-11-19	A/S Norske Shell	26.200000	\N	1991-03-01	9999-12-31	22220	562	9999-12-31	2013-05-08
176	2002-11-19	2005-09-17	A/S Norske Shell	26.200000	\N	1991-03-01	9999-12-31	22220	562	9999-12-31	2013-05-08
176	2005-09-17	2012-01-01	A/S Norske Shell	26.200000	\N	1991-03-01	9999-12-31	22220	562	2012-12-01	2013-05-08
176	2012-01-01	9999-12-31	A/S Norske Shell	44.560000	\N	1991-03-01	9999-12-31	22220	562	9999-12-31	2013-05-08
176	1991-03-01	1998-02-09	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22220	749	9999-12-31	2013-05-08
176	1998-02-09	1998-12-21	Den norske stats oljeselskap a.s	35.000000	35.000000	9999-12-31	9999-12-31	22220	749	9999-12-31	2013-05-08
176	1998-12-21	2001-05-10	Den norske stats oljeselskap a.s	35.000000	35.000000	9999-12-31	9999-12-31	22220	749	9999-12-31	2013-05-08
176	1998-02-09	1998-12-21	Norsk Chevron AS	15.000000	\N	9999-12-31	9999-12-31	22220	40148	9999-12-31	2013-05-08
176	1998-12-21	2001-05-10	Norsk Chevron AS	15.000000	\N	9999-12-31	9999-12-31	22220	40148	9999-12-31	2013-05-08
176	2001-05-10	2001-06-01	Norsk Chevron AS	15.000000	\N	9999-12-31	9999-12-31	22220	40148	9999-12-31	2013-05-08
176	2001-06-01	2001-11-26	Norsk Chevron AS	15.000000	\N	9999-12-31	9999-12-31	22220	40148	9999-12-31	2013-05-08
176	2001-11-26	2002-03-12	Norsk Chevron AS	7.560000	\N	9999-12-31	9999-12-31	22220	40148	9999-12-31	2013-05-08
176	2002-03-12	2002-03-19	Norsk Chevron AS	7.560000	\N	9999-12-31	9999-12-31	22220	40148	9999-12-31	2013-05-08
176	2002-03-19	2002-11-19	Norsk Chevron AS	7.560000	\N	9999-12-31	9999-12-31	22220	40148	9999-12-31	2013-05-08
176	2001-11-26	2002-03-12	BP Amoco Norge AS	18.360000	\N	9999-12-31	9999-12-31	22220	982372	9999-12-31	2013-05-08
176	2001-06-01	2001-11-26	Statoil ASA (old)	35.000000	\N	9999-12-31	9999-12-31	22220	1622484	9999-12-31	2013-05-08
176	2001-05-10	2001-06-01	SDØE	35.000000	\N	9999-12-31	9999-12-31	22220	1623450	9999-12-31	2013-05-08
176	2001-11-26	2002-03-12	Petoro AS	57.880000	\N	9999-12-31	9999-12-31	22220	1626839	9999-12-31	2013-05-08
176	2002-03-12	2002-03-19	Petoro AS	57.880000	\N	9999-12-31	9999-12-31	22220	1626839	9999-12-31	2013-05-08
176	2002-03-19	2002-11-19	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	22220	1626839	9999-12-31	2013-05-08
176	2002-11-19	2005-09-17	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	22220	1626839	9999-12-31	2013-05-08
176	2005-09-17	2012-01-01	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	22220	1626839	2012-12-01	2013-05-08
176	2012-01-01	9999-12-31	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	22220	1626839	9999-12-31	2013-05-08
176	2002-03-12	2002-03-19	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22220	2052695	9999-12-31	2013-05-08
176	2002-03-19	2002-11-19	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22220	2052695	9999-12-31	2013-05-08
176	2002-11-19	2005-09-17	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22220	2052695	9999-12-31	2013-05-08
176	2005-09-17	2012-01-01	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	22220	2052695	2012-12-01	2013-05-08
176	2002-11-19	2005-09-17	Chevron Texaco Norge AS	7.560000	\N	9999-12-31	9999-12-31	22220	2154473	9999-12-31	2013-05-08
176	2005-09-17	2012-01-01	Chevron Norge AS	7.560000	\N	9999-12-31	9999-12-31	22220	3488906	2012-12-01	2013-05-08
176	2012-01-01	9999-12-31	Chevron Norge AS	7.560000	\N	9999-12-31	9999-12-31	22220	3488906	9999-12-31	2013-05-08
177	1991-03-01	1996-01-01	BP Petroleum Dev. of Norway AS	30.000000	\N	9999-12-31	9999-12-31	22228	155	9999-12-31	2013-05-08
177	1996-01-01	1999-12-23	BP Petroleum Dev. of Norway AS	20.000000	\N	9999-12-31	9999-12-31	22228	155	9999-12-31	2013-05-08
177	1991-03-01	1996-01-01	Saga Petroleum ASA	20.000000	\N	9999-12-31	9999-12-31	22228	716	9999-12-31	2013-05-08
177	1996-01-01	1999-12-23	Saga Petroleum ASA	30.000000	\N	9999-12-31	9999-12-31	22228	716	9999-12-31	2013-05-08
177	1999-12-23	2000-01-01	Saga Petroleum ASA	30.000000	\N	9999-12-31	9999-12-31	22228	716	9999-12-31	2013-05-08
177	1991-03-01	1996-01-01	Den norske stats oljeselskap a.s	50.000000	20.000000	1991-03-01	2000-01-01	22228	749	9999-12-31	2013-05-08
177	1996-01-01	1999-12-23	Den norske stats oljeselskap a.s	50.000000	20.000000	1991-03-01	2000-01-01	22228	749	9999-12-31	2013-05-08
177	1999-12-23	2000-01-01	Den norske stats oljeselskap a.s	50.000000	20.000000	1991-03-01	2000-01-01	22228	749	9999-12-31	2013-05-08
177	1999-12-23	2000-01-01	BP Amoco Norge AS	20.000000	\N	9999-12-31	9999-12-31	22228	982372	9999-12-31	2013-05-08
178	1991-03-01	1993-12-31	Esso Exploration and Production Norway A/S	30.000000	\N	1991-03-01	1993-12-31	22236	353	9999-12-31	2013-05-08
178	1991-03-01	1993-12-31	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22236	430	9999-12-31	2013-05-08
178	1991-03-01	1993-12-31	Den norske stats oljeselskap a.s	50.000000	25.000000	9999-12-31	9999-12-31	22236	749	9999-12-31	2013-05-08
179	1991-03-01	1994-12-22	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22244	353	9999-12-31	2013-05-08
179	1991-03-01	1994-12-22	Norsk Hydro Produksjon AS	30.000000	\N	1991-03-01	1994-12-22	22244	430	9999-12-31	2013-05-08
179	1991-03-01	1994-12-22	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22244	716	9999-12-31	2013-05-08
179	1991-03-01	1994-12-22	Den norske stats oljeselskap a.s	50.000000	25.000000	9999-12-31	9999-12-31	22244	749	9999-12-31	2013-05-08
180	1991-03-01	1995-04-01	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	22252	45	9999-12-31	2013-05-08
180	1991-03-01	1995-04-01	BP Petroleum Dev. of Norway AS	20.000000	\N	9999-12-31	9999-12-31	22252	155	9999-12-31	2013-05-08
180	1991-03-01	1995-04-01	Den norske stats oljeselskap a.s	50.000000	20.000000	1991-03-01	1995-04-01	22252	749	9999-12-31	2013-05-08
180	1991-03-01	1995-04-01	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	22252	848	9999-12-31	2013-05-08
181	1991-03-01	1996-08-26	Amoco Norway AS	15.000000	\N	9999-12-31	9999-12-31	22260	89	9999-12-31	2013-05-08
181	1996-08-26	1999-03-01	Amoco Norway AS	15.000000	\N	9999-12-31	9999-12-31	22260	89	9999-12-31	2013-05-08
181	1991-03-01	1996-08-26	Norske Conoco A/S	25.000000	\N	1991-03-01	1996-08-26	22260	221	9999-12-31	2013-05-08
181	1991-03-01	1996-08-26	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22260	298	9999-12-31	2013-05-08
181	1996-08-26	1999-03-01	Elf Petroleum Norge AS	14.170000	\N	9999-12-31	9999-12-31	22260	298	9999-12-31	2013-05-08
181	1991-03-01	1996-08-26	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22260	749	9999-12-31	2013-05-08
181	1996-08-26	1999-03-01	Den norske stats oljeselskap a.s	70.830000	30.000000	1996-08-26	1999-03-01	22260	749	9999-12-31	2013-05-08
182	1991-03-01	1998-02-09	Enterprise Oil Norwegian AS	20.000000	\N	9999-12-31	9999-12-31	22268	342	9999-12-31	2013-05-08
182	1998-02-09	2000-12-31	Enterprise Oil Norwegian AS	20.000000	\N	9999-12-31	9999-12-31	22268	342	9999-12-31	2013-05-08
182	1991-03-01	1998-02-09	Saga Petroleum ASA	30.000000	\N	1991-03-01	2000-12-31	22268	716	9999-12-31	2013-05-08
182	1998-02-09	2000-12-31	Saga Petroleum ASA	30.000000	\N	1991-03-01	2000-12-31	22268	716	9999-12-31	2013-05-08
182	1991-03-01	1998-02-09	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22268	749	9999-12-31	2013-05-08
182	1998-02-09	2000-12-31	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22268	749	9999-12-31	2013-05-08
182	1998-02-09	2000-12-31	Norsk Chevron AS	20.000000	\N	9999-12-31	9999-12-31	22268	40148	9999-12-31	2013-05-08
183	1991-03-01	1995-04-11	Amerada Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	22276	67	9999-12-31	2013-05-08
183	1991-03-01	1995-04-11	Amoco Norway AS	10.000000	\N	9999-12-31	9999-12-31	22276	89	9999-12-31	2013-05-08
183	1991-03-01	1995-04-11	A/S Norske Shell	30.000000	\N	1991-03-01	1995-04-11	22276	562	9999-12-31	2013-05-08
183	1991-03-01	1995-04-11	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22276	749	9999-12-31	2013-05-08
184	1991-03-01	1994-07-01	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22284	221	9999-12-31	2013-05-08
184	1991-03-01	1994-07-01	Deminex Nord A/S	10.000000	\N	9999-12-31	9999-12-31	22284	265	9999-12-31	2013-05-08
184	1991-03-01	1994-07-01	Norsk Hydro Produksjon AS	20.000000	\N	1991-03-01	1994-07-01	22284	430	9999-12-31	2013-05-08
184	1991-03-01	1994-07-01	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	22284	474	9999-12-31	2013-05-08
184	1991-03-01	1994-07-01	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22284	749	9999-12-31	2013-05-08
185	1991-09-13	1992-01-01	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	22292	353	9999-12-31	2013-05-08
185	1992-01-01	1993-12-13	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	22292	353	9999-12-31	2013-05-08
185	1993-12-13	1999-04-13	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	22292	353	9999-12-31	2013-05-08
185	1999-04-13	2001-05-10	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	22292	353	9999-12-31	2013-05-08
185	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	22292	353	9999-12-31	2013-05-08
185	2001-06-17	2002-01-01	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	22292	353	9999-12-31	2013-05-08
185	2002-01-01	2002-03-19	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	22292	353	9999-12-31	2013-05-08
185	2002-03-19	2003-03-04	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	22292	353	9999-12-31	2013-05-08
185	2003-03-04	2004-01-01	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	22292	353	9999-12-31	2013-05-08
185	2004-01-01	2004-10-01	Esso Exploration and Production Norway A/S	14.908000	\N	9999-12-31	9999-12-31	22292	353	9999-12-31	2013-05-08
185	1991-09-13	1992-01-01	Norsk Hydro Produksjon AS	13.200000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	1992-01-01	1993-12-13	Norsk Hydro Produksjon AS	13.200000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	1993-12-13	1999-04-13	Norsk Hydro Produksjon AS	23.200000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	1999-04-13	2001-05-10	Norsk Hydro Produksjon AS	23.200000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	23.200000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	23.200000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2002-01-01	2002-03-19	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2002-03-19	2003-03-04	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2003-03-04	2004-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2004-01-01	2004-10-01	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2004-10-01	2005-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2005-01-01	2005-01-02	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2005-01-02	2005-05-04	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2005-05-04	2006-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2006-01-01	2006-03-22	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2006-03-22	2006-03-23	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2006-03-23	2006-11-28	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	2006-11-28	2007-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1991-09-13	2007-01-01	22292	430	9999-12-31	2013-05-08
185	1991-09-13	1992-01-01	Neste Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	22292	496	9999-12-31	2013-05-08
185	1992-01-01	1993-12-13	Neste Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	22292	496	9999-12-31	2013-05-08
185	1993-12-13	1999-04-13	Neste Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	22292	496	9999-12-31	2013-05-08
185	1991-09-13	1992-01-01	Den norske stats oljeselskap a.s	56.000000	30.000000	9999-12-31	9999-12-31	22292	749	9999-12-31	2013-05-08
185	1992-01-01	1993-12-13	Den norske stats oljeselskap a.s	56.000000	38.400000	9999-12-31	9999-12-31	22292	749	9999-12-31	2013-05-08
185	1993-12-13	1999-04-13	Den norske stats oljeselskap a.s	46.000000	33.400000	9999-12-31	9999-12-31	22292	749	9999-12-31	2013-05-08
185	1999-04-13	2001-05-10	Den norske stats oljeselskap a.s	46.000000	33.400000	9999-12-31	9999-12-31	22292	749	9999-12-31	2013-05-08
185	1999-04-13	2001-05-10	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	22292	102714	9999-12-31	2013-05-08
185	2001-05-10	2001-06-17	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	22292	102714	9999-12-31	2013-05-08
185	2001-06-17	2002-01-01	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	22292	102714	9999-12-31	2013-05-08
185	2002-01-01	2002-03-19	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	22292	102714	9999-12-31	2013-05-08
185	2002-03-19	2003-03-04	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	22292	102714	9999-12-31	2013-05-08
185	2002-03-19	2003-03-04	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	22292	1577943	9999-12-31	2013-05-08
185	2003-03-04	2004-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	22292	1577943	9999-12-31	2013-05-08
185	2004-01-01	2004-10-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	22292	1577943	9999-12-31	2013-05-08
185	2004-10-01	2005-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	22292	1577943	9999-12-31	2013-05-08
185	2005-01-01	2005-01-02	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	22292	1577943	9999-12-31	2013-05-08
185	2005-01-02	2005-05-04	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	22292	1577943	9999-12-31	2013-05-08
185	2005-05-04	2006-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	22292	1577943	9999-12-31	2013-05-08
185	2006-01-01	2006-03-22	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	22292	1577943	9999-12-31	2013-05-08
185	2001-05-10	2001-06-17	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2001-06-17	2002-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2002-01-01	2002-03-19	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2002-03-19	2003-03-04	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2003-03-04	2004-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2004-01-01	2004-10-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2004-10-01	2005-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2005-01-01	2005-01-02	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2005-01-02	2005-05-04	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2005-05-04	2006-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2006-01-01	2006-03-22	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2006-03-22	2006-03-23	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2006-03-23	2006-11-28	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2006-11-28	2007-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2007-01-01	2007-10-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	22292	1622484	9999-12-31	2013-05-08
185	2001-05-10	2001-06-17	SDØE	33.400000	\N	9999-12-31	9999-12-31	22292	1623450	9999-12-31	2013-05-08
185	2001-06-17	2002-01-01	Petoro AS	33.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2002-01-01	2002-03-19	Petoro AS	33.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2002-03-19	2003-03-04	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2003-03-04	2004-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2004-01-01	2004-10-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2004-10-01	2005-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2005-01-01	2005-01-02	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2005-01-02	2005-05-04	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2005-05-04	2006-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2006-01-01	2006-03-22	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2006-03-22	2006-03-23	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2006-03-23	2006-11-28	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2006-11-28	2007-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2007-01-01	2007-10-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2007-10-01	2009-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2009-01-01	2009-01-17	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2009-01-17	2009-05-26	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2009-05-26	2009-10-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2009-10-01	2009-11-02	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2009-11-02	2010-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2010-01-01	2011-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	22292	1626839	9999-12-31	2013-05-08
185	2002-01-01	2002-03-19	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	22292	2258813	9999-12-31	2013-05-08
185	2002-03-19	2003-03-04	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	22292	2258813	9999-12-31	2013-05-08
185	2003-03-04	2004-01-01	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	22292	2258813	9999-12-31	2013-05-08
185	2004-01-01	2004-10-01	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	22292	2258813	9999-12-31	2013-05-08
185	2004-10-01	2005-01-01	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	22292	2258813	9999-12-31	2013-05-08
185	2003-03-04	2004-01-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	22292	2388594	9999-12-31	2013-05-08
185	2004-01-01	2004-10-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	22292	2388594	9999-12-31	2013-05-08
185	2004-10-01	2005-01-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	22292	2388594	9999-12-31	2013-05-08
185	2005-01-01	2005-01-02	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	22292	2388594	9999-12-31	2013-05-08
185	2005-01-02	2005-05-04	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	22292	2388594	9999-12-31	2013-05-08
185	2005-05-04	2006-01-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	22292	2388594	9999-12-31	2013-05-08
185	2005-01-02	2005-05-04	Talisman Energy Norge AS	14.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2005-05-04	2006-01-01	Talisman Energy Norge AS	14.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2006-01-01	2006-03-22	Talisman Energy Norge AS	14.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2006-03-22	2006-03-23	Talisman Energy Norge AS	14.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2006-03-23	2006-11-28	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2006-11-28	2007-01-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2007-01-01	2007-10-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2007-10-01	2009-01-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2009-01-01	2009-01-17	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2009-01-17	2009-05-26	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2009-05-26	2009-10-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2009-10-01	2009-11-02	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2009-11-02	2010-01-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2010-01-01	2011-01-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2011-01-01	2011-07-01	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2011-07-01	2013-02-13	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	2013-02-20	2013-05-08
185	2013-02-13	9999-12-31	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22292	2425093	9999-12-31	2013-05-08
185	2004-01-01	2004-10-01	Revus Energy AS	2.692000	\N	9999-12-31	9999-12-31	22292	2455850	9999-12-31	2013-05-08
185	2004-10-01	2005-01-01	Revus Energy AS	2.692000	\N	9999-12-31	9999-12-31	22292	2455850	9999-12-31	2013-05-08
185	2005-01-01	2005-01-02	Revus Energy AS	2.692000	\N	9999-12-31	9999-12-31	22292	2455850	9999-12-31	2013-05-08
185	2005-01-02	2005-05-04	Revus Energy AS	2.692000	\N	9999-12-31	9999-12-31	22292	2455850	9999-12-31	2013-05-08
185	2006-01-01	2006-03-22	Altinex Oil AS	13.200000	\N	9999-12-31	9999-12-31	22292	2835200	9999-12-31	2013-05-08
185	2006-03-22	2006-03-23	Altinex Oil AS	13.200000	\N	9999-12-31	9999-12-31	22292	2835200	9999-12-31	2013-05-08
185	2006-03-23	2006-11-28	Altinex Oil AS	13.200000	\N	9999-12-31	9999-12-31	22292	2835200	9999-12-31	2013-05-08
185	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	14.908000	\N	9999-12-31	9999-12-31	22292	2835212	9999-12-31	2013-05-08
185	2005-01-01	2005-01-02	ExxonMobil Exploration & Production Norway AS	14.908000	\N	9999-12-31	9999-12-31	22292	2835212	9999-12-31	2013-05-08
185	2005-01-01	2005-01-02	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	3113213	9999-12-31	2013-05-08
185	2005-01-02	2005-05-04	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	3113213	9999-12-31	2013-05-08
185	2005-05-04	2006-01-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	3113213	9999-12-31	2013-05-08
185	2006-01-01	2006-03-22	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	3113213	9999-12-31	2013-05-08
185	2006-03-22	2006-03-23	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	3113213	9999-12-31	2013-05-08
185	2006-03-23	2006-11-28	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	3113213	9999-12-31	2013-05-08
185	2006-11-28	2007-01-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	3113213	9999-12-31	2013-05-08
185	2007-01-01	2007-10-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	3113213	9999-12-31	2013-05-08
185	2007-10-01	2009-01-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	3113213	9999-12-31	2013-05-08
185	2009-01-01	2009-01-17	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	3113213	9999-12-31	2013-05-08
185	2009-01-17	2009-05-26	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	3113213	9999-12-31	2013-05-08
185	2005-05-04	2006-01-01	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	22292	3431773	9999-12-31	2013-05-08
185	2006-01-01	2006-03-22	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	22292	3431773	9999-12-31	2013-05-08
185	2006-03-22	2006-03-23	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	22292	3431773	9999-12-31	2013-05-08
185	2006-03-23	2006-11-28	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	22292	3431773	9999-12-31	2013-05-08
185	2006-11-28	2007-01-01	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	22292	3431773	9999-12-31	2013-05-08
185	2007-01-01	2007-10-01	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	22292	3431773	9999-12-31	2013-05-08
185	2007-10-01	2009-01-01	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	22292	3431773	9999-12-31	2013-05-08
185	2009-01-01	2009-01-17	Revus Energy ASA	2.692000	\N	9999-12-31	9999-12-31	22292	3431773	9999-12-31	2013-05-08
185	2006-03-22	2006-03-23	Talisman Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	22292	3987574	9999-12-31	2013-05-08
185	2011-01-01	2011-07-01	Faroe Petroleum Norge AS	13.400000	\N	9999-12-31	9999-12-31	22292	4062883	9999-12-31	2013-05-08
185	2011-07-01	2013-02-13	Faroe Petroleum Norge AS	13.400000	\N	9999-12-31	9999-12-31	22292	4062883	2013-02-20	2013-05-08
185	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	13.400000	\N	9999-12-31	9999-12-31	22292	4062883	9999-12-31	2013-05-08
185	2006-11-28	2007-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	22292	4446230	9999-12-31	2013-05-08
185	2007-01-01	2007-10-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	22292	4446230	9999-12-31	2013-05-08
185	2007-10-01	2009-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	22292	4446230	9999-12-31	2013-05-08
185	2009-01-01	2009-01-17	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	22292	4446230	9999-12-31	2013-05-08
185	2009-01-17	2009-05-26	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	22292	4446230	9999-12-31	2013-05-08
185	2009-05-26	2009-10-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	22292	4446230	9999-12-31	2013-05-08
185	2009-10-01	2009-11-02	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	22292	4446230	9999-12-31	2013-05-08
185	2009-11-02	2010-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	22292	4446230	9999-12-31	2013-05-08
185	2010-01-01	2011-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	22292	4446230	9999-12-31	2013-05-08
185	2011-01-01	2011-07-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	22292	4446230	9999-12-31	2013-05-08
185	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	22292	4511658	9999-12-31	2013-05-08
185	2009-01-01	2009-01-17	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	22292	4511658	9999-12-31	2013-05-08
185	2009-01-17	2009-05-26	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	22292	4511658	9999-12-31	2013-05-08
185	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	22292	4511658	9999-12-31	2013-05-08
185	2009-10-01	2009-11-02	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	22292	4511658	9999-12-31	2013-05-08
185	2007-10-01	2009-01-01	StatoilHydro ASA	12.600000	\N	9999-12-31	9999-12-31	22292	4511854	9999-12-31	2013-05-08
185	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	20.000000	\N	2007-01-01	2007-10-01	22292	4524355	9999-12-31	2013-05-08
185	2010-01-01	2011-01-01	Spring Energy Norway AS	2.692000	\N	9999-12-31	9999-12-31	22292	5072514	9999-12-31	2013-05-08
185	2011-01-01	2011-07-01	Spring Energy Norway AS	2.692000	\N	9999-12-31	9999-12-31	22292	5072514	9999-12-31	2013-05-08
185	2011-07-01	2013-02-13	Spring Energy Norway AS	2.692000	\N	9999-12-31	9999-12-31	22292	5072514	2013-02-20	2013-05-08
185	2009-01-17	2009-05-26	Wintershall Norge ASA	2.692000	\N	9999-12-31	9999-12-31	22292	5442509	9999-12-31	2013-05-08
185	2009-05-26	2009-10-01	Wintershall Norge ASA	2.692000	\N	9999-12-31	9999-12-31	22292	5442509	9999-12-31	2013-05-08
185	2009-10-01	2009-11-02	Wintershall Norge ASA	2.692000	\N	9999-12-31	9999-12-31	22292	5442509	9999-12-31	2013-05-08
185	2009-11-02	2010-01-01	Wintershall Norge ASA	2.692000	\N	9999-12-31	9999-12-31	22292	5442509	9999-12-31	2013-05-08
185	2009-05-26	2009-10-01	VNG Norge (Operations) AS	3.200000	\N	9999-12-31	9999-12-31	22292	5497155	9999-12-31	2013-05-08
185	2009-10-01	2009-11-02	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	17237193	9999-12-31	2013-05-08
185	2009-11-02	2010-01-01	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	17237193	9999-12-31	2013-05-08
185	2010-01-01	2011-01-01	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	17237193	9999-12-31	2013-05-08
185	2011-01-01	2011-07-01	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	17237193	9999-12-31	2013-05-08
185	2011-07-01	2013-02-13	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	17237193	2013-02-20	2013-05-08
185	2013-02-13	9999-12-31	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	22292	17237193	9999-12-31	2013-05-08
185	2009-11-02	2010-01-01	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	22292	17237817	9999-12-31	2013-05-08
185	2010-01-01	2011-01-01	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	22292	17237817	9999-12-31	2013-05-08
185	2011-01-01	2011-07-01	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	22292	17237817	9999-12-31	2013-05-08
185	2011-07-01	2013-02-13	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	22292	17237817	2013-02-20	2013-05-08
185	2013-02-13	9999-12-31	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	22292	17237817	9999-12-31	2013-05-08
185	2011-07-01	2013-02-13	Core Energy AS	13.200000	\N	9999-12-31	9999-12-31	22292	20460080	2013-02-20	2013-05-08
185	2013-02-13	9999-12-31	Core Energy AS	13.200000	\N	9999-12-31	9999-12-31	22292	20460080	9999-12-31	2013-05-08
185	2013-02-13	9999-12-31	Tullow Oil Norge AS	2.692000	\N	9999-12-31	9999-12-31	22292	23173852	9999-12-31	2013-05-08
186	1993-09-10	1997-04-22	Amoco Norway AS	25.000000	\N	1993-09-10	1997-07-05	22300	89	9999-12-31	2013-05-08
186	1997-04-22	1999-09-10	Amoco Norway AS	15.000000	\N	1993-09-10	1997-07-05	22300	89	9999-12-31	2013-05-08
186	1993-09-10	1997-04-22	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22300	716	9999-12-31	2013-05-08
186	1997-04-22	1999-09-10	Saga Petroleum ASA	20.000000	\N	1997-07-05	1999-09-10	22300	716	9999-12-31	2013-05-08
186	1993-09-10	1997-04-22	Den norske stats oljeselskap a.s	50.000000	40.000000	9999-12-31	9999-12-31	22300	749	9999-12-31	2013-05-08
186	1997-04-22	1999-09-10	Den norske stats oljeselskap a.s	50.000000	40.000000	9999-12-31	9999-12-31	22300	749	9999-12-31	2013-05-08
186	1993-09-10	1997-04-22	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	22300	848	9999-12-31	2013-05-08
186	1997-04-22	1999-09-10	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	22300	848	9999-12-31	2013-05-08
187	1993-09-10	1997-01-01	Amoco Norway AS	25.000000	\N	1993-09-10	1999-12-23	22308	89	9999-12-31	2013-05-08
187	1997-01-01	1999-12-23	Amoco Norway AS	25.000000	\N	1993-09-10	1999-12-23	22308	89	9999-12-31	2013-05-08
187	1993-09-10	1997-01-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22308	430	9999-12-31	2013-05-08
187	1997-01-01	1999-12-23	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22308	430	9999-12-31	2013-05-08
187	1999-12-23	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22308	430	9999-12-31	2013-05-08
187	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22308	430	9999-12-31	2013-05-08
187	2001-06-01	2001-08-07	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22308	430	9999-12-31	2013-05-08
187	2001-08-07	2002-03-12	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22308	463	9999-12-31	2013-05-08
187	2002-03-12	2002-08-14	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22308	463	9999-12-31	2013-05-08
187	2002-08-14	2006-11-29	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22308	463	9999-12-31	2013-05-08
187	2006-11-29	2007-10-01	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22308	463	9999-12-31	2013-05-08
187	2007-10-01	2009-01-01	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22308	463	9999-12-31	2013-05-08
187	2009-01-01	2009-01-02	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22308	463	9999-12-31	2013-05-08
187	2009-01-02	2009-11-02	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22308	463	9999-12-31	2013-05-08
187	2009-11-02	2010-12-30	Marathon Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22308	463	9999-12-31	2013-05-08
187	2010-12-30	2011-03-31	Marathon Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	22308	463	9999-12-31	2013-05-08
187	1993-09-10	1997-01-01	Den norske stats oljeselskap a.s	55.000000	40.000000	9999-12-31	9999-12-31	22308	749	9999-12-31	2013-05-08
187	1997-01-01	1999-12-23	Den norske stats oljeselskap a.s	65.000000	40.000000	9999-12-31	9999-12-31	22308	749	9999-12-31	2013-05-08
187	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	65.000000	40.000000	9999-12-31	9999-12-31	22308	749	9999-12-31	2013-05-08
187	1999-12-23	2001-05-10	BP Amoco Norge AS	25.000000	\N	1999-12-23	2002-03-12	22308	982372	9999-12-31	2013-05-08
187	2001-05-10	2001-06-01	BP Amoco Norge AS	25.000000	\N	1999-12-23	2002-03-12	22308	982372	9999-12-31	2013-05-08
187	2001-06-01	2001-08-07	BP Amoco Norge AS	25.000000	\N	1999-12-23	2002-03-12	22308	982372	9999-12-31	2013-05-08
187	2001-08-07	2002-03-12	BP Amoco Norge AS	25.000000	\N	1999-12-23	2002-03-12	22308	982372	9999-12-31	2013-05-08
187	2001-05-10	2001-06-01	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	22308	1622484	9999-12-31	2013-05-08
187	2001-06-01	2001-08-07	Statoil ASA (old)	65.000000	\N	9999-12-31	9999-12-31	22308	1622484	9999-12-31	2013-05-08
187	2001-08-07	2002-03-12	Statoil ASA (old)	65.000000	\N	9999-12-31	9999-12-31	22308	1622484	9999-12-31	2013-05-08
187	2002-03-12	2002-08-14	Statoil ASA (old)	65.000000	\N	9999-12-31	9999-12-31	22308	1622484	9999-12-31	2013-05-08
187	2002-08-14	2006-11-29	Statoil ASA (old)	65.000000	\N	9999-12-31	9999-12-31	22308	1622484	9999-12-31	2013-05-08
187	2006-11-29	2007-10-01	Statoil ASA (old)	65.000000	\N	2006-11-29	2007-10-01	22308	1622484	9999-12-31	2013-05-08
187	2001-05-10	2001-06-01	SDØE	40.000000	\N	9999-12-31	9999-12-31	22308	1623450	9999-12-31	2013-05-08
187	2002-08-14	2006-11-29	Gaz de France Norge AS	12.500000	\N	9999-12-31	9999-12-31	22308	1628733	9999-12-31	2013-05-08
187	2006-11-29	2007-10-01	Gaz de France Norge AS	25.000000	\N	9999-12-31	9999-12-31	22308	1628733	9999-12-31	2013-05-08
187	2007-10-01	2009-01-01	Gaz de France Norge AS	25.000000	\N	9999-12-31	9999-12-31	22308	1628733	9999-12-31	2013-05-08
187	2002-03-12	2002-08-14	BP Norge AS	25.000000	\N	2002-03-12	2006-11-29	22308	2052695	9999-12-31	2013-05-08
187	2002-08-14	2006-11-29	BP Norge AS	12.500000	\N	2002-03-12	2006-11-29	22308	2052695	9999-12-31	2013-05-08
187	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	65.000000	\N	2009-01-01	2009-11-01	22308	4511658	9999-12-31	2013-05-08
187	2007-10-01	2009-01-01	StatoilHydro ASA	65.000000	\N	2007-10-01	2008-12-31	22308	4511854	9999-12-31	2013-05-08
187	2009-01-01	2009-01-02	StatoilHydro ASA	65.000000	\N	9999-12-31	9999-12-31	22308	4511854	9999-12-31	2013-05-08
187	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	22308	5267845	9999-12-31	2013-05-08
187	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	22308	5267845	9999-12-31	2013-05-08
187	2009-11-02	2010-12-30	GDF SUEZ E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	22308	5267845	9999-12-31	2013-05-08
187	2010-12-30	2011-03-31	GDF SUEZ E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	22308	5267845	9999-12-31	2013-05-08
187	2011-03-31	9999-12-31	GDF SUEZ E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	22308	5267845	9999-12-31	2013-05-08
187	2009-11-02	2010-12-30	Statoil Petroleum AS	65.000000	\N	2009-11-02	9999-12-31	22308	17237817	9999-12-31	2013-05-08
187	2010-12-30	2011-03-31	Statoil Petroleum AS	55.000000	\N	2009-11-02	9999-12-31	22308	17237817	9999-12-31	2013-05-08
187	2011-03-31	9999-12-31	Statoil Petroleum AS	75.000000	\N	2009-11-02	9999-12-31	22308	17237817	9999-12-31	2013-05-08
188	1993-09-10	1998-04-20	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	22316	45	9999-12-31	2013-05-08
188	1993-09-10	1998-04-20	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22316	67	9999-12-31	2013-05-08
188	1993-09-10	1998-04-20	Elf Petroleum Norge AS	25.000000	\N	1993-09-10	1998-04-20	22316	298	9999-12-31	2013-05-08
188	1993-09-10	1998-04-20	Den norske stats oljeselskap a.s	40.000000	30.000000	9999-12-31	9999-12-31	22316	749	9999-12-31	2013-05-08
189	1993-09-10	1996-09-09	Amerada Hess Norge AS	20.000000	\N	1993-09-10	2001-04-23	22324	67	9999-12-31	2013-05-08
189	1996-09-09	2001-01-11	Amerada Hess Norge AS	20.000000	\N	1993-09-10	2001-04-23	22324	67	9999-12-31	2013-05-08
189	2001-01-11	2001-04-23	Amerada Hess Norge AS	20.000000	\N	1993-09-10	2001-04-23	22324	67	9999-12-31	2013-05-08
189	2001-04-23	2001-05-10	Esso Exploration and Production Norway A/S	20.000000	\N	2001-04-23	2004-10-01	22324	353	9999-12-31	2013-05-08
189	2001-05-10	2001-06-08	Esso Exploration and Production Norway A/S	20.000000	\N	2001-04-23	2004-10-01	22324	353	9999-12-31	2013-05-08
189	2001-06-08	2001-06-17	Esso Exploration and Production Norway A/S	45.000000	\N	2001-04-23	2004-10-01	22324	353	9999-12-31	2013-05-08
189	2001-06-17	2003-12-18	Esso Exploration and Production Norway A/S	45.000000	\N	2001-04-23	2004-10-01	22324	353	9999-12-31	2013-05-08
189	2003-12-18	2004-10-01	Esso Exploration and Production Norway A/S	55.000000	\N	2001-04-23	2004-10-01	22324	353	9999-12-31	2013-05-08
189	2001-01-11	2001-04-23	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22324	430	9999-12-31	2013-05-08
189	2001-04-23	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22324	430	9999-12-31	2013-05-08
189	2001-05-10	2001-06-08	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22324	430	9999-12-31	2013-05-08
189	2001-06-08	2001-06-17	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22324	430	9999-12-31	2013-05-08
189	2001-06-17	2003-12-18	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	22324	430	9999-12-31	2013-05-08
189	1993-09-10	1996-09-09	Phillips Petroleum Norsk AS	15.000000	\N	9999-12-31	9999-12-31	22324	705	9999-12-31	2013-05-08
189	1993-09-10	1996-09-09	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22324	716	9999-12-31	2013-05-08
189	1996-09-09	2001-01-11	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22324	716	9999-12-31	2013-05-08
189	1993-09-10	1996-09-09	Den norske stats oljeselskap a.s	55.000000	45.000000	9999-12-31	9999-12-31	22324	749	9999-12-31	2013-05-08
189	1996-09-09	2001-01-11	Den norske stats oljeselskap a.s	70.000000	45.000000	9999-12-31	9999-12-31	22324	749	9999-12-31	2013-05-08
189	2001-01-11	2001-04-23	Den norske stats oljeselskap a.s	70.000000	45.000000	9999-12-31	9999-12-31	22324	749	9999-12-31	2013-05-08
189	2001-04-23	2001-05-10	Den norske stats oljeselskap a.s	70.000000	45.000000	9999-12-31	9999-12-31	22324	749	9999-12-31	2013-05-08
189	2001-05-10	2001-06-08	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	22324	1622484	9999-12-31	2013-05-08
189	2001-05-10	2001-06-08	SDØE	45.000000	\N	9999-12-31	9999-12-31	22324	1623450	9999-12-31	2013-05-08
189	2001-06-08	2001-06-17	SDØE	45.000000	\N	9999-12-31	9999-12-31	22324	1623450	9999-12-31	2013-05-08
189	2001-06-17	2003-12-18	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	22324	1626839	9999-12-31	2013-05-08
189	2003-12-18	2004-10-01	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	22324	1626839	9999-12-31	2013-05-08
189	2004-10-01	2005-01-01	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	22324	1626839	9999-12-31	2013-05-08
189	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	55.000000	\N	2004-10-01	2005-01-01	22324	2835212	9999-12-31	2013-05-08
190	1997-01-01	1997-10-01	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	298	9999-12-31	2013-05-08
190	1997-10-01	1998-01-01	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	298	9999-12-31	2013-05-08
190	1998-01-01	2000-07-24	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	298	9999-12-31	2013-05-08
190	1993-09-10	1995-01-19	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22332	342	9999-12-31	2013-05-08
190	1995-01-19	1997-01-01	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22332	342	9999-12-31	2013-05-08
190	1997-01-01	1997-10-01	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22332	342	9999-12-31	2013-05-08
190	1997-10-01	1998-01-01	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22332	342	9999-12-31	2013-05-08
190	1993-09-10	1995-01-19	Norsk Hydro Produksjon AS	25.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	1995-01-19	1997-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	1997-01-01	1997-10-01	Norsk Hydro Produksjon AS	25.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	1997-10-01	1998-01-01	Norsk Hydro Produksjon AS	30.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	1998-01-01	2000-07-24	Norsk Hydro Produksjon AS	30.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	30.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	30.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	2001-12-18	2002-03-19	Norsk Hydro Produksjon AS	30.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	2002-03-19	2003-05-06	Norsk Hydro Produksjon AS	40.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	2003-05-06	2004-01-01	Norsk Hydro Produksjon AS	40.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	1993-09-10	2007-01-01	22332	430	9999-12-31	2013-05-08
190	1993-09-10	1995-01-19	Den norske stats oljeselskap a.s	65.000000	50.000000	9999-12-31	9999-12-31	22332	749	9999-12-31	2013-05-08
190	1995-01-19	1997-01-01	Den norske stats oljeselskap a.s	60.000000	50.000000	9999-12-31	9999-12-31	22332	749	9999-12-31	2013-05-08
190	1997-01-01	1997-10-01	Den norske stats oljeselskap a.s	50.000000	50.000000	9999-12-31	9999-12-31	22332	749	9999-12-31	2013-05-08
190	1997-10-01	1998-01-01	Den norske stats oljeselskap a.s	50.000000	50.000000	9999-12-31	9999-12-31	22332	749	9999-12-31	2013-05-08
190	1998-01-01	2000-07-24	Den norske stats oljeselskap a.s	50.000000	50.000000	9999-12-31	9999-12-31	22332	749	9999-12-31	2013-05-08
190	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	50.000000	50.000000	9999-12-31	9999-12-31	22332	749	9999-12-31	2013-05-08
190	1998-01-01	2000-07-24	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	848	9999-12-31	2013-05-08
190	2000-07-24	2001-05-10	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	848	9999-12-31	2013-05-08
190	2001-05-10	2001-06-17	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	848	9999-12-31	2013-05-08
190	2001-06-17	2001-12-18	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	848	9999-12-31	2013-05-08
190	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	1340884	9999-12-31	2013-05-08
190	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	1340884	9999-12-31	2013-05-08
190	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	1340884	9999-12-31	2013-05-08
190	2001-12-18	2002-03-19	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	22332	1340884	9999-12-31	2013-05-08
190	2002-03-19	2003-05-06	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	22332	1340884	9999-12-31	2013-05-08
190	2004-01-01	2007-01-01	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	22332	1622484	9999-12-31	2013-05-08
190	2007-01-01	2007-10-01	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	22332	1622484	9999-12-31	2013-05-08
190	2001-05-10	2001-06-17	SDØE	50.000000	\N	9999-12-31	9999-12-31	22332	1623450	9999-12-31	2013-05-08
190	2001-06-17	2001-12-18	Petoro AS	50.000000	\N	9999-12-31	9999-12-31	22332	1626839	9999-12-31	2013-05-08
190	2001-12-18	2002-03-19	Petoro AS	50.000000	\N	9999-12-31	9999-12-31	22332	1626839	9999-12-31	2013-05-08
190	2002-03-19	2003-05-06	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	22332	1626839	9999-12-31	2013-05-08
190	2003-05-06	2004-01-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	22332	1626839	9999-12-31	2013-05-08
190	2004-01-01	2007-01-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	22332	1626839	9999-12-31	2013-05-08
190	2007-01-01	2007-10-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	22332	1626839	9999-12-31	2013-05-08
190	2007-10-01	2009-01-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	22332	1626839	9999-12-31	2013-05-08
190	2009-01-01	2009-11-02	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	22332	1626839	9999-12-31	2013-05-08
190	2009-11-02	9999-12-31	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	22332	1626839	9999-12-31	2013-05-08
190	2003-05-06	2004-01-01	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	22332	2410708	9999-12-31	2013-05-08
190	2004-01-01	2007-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	2410708	9999-12-31	2013-05-08
190	2007-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	2410708	9999-12-31	2013-05-08
190	2007-10-01	2009-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	2410708	9999-12-31	2013-05-08
190	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	2410708	9999-12-31	2013-05-08
190	2009-11-02	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	22332	2410708	9999-12-31	2013-05-08
190	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	22332	4511658	9999-12-31	2013-05-08
190	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	22332	4511658	9999-12-31	2013-05-08
190	2007-10-01	2009-01-01	StatoilHydro ASA	10.000000	\N	9999-12-31	9999-12-31	22332	4511854	9999-12-31	2013-05-08
190	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	22332	4524355	9999-12-31	2013-05-08
190	2009-11-02	9999-12-31	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	22332	17237817	9999-12-31	2013-05-08
192	1993-09-10	1997-02-12	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22348	221	9999-12-31	2013-05-08
192	1997-02-12	1999-10-06	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22348	221	9999-12-31	2013-05-08
192	1993-09-10	1997-02-12	Mobil Development Norway AS	25.000000	\N	1993-09-10	1999-10-06	22348	474	9999-12-31	2013-05-08
192	1997-02-12	1999-10-06	Mobil Development Norway AS	18.000000	\N	1993-09-10	1999-10-06	22348	474	9999-12-31	2013-05-08
192	1993-09-10	1997-02-12	Den norske stats oljeselskap a.s	55.000000	35.000000	9999-12-31	9999-12-31	22348	749	9999-12-31	2013-05-08
192	1997-02-12	1999-10-06	Den norske stats oljeselskap a.s	62.000000	35.000000	9999-12-31	9999-12-31	22348	749	9999-12-31	2013-05-08
193	1993-09-10	1997-01-01	BP Petroleum Dev. of Norway AS	15.000000	\N	9999-12-31	9999-12-31	22356	155	9999-12-31	2013-05-08
193	1997-01-02	2000-07-24	Elf Petroleum Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	298	9999-12-31	2013-05-08
193	1993-09-10	1997-01-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22356	430	9999-12-31	2013-05-08
193	1997-01-01	1997-01-02	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22356	430	9999-12-31	2013-05-08
193	1997-01-02	2000-07-24	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22356	430	9999-12-31	2013-05-08
193	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22356	430	9999-12-31	2013-05-08
193	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22356	430	9999-12-31	2013-05-08
193	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22356	430	9999-12-31	2013-05-08
193	2001-06-17	2003-05-06	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22356	430	9999-12-31	2013-05-08
193	2003-05-06	2005-01-01	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22356	430	9999-12-31	2013-05-08
193	2005-01-01	2007-01-01	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22356	430	9999-12-31	2013-05-08
193	1993-09-10	1997-01-01	Den norske stats oljeselskap a.s	65.000000	40.000000	1993-09-10	2001-05-10	22356	749	9999-12-31	2013-05-08
193	1997-01-01	1997-01-02	Den norske stats oljeselskap a.s	80.000000	40.000000	1993-09-10	2001-05-10	22356	749	9999-12-31	2013-05-08
193	1997-01-02	2000-07-24	Den norske stats oljeselskap a.s	80.000000	40.000000	1993-09-10	2001-05-10	22356	749	9999-12-31	2013-05-08
193	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	80.000000	40.000000	1993-09-10	2001-05-10	22356	749	9999-12-31	2013-05-08
193	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	1340884	9999-12-31	2013-05-08
193	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	1340884	9999-12-31	2013-05-08
193	2001-06-01	2001-06-17	TotalFinaElf Exploration Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	1340884	9999-12-31	2013-05-08
193	2001-06-17	2003-05-06	TotalFinaElf Exploration Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	1340884	9999-12-31	2013-05-08
193	2001-05-10	2001-06-01	Statoil ASA (old)	40.000000	\N	2001-05-10	2007-10-01	22356	1622484	9999-12-31	2013-05-08
193	2001-06-01	2001-06-17	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-10-01	22356	1622484	9999-12-31	2013-05-08
193	2001-06-17	2003-05-06	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-10-01	22356	1622484	9999-12-31	2013-05-08
193	2003-05-06	2005-01-01	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-10-01	22356	1622484	9999-12-31	2013-05-08
193	2005-01-01	2007-01-01	Statoil ASA (old)	43.550000	\N	2001-05-10	2007-10-01	22356	1622484	9999-12-31	2013-05-08
193	2007-01-01	2007-10-01	Statoil ASA (old)	43.550000	\N	2001-05-10	2007-10-01	22356	1622484	9999-12-31	2013-05-08
193	2001-05-10	2001-06-01	SDØE	40.000000	\N	9999-12-31	9999-12-31	22356	1623450	9999-12-31	2013-05-08
193	2001-06-01	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	22356	1623450	9999-12-31	2013-05-08
193	2001-06-17	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22356	1626839	9999-12-31	2013-05-08
193	2003-05-06	2005-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22356	1626839	9999-12-31	2013-05-08
193	2005-01-01	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22356	1626839	9999-12-31	2013-05-08
193	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22356	1626839	9999-12-31	2013-05-08
193	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22356	1626839	9999-12-31	2013-05-08
193	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22356	1626839	9999-12-31	2013-05-08
193	2009-11-02	2012-04-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22356	1626839	9999-12-31	2013-05-08
193	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22356	1626839	9999-12-31	2013-05-08
193	2005-01-01	2007-01-01	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	22356	1853786	9999-12-31	2013-05-08
193	2007-01-01	2007-10-01	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	22356	1853786	9999-12-31	2013-05-08
193	2007-10-01	2009-01-01	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	22356	1853786	9999-12-31	2013-05-08
193	2009-01-01	2009-11-02	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	22356	1853786	9999-12-31	2013-05-08
193	2009-11-02	2012-04-30	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	22356	1853786	9999-12-31	2013-05-08
193	2012-04-30	9999-12-31	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	22356	1853786	9999-12-31	2013-05-08
193	2003-05-06	2005-01-01	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	2410708	9999-12-31	2013-05-08
193	2005-01-01	2007-01-01	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	2410708	9999-12-31	2013-05-08
193	2007-01-01	2007-10-01	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	2410708	9999-12-31	2013-05-08
193	2007-10-01	2009-01-01	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	2410708	9999-12-31	2013-05-08
193	2009-01-01	2009-11-02	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	2410708	9999-12-31	2013-05-08
193	2009-11-02	2012-04-30	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	2410708	9999-12-31	2013-05-08
193	2012-04-30	9999-12-31	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	22356	2410708	9999-12-31	2013-05-08
193	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	19.000000	\N	9999-12-31	9999-12-31	22356	4238233	9999-12-31	2013-05-08
193	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22356	4511658	9999-12-31	2013-05-08
193	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	58.550000	\N	2009-01-01	2009-11-01	22356	4511658	9999-12-31	2013-05-08
193	2007-10-01	2009-01-01	StatoilHydro ASA	43.550000	\N	2007-10-01	2008-12-31	22356	4511854	9999-12-31	2013-05-08
193	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22356	4524355	9999-12-31	2013-05-08
193	2009-11-02	2012-04-30	Statoil Petroleum AS	58.550000	\N	2009-11-02	9999-12-31	22356	17237817	9999-12-31	2013-05-08
193	2012-04-30	9999-12-31	Statoil Petroleum AS	39.550000	\N	2009-11-02	9999-12-31	22356	17237817	9999-12-31	2013-05-08
194	1993-09-10	2000-03-28	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22364	298	9999-12-31	2013-05-08
194	1993-09-10	2000-03-28	Norsk Hydro Produksjon AS	25.000000	\N	1993-09-10	2000-03-28	22364	430	9999-12-31	2013-05-08
194	1993-09-10	2000-03-28	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22364	716	9999-12-31	2013-05-08
194	1993-09-10	2000-03-28	Den norske stats oljeselskap a.s	55.000000	45.000000	9999-12-31	9999-12-31	22364	749	9999-12-31	2013-05-08
195	1993-09-10	1997-01-01	BP Petroleum Dev. of Norway AS	25.000000	\N	1993-09-10	1999-12-23	22372	155	9999-12-31	2013-05-08
195	1997-01-01	1998-12-29	BP Petroleum Dev. of Norway AS	25.000000	\N	1993-09-10	1999-12-23	22372	155	9999-12-31	2013-05-08
195	1998-12-29	1999-12-23	BP Petroleum Dev. of Norway AS	20.000000	\N	1993-09-10	1999-12-23	22372	155	9999-12-31	2013-05-08
195	1993-09-10	1997-01-01	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22372	221	9999-12-31	2013-05-08
195	1997-01-01	1998-12-29	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22372	221	9999-12-31	2013-05-08
195	1998-12-29	1999-12-23	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22372	221	9999-12-31	2013-05-08
195	1999-12-23	2001-05-10	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22372	221	9999-12-31	2013-05-08
195	2001-05-10	2001-06-17	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22372	221	9999-12-31	2013-05-08
195	2001-06-17	2002-03-12	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22372	221	9999-12-31	2013-05-08
195	2002-03-12	2003-02-11	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22372	221	9999-12-31	2013-05-08
195	1993-09-10	1997-01-01	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22372	430	9999-12-31	2013-05-08
195	1997-01-01	1998-12-29	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	22372	430	9999-12-31	2013-05-08
195	1998-12-29	1999-12-23	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22372	430	9999-12-31	2013-05-08
195	1999-12-23	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	2000-01-01	2007-01-01	22372	430	9999-12-31	2013-05-08
195	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	30.000000	\N	2000-01-01	2007-01-01	22372	430	9999-12-31	2013-05-08
195	2001-06-17	2002-03-12	Norsk Hydro Produksjon AS	30.000000	\N	2000-01-01	2007-01-01	22372	430	9999-12-31	2013-05-08
195	2002-03-12	2003-02-11	Norsk Hydro Produksjon AS	30.000000	\N	2000-01-01	2007-01-01	22372	430	9999-12-31	2013-05-08
195	2003-02-11	2003-03-11	Norsk Hydro Produksjon AS	65.000000	\N	2000-01-01	2007-01-01	22372	430	9999-12-31	2013-05-08
195	2003-03-11	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	2000-01-01	2007-01-01	22372	430	9999-12-31	2013-05-08
195	1993-09-10	1997-01-01	Den norske stats oljeselskap a.s	45.000000	35.000000	9999-12-31	9999-12-31	22372	749	9999-12-31	2013-05-08
195	1997-01-01	1998-12-29	Den norske stats oljeselskap a.s	35.000000	35.000000	9999-12-31	9999-12-31	22372	749	9999-12-31	2013-05-08
195	1998-12-29	1999-12-23	Den norske stats oljeselskap a.s	35.000000	35.000000	9999-12-31	9999-12-31	22372	749	9999-12-31	2013-05-08
195	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	35.000000	35.000000	9999-12-31	9999-12-31	22372	749	9999-12-31	2013-05-08
195	2003-03-11	2007-01-01	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	22372	97557	9999-12-31	2013-05-08
195	2007-01-01	2007-10-01	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	22372	97557	9999-12-31	2013-05-08
195	2007-10-01	2009-11-02	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	22372	97557	9999-12-31	2013-05-08
195	2009-11-02	9999-12-31	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	22372	97557	9999-12-31	2013-05-08
195	1999-12-23	2001-05-10	BP Amoco Norge AS	20.000000	\N	1999-12-23	2000-01-01	22372	982372	9999-12-31	2013-05-08
195	2001-05-10	2001-06-17	BP Amoco Norge AS	20.000000	\N	9999-12-31	9999-12-31	22372	982372	9999-12-31	2013-05-08
195	2001-06-17	2002-03-12	BP Amoco Norge AS	20.000000	\N	9999-12-31	9999-12-31	22372	982372	9999-12-31	2013-05-08
195	2001-05-10	2001-06-17	SDØE	35.000000	\N	9999-12-31	9999-12-31	22372	1623450	9999-12-31	2013-05-08
195	2001-06-17	2002-03-12	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22372	1626839	9999-12-31	2013-05-08
195	2002-03-12	2003-02-11	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22372	1626839	9999-12-31	2013-05-08
195	2003-02-11	2003-03-11	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22372	1626839	9999-12-31	2013-05-08
195	2003-03-11	2007-01-01	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22372	1626839	9999-12-31	2013-05-08
195	2007-01-01	2007-10-01	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22372	1626839	9999-12-31	2013-05-08
195	2007-10-01	2009-11-02	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22372	1626839	9999-12-31	2013-05-08
195	2009-11-02	9999-12-31	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22372	1626839	9999-12-31	2013-05-08
195	2002-03-12	2003-02-11	BP Norge AS	20.000000	\N	9999-12-31	9999-12-31	22372	2052695	9999-12-31	2013-05-08
195	2007-10-01	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	22372	4511658	9999-12-31	2013-05-08
195	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	22372	4524355	9999-12-31	2013-05-08
195	2009-11-02	9999-12-31	Statoil Petroleum AS	40.000000	\N	2009-11-02	9999-12-31	22372	17237817	9999-12-31	2013-05-08
196	1993-09-10	1997-01-01	BP Petroleum Dev. of Norway AS	25.000000	\N	1993-09-10	1997-11-30	22380	155	9999-12-31	2013-05-08
196	1993-09-10	1997-01-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22380	430	9999-12-31	2013-05-08
196	1997-01-01	2001-05-10	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22380	430	9999-12-31	2013-05-08
196	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22380	430	9999-12-31	2013-05-08
196	2001-06-17	2001-09-10	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22380	430	9999-12-31	2013-05-08
196	1993-09-10	1997-01-01	Idemitsu Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22380	441	9999-12-31	2013-05-08
196	1997-01-01	2001-05-10	Idemitsu Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22380	441	9999-12-31	2013-05-08
196	2001-05-10	2001-06-17	Idemitsu Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22380	441	9999-12-31	2013-05-08
196	2001-06-17	2001-09-10	Idemitsu Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22380	441	9999-12-31	2013-05-08
196	2001-09-10	2002-03-10	Idemitsu Petroleum Norge AS	100.000000	\N	9999-12-31	9999-12-31	22380	441	9999-12-31	2013-05-08
196	1993-09-10	1997-01-01	Den norske stats oljeselskap a.s	45.000000	25.000000	9999-12-31	9999-12-31	22380	749	9999-12-31	2013-05-08
196	1997-01-01	2001-05-10	Den norske stats oljeselskap a.s	75.000000	25.000000	1997-11-30	2001-05-10	22380	749	9999-12-31	2013-05-08
196	2001-05-10	2001-06-17	Statoil ASA (old)	50.000000	\N	2001-05-10	2001-09-10	22380	1622484	9999-12-31	2013-05-08
196	2001-06-17	2001-09-10	Statoil ASA (old)	50.000000	\N	2001-05-10	2001-09-10	22380	1622484	9999-12-31	2013-05-08
196	2001-05-10	2001-06-17	SDØE	25.000000	\N	9999-12-31	9999-12-31	22380	1623450	9999-12-31	2013-05-08
196	2001-06-17	2001-09-10	Petoro AS	25.000000	\N	9999-12-31	9999-12-31	22380	1626839	9999-12-31	2013-05-08
197	1993-09-10	1996-06-01	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22388	67	9999-12-31	2013-05-08
197	1996-06-01	2001-04-23	Amerada Hess Norge AS	70.000000	\N	1996-06-01	2002-12-31	22388	67	9999-12-31	2013-05-08
197	2001-04-23	2001-05-10	Amerada Hess Norge AS	35.000000	\N	1996-06-01	2002-12-31	22388	67	9999-12-31	2013-05-08
197	2001-05-10	2001-06-01	Amerada Hess Norge AS	35.000000	\N	1996-06-01	2002-12-31	22388	67	9999-12-31	2013-05-08
197	2001-06-01	2002-01-01	Amerada Hess Norge AS	35.000000	\N	1996-06-01	2002-12-31	22388	67	9999-12-31	2013-05-08
197	2002-01-01	2002-12-31	Amerada Hess Norge AS	70.000000	\N	1996-06-01	2002-12-31	22388	67	9999-12-31	2013-05-08
197	1993-09-10	1996-06-01	Amoco Norway AS	15.000000	\N	9999-12-31	9999-12-31	22388	89	9999-12-31	2013-05-08
197	1993-09-10	1996-06-01	Norske Conoco A/S	25.000000	\N	1993-09-10	1996-06-01	22388	221	9999-12-31	2013-05-08
197	2001-04-23	2001-05-10	Esso Exploration and Production Norway A/S	35.000000	\N	9999-12-31	9999-12-31	22388	353	9999-12-31	2013-05-08
197	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	35.000000	\N	9999-12-31	9999-12-31	22388	353	9999-12-31	2013-05-08
197	2001-06-01	2002-01-01	Esso Exploration and Production Norway A/S	35.000000	\N	9999-12-31	9999-12-31	22388	353	9999-12-31	2013-05-08
197	1993-09-10	1996-06-01	Den norske stats oljeselskap a.s	45.000000	30.000000	9999-12-31	9999-12-31	22388	749	9999-12-31	2013-05-08
197	1996-06-01	2001-04-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22388	749	9999-12-31	2013-05-08
197	2001-04-23	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22388	749	9999-12-31	2013-05-08
197	2001-06-01	2002-01-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22388	1622484	9999-12-31	2013-05-08
197	2002-01-01	2002-12-31	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22388	1622484	9999-12-31	2013-05-08
197	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22388	1623450	9999-12-31	2013-05-08
198	1993-09-10	1999-09-10	Elf Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	22396	298	9999-12-31	2013-05-08
198	1993-09-10	1999-09-10	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22396	430	9999-12-31	2013-05-08
198	1993-09-10	1999-09-10	Den norske stats oljeselskap a.s	65.000000	40.000000	1993-09-10	1999-09-10	22396	749	9999-12-31	2013-05-08
199	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	22404	430	9999-12-31	2013-05-08
199	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	22404	430	9999-12-31	2013-05-08
199	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	22404	430	9999-12-31	2013-05-08
199	2001-06-17	2004-01-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	22404	430	9999-12-31	2013-05-08
199	2004-01-01	2004-01-02	Norsk Hydro Produksjon AS	14.000000	\N	9999-12-31	9999-12-31	22404	430	9999-12-31	2013-05-08
199	2004-01-02	2007-01-01	Norsk Hydro Produksjon AS	14.000000	\N	9999-12-31	9999-12-31	22404	430	9999-12-31	2013-05-08
199	1993-09-10	1999-12-11	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	474	9999-12-31	2013-05-08
199	1999-12-11	2001-01-11	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	474	9999-12-31	2013-05-08
199	2001-01-11	2001-05-10	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	474	9999-12-31	2013-05-08
199	2001-05-10	2001-06-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	474	9999-12-31	2013-05-08
199	2001-06-01	2001-06-17	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	474	9999-12-31	2013-05-08
199	2001-06-17	2004-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	474	9999-12-31	2013-05-08
199	2004-01-01	2004-01-02	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	474	9999-12-31	2013-05-08
199	2004-01-02	2007-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	474	9999-12-31	2013-05-08
199	2007-01-01	2007-10-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	474	9999-12-31	2013-05-08
199	2007-10-01	2008-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	474	9999-12-31	2013-05-08
199	2008-01-01	2008-01-02	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	474	9999-12-31	2013-05-08
199	1993-09-10	1999-12-11	Saga Petroleum ASA	25.000000	\N	1993-09-10	1999-12-31	22404	716	9999-12-31	2013-05-08
199	1999-12-11	2001-01-11	Saga Petroleum ASA	12.000000	\N	1993-09-10	1999-12-31	22404	716	9999-12-31	2013-05-08
199	1993-09-10	1999-12-11	Den norske stats oljeselskap a.s	60.000000	45.000000	9999-12-31	9999-12-31	22404	749	9999-12-31	2013-05-08
199	1999-12-11	2001-01-11	Den norske stats oljeselskap a.s	73.000000	45.000000	2000-01-01	2001-05-10	22404	749	9999-12-31	2013-05-08
199	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	73.000000	45.000000	2000-01-01	2001-05-10	22404	749	9999-12-31	2013-05-08
199	2001-05-10	2001-06-01	Statoil ASA (old)	28.000000	\N	2001-05-10	2007-10-01	22404	1622484	9999-12-31	2013-05-08
199	2001-06-01	2001-06-17	Statoil ASA (old)	46.000000	\N	2001-05-10	2007-10-01	22404	1622484	9999-12-31	2013-05-08
199	2001-06-17	2004-01-01	Statoil ASA (old)	46.000000	\N	2001-05-10	2007-10-01	22404	1622484	9999-12-31	2013-05-08
199	2004-01-01	2004-01-02	Statoil ASA (old)	44.000000	\N	2001-05-10	2007-10-01	22404	1622484	9999-12-31	2013-05-08
199	2004-01-02	2007-01-01	Statoil ASA (old)	38.000000	\N	2001-05-10	2007-10-01	22404	1622484	9999-12-31	2013-05-08
199	2007-01-01	2007-10-01	Statoil ASA (old)	38.000000	\N	2001-05-10	2007-10-01	22404	1622484	9999-12-31	2013-05-08
199	2001-05-10	2001-06-01	SDØE	45.000000	\N	9999-12-31	9999-12-31	22404	1623450	9999-12-31	2013-05-08
199	2001-06-01	2001-06-17	SDØE	27.000000	\N	9999-12-31	9999-12-31	22404	1623450	9999-12-31	2013-05-08
199	2001-06-17	2004-01-01	Petoro AS	27.000000	\N	9999-12-31	9999-12-31	22404	1626839	9999-12-31	2013-05-08
199	2004-01-01	2004-01-02	Petoro AS	27.000000	\N	9999-12-31	9999-12-31	22404	1626839	9999-12-31	2013-05-08
199	2004-01-02	2007-01-01	Petoro AS	27.000000	\N	9999-12-31	9999-12-31	22404	1626839	9999-12-31	2013-05-08
199	2007-01-01	2007-10-01	Petoro AS	27.000000	\N	9999-12-31	9999-12-31	22404	1626839	9999-12-31	2013-05-08
199	2007-10-01	2008-01-01	Petoro AS	27.000000	\N	9999-12-31	9999-12-31	22404	1626839	9999-12-31	2013-05-08
199	2008-01-01	2008-01-02	Petoro AS	27.000000	\N	9999-12-31	9999-12-31	22404	1626839	9999-12-31	2013-05-08
199	2008-01-02	2009-01-01	Petoro AS	27.000000	\N	9999-12-31	9999-12-31	22404	1626839	9999-12-31	2013-05-08
199	2009-01-01	2009-11-02	Petoro AS	27.000000	\N	9999-12-31	9999-12-31	22404	1626839	9999-12-31	2013-05-08
199	2009-11-02	9999-12-31	Petoro AS	27.000000	\N	9999-12-31	9999-12-31	22404	1626839	9999-12-31	2013-05-08
199	2004-01-02	2007-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	22404	2410708	9999-12-31	2013-05-08
199	2007-01-01	2007-10-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	22404	2410708	9999-12-31	2013-05-08
199	2007-10-01	2008-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	22404	2410708	9999-12-31	2013-05-08
199	2008-01-01	2008-01-02	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	22404	2410708	9999-12-31	2013-05-08
199	2008-01-02	2009-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	22404	2410708	9999-12-31	2013-05-08
199	2009-01-01	2009-11-02	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	22404	2410708	9999-12-31	2013-05-08
199	2009-11-02	9999-12-31	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	22404	2410708	9999-12-31	2013-05-08
199	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	2835212	9999-12-31	2013-05-08
199	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	2835212	9999-12-31	2013-05-08
199	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	22404	2835212	9999-12-31	2013-05-08
199	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	14.000000	\N	9999-12-31	9999-12-31	22404	4511658	9999-12-31	2013-05-08
199	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	52.000000	\N	2009-01-01	2009-11-01	22404	4511658	9999-12-31	2013-05-08
199	2007-10-01	2008-01-01	StatoilHydro ASA	38.000000	\N	2007-10-01	2008-12-31	22404	4511854	9999-12-31	2013-05-08
199	2008-01-01	2008-01-02	StatoilHydro ASA	52.000000	\N	2007-10-01	2008-12-31	22404	4511854	9999-12-31	2013-05-08
199	2008-01-02	2009-01-01	StatoilHydro ASA	52.000000	\N	2007-10-01	2008-12-31	22404	4511854	9999-12-31	2013-05-08
199	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	14.000000	\N	9999-12-31	9999-12-31	22404	4524355	9999-12-31	2013-05-08
199	2009-11-02	9999-12-31	Statoil Petroleum AS	52.000000	\N	2009-11-02	9999-12-31	22404	17237817	9999-12-31	2013-05-08
200	1993-09-10	1999-04-13	Neste Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22412	496	9999-12-31	2013-05-08
200	1993-09-10	1999-04-13	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22412	705	9999-12-31	2013-05-08
200	1999-04-13	2000-06-22	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22412	705	9999-12-31	2013-05-08
200	2000-06-22	2001-05-10	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22412	705	9999-12-31	2013-05-08
200	2001-05-10	2001-06-01	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22412	705	9999-12-31	2013-05-08
200	2001-06-01	2002-03-12	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22412	705	9999-12-31	2013-05-08
200	2002-03-12	2003-05-06	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22412	705	9999-12-31	2013-05-08
200	1993-09-10	1999-04-13	Den norske stats oljeselskap a.s	65.000000	40.000000	1993-09-10	2001-05-10	22412	749	9999-12-31	2013-05-08
200	1999-04-13	2000-06-22	Den norske stats oljeselskap a.s	65.000000	40.000000	1993-09-10	2001-05-10	22412	749	9999-12-31	2013-05-08
200	2000-06-22	2001-05-10	Den norske stats oljeselskap a.s	65.000000	40.000000	1993-09-10	2001-05-10	22412	749	9999-12-31	2013-05-08
200	1999-04-13	2000-06-22	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22412	102714	9999-12-31	2013-05-08
200	2000-06-22	2001-05-10	BP Amoco Norge AS	15.000000	\N	9999-12-31	9999-12-31	22412	982372	9999-12-31	2013-05-08
200	2001-05-10	2001-06-01	BP Amoco Norge AS	15.000000	\N	9999-12-31	9999-12-31	22412	982372	9999-12-31	2013-05-08
200	2001-06-01	2002-03-12	BP Amoco Norge AS	15.000000	\N	9999-12-31	9999-12-31	22412	982372	9999-12-31	2013-05-08
200	2001-05-10	2001-06-01	Statoil ASA (old)	25.000000	\N	2001-05-10	2003-09-10	22412	1622484	9999-12-31	2013-05-08
200	2001-06-01	2002-03-12	Statoil ASA (old)	65.000000	\N	2001-05-10	2003-09-10	22412	1622484	9999-12-31	2013-05-08
200	2002-03-12	2003-05-06	Statoil ASA (old)	65.000000	\N	2001-05-10	2003-09-10	22412	1622484	9999-12-31	2013-05-08
200	2003-05-06	2003-09-10	Statoil ASA (old)	65.000000	\N	2001-05-10	2003-09-10	22412	1622484	9999-12-31	2013-05-08
200	2001-05-10	2001-06-01	SDØE	40.000000	\N	9999-12-31	9999-12-31	22412	1623450	9999-12-31	2013-05-08
200	2002-03-12	2003-05-06	BP Norge AS	15.000000	\N	9999-12-31	9999-12-31	22412	2052695	9999-12-31	2013-05-08
200	2003-05-06	2003-09-10	BP Norge AS	15.000000	\N	9999-12-31	9999-12-31	22412	2052695	9999-12-31	2013-05-08
200	2003-05-06	2003-09-10	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	22412	2410696	9999-12-31	2013-05-08
201	1993-09-10	1997-03-13	Norsk Agip  AS	30.000000	\N	1993-09-10	2003-12-31	22420	45	9999-12-31	2013-05-08
201	1997-03-13	1999-04-13	Norsk Agip  AS	35.000000	\N	1993-09-10	2003-12-31	22420	45	9999-12-31	2013-05-08
201	1999-04-13	2001-05-10	Norsk Agip  AS	35.000000	\N	1993-09-10	2003-12-31	22420	45	9999-12-31	2013-05-08
201	2001-05-10	2001-06-01	Norsk Agip  AS	35.000000	\N	1993-09-10	2003-12-31	22420	45	9999-12-31	2013-05-08
201	2001-06-01	2001-12-31	Norsk Agip  AS	35.000000	\N	1993-09-10	2003-12-31	22420	45	9999-12-31	2013-05-08
201	2001-12-31	2003-03-04	Norsk Agip  AS	35.000000	\N	1993-09-10	2003-12-31	22420	45	9999-12-31	2013-05-08
201	2003-03-04	2003-07-01	Norsk Agip  AS	35.000000	\N	1993-09-10	2003-12-31	22420	45	9999-12-31	2013-05-08
201	2003-07-01	2003-12-31	Norsk Agip  AS	51.670000	\N	1993-09-10	2003-12-31	22420	45	9999-12-31	2013-05-08
201	1993-09-10	1997-03-13	Enterprise Oil Norwegian AS	20.000000	\N	9999-12-31	9999-12-31	22420	342	9999-12-31	2013-05-08
201	1997-03-13	1999-04-13	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	22420	342	9999-12-31	2013-05-08
201	1999-04-13	2001-05-10	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	22420	342	9999-12-31	2013-05-08
201	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	22420	342	9999-12-31	2013-05-08
201	2001-06-01	2001-12-31	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	22420	342	9999-12-31	2013-05-08
201	1993-09-10	1997-03-13	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22420	496	9999-12-31	2013-05-08
201	1997-03-13	1999-04-13	Neste Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22420	496	9999-12-31	2013-05-08
201	1993-09-10	1997-03-13	Den norske stats oljeselskap a.s	40.000000	25.000000	9999-12-31	9999-12-31	22420	749	9999-12-31	2013-05-08
201	1997-03-13	1999-04-13	Den norske stats oljeselskap a.s	25.000000	\N	9999-12-31	9999-12-31	22420	749	9999-12-31	2013-05-08
201	1999-04-13	2001-05-10	Den norske stats oljeselskap a.s	25.000000	\N	9999-12-31	9999-12-31	22420	749	9999-12-31	2013-05-08
201	1999-04-13	2001-05-10	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22420	102714	9999-12-31	2013-05-08
201	2001-05-10	2001-06-01	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22420	102714	9999-12-31	2013-05-08
201	2001-06-01	2001-12-31	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22420	102714	9999-12-31	2013-05-08
201	2001-12-31	2003-03-04	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22420	102714	9999-12-31	2013-05-08
201	2001-06-01	2001-12-31	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	22420	1622484	9999-12-31	2013-05-08
201	2001-12-31	2003-03-04	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	22420	1622484	9999-12-31	2013-05-08
201	2003-03-04	2003-07-01	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	22420	1622484	9999-12-31	2013-05-08
201	2003-07-01	2003-12-31	Statoil ASA (old)	33.330000	\N	9999-12-31	9999-12-31	22420	1622484	9999-12-31	2013-05-08
201	2003-12-31	2007-10-01	Statoil ASA (old)	33.330000	\N	9999-12-31	9999-12-31	22420	1622484	9999-12-31	2013-05-08
201	2001-05-10	2001-06-01	SDØE	25.000000	\N	9999-12-31	9999-12-31	22420	1623450	9999-12-31	2013-05-08
201	2001-12-31	2003-03-04	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	22420	1853786	9999-12-31	2013-05-08
201	2003-03-04	2003-07-01	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	22420	1853786	9999-12-31	2013-05-08
201	2003-03-04	2003-07-01	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22420	2388594	9999-12-31	2013-05-08
201	2003-07-01	2003-12-31	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22420	2388594	9999-12-31	2013-05-08
201	2003-12-31	2007-10-01	Eni Norge AS	66.670000	\N	2003-12-31	9999-12-31	22420	2388594	9999-12-31	2013-05-08
201	2007-10-01	2009-01-01	Eni Norge AS	66.670000	\N	2003-12-31	9999-12-31	22420	2388594	9999-12-31	2013-05-08
201	2009-01-01	2009-11-02	Eni Norge AS	66.670000	\N	2003-12-31	9999-12-31	22420	2388594	9999-12-31	2013-05-08
201	2009-11-02	9999-12-31	Eni Norge AS	66.670000	\N	2003-12-31	9999-12-31	22420	2388594	9999-12-31	2013-05-08
201	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	33.330000	\N	9999-12-31	9999-12-31	22420	4511658	9999-12-31	2013-05-08
201	2007-10-01	2009-01-01	StatoilHydro ASA	33.330000	\N	9999-12-31	9999-12-31	22420	4511854	9999-12-31	2013-05-08
201	2009-11-02	9999-12-31	Statoil Petroleum AS	33.330000	\N	9999-12-31	9999-12-31	22420	17237817	9999-12-31	2013-05-08
203	1996-02-02	1999-12-23	Amoco Norway AS	15.000000	\N	9999-12-31	9999-12-31	22436	89	9999-12-31	2013-05-08
203	1996-02-02	1999-12-23	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22436	221	9999-12-31	2013-05-08
203	1999-12-23	2000-11-23	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22436	221	9999-12-31	2013-05-08
203	2000-11-23	2001-05-10	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22436	221	9999-12-31	2013-05-08
203	2001-05-10	2001-06-17	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22436	221	9999-12-31	2013-05-08
203	2001-06-17	2002-03-19	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22436	221	9999-12-31	2013-05-08
203	2002-03-19	2002-06-14	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22436	221	9999-12-31	2013-05-08
203	2002-06-14	2003-03-22	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	22436	221	9999-12-31	2013-05-08
203	1996-02-02	1999-12-23	Norsk Hydro Produksjon AS	35.000000	\N	1996-02-02	2002-06-14	22436	430	9999-12-31	2013-05-08
203	1999-12-23	2000-11-23	Norsk Hydro Produksjon AS	35.000000	\N	1996-02-02	2002-06-14	22436	430	9999-12-31	2013-05-08
203	2000-11-23	2001-05-10	Norsk Hydro Produksjon AS	35.000000	\N	1996-02-02	2002-06-14	22436	430	9999-12-31	2013-05-08
203	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	35.000000	\N	1996-02-02	2002-06-14	22436	430	9999-12-31	2013-05-08
203	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	35.000000	\N	1996-02-02	2002-06-14	22436	430	9999-12-31	2013-05-08
203	2002-03-19	2002-06-14	Norsk Hydro Produksjon AS	35.000000	\N	1996-02-02	2002-06-14	22436	430	9999-12-31	2013-05-08
203	2002-03-19	2002-06-14	Marathon Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	22436	463	9999-12-31	2013-05-08
203	2002-06-14	2003-03-22	Marathon Petroleum Norge AS	65.000000	\N	2002-06-14	2011-07-03	22436	463	9999-12-31	2013-05-08
203	2003-03-22	2004-01-01	Marathon Petroleum Norge AS	65.000000	\N	2002-06-14	2011-07-03	22436	463	9999-12-31	2013-05-08
203	2004-01-01	2007-01-01	Marathon Petroleum Norge AS	65.000000	\N	2002-06-14	2011-07-03	22436	463	9999-12-31	2013-05-08
203	2007-01-01	2011-07-04	Marathon Petroleum Norge AS	65.000000	\N	2002-06-14	2011-07-03	22436	463	9999-12-31	2013-05-08
203	1996-02-02	1999-12-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22436	749	9999-12-31	2013-05-08
203	1999-12-23	2000-11-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22436	749	9999-12-31	2013-05-08
203	2000-11-23	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22436	749	9999-12-31	2013-05-08
203	1999-12-23	2000-11-23	BP Amoco Norge AS	15.000000	\N	9999-12-31	9999-12-31	22436	982372	9999-12-31	2013-05-08
203	2000-11-23	2001-05-10	Det Norske Oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	22436	1340609	9999-12-31	2013-05-08
203	2001-05-10	2001-06-17	Det Norske Oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	22436	1340609	9999-12-31	2013-05-08
203	2001-06-17	2002-03-19	Det Norske Oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	22436	1340609	9999-12-31	2013-05-08
203	2002-03-19	2002-06-14	Det Norske Oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	22436	1340609	9999-12-31	2013-05-08
203	2002-06-14	2003-03-22	Det Norske Oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	22436	1340609	9999-12-31	2013-05-08
203	2003-03-22	2004-01-01	Det Norske Oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	22436	1340609	9999-12-31	2013-05-08
203	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	22436	1623450	9999-12-31	2013-05-08
203	2001-06-17	2002-03-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22436	1626839	9999-12-31	2013-05-08
203	2003-03-22	2004-01-01	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	22436	2399056	9999-12-31	2013-05-08
203	2004-01-01	2007-01-01	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	22436	2399056	9999-12-31	2013-05-08
203	2007-01-01	2011-07-04	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	22436	2410696	9999-12-31	2013-05-08
203	2011-07-04	9999-12-31	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	22436	2410696	9999-12-31	2013-05-08
203	2004-01-01	2007-01-01	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	22436	2767314	9999-12-31	2013-05-08
203	2007-01-01	2011-07-04	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	22436	2767314	9999-12-31	2013-05-08
203	2011-07-04	9999-12-31	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	22436	2767314	9999-12-31	2013-05-08
203	2011-07-04	9999-12-31	Marathon Oil Norge AS	65.000000	\N	2011-07-04	9999-12-31	22436	20485291	9999-12-31	2013-05-08
204	1996-02-02	2001-05-10	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	22444	67	9999-12-31	2013-05-08
204	2001-05-10	2001-06-17	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	22444	67	9999-12-31	2013-05-08
204	2001-06-17	2001-12-31	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	22444	67	9999-12-31	2013-05-08
204	2001-12-31	2002-03-19	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	22444	67	9999-12-31	2013-05-08
204	2002-03-19	2003-06-24	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	22444	67	9999-12-31	2013-05-08
204	2003-06-24	2004-02-02	Amerada Hess Norge AS	23.500000	\N	9999-12-31	9999-12-31	22444	67	9999-12-31	2013-05-08
204	1996-02-02	2001-05-10	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22444	342	9999-12-31	2013-05-08
204	2001-05-10	2001-06-17	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22444	342	9999-12-31	2013-05-08
204	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22444	342	9999-12-31	2013-05-08
204	2002-03-19	2003-06-24	Marathon Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	22444	463	9999-12-31	2013-05-08
204	2003-06-24	2004-02-02	Marathon Petroleum Norge AS	35.300000	\N	9999-12-31	9999-12-31	22444	463	9999-12-31	2013-05-08
204	1996-02-02	2001-05-10	Den norske stats oljeselskap a.s	65.000000	30.000000	1996-02-02	2001-05-10	22444	749	9999-12-31	2013-05-08
204	2001-05-10	2001-06-17	Statoil ASA (old)	35.000000	\N	2001-05-10	2004-02-02	22444	1622484	9999-12-31	2013-05-08
204	2001-06-17	2001-12-31	Statoil ASA (old)	35.000000	\N	2001-05-10	2004-02-02	22444	1622484	9999-12-31	2013-05-08
204	2001-12-31	2002-03-19	Statoil ASA (old)	35.000000	\N	2001-05-10	2004-02-02	22444	1622484	9999-12-31	2013-05-08
204	2002-03-19	2003-06-24	Statoil ASA (old)	35.000000	\N	2001-05-10	2004-02-02	22444	1622484	9999-12-31	2013-05-08
204	2003-06-24	2004-02-02	Statoil ASA (old)	41.200000	\N	2001-05-10	2004-02-02	22444	1622484	9999-12-31	2013-05-08
204	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	22444	1623450	9999-12-31	2013-05-08
204	2001-06-17	2001-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22444	1626839	9999-12-31	2013-05-08
204	2001-12-31	2002-03-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22444	1626839	9999-12-31	2013-05-08
204	2001-12-31	2002-03-19	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22444	1853786	9999-12-31	2013-05-08
204	2002-03-19	2003-06-24	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22444	1853786	9999-12-31	2013-05-08
205	1996-02-02	1999-12-31	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22452	430	9999-12-31	2013-05-08
205	1996-02-02	1999-12-31	Phillips Petroleum Norsk AS	30.000000	\N	1996-02-02	1999-12-31	22452	705	9999-12-31	2013-05-08
205	1996-02-02	1999-12-31	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22452	749	9999-12-31	2013-05-08
205	1996-02-02	1999-12-31	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	22452	848	9999-12-31	2013-05-08
206	2001-01-11	2003-12-31	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	22460	430	9999-12-31	2013-05-08
206	1996-02-02	2001-01-11	Mobil Development Norway AS	75.000000	\N	1996-02-02	2003-12-31	22460	474	9999-12-31	2013-05-08
206	2001-01-11	2003-12-31	Mobil Development Norway AS	75.000000	\N	1996-02-02	2003-12-31	22460	474	9999-12-31	2013-05-08
206	1996-02-02	2001-01-11	Saga Petroleum ASA	25.000000	\N	9999-12-31	9999-12-31	22460	716	9999-12-31	2013-05-08
207	1996-02-02	2000-01-20	Esso Exploration and Production Norway A/S	35.000000	\N	1996-02-02	2000-01-20	22468	353	9999-12-31	2013-05-08
207	1996-02-02	2000-01-20	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22468	716	9999-12-31	2013-05-08
207	1996-02-02	2000-01-20	Den norske stats oljeselskap a.s	55.000000	30.000000	9999-12-31	9999-12-31	22468	749	9999-12-31	2013-05-08
208	1996-02-02	1999-12-23	BP Petroleum Dev. of Norway AS	45.000000	\N	1996-02-02	1999-12-23	22476	155	9999-12-31	2013-05-08
208	1996-02-02	1999-12-23	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	22476	562	9999-12-31	2013-05-08
208	1999-12-23	2001-05-10	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	22476	562	9999-12-31	2013-05-08
208	2001-05-10	2001-06-17	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	22476	562	9999-12-31	2013-05-08
208	2001-06-17	2002-03-12	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	22476	562	9999-12-31	2013-05-08
208	2002-03-12	2005-01-01	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	22476	562	9999-12-31	2013-05-08
208	2005-01-01	2006-09-06	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	22476	562	9999-12-31	2013-05-08
208	2006-09-06	9999-12-31	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	22476	562	9999-12-31	2013-05-08
208	1996-02-02	1999-12-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22476	749	9999-12-31	2013-05-08
208	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22476	749	9999-12-31	2013-05-08
208	1999-12-23	2001-05-10	BP Amoco Norge AS	45.000000	\N	1999-12-23	2002-03-12	22476	982372	9999-12-31	2013-05-08
208	2001-05-10	2001-06-17	BP Amoco Norge AS	45.000000	\N	1999-12-23	2002-03-12	22476	982372	9999-12-31	2013-05-08
208	2001-06-17	2002-03-12	BP Amoco Norge AS	45.000000	\N	1999-12-23	2002-03-12	22476	982372	9999-12-31	2013-05-08
208	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	22476	1623450	9999-12-31	2013-05-08
208	2001-06-17	2002-03-12	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22476	1626839	9999-12-31	2013-05-08
208	2002-03-12	2005-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22476	1626839	9999-12-31	2013-05-08
208	2005-01-01	2006-09-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22476	1626839	9999-12-31	2013-05-08
208	2006-09-06	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22476	1626839	9999-12-31	2013-05-08
208	2005-01-01	2006-09-06	DONG Norge AS	45.000000	\N	2005-04-25	2006-09-06	22476	1853083	9999-12-31	2013-05-08
208	2002-03-12	2005-01-01	BP Norge AS	45.000000	\N	2002-03-12	2005-04-25	22476	2052695	9999-12-31	2013-05-08
208	2006-09-06	9999-12-31	DONG E&P Norge AS	45.000000	\N	2006-09-06	9999-12-31	22476	4070011	9999-12-31	2013-05-08
209	1996-02-02	2001-05-10	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22484	353	9999-12-31	2013-05-08
209	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22484	353	9999-12-31	2013-05-08
209	2001-06-17	2004-10-01	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	22484	353	9999-12-31	2013-05-08
209	1996-02-02	2001-05-10	Norsk Hydro Produksjon AS	25.000000	\N	1996-02-02	2007-01-01	22484	430	9999-12-31	2013-05-08
209	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	25.000000	\N	1996-02-02	2007-01-01	22484	430	9999-12-31	2013-05-08
209	2001-06-17	2004-10-01	Norsk Hydro Produksjon AS	25.000000	\N	1996-02-02	2007-01-01	22484	430	9999-12-31	2013-05-08
209	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1996-02-02	2007-01-01	22484	430	9999-12-31	2013-05-08
209	1996-02-02	2001-05-10	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22484	562	9999-12-31	2013-05-08
209	2001-05-10	2001-06-17	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22484	562	9999-12-31	2013-05-08
209	2001-06-17	2004-10-01	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22484	562	9999-12-31	2013-05-08
209	2004-10-01	2007-01-01	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22484	562	9999-12-31	2013-05-08
209	2007-01-01	2007-10-01	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22484	562	9999-12-31	2013-05-08
209	2007-10-01	2009-01-01	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22484	562	9999-12-31	2013-05-08
209	2009-01-01	2009-11-02	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22484	562	9999-12-31	2013-05-08
209	2009-11-02	9999-12-31	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22484	562	9999-12-31	2013-05-08
209	1996-02-02	2001-05-10	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22484	749	9999-12-31	2013-05-08
209	2001-05-10	2001-06-17	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22484	1622484	9999-12-31	2013-05-08
209	2001-06-17	2004-10-01	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22484	1622484	9999-12-31	2013-05-08
209	2004-10-01	2007-01-01	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22484	1622484	9999-12-31	2013-05-08
209	2007-01-01	2007-10-01	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22484	1622484	9999-12-31	2013-05-08
209	2001-05-10	2001-06-17	SDØE	35.000000	\N	9999-12-31	9999-12-31	22484	1623450	9999-12-31	2013-05-08
209	2001-06-17	2004-10-01	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22484	1626839	9999-12-31	2013-05-08
209	2004-10-01	2007-01-01	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22484	1626839	9999-12-31	2013-05-08
209	2007-01-01	2007-10-01	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22484	1626839	9999-12-31	2013-05-08
209	2007-10-01	2009-01-01	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22484	1626839	9999-12-31	2013-05-08
209	2009-01-01	2009-11-02	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22484	1626839	9999-12-31	2013-05-08
209	2009-11-02	9999-12-31	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	22484	1626839	9999-12-31	2013-05-08
209	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	10.000000	\N	9999-12-31	9999-12-31	22484	2835212	9999-12-31	2013-05-08
209	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	10.000000	\N	9999-12-31	9999-12-31	22484	2835212	9999-12-31	2013-05-08
209	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	10.000000	\N	9999-12-31	9999-12-31	22484	2835212	9999-12-31	2013-05-08
209	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	10.000000	\N	9999-12-31	9999-12-31	22484	2835212	9999-12-31	2013-05-08
209	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	10.000000	\N	9999-12-31	9999-12-31	22484	2835212	9999-12-31	2013-05-08
209	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	22484	4511658	9999-12-31	2013-05-08
209	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	22484	4511658	9999-12-31	2013-05-08
209	2007-10-01	2009-01-01	StatoilHydro ASA	15.000000	\N	9999-12-31	9999-12-31	22484	4511854	9999-12-31	2013-05-08
209	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	25.000000	\N	2007-01-01	2007-10-01	22484	4524355	9999-12-31	2013-05-08
209	2009-11-02	9999-12-31	Statoil Petroleum AS	40.000000	\N	2009-11-02	9999-12-31	22484	17237817	9999-12-31	2013-05-08
210	1996-02-02	2000-07-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22492	430	9999-12-31	2013-05-08
210	1996-02-02	2000-07-01	A/S Norske Shell	30.000000	\N	1996-02-02	2001-03-19	22492	562	9999-12-31	2013-05-08
210	2000-07-01	2001-03-19	A/S Norske Shell	30.000000	\N	1996-02-02	2001-03-19	22492	562	9999-12-31	2013-05-08
210	2001-03-19	2001-05-10	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22492	562	9999-12-31	2013-05-08
210	2001-05-10	2001-06-01	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22492	562	9999-12-31	2013-05-08
210	2001-06-01	2002-03-12	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22492	562	9999-12-31	2013-05-08
210	2002-03-12	2004-01-01	A/S Norske Shell	15.000000	\N	9999-12-31	9999-12-31	22492	562	9999-12-31	2013-05-08
210	1996-02-02	2000-07-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22492	749	9999-12-31	2013-05-08
210	2000-07-01	2001-03-19	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22492	749	9999-12-31	2013-05-08
210	2001-03-19	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22492	749	9999-12-31	2013-05-08
210	2000-07-01	2001-03-19	BP Amoco Norge AS	20.000000	\N	9999-12-31	9999-12-31	22492	982372	9999-12-31	2013-05-08
210	2001-03-19	2001-05-10	BP Amoco Norge AS	35.000000	\N	2001-03-19	2002-03-12	22492	982372	9999-12-31	2013-05-08
210	2001-05-10	2001-06-01	BP Amoco Norge AS	35.000000	\N	2001-03-19	2002-03-12	22492	982372	9999-12-31	2013-05-08
210	2001-06-01	2002-03-12	BP Amoco Norge AS	35.000000	\N	2001-03-19	2002-03-12	22492	982372	9999-12-31	2013-05-08
210	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22492	1622484	9999-12-31	2013-05-08
210	2001-06-01	2002-03-12	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	22492	1622484	9999-12-31	2013-05-08
210	2002-03-12	2004-01-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	22492	1622484	9999-12-31	2013-05-08
210	2004-01-01	2006-02-02	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	22492	1622484	9999-12-31	2013-05-08
210	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22492	1623450	9999-12-31	2013-05-08
210	2002-03-12	2004-01-01	BP Norge AS	35.000000	\N	2002-03-12	2006-02-02	22492	2052695	9999-12-31	2013-05-08
210	2004-01-01	2006-02-02	BP Norge AS	50.000000	\N	2002-03-12	2006-02-02	22492	2052695	9999-12-31	2013-05-08
211	1996-02-02	2000-07-24	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	22500	45	9999-12-31	2013-05-08
211	2000-07-24	2001-05-10	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	22500	45	9999-12-31	2013-05-08
211	2001-05-10	2001-06-01	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	22500	45	9999-12-31	2013-05-08
211	2001-06-01	2003-05-06	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	22500	45	9999-12-31	2013-05-08
211	2003-05-06	2003-12-31	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	22500	45	9999-12-31	2013-05-08
211	1996-02-02	2000-07-24	Elf Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	22500	298	9999-12-31	2013-05-08
211	1996-02-02	2000-07-24	Mobil Development Norway AS	30.000000	\N	1996-02-02	2006-02-24	22500	474	9999-12-31	2013-05-08
211	2000-07-24	2001-05-10	Mobil Development Norway AS	30.000000	\N	1996-02-02	2006-02-24	22500	474	9999-12-31	2013-05-08
211	2001-05-10	2001-06-01	Mobil Development Norway AS	30.000000	\N	1996-02-02	2006-02-24	22500	474	9999-12-31	2013-05-08
211	2001-06-01	2003-05-06	Mobil Development Norway AS	30.000000	\N	1996-02-02	2006-02-24	22500	474	9999-12-31	2013-05-08
211	2003-05-06	2003-12-31	Mobil Development Norway AS	30.000000	\N	1996-02-02	2006-02-24	22500	474	9999-12-31	2013-05-08
211	2003-12-31	2006-01-01	Mobil Development Norway AS	30.000000	\N	1996-02-02	2006-02-24	22500	474	9999-12-31	2013-05-08
211	1996-02-02	2000-07-24	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22500	749	9999-12-31	2013-05-08
211	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22500	749	9999-12-31	2013-05-08
211	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	22500	1340884	9999-12-31	2013-05-08
211	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	22500	1340884	9999-12-31	2013-05-08
211	2001-06-01	2003-05-06	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	22500	1340884	9999-12-31	2013-05-08
211	2001-06-01	2003-05-06	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22500	1622484	9999-12-31	2013-05-08
211	2003-05-06	2003-12-31	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22500	1622484	9999-12-31	2013-05-08
211	2003-12-31	2006-01-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22500	1622484	9999-12-31	2013-05-08
211	2006-01-01	2006-01-02	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22500	1622484	9999-12-31	2013-05-08
211	2006-01-02	2007-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22500	1622484	9999-12-31	2013-05-08
211	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22500	1623450	9999-12-31	2013-05-08
211	2003-12-31	2006-01-01	Eni Norge AS	20.000000	\N	9999-12-31	9999-12-31	22500	2388594	9999-12-31	2013-05-08
211	2006-01-01	2006-01-02	Eni Norge AS	20.000000	\N	9999-12-31	9999-12-31	22500	2388594	9999-12-31	2013-05-08
211	2006-01-02	2007-10-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	22500	2388594	9999-12-31	2013-05-08
211	2007-10-01	2009-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	22500	2388594	9999-12-31	2013-05-08
211	2009-01-01	2009-11-02	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	22500	2388594	9999-12-31	2013-05-08
211	2009-11-02	2013-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	22500	2388594	2013-04-25	2013-05-08
211	2013-01-01	9999-12-31	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	22500	2388594	9999-12-31	2013-05-08
211	2003-05-06	2003-12-31	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	22500	2410708	9999-12-31	2013-05-08
211	2003-12-31	2006-01-01	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	22500	2410708	9999-12-31	2013-05-08
211	2006-01-01	2006-01-02	Total E&P Norge AS	50.000000	\N	9999-12-31	9999-12-31	22500	2410708	9999-12-31	2013-05-08
211	2006-01-02	2007-10-01	Total E&P Norge AS	40.000000	\N	2006-02-24	9999-12-31	22500	2410708	9999-12-31	2013-05-08
211	2007-10-01	2009-01-01	Total E&P Norge AS	40.000000	\N	2006-02-24	9999-12-31	22500	2410708	9999-12-31	2013-05-08
211	2009-01-01	2009-11-02	Total E&P Norge AS	40.000000	\N	2006-02-24	9999-12-31	22500	2410708	9999-12-31	2013-05-08
211	2009-11-02	2013-01-01	Total E&P Norge AS	40.000000	\N	2006-02-24	9999-12-31	22500	2410708	2013-04-25	2013-05-08
211	2013-01-01	9999-12-31	Total E&P Norge AS	40.000000	\N	2006-02-24	9999-12-31	22500	2410708	9999-12-31	2013-05-08
211	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22500	4511658	9999-12-31	2013-05-08
211	2007-10-01	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	22500	4511854	9999-12-31	2013-05-08
211	2013-01-01	9999-12-31	Maersk Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	22500	4719674	9999-12-31	2013-05-08
211	2009-11-02	2013-01-01	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22500	17237817	2013-04-25	2013-05-08
212	1996-02-02	1999-12-23	Amoco Norway AS	30.000000	\N	1996-02-02	1999-12-23	22508	89	9999-12-31	2013-05-08
212	1996-02-02	1999-12-23	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	22508	342	9999-12-31	2013-05-08
212	1999-12-23	2001-05-10	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	22508	342	9999-12-31	2013-05-08
212	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	22508	342	9999-12-31	2013-05-08
212	2001-06-01	2001-12-31	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	22508	342	9999-12-31	2013-05-08
212	1996-02-02	1999-12-23	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	474	9999-12-31	2013-05-08
212	1999-12-23	2001-05-10	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	474	9999-12-31	2013-05-08
212	2001-05-10	2001-06-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	474	9999-12-31	2013-05-08
212	2001-06-01	2001-12-31	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	474	9999-12-31	2013-05-08
212	2001-12-31	2002-03-12	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	474	9999-12-31	2013-05-08
212	2002-03-12	2007-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	474	9999-12-31	2013-05-08
212	1996-02-02	1999-12-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22508	749	9999-12-31	2013-05-08
212	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22508	749	9999-12-31	2013-05-08
212	1999-12-23	2001-05-10	BP Amoco Norge AS	30.000000	\N	1999-12-23	2002-03-12	22508	982372	9999-12-31	2013-05-08
212	2001-05-10	2001-06-01	BP Amoco Norge AS	30.000000	\N	1999-12-23	2002-03-12	22508	982372	9999-12-31	2013-05-08
212	2001-06-01	2001-12-31	BP Amoco Norge AS	30.000000	\N	1999-12-23	2002-03-12	22508	982372	9999-12-31	2013-05-08
212	2001-12-31	2002-03-12	BP Amoco Norge AS	30.000000	\N	1999-12-23	2002-03-12	22508	982372	9999-12-31	2013-05-08
212	2001-06-01	2001-12-31	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22508	1622484	9999-12-31	2013-05-08
212	2001-12-31	2002-03-12	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22508	1622484	9999-12-31	2013-05-08
212	2002-03-12	2007-01-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22508	1622484	9999-12-31	2013-05-08
212	2007-01-01	2007-01-02	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22508	1622484	9999-12-31	2013-05-08
212	2007-01-02	2007-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22508	1622484	9999-12-31	2013-05-08
212	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22508	1623450	9999-12-31	2013-05-08
212	2001-12-31	2002-03-12	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	22508	1853786	9999-12-31	2013-05-08
212	2002-03-12	2007-01-01	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	22508	1853786	9999-12-31	2013-05-08
212	2007-01-01	2007-01-02	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	22508	1853786	9999-12-31	2013-05-08
212	2002-03-12	2007-01-01	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	22508	2052695	9999-12-31	2013-05-08
212	2007-01-01	2007-01-02	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	22508	2052695	9999-12-31	2013-05-08
212	2007-01-02	2007-10-01	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	22508	2052695	9999-12-31	2013-05-08
212	2007-10-01	2009-01-01	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	22508	2052695	9999-12-31	2013-05-08
212	2009-01-01	2009-11-02	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	22508	2052695	9999-12-31	2013-05-08
212	2009-11-02	2012-02-11	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	22508	2052695	9999-12-31	2013-05-08
212	2012-02-11	9999-12-31	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	22508	2052695	9999-12-31	2013-05-08
212	2007-01-02	2007-10-01	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	22508	2840522	9999-12-31	2013-05-08
212	2007-10-01	2009-01-01	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	22508	2840522	9999-12-31	2013-05-08
212	2009-01-01	2009-11-02	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	22508	2840522	9999-12-31	2013-05-08
212	2009-11-02	2012-02-11	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	22508	2840522	9999-12-31	2013-05-08
212	2007-01-01	2007-01-02	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	4505831	9999-12-31	2013-05-08
212	2007-01-02	2007-10-01	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	4505831	9999-12-31	2013-05-08
212	2007-10-01	2009-01-01	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	4505831	9999-12-31	2013-05-08
212	2009-01-01	2009-11-02	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	4505831	9999-12-31	2013-05-08
212	2009-11-02	2012-02-11	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	4505831	9999-12-31	2013-05-08
212	2012-02-11	9999-12-31	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	22508	4505831	9999-12-31	2013-05-08
212	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22508	4511658	9999-12-31	2013-05-08
212	2007-10-01	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	22508	4511854	9999-12-31	2013-05-08
212	2009-11-02	2012-02-11	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22508	17237817	9999-12-31	2013-05-08
212	2012-02-11	9999-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22508	17237817	9999-12-31	2013-05-08
212	2012-02-11	9999-12-31	E.ON E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	22508	21631209	9999-12-31	2013-05-08
213	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22516	430	9999-12-31	2013-05-08
213	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22516	430	9999-12-31	2013-05-08
213	2001-06-01	2003-05-06	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22516	430	9999-12-31	2013-05-08
213	2003-05-06	2004-01-12	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22516	430	9999-12-31	2013-05-08
213	2004-01-12	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	9999-12-31	9999-12-31	22516	430	9999-12-31	2013-05-08
213	1996-02-02	1999-12-11	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22516	705	9999-12-31	2013-05-08
213	1999-12-11	2001-01-11	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22516	705	9999-12-31	2013-05-08
213	2001-01-11	2001-05-10	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22516	705	9999-12-31	2013-05-08
213	2001-05-10	2001-06-01	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22516	705	9999-12-31	2013-05-08
213	2001-06-01	2003-05-06	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	22516	705	9999-12-31	2013-05-08
213	1996-02-02	1999-12-11	Saga Petroleum ASA	25.000000	\N	1996-02-02	1999-12-31	22516	716	9999-12-31	2013-05-08
213	1999-12-11	2001-01-11	Saga Petroleum ASA	20.000000	\N	1996-02-02	1999-12-31	22516	716	9999-12-31	2013-05-08
213	1996-02-02	1999-12-11	Den norske stats oljeselskap a.s	55.000000	30.000000	9999-12-31	9999-12-31	22516	749	9999-12-31	2013-05-08
213	1999-12-11	2001-01-11	Den norske stats oljeselskap a.s	60.000000	30.000000	2000-01-01	2001-05-10	22516	749	9999-12-31	2013-05-08
213	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	60.000000	30.000000	2000-01-01	2001-05-10	22516	749	9999-12-31	2013-05-08
213	2001-05-10	2001-06-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	22516	1622484	9999-12-31	2013-05-08
213	2001-06-01	2003-05-06	Statoil ASA (old)	60.000000	\N	2001-05-10	2007-10-01	22516	1622484	9999-12-31	2013-05-08
213	2003-05-06	2004-01-12	Statoil ASA (old)	60.000000	\N	2001-05-10	2007-10-01	22516	1622484	9999-12-31	2013-05-08
213	2004-01-12	2007-01-01	Statoil ASA (old)	60.000000	\N	2001-05-10	2007-10-01	22516	1622484	9999-12-31	2013-05-08
213	2007-01-01	2007-10-01	Statoil ASA (old)	60.000000	\N	2001-05-10	2007-10-01	22516	1622484	9999-12-31	2013-05-08
213	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22516	1623450	9999-12-31	2013-05-08
213	2003-05-06	2004-01-12	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	22516	2410696	9999-12-31	2013-05-08
213	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	22516	4511658	9999-12-31	2013-05-08
213	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	100.000000	\N	2009-01-01	2009-11-01	22516	4511658	9999-12-31	2013-05-08
213	2007-10-01	2009-01-01	StatoilHydro ASA	60.000000	\N	2007-10-01	2008-12-31	22516	4511854	9999-12-31	2013-05-08
213	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	22516	4524355	9999-12-31	2013-05-08
213	2009-11-02	2010-12-31	Statoil Petroleum AS	100.000000	\N	2009-11-02	2010-12-31	22516	17237817	9999-12-31	2013-05-08
214	1996-02-02	1999-03-23	Elf Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	22524	298	9999-12-31	2013-05-08
214	1996-02-02	1999-03-23	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	22524	474	9999-12-31	2013-05-08
214	1996-02-02	1999-03-23	A/S Norske Shell	30.000000	\N	1996-02-02	1999-03-23	22524	562	9999-12-31	2013-05-08
214	1996-02-02	1999-03-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22524	749	9999-12-31	2013-05-08
215	1996-02-02	1999-12-11	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22532	221	9999-12-31	2013-05-08
215	1999-12-11	2001-01-11	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22532	221	9999-12-31	2013-05-08
215	2001-01-11	2001-05-10	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22532	221	9999-12-31	2013-05-08
215	2001-05-10	2001-06-01	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22532	221	9999-12-31	2013-05-08
215	2001-06-01	2003-03-22	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22532	221	9999-12-31	2013-05-08
215	1996-02-02	1999-12-11	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22532	430	9999-12-31	2013-05-08
215	1999-12-11	2001-01-11	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22532	430	9999-12-31	2013-05-08
215	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	2001-01-11	2006-02-02	22532	430	9999-12-31	2013-05-08
215	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	30.000000	\N	2001-01-11	2006-02-02	22532	430	9999-12-31	2013-05-08
215	2001-06-01	2003-03-22	Norsk Hydro Produksjon AS	30.000000	\N	2001-01-11	2006-02-02	22532	430	9999-12-31	2013-05-08
215	2003-03-22	2003-11-21	Norsk Hydro Produksjon AS	30.000000	\N	2001-01-11	2006-02-02	22532	430	9999-12-31	2013-05-08
215	2003-11-21	2006-02-02	Norsk Hydro Produksjon AS	55.000000	\N	2001-01-11	2006-02-02	22532	430	9999-12-31	2013-05-08
215	1996-02-02	1999-12-11	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	22532	474	9999-12-31	2013-05-08
215	1999-12-11	2001-01-11	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	22532	474	9999-12-31	2013-05-08
215	2001-01-11	2001-05-10	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	22532	474	9999-12-31	2013-05-08
215	2001-05-10	2001-06-01	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	22532	474	9999-12-31	2013-05-08
215	2001-06-01	2003-03-22	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	22532	474	9999-12-31	2013-05-08
215	2003-03-22	2003-11-21	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	22532	474	9999-12-31	2013-05-08
215	1996-02-02	1999-12-11	Saga Petroleum ASA	25.000000	\N	1996-02-02	2001-01-11	22532	716	9999-12-31	2013-05-08
215	1999-12-11	2001-01-11	Saga Petroleum ASA	10.000000	\N	1996-02-02	2001-01-11	22532	716	9999-12-31	2013-05-08
215	1996-02-02	1999-12-11	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22532	749	9999-12-31	2013-05-08
215	1999-12-11	2001-01-11	Den norske stats oljeselskap a.s	45.000000	30.000000	9999-12-31	9999-12-31	22532	749	9999-12-31	2013-05-08
215	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	45.000000	30.000000	9999-12-31	9999-12-31	22532	749	9999-12-31	2013-05-08
215	2001-05-10	2001-06-01	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22532	1622484	9999-12-31	2013-05-08
215	2001-06-01	2003-03-22	Statoil ASA (old)	45.000000	\N	9999-12-31	9999-12-31	22532	1622484	9999-12-31	2013-05-08
215	2003-03-22	2003-11-21	Statoil ASA (old)	45.000000	\N	9999-12-31	9999-12-31	22532	1622484	9999-12-31	2013-05-08
215	2003-11-21	2006-02-02	Statoil ASA (old)	45.000000	\N	9999-12-31	9999-12-31	22532	1622484	9999-12-31	2013-05-08
215	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22532	1623450	9999-12-31	2013-05-08
215	2003-03-22	2003-11-21	Norske ConocoPhillips AS	15.000000	\N	9999-12-31	9999-12-31	22532	2399056	9999-12-31	2013-05-08
216	1996-02-02	1999-12-23	Amoco Norway AS	30.000000	\N	1996-02-02	1999-12-23	22540	89	9999-12-31	2013-05-08
216	1996-02-02	1999-12-23	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22540	342	9999-12-31	2013-05-08
216	1999-12-23	2001-05-10	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22540	342	9999-12-31	2013-05-08
216	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22540	342	9999-12-31	2013-05-08
216	2001-06-01	2001-12-18	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22540	342	9999-12-31	2013-05-08
216	2001-12-18	2001-12-31	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22540	342	9999-12-31	2013-05-08
216	1996-02-02	1999-12-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22540	749	9999-12-31	2013-05-08
216	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	22540	749	9999-12-31	2013-05-08
216	1996-02-02	1999-12-23	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	22540	848	9999-12-31	2013-05-08
216	1999-12-23	2001-05-10	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	22540	848	9999-12-31	2013-05-08
216	2001-05-10	2001-06-01	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	22540	848	9999-12-31	2013-05-08
216	2001-06-01	2001-12-18	Total Norge AS	25.000000	\N	9999-12-31	9999-12-31	22540	848	9999-12-31	2013-05-08
216	1999-12-23	2001-05-10	BP Amoco Norge AS	30.000000	\N	1999-12-23	2002-02-01	22540	982372	9999-12-31	2013-05-08
216	2001-05-10	2001-06-01	BP Amoco Norge AS	30.000000	\N	1999-12-23	2002-02-01	22540	982372	9999-12-31	2013-05-08
216	2001-06-01	2001-12-18	BP Amoco Norge AS	30.000000	\N	1999-12-23	2002-02-01	22540	982372	9999-12-31	2013-05-08
216	2001-12-18	2001-12-31	BP Amoco Norge AS	30.000000	\N	1999-12-23	2002-02-01	22540	982372	9999-12-31	2013-05-08
216	2001-12-31	2002-02-01	BP Amoco Norge AS	30.000000	\N	1999-12-23	2002-02-01	22540	982372	9999-12-31	2013-05-08
216	2001-12-18	2001-12-31	TotalFinaElf Exploration Norge AS	25.000000	\N	9999-12-31	9999-12-31	22540	1340884	9999-12-31	2013-05-08
216	2001-12-31	2002-02-01	TotalFinaElf Exploration Norge AS	25.000000	\N	9999-12-31	9999-12-31	22540	1340884	9999-12-31	2013-05-08
216	2001-06-01	2001-12-18	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22540	1622484	9999-12-31	2013-05-08
216	2001-12-18	2001-12-31	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22540	1622484	9999-12-31	2013-05-08
216	2001-12-31	2002-02-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	22540	1622484	9999-12-31	2013-05-08
216	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22540	1623450	9999-12-31	2013-05-08
216	2001-12-31	2002-02-01	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22540	1853786	9999-12-31	2013-05-08
217	1996-02-02	1999-12-23	BP Petroleum Dev. of Norway AS	20.000000	\N	9999-12-31	9999-12-31	22548	155	9999-12-31	2013-05-08
217	1996-02-02	1999-12-23	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22548	221	9999-12-31	2013-05-08
217	1999-12-23	2001-05-10	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22548	221	9999-12-31	2013-05-08
217	2001-05-10	2001-06-01	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22548	221	9999-12-31	2013-05-08
217	2001-06-01	2002-03-12	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22548	221	9999-12-31	2013-05-08
217	2002-03-12	2003-03-22	Norske Conoco A/S	15.000000	\N	9999-12-31	9999-12-31	22548	221	9999-12-31	2013-05-08
217	1996-02-02	1999-12-23	Den norske stats oljeselskap a.s	65.000000	30.000000	1996-02-02	2001-05-10	22548	749	9999-12-31	2013-05-08
217	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	65.000000	30.000000	1996-02-02	2001-05-10	22548	749	9999-12-31	2013-05-08
217	1999-12-23	2001-05-10	BP Amoco Norge AS	20.000000	\N	9999-12-31	9999-12-31	22548	982372	9999-12-31	2013-05-08
217	2001-05-10	2001-06-01	BP Amoco Norge AS	20.000000	\N	9999-12-31	9999-12-31	22548	982372	9999-12-31	2013-05-08
217	2001-06-01	2002-03-12	BP Amoco Norge AS	20.000000	\N	9999-12-31	9999-12-31	22548	982372	9999-12-31	2013-05-08
217	2001-05-10	2001-06-01	Statoil ASA (old)	35.000000	\N	2001-05-10	2005-07-07	22548	1622484	9999-12-31	2013-05-08
217	2001-06-01	2002-03-12	Statoil ASA (old)	65.000000	\N	2001-05-10	2005-07-07	22548	1622484	9999-12-31	2013-05-08
217	2002-03-12	2003-03-22	Statoil ASA (old)	65.000000	\N	2001-05-10	2005-07-07	22548	1622484	9999-12-31	2013-05-08
217	2003-03-22	2005-07-07	Statoil ASA (old)	65.000000	\N	2001-05-10	2005-07-07	22548	1622484	9999-12-31	2013-05-08
217	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22548	1623450	9999-12-31	2013-05-08
217	2002-03-12	2003-03-22	BP Norge AS	20.000000	\N	9999-12-31	9999-12-31	22548	2052695	9999-12-31	2013-05-08
217	2003-03-22	2005-07-07	BP Norge AS	20.000000	\N	9999-12-31	9999-12-31	22548	2052695	9999-12-31	2013-05-08
217	2003-03-22	2005-07-07	Norske ConocoPhillips AS	15.000000	\N	9999-12-31	9999-12-31	22548	2399056	9999-12-31	2013-05-08
218	1996-02-02	1999-12-23	BP Petroleum Dev. of Norway AS	25.000000	\N	1996-02-02	1999-12-23	22556	155	9999-12-31	2013-05-08
218	2000-09-27	2001-05-10	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22556	221	9999-12-31	2013-05-08
218	2001-05-10	2001-06-01	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22556	221	9999-12-31	2013-05-08
218	2001-06-01	2002-03-12	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22556	221	9999-12-31	2013-05-08
218	2002-03-12	2003-03-22	Norske Conoco A/S	10.000000	\N	9999-12-31	9999-12-31	22556	221	9999-12-31	2013-05-08
218	1996-02-02	1999-12-23	Esso Exploration and Production Norway A/S	15.000000	\N	9999-12-31	9999-12-31	22556	353	9999-12-31	2013-05-08
218	1999-12-23	2000-09-27	Esso Exploration and Production Norway A/S	15.000000	\N	9999-12-31	9999-12-31	22556	353	9999-12-31	2013-05-08
218	2000-09-27	2001-05-10	Esso Exploration and Production Norway A/S	15.000000	\N	9999-12-31	9999-12-31	22556	353	9999-12-31	2013-05-08
218	2001-05-10	2001-06-01	Esso Exploration and Production Norway A/S	15.000000	\N	9999-12-31	9999-12-31	22556	353	9999-12-31	2013-05-08
218	2001-06-01	2002-03-12	Esso Exploration and Production Norway A/S	15.000000	\N	9999-12-31	9999-12-31	22556	353	9999-12-31	2013-05-08
218	2002-03-12	2003-03-22	Esso Exploration and Production Norway A/S	15.000000	\N	9999-12-31	9999-12-31	22556	353	9999-12-31	2013-05-08
218	2003-03-22	2004-10-01	Esso Exploration and Production Norway A/S	15.000000	\N	9999-12-31	9999-12-31	22556	353	9999-12-31	2013-05-08
218	1996-02-02	1999-12-23	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22556	716	9999-12-31	2013-05-08
218	1999-12-23	2000-09-27	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22556	716	9999-12-31	2013-05-08
218	1996-02-02	1999-12-23	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22556	749	9999-12-31	2013-05-08
218	1999-12-23	2000-09-27	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22556	749	9999-12-31	2013-05-08
218	2000-09-27	2001-05-10	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	22556	749	9999-12-31	2013-05-08
218	1999-12-23	2000-09-27	BP Amoco Norge AS	25.000000	\N	1999-12-23	2002-03-12	22556	982372	9999-12-31	2013-05-08
218	2000-09-27	2001-05-10	BP Amoco Norge AS	25.000000	\N	1999-12-23	2002-03-12	22556	982372	9999-12-31	2013-05-08
218	2001-05-10	2001-06-01	BP Amoco Norge AS	25.000000	\N	1999-12-23	2002-03-12	22556	982372	9999-12-31	2013-05-08
218	2001-06-01	2002-03-12	BP Amoco Norge AS	25.000000	\N	1999-12-23	2002-03-12	22556	982372	9999-12-31	2013-05-08
218	2001-05-10	2001-06-01	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22556	1622484	9999-12-31	2013-05-08
218	2001-06-01	2002-03-12	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	22556	1622484	9999-12-31	2013-05-08
218	2002-03-12	2003-03-22	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	22556	1622484	9999-12-31	2013-05-08
218	2003-03-22	2004-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	22556	1622484	9999-12-31	2013-05-08
218	2004-10-01	2006-01-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	22556	1622484	9999-12-31	2013-05-08
218	2006-01-01	2007-01-01	Statoil ASA (old)	75.000000	\N	2006-04-24	2007-10-01	22556	1622484	9999-12-31	2013-05-08
218	2007-01-01	2007-10-01	Statoil ASA (old)	75.000000	\N	2006-04-24	2007-10-01	22556	1622484	9999-12-31	2013-05-08
218	2001-05-10	2001-06-01	SDØE	35.000000	\N	9999-12-31	9999-12-31	22556	1623450	9999-12-31	2013-05-08
218	2002-03-12	2003-03-22	BP Norge AS	25.000000	\N	2002-03-12	2006-04-24	22556	2052695	9999-12-31	2013-05-08
218	2003-03-22	2004-10-01	BP Norge AS	25.000000	\N	2002-03-12	2006-04-24	22556	2052695	9999-12-31	2013-05-08
218	2004-10-01	2006-01-01	BP Norge AS	25.000000	\N	2002-03-12	2006-04-24	22556	2052695	9999-12-31	2013-05-08
218	2003-03-22	2004-10-01	Norske ConocoPhillips AS	10.000000	\N	9999-12-31	9999-12-31	22556	2399056	9999-12-31	2013-05-08
218	2004-10-01	2006-01-01	Norske ConocoPhillips AS	10.000000	\N	9999-12-31	9999-12-31	22556	2399056	9999-12-31	2013-05-08
218	2006-01-01	2007-01-01	Norske ConocoPhillips AS	10.000000	\N	9999-12-31	9999-12-31	22556	2399056	9999-12-31	2013-05-08
218	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	22556	2410696	9999-12-31	2013-05-08
218	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	22556	2410696	9999-12-31	2013-05-08
218	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	22556	2410696	9999-12-31	2013-05-08
218	2009-11-02	2012-01-01	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	22556	2410696	2012-10-03	2013-05-08
218	2012-01-01	9999-12-31	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	22556	2410696	9999-12-31	2013-05-08
218	2004-10-01	2006-01-01	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	22556	2835212	9999-12-31	2013-05-08
218	2006-01-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	22556	2835212	9999-12-31	2013-05-08
218	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	22556	2835212	9999-12-31	2013-05-08
218	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	22556	2835212	9999-12-31	2013-05-08
218	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	22556	2835212	9999-12-31	2013-05-08
218	2009-11-02	2012-01-01	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	22556	2835212	2012-10-03	2013-05-08
218	2012-01-01	9999-12-31	OMV (Norge) AS	15.000000	\N	9999-12-31	9999-12-31	22556	4460594	9999-12-31	2013-05-08
218	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	75.000000	\N	2009-01-01	2009-11-01	22556	4511658	9999-12-31	2013-05-08
218	2007-10-01	2009-01-01	StatoilHydro ASA	75.000000	\N	2007-10-01	2008-12-31	22556	4511854	9999-12-31	2013-05-08
218	2009-11-02	2012-01-01	Statoil Petroleum AS	75.000000	\N	2009-11-02	9999-12-31	22556	17237817	2012-10-03	2013-05-08
218	2012-01-01	9999-12-31	Statoil Petroleum AS	75.000000	\N	2009-11-02	9999-12-31	22556	17237817	9999-12-31	2013-05-08
219	1996-02-02	2000-01-01	Norsk Agip  AS	40.000000	\N	9999-12-31	9999-12-31	22564	45	9999-12-31	2013-05-08
219	2000-01-01	2000-09-29	Norsk Agip  AS	40.000000	\N	9999-12-31	9999-12-31	22564	45	9999-12-31	2013-05-08
219	2000-09-29	2000-12-20	Norsk Agip  AS	40.000000	\N	9999-12-31	9999-12-31	22564	45	9999-12-31	2013-05-08
219	2000-12-20	2001-12-18	Norsk Agip  AS	40.000000	\N	9999-12-31	9999-12-31	22564	45	9999-12-31	2013-05-08
219	2001-12-18	2001-12-31	Norsk Agip  AS	40.000000	\N	9999-12-31	9999-12-31	22564	45	9999-12-31	2013-05-08
219	2001-12-31	2003-03-04	Norsk Agip  AS	40.000000	\N	9999-12-31	9999-12-31	22564	45	9999-12-31	2013-05-08
219	2003-03-04	2003-05-06	Norsk Agip  AS	40.000000	\N	9999-12-31	9999-12-31	22564	45	9999-12-31	2013-05-08
219	2003-05-06	2003-12-31	Norsk Agip  AS	40.000000	\N	9999-12-31	9999-12-31	22564	45	9999-12-31	2013-05-08
219	2000-09-29	2000-12-20	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22564	342	9999-12-31	2013-05-08
219	2000-12-20	2001-12-18	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22564	342	9999-12-31	2013-05-08
219	2001-12-18	2001-12-31	Enterprise Oil Norwegian AS	10.000000	\N	9999-12-31	9999-12-31	22564	342	9999-12-31	2013-05-08
219	1996-02-02	2000-01-01	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	22564	386	9999-12-31	2013-05-08
219	2000-01-01	2000-09-29	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	22564	386	9999-12-31	2013-05-08
219	2000-09-29	2000-12-20	Fina Production Licenses AS	15.000000	\N	9999-12-31	9999-12-31	22564	386	9999-12-31	2013-05-08
219	1996-02-02	2000-01-01	Norsk Hydro Produksjon AS	45.000000	\N	1996-02-02	2007-01-01	22564	430	9999-12-31	2013-05-08
219	2000-01-01	2000-09-29	Norsk Hydro Produksjon AS	35.000000	\N	1996-02-02	2007-01-01	22564	430	9999-12-31	2013-05-08
219	2000-09-29	2000-12-20	Norsk Hydro Produksjon AS	25.000000	\N	1996-02-02	2007-01-01	22564	430	9999-12-31	2013-05-08
219	2000-12-20	2001-12-18	Norsk Hydro Produksjon AS	25.000000	\N	1996-02-02	2007-01-01	22564	430	9999-12-31	2013-05-08
219	2001-12-18	2001-12-31	Norsk Hydro Produksjon AS	25.000000	\N	1996-02-02	2007-01-01	22564	430	9999-12-31	2013-05-08
219	2001-12-31	2003-03-04	Norsk Hydro Produksjon AS	25.000000	\N	1996-02-02	2007-01-01	22564	430	9999-12-31	2013-05-08
219	2003-03-04	2003-05-06	Norsk Hydro Produksjon AS	25.000000	\N	1996-02-02	2007-01-01	22564	430	9999-12-31	2013-05-08
219	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	25.000000	\N	1996-02-02	2007-01-01	22564	430	9999-12-31	2013-05-08
219	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	25.000000	\N	1996-02-02	2007-01-01	22564	430	9999-12-31	2013-05-08
219	2000-12-20	2001-12-18	Total Norge AS	15.000000	\N	9999-12-31	9999-12-31	22564	848	9999-12-31	2013-05-08
219	2000-01-01	2000-09-29	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22564	102714	9999-12-31	2013-05-08
219	2000-09-29	2000-12-20	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22564	102714	9999-12-31	2013-05-08
219	2000-12-20	2001-12-18	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22564	102714	9999-12-31	2013-05-08
219	2001-12-18	2001-12-31	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22564	102714	9999-12-31	2013-05-08
219	2001-12-31	2003-03-04	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22564	102714	9999-12-31	2013-05-08
219	2001-12-18	2001-12-31	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	22564	1340884	9999-12-31	2013-05-08
219	2001-12-31	2003-03-04	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	22564	1340884	9999-12-31	2013-05-08
219	2003-03-04	2003-05-06	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	22564	1340884	9999-12-31	2013-05-08
219	2001-12-31	2003-03-04	Enterprise Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	22564	1853786	9999-12-31	2013-05-08
219	2003-03-04	2003-05-06	Enterprise Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	22564	1853786	9999-12-31	2013-05-08
219	2003-05-06	2003-12-31	Enterprise Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	22564	1853786	9999-12-31	2013-05-08
219	2003-12-31	2007-01-01	Enterprise Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	22564	1853786	9999-12-31	2013-05-08
219	2007-01-01	2007-10-01	Enterprise Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	22564	1853786	9999-12-31	2013-05-08
219	2007-10-01	2009-11-02	Enterprise Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	22564	1853786	9999-12-31	2013-05-08
219	2009-11-02	9999-12-31	Enterprise Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	22564	1853786	9999-12-31	2013-05-08
219	2003-03-04	2003-05-06	Eni Norge AS	10.000000	\N	9999-12-31	9999-12-31	22564	2388594	9999-12-31	2013-05-08
219	2003-05-06	2003-12-31	Eni Norge AS	10.000000	\N	9999-12-31	9999-12-31	22564	2388594	9999-12-31	2013-05-08
219	2003-12-31	2007-01-01	Eni Norge AS	50.000000	\N	9999-12-31	9999-12-31	22564	2388594	9999-12-31	2013-05-08
219	2007-01-01	2007-10-01	Eni Norge AS	50.000000	\N	9999-12-31	9999-12-31	22564	2388594	9999-12-31	2013-05-08
219	2007-10-01	2009-11-02	Eni Norge AS	50.000000	\N	9999-12-31	9999-12-31	22564	2388594	9999-12-31	2013-05-08
219	2009-11-02	9999-12-31	Eni Norge AS	50.000000	\N	9999-12-31	9999-12-31	22564	2388594	9999-12-31	2013-05-08
219	2003-05-06	2003-12-31	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22564	2410708	9999-12-31	2013-05-08
219	2003-12-31	2007-01-01	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22564	2410708	9999-12-31	2013-05-08
219	2007-01-01	2007-10-01	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22564	2410708	9999-12-31	2013-05-08
219	2007-10-01	2009-11-02	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22564	2410708	9999-12-31	2013-05-08
219	2009-11-02	9999-12-31	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22564	2410708	9999-12-31	2013-05-08
219	2007-10-01	2009-11-02	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	22564	4511658	9999-12-31	2013-05-08
219	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	25.000000	\N	2007-01-01	2007-10-01	22564	4524355	9999-12-31	2013-05-08
219	2009-11-02	9999-12-31	Statoil Petroleum AS	25.000000	\N	2009-11-02	9999-12-31	22564	17237817	9999-12-31	2013-05-08
220	1996-02-02	1999-12-23	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	67	9999-12-31	2013-05-08
220	1999-12-23	2000-06-22	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	67	9999-12-31	2013-05-08
220	2000-06-22	2001-05-10	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	67	9999-12-31	2013-05-08
220	2001-05-10	2001-06-01	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	67	9999-12-31	2013-05-08
220	2001-06-01	2003-03-04	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	67	9999-12-31	2013-05-08
220	2003-03-04	2006-06-26	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	67	9999-12-31	2013-05-08
220	1996-02-02	1999-12-23	Amoco Norway AS	15.000000	\N	9999-12-31	9999-12-31	22572	89	9999-12-31	2013-05-08
220	1996-02-02	1999-12-23	Den norske stats oljeselskap a.s	70.000000	30.000000	1996-02-02	2001-05-10	22572	749	9999-12-31	2013-05-08
220	1999-12-23	2000-06-22	Den norske stats oljeselskap a.s	70.000000	30.000000	1996-02-02	2001-05-10	22572	749	9999-12-31	2013-05-08
220	2000-06-22	2001-05-10	Den norske stats oljeselskap a.s	70.000000	30.000000	1996-02-02	2001-05-10	22572	749	9999-12-31	2013-05-08
220	2000-06-22	2001-05-10	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22572	102714	9999-12-31	2013-05-08
220	2001-05-10	2001-06-01	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22572	102714	9999-12-31	2013-05-08
220	2001-06-01	2003-03-04	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22572	102714	9999-12-31	2013-05-08
220	1999-12-23	2000-06-22	BP Amoco Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	982372	9999-12-31	2013-05-08
220	2001-05-10	2001-06-01	Statoil ASA (old)	40.000000	\N	2001-05-10	2007-10-01	22572	1622484	9999-12-31	2013-05-08
220	2001-06-01	2003-03-04	Statoil ASA (old)	70.000000	\N	2001-05-10	2007-10-01	22572	1622484	9999-12-31	2013-05-08
220	2003-03-04	2006-06-26	Statoil ASA (old)	70.000000	\N	2001-05-10	2007-10-01	22572	1622484	9999-12-31	2013-05-08
220	2006-06-26	2007-10-01	Statoil ASA (old)	70.000000	\N	2001-05-10	2007-10-01	22572	1622484	9999-12-31	2013-05-08
220	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22572	1623450	9999-12-31	2013-05-08
220	2003-03-04	2006-06-26	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	2388594	9999-12-31	2013-05-08
220	2006-06-26	2007-10-01	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	2388594	9999-12-31	2013-05-08
220	2007-10-01	2009-01-01	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	2388594	9999-12-31	2013-05-08
220	2009-01-01	2009-11-02	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	2388594	9999-12-31	2013-05-08
220	2009-11-02	9999-12-31	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	2388594	9999-12-31	2013-05-08
220	2006-06-26	2007-10-01	Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	4038735	9999-12-31	2013-05-08
220	2007-10-01	2009-01-01	Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	4038735	9999-12-31	2013-05-08
220	2009-01-01	2009-11-02	Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	4038735	9999-12-31	2013-05-08
220	2009-11-02	9999-12-31	Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22572	4038735	9999-12-31	2013-05-08
220	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	22572	4511658	9999-12-31	2013-05-08
220	2007-10-01	2009-01-01	StatoilHydro ASA	70.000000	\N	2007-10-01	2008-12-31	22572	4511854	9999-12-31	2013-05-08
220	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	22572	17237817	9999-12-31	2013-05-08
221	1997-05-30	2000-06-16	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22580	298	9999-12-31	2013-05-08
221	2000-06-16	2000-07-24	Elf Petroleum Norge AS	11.764710	\N	9999-12-31	9999-12-31	22580	298	9999-12-31	2013-05-08
221	1997-05-30	2000-06-16	Norsk Hydro Produksjon AS	20.000000	\N	1997-05-30	2002-04-30	22580	430	9999-12-31	2013-05-08
221	2000-06-16	2000-07-24	Norsk Hydro Produksjon AS	23.529410	\N	1997-05-30	2002-04-30	22580	430	9999-12-31	2013-05-08
221	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	23.529410	\N	1997-05-30	2002-04-30	22580	430	9999-12-31	2013-05-08
221	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	35.294120	\N	1997-05-30	2002-04-30	22580	430	9999-12-31	2013-05-08
221	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	35.294120	\N	1997-05-30	2002-04-30	22580	430	9999-12-31	2013-05-08
221	2001-06-01	2001-11-01	Norsk Hydro Produksjon AS	35.294120	\N	1997-05-30	2002-04-30	22580	430	9999-12-31	2013-05-08
221	2001-11-01	2002-04-30	Norsk Hydro Produksjon AS	35.000000	\N	1997-05-30	2002-04-30	22580	430	9999-12-31	2013-05-08
221	1997-05-30	2000-06-16	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22580	474	9999-12-31	2013-05-08
221	1997-05-30	2000-06-16	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22580	716	9999-12-31	2013-05-08
221	2000-06-16	2000-07-24	Saga Petroleum ASA	11.764710	\N	9999-12-31	9999-12-31	22580	716	9999-12-31	2013-05-08
221	2000-07-24	2001-01-11	Saga Petroleum ASA	11.764710	\N	9999-12-31	9999-12-31	22580	716	9999-12-31	2013-05-08
221	1997-05-30	2000-06-16	Den norske stats oljeselskap a.s	45.000000	30.000000	9999-12-31	9999-12-31	22580	749	9999-12-31	2013-05-08
221	2000-06-16	2000-07-24	Den norske stats oljeselskap a.s	52.941180	30.000000	9999-12-31	9999-12-31	22580	749	9999-12-31	2013-05-08
221	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	52.941180	30.000000	9999-12-31	9999-12-31	22580	749	9999-12-31	2013-05-08
221	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	52.941180	30.000000	9999-12-31	9999-12-31	22580	749	9999-12-31	2013-05-08
221	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	11.764710	\N	9999-12-31	9999-12-31	22580	1340884	9999-12-31	2013-05-08
221	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	11.764710	\N	9999-12-31	9999-12-31	22580	1340884	9999-12-31	2013-05-08
221	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	11.764710	\N	9999-12-31	9999-12-31	22580	1340884	9999-12-31	2013-05-08
221	2001-06-01	2001-11-01	TotalFinaElf Exploration Norge AS	11.764710	\N	9999-12-31	9999-12-31	22580	1340884	9999-12-31	2013-05-08
221	2001-11-01	2002-04-30	TotalFinaElf Exploration Norge AS	12.000000	\N	9999-12-31	9999-12-31	22580	1340884	9999-12-31	2013-05-08
221	2001-05-10	2001-06-01	Statoil ASA (old)	22.941180	\N	9999-12-31	9999-12-31	22580	1622484	9999-12-31	2013-05-08
221	2001-06-01	2001-11-01	Statoil ASA (old)	52.941180	\N	9999-12-31	9999-12-31	22580	1622484	9999-12-31	2013-05-08
221	2001-11-01	2002-04-30	Statoil ASA (old)	53.000000	\N	9999-12-31	9999-12-31	22580	1622484	9999-12-31	2013-05-08
221	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22580	1623450	9999-12-31	2013-05-08
222	1997-05-30	2000-07-24	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22588	298	9999-12-31	2013-05-08
222	1997-05-30	2000-07-24	Norsk Hydro Produksjon AS	20.000000	\N	1997-05-30	2002-04-30	22588	430	9999-12-31	2013-05-08
222	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	20.000000	\N	1997-05-30	2002-04-30	22588	430	9999-12-31	2013-05-08
222	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	1997-05-30	2002-04-30	22588	430	9999-12-31	2013-05-08
222	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	30.000000	\N	1997-05-30	2002-04-30	22588	430	9999-12-31	2013-05-08
222	2001-06-01	2001-11-01	Norsk Hydro Produksjon AS	30.000000	\N	1997-05-30	2002-04-30	22588	430	9999-12-31	2013-05-08
222	2001-11-01	2002-04-30	Norsk Hydro Produksjon AS	35.000000	\N	1997-05-30	2002-04-30	22588	430	9999-12-31	2013-05-08
222	1997-05-30	2000-07-24	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22588	474	9999-12-31	2013-05-08
222	2000-07-24	2001-01-11	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22588	474	9999-12-31	2013-05-08
222	2001-01-11	2001-05-10	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22588	474	9999-12-31	2013-05-08
222	2001-05-10	2001-06-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22588	474	9999-12-31	2013-05-08
222	2001-06-01	2001-11-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22588	474	9999-12-31	2013-05-08
222	1997-05-30	2000-07-24	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22588	716	9999-12-31	2013-05-08
222	2000-07-24	2001-01-11	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22588	716	9999-12-31	2013-05-08
222	1997-05-30	2000-07-24	Den norske stats oljeselskap a.s	45.000000	30.000000	9999-12-31	9999-12-31	22588	749	9999-12-31	2013-05-08
222	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	45.000000	30.000000	9999-12-31	9999-12-31	22588	749	9999-12-31	2013-05-08
222	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	45.000000	30.000000	9999-12-31	9999-12-31	22588	749	9999-12-31	2013-05-08
222	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	22588	1340884	9999-12-31	2013-05-08
222	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	22588	1340884	9999-12-31	2013-05-08
222	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	22588	1340884	9999-12-31	2013-05-08
222	2001-06-01	2001-11-01	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	22588	1340884	9999-12-31	2013-05-08
222	2001-11-01	2002-04-30	TotalFinaElf Exploration Norge AS	12.000000	\N	9999-12-31	9999-12-31	22588	1340884	9999-12-31	2013-05-08
222	2001-05-10	2001-06-01	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22588	1622484	9999-12-31	2013-05-08
222	2001-06-01	2001-11-01	Statoil ASA (old)	45.000000	\N	9999-12-31	9999-12-31	22588	1622484	9999-12-31	2013-05-08
222	2001-11-01	2002-04-30	Statoil ASA (old)	53.000000	\N	9999-12-31	9999-12-31	22588	1622484	9999-12-31	2013-05-08
222	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22588	1623450	9999-12-31	2013-05-08
223	1997-05-30	2000-07-24	Elf Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	22596	298	9999-12-31	2013-05-08
223	1997-05-30	2000-07-24	Norsk Hydro Produksjon AS	20.000000	\N	1997-05-30	2002-04-30	22596	430	9999-12-31	2013-05-08
223	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	20.000000	\N	1997-05-30	2002-04-30	22596	430	9999-12-31	2013-05-08
223	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	1997-05-30	2002-04-30	22596	430	9999-12-31	2013-05-08
223	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	30.000000	\N	1997-05-30	2002-04-30	22596	430	9999-12-31	2013-05-08
223	2001-06-01	2001-11-01	Norsk Hydro Produksjon AS	30.000000	\N	1997-05-30	2002-04-30	22596	430	9999-12-31	2013-05-08
223	2001-11-01	2002-04-30	Norsk Hydro Produksjon AS	35.000000	\N	1997-05-30	2002-04-30	22596	430	9999-12-31	2013-05-08
223	1997-05-30	2000-07-24	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22596	474	9999-12-31	2013-05-08
223	2000-07-24	2001-01-11	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22596	474	9999-12-31	2013-05-08
223	2001-01-11	2001-05-10	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22596	474	9999-12-31	2013-05-08
223	2001-05-10	2001-06-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22596	474	9999-12-31	2013-05-08
223	2001-06-01	2001-11-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	22596	474	9999-12-31	2013-05-08
223	1997-05-30	2000-07-24	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22596	716	9999-12-31	2013-05-08
223	2000-07-24	2001-01-11	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	22596	716	9999-12-31	2013-05-08
223	1997-05-30	2000-07-24	Den norske stats oljeselskap a.s	45.000000	30.000000	9999-12-31	9999-12-31	22596	749	9999-12-31	2013-05-08
223	2000-07-24	2001-01-11	Den norske stats oljeselskap a.s	45.000000	30.000000	9999-12-31	9999-12-31	22596	749	9999-12-31	2013-05-08
223	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	45.000000	30.000000	9999-12-31	9999-12-31	22596	749	9999-12-31	2013-05-08
223	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	22596	1340884	9999-12-31	2013-05-08
223	2001-01-11	2001-05-10	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	22596	1340884	9999-12-31	2013-05-08
223	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	22596	1340884	9999-12-31	2013-05-08
223	2001-06-01	2001-11-01	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	22596	1340884	9999-12-31	2013-05-08
223	2001-11-01	2002-04-30	TotalFinaElf Exploration Norge AS	12.000000	\N	9999-12-31	9999-12-31	22596	1340884	9999-12-31	2013-05-08
223	2001-05-10	2001-06-01	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22596	1622484	9999-12-31	2013-05-08
223	2001-06-01	2001-11-01	Statoil ASA (old)	45.000000	\N	9999-12-31	9999-12-31	22596	1622484	9999-12-31	2013-05-08
223	2001-11-01	2002-04-30	Statoil ASA (old)	53.000000	\N	9999-12-31	9999-12-31	22596	1622484	9999-12-31	2013-05-08
223	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22596	1623450	9999-12-31	2013-05-08
224	1997-05-30	2000-07-24	Elf Petroleum Norge AS	30.000000	\N	1997-05-30	2000-07-24	22604	298	9999-12-31	2013-05-08
224	1997-05-30	2000-07-24	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	22604	474	9999-12-31	2013-05-08
224	2000-07-24	2001-05-10	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	22604	474	9999-12-31	2013-05-08
224	2001-05-10	2001-06-01	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	22604	474	9999-12-31	2013-05-08
224	2001-06-01	2002-05-14	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	22604	474	9999-12-31	2013-05-08
224	1997-05-30	2000-07-24	Phillips Petroleum Company Norway	25.000000	\N	9999-12-31	9999-12-31	22604	694	9999-12-31	2013-05-08
224	2000-07-24	2001-05-10	Phillips Petroleum Company Norway	25.000000	\N	9999-12-31	9999-12-31	22604	694	9999-12-31	2013-05-08
224	2001-05-10	2001-06-01	Phillips Petroleum Company Norway	25.000000	\N	9999-12-31	9999-12-31	22604	694	9999-12-31	2013-05-08
224	2001-06-01	2002-05-14	Phillips Petroleum Company Norway	25.000000	\N	9999-12-31	9999-12-31	22604	694	9999-12-31	2013-05-08
224	1997-05-30	2000-07-24	Den norske stats oljeselskap a.s	20.000000	20.000000	9999-12-31	9999-12-31	22604	749	9999-12-31	2013-05-08
224	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	20.000000	20.000000	9999-12-31	9999-12-31	22604	749	9999-12-31	2013-05-08
224	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	30.000000	\N	2000-07-24	2002-05-14	22604	1340884	9999-12-31	2013-05-08
224	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	30.000000	\N	2000-07-24	2002-05-14	22604	1340884	9999-12-31	2013-05-08
224	2001-06-01	2002-05-14	TotalFinaElf Exploration Norge AS	30.000000	\N	2000-07-24	2002-05-14	22604	1340884	9999-12-31	2013-05-08
224	2001-06-01	2002-05-14	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22604	1622484	9999-12-31	2013-05-08
224	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22604	1623450	9999-12-31	2013-05-08
225	1997-05-30	1999-04-13	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22612	45	9999-12-31	2013-05-08
225	1999-04-13	2001-01-11	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22612	45	9999-12-31	2013-05-08
225	2001-01-11	2001-05-10	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22612	45	9999-12-31	2013-05-08
225	2001-05-10	2001-06-01	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22612	45	9999-12-31	2013-05-08
225	2001-06-01	2001-12-31	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22612	45	9999-12-31	2013-05-08
225	2001-12-31	2002-08-30	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22612	45	9999-12-31	2013-05-08
225	2002-08-30	2003-03-04	Norsk Agip  AS	21.000000	\N	9999-12-31	9999-12-31	22612	45	9999-12-31	2013-05-08
225	2003-03-04	2003-12-31	Norsk Agip  AS	21.000000	\N	9999-12-31	9999-12-31	22612	45	9999-12-31	2013-05-08
225	1997-05-30	1999-04-13	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22612	342	9999-12-31	2013-05-08
225	1999-04-13	2001-01-11	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22612	342	9999-12-31	2013-05-08
225	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22612	342	9999-12-31	2013-05-08
225	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22612	342	9999-12-31	2013-05-08
225	2001-06-01	2001-12-31	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22612	342	9999-12-31	2013-05-08
225	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-01-01	22612	430	9999-12-31	2013-05-08
225	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-01-01	22612	430	9999-12-31	2013-05-08
225	2001-06-01	2001-12-31	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-01-01	22612	430	9999-12-31	2013-05-08
225	2001-12-31	2002-08-30	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-01-01	22612	430	9999-12-31	2013-05-08
225	2002-08-30	2003-03-04	Norsk Hydro Produksjon AS	29.000000	\N	2001-01-11	2007-01-01	22612	430	9999-12-31	2013-05-08
225	2003-03-04	2003-12-31	Norsk Hydro Produksjon AS	29.000000	\N	2001-01-11	2007-01-01	22612	430	9999-12-31	2013-05-08
225	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	29.000000	\N	2001-01-11	2007-01-01	22612	430	9999-12-31	2013-05-08
225	1997-05-30	1999-04-13	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22612	496	9999-12-31	2013-05-08
225	1997-05-30	1999-04-13	Saga Petroleum ASA	20.000000	\N	1997-05-30	2001-01-11	22612	716	9999-12-31	2013-05-08
225	1999-04-13	2001-01-11	Saga Petroleum ASA	20.000000	\N	1997-05-30	2001-01-11	22612	716	9999-12-31	2013-05-08
225	1997-05-30	1999-04-13	Den norske stats oljeselskap a.s	40.000000	20.000000	9999-12-31	9999-12-31	22612	749	9999-12-31	2013-05-08
225	1999-04-13	2001-01-11	Den norske stats oljeselskap a.s	40.000000	20.000000	9999-12-31	9999-12-31	22612	749	9999-12-31	2013-05-08
225	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	40.000000	20.000000	9999-12-31	9999-12-31	22612	749	9999-12-31	2013-05-08
225	1999-04-13	2001-01-11	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22612	102714	9999-12-31	2013-05-08
225	2001-01-11	2001-05-10	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22612	102714	9999-12-31	2013-05-08
225	2001-05-10	2001-06-01	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22612	102714	9999-12-31	2013-05-08
225	2001-06-01	2001-12-31	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22612	102714	9999-12-31	2013-05-08
225	2001-12-31	2002-08-30	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22612	102714	9999-12-31	2013-05-08
225	2002-08-30	2003-03-04	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22612	102714	9999-12-31	2013-05-08
225	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22612	1622484	9999-12-31	2013-05-08
225	2001-06-01	2001-12-31	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22612	1622484	9999-12-31	2013-05-08
225	2001-12-31	2002-08-30	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22612	1622484	9999-12-31	2013-05-08
225	2002-08-30	2003-03-04	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22612	1622484	9999-12-31	2013-05-08
225	2003-03-04	2003-12-31	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22612	1622484	9999-12-31	2013-05-08
225	2003-12-31	2007-01-01	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22612	1622484	9999-12-31	2013-05-08
225	2007-01-01	2007-10-01	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22612	1622484	9999-12-31	2013-05-08
225	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22612	1623450	9999-12-31	2013-05-08
225	2001-12-31	2002-08-30	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22612	1853786	9999-12-31	2013-05-08
225	2003-03-04	2003-12-31	Eni Norge AS	10.000000	\N	9999-12-31	9999-12-31	22612	2388594	9999-12-31	2013-05-08
225	2003-12-31	2007-01-01	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	22612	2388594	9999-12-31	2013-05-08
225	2007-01-01	2007-10-01	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	22612	2388594	9999-12-31	2013-05-08
225	2007-10-01	2009-01-01	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	22612	2388594	9999-12-31	2013-05-08
225	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	29.000000	\N	2007-10-01	2009-01-01	22612	4511658	9999-12-31	2013-05-08
225	2007-10-01	2009-01-01	StatoilHydro ASA	40.000000	\N	9999-12-31	9999-12-31	22612	4511854	9999-12-31	2013-05-08
225	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	29.000000	\N	2007-01-01	2007-10-01	22612	4524355	9999-12-31	2013-05-08
226	1997-05-30	1999-04-13	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22620	45	9999-12-31	2013-05-08
226	1999-04-13	2001-01-11	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22620	45	9999-12-31	2013-05-08
226	2001-01-11	2001-05-10	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22620	45	9999-12-31	2013-05-08
226	2001-05-10	2001-06-01	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22620	45	9999-12-31	2013-05-08
226	2001-06-01	2001-12-31	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22620	45	9999-12-31	2013-05-08
226	2001-12-31	2002-08-30	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22620	45	9999-12-31	2013-05-08
226	2002-08-30	2003-03-04	Norsk Agip  AS	21.000000	\N	9999-12-31	9999-12-31	22620	45	9999-12-31	2013-05-08
226	2003-03-04	2003-12-31	Norsk Agip  AS	21.000000	\N	9999-12-31	9999-12-31	22620	45	9999-12-31	2013-05-08
226	1997-05-30	1999-04-13	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22620	342	9999-12-31	2013-05-08
226	1999-04-13	2001-01-11	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22620	342	9999-12-31	2013-05-08
226	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22620	342	9999-12-31	2013-05-08
226	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22620	342	9999-12-31	2013-05-08
226	2001-06-01	2001-12-31	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22620	342	9999-12-31	2013-05-08
226	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-10-01	22620	430	9999-12-31	2013-05-08
226	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-10-01	22620	430	9999-12-31	2013-05-08
226	2001-06-01	2001-12-31	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-10-01	22620	430	9999-12-31	2013-05-08
226	2001-12-31	2002-08-30	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-10-01	22620	430	9999-12-31	2013-05-08
226	2002-08-30	2003-03-04	Norsk Hydro Produksjon AS	29.000000	\N	2001-01-11	2007-10-01	22620	430	9999-12-31	2013-05-08
226	2003-03-04	2003-12-31	Norsk Hydro Produksjon AS	29.000000	\N	2001-01-11	2007-10-01	22620	430	9999-12-31	2013-05-08
226	2003-12-31	2007-10-01	Norsk Hydro Produksjon AS	29.000000	\N	2001-01-11	2007-10-01	22620	430	9999-12-31	2013-05-08
226	1997-05-30	1999-04-13	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22620	496	9999-12-31	2013-05-08
226	1997-05-30	1999-04-13	Saga Petroleum ASA	20.000000	\N	1997-05-30	2001-01-11	22620	716	9999-12-31	2013-05-08
226	1999-04-13	2001-01-11	Saga Petroleum ASA	20.000000	\N	1997-05-30	2001-01-11	22620	716	9999-12-31	2013-05-08
226	1997-05-30	1999-04-13	Den norske stats oljeselskap a.s	40.000000	20.000000	9999-12-31	9999-12-31	22620	749	9999-12-31	2013-05-08
226	1999-04-13	2001-01-11	Den norske stats oljeselskap a.s	40.000000	20.000000	9999-12-31	9999-12-31	22620	749	9999-12-31	2013-05-08
226	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	40.000000	20.000000	9999-12-31	9999-12-31	22620	749	9999-12-31	2013-05-08
226	1999-04-13	2001-01-11	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22620	102714	9999-12-31	2013-05-08
226	2001-01-11	2001-05-10	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22620	102714	9999-12-31	2013-05-08
226	2001-05-10	2001-06-01	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22620	102714	9999-12-31	2013-05-08
226	2001-06-01	2001-12-31	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22620	102714	9999-12-31	2013-05-08
226	2001-12-31	2002-08-30	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22620	102714	9999-12-31	2013-05-08
226	2002-08-30	2003-03-04	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22620	102714	9999-12-31	2013-05-08
226	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22620	1622484	9999-12-31	2013-05-08
226	2001-06-01	2001-12-31	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22620	1622484	9999-12-31	2013-05-08
226	2001-12-31	2002-08-30	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22620	1622484	9999-12-31	2013-05-08
226	2002-08-30	2003-03-04	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22620	1622484	9999-12-31	2013-05-08
226	2003-03-04	2003-12-31	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22620	1622484	9999-12-31	2013-05-08
226	2003-12-31	2007-10-01	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22620	1622484	9999-12-31	2013-05-08
226	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22620	1623450	9999-12-31	2013-05-08
226	2001-12-31	2002-08-30	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22620	1853786	9999-12-31	2013-05-08
226	2003-03-04	2003-12-31	Eni Norge AS	10.000000	\N	9999-12-31	9999-12-31	22620	2388594	9999-12-31	2013-05-08
226	2003-12-31	2007-10-01	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	22620	2388594	9999-12-31	2013-05-08
226	2007-10-01	2009-01-01	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	22620	2388594	9999-12-31	2013-05-08
226	2009-01-01	2009-11-02	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	22620	2388594	9999-12-31	2013-05-08
226	2009-11-02	9999-12-31	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	22620	2388594	9999-12-31	2013-05-08
226	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	29.000000	\N	2007-10-01	2009-11-01	22620	4511658	9999-12-31	2013-05-08
226	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	69.000000	\N	2007-10-01	2009-11-01	22620	4511658	9999-12-31	2013-05-08
226	2007-10-01	2009-01-01	StatoilHydro ASA	40.000000	\N	9999-12-31	9999-12-31	22620	4511854	9999-12-31	2013-05-08
226	2009-11-02	9999-12-31	Statoil Petroleum AS	69.000000	\N	2009-11-02	9999-12-31	22620	17237817	9999-12-31	2013-05-08
227	1997-05-30	1999-04-13	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22628	45	9999-12-31	2013-05-08
227	1999-04-13	2001-01-11	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22628	45	9999-12-31	2013-05-08
227	2001-01-11	2001-05-10	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22628	45	9999-12-31	2013-05-08
227	2001-05-10	2001-06-01	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22628	45	9999-12-31	2013-05-08
227	2001-06-01	2001-12-31	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22628	45	9999-12-31	2013-05-08
227	2001-12-31	2002-08-30	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22628	45	9999-12-31	2013-05-08
227	2002-08-30	2003-03-04	Norsk Agip  AS	21.000000	\N	9999-12-31	9999-12-31	22628	45	9999-12-31	2013-05-08
227	2003-03-04	2003-12-31	Norsk Agip  AS	21.000000	\N	9999-12-31	9999-12-31	22628	45	9999-12-31	2013-05-08
227	1997-05-30	1999-04-13	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22628	342	9999-12-31	2013-05-08
227	1999-04-13	2001-01-11	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22628	342	9999-12-31	2013-05-08
227	2001-01-11	2001-05-10	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22628	342	9999-12-31	2013-05-08
227	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22628	342	9999-12-31	2013-05-08
227	2001-06-01	2001-12-31	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22628	342	9999-12-31	2013-05-08
227	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-10-01	22628	430	9999-12-31	2013-05-08
227	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-10-01	22628	430	9999-12-31	2013-05-08
227	2001-06-01	2001-12-31	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-10-01	22628	430	9999-12-31	2013-05-08
227	2001-12-31	2002-08-30	Norsk Hydro Produksjon AS	20.000000	\N	2001-01-11	2007-10-01	22628	430	9999-12-31	2013-05-08
227	2002-08-30	2003-03-04	Norsk Hydro Produksjon AS	29.000000	\N	2001-01-11	2007-10-01	22628	430	9999-12-31	2013-05-08
227	2003-03-04	2003-12-31	Norsk Hydro Produksjon AS	29.000000	\N	2001-01-11	2007-10-01	22628	430	9999-12-31	2013-05-08
227	2003-12-31	2007-10-01	Norsk Hydro Produksjon AS	29.000000	\N	2001-01-11	2007-10-01	22628	430	9999-12-31	2013-05-08
227	1997-05-30	1999-04-13	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22628	496	9999-12-31	2013-05-08
227	1997-05-30	1999-04-13	Saga Petroleum ASA	20.000000	\N	1997-05-30	2001-01-11	22628	716	9999-12-31	2013-05-08
227	1999-04-13	2001-01-11	Saga Petroleum ASA	20.000000	\N	1997-05-30	2001-01-11	22628	716	9999-12-31	2013-05-08
227	1997-05-30	1999-04-13	Den norske stats oljeselskap a.s	40.000000	20.000000	9999-12-31	9999-12-31	22628	749	9999-12-31	2013-05-08
227	1999-04-13	2001-01-11	Den norske stats oljeselskap a.s	40.000000	20.000000	9999-12-31	9999-12-31	22628	749	9999-12-31	2013-05-08
227	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	40.000000	20.000000	9999-12-31	9999-12-31	22628	749	9999-12-31	2013-05-08
227	1999-04-13	2001-01-11	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22628	102714	9999-12-31	2013-05-08
227	2001-01-11	2001-05-10	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22628	102714	9999-12-31	2013-05-08
227	2001-05-10	2001-06-01	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22628	102714	9999-12-31	2013-05-08
227	2001-06-01	2001-12-31	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22628	102714	9999-12-31	2013-05-08
227	2001-12-31	2002-08-30	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22628	102714	9999-12-31	2013-05-08
227	2002-08-30	2003-03-04	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	22628	102714	9999-12-31	2013-05-08
227	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22628	1622484	9999-12-31	2013-05-08
227	2001-06-01	2001-12-31	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22628	1622484	9999-12-31	2013-05-08
227	2001-12-31	2002-08-30	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22628	1622484	9999-12-31	2013-05-08
227	2002-08-30	2003-03-04	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22628	1622484	9999-12-31	2013-05-08
227	2003-03-04	2003-12-31	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22628	1622484	9999-12-31	2013-05-08
227	2003-12-31	2007-10-01	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	22628	1622484	9999-12-31	2013-05-08
227	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22628	1623450	9999-12-31	2013-05-08
227	2001-12-31	2002-08-30	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22628	1853786	9999-12-31	2013-05-08
227	2003-03-04	2003-12-31	Eni Norge AS	10.000000	\N	9999-12-31	9999-12-31	22628	2388594	9999-12-31	2013-05-08
227	2003-12-31	2007-10-01	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	22628	2388594	9999-12-31	2013-05-08
227	2007-10-01	2009-01-01	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	22628	2388594	9999-12-31	2013-05-08
227	2009-01-01	2009-11-02	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	22628	2388594	9999-12-31	2013-05-08
227	2009-11-02	2010-05-15	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	22628	2388594	9999-12-31	2013-05-08
227	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	29.000000	\N	2007-10-01	2009-11-01	22628	4511658	9999-12-31	2013-05-08
227	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	69.000000	\N	2007-10-01	2009-11-01	22628	4511658	9999-12-31	2013-05-08
227	2007-10-01	2009-01-01	StatoilHydro ASA	40.000000	\N	9999-12-31	9999-12-31	22628	4511854	9999-12-31	2013-05-08
227	2009-11-02	2010-05-15	Statoil Petroleum AS	69.000000	\N	2009-11-02	2010-05-15	22628	17237817	9999-12-31	2013-05-08
228	1997-05-30	2001-01-11	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	22636	430	9999-12-31	2013-05-08
228	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	50.000000	\N	2001-01-11	2007-01-01	22636	430	9999-12-31	2013-05-08
228	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	50.000000	\N	2001-01-11	2007-01-01	22636	430	9999-12-31	2013-05-08
228	2001-06-01	2007-01-01	Norsk Hydro Produksjon AS	50.000000	\N	2001-01-11	2007-01-01	22636	430	9999-12-31	2013-05-08
228	1997-05-30	2001-01-11	Saga Petroleum ASA	30.000000	\N	1997-05-30	2001-01-11	22636	716	9999-12-31	2013-05-08
228	1997-05-30	2001-01-11	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22636	749	9999-12-31	2013-05-08
228	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	22636	749	9999-12-31	2013-05-08
228	2001-05-10	2001-06-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22636	1622484	9999-12-31	2013-05-08
228	2001-06-01	2007-01-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	22636	1622484	9999-12-31	2013-05-08
228	2007-01-01	2007-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	22636	1622484	9999-12-31	2013-05-08
228	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	22636	1623450	9999-12-31	2013-05-08
228	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	22636	4511658	9999-12-31	2013-05-08
228	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	100.000000	\N	2007-10-01	2009-11-01	22636	4511658	9999-12-31	2013-05-08
228	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	22636	4511854	9999-12-31	2013-05-08
228	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	50.000000	\N	2007-01-01	2007-10-01	22636	4524355	9999-12-31	2013-05-08
228	2009-11-02	2010-12-31	Statoil Petroleum AS	100.000000	\N	2009-11-02	2010-12-31	22636	17237817	9999-12-31	2013-05-08
229	1997-05-30	1999-04-13	Norsk Agip  AS	25.000000	\N	1997-05-30	2003-12-31	22644	45	9999-12-31	2013-05-08
229	1999-04-13	2001-05-10	Norsk Agip  AS	25.000000	\N	1997-05-30	2003-12-31	22644	45	9999-12-31	2013-05-08
229	2001-05-10	2001-06-01	Norsk Agip  AS	25.000000	\N	1997-05-30	2003-12-31	22644	45	9999-12-31	2013-05-08
229	2001-06-01	2001-12-31	Norsk Agip  AS	25.000000	\N	1997-05-30	2003-12-31	22644	45	9999-12-31	2013-05-08
229	2001-12-31	2002-10-23	Norsk Agip  AS	25.000000	\N	1997-05-30	2003-12-31	22644	45	9999-12-31	2013-05-08
229	2002-10-23	2003-03-04	Norsk Agip  AS	25.000000	\N	1997-05-30	2003-12-31	22644	45	9999-12-31	2013-05-08
229	2003-03-04	2003-03-05	Norsk Agip  AS	25.000000	\N	1997-05-30	2003-12-31	22644	45	9999-12-31	2013-05-08
229	2003-03-05	2003-05-06	Norsk Agip  AS	25.000000	\N	1997-05-30	2003-12-31	22644	45	9999-12-31	2013-05-08
229	2003-05-06	2003-12-31	Norsk Agip  AS	25.000000	\N	1997-05-30	2003-12-31	22644	45	9999-12-31	2013-05-08
229	1997-05-30	1999-04-13	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22644	342	9999-12-31	2013-05-08
229	1999-04-13	2001-05-10	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22644	342	9999-12-31	2013-05-08
229	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22644	342	9999-12-31	2013-05-08
229	2001-06-01	2001-12-31	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	22644	342	9999-12-31	2013-05-08
229	1997-05-30	1999-04-13	Neste Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22644	496	9999-12-31	2013-05-08
229	1997-05-30	1999-04-13	Phillips Petroleum Company Norway	25.000000	\N	9999-12-31	9999-12-31	22644	694	9999-12-31	2013-05-08
229	1999-04-13	2001-05-10	Phillips Petroleum Company Norway	25.000000	\N	9999-12-31	9999-12-31	22644	694	9999-12-31	2013-05-08
229	2001-05-10	2001-06-01	Phillips Petroleum Company Norway	25.000000	\N	9999-12-31	9999-12-31	22644	694	9999-12-31	2013-05-08
229	2001-06-01	2001-12-31	Phillips Petroleum Company Norway	25.000000	\N	9999-12-31	9999-12-31	22644	694	9999-12-31	2013-05-08
229	2001-12-31	2002-10-23	Phillips Petroleum Company Norway	25.000000	\N	9999-12-31	9999-12-31	22644	694	9999-12-31	2013-05-08
229	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	25.000000	\N	9999-12-31	9999-12-31	22644	705	9999-12-31	2013-05-08
229	1997-05-30	1999-04-13	Den norske stats oljeselskap a.s	20.000000	20.000000	9999-12-31	9999-12-31	22644	749	9999-12-31	2013-05-08
229	1999-04-13	2001-05-10	Den norske stats oljeselskap a.s	20.000000	20.000000	9999-12-31	9999-12-31	22644	749	9999-12-31	2013-05-08
229	1999-04-13	2001-05-10	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22644	102714	9999-12-31	2013-05-08
229	2001-05-10	2001-06-01	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22644	102714	9999-12-31	2013-05-08
229	2001-06-01	2001-12-31	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22644	102714	9999-12-31	2013-05-08
229	2001-12-31	2002-10-23	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22644	102714	9999-12-31	2013-05-08
229	2002-10-23	2003-03-04	Fortum Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	22644	102714	9999-12-31	2013-05-08
229	2004-01-01	2007-06-20	Det Norske Oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	22644	1340609	9999-12-31	2013-05-08
229	2001-06-01	2001-12-31	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22644	1622484	9999-12-31	2013-05-08
229	2001-12-31	2002-10-23	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22644	1622484	9999-12-31	2013-05-08
229	2002-10-23	2003-03-04	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22644	1622484	9999-12-31	2013-05-08
229	2003-03-04	2003-03-05	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22644	1622484	9999-12-31	2013-05-08
229	2003-03-05	2003-05-06	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22644	1622484	9999-12-31	2013-05-08
229	2003-05-06	2003-12-31	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22644	1622484	9999-12-31	2013-05-08
229	2003-12-31	2004-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22644	1622484	9999-12-31	2013-05-08
229	2004-01-01	2007-06-20	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22644	1622484	9999-12-31	2013-05-08
229	2007-06-20	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	22644	1622484	9999-12-31	2013-05-08
229	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22644	1623450	9999-12-31	2013-05-08
229	2001-12-31	2002-10-23	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22644	1853786	9999-12-31	2013-05-08
229	2002-10-23	2003-03-04	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22644	1853786	9999-12-31	2013-05-08
229	2003-03-04	2003-03-05	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22644	1853786	9999-12-31	2013-05-08
229	2003-03-05	2003-05-06	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22644	1853786	9999-12-31	2013-05-08
229	2003-05-06	2003-12-31	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22644	1853786	9999-12-31	2013-05-08
229	2003-12-31	2004-01-01	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	22644	1853786	9999-12-31	2013-05-08
229	2002-10-23	2003-03-04	ConocoPhillips Norge	25.000000	\N	9999-12-31	9999-12-31	22644	2144081	9999-12-31	2013-05-08
229	2003-03-04	2003-03-05	ConocoPhillips Norge	25.000000	\N	9999-12-31	9999-12-31	22644	2144081	9999-12-31	2013-05-08
229	2003-03-04	2003-03-05	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2003-03-05	2003-05-06	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2003-05-06	2003-12-31	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2003-12-31	2004-01-01	Eni Norge AS	40.000000	\N	2003-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2004-01-01	2007-06-20	Eni Norge AS	65.000000	\N	2003-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2007-06-20	2007-10-01	Eni Norge AS	65.000000	\N	2003-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2007-10-01	2007-11-16	Eni Norge AS	65.000000	\N	2003-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2007-11-16	2008-01-01	Eni Norge AS	65.000000	\N	2003-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2008-01-01	2008-01-02	Eni Norge AS	65.000000	\N	2003-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2008-01-02	2009-01-01	Eni Norge AS	65.000000	\N	2003-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2009-01-01	2009-11-02	Eni Norge AS	65.000000	\N	2003-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2009-11-02	9999-12-31	Eni Norge AS	65.000000	\N	2003-12-31	9999-12-31	22644	2388594	9999-12-31	2013-05-08
229	2003-05-06	2003-12-31	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	22644	2410696	9999-12-31	2013-05-08
229	2003-12-31	2004-01-01	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	22644	2410696	9999-12-31	2013-05-08
229	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22644	4468177	9999-12-31	2013-05-08
229	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22644	4468177	9999-12-31	2013-05-08
229	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	35.000000	\N	9999-12-31	9999-12-31	22644	4511658	9999-12-31	2013-05-08
229	2007-10-01	2007-11-16	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	22644	4511854	9999-12-31	2013-05-08
229	2007-11-16	2008-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	22644	4511854	9999-12-31	2013-05-08
229	2008-01-01	2008-01-02	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	22644	4511854	9999-12-31	2013-05-08
229	2008-01-02	2009-01-01	StatoilHydro ASA	35.000000	\N	9999-12-31	9999-12-31	22644	4511854	9999-12-31	2013-05-08
229	2007-11-16	2008-01-01	Noil Energy ASA	15.000000	\N	9999-12-31	9999-12-31	22644	4539976	9999-12-31	2013-05-08
229	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22644	4539989	9999-12-31	2013-05-08
229	2009-11-02	9999-12-31	Statoil Petroleum AS	35.000000	\N	9999-12-31	9999-12-31	22644	17237817	9999-12-31	2013-05-08
230	1997-05-30	2001-01-11	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22652	67	9999-12-31	2013-05-08
230	2001-01-11	2001-05-10	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22652	67	9999-12-31	2013-05-08
230	2001-05-10	2001-06-01	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22652	67	9999-12-31	2013-05-08
230	2001-06-01	2002-07-07	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22652	67	9999-12-31	2013-05-08
230	2002-07-07	2003-12-23	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22652	67	9999-12-31	2013-05-08
230	1997-05-30	2001-01-11	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22652	430	9999-12-31	2013-05-08
230	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22652	430	9999-12-31	2013-05-08
230	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22652	430	9999-12-31	2013-05-08
230	2001-06-01	2002-07-07	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22652	430	9999-12-31	2013-05-08
230	2002-07-07	2003-12-23	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22652	430	9999-12-31	2013-05-08
230	2003-12-23	2007-10-01	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22652	430	9999-12-31	2013-05-08
230	1997-05-30	2001-01-11	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22652	474	9999-12-31	2013-05-08
230	2001-01-11	2001-05-10	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22652	474	9999-12-31	2013-05-08
230	2001-05-10	2001-06-01	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22652	474	9999-12-31	2013-05-08
230	2001-06-01	2002-07-07	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22652	474	9999-12-31	2013-05-08
230	1997-05-30	2001-01-11	Saga Petroleum ASA	15.000000	\N	9999-12-31	9999-12-31	22652	716	9999-12-31	2013-05-08
230	1997-05-30	2001-01-11	Den norske stats oljeselskap a.s	35.000000	20.000000	9999-12-31	9999-12-31	22652	749	9999-12-31	2013-05-08
230	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	35.000000	20.000000	9999-12-31	9999-12-31	22652	749	9999-12-31	2013-05-08
230	2001-05-10	2001-06-01	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22652	1622484	9999-12-31	2013-05-08
230	2001-06-01	2002-07-07	Statoil ASA (old)	35.000000	\N	9999-12-31	9999-12-31	22652	1622484	9999-12-31	2013-05-08
230	2002-07-07	2003-12-23	Statoil ASA (old)	55.000000	\N	2003-05-28	2007-10-01	22652	1622484	9999-12-31	2013-05-08
230	2003-12-23	2007-10-01	Statoil ASA (old)	55.000000	\N	2003-05-28	2007-10-01	22652	1622484	9999-12-31	2013-05-08
230	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22652	1623450	9999-12-31	2013-05-08
230	2003-12-23	2007-10-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	22652	1628733	9999-12-31	2013-05-08
230	2007-10-01	2009-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	22652	1628733	9999-12-31	2013-05-08
230	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22652	4511658	9999-12-31	2013-05-08
230	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	30.000000	\N	2009-01-01	2009-11-01	22652	4511658	9999-12-31	2013-05-08
230	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	85.000000	\N	2009-01-01	2009-11-01	22652	4511658	9999-12-31	2013-05-08
230	2007-10-01	2009-01-01	StatoilHydro ASA	55.000000	\N	2007-10-01	2008-12-31	22652	4511854	9999-12-31	2013-05-08
230	2009-01-01	2009-01-02	StatoilHydro ASA	55.000000	\N	9999-12-31	9999-12-31	22652	4511854	9999-12-31	2013-05-08
230	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22652	5267845	9999-12-31	2013-05-08
230	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22652	5267845	9999-12-31	2013-05-08
230	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22652	5267845	9999-12-31	2013-05-08
230	2009-11-02	9999-12-31	Statoil Petroleum AS	85.000000	\N	2009-11-02	9999-12-31	22652	17237817	9999-12-31	2013-05-08
231	1997-05-30	2001-01-11	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22660	67	9999-12-31	2013-05-08
231	2001-01-11	2001-05-10	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22660	67	9999-12-31	2013-05-08
231	2001-05-10	2001-06-01	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22660	67	9999-12-31	2013-05-08
231	2001-06-01	2002-07-07	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22660	67	9999-12-31	2013-05-08
231	2002-07-07	2003-12-23	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22660	67	9999-12-31	2013-05-08
231	1997-05-30	2001-01-11	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22660	430	9999-12-31	2013-05-08
231	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22660	430	9999-12-31	2013-05-08
231	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22660	430	9999-12-31	2013-05-08
231	2001-06-01	2002-07-07	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22660	430	9999-12-31	2013-05-08
231	2002-07-07	2003-12-23	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22660	430	9999-12-31	2013-05-08
231	2003-12-23	2007-10-01	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22660	430	9999-12-31	2013-05-08
231	1997-05-30	2001-01-11	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22660	474	9999-12-31	2013-05-08
231	2001-01-11	2001-05-10	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22660	474	9999-12-31	2013-05-08
231	2001-05-10	2001-06-01	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22660	474	9999-12-31	2013-05-08
231	2001-06-01	2002-07-07	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22660	474	9999-12-31	2013-05-08
231	1997-05-30	2001-01-11	Saga Petroleum ASA	15.000000	\N	9999-12-31	9999-12-31	22660	716	9999-12-31	2013-05-08
231	1997-05-30	2001-01-11	Den norske stats oljeselskap a.s	35.000000	20.000000	9999-12-31	9999-12-31	22660	749	9999-12-31	2013-05-08
231	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	35.000000	20.000000	9999-12-31	9999-12-31	22660	749	9999-12-31	2013-05-08
231	2001-05-10	2001-06-01	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22660	1622484	9999-12-31	2013-05-08
231	2001-06-01	2002-07-07	Statoil ASA (old)	35.000000	\N	9999-12-31	9999-12-31	22660	1622484	9999-12-31	2013-05-08
231	2002-07-07	2003-12-23	Statoil ASA (old)	55.000000	\N	2003-05-28	2007-10-01	22660	1622484	9999-12-31	2013-05-08
231	2003-12-23	2007-10-01	Statoil ASA (old)	55.000000	\N	2003-05-28	2007-10-01	22660	1622484	9999-12-31	2013-05-08
231	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22660	1623450	9999-12-31	2013-05-08
231	2003-12-23	2007-10-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	22660	1628733	9999-12-31	2013-05-08
231	2007-10-01	2009-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	22660	1628733	9999-12-31	2013-05-08
231	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22660	4511658	9999-12-31	2013-05-08
231	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	30.000000	\N	2009-01-01	2009-05-15	22660	4511658	9999-12-31	2013-05-08
231	2009-01-02	2009-05-15	StatoilHydro Petroleum AS	85.000000	\N	2009-01-01	2009-05-15	22660	4511658	9999-12-31	2013-05-08
231	2007-10-01	2009-01-01	StatoilHydro ASA	55.000000	\N	2007-10-01	2008-12-31	22660	4511854	9999-12-31	2013-05-08
231	2009-01-01	2009-01-02	StatoilHydro ASA	55.000000	\N	9999-12-31	9999-12-31	22660	4511854	9999-12-31	2013-05-08
231	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22660	5267845	9999-12-31	2013-05-08
231	2009-01-02	2009-05-15	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22660	5267845	9999-12-31	2013-05-08
232	1997-05-30	2001-01-11	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22668	67	9999-12-31	2013-05-08
232	2001-01-11	2001-05-10	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22668	67	9999-12-31	2013-05-08
232	2001-05-10	2001-06-01	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22668	67	9999-12-31	2013-05-08
232	2001-06-01	2002-07-07	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22668	67	9999-12-31	2013-05-08
232	2002-07-07	2003-12-23	Amerada Hess Norge AS	15.000000	\N	9999-12-31	9999-12-31	22668	67	9999-12-31	2013-05-08
232	1997-05-30	2001-01-11	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22668	430	9999-12-31	2013-05-08
232	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22668	430	9999-12-31	2013-05-08
232	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22668	430	9999-12-31	2013-05-08
232	2001-06-01	2002-07-07	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22668	430	9999-12-31	2013-05-08
232	2002-07-07	2003-12-23	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22668	430	9999-12-31	2013-05-08
232	2003-12-23	2007-10-01	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	22668	430	9999-12-31	2013-05-08
232	1997-05-30	2001-01-11	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22668	474	9999-12-31	2013-05-08
232	2001-01-11	2001-05-10	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22668	474	9999-12-31	2013-05-08
232	2001-05-10	2001-06-01	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22668	474	9999-12-31	2013-05-08
232	2001-06-01	2002-07-07	Mobil Development Norway AS	20.000000	\N	1997-05-30	2003-05-28	22668	474	9999-12-31	2013-05-08
232	1997-05-30	2001-01-11	Saga Petroleum ASA	15.000000	\N	9999-12-31	9999-12-31	22668	716	9999-12-31	2013-05-08
232	1997-05-30	2001-01-11	Den norske stats oljeselskap a.s	35.000000	20.000000	9999-12-31	9999-12-31	22668	749	9999-12-31	2013-05-08
232	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	35.000000	20.000000	9999-12-31	9999-12-31	22668	749	9999-12-31	2013-05-08
232	2001-05-10	2001-06-01	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	22668	1622484	9999-12-31	2013-05-08
232	2001-06-01	2002-07-07	Statoil ASA (old)	35.000000	\N	9999-12-31	9999-12-31	22668	1622484	9999-12-31	2013-05-08
232	2002-07-07	2003-12-23	Statoil ASA (old)	55.000000	\N	2003-05-28	2007-10-01	22668	1622484	9999-12-31	2013-05-08
232	2003-12-23	2007-10-01	Statoil ASA (old)	55.000000	\N	2003-05-28	2007-10-01	22668	1622484	9999-12-31	2013-05-08
232	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22668	1623450	9999-12-31	2013-05-08
232	2003-12-23	2007-10-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	22668	1628733	9999-12-31	2013-05-08
232	2007-10-01	2009-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	22668	1628733	9999-12-31	2013-05-08
232	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22668	4511658	9999-12-31	2013-05-08
232	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	30.000000	\N	2009-01-01	2009-05-15	22668	4511658	9999-12-31	2013-05-08
232	2009-01-02	2009-05-15	StatoilHydro Petroleum AS	85.000000	\N	2009-01-01	2009-05-15	22668	4511658	9999-12-31	2013-05-08
232	2007-10-01	2009-01-01	StatoilHydro ASA	55.000000	\N	2007-10-01	2008-12-31	22668	4511854	9999-12-31	2013-05-08
232	2009-01-01	2009-01-02	StatoilHydro ASA	55.000000	\N	9999-12-31	9999-12-31	22668	4511854	9999-12-31	2013-05-08
232	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22668	5267845	9999-12-31	2013-05-08
232	2009-01-02	2009-05-15	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	22668	5267845	9999-12-31	2013-05-08
233	1997-05-30	2001-01-11	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22676	45	9999-12-31	2013-05-08
233	2001-01-11	2001-05-10	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22676	45	9999-12-31	2013-05-08
233	2001-05-10	2001-06-01	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22676	45	9999-12-31	2013-05-08
233	2001-06-01	2003-12-31	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22676	45	9999-12-31	2013-05-08
233	1997-05-30	2001-01-11	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22676	430	9999-12-31	2013-05-08
233	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22676	430	9999-12-31	2013-05-08
233	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22676	430	9999-12-31	2013-05-08
233	2001-06-01	2003-12-31	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22676	430	9999-12-31	2013-05-08
233	2003-12-31	2007-05-15	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22676	430	9999-12-31	2013-05-08
233	1997-05-30	2001-01-11	Saga Petroleum ASA	20.000000	\N	9999-12-31	9999-12-31	22676	716	9999-12-31	2013-05-08
233	1997-05-30	2001-01-11	Den norske stats oljeselskap a.s	50.000000	20.000000	1997-05-30	2001-05-10	22676	749	9999-12-31	2013-05-08
233	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	20.000000	1997-05-30	2001-05-10	22676	749	9999-12-31	2013-05-08
233	2001-05-10	2001-06-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-05-15	22676	1622484	9999-12-31	2013-05-08
233	2001-06-01	2003-12-31	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-05-15	22676	1622484	9999-12-31	2013-05-08
233	2003-12-31	2007-05-15	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-05-15	22676	1622484	9999-12-31	2013-05-08
233	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22676	1623450	9999-12-31	2013-05-08
233	2003-12-31	2007-05-15	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22676	2388594	9999-12-31	2013-05-08
234	1997-05-30	2001-01-11	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22684	45	9999-12-31	2013-05-08
234	2001-01-11	2001-05-10	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22684	45	9999-12-31	2013-05-08
234	2001-05-10	2001-06-01	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22684	45	9999-12-31	2013-05-08
234	2001-06-01	2003-12-31	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22684	45	9999-12-31	2013-05-08
234	1997-05-30	2001-01-11	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22684	430	9999-12-31	2013-05-08
234	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22684	430	9999-12-31	2013-05-08
234	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22684	430	9999-12-31	2013-05-08
234	2001-06-01	2003-12-31	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22684	430	9999-12-31	2013-05-08
234	2003-12-31	2007-05-15	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22684	430	9999-12-31	2013-05-08
234	1997-05-30	2001-01-11	Saga Petroleum ASA	20.000000	\N	9999-12-31	9999-12-31	22684	716	9999-12-31	2013-05-08
234	1997-05-30	2001-01-11	Den norske stats oljeselskap a.s	50.000000	20.000000	1997-05-30	2001-05-10	22684	749	9999-12-31	2013-05-08
234	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	20.000000	1997-05-30	2001-05-10	22684	749	9999-12-31	2013-05-08
234	2001-05-10	2001-06-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-05-15	22684	1622484	9999-12-31	2013-05-08
234	2001-06-01	2003-12-31	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-05-15	22684	1622484	9999-12-31	2013-05-08
234	2003-12-31	2007-05-15	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-05-15	22684	1622484	9999-12-31	2013-05-08
234	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22684	1623450	9999-12-31	2013-05-08
234	2003-12-31	2007-05-15	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22684	2388594	9999-12-31	2013-05-08
235	1997-05-30	2001-01-11	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22692	45	9999-12-31	2013-05-08
235	2001-01-11	2001-05-10	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22692	45	9999-12-31	2013-05-08
235	2001-05-10	2001-06-01	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22692	45	9999-12-31	2013-05-08
235	2001-06-01	2003-12-31	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22692	45	9999-12-31	2013-05-08
235	1997-05-30	2001-01-11	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22692	430	9999-12-31	2013-05-08
235	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22692	430	9999-12-31	2013-05-08
235	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22692	430	9999-12-31	2013-05-08
235	2001-06-01	2003-12-31	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22692	430	9999-12-31	2013-05-08
235	2003-12-31	2007-05-15	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22692	430	9999-12-31	2013-05-08
235	1997-05-30	2001-01-11	Saga Petroleum ASA	20.000000	\N	9999-12-31	9999-12-31	22692	716	9999-12-31	2013-05-08
235	1997-05-30	2001-01-11	Den norske stats oljeselskap a.s	50.000000	20.000000	1997-05-30	2001-05-10	22692	749	9999-12-31	2013-05-08
235	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	20.000000	1997-05-30	2001-05-10	22692	749	9999-12-31	2013-05-08
235	2001-05-10	2001-06-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-05-15	22692	1622484	9999-12-31	2013-05-08
235	2001-06-01	2003-12-31	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-05-15	22692	1622484	9999-12-31	2013-05-08
235	2003-12-31	2007-05-15	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-05-15	22692	1622484	9999-12-31	2013-05-08
235	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22692	1623450	9999-12-31	2013-05-08
235	2003-12-31	2007-05-15	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22692	2388594	9999-12-31	2013-05-08
236	1997-05-30	2001-01-11	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22700	45	9999-12-31	2013-05-08
236	2001-01-11	2001-05-10	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22700	45	9999-12-31	2013-05-08
236	2001-05-10	2001-06-01	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22700	45	9999-12-31	2013-05-08
236	2001-06-01	2003-12-31	Norsk Agip  AS	15.000000	\N	9999-12-31	9999-12-31	22700	45	9999-12-31	2013-05-08
236	1997-05-30	2001-01-11	Norsk Hydro Produksjon AS	15.000000	\N	9999-12-31	9999-12-31	22700	430	9999-12-31	2013-05-08
236	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22700	430	9999-12-31	2013-05-08
236	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22700	430	9999-12-31	2013-05-08
236	2001-06-01	2003-12-31	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22700	430	9999-12-31	2013-05-08
236	2003-12-31	2007-05-15	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	22700	430	9999-12-31	2013-05-08
236	1997-05-30	2001-01-11	Saga Petroleum ASA	20.000000	\N	9999-12-31	9999-12-31	22700	716	9999-12-31	2013-05-08
236	1997-05-30	2001-01-11	Den norske stats oljeselskap a.s	50.000000	20.000000	1997-05-30	2001-05-10	22700	749	9999-12-31	2013-05-08
236	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	20.000000	1997-05-30	2001-05-10	22700	749	9999-12-31	2013-05-08
236	2001-05-10	2001-06-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-05-15	22700	1622484	9999-12-31	2013-05-08
236	2001-06-01	2003-12-31	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-05-15	22700	1622484	9999-12-31	2013-05-08
236	2003-12-31	2007-05-15	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-05-15	22700	1622484	9999-12-31	2013-05-08
236	2001-05-10	2001-06-01	SDØE	20.000000	\N	9999-12-31	9999-12-31	22700	1623450	9999-12-31	2013-05-08
236	2003-12-31	2007-05-15	Eni Norge AS	15.000000	\N	9999-12-31	9999-12-31	22700	2388594	9999-12-31	2013-05-08
025	1969-05-23	1972-04-25	Aquitaine Norge A/S	19.200000	\N	9999-12-31	9999-12-31	34512	111	9999-12-31	2013-05-08
025	1972-04-25	1977-01-01	Aquitaine Norge A/S	14.530000	\N	9999-12-31	9999-12-31	34512	111	9999-12-31	2013-05-08
025	1969-05-23	1972-04-25	Elf Norge A/S	38.400000	\N	9999-12-31	9999-12-31	34512	287	9999-12-31	2013-05-08
025	1972-04-25	1977-01-01	Elf Norge A/S	29.070000	\N	9999-12-31	9999-12-31	34512	287	9999-12-31	2013-05-08
025	1990-07-06	1997-01-01	Elf Petroleum Norge AS	53.200000	\N	1969-05-23	1997-10-31	34512	298	9999-12-31	2013-05-08
025	1997-01-01	1998-06-03	Elf Petroleum Norge AS	33.200000	\N	1969-05-23	1997-10-31	34512	298	9999-12-31	2013-05-08
025	1998-06-03	2000-07-24	Elf Petroleum Norge AS	33.200000	\N	9999-12-31	9999-12-31	34512	298	9999-12-31	2013-05-08
025	1977-01-01	1977-08-11	Elf Aquitaine Norge A/S	43.600000	\N	9999-12-31	9999-12-31	34512	331	9999-12-31	2013-05-08
025	1977-08-11	1983-06-01	Elf Aquitaine Norge A/S	43.600000	\N	9999-12-31	9999-12-31	34512	331	9999-12-31	2013-05-08
025	1983-06-01	1990-07-06	Elf Aquitaine Norge A/S	53.200000	\N	9999-12-31	9999-12-31	34512	331	9999-12-31	2013-05-08
025	1977-08-11	1983-06-01	Norske Hudbay A/S	15.000000	\N	9999-12-31	9999-12-31	34512	419	9999-12-31	2013-05-08
025	1969-05-23	1972-04-25	Norsk Hydro Produksjon AS	13.600000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	1972-04-25	1977-01-01	Norsk Hydro Produksjon AS	34.600000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	1977-01-01	1977-08-11	Norsk Hydro Produksjon AS	34.600000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	1977-08-11	1983-06-01	Norsk Hydro Produksjon AS	19.600000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	1983-06-01	1990-07-06	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	1990-07-06	1997-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	1997-01-01	1998-06-03	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	1998-06-03	2000-07-24	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	2000-07-24	2001-02-06	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	2001-02-06	2001-05-10	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	2001-05-10	2001-06-20	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	2001-06-20	2001-08-07	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	34512	430	9999-12-31	2013-05-08
025	1983-06-01	1990-07-06	Lasmo Norge A/S	15.000000	\N	9999-12-31	9999-12-31	34512	452	9999-12-31	2013-05-08
025	2001-06-20	2001-08-07	Marathon Petroleum Norge AS	18.200000	\N	9999-12-31	9999-12-31	34512	463	9999-12-31	2013-05-08
025	2001-08-07	2002-03-12	Marathon Petroleum Norge AS	28.200000	\N	9999-12-31	9999-12-31	34512	463	9999-12-31	2013-05-08
025	2002-03-12	2002-08-14	Marathon Petroleum Norge AS	28.200000	\N	9999-12-31	9999-12-31	34512	463	9999-12-31	2013-05-08
025	2002-08-14	2006-11-29	Marathon Petroleum Norge AS	28.200000	\N	9999-12-31	9999-12-31	34512	463	9999-12-31	2013-05-08
025	2006-11-29	2007-10-01	Marathon Petroleum Norge AS	28.200000	\N	9999-12-31	9999-12-31	34512	463	9999-12-31	2013-05-08
025	2007-10-01	2009-01-01	Marathon Petroleum Norge AS	28.200000	\N	9999-12-31	9999-12-31	34512	463	9999-12-31	2013-05-08
025	2009-01-01	2009-01-02	Marathon Petroleum Norge AS	28.200000	\N	9999-12-31	9999-12-31	34512	463	9999-12-31	2013-05-08
025	2009-01-02	2009-11-02	Marathon Petroleum Norge AS	28.200000	\N	9999-12-31	9999-12-31	34512	463	9999-12-31	2013-05-08
025	2009-11-02	2010-01-01	Marathon Petroleum Norge AS	28.200000	\N	9999-12-31	9999-12-31	34512	463	9999-12-31	2013-05-08
025	2010-01-01	2011-03-31	Marathon Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	34512	463	9999-12-31	2013-05-08
025	1997-01-01	1998-06-03	Den norske stats oljeselskap a.s	35.000000	\N	1997-10-31	2001-05-10	34512	749	9999-12-31	2013-05-08
025	1998-06-03	2000-07-24	Den norske stats oljeselskap a.s	46.800000	\N	1997-10-31	2001-05-10	34512	749	9999-12-31	2013-05-08
025	2000-07-24	2001-02-06	Den norske stats oljeselskap a.s	46.800000	\N	1997-10-31	2001-05-10	34512	749	9999-12-31	2013-05-08
025	2001-02-06	2001-05-10	Den norske stats oljeselskap a.s	46.800000	\N	1997-10-31	2001-05-10	34512	749	9999-12-31	2013-05-08
025	1969-05-23	1972-04-25	Total Norge AS	28.800000	\N	9999-12-31	9999-12-31	34512	848	9999-12-31	2013-05-08
025	1972-04-25	1977-01-01	Total Norge AS	21.800000	\N	9999-12-31	9999-12-31	34512	848	9999-12-31	2013-05-08
025	1977-01-01	1977-08-11	Total Norge AS	21.800000	\N	9999-12-31	9999-12-31	34512	848	9999-12-31	2013-05-08
025	1977-08-11	1983-06-01	Total Norge AS	21.800000	\N	9999-12-31	9999-12-31	34512	848	9999-12-31	2013-05-08
025	1983-06-01	1990-07-06	Total Norge AS	21.800000	\N	9999-12-31	9999-12-31	34512	848	9999-12-31	2013-05-08
025	1990-07-06	1997-01-01	Total Norge AS	36.800000	\N	9999-12-31	9999-12-31	34512	848	9999-12-31	2013-05-08
025	1997-01-01	1998-06-03	Total Norge AS	21.800000	\N	9999-12-31	9999-12-31	34512	848	9999-12-31	2013-05-08
025	1998-06-03	2000-07-24	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	34512	848	9999-12-31	2013-05-08
025	2000-07-24	2001-02-06	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	34512	848	9999-12-31	2013-05-08
025	2001-02-06	2001-05-10	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	34512	848	9999-12-31	2013-05-08
025	2001-05-10	2001-06-20	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	34512	848	9999-12-31	2013-05-08
025	2001-02-06	2001-05-10	BP Amoco Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	982372	9999-12-31	2013-05-08
025	2001-05-10	2001-06-20	BP Amoco Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	982372	9999-12-31	2013-05-08
025	2001-06-20	2001-08-07	BP Amoco Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	982372	9999-12-31	2013-05-08
025	2001-08-07	2002-03-12	BP Amoco Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	982372	9999-12-31	2013-05-08
025	2000-07-24	2001-02-06	TotalFinaElf Exploration Norge AS	33.200000	\N	9999-12-31	9999-12-31	34512	1340884	9999-12-31	2013-05-08
025	2001-02-06	2001-05-10	TotalFinaElf Exploration Norge AS	8.200000	\N	9999-12-31	9999-12-31	34512	1340884	9999-12-31	2013-05-08
025	2001-05-10	2001-06-20	TotalFinaElf Exploration Norge AS	8.200000	\N	9999-12-31	9999-12-31	34512	1340884	9999-12-31	2013-05-08
025	2001-05-10	2001-06-20	Statoil ASA (old)	46.800000	\N	2001-05-10	2007-10-01	34512	1622484	9999-12-31	2013-05-08
025	2001-06-20	2001-08-07	Statoil ASA (old)	46.800000	\N	2001-05-10	2007-10-01	34512	1622484	9999-12-31	2013-05-08
025	2001-08-07	2002-03-12	Statoil ASA (old)	46.800000	\N	2001-05-10	2007-10-01	34512	1622484	9999-12-31	2013-05-08
025	2002-03-12	2002-08-14	Statoil ASA (old)	46.800000	\N	2001-05-10	2007-10-01	34512	1622484	9999-12-31	2013-05-08
025	2002-08-14	2006-11-29	Statoil ASA (old)	46.800000	\N	2001-05-10	2007-10-01	34512	1622484	9999-12-31	2013-05-08
025	2006-11-29	2007-10-01	Statoil ASA (old)	46.800000	\N	2001-05-10	2007-10-01	34512	1622484	9999-12-31	2013-05-08
025	2002-08-14	2006-11-29	Gaz de France Norge AS	12.500000	\N	9999-12-31	9999-12-31	34512	1628733	9999-12-31	2013-05-08
025	2006-11-29	2007-10-01	Gaz de France Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	1628733	9999-12-31	2013-05-08
025	2007-10-01	2009-01-01	Gaz de France Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	1628733	9999-12-31	2013-05-08
025	2002-03-12	2002-08-14	BP Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	2052695	9999-12-31	2013-05-08
025	2002-08-14	2006-11-29	BP Norge AS	12.500000	\N	9999-12-31	9999-12-31	34512	2052695	9999-12-31	2013-05-08
025	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	46.800000	\N	2009-01-01	2009-11-01	34512	4511658	9999-12-31	2013-05-08
025	2007-10-01	2009-01-01	StatoilHydro ASA	46.800000	\N	2007-10-01	2008-12-31	34512	4511854	9999-12-31	2013-05-08
025	2009-01-01	2009-01-02	StatoilHydro ASA	46.800000	\N	9999-12-31	9999-12-31	34512	4511854	9999-12-31	2013-05-08
025	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	5267845	9999-12-31	2013-05-08
025	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	5267845	9999-12-31	2013-05-08
025	2009-11-02	2010-01-01	GDF SUEZ E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	5267845	9999-12-31	2013-05-08
025	2010-01-01	2011-03-31	GDF SUEZ E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	5267845	9999-12-31	2013-05-08
025	2011-03-31	9999-12-31	GDF SUEZ E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	34512	5267845	9999-12-31	2013-05-08
025	2009-11-02	2010-01-01	Statoil Petroleum AS	46.800000	\N	2009-11-02	9999-12-31	34512	17237817	9999-12-31	2013-05-08
025	2010-01-01	2011-03-31	Statoil Petroleum AS	55.000000	\N	2009-11-02	9999-12-31	34512	17237817	9999-12-31	2013-05-08
025	2011-03-31	9999-12-31	Statoil Petroleum AS	75.000000	\N	2009-11-02	9999-12-31	34512	17237817	9999-12-31	2013-05-08
079	2002-10-01	2002-12-02	Norske Conoco A/S	2.400000	\N	9999-12-31	9999-12-31	34635	221	9999-12-31	2013-05-08
079	2002-12-02	2003-03-22	Norske Conoco A/S	2.400000	\N	9999-12-31	9999-12-31	34635	221	9999-12-31	2013-05-08
079	1982-08-20	1983-08-01	Norsk Hydro Produksjon AS	15.000000	\N	1982-08-20	2007-01-01	34635	430	9999-12-31	2013-05-08
079	1983-08-01	1985-01-01	Norsk Hydro Produksjon AS	16.000000	\N	1982-08-20	2007-01-01	34635	430	9999-12-31	2013-05-08
079	1985-01-01	2001-01-11	Norsk Hydro Produksjon AS	16.000000	\N	1982-08-20	2007-01-01	34635	430	9999-12-31	2013-05-08
079	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	26.500000	\N	1982-08-20	2007-01-01	34635	430	9999-12-31	2013-05-08
079	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	26.500000	\N	1982-08-20	2007-01-01	34635	430	9999-12-31	2013-05-08
079	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	26.500000	\N	1982-08-20	2007-01-01	34635	430	9999-12-31	2013-05-08
079	2002-03-19	2002-10-01	Norsk Hydro Produksjon AS	34.000000	\N	1982-08-20	2007-01-01	34635	430	9999-12-31	2013-05-08
079	2002-10-01	2002-12-02	Norsk Hydro Produksjon AS	34.000000	\N	1982-08-20	2007-01-01	34635	430	9999-12-31	2013-05-08
079	2002-12-02	2003-03-22	Norsk Hydro Produksjon AS	34.000000	\N	1982-08-20	2007-01-01	34635	430	9999-12-31	2013-05-08
079	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	34.000000	\N	1982-08-20	2007-01-01	34635	430	9999-12-31	2013-05-08
079	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	34.000000	\N	1982-08-20	2007-01-01	34635	430	9999-12-31	2013-05-08
079	2002-12-02	2003-03-22	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	34635	474	9999-12-31	2013-05-08
079	2003-03-22	2003-05-06	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	34635	474	9999-12-31	2013-05-08
079	2003-05-06	2007-01-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	34635	474	9999-12-31	2013-05-08
079	2007-01-01	2007-01-02	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	34635	474	9999-12-31	2013-05-08
079	2007-01-02	2007-10-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	34635	474	9999-12-31	2013-05-08
079	2007-10-01	2008-01-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	34635	474	9999-12-31	2013-05-08
079	1982-08-20	1983-08-01	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	34635	716	9999-12-31	2013-05-08
079	1983-08-01	1985-01-01	Saga Petroleum ASA	10.500000	\N	9999-12-31	9999-12-31	34635	716	9999-12-31	2013-05-08
079	1985-01-01	2001-01-11	Saga Petroleum ASA	10.500000	\N	9999-12-31	9999-12-31	34635	716	9999-12-31	2013-05-08
079	1982-08-20	1983-08-01	Den norske stats oljeselskap a.s	70.000000	\N	9999-12-31	9999-12-31	34635	749	9999-12-31	2013-05-08
079	1983-08-01	1985-01-01	Den norske stats oljeselskap a.s	73.500000	\N	9999-12-31	9999-12-31	34635	749	9999-12-31	2013-05-08
079	1985-01-01	2001-01-11	Den norske stats oljeselskap a.s	73.500000	59.500000	9999-12-31	9999-12-31	34635	749	9999-12-31	2013-05-08
079	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	73.500000	59.500000	9999-12-31	9999-12-31	34635	749	9999-12-31	2013-05-08
079	1982-08-20	1983-08-01	Not allocated	5.000000	\N	9999-12-31	9999-12-31	34635	870	9999-12-31	2013-05-08
079	2002-03-19	2002-10-01	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	34635	1340884	9999-12-31	2013-05-08
079	2002-10-01	2002-12-02	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	34635	1340884	9999-12-31	2013-05-08
079	2002-12-02	2003-03-22	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	34635	1340884	9999-12-31	2013-05-08
079	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	34635	1340884	9999-12-31	2013-05-08
079	2001-05-10	2001-06-17	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	34635	1622484	9999-12-31	2013-05-08
079	2001-06-17	2002-03-19	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	34635	1622484	9999-12-31	2013-05-08
079	2002-03-19	2002-10-01	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	34635	1622484	9999-12-31	2013-05-08
079	2002-10-01	2002-12-02	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	34635	1622484	9999-12-31	2013-05-08
079	2002-12-02	2003-03-22	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	34635	1622484	9999-12-31	2013-05-08
079	2003-03-22	2003-05-06	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	34635	1622484	9999-12-31	2013-05-08
079	2003-05-06	2007-01-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	34635	1622484	9999-12-31	2013-05-08
079	2007-01-01	2007-01-02	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	34635	1622484	9999-12-31	2013-05-08
079	2007-01-02	2007-10-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	34635	1622484	9999-12-31	2013-05-08
079	2001-05-10	2001-06-17	SDØE	59.500000	\N	9999-12-31	9999-12-31	34635	1623450	9999-12-31	2013-05-08
079	2001-06-17	2002-03-19	Petoro AS	59.500000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2002-03-19	2002-10-01	Petoro AS	42.000000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2002-10-01	2002-12-02	Petoro AS	38.300000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2002-12-02	2003-03-22	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2003-03-22	2003-05-06	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2003-05-06	2007-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2007-01-01	2007-01-02	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2007-01-02	2007-10-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2007-10-01	2008-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2008-01-01	2009-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2009-01-01	2009-11-02	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2009-11-02	2012-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	34635	1626839	2012-12-05	2013-05-08
079	2012-01-01	9999-12-31	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	34635	1626839	9999-12-31	2013-05-08
079	2003-03-22	2003-05-06	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	34635	2399056	9999-12-31	2013-05-08
079	2003-05-06	2007-01-01	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	34635	2399056	9999-12-31	2013-05-08
079	2007-01-01	2007-01-02	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	34635	2399056	9999-12-31	2013-05-08
079	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	34635	2410696	9999-12-31	2013-05-08
079	2007-10-01	2008-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	34635	2410696	9999-12-31	2013-05-08
079	2008-01-01	2009-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	34635	2410696	9999-12-31	2013-05-08
079	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	34635	2410696	9999-12-31	2013-05-08
079	2009-11-02	2012-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	34635	2410696	2012-12-05	2013-05-08
079	2012-01-01	9999-12-31	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	34635	2410696	9999-12-31	2013-05-08
079	2003-05-06	2007-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	34635	2410708	9999-12-31	2013-05-08
079	2007-01-01	2007-01-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	34635	2410708	9999-12-31	2013-05-08
079	2007-01-02	2007-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	34635	2410708	9999-12-31	2013-05-08
079	2007-10-01	2008-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	34635	2410708	9999-12-31	2013-05-08
079	2008-01-01	2009-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	34635	2410708	9999-12-31	2013-05-08
079	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	34635	2410708	9999-12-31	2013-05-08
079	2009-11-02	2012-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	34635	2410708	2012-12-05	2013-05-08
079	2012-01-01	9999-12-31	Total E&P Norge AS	14.700000	\N	9999-12-31	9999-12-31	34635	2410708	9999-12-31	2013-05-08
079	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	34635	2835212	9999-12-31	2013-05-08
079	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	34635	2835212	9999-12-31	2013-05-08
079	2009-11-02	2012-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	34635	2835212	2012-12-05	2013-05-08
079	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	34635	4511658	9999-12-31	2013-05-08
079	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	34635	4511658	9999-12-31	2013-05-08
079	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	49.300000	\N	2007-10-01	2009-11-01	34635	4511658	9999-12-31	2013-05-08
079	2007-10-01	2008-01-01	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	34635	4511854	9999-12-31	2013-05-08
079	2008-01-01	2009-01-01	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	34635	4511854	9999-12-31	2013-05-08
079	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	34.000000	\N	2007-01-01	2007-10-01	34635	4524355	9999-12-31	2013-05-08
079	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	34.000000	\N	2007-01-01	2007-10-01	34635	4524355	9999-12-31	2013-05-08
079	2009-11-02	2012-01-01	Statoil Petroleum AS	49.300000	\N	2009-11-02	9999-12-31	34635	17237817	2012-12-05	2013-05-08
079	2012-01-01	9999-12-31	Statoil Petroleum AS	49.300000	\N	2009-11-02	9999-12-31	34635	17237817	9999-12-31	2013-05-08
102 B	1998-01-22	2000-07-24	Elf Petroleum Norge AS	30.000000	\N	1998-01-22	2000-07-24	40264	298	9999-12-31	2013-05-08
102 B	1998-01-22	2000-07-24	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	40264	749	9999-12-31	2013-05-08
102 B	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	40264	749	9999-12-31	2013-05-08
102 B	1998-01-22	2000-07-24	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	40264	848	9999-12-31	2013-05-08
102 B	2000-07-24	2001-05-10	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	40264	848	9999-12-31	2013-05-08
102 B	2001-05-10	2001-06-17	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	40264	848	9999-12-31	2013-05-08
102 B	2001-06-17	2001-12-18	Total Norge AS	20.000000	\N	9999-12-31	9999-12-31	40264	848	9999-12-31	2013-05-08
102 B	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	30.000000	\N	2000-07-24	2002-12-31	40264	1340884	9999-12-31	2013-05-08
102 B	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	30.000000	\N	2000-07-24	2002-12-31	40264	1340884	9999-12-31	2013-05-08
102 B	2001-06-17	2001-12-18	TotalFinaElf Exploration Norge AS	30.000000	\N	2000-07-24	2002-12-31	40264	1340884	9999-12-31	2013-05-08
102 B	2001-12-18	2002-12-31	TotalFinaElf Exploration Norge AS	50.000000	\N	2000-07-24	2002-12-31	40264	1340884	9999-12-31	2013-05-08
102 B	2001-05-10	2001-06-17	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	40264	1622484	9999-12-31	2013-05-08
102 B	2001-06-17	2001-12-18	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	40264	1622484	9999-12-31	2013-05-08
102 B	2001-12-18	2002-12-31	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	40264	1622484	9999-12-31	2013-05-08
102 B	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	40264	1623450	9999-12-31	2013-05-08
102 B	2001-06-17	2001-12-18	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	40264	1626839	9999-12-31	2013-05-08
102 B	2001-12-18	2002-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	40264	1626839	9999-12-31	2013-05-08
103 B	1998-01-22	2000-01-01	Amerada Hess Norge AS	12.500000	\N	9999-12-31	9999-12-31	40772	67	9999-12-31	2013-05-08
103 B	1998-01-22	2000-01-01	Norske Conoco A/S	37.500000	\N	1998-01-22	2002-07-05	40772	221	9999-12-31	2013-05-08
103 B	2000-01-01	2001-02-06	Norske Conoco A/S	37.500000	\N	1998-01-22	2002-07-05	40772	221	9999-12-31	2013-05-08
103 B	2001-02-06	2001-05-10	Norske Conoco A/S	37.500000	\N	1998-01-22	2002-07-05	40772	221	9999-12-31	2013-05-08
103 B	2001-05-10	2001-06-17	Norske Conoco A/S	37.500000	\N	1998-01-22	2002-07-05	40772	221	9999-12-31	2013-05-08
103 B	2001-06-17	2002-07-05	Norske Conoco A/S	37.500000	\N	1998-01-22	2002-07-05	40772	221	9999-12-31	2013-05-08
103 B	1998-01-22	2000-01-01	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	40772	749	9999-12-31	2013-05-08
103 B	2000-01-01	2001-02-06	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	40772	749	9999-12-31	2013-05-08
103 B	2001-02-06	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	40772	749	9999-12-31	2013-05-08
103 B	2000-01-01	2001-02-06	Det Norske Oljeselskap AS	12.500000	\N	9999-12-31	9999-12-31	40772	1340609	9999-12-31	2013-05-08
103 B	2001-02-06	2001-05-10	Det Norske Oljeselskap AS	32.500000	\N	9999-12-31	9999-12-31	40772	1340609	9999-12-31	2013-05-08
103 B	2001-05-10	2001-06-17	Det Norske Oljeselskap AS	32.500000	\N	9999-12-31	9999-12-31	40772	1340609	9999-12-31	2013-05-08
103 B	2001-06-17	2002-07-05	Det Norske Oljeselskap AS	32.500000	\N	9999-12-31	9999-12-31	40772	1340609	9999-12-31	2013-05-08
103 B	2002-07-05	2004-01-01	Det Norske Oljeselskap AS	70.000000	\N	2002-07-05	2004-01-01	40772	1340609	9999-12-31	2013-05-08
103 B	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	40772	1623450	9999-12-31	2013-05-08
103 B	2001-06-17	2002-07-05	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	40772	1626839	9999-12-31	2013-05-08
103 B	2002-07-05	2004-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	40772	1626839	9999-12-31	2013-05-08
103 B	2004-01-01	2008-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	40772	1626839	9999-12-31	2013-05-08
103 B	2008-01-01	2009-12-22	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	40772	1626839	9999-12-31	2013-05-08
103 B	2009-12-22	2011-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	40772	1626839	9999-12-31	2013-05-08
103 B	2004-01-01	2008-01-01	Lundin Norway AS	70.000000	\N	2004-01-01	2008-07-31	40772	2767314	9999-12-31	2013-05-08
103 B	2011-01-01	9999-12-31	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	40772	4062883	9999-12-31	2013-05-08
103 B	2008-01-01	2009-12-22	Det norske oljeselskap ASA (old)	70.000000	\N	2008-07-31	2009-12-21	40772	4539989	9999-12-31	2013-05-08
103 B	2009-12-22	2011-01-01	Det norske oljeselskap ASA	70.000000	\N	2009-12-22	9999-12-31	40772	17342870	9999-12-31	2013-05-08
103 B	2011-01-01	9999-12-31	Det norske oljeselskap ASA	70.000000	\N	2009-12-22	9999-12-31	40772	17342870	9999-12-31	2013-05-08
237	1998-01-30	1999-04-13	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	41327	45	9999-12-31	2013-05-08
237	1999-04-13	2001-01-11	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	41327	45	9999-12-31	2013-05-08
237	2001-01-11	2001-05-10	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	41327	45	9999-12-31	2013-05-08
237	2001-05-10	2001-06-01	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	41327	45	9999-12-31	2013-05-08
237	2001-06-01	2001-06-17	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	41327	45	9999-12-31	2013-05-08
237	2001-06-17	2001-12-18	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	41327	45	9999-12-31	2013-05-08
237	2001-12-18	2003-03-04	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	41327	45	9999-12-31	2013-05-08
237	2003-03-04	2003-05-06	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	41327	45	9999-12-31	2013-05-08
237	2003-05-06	2003-12-31	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	41327	45	9999-12-31	2013-05-08
237	1998-01-30	1999-04-13	Norsk Hydro Produksjon AS	2.600000	\N	9999-12-31	9999-12-31	41327	430	9999-12-31	2013-05-08
237	1999-04-13	2001-01-11	Norsk Hydro Produksjon AS	2.600000	\N	9999-12-31	9999-12-31	41327	430	9999-12-31	2013-05-08
237	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	41327	430	9999-12-31	2013-05-08
237	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	41327	430	9999-12-31	2013-05-08
237	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	41327	430	9999-12-31	2013-05-08
237	2001-06-17	2001-12-18	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	41327	430	9999-12-31	2013-05-08
237	2001-12-18	2003-03-04	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	41327	430	9999-12-31	2013-05-08
237	2003-03-04	2003-05-06	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	41327	430	9999-12-31	2013-05-08
237	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	41327	430	9999-12-31	2013-05-08
237	2003-12-31	2006-08-01	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	41327	430	9999-12-31	2013-05-08
237	2006-08-01	2007-01-01	Norsk Hydro Produksjon AS	9.610000	\N	9999-12-31	9999-12-31	41327	430	9999-12-31	2013-05-08
237	1998-01-30	1999-04-13	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	1999-04-13	2001-01-11	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2001-01-11	2001-05-10	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2001-05-10	2001-06-01	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2001-06-01	2001-06-17	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2001-06-17	2001-12-18	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2001-12-18	2003-03-04	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2003-03-04	2003-05-06	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2003-05-06	2003-12-31	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2003-12-31	2006-08-01	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2006-08-01	2007-01-01	Mobil Development Norway AS	7.240000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2007-01-01	2007-10-01	Mobil Development Norway AS	7.240000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2007-10-01	2008-01-01	Mobil Development Norway AS	7.240000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	2008-01-01	2008-01-02	Mobil Development Norway AS	7.240000	\N	9999-12-31	9999-12-31	41327	474	9999-12-31	2013-05-08
237	1998-01-30	1999-04-13	Neste Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	41327	496	9999-12-31	2013-05-08
237	1998-01-30	1999-04-13	Saga Petroleum ASA	7.000000	\N	9999-12-31	9999-12-31	41327	716	9999-12-31	2013-05-08
237	1999-04-13	2001-01-11	Saga Petroleum ASA	7.000000	\N	9999-12-31	9999-12-31	41327	716	9999-12-31	2013-05-08
237	1998-01-30	1999-04-13	Den norske stats oljeselskap a.s	60.500000	46.950000	1998-01-30	2001-05-10	41327	749	9999-12-31	2013-05-08
237	1999-04-13	2001-01-11	Den norske stats oljeselskap a.s	60.500000	46.950000	1998-01-30	2001-05-10	41327	749	9999-12-31	2013-05-08
237	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	60.500000	46.950000	1998-01-30	2001-05-10	41327	749	9999-12-31	2013-05-08
237	1998-01-30	1999-04-13	Total Norge AS	7.650000	\N	9999-12-31	9999-12-31	41327	848	9999-12-31	2013-05-08
237	1999-04-13	2001-01-11	Total Norge AS	7.650000	\N	9999-12-31	9999-12-31	41327	848	9999-12-31	2013-05-08
237	2001-01-11	2001-05-10	Total Norge AS	7.650000	\N	9999-12-31	9999-12-31	41327	848	9999-12-31	2013-05-08
237	2001-05-10	2001-06-01	Total Norge AS	7.650000	\N	9999-12-31	9999-12-31	41327	848	9999-12-31	2013-05-08
237	2001-06-01	2001-06-17	Total Norge AS	7.650000	\N	9999-12-31	9999-12-31	41327	848	9999-12-31	2013-05-08
237	2001-06-17	2001-12-18	Total Norge AS	7.650000	\N	9999-12-31	9999-12-31	41327	848	9999-12-31	2013-05-08
237	1999-04-13	2001-01-11	Fortum Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	41327	102714	9999-12-31	2013-05-08
237	2001-01-11	2001-05-10	Fortum Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	41327	102714	9999-12-31	2013-05-08
237	2001-05-10	2001-06-01	Fortum Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	41327	102714	9999-12-31	2013-05-08
237	2001-06-01	2001-06-17	Fortum Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	41327	102714	9999-12-31	2013-05-08
237	2001-06-17	2001-12-18	Fortum Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	41327	102714	9999-12-31	2013-05-08
237	2001-12-18	2003-03-04	Fortum Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	41327	102714	9999-12-31	2013-05-08
237	2001-12-18	2003-03-04	TotalFinaElf Exploration Norge AS	7.650000	\N	9999-12-31	9999-12-31	41327	1340884	9999-12-31	2013-05-08
237	2003-03-04	2003-05-06	TotalFinaElf Exploration Norge AS	7.650000	\N	9999-12-31	9999-12-31	41327	1340884	9999-12-31	2013-05-08
237	2001-05-10	2001-06-01	Statoil ASA (old)	13.550000	\N	2001-05-10	2007-10-01	41327	1622484	9999-12-31	2013-05-08
237	2001-06-01	2001-06-17	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	41327	1622484	9999-12-31	2013-05-08
237	2001-06-17	2001-12-18	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	41327	1622484	9999-12-31	2013-05-08
237	2001-12-18	2003-03-04	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	41327	1622484	9999-12-31	2013-05-08
237	2003-03-04	2003-05-06	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	41327	1622484	9999-12-31	2013-05-08
237	2003-05-06	2003-12-31	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	41327	1622484	9999-12-31	2013-05-08
237	2003-12-31	2006-08-01	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	41327	1622484	9999-12-31	2013-05-08
237	2006-08-01	2007-01-01	Statoil ASA (old)	24.960000	\N	2001-05-10	2007-10-01	41327	1622484	9999-12-31	2013-05-08
237	2007-01-01	2007-10-01	Statoil ASA (old)	24.960000	\N	2001-05-10	2007-10-01	41327	1622484	9999-12-31	2013-05-08
237	2001-05-10	2001-06-01	SDØE	46.950000	\N	9999-12-31	9999-12-31	41327	1623450	9999-12-31	2013-05-08
237	2001-06-01	2001-06-17	SDØE	35.500000	\N	9999-12-31	9999-12-31	41327	1623450	9999-12-31	2013-05-08
237	2001-06-17	2001-12-18	Petoro AS	35.500000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2001-12-18	2003-03-04	Petoro AS	35.500000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2003-03-04	2003-05-06	Petoro AS	35.500000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2003-05-06	2003-12-31	Petoro AS	35.500000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2003-12-31	2006-08-01	Petoro AS	35.500000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2006-08-01	2007-01-01	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2007-01-01	2007-10-01	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2007-10-01	2008-01-01	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2008-01-01	2008-01-02	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2008-01-02	2009-01-01	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2009-01-01	2009-11-02	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2009-11-02	9999-12-31	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	41327	1626839	9999-12-31	2013-05-08
237	2003-03-04	2003-05-06	Eni Norge AS	7.000000	\N	9999-12-31	9999-12-31	41327	2388594	9999-12-31	2013-05-08
237	2003-05-06	2003-12-31	Eni Norge AS	7.000000	\N	9999-12-31	9999-12-31	41327	2388594	9999-12-31	2013-05-08
237	2003-12-31	2006-08-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	41327	2388594	9999-12-31	2013-05-08
237	2006-08-01	2007-01-01	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	41327	2388594	9999-12-31	2013-05-08
237	2007-01-01	2007-10-01	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	41327	2388594	9999-12-31	2013-05-08
237	2007-10-01	2008-01-01	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	41327	2388594	9999-12-31	2013-05-08
237	2008-01-01	2008-01-02	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	41327	2388594	9999-12-31	2013-05-08
237	2008-01-02	2009-01-01	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	41327	2388594	9999-12-31	2013-05-08
237	2009-01-01	2009-11-02	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	41327	2388594	9999-12-31	2013-05-08
237	2009-11-02	9999-12-31	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	41327	2388594	9999-12-31	2013-05-08
237	2003-05-06	2003-12-31	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	41327	2410708	9999-12-31	2013-05-08
237	2003-12-31	2006-08-01	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	41327	2410708	9999-12-31	2013-05-08
237	2006-08-01	2007-01-01	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	41327	2410708	9999-12-31	2013-05-08
237	2007-01-01	2007-10-01	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	41327	2410708	9999-12-31	2013-05-08
237	2007-10-01	2008-01-01	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	41327	2410708	9999-12-31	2013-05-08
237	2008-01-01	2008-01-02	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	41327	2410708	9999-12-31	2013-05-08
237	2008-01-02	2009-01-01	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	41327	2410708	9999-12-31	2013-05-08
237	2009-01-01	2009-11-02	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	41327	2410708	9999-12-31	2013-05-08
237	2009-11-02	9999-12-31	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	41327	2410708	9999-12-31	2013-05-08
237	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	7.240000	\N	9999-12-31	9999-12-31	41327	2835212	9999-12-31	2013-05-08
237	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	7.240000	\N	9999-12-31	9999-12-31	41327	2835212	9999-12-31	2013-05-08
237	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	7.240000	\N	9999-12-31	9999-12-31	41327	2835212	9999-12-31	2013-05-08
237	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	9.610000	\N	9999-12-31	9999-12-31	41327	4511658	9999-12-31	2013-05-08
237	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	34.570000	\N	2009-01-01	2009-11-01	41327	4511658	9999-12-31	2013-05-08
237	2007-10-01	2008-01-01	StatoilHydro ASA	24.960000	\N	2007-10-01	2008-12-31	41327	4511854	9999-12-31	2013-05-08
237	2008-01-01	2008-01-02	StatoilHydro ASA	34.570000	\N	2007-10-01	2008-12-31	41327	4511854	9999-12-31	2013-05-08
237	2008-01-02	2009-01-01	StatoilHydro ASA	34.570000	\N	2007-10-01	2008-12-31	41327	4511854	9999-12-31	2013-05-08
237	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.610000	\N	9999-12-31	9999-12-31	41327	4524355	9999-12-31	2013-05-08
237	2009-11-02	9999-12-31	Statoil Petroleum AS	34.570000	\N	2009-11-02	9999-12-31	41327	17237817	9999-12-31	2013-05-08
128 B	1998-01-30	1999-12-11	Norsk Agip  AS	6.900000	\N	9999-12-31	9999-12-31	41361	45	9999-12-31	2013-05-08
128 B	1999-12-11	2001-05-10	Norsk Agip  AS	6.900000	\N	9999-12-31	9999-12-31	41361	45	9999-12-31	2013-05-08
128 B	2001-05-10	2001-06-01	Norsk Agip  AS	6.900000	\N	9999-12-31	9999-12-31	41361	45	9999-12-31	2013-05-08
128 B	2001-06-01	2001-06-17	Norsk Agip  AS	6.900000	\N	9999-12-31	9999-12-31	41361	45	9999-12-31	2013-05-08
128 B	2001-06-17	2001-12-31	Norsk Agip  AS	6.900000	\N	9999-12-31	9999-12-31	41361	45	9999-12-31	2013-05-08
128 B	2001-12-31	2003-12-31	Norsk Agip  AS	6.900000	\N	9999-12-31	9999-12-31	41361	45	9999-12-31	2013-05-08
128 B	1998-01-30	1999-12-11	Enterprise Oil Norwegian AS	6.000000	\N	9999-12-31	9999-12-31	41361	342	9999-12-31	2013-05-08
128 B	1999-12-11	2001-05-10	Enterprise Oil Norwegian AS	6.000000	\N	9999-12-31	9999-12-31	41361	342	9999-12-31	2013-05-08
128 B	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	6.000000	\N	9999-12-31	9999-12-31	41361	342	9999-12-31	2013-05-08
128 B	2001-06-01	2001-06-17	Enterprise Oil Norwegian AS	6.000000	\N	9999-12-31	9999-12-31	41361	342	9999-12-31	2013-05-08
128 B	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	6.000000	\N	9999-12-31	9999-12-31	41361	342	9999-12-31	2013-05-08
128 B	1998-01-30	1999-12-11	Norsk Hydro Produksjon AS	8.100000	\N	9999-12-31	9999-12-31	41361	430	9999-12-31	2013-05-08
128 B	1999-12-11	2001-05-10	Norsk Hydro Produksjon AS	8.100000	\N	9999-12-31	9999-12-31	41361	430	9999-12-31	2013-05-08
128 B	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	8.100000	\N	9999-12-31	9999-12-31	41361	430	9999-12-31	2013-05-08
128 B	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	8.100000	\N	9999-12-31	9999-12-31	41361	430	9999-12-31	2013-05-08
128 B	2001-06-17	2001-12-31	Norsk Hydro Produksjon AS	8.100000	\N	9999-12-31	9999-12-31	41361	430	9999-12-31	2013-05-08
128 B	2001-12-31	2003-12-31	Norsk Hydro Produksjon AS	8.100000	\N	9999-12-31	9999-12-31	41361	430	9999-12-31	2013-05-08
128 B	2003-12-31	2005-01-01	Norsk Hydro Produksjon AS	8.100000	\N	9999-12-31	9999-12-31	41361	430	9999-12-31	2013-05-08
128 B	2005-01-01	2007-01-01	Norsk Hydro Produksjon AS	8.100000	\N	9999-12-31	9999-12-31	41361	430	9999-12-31	2013-05-08
128 B	1998-01-30	1999-12-11	Saga Petroleum ASA	9.000000	\N	9999-12-31	9999-12-31	41361	716	9999-12-31	2013-05-08
128 B	1998-01-30	1999-12-11	Den norske stats oljeselskap a.s	70.000000	55.000000	1998-01-30	2001-05-10	41361	749	9999-12-31	2013-05-08
128 B	1999-12-11	2001-05-10	Den norske stats oljeselskap a.s	79.000000	\N	1998-01-30	2001-05-10	41361	749	9999-12-31	2013-05-08
128 B	2001-05-10	2001-06-01	Statoil ASA (old)	24.000000	\N	2001-05-10	2007-10-01	41361	1622484	9999-12-31	2013-05-08
128 B	2001-06-01	2001-06-17	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	41361	1622484	9999-12-31	2013-05-08
128 B	2001-06-17	2001-12-31	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	41361	1622484	9999-12-31	2013-05-08
128 B	2001-12-31	2003-12-31	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	41361	1622484	9999-12-31	2013-05-08
128 B	2003-12-31	2005-01-01	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	41361	1622484	9999-12-31	2013-05-08
128 B	2005-01-01	2007-01-01	Statoil ASA (old)	31.000000	\N	2001-05-10	2007-10-01	41361	1622484	9999-12-31	2013-05-08
128 B	2007-01-01	2007-10-01	Statoil ASA (old)	31.000000	\N	2001-05-10	2007-10-01	41361	1622484	9999-12-31	2013-05-08
128 B	2001-05-10	2001-06-01	SDØE	55.000000	\N	9999-12-31	9999-12-31	41361	1623450	9999-12-31	2013-05-08
128 B	2001-06-01	2001-06-17	SDØE	54.000000	\N	9999-12-31	9999-12-31	41361	1623450	9999-12-31	2013-05-08
128 B	2001-06-17	2001-12-31	Petoro AS	54.000000	\N	9999-12-31	9999-12-31	41361	1626839	9999-12-31	2013-05-08
128 B	2001-12-31	2003-12-31	Petoro AS	54.000000	\N	9999-12-31	9999-12-31	41361	1626839	9999-12-31	2013-05-08
128 B	2003-12-31	2005-01-01	Petoro AS	54.000000	\N	9999-12-31	9999-12-31	41361	1626839	9999-12-31	2013-05-08
128 B	2005-01-01	2007-01-01	Petoro AS	54.000000	\N	9999-12-31	9999-12-31	41361	1626839	9999-12-31	2013-05-08
128 B	2007-01-01	2007-10-01	Petoro AS	54.000000	\N	9999-12-31	9999-12-31	41361	1626839	9999-12-31	2013-05-08
128 B	2007-10-01	2008-01-01	Petoro AS	54.000000	\N	9999-12-31	9999-12-31	41361	1626839	9999-12-31	2013-05-08
128 B	2008-01-01	2009-01-01	Petoro AS	54.000000	\N	9999-12-31	9999-12-31	41361	1626839	9999-12-31	2013-05-08
128 B	2009-01-01	2009-11-02	Petoro AS	54.000000	\N	9999-12-31	9999-12-31	41361	1626839	9999-12-31	2013-05-08
128 B	2009-11-02	9999-12-31	Petoro AS	54.000000	\N	9999-12-31	9999-12-31	41361	1626839	9999-12-31	2013-05-08
128 B	2001-12-31	2003-12-31	Enterprise Oil Norge AS	6.000000	\N	9999-12-31	9999-12-31	41361	1853786	9999-12-31	2013-05-08
128 B	2003-12-31	2005-01-01	Enterprise Oil Norge AS	6.000000	\N	9999-12-31	9999-12-31	41361	1853786	9999-12-31	2013-05-08
128 B	2003-12-31	2005-01-01	Eni Norge AS	6.900000	\N	9999-12-31	9999-12-31	41361	2388594	9999-12-31	2013-05-08
128 B	2005-01-01	2007-01-01	Eni Norge AS	6.900000	\N	9999-12-31	9999-12-31	41361	2388594	9999-12-31	2013-05-08
128 B	2007-01-01	2007-10-01	Eni Norge AS	6.900000	\N	9999-12-31	9999-12-31	41361	2388594	9999-12-31	2013-05-08
128 B	2007-10-01	2008-01-01	Eni Norge AS	6.900000	\N	9999-12-31	9999-12-31	41361	2388594	9999-12-31	2013-05-08
128 B	2008-01-01	2009-01-01	Eni Norge AS	6.900000	\N	9999-12-31	9999-12-31	41361	2388594	9999-12-31	2013-05-08
128 B	2009-01-01	2009-11-02	Eni Norge AS	6.900000	\N	9999-12-31	9999-12-31	41361	2388594	9999-12-31	2013-05-08
128 B	2009-11-02	9999-12-31	Eni Norge AS	6.900000	\N	9999-12-31	9999-12-31	41361	2388594	9999-12-31	2013-05-08
128 B	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	8.100000	\N	9999-12-31	9999-12-31	41361	4511658	9999-12-31	2013-05-08
128 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	39.100000	\N	2009-01-01	2009-11-01	41361	4511658	9999-12-31	2013-05-08
128 B	2007-10-01	2008-01-01	StatoilHydro ASA	31.000000	\N	2007-10-01	2008-12-31	41361	4511854	9999-12-31	2013-05-08
128 B	2008-01-01	2009-01-01	StatoilHydro ASA	39.100000	\N	2007-10-01	2008-12-31	41361	4511854	9999-12-31	2013-05-08
128 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	8.100000	\N	9999-12-31	9999-12-31	41361	4524355	9999-12-31	2013-05-08
128 B	2009-11-02	9999-12-31	Statoil Petroleum AS	39.100000	\N	2009-11-02	9999-12-31	41361	17237817	9999-12-31	2013-05-08
019 C	1998-09-14	1998-09-16	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	47992	34	9999-12-31	2013-05-08
019 C	1998-09-14	1998-09-16	BP Petroleum Dev. of Norway AS	56.000000	\N	1998-09-14	1999-12-23	47992	155	9999-12-31	2013-05-08
019 C	1998-09-16	1998-11-30	BP Petroleum Dev. of Norway AS	60.778000	\N	1998-09-14	1999-12-23	47992	155	9999-12-31	2013-05-08
019 C	1998-11-30	1999-12-10	BP Petroleum Dev. of Norway AS	40.778000	\N	1998-09-14	1999-12-23	47992	155	9999-12-31	2013-05-08
019 C	1999-12-10	1999-12-23	BP Petroleum Dev. of Norway AS	45.000000	\N	1998-09-14	1999-12-23	47992	155	9999-12-31	2013-05-08
019 C	1998-11-30	1999-12-10	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	47992	430	9999-12-31	2013-05-08
019 C	1999-12-10	1999-12-23	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	47992	430	9999-12-31	2013-05-08
019 C	1999-12-23	2001-05-10	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	47992	430	9999-12-31	2013-05-08
019 C	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	47992	430	9999-12-31	2013-05-08
019 C	2001-06-17	2002-03-12	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	47992	430	9999-12-31	2013-05-08
019 C	2002-03-12	2002-03-19	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	47992	430	9999-12-31	2013-05-08
019 C	2002-03-19	2002-04-17	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	47992	430	9999-12-31	2013-05-08
019 C	2002-04-17	2003-07-04	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	47992	430	9999-12-31	2013-05-08
019 C	2003-07-04	2004-01-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	47992	430	9999-12-31	2013-05-08
019 C	1998-09-14	1998-09-16	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	47992	485	9999-12-31	2013-05-08
019 C	1998-09-16	1998-11-30	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	47992	485	9999-12-31	2013-05-08
019 C	1998-11-30	1999-12-10	Norske Moeco A/S	5.000000	\N	9999-12-31	9999-12-31	47992	485	9999-12-31	2013-05-08
019 C	1998-09-14	1998-09-16	Pelican AS	4.000000	\N	9999-12-31	9999-12-31	47992	606	9999-12-31	2013-05-08
019 C	1998-09-16	1998-11-30	Pelican AS	4.222000	\N	9999-12-31	9999-12-31	47992	606	9999-12-31	2013-05-08
019 C	1998-11-30	1999-12-10	Pelican AS	4.222000	\N	9999-12-31	9999-12-31	47992	606	9999-12-31	2013-05-08
019 C	1999-12-10	1999-12-23	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	47992	606	9999-12-31	2013-05-08
019 C	1999-12-23	2001-05-10	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	47992	606	9999-12-31	2013-05-08
019 C	2001-05-10	2001-06-17	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	47992	606	9999-12-31	2013-05-08
019 C	2001-06-17	2002-03-12	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	47992	606	9999-12-31	2013-05-08
019 C	2002-03-12	2002-03-19	Pelican AS	5.000000	\N	9999-12-31	9999-12-31	47992	606	9999-12-31	2013-05-08
019 C	2002-03-19	2002-04-17	Pelican AS	35.000000	\N	9999-12-31	9999-12-31	47992	606	9999-12-31	2013-05-08
019 C	1998-09-14	1998-09-16	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	47992	749	9999-12-31	2013-05-08
019 C	1998-09-16	1998-11-30	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	47992	749	9999-12-31	2013-05-08
019 C	1998-11-30	1999-12-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	47992	749	9999-12-31	2013-05-08
019 C	1999-12-10	1999-12-23	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	47992	749	9999-12-31	2013-05-08
019 C	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	47992	749	9999-12-31	2013-05-08
019 C	1999-12-23	2001-05-10	BP Amoco Norge AS	45.000000	\N	1999-12-23	2002-03-12	47992	982372	9999-12-31	2013-05-08
019 C	2001-05-10	2001-06-17	BP Amoco Norge AS	45.000000	\N	1999-12-23	2002-03-12	47992	982372	9999-12-31	2013-05-08
019 C	2001-06-17	2002-03-12	BP Amoco Norge AS	45.000000	\N	1999-12-23	2002-03-12	47992	982372	9999-12-31	2013-05-08
019 C	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	47992	1623450	9999-12-31	2013-05-08
019 C	2001-06-17	2002-03-12	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	47992	1626839	9999-12-31	2013-05-08
019 C	2002-03-12	2002-03-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	47992	1626839	9999-12-31	2013-05-08
019 C	2002-04-17	2003-07-04	DONG Norge AS	35.000000	\N	9999-12-31	9999-12-31	47992	1853083	9999-12-31	2013-05-08
019 C	2003-07-04	2004-01-01	DONG Norge AS	35.000000	\N	9999-12-31	9999-12-31	47992	1853083	9999-12-31	2013-05-08
019 C	2004-01-01	2006-09-06	DONG Norge AS	35.000000	\N	9999-12-31	9999-12-31	47992	1853083	9999-12-31	2013-05-08
019 C	2002-03-12	2002-03-19	BP Norge AS	45.000000	\N	2002-03-12	2003-07-04	47992	2052695	9999-12-31	2013-05-08
019 C	2002-03-19	2002-04-17	BP Norge AS	45.000000	\N	2002-03-12	2003-07-04	47992	2052695	9999-12-31	2013-05-08
019 C	2002-04-17	2003-07-04	BP Norge AS	45.000000	\N	2002-03-12	2003-07-04	47992	2052695	9999-12-31	2013-05-08
019 C	2003-07-04	2004-01-01	Talisman Energy Norge AS	45.000000	\N	2003-07-04	9999-12-31	47992	2425093	9999-12-31	2013-05-08
019 C	2004-01-01	2006-09-06	Talisman Energy Norge AS	65.000000	\N	2003-07-04	9999-12-31	47992	2425093	9999-12-31	2013-05-08
019 C	2006-09-06	9999-12-31	Talisman Energy Norge AS	65.000000	\N	2003-07-04	9999-12-31	47992	2425093	9999-12-31	2013-05-08
019 C	2006-09-06	9999-12-31	DONG E&P Norge AS	35.000000	\N	9999-12-31	9999-12-31	47992	4070011	9999-12-31	2013-05-08
037 B	1998-09-14	1998-09-16	Norske Conoco A/S	12.083330	\N	9999-12-31	9999-12-31	48081	221	9999-12-31	2013-05-08
037 B	1998-09-14	1998-09-16	Enterprise Oil Norwegian AS	1.041670	\N	9999-12-31	9999-12-31	48081	342	9999-12-31	2013-05-08
037 B	1998-09-14	1998-09-16	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	48081	353	9999-12-31	2013-05-08
037 B	1998-09-16	2000-06-09	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	48081	430	9999-12-31	2013-05-08
037 B	2000-06-09	2001-05-10	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	48081	430	9999-12-31	2013-05-08
037 B	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	48081	430	9999-12-31	2013-05-08
037 B	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	48081	430	9999-12-31	2013-05-08
037 B	2001-06-17	2007-01-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	48081	430	9999-12-31	2013-05-08
037 B	1998-09-14	1998-09-16	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	48081	474	9999-12-31	2013-05-08
037 B	1998-09-14	1998-09-16	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	48081	562	9999-12-31	2013-05-08
037 B	1998-09-14	1998-09-16	Saga Petroleum ASA	1.875000	\N	9999-12-31	9999-12-31	48081	716	9999-12-31	2013-05-08
037 B	1998-09-16	2000-06-09	Saga Petroleum ASA	6.000000	\N	9999-12-31	9999-12-31	48081	716	9999-12-31	2013-05-08
037 B	1998-09-14	1998-09-16	Den norske stats oljeselskap a.s	50.000000	30.000000	1998-09-14	2001-05-10	48081	749	9999-12-31	2013-05-08
037 B	1998-09-16	2000-06-09	Den norske stats oljeselskap a.s	85.000000	73.000000	1998-09-14	2001-05-10	48081	749	9999-12-31	2013-05-08
037 B	2000-06-09	2001-05-10	Den norske stats oljeselskap a.s	91.000000	73.000000	1998-09-14	2001-05-10	48081	749	9999-12-31	2013-05-08
037 B	2001-05-10	2001-06-01	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	48081	1622484	9999-12-31	2013-05-08
037 B	2001-06-01	2001-06-17	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	48081	1622484	9999-12-31	2013-05-08
037 B	2001-06-17	2007-01-01	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	48081	1622484	9999-12-31	2013-05-08
037 B	2007-01-01	2007-10-01	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	48081	1622484	9999-12-31	2013-05-08
037 B	2001-05-10	2001-06-01	SDØE	73.000000	\N	9999-12-31	9999-12-31	48081	1623450	9999-12-31	2013-05-08
037 B	2001-06-01	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	48081	1623450	9999-12-31	2013-05-08
037 B	2001-06-17	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	48081	1626839	9999-12-31	2013-05-08
037 B	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	48081	1626839	9999-12-31	2013-05-08
037 B	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	48081	1626839	9999-12-31	2013-05-08
037 B	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	48081	1626839	9999-12-31	2013-05-08
037 B	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	48081	1626839	9999-12-31	2013-05-08
037 B	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	48081	4511658	9999-12-31	2013-05-08
037 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	48081	4511658	9999-12-31	2013-05-08
037 B	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	2007-10-01	2008-12-31	48081	4511854	9999-12-31	2013-05-08
037 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	48081	4524355	9999-12-31	2013-05-08
037 B	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	48081	17237817	9999-12-31	2013-05-08
053 B	1998-09-14	1999-01-01	Elf Petroleum Norge AS	9.333000	\N	9999-12-31	9999-12-31	48207	298	9999-12-31	2013-05-08
053 B	1998-09-14	1999-01-01	Norsk Hydro Produksjon AS	12.250000	\N	1998-09-14	2007-01-01	48207	430	9999-12-31	2013-05-08
053 B	1999-01-01	2001-05-10	Norsk Hydro Produksjon AS	40.600000	\N	1998-09-14	2007-01-01	48207	430	9999-12-31	2013-05-08
053 B	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	40.600000	\N	1998-09-14	2007-01-01	48207	430	9999-12-31	2013-05-08
053 B	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	40.600000	\N	1998-09-14	2007-01-01	48207	430	9999-12-31	2013-05-08
053 B	2002-01-01	2002-03-19	Norsk Hydro Produksjon AS	20.000000	\N	1998-09-14	2007-01-01	48207	430	9999-12-31	2013-05-08
053 B	2002-03-19	2005-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1998-09-14	2007-01-01	48207	430	9999-12-31	2013-05-08
053 B	2005-01-01	2006-03-22	Norsk Hydro Produksjon AS	20.000000	\N	1998-09-14	2007-01-01	48207	430	9999-12-31	2013-05-08
053 B	2006-03-22	2006-03-23	Norsk Hydro Produksjon AS	20.000000	\N	1998-09-14	2007-01-01	48207	430	9999-12-31	2013-05-08
053 B	2006-03-23	2007-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1998-09-14	2007-01-01	48207	430	9999-12-31	2013-05-08
053 B	1998-09-14	1999-01-01	Mobil Development Norway AS	7.000000	\N	9999-12-31	9999-12-31	48207	474	9999-12-31	2013-05-08
053 B	1998-09-14	1999-01-01	Saga Petroleum ASA	7.350000	\N	9999-12-31	9999-12-31	48207	716	9999-12-31	2013-05-08
053 B	1998-09-14	1999-01-01	Den norske stats oljeselskap a.s	59.400000	45.400000	9999-12-31	9999-12-31	48207	749	9999-12-31	2013-05-08
053 B	1999-01-01	2001-05-10	Den norske stats oljeselskap a.s	59.400000	45.400000	9999-12-31	9999-12-31	48207	749	9999-12-31	2013-05-08
053 B	1998-09-14	1999-01-01	Total Norge AS	4.667000	\N	9999-12-31	9999-12-31	48207	848	9999-12-31	2013-05-08
053 B	2002-03-19	2005-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	1577943	9999-12-31	2013-05-08
053 B	2005-01-01	2006-03-22	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	1577943	9999-12-31	2013-05-08
053 B	2001-05-10	2001-06-17	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	48207	1622484	9999-12-31	2013-05-08
053 B	2001-06-17	2002-01-01	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	48207	1622484	9999-12-31	2013-05-08
053 B	2002-01-01	2002-03-19	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	48207	1622484	9999-12-31	2013-05-08
053 B	2002-03-19	2005-01-01	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	48207	1622484	9999-12-31	2013-05-08
053 B	2005-01-01	2006-03-22	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	48207	1622484	9999-12-31	2013-05-08
053 B	2006-03-22	2006-03-23	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	48207	1622484	9999-12-31	2013-05-08
053 B	2006-03-23	2007-01-01	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	48207	1622484	9999-12-31	2013-05-08
053 B	2007-01-01	2007-10-01	Statoil ASA (old)	14.000000	\N	9999-12-31	9999-12-31	48207	1622484	9999-12-31	2013-05-08
053 B	2007-10-01	2007-10-02	Statoil ASA (old)	1.300000	\N	9999-12-31	9999-12-31	48207	1622484	9999-12-31	2013-05-08
053 B	2001-05-10	2001-06-17	SDØE	45.400000	\N	9999-12-31	9999-12-31	48207	1623450	9999-12-31	2013-05-08
053 B	2001-06-17	2002-01-01	Petoro AS	45.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2002-01-01	2002-03-19	Petoro AS	45.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2002-03-19	2005-01-01	Petoro AS	25.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2005-01-01	2006-03-22	Petoro AS	25.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2006-03-22	2006-03-23	Petoro AS	25.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2006-03-23	2007-01-01	Petoro AS	25.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2007-01-01	2007-10-01	Petoro AS	25.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2007-10-01	2007-10-02	Petoro AS	25.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2007-10-02	2009-01-01	Petoro AS	25.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2009-01-01	2009-05-26	Petoro AS	25.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2009-05-26	2009-10-01	Petoro AS	25.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2009-10-01	2009-11-02	Petoro AS	25.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2009-11-02	2011-01-01	Petoro AS	25.400000	\N	9999-12-31	9999-12-31	48207	1626839	9999-12-31	2013-05-08
053 B	2002-01-01	2002-03-19	OER Oil AS	20.600000	\N	9999-12-31	9999-12-31	48207	2258813	9999-12-31	2013-05-08
053 B	2002-03-19	2005-01-01	OER Oil AS	20.600000	\N	9999-12-31	9999-12-31	48207	2258813	9999-12-31	2013-05-08
053 B	2006-03-23	2007-01-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	2425093	9999-12-31	2013-05-08
053 B	2007-01-01	2007-10-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	2425093	9999-12-31	2013-05-08
053 B	2007-10-01	2007-10-02	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	2425093	9999-12-31	2013-05-08
053 B	2007-10-02	2009-01-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	2425093	9999-12-31	2013-05-08
053 B	2009-01-01	2009-05-26	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	2425093	9999-12-31	2013-05-08
053 B	2009-05-26	2009-10-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	2425093	9999-12-31	2013-05-08
053 B	2009-10-01	2009-11-02	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	2425093	9999-12-31	2013-05-08
053 B	2009-11-02	2011-01-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	2425093	9999-12-31	2013-05-08
053 B	2011-01-01	9999-12-31	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	2425093	9999-12-31	2013-05-08
053 B	2005-01-01	2006-03-22	Endeavour Energy Norge AS	20.600000	\N	9999-12-31	9999-12-31	48207	3113213	9999-12-31	2013-05-08
053 B	2006-03-22	2006-03-23	Endeavour Energy Norge AS	20.600000	\N	9999-12-31	9999-12-31	48207	3113213	9999-12-31	2013-05-08
053 B	2006-03-23	2007-01-01	Endeavour Energy Norge AS	20.600000	\N	9999-12-31	9999-12-31	48207	3113213	9999-12-31	2013-05-08
053 B	2007-01-01	2007-10-01	Endeavour Energy Norge AS	20.600000	\N	9999-12-31	9999-12-31	48207	3113213	9999-12-31	2013-05-08
053 B	2007-10-01	2007-10-02	Endeavour Energy Norge AS	20.600000	\N	9999-12-31	9999-12-31	48207	3113213	9999-12-31	2013-05-08
053 B	2007-10-02	2009-01-01	Endeavour Energy Norge AS	20.600000	\N	9999-12-31	9999-12-31	48207	3113213	9999-12-31	2013-05-08
053 B	2009-01-01	2009-05-26	Endeavour Energy Norge AS	20.600000	\N	9999-12-31	9999-12-31	48207	3113213	9999-12-31	2013-05-08
053 B	2006-03-22	2006-03-23	Talisman Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	48207	3987574	9999-12-31	2013-05-08
053 B	2011-01-01	9999-12-31	Faroe Petroleum Norge AS	25.400000	\N	9999-12-31	9999-12-31	48207	4062883	9999-12-31	2013-05-08
053 B	2007-10-01	2007-10-02	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	48207	4511658	9999-12-31	2013-05-08
053 B	2007-10-02	2009-01-01	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	48207	4511658	9999-12-31	2013-05-08
053 B	2009-01-01	2009-05-26	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	48207	4511658	9999-12-31	2013-05-08
053 B	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	48207	4511658	9999-12-31	2013-05-08
053 B	2009-10-01	2009-11-02	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	48207	4511658	9999-12-31	2013-05-08
053 B	2007-10-01	2007-10-02	StatoilHydro ASA	12.700000	\N	9999-12-31	9999-12-31	48207	4511854	9999-12-31	2013-05-08
053 B	2007-10-02	2009-01-01	StatoilHydro ASA	14.000000	\N	9999-12-31	9999-12-31	48207	4511854	9999-12-31	2013-05-08
053 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	20.000000	\N	2007-01-01	2007-10-01	48207	4524355	9999-12-31	2013-05-08
053 B	2009-05-26	2009-10-01	VNG Norge (Operations) AS	20.600000	\N	9999-12-31	9999-12-31	48207	5497155	9999-12-31	2013-05-08
053 B	2009-10-01	2009-11-02	VNG Norge AS	20.600000	\N	9999-12-31	9999-12-31	48207	17237193	9999-12-31	2013-05-08
053 B	2009-11-02	2011-01-01	VNG Norge AS	20.600000	\N	9999-12-31	9999-12-31	48207	17237193	9999-12-31	2013-05-08
053 B	2011-01-01	9999-12-31	VNG Norge AS	20.600000	\N	9999-12-31	9999-12-31	48207	17237193	9999-12-31	2013-05-08
053 B	2009-11-02	2011-01-01	Statoil Petroleum AS	34.000000	\N	2009-11-02	9999-12-31	48207	17237817	9999-12-31	2013-05-08
053 B	2011-01-01	9999-12-31	Statoil Petroleum AS	34.000000	\N	2009-11-02	9999-12-31	48207	17237817	9999-12-31	2013-05-08
114 C	1998-09-03	1998-12-17	Deminex Norge AS	10.000000	\N	9999-12-31	9999-12-31	90914	254	9999-12-31	2013-05-08
114 C	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	90914	430	9999-12-31	2013-05-08
114 C	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	90914	430	9999-12-31	2013-05-08
114 C	2001-06-01	2001-12-31	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	90914	430	9999-12-31	2013-05-08
114 C	1998-09-03	1998-12-17	Saga Petroleum ASA	25.000000	\N	9999-12-31	9999-12-31	90914	716	9999-12-31	2013-05-08
114 C	1998-12-17	2001-01-11	Saga Petroleum ASA	25.000000	\N	9999-12-31	9999-12-31	90914	716	9999-12-31	2013-05-08
114 C	1998-09-03	1998-12-17	Den norske stats oljeselskap a.s	65.000000	30.000000	1998-09-03	2001-05-10	90914	749	9999-12-31	2013-05-08
114 C	1998-12-17	2001-01-11	Den norske stats oljeselskap a.s	65.000000	30.000000	1998-09-03	2001-05-10	90914	749	9999-12-31	2013-05-08
114 C	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	65.000000	30.000000	1998-09-03	2001-05-10	90914	749	9999-12-31	2013-05-08
114 C	1998-12-17	2001-01-11	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	90914	97557	9999-12-31	2013-05-08
114 C	2001-01-11	2001-05-10	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	90914	97557	9999-12-31	2013-05-08
114 C	2001-05-10	2001-06-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	90914	97557	9999-12-31	2013-05-08
114 C	2001-06-01	2001-12-31	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	90914	97557	9999-12-31	2013-05-08
114 C	2001-05-10	2001-06-01	Statoil ASA (old)	35.000000	\N	2001-05-10	2001-12-31	90914	1622484	9999-12-31	2013-05-08
114 C	2001-06-01	2001-12-31	Statoil ASA (old)	65.000000	\N	2001-05-10	2001-12-31	90914	1622484	9999-12-31	2013-05-08
114 C	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	90914	1623450	9999-12-31	2013-05-08
238	1999-06-04	2001-05-10	Norsk Agip  AS	40.000000	\N	1999-06-04	2002-03-21	102103	45	9999-12-31	2013-05-08
238	2001-05-10	2001-06-01	Norsk Agip  AS	40.000000	\N	1999-06-04	2002-03-21	102103	45	9999-12-31	2013-05-08
238	2001-06-01	2001-12-31	Norsk Agip  AS	40.000000	\N	1999-06-04	2002-03-21	102103	45	9999-12-31	2013-05-08
238	2001-12-31	2002-03-21	Norsk Agip  AS	40.000000	\N	1999-06-04	2002-03-21	102103	45	9999-12-31	2013-05-08
238	1999-06-04	2001-05-10	Enterprise Oil Norwegian AS	35.000000	\N	9999-12-31	9999-12-31	102103	342	9999-12-31	2013-05-08
238	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	35.000000	\N	9999-12-31	9999-12-31	102103	342	9999-12-31	2013-05-08
238	2001-06-01	2001-12-31	Enterprise Oil Norwegian AS	35.000000	\N	9999-12-31	9999-12-31	102103	342	9999-12-31	2013-05-08
238	1999-06-04	2001-05-10	Den norske stats oljeselskap a.s	25.000000	25.000000	9999-12-31	9999-12-31	102103	749	9999-12-31	2013-05-08
238	2001-06-01	2001-12-31	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	102103	1622484	9999-12-31	2013-05-08
238	2001-12-31	2002-03-21	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	102103	1622484	9999-12-31	2013-05-08
238	2001-05-10	2001-06-01	SDØE	25.000000	\N	9999-12-31	9999-12-31	102103	1623450	9999-12-31	2013-05-08
238	2001-12-31	2002-03-21	Enterprise Oil Norge AS	35.000000	\N	9999-12-31	9999-12-31	102103	1853786	9999-12-31	2013-05-08
241	1999-06-04	2001-06-08	Esso Exploration and Production Norway A/S	100.000000	\N	1999-06-04	2004-10-01	102131	353	9999-12-31	2013-05-08
241	2001-06-08	2003-08-22	Esso Exploration and Production Norway A/S	65.000000	\N	1999-06-04	2004-10-01	102131	353	9999-12-31	2013-05-08
241	2003-08-22	2004-10-01	Esso Exploration and Production Norway A/S	50.000000	\N	1999-06-04	2004-10-01	102131	353	9999-12-31	2013-05-08
241	2001-06-08	2003-08-22	Statoil ASA (old)	35.000000	\N	9999-12-31	9999-12-31	102131	1622484	9999-12-31	2013-05-08
241	2003-08-22	2004-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	102131	1622484	9999-12-31	2013-05-08
241	2004-10-01	2006-06-04	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	102131	1622484	9999-12-31	2013-05-08
241	2004-10-01	2006-06-04	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2004-10-01	2006-06-04	102131	2835212	9999-12-31	2013-05-08
239	1999-06-04	2001-05-10	Norsk Agip  AS	40.000000	\N	1999-06-04	2003-11-27	102157	45	9999-12-31	2013-05-08
239	2001-05-10	2001-06-01	Norsk Agip  AS	40.000000	\N	1999-06-04	2003-11-27	102157	45	9999-12-31	2013-05-08
239	2001-06-01	2003-02-12	Norsk Agip  AS	40.000000	\N	1999-06-04	2003-11-27	102157	45	9999-12-31	2013-05-08
239	2003-02-12	2003-11-27	Norsk Agip  AS	40.000000	\N	1999-06-04	2003-11-27	102157	45	9999-12-31	2013-05-08
239	1999-06-04	2001-05-10	Den norske stats oljeselskap a.s	25.000000	25.000000	9999-12-31	9999-12-31	102157	749	9999-12-31	2013-05-08
239	1999-06-04	2001-05-10	RWE Dea Norge AS	35.000000	\N	9999-12-31	9999-12-31	102157	97557	9999-12-31	2013-05-08
239	2001-05-10	2001-06-01	RWE Dea Norge AS	35.000000	\N	9999-12-31	9999-12-31	102157	97557	9999-12-31	2013-05-08
239	2001-06-01	2003-02-12	RWE Dea Norge AS	35.000000	\N	9999-12-31	9999-12-31	102157	97557	9999-12-31	2013-05-08
239	2003-02-12	2003-11-27	RWE Dea Norge AS	35.000000	\N	9999-12-31	9999-12-31	102157	97557	9999-12-31	2013-05-08
239	2003-11-27	2005-06-04	RWE Dea Norge AS	35.000000	\N	9999-12-31	9999-12-31	102157	97557	9999-12-31	2013-05-08
239	2003-02-12	2003-11-27	Paladin Resources Norge AS	25.000000	\N	9999-12-31	9999-12-31	102157	1577943	9999-12-31	2013-05-08
239	2003-11-27	2005-06-04	Paladin Resources Norge AS	25.000000	\N	9999-12-31	9999-12-31	102157	1577943	9999-12-31	2013-05-08
239	2001-06-01	2003-02-12	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	102157	1622484	9999-12-31	2013-05-08
239	2001-05-10	2001-06-01	SDØE	25.000000	\N	9999-12-31	9999-12-31	102157	1623450	9999-12-31	2013-05-08
239	2003-11-27	2005-06-04	DONG Norge AS	40.000000	\N	2003-11-27	2005-06-04	102157	1853083	9999-12-31	2013-05-08
240	1999-06-04	1999-12-23	Amoco Norway AS	75.000000	\N	1999-06-04	1999-12-23	102217	89	9999-12-31	2013-05-08
240	1999-06-04	1999-12-23	Den norske stats oljeselskap a.s	25.000000	25.000000	9999-12-31	9999-12-31	102217	749	9999-12-31	2013-05-08
240	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	25.000000	25.000000	9999-12-31	9999-12-31	102217	749	9999-12-31	2013-05-08
240	1999-12-23	2001-05-10	BP Amoco Norge AS	75.000000	\N	1999-12-23	2002-03-12	102217	982372	9999-12-31	2013-05-08
240	2001-05-10	2001-06-01	BP Amoco Norge AS	75.000000	\N	1999-12-23	2002-03-12	102217	982372	9999-12-31	2013-05-08
240	2001-06-01	2002-03-12	BP Amoco Norge AS	75.000000	\N	1999-12-23	2002-03-12	102217	982372	9999-12-31	2013-05-08
240	2001-06-01	2002-03-12	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	102217	1622484	9999-12-31	2013-05-08
240	2002-03-12	2003-06-04	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	102217	1622484	9999-12-31	2013-05-08
240	2001-05-10	2001-06-01	SDØE	25.000000	\N	9999-12-31	9999-12-31	102217	1623450	9999-12-31	2013-05-08
240	2002-03-12	2003-06-04	BP Norge AS	75.000000	\N	2002-03-12	2003-06-04	102217	2052695	9999-12-31	2013-05-08
242	1999-06-04	2001-12-31	Enterprise Oil Norwegian AS	50.000000	\N	9999-12-31	9999-12-31	102226	342	9999-12-31	2013-05-08
242	1999-06-04	2001-12-31	Esso Exploration and Production Norway A/S	50.000000	\N	1999-06-04	2004-10-01	102226	353	9999-12-31	2013-05-08
242	2001-12-31	2003-06-12	Esso Exploration and Production Norway A/S	50.000000	\N	1999-06-04	2004-10-01	102226	353	9999-12-31	2013-05-08
242	2003-06-12	2004-01-01	Esso Exploration and Production Norway A/S	100.000000	\N	1999-06-04	2004-10-01	102226	353	9999-12-31	2013-05-08
242	2004-01-01	2004-10-01	Esso Exploration and Production Norway A/S	50.000000	\N	1999-06-04	2004-10-01	102226	353	9999-12-31	2013-05-08
242	2005-01-01	2006-01-01	Det Norske Oljeselskap AS	50.000000	\N	2005-06-01	2007-06-20	102226	1340609	9999-12-31	2013-05-08
242	2006-01-01	2007-06-20	Det Norske Oljeselskap AS	35.000000	\N	2005-06-01	2007-06-20	102226	1340609	9999-12-31	2013-05-08
242	2004-01-01	2004-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	102226	1622484	9999-12-31	2013-05-08
242	2004-10-01	2005-01-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	102226	1622484	9999-12-31	2013-05-08
242	2005-01-01	2006-01-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	102226	1622484	9999-12-31	2013-05-08
242	2006-01-01	2007-06-20	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	102226	1622484	9999-12-31	2013-05-08
242	2007-06-20	2007-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	102226	1622484	9999-12-31	2013-05-08
242	2001-12-31	2003-06-12	Enterprise Oil Norge AS	50.000000	\N	9999-12-31	9999-12-31	102226	1853786	9999-12-31	2013-05-08
055 B	2003-03-04	2004-01-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	102499	2388594	9999-12-31	2013-05-08
242	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2004-10-01	2005-06-01	102226	2835212	9999-12-31	2013-05-08
242	2006-01-01	2007-06-20	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	102226	3986418	9999-12-31	2013-05-08
242	2007-06-20	2007-10-01	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	102226	3986418	9999-12-31	2013-05-08
242	2007-10-01	2007-11-16	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	102226	3986418	9999-12-31	2013-05-08
242	2007-11-16	2008-01-01	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	102226	3986418	9999-12-31	2013-05-08
242	2008-01-01	2009-01-01	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	102226	3986418	9999-12-31	2013-05-08
242	2009-01-01	2009-01-21	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	102226	3986418	9999-12-31	2013-05-08
242	2009-03-23	2009-11-02	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	102226	4444493	9999-12-31	2013-05-08
242	2009-11-02	2009-12-22	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	102226	4444493	9999-12-31	2013-05-08
242	2009-12-22	9999-12-31	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	102226	4444493	9999-12-31	2013-05-08
242	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	35.000000	\N	2007-06-20	2007-11-16	102226	4468177	9999-12-31	2013-05-08
242	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	35.000000	\N	2007-06-20	2007-11-16	102226	4468177	9999-12-31	2013-05-08
242	2009-01-01	2009-01-21	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	102226	4511658	9999-12-31	2013-05-08
242	2009-01-21	2009-03-23	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	102226	4511658	9999-12-31	2013-05-08
242	2009-03-23	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	102226	4511658	9999-12-31	2013-05-08
242	2007-10-01	2007-11-16	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	102226	4511854	9999-12-31	2013-05-08
242	2007-11-16	2008-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	102226	4511854	9999-12-31	2013-05-08
242	2008-01-01	2009-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	102226	4511854	9999-12-31	2013-05-08
242	2007-11-16	2008-01-01	Noil Energy ASA	35.000000	\N	2007-11-16	2008-01-01	102226	4539976	9999-12-31	2013-05-08
242	2008-01-01	2009-01-01	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	102226	4539989	9999-12-31	2013-05-08
242	2009-01-01	2009-01-21	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	102226	4539989	9999-12-31	2013-05-08
242	2009-01-21	2009-03-23	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	102226	4539989	9999-12-31	2013-05-08
242	2009-03-23	2009-11-02	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	102226	4539989	9999-12-31	2013-05-08
242	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	102226	4539989	9999-12-31	2013-05-08
242	2009-01-21	2009-03-23	Bayerngas Produksjon Norge AS	15.000000	\N	9999-12-31	9999-12-31	102226	5461974	9999-12-31	2013-05-08
242	2009-11-02	2009-12-22	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	102226	17237817	9999-12-31	2013-05-08
242	2009-12-22	9999-12-31	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	102226	17237817	9999-12-31	2013-05-08
242	2009-12-22	9999-12-31	Det norske oljeselskap ASA	35.000000	\N	2009-12-22	9999-12-31	102226	17342870	9999-12-31	2013-05-08
243	1999-06-04	1999-12-23	Amoco Norway AS	45.000000	\N	1999-06-04	1999-12-23	102235	89	9999-12-31	2013-05-08
243	1999-06-04	1999-12-23	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	102235	430	9999-12-31	2013-05-08
243	1999-12-23	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	102235	430	9999-12-31	2013-05-08
243	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	102235	430	9999-12-31	2013-05-08
243	2001-06-01	2002-03-12	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	102235	430	9999-12-31	2013-05-08
243	2002-03-12	2004-01-01	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	102235	430	9999-12-31	2013-05-08
243	1999-06-04	1999-12-23	Den norske stats oljeselskap a.s	25.000000	25.000000	9999-12-31	9999-12-31	102235	749	9999-12-31	2013-05-08
243	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	25.000000	25.000000	9999-12-31	9999-12-31	102235	749	9999-12-31	2013-05-08
243	1999-12-23	2001-05-10	BP Amoco Norge AS	45.000000	\N	1999-12-23	2002-03-12	102235	982372	9999-12-31	2013-05-08
243	2001-05-10	2001-06-01	BP Amoco Norge AS	45.000000	\N	1999-12-23	2002-03-12	102235	982372	9999-12-31	2013-05-08
243	2001-06-01	2002-03-12	BP Amoco Norge AS	45.000000	\N	1999-12-23	2002-03-12	102235	982372	9999-12-31	2013-05-08
243	2001-06-01	2002-03-12	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	102235	1622484	9999-12-31	2013-05-08
243	2002-03-12	2004-01-01	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	102235	1622484	9999-12-31	2013-05-08
243	2001-05-10	2001-06-01	SDØE	25.000000	\N	9999-12-31	9999-12-31	102235	1623450	9999-12-31	2013-05-08
243	2002-03-12	2004-01-01	BP Norge AS	45.000000	\N	2002-03-12	2004-01-01	102235	2052695	9999-12-31	2013-05-08
244	1999-06-04	2000-07-01	Enterprise Oil Norwegian AS	50.000000	\N	9999-12-31	9999-12-31	102244	342	9999-12-31	2013-05-08
244	2000-07-01	2001-12-31	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	102244	342	9999-12-31	2013-05-08
244	1999-06-04	2000-07-01	Norsk Hydro Produksjon AS	50.000000	\N	1999-06-04	2002-12-31	102244	430	9999-12-31	2013-05-08
244	2000-07-01	2001-12-31	Norsk Hydro Produksjon AS	30.000000	\N	1999-06-04	2002-12-31	102244	430	9999-12-31	2013-05-08
244	2001-12-31	2002-04-17	Norsk Hydro Produksjon AS	30.000000	\N	1999-06-04	2002-12-31	102244	430	9999-12-31	2013-05-08
244	2002-04-17	2002-12-31	Norsk Hydro Produksjon AS	30.000000	\N	1999-06-04	2002-12-31	102244	430	9999-12-31	2013-05-08
244	2000-07-01	2001-12-31	Pelican AS	45.000000	\N	9999-12-31	9999-12-31	102244	606	9999-12-31	2013-05-08
244	2001-12-31	2002-04-17	Pelican AS	45.000000	\N	9999-12-31	9999-12-31	102244	606	9999-12-31	2013-05-08
244	2002-04-17	2002-12-31	DONG Norge AS	45.000000	\N	9999-12-31	9999-12-31	102244	1853083	9999-12-31	2013-05-08
244	2001-12-31	2002-04-17	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	102244	1853786	9999-12-31	2013-05-08
244	2002-04-17	2002-12-31	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	102244	1853786	9999-12-31	2013-05-08
245	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	102258	430	9999-12-31	2013-05-08
245	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	102258	430	9999-12-31	2013-05-08
245	2001-06-17	2004-12-30	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	102258	430	9999-12-31	2013-05-08
245	1999-06-04	2001-01-11	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	102258	474	9999-12-31	2013-05-08
245	2001-01-11	2001-05-10	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	102258	474	9999-12-31	2013-05-08
245	2001-05-10	2001-06-17	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	102258	474	9999-12-31	2013-05-08
245	2001-06-17	2004-12-30	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	102258	474	9999-12-31	2013-05-08
245	1999-06-04	2001-01-11	Saga Petroleum ASA	20.000000	\N	9999-12-31	9999-12-31	102258	716	9999-12-31	2013-05-08
245	1999-06-04	2001-01-11	Den norske stats oljeselskap a.s	55.000000	25.000000	1999-06-04	2001-05-10	102258	749	9999-12-31	2013-05-08
245	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	55.000000	25.000000	1999-06-04	2001-05-10	102258	749	9999-12-31	2013-05-08
245	2001-05-10	2001-06-17	Statoil ASA (old)	30.000000	\N	2001-05-10	2004-12-30	102258	1622484	9999-12-31	2013-05-08
245	2001-06-17	2004-12-30	Statoil ASA (old)	30.000000	\N	2001-05-10	2004-12-30	102258	1622484	9999-12-31	2013-05-08
245	2001-05-10	2001-06-17	SDØE	25.000000	\N	9999-12-31	9999-12-31	102258	1623450	9999-12-31	2013-05-08
245	2001-06-17	2004-12-30	Petoro AS	25.000000	\N	9999-12-31	9999-12-31	102258	1626839	9999-12-31	2013-05-08
246	1999-06-04	2002-08-31	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	102267	474	9999-12-31	2013-05-08
246	1999-06-04	2002-08-31	A/S Norske Shell	75.000000	\N	1999-06-04	2002-08-31	102267	562	9999-12-31	2013-05-08
247	1999-06-04	2002-08-29	Norsk Hydro Produksjon AS	50.000000	\N	1999-06-04	2002-08-29	102276	430	9999-12-31	2013-05-08
247	1999-06-04	2002-08-29	Mobil Development Norway AS	50.000000	\N	9999-12-31	9999-12-31	102276	474	9999-12-31	2013-05-08
248	1999-06-04	2001-05-10	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102285	430	9999-12-31	2013-05-08
248	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102285	430	9999-12-31	2013-05-08
248	2001-06-17	2004-05-01	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102285	430	9999-12-31	2013-05-08
248	2004-05-01	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	1999-06-04	2007-01-01	102285	430	9999-12-31	2013-05-08
248	1999-06-04	2001-05-10	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	102285	474	9999-12-31	2013-05-08
248	2001-05-10	2001-06-17	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	102285	474	9999-12-31	2013-05-08
248	2001-06-17	2004-05-01	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	102285	474	9999-12-31	2013-05-08
248	1999-06-04	2001-05-10	Den norske stats oljeselskap a.s	60.000000	40.000000	9999-12-31	9999-12-31	102285	749	9999-12-31	2013-05-08
248	2001-05-10	2001-06-17	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	102285	1622484	9999-12-31	2013-05-08
248	2001-06-17	2004-05-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	102285	1622484	9999-12-31	2013-05-08
248	2004-05-01	2007-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	102285	1622484	9999-12-31	2013-05-08
248	2007-01-01	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	102285	1622484	9999-12-31	2013-05-08
248	2001-05-10	2001-06-17	SDØE	40.000000	\N	9999-12-31	9999-12-31	102285	1623450	9999-12-31	2013-05-08
248	2001-06-17	2004-05-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	102285	1626839	9999-12-31	2013-05-08
248	2004-05-01	2007-01-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	102285	1626839	9999-12-31	2013-05-08
248	2007-01-01	2007-10-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	102285	1626839	9999-12-31	2013-05-08
248	2007-10-01	2009-01-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	102285	1626839	9999-12-31	2013-05-08
248	2009-01-01	2009-11-02	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	102285	1626839	9999-12-31	2013-05-08
248	2009-11-02	9999-12-31	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	102285	1626839	9999-12-31	2013-05-08
248	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	102285	4511658	9999-12-31	2013-05-08
248	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2009-11-01	102285	4511658	9999-12-31	2013-05-08
248	2007-10-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	102285	4511854	9999-12-31	2013-05-08
248	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	102285	4524355	9999-12-31	2013-05-08
248	2009-11-02	9999-12-31	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	102285	17237817	9999-12-31	2013-05-08
249	1999-06-04	2000-07-24	Elf Petroleum Norge AS	18.702000	\N	9999-12-31	9999-12-31	102294	298	9999-12-31	2013-05-08
249	1999-06-04	2000-07-24	Norsk Hydro Produksjon AS	22.242000	\N	1999-06-04	2007-01-01	102294	430	9999-12-31	2013-05-08
249	2000-07-24	2001-01-11	Norsk Hydro Produksjon AS	22.242000	\N	1999-06-04	2007-01-01	102294	430	9999-12-31	2013-05-08
249	2001-01-11	2001-12-18	Norsk Hydro Produksjon AS	28.853000	\N	1999-06-04	2007-01-01	102294	430	9999-12-31	2013-05-08
249	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	28.853000	\N	1999-06-04	2007-01-01	102294	430	9999-12-31	2013-05-08
249	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	28.853000	\N	1999-06-04	2007-01-01	102294	430	9999-12-31	2013-05-08
249	1999-06-04	2000-07-24	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	102294	463	9999-12-31	2013-05-08
249	2000-07-24	2001-01-11	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	102294	463	9999-12-31	2013-05-08
249	2001-01-11	2001-12-18	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	102294	463	9999-12-31	2013-05-08
249	2001-12-18	2003-05-06	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	102294	463	9999-12-31	2013-05-08
249	2003-05-06	2007-01-01	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	102294	463	9999-12-31	2013-05-08
249	2007-01-01	2007-10-01	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	102294	463	9999-12-31	2013-05-08
249	2007-10-01	2008-01-01	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	102294	463	9999-12-31	2013-05-08
249	1999-06-04	2000-07-24	Saga Petroleum ASA	6.611000	\N	9999-12-31	9999-12-31	102294	716	9999-12-31	2013-05-08
249	2000-07-24	2001-01-11	Saga Petroleum ASA	6.611000	\N	9999-12-31	9999-12-31	102294	716	9999-12-31	2013-05-08
249	1999-06-04	2000-07-24	Total Norge AS	5.541000	\N	9999-12-31	9999-12-31	102294	848	9999-12-31	2013-05-08
249	2000-07-24	2001-01-11	Total Norge AS	5.541000	\N	9999-12-31	9999-12-31	102294	848	9999-12-31	2013-05-08
249	2001-01-11	2001-12-18	Total Norge AS	5.541000	\N	9999-12-31	9999-12-31	102294	848	9999-12-31	2013-05-08
249	2000-07-24	2001-01-11	TotalFinaElf Exploration Norge AS	18.702000	\N	9999-12-31	9999-12-31	102294	1340884	9999-12-31	2013-05-08
249	2001-01-11	2001-12-18	TotalFinaElf Exploration Norge AS	18.702000	\N	9999-12-31	9999-12-31	102294	1340884	9999-12-31	2013-05-08
249	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	24.243000	\N	9999-12-31	9999-12-31	102294	1340884	9999-12-31	2013-05-08
249	2003-05-06	2007-01-01	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	102294	2410708	9999-12-31	2013-05-08
249	2007-01-01	2007-10-01	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	102294	2410708	9999-12-31	2013-05-08
249	2007-10-01	2008-01-01	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	102294	2410708	9999-12-31	2013-05-08
249	2008-01-01	2009-11-02	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	102294	2410708	9999-12-31	2013-05-08
249	2009-11-02	2012-04-30	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	102294	2410708	9999-12-31	2013-05-08
249	2012-04-30	9999-12-31	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	102294	2410708	9999-12-31	2013-05-08
249	2008-01-01	2009-11-02	Centrica Resources (Norge) AS	46.904000	\N	9999-12-31	9999-12-31	102294	4238233	9999-12-31	2013-05-08
249	2009-11-02	2012-04-30	Centrica Resources (Norge) AS	46.904000	\N	9999-12-31	9999-12-31	102294	4238233	9999-12-31	2013-05-08
249	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	75.757000	\N	2012-04-30	9999-12-31	102294	4238233	9999-12-31	2013-05-08
249	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	28.853000	\N	2007-10-01	2009-11-01	102294	4511658	9999-12-31	2013-05-08
249	2008-01-01	2009-11-02	StatoilHydro Petroleum AS	28.853000	\N	2007-10-01	2009-11-01	102294	4511658	9999-12-31	2013-05-08
249	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	28.853000	\N	2007-01-01	2007-10-01	102294	4524355	9999-12-31	2013-05-08
249	2009-11-02	2012-04-30	Statoil Petroleum AS	28.853000	\N	2009-11-02	2012-04-29	102294	17237817	9999-12-31	2013-05-08
050 C	1999-06-04	2000-06-09	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	102490	430	9999-12-31	2013-05-08
050 C	2000-06-09	2001-05-10	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	102490	430	9999-12-31	2013-05-08
050 C	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	102490	430	9999-12-31	2013-05-08
050 C	2001-06-01	2001-06-17	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	102490	430	9999-12-31	2013-05-08
050 C	2001-06-17	2007-01-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	102490	430	9999-12-31	2013-05-08
050 C	1999-06-04	2000-06-09	Saga Petroleum ASA	6.000000	\N	9999-12-31	9999-12-31	102490	716	9999-12-31	2013-05-08
050 C	1999-06-04	2000-06-09	Den norske stats oljeselskap a.s	85.000000	73.000000	1999-06-04	2001-05-10	102490	749	9999-12-31	2013-05-08
050 C	2000-06-09	2001-05-10	Den norske stats oljeselskap a.s	91.000000	73.000000	1999-06-04	2001-05-10	102490	749	9999-12-31	2013-05-08
050 C	2001-05-10	2001-06-01	Statoil ASA (old)	18.000000	\N	2001-05-10	2007-10-01	102490	1622484	9999-12-31	2013-05-08
050 C	2001-06-01	2001-06-17	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	102490	1622484	9999-12-31	2013-05-08
050 C	2001-06-17	2007-01-01	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	102490	1622484	9999-12-31	2013-05-08
050 C	2007-01-01	2007-10-01	Statoil ASA (old)	61.000000	\N	2001-05-10	2007-10-01	102490	1622484	9999-12-31	2013-05-08
050 C	2001-05-10	2001-06-01	SDØE	73.000000	\N	9999-12-31	9999-12-31	102490	1623450	9999-12-31	2013-05-08
050 C	2001-06-01	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	102490	1623450	9999-12-31	2013-05-08
050 C	2001-06-17	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	102490	1626839	9999-12-31	2013-05-08
050 C	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	102490	1626839	9999-12-31	2013-05-08
050 C	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	102490	1626839	9999-12-31	2013-05-08
050 C	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	102490	1626839	9999-12-31	2013-05-08
050 C	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	102490	1626839	9999-12-31	2013-05-08
050 C	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	102490	4511658	9999-12-31	2013-05-08
050 C	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	102490	4511658	9999-12-31	2013-05-08
050 C	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	2007-10-01	2008-12-31	102490	4511854	9999-12-31	2013-05-08
050 C	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	102490	4524355	9999-12-31	2013-05-08
050 C	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	102490	17237817	9999-12-31	2013-05-08
055 B	1999-06-04	2001-05-10	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	102499	353	9999-12-31	2013-05-08
055 B	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	102499	353	9999-12-31	2013-05-08
055 B	2001-06-17	2002-01-01	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	102499	353	9999-12-31	2013-05-08
055 B	2002-01-01	2002-03-19	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	102499	353	9999-12-31	2013-05-08
055 B	2002-03-19	2003-03-04	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	102499	353	9999-12-31	2013-05-08
055 B	2003-03-04	2004-01-01	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	102499	353	9999-12-31	2013-05-08
055 B	2004-01-01	2004-10-01	Esso Exploration and Production Norway A/S	15.100000	\N	9999-12-31	9999-12-31	102499	353	9999-12-31	2013-05-08
055 B	1999-06-04	2001-05-10	Norsk Hydro Produksjon AS	23.200000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	23.200000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2001-06-17	2002-01-01	Norsk Hydro Produksjon AS	23.200000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2002-01-01	2002-03-19	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2002-03-19	2003-03-04	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2003-03-04	2004-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2004-01-01	2004-10-01	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2004-10-01	2005-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2005-01-01	2005-01-02	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2005-01-02	2005-05-04	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2005-05-04	2006-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2006-01-01	2006-03-22	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2006-03-22	2006-03-23	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2006-03-23	2006-11-28	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	2006-11-28	2007-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1999-06-04	2007-01-01	102499	430	9999-12-31	2013-05-08
055 B	1999-06-04	2001-05-10	Den norske stats oljeselskap a.s	46.000000	33.400000	9999-12-31	9999-12-31	102499	749	9999-12-31	2013-05-08
055 B	1999-06-04	2001-05-10	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	102499	102714	9999-12-31	2013-05-08
055 B	2001-05-10	2001-06-17	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	102499	102714	9999-12-31	2013-05-08
055 B	2001-06-17	2002-01-01	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	102499	102714	9999-12-31	2013-05-08
055 B	2002-01-01	2002-03-19	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	102499	102714	9999-12-31	2013-05-08
055 B	2002-03-19	2003-03-04	Fortum Petroleum AS	13.200000	\N	9999-12-31	9999-12-31	102499	102714	9999-12-31	2013-05-08
055 B	2002-03-19	2003-03-04	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	102499	1577943	9999-12-31	2013-05-08
055 B	2003-03-04	2004-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	102499	1577943	9999-12-31	2013-05-08
055 B	2004-01-01	2004-10-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	102499	1577943	9999-12-31	2013-05-08
055 B	2004-10-01	2005-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	102499	1577943	9999-12-31	2013-05-08
055 B	2005-01-01	2005-01-02	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	102499	1577943	9999-12-31	2013-05-08
055 B	2005-01-02	2005-05-04	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	102499	1577943	9999-12-31	2013-05-08
055 B	2005-05-04	2006-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	102499	1577943	9999-12-31	2013-05-08
055 B	2006-01-01	2006-03-22	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	102499	1577943	9999-12-31	2013-05-08
055 B	2001-05-10	2001-06-17	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2001-06-17	2002-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2002-01-01	2002-03-19	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2002-03-19	2003-03-04	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2003-03-04	2004-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2004-01-01	2004-10-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2004-10-01	2005-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2005-01-01	2005-01-02	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2005-01-02	2005-05-04	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2005-05-04	2006-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2006-01-01	2006-03-22	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2006-03-22	2006-03-23	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2006-03-23	2006-11-28	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2006-11-28	2007-01-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2007-01-01	2007-10-01	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	102499	1622484	9999-12-31	2013-05-08
055 B	2001-05-10	2001-06-17	SDØE	33.400000	\N	9999-12-31	9999-12-31	102499	1623450	9999-12-31	2013-05-08
055 B	2001-06-17	2002-01-01	Petoro AS	33.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2002-01-01	2002-03-19	Petoro AS	33.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2002-03-19	2003-03-04	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2003-03-04	2004-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2004-01-01	2004-10-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2004-10-01	2005-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2005-01-01	2005-01-02	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2005-01-02	2005-05-04	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2005-05-04	2006-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2006-01-01	2006-03-22	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2006-03-22	2006-03-23	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2006-03-23	2006-11-28	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2006-11-28	2007-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2007-01-01	2007-10-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2007-10-01	2009-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2009-01-01	2009-01-17	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2009-01-17	2009-05-26	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2009-05-26	2009-10-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2009-10-01	2009-11-02	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2009-11-02	2010-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2010-01-01	2011-01-01	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	102499	1626839	9999-12-31	2013-05-08
055 B	2002-01-01	2002-03-19	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	102499	2258813	9999-12-31	2013-05-08
055 B	2002-03-19	2003-03-04	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	102499	2258813	9999-12-31	2013-05-08
055 B	2003-03-04	2004-01-01	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	102499	2258813	9999-12-31	2013-05-08
055 B	2004-01-01	2004-10-01	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	102499	2258813	9999-12-31	2013-05-08
055 B	2004-10-01	2005-01-01	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	102499	2258813	9999-12-31	2013-05-08
055 B	2004-01-01	2004-10-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	102499	2388594	9999-12-31	2013-05-08
055 B	2004-10-01	2005-01-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	102499	2388594	9999-12-31	2013-05-08
055 B	2005-01-01	2005-01-02	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	102499	2388594	9999-12-31	2013-05-08
055 B	2005-01-02	2005-05-04	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	102499	2388594	9999-12-31	2013-05-08
055 B	2005-05-04	2006-01-01	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	102499	2388594	9999-12-31	2013-05-08
055 B	2005-01-02	2005-05-04	Talisman Energy Norge AS	15.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2005-05-04	2006-01-01	Talisman Energy Norge AS	15.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2006-01-01	2006-03-22	Talisman Energy Norge AS	15.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2006-03-22	2006-03-23	Talisman Energy Norge AS	15.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2006-03-23	2006-11-28	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2006-11-28	2007-01-01	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2007-01-01	2007-10-01	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2007-10-01	2009-01-01	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2009-01-01	2009-01-17	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2009-01-17	2009-05-26	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2009-05-26	2009-10-01	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2009-10-01	2009-11-02	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2009-11-02	2010-01-01	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2010-01-01	2011-01-01	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2011-01-01	2011-07-01	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2011-07-01	2013-02-13	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	2013-02-20	2013-05-08
055 B	2013-02-13	9999-12-31	Talisman Energy Norge AS	35.100000	\N	9999-12-31	9999-12-31	102499	2425093	9999-12-31	2013-05-08
055 B	2004-01-01	2004-10-01	Revus Energy AS	2.500000	\N	9999-12-31	9999-12-31	102499	2455850	9999-12-31	2013-05-08
055 B	2004-10-01	2005-01-01	Revus Energy AS	2.500000	\N	9999-12-31	9999-12-31	102499	2455850	9999-12-31	2013-05-08
055 B	2005-01-01	2005-01-02	Revus Energy AS	2.500000	\N	9999-12-31	9999-12-31	102499	2455850	9999-12-31	2013-05-08
055 B	2005-01-02	2005-05-04	Revus Energy AS	2.500000	\N	9999-12-31	9999-12-31	102499	2455850	9999-12-31	2013-05-08
055 B	2006-01-01	2006-03-22	Altinex Oil AS	13.200000	\N	9999-12-31	9999-12-31	102499	2835200	9999-12-31	2013-05-08
055 B	2006-03-22	2006-03-23	Altinex Oil AS	13.200000	\N	9999-12-31	9999-12-31	102499	2835200	9999-12-31	2013-05-08
055 B	2006-03-23	2006-11-28	Altinex Oil AS	13.200000	\N	9999-12-31	9999-12-31	102499	2835200	9999-12-31	2013-05-08
055 B	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	15.100000	\N	9999-12-31	9999-12-31	102499	2835212	9999-12-31	2013-05-08
055 B	2005-01-01	2005-01-02	ExxonMobil Exploration & Production Norway AS	15.100000	\N	9999-12-31	9999-12-31	102499	2835212	9999-12-31	2013-05-08
055 B	2005-01-01	2005-01-02	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	3113213	9999-12-31	2013-05-08
055 B	2005-01-02	2005-05-04	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	3113213	9999-12-31	2013-05-08
055 B	2005-05-04	2006-01-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	3113213	9999-12-31	2013-05-08
055 B	2006-01-01	2006-03-22	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	3113213	9999-12-31	2013-05-08
055 B	2006-03-22	2006-03-23	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	3113213	9999-12-31	2013-05-08
055 B	2006-03-23	2006-11-28	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	3113213	9999-12-31	2013-05-08
055 B	2006-11-28	2007-01-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	3113213	9999-12-31	2013-05-08
055 B	2007-01-01	2007-10-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	3113213	9999-12-31	2013-05-08
055 B	2007-10-01	2009-01-01	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	3113213	9999-12-31	2013-05-08
055 B	2009-01-01	2009-01-17	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	3113213	9999-12-31	2013-05-08
055 B	2009-01-17	2009-05-26	Endeavour Energy Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	3113213	9999-12-31	2013-05-08
055 B	2005-05-04	2006-01-01	Revus Energy ASA	2.500000	\N	9999-12-31	9999-12-31	102499	3431773	9999-12-31	2013-05-08
055 B	2006-01-01	2006-03-22	Revus Energy ASA	2.500000	\N	9999-12-31	9999-12-31	102499	3431773	9999-12-31	2013-05-08
055 B	2006-03-22	2006-03-23	Revus Energy ASA	2.500000	\N	9999-12-31	9999-12-31	102499	3431773	9999-12-31	2013-05-08
055 B	2006-03-23	2006-11-28	Revus Energy ASA	2.500000	\N	9999-12-31	9999-12-31	102499	3431773	9999-12-31	2013-05-08
055 B	2006-11-28	2007-01-01	Revus Energy ASA	2.500000	\N	9999-12-31	9999-12-31	102499	3431773	9999-12-31	2013-05-08
055 B	2007-01-01	2007-10-01	Revus Energy ASA	2.500000	\N	9999-12-31	9999-12-31	102499	3431773	9999-12-31	2013-05-08
055 B	2007-10-01	2009-01-01	Revus Energy ASA	2.500000	\N	9999-12-31	9999-12-31	102499	3431773	9999-12-31	2013-05-08
055 B	2009-01-01	2009-01-17	Revus Energy ASA	2.500000	\N	9999-12-31	9999-12-31	102499	3431773	9999-12-31	2013-05-08
055 B	2006-03-22	2006-03-23	Talisman Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	102499	3987574	9999-12-31	2013-05-08
055 B	2011-01-01	2011-07-01	Faroe Petroleum Norge AS	13.400000	\N	9999-12-31	9999-12-31	102499	4062883	9999-12-31	2013-05-08
055 B	2011-07-01	2013-02-13	Faroe Petroleum Norge AS	13.400000	\N	9999-12-31	9999-12-31	102499	4062883	2013-02-20	2013-05-08
055 B	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	13.400000	\N	9999-12-31	9999-12-31	102499	4062883	9999-12-31	2013-05-08
055 B	2006-11-28	2007-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	102499	4446230	9999-12-31	2013-05-08
055 B	2007-01-01	2007-10-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	102499	4446230	9999-12-31	2013-05-08
055 B	2007-10-01	2009-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	102499	4446230	9999-12-31	2013-05-08
055 B	2009-01-01	2009-01-17	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	102499	4446230	9999-12-31	2013-05-08
055 B	2009-01-17	2009-05-26	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	102499	4446230	9999-12-31	2013-05-08
055 B	2009-05-26	2009-10-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	102499	4446230	9999-12-31	2013-05-08
055 B	2009-10-01	2009-11-02	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	102499	4446230	9999-12-31	2013-05-08
055 B	2009-11-02	2010-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	102499	4446230	9999-12-31	2013-05-08
055 B	2010-01-01	2011-01-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	102499	4446230	9999-12-31	2013-05-08
055 B	2011-01-01	2011-07-01	Altinex Oil Norway AS	13.200000	\N	9999-12-31	9999-12-31	102499	4446230	9999-12-31	2013-05-08
055 B	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	20.000000	\N	2007-10-01	2009-11-01	102499	4511658	9999-12-31	2013-05-08
055 B	2009-01-01	2009-01-17	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	102499	4511658	9999-12-31	2013-05-08
055 B	2009-01-17	2009-05-26	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	102499	4511658	9999-12-31	2013-05-08
055 B	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	102499	4511658	9999-12-31	2013-05-08
055 B	2009-10-01	2009-11-02	StatoilHydro Petroleum AS	32.600000	\N	2007-10-01	2009-11-01	102499	4511658	9999-12-31	2013-05-08
055 B	2007-10-01	2009-01-01	StatoilHydro ASA	12.600000	\N	9999-12-31	9999-12-31	102499	4511854	9999-12-31	2013-05-08
055 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	20.000000	\N	2007-01-01	2007-10-01	102499	4524355	9999-12-31	2013-05-08
055 B	2010-01-01	2011-01-01	Spring Energy Norway AS	2.500000	\N	9999-12-31	9999-12-31	102499	5072514	9999-12-31	2013-05-08
055 B	2011-01-01	2011-07-01	Spring Energy Norway AS	2.500000	\N	9999-12-31	9999-12-31	102499	5072514	9999-12-31	2013-05-08
055 B	2011-07-01	2013-02-13	Spring Energy Norway AS	2.500000	\N	9999-12-31	9999-12-31	102499	5072514	2013-02-20	2013-05-08
055 B	2009-01-17	2009-05-26	Wintershall Norge ASA	2.500000	\N	9999-12-31	9999-12-31	102499	5442509	9999-12-31	2013-05-08
055 B	2009-05-26	2009-10-01	Wintershall Norge ASA	2.500000	\N	9999-12-31	9999-12-31	102499	5442509	9999-12-31	2013-05-08
055 B	2009-10-01	2009-11-02	Wintershall Norge ASA	2.500000	\N	9999-12-31	9999-12-31	102499	5442509	9999-12-31	2013-05-08
055 B	2009-11-02	2010-01-01	Wintershall Norge ASA	2.500000	\N	9999-12-31	9999-12-31	102499	5442509	9999-12-31	2013-05-08
055 B	2009-05-26	2009-10-01	VNG Norge (Operations) AS	3.200000	\N	9999-12-31	9999-12-31	102499	5497155	9999-12-31	2013-05-08
055 B	2009-10-01	2009-11-02	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	17237193	9999-12-31	2013-05-08
055 B	2009-11-02	2010-01-01	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	17237193	9999-12-31	2013-05-08
055 B	2010-01-01	2011-01-01	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	17237193	9999-12-31	2013-05-08
055 B	2011-01-01	2011-07-01	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	17237193	9999-12-31	2013-05-08
055 B	2011-07-01	2013-02-13	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	17237193	2013-02-20	2013-05-08
055 B	2013-02-13	9999-12-31	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	102499	17237193	9999-12-31	2013-05-08
055 B	2009-11-02	2010-01-01	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	102499	17237817	9999-12-31	2013-05-08
055 B	2010-01-01	2011-01-01	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	102499	17237817	9999-12-31	2013-05-08
055 B	2011-01-01	2011-07-01	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	102499	17237817	9999-12-31	2013-05-08
055 B	2011-07-01	2013-02-13	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	102499	17237817	2013-02-20	2013-05-08
055 B	2013-02-13	9999-12-31	Statoil Petroleum AS	32.600000	\N	2009-11-02	9999-12-31	102499	17237817	9999-12-31	2013-05-08
055 B	2011-07-01	2013-02-13	Core Energy AS	13.200000	\N	9999-12-31	9999-12-31	102499	20460080	2013-02-20	2013-05-08
055 B	2013-02-13	9999-12-31	Core Energy AS	13.200000	\N	9999-12-31	9999-12-31	102499	20460080	9999-12-31	2013-05-08
055 B	2013-02-13	9999-12-31	Tullow Oil Norge AS	2.500000	\N	9999-12-31	9999-12-31	102499	23173852	9999-12-31	2013-05-08
250	1999-10-22	1999-12-23	BP Petroleum Dev. of Norway AS	9.440000	\N	9999-12-31	9999-12-31	115537	155	9999-12-31	2013-05-08
250	1999-10-22	1999-12-23	Esso Exploration and Production Norway A/S	5.910000	\N	9999-12-31	9999-12-31	115537	353	9999-12-31	2013-05-08
250	1999-12-23	2001-05-10	Esso Exploration and Production Norway A/S	5.910000	\N	9999-12-31	9999-12-31	115537	353	9999-12-31	2013-05-08
250	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	5.910000	\N	9999-12-31	9999-12-31	115537	353	9999-12-31	2013-05-08
250	2001-06-17	2002-03-12	Esso Exploration and Production Norway A/S	5.910000	\N	9999-12-31	9999-12-31	115537	353	9999-12-31	2013-05-08
250	2002-03-12	2004-10-01	Esso Exploration and Production Norway A/S	5.910000	\N	9999-12-31	9999-12-31	115537	353	9999-12-31	2013-05-08
250	1999-10-22	1999-12-23	Norsk Hydro Produksjon AS	14.780000	\N	9999-12-31	9999-12-31	115537	430	9999-12-31	2013-05-08
250	1999-12-23	2001-05-10	Norsk Hydro Produksjon AS	14.780000	\N	9999-12-31	9999-12-31	115537	430	9999-12-31	2013-05-08
250	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	14.780000	\N	9999-12-31	9999-12-31	115537	430	9999-12-31	2013-05-08
250	2001-06-17	2002-03-12	Norsk Hydro Produksjon AS	14.780000	\N	9999-12-31	9999-12-31	115537	430	9999-12-31	2013-05-08
250	2002-03-12	2004-10-01	Norsk Hydro Produksjon AS	14.780000	\N	9999-12-31	9999-12-31	115537	430	9999-12-31	2013-05-08
250	2004-10-01	2005-01-01	Norsk Hydro Produksjon AS	14.780000	\N	9999-12-31	9999-12-31	115537	430	9999-12-31	2013-05-08
250	2005-01-01	2006-09-06	Norsk Hydro Produksjon AS	14.780000	\N	9999-12-31	9999-12-31	115537	430	9999-12-31	2013-05-08
250	2006-09-06	2007-01-01	Norsk Hydro Produksjon AS	14.780000	\N	9999-12-31	9999-12-31	115537	430	9999-12-31	2013-05-08
250	1999-10-22	1999-12-23	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	1999-12-23	2001-05-10	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	2001-05-10	2001-06-17	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	2001-06-17	2002-03-12	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	2002-03-12	2004-10-01	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	2004-10-01	2005-01-01	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	2005-01-01	2006-09-06	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	2006-09-06	2007-01-01	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	2007-01-01	2007-10-01	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	2007-10-01	2009-01-01	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	2009-01-01	2009-11-02	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	2009-11-02	9999-12-31	A/S Norske Shell	16.000000	\N	1999-10-22	9999-12-31	115537	562	9999-12-31	2013-05-08
250	1999-10-22	1999-12-23	Den norske stats oljeselskap a.s	53.870000	45.000000	9999-12-31	9999-12-31	115537	749	9999-12-31	2013-05-08
250	1999-12-23	2001-05-10	Den norske stats oljeselskap a.s	53.870000	45.000000	9999-12-31	9999-12-31	115537	749	9999-12-31	2013-05-08
250	1999-12-23	2001-05-10	BP Amoco Norge AS	9.440000	\N	9999-12-31	9999-12-31	115537	982372	9999-12-31	2013-05-08
250	2001-05-10	2001-06-17	BP Amoco Norge AS	9.440000	\N	9999-12-31	9999-12-31	115537	982372	9999-12-31	2013-05-08
250	2001-06-17	2002-03-12	BP Amoco Norge AS	9.440000	\N	9999-12-31	9999-12-31	115537	982372	9999-12-31	2013-05-08
250	2001-05-10	2001-06-17	Statoil ASA (old)	8.870000	\N	9999-12-31	9999-12-31	115537	1622484	9999-12-31	2013-05-08
250	2001-06-17	2002-03-12	Statoil ASA (old)	8.870000	\N	9999-12-31	9999-12-31	115537	1622484	9999-12-31	2013-05-08
250	2002-03-12	2004-10-01	Statoil ASA (old)	8.870000	\N	9999-12-31	9999-12-31	115537	1622484	9999-12-31	2013-05-08
250	2004-10-01	2005-01-01	Statoil ASA (old)	8.870000	\N	9999-12-31	9999-12-31	115537	1622484	9999-12-31	2013-05-08
250	2005-01-01	2006-09-06	Statoil ASA (old)	8.870000	\N	9999-12-31	9999-12-31	115537	1622484	9999-12-31	2013-05-08
250	2006-09-06	2007-01-01	Statoil ASA (old)	8.870000	\N	9999-12-31	9999-12-31	115537	1622484	9999-12-31	2013-05-08
250	2007-01-01	2007-10-01	Statoil ASA (old)	8.870000	\N	9999-12-31	9999-12-31	115537	1622484	9999-12-31	2013-05-08
250	2001-05-10	2001-06-17	SDØE	45.000000	\N	9999-12-31	9999-12-31	115537	1623450	9999-12-31	2013-05-08
250	2001-06-17	2002-03-12	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	115537	1626839	9999-12-31	2013-05-08
250	2002-03-12	2004-10-01	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	115537	1626839	9999-12-31	2013-05-08
250	2004-10-01	2005-01-01	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	115537	1626839	9999-12-31	2013-05-08
250	2005-01-01	2006-09-06	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	115537	1626839	9999-12-31	2013-05-08
250	2006-09-06	2007-01-01	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	115537	1626839	9999-12-31	2013-05-08
250	2007-01-01	2007-10-01	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	115537	1626839	9999-12-31	2013-05-08
250	2007-10-01	2009-01-01	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	115537	1626839	9999-12-31	2013-05-08
250	2009-01-01	2009-11-02	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	115537	1626839	9999-12-31	2013-05-08
250	2009-11-02	9999-12-31	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	115537	1626839	9999-12-31	2013-05-08
250	2005-01-01	2006-09-06	DONG Norge AS	9.440000	\N	9999-12-31	9999-12-31	115537	1853083	9999-12-31	2013-05-08
250	2002-03-12	2004-10-01	BP Norge AS	9.440000	\N	9999-12-31	9999-12-31	115537	2052695	9999-12-31	2013-05-08
250	2004-10-01	2005-01-01	BP Norge AS	9.440000	\N	9999-12-31	9999-12-31	115537	2052695	9999-12-31	2013-05-08
250	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	5.910000	\N	9999-12-31	9999-12-31	115537	2835212	9999-12-31	2013-05-08
250	2005-01-01	2006-09-06	ExxonMobil Exploration & Production Norway AS	5.910000	\N	9999-12-31	9999-12-31	115537	2835212	9999-12-31	2013-05-08
250	2006-09-06	2007-01-01	ExxonMobil Exploration & Production Norway AS	5.910000	\N	9999-12-31	9999-12-31	115537	2835212	9999-12-31	2013-05-08
250	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	5.910000	\N	9999-12-31	9999-12-31	115537	2835212	9999-12-31	2013-05-08
250	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	5.910000	\N	9999-12-31	9999-12-31	115537	2835212	9999-12-31	2013-05-08
250	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	5.910000	\N	9999-12-31	9999-12-31	115537	2835212	9999-12-31	2013-05-08
250	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	5.910000	\N	9999-12-31	9999-12-31	115537	2835212	9999-12-31	2013-05-08
250	2006-09-06	2007-01-01	DONG E&P Norge AS	9.440000	\N	9999-12-31	9999-12-31	115537	4070011	9999-12-31	2013-05-08
250	2007-01-01	2007-10-01	DONG E&P Norge AS	9.440000	\N	9999-12-31	9999-12-31	115537	4070011	9999-12-31	2013-05-08
250	2007-10-01	2009-01-01	DONG E&P Norge AS	9.440000	\N	9999-12-31	9999-12-31	115537	4070011	9999-12-31	2013-05-08
250	2009-01-01	2009-11-02	DONG E&P Norge AS	9.440000	\N	9999-12-31	9999-12-31	115537	4070011	9999-12-31	2013-05-08
250	2009-11-02	9999-12-31	DONG E&P Norge AS	9.440000	\N	9999-12-31	9999-12-31	115537	4070011	9999-12-31	2013-05-08
250	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	14.780000	\N	9999-12-31	9999-12-31	115537	4511658	9999-12-31	2013-05-08
250	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	23.650000	\N	9999-12-31	9999-12-31	115537	4511658	9999-12-31	2013-05-08
250	2007-10-01	2009-01-01	StatoilHydro ASA	8.870000	\N	9999-12-31	9999-12-31	115537	4511854	9999-12-31	2013-05-08
250	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	14.780000	\N	9999-12-31	9999-12-31	115537	4524355	9999-12-31	2013-05-08
250	2009-11-02	9999-12-31	Statoil Petroleum AS	23.650000	\N	9999-12-31	9999-12-31	115537	17237817	9999-12-31	2013-05-08
037 C	2000-01-14	2001-05-10	Norske Conoco A/S	12.083330	\N	9999-12-31	9999-12-31	853671	221	9999-12-31	2013-05-08
037 C	2001-05-10	2001-12-31	Norske Conoco A/S	12.083330	\N	9999-12-31	9999-12-31	853671	221	9999-12-31	2013-05-08
037 C	2001-12-31	2002-01-01	Norske Conoco A/S	12.083330	\N	9999-12-31	9999-12-31	853671	221	9999-12-31	2013-05-08
037 C	2002-01-01	2003-03-22	Norske Conoco A/S	12.083330	\N	9999-12-31	9999-12-31	853671	221	9999-12-31	2013-05-08
037 C	2000-01-14	2001-05-10	Enterprise Oil Norwegian AS	1.041670	\N	9999-12-31	9999-12-31	853671	342	9999-12-31	2013-05-08
037 C	2001-05-10	2001-12-31	Enterprise Oil Norwegian AS	1.041670	\N	9999-12-31	9999-12-31	853671	342	9999-12-31	2013-05-08
037 C	2000-01-14	2001-05-10	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	853671	353	9999-12-31	2013-05-08
037 C	2001-05-10	2001-12-31	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	853671	353	9999-12-31	2013-05-08
037 C	2001-12-31	2002-01-01	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	853671	353	9999-12-31	2013-05-08
037 C	2002-01-01	2003-03-22	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	853671	353	9999-12-31	2013-05-08
037 C	2003-03-22	2004-01-01	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	853671	353	9999-12-31	2013-05-08
037 C	2000-01-14	2001-05-10	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	853671	474	9999-12-31	2013-05-08
037 C	2001-05-10	2001-12-31	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	853671	474	9999-12-31	2013-05-08
037 C	2001-12-31	2002-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	853671	474	9999-12-31	2013-05-08
037 C	2000-01-14	2001-05-10	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	853671	562	9999-12-31	2013-05-08
037 C	2001-05-10	2001-12-31	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	853671	562	9999-12-31	2013-05-08
037 C	2001-12-31	2002-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	853671	562	9999-12-31	2013-05-08
037 C	2002-01-01	2003-03-22	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	853671	562	9999-12-31	2013-05-08
037 C	2003-03-22	2004-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	853671	562	9999-12-31	2013-05-08
037 C	2000-01-14	2001-05-10	Den norske stats oljeselskap a.s	51.875000	\N	2000-01-14	2001-05-10	853671	749	9999-12-31	2013-05-08
037 C	2001-05-10	2001-12-31	Statoil ASA (old)	51.875000	\N	2001-05-10	2007-10-01	853671	1622484	9999-12-31	2013-05-08
037 C	2001-12-31	2002-01-01	Statoil ASA (old)	51.875000	\N	2001-05-10	2007-10-01	853671	1622484	9999-12-31	2013-05-08
037 C	2002-01-01	2003-03-22	Statoil ASA (old)	51.875000	\N	2001-05-10	2007-10-01	853671	1622484	9999-12-31	2013-05-08
037 C	2003-03-22	2004-01-01	Statoil ASA (old)	51.875000	\N	2001-05-10	2007-10-01	853671	1622484	9999-12-31	2013-05-08
037 C	2004-01-01	2005-05-04	Statoil ASA (old)	51.875000	\N	2001-05-10	2007-10-01	853671	1622484	9999-12-31	2013-05-08
037 C	2005-05-04	2007-10-01	Statoil ASA (old)	51.875000	\N	2001-05-10	2007-10-01	853671	1622484	9999-12-31	2013-05-08
037 C	2001-12-31	2002-01-01	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	853671	1853786	9999-12-31	2013-05-08
037 C	2002-01-01	2003-03-22	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	853671	1853786	9999-12-31	2013-05-08
037 C	2003-03-22	2004-01-01	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	853671	1853786	9999-12-31	2013-05-08
037 C	2003-03-22	2004-01-01	Norske ConocoPhillips AS	12.083330	\N	9999-12-31	9999-12-31	853671	2399056	9999-12-31	2013-05-08
037 C	2004-01-01	2005-05-04	Revus Energy AS	48.125000	\N	9999-12-31	9999-12-31	853671	2455850	9999-12-31	2013-05-08
037 C	2005-05-04	2007-10-01	Revus Energy ASA	48.125000	\N	9999-12-31	9999-12-31	853671	3431773	9999-12-31	2013-05-08
037 C	2007-10-01	2008-01-11	Revus Energy ASA	48.125000	\N	9999-12-31	9999-12-31	853671	3431773	9999-12-31	2013-05-08
037 C	2008-01-11	2009-01-17	Revus Energy ASA	100.000000	\N	2008-01-11	2009-01-16	853671	3431773	9999-12-31	2013-05-08
037 C	2007-10-01	2008-01-11	StatoilHydro ASA	51.875000	\N	2007-10-01	2008-01-11	853671	4511854	9999-12-31	2013-05-08
037 C	2009-01-17	2012-03-24	Wintershall Norge ASA	100.000000	\N	2009-01-17	2012-03-23	853671	5442509	9999-12-31	2013-05-08
037 C	2012-03-24	9999-12-31	Wintershall Norge AS	100.000000	\N	2012-03-24	9999-12-31	853671	21666830	9999-12-31	2013-05-08
001 B	1999-12-15	2001-12-31	Enterprise Oil Norwegian AS	50.000000	\N	9999-12-31	9999-12-31	917266	342	9999-12-31	2013-05-08
001 B	1999-12-15	2001-12-31	Esso Exploration and Production Norway A/S	50.000000	\N	1999-12-15	2004-10-01	917266	353	9999-12-31	2013-05-08
001 B	2001-12-31	2003-05-28	Esso Exploration and Production Norway A/S	50.000000	\N	1999-12-15	2004-10-01	917266	353	9999-12-31	2013-05-08
001 B	2003-05-28	2004-10-01	Esso Exploration and Production Norway A/S	50.000000	\N	1999-12-15	2004-10-01	917266	353	9999-12-31	2013-05-08
001 B	2005-01-01	2006-01-01	Det Norske Oljeselskap AS	50.000000	\N	2005-06-01	2007-06-20	917266	1340609	9999-12-31	2013-05-08
001 B	2006-01-01	2007-06-20	Det Norske Oljeselskap AS	35.000000	\N	2005-06-01	2007-06-20	917266	1340609	9999-12-31	2013-05-08
001 B	2003-05-28	2004-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	917266	1622484	9999-12-31	2013-05-08
001 B	2004-10-01	2005-01-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	917266	1622484	9999-12-31	2013-05-08
001 B	2005-01-01	2006-01-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	917266	1622484	9999-12-31	2013-05-08
001 B	2006-01-01	2007-06-20	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	917266	1622484	9999-12-31	2013-05-08
001 B	2007-06-20	2007-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	917266	1622484	9999-12-31	2013-05-08
001 B	2001-12-31	2003-05-28	Enterprise Oil Norge AS	50.000000	\N	9999-12-31	9999-12-31	917266	1853786	9999-12-31	2013-05-08
001 B	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2004-10-01	2005-06-01	917266	2835212	9999-12-31	2013-05-08
001 B	2006-01-01	2007-06-20	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917266	3986418	9999-12-31	2013-05-08
001 B	2007-06-20	2007-10-01	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917266	3986418	9999-12-31	2013-05-08
001 B	2007-10-01	2007-11-16	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917266	3986418	9999-12-31	2013-05-08
001 B	2007-11-16	2008-01-01	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917266	3986418	9999-12-31	2013-05-08
001 B	2008-01-01	2009-01-01	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917266	3986418	9999-12-31	2013-05-08
001 B	2009-01-01	2009-01-21	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917266	3986418	9999-12-31	2013-05-08
001 B	2009-03-23	2009-11-02	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	917266	4444493	9999-12-31	2013-05-08
001 B	2009-11-02	2009-12-22	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	917266	4444493	9999-12-31	2013-05-08
001 B	2009-12-22	9999-12-31	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	917266	4444493	9999-12-31	2013-05-08
001 B	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	35.000000	\N	2007-06-20	2007-11-16	917266	4468177	9999-12-31	2013-05-08
001 B	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	35.000000	\N	2007-06-20	2007-11-16	917266	4468177	9999-12-31	2013-05-08
001 B	2009-01-01	2009-01-21	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	917266	4511658	9999-12-31	2013-05-08
001 B	2009-01-21	2009-03-23	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	917266	4511658	9999-12-31	2013-05-08
001 B	2009-03-23	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	917266	4511658	9999-12-31	2013-05-08
001 B	2007-10-01	2007-11-16	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	917266	4511854	9999-12-31	2013-05-08
001 B	2007-11-16	2008-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	917266	4511854	9999-12-31	2013-05-08
001 B	2008-01-01	2009-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	917266	4511854	9999-12-31	2013-05-08
001 B	2007-11-16	2008-01-01	Noil Energy ASA	35.000000	\N	2007-11-16	2008-01-01	917266	4539976	9999-12-31	2013-05-08
001 B	2008-01-01	2009-01-01	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	917266	4539989	9999-12-31	2013-05-08
001 B	2009-01-01	2009-01-21	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	917266	4539989	9999-12-31	2013-05-08
001 B	2009-01-21	2009-03-23	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	917266	4539989	9999-12-31	2013-05-08
001 B	2009-03-23	2009-11-02	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	917266	4539989	9999-12-31	2013-05-08
001 B	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	917266	4539989	9999-12-31	2013-05-08
001 B	2009-01-21	2009-03-23	Bayerngas Produksjon Norge AS	15.000000	\N	9999-12-31	9999-12-31	917266	5461974	9999-12-31	2013-05-08
001 B	2009-11-02	2009-12-22	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	917266	17237817	9999-12-31	2013-05-08
001 B	2009-12-22	9999-12-31	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	917266	17237817	9999-12-31	2013-05-08
001 B	2009-12-22	9999-12-31	Det norske oljeselskap ASA	35.000000	\N	2009-12-22	9999-12-31	917266	17342870	9999-12-31	2013-05-08
027 B	1999-12-15	2001-12-31	Enterprise Oil Norwegian AS	50.000000	\N	9999-12-31	9999-12-31	917344	342	9999-12-31	2013-05-08
027 B	1999-12-15	2001-12-31	Esso Exploration and Production Norway A/S	50.000000	\N	1999-12-15	2004-10-01	917344	353	9999-12-31	2013-05-08
027 B	2001-12-31	2004-10-01	Esso Exploration and Production Norway A/S	50.000000	\N	1999-12-15	2004-10-01	917344	353	9999-12-31	2013-05-08
027 B	2001-12-31	2004-10-01	Enterprise Oil Norge AS	50.000000	\N	9999-12-31	9999-12-31	917344	1853786	9999-12-31	2013-05-08
027 B	2004-10-01	2006-01-01	Enterprise Oil Norge AS	50.000000	\N	9999-12-31	9999-12-31	917344	1853786	9999-12-31	2013-05-08
027 B	2004-10-01	2006-01-01	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2004-10-01	9999-12-31	917344	2835212	9999-12-31	2013-05-08
027 B	2006-01-01	2007-08-10	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2004-10-01	9999-12-31	917344	2835212	9999-12-31	2013-05-08
027 B	2007-08-10	2007-10-04	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2004-10-01	9999-12-31	917344	2835212	9999-12-31	2013-05-08
027 B	2007-10-04	9999-12-31	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2004-10-01	9999-12-31	917344	2835212	9999-12-31	2013-05-08
027 B	2006-01-01	2007-08-10	Ener Petroleum ASA	50.000000	\N	9999-12-31	9999-12-31	917344	3482290	9999-12-31	2013-05-08
027 B	2007-08-10	2007-10-04	Dana Petroleum Norway ASA	50.000000	\N	9999-12-31	9999-12-31	917344	4510514	9999-12-31	2013-05-08
027 B	2007-10-04	9999-12-31	Dana Petroleum Norway AS	50.000000	\N	9999-12-31	9999-12-31	917344	4526555	9999-12-31	2013-05-08
028 B	1999-12-15	2001-12-31	Enterprise Oil Norwegian AS	50.000000	\N	9999-12-31	9999-12-31	917484	342	9999-12-31	2013-05-08
028 B	1999-12-15	2001-12-31	Esso Exploration and Production Norway A/S	50.000000	\N	1999-12-15	2004-10-01	917484	353	9999-12-31	2013-05-08
028 B	2001-12-31	2003-05-28	Esso Exploration and Production Norway A/S	50.000000	\N	1999-12-15	2004-10-01	917484	353	9999-12-31	2013-05-08
028 B	2003-05-28	2004-10-01	Esso Exploration and Production Norway A/S	50.000000	\N	1999-12-15	2004-10-01	917484	353	9999-12-31	2013-05-08
028 B	2005-01-01	2006-01-01	Det Norske Oljeselskap AS	50.000000	\N	2005-06-01	2007-06-20	917484	1340609	9999-12-31	2013-05-08
028 B	2006-01-01	2007-06-20	Det Norske Oljeselskap AS	35.000000	\N	2005-06-01	2007-06-20	917484	1340609	9999-12-31	2013-05-08
028 B	2003-05-28	2004-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	917484	1622484	9999-12-31	2013-05-08
028 B	2004-10-01	2005-01-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	917484	1622484	9999-12-31	2013-05-08
028 B	2005-01-01	2006-01-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	917484	1622484	9999-12-31	2013-05-08
028 B	2006-01-01	2007-06-20	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	917484	1622484	9999-12-31	2013-05-08
028 B	2007-06-20	2007-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	917484	1622484	9999-12-31	2013-05-08
028 B	2001-12-31	2003-05-28	Enterprise Oil Norge AS	50.000000	\N	9999-12-31	9999-12-31	917484	1853786	9999-12-31	2013-05-08
028 B	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2004-10-01	2005-06-01	917484	2835212	9999-12-31	2013-05-08
028 B	2006-01-01	2007-06-20	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917484	3986418	9999-12-31	2013-05-08
028 B	2007-06-20	2007-10-01	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917484	3986418	9999-12-31	2013-05-08
028 B	2007-10-01	2007-11-16	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917484	3986418	9999-12-31	2013-05-08
028 B	2007-11-16	2008-01-01	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917484	3986418	9999-12-31	2013-05-08
028 B	2008-01-01	2009-01-01	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917484	3986418	9999-12-31	2013-05-08
028 B	2009-01-01	2009-01-21	PA Resources Norway AS	15.000000	\N	9999-12-31	9999-12-31	917484	3986418	9999-12-31	2013-05-08
028 B	2009-03-23	2009-11-02	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	917484	4444493	9999-12-31	2013-05-08
028 B	2009-11-02	2009-12-22	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	917484	4444493	9999-12-31	2013-05-08
028 B	2009-12-22	9999-12-31	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	917484	4444493	9999-12-31	2013-05-08
028 B	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	35.000000	\N	2007-06-20	2007-11-16	917484	4468177	9999-12-31	2013-05-08
028 B	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	35.000000	\N	2007-06-20	2007-11-16	917484	4468177	9999-12-31	2013-05-08
028 B	2009-01-01	2009-01-21	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	917484	4511658	9999-12-31	2013-05-08
028 B	2009-01-21	2009-03-23	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	917484	4511658	9999-12-31	2013-05-08
028 B	2009-03-23	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	917484	4511658	9999-12-31	2013-05-08
028 B	2007-10-01	2007-11-16	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	917484	4511854	9999-12-31	2013-05-08
028 B	2007-11-16	2008-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	917484	4511854	9999-12-31	2013-05-08
028 B	2008-01-01	2009-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	917484	4511854	9999-12-31	2013-05-08
028 B	2007-11-16	2008-01-01	Noil Energy ASA	35.000000	\N	2007-11-16	2008-01-01	917484	4539976	9999-12-31	2013-05-08
028 B	2008-01-01	2009-01-01	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	917484	4539989	9999-12-31	2013-05-08
028 B	2009-01-01	2009-01-21	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	917484	4539989	9999-12-31	2013-05-08
028 B	2009-01-21	2009-03-23	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	917484	4539989	9999-12-31	2013-05-08
028 B	2009-03-23	2009-11-02	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	917484	4539989	9999-12-31	2013-05-08
028 B	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	35.000000	\N	2008-01-01	2009-12-21	917484	4539989	9999-12-31	2013-05-08
028 B	2009-01-21	2009-03-23	Bayerngas Produksjon Norge AS	15.000000	\N	9999-12-31	9999-12-31	917484	5461974	9999-12-31	2013-05-08
028 B	2009-11-02	2009-12-22	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	917484	17237817	9999-12-31	2013-05-08
028 B	2009-12-22	9999-12-31	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	917484	17237817	9999-12-31	2013-05-08
028 B	2009-12-22	9999-12-31	Det norske oljeselskap ASA	35.000000	\N	2009-12-22	9999-12-31	917484	17342870	9999-12-31	2013-05-08
134 B	2000-01-14	2000-01-31	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1025257	45	9999-12-31	2013-05-08
134 B	2000-01-31	2001-01-11	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1025257	45	9999-12-31	2013-05-08
134 B	2001-01-11	2001-05-10	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1025257	45	9999-12-31	2013-05-08
134 B	2001-05-10	2001-06-01	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1025257	45	9999-12-31	2013-05-08
134 B	2001-06-01	2001-12-18	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1025257	45	9999-12-31	2013-05-08
134 B	2001-12-18	2003-05-06	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1025257	45	9999-12-31	2013-05-08
134 B	2003-05-06	2003-12-31	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1025257	45	9999-12-31	2013-05-08
134 B	2000-01-31	2001-01-11	Norsk Hydro Produksjon AS	5.000000	\N	9999-12-31	9999-12-31	1025257	430	9999-12-31	2013-05-08
134 B	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	1025257	430	9999-12-31	2013-05-08
134 B	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	1025257	430	9999-12-31	2013-05-08
134 B	2001-06-01	2001-12-18	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	1025257	430	9999-12-31	2013-05-08
134 B	2001-12-18	2003-05-06	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	1025257	430	9999-12-31	2013-05-08
134 B	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	1025257	430	9999-12-31	2013-05-08
134 B	2003-12-31	2004-01-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	1025257	430	9999-12-31	2013-05-08
134 B	2004-01-01	2004-01-02	Norsk Hydro Produksjon AS	14.000000	\N	9999-12-31	9999-12-31	1025257	430	9999-12-31	2013-05-08
134 B	2004-01-02	2007-01-01	Norsk Hydro Produksjon AS	14.000000	\N	9999-12-31	9999-12-31	1025257	430	9999-12-31	2013-05-08
134 B	2000-01-14	2000-01-31	Saga Petroleum ASA	7.000000	\N	9999-12-31	9999-12-31	1025257	716	9999-12-31	2013-05-08
134 B	2000-01-31	2001-01-11	Saga Petroleum ASA	7.000000	\N	9999-12-31	9999-12-31	1025257	716	9999-12-31	2013-05-08
134 B	2000-01-14	2000-01-31	Den norske stats oljeselskap a.s	53.000000	25.000000	2000-01-14	2001-05-10	1025257	749	9999-12-31	2013-05-08
134 B	2000-01-31	2001-01-11	Den norske stats oljeselskap a.s	48.000000	25.000000	2000-01-14	2001-05-10	1025257	749	9999-12-31	2013-05-08
134 B	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	48.000000	25.000000	2000-01-14	2001-05-10	1025257	749	9999-12-31	2013-05-08
134 B	2000-01-14	2000-01-31	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	1025257	848	9999-12-31	2013-05-08
134 B	2000-01-31	2001-01-11	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	1025257	848	9999-12-31	2013-05-08
134 B	2001-01-11	2001-05-10	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	1025257	848	9999-12-31	2013-05-08
134 B	2001-05-10	2001-06-01	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	1025257	848	9999-12-31	2013-05-08
134 B	2001-06-01	2001-12-18	Total Norge AS	10.000000	\N	9999-12-31	9999-12-31	1025257	848	9999-12-31	2013-05-08
134 B	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	1025257	1340884	9999-12-31	2013-05-08
134 B	2001-05-10	2001-06-01	Statoil ASA (old)	23.000000	\N	2001-05-10	2007-10-01	1025257	1622484	9999-12-31	2013-05-08
134 B	2001-06-01	2001-12-18	Statoil ASA (old)	48.000000	\N	2001-05-10	2007-10-01	1025257	1622484	9999-12-31	2013-05-08
134 B	2001-12-18	2003-05-06	Statoil ASA (old)	48.000000	\N	2001-05-10	2007-10-01	1025257	1622484	9999-12-31	2013-05-08
134 B	2003-05-06	2003-12-31	Statoil ASA (old)	48.000000	\N	2001-05-10	2007-10-01	1025257	1622484	9999-12-31	2013-05-08
134 B	2003-12-31	2004-01-01	Statoil ASA (old)	48.000000	\N	2001-05-10	2007-10-01	1025257	1622484	9999-12-31	2013-05-08
134 B	2004-01-01	2004-01-02	Statoil ASA (old)	46.000000	\N	2001-05-10	2007-10-01	1025257	1622484	9999-12-31	2013-05-08
134 B	2004-01-02	2007-01-01	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-10-01	1025257	1622484	9999-12-31	2013-05-08
134 B	2007-01-01	2007-10-01	Statoil ASA (old)	50.000000	\N	2001-05-10	2007-10-01	1025257	1622484	9999-12-31	2013-05-08
134 B	2001-05-10	2001-06-01	SDØE	25.000000	\N	9999-12-31	9999-12-31	1025257	1623450	9999-12-31	2013-05-08
134 B	2003-12-31	2004-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1025257	2388594	9999-12-31	2013-05-08
134 B	2004-01-01	2004-01-02	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1025257	2388594	9999-12-31	2013-05-08
134 B	2004-01-02	2007-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1025257	2388594	9999-12-31	2013-05-08
134 B	2007-01-01	2007-10-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1025257	2388594	9999-12-31	2013-05-08
134 B	2007-10-01	2008-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1025257	2388594	9999-12-31	2013-05-08
134 B	2008-01-01	2009-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1025257	2388594	9999-12-31	2013-05-08
134 B	2009-01-01	2009-11-02	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1025257	2388594	9999-12-31	2013-05-08
134 B	2009-11-02	9999-12-31	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1025257	2388594	9999-12-31	2013-05-08
134 B	2003-05-06	2003-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1025257	2410708	9999-12-31	2013-05-08
134 B	2003-12-31	2004-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1025257	2410708	9999-12-31	2013-05-08
134 B	2004-01-01	2004-01-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1025257	2410708	9999-12-31	2013-05-08
134 B	2004-01-02	2007-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1025257	2410708	9999-12-31	2013-05-08
134 B	2007-01-01	2007-10-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1025257	2410708	9999-12-31	2013-05-08
134 B	2007-10-01	2008-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1025257	2410708	9999-12-31	2013-05-08
134 B	2008-01-01	2009-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1025257	2410708	9999-12-31	2013-05-08
134 B	2009-01-01	2009-11-02	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1025257	2410708	9999-12-31	2013-05-08
134 B	2009-11-02	9999-12-31	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1025257	2410708	9999-12-31	2013-05-08
134 B	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	14.000000	\N	9999-12-31	9999-12-31	1025257	4511658	9999-12-31	2013-05-08
134 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	64.000000	\N	2009-01-01	2009-11-01	1025257	4511658	9999-12-31	2013-05-08
134 B	2007-10-01	2008-01-01	StatoilHydro ASA	50.000000	\N	2007-10-01	2008-12-31	1025257	4511854	9999-12-31	2013-05-08
134 B	2008-01-01	2009-01-01	StatoilHydro ASA	64.000000	\N	2007-10-01	2008-12-31	1025257	4511854	9999-12-31	2013-05-08
134 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	14.000000	\N	9999-12-31	9999-12-31	1025257	4524355	9999-12-31	2013-05-08
134 B	2009-11-02	9999-12-31	Statoil Petroleum AS	64.000000	\N	2009-11-02	9999-12-31	1025257	17237817	9999-12-31	2013-05-08
169 B1	2001-02-06	2001-05-10	Norske Conoco A/S	8.000000	\N	9999-12-31	9999-12-31	1030964	221	9999-12-31	2013-05-08
169 B1	2001-05-10	2001-06-17	Norske Conoco A/S	8.000000	\N	9999-12-31	9999-12-31	1030964	221	9999-12-31	2013-05-08
169 B1	2001-06-17	2002-03-19	Norske Conoco A/S	8.000000	\N	9999-12-31	9999-12-31	1030964	221	9999-12-31	2013-05-08
169 B1	2002-03-19	2003-03-22	Norske Conoco A/S	8.000000	\N	9999-12-31	9999-12-31	1030964	221	9999-12-31	2013-05-08
169 B1	2000-03-01	2000-04-07	Esso Exploration and Production Norway A/S	7.000000	\N	9999-12-31	9999-12-31	1030964	353	9999-12-31	2013-05-08
169 B1	2000-04-07	2001-02-06	Esso Exploration and Production Norway A/S	7.000000	\N	9999-12-31	9999-12-31	1030964	353	9999-12-31	2013-05-08
169 B1	2001-02-06	2001-05-10	Esso Exploration and Production Norway A/S	7.000000	\N	9999-12-31	9999-12-31	1030964	353	9999-12-31	2013-05-08
169 B1	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	7.000000	\N	9999-12-31	9999-12-31	1030964	353	9999-12-31	2013-05-08
169 B1	2001-06-17	2002-03-19	Esso Exploration and Production Norway A/S	7.000000	\N	9999-12-31	9999-12-31	1030964	353	9999-12-31	2013-05-08
169 B1	2002-03-19	2003-03-22	Esso Exploration and Production Norway A/S	7.000000	\N	9999-12-31	9999-12-31	1030964	353	9999-12-31	2013-05-08
169 B1	2003-03-22	2004-10-01	Esso Exploration and Production Norway A/S	7.000000	\N	9999-12-31	9999-12-31	1030964	353	9999-12-31	2013-05-08
169 B1	2000-03-01	2000-04-07	Norsk Hydro Produksjon AS	28.000000	\N	2000-03-01	2007-01-01	1030964	430	9999-12-31	2013-05-08
169 B1	2000-04-07	2001-02-06	Norsk Hydro Produksjon AS	30.500000	\N	2000-03-01	2007-01-01	1030964	430	9999-12-31	2013-05-08
169 B1	2001-02-06	2001-05-10	Norsk Hydro Produksjon AS	30.500000	\N	2000-03-01	2007-01-01	1030964	430	9999-12-31	2013-05-08
169 B1	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	30.500000	\N	2000-03-01	2007-01-01	1030964	430	9999-12-31	2013-05-08
169 B1	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	30.500000	\N	2000-03-01	2007-01-01	1030964	430	9999-12-31	2013-05-08
169 B1	2002-03-19	2003-03-22	Norsk Hydro Produksjon AS	47.500000	\N	2000-03-01	2007-01-01	1030964	430	9999-12-31	2013-05-08
169 B1	2003-03-22	2004-10-01	Norsk Hydro Produksjon AS	47.500000	\N	2000-03-01	2007-01-01	1030964	430	9999-12-31	2013-05-08
169 B1	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	47.500000	\N	2000-03-01	2007-01-01	1030964	430	9999-12-31	2013-05-08
169 B1	2000-03-01	2000-04-07	Den norske stats oljeselskap a.s	65.000000	54.500000	9999-12-31	9999-12-31	1030964	749	9999-12-31	2013-05-08
169 B1	2000-04-07	2001-02-06	Den norske stats oljeselskap a.s	62.500000	\N	9999-12-31	9999-12-31	1030964	749	9999-12-31	2013-05-08
169 B1	2001-02-06	2001-05-10	Den norske stats oljeselskap a.s	54.500000	\N	9999-12-31	9999-12-31	1030964	749	9999-12-31	2013-05-08
169 B1	2001-05-10	2001-06-17	SDØE	54.500000	\N	9999-12-31	9999-12-31	1030964	1623450	9999-12-31	2013-05-08
169 B1	2001-06-17	2002-03-19	Petoro AS	54.500000	\N	9999-12-31	9999-12-31	1030964	1626839	9999-12-31	2013-05-08
169 B1	2002-03-19	2003-03-22	Petoro AS	37.500000	\N	9999-12-31	9999-12-31	1030964	1626839	9999-12-31	2013-05-08
169 B1	2003-03-22	2004-10-01	Petoro AS	37.500000	\N	9999-12-31	9999-12-31	1030964	1626839	9999-12-31	2013-05-08
169 B1	2004-10-01	2007-01-01	Petoro AS	37.500000	\N	9999-12-31	9999-12-31	1030964	1626839	9999-12-31	2013-05-08
169 B1	2007-01-01	2007-01-02	Petoro AS	37.500000	\N	9999-12-31	9999-12-31	1030964	1626839	9999-12-31	2013-05-08
169 B1	2007-01-02	2007-10-01	Petoro AS	37.500000	\N	9999-12-31	9999-12-31	1030964	1626839	9999-12-31	2013-05-08
169 B1	2007-10-01	2009-11-02	Petoro AS	37.500000	\N	9999-12-31	9999-12-31	1030964	1626839	9999-12-31	2013-05-08
169 B1	2009-11-02	9999-12-31	Petoro AS	37.500000	\N	9999-12-31	9999-12-31	1030964	1626839	9999-12-31	2013-05-08
169 B1	2003-03-22	2004-10-01	Norske ConocoPhillips AS	8.000000	\N	9999-12-31	9999-12-31	1030964	2399056	9999-12-31	2013-05-08
169 B1	2004-10-01	2007-01-01	Norske ConocoPhillips AS	8.000000	\N	9999-12-31	9999-12-31	1030964	2399056	9999-12-31	2013-05-08
169 B1	2007-01-01	2007-01-02	Norske ConocoPhillips AS	8.000000	\N	9999-12-31	9999-12-31	1030964	2399056	9999-12-31	2013-05-08
169 B1	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	8.000000	\N	9999-12-31	9999-12-31	1030964	2410696	9999-12-31	2013-05-08
169 B1	2007-10-01	2009-11-02	ConocoPhillips Skandinavia AS	8.000000	\N	9999-12-31	9999-12-31	1030964	2410696	9999-12-31	2013-05-08
169 B1	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	8.000000	\N	9999-12-31	9999-12-31	1030964	2410696	9999-12-31	2013-05-08
169 B1	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	7.000000	\N	9999-12-31	9999-12-31	1030964	2835212	9999-12-31	2013-05-08
169 B1	2007-01-01	2007-01-02	ExxonMobil Exploration & Production Norway AS	7.000000	\N	9999-12-31	9999-12-31	1030964	2835212	9999-12-31	2013-05-08
169 B1	2007-01-02	2007-10-01	ExxonMobil Exploration & Production Norway AS	7.000000	\N	9999-12-31	9999-12-31	1030964	2835212	9999-12-31	2013-05-08
169 B1	2007-10-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	7.000000	\N	9999-12-31	9999-12-31	1030964	2835212	9999-12-31	2013-05-08
169 B1	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	7.000000	\N	9999-12-31	9999-12-31	1030964	2835212	9999-12-31	2013-05-08
169 B1	2007-10-01	2009-11-02	StatoilHydro Petroleum AS	47.500000	\N	2007-10-01	2009-11-01	1030964	4511658	9999-12-31	2013-05-08
169 B1	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	47.500000	\N	2007-01-01	2007-10-01	1030964	4524355	9999-12-31	2013-05-08
169 B1	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	47.500000	\N	2007-01-01	2007-10-01	1030964	4524355	9999-12-31	2013-05-08
169 B1	2009-11-02	9999-12-31	Statoil Petroleum AS	47.500000	\N	2009-11-02	9999-12-31	1030964	17237817	9999-12-31	2013-05-08
169 B2	2001-02-06	2001-05-10	Norske Conoco A/S	12.500000	\N	9999-12-31	9999-12-31	1031002	221	9999-12-31	2013-05-08
169 B2	2001-05-10	2001-06-17	Norske Conoco A/S	12.500000	\N	9999-12-31	9999-12-31	1031002	221	9999-12-31	2013-05-08
169 B2	2001-06-17	2002-03-19	Norske Conoco A/S	12.500000	\N	9999-12-31	9999-12-31	1031002	221	9999-12-31	2013-05-08
169 B2	2002-03-19	2003-03-22	Norske Conoco A/S	12.500000	\N	9999-12-31	9999-12-31	1031002	221	9999-12-31	2013-05-08
169 B2	2000-03-01	2000-04-07	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	1031002	353	9999-12-31	2013-05-08
169 B2	2000-04-07	2001-02-06	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	1031002	353	9999-12-31	2013-05-08
169 B2	2001-02-06	2001-05-10	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	1031002	353	9999-12-31	2013-05-08
169 B2	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	1031002	353	9999-12-31	2013-05-08
169 B2	2001-06-17	2002-03-19	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	1031002	353	9999-12-31	2013-05-08
169 B2	2002-03-19	2003-03-22	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	1031002	353	9999-12-31	2013-05-08
169 B2	2003-03-22	2004-10-01	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	1031002	353	9999-12-31	2013-05-08
169 B2	2000-03-01	2000-04-07	Norsk Hydro Produksjon AS	40.000000	\N	2000-03-01	2007-01-01	1031002	430	9999-12-31	2013-05-08
169 B2	2000-04-07	2001-02-06	Norsk Hydro Produksjon AS	42.500000	\N	2000-03-01	2007-01-01	1031002	430	9999-12-31	2013-05-08
169 B2	2001-02-06	2001-05-10	Norsk Hydro Produksjon AS	42.500000	\N	2000-03-01	2007-01-01	1031002	430	9999-12-31	2013-05-08
169 B2	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	42.500000	\N	2000-03-01	2007-01-01	1031002	430	9999-12-31	2013-05-08
169 B2	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	42.500000	\N	2000-03-01	2007-01-01	1031002	430	9999-12-31	2013-05-08
169 B2	2002-03-19	2003-03-22	Norsk Hydro Produksjon AS	47.500000	\N	2000-03-01	2007-01-01	1031002	430	9999-12-31	2013-05-08
169 B2	2003-03-22	2004-10-01	Norsk Hydro Produksjon AS	47.500000	\N	2000-03-01	2007-01-01	1031002	430	9999-12-31	2013-05-08
169 B2	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	47.500000	\N	2000-03-01	2007-01-01	1031002	430	9999-12-31	2013-05-08
169 B2	2000-03-01	2000-04-07	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	1031002	749	9999-12-31	2013-05-08
169 B2	2000-04-07	2001-02-06	Den norske stats oljeselskap a.s	47.500000	\N	9999-12-31	9999-12-31	1031002	749	9999-12-31	2013-05-08
169 B2	2001-02-06	2001-05-10	Den norske stats oljeselskap a.s	35.000000	\N	9999-12-31	9999-12-31	1031002	749	9999-12-31	2013-05-08
169 B2	2001-05-10	2001-06-17	SDØE	35.000000	\N	9999-12-31	9999-12-31	1031002	1623450	9999-12-31	2013-05-08
169 B2	2001-06-17	2002-03-19	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	1031002	1626839	9999-12-31	2013-05-08
169 B2	2002-03-19	2003-03-22	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1031002	1626839	9999-12-31	2013-05-08
169 B2	2003-03-22	2004-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1031002	1626839	9999-12-31	2013-05-08
169 B2	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1031002	1626839	9999-12-31	2013-05-08
169 B2	2007-01-01	2007-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1031002	1626839	9999-12-31	2013-05-08
169 B2	2007-01-02	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1031002	1626839	9999-12-31	2013-05-08
169 B2	2007-10-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1031002	1626839	9999-12-31	2013-05-08
169 B2	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1031002	1626839	9999-12-31	2013-05-08
169 B2	2003-03-22	2004-10-01	Norske ConocoPhillips AS	12.500000	\N	9999-12-31	9999-12-31	1031002	2399056	9999-12-31	2013-05-08
169 B2	2004-10-01	2007-01-01	Norske ConocoPhillips AS	12.500000	\N	9999-12-31	9999-12-31	1031002	2399056	9999-12-31	2013-05-08
169 B2	2007-01-01	2007-01-02	Norske ConocoPhillips AS	12.500000	\N	9999-12-31	9999-12-31	1031002	2399056	9999-12-31	2013-05-08
169 B2	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	12.500000	\N	9999-12-31	9999-12-31	1031002	2410696	9999-12-31	2013-05-08
169 B2	2007-10-01	2009-11-02	ConocoPhillips Skandinavia AS	12.500000	\N	9999-12-31	9999-12-31	1031002	2410696	9999-12-31	2013-05-08
169 B2	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	12.500000	\N	9999-12-31	9999-12-31	1031002	2410696	9999-12-31	2013-05-08
169 B2	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	10.000000	\N	9999-12-31	9999-12-31	1031002	2835212	9999-12-31	2013-05-08
169 B2	2007-01-01	2007-01-02	ExxonMobil Exploration & Production Norway AS	10.000000	\N	9999-12-31	9999-12-31	1031002	2835212	9999-12-31	2013-05-08
169 B2	2007-01-02	2007-10-01	ExxonMobil Exploration & Production Norway AS	10.000000	\N	9999-12-31	9999-12-31	1031002	2835212	9999-12-31	2013-05-08
169 B2	2007-10-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	10.000000	\N	9999-12-31	9999-12-31	1031002	2835212	9999-12-31	2013-05-08
169 B2	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	10.000000	\N	9999-12-31	9999-12-31	1031002	2835212	9999-12-31	2013-05-08
169 B2	2007-10-01	2009-11-02	StatoilHydro Petroleum AS	47.500000	\N	2007-10-01	2009-11-01	1031002	4511658	9999-12-31	2013-05-08
169 B2	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	47.500000	\N	2007-01-01	2007-10-01	1031002	4524355	9999-12-31	2013-05-08
169 B2	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	47.500000	\N	2007-01-01	2007-10-01	1031002	4524355	9999-12-31	2013-05-08
169 B2	2009-11-02	9999-12-31	Statoil Petroleum AS	47.500000	\N	2009-11-02	9999-12-31	1031002	17237817	9999-12-31	2013-05-08
251	2000-05-12	2000-07-24	Elf Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032893	298	9999-12-31	2013-05-08
251	2000-05-12	2000-07-24	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	1032893	562	9999-12-31	2013-05-08
251	2000-07-24	2001-05-10	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	1032893	562	9999-12-31	2013-05-08
251	2001-05-10	2002-03-12	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	1032893	562	9999-12-31	2013-05-08
251	2002-03-12	2003-05-06	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	1032893	562	9999-12-31	2013-05-08
251	2003-05-06	2004-01-01	A/S Norske Shell	25.000000	\N	9999-12-31	9999-12-31	1032893	562	9999-12-31	2013-05-08
251	2004-01-01	2004-07-01	A/S Norske Shell	47.500000	\N	9999-12-31	9999-12-31	1032893	562	9999-12-31	2013-05-08
251	2005-01-01	2005-01-02	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	1032893	562	9999-12-31	2013-05-08
251	2005-01-02	2007-10-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	1032893	562	9999-12-31	2013-05-08
251	2007-10-01	2008-05-12	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	1032893	562	9999-12-31	2013-05-08
251	2000-05-12	2000-07-24	Den norske stats oljeselskap a.s	30.000000	\N	2000-05-12	2001-05-10	1032893	749	9999-12-31	2013-05-08
251	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	30.000000	\N	2000-05-12	2001-05-10	1032893	749	9999-12-31	2013-05-08
251	2000-05-12	2000-07-24	BP Amoco Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032893	982372	9999-12-31	2013-05-08
251	2000-07-24	2001-05-10	BP Amoco Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032893	982372	9999-12-31	2013-05-08
251	2001-05-10	2002-03-12	BP Amoco Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032893	982372	9999-12-31	2013-05-08
251	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032893	1340884	9999-12-31	2013-05-08
251	2001-05-10	2002-03-12	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032893	1340884	9999-12-31	2013-05-08
251	2002-03-12	2003-05-06	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032893	1340884	9999-12-31	2013-05-08
251	2001-05-10	2002-03-12	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	1032893	1622484	9999-12-31	2013-05-08
251	2002-03-12	2003-05-06	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	1032893	1622484	9999-12-31	2013-05-08
251	2003-05-06	2004-01-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	1032893	1622484	9999-12-31	2013-05-08
251	2004-01-01	2004-07-01	Statoil ASA (old)	52.500000	\N	2001-05-10	2007-10-01	1032893	1622484	9999-12-31	2013-05-08
251	2004-07-01	2005-01-01	Statoil ASA (old)	100.000000	\N	2001-05-10	2007-10-01	1032893	1622484	9999-12-31	2013-05-08
251	2005-01-01	2005-01-02	Statoil ASA (old)	90.000000	\N	2001-05-10	2007-10-01	1032893	1622484	9999-12-31	2013-05-08
251	2005-01-02	2007-10-01	Statoil ASA (old)	70.000000	\N	2001-05-10	2007-10-01	1032893	1622484	9999-12-31	2013-05-08
251	2002-03-12	2003-05-06	BP Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032893	2052695	9999-12-31	2013-05-08
251	2003-05-06	2004-01-01	BP Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032893	2052695	9999-12-31	2013-05-08
251	2003-05-06	2004-01-01	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032893	2410708	9999-12-31	2013-05-08
251	2005-01-02	2007-10-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032893	2747354	9999-12-31	2013-05-08
251	2007-10-01	2008-05-12	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032893	2747354	9999-12-31	2013-05-08
251	2007-10-01	2008-05-12	StatoilHydro ASA	70.000000	\N	2007-10-01	2008-05-12	1032893	4511854	9999-12-31	2013-05-08
252	2000-05-12	2001-11-12	Esso Exploration and Production Norway A/S	15.000000	\N	9999-12-31	9999-12-31	1032911	353	9999-12-31	2013-05-08
252	2000-05-12	2001-11-12	Norsk Hydro Produksjon AS	60.000000	\N	2000-05-12	2003-05-12	1032911	430	9999-12-31	2013-05-08
252	2001-11-12	2002-11-19	Norsk Hydro Produksjon AS	50.000000	\N	2000-05-12	2003-05-12	1032911	430	9999-12-31	2013-05-08
252	2002-11-19	2003-05-12	Norsk Hydro Produksjon AS	50.000000	\N	2000-05-12	2003-05-12	1032911	430	9999-12-31	2013-05-08
252	2000-05-12	2001-11-12	Norsk Chevron AS	25.000000	\N	9999-12-31	9999-12-31	1032911	40148	9999-12-31	2013-05-08
252	2001-11-12	2002-11-19	Norsk Chevron AS	25.000000	\N	9999-12-31	9999-12-31	1032911	40148	9999-12-31	2013-05-08
252	2001-11-12	2002-11-19	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032911	97557	9999-12-31	2013-05-08
252	2002-11-19	2003-05-12	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032911	97557	9999-12-31	2013-05-08
252	2002-11-19	2003-05-12	Chevron Texaco Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032911	2154473	9999-12-31	2013-05-08
253	2000-05-12	2001-05-10	Norsk Hydro Produksjon AS	50.000000	\N	2000-05-12	2007-01-01	1032927	430	9999-12-31	2013-05-08
253	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	50.000000	\N	2000-05-12	2007-01-01	1032927	430	9999-12-31	2013-05-08
253	2001-06-17	2007-01-01	Norsk Hydro Produksjon AS	50.000000	\N	2000-05-12	2007-01-01	1032927	430	9999-12-31	2013-05-08
253	2000-05-12	2001-05-10	Den norske stats oljeselskap a.s	20.000000	20.000000	9999-12-31	9999-12-31	1032927	749	9999-12-31	2013-05-08
253	2000-05-12	2001-05-10	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1032927	97557	9999-12-31	2013-05-08
253	2001-05-10	2001-06-17	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1032927	97557	9999-12-31	2013-05-08
253	2001-06-17	2007-01-01	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1032927	97557	9999-12-31	2013-05-08
253	2007-01-01	2007-10-01	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1032927	97557	9999-12-31	2013-05-08
253	2007-10-01	2008-05-12	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1032927	97557	9999-12-31	2013-05-08
253	2001-05-10	2001-06-17	SDØE	20.000000	\N	9999-12-31	9999-12-31	1032927	1623450	9999-12-31	2013-05-08
253	2001-06-17	2007-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032927	1626839	9999-12-31	2013-05-08
253	2007-01-01	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032927	1626839	9999-12-31	2013-05-08
253	2007-10-01	2008-05-12	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032927	1626839	9999-12-31	2013-05-08
253	2007-10-01	2008-05-12	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2008-05-12	1032927	4511658	9999-12-31	2013-05-08
253	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	50.000000	\N	2007-01-01	2007-10-01	1032927	4524355	9999-12-31	2013-05-08
254	2000-05-12	2000-07-24	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	1032954	221	9999-12-31	2013-05-08
254	2000-07-24	2001-05-10	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	1032954	221	9999-12-31	2013-05-08
254	2001-05-10	2001-06-17	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	1032954	221	9999-12-31	2013-05-08
254	2001-06-17	2002-03-12	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	1032954	221	9999-12-31	2013-05-08
254	2002-03-12	2003-03-22	Norske Conoco A/S	20.000000	\N	9999-12-31	9999-12-31	1032954	221	9999-12-31	2013-05-08
254	2000-05-12	2000-07-24	Elf Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032954	298	9999-12-31	2013-05-08
254	2000-05-12	2000-07-24	Den norske stats oljeselskap a.s	25.000000	25.000000	9999-12-31	9999-12-31	1032954	749	9999-12-31	2013-05-08
254	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	25.000000	25.000000	9999-12-31	9999-12-31	1032954	749	9999-12-31	2013-05-08
254	2000-05-12	2000-07-24	BP Amoco Norge AS	35.000000	\N	2000-05-12	2002-03-12	1032954	982372	9999-12-31	2013-05-08
254	2000-07-24	2001-05-10	BP Amoco Norge AS	35.000000	\N	2000-05-12	2002-03-12	1032954	982372	9999-12-31	2013-05-08
254	2001-05-10	2001-06-17	BP Amoco Norge AS	35.000000	\N	2000-05-12	2002-03-12	1032954	982372	9999-12-31	2013-05-08
254	2001-06-17	2002-03-12	BP Amoco Norge AS	35.000000	\N	2000-05-12	2002-03-12	1032954	982372	9999-12-31	2013-05-08
254	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032954	1340884	9999-12-31	2013-05-08
254	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032954	1340884	9999-12-31	2013-05-08
254	2001-06-17	2002-03-12	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032954	1340884	9999-12-31	2013-05-08
254	2002-03-12	2003-03-22	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032954	1340884	9999-12-31	2013-05-08
254	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032954	1340884	9999-12-31	2013-05-08
254	2001-05-10	2001-06-17	SDØE	25.000000	\N	9999-12-31	9999-12-31	1032954	1623450	9999-12-31	2013-05-08
254	2001-06-17	2002-03-12	Petoro AS	25.000000	\N	9999-12-31	9999-12-31	1032954	1626839	9999-12-31	2013-05-08
254	2002-03-12	2003-03-22	Petoro AS	25.000000	\N	9999-12-31	9999-12-31	1032954	1626839	9999-12-31	2013-05-08
254	2003-03-22	2003-05-06	Petoro AS	25.000000	\N	9999-12-31	9999-12-31	1032954	1626839	9999-12-31	2013-05-08
254	2003-05-06	2004-03-01	Petoro AS	25.000000	\N	9999-12-31	9999-12-31	1032954	1626839	9999-12-31	2013-05-08
254	2004-03-01	2004-12-31	Petoro AS	25.000000	\N	9999-12-31	9999-12-31	1032954	1626839	9999-12-31	2013-05-08
254	2002-03-12	2003-03-22	BP Norge AS	35.000000	\N	2002-03-12	2004-12-31	1032954	2052695	9999-12-31	2013-05-08
254	2003-03-22	2003-05-06	BP Norge AS	35.000000	\N	2002-03-12	2004-12-31	1032954	2052695	9999-12-31	2013-05-08
254	2003-05-06	2004-03-01	BP Norge AS	35.000000	\N	2002-03-12	2004-12-31	1032954	2052695	9999-12-31	2013-05-08
254	2004-03-01	2004-12-31	BP Norge AS	55.000000	\N	2002-03-12	2004-12-31	1032954	2052695	9999-12-31	2013-05-08
254	2003-03-22	2003-05-06	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	1032954	2399056	9999-12-31	2013-05-08
254	2003-05-06	2004-03-01	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	1032954	2399056	9999-12-31	2013-05-08
254	2003-05-06	2004-03-01	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032954	2410708	9999-12-31	2013-05-08
254	2004-03-01	2004-12-31	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032954	2410708	9999-12-31	2013-05-08
255	2000-05-12	2000-07-24	Elf Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032979	298	9999-12-31	2013-05-08
255	2000-05-12	2000-07-24	A/S Norske Shell	30.000000	\N	2000-05-12	9999-12-31	1032979	562	9999-12-31	2013-05-08
255	2000-07-24	2001-05-10	A/S Norske Shell	30.000000	\N	2000-05-12	9999-12-31	1032979	562	9999-12-31	2013-05-08
255	2001-05-10	2001-06-17	A/S Norske Shell	30.000000	\N	2000-05-12	9999-12-31	1032979	562	9999-12-31	2013-05-08
255	2001-06-17	2003-05-06	A/S Norske Shell	30.000000	\N	2000-05-12	9999-12-31	1032979	562	9999-12-31	2013-05-08
255	2003-05-06	2007-10-01	A/S Norske Shell	30.000000	\N	2000-05-12	9999-12-31	1032979	562	9999-12-31	2013-05-08
255	2007-10-01	2009-01-01	A/S Norske Shell	30.000000	\N	2000-05-12	9999-12-31	1032979	562	9999-12-31	2013-05-08
255	2009-01-01	2009-11-02	A/S Norske Shell	30.000000	\N	2000-05-12	9999-12-31	1032979	562	9999-12-31	2013-05-08
255	2009-11-02	9999-12-31	A/S Norske Shell	30.000000	\N	2000-05-12	9999-12-31	1032979	562	9999-12-31	2013-05-08
255	2000-05-12	2000-07-24	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	1032979	749	9999-12-31	2013-05-08
255	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	50.000000	30.000000	9999-12-31	9999-12-31	1032979	749	9999-12-31	2013-05-08
255	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032979	1340884	9999-12-31	2013-05-08
255	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032979	1340884	9999-12-31	2013-05-08
255	2001-06-17	2003-05-06	TotalFinaElf Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032979	1340884	9999-12-31	2013-05-08
255	2001-05-10	2001-06-17	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	1032979	1622484	9999-12-31	2013-05-08
255	2001-06-17	2003-05-06	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	1032979	1622484	9999-12-31	2013-05-08
255	2003-05-06	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	1032979	1622484	9999-12-31	2013-05-08
255	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	1032979	1623450	9999-12-31	2013-05-08
255	2001-06-17	2003-05-06	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1032979	1626839	9999-12-31	2013-05-08
255	2003-05-06	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1032979	1626839	9999-12-31	2013-05-08
255	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1032979	1626839	9999-12-31	2013-05-08
255	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1032979	1626839	9999-12-31	2013-05-08
255	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1032979	1626839	9999-12-31	2013-05-08
255	2003-05-06	2007-10-01	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032979	2410708	9999-12-31	2013-05-08
255	2007-10-01	2009-01-01	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032979	2410708	9999-12-31	2013-05-08
255	2009-01-01	2009-11-02	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032979	2410708	9999-12-31	2013-05-08
255	2009-11-02	9999-12-31	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	1032979	2410708	9999-12-31	2013-05-08
255	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	1032979	4511658	9999-12-31	2013-05-08
255	2007-10-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	1032979	4511854	9999-12-31	2013-05-08
255	2009-11-02	9999-12-31	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	1032979	17237817	9999-12-31	2013-05-08
256	2000-05-12	2001-05-10	Norsk Agip  AS	30.000000	\N	2000-05-12	2003-12-31	1032995	45	9999-12-31	2013-05-08
256	2001-05-10	2001-06-17	Norsk Agip  AS	30.000000	\N	2000-05-12	2003-12-31	1032995	45	9999-12-31	2013-05-08
256	2001-06-17	2001-12-31	Norsk Agip  AS	30.000000	\N	2000-05-12	2003-12-31	1032995	45	9999-12-31	2013-05-08
256	2001-12-31	2003-03-04	Norsk Agip  AS	30.000000	\N	2000-05-12	2003-12-31	1032995	45	9999-12-31	2013-05-08
256	2003-03-04	2003-09-03	Norsk Agip  AS	30.000000	\N	2000-05-12	2003-12-31	1032995	45	9999-12-31	2013-05-08
256	2003-09-03	2003-12-31	Norsk Agip  AS	30.000000	\N	2000-05-12	2003-12-31	1032995	45	9999-12-31	2013-05-08
256	2000-05-12	2001-05-10	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	1032995	342	9999-12-31	2013-05-08
256	2001-05-10	2001-06-17	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	1032995	342	9999-12-31	2013-05-08
256	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	1032995	342	9999-12-31	2013-05-08
256	2000-05-12	2001-05-10	Den norske stats oljeselskap a.s	20.000000	20.000000	9999-12-31	9999-12-31	1032995	749	9999-12-31	2013-05-08
256	2003-09-03	2003-12-31	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1032995	97557	9999-12-31	2013-05-08
256	2003-12-31	2006-09-06	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1032995	97557	9999-12-31	2013-05-08
256	2006-09-06	2007-01-01	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1032995	97557	9999-12-31	2013-05-08
256	2007-01-01	2007-06-01	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1032995	97557	9999-12-31	2013-05-08
256	2007-06-01	2007-07-11	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1032995	97557	9999-12-31	2013-05-08
256	2007-07-11	2009-12-22	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1032995	97557	9999-12-31	2013-05-08
256	2009-12-22	2011-01-01	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1032995	97557	9999-12-31	2013-05-08
256	2000-05-12	2001-05-10	Fortum Petroleum AS	25.000000	\N	9999-12-31	9999-12-31	1032995	102714	9999-12-31	2013-05-08
256	2001-05-10	2001-06-17	Fortum Petroleum AS	25.000000	\N	9999-12-31	9999-12-31	1032995	102714	9999-12-31	2013-05-08
256	2001-06-17	2001-12-31	Fortum Petroleum AS	25.000000	\N	9999-12-31	9999-12-31	1032995	102714	9999-12-31	2013-05-08
256	2001-12-31	2003-03-04	Fortum Petroleum AS	25.000000	\N	9999-12-31	9999-12-31	1032995	102714	9999-12-31	2013-05-08
256	2001-05-10	2001-06-17	SDØE	20.000000	\N	9999-12-31	9999-12-31	1032995	1623450	9999-12-31	2013-05-08
256	2001-06-17	2001-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032995	1626839	9999-12-31	2013-05-08
256	2001-12-31	2003-03-04	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032995	1626839	9999-12-31	2013-05-08
256	2003-03-04	2003-09-03	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032995	1626839	9999-12-31	2013-05-08
256	2003-09-03	2003-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032995	1626839	9999-12-31	2013-05-08
256	2003-12-31	2006-09-06	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032995	1626839	9999-12-31	2013-05-08
256	2006-09-06	2007-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032995	1626839	9999-12-31	2013-05-08
256	2007-01-01	2007-06-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032995	1626839	9999-12-31	2013-05-08
256	2007-06-01	2007-07-11	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032995	1626839	9999-12-31	2013-05-08
256	2007-07-11	2009-12-22	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032995	1626839	9999-12-31	2013-05-08
256	2009-12-22	2011-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1032995	1626839	9999-12-31	2013-05-08
256	2003-09-03	2003-12-31	DONG Norge AS	10.000000	\N	9999-12-31	9999-12-31	1032995	1853083	9999-12-31	2013-05-08
256	2003-12-31	2006-09-06	DONG Norge AS	10.000000	\N	9999-12-31	9999-12-31	1032995	1853083	9999-12-31	2013-05-08
256	2001-12-31	2003-03-04	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032995	1853786	9999-12-31	2013-05-08
256	2003-03-04	2003-09-03	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032995	1853786	9999-12-31	2013-05-08
256	2003-03-04	2003-09-03	Eni Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032995	2388594	9999-12-31	2013-05-08
256	2003-09-03	2003-12-31	Eni Norge AS	25.000000	\N	9999-12-31	9999-12-31	1032995	2388594	9999-12-31	2013-05-08
256	2003-12-31	2006-09-06	Eni Norge AS	55.000000	\N	2003-12-31	2008-02-04	1032995	2388594	9999-12-31	2013-05-08
256	2006-09-06	2007-01-01	Eni Norge AS	55.000000	\N	2003-12-31	2008-02-04	1032995	2388594	9999-12-31	2013-05-08
256	2007-06-01	2007-07-11	Norwegian Energy Company AS	10.000000	\N	9999-12-31	9999-12-31	1032995	3482246	9999-12-31	2013-05-08
256	2006-09-06	2007-01-01	DONG E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1032995	4070011	9999-12-31	2013-05-08
256	2007-01-01	2007-06-01	DONG E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1032995	4070011	9999-12-31	2013-05-08
256	2007-01-01	2007-06-01	Aker Exploration AS	55.000000	\N	9999-12-31	9999-12-31	1032995	4460425	9999-12-31	2013-05-08
256	2007-06-01	2007-07-11	Aker Exploration AS	55.000000	\N	9999-12-31	9999-12-31	1032995	4460425	9999-12-31	2013-05-08
256	2007-07-11	2009-12-22	Aker Exploration AS	55.000000	\N	2008-02-04	2009-12-21	1032995	4460425	9999-12-31	2013-05-08
256	2007-07-11	2009-12-22	Norwegian Energy Company ASA	10.000000	\N	9999-12-31	9999-12-31	1032995	4530695	9999-12-31	2013-05-08
256	2009-12-22	2011-01-01	Norwegian Energy Company ASA	10.000000	\N	9999-12-31	9999-12-31	1032995	4530695	9999-12-31	2013-05-08
256	2009-12-22	2011-01-01	Det norske oljeselskap AS	55.000000	\N	2009-12-22	2011-01-01	1032995	17342915	9999-12-31	2013-05-08
257	2000-05-12	2001-05-10	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	1033013	430	9999-12-31	2013-05-08
257	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	1033013	430	9999-12-31	2013-05-08
257	2001-06-01	2004-01-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	1033013	430	9999-12-31	2013-05-08
257	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	1033013	430	9999-12-31	2013-05-08
257	2000-05-12	2001-05-10	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033013	474	9999-12-31	2013-05-08
257	2001-05-10	2001-06-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033013	474	9999-12-31	2013-05-08
257	2001-06-01	2004-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033013	474	9999-12-31	2013-05-08
257	2004-01-01	2007-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033013	474	9999-12-31	2013-05-08
257	2007-01-01	2007-10-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033013	474	9999-12-31	2013-05-08
257	2007-10-01	2008-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033013	474	9999-12-31	2013-05-08
257	2008-01-01	2008-01-02	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033013	474	9999-12-31	2013-05-08
257	2000-05-12	2001-05-10	Den norske stats oljeselskap a.s	73.000000	45.000000	2000-05-12	2001-05-10	1033013	749	9999-12-31	2013-05-08
257	2001-05-10	2001-06-01	Statoil ASA (old)	28.000000	\N	2001-05-10	2007-10-01	1033013	1622484	9999-12-31	2013-05-08
257	2001-06-01	2004-01-01	Statoil ASA (old)	73.000000	\N	2001-05-10	2007-10-01	1033013	1622484	9999-12-31	2013-05-08
257	2004-01-01	2007-01-01	Statoil ASA (old)	67.000000	\N	2001-05-10	2007-10-01	1033013	1622484	9999-12-31	2013-05-08
257	2007-01-01	2007-10-01	Statoil ASA (old)	67.000000	\N	2001-05-10	2007-10-01	1033013	1622484	9999-12-31	2013-05-08
257	2001-05-10	2001-06-01	SDØE	45.000000	\N	9999-12-31	9999-12-31	1033013	1623450	9999-12-31	2013-05-08
257	2004-01-01	2007-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1033013	2410708	9999-12-31	2013-05-08
257	2007-01-01	2007-10-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1033013	2410708	9999-12-31	2013-05-08
257	2007-10-01	2008-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1033013	2410708	9999-12-31	2013-05-08
257	2008-01-01	2008-01-02	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1033013	2410708	9999-12-31	2013-05-08
257	2008-01-02	2009-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1033013	2410708	9999-12-31	2013-05-08
257	2009-01-01	2009-11-02	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1033013	2410708	9999-12-31	2013-05-08
257	2009-11-02	9999-12-31	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	1033013	2410708	9999-12-31	2013-05-08
257	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033013	2835212	9999-12-31	2013-05-08
257	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033013	2835212	9999-12-31	2013-05-08
257	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033013	2835212	9999-12-31	2013-05-08
257	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	1033013	4511658	9999-12-31	2013-05-08
257	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	79.000000	\N	2009-01-01	2009-11-01	1033013	4511658	9999-12-31	2013-05-08
257	2007-10-01	2008-01-01	StatoilHydro ASA	67.000000	\N	2007-10-01	2008-12-31	1033013	4511854	9999-12-31	2013-05-08
257	2008-01-01	2008-01-02	StatoilHydro ASA	79.000000	\N	2007-10-01	2008-12-31	1033013	4511854	9999-12-31	2013-05-08
257	2008-01-02	2009-01-01	StatoilHydro ASA	79.000000	\N	2007-10-01	2008-12-31	1033013	4511854	9999-12-31	2013-05-08
257	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	1033013	4524355	9999-12-31	2013-05-08
257	2009-11-02	9999-12-31	Statoil Petroleum AS	79.000000	\N	2009-11-02	9999-12-31	1033013	17237817	9999-12-31	2013-05-08
258	2000-05-12	2000-07-24	Elf Petroleum Norge AS	25.000000	\N	2000-05-12	2000-07-24	1033029	298	9999-12-31	2013-05-08
258	2000-05-12	2000-07-24	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	1033029	430	9999-12-31	2013-05-08
258	2000-07-24	2001-05-10	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	1033029	430	9999-12-31	2013-05-08
258	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	1033029	430	9999-12-31	2013-05-08
258	2001-06-17	2003-05-06	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	1033029	430	9999-12-31	2013-05-08
258	2003-05-06	2003-09-29	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	1033029	430	9999-12-31	2013-05-08
258	2000-05-12	2000-07-24	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	1033029	705	9999-12-31	2013-05-08
258	2000-07-24	2001-05-10	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	1033029	705	9999-12-31	2013-05-08
258	2001-05-10	2001-06-17	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	1033029	705	9999-12-31	2013-05-08
258	2001-06-17	2003-05-06	Phillips Petroleum Norsk AS	20.000000	\N	9999-12-31	9999-12-31	1033029	705	9999-12-31	2013-05-08
258	2000-05-12	2000-07-24	Den norske stats oljeselskap a.s	20.000000	20.000000	9999-12-31	9999-12-31	1033029	749	9999-12-31	2013-05-08
258	2000-07-24	2001-05-10	Den norske stats oljeselskap a.s	20.000000	20.000000	9999-12-31	9999-12-31	1033029	749	9999-12-31	2013-05-08
258	2000-05-12	2000-07-24	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1033029	97557	9999-12-31	2013-05-08
258	2000-07-24	2001-05-10	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1033029	97557	9999-12-31	2013-05-08
258	2001-05-10	2001-06-17	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1033029	97557	9999-12-31	2013-05-08
258	2001-06-17	2003-05-06	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1033029	97557	9999-12-31	2013-05-08
258	2003-05-06	2003-09-29	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1033029	97557	9999-12-31	2013-05-08
258	2000-07-24	2001-05-10	TotalFinaElf Exploration Norge AS	25.000000	\N	2000-07-24	2003-05-06	1033029	1340884	9999-12-31	2013-05-08
258	2001-05-10	2001-06-17	TotalFinaElf Exploration Norge AS	25.000000	\N	2000-07-24	2003-05-06	1033029	1340884	9999-12-31	2013-05-08
258	2001-06-17	2003-05-06	TotalFinaElf Exploration Norge AS	25.000000	\N	2000-07-24	2003-05-06	1033029	1340884	9999-12-31	2013-05-08
258	2001-05-10	2001-06-17	SDØE	20.000000	\N	9999-12-31	9999-12-31	1033029	1623450	9999-12-31	2013-05-08
258	2001-06-17	2003-05-06	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1033029	1626839	9999-12-31	2013-05-08
258	2003-05-06	2003-09-29	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1033029	1626839	9999-12-31	2013-05-08
258	2003-05-06	2003-09-29	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	1033029	2410696	9999-12-31	2013-05-08
258	2003-05-06	2003-09-29	Total E&P Norge AS	25.000000	\N	2003-05-06	2003-09-29	1033029	2410708	9999-12-31	2013-05-08
259	2000-05-12	2001-12-31	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1033049	45	9999-12-31	2013-05-08
259	2001-12-31	2002-11-19	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1033049	45	9999-12-31	2013-05-08
259	2002-11-19	2003-04-28	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1033049	45	9999-12-31	2013-05-08
259	2003-04-28	2003-12-31	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1033049	45	9999-12-31	2013-05-08
259	2000-05-12	2001-12-31	Enterprise Oil Norwegian AS	30.000000	\N	9999-12-31	9999-12-31	1033049	342	9999-12-31	2013-05-08
259	2000-05-12	2001-12-31	Norsk Chevron AS	40.000000	\N	2000-05-12	2002-11-19	1033049	40148	9999-12-31	2013-05-08
259	2001-12-31	2002-11-19	Norsk Chevron AS	40.000000	\N	2000-05-12	2002-11-19	1033049	40148	9999-12-31	2013-05-08
259	2001-12-31	2002-11-19	Enterprise Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033049	1853786	9999-12-31	2013-05-08
259	2002-11-19	2003-04-28	Enterprise Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033049	1853786	9999-12-31	2013-05-08
259	2002-11-19	2003-04-28	Chevron Texaco Norge AS	40.000000	\N	2002-11-19	2004-02-05	1033049	2154473	9999-12-31	2013-05-08
259	2003-04-28	2003-12-31	Chevron Texaco Norge AS	70.000000	\N	2002-11-19	2004-02-05	1033049	2154473	9999-12-31	2013-05-08
259	2003-12-31	2004-01-01	Chevron Texaco Norge AS	70.000000	\N	2002-11-19	2004-02-05	1033049	2154473	9999-12-31	2013-05-08
259	2003-12-31	2004-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033049	2388594	9999-12-31	2013-05-08
259	2004-01-01	2007-01-01	Eni Norge AS	100.000000	\N	2004-02-05	2010-01-01	1033049	2388594	9999-12-31	2013-05-08
259	2007-01-01	2010-01-01	Eni Norge AS	70.000000	\N	2004-02-05	2010-01-01	1033049	2388594	9999-12-31	2013-05-08
259	2007-01-01	2010-01-01	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	1033049	4460425	9999-12-31	2013-05-08
260	2000-05-12	2002-03-12	BP Amoco Norge AS	100.000000	\N	2000-05-12	2002-03-12	1033065	982372	9999-12-31	2013-05-08
260	2002-03-12	2004-02-12	BP Norge AS	100.000000	\N	2002-03-12	2004-02-12	1033065	2052695	9999-12-31	2013-05-08
261	2000-05-12	2001-05-10	Den norske stats oljeselskap a.s	20.000000	\N	9999-12-31	9999-12-31	1033077	749	9999-12-31	2013-05-08
261	2000-05-12	2001-05-10	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033077	97557	9999-12-31	2013-05-08
261	2001-05-10	2002-03-12	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033077	97557	9999-12-31	2013-05-08
261	2002-03-12	2007-10-01	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033077	97557	9999-12-31	2013-05-08
261	2007-10-01	2009-01-01	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033077	97557	9999-12-31	2013-05-08
261	2009-01-01	2009-11-02	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033077	97557	9999-12-31	2013-05-08
261	2009-11-02	9999-12-31	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033077	97557	9999-12-31	2013-05-08
261	2000-05-12	2001-05-10	BP Amoco Norge AS	50.000000	\N	2000-05-12	2002-03-12	1033077	982372	9999-12-31	2013-05-08
261	2001-05-10	2002-03-12	BP Amoco Norge AS	50.000000	\N	2000-05-12	2002-03-12	1033077	982372	9999-12-31	2013-05-08
261	2001-05-10	2002-03-12	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	1033077	1622484	9999-12-31	2013-05-08
261	2002-03-12	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	1033077	1622484	9999-12-31	2013-05-08
261	2002-03-12	2007-10-01	BP Norge AS	50.000000	\N	2002-03-12	9999-12-31	1033077	2052695	9999-12-31	2013-05-08
261	2007-10-01	2009-01-01	BP Norge AS	50.000000	\N	2002-03-12	9999-12-31	1033077	2052695	9999-12-31	2013-05-08
261	2009-01-01	2009-11-02	BP Norge AS	50.000000	\N	2002-03-12	9999-12-31	1033077	2052695	9999-12-31	2013-05-08
261	2009-11-02	9999-12-31	BP Norge AS	50.000000	\N	2002-03-12	9999-12-31	1033077	2052695	9999-12-31	2013-05-08
261	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	1033077	4511658	9999-12-31	2013-05-08
261	2007-10-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	1033077	4511854	9999-12-31	2013-05-08
261	2009-11-02	9999-12-31	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	1033077	17237817	9999-12-31	2013-05-08
262	2000-05-12	2001-05-10	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	1033093	342	9999-12-31	2013-05-08
262	2001-05-10	2001-06-01	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	1033093	342	9999-12-31	2013-05-08
262	2001-06-01	2001-12-31	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	1033093	342	9999-12-31	2013-05-08
262	2000-05-12	2001-05-10	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033093	474	9999-12-31	2013-05-08
262	2001-05-10	2001-06-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033093	474	9999-12-31	2013-05-08
262	2001-06-01	2001-12-31	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033093	474	9999-12-31	2013-05-08
262	2001-12-31	2002-03-12	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033093	474	9999-12-31	2013-05-08
262	2002-03-12	2007-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033093	474	9999-12-31	2013-05-08
262	2000-05-12	2001-05-10	Den norske stats oljeselskap a.s	30.000000	30.000000	9999-12-31	9999-12-31	1033093	749	9999-12-31	2013-05-08
262	2000-05-12	2001-05-10	BP Amoco Norge AS	30.000000	\N	2000-05-12	2002-03-12	1033093	982372	9999-12-31	2013-05-08
262	2001-05-10	2001-06-01	BP Amoco Norge AS	30.000000	\N	2000-05-12	2002-03-12	1033093	982372	9999-12-31	2013-05-08
262	2001-06-01	2001-12-31	BP Amoco Norge AS	30.000000	\N	2000-05-12	2002-03-12	1033093	982372	9999-12-31	2013-05-08
262	2001-12-31	2002-03-12	BP Amoco Norge AS	30.000000	\N	2000-05-12	2002-03-12	1033093	982372	9999-12-31	2013-05-08
262	2001-06-01	2001-12-31	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1033093	1622484	9999-12-31	2013-05-08
262	2001-12-31	2002-03-12	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1033093	1622484	9999-12-31	2013-05-08
262	2002-03-12	2007-01-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1033093	1622484	9999-12-31	2013-05-08
262	2007-01-01	2007-01-02	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1033093	1622484	9999-12-31	2013-05-08
262	2007-01-02	2007-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1033093	1622484	9999-12-31	2013-05-08
262	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	1033093	1623450	9999-12-31	2013-05-08
262	2001-12-31	2002-03-12	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	1033093	1853786	9999-12-31	2013-05-08
262	2002-03-12	2007-01-01	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	1033093	1853786	9999-12-31	2013-05-08
262	2007-01-01	2007-01-02	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	1033093	1853786	9999-12-31	2013-05-08
262	2002-03-12	2007-01-01	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	1033093	2052695	9999-12-31	2013-05-08
262	2007-01-01	2007-01-02	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	1033093	2052695	9999-12-31	2013-05-08
262	2007-01-02	2007-10-01	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	1033093	2052695	9999-12-31	2013-05-08
262	2007-10-01	2009-01-01	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	1033093	2052695	9999-12-31	2013-05-08
262	2009-01-01	2009-11-02	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	1033093	2052695	9999-12-31	2013-05-08
262	2009-11-02	2012-02-11	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	1033093	2052695	9999-12-31	2013-05-08
262	2012-02-11	9999-12-31	BP Norge AS	30.000000	\N	2002-03-12	9999-12-31	1033093	2052695	9999-12-31	2013-05-08
262	2007-01-02	2007-10-01	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	1033093	2840522	9999-12-31	2013-05-08
262	2007-10-01	2009-01-01	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	1033093	2840522	9999-12-31	2013-05-08
262	2009-01-01	2009-11-02	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	1033093	2840522	9999-12-31	2013-05-08
262	2009-11-02	2012-02-11	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	1033093	2840522	9999-12-31	2013-05-08
262	2007-01-01	2007-01-02	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033093	4505831	9999-12-31	2013-05-08
262	2007-01-02	2007-10-01	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033093	4505831	9999-12-31	2013-05-08
262	2007-10-01	2009-01-01	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033093	4505831	9999-12-31	2013-05-08
262	2009-01-01	2009-11-02	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033093	4505831	9999-12-31	2013-05-08
262	2009-11-02	2012-02-11	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033093	4505831	9999-12-31	2013-05-08
262	2012-02-11	9999-12-31	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	1033093	4505831	9999-12-31	2013-05-08
262	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	1033093	4511658	9999-12-31	2013-05-08
262	2007-10-01	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	1033093	4511854	9999-12-31	2013-05-08
262	2009-11-02	2012-02-11	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	1033093	17237817	9999-12-31	2013-05-08
262	2012-02-11	9999-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	1033093	17237817	9999-12-31	2013-05-08
262	2012-02-11	9999-12-31	E.ON E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	1033093	21631209	9999-12-31	2013-05-08
263	2000-05-12	2001-05-10	Norsk Hydro Produksjon AS	40.000000	\N	2000-05-12	2007-01-01	1033111	430	9999-12-31	2013-05-08
263	2001-05-10	2002-11-19	Norsk Hydro Produksjon AS	40.000000	\N	2000-05-12	2007-01-01	1033111	430	9999-12-31	2013-05-08
263	2002-11-19	2005-01-01	Norsk Hydro Produksjon AS	40.000000	\N	2000-05-12	2007-01-01	1033111	430	9999-12-31	2013-05-08
263	2005-01-01	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	2000-05-12	2007-01-01	1033111	430	9999-12-31	2013-05-08
263	2000-05-12	2001-05-10	Den norske stats oljeselskap a.s	30.000000	\N	9999-12-31	9999-12-31	1033111	749	9999-12-31	2013-05-08
263	2000-05-12	2001-05-10	Norsk Chevron AS	30.000000	\N	9999-12-31	9999-12-31	1033111	40148	9999-12-31	2013-05-08
263	2001-05-10	2002-11-19	Norsk Chevron AS	30.000000	\N	9999-12-31	9999-12-31	1033111	40148	9999-12-31	2013-05-08
263	2005-01-01	2007-01-01	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	1033111	1340609	9999-12-31	2013-05-08
263	2007-01-01	2007-06-29	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	1033111	1340609	9999-12-31	2013-05-08
263	2001-05-10	2002-11-19	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1033111	1622484	9999-12-31	2013-05-08
263	2002-11-19	2005-01-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1033111	1622484	9999-12-31	2013-05-08
263	2005-01-01	2007-01-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1033111	1622484	9999-12-31	2013-05-08
263	2007-01-01	2007-06-29	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1033111	1622484	9999-12-31	2013-05-08
263	2007-06-29	2007-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1033111	1622484	9999-12-31	2013-05-08
263	2002-11-19	2005-01-01	Chevron Texaco Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033111	2154473	9999-12-31	2013-05-08
263	2007-06-29	2007-10-01	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033111	4444493	9999-12-31	2013-05-08
263	2007-10-01	2009-01-01	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033111	4444493	9999-12-31	2013-05-08
263	2009-01-01	2009-11-02	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033111	4444493	9999-12-31	2013-05-08
263	2009-11-02	9999-12-31	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	1033111	4444493	9999-12-31	2013-05-08
263	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	1033111	4511658	9999-12-31	2013-05-08
263	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2007-10-01	2009-11-01	1033111	4511658	9999-12-31	2013-05-08
263	2007-10-01	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	1033111	4511854	9999-12-31	2013-05-08
263	2007-01-01	2007-06-29	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	1033111	4524355	9999-12-31	2013-05-08
263	2007-06-29	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	1033111	4524355	9999-12-31	2013-05-08
263	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	1033111	17237817	9999-12-31	2013-05-08
264	2003-02-05	2003-03-22	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	1033127	45	9999-12-31	2013-05-08
264	2003-03-22	2003-05-06	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	1033127	45	9999-12-31	2013-05-08
264	2003-05-06	2003-12-31	Norsk Agip  AS	20.000000	\N	9999-12-31	9999-12-31	1033127	45	9999-12-31	2013-05-08
264	2000-05-12	2001-05-10	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	1033127	221	9999-12-31	2013-05-08
264	2001-05-10	2001-06-17	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	1033127	221	9999-12-31	2013-05-08
264	2001-06-17	2003-02-05	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	1033127	221	9999-12-31	2013-05-08
264	2003-02-05	2003-03-22	Norske Conoco A/S	5.000000	\N	9999-12-31	9999-12-31	1033127	221	9999-12-31	2013-05-08
264	2000-05-12	2001-05-10	Esso Exploration and Production Norway A/S	30.000000	\N	9999-12-31	9999-12-31	1033127	353	9999-12-31	2013-05-08
264	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	30.000000	\N	9999-12-31	9999-12-31	1033127	353	9999-12-31	2013-05-08
264	2001-06-17	2003-02-05	Esso Exploration and Production Norway A/S	30.000000	\N	9999-12-31	9999-12-31	1033127	353	9999-12-31	2013-05-08
264	2003-02-05	2003-03-22	Esso Exploration and Production Norway A/S	30.000000	\N	9999-12-31	9999-12-31	1033127	353	9999-12-31	2013-05-08
264	2003-03-22	2003-05-06	Esso Exploration and Production Norway A/S	30.000000	\N	9999-12-31	9999-12-31	1033127	353	9999-12-31	2013-05-08
264	2003-05-06	2003-12-31	Esso Exploration and Production Norway A/S	30.000000	\N	9999-12-31	9999-12-31	1033127	353	9999-12-31	2013-05-08
264	2003-12-31	2004-10-01	Esso Exploration and Production Norway A/S	30.000000	\N	9999-12-31	9999-12-31	1033127	353	9999-12-31	2013-05-08
264	2000-05-12	2001-05-10	Phillips Petroleum Norsk AS	25.000000	\N	9999-12-31	9999-12-31	1033127	705	9999-12-31	2013-05-08
264	2001-05-10	2001-06-17	Phillips Petroleum Norsk AS	25.000000	\N	9999-12-31	9999-12-31	1033127	705	9999-12-31	2013-05-08
264	2001-06-17	2003-02-05	Phillips Petroleum Norsk AS	25.000000	\N	9999-12-31	9999-12-31	1033127	705	9999-12-31	2013-05-08
264	2003-02-05	2003-03-22	Phillips Petroleum Norsk AS	25.000000	\N	9999-12-31	9999-12-31	1033127	705	9999-12-31	2013-05-08
264	2003-03-22	2003-05-06	Phillips Petroleum Norsk AS	25.000000	\N	9999-12-31	9999-12-31	1033127	705	9999-12-31	2013-05-08
264	2000-05-12	2001-05-10	Den norske stats oljeselskap a.s	20.000000	20.000000	9999-12-31	9999-12-31	1033127	749	9999-12-31	2013-05-08
264	2001-05-10	2001-06-17	SDØE	20.000000	\N	9999-12-31	9999-12-31	1033127	1623450	9999-12-31	2013-05-08
264	2001-06-17	2003-02-05	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1033127	1626839	9999-12-31	2013-05-08
264	2003-02-05	2003-03-22	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1033127	1626839	9999-12-31	2013-05-08
264	2003-03-22	2003-05-06	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1033127	1626839	9999-12-31	2013-05-08
264	2003-05-06	2003-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1033127	1626839	9999-12-31	2013-05-08
264	2003-12-31	2004-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1033127	1626839	9999-12-31	2013-05-08
264	2004-10-01	2006-08-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	1033127	1626839	9999-12-31	2013-05-08
264	2006-08-01	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1033127	1626839	9999-12-31	2013-05-08
264	2007-01-01	2013-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1033127	1626839	2013-01-03	2013-05-08
264	2003-12-31	2004-10-01	Eni Norge AS	20.000000	\N	9999-12-31	9999-12-31	1033127	2388594	9999-12-31	2013-05-08
264	2004-10-01	2006-08-01	Eni Norge AS	20.000000	\N	2006-05-24	2013-01-01	1033127	2388594	2013-01-03	2013-05-08
264	2006-08-01	2007-01-01	Eni Norge AS	40.000000	\N	2006-05-24	2013-01-01	1033127	2388594	2013-01-03	2013-05-08
264	2007-01-01	2013-01-01	Eni Norge AS	40.000000	\N	2006-05-24	2013-01-01	1033127	2388594	2013-01-03	2013-05-08
264	2003-03-22	2003-05-06	Norske ConocoPhillips AS	5.000000	\N	9999-12-31	9999-12-31	1033127	2399056	9999-12-31	2013-05-08
264	2003-05-06	2003-12-31	Norske ConocoPhillips AS	5.000000	\N	9999-12-31	9999-12-31	1033127	2399056	9999-12-31	2013-05-08
264	2003-12-31	2004-10-01	Norske ConocoPhillips AS	5.000000	\N	9999-12-31	9999-12-31	1033127	2399056	9999-12-31	2013-05-08
264	2004-10-01	2006-08-01	Norske ConocoPhillips AS	5.000000	\N	9999-12-31	9999-12-31	1033127	2399056	9999-12-31	2013-05-08
264	2006-08-01	2007-01-01	Norske ConocoPhillips AS	5.000000	\N	9999-12-31	9999-12-31	1033127	2399056	9999-12-31	2013-05-08
264	2003-05-06	2003-12-31	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	1033127	2410696	9999-12-31	2013-05-08
264	2003-12-31	2004-10-01	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	1033127	2410696	9999-12-31	2013-05-08
264	2004-10-01	2006-08-01	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	1033127	2410696	9999-12-31	2013-05-08
264	2006-08-01	2007-01-01	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	1033127	2410696	9999-12-31	2013-05-08
264	2007-01-01	2013-01-01	ConocoPhillips Skandinavia AS	30.000000	\N	9999-12-31	9999-12-31	1033127	2410696	2013-01-03	2013-05-08
264	2004-10-01	2006-08-01	ExxonMobil Exploration & Production Norway AS	30.000000	\N	2004-10-01	2006-05-24	1033127	2835212	9999-12-31	2013-05-08
191	1993-09-10	1999-04-13	Norsk Hydro Produksjon AS	20.000000	\N	1993-09-10	2003-09-10	1043631	430	9999-12-31	2013-05-08
191	1999-04-13	2000-01-01	Norsk Hydro Produksjon AS	20.000000	\N	1993-09-10	2003-09-10	1043631	430	9999-12-31	2013-05-08
191	2000-01-01	2001-05-10	Norsk Hydro Produksjon AS	30.000000	\N	1993-09-10	2003-09-10	1043631	430	9999-12-31	2013-05-08
191	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	30.000000	\N	1993-09-10	2003-09-10	1043631	430	9999-12-31	2013-05-08
191	2001-06-17	2002-01-04	Norsk Hydro Produksjon AS	30.000000	\N	1993-09-10	2003-09-10	1043631	430	9999-12-31	2013-05-08
191	2002-01-04	2002-03-19	Norsk Hydro Produksjon AS	40.000000	\N	1993-09-10	2003-09-10	1043631	430	9999-12-31	2013-05-08
191	2002-03-19	2003-09-10	Norsk Hydro Produksjon AS	40.000000	\N	1993-09-10	2003-09-10	1043631	430	9999-12-31	2013-05-08
191	2002-03-19	2003-09-10	Idemitsu Petroleum Norge AS	22.500000	\N	9999-12-31	9999-12-31	1043631	441	9999-12-31	2013-05-08
191	1993-09-10	1999-04-13	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	1043631	474	9999-12-31	2013-05-08
191	1999-04-13	2000-01-01	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	1043631	474	9999-12-31	2013-05-08
191	2000-01-01	2001-05-10	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	1043631	474	9999-12-31	2013-05-08
191	2001-05-10	2001-06-17	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	1043631	474	9999-12-31	2013-05-08
191	2001-06-17	2002-01-04	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	1043631	474	9999-12-31	2013-05-08
191	1993-09-10	1999-04-13	Neste Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	1043631	496	9999-12-31	2013-05-08
191	1993-09-10	1999-04-13	Den norske stats oljeselskap a.s	60.000000	45.000000	9999-12-31	9999-12-31	1043631	749	9999-12-31	2013-05-08
191	1999-04-13	2000-01-01	Den norske stats oljeselskap a.s	60.000000	45.000000	9999-12-31	9999-12-31	1043631	749	9999-12-31	2013-05-08
191	2000-01-01	2001-05-10	Den norske stats oljeselskap a.s	60.000000	45.000000	9999-12-31	9999-12-31	1043631	749	9999-12-31	2013-05-08
191	1999-04-13	2000-01-01	Fortum Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	1043631	102714	9999-12-31	2013-05-08
191	2001-05-10	2001-06-17	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	1043631	1622484	9999-12-31	2013-05-08
191	2001-06-17	2002-01-04	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	1043631	1622484	9999-12-31	2013-05-08
191	2002-01-04	2002-03-19	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	1043631	1622484	9999-12-31	2013-05-08
191	2002-03-19	2003-09-10	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	1043631	1622484	9999-12-31	2013-05-08
191	2001-05-10	2001-06-17	SDØE	45.000000	\N	9999-12-31	9999-12-31	1043631	1623450	9999-12-31	2013-05-08
191	2001-06-17	2002-01-04	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	1043631	1626839	9999-12-31	2013-05-08
191	2002-01-04	2002-03-19	Petoro AS	45.000000	\N	9999-12-31	9999-12-31	1043631	1626839	9999-12-31	2013-05-08
191	2002-03-19	2003-09-10	Gaz de France Norge AS	22.500000	\N	9999-12-31	9999-12-31	1043631	1628733	9999-12-31	2013-05-08
006 B	2000-10-09	2001-12-31	Amerada Hess Norge AS	28.333330	\N	9999-12-31	9999-12-31	1333048	67	9999-12-31	2013-05-08
006 B	2001-12-31	2002-03-12	Amerada Hess Norge AS	28.333330	\N	9999-12-31	9999-12-31	1333048	67	9999-12-31	2013-05-08
006 B	2002-03-12	2003-05-06	Amerada Hess Norge AS	28.333330	\N	9999-12-31	9999-12-31	1333048	67	9999-12-31	2013-05-08
006 B	2003-05-06	2006-06-26	Amerada Hess Norge AS	28.333330	\N	9999-12-31	9999-12-31	1333048	67	9999-12-31	2013-05-08
006 B	2000-10-09	2001-12-31	Enterprise Oil Norwegian AS	28.333330	\N	9999-12-31	9999-12-31	1333048	342	9999-12-31	2013-05-08
006 B	2000-10-09	2001-12-31	BP Amoco Norge AS	28.333330	\N	2000-10-09	2002-03-12	1333048	982372	9999-12-31	2013-05-08
006 B	2001-12-31	2002-03-12	BP Amoco Norge AS	28.333330	\N	2000-10-09	2002-03-12	1333048	982372	9999-12-31	2013-05-08
006 B	2000-10-09	2001-12-31	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	1333048	1340884	9999-12-31	2013-05-08
006 B	2001-12-31	2002-03-12	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	1333048	1340884	9999-12-31	2013-05-08
006 B	2002-03-12	2003-05-06	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	1333048	1340884	9999-12-31	2013-05-08
006 B	2001-12-31	2002-03-12	Enterprise Oil Norge AS	28.333330	\N	9999-12-31	9999-12-31	1333048	1853786	9999-12-31	2013-05-08
006 B	2002-03-12	2003-05-06	Enterprise Oil Norge AS	28.333330	\N	9999-12-31	9999-12-31	1333048	1853786	9999-12-31	2013-05-08
006 B	2003-05-06	2006-06-26	Enterprise Oil Norge AS	28.333330	\N	9999-12-31	9999-12-31	1333048	1853786	9999-12-31	2013-05-08
006 B	2006-06-26	2010-01-01	Enterprise Oil Norge AS	28.333330	\N	9999-12-31	9999-12-31	1333048	1853786	9999-12-31	2013-05-08
006 B	2010-01-01	2010-01-02	Enterprise Oil Norge AS	28.333330	\N	9999-12-31	9999-12-31	1333048	1853786	9999-12-31	2013-05-08
006 B	2002-03-12	2003-05-06	BP Norge AS	28.333330	\N	2002-03-12	9999-12-31	1333048	2052695	9999-12-31	2013-05-08
006 B	2003-05-06	2006-06-26	BP Norge AS	28.333330	\N	2002-03-12	9999-12-31	1333048	2052695	9999-12-31	2013-05-08
006 B	2006-06-26	2010-01-01	BP Norge AS	28.333330	\N	2002-03-12	9999-12-31	1333048	2052695	9999-12-31	2013-05-08
006 B	2010-01-01	2010-01-02	BP Norge AS	35.833330	\N	2002-03-12	9999-12-31	1333048	2052695	9999-12-31	2013-05-08
006 B	2010-01-02	9999-12-31	BP Norge AS	35.833330	\N	2002-03-12	9999-12-31	1333048	2052695	9999-12-31	2013-05-08
006 B	2003-05-06	2006-06-26	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	1333048	2410708	9999-12-31	2013-05-08
006 B	2006-06-26	2010-01-01	Total E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	1333048	2410708	9999-12-31	2013-05-08
006 B	2006-06-26	2010-01-01	Hess Norge AS	28.333330	\N	9999-12-31	9999-12-31	1333048	4038735	9999-12-31	2013-05-08
006 B	2010-01-01	2010-01-02	Hess Norge AS	35.833330	\N	9999-12-31	9999-12-31	1333048	4038735	9999-12-31	2013-05-08
006 B	2010-01-02	9999-12-31	Hess Norge AS	64.166670	\N	9999-12-31	9999-12-31	1333048	4038735	9999-12-31	2013-05-08
006 C	2000-10-09	2001-02-02	Amerada Hess Norge AS	28.333330	\N	9999-12-31	9999-12-31	1333089	67	9999-12-31	2013-05-08
006 C	2001-02-02	2001-12-18	Amerada Hess Norge AS	28.333330	\N	2001-04-25	2003-01-21	1333089	67	9999-12-31	2013-05-08
006 C	2001-12-18	2001-12-31	Amerada Hess Norge AS	28.333330	\N	2001-04-25	2003-01-21	1333089	67	9999-12-31	2013-05-08
006 C	2001-12-31	2002-03-12	Amerada Hess Norge AS	28.333330	\N	2001-04-25	2003-01-21	1333089	67	9999-12-31	2013-05-08
006 C	2002-03-12	2003-01-21	Amerada Hess Norge AS	28.333330	\N	2001-04-25	2003-01-21	1333089	67	9999-12-31	2013-05-08
006 C	2000-10-09	2001-02-02	Enterprise Oil Norwegian AS	28.333330	\N	9999-12-31	9999-12-31	1333089	342	9999-12-31	2013-05-08
006 C	2001-02-02	2001-12-18	Enterprise Oil Norwegian AS	28.333330	\N	9999-12-31	9999-12-31	1333089	342	9999-12-31	2013-05-08
006 C	2001-12-18	2001-12-31	Enterprise Oil Norwegian AS	14.167330	\N	9999-12-31	9999-12-31	1333089	342	9999-12-31	2013-05-08
006 C	2000-10-09	2001-02-02	BP Amoco Norge AS	28.333330	\N	2000-10-09	2001-04-25	1333089	982372	9999-12-31	2013-05-08
006 C	2001-02-02	2001-12-18	BP Amoco Norge AS	18.333330	\N	2000-10-09	2001-04-25	1333089	982372	9999-12-31	2013-05-08
006 C	2001-12-18	2001-12-31	BP Amoco Norge AS	18.333330	\N	9999-12-31	9999-12-31	1333089	982372	9999-12-31	2013-05-08
006 C	2001-12-31	2002-03-12	BP Amoco Norge AS	18.333330	\N	9999-12-31	9999-12-31	1333089	982372	9999-12-31	2013-05-08
006 C	2001-02-02	2001-12-18	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	1333089	1340609	9999-12-31	2013-05-08
006 C	2001-12-18	2001-12-31	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	1333089	1340609	9999-12-31	2013-05-08
006 C	2001-12-31	2002-03-12	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	1333089	1340609	9999-12-31	2013-05-08
006 C	2002-03-12	2003-01-21	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	1333089	1340609	9999-12-31	2013-05-08
006 C	2003-01-21	2004-01-01	Det Norske Oljeselskap AS	100.000000	\N	2003-01-21	2004-01-01	1333089	1340609	9999-12-31	2013-05-08
006 C	2000-10-09	2001-02-02	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	1333089	1340884	9999-12-31	2013-05-08
006 C	2001-02-02	2001-12-18	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	1333089	1340884	9999-12-31	2013-05-08
006 C	2001-12-18	2001-12-31	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	1333089	1340884	9999-12-31	2013-05-08
006 C	2001-12-31	2002-03-12	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	1333089	1340884	9999-12-31	2013-05-08
006 C	2002-03-12	2003-01-21	TotalFinaElf Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	1333089	1340884	9999-12-31	2013-05-08
006 C	2001-12-18	2001-12-31	Gaz de France Norge AS	14.166000	\N	9999-12-31	9999-12-31	1333089	1628733	9999-12-31	2013-05-08
006 C	2001-12-31	2002-03-12	Gaz de France Norge AS	14.166000	\N	9999-12-31	9999-12-31	1333089	1628733	9999-12-31	2013-05-08
006 C	2002-03-12	2003-01-21	Gaz de France Norge AS	14.166000	\N	9999-12-31	9999-12-31	1333089	1628733	9999-12-31	2013-05-08
006 C	2001-12-31	2002-03-12	Enterprise Oil Norge AS	14.167330	\N	9999-12-31	9999-12-31	1333089	1853786	9999-12-31	2013-05-08
006 C	2002-03-12	2003-01-21	Enterprise Oil Norge AS	14.167330	\N	9999-12-31	9999-12-31	1333089	1853786	9999-12-31	2013-05-08
006 C	2002-03-12	2003-01-21	BP Norge AS	18.333330	\N	9999-12-31	9999-12-31	1333089	2052695	9999-12-31	2013-05-08
006 C	2004-01-01	2006-01-01	Lundin Norway AS	100.000000	\N	2004-01-01	9999-12-31	1333089	2767314	9999-12-31	2013-05-08
006 C	2006-01-01	2007-07-11	Lundin Norway AS	75.000000	\N	2004-01-01	9999-12-31	1333089	2767314	9999-12-31	2013-05-08
006 C	2007-07-11	2008-01-01	Lundin Norway AS	75.000000	\N	2004-01-01	9999-12-31	1333089	2767314	9999-12-31	2013-05-08
006 C	2008-01-01	2012-12-31	Lundin Norway AS	75.000000	\N	2004-01-01	9999-12-31	1333089	2767314	2013-01-04	2013-05-08
006 C	2012-12-31	9999-12-31	Lundin Norway AS	75.000000	\N	2004-01-01	9999-12-31	1333089	2767314	9999-12-31	2013-05-08
006 C	2006-01-01	2007-07-11	Norwegian Energy Company AS	25.000000	\N	9999-12-31	9999-12-31	1333089	3482246	9999-12-31	2013-05-08
006 C	2008-01-01	2012-12-31	Faroe Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333089	4062883	2013-01-04	2013-05-08
006 C	2012-12-31	9999-12-31	Faroe Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333089	4062883	9999-12-31	2013-05-08
006 C	2007-07-11	2008-01-01	Norwegian Energy Company ASA	25.000000	\N	9999-12-31	9999-12-31	1333089	4530695	9999-12-31	2013-05-08
006 C	2008-01-01	2012-12-31	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	1333089	4530695	2013-01-04	2013-05-08
006 C	2012-12-31	9999-12-31	Noreco Norway AS	15.000000	\N	9999-12-31	9999-12-31	1333089	22223020	9999-12-31	2013-05-08
027 C	2000-10-09	2000-10-17	Enterprise Oil Norwegian AS	50.000000	\N	9999-12-31	9999-12-31	1333301	342	9999-12-31	2013-05-08
027 C	2000-10-09	2000-10-17	Esso Exploration and Production Norway A/S	50.000000	\N	2000-10-09	2004-10-01	1333301	353	9999-12-31	2013-05-08
027 C	2000-10-17	2004-10-01	Esso Exploration and Production Norway A/S	100.000000	\N	2000-10-09	2004-10-01	1333301	353	9999-12-31	2013-05-08
027 C	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2004-10-01	9999-12-31	1333301	2835212	9999-12-31	2013-05-08
028 C	2000-10-09	2000-10-17	Esso Exploration and Production Norway A/S	100.000000	\N	2000-10-09	2001-09-24	1333344	353	9999-12-31	2013-05-08
028 C	2000-10-17	2001-05-10	Esso Exploration and Production Norway A/S	10.000000	\N	2000-10-09	2001-09-24	1333344	353	9999-12-31	2013-05-08
028 C	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	10.000000	\N	2000-10-09	2001-09-24	1333344	353	9999-12-31	2013-05-08
028 C	2001-06-17	2002-03-19	Esso Exploration and Production Norway A/S	10.000000	\N	2000-10-09	2001-09-24	1333344	353	9999-12-31	2013-05-08
028 C	2002-03-19	2002-05-07	Esso Exploration and Production Norway A/S	10.000000	\N	9999-12-31	9999-12-31	1333344	353	9999-12-31	2013-05-08
028 C	2002-05-07	2004-10-01	Esso Exploration and Production Norway A/S	13.000000	\N	9999-12-31	9999-12-31	1333344	353	9999-12-31	2013-05-08
028 C	2000-10-17	2001-05-10	Norsk Hydro Produksjon AS	40.000000	\N	9999-12-31	9999-12-31	1333344	430	9999-12-31	2013-05-08
028 C	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	40.000000	\N	9999-12-31	9999-12-31	1333344	430	9999-12-31	2013-05-08
028 C	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	40.000000	\N	2001-09-24	2007-01-01	1333344	430	9999-12-31	2013-05-08
028 C	2002-03-19	2002-05-07	Norsk Hydro Produksjon AS	45.000000	\N	2001-09-24	2007-01-01	1333344	430	9999-12-31	2013-05-08
028 C	2002-05-07	2004-10-01	Norsk Hydro Produksjon AS	45.000000	\N	2001-09-24	2007-01-01	1333344	430	9999-12-31	2013-05-08
028 C	2004-10-01	2007-01-01	Norsk Hydro Produksjon AS	45.000000	\N	2001-09-24	2007-01-01	1333344	430	9999-12-31	2013-05-08
028 C	2000-10-17	2001-05-10	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	1333344	749	9999-12-31	2013-05-08
028 C	2001-05-10	2001-06-17	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	1333344	1622484	9999-12-31	2013-05-08
028 C	2001-06-17	2002-03-19	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	1333344	1622484	9999-12-31	2013-05-08
028 C	2002-03-19	2002-05-07	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	1333344	1622484	9999-12-31	2013-05-08
028 C	2002-05-07	2004-10-01	Statoil ASA (old)	12.000000	\N	9999-12-31	9999-12-31	1333344	1622484	9999-12-31	2013-05-08
028 C	2004-10-01	2007-01-01	Statoil ASA (old)	12.000000	\N	9999-12-31	9999-12-31	1333344	1622484	9999-12-31	2013-05-08
028 C	2007-01-01	2007-10-01	Statoil ASA (old)	12.000000	\N	9999-12-31	9999-12-31	1333344	1622484	9999-12-31	2013-05-08
028 C	2001-05-10	2001-06-17	SDØE	35.000000	\N	9999-12-31	9999-12-31	1333344	1623450	9999-12-31	2013-05-08
028 C	2001-06-17	2002-03-19	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	1333344	1626839	9999-12-31	2013-05-08
028 C	2002-03-19	2002-05-07	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1333344	1626839	9999-12-31	2013-05-08
028 C	2002-05-07	2004-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1333344	1626839	9999-12-31	2013-05-08
028 C	2004-10-01	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1333344	1626839	9999-12-31	2013-05-08
028 C	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1333344	1626839	9999-12-31	2013-05-08
028 C	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1333344	1626839	9999-12-31	2013-05-08
028 C	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1333344	1626839	9999-12-31	2013-05-08
028 C	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1333344	1626839	9999-12-31	2013-05-08
028 C	2004-10-01	2007-01-01	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	1333344	2835212	9999-12-31	2013-05-08
028 C	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	1333344	2835212	9999-12-31	2013-05-08
028 C	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	1333344	2835212	9999-12-31	2013-05-08
028 C	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	1333344	2835212	9999-12-31	2013-05-08
028 C	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	1333344	2835212	9999-12-31	2013-05-08
028 C	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	45.000000	\N	2007-10-01	2009-11-01	1333344	4511658	9999-12-31	2013-05-08
028 C	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	57.000000	\N	2007-10-01	2009-11-01	1333344	4511658	9999-12-31	2013-05-08
028 C	2007-10-01	2009-01-01	StatoilHydro ASA	12.000000	\N	9999-12-31	9999-12-31	1333344	4511854	9999-12-31	2013-05-08
028 C	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	45.000000	\N	2007-01-01	2007-10-01	1333344	4524355	9999-12-31	2013-05-08
028 C	2009-11-02	9999-12-31	Statoil Petroleum AS	57.000000	\N	2009-11-02	9999-12-31	1333344	17237817	9999-12-31	2013-05-08
171 B	2002-10-01	2002-12-04	Norske Conoco A/S	2.400000	\N	9999-12-31	9999-12-31	1333384	221	9999-12-31	2013-05-08
171 B	2002-12-04	2003-03-22	Norske Conoco A/S	2.400000	\N	9999-12-31	9999-12-31	1333384	221	9999-12-31	2013-05-08
171 B	2000-10-09	2001-01-11	Norsk Hydro Produksjon AS	30.000000	\N	2000-10-09	2007-01-01	1333384	430	9999-12-31	2013-05-08
171 B	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	40.000000	\N	2000-10-09	2007-01-01	1333384	430	9999-12-31	2013-05-08
171 B	2001-05-10	2001-06-17	Norsk Hydro Produksjon AS	40.000000	\N	2000-10-09	2007-01-01	1333384	430	9999-12-31	2013-05-08
171 B	2001-06-17	2002-03-19	Norsk Hydro Produksjon AS	40.000000	\N	2000-10-09	2007-01-01	1333384	430	9999-12-31	2013-05-08
171 B	2002-03-19	2002-10-01	Norsk Hydro Produksjon AS	34.000000	\N	2000-10-09	2007-01-01	1333384	430	9999-12-31	2013-05-08
171 B	2002-10-01	2002-12-04	Norsk Hydro Produksjon AS	34.000000	\N	2000-10-09	2007-01-01	1333384	430	9999-12-31	2013-05-08
171 B	2002-12-04	2003-03-22	Norsk Hydro Produksjon AS	34.000000	\N	2000-10-09	2007-01-01	1333384	430	9999-12-31	2013-05-08
171 B	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	34.000000	\N	2000-10-09	2007-01-01	1333384	430	9999-12-31	2013-05-08
171 B	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	34.000000	\N	2000-10-09	2007-01-01	1333384	430	9999-12-31	2013-05-08
171 B	2000-10-09	2001-01-11	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2001-01-11	2001-05-10	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2001-05-10	2001-06-17	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2001-06-17	2002-03-19	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2002-03-19	2002-10-01	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2002-10-01	2002-12-04	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2002-12-04	2003-03-22	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2003-03-22	2003-05-06	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2003-05-06	2007-01-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2007-01-01	2007-10-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2007-10-01	2007-11-21	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2007-11-21	2008-01-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	1333384	474	9999-12-31	2013-05-08
171 B	2000-10-09	2001-01-11	Saga Petroleum ASA	10.000000	\N	9999-12-31	9999-12-31	1333384	716	9999-12-31	2013-05-08
171 B	2000-10-09	2001-01-11	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	1333384	749	9999-12-31	2013-05-08
171 B	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	50.000000	35.000000	9999-12-31	9999-12-31	1333384	749	9999-12-31	2013-05-08
171 B	2002-03-19	2002-10-01	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333384	1340884	9999-12-31	2013-05-08
171 B	2002-10-01	2002-12-04	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333384	1340884	9999-12-31	2013-05-08
171 B	2002-12-04	2003-03-22	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333384	1340884	9999-12-31	2013-05-08
171 B	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333384	1340884	9999-12-31	2013-05-08
171 B	2001-05-10	2001-06-17	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	1333384	1622484	9999-12-31	2013-05-08
171 B	2001-06-17	2002-03-19	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	1333384	1622484	9999-12-31	2013-05-08
171 B	2002-03-19	2002-10-01	Statoil ASA (old)	15.000000	\N	9999-12-31	9999-12-31	1333384	1622484	9999-12-31	2013-05-08
171 B	2002-10-01	2002-12-04	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	1333384	1622484	9999-12-31	2013-05-08
171 B	2002-12-04	2003-03-22	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	1333384	1622484	9999-12-31	2013-05-08
171 B	2003-03-22	2003-05-06	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	1333384	1622484	9999-12-31	2013-05-08
171 B	2003-05-06	2007-01-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	1333384	1622484	9999-12-31	2013-05-08
171 B	2007-01-01	2007-10-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	1333384	1622484	9999-12-31	2013-05-08
171 B	2001-05-10	2001-06-17	SDØE	35.000000	\N	9999-12-31	9999-12-31	1333384	1623450	9999-12-31	2013-05-08
171 B	2001-06-17	2002-03-19	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2002-03-19	2002-10-01	Petoro AS	31.000000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2002-10-01	2002-12-04	Petoro AS	28.300000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2002-12-04	2003-03-22	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2003-03-22	2003-05-06	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2003-05-06	2007-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2007-01-01	2007-10-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2007-10-01	2007-11-21	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2007-11-21	2008-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2008-01-01	2009-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2009-01-01	2009-11-02	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2009-11-02	2012-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	1333384	1626839	2012-12-05	2013-05-08
171 B	2012-01-01	9999-12-31	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	1333384	1626839	9999-12-31	2013-05-08
171 B	2003-03-22	2003-05-06	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	1333384	2399056	9999-12-31	2013-05-08
171 B	2003-05-06	2007-01-01	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	1333384	2399056	9999-12-31	2013-05-08
171 B	2007-01-01	2007-10-01	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	1333384	2399056	9999-12-31	2013-05-08
171 B	2007-10-01	2007-11-21	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	1333384	2399056	9999-12-31	2013-05-08
171 B	2007-11-21	2008-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	1333384	2410696	9999-12-31	2013-05-08
171 B	2008-01-01	2009-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	1333384	2410696	9999-12-31	2013-05-08
171 B	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	1333384	2410696	9999-12-31	2013-05-08
171 B	2009-11-02	2012-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	1333384	2410696	2012-12-05	2013-05-08
171 B	2012-01-01	9999-12-31	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	1333384	2410696	9999-12-31	2013-05-08
171 B	2003-05-06	2007-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333384	2410708	9999-12-31	2013-05-08
171 B	2007-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333384	2410708	9999-12-31	2013-05-08
171 B	2007-10-01	2007-11-21	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333384	2410708	9999-12-31	2013-05-08
171 B	2007-11-21	2008-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333384	2410708	9999-12-31	2013-05-08
171 B	2008-01-01	2009-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333384	2410708	9999-12-31	2013-05-08
171 B	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333384	2410708	9999-12-31	2013-05-08
171 B	2009-11-02	2012-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	1333384	2410708	2012-12-05	2013-05-08
171 B	2012-01-01	9999-12-31	Total E&P Norge AS	14.700000	\N	9999-12-31	9999-12-31	1333384	2410708	9999-12-31	2013-05-08
171 B	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	1333384	2835212	9999-12-31	2013-05-08
171 B	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	1333384	2835212	9999-12-31	2013-05-08
171 B	2009-11-02	2012-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	1333384	2835212	2012-12-05	2013-05-08
171 B	2007-10-01	2007-11-21	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	1333384	4511658	9999-12-31	2013-05-08
171 B	2007-11-21	2008-01-01	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	1333384	4511658	9999-12-31	2013-05-08
171 B	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	1333384	4511658	9999-12-31	2013-05-08
171 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	49.300000	\N	2007-10-01	2009-11-01	1333384	4511658	9999-12-31	2013-05-08
171 B	2007-10-01	2007-11-21	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	1333384	4511854	9999-12-31	2013-05-08
171 B	2007-11-21	2008-01-01	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	1333384	4511854	9999-12-31	2013-05-08
171 B	2008-01-01	2009-01-01	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	1333384	4511854	9999-12-31	2013-05-08
171 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	34.000000	\N	2007-01-01	2007-10-01	1333384	4524355	9999-12-31	2013-05-08
171 B	2009-11-02	2012-01-01	Statoil Petroleum AS	49.300000	\N	2009-11-02	9999-12-31	1333384	17237817	2012-12-05	2013-05-08
171 B	2012-01-01	9999-12-31	Statoil Petroleum AS	49.300000	\N	2009-11-02	9999-12-31	1333384	17237817	9999-12-31	2013-05-08
048 B	2001-01-10	2001-01-24	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	1342723	430	9999-12-31	2013-05-08
048 B	2001-01-24	2001-01-25	Pelican AS	9.300000	\N	9999-12-31	9999-12-31	1342723	606	9999-12-31	2013-05-08
048 B	2001-01-25	2001-05-10	Pelican AS	9.300000	\N	9999-12-31	9999-12-31	1342723	606	9999-12-31	2013-05-08
048 B	2001-05-10	2001-06-01	Pelican AS	9.300000	\N	9999-12-31	9999-12-31	1342723	606	9999-12-31	2013-05-08
048 B	2001-06-01	2002-04-17	Pelican AS	9.300000	\N	9999-12-31	9999-12-31	1342723	606	9999-12-31	2013-05-08
048 B	2001-01-10	2001-01-24	Den norske stats oljeselskap a.s	68.900000	30.000000	2001-01-10	2001-05-10	1342723	749	9999-12-31	2013-05-08
048 B	2001-01-24	2001-01-25	Den norske stats oljeselskap a.s	68.900000	30.000000	2001-01-10	2001-05-10	1342723	749	9999-12-31	2013-05-08
048 B	2001-01-25	2001-05-10	Den norske stats oljeselskap a.s	58.900000	30.000000	2001-01-10	2001-05-10	1342723	749	9999-12-31	2013-05-08
048 B	2001-01-25	2001-05-10	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	1342723	1340609	9999-12-31	2013-05-08
048 B	2001-05-10	2001-06-01	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	1342723	1340609	9999-12-31	2013-05-08
048 B	2001-06-01	2002-04-17	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	1342723	1340609	9999-12-31	2013-05-08
048 B	2002-04-17	2003-05-06	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	1342723	1340609	9999-12-31	2013-05-08
048 B	2003-05-06	2006-09-06	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	1342723	1340609	9999-12-31	2013-05-08
048 B	2006-09-06	2007-06-20	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	1342723	1340609	9999-12-31	2013-05-08
048 B	2001-01-10	2001-01-24	TotalFinaElf Exploration Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	1340884	9999-12-31	2013-05-08
048 B	2001-01-24	2001-01-25	TotalFinaElf Exploration Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	1340884	9999-12-31	2013-05-08
048 B	2001-01-25	2001-05-10	TotalFinaElf Exploration Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	1340884	9999-12-31	2013-05-08
048 B	2001-05-10	2001-06-01	TotalFinaElf Exploration Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	1340884	9999-12-31	2013-05-08
048 B	2001-06-01	2002-04-17	TotalFinaElf Exploration Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	1340884	9999-12-31	2013-05-08
048 B	2002-04-17	2003-05-06	TotalFinaElf Exploration Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	1340884	9999-12-31	2013-05-08
048 B	2001-05-10	2001-06-01	Statoil ASA (old)	28.900000	\N	2001-05-10	2007-10-01	1342723	1622484	9999-12-31	2013-05-08
048 B	2001-06-01	2002-04-17	Statoil ASA (old)	58.900000	\N	2001-05-10	2007-10-01	1342723	1622484	9999-12-31	2013-05-08
048 B	2002-04-17	2003-05-06	Statoil ASA (old)	58.900000	\N	2001-05-10	2007-10-01	1342723	1622484	9999-12-31	2013-05-08
048 B	2003-05-06	2006-09-06	Statoil ASA (old)	58.900000	\N	2001-05-10	2007-10-01	1342723	1622484	9999-12-31	2013-05-08
048 B	2006-09-06	2007-06-20	Statoil ASA (old)	58.900000	\N	2001-05-10	2007-10-01	1342723	1622484	9999-12-31	2013-05-08
048 B	2007-06-20	2007-10-01	Statoil ASA (old)	58.900000	\N	2001-05-10	2007-10-01	1342723	1622484	9999-12-31	2013-05-08
048 B	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	1342723	1623450	9999-12-31	2013-05-08
048 B	2002-04-17	2003-05-06	DONG Norge AS	9.300000	\N	9999-12-31	9999-12-31	1342723	1853083	9999-12-31	2013-05-08
048 B	2003-05-06	2006-09-06	DONG Norge AS	9.300000	\N	9999-12-31	9999-12-31	1342723	1853083	9999-12-31	2013-05-08
048 B	2003-05-06	2006-09-06	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	2410708	9999-12-31	2013-05-08
048 B	2006-09-06	2007-06-20	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	2410708	9999-12-31	2013-05-08
048 B	2007-06-20	2007-10-01	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	2410708	9999-12-31	2013-05-08
048 B	2007-10-01	2007-11-16	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	2410708	9999-12-31	2013-05-08
048 B	2007-11-16	2008-01-01	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	2410708	9999-12-31	2013-05-08
048 B	2008-01-01	2009-01-01	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	2410708	9999-12-31	2013-05-08
048 B	2009-01-01	2009-01-02	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	2410708	9999-12-31	2013-05-08
048 B	2009-01-02	2009-11-02	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	2410708	9999-12-31	2013-05-08
048 B	2009-11-02	2009-12-22	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	2410708	9999-12-31	2013-05-08
048 B	2009-12-22	9999-12-31	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	1342723	2410708	9999-12-31	2013-05-08
048 B	2009-01-02	2009-11-02	Faroe Petroleum Norge AS	9.300000	\N	9999-12-31	9999-12-31	1342723	4062883	9999-12-31	2013-05-08
048 B	2009-11-02	2009-12-22	Faroe Petroleum Norge AS	9.300000	\N	9999-12-31	9999-12-31	1342723	4062883	9999-12-31	2013-05-08
048 B	2009-12-22	9999-12-31	Faroe Petroleum Norge AS	9.300000	\N	9999-12-31	9999-12-31	1342723	4062883	9999-12-31	2013-05-08
048 B	2006-09-06	2007-06-20	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	1342723	4070011	9999-12-31	2013-05-08
048 B	2007-06-20	2007-10-01	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	1342723	4070011	9999-12-31	2013-05-08
048 B	2007-10-01	2007-11-16	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	1342723	4070011	9999-12-31	2013-05-08
048 B	2007-11-16	2008-01-01	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	1342723	4070011	9999-12-31	2013-05-08
048 B	2008-01-01	2009-01-01	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	1342723	4070011	9999-12-31	2013-05-08
048 B	2009-01-01	2009-01-02	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	1342723	4070011	9999-12-31	2013-05-08
048 B	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	1342723	4468177	9999-12-31	2013-05-08
048 B	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	1342723	4468177	9999-12-31	2013-05-08
048 B	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	58.900000	\N	2009-01-01	2009-11-01	1342723	4511658	9999-12-31	2013-05-08
048 B	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	58.900000	\N	2009-01-01	2009-11-01	1342723	4511658	9999-12-31	2013-05-08
048 B	2007-10-01	2007-11-16	StatoilHydro ASA	58.900000	\N	2007-10-01	2008-12-31	1342723	4511854	9999-12-31	2013-05-08
048 B	2007-11-16	2008-01-01	StatoilHydro ASA	58.900000	\N	2007-10-01	2008-12-31	1342723	4511854	9999-12-31	2013-05-08
048 B	2008-01-01	2009-01-01	StatoilHydro ASA	58.900000	\N	2007-10-01	2008-12-31	1342723	4511854	9999-12-31	2013-05-08
048 B	2007-11-16	2008-01-01	Noil Energy ASA	10.000000	\N	9999-12-31	9999-12-31	1342723	4539976	9999-12-31	2013-05-08
048 B	2008-01-01	2009-01-01	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	1342723	4539989	9999-12-31	2013-05-08
048 B	2009-01-01	2009-01-02	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	1342723	4539989	9999-12-31	2013-05-08
048 B	2009-01-02	2009-11-02	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	1342723	4539989	9999-12-31	2013-05-08
048 B	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	1342723	4539989	9999-12-31	2013-05-08
048 B	2009-11-02	2009-12-22	Statoil Petroleum AS	58.900000	\N	2009-11-02	9999-12-31	1342723	17237817	9999-12-31	2013-05-08
048 B	2009-12-22	9999-12-31	Statoil Petroleum AS	58.900000	\N	2009-11-02	9999-12-31	1342723	17237817	9999-12-31	2013-05-08
048 B	2009-12-22	9999-12-31	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	1342723	17342870	9999-12-31	2013-05-08
033 B	2001-05-04	2001-12-31	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	67	9999-12-31	2013-05-08
033 B	2001-12-31	2002-03-12	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	67	9999-12-31	2013-05-08
033 B	2002-03-12	2003-05-06	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	67	9999-12-31	2013-05-08
033 B	2003-05-06	2006-06-26	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	67	9999-12-31	2013-05-08
033 B	2001-05-04	2001-12-31	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	1622353	342	9999-12-31	2013-05-08
033 B	2001-05-04	2001-12-31	BP Amoco Norge AS	25.000000	\N	2001-05-04	2002-03-12	1622353	982372	9999-12-31	2013-05-08
033 B	2001-12-31	2002-03-12	BP Amoco Norge AS	25.000000	\N	2001-05-04	2002-03-12	1622353	982372	9999-12-31	2013-05-08
033 B	2001-05-04	2001-12-31	TotalFinaElf Exploration Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	1340884	9999-12-31	2013-05-08
033 B	2001-12-31	2002-03-12	TotalFinaElf Exploration Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	1340884	9999-12-31	2013-05-08
033 B	2002-03-12	2003-05-06	TotalFinaElf Exploration Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	1340884	9999-12-31	2013-05-08
033 B	2001-12-31	2002-03-12	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	1853786	9999-12-31	2013-05-08
033 B	2002-03-12	2003-05-06	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	1853786	9999-12-31	2013-05-08
033 B	2003-05-06	2006-06-26	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	1853786	9999-12-31	2013-05-08
033 B	2006-06-26	2010-01-01	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	1853786	9999-12-31	2013-05-08
033 B	2010-01-01	2010-01-02	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	1853786	9999-12-31	2013-05-08
033 B	2002-03-12	2003-05-06	BP Norge AS	25.000000	\N	2002-03-12	9999-12-31	1622353	2052695	9999-12-31	2013-05-08
033 B	2003-05-06	2006-06-26	BP Norge AS	25.000000	\N	2002-03-12	9999-12-31	1622353	2052695	9999-12-31	2013-05-08
033 B	2006-06-26	2010-01-01	BP Norge AS	25.000000	\N	2002-03-12	9999-12-31	1622353	2052695	9999-12-31	2013-05-08
033 B	2010-01-01	2010-01-02	BP Norge AS	37.500000	\N	2002-03-12	9999-12-31	1622353	2052695	9999-12-31	2013-05-08
033 B	2010-01-02	9999-12-31	BP Norge AS	37.500000	\N	2002-03-12	9999-12-31	1622353	2052695	9999-12-31	2013-05-08
033 B	2003-05-06	2006-06-26	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	2410708	9999-12-31	2013-05-08
033 B	2006-06-26	2010-01-01	Total E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	2410708	9999-12-31	2013-05-08
033 B	2006-06-26	2010-01-01	Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	1622353	4038735	9999-12-31	2013-05-08
033 B	2010-01-01	2010-01-02	Hess Norge AS	37.500000	\N	9999-12-31	9999-12-31	1622353	4038735	9999-12-31	2013-05-08
033 B	2010-01-02	9999-12-31	Hess Norge AS	62.500000	\N	9999-12-31	9999-12-31	1622353	4038735	9999-12-31	2013-05-08
265	2001-04-27	2001-05-10	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	1624237	342	9999-12-31	2013-05-08
265	2001-05-10	2001-06-17	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	1624237	342	9999-12-31	2013-05-08
265	2001-06-17	2001-12-31	Enterprise Oil Norwegian AS	15.000000	\N	9999-12-31	9999-12-31	1624237	342	9999-12-31	2013-05-08
265	2001-04-27	2001-05-10	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	1624237	353	9999-12-31	2013-05-08
265	2001-05-10	2001-06-17	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	1624237	353	9999-12-31	2013-05-08
265	2001-06-17	2001-12-31	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	1624237	353	9999-12-31	2013-05-08
265	2001-12-31	2004-10-01	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	1624237	353	9999-12-31	2013-05-08
265	2001-04-27	2001-05-10	Den norske stats oljeselskap a.s	60.000000	30.000000	2001-04-27	2001-05-10	1624237	749	9999-12-31	2013-05-08
265	2005-01-01	2005-01-02	Det Norske Oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	1624237	1340609	9999-12-31	2013-05-08
265	2005-01-02	2005-09-01	Det Norske Oljeselskap AS	40.000000	\N	9999-12-31	9999-12-31	1624237	1340609	9999-12-31	2013-05-08
265	2005-09-01	2007-06-20	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1340609	9999-12-31	2013-05-08
265	2001-05-10	2001-06-17	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	1624237	1622484	9999-12-31	2013-05-08
265	2001-06-17	2001-12-31	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	1624237	1622484	9999-12-31	2013-05-08
265	2001-12-31	2004-10-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	1624237	1622484	9999-12-31	2013-05-08
265	2004-10-01	2005-01-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	1624237	1622484	9999-12-31	2013-05-08
265	2005-01-01	2005-01-02	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	1624237	1622484	9999-12-31	2013-05-08
265	2005-01-02	2005-09-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	1624237	1622484	9999-12-31	2013-05-08
265	2005-09-01	2007-06-20	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	1624237	1622484	9999-12-31	2013-05-08
265	2007-06-20	2007-10-01	Statoil ASA (old)	30.000000	\N	2001-05-10	2007-10-01	1624237	1622484	9999-12-31	2013-05-08
265	2001-05-10	2001-06-17	SDØE	30.000000	\N	9999-12-31	9999-12-31	1624237	1623450	9999-12-31	2013-05-08
265	2001-06-17	2001-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2001-12-31	2004-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2004-10-01	2005-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2005-01-01	2005-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2005-01-02	2005-09-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2005-09-01	2007-06-20	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2007-06-20	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2007-10-01	2007-11-16	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2007-11-16	2008-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2008-01-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2009-11-02	2009-12-22	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2009-12-22	2010-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2010-01-01	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	1624237	1626839	9999-12-31	2013-05-08
265	2001-12-31	2004-10-01	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	1624237	1853786	9999-12-31	2013-05-08
265	2004-10-01	2005-01-01	Enterprise Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	1624237	1853786	9999-12-31	2013-05-08
265	2005-09-01	2007-06-20	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624237	2425093	9999-12-31	2013-05-08
265	2007-06-20	2007-10-01	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624237	2425093	9999-12-31	2013-05-08
265	2007-10-01	2007-11-16	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624237	2425093	9999-12-31	2013-05-08
265	2007-11-16	2008-01-01	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624237	2425093	9999-12-31	2013-05-08
265	2008-01-01	2009-01-01	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624237	2425093	9999-12-31	2013-05-08
265	2009-01-01	2009-01-02	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624237	2425093	9999-12-31	2013-05-08
265	2009-01-02	2009-11-02	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624237	2425093	9999-12-31	2013-05-08
265	2009-11-02	2009-12-22	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624237	2425093	9999-12-31	2013-05-08
265	2009-12-22	2010-01-01	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624237	2425093	9999-12-31	2013-05-08
265	2010-01-01	9999-12-31	Lundin Norway AS	10.000000	\N	9999-12-31	9999-12-31	1624237	2767314	9999-12-31	2013-05-08
265	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	1624237	2835212	9999-12-31	2013-05-08
265	2005-01-01	2005-01-02	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	1624237	2835212	9999-12-31	2013-05-08
265	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1624237	4468177	9999-12-31	2013-05-08
265	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1624237	4468177	9999-12-31	2013-05-08
265	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	30.000000	\N	2009-01-01	2009-11-01	1624237	4511658	9999-12-31	2013-05-08
265	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	2009-01-01	2009-11-01	1624237	4511658	9999-12-31	2013-05-08
265	2007-10-01	2007-11-16	StatoilHydro ASA	30.000000	\N	2007-10-01	2008-12-31	1624237	4511854	9999-12-31	2013-05-08
265	2007-11-16	2008-01-01	StatoilHydro ASA	30.000000	\N	2007-10-01	2008-12-31	1624237	4511854	9999-12-31	2013-05-08
265	2008-01-01	2009-01-01	StatoilHydro ASA	30.000000	\N	2007-10-01	2008-12-31	1624237	4511854	9999-12-31	2013-05-08
265	2007-11-16	2008-01-01	Noil Energy ASA	30.000000	\N	9999-12-31	9999-12-31	1624237	4539976	9999-12-31	2013-05-08
265	2008-01-01	2009-01-01	Det norske oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1624237	4539989	9999-12-31	2013-05-08
265	2009-01-01	2009-01-02	Det norske oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	1624237	4539989	9999-12-31	2013-05-08
265	2009-01-02	2009-11-02	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	1624237	4539989	9999-12-31	2013-05-08
265	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	1624237	4539989	9999-12-31	2013-05-08
265	2009-11-02	2009-12-22	Statoil Petroleum AS	40.000000	\N	2009-11-02	9999-12-31	1624237	17237817	9999-12-31	2013-05-08
265	2009-12-22	2010-01-01	Statoil Petroleum AS	40.000000	\N	2009-11-02	9999-12-31	1624237	17237817	9999-12-31	2013-05-08
265	2010-01-01	9999-12-31	Statoil Petroleum AS	40.000000	\N	2009-11-02	9999-12-31	1624237	17237817	9999-12-31	2013-05-08
265	2009-12-22	2010-01-01	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	1624237	17342870	9999-12-31	2013-05-08
265	2010-01-01	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	1624237	17342870	9999-12-31	2013-05-08
266	2001-04-27	2001-12-31	Enterprise Oil Norwegian AS	40.000000	\N	2001-04-27	2001-12-31	1624332	342	9999-12-31	2013-05-08
266	2001-04-27	2001-12-31	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	1624332	430	9999-12-31	2013-05-08
266	2001-12-31	2003-06-24	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	1624332	430	9999-12-31	2013-05-08
266	2003-06-24	2006-03-22	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	1624332	430	9999-12-31	2013-05-08
266	2006-03-22	2006-03-23	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	1624332	430	9999-12-31	2013-05-08
266	2006-03-23	2006-12-22	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	1624332	430	9999-12-31	2013-05-08
266	2001-04-27	2001-12-31	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624332	97557	9999-12-31	2013-05-08
266	2001-12-31	2003-06-24	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624332	97557	9999-12-31	2013-05-08
266	2003-06-24	2006-03-22	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624332	97557	9999-12-31	2013-05-08
266	2006-03-22	2006-03-23	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624332	97557	9999-12-31	2013-05-08
266	2006-03-23	2006-12-22	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624332	97557	9999-12-31	2013-05-08
266	2003-06-24	2006-03-22	Paladin Resources Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624332	1577943	9999-12-31	2013-05-08
266	2001-12-31	2003-06-24	Enterprise Oil Norge AS	40.000000	\N	2002-01-01	2006-12-22	1624332	1853786	9999-12-31	2013-05-08
266	2003-06-24	2006-03-22	Enterprise Oil Norge AS	30.000000	\N	2002-01-01	2006-12-22	1624332	1853786	9999-12-31	2013-05-08
266	2006-03-22	2006-03-23	Enterprise Oil Norge AS	30.000000	\N	2002-01-01	2006-12-22	1624332	1853786	9999-12-31	2013-05-08
266	2006-03-23	2006-12-22	Enterprise Oil Norge AS	30.000000	\N	2002-01-01	2006-12-22	1624332	1853786	9999-12-31	2013-05-08
266	2006-03-23	2006-12-22	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624332	2425093	9999-12-31	2013-05-08
266	2006-03-22	2006-03-23	Talisman Resources Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624332	3987574	9999-12-31	2013-05-08
267	2001-04-27	2001-12-31	Enterprise Oil Norwegian AS	40.000000	\N	2001-04-27	2001-12-31	1624349	342	9999-12-31	2013-05-08
267	2001-04-27	2001-12-31	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	1624349	430	9999-12-31	2013-05-08
267	2001-12-31	2003-06-24	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	1624349	430	9999-12-31	2013-05-08
267	2003-06-24	2006-03-22	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	1624349	430	9999-12-31	2013-05-08
267	2006-03-22	2006-03-23	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	1624349	430	9999-12-31	2013-05-08
267	2006-03-23	2006-12-22	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	1624349	430	9999-12-31	2013-05-08
267	2001-04-27	2001-12-31	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624349	97557	9999-12-31	2013-05-08
267	2001-12-31	2003-06-24	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624349	97557	9999-12-31	2013-05-08
267	2003-06-24	2006-03-22	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624349	97557	9999-12-31	2013-05-08
267	2006-03-22	2006-03-23	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624349	97557	9999-12-31	2013-05-08
267	2006-03-23	2006-12-22	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624349	97557	9999-12-31	2013-05-08
267	2003-06-24	2006-03-22	Paladin Resources Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624349	1577943	9999-12-31	2013-05-08
267	2001-12-31	2003-06-24	Enterprise Oil Norge AS	40.000000	\N	2002-01-01	2006-12-22	1624349	1853786	9999-12-31	2013-05-08
267	2003-06-24	2006-03-22	Enterprise Oil Norge AS	30.000000	\N	2002-01-01	2006-12-22	1624349	1853786	9999-12-31	2013-05-08
267	2006-03-22	2006-03-23	Enterprise Oil Norge AS	30.000000	\N	2002-01-01	2006-12-22	1624349	1853786	9999-12-31	2013-05-08
267	2006-03-23	2006-12-22	Enterprise Oil Norge AS	30.000000	\N	2002-01-01	2006-12-22	1624349	1853786	9999-12-31	2013-05-08
267	2006-03-23	2006-12-22	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624349	2425093	9999-12-31	2013-05-08
267	2006-03-22	2006-03-23	Talisman Resources Norge AS	10.000000	\N	9999-12-31	9999-12-31	1624349	3987574	9999-12-31	2013-05-08
268	2001-04-27	2002-11-19	Norske Conoco A/S	40.000000	\N	2001-04-27	2003-03-22	1624366	221	9999-12-31	2013-05-08
268	2002-11-19	2003-03-04	Norske Conoco A/S	40.000000	\N	2001-04-27	2003-03-22	1624366	221	9999-12-31	2013-05-08
268	2003-03-04	2003-03-22	Norske Conoco A/S	40.000000	\N	2001-04-27	2003-03-22	1624366	221	9999-12-31	2013-05-08
268	2001-04-27	2002-11-19	Norsk Chevron AS	30.000000	\N	9999-12-31	9999-12-31	1624366	40148	9999-12-31	2013-05-08
268	2001-04-27	2002-11-19	Fortum Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	1624366	102714	9999-12-31	2013-05-08
268	2002-11-19	2003-03-04	Fortum Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	1624366	102714	9999-12-31	2013-05-08
268	2002-11-19	2003-03-04	Chevron Texaco Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624366	2154473	9999-12-31	2013-05-08
268	2003-03-04	2003-03-22	Chevron Texaco Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624366	2154473	9999-12-31	2013-05-08
268	2003-03-22	2004-10-31	Chevron Texaco Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624366	2154473	9999-12-31	2013-05-08
268	2003-03-04	2003-03-22	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624366	2388594	9999-12-31	2013-05-08
268	2003-03-22	2004-10-31	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624366	2388594	9999-12-31	2013-05-08
268	2003-03-22	2004-10-31	Norske ConocoPhillips AS	40.000000	\N	2003-03-22	2004-10-31	1624366	2399056	9999-12-31	2013-05-08
269	2001-04-27	2001-12-31	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1624410	45	9999-12-31	2013-05-08
269	2001-12-31	2003-05-06	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1624410	45	9999-12-31	2013-05-08
269	2003-05-06	2003-12-31	Norsk Agip  AS	30.000000	\N	9999-12-31	9999-12-31	1624410	45	9999-12-31	2013-05-08
269	2001-04-27	2001-12-31	Enterprise Oil Norwegian AS	30.000000	\N	9999-12-31	9999-12-31	1624410	342	9999-12-31	2013-05-08
269	2005-07-01	2007-01-01	Norsk Hydro Produksjon AS	100.000000	\N	2005-10-04	2007-01-01	1624410	430	9999-12-31	2013-05-08
269	2001-04-27	2001-12-31	Phillips Petroleum Norsk AS	40.000000	\N	2001-04-27	2003-05-06	1624410	705	9999-12-31	2013-05-08
269	2001-12-31	2003-05-06	Phillips Petroleum Norsk AS	40.000000	\N	2001-04-27	2003-05-06	1624410	705	9999-12-31	2013-05-08
269	2001-12-31	2003-05-06	Enterprise Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624410	1853786	9999-12-31	2013-05-08
269	2003-05-06	2003-12-31	Enterprise Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624410	1853786	9999-12-31	2013-05-08
269	2003-12-31	2005-07-01	Enterprise Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624410	1853786	9999-12-31	2013-05-08
269	2003-12-31	2005-07-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	1624410	2388594	9999-12-31	2013-05-08
269	2003-05-06	2003-12-31	ConocoPhillips Skandinavia AS	40.000000	\N	2003-05-06	2005-10-04	1624410	2410696	9999-12-31	2013-05-08
269	2003-12-31	2005-07-01	ConocoPhillips Skandinavia AS	40.000000	\N	2003-05-06	2005-10-04	1624410	2410696	9999-12-31	2013-05-08
269	2007-10-01	2009-11-02	StatoilHydro Petroleum AS	100.000000	\N	2007-10-01	2009-11-01	1624410	4511658	9999-12-31	2013-05-08
269	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	100.000000	\N	2007-01-01	2007-10-01	1624410	4524355	9999-12-31	2013-05-08
269	2009-11-02	9999-12-31	Statoil Petroleum AS	100.000000	\N	2009-11-02	9999-12-31	1624410	17237817	9999-12-31	2013-05-08
270	2001-04-27	2003-12-02	RWE Dea Norge AS	51.000000	\N	2001-04-27	2007-08-14	1624436	97557	9999-12-31	2013-05-08
270	2003-12-02	2005-01-01	RWE Dea Norge AS	51.000000	\N	2001-04-27	2007-08-14	1624436	97557	9999-12-31	2013-05-08
270	2005-01-01	2007-07-01	RWE Dea Norge AS	51.000000	\N	2001-04-27	2007-08-14	1624436	97557	9999-12-31	2013-05-08
270	2007-07-01	2007-10-12	RWE Dea Norge AS	15.000000	\N	2001-04-27	2007-08-14	1624436	97557	9999-12-31	2013-05-08
270	2007-10-12	2009-05-26	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1624436	97557	9999-12-31	2013-05-08
270	2009-05-26	2009-10-01	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1624436	97557	9999-12-31	2013-05-08
270	2009-10-01	2011-09-01	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	1624436	97557	9999-12-31	2013-05-08
270	2001-04-27	2003-12-02	Aker Energy AS	49.000000	\N	9999-12-31	9999-12-31	1624436	1624465	9999-12-31	2013-05-08
270	2003-12-02	2005-01-01	OER Oil AS	49.000000	\N	9999-12-31	9999-12-31	1624436	2258813	9999-12-31	2013-05-08
270	2005-01-01	2007-07-01	Endeavour Energy Norge AS	49.000000	\N	9999-12-31	9999-12-31	1624436	3113213	9999-12-31	2013-05-08
270	2007-07-01	2007-10-12	Endeavour Energy Norge AS	85.000000	\N	2007-08-14	2009-05-26	1624436	3113213	9999-12-31	2013-05-08
270	2007-10-12	2009-05-26	Endeavour Energy Norge AS	65.000000	\N	2007-08-14	2009-05-26	1624436	3113213	9999-12-31	2013-05-08
270	2007-10-12	2009-05-26	VNG Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	1624436	4062895	9999-12-31	2013-05-08
270	2009-05-26	2009-10-01	VNG Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	1624436	4062895	9999-12-31	2013-05-08
270	2009-05-26	2009-10-01	VNG Norge (Operations) AS	65.000000	\N	2009-05-26	2009-09-30	1624436	5497155	9999-12-31	2013-05-08
270	2009-10-01	2011-09-01	VNG Norge AS	85.000000	\N	2009-10-01	9999-12-31	1624436	17237193	9999-12-31	2013-05-08
270	2011-09-01	2012-12-27	VNG Norge AS	100.000000	\N	2009-10-01	9999-12-31	1624436	17237193	2013-01-03	2013-05-08
270	2012-12-27	2013-01-12	VNG Norge AS	85.000000	\N	2009-10-01	9999-12-31	1624436	17237193	2013-01-18	2013-05-08
270	2013-01-12	9999-12-31	VNG Norge AS	85.000000	\N	2009-10-01	9999-12-31	1624436	17237193	9999-12-31	2013-05-08
270	2012-12-27	2013-01-12	Emergy Exploration AS	15.000000	\N	9999-12-31	9999-12-31	1624436	21333629	2013-01-18	2013-05-08
270	2013-01-12	9999-12-31	Atlantic Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	1624436	22513163	9999-12-31	2013-05-08
029 B	2001-05-11	2003-08-22	Esso Exploration and Production Norway A/S	100.000000	\N	2001-05-11	2004-10-01	1626782	353	9999-12-31	2013-05-08
029 B	2003-08-22	2004-10-01	Esso Exploration and Production Norway A/S	50.000000	\N	2001-05-11	2004-10-01	1626782	353	9999-12-31	2013-05-08
029 B	2005-03-31	2007-06-20	Det Norske Oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	1626782	1340609	9999-12-31	2013-05-08
029 B	2003-08-22	2004-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	1626782	1622484	9999-12-31	2013-05-08
029 B	2004-10-01	2005-03-31	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	1626782	1622484	9999-12-31	2013-05-08
029 B	2005-03-31	2007-06-20	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	1626782	1622484	9999-12-31	2013-05-08
029 B	2007-06-20	2007-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	1626782	1622484	9999-12-31	2013-05-08
029 B	2012-01-01	9999-12-31	Total E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	1626782	2410708	9999-12-31	2013-05-08
029 B	2004-10-01	2005-03-31	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2004-10-01	2010-02-08	1626782	2835212	9999-12-31	2013-05-08
029 B	2005-03-31	2007-06-20	ExxonMobil Exploration & Production Norway AS	30.000000	\N	2004-10-01	2010-02-08	1626782	2835212	9999-12-31	2013-05-08
029 B	2007-06-20	2007-10-01	ExxonMobil Exploration & Production Norway AS	30.000000	\N	2004-10-01	2010-02-08	1626782	2835212	9999-12-31	2013-05-08
029 B	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	30.000000	\N	2004-10-01	2010-02-08	1626782	2835212	9999-12-31	2013-05-08
029 B	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	30.000000	\N	2004-10-01	2010-02-08	1626782	2835212	9999-12-31	2013-05-08
029 B	2009-11-02	2009-12-22	ExxonMobil Exploration & Production Norway AS	30.000000	\N	2004-10-01	2010-02-08	1626782	2835212	9999-12-31	2013-05-08
029 B	2009-12-22	2012-01-01	ExxonMobil Exploration & Production Norway AS	30.000000	\N	2004-10-01	2010-02-08	1626782	2835212	2012-12-05	2013-05-08
029 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	1626782	4511658	9999-12-31	2013-05-08
029 B	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	1626782	4511854	9999-12-31	2013-05-08
029 B	2007-06-20	2007-10-01	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	1626782	4539989	9999-12-31	2013-05-08
029 B	2007-10-01	2009-01-01	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	1626782	4539989	9999-12-31	2013-05-08
029 B	2009-01-01	2009-11-02	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	1626782	4539989	9999-12-31	2013-05-08
029 B	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	1626782	4539989	9999-12-31	2013-05-08
029 B	2009-11-02	2009-12-22	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	1626782	17237817	9999-12-31	2013-05-08
029 B	2009-12-22	2012-01-01	Statoil Petroleum AS	50.000000	\N	2010-02-09	9999-12-31	1626782	17237817	2012-12-05	2013-05-08
029 B	2012-01-01	9999-12-31	Statoil Petroleum AS	50.000000	\N	2010-02-09	9999-12-31	1626782	17237817	9999-12-31	2013-05-08
029 B	2009-12-22	2012-01-01	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	1626782	17342870	2012-12-05	2013-05-08
029 B	2012-01-01	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	1626782	17342870	9999-12-31	2013-05-08
072 B	2001-09-24	2001-11-12	Esso Exploration and Production Norway A/S	40.000000	\N	2001-09-24	2004-10-01	1630345	353	9999-12-31	2013-05-08
072 B	2001-11-12	2004-10-01	Esso Exploration and Production Norway A/S	50.000000	\N	2001-09-24	2004-10-01	1630345	353	9999-12-31	2013-05-08
072 B	2001-09-24	2001-11-12	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	1630345	430	9999-12-31	2013-05-08
072 B	2001-09-24	2001-11-12	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	1630345	1622484	9999-12-31	2013-05-08
072 B	2001-11-12	2004-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	1630345	1622484	9999-12-31	2013-05-08
072 B	2004-10-01	2007-10-01	Statoil ASA (old)	50.000000	\N	2005-09-06	2007-10-01	1630345	1622484	9999-12-31	2013-05-08
072 B	2004-10-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2004-10-01	2005-09-06	1630345	2835212	9999-12-31	2013-05-08
072 B	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	50.000000	\N	9999-12-31	9999-12-31	1630345	2835212	9999-12-31	2013-05-08
072 B	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	50.000000	\N	9999-12-31	9999-12-31	1630345	2835212	9999-12-31	2013-05-08
072 B	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	50.000000	\N	9999-12-31	9999-12-31	1630345	2835212	9999-12-31	2013-05-08
072 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2009-01-01	2009-11-01	1630345	4511658	9999-12-31	2013-05-08
072 B	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	2007-10-01	2008-12-31	1630345	4511854	9999-12-31	2013-05-08
072 B	2009-11-02	9999-12-31	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	1630345	17237817	9999-12-31	2013-05-08
052 B	2001-11-30	2001-12-18	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	1840712	738	9999-12-31	2013-05-08
052 B	2001-12-18	2002-01-01	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	1840712	738	9999-12-31	2013-05-08
052 B	2002-01-01	2003-05-06	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	1840712	738	9999-12-31	2013-05-08
052 B	2003-05-06	2004-01-01	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	1840712	738	9999-12-31	2013-05-08
052 B	2001-11-30	2001-12-18	Total Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	848	9999-12-31	2013-05-08
052 B	2001-11-30	2001-12-18	RWE Dea Norge AS	11.250000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2001-12-18	2002-01-01	RWE Dea Norge AS	11.250000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2002-01-01	2003-05-06	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2003-05-06	2004-01-01	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2004-01-01	2006-03-22	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2006-03-22	2006-03-23	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2006-03-23	2007-10-01	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2007-10-01	2009-01-01	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2009-01-01	2009-01-02	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2009-01-02	2009-11-02	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2009-11-02	2011-01-01	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2011-01-01	9999-12-31	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	1840712	97557	9999-12-31	2013-05-08
052 B	2001-11-30	2001-12-18	Norske RWE-DEA AS	2.250000	\N	9999-12-31	9999-12-31	1840712	853394	9999-12-31	2013-05-08
052 B	2001-12-18	2002-01-01	Norske RWE-DEA AS	2.250000	\N	9999-12-31	9999-12-31	1840712	853394	9999-12-31	2013-05-08
052 B	2001-12-18	2002-01-01	TotalFinaElf Exploration Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	1340884	9999-12-31	2013-05-08
052 B	2002-01-01	2003-05-06	TotalFinaElf Exploration Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	1340884	9999-12-31	2013-05-08
052 B	2001-11-30	2001-12-18	Paladin Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	1577943	9999-12-31	2013-05-08
052 B	2001-12-18	2002-01-01	Paladin Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	1577943	9999-12-31	2013-05-08
052 B	2002-01-01	2003-05-06	Paladin Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	1577943	9999-12-31	2013-05-08
052 B	2003-05-06	2004-01-01	Paladin Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	1577943	9999-12-31	2013-05-08
052 B	2004-01-01	2006-03-22	Paladin Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	1577943	9999-12-31	2013-05-08
052 B	2001-11-30	2001-12-18	Statoil ASA (old)	18.000000	\N	2001-11-30	2007-10-01	1840712	1622484	9999-12-31	2013-05-08
052 B	2001-12-18	2002-01-01	Statoil ASA (old)	18.000000	\N	2001-11-30	2007-10-01	1840712	1622484	9999-12-31	2013-05-08
052 B	2002-01-01	2003-05-06	Statoil ASA (old)	18.000000	\N	2001-11-30	2007-10-01	1840712	1622484	9999-12-31	2013-05-08
052 B	2003-05-06	2004-01-01	Statoil ASA (old)	18.000000	\N	2001-11-30	2007-10-01	1840712	1622484	9999-12-31	2013-05-08
052 B	2004-01-01	2006-03-22	Statoil ASA (old)	22.500000	\N	2001-11-30	2007-10-01	1840712	1622484	9999-12-31	2013-05-08
052 B	2006-03-22	2006-03-23	Statoil ASA (old)	22.500000	\N	2001-11-30	2007-10-01	1840712	1622484	9999-12-31	2013-05-08
052 B	2006-03-23	2007-10-01	Statoil ASA (old)	22.500000	\N	2001-11-30	2007-10-01	1840712	1622484	9999-12-31	2013-05-08
052 B	2001-11-30	2001-12-18	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2001-12-18	2002-01-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2002-01-01	2003-05-06	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2003-05-06	2004-01-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2004-01-01	2006-03-22	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2006-03-22	2006-03-23	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2006-03-23	2007-10-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2007-10-01	2009-01-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2009-01-01	2009-01-02	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2009-01-02	2009-11-02	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2009-11-02	2011-01-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2011-01-01	9999-12-31	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	1840712	1626839	9999-12-31	2013-05-08
052 B	2003-05-06	2004-01-01	Total E&P Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	2410708	9999-12-31	2013-05-08
052 B	2004-01-01	2006-03-22	Total E&P Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	2410708	9999-12-31	2013-05-08
052 B	2006-03-22	2006-03-23	Total E&P Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	2410708	9999-12-31	2013-05-08
052 B	2006-03-23	2007-10-01	Total E&P Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	2410708	9999-12-31	2013-05-08
052 B	2007-10-01	2009-01-01	Total E&P Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	2410708	9999-12-31	2013-05-08
052 B	2009-01-01	2009-01-02	Total E&P Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	2410708	9999-12-31	2013-05-08
052 B	2009-01-02	2009-11-02	Total E&P Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	2410708	9999-12-31	2013-05-08
052 B	2009-11-02	2011-01-01	Total E&P Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	2410708	9999-12-31	2013-05-08
052 B	2011-01-01	9999-12-31	Total E&P Norge AS	18.000000	\N	9999-12-31	9999-12-31	1840712	2410708	9999-12-31	2013-05-08
052 B	2006-03-23	2007-10-01	Talisman Energy Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	2425093	9999-12-31	2013-05-08
052 B	2007-10-01	2009-01-01	Talisman Energy Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	2425093	9999-12-31	2013-05-08
052 B	2009-01-01	2009-01-02	Talisman Energy Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	2425093	9999-12-31	2013-05-08
052 B	2011-01-01	9999-12-31	Talisman Energy Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	2425093	9999-12-31	2013-05-08
052 B	2006-03-22	2006-03-23	Talisman Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	3987574	9999-12-31	2013-05-08
052 B	2009-01-02	2009-11-02	Talisman Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	3987574	9999-12-31	2013-05-08
052 B	2009-11-02	2011-01-01	Talisman Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	1840712	3987574	9999-12-31	2013-05-08
052 B	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	22.500000	\N	2009-01-01	2009-11-01	1840712	4511658	9999-12-31	2013-05-08
052 B	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	22.500000	\N	2009-01-01	2009-11-01	1840712	4511658	9999-12-31	2013-05-08
052 B	2007-10-01	2009-01-01	StatoilHydro ASA	22.500000	\N	2007-10-01	2008-12-31	1840712	4511854	9999-12-31	2013-05-08
052 B	2009-11-02	2011-01-01	Statoil Petroleum AS	22.500000	\N	2009-11-02	9999-12-31	1840712	17237817	9999-12-31	2013-05-08
052 B	2011-01-01	9999-12-31	Statoil Petroleum AS	22.500000	\N	2009-11-02	9999-12-31	1840712	17237817	9999-12-31	2013-05-08
085 C	2002-01-25	2003-03-22	Norske Conoco A/S	1.623740	\N	9999-12-31	9999-12-31	2051285	221	9999-12-31	2013-05-08
085 C	2002-01-25	2003-03-22	Norsk Hydro Produksjon AS	9.779140	\N	2002-01-25	2007-01-01	2051285	430	9999-12-31	2013-05-08
085 C	2003-03-22	2003-05-06	Norsk Hydro Produksjon AS	9.779140	\N	2002-01-25	2007-01-01	2051285	430	9999-12-31	2013-05-08
085 C	2003-05-06	2007-01-01	Norsk Hydro Produksjon AS	9.779140	\N	2002-01-25	2007-01-01	2051285	430	9999-12-31	2013-05-08
085 C	2002-01-25	2003-03-22	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	2051285	562	9999-12-31	2013-05-08
085 C	2003-03-22	2003-05-06	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	2051285	562	9999-12-31	2013-05-08
085 C	2003-05-06	2007-01-01	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	2051285	562	9999-12-31	2013-05-08
085 C	2007-01-01	2007-01-02	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	2051285	562	9999-12-31	2013-05-08
085 C	2007-01-02	2007-10-01	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	2051285	562	9999-12-31	2013-05-08
085 C	2007-10-01	2009-01-01	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	2051285	562	9999-12-31	2013-05-08
085 C	2009-01-01	2009-11-02	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	2051285	562	9999-12-31	2013-05-08
085 C	2009-11-02	9999-12-31	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	2051285	562	9999-12-31	2013-05-08
085 C	2002-01-25	2003-03-22	TotalFinaElf Exploration Norge AS	3.690960	\N	9999-12-31	9999-12-31	2051285	1340884	9999-12-31	2013-05-08
085 C	2003-03-22	2003-05-06	TotalFinaElf Exploration Norge AS	3.690960	\N	9999-12-31	9999-12-31	2051285	1340884	9999-12-31	2013-05-08
085 C	2002-01-25	2003-03-22	Statoil ASA (old)	20.804710	\N	9999-12-31	9999-12-31	2051285	1622484	9999-12-31	2013-05-08
085 C	2003-03-22	2003-05-06	Statoil ASA (old)	20.804710	\N	9999-12-31	9999-12-31	2051285	1622484	9999-12-31	2013-05-08
085 C	2003-05-06	2007-01-01	Statoil ASA (old)	20.804710	\N	9999-12-31	9999-12-31	2051285	1622484	9999-12-31	2013-05-08
085 C	2007-01-01	2007-01-02	Statoil ASA (old)	20.804710	\N	9999-12-31	9999-12-31	2051285	1622484	9999-12-31	2013-05-08
085 C	2007-01-02	2007-10-01	Statoil ASA (old)	20.804710	\N	9999-12-31	9999-12-31	2051285	1622484	9999-12-31	2013-05-08
085 C	2002-01-25	2003-03-22	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	2051285	1626839	9999-12-31	2013-05-08
085 C	2003-03-22	2003-05-06	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	2051285	1626839	9999-12-31	2013-05-08
085 C	2003-05-06	2007-01-01	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	2051285	1626839	9999-12-31	2013-05-08
085 C	2007-01-01	2007-01-02	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	2051285	1626839	9999-12-31	2013-05-08
085 C	2007-01-02	2007-10-01	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	2051285	1626839	9999-12-31	2013-05-08
085 C	2007-10-01	2009-01-01	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	2051285	1626839	9999-12-31	2013-05-08
085 C	2009-01-01	2009-11-02	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	2051285	1626839	9999-12-31	2013-05-08
085 C	2009-11-02	9999-12-31	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	2051285	1626839	9999-12-31	2013-05-08
085 C	2003-03-22	2003-05-06	Norske ConocoPhillips AS	1.623740	\N	9999-12-31	9999-12-31	2051285	2399056	9999-12-31	2013-05-08
085 C	2003-05-06	2007-01-01	Norske ConocoPhillips AS	1.623740	\N	9999-12-31	9999-12-31	2051285	2399056	9999-12-31	2013-05-08
085 C	2007-01-01	2007-01-02	Norske ConocoPhillips AS	1.623740	\N	9999-12-31	9999-12-31	2051285	2399056	9999-12-31	2013-05-08
085 C	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	1.623740	\N	9999-12-31	9999-12-31	2051285	2410696	9999-12-31	2013-05-08
085 C	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	1.623740	\N	9999-12-31	9999-12-31	2051285	2410696	9999-12-31	2013-05-08
085 C	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	1.623740	\N	9999-12-31	9999-12-31	2051285	2410696	9999-12-31	2013-05-08
085 C	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	1.623740	\N	9999-12-31	9999-12-31	2051285	2410696	9999-12-31	2013-05-08
085 C	2003-05-06	2007-01-01	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	2051285	2410708	9999-12-31	2013-05-08
085 C	2007-01-01	2007-01-02	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	2051285	2410708	9999-12-31	2013-05-08
085 C	2007-01-02	2007-10-01	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	2051285	2410708	9999-12-31	2013-05-08
085 C	2007-10-01	2009-01-01	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	2051285	2410708	9999-12-31	2013-05-08
085 C	2009-01-01	2009-11-02	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	2051285	2410708	9999-12-31	2013-05-08
085 C	2009-11-02	9999-12-31	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	2051285	2410708	9999-12-31	2013-05-08
085 C	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.779140	\N	2007-10-01	2009-11-01	2051285	4511658	9999-12-31	2013-05-08
085 C	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.583850	\N	2007-10-01	2009-11-01	2051285	4511658	9999-12-31	2013-05-08
085 C	2007-10-01	2009-01-01	StatoilHydro ASA	20.804710	\N	9999-12-31	9999-12-31	2051285	4511854	9999-12-31	2013-05-08
085 C	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	9.779140	\N	2007-01-01	2007-10-01	2051285	4524355	9999-12-31	2013-05-08
085 C	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	9.779140	\N	2007-01-01	2007-10-01	2051285	4524355	9999-12-31	2013-05-08
085 C	2009-11-02	9999-12-31	Statoil Petroleum AS	30.583850	\N	2009-11-02	9999-12-31	2051285	17237817	9999-12-31	2013-05-08
271	2002-03-15	2002-10-14	Norsk Hydro Produksjon AS	60.000000	\N	2002-03-15	2007-01-01	2060218	430	9999-12-31	2013-05-08
271	2002-10-14	2006-03-22	Norsk Hydro Produksjon AS	40.000000	\N	2002-03-15	2007-01-01	2060218	430	9999-12-31	2013-05-08
271	2006-03-22	2006-03-31	Norsk Hydro Produksjon AS	40.000000	\N	2002-03-15	2007-01-01	2060218	430	9999-12-31	2013-05-08
271	2006-03-31	2006-07-01	Norsk Hydro Produksjon AS	40.000000	\N	2002-03-15	2007-01-01	2060218	430	9999-12-31	2013-05-08
271	2006-07-01	2006-07-02	Norsk Hydro Produksjon AS	40.000000	\N	2002-03-15	2007-01-01	2060218	430	9999-12-31	2013-05-08
271	2006-07-02	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	2002-03-15	2007-01-01	2060218	430	9999-12-31	2013-05-08
271	2002-10-14	2006-03-22	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2060218	1577943	9999-12-31	2013-05-08
271	2002-03-15	2002-10-14	DONG Norge AS	40.000000	\N	9999-12-31	9999-12-31	2060218	1853083	9999-12-31	2013-05-08
271	2002-10-14	2006-03-22	DONG Norge AS	40.000000	\N	9999-12-31	9999-12-31	2060218	1853083	9999-12-31	2013-05-08
271	2006-03-22	2006-03-31	DONG Norge AS	40.000000	\N	9999-12-31	9999-12-31	2060218	1853083	9999-12-31	2013-05-08
271	2006-07-02	2007-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060218	2425093	9999-12-31	2013-05-08
271	2007-01-01	2007-10-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060218	2425093	9999-12-31	2013-05-08
271	2007-10-01	2007-10-02	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060218	2425093	9999-12-31	2013-05-08
271	2007-10-02	2008-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060218	2425093	9999-12-31	2013-05-08
271	2008-01-01	2009-03-15	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060218	2425093	9999-12-31	2013-05-08
271	2006-03-31	2006-07-01	Norwegian Energy Company AS	40.000000	\N	9999-12-31	9999-12-31	2060218	3482246	9999-12-31	2013-05-08
271	2006-07-01	2006-07-02	Norwegian Energy Company AS	30.000000	\N	9999-12-31	9999-12-31	2060218	3482246	9999-12-31	2013-05-08
271	2006-07-02	2007-01-01	Norwegian Energy Company AS	30.000000	\N	9999-12-31	9999-12-31	2060218	3482246	9999-12-31	2013-05-08
271	2007-01-01	2007-10-01	Norwegian Energy Company AS	30.000000	\N	9999-12-31	9999-12-31	2060218	3482246	9999-12-31	2013-05-08
271	2007-10-01	2007-10-02	Norwegian Energy Company AS	30.000000	\N	9999-12-31	9999-12-31	2060218	3482246	9999-12-31	2013-05-08
271	2006-03-22	2006-03-31	Talisman Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2060218	3987574	9999-12-31	2013-05-08
271	2006-03-31	2006-07-01	Talisman Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2060218	3987574	9999-12-31	2013-05-08
271	2006-07-01	2006-07-02	Talisman Resources Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060218	3987574	9999-12-31	2013-05-08
271	2008-01-01	2009-03-15	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	2060218	4062883	9999-12-31	2013-05-08
271	2007-10-01	2007-10-02	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-03-15	2060218	4511658	9999-12-31	2013-05-08
271	2007-10-02	2008-01-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-03-15	2060218	4511658	9999-12-31	2013-05-08
271	2008-01-01	2009-03-15	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-03-15	2060218	4511658	9999-12-31	2013-05-08
271	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	2060218	4524355	9999-12-31	2013-05-08
271	2007-10-02	2008-01-01	Norwegian Energy Company ASA	30.000000	\N	9999-12-31	9999-12-31	2060218	4530695	9999-12-31	2013-05-08
271	2008-01-01	2009-03-15	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	2060218	4530695	9999-12-31	2013-05-08
272	2002-03-15	2003-01-01	Norsk Hydro Produksjon AS	50.000000	\N	2002-03-15	2007-01-01	2060232	430	9999-12-31	2013-05-08
272	2003-01-01	2004-01-01	Norsk Hydro Produksjon AS	50.000000	\N	2002-03-15	2007-01-01	2060232	430	9999-12-31	2013-05-08
272	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	50.000000	\N	2002-03-15	2007-01-01	2060232	430	9999-12-31	2013-05-08
272	2003-01-01	2004-01-01	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	2060232	738	9999-12-31	2013-05-08
272	2004-01-01	2007-01-01	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	2060232	738	9999-12-31	2013-05-08
272	2007-01-01	2007-06-20	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	2060232	738	9999-12-31	2013-05-08
272	2007-06-20	2007-10-01	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	2060232	738	9999-12-31	2013-05-08
272	2007-10-01	2007-11-16	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	2060232	738	9999-12-31	2013-05-08
272	2007-11-16	2008-01-01	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	2060232	738	9999-12-31	2013-05-08
272	2008-01-01	2009-11-02	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	2060232	738	9999-12-31	2013-05-08
272	2009-11-02	2009-12-22	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	2060232	738	9999-12-31	2013-05-08
272	2009-12-22	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	2060232	738	9999-12-31	2013-05-08
272	2004-01-01	2007-01-01	Det Norske Oljeselskap AS	25.000000	\N	9999-12-31	9999-12-31	2060232	1340609	9999-12-31	2013-05-08
272	2007-01-01	2007-06-20	Det Norske Oljeselskap AS	25.000000	\N	9999-12-31	9999-12-31	2060232	1340609	9999-12-31	2013-05-08
272	2002-03-15	2003-01-01	Enterprise Oil Norge AS	50.000000	\N	9999-12-31	9999-12-31	2060232	1853786	9999-12-31	2013-05-08
272	2003-01-01	2004-01-01	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	2060232	1853786	9999-12-31	2013-05-08
272	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	2060232	4468177	9999-12-31	2013-05-08
272	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	2060232	4468177	9999-12-31	2013-05-08
272	2007-10-01	2007-11-16	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	2060232	4511658	9999-12-31	2013-05-08
272	2007-11-16	2008-01-01	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	2060232	4511658	9999-12-31	2013-05-08
272	2008-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	2060232	4511658	9999-12-31	2013-05-08
272	2007-01-01	2007-06-20	Norsk Hydro Petroleum AS	50.000000	\N	2007-01-01	2007-10-01	2060232	4524355	9999-12-31	2013-05-08
272	2007-06-20	2007-10-01	Norsk Hydro Petroleum AS	50.000000	\N	2007-01-01	2007-10-01	2060232	4524355	9999-12-31	2013-05-08
272	2007-11-16	2008-01-01	Noil Energy ASA	25.000000	\N	9999-12-31	9999-12-31	2060232	4539976	9999-12-31	2013-05-08
272	2008-01-01	2009-11-02	Det norske oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	2060232	4539989	9999-12-31	2013-05-08
272	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	2060232	4539989	9999-12-31	2013-05-08
272	2009-11-02	2009-12-22	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	2060232	17237817	9999-12-31	2013-05-08
272	2009-12-22	9999-12-31	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	2060232	17237817	9999-12-31	2013-05-08
272	2009-12-22	9999-12-31	Det norske oljeselskap ASA	25.000000	\N	9999-12-31	9999-12-31	2060232	17342870	9999-12-31	2013-05-08
273	2006-01-01	2006-09-06	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	2060246	430	9999-12-31	2013-05-08
273	2006-09-06	2007-01-01	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	2060246	430	9999-12-31	2013-05-08
273	2008-01-01	2009-11-02	Idemitsu Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	2060246	441	9999-12-31	2013-05-08
273	2009-11-02	2010-12-31	Idemitsu Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	2060246	441	9999-12-31	2013-05-08
273	2002-03-15	2003-05-06	Phillips Petroleum Norsk AS	70.000000	\N	2002-03-15	2003-05-06	2060246	705	9999-12-31	2013-05-08
273	2002-03-15	2003-05-06	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060246	1853083	9999-12-31	2013-05-08
273	2003-05-06	2004-01-01	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060246	1853083	9999-12-31	2013-05-08
273	2004-01-01	2006-01-01	DONG Norge AS	10.000000	\N	9999-12-31	9999-12-31	2060246	1853083	9999-12-31	2013-05-08
273	2006-01-01	2006-09-06	DONG Norge AS	10.000000	\N	9999-12-31	9999-12-31	2060246	1853083	9999-12-31	2013-05-08
273	2003-05-06	2004-01-01	ConocoPhillips Skandinavia AS	70.000000	\N	2003-05-06	2010-12-31	2060246	2410696	9999-12-31	2013-05-08
273	2004-01-01	2006-01-01	ConocoPhillips Skandinavia AS	90.000000	\N	2003-05-06	2010-12-31	2060246	2410696	9999-12-31	2013-05-08
273	2006-01-01	2006-09-06	ConocoPhillips Skandinavia AS	35.000000	\N	2003-05-06	2010-12-31	2060246	2410696	9999-12-31	2013-05-08
273	2006-09-06	2007-01-01	ConocoPhillips Skandinavia AS	35.000000	\N	2003-05-06	2010-12-31	2060246	2410696	9999-12-31	2013-05-08
273	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.000000	\N	2003-05-06	2010-12-31	2060246	2410696	9999-12-31	2013-05-08
273	2007-10-01	2008-01-01	ConocoPhillips Skandinavia AS	35.000000	\N	2003-05-06	2010-12-31	2060246	2410696	9999-12-31	2013-05-08
273	2008-01-01	2009-11-02	ConocoPhillips Skandinavia AS	35.000000	\N	2003-05-06	2010-12-31	2060246	2410696	9999-12-31	2013-05-08
273	2009-11-02	2010-12-31	ConocoPhillips Skandinavia AS	35.000000	\N	2003-05-06	2010-12-31	2060246	2410696	9999-12-31	2013-05-08
273	2006-01-01	2006-09-06	Wintershall Norge AS (old)	25.000000	\N	9999-12-31	9999-12-31	2060246	3482302	9999-12-31	2013-05-08
273	2006-09-06	2007-01-01	Wintershall Norge AS (old)	25.000000	\N	9999-12-31	9999-12-31	2060246	3482302	9999-12-31	2013-05-08
273	2007-01-01	2007-10-01	Wintershall Norge AS (old)	25.000000	\N	9999-12-31	9999-12-31	2060246	3482302	9999-12-31	2013-05-08
273	2007-10-01	2008-01-01	Wintershall Norge AS (old)	25.000000	\N	9999-12-31	9999-12-31	2060246	3482302	9999-12-31	2013-05-08
273	2008-01-01	2009-11-02	Wintershall Norge AS (old)	15.000000	\N	9999-12-31	9999-12-31	2060246	3482302	9999-12-31	2013-05-08
273	2009-11-02	2010-12-31	Wintershall Norge AS (old)	15.000000	\N	9999-12-31	9999-12-31	2060246	3482302	9999-12-31	2013-05-08
273	2006-09-06	2007-01-01	DONG E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2060246	4070011	9999-12-31	2013-05-08
273	2007-01-01	2007-10-01	DONG E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2060246	4070011	9999-12-31	2013-05-08
273	2007-10-01	2008-01-01	DONG E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2060246	4070011	9999-12-31	2013-05-08
273	2008-01-01	2009-11-02	DONG E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2060246	4070011	9999-12-31	2013-05-08
273	2009-11-02	2010-12-31	DONG E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2060246	4070011	9999-12-31	2013-05-08
273	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	2060246	4511658	9999-12-31	2013-05-08
273	2008-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	2060246	4511658	9999-12-31	2013-05-08
273	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	2060246	4524355	9999-12-31	2013-05-08
273	2009-11-02	2010-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	2060246	17237817	9999-12-31	2013-05-08
274	2002-03-15	2002-04-17	Pelican AS	100.000000	\N	2002-03-15	2002-04-17	2060266	606	9999-12-31	2013-05-08
274	2002-04-17	2005-01-01	DONG Norge AS	100.000000	\N	2002-04-17	2006-09-06	2060266	1853083	9999-12-31	2013-05-08
274	2005-01-01	2006-01-01	DONG Norge AS	70.000000	\N	2002-04-17	2006-09-06	2060266	1853083	9999-12-31	2013-05-08
274	2006-01-01	2006-09-06	DONG Norge AS	40.000000	\N	2002-04-17	2006-09-06	2060266	1853083	9999-12-31	2013-05-08
274	2005-01-01	2006-01-01	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2060266	3431773	9999-12-31	2013-05-08
274	2006-01-01	2006-09-06	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2060266	3431773	9999-12-31	2013-05-08
274	2006-09-06	2007-01-01	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2060266	3431773	9999-12-31	2013-05-08
274	2007-01-01	2007-07-11	Revus Energy ASA	15.000000	\N	9999-12-31	9999-12-31	2060266	3431773	9999-12-31	2013-05-08
274	2007-07-11	2009-01-17	Revus Energy ASA	15.000000	\N	9999-12-31	9999-12-31	2060266	3431773	9999-12-31	2013-05-08
274	2007-01-01	2007-07-11	Norwegian Energy Company AS	15.000000	\N	9999-12-31	9999-12-31	2060266	3482246	9999-12-31	2013-05-08
274	2006-01-01	2006-09-06	PA Resources Norway AS	30.000000	\N	9999-12-31	9999-12-31	2060266	3986418	9999-12-31	2013-05-08
274	2006-09-06	2007-01-01	PA Resources Norway AS	30.000000	\N	9999-12-31	9999-12-31	2060266	3986418	9999-12-31	2013-05-08
274	2007-01-01	2007-07-11	PA Resources Norway AS	30.000000	\N	9999-12-31	9999-12-31	2060266	3986418	9999-12-31	2013-05-08
274	2007-07-11	2009-01-17	PA Resources Norway AS	30.000000	\N	9999-12-31	9999-12-31	2060266	3986418	9999-12-31	2013-05-08
274	2009-01-17	2009-01-21	PA Resources Norway AS	30.000000	\N	9999-12-31	9999-12-31	2060266	3986418	9999-12-31	2013-05-08
274	2006-09-06	2007-01-01	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2060266	4070011	9999-12-31	2013-05-08
274	2007-01-01	2007-07-11	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2060266	4070011	9999-12-31	2013-05-08
274	2007-07-11	2009-01-17	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2060266	4070011	9999-12-31	2013-05-08
274	2009-01-17	2009-01-21	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2060266	4070011	9999-12-31	2013-05-08
274	2009-01-21	2009-03-23	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2060266	4070011	9999-12-31	2013-05-08
274	2009-03-23	2009-07-31	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2060266	4070011	9999-12-31	2013-05-08
274	2009-07-31	2010-01-01	DONG E&P Norge AS	55.000000	\N	2006-09-06	9999-12-31	2060266	4070011	9999-12-31	2013-05-08
274	2010-01-01	2012-07-05	DONG E&P Norge AS	55.000000	\N	2006-09-06	9999-12-31	2060266	4070011	2012-09-14	2013-05-08
274	2012-07-05	9999-12-31	DONG E&P Norge AS	55.000000	\N	2006-09-06	9999-12-31	2060266	4070011	9999-12-31	2013-05-08
274	2009-03-23	2009-07-31	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060266	4444493	9999-12-31	2013-05-08
274	2009-07-31	2010-01-01	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060266	4444493	9999-12-31	2013-05-08
274	2010-01-01	2012-07-05	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060266	4444493	2012-09-14	2013-05-08
274	2012-07-05	9999-12-31	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060266	4444493	9999-12-31	2013-05-08
274	2010-01-01	2012-07-05	Altinex Oil Norway AS	15.000000	\N	9999-12-31	9999-12-31	2060266	4446230	2012-09-14	2013-05-08
274	2007-07-11	2009-01-17	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	2060266	4530695	9999-12-31	2013-05-08
274	2009-01-17	2009-01-21	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	2060266	4530695	9999-12-31	2013-05-08
274	2009-01-21	2009-03-23	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	2060266	4530695	9999-12-31	2013-05-08
274	2009-03-23	2009-07-31	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	2060266	4530695	9999-12-31	2013-05-08
274	2009-07-31	2010-01-01	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	2060266	4530695	9999-12-31	2013-05-08
274	2009-01-17	2009-01-21	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	2060266	5442509	9999-12-31	2013-05-08
274	2009-01-21	2009-03-23	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	2060266	5442509	9999-12-31	2013-05-08
274	2009-03-23	2009-07-31	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	2060266	5442509	9999-12-31	2013-05-08
274	2009-01-21	2009-03-23	Bayerngas Produksjon Norge AS	30.000000	\N	9999-12-31	9999-12-31	2060266	5461974	9999-12-31	2013-05-08
274	2012-07-05	9999-12-31	Noreco Norway AS	15.000000	\N	9999-12-31	9999-12-31	2060266	22223020	9999-12-31	2013-05-08
275	2002-03-15	2003-05-06	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	2060278	45	9999-12-31	2013-05-08
275	2003-05-06	2003-12-31	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	2060278	45	9999-12-31	2013-05-08
275	2002-03-15	2003-05-06	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2060278	430	9999-12-31	2013-05-08
275	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2060278	430	9999-12-31	2013-05-08
275	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2060278	430	9999-12-31	2013-05-08
275	2002-03-15	2003-05-06	Phillips Petroleum Norsk AS	35.112000	\N	2002-03-15	2003-05-06	2060278	705	9999-12-31	2013-05-08
275	2002-03-15	2003-05-06	TotalFinaElf Exploration Norge AS	39.896000	\N	9999-12-31	9999-12-31	2060278	1340884	9999-12-31	2013-05-08
275	2002-03-15	2003-05-06	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	2060278	1622484	9999-12-31	2013-05-08
275	2003-05-06	2003-12-31	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	2060278	1622484	9999-12-31	2013-05-08
275	2003-12-31	2007-01-01	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	2060278	1622484	9999-12-31	2013-05-08
275	2007-01-01	2007-10-01	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	2060278	1622484	9999-12-31	2013-05-08
275	2002-03-15	2003-05-06	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2060278	1626839	9999-12-31	2013-05-08
275	2003-05-06	2003-12-31	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2060278	1626839	9999-12-31	2013-05-08
275	2003-12-31	2007-01-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2060278	1626839	9999-12-31	2013-05-08
275	2007-01-01	2007-10-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2060278	1626839	9999-12-31	2013-05-08
275	2007-10-01	2009-01-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2060278	1626839	9999-12-31	2013-05-08
275	2009-01-01	2009-11-02	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2060278	1626839	9999-12-31	2013-05-08
275	2009-11-02	9999-12-31	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2060278	1626839	9999-12-31	2013-05-08
275	2003-12-31	2007-01-01	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	2060278	2388594	9999-12-31	2013-05-08
275	2007-01-01	2007-10-01	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	2060278	2388594	9999-12-31	2013-05-08
275	2007-10-01	2009-01-01	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	2060278	2388594	9999-12-31	2013-05-08
275	2009-01-01	2009-11-02	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	2060278	2388594	9999-12-31	2013-05-08
275	2009-11-02	9999-12-31	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	2060278	2388594	9999-12-31	2013-05-08
275	2003-05-06	2003-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	2060278	2410696	9999-12-31	2013-05-08
275	2003-12-31	2007-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	2060278	2410696	9999-12-31	2013-05-08
275	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	2060278	2410696	9999-12-31	2013-05-08
275	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	2060278	2410696	9999-12-31	2013-05-08
275	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	2060278	2410696	9999-12-31	2013-05-08
275	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	9999-12-31	2060278	2410696	9999-12-31	2013-05-08
275	2003-05-06	2003-12-31	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	2060278	2410708	9999-12-31	2013-05-08
275	2003-12-31	2007-01-01	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	2060278	2410708	9999-12-31	2013-05-08
275	2007-01-01	2007-10-01	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	2060278	2410708	9999-12-31	2013-05-08
275	2007-10-01	2009-01-01	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	2060278	2410708	9999-12-31	2013-05-08
275	2009-01-01	2009-11-02	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	2060278	2410708	9999-12-31	2013-05-08
275	2009-11-02	9999-12-31	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	2060278	2410708	9999-12-31	2013-05-08
275	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2060278	4511658	9999-12-31	2013-05-08
275	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	7.604000	\N	9999-12-31	9999-12-31	2060278	4511658	9999-12-31	2013-05-08
275	2007-10-01	2009-01-01	StatoilHydro ASA	0.950000	\N	9999-12-31	9999-12-31	2060278	4511854	9999-12-31	2013-05-08
275	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2060278	4524355	9999-12-31	2013-05-08
275	2009-11-02	9999-12-31	Statoil Petroleum AS	7.604000	\N	9999-12-31	9999-12-31	2060278	17237817	9999-12-31	2013-05-08
276	2002-03-15	2003-03-24	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	2060300	738	9999-12-31	2013-05-08
276	2003-03-24	2005-01-01	Svenska Petroleum Exploration AS	4.500000	\N	9999-12-31	9999-12-31	2060300	738	9999-12-31	2013-05-08
276	2002-03-15	2003-03-24	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	2060300	97557	9999-12-31	2013-05-08
276	2003-03-24	2005-01-01	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	2060300	97557	9999-12-31	2013-05-08
276	2005-01-01	2005-03-15	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	2060300	97557	9999-12-31	2013-05-08
276	2002-03-15	2003-03-24	TotalFinaElf Exploration Norge AS	18.000000	\N	9999-12-31	9999-12-31	2060300	1340884	9999-12-31	2013-05-08
276	2002-03-15	2003-03-24	Paladin Resources Norge AS	9.000000	\N	9999-12-31	9999-12-31	2060300	1577943	9999-12-31	2013-05-08
276	2003-03-24	2005-01-01	Paladin Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	2060300	1577943	9999-12-31	2013-05-08
276	2005-01-01	2005-03-15	Paladin Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	2060300	1577943	9999-12-31	2013-05-08
276	2002-03-15	2003-03-24	Statoil ASA (old)	18.000000	\N	2002-03-15	2005-03-15	2060300	1622484	9999-12-31	2013-05-08
276	2003-03-24	2005-01-01	Statoil ASA (old)	18.000000	\N	2002-03-15	2005-03-15	2060300	1622484	9999-12-31	2013-05-08
276	2005-01-01	2005-03-15	Statoil ASA (old)	18.000000	\N	2002-03-15	2005-03-15	2060300	1622484	9999-12-31	2013-05-08
276	2002-03-15	2003-03-24	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	2060300	1626839	9999-12-31	2013-05-08
276	2003-03-24	2005-01-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	2060300	1626839	9999-12-31	2013-05-08
276	2005-01-01	2005-03-15	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	2060300	1626839	9999-12-31	2013-05-08
276	2005-01-01	2005-03-15	Revus Energy AS	4.500000	\N	9999-12-31	9999-12-31	2060300	2455850	9999-12-31	2013-05-08
277	2005-01-01	2007-01-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	2060336	430	9999-12-31	2013-05-08
277	2002-03-15	2005-01-01	Statoil ASA (old)	70.000000	\N	2002-03-15	2007-10-01	2060336	1622484	9999-12-31	2013-05-08
277	2005-01-01	2007-01-01	Statoil ASA (old)	61.000000	\N	2002-03-15	2007-10-01	2060336	1622484	9999-12-31	2013-05-08
277	2007-01-01	2007-10-01	Statoil ASA (old)	61.000000	\N	2002-03-15	2007-10-01	2060336	1622484	9999-12-31	2013-05-08
277	2002-03-15	2005-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2060336	1626839	9999-12-31	2013-05-08
277	2005-01-01	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2060336	1626839	9999-12-31	2013-05-08
277	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2060336	1626839	9999-12-31	2013-05-08
277	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2060336	1626839	9999-12-31	2013-05-08
277	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2060336	1626839	9999-12-31	2013-05-08
277	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2060336	1626839	9999-12-31	2013-05-08
277	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	2060336	4511658	9999-12-31	2013-05-08
277	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	2060336	4511658	9999-12-31	2013-05-08
277	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	2007-10-01	2008-12-31	2060336	4511854	9999-12-31	2013-05-08
277	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	2060336	4524355	9999-12-31	2013-05-08
277	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	2060336	17237817	9999-12-31	2013-05-08
278	2002-03-15	2005-04-21	RWE Dea Norge AS	100.000000	\N	2002-03-15	2005-04-21	2060350	97557	9999-12-31	2013-05-08
279	2002-03-15	2004-04-16	RWE Dea Norge AS	100.000000	\N	2002-03-15	2004-04-16	2060367	97557	9999-12-31	2013-05-08
280	2002-03-15	2002-07-01	Kerr-McGee Norway AS	100.000000	\N	2002-03-15	2003-03-08	2060385	2051482	9999-12-31	2013-05-08
280	2002-07-01	2004-05-10	CNR International (UK) Limited	100.000000	\N	2003-03-08	2004-05-10	2060385	2385943	9999-12-31	2013-05-08
281	2002-06-14	2003-05-06	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	2073488	562	9999-12-31	2013-05-08
281	2003-05-06	2005-01-01	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	2073488	562	9999-12-31	2013-05-08
281	2005-01-01	2007-01-01	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	2073488	562	9999-12-31	2013-05-08
281	2002-06-14	2003-05-06	Phillips Petroleum Norsk AS	10.000000	\N	9999-12-31	9999-12-31	2073488	705	9999-12-31	2013-05-08
281	2002-06-14	2003-05-06	Statoil ASA (old)	30.000000	\N	2002-06-14	2007-10-01	2073488	1622484	9999-12-31	2013-05-08
281	2003-05-06	2005-01-01	Statoil ASA (old)	30.000000	\N	2002-06-14	2007-10-01	2073488	1622484	9999-12-31	2013-05-08
281	2005-01-01	2007-01-01	Statoil ASA (old)	30.000000	\N	2002-06-14	2007-10-01	2073488	1622484	9999-12-31	2013-05-08
281	2007-01-01	2007-10-01	Statoil ASA (old)	50.000000	\N	2002-06-14	2007-10-01	2073488	1622484	9999-12-31	2013-05-08
281	2002-06-14	2003-05-06	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073488	1626839	9999-12-31	2013-05-08
281	2003-05-06	2005-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073488	1626839	9999-12-31	2013-05-08
281	2005-01-01	2007-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073488	1626839	9999-12-31	2013-05-08
281	2007-01-01	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073488	1626839	9999-12-31	2013-05-08
281	2007-10-01	2009-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073488	1626839	9999-12-31	2013-05-08
281	2009-01-01	2009-06-14	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073488	1626839	9999-12-31	2013-05-08
281	2002-06-14	2003-05-06	BP Norge AS	20.000000	\N	9999-12-31	9999-12-31	2073488	2052695	9999-12-31	2013-05-08
281	2003-05-06	2005-01-01	BP Norge AS	20.000000	\N	9999-12-31	9999-12-31	2073488	2052695	9999-12-31	2013-05-08
281	2003-05-06	2005-01-01	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	2073488	2410696	9999-12-31	2013-05-08
281	2005-01-01	2007-01-01	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	2073488	2410696	9999-12-31	2013-05-08
281	2007-01-01	2007-10-01	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	2073488	2410696	9999-12-31	2013-05-08
281	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	2073488	2410696	9999-12-31	2013-05-08
281	2009-01-01	2009-06-14	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	2073488	2410696	9999-12-31	2013-05-08
281	2005-01-01	2007-01-01	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	2073488	2840522	9999-12-31	2013-05-08
281	2007-01-01	2007-10-01	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	2073488	2840522	9999-12-31	2013-05-08
281	2007-10-01	2009-01-01	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	2073488	2840522	9999-12-31	2013-05-08
281	2009-01-01	2009-06-14	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	2073488	2840522	9999-12-31	2013-05-08
281	2009-01-01	2009-06-14	StatoilHydro Petroleum AS	50.000000	\N	2009-01-01	2009-06-14	2073488	4511658	9999-12-31	2013-05-08
281	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	2007-10-01	2008-12-31	2073488	4511854	9999-12-31	2013-05-08
282	2002-06-14	2006-06-14	Norsk Hydro Produksjon AS	25.000000	\N	9999-12-31	9999-12-31	2073510	430	9999-12-31	2013-05-08
282	2002-06-14	2006-06-14	A/S Norske Shell	30.000000	\N	2002-06-14	2006-06-14	2073510	562	9999-12-31	2013-05-08
282	2002-06-14	2006-06-14	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	2073510	97557	9999-12-31	2013-05-08
282	2002-06-14	2006-06-14	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	2073510	1622484	9999-12-31	2013-05-08
283	2002-06-14	2002-11-19	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	2073530	221	9999-12-31	2013-05-08
283	2002-11-19	2003-03-22	Norske Conoco A/S	25.000000	\N	9999-12-31	9999-12-31	2073530	221	9999-12-31	2013-05-08
283	2002-06-14	2002-11-19	Norsk Hydro Produksjon AS	30.000000	\N	2002-06-14	2007-01-01	2073530	430	9999-12-31	2013-05-08
283	2002-11-19	2003-03-22	Norsk Hydro Produksjon AS	30.000000	\N	2002-06-14	2007-01-01	2073530	430	9999-12-31	2013-05-08
283	2003-03-22	2005-09-17	Norsk Hydro Produksjon AS	30.000000	\N	2002-06-14	2007-01-01	2073530	430	9999-12-31	2013-05-08
283	2005-09-17	2007-01-01	Norsk Hydro Produksjon AS	30.000000	\N	2002-06-14	2007-01-01	2073530	430	9999-12-31	2013-05-08
283	2007-01-01	2007-01-02	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	2073530	430	9999-12-31	2013-05-08
283	2002-06-14	2002-11-19	Norsk Chevron AS	25.000000	\N	9999-12-31	9999-12-31	2073530	40148	9999-12-31	2013-05-08
283	2002-06-14	2002-11-19	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2002-11-19	2003-03-22	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2003-03-22	2005-09-17	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2005-09-17	2007-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2007-01-01	2007-01-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2007-01-02	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2007-10-01	2008-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2008-01-01	2008-01-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2008-01-02	2009-06-05	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2009-06-05	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2009-11-02	2009-12-22	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2009-12-22	2010-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2010-10-01	2012-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2073530	1626839	9999-12-31	2013-05-08
283	2002-11-19	2003-03-22	Chevron Texaco Norge AS	25.000000	\N	9999-12-31	9999-12-31	2073530	2154473	9999-12-31	2013-05-08
283	2003-03-22	2005-09-17	Chevron Texaco Norge AS	25.000000	\N	9999-12-31	9999-12-31	2073530	2154473	9999-12-31	2013-05-08
283	2003-03-22	2005-09-17	Norske ConocoPhillips AS	25.000000	\N	9999-12-31	9999-12-31	2073530	2399056	9999-12-31	2013-05-08
283	2005-09-17	2007-01-01	Norske ConocoPhillips AS	25.000000	\N	9999-12-31	9999-12-31	2073530	2399056	9999-12-31	2013-05-08
283	2007-01-01	2007-01-02	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	2073530	2410696	9999-12-31	2013-05-08
283	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	2073530	2410696	9999-12-31	2013-05-08
283	2007-10-01	2008-01-01	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	2073530	2410696	9999-12-31	2013-05-08
283	2008-01-01	2008-01-02	ConocoPhillips Skandinavia AS	15.000000	\N	9999-12-31	9999-12-31	2073530	2410696	9999-12-31	2013-05-08
283	2008-01-02	2009-06-05	ConocoPhillips Skandinavia AS	15.000000	\N	9999-12-31	9999-12-31	2073530	2410696	9999-12-31	2013-05-08
283	2009-06-05	2009-11-02	ConocoPhillips Skandinavia AS	15.000000	\N	9999-12-31	9999-12-31	2073530	2410696	9999-12-31	2013-05-08
283	2009-11-02	2009-12-22	ConocoPhillips Skandinavia AS	15.000000	\N	9999-12-31	9999-12-31	2073530	2410696	9999-12-31	2013-05-08
283	2009-12-22	2010-10-01	ConocoPhillips Skandinavia AS	15.000000	\N	9999-12-31	9999-12-31	2073530	2410696	9999-12-31	2013-05-08
283	2010-10-01	2012-01-01	ConocoPhillips Skandinavia AS	15.000000	\N	9999-12-31	9999-12-31	2073530	2410696	9999-12-31	2013-05-08
283	2005-09-17	2007-01-01	Chevron Norge AS	25.000000	\N	9999-12-31	9999-12-31	2073530	3488906	9999-12-31	2013-05-08
283	2007-01-01	2007-01-02	Chevron Norge AS	25.000000	\N	9999-12-31	9999-12-31	2073530	3488906	9999-12-31	2013-05-08
283	2007-01-02	2007-10-01	Chevron Norge AS	25.000000	\N	9999-12-31	9999-12-31	2073530	3488906	9999-12-31	2013-05-08
283	2007-10-01	2008-01-01	Chevron Norge AS	25.000000	\N	9999-12-31	9999-12-31	2073530	3488906	9999-12-31	2013-05-08
283	2008-01-01	2008-01-02	Chevron Norge AS	25.000000	\N	9999-12-31	9999-12-31	2073530	3488906	9999-12-31	2013-05-08
283	2008-01-02	2009-06-05	Chevron Norge AS	12.500000	\N	9999-12-31	9999-12-31	2073530	3488906	9999-12-31	2013-05-08
283	2008-01-01	2008-01-02	Centrica Resources (Norge) AS	10.000000	\N	9999-12-31	9999-12-31	2073530	4238233	9999-12-31	2013-05-08
283	2008-01-02	2009-06-05	Centrica Resources (Norge) AS	10.000000	\N	9999-12-31	9999-12-31	2073530	4238233	9999-12-31	2013-05-08
283	2009-06-05	2009-11-02	Centrica Resources (Norge) AS	10.000000	\N	9999-12-31	9999-12-31	2073530	4238233	9999-12-31	2013-05-08
283	2009-11-02	2009-12-22	Centrica Resources (Norge) AS	10.000000	\N	9999-12-31	9999-12-31	2073530	4238233	9999-12-31	2013-05-08
283	2009-12-22	2010-10-01	Centrica Resources (Norge) AS	10.000000	\N	9999-12-31	9999-12-31	2073530	4238233	9999-12-31	2013-05-08
283	2010-10-01	2012-01-01	Centrica Resources (Norge) AS	10.000000	\N	9999-12-31	9999-12-31	2073530	4238233	9999-12-31	2013-05-08
283	2008-01-02	2009-06-05	Aker Exploration AS	12.500000	\N	9999-12-31	9999-12-31	2073530	4460425	9999-12-31	2013-05-08
283	2009-06-05	2009-11-02	Aker Exploration AS	25.000000	\N	9999-12-31	9999-12-31	2073530	4460425	9999-12-31	2013-05-08
283	2009-11-02	2009-12-22	Aker Exploration AS	25.000000	\N	9999-12-31	9999-12-31	2073530	4460425	9999-12-31	2013-05-08
283	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-11-01	2073530	4511658	9999-12-31	2013-05-08
283	2008-01-01	2008-01-02	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-11-01	2073530	4511658	9999-12-31	2013-05-08
283	2008-01-02	2009-06-05	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-11-01	2073530	4511658	9999-12-31	2013-05-08
283	2009-06-05	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-11-01	2073530	4511658	9999-12-31	2013-05-08
283	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	30.000000	\N	2007-01-01	2007-10-01	2073530	4524355	9999-12-31	2013-05-08
283	2009-11-02	2009-12-22	Statoil Petroleum AS	30.000000	\N	2009-11-02	2012-01-01	2073530	17237817	9999-12-31	2013-05-08
283	2009-12-22	2010-10-01	Statoil Petroleum AS	30.000000	\N	2009-11-02	2012-01-01	2073530	17237817	9999-12-31	2013-05-08
283	2010-10-01	2012-01-01	Statoil Petroleum AS	30.000000	\N	2009-11-02	2012-01-01	2073530	17237817	9999-12-31	2013-05-08
283	2010-10-01	2012-01-01	Det norske oljeselskap ASA	25.000000	\N	9999-12-31	9999-12-31	2073530	17342870	9999-12-31	2013-05-08
283	2009-12-22	2010-10-01	Det norske oljeselskap AS	25.000000	\N	9999-12-31	9999-12-31	2073530	17342915	9999-12-31	2013-05-08
284	2002-06-14	2002-11-19	Phillips Petroleum Norsk AS	40.000000	\N	2002-06-14	2003-05-06	2073548	705	9999-12-31	2013-05-08
284	2002-11-19	2003-05-06	Phillips Petroleum Norsk AS	40.000000	\N	2002-06-14	2003-05-06	2073548	705	9999-12-31	2013-05-08
284	2002-06-14	2002-11-19	Norsk Chevron AS	30.000000	\N	9999-12-31	9999-12-31	2073548	40148	9999-12-31	2013-05-08
284	2002-06-14	2002-11-19	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2073548	1853083	9999-12-31	2013-05-08
284	2002-11-19	2003-05-06	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2073548	1853083	9999-12-31	2013-05-08
284	2003-05-06	2005-03-30	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2073548	1853083	9999-12-31	2013-05-08
284	2002-11-19	2003-05-06	Chevron Texaco Norge AS	30.000000	\N	9999-12-31	9999-12-31	2073548	2154473	9999-12-31	2013-05-08
284	2003-05-06	2005-03-30	Chevron Texaco Norge AS	30.000000	\N	9999-12-31	9999-12-31	2073548	2154473	9999-12-31	2013-05-08
284	2003-05-06	2005-03-30	ConocoPhillips Skandinavia AS	40.000000	\N	2003-05-06	2005-03-30	2073548	2410696	9999-12-31	2013-05-08
285	2002-06-14	2003-12-31	Norsk Agip  AS	70.000000	\N	2002-06-14	2003-12-31	2073564	45	9999-12-31	2013-05-08
285	2002-06-14	2003-12-31	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	2073564	1628733	9999-12-31	2013-05-08
285	2003-12-31	2005-06-14	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	2073564	1628733	9999-12-31	2013-05-08
285	2003-12-31	2005-06-14	Eni Norge AS	70.000000	\N	2003-12-31	2005-06-14	2073564	2388594	9999-12-31	2013-05-08
286	2002-06-14	2003-12-31	Norsk Agip  AS	40.000000	\N	9999-12-31	9999-12-31	2073578	45	9999-12-31	2013-05-08
286	2002-06-14	2003-12-31	Norsk Hydro Produksjon AS	60.000000	\N	2002-06-14	2007-01-01	2073578	430	9999-12-31	2013-05-08
286	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	60.000000	\N	2002-06-14	2007-01-01	2073578	430	9999-12-31	2013-05-08
286	2003-12-31	2007-01-01	Eni Norge AS	40.000000	\N	9999-12-31	9999-12-31	2073578	2388594	9999-12-31	2013-05-08
286	2007-01-01	2007-01-02	Eni Norge AS	40.000000	\N	9999-12-31	9999-12-31	2073578	2388594	9999-12-31	2013-05-08
286	2007-01-02	2007-10-01	Eni Norge AS	20.000000	\N	9999-12-31	9999-12-31	2073578	2388594	9999-12-31	2013-05-08
286	2007-10-01	2008-06-14	Eni Norge AS	20.000000	\N	9999-12-31	9999-12-31	2073578	2388594	9999-12-31	2013-05-08
286	2007-01-02	2007-10-01	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	2073578	3482302	9999-12-31	2013-05-08
286	2007-10-01	2008-06-14	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	2073578	3482302	9999-12-31	2013-05-08
286	2007-10-01	2008-06-14	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2008-06-14	2073578	4511658	9999-12-31	2013-05-08
286	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	60.000000	\N	2007-01-01	2007-10-01	2073578	4524355	9999-12-31	2013-05-08
286	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	60.000000	\N	2007-01-01	2007-10-01	2073578	4524355	9999-12-31	2013-05-08
094 B	2002-06-14	2003-03-04	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	2092082	45	9999-12-31	2013-05-08
094 B	2003-03-04	2003-05-06	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	2092082	45	9999-12-31	2013-05-08
094 B	2003-05-06	2003-12-31	Norsk Agip  AS	7.900000	\N	9999-12-31	9999-12-31	2092082	45	9999-12-31	2013-05-08
094 B	2002-06-14	2003-03-04	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	2092082	430	9999-12-31	2013-05-08
094 B	2003-03-04	2003-05-06	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	2092082	430	9999-12-31	2013-05-08
094 B	2003-05-06	2003-12-31	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	2092082	430	9999-12-31	2013-05-08
094 B	2003-12-31	2006-08-01	Norsk Hydro Produksjon AS	9.600000	\N	9999-12-31	9999-12-31	2092082	430	9999-12-31	2013-05-08
094 B	2006-08-01	2007-01-01	Norsk Hydro Produksjon AS	9.610000	\N	9999-12-31	9999-12-31	2092082	430	9999-12-31	2013-05-08
094 B	2002-06-14	2003-03-04	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	2092082	474	9999-12-31	2013-05-08
094 B	2003-03-04	2003-05-06	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	2092082	474	9999-12-31	2013-05-08
094 B	2003-05-06	2003-12-31	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	2092082	474	9999-12-31	2013-05-08
094 B	2003-12-31	2006-08-01	Mobil Development Norway AS	7.350000	\N	9999-12-31	9999-12-31	2092082	474	9999-12-31	2013-05-08
094 B	2006-08-01	2007-01-01	Mobil Development Norway AS	7.240000	\N	9999-12-31	9999-12-31	2092082	474	9999-12-31	2013-05-08
094 B	2007-01-01	2007-10-01	Mobil Development Norway AS	7.240000	\N	9999-12-31	9999-12-31	2092082	474	9999-12-31	2013-05-08
094 B	2007-10-01	2008-01-01	Mobil Development Norway AS	7.240000	\N	9999-12-31	9999-12-31	2092082	474	9999-12-31	2013-05-08
094 B	2008-01-01	2008-01-02	Mobil Development Norway AS	7.240000	\N	9999-12-31	9999-12-31	2092082	474	9999-12-31	2013-05-08
094 B	2002-06-14	2003-03-04	Fortum Petroleum AS	7.000000	\N	9999-12-31	9999-12-31	2092082	102714	9999-12-31	2013-05-08
094 B	2002-06-14	2003-03-04	TotalFinaElf Exploration Norge AS	7.650000	\N	9999-12-31	9999-12-31	2092082	1340884	9999-12-31	2013-05-08
094 B	2003-03-04	2003-05-06	TotalFinaElf Exploration Norge AS	7.650000	\N	9999-12-31	9999-12-31	2092082	1340884	9999-12-31	2013-05-08
094 B	2002-06-14	2003-03-04	Statoil ASA (old)	25.000000	\N	2002-06-14	2007-10-01	2092082	1622484	9999-12-31	2013-05-08
094 B	2003-03-04	2003-05-06	Statoil ASA (old)	25.000000	\N	2002-06-14	2007-10-01	2092082	1622484	9999-12-31	2013-05-08
094 B	2003-05-06	2003-12-31	Statoil ASA (old)	25.000000	\N	2002-06-14	2007-10-01	2092082	1622484	9999-12-31	2013-05-08
094 B	2003-12-31	2006-08-01	Statoil ASA (old)	25.000000	\N	2002-06-14	2007-10-01	2092082	1622484	9999-12-31	2013-05-08
094 B	2006-08-01	2007-01-01	Statoil ASA (old)	24.960000	\N	2002-06-14	2007-10-01	2092082	1622484	9999-12-31	2013-05-08
094 B	2007-01-01	2007-10-01	Statoil ASA (old)	24.960000	\N	2002-06-14	2007-10-01	2092082	1622484	9999-12-31	2013-05-08
094 B	2002-06-14	2003-03-04	Petoro AS	35.500000	\N	9999-12-31	9999-12-31	2092082	1626839	9999-12-31	2013-05-08
094 B	2003-03-04	2003-05-06	Petoro AS	35.500000	\N	9999-12-31	9999-12-31	2092082	1626839	9999-12-31	2013-05-08
094 B	2003-05-06	2003-12-31	Petoro AS	35.500000	\N	9999-12-31	9999-12-31	2092082	1626839	9999-12-31	2013-05-08
094 B	2003-12-31	2006-08-01	Petoro AS	35.500000	\N	9999-12-31	9999-12-31	2092082	1626839	9999-12-31	2013-05-08
094 B	2006-08-01	2007-01-01	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	2092082	1626839	9999-12-31	2013-05-08
094 B	2007-01-01	2007-10-01	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	2092082	1626839	9999-12-31	2013-05-08
094 B	2007-10-01	2008-01-01	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	2092082	1626839	9999-12-31	2013-05-08
094 B	2008-01-01	2008-01-02	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	2092082	1626839	9999-12-31	2013-05-08
094 B	2008-01-02	2009-01-01	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	2092082	1626839	9999-12-31	2013-05-08
094 B	2009-01-01	2009-11-02	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	2092082	1626839	9999-12-31	2013-05-08
094 B	2009-11-02	9999-12-31	Petoro AS	35.690000	\N	9999-12-31	9999-12-31	2092082	1626839	9999-12-31	2013-05-08
094 B	2003-03-04	2003-05-06	Eni Norge AS	7.000000	\N	9999-12-31	9999-12-31	2092082	2388594	9999-12-31	2013-05-08
094 B	2003-05-06	2003-12-31	Eni Norge AS	7.000000	\N	9999-12-31	9999-12-31	2092082	2388594	9999-12-31	2013-05-08
094 B	2003-12-31	2006-08-01	Eni Norge AS	14.900000	\N	9999-12-31	9999-12-31	2092082	2388594	9999-12-31	2013-05-08
094 B	2006-08-01	2007-01-01	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	2092082	2388594	9999-12-31	2013-05-08
094 B	2007-01-01	2007-10-01	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	2092082	2388594	9999-12-31	2013-05-08
094 B	2007-10-01	2008-01-01	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	2092082	2388594	9999-12-31	2013-05-08
094 B	2008-01-01	2008-01-02	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	2092082	2388594	9999-12-31	2013-05-08
094 B	2008-01-02	2009-01-01	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	2092082	2388594	9999-12-31	2013-05-08
094 B	2009-01-01	2009-11-02	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	2092082	2388594	9999-12-31	2013-05-08
094 B	2009-11-02	9999-12-31	Eni Norge AS	14.820000	\N	9999-12-31	9999-12-31	2092082	2388594	9999-12-31	2013-05-08
094 B	2003-05-06	2003-12-31	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	2092082	2410708	9999-12-31	2013-05-08
094 B	2003-12-31	2006-08-01	Total E&P Norge AS	7.650000	\N	9999-12-31	9999-12-31	2092082	2410708	9999-12-31	2013-05-08
094 B	2006-08-01	2007-01-01	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	2092082	2410708	9999-12-31	2013-05-08
094 B	2007-01-01	2007-10-01	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	2092082	2410708	9999-12-31	2013-05-08
094 B	2007-10-01	2008-01-01	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	2092082	2410708	9999-12-31	2013-05-08
094 B	2008-01-01	2008-01-02	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	2092082	2410708	9999-12-31	2013-05-08
094 B	2008-01-02	2009-01-01	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	2092082	2410708	9999-12-31	2013-05-08
094 B	2009-01-01	2009-11-02	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	2092082	2410708	9999-12-31	2013-05-08
094 B	2009-11-02	9999-12-31	Total E&P Norge AS	7.680000	\N	9999-12-31	9999-12-31	2092082	2410708	9999-12-31	2013-05-08
094 B	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	7.240000	\N	9999-12-31	9999-12-31	2092082	2835212	9999-12-31	2013-05-08
094 B	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	7.240000	\N	9999-12-31	9999-12-31	2092082	2835212	9999-12-31	2013-05-08
094 B	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	7.240000	\N	9999-12-31	9999-12-31	2092082	2835212	9999-12-31	2013-05-08
094 B	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	9.610000	\N	9999-12-31	9999-12-31	2092082	4511658	9999-12-31	2013-05-08
094 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	34.570000	\N	2009-01-01	2009-11-01	2092082	4511658	9999-12-31	2013-05-08
094 B	2007-10-01	2008-01-01	StatoilHydro ASA	24.960000	\N	2007-10-01	2008-12-31	2092082	4511854	9999-12-31	2013-05-08
094 B	2008-01-01	2008-01-02	StatoilHydro ASA	34.570000	\N	2007-10-01	2008-12-31	2092082	4511854	9999-12-31	2013-05-08
094 B	2008-01-02	2009-01-01	StatoilHydro ASA	34.570000	\N	2007-10-01	2008-12-31	2092082	4511854	9999-12-31	2013-05-08
094 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.610000	\N	9999-12-31	9999-12-31	2092082	4524355	9999-12-31	2013-05-08
094 B	2009-11-02	9999-12-31	Statoil Petroleum AS	34.570000	\N	2009-11-02	9999-12-31	2092082	17237817	9999-12-31	2013-05-08
212 B	2002-06-14	2007-01-01	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	2092275	474	9999-12-31	2013-05-08
212 B	2002-06-14	2007-01-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	2092275	1622484	9999-12-31	2013-05-08
212 B	2007-01-01	2007-01-02	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	2092275	1622484	9999-12-31	2013-05-08
212 B	2007-01-02	2007-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	2092275	1622484	9999-12-31	2013-05-08
212 B	2002-06-14	2007-01-01	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	2092275	1853786	9999-12-31	2013-05-08
212 B	2007-01-01	2007-01-02	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	2092275	1853786	9999-12-31	2013-05-08
212 B	2002-06-14	2007-01-01	BP Norge AS	30.000000	\N	2002-06-14	9999-12-31	2092275	2052695	9999-12-31	2013-05-08
212 B	2007-01-01	2007-01-02	BP Norge AS	30.000000	\N	2002-06-14	9999-12-31	2092275	2052695	9999-12-31	2013-05-08
212 B	2007-01-02	2007-10-01	BP Norge AS	30.000000	\N	2002-06-14	9999-12-31	2092275	2052695	9999-12-31	2013-05-08
212 B	2007-10-01	2009-01-01	BP Norge AS	30.000000	\N	2002-06-14	9999-12-31	2092275	2052695	9999-12-31	2013-05-08
212 B	2009-01-01	2009-11-02	BP Norge AS	30.000000	\N	2002-06-14	9999-12-31	2092275	2052695	9999-12-31	2013-05-08
212 B	2009-11-02	2012-02-11	BP Norge AS	30.000000	\N	2002-06-14	9999-12-31	2092275	2052695	9999-12-31	2013-05-08
212 B	2012-02-11	9999-12-31	BP Norge AS	30.000000	\N	2002-06-14	9999-12-31	2092275	2052695	9999-12-31	2013-05-08
212 B	2007-01-02	2007-10-01	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	2092275	2840522	9999-12-31	2013-05-08
212 B	2007-10-01	2009-01-01	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	2092275	2840522	9999-12-31	2013-05-08
212 B	2009-01-01	2009-11-02	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	2092275	2840522	9999-12-31	2013-05-08
212 B	2009-11-02	2012-02-11	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	2092275	2840522	9999-12-31	2013-05-08
212 B	2007-01-01	2007-01-02	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	2092275	4505831	9999-12-31	2013-05-08
212 B	2007-01-02	2007-10-01	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	2092275	4505831	9999-12-31	2013-05-08
212 B	2007-10-01	2009-01-01	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	2092275	4505831	9999-12-31	2013-05-08
212 B	2009-01-01	2009-11-02	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	2092275	4505831	9999-12-31	2013-05-08
212 B	2009-11-02	2012-02-11	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	2092275	4505831	9999-12-31	2013-05-08
212 B	2012-02-11	9999-12-31	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	2092275	4505831	9999-12-31	2013-05-08
212 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	2092275	4511658	9999-12-31	2013-05-08
212 B	2007-10-01	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	2092275	4511854	9999-12-31	2013-05-08
212 B	2009-11-02	2012-02-11	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	2092275	17237817	9999-12-31	2013-05-08
212 B	2012-02-11	9999-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	2092275	17237817	9999-12-31	2013-05-08
212 B	2012-02-11	9999-12-31	E.ON E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	2092275	21631209	9999-12-31	2013-05-08
122 B	2002-06-14	2003-08-22	Norsk Agip  AS	20.000000	\N	2002-06-14	2003-12-31	2134110	45	9999-12-31	2013-05-08
122 B	2003-08-22	2003-12-31	Norsk Agip  AS	20.000000	\N	2002-06-14	2003-12-31	2134110	45	9999-12-31	2013-05-08
122 B	2002-06-14	2003-08-22	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	2134110	67	9999-12-31	2013-05-08
122 B	2002-06-14	2003-08-22	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	2134110	474	9999-12-31	2013-05-08
122 B	2003-08-22	2003-12-31	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	2134110	474	9999-12-31	2013-05-08
122 B	2003-12-31	2004-08-03	Mobil Development Norway AS	10.000000	\N	9999-12-31	9999-12-31	2134110	474	9999-12-31	2013-05-08
122 B	2002-06-14	2003-08-22	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	2134110	1622484	9999-12-31	2013-05-08
122 B	2003-08-22	2003-12-31	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	2134110	1622484	9999-12-31	2013-05-08
122 B	2003-12-31	2004-08-03	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	2134110	1622484	9999-12-31	2013-05-08
122 B	2004-08-03	2006-09-06	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	2134110	1622484	9999-12-31	2013-05-08
122 B	2006-09-06	2007-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	2134110	1622484	9999-12-31	2013-05-08
122 B	2003-08-22	2003-12-31	DONG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2134110	1853083	9999-12-31	2013-05-08
122 B	2003-12-31	2004-08-03	DONG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2134110	1853083	9999-12-31	2013-05-08
122 B	2004-08-03	2006-09-06	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2134110	1853083	9999-12-31	2013-05-08
122 B	2003-12-31	2004-08-03	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	2134110	2388594	9999-12-31	2013-05-08
122 B	2004-08-03	2006-09-06	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	2134110	2388594	9999-12-31	2013-05-08
122 B	2006-09-06	2007-10-01	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	2134110	2388594	9999-12-31	2013-05-08
122 B	2007-10-01	2009-01-01	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	2134110	2388594	9999-12-31	2013-05-08
122 B	2009-01-01	2009-11-02	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	2134110	2388594	9999-12-31	2013-05-08
122 B	2009-11-02	9999-12-31	Eni Norge AS	20.000000	\N	2003-12-31	9999-12-31	2134110	2388594	9999-12-31	2013-05-08
122 B	2006-09-06	2007-10-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2134110	4070011	9999-12-31	2013-05-08
122 B	2007-10-01	2009-01-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2134110	4070011	9999-12-31	2013-05-08
122 B	2009-01-01	2009-11-02	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2134110	4070011	9999-12-31	2013-05-08
122 B	2009-11-02	9999-12-31	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2134110	4070011	9999-12-31	2013-05-08
122 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	2134110	4511658	9999-12-31	2013-05-08
122 B	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	2134110	4511854	9999-12-31	2013-05-08
122 B	2009-11-02	9999-12-31	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	2134110	17237817	9999-12-31	2013-05-08
018 C	2002-12-20	2003-03-05	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	2246113	45	9999-12-31	2013-05-08
018 C	2003-03-05	2003-05-06	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	2246113	45	9999-12-31	2013-05-08
018 C	2003-05-06	2003-08-14	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	2246113	45	9999-12-31	2013-05-08
018 C	2003-08-14	2003-12-31	Norsk Agip  AS	12.388000	\N	9999-12-31	9999-12-31	2246113	45	9999-12-31	2013-05-08
018 C	2002-12-20	2003-03-05	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2246113	430	9999-12-31	2013-05-08
018 C	2003-03-05	2003-05-06	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2246113	430	9999-12-31	2013-05-08
018 C	2003-05-06	2003-08-14	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2246113	430	9999-12-31	2013-05-08
018 C	2003-08-14	2003-12-31	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2246113	430	9999-12-31	2013-05-08
018 C	2003-12-31	2004-01-01	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2246113	430	9999-12-31	2013-05-08
018 C	2004-01-01	2004-02-21	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2246113	430	9999-12-31	2013-05-08
018 C	2004-02-21	2005-01-01	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2246113	430	9999-12-31	2013-05-08
018 C	2005-01-01	2006-03-13	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2246113	430	9999-12-31	2013-05-08
018 C	2006-03-13	2006-11-28	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2246113	430	9999-12-31	2013-05-08
018 C	2006-11-28	2007-01-01	Norsk Hydro Produksjon AS	6.654000	\N	9999-12-31	9999-12-31	2246113	430	9999-12-31	2013-05-08
018 C	2003-03-05	2003-05-06	Phillips Petroleum Norsk AS	35.112000	\N	2003-04-25	2003-05-06	2246113	705	9999-12-31	2013-05-08
018 C	2002-12-20	2003-03-05	TotalFinaElf Exploration Norge AS	39.896000	\N	9999-12-31	9999-12-31	2246113	1340884	9999-12-31	2013-05-08
018 C	2003-03-05	2003-05-06	TotalFinaElf Exploration Norge AS	39.896000	\N	9999-12-31	9999-12-31	2246113	1340884	9999-12-31	2013-05-08
018 C	2002-12-20	2003-03-05	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	2246113	1622484	9999-12-31	2013-05-08
018 C	2003-03-05	2003-05-06	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	2246113	1622484	9999-12-31	2013-05-08
018 C	2003-05-06	2003-08-14	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	2246113	1622484	9999-12-31	2013-05-08
018 C	2003-08-14	2003-12-31	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	2246113	1622484	9999-12-31	2013-05-08
018 C	2003-12-31	2004-01-01	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	2246113	1622484	9999-12-31	2013-05-08
018 C	2004-01-01	2004-02-21	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	2246113	1622484	9999-12-31	2013-05-08
018 C	2004-02-21	2005-01-01	Statoil ASA (old)	0.950000	\N	9999-12-31	9999-12-31	2246113	1622484	9999-12-31	2013-05-08
018 C	2002-12-20	2003-03-05	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2003-03-05	2003-05-06	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2003-05-06	2003-08-14	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2003-08-14	2003-12-31	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2003-12-31	2004-01-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2004-01-01	2004-02-21	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2004-02-21	2005-01-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2005-01-01	2006-03-13	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2006-03-13	2006-11-28	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2006-11-28	2007-01-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2007-01-01	2007-09-22	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2007-09-22	2007-10-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2007-10-01	2007-11-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2007-11-01	2008-06-20	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2008-06-20	2009-11-02	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2009-11-02	2010-04-21	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2010-04-21	2011-01-01	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2011-01-01	2011-01-03	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2011-01-03	2011-01-04	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2011-01-04	2011-10-28	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2011-10-28	9999-12-31	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	2246113	1626839	9999-12-31	2013-05-08
018 C	2003-08-14	2003-12-31	Kerr-McGee Norway AS	39.896000	\N	9999-12-31	9999-12-31	2246113	2051482	9999-12-31	2013-05-08
018 C	2003-12-31	2004-01-01	Kerr-McGee Norway AS	39.896000	\N	9999-12-31	9999-12-31	2246113	2051482	9999-12-31	2013-05-08
018 C	2004-01-01	2004-02-21	Kerr-McGee Norway AS	75.008000	\N	9999-12-31	9999-12-31	2246113	2051482	9999-12-31	2013-05-08
018 C	2004-02-21	2005-01-01	Kerr-McGee Norway AS	60.008000	\N	2004-11-12	2006-01-26	2246113	2051482	9999-12-31	2013-05-08
018 C	2005-01-01	2006-03-13	Kerr-McGee Norway AS	60.008000	\N	2004-11-12	2006-01-26	2246113	2051482	9999-12-31	2013-05-08
018 C	2002-12-20	2003-03-05	ConocoPhillips Norge	35.112000	\N	2002-12-20	2003-04-25	2246113	2144081	9999-12-31	2013-05-08
018 C	2003-12-31	2004-01-01	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	2246113	2388594	9999-12-31	2013-05-08
018 C	2004-01-01	2004-02-21	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	2246113	2388594	9999-12-31	2013-05-08
018 C	2004-02-21	2005-01-01	Eni Norge AS	12.388000	\N	9999-12-31	9999-12-31	2246113	2388594	9999-12-31	2013-05-08
018 C	2003-05-06	2003-08-14	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	2004-11-12	2246113	2410696	9999-12-31	2013-05-08
018 C	2003-08-14	2003-12-31	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	2004-11-12	2246113	2410696	9999-12-31	2013-05-08
018 C	2003-12-31	2004-01-01	ConocoPhillips Skandinavia AS	35.112000	\N	2003-05-06	2004-11-12	2246113	2410696	9999-12-31	2013-05-08
018 C	2003-05-06	2003-08-14	Total E&P Norge AS	39.896000	\N	9999-12-31	9999-12-31	2246113	2410708	9999-12-31	2013-05-08
018 C	2005-01-01	2006-03-13	Altinex Oil AS	13.338000	\N	9999-12-31	9999-12-31	2246113	2835200	9999-12-31	2013-05-08
018 C	2006-03-13	2006-11-28	Altinex Oil AS	13.338000	\N	9999-12-31	9999-12-31	2246113	2835200	9999-12-31	2013-05-08
018 C	2004-02-21	2005-01-01	Noble Energy Limited	15.000000	\N	9999-12-31	9999-12-31	2246113	3262354	9999-12-31	2013-05-08
018 C	2005-01-01	2006-03-13	Noble Energy Limited	15.000000	\N	9999-12-31	9999-12-31	2246113	3262354	9999-12-31	2013-05-08
018 C	2006-03-13	2006-11-28	Noble Energy Limited	15.000000	\N	9999-12-31	9999-12-31	2246113	3262354	9999-12-31	2013-05-08
018 C	2006-11-28	2007-01-01	Noble Energy Limited	15.000000	\N	9999-12-31	9999-12-31	2246113	3262354	9999-12-31	2013-05-08
018 C	2007-01-01	2007-09-22	Noble Energy Limited	15.000000	\N	9999-12-31	9999-12-31	2246113	3262354	9999-12-31	2013-05-08
018 C	2007-09-22	2007-10-01	Noble Energy Limited	15.000000	\N	9999-12-31	9999-12-31	2246113	3262354	9999-12-31	2013-05-08
018 C	2007-10-01	2007-11-01	Noble Energy Limited	15.000000	\N	9999-12-31	9999-12-31	2246113	3262354	9999-12-31	2013-05-08
018 C	2006-03-13	2006-11-28	Maersk Oil Norway AS (old2)	60.008000	\N	2006-01-26	2007-09-22	2246113	3960921	9999-12-31	2013-05-08
018 C	2006-11-28	2007-01-01	Maersk Oil Norway AS (old2)	60.008000	\N	2006-01-26	2007-09-22	2246113	3960921	9999-12-31	2013-05-08
289	2009-01-01	2012-06-29	GDF SUEZ E&P Norge AS	16.000000	\N	9999-12-31	9999-12-31	2407454	5267845	2012-06-30	2013-05-08
018 C	2007-01-01	2007-09-22	Maersk Oil Norway AS (old2)	60.008000	\N	2006-01-26	2007-09-22	2246113	3960921	9999-12-31	2013-05-08
018 C	2007-11-01	2008-06-20	Noble Energy Norge AS	15.000000	\N	9999-12-31	9999-12-31	2246113	4393186	9999-12-31	2013-05-08
018 C	2006-11-28	2007-01-01	Altinex Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	2246113	4446230	9999-12-31	2013-05-08
018 C	2007-01-01	2007-09-22	Altinex Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	2246113	4446230	9999-12-31	2013-05-08
018 C	2007-09-22	2007-10-01	Altinex Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	2246113	4446230	9999-12-31	2013-05-08
018 C	2007-10-01	2007-11-01	Altinex Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	2246113	4446230	9999-12-31	2013-05-08
018 C	2007-11-01	2008-06-20	Altinex Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	2246113	4446230	9999-12-31	2013-05-08
018 C	2008-06-20	2009-11-02	Altinex Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	2246113	4446230	9999-12-31	2013-05-08
018 C	2009-11-02	2010-04-21	Altinex Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	2246113	4446230	9999-12-31	2013-05-08
018 C	2010-04-21	2011-01-01	Altinex Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	2246113	4446230	9999-12-31	2013-05-08
018 C	2008-06-20	2009-11-02	Skeie Energy AS (Old)	15.000000	\N	9999-12-31	9999-12-31	2246113	4511646	2013-03-19	2013-05-08
018 C	2009-11-02	2010-04-21	Skeie Energy AS (Old)	15.000000	\N	9999-12-31	9999-12-31	2246113	4511646	2013-03-19	2013-05-08
018 C	2007-10-01	2007-11-01	StatoilHydro Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2246113	4511658	9999-12-31	2013-05-08
018 C	2007-11-01	2008-06-20	StatoilHydro Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2246113	4511658	9999-12-31	2013-05-08
018 C	2008-06-20	2009-11-02	StatoilHydro Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2246113	4511658	9999-12-31	2013-05-08
018 C	2007-01-01	2007-09-22	Norsk Hydro Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2246113	4524355	9999-12-31	2013-05-08
018 C	2007-09-22	2007-10-01	Norsk Hydro Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2246113	4524355	9999-12-31	2013-05-08
018 C	2007-09-22	2007-10-01	Maersk Oil PL 018C Norway AS	60.008000	\N	2007-09-22	2011-10-27	2246113	4703832	9999-12-31	2013-05-08
018 C	2007-10-01	2007-11-01	Maersk Oil PL 018C Norway AS	60.008000	\N	2007-09-22	2011-10-27	2246113	4703832	9999-12-31	2013-05-08
018 C	2007-11-01	2008-06-20	Maersk Oil PL 018C Norway AS	60.008000	\N	2007-09-22	2011-10-27	2246113	4703832	9999-12-31	2013-05-08
018 C	2008-06-20	2009-11-02	Maersk Oil PL 018C Norway AS	60.008000	\N	2007-09-22	2011-10-27	2246113	4703832	9999-12-31	2013-05-08
018 C	2009-11-02	2010-04-21	Maersk Oil PL 018C Norway AS	60.008000	\N	2007-09-22	2011-10-27	2246113	4703832	9999-12-31	2013-05-08
018 C	2010-04-21	2011-01-01	Maersk Oil PL 018C Norway AS	60.008000	\N	2007-09-22	2011-10-27	2246113	4703832	9999-12-31	2013-05-08
018 C	2011-01-01	2011-01-03	Maersk Oil PL 018C Norway AS	60.008000	\N	2007-09-22	2011-10-27	2246113	4703832	9999-12-31	2013-05-08
018 C	2011-01-03	2011-01-04	Maersk Oil PL 018C Norway AS	60.008000	\N	2007-09-22	2011-10-27	2246113	4703832	9999-12-31	2013-05-08
018 C	2011-01-04	2011-10-28	Maersk Oil PL 018C Norway AS	60.008000	\N	2007-09-22	2011-10-27	2246113	4703832	9999-12-31	2013-05-08
018 C	2011-01-01	2011-01-03	Maersk Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	2246113	4719674	9999-12-31	2013-05-08
018 C	2011-01-03	2011-01-04	Maersk Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	2246113	4719674	9999-12-31	2013-05-08
018 C	2011-01-04	2011-10-28	Maersk Oil Norway AS	28.338000	\N	9999-12-31	9999-12-31	2246113	4719674	9999-12-31	2013-05-08
018 C	2011-10-28	9999-12-31	Maersk Oil Norway AS	88.346000	\N	2011-10-28	9999-12-31	2246113	4719674	9999-12-31	2013-05-08
018 C	2010-04-21	2011-01-01	Skeie Oil & Gas AS	15.000000	\N	9999-12-31	9999-12-31	2246113	4998977	9999-12-31	2013-05-08
018 C	2011-01-01	2011-01-03	Skeie Oil & Gas AS	15.000000	\N	9999-12-31	9999-12-31	2246113	4998977	9999-12-31	2013-05-08
018 C	2009-11-02	2010-04-21	Statoil Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2246113	17237817	9999-12-31	2013-05-08
018 C	2010-04-21	2011-01-01	Statoil Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2246113	17237817	9999-12-31	2013-05-08
018 C	2011-01-01	2011-01-03	Statoil Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2246113	17237817	9999-12-31	2013-05-08
018 C	2011-01-03	2011-01-04	Statoil Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2246113	17237817	9999-12-31	2013-05-08
018 C	2011-01-04	2011-10-28	Statoil Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2246113	17237817	9999-12-31	2013-05-08
018 C	2011-10-28	9999-12-31	Statoil Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	2246113	17237817	9999-12-31	2013-05-08
018 C	2011-01-03	2011-01-04	Skeie Energy AS	15.000000	\N	9999-12-31	9999-12-31	2246113	23286115	9999-12-31	2013-05-08
038 B	2003-04-11	2005-01-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2407278	1626839	9999-12-31	2013-05-08
038 B	2005-01-31	2005-02-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2407278	1626839	9999-12-31	2013-05-08
038 B	2005-02-01	2006-04-11	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2407278	1626839	9999-12-31	2013-05-08
038 B	2003-04-11	2005-01-31	Pertra AS (OLD)	70.000000	\N	2003-04-11	2005-03-31	2407278	2069841	9999-12-31	2013-05-08
038 B	2005-02-01	2006-04-11	Talisman Energy Norge AS	70.000000	\N	2005-04-29	2006-04-11	2407278	2425093	9999-12-31	2013-05-08
038 B	2005-01-31	2005-02-01	Talisman Production Norge AS	70.000000	\N	9999-12-31	9999-12-31	2407278	3420565	9999-12-31	2013-05-08
287	2003-04-11	2004-10-01	Esso Exploration and Production Norway A/S	100.000000	\N	2003-04-11	2004-10-01	2407356	353	9999-12-31	2013-05-08
287	2004-10-01	2004-12-14	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2004-10-01	2004-12-14	2407356	2835212	9999-12-31	2013-05-08
289	2003-04-11	2005-01-01	Paladin Resources Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	1577943	9999-12-31	2013-05-08
289	2005-01-01	2006-03-22	Paladin Resources Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	1577943	9999-12-31	2013-05-08
289	2005-01-01	2006-03-22	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	1628733	9999-12-31	2013-05-08
289	2006-03-22	2006-09-06	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	1628733	9999-12-31	2013-05-08
289	2006-09-06	2006-09-07	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	1628733	9999-12-31	2013-05-08
289	2006-09-07	2008-01-01	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	1628733	9999-12-31	2013-05-08
289	2008-01-01	2009-01-01	Gaz de France Norge AS	16.000000	\N	9999-12-31	9999-12-31	2407454	1628733	9999-12-31	2013-05-08
289	2003-04-11	2005-01-01	DONG Norge AS	70.000000	\N	2003-04-11	2006-09-06	2407454	1853083	9999-12-31	2013-05-08
289	2005-01-01	2006-03-22	DONG Norge AS	40.000000	\N	2003-04-11	2006-09-06	2407454	1853083	9999-12-31	2013-05-08
289	2006-03-22	2006-09-06	DONG Norge AS	40.000000	\N	2003-04-11	2006-09-06	2407454	1853083	9999-12-31	2013-05-08
289	2006-09-07	2008-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	2425093	9999-12-31	2013-05-08
289	2008-01-01	2009-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	2425093	9999-12-31	2013-05-08
289	2009-01-01	2012-06-29	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	2425093	2012-06-30	2013-05-08
289	2012-06-29	2012-07-31	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	2425093	2012-08-01	2013-05-08
289	2012-07-31	2012-10-31	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	2425093	2012-11-06	2013-05-08
289	2006-03-22	2006-09-06	Talisman Resources Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	3987574	9999-12-31	2013-05-08
289	2006-09-06	2006-09-07	Talisman Resources Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	3987574	9999-12-31	2013-05-08
289	2008-01-01	2009-01-01	Faroe Petroleum Norge AS	14.000000	\N	9999-12-31	9999-12-31	2407454	4062883	9999-12-31	2013-05-08
289	2009-01-01	2012-06-29	Faroe Petroleum Norge AS	14.000000	\N	9999-12-31	9999-12-31	2407454	4062883	2012-06-30	2013-05-08
289	2006-09-06	2006-09-07	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2407454	4070011	9999-12-31	2013-05-08
289	2006-09-07	2008-01-01	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2407454	4070011	9999-12-31	2013-05-08
289	2008-01-01	2009-01-01	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2407454	4070011	9999-12-31	2013-05-08
289	2009-01-01	2012-06-29	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2407454	4070011	2012-06-30	2013-05-08
289	2012-06-29	2012-07-31	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2407454	4070011	2012-08-01	2013-05-08
289	2012-07-31	2012-10-31	DONG E&P Norge AS	40.000000	\N	2006-09-06	9999-12-31	2407454	4070011	2012-11-06	2013-05-08
289	2012-10-31	9999-12-31	DONG E&P Norge AS	50.000000	\N	2006-09-06	9999-12-31	2407454	4070011	9999-12-31	2013-05-08
289	2012-06-29	2012-07-31	Bayerngas Norge AS	14.000000	\N	9999-12-31	9999-12-31	2407454	4444493	2012-08-01	2013-05-08
289	2012-07-31	2012-10-31	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407454	4444493	2012-11-06	2013-05-08
289	2012-10-31	9999-12-31	Bayerngas Norge AS	50.000000	\N	9999-12-31	9999-12-31	2407454	4444493	9999-12-31	2013-05-08
289	2012-06-29	2012-07-31	GDF SUEZ E&P Norge AS	16.000000	\N	9999-12-31	9999-12-31	2407454	5267845	2012-08-01	2013-05-08
290	2003-04-11	2004-04-11	Norsk Hydro Produksjon AS	45.000000	\N	9999-12-31	9999-12-31	2407486	430	9999-12-31	2013-05-08
290	2003-04-11	2004-04-11	RWE Dea Norge AS	55.000000	\N	2003-04-11	2004-04-11	2407486	97557	9999-12-31	2013-05-08
291	2003-04-11	2004-01-01	Esso Exploration and Production Norway A/S	16.343400	\N	9999-12-31	9999-12-31	2407510	353	9999-12-31	2013-05-08
291	2004-01-01	2004-10-01	Esso Exploration and Production Norway A/S	13.843400	\N	9999-12-31	9999-12-31	2407510	353	9999-12-31	2013-05-08
291	2003-04-11	2004-01-01	Norsk Hydro Produksjon AS	20.000000	\N	2003-04-11	2006-04-11	2407510	430	9999-12-31	2013-05-08
291	2004-01-01	2004-10-01	Norsk Hydro Produksjon AS	20.000000	\N	2003-04-11	2006-04-11	2407510	430	9999-12-31	2013-05-08
291	2004-10-01	2005-01-01	Norsk Hydro Produksjon AS	20.000000	\N	2003-04-11	2006-04-11	2407510	430	9999-12-31	2013-05-08
291	2005-01-01	2005-01-02	Norsk Hydro Produksjon AS	20.000000	\N	2003-04-11	2006-04-11	2407510	430	9999-12-31	2013-05-08
291	2005-01-02	2005-05-04	Norsk Hydro Produksjon AS	20.000000	\N	2003-04-11	2006-04-11	2407510	430	9999-12-31	2013-05-08
291	2005-05-04	2006-04-11	Norsk Hydro Produksjon AS	20.000000	\N	2003-04-11	2006-04-11	2407510	430	9999-12-31	2013-05-08
291	2003-04-11	2004-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2407510	1577943	9999-12-31	2013-05-08
291	2004-01-01	2004-10-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2407510	1577943	9999-12-31	2013-05-08
291	2004-10-01	2005-01-01	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2407510	1577943	9999-12-31	2013-05-08
291	2005-01-01	2005-01-02	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2407510	1577943	9999-12-31	2013-05-08
291	2005-01-02	2005-05-04	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2407510	1577943	9999-12-31	2013-05-08
291	2005-05-04	2006-04-11	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2407510	1577943	9999-12-31	2013-05-08
291	2003-04-11	2004-01-01	Statoil ASA (old)	12.700000	\N	9999-12-31	9999-12-31	2407510	1622484	9999-12-31	2013-05-08
291	2004-01-01	2004-10-01	Statoil ASA (old)	12.700000	\N	9999-12-31	9999-12-31	2407510	1622484	9999-12-31	2013-05-08
291	2004-10-01	2005-01-01	Statoil ASA (old)	12.700000	\N	9999-12-31	9999-12-31	2407510	1622484	9999-12-31	2013-05-08
291	2005-01-01	2005-01-02	Statoil ASA (old)	12.700000	\N	9999-12-31	9999-12-31	2407510	1622484	9999-12-31	2013-05-08
291	2005-01-02	2005-05-04	Statoil ASA (old)	12.700000	\N	9999-12-31	9999-12-31	2407510	1622484	9999-12-31	2013-05-08
291	2005-05-04	2006-04-11	Statoil ASA (old)	12.700000	\N	9999-12-31	9999-12-31	2407510	1622484	9999-12-31	2013-05-08
291	2003-04-11	2004-01-01	Petoro AS	14.256700	\N	9999-12-31	9999-12-31	2407510	1626839	9999-12-31	2013-05-08
291	2004-01-01	2004-10-01	Petoro AS	14.256700	\N	9999-12-31	9999-12-31	2407510	1626839	9999-12-31	2013-05-08
291	2004-10-01	2005-01-01	Petoro AS	14.256700	\N	9999-12-31	9999-12-31	2407510	1626839	9999-12-31	2013-05-08
291	2005-01-01	2005-01-02	Petoro AS	14.256700	\N	9999-12-31	9999-12-31	2407510	1626839	9999-12-31	2013-05-08
291	2005-01-02	2005-05-04	Petoro AS	14.256700	\N	9999-12-31	9999-12-31	2407510	1626839	9999-12-31	2013-05-08
291	2005-05-04	2006-04-11	Petoro AS	14.256700	\N	9999-12-31	9999-12-31	2407510	1626839	9999-12-31	2013-05-08
291	2003-04-11	2004-01-01	OER Oil AS	4.442400	\N	9999-12-31	9999-12-31	2407510	2258813	9999-12-31	2013-05-08
291	2004-01-01	2004-10-01	OER Oil AS	4.442400	\N	9999-12-31	9999-12-31	2407510	2258813	9999-12-31	2013-05-08
291	2004-10-01	2005-01-01	OER Oil AS	4.442400	\N	9999-12-31	9999-12-31	2407510	2258813	9999-12-31	2013-05-08
291	2003-04-11	2004-01-01	Eni Norge AS	12.257500	\N	9999-12-31	9999-12-31	2407510	2388594	9999-12-31	2013-05-08
291	2004-01-01	2004-10-01	Eni Norge AS	12.257500	\N	9999-12-31	9999-12-31	2407510	2388594	9999-12-31	2013-05-08
291	2004-10-01	2005-01-01	Eni Norge AS	12.257500	\N	9999-12-31	9999-12-31	2407510	2388594	9999-12-31	2013-05-08
291	2005-01-01	2005-01-02	Eni Norge AS	12.257500	\N	9999-12-31	9999-12-31	2407510	2388594	9999-12-31	2013-05-08
291	2005-01-02	2005-05-04	Eni Norge AS	12.257500	\N	9999-12-31	9999-12-31	2407510	2388594	9999-12-31	2013-05-08
291	2005-05-04	2006-04-11	Eni Norge AS	12.257500	\N	9999-12-31	9999-12-31	2407510	2388594	9999-12-31	2013-05-08
291	2005-01-02	2005-05-04	Talisman Energy Norge AS	13.843400	\N	9999-12-31	9999-12-31	2407510	2425093	9999-12-31	2013-05-08
291	2005-05-04	2006-04-11	Talisman Energy Norge AS	13.843400	\N	9999-12-31	9999-12-31	2407510	2425093	9999-12-31	2013-05-08
291	2004-01-01	2004-10-01	Revus Energy AS	2.500000	\N	9999-12-31	9999-12-31	2407510	2455850	9999-12-31	2013-05-08
291	2004-10-01	2005-01-01	Revus Energy AS	2.500000	\N	9999-12-31	9999-12-31	2407510	2455850	9999-12-31	2013-05-08
291	2005-01-01	2005-01-02	Revus Energy AS	2.500000	\N	9999-12-31	9999-12-31	2407510	2455850	9999-12-31	2013-05-08
291	2005-01-02	2005-05-04	Revus Energy AS	2.500000	\N	9999-12-31	9999-12-31	2407510	2455850	9999-12-31	2013-05-08
291	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	13.843400	\N	9999-12-31	9999-12-31	2407510	2835212	9999-12-31	2013-05-08
291	2005-01-01	2005-01-02	ExxonMobil Exploration & Production Norway AS	13.843400	\N	9999-12-31	9999-12-31	2407510	2835212	9999-12-31	2013-05-08
291	2005-01-01	2005-01-02	Endeavour Energy Norge AS	4.442400	\N	9999-12-31	9999-12-31	2407510	3113213	9999-12-31	2013-05-08
291	2005-01-02	2005-05-04	Endeavour Energy Norge AS	4.442400	\N	9999-12-31	9999-12-31	2407510	3113213	9999-12-31	2013-05-08
291	2005-05-04	2006-04-11	Endeavour Energy Norge AS	4.442400	\N	9999-12-31	9999-12-31	2407510	3113213	9999-12-31	2013-05-08
291	2005-05-04	2006-04-11	Revus Energy ASA	2.500000	\N	9999-12-31	9999-12-31	2407510	3431773	9999-12-31	2013-05-08
295	2003-04-11	2004-10-01	Esso Exploration and Production Norway A/S	100.000000	\N	2003-04-11	2004-10-01	2407550	353	9999-12-31	2013-05-08
295	2004-10-01	2005-04-11	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2004-10-01	2005-04-11	2407550	2835212	9999-12-31	2013-05-08
292	2003-04-11	2004-01-01	Det Norske Oljeselskap AS	100.000000	\N	2003-04-11	2004-01-01	2407572	1340609	9999-12-31	2013-05-08
292	2004-01-02	9999-12-31	BG Norge AS	60.000000	\N	2005-05-09	9999-12-31	2407572	2747354	9999-12-31	2013-05-08
292	2004-01-01	2004-01-02	Lundin Norway AS	100.000000	\N	2004-01-01	2005-05-09	2407572	2767314	9999-12-31	2013-05-08
292	2004-01-02	9999-12-31	Lundin Norway AS	40.000000	\N	2004-01-01	2005-05-09	2407572	2767314	9999-12-31	2013-05-08
293	2003-04-11	2003-12-31	Norsk Agip  AS	60.000000	\N	2003-04-11	2003-12-31	2407711	45	9999-12-31	2013-05-08
293	2007-08-14	2007-10-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	2407711	441	9999-12-31	2013-05-08
293	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	2407711	441	9999-12-31	2013-05-08
293	2009-01-01	2009-11-02	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	2407711	441	9999-12-31	2013-05-08
293	2009-11-02	9999-12-31	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	2407711	441	9999-12-31	2013-05-08
293	2003-04-11	2003-12-31	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2407711	1622484	9999-12-31	2013-05-08
293	2003-12-31	2007-08-14	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2407711	1622484	9999-12-31	2013-05-08
293	2007-08-14	2007-10-01	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2407711	1622484	9999-12-31	2013-05-08
293	2003-12-31	2007-08-14	Eni Norge AS	60.000000	\N	2003-12-31	9999-12-31	2407711	2388594	9999-12-31	2013-05-08
293	2007-08-14	2007-10-01	Eni Norge AS	45.000000	\N	2003-12-31	9999-12-31	2407711	2388594	9999-12-31	2013-05-08
293	2007-10-01	2009-01-01	Eni Norge AS	45.000000	\N	2003-12-31	9999-12-31	2407711	2388594	9999-12-31	2013-05-08
293	2009-01-01	2009-11-02	Eni Norge AS	45.000000	\N	2003-12-31	9999-12-31	2407711	2388594	9999-12-31	2013-05-08
293	2009-11-02	9999-12-31	Eni Norge AS	45.000000	\N	2003-12-31	9999-12-31	2407711	2388594	9999-12-31	2013-05-08
293	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	2407711	4511658	9999-12-31	2013-05-08
293	2007-10-01	2009-01-01	StatoilHydro ASA	40.000000	\N	9999-12-31	9999-12-31	2407711	4511854	9999-12-31	2013-05-08
293	2009-11-02	9999-12-31	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	2407711	17237817	9999-12-31	2013-05-08
294	2003-04-11	2006-04-11	Norsk Hydro Produksjon AS	55.000000	\N	2003-04-11	2006-04-11	2407753	430	9999-12-31	2013-05-08
294	2003-04-11	2006-04-11	RWE Dea Norge AS	45.000000	\N	9999-12-31	9999-12-31	2407753	97557	9999-12-31	2013-05-08
167 B	2003-04-11	2004-01-01	Det Norske Oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	2407874	1340609	9999-12-31	2013-05-08
167 B	2003-04-11	2004-01-01	Statoil ASA (old)	80.000000	\N	2003-04-11	2007-10-01	2407874	1622484	9999-12-31	2013-05-08
167 B	2004-01-01	2007-10-01	Statoil ASA (old)	80.000000	\N	2003-04-11	2007-10-01	2407874	1622484	9999-12-31	2013-05-08
167 B	2004-01-01	2007-10-01	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	2407874	2767314	9999-12-31	2013-05-08
167 B	2007-10-01	2009-01-01	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	2407874	2767314	9999-12-31	2013-05-08
167 B	2009-01-01	2009-11-02	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	2407874	2767314	9999-12-31	2013-05-08
167 B	2009-11-02	9999-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	2407874	2767314	9999-12-31	2013-05-08
167 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	80.000000	\N	2009-01-01	2009-11-01	2407874	4511658	9999-12-31	2013-05-08
167 B	2007-10-01	2009-01-01	StatoilHydro ASA	80.000000	\N	2007-10-01	2008-12-31	2407874	4511854	9999-12-31	2013-05-08
167 B	2009-11-02	9999-12-31	Statoil Petroleum AS	80.000000	\N	2009-11-02	9999-12-31	2407874	17237817	9999-12-31	2013-05-08
288	2003-04-11	2006-03-22	Paladin Resources Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407909	1577943	9999-12-31	2013-05-08
288	2003-04-11	2006-03-22	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	2407909	1622484	9999-12-31	2013-05-08
288	2006-03-22	2006-04-11	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	2407909	1622484	9999-12-31	2013-05-08
288	2003-04-11	2006-03-22	DONG Norge AS	40.000000	\N	2003-04-11	2006-04-11	2407909	1853083	9999-12-31	2013-05-08
288	2006-03-22	2006-04-11	DONG Norge AS	40.000000	\N	2003-04-11	2006-04-11	2407909	1853083	9999-12-31	2013-05-08
288	2006-03-22	2006-04-11	Talisman Resources Norge AS	30.000000	\N	9999-12-31	9999-12-31	2407909	3987574	9999-12-31	2013-05-08
055 C	2003-06-27	2003-11-18	Esso Exploration and Production Norway A/S	17.600000	\N	9999-12-31	9999-12-31	2424830	353	9999-12-31	2013-05-08
055 C	2003-06-27	2003-11-18	Norsk Hydro Produksjon AS	20.000000	\N	2003-06-27	2007-01-01	2424830	430	9999-12-31	2013-05-08
055 C	2003-11-18	2007-01-01	Norsk Hydro Produksjon AS	34.000000	\N	2003-06-27	2007-01-01	2424830	430	9999-12-31	2013-05-08
055 C	2003-11-18	2007-01-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	2424830	474	9999-12-31	2013-05-08
055 C	2007-01-01	2007-01-02	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	2424830	474	9999-12-31	2013-05-08
055 C	2007-01-02	2007-10-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	2424830	474	9999-12-31	2013-05-08
055 C	2007-10-01	2008-01-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	2424830	474	9999-12-31	2013-05-08
055 C	2003-06-27	2003-11-18	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2424830	1577943	9999-12-31	2013-05-08
055 C	2003-06-27	2003-11-18	Statoil ASA (old)	12.600000	\N	9999-12-31	9999-12-31	2424830	1622484	9999-12-31	2013-05-08
055 C	2003-11-18	2007-01-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	2424830	1622484	9999-12-31	2013-05-08
055 C	2007-01-01	2007-01-02	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	2424830	1622484	9999-12-31	2013-05-08
055 C	2007-01-02	2007-10-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	2424830	1622484	9999-12-31	2013-05-08
055 C	2003-06-27	2003-11-18	Petoro AS	13.400000	\N	9999-12-31	9999-12-31	2424830	1626839	9999-12-31	2013-05-08
055 C	2003-11-18	2007-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2424830	1626839	9999-12-31	2013-05-08
055 C	2007-01-01	2007-01-02	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2424830	1626839	9999-12-31	2013-05-08
055 C	2007-01-02	2007-10-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2424830	1626839	9999-12-31	2013-05-08
055 C	2007-10-01	2008-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2424830	1626839	9999-12-31	2013-05-08
055 C	2008-01-01	2009-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2424830	1626839	9999-12-31	2013-05-08
055 C	2009-01-01	2009-11-02	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2424830	1626839	9999-12-31	2013-05-08
055 C	2009-11-02	9999-12-31	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2424830	1626839	9999-12-31	2013-05-08
055 C	2003-06-27	2003-11-18	OER Oil AS	3.200000	\N	9999-12-31	9999-12-31	2424830	2258813	9999-12-31	2013-05-08
055 C	2003-06-27	2003-11-18	Eni Norge AS	13.200000	\N	9999-12-31	9999-12-31	2424830	2388594	9999-12-31	2013-05-08
055 C	2003-11-18	2007-01-01	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	2424830	2399056	9999-12-31	2013-05-08
055 C	2007-01-01	2007-01-02	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	2424830	2399056	9999-12-31	2013-05-08
055 C	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	2424830	2410696	9999-12-31	2013-05-08
055 C	2007-10-01	2008-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	2424830	2410696	9999-12-31	2013-05-08
055 C	2008-01-01	2009-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	2424830	2410696	9999-12-31	2013-05-08
055 C	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	2424830	2410696	9999-12-31	2013-05-08
055 C	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	2424830	2410696	9999-12-31	2013-05-08
055 C	2003-11-18	2007-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2424830	2410708	9999-12-31	2013-05-08
055 C	2007-01-01	2007-01-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2424830	2410708	9999-12-31	2013-05-08
055 C	2007-01-02	2007-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2424830	2410708	9999-12-31	2013-05-08
055 C	2007-10-01	2008-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2424830	2410708	9999-12-31	2013-05-08
055 C	2008-01-01	2009-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2424830	2410708	9999-12-31	2013-05-08
055 C	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2424830	2410708	9999-12-31	2013-05-08
055 C	2009-11-02	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2424830	2410708	9999-12-31	2013-05-08
055 C	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	2424830	2835212	9999-12-31	2013-05-08
055 C	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	2424830	2835212	9999-12-31	2013-05-08
055 C	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	2424830	2835212	9999-12-31	2013-05-08
055 C	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	2424830	4511658	9999-12-31	2013-05-08
055 C	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	34.000000	\N	2007-10-01	2009-11-01	2424830	4511658	9999-12-31	2013-05-08
055 C	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	49.300000	\N	2007-10-01	2009-11-01	2424830	4511658	9999-12-31	2013-05-08
055 C	2007-10-01	2008-01-01	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	2424830	4511854	9999-12-31	2013-05-08
055 C	2008-01-01	2009-01-01	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	2424830	4511854	9999-12-31	2013-05-08
055 C	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	34.000000	\N	2007-01-01	2007-10-01	2424830	4524355	9999-12-31	2013-05-08
055 C	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	34.000000	\N	2007-01-01	2007-10-01	2424830	4524355	9999-12-31	2013-05-08
055 C	2009-11-02	9999-12-31	Statoil Petroleum AS	49.300000	\N	2009-11-02	9999-12-31	2424830	17237817	9999-12-31	2013-05-08
143 BS	2003-06-27	2004-01-01	Paladin Resources Norge AS	65.000000	\N	2003-06-27	2006-03-22	2424891	1577943	9999-12-31	2013-05-08
143 BS	2004-01-01	2006-03-22	Paladin Resources Norge AS	65.000000	\N	2003-06-27	2006-03-22	2424891	1577943	9999-12-31	2013-05-08
143 BS	2003-06-27	2004-01-01	ConocoPhillips Skandinavia AS	35.000000	\N	9999-12-31	9999-12-31	2424891	2410696	9999-12-31	2013-05-08
143 BS	2004-01-01	2006-03-22	Talisman Energy Norge AS	35.000000	\N	9999-12-31	9999-12-31	2424891	2425093	9999-12-31	2013-05-08
143 BS	2006-03-22	2006-03-23	Talisman Energy Norge AS	35.000000	\N	9999-12-31	9999-12-31	2424891	2425093	9999-12-31	2013-05-08
143 BS	2006-03-23	9999-12-31	Talisman Energy Norge AS	100.000000	\N	2006-11-16	9999-12-31	2424891	2425093	9999-12-31	2013-05-08
143 BS	2006-03-22	2006-03-23	Talisman Resources Norge AS	65.000000	\N	2006-03-22	2006-11-16	2424891	3987574	9999-12-31	2013-05-08
143 CS	2005-09-01	2006-03-22	Det Norske Oljeselskap AS	35.000000	\N	9999-12-31	9999-12-31	2424919	1340609	9999-12-31	2013-05-08
143 CS	2006-03-22	2006-10-13	Det Norske Oljeselskap AS	35.000000	\N	9999-12-31	9999-12-31	2424919	1340609	9999-12-31	2013-05-08
143 CS	2006-10-13	2007-01-01	Det Norske Oljeselskap AS	35.000000	\N	9999-12-31	9999-12-31	2424919	1340609	9999-12-31	2013-05-08
143 CS	2003-06-27	2004-01-01	Paladin Resources Norge AS	65.000000	\N	2003-06-27	2006-03-22	2424919	1577943	9999-12-31	2013-05-08
143 CS	2004-01-01	2004-07-01	Paladin Resources Norge AS	65.000000	\N	2003-06-27	2006-03-22	2424919	1577943	9999-12-31	2013-05-08
143 CS	2004-07-01	2005-09-01	Paladin Resources Norge AS	45.000000	\N	2003-06-27	2006-03-22	2424919	1577943	9999-12-31	2013-05-08
143 CS	2005-09-01	2006-03-22	Paladin Resources Norge AS	45.000000	\N	2003-06-27	2006-03-22	2424919	1577943	9999-12-31	2013-05-08
143 CS	2003-06-27	2004-01-01	ConocoPhillips Skandinavia AS	35.000000	\N	9999-12-31	9999-12-31	2424919	2410696	9999-12-31	2013-05-08
143 CS	2004-01-01	2004-07-01	Talisman Energy Norge AS	35.000000	\N	9999-12-31	9999-12-31	2424919	2425093	9999-12-31	2013-05-08
143 CS	2004-07-01	2005-09-01	Talisman Energy Norge AS	35.000000	\N	9999-12-31	9999-12-31	2424919	2425093	9999-12-31	2013-05-08
143 CS	2006-10-13	2007-01-01	Talisman Energy Norge AS	45.000000	\N	2006-11-16	2007-01-01	2424919	2425093	9999-12-31	2013-05-08
143 CS	2004-07-01	2005-09-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2424919	2747354	9999-12-31	2013-05-08
143 CS	2005-09-01	2006-03-22	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2424919	2747354	9999-12-31	2013-05-08
143 CS	2006-03-22	2006-10-13	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2424919	2747354	9999-12-31	2013-05-08
143 CS	2006-10-13	2007-01-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2424919	2747354	9999-12-31	2013-05-08
143 CS	2006-03-22	2006-10-13	Talisman Resources Norge AS	45.000000	\N	2006-03-22	2006-11-16	2424919	3987574	9999-12-31	2013-05-08
036 BS	2003-10-13	2004-01-01	Norsk Hydro Produksjon AS	19.274000	\N	2003-10-13	2007-01-01	2473189	430	9999-12-31	2013-05-08
036 BS	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	19.443000	\N	2003-10-13	2007-01-01	2473189	430	9999-12-31	2013-05-08
036 BS	2003-10-13	2004-01-01	Marathon Petroleum Norge AS	23.798000	\N	9999-12-31	9999-12-31	2473189	463	9999-12-31	2013-05-08
036 BS	2004-01-01	2007-01-01	Marathon Petroleum Norge AS	23.798000	\N	9999-12-31	9999-12-31	2473189	463	9999-12-31	2013-05-08
036 BS	2007-01-01	2007-10-01	Marathon Petroleum Norge AS	23.798000	\N	9999-12-31	9999-12-31	2473189	463	9999-12-31	2013-05-08
036 BS	2007-10-01	2008-01-01	Marathon Petroleum Norge AS	23.798000	\N	9999-12-31	9999-12-31	2473189	463	9999-12-31	2013-05-08
036 BS	2003-10-13	2004-01-01	AS Uglands Rederi	0.169000	\N	9999-12-31	9999-12-31	2473189	40103	9999-12-31	2013-05-08
036 BS	2003-10-13	2004-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	2473189	1622484	9999-12-31	2013-05-08
036 BS	2004-01-01	2007-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	2473189	1622484	9999-12-31	2013-05-08
036 BS	2007-01-01	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	2473189	1622484	9999-12-31	2013-05-08
036 BS	2003-10-13	2004-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2473189	1626839	9999-12-31	2013-05-08
036 BS	2004-01-01	2007-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2473189	1626839	9999-12-31	2013-05-08
036 BS	2007-01-01	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2473189	1626839	9999-12-31	2013-05-08
036 BS	2007-10-01	2008-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2473189	1626839	9999-12-31	2013-05-08
036 BS	2008-01-01	2009-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2473189	1626839	9999-12-31	2013-05-08
036 BS	2009-01-01	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2473189	1626839	9999-12-31	2013-05-08
036 BS	2009-11-02	2012-04-30	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2473189	1626839	9999-12-31	2013-05-08
036 BS	2012-04-30	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2473189	1626839	9999-12-31	2013-05-08
036 BS	2003-10-13	2004-01-01	Total E&P Norge AS	16.759000	\N	9999-12-31	9999-12-31	2473189	2410708	9999-12-31	2013-05-08
036 BS	2004-01-01	2007-01-01	Total E&P Norge AS	16.759000	\N	9999-12-31	9999-12-31	2473189	2410708	9999-12-31	2013-05-08
036 BS	2007-01-01	2007-10-01	Total E&P Norge AS	16.759000	\N	9999-12-31	9999-12-31	2473189	2410708	9999-12-31	2013-05-08
036 BS	2007-10-01	2008-01-01	Total E&P Norge AS	16.759000	\N	9999-12-31	9999-12-31	2473189	2410708	9999-12-31	2013-05-08
036 BS	2008-01-01	2009-01-01	Total E&P Norge AS	16.759000	\N	9999-12-31	9999-12-31	2473189	2410708	9999-12-31	2013-05-08
036 BS	2009-01-01	2009-11-02	Total E&P Norge AS	16.759000	\N	9999-12-31	9999-12-31	2473189	2410708	9999-12-31	2013-05-08
036 BS	2009-11-02	2012-04-30	Total E&P Norge AS	16.759000	\N	9999-12-31	9999-12-31	2473189	2410708	9999-12-31	2013-05-08
036 BS	2012-04-30	9999-12-31	Total E&P Norge AS	16.759000	\N	9999-12-31	9999-12-31	2473189	2410708	9999-12-31	2013-05-08
036 BS	2008-01-01	2009-01-01	Centrica Resources (Norge) AS	23.798000	\N	9999-12-31	9999-12-31	2473189	4238233	9999-12-31	2013-05-08
036 BS	2009-01-01	2009-11-02	Centrica Resources (Norge) AS	23.798000	\N	9999-12-31	9999-12-31	2473189	4238233	9999-12-31	2013-05-08
036 BS	2009-11-02	2012-04-30	Centrica Resources (Norge) AS	23.798000	\N	9999-12-31	9999-12-31	2473189	4238233	9999-12-31	2013-05-08
036 BS	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	33.798000	\N	9999-12-31	9999-12-31	2473189	4238233	9999-12-31	2013-05-08
036 BS	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	19.443000	\N	2007-10-01	2009-11-01	2473189	4511658	9999-12-31	2013-05-08
036 BS	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	19.443000	\N	2007-10-01	2009-11-01	2473189	4511658	9999-12-31	2013-05-08
036 BS	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	39.443000	\N	2007-10-01	2009-11-01	2473189	4511658	9999-12-31	2013-05-08
036 BS	2007-10-01	2008-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	2473189	4511854	9999-12-31	2013-05-08
036 BS	2008-01-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	2473189	4511854	9999-12-31	2013-05-08
036 BS	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	19.443000	\N	2007-01-01	2007-10-01	2473189	4524355	9999-12-31	2013-05-08
036 BS	2009-11-02	2012-04-30	Statoil Petroleum AS	39.443000	\N	2009-11-02	9999-12-31	2473189	17237817	9999-12-31	2013-05-08
036 BS	2012-04-30	9999-12-31	Statoil Petroleum AS	29.443000	\N	2009-11-02	9999-12-31	2473189	17237817	9999-12-31	2013-05-08
036 C	2003-10-13	2003-10-20	Norsk Hydro Produksjon AS	28.531000	\N	2003-10-13	2003-10-19	2473241	430	9999-12-31	2013-05-08
036 C	2003-10-13	2003-10-20	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	2473241	463	9999-12-31	2013-05-08
036 C	2003-10-20	2004-04-30	Marathon Petroleum Norge AS	65.000000	\N	2003-10-20	2011-07-03	2473241	463	9999-12-31	2013-05-08
036 C	2004-04-30	2007-01-01	Marathon Petroleum Norge AS	65.000000	\N	2003-10-20	2011-07-03	2473241	463	9999-12-31	2013-05-08
036 C	2007-01-01	2011-07-04	Marathon Petroleum Norge AS	65.000000	\N	2003-10-20	2011-07-03	2473241	463	9999-12-31	2013-05-08
036 C	2003-10-13	2003-10-20	AS Uglands Rederi	0.322000	\N	9999-12-31	9999-12-31	2473241	40103	9999-12-31	2013-05-08
036 C	2003-10-20	2004-04-30	Det Norske Oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	2473241	1340609	9999-12-31	2013-05-08
036 C	2003-10-20	2004-04-30	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	2473241	2399056	9999-12-31	2013-05-08
036 C	2004-04-30	2007-01-01	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	2473241	2399056	9999-12-31	2013-05-08
036 C	2007-01-01	2011-07-04	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	2473241	2410696	9999-12-31	2013-05-08
036 C	2011-07-04	9999-12-31	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	2473241	2410696	9999-12-31	2013-05-08
036 C	2003-10-13	2003-10-20	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	2473241	2410708	9999-12-31	2013-05-08
036 C	2004-04-30	2007-01-01	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	2473241	2767314	9999-12-31	2013-05-08
036 C	2007-01-01	2011-07-04	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	2473241	2767314	9999-12-31	2013-05-08
036 C	2011-07-04	9999-12-31	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	2473241	2767314	9999-12-31	2013-05-08
036 C	2011-07-04	9999-12-31	Marathon Oil Norge AS	65.000000	\N	2011-07-04	9999-12-31	2473241	20485291	9999-12-31	2013-05-08
296	2003-12-12	2004-05-19	Norsk Hydro Produksjon AS	60.000000	\N	2003-12-12	2007-01-01	2490197	430	9999-12-31	2013-05-08
296	2004-05-19	2006-01-26	Norsk Hydro Produksjon AS	60.000000	\N	2003-12-12	2007-01-01	2490197	430	9999-12-31	2013-05-08
296	2006-01-26	2007-01-01	Norsk Hydro Produksjon AS	60.000000	\N	2003-12-12	2007-01-01	2490197	430	9999-12-31	2013-05-08
296	2003-12-12	2004-05-19	Maersk Olie og Gass  A/S	40.000000	\N	9999-12-31	9999-12-31	2490197	2777	9999-12-31	2013-05-08
296	2004-05-19	2006-01-26	Maersk Oil Norway AS (old1)	40.000000	\N	9999-12-31	9999-12-31	2490197	2824954	9999-12-31	2013-05-08
296	2006-01-26	2007-01-01	Maersk Oil Exploration Norway AS	40.000000	\N	2004-09-06	2007-09-22	2490197	3960933	9999-12-31	2013-05-08
296	2007-01-01	2007-10-01	Maersk Oil Exploration Norway AS	40.000000	\N	2004-09-06	2007-09-22	2490197	3960933	9999-12-31	2013-05-08
296	2007-10-01	2007-10-02	Maersk Oil Exploration Norway AS	40.000000	\N	9999-12-31	9999-12-31	2490197	3960933	9999-12-31	2013-05-08
296	2007-10-01	2007-10-02	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2009-11-01	2490197	4511658	9999-12-31	2013-05-08
296	2007-10-02	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2009-11-01	2490197	4511658	9999-12-31	2013-05-08
296	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	60.000000	\N	2007-01-01	2007-10-01	2490197	4524355	9999-12-31	2013-05-08
296	2007-10-02	2009-11-02	Maersk Oil Norway AS	40.000000	\N	2007-09-22	2009-12-12	2490197	4719674	9999-12-31	2013-05-08
296	2009-11-02	2009-12-12	Maersk Oil Norway AS	40.000000	\N	2007-09-22	2009-12-12	2490197	4719674	9999-12-31	2013-05-08
296	2009-11-02	2009-12-12	Statoil Petroleum AS	60.000000	\N	2009-11-02	2009-12-12	2490197	17237817	9999-12-31	2013-05-08
297	2003-12-12	2004-01-28	BG International Limited	100.000000	\N	2003-12-12	2004-07-16	2490240	2490117	9999-12-31	2013-05-08
297	2004-01-28	2012-02-28	BG Norge AS	100.000000	\N	2004-07-16	2012-02-28	2490240	2747354	9999-12-31	2013-05-08
298	2003-12-12	2004-07-01	Paladin Resources Norge AS	100.000000	\N	2003-12-12	2006-03-22	2490295	1577943	9999-12-31	2013-05-08
298	2004-07-01	2006-03-22	Paladin Resources Norge AS	80.000000	\N	2003-12-12	2006-03-22	2490295	1577943	9999-12-31	2013-05-08
298	2006-03-23	2007-01-01	Talisman Energy Norge AS	80.000000	\N	2006-11-16	2007-01-01	2490295	2425093	9999-12-31	2013-05-08
298	2004-07-01	2006-03-22	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490295	2747354	9999-12-31	2013-05-08
298	2006-03-22	2006-03-23	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490295	2747354	9999-12-31	2013-05-08
298	2006-03-23	2007-01-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490295	2747354	9999-12-31	2013-05-08
298	2006-03-22	2006-03-23	Talisman Resources Norge AS	80.000000	\N	2006-03-22	2006-11-16	2490295	3987574	9999-12-31	2013-05-08
299	2003-12-12	2006-09-06	DONG Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490320	1853083	9999-12-31	2013-05-08
299	2003-12-12	2006-09-06	Talisman Energy Norge AS	60.000000	\N	2003-12-12	9999-12-31	2490320	2425093	9999-12-31	2013-05-08
299	2006-09-06	2011-01-01	Talisman Energy Norge AS	60.000000	\N	2003-12-12	9999-12-31	2490320	2425093	9999-12-31	2013-05-08
299	2011-01-01	2012-09-28	Talisman Energy Norge AS	31.500000	\N	2003-12-12	9999-12-31	2490320	2425093	2012-10-03	2013-05-08
299	2012-09-28	2013-04-20	Talisman Energy Norge AS	31.500000	\N	2003-12-12	9999-12-31	2490320	2425093	2013-04-30	2013-05-08
299	2013-04-20	9999-12-31	Talisman Energy Norge AS	31.500000	\N	2003-12-12	9999-12-31	2490320	2425093	9999-12-31	2013-05-08
299	2006-09-06	2011-01-01	DONG E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490320	4070011	9999-12-31	2013-05-08
299	2011-01-01	2012-09-28	DONG E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490320	4070011	2012-10-03	2013-05-08
299	2012-09-28	2013-04-20	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490320	4070011	2013-04-30	2013-05-08
299	2013-04-20	9999-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490320	4070011	9999-12-31	2013-05-08
299	2012-09-28	2013-04-20	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2490320	18082156	2013-04-30	2013-05-08
299	2013-04-20	9999-12-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2490320	18082156	9999-12-31	2013-05-08
299	2011-01-01	2012-09-28	Agora Oil & Gas AS	28.500000	\N	9999-12-31	9999-12-31	2490320	18386322	2012-10-03	2013-05-08
299	2012-09-28	2013-04-20	Agora Oil & Gas AS	28.500000	\N	9999-12-31	9999-12-31	2490320	18386322	2013-04-30	2013-05-08
299	2013-04-20	9999-12-31	Capricorn Norge AS	28.500000	\N	9999-12-31	9999-12-31	2490320	23297570	9999-12-31	2013-05-08
300	2003-12-12	2006-09-06	DONG Norge AS	45.000000	\N	9999-12-31	9999-12-31	2490354	1853083	9999-12-31	2013-05-08
300	2003-12-12	2006-09-06	BP Norge AS	55.000000	\N	2003-12-12	9999-12-31	2490354	2052695	9999-12-31	2013-05-08
300	2006-09-06	9999-12-31	BP Norge AS	55.000000	\N	2003-12-12	9999-12-31	2490354	2052695	9999-12-31	2013-05-08
300	2006-09-06	9999-12-31	DONG E&P Norge AS	45.000000	\N	9999-12-31	9999-12-31	2490354	4070011	9999-12-31	2013-05-08
301	2003-12-12	2006-09-06	DONG Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490380	1853083	9999-12-31	2013-05-08
301	2003-12-12	2006-09-06	Talisman Energy Norge AS	60.000000	\N	2003-12-12	2009-07-23	2490380	2425093	9999-12-31	2013-05-08
301	2006-09-06	2008-01-01	Talisman Energy Norge AS	60.000000	\N	2003-12-12	2009-07-23	2490380	2425093	9999-12-31	2013-05-08
301	2008-01-01	2009-01-01	Talisman Energy Norge AS	40.000000	\N	2003-12-12	2009-07-23	2490380	2425093	9999-12-31	2013-05-08
301	2009-01-01	2009-01-02	Talisman Energy Norge AS	40.000000	\N	2003-12-12	2009-07-23	2490380	2425093	9999-12-31	2013-05-08
301	2009-01-02	2010-12-15	Lundin Norway AS	40.000000	\N	2009-07-24	9999-12-31	2490380	2767314	9999-12-31	2013-05-08
301	2010-12-15	2011-01-03	Lundin Norway AS	40.000000	\N	2009-07-24	9999-12-31	2490380	2767314	9999-12-31	2013-05-08
301	2011-01-03	9999-12-31	Lundin Norway AS	40.000000	\N	2009-07-24	9999-12-31	2490380	2767314	9999-12-31	2013-05-08
301	2006-09-06	2008-01-01	DONG E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490380	4070011	9999-12-31	2013-05-08
301	2008-01-01	2009-01-01	DONG E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	2490380	4070011	9999-12-31	2013-05-08
301	2008-01-01	2009-01-01	Skeie Energy AS (Old)	35.000000	\N	9999-12-31	9999-12-31	2490380	4511646	2013-03-19	2013-05-08
301	2009-01-01	2009-01-02	Skeie Energy AS (Old)	60.000000	\N	9999-12-31	9999-12-31	2490380	4511646	2013-03-19	2013-05-08
301	2009-01-02	2010-12-15	Skeie Energy AS (Old)	60.000000	\N	9999-12-31	9999-12-31	2490380	4511646	2013-03-19	2013-05-08
301	2010-12-15	2011-01-03	Skeie Oil & Gas AS	60.000000	\N	9999-12-31	9999-12-31	2490380	4998977	9999-12-31	2013-05-08
301	2011-01-03	9999-12-31	Skeie Energy AS	60.000000	\N	9999-12-31	9999-12-31	2490380	23286115	9999-12-31	2013-05-08
302	2003-12-12	2006-03-22	Norsk Hydro Produksjon AS	40.000000	\N	2003-12-12	2007-01-01	2490440	430	9999-12-31	2013-05-08
302	2006-03-22	2006-03-31	Norsk Hydro Produksjon AS	40.000000	\N	2003-12-12	2007-01-01	2490440	430	9999-12-31	2013-05-08
302	2006-03-31	2006-06-01	Norsk Hydro Produksjon AS	40.000000	\N	2003-12-12	2007-01-01	2490440	430	9999-12-31	2013-05-08
302	2006-06-01	2006-06-02	Norsk Hydro Produksjon AS	40.000000	\N	2003-12-12	2007-01-01	2490440	430	9999-12-31	2013-05-08
302	2006-06-02	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	2003-12-12	2007-01-01	2490440	430	9999-12-31	2013-05-08
302	2003-12-12	2006-03-22	Paladin Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490440	1577943	9999-12-31	2013-05-08
302	2003-12-12	2006-03-22	DONG Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490440	1853083	9999-12-31	2013-05-08
302	2006-03-22	2006-03-31	DONG Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490440	1853083	9999-12-31	2013-05-08
302	2006-06-02	2007-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490440	2425093	9999-12-31	2013-05-08
302	2007-01-01	2007-10-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490440	2425093	9999-12-31	2013-05-08
302	2007-10-01	2007-10-02	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490440	2425093	9999-12-31	2013-05-08
302	2007-10-02	2008-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490440	2425093	9999-12-31	2013-05-08
302	2008-01-01	2009-03-15	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490440	2425093	9999-12-31	2013-05-08
302	2006-03-31	2006-06-01	Norwegian Energy Company AS	40.000000	\N	9999-12-31	9999-12-31	2490440	3482246	9999-12-31	2013-05-08
302	2006-06-01	2006-06-02	Norwegian Energy Company AS	30.000000	\N	9999-12-31	9999-12-31	2490440	3482246	9999-12-31	2013-05-08
302	2006-06-02	2007-01-01	Norwegian Energy Company AS	30.000000	\N	9999-12-31	9999-12-31	2490440	3482246	9999-12-31	2013-05-08
302	2007-01-01	2007-10-01	Norwegian Energy Company AS	30.000000	\N	9999-12-31	9999-12-31	2490440	3482246	9999-12-31	2013-05-08
302	2007-10-01	2007-10-02	Norwegian Energy Company AS	30.000000	\N	9999-12-31	9999-12-31	2490440	3482246	9999-12-31	2013-05-08
302	2006-03-22	2006-03-31	Talisman Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490440	3987574	9999-12-31	2013-05-08
302	2006-03-31	2006-06-01	Talisman Resources Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490440	3987574	9999-12-31	2013-05-08
302	2006-06-01	2006-06-02	Talisman Resources Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490440	3987574	9999-12-31	2013-05-08
302	2008-01-01	2009-03-15	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	2490440	4062883	9999-12-31	2013-05-08
302	2007-10-01	2007-10-02	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-03-15	2490440	4511658	9999-12-31	2013-05-08
302	2007-10-02	2008-01-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-03-15	2490440	4511658	9999-12-31	2013-05-08
302	2008-01-01	2009-03-15	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-03-15	2490440	4511658	9999-12-31	2013-05-08
302	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	2490440	4524355	9999-12-31	2013-05-08
302	2007-10-02	2008-01-01	Norwegian Energy Company ASA	30.000000	\N	9999-12-31	9999-12-31	2490440	4530695	9999-12-31	2013-05-08
302	2008-01-01	2009-03-15	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	2490440	4530695	9999-12-31	2013-05-08
303	2003-12-12	2007-10-01	Statoil ASA (old)	100.000000	\N	2003-12-12	2007-10-01	2490467	1622484	9999-12-31	2013-05-08
303	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	100.000000	\N	2009-01-01	2009-11-01	2490467	4511658	9999-12-31	2013-05-08
303	2007-10-01	2009-01-01	StatoilHydro ASA	100.000000	\N	2007-10-01	2008-12-31	2490467	4511854	9999-12-31	2013-05-08
303	2009-11-02	9999-12-31	Statoil Petroleum AS	100.000000	\N	2009-11-02	9999-12-31	2490467	17237817	9999-12-31	2013-05-08
304	2003-12-12	2004-10-01	Esso Exploration and Production Norway A/S	60.000000	\N	2003-12-12	2004-10-01	2490623	353	9999-12-31	2013-05-08
304	2003-12-12	2004-10-01	Marathon Petroleum Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490623	463	9999-12-31	2013-05-08
304	2004-10-01	2004-12-12	Marathon Petroleum Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490623	463	9999-12-31	2013-05-08
304	2004-12-12	2006-01-01	Marathon Petroleum Norge AS	40.000000	\N	2005-05-09	2006-10-02	2490623	463	9999-12-31	2013-05-08
304	2006-01-01	2006-06-15	Marathon Petroleum Norge AS	40.000000	\N	2005-05-09	2006-10-02	2490623	463	9999-12-31	2013-05-08
304	2004-12-12	2006-01-01	Lundin Norway AS	60.000000	\N	9999-12-31	9999-12-31	2490623	2767314	9999-12-31	2013-05-08
304	2006-01-01	2006-06-15	Lundin Norway AS	35.000000	\N	9999-12-31	9999-12-31	2490623	2767314	9999-12-31	2013-05-08
304	2006-06-15	2008-01-01	Lundin Norway AS	60.000000	\N	2006-10-02	2010-12-12	2490623	2767314	9999-12-31	2013-05-08
304	2008-01-01	2009-05-26	Lundin Norway AS	50.000000	\N	2006-10-02	2010-12-12	2490623	2767314	9999-12-31	2013-05-08
304	2009-05-26	2009-10-01	Lundin Norway AS	50.000000	\N	2006-10-02	2010-12-12	2490623	2767314	9999-12-31	2013-05-08
304	2009-10-01	2009-12-22	Lundin Norway AS	50.000000	\N	2006-10-02	2010-12-12	2490623	2767314	9999-12-31	2013-05-08
304	2009-12-22	2010-12-12	Lundin Norway AS	50.000000	\N	2006-10-02	2010-12-12	2490623	2767314	9999-12-31	2013-05-08
304	2004-10-01	2004-12-12	ExxonMobil Exploration & Production Norway AS	60.000000	\N	2004-10-01	2005-05-09	2490623	2835212	9999-12-31	2013-05-08
304	2006-01-01	2006-06-15	Endeavour Energy Norge AS	25.000000	\N	9999-12-31	9999-12-31	2490623	3113213	9999-12-31	2013-05-08
304	2006-06-15	2008-01-01	Endeavour Energy Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490623	3113213	9999-12-31	2013-05-08
304	2008-01-01	2009-05-26	Endeavour Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490623	3113213	9999-12-31	2013-05-08
304	2008-01-01	2009-05-26	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	2490623	4460425	9999-12-31	2013-05-08
304	2009-05-26	2009-10-01	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	2490623	4460425	9999-12-31	2013-05-08
304	2009-10-01	2009-12-22	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	2490623	4460425	9999-12-31	2013-05-08
304	2009-05-26	2009-10-01	VNG Norge (Operations) AS	20.000000	\N	9999-12-31	9999-12-31	2490623	5497155	9999-12-31	2013-05-08
304	2009-10-01	2009-12-22	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490623	17237193	9999-12-31	2013-05-08
304	2009-12-22	2010-12-12	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490623	17237193	9999-12-31	2013-05-08
304	2009-12-22	2010-12-12	Det norske oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	2490623	17342915	9999-12-31	2013-05-08
305	2003-12-12	2005-01-01	Det Norske Oljeselskap AS	60.000000	\N	2003-12-12	2007-06-20	2490682	1340609	9999-12-31	2013-05-08
305	2005-01-01	2005-01-02	Det Norske Oljeselskap AS	40.000000	\N	2003-12-12	2007-06-20	2490682	1340609	9999-12-31	2013-05-08
305	2005-01-02	2006-01-01	Det Norske Oljeselskap AS	40.000000	\N	2003-12-12	2007-06-20	2490682	1340609	9999-12-31	2013-05-08
305	2006-01-01	2006-01-12	Det Norske Oljeselskap AS	30.000000	\N	2003-12-12	2007-06-20	2490682	1340609	9999-12-31	2013-05-08
305	2006-01-12	2007-06-20	Det Norske Oljeselskap AS	30.000000	\N	2003-12-12	2007-06-20	2490682	1340609	9999-12-31	2013-05-08
305	2005-01-01	2005-01-02	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	2490682	2425093	9999-12-31	2013-05-08
305	2005-01-02	2006-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490682	2425093	9999-12-31	2013-05-08
305	2006-01-01	2006-01-12	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490682	2425093	9999-12-31	2013-05-08
305	2006-01-12	2007-06-20	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490682	2425093	9999-12-31	2013-05-08
305	2007-06-20	2007-11-16	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490682	2425093	9999-12-31	2013-05-08
305	2007-11-16	2008-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490682	2425093	9999-12-31	2013-05-08
305	2008-01-01	2008-12-02	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2490682	2425093	9999-12-31	2013-05-08
305	2003-12-12	2005-01-01	Revus Energy AS	40.000000	\N	9999-12-31	9999-12-31	2490682	2455850	9999-12-31	2013-05-08
305	2005-01-01	2005-01-02	Revus Energy AS	40.000000	\N	9999-12-31	9999-12-31	2490682	2455850	9999-12-31	2013-05-08
305	2005-01-02	2006-01-01	Revus Energy AS	30.000000	\N	9999-12-31	9999-12-31	2490682	2455850	9999-12-31	2013-05-08
305	2006-01-01	2006-01-12	Revus Energy AS	30.000000	\N	9999-12-31	9999-12-31	2490682	2455850	9999-12-31	2013-05-08
305	2006-01-12	2007-06-20	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2490682	3431773	9999-12-31	2013-05-08
305	2007-06-20	2007-11-16	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2490682	3431773	9999-12-31	2013-05-08
305	2007-11-16	2008-01-01	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2490682	3431773	9999-12-31	2013-05-08
305	2008-01-01	2008-12-02	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2490682	3431773	9999-12-31	2013-05-08
305	2006-01-01	2006-01-12	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2490682	3986418	9999-12-31	2013-05-08
305	2006-01-12	2007-06-20	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2490682	3986418	9999-12-31	2013-05-08
305	2007-06-20	2007-11-16	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2490682	3986418	9999-12-31	2013-05-08
305	2007-11-16	2008-01-01	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2490682	3986418	9999-12-31	2013-05-08
305	2008-01-01	2008-12-02	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2490682	3986418	9999-12-31	2013-05-08
305	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	30.000000	\N	2007-06-20	2007-11-16	2490682	4468177	9999-12-31	2013-05-08
305	2007-11-16	2008-01-01	Noil Energy ASA	30.000000	\N	2007-11-16	2008-01-01	2490682	4539976	9999-12-31	2013-05-08
305	2008-01-01	2008-12-02	Det norske oljeselskap ASA (old)	30.000000	\N	2008-01-01	2008-12-02	2490682	4539989	9999-12-31	2013-05-08
306	2003-12-12	2005-07-12	Norsk Hydro Produksjon AS	100.000000	\N	2003-12-12	2005-07-12	2490776	430	9999-12-31	2013-05-08
307	2003-12-12	2005-12-12	Marathon Petroleum Norge AS	100.000000	\N	2003-12-12	2005-12-12	2490820	463	9999-12-31	2013-05-08
308	2003-12-12	2006-03-22	Norsk Hydro Produksjon AS	60.000000	\N	2003-12-12	2007-01-01	2490856	430	9999-12-31	2013-05-08
308	2006-03-22	2006-03-23	Norsk Hydro Produksjon AS	60.000000	\N	2003-12-12	2007-01-01	2490856	430	9999-12-31	2013-05-08
308	2006-03-23	2007-01-01	Norsk Hydro Produksjon AS	60.000000	\N	2003-12-12	2007-01-01	2490856	430	9999-12-31	2013-05-08
308	2003-12-12	2006-03-22	Paladin Resources Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490856	1577943	9999-12-31	2013-05-08
308	2006-03-23	2007-01-01	Talisman Energy Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490856	2425093	9999-12-31	2013-05-08
308	2007-01-01	2007-10-01	Talisman Energy Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490856	2425093	9999-12-31	2013-05-08
308	2007-10-01	2007-12-04	Talisman Energy Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490856	2425093	9999-12-31	2013-05-08
308	2006-03-22	2006-03-23	Talisman Resources Norge AS	40.000000	\N	9999-12-31	9999-12-31	2490856	3987574	9999-12-31	2013-05-08
308	2007-10-01	2007-12-04	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2007-12-04	2490856	4511658	9999-12-31	2013-05-08
308	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	60.000000	\N	2007-01-01	2007-10-01	2490856	4524355	9999-12-31	2013-05-08
309	2003-12-12	2004-01-01	Norsk Hydro Produksjon AS	100.000000	\N	2003-12-12	2007-01-01	2490982	430	9999-12-31	2013-05-08
309	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	44.000000	\N	2003-12-12	2007-01-01	2490982	430	9999-12-31	2013-05-08
309	2004-01-01	2007-01-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	2490982	474	9999-12-31	2013-05-08
309	2007-01-01	2007-10-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	2490982	474	9999-12-31	2013-05-08
309	2007-10-01	2007-11-21	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	2490982	474	9999-12-31	2013-05-08
309	2007-11-21	2008-01-01	Mobil Development Norway AS	4.700000	\N	9999-12-31	9999-12-31	2490982	474	9999-12-31	2013-05-08
309	2004-01-01	2007-01-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	2490982	1622484	9999-12-31	2013-05-08
309	2007-01-01	2007-10-01	Statoil ASA (old)	15.300000	\N	9999-12-31	9999-12-31	2490982	1622484	9999-12-31	2013-05-08
309	2004-01-01	2007-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2490982	1626839	9999-12-31	2013-05-08
309	2007-01-01	2007-10-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2490982	1626839	9999-12-31	2013-05-08
309	2007-10-01	2007-11-21	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2490982	1626839	9999-12-31	2013-05-08
309	2007-11-21	2008-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2490982	1626839	9999-12-31	2013-05-08
309	2008-01-01	2009-01-01	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2490982	1626839	9999-12-31	2013-05-08
309	2009-01-01	2009-11-02	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2490982	1626839	9999-12-31	2013-05-08
309	2009-11-02	9999-12-31	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	2490982	1626839	9999-12-31	2013-05-08
309	2004-01-01	2007-01-01	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	2490982	2399056	9999-12-31	2013-05-08
309	2007-01-01	2007-10-01	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	2490982	2399056	9999-12-31	2013-05-08
309	2007-10-01	2007-11-21	Norske ConocoPhillips AS	2.400000	\N	9999-12-31	9999-12-31	2490982	2399056	9999-12-31	2013-05-08
309	2007-11-21	2008-01-01	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	2490982	2410696	9999-12-31	2013-05-08
309	2008-01-01	2009-01-01	ConocoPhillips Skandinavia AS	2.582820	\N	9999-12-31	9999-12-31	2490982	2410696	9999-12-31	2013-05-08
309	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	2.582820	\N	9999-12-31	9999-12-31	2490982	2410696	9999-12-31	2013-05-08
309	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	2.582820	\N	9999-12-31	9999-12-31	2490982	2410696	9999-12-31	2013-05-08
309	2007-10-01	2007-11-21	StatoilHydro Petroleum AS	44.000000	\N	2007-10-01	2009-11-01	2490982	4511658	9999-12-31	2013-05-08
309	2007-11-21	2008-01-01	StatoilHydro Petroleum AS	44.000000	\N	2007-10-01	2009-11-01	2490982	4511658	9999-12-31	2013-05-08
309	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	44.000000	\N	2007-10-01	2009-11-01	2490982	4511658	9999-12-31	2013-05-08
309	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	63.817180	\N	2007-10-01	2009-11-01	2490982	4511658	9999-12-31	2013-05-08
309	2007-10-01	2007-11-21	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	2490982	4511854	9999-12-31	2013-05-08
309	2007-11-21	2008-01-01	StatoilHydro ASA	15.300000	\N	9999-12-31	9999-12-31	2490982	4511854	9999-12-31	2013-05-08
309	2008-01-01	2009-01-01	StatoilHydro ASA	19.817180	\N	9999-12-31	9999-12-31	2490982	4511854	9999-12-31	2013-05-08
309	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	44.000000	\N	2007-01-01	2007-10-01	2490982	4524355	9999-12-31	2013-05-08
309	2009-11-02	9999-12-31	Statoil Petroleum AS	63.817180	\N	2009-11-02	9999-12-31	2490982	17237817	9999-12-31	2013-05-08
310	2003-12-12	2005-01-27	Norsk Hydro Produksjon AS	100.000000	\N	2003-12-12	2005-01-27	2491119	430	9999-12-31	2013-05-08
311	2003-12-12	2004-05-01	Marathon Petroleum Norge AS	100.000000	\N	2003-12-12	2008-12-12	2491153	463	9999-12-31	2013-05-08
311	2004-05-01	2005-01-01	Marathon Petroleum Norge AS	75.000000	\N	2003-12-12	2008-12-12	2491153	463	9999-12-31	2013-05-08
311	2005-01-01	2006-01-01	Marathon Petroleum Norge AS	50.000000	\N	2003-12-12	2008-12-12	2491153	463	9999-12-31	2013-05-08
311	2006-01-01	2007-01-01	Marathon Petroleum Norge AS	37.500000	\N	2003-12-12	2008-12-12	2491153	463	9999-12-31	2013-05-08
311	2007-01-01	2007-10-04	Marathon Petroleum Norge AS	37.500000	\N	2003-12-12	2008-12-12	2491153	463	9999-12-31	2013-05-08
311	2007-10-04	2008-12-12	Marathon Petroleum Norge AS	37.500000	\N	2003-12-12	2008-12-12	2491153	463	9999-12-31	2013-05-08
311	2004-05-01	2005-01-01	Gaz de France Norge AS	25.000000	\N	9999-12-31	9999-12-31	2491153	1628733	9999-12-31	2013-05-08
311	2005-01-01	2006-01-01	Gaz de France Norge AS	25.000000	\N	9999-12-31	9999-12-31	2491153	1628733	9999-12-31	2013-05-08
311	2006-01-01	2007-01-01	Gaz de France Norge AS	25.000000	\N	9999-12-31	9999-12-31	2491153	1628733	9999-12-31	2013-05-08
311	2005-01-01	2006-01-01	Talisman Energy Norge AS	25.000000	\N	9999-12-31	9999-12-31	2491153	2425093	9999-12-31	2013-05-08
311	2006-01-01	2007-01-01	Talisman Energy Norge AS	37.500000	\N	9999-12-31	9999-12-31	2491153	2425093	9999-12-31	2013-05-08
311	2007-01-01	2007-10-04	Talisman Energy Norge AS	37.500000	\N	9999-12-31	9999-12-31	2491153	2425093	9999-12-31	2013-05-08
311	2007-10-04	2008-12-12	Talisman Energy Norge AS	37.500000	\N	9999-12-31	9999-12-31	2491153	2425093	9999-12-31	2013-05-08
311	2007-01-01	2007-10-04	Dana Petroleum Norway ASA	25.000000	\N	9999-12-31	9999-12-31	2491153	4510514	9999-12-31	2013-05-08
311	2007-10-04	2008-12-12	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	2491153	4526555	9999-12-31	2013-05-08
312	2003-12-12	2003-12-31	Norsk Agip  AS	17.000000	\N	9999-12-31	9999-12-31	2491196	45	9999-12-31	2013-05-08
312	2003-12-12	2003-12-31	Norsk Hydro Produksjon AS	24.000000	\N	9999-12-31	9999-12-31	2491196	430	9999-12-31	2013-05-08
312	2003-12-31	2007-01-01	Norsk Hydro Produksjon AS	24.000000	\N	9999-12-31	9999-12-31	2491196	430	9999-12-31	2013-05-08
312	2003-12-12	2003-12-31	Mobil Development Norway AS	24.000000	\N	9999-12-31	9999-12-31	2491196	474	9999-12-31	2013-05-08
312	2003-12-31	2007-01-01	Mobil Development Norway AS	24.000000	\N	9999-12-31	9999-12-31	2491196	474	9999-12-31	2013-05-08
312	2007-01-01	2007-10-01	Mobil Development Norway AS	24.000000	\N	9999-12-31	9999-12-31	2491196	474	9999-12-31	2013-05-08
312	2007-10-01	2008-01-01	Mobil Development Norway AS	24.000000	\N	9999-12-31	9999-12-31	2491196	474	9999-12-31	2013-05-08
312	2003-12-12	2003-12-31	Statoil ASA (old)	35.000000	\N	2003-12-12	2007-10-01	2491196	1622484	9999-12-31	2013-05-08
312	2003-12-31	2007-01-01	Statoil ASA (old)	35.000000	\N	2003-12-12	2007-10-01	2491196	1622484	9999-12-31	2013-05-08
312	2007-01-01	2007-10-01	Statoil ASA (old)	35.000000	\N	2003-12-12	2007-10-01	2491196	1622484	9999-12-31	2013-05-08
312	2003-12-31	2007-01-01	Eni Norge AS	17.000000	\N	9999-12-31	9999-12-31	2491196	2388594	9999-12-31	2013-05-08
312	2007-01-01	2007-10-01	Eni Norge AS	17.000000	\N	9999-12-31	9999-12-31	2491196	2388594	9999-12-31	2013-05-08
312	2007-10-01	2008-01-01	Eni Norge AS	17.000000	\N	9999-12-31	9999-12-31	2491196	2388594	9999-12-31	2013-05-08
312	2008-01-01	2009-01-01	Eni Norge AS	17.000000	\N	9999-12-31	9999-12-31	2491196	2388594	9999-12-31	2013-05-08
312	2009-01-01	2009-11-02	Eni Norge AS	17.000000	\N	9999-12-31	9999-12-31	2491196	2388594	9999-12-31	2013-05-08
312	2009-11-02	9999-12-31	Eni Norge AS	17.000000	\N	9999-12-31	9999-12-31	2491196	2388594	9999-12-31	2013-05-08
312	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	24.000000	\N	9999-12-31	9999-12-31	2491196	2835212	9999-12-31	2013-05-08
312	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	24.000000	\N	9999-12-31	9999-12-31	2491196	2835212	9999-12-31	2013-05-08
312	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	24.000000	\N	9999-12-31	9999-12-31	2491196	2835212	9999-12-31	2013-05-08
312	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	24.000000	\N	9999-12-31	9999-12-31	2491196	4511658	9999-12-31	2013-05-08
312	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	24.000000	\N	9999-12-31	9999-12-31	2491196	4511658	9999-12-31	2013-05-08
312	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	59.000000	\N	2009-01-01	2009-11-01	2491196	4511658	9999-12-31	2013-05-08
312	2007-10-01	2008-01-01	StatoilHydro ASA	35.000000	\N	2007-10-01	2008-12-31	2491196	4511854	9999-12-31	2013-05-08
312	2008-01-01	2009-01-01	StatoilHydro ASA	35.000000	\N	2007-10-01	2008-12-31	2491196	4511854	9999-12-31	2013-05-08
312	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	24.000000	\N	9999-12-31	9999-12-31	2491196	4524355	9999-12-31	2013-05-08
312	2009-11-02	9999-12-31	Statoil Petroleum AS	59.000000	\N	2009-11-02	9999-12-31	2491196	17237817	9999-12-31	2013-05-08
313	2003-12-12	2005-12-12	Norsk Hydro Produksjon AS	40.000000	\N	9999-12-31	9999-12-31	2491243	430	9999-12-31	2013-05-08
313	2003-12-12	2005-12-12	Statoil ASA (old)	60.000000	\N	2003-12-12	2005-12-12	2491243	1622484	9999-12-31	2013-05-08
314	2003-12-12	2006-12-12	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	2491284	430	9999-12-31	2013-05-08
314	2003-12-12	2006-12-12	Mobil Development Norway AS	20.000000	\N	9999-12-31	9999-12-31	2491284	474	9999-12-31	2013-05-08
314	2003-12-12	2006-12-12	Statoil ASA (old)	45.000000	\N	2003-12-12	2006-12-12	2491284	1622484	9999-12-31	2013-05-08
261 BS	2003-12-12	2003-12-15	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	2588889	97557	9999-12-31	2013-05-08
261 BS	2003-12-15	2005-09-17	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	2588889	97557	9999-12-31	2013-05-08
261 BS	2005-09-17	2005-11-25	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	2588889	97557	9999-12-31	2013-05-08
261 BS	2003-12-12	2003-12-15	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	2588889	1622484	9999-12-31	2013-05-08
261 BS	2003-12-15	2005-09-17	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	2588889	1622484	9999-12-31	2013-05-08
261 BS	2005-09-17	2005-11-25	Statoil ASA (old)	10.000000	\N	9999-12-31	9999-12-31	2588889	1622484	9999-12-31	2013-05-08
261 BS	2003-12-12	2003-12-15	BP Norge AS	50.000000	\N	2003-12-12	2003-12-15	2588889	2052695	9999-12-31	2013-05-08
261 BS	2003-12-15	2005-09-17	BP Norge AS	10.000000	\N	9999-12-31	9999-12-31	2588889	2052695	9999-12-31	2013-05-08
261 BS	2005-09-17	2005-11-25	BP Norge AS	10.000000	\N	9999-12-31	9999-12-31	2588889	2052695	9999-12-31	2013-05-08
261 BS	2003-12-15	2005-09-17	Chevron Texaco Norge AS	65.000000	\N	2003-12-15	2005-09-17	2588889	2154473	9999-12-31	2013-05-08
261 BS	2005-09-17	2005-11-25	Chevron Norge AS	65.000000	\N	2005-09-17	2005-11-25	2588889	3488906	9999-12-31	2013-05-08
280 S	2004-05-10	2005-02-15	CNR International (UK) Limited	100.000000	\N	9999-12-31	9999-12-31	2773116	2385943	9999-12-31	2013-05-08
280 S	2005-02-15	2006-03-15	CNR International (Norway) AS	100.000000	\N	2004-05-10	2006-03-15	2773116	2845980	9999-12-31	2013-05-08
315	2004-06-18	2004-10-01	Esso Exploration and Production Norway A/S	30.000000	\N	2004-06-18	2004-10-01	2786350	353	9999-12-31	2013-05-08
315	2004-06-18	2004-10-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786350	97557	9999-12-31	2013-05-08
315	2004-10-01	2007-10-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786350	97557	9999-12-31	2013-05-08
315	2007-10-01	2009-01-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786350	97557	9999-12-31	2013-05-08
315	2009-01-01	2009-08-20	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786350	97557	9999-12-31	2013-05-08
315	2004-06-18	2004-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	2786350	1622484	9999-12-31	2013-05-08
315	2004-10-01	2007-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	2786350	1622484	9999-12-31	2013-05-08
315	2004-06-18	2004-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2786350	1626839	9999-12-31	2013-05-08
315	2004-10-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2786350	1626839	9999-12-31	2013-05-08
315	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2786350	1626839	9999-12-31	2013-05-08
315	2009-01-01	2009-08-20	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2786350	1626839	9999-12-31	2013-05-08
315	2004-10-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	30.000000	\N	2004-10-01	2009-08-20	2786350	2835212	9999-12-31	2013-05-08
315	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	30.000000	\N	2004-10-01	2009-08-20	2786350	2835212	9999-12-31	2013-05-08
315	2009-01-01	2009-08-20	ExxonMobil Exploration & Production Norway AS	30.000000	\N	2004-10-01	2009-08-20	2786350	2835212	9999-12-31	2013-05-08
315	2009-01-01	2009-08-20	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	2786350	4511658	9999-12-31	2013-05-08
315	2007-10-01	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	2786350	4511854	9999-12-31	2013-05-08
316	2009-01-01	2009-01-17	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	2786469	34	9999-12-31	2013-05-08
316	2009-01-17	2012-03-24	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	2786469	34	9999-12-31	2013-05-08
316	2012-03-24	9999-12-31	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	2786469	34	9999-12-31	2013-05-08
316	2004-06-18	2005-03-30	Paladin Resources Norge AS	50.000000	\N	2004-06-18	2006-03-22	2786469	1577943	9999-12-31	2013-05-08
316	2005-03-30	2005-05-04	Paladin Resources Norge AS	50.000000	\N	2004-06-18	2006-03-22	2786469	1577943	9999-12-31	2013-05-08
316	2005-05-04	2005-07-01	Paladin Resources Norge AS	50.000000	\N	2004-06-18	2006-03-22	2786469	1577943	9999-12-31	2013-05-08
316	2005-07-01	2005-07-02	Paladin Resources Norge AS	40.000000	\N	2004-06-18	2006-03-22	2786469	1577943	9999-12-31	2013-05-08
316	2005-07-02	2006-03-01	Paladin Resources Norge AS	40.000000	\N	2004-06-18	2006-03-22	2786469	1577943	9999-12-31	2013-05-08
316	2006-03-01	2006-03-22	Paladin Resources Norge AS	40.000000	\N	2004-06-18	2006-03-22	2786469	1577943	9999-12-31	2013-05-08
316	2004-06-18	2005-03-30	Pertra AS (OLD)	30.000000	\N	9999-12-31	9999-12-31	2786469	2069841	9999-12-31	2013-05-08
316	2005-07-02	2006-03-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786469	2425093	9999-12-31	2013-05-08
316	2006-03-01	2006-03-22	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786469	2425093	9999-12-31	2013-05-08
316	2006-03-22	2006-03-23	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786469	2425093	9999-12-31	2013-05-08
316	2006-03-23	2007-11-16	Talisman Energy Norge AS	70.000000	\N	2006-11-16	9999-12-31	2786469	2425093	9999-12-31	2013-05-08
316	2007-11-16	2008-01-01	Talisman Energy Norge AS	70.000000	\N	2006-11-16	9999-12-31	2786469	2425093	9999-12-31	2013-05-08
316	2008-01-01	2008-01-02	Talisman Energy Norge AS	70.000000	\N	2006-11-16	9999-12-31	2786469	2425093	9999-12-31	2013-05-08
316	2008-01-02	2009-01-01	Talisman Energy Norge AS	70.000000	\N	2006-11-16	9999-12-31	2786469	2425093	9999-12-31	2013-05-08
316	2009-01-01	2009-01-17	Talisman Energy Norge AS	60.000000	\N	2006-11-16	9999-12-31	2786469	2425093	9999-12-31	2013-05-08
316	2009-01-17	2012-03-24	Talisman Energy Norge AS	60.000000	\N	2006-11-16	9999-12-31	2786469	2425093	9999-12-31	2013-05-08
316	2012-03-24	9999-12-31	Talisman Energy Norge AS	60.000000	\N	2006-11-16	9999-12-31	2786469	2425093	9999-12-31	2013-05-08
316	2004-06-18	2005-03-30	Revus Energy AS	20.000000	\N	9999-12-31	9999-12-31	2786469	2455850	9999-12-31	2013-05-08
316	2005-03-30	2005-05-04	Revus Energy AS	20.000000	\N	9999-12-31	9999-12-31	2786469	2455850	9999-12-31	2013-05-08
316	2005-03-30	2005-05-04	Talisman Production Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786469	3420565	9999-12-31	2013-05-08
316	2005-05-04	2005-07-01	Talisman Production Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786469	3420565	9999-12-31	2013-05-08
316	2005-07-01	2005-07-02	Talisman Production Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786469	3420565	9999-12-31	2013-05-08
316	2005-07-01	2005-07-02	Pertra AS	10.000000	\N	9999-12-31	9999-12-31	2786469	3425724	9999-12-31	2013-05-08
316	2005-07-02	2006-03-01	Pertra AS	10.000000	\N	9999-12-31	9999-12-31	2786469	3425724	9999-12-31	2013-05-08
316	2005-05-04	2005-07-01	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2786469	3431773	9999-12-31	2013-05-08
316	2005-07-01	2005-07-02	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2786469	3431773	9999-12-31	2013-05-08
316	2005-07-02	2006-03-01	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2786469	3431773	9999-12-31	2013-05-08
316	2006-03-01	2006-03-22	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2786469	3431773	9999-12-31	2013-05-08
316	2006-03-22	2006-03-23	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2786469	3431773	9999-12-31	2013-05-08
316	2006-03-23	2007-11-16	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2786469	3431773	9999-12-31	2013-05-08
316	2007-11-16	2008-01-01	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2786469	3431773	9999-12-31	2013-05-08
316	2008-01-01	2008-01-02	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	2786469	3431773	9999-12-31	2013-05-08
316	2008-01-02	2009-01-01	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	2786469	3431773	9999-12-31	2013-05-08
316	2009-01-01	2009-01-17	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	2786469	3431773	9999-12-31	2013-05-08
316	2006-03-01	2006-03-22	Pertra ASA	10.000000	\N	9999-12-31	9999-12-31	2786469	3964368	9999-12-31	2013-05-08
316	2006-03-22	2006-03-23	Pertra ASA	10.000000	\N	9999-12-31	9999-12-31	2786469	3964368	9999-12-31	2013-05-08
316	2006-03-23	2007-11-16	Pertra ASA	10.000000	\N	9999-12-31	9999-12-31	2786469	3964368	9999-12-31	2013-05-08
316	2006-03-22	2006-03-23	Talisman Resources Norge AS	40.000000	\N	2006-03-22	2006-11-16	2786469	3987574	9999-12-31	2013-05-08
316	2007-11-16	2008-01-01	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	2786469	4539989	9999-12-31	2013-05-08
316	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	2786469	4539989	9999-12-31	2013-05-08
316	2008-01-01	2008-01-02	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786469	5064434	9999-12-31	2013-05-08
316	2008-01-02	2009-01-01	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786469	5064434	9999-12-31	2013-05-08
316	2009-01-01	2009-01-17	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786469	5064434	9999-12-31	2013-05-08
316	2009-01-17	2012-03-24	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786469	5064434	9999-12-31	2013-05-08
316	2012-03-24	9999-12-31	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786469	5064434	9999-12-31	2013-05-08
316	2009-01-17	2012-03-24	Wintershall Norge ASA	10.000000	\N	9999-12-31	9999-12-31	2786469	5442509	9999-12-31	2013-05-08
316	2012-03-24	9999-12-31	Wintershall Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786469	21666830	9999-12-31	2013-05-08
317	2004-06-18	2007-01-01	Norsk Hydro Produksjon AS	60.000000	\N	2004-06-18	2007-01-01	2786553	430	9999-12-31	2013-05-08
317	2004-06-18	2007-01-01	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2786553	1622484	9999-12-31	2013-05-08
317	2007-01-01	2007-10-01	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2786553	1622484	9999-12-31	2013-05-08
317	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2009-04-13	2786553	4511658	9999-12-31	2013-05-08
317	2009-01-01	2009-04-13	StatoilHydro Petroleum AS	100.000000	\N	2007-10-01	2009-04-13	2786553	4511658	9999-12-31	2013-05-08
317	2007-10-01	2009-01-01	StatoilHydro ASA	40.000000	\N	9999-12-31	9999-12-31	2786553	4511854	9999-12-31	2013-05-08
317	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	60.000000	\N	2007-01-01	2007-10-01	2786553	4524355	9999-12-31	2013-05-08
318	2004-06-18	2007-01-01	Norsk Hydro Produksjon AS	60.000000	\N	2004-06-18	2007-01-01	2786586	430	9999-12-31	2013-05-08
318	2004-06-18	2007-01-01	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786586	441	9999-12-31	2013-05-08
318	2007-01-01	2007-10-01	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786586	441	9999-12-31	2013-05-08
318	2007-10-01	2009-11-02	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786586	441	9999-12-31	2013-05-08
318	2009-11-02	9999-12-31	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786586	441	9999-12-31	2013-05-08
318	2004-06-18	2007-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786586	1626839	9999-12-31	2013-05-08
318	2007-01-01	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786586	1626839	9999-12-31	2013-05-08
318	2007-10-01	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786586	1626839	9999-12-31	2013-05-08
318	2009-11-02	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786586	1626839	9999-12-31	2013-05-08
318	2007-10-01	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2009-11-01	2786586	4511658	9999-12-31	2013-05-08
318	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	60.000000	\N	2007-01-01	2007-10-01	2786586	4524355	9999-12-31	2013-05-08
318	2009-11-02	9999-12-31	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	2786586	17237817	9999-12-31	2013-05-08
319	2004-06-18	2007-06-29	Statoil ASA (old)	100.000000	\N	2004-06-18	2007-06-29	2786612	1622484	9999-12-31	2013-05-08
320	2004-06-18	2007-06-14	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	2786635	430	9999-12-31	2013-05-08
320	2004-06-18	2007-06-14	A/S Norske Shell	40.000000	\N	2004-06-18	2007-06-14	2786635	562	9999-12-31	2013-05-08
320	2004-06-18	2007-06-14	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2786635	1622484	9999-12-31	2013-05-08
321	2004-06-18	2005-03-31	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	2786661	430	9999-12-31	2013-05-08
321	2005-03-31	2005-04-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	2786661	430	9999-12-31	2013-05-08
321	2005-04-01	2005-04-02	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	2786661	430	9999-12-31	2013-05-08
321	2005-04-02	2006-03-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	2786661	430	9999-12-31	2013-05-08
321	2006-03-01	2007-01-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	2786661	430	9999-12-31	2013-05-08
321	2007-01-01	2007-01-02	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	2786661	430	9999-12-31	2013-05-08
321	2007-01-02	2007-01-10	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	2786661	430	9999-12-31	2013-05-08
321	2004-06-18	2005-03-31	Pertra AS (OLD)	80.000000	\N	2004-06-18	2005-03-31	2786661	2069841	9999-12-31	2013-05-08
321	2005-04-02	2006-03-01	Talisman Energy Norge AS	40.000000	\N	9999-12-31	9999-12-31	2786661	2425093	9999-12-31	2013-05-08
321	2006-03-01	2007-01-01	Talisman Energy Norge AS	40.000000	\N	9999-12-31	9999-12-31	2786661	2425093	9999-12-31	2013-05-08
321	2007-01-01	2007-01-02	Talisman Energy Norge AS	40.000000	\N	9999-12-31	9999-12-31	2786661	2425093	9999-12-31	2013-05-08
321	2007-01-02	2007-01-10	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786661	2425093	9999-12-31	2013-05-08
321	2007-01-10	2007-10-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786661	2425093	9999-12-31	2013-05-08
321	2007-10-01	2007-11-16	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786661	2425093	9999-12-31	2013-05-08
321	2007-11-16	2009-11-02	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786661	2425093	9999-12-31	2013-05-08
321	2009-11-02	2009-12-22	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786661	2425093	9999-12-31	2013-05-08
321	2009-12-22	2009-12-23	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786661	2425093	9999-12-31	2013-05-08
321	2009-12-23	2010-06-18	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786661	2425093	9999-12-31	2013-05-08
321	2005-03-31	2005-04-01	Talisman Production Norge AS	80.000000	\N	2005-03-31	2005-05-12	2786661	3420565	9999-12-31	2013-05-08
321	2005-04-01	2005-04-02	Talisman Production Norge AS	40.000000	\N	2005-03-31	2005-05-12	2786661	3420565	9999-12-31	2013-05-08
321	2005-04-01	2005-04-02	Pertra AS	40.000000	\N	9999-12-31	9999-12-31	2786661	3425724	9999-12-31	2013-05-08
321	2005-04-02	2006-03-01	Pertra AS	40.000000	\N	2005-05-12	2006-03-01	2786661	3425724	9999-12-31	2013-05-08
321	2006-03-01	2007-01-01	Pertra ASA	40.000000	\N	2006-03-01	2007-11-16	2786661	3964368	9999-12-31	2013-05-08
321	2007-01-01	2007-01-02	Pertra ASA	25.000000	\N	2006-03-01	2007-11-16	2786661	3964368	9999-12-31	2013-05-08
321	2007-01-02	2007-01-10	Pertra ASA	25.000000	\N	2006-03-01	2007-11-16	2786661	3964368	9999-12-31	2013-05-08
321	2007-01-10	2007-10-01	Pertra ASA	25.000000	\N	2006-03-01	2007-11-16	2786661	3964368	9999-12-31	2013-05-08
321	2007-10-01	2007-11-16	Pertra ASA	25.000000	\N	2006-03-01	2007-11-16	2786661	3964368	9999-12-31	2013-05-08
321	2007-01-01	2007-01-02	Aker Exploration AS	15.000000	\N	9999-12-31	9999-12-31	2786661	4460425	9999-12-31	2013-05-08
321	2007-01-02	2007-01-10	Aker Exploration AS	35.000000	\N	9999-12-31	9999-12-31	2786661	4460425	9999-12-31	2013-05-08
321	2007-01-10	2007-10-01	Aker Exploration AS	35.000000	\N	9999-12-31	9999-12-31	2786661	4460425	9999-12-31	2013-05-08
321	2007-10-01	2007-11-16	Aker Exploration AS	35.000000	\N	9999-12-31	9999-12-31	2786661	4460425	9999-12-31	2013-05-08
321	2007-11-16	2009-11-02	Aker Exploration AS	35.000000	\N	9999-12-31	9999-12-31	2786661	4460425	9999-12-31	2013-05-08
321	2009-11-02	2009-12-22	Aker Exploration AS	35.000000	\N	9999-12-31	9999-12-31	2786661	4460425	9999-12-31	2013-05-08
321	2009-12-22	2009-12-23	Aker Exploration AS	35.000000	\N	9999-12-31	9999-12-31	2786661	4460425	9999-12-31	2013-05-08
321	2007-10-01	2007-11-16	StatoilHydro Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	2786661	4511658	9999-12-31	2013-05-08
321	2007-11-16	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	2786661	4511658	9999-12-31	2013-05-08
321	2007-01-10	2007-10-01	Norsk Hydro Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	2786661	4524355	9999-12-31	2013-05-08
321	2007-11-16	2009-11-02	Det norske oljeselskap ASA (old)	25.000000	\N	2007-11-16	2009-12-21	2786661	4539989	9999-12-31	2013-05-08
321	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	25.000000	\N	2007-11-16	2009-12-21	2786661	4539989	9999-12-31	2013-05-08
321	2009-11-02	2009-12-22	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	2786661	17237817	9999-12-31	2013-05-08
321	2009-12-22	2009-12-23	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	2786661	17237817	9999-12-31	2013-05-08
321	2009-12-23	2010-06-18	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	2786661	17237817	9999-12-31	2013-05-08
321	2009-12-22	2009-12-23	Det norske oljeselskap ASA	25.000000	\N	2009-12-22	2010-06-18	2786661	17342870	9999-12-31	2013-05-08
321	2009-12-23	2010-06-18	Det norske oljeselskap ASA	25.000000	\N	2009-12-22	2010-06-18	2786661	17342870	9999-12-31	2013-05-08
321	2009-12-23	2010-06-18	Det norske oljeselskap AS	35.000000	\N	9999-12-31	9999-12-31	2786661	17342915	9999-12-31	2013-05-08
322	2005-01-01	2007-10-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	2786703	562	9999-12-31	2013-05-08
322	2007-10-01	2008-06-18	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	2786703	562	9999-12-31	2013-05-08
322	2004-06-18	2005-01-01	Statoil ASA (old)	100.000000	\N	2004-06-18	2007-10-01	2786703	1622484	9999-12-31	2013-05-08
322	2005-01-01	2007-10-01	Statoil ASA (old)	90.000000	\N	2004-06-18	2007-10-01	2786703	1622484	9999-12-31	2013-05-08
322	2007-10-01	2008-06-18	StatoilHydro ASA	90.000000	\N	2007-10-01	2008-06-18	2786703	4511854	9999-12-31	2013-05-08
323	2004-06-18	2007-10-01	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	2786740	562	9999-12-31	2013-05-08
323	2007-10-01	2009-01-01	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	2786740	562	9999-12-31	2013-05-08
323	2009-01-01	2009-11-02	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	2786740	562	9999-12-31	2013-05-08
323	2009-11-02	2010-06-18	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	2786740	562	9999-12-31	2013-05-08
323	2004-06-18	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	2786740	1622484	9999-12-31	2013-05-08
323	2004-06-18	2007-10-01	Eni Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786740	2388594	9999-12-31	2013-05-08
323	2007-10-01	2009-01-01	Eni Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786740	2388594	9999-12-31	2013-05-08
323	2009-01-01	2009-11-02	Eni Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786740	2388594	9999-12-31	2013-05-08
323	2009-11-02	2010-06-18	Eni Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786740	2388594	9999-12-31	2013-05-08
323	2004-06-18	2007-10-01	Total E&P Norge AS	40.000000	\N	2004-06-18	2010-06-18	2786740	2410708	9999-12-31	2013-05-08
323	2007-10-01	2009-01-01	Total E&P Norge AS	40.000000	\N	2004-06-18	2010-06-18	2786740	2410708	9999-12-31	2013-05-08
323	2009-01-01	2009-11-02	Total E&P Norge AS	40.000000	\N	2004-06-18	2010-06-18	2786740	2410708	9999-12-31	2013-05-08
323	2009-11-02	2010-06-18	Total E&P Norge AS	40.000000	\N	2004-06-18	2010-06-18	2786740	2410708	9999-12-31	2013-05-08
323	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	2786740	4511658	9999-12-31	2013-05-08
323	2007-10-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	2786740	4511854	9999-12-31	2013-05-08
323	2009-11-02	2010-06-18	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	2786740	17237817	9999-12-31	2013-05-08
324	2004-06-18	2005-09-17	Chevron Texaco Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786758	2154473	9999-12-31	2013-05-08
324	2004-06-18	2005-09-17	Eni Norge AS	40.000000	\N	2004-06-18	2008-07-09	2786758	2388594	9999-12-31	2013-05-08
324	2005-09-17	2008-07-09	Eni Norge AS	40.000000	\N	2004-06-18	2008-07-09	2786758	2388594	9999-12-31	2013-05-08
324	2004-06-18	2005-09-17	BG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786758	2747354	9999-12-31	2013-05-08
324	2005-09-17	2008-07-09	BG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786758	2747354	9999-12-31	2013-05-08
324	2005-09-17	2008-07-09	Chevron Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786758	3488906	9999-12-31	2013-05-08
325	2004-06-18	2005-09-17	Chevron Texaco Norge AS	40.000000	\N	2004-06-18	2005-09-17	2786811	2154473	9999-12-31	2013-05-08
325	2004-06-18	2005-09-17	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786811	2388594	9999-12-31	2013-05-08
325	2005-09-17	2008-03-18	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786811	2388594	9999-12-31	2013-05-08
325	2004-06-18	2005-09-17	BG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786811	2747354	9999-12-31	2013-05-08
325	2005-09-17	2008-03-18	BG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786811	2747354	9999-12-31	2013-05-08
325	2005-09-17	2008-03-18	Chevron Norge AS	40.000000	\N	2005-09-17	2008-03-18	2786811	3488906	9999-12-31	2013-05-08
326	2004-06-18	2007-10-01	A/S Norske Shell	60.000000	\N	2004-06-18	2011-06-18	2786855	562	9999-12-31	2013-05-08
326	2007-10-01	2009-01-01	A/S Norske Shell	60.000000	\N	2004-06-18	2011-06-18	2786855	562	9999-12-31	2013-05-08
326	2009-01-01	2009-01-02	A/S Norske Shell	60.000000	\N	2004-06-18	2011-06-18	2786855	562	9999-12-31	2013-05-08
326	2009-01-02	2009-11-02	A/S Norske Shell	50.000000	\N	2004-06-18	2011-06-18	2786855	562	9999-12-31	2013-05-08
326	2009-11-02	2010-10-31	A/S Norske Shell	50.000000	\N	2004-06-18	2011-06-18	2786855	562	9999-12-31	2013-05-08
326	2010-10-31	2011-06-18	A/S Norske Shell	50.000000	\N	2004-06-18	2011-06-18	2786855	562	9999-12-31	2013-05-08
326	2004-06-18	2007-10-01	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2786855	1622484	9999-12-31	2013-05-08
326	2010-10-31	2011-06-18	PGNiG Norway AS	10.000000	\N	9999-12-31	9999-12-31	2786855	4505831	9999-12-31	2013-05-08
326	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	2786855	4511658	9999-12-31	2013-05-08
326	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	2786855	4511658	9999-12-31	2013-05-08
326	2007-10-01	2009-01-01	StatoilHydro ASA	40.000000	\N	9999-12-31	9999-12-31	2786855	4511854	9999-12-31	2013-05-08
326	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786855	5267845	9999-12-31	2013-05-08
326	2009-11-02	2010-10-31	GDF SUEZ E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786855	5267845	9999-12-31	2013-05-08
326	2010-10-31	2011-06-18	GDF SUEZ E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786855	5267845	9999-12-31	2013-05-08
326	2009-11-02	2010-10-31	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	2786855	17237817	9999-12-31	2013-05-08
326	2010-10-31	2011-06-18	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	2786855	17237817	9999-12-31	2013-05-08
327	2005-01-01	2007-10-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	2786915	562	9999-12-31	2013-05-08
327	2007-10-01	2009-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	2786915	562	9999-12-31	2013-05-08
327	2009-01-01	2009-11-02	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	2786915	562	9999-12-31	2013-05-08
327	2009-11-02	9999-12-31	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	2786915	562	9999-12-31	2013-05-08
327	2004-06-18	2005-01-01	Statoil ASA (old)	80.000000	\N	2004-06-18	2007-10-01	2786915	1622484	9999-12-31	2013-05-08
327	2005-01-01	2007-10-01	Statoil ASA (old)	70.000000	\N	2004-06-18	2007-10-01	2786915	1622484	9999-12-31	2013-05-08
327	2004-06-18	2005-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786915	1626839	9999-12-31	2013-05-08
327	2005-01-01	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786915	1626839	9999-12-31	2013-05-08
327	2007-10-01	2009-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786915	1626839	9999-12-31	2013-05-08
327	2009-01-01	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786915	1626839	9999-12-31	2013-05-08
327	2009-11-02	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786915	1626839	9999-12-31	2013-05-08
327	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	2786915	4511658	9999-12-31	2013-05-08
327	2007-10-01	2009-01-01	StatoilHydro ASA	70.000000	\N	2007-10-01	2008-12-31	2786915	4511854	9999-12-31	2013-05-08
327	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	2786915	17237817	9999-12-31	2013-05-08
328	2004-06-18	2007-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	2786957	562	9999-12-31	2013-05-08
328	2007-01-01	2007-10-01	A/S Norske Shell	7.500000	\N	9999-12-31	9999-12-31	2786957	562	9999-12-31	2013-05-08
328	2007-10-01	2009-01-01	A/S Norske Shell	7.500000	\N	9999-12-31	9999-12-31	2786957	562	9999-12-31	2013-05-08
328	2009-01-01	2009-01-02	A/S Norske Shell	7.500000	\N	9999-12-31	9999-12-31	2786957	562	9999-12-31	2013-05-08
328	2009-01-02	2009-11-02	A/S Norske Shell	7.500000	\N	9999-12-31	9999-12-31	2786957	562	9999-12-31	2013-05-08
328	2009-11-02	2011-06-18	A/S Norske Shell	7.500000	\N	9999-12-31	9999-12-31	2786957	562	9999-12-31	2013-05-08
328	2004-06-18	2007-01-01	Statoil ASA (old)	40.000000	\N	2004-06-18	2007-10-01	2786957	1622484	9999-12-31	2013-05-08
328	2007-01-01	2007-10-01	Statoil ASA (old)	42.500000	\N	2004-06-18	2007-10-01	2786957	1622484	9999-12-31	2013-05-08
328	2004-06-18	2007-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786957	1626839	9999-12-31	2013-05-08
328	2007-01-01	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786957	1626839	9999-12-31	2013-05-08
328	2007-10-01	2009-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786957	1626839	9999-12-31	2013-05-08
328	2009-01-01	2009-01-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786957	1626839	9999-12-31	2013-05-08
328	2009-01-02	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786957	1626839	9999-12-31	2013-05-08
328	2009-11-02	2011-06-18	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786957	1626839	9999-12-31	2013-05-08
328	2004-06-18	2007-01-01	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786957	1628733	9999-12-31	2013-05-08
328	2007-01-01	2007-10-01	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786957	1628733	9999-12-31	2013-05-08
328	2007-10-01	2009-01-01	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786957	1628733	9999-12-31	2013-05-08
328	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	42.500000	\N	2009-01-01	2009-11-01	2786957	4511658	9999-12-31	2013-05-08
328	2007-10-01	2009-01-01	StatoilHydro ASA	42.500000	\N	2007-10-01	2008-12-31	2786957	4511854	9999-12-31	2013-05-08
328	2009-01-01	2009-01-02	StatoilHydro ASA	42.500000	\N	9999-12-31	9999-12-31	2786957	4511854	9999-12-31	2013-05-08
328	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786957	5267845	9999-12-31	2013-05-08
328	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786957	5267845	9999-12-31	2013-05-08
328	2009-11-02	2011-06-18	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2786957	5267845	9999-12-31	2013-05-08
328	2009-11-02	2011-06-18	Statoil Petroleum AS	42.500000	\N	2009-11-02	2011-06-18	2786957	17237817	9999-12-31	2013-05-08
329	2004-06-18	2006-09-06	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786994	1626839	9999-12-31	2013-05-08
329	2006-09-06	2007-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786994	1626839	9999-12-31	2013-05-08
329	2007-01-01	2007-10-04	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786994	1626839	9999-12-31	2013-05-08
329	2007-10-04	2009-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786994	1626839	9999-12-31	2013-05-08
329	2009-01-01	2009-06-18	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2786994	1626839	9999-12-31	2013-05-08
329	2004-06-18	2006-09-06	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786994	1628733	9999-12-31	2013-05-08
329	2006-09-06	2007-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786994	1628733	9999-12-31	2013-05-08
329	2007-01-01	2007-10-04	Gaz de France Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786994	1628733	9999-12-31	2013-05-08
329	2007-10-04	2009-01-01	Gaz de France Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786994	1628733	9999-12-31	2013-05-08
329	2004-06-18	2006-09-06	DONG Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786994	1853083	9999-12-31	2013-05-08
329	2004-06-18	2006-09-06	Eni Norge AS	40.000000	\N	2004-06-18	2009-06-18	2786994	2388594	9999-12-31	2013-05-08
329	2006-09-06	2007-01-01	Eni Norge AS	40.000000	\N	2004-06-18	2009-06-18	2786994	2388594	9999-12-31	2013-05-08
329	2007-01-01	2007-10-04	Eni Norge AS	40.000000	\N	2004-06-18	2009-06-18	2786994	2388594	9999-12-31	2013-05-08
329	2007-10-04	2009-01-01	Eni Norge AS	40.000000	\N	2004-06-18	2009-06-18	2786994	2388594	9999-12-31	2013-05-08
329	2009-01-01	2009-06-18	Eni Norge AS	40.000000	\N	2004-06-18	2009-06-18	2786994	2388594	9999-12-31	2013-05-08
329	2006-09-06	2007-01-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786994	4070011	9999-12-31	2013-05-08
329	2007-01-01	2007-10-04	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786994	4070011	9999-12-31	2013-05-08
329	2007-10-04	2009-01-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786994	4070011	9999-12-31	2013-05-08
329	2009-01-01	2009-06-18	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2786994	4070011	9999-12-31	2013-05-08
329	2007-01-01	2007-10-04	Dana Petroleum Norway ASA	10.000000	\N	9999-12-31	9999-12-31	2786994	4510514	9999-12-31	2013-05-08
329	2007-10-04	2009-01-01	Dana Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	2786994	4526555	9999-12-31	2013-05-08
329	2009-01-01	2009-06-18	Dana Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	2786994	4526555	9999-12-31	2013-05-08
329	2009-01-01	2009-06-18	GDF SUEZ E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2786994	5267845	9999-12-31	2013-05-08
330	2004-06-18	2006-06-26	Amerada Hess Norge AS	40.000000	\N	9999-12-31	9999-12-31	2787040	67	9999-12-31	2013-05-08
330	2004-06-18	2006-06-26	RWE Dea Norge AS	60.000000	\N	2004-06-18	9999-12-31	2787040	97557	9999-12-31	2013-05-08
330	2006-06-26	2010-10-25	RWE Dea Norge AS	60.000000	\N	2004-06-18	9999-12-31	2787040	97557	9999-12-31	2013-05-08
330	2010-10-25	2011-09-30	RWE Dea Norge AS	90.000000	\N	2004-06-18	9999-12-31	2787040	97557	9999-12-31	2013-05-08
330	2011-09-30	9999-12-31	RWE Dea Norge AS	40.000000	\N	2004-06-18	9999-12-31	2787040	97557	9999-12-31	2013-05-08
330	2011-09-30	9999-12-31	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	2787040	2767314	9999-12-31	2013-05-08
330	2006-06-26	2010-10-25	Hess Norge AS	40.000000	\N	9999-12-31	9999-12-31	2787040	4038735	9999-12-31	2013-05-08
330	2010-10-25	2011-09-30	Hess Norge AS	10.000000	\N	9999-12-31	9999-12-31	2787040	4038735	9999-12-31	2013-05-08
330	2011-09-30	9999-12-31	Marathon Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	2787040	20485291	9999-12-31	2013-05-08
037 D	2004-06-08	2004-06-09	Esso Exploration and Production Norway A/S	25.000000	\N	9999-12-31	9999-12-31	2787322	353	9999-12-31	2013-05-08
037 D	2004-06-08	2004-06-09	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	2787322	562	9999-12-31	2013-05-08
037 D	2004-06-08	2004-06-09	Statoil ASA (old)	21.875000	\N	2004-06-08	2007-10-01	2787322	1622484	9999-12-31	2013-05-08
037 D	2004-06-09	2005-05-04	Statoil ASA (old)	21.875000	\N	2004-06-08	2007-10-01	2787322	1622484	9999-12-31	2013-05-08
037 D	2005-05-04	2007-10-01	Statoil ASA (old)	21.875000	\N	2004-06-08	2007-10-01	2787322	1622484	9999-12-31	2013-05-08
037 D	2004-06-08	2004-06-09	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2787322	1626839	9999-12-31	2013-05-08
037 D	2004-06-08	2004-06-09	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	2787322	1853786	9999-12-31	2013-05-08
037 D	2004-06-08	2004-06-09	Norske ConocoPhillips AS	12.083330	\N	9999-12-31	9999-12-31	2787322	2399056	9999-12-31	2013-05-08
037 D	2004-06-09	2005-05-04	Revus Energy AS	78.125000	\N	9999-12-31	9999-12-31	2787322	2455850	9999-12-31	2013-05-08
037 D	2005-05-04	2007-10-01	Revus Energy ASA	78.125000	\N	9999-12-31	9999-12-31	2787322	3431773	9999-12-31	2013-05-08
037 D	2007-10-01	2008-01-11	Revus Energy ASA	78.125000	\N	9999-12-31	9999-12-31	2787322	3431773	9999-12-31	2013-05-08
037 D	2008-01-11	2009-01-17	Revus Energy ASA	100.000000	\N	2008-01-11	2009-01-16	2787322	3431773	9999-12-31	2013-05-08
037 D	2007-10-01	2008-01-11	StatoilHydro ASA	21.875000	\N	2007-10-01	2008-01-11	2787322	4511854	9999-12-31	2013-05-08
037 D	2009-01-17	2012-03-24	Wintershall Norge ASA	100.000000	\N	2009-01-17	2012-03-23	2787322	5442509	9999-12-31	2013-05-08
037 D	2012-03-24	9999-12-31	Wintershall Norge AS	100.000000	\N	2012-03-24	9999-12-31	2787322	21666830	9999-12-31	2013-05-08
088 BS	2003-03-21	2003-05-06	Marathon Petroleum Norge AS	50.000000	\N	2003-03-21	2011-07-03	2787418	463	9999-12-31	2013-05-08
088 BS	2003-05-06	2003-05-30	Marathon Petroleum Norge AS	50.000000	\N	2003-03-21	2011-07-03	2787418	463	9999-12-31	2013-05-08
088 BS	2003-05-30	2004-01-01	Marathon Petroleum Norge AS	65.000000	\N	2003-03-21	2011-07-03	2787418	463	9999-12-31	2013-05-08
088 BS	2004-01-01	2007-01-01	Marathon Petroleum Norge AS	65.000000	\N	2003-03-21	2011-07-03	2787418	463	9999-12-31	2013-05-08
088 BS	2007-01-01	2011-07-04	Marathon Petroleum Norge AS	65.000000	\N	2003-03-21	2011-07-03	2787418	463	9999-12-31	2013-05-08
088 BS	2003-05-30	2004-01-01	Det Norske Oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	2787418	1340609	9999-12-31	2013-05-08
088 BS	2003-03-21	2003-05-06	TotalFinaElf Exploration Norge AS	50.000000	\N	9999-12-31	9999-12-31	2787418	1340884	9999-12-31	2013-05-08
088 BS	2003-05-30	2004-01-01	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	2787418	2399056	9999-12-31	2013-05-08
088 BS	2004-01-01	2007-01-01	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	2787418	2399056	9999-12-31	2013-05-08
088 BS	2007-01-01	2011-07-04	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	2787418	2410696	9999-12-31	2013-05-08
088 BS	2011-07-04	9999-12-31	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	2787418	2410696	9999-12-31	2013-05-08
088 BS	2003-05-06	2003-05-30	Total E&P Norge AS	50.000000	\N	9999-12-31	9999-12-31	2787418	2410708	9999-12-31	2013-05-08
088 BS	2004-01-01	2007-01-01	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	2787418	2767314	9999-12-31	2013-05-08
088 BS	2007-01-01	2011-07-04	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	2787418	2767314	9999-12-31	2013-05-08
088 BS	2011-07-04	9999-12-31	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	2787418	2767314	9999-12-31	2013-05-08
088 BS	2011-07-04	9999-12-31	Marathon Oil Norge AS	65.000000	\N	2011-07-04	9999-12-31	2787418	20485291	9999-12-31	2013-05-08
159 B	2004-08-13	2004-08-14	Enterprise Oil Norwegian AS	40.000000	\N	9999-12-31	9999-12-31	2819945	342	9999-12-31	2013-05-08
159 B	2004-08-14	2004-12-22	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	2819945	342	9999-12-31	2013-05-08
159 B	2004-08-13	2004-08-14	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	2819945	430	9999-12-31	2013-05-08
159 B	2004-08-14	2004-12-22	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	2819945	430	9999-12-31	2013-05-08
159 B	2004-12-22	2005-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	2819945	430	9999-12-31	2013-05-08
159 B	2005-01-01	2006-09-06	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	2819945	430	9999-12-31	2013-05-08
159 B	2006-09-06	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	2819945	430	9999-12-31	2013-05-08
159 B	2004-08-13	2004-08-14	Statoil ASA (old)	50.000000	\N	2004-08-13	2007-10-01	2819945	1622484	9999-12-31	2013-05-08
159 B	2004-08-14	2004-12-22	Statoil ASA (old)	50.000000	\N	2004-08-13	2007-10-01	2819945	1622484	9999-12-31	2013-05-08
159 B	2004-12-22	2005-01-01	Statoil ASA (old)	50.000000	\N	2004-08-13	2007-10-01	2819945	1622484	9999-12-31	2013-05-08
159 B	2005-01-01	2006-09-06	Statoil ASA (old)	75.000000	\N	2004-08-13	2007-10-01	2819945	1622484	9999-12-31	2013-05-08
159 B	2006-09-06	2007-01-01	Statoil ASA (old)	75.000000	\N	2004-08-13	2007-10-01	2819945	1622484	9999-12-31	2013-05-08
159 B	2007-01-01	2007-10-01	Statoil ASA (old)	75.000000	\N	2004-08-13	2007-10-01	2819945	1622484	9999-12-31	2013-05-08
159 B	2004-08-14	2004-12-22	DONG Norge AS	15.000000	\N	9999-12-31	9999-12-31	2819945	1853083	9999-12-31	2013-05-08
159 B	2004-12-22	2005-01-01	DONG Norge AS	15.000000	\N	9999-12-31	9999-12-31	2819945	1853083	9999-12-31	2013-05-08
159 B	2005-01-01	2006-09-06	DONG Norge AS	15.000000	\N	9999-12-31	9999-12-31	2819945	1853083	9999-12-31	2013-05-08
159 B	2004-12-22	2005-01-01	Enterprise Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	2819945	1853786	9999-12-31	2013-05-08
159 B	2006-09-06	2007-01-01	DONG E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	2819945	4070011	9999-12-31	2013-05-08
159 B	2007-01-01	2007-10-01	DONG E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	2819945	4070011	9999-12-31	2013-05-08
159 B	2007-10-01	2008-01-01	DONG E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	2819945	4070011	9999-12-31	2013-05-08
159 B	2008-01-01	2009-01-01	DONG E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	2819945	4070011	9999-12-31	2013-05-08
159 B	2009-01-01	2009-11-02	DONG E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	2819945	4070011	9999-12-31	2013-05-08
159 B	2009-11-02	9999-12-31	DONG E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	2819945	4070011	9999-12-31	2013-05-08
159 B	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	2819945	4511658	9999-12-31	2013-05-08
159 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	85.000000	\N	2009-01-01	2009-11-01	2819945	4511658	9999-12-31	2013-05-08
159 B	2007-10-01	2008-01-01	StatoilHydro ASA	75.000000	\N	2007-10-01	2008-12-31	2819945	4511854	9999-12-31	2013-05-08
159 B	2008-01-01	2009-01-01	StatoilHydro ASA	85.000000	\N	2007-10-01	2008-12-31	2819945	4511854	9999-12-31	2013-05-08
159 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	2819945	4524355	9999-12-31	2013-05-08
159 B	2009-11-02	9999-12-31	Statoil Petroleum AS	85.000000	\N	2009-11-02	9999-12-31	2819945	17237817	9999-12-31	2013-05-08
331	2004-12-17	2007-10-01	Statoil ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2986187	1622484	9999-12-31	2013-05-08
331	2004-12-17	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2986187	1626839	9999-12-31	2013-05-08
331	2007-10-01	2009-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2986187	1626839	9999-12-31	2013-05-08
331	2009-01-01	2009-09-30	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2986187	1626839	9999-12-31	2013-05-08
331	2009-09-30	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2986187	1626839	9999-12-31	2013-05-08
331	2009-11-02	2011-06-18	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	2986187	1626839	9999-12-31	2013-05-08
331	2004-12-17	2007-10-01	ConocoPhillips Skandinavia AS	40.000000	\N	2004-12-17	2011-06-18	2986187	2410696	9999-12-31	2013-05-08
331	2007-10-01	2009-01-01	ConocoPhillips Skandinavia AS	40.000000	\N	2004-12-17	2011-06-18	2986187	2410696	9999-12-31	2013-05-08
331	2009-01-01	2009-09-30	ConocoPhillips Skandinavia AS	40.000000	\N	2004-12-17	2011-06-18	2986187	2410696	9999-12-31	2013-05-08
331	2009-09-30	2009-11-02	ConocoPhillips Skandinavia AS	30.000000	\N	2004-12-17	2011-06-18	2986187	2410696	9999-12-31	2013-05-08
331	2009-11-02	2011-06-18	ConocoPhillips Skandinavia AS	30.000000	\N	2004-12-17	2011-06-18	2986187	2410696	9999-12-31	2013-05-08
331	2009-09-30	2009-11-02	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986187	4444493	9999-12-31	2013-05-08
331	2009-11-02	2011-06-18	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986187	4444493	9999-12-31	2013-05-08
331	2009-01-01	2009-09-30	StatoilHydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	2986187	4511658	9999-12-31	2013-05-08
331	2009-09-30	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	2986187	4511658	9999-12-31	2013-05-08
331	2007-10-01	2009-01-01	StatoilHydro ASA	40.000000	\N	9999-12-31	9999-12-31	2986187	4511854	9999-12-31	2013-05-08
331	2009-11-02	2011-06-18	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	2986187	17237817	9999-12-31	2013-05-08
332	2009-01-01	2009-01-21	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	2986240	34	9999-12-31	2013-05-08
332	2009-01-21	2009-03-23	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	2986240	34	9999-12-31	2013-05-08
332	2009-03-23	2009-12-22	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	2986240	34	9999-12-31	2013-05-08
332	2009-12-22	9999-12-31	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	2986240	34	9999-12-31	2013-05-08
332	2004-12-17	2005-03-31	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	2986240	1340609	9999-12-31	2013-05-08
332	2005-03-31	2005-04-01	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	2986240	1340609	9999-12-31	2013-05-08
332	2005-04-01	2006-01-01	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	2986240	1340609	9999-12-31	2013-05-08
332	2006-01-01	2006-03-01	Det Norske Oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	2986240	1340609	9999-12-31	2013-05-08
332	2006-03-01	2007-06-20	Det Norske Oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	2986240	1340609	9999-12-31	2013-05-08
332	2004-12-17	2005-03-31	Pertra AS (OLD)	20.000000	\N	9999-12-31	9999-12-31	2986240	2069841	9999-12-31	2013-05-08
332	2004-12-17	2005-03-31	Talisman Energy Norge AS	50.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2005-03-31	2005-04-01	Talisman Energy Norge AS	50.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2005-04-01	2006-01-01	Talisman Energy Norge AS	50.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2006-01-01	2006-03-01	Talisman Energy Norge AS	50.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2006-03-01	2007-06-20	Talisman Energy Norge AS	50.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2007-06-20	2007-11-16	Talisman Energy Norge AS	50.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2007-11-16	2008-01-01	Talisman Energy Norge AS	50.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2008-01-01	2009-01-01	Talisman Energy Norge AS	50.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2009-01-01	2009-01-21	Talisman Energy Norge AS	40.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2009-01-21	2009-03-23	Talisman Energy Norge AS	40.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2009-03-23	2009-12-22	Talisman Energy Norge AS	40.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2009-12-22	9999-12-31	Talisman Energy Norge AS	40.000000	\N	2004-12-17	9999-12-31	2986240	2425093	9999-12-31	2013-05-08
332	2005-03-31	2005-04-01	Talisman Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	2986240	3420565	9999-12-31	2013-05-08
332	2005-04-01	2006-01-01	Pertra AS	20.000000	\N	9999-12-31	9999-12-31	2986240	3425724	9999-12-31	2013-05-08
332	2006-01-01	2006-03-01	Pertra AS	20.000000	\N	9999-12-31	9999-12-31	2986240	3425724	9999-12-31	2013-05-08
332	2006-03-01	2007-06-20	Pertra ASA	20.000000	\N	9999-12-31	9999-12-31	2986240	3964368	9999-12-31	2013-05-08
332	2007-06-20	2007-11-16	Pertra ASA	20.000000	\N	9999-12-31	9999-12-31	2986240	3964368	9999-12-31	2013-05-08
332	2006-01-01	2006-03-01	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986240	3986418	9999-12-31	2013-05-08
332	2006-03-01	2007-06-20	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986240	3986418	9999-12-31	2013-05-08
332	2007-06-20	2007-11-16	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986240	3986418	9999-12-31	2013-05-08
332	2007-11-16	2008-01-01	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986240	3986418	9999-12-31	2013-05-08
332	2008-01-01	2009-01-01	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986240	3986418	9999-12-31	2013-05-08
332	2009-01-01	2009-01-21	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986240	3986418	9999-12-31	2013-05-08
332	2009-03-23	2009-12-22	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986240	4444493	9999-12-31	2013-05-08
332	2009-12-22	9999-12-31	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986240	4444493	9999-12-31	2013-05-08
332	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	2986240	4468177	9999-12-31	2013-05-08
332	2007-11-16	2008-01-01	Noil Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2986240	4539976	9999-12-31	2013-05-08
332	2007-11-16	2008-01-01	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	2986240	4539989	9999-12-31	2013-05-08
332	2008-01-01	2009-01-01	Det norske oljeselskap ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2986240	4539989	9999-12-31	2013-05-08
332	2009-01-01	2009-01-21	Det norske oljeselskap ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2986240	4539989	9999-12-31	2013-05-08
332	2009-01-21	2009-03-23	Det norske oljeselskap ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2986240	4539989	9999-12-31	2013-05-08
332	2009-03-23	2009-12-22	Det norske oljeselskap ASA (old)	40.000000	\N	9999-12-31	9999-12-31	2986240	4539989	9999-12-31	2013-05-08
332	2009-01-21	2009-03-23	Bayerngas Produksjon Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986240	5461974	9999-12-31	2013-05-08
332	2009-12-22	9999-12-31	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	2986240	17342870	9999-12-31	2013-05-08
333	2004-12-17	2007-01-01	Norsk Hydro Produksjon AS	44.500000	\N	2004-12-17	2007-01-01	2986266	430	9999-12-31	2013-05-08
333	2004-12-17	2007-01-01	Statoil ASA (old)	33.300000	\N	9999-12-31	9999-12-31	2986266	1622484	9999-12-31	2013-05-08
333	2007-01-01	2007-10-01	Statoil ASA (old)	33.300000	\N	9999-12-31	9999-12-31	2986266	1622484	9999-12-31	2013-05-08
333	2004-12-17	2007-01-01	Total E&P Norge AS	22.200000	\N	9999-12-31	9999-12-31	2986266	2410708	9999-12-31	2013-05-08
333	2007-01-01	2007-10-01	Total E&P Norge AS	22.200000	\N	9999-12-31	9999-12-31	2986266	2410708	9999-12-31	2013-05-08
333	2007-10-01	2009-01-01	Total E&P Norge AS	22.200000	\N	9999-12-31	9999-12-31	2986266	2410708	9999-12-31	2013-05-08
333	2009-01-01	2009-11-02	Total E&P Norge AS	22.200000	\N	9999-12-31	9999-12-31	2986266	2410708	9999-12-31	2013-05-08
333	2009-11-02	9999-12-31	Total E&P Norge AS	22.200000	\N	9999-12-31	9999-12-31	2986266	2410708	9999-12-31	2013-05-08
333	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	44.500000	\N	2007-10-01	2009-11-01	2986266	4511658	9999-12-31	2013-05-08
333	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	77.800000	\N	2007-10-01	2009-11-01	2986266	4511658	9999-12-31	2013-05-08
333	2007-10-01	2009-01-01	StatoilHydro ASA	33.300000	\N	9999-12-31	9999-12-31	2986266	4511854	9999-12-31	2013-05-08
333	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	44.500000	\N	2007-01-01	2007-10-01	2986266	4524355	9999-12-31	2013-05-08
333	2009-11-02	9999-12-31	Statoil Petroleum AS	77.800000	\N	2009-11-02	9999-12-31	2986266	17237817	9999-12-31	2013-05-08
334	2004-12-17	2006-01-01	Det Norske Oljeselskap AS	40.000000	\N	9999-12-31	9999-12-31	2986306	1340609	9999-12-31	2013-05-08
334	2006-01-01	2007-06-20	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	2986306	1340609	9999-12-31	2013-05-08
334	2004-12-17	2006-01-01	Talisman Energy Norge AS	60.000000	\N	2004-12-17	2008-03-17	2986306	2425093	9999-12-31	2013-05-08
334	2006-01-01	2007-06-20	Talisman Energy Norge AS	60.000000	\N	2004-12-17	2008-03-17	2986306	2425093	9999-12-31	2013-05-08
334	2007-06-20	2007-11-16	Talisman Energy Norge AS	60.000000	\N	2004-12-17	2008-03-17	2986306	2425093	9999-12-31	2013-05-08
334	2007-11-16	2008-03-17	Talisman Energy Norge AS	60.000000	\N	2004-12-17	2008-03-17	2986306	2425093	9999-12-31	2013-05-08
334	2006-01-01	2007-06-20	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986306	3986418	9999-12-31	2013-05-08
334	2007-06-20	2007-11-16	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986306	3986418	9999-12-31	2013-05-08
334	2007-11-16	2008-03-17	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986306	3986418	9999-12-31	2013-05-08
334	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	2986306	4468177	9999-12-31	2013-05-08
334	2007-11-16	2008-03-17	Noil Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2986306	4539976	9999-12-31	2013-05-08
335	2004-12-17	2006-03-22	RWE Dea Norge AS	12.000000	\N	9999-12-31	9999-12-31	2986333	97557	9999-12-31	2013-05-08
335	2006-03-22	2006-03-23	RWE Dea Norge AS	12.000000	\N	9999-12-31	9999-12-31	2986333	97557	9999-12-31	2013-05-08
335	2006-03-23	2007-01-01	RWE Dea Norge AS	12.000000	\N	9999-12-31	9999-12-31	2986333	97557	9999-12-31	2013-05-08
335	2007-01-01	2007-12-17	RWE Dea Norge AS	12.000000	\N	9999-12-31	9999-12-31	2986333	97557	9999-12-31	2013-05-08
335	2004-12-17	2006-03-22	Paladin Resources Norge AS	18.000000	\N	9999-12-31	9999-12-31	2986333	1577943	9999-12-31	2013-05-08
335	2006-03-23	2007-01-01	Talisman Energy Norge AS	18.000000	\N	9999-12-31	9999-12-31	2986333	2425093	9999-12-31	2013-05-08
335	2004-12-17	2006-03-22	BG Norge AS	52.000000	\N	2004-12-17	2007-12-17	2986333	2747354	9999-12-31	2013-05-08
335	2006-03-22	2006-03-23	BG Norge AS	52.000000	\N	2004-12-17	2007-12-17	2986333	2747354	9999-12-31	2013-05-08
335	2006-03-23	2007-01-01	BG Norge AS	52.000000	\N	2004-12-17	2007-12-17	2986333	2747354	9999-12-31	2013-05-08
335	2007-01-01	2007-12-17	BG Norge AS	52.000000	\N	2004-12-17	2007-12-17	2986333	2747354	9999-12-31	2013-05-08
335	2004-12-17	2006-03-22	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	2986333	2767314	9999-12-31	2013-05-08
335	2006-03-22	2006-03-23	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	2986333	2767314	9999-12-31	2013-05-08
335	2006-03-23	2007-01-01	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	2986333	2767314	9999-12-31	2013-05-08
335	2007-01-01	2007-12-17	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	2986333	2767314	9999-12-31	2013-05-08
335	2006-03-22	2006-03-23	Talisman Resources Norge AS	18.000000	\N	9999-12-31	9999-12-31	2986333	3987574	9999-12-31	2013-05-08
335	2007-01-01	2007-12-17	Bridge Energy AS	18.000000	\N	9999-12-31	9999-12-31	2986333	4062933	9999-12-31	2013-05-08
336	2004-12-17	2006-09-06	DONG Norge AS	40.000000	\N	9999-12-31	9999-12-31	2986364	1853083	9999-12-31	2013-05-08
336	2004-12-17	2006-09-06	Talisman Energy Norge AS	60.000000	\N	2004-12-17	2006-12-17	2986364	2425093	9999-12-31	2013-05-08
336	2006-09-06	2006-12-17	Talisman Energy Norge AS	60.000000	\N	2004-12-17	2006-12-17	2986364	2425093	9999-12-31	2013-05-08
336	2006-09-06	2006-12-17	DONG E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	2986364	4070011	9999-12-31	2013-05-08
337	2004-12-17	2005-03-31	Marathon Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986484	463	9999-12-31	2013-05-08
337	2005-03-31	2005-04-01	Marathon Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986484	463	9999-12-31	2013-05-08
337	2005-04-01	2005-04-02	Marathon Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986484	463	9999-12-31	2013-05-08
337	2005-04-02	2006-03-01	Marathon Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986484	463	9999-12-31	2013-05-08
337	2006-03-01	2006-08-01	Marathon Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986484	463	9999-12-31	2013-05-08
337	2004-12-17	2005-03-31	Pertra AS (OLD)	45.000000	\N	2004-12-17	2005-03-31	2986484	2069841	9999-12-31	2013-05-08
337	2005-04-02	2006-03-01	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986484	2425093	9999-12-31	2013-05-08
337	2006-03-01	2006-08-01	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986484	2425093	9999-12-31	2013-05-08
337	2006-08-01	2006-10-23	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986484	2425093	9999-12-31	2013-05-08
337	2006-10-23	2007-01-01	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986484	2425093	9999-12-31	2013-05-08
337	2007-01-01	2007-01-02	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986484	2425093	9999-12-31	2013-05-08
337	2004-12-17	2005-03-31	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	2986484	2747354	9999-12-31	2013-05-08
337	2005-03-31	2005-04-01	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	2986484	2747354	9999-12-31	2013-05-08
337	2005-04-01	2005-04-02	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	2986484	2747354	9999-12-31	2013-05-08
337	2005-04-02	2006-03-01	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	2986484	2747354	9999-12-31	2013-05-08
337	2006-03-01	2006-08-01	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	2986484	2747354	9999-12-31	2013-05-08
337	2006-08-01	2006-10-23	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	2986484	2747354	9999-12-31	2013-05-08
337	2006-10-23	2007-01-01	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	2986484	2747354	9999-12-31	2013-05-08
337	2005-03-31	2005-04-01	Talisman Production Norge AS	45.000000	\N	2005-03-31	2005-08-26	2986484	3420565	9999-12-31	2013-05-08
337	2005-04-01	2005-04-02	Talisman Production Norge AS	10.000000	\N	2005-03-31	2005-08-26	2986484	3420565	9999-12-31	2013-05-08
337	2005-04-01	2005-04-02	Pertra AS	35.000000	\N	9999-12-31	9999-12-31	2986484	3425724	9999-12-31	2013-05-08
337	2005-04-02	2006-03-01	Pertra AS	35.000000	\N	2005-08-26	2006-03-01	2986484	3425724	9999-12-31	2013-05-08
337	2006-10-23	2007-01-01	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2986484	3431773	9999-12-31	2013-05-08
337	2007-01-01	2007-01-02	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2986484	3431773	9999-12-31	2013-05-08
337	2007-01-02	2007-08-10	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2986484	3431773	9999-12-31	2013-05-08
337	2007-08-10	2007-10-04	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2986484	3431773	9999-12-31	2013-05-08
337	2007-10-04	2007-11-16	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2986484	3431773	9999-12-31	2013-05-08
337	2007-11-16	2009-01-17	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	2986484	3431773	9999-12-31	2013-05-08
337	2007-01-01	2007-01-02	Ener Petroleum ASA	25.000000	\N	9999-12-31	9999-12-31	2986484	3482290	9999-12-31	2013-05-08
337	2007-01-02	2007-08-10	Ener Petroleum ASA	25.000000	\N	9999-12-31	9999-12-31	2986484	3482290	9999-12-31	2013-05-08
337	2006-03-01	2006-08-01	Pertra ASA	35.000000	\N	2006-03-01	2007-11-16	2986484	3964368	9999-12-31	2013-05-08
337	2006-08-01	2006-10-23	Pertra ASA	65.000000	\N	2006-03-01	2007-11-16	2986484	3964368	9999-12-31	2013-05-08
337	2006-10-23	2007-01-01	Pertra ASA	45.000000	\N	2006-03-01	2007-11-16	2986484	3964368	9999-12-31	2013-05-08
337	2007-01-01	2007-01-02	Pertra ASA	45.000000	\N	2006-03-01	2007-11-16	2986484	3964368	9999-12-31	2013-05-08
337	2007-01-02	2007-08-10	Pertra ASA	45.000000	\N	2006-03-01	2007-11-16	2986484	3964368	9999-12-31	2013-05-08
337	2007-08-10	2007-10-04	Pertra ASA	45.000000	\N	2006-03-01	2007-11-16	2986484	3964368	9999-12-31	2013-05-08
337	2007-10-04	2007-11-16	Pertra ASA	45.000000	\N	2006-03-01	2007-11-16	2986484	3964368	9999-12-31	2013-05-08
337	2007-01-02	2007-08-10	Bridge Energy AS	10.000000	\N	9999-12-31	9999-12-31	2986484	4062933	9999-12-31	2013-05-08
337	2007-08-10	2007-10-04	Bridge Energy AS	10.000000	\N	9999-12-31	9999-12-31	2986484	4062933	9999-12-31	2013-05-08
337	2007-10-04	2007-11-16	Bridge Energy AS	10.000000	\N	9999-12-31	9999-12-31	2986484	4062933	9999-12-31	2013-05-08
337	2007-11-16	2009-01-17	Bridge Energy AS	10.000000	\N	9999-12-31	9999-12-31	2986484	4062933	9999-12-31	2013-05-08
337	2009-01-17	2009-12-22	Bridge Energy AS	10.000000	\N	9999-12-31	9999-12-31	2986484	4062933	9999-12-31	2013-05-08
337	2009-12-22	2010-03-30	Bridge Energy AS	10.000000	\N	9999-12-31	9999-12-31	2986484	4062933	9999-12-31	2013-05-08
337	2007-08-10	2007-10-04	Dana Petroleum Norway ASA	25.000000	\N	9999-12-31	9999-12-31	2986484	4510514	9999-12-31	2013-05-08
337	2007-10-04	2007-11-16	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	2986484	4526555	9999-12-31	2013-05-08
337	2007-11-16	2009-01-17	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	2986484	4526555	9999-12-31	2013-05-08
337	2009-01-17	2009-12-22	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	2986484	4526555	9999-12-31	2013-05-08
337	2009-12-22	2010-03-30	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	2986484	4526555	9999-12-31	2013-05-08
337	2010-03-30	2010-09-30	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	2986484	4526555	9999-12-31	2013-05-08
337	2010-09-30	2013-02-09	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	2986484	4526555	2013-02-12	2013-05-08
337	2007-11-16	2009-01-17	Det norske oljeselskap ASA (old)	45.000000	\N	2007-11-16	2009-12-21	2986484	4539989	9999-12-31	2013-05-08
337	2009-01-17	2009-12-22	Det norske oljeselskap ASA (old)	45.000000	\N	2007-11-16	2009-12-21	2986484	4539989	9999-12-31	2013-05-08
337	2010-09-30	2013-02-09	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	2986484	5072514	2013-02-12	2013-05-08
337	2009-01-17	2009-12-22	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	2986484	5442509	9999-12-31	2013-05-08
337	2009-12-22	2010-03-30	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	2986484	5442509	9999-12-31	2013-05-08
337	2010-03-30	2010-09-30	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	2986484	5442509	9999-12-31	2013-05-08
337	2009-12-22	2010-03-30	Det norske oljeselskap ASA	45.000000	\N	2009-12-22	2013-02-09	2986484	17342870	2013-02-13	2013-05-08
337	2010-03-30	2010-09-30	Det norske oljeselskap ASA	45.000000	\N	2009-12-22	2013-02-09	2986484	17342870	2013-02-13	2013-05-08
337	2010-09-30	2013-02-09	Det norske oljeselskap ASA	45.000000	\N	2009-12-22	2013-02-09	2986484	17342870	2013-02-13	2013-05-08
337	2010-03-30	2010-09-30	Bridge Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986484	18178215	9999-12-31	2013-05-08
337	2010-09-30	2013-02-09	Bridge Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986484	18178215	2013-02-12	2013-05-08
338	2006-01-02	2009-01-17	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	2986578	97557	9999-12-31	2013-05-08
338	2009-01-17	2012-01-01	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	2986578	97557	9999-12-31	2013-05-08
338	2004-12-17	2006-01-01	Lundin Norway AS	100.000000	\N	2004-12-17	9999-12-31	2986578	2767314	9999-12-31	2013-05-08
338	2006-01-01	2006-01-02	Lundin Norway AS	70.000000	\N	2004-12-17	9999-12-31	2986578	2767314	9999-12-31	2013-05-08
338	2006-01-02	2009-01-17	Lundin Norway AS	50.000000	\N	2004-12-17	9999-12-31	2986578	2767314	9999-12-31	2013-05-08
338	2009-01-17	2012-01-01	Lundin Norway AS	50.000000	\N	2004-12-17	9999-12-31	2986578	2767314	9999-12-31	2013-05-08
338	2012-01-01	2012-03-24	Lundin Norway AS	50.000000	\N	2004-12-17	9999-12-31	2986578	2767314	9999-12-31	2013-05-08
338	2012-03-24	9999-12-31	Lundin Norway AS	50.000000	\N	2004-12-17	9999-12-31	2986578	2767314	9999-12-31	2013-05-08
338	2006-01-01	2006-01-02	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2986578	3431773	9999-12-31	2013-05-08
338	2006-01-02	2009-01-17	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2986578	3431773	9999-12-31	2013-05-08
338	2012-01-01	2012-03-24	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	2986578	4460594	9999-12-31	2013-05-08
338	2012-03-24	9999-12-31	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	2986578	4460594	9999-12-31	2013-05-08
338	2009-01-17	2012-01-01	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	2986578	5442509	9999-12-31	2013-05-08
338	2012-01-01	2012-03-24	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	2986578	5442509	9999-12-31	2013-05-08
338	2012-03-24	9999-12-31	Wintershall Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986578	21666830	9999-12-31	2013-05-08
339	2004-12-17	2007-10-01	Statoil ASA (old)	70.000000	\N	2004-12-17	2007-10-01	2986606	1622484	9999-12-31	2013-05-08
339	2004-12-17	2007-10-01	ExxonMobil Exploration & Production Norway AS	30.000000	\N	9999-12-31	9999-12-31	2986606	2835212	9999-12-31	2013-05-08
339	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	30.000000	\N	9999-12-31	9999-12-31	2986606	2835212	9999-12-31	2013-05-08
339	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	30.000000	\N	9999-12-31	9999-12-31	2986606	2835212	9999-12-31	2013-05-08
339	2009-11-02	2009-12-17	ExxonMobil Exploration & Production Norway AS	30.000000	\N	9999-12-31	9999-12-31	2986606	2835212	9999-12-31	2013-05-08
339	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	2986606	4511658	9999-12-31	2013-05-08
339	2007-10-01	2009-01-01	StatoilHydro ASA	70.000000	\N	2007-10-01	2008-12-31	2986606	4511854	9999-12-31	2013-05-08
339	2009-11-02	2009-12-17	Statoil Petroleum AS	70.000000	\N	2009-11-02	2009-12-17	2986606	17237817	9999-12-31	2013-05-08
340	2004-12-17	2007-01-01	Marathon Petroleum Norge AS	65.000000	\N	2004-12-17	2011-07-03	2986630	463	9999-12-31	2013-05-08
340	2007-01-01	2011-07-04	Marathon Petroleum Norge AS	65.000000	\N	2004-12-17	2011-07-03	2986630	463	9999-12-31	2013-05-08
340	2004-12-17	2007-01-01	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	2986630	2399056	9999-12-31	2013-05-08
340	2007-01-01	2011-07-04	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	2986630	2410696	9999-12-31	2013-05-08
340	2011-07-04	9999-12-31	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	2986630	2410696	9999-12-31	2013-05-08
340	2004-12-17	2007-01-01	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	2986630	2767314	9999-12-31	2013-05-08
340	2007-01-01	2011-07-04	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	2986630	2767314	9999-12-31	2013-05-08
340	2011-07-04	9999-12-31	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	2986630	2767314	9999-12-31	2013-05-08
340	2011-07-04	9999-12-31	Marathon Oil Norge AS	65.000000	\N	2011-07-04	9999-12-31	2986630	20485291	9999-12-31	2013-05-08
341	2010-01-02	2010-07-01	Marathon Petroleum Norge AS	12.000000	\N	9999-12-31	9999-12-31	2986675	463	9999-12-31	2013-05-08
341	2010-07-01	2010-08-31	Marathon Petroleum Norge AS	12.000000	\N	9999-12-31	9999-12-31	2986675	463	9999-12-31	2013-05-08
341	2010-08-31	2011-07-04	Marathon Petroleum Norge AS	12.000000	\N	9999-12-31	9999-12-31	2986675	463	9999-12-31	2013-05-08
341	2004-12-17	2005-05-04	Det Norske Oljeselskap AS	40.000000	\N	2004-12-17	2007-06-20	2986675	1340609	9999-12-31	2013-05-08
341	2005-05-04	2006-01-01	Det Norske Oljeselskap AS	40.000000	\N	2004-12-17	2007-06-20	2986675	1340609	9999-12-31	2013-05-08
341	2006-01-01	2007-06-20	Det Norske Oljeselskap AS	30.000000	\N	2004-12-17	2007-06-20	2986675	1340609	9999-12-31	2013-05-08
341	2004-12-17	2005-05-04	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2005-05-04	2006-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2006-01-01	2007-06-20	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2007-06-20	2007-11-16	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2007-11-16	2008-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2008-01-01	2009-01-17	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2009-01-17	2009-01-21	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2009-01-21	2009-03-23	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2009-03-23	2009-12-22	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2009-12-22	2010-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2010-01-01	2010-01-02	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2010-01-02	2010-07-01	Talisman Energy Norge AS	18.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2010-07-01	2010-08-31	Talisman Energy Norge AS	7.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2010-08-31	2011-07-04	Talisman Energy Norge AS	7.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2011-07-04	2011-12-17	Talisman Energy Norge AS	7.000000	\N	9999-12-31	9999-12-31	2986675	2425093	9999-12-31	2013-05-08
341	2004-12-17	2005-05-04	Revus Energy AS	30.000000	\N	9999-12-31	9999-12-31	2986675	2455850	9999-12-31	2013-05-08
341	2005-05-04	2006-01-01	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2986675	3431773	9999-12-31	2013-05-08
341	2006-01-01	2007-06-20	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2986675	3431773	9999-12-31	2013-05-08
341	2007-06-20	2007-11-16	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2986675	3431773	9999-12-31	2013-05-08
341	2007-11-16	2008-01-01	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2986675	3431773	9999-12-31	2013-05-08
341	2008-01-01	2009-01-17	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2986675	3431773	9999-12-31	2013-05-08
341	2006-01-01	2007-06-20	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986675	3986418	9999-12-31	2013-05-08
341	2007-06-20	2007-11-16	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986675	3986418	9999-12-31	2013-05-08
341	2007-11-16	2008-01-01	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986675	3986418	9999-12-31	2013-05-08
341	2008-01-01	2009-01-17	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986675	3986418	9999-12-31	2013-05-08
341	2009-01-17	2009-01-21	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986675	3986418	9999-12-31	2013-05-08
341	2009-03-23	2009-12-22	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986675	4444493	9999-12-31	2013-05-08
341	2009-12-22	2010-01-01	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986675	4444493	9999-12-31	2013-05-08
341	2010-01-01	2010-01-02	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986675	4444493	9999-12-31	2013-05-08
341	2010-01-02	2010-07-01	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986675	4444493	9999-12-31	2013-05-08
341	2010-07-01	2010-08-31	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986675	4444493	9999-12-31	2013-05-08
341	2010-08-31	2011-07-04	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986675	4444493	9999-12-31	2013-05-08
341	2011-07-04	2011-12-17	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986675	4444493	9999-12-31	2013-05-08
341	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	30.000000	\N	2007-06-20	2007-11-16	2986675	4468177	9999-12-31	2013-05-08
341	2007-11-16	2008-01-01	Noil Energy ASA	30.000000	\N	2007-11-16	2008-01-01	2986675	4539976	9999-12-31	2013-05-08
341	2008-01-01	2009-01-17	Det norske oljeselskap ASA (old)	30.000000	\N	2008-01-01	2009-12-21	2986675	4539989	9999-12-31	2013-05-08
341	2009-01-17	2009-01-21	Det norske oljeselskap ASA (old)	30.000000	\N	2008-01-01	2009-12-21	2986675	4539989	9999-12-31	2013-05-08
341	2009-01-21	2009-03-23	Det norske oljeselskap ASA (old)	30.000000	\N	2008-01-01	2009-12-21	2986675	4539989	9999-12-31	2013-05-08
341	2009-03-23	2009-12-22	Det norske oljeselskap ASA (old)	30.000000	\N	2008-01-01	2009-12-21	2986675	4539989	9999-12-31	2013-05-08
341	2010-01-01	2010-01-02	Spring Energy Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986675	5072514	9999-12-31	2013-05-08
341	2010-01-02	2010-07-01	Spring Energy Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986675	5072514	9999-12-31	2013-05-08
341	2010-07-01	2010-08-31	Spring Energy Norway AS	10.000000	\N	9999-12-31	9999-12-31	2986675	5072514	9999-12-31	2013-05-08
341	2010-08-31	2011-07-04	GDF SUEZ E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986675	5267845	9999-12-31	2013-05-08
341	2011-07-04	2011-12-17	GDF SUEZ E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986675	5267845	9999-12-31	2013-05-08
341	2009-01-17	2009-01-21	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	2986675	5442509	9999-12-31	2013-05-08
341	2009-01-21	2009-03-23	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	2986675	5442509	9999-12-31	2013-05-08
341	2009-03-23	2009-12-22	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	2986675	5442509	9999-12-31	2013-05-08
341	2009-12-22	2010-01-01	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	2986675	5442509	9999-12-31	2013-05-08
341	2010-01-01	2010-01-02	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	2986675	5442509	9999-12-31	2013-05-08
341	2010-01-02	2010-07-01	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	2986675	5442509	9999-12-31	2013-05-08
341	2010-07-01	2010-08-31	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	2986675	5442509	9999-12-31	2013-05-08
341	2010-08-31	2011-07-04	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	2986675	5442509	9999-12-31	2013-05-08
341	2011-07-04	2011-12-17	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	2986675	5442509	9999-12-31	2013-05-08
341	2009-01-21	2009-03-23	Bayerngas Produksjon Norge AS	10.000000	\N	9999-12-31	9999-12-31	2986675	5461974	9999-12-31	2013-05-08
341	2009-12-22	2010-01-01	Det norske oljeselskap ASA	30.000000	\N	2009-12-22	2011-12-17	2986675	17342870	9999-12-31	2013-05-08
341	2010-01-01	2010-01-02	Det norske oljeselskap ASA	30.000000	\N	2009-12-22	2011-12-17	2986675	17342870	9999-12-31	2013-05-08
341	2010-01-02	2010-07-01	Det norske oljeselskap ASA	30.000000	\N	2009-12-22	2011-12-17	2986675	17342870	9999-12-31	2013-05-08
341	2010-07-01	2010-08-31	Det norske oljeselskap ASA	30.000000	\N	2009-12-22	2011-12-17	2986675	17342870	9999-12-31	2013-05-08
341	2010-08-31	2011-07-04	Det norske oljeselskap ASA	30.000000	\N	2009-12-22	2011-12-17	2986675	17342870	9999-12-31	2013-05-08
341	2011-07-04	2011-12-17	Det norske oljeselskap ASA	30.000000	\N	2009-12-22	2011-12-17	2986675	17342870	9999-12-31	2013-05-08
341	2010-07-01	2010-08-31	North Energy ASA	11.000000	\N	9999-12-31	9999-12-31	2986675	18082156	9999-12-31	2013-05-08
341	2010-08-31	2011-07-04	North Energy ASA	11.000000	\N	9999-12-31	9999-12-31	2986675	18082156	9999-12-31	2013-05-08
341	2011-07-04	2011-12-17	North Energy ASA	11.000000	\N	9999-12-31	9999-12-31	2986675	18082156	9999-12-31	2013-05-08
341	2011-07-04	2011-12-17	Marathon Oil Norge AS	12.000000	\N	9999-12-31	9999-12-31	2986675	20485291	9999-12-31	2013-05-08
342	2004-12-17	2006-12-17	Norsk Hydro Produksjon AS	100.000000	\N	2004-12-17	2006-12-17	2986721	430	9999-12-31	2013-05-08
343	2004-12-17	2005-03-31	Marathon Petroleum Norge AS	65.000000	\N	2004-12-17	2009-10-17	2986758	463	9999-12-31	2013-05-08
343	2005-03-31	2005-04-01	Marathon Petroleum Norge AS	65.000000	\N	2004-12-17	2009-10-17	2986758	463	9999-12-31	2013-05-08
343	2005-04-01	2008-01-01	Marathon Petroleum Norge AS	65.000000	\N	2004-12-17	2009-10-17	2986758	463	9999-12-31	2013-05-08
343	2008-01-01	2009-10-17	Marathon Petroleum Norge AS	42.250000	\N	2004-12-17	2009-10-17	2986758	463	9999-12-31	2013-05-08
343	2004-12-17	2005-03-31	Pertra AS (OLD)	35.000000	\N	9999-12-31	9999-12-31	2986758	2069841	9999-12-31	2013-05-08
343	2005-04-01	2008-01-01	Talisman Energy Norge AS	35.000000	\N	9999-12-31	9999-12-31	2986758	2425093	9999-12-31	2013-05-08
343	2008-01-01	2009-10-17	Talisman Energy Norge AS	22.750000	\N	9999-12-31	9999-12-31	2986758	2425093	9999-12-31	2013-05-08
343	2005-03-31	2005-04-01	Talisman Production Norge AS	35.000000	\N	9999-12-31	9999-12-31	2986758	3420565	9999-12-31	2013-05-08
343	2008-01-01	2009-10-17	Aker Exploration AS	35.000000	\N	9999-12-31	9999-12-31	2986758	4460425	9999-12-31	2013-05-08
344	2004-12-17	2005-05-04	Statoil ASA (old)	21.875000	\N	2004-12-17	2007-02-13	2986805	1622484	9999-12-31	2013-05-08
344	2005-05-04	2006-12-17	Statoil ASA (old)	21.875000	\N	2004-12-17	2007-02-13	2986805	1622484	9999-12-31	2013-05-08
344	2004-12-17	2005-05-04	Revus Energy AS	78.125000	\N	9999-12-31	9999-12-31	2986805	2455850	9999-12-31	2013-05-08
344	2005-05-04	2006-12-17	Revus Energy ASA	78.125000	\N	9999-12-31	9999-12-31	2986805	3431773	9999-12-31	2013-05-08
344	2006-12-17	2008-01-01	Revus Energy ASA	100.000000	\N	2007-02-13	2009-01-16	2986805	3431773	9999-12-31	2013-05-08
344	2008-01-01	2009-01-17	Revus Energy ASA	70.000000	\N	2007-02-13	2009-01-16	2986805	3431773	9999-12-31	2013-05-08
344	2008-01-01	2009-01-17	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	2986805	5072514	9999-12-31	2013-05-08
344	2009-01-17	2010-09-30	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	2986805	5072514	9999-12-31	2013-05-08
344	2010-09-30	2010-12-07	Spring Energy Norway AS	65.000000	\N	2010-09-30	2010-12-07	2986805	5072514	9999-12-31	2013-05-08
344	2009-01-17	2010-09-30	Wintershall Norge ASA	70.000000	\N	2009-01-17	2010-09-29	2986805	5442509	9999-12-31	2013-05-08
344	2010-09-30	2010-12-07	Wintershall Norge ASA	35.000000	\N	9999-12-31	9999-12-31	2986805	5442509	9999-12-31	2013-05-08
345	2004-12-17	2007-10-01	Statoil ASA (old)	70.000000	\N	2004-12-17	2007-10-01	2986889	1622484	9999-12-31	2013-05-08
345	2004-12-17	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2986889	1626839	9999-12-31	2013-05-08
345	2007-10-01	2008-12-17	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	2986889	1626839	9999-12-31	2013-05-08
345	2007-10-01	2008-12-17	StatoilHydro ASA	70.000000	\N	2007-10-01	2008-12-17	2986889	4511854	9999-12-31	2013-05-08
346	2004-12-17	2006-09-06	A/S Norske Shell	70.000000	\N	2004-12-17	2006-12-17	2986958	562	9999-12-31	2013-05-08
346	2006-09-06	2006-12-17	A/S Norske Shell	70.000000	\N	2004-12-17	2006-12-17	2986958	562	9999-12-31	2013-05-08
346	2004-12-17	2006-09-06	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986958	1853083	9999-12-31	2013-05-08
346	2006-09-06	2006-12-17	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2986958	4070011	9999-12-31	2013-05-08
347	2004-12-17	2005-01-01	Norsk Hydro Produksjon AS	30.000000	\N	2004-12-17	2007-01-01	2986982	430	9999-12-31	2013-05-08
347	2005-01-01	2006-03-22	Norsk Hydro Produksjon AS	30.000000	\N	2004-12-17	2007-01-01	2986982	430	9999-12-31	2013-05-08
347	2006-03-22	2006-07-01	Norsk Hydro Produksjon AS	30.000000	\N	2004-12-17	2007-01-01	2986982	430	9999-12-31	2013-05-08
347	2006-07-01	2007-01-01	Norsk Hydro Produksjon AS	30.000000	\N	2004-12-17	2007-01-01	2986982	430	9999-12-31	2013-05-08
347	2004-12-17	2005-01-01	Paladin Resources Norge AS	17.500000	\N	9999-12-31	9999-12-31	2986982	1577943	9999-12-31	2013-05-08
347	2005-01-01	2006-03-22	Paladin Resources Norge AS	17.500000	\N	9999-12-31	9999-12-31	2986982	1577943	9999-12-31	2013-05-08
347	2004-12-17	2005-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2986982	1626839	9999-12-31	2013-05-08
347	2005-01-01	2006-03-22	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2986982	1626839	9999-12-31	2013-05-08
347	2006-03-22	2006-07-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2986982	1626839	9999-12-31	2013-05-08
347	2006-07-01	2007-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2986982	1626839	9999-12-31	2013-05-08
347	2007-01-01	2007-10-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2986982	1626839	9999-12-31	2013-05-08
347	2007-10-01	2007-10-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2986982	1626839	9999-12-31	2013-05-08
347	2007-10-02	2007-12-14	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2986982	1626839	9999-12-31	2013-05-08
347	2004-12-17	2005-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2986982	1628733	9999-12-31	2013-05-08
347	2005-01-01	2006-03-22	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2986982	1628733	9999-12-31	2013-05-08
347	2006-03-22	2006-07-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2986982	1628733	9999-12-31	2013-05-08
347	2006-07-01	2007-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2986982	1628733	9999-12-31	2013-05-08
347	2007-01-01	2007-10-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2986982	1628733	9999-12-31	2013-05-08
347	2007-10-01	2007-10-02	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2986982	1628733	9999-12-31	2013-05-08
347	2007-10-02	2007-12-14	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2986982	1628733	9999-12-31	2013-05-08
347	2004-12-17	2005-01-01	OER Oil AS	7.500000	\N	9999-12-31	9999-12-31	2986982	2258813	9999-12-31	2013-05-08
347	2004-12-17	2005-01-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2986982	2840522	9999-12-31	2013-05-08
347	2005-01-01	2006-03-22	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2986982	2840522	9999-12-31	2013-05-08
347	2006-03-22	2006-07-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2986982	2840522	9999-12-31	2013-05-08
347	2006-07-01	2007-01-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2986982	2840522	9999-12-31	2013-05-08
347	2007-01-01	2007-10-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2986982	2840522	9999-12-31	2013-05-08
347	2007-10-01	2007-10-02	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2986982	2840522	9999-12-31	2013-05-08
347	2007-10-02	2007-12-14	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2986982	2840522	9999-12-31	2013-05-08
347	2005-01-01	2006-03-22	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2986982	3113213	9999-12-31	2013-05-08
352	2007-10-01	2008-10-08	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987228	4070011	9999-12-31	2013-05-08
347	2006-03-22	2006-07-01	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2986982	3113213	9999-12-31	2013-05-08
347	2006-07-01	2007-01-01	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2986982	3113213	9999-12-31	2013-05-08
347	2007-01-01	2007-10-01	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2986982	3113213	9999-12-31	2013-05-08
347	2007-10-01	2007-10-02	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2986982	3113213	9999-12-31	2013-05-08
347	2007-10-02	2007-12-14	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2986982	3113213	9999-12-31	2013-05-08
347	2006-07-01	2007-01-01	Norwegian Energy Company AS	17.500000	\N	9999-12-31	9999-12-31	2986982	3482246	9999-12-31	2013-05-08
347	2007-01-01	2007-10-01	Norwegian Energy Company AS	17.500000	\N	9999-12-31	9999-12-31	2986982	3482246	9999-12-31	2013-05-08
347	2007-10-01	2007-10-02	Norwegian Energy Company AS	17.500000	\N	9999-12-31	9999-12-31	2986982	3482246	9999-12-31	2013-05-08
347	2006-03-22	2006-07-01	Talisman Resources Norge AS	17.500000	\N	9999-12-31	9999-12-31	2986982	3987574	9999-12-31	2013-05-08
347	2007-10-01	2007-10-02	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2007-12-14	2986982	4511658	9999-12-31	2013-05-08
347	2007-10-02	2007-12-14	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2007-12-14	2986982	4511658	9999-12-31	2013-05-08
347	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	30.000000	\N	2007-01-01	2007-10-01	2986982	4524355	9999-12-31	2013-05-08
347	2007-10-02	2007-12-14	Norwegian Energy Company ASA	17.500000	\N	9999-12-31	9999-12-31	2986982	4530695	9999-12-31	2013-05-08
348	2004-12-17	2005-01-01	Norsk Hydro Produksjon AS	30.000000	\N	2004-12-17	2007-01-01	2987047	430	9999-12-31	2013-05-08
348	2005-01-01	2006-03-22	Norsk Hydro Produksjon AS	30.000000	\N	2004-12-17	2007-01-01	2987047	430	9999-12-31	2013-05-08
348	2006-03-22	2006-07-01	Norsk Hydro Produksjon AS	30.000000	\N	2004-12-17	2007-01-01	2987047	430	9999-12-31	2013-05-08
348	2006-07-01	2007-01-01	Norsk Hydro Produksjon AS	30.000000	\N	2004-12-17	2007-01-01	2987047	430	9999-12-31	2013-05-08
348	2004-12-17	2005-01-01	Paladin Resources Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	1577943	9999-12-31	2013-05-08
348	2005-01-01	2006-03-22	Paladin Resources Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	1577943	9999-12-31	2013-05-08
348	2004-12-17	2005-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2005-01-01	2006-03-22	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2006-03-22	2006-07-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2006-07-01	2007-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2007-01-01	2007-10-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2007-10-01	2007-10-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2007-10-02	2008-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2008-01-01	2009-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2009-01-01	2009-05-26	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2009-05-26	2009-10-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2009-10-01	2009-11-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2009-11-02	2010-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2010-01-01	2011-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	2987047	1626839	9999-12-31	2013-05-08
348	2004-12-17	2005-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	1628733	9999-12-31	2013-05-08
348	2005-01-01	2006-03-22	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	1628733	9999-12-31	2013-05-08
348	2006-03-22	2006-07-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	1628733	9999-12-31	2013-05-08
348	2006-07-01	2007-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	1628733	9999-12-31	2013-05-08
348	2007-01-01	2007-10-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	1628733	9999-12-31	2013-05-08
348	2007-10-01	2007-10-02	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	1628733	9999-12-31	2013-05-08
348	2007-10-02	2008-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	1628733	9999-12-31	2013-05-08
348	2008-01-01	2009-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	1628733	9999-12-31	2013-05-08
348	2004-12-17	2005-01-01	OER Oil AS	7.500000	\N	9999-12-31	9999-12-31	2987047	2258813	9999-12-31	2013-05-08
348	2004-12-17	2005-01-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2005-01-01	2006-03-22	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2006-03-22	2006-07-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2006-07-01	2007-01-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2007-01-01	2007-10-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2007-10-01	2007-10-02	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2007-10-02	2008-01-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2008-01-01	2009-01-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2009-01-01	2009-05-26	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2009-05-26	2009-10-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2009-10-01	2009-11-02	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2009-11-02	2010-01-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2010-01-01	2011-01-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2011-01-01	2011-07-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2011-07-01	2012-02-11	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	2840522	9999-12-31	2013-05-08
348	2005-01-01	2006-03-22	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2987047	3113213	9999-12-31	2013-05-08
348	2006-03-22	2006-07-01	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2987047	3113213	9999-12-31	2013-05-08
348	2006-07-01	2007-01-01	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2987047	3113213	9999-12-31	2013-05-08
348	2007-01-01	2007-10-01	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2987047	3113213	9999-12-31	2013-05-08
348	2007-10-01	2007-10-02	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2987047	3113213	9999-12-31	2013-05-08
348	2007-10-02	2008-01-01	Endeavour Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	2987047	3113213	9999-12-31	2013-05-08
348	2008-01-01	2009-01-01	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	2987047	3113213	9999-12-31	2013-05-08
348	2009-01-01	2009-05-26	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	2987047	3113213	9999-12-31	2013-05-08
348	2006-07-01	2007-01-01	Norwegian Energy Company AS	17.500000	\N	9999-12-31	9999-12-31	2987047	3482246	9999-12-31	2013-05-08
348	2007-01-01	2007-10-01	Norwegian Energy Company AS	17.500000	\N	9999-12-31	9999-12-31	2987047	3482246	9999-12-31	2013-05-08
348	2007-10-01	2007-10-02	Norwegian Energy Company AS	17.500000	\N	9999-12-31	9999-12-31	2987047	3482246	9999-12-31	2013-05-08
348	2006-03-22	2006-07-01	Talisman Resources Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	3987574	9999-12-31	2013-05-08
348	2011-01-01	2011-07-01	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	2987047	4062883	9999-12-31	2013-05-08
348	2011-07-01	2012-02-11	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	2987047	4062883	9999-12-31	2013-05-08
348	2012-02-11	9999-12-31	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	2987047	4062883	9999-12-31	2013-05-08
348	2008-01-01	2009-01-01	Concedo ASA	5.000000	\N	9999-12-31	9999-12-31	2987047	4460794	9999-12-31	2013-05-08
348	2009-01-01	2009-05-26	Concedo ASA	5.000000	\N	9999-12-31	9999-12-31	2987047	4460794	9999-12-31	2013-05-08
348	2009-05-26	2009-10-01	Concedo ASA	5.000000	\N	9999-12-31	9999-12-31	2987047	4460794	9999-12-31	2013-05-08
348	2009-10-01	2009-11-02	Concedo ASA	5.000000	\N	9999-12-31	9999-12-31	2987047	4460794	9999-12-31	2013-05-08
348	2009-11-02	2010-01-01	Concedo ASA	5.000000	\N	9999-12-31	9999-12-31	2987047	4460794	9999-12-31	2013-05-08
348	2007-10-01	2007-10-02	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-11-01	2987047	4511658	9999-12-31	2013-05-08
348	2007-10-02	2008-01-01	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-11-01	2987047	4511658	9999-12-31	2013-05-08
348	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-11-01	2987047	4511658	9999-12-31	2013-05-08
348	2009-01-01	2009-05-26	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-11-01	2987047	4511658	9999-12-31	2013-05-08
348	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-11-01	2987047	4511658	9999-12-31	2013-05-08
348	2009-10-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-11-01	2987047	4511658	9999-12-31	2013-05-08
348	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	30.000000	\N	2007-01-01	2007-10-01	2987047	4524355	9999-12-31	2013-05-08
348	2007-10-02	2008-01-01	Norwegian Energy Company ASA	17.500000	\N	9999-12-31	9999-12-31	2987047	4530695	9999-12-31	2013-05-08
348	2008-01-01	2009-01-01	Norwegian Energy Company ASA	17.500000	\N	9999-12-31	9999-12-31	2987047	4530695	9999-12-31	2013-05-08
348	2009-01-01	2009-05-26	Norwegian Energy Company ASA	17.500000	\N	9999-12-31	9999-12-31	2987047	4530695	9999-12-31	2013-05-08
348	2009-05-26	2009-10-01	Norwegian Energy Company ASA	17.500000	\N	9999-12-31	9999-12-31	2987047	4530695	9999-12-31	2013-05-08
348	2009-10-01	2009-11-02	Norwegian Energy Company ASA	17.500000	\N	9999-12-31	9999-12-31	2987047	4530695	9999-12-31	2013-05-08
348	2009-11-02	2010-01-01	Norwegian Energy Company ASA	17.500000	\N	9999-12-31	9999-12-31	2987047	4530695	9999-12-31	2013-05-08
348	2010-01-01	2011-01-01	Norwegian Energy Company ASA	17.500000	\N	9999-12-31	9999-12-31	2987047	4530695	9999-12-31	2013-05-08
348	2011-01-01	2011-07-01	Norwegian Energy Company ASA	17.500000	\N	9999-12-31	9999-12-31	2987047	4530695	9999-12-31	2013-05-08
348	2009-01-01	2009-05-26	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	5267845	9999-12-31	2013-05-08
348	2009-05-26	2009-10-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	5267845	9999-12-31	2013-05-08
348	2009-10-01	2009-11-02	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	5267845	9999-12-31	2013-05-08
348	2009-11-02	2010-01-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	5267845	9999-12-31	2013-05-08
348	2010-01-01	2011-01-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	5267845	9999-12-31	2013-05-08
348	2011-01-01	2011-07-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	5267845	9999-12-31	2013-05-08
348	2011-07-01	2012-02-11	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	5267845	9999-12-31	2013-05-08
348	2012-02-11	9999-12-31	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	2987047	5267845	9999-12-31	2013-05-08
348	2009-05-26	2009-10-01	VNG Norge (Operations) AS	2.500000	\N	9999-12-31	9999-12-31	2987047	5497155	9999-12-31	2013-05-08
348	2009-10-01	2009-11-02	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	2987047	17237193	9999-12-31	2013-05-08
348	2009-11-02	2010-01-01	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	2987047	17237193	9999-12-31	2013-05-08
348	2010-01-01	2011-01-01	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	2987047	17237193	9999-12-31	2013-05-08
348	2011-01-01	2011-07-01	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	2987047	17237193	9999-12-31	2013-05-08
348	2011-07-01	2012-02-11	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	2987047	17237193	9999-12-31	2013-05-08
348	2012-02-11	9999-12-31	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	2987047	17237193	9999-12-31	2013-05-08
348	2009-11-02	2010-01-01	Statoil Petroleum AS	30.000000	\N	2009-11-02	9999-12-31	2987047	17237817	9999-12-31	2013-05-08
348	2010-01-01	2011-01-01	Statoil Petroleum AS	35.000000	\N	2009-11-02	9999-12-31	2987047	17237817	9999-12-31	2013-05-08
348	2011-01-01	2011-07-01	Statoil Petroleum AS	35.000000	\N	2009-11-02	9999-12-31	2987047	17237817	9999-12-31	2013-05-08
348	2011-07-01	2012-02-11	Statoil Petroleum AS	35.000000	\N	2009-11-02	9999-12-31	2987047	17237817	9999-12-31	2013-05-08
348	2012-02-11	9999-12-31	Statoil Petroleum AS	35.000000	\N	2009-11-02	9999-12-31	2987047	17237817	9999-12-31	2013-05-08
348	2011-07-01	2012-02-11	Core Energy AS	17.500000	\N	9999-12-31	9999-12-31	2987047	20460080	9999-12-31	2013-05-08
348	2012-02-11	9999-12-31	Core Energy AS	17.500000	\N	9999-12-31	9999-12-31	2987047	20460080	9999-12-31	2013-05-08
348	2012-02-11	9999-12-31	E.ON E&P Norge AS	17.500000	\N	9999-12-31	9999-12-31	2987047	21631209	9999-12-31	2013-05-08
349	2004-12-17	2005-03-31	Marathon Petroleum Norge AS	65.000000	\N	2004-12-17	2006-12-17	2987098	463	9999-12-31	2013-05-08
349	2005-03-31	2005-04-01	Marathon Petroleum Norge AS	65.000000	\N	2004-12-17	2006-12-17	2987098	463	9999-12-31	2013-05-08
349	2005-04-01	2005-04-02	Marathon Petroleum Norge AS	65.000000	\N	2004-12-17	2006-12-17	2987098	463	9999-12-31	2013-05-08
349	2005-04-02	2006-03-01	Marathon Petroleum Norge AS	65.000000	\N	2004-12-17	2006-12-17	2987098	463	9999-12-31	2013-05-08
349	2006-03-01	2006-12-17	Marathon Petroleum Norge AS	65.000000	\N	2004-12-17	2006-12-17	2987098	463	9999-12-31	2013-05-08
349	2004-12-17	2005-03-31	Pertra AS (OLD)	35.000000	\N	9999-12-31	9999-12-31	2987098	2069841	9999-12-31	2013-05-08
349	2005-04-02	2006-03-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987098	2425093	9999-12-31	2013-05-08
349	2006-03-01	2006-12-17	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987098	2425093	9999-12-31	2013-05-08
349	2005-03-31	2005-04-01	Talisman Production Norge AS	35.000000	\N	9999-12-31	9999-12-31	2987098	3420565	9999-12-31	2013-05-08
349	2005-04-01	2005-04-02	Talisman Production Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987098	3420565	9999-12-31	2013-05-08
349	2005-04-01	2005-04-02	Pertra AS	5.000000	\N	9999-12-31	9999-12-31	2987098	3425724	9999-12-31	2013-05-08
349	2005-04-02	2006-03-01	Pertra AS	5.000000	\N	9999-12-31	9999-12-31	2987098	3425724	9999-12-31	2013-05-08
349	2006-03-01	2006-12-17	Pertra ASA	5.000000	\N	9999-12-31	9999-12-31	2987098	3964368	9999-12-31	2013-05-08
350	2004-12-17	2007-01-01	Norsk Hydro Produksjon AS	35.000000	\N	9999-12-31	9999-12-31	2987133	430	9999-12-31	2013-05-08
350	2004-12-17	2007-01-01	Statoil ASA (old)	55.000000	\N	2004-12-17	2007-10-01	2987133	1622484	9999-12-31	2013-05-08
350	2007-01-01	2007-10-01	Statoil ASA (old)	55.000000	\N	2004-12-17	2007-10-01	2987133	1622484	9999-12-31	2013-05-08
350	2004-12-17	2007-01-01	E.ON Ruhrgas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2987133	2840522	9999-12-31	2013-05-08
350	2007-01-01	2007-10-01	E.ON Ruhrgas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2987133	2840522	9999-12-31	2013-05-08
350	2007-10-01	2009-01-01	E.ON Ruhrgas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2987133	2840522	9999-12-31	2013-05-08
350	2009-01-01	2009-01-02	E.ON Ruhrgas Norge AS	10.000000	\N	9999-12-31	9999-12-31	2987133	2840522	9999-12-31	2013-05-08
350	2009-01-02	2009-01-03	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	2987133	2840522	9999-12-31	2013-05-08
350	2009-01-03	2009-11-02	E.ON Ruhrgas Norge AS	40.000000	\N	2009-03-12	2012-02-10	2987133	2840522	9999-12-31	2013-05-08
350	2009-11-02	2012-02-11	E.ON Ruhrgas Norge AS	40.000000	\N	2009-03-12	2012-02-10	2987133	2840522	9999-12-31	2013-05-08
350	2009-01-03	2009-11-02	PGNiG Norway AS	30.000000	\N	9999-12-31	9999-12-31	2987133	4505831	9999-12-31	2013-05-08
350	2009-11-02	2012-02-11	PGNiG Norway AS	30.000000	\N	9999-12-31	9999-12-31	2987133	4505831	9999-12-31	2013-05-08
350	2012-02-11	2012-09-17	PGNiG Norway AS	30.000000	\N	9999-12-31	9999-12-31	2987133	4505831	2012-10-12	2013-05-08
350	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	35.000000	\N	9999-12-31	9999-12-31	2987133	4511658	9999-12-31	2013-05-08
350	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	90.000000	\N	2009-01-01	2009-03-11	2987133	4511658	9999-12-31	2013-05-08
350	2009-01-02	2009-01-03	StatoilHydro Petroleum AS	60.000000	\N	2009-01-01	2009-03-11	2987133	4511658	9999-12-31	2013-05-08
350	2009-01-03	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	2009-01-01	2009-03-11	2987133	4511658	9999-12-31	2013-05-08
350	2007-10-01	2009-01-01	StatoilHydro ASA	55.000000	\N	2007-10-01	2008-12-31	2987133	4511854	9999-12-31	2013-05-08
350	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	35.000000	\N	9999-12-31	9999-12-31	2987133	4524355	9999-12-31	2013-05-08
350	2009-11-02	2012-02-11	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	2987133	17237817	9999-12-31	2013-05-08
350	2012-02-11	2012-09-17	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	2987133	17237817	2012-10-12	2013-05-08
350	2012-02-11	2012-09-17	E.ON E&P Norge AS	40.000000	\N	2012-02-11	2012-09-17	2987133	21631209	2012-10-13	2013-05-08
351	2004-12-17	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	9999-12-31	9999-12-31	2987183	430	9999-12-31	2013-05-08
351	2004-12-17	2007-01-01	Statoil ASA (old)	60.000000	\N	2004-12-17	2007-10-01	2987183	1622484	9999-12-31	2013-05-08
351	2007-01-01	2007-10-01	Statoil ASA (old)	60.000000	\N	2004-12-17	2007-10-01	2987183	1622484	9999-12-31	2013-05-08
351	2007-10-01	2007-12-14	StatoilHydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	2987183	4511658	9999-12-31	2013-05-08
351	2007-10-01	2007-12-14	StatoilHydro ASA	60.000000	\N	2007-10-01	2007-12-14	2987183	4511854	9999-12-31	2013-05-08
351	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	2987183	4524355	9999-12-31	2013-05-08
352	2004-12-17	2006-09-06	Statoil ASA (old)	70.000000	\N	2004-12-17	2007-10-01	2987228	1622484	9999-12-31	2013-05-08
352	2006-09-06	2007-10-01	Statoil ASA (old)	70.000000	\N	2004-12-17	2007-10-01	2987228	1622484	9999-12-31	2013-05-08
352	2004-12-17	2006-09-06	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987228	1853083	9999-12-31	2013-05-08
352	2006-09-06	2007-10-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987228	4070011	9999-12-31	2013-05-08
352	2007-10-01	2008-10-08	StatoilHydro ASA	70.000000	\N	2007-10-01	2008-10-08	2987228	4511854	9999-12-31	2013-05-08
353	2004-12-17	2005-01-01	Norsk Hydro Produksjon AS	100.000000	\N	2004-12-17	2006-12-17	2987265	430	9999-12-31	2013-05-08
353	2005-01-01	2006-12-17	Norsk Hydro Produksjon AS	80.000000	\N	2004-12-17	2006-12-17	2987265	430	9999-12-31	2013-05-08
353	2005-01-01	2006-12-17	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	2987265	3482302	9999-12-31	2013-05-08
073 B	2004-12-17	2007-01-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	2987414	430	9999-12-31	2013-05-08
073 B	2007-08-07	2007-10-01	Mobil Development Norway AS	6.600000	\N	9999-12-31	9999-12-31	2987414	474	9999-12-31	2013-05-08
073 B	2007-10-01	2008-01-01	Mobil Development Norway AS	6.600000	\N	9999-12-31	9999-12-31	2987414	474	9999-12-31	2013-05-08
073 B	2008-01-01	2008-01-02	Mobil Development Norway AS	6.600000	\N	9999-12-31	9999-12-31	2987414	474	9999-12-31	2013-05-08
073 B	2004-12-17	2007-01-01	Statoil ASA (old)	46.833600	\N	2004-12-17	2007-10-01	2987414	1622484	9999-12-31	2013-05-08
073 B	2007-01-01	2007-08-07	Statoil ASA (old)	46.833600	\N	2004-12-17	2007-10-01	2987414	1622484	9999-12-31	2013-05-08
073 B	2007-08-07	2007-10-01	Statoil ASA (old)	46.833600	\N	2004-12-17	2007-10-01	2987414	1622484	9999-12-31	2013-05-08
073 B	2004-12-17	2007-01-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	2987414	2388594	9999-12-31	2013-05-08
073 B	2007-01-01	2007-08-07	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	2987414	2388594	9999-12-31	2013-05-08
073 B	2007-08-07	2007-10-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	2987414	2388594	9999-12-31	2013-05-08
073 B	2007-10-01	2008-01-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	2987414	2388594	9999-12-31	2013-05-08
073 B	2008-01-01	2008-01-02	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	2987414	2388594	9999-12-31	2013-05-08
073 B	2008-01-02	2009-01-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	2987414	2388594	9999-12-31	2013-05-08
073 B	2009-01-01	2009-11-02	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	2987414	2388594	9999-12-31	2013-05-08
073 B	2009-11-02	9999-12-31	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	2987414	2388594	9999-12-31	2013-05-08
073 B	2004-12-17	2007-01-01	Total E&P Norge AS	26.666400	\N	9999-12-31	9999-12-31	2987414	2410708	9999-12-31	2013-05-08
073 B	2007-01-01	2007-08-07	Total E&P Norge AS	26.666400	\N	9999-12-31	9999-12-31	2987414	2410708	9999-12-31	2013-05-08
073 B	2007-08-07	2007-10-01	Total E&P Norge AS	26.666400	\N	9999-12-31	9999-12-31	2987414	2410708	9999-12-31	2013-05-08
073 B	2007-10-01	2008-01-01	Total E&P Norge AS	26.666400	\N	9999-12-31	9999-12-31	2987414	2410708	9999-12-31	2013-05-08
073 B	2008-01-01	2008-01-02	Total E&P Norge AS	26.666400	\N	9999-12-31	9999-12-31	2987414	2410708	9999-12-31	2013-05-08
073 B	2008-01-02	2009-01-01	Total E&P Norge AS	26.666400	\N	9999-12-31	9999-12-31	2987414	2410708	9999-12-31	2013-05-08
073 B	2009-01-01	2009-11-02	Total E&P Norge AS	26.666400	\N	9999-12-31	9999-12-31	2987414	2410708	9999-12-31	2013-05-08
073 B	2009-11-02	9999-12-31	Total E&P Norge AS	26.666400	\N	9999-12-31	9999-12-31	2987414	2410708	9999-12-31	2013-05-08
073 B	2004-12-17	2007-01-01	ExxonMobil Exploration & Production Norway AS	6.600000	\N	9999-12-31	9999-12-31	2987414	2835212	9999-12-31	2013-05-08
073 B	2007-01-01	2007-08-07	ExxonMobil Exploration & Production Norway AS	6.600000	\N	9999-12-31	9999-12-31	2987414	2835212	9999-12-31	2013-05-08
073 B	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	6.600000	\N	9999-12-31	9999-12-31	2987414	2835212	9999-12-31	2013-05-08
073 B	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	6.600000	\N	9999-12-31	9999-12-31	2987414	2835212	9999-12-31	2013-05-08
073 B	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	6.600000	\N	9999-12-31	9999-12-31	2987414	2835212	9999-12-31	2013-05-08
073 B	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	2987414	4511658	9999-12-31	2013-05-08
073 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	58.833600	\N	2009-01-01	2009-11-01	2987414	4511658	9999-12-31	2013-05-08
073 B	2007-10-01	2008-01-01	StatoilHydro ASA	46.833600	\N	2007-10-01	2008-12-31	2987414	4511854	9999-12-31	2013-05-08
073 B	2008-01-01	2008-01-02	StatoilHydro ASA	58.833600	\N	2007-10-01	2008-12-31	2987414	4511854	9999-12-31	2013-05-08
073 B	2008-01-02	2009-01-01	StatoilHydro ASA	58.833600	\N	2007-10-01	2008-12-31	2987414	4511854	9999-12-31	2013-05-08
073 B	2007-01-01	2007-08-07	Norsk Hydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	2987414	4524355	9999-12-31	2013-05-08
073 B	2007-08-07	2007-10-01	Norsk Hydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	2987414	4524355	9999-12-31	2013-05-08
073 B	2009-11-02	9999-12-31	Statoil Petroleum AS	58.833600	\N	2009-11-02	9999-12-31	2987414	17237817	9999-12-31	2013-05-08
122 C	2004-12-17	2006-09-06	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	2987454	1622484	9999-12-31	2013-05-08
122 C	2006-09-06	2007-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	2987454	1622484	9999-12-31	2013-05-08
122 C	2004-12-17	2006-09-06	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987454	1853083	9999-12-31	2013-05-08
122 C	2004-12-17	2006-09-06	Eni Norge AS	20.000000	\N	2004-12-17	9999-12-31	2987454	2388594	9999-12-31	2013-05-08
122 C	2006-09-06	2007-10-01	Eni Norge AS	20.000000	\N	2004-12-17	9999-12-31	2987454	2388594	9999-12-31	2013-05-08
122 C	2007-10-01	2009-01-01	Eni Norge AS	20.000000	\N	2004-12-17	9999-12-31	2987454	2388594	9999-12-31	2013-05-08
122 C	2009-01-01	2009-11-02	Eni Norge AS	20.000000	\N	2004-12-17	9999-12-31	2987454	2388594	9999-12-31	2013-05-08
122 C	2009-11-02	9999-12-31	Eni Norge AS	20.000000	\N	2004-12-17	9999-12-31	2987454	2388594	9999-12-31	2013-05-08
122 C	2006-09-06	2007-10-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987454	4070011	9999-12-31	2013-05-08
122 C	2007-10-01	2009-01-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987454	4070011	9999-12-31	2013-05-08
122 C	2009-01-01	2009-11-02	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987454	4070011	9999-12-31	2013-05-08
122 C	2009-11-02	9999-12-31	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987454	4070011	9999-12-31	2013-05-08
122 C	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	2987454	4511658	9999-12-31	2013-05-08
122 C	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	2987454	4511854	9999-12-31	2013-05-08
122 C	2009-11-02	9999-12-31	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	2987454	17237817	9999-12-31	2013-05-08
305 B	2004-12-17	2005-05-04	Det Norske Oljeselskap AS	40.000000	\N	2004-12-17	2007-06-20	2987480	1340609	9999-12-31	2013-05-08
305 B	2005-05-04	2006-01-01	Det Norske Oljeselskap AS	40.000000	\N	2004-12-17	2007-06-20	2987480	1340609	9999-12-31	2013-05-08
305 B	2006-01-01	2007-06-20	Det Norske Oljeselskap AS	30.000000	\N	2004-12-17	2007-06-20	2987480	1340609	9999-12-31	2013-05-08
305 B	2004-12-17	2005-05-04	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987480	2425093	9999-12-31	2013-05-08
305 B	2005-05-04	2006-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987480	2425093	9999-12-31	2013-05-08
305 B	2006-01-01	2007-06-20	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987480	2425093	9999-12-31	2013-05-08
305 B	2007-06-20	2007-11-16	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987480	2425093	9999-12-31	2013-05-08
305 B	2007-11-16	2008-01-01	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987480	2425093	9999-12-31	2013-05-08
305 B	2008-01-01	2008-12-02	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	2987480	2425093	9999-12-31	2013-05-08
305 B	2004-12-17	2005-05-04	Revus Energy AS	30.000000	\N	9999-12-31	9999-12-31	2987480	2455850	9999-12-31	2013-05-08
305 B	2005-05-04	2006-01-01	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2987480	3431773	9999-12-31	2013-05-08
305 B	2006-01-01	2007-06-20	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2987480	3431773	9999-12-31	2013-05-08
305 B	2007-06-20	2007-11-16	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2987480	3431773	9999-12-31	2013-05-08
305 B	2007-11-16	2008-01-01	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2987480	3431773	9999-12-31	2013-05-08
305 B	2008-01-01	2008-12-02	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	2987480	3431773	9999-12-31	2013-05-08
305 B	2006-01-01	2007-06-20	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2987480	3986418	9999-12-31	2013-05-08
305 B	2007-06-20	2007-11-16	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2987480	3986418	9999-12-31	2013-05-08
305 B	2007-11-16	2008-01-01	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2987480	3986418	9999-12-31	2013-05-08
305 B	2008-01-01	2008-12-02	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	2987480	3986418	9999-12-31	2013-05-08
305 B	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	30.000000	\N	2007-06-20	2007-11-16	2987480	4468177	9999-12-31	2013-05-08
305 B	2007-11-16	2008-01-01	Noil Energy ASA	30.000000	\N	2007-11-16	2008-01-01	2987480	4539976	9999-12-31	2013-05-08
305 B	2008-01-01	2008-12-02	Det norske oljeselskap ASA (old)	30.000000	\N	2008-01-01	2008-12-02	2987480	4539989	9999-12-31	2013-05-08
311 B	2004-12-17	2005-04-25	Marathon Petroleum Norge AS	75.000000	\N	2004-12-17	2009-02-28	2987508	463	9999-12-31	2013-05-08
311 B	2005-04-25	2006-01-01	Marathon Petroleum Norge AS	50.000000	\N	2004-12-17	2009-02-28	2987508	463	9999-12-31	2013-05-08
311 B	2006-01-01	2007-01-01	Marathon Petroleum Norge AS	37.500000	\N	2004-12-17	2009-02-28	2987508	463	9999-12-31	2013-05-08
311 B	2007-01-01	2007-10-04	Marathon Petroleum Norge AS	37.500000	\N	2004-12-17	2009-02-28	2987508	463	9999-12-31	2013-05-08
311 B	2007-10-04	2009-02-28	Marathon Petroleum Norge AS	37.500000	\N	2004-12-17	2009-02-28	2987508	463	9999-12-31	2013-05-08
311 B	2004-12-17	2005-04-25	Gaz de France Norge AS	25.000000	\N	9999-12-31	9999-12-31	2987508	1628733	9999-12-31	2013-05-08
311 B	2005-04-25	2006-01-01	Gaz de France Norge AS	25.000000	\N	9999-12-31	9999-12-31	2987508	1628733	9999-12-31	2013-05-08
311 B	2006-01-01	2007-01-01	Gaz de France Norge AS	25.000000	\N	9999-12-31	9999-12-31	2987508	1628733	9999-12-31	2013-05-08
311 B	2005-04-25	2006-01-01	Talisman Energy Norge AS	25.000000	\N	9999-12-31	9999-12-31	2987508	2425093	9999-12-31	2013-05-08
311 B	2006-01-01	2007-01-01	Talisman Energy Norge AS	37.500000	\N	9999-12-31	9999-12-31	2987508	2425093	9999-12-31	2013-05-08
311 B	2007-01-01	2007-10-04	Talisman Energy Norge AS	37.500000	\N	9999-12-31	9999-12-31	2987508	2425093	9999-12-31	2013-05-08
311 B	2007-10-04	2009-02-28	Talisman Energy Norge AS	37.500000	\N	9999-12-31	9999-12-31	2987508	2425093	9999-12-31	2013-05-08
311 B	2007-01-01	2007-10-04	Dana Petroleum Norway ASA	25.000000	\N	9999-12-31	9999-12-31	2987508	4510514	9999-12-31	2013-05-08
311 B	2007-10-04	2009-02-28	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	2987508	4526555	9999-12-31	2013-05-08
037 E	2005-01-01	2005-01-02	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	3000656	430	9999-12-31	2013-05-08
037 E	2005-01-02	2007-01-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	3000656	430	9999-12-31	2013-05-08
037 E	2004-12-10	2005-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	3000656	562	9999-12-31	2013-05-08
037 E	2005-01-01	2005-01-02	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	3000656	562	9999-12-31	2013-05-08
037 E	2004-12-10	2005-01-01	Statoil ASA (old)	21.875000	\N	2004-12-10	2007-10-01	3000656	1622484	9999-12-31	2013-05-08
037 E	2005-01-01	2005-01-02	Statoil ASA (old)	12.875000	\N	2004-12-10	2007-10-01	3000656	1622484	9999-12-31	2013-05-08
037 E	2005-01-02	2007-01-01	Statoil ASA (old)	61.000000	\N	2004-12-10	2007-10-01	3000656	1622484	9999-12-31	2013-05-08
037 E	2007-01-01	2007-10-01	Statoil ASA (old)	61.000000	\N	2004-12-10	2007-10-01	3000656	1622484	9999-12-31	2013-05-08
037 E	2004-12-10	2005-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3000656	1626839	9999-12-31	2013-05-08
037 E	2005-01-01	2005-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3000656	1626839	9999-12-31	2013-05-08
037 E	2005-01-02	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3000656	1626839	9999-12-31	2013-05-08
037 E	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3000656	1626839	9999-12-31	2013-05-08
037 E	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3000656	1626839	9999-12-31	2013-05-08
037 E	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3000656	1626839	9999-12-31	2013-05-08
037 E	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3000656	1626839	9999-12-31	2013-05-08
037 E	2004-12-10	2005-01-01	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	3000656	1853786	9999-12-31	2013-05-08
037 E	2005-01-01	2005-01-02	Enterprise Oil Norge AS	1.041670	\N	9999-12-31	9999-12-31	3000656	1853786	9999-12-31	2013-05-08
037 E	2004-12-10	2005-01-01	Norske ConocoPhillips AS	12.083330	\N	9999-12-31	9999-12-31	3000656	2399056	9999-12-31	2013-05-08
037 E	2005-01-01	2005-01-02	Norske ConocoPhillips AS	12.083330	\N	9999-12-31	9999-12-31	3000656	2399056	9999-12-31	2013-05-08
037 E	2004-12-10	2005-01-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	3000656	2835212	9999-12-31	2013-05-08
037 E	2005-01-01	2005-01-02	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	3000656	2835212	9999-12-31	2013-05-08
037 E	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	3000656	4511658	9999-12-31	2013-05-08
037 E	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	3000656	4511658	9999-12-31	2013-05-08
037 E	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	2007-10-01	2008-12-31	3000656	4511854	9999-12-31	2013-05-08
037 E	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	3000656	4524355	9999-12-31	2013-05-08
037 E	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	3000656	17237817	9999-12-31	2013-05-08
110 B	2004-12-17	2006-10-27	Amerada Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3001885	67	9999-12-31	2013-05-08
110 B	2004-12-17	2006-10-27	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3001885	97557	9999-12-31	2013-05-08
110 B	2006-10-27	2007-10-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3001885	97557	9999-12-31	2013-05-08
110 B	2007-10-01	2009-01-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3001885	97557	9999-12-31	2013-05-08
110 B	2009-01-01	2009-01-02	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3001885	97557	9999-12-31	2013-05-08
110 B	2009-01-02	2009-11-02	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3001885	97557	9999-12-31	2013-05-08
110 B	2009-11-02	2011-01-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3001885	97557	9999-12-31	2013-05-08
110 B	2011-01-01	9999-12-31	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3001885	97557	9999-12-31	2013-05-08
110 B	2004-12-17	2006-10-27	Statoil ASA (old)	33.530000	\N	2004-12-17	2007-10-01	3001885	1622484	9999-12-31	2013-05-08
110 B	2006-10-27	2007-10-01	Statoil ASA (old)	33.530000	\N	2004-12-17	2007-10-01	3001885	1622484	9999-12-31	2013-05-08
110 B	2004-12-17	2006-10-27	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3001885	1626839	9999-12-31	2013-05-08
110 B	2006-10-27	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3001885	1626839	9999-12-31	2013-05-08
110 B	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3001885	1626839	9999-12-31	2013-05-08
110 B	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3001885	1626839	9999-12-31	2013-05-08
110 B	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3001885	1626839	9999-12-31	2013-05-08
110 B	2009-11-02	2011-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3001885	1626839	9999-12-31	2013-05-08
110 B	2011-01-01	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3001885	1626839	9999-12-31	2013-05-08
110 B	2004-12-17	2006-10-27	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	3001885	1628733	9999-12-31	2013-05-08
110 B	2006-10-27	2007-10-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	3001885	1628733	9999-12-31	2013-05-08
110 B	2007-10-01	2009-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	3001885	1628733	9999-12-31	2013-05-08
110 B	2004-12-17	2006-10-27	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3001885	2410708	9999-12-31	2013-05-08
110 B	2006-10-27	2007-10-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3001885	2410708	9999-12-31	2013-05-08
110 B	2007-10-01	2009-01-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3001885	2410708	9999-12-31	2013-05-08
110 B	2009-01-01	2009-01-02	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3001885	2410708	9999-12-31	2013-05-08
110 B	2009-01-02	2009-11-02	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3001885	2410708	9999-12-31	2013-05-08
110 B	2009-11-02	2011-01-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3001885	2410708	9999-12-31	2013-05-08
110 B	2011-01-01	9999-12-31	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3001885	2410708	9999-12-31	2013-05-08
110 B	2006-10-27	2007-10-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3001885	4038735	9999-12-31	2013-05-08
110 B	2007-10-01	2009-01-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3001885	4038735	9999-12-31	2013-05-08
110 B	2009-01-01	2009-01-02	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3001885	4038735	9999-12-31	2013-05-08
110 B	2009-01-02	2009-11-02	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3001885	4038735	9999-12-31	2013-05-08
110 B	2009-11-02	2011-01-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3001885	4038735	9999-12-31	2013-05-08
110 B	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	33.530000	\N	2009-01-01	2009-11-01	3001885	4511658	9999-12-31	2013-05-08
110 B	2007-10-01	2009-01-01	StatoilHydro ASA	33.530000	\N	2007-10-01	2008-12-31	3001885	4511854	9999-12-31	2013-05-08
110 B	2009-01-01	2009-01-02	StatoilHydro ASA	33.530000	\N	9999-12-31	9999-12-31	3001885	4511854	9999-12-31	2013-05-08
110 B	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	3001885	5267845	9999-12-31	2013-05-08
110 B	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	3001885	5267845	9999-12-31	2013-05-08
110 B	2009-11-02	2011-01-01	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	3001885	5267845	9999-12-31	2013-05-08
110 B	2011-01-01	9999-12-31	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	3001885	5267845	9999-12-31	2013-05-08
110 B	2009-11-02	2011-01-01	Statoil Petroleum AS	33.530000	\N	2009-11-02	9999-12-31	3001885	17237817	9999-12-31	2013-05-08
110 B	2011-01-01	9999-12-31	Statoil Petroleum AS	36.790000	\N	2009-11-02	9999-12-31	3001885	17237817	9999-12-31	2013-05-08
212 C	2005-02-07	2005-02-08	Enterprise Oil Norwegian AS	25.000000	\N	9999-12-31	9999-12-31	3371954	342	9999-12-31	2013-05-08
212 C	2005-02-07	2005-02-08	Mobil Development Norway AS	15.000000	\N	9999-12-31	9999-12-31	3371954	474	9999-12-31	2013-05-08
212 C	2005-02-07	2005-02-08	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	3371954	1622484	9999-12-31	2013-05-08
212 C	2005-02-08	2007-10-01	Statoil ASA (old)	100.000000	\N	2005-02-23	2007-10-01	3371954	1622484	9999-12-31	2013-05-08
212 C	2005-02-07	2005-02-08	BP Norge AS	30.000000	\N	2005-02-07	2005-02-23	3371954	2052695	9999-12-31	2013-05-08
212 C	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	100.000000	\N	2009-01-01	2009-11-01	3371954	4511658	9999-12-31	2013-05-08
212 C	2007-10-01	2009-01-01	StatoilHydro ASA	100.000000	\N	2007-10-01	2008-12-31	3371954	4511854	9999-12-31	2013-05-08
212 C	2009-11-02	2010-01-01	Statoil Petroleum AS	100.000000	\N	2009-11-02	2010-01-01	3371954	17237817	9999-12-31	2013-05-08
090 B	2005-05-25	2005-05-26	Norsk Hydro Produksjon AS	25.000000	\N	2005-05-25	2007-01-01	3426781	430	9999-12-31	2013-05-08
090 B	2005-05-26	2007-01-01	Norsk Hydro Produksjon AS	25.000000	\N	2005-05-25	2007-01-01	3426781	430	9999-12-31	2013-05-08
090 B	2005-05-25	2005-05-26	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	441	9999-12-31	2013-05-08
090 B	2005-05-26	2007-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	441	9999-12-31	2013-05-08
090 B	2007-01-01	2007-10-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	441	9999-12-31	2013-05-08
090 B	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	441	9999-12-31	2013-05-08
090 B	2009-01-01	2009-01-02	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	441	9999-12-31	2013-05-08
090 B	2009-01-02	2009-01-17	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	441	9999-12-31	2013-05-08
090 B	2009-01-17	2009-11-02	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	441	9999-12-31	2013-05-08
090 B	2009-11-02	2012-03-24	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	441	9999-12-31	2013-05-08
090 B	2012-03-24	9999-12-31	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	441	9999-12-31	2013-05-08
090 B	2005-05-25	2005-05-26	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	3426781	474	9999-12-31	2013-05-08
090 B	2005-05-25	2005-05-26	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3426781	1622484	9999-12-31	2013-05-08
090 B	2005-05-26	2007-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3426781	1622484	9999-12-31	2013-05-08
090 B	2007-01-01	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3426781	1622484	9999-12-31	2013-05-08
090 B	2005-05-25	2005-05-26	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	1628733	9999-12-31	2013-05-08
090 B	2005-05-26	2007-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	1628733	9999-12-31	2013-05-08
090 B	2007-01-01	2007-10-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	1628733	9999-12-31	2013-05-08
090 B	2007-10-01	2009-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	1628733	9999-12-31	2013-05-08
090 B	2005-05-26	2007-01-01	Revus Energy ASA	25.000000	\N	9999-12-31	9999-12-31	3426781	3431773	9999-12-31	2013-05-08
090 B	2007-01-01	2007-10-01	Revus Energy ASA	25.000000	\N	9999-12-31	9999-12-31	3426781	3431773	9999-12-31	2013-05-08
090 B	2007-10-01	2009-01-01	Revus Energy ASA	25.000000	\N	9999-12-31	9999-12-31	3426781	3431773	9999-12-31	2013-05-08
090 B	2009-01-01	2009-01-02	Revus Energy ASA	25.000000	\N	9999-12-31	9999-12-31	3426781	3431773	9999-12-31	2013-05-08
090 B	2009-01-02	2009-01-17	Revus Energy ASA	25.000000	\N	9999-12-31	9999-12-31	3426781	3431773	9999-12-31	2013-05-08
090 B	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	3426781	4511658	9999-12-31	2013-05-08
090 B	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	3426781	4511658	9999-12-31	2013-05-08
090 B	2009-01-02	2009-01-17	StatoilHydro Petroleum AS	45.000000	\N	2007-10-01	2009-11-01	3426781	4511658	9999-12-31	2013-05-08
090 B	2009-01-17	2009-11-02	StatoilHydro Petroleum AS	45.000000	\N	2007-10-01	2009-11-01	3426781	4511658	9999-12-31	2013-05-08
090 B	2007-10-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	3426781	4511854	9999-12-31	2013-05-08
090 B	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	3426781	4511854	9999-12-31	2013-05-08
090 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	25.000000	\N	2007-01-01	2007-10-01	3426781	4524355	9999-12-31	2013-05-08
090 B	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	5267845	9999-12-31	2013-05-08
090 B	2009-01-02	2009-01-17	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	5267845	9999-12-31	2013-05-08
090 B	2009-01-17	2009-11-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	5267845	9999-12-31	2013-05-08
090 B	2009-11-02	2012-03-24	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	5267845	9999-12-31	2013-05-08
090 B	2012-03-24	9999-12-31	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426781	5267845	9999-12-31	2013-05-08
090 B	2009-01-17	2009-11-02	Wintershall Norge ASA	25.000000	\N	9999-12-31	9999-12-31	3426781	5442509	9999-12-31	2013-05-08
090 B	2009-11-02	2012-03-24	Wintershall Norge ASA	25.000000	\N	9999-12-31	9999-12-31	3426781	5442509	9999-12-31	2013-05-08
090 B	2009-11-02	2012-03-24	Statoil Petroleum AS	45.000000	\N	2009-11-02	9999-12-31	3426781	17237817	9999-12-31	2013-05-08
090 B	2012-03-24	9999-12-31	Statoil Petroleum AS	45.000000	\N	2009-11-02	9999-12-31	3426781	17237817	9999-12-31	2013-05-08
090 B	2012-03-24	9999-12-31	Wintershall Norge AS	25.000000	\N	9999-12-31	9999-12-31	3426781	21666830	9999-12-31	2013-05-08
090 C	2005-05-25	2005-05-26	Norsk Hydro Produksjon AS	25.000000	\N	2005-05-25	2007-01-01	3426824	430	9999-12-31	2013-05-08
090 C	2005-05-26	2007-01-01	Norsk Hydro Produksjon AS	25.000000	\N	2005-05-25	2007-01-01	3426824	430	9999-12-31	2013-05-08
090 C	2005-05-25	2005-05-26	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	441	9999-12-31	2013-05-08
090 C	2005-05-26	2007-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	441	9999-12-31	2013-05-08
090 C	2007-01-01	2007-01-02	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	441	9999-12-31	2013-05-08
090 C	2007-01-02	2007-10-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	441	9999-12-31	2013-05-08
090 C	2007-10-01	2009-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	441	9999-12-31	2013-05-08
090 C	2009-01-01	2009-01-02	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	441	9999-12-31	2013-05-08
090 C	2009-01-02	2009-11-02	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	441	9999-12-31	2013-05-08
090 C	2009-11-02	9999-12-31	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	441	9999-12-31	2013-05-08
090 C	2005-05-25	2005-05-26	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	3426824	474	9999-12-31	2013-05-08
090 C	2005-05-25	2005-05-26	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3426824	1622484	9999-12-31	2013-05-08
090 C	2005-05-26	2007-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3426824	1622484	9999-12-31	2013-05-08
090 C	2007-01-01	2007-01-02	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3426824	1622484	9999-12-31	2013-05-08
090 C	2007-01-02	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3426824	1622484	9999-12-31	2013-05-08
090 C	2005-05-25	2005-05-26	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	1628733	9999-12-31	2013-05-08
090 C	2005-05-26	2007-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	1628733	9999-12-31	2013-05-08
090 C	2007-01-01	2007-01-02	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	1628733	9999-12-31	2013-05-08
090 C	2007-01-02	2007-10-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	1628733	9999-12-31	2013-05-08
090 C	2007-10-01	2009-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	1628733	9999-12-31	2013-05-08
090 C	2005-05-26	2007-01-01	Revus Energy ASA	25.000000	\N	9999-12-31	9999-12-31	3426824	3431773	9999-12-31	2013-05-08
090 C	2007-01-01	2007-01-02	Revus Energy ASA	25.000000	\N	9999-12-31	9999-12-31	3426824	3431773	9999-12-31	2013-05-08
090 C	2007-01-02	2007-10-01	Bayerngas Norge AS	25.000000	\N	9999-12-31	9999-12-31	3426824	4444493	9999-12-31	2013-05-08
090 C	2007-10-01	2009-01-01	Bayerngas Norge AS	25.000000	\N	9999-12-31	9999-12-31	3426824	4444493	9999-12-31	2013-05-08
090 C	2009-01-01	2009-01-02	Bayerngas Norge AS	25.000000	\N	9999-12-31	9999-12-31	3426824	4444493	9999-12-31	2013-05-08
090 C	2009-01-02	2009-11-02	Bayerngas Norge AS	25.000000	\N	9999-12-31	9999-12-31	3426824	4444493	9999-12-31	2013-05-08
090 C	2009-11-02	9999-12-31	Bayerngas Norge AS	25.000000	\N	9999-12-31	9999-12-31	3426824	4444493	9999-12-31	2013-05-08
090 C	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	3426824	4511658	9999-12-31	2013-05-08
090 C	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	3426824	4511658	9999-12-31	2013-05-08
090 C	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	45.000000	\N	2007-10-01	2009-11-01	3426824	4511658	9999-12-31	2013-05-08
090 C	2007-10-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	3426824	4511854	9999-12-31	2013-05-08
090 C	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	3426824	4511854	9999-12-31	2013-05-08
090 C	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	25.000000	\N	2007-01-01	2007-10-01	3426824	4524355	9999-12-31	2013-05-08
090 C	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	25.000000	\N	2007-01-01	2007-10-01	3426824	4524355	9999-12-31	2013-05-08
090 C	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	5267845	9999-12-31	2013-05-08
090 C	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	5267845	9999-12-31	2013-05-08
090 C	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	3426824	5267845	9999-12-31	2013-05-08
090 C	2009-11-02	9999-12-31	Statoil Petroleum AS	45.000000	\N	2009-11-02	9999-12-31	3426824	17237817	9999-12-31	2013-05-08
048 C	2005-10-10	2005-10-11	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	3489506	430	9999-12-31	2013-05-08
048 C	2005-10-11	2006-11-28	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	3489506	430	9999-12-31	2013-05-08
048 C	2006-11-28	2007-01-01	Norsk Hydro Produksjon AS	9.300000	\N	9999-12-31	9999-12-31	3489506	430	9999-12-31	2013-05-08
048 C	2005-10-10	2005-10-11	Statoil ASA (old)	68.900000	\N	2005-10-10	2007-10-01	3489506	1622484	9999-12-31	2013-05-08
048 C	2005-10-11	2006-11-28	Statoil ASA (old)	68.900000	\N	2005-10-10	2007-10-01	3489506	1622484	9999-12-31	2013-05-08
048 C	2006-11-28	2007-01-01	Statoil ASA (old)	68.900000	\N	2005-10-10	2007-10-01	3489506	1622484	9999-12-31	2013-05-08
048 C	2007-01-01	2007-10-01	Statoil ASA (old)	68.900000	\N	2005-10-10	2007-10-01	3489506	1622484	9999-12-31	2013-05-08
048 C	2005-10-10	2005-10-11	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	3489506	2410708	9999-12-31	2013-05-08
048 C	2005-10-11	2006-11-28	Altinex Oil AS	21.800000	\N	9999-12-31	9999-12-31	3489506	2835200	9999-12-31	2013-05-08
048 C	2006-11-28	2007-01-01	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489506	4446230	9999-12-31	2013-05-08
048 C	2007-01-01	2007-10-01	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489506	4446230	9999-12-31	2013-05-08
048 C	2007-10-01	2009-01-01	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489506	4446230	9999-12-31	2013-05-08
048 C	2009-01-01	2009-11-02	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489506	4446230	9999-12-31	2013-05-08
048 C	2009-11-02	2010-01-01	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489506	4446230	9999-12-31	2013-05-08
048 C	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.300000	\N	9999-12-31	9999-12-31	3489506	4511658	9999-12-31	2013-05-08
048 C	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	78.200000	\N	2009-01-01	2009-11-01	3489506	4511658	9999-12-31	2013-05-08
048 C	2007-10-01	2009-01-01	StatoilHydro ASA	68.900000	\N	2007-10-01	2008-12-31	3489506	4511854	9999-12-31	2013-05-08
048 C	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.300000	\N	9999-12-31	9999-12-31	3489506	4524355	9999-12-31	2013-05-08
048 C	2010-01-01	2012-12-31	Norwegian Energy Company ASA	21.800000	\N	9999-12-31	9999-12-31	3489506	4530695	2013-01-04	2013-05-08
048 C	2009-11-02	2010-01-01	Statoil Petroleum AS	78.200000	\N	2009-11-02	9999-12-31	3489506	17237817	9999-12-31	2013-05-08
048 C	2010-01-01	2012-12-31	Statoil Petroleum AS	78.200000	\N	2009-11-02	9999-12-31	3489506	17237817	2013-01-04	2013-05-08
048 C	2012-12-31	9999-12-31	Statoil Petroleum AS	78.200000	\N	2009-11-02	9999-12-31	3489506	17237817	9999-12-31	2013-05-08
048 C	2012-12-31	9999-12-31	Noreco Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489506	22223020	9999-12-31	2013-05-08
048 D	2005-10-10	2005-10-11	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	3489553	1340609	9999-12-31	2013-05-08
048 D	2005-10-11	2006-09-06	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	3489553	1340609	9999-12-31	2013-05-08
048 D	2006-09-06	2006-11-28	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	3489553	1340609	9999-12-31	2013-05-08
048 D	2006-11-28	2007-06-20	Det Norske Oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	3489553	1340609	9999-12-31	2013-05-08
048 D	2005-10-10	2005-10-11	Statoil ASA (old)	58.900000	\N	2005-10-10	2007-10-01	3489553	1622484	9999-12-31	2013-05-08
048 D	2005-10-11	2006-09-06	Statoil ASA (old)	58.900000	\N	2005-10-10	2007-10-01	3489553	1622484	9999-12-31	2013-05-08
048 D	2006-09-06	2006-11-28	Statoil ASA (old)	58.900000	\N	2005-10-10	2007-10-01	3489553	1622484	9999-12-31	2013-05-08
048 D	2006-11-28	2007-06-20	Statoil ASA (old)	58.900000	\N	2005-10-10	2007-10-01	3489553	1622484	9999-12-31	2013-05-08
048 D	2007-06-20	2007-10-01	Statoil ASA (old)	58.900000	\N	2005-10-10	2007-10-01	3489553	1622484	9999-12-31	2013-05-08
048 D	2005-10-10	2005-10-11	DONG Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	1853083	9999-12-31	2013-05-08
048 D	2005-10-11	2006-09-06	DONG Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	1853083	9999-12-31	2013-05-08
048 D	2005-10-10	2005-10-11	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	3489553	2410708	9999-12-31	2013-05-08
048 D	2005-10-11	2006-09-06	Altinex Oil AS	21.800000	\N	9999-12-31	9999-12-31	3489553	2835200	9999-12-31	2013-05-08
048 D	2006-09-06	2006-11-28	Altinex Oil AS	21.800000	\N	9999-12-31	9999-12-31	3489553	2835200	9999-12-31	2013-05-08
048 D	2009-01-02	2009-11-02	Faroe Petroleum Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	4062883	9999-12-31	2013-05-08
048 D	2009-11-02	2009-12-22	Faroe Petroleum Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	4062883	9999-12-31	2013-05-08
048 D	2009-12-22	2012-07-05	Faroe Petroleum Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	4062883	2012-09-14	2013-05-08
048 D	2012-07-05	9999-12-31	Faroe Petroleum Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	4062883	9999-12-31	2013-05-08
048 D	2006-09-06	2006-11-28	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	4070011	9999-12-31	2013-05-08
048 D	2006-11-28	2007-06-20	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	4070011	9999-12-31	2013-05-08
048 D	2007-06-20	2007-10-01	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	4070011	9999-12-31	2013-05-08
048 D	2007-10-01	2007-11-16	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	4070011	9999-12-31	2013-05-08
048 D	2007-11-16	2008-01-01	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	4070011	9999-12-31	2013-05-08
048 D	2008-01-01	2009-01-01	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	4070011	9999-12-31	2013-05-08
048 D	2009-01-01	2009-01-02	DONG E&P Norge AS	9.300000	\N	9999-12-31	9999-12-31	3489553	4070011	9999-12-31	2013-05-08
048 D	2006-11-28	2007-06-20	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489553	4446230	9999-12-31	2013-05-08
048 D	2007-06-20	2007-10-01	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489553	4446230	9999-12-31	2013-05-08
048 D	2007-10-01	2007-11-16	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489553	4446230	9999-12-31	2013-05-08
048 D	2007-11-16	2008-01-01	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489553	4446230	9999-12-31	2013-05-08
048 D	2008-01-01	2009-01-01	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489553	4446230	9999-12-31	2013-05-08
048 D	2009-01-01	2009-01-02	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489553	4446230	9999-12-31	2013-05-08
048 D	2009-01-02	2009-11-02	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489553	4446230	9999-12-31	2013-05-08
048 D	2009-11-02	2009-12-22	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489553	4446230	9999-12-31	2013-05-08
048 D	2009-12-22	2012-07-05	Altinex Oil Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489553	4446230	2012-09-14	2013-05-08
048 D	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	3489553	4468177	9999-12-31	2013-05-08
048 D	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	3489553	4468177	9999-12-31	2013-05-08
048 D	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	58.900000	\N	2009-01-01	2009-11-01	3489553	4511658	9999-12-31	2013-05-08
048 D	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	58.900000	\N	2009-01-01	2009-11-01	3489553	4511658	9999-12-31	2013-05-08
048 D	2007-10-01	2007-11-16	StatoilHydro ASA	58.900000	\N	2007-10-01	2008-12-31	3489553	4511854	9999-12-31	2013-05-08
048 D	2007-11-16	2008-01-01	StatoilHydro ASA	58.900000	\N	2007-10-01	2008-12-31	3489553	4511854	9999-12-31	2013-05-08
048 D	2008-01-01	2009-01-01	StatoilHydro ASA	58.900000	\N	2007-10-01	2008-12-31	3489553	4511854	9999-12-31	2013-05-08
048 D	2007-11-16	2008-01-01	Noil Energy ASA	10.000000	\N	9999-12-31	9999-12-31	3489553	4539976	9999-12-31	2013-05-08
048 D	2008-01-01	2009-01-01	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	3489553	4539989	9999-12-31	2013-05-08
048 D	2009-01-01	2009-01-02	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	3489553	4539989	9999-12-31	2013-05-08
048 D	2009-01-02	2009-11-02	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	3489553	4539989	9999-12-31	2013-05-08
048 D	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	3489553	4539989	9999-12-31	2013-05-08
048 D	2009-11-02	2009-12-22	Statoil Petroleum AS	58.900000	\N	2009-11-02	9999-12-31	3489553	17237817	9999-12-31	2013-05-08
048 D	2009-12-22	2012-07-05	Statoil Petroleum AS	58.900000	\N	2009-11-02	9999-12-31	3489553	17237817	2012-09-14	2013-05-08
048 D	2012-07-05	9999-12-31	Statoil Petroleum AS	58.900000	\N	2009-11-02	9999-12-31	3489553	17237817	9999-12-31	2013-05-08
048 D	2009-12-22	2012-07-05	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	3489553	17342870	2012-09-14	2013-05-08
048 D	2012-07-05	9999-12-31	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	3489553	17342870	9999-12-31	2013-05-08
048 D	2012-07-05	9999-12-31	Noreco Norway AS	21.800000	\N	9999-12-31	9999-12-31	3489553	22223020	9999-12-31	2013-05-08
274 BS	2005-12-13	2005-12-14	DONG Norge AS	100.000000	\N	2005-12-13	2005-12-21	3809011	1853083	9999-12-31	2013-05-08
274 BS	2005-12-14	2006-09-06	DONG Norge AS	20.000000	\N	2005-12-13	2005-12-21	3809011	1853083	9999-12-31	2013-05-08
274 BS	2005-12-14	2006-09-06	BG Norge AS	80.000000	\N	2005-12-21	2010-12-13	3809011	2747354	9999-12-31	2013-05-08
274 BS	2006-09-06	2010-12-13	BG Norge AS	80.000000	\N	2005-12-21	2010-12-13	3809011	2747354	9999-12-31	2013-05-08
274 BS	2006-09-06	2010-12-13	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3809011	4070011	9999-12-31	2013-05-08
085 D	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	9.779140	\N	2006-01-06	2007-01-01	3810164	430	9999-12-31	2013-05-08
085 D	2006-01-06	2007-01-01	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	3810164	562	9999-12-31	2013-05-08
085 D	2007-01-01	2007-01-02	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	3810164	562	9999-12-31	2013-05-08
085 D	2007-01-02	2007-10-01	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	3810164	562	9999-12-31	2013-05-08
085 D	2007-10-01	2008-01-01	A/S Norske Shell	8.101450	\N	9999-12-31	9999-12-31	3810164	562	9999-12-31	2013-05-08
085 D	2006-01-06	2007-01-01	Statoil ASA (old)	20.804710	\N	9999-12-31	9999-12-31	3810164	1622484	9999-12-31	2013-05-08
085 D	2007-01-01	2007-01-02	Statoil ASA (old)	20.804710	\N	9999-12-31	9999-12-31	3810164	1622484	9999-12-31	2013-05-08
085 D	2007-01-02	2007-10-01	Statoil ASA (old)	20.804710	\N	9999-12-31	9999-12-31	3810164	1622484	9999-12-31	2013-05-08
085 D	2006-01-06	2007-01-01	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	3810164	1626839	9999-12-31	2013-05-08
085 D	2007-01-01	2007-01-02	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	3810164	1626839	9999-12-31	2013-05-08
085 D	2007-01-02	2007-10-01	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	3810164	1626839	9999-12-31	2013-05-08
085 D	2007-10-01	2008-01-01	Petoro AS	56.000000	\N	9999-12-31	9999-12-31	3810164	1626839	9999-12-31	2013-05-08
085 D	2006-01-06	2007-01-01	Norske ConocoPhillips AS	1.623740	\N	9999-12-31	9999-12-31	3810164	2399056	9999-12-31	2013-05-08
085 D	2007-01-01	2007-01-02	Norske ConocoPhillips AS	1.623740	\N	9999-12-31	9999-12-31	3810164	2399056	9999-12-31	2013-05-08
085 D	2007-01-02	2007-10-01	ConocoPhillips Skandinavia AS	1.623740	\N	9999-12-31	9999-12-31	3810164	2410696	9999-12-31	2013-05-08
085 D	2007-10-01	2008-01-01	ConocoPhillips Skandinavia AS	1.623740	\N	9999-12-31	9999-12-31	3810164	2410696	9999-12-31	2013-05-08
085 D	2006-01-06	2007-01-01	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	3810164	2410708	9999-12-31	2013-05-08
085 D	2007-01-01	2007-01-02	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	3810164	2410708	9999-12-31	2013-05-08
085 D	2007-01-02	2007-10-01	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	3810164	2410708	9999-12-31	2013-05-08
085 D	2007-10-01	2008-01-01	Total E&P Norge AS	3.690960	\N	9999-12-31	9999-12-31	3810164	2410708	9999-12-31	2013-05-08
085 D	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	9.779140	\N	2007-10-01	2008-01-01	3810164	4511658	9999-12-31	2013-05-08
085 D	2007-10-01	2008-01-01	StatoilHydro ASA	20.804710	\N	9999-12-31	9999-12-31	3810164	4511854	9999-12-31	2013-05-08
085 D	2007-01-01	2007-01-02	Norsk Hydro Petroleum AS	9.779140	\N	2007-01-01	2007-10-01	3810164	4524355	9999-12-31	2013-05-08
085 D	2007-01-02	2007-10-01	Norsk Hydro Petroleum AS	9.779140	\N	2007-01-01	2007-10-01	3810164	4524355	9999-12-31	2013-05-08
354	2006-01-06	2006-01-07	Endeavour Energy Norge AS	50.000000	\N	2006-01-06	2009-05-26	3810204	3113213	9999-12-31	2013-05-08
354	2006-01-07	2009-01-01	Endeavour Energy Norge AS	50.000000	\N	2006-01-06	2009-05-26	3810204	3113213	9999-12-31	2013-05-08
354	2009-01-01	2009-01-17	Endeavour Energy Norge AS	65.000000	\N	2006-01-06	2009-05-26	3810204	3113213	9999-12-31	2013-05-08
354	2009-01-17	2009-05-26	Endeavour Energy Norge AS	65.000000	\N	2006-01-06	2009-05-26	3810204	3113213	9999-12-31	2013-05-08
354	2006-01-06	2006-01-07	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810204	3431773	9999-12-31	2013-05-08
354	2006-01-07	2009-01-01	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810204	3431773	9999-12-31	2013-05-08
354	2009-01-01	2009-01-17	Revus Energy ASA	35.000000	\N	9999-12-31	9999-12-31	3810204	3431773	9999-12-31	2013-05-08
354	2006-01-06	2006-01-07	Petro-Canada UK Limited	30.000000	\N	9999-12-31	9999-12-31	3810204	3437846	9999-12-31	2013-05-08
354	2006-01-07	2009-01-01	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810204	3960945	9999-12-31	2013-05-08
354	2009-01-17	2009-05-26	Wintershall Norge ASA	35.000000	\N	9999-12-31	9999-12-31	3810204	5442509	9999-12-31	2013-05-08
354	2009-05-26	2009-10-01	Wintershall Norge ASA	35.000000	\N	9999-12-31	9999-12-31	3810204	5442509	9999-12-31	2013-05-08
354	2009-10-01	2010-01-06	Wintershall Norge ASA	35.000000	\N	9999-12-31	9999-12-31	3810204	5442509	9999-12-31	2013-05-08
354	2009-05-26	2009-10-01	VNG Norge (Operations) AS	65.000000	\N	2009-05-26	2009-09-30	3810204	5497155	9999-12-31	2013-05-08
354	2009-10-01	2010-01-06	VNG Norge AS	65.000000	\N	2009-10-01	2010-01-06	3810204	17237193	9999-12-31	2013-05-08
356	2006-01-06	2006-03-01	Det Norske Oljeselskap AS	50.000000	\N	2006-01-06	2007-06-20	3810275	1340609	9999-12-31	2013-05-08
356	2006-03-01	2007-06-20	Det Norske Oljeselskap AS	50.000000	\N	2006-01-06	2007-06-20	3810275	1340609	9999-12-31	2013-05-08
356	2006-01-06	2006-03-01	Pertra AS	50.000000	\N	9999-12-31	9999-12-31	3810275	3425724	9999-12-31	2013-05-08
356	2006-03-01	2007-06-20	Pertra ASA	50.000000	\N	9999-12-31	9999-12-31	3810275	3964368	9999-12-31	2013-05-08
356	2007-06-20	2007-11-16	Pertra ASA	50.000000	\N	9999-12-31	9999-12-31	3810275	3964368	9999-12-31	2013-05-08
356	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	50.000000	\N	2007-06-20	2007-11-16	3810275	4468177	9999-12-31	2013-05-08
356	2007-11-16	2008-01-01	Noil Energy ASA	50.000000	\N	2007-11-16	2008-01-01	3810275	4539976	9999-12-31	2013-05-08
356	2007-11-16	2008-01-01	Det norske oljeselskap ASA (old)	50.000000	\N	9999-12-31	9999-12-31	3810275	4539989	9999-12-31	2013-05-08
356	2008-01-01	2009-12-22	Det norske oljeselskap ASA (old)	100.000000	\N	2008-01-01	2009-12-21	3810275	4539989	9999-12-31	2013-05-08
356	2010-01-01	2012-01-01	Repsol Exploration Norge AS	40.000000	\N	9999-12-31	9999-12-31	3810275	17237506	2012-06-06	2013-05-08
356	2012-01-01	2013-01-06	Repsol Exploration Norge AS	40.000000	\N	9999-12-31	9999-12-31	3810275	17237506	2013-03-22	2013-05-08
356	2009-12-22	2010-01-01	Det norske oljeselskap ASA	100.000000	\N	2009-12-22	2013-01-06	3810275	17342870	2013-03-22	2013-05-08
356	2010-01-01	2012-01-01	Det norske oljeselskap ASA	60.000000	\N	2009-12-22	2013-01-06	3810275	17342870	2013-03-22	2013-05-08
356	2012-01-01	2013-01-06	Det norske oljeselskap ASA	50.000000	\N	2009-12-22	2013-01-06	3810275	17342870	2013-03-22	2013-05-08
356	2012-01-01	2013-01-06	Petrolia Norway AS	10.000000	\N	9999-12-31	9999-12-31	3810275	21593704	2013-03-22	2013-05-08
357	2006-01-06	2006-03-22	Paladin Resources Norge AS	50.000000	\N	9999-12-31	9999-12-31	3810310	1577943	9999-12-31	2013-05-08
357	2006-01-06	2006-03-22	DONG Norge AS	50.000000	\N	2006-01-06	2006-09-06	3810310	1853083	9999-12-31	2013-05-08
357	2006-03-22	2006-09-06	DONG Norge AS	50.000000	\N	2006-01-06	2006-09-06	3810310	1853083	9999-12-31	2013-05-08
357	2006-09-07	2008-01-07	Talisman Energy Norge AS	50.000000	\N	9999-12-31	9999-12-31	3810310	2425093	9999-12-31	2013-05-08
357	2006-03-22	2006-09-06	Talisman Resources Norge AS	50.000000	\N	9999-12-31	9999-12-31	3810310	3987574	9999-12-31	2013-05-08
357	2006-09-06	2006-09-07	Talisman Resources Norge AS	50.000000	\N	9999-12-31	9999-12-31	3810310	3987574	9999-12-31	2013-05-08
357	2006-09-06	2006-09-07	DONG E&P Norge AS	50.000000	\N	2006-09-06	2008-01-07	3810310	4070011	9999-12-31	2013-05-08
357	2006-09-07	2008-01-07	DONG E&P Norge AS	50.000000	\N	2006-09-06	2008-01-07	3810310	4070011	9999-12-31	2013-05-08
358	2006-01-06	2007-10-01	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810338	97557	9999-12-31	2013-05-08
358	2007-10-01	2009-01-01	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810338	97557	9999-12-31	2013-05-08
358	2009-01-01	2009-11-02	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810338	97557	9999-12-31	2013-05-08
358	2009-11-02	2011-07-06	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810338	97557	9999-12-31	2013-05-08
358	2006-01-06	2007-10-01	Statoil ASA (old)	70.000000	\N	2006-01-06	2007-10-01	3810338	1622484	9999-12-31	2013-05-08
358	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	3810338	4511658	9999-12-31	2013-05-08
358	2007-10-01	2009-01-01	StatoilHydro ASA	70.000000	\N	2007-10-01	2008-12-31	3810338	4511854	9999-12-31	2013-05-08
358	2009-11-02	2011-07-06	Statoil Petroleum AS	70.000000	\N	2009-11-02	2011-07-06	3810338	17237817	9999-12-31	2013-05-08
359	2006-01-06	2009-01-01	Lundin Norway AS	70.000000	\N	2006-01-06	9999-12-31	3810373	2767314	9999-12-31	2013-05-08
359	2009-01-01	2009-11-02	Lundin Norway AS	40.000000	\N	2006-01-06	9999-12-31	3810373	2767314	9999-12-31	2013-05-08
359	2009-11-02	9999-12-31	Lundin Norway AS	40.000000	\N	2006-01-06	9999-12-31	3810373	2767314	9999-12-31	2013-05-08
359	2006-01-06	2009-01-01	Premier Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810373	3482067	9999-12-31	2013-05-08
359	2009-01-01	2009-11-02	Premier Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810373	3482067	9999-12-31	2013-05-08
359	2009-11-02	9999-12-31	Premier Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810373	3482067	9999-12-31	2013-05-08
359	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	3810373	4511658	9999-12-31	2013-05-08
359	2009-11-02	9999-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	3810373	17237817	9999-12-31	2013-05-08
360	2006-01-06	2006-09-06	Statoil ASA (old)	50.000000	\N	2006-01-06	2007-10-01	3810387	1622484	9999-12-31	2013-05-08
360	2006-09-06	2006-11-28	Statoil ASA (old)	50.000000	\N	2006-01-06	2007-10-01	3810387	1622484	9999-12-31	2013-05-08
360	2006-11-28	2007-10-01	Statoil ASA (old)	50.000000	\N	2006-01-06	2007-10-01	3810387	1622484	9999-12-31	2013-05-08
360	2006-01-06	2006-09-06	DONG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810387	1853083	9999-12-31	2013-05-08
360	2006-01-06	2006-09-06	Altinex Oil AS	15.000000	\N	9999-12-31	9999-12-31	3810387	2835200	9999-12-31	2013-05-08
360	2006-09-06	2006-11-28	Altinex Oil AS	15.000000	\N	9999-12-31	9999-12-31	3810387	2835200	9999-12-31	2013-05-08
360	2006-01-06	2006-09-06	Revus Energy ASA	15.000000	\N	9999-12-31	9999-12-31	3810387	3431773	9999-12-31	2013-05-08
360	2006-09-06	2006-11-28	Revus Energy ASA	15.000000	\N	9999-12-31	9999-12-31	3810387	3431773	9999-12-31	2013-05-08
360	2006-11-28	2007-10-01	Revus Energy ASA	15.000000	\N	9999-12-31	9999-12-31	3810387	3431773	9999-12-31	2013-05-08
360	2007-10-01	2009-01-17	Revus Energy ASA	15.000000	\N	9999-12-31	9999-12-31	3810387	3431773	9999-12-31	2013-05-08
360	2006-09-06	2006-11-28	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810387	4070011	9999-12-31	2013-05-08
360	2006-11-28	2007-10-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810387	4070011	9999-12-31	2013-05-08
360	2007-10-01	2009-01-17	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810387	4070011	9999-12-31	2013-05-08
360	2009-01-17	2009-01-18	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810387	4070011	9999-12-31	2013-05-08
360	2009-01-18	2009-11-02	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810387	4070011	9999-12-31	2013-05-08
360	2009-11-02	2010-01-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810387	4070011	9999-12-31	2013-05-08
360	2010-01-01	2012-03-24	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810387	4070011	9999-12-31	2013-05-08
360	2012-03-24	2012-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810387	4070011	2013-01-04	2013-05-08
360	2012-12-31	9999-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810387	4070011	9999-12-31	2013-05-08
360	2006-11-28	2007-10-01	Altinex Oil Norway AS	15.000000	\N	9999-12-31	9999-12-31	3810387	4446230	9999-12-31	2013-05-08
360	2007-10-01	2009-01-17	Altinex Oil Norway AS	15.000000	\N	9999-12-31	9999-12-31	3810387	4446230	9999-12-31	2013-05-08
360	2009-01-17	2009-01-18	Altinex Oil Norway AS	15.000000	\N	9999-12-31	9999-12-31	3810387	4446230	9999-12-31	2013-05-08
360	2009-01-18	2009-11-02	Altinex Oil Norway AS	15.000000	\N	9999-12-31	9999-12-31	3810387	4446230	9999-12-31	2013-05-08
360	2009-11-02	2010-01-01	Altinex Oil Norway AS	15.000000	\N	9999-12-31	9999-12-31	3810387	4446230	9999-12-31	2013-05-08
360	2009-01-18	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2009-01-01	2009-11-01	3810387	4511658	9999-12-31	2013-05-08
360	2007-10-01	2009-01-17	StatoilHydro ASA	50.000000	\N	2007-10-01	2008-12-31	3810387	4511854	9999-12-31	2013-05-08
360	2009-01-17	2009-01-18	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	3810387	4511854	9999-12-31	2013-05-08
360	2010-01-01	2012-03-24	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	3810387	4530695	9999-12-31	2013-05-08
360	2012-03-24	2012-12-31	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	3810387	4530695	2013-01-04	2013-05-08
360	2009-01-17	2009-01-18	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	3810387	5442509	9999-12-31	2013-05-08
360	2009-01-18	2009-11-02	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	3810387	5442509	9999-12-31	2013-05-08
360	2009-11-02	2010-01-01	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	3810387	5442509	9999-12-31	2013-05-08
360	2010-01-01	2012-03-24	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	3810387	5442509	9999-12-31	2013-05-08
360	2009-11-02	2010-01-01	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	3810387	17237817	9999-12-31	2013-05-08
360	2010-01-01	2012-03-24	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	3810387	17237817	9999-12-31	2013-05-08
360	2012-03-24	2012-12-31	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	3810387	17237817	2013-01-04	2013-05-08
360	2012-12-31	9999-12-31	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	3810387	17237817	9999-12-31	2013-05-08
360	2012-03-24	2012-12-31	Wintershall Norge AS	15.000000	\N	9999-12-31	9999-12-31	3810387	21666830	2013-01-04	2013-05-08
360	2012-12-31	9999-12-31	Wintershall Norge AS	15.000000	\N	9999-12-31	9999-12-31	3810387	21666830	9999-12-31	2013-05-08
360	2012-12-31	9999-12-31	Noreco Norway AS	15.000000	\N	9999-12-31	9999-12-31	3810387	22223020	9999-12-31	2013-05-08
361	2006-01-06	2006-03-22	Paladin Resources Norge AS	40.000000	\N	2006-01-06	2006-03-22	3810510	1577943	9999-12-31	2013-05-08
361	2006-03-23	2006-11-28	Talisman Energy Norge AS	40.000000	\N	2006-11-16	2009-04-06	3810510	2425093	9999-12-31	2013-05-08
361	2006-11-28	2009-01-17	Talisman Energy Norge AS	40.000000	\N	2006-11-16	2009-04-06	3810510	2425093	9999-12-31	2013-05-08
361	2009-01-17	2009-04-06	Talisman Energy Norge AS	40.000000	\N	2006-11-16	2009-04-06	3810510	2425093	9999-12-31	2013-05-08
361	2006-01-06	2006-03-22	Altinex Oil AS	30.000000	\N	9999-12-31	9999-12-31	3810510	2835200	9999-12-31	2013-05-08
361	2006-03-22	2006-03-23	Altinex Oil AS	30.000000	\N	9999-12-31	9999-12-31	3810510	2835200	9999-12-31	2013-05-08
361	2006-03-23	2006-11-28	Altinex Oil AS	30.000000	\N	9999-12-31	9999-12-31	3810510	2835200	9999-12-31	2013-05-08
361	2006-01-06	2006-03-22	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3810510	3431773	9999-12-31	2013-05-08
361	2006-03-22	2006-03-23	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3810510	3431773	9999-12-31	2013-05-08
361	2006-03-23	2006-11-28	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3810510	3431773	9999-12-31	2013-05-08
361	2006-11-28	2009-01-17	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3810510	3431773	9999-12-31	2013-05-08
361	2006-03-22	2006-03-23	Talisman Resources Norge AS	40.000000	\N	2006-03-22	2006-11-16	3810510	3987574	9999-12-31	2013-05-08
361	2006-11-28	2009-01-17	Altinex Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	3810510	4446230	9999-12-31	2013-05-08
361	2009-01-17	2009-04-06	Altinex Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	3810510	4446230	9999-12-31	2013-05-08
361	2009-01-17	2009-04-06	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	3810510	5442509	9999-12-31	2013-05-08
362	2006-01-06	2006-01-07	Norsk Hydro Produksjon AS	100.000000	\N	2006-01-06	2007-01-01	3810565	430	9999-12-31	2013-05-08
362	2006-01-07	2007-01-01	Norsk Hydro Produksjon AS	50.000000	\N	2006-01-06	2007-01-01	3810565	430	9999-12-31	2013-05-08
362	2006-01-07	2007-01-01	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	3810565	738	9999-12-31	2013-05-08
362	2007-01-01	2007-06-20	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	3810565	738	9999-12-31	2013-05-08
362	2007-06-20	2007-10-01	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	3810565	738	9999-12-31	2013-05-08
362	2007-10-01	2007-11-16	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	3810565	738	9999-12-31	2013-05-08
362	2007-11-16	2008-01-01	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	3810565	738	9999-12-31	2013-05-08
362	2008-01-01	2008-01-02	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	3810565	738	9999-12-31	2013-05-08
362	2008-01-02	2009-11-02	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	3810565	738	9999-12-31	2013-05-08
362	2009-11-02	2009-12-22	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	3810565	738	9999-12-31	2013-05-08
362	2009-12-22	2012-04-30	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	3810565	738	9999-12-31	2013-05-08
362	2012-04-30	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	3810565	738	9999-12-31	2013-05-08
362	2006-01-07	2007-01-01	Det Norske Oljeselskap AS	25.000000	\N	9999-12-31	9999-12-31	3810565	1340609	9999-12-31	2013-05-08
362	2007-01-01	2007-06-20	Det Norske Oljeselskap AS	25.000000	\N	9999-12-31	9999-12-31	3810565	1340609	9999-12-31	2013-05-08
362	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	50.000000	\N	2012-04-30	9999-12-31	3810565	4238233	9999-12-31	2013-05-08
362	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	3810565	4468177	9999-12-31	2013-05-08
362	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	3810565	4468177	9999-12-31	2013-05-08
362	2007-10-01	2007-11-16	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	3810565	4511658	9999-12-31	2013-05-08
362	2007-11-16	2008-01-01	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	3810565	4511658	9999-12-31	2013-05-08
362	2008-01-01	2008-01-02	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	3810565	4511658	9999-12-31	2013-05-08
362	2008-01-02	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	3810565	4511658	9999-12-31	2013-05-08
362	2007-01-01	2007-06-20	Norsk Hydro Petroleum AS	50.000000	\N	2007-01-01	2007-10-01	3810565	4524355	9999-12-31	2013-05-08
362	2007-06-20	2007-10-01	Norsk Hydro Petroleum AS	50.000000	\N	2007-01-01	2007-10-01	3810565	4524355	9999-12-31	2013-05-08
362	2008-01-02	2009-11-02	Dana Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	3810565	4526555	9999-12-31	2013-05-08
362	2009-11-02	2009-12-22	Dana Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	3810565	4526555	9999-12-31	2013-05-08
362	2009-12-22	2012-04-30	Dana Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	3810565	4526555	9999-12-31	2013-05-08
362	2012-04-30	9999-12-31	Dana Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	3810565	4526555	9999-12-31	2013-05-08
362	2007-11-16	2008-01-01	Noil Energy ASA	25.000000	\N	9999-12-31	9999-12-31	3810565	4539976	9999-12-31	2013-05-08
362	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	3810565	4539989	9999-12-31	2013-05-08
362	2008-01-02	2009-11-02	Det norske oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	3810565	4539989	9999-12-31	2013-05-08
362	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	3810565	4539989	9999-12-31	2013-05-08
362	2009-11-02	2009-12-22	Statoil Petroleum AS	50.000000	\N	2009-11-02	2012-04-29	3810565	17237817	9999-12-31	2013-05-08
362	2009-12-22	2012-04-30	Statoil Petroleum AS	50.000000	\N	2009-11-02	2012-04-29	3810565	17237817	9999-12-31	2013-05-08
362	2009-12-22	2012-04-30	Det norske oljeselskap ASA	15.000000	\N	9999-12-31	9999-12-31	3810565	17342870	9999-12-31	2013-05-08
362	2012-04-30	9999-12-31	Det norske oljeselskap ASA	15.000000	\N	9999-12-31	9999-12-31	3810565	17342870	9999-12-31	2013-05-08
363	2006-01-06	2009-05-26	Lundin Norway AS	60.000000	\N	2006-01-06	2011-01-06	3810598	2767314	9999-12-31	2013-05-08
363	2009-05-26	2009-07-01	Lundin Norway AS	60.000000	\N	2006-01-06	2011-01-06	3810598	2767314	9999-12-31	2013-05-08
363	2009-07-01	2009-10-01	Lundin Norway AS	45.000000	\N	2006-01-06	2011-01-06	3810598	2767314	9999-12-31	2013-05-08
363	2009-10-01	2011-01-06	Lundin Norway AS	45.000000	\N	2006-01-06	2011-01-06	3810598	2767314	9999-12-31	2013-05-08
363	2006-01-06	2009-05-26	Endeavour Energy Norge AS	40.000000	\N	9999-12-31	9999-12-31	3810598	3113213	9999-12-31	2013-05-08
363	2009-07-01	2009-10-01	Centrica Resources (Norge) AS	15.000000	\N	9999-12-31	9999-12-31	3810598	4238233	9999-12-31	2013-05-08
363	2009-10-01	2011-01-06	Centrica Resources (Norge) AS	15.000000	\N	9999-12-31	9999-12-31	3810598	4238233	9999-12-31	2013-05-08
363	2009-05-26	2009-07-01	VNG Norge (Operations) AS	40.000000	\N	9999-12-31	9999-12-31	3810598	5497155	9999-12-31	2013-05-08
363	2009-07-01	2009-10-01	VNG Norge (Operations) AS	40.000000	\N	9999-12-31	9999-12-31	3810598	5497155	9999-12-31	2013-05-08
363	2009-10-01	2011-01-06	VNG Norge AS	40.000000	\N	9999-12-31	9999-12-31	3810598	17237193	9999-12-31	2013-05-08
364	2006-01-06	2006-03-01	Pertra AS	50.000000	\N	2006-01-06	2006-03-01	3810636	3425724	9999-12-31	2013-05-08
364	2006-01-06	2006-03-01	Premier Oil Norge AS	50.000000	\N	9999-12-31	9999-12-31	3810636	3482067	9999-12-31	2013-05-08
364	2006-03-01	2007-11-16	Premier Oil Norge AS	50.000000	\N	9999-12-31	9999-12-31	3810636	3482067	9999-12-31	2013-05-08
364	2007-11-16	2009-12-22	Premier Oil Norge AS	50.000000	\N	9999-12-31	9999-12-31	3810636	3482067	9999-12-31	2013-05-08
364	2009-12-22	9999-12-31	Premier Oil Norge AS	50.000000	\N	9999-12-31	9999-12-31	3810636	3482067	9999-12-31	2013-05-08
364	2006-03-01	2007-11-16	Pertra ASA	50.000000	\N	2006-03-01	2007-11-16	3810636	3964368	9999-12-31	2013-05-08
364	2007-11-16	2009-12-22	Det norske oljeselskap ASA (old)	50.000000	\N	2007-11-16	2009-12-21	3810636	4539989	9999-12-31	2013-05-08
364	2009-12-22	9999-12-31	Det norske oljeselskap ASA	50.000000	\N	2009-12-22	9999-12-31	3810636	17342870	9999-12-31	2013-05-08
365	2006-01-06	2006-01-07	Norsk Hydro Produksjon AS	50.000000	\N	2006-01-06	2007-01-01	3810693	430	9999-12-31	2013-05-08
365	2006-01-07	2007-09-25	Norsk Hydro Produksjon AS	50.000000	\N	2006-01-06	2007-01-01	3810693	430	9999-12-31	2013-05-08
365	2006-01-06	2006-01-07	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810693	3431773	9999-12-31	2013-05-08
365	2006-01-07	2007-09-25	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810693	3431773	9999-12-31	2013-05-08
365	2007-09-25	2007-10-01	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810693	3431773	9999-12-31	2013-05-08
365	2007-10-01	2007-12-18	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810693	3431773	9999-12-31	2013-05-08
365	2006-01-06	2006-01-07	Petro-Canada UK Limited	30.000000	\N	9999-12-31	9999-12-31	3810693	3437846	9999-12-31	2013-05-08
365	2006-01-07	2007-09-25	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810693	3960945	9999-12-31	2013-05-08
365	2007-09-25	2007-10-01	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810693	3960945	9999-12-31	2013-05-08
365	2007-10-01	2007-12-18	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810693	3960945	9999-12-31	2013-05-08
365	2007-10-01	2007-12-18	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2007-12-18	3810693	4511658	9999-12-31	2013-05-08
365	2007-09-25	2007-10-01	Norsk Hydro Petroleum AS	50.000000	\N	2007-01-01	2007-10-01	3810693	4524355	9999-12-31	2013-05-08
366	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	100.000000	\N	2006-01-06	2007-01-01	3810756	430	9999-12-31	2013-05-08
366	2007-10-01	2008-02-05	StatoilHydro Petroleum AS	100.000000	\N	2007-10-01	2008-02-05	3810756	4511658	9999-12-31	2013-05-08
366	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	100.000000	\N	2007-01-01	2007-10-01	3810756	4524355	9999-12-31	2013-05-08
367 S	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	100.000000	\N	2006-01-06	2007-01-01	3810797	430	9999-12-31	2013-05-08
367 S	2007-10-01	2007-12-18	StatoilHydro Petroleum AS	100.000000	\N	2007-10-01	2007-12-18	3810797	4511658	9999-12-31	2013-05-08
367 S	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	100.000000	\N	2007-01-01	2007-10-01	3810797	4524355	9999-12-31	2013-05-08
368	2006-01-06	2007-07-06	Statoil ASA (old)	100.000000	\N	2006-01-06	2007-07-06	3810851	1622484	9999-12-31	2013-05-08
369	2006-01-06	2006-01-07	Det Norske Oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	3810875	1340609	9999-12-31	2013-05-08
369	2006-01-07	2007-06-20	Det Norske Oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	3810875	1340609	9999-12-31	2013-05-08
369	2006-01-06	2006-01-07	Talisman Energy Norge AS	40.000000	\N	2006-01-06	2009-12-16	3810875	2425093	9999-12-31	2013-05-08
369	2006-01-07	2007-06-20	Talisman Energy Norge AS	40.000000	\N	2006-01-06	2009-12-16	3810875	2425093	9999-12-31	2013-05-08
369	2007-06-20	2007-11-16	Talisman Energy Norge AS	40.000000	\N	2006-01-06	2009-12-16	3810875	2425093	9999-12-31	2013-05-08
369	2007-11-16	2008-01-01	Talisman Energy Norge AS	40.000000	\N	2006-01-06	2009-12-16	3810875	2425093	9999-12-31	2013-05-08
369	2008-01-01	2009-01-17	Talisman Energy Norge AS	40.000000	\N	2006-01-06	2009-12-16	3810875	2425093	9999-12-31	2013-05-08
369	2009-01-17	2009-10-01	Talisman Energy Norge AS	40.000000	\N	2006-01-06	2009-12-16	3810875	2425093	9999-12-31	2013-05-08
369	2006-01-06	2006-01-07	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810875	3431773	9999-12-31	2013-05-08
369	2006-01-07	2007-06-20	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810875	3431773	9999-12-31	2013-05-08
369	2007-06-20	2007-11-16	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810875	3431773	9999-12-31	2013-05-08
369	2007-11-16	2008-01-01	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810875	3431773	9999-12-31	2013-05-08
369	2008-01-01	2009-01-17	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810875	3431773	9999-12-31	2013-05-08
369	2006-01-06	2006-01-07	Petro-Canada UK Limited	20.000000	\N	9999-12-31	9999-12-31	3810875	3437846	9999-12-31	2013-05-08
369	2006-01-07	2007-06-20	Petro-Canada Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810875	3960945	9999-12-31	2013-05-08
369	2007-06-20	2007-11-16	Petro-Canada Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810875	3960945	9999-12-31	2013-05-08
369	2007-11-16	2008-01-01	Petro-Canada Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810875	3960945	9999-12-31	2013-05-08
369	2008-01-01	2009-01-17	Petro-Canada Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810875	3960945	9999-12-31	2013-05-08
369	2009-01-17	2009-10-01	Petro-Canada Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810875	3960945	9999-12-31	2013-05-08
369	2009-10-01	2009-12-22	Petro-Canada Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810875	3960945	9999-12-31	2013-05-08
369	2009-12-22	2010-04-08	Petro-Canada Norge AS	20.000000	\N	9999-12-31	9999-12-31	3810875	3960945	9999-12-31	2013-05-08
369	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3810875	4468177	9999-12-31	2013-05-08
369	2007-11-16	2008-01-01	Noil Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3810875	4539976	9999-12-31	2013-05-08
369	2008-01-01	2009-01-17	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3810875	4539989	9999-12-31	2013-05-08
369	2009-01-17	2009-10-01	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3810875	4539989	9999-12-31	2013-05-08
369	2009-10-01	2009-12-22	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3810875	4539989	9999-12-31	2013-05-08
369	2009-01-17	2009-10-01	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	3810875	5442509	9999-12-31	2013-05-08
369	2009-10-01	2009-12-22	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	3810875	5442509	9999-12-31	2013-05-08
369	2009-12-22	2010-04-08	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	3810875	5442509	9999-12-31	2013-05-08
369	2010-04-08	2011-01-06	Wintershall Norge ASA	40.000000	\N	9999-12-31	9999-12-31	3810875	5442509	2013-01-11	2013-05-08
369	2009-10-01	2009-12-22	Det norske oljeselskap ASA	40.000000	\N	2009-12-17	2011-01-06	3810875	17342870	9999-12-31	2013-05-08
369	2009-12-22	2010-04-08	Det norske oljeselskap ASA	60.000000	\N	2009-12-17	2011-01-06	3810875	17342870	9999-12-31	2013-05-08
369	2010-04-08	2011-01-06	Det norske oljeselskap ASA	60.000000	\N	2009-12-17	2011-01-06	3810875	17342870	2013-01-11	2013-05-08
370	2009-07-01	2010-07-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	3810959	562	9999-12-31	2013-05-08
370	2006-01-06	2006-03-21	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3810959	3431773	9999-12-31	2013-05-08
370	2006-03-21	2009-01-01	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3810959	3431773	9999-12-31	2013-05-08
370	2009-01-01	2009-01-03	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3810959	3431773	9999-12-31	2013-05-08
370	2009-01-03	2009-01-17	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3810959	3431773	9999-12-31	2013-05-08
370	2006-01-06	2006-03-21	Petro-Canada UK Limited	70.000000	\N	2006-01-06	2006-03-21	3810959	3437846	9999-12-31	2013-05-08
370	2006-03-21	2009-01-01	Petro-Canada Norge AS	70.000000	\N	2006-03-21	2009-01-01	3810959	3960945	9999-12-31	2013-05-08
370	2009-01-03	2009-01-17	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	3810959	4460794	9999-12-31	2013-05-08
370	2009-01-17	2009-07-01	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	3810959	4460794	9999-12-31	2013-05-08
370	2009-07-01	2010-07-01	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	3810959	4460794	9999-12-31	2013-05-08
370	2010-07-01	2010-09-30	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	3810959	4460794	9999-12-31	2013-05-08
370	2010-09-30	2011-07-31	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	3810959	4460794	9999-12-31	2013-05-08
370	2011-07-31	2012-03-24	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	3810959	4460794	9999-12-31	2013-05-08
370	2012-03-24	2013-04-20	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	3810959	4460794	2013-04-30	2013-05-08
370	2013-04-20	9999-12-31	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	3810959	4460794	9999-12-31	2013-05-08
370	2009-01-01	2009-01-03	Wintershall Norge ASA	70.000000	\N	2009-01-01	2012-03-23	3810959	5442509	9999-12-31	2013-05-08
370	2009-01-03	2009-01-17	Wintershall Norge ASA	60.000000	\N	2009-01-01	2012-03-23	3810959	5442509	9999-12-31	2013-05-08
370	2009-01-17	2009-07-01	Wintershall Norge ASA	90.000000	\N	2009-01-01	2012-03-23	3810959	5442509	9999-12-31	2013-05-08
370	2009-07-01	2010-07-01	Wintershall Norge ASA	80.000000	\N	2009-01-01	2012-03-23	3810959	5442509	9999-12-31	2013-05-08
370	2010-07-01	2010-09-30	Wintershall Norge ASA	90.000000	\N	2009-01-01	2012-03-23	3810959	5442509	9999-12-31	2013-05-08
370	2010-09-30	2011-07-31	Wintershall Norge ASA	50.000000	\N	2009-01-01	2012-03-23	3810959	5442509	9999-12-31	2013-05-08
370	2011-07-31	2012-03-24	Wintershall Norge ASA	40.000000	\N	2009-01-01	2012-03-23	3810959	5442509	9999-12-31	2013-05-08
370	2011-07-31	2012-03-24	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	3810959	18082156	9999-12-31	2013-05-08
370	2012-03-24	2013-04-20	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	3810959	18082156	2013-04-30	2013-05-08
370	2013-04-20	9999-12-31	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	3810959	18082156	9999-12-31	2013-05-08
370	2010-09-30	2011-07-31	Agora Oil & Gas AS	30.000000	\N	9999-12-31	9999-12-31	3810959	18386322	9999-12-31	2013-05-08
370	2011-07-31	2012-03-24	Agora Oil & Gas AS	30.000000	\N	9999-12-31	9999-12-31	3810959	18386322	9999-12-31	2013-05-08
370	2012-03-24	2013-04-20	Agora Oil & Gas AS	30.000000	\N	9999-12-31	9999-12-31	3810959	18386322	2013-04-30	2013-05-08
370	2012-03-24	2013-04-20	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	3810959	21666830	2013-04-30	2013-05-08
370	2013-04-20	9999-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	3810959	21666830	9999-12-31	2013-05-08
370	2013-04-20	9999-12-31	Capricorn Norge AS	30.000000	\N	9999-12-31	9999-12-31	3810959	23297570	9999-12-31	2013-05-08
371 S	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	100.000000	\N	2006-01-06	2007-01-01	3810996	430	9999-12-31	2013-05-08
371 S	2007-10-01	2009-04-06	StatoilHydro Petroleum AS	100.000000	\N	2007-10-01	2009-04-06	3810996	4511658	9999-12-31	2013-05-08
371 S	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	100.000000	\N	2007-01-01	2007-10-01	3810996	4524355	9999-12-31	2013-05-08
372 S	2006-01-06	2009-01-17	BG Norge AS	70.000000	\N	2006-01-06	2009-07-06	3811092	2747354	9999-12-31	2013-05-08
372 S	2009-01-17	2009-07-06	BG Norge AS	70.000000	\N	2006-01-06	2009-07-06	3811092	2747354	9999-12-31	2013-05-08
372 S	2006-01-06	2009-01-17	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3811092	3431773	9999-12-31	2013-05-08
372 S	2009-01-17	2009-07-06	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	3811092	5442509	9999-12-31	2013-05-08
373 S	2006-01-06	2009-01-17	Idemitsu Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	3811116	441	9999-12-31	2013-05-08
373 S	2009-01-17	2012-03-24	Idemitsu Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	3811116	441	9999-12-31	2013-05-08
373 S	2012-03-24	9999-12-31	Idemitsu Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	3811116	441	9999-12-31	2013-05-08
373 S	2006-01-06	2009-01-17	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811116	97557	9999-12-31	2013-05-08
373 S	2009-01-17	2012-03-24	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811116	97557	9999-12-31	2013-05-08
373 S	2012-03-24	9999-12-31	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811116	97557	9999-12-31	2013-05-08
373 S	2006-01-06	2009-01-17	BG Norge AS	45.000000	\N	2006-01-06	9999-12-31	3811116	2747354	9999-12-31	2013-05-08
373 S	2009-01-17	2012-03-24	BG Norge AS	45.000000	\N	2006-01-06	9999-12-31	3811116	2747354	9999-12-31	2013-05-08
373 S	2012-03-24	9999-12-31	BG Norge AS	45.000000	\N	2006-01-06	9999-12-31	3811116	2747354	9999-12-31	2013-05-08
373 S	2006-01-06	2009-01-17	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3811116	3431773	9999-12-31	2013-05-08
373 S	2009-01-17	2012-03-24	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	3811116	5442509	9999-12-31	2013-05-08
373 S	2012-03-24	9999-12-31	Wintershall Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811116	21666830	9999-12-31	2013-05-08
374 S	2006-01-06	2009-01-17	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3811171	1626839	9999-12-31	2013-05-08
374 S	2009-01-17	2012-03-24	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3811171	1626839	9999-12-31	2013-05-08
374 S	2012-03-24	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3811171	1626839	9999-12-31	2013-05-08
374 S	2006-01-06	2009-01-17	BG Norge AS	45.000000	\N	2006-01-06	9999-12-31	3811171	2747354	9999-12-31	2013-05-08
374 S	2009-01-17	2012-03-24	BG Norge AS	45.000000	\N	2006-01-06	9999-12-31	3811171	2747354	9999-12-31	2013-05-08
374 S	2012-03-24	9999-12-31	BG Norge AS	45.000000	\N	2006-01-06	9999-12-31	3811171	2747354	9999-12-31	2013-05-08
374 S	2006-01-06	2009-01-17	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3811171	3431773	9999-12-31	2013-05-08
374 S	2006-01-06	2009-01-17	Premier Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811171	3482067	9999-12-31	2013-05-08
374 S	2009-01-17	2012-03-24	Premier Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811171	3482067	9999-12-31	2013-05-08
374 S	2012-03-24	9999-12-31	Premier Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811171	3482067	9999-12-31	2013-05-08
374 S	2009-01-17	2012-03-24	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	3811171	5442509	9999-12-31	2013-05-08
374 S	2012-03-24	9999-12-31	Wintershall Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811171	21666830	9999-12-31	2013-05-08
375	2010-11-30	2011-02-28	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811214	2425093	9999-12-31	2013-05-08
375	2011-02-28	2012-03-24	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811214	2425093	9999-12-31	2013-05-08
375	2012-03-24	9999-12-31	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811214	2425093	9999-12-31	2013-05-08
375	2006-01-06	2006-03-21	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3811214	3431773	9999-12-31	2013-05-08
375	2006-03-21	2008-01-06	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	3811214	3431773	9999-12-31	2013-05-08
375	2008-01-06	2009-01-17	Revus Energy ASA	35.000000	\N	9999-12-31	9999-12-31	3811214	3431773	9999-12-31	2013-05-08
375	2006-01-06	2006-03-21	Petro-Canada UK Limited	50.000000	\N	2006-01-06	2006-03-21	3811214	3437846	9999-12-31	2013-05-08
375	2006-01-06	2006-03-21	Premier Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811214	3482067	9999-12-31	2013-05-08
375	2006-03-21	2008-01-06	Premier Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811214	3482067	9999-12-31	2013-05-08
375	2006-03-21	2008-01-06	Petro-Canada Norge AS	50.000000	\N	2006-03-21	2011-02-27	3811214	3960945	9999-12-31	2013-05-08
375	2008-01-06	2009-01-17	Petro-Canada Norge AS	65.000000	\N	2006-03-21	2011-02-27	3811214	3960945	9999-12-31	2013-05-08
375	2009-01-17	2010-01-01	Petro-Canada Norge AS	65.000000	\N	2006-03-21	2011-02-27	3811214	3960945	9999-12-31	2013-05-08
375	2010-01-01	2010-09-30	Petro-Canada Norge AS	65.000000	\N	2006-03-21	2011-02-27	3811214	3960945	9999-12-31	2013-05-08
375	2010-09-30	2010-11-30	Petro-Canada Norge AS	65.000000	\N	2006-03-21	2011-02-27	3811214	3960945	9999-12-31	2013-05-08
375	2010-11-30	2011-02-28	Petro-Canada Norge AS	65.000000	\N	2006-03-21	2011-02-27	3811214	3960945	9999-12-31	2013-05-08
375	2010-01-01	2010-09-30	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	3811214	5072514	9999-12-31	2013-05-08
375	2010-09-30	2010-11-30	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	3811214	5072514	9999-12-31	2013-05-08
375	2009-01-17	2010-01-01	Wintershall Norge ASA	35.000000	\N	9999-12-31	9999-12-31	3811214	5442509	9999-12-31	2013-05-08
375	2010-01-01	2010-09-30	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	3811214	5442509	9999-12-31	2013-05-08
375	2010-09-30	2010-11-30	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	3811214	5442509	9999-12-31	2013-05-08
375	2010-11-30	2011-02-28	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	3811214	5442509	9999-12-31	2013-05-08
375	2011-02-28	2012-03-24	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	3811214	5442509	9999-12-31	2013-05-08
375	2011-02-28	2012-03-24	Suncor Energy Norge AS	65.000000	\N	2011-02-28	9999-12-31	3811214	20426420	9999-12-31	2013-05-08
375	2012-03-24	9999-12-31	Suncor Energy Norge AS	65.000000	\N	2011-02-28	9999-12-31	3811214	20426420	9999-12-31	2013-05-08
375	2012-03-24	9999-12-31	Wintershall Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811214	21666830	9999-12-31	2013-05-08
376	2006-01-06	2007-10-01	Statoil ASA (old)	60.000000	\N	2006-01-06	2007-10-01	3811255	1622484	9999-12-31	2013-05-08
376	2006-01-06	2007-10-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811255	1628733	9999-12-31	2013-05-08
376	2007-10-01	2008-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811255	1628733	9999-12-31	2013-05-08
376	2008-01-01	2009-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811255	1628733	9999-12-31	2013-05-08
376	2006-01-06	2007-10-01	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811255	2840522	9999-12-31	2013-05-08
376	2007-10-01	2008-01-01	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811255	2840522	9999-12-31	2013-05-08
376	2008-01-01	2009-01-01	E.ON Ruhrgas Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811255	2840522	9999-12-31	2013-05-08
376	2009-01-01	2009-01-02	E.ON Ruhrgas Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811255	2840522	9999-12-31	2013-05-08
376	2009-01-02	2009-11-02	E.ON Ruhrgas Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811255	2840522	9999-12-31	2013-05-08
376	2009-11-02	2010-01-06	E.ON Ruhrgas Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811255	2840522	9999-12-31	2013-05-08
376	2008-01-01	2009-01-01	Faroe Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811255	4062883	9999-12-31	2013-05-08
376	2009-01-01	2009-01-02	Faroe Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811255	4062883	9999-12-31	2013-05-08
376	2009-01-02	2009-11-02	Faroe Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811255	4062883	9999-12-31	2013-05-08
376	2009-11-02	2010-01-06	Faroe Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811255	4062883	9999-12-31	2013-05-08
376	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	2009-01-01	2009-11-01	3811255	4511658	9999-12-31	2013-05-08
376	2007-10-01	2008-01-01	StatoilHydro ASA	60.000000	\N	2007-10-01	2008-12-31	3811255	4511854	9999-12-31	2013-05-08
376	2008-01-01	2009-01-01	StatoilHydro ASA	60.000000	\N	2007-10-01	2008-12-31	3811255	4511854	9999-12-31	2013-05-08
376	2009-01-01	2009-01-02	StatoilHydro ASA	60.000000	\N	9999-12-31	9999-12-31	3811255	4511854	9999-12-31	2013-05-08
376	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811255	5267845	9999-12-31	2013-05-08
376	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811255	5267845	9999-12-31	2013-05-08
376	2009-11-02	2010-01-06	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811255	5267845	9999-12-31	2013-05-08
376	2009-11-02	2010-01-06	Statoil Petroleum AS	60.000000	\N	2009-11-02	2010-01-06	3811255	17237817	9999-12-31	2013-05-08
377 S	2006-01-06	2006-03-23	Idemitsu Petroleum Norge AS	100.000000	\N	2006-01-06	2012-07-06	3811290	441	9999-12-31	2013-05-08
377 S	2006-03-23	2007-01-01	Idemitsu Petroleum Norge AS	70.000000	\N	2006-01-06	2012-07-06	3811290	441	9999-12-31	2013-05-08
377 S	2007-01-01	2009-10-30	Idemitsu Petroleum Norge AS	70.000000	\N	2006-01-06	2012-07-06	3811290	441	9999-12-31	2013-05-08
377 S	2009-10-30	2010-04-30	Idemitsu Petroleum Norge AS	50.000000	\N	2006-01-06	2012-07-06	3811290	441	9999-12-31	2013-05-08
377 S	2010-04-30	2012-07-06	Idemitsu Petroleum Norge AS	30.000000	\N	2006-01-06	2012-07-06	3811290	441	9999-12-31	2013-05-08
377 S	2006-03-23	2007-01-01	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3811290	3431773	9999-12-31	2013-05-08
377 S	2007-01-01	2009-10-30	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811290	4444493	9999-12-31	2013-05-08
377 S	2009-10-30	2010-04-30	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811290	4444493	9999-12-31	2013-05-08
377 S	2010-04-30	2012-07-06	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811290	4444493	9999-12-31	2013-05-08
377 S	2010-04-30	2012-07-06	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	3811290	5072514	9999-12-31	2013-05-08
377 S	2009-10-30	2010-04-30	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811290	5267845	9999-12-31	2013-05-08
377 S	2010-04-30	2012-07-06	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811290	5267845	9999-12-31	2013-05-08
378	2010-07-01	2010-11-30	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811312	2425093	9999-12-31	2013-05-08
378	2010-11-30	2012-03-24	Talisman Energy Norge AS	35.000000	\N	9999-12-31	9999-12-31	3811312	2425093	9999-12-31	2013-05-08
378	2012-03-24	9999-12-31	Talisman Energy Norge AS	35.000000	\N	9999-12-31	9999-12-31	3811312	2425093	9999-12-31	2013-05-08
378	2006-01-06	2007-07-11	Revus Energy ASA	40.000000	\N	2006-01-06	2009-01-16	3811312	3431773	9999-12-31	2013-05-08
378	2007-07-11	2009-01-01	Revus Energy ASA	40.000000	\N	2006-01-06	2009-01-16	3811312	3431773	9999-12-31	2013-05-08
378	2009-01-01	2009-01-17	Revus Energy ASA	40.000000	\N	2006-01-06	2009-01-16	3811312	3431773	9999-12-31	2013-05-08
378	2006-01-06	2007-07-11	Premier Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	3811312	3482067	9999-12-31	2013-05-08
378	2007-07-11	2009-01-01	Premier Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	3811312	3482067	9999-12-31	2013-05-08
378	2009-01-01	2009-01-17	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811312	3482067	9999-12-31	2013-05-08
378	2009-01-17	2009-12-28	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811312	3482067	9999-12-31	2013-05-08
378	2009-12-28	2010-07-01	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811312	3482067	9999-12-31	2013-05-08
378	2010-07-01	2010-11-30	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811312	3482067	9999-12-31	2013-05-08
378	2010-11-30	2012-03-24	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811312	3482067	9999-12-31	2013-05-08
378	2012-03-24	9999-12-31	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811312	3482067	9999-12-31	2013-05-08
378	2006-01-06	2007-07-11	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	3811312	3482246	9999-12-31	2013-05-08
378	2007-07-11	2009-01-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811312	4530695	9999-12-31	2013-05-08
378	2009-01-01	2009-01-17	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811312	4530695	9999-12-31	2013-05-08
378	2009-01-17	2009-12-28	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811312	4530695	9999-12-31	2013-05-08
378	2009-12-28	2010-07-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811312	4530695	9999-12-31	2013-05-08
378	2009-01-01	2009-01-17	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	3811312	5072514	9999-12-31	2013-05-08
378	2009-01-17	2009-12-28	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	3811312	5072514	9999-12-31	2013-05-08
378	2009-12-28	2010-07-01	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	3811312	5072514	9999-12-31	2013-05-08
378	2010-07-01	2010-11-30	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	3811312	5072514	9999-12-31	2013-05-08
378	2009-01-17	2009-12-28	Wintershall Norge ASA	40.000000	\N	2009-01-17	2012-03-23	3811312	5442509	9999-12-31	2013-05-08
378	2009-12-28	2010-07-01	Wintershall Norge ASA	45.000000	\N	2009-01-17	2012-03-23	3811312	5442509	9999-12-31	2013-05-08
378	2010-07-01	2010-11-30	Wintershall Norge ASA	45.000000	\N	2009-01-17	2012-03-23	3811312	5442509	9999-12-31	2013-05-08
378	2010-11-30	2012-03-24	Wintershall Norge ASA	45.000000	\N	2009-01-17	2012-03-23	3811312	5442509	9999-12-31	2013-05-08
378	2012-03-24	9999-12-31	Wintershall Norge AS	45.000000	\N	2012-03-24	9999-12-31	3811312	21666830	9999-12-31	2013-05-08
379	2006-01-06	2007-01-01	Total E&P Norge AS	100.000000	\N	2006-01-06	2010-01-05	3811357	2410708	9999-12-31	2013-05-08
379	2007-01-01	2007-10-12	Total E&P Norge AS	60.000000	\N	2006-01-06	2010-01-05	3811357	2410708	9999-12-31	2013-05-08
379	2007-10-12	2010-01-05	Total E&P Norge AS	40.000000	\N	2006-01-06	2010-01-05	3811357	2410708	9999-12-31	2013-05-08
379	2007-01-01	2007-10-12	Centrica Resources (Norge) AS	40.000000	\N	9999-12-31	9999-12-31	3811357	4238233	9999-12-31	2013-05-08
379	2007-10-12	2010-01-05	Centrica Resources (Norge) AS	40.000000	\N	9999-12-31	9999-12-31	3811357	4238233	9999-12-31	2013-05-08
379	2007-10-12	2010-01-05	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811357	17237193	9999-12-31	2013-05-08
380	2006-01-06	2006-03-01	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	3811381	1340609	9999-12-31	2013-05-08
380	2006-03-01	2007-06-20	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	3811381	1340609	9999-12-31	2013-05-08
380	2006-01-06	2006-03-01	Pertra AS	70.000000	\N	2006-01-06	2006-03-01	3811381	3425724	9999-12-31	2013-05-08
380	2006-03-01	2007-06-20	Pertra ASA	70.000000	\N	2006-03-01	2007-11-16	3811381	3964368	9999-12-31	2013-05-08
380	2007-06-20	2007-11-16	Pertra ASA	70.000000	\N	2006-03-01	2007-11-16	3811381	3964368	9999-12-31	2013-05-08
380	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	3811381	4468177	9999-12-31	2013-05-08
380	2007-11-16	2008-01-01	Noil Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3811381	4539976	9999-12-31	2013-05-08
380	2007-11-16	2008-01-01	Det norske oljeselskap ASA (old)	70.000000	\N	2007-11-16	2009-12-21	3811381	4539989	9999-12-31	2013-05-08
380	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	100.000000	\N	2007-11-16	2009-12-21	3811381	4539989	9999-12-31	2013-05-08
380	2008-01-02	2009-12-22	Det norske oljeselskap ASA (old)	70.000000	\N	2007-11-16	2009-12-21	3811381	4539989	9999-12-31	2013-05-08
380	2008-01-02	2009-12-22	VNG Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811381	17237193	9999-12-31	2013-05-08
380	2009-12-22	2010-01-06	VNG Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811381	17237193	9999-12-31	2013-05-08
380	2009-12-22	2010-01-06	Det norske oljeselskap ASA	70.000000	\N	2009-12-22	2010-01-06	3811381	17342870	9999-12-31	2013-05-08
381	2006-01-06	2006-09-06	A/S Norske Shell	70.000000	\N	2006-01-06	2009-02-06	3811409	562	9999-12-31	2013-05-08
381	2006-09-06	2008-01-01	A/S Norske Shell	70.000000	\N	2006-01-06	2009-02-06	3811409	562	9999-12-31	2013-05-08
381	2008-01-01	2009-02-06	A/S Norske Shell	25.000000	\N	2006-01-06	2009-02-06	3811409	562	9999-12-31	2013-05-08
381	2006-01-06	2006-09-06	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811409	1853083	9999-12-31	2013-05-08
381	2008-01-01	2009-02-06	E.ON Ruhrgas Norge AS	35.000000	\N	9999-12-31	9999-12-31	3811409	2840522	9999-12-31	2013-05-08
381	2008-01-01	2009-02-06	Faroe Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	3811409	4062883	9999-12-31	2013-05-08
381	2006-09-06	2008-01-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811409	4070011	9999-12-31	2013-05-08
381	2008-01-01	2009-02-06	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811409	4070011	9999-12-31	2013-05-08
382	2006-01-06	2007-07-11	BG Norge AS	80.000000	\N	2006-01-06	2011-04-06	3811444	2747354	9999-12-31	2013-05-08
382	2007-07-11	2011-04-06	BG Norge AS	80.000000	\N	2006-01-06	2011-04-06	3811444	2747354	9999-12-31	2013-05-08
382	2006-01-06	2007-07-11	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	3811444	3482246	9999-12-31	2013-05-08
382	2007-07-11	2011-04-06	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811444	4530695	9999-12-31	2013-05-08
383	2006-01-06	2006-03-01	Det Norske Oljeselskap AS	50.000000	\N	2006-01-06	2007-06-20	3811499	1340609	9999-12-31	2013-05-08
383	2006-03-01	2007-06-20	Det Norske Oljeselskap AS	50.000000	\N	2006-01-06	2007-06-20	3811499	1340609	9999-12-31	2013-05-08
383	2006-01-06	2006-03-01	Pertra AS	50.000000	\N	9999-12-31	9999-12-31	3811499	3425724	9999-12-31	2013-05-08
383	2006-03-01	2007-06-20	Pertra ASA	50.000000	\N	9999-12-31	9999-12-31	3811499	3964368	9999-12-31	2013-05-08
383	2007-06-20	2007-11-16	Pertra ASA	50.000000	\N	9999-12-31	9999-12-31	3811499	3964368	9999-12-31	2013-05-08
383	2008-01-02	2009-12-22	Concedo ASA	15.000000	\N	9999-12-31	9999-12-31	3811499	4460794	9999-12-31	2013-05-08
383	2009-12-22	2010-07-06	Concedo ASA	15.000000	\N	9999-12-31	9999-12-31	3811499	4460794	9999-12-31	2013-05-08
383	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	50.000000	\N	2007-06-20	2007-11-16	3811499	4468177	9999-12-31	2013-05-08
383	2007-11-16	2008-01-01	Noil Energy ASA	50.000000	\N	2007-11-16	2008-01-01	3811499	4539976	9999-12-31	2013-05-08
383	2007-11-16	2008-01-01	Det norske oljeselskap ASA (old)	50.000000	\N	9999-12-31	9999-12-31	3811499	4539989	9999-12-31	2013-05-08
383	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	100.000000	\N	2008-01-01	2009-12-21	3811499	4539989	9999-12-31	2013-05-08
383	2008-01-02	2009-12-22	Det norske oljeselskap ASA (old)	55.000000	\N	2008-01-01	2009-12-21	3811499	4539989	9999-12-31	2013-05-08
383	2008-01-02	2009-12-22	VNG Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811499	17237193	9999-12-31	2013-05-08
383	2009-12-22	2010-07-06	VNG Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811499	17237193	9999-12-31	2013-05-08
383	2009-12-22	2010-07-06	Det norske oljeselskap ASA	55.000000	\N	2009-12-22	2010-07-06	3811499	17342870	9999-12-31	2013-05-08
384	2006-01-06	2006-09-06	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3811564	1626839	9999-12-31	2013-05-08
384	2006-09-06	2008-04-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3811564	1626839	9999-12-31	2013-05-08
384	2006-01-06	2006-09-06	DONG Norge AS	80.000000	\N	2006-01-06	2006-09-06	3811564	1853083	9999-12-31	2013-05-08
384	2006-09-06	2008-04-01	DONG E&P Norge AS	80.000000	\N	2006-09-06	2008-04-01	3811564	4070011	9999-12-31	2013-05-08
385	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	60.000000	\N	2006-01-06	2007-01-01	3811602	430	9999-12-31	2013-05-08
385	2006-01-06	2007-01-01	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	3811602	3482246	9999-12-31	2013-05-08
385	2007-01-01	2007-10-01	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	3811602	3482246	9999-12-31	2013-05-08
385	2007-10-01	2007-10-02	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	3811602	3482246	9999-12-31	2013-05-08
385	2006-01-06	2007-01-01	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3811602	3482302	9999-12-31	2013-05-08
385	2007-01-01	2007-10-01	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3811602	3482302	9999-12-31	2013-05-08
385	2007-10-01	2007-10-02	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3811602	3482302	9999-12-31	2013-05-08
385	2007-10-02	2009-11-02	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3811602	3482302	9999-12-31	2013-05-08
385	2009-11-02	2010-01-01	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3811602	3482302	9999-12-31	2013-05-08
385	2010-01-01	2010-04-20	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3811602	3482302	9999-12-31	2013-05-08
385	2010-04-20	2011-07-16	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3811602	3482302	9999-12-31	2013-05-08
385	2012-09-28	2012-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811602	4070011	2013-01-04	2013-05-08
385	2012-12-31	9999-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3811602	4070011	9999-12-31	2013-05-08
385	2007-10-01	2007-10-02	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2009-11-01	3811602	4511658	9999-12-31	2013-05-08
385	2007-10-02	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2009-11-01	3811602	4511658	9999-12-31	2013-05-08
385	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	60.000000	\N	2007-01-01	2007-10-01	3811602	4524355	9999-12-31	2013-05-08
385	2007-10-02	2009-11-02	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811602	4530695	9999-12-31	2013-05-08
385	2009-11-02	2010-01-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811602	4530695	9999-12-31	2013-05-08
385	2010-01-01	2010-04-20	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811602	4530695	9999-12-31	2013-05-08
385	2010-04-20	2011-07-16	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811602	4530695	9999-12-31	2013-05-08
385	2011-07-16	2011-07-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811602	4530695	9999-12-31	2013-05-08
385	2011-07-31	2012-09-28	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811602	4530695	2012-09-29	2013-05-08
385	2012-09-28	2012-12-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3811602	4530695	2013-01-04	2013-05-08
385	2010-01-01	2010-04-20	North Energy AS	15.000000	\N	9999-12-31	9999-12-31	3811602	4706034	9999-12-31	2013-05-08
385	2011-07-16	2011-07-31	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	3811602	5442509	9999-12-31	2013-05-08
385	2009-11-02	2010-01-01	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	3811602	17237817	9999-12-31	2013-05-08
385	2010-01-01	2010-04-20	Statoil Petroleum AS	45.000000	\N	2009-11-02	9999-12-31	3811602	17237817	9999-12-31	2013-05-08
385	2010-04-20	2011-07-16	Statoil Petroleum AS	45.000000	\N	2009-11-02	9999-12-31	3811602	17237817	9999-12-31	2013-05-08
385	2011-07-16	2011-07-31	Statoil Petroleum AS	45.000000	\N	2009-11-02	9999-12-31	3811602	17237817	9999-12-31	2013-05-08
385	2011-07-31	2012-09-28	Statoil Petroleum AS	45.000000	\N	2009-11-02	9999-12-31	3811602	17237817	2012-09-29	2013-05-08
385	2012-09-28	2012-12-31	Statoil Petroleum AS	45.000000	\N	2009-11-02	9999-12-31	3811602	17237817	2013-01-04	2013-05-08
385	2012-12-31	9999-12-31	Statoil Petroleum AS	45.000000	\N	2009-11-02	9999-12-31	3811602	17237817	9999-12-31	2013-05-08
385	2010-04-20	2011-07-16	North Energy ASA	15.000000	\N	9999-12-31	9999-12-31	3811602	18082156	9999-12-31	2013-05-08
385	2011-07-16	2011-07-31	North Energy ASA	15.000000	\N	9999-12-31	9999-12-31	3811602	18082156	9999-12-31	2013-05-08
385	2011-07-31	2012-09-28	North Energy ASA	35.000000	\N	9999-12-31	9999-12-31	3811602	18082156	2012-09-29	2013-05-08
385	2012-09-28	2012-12-31	North Energy ASA	15.000000	\N	9999-12-31	9999-12-31	3811602	18082156	2013-01-04	2013-05-08
385	2012-12-31	9999-12-31	North Energy ASA	15.000000	\N	9999-12-31	9999-12-31	3811602	18082156	9999-12-31	2013-05-08
385	2012-12-31	9999-12-31	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	3811602	22223020	9999-12-31	2013-05-08
386	2006-01-06	2007-10-01	Statoil ASA (old)	100.000000	\N	2006-01-06	2007-10-01	3811659	1622484	9999-12-31	2013-05-08
386	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	100.000000	\N	2009-01-01	2009-11-01	3811659	4511658	9999-12-31	2013-05-08
386	2007-10-01	2009-01-01	StatoilHydro ASA	100.000000	\N	2007-10-01	2008-12-31	3811659	4511854	9999-12-31	2013-05-08
386	2009-11-02	2013-04-06	Statoil Petroleum AS	100.000000	\N	2009-11-02	2013-04-06	3811659	17237817	2013-04-13	2013-05-08
043 BS	2006-01-06	2007-10-01	Statoil ASA (old)	21.000000	\N	9999-12-31	9999-12-31	3811810	1622484	9999-12-31	2013-05-08
043 BS	2006-01-06	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3811810	1626839	9999-12-31	2013-05-08
043 BS	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3811810	1626839	9999-12-31	2013-05-08
043 BS	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3811810	1626839	9999-12-31	2013-05-08
043 BS	2009-11-02	2012-01-13	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3811810	1626839	9999-12-31	2013-05-08
043 BS	2012-01-13	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3811810	1626839	9999-12-31	2013-05-08
043 BS	2006-01-06	2007-10-01	Total E&P Norge AS	49.000000	\N	2006-01-06	9999-12-31	3811810	2410708	9999-12-31	2013-05-08
043 BS	2007-10-01	2009-01-01	Total E&P Norge AS	49.000000	\N	2006-01-06	9999-12-31	3811810	2410708	9999-12-31	2013-05-08
043 BS	2009-01-01	2009-11-02	Total E&P Norge AS	49.000000	\N	2006-01-06	9999-12-31	3811810	2410708	9999-12-31	2013-05-08
043 BS	2009-11-02	2012-01-13	Total E&P Norge AS	49.000000	\N	2006-01-06	9999-12-31	3811810	2410708	9999-12-31	2013-05-08
043 BS	2012-01-13	9999-12-31	Total E&P Norge AS	51.000000	\N	2006-01-06	9999-12-31	3811810	2410708	9999-12-31	2013-05-08
043 BS	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	21.000000	\N	9999-12-31	9999-12-31	3811810	4511658	9999-12-31	2013-05-08
043 BS	2007-10-01	2009-01-01	StatoilHydro ASA	21.000000	\N	9999-12-31	9999-12-31	3811810	4511854	9999-12-31	2013-05-08
043 BS	2009-11-02	2012-01-13	Statoil Petroleum AS	21.000000	\N	9999-12-31	9999-12-31	3811810	17237817	9999-12-31	2013-05-08
043 BS	2012-01-13	9999-12-31	Statoil Petroleum AS	19.000000	\N	9999-12-31	9999-12-31	3811810	17237817	9999-12-31	2013-05-08
090 D	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	25.000000	\N	2006-01-06	2007-01-01	3811847	430	9999-12-31	2013-05-08
090 D	2006-01-06	2007-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	441	9999-12-31	2013-05-08
090 D	2007-01-01	2007-10-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	441	9999-12-31	2013-05-08
090 D	2007-10-01	2008-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	441	9999-12-31	2013-05-08
090 D	2008-01-01	2009-01-01	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	441	9999-12-31	2013-05-08
090 D	2009-01-01	2009-01-02	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	441	9999-12-31	2013-05-08
090 D	2009-01-02	2009-11-02	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	441	9999-12-31	2013-05-08
090 D	2009-11-02	2010-01-06	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	441	9999-12-31	2013-05-08
090 D	2006-01-06	2007-01-01	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	3811847	474	9999-12-31	2013-05-08
090 D	2007-01-01	2007-10-01	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	3811847	474	9999-12-31	2013-05-08
090 D	2007-10-01	2008-01-01	Mobil Development Norway AS	25.000000	\N	9999-12-31	9999-12-31	3811847	474	9999-12-31	2013-05-08
090 D	2006-01-06	2007-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3811847	1622484	9999-12-31	2013-05-08
090 D	2007-01-01	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3811847	1622484	9999-12-31	2013-05-08
090 D	2006-01-06	2007-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	1628733	9999-12-31	2013-05-08
090 D	2007-01-01	2007-10-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	1628733	9999-12-31	2013-05-08
090 D	2007-10-01	2008-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	1628733	9999-12-31	2013-05-08
090 D	2008-01-01	2009-01-01	Gaz de France Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	1628733	9999-12-31	2013-05-08
090 D	2008-01-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	3811847	2835212	9999-12-31	2013-05-08
090 D	2009-01-01	2009-01-02	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	3811847	2835212	9999-12-31	2013-05-08
090 D	2009-01-02	2009-11-02	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	3811847	2835212	9999-12-31	2013-05-08
090 D	2009-11-02	2010-01-06	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	3811847	2835212	9999-12-31	2013-05-08
090 D	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	3811847	4511658	9999-12-31	2013-05-08
090 D	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	3811847	4511658	9999-12-31	2013-05-08
090 D	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	25.000000	\N	2007-10-01	2009-11-01	3811847	4511658	9999-12-31	2013-05-08
090 D	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	45.000000	\N	2007-10-01	2009-11-01	3811847	4511658	9999-12-31	2013-05-08
090 D	2007-10-01	2008-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	3811847	4511854	9999-12-31	2013-05-08
090 D	2008-01-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	3811847	4511854	9999-12-31	2013-05-08
090 D	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	3811847	4511854	9999-12-31	2013-05-08
090 D	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	25.000000	\N	2007-01-01	2007-10-01	3811847	4524355	9999-12-31	2013-05-08
090 D	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	5267845	9999-12-31	2013-05-08
090 D	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	5267845	9999-12-31	2013-05-08
090 D	2009-11-02	2010-01-06	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	3811847	5267845	9999-12-31	2013-05-08
090 D	2009-11-02	2010-01-06	Statoil Petroleum AS	45.000000	\N	2009-11-02	2010-01-06	3811847	17237817	9999-12-31	2013-05-08
387	2007-11-16	2008-01-01	Noil Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3964986	4539976	9999-12-31	2013-05-08
091 C	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	3811888	430	9999-12-31	2013-05-08
091 C	2006-01-06	2007-01-01	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	3811888	474	9999-12-31	2013-05-08
091 C	2007-01-01	2007-10-01	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	3811888	474	9999-12-31	2013-05-08
091 C	2007-10-01	2008-02-06	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	3811888	474	9999-12-31	2013-05-08
091 C	2006-01-06	2007-01-01	Statoil ASA (old)	47.100000	\N	2006-01-06	2007-10-01	3811888	1622484	9999-12-31	2013-05-08
091 C	2007-01-01	2007-10-01	Statoil ASA (old)	47.100000	\N	2006-01-06	2007-10-01	3811888	1622484	9999-12-31	2013-05-08
091 C	2006-01-06	2007-01-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	3811888	2388594	9999-12-31	2013-05-08
091 C	2007-01-01	2007-10-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	3811888	2388594	9999-12-31	2013-05-08
091 C	2007-10-01	2008-02-06	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	3811888	2388594	9999-12-31	2013-05-08
091 C	2007-10-01	2008-02-06	StatoilHydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	3811888	4511658	9999-12-31	2013-05-08
091 C	2007-10-01	2008-02-06	StatoilHydro ASA	47.100000	\N	2007-10-01	2008-02-06	3811888	4511854	9999-12-31	2013-05-08
091 C	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	3811888	4524355	9999-12-31	2013-05-08
122 D	2006-01-06	2006-09-06	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	3811939	1622484	9999-12-31	2013-05-08
122 D	2006-09-06	2007-10-01	Statoil ASA (old)	50.000000	\N	9999-12-31	9999-12-31	3811939	1622484	9999-12-31	2013-05-08
122 D	2006-01-06	2006-09-06	DONG Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811939	1853083	9999-12-31	2013-05-08
122 D	2006-01-06	2006-09-06	Eni Norge AS	20.000000	\N	2006-01-06	9999-12-31	3811939	2388594	9999-12-31	2013-05-08
122 D	2006-09-06	2007-10-01	Eni Norge AS	20.000000	\N	2006-01-06	9999-12-31	3811939	2388594	9999-12-31	2013-05-08
122 D	2007-10-01	2009-01-01	Eni Norge AS	20.000000	\N	2006-01-06	9999-12-31	3811939	2388594	9999-12-31	2013-05-08
122 D	2009-01-01	2009-11-02	Eni Norge AS	20.000000	\N	2006-01-06	9999-12-31	3811939	2388594	9999-12-31	2013-05-08
122 D	2009-11-02	9999-12-31	Eni Norge AS	20.000000	\N	2006-01-06	9999-12-31	3811939	2388594	9999-12-31	2013-05-08
122 D	2006-09-06	2007-10-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811939	4070011	9999-12-31	2013-05-08
122 D	2007-10-01	2009-01-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811939	4070011	9999-12-31	2013-05-08
122 D	2009-01-01	2009-11-02	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811939	4070011	9999-12-31	2013-05-08
122 D	2009-11-02	9999-12-31	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	3811939	4070011	9999-12-31	2013-05-08
122 D	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	3811939	4511658	9999-12-31	2013-05-08
122 D	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	9999-12-31	9999-12-31	3811939	4511854	9999-12-31	2013-05-08
122 D	2009-11-02	9999-12-31	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	3811939	17237817	9999-12-31	2013-05-08
128 C	2006-01-06	2007-01-06	Norsk Hydro Produksjon AS	13.500000	\N	9999-12-31	9999-12-31	3811967	430	9999-12-31	2013-05-08
128 C	2006-01-06	2007-01-06	Statoil ASA (old)	50.454550	\N	2006-01-06	2007-01-06	3811967	1622484	9999-12-31	2013-05-08
128 C	2006-01-06	2007-01-06	Petoro AS	24.545450	\N	9999-12-31	9999-12-31	3811967	1626839	9999-12-31	2013-05-08
128 C	2006-01-06	2007-01-06	Eni Norge AS	11.500000	\N	9999-12-31	9999-12-31	3811967	2388594	9999-12-31	2013-05-08
134 C	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	14.000000	\N	9999-12-31	9999-12-31	3812006	430	9999-12-31	2013-05-08
134 C	2006-01-06	2007-01-01	Statoil ASA (old)	50.000000	\N	2006-01-06	2007-10-01	3812006	1622484	9999-12-31	2013-05-08
134 C	2007-01-01	2007-10-01	Statoil ASA (old)	50.000000	\N	2006-01-06	2007-10-01	3812006	1622484	9999-12-31	2013-05-08
134 C	2006-01-06	2007-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	3812006	2388594	9999-12-31	2013-05-08
134 C	2007-01-01	2007-10-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	3812006	2388594	9999-12-31	2013-05-08
134 C	2007-10-01	2008-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	3812006	2388594	9999-12-31	2013-05-08
134 C	2008-01-01	2009-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	3812006	2388594	9999-12-31	2013-05-08
134 C	2009-01-01	2009-11-02	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	3812006	2388594	9999-12-31	2013-05-08
134 C	2009-11-02	9999-12-31	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	3812006	2388594	9999-12-31	2013-05-08
134 C	2006-01-06	2007-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	3812006	2410708	9999-12-31	2013-05-08
134 C	2007-01-01	2007-10-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	3812006	2410708	9999-12-31	2013-05-08
134 C	2007-10-01	2008-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	3812006	2410708	9999-12-31	2013-05-08
134 C	2008-01-01	2009-01-01	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	3812006	2410708	9999-12-31	2013-05-08
134 C	2009-01-01	2009-11-02	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	3812006	2410708	9999-12-31	2013-05-08
134 C	2009-11-02	9999-12-31	Total E&P Norge AS	6.000000	\N	9999-12-31	9999-12-31	3812006	2410708	9999-12-31	2013-05-08
134 C	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	14.000000	\N	9999-12-31	9999-12-31	3812006	4511658	9999-12-31	2013-05-08
134 C	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	64.000000	\N	2009-01-01	2009-11-01	3812006	4511658	9999-12-31	2013-05-08
134 C	2007-10-01	2008-01-01	StatoilHydro ASA	50.000000	\N	2007-10-01	2008-12-31	3812006	4511854	9999-12-31	2013-05-08
134 C	2008-01-01	2009-01-01	StatoilHydro ASA	64.000000	\N	2007-10-01	2008-12-31	3812006	4511854	9999-12-31	2013-05-08
134 C	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	14.000000	\N	9999-12-31	9999-12-31	3812006	4524355	9999-12-31	2013-05-08
134 C	2009-11-02	9999-12-31	Statoil Petroleum AS	64.000000	\N	2009-11-02	9999-12-31	3812006	17237817	9999-12-31	2013-05-08
195 B	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	2006-01-06	2007-01-01	3812021	430	9999-12-31	2013-05-08
195 B	2006-01-06	2007-01-01	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	3812021	97557	9999-12-31	2013-05-08
195 B	2007-01-01	2007-10-01	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	3812021	97557	9999-12-31	2013-05-08
195 B	2007-10-01	2009-11-02	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	3812021	97557	9999-12-31	2013-05-08
195 B	2009-11-02	9999-12-31	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	3812021	97557	9999-12-31	2013-05-08
195 B	2006-01-06	2007-01-01	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	3812021	1626839	9999-12-31	2013-05-08
195 B	2007-01-01	2007-10-01	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	3812021	1626839	9999-12-31	2013-05-08
195 B	2007-10-01	2009-11-02	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	3812021	1626839	9999-12-31	2013-05-08
195 B	2009-11-02	9999-12-31	Petoro AS	35.000000	\N	9999-12-31	9999-12-31	3812021	1626839	9999-12-31	2013-05-08
195 B	2007-10-01	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	3812021	4511658	9999-12-31	2013-05-08
195 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	3812021	4524355	9999-12-31	2013-05-08
195 B	2009-11-02	9999-12-31	Statoil Petroleum AS	40.000000	\N	2009-11-02	9999-12-31	3812021	17237817	9999-12-31	2013-05-08
248 B	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	2006-01-06	2007-01-01	3812058	430	9999-12-31	2013-05-08
248 B	2006-01-06	2007-01-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3812058	1622484	9999-12-31	2013-05-08
248 B	2007-01-01	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3812058	1622484	9999-12-31	2013-05-08
248 B	2006-01-06	2007-01-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	3812058	1626839	9999-12-31	2013-05-08
248 B	2007-01-01	2007-10-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	3812058	1626839	9999-12-31	2013-05-08
248 B	2007-10-01	2009-01-01	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	3812058	1626839	9999-12-31	2013-05-08
248 B	2009-01-01	2009-11-02	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	3812058	1626839	9999-12-31	2013-05-08
248 B	2009-11-02	9999-12-31	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	3812058	1626839	9999-12-31	2013-05-08
248 B	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	3812058	4511658	9999-12-31	2013-05-08
248 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2009-11-01	3812058	4511658	9999-12-31	2013-05-08
248 B	2007-10-01	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	3812058	4511854	9999-12-31	2013-05-08
248 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	3812058	4524355	9999-12-31	2013-05-08
248 B	2009-11-02	9999-12-31	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	3812058	17237817	9999-12-31	2013-05-08
263 B	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	2006-01-06	2007-01-01	3812093	430	9999-12-31	2013-05-08
263 B	2006-01-06	2007-01-01	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	3812093	1340609	9999-12-31	2013-05-08
263 B	2007-01-01	2007-06-29	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	3812093	1340609	9999-12-31	2013-05-08
263 B	2006-01-06	2007-01-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	3812093	1622484	9999-12-31	2013-05-08
263 B	2007-01-01	2007-06-29	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	3812093	1622484	9999-12-31	2013-05-08
263 B	2007-06-29	2007-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	3812093	1622484	9999-12-31	2013-05-08
263 B	2007-06-29	2007-10-01	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	3812093	4444493	9999-12-31	2013-05-08
263 B	2007-10-01	2009-01-01	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	3812093	4444493	9999-12-31	2013-05-08
263 B	2009-01-01	2009-11-02	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	3812093	4444493	9999-12-31	2013-05-08
263 B	2009-11-02	9999-12-31	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	3812093	4444493	9999-12-31	2013-05-08
263 B	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	3812093	4511658	9999-12-31	2013-05-08
263 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2007-10-01	2009-11-01	3812093	4511658	9999-12-31	2013-05-08
263 B	2007-10-01	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	3812093	4511854	9999-12-31	2013-05-08
263 B	2007-01-01	2007-06-29	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	3812093	4524355	9999-12-31	2013-05-08
263 B	2007-06-29	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	3812093	4524355	9999-12-31	2013-05-08
263 B	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	3812093	17237817	9999-12-31	2013-05-08
277 B	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	3812131	430	9999-12-31	2013-05-08
277 B	2006-01-06	2007-01-01	Statoil ASA (old)	61.000000	\N	2006-01-06	2007-10-01	3812131	1622484	9999-12-31	2013-05-08
277 B	2007-01-01	2007-10-01	Statoil ASA (old)	61.000000	\N	2006-01-06	2007-10-01	3812131	1622484	9999-12-31	2013-05-08
277 B	2006-01-06	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3812131	1626839	9999-12-31	2013-05-08
277 B	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3812131	1626839	9999-12-31	2013-05-08
277 B	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3812131	1626839	9999-12-31	2013-05-08
277 B	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3812131	1626839	9999-12-31	2013-05-08
277 B	2009-11-02	2013-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3812131	1626839	2013-01-03	2013-05-08
277 B	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	3812131	4511658	9999-12-31	2013-05-08
277 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	3812131	4511658	9999-12-31	2013-05-08
277 B	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	2007-10-01	2008-12-31	3812131	4511854	9999-12-31	2013-05-08
277 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	3812131	4524355	9999-12-31	2013-05-08
277 B	2009-11-02	2013-01-01	Statoil Petroleum AS	70.000000	\N	2009-11-02	2013-01-01	3812131	17237817	2013-01-03	2013-05-08
355	2006-01-06	2006-01-26	Norsk Hydro Produksjon AS	40.000000	\N	2006-01-06	2007-01-01	3812175	430	9999-12-31	2013-05-08
355	2006-01-26	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	2006-01-06	2007-01-01	3812175	430	9999-12-31	2013-05-08
355	2006-01-06	2006-01-26	Maersk Oil Norway AS (old1)	40.000000	\N	9999-12-31	9999-12-31	3812175	2824954	9999-12-31	2013-05-08
355	2006-01-06	2006-01-26	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3812175	3482302	9999-12-31	2013-05-08
355	2006-01-26	2007-01-01	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3812175	3482302	9999-12-31	2013-05-08
355	2007-01-01	2007-10-01	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3812175	3482302	9999-12-31	2013-05-08
355	2007-10-01	2007-10-02	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3812175	3482302	9999-12-31	2013-05-08
355	2007-10-02	2008-02-01	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	3812175	3482302	9999-12-31	2013-05-08
355	2006-01-26	2007-01-01	Maersk Oil Exploration Norway AS	40.000000	\N	9999-12-31	9999-12-31	3812175	3960933	9999-12-31	2013-05-08
355	2007-01-01	2007-10-01	Maersk Oil Exploration Norway AS	40.000000	\N	9999-12-31	9999-12-31	3812175	3960933	9999-12-31	2013-05-08
355	2007-10-01	2007-10-02	Maersk Oil Exploration Norway AS	40.000000	\N	9999-12-31	9999-12-31	3812175	3960933	9999-12-31	2013-05-08
355	2007-10-01	2007-10-02	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	3812175	4511658	9999-12-31	2013-05-08
355	2007-10-02	2008-02-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	3812175	4511658	9999-12-31	2013-05-08
355	2008-02-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2007-10-01	2009-11-01	3812175	4511658	9999-12-31	2013-05-08
355	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	3812175	4524355	9999-12-31	2013-05-08
355	2007-10-02	2008-02-01	Maersk Oil Norway AS	40.000000	\N	9999-12-31	9999-12-31	3812175	4719674	9999-12-31	2013-05-08
355	2008-02-01	2009-11-02	Maersk Oil Norway AS	50.000000	\N	9999-12-31	9999-12-31	3812175	4719674	9999-12-31	2013-05-08
355	2009-11-02	2009-12-12	Maersk Oil Norway AS	50.000000	\N	9999-12-31	9999-12-31	3812175	4719674	9999-12-31	2013-05-08
355	2009-11-02	2009-12-12	Statoil Petroleum AS	50.000000	\N	2009-11-02	2009-12-12	3812175	17237817	9999-12-31	2013-05-08
091 B	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	12.000000	\N	9999-12-31	9999-12-31	3812205	430	9999-12-31	2013-05-08
091 B	2006-01-06	2007-01-01	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	3812205	474	9999-12-31	2013-05-08
091 B	2007-01-01	2007-10-01	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	3812205	474	9999-12-31	2013-05-08
091 B	2007-10-01	2008-01-01	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	3812205	474	9999-12-31	2013-05-08
091 B	2008-01-01	2008-01-02	Mobil Development Norway AS	33.000000	\N	9999-12-31	9999-12-31	3812205	474	9999-12-31	2013-05-08
091 B	2006-01-06	2007-01-01	Statoil ASA (old)	47.100000	\N	2006-01-06	2007-10-01	3812205	1622484	9999-12-31	2013-05-08
091 B	2007-01-01	2007-10-01	Statoil ASA (old)	47.100000	\N	2006-01-06	2007-10-01	3812205	1622484	9999-12-31	2013-05-08
091 B	2006-01-06	2007-01-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	3812205	2388594	9999-12-31	2013-05-08
091 B	2007-01-01	2007-10-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	3812205	2388594	9999-12-31	2013-05-08
091 B	2007-10-01	2008-01-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	3812205	2388594	9999-12-31	2013-05-08
091 B	2008-01-01	2008-01-02	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	3812205	2388594	9999-12-31	2013-05-08
091 B	2008-01-02	2009-01-01	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	3812205	2388594	9999-12-31	2013-05-08
091 B	2009-01-01	2009-10-06	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	3812205	2388594	9999-12-31	2013-05-08
091 B	2008-01-02	2009-01-01	ExxonMobil Exploration & Production Norway AS	33.000000	\N	9999-12-31	9999-12-31	3812205	2835212	9999-12-31	2013-05-08
091 B	2009-01-01	2009-10-06	ExxonMobil Exploration & Production Norway AS	33.000000	\N	9999-12-31	9999-12-31	3812205	2835212	9999-12-31	2013-05-08
091 B	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	3812205	4511658	9999-12-31	2013-05-08
091 B	2009-01-01	2009-10-06	StatoilHydro Petroleum AS	59.100000	\N	2009-01-01	2009-10-06	3812205	4511658	9999-12-31	2013-05-08
091 B	2007-10-01	2008-01-01	StatoilHydro ASA	47.100000	\N	2007-10-01	2008-12-31	3812205	4511854	9999-12-31	2013-05-08
091 B	2008-01-01	2008-01-02	StatoilHydro ASA	59.100000	\N	2007-10-01	2008-12-31	3812205	4511854	9999-12-31	2013-05-08
091 B	2008-01-02	2009-01-01	StatoilHydro ASA	59.100000	\N	2007-10-01	2008-12-31	3812205	4511854	9999-12-31	2013-05-08
091 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	12.000000	\N	9999-12-31	9999-12-31	3812205	4524355	9999-12-31	2013-05-08
387	2006-04-28	2007-06-20	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	3964986	97557	9999-12-31	2013-05-08
387	2007-06-20	2007-11-16	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	3964986	97557	9999-12-31	2013-05-08
387	2007-11-16	2008-01-01	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	3964986	97557	9999-12-31	2013-05-08
387	2008-01-01	2009-04-28	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	3964986	97557	9999-12-31	2013-05-08
387	2006-04-28	2007-06-20	Det Norske Oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	3964986	1340609	9999-12-31	2013-05-08
387	2006-04-28	2007-06-20	Talisman Energy Norge AS	40.000000	\N	2006-04-28	2009-04-28	3964986	2425093	9999-12-31	2013-05-08
387	2007-06-20	2007-11-16	Talisman Energy Norge AS	40.000000	\N	2006-04-28	2009-04-28	3964986	2425093	9999-12-31	2013-05-08
387	2007-11-16	2008-01-01	Talisman Energy Norge AS	40.000000	\N	2006-04-28	2009-04-28	3964986	2425093	9999-12-31	2013-05-08
387	2008-01-01	2009-04-28	Talisman Energy Norge AS	40.000000	\N	2006-04-28	2009-04-28	3964986	2425093	9999-12-31	2013-05-08
387	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	3964986	4468177	9999-12-31	2013-05-08
387	2008-01-01	2009-04-28	Det norske oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	3964986	4539989	9999-12-31	2013-05-08
388	2006-04-28	2008-01-01	BG Norge AS	100.000000	\N	2006-04-28	2011-10-28	3965088	2747354	9999-12-31	2013-05-08
388	2008-01-01	2008-01-02	BG Norge AS	80.000000	\N	2006-04-28	2011-10-28	3965088	2747354	9999-12-31	2013-05-08
388	2008-01-02	2008-01-03	BG Norge AS	70.000000	\N	2006-04-28	2011-10-28	3965088	2747354	9999-12-31	2013-05-08
388	2008-01-03	2009-01-01	BG Norge AS	50.000000	\N	2006-04-28	2011-10-28	3965088	2747354	9999-12-31	2013-05-08
388	2009-01-01	2009-11-02	BG Norge AS	50.000000	\N	2006-04-28	2011-10-28	3965088	2747354	9999-12-31	2013-05-08
388	2009-11-02	2011-10-28	BG Norge AS	50.000000	\N	2006-04-28	2011-10-28	3965088	2747354	9999-12-31	2013-05-08
388	2008-01-01	2008-01-02	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965088	2840522	9999-12-31	2013-05-08
388	2008-01-02	2008-01-03	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965088	2840522	9999-12-31	2013-05-08
388	2008-01-03	2009-01-01	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965088	2840522	9999-12-31	2013-05-08
388	2009-01-01	2009-11-02	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965088	2840522	9999-12-31	2013-05-08
388	2009-11-02	2011-10-28	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965088	2840522	9999-12-31	2013-05-08
388	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	3965088	4511658	9999-12-31	2013-05-08
388	2008-01-02	2008-01-03	StatoilHydro ASA	10.000000	\N	9999-12-31	9999-12-31	3965088	4511854	9999-12-31	2013-05-08
388	2008-01-03	2009-01-01	StatoilHydro ASA	10.000000	\N	9999-12-31	9999-12-31	3965088	4511854	9999-12-31	2013-05-08
388	2008-01-03	2009-01-01	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	3965088	5072514	9999-12-31	2013-05-08
388	2009-01-01	2009-11-02	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	3965088	5072514	9999-12-31	2013-05-08
388	2009-11-02	2011-10-28	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	3965088	5072514	9999-12-31	2013-05-08
388	2009-11-02	2011-10-28	Statoil Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	3965088	17237817	9999-12-31	2013-05-08
389	2006-04-28	2007-01-01	Total E&P Norge AS	100.000000	\N	2006-04-28	2010-04-26	3965128	2410708	9999-12-31	2013-05-08
389	2007-01-01	2007-10-12	Total E&P Norge AS	60.000000	\N	2006-04-28	2010-04-26	3965128	2410708	9999-12-31	2013-05-08
389	2007-10-12	2010-04-26	Total E&P Norge AS	40.000000	\N	2006-04-28	2010-04-26	3965128	2410708	9999-12-31	2013-05-08
389	2007-01-01	2007-10-12	Centrica Resources (Norge) AS	40.000000	\N	9999-12-31	9999-12-31	3965128	4238233	9999-12-31	2013-05-08
389	2007-10-12	2010-04-26	Centrica Resources (Norge) AS	40.000000	\N	9999-12-31	9999-12-31	3965128	4238233	9999-12-31	2013-05-08
389	2007-10-12	2010-04-26	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965128	17237193	9999-12-31	2013-05-08
390	2006-04-28	2011-04-28	Idemitsu Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	3965152	441	9999-12-31	2013-05-08
390	2006-04-28	2011-04-28	BG Norge AS	70.000000	\N	2006-04-28	2011-04-28	3965152	2747354	9999-12-31	2013-05-08
391	2006-04-28	2006-06-26	Amerada Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965194	67	9999-12-31	2013-05-08
391	2006-04-28	2006-06-26	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965194	441	9999-12-31	2013-05-08
391	2006-06-26	2007-07-11	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965194	441	9999-12-31	2013-05-08
391	2007-07-11	2010-01-28	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965194	441	9999-12-31	2013-05-08
391	2006-04-28	2006-06-26	BG Norge AS	40.000000	\N	2006-04-28	2010-01-28	3965194	2747354	9999-12-31	2013-05-08
391	2006-06-26	2007-07-11	BG Norge AS	40.000000	\N	2006-04-28	2010-01-28	3965194	2747354	9999-12-31	2013-05-08
391	2007-07-11	2010-01-28	BG Norge AS	40.000000	\N	2006-04-28	2010-01-28	3965194	2747354	9999-12-31	2013-05-08
391	2006-04-28	2006-06-26	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	3965194	3482246	9999-12-31	2013-05-08
391	2006-06-26	2007-07-11	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	3965194	3482246	9999-12-31	2013-05-08
391	2006-06-26	2007-07-11	Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965194	4038735	9999-12-31	2013-05-08
391	2007-07-11	2010-01-28	Hess Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965194	4038735	9999-12-31	2013-05-08
391	2007-07-11	2010-01-28	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	3965194	4530695	9999-12-31	2013-05-08
392	2006-04-28	2007-10-01	A/S Norske Shell	40.000000	\N	2006-04-28	2012-04-28	3965222	562	9999-12-31	2013-05-08
392	2007-10-01	2007-11-21	A/S Norske Shell	40.000000	\N	2006-04-28	2012-04-28	3965222	562	9999-12-31	2013-05-08
392	2007-11-21	2009-01-01	A/S Norske Shell	40.000000	\N	2006-04-28	2012-04-28	3965222	562	9999-12-31	2013-05-08
392	2009-01-01	2009-11-02	A/S Norske Shell	40.000000	\N	2006-04-28	2012-04-28	3965222	562	9999-12-31	2013-05-08
392	2009-11-02	2010-01-01	A/S Norske Shell	40.000000	\N	2006-04-28	2012-04-28	3965222	562	9999-12-31	2013-05-08
392	2010-01-01	2010-10-01	A/S Norske Shell	30.000000	\N	2006-04-28	2012-04-28	3965222	562	9999-12-31	2013-05-08
392	2010-10-01	2010-11-01	A/S Norske Shell	30.000000	\N	2006-04-28	2012-04-28	3965222	562	9999-12-31	2013-05-08
392	2010-11-01	2012-04-28	A/S Norske Shell	30.000000	\N	2006-04-28	2012-04-28	3965222	562	9999-12-31	2013-05-08
392	2006-04-28	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	3965222	1622484	9999-12-31	2013-05-08
392	2006-04-28	2007-10-01	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2399056	9999-12-31	2013-05-08
392	2007-10-01	2007-11-21	Norske ConocoPhillips AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2399056	9999-12-31	2013-05-08
392	2007-11-21	2009-01-01	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2410696	9999-12-31	2013-05-08
392	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2410696	9999-12-31	2013-05-08
392	2009-11-02	2010-01-01	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2410696	9999-12-31	2013-05-08
392	2010-01-01	2010-10-01	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2410696	9999-12-31	2013-05-08
392	2010-10-01	2010-11-01	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2410696	9999-12-31	2013-05-08
392	2010-11-01	2012-04-28	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2410696	9999-12-31	2013-05-08
392	2006-04-28	2007-10-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2747354	9999-12-31	2013-05-08
392	2007-10-01	2007-11-21	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2747354	9999-12-31	2013-05-08
392	2007-11-21	2009-01-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2747354	9999-12-31	2013-05-08
392	2009-01-01	2009-11-02	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2747354	9999-12-31	2013-05-08
392	2009-11-02	2010-01-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2747354	9999-12-31	2013-05-08
392	2010-01-01	2010-10-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2747354	9999-12-31	2013-05-08
392	2010-10-01	2010-11-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965222	2747354	9999-12-31	2013-05-08
392	2010-11-01	2012-04-28	BG Norge AS	10.000000	\N	9999-12-31	9999-12-31	3965222	2747354	9999-12-31	2013-05-08
392	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	3965222	4511658	9999-12-31	2013-05-08
392	2007-10-01	2007-11-21	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	3965222	4511854	9999-12-31	2013-05-08
392	2007-11-21	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	3965222	4511854	9999-12-31	2013-05-08
392	2010-11-01	2012-04-28	Norwegian Energy Company ASA	10.000000	\N	9999-12-31	9999-12-31	3965222	4530695	9999-12-31	2013-05-08
392	2009-11-02	2010-01-01	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	3965222	17237817	9999-12-31	2013-05-08
392	2010-01-01	2010-10-01	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	3965222	17237817	9999-12-31	2013-05-08
392	2010-10-01	2010-11-01	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	3965222	17237817	9999-12-31	2013-05-08
392	2010-11-01	2012-04-28	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	3965222	17237817	9999-12-31	2013-05-08
392	2010-10-01	2010-11-01	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	3965222	17342870	9999-12-31	2013-05-08
392	2010-11-01	2012-04-28	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	3965222	17342870	9999-12-31	2013-05-08
392	2010-01-01	2010-10-01	Det norske oljeselskap AS	10.000000	\N	9999-12-31	9999-12-31	3965222	17342915	9999-12-31	2013-05-08
393	2006-04-28	2007-01-01	Norsk Hydro Produksjon AS	30.000000	\N	2006-04-28	2007-01-01	3965277	430	9999-12-31	2013-05-08
393	2006-04-28	2007-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965277	1626839	9999-12-31	2013-05-08
393	2007-01-01	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965277	1626839	9999-12-31	2013-05-08
393	2007-10-01	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965277	1626839	9999-12-31	2013-05-08
393	2009-11-02	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965277	1626839	9999-12-31	2013-05-08
393	2006-04-28	2007-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	3965277	2388594	9999-12-31	2013-05-08
393	2007-01-01	2007-10-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	3965277	2388594	9999-12-31	2013-05-08
393	2007-10-01	2009-11-02	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	3965277	2388594	9999-12-31	2013-05-08
393	2009-11-02	9999-12-31	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	3965277	2388594	9999-12-31	2013-05-08
393	2006-04-28	2007-01-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965277	2747354	9999-12-31	2013-05-08
393	2007-01-01	2007-10-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965277	2747354	9999-12-31	2013-05-08
393	2007-10-01	2009-11-02	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965277	2747354	9999-12-31	2013-05-08
393	2009-11-02	9999-12-31	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965277	2747354	9999-12-31	2013-05-08
393	2007-10-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-11-01	3965277	4511658	9999-12-31	2013-05-08
393	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	30.000000	\N	2007-01-01	2007-10-01	3965277	4524355	9999-12-31	2013-05-08
393	2009-11-02	9999-12-31	Statoil Petroleum AS	30.000000	\N	2009-11-02	9999-12-31	3965277	17237817	9999-12-31	2013-05-08
394	2006-04-28	2007-01-01	Norsk Hydro Produksjon AS	40.000000	\N	2006-04-28	2007-01-01	3965323	430	9999-12-31	2013-05-08
394	2006-04-28	2007-01-01	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	3965323	1622484	9999-12-31	2013-05-08
394	2007-01-01	2007-10-01	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	3965323	1622484	9999-12-31	2013-05-08
394	2006-04-28	2007-01-01	Petoro AS	15.000000	\N	9999-12-31	9999-12-31	3965323	1626839	9999-12-31	2013-05-08
394	2007-01-01	2007-10-01	Petoro AS	15.000000	\N	9999-12-31	9999-12-31	3965323	1626839	9999-12-31	2013-05-08
394	2007-10-01	2009-01-01	Petoro AS	15.000000	\N	9999-12-31	9999-12-31	3965323	1626839	9999-12-31	2013-05-08
394	2009-01-01	2009-01-02	Petoro AS	15.000000	\N	9999-12-31	9999-12-31	3965323	1626839	9999-12-31	2013-05-08
394	2009-01-02	2009-11-02	Petoro AS	15.000000	\N	9999-12-31	9999-12-31	3965323	1626839	9999-12-31	2013-05-08
394	2009-11-02	2011-02-05	Petoro AS	15.000000	\N	9999-12-31	9999-12-31	3965323	1626839	9999-12-31	2013-05-08
394	2006-04-28	2007-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965323	1628733	9999-12-31	2013-05-08
394	2007-01-01	2007-10-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965323	1628733	9999-12-31	2013-05-08
394	2007-10-01	2009-01-01	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965323	1628733	9999-12-31	2013-05-08
394	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	3965323	4511658	9999-12-31	2013-05-08
394	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	3965323	4511658	9999-12-31	2013-05-08
394	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	65.000000	\N	2007-10-01	2009-11-01	3965323	4511658	9999-12-31	2013-05-08
394	2007-10-01	2009-01-01	StatoilHydro ASA	25.000000	\N	9999-12-31	9999-12-31	3965323	4511854	9999-12-31	2013-05-08
394	2009-01-01	2009-01-02	StatoilHydro ASA	25.000000	\N	9999-12-31	9999-12-31	3965323	4511854	9999-12-31	2013-05-08
394	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-01-01	2007-10-01	3965323	4524355	9999-12-31	2013-05-08
394	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965323	5267845	9999-12-31	2013-05-08
394	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965323	5267845	9999-12-31	2013-05-08
394	2009-11-02	2011-02-05	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965323	5267845	9999-12-31	2013-05-08
394	2009-11-02	2011-02-05	Statoil Petroleum AS	65.000000	\N	2009-11-02	2011-02-05	3965323	17237817	9999-12-31	2013-05-08
395	2006-04-28	2007-10-01	Statoil ASA (old)	50.000000	\N	2006-04-28	2007-10-01	3965360	1622484	9999-12-31	2013-05-08
395	2006-04-28	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965360	1626839	9999-12-31	2013-05-08
395	2007-10-01	2009-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965360	1626839	9999-12-31	2013-05-08
395	2009-01-01	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965360	1626839	9999-12-31	2013-05-08
395	2009-11-02	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965360	1626839	9999-12-31	2013-05-08
395	2006-04-28	2007-10-01	BG Norge AS	30.000000	\N	9999-12-31	9999-12-31	3965360	2747354	9999-12-31	2013-05-08
395	2007-10-01	2009-01-01	BG Norge AS	30.000000	\N	9999-12-31	9999-12-31	3965360	2747354	9999-12-31	2013-05-08
395	2009-01-01	2009-11-02	BG Norge AS	30.000000	\N	9999-12-31	9999-12-31	3965360	2747354	9999-12-31	2013-05-08
395	2009-11-02	9999-12-31	BG Norge AS	30.000000	\N	9999-12-31	9999-12-31	3965360	2747354	9999-12-31	2013-05-08
395	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2009-01-01	2009-11-01	3965360	4511658	9999-12-31	2013-05-08
395	2007-10-01	2009-01-01	StatoilHydro ASA	50.000000	\N	2007-10-01	2008-12-31	3965360	4511854	9999-12-31	2013-05-08
395	2009-11-02	9999-12-31	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	3965360	17237817	9999-12-31	2013-05-08
396	2006-04-28	2010-01-28	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965404	1626839	9999-12-31	2013-05-08
396	2010-01-28	2010-02-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965404	1626839	9999-12-31	2013-05-08
396	2010-02-01	2010-05-26	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965404	1626839	9999-12-31	2013-05-08
396	2010-05-26	2012-10-28	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	3965404	1626839	2012-12-04	2013-05-08
396	2006-04-28	2010-01-28	BG Norge AS	70.000000	\N	2006-04-28	2010-04-28	3965404	2747354	9999-12-31	2013-05-08
396	2006-04-28	2010-01-28	Discover Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	3965404	3500333	9999-12-31	2013-05-08
396	2010-01-28	2010-02-01	Discover Petroleum AS	80.000000	\N	9999-12-31	9999-12-31	3965404	3500333	9999-12-31	2013-05-08
396	2010-02-01	2010-05-26	Discover Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	3965404	3500333	9999-12-31	2013-05-08
396	2010-02-01	2010-05-26	Norwegian Energy Company ASA	50.000000	\N	2010-04-29	2012-10-28	3965404	4530695	2012-12-05	2013-05-08
396	2010-05-26	2012-10-28	Norwegian Energy Company ASA	50.000000	\N	2010-04-29	2012-10-28	3965404	4530695	2012-12-05	2013-05-08
396	2010-05-26	2012-10-28	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	3965404	18108745	2012-12-04	2013-05-08
397	2006-04-28	2007-10-01	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965439	97557	9999-12-31	2013-05-08
397	2007-10-01	2009-01-01	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965439	97557	9999-12-31	2013-05-08
397	2009-01-01	2009-11-02	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965439	97557	9999-12-31	2013-05-08
397	2009-11-02	2011-02-18	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	3965439	97557	9999-12-31	2013-05-08
397	2006-04-28	2007-10-01	Statoil ASA (old)	40.000000	\N	2006-04-28	2007-10-01	3965439	1622484	9999-12-31	2013-05-08
397	2006-04-28	2007-10-01	Chevron Norge AS	40.000000	\N	9999-12-31	9999-12-31	3965439	3488906	9999-12-31	2013-05-08
397	2007-10-01	2009-01-01	Chevron Norge AS	40.000000	\N	9999-12-31	9999-12-31	3965439	3488906	9999-12-31	2013-05-08
397	2009-01-01	2009-11-02	Chevron Norge AS	40.000000	\N	9999-12-31	9999-12-31	3965439	3488906	9999-12-31	2013-05-08
397	2009-11-02	2011-02-18	Chevron Norge AS	40.000000	\N	9999-12-31	9999-12-31	3965439	3488906	9999-12-31	2013-05-08
397	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	2009-01-01	2009-11-01	3965439	4511658	9999-12-31	2013-05-08
397	2007-10-01	2009-01-01	StatoilHydro ASA	40.000000	\N	2007-10-01	2008-12-31	3965439	4511854	9999-12-31	2013-05-08
397	2009-11-02	2011-02-18	Statoil Petroleum AS	40.000000	\N	2009-11-02	2011-02-18	3965439	17237817	9999-12-31	2013-05-08
110 C	2006-04-28	2006-06-26	Amerada Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3986340	67	9999-12-31	2013-05-08
110 C	2006-04-28	2006-06-26	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3986340	97557	9999-12-31	2013-05-08
110 C	2006-06-26	2007-10-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3986340	97557	9999-12-31	2013-05-08
110 C	2007-10-01	2009-01-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3986340	97557	9999-12-31	2013-05-08
110 C	2009-01-01	2009-01-02	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3986340	97557	9999-12-31	2013-05-08
110 C	2009-01-02	2009-11-02	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3986340	97557	9999-12-31	2013-05-08
110 C	2009-11-02	2011-01-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3986340	97557	9999-12-31	2013-05-08
110 C	2011-01-01	9999-12-31	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	3986340	97557	9999-12-31	2013-05-08
110 C	2006-04-28	2006-06-26	Statoil ASA (old)	33.530000	\N	2006-04-28	2007-10-01	3986340	1622484	9999-12-31	2013-05-08
110 C	2006-06-26	2007-10-01	Statoil ASA (old)	33.530000	\N	2006-04-28	2007-10-01	3986340	1622484	9999-12-31	2013-05-08
110 C	2006-04-28	2006-06-26	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3986340	1626839	9999-12-31	2013-05-08
110 C	2006-06-26	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3986340	1626839	9999-12-31	2013-05-08
110 C	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3986340	1626839	9999-12-31	2013-05-08
110 C	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3986340	1626839	9999-12-31	2013-05-08
110 C	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3986340	1626839	9999-12-31	2013-05-08
110 C	2009-11-02	2011-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3986340	1626839	9999-12-31	2013-05-08
110 C	2011-01-01	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	3986340	1626839	9999-12-31	2013-05-08
110 C	2006-04-28	2006-06-26	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	3986340	1628733	9999-12-31	2013-05-08
110 C	2006-06-26	2007-10-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	3986340	1628733	9999-12-31	2013-05-08
110 C	2007-10-01	2009-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	3986340	1628733	9999-12-31	2013-05-08
110 C	2006-04-28	2006-06-26	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3986340	2410708	9999-12-31	2013-05-08
110 C	2006-06-26	2007-10-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3986340	2410708	9999-12-31	2013-05-08
110 C	2007-10-01	2009-01-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3986340	2410708	9999-12-31	2013-05-08
110 C	2009-01-01	2009-01-02	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3986340	2410708	9999-12-31	2013-05-08
110 C	2009-01-02	2009-11-02	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3986340	2410708	9999-12-31	2013-05-08
110 C	2009-11-02	2011-01-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3986340	2410708	9999-12-31	2013-05-08
110 C	2011-01-01	9999-12-31	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	3986340	2410708	9999-12-31	2013-05-08
110 C	2006-06-26	2007-10-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3986340	4038735	9999-12-31	2013-05-08
110 C	2007-10-01	2009-01-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3986340	4038735	9999-12-31	2013-05-08
110 C	2009-01-01	2009-01-02	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3986340	4038735	9999-12-31	2013-05-08
110 C	2009-01-02	2009-11-02	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3986340	4038735	9999-12-31	2013-05-08
110 C	2009-11-02	2011-01-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	3986340	4038735	9999-12-31	2013-05-08
110 C	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	33.530000	\N	2008-01-01	2009-11-01	3986340	4511658	9999-12-31	2013-05-08
110 C	2007-10-01	2009-01-01	StatoilHydro ASA	33.530000	\N	2007-10-01	2008-12-31	3986340	4511854	9999-12-31	2013-05-08
110 C	2009-01-01	2009-01-02	StatoilHydro ASA	33.530000	\N	9999-12-31	9999-12-31	3986340	4511854	9999-12-31	2013-05-08
110 C	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	3986340	5267845	9999-12-31	2013-05-08
110 C	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	3986340	5267845	9999-12-31	2013-05-08
110 C	2009-11-02	2011-01-01	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	3986340	5267845	9999-12-31	2013-05-08
110 C	2011-01-01	9999-12-31	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	3986340	5267845	9999-12-31	2013-05-08
110 C	2009-11-02	2011-01-01	Statoil Petroleum AS	33.530000	\N	2009-11-02	9999-12-31	3986340	17237817	9999-12-31	2013-05-08
110 C	2011-01-01	9999-12-31	Statoil Petroleum AS	36.790000	\N	2009-11-02	9999-12-31	3986340	17237817	9999-12-31	2013-05-08
372 BS	2006-04-28	2009-01-17	BG Norge AS	70.000000	\N	2006-04-28	2009-07-06	3987486	2747354	9999-12-31	2013-05-08
372 BS	2009-01-17	2009-07-06	BG Norge AS	70.000000	\N	2006-04-28	2009-07-06	3987486	2747354	9999-12-31	2013-05-08
372 BS	2006-04-28	2009-01-17	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	3987486	3431773	9999-12-31	2013-05-08
372 BS	2009-01-17	2009-07-06	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	3987486	5442509	9999-12-31	2013-05-08
038 C	2006-06-15	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4005057	1626839	9999-12-31	2013-05-08
038 C	2006-06-15	9999-12-31	Talisman Energy Norge AS	70.000000	\N	2006-06-15	9999-12-31	4005057	2425093	9999-12-31	2013-05-08
046 B	2006-11-28	2007-01-01	Norsk Hydro Produksjon AS	9.400000	\N	9999-12-31	9999-12-31	4227611	430	9999-12-31	2013-05-08
046 B	2006-11-28	2007-01-01	Statoil ASA (old)	52.600000	\N	2006-11-28	2007-10-01	4227611	1622484	9999-12-31	2013-05-08
046 B	2007-01-01	2007-10-01	Statoil ASA (old)	52.600000	\N	2006-11-28	2007-10-01	4227611	1622484	9999-12-31	2013-05-08
046 B	2006-11-28	2007-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	4227611	2410708	9999-12-31	2013-05-08
046 B	2007-01-01	2007-10-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	4227611	2410708	9999-12-31	2013-05-08
046 B	2007-10-01	2009-01-01	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	4227611	2410708	9999-12-31	2013-05-08
046 B	2009-01-01	2009-11-02	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	4227611	2410708	9999-12-31	2013-05-08
046 B	2009-11-02	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	4227611	2410708	9999-12-31	2013-05-08
046 B	2006-11-28	2007-01-01	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	4227611	2835212	9999-12-31	2013-05-08
046 B	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	4227611	2835212	9999-12-31	2013-05-08
046 B	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	4227611	2835212	9999-12-31	2013-05-08
046 B	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	4227611	2835212	9999-12-31	2013-05-08
046 B	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	4227611	2835212	9999-12-31	2013-05-08
046 B	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.400000	\N	9999-12-31	9999-12-31	4227611	4511658	9999-12-31	2013-05-08
046 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	62.000000	\N	2009-01-01	2009-11-01	4227611	4511658	9999-12-31	2013-05-08
046 B	2007-10-01	2009-01-01	StatoilHydro ASA	52.600000	\N	2007-10-01	2008-12-31	4227611	4511854	9999-12-31	2013-05-08
046 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.400000	\N	9999-12-31	9999-12-31	4227611	4524355	9999-12-31	2013-05-08
046 B	2009-11-02	9999-12-31	Statoil Petroleum AS	62.000000	\N	2009-11-02	9999-12-31	4227611	17237817	9999-12-31	2013-05-08
046 BS	2006-11-28	2006-11-29	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	4227659	430	9999-12-31	2013-05-08
046 BS	2006-11-29	2007-01-01	Norsk Hydro Produksjon AS	10.000000	\N	9999-12-31	9999-12-31	4227659	430	9999-12-31	2013-05-08
046 BS	2006-11-28	2006-11-29	Statoil ASA (old)	49.600000	\N	2006-11-28	2007-10-01	4227659	1622484	9999-12-31	2013-05-08
046 BS	2006-11-29	2007-01-01	Statoil ASA (old)	49.600000	\N	2006-11-28	2007-10-01	4227659	1622484	9999-12-31	2013-05-08
046 BS	2007-01-01	2007-10-01	Statoil ASA (old)	49.600000	\N	2006-11-28	2007-10-01	4227659	1622484	9999-12-31	2013-05-08
046 BS	2006-11-28	2006-11-29	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	4227659	2410708	9999-12-31	2013-05-08
046 BS	2006-11-28	2006-11-29	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	4227659	2835212	9999-12-31	2013-05-08
046 BS	2006-11-29	2007-01-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	4227659	2835212	9999-12-31	2013-05-08
046 BS	2007-01-01	2007-10-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	4227659	2835212	9999-12-31	2013-05-08
046 BS	2007-10-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	4227659	2835212	9999-12-31	2013-05-08
046 BS	2009-01-01	2009-01-21	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	4227659	2835212	9999-12-31	2013-05-08
046 BS	2009-01-21	2009-03-23	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	4227659	2835212	9999-12-31	2013-05-08
046 BS	2009-03-23	2009-11-02	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	4227659	2835212	9999-12-31	2013-05-08
046 BS	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	4227659	2835212	9999-12-31	2013-05-08
046 BS	2006-11-29	2007-01-01	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	4227659	3986418	9999-12-31	2013-05-08
046 BS	2007-01-01	2007-10-01	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	4227659	3986418	9999-12-31	2013-05-08
046 BS	2007-10-01	2009-01-01	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	4227659	3986418	9999-12-31	2013-05-08
046 BS	2009-01-01	2009-01-21	PA Resources Norway AS	10.000000	\N	9999-12-31	9999-12-31	4227659	3986418	9999-12-31	2013-05-08
046 BS	2009-03-23	2009-11-02	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	4227659	4444493	9999-12-31	2013-05-08
046 BS	2009-11-02	9999-12-31	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	4227659	4444493	9999-12-31	2013-05-08
046 BS	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	4227659	4511658	9999-12-31	2013-05-08
046 BS	2009-01-01	2009-01-21	StatoilHydro Petroleum AS	59.600000	\N	2009-01-01	2009-11-01	4227659	4511658	9999-12-31	2013-05-08
046 BS	2009-01-21	2009-03-23	StatoilHydro Petroleum AS	59.600000	\N	2009-01-01	2009-11-01	4227659	4511658	9999-12-31	2013-05-08
046 BS	2009-03-23	2009-11-02	StatoilHydro Petroleum AS	59.600000	\N	2009-01-01	2009-11-01	4227659	4511658	9999-12-31	2013-05-08
046 BS	2007-10-01	2009-01-01	StatoilHydro ASA	49.600000	\N	2007-10-01	2008-12-31	4227659	4511854	9999-12-31	2013-05-08
046 BS	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	4227659	4524355	9999-12-31	2013-05-08
046 BS	2009-01-21	2009-03-23	Bayerngas Produksjon Norge AS	10.000000	\N	9999-12-31	9999-12-31	4227659	5461974	9999-12-31	2013-05-08
046 BS	2009-11-02	9999-12-31	Statoil Petroleum AS	59.600000	\N	2009-11-02	9999-12-31	4227659	17237817	9999-12-31	2013-05-08
354 B	2007-12-16	2009-01-01	Endeavour Energy Norge AS	50.000000	\N	2007-12-16	2009-05-26	4237131	3113213	9999-12-31	2013-05-08
354 B	2009-01-01	2009-01-17	Endeavour Energy Norge AS	65.000000	\N	2007-12-16	2009-05-26	4237131	3113213	9999-12-31	2013-05-08
354 B	2009-01-17	2009-05-26	Endeavour Energy Norge AS	65.000000	\N	2007-12-16	2009-05-26	4237131	3113213	9999-12-31	2013-05-08
354 B	2007-12-16	2009-01-01	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4237131	3431773	9999-12-31	2013-05-08
354 B	2009-01-01	2009-01-17	Revus Energy ASA	35.000000	\N	9999-12-31	9999-12-31	4237131	3431773	9999-12-31	2013-05-08
354 B	2007-12-16	2009-01-01	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237131	3960945	9999-12-31	2013-05-08
354 B	2009-01-17	2009-05-26	Wintershall Norge ASA	35.000000	\N	9999-12-31	9999-12-31	4237131	5442509	9999-12-31	2013-05-08
354 B	2009-05-26	2009-10-01	Wintershall Norge ASA	35.000000	\N	9999-12-31	9999-12-31	4237131	5442509	9999-12-31	2013-05-08
354 B	2009-10-01	2010-01-06	Wintershall Norge ASA	35.000000	\N	9999-12-31	9999-12-31	4237131	5442509	9999-12-31	2013-05-08
354 B	2009-05-26	2009-10-01	VNG Norge (Operations) AS	65.000000	\N	2009-05-26	2009-09-30	4237131	5497155	9999-12-31	2013-05-08
354 B	2009-10-01	2010-01-06	VNG Norge AS	65.000000	\N	2009-10-01	2010-01-06	4237131	17237193	9999-12-31	2013-05-08
399	2007-02-16	2009-02-16	ConocoPhillips Skandinavia AS	70.000000	\N	2007-02-16	2009-02-16	4237147	2410696	9999-12-31	2013-05-08
399	2007-02-16	2009-02-16	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237147	4070011	9999-12-31	2013-05-08
440 S	2007-06-15	2007-06-16	Det Norske Oljeselskap AS	30.000000	\N	2007-06-15	2007-06-20	4237161	1340609	9999-12-31	2013-05-08
440 S	2007-06-16	2007-06-20	Det Norske Oljeselskap AS	30.000000	\N	2007-06-15	2007-06-20	4237161	1340609	9999-12-31	2013-05-08
440 S	2007-06-15	2007-06-16	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	4237161	2767314	9999-12-31	2013-05-08
440 S	2007-06-16	2007-06-20	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	4237161	2767314	9999-12-31	2013-05-08
440 S	2007-06-20	2007-08-10	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	4237161	2767314	9999-12-31	2013-05-08
440 S	2007-08-10	2007-10-04	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	4237161	2767314	9999-12-31	2013-05-08
440 S	2007-10-04	2007-11-16	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	4237161	2767314	9999-12-31	2013-05-08
440 S	2007-11-16	2007-11-17	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	4237161	2767314	9999-12-31	2013-05-08
440 S	2007-11-17	2008-01-01	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	4237161	2767314	9999-12-31	2013-05-08
440 S	2008-01-01	2009-12-22	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	4237161	2767314	9999-12-31	2013-05-08
440 S	2009-12-22	2010-01-01	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	4237161	2767314	9999-12-31	2013-05-08
440 S	2010-01-01	2012-12-31	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	4237161	2767314	2013-01-04	2013-05-08
440 S	2012-12-31	9999-12-31	Lundin Norway AS	18.000000	\N	9999-12-31	9999-12-31	4237161	2767314	9999-12-31	2013-05-08
440 S	2007-06-15	2007-06-16	Ener Petroleum ASA	20.000000	\N	9999-12-31	9999-12-31	4237161	3482290	9999-12-31	2013-05-08
440 S	2007-06-16	2007-06-20	Ener Petroleum ASA	20.000000	\N	9999-12-31	9999-12-31	4237161	3482290	9999-12-31	2013-05-08
440 S	2007-06-20	2007-08-10	Ener Petroleum ASA	20.000000	\N	9999-12-31	9999-12-31	4237161	3482290	9999-12-31	2013-05-08
440 S	2007-06-15	2007-06-16	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4062883	9999-12-31	2013-05-08
440 S	2007-06-16	2007-06-20	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4062883	9999-12-31	2013-05-08
440 S	2007-06-20	2007-08-10	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4062883	9999-12-31	2013-05-08
440 S	2007-08-10	2007-10-04	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4062883	9999-12-31	2013-05-08
440 S	2007-10-04	2007-11-16	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4062883	9999-12-31	2013-05-08
440 S	2007-11-16	2007-11-17	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4062883	9999-12-31	2013-05-08
440 S	2007-11-17	2008-01-01	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4062883	9999-12-31	2013-05-08
440 S	2008-01-01	2009-12-22	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4062883	9999-12-31	2013-05-08
440 S	2009-12-22	2010-01-01	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4062883	9999-12-31	2013-05-08
440 S	2010-01-01	2012-12-31	Faroe Petroleum Norge AS	40.000000	\N	2010-10-18	9999-12-31	4237161	4062883	2013-01-04	2013-05-08
440 S	2012-12-31	9999-12-31	Faroe Petroleum Norge AS	40.000000	\N	2010-10-18	9999-12-31	4237161	4062883	9999-12-31	2013-05-08
440 S	2007-06-20	2007-08-10	Det Norske Oljeselskap ASA (old)	30.000000	\N	2007-06-20	2007-11-16	4237161	4468177	9999-12-31	2013-05-08
440 S	2007-08-10	2007-10-04	Det Norske Oljeselskap ASA (old)	30.000000	\N	2007-06-20	2007-11-16	4237161	4468177	9999-12-31	2013-05-08
440 S	2007-10-04	2007-11-16	Det Norske Oljeselskap ASA (old)	30.000000	\N	2007-06-20	2007-11-16	4237161	4468177	9999-12-31	2013-05-08
440 S	2007-08-10	2007-10-04	Dana Petroleum Norway ASA	20.000000	\N	9999-12-31	9999-12-31	4237161	4510514	9999-12-31	2013-05-08
440 S	2007-10-04	2007-11-16	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4526555	9999-12-31	2013-05-08
440 S	2007-11-16	2007-11-17	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4526555	9999-12-31	2013-05-08
440 S	2007-11-17	2008-01-01	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4526555	9999-12-31	2013-05-08
440 S	2008-01-01	2009-12-22	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4526555	9999-12-31	2013-05-08
440 S	2009-12-22	2010-01-01	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4526555	9999-12-31	2013-05-08
440 S	2010-01-01	2012-12-31	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4526555	2013-01-04	2013-05-08
440 S	2012-12-31	9999-12-31	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237161	4526555	9999-12-31	2013-05-08
440 S	2007-06-16	2007-06-20	Norwegian Energy Company ASA	12.000000	\N	9999-12-31	9999-12-31	4237161	4530695	9999-12-31	2013-05-08
440 S	2007-06-20	2007-08-10	Norwegian Energy Company ASA	12.000000	\N	9999-12-31	9999-12-31	4237161	4530695	9999-12-31	2013-05-08
440 S	2007-08-10	2007-10-04	Norwegian Energy Company ASA	12.000000	\N	9999-12-31	9999-12-31	4237161	4530695	9999-12-31	2013-05-08
440 S	2007-10-04	2007-11-16	Norwegian Energy Company ASA	12.000000	\N	9999-12-31	9999-12-31	4237161	4530695	9999-12-31	2013-05-08
440 S	2007-11-16	2007-11-17	Norwegian Energy Company ASA	12.000000	\N	9999-12-31	9999-12-31	4237161	4530695	9999-12-31	2013-05-08
440 S	2007-11-17	2008-01-01	Norwegian Energy Company ASA	12.000000	\N	9999-12-31	9999-12-31	4237161	4530695	9999-12-31	2013-05-08
440 S	2008-01-01	2009-12-22	Norwegian Energy Company ASA	12.000000	\N	9999-12-31	9999-12-31	4237161	4530695	9999-12-31	2013-05-08
440 S	2009-12-22	2010-01-01	Norwegian Energy Company ASA	12.000000	\N	9999-12-31	9999-12-31	4237161	4530695	9999-12-31	2013-05-08
440 S	2010-01-01	2012-12-31	Norwegian Energy Company ASA	12.000000	\N	9999-12-31	9999-12-31	4237161	4530695	2013-01-04	2013-05-08
440 S	2007-11-16	2007-11-17	Noil Energy ASA	30.000000	\N	2007-11-16	2008-01-01	4237161	4539976	9999-12-31	2013-05-08
440 S	2007-11-17	2008-01-01	Noil Energy ASA	30.000000	\N	2007-11-16	2008-01-01	4237161	4539976	9999-12-31	2013-05-08
440 S	2008-01-01	2009-12-22	Det norske oljeselskap ASA (old)	30.000000	\N	2008-01-01	2009-12-21	4237161	4539989	9999-12-31	2013-05-08
440 S	2009-12-22	2010-01-01	Det norske oljeselskap ASA	30.000000	\N	2009-12-22	2010-10-17	4237161	17342870	9999-12-31	2013-05-08
440 S	2010-01-01	2012-12-31	Det norske oljeselskap ASA	10.000000	\N	2009-12-22	2010-10-17	4237161	17342870	2013-01-04	2013-05-08
440 S	2012-12-31	9999-12-31	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	4237161	17342870	9999-12-31	2013-05-08
440 S	2012-12-31	9999-12-31	Noreco Norway AS	12.000000	\N	9999-12-31	9999-12-31	4237161	22223020	9999-12-31	2013-05-08
398 S	2007-02-16	2007-07-11	Lundin Norway AS	50.000000	\N	2007-02-16	2009-02-16	4237177	2767314	9999-12-31	2013-05-08
398 S	2007-07-11	2009-02-16	Lundin Norway AS	50.000000	\N	2007-02-16	2009-02-16	4237177	2767314	9999-12-31	2013-05-08
398 S	2007-02-16	2007-07-11	Endeavour Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237177	3113213	9999-12-31	2013-05-08
398 S	2007-07-11	2009-02-16	Endeavour Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237177	3113213	9999-12-31	2013-05-08
398 S	2007-02-16	2007-07-11	Norwegian Energy Company AS	30.000000	\N	9999-12-31	9999-12-31	4237177	3482246	9999-12-31	2013-05-08
398 S	2007-07-11	2009-02-16	Norwegian Energy Company ASA	30.000000	\N	9999-12-31	9999-12-31	4237177	4530695	9999-12-31	2013-05-08
402	2007-02-16	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4237193	1626839	9999-12-31	2013-05-08
402	2007-02-16	9999-12-31	Talisman Energy Norge AS	80.000000	\N	2007-02-16	9999-12-31	4237193	2425093	9999-12-31	2013-05-08
404	2007-02-16	2009-09-30	ConocoPhillips Skandinavia AS	100.000000	\N	2007-02-16	2012-08-16	4237207	2410696	2012-10-13	2013-05-08
404	2009-09-30	2012-08-16	ConocoPhillips Skandinavia AS	70.000000	\N	2007-02-16	2012-08-16	4237207	2410696	2012-10-13	2013-05-08
404	2009-09-30	2012-08-16	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237207	4444493	2012-10-12	2013-05-08
401	2007-02-16	2007-10-01	Statoil ASA (old)	70.000000	\N	2007-02-16	2007-10-01	4237219	1622484	9999-12-31	2013-05-08
401	2007-02-16	2007-10-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237219	4070011	9999-12-31	2013-05-08
401	2007-10-01	2009-01-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237219	4070011	9999-12-31	2013-05-08
401	2009-01-01	2009-11-02	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237219	4070011	9999-12-31	2013-05-08
401	2009-11-02	2009-12-16	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237219	4070011	9999-12-31	2013-05-08
401	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	4237219	4511658	9999-12-31	2013-05-08
401	2007-10-01	2009-01-01	StatoilHydro ASA	70.000000	\N	2007-10-01	2008-12-31	4237219	4511854	9999-12-31	2013-05-08
401	2009-11-02	2009-12-16	Statoil Petroleum AS	70.000000	\N	2009-11-02	2009-12-16	4237219	17237817	9999-12-31	2013-05-08
403	2007-02-16	2008-02-16	RWE Dea Norge AS	50.000000	\N	2007-02-16	2008-02-16	4237233	97557	9999-12-31	2013-05-08
403	2007-02-16	2008-02-16	Edison International Spa	50.000000	\N	9999-12-31	9999-12-31	4237233	4062871	9999-12-31	2013-05-08
400	2007-02-16	2007-07-11	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4237242	1626839	9999-12-31	2013-05-08
400	2007-07-11	2012-02-16	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4237242	1626839	9999-12-31	2013-05-08
400	2007-02-16	2007-07-11	Lundin Norway AS	50.000000	\N	2007-02-16	2012-02-16	4237242	2767314	9999-12-31	2013-05-08
400	2007-07-11	2012-02-16	Lundin Norway AS	50.000000	\N	2007-02-16	2012-02-16	4237242	2767314	9999-12-31	2013-05-08
400	2007-02-16	2007-07-11	Norwegian Energy Company AS	30.000000	\N	9999-12-31	9999-12-31	4237242	3482246	9999-12-31	2013-05-08
400	2007-07-11	2012-02-16	Norwegian Energy Company ASA	30.000000	\N	9999-12-31	9999-12-31	4237242	4530695	9999-12-31	2013-05-08
411	2007-02-16	2007-07-11	Norwegian Energy Company AS	100.000000	\N	2007-02-16	2007-07-11	4237252	3482246	9999-12-31	2013-05-08
411	2007-07-11	2008-01-01	Norwegian Energy Company ASA	100.000000	\N	2007-07-11	2012-05-16	4237252	4530695	2012-07-05	2013-05-08
411	2008-01-01	2012-05-16	Norwegian Energy Company ASA	70.000000	\N	2007-07-11	2012-05-16	4237252	4530695	2012-07-05	2013-05-08
411	2008-01-01	2012-05-16	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	4237252	5072514	2012-07-04	2013-05-08
441	2007-06-15	2007-06-20	Det Norske Oljeselskap AS	60.000000	\N	2007-06-15	2007-06-20	4237270	1340609	9999-12-31	2013-05-08
441	2007-06-15	2007-06-20	Rocksource ASA	40.000000	\N	9999-12-31	9999-12-31	4237270	4062921	9999-12-31	2013-05-08
441	2007-06-20	2007-11-16	Rocksource ASA	40.000000	\N	9999-12-31	9999-12-31	4237270	4062921	9999-12-31	2013-05-08
441	2007-11-16	2008-05-14	Rocksource ASA	40.000000	\N	9999-12-31	9999-12-31	4237270	4062921	9999-12-31	2013-05-08
441	2008-05-14	2008-05-25	Rocksource ASA	40.000000	\N	9999-12-31	9999-12-31	4237270	4062921	9999-12-31	2013-05-08
441	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	60.000000	\N	2007-06-20	2007-11-16	4237270	4468177	9999-12-31	2013-05-08
441	2007-11-16	2008-05-14	Noil Energy ASA	60.000000	\N	2007-11-16	2008-01-01	4237270	4539976	9999-12-31	2013-05-08
441	2008-05-14	2008-05-25	Det norske oljeselskap ASA (old)	60.000000	\N	2008-01-01	2008-05-25	4237270	4539989	9999-12-31	2013-05-08
405	2007-02-16	2009-01-01	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237284	3960945	9999-12-31	2013-05-08
405	2009-01-01	2011-02-28	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237284	3960945	9999-12-31	2013-05-08
405	2007-02-16	2009-01-01	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237284	4062883	9999-12-31	2013-05-08
405	2009-01-01	2011-02-28	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4237284	4062883	9999-12-31	2013-05-08
405	2011-02-28	2013-02-13	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4237284	4062883	2013-02-20	2013-05-08
405	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4237284	4062883	9999-12-31	2013-05-08
405	2007-02-16	2009-01-01	Centrica Resources (Norge) AS	40.000000	\N	2007-02-16	9999-12-31	4237284	4238233	9999-12-31	2013-05-08
405	2009-01-01	2011-02-28	Centrica Resources (Norge) AS	40.000000	\N	2007-02-16	9999-12-31	4237284	4238233	9999-12-31	2013-05-08
405	2011-02-28	2013-02-13	Centrica Resources (Norge) AS	40.000000	\N	2007-02-16	9999-12-31	4237284	4238233	2013-02-20	2013-05-08
405	2013-02-13	9999-12-31	Centrica Resources (Norge) AS	40.000000	\N	2007-02-16	9999-12-31	4237284	4238233	9999-12-31	2013-05-08
405	2009-01-01	2011-02-28	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	4237284	5072514	9999-12-31	2013-05-08
405	2011-02-28	2013-02-13	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	4237284	5072514	2013-02-20	2013-05-08
405	2011-02-28	2013-02-13	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237284	20426420	2013-02-20	2013-05-08
405	2013-02-13	9999-12-31	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237284	20426420	9999-12-31	2013-05-08
405	2013-02-13	9999-12-31	Tullow Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	4237284	23173852	9999-12-31	2013-05-08
407	2007-02-16	2007-02-20	BG Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237300	2747354	9999-12-31	2013-05-08
407	2007-02-20	2008-01-01	BG Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237300	2747354	9999-12-31	2013-05-08
407	2008-01-01	2008-06-20	BG Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237300	2747354	9999-12-31	2013-05-08
407	2008-06-20	2009-01-06	BG Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237300	2747354	9999-12-31	2013-05-08
407	2009-01-06	2010-04-21	BG Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237300	2747354	9999-12-31	2013-05-08
407	2010-04-21	2011-01-03	BG Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237300	2747354	9999-12-31	2013-05-08
407	2011-01-03	2012-01-01	BG Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237300	2747354	9999-12-31	2013-05-08
407	2012-01-01	2013-02-13	BG Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237300	2747354	9999-12-31	2013-05-08
407	2013-02-13	9999-12-31	BG Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237300	2747354	9999-12-31	2013-05-08
407	2007-02-16	2007-02-20	Noble Energy Limited	20.000000	\N	9999-12-31	9999-12-31	4237300	3262354	9999-12-31	2013-05-08
407	2007-02-16	2007-02-20	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	3482067	9999-12-31	2013-05-08
407	2007-02-20	2008-01-01	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	3482067	9999-12-31	2013-05-08
407	2008-01-01	2008-06-20	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	3482067	9999-12-31	2013-05-08
407	2008-06-20	2009-01-06	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	3482067	9999-12-31	2013-05-08
407	2009-01-06	2010-04-21	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	3482067	9999-12-31	2013-05-08
407	2010-04-21	2011-01-03	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	3482067	9999-12-31	2013-05-08
407	2011-01-03	2012-01-01	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	3482067	9999-12-31	2013-05-08
407	2012-01-01	2013-02-13	Premier Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	4237300	3482067	9999-12-31	2013-05-08
407	2013-02-13	9999-12-31	Premier Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	4237300	3482067	9999-12-31	2013-05-08
407	2007-02-16	2007-02-20	Serica Energy (UK) Ltd	20.000000	\N	9999-12-31	9999-12-31	4237300	4062969	9999-12-31	2013-05-08
407	2007-02-20	2008-01-01	Serica Energy (UK) Ltd	20.000000	\N	9999-12-31	9999-12-31	4237300	4062969	9999-12-31	2013-05-08
407	2007-02-20	2008-01-01	Noble Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	4393186	9999-12-31	2013-05-08
407	2008-01-01	2008-06-20	Noble Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	4393186	9999-12-31	2013-05-08
407	2008-06-20	2009-01-06	Skeie Energy AS (Old)	20.000000	\N	9999-12-31	9999-12-31	4237300	4511646	2013-03-19	2013-05-08
407	2009-01-06	2010-04-21	Skeie Energy AS (Old)	20.000000	\N	9999-12-31	9999-12-31	4237300	4511646	2013-03-19	2013-05-08
407	2008-01-01	2008-06-20	Serica Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	4719815	9999-12-31	2013-05-08
407	2008-06-20	2009-01-06	Serica Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	4719815	9999-12-31	2013-05-08
407	2010-04-21	2011-01-03	Skeie Oil & Gas AS	20.000000	\N	9999-12-31	9999-12-31	4237300	4998977	9999-12-31	2013-05-08
407	2009-01-06	2010-04-21	Spring Energy Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237300	5446425	9999-12-31	2013-05-08
407	2010-04-21	2011-01-03	Spring Energy Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237300	5446425	9999-12-31	2013-05-08
407	2011-01-03	2012-01-01	Spring Energy Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237300	5446425	9999-12-31	2013-05-08
407	2012-01-01	2013-02-13	Spring Energy Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237300	5446425	9999-12-31	2013-05-08
407	2013-02-13	9999-12-31	Tullow Oil (Bream) Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237300	23173840	9999-12-31	2013-05-08
407	2011-01-03	2012-01-01	Skeie Energy AS	20.000000	\N	9999-12-31	9999-12-31	4237300	23286115	9999-12-31	2013-05-08
406	2007-02-16	2007-02-20	Noble Energy Limited	40.000000	\N	9999-12-31	9999-12-31	4237318	3262354	9999-12-31	2013-05-08
406	2007-02-16	2007-02-20	Premier Oil Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237318	3482067	9999-12-31	2013-05-08
406	2007-02-20	2008-01-01	Premier Oil Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237318	3482067	9999-12-31	2013-05-08
406	2008-01-01	2008-06-20	Premier Oil Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237318	3482067	9999-12-31	2013-05-08
406	2008-06-20	2009-01-06	Premier Oil Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237318	3482067	9999-12-31	2013-05-08
406	2009-01-06	2010-04-21	Premier Oil Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237318	3482067	9999-12-31	2013-05-08
406	2010-04-21	2011-01-03	Premier Oil Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237318	3482067	9999-12-31	2013-05-08
406	2011-01-03	2012-01-01	Premier Oil Norge AS	40.000000	\N	2007-02-16	9999-12-31	4237318	3482067	9999-12-31	2013-05-08
406	2012-01-01	2013-02-13	Premier Oil Norge AS	80.000000	\N	2007-02-16	9999-12-31	4237318	3482067	9999-12-31	2013-05-08
406	2013-02-13	9999-12-31	Premier Oil Norge AS	80.000000	\N	2007-02-16	9999-12-31	4237318	3482067	9999-12-31	2013-05-08
406	2007-02-16	2007-02-20	Serica Energy (UK) Ltd	20.000000	\N	9999-12-31	9999-12-31	4237318	4062969	9999-12-31	2013-05-08
406	2007-02-20	2008-01-01	Serica Energy (UK) Ltd	20.000000	\N	9999-12-31	9999-12-31	4237318	4062969	9999-12-31	2013-05-08
406	2007-02-20	2008-01-01	Noble Energy Norge AS	40.000000	\N	9999-12-31	9999-12-31	4237318	4393186	9999-12-31	2013-05-08
406	2008-01-01	2008-06-20	Noble Energy Norge AS	40.000000	\N	9999-12-31	9999-12-31	4237318	4393186	9999-12-31	2013-05-08
406	2008-06-20	2009-01-06	Skeie Energy AS (Old)	40.000000	\N	9999-12-31	9999-12-31	4237318	4511646	2013-03-19	2013-05-08
406	2009-01-06	2010-04-21	Skeie Energy AS (Old)	40.000000	\N	9999-12-31	9999-12-31	4237318	4511646	2013-03-19	2013-05-08
406	2008-01-01	2008-06-20	Serica Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237318	4719815	9999-12-31	2013-05-08
406	2008-06-20	2009-01-06	Serica Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237318	4719815	9999-12-31	2013-05-08
406	2010-04-21	2011-01-03	Skeie Oil & Gas AS	40.000000	\N	9999-12-31	9999-12-31	4237318	4998977	9999-12-31	2013-05-08
406	2009-01-06	2010-04-21	Spring Energy Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237318	5446425	9999-12-31	2013-05-08
406	2010-04-21	2011-01-03	Spring Energy Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237318	5446425	9999-12-31	2013-05-08
406	2011-01-03	2012-01-01	Spring Energy Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237318	5446425	9999-12-31	2013-05-08
406	2012-01-01	2013-02-13	Spring Energy Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237318	5446425	9999-12-31	2013-05-08
406	2013-02-13	9999-12-31	Tullow Oil (Bream) Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237318	23173840	9999-12-31	2013-05-08
406	2011-01-03	2012-01-01	Skeie Energy AS	40.000000	\N	9999-12-31	9999-12-31	4237318	23286115	9999-12-31	2013-05-08
316 B	2009-01-01	2009-01-17	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	4237334	34	9999-12-31	2013-05-08
316 B	2009-01-17	2012-03-24	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	4237334	34	9999-12-31	2013-05-08
316 B	2012-03-24	9999-12-31	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	4237334	34	9999-12-31	2013-05-08
316 B	2007-02-16	2007-11-16	Talisman Energy Norge AS	70.000000	\N	2007-02-16	9999-12-31	4237334	2425093	9999-12-31	2013-05-08
316 B	2007-11-16	2008-01-01	Talisman Energy Norge AS	70.000000	\N	2007-02-16	9999-12-31	4237334	2425093	9999-12-31	2013-05-08
316 B	2008-01-01	2008-01-02	Talisman Energy Norge AS	70.000000	\N	2007-02-16	9999-12-31	4237334	2425093	9999-12-31	2013-05-08
316 B	2008-01-02	2009-01-01	Talisman Energy Norge AS	70.000000	\N	2007-02-16	9999-12-31	4237334	2425093	9999-12-31	2013-05-08
316 B	2009-01-01	2009-01-17	Talisman Energy Norge AS	60.000000	\N	2007-02-16	9999-12-31	4237334	2425093	9999-12-31	2013-05-08
316 B	2009-01-17	2012-03-24	Talisman Energy Norge AS	60.000000	\N	2007-02-16	9999-12-31	4237334	2425093	9999-12-31	2013-05-08
316 B	2012-03-24	9999-12-31	Talisman Energy Norge AS	60.000000	\N	2007-02-16	9999-12-31	4237334	2425093	9999-12-31	2013-05-08
316 B	2007-02-16	2007-11-16	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4237334	3431773	9999-12-31	2013-05-08
316 B	2007-11-16	2008-01-01	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4237334	3431773	9999-12-31	2013-05-08
316 B	2008-01-01	2008-01-02	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	4237334	3431773	9999-12-31	2013-05-08
316 B	2008-01-02	2009-01-01	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	4237334	3431773	9999-12-31	2013-05-08
316 B	2009-01-01	2009-01-17	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	4237334	3431773	9999-12-31	2013-05-08
316 B	2007-02-16	2007-11-16	Pertra ASA	10.000000	\N	9999-12-31	9999-12-31	4237334	3964368	9999-12-31	2013-05-08
316 B	2007-11-16	2008-01-01	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	4237334	4539989	9999-12-31	2013-05-08
316 B	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	4237334	4539989	9999-12-31	2013-05-08
316 B	2008-01-01	2008-01-02	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	4237334	5064434	9999-12-31	2013-05-08
316 B	2008-01-02	2009-01-01	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237334	5064434	9999-12-31	2013-05-08
316 B	2009-01-01	2009-01-17	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237334	5064434	9999-12-31	2013-05-08
316 B	2009-01-17	2012-03-24	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237334	5064434	9999-12-31	2013-05-08
316 B	2012-03-24	9999-12-31	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237334	5064434	9999-12-31	2013-05-08
316 B	2009-01-17	2012-03-24	Wintershall Norge ASA	10.000000	\N	9999-12-31	9999-12-31	4237334	5442509	9999-12-31	2013-05-08
316 B	2012-03-24	9999-12-31	Wintershall Norge AS	10.000000	\N	9999-12-31	9999-12-31	4237334	21666830	9999-12-31	2013-05-08
408	2007-02-16	2007-02-17	Altinex Oil AS	30.000000	\N	9999-12-31	9999-12-31	4237444	2835200	9999-12-31	2013-05-08
408	2007-02-16	2007-02-17	Pertra ASA	70.000000	\N	2007-02-16	2007-11-16	4237444	3964368	9999-12-31	2013-05-08
408	2007-02-17	2007-11-16	Pertra ASA	70.000000	\N	2007-02-16	2007-11-16	4237444	3964368	9999-12-31	2013-05-08
408	2007-02-17	2007-11-16	Altinex Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	4237444	4446230	9999-12-31	2013-05-08
408	2007-11-16	2009-02-16	Altinex Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	4237444	4446230	9999-12-31	2013-05-08
408	2007-11-16	2009-02-16	Det norske oljeselskap ASA (old)	70.000000	\N	2007-11-16	2009-12-21	4237444	4539989	9999-12-31	2013-05-08
408	2009-02-16	2009-12-22	Det norske oljeselskap ASA (old)	100.000000	\N	2007-11-16	2009-12-21	4237444	4539989	9999-12-31	2013-05-08
408	2009-12-22	2010-12-31	Det norske oljeselskap ASA	100.000000	\N	2009-12-22	2010-12-31	4237444	17342870	9999-12-31	2013-05-08
410	2007-02-16	2009-01-01	Lundin Norway AS	100.000000	\N	2007-02-16	9999-12-31	4237458	2767314	9999-12-31	2013-05-08
410	2009-01-01	2009-11-02	Lundin Norway AS	70.000000	\N	2007-02-16	9999-12-31	4237458	2767314	9999-12-31	2013-05-08
410	2009-11-02	9999-12-31	Lundin Norway AS	70.000000	\N	2007-02-16	9999-12-31	4237458	2767314	9999-12-31	2013-05-08
410	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4237458	4511658	9999-12-31	2013-05-08
410	2009-11-02	9999-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4237458	17237817	9999-12-31	2013-05-08
409	2007-02-16	2009-01-01	Lundin Norway AS	100.000000	\N	2007-02-16	9999-12-31	4237470	2767314	9999-12-31	2013-05-08
409	2009-01-01	2009-11-02	Lundin Norway AS	90.000000	\N	2007-02-16	9999-12-31	4237470	2767314	9999-12-31	2013-05-08
409	2009-11-02	2009-12-31	Lundin Norway AS	90.000000	\N	2007-02-16	9999-12-31	4237470	2767314	9999-12-31	2013-05-08
409	2009-12-31	9999-12-31	Lundin Norway AS	70.000000	\N	2007-02-16	9999-12-31	4237470	2767314	9999-12-31	2013-05-08
409	2009-12-31	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237470	4444493	9999-12-31	2013-05-08
409	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	4237470	4511658	9999-12-31	2013-05-08
409	2009-11-02	2009-12-31	Statoil Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	4237470	17237817	9999-12-31	2013-05-08
409	2009-12-31	9999-12-31	Statoil Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	4237470	17237817	9999-12-31	2013-05-08
413	2007-02-16	2009-05-26	Lundin Norway AS	45.000000	\N	2007-02-16	2010-08-16	4237482	2767314	9999-12-31	2013-05-08
413	2009-05-26	2009-10-01	Lundin Norway AS	45.000000	\N	2007-02-16	2010-08-16	4237482	2767314	9999-12-31	2013-05-08
413	2009-10-01	2010-08-16	Lundin Norway AS	45.000000	\N	2007-02-16	2010-08-16	4237482	2767314	9999-12-31	2013-05-08
413	2007-02-16	2009-05-26	Endeavour Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237482	3113213	9999-12-31	2013-05-08
413	2007-02-16	2009-05-26	Bridge Energy AS	25.000000	\N	9999-12-31	9999-12-31	4237482	4062933	9999-12-31	2013-05-08
413	2009-05-26	2009-10-01	Bridge Energy AS	25.000000	\N	9999-12-31	9999-12-31	4237482	4062933	9999-12-31	2013-05-08
413	2009-10-01	2010-08-16	Bridge Energy AS	25.000000	\N	9999-12-31	9999-12-31	4237482	4062933	9999-12-31	2013-05-08
413	2009-05-26	2009-10-01	VNG Norge (Operations) AS	30.000000	\N	9999-12-31	9999-12-31	4237482	5497155	9999-12-31	2013-05-08
413	2009-10-01	2010-08-16	VNG Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237482	17237193	9999-12-31	2013-05-08
415	2007-10-01	2009-02-16	StatoilHydro Petroleum AS	100.000000	\N	2007-10-01	2009-02-16	4237498	4511658	9999-12-31	2013-05-08
415	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	100.000000	\N	2007-02-16	2007-10-01	4237498	4524355	9999-12-31	2013-05-08
442	2007-06-15	2007-06-20	Svenska Petroleum Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237510	738	9999-12-31	2013-05-08
442	2007-06-20	2007-10-01	Svenska Petroleum Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237510	738	9999-12-31	2013-05-08
442	2007-10-01	2007-11-16	Svenska Petroleum Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237510	738	9999-12-31	2013-05-08
442	2007-11-16	2008-01-01	Svenska Petroleum Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237510	738	9999-12-31	2013-05-08
442	2008-01-01	2009-01-01	Svenska Petroleum Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4237510	738	9999-12-31	2013-05-08
442	2009-01-01	2009-11-02	Svenska Petroleum Exploration AS	40.000000	\N	9999-12-31	9999-12-31	4237510	738	9999-12-31	2013-05-08
442	2009-11-02	2009-12-22	Svenska Petroleum Exploration AS	40.000000	\N	9999-12-31	9999-12-31	4237510	738	9999-12-31	2013-05-08
442	2009-12-22	2012-04-30	Svenska Petroleum Exploration AS	40.000000	\N	9999-12-31	9999-12-31	4237510	738	9999-12-31	2013-05-08
442	2012-04-30	9999-12-31	Svenska Petroleum Exploration AS	40.000000	\N	9999-12-31	9999-12-31	4237510	738	9999-12-31	2013-05-08
442	2007-06-15	2007-06-20	Det Norske Oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	4237510	1340609	9999-12-31	2013-05-08
442	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	40.000000	\N	2012-04-30	9999-12-31	4237510	4238233	9999-12-31	2013-05-08
442	2007-06-15	2007-06-20	Altinex Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237510	4446230	9999-12-31	2013-05-08
442	2007-06-20	2007-10-01	Altinex Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237510	4446230	9999-12-31	2013-05-08
442	2007-10-01	2007-11-16	Altinex Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237510	4446230	9999-12-31	2013-05-08
442	2007-11-16	2008-01-01	Altinex Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237510	4446230	9999-12-31	2013-05-08
442	2008-01-01	2009-01-01	Altinex Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237510	4446230	9999-12-31	2013-05-08
442	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	4237510	4468177	9999-12-31	2013-05-08
442	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	4237510	4468177	9999-12-31	2013-05-08
442	2007-10-01	2007-11-16	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	4237510	4511658	9999-12-31	2013-05-08
442	2007-11-16	2008-01-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	4237510	4511658	9999-12-31	2013-05-08
442	2008-01-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	4237510	4511658	9999-12-31	2013-05-08
442	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	2007-10-01	2009-11-01	4237510	4511658	9999-12-31	2013-05-08
442	2007-06-15	2007-06-20	Norsk Hydro Petroleum AS	40.000000	\N	2007-06-15	2007-10-01	4237510	4524355	9999-12-31	2013-05-08
442	2007-06-20	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	2007-06-15	2007-10-01	4237510	4524355	9999-12-31	2013-05-08
442	2007-11-16	2008-01-01	Noil Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4237510	4539976	9999-12-31	2013-05-08
442	2008-01-01	2009-01-01	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	4237510	4539989	9999-12-31	2013-05-08
442	2009-01-01	2009-11-02	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	4237510	4539989	9999-12-31	2013-05-08
442	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	4237510	4539989	9999-12-31	2013-05-08
442	2009-11-02	2009-12-22	Statoil Petroleum AS	40.000000	\N	2009-11-02	2012-04-29	4237510	17237817	9999-12-31	2013-05-08
442	2009-12-22	2012-04-30	Statoil Petroleum AS	40.000000	\N	2009-11-02	2012-04-29	4237510	17237817	9999-12-31	2013-05-08
442	2009-12-22	2012-04-30	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	4237510	17342870	9999-12-31	2013-05-08
442	2012-04-30	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	4237510	17342870	9999-12-31	2013-05-08
414	2007-02-16	2007-11-16	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	4237582	3482246	9999-12-31	2013-05-08
414	2007-11-16	2007-11-17	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	4237582	3482246	9999-12-31	2013-05-08
414	2007-02-16	2007-11-16	Pertra ASA	40.000000	\N	2007-02-16	2007-11-16	4237582	3964368	9999-12-31	2013-05-08
414	2007-02-16	2007-11-16	PA Resources Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237582	3986418	9999-12-31	2013-05-08
414	2007-11-16	2007-11-17	PA Resources Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237582	3986418	9999-12-31	2013-05-08
414	2007-11-17	2009-01-21	PA Resources Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237582	3986418	9999-12-31	2013-05-08
414	2007-02-16	2007-11-16	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237582	4062883	9999-12-31	2013-05-08
414	2007-11-16	2007-11-17	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237582	4062883	9999-12-31	2013-05-08
414	2007-11-17	2009-01-21	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237582	4062883	9999-12-31	2013-05-08
414	2009-01-21	2009-03-23	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237582	4062883	9999-12-31	2013-05-08
414	2009-03-23	2009-12-22	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237582	4062883	9999-12-31	2013-05-08
414	2009-12-22	2012-12-31	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237582	4062883	2013-01-04	2013-05-08
414	2012-12-31	9999-12-31	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237582	4062883	9999-12-31	2013-05-08
414	2009-03-23	2009-12-22	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237582	4444493	9999-12-31	2013-05-08
414	2009-12-22	2012-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237582	4444493	2013-01-04	2013-05-08
414	2012-12-31	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237582	4444493	9999-12-31	2013-05-08
414	2007-11-17	2009-01-21	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4237582	4530695	9999-12-31	2013-05-08
414	2009-01-21	2009-03-23	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4237582	4530695	9999-12-31	2013-05-08
414	2009-03-23	2009-12-22	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4237582	4530695	9999-12-31	2013-05-08
414	2009-12-22	2012-12-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4237582	4530695	2013-01-04	2013-05-08
414	2007-11-16	2007-11-17	Det norske oljeselskap ASA (old)	40.000000	\N	2007-11-16	2009-12-21	4237582	4539989	9999-12-31	2013-05-08
414	2007-11-17	2009-01-21	Det norske oljeselskap ASA (old)	40.000000	\N	2007-11-16	2009-12-21	4237582	4539989	9999-12-31	2013-05-08
414	2009-01-21	2009-03-23	Det norske oljeselskap ASA (old)	40.000000	\N	2007-11-16	2009-12-21	4237582	4539989	9999-12-31	2013-05-08
414	2009-03-23	2009-12-22	Det norske oljeselskap ASA (old)	40.000000	\N	2007-11-16	2009-12-21	4237582	4539989	9999-12-31	2013-05-08
414	2009-01-21	2009-03-23	Bayerngas Produksjon Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237582	5461974	9999-12-31	2013-05-08
414	2009-12-22	2012-12-31	Det norske oljeselskap ASA	40.000000	\N	2009-12-22	9999-12-31	4237582	17342870	2013-01-04	2013-05-08
414	2012-12-31	9999-12-31	Det norske oljeselskap ASA	40.000000	\N	2009-12-22	9999-12-31	4237582	17342870	9999-12-31	2013-05-08
414	2012-12-31	9999-12-31	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237582	22223020	9999-12-31	2013-05-08
412	2007-02-16	2007-07-11	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	4237612	2767314	9999-12-31	2013-05-08
412	2007-07-11	2009-05-26	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	4237612	2767314	9999-12-31	2013-05-08
412	2009-05-26	2009-10-01	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	4237612	2767314	9999-12-31	2013-05-08
412	2009-10-01	2011-02-17	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	4237612	2767314	9999-12-31	2013-05-08
412	2007-02-16	2007-07-11	Endeavour Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237612	3113213	9999-12-31	2013-05-08
412	2007-07-11	2009-05-26	Endeavour Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237612	3113213	9999-12-31	2013-05-08
412	2007-02-16	2007-07-11	Norwegian Energy Company AS	40.000000	\N	2007-02-16	2007-07-11	4237612	3482246	9999-12-31	2013-05-08
412	2007-07-11	2009-05-26	Norwegian Energy Company ASA	40.000000	\N	2007-07-11	2011-02-17	4237612	4530695	9999-12-31	2013-05-08
412	2009-05-26	2009-10-01	Norwegian Energy Company ASA	40.000000	\N	2007-07-11	2011-02-17	4237612	4530695	9999-12-31	2013-05-08
412	2009-10-01	2011-02-17	Norwegian Energy Company ASA	40.000000	\N	2007-07-11	2011-02-17	4237612	4530695	9999-12-31	2013-05-08
412	2009-05-26	2009-10-01	VNG Norge (Operations) AS	30.000000	\N	9999-12-31	9999-12-31	4237612	5497155	9999-12-31	2013-05-08
412	2009-10-01	2011-02-17	VNG Norge AS	30.000000	\N	9999-12-31	9999-12-31	4237612	17237193	9999-12-31	2013-05-08
417	2007-02-16	2007-07-11	Revus Energy ASA	40.000000	\N	2007-02-16	2009-01-16	4237645	3431773	9999-12-31	2013-05-08
417	2007-07-11	2009-01-17	Revus Energy ASA	40.000000	\N	2007-02-16	2009-01-16	4237645	3431773	9999-12-31	2013-05-08
417	2007-02-16	2007-07-11	Premier Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	4237645	3482067	9999-12-31	2013-05-08
417	2007-07-11	2009-01-17	Premier Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	4237645	3482067	9999-12-31	2013-05-08
417	2009-01-17	2010-02-16	Premier Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	4237645	3482067	9999-12-31	2013-05-08
417	2007-02-16	2007-07-11	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	4237645	3482246	9999-12-31	2013-05-08
417	2007-07-11	2009-01-17	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4237645	4530695	9999-12-31	2013-05-08
417	2009-01-17	2010-02-16	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4237645	4530695	9999-12-31	2013-05-08
417	2009-01-17	2010-02-16	Wintershall Norge ASA	40.000000	\N	2009-01-17	2010-02-16	4237645	5442509	9999-12-31	2013-05-08
416	2007-02-16	2009-12-22	E.ON Ruhrgas Norge AS	50.000000	\N	2007-02-16	2012-02-10	4237675	2840522	9999-12-31	2013-05-08
416	2009-12-22	2010-10-01	E.ON Ruhrgas Norge AS	50.000000	\N	2007-02-16	2012-02-10	4237675	2840522	9999-12-31	2013-05-08
416	2010-10-01	2012-02-11	E.ON Ruhrgas Norge AS	50.000000	\N	2007-02-16	2012-02-10	4237675	2840522	9999-12-31	2013-05-08
416	2007-02-16	2009-12-22	Rocksource ASA	35.000000	\N	9999-12-31	9999-12-31	4237675	4062921	9999-12-31	2013-05-08
416	2009-12-22	2010-10-01	Rocksource ASA	35.000000	\N	9999-12-31	9999-12-31	4237675	4062921	9999-12-31	2013-05-08
416	2010-10-01	2012-02-11	Rocksource ASA	35.000000	\N	9999-12-31	9999-12-31	4237675	4062921	9999-12-31	2013-05-08
416	2012-02-11	2012-02-16	Rocksource ASA	35.000000	\N	9999-12-31	9999-12-31	4237675	4062921	9999-12-31	2013-05-08
416	2007-02-16	2009-12-22	Aker Exploration AS	15.000000	\N	9999-12-31	9999-12-31	4237675	4460425	9999-12-31	2013-05-08
416	2010-10-01	2012-02-11	Det norske oljeselskap ASA	15.000000	\N	9999-12-31	9999-12-31	4237675	17342870	9999-12-31	2013-05-08
416	2012-02-11	2012-02-16	Det norske oljeselskap ASA	15.000000	\N	9999-12-31	9999-12-31	4237675	17342870	9999-12-31	2013-05-08
416	2009-12-22	2010-10-01	Det norske oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	4237675	17342915	9999-12-31	2013-05-08
416	2012-02-11	2012-02-16	E.ON E&P Norge AS	50.000000	\N	2012-02-11	2012-02-16	4237675	21631209	9999-12-31	2013-05-08
423 S	2007-02-16	2007-10-01	Statoil ASA (old)	25.000000	\N	9999-12-31	9999-12-31	4237691	1622484	9999-12-31	2013-05-08
423 S	2007-02-16	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4237691	1626839	9999-12-31	2013-05-08
423 S	2007-10-01	2009-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4237691	1626839	9999-12-31	2013-05-08
423 S	2009-01-01	2009-01-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4237691	1626839	9999-12-31	2013-05-08
423 S	2009-01-02	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4237691	1626839	9999-12-31	2013-05-08
423 S	2009-11-02	2011-08-16	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4237691	1626839	9999-12-31	2013-05-08
423 S	2007-02-16	2007-10-01	Gaz de France Norge AS	30.000000	\N	2007-02-16	2008-12-31	4237691	1628733	9999-12-31	2013-05-08
423 S	2007-10-01	2009-01-01	Gaz de France Norge AS	30.000000	\N	2007-02-16	2008-12-31	4237691	1628733	9999-12-31	2013-05-08
423 S	2007-02-16	2007-10-01	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	4237691	2747354	9999-12-31	2013-05-08
423 S	2007-10-01	2009-01-01	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	4237691	2747354	9999-12-31	2013-05-08
423 S	2009-01-01	2009-01-02	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	4237691	2747354	9999-12-31	2013-05-08
423 S	2009-01-02	2009-11-02	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	4237691	2747354	9999-12-31	2013-05-08
423 S	2009-11-02	2011-08-16	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	4237691	2747354	9999-12-31	2013-05-08
423 S	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	25.000000	\N	9999-12-31	9999-12-31	4237691	4511658	9999-12-31	2013-05-08
423 S	2007-10-01	2009-01-01	StatoilHydro ASA	25.000000	\N	9999-12-31	9999-12-31	4237691	4511854	9999-12-31	2013-05-08
423 S	2009-01-01	2009-01-02	StatoilHydro ASA	25.000000	\N	9999-12-31	9999-12-31	4237691	4511854	9999-12-31	2013-05-08
423 S	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	30.000000	\N	2009-01-01	2011-08-16	4237691	5267845	9999-12-31	2013-05-08
423 S	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	30.000000	\N	2009-01-01	2011-08-16	4237691	5267845	9999-12-31	2013-05-08
423 S	2009-11-02	2011-08-16	GDF SUEZ E&P Norge AS	30.000000	\N	2009-01-01	2011-08-16	4237691	5267845	9999-12-31	2013-05-08
423 S	2009-11-02	2011-08-16	Statoil Petroleum AS	25.000000	\N	9999-12-31	9999-12-31	4237691	17237817	9999-12-31	2013-05-08
445	2007-06-15	2007-09-22	Maersk Oil Exploration Norway AS	30.000000	\N	9999-12-31	9999-12-31	4237722	3960933	9999-12-31	2013-05-08
445	2007-06-15	2007-09-22	Nexen Exploration Norge AS	40.000000	\N	2007-06-15	2009-06-15	4237722	4062831	9999-12-31	2013-05-08
445	2007-09-22	2009-06-15	Nexen Exploration Norge AS	40.000000	\N	2007-06-15	2009-06-15	4237722	4062831	9999-12-31	2013-05-08
445	2007-06-15	2007-09-22	OMV (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	4237722	4460594	9999-12-31	2013-05-08
445	2007-09-22	2009-06-15	OMV (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	4237722	4460594	9999-12-31	2013-05-08
445	2007-09-22	2009-06-15	Maersk Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	4237722	4719674	9999-12-31	2013-05-08
424	2007-02-16	2007-02-17	Norske ConocoPhillips AS	40.000000	\N	2007-02-16	2007-02-17	4237756	2399056	9999-12-31	2013-05-08
424	2007-02-17	2009-01-17	ConocoPhillips Skandinavia AS	40.000000	\N	2007-02-17	2009-08-16	4237756	2410696	9999-12-31	2013-05-08
424	2009-01-17	2009-08-16	ConocoPhillips Skandinavia AS	40.000000	\N	2007-02-17	2009-08-16	4237756	2410696	9999-12-31	2013-05-08
424	2007-02-16	2007-02-17	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4237756	3431773	9999-12-31	2013-05-08
424	2007-02-17	2009-01-17	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4237756	3431773	9999-12-31	2013-05-08
424	2007-02-16	2007-02-17	Petro-Canada Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237756	3960945	9999-12-31	2013-05-08
424	2007-02-17	2009-01-17	Petro-Canada Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237756	3960945	9999-12-31	2013-05-08
424	2009-01-17	2009-08-16	Petro-Canada Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237756	3960945	9999-12-31	2013-05-08
424	2007-02-16	2007-02-17	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237756	4062883	9999-12-31	2013-05-08
424	2007-02-17	2009-01-17	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237756	4062883	9999-12-31	2013-05-08
424	2009-01-17	2009-08-16	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237756	4062883	9999-12-31	2013-05-08
424	2009-01-17	2009-08-16	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	4237756	5442509	9999-12-31	2013-05-08
425 S	2007-02-16	2009-01-17	Revus Energy ASA	40.000000	\N	9999-12-31	9999-12-31	4237783	3431773	9999-12-31	2013-05-08
425 S	2007-02-16	2009-01-17	Petro-Canada Norge AS	60.000000	\N	2007-02-16	2009-02-16	4237783	3960945	9999-12-31	2013-05-08
425 S	2009-01-17	2009-02-16	Petro-Canada Norge AS	60.000000	\N	2007-02-16	2009-02-16	4237783	3960945	9999-12-31	2013-05-08
425 S	2009-01-17	2009-02-16	Wintershall Norge ASA	40.000000	\N	9999-12-31	9999-12-31	4237783	5442509	9999-12-31	2013-05-08
427 S	2007-10-01	2009-04-16	StatoilHydro Petroleum AS	100.000000	\N	2007-10-01	2009-04-16	4237809	4511658	9999-12-31	2013-05-08
427 S	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	100.000000	\N	2007-02-16	2007-10-01	4237809	4524355	9999-12-31	2013-05-08
443	2007-06-15	2007-09-22	Wintershall Norge AS (old)	40.000000	\N	2007-06-15	2010-06-15	4237831	3482302	9999-12-31	2013-05-08
443	2007-09-22	2010-06-15	Wintershall Norge AS (old)	40.000000	\N	2007-06-15	2010-06-15	4237831	3482302	9999-12-31	2013-05-08
443	2007-06-15	2007-09-22	Maersk Oil Exploration Norway AS	35.000000	\N	9999-12-31	9999-12-31	4237831	3960933	9999-12-31	2013-05-08
443	2007-06-15	2007-09-22	Genesis Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	4237831	4062957	9999-12-31	2013-05-08
443	2007-09-22	2010-06-15	Genesis Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	4237831	4062957	9999-12-31	2013-05-08
443	2007-09-22	2010-06-15	Maersk Oil Norway AS	35.000000	\N	9999-12-31	9999-12-31	4237831	4719674	9999-12-31	2013-05-08
422 S	2007-02-16	2009-02-16	Nexen Exploration Norge AS	100.000000	\N	2007-02-16	2009-02-16	4237847	4062831	9999-12-31	2013-05-08
444	2007-06-15	2007-09-22	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	4237881	3482302	9999-12-31	2013-05-08
444	2007-09-22	2010-07-06	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	4237881	3482302	9999-12-31	2013-05-08
444	2010-07-06	2010-09-30	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	4237881	3482302	9999-12-31	2013-05-08
444	2007-06-15	2007-09-22	Maersk Oil Exploration Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237881	3960933	9999-12-31	2013-05-08
444	2007-06-15	2007-09-22	Nexen Exploration Norge AS	40.000000	\N	2007-06-15	2010-09-30	4237881	4062831	9999-12-31	2013-05-08
444	2007-09-22	2010-07-06	Nexen Exploration Norge AS	40.000000	\N	2007-06-15	2010-09-30	4237881	4062831	9999-12-31	2013-05-08
444	2010-07-06	2010-09-30	Nexen Exploration Norge AS	40.000000	\N	2007-06-15	2010-09-30	4237881	4062831	9999-12-31	2013-05-08
444	2007-06-15	2007-09-22	Genesis Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237881	4062957	9999-12-31	2013-05-08
444	2007-09-22	2010-07-06	Genesis Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237881	4062957	9999-12-31	2013-05-08
444	2010-07-06	2010-09-30	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4237881	4444493	9999-12-31	2013-05-08
444	2007-09-22	2010-07-06	Maersk Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237881	4719674	9999-12-31	2013-05-08
444	2010-07-06	2010-09-30	Maersk Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	4237881	4719674	9999-12-31	2013-05-08
050 D	2007-02-16	2007-10-01	Statoil ASA (old)	61.000000	\N	2007-02-16	2007-10-01	4237912	1622484	9999-12-31	2013-05-08
050 D	2007-02-16	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4237912	1626839	9999-12-31	2013-05-08
050 D	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4237912	1626839	9999-12-31	2013-05-08
050 D	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4237912	1626839	9999-12-31	2013-05-08
050 D	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4237912	1626839	9999-12-31	2013-05-08
050 D	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	4237912	4511658	9999-12-31	2013-05-08
050 D	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	4237912	4511658	9999-12-31	2013-05-08
050 D	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	2007-10-01	2008-12-31	4237912	4511854	9999-12-31	2013-05-08
050 D	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	4237912	4524355	9999-12-31	2013-05-08
050 D	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	4237912	17237817	9999-12-31	2013-05-08
426	2007-07-01	2007-10-12	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238116	97557	9999-12-31	2013-05-08
426	2007-10-12	2009-05-26	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238116	97557	9999-12-31	2013-05-08
426	2009-05-26	2009-10-01	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238116	97557	9999-12-31	2013-05-08
426	2009-10-01	2009-10-02	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238116	97557	9999-12-31	2013-05-08
426	2009-10-02	2010-08-16	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238116	97557	9999-12-31	2013-05-08
426	2007-02-16	2007-07-01	Endeavour Energy Norge AS	100.000000	\N	2007-02-16	2009-05-26	4238116	3113213	9999-12-31	2013-05-08
426	2007-07-01	2007-10-12	Endeavour Energy Norge AS	85.000000	\N	2007-02-16	2009-05-26	4238116	3113213	9999-12-31	2013-05-08
426	2007-10-12	2009-05-26	Endeavour Energy Norge AS	65.000000	\N	2007-02-16	2009-05-26	4238116	3113213	9999-12-31	2013-05-08
426	2007-10-12	2009-05-26	VNG Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	4238116	4062895	9999-12-31	2013-05-08
426	2009-05-26	2009-10-01	VNG Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	4238116	4062895	9999-12-31	2013-05-08
426	2009-10-01	2009-10-02	VNG Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	4238116	4062895	9999-12-31	2013-05-08
426	2009-05-26	2009-10-01	VNG Norge (Operations) AS	65.000000	\N	2009-05-26	2009-09-30	4238116	5497155	9999-12-31	2013-05-08
426	2009-10-01	2009-10-02	VNG Norge AS	65.000000	\N	2009-10-01	2010-08-16	4238116	17237193	9999-12-31	2013-05-08
426	2009-10-02	2010-08-16	VNG Norge AS	85.000000	\N	2009-10-01	2010-08-16	4238116	17237193	9999-12-31	2013-05-08
318 B	2007-02-16	2007-10-01	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238138	441	9999-12-31	2013-05-08
318 B	2007-10-01	2009-11-02	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238138	441	9999-12-31	2013-05-08
318 B	2009-11-02	9999-12-31	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238138	441	9999-12-31	2013-05-08
318 B	2007-02-16	2007-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238138	1626839	9999-12-31	2013-05-08
318 B	2007-10-01	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238138	1626839	9999-12-31	2013-05-08
318 B	2009-11-02	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238138	1626839	9999-12-31	2013-05-08
318 B	2007-10-01	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2009-11-01	4238138	4511658	9999-12-31	2013-05-08
318 B	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	60.000000	\N	2007-02-16	2007-10-01	4238138	4524355	9999-12-31	2013-05-08
318 B	2009-11-02	9999-12-31	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	4238138	17237817	9999-12-31	2013-05-08
421	2007-02-16	2009-02-16	Petro-Canada Norge AS	40.000000	\N	2007-02-16	2009-02-16	4238186	3960945	9999-12-31	2013-05-08
421	2007-02-16	2009-02-16	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238186	4062883	9999-12-31	2013-05-08
421	2007-02-16	2009-02-16	Centrica Resources (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	4238186	4238233	9999-12-31	2013-05-08
418	2012-01-01	2012-03-24	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	4238348	97557	9999-12-31	2013-05-08
418	2012-03-24	2013-04-20	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	4238348	97557	2013-04-30	2013-05-08
418	2013-04-20	9999-12-31	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	4238348	97557	9999-12-31	2013-05-08
418	2007-02-16	2009-01-17	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4238348	3431773	9999-12-31	2013-05-08
418	2007-02-16	2009-01-17	Premier Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238348	3482067	9999-12-31	2013-05-08
418	2009-01-17	2009-01-21	Premier Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238348	3482067	9999-12-31	2013-05-08
418	2009-01-21	2009-03-23	Premier Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238348	3482067	9999-12-31	2013-05-08
418	2009-03-23	2009-10-28	Premier Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238348	3482067	9999-12-31	2013-05-08
418	2009-10-28	2010-03-05	Premier Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238348	3482067	9999-12-31	2013-05-08
418	2007-02-16	2009-01-17	PA Resources Norway AS	20.000000	\N	9999-12-31	9999-12-31	4238348	3986418	9999-12-31	2013-05-08
418	2009-01-17	2009-01-21	PA Resources Norway AS	20.000000	\N	9999-12-31	9999-12-31	4238348	3986418	9999-12-31	2013-05-08
418	2007-02-16	2009-01-17	Nexen Exploration Norge AS	30.000000	\N	2007-02-16	2010-08-23	4238348	4062831	9999-12-31	2013-05-08
418	2009-01-17	2009-01-21	Nexen Exploration Norge AS	30.000000	\N	2007-02-16	2010-08-23	4238348	4062831	9999-12-31	2013-05-08
418	2009-01-21	2009-03-23	Nexen Exploration Norge AS	30.000000	\N	2007-02-16	2010-08-23	4238348	4062831	9999-12-31	2013-05-08
418	2009-03-23	2009-10-28	Nexen Exploration Norge AS	30.000000	\N	2007-02-16	2010-08-23	4238348	4062831	9999-12-31	2013-05-08
418	2009-10-28	2010-03-05	Nexen Exploration Norge AS	30.000000	\N	2007-02-16	2010-08-23	4238348	4062831	9999-12-31	2013-05-08
418	2010-03-05	2010-08-31	Nexen Exploration Norge AS	30.000000	\N	2007-02-16	2010-08-23	4238348	4062831	9999-12-31	2013-05-08
418	2007-02-16	2009-01-17	Edison International Spa	15.000000	\N	9999-12-31	9999-12-31	4238348	4062871	9999-12-31	2013-05-08
418	2009-01-17	2009-01-21	Edison International Spa	15.000000	\N	9999-12-31	9999-12-31	4238348	4062871	9999-12-31	2013-05-08
418	2009-01-21	2009-03-23	Edison International Spa	15.000000	\N	9999-12-31	9999-12-31	4238348	4062871	9999-12-31	2013-05-08
418	2009-03-23	2009-10-28	Edison International Spa	15.000000	\N	9999-12-31	9999-12-31	4238348	4062871	9999-12-31	2013-05-08
418	2009-03-23	2009-10-28	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238348	4444493	9999-12-31	2013-05-08
418	2009-10-28	2010-03-05	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238348	4444493	9999-12-31	2013-05-08
418	2010-03-05	2010-08-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238348	4444493	9999-12-31	2013-05-08
418	2010-08-31	2010-09-30	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238348	4444493	9999-12-31	2013-05-08
418	2010-09-30	2012-01-01	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238348	4444493	2012-08-08	2013-05-08
418	2012-01-01	2012-03-24	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238348	4444493	9999-12-31	2013-05-08
418	2012-03-24	2013-04-20	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238348	4444493	2013-04-30	2013-05-08
418	2013-04-20	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238348	4444493	9999-12-31	2013-05-08
418	2009-01-17	2009-01-21	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	4238348	5442509	9999-12-31	2013-05-08
418	2009-01-21	2009-03-23	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	4238348	5442509	9999-12-31	2013-05-08
418	2009-03-23	2009-10-28	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	4238348	5442509	9999-12-31	2013-05-08
418	2009-10-28	2010-03-05	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	4238348	5442509	9999-12-31	2013-05-08
418	2010-03-05	2010-08-31	Wintershall Norge ASA	35.000000	\N	2010-08-24	2012-03-23	4238348	5442509	9999-12-31	2013-05-08
418	2010-08-31	2010-09-30	Wintershall Norge ASA	65.000000	\N	2010-08-24	2012-03-23	4238348	5442509	9999-12-31	2013-05-08
418	2010-09-30	2012-01-01	Wintershall Norge ASA	45.000000	\N	2010-08-24	2012-03-23	4238348	5442509	2012-08-08	2013-05-08
418	2012-01-01	2012-03-24	Wintershall Norge ASA	35.000000	\N	2010-08-24	2012-03-23	4238348	5442509	9999-12-31	2013-05-08
418	2009-01-21	2009-03-23	Bayerngas Produksjon Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238348	5461974	9999-12-31	2013-05-08
418	2009-10-28	2010-03-05	Edison International Norway Branch	15.000000	\N	9999-12-31	9999-12-31	4238348	17237180	9999-12-31	2013-05-08
418	2010-03-05	2010-08-31	Edison International Norway Branch	15.000000	\N	9999-12-31	9999-12-31	4238348	17237180	9999-12-31	2013-05-08
418	2010-08-31	2010-09-30	Edison International Norway Branch	15.000000	\N	9999-12-31	9999-12-31	4238348	17237180	9999-12-31	2013-05-08
418	2010-09-30	2012-01-01	Edison International Norway Branch	15.000000	\N	9999-12-31	9999-12-31	4238348	17237180	2012-08-08	2013-05-08
418	2012-01-01	2012-03-24	Edison International Norway Branch	15.000000	\N	9999-12-31	9999-12-31	4238348	17237180	9999-12-31	2013-05-08
418	2012-03-24	2013-04-20	Edison International Norway Branch	15.000000	\N	9999-12-31	9999-12-31	4238348	17237180	2013-04-30	2013-05-08
418	2013-04-20	9999-12-31	Edison International Norway Branch	15.000000	\N	9999-12-31	9999-12-31	4238348	17237180	9999-12-31	2013-05-08
418	2010-09-30	2012-01-01	Agora Oil & Gas AS	20.000000	\N	9999-12-31	9999-12-31	4238348	18386322	2012-08-08	2013-05-08
418	2012-01-01	2012-03-24	Agora Oil & Gas AS	20.000000	\N	9999-12-31	9999-12-31	4238348	18386322	9999-12-31	2013-05-08
418	2012-03-24	2013-04-20	Agora Oil & Gas AS	20.000000	\N	9999-12-31	9999-12-31	4238348	18386322	2013-04-30	2013-05-08
418	2012-03-24	2013-04-20	Wintershall Norge AS	35.000000	\N	2012-03-24	9999-12-31	4238348	21666830	2013-04-30	2013-05-08
418	2013-04-20	9999-12-31	Wintershall Norge AS	35.000000	\N	2012-03-24	9999-12-31	4238348	21666830	9999-12-31	2013-05-08
418	2013-04-20	9999-12-31	Capricorn Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238348	23297570	9999-12-31	2013-05-08
420	2007-02-16	2007-10-01	Idemitsu Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238409	441	9999-12-31	2013-05-08
420	2007-10-01	2009-11-02	Idemitsu Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238409	441	9999-12-31	2013-05-08
420	2009-11-02	9999-12-31	Idemitsu Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238409	441	9999-12-31	2013-05-08
420	2007-02-16	2007-10-01	RWE Dea Norge AS	30.000000	\N	2007-02-16	9999-12-31	4238409	97557	9999-12-31	2013-05-08
420	2007-10-01	2009-11-02	RWE Dea Norge AS	30.000000	\N	2007-02-16	9999-12-31	4238409	97557	9999-12-31	2013-05-08
420	2009-11-02	9999-12-31	RWE Dea Norge AS	30.000000	\N	2007-02-16	9999-12-31	4238409	97557	9999-12-31	2013-05-08
420	2007-10-01	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	4238409	4511658	9999-12-31	2013-05-08
420	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	4238409	4524355	9999-12-31	2013-05-08
420	2009-11-02	9999-12-31	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	4238409	17237817	9999-12-31	2013-05-08
419	2007-02-16	2009-01-01	Revus Energy ASA	25.000000	\N	9999-12-31	9999-12-31	4238530	3431773	9999-12-31	2013-05-08
419	2009-01-01	2009-01-17	Revus Energy ASA	25.000000	\N	9999-12-31	9999-12-31	4238530	3431773	9999-12-31	2013-05-08
419	2007-02-16	2009-01-01	Premier Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	4238530	3482067	9999-12-31	2013-05-08
419	2007-02-16	2009-01-01	Nexen Exploration Norge AS	30.000000	\N	2007-02-16	2011-02-17	4238530	4062831	9999-12-31	2013-05-08
419	2009-01-01	2009-01-17	Nexen Exploration Norge AS	55.000000	\N	2007-02-16	2011-02-17	4238530	4062831	9999-12-31	2013-05-08
419	2009-01-17	2009-05-15	Nexen Exploration Norge AS	55.000000	\N	2007-02-16	2011-02-17	4238530	4062831	9999-12-31	2013-05-08
419	2009-05-15	2009-10-28	Nexen Exploration Norge AS	30.000000	\N	2007-02-16	2011-02-17	4238530	4062831	9999-12-31	2013-05-08
419	2009-10-28	2009-11-04	Nexen Exploration Norge AS	30.000000	\N	2007-02-16	2011-02-17	4238530	4062831	9999-12-31	2013-05-08
419	2009-11-04	2009-12-22	Nexen Exploration Norge AS	75.000000	\N	2007-02-16	2011-02-17	4238530	4062831	9999-12-31	2013-05-08
419	2009-12-22	2011-02-17	Nexen Exploration Norge AS	45.000000	\N	2007-02-16	2011-02-17	4238530	4062831	9999-12-31	2013-05-08
419	2007-02-16	2009-01-01	Edison International Spa	20.000000	\N	9999-12-31	9999-12-31	4238530	4062871	9999-12-31	2013-05-08
419	2009-01-01	2009-01-17	Edison International Spa	20.000000	\N	9999-12-31	9999-12-31	4238530	4062871	9999-12-31	2013-05-08
419	2009-01-17	2009-05-15	Edison International Spa	20.000000	\N	9999-12-31	9999-12-31	4238530	4062871	9999-12-31	2013-05-08
419	2009-05-15	2009-10-28	Edison International Spa	20.000000	\N	9999-12-31	9999-12-31	4238530	4062871	9999-12-31	2013-05-08
419	2009-12-22	2011-02-17	OMV (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	4238530	4460594	9999-12-31	2013-05-08
419	2009-05-15	2009-10-28	PGNiG Norway AS	25.000000	\N	9999-12-31	9999-12-31	4238530	4505831	9999-12-31	2013-05-08
419	2009-10-28	2009-11-04	PGNiG Norway AS	25.000000	\N	9999-12-31	9999-12-31	4238530	4505831	9999-12-31	2013-05-08
419	2009-11-04	2009-12-22	PGNiG Norway AS	25.000000	\N	9999-12-31	9999-12-31	4238530	4505831	9999-12-31	2013-05-08
419	2009-12-22	2011-02-17	PGNiG Norway AS	25.000000	\N	9999-12-31	9999-12-31	4238530	4505831	9999-12-31	2013-05-08
419	2009-01-17	2009-05-15	Wintershall Norge ASA	25.000000	\N	9999-12-31	9999-12-31	4238530	5442509	9999-12-31	2013-05-08
419	2009-05-15	2009-10-28	Wintershall Norge ASA	25.000000	\N	9999-12-31	9999-12-31	4238530	5442509	9999-12-31	2013-05-08
419	2009-10-28	2009-11-04	Wintershall Norge ASA	25.000000	\N	9999-12-31	9999-12-31	4238530	5442509	9999-12-31	2013-05-08
419	2009-10-28	2009-11-04	Edison International Norway Branch	20.000000	\N	9999-12-31	9999-12-31	4238530	17237180	9999-12-31	2013-05-08
446	2007-06-15	2007-07-11	Norwegian Energy Company AS	40.000000	\N	9999-12-31	9999-12-31	4238548	3482246	9999-12-31	2013-05-08
446	2007-06-15	2007-07-11	Discover Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	4238548	3500333	9999-12-31	2013-05-08
446	2007-07-11	2009-06-15	Discover Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	4238548	3500333	9999-12-31	2013-05-08
446	2007-06-15	2007-07-11	Petro-Canada Norge AS	40.000000	\N	2007-06-15	2009-06-15	4238548	3960945	9999-12-31	2013-05-08
446	2007-07-11	2009-06-15	Petro-Canada Norge AS	40.000000	\N	2007-06-15	2009-06-15	4238548	3960945	9999-12-31	2013-05-08
446	2007-07-11	2009-06-15	Norwegian Energy Company ASA	40.000000	\N	9999-12-31	9999-12-31	4238548	4530695	9999-12-31	2013-05-08
430	2007-02-16	2009-02-16	Edison International Spa	30.000000	\N	9999-12-31	9999-12-31	4238564	4062871	9999-12-31	2013-05-08
430	2007-02-16	2009-02-16	OMV (Norge) AS	70.000000	\N	2007-02-16	2009-02-16	4238564	4460594	9999-12-31	2013-05-08
429	2007-02-16	2007-10-01	Statoil ASA (old)	70.000000	\N	2007-02-16	2007-10-01	4238578	1622484	9999-12-31	2013-05-08
429	2007-02-16	2007-10-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238578	4070011	9999-12-31	2013-05-08
429	2007-10-01	2009-01-01	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238578	4070011	9999-12-31	2013-05-08
429	2009-01-01	2009-11-02	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238578	4070011	9999-12-31	2013-05-08
429	2009-11-02	2012-02-16	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238578	4070011	9999-12-31	2013-05-08
429	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	4238578	4511658	9999-12-31	2013-05-08
429	2007-10-01	2009-01-01	StatoilHydro ASA	70.000000	\N	2007-10-01	2008-12-31	4238578	4511854	9999-12-31	2013-05-08
429	2009-11-02	2012-02-16	Statoil Petroleum AS	70.000000	\N	2009-11-02	2012-02-16	4238578	17237817	9999-12-31	2013-05-08
428	2007-02-16	2007-10-01	Wintershall Norge AS (old)	40.000000	\N	9999-12-31	9999-12-31	4238624	3482302	9999-12-31	2013-05-08
428	2007-10-01	2007-10-02	Wintershall Norge AS (old)	40.000000	\N	9999-12-31	9999-12-31	4238624	3482302	9999-12-31	2013-05-08
428	2007-10-02	2009-02-16	Wintershall Norge AS (old)	40.000000	\N	9999-12-31	9999-12-31	4238624	3482302	9999-12-31	2013-05-08
428	2007-10-02	2009-02-16	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4238624	4460425	9999-12-31	2013-05-08
428	2007-10-01	2007-10-02	StatoilHydro Petroleum AS	60.000000	\N	2007-10-01	2009-02-16	4238624	4511658	9999-12-31	2013-05-08
428	2007-10-02	2009-02-16	StatoilHydro Petroleum AS	30.000000	\N	2007-10-01	2009-02-16	4238624	4511658	9999-12-31	2013-05-08
428	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	60.000000	\N	2007-02-16	2007-10-01	4238624	4524355	9999-12-31	2013-05-08
211 B	2007-02-16	2007-10-01	Statoil ASA (old)	30.000000	\N	9999-12-31	9999-12-31	4238638	1622484	9999-12-31	2013-05-08
211 B	2007-02-16	2007-10-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238638	2388594	9999-12-31	2013-05-08
211 B	2007-10-01	2009-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238638	2388594	9999-12-31	2013-05-08
211 B	2009-01-01	2009-11-02	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238638	2388594	9999-12-31	2013-05-08
211 B	2009-11-02	2013-01-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238638	2388594	2013-04-25	2013-05-08
211 B	2013-01-01	9999-12-31	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238638	2388594	9999-12-31	2013-05-08
211 B	2007-02-16	2007-10-01	Total E&P Norge AS	40.000000	\N	2007-02-16	9999-12-31	4238638	2410708	9999-12-31	2013-05-08
211 B	2007-10-01	2009-01-01	Total E&P Norge AS	40.000000	\N	2007-02-16	9999-12-31	4238638	2410708	9999-12-31	2013-05-08
211 B	2009-01-01	2009-11-02	Total E&P Norge AS	40.000000	\N	2007-02-16	9999-12-31	4238638	2410708	9999-12-31	2013-05-08
211 B	2009-11-02	2013-01-01	Total E&P Norge AS	40.000000	\N	2007-02-16	9999-12-31	4238638	2410708	2013-04-25	2013-05-08
211 B	2013-01-01	9999-12-31	Total E&P Norge AS	40.000000	\N	2007-02-16	9999-12-31	4238638	2410708	9999-12-31	2013-05-08
211 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4238638	4511658	9999-12-31	2013-05-08
211 B	2007-10-01	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	4238638	4511854	9999-12-31	2013-05-08
211 B	2013-01-01	9999-12-31	Maersk Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	4238638	4719674	9999-12-31	2013-05-08
211 B	2009-11-02	2013-01-01	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4238638	17237817	2013-04-25	2013-05-08
433	2008-01-01	2009-07-01	E.ON Ruhrgas Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	2840522	9999-12-31	2013-05-08
433	2009-07-01	2010-04-20	E.ON Ruhrgas Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	2840522	9999-12-31	2013-05-08
433	2010-04-20	2011-02-28	E.ON Ruhrgas Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	2840522	9999-12-31	2013-05-08
433	2011-02-28	2012-02-11	E.ON Ruhrgas Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	2840522	9999-12-31	2013-05-08
433	2007-02-16	2008-01-01	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238654	3960945	9999-12-31	2013-05-08
433	2008-01-01	2009-07-01	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238654	3960945	9999-12-31	2013-05-08
433	2009-07-01	2010-04-20	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238654	3960945	9999-12-31	2013-05-08
433	2010-04-20	2011-02-28	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238654	3960945	9999-12-31	2013-05-08
433	2007-02-16	2008-01-01	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238654	4062883	9999-12-31	2013-05-08
433	2008-01-01	2009-07-01	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	4062883	9999-12-31	2013-05-08
433	2009-07-01	2010-04-20	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	4062883	9999-12-31	2013-05-08
433	2010-04-20	2011-02-28	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	4062883	9999-12-31	2013-05-08
433	2011-02-28	2012-02-11	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	4062883	9999-12-31	2013-05-08
433	2012-02-11	2012-08-31	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	4062883	2012-09-01	2013-05-08
433	2012-08-31	9999-12-31	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	4062883	9999-12-31	2013-05-08
433	2007-02-16	2008-01-01	Centrica Resources (Norge) AS	40.000000	\N	2007-02-16	9999-12-31	4238654	4238233	9999-12-31	2013-05-08
433	2008-01-01	2009-07-01	Centrica Resources (Norge) AS	40.000000	\N	2007-02-16	9999-12-31	4238654	4238233	9999-12-31	2013-05-08
433	2009-07-01	2010-04-20	Centrica Resources (Norge) AS	28.000000	\N	2007-02-16	9999-12-31	4238654	4238233	9999-12-31	2013-05-08
433	2010-04-20	2011-02-28	Centrica Resources (Norge) AS	28.000000	\N	2007-02-16	9999-12-31	4238654	4238233	9999-12-31	2013-05-08
433	2011-02-28	2012-02-11	Centrica Resources (Norge) AS	28.000000	\N	2007-02-16	9999-12-31	4238654	4238233	9999-12-31	2013-05-08
433	2012-02-11	2012-08-31	Centrica Resources (Norge) AS	28.000000	\N	2007-02-16	9999-12-31	4238654	4238233	2012-09-01	2013-05-08
433	2012-08-31	9999-12-31	Centrica Resources (Norge) AS	40.000000	\N	2007-02-16	9999-12-31	4238654	4238233	9999-12-31	2013-05-08
433	2009-07-01	2010-04-20	North Energy AS	12.000000	\N	9999-12-31	9999-12-31	4238654	4706034	9999-12-31	2013-05-08
433	2010-04-20	2011-02-28	North Energy ASA	12.000000	\N	9999-12-31	9999-12-31	4238654	18082156	9999-12-31	2013-05-08
433	2011-02-28	2012-02-11	North Energy ASA	12.000000	\N	9999-12-31	9999-12-31	4238654	18082156	9999-12-31	2013-05-08
433	2012-02-11	2012-08-31	North Energy ASA	12.000000	\N	9999-12-31	9999-12-31	4238654	18082156	2012-09-01	2013-05-08
433	2011-02-28	2012-02-11	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238654	20426420	9999-12-31	2013-05-08
433	2012-02-11	2012-08-31	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238654	20426420	2012-09-01	2013-05-08
433	2012-08-31	9999-12-31	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238654	20426420	9999-12-31	2013-05-08
433	2012-02-11	2012-08-31	E.ON E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	21631209	2012-09-01	2013-05-08
433	2012-08-31	9999-12-31	E.ON E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	4238654	21631209	9999-12-31	2013-05-08
436	2007-02-16	2007-10-01	Statoil ASA (old)	70.000000	\N	2007-02-16	2007-10-01	4238670	1622484	9999-12-31	2013-05-08
436	2007-02-16	2007-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238670	2840522	9999-12-31	2013-05-08
436	2007-10-01	2009-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238670	2840522	9999-12-31	2013-05-08
436	2009-01-01	2009-11-02	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238670	2840522	9999-12-31	2013-05-08
436	2009-11-02	2010-02-16	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238670	2840522	9999-12-31	2013-05-08
436	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	4238670	4511658	9999-12-31	2013-05-08
436	2007-10-01	2009-01-01	StatoilHydro ASA	70.000000	\N	2007-10-01	2008-12-31	4238670	4511854	9999-12-31	2013-05-08
436	2009-11-02	2010-02-16	Statoil Petroleum AS	70.000000	\N	2009-11-02	2010-02-16	4238670	17237817	9999-12-31	2013-05-08
212 D	2007-02-16	2007-10-01	Statoil ASA (old)	100.000000	\N	2007-02-16	2007-10-01	4238684	1622484	9999-12-31	2013-05-08
212 D	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	100.000000	\N	2009-01-01	2009-11-01	4238684	4511658	9999-12-31	2013-05-08
212 D	2007-10-01	2009-01-01	StatoilHydro ASA	100.000000	\N	2007-10-01	2008-12-31	4238684	4511854	9999-12-31	2013-05-08
212 D	2009-11-02	2010-01-01	Statoil Petroleum AS	100.000000	\N	2009-11-02	2010-01-01	4238684	17237817	9999-12-31	2013-05-08
435	2007-02-16	2007-07-11	RWE Dea Norge AS	40.000000	\N	2007-02-16	9999-12-31	4238696	97557	9999-12-31	2013-05-08
435	2007-07-11	2009-01-17	RWE Dea Norge AS	40.000000	\N	2007-02-16	9999-12-31	4238696	97557	9999-12-31	2013-05-08
435	2009-01-17	2009-10-28	RWE Dea Norge AS	40.000000	\N	2007-02-16	9999-12-31	4238696	97557	9999-12-31	2013-05-08
435	2009-10-28	2010-08-30	RWE Dea Norge AS	40.000000	\N	2007-02-16	9999-12-31	4238696	97557	9999-12-31	2013-05-08
435	2010-08-30	2011-01-01	RWE Dea Norge AS	40.000000	\N	2007-02-16	9999-12-31	4238696	97557	9999-12-31	2013-05-08
435	2011-01-01	9999-12-31	RWE Dea Norge AS	40.000000	\N	2007-02-16	9999-12-31	4238696	97557	9999-12-31	2013-05-08
435	2007-02-16	2007-07-11	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4238696	3431773	9999-12-31	2013-05-08
435	2007-07-11	2009-01-17	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4238696	3431773	9999-12-31	2013-05-08
435	2007-02-16	2007-07-11	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	4238696	3482246	9999-12-31	2013-05-08
435	2007-02-16	2007-07-11	Edison International Spa	20.000000	\N	9999-12-31	9999-12-31	4238696	4062871	9999-12-31	2013-05-08
435	2007-07-11	2009-01-17	Edison International Spa	20.000000	\N	9999-12-31	9999-12-31	4238696	4062871	9999-12-31	2013-05-08
435	2009-01-17	2009-10-28	Edison International Spa	20.000000	\N	9999-12-31	9999-12-31	4238696	4062871	9999-12-31	2013-05-08
435	2011-01-01	9999-12-31	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	4238696	4460594	9999-12-31	2013-05-08
435	2007-07-11	2009-01-17	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4238696	4530695	9999-12-31	2013-05-08
435	2009-01-17	2009-10-28	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4238696	4530695	9999-12-31	2013-05-08
435	2009-10-28	2010-08-30	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4238696	4530695	9999-12-31	2013-05-08
435	2010-08-30	2011-01-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4238696	4530695	9999-12-31	2013-05-08
435	2010-08-30	2011-01-01	Maersk Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	4238696	4719674	9999-12-31	2013-05-08
435	2011-01-01	9999-12-31	Maersk Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	4238696	4719674	9999-12-31	2013-05-08
435	2009-01-17	2009-10-28	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	4238696	5442509	9999-12-31	2013-05-08
435	2009-10-28	2010-08-30	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	4238696	5442509	9999-12-31	2013-05-08
435	2009-10-28	2010-08-30	Edison International Norway Branch	20.000000	\N	9999-12-31	9999-12-31	4238696	17237180	9999-12-31	2013-05-08
435	2010-08-30	2011-01-01	Edison International Norway Branch	20.000000	\N	9999-12-31	9999-12-31	4238696	17237180	9999-12-31	2013-05-08
435	2011-01-01	9999-12-31	Edison International Norway Branch	20.000000	\N	9999-12-31	9999-12-31	4238696	17237180	9999-12-31	2013-05-08
431	2007-02-16	2009-08-26	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238714	3960945	9999-12-31	2013-05-08
431	2007-02-16	2009-08-26	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238714	4062883	9999-12-31	2013-05-08
431	2009-08-26	2009-08-27	Faroe Petroleum Norge AS	100.000000	\N	9999-12-31	9999-12-31	4238714	4062883	9999-12-31	2013-05-08
431	2009-08-27	2012-08-16	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238714	4062883	2012-10-12	2013-05-08
431	2007-02-16	2009-08-26	Centrica Resources (Norge) AS	40.000000	\N	2007-02-16	2009-08-26	4238714	4238233	9999-12-31	2013-05-08
431	2009-08-27	2012-08-16	Maersk Oil Norway AS	70.000000	\N	2009-08-27	2012-08-16	4238714	4719674	2012-10-13	2013-05-08
434	2007-02-16	2007-02-17	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238730	2840522	9999-12-31	2013-05-08
434	2007-02-17	2007-02-18	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238730	2840522	9999-12-31	2013-05-08
434	2007-02-18	2009-01-17	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238730	2840522	9999-12-31	2013-05-08
434	2009-01-17	2010-08-30	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238730	2840522	9999-12-31	2013-05-08
434	2010-08-30	2010-11-30	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238730	2840522	9999-12-31	2013-05-08
434	2010-11-30	2012-02-16	E.ON Ruhrgas Norge AS	10.000000	\N	9999-12-31	9999-12-31	4238730	2840522	9999-12-31	2013-05-08
434	2007-02-16	2007-02-17	Revus Energy ASA	40.000000	\N	2007-02-16	2009-01-16	4238730	3431773	9999-12-31	2013-05-08
434	2007-02-17	2007-02-18	Revus Energy ASA	28.000000	\N	2007-02-16	2009-01-16	4238730	3431773	9999-12-31	2013-05-08
434	2007-02-18	2009-01-17	Revus Energy ASA	28.000000	\N	2007-02-16	2009-01-16	4238730	3431773	9999-12-31	2013-05-08
434	2007-02-16	2007-02-17	Nexen Exploration Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238730	4062831	9999-12-31	2013-05-08
434	2007-02-17	2007-02-18	Nexen Exploration Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238730	4062831	9999-12-31	2013-05-08
434	2007-02-18	2009-01-17	Nexen Exploration Norge AS	21.000000	\N	9999-12-31	9999-12-31	4238730	4062831	9999-12-31	2013-05-08
434	2009-01-17	2010-08-30	Nexen Exploration Norge AS	21.000000	\N	9999-12-31	9999-12-31	4238730	4062831	9999-12-31	2013-05-08
434	2010-08-30	2010-11-30	Nexen Exploration Norge AS	49.000000	\N	2010-08-31	2012-02-16	4238730	4062831	9999-12-31	2013-05-08
434	2010-11-30	2012-02-16	Nexen Exploration Norge AS	49.000000	\N	2010-08-31	2012-02-16	4238730	4062831	9999-12-31	2013-05-08
434	2007-02-17	2007-02-18	Concedo ASA	12.000000	\N	9999-12-31	9999-12-31	4238730	4460794	9999-12-31	2013-05-08
434	2007-02-18	2009-01-17	Concedo ASA	21.000000	\N	9999-12-31	9999-12-31	4238730	4460794	9999-12-31	2013-05-08
434	2009-01-17	2010-08-30	Concedo ASA	21.000000	\N	9999-12-31	9999-12-31	4238730	4460794	9999-12-31	2013-05-08
434	2010-08-30	2010-11-30	Concedo ASA	21.000000	\N	9999-12-31	9999-12-31	4238730	4460794	9999-12-31	2013-05-08
434	2010-11-30	2012-02-16	Concedo ASA	21.000000	\N	9999-12-31	9999-12-31	4238730	4460794	9999-12-31	2013-05-08
434	2010-11-30	2012-02-16	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4238730	4530695	9999-12-31	2013-05-08
434	2009-01-17	2010-08-30	Wintershall Norge ASA	28.000000	\N	2009-01-17	2010-08-30	4238730	5442509	9999-12-31	2013-05-08
432	2007-02-16	2007-11-16	Pertra ASA	100.000000	\N	2007-02-16	2007-11-16	4238746	3964368	9999-12-31	2013-05-08
432	2007-11-16	2009-12-22	Det norske oljeselskap ASA (old)	100.000000	\N	2007-11-16	2009-12-21	4238746	4539989	9999-12-31	2013-05-08
432	2009-12-22	2010-02-16	Det norske oljeselskap ASA	100.000000	\N	2009-12-22	2010-02-16	4238746	17342870	9999-12-31	2013-05-08
447	2007-06-15	2007-06-20	Det Norske Oljeselskap AS	30.000000	\N	2007-06-15	2007-06-20	4238758	1340609	9999-12-31	2013-05-08
447	2007-06-15	2007-06-20	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	4238758	3482246	9999-12-31	2013-05-08
447	2007-06-20	2007-11-16	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	4238758	3482246	9999-12-31	2013-05-08
447	2007-11-16	2007-11-17	Norwegian Energy Company AS	20.000000	\N	9999-12-31	9999-12-31	4238758	3482246	9999-12-31	2013-05-08
447	2007-06-15	2007-06-20	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238758	3960945	9999-12-31	2013-05-08
447	2007-06-20	2007-11-16	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238758	3960945	9999-12-31	2013-05-08
447	2007-11-16	2007-11-17	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238758	3960945	9999-12-31	2013-05-08
447	2007-11-17	2008-01-01	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238758	3960945	9999-12-31	2013-05-08
447	2008-01-01	2008-01-02	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238758	3960945	9999-12-31	2013-05-08
447	2008-01-02	2009-12-22	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238758	3960945	9999-12-31	2013-05-08
447	2009-12-22	2010-04-20	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238758	3960945	9999-12-31	2013-05-08
447	2010-04-20	2010-06-24	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238758	3960945	9999-12-31	2013-05-08
447	2007-06-15	2007-06-20	Pertra ASA	20.000000	\N	9999-12-31	9999-12-31	4238758	3964368	9999-12-31	2013-05-08
447	2007-06-20	2007-11-16	Pertra ASA	20.000000	\N	9999-12-31	9999-12-31	4238758	3964368	9999-12-31	2013-05-08
447	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	30.000000	\N	2007-06-20	2007-11-16	4238758	4468177	9999-12-31	2013-05-08
447	2007-11-17	2008-01-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4238758	4530695	9999-12-31	2013-05-08
447	2008-01-01	2008-01-02	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4238758	4530695	9999-12-31	2013-05-08
447	2008-01-02	2009-12-22	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4238758	4530695	9999-12-31	2013-05-08
447	2009-12-22	2010-04-20	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4238758	4530695	9999-12-31	2013-05-08
447	2007-11-16	2007-11-17	Noil Energy ASA	30.000000	\N	2007-11-16	2008-01-01	4238758	4539976	9999-12-31	2013-05-08
447	2007-11-17	2008-01-01	Noil Energy ASA	30.000000	\N	2007-11-16	2008-01-01	4238758	4539976	9999-12-31	2013-05-08
447	2007-11-16	2007-11-17	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	4238758	4539989	9999-12-31	2013-05-08
447	2007-11-17	2008-01-01	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	4238758	4539989	9999-12-31	2013-05-08
447	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	50.000000	\N	2008-01-01	2009-12-21	4238758	4539989	9999-12-31	2013-05-08
447	2008-01-02	2009-12-22	Det norske oljeselskap ASA (old)	30.000000	\N	2008-01-01	2009-12-21	4238758	4539989	9999-12-31	2013-05-08
447	2008-01-02	2009-12-22	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238758	17237193	9999-12-31	2013-05-08
447	2009-12-22	2010-04-20	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238758	17237193	9999-12-31	2013-05-08
447	2010-04-20	2010-06-24	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238758	17237193	9999-12-31	2013-05-08
447	2010-06-24	2011-06-16	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238758	17237193	9999-12-31	2013-05-08
447	2009-12-22	2010-04-20	Det norske oljeselskap ASA	30.000000	\N	2009-12-22	2011-06-16	4238758	17342870	9999-12-31	2013-05-08
447	2010-04-20	2010-06-24	Det norske oljeselskap ASA	50.000000	\N	2009-12-22	2011-06-16	4238758	17342870	9999-12-31	2013-05-08
447	2010-06-24	2011-06-16	Det norske oljeselskap ASA	80.000000	\N	2009-12-22	2011-06-16	4238758	17342870	9999-12-31	2013-05-08
437	2007-02-16	2007-09-01	Norsk Hydro Produksjon AS	40.000000	\N	9999-12-31	9999-12-31	4238776	430	9999-12-31	2013-05-08
437	2007-02-16	2007-09-01	Statoil ASA (old)	60.000000	\N	2007-02-16	2007-10-01	4238776	1622484	9999-12-31	2013-05-08
437	2007-09-01	2007-10-01	Statoil ASA (old)	60.000000	\N	2007-02-16	2007-10-01	4238776	1622484	9999-12-31	2013-05-08
437	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	4238776	4511658	9999-12-31	2013-05-08
437	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	100.000000	\N	2009-01-01	2009-11-01	4238776	4511658	9999-12-31	2013-05-08
437	2007-10-01	2009-01-01	StatoilHydro ASA	60.000000	\N	2007-10-01	2008-12-31	4238776	4511854	9999-12-31	2013-05-08
437	2007-09-01	2007-10-01	Norsk Hydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	4238776	4524355	9999-12-31	2013-05-08
437	2009-11-02	2012-02-16	Statoil Petroleum AS	100.000000	\N	2009-11-02	2012-02-16	4238776	17237817	9999-12-31	2013-05-08
448	2007-06-15	2007-10-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4238790	97557	9999-12-31	2013-05-08
448	2007-10-01	2009-01-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4238790	97557	9999-12-31	2013-05-08
448	2009-01-01	2009-01-02	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4238790	97557	9999-12-31	2013-05-08
448	2009-01-02	2009-11-02	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4238790	97557	9999-12-31	2013-05-08
448	2009-11-02	2011-01-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4238790	97557	9999-12-31	2013-05-08
448	2011-01-01	9999-12-31	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4238790	97557	9999-12-31	2013-05-08
448	2007-06-15	2007-10-01	Statoil ASA (old)	33.530000	\N	2007-06-15	2007-10-01	4238790	1622484	9999-12-31	2013-05-08
448	2007-06-15	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4238790	1626839	9999-12-31	2013-05-08
448	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4238790	1626839	9999-12-31	2013-05-08
448	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4238790	1626839	9999-12-31	2013-05-08
448	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4238790	1626839	9999-12-31	2013-05-08
448	2009-11-02	2011-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4238790	1626839	9999-12-31	2013-05-08
448	2011-01-01	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4238790	1626839	9999-12-31	2013-05-08
448	2007-06-15	2007-10-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	4238790	1628733	9999-12-31	2013-05-08
448	2007-10-01	2009-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	4238790	1628733	9999-12-31	2013-05-08
448	2007-06-15	2007-10-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4238790	2410708	9999-12-31	2013-05-08
448	2007-10-01	2009-01-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4238790	2410708	9999-12-31	2013-05-08
448	2009-01-01	2009-01-02	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4238790	2410708	9999-12-31	2013-05-08
448	2009-01-02	2009-11-02	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4238790	2410708	9999-12-31	2013-05-08
448	2009-11-02	2011-01-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4238790	2410708	9999-12-31	2013-05-08
448	2011-01-01	9999-12-31	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4238790	2410708	9999-12-31	2013-05-08
448	2007-06-15	2007-10-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4238790	4038735	9999-12-31	2013-05-08
448	2007-10-01	2009-01-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4238790	4038735	9999-12-31	2013-05-08
448	2009-01-01	2009-01-02	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4238790	4038735	9999-12-31	2013-05-08
448	2009-01-02	2009-11-02	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4238790	4038735	9999-12-31	2013-05-08
448	2009-11-02	2011-01-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4238790	4038735	9999-12-31	2013-05-08
448	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	33.530000	\N	2009-01-01	2009-11-01	4238790	4511658	9999-12-31	2013-05-08
448	2007-10-01	2009-01-01	StatoilHydro ASA	33.530000	\N	2007-10-01	2008-12-31	4238790	4511854	9999-12-31	2013-05-08
448	2009-01-01	2009-01-02	StatoilHydro ASA	33.530000	\N	9999-12-31	9999-12-31	4238790	4511854	9999-12-31	2013-05-08
448	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	4238790	5267845	9999-12-31	2013-05-08
448	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	4238790	5267845	9999-12-31	2013-05-08
448	2009-11-02	2011-01-01	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	4238790	5267845	9999-12-31	2013-05-08
448	2011-01-01	9999-12-31	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	4238790	5267845	9999-12-31	2013-05-08
448	2009-11-02	2011-01-01	Statoil Petroleum AS	33.530000	\N	2009-11-02	9999-12-31	4238790	17237817	9999-12-31	2013-05-08
448	2011-01-01	9999-12-31	Statoil Petroleum AS	36.790000	\N	2009-11-02	9999-12-31	4238790	17237817	9999-12-31	2013-05-08
438	2007-02-16	2010-02-26	Marathon Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	4238812	463	9999-12-31	2013-05-08
438	2010-02-26	2010-04-30	Marathon Petroleum Norge AS	17.500000	\N	9999-12-31	9999-12-31	4238812	463	9999-12-31	2013-05-08
438	2010-04-30	2011-01-01	Marathon Petroleum Norge AS	17.500000	\N	9999-12-31	9999-12-31	4238812	463	9999-12-31	2013-05-08
438	2011-01-01	2011-05-13	Marathon Petroleum Norge AS	17.500000	\N	9999-12-31	9999-12-31	4238812	463	9999-12-31	2013-05-08
438	2007-02-16	2010-02-26	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238812	97557	9999-12-31	2013-05-08
438	2010-02-26	2010-04-30	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238812	97557	9999-12-31	2013-05-08
438	2010-04-30	2011-01-01	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238812	97557	9999-12-31	2013-05-08
438	2011-01-01	2011-05-13	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238812	97557	9999-12-31	2013-05-08
438	2011-05-13	2013-02-13	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238812	97557	2013-02-20	2013-05-08
438	2013-02-13	9999-12-31	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238812	97557	9999-12-31	2013-05-08
438	2007-02-16	2010-02-26	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238812	1626839	9999-12-31	2013-05-08
438	2010-02-26	2010-04-30	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238812	1626839	9999-12-31	2013-05-08
438	2010-04-30	2011-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238812	1626839	9999-12-31	2013-05-08
438	2011-01-01	2011-05-13	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238812	1626839	9999-12-31	2013-05-08
438	2011-05-13	2013-02-13	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238812	1626839	2013-02-20	2013-05-08
438	2013-02-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238812	1626839	9999-12-31	2013-05-08
438	2010-02-26	2010-04-30	Talisman Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	4238812	2425093	9999-12-31	2013-05-08
438	2010-04-30	2011-01-01	Talisman Energy Norge AS	17.500000	\N	9999-12-31	9999-12-31	4238812	2425093	9999-12-31	2013-05-08
438	2011-01-01	2011-05-13	Talisman Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	4238812	2425093	9999-12-31	2013-05-08
438	2011-05-13	2013-02-13	Talisman Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	4238812	2425093	2013-02-20	2013-05-08
438	2013-02-13	9999-12-31	Talisman Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	4238812	2425093	9999-12-31	2013-05-08
438	2007-02-16	2010-02-26	Lundin Norway AS	35.000000	\N	2007-02-16	9999-12-31	4238812	2767314	9999-12-31	2013-05-08
438	2010-02-26	2010-04-30	Lundin Norway AS	35.000000	\N	2007-02-16	9999-12-31	4238812	2767314	9999-12-31	2013-05-08
438	2010-04-30	2011-01-01	Lundin Norway AS	25.000000	\N	2007-02-16	9999-12-31	4238812	2767314	9999-12-31	2013-05-08
438	2011-01-01	2011-05-13	Lundin Norway AS	25.000000	\N	2007-02-16	9999-12-31	4238812	2767314	9999-12-31	2013-05-08
438	2011-05-13	2013-02-13	Lundin Norway AS	25.000000	\N	2007-02-16	9999-12-31	4238812	2767314	2013-02-20	2013-05-08
438	2013-02-13	9999-12-31	Lundin Norway AS	25.000000	\N	2007-02-16	9999-12-31	4238812	2767314	9999-12-31	2013-05-08
438	2011-05-13	2013-02-13	Spring Energy Norway AS	17.500000	\N	9999-12-31	9999-12-31	4238812	5072514	2013-02-20	2013-05-08
438	2011-01-01	2011-05-13	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	4238812	17342870	9999-12-31	2013-05-08
438	2011-05-13	2013-02-13	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	4238812	17342870	2013-02-20	2013-05-08
438	2013-02-13	9999-12-31	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	4238812	17342870	9999-12-31	2013-05-08
438	2013-02-13	9999-12-31	Tullow Oil Norge AS	17.500000	\N	9999-12-31	9999-12-31	4238812	23173852	9999-12-31	2013-05-08
439	2007-02-16	2007-02-17	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238830	97557	9999-12-31	2013-05-08
439	2007-02-17	2011-10-08	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238830	97557	9999-12-31	2013-05-08
439	2011-10-08	2012-12-16	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	4238830	97557	2013-02-13	2013-05-08
439	2007-02-16	2007-02-17	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238830	1626839	9999-12-31	2013-05-08
439	2007-02-17	2011-10-08	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238830	1626839	9999-12-31	2013-05-08
439	2011-10-08	2012-12-16	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4238830	1626839	2013-02-13	2013-05-08
439	2007-02-16	2007-02-17	OMV (Norge) AS	50.000000	\N	2007-02-16	2012-12-16	4238830	4460594	2013-02-14	2013-05-08
439	2007-02-17	2011-10-08	OMV (Norge) AS	40.000000	\N	2007-02-16	2012-12-16	4238830	4460594	2013-02-14	2013-05-08
439	2011-10-08	2012-12-16	OMV (Norge) AS	40.000000	\N	2007-02-16	2012-12-16	4238830	4460594	2013-02-14	2013-05-08
439	2007-02-17	2011-10-08	Sagex Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	4238830	4504106	9999-12-31	2013-05-08
439	2011-10-08	2012-12-16	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	4238830	21104529	2013-02-13	2013-05-08
449	2007-06-15	2007-06-16	Discover Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4238846	3500333	9999-12-31	2013-05-08
449	2007-06-16	2010-05-26	Discover Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4238846	3500333	9999-12-31	2013-05-08
449	2007-06-15	2007-06-16	OMV (Norge) AS	70.000000	\N	2007-06-15	2010-06-15	4238846	4460594	9999-12-31	2013-05-08
449	2007-06-16	2010-05-26	OMV (Norge) AS	50.000000	\N	2007-06-15	2010-06-15	4238846	4460594	9999-12-31	2013-05-08
449	2010-05-26	2010-06-15	OMV (Norge) AS	50.000000	\N	2007-06-15	2010-06-15	4238846	4460594	9999-12-31	2013-05-08
449	2007-06-16	2010-05-26	Sagex Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238846	4504106	9999-12-31	2013-05-08
449	2010-05-26	2010-06-15	Sagex Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4238846	4504106	9999-12-31	2013-05-08
449	2010-05-26	2010-06-15	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4238846	18108745	9999-12-31	2013-05-08
050 DS	2006-10-06	2007-01-01	Norsk Hydro Produksjon AS	9.000000	\N	9999-12-31	9999-12-31	4380141	430	9999-12-31	2013-05-08
050 DS	2006-10-06	2007-01-01	Statoil ASA (old)	61.000000	\N	2006-10-06	2007-10-01	4380141	1622484	9999-12-31	2013-05-08
050 DS	2007-01-01	2007-10-01	Statoil ASA (old)	61.000000	\N	2006-10-06	2007-10-01	4380141	1622484	9999-12-31	2013-05-08
050 DS	2006-10-06	2007-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4380141	1626839	9999-12-31	2013-05-08
050 DS	2007-01-01	2007-10-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4380141	1626839	9999-12-31	2013-05-08
050 DS	2007-10-01	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4380141	1626839	9999-12-31	2013-05-08
050 DS	2009-01-01	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4380141	1626839	9999-12-31	2013-05-08
050 DS	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4380141	1626839	9999-12-31	2013-05-08
050 DS	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	4380141	4511658	9999-12-31	2013-05-08
050 DS	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	4380141	4511658	9999-12-31	2013-05-08
050 DS	2007-10-01	2009-01-01	StatoilHydro ASA	61.000000	\N	2007-10-01	2008-12-31	4380141	4511854	9999-12-31	2013-05-08
050 DS	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	9.000000	\N	9999-12-31	9999-12-31	4380141	4524355	9999-12-31	2013-05-08
050 DS	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	4380141	17237817	9999-12-31	2013-05-08
120 B	2006-10-06	2007-01-01	Norsk Hydro Produksjon AS	29.000000	\N	9999-12-31	9999-12-31	4380181	430	9999-12-31	2013-05-08
120 B	2006-10-06	2007-01-01	Statoil ASA (old)	30.064520	\N	2006-10-06	2007-10-01	4380181	1622484	9999-12-31	2013-05-08
120 B	2007-01-01	2007-10-01	Statoil ASA (old)	30.064520	\N	2006-10-06	2007-10-01	4380181	1622484	9999-12-31	2013-05-08
120 B	2006-10-06	2007-01-01	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	4380181	1626839	9999-12-31	2013-05-08
120 B	2007-01-01	2007-10-01	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	4380181	1626839	9999-12-31	2013-05-08
120 B	2007-10-01	2007-11-21	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	4380181	1626839	9999-12-31	2013-05-08
120 B	2007-11-21	2009-01-01	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	4380181	1626839	9999-12-31	2013-05-08
120 B	2009-01-01	2009-11-02	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	4380181	1626839	9999-12-31	2013-05-08
120 B	2009-11-02	9999-12-31	Petoro AS	16.935480	\N	9999-12-31	9999-12-31	4380181	1626839	9999-12-31	2013-05-08
120 B	2006-10-06	2007-01-01	Norske ConocoPhillips AS	13.000000	\N	9999-12-31	9999-12-31	4380181	2399056	9999-12-31	2013-05-08
120 B	2007-01-01	2007-10-01	Norske ConocoPhillips AS	13.000000	\N	9999-12-31	9999-12-31	4380181	2399056	9999-12-31	2013-05-08
120 B	2007-10-01	2007-11-21	Norske ConocoPhillips AS	13.000000	\N	9999-12-31	9999-12-31	4380181	2399056	9999-12-31	2013-05-08
120 B	2007-11-21	2009-01-01	ConocoPhillips Skandinavia AS	13.000000	\N	9999-12-31	9999-12-31	4380181	2410696	9999-12-31	2013-05-08
120 B	2009-01-01	2009-11-02	ConocoPhillips Skandinavia AS	13.000000	\N	9999-12-31	9999-12-31	4380181	2410696	9999-12-31	2013-05-08
120 B	2009-11-02	9999-12-31	ConocoPhillips Skandinavia AS	13.000000	\N	9999-12-31	9999-12-31	4380181	2410696	9999-12-31	2013-05-08
120 B	2006-10-06	2007-01-01	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	4380181	2410708	9999-12-31	2013-05-08
120 B	2007-01-01	2007-10-01	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	4380181	2410708	9999-12-31	2013-05-08
120 B	2007-10-01	2007-11-21	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	4380181	2410708	9999-12-31	2013-05-08
120 B	2007-11-21	2009-01-01	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	4380181	2410708	9999-12-31	2013-05-08
120 B	2009-01-01	2009-11-02	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	4380181	2410708	9999-12-31	2013-05-08
120 B	2009-11-02	9999-12-31	Total E&P Norge AS	11.000000	\N	9999-12-31	9999-12-31	4380181	2410708	9999-12-31	2013-05-08
120 B	2007-10-01	2007-11-21	StatoilHydro Petroleum AS	29.000000	\N	9999-12-31	9999-12-31	4380181	4511658	9999-12-31	2013-05-08
120 B	2007-11-21	2009-01-01	StatoilHydro Petroleum AS	29.000000	\N	9999-12-31	9999-12-31	4380181	4511658	9999-12-31	2013-05-08
120 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	59.064520	\N	2009-01-01	2009-11-01	4380181	4511658	9999-12-31	2013-05-08
120 B	2007-10-01	2007-11-21	StatoilHydro ASA	30.064520	\N	2007-10-01	2008-12-31	4380181	4511854	9999-12-31	2013-05-08
120 B	2007-11-21	2009-01-01	StatoilHydro ASA	30.064520	\N	2007-10-01	2008-12-31	4380181	4511854	9999-12-31	2013-05-08
120 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	29.000000	\N	9999-12-31	9999-12-31	4380181	4524355	9999-12-31	2013-05-08
120 B	2009-11-02	9999-12-31	Statoil Petroleum AS	59.064520	\N	2009-11-02	9999-12-31	4380181	17237817	9999-12-31	2013-05-08
229 B	2007-04-27	2007-06-20	Det Norske Oljeselskap AS	15.000000	\N	9999-12-31	9999-12-31	4461754	1340609	9999-12-31	2013-05-08
229 B	2007-04-27	2007-06-20	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	4461754	1622484	9999-12-31	2013-05-08
229 B	2007-06-20	2007-10-01	Statoil ASA (old)	20.000000	\N	9999-12-31	9999-12-31	4461754	1622484	9999-12-31	2013-05-08
229 B	2007-04-27	2007-06-20	Eni Norge AS	65.000000	\N	2007-04-27	9999-12-31	4461754	2388594	9999-12-31	2013-05-08
229 B	2007-06-20	2007-10-01	Eni Norge AS	65.000000	\N	2007-04-27	9999-12-31	4461754	2388594	9999-12-31	2013-05-08
229 B	2007-10-01	2007-11-16	Eni Norge AS	65.000000	\N	2007-04-27	9999-12-31	4461754	2388594	9999-12-31	2013-05-08
229 B	2007-11-16	2008-01-01	Eni Norge AS	65.000000	\N	2007-04-27	9999-12-31	4461754	2388594	9999-12-31	2013-05-08
229 B	2008-01-01	2008-01-02	Eni Norge AS	65.000000	\N	2007-04-27	9999-12-31	4461754	2388594	9999-12-31	2013-05-08
229 B	2008-01-02	2009-01-01	Eni Norge AS	65.000000	\N	2007-04-27	9999-12-31	4461754	2388594	9999-12-31	2013-05-08
229 B	2009-01-01	2009-11-02	Eni Norge AS	65.000000	\N	2007-04-27	9999-12-31	4461754	2388594	9999-12-31	2013-05-08
229 B	2009-11-02	9999-12-31	Eni Norge AS	65.000000	\N	2007-04-27	9999-12-31	4461754	2388594	9999-12-31	2013-05-08
229 B	2007-06-20	2007-10-01	Det Norske Oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	4461754	4468177	9999-12-31	2013-05-08
229 B	2007-10-01	2007-11-16	Det Norske Oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	4461754	4468177	9999-12-31	2013-05-08
229 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	35.000000	\N	9999-12-31	9999-12-31	4461754	4511658	9999-12-31	2013-05-08
229 B	2007-10-01	2007-11-16	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	4461754	4511854	9999-12-31	2013-05-08
229 B	2007-11-16	2008-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	4461754	4511854	9999-12-31	2013-05-08
229 B	2008-01-01	2008-01-02	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	4461754	4511854	9999-12-31	2013-05-08
229 B	2008-01-02	2009-01-01	StatoilHydro ASA	35.000000	\N	9999-12-31	9999-12-31	4461754	4511854	9999-12-31	2013-05-08
229 B	2007-11-16	2008-01-01	Noil Energy ASA	15.000000	\N	9999-12-31	9999-12-31	4461754	4539976	9999-12-31	2013-05-08
229 B	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	4461754	4539989	9999-12-31	2013-05-08
229 B	2009-11-02	9999-12-31	Statoil Petroleum AS	35.000000	\N	9999-12-31	9999-12-31	4461754	17237817	9999-12-31	2013-05-08
316 CS	2009-01-01	2009-01-17	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	4480974	34	9999-12-31	2013-05-08
316 CS	2009-01-17	2010-06-18	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	4480974	34	9999-12-31	2013-05-08
316 CS	2007-08-23	2007-08-28	Talisman Energy Norge AS	70.000000	\N	2007-08-23	2010-06-18	4480974	2425093	9999-12-31	2013-05-08
316 CS	2007-08-28	2007-11-16	Talisman Energy Norge AS	35.000000	\N	2007-08-23	2010-06-18	4480974	2425093	9999-12-31	2013-05-08
316 CS	2007-11-16	2008-01-01	Talisman Energy Norge AS	35.000000	\N	2007-08-23	2010-06-18	4480974	2425093	9999-12-31	2013-05-08
316 CS	2008-01-01	2008-01-02	Talisman Energy Norge AS	35.000000	\N	2007-08-23	2010-06-18	4480974	2425093	9999-12-31	2013-05-08
316 CS	2008-01-02	2009-01-01	Talisman Energy Norge AS	35.000000	\N	2007-08-23	2010-06-18	4480974	2425093	9999-12-31	2013-05-08
316 CS	2009-01-01	2009-01-17	Talisman Energy Norge AS	25.000000	\N	2007-08-23	2010-06-18	4480974	2425093	9999-12-31	2013-05-08
316 CS	2009-01-17	2010-06-18	Talisman Energy Norge AS	25.000000	\N	2007-08-23	2010-06-18	4480974	2425093	9999-12-31	2013-05-08
316 CS	2007-08-23	2007-08-28	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4480974	3431773	9999-12-31	2013-05-08
316 CS	2007-08-28	2007-11-16	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4480974	3431773	9999-12-31	2013-05-08
316 CS	2007-11-16	2008-01-01	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4480974	3431773	9999-12-31	2013-05-08
316 CS	2008-01-01	2008-01-02	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	4480974	3431773	9999-12-31	2013-05-08
316 CS	2008-01-02	2009-01-01	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	4480974	3431773	9999-12-31	2013-05-08
316 CS	2009-01-01	2009-01-17	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	4480974	3431773	9999-12-31	2013-05-08
316 CS	2007-08-23	2007-08-28	Pertra ASA	10.000000	\N	9999-12-31	9999-12-31	4480974	3964368	9999-12-31	2013-05-08
316 CS	2007-08-28	2007-11-16	Pertra ASA	10.000000	\N	9999-12-31	9999-12-31	4480974	3964368	9999-12-31	2013-05-08
316 CS	2007-08-28	2007-11-16	Norwegian Energy Company ASA	35.000000	\N	9999-12-31	9999-12-31	4480974	4530695	9999-12-31	2013-05-08
316 CS	2007-11-16	2008-01-01	Norwegian Energy Company ASA	35.000000	\N	9999-12-31	9999-12-31	4480974	4530695	9999-12-31	2013-05-08
316 CS	2008-01-01	2008-01-02	Norwegian Energy Company ASA	35.000000	\N	9999-12-31	9999-12-31	4480974	4530695	9999-12-31	2013-05-08
316 CS	2008-01-02	2009-01-01	Norwegian Energy Company ASA	35.000000	\N	9999-12-31	9999-12-31	4480974	4530695	9999-12-31	2013-05-08
316 CS	2009-01-01	2009-01-17	Norwegian Energy Company ASA	35.000000	\N	9999-12-31	9999-12-31	4480974	4530695	9999-12-31	2013-05-08
316 CS	2009-01-17	2010-06-18	Norwegian Energy Company ASA	35.000000	\N	9999-12-31	9999-12-31	4480974	4530695	9999-12-31	2013-05-08
316 CS	2007-11-16	2008-01-01	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	4480974	4539989	9999-12-31	2013-05-08
316 CS	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	4480974	4539989	9999-12-31	2013-05-08
316 CS	2008-01-01	2008-01-02	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	4480974	5064434	9999-12-31	2013-05-08
316 CS	2008-01-02	2009-01-01	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4480974	5064434	9999-12-31	2013-05-08
316 CS	2009-01-01	2009-01-17	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4480974	5064434	9999-12-31	2013-05-08
316 CS	2009-01-17	2010-06-18	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4480974	5064434	9999-12-31	2013-05-08
316 CS	2009-01-17	2010-06-18	Wintershall Norge ASA	10.000000	\N	9999-12-31	9999-12-31	4480974	5442509	9999-12-31	2013-05-08
316 DS	2009-01-01	2009-01-17	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	4481011	34	9999-12-31	2013-05-08
316 DS	2009-01-17	2010-06-18	Norske AEDC A/S	10.000000	\N	9999-12-31	9999-12-31	4481011	34	9999-12-31	2013-05-08
316 DS	2007-08-23	2007-08-24	Talisman Energy Norge AS	70.000000	\N	2007-08-23	2010-06-18	4481011	2425093	9999-12-31	2013-05-08
316 DS	2007-08-24	2007-11-16	Talisman Energy Norge AS	50.000000	\N	2007-08-23	2010-06-18	4481011	2425093	9999-12-31	2013-05-08
316 DS	2007-11-16	2008-01-01	Talisman Energy Norge AS	50.000000	\N	2007-08-23	2010-06-18	4481011	2425093	9999-12-31	2013-05-08
316 DS	2008-01-01	2008-01-02	Talisman Energy Norge AS	50.000000	\N	2007-08-23	2010-06-18	4481011	2425093	9999-12-31	2013-05-08
316 DS	2008-01-02	2009-01-01	Talisman Energy Norge AS	50.000000	\N	2007-08-23	2010-06-18	4481011	2425093	9999-12-31	2013-05-08
316 DS	2009-01-01	2009-01-17	Talisman Energy Norge AS	40.000000	\N	2007-08-23	2010-06-18	4481011	2425093	9999-12-31	2013-05-08
316 DS	2009-01-17	2010-06-18	Talisman Energy Norge AS	40.000000	\N	2007-08-23	2010-06-18	4481011	2425093	9999-12-31	2013-05-08
316 DS	2007-08-23	2007-08-24	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4481011	3431773	9999-12-31	2013-05-08
316 DS	2007-08-24	2007-11-16	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4481011	3431773	9999-12-31	2013-05-08
316 DS	2007-11-16	2008-01-01	Revus Energy ASA	20.000000	\N	9999-12-31	9999-12-31	4481011	3431773	9999-12-31	2013-05-08
316 DS	2008-01-01	2008-01-02	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	4481011	3431773	9999-12-31	2013-05-08
316 DS	2008-01-02	2009-01-01	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	4481011	3431773	9999-12-31	2013-05-08
316 DS	2009-01-01	2009-01-17	Revus Energy ASA	10.000000	\N	9999-12-31	9999-12-31	4481011	3431773	9999-12-31	2013-05-08
316 DS	2007-08-23	2007-08-24	Pertra ASA	10.000000	\N	9999-12-31	9999-12-31	4481011	3964368	9999-12-31	2013-05-08
316 DS	2007-08-24	2007-11-16	Pertra ASA	10.000000	\N	9999-12-31	9999-12-31	4481011	3964368	9999-12-31	2013-05-08
316 DS	2007-08-24	2007-11-16	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	4481011	4062933	9999-12-31	2013-05-08
316 DS	2007-11-16	2008-01-01	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	4481011	4062933	9999-12-31	2013-05-08
316 DS	2008-01-01	2008-01-02	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	4481011	4062933	9999-12-31	2013-05-08
316 DS	2008-01-02	2009-01-01	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	4481011	4062933	9999-12-31	2013-05-08
316 DS	2009-01-01	2009-01-17	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	4481011	4062933	9999-12-31	2013-05-08
316 DS	2009-01-17	2010-06-18	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	4481011	4062933	9999-12-31	2013-05-08
316 DS	2007-11-16	2008-01-01	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	4481011	4539989	9999-12-31	2013-05-08
316 DS	2008-01-01	2008-01-02	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	4481011	4539989	9999-12-31	2013-05-08
316 DS	2008-01-01	2008-01-02	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	4481011	5064434	9999-12-31	2013-05-08
316 DS	2008-01-02	2009-01-01	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4481011	5064434	9999-12-31	2013-05-08
316 DS	2009-01-01	2009-01-17	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4481011	5064434	9999-12-31	2013-05-08
316 DS	2009-01-17	2010-06-18	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4481011	5064434	9999-12-31	2013-05-08
316 DS	2009-01-17	2010-06-18	Wintershall Norge ASA	10.000000	\N	9999-12-31	9999-12-31	4481011	5442509	9999-12-31	2013-05-08
202	1993-09-10	2001-01-11	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	4705176	67	9999-12-31	2013-05-08
202	2001-01-11	2001-05-10	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	4705176	67	9999-12-31	2013-05-08
202	2001-05-10	2001-06-01	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	4705176	67	9999-12-31	2013-05-08
202	2001-06-01	2004-01-01	Amerada Hess Norge AS	25.000000	\N	9999-12-31	9999-12-31	4705176	67	9999-12-31	2013-05-08
202	2001-01-11	2001-05-10	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	4705176	430	9999-12-31	2013-05-08
202	2001-05-10	2001-06-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	4705176	430	9999-12-31	2013-05-08
202	2001-06-01	2004-01-01	Norsk Hydro Produksjon AS	20.000000	\N	9999-12-31	9999-12-31	4705176	430	9999-12-31	2013-05-08
202	2004-01-01	2007-01-01	Norsk Hydro Produksjon AS	30.000000	\N	9999-12-31	9999-12-31	4705176	430	9999-12-31	2013-05-08
202	1993-09-10	2001-01-11	Saga Petroleum ASA	20.000000	\N	9999-12-31	9999-12-31	4705176	716	9999-12-31	2013-05-08
202	1993-09-10	2001-01-11	Den norske stats oljeselskap a.s	25.000000	\N	1993-09-10	2001-05-10	4705176	749	9999-12-31	2013-05-08
202	2001-01-11	2001-05-10	Den norske stats oljeselskap a.s	25.000000	\N	1993-09-10	2001-05-10	4705176	749	9999-12-31	2013-05-08
202	2001-05-10	2001-06-01	Statoil ASA (old)	25.000000	\N	2001-05-10	2007-10-01	4705176	1622484	9999-12-31	2013-05-08
202	2001-06-01	2004-01-01	Statoil ASA (old)	55.000000	\N	2001-05-10	2007-10-01	4705176	1622484	9999-12-31	2013-05-08
202	2004-01-01	2007-01-01	Statoil ASA (old)	70.000000	\N	2001-05-10	2007-10-01	4705176	1622484	9999-12-31	2013-05-08
202	2007-01-01	2007-10-01	Statoil ASA (old)	70.000000	\N	2001-05-10	2007-10-01	4705176	1622484	9999-12-31	2013-05-08
202	1993-09-10	2001-01-11	SDØE	30.000000	\N	9999-12-31	9999-12-31	4705176	1623450	9999-12-31	2013-05-08
202	2001-01-11	2001-05-10	SDØE	30.000000	\N	9999-12-31	9999-12-31	4705176	1623450	9999-12-31	2013-05-08
202	2001-05-10	2001-06-01	SDØE	30.000000	\N	9999-12-31	9999-12-31	4705176	1623450	9999-12-31	2013-05-08
202	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4705176	4511658	9999-12-31	2013-05-08
202	2007-10-01	2008-01-01	StatoilHydro ASA	70.000000	\N	2007-10-01	2008-01-01	4705176	4511854	9999-12-31	2013-05-08
202	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4705176	4524355	9999-12-31	2013-05-08
327 B	2007-12-07	2009-01-01	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	4720054	562	9999-12-31	2013-05-08
327 B	2009-01-01	2009-11-02	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	4720054	562	9999-12-31	2013-05-08
327 B	2009-11-02	9999-12-31	A/S Norske Shell	10.000000	\N	9999-12-31	9999-12-31	4720054	562	9999-12-31	2013-05-08
327 B	2007-12-07	2009-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4720054	1626839	9999-12-31	2013-05-08
327 B	2009-01-01	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4720054	1626839	9999-12-31	2013-05-08
327 B	2009-11-02	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4720054	1626839	9999-12-31	2013-05-08
327 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	70.000000	\N	2009-01-01	2009-11-01	4720054	4511658	9999-12-31	2013-05-08
327 B	2007-12-07	2009-01-01	StatoilHydro ASA	70.000000	\N	2007-12-07	2008-12-31	4720054	4511854	9999-12-31	2013-05-08
327 B	2009-11-02	9999-12-31	Statoil Petroleum AS	70.000000	\N	2009-11-02	9999-12-31	4720054	17237817	9999-12-31	2013-05-08
321 B	2007-02-07	2009-01-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4720082	2425093	9999-12-31	2013-05-08
321 B	2009-01-01	2009-11-02	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4720082	2425093	9999-12-31	2013-05-08
321 B	2009-11-02	2009-12-22	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4720082	2425093	9999-12-31	2013-05-08
321 B	2009-12-22	2009-12-23	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4720082	2425093	9999-12-31	2013-05-08
321 B	2009-12-23	2010-06-18	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4720082	2425093	9999-12-31	2013-05-08
321 B	2007-02-07	2009-01-01	Aker Exploration AS	35.000000	\N	9999-12-31	9999-12-31	4720082	4460425	9999-12-31	2013-05-08
321 B	2009-01-01	2009-11-02	Aker Exploration AS	35.000000	\N	9999-12-31	9999-12-31	4720082	4460425	9999-12-31	2013-05-08
321 B	2009-11-02	2009-12-22	Aker Exploration AS	35.000000	\N	9999-12-31	9999-12-31	4720082	4460425	9999-12-31	2013-05-08
321 B	2009-12-22	2009-12-23	Aker Exploration AS	35.000000	\N	9999-12-31	9999-12-31	4720082	4460425	9999-12-31	2013-05-08
321 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	4720082	4511658	9999-12-31	2013-05-08
321 B	2007-02-07	2009-01-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	4720082	4511854	9999-12-31	2013-05-08
321 B	2007-02-07	2009-01-01	Det norske oljeselskap ASA (old)	25.000000	\N	2007-12-07	2009-12-21	4720082	4539989	9999-12-31	2013-05-08
321 B	2009-01-01	2009-11-02	Det norske oljeselskap ASA (old)	25.000000	\N	2007-12-07	2009-12-21	4720082	4539989	9999-12-31	2013-05-08
321 B	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	25.000000	\N	2007-12-07	2009-12-21	4720082	4539989	9999-12-31	2013-05-08
321 B	2009-11-02	2009-12-22	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	4720082	17237817	9999-12-31	2013-05-08
321 B	2009-12-22	2009-12-23	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	4720082	17237817	9999-12-31	2013-05-08
321 B	2009-12-23	2010-06-18	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	4720082	17237817	9999-12-31	2013-05-08
321 B	2009-12-22	2009-12-23	Det norske oljeselskap ASA	25.000000	\N	2009-12-22	2010-06-18	4720082	17342870	9999-12-31	2013-05-08
321 B	2009-12-23	2010-06-18	Det norske oljeselskap ASA	25.000000	\N	2009-12-22	2010-06-18	4720082	17342870	9999-12-31	2013-05-08
321 B	2009-12-23	2010-06-18	Det norske oljeselskap AS	35.000000	\N	9999-12-31	9999-12-31	4720082	17342915	9999-12-31	2013-05-08
274 CS	2008-02-29	2009-01-17	Revus Energy ASA	15.000000	\N	9999-12-31	9999-12-31	4909658	3431773	9999-12-31	2013-05-08
274 CS	2008-02-29	2009-01-17	PA Resources Norway AS	30.000000	\N	9999-12-31	9999-12-31	4909658	3986418	9999-12-31	2013-05-08
274 CS	2009-01-17	2009-01-21	PA Resources Norway AS	30.000000	\N	9999-12-31	9999-12-31	4909658	3986418	9999-12-31	2013-05-08
274 CS	2008-02-29	2009-01-17	DONG E&P Norge AS	40.000000	\N	2008-02-29	9999-12-31	4909658	4070011	9999-12-31	2013-05-08
274 CS	2009-01-17	2009-01-21	DONG E&P Norge AS	40.000000	\N	2008-02-29	9999-12-31	4909658	4070011	9999-12-31	2013-05-08
274 CS	2009-01-21	2009-03-23	DONG E&P Norge AS	40.000000	\N	2008-02-29	9999-12-31	4909658	4070011	9999-12-31	2013-05-08
274 CS	2009-03-23	2009-07-31	DONG E&P Norge AS	40.000000	\N	2008-02-29	9999-12-31	4909658	4070011	9999-12-31	2013-05-08
274 CS	2009-07-31	2010-01-01	DONG E&P Norge AS	55.000000	\N	2008-02-29	9999-12-31	4909658	4070011	9999-12-31	2013-05-08
274 CS	2010-01-01	2012-07-05	DONG E&P Norge AS	55.000000	\N	2008-02-29	9999-12-31	4909658	4070011	2012-09-14	2013-05-08
274 CS	2012-07-05	9999-12-31	DONG E&P Norge AS	55.000000	\N	2008-02-29	9999-12-31	4909658	4070011	9999-12-31	2013-05-08
274 CS	2009-03-23	2009-07-31	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4909658	4444493	9999-12-31	2013-05-08
274 CS	2009-07-31	2010-01-01	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4909658	4444493	9999-12-31	2013-05-08
274 CS	2010-01-01	2012-07-05	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4909658	4444493	2012-09-14	2013-05-08
274 CS	2012-07-05	9999-12-31	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4909658	4444493	9999-12-31	2013-05-08
274 CS	2010-01-01	2012-07-05	Altinex Oil Norway AS	15.000000	\N	9999-12-31	9999-12-31	4909658	4446230	2012-09-14	2013-05-08
274 CS	2008-02-29	2009-01-17	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	4909658	4530695	9999-12-31	2013-05-08
274 CS	2009-01-17	2009-01-21	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	4909658	4530695	9999-12-31	2013-05-08
274 CS	2009-01-21	2009-03-23	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	4909658	4530695	9999-12-31	2013-05-08
274 CS	2009-03-23	2009-07-31	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	4909658	4530695	9999-12-31	2013-05-08
274 CS	2009-07-31	2010-01-01	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	4909658	4530695	9999-12-31	2013-05-08
274 CS	2009-01-17	2009-01-21	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	4909658	5442509	9999-12-31	2013-05-08
274 CS	2009-01-21	2009-03-23	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	4909658	5442509	9999-12-31	2013-05-08
274 CS	2009-03-23	2009-07-31	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	4909658	5442509	9999-12-31	2013-05-08
274 CS	2009-01-21	2009-03-23	Bayerngas Produksjon Norge AS	30.000000	\N	9999-12-31	9999-12-31	4909658	5461974	9999-12-31	2013-05-08
274 CS	2012-07-05	9999-12-31	Noreco Norway AS	15.000000	\N	9999-12-31	9999-12-31	4909658	22223020	9999-12-31	2013-05-08
006 D	2008-02-29	2008-03-01	Lundin Norway AS	75.000000	\N	2008-02-29	2011-08-29	4909688	2767314	9999-12-31	2013-05-08
006 D	2008-03-01	2011-08-29	Lundin Norway AS	75.000000	\N	2008-02-29	2011-08-29	4909688	2767314	9999-12-31	2013-05-08
006 D	2008-03-01	2011-08-29	Faroe Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	4909688	4062883	9999-12-31	2013-05-08
006 D	2008-02-29	2008-03-01	Norwegian Energy Company ASA	25.000000	\N	9999-12-31	9999-12-31	4909688	4530695	9999-12-31	2013-05-08
006 D	2008-03-01	2011-08-29	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	4909688	4530695	9999-12-31	2013-05-08
454	2008-02-29	2010-03-01	E.ON Ruhrgas Norge AS	100.000000	\N	2008-02-29	2010-03-01	4909716	2840522	9999-12-31	2013-05-08
452	2008-02-29	2009-08-29	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4909740	3960945	9999-12-31	2013-05-08
452	2008-02-29	2009-08-29	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4909740	4062883	9999-12-31	2013-05-08
452	2008-02-29	2009-08-29	Centrica Resources (Norge) AS	40.000000	\N	2008-02-29	2009-08-29	4909740	4238233	9999-12-31	2013-05-08
450	2008-03-01	2009-12-22	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	4909784	4526555	9999-12-31	2013-05-08
450	2009-12-22	2011-01-01	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	4909784	4526555	9999-12-31	2013-05-08
450	2011-01-01	9999-12-31	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	4909784	4526555	9999-12-31	2013-05-08
450	2008-02-29	2008-03-01	Det norske oljeselskap ASA (old)	100.000000	\N	2008-02-29	2009-12-21	4909784	4539989	9999-12-31	2013-05-08
450	2008-03-01	2009-12-22	Det norske oljeselskap ASA (old)	75.000000	\N	2008-02-29	2009-12-21	4909784	4539989	9999-12-31	2013-05-08
450	2009-12-22	2011-01-01	Det norske oljeselskap ASA	75.000000	\N	2009-12-22	9999-12-31	4909784	17342870	9999-12-31	2013-05-08
450	2011-01-01	9999-12-31	Det norske oljeselskap ASA	60.000000	\N	2009-12-22	9999-12-31	4909784	17342870	9999-12-31	2013-05-08
450	2011-01-01	9999-12-31	North Energy ASA	15.000000	\N	9999-12-31	9999-12-31	4909784	18082156	9999-12-31	2013-05-08
455	2008-02-29	2008-03-01	Skeie Energy AS (Old)	30.000000	\N	9999-12-31	9999-12-31	4909816	4511646	2013-03-19	2013-05-08
455	2008-03-01	2010-12-30	Skeie Energy AS (Old)	30.000000	\N	9999-12-31	9999-12-31	4909816	4511646	2013-03-19	2013-05-08
455	2008-02-29	2008-03-01	Norwegian Energy Company ASA	70.000000	\N	2008-02-29	2011-06-30	4909816	4530695	9999-12-31	2013-05-08
455	2008-03-01	2010-12-30	Norwegian Energy Company ASA	50.000000	\N	2008-02-29	2011-06-30	4909816	4530695	9999-12-31	2013-05-08
455	2010-12-30	2011-07-01	Norwegian Energy Company ASA	50.000000	\N	2008-02-29	2011-06-30	4909816	4530695	9999-12-31	2013-05-08
455	2008-03-01	2010-12-30	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4909816	5064434	9999-12-31	2013-05-08
455	2010-12-30	2011-07-01	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	4909816	5064434	9999-12-31	2013-05-08
455	2011-07-01	2011-12-16	Lotos Exploration and Production Norge AS	45.000000	\N	2011-07-01	9999-12-31	4909816	5064434	9999-12-31	2013-05-08
455	2011-12-16	9999-12-31	Lotos Exploration and Production Norge AS	45.000000	\N	2011-07-01	9999-12-31	4909816	5064434	9999-12-31	2013-05-08
455	2011-12-16	9999-12-31	Fortis Petroleum Norway AS	55.000000	\N	9999-12-31	9999-12-31	4909816	18386334	9999-12-31	2013-05-08
455	2010-12-30	2011-07-01	E&P Holding AS	30.000000	\N	9999-12-31	9999-12-31	4909816	20109546	9999-12-31	2013-05-08
455	2011-07-01	2011-12-16	E&P Holding AS	55.000000	\N	9999-12-31	9999-12-31	4909816	20109546	9999-12-31	2013-05-08
453 S	2008-02-29	2008-03-01	Lundin Norway AS	30.000000	\N	2008-02-29	9999-12-31	4909893	2767314	9999-12-31	2013-05-08
453 S	2008-03-01	2009-05-26	Lundin Norway AS	35.000000	\N	2008-02-29	9999-12-31	4909893	2767314	9999-12-31	2013-05-08
453 S	2009-05-26	2009-10-01	Lundin Norway AS	35.000000	\N	2008-02-29	9999-12-31	4909893	2767314	9999-12-31	2013-05-08
453 S	2009-10-01	2009-12-22	Lundin Norway AS	35.000000	\N	2008-02-29	9999-12-31	4909893	2767314	9999-12-31	2013-05-08
453 S	2009-12-22	2012-12-31	Lundin Norway AS	35.000000	\N	2008-02-29	9999-12-31	4909893	2767314	2013-01-04	2013-05-08
453 S	2012-12-31	9999-12-31	Lundin Norway AS	35.000000	\N	2008-02-29	9999-12-31	4909893	2767314	9999-12-31	2013-05-08
453 S	2008-02-29	2008-03-01	Endeavour Energy Norge AS	25.000000	\N	9999-12-31	9999-12-31	4909893	3113213	9999-12-31	2013-05-08
453 S	2008-03-01	2009-05-26	Endeavour Energy Norge AS	15.000000	\N	9999-12-31	9999-12-31	4909893	3113213	9999-12-31	2013-05-08
453 S	2008-02-29	2008-03-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4909893	4530695	9999-12-31	2013-05-08
453 S	2008-03-01	2009-05-26	Norwegian Energy Company ASA	25.000000	\N	9999-12-31	9999-12-31	4909893	4530695	9999-12-31	2013-05-08
453 S	2009-05-26	2009-10-01	Norwegian Energy Company ASA	25.000000	\N	9999-12-31	9999-12-31	4909893	4530695	9999-12-31	2013-05-08
453 S	2009-10-01	2009-12-22	Norwegian Energy Company ASA	25.000000	\N	9999-12-31	9999-12-31	4909893	4530695	9999-12-31	2013-05-08
453 S	2009-12-22	2012-12-31	Norwegian Energy Company ASA	25.000000	\N	9999-12-31	9999-12-31	4909893	4530695	2013-01-04	2013-05-08
453 S	2008-02-29	2008-03-01	Det norske oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	4909893	4539989	9999-12-31	2013-05-08
453 S	2008-03-01	2009-05-26	Det norske oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	4909893	4539989	9999-12-31	2013-05-08
453 S	2009-05-26	2009-10-01	Det norske oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	4909893	4539989	9999-12-31	2013-05-08
453 S	2009-10-01	2009-12-22	Det norske oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	4909893	4539989	9999-12-31	2013-05-08
453 S	2009-05-26	2009-10-01	VNG Norge (Operations) AS	15.000000	\N	9999-12-31	9999-12-31	4909893	5497155	9999-12-31	2013-05-08
453 S	2009-10-01	2009-12-22	VNG Norge AS	15.000000	\N	9999-12-31	9999-12-31	4909893	17237193	9999-12-31	2013-05-08
453 S	2009-12-22	2012-12-31	VNG Norge AS	15.000000	\N	9999-12-31	9999-12-31	4909893	17237193	2013-01-04	2013-05-08
453 S	2012-12-31	9999-12-31	VNG Norge AS	15.000000	\N	9999-12-31	9999-12-31	4909893	17237193	9999-12-31	2013-05-08
453 S	2009-12-22	2012-12-31	Det norske oljeselskap ASA	25.000000	\N	9999-12-31	9999-12-31	4909893	17342870	2013-01-04	2013-05-08
453 S	2012-12-31	9999-12-31	Det norske oljeselskap ASA	25.000000	\N	9999-12-31	9999-12-31	4909893	17342870	9999-12-31	2013-05-08
453 S	2012-12-31	9999-12-31	Noreco Norway AS	25.000000	\N	9999-12-31	9999-12-31	4909893	22223020	9999-12-31	2013-05-08
451	2008-02-29	2009-12-22	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	4910013	4062921	9999-12-31	2013-05-08
451	2009-12-22	2011-03-01	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	4910013	4062921	9999-12-31	2013-05-08
451	2008-02-29	2009-12-22	Norwegian Energy Company ASA	40.000000	\N	2008-02-29	2011-03-01	4910013	4530695	9999-12-31	2013-05-08
451	2009-12-22	2011-03-01	Norwegian Energy Company ASA	40.000000	\N	2008-02-29	2011-03-01	4910013	4530695	9999-12-31	2013-05-08
451	2008-02-29	2009-12-22	Det norske oljeselskap ASA (old)	40.000000	\N	9999-12-31	9999-12-31	4910013	4539989	9999-12-31	2013-05-08
451	2009-12-22	2011-03-01	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	4910013	17342870	9999-12-31	2013-05-08
457	2008-02-29	2009-01-17	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	2840522	9999-12-31	2013-05-08
457	2009-01-17	2009-05-26	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	2840522	9999-12-31	2013-05-08
457	2009-05-26	2009-10-01	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	2840522	9999-12-31	2013-05-08
457	2009-10-01	2010-03-30	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	2840522	9999-12-31	2013-05-08
457	2010-03-30	2012-02-11	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	2840522	9999-12-31	2013-05-08
457	2008-02-29	2009-01-17	Endeavour Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	3113213	9999-12-31	2013-05-08
457	2009-01-17	2009-05-26	Endeavour Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	3113213	9999-12-31	2013-05-08
457	2008-02-29	2009-01-17	Revus Energy ASA	40.000000	\N	2008-02-29	2009-01-16	4910110	3431773	9999-12-31	2013-05-08
457	2008-02-29	2009-01-17	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	4910110	4062933	9999-12-31	2013-05-08
457	2009-01-17	2009-05-26	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	4910110	4062933	9999-12-31	2013-05-08
457	2009-05-26	2009-10-01	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	4910110	4062933	9999-12-31	2013-05-08
457	2009-10-01	2010-03-30	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	4910110	4062933	9999-12-31	2013-05-08
457	2009-01-17	2009-05-26	Wintershall Norge ASA	40.000000	\N	2009-01-17	2012-03-23	4910110	5442509	9999-12-31	2013-05-08
457	2009-05-26	2009-10-01	Wintershall Norge ASA	40.000000	\N	2009-01-17	2012-03-23	4910110	5442509	9999-12-31	2013-05-08
457	2009-10-01	2010-03-30	Wintershall Norge ASA	40.000000	\N	2009-01-17	2012-03-23	4910110	5442509	9999-12-31	2013-05-08
457	2010-03-30	2012-02-11	Wintershall Norge ASA	40.000000	\N	2009-01-17	2012-03-23	4910110	5442509	9999-12-31	2013-05-08
457	2012-02-11	2012-03-24	Wintershall Norge ASA	40.000000	\N	2009-01-17	2012-03-23	4910110	5442509	9999-12-31	2013-05-08
457	2009-05-26	2009-10-01	VNG Norge (Operations) AS	20.000000	\N	9999-12-31	9999-12-31	4910110	5497155	9999-12-31	2013-05-08
457	2009-10-01	2010-03-30	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	17237193	9999-12-31	2013-05-08
457	2010-03-30	2012-02-11	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	17237193	9999-12-31	2013-05-08
457	2012-02-11	2012-03-24	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	17237193	9999-12-31	2013-05-08
457	2012-03-24	9999-12-31	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	17237193	9999-12-31	2013-05-08
457	2010-03-30	2012-02-11	Bridge Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	18178215	9999-12-31	2013-05-08
457	2012-02-11	2012-03-24	Bridge Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	18178215	9999-12-31	2013-05-08
457	2012-03-24	9999-12-31	Bridge Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	18178215	9999-12-31	2013-05-08
457	2012-02-11	2012-03-24	E.ON E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	21631209	9999-12-31	2013-05-08
457	2012-03-24	9999-12-31	E.ON E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	4910110	21631209	9999-12-31	2013-05-08
457	2012-03-24	9999-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	4910110	21666830	9999-12-31	2013-05-08
456	2008-02-29	2009-02-28	Rocksource ASA	100.000000	\N	2008-02-29	2009-02-28	4910146	4062921	9999-12-31	2013-05-08
460	2008-02-29	2008-03-01	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4910195	4460425	9999-12-31	2013-05-08
460	2008-03-01	2008-03-02	Aker Exploration AS	60.000000	\N	9999-12-31	9999-12-31	4910195	4460425	9999-12-31	2013-05-08
460	2008-03-02	2009-12-22	Aker Exploration AS	47.500000	\N	9999-12-31	9999-12-31	4910195	4460425	9999-12-31	2013-05-08
460	2009-12-22	2009-12-23	Aker Exploration AS	47.500000	\N	9999-12-31	9999-12-31	4910195	4460425	9999-12-31	2013-05-08
460	2008-02-29	2008-03-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	4910195	4511854	9999-12-31	2013-05-08
460	2008-02-29	2008-03-01	Det norske oljeselskap ASA (old)	40.000000	\N	2008-02-29	2009-12-21	4910195	4539989	9999-12-31	2013-05-08
460	2008-03-01	2008-03-02	Det norske oljeselskap ASA (old)	40.000000	\N	2008-02-29	2009-12-21	4910195	4539989	9999-12-31	2013-05-08
460	2008-03-02	2009-12-22	Det norske oljeselskap ASA (old)	52.500000	\N	2008-02-29	2009-12-21	4910195	4539989	9999-12-31	2013-05-08
460	2009-12-22	2009-12-23	Det norske oljeselskap ASA	52.500000	\N	2009-12-22	9999-12-31	4910195	17342870	9999-12-31	2013-05-08
460	2009-12-23	2010-10-01	Det norske oljeselskap ASA	52.500000	\N	2009-12-22	9999-12-31	4910195	17342870	9999-12-31	2013-05-08
460	2010-10-01	9999-12-31	Det norske oljeselskap ASA	100.000000	\N	2009-12-22	9999-12-31	4910195	17342870	9999-12-31	2013-05-08
460	2009-12-23	2010-10-01	Det norske oljeselskap AS	47.500000	\N	9999-12-31	9999-12-31	4910195	17342915	9999-12-31	2013-05-08
459	2008-02-29	2009-01-17	Revus Energy ASA	50.000000	\N	2008-02-29	2009-01-16	4910251	3431773	9999-12-31	2013-05-08
459	2008-02-29	2009-01-17	Bridge Energy AS	50.000000	\N	9999-12-31	9999-12-31	4910251	4062933	9999-12-31	2013-05-08
459	2009-01-17	2010-03-01	Bridge Energy AS	50.000000	\N	9999-12-31	9999-12-31	4910251	4062933	9999-12-31	2013-05-08
459	2009-01-17	2010-03-01	Wintershall Norge ASA	50.000000	\N	2009-01-17	2010-03-01	4910251	5442509	9999-12-31	2013-05-08
458	2008-02-29	2009-12-22	E.ON Ruhrgas Norge AS	40.000000	\N	2008-02-29	2010-03-01	4910277	2840522	9999-12-31	2013-05-08
458	2009-12-22	2010-03-01	E.ON Ruhrgas Norge AS	40.000000	\N	2008-02-29	2010-03-01	4910277	2840522	9999-12-31	2013-05-08
458	2008-02-29	2009-12-22	Norwegian Energy Company ASA	30.000000	\N	9999-12-31	9999-12-31	4910277	4530695	9999-12-31	2013-05-08
458	2009-12-22	2010-03-01	Norwegian Energy Company ASA	30.000000	\N	9999-12-31	9999-12-31	4910277	4530695	9999-12-31	2013-05-08
458	2008-02-29	2009-12-22	Det norske oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	4910277	4539989	9999-12-31	2013-05-08
458	2009-12-22	2010-03-01	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	4910277	17342870	9999-12-31	2013-05-08
461	2008-02-29	2009-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4910313	1626839	9999-12-31	2013-05-08
461	2009-01-01	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4910313	1626839	9999-12-31	2013-05-08
461	2009-11-02	2010-03-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4910313	1626839	9999-12-31	2013-05-08
461	2008-02-29	2009-01-01	Wintershall Norge AS (old)	15.000000	\N	9999-12-31	9999-12-31	4910313	3482302	9999-12-31	2013-05-08
461	2009-01-01	2009-11-02	Wintershall Norge AS (old)	15.000000	\N	9999-12-31	9999-12-31	4910313	3482302	9999-12-31	2013-05-08
461	2009-11-02	2010-03-01	Wintershall Norge AS (old)	15.000000	\N	9999-12-31	9999-12-31	4910313	3482302	9999-12-31	2013-05-08
461	2008-02-29	2009-01-01	Genesis Petroleum Norway AS	15.000000	\N	9999-12-31	9999-12-31	4910313	4062957	9999-12-31	2013-05-08
461	2009-01-01	2009-11-02	Genesis Petroleum Norway AS	15.000000	\N	9999-12-31	9999-12-31	4910313	4062957	9999-12-31	2013-05-08
461	2009-11-02	2010-03-01	Genesis Petroleum Norway AS	15.000000	\N	9999-12-31	9999-12-31	4910313	4062957	9999-12-31	2013-05-08
461	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2009-01-01	2009-11-01	4910313	4511658	9999-12-31	2013-05-08
461	2008-02-29	2009-01-01	StatoilHydro ASA	50.000000	\N	2008-02-29	2008-12-31	4910313	4511854	9999-12-31	2013-05-08
461	2009-11-02	2010-03-01	Statoil Petroleum AS	50.000000	\N	2009-11-02	2010-03-01	4910313	17237817	9999-12-31	2013-05-08
462 S	2008-02-29	2009-12-22	Wintershall Norge AS (old)	30.000000	\N	9999-12-31	9999-12-31	4910350	3482302	9999-12-31	2013-05-08
462 S	2009-12-22	2010-10-01	Wintershall Norge AS (old)	30.000000	\N	9999-12-31	9999-12-31	4910350	3482302	9999-12-31	2013-05-08
462 S	2010-10-01	2011-03-01	Wintershall Norge AS (old)	30.000000	\N	9999-12-31	9999-12-31	4910350	3482302	9999-12-31	2013-05-08
462 S	2008-02-29	2009-12-22	Nexen Exploration Norge AS	40.000000	\N	2008-02-29	2011-03-01	4910350	4062831	9999-12-31	2013-05-08
462 S	2009-12-22	2010-10-01	Nexen Exploration Norge AS	40.000000	\N	2008-02-29	2011-03-01	4910350	4062831	9999-12-31	2013-05-08
462 S	2010-10-01	2011-03-01	Nexen Exploration Norge AS	40.000000	\N	2008-02-29	2011-03-01	4910350	4062831	9999-12-31	2013-05-08
462 S	2008-02-29	2009-12-22	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4910350	4460425	9999-12-31	2013-05-08
462 S	2010-10-01	2011-03-01	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	4910350	17342870	9999-12-31	2013-05-08
462 S	2009-12-22	2010-10-01	Det norske oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	4910350	17342915	9999-12-31	2013-05-08
463 S	2008-03-01	2009-12-22	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4910414	4460425	9999-12-31	2013-05-08
463 S	2009-12-22	2009-12-23	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4910414	4460425	9999-12-31	2013-05-08
463 S	2008-02-29	2008-03-01	Det norske oljeselskap ASA (old)	100.000000	\N	2008-02-29	2009-12-21	4910414	4539989	9999-12-31	2013-05-08
463 S	2008-03-01	2009-12-22	Det norske oljeselskap ASA (old)	70.000000	\N	2008-02-29	2009-12-21	4910414	4539989	9999-12-31	2013-05-08
463 S	2009-12-22	2009-12-23	Det norske oljeselskap ASA	70.000000	\N	2009-12-22	2011-08-28	4910414	17342870	9999-12-31	2013-05-08
463 S	2009-12-23	2010-10-01	Det norske oljeselskap ASA	70.000000	\N	2009-12-22	2011-08-28	4910414	17342870	9999-12-31	2013-05-08
463 S	2010-10-01	2011-08-28	Det norske oljeselskap ASA	100.000000	\N	2009-12-22	2011-08-28	4910414	17342870	9999-12-31	2013-05-08
463 S	2009-12-23	2010-10-01	Det norske oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	4910414	17342915	9999-12-31	2013-05-08
465	2008-02-29	2011-03-01	Wintershall Norge AS (old)	40.000000	\N	9999-12-31	9999-12-31	4918009	3482302	9999-12-31	2013-05-08
465	2008-02-29	2011-03-01	Nexen Exploration Norge AS	60.000000	\N	2008-02-29	2011-03-01	4918009	4062831	9999-12-31	2013-05-08
052 C	2008-02-29	2009-01-01	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	4918046	97557	9999-12-31	2013-05-08
052 C	2009-01-01	2009-01-02	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	4918046	97557	9999-12-31	2013-05-08
052 C	2009-01-02	2009-01-17	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	4918046	97557	9999-12-31	2013-05-08
052 C	2009-01-17	2009-11-02	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	4918046	97557	9999-12-31	2013-05-08
052 C	2009-11-02	2011-03-01	RWE Dea Norge AS	13.500000	\N	9999-12-31	9999-12-31	4918046	97557	9999-12-31	2013-05-08
052 C	2008-02-29	2009-01-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	4918046	1626839	9999-12-31	2013-05-08
052 C	2009-01-01	2009-01-02	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	4918046	1626839	9999-12-31	2013-05-08
052 C	2009-01-02	2009-01-17	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	4918046	1626839	9999-12-31	2013-05-08
052 C	2009-01-17	2009-11-02	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	4918046	1626839	9999-12-31	2013-05-08
052 C	2009-11-02	2011-03-01	Petoro AS	37.000000	\N	9999-12-31	9999-12-31	4918046	1626839	9999-12-31	2013-05-08
052 C	2008-02-29	2009-01-01	Talisman Energy Norge AS	27.000000	\N	9999-12-31	9999-12-31	4918046	2425093	9999-12-31	2013-05-08
052 C	2009-01-01	2009-01-02	Talisman Energy Norge AS	27.000000	\N	9999-12-31	9999-12-31	4918046	2425093	9999-12-31	2013-05-08
052 C	2008-02-29	2009-01-01	Revus Energy ASA	4.500000	\N	9999-12-31	9999-12-31	4918046	3431773	9999-12-31	2013-05-08
052 C	2009-01-01	2009-01-02	Revus Energy ASA	4.500000	\N	9999-12-31	9999-12-31	4918046	3431773	9999-12-31	2013-05-08
052 C	2009-01-02	2009-01-17	Revus Energy ASA	4.500000	\N	9999-12-31	9999-12-31	4918046	3431773	9999-12-31	2013-05-08
052 C	2009-01-02	2009-01-17	Talisman Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	4918046	3987574	9999-12-31	2013-05-08
052 C	2009-01-17	2009-11-02	Talisman Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	4918046	3987574	9999-12-31	2013-05-08
052 C	2009-11-02	2011-03-01	Talisman Resources Norge AS	27.000000	\N	9999-12-31	9999-12-31	4918046	3987574	9999-12-31	2013-05-08
052 C	2009-01-01	2009-01-02	StatoilHydro Petroleum AS	18.000000	\N	2009-01-01	2009-11-01	4918046	4511658	9999-12-31	2013-05-08
052 C	2009-01-02	2009-01-17	StatoilHydro Petroleum AS	18.000000	\N	2009-01-01	2009-11-01	4918046	4511658	9999-12-31	2013-05-08
052 C	2009-01-17	2009-11-02	StatoilHydro Petroleum AS	18.000000	\N	2009-01-01	2009-11-01	4918046	4511658	9999-12-31	2013-05-08
052 C	2008-02-29	2009-01-01	StatoilHydro ASA	18.000000	\N	2008-02-29	2008-12-31	4918046	4511854	9999-12-31	2013-05-08
052 C	2009-01-17	2009-11-02	Wintershall Norge ASA	4.500000	\N	9999-12-31	9999-12-31	4918046	5442509	9999-12-31	2013-05-08
052 C	2009-11-02	2011-03-01	Wintershall Norge ASA	4.500000	\N	9999-12-31	9999-12-31	4918046	5442509	9999-12-31	2013-05-08
052 C	2009-11-02	2011-03-01	Statoil Petroleum AS	18.000000	\N	2009-11-02	2011-03-01	4918046	17237817	9999-12-31	2013-05-08
464	2008-02-29	2011-03-01	E.ON Ruhrgas Norge AS	45.000000	\N	9999-12-31	9999-12-31	4918076	2840522	9999-12-31	2013-05-08
464	2008-02-29	2011-03-01	Dana Petroleum Norway AS	55.000000	\N	2008-02-29	2011-03-01	4918076	4526555	9999-12-31	2013-05-08
344 B	2008-02-29	2008-03-01	Revus Energy ASA	100.000000	\N	2008-02-29	2009-01-16	4918142	3431773	9999-12-31	2013-05-08
344 B	2008-03-01	2009-01-17	Revus Energy ASA	70.000000	\N	2008-02-29	2009-01-16	4918142	3431773	9999-12-31	2013-05-08
344 B	2008-03-01	2009-01-17	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	4918142	5072514	9999-12-31	2013-05-08
344 B	2009-01-17	2010-09-30	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	4918142	5072514	9999-12-31	2013-05-08
344 B	2010-09-30	2010-12-07	Spring Energy Norway AS	65.000000	\N	2010-09-30	2010-12-07	4918142	5072514	9999-12-31	2013-05-08
344 B	2009-01-17	2010-09-30	Wintershall Norge ASA	70.000000	\N	2009-01-17	2010-09-29	4918142	5442509	9999-12-31	2013-05-08
344 B	2010-09-30	2010-12-07	Wintershall Norge ASA	35.000000	\N	9999-12-31	9999-12-31	4918142	5442509	9999-12-31	2013-05-08
466 S	2008-02-29	2010-03-01	Nexen Exploration Norge AS	100.000000	\N	2008-02-29	2010-03-01	4918164	4062831	9999-12-31	2013-05-08
467 S	2008-02-29	2008-03-01	BG Norge AS	100.000000	\N	2008-02-29	2010-08-29	4918211	2747354	9999-12-31	2013-05-08
467 S	2008-03-01	2010-08-29	BG Norge AS	60.000000	\N	2008-02-29	2010-08-29	4918211	2747354	9999-12-31	2013-05-08
467 S	2008-03-01	2010-08-29	VNG Norge AS	40.000000	\N	9999-12-31	9999-12-31	4918211	17237193	9999-12-31	2013-05-08
153 B	2008-02-29	2009-01-01	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	4918242	562	9999-12-31	2013-05-08
153 B	2009-01-01	2009-01-02	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	4918242	562	9999-12-31	2013-05-08
153 B	2009-01-02	2009-11-02	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	4918242	562	9999-12-31	2013-05-08
153 B	2009-11-02	9999-12-31	A/S Norske Shell	12.000000	\N	9999-12-31	9999-12-31	4918242	562	9999-12-31	2013-05-08
153 B	2008-02-29	2009-01-01	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	4918242	97557	9999-12-31	2013-05-08
153 B	2009-01-01	2009-01-02	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	4918242	97557	9999-12-31	2013-05-08
153 B	2009-01-02	2009-11-02	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	4918242	97557	9999-12-31	2013-05-08
153 B	2009-11-02	9999-12-31	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	4918242	97557	9999-12-31	2013-05-08
153 B	2008-02-29	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4918242	1626839	9999-12-31	2013-05-08
153 B	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4918242	1626839	9999-12-31	2013-05-08
153 B	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4918242	1626839	9999-12-31	2013-05-08
153 B	2009-11-02	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4918242	1626839	9999-12-31	2013-05-08
153 B	2008-02-29	2009-01-01	Gaz de France Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918242	1628733	9999-12-31	2013-05-08
153 B	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	2009-01-01	2009-11-01	4918242	4511658	9999-12-31	2013-05-08
153 B	2008-02-29	2009-01-01	StatoilHydro ASA	20.000000	\N	2008-02-29	2008-12-31	4918242	4511854	9999-12-31	2013-05-08
153 B	2009-01-01	2009-01-02	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	4918242	4511854	9999-12-31	2013-05-08
153 B	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918242	5267845	9999-12-31	2013-05-08
153 B	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918242	5267845	9999-12-31	2013-05-08
153 B	2009-11-02	9999-12-31	GDF SUEZ E&P Norge AS	30.000000	\N	2010-11-25	9999-12-31	4918242	5267845	9999-12-31	2013-05-08
153 B	2009-11-02	9999-12-31	Statoil Petroleum AS	20.000000	\N	2009-11-02	2010-11-24	4918242	17237817	9999-12-31	2013-05-08
468	2008-02-29	2009-12-22	Aker Exploration AS	100.000000	\N	2008-02-29	2009-12-21	4918281	4460425	9999-12-31	2013-05-08
468	2010-01-01	2010-10-01	GDF SUEZ E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	4918281	5267845	9999-12-31	2013-05-08
468	2010-10-01	2012-02-29	GDF SUEZ E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	4918281	5267845	9999-12-31	2013-05-08
468	2010-10-01	2012-02-29	Det norske oljeselskap ASA	95.000000	\N	2010-10-01	2012-02-29	4918281	17342870	9999-12-31	2013-05-08
468	2009-12-22	2010-01-01	Det norske oljeselskap AS	100.000000	\N	2009-12-22	2010-09-30	4918281	17342915	9999-12-31	2013-05-08
468	2010-01-01	2010-10-01	Det norske oljeselskap AS	95.000000	\N	2009-12-22	2010-09-30	4918281	17342915	9999-12-31	2013-05-08
474	2008-02-29	2009-12-22	Wintershall Norge AS (old)	40.000000	\N	2008-02-29	2010-09-01	4918303	3482302	9999-12-31	2013-05-08
474	2009-12-22	2010-09-01	Wintershall Norge AS (old)	40.000000	\N	2008-02-29	2010-09-01	4918303	3482302	9999-12-31	2013-05-08
474	2008-02-29	2009-12-22	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4918303	4460425	9999-12-31	2013-05-08
474	2008-02-29	2009-12-22	Maersk Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	4918303	4719674	9999-12-31	2013-05-08
474	2009-12-22	2010-09-01	Maersk Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	4918303	4719674	9999-12-31	2013-05-08
474	2009-12-22	2010-09-01	Det norske oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	4918303	17342915	9999-12-31	2013-05-08
472	2008-02-29	2010-03-01	Wintershall Norge AS (old)	40.000000	\N	2008-02-29	2010-03-01	4918367	3482302	9999-12-31	2013-05-08
472	2008-02-29	2010-03-01	Bridge Energy AS	25.000000	\N	9999-12-31	9999-12-31	4918367	4062933	9999-12-31	2013-05-08
472	2008-02-29	2010-03-01	Maersk Oil Norway AS	35.000000	\N	9999-12-31	9999-12-31	4918367	4719674	9999-12-31	2013-05-08
475	2008-02-29	2009-01-01	Revus Energy ASA	30.000000	\N	2008-02-29	2009-01-16	4918410	3431773	9999-12-31	2013-05-08
475	2009-01-01	2009-01-17	Revus Energy ASA	30.000000	\N	2008-02-29	2009-01-16	4918410	3431773	9999-12-31	2013-05-08
475	2008-02-29	2009-01-01	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918410	4062883	9999-12-31	2013-05-08
475	2009-01-01	2009-01-17	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918410	4062883	9999-12-31	2013-05-08
475	2009-01-17	2010-01-01	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918410	4062883	9999-12-31	2013-05-08
475	2010-01-01	2011-09-30	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918410	4062883	9999-12-31	2013-05-08
475	2011-09-30	2012-03-24	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918410	4062883	9999-12-31	2013-05-08
475	2012-03-24	9999-12-31	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918410	4062883	9999-12-31	2013-05-08
475	2008-02-29	2009-01-01	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	4918410	4238233	9999-12-31	2013-05-08
475	2009-01-01	2009-01-17	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	4918410	4238233	9999-12-31	2013-05-08
475	2009-01-17	2010-01-01	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	4918410	4238233	9999-12-31	2013-05-08
475	2010-01-01	2011-09-30	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	4918410	4238233	9999-12-31	2013-05-08
475	2011-09-30	2012-03-24	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	4918410	4238233	9999-12-31	2013-05-08
475	2012-03-24	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	4918410	4238233	9999-12-31	2013-05-08
475	2008-02-29	2009-01-01	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	4918410	4460794	9999-12-31	2013-05-08
475	2009-01-01	2009-01-17	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	4918410	4460794	9999-12-31	2013-05-08
475	2009-01-17	2010-01-01	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	4918410	4460794	9999-12-31	2013-05-08
475	2010-01-01	2011-09-30	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	4918410	4460794	9999-12-31	2013-05-08
475	2010-01-01	2011-09-30	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	4918410	5072514	9999-12-31	2013-05-08
475	2009-01-01	2009-01-17	Wintershall Norge ASA	10.000000	\N	9999-12-31	9999-12-31	4918410	5442509	9999-12-31	2013-05-08
475	2009-01-17	2010-01-01	Wintershall Norge ASA	40.000000	\N	2009-01-17	2012-03-23	4918410	5442509	9999-12-31	2013-05-08
475	2010-01-01	2011-09-30	Wintershall Norge ASA	25.000000	\N	2009-01-17	2012-03-23	4918410	5442509	9999-12-31	2013-05-08
475	2011-09-30	2012-03-24	Wintershall Norge ASA	50.000000	\N	2009-01-17	2012-03-23	4918410	5442509	9999-12-31	2013-05-08
475	2012-03-24	9999-12-31	Wintershall Norge AS	50.000000	\N	2012-03-24	9999-12-31	4918410	21666830	9999-12-31	2013-05-08
405 B	2008-02-29	2009-01-01	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918473	3960945	9999-12-31	2013-05-08
405 B	2009-01-01	2011-02-28	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918473	3960945	9999-12-31	2013-05-08
405 B	2008-02-29	2009-01-01	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918473	4062883	9999-12-31	2013-05-08
405 B	2009-01-01	2011-02-28	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4918473	4062883	9999-12-31	2013-05-08
405 B	2011-02-28	2013-02-13	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4918473	4062883	2013-02-20	2013-05-08
405 B	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	4918473	4062883	9999-12-31	2013-05-08
405 B	2008-02-29	2009-01-01	Centrica Resources (Norge) AS	40.000000	\N	2008-02-29	9999-12-31	4918473	4238233	9999-12-31	2013-05-08
405 B	2009-01-01	2011-02-28	Centrica Resources (Norge) AS	40.000000	\N	2008-02-29	9999-12-31	4918473	4238233	9999-12-31	2013-05-08
405 B	2011-02-28	2013-02-13	Centrica Resources (Norge) AS	40.000000	\N	2008-02-29	9999-12-31	4918473	4238233	2013-02-20	2013-05-08
405 B	2013-02-13	9999-12-31	Centrica Resources (Norge) AS	40.000000	\N	2008-02-29	9999-12-31	4918473	4238233	9999-12-31	2013-05-08
405 B	2009-01-01	2011-02-28	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	4918473	5072514	9999-12-31	2013-05-08
405 B	2011-02-28	2013-02-13	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	4918473	5072514	2013-02-20	2013-05-08
405 B	2011-02-28	2013-02-13	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918473	20426420	2013-02-20	2013-05-08
405 B	2013-02-13	9999-12-31	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4918473	20426420	9999-12-31	2013-05-08
405 B	2013-02-13	9999-12-31	Tullow Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	4918473	23173852	9999-12-31	2013-05-08
471	2008-02-29	2009-07-01	OMV (Norge) AS	50.000000	\N	2008-02-29	2013-02-28	4918501	4460594	2013-03-22	2013-05-08
471	2009-07-01	2011-10-08	OMV (Norge) AS	50.000000	\N	2008-02-29	2013-02-28	4918501	4460594	2013-03-22	2013-05-08
471	2011-10-08	2012-05-31	OMV (Norge) AS	50.000000	\N	2008-02-29	2013-02-28	4918501	4460594	2013-03-22	2013-05-08
471	2012-05-31	2012-12-31	OMV (Norge) AS	40.000000	\N	2008-02-29	2013-02-28	4918501	4460594	2013-03-22	2013-05-08
471	2012-12-31	2013-02-28	OMV (Norge) AS	40.000000	\N	2008-02-29	2013-02-28	4918501	4460594	2013-03-22	2013-05-08
471	2008-02-29	2009-07-01	Sagex Petroleum Norge AS	50.000000	\N	9999-12-31	9999-12-31	4918501	4504106	9999-12-31	2013-05-08
471	2009-07-01	2011-10-08	Sagex Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4918501	4504106	9999-12-31	2013-05-08
471	2009-07-01	2011-10-08	Norwegian Energy Company ASA	30.000000	\N	9999-12-31	9999-12-31	4918501	4530695	9999-12-31	2013-05-08
471	2011-10-08	2012-05-31	Norwegian Energy Company ASA	30.000000	\N	9999-12-31	9999-12-31	4918501	4530695	2012-06-06	2013-05-08
471	2012-05-31	2012-12-31	Norwegian Energy Company ASA	40.000000	\N	9999-12-31	9999-12-31	4918501	4530695	2013-01-04	2013-05-08
471	2011-10-08	2012-05-31	Valiant Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4918501	21104529	2012-06-06	2013-05-08
471	2012-05-31	2012-12-31	Valiant Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4918501	21104529	2013-01-04	2013-05-08
471	2012-12-31	2013-02-28	Valiant Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	4918501	21104529	2013-03-22	2013-05-08
471	2012-12-31	2013-02-28	Noreco Norway AS	40.000000	\N	9999-12-31	9999-12-31	4918501	22223020	2013-03-22	2013-05-08
074 B	2008-02-29	2008-03-01	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	4918544	474	9999-12-31	2013-05-08
074 B	2008-02-29	2008-03-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	4918544	1626839	9999-12-31	2013-05-08
074 B	2008-03-01	2009-01-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	4918544	1626839	9999-12-31	2013-05-08
074 B	2009-01-01	2009-11-02	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	4918544	1626839	9999-12-31	2013-05-08
074 B	2009-11-02	9999-12-31	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	4918544	1626839	9999-12-31	2013-05-08
074 B	2008-02-29	2008-03-01	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	4918544	2388594	9999-12-31	2013-05-08
074 B	2008-03-01	2009-01-01	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	4918544	2388594	9999-12-31	2013-05-08
074 B	2009-01-01	2009-11-02	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	4918544	2388594	9999-12-31	2013-05-08
074 B	2009-11-02	9999-12-31	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	4918544	2388594	9999-12-31	2013-05-08
074 B	2008-03-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	9.800000	\N	9999-12-31	9999-12-31	4918544	2835212	9999-12-31	2013-05-08
074 B	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	9.800000	\N	9999-12-31	9999-12-31	4918544	2835212	9999-12-31	2013-05-08
074 B	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	9.800000	\N	9999-12-31	9999-12-31	4918544	2835212	9999-12-31	2013-05-08
074 B	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	40.850000	\N	2009-01-01	2009-11-01	4918544	4511658	9999-12-31	2013-05-08
074 B	2008-02-29	2008-03-01	StatoilHydro ASA	40.850000	\N	2008-02-29	2008-12-31	4918544	4511854	9999-12-31	2013-05-08
074 B	2008-03-01	2009-01-01	StatoilHydro ASA	40.850000	\N	2008-02-29	2008-12-31	4918544	4511854	9999-12-31	2013-05-08
074 B	2009-11-02	9999-12-31	Statoil Petroleum AS	40.850000	\N	2009-11-01	9999-12-31	4918544	17237817	9999-12-31	2013-05-08
473	2008-02-29	2008-03-01	Mobil Development Norway AS	9.800000	\N	9999-12-31	9999-12-31	4920841	474	9999-12-31	2013-05-08
473	2008-02-29	2008-03-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	4920841	1626839	9999-12-31	2013-05-08
473	2008-03-01	2009-01-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	4920841	1626839	9999-12-31	2013-05-08
473	2009-01-01	2009-11-02	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	4920841	1626839	9999-12-31	2013-05-08
473	2009-11-02	9999-12-31	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	4920841	1626839	9999-12-31	2013-05-08
473	2008-02-29	2008-03-01	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	4920841	2388594	9999-12-31	2013-05-08
473	2008-03-01	2009-01-01	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	4920841	2388594	9999-12-31	2013-05-08
473	2009-01-01	2009-11-02	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	4920841	2388594	9999-12-31	2013-05-08
473	2009-11-02	9999-12-31	Eni Norge AS	29.400000	\N	9999-12-31	9999-12-31	4920841	2388594	9999-12-31	2013-05-08
473	2008-03-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	9.800000	\N	9999-12-31	9999-12-31	4920841	2835212	9999-12-31	2013-05-08
473	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	9.800000	\N	9999-12-31	9999-12-31	4920841	2835212	9999-12-31	2013-05-08
473	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	9.800000	\N	9999-12-31	9999-12-31	4920841	2835212	9999-12-31	2013-05-08
473	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	40.850000	\N	2009-01-01	2009-11-01	4920841	4511658	9999-12-31	2013-05-08
473	2008-02-29	2008-03-01	StatoilHydro ASA	40.850000	\N	2008-02-29	2008-12-31	4920841	4511854	9999-12-31	2013-05-08
473	2008-03-01	2009-01-01	StatoilHydro ASA	40.850000	\N	2008-02-29	2008-12-31	4920841	4511854	9999-12-31	2013-05-08
473	2009-11-02	9999-12-31	Statoil Petroleum AS	40.850000	\N	2009-11-02	9999-12-31	4920841	17237817	9999-12-31	2013-05-08
469	2008-02-29	2008-03-01	Gaz de France Norge AS	70.000000	\N	2008-02-29	2008-12-31	4920878	1628733	9999-12-31	2013-05-08
469	2008-03-01	2009-01-01	Gaz de France Norge AS	52.500000	\N	2008-02-29	2008-12-31	4920878	1628733	9999-12-31	2013-05-08
469	2008-02-29	2008-03-01	Discover Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4920878	3500333	9999-12-31	2013-05-08
469	2008-03-01	2009-01-01	Discover Petroleum AS	22.500000	\N	9999-12-31	9999-12-31	4920878	3500333	9999-12-31	2013-05-08
469	2009-01-01	2009-12-22	Discover Petroleum AS	22.500000	\N	9999-12-31	9999-12-31	4920878	3500333	9999-12-31	2013-05-08
469	2009-12-22	2010-05-26	Discover Petroleum AS	22.500000	\N	9999-12-31	9999-12-31	4920878	3500333	9999-12-31	2013-05-08
469	2008-03-01	2009-01-01	Aker Exploration AS	25.000000	\N	9999-12-31	9999-12-31	4920878	4460425	9999-12-31	2013-05-08
469	2009-01-01	2009-12-22	Aker Exploration AS	25.000000	\N	9999-12-31	9999-12-31	4920878	4460425	9999-12-31	2013-05-08
469	2009-01-01	2009-12-22	GDF SUEZ E&P Norge AS	52.500000	\N	2009-01-01	2011-02-28	4920878	5267845	9999-12-31	2013-05-08
469	2009-12-22	2010-05-26	GDF SUEZ E&P Norge AS	52.500000	\N	2009-01-01	2011-02-28	4920878	5267845	9999-12-31	2013-05-08
469	2010-05-26	2010-10-01	GDF SUEZ E&P Norge AS	52.500000	\N	2009-01-01	2011-02-28	4920878	5267845	9999-12-31	2013-05-08
469	2010-10-01	2011-02-28	GDF SUEZ E&P Norge AS	52.500000	\N	2009-01-01	2011-02-28	4920878	5267845	9999-12-31	2013-05-08
469	2010-10-01	2011-02-28	Det norske oljeselskap ASA	25.000000	\N	9999-12-31	9999-12-31	4920878	17342870	9999-12-31	2013-05-08
469	2009-12-22	2010-05-26	Det norske oljeselskap AS	25.000000	\N	9999-12-31	9999-12-31	4920878	17342915	9999-12-31	2013-05-08
469	2010-05-26	2010-10-01	Det norske oljeselskap AS	25.000000	\N	9999-12-31	9999-12-31	4920878	17342915	9999-12-31	2013-05-08
469	2010-05-26	2010-10-01	Front Exploration AS	22.500000	\N	9999-12-31	9999-12-31	4920878	18108745	9999-12-31	2013-05-08
469	2010-10-01	2011-02-28	Front Exploration AS	22.500000	\N	9999-12-31	9999-12-31	4920878	18108745	9999-12-31	2013-05-08
470	2008-02-29	2011-03-01	Centrica Resources (Norge) AS	50.000000	\N	2008-02-29	2011-03-01	4920926	4238233	9999-12-31	2013-05-08
470	2008-02-29	2011-03-01	Bayerngas Norge AS	50.000000	\N	9999-12-31	9999-12-31	4920926	4444493	9999-12-31	2013-05-08
479	2008-02-29	2008-03-01	Mobil Development Norway AS	14.700000	\N	9999-12-31	9999-12-31	4920979	474	9999-12-31	2013-05-08
479	2008-02-29	2008-03-01	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	4920979	1626839	9999-12-31	2013-05-08
479	2008-03-01	2009-01-01	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	4920979	1626839	9999-12-31	2013-05-08
479	2009-01-01	2009-11-02	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	4920979	1626839	9999-12-31	2013-05-08
479	2009-11-02	9999-12-31	Petoro AS	14.950000	\N	9999-12-31	9999-12-31	4920979	1626839	9999-12-31	2013-05-08
479	2008-02-29	2008-03-01	Eni Norge AS	19.600000	\N	9999-12-31	9999-12-31	4920979	2388594	9999-12-31	2013-05-08
479	2008-03-01	2009-01-01	Eni Norge AS	19.600000	\N	9999-12-31	9999-12-31	4920979	2388594	9999-12-31	2013-05-08
479	2009-01-01	2009-11-02	Eni Norge AS	19.600000	\N	9999-12-31	9999-12-31	4920979	2388594	9999-12-31	2013-05-08
479	2009-11-02	9999-12-31	Eni Norge AS	19.600000	\N	9999-12-31	9999-12-31	4920979	2388594	9999-12-31	2013-05-08
479	2008-02-29	2008-03-01	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	4920979	2410708	9999-12-31	2013-05-08
479	2008-03-01	2009-01-01	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	4920979	2410708	9999-12-31	2013-05-08
479	2009-01-01	2009-11-02	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	4920979	2410708	9999-12-31	2013-05-08
479	2009-11-02	9999-12-31	Total E&P Norge AS	9.800000	\N	9999-12-31	9999-12-31	4920979	2410708	9999-12-31	2013-05-08
479	2008-03-01	2009-01-01	ExxonMobil Exploration & Production Norway AS	14.700000	\N	9999-12-31	9999-12-31	4920979	2835212	9999-12-31	2013-05-08
479	2009-01-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	14.700000	\N	9999-12-31	9999-12-31	4920979	2835212	9999-12-31	2013-05-08
479	2009-11-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	14.700000	\N	9999-12-31	9999-12-31	4920979	2835212	9999-12-31	2013-05-08
479	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	40.950000	\N	2009-01-01	2009-11-01	4920979	4511658	9999-12-31	2013-05-08
479	2008-02-29	2008-03-01	StatoilHydro ASA	40.950000	\N	2008-02-29	2008-12-31	4920979	4511854	9999-12-31	2013-05-08
479	2008-03-01	2009-01-01	StatoilHydro ASA	40.950000	\N	2008-02-29	2008-12-31	4920979	4511854	9999-12-31	2013-05-08
479	2009-11-02	9999-12-31	Statoil Petroleum AS	40.950000	\N	2009-11-02	9999-12-31	4920979	17237817	9999-12-31	2013-05-08
477	2008-02-29	2011-02-28	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921022	3960945	9999-12-31	2013-05-08
477	2008-02-29	2011-02-28	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921022	4062883	9999-12-31	2013-05-08
477	2011-02-28	9999-12-31	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921022	4062883	9999-12-31	2013-05-08
477	2008-02-29	2011-02-28	Centrica Resources (Norge) AS	40.000000	\N	2008-02-29	9999-12-31	4921022	4238233	9999-12-31	2013-05-08
477	2011-02-28	9999-12-31	Centrica Resources (Norge) AS	40.000000	\N	2008-02-29	9999-12-31	4921022	4238233	9999-12-31	2013-05-08
477	2011-02-28	9999-12-31	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921022	20426420	9999-12-31	2013-05-08
487 S	2008-02-29	2010-03-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4921153	1626839	9999-12-31	2013-05-08
487 S	2008-02-29	2010-03-01	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	4921153	2767314	9999-12-31	2013-05-08
487 S	2008-02-29	2010-03-01	E.ON Ruhrgas Norge AS	40.000000	\N	2008-02-29	2010-03-01	4921153	2840522	9999-12-31	2013-05-08
487 S	2008-02-29	2010-03-01	Genesis Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	4921153	4062957	9999-12-31	2013-05-08
488	2008-02-29	2009-01-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4921192	97557	9999-12-31	2013-05-08
488	2009-01-01	2009-01-02	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4921192	97557	9999-12-31	2013-05-08
488	2009-01-02	2009-11-02	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4921192	97557	9999-12-31	2013-05-08
488	2009-11-02	2011-01-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4921192	97557	9999-12-31	2013-05-08
488	2011-01-01	2012-11-19	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4921192	97557	2013-01-23	2013-05-08
488	2008-02-29	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4921192	1626839	9999-12-31	2013-05-08
488	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4921192	1626839	9999-12-31	2013-05-08
488	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4921192	1626839	9999-12-31	2013-05-08
488	2009-11-02	2011-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4921192	1626839	9999-12-31	2013-05-08
488	2011-01-01	2012-11-19	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4921192	1626839	2013-01-23	2013-05-08
488	2008-02-29	2009-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	4921192	1628733	9999-12-31	2013-05-08
488	2008-02-29	2009-01-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4921192	2410708	9999-12-31	2013-05-08
488	2009-01-01	2009-01-02	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4921192	2410708	9999-12-31	2013-05-08
488	2009-01-02	2009-11-02	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4921192	2410708	9999-12-31	2013-05-08
488	2009-11-02	2011-01-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4921192	2410708	9999-12-31	2013-05-08
488	2011-01-01	2012-11-19	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4921192	2410708	2013-01-23	2013-05-08
488	2008-02-29	2009-01-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4921192	4038735	9999-12-31	2013-05-08
488	2009-01-01	2009-01-02	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4921192	4038735	9999-12-31	2013-05-08
488	2009-01-02	2009-11-02	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4921192	4038735	9999-12-31	2013-05-08
488	2009-11-02	2011-01-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4921192	4038735	9999-12-31	2013-05-08
488	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	33.530000	\N	2009-01-01	2009-11-01	4921192	4511658	9999-12-31	2013-05-08
488	2008-02-29	2009-01-01	StatoilHydro ASA	33.530000	\N	2008-02-29	2008-12-31	4921192	4511854	9999-12-31	2013-05-08
488	2009-01-01	2009-01-02	StatoilHydro ASA	33.530000	\N	9999-12-31	9999-12-31	4921192	4511854	9999-12-31	2013-05-08
488	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	4921192	5267845	9999-12-31	2013-05-08
488	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	4921192	5267845	9999-12-31	2013-05-08
488	2009-11-02	2011-01-01	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	4921192	5267845	9999-12-31	2013-05-08
488	2011-01-01	2012-11-19	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	4921192	5267845	2013-01-23	2013-05-08
488	2009-11-02	2011-01-01	Statoil Petroleum AS	33.530000	\N	2009-11-02	2012-11-19	4921192	17237817	2013-01-24	2013-05-08
488	2011-01-01	2012-11-19	Statoil Petroleum AS	36.790000	\N	2009-11-02	2012-11-19	4921192	17237817	2013-01-24	2013-05-08
478	2008-02-29	2011-02-28	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921207	3960945	9999-12-31	2013-05-08
478	2008-02-29	2011-02-28	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921207	4062883	9999-12-31	2013-05-08
478	2011-02-28	2011-08-29	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921207	4062883	9999-12-31	2013-05-08
478	2008-02-29	2011-02-28	Centrica Resources (Norge) AS	40.000000	\N	2008-02-29	2011-08-29	4921207	4238233	9999-12-31	2013-05-08
478	2011-02-28	2011-08-29	Centrica Resources (Norge) AS	40.000000	\N	2008-02-29	2011-08-29	4921207	4238233	9999-12-31	2013-05-08
478	2011-02-28	2011-08-29	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921207	20426420	9999-12-31	2013-05-08
480	2008-02-29	2009-01-01	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921338	97557	9999-12-31	2013-05-08
480	2009-01-01	2009-11-02	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921338	97557	9999-12-31	2013-05-08
480	2009-11-02	2010-03-01	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921338	97557	9999-12-31	2013-05-08
480	2008-02-29	2009-01-01	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	4921338	4062921	9999-12-31	2013-05-08
480	2009-01-01	2009-11-02	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	4921338	4062921	9999-12-31	2013-05-08
480	2009-11-02	2010-03-01	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	4921338	4062921	9999-12-31	2013-05-08
480	2008-02-29	2009-01-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921338	4070011	9999-12-31	2013-05-08
480	2009-01-01	2009-11-02	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921338	4070011	9999-12-31	2013-05-08
480	2009-11-02	2010-03-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921338	4070011	9999-12-31	2013-05-08
480	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	2009-01-01	2009-11-01	4921338	4511658	9999-12-31	2013-05-08
480	2008-02-29	2009-01-01	StatoilHydro ASA	40.000000	\N	2008-02-29	2008-12-31	4921338	4511854	9999-12-31	2013-05-08
480	2009-11-02	2010-03-01	Statoil Petroleum AS	40.000000	\N	2009-11-02	2010-03-01	4921338	17237817	9999-12-31	2013-05-08
490	2009-01-01	2009-12-22	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	4921353	2425093	9999-12-31	2013-05-08
490	2009-12-22	2009-12-23	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	4921353	2425093	9999-12-31	2013-05-08
490	2009-12-23	2010-04-30	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	4921353	2425093	9999-12-31	2013-05-08
490	2010-04-30	2010-10-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921353	2425093	9999-12-31	2013-05-08
490	2010-10-01	2011-01-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921353	2425093	9999-12-31	2013-05-08
490	2011-01-01	2011-09-14	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921353	2425093	9999-12-31	2013-05-08
490	2008-02-29	2009-01-01	Lundin Norway AS	40.000000	\N	2008-02-29	9999-12-31	4921353	2767314	9999-12-31	2013-05-08
490	2009-01-01	2009-12-22	Lundin Norway AS	40.000000	\N	2008-02-29	9999-12-31	4921353	2767314	9999-12-31	2013-05-08
490	2009-12-22	2009-12-23	Lundin Norway AS	40.000000	\N	2008-02-29	9999-12-31	4921353	2767314	9999-12-31	2013-05-08
490	2009-12-23	2010-04-30	Lundin Norway AS	40.000000	\N	2008-02-29	9999-12-31	4921353	2767314	9999-12-31	2013-05-08
490	2010-04-30	2010-10-01	Lundin Norway AS	30.000000	\N	2008-02-29	9999-12-31	4921353	2767314	9999-12-31	2013-05-08
490	2010-10-01	2011-01-01	Lundin Norway AS	30.000000	\N	2008-02-29	9999-12-31	4921353	2767314	9999-12-31	2013-05-08
490	2011-01-01	2011-09-14	Lundin Norway AS	30.000000	\N	2008-02-29	9999-12-31	4921353	2767314	9999-12-31	2013-05-08
490	2011-09-14	2012-10-31	Lundin Norway AS	60.000000	\N	2008-02-29	9999-12-31	4921353	2767314	2012-11-10	2013-05-08
490	2012-10-31	2012-12-31	Lundin Norway AS	50.000000	\N	2008-02-29	9999-12-31	4921353	2767314	2013-01-04	2013-05-08
490	2012-12-31	2013-02-13	Lundin Norway AS	50.000000	\N	2008-02-29	9999-12-31	4921353	2767314	2013-02-20	2013-05-08
490	2013-02-13	9999-12-31	Lundin Norway AS	50.000000	\N	2008-02-29	9999-12-31	4921353	2767314	9999-12-31	2013-05-08
490	2008-02-29	2009-01-01	Aker Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4921353	4460425	9999-12-31	2013-05-08
490	2009-01-01	2009-12-22	Aker Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4921353	4460425	9999-12-31	2013-05-08
490	2009-12-22	2009-12-23	Aker Exploration AS	20.000000	\N	9999-12-31	9999-12-31	4921353	4460425	9999-12-31	2013-05-08
490	2008-02-29	2009-01-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4921353	4530695	9999-12-31	2013-05-08
490	2009-01-01	2009-12-22	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4921353	4530695	9999-12-31	2013-05-08
490	2009-12-22	2009-12-23	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4921353	4530695	9999-12-31	2013-05-08
490	2009-12-23	2010-04-30	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4921353	4530695	9999-12-31	2013-05-08
490	2010-04-30	2010-10-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4921353	4530695	9999-12-31	2013-05-08
490	2010-10-01	2011-01-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4921353	4530695	9999-12-31	2013-05-08
490	2011-09-14	2012-10-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4921353	4530695	2012-11-10	2013-05-08
490	2012-10-31	2012-12-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4921353	4530695	2013-01-04	2013-05-08
490	2008-02-29	2009-01-01	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	4921353	4539989	9999-12-31	2013-05-08
490	2009-01-01	2009-12-22	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	4921353	4539989	9999-12-31	2013-05-08
490	2011-01-01	2011-09-14	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	4921353	5072514	9999-12-31	2013-05-08
490	2011-09-14	2012-10-31	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	4921353	5072514	2012-11-10	2013-05-08
490	2012-10-31	2012-12-31	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921353	5072514	2013-01-04	2013-05-08
490	2012-12-31	2013-02-13	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921353	5072514	2013-02-20	2013-05-08
490	2009-12-22	2009-12-23	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	4921353	17342870	9999-12-31	2013-05-08
490	2009-12-23	2010-04-30	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	4921353	17342870	9999-12-31	2013-05-08
490	2010-04-30	2010-10-01	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	4921353	17342870	9999-12-31	2013-05-08
490	2010-10-01	2011-01-01	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	4921353	17342870	9999-12-31	2013-05-08
490	2011-01-01	2011-09-14	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	4921353	17342870	9999-12-31	2013-05-08
490	2009-12-23	2010-04-30	Det norske oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	4921353	17342915	9999-12-31	2013-05-08
490	2010-04-30	2010-10-01	Det norske oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	4921353	17342915	9999-12-31	2013-05-08
490	2012-12-31	2013-02-13	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	4921353	22223020	2013-02-20	2013-05-08
490	2013-02-13	9999-12-31	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	4921353	22223020	9999-12-31	2013-05-08
490	2013-02-13	9999-12-31	Tullow Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921353	23173852	9999-12-31	2013-05-08
476	2008-02-29	2009-12-22	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921415	2767314	9999-12-31	2013-05-08
476	2009-12-22	2011-01-22	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921415	2767314	9999-12-31	2013-05-08
476	2008-02-29	2009-12-22	Norwegian Energy Company ASA	30.000000	\N	9999-12-31	9999-12-31	4921415	4530695	9999-12-31	2013-05-08
476	2009-12-22	2011-01-22	Norwegian Energy Company ASA	30.000000	\N	9999-12-31	9999-12-31	4921415	4530695	9999-12-31	2013-05-08
476	2008-02-29	2009-12-22	Det norske oljeselskap ASA (old)	40.000000	\N	2008-02-29	2009-12-21	4921415	4539989	9999-12-31	2013-05-08
476	2009-12-22	2011-01-22	Det norske oljeselskap ASA	40.000000	\N	2009-12-22	2011-01-22	4921415	17342870	9999-12-31	2013-05-08
482	2008-02-29	2009-12-22	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4921474	1626839	9999-12-31	2013-05-08
482	2009-12-22	2013-03-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4921474	1626839	2013-04-13	2013-05-08
482	2008-02-29	2009-12-22	Skagen44 AS	15.000000	\N	9999-12-31	9999-12-31	4921474	4510260	9999-12-31	2013-05-08
482	2009-12-22	2013-03-01	Skagen44 AS	15.000000	\N	9999-12-31	9999-12-31	4921474	4510260	2013-04-13	2013-05-08
482	2008-02-29	2009-12-22	Det norske oljeselskap ASA (old)	65.000000	\N	2008-02-29	2009-12-21	4921474	4539989	9999-12-31	2013-05-08
482	2009-12-22	2013-03-01	Det norske oljeselskap ASA	65.000000	\N	2009-12-22	2013-03-01	4921474	17342870	2013-04-14	2013-05-08
489	2008-02-29	2009-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4921522	1626839	9999-12-31	2013-05-08
489	2009-01-01	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4921522	1626839	9999-12-31	2013-05-08
489	2009-11-02	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	4921522	1626839	9999-12-31	2013-05-08
489	2008-02-29	2009-01-01	Eni Norge AS	40.000000	\N	2008-02-29	9999-12-31	4921522	2388594	9999-12-31	2013-05-08
489	2009-01-01	2009-11-02	Eni Norge AS	40.000000	\N	2008-02-29	9999-12-31	4921522	2388594	9999-12-31	2013-05-08
489	2009-11-02	9999-12-31	Eni Norge AS	40.000000	\N	2008-02-29	9999-12-31	4921522	2388594	9999-12-31	2013-05-08
489	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	4921522	4511658	9999-12-31	2013-05-08
489	2008-02-29	2009-01-01	StatoilHydro ASA	40.000000	\N	9999-12-31	9999-12-31	4921522	4511854	9999-12-31	2013-05-08
489	2009-11-02	9999-12-31	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	4921522	17237817	9999-12-31	2013-05-08
481	2008-02-29	2010-05-26	Discover Petroleum AS	50.000000	\N	2008-02-29	2010-05-25	4921546	3500333	9999-12-31	2013-05-08
481	2012-10-31	2013-03-01	DONG E&P Norge AS	50.000000	\N	2012-10-31	9999-12-31	4921546	4070011	2013-05-08	2013-05-08
481	2008-02-29	2010-05-26	Skagen44 AS	50.000000	\N	9999-12-31	9999-12-31	4921546	4510260	9999-12-31	2013-05-08
481	2010-05-26	2012-10-31	Skagen44 AS	50.000000	\N	9999-12-31	9999-12-31	4921546	4510260	2012-11-06	2013-05-08
481	2012-10-31	2013-03-01	Skagen44 AS	50.000000	\N	9999-12-31	9999-12-31	4921546	4510260	2013-05-08	2013-05-08
481	2010-05-26	2012-10-31	Front Exploration AS	50.000000	\N	2010-05-26	2012-10-30	4921546	18108745	2012-11-07	2013-05-08
448 B	2008-02-29	2009-01-01	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4921587	97557	9999-12-31	2013-05-08
448 B	2009-01-01	2009-01-02	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4921587	97557	9999-12-31	2013-05-08
448 B	2009-01-02	2009-11-02	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4921587	97557	9999-12-31	2013-05-08
448 B	2009-11-02	2010-09-15	RWE Dea Norge AS	2.810000	\N	9999-12-31	9999-12-31	4921587	97557	9999-12-31	2013-05-08
448 B	2008-02-29	2009-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4921587	1626839	9999-12-31	2013-05-08
448 B	2009-01-01	2009-01-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4921587	1626839	9999-12-31	2013-05-08
448 B	2009-01-02	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4921587	1626839	9999-12-31	2013-05-08
448 B	2009-11-02	2010-09-15	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	4921587	1626839	9999-12-31	2013-05-08
448 B	2008-02-29	2009-01-01	Gaz de France Norge AS	12.000000	\N	9999-12-31	9999-12-31	4921587	1628733	9999-12-31	2013-05-08
448 B	2008-02-29	2009-01-01	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4921587	2410708	9999-12-31	2013-05-08
448 B	2009-01-01	2009-01-02	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4921587	2410708	9999-12-31	2013-05-08
448 B	2009-01-02	2009-11-02	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4921587	2410708	9999-12-31	2013-05-08
448 B	2009-11-02	2010-09-15	Total E&P Norge AS	18.400000	\N	9999-12-31	9999-12-31	4921587	2410708	9999-12-31	2013-05-08
448 B	2008-02-29	2009-01-01	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4921587	4038735	9999-12-31	2013-05-08
448 B	2009-01-01	2009-01-02	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4921587	4038735	9999-12-31	2013-05-08
448 B	2009-01-02	2009-11-02	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4921587	4038735	9999-12-31	2013-05-08
448 B	2009-11-02	2010-09-15	Hess Norge AS	3.260000	\N	9999-12-31	9999-12-31	4921587	4038735	9999-12-31	2013-05-08
448 B	2009-01-02	2009-11-02	StatoilHydro Petroleum AS	33.530000	\N	2009-01-01	2009-11-01	4921587	4511658	9999-12-31	2013-05-08
448 B	2008-02-29	2009-01-01	StatoilHydro ASA	33.530000	\N	2008-02-29	2008-12-31	4921587	4511854	9999-12-31	2013-05-08
448 B	2009-01-01	2009-01-02	StatoilHydro ASA	33.530000	\N	9999-12-31	9999-12-31	4921587	4511854	9999-12-31	2013-05-08
448 B	2009-01-01	2009-01-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	4921587	5267845	9999-12-31	2013-05-08
448 B	2009-01-02	2009-11-02	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	4921587	5267845	9999-12-31	2013-05-08
448 B	2009-11-02	2010-09-15	GDF SUEZ E&P Norge AS	12.000000	\N	9999-12-31	9999-12-31	4921587	5267845	9999-12-31	2013-05-08
448 B	2009-11-02	2010-09-15	Statoil Petroleum AS	33.530000	\N	2009-11-02	2010-09-15	4921587	17237817	9999-12-31	2013-05-08
484	2008-02-29	2012-02-11	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921632	2840522	9999-12-31	2013-05-08
484	2008-02-29	2012-02-11	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921632	4526555	9999-12-31	2013-05-08
484	2012-02-11	2012-12-31	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921632	4526555	2013-01-04	2013-05-08
484	2012-12-31	9999-12-31	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921632	4526555	9999-12-31	2013-05-08
484	2008-02-29	2012-02-11	Norwegian Energy Company ASA	40.000000	\N	2008-02-29	2012-12-30	4921632	4530695	2013-01-05	2013-05-08
484	2012-02-11	2012-12-31	Norwegian Energy Company ASA	40.000000	\N	2008-02-29	2012-12-30	4921632	4530695	2013-01-05	2013-05-08
484	2012-02-11	2012-12-31	E.ON E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921632	21631209	2013-01-04	2013-05-08
484	2012-12-31	9999-12-31	E.ON E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921632	21631209	9999-12-31	2013-05-08
484	2012-12-31	9999-12-31	Noreco Norway AS	40.000000	\N	2012-12-31	9999-12-31	4921632	22223020	2013-01-05	2013-05-08
491	2009-01-01	2009-12-22	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921667	2425093	9999-12-31	2013-05-08
491	2009-12-22	2009-12-23	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921667	2425093	9999-12-31	2013-05-08
491	2009-12-23	2010-05-26	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921667	2425093	9999-12-31	2013-05-08
491	2010-05-26	2010-10-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921667	2425093	9999-12-31	2013-05-08
491	2010-10-01	2011-03-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	4921667	2425093	9999-12-31	2013-05-08
491	2008-02-29	2009-01-01	Discover Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4921667	3500333	9999-12-31	2013-05-08
491	2009-01-01	2009-12-22	Discover Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4921667	3500333	9999-12-31	2013-05-08
491	2009-12-22	2009-12-23	Discover Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4921667	3500333	9999-12-31	2013-05-08
491	2009-12-23	2010-05-26	Discover Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4921667	3500333	9999-12-31	2013-05-08
491	2008-02-29	2009-01-01	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4921667	4460425	9999-12-31	2013-05-08
491	2009-01-01	2009-12-22	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4921667	4460425	9999-12-31	2013-05-08
491	2009-12-22	2009-12-23	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4921667	4460425	9999-12-31	2013-05-08
491	2008-02-29	2009-01-01	Det norske oljeselskap ASA (old)	40.000000	\N	2008-03-01	2009-12-21	4921667	4539989	9999-12-31	2013-05-08
491	2009-01-01	2009-12-22	Det norske oljeselskap ASA (old)	20.000000	\N	2008-03-01	2009-12-21	4921667	4539989	9999-12-31	2013-05-08
491	2009-12-22	2009-12-23	Det norske oljeselskap ASA	20.000000	\N	2009-12-22	2011-03-01	4921667	17342870	9999-12-31	2013-05-08
491	2009-12-23	2010-05-26	Det norske oljeselskap ASA	20.000000	\N	2009-12-22	2011-03-01	4921667	17342870	9999-12-31	2013-05-08
491	2010-05-26	2010-10-01	Det norske oljeselskap ASA	20.000000	\N	2009-12-22	2011-03-01	4921667	17342870	9999-12-31	2013-05-08
491	2010-10-01	2011-03-01	Det norske oljeselskap ASA	50.000000	\N	2009-12-22	2011-03-01	4921667	17342870	9999-12-31	2013-05-08
491	2009-12-23	2010-05-26	Det norske oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	4921667	17342915	9999-12-31	2013-05-08
491	2010-05-26	2010-10-01	Det norske oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	4921667	17342915	9999-12-31	2013-05-08
491	2010-05-26	2010-10-01	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4921667	18108745	9999-12-31	2013-05-08
491	2010-10-01	2011-03-01	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4921667	18108745	9999-12-31	2013-05-08
229 C	2008-02-29	2008-03-01	Eni Norge AS	65.000000	\N	2008-02-29	2009-02-28	4921701	2388594	9999-12-31	2013-05-08
229 C	2008-03-01	2008-03-02	Eni Norge AS	65.000000	\N	2008-02-29	2009-02-28	4921701	2388594	9999-12-31	2013-05-08
229 C	2008-03-02	2009-01-01	Eni Norge AS	65.000000	\N	2008-02-29	2009-02-28	4921701	2388594	9999-12-31	2013-05-08
229 C	2009-01-01	2009-02-28	Eni Norge AS	65.000000	\N	2008-02-29	2009-02-28	4921701	2388594	9999-12-31	2013-05-08
229 C	2009-01-01	2009-02-28	StatoilHydro Petroleum AS	35.000000	\N	9999-12-31	9999-12-31	4921701	4511658	9999-12-31	2013-05-08
229 C	2008-02-29	2008-03-01	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	4921701	4511854	9999-12-31	2013-05-08
229 C	2008-03-01	2008-03-02	StatoilHydro ASA	20.000000	\N	9999-12-31	9999-12-31	4921701	4511854	9999-12-31	2013-05-08
229 C	2008-03-02	2009-01-01	StatoilHydro ASA	35.000000	\N	9999-12-31	9999-12-31	4921701	4511854	9999-12-31	2013-05-08
229 C	2008-02-29	2008-03-01	Noil Energy ASA	15.000000	\N	9999-12-31	9999-12-31	4921701	4539976	9999-12-31	2013-05-08
229 C	2008-03-01	2008-03-02	Det norske oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	4921701	4539989	9999-12-31	2013-05-08
485	2008-02-29	2008-03-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921710	2840522	9999-12-31	2013-05-08
485	2008-03-01	2009-01-17	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921710	2840522	9999-12-31	2013-05-08
485	2009-01-17	2009-12-22	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921710	2840522	9999-12-31	2013-05-08
485	2009-12-22	2011-02-28	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4921710	2840522	9999-12-31	2013-05-08
485	2008-02-29	2008-03-01	Revus Energy ASA	40.000000	\N	2008-02-29	2009-01-16	4921710	3431773	9999-12-31	2013-05-08
485	2008-03-01	2009-01-17	Revus Energy ASA	40.000000	\N	2008-02-29	2009-01-16	4921710	3431773	9999-12-31	2013-05-08
485	2008-02-29	2008-03-01	Concedo ASA	30.000000	\N	9999-12-31	9999-12-31	4921710	4460794	9999-12-31	2013-05-08
485	2008-03-01	2009-01-17	Concedo ASA	15.000000	\N	9999-12-31	9999-12-31	4921710	4460794	9999-12-31	2013-05-08
485	2009-01-17	2009-12-22	Concedo ASA	15.000000	\N	9999-12-31	9999-12-31	4921710	4460794	9999-12-31	2013-05-08
485	2009-12-22	2011-02-28	Concedo ASA	15.000000	\N	9999-12-31	9999-12-31	4921710	4460794	9999-12-31	2013-05-08
485	2008-03-01	2009-01-17	Det norske oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	4921710	4539989	9999-12-31	2013-05-08
485	2009-01-17	2009-12-22	Det norske oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	4921710	4539989	9999-12-31	2013-05-08
485	2009-01-17	2009-12-22	Wintershall Norge ASA	40.000000	\N	2009-01-17	2011-02-28	4921710	5442509	9999-12-31	2013-05-08
485	2009-12-22	2011-02-28	Wintershall Norge ASA	40.000000	\N	2009-01-17	2011-02-28	4921710	5442509	9999-12-31	2013-05-08
485	2009-12-22	2011-02-28	Det norske oljeselskap ASA	15.000000	\N	9999-12-31	9999-12-31	4921710	17342870	9999-12-31	2013-05-08
483 S	2008-02-29	2009-12-22	Discover Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4921755	3500333	9999-12-31	2013-05-08
483 S	2009-12-22	2010-05-26	Discover Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4921755	3500333	9999-12-31	2013-05-08
483 S	2008-02-29	2009-12-22	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921755	4526555	9999-12-31	2013-05-08
483 S	2009-12-22	2010-05-26	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921755	4526555	9999-12-31	2013-05-08
483 S	2010-05-26	2011-01-16	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921755	4526555	9999-12-31	2013-05-08
483 S	2008-02-29	2009-12-22	Det norske oljeselskap ASA (old)	40.000000	\N	2008-02-29	2009-12-21	4921755	4539989	9999-12-31	2013-05-08
483 S	2009-12-22	2010-05-26	Det norske oljeselskap ASA	40.000000	\N	2009-12-22	2011-01-16	4921755	17342870	9999-12-31	2013-05-08
483 S	2010-05-26	2011-01-16	Det norske oljeselskap ASA	40.000000	\N	2009-12-22	2011-01-16	4921755	17342870	9999-12-31	2013-05-08
483 S	2010-05-26	2011-01-16	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	4921755	18108745	9999-12-31	2013-05-08
486 S	2008-02-29	2010-03-01	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921823	2767314	9999-12-31	2013-05-08
486 S	2008-02-29	2010-03-01	E.ON Ruhrgas Norge AS	40.000000	\N	2008-02-29	2010-03-01	4921823	2840522	9999-12-31	2013-05-08
486 S	2008-02-29	2010-03-01	Genesis Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	4921823	4062957	9999-12-31	2013-05-08
492	2008-02-29	2009-12-22	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	4925088	97557	9999-12-31	2013-05-08
492	2009-12-22	2010-04-30	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	4925088	97557	9999-12-31	2013-05-08
492	2010-04-30	2012-06-27	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	4925088	97557	2012-11-07	2013-05-08
492	2012-06-27	2012-06-29	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	4925088	97557	9999-12-31	2013-05-08
492	2010-04-30	2012-06-27	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	4925088	2425093	2012-11-07	2013-05-08
492	2008-02-29	2009-12-22	Lundin Norway AS	40.000000	\N	2008-02-29	9999-12-31	4925088	2767314	9999-12-31	2013-05-08
492	2009-12-22	2010-04-30	Lundin Norway AS	40.000000	\N	2008-02-29	9999-12-31	4925088	2767314	9999-12-31	2013-05-08
492	2010-04-30	2012-06-27	Lundin Norway AS	30.000000	\N	2008-02-29	9999-12-31	4925088	2767314	2012-11-07	2013-05-08
492	2012-06-27	2012-06-29	Lundin Norway AS	40.000000	\N	2008-02-29	9999-12-31	4925088	2767314	9999-12-31	2013-05-08
492	2012-06-29	2012-07-01	Lundin Norway AS	50.000000	\N	2008-02-29	9999-12-31	4925088	2767314	2013-02-02	2013-05-08
492	2012-07-01	2012-11-30	Lundin Norway AS	50.000000	\N	2008-02-29	9999-12-31	4925088	2767314	9999-12-31	2013-05-08
492	2012-11-30	2012-12-31	Lundin Norway AS	40.000000	\N	2008-02-29	9999-12-31	4925088	2767314	9999-12-31	2013-05-08
492	2012-12-31	9999-12-31	Lundin Norway AS	40.000000	\N	2008-02-29	9999-12-31	4925088	2767314	9999-12-31	2013-05-08
492	2012-07-01	2012-11-30	Norwegian Energy Company ASA	10.000000	\N	9999-12-31	9999-12-31	4925088	4530695	9999-12-31	2013-05-08
492	2012-11-30	2012-12-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	4925088	4530695	9999-12-31	2013-05-08
492	2008-02-29	2009-12-22	Det norske oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	4925088	4539989	9999-12-31	2013-05-08
492	2009-12-22	2010-04-30	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	4925088	17342870	9999-12-31	2013-05-08
492	2010-04-30	2012-06-27	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	4925088	17342870	2012-11-07	2013-05-08
492	2012-06-27	2012-06-29	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	4925088	17342870	9999-12-31	2013-05-08
492	2012-06-29	2012-07-01	Det norske oljeselskap ASA	50.000000	\N	9999-12-31	9999-12-31	4925088	17342870	2013-02-02	2013-05-08
492	2012-07-01	2012-11-30	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	4925088	17342870	9999-12-31	2013-05-08
492	2012-11-30	2012-12-31	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	4925088	17342870	9999-12-31	2013-05-08
492	2012-12-31	9999-12-31	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	4925088	17342870	9999-12-31	2013-05-08
492	2012-12-31	9999-12-31	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	4925088	22223020	9999-12-31	2013-05-08
159 C	2008-02-13	2008-02-14	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	4939362	2840522	9999-12-31	2013-05-08
159 C	2008-02-15	2009-01-01	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	4939362	2840522	9999-12-31	2013-05-08
159 C	2009-01-01	2009-11-02	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	4939362	2840522	9999-12-31	2013-05-08
159 C	2009-11-02	2012-02-11	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	4939362	2840522	9999-12-31	2013-05-08
159 C	2008-02-13	2008-02-14	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	4939362	4511658	9999-12-31	2013-05-08
159 C	2008-02-14	2008-02-15	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	4939362	4511658	9999-12-31	2013-05-08
159 C	2008-02-15	2009-01-01	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	4939362	4511658	9999-12-31	2013-05-08
159 C	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	2009-01-01	2009-11-01	4939362	4511658	9999-12-31	2013-05-08
159 C	2008-02-13	2008-02-14	StatoilHydro ASA	50.000000	\N	2008-02-13	2008-12-31	4939362	4511854	9999-12-31	2013-05-08
159 C	2008-02-14	2008-02-15	StatoilHydro ASA	90.000000	\N	2008-02-13	2008-12-31	4939362	4511854	9999-12-31	2013-05-08
159 C	2008-02-15	2009-01-01	StatoilHydro ASA	50.000000	\N	2008-02-13	2008-12-31	4939362	4511854	9999-12-31	2013-05-08
159 C	2009-11-02	2012-02-11	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	4939362	17237817	9999-12-31	2013-05-08
159 C	2012-02-11	9999-12-31	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	4939362	17237817	9999-12-31	2013-05-08
159 C	2012-02-11	9999-12-31	E.ON E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	4939362	21631209	9999-12-31	2013-05-08
159 D	2008-02-13	2009-01-01	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	4939421	2840522	9999-12-31	2013-05-08
159 D	2009-01-01	2009-11-02	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	4939421	2840522	9999-12-31	2013-05-08
159 D	2009-11-02	2012-02-11	E.ON Ruhrgas Norge AS	40.000000	\N	9999-12-31	9999-12-31	4939421	2840522	9999-12-31	2013-05-08
159 D	2008-02-13	2009-01-01	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	4939421	4511658	9999-12-31	2013-05-08
159 D	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	2009-01-01	2009-11-01	4939421	4511658	9999-12-31	2013-05-08
159 D	2008-02-13	2009-01-01	StatoilHydro ASA	50.000000	\N	2008-02-13	2008-12-31	4939421	4511854	9999-12-31	2013-05-08
159 D	2009-11-02	2012-02-11	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	4939421	17237817	9999-12-31	2013-05-08
159 D	2012-02-11	9999-12-31	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	4939421	17237817	9999-12-31	2013-05-08
159 D	2012-02-11	9999-12-31	E.ON E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	4939421	21631209	9999-12-31	2013-05-08
027 D	2007-12-07	2008-01-01	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2007-12-07	2009-12-17	4943160	2835212	9999-12-31	2013-05-08
027 D	2008-01-01	2009-07-30	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2007-12-07	2009-12-17	4943160	2835212	9999-12-31	2013-05-08
027 D	2009-07-30	2009-07-31	ExxonMobil Exploration & Production Norway AS	25.000000	\N	2007-12-07	2009-12-17	4943160	2835212	9999-12-31	2013-05-08
027 D	2009-08-01	2009-12-22	Bridge Energy AS	10.000000	\N	9999-12-31	9999-12-31	4943160	4062933	9999-12-31	2013-05-08
027 D	2009-12-22	2010-03-30	Bridge Energy AS	10.000000	\N	9999-12-31	9999-12-31	4943160	4062933	9999-12-31	2013-05-08
027 D	2007-12-07	2008-01-01	Dana Petroleum Norway AS	50.000000	\N	9999-12-31	9999-12-31	4943160	4526555	9999-12-31	2013-05-08
027 D	2008-01-01	2009-07-30	Dana Petroleum Norway AS	40.000000	\N	9999-12-31	9999-12-31	4943160	4526555	9999-12-31	2013-05-08
027 D	2009-07-30	2009-07-31	Dana Petroleum Norway AS	40.000000	\N	9999-12-31	9999-12-31	4943160	4526555	9999-12-31	2013-05-08
027 D	2009-07-31	2009-08-01	Dana Petroleum Norway AS	40.000000	\N	9999-12-31	9999-12-31	4943160	4526555	9999-12-31	2013-05-08
027 D	2009-08-01	2009-12-22	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	4943160	4526555	9999-12-31	2013-05-08
027 D	2009-12-22	2010-03-30	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	4943160	4526555	9999-12-31	2013-05-08
027 D	2010-03-30	9999-12-31	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	4943160	4526555	9999-12-31	2013-05-08
027 D	2008-01-01	2009-07-30	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	4943160	4539989	9999-12-31	2013-05-08
027 D	2009-07-30	2009-07-31	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	4943160	4539989	9999-12-31	2013-05-08
027 D	2009-07-31	2009-08-01	Det norske oljeselskap ASA (old)	35.000000	\N	9999-12-31	9999-12-31	4943160	4539989	9999-12-31	2013-05-08
027 D	2009-08-01	2009-12-22	Det norske oljeselskap ASA (old)	35.000000	\N	9999-12-31	9999-12-31	4943160	4539989	9999-12-31	2013-05-08
027 D	2009-07-30	2009-07-31	Det norske oljeselskap ASA	25.000000	\N	9999-12-31	9999-12-31	4943160	17342870	9999-12-31	2013-05-08
027 D	2009-07-31	2009-08-01	Det norske oljeselskap ASA	25.000000	\N	9999-12-31	9999-12-31	4943160	17342870	9999-12-31	2013-05-08
027 D	2009-08-01	2009-12-22	Det norske oljeselskap ASA	25.000000	\N	2009-12-18	9999-12-31	4943160	17342870	9999-12-31	2013-05-08
027 D	2009-12-22	2010-03-30	Det norske oljeselskap ASA	60.000000	\N	2009-12-18	9999-12-31	4943160	17342870	9999-12-31	2013-05-08
027 D	2010-03-30	9999-12-31	Det norske oljeselskap ASA	60.000000	\N	2009-12-18	9999-12-31	4943160	17342870	9999-12-31	2013-05-08
027 D	2010-03-30	9999-12-31	Bridge Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	4943160	18178215	9999-12-31	2013-05-08
263 C	2008-04-19	2009-01-01	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	4966437	1626839	9999-12-31	2013-05-08
263 C	2009-01-01	2009-11-02	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	4966437	1626839	9999-12-31	2013-05-08
263 C	2009-11-02	9999-12-31	Petoro AS	19.950000	\N	9999-12-31	9999-12-31	4966437	1626839	9999-12-31	2013-05-08
263 C	2008-04-19	2009-01-01	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	4966437	2388594	9999-12-31	2013-05-08
263 C	2009-01-01	2009-11-02	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	4966437	2388594	9999-12-31	2013-05-08
263 C	2009-11-02	9999-12-31	Eni Norge AS	9.800000	\N	9999-12-31	9999-12-31	4966437	2388594	9999-12-31	2013-05-08
263 C	2008-04-19	2009-01-01	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	4966437	2410708	9999-12-31	2013-05-08
263 C	2009-01-01	2009-11-02	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	4966437	2410708	9999-12-31	2013-05-08
263 C	2009-11-02	9999-12-31	Total E&P Norge AS	24.500000	\N	9999-12-31	9999-12-31	4966437	2410708	9999-12-31	2013-05-08
263 C	2008-04-18	2008-04-19	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	4966437	4444493	9999-12-31	2013-05-08
263 C	2008-04-18	2008-04-19	StatoilHydro Petroleum AS	40.000000	\N	2008-04-18	2009-11-01	4966437	4511658	9999-12-31	2013-05-08
263 C	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	45.750000	\N	2008-04-18	2009-11-01	4966437	4511658	9999-12-31	2013-05-08
263 C	2008-04-18	2008-04-19	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	4966437	4511854	9999-12-31	2013-05-08
263 C	2008-04-19	2009-01-01	StatoilHydro ASA	45.750000	\N	9999-12-31	9999-12-31	4966437	4511854	9999-12-31	2013-05-08
263 C	2009-11-02	9999-12-31	Statoil Petroleum AS	45.750000	\N	2009-11-02	9999-12-31	4966437	17237817	9999-12-31	2013-05-08
212 E	2008-01-23	2009-01-01	BP Norge AS	30.000000	\N	2008-01-23	9999-12-31	4966902	2052695	9999-12-31	2013-05-08
212 E	2009-01-01	2009-11-02	BP Norge AS	30.000000	\N	2008-01-23	9999-12-31	4966902	2052695	9999-12-31	2013-05-08
212 E	2009-11-02	2012-02-11	BP Norge AS	30.000000	\N	2008-01-23	9999-12-31	4966902	2052695	9999-12-31	2013-05-08
212 E	2012-02-11	9999-12-31	BP Norge AS	30.000000	\N	2008-01-23	9999-12-31	4966902	2052695	9999-12-31	2013-05-08
212 E	2008-01-23	2009-01-01	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	4966902	2840522	9999-12-31	2013-05-08
212 E	2009-01-01	2009-11-02	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	4966902	2840522	9999-12-31	2013-05-08
212 E	2009-11-02	2012-02-11	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	4966902	2840522	9999-12-31	2013-05-08
212 E	2008-01-23	2009-01-01	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	4966902	4505831	9999-12-31	2013-05-08
212 E	2009-01-01	2009-11-02	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	4966902	4505831	9999-12-31	2013-05-08
212 E	2009-11-02	2012-02-11	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	4966902	4505831	9999-12-31	2013-05-08
212 E	2012-02-11	9999-12-31	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	4966902	4505831	9999-12-31	2013-05-08
212 E	2009-01-01	2009-11-02	StatoilHydro Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4966902	4511658	9999-12-31	2013-05-08
212 E	2008-01-23	2009-01-01	StatoilHydro ASA	30.000000	\N	9999-12-31	9999-12-31	4966902	4511854	9999-12-31	2013-05-08
212 E	2009-11-02	2012-02-11	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4966902	17237817	9999-12-31	2013-05-08
212 E	2012-02-11	9999-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	4966902	17237817	9999-12-31	2013-05-08
212 E	2012-02-11	9999-12-31	E.ON E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	4966902	21631209	9999-12-31	2013-05-08
301 B	2008-05-21	2011-06-13	Talisman Energy Norge AS	60.000000	\N	2008-05-21	2011-06-13	4973175	2425093	9999-12-31	2013-05-08
301 B	2008-05-21	2011-06-13	DONG E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	4973175	4070011	9999-12-31	2013-05-08
301 CS	2010-01-01	2012-06-12	ConocoPhillips Skandinavia AS	22.000000	\N	2010-07-26	2012-06-12	4973200	2410696	2012-09-13	2013-05-08
301 CS	2008-05-21	2008-05-22	Talisman Energy Norge AS	60.000000	\N	2008-05-21	2010-07-25	4973200	2425093	9999-12-31	2013-05-08
301 CS	2008-05-22	2010-01-01	Talisman Energy Norge AS	42.000000	\N	2008-05-21	2010-07-25	4973200	2425093	9999-12-31	2013-05-08
301 CS	2010-01-01	2012-06-12	Talisman Energy Norge AS	20.000000	\N	2008-05-21	2010-07-25	4973200	2425093	2012-09-12	2013-05-08
301 CS	2008-05-21	2008-05-22	DONG E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	4973200	4070011	9999-12-31	2013-05-08
301 CS	2008-05-22	2010-01-01	DONG E&P Norge AS	28.000000	\N	9999-12-31	9999-12-31	4973200	4070011	9999-12-31	2013-05-08
301 CS	2010-01-01	2012-06-12	DONG E&P Norge AS	28.000000	\N	9999-12-31	9999-12-31	4973200	4070011	2012-09-12	2013-05-08
301 CS	2008-05-22	2010-01-01	OMV (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	4973200	4460594	9999-12-31	2013-05-08
301 CS	2010-01-01	2012-06-12	OMV (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	4973200	4460594	2012-09-12	2013-05-08
036 D	2008-10-17	2009-11-02	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	5081703	463	9999-12-31	2013-05-08
036 D	2009-11-02	2011-07-04	Marathon Petroleum Norge AS	46.904000	\N	9999-12-31	9999-12-31	5081703	463	9999-12-31	2013-05-08
036 D	2008-10-17	2009-11-02	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	5081703	2410708	9999-12-31	2013-05-08
036 D	2009-11-02	2011-07-04	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	5081703	2410708	9999-12-31	2013-05-08
036 D	2011-07-04	9999-12-31	Total E&P Norge AS	24.243000	\N	9999-12-31	9999-12-31	5081703	2410708	9999-12-31	2013-05-08
036 D	2008-10-17	2009-11-02	StatoilHydro Petroleum AS	28.853000	\N	2008-10-17	2009-11-01	5081703	4511658	9999-12-31	2013-05-08
036 D	2009-11-02	2011-07-04	Statoil Petroleum AS	28.853000	\N	2009-11-02	2012-09-30	5081703	17237817	2012-10-03	2013-05-08
036 D	2011-07-04	9999-12-31	Statoil Petroleum AS	28.853000	\N	2009-11-02	2012-09-30	5081703	17237817	2012-10-03	2013-05-08
036 D	2011-07-04	9999-12-31	Marathon Oil Norge AS	46.904000	\N	2012-10-01	9999-12-31	5081703	20485291	2012-10-03	2013-05-08
035 B	2008-11-26	2008-11-27	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	5105684	738	9999-12-31	2013-05-08
035 B	2008-11-27	2009-11-02	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	5105684	738	9999-12-31	2013-05-08
035 B	2009-11-02	2009-12-22	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	5105684	738	9999-12-31	2013-05-08
035 B	2009-12-22	2012-04-30	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	5105684	738	9999-12-31	2013-05-08
035 B	2012-04-30	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	5105684	738	9999-12-31	2013-05-08
035 B	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	50.000000	\N	2012-04-30	9999-12-31	5105684	4238233	9999-12-31	2013-05-08
035 B	2008-11-26	2008-11-27	StatoilHydro Petroleum AS	50.000000	\N	2008-11-26	2009-11-01	5105684	4511658	9999-12-31	2013-05-08
035 B	2008-11-27	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2008-11-26	2009-11-01	5105684	4511658	9999-12-31	2013-05-08
035 B	2008-11-27	2009-11-02	Dana Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	5105684	4526555	9999-12-31	2013-05-08
035 B	2009-11-02	2009-12-22	Dana Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	5105684	4526555	9999-12-31	2013-05-08
035 B	2009-12-22	2012-04-30	Dana Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	5105684	4526555	9999-12-31	2013-05-08
035 B	2012-04-30	9999-12-31	Dana Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	5105684	4526555	9999-12-31	2013-05-08
035 B	2008-11-26	2008-11-27	Det norske oljeselskap ASA (old)	25.000000	\N	9999-12-31	9999-12-31	5105684	4539989	9999-12-31	2013-05-08
035 B	2008-11-27	2009-11-02	Det norske oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	5105684	4539989	9999-12-31	2013-05-08
035 B	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	15.000000	\N	9999-12-31	9999-12-31	5105684	4539989	9999-12-31	2013-05-08
035 B	2009-11-02	2009-12-22	Statoil Petroleum AS	50.000000	\N	2009-11-02	2012-04-29	5105684	17237817	9999-12-31	2013-05-08
035 B	2009-12-22	2012-04-30	Statoil Petroleum AS	50.000000	\N	2009-11-02	2012-04-29	5105684	17237817	9999-12-31	2013-05-08
035 B	2009-12-22	2012-04-30	Det norske oljeselskap ASA	15.000000	\N	9999-12-31	9999-12-31	5105684	17342870	9999-12-31	2013-05-08
035 B	2012-04-30	9999-12-31	Det norske oljeselskap ASA	15.000000	\N	9999-12-31	9999-12-31	5105684	17342870	9999-12-31	2013-05-08
493	2009-01-23	2012-01-23	ConocoPhillips Skandinavia AS	100.000000	\N	2009-01-23	2012-01-23	5105835	2410696	9999-12-31	2013-05-08
494	2009-01-23	2009-12-22	Bridge Energy AS	30.000000	\N	9999-12-31	9999-12-31	5105899	4062933	9999-12-31	2013-05-08
494	2009-12-22	2010-03-30	Bridge Energy AS	30.000000	\N	9999-12-31	9999-12-31	5105899	4062933	9999-12-31	2013-05-08
494	2009-01-23	2009-12-22	Dana Petroleum Norway AS	40.000000	\N	2009-01-23	2013-03-18	5105899	4526555	2013-04-10	2013-05-08
494	2009-12-22	2010-03-30	Dana Petroleum Norway AS	40.000000	\N	2009-01-23	2013-03-18	5105899	4526555	2013-04-10	2013-05-08
494	2010-03-30	9999-12-31	Dana Petroleum Norway AS	40.000000	\N	2009-01-23	2013-03-18	5105899	4526555	2013-04-10	2013-05-08
494	2009-01-23	2009-12-22	Det norske oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	5105899	4539989	9999-12-31	2013-05-08
494	2009-12-22	2010-03-30	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	5105899	17342870	9999-12-31	2013-05-08
494	2010-03-30	9999-12-31	Det norske oljeselskap ASA	30.000000	\N	2013-03-19	9999-12-31	5105899	17342870	2013-04-10	2013-05-08
494	2010-03-30	9999-12-31	Bridge Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	5105899	18178215	9999-12-31	2013-05-08
495	2009-01-23	2013-02-13	Lundin Norway AS	60.000000	\N	2009-01-23	9999-12-31	5105968	2767314	2013-02-20	2013-05-08
495	2013-02-13	9999-12-31	Lundin Norway AS	60.000000	\N	2009-01-23	9999-12-31	5105968	2767314	9999-12-31	2013-05-08
495	2009-01-23	2013-02-13	Spring Energy Norway AS	40.000000	\N	9999-12-31	9999-12-31	5105968	5072514	2013-02-20	2013-05-08
495	2013-02-13	9999-12-31	Tullow Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	5105968	23173852	9999-12-31	2013-05-08
496	2009-01-23	2011-03-08	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	5106035	2425093	9999-12-31	2013-05-08
496	2009-01-23	2011-03-08	Premier Oil Norge AS	70.000000	\N	2009-01-23	2011-03-08	5106035	3482067	9999-12-31	2013-05-08
497	2009-01-23	2009-12-22	Bridge Energy AS	30.000000	\N	9999-12-31	9999-12-31	5106073	4062933	9999-12-31	2013-05-08
497	2009-12-22	2010-03-30	Bridge Energy AS	30.000000	\N	9999-12-31	9999-12-31	5106073	4062933	9999-12-31	2013-05-08
497	2009-01-23	2009-12-22	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	5106073	4526555	9999-12-31	2013-05-08
497	2009-12-22	2010-03-30	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	5106073	4526555	9999-12-31	2013-05-08
497	2010-03-30	2012-09-28	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	5106073	4526555	2012-10-05	2013-05-08
497	2012-09-28	2013-04-20	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	5106073	4526555	2013-04-30	2013-05-08
497	2013-04-20	9999-12-31	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	5106073	4526555	9999-12-31	2013-05-08
497	2009-01-23	2009-12-22	Det norske oljeselskap ASA (old)	35.000000	\N	2009-01-23	2009-12-21	5106073	4539989	9999-12-31	2013-05-08
497	2009-01-23	2009-12-22	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	5106073	5064434	9999-12-31	2013-05-08
497	2009-12-22	2010-03-30	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	5106073	5064434	9999-12-31	2013-05-08
497	2010-03-30	2012-09-28	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	5106073	5064434	2012-10-05	2013-05-08
497	2012-09-28	2013-04-20	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	5106073	5064434	2013-04-30	2013-05-08
497	2013-04-20	9999-12-31	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	5106073	5064434	9999-12-31	2013-05-08
497	2009-12-22	2010-03-30	Det norske oljeselskap ASA	35.000000	\N	2009-12-22	9999-12-31	5106073	17342870	9999-12-31	2013-05-08
497	2010-03-30	2012-09-28	Det norske oljeselskap ASA	35.000000	\N	2009-12-22	9999-12-31	5106073	17342870	2012-10-05	2013-05-08
497	2012-09-28	2013-04-20	Det norske oljeselskap ASA	35.000000	\N	2009-12-22	9999-12-31	5106073	17342870	2013-04-30	2013-05-08
497	2013-04-20	9999-12-31	Det norske oljeselskap ASA	35.000000	\N	2009-12-22	9999-12-31	5106073	17342870	9999-12-31	2013-05-08
497	2010-03-30	2012-09-28	Bridge Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	5106073	18178215	2012-10-05	2013-05-08
497	2012-09-28	2013-04-20	Bridge Energy Norge AS	15.000000	\N	9999-12-31	9999-12-31	5106073	18178215	2013-04-30	2013-05-08
497	2013-04-20	9999-12-31	Bridge Energy Norge AS	15.000000	\N	9999-12-31	9999-12-31	5106073	18178215	9999-12-31	2013-05-08
497	2012-09-28	2013-04-20	Agora Oil & Gas AS	15.000000	\N	9999-12-31	9999-12-31	5106073	18386322	2013-04-30	2013-05-08
497	2013-04-20	9999-12-31	Capricorn Norge AS	15.000000	\N	9999-12-31	9999-12-31	5106073	23297570	9999-12-31	2013-05-08
498	2009-01-23	2009-10-28	Edison International Spa	25.000000	\N	9999-12-31	9999-12-31	5106134	4062871	9999-12-31	2013-05-08
498	2009-01-23	2009-10-28	4Sea Energy AS	25.000000	\N	9999-12-31	9999-12-31	5106134	4504118	9999-12-31	2013-05-08
498	2009-10-28	2012-12-31	4Sea Energy AS	25.000000	\N	9999-12-31	9999-12-31	5106134	4504118	2013-02-07	2013-05-08
498	2009-01-23	2009-10-28	Skagen44 AS	25.000000	\N	9999-12-31	9999-12-31	5106134	4510260	9999-12-31	2013-05-08
498	2009-10-28	2012-12-31	Skagen44 AS	25.000000	\N	9999-12-31	9999-12-31	5106134	4510260	2013-02-07	2013-05-08
498	2012-12-31	9999-12-31	Skagen44 AS	25.000000	\N	9999-12-31	9999-12-31	5106134	4510260	9999-12-31	2013-05-08
498	2009-01-23	2009-10-28	Lotos Exploration and Production Norge AS	25.000000	\N	2009-01-23	9999-12-31	5106134	5064434	9999-12-31	2013-05-08
498	2009-10-28	2012-12-31	Lotos Exploration and Production Norge AS	25.000000	\N	2009-01-23	9999-12-31	5106134	5064434	2013-02-07	2013-05-08
498	2012-12-31	9999-12-31	Lotos Exploration and Production Norge AS	25.000000	\N	2009-01-23	9999-12-31	5106134	5064434	9999-12-31	2013-05-08
498	2009-10-28	2012-12-31	Edison International Norway Branch	25.000000	\N	9999-12-31	9999-12-31	5106134	17237180	2013-02-07	2013-05-08
498	2012-12-31	9999-12-31	Edison International Norway Branch	25.000000	\N	9999-12-31	9999-12-31	5106134	17237180	9999-12-31	2013-05-08
498	2012-12-31	9999-12-31	North Energy ASA	25.000000	\N	9999-12-31	9999-12-31	5106134	18082156	9999-12-31	2013-05-08
499 S	2009-01-23	2009-11-02	ConocoPhillips Skandinavia AS	50.000000	\N	2009-01-23	2011-07-23	5106238	2410696	9999-12-31	2013-05-08
499 S	2009-11-02	2011-07-23	ConocoPhillips Skandinavia AS	50.000000	\N	2009-01-23	2011-07-23	5106238	2410696	9999-12-31	2013-05-08
499 S	2009-01-23	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	5106238	4511658	9999-12-31	2013-05-08
499 S	2009-11-02	2011-07-23	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	5106238	17237817	9999-12-31	2013-05-08
500	2009-01-23	2009-12-22	Skeie Energy AS (Old)	35.000000	\N	9999-12-31	9999-12-31	5106274	4511646	2013-03-19	2013-05-08
500	2009-12-22	2010-12-30	Skeie Energy AS (Old)	35.000000	\N	9999-12-31	9999-12-31	5106274	4511646	2013-03-19	2013-05-08
500	2009-01-23	2009-12-22	Det norske oljeselskap ASA (old)	35.000000	\N	2009-01-23	2009-12-21	5106274	4539989	9999-12-31	2013-05-08
500	2009-01-23	2009-12-22	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106274	5072514	9999-12-31	2013-05-08
500	2009-12-22	2010-12-30	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106274	5072514	9999-12-31	2013-05-08
500	2010-12-30	2011-07-27	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106274	5072514	9999-12-31	2013-05-08
500	2011-07-27	2011-09-30	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106274	5072514	9999-12-31	2013-05-08
500	2011-07-27	2011-09-30	Statoil Petroleum AS	35.000000	\N	2011-07-27	9999-12-31	5106274	17237817	9999-12-31	2013-05-08
500	2011-09-30	2011-12-16	Statoil Petroleum AS	35.000000	\N	2011-07-27	9999-12-31	5106274	17237817	9999-12-31	2013-05-08
500	2011-12-16	2012-01-01	Statoil Petroleum AS	35.000000	\N	2011-07-27	9999-12-31	5106274	17237817	9999-12-31	2013-05-08
500	2012-01-01	9999-12-31	Statoil Petroleum AS	60.000000	\N	2011-07-27	9999-12-31	5106274	17237817	9999-12-31	2013-05-08
500	2009-12-22	2010-12-30	Det norske oljeselskap ASA	35.000000	\N	2009-12-22	2011-07-26	5106274	17342870	9999-12-31	2013-05-08
500	2010-12-30	2011-07-27	Det norske oljeselskap ASA	35.000000	\N	2009-12-22	2011-07-26	5106274	17342870	9999-12-31	2013-05-08
500	2011-09-30	2011-12-16	Fortis Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106274	18386334	9999-12-31	2013-05-08
500	2011-12-16	2012-01-01	Fortis Petroleum Norway AS	65.000000	\N	9999-12-31	9999-12-31	5106274	18386334	9999-12-31	2013-05-08
500	2012-01-01	9999-12-31	Fortis Petroleum Norway AS	40.000000	\N	9999-12-31	9999-12-31	5106274	18386334	9999-12-31	2013-05-08
500	2010-12-30	2011-07-27	E&P Holding AS	35.000000	\N	9999-12-31	9999-12-31	5106274	20109546	9999-12-31	2013-05-08
500	2011-07-27	2011-09-30	E&P Holding AS	35.000000	\N	9999-12-31	9999-12-31	5106274	20109546	9999-12-31	2013-05-08
500	2011-09-30	2011-12-16	E&P Holding AS	35.000000	\N	9999-12-31	9999-12-31	5106274	20109546	9999-12-31	2013-05-08
501	2009-01-23	2009-11-02	Lundin Norway AS	40.000000	\N	2009-01-23	9999-12-31	5106314	2767314	9999-12-31	2013-05-08
501	2009-11-02	9999-12-31	Lundin Norway AS	40.000000	\N	2009-01-23	9999-12-31	5106314	2767314	9999-12-31	2013-05-08
501	2009-01-23	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	5106314	4511658	9999-12-31	2013-05-08
501	2009-01-23	2009-11-02	Maersk Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	5106314	4719674	9999-12-31	2013-05-08
501	2009-11-02	9999-12-31	Maersk Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	5106314	4719674	9999-12-31	2013-05-08
501	2009-11-02	9999-12-31	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	5106314	17237817	9999-12-31	2013-05-08
502	2009-01-23	2009-01-24	Petoro AS	33.333330	\N	9999-12-31	9999-12-31	5106378	1626839	9999-12-31	2013-05-08
502	2009-01-24	2009-11-02	Petoro AS	33.333330	\N	9999-12-31	9999-12-31	5106378	1626839	9999-12-31	2013-05-08
502	2009-11-02	2009-12-22	Petoro AS	33.333330	\N	9999-12-31	9999-12-31	5106378	1626839	9999-12-31	2013-05-08
502	2009-12-22	9999-12-31	Petoro AS	33.333330	\N	9999-12-31	9999-12-31	5106378	1626839	9999-12-31	2013-05-08
502	2009-01-23	2009-01-24	StatoilHydro Petroleum AS	33.333330	\N	2009-01-23	2009-11-01	5106378	4511658	9999-12-31	2013-05-08
502	2009-01-24	2009-11-02	StatoilHydro Petroleum AS	44.444440	\N	2009-01-23	2009-11-01	5106378	4511658	9999-12-31	2013-05-08
502	2009-01-23	2009-01-24	Det norske oljeselskap ASA (old)	33.333330	\N	9999-12-31	9999-12-31	5106378	4539989	9999-12-31	2013-05-08
502	2009-01-24	2009-11-02	Det norske oljeselskap ASA (old)	22.222220	\N	9999-12-31	9999-12-31	5106378	4539989	9999-12-31	2013-05-08
502	2009-11-02	2009-12-22	Det norske oljeselskap ASA (old)	22.222220	\N	9999-12-31	9999-12-31	5106378	4539989	9999-12-31	2013-05-08
502	2009-11-02	2009-12-22	Statoil Petroleum AS	44.444440	\N	2009-11-02	9999-12-31	5106378	17237817	9999-12-31	2013-05-08
502	2009-12-22	9999-12-31	Statoil Petroleum AS	44.444440	\N	2009-11-02	9999-12-31	5106378	17237817	9999-12-31	2013-05-08
502	2009-12-22	9999-12-31	Det norske oljeselskap ASA	22.222220	\N	9999-12-31	9999-12-31	5106378	17342870	9999-12-31	2013-05-08
503	2009-01-23	2009-10-28	Edison International Spa	25.000000	\N	9999-12-31	9999-12-31	5106405	4062871	9999-12-31	2013-05-08
503	2009-01-23	2009-10-28	4Sea Energy AS	25.000000	\N	9999-12-31	9999-12-31	5106405	4504118	9999-12-31	2013-05-08
503	2009-10-28	2012-12-31	4Sea Energy AS	25.000000	\N	9999-12-31	9999-12-31	5106405	4504118	2013-02-07	2013-05-08
503	2009-01-23	2009-10-28	Skagen44 AS	25.000000	\N	9999-12-31	9999-12-31	5106405	4510260	9999-12-31	2013-05-08
503	2009-10-28	2012-12-31	Skagen44 AS	25.000000	\N	9999-12-31	9999-12-31	5106405	4510260	2013-02-07	2013-05-08
503	2012-12-31	9999-12-31	Skagen44 AS	25.000000	\N	9999-12-31	9999-12-31	5106405	4510260	9999-12-31	2013-05-08
503	2009-01-23	2009-10-28	Lotos Exploration and Production Norge AS	25.000000	\N	2009-01-23	9999-12-31	5106405	5064434	9999-12-31	2013-05-08
503	2009-10-28	2012-12-31	Lotos Exploration and Production Norge AS	25.000000	\N	2009-01-23	9999-12-31	5106405	5064434	2013-02-07	2013-05-08
503	2012-12-31	9999-12-31	Lotos Exploration and Production Norge AS	25.000000	\N	2009-01-23	9999-12-31	5106405	5064434	9999-12-31	2013-05-08
503	2009-10-28	2012-12-31	Edison International Norway Branch	25.000000	\N	9999-12-31	9999-12-31	5106405	17237180	2013-02-07	2013-05-08
503	2012-12-31	9999-12-31	Edison International Norway Branch	25.000000	\N	9999-12-31	9999-12-31	5106405	17237180	9999-12-31	2013-05-08
503	2012-12-31	9999-12-31	North Energy ASA	25.000000	\N	9999-12-31	9999-12-31	5106405	18082156	9999-12-31	2013-05-08
504	2009-01-23	2009-07-31	Petoro AS	3.000000	\N	9999-12-31	9999-12-31	5106455	1626839	9999-12-31	2013-05-08
504	2009-07-31	2009-12-22	Petoro AS	3.000000	\N	9999-12-31	9999-12-31	5106455	1626839	9999-12-31	2013-05-08
504	2009-12-22	2010-03-30	Petoro AS	3.000000	\N	9999-12-31	9999-12-31	5106455	1626839	9999-12-31	2013-05-08
504	2010-03-30	2012-01-01	Petoro AS	3.000000	\N	9999-12-31	9999-12-31	5106455	1626839	2012-11-09	2013-05-08
504	2012-01-01	9999-12-31	Petoro AS	32.230000	\N	9999-12-31	9999-12-31	5106455	1626839	9999-12-31	2013-05-08
504	2009-07-31	2009-12-22	Bridge Energy AS	8.500000	\N	9999-12-31	9999-12-31	5106455	4062933	9999-12-31	2013-05-08
504	2009-12-22	2010-03-30	Bridge Energy AS	8.500000	\N	9999-12-31	9999-12-31	5106455	4062933	9999-12-31	2013-05-08
504	2009-01-23	2009-07-31	Dana Petroleum Norway AS	38.500000	\N	9999-12-31	9999-12-31	5106455	4526555	9999-12-31	2013-05-08
504	2009-07-31	2009-12-22	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106455	4526555	9999-12-31	2013-05-08
504	2009-12-22	2010-03-30	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106455	4526555	9999-12-31	2013-05-08
504	2010-03-30	2012-01-01	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106455	4526555	2012-11-09	2013-05-08
504	2012-01-01	9999-12-31	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106455	4526555	9999-12-31	2013-05-08
504	2009-01-23	2009-07-31	Det norske oljeselskap ASA (old)	58.500000	\N	2009-01-23	2009-12-21	5106455	4539989	9999-12-31	2013-05-08
504	2009-07-31	2009-12-22	Det norske oljeselskap ASA (old)	58.500000	\N	2009-01-23	2009-12-21	5106455	4539989	9999-12-31	2013-05-08
504	2009-12-22	2010-03-30	Det norske oljeselskap ASA	58.500000	\N	2009-12-22	9999-12-31	5106455	17342870	9999-12-31	2013-05-08
504	2010-03-30	2012-01-01	Det norske oljeselskap ASA	58.500000	\N	2009-12-22	9999-12-31	5106455	17342870	2012-11-09	2013-05-08
504	2012-01-01	9999-12-31	Det norske oljeselskap ASA	29.270000	\N	2009-12-22	9999-12-31	5106455	17342870	9999-12-31	2013-05-08
504	2010-03-30	2012-01-01	Bridge Energy Norge AS	8.500000	\N	9999-12-31	9999-12-31	5106455	18178215	2012-11-09	2013-05-08
504	2012-01-01	9999-12-31	Bridge Energy Norge AS	8.500000	\N	9999-12-31	9999-12-31	5106455	18178215	9999-12-31	2013-05-08
505	2009-01-23	2009-05-26	Marathon Petroleum Norge AS	50.000000	\N	2009-01-23	2011-07-03	5106486	463	9999-12-31	2013-05-08
505	2009-05-26	2009-10-01	Marathon Petroleum Norge AS	50.000000	\N	2009-01-23	2011-07-03	5106486	463	9999-12-31	2013-05-08
505	2009-10-01	2011-06-30	Marathon Petroleum Norge AS	50.000000	\N	2009-01-23	2011-07-03	5106486	463	9999-12-31	2013-05-08
505	2011-06-30	2011-07-04	Marathon Petroleum Norge AS	35.000000	\N	2009-01-23	2011-07-03	5106486	463	9999-12-31	2013-05-08
505	2009-01-23	2009-05-26	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106486	2767314	9999-12-31	2013-05-08
505	2009-05-26	2009-10-01	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106486	2767314	9999-12-31	2013-05-08
505	2009-10-01	2011-06-30	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106486	2767314	9999-12-31	2013-05-08
505	2011-06-30	2011-07-04	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106486	2767314	9999-12-31	2013-05-08
505	2011-07-04	9999-12-31	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106486	2767314	9999-12-31	2013-05-08
505	2009-01-23	2009-05-26	Endeavour Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	5106486	3113213	9999-12-31	2013-05-08
505	2011-06-30	2011-07-04	Maersk Oil Norway AS	15.000000	\N	9999-12-31	9999-12-31	5106486	4719674	9999-12-31	2013-05-08
505	2011-07-04	9999-12-31	Maersk Oil Norway AS	15.000000	\N	9999-12-31	9999-12-31	5106486	4719674	9999-12-31	2013-05-08
505	2009-05-26	2009-10-01	VNG Norge (Operations) AS	20.000000	\N	9999-12-31	9999-12-31	5106486	5497155	9999-12-31	2013-05-08
505	2009-10-01	2011-06-30	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	5106486	17237193	9999-12-31	2013-05-08
505	2011-06-30	2011-07-04	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	5106486	17237193	9999-12-31	2013-05-08
505	2011-07-04	9999-12-31	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	5106486	17237193	9999-12-31	2013-05-08
505	2011-07-04	9999-12-31	Marathon Oil Norge AS	35.000000	\N	2011-07-04	9999-12-31	5106486	20485291	9999-12-31	2013-05-08
506 S	2009-01-23	2010-05-26	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5106544	1626839	9999-12-31	2013-05-08
506 S	2010-05-26	2012-05-24	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5106544	1626839	2012-06-12	2013-05-08
506 S	2012-05-24	2012-10-03	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5106544	1626839	2012-10-06	2013-05-08
506 S	2012-10-03	2012-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5106544	1626839	2013-01-09	2013-05-08
506 S	2012-12-31	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5106544	1626839	9999-12-31	2013-05-08
506 S	2009-01-23	2010-05-26	Discover Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	5106544	3500333	9999-12-31	2013-05-08
506 S	2009-01-23	2010-05-26	Rocksource ASA	50.000000	\N	2009-01-23	2012-12-30	5106544	4062921	2013-01-10	2013-05-08
506 S	2010-05-26	2012-05-24	Rocksource ASA	50.000000	\N	2009-01-23	2012-12-30	5106544	4062921	2013-01-10	2013-05-08
506 S	2012-05-24	2012-10-03	Rocksource ASA	25.000000	\N	2009-01-23	2012-12-30	5106544	4062921	2013-01-10	2013-05-08
506 S	2012-10-03	2012-12-31	Rocksource ASA	25.000000	\N	2009-01-23	2012-12-30	5106544	4062921	2013-01-10	2013-05-08
506 S	2010-05-26	2012-05-24	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	5106544	18108745	2012-06-12	2013-05-08
506 S	2012-05-24	2012-10-03	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	5106544	18108745	2012-10-06	2013-05-08
506 S	2012-05-24	2012-10-03	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	5106544	21104529	2012-10-06	2013-05-08
506 S	2012-10-03	2012-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	5106544	21104529	2013-01-09	2013-05-08
506 S	2012-12-31	9999-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	5106544	21104529	9999-12-31	2013-05-08
506 S	2012-10-03	2012-12-31	Petrolia Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106544	21593704	2013-01-09	2013-05-08
506 S	2012-12-31	9999-12-31	Petrolia Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106544	21593704	9999-12-31	2013-05-08
506 S	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	25.000000	\N	2012-12-31	9999-12-31	5106544	22528729	2013-01-10	2013-05-08
518	2009-01-23	2009-12-17	Discover Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5106560	3500333	9999-12-31	2013-05-08
518	2009-12-17	2010-05-26	Discover Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5106560	3500333	9999-12-31	2013-05-08
518	2009-01-23	2009-12-17	DONG E&P Norge AS	40.000000	\N	2009-01-23	2013-01-23	5106560	4070011	2013-03-22	2013-05-08
518	2009-12-17	2010-05-26	DONG E&P Norge AS	40.000000	\N	2009-01-23	2013-01-23	5106560	4070011	2013-03-22	2013-05-08
518	2010-05-26	2011-10-08	DONG E&P Norge AS	40.000000	\N	2009-01-23	2013-01-23	5106560	4070011	2013-03-22	2013-05-08
518	2011-10-08	2012-10-31	DONG E&P Norge AS	40.000000	\N	2009-01-23	2013-01-23	5106560	4070011	2013-03-22	2013-05-08
518	2012-10-31	2013-01-23	DONG E&P Norge AS	60.000000	\N	2009-01-23	2013-01-23	5106560	4070011	2013-03-22	2013-05-08
518	2009-01-23	2009-12-17	Sagex Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	5106560	4504106	9999-12-31	2013-05-08
518	2009-12-17	2010-05-26	Sagex Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	5106560	4504106	9999-12-31	2013-05-08
518	2010-05-26	2011-10-08	Sagex Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	5106560	4504106	9999-12-31	2013-05-08
518	2009-01-23	2009-12-17	North Energy AS	30.000000	\N	9999-12-31	9999-12-31	5106560	4706034	9999-12-31	2013-05-08
518	2009-12-17	2010-05-26	North Energy ASA	30.000000	\N	9999-12-31	9999-12-31	5106560	18082156	9999-12-31	2013-05-08
518	2010-05-26	2011-10-08	North Energy ASA	30.000000	\N	9999-12-31	9999-12-31	5106560	18082156	9999-12-31	2013-05-08
518	2011-10-08	2012-10-31	North Energy ASA	30.000000	\N	9999-12-31	9999-12-31	5106560	18082156	2012-11-06	2013-05-08
518	2012-10-31	2013-01-23	North Energy ASA	30.000000	\N	9999-12-31	9999-12-31	5106560	18082156	2013-03-22	2013-05-08
518	2010-05-26	2011-10-08	Front Exploration AS	20.000000	\N	9999-12-31	9999-12-31	5106560	18108745	9999-12-31	2013-05-08
518	2011-10-08	2012-10-31	Front Exploration AS	20.000000	\N	9999-12-31	9999-12-31	5106560	18108745	2012-11-06	2013-05-08
518	2011-10-08	2012-10-31	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	5106560	21104529	2012-11-06	2013-05-08
518	2012-10-31	2013-01-23	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	5106560	21104529	2013-03-22	2013-05-08
507	2009-01-23	2009-01-24	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	5106689	3431773	9999-12-31	2013-05-08
507	2009-01-23	2009-01-24	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	5106689	4062883	9999-12-31	2013-05-08
507	2009-01-24	2012-03-24	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	5106689	4062883	9999-12-31	2013-05-08
507	2012-03-24	2013-02-13	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	5106689	4062883	2013-02-20	2013-05-08
507	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	5106689	4062883	9999-12-31	2013-05-08
507	2009-01-23	2009-01-24	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5106689	4238233	9999-12-31	2013-05-08
507	2009-01-24	2012-03-24	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5106689	4238233	9999-12-31	2013-05-08
507	2012-03-24	2013-02-13	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5106689	4238233	2013-02-20	2013-05-08
507	2013-02-13	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5106689	4238233	9999-12-31	2013-05-08
507	2009-01-23	2009-01-24	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	5106689	5072514	9999-12-31	2013-05-08
507	2009-01-24	2012-03-24	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	5106689	5072514	9999-12-31	2013-05-08
507	2012-03-24	2013-02-13	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	5106689	5072514	2013-02-20	2013-05-08
507	2009-01-24	2012-03-24	Wintershall Norge ASA	30.000000	\N	2009-01-24	2012-03-23	5106689	5442509	9999-12-31	2013-05-08
507	2012-03-24	2013-02-13	Wintershall Norge AS	30.000000	\N	2012-03-24	9999-12-31	5106689	21666830	2013-02-20	2013-05-08
507	2013-02-13	9999-12-31	Wintershall Norge AS	30.000000	\N	2012-03-24	9999-12-31	5106689	21666830	9999-12-31	2013-05-08
507	2013-02-13	9999-12-31	Tullow Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	5106689	23173852	9999-12-31	2013-05-08
508 S	2009-11-30	2009-12-22	Wintershall Norge AS (old)	30.000000	\N	9999-12-31	9999-12-31	5106810	3482302	9999-12-31	2013-05-08
508 S	2009-12-22	2010-10-01	Wintershall Norge AS (old)	30.000000	\N	9999-12-31	9999-12-31	5106810	3482302	9999-12-31	2013-05-08
508 S	2010-10-01	2011-07-16	Wintershall Norge AS (old)	30.000000	\N	9999-12-31	9999-12-31	5106810	3482302	9999-12-31	2013-05-08
508 S	2009-01-23	2009-11-30	Nexen Exploration Norge AS	60.000000	\N	2009-01-23	2012-01-23	5106810	4062831	9999-12-31	2013-05-08
508 S	2009-11-30	2009-12-22	Nexen Exploration Norge AS	40.000000	\N	2009-01-23	2012-01-23	5106810	4062831	9999-12-31	2013-05-08
508 S	2009-12-22	2010-10-01	Nexen Exploration Norge AS	40.000000	\N	2009-01-23	2012-01-23	5106810	4062831	9999-12-31	2013-05-08
508 S	2010-10-01	2011-07-16	Nexen Exploration Norge AS	40.000000	\N	2009-01-23	2012-01-23	5106810	4062831	9999-12-31	2013-05-08
508 S	2011-07-16	2012-01-23	Nexen Exploration Norge AS	40.000000	\N	2009-01-23	2012-01-23	5106810	4062831	9999-12-31	2013-05-08
508 S	2009-01-23	2009-11-30	Aker Exploration AS	40.000000	\N	9999-12-31	9999-12-31	5106810	4460425	9999-12-31	2013-05-08
508 S	2009-11-30	2009-12-22	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	5106810	4460425	9999-12-31	2013-05-08
508 S	2011-07-16	2012-01-23	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	5106810	5442509	9999-12-31	2013-05-08
508 S	2010-10-01	2011-07-16	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	5106810	17342870	9999-12-31	2013-05-08
508 S	2011-07-16	2012-01-23	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	5106810	17342870	9999-12-31	2013-05-08
508 S	2009-12-22	2010-10-01	Det norske oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	5106810	17342915	9999-12-31	2013-05-08
509 S	2009-01-23	2009-01-24	Revus Energy ASA	40.000000	\N	2009-01-23	2009-01-24	5106880	3431773	9999-12-31	2013-05-08
509 S	2009-01-23	2009-01-24	Skeie Energy AS (Old)	30.000000	\N	9999-12-31	9999-12-31	5106880	4511646	2013-03-19	2013-05-08
509 S	2009-01-24	2010-12-30	Skeie Energy AS (Old)	30.000000	\N	9999-12-31	9999-12-31	5106880	4511646	2013-03-19	2013-05-08
509 S	2009-01-23	2009-01-24	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106880	5072514	9999-12-31	2013-05-08
509 S	2009-01-24	2010-12-30	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106880	5072514	9999-12-31	2013-05-08
509 S	2010-12-30	2011-12-16	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106880	5072514	9999-12-31	2013-05-08
509 S	2011-12-16	2012-03-24	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106880	5072514	9999-12-31	2013-05-08
509 S	2012-03-24	2013-02-13	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106880	5072514	2013-02-20	2013-05-08
509 S	2009-01-24	2010-12-30	Wintershall Norge ASA	40.000000	\N	2009-01-25	2012-02-23	5106880	5442509	9999-12-31	2013-05-08
509 S	2010-12-30	2011-12-16	Wintershall Norge ASA	40.000000	\N	2009-01-25	2012-02-23	5106880	5442509	9999-12-31	2013-05-08
509 S	2011-12-16	2012-03-24	Wintershall Norge ASA	40.000000	\N	2009-01-25	2012-02-23	5106880	5442509	9999-12-31	2013-05-08
509 S	2011-12-16	2012-03-24	Fortis Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106880	18386334	9999-12-31	2013-05-08
509 S	2012-03-24	2013-02-13	Fortis Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106880	18386334	2013-02-20	2013-05-08
509 S	2013-02-13	9999-12-31	Fortis Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	5106880	18386334	9999-12-31	2013-05-08
509 S	2010-12-30	2011-12-16	E&P Holding AS	30.000000	\N	9999-12-31	9999-12-31	5106880	20109546	9999-12-31	2013-05-08
509 S	2012-03-24	2013-02-13	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	5106880	21666830	2013-02-20	2013-05-08
509 S	2013-02-13	9999-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	5106880	21666830	9999-12-31	2013-05-08
509 S	2013-02-13	9999-12-31	Tullow Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	5106880	23173852	9999-12-31	2013-05-08
510	2009-01-23	2010-04-20	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	5106991	2840522	9999-12-31	2013-05-08
510	2010-04-20	2012-02-11	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	5106991	2840522	9999-12-31	2013-05-08
510	2009-01-23	2010-04-20	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5106991	4062883	9999-12-31	2013-05-08
510	2010-04-20	2012-02-11	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5106991	4062883	9999-12-31	2013-05-08
510	2012-02-11	2012-10-12	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5106991	4062883	2012-10-25	2013-05-08
510	2009-01-23	2010-04-20	Centrica Resources (Norge) AS	40.000000	\N	2009-01-23	2012-10-11	5106991	4238233	2012-10-26	2013-05-08
510	2010-04-20	2012-02-11	Centrica Resources (Norge) AS	40.000000	\N	2009-01-23	2012-10-11	5106991	4238233	2012-10-26	2013-05-08
510	2012-02-11	2012-10-12	Centrica Resources (Norge) AS	40.000000	\N	2009-01-23	2012-10-11	5106991	4238233	2012-10-26	2013-05-08
510	2009-01-23	2010-04-20	North Energy AS	20.000000	\N	9999-12-31	9999-12-31	5106991	4706034	9999-12-31	2013-05-08
510	2013-01-01	9999-12-31	Maersk Oil Norway AS	50.000000	\N	2013-01-01	9999-12-31	5106991	4719674	2013-02-16	2013-05-08
510	2013-01-01	9999-12-31	Edison International Norway Branch	30.000000	\N	9999-12-31	9999-12-31	5106991	17237180	9999-12-31	2013-05-08
510	2010-04-20	2012-02-11	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5106991	18082156	9999-12-31	2013-05-08
510	2012-02-11	2012-10-12	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5106991	18082156	2012-10-25	2013-05-08
510	2012-10-12	2013-01-01	North Energy ASA	100.000000	\N	2012-10-12	2012-12-31	5106991	18082156	2013-02-16	2013-05-08
510	2013-01-01	9999-12-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5106991	18082156	2013-02-16	2013-05-08
510	2012-02-11	2012-10-12	E.ON E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5106991	21631209	2012-10-25	2013-05-08
517	2009-01-23	2011-10-08	OMV (Norge) AS	60.000000	\N	2009-01-23	2012-01-23	5107074	4460594	9999-12-31	2013-05-08
517	2011-10-08	2012-01-23	OMV (Norge) AS	60.000000	\N	2009-01-23	2012-01-23	5107074	4460594	9999-12-31	2013-05-08
517	2009-01-23	2011-10-08	Sagex Petroleum Norge AS	40.000000	\N	9999-12-31	9999-12-31	5107074	4504106	9999-12-31	2013-05-08
517	2011-10-08	2012-01-23	Valiant Petroleum Norge AS	40.000000	\N	9999-12-31	9999-12-31	5107074	21104529	9999-12-31	2013-05-08
516	2009-01-23	2009-09-01	Petoro AS	24.545450	\N	9999-12-31	9999-12-31	5107101	1626839	9999-12-31	2013-05-08
516	2009-09-01	2009-11-02	Petoro AS	24.545450	\N	9999-12-31	9999-12-31	5107101	1626839	9999-12-31	2013-05-08
516	2009-11-02	9999-12-31	Petoro AS	24.545450	\N	9999-12-31	9999-12-31	5107101	1626839	9999-12-31	2013-05-08
516	2009-09-01	2009-11-02	Eni Norge AS	11.500000	\N	9999-12-31	9999-12-31	5107101	2388594	9999-12-31	2013-05-08
516	2009-11-02	9999-12-31	Eni Norge AS	11.500000	\N	9999-12-31	9999-12-31	5107101	2388594	9999-12-31	2013-05-08
516	2009-01-23	2009-09-01	StatoilHydro Petroleum AS	75.454550	\N	2009-01-23	2009-11-01	5107101	4511658	9999-12-31	2013-05-08
516	2009-09-01	2009-11-02	StatoilHydro Petroleum AS	63.954550	\N	2009-01-23	2009-11-01	5107101	4511658	9999-12-31	2013-05-08
516	2009-11-02	9999-12-31	Statoil Petroleum AS	63.954550	\N	2009-11-02	9999-12-31	5107101	17237817	9999-12-31	2013-05-08
515	2009-01-23	2012-04-23	Rocksource ASA	60.000000	\N	2009-01-23	2012-04-23	5107133	4062921	2012-12-05	2013-05-08
515	2009-01-23	2012-04-23	Skagen44 AS	20.000000	\N	9999-12-31	9999-12-31	5107133	4510260	2012-12-04	2013-05-08
515	2009-01-23	2012-04-23	Lotos Exploration and Production Norge AS	20.000000	\N	9999-12-31	9999-12-31	5107133	5064434	2012-12-04	2013-05-08
514	2009-01-23	2009-01-24	Eni Norge AS	50.000000	\N	2009-01-23	2011-01-22	5107175	2388594	9999-12-31	2013-05-08
514	2009-01-24	2009-11-02	Eni Norge AS	20.000000	\N	2009-01-23	2011-01-22	5107175	2388594	9999-12-31	2013-05-08
514	2009-11-02	2011-01-22	Eni Norge AS	20.000000	\N	2009-01-23	2011-01-22	5107175	2388594	9999-12-31	2013-05-08
514	2009-01-24	2009-11-02	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107175	4070011	9999-12-31	2013-05-08
514	2009-11-02	2011-01-22	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107175	4070011	9999-12-31	2013-05-08
514	2009-01-23	2009-01-24	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	5107175	4511658	9999-12-31	2013-05-08
514	2009-01-24	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	5107175	4511658	9999-12-31	2013-05-08
514	2009-11-02	2011-01-22	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	5107175	17237817	9999-12-31	2013-05-08
513	2009-01-23	9999-12-31	Dana Petroleum Norway AS	50.000000	\N	9999-12-31	9999-12-31	5107217	4526555	9999-12-31	2013-05-08
513	2009-01-23	9999-12-31	Maersk Oil Norway AS	50.000000	\N	2009-01-23	9999-12-31	5107217	4719674	9999-12-31	2013-05-08
432 B	2009-01-23	2009-12-22	Det norske oljeselskap ASA (old)	100.000000	\N	2009-01-23	2009-12-21	5107289	4539989	9999-12-31	2013-05-08
432 B	2009-12-22	2010-02-16	Det norske oljeselskap ASA	100.000000	\N	2009-12-22	2010-02-16	5107289	17342870	9999-12-31	2013-05-08
512	2009-01-23	2009-12-22	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	5107312	738	9999-12-31	2013-05-08
512	2009-12-22	2009-12-30	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	5107312	738	9999-12-31	2013-05-08
512	2009-12-30	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	5107312	738	9999-12-31	2013-05-08
512	2009-01-23	2009-12-22	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	5107312	4444493	9999-12-31	2013-05-08
512	2009-12-22	2009-12-30	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	5107312	4444493	9999-12-31	2013-05-08
512	2009-12-30	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	5107312	4444493	9999-12-31	2013-05-08
512	2009-01-23	2009-12-22	Det norske oljeselskap ASA (old)	30.000000	\N	2009-01-23	2009-12-21	5107312	4539989	9999-12-31	2013-05-08
512	2009-01-23	2009-12-22	Repsol Exploracion S.A.	25.000000	\N	9999-12-31	9999-12-31	5107312	5072554	9999-12-31	2013-05-08
512	2009-12-22	2009-12-30	Repsol Exploracion S.A.	25.000000	\N	9999-12-31	9999-12-31	5107312	5072554	9999-12-31	2013-05-08
512	2009-12-30	9999-12-31	Repsol Exploration Norge AS	25.000000	\N	9999-12-31	9999-12-31	5107312	17237506	9999-12-31	2013-05-08
512	2009-12-22	2009-12-30	Det norske oljeselskap ASA	30.000000	\N	2009-12-22	9999-12-31	5107312	17342870	9999-12-31	2013-05-08
512	2009-12-30	9999-12-31	Det norske oljeselskap ASA	30.000000	\N	2009-12-22	9999-12-31	5107312	17342870	9999-12-31	2013-05-08
107 B	2009-01-23	2009-01-24	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5107376	1626839	9999-12-31	2013-05-08
107 B	2009-01-24	2009-05-26	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5107376	1626839	9999-12-31	2013-05-08
107 B	2009-05-26	2009-10-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5107376	1626839	9999-12-31	2013-05-08
107 B	2009-10-01	2009-11-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5107376	1626839	9999-12-31	2013-05-08
107 B	2009-11-02	2011-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5107376	1626839	9999-12-31	2013-05-08
107 B	2011-01-01	2012-02-11	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5107376	1626839	9999-12-31	2013-05-08
107 B	2012-02-11	9999-12-31	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5107376	1626839	9999-12-31	2013-05-08
107 B	2009-01-23	2009-01-24	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	5107376	1628733	9999-12-31	2013-05-08
107 B	2009-01-23	2009-01-24	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	5107376	2835212	9999-12-31	2013-05-08
107 B	2009-01-24	2009-05-26	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	5107376	2835212	9999-12-31	2013-05-08
107 B	2009-05-26	2009-10-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	5107376	2835212	9999-12-31	2013-05-08
107 B	2009-10-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	5107376	2835212	9999-12-31	2013-05-08
107 B	2009-11-02	2011-01-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	5107376	2835212	9999-12-31	2013-05-08
107 B	2009-01-23	2009-01-24	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107376	2840522	9999-12-31	2013-05-08
107 B	2009-01-24	2009-05-26	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107376	2840522	9999-12-31	2013-05-08
107 B	2009-05-26	2009-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107376	2840522	9999-12-31	2013-05-08
107 B	2009-10-01	2009-11-02	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107376	2840522	9999-12-31	2013-05-08
107 B	2009-11-02	2011-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107376	2840522	9999-12-31	2013-05-08
107 B	2011-01-01	2012-02-11	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107376	2840522	9999-12-31	2013-05-08
107 B	2009-01-23	2009-01-24	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	5107376	3113213	9999-12-31	2013-05-08
107 B	2009-01-24	2009-05-26	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	5107376	3113213	9999-12-31	2013-05-08
107 B	2009-01-23	2009-01-24	StatoilHydro Petroleum AS	20.000000	\N	2009-01-23	2009-11-01	5107376	4511658	9999-12-31	2013-05-08
107 B	2009-01-24	2009-05-26	StatoilHydro Petroleum AS	20.000000	\N	2009-01-23	2009-11-01	5107376	4511658	9999-12-31	2013-05-08
107 B	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	20.000000	\N	2009-01-23	2009-11-01	5107376	4511658	9999-12-31	2013-05-08
107 B	2009-10-01	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	2009-01-23	2009-11-01	5107376	4511658	9999-12-31	2013-05-08
107 B	2009-01-24	2009-05-26	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5107376	5267845	9999-12-31	2013-05-08
107 B	2009-05-26	2009-10-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5107376	5267845	9999-12-31	2013-05-08
107 B	2009-10-01	2009-11-02	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5107376	5267845	9999-12-31	2013-05-08
107 B	2009-11-02	2011-01-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5107376	5267845	9999-12-31	2013-05-08
107 B	2011-01-01	2012-02-11	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	5107376	5267845	9999-12-31	2013-05-08
107 B	2012-02-11	9999-12-31	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	5107376	5267845	9999-12-31	2013-05-08
107 B	2009-05-26	2009-10-01	VNG Norge (Operations) AS	2.500000	\N	9999-12-31	9999-12-31	5107376	5497155	9999-12-31	2013-05-08
107 B	2009-10-01	2009-11-02	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	5107376	17237193	9999-12-31	2013-05-08
107 B	2009-11-02	2011-01-01	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	5107376	17237193	9999-12-31	2013-05-08
107 B	2011-01-01	2012-02-11	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	5107376	17237193	9999-12-31	2013-05-08
107 B	2012-02-11	9999-12-31	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	5107376	17237193	9999-12-31	2013-05-08
107 B	2009-11-02	2011-01-01	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	5107376	17237817	9999-12-31	2013-05-08
107 B	2011-01-01	2012-02-11	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	5107376	17237817	9999-12-31	2013-05-08
107 B	2012-02-11	9999-12-31	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	5107376	17237817	9999-12-31	2013-05-08
107 B	2012-02-11	9999-12-31	E.ON E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107376	21631209	9999-12-31	2013-05-08
511	2009-01-23	2010-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5107428	1626839	9999-12-31	2013-05-08
511	2010-01-01	2010-03-30	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5107428	1626839	9999-12-31	2013-05-08
511	2010-03-30	2010-06-30	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5107428	1626839	9999-12-31	2013-05-08
511	2010-06-30	2011-07-16	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5107428	1626839	9999-12-31	2013-05-08
511	2011-07-16	2012-03-24	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5107428	1626839	9999-12-31	2013-05-08
511	2012-03-24	2013-02-13	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5107428	1626839	2013-02-20	2013-05-08
511	2013-02-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5107428	1626839	9999-12-31	2013-05-08
511	2009-01-23	2010-01-01	Wintershall Norge AS (old)	35.000000	\N	2009-01-23	2011-07-15	5107428	3482302	9999-12-31	2013-05-08
511	2010-01-01	2010-03-30	Wintershall Norge AS (old)	25.000000	\N	2009-01-23	2011-07-15	5107428	3482302	9999-12-31	2013-05-08
511	2010-03-30	2010-06-30	Wintershall Norge AS (old)	25.000000	\N	2009-01-23	2011-07-15	5107428	3482302	9999-12-31	2013-05-08
511	2010-06-30	2011-07-16	Wintershall Norge AS (old)	25.000000	\N	2009-01-23	2011-07-15	5107428	3482302	9999-12-31	2013-05-08
511	2009-01-23	2010-01-01	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	5107428	4062933	9999-12-31	2013-05-08
511	2010-01-01	2010-03-30	Bridge Energy AS	20.000000	\N	9999-12-31	9999-12-31	5107428	4062933	9999-12-31	2013-05-08
511	2009-01-23	2010-01-01	Maersk Oil Norway AS	25.000000	\N	9999-12-31	9999-12-31	5107428	4719674	9999-12-31	2013-05-08
511	2010-01-01	2010-03-30	Maersk Oil Norway AS	25.000000	\N	9999-12-31	9999-12-31	5107428	4719674	9999-12-31	2013-05-08
511	2010-03-30	2010-06-30	Maersk Oil Norway AS	25.000000	\N	9999-12-31	9999-12-31	5107428	4719674	9999-12-31	2013-05-08
511	2010-06-30	2011-07-16	Maersk Oil Norway AS	25.000000	\N	9999-12-31	9999-12-31	5107428	4719674	9999-12-31	2013-05-08
511	2011-07-16	2012-03-24	Maersk Oil Norway AS	25.000000	\N	9999-12-31	9999-12-31	5107428	4719674	9999-12-31	2013-05-08
511	2012-03-24	2013-02-13	Maersk Oil Norway AS	25.000000	\N	9999-12-31	9999-12-31	5107428	4719674	2013-02-20	2013-05-08
511	2013-02-13	9999-12-31	Maersk Oil Norway AS	25.000000	\N	9999-12-31	9999-12-31	5107428	4719674	9999-12-31	2013-05-08
511	2010-01-01	2010-03-30	Spring Energy Norway AS	10.000000	\N	9999-12-31	9999-12-31	5107428	5072514	9999-12-31	2013-05-08
511	2010-03-30	2010-06-30	Spring Energy Norway AS	10.000000	\N	9999-12-31	9999-12-31	5107428	5072514	9999-12-31	2013-05-08
511	2010-06-30	2011-07-16	Spring Energy Norway AS	10.000000	\N	9999-12-31	9999-12-31	5107428	5072514	9999-12-31	2013-05-08
511	2011-07-16	2012-03-24	Spring Energy Norway AS	10.000000	\N	9999-12-31	9999-12-31	5107428	5072514	9999-12-31	2013-05-08
511	2012-03-24	2013-02-13	Spring Energy Norway AS	10.000000	\N	9999-12-31	9999-12-31	5107428	5072514	2013-02-20	2013-05-08
511	2011-07-16	2012-03-24	Wintershall Norge ASA	25.000000	\N	2011-07-16	2012-03-23	5107428	5442509	9999-12-31	2013-05-08
511	2010-06-30	2011-07-16	VNG Norge AS	12.500000	\N	9999-12-31	9999-12-31	5107428	17237193	9999-12-31	2013-05-08
511	2011-07-16	2012-03-24	VNG Norge AS	12.500000	\N	9999-12-31	9999-12-31	5107428	17237193	9999-12-31	2013-05-08
511	2012-03-24	2013-02-13	VNG Norge AS	12.500000	\N	9999-12-31	9999-12-31	5107428	17237193	2013-02-20	2013-05-08
511	2013-02-13	9999-12-31	VNG Norge AS	12.500000	\N	9999-12-31	9999-12-31	5107428	17237193	9999-12-31	2013-05-08
511	2010-03-30	2010-06-30	Bridge Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	5107428	18178215	9999-12-31	2013-05-08
511	2010-06-30	2011-07-16	Bridge Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	5107428	18178215	9999-12-31	2013-05-08
511	2011-07-16	2012-03-24	Bridge Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	5107428	18178215	9999-12-31	2013-05-08
511	2012-03-24	2013-02-13	Bridge Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	5107428	18178215	2013-02-20	2013-05-08
511	2013-02-13	9999-12-31	Bridge Energy Norge AS	7.500000	\N	9999-12-31	9999-12-31	5107428	18178215	9999-12-31	2013-05-08
511	2012-03-24	2013-02-13	Wintershall Norge AS	25.000000	\N	2012-03-24	9999-12-31	5107428	21666830	2013-02-20	2013-05-08
511	2013-02-13	9999-12-31	Wintershall Norge AS	25.000000	\N	2012-03-24	9999-12-31	5107428	21666830	9999-12-31	2013-05-08
511	2013-02-13	9999-12-31	Tullow Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	5107428	23173852	9999-12-31	2013-05-08
292 B	2009-01-23	9999-12-31	BG Norge AS	60.000000	\N	2009-01-23	9999-12-31	5107501	2747354	9999-12-31	2013-05-08
292 B	2009-01-23	9999-12-31	Lundin Norway AS	40.000000	\N	9999-12-31	9999-12-31	5107501	2767314	9999-12-31	2013-05-08
465 B	2009-01-23	2011-03-01	Wintershall Norge AS (old)	40.000000	\N	9999-12-31	9999-12-31	5107561	3482302	9999-12-31	2013-05-08
465 B	2009-01-23	2011-03-01	Nexen Exploration Norge AS	60.000000	\N	2009-01-23	2011-03-01	5107561	4062831	9999-12-31	2013-05-08
193 B	2009-01-23	2009-11-02	A/S Norske Shell	6.450000	\N	9999-12-31	9999-12-31	5107611	562	9999-12-31	2013-05-08
193 B	2009-11-02	2010-01-01	A/S Norske Shell	6.450000	\N	9999-12-31	9999-12-31	5107611	562	9999-12-31	2013-05-08
193 B	2009-01-23	2009-11-02	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5107611	1626839	9999-12-31	2013-05-08
193 B	2009-11-02	2010-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5107611	1626839	9999-12-31	2013-05-08
193 B	2010-01-01	2012-01-13	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5107611	1626839	9999-12-31	2013-05-08
193 B	2012-01-13	2012-04-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5107611	1626839	9999-12-31	2013-05-08
193 B	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5107611	1626839	9999-12-31	2013-05-08
193 B	2010-01-01	2012-01-13	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	5107611	1853786	9999-12-31	2013-05-08
193 B	2012-01-13	2012-04-30	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	5107611	1853786	9999-12-31	2013-05-08
193 B	2012-04-30	9999-12-31	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	5107611	1853786	9999-12-31	2013-05-08
193 B	2009-01-23	2009-11-02	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	5107611	2410708	9999-12-31	2013-05-08
193 B	2009-11-02	2010-01-01	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	5107611	2410708	9999-12-31	2013-05-08
193 B	2010-01-01	2012-01-13	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	5107611	2410708	9999-12-31	2013-05-08
193 B	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	13.000000	\N	9999-12-31	9999-12-31	5107611	4238233	9999-12-31	2013-05-08
193 B	2009-01-23	2009-11-02	StatoilHydro Petroleum AS	58.550000	\N	2009-01-23	2009-11-01	5107611	4511658	9999-12-31	2013-05-08
193 B	2009-11-02	2010-01-01	Statoil Petroleum AS	58.550000	\N	2009-11-02	9999-12-31	5107611	17237817	9999-12-31	2013-05-08
193 B	2010-01-01	2012-01-13	Statoil Petroleum AS	58.550000	\N	2009-11-02	9999-12-31	5107611	17237817	9999-12-31	2013-05-08
193 B	2012-01-13	2012-04-30	Statoil Petroleum AS	63.550000	\N	2009-11-02	9999-12-31	5107611	17237817	9999-12-31	2013-05-08
193 B	2012-04-30	9999-12-31	Statoil Petroleum AS	50.550000	\N	2009-11-02	9999-12-31	5107611	17237817	9999-12-31	2013-05-08
472 B	2009-01-23	2010-03-01	Wintershall Norge AS (old)	40.000000	\N	2009-01-23	2010-03-01	5107640	3482302	9999-12-31	2013-05-08
472 B	2009-01-23	2010-03-01	Bridge Energy AS	25.000000	\N	9999-12-31	9999-12-31	5107640	4062933	9999-12-31	2013-05-08
472 B	2009-01-23	2010-03-01	Maersk Oil Norway AS	35.000000	\N	9999-12-31	9999-12-31	5107640	4719674	9999-12-31	2013-05-08
475 BS	2011-01-01	2011-09-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5107669	1626839	9999-12-31	2013-05-08
475 BS	2011-09-30	2012-03-24	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5107669	1626839	9999-12-31	2013-05-08
475 BS	2012-03-24	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5107669	1626839	9999-12-31	2013-05-08
475 BS	2009-01-23	2009-01-24	Revus Energy ASA	30.000000	\N	2009-01-23	2009-01-24	5107669	3431773	9999-12-31	2013-05-08
475 BS	2009-01-24	2009-01-25	Revus Energy ASA	30.000000	\N	9999-12-31	9999-12-31	5107669	3431773	9999-12-31	2013-05-08
475 BS	2009-01-23	2009-01-24	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107669	4062883	9999-12-31	2013-05-08
475 BS	2009-01-24	2009-01-25	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107669	4062883	9999-12-31	2013-05-08
475 BS	2009-01-25	2010-01-01	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107669	4062883	9999-12-31	2013-05-08
475 BS	2010-01-01	2011-01-01	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	5107669	4062883	9999-12-31	2013-05-08
475 BS	2009-01-23	2009-01-24	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5107669	4238233	9999-12-31	2013-05-08
475 BS	2009-01-24	2009-01-25	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5107669	4238233	9999-12-31	2013-05-08
475 BS	2009-01-25	2010-01-01	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5107669	4238233	9999-12-31	2013-05-08
475 BS	2010-01-01	2011-01-01	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5107669	4238233	9999-12-31	2013-05-08
475 BS	2011-01-01	2011-09-30	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5107669	4238233	9999-12-31	2013-05-08
475 BS	2011-09-30	2012-03-24	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5107669	4238233	9999-12-31	2013-05-08
475 BS	2012-03-24	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5107669	4238233	9999-12-31	2013-05-08
475 BS	2009-01-23	2009-01-24	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	5107669	4460794	9999-12-31	2013-05-08
475 BS	2009-01-24	2009-01-25	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	5107669	4460794	9999-12-31	2013-05-08
475 BS	2009-01-25	2010-01-01	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	5107669	4460794	9999-12-31	2013-05-08
475 BS	2010-01-01	2011-01-01	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	5107669	4460794	9999-12-31	2013-05-08
475 BS	2011-01-01	2011-09-30	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	5107669	4460794	9999-12-31	2013-05-08
475 BS	2010-01-01	2011-01-01	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	5107669	5072514	9999-12-31	2013-05-08
475 BS	2011-01-01	2011-09-30	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	5107669	5072514	9999-12-31	2013-05-08
475 BS	2009-01-24	2009-01-25	Wintershall Norge ASA	10.000000	\N	9999-12-31	9999-12-31	5107669	5442509	9999-12-31	2013-05-08
475 BS	2009-01-25	2010-01-01	Wintershall Norge ASA	40.000000	\N	2009-01-25	2012-03-23	5107669	5442509	9999-12-31	2013-05-08
475 BS	2010-01-01	2011-01-01	Wintershall Norge ASA	25.000000	\N	2009-01-25	2012-03-23	5107669	5442509	9999-12-31	2013-05-08
475 BS	2011-01-01	2011-09-30	Wintershall Norge ASA	25.000000	\N	2009-01-25	2012-03-23	5107669	5442509	9999-12-31	2013-05-08
475 BS	2011-09-30	2012-03-24	Wintershall Norge ASA	50.000000	\N	2009-01-25	2012-03-23	5107669	5442509	9999-12-31	2013-05-08
475 BS	2012-03-24	9999-12-31	Wintershall Norge AS	50.000000	\N	2012-03-24	9999-12-31	5107669	21666830	9999-12-31	2013-05-08
402 B	2009-01-23	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5107780	1626839	9999-12-31	2013-05-08
402 B	2009-01-23	9999-12-31	Talisman Energy Norge AS	80.000000	\N	2009-01-23	9999-12-31	5107780	2425093	9999-12-31	2013-05-08
107 C	2009-01-23	2009-01-24	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5115394	1626839	9999-12-31	2013-05-08
107 C	2009-01-24	2009-05-26	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5115394	1626839	9999-12-31	2013-05-08
107 C	2009-05-26	2009-10-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5115394	1626839	9999-12-31	2013-05-08
107 C	2009-10-01	2009-11-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5115394	1626839	9999-12-31	2013-05-08
107 C	2009-11-02	2011-01-01	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5115394	1626839	9999-12-31	2013-05-08
107 C	2011-01-01	2011-01-02	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	5115394	1626839	9999-12-31	2013-05-08
107 C	2009-01-23	2009-01-24	Gaz de France Norge AS	20.000000	\N	9999-12-31	9999-12-31	5115394	1628733	9999-12-31	2013-05-08
107 C	2009-01-23	2009-01-24	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	5115394	2835212	9999-12-31	2013-05-08
107 C	2009-01-24	2009-05-26	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	5115394	2835212	9999-12-31	2013-05-08
107 C	2009-05-26	2009-10-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	5115394	2835212	9999-12-31	2013-05-08
107 C	2009-10-01	2009-11-02	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	5115394	2835212	9999-12-31	2013-05-08
107 C	2009-11-02	2011-01-01	ExxonMobil Exploration & Production Norway AS	20.000000	\N	9999-12-31	9999-12-31	5115394	2835212	9999-12-31	2013-05-08
107 C	2009-01-23	2009-01-24	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5115394	2840522	9999-12-31	2013-05-08
107 C	2009-01-24	2009-05-26	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5115394	2840522	9999-12-31	2013-05-08
107 C	2009-05-26	2009-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5115394	2840522	9999-12-31	2013-05-08
107 C	2009-10-01	2009-11-02	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5115394	2840522	9999-12-31	2013-05-08
107 C	2009-11-02	2011-01-01	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5115394	2840522	9999-12-31	2013-05-08
107 C	2011-01-01	2011-01-02	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5115394	2840522	9999-12-31	2013-05-08
107 C	2011-01-02	2012-02-11	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	5115394	2840522	9999-12-31	2013-05-08
107 C	2009-01-23	2009-01-24	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	5115394	3113213	9999-12-31	2013-05-08
107 C	2009-01-24	2009-05-26	Endeavour Energy Norge AS	2.500000	\N	9999-12-31	9999-12-31	5115394	3113213	9999-12-31	2013-05-08
107 C	2011-01-02	2012-02-11	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	5115394	4062883	9999-12-31	2013-05-08
107 C	2012-02-11	9999-12-31	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	5115394	4062883	9999-12-31	2013-05-08
107 C	2009-01-23	2009-01-24	StatoilHydro Petroleum AS	20.000000	\N	2009-01-23	2009-11-01	5115394	4511658	9999-12-31	2013-05-08
107 C	2009-01-24	2009-05-26	StatoilHydro Petroleum AS	20.000000	\N	2009-01-23	2009-11-01	5115394	4511658	9999-12-31	2013-05-08
107 C	2009-05-26	2009-10-01	StatoilHydro Petroleum AS	20.000000	\N	2009-01-23	2009-11-01	5115394	4511658	9999-12-31	2013-05-08
107 C	2009-10-01	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	2009-01-23	2009-11-01	5115394	4511658	9999-12-31	2013-05-08
107 C	2009-01-24	2009-05-26	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5115394	5267845	9999-12-31	2013-05-08
107 C	2009-05-26	2009-10-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5115394	5267845	9999-12-31	2013-05-08
107 C	2009-10-01	2009-11-02	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5115394	5267845	9999-12-31	2013-05-08
107 C	2009-11-02	2011-01-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5115394	5267845	9999-12-31	2013-05-08
107 C	2011-01-01	2011-01-02	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	5115394	5267845	9999-12-31	2013-05-08
107 C	2011-01-02	2012-02-11	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	5115394	5267845	9999-12-31	2013-05-08
107 C	2012-02-11	9999-12-31	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	5115394	5267845	9999-12-31	2013-05-08
107 C	2009-05-26	2009-10-01	VNG Norge (Operations) AS	2.500000	\N	9999-12-31	9999-12-31	5115394	5497155	9999-12-31	2013-05-08
107 C	2009-10-01	2009-11-02	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	5115394	17237193	9999-12-31	2013-05-08
107 C	2009-11-02	2011-01-01	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	5115394	17237193	9999-12-31	2013-05-08
107 C	2011-01-01	2011-01-02	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	5115394	17237193	9999-12-31	2013-05-08
107 C	2011-01-02	2012-02-11	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	5115394	17237193	9999-12-31	2013-05-08
107 C	2012-02-11	9999-12-31	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	5115394	17237193	9999-12-31	2013-05-08
107 C	2009-11-02	2011-01-01	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	5115394	17237817	9999-12-31	2013-05-08
107 C	2011-01-01	2011-01-02	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	5115394	17237817	9999-12-31	2013-05-08
107 C	2011-01-02	2012-02-11	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	5115394	17237817	9999-12-31	2013-05-08
107 C	2012-02-11	9999-12-31	Statoil Petroleum AS	20.000000	\N	2009-11-02	9999-12-31	5115394	17237817	9999-12-31	2013-05-08
107 C	2012-02-11	9999-12-31	E.ON E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	5115394	21631209	9999-12-31	2013-05-08
519	2009-05-15	2010-07-06	Lundin Norway AS	40.000000	\N	2009-05-15	9999-12-31	5463084	2767314	9999-12-31	2013-05-08
519	2010-07-06	2012-12-31	Lundin Norway AS	40.000000	\N	2009-05-15	9999-12-31	5463084	2767314	2013-01-04	2013-05-08
519	2012-12-31	2013-02-13	Lundin Norway AS	40.000000	\N	2009-05-15	9999-12-31	5463084	2767314	2013-02-20	2013-05-08
519	2013-02-13	9999-12-31	Lundin Norway AS	40.000000	\N	2009-05-15	9999-12-31	5463084	2767314	9999-12-31	2013-05-08
519	2009-05-15	2010-07-06	Genesis Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463084	4062957	9999-12-31	2013-05-08
519	2010-07-06	2012-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463084	4444493	2013-01-04	2013-05-08
519	2012-12-31	2013-02-13	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463084	4444493	2013-02-20	2013-05-08
519	2013-02-13	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463084	4444493	9999-12-31	2013-05-08
519	2009-05-15	2010-07-06	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	5463084	4530695	9999-12-31	2013-05-08
519	2010-07-06	2012-12-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	5463084	4530695	2013-01-04	2013-05-08
519	2009-05-15	2010-07-06	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463084	5072514	9999-12-31	2013-05-08
519	2010-07-06	2012-12-31	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463084	5072514	2013-01-04	2013-05-08
519	2012-12-31	2013-02-13	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463084	5072514	2013-02-20	2013-05-08
519	2012-12-31	2013-02-13	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463084	22223020	2013-02-20	2013-05-08
519	2013-02-13	9999-12-31	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463084	22223020	9999-12-31	2013-05-08
519	2013-02-13	9999-12-31	Tullow Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463084	23173852	9999-12-31	2013-05-08
318 C	2009-05-15	2009-11-02	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463114	441	9999-12-31	2013-05-08
318 C	2009-11-02	9999-12-31	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463114	441	9999-12-31	2013-05-08
318 C	2009-05-15	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463114	1626839	9999-12-31	2013-05-08
318 C	2009-11-02	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463114	1626839	9999-12-31	2013-05-08
318 C	2009-05-15	2009-11-02	StatoilHydro Petroleum AS	60.000000	\N	2009-05-15	2009-11-01	5463114	4511658	9999-12-31	2013-05-08
318 C	2009-11-02	9999-12-31	Statoil Petroleum AS	60.000000	\N	2009-11-02	9999-12-31	5463114	17237817	9999-12-31	2013-05-08
520	2009-05-15	2012-12-31	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2009-05-15	9999-12-31	5463136	2835212	2013-01-04	2013-05-08
520	2012-12-31	9999-12-31	ExxonMobil Exploration & Production Norway AS	50.000000	\N	2009-05-15	9999-12-31	5463136	2835212	9999-12-31	2013-05-08
520	2009-05-15	2012-12-31	Norwegian Energy Company ASA	50.000000	\N	9999-12-31	9999-12-31	5463136	4530695	2013-01-04	2013-05-08
520	2012-12-31	9999-12-31	Noreco Norway AS	50.000000	\N	9999-12-31	9999-12-31	5463136	22223020	9999-12-31	2013-05-08
521	2009-05-15	2009-11-02	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	5463210	738	9999-12-31	2013-05-08
521	2009-11-02	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	5463210	738	9999-12-31	2013-05-08
521	2009-05-15	2009-11-02	PGNiG Norway AS	35.000000	\N	9999-12-31	9999-12-31	5463210	4505831	9999-12-31	2013-05-08
521	2009-11-02	9999-12-31	PGNiG Norway AS	35.000000	\N	9999-12-31	9999-12-31	5463210	4505831	9999-12-31	2013-05-08
521	2009-05-15	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	2009-05-15	2009-11-01	5463210	4511658	9999-12-31	2013-05-08
521	2009-11-02	9999-12-31	Statoil Petroleum AS	40.000000	\N	2009-11-02	9999-12-31	5463210	17237817	9999-12-31	2013-05-08
522	2009-05-15	2009-12-22	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463248	441	9999-12-31	2013-05-08
522	2009-12-22	2010-10-01	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463248	441	9999-12-31	2013-05-08
522	2010-10-01	2011-01-01	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463248	441	9999-12-31	2013-05-08
522	2011-01-01	9999-12-31	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463248	441	9999-12-31	2013-05-08
522	2009-05-15	2009-12-22	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463248	1626839	9999-12-31	2013-05-08
522	2009-12-22	2010-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463248	1626839	9999-12-31	2013-05-08
522	2010-10-01	2011-01-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463248	1626839	9999-12-31	2013-05-08
522	2011-01-01	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463248	1626839	9999-12-31	2013-05-08
522	2009-05-15	2009-12-22	BG Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463248	2747354	9999-12-31	2013-05-08
522	2009-12-22	2010-10-01	BG Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463248	2747354	9999-12-31	2013-05-08
522	2010-10-01	2011-01-01	BG Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463248	2747354	9999-12-31	2013-05-08
522	2011-01-01	9999-12-31	BG Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463248	2747354	9999-12-31	2013-05-08
522	2011-01-01	9999-12-31	Centrica Resources (Norge) AS	10.000000	\N	9999-12-31	9999-12-31	5463248	4238233	9999-12-31	2013-05-08
522	2009-05-15	2009-12-22	Aker Exploration AS	20.000000	\N	9999-12-31	9999-12-31	5463248	4460425	9999-12-31	2013-05-08
522	2010-10-01	2011-01-01	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	5463248	17342870	9999-12-31	2013-05-08
522	2011-01-01	9999-12-31	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	5463248	17342870	9999-12-31	2013-05-08
522	2009-12-22	2010-10-01	Det norske oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	5463248	17342915	9999-12-31	2013-05-08
523	2009-05-15	2009-12-22	E.ON Ruhrgas Norge AS	40.000000	\N	2009-05-15	2012-02-10	5463304	2840522	9999-12-31	2013-05-08
523	2009-12-22	2010-10-01	E.ON Ruhrgas Norge AS	40.000000	\N	2009-05-15	2012-02-10	5463304	2840522	9999-12-31	2013-05-08
523	2010-10-01	2012-02-11	E.ON Ruhrgas Norge AS	40.000000	\N	2009-05-15	2012-02-10	5463304	2840522	9999-12-31	2013-05-08
523	2009-05-15	2009-12-22	Aker Exploration AS	20.000000	\N	9999-12-31	9999-12-31	5463304	4460425	9999-12-31	2013-05-08
523	2009-05-15	2009-12-22	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463304	4526555	9999-12-31	2013-05-08
523	2009-12-22	2010-10-01	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463304	4526555	9999-12-31	2013-05-08
523	2010-10-01	2012-02-11	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463304	4526555	9999-12-31	2013-05-08
523	2012-02-11	2012-05-15	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463304	4526555	2012-07-04	2013-05-08
523	2009-05-15	2009-12-22	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	5463304	4530695	9999-12-31	2013-05-08
523	2009-12-22	2010-10-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	5463304	4530695	9999-12-31	2013-05-08
523	2010-10-01	2012-02-11	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	5463304	4530695	9999-12-31	2013-05-08
523	2012-02-11	2012-05-15	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	5463304	4530695	2012-07-04	2013-05-08
523	2010-10-01	2012-02-11	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	5463304	17342870	9999-12-31	2013-05-08
523	2012-02-11	2012-05-15	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	5463304	17342870	2012-07-04	2013-05-08
523	2009-12-22	2010-10-01	Det norske oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	5463304	17342915	9999-12-31	2013-05-08
523	2012-02-11	2012-05-15	E.ON E&P Norge AS	40.000000	\N	2012-02-11	2012-05-15	5463304	21631209	2012-07-05	2013-05-08
524	2009-05-15	2009-11-02	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	5463333	2410696	9999-12-31	2013-05-08
524	2009-11-02	2012-05-15	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	5463333	2410696	9999-12-31	2013-05-08
524	2009-05-15	2009-11-02	StatoilHydro Petroleum AS	75.000000	\N	2009-05-15	2009-11-01	5463333	4511658	9999-12-31	2013-05-08
524	2009-11-02	2012-05-15	Statoil Petroleum AS	75.000000	\N	2009-11-02	2012-05-15	5463333	17237817	9999-12-31	2013-05-08
525	2009-05-15	2012-05-15	Hess Norge AS	50.000000	\N	2009-05-15	2012-05-14	5463362	4038735	2012-06-06	2013-05-08
525	2009-05-15	2012-05-15	Norwegian Energy Company ASA	50.000000	\N	9999-12-31	9999-12-31	5463362	4530695	2012-06-06	2013-05-08
525	2012-05-15	2012-12-31	Norwegian Energy Company ASA	100.000000	\N	2012-05-15	2012-12-30	5463362	4530695	2013-01-05	2013-05-08
525	2012-12-31	9999-12-31	Noreco Norway AS	100.000000	\N	2012-12-31	9999-12-31	5463362	22223020	2013-01-05	2013-05-08
526	2009-05-15	2010-04-20	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463391	2840522	9999-12-31	2013-05-08
526	2010-04-20	2012-02-11	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463391	2840522	9999-12-31	2013-05-08
526	2009-05-15	2010-04-20	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463391	4526555	9999-12-31	2013-05-08
526	2010-04-20	2012-02-11	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463391	4526555	9999-12-31	2013-05-08
526	2012-02-11	2012-05-15	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463391	4526555	9999-12-31	2013-05-08
526	2009-05-15	2010-04-20	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	5463391	4530695	9999-12-31	2013-05-08
526	2010-04-20	2012-02-11	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	5463391	4530695	9999-12-31	2013-05-08
526	2012-02-11	2012-05-15	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	5463391	4530695	9999-12-31	2013-05-08
526	2012-05-15	2012-07-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	5463391	4530695	9999-12-31	2013-05-08
526	2009-05-15	2010-04-20	North Energy AS	40.000000	\N	2009-05-15	2010-04-19	5463391	4706034	9999-12-31	2013-05-08
526	2010-04-20	2012-02-11	North Energy ASA	40.000000	\N	2010-04-20	9999-12-31	5463391	18082156	9999-12-31	2013-05-08
526	2012-02-11	2012-05-15	North Energy ASA	40.000000	\N	2010-04-20	9999-12-31	5463391	18082156	9999-12-31	2013-05-08
526	2012-05-15	2012-07-31	North Energy ASA	60.000000	\N	2010-04-20	9999-12-31	5463391	18082156	9999-12-31	2013-05-08
526	2012-07-31	9999-12-31	North Energy ASA	66.670000	\N	2010-04-20	9999-12-31	5463391	18082156	9999-12-31	2013-05-08
526	2012-02-11	2012-05-15	E.ON E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463391	21631209	9999-12-31	2013-05-08
526	2012-05-15	2012-07-31	E.ON E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463391	21631209	9999-12-31	2013-05-08
526	2012-07-31	9999-12-31	E.ON E&P Norge AS	33.330000	\N	9999-12-31	9999-12-31	5463391	21631209	9999-12-31	2013-05-08
527	2009-05-15	2009-11-02	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	5463429	562	9999-12-31	2013-05-08
527	2009-11-02	9999-12-31	A/S Norske Shell	20.000000	\N	9999-12-31	9999-12-31	5463429	562	9999-12-31	2013-05-08
527	2009-05-15	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463429	1626839	9999-12-31	2013-05-08
527	2009-11-02	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463429	1626839	9999-12-31	2013-05-08
527	2009-05-15	2009-11-02	Chevron Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463429	3488906	9999-12-31	2013-05-08
527	2009-11-02	9999-12-31	Chevron Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463429	3488906	9999-12-31	2013-05-08
527	2009-05-15	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5463429	4511658	9999-12-31	2013-05-08
527	2009-11-02	9999-12-31	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5463429	17237817	9999-12-31	2013-05-08
528	2009-05-15	2011-02-28	Petro-Canada Norge AS	40.000000	\N	2009-05-15	2011-02-27	5463521	3960945	9999-12-31	2013-05-08
528	2009-05-15	2011-02-28	Rocksource ASA	30.000000	\N	9999-12-31	9999-12-31	5463521	4062921	9999-12-31	2013-05-08
528	2011-02-28	2011-09-29	Rocksource ASA	30.000000	\N	9999-12-31	9999-12-31	5463521	4062921	9999-12-31	2013-05-08
528	2011-09-29	2012-05-15	Rocksource ASA	30.000000	\N	9999-12-31	9999-12-31	5463521	4062921	2012-11-07	2013-05-08
528	2012-05-15	2012-05-24	Rocksource ASA	50.000000	\N	9999-12-31	9999-12-31	5463521	4062921	9999-12-31	2013-05-08
528	2012-05-24	2012-12-31	Rocksource ASA	25.000000	\N	9999-12-31	9999-12-31	5463521	4062921	9999-12-31	2013-05-08
528	2009-05-15	2011-02-28	Centrica Resources (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	5463521	4238233	9999-12-31	2013-05-08
528	2011-02-28	2011-09-29	Centrica Resources (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	5463521	4238233	9999-12-31	2013-05-08
528	2011-09-29	2012-05-15	Centrica Resources (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	5463521	4238233	2012-11-07	2013-05-08
528	2012-05-15	2012-05-24	Centrica Resources (Norge) AS	50.000000	\N	9999-12-31	9999-12-31	5463521	4238233	9999-12-31	2013-05-08
528	2012-05-24	2012-12-31	Centrica Resources (Norge) AS	50.000000	\N	2012-09-27	9999-12-31	5463521	4238233	9999-12-31	2013-05-08
528	2012-12-31	9999-12-31	Centrica Resources (Norge) AS	50.000000	\N	2012-09-27	9999-12-31	5463521	4238233	9999-12-31	2013-05-08
528	2011-09-29	2012-05-15	Statoil Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	5463521	17237817	2012-11-07	2013-05-08
528	2011-02-28	2011-09-29	Suncor Energy Norge AS	40.000000	\N	2011-02-28	2012-09-26	5463521	20426420	2012-10-10	2013-05-08
528	2011-09-29	2012-05-15	Suncor Energy Norge AS	25.000000	\N	2011-02-28	2012-09-26	5463521	20426420	2012-11-07	2013-05-08
528	2012-05-24	2012-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	5463521	21104529	9999-12-31	2013-05-08
528	2012-12-31	9999-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	5463521	21104529	9999-12-31	2013-05-08
528	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	25.000000	\N	9999-12-31	9999-12-31	5463521	22528729	9999-12-31	2013-05-08
529	2009-05-15	2011-01-01	Eni Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463559	2388594	9999-12-31	2013-05-08
529	2011-01-01	2011-07-16	Eni Norge AS	30.000000	\N	2009-05-15	9999-12-31	5463559	2388594	9999-12-31	2013-05-08
529	2011-07-16	2012-03-24	Eni Norge AS	30.000000	\N	2009-05-15	9999-12-31	5463559	2388594	9999-12-31	2013-05-08
529	2012-03-24	9999-12-31	Eni Norge AS	30.000000	\N	2009-05-15	9999-12-31	5463559	2388594	9999-12-31	2013-05-08
529	2009-05-15	2011-01-01	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	5463559	3482302	9999-12-31	2013-05-08
529	2011-01-01	2011-07-16	Wintershall Norge AS (old)	20.000000	\N	9999-12-31	9999-12-31	5463559	3482302	9999-12-31	2013-05-08
529	2009-05-15	2011-01-01	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463559	4070011	9999-12-31	2013-05-08
529	2011-01-01	2011-07-16	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463559	4070011	9999-12-31	2013-05-08
529	2011-07-16	2012-03-24	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463559	4070011	9999-12-31	2013-05-08
529	2012-03-24	9999-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463559	4070011	9999-12-31	2013-05-08
529	2009-05-15	2011-01-01	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5463559	4460594	9999-12-31	2013-05-08
529	2011-01-01	2011-07-16	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5463559	4460594	9999-12-31	2013-05-08
529	2011-07-16	2012-03-24	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5463559	4460594	9999-12-31	2013-05-08
529	2012-03-24	9999-12-31	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5463559	4460594	9999-12-31	2013-05-08
529	2011-07-16	2012-03-24	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	5463559	5442509	9999-12-31	2013-05-08
529	2011-01-01	2011-07-16	Repsol Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463559	17237506	9999-12-31	2013-05-08
529	2011-07-16	2012-03-24	Repsol Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463559	17237506	9999-12-31	2013-05-08
529	2012-03-24	9999-12-31	Repsol Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463559	17237506	9999-12-31	2013-05-08
529	2012-03-24	9999-12-31	Wintershall Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463559	21666830	9999-12-31	2013-05-08
530	2009-05-15	2010-04-20	Discover Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5463588	3500333	9999-12-31	2013-05-08
530	2010-04-20	2010-05-26	Discover Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5463588	3500333	9999-12-31	2013-05-08
530	2009-05-15	2010-04-20	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	5463588	4062921	9999-12-31	2013-05-08
530	2010-04-20	2010-05-26	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	5463588	4062921	9999-12-31	2013-05-08
530	2010-05-26	2011-07-29	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	5463588	4062921	9999-12-31	2013-05-08
530	2011-07-29	2012-05-24	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	5463588	4062921	2012-06-12	2013-05-08
530	2012-05-24	2012-10-31	Rocksource ASA	10.000000	\N	9999-12-31	9999-12-31	5463588	4062921	2012-11-06	2013-05-08
530	2012-10-31	2012-12-31	Rocksource ASA	10.000000	\N	9999-12-31	9999-12-31	5463588	4062921	2013-01-09	2013-05-08
530	2012-10-31	2012-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463588	4070011	2013-01-09	2013-05-08
530	2012-12-31	2013-03-12	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463588	4070011	2013-03-22	2013-05-08
530	2009-05-15	2010-04-20	North Energy AS	20.000000	\N	9999-12-31	9999-12-31	5463588	4706034	9999-12-31	2013-05-08
530	2009-05-15	2010-04-20	GDF SUEZ E&P Norge AS	40.000000	\N	2009-05-15	2013-03-12	5463588	5267845	2013-03-22	2013-05-08
530	2010-04-20	2010-05-26	GDF SUEZ E&P Norge AS	40.000000	\N	2009-05-15	2013-03-12	5463588	5267845	2013-03-22	2013-05-08
530	2010-05-26	2011-07-29	GDF SUEZ E&P Norge AS	40.000000	\N	2009-05-15	2013-03-12	5463588	5267845	2013-03-22	2013-05-08
530	2011-07-29	2012-05-24	GDF SUEZ E&P Norge AS	30.000000	\N	2009-05-15	2013-03-12	5463588	5267845	2013-03-22	2013-05-08
530	2012-05-24	2012-10-31	GDF SUEZ E&P Norge AS	30.000000	\N	2009-05-15	2013-03-12	5463588	5267845	2013-03-22	2013-05-08
530	2012-10-31	2012-12-31	GDF SUEZ E&P Norge AS	30.000000	\N	2009-05-15	2013-03-12	5463588	5267845	2013-03-22	2013-05-08
530	2012-12-31	2013-03-12	GDF SUEZ E&P Norge AS	30.000000	\N	2009-05-15	2013-03-12	5463588	5267845	2013-03-22	2013-05-08
530	2011-07-29	2012-05-24	Repsol Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463588	17237506	2012-06-12	2013-05-08
530	2012-05-24	2012-10-31	Repsol Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463588	17237506	2012-11-06	2013-05-08
530	2012-10-31	2012-12-31	Repsol Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463588	17237506	2013-01-09	2013-05-08
530	2012-12-31	2013-03-12	Repsol Exploration Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463588	17237506	2013-03-22	2013-05-08
530	2010-04-20	2010-05-26	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463588	18082156	9999-12-31	2013-05-08
530	2010-05-26	2011-07-29	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463588	18082156	9999-12-31	2013-05-08
530	2011-07-29	2012-05-24	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463588	18082156	2012-06-12	2013-05-08
530	2012-05-24	2012-10-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463588	18082156	2012-11-06	2013-05-08
530	2012-10-31	2012-12-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463588	18082156	2013-01-09	2013-05-08
530	2012-12-31	2013-03-12	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463588	18082156	2013-03-22	2013-05-08
530	2010-05-26	2011-07-29	Front Exploration AS	20.000000	\N	9999-12-31	9999-12-31	5463588	18108745	9999-12-31	2013-05-08
530	2011-07-29	2012-05-24	Front Exploration AS	20.000000	\N	9999-12-31	9999-12-31	5463588	18108745	2012-06-12	2013-05-08
530	2012-05-24	2012-10-31	Front Exploration AS	20.000000	\N	9999-12-31	9999-12-31	5463588	18108745	2012-11-06	2013-05-08
530	2012-05-24	2012-10-31	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463588	21104529	2012-11-06	2013-05-08
530	2012-10-31	2012-12-31	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463588	21104529	2013-01-09	2013-05-08
530	2012-12-31	2013-03-12	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463588	21104529	2013-03-22	2013-05-08
530	2012-12-31	2013-03-12	Rocksource Exploration Norway AS	10.000000	\N	9999-12-31	9999-12-31	5463588	22528729	2013-03-22	2013-05-08
531	2009-05-15	2011-07-04	Marathon Petroleum Norge AS	30.000000	\N	2009-05-15	2011-07-03	5463621	463	9999-12-31	2013-05-08
531	2009-05-15	2011-07-04	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	5463621	97557	9999-12-31	2013-05-08
531	2011-07-04	2011-10-31	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	5463621	97557	9999-12-31	2013-05-08
531	2011-10-31	2012-01-01	RWE Dea Norge AS	25.000000	\N	9999-12-31	9999-12-31	5463621	97557	2012-08-04	2013-05-08
531	2012-01-01	2012-11-30	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	5463621	97557	2012-12-01	2013-05-08
531	2012-11-30	9999-12-31	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	5463621	97557	9999-12-31	2013-05-08
531	2009-05-15	2011-07-04	Talisman Energy Norge AS	25.000000	\N	9999-12-31	9999-12-31	5463621	2425093	9999-12-31	2013-05-08
531	2011-07-04	2011-10-31	Talisman Energy Norge AS	25.000000	\N	9999-12-31	9999-12-31	5463621	2425093	9999-12-31	2013-05-08
531	2011-10-31	2012-01-01	Talisman Energy Norge AS	25.000000	\N	9999-12-31	9999-12-31	5463621	2425093	2012-08-04	2013-05-08
531	2012-01-01	2012-11-30	Talisman Energy Norge AS	25.000000	\N	9999-12-31	9999-12-31	5463621	2425093	2012-12-01	2013-05-08
531	2012-11-30	9999-12-31	Talisman Energy Norge AS	12.500000	\N	9999-12-31	9999-12-31	5463621	2425093	9999-12-31	2013-05-08
531	2012-11-30	9999-12-31	Faroe Petroleum Norge AS	12.500000	\N	9999-12-31	9999-12-31	5463621	4062883	9999-12-31	2013-05-08
531	2009-05-15	2011-07-04	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	5463621	4460794	9999-12-31	2013-05-08
531	2011-07-04	2011-10-31	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	5463621	4460794	9999-12-31	2013-05-08
531	2011-10-31	2012-01-01	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	5463621	4460794	2012-08-04	2013-05-08
531	2012-01-01	2012-11-30	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	5463621	4460794	2012-12-01	2013-05-08
531	2012-11-30	9999-12-31	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	5463621	4460794	9999-12-31	2013-05-08
531	2011-10-31	2012-01-01	Repsol Exploration Norge AS	20.000000	\N	2011-10-31	9999-12-31	5463621	17237506	2012-08-04	2013-05-08
531	2012-01-01	2012-11-30	Repsol Exploration Norge AS	20.000000	\N	2011-10-31	9999-12-31	5463621	17237506	2012-12-01	2013-05-08
531	2012-11-30	9999-12-31	Repsol Exploration Norge AS	20.000000	\N	2011-10-31	9999-12-31	5463621	17237506	9999-12-31	2013-05-08
531	2012-01-01	2012-11-30	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	5463621	17342870	2012-12-01	2013-05-08
531	2012-11-30	9999-12-31	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	5463621	17342870	9999-12-31	2013-05-08
531	2011-07-04	2011-10-31	Marathon Oil Norge AS	30.000000	\N	2011-07-04	2011-10-30	5463621	20485291	9999-12-31	2013-05-08
531	2011-10-31	2012-01-01	Marathon Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463621	20485291	2012-08-04	2013-05-08
531	2012-01-01	2012-11-30	Marathon Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463621	20485291	2012-12-01	2013-05-08
531	2012-11-30	9999-12-31	Marathon Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	5463621	20485291	9999-12-31	2013-05-08
532	2009-05-15	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463659	1626839	9999-12-31	2013-05-08
532	2009-11-02	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463659	1626839	9999-12-31	2013-05-08
532	2009-05-15	2009-11-02	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	5463659	2388594	9999-12-31	2013-05-08
532	2009-11-02	9999-12-31	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	5463659	2388594	9999-12-31	2013-05-08
532	2009-05-15	2009-11-02	StatoilHydro Petroleum AS	50.000000	\N	2009-05-15	2009-11-01	5463659	4511658	9999-12-31	2013-05-08
532	2009-11-02	9999-12-31	Statoil Petroleum AS	50.000000	\N	2009-11-02	9999-12-31	5463659	17237817	9999-12-31	2013-05-08
533	2009-05-15	2009-12-22	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463724	97557	9999-12-31	2013-05-08
533	2009-12-22	9999-12-31	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463724	97557	9999-12-31	2013-05-08
533	2009-05-15	2009-12-22	Eni Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463724	2388594	9999-12-31	2013-05-08
533	2009-12-22	9999-12-31	Eni Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463724	2388594	9999-12-31	2013-05-08
533	2009-05-15	2009-12-22	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463724	2767314	9999-12-31	2013-05-08
533	2009-12-22	9999-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463724	2767314	9999-12-31	2013-05-08
533	2009-05-15	2009-12-22	Det norske oljeselskap ASA (old)	20.000000	\N	9999-12-31	9999-12-31	5463724	4539989	9999-12-31	2013-05-08
533	2009-12-22	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	5463724	17342870	9999-12-31	2013-05-08
534	2009-05-15	2009-11-02	BG Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463753	2747354	9999-12-31	2013-05-08
534	2009-11-02	2012-03-24	BG Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463753	2747354	9999-12-31	2013-05-08
534	2012-03-24	9999-12-31	BG Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463753	2747354	9999-12-31	2013-05-08
534	2009-05-15	2009-11-02	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463753	4062883	9999-12-31	2013-05-08
534	2009-11-02	2012-03-24	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463753	4062883	9999-12-31	2013-05-08
534	2012-03-24	9999-12-31	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463753	4062883	9999-12-31	2013-05-08
534	2009-05-15	2009-11-02	StatoilHydro Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5463753	4511658	9999-12-31	2013-05-08
534	2009-05-15	2009-11-02	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	5463753	5442509	9999-12-31	2013-05-08
534	2009-11-02	2012-03-24	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	5463753	5442509	9999-12-31	2013-05-08
534	2009-11-02	2012-03-24	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5463753	17237817	9999-12-31	2013-05-08
534	2012-03-24	9999-12-31	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5463753	17237817	9999-12-31	2013-05-08
534	2012-03-24	9999-12-31	Wintershall Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463753	21666830	9999-12-31	2013-05-08
535	2009-05-15	2009-12-22	Total E&P Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463791	2410708	9999-12-31	2013-05-08
535	2009-12-22	2010-04-20	Total E&P Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463791	2410708	9999-12-31	2013-05-08
535	2010-04-20	2010-10-01	Total E&P Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463791	2410708	9999-12-31	2013-05-08
535	2010-10-01	2012-05-24	Total E&P Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463791	2410708	2012-06-12	2013-05-08
535	2012-05-24	2012-12-31	Total E&P Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463791	2410708	2013-01-09	2013-05-08
535	2012-12-31	9999-12-31	Total E&P Norge AS	40.000000	\N	2009-05-15	9999-12-31	5463791	2410708	9999-12-31	2013-05-08
535	2009-05-15	2009-12-22	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	5463791	4062921	9999-12-31	2013-05-08
535	2009-12-22	2010-04-20	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	5463791	4062921	9999-12-31	2013-05-08
535	2010-04-20	2010-10-01	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	5463791	4062921	9999-12-31	2013-05-08
535	2010-10-01	2012-05-24	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	5463791	4062921	2012-06-12	2013-05-08
535	2012-05-24	2012-12-31	Rocksource ASA	7.000000	\N	9999-12-31	9999-12-31	5463791	4062921	2013-01-09	2013-05-08
535	2009-05-15	2009-12-22	Aker Exploration AS	20.000000	\N	9999-12-31	9999-12-31	5463791	4460425	9999-12-31	2013-05-08
535	2009-05-15	2009-12-22	North Energy AS	20.000000	\N	9999-12-31	9999-12-31	5463791	4706034	9999-12-31	2013-05-08
535	2009-12-22	2010-04-20	North Energy AS	20.000000	\N	9999-12-31	9999-12-31	5463791	4706034	9999-12-31	2013-05-08
535	2010-10-01	2012-05-24	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	5463791	17342870	2012-06-12	2013-05-08
535	2012-05-24	2012-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	5463791	17342870	2013-01-09	2013-05-08
535	2012-12-31	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	5463791	17342870	9999-12-31	2013-05-08
535	2009-12-22	2010-04-20	Det norske oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	5463791	17342915	9999-12-31	2013-05-08
535	2010-04-20	2010-10-01	Det norske oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	5463791	17342915	9999-12-31	2013-05-08
535	2010-04-20	2010-10-01	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463791	18082156	9999-12-31	2013-05-08
535	2010-10-01	2012-05-24	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463791	18082156	2012-06-12	2013-05-08
535	2012-05-24	2012-12-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463791	18082156	2013-01-09	2013-05-08
535	2012-12-31	9999-12-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463791	18082156	9999-12-31	2013-05-08
535	2012-05-24	2012-12-31	Valiant Petroleum Norge AS	13.000000	\N	9999-12-31	9999-12-31	5463791	21104529	2013-01-09	2013-05-08
535	2012-12-31	9999-12-31	Valiant Petroleum Norge AS	13.000000	\N	9999-12-31	9999-12-31	5463791	21104529	9999-12-31	2013-05-08
535	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	7.000000	\N	9999-12-31	9999-12-31	5463791	22528729	9999-12-31	2013-05-08
536	2009-05-15	2009-11-02	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463820	1626839	9999-12-31	2013-05-08
536	2009-11-02	2010-04-20	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463820	1626839	9999-12-31	2013-05-08
536	2010-04-20	2010-05-26	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463820	1626839	9999-12-31	2013-05-08
536	2010-05-26	2012-10-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463820	1626839	2012-11-06	2013-05-08
536	2012-10-31	2012-11-15	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463820	1626839	2013-01-23	2013-05-08
536	2009-05-15	2009-11-02	Discover Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5463820	3500333	9999-12-31	2013-05-08
536	2009-11-02	2010-04-20	Discover Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5463820	3500333	9999-12-31	2013-05-08
536	2010-04-20	2010-05-26	Discover Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	5463820	3500333	9999-12-31	2013-05-08
536	2012-10-31	2012-11-15	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463820	4070011	2013-01-23	2013-05-08
536	2009-05-15	2009-11-02	StatoilHydro Petroleum AS	40.000000	\N	2009-05-15	2009-11-01	5463820	4511658	9999-12-31	2013-05-08
536	2009-05-15	2009-11-02	North Energy AS	20.000000	\N	9999-12-31	9999-12-31	5463820	4706034	9999-12-31	2013-05-08
536	2009-11-02	2010-04-20	North Energy AS	20.000000	\N	9999-12-31	9999-12-31	5463820	4706034	9999-12-31	2013-05-08
536	2009-11-02	2010-04-20	Statoil Petroleum AS	40.000000	\N	2009-11-02	2012-11-15	5463820	17237817	2013-01-24	2013-05-08
536	2010-04-20	2010-05-26	Statoil Petroleum AS	40.000000	\N	2009-11-02	2012-11-15	5463820	17237817	2013-01-24	2013-05-08
536	2010-05-26	2012-10-31	Statoil Petroleum AS	40.000000	\N	2009-11-02	2012-11-15	5463820	17237817	2013-01-24	2013-05-08
536	2012-10-31	2012-11-15	Statoil Petroleum AS	40.000000	\N	2009-11-02	2012-11-15	5463820	17237817	2013-01-24	2013-05-08
536	2010-04-20	2010-05-26	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463820	18082156	9999-12-31	2013-05-08
536	2010-05-26	2012-10-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463820	18082156	2012-11-06	2013-05-08
536	2012-10-31	2012-11-15	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	5463820	18082156	2013-01-23	2013-05-08
536	2010-05-26	2012-10-31	Front Exploration AS	20.000000	\N	9999-12-31	9999-12-31	5463820	18108745	2012-11-06	2013-05-08
537	2009-05-15	2010-12-29	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463849	441	9999-12-31	2013-05-08
537	2010-12-29	2013-02-13	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463849	441	2013-02-20	2013-05-08
537	2013-02-13	9999-12-31	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463849	441	9999-12-31	2013-05-08
537	2009-05-15	2010-12-29	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463849	1626839	9999-12-31	2013-05-08
537	2010-12-29	2013-02-13	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463849	1626839	2013-02-20	2013-05-08
537	2013-02-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5463849	1626839	9999-12-31	2013-05-08
537	2009-05-15	2010-12-29	OMV (Norge) AS	40.000000	\N	2009-05-15	9999-12-31	5463849	4460594	9999-12-31	2013-05-08
537	2010-12-29	2013-02-13	OMV (Norge) AS	25.000000	\N	2009-05-15	9999-12-31	5463849	4460594	2013-02-20	2013-05-08
537	2013-02-13	9999-12-31	OMV (Norge) AS	25.000000	\N	2009-05-15	9999-12-31	5463849	4460594	9999-12-31	2013-05-08
537	2009-05-15	2010-12-29	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463849	5072514	9999-12-31	2013-05-08
537	2010-12-29	2013-02-13	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	5463849	5072514	2013-02-20	2013-05-08
537	2010-12-29	2013-02-13	Statoil Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	5463849	17237817	2013-02-20	2013-05-08
537	2013-02-13	9999-12-31	Statoil Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	5463849	17237817	9999-12-31	2013-05-08
537	2013-02-13	9999-12-31	Tullow Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	5463849	23173852	9999-12-31	2013-05-08
102 C	2009-03-20	2009-03-21	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5467035	1626839	9999-12-31	2013-05-08
102 C	2009-03-21	2009-12-22	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5467035	1626839	9999-12-31	2013-05-08
102 C	2009-12-22	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5467035	1626839	9999-12-31	2013-05-08
102 C	2009-03-20	2009-03-21	Total E&P Norge AS	40.000000	\N	2009-03-20	9999-12-31	5467035	2410708	9999-12-31	2013-05-08
102 C	2009-03-21	2009-12-22	Total E&P Norge AS	40.000000	\N	2009-03-20	9999-12-31	5467035	2410708	9999-12-31	2013-05-08
102 C	2009-12-22	9999-12-31	Total E&P Norge AS	40.000000	\N	2009-03-20	9999-12-31	5467035	2410708	9999-12-31	2013-05-08
102 C	2009-03-20	2009-03-21	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5467035	4238233	9999-12-31	2013-05-08
102 C	2009-03-21	2009-12-22	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5467035	4238233	9999-12-31	2013-05-08
102 C	2009-12-22	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	5467035	4238233	9999-12-31	2013-05-08
102 C	2009-03-20	2009-03-21	StatoilHydro Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	5467035	4511658	9999-12-31	2013-05-08
102 C	2009-03-21	2009-12-22	Det norske oljeselskap ASA (old)	10.000000	\N	9999-12-31	9999-12-31	5467035	4539989	9999-12-31	2013-05-08
102 C	2009-12-22	9999-12-31	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	5467035	17342870	9999-12-31	2013-05-08
169 C	2009-03-27	2009-03-28	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5479914	1626839	9999-12-31	2013-05-08
169 C	2009-03-28	2009-07-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5479914	1626839	9999-12-31	2013-05-08
169 C	2009-07-31	2009-12-22	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5479914	1626839	9999-12-31	2013-05-08
169 C	2009-12-22	2012-01-01	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5479914	1626839	2012-11-09	2013-05-08
169 C	2012-01-01	9999-12-31	Petoro AS	50.000000	\N	9999-12-31	9999-12-31	5479914	1626839	9999-12-31	2013-05-08
169 C	2009-03-27	2009-03-28	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	5479914	2835212	9999-12-31	2013-05-08
169 C	2009-03-28	2009-07-31	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	5479914	2835212	9999-12-31	2013-05-08
169 C	2009-03-27	2009-03-28	StatoilHydro Petroleum AS	57.000000	\N	2009-03-27	2009-04-29	5479914	4511658	9999-12-31	2013-05-08
169 C	2009-03-28	2009-07-31	Det norske oljeselskap ASA (old)	57.000000	\N	2009-04-29	2009-12-21	5479914	4539989	9999-12-31	2013-05-08
169 C	2009-07-31	2009-12-22	Det norske oljeselskap ASA (old)	57.000000	\N	2009-04-29	2009-12-21	5479914	4539989	9999-12-31	2013-05-08
169 C	2009-07-31	2009-12-22	Det norske oljeselskap ASA	13.000000	\N	9999-12-31	9999-12-31	5479914	17342870	9999-12-31	2013-05-08
169 C	2009-12-22	2012-01-01	Det norske oljeselskap ASA	70.000000	\N	2009-12-22	9999-12-31	5479914	17342870	2012-11-09	2013-05-08
169 C	2012-01-01	9999-12-31	Det norske oljeselskap ASA	50.000000	\N	2009-12-22	9999-12-31	5479914	17342870	9999-12-31	2013-05-08
538	2009-05-15	2009-12-22	A/S Norske Shell	40.000000	\N	2009-05-15	2012-05-15	5480294	562	9999-12-31	2013-05-08
538	2009-12-22	2010-05-26	A/S Norske Shell	40.000000	\N	2009-05-15	2012-05-15	5480294	562	9999-12-31	2013-05-08
538	2010-05-26	2010-10-01	A/S Norske Shell	40.000000	\N	2009-05-15	2012-05-15	5480294	562	9999-12-31	2013-05-08
538	2010-10-01	2012-05-15	A/S Norske Shell	40.000000	\N	2009-05-15	2012-05-15	5480294	562	9999-12-31	2013-05-08
538	2009-05-15	2009-12-22	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5480294	1626839	9999-12-31	2013-05-08
538	2009-12-22	2010-05-26	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5480294	1626839	9999-12-31	2013-05-08
538	2010-05-26	2010-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5480294	1626839	9999-12-31	2013-05-08
538	2010-10-01	2012-05-15	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	5480294	1626839	9999-12-31	2013-05-08
538	2009-05-15	2009-12-22	Discover Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	5480294	3500333	9999-12-31	2013-05-08
538	2009-12-22	2010-05-26	Discover Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	5480294	3500333	9999-12-31	2013-05-08
538	2009-05-15	2009-12-22	Aker Exploration AS	30.000000	\N	9999-12-31	9999-12-31	5480294	4460425	9999-12-31	2013-05-08
538	2010-10-01	2012-05-15	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	5480294	17342870	9999-12-31	2013-05-08
538	2009-12-22	2010-05-26	Det norske oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	5480294	17342915	9999-12-31	2013-05-08
538	2010-05-26	2010-10-01	Det norske oljeselskap AS	30.000000	\N	9999-12-31	9999-12-31	5480294	17342915	9999-12-31	2013-05-08
538	2010-05-26	2010-10-01	Front Exploration AS	10.000000	\N	9999-12-31	9999-12-31	5480294	18108745	9999-12-31	2013-05-08
538	2010-10-01	2012-05-15	Front Exploration AS	10.000000	\N	9999-12-31	9999-12-31	5480294	18108745	9999-12-31	2013-05-08
019 D	2009-01-17	9999-12-31	Norske AEDC A/S	5.000000	\N	9999-12-31	9999-12-31	5488531	34	9999-12-31	2013-05-08
019 D	2009-01-16	2009-01-17	Talisman Energy Norge AS	65.000000	\N	2009-01-16	9999-12-31	5488531	2425093	9999-12-31	2013-05-08
019 D	2009-01-17	9999-12-31	Talisman Energy Norge AS	61.000000	\N	2009-01-16	9999-12-31	5488531	2425093	9999-12-31	2013-05-08
019 D	2009-01-16	2009-01-17	DONG E&P Norge AS	35.000000	\N	9999-12-31	9999-12-31	5488531	4070011	9999-12-31	2013-05-08
019 D	2009-01-17	9999-12-31	DONG E&P Norge AS	34.000000	\N	9999-12-31	9999-12-31	5488531	4070011	9999-12-31	2013-05-08
299 B	2009-01-16	2010-01-01	Talisman Energy Norge AS	60.000000	\N	2009-01-16	2010-01-01	5488567	2425093	9999-12-31	2013-05-08
299 B	2009-01-16	2010-01-01	DONG E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	5488567	4070011	9999-12-31	2013-05-08
038 D	2009-05-15	2009-05-16	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5500999	1626839	9999-12-31	2013-05-08
038 D	2009-05-16	2009-12-22	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5500999	1626839	9999-12-31	2013-05-08
038 D	2009-12-22	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	5500999	1626839	9999-12-31	2013-05-08
038 D	2009-05-15	2009-05-16	Talisman Energy Norge AS	65.000000	\N	2009-05-15	9999-12-31	5500999	2425093	9999-12-31	2013-05-08
038 D	2009-05-16	2009-12-22	Talisman Energy Norge AS	40.000000	\N	2009-05-15	9999-12-31	5500999	2425093	9999-12-31	2013-05-08
038 D	2009-12-22	9999-12-31	Talisman Energy Norge AS	40.000000	\N	2009-05-15	9999-12-31	5500999	2425093	9999-12-31	2013-05-08
038 D	2009-05-15	2009-05-16	Det norske oljeselskap ASA (old)	5.000000	\N	9999-12-31	9999-12-31	5500999	4539989	9999-12-31	2013-05-08
038 D	2009-05-16	2009-12-22	Det norske oljeselskap ASA (old)	30.000000	\N	9999-12-31	9999-12-31	5500999	4539989	9999-12-31	2013-05-08
038 D	2009-12-22	9999-12-31	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	5500999	17342870	9999-12-31	2013-05-08
539	2010-02-19	2011-02-28	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320077	97557	9999-12-31	2013-05-08
539	2011-02-28	2012-01-31	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320077	97557	9999-12-31	2013-05-08
539	2012-01-31	9999-12-31	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320077	97557	9999-12-31	2013-05-08
539	2012-01-31	9999-12-31	Premier Oil Norge AS	40.000000	\N	2012-01-31	9999-12-31	17320077	3482067	9999-12-31	2013-05-08
539	2010-02-19	2011-02-28	Petro-Canada Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320077	3960945	9999-12-31	2013-05-08
539	2010-02-19	2011-02-28	Nexen Exploration Norge AS	40.000000	\N	2010-02-19	2012-01-30	17320077	4062831	9999-12-31	2013-05-08
539	2011-02-28	2012-01-31	Nexen Exploration Norge AS	40.000000	\N	2010-02-19	2012-01-30	17320077	4062831	9999-12-31	2013-05-08
539	2010-02-19	2011-02-28	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	17320077	4526555	9999-12-31	2013-05-08
539	2011-02-28	2012-01-31	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	17320077	4526555	9999-12-31	2013-05-08
539	2012-01-31	9999-12-31	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	17320077	4526555	9999-12-31	2013-05-08
539	2011-02-28	2012-01-31	Suncor Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320077	20426420	9999-12-31	2013-05-08
539	2012-01-31	9999-12-31	Suncor Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320077	20426420	9999-12-31	2013-05-08
540	2010-02-19	2011-08-19	DONG E&P Norge AS	50.000000	\N	9999-12-31	9999-12-31	17320106	4070011	9999-12-31	2013-05-08
540	2010-02-19	2011-08-19	Norwegian Energy Company ASA	50.000000	\N	2010-02-19	2011-08-19	17320106	4530695	9999-12-31	2013-05-08
541	2010-02-19	9999-12-31	Skagen44 AS	15.000000	\N	9999-12-31	9999-12-31	17320130	4510260	9999-12-31	2013-05-08
541	2010-02-19	9999-12-31	Edison International Norway Branch	35.000000	\N	9999-12-31	9999-12-31	17320130	17237180	9999-12-31	2013-05-08
541	2010-02-19	9999-12-31	Repsol Exploration Norge AS	50.000000	\N	2010-02-19	9999-12-31	17320130	17237506	9999-12-31	2013-05-08
542	2010-02-19	2013-02-13	Spring Energy Norway AS	40.000000	\N	9999-12-31	9999-12-31	17320156	5072514	2013-02-20	2013-05-08
542	2010-02-19	2013-02-13	Det norske oljeselskap ASA	60.000000	\N	2010-02-19	9999-12-31	17320156	17342870	2013-02-20	2013-05-08
542	2013-02-13	9999-12-31	Det norske oljeselskap ASA	60.000000	\N	2010-02-19	9999-12-31	17320156	17342870	9999-12-31	2013-05-08
542	2013-02-13	9999-12-31	Tullow Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	17320156	23173852	9999-12-31	2013-05-08
331 C	2010-02-19	2011-06-18	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17320176	1626839	9999-12-31	2013-05-08
331 C	2010-02-19	2011-06-18	ConocoPhillips Skandinavia AS	30.000000	\N	2010-02-19	2011-06-18	17320176	2410696	9999-12-31	2013-05-08
331 C	2010-02-19	2011-06-18	Bayerngas Norge AS	10.000000	\N	9999-12-31	9999-12-31	17320176	4444493	9999-12-31	2013-05-08
331 C	2010-02-19	2011-06-18	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	17320176	17237817	9999-12-31	2013-05-08
497 B	2010-02-19	2010-03-30	Bridge Energy AS	30.000000	\N	9999-12-31	9999-12-31	17320202	4062933	9999-12-31	2013-05-08
497 B	2010-02-19	2010-03-30	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	17320202	4526555	9999-12-31	2013-05-08
497 B	2010-03-30	2012-09-28	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	17320202	4526555	2012-10-05	2013-05-08
497 B	2012-09-28	2013-04-20	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	17320202	4526555	2013-04-30	2013-05-08
497 B	2013-04-20	9999-12-31	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	17320202	4526555	9999-12-31	2013-05-08
497 B	2010-02-19	2010-03-30	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	17320202	5064434	9999-12-31	2013-05-08
497 B	2010-03-30	2012-09-28	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	17320202	5064434	2012-10-05	2013-05-08
497 B	2012-09-28	2013-04-20	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	17320202	5064434	2013-04-30	2013-05-08
497 B	2013-04-20	9999-12-31	Lotos Exploration and Production Norge AS	10.000000	\N	9999-12-31	9999-12-31	17320202	5064434	9999-12-31	2013-05-08
497 B	2010-02-19	2010-03-30	Det norske oljeselskap ASA	35.000000	\N	2010-02-19	9999-12-31	17320202	17342870	9999-12-31	2013-05-08
497 B	2010-03-30	2012-09-28	Det norske oljeselskap ASA	35.000000	\N	2010-02-19	9999-12-31	17320202	17342870	2012-10-05	2013-05-08
497 B	2012-09-28	2013-04-20	Det norske oljeselskap ASA	35.000000	\N	2010-02-19	9999-12-31	17320202	17342870	2013-04-30	2013-05-08
497 B	2013-04-20	9999-12-31	Det norske oljeselskap ASA	35.000000	\N	2010-02-19	9999-12-31	17320202	17342870	9999-12-31	2013-05-08
497 B	2010-03-30	2012-09-28	Bridge Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	17320202	18178215	2012-10-05	2013-05-08
497 B	2012-09-28	2013-04-20	Bridge Energy Norge AS	15.000000	\N	9999-12-31	9999-12-31	17320202	18178215	2013-04-30	2013-05-08
497 B	2013-04-20	9999-12-31	Bridge Energy Norge AS	15.000000	\N	9999-12-31	9999-12-31	17320202	18178215	9999-12-31	2013-05-08
497 B	2012-09-28	2013-04-20	Agora Oil & Gas AS	15.000000	\N	9999-12-31	9999-12-31	17320202	18386322	2013-04-30	2013-05-08
497 B	2013-04-20	9999-12-31	Capricorn Norge AS	15.000000	\N	9999-12-31	9999-12-31	17320202	23297570	9999-12-31	2013-05-08
543	2010-02-19	2012-11-19	ExxonMobil Exploration & Production Norway AS	50.000000	\N	9999-12-31	9999-12-31	17320231	2835212	2013-02-08	2013-05-08
543	2010-02-19	2012-11-19	Statoil Petroleum AS	50.000000	\N	2010-02-19	2012-11-19	17320231	17237817	2013-02-09	2013-05-08
544	2010-02-19	2012-10-01	Lundin Norway AS	70.000000	\N	2010-02-19	9999-12-31	17320260	2767314	2012-10-03	2013-05-08
544	2012-10-01	9999-12-31	Lundin Norway AS	40.000000	\N	2010-02-19	9999-12-31	17320260	2767314	9999-12-31	2013-05-08
544	2010-02-19	2012-10-01	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	17320260	4444493	2012-10-03	2013-05-08
544	2012-10-01	9999-12-31	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	17320260	4444493	9999-12-31	2013-05-08
544	2012-10-01	9999-12-31	Explora Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	17320260	22223266	9999-12-31	2013-05-08
545	2010-02-19	2012-02-19	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17320282	1626839	9999-12-31	2013-05-08
545	2010-02-19	2012-02-19	Norwegian Energy Company ASA	50.000000	\N	2010-02-19	2012-02-19	17320282	4530695	9999-12-31	2013-05-08
545	2010-02-19	2012-02-19	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	17320282	5072514	9999-12-31	2013-05-08
546	2010-02-19	9999-12-31	Lundin Norway AS	60.000000	\N	2010-02-19	9999-12-31	17320338	2767314	9999-12-31	2013-05-08
546	2010-02-19	9999-12-31	Bayerngas Norge AS	40.000000	\N	9999-12-31	9999-12-31	17320338	4444493	9999-12-31	2013-05-08
169 D	2010-02-19	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	17320383	1626839	9999-12-31	2013-05-08
169 D	2010-02-19	9999-12-31	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	17320383	2835212	9999-12-31	2013-05-08
169 D	2010-02-19	9999-12-31	Statoil Petroleum AS	57.000000	\N	2010-02-19	9999-12-31	17320383	17237817	9999-12-31	2013-05-08
340 BS	2010-02-19	2011-07-04	Marathon Petroleum Norge AS	65.000000	\N	2010-02-19	2011-07-03	17320421	463	9999-12-31	2013-05-08
340 BS	2010-02-19	2011-07-04	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	17320421	2410696	9999-12-31	2013-05-08
340 BS	2011-07-04	9999-12-31	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	17320421	2410696	9999-12-31	2013-05-08
340 BS	2010-02-19	2011-07-04	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	17320421	2767314	9999-12-31	2013-05-08
340 BS	2011-07-04	9999-12-31	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	17320421	2767314	9999-12-31	2013-05-08
340 BS	2011-07-04	9999-12-31	Marathon Oil Norge AS	65.000000	\N	2011-07-04	9999-12-31	17320421	20485291	9999-12-31	2013-05-08
547 S	2010-02-19	2011-07-04	Marathon Petroleum Norge AS	40.000000	\N	2010-02-19	2011-07-03	17320441	463	9999-12-31	2013-05-08
547 S	2010-02-19	2011-07-04	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	17320441	2767314	9999-12-31	2013-05-08
547 S	2011-07-04	2012-02-19	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	17320441	2767314	9999-12-31	2013-05-08
547 S	2010-02-19	2011-07-04	GDF SUEZ E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	17320441	5267845	9999-12-31	2013-05-08
547 S	2011-07-04	2012-02-19	GDF SUEZ E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	17320441	5267845	9999-12-31	2013-05-08
547 S	2010-02-19	2011-07-04	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320441	17237193	9999-12-31	2013-05-08
547 S	2011-07-04	2012-02-19	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320441	17237193	9999-12-31	2013-05-08
547 S	2011-07-04	2012-02-19	Marathon Oil Norge AS	40.000000	\N	2011-07-04	2012-02-19	17320441	20485291	9999-12-31	2013-05-08
504 BS	2010-02-19	2010-03-30	Petoro AS	3.000000	\N	9999-12-31	9999-12-31	17320469	1626839	9999-12-31	2013-05-08
504 BS	2010-03-30	9999-12-31	Petoro AS	3.000000	\N	9999-12-31	9999-12-31	17320469	1626839	9999-12-31	2013-05-08
504 BS	2010-02-19	2010-03-30	Bridge Energy AS	8.500000	\N	9999-12-31	9999-12-31	17320469	4062933	9999-12-31	2013-05-08
504 BS	2010-02-19	2010-03-30	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	17320469	4526555	9999-12-31	2013-05-08
504 BS	2010-03-30	9999-12-31	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	17320469	4526555	9999-12-31	2013-05-08
504 BS	2010-02-19	2010-03-30	Det norske oljeselskap ASA	58.500000	\N	2010-02-19	9999-12-31	17320469	17342870	9999-12-31	2013-05-08
504 BS	2010-03-30	9999-12-31	Det norske oljeselskap ASA	58.500000	\N	2010-02-19	9999-12-31	17320469	17342870	9999-12-31	2013-05-08
504 BS	2010-03-30	9999-12-31	Bridge Energy Norge AS	8.500000	\N	9999-12-31	9999-12-31	17320469	18178215	9999-12-31	2013-05-08
548 S	2010-02-19	2010-03-30	Bridge Energy AS	30.000000	\N	9999-12-31	9999-12-31	17320489	4062933	9999-12-31	2013-05-08
548 S	2010-02-19	2010-03-30	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	17320489	4526555	9999-12-31	2013-05-08
548 S	2010-03-30	2012-02-19	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	17320489	4526555	2012-07-04	2013-05-08
548 S	2010-02-19	2010-03-30	Det norske oljeselskap ASA	40.000000	\N	2010-02-19	2012-02-19	17320489	17342870	2012-07-05	2013-05-08
548 S	2010-03-30	2012-02-19	Det norske oljeselskap ASA	40.000000	\N	2010-02-19	2012-02-19	17320489	17342870	2012-07-05	2013-05-08
548 S	2010-03-30	2012-02-19	Bridge Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	17320489	18178215	2012-07-04	2013-05-08
505 BS	2010-02-19	2011-06-30	Marathon Petroleum Norge AS	50.000000	\N	2010-02-19	2011-07-03	17320530	463	9999-12-31	2013-05-08
505 BS	2011-06-30	2011-07-04	Marathon Petroleum Norge AS	35.000000	\N	2010-02-19	2011-07-03	17320530	463	9999-12-31	2013-05-08
505 BS	2010-02-19	2011-06-30	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	17320530	2767314	9999-12-31	2013-05-08
505 BS	2011-06-30	2011-07-04	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	17320530	2767314	9999-12-31	2013-05-08
505 BS	2011-07-04	9999-12-31	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	17320530	2767314	9999-12-31	2013-05-08
505 BS	2011-06-30	2011-07-04	Maersk Oil Norway AS	15.000000	\N	9999-12-31	9999-12-31	17320530	4719674	9999-12-31	2013-05-08
505 BS	2011-07-04	9999-12-31	Maersk Oil Norway AS	15.000000	\N	9999-12-31	9999-12-31	17320530	4719674	9999-12-31	2013-05-08
505 BS	2010-02-19	2011-06-30	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320530	17237193	9999-12-31	2013-05-08
505 BS	2011-06-30	2011-07-04	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320530	17237193	9999-12-31	2013-05-08
505 BS	2011-07-04	9999-12-31	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320530	17237193	9999-12-31	2013-05-08
505 BS	2011-07-04	9999-12-31	Marathon Oil Norge AS	35.000000	\N	2011-07-04	9999-12-31	17320530	20485291	9999-12-31	2013-05-08
549 S	2010-02-19	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	17320558	738	9999-12-31	2013-05-08
549 S	2010-02-19	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	17320558	4444493	9999-12-31	2013-05-08
549 S	2010-02-19	9999-12-31	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	17320558	4526555	9999-12-31	2013-05-08
549 S	2010-02-19	9999-12-31	Det norske oljeselskap ASA	35.000000	\N	2010-02-19	9999-12-31	17320558	17342870	9999-12-31	2013-05-08
550	2010-02-19	2012-01-01	Spring Energy Norway AS	40.000000	\N	9999-12-31	9999-12-31	17320594	5072514	9999-12-31	2013-05-08
550	2012-01-01	2013-02-13	Spring Energy Norway AS	80.000000	\N	2012-04-26	2013-02-12	17320594	5072514	2013-02-21	2013-05-08
550	2010-02-19	2012-01-01	Wintershall Norge ASA	60.000000	\N	2010-02-19	2012-04-25	17320594	5442509	2012-06-08	2013-05-08
550	2012-01-01	2013-02-13	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17320594	17342870	2013-02-20	2013-05-08
550	2013-02-13	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17320594	17342870	9999-12-31	2013-05-08
550	2013-02-13	9999-12-31	Tullow Oil Norge AS	80.000000	\N	2013-02-13	9999-12-31	17320594	23173852	2013-02-21	2013-05-08
551	2010-11-30	2012-01-01	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	17642019	2425093	9999-12-31	2013-05-08
551	2010-02-19	2010-11-30	Spring Energy Norway AS	40.000000	\N	9999-12-31	9999-12-31	17642019	5072514	9999-12-31	2013-05-08
551	2010-11-30	2012-01-01	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	17642019	5072514	9999-12-31	2013-05-08
551	2012-01-01	2013-02-13	Spring Energy Norway AS	80.000000	\N	2012-04-26	2013-02-12	17642019	5072514	2013-02-21	2013-05-08
551	2010-02-19	2010-11-30	Wintershall Norge ASA	60.000000	\N	2010-02-19	2012-04-25	17642019	5442509	2012-06-08	2013-05-08
551	2010-11-30	2012-01-01	Wintershall Norge ASA	60.000000	\N	2010-02-19	2012-04-25	17642019	5442509	2012-06-08	2013-05-08
551	2012-01-01	2013-02-13	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17642019	17342870	2013-02-20	2013-05-08
551	2013-02-13	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17642019	17342870	9999-12-31	2013-05-08
551	2013-02-13	9999-12-31	Tullow Oil Norge AS	80.000000	\N	2013-02-13	9999-12-31	17642019	23173852	2013-02-21	2013-05-08
090 E	2010-02-19	9999-12-31	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	17642079	441	9999-12-31	2013-05-08
090 E	2010-02-19	9999-12-31	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	17642079	2835212	9999-12-31	2013-05-08
090 E	2010-02-19	9999-12-31	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	17642079	5267845	9999-12-31	2013-05-08
090 E	2010-02-19	9999-12-31	Statoil Petroleum AS	45.000000	\N	2010-02-19	9999-12-31	17642079	17237817	9999-12-31	2013-05-08
552	2010-02-19	9999-12-31	Idemitsu Petroleum Norge AS	12.468000	\N	9999-12-31	9999-12-31	17642108	441	9999-12-31	2013-05-08
552	2010-02-19	9999-12-31	RWE Dea Norge AS	3.636000	\N	9999-12-31	9999-12-31	17642108	97557	9999-12-31	2013-05-08
552	2010-02-19	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	17642108	1626839	9999-12-31	2013-05-08
552	2010-02-19	9999-12-31	Statoil Petroleum AS	53.896000	\N	2010-02-19	9999-12-31	17642108	17237817	9999-12-31	2013-05-08
553	2010-02-19	9999-12-31	Svenska Petroleum Exploration AS	35.000000	\N	9999-12-31	9999-12-31	17646365	738	9999-12-31	2013-05-08
553	2010-02-19	9999-12-31	Bayerngas Norge AS	25.000000	\N	9999-12-31	9999-12-31	17646365	4444493	9999-12-31	2013-05-08
553	2010-02-19	9999-12-31	Det norske oljeselskap ASA	40.000000	\N	2010-02-19	9999-12-31	17646365	17342870	9999-12-31	2013-05-08
554	2011-01-01	2011-05-31	Svenska Petroleum Exploration AS	20.000000	\N	9999-12-31	9999-12-31	17654471	738	9999-12-31	2013-05-08
554	2011-05-31	9999-12-31	Svenska Petroleum Exploration AS	20.000000	\N	9999-12-31	9999-12-31	17654471	738	9999-12-31	2013-05-08
554	2011-05-31	9999-12-31	Total E&P Norge AS	40.000000	\N	2011-05-31	9999-12-31	17654471	2410708	9999-12-31	2013-05-08
554	2010-02-19	2010-03-30	Bridge Energy AS	60.000000	\N	2010-02-19	2010-03-29	17654471	4062933	9999-12-31	2013-05-08
554	2010-02-19	2010-03-30	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	17654471	17342870	9999-12-31	2013-05-08
554	2010-03-30	2011-01-01	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	17654471	17342870	9999-12-31	2013-05-08
554	2011-01-01	2011-05-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17654471	17342870	9999-12-31	2013-05-08
554	2011-05-31	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17654471	17342870	9999-12-31	2013-05-08
554	2010-03-30	2011-01-01	Bridge Energy Norge AS	60.000000	\N	2010-03-30	2011-05-30	17654471	18178215	9999-12-31	2013-05-08
554	2011-01-01	2011-05-31	Bridge Energy Norge AS	60.000000	\N	2010-03-30	2011-05-30	17654471	18178215	9999-12-31	2013-05-08
554	2011-05-31	9999-12-31	Bridge Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	17654471	18178215	9999-12-31	2013-05-08
423 BS	2010-02-19	2011-08-16	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17654498	1626839	9999-12-31	2013-05-08
423 BS	2010-02-19	2011-08-16	BG Norge AS	25.000000	\N	9999-12-31	9999-12-31	17654498	2747354	9999-12-31	2013-05-08
423 BS	2010-02-19	2011-08-16	GDF SUEZ E&P Norge AS	30.000000	\N	2010-02-19	2011-08-16	17654498	5267845	9999-12-31	2013-05-08
423 BS	2010-02-19	2011-08-16	Statoil Petroleum AS	25.000000	\N	9999-12-31	9999-12-31	17654498	17237817	9999-12-31	2013-05-08
555	2010-02-19	9999-12-31	Lundin Norway AS	60.000000	\N	2010-02-19	9999-12-31	17654533	2767314	9999-12-31	2013-05-08
555	2010-02-19	9999-12-31	Bayerngas Norge AS	40.000000	\N	9999-12-31	9999-12-31	17654533	4444493	9999-12-31	2013-05-08
556	2010-02-19	2010-12-30	Skeie Energy AS (Old)	50.000000	\N	9999-12-31	9999-12-31	17654560	4511646	2013-03-19	2013-05-08
556	2010-02-19	2010-12-30	Lotos Exploration and Production Norge AS	50.000000	\N	2010-02-19	2011-02-19	17654560	5064434	9999-12-31	2013-05-08
556	2010-12-30	2011-02-19	Lotos Exploration and Production Norge AS	50.000000	\N	2010-02-19	2011-02-19	17654560	5064434	9999-12-31	2013-05-08
556	2010-12-30	2011-02-19	E&P Holding AS	50.000000	\N	9999-12-31	9999-12-31	17654560	20109546	9999-12-31	2013-05-08
093 B	2010-02-19	2012-01-01	A/S Norske Shell	26.200000	\N	2010-02-19	9999-12-31	17654585	562	2012-12-01	2013-05-08
093 B	2012-01-01	9999-12-31	A/S Norske Shell	44.560000	\N	2010-02-19	9999-12-31	17654585	562	9999-12-31	2013-05-08
093 B	2010-02-19	2012-01-01	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	17654585	1626839	2012-12-01	2013-05-08
093 B	2012-01-01	9999-12-31	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	17654585	1626839	9999-12-31	2013-05-08
093 B	2010-02-19	2012-01-01	BP Norge AS	18.360000	\N	9999-12-31	9999-12-31	17654585	2052695	2012-12-01	2013-05-08
093 B	2010-02-19	2012-01-01	Chevron Norge AS	7.560000	\N	9999-12-31	9999-12-31	17654585	3488906	2012-12-01	2013-05-08
093 B	2012-01-01	9999-12-31	Chevron Norge AS	7.560000	\N	9999-12-31	9999-12-31	17654585	3488906	9999-12-31	2013-05-08
312 B	2010-02-19	9999-12-31	Eni Norge AS	17.000000	\N	9999-12-31	9999-12-31	17654614	2388594	9999-12-31	2013-05-08
312 B	2010-02-19	9999-12-31	ExxonMobil Exploration & Production Norway AS	24.000000	\N	9999-12-31	9999-12-31	17654614	2835212	9999-12-31	2013-05-08
312 B	2010-02-19	9999-12-31	Statoil Petroleum AS	59.000000	\N	2010-02-19	9999-12-31	17654614	17237817	9999-12-31	2013-05-08
557	2010-02-19	9999-12-31	OMV (Norge) AS	50.000000	\N	2010-02-19	9999-12-31	17654641	4460594	9999-12-31	2013-05-08
557	2010-02-19	9999-12-31	Skagen44 AS	10.000000	\N	9999-12-31	9999-12-31	17654641	4510260	9999-12-31	2013-05-08
557	2010-02-19	9999-12-31	Repsol Exploration Norge AS	40.000000	\N	9999-12-31	9999-12-31	17654641	17237506	9999-12-31	2013-05-08
477 B	2010-02-19	2011-02-28	Petro-Canada Norge AS	30.000000	\N	9999-12-31	9999-12-31	17654703	3960945	9999-12-31	2013-05-08
477 B	2010-02-19	2011-02-28	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	17654703	4062883	9999-12-31	2013-05-08
477 B	2011-02-28	9999-12-31	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	17654703	4062883	9999-12-31	2013-05-08
477 B	2010-02-19	2011-02-28	Centrica Resources (Norge) AS	40.000000	\N	2010-02-19	9999-12-31	17654703	4238233	9999-12-31	2013-05-08
477 B	2011-02-28	9999-12-31	Centrica Resources (Norge) AS	40.000000	\N	2010-02-19	9999-12-31	17654703	4238233	9999-12-31	2013-05-08
477 B	2011-02-28	9999-12-31	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	17654703	20426420	9999-12-31	2013-05-08
558	2010-02-19	2010-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17654732	1626839	9999-12-31	2013-05-08
558	2010-10-01	2011-12-30	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17654732	1626839	9999-12-31	2013-05-08
558	2011-12-30	2012-02-11	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17654732	1626839	9999-12-31	2013-05-08
558	2012-02-11	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17654732	1626839	9999-12-31	2013-05-08
558	2010-02-19	2010-10-01	E.ON Ruhrgas Norge AS	30.000000	\N	2010-02-19	2012-02-10	17654732	2840522	9999-12-31	2013-05-08
558	2010-10-01	2011-12-30	E.ON Ruhrgas Norge AS	30.000000	\N	2010-02-19	2012-02-10	17654732	2840522	9999-12-31	2013-05-08
558	2011-12-30	2012-02-11	E.ON Ruhrgas Norge AS	30.000000	\N	2010-02-19	2012-02-10	17654732	2840522	9999-12-31	2013-05-08
558	2010-02-19	2010-10-01	Nexen Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	17654732	4062831	9999-12-31	2013-05-08
558	2010-10-01	2011-12-30	Nexen Exploration Norge AS	15.000000	\N	9999-12-31	9999-12-31	17654732	4062831	9999-12-31	2013-05-08
558	2010-02-19	2010-10-01	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	17654732	4505831	9999-12-31	2013-05-08
558	2010-10-01	2011-12-30	PGNiG Norway AS	15.000000	\N	9999-12-31	9999-12-31	17654732	4505831	9999-12-31	2013-05-08
558	2011-12-30	2012-02-11	PGNiG Norway AS	30.000000	\N	9999-12-31	9999-12-31	17654732	4505831	9999-12-31	2013-05-08
558	2012-02-11	9999-12-31	PGNiG Norway AS	30.000000	\N	9999-12-31	9999-12-31	17654732	4505831	9999-12-31	2013-05-08
558	2010-10-01	2011-12-30	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17654732	17342870	9999-12-31	2013-05-08
558	2011-12-30	2012-02-11	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17654732	17342870	9999-12-31	2013-05-08
558	2012-02-11	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17654732	17342870	9999-12-31	2013-05-08
558	2010-02-19	2010-10-01	Det norske oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	17654732	17342915	9999-12-31	2013-05-08
558	2012-02-11	9999-12-31	E.ON E&P Norge AS	30.000000	\N	2012-02-11	9999-12-31	17654732	21631209	9999-12-31	2013-05-08
559	2010-02-19	2012-12-27	Rocksource ASA	60.000000	\N	2010-02-19	2012-12-30	17654775	4062921	2013-01-10	2013-05-08
559	2012-12-27	2012-12-31	Rocksource ASA	60.000000	\N	2010-02-19	2012-12-30	17654775	4062921	2013-01-10	2013-05-08
559	2010-02-19	2012-12-27	Skagen44 AS	10.000000	\N	9999-12-31	9999-12-31	17654775	4510260	2013-01-03	2013-05-08
559	2012-12-27	2012-12-31	Skagen44 AS	10.000000	\N	9999-12-31	9999-12-31	17654775	4510260	2013-01-09	2013-05-08
559	2012-12-31	2013-01-12	Skagen44 AS	10.000000	\N	9999-12-31	9999-12-31	17654775	4510260	2013-01-18	2013-05-08
559	2013-01-12	9999-12-31	Skagen44 AS	10.000000	\N	9999-12-31	9999-12-31	17654775	4510260	9999-12-31	2013-05-08
559	2010-02-19	2012-12-27	VNG Norge AS	30.000000	\N	9999-12-31	9999-12-31	17654775	17237193	2013-01-03	2013-05-08
559	2012-12-27	2012-12-31	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	17654775	17237193	2013-01-09	2013-05-08
559	2012-12-31	2013-01-12	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	17654775	17237193	2013-01-18	2013-05-08
559	2013-01-12	9999-12-31	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	17654775	17237193	9999-12-31	2013-05-08
559	2012-12-27	2012-12-31	Emergy Exploration AS	10.000000	\N	9999-12-31	9999-12-31	17654775	21333629	2013-01-09	2013-05-08
559	2012-12-31	2013-01-12	Emergy Exploration AS	10.000000	\N	9999-12-31	9999-12-31	17654775	21333629	2013-01-18	2013-05-08
559	2013-01-12	9999-12-31	Atlantic Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	17654775	22513163	9999-12-31	2013-05-08
559	2012-12-31	2013-01-12	Rocksource Exploration Norway AS	60.000000	\N	2012-12-31	9999-12-31	17654775	22528729	2013-01-18	2013-05-08
559	2013-01-12	9999-12-31	Rocksource Exploration Norway AS	60.000000	\N	2012-12-31	9999-12-31	17654775	22528729	9999-12-31	2013-05-08
560	2010-02-19	2011-02-19	Petoro AS	24.545460	\N	9999-12-31	9999-12-31	17654831	1626839	9999-12-31	2013-05-08
560	2010-02-19	2011-02-19	Statoil Petroleum AS	75.454550	\N	2010-02-19	2011-02-19	17654831	17237817	9999-12-31	2013-05-08
561	2010-02-19	2012-02-11	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	17654869	2840522	9999-12-31	2013-05-08
561	2010-02-19	2012-02-11	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	17654869	4460794	9999-12-31	2013-05-08
561	2012-02-11	2012-03-24	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	17654869	4460794	9999-12-31	2013-05-08
561	2012-03-24	2013-02-19	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	17654869	4460794	2013-04-03	2013-05-08
561	2010-02-19	2012-02-11	Wintershall Norge ASA	35.000000	\N	2010-02-19	2012-03-23	17654869	5442509	9999-12-31	2013-05-08
561	2012-02-11	2012-03-24	Wintershall Norge ASA	35.000000	\N	2010-02-19	2012-03-23	17654869	5442509	9999-12-31	2013-05-08
561	2010-02-19	2012-02-11	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17654869	17342870	9999-12-31	2013-05-08
561	2012-02-11	2012-03-24	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17654869	17342870	9999-12-31	2013-05-08
561	2012-03-24	2013-02-19	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	17654869	17342870	2013-04-03	2013-05-08
561	2012-02-11	2012-03-24	E.ON E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	17654869	21631209	9999-12-31	2013-05-08
561	2012-03-24	2013-02-19	E.ON E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	17654869	21631209	2013-04-03	2013-05-08
561	2012-03-24	2013-02-19	Wintershall Norge AS	35.000000	\N	2012-03-24	2013-02-19	17654869	21666830	2013-04-04	2013-05-08
562	2010-02-19	2010-04-20	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17654921	1626839	9999-12-31	2013-05-08
562	2010-04-20	2010-11-30	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17654921	1626839	9999-12-31	2013-05-08
562	2010-11-30	2012-02-11	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17654921	1626839	9999-12-31	2013-05-08
562	2012-02-11	2012-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17654921	1626839	2013-01-04	2013-05-08
562	2012-12-31	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	17654921	1626839	9999-12-31	2013-05-08
562	2010-02-19	2010-04-20	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	17654921	2840522	9999-12-31	2013-05-08
562	2010-04-20	2010-11-30	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	17654921	2840522	9999-12-31	2013-05-08
562	2010-11-30	2012-02-11	E.ON Ruhrgas Norge AS	30.000000	\N	2010-11-30	2012-02-10	17654921	2840522	9999-12-31	2013-05-08
562	2010-02-19	2010-04-20	Dana Petroleum Norway AS	30.000000	\N	2010-02-19	2010-11-29	17654921	4526555	9999-12-31	2013-05-08
562	2010-04-20	2010-11-30	Dana Petroleum Norway AS	30.000000	\N	2010-02-19	2010-11-29	17654921	4526555	9999-12-31	2013-05-08
562	2010-11-30	2012-02-11	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	17654921	4526555	9999-12-31	2013-05-08
562	2012-02-11	2012-12-31	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	17654921	4526555	2013-01-04	2013-05-08
562	2012-12-31	9999-12-31	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	17654921	4526555	9999-12-31	2013-05-08
562	2010-02-19	2010-04-20	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	17654921	4530695	9999-12-31	2013-05-08
562	2010-04-20	2010-11-30	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	17654921	4530695	9999-12-31	2013-05-08
562	2010-11-30	2012-02-11	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	17654921	4530695	9999-12-31	2013-05-08
562	2012-02-11	2012-12-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	17654921	4530695	2013-01-04	2013-05-08
562	2010-02-19	2010-04-20	North Energy AS	10.000000	\N	9999-12-31	9999-12-31	17654921	4706034	9999-12-31	2013-05-08
562	2010-04-20	2010-11-30	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	17654921	18082156	9999-12-31	2013-05-08
562	2010-11-30	2012-02-11	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	17654921	18082156	9999-12-31	2013-05-08
562	2012-02-11	2012-12-31	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	17654921	18082156	2013-01-04	2013-05-08
562	2012-12-31	9999-12-31	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	17654921	18082156	9999-12-31	2013-05-08
562	2012-02-11	2012-12-31	E.ON E&P Norge AS	30.000000	\N	2012-02-11	9999-12-31	17654921	21631209	2013-01-04	2013-05-08
562	2012-12-31	9999-12-31	E.ON E&P Norge AS	30.000000	\N	2012-02-11	9999-12-31	17654921	21631209	9999-12-31	2013-05-08
562	2012-12-31	9999-12-31	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	17654921	22223020	9999-12-31	2013-05-08
518 B	2010-02-19	2010-04-20	Discover Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	17654970	3500333	9999-12-31	2013-05-08
518 B	2010-04-20	2010-05-26	Discover Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	17654970	3500333	9999-12-31	2013-05-08
518 B	2010-02-19	2010-04-20	DONG E&P Norge AS	40.000000	\N	2010-02-19	2013-01-23	17654970	4070011	2013-03-22	2013-05-08
518 B	2010-04-20	2010-05-26	DONG E&P Norge AS	40.000000	\N	2010-02-19	2013-01-23	17654970	4070011	2013-03-22	2013-05-08
518 B	2010-05-26	2011-10-08	DONG E&P Norge AS	40.000000	\N	2010-02-19	2013-01-23	17654970	4070011	2013-03-22	2013-05-08
518 B	2011-10-08	2012-10-31	DONG E&P Norge AS	40.000000	\N	2010-02-19	2013-01-23	17654970	4070011	2013-03-22	2013-05-08
518 B	2012-10-31	2013-01-23	DONG E&P Norge AS	60.000000	\N	2010-02-19	2013-01-23	17654970	4070011	2013-03-22	2013-05-08
518 B	2010-02-19	2010-04-20	Sagex Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	17654970	4504106	9999-12-31	2013-05-08
518 B	2010-04-20	2010-05-26	Sagex Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	17654970	4504106	9999-12-31	2013-05-08
518 B	2010-05-26	2011-10-08	Sagex Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	17654970	4504106	9999-12-31	2013-05-08
518 B	2010-02-19	2010-04-20	North Energy AS	30.000000	\N	9999-12-31	9999-12-31	17654970	4706034	9999-12-31	2013-05-08
518 B	2010-04-20	2010-05-26	North Energy ASA	30.000000	\N	9999-12-31	9999-12-31	17654970	18082156	9999-12-31	2013-05-08
518 B	2010-05-26	2011-10-08	North Energy ASA	30.000000	\N	9999-12-31	9999-12-31	17654970	18082156	9999-12-31	2013-05-08
518 B	2011-10-08	2012-10-31	North Energy ASA	30.000000	\N	9999-12-31	9999-12-31	17654970	18082156	2012-11-06	2013-05-08
518 B	2012-10-31	2013-01-23	North Energy ASA	30.000000	\N	9999-12-31	9999-12-31	17654970	18082156	2013-03-22	2013-05-08
518 B	2010-05-26	2011-10-08	Front Exploration AS	20.000000	\N	9999-12-31	9999-12-31	17654970	18108745	9999-12-31	2013-05-08
518 B	2011-10-08	2012-10-31	Front Exploration AS	20.000000	\N	9999-12-31	9999-12-31	17654970	18108745	2012-11-06	2013-05-08
518 B	2011-10-08	2012-10-31	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	17654970	21104529	2012-11-06	2013-05-08
518 B	2012-10-31	2013-01-23	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	17654970	21104529	2013-03-22	2013-05-08
563	2010-02-19	2010-10-01	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	17655034	2425093	9999-12-31	2013-05-08
563	2010-10-01	2012-12-31	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	17655034	2425093	2013-01-04	2013-05-08
563	2012-12-31	9999-12-31	Talisman Energy Norge AS	10.000000	\N	9999-12-31	9999-12-31	17655034	2425093	9999-12-31	2013-05-08
563	2010-02-19	2010-10-01	Lundin Norway AS	40.000000	\N	2010-02-19	9999-12-31	17655034	2767314	9999-12-31	2013-05-08
563	2010-10-01	2012-12-31	Lundin Norway AS	40.000000	\N	2010-02-19	9999-12-31	17655034	2767314	2013-01-04	2013-05-08
563	2012-12-31	9999-12-31	Lundin Norway AS	40.000000	\N	2010-02-19	9999-12-31	17655034	2767314	9999-12-31	2013-05-08
563	2010-02-19	2010-10-01	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	17655034	4530695	9999-12-31	2013-05-08
563	2010-10-01	2012-12-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	17655034	4530695	2013-01-04	2013-05-08
563	2010-02-19	2010-10-01	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	17655034	17342870	9999-12-31	2013-05-08
563	2010-10-01	2012-12-31	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	17655034	17342870	2013-01-04	2013-05-08
563	2012-12-31	9999-12-31	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	17655034	17342870	9999-12-31	2013-05-08
563	2010-02-19	2010-10-01	Det norske oljeselskap AS	20.000000	\N	9999-12-31	9999-12-31	17655034	17342915	9999-12-31	2013-05-08
563	2012-12-31	9999-12-31	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	17655034	22223020	9999-12-31	2013-05-08
564	2010-02-19	2010-04-20	OMV (Norge) AS	50.000000	\N	2010-02-19	9999-12-31	17655076	4460594	9999-12-31	2013-05-08
564	2010-04-20	2012-03-24	OMV (Norge) AS	50.000000	\N	2010-02-19	9999-12-31	17655076	4460594	9999-12-31	2013-05-08
564	2012-03-24	9999-12-31	OMV (Norge) AS	50.000000	\N	2010-02-19	9999-12-31	17655076	4460594	9999-12-31	2013-05-08
564	2010-02-19	2010-04-20	North Energy AS	20.000000	\N	9999-12-31	9999-12-31	17655076	4706034	9999-12-31	2013-05-08
564	2010-02-19	2010-04-20	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	17655076	5442509	9999-12-31	2013-05-08
564	2010-04-20	2012-03-24	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	17655076	5442509	9999-12-31	2013-05-08
564	2010-04-20	2012-03-24	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	17655076	18082156	9999-12-31	2013-05-08
564	2012-03-24	9999-12-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	17655076	18082156	9999-12-31	2013-05-08
564	2012-03-24	9999-12-31	Wintershall Norge AS	30.000000	\N	9999-12-31	9999-12-31	17655076	21666830	9999-12-31	2013-05-08
028 S	2009-11-13	2009-11-14	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2009-11-13	9999-12-31	18054740	2835212	9999-12-31	2013-05-08
028 S	2009-11-14	2009-12-22	ExxonMobil Exploration & Production Norway AS	60.000000	\N	2009-11-13	9999-12-31	18054740	2835212	9999-12-31	2013-05-08
028 S	2009-12-22	2010-10-01	ExxonMobil Exploration & Production Norway AS	60.000000	\N	2009-11-13	9999-12-31	18054740	2835212	9999-12-31	2013-05-08
028 S	2010-10-01	2012-01-02	ExxonMobil Exploration & Production Norway AS	60.000000	\N	2009-11-13	9999-12-31	18054740	2835212	2012-08-29	2013-05-08
028 S	2012-01-02	9999-12-31	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2009-11-13	9999-12-31	18054740	2835212	9999-12-31	2013-05-08
028 S	2009-11-14	2009-12-22	Aker Exploration AS	40.000000	\N	9999-12-31	9999-12-31	18054740	4460425	9999-12-31	2013-05-08
028 S	2010-10-01	2012-01-02	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	18054740	17342870	2012-08-29	2013-05-08
028 S	2009-12-22	2010-10-01	Det norske oljeselskap AS	40.000000	\N	9999-12-31	9999-12-31	18054740	17342915	9999-12-31	2013-05-08
043 CS	2010-05-12	2010-05-13	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	18116800	1626839	9999-12-31	2013-05-08
043 CS	2010-05-12	2010-05-13	Total E&P Norge AS	49.000000	\N	2010-05-12	9999-12-31	18116800	2410708	9999-12-31	2013-05-08
043 CS	2010-05-13	2010-06-16	Total E&P Norge AS	79.000000	\N	2010-05-12	9999-12-31	18116800	2410708	9999-12-31	2013-05-08
043 CS	2010-06-16	9999-12-31	Total E&P Norge AS	100.000000	\N	2010-05-12	9999-12-31	18116800	2410708	9999-12-31	2013-05-08
043 CS	2010-05-12	2010-05-13	Statoil Petroleum AS	21.000000	\N	9999-12-31	9999-12-31	18116800	17237817	9999-12-31	2013-05-08
043 CS	2010-05-13	2010-06-16	Statoil Petroleum AS	21.000000	\N	9999-12-31	9999-12-31	18116800	17237817	9999-12-31	2013-05-08
043 DS	2010-05-12	2010-05-13	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	18116829	1626839	9999-12-31	2013-05-08
043 DS	2010-05-12	2010-05-13	Total E&P Norge AS	49.000000	\N	2010-05-12	9999-12-31	18116829	2410708	9999-12-31	2013-05-08
043 DS	2010-05-13	2010-06-16	Total E&P Norge AS	79.000000	\N	2010-05-12	9999-12-31	18116829	2410708	9999-12-31	2013-05-08
043 DS	2010-06-16	9999-12-31	Total E&P Norge AS	100.000000	\N	2010-05-12	9999-12-31	18116829	2410708	9999-12-31	2013-05-08
043 DS	2010-05-12	2010-05-13	Statoil Petroleum AS	21.000000	\N	9999-12-31	9999-12-31	18116829	17237817	9999-12-31	2013-05-08
043 DS	2010-05-13	2010-06-16	Statoil Petroleum AS	21.000000	\N	9999-12-31	9999-12-31	18116829	17237817	9999-12-31	2013-05-08
330 B	2010-10-22	2010-10-25	RWE Dea Norge AS	60.000000	\N	2010-10-22	2010-10-24	18403842	97557	9999-12-31	2013-05-08
330 B	2010-10-25	2011-06-01	RWE Dea Norge AS	10.000000	\N	9999-12-31	9999-12-31	18403842	97557	9999-12-31	2013-05-08
330 B	2010-10-22	2010-10-25	Hess Norge AS	40.000000	\N	9999-12-31	9999-12-31	18403842	4038735	9999-12-31	2013-05-08
330 B	2010-10-25	2011-06-01	Hess Norge AS	90.000000	\N	2010-10-25	2011-06-01	18403842	4038735	9999-12-31	2013-05-08
393 B	2010-09-10	2010-10-01	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	18404594	1626839	9999-12-31	2013-05-08
393 B	2010-10-01	2010-12-29	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	18404594	1626839	9999-12-31	2013-05-08
393 B	2010-12-29	2010-12-30	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	18404594	1626839	9999-12-31	2013-05-08
393 B	2010-12-30	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	18404594	1626839	9999-12-31	2013-05-08
393 B	2010-09-10	2010-10-01	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	18404594	2388594	9999-12-31	2013-05-08
393 B	2010-09-10	2010-10-01	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	18404594	2747354	9999-12-31	2013-05-08
393 B	2010-10-01	2010-12-29	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	18404594	2747354	9999-12-31	2013-05-08
393 B	2010-12-29	2010-12-30	BG Norge AS	20.000000	\N	9999-12-31	9999-12-31	18404594	2747354	9999-12-31	2013-05-08
393 B	2010-12-29	2010-12-30	OMV (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	18404594	4460594	9999-12-31	2013-05-08
393 B	2010-12-30	9999-12-31	OMV (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	18404594	4460594	9999-12-31	2013-05-08
393 B	2010-09-10	2010-10-01	Statoil Petroleum AS	30.000000	\N	2010-09-10	9999-12-31	18404594	17237817	9999-12-31	2013-05-08
393 B	2010-10-01	2010-12-29	Statoil Petroleum AS	60.000000	\N	2010-09-10	9999-12-31	18404594	17237817	9999-12-31	2013-05-08
393 B	2010-12-29	2010-12-30	Statoil Petroleum AS	30.000000	\N	2010-09-10	9999-12-31	18404594	17237817	9999-12-31	2013-05-08
393 B	2010-12-30	9999-12-31	Statoil Petroleum AS	50.000000	\N	2010-09-10	9999-12-31	18404594	17237817	9999-12-31	2013-05-08
048 E	2010-12-31	2011-03-31	Marathon Petroleum Norge AS	12.500000	\N	9999-12-31	9999-12-31	18450020	463	9999-12-31	2013-05-08
048 E	2010-12-09	2010-12-31	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	18450020	2410708	9999-12-31	2013-05-08
048 E	2010-12-31	2011-03-31	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	18450020	2410708	9999-12-31	2013-05-08
048 E	2011-03-31	9999-12-31	Total E&P Norge AS	21.800000	\N	9999-12-31	9999-12-31	18450020	2410708	9999-12-31	2013-05-08
048 E	2010-12-09	2010-12-31	Statoil Petroleum AS	78.200000	\N	2010-12-09	9999-12-31	18450020	17237817	9999-12-31	2013-05-08
048 E	2010-12-31	2011-03-31	Statoil Petroleum AS	65.700000	\N	2010-12-09	9999-12-31	18450020	17237817	9999-12-31	2013-05-08
048 E	2011-03-31	9999-12-31	Statoil Petroleum AS	78.200000	\N	2010-12-09	9999-12-31	18450020	17237817	9999-12-31	2013-05-08
565	2012-01-31	9999-12-31	Premier Oil Norge AS	60.000000	\N	2012-01-31	9999-12-31	20088435	3482067	9999-12-31	2013-05-08
565	2011-02-04	2012-01-31	Nexen Exploration Norge AS	60.000000	\N	2011-02-04	2012-01-30	20088435	4062831	9999-12-31	2013-05-08
565	2011-02-04	2012-01-31	Dana Petroleum Norway AS	40.000000	\N	9999-12-31	9999-12-31	20088435	4526555	9999-12-31	2013-05-08
565	2012-01-31	9999-12-31	Dana Petroleum Norway AS	40.000000	\N	9999-12-31	9999-12-31	20088435	4526555	9999-12-31	2013-05-08
566 S	2011-02-04	2012-01-31	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	20088461	97557	9999-12-31	2013-05-08
566 S	2012-01-31	9999-12-31	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	20088461	97557	9999-12-31	2013-05-08
566 S	2011-02-04	2012-01-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20088461	1626839	9999-12-31	2013-05-08
566 S	2012-01-31	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20088461	1626839	9999-12-31	2013-05-08
566 S	2012-01-31	9999-12-31	Premier Oil Norge AS	50.000000	\N	2012-01-31	9999-12-31	20088461	3482067	9999-12-31	2013-05-08
566 S	2011-02-04	2012-01-31	Nexen Exploration Norge AS	50.000000	\N	2011-02-04	2012-01-30	20088461	4062831	9999-12-31	2013-05-08
494 B	2011-02-04	9999-12-31	Dana Petroleum Norway AS	40.000000	\N	2011-02-04	2013-03-18	20088555	4526555	2013-04-10	2013-05-08
494 B	2011-02-04	9999-12-31	Det norske oljeselskap ASA	30.000000	\N	2013-03-19	9999-12-31	20088555	17342870	2013-04-10	2013-05-08
494 B	2011-02-04	9999-12-31	Bridge Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	20088555	18178215	9999-12-31	2013-05-08
567	2011-02-04	9999-12-31	Premier Oil Norge AS	60.000000	\N	2011-02-04	9999-12-31	20088593	3482067	9999-12-31	2013-05-08
567	2011-02-04	9999-12-31	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	20088593	17342870	9999-12-31	2013-05-08
301 D	2011-02-04	9999-12-31	Lundin Norway AS	40.000000	\N	2011-02-04	9999-12-31	20088622	2767314	9999-12-31	2013-05-08
301 D	2011-02-04	9999-12-31	Skeie Energy AS (Old)	60.000000	\N	9999-12-31	9999-12-31	20088622	4511646	2013-03-19	2013-05-08
568	2011-02-04	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20088760	1626839	9999-12-31	2013-05-08
568	2011-02-04	9999-12-31	Talisman Energy Norge AS	40.000000	\N	2011-02-04	9999-12-31	20088760	2425093	9999-12-31	2013-05-08
568	2011-02-04	9999-12-31	Skagen44 AS	10.000000	\N	9999-12-31	9999-12-31	20088760	4510260	9999-12-31	2013-05-08
568	2011-02-04	9999-12-31	Edison International Norway Branch	10.000000	\N	9999-12-31	9999-12-31	20088760	17237180	9999-12-31	2013-05-08
568	2011-02-04	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	20088760	17342870	9999-12-31	2013-05-08
360 B	2011-02-04	2012-03-24	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	20107847	4070011	9999-12-31	2013-05-08
360 B	2012-03-24	2012-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	20107847	4070011	2013-01-04	2013-05-08
360 B	2012-12-31	9999-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	20107847	4070011	9999-12-31	2013-05-08
360 B	2011-02-04	2012-03-24	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	20107847	4530695	9999-12-31	2013-05-08
360 B	2012-03-24	2012-12-31	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	20107847	4530695	2013-01-04	2013-05-08
360 B	2011-02-04	2012-03-24	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	20107847	5442509	9999-12-31	2013-05-08
360 B	2011-02-04	2012-03-24	Statoil Petroleum AS	50.000000	\N	2011-02-04	9999-12-31	20107847	17237817	9999-12-31	2013-05-08
360 B	2012-03-24	2012-12-31	Statoil Petroleum AS	50.000000	\N	2011-02-04	9999-12-31	20107847	17237817	2013-01-04	2013-05-08
360 B	2012-12-31	9999-12-31	Statoil Petroleum AS	50.000000	\N	2011-02-04	9999-12-31	20107847	17237817	9999-12-31	2013-05-08
360 B	2012-03-24	2012-12-31	Wintershall Norge AS	15.000000	\N	9999-12-31	9999-12-31	20107847	21666830	2013-01-04	2013-05-08
360 B	2012-12-31	9999-12-31	Wintershall Norge AS	15.000000	\N	9999-12-31	9999-12-31	20107847	21666830	9999-12-31	2013-05-08
360 B	2012-12-31	9999-12-31	Noreco Norway AS	15.000000	\N	9999-12-31	9999-12-31	20107847	22223020	9999-12-31	2013-05-08
569	2011-02-04	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	20107876	2410708	9999-12-31	2013-05-08
569	2011-02-04	9999-12-31	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	20107876	2835212	9999-12-31	2013-05-08
569	2011-02-04	9999-12-31	Statoil Petroleum AS	59.600000	\N	2011-02-04	9999-12-31	20107876	17237817	9999-12-31	2013-05-08
503 B	2011-02-06	2012-12-31	4Sea Energy AS	25.000000	\N	9999-12-31	9999-12-31	20107903	4504118	2013-02-07	2013-05-08
503 B	2011-02-04	2011-02-05	Skagen44 AS	25.000000	\N	9999-12-31	9999-12-31	20107903	4510260	9999-12-31	2013-05-08
503 B	2011-02-05	2011-02-06	Skagen44 AS	25.000000	\N	9999-12-31	9999-12-31	20107903	4510260	9999-12-31	2013-05-08
503 B	2011-02-06	2012-12-31	Skagen44 AS	25.000000	\N	9999-12-31	9999-12-31	20107903	4510260	2013-02-07	2013-05-08
503 B	2012-12-31	9999-12-31	Skagen44 AS	25.000000	\N	9999-12-31	9999-12-31	20107903	4510260	9999-12-31	2013-05-08
503 B	2011-02-04	2011-02-05	North Energy AS	25.000000	\N	9999-12-31	9999-12-31	20107903	4706034	9999-12-31	2013-05-08
503 B	2011-02-04	2011-02-05	Lotos Exploration and Production Norge AS	25.000000	\N	2011-02-04	9999-12-31	20107903	5064434	9999-12-31	2013-05-08
503 B	2011-02-05	2011-02-06	Lotos Exploration and Production Norge AS	25.000000	\N	2011-02-04	9999-12-31	20107903	5064434	9999-12-31	2013-05-08
503 B	2011-02-06	2012-12-31	Lotos Exploration and Production Norge AS	25.000000	\N	2011-02-04	9999-12-31	20107903	5064434	2013-02-07	2013-05-08
503 B	2012-12-31	9999-12-31	Lotos Exploration and Production Norge AS	25.000000	\N	2011-02-04	9999-12-31	20107903	5064434	9999-12-31	2013-05-08
503 B	2011-02-04	2011-02-05	Edison International Norway Branch	25.000000	\N	9999-12-31	9999-12-31	20107903	17237180	9999-12-31	2013-05-08
503 B	2011-02-05	2011-02-06	Edison International Norway Branch	25.000000	\N	9999-12-31	9999-12-31	20107903	17237180	9999-12-31	2013-05-08
503 B	2011-02-06	2012-12-31	Edison International Norway Branch	25.000000	\N	9999-12-31	9999-12-31	20107903	17237180	2013-02-07	2013-05-08
503 B	2012-12-31	9999-12-31	Edison International Norway Branch	25.000000	\N	9999-12-31	9999-12-31	20107903	17237180	9999-12-31	2013-05-08
503 B	2011-02-05	2011-02-06	North Energy ASA	25.000000	\N	9999-12-31	9999-12-31	20107903	18082156	9999-12-31	2013-05-08
503 B	2012-12-31	9999-12-31	North Energy ASA	25.000000	\N	9999-12-31	9999-12-31	20107903	18082156	9999-12-31	2013-05-08
501 B	2011-02-04	9999-12-31	Lundin Norway AS	40.000000	\N	2011-02-04	9999-12-31	20107950	2767314	9999-12-31	2013-05-08
501 B	2011-02-04	9999-12-31	Maersk Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	20107950	4719674	9999-12-31	2013-05-08
501 B	2011-02-04	9999-12-31	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	20107950	17237817	9999-12-31	2013-05-08
570	2011-02-04	2011-06-30	Marathon Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	20107979	463	9999-12-31	2013-05-08
570	2011-06-30	2011-07-04	Marathon Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	20107979	463	9999-12-31	2013-05-08
570	2011-02-04	2011-06-30	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	20107979	2767314	9999-12-31	2013-05-08
570	2011-06-30	2011-07-04	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	20107979	2767314	9999-12-31	2013-05-08
570	2011-07-04	9999-12-31	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	20107979	2767314	9999-12-31	2013-05-08
570	2011-06-30	2011-07-04	Maersk Oil Norway AS	10.000000	\N	9999-12-31	9999-12-31	20107979	4719674	9999-12-31	2013-05-08
570	2011-07-04	9999-12-31	Maersk Oil Norway AS	10.000000	\N	9999-12-31	9999-12-31	20107979	4719674	9999-12-31	2013-05-08
570	2011-02-04	2011-06-30	VNG Norge AS	40.000000	\N	2011-02-04	9999-12-31	20107979	17237193	9999-12-31	2013-05-08
570	2011-06-30	2011-07-04	VNG Norge AS	40.000000	\N	2011-02-04	9999-12-31	20107979	17237193	9999-12-31	2013-05-08
570	2011-07-04	9999-12-31	VNG Norge AS	40.000000	\N	2011-02-04	9999-12-31	20107979	17237193	9999-12-31	2013-05-08
570	2011-07-04	9999-12-31	Marathon Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	20107979	20485291	9999-12-31	2013-05-08
571	2011-02-04	2011-02-28	Petro-Canada Norge AS	60.000000	\N	2011-02-04	2011-02-27	20108024	3960945	9999-12-31	2013-05-08
571	2011-02-04	2011-02-28	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	20108024	17342870	9999-12-31	2013-05-08
571	2011-02-28	9999-12-31	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	20108024	17342870	9999-12-31	2013-05-08
571	2011-02-28	9999-12-31	Suncor Energy Norge AS	60.000000	\N	2011-02-28	9999-12-31	20108024	20426420	9999-12-31	2013-05-08
150 B	2011-02-04	2011-07-04	Marathon Petroleum Norge AS	65.000000	\N	2011-02-04	2011-07-03	20108072	463	9999-12-31	2013-05-08
150 B	2011-02-04	2011-07-04	Lundin Norway AS	35.000000	\N	9999-12-31	9999-12-31	20108072	2767314	9999-12-31	2013-05-08
150 B	2011-07-04	9999-12-31	Lundin Norway AS	35.000000	\N	9999-12-31	9999-12-31	20108072	2767314	9999-12-31	2013-05-08
150 B	2011-07-04	9999-12-31	Marathon Oil Norge AS	65.000000	\N	2011-07-04	9999-12-31	20108072	20485291	9999-12-31	2013-05-08
506 BS	2011-02-04	2012-05-24	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20108101	1626839	2012-06-12	2013-05-08
506 BS	2012-05-24	2012-10-03	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20108101	1626839	2012-10-06	2013-05-08
506 BS	2012-10-03	2012-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20108101	1626839	2013-01-09	2013-05-08
506 BS	2012-12-31	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20108101	1626839	9999-12-31	2013-05-08
506 BS	2011-02-04	2012-05-24	Rocksource ASA	50.000000	\N	2011-02-04	2012-12-30	20108101	4062921	2013-01-10	2013-05-08
506 BS	2012-05-24	2012-10-03	Rocksource ASA	25.000000	\N	2011-02-04	2012-12-30	20108101	4062921	2013-01-10	2013-05-08
506 BS	2012-10-03	2012-12-31	Rocksource ASA	25.000000	\N	2011-02-04	2012-12-30	20108101	4062921	2013-01-10	2013-05-08
506 BS	2011-02-04	2012-05-24	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	20108101	18108745	2012-06-12	2013-05-08
506 BS	2012-05-24	2012-10-03	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	20108101	18108745	2012-10-06	2013-05-08
506 BS	2012-05-24	2012-10-03	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	20108101	21104529	2012-10-06	2013-05-08
506 BS	2012-10-03	2012-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	20108101	21104529	2013-01-09	2013-05-08
506 BS	2012-12-31	9999-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	20108101	21104529	9999-12-31	2013-05-08
506 BS	2012-10-03	2012-12-31	Petrolia Norway AS	30.000000	\N	9999-12-31	9999-12-31	20108101	21593704	2013-01-09	2013-05-08
506 BS	2012-12-31	9999-12-31	Petrolia Norway AS	30.000000	\N	9999-12-31	9999-12-31	20108101	21593704	9999-12-31	2013-05-08
506 BS	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	25.000000	\N	2012-12-31	9999-12-31	20108101	22528729	2013-01-10	2013-05-08
506 CS	2011-02-04	2012-05-24	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20108128	1626839	2012-06-12	2013-05-08
506 CS	2012-05-24	2012-10-03	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20108128	1626839	2012-10-06	2013-05-08
506 CS	2012-10-03	2012-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20108128	1626839	2013-01-09	2013-05-08
506 CS	2012-12-31	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20108128	1626839	9999-12-31	2013-05-08
506 CS	2011-02-04	2012-05-24	Rocksource ASA	50.000000	\N	2011-02-04	2012-12-30	20108128	4062921	2013-01-10	2013-05-08
506 CS	2012-05-24	2012-10-03	Rocksource ASA	25.000000	\N	2011-02-04	2012-12-30	20108128	4062921	2013-01-10	2013-05-08
506 CS	2012-10-03	2012-12-31	Rocksource ASA	25.000000	\N	2011-02-04	2012-12-30	20108128	4062921	2013-01-10	2013-05-08
506 CS	2011-02-04	2012-05-24	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	20108128	18108745	2012-06-12	2013-05-08
506 CS	2012-05-24	2012-10-03	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	20108128	18108745	2012-10-06	2013-05-08
506 CS	2012-05-24	2012-10-03	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	20108128	21104529	2012-10-06	2013-05-08
506 CS	2012-10-03	2012-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	20108128	21104529	2013-01-09	2013-05-08
506 CS	2012-12-31	9999-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	20108128	21104529	9999-12-31	2013-05-08
506 CS	2012-10-03	2012-12-31	Petrolia Norway AS	30.000000	\N	9999-12-31	9999-12-31	20108128	21593704	2013-01-09	2013-05-08
506 CS	2012-12-31	9999-12-31	Petrolia Norway AS	30.000000	\N	9999-12-31	9999-12-31	20108128	21593704	9999-12-31	2013-05-08
506 CS	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	25.000000	\N	2012-12-31	9999-12-31	20108128	22528729	2013-01-10	2013-05-08
572 S	2011-02-04	2012-02-04	E.ON Ruhrgas Norge AS	55.000000	\N	2011-02-04	2012-02-04	20108160	2840522	2012-06-10	2013-05-08
572 S	2011-02-04	2012-02-04	Rocksource ASA	45.000000	\N	9999-12-31	9999-12-31	20108160	4062921	9999-12-31	2013-05-08
573 S	2011-02-04	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	20108194	738	9999-12-31	2013-05-08
573 S	2011-02-04	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	20108194	4444493	9999-12-31	2013-05-08
573 S	2011-02-04	9999-12-31	Dana Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	20108194	4526555	9999-12-31	2013-05-08
573 S	2011-02-04	9999-12-31	Det norske oljeselskap ASA	35.000000	\N	2011-02-04	9999-12-31	20108194	17342870	9999-12-31	2013-05-08
574	2011-02-04	9999-12-31	Total E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	20108260	2410708	9999-12-31	2013-05-08
574	2011-02-04	9999-12-31	Statoil Petroleum AS	60.000000	\N	2011-02-04	9999-12-31	20108260	17237817	9999-12-31	2013-05-08
575	2011-02-04	2012-03-24	Lundin Norway AS	50.000000	\N	9999-12-31	9999-12-31	20108314	2767314	9999-12-31	2013-05-08
575	2012-03-24	2013-02-04	Lundin Norway AS	50.000000	\N	9999-12-31	9999-12-31	20108314	2767314	2013-03-23	2013-05-08
575	2011-02-04	2012-03-24	Wintershall Norge ASA	50.000000	\N	2011-02-04	2012-03-23	20108314	5442509	9999-12-31	2013-05-08
575	2012-03-24	2013-02-04	Wintershall Norge AS	50.000000	\N	2012-03-24	2013-02-04	20108314	21666830	2013-03-24	2013-05-08
576	2011-02-04	2013-02-04	Lundin Norway AS	60.000000	\N	2011-02-04	2013-02-04	20108349	2767314	2013-04-04	2013-05-08
576	2011-02-04	2013-02-04	Concedo ASA	40.000000	\N	9999-12-31	9999-12-31	20108349	4460794	2013-04-03	2013-05-08
309 B	2011-02-04	9999-12-31	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	20108378	1626839	9999-12-31	2013-05-08
309 B	2011-02-04	9999-12-31	ConocoPhillips Skandinavia AS	2.582820	\N	9999-12-31	9999-12-31	20108378	2410696	9999-12-31	2013-05-08
309 B	2011-02-04	9999-12-31	Statoil Petroleum AS	63.817180	\N	2011-02-04	9999-12-31	20108378	17237817	9999-12-31	2013-05-08
193 C	2011-02-04	2012-04-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	20108409	1626839	2012-07-04	2013-05-08
193 C	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	20108409	1626839	9999-12-31	2013-05-08
193 C	2011-02-04	2012-04-30	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	20108409	1853786	2012-07-04	2013-05-08
193 C	2012-04-30	9999-12-31	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	20108409	1853786	9999-12-31	2013-05-08
193 C	2011-02-04	2012-04-30	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	20108409	2410708	2012-07-04	2013-05-08
193 C	2012-04-30	9999-12-31	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	20108409	2410708	9999-12-31	2013-05-08
193 C	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	19.000000	\N	9999-12-31	9999-12-31	20108409	4238233	9999-12-31	2013-05-08
193 C	2011-02-04	2012-04-30	Statoil Petroleum AS	58.550000	\N	2011-02-04	9999-12-31	20108409	17237817	2012-07-04	2013-05-08
193 C	2012-04-30	9999-12-31	Statoil Petroleum AS	39.550000	\N	2011-02-04	9999-12-31	20108409	17237817	9999-12-31	2013-05-08
378 B	2011-02-04	2012-03-24	Talisman Energy Norge AS	35.000000	\N	9999-12-31	9999-12-31	20108440	2425093	9999-12-31	2013-05-08
378 B	2012-03-24	9999-12-31	Talisman Energy Norge AS	35.000000	\N	9999-12-31	9999-12-31	20108440	2425093	9999-12-31	2013-05-08
378 B	2011-02-04	2012-03-24	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	20108440	3482067	9999-12-31	2013-05-08
378 B	2012-03-24	9999-12-31	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	20108440	3482067	9999-12-31	2013-05-08
378 B	2011-02-04	2012-03-24	Wintershall Norge ASA	45.000000	\N	2011-02-04	2012-03-23	20108440	5442509	9999-12-31	2013-05-08
378 B	2012-03-24	9999-12-31	Wintershall Norge AS	45.000000	\N	2012-03-24	9999-12-31	20108440	21666830	9999-12-31	2013-05-08
577	2011-02-04	2012-03-24	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108473	2425093	9999-12-31	2013-05-08
577	2012-03-24	2013-02-13	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108473	2425093	2013-02-20	2013-05-08
577	2013-02-13	9999-12-31	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108473	2425093	9999-12-31	2013-05-08
577	2011-02-04	2012-03-24	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	20108473	5072514	9999-12-31	2013-05-08
577	2012-03-24	2013-02-13	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	20108473	5072514	2013-02-20	2013-05-08
577	2011-02-04	2012-03-24	Wintershall Norge ASA	40.000000	\N	2011-02-04	2012-03-23	20108473	5442509	9999-12-31	2013-05-08
577	2012-03-24	2013-02-13	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	20108473	21666830	2013-02-20	2013-05-08
577	2013-02-13	9999-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	20108473	21666830	9999-12-31	2013-05-08
577	2013-02-13	9999-12-31	Tullow Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108473	23173852	9999-12-31	2013-05-08
554 B	2011-02-05	2011-05-31	Svenska Petroleum Exploration AS	20.000000	\N	9999-12-31	9999-12-31	20108509	738	9999-12-31	2013-05-08
554 B	2011-05-31	9999-12-31	Svenska Petroleum Exploration AS	20.000000	\N	9999-12-31	9999-12-31	20108509	738	9999-12-31	2013-05-08
554 B	2011-05-31	9999-12-31	Total E&P Norge AS	40.000000	\N	2011-05-31	9999-12-31	20108509	2410708	9999-12-31	2013-05-08
554 B	2011-02-04	2011-02-05	Det norske oljeselskap ASA	40.000000	\N	9999-12-31	9999-12-31	20108509	17342870	9999-12-31	2013-05-08
554 B	2011-02-05	2011-05-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	20108509	17342870	9999-12-31	2013-05-08
554 B	2011-05-31	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	20108509	17342870	9999-12-31	2013-05-08
554 B	2011-02-04	2011-02-05	Bridge Energy Norge AS	60.000000	\N	2011-02-04	2011-05-30	20108509	18178215	9999-12-31	2013-05-08
554 B	2011-02-05	2011-05-31	Bridge Energy Norge AS	60.000000	\N	2011-02-04	2011-05-30	20108509	18178215	9999-12-31	2013-05-08
554 B	2011-05-31	9999-12-31	Bridge Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	20108509	18178215	9999-12-31	2013-05-08
377 BS	2011-02-04	2012-07-06	Idemitsu Petroleum Norge AS	30.000000	\N	2011-02-04	2012-07-06	20108534	441	2013-04-13	2013-05-08
377 BS	2011-02-04	2012-07-06	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108534	4444493	2013-04-13	2013-05-08
377 BS	2011-02-04	2012-07-06	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	20108534	5072514	2013-04-13	2013-05-08
377 BS	2011-02-04	2012-07-06	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	20108534	5267845	2013-04-13	2013-05-08
578	2011-02-04	9999-12-31	Idemitsu Petroleum Norge AS	40.000000	\N	2011-02-04	9999-12-31	20108565	441	9999-12-31	2013-05-08
578	2011-02-04	9999-12-31	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108565	5267845	9999-12-31	2013-05-08
578	2011-02-04	9999-12-31	VNG Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108565	17237193	9999-12-31	2013-05-08
375 B	2011-02-04	2011-02-28	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	20108600	2425093	9999-12-31	2013-05-08
375 B	2011-02-28	2012-03-24	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	20108600	2425093	9999-12-31	2013-05-08
375 B	2012-03-24	9999-12-31	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	20108600	2425093	9999-12-31	2013-05-08
375 B	2011-02-04	2011-02-28	Petro-Canada Norge AS	65.000000	\N	2011-02-04	2011-02-27	20108600	3960945	9999-12-31	2013-05-08
375 B	2011-02-04	2011-02-28	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	20108600	5442509	9999-12-31	2013-05-08
375 B	2011-02-28	2012-03-24	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	20108600	5442509	9999-12-31	2013-05-08
375 B	2011-02-28	2012-03-24	Suncor Energy Norge AS	65.000000	\N	2011-02-28	9999-12-31	20108600	20426420	9999-12-31	2013-05-08
375 B	2012-03-24	9999-12-31	Suncor Energy Norge AS	65.000000	\N	2011-02-28	9999-12-31	20108600	20426420	9999-12-31	2013-05-08
375 B	2012-03-24	9999-12-31	Wintershall Norge AS	15.000000	\N	9999-12-31	9999-12-31	20108600	21666830	9999-12-31	2013-05-08
370 B	2011-02-04	2011-07-31	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	20108642	4460794	9999-12-31	2013-05-08
370 B	2011-07-31	2012-03-24	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	20108642	4460794	9999-12-31	2013-05-08
370 B	2012-03-24	2013-04-20	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	20108642	4460794	2013-04-30	2013-05-08
370 B	2013-04-20	9999-12-31	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	20108642	4460794	9999-12-31	2013-05-08
370 B	2011-02-04	2011-07-31	Wintershall Norge ASA	50.000000	\N	2011-02-04	2012-03-23	20108642	5442509	9999-12-31	2013-05-08
370 B	2011-07-31	2012-03-24	Wintershall Norge ASA	40.000000	\N	2011-02-04	2012-03-23	20108642	5442509	9999-12-31	2013-05-08
370 B	2011-07-31	2012-03-24	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	20108642	18082156	9999-12-31	2013-05-08
370 B	2012-03-24	2013-04-20	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	20108642	18082156	2013-04-30	2013-05-08
370 B	2013-04-20	9999-12-31	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	20108642	18082156	9999-12-31	2013-05-08
370 B	2011-02-04	2011-07-31	Agora Oil & Gas AS	30.000000	\N	9999-12-31	9999-12-31	20108642	18386322	9999-12-31	2013-05-08
370 B	2011-07-31	2012-03-24	Agora Oil & Gas AS	30.000000	\N	9999-12-31	9999-12-31	20108642	18386322	9999-12-31	2013-05-08
370 B	2012-03-24	2013-04-20	Agora Oil & Gas AS	30.000000	\N	9999-12-31	9999-12-31	20108642	18386322	2013-04-30	2013-05-08
370 B	2012-03-24	2013-04-20	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	20108642	21666830	2013-04-30	2013-05-08
370 B	2013-04-20	9999-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	20108642	21666830	9999-12-31	2013-05-08
370 B	2013-04-20	9999-12-31	Capricorn Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108642	23297570	9999-12-31	2013-05-08
579	2011-02-04	9999-12-31	Lundin Norway AS	50.000000	\N	2011-02-04	9999-12-31	20108664	2767314	9999-12-31	2013-05-08
579	2011-02-04	9999-12-31	Bayerngas Norge AS	50.000000	\N	9999-12-31	9999-12-31	20108664	4444493	9999-12-31	2013-05-08
580	2011-02-04	9999-12-31	Idemitsu Petroleum Norge AS	40.000000	\N	9999-12-31	9999-12-31	20108700	441	9999-12-31	2013-05-08
580	2011-02-04	9999-12-31	Statoil Petroleum AS	60.000000	\N	2011-02-04	9999-12-31	20108700	17237817	9999-12-31	2013-05-08
581	2011-02-04	2012-05-24	Rocksource ASA	30.000000	\N	9999-12-31	9999-12-31	20108743	4062921	2012-06-12	2013-05-08
581	2012-05-24	2012-12-31	Rocksource ASA	7.500000	\N	9999-12-31	9999-12-31	20108743	4062921	2013-01-09	2013-05-08
581	2011-02-04	2012-05-24	Dana Petroleum Norway AS	70.000000	\N	2011-02-04	9999-12-31	20108743	4526555	2012-06-12	2013-05-08
581	2012-05-24	2012-12-31	Dana Petroleum Norway AS	70.000000	\N	2011-02-04	9999-12-31	20108743	4526555	2013-01-09	2013-05-08
581	2012-12-31	9999-12-31	Dana Petroleum Norway AS	70.000000	\N	2011-02-04	9999-12-31	20108743	4526555	9999-12-31	2013-05-08
581	2012-05-24	2012-12-31	Valiant Petroleum Norge AS	22.500000	\N	9999-12-31	9999-12-31	20108743	21104529	2013-01-09	2013-05-08
581	2012-12-31	9999-12-31	Valiant Petroleum Norge AS	22.500000	\N	9999-12-31	9999-12-31	20108743	21104529	9999-12-31	2013-05-08
581	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	7.500000	\N	9999-12-31	9999-12-31	20108743	22528729	9999-12-31	2013-05-08
582	2011-02-04	2011-07-04	Marathon Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108820	463	9999-12-31	2013-05-08
582	2011-02-04	2011-07-04	RWE Dea Norge AS	40.000000	\N	2011-02-04	9999-12-31	20108820	97557	9999-12-31	2013-05-08
582	2011-07-04	9999-12-31	RWE Dea Norge AS	40.000000	\N	2011-02-04	9999-12-31	20108820	97557	9999-12-31	2013-05-08
582	2011-02-04	2011-07-04	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108820	5267845	9999-12-31	2013-05-08
582	2011-07-04	9999-12-31	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108820	5267845	9999-12-31	2013-05-08
582	2011-07-04	9999-12-31	Marathon Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	20108820	20485291	9999-12-31	2013-05-08
468 B	2011-02-04	2011-02-05	GDF SUEZ E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	20108859	5267845	9999-12-31	2013-05-08
468 B	2011-02-05	2012-02-29	GDF SUEZ E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	20108859	5267845	9999-12-31	2013-05-08
468 B	2011-02-05	2012-02-29	Det norske oljeselskap ASA	95.000000	\N	2011-02-05	2012-02-29	20108859	17342870	9999-12-31	2013-05-08
468 B	2011-02-04	2011-02-05	Det norske oljeselskap AS	95.000000	\N	2011-02-04	2011-02-04	20108859	17342915	9999-12-31	2013-05-08
583	2011-02-04	2013-02-13	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	20109004	738	2013-02-20	2013-05-08
583	2013-02-13	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	20109004	738	9999-12-31	2013-05-08
583	2011-02-04	2013-02-13	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	20109004	2767314	2013-02-20	2013-05-08
583	2013-02-13	9999-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	20109004	2767314	9999-12-31	2013-05-08
583	2011-02-04	2013-02-13	Bayerngas Norge AS	25.000000	\N	9999-12-31	9999-12-31	20109004	4444493	2013-02-20	2013-05-08
583	2013-02-13	9999-12-31	Bayerngas Norge AS	25.000000	\N	9999-12-31	9999-12-31	20109004	4444493	9999-12-31	2013-05-08
583	2011-02-04	2013-02-13	Spring Energy Norway AS	30.000000	\N	2011-02-04	2013-02-12	20109004	5072514	2013-02-21	2013-05-08
583	2013-02-13	9999-12-31	Tullow Oil Norge AS	30.000000	\N	2013-02-13	9999-12-31	20109004	23173852	2013-02-21	2013-05-08
584	2011-02-04	9999-12-31	Lundin Norway AS	60.000000	\N	2011-02-04	9999-12-31	20109082	2767314	9999-12-31	2013-05-08
584	2011-02-04	9999-12-31	Bayerngas Norge AS	40.000000	\N	9999-12-31	9999-12-31	20109082	4444493	9999-12-31	2013-05-08
585	2011-02-04	9999-12-31	Total E&P Norge AS	100.000000	\N	2011-02-04	9999-12-31	20109152	2410708	9999-12-31	2013-05-08
586	2011-02-04	9999-12-31	VNG Norge AS	60.000000	\N	2011-02-04	9999-12-31	20109200	17237193	9999-12-31	2013-05-08
586	2011-02-04	9999-12-31	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	20109200	17237817	9999-12-31	2013-05-08
587	2011-02-04	9999-12-31	Edison International Norway Branch	60.000000	\N	2011-02-04	9999-12-31	20109234	17237180	9999-12-31	2013-05-08
587	2011-02-04	9999-12-31	North Energy ASA	40.000000	\N	9999-12-31	9999-12-31	20109234	18082156	9999-12-31	2013-05-08
348 B	2011-02-04	2011-02-05	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	20109261	1626839	9999-12-31	2013-05-08
348 B	2011-02-04	2011-02-05	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	20109261	2840522	9999-12-31	2013-05-08
348 B	2011-02-05	2011-07-01	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	20109261	2840522	9999-12-31	2013-05-08
348 B	2011-07-01	2012-02-11	E.ON Ruhrgas Norge AS	17.500000	\N	9999-12-31	9999-12-31	20109261	2840522	9999-12-31	2013-05-08
348 B	2011-02-05	2011-07-01	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	20109261	4062883	9999-12-31	2013-05-08
348 B	2011-07-01	2012-02-11	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	20109261	4062883	9999-12-31	2013-05-08
348 B	2012-02-11	9999-12-31	Faroe Petroleum Norge AS	7.500000	\N	9999-12-31	9999-12-31	20109261	4062883	9999-12-31	2013-05-08
348 B	2011-02-04	2011-02-05	Norwegian Energy Company ASA	17.500000	\N	9999-12-31	9999-12-31	20109261	4530695	9999-12-31	2013-05-08
348 B	2011-02-05	2011-07-01	Norwegian Energy Company ASA	17.500000	\N	9999-12-31	9999-12-31	20109261	4530695	9999-12-31	2013-05-08
348 B	2011-02-04	2011-02-05	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	20109261	5267845	9999-12-31	2013-05-08
348 B	2011-02-05	2011-07-01	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	20109261	5267845	9999-12-31	2013-05-08
348 B	2011-07-01	2012-02-11	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	20109261	5267845	9999-12-31	2013-05-08
348 B	2012-02-11	9999-12-31	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	20109261	5267845	9999-12-31	2013-05-08
348 B	2011-02-04	2011-02-05	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	20109261	17237193	9999-12-31	2013-05-08
348 B	2011-02-05	2011-07-01	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	20109261	17237193	9999-12-31	2013-05-08
348 B	2011-07-01	2012-02-11	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	20109261	17237193	9999-12-31	2013-05-08
348 B	2012-02-11	9999-12-31	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	20109261	17237193	9999-12-31	2013-05-08
348 B	2011-02-04	2011-02-05	Statoil Petroleum AS	35.000000	\N	2011-02-04	9999-12-31	20109261	17237817	9999-12-31	2013-05-08
348 B	2011-02-05	2011-07-01	Statoil Petroleum AS	35.000000	\N	2011-02-04	9999-12-31	20109261	17237817	9999-12-31	2013-05-08
348 B	2011-07-01	2012-02-11	Statoil Petroleum AS	35.000000	\N	2011-02-04	9999-12-31	20109261	17237817	9999-12-31	2013-05-08
348 B	2012-02-11	9999-12-31	Statoil Petroleum AS	35.000000	\N	2011-02-04	9999-12-31	20109261	17237817	9999-12-31	2013-05-08
348 B	2011-07-01	2012-02-11	Core Energy AS	17.500000	\N	9999-12-31	9999-12-31	20109261	20460080	9999-12-31	2013-05-08
348 B	2012-02-11	9999-12-31	Core Energy AS	17.500000	\N	9999-12-31	9999-12-31	20109261	20460080	9999-12-31	2013-05-08
348 B	2012-02-11	9999-12-31	E.ON E&P Norge AS	17.500000	\N	9999-12-31	9999-12-31	20109261	21631209	9999-12-31	2013-05-08
588	2011-02-04	2012-02-04	Rocksource ASA	40.000000	\N	2011-02-04	2012-02-04	20109294	4062921	2012-12-05	2013-05-08
588	2011-02-04	2012-02-04	Concedo ASA	30.000000	\N	9999-12-31	9999-12-31	20109294	4460794	2012-12-04	2013-05-08
588	2011-02-04	2012-02-04	VNG Norge AS	30.000000	\N	9999-12-31	9999-12-31	20109294	17237193	2012-12-04	2013-05-08
589	2011-02-04	2012-03-24	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	20109325	97557	9999-12-31	2013-05-08
589	2012-03-24	9999-12-31	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	20109325	97557	9999-12-31	2013-05-08
589	2011-02-04	2012-03-24	Wintershall Norge ASA	40.000000	\N	2011-02-04	2012-03-23	20109325	5442509	9999-12-31	2013-05-08
589	2011-02-04	2012-03-24	Repsol Exploration Norge AS	30.000000	\N	9999-12-31	9999-12-31	20109325	17237506	9999-12-31	2013-05-08
589	2012-03-24	9999-12-31	Repsol Exploration Norge AS	30.000000	\N	9999-12-31	9999-12-31	20109325	17237506	9999-12-31	2013-05-08
589	2012-03-24	9999-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	20109325	21666830	9999-12-31	2013-05-08
475 CS	2011-02-05	2011-09-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	20109375	1626839	9999-12-31	2013-05-08
475 CS	2011-09-30	2012-03-24	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	20109375	1626839	9999-12-31	2013-05-08
475 CS	2012-03-24	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	20109375	1626839	9999-12-31	2013-05-08
475 CS	2011-02-04	2011-02-05	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	20109375	4062883	9999-12-31	2013-05-08
475 CS	2011-02-04	2011-02-05	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	20109375	4238233	9999-12-31	2013-05-08
475 CS	2011-02-05	2011-09-30	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	20109375	4238233	9999-12-31	2013-05-08
475 CS	2011-09-30	2012-03-24	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	20109375	4238233	9999-12-31	2013-05-08
475 CS	2012-03-24	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	20109375	4238233	9999-12-31	2013-05-08
475 CS	2011-02-04	2011-02-05	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	20109375	4460794	9999-12-31	2013-05-08
475 CS	2011-02-05	2011-09-30	Concedo ASA	10.000000	\N	9999-12-31	9999-12-31	20109375	4460794	9999-12-31	2013-05-08
475 CS	2011-02-04	2011-02-05	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	20109375	5072514	9999-12-31	2013-05-08
475 CS	2011-02-05	2011-09-30	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	20109375	5072514	9999-12-31	2013-05-08
475 CS	2011-02-04	2011-02-05	Wintershall Norge ASA	25.000000	\N	2011-02-04	2012-03-23	20109375	5442509	9999-12-31	2013-05-08
475 CS	2011-02-05	2011-09-30	Wintershall Norge ASA	25.000000	\N	2011-02-04	2012-03-23	20109375	5442509	9999-12-31	2013-05-08
475 CS	2011-09-30	2012-03-24	Wintershall Norge ASA	50.000000	\N	2011-02-04	2012-03-23	20109375	5442509	9999-12-31	2013-05-08
475 CS	2012-03-24	9999-12-31	Wintershall Norge AS	50.000000	\N	2012-03-24	9999-12-31	20109375	21666830	9999-12-31	2013-05-08
590	2011-02-04	2012-03-24	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	20109438	4062883	9999-12-31	2013-05-08
590	2012-03-24	9999-12-31	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	20109438	4062883	9999-12-31	2013-05-08
590	2011-02-04	2012-03-24	Wintershall Norge ASA	30.000000	\N	9999-12-31	9999-12-31	20109438	5442509	9999-12-31	2013-05-08
590	2011-02-04	2012-03-24	North Energy ASA	40.000000	\N	2011-02-04	9999-12-31	20109438	18082156	9999-12-31	2013-05-08
590	2012-03-24	9999-12-31	North Energy ASA	40.000000	\N	2011-02-04	9999-12-31	20109438	18082156	9999-12-31	2013-05-08
590	2012-03-24	9999-12-31	Wintershall Norge AS	30.000000	\N	9999-12-31	9999-12-31	20109438	21666830	9999-12-31	2013-05-08
591	2011-02-04	2012-12-31	Norwegian Energy Company ASA	40.000000	\N	9999-12-31	9999-12-31	20109475	4530695	2013-01-04	2013-05-08
591	2011-02-04	2012-12-31	Spring Energy Norway AS	60.000000	\N	2011-02-04	2013-02-12	20109475	5072514	2013-02-21	2013-05-08
591	2012-12-31	2013-02-13	Spring Energy Norway AS	60.000000	\N	2011-02-04	2013-02-12	20109475	5072514	2013-02-21	2013-05-08
591	2012-12-31	2013-02-13	Noreco Norway AS	40.000000	\N	9999-12-31	9999-12-31	20109475	22223020	2013-02-20	2013-05-08
591	2013-02-13	9999-12-31	Noreco Norway AS	40.000000	\N	9999-12-31	9999-12-31	20109475	22223020	9999-12-31	2013-05-08
591	2013-02-13	9999-12-31	Tullow Oil Norge AS	60.000000	\N	2013-02-13	9999-12-31	20109475	23173852	2013-02-21	2013-05-08
592	2011-02-04	9999-12-31	Faroe Petroleum Norge AS	50.000000	\N	9999-12-31	9999-12-31	20109566	4062883	9999-12-31	2013-05-08
592	2011-02-04	9999-12-31	Centrica Resources (Norge) AS	50.000000	\N	2011-02-04	9999-12-31	20109566	4238233	9999-12-31	2013-05-08
593	2011-02-04	2013-02-04	Skagen44 AS	40.000000	\N	9999-12-31	9999-12-31	20109597	4510260	2013-03-22	2013-05-08
593	2011-02-04	2013-02-04	Det norske oljeselskap ASA	60.000000	\N	2011-02-04	2013-02-04	20109597	17342870	2013-03-22	2013-05-08
594	2011-02-04	2012-03-24	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	20109626	4460594	9999-12-31	2013-05-08
594	2012-03-24	2013-02-04	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	20109626	4460594	2013-03-22	2013-05-08
594	2011-02-04	2012-03-24	Wintershall Norge ASA	20.000000	\N	9999-12-31	9999-12-31	20109626	5442509	9999-12-31	2013-05-08
594	2011-02-04	2012-03-24	Statoil Petroleum AS	40.000000	\N	2011-02-04	2013-02-04	20109626	17237817	2013-03-22	2013-05-08
594	2012-03-24	2013-02-04	Statoil Petroleum AS	40.000000	\N	2011-02-04	2013-02-04	20109626	17237817	2013-03-22	2013-05-08
594	2011-02-04	2012-03-24	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	20109626	18082156	9999-12-31	2013-05-08
594	2012-03-24	2013-02-04	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	20109626	18082156	2013-03-22	2013-05-08
594	2012-03-24	2013-02-04	Wintershall Norge AS	20.000000	\N	9999-12-31	9999-12-31	20109626	21666830	2013-03-22	2013-05-08
595	2011-02-04	2011-02-05	North Energy AS	40.000000	\N	9999-12-31	9999-12-31	20109655	4706034	9999-12-31	2013-05-08
595	2011-02-04	2011-02-05	Edison International Norway Branch	60.000000	\N	2011-02-04	9999-12-31	20109655	17237180	9999-12-31	2013-05-08
595	2011-02-05	9999-12-31	Edison International Norway Branch	60.000000	\N	2011-02-04	9999-12-31	20109655	17237180	9999-12-31	2013-05-08
595	2011-02-05	9999-12-31	North Energy ASA	40.000000	\N	9999-12-31	9999-12-31	20109655	18082156	9999-12-31	2013-05-08
596	2011-05-13	2012-02-11	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	20428440	97557	9999-12-31	2013-05-08
596	2012-02-11	2013-02-13	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	20428440	97557	2013-02-20	2013-05-08
596	2013-02-13	9999-12-31	RWE Dea Norge AS	15.000000	\N	9999-12-31	9999-12-31	20428440	97557	9999-12-31	2013-05-08
596	2011-05-13	2012-02-11	ExxonMobil Exploration & Production Norway AS	35.000000	\N	2011-05-13	9999-12-31	20428440	2835212	9999-12-31	2013-05-08
596	2012-02-11	2013-02-13	ExxonMobil Exploration & Production Norway AS	35.000000	\N	2011-05-13	9999-12-31	20428440	2835212	2013-02-20	2013-05-08
596	2013-02-13	9999-12-31	ExxonMobil Exploration & Production Norway AS	35.000000	\N	2011-05-13	9999-12-31	20428440	2835212	9999-12-31	2013-05-08
596	2011-05-13	2012-02-11	E.ON Ruhrgas Norge AS	20.000000	\N	9999-12-31	9999-12-31	20428440	2840522	9999-12-31	2013-05-08
596	2011-05-13	2012-02-11	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	20428440	4444493	9999-12-31	2013-05-08
596	2012-02-11	2013-02-13	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	20428440	4444493	2013-02-20	2013-05-08
596	2013-02-13	9999-12-31	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	20428440	4444493	9999-12-31	2013-05-08
596	2011-05-13	2012-02-11	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	20428440	5072514	9999-12-31	2013-05-08
596	2012-02-11	2013-02-13	Spring Energy Norway AS	15.000000	\N	9999-12-31	9999-12-31	20428440	5072514	2013-02-20	2013-05-08
596	2012-02-11	2013-02-13	E.ON E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	20428440	21631209	2013-02-20	2013-05-08
596	2013-02-13	9999-12-31	E.ON E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	20428440	21631209	9999-12-31	2013-05-08
596	2013-02-13	9999-12-31	Tullow Oil Norge AS	15.000000	\N	9999-12-31	9999-12-31	20428440	23173852	9999-12-31	2013-05-08
597	2011-05-13	9999-12-31	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	20428525	4526555	9999-12-31	2013-05-08
597	2011-05-13	9999-12-31	Maersk Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	20428525	4719674	9999-12-31	2013-05-08
597	2011-05-13	9999-12-31	VNG Norge AS	40.000000	\N	2011-05-13	9999-12-31	20428525	17237193	9999-12-31	2013-05-08
599	2011-05-13	2012-12-31	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	20428552	441	2013-01-04	2013-05-08
599	2012-12-31	9999-12-31	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	20428552	441	9999-12-31	2013-05-08
599	2011-05-13	2012-12-31	BG Norge AS	40.000000	\N	2011-05-13	9999-12-31	20428552	2747354	2013-01-04	2013-05-08
599	2012-12-31	9999-12-31	BG Norge AS	40.000000	\N	2011-05-13	9999-12-31	20428552	2747354	9999-12-31	2013-05-08
599	2011-05-13	2012-12-31	PGNiG Norway AS	20.000000	\N	9999-12-31	9999-12-31	20428552	4505831	2013-01-04	2013-05-08
599	2012-12-31	9999-12-31	PGNiG Norway AS	20.000000	\N	9999-12-31	9999-12-31	20428552	4505831	9999-12-31	2013-05-08
599	2011-05-13	2012-12-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	20428552	4530695	2013-01-04	2013-05-08
599	2012-12-31	9999-12-31	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	20428552	22223020	9999-12-31	2013-05-08
600	2011-05-13	9999-12-31	PGNiG Norway AS	30.000000	\N	9999-12-31	9999-12-31	20428617	4505831	9999-12-31	2013-05-08
600	2011-05-13	9999-12-31	Dana Petroleum Norway AS	70.000000	\N	2011-05-13	9999-12-31	20428617	4526555	9999-12-31	2013-05-08
598	2011-05-13	9999-12-31	Idemitsu Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	20428655	441	9999-12-31	2013-05-08
598	2011-05-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20428655	1626839	9999-12-31	2013-05-08
598	2011-05-13	9999-12-31	ExxonMobil Exploration & Production Norway AS	30.000000	\N	9999-12-31	9999-12-31	20428655	2835212	9999-12-31	2013-05-08
598	2011-05-13	9999-12-31	Chevron Norge AS	40.000000	\N	2011-05-13	9999-12-31	20428655	3488906	9999-12-31	2013-05-08
601	2011-05-13	2012-03-24	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	20428711	4062921	9999-12-31	2013-05-08
601	2012-03-24	2012-05-24	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	20428711	4062921	2012-06-12	2013-05-08
601	2012-05-24	2012-12-31	Rocksource ASA	10.000000	\N	9999-12-31	9999-12-31	20428711	4062921	2013-01-09	2013-05-08
601	2011-05-13	2012-03-24	Wintershall Norge ASA	40.000000	\N	2011-05-13	2012-03-23	20428711	5442509	9999-12-31	2013-05-08
601	2011-05-13	2012-03-24	Edison International Norway Branch	20.000000	\N	9999-12-31	9999-12-31	20428711	17237180	9999-12-31	2013-05-08
601	2012-03-24	2012-05-24	Edison International Norway Branch	20.000000	\N	9999-12-31	9999-12-31	20428711	17237180	2012-06-12	2013-05-08
601	2012-05-24	2012-12-31	Edison International Norway Branch	20.000000	\N	9999-12-31	9999-12-31	20428711	17237180	2013-01-09	2013-05-08
601	2012-12-31	9999-12-31	Edison International Norway Branch	20.000000	\N	9999-12-31	9999-12-31	20428711	17237180	9999-12-31	2013-05-08
601	2011-05-13	2012-03-24	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	20428711	18082156	9999-12-31	2013-05-08
601	2012-03-24	2012-05-24	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	20428711	18082156	2012-06-12	2013-05-08
601	2012-05-24	2012-12-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	20428711	18082156	2013-01-09	2013-05-08
601	2012-12-31	9999-12-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	20428711	18082156	9999-12-31	2013-05-08
601	2012-05-24	2012-12-31	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	20428711	21104529	2013-01-09	2013-05-08
601	2012-12-31	9999-12-31	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	20428711	21104529	9999-12-31	2013-05-08
601	2012-03-24	2012-05-24	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	20428711	21666830	2012-06-12	2013-05-08
601	2012-05-24	2012-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	20428711	21666830	2013-01-09	2013-05-08
601	2012-12-31	9999-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	20428711	21666830	9999-12-31	2013-05-08
601	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	10.000000	\N	9999-12-31	9999-12-31	20428711	22528729	9999-12-31	2013-05-08
602	2011-05-13	2012-05-24	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20428749	1626839	2012-06-12	2013-05-08
602	2012-05-24	2012-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20428749	1626839	2013-01-09	2013-05-08
602	2012-12-31	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20428749	1626839	9999-12-31	2013-05-08
602	2011-05-13	2012-05-24	Rocksource ASA	20.000000	\N	9999-12-31	9999-12-31	20428749	4062921	2012-06-12	2013-05-08
602	2012-05-24	2012-12-31	Rocksource ASA	10.000000	\N	9999-12-31	9999-12-31	20428749	4062921	2013-01-09	2013-05-08
602	2011-05-13	2012-05-24	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	20428749	4238233	2012-06-12	2013-05-08
602	2012-05-24	2012-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	20428749	4238233	2013-01-09	2013-05-08
602	2012-12-31	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	20428749	4238233	9999-12-31	2013-05-08
602	2011-05-13	2012-05-24	Statoil Petroleum AS	40.000000	\N	2011-05-13	9999-12-31	20428749	17237817	2012-06-12	2013-05-08
602	2012-05-24	2012-12-31	Statoil Petroleum AS	40.000000	\N	2011-05-13	9999-12-31	20428749	17237817	2013-01-09	2013-05-08
602	2012-12-31	9999-12-31	Statoil Petroleum AS	40.000000	\N	2011-05-13	9999-12-31	20428749	17237817	9999-12-31	2013-05-08
602	2012-05-24	2012-12-31	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	20428749	21104529	2013-01-09	2013-05-08
602	2012-12-31	9999-12-31	Valiant Petroleum Norge AS	10.000000	\N	9999-12-31	9999-12-31	20428749	21104529	9999-12-31	2013-05-08
602	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	10.000000	\N	9999-12-31	9999-12-31	20428749	22528729	9999-12-31	2013-05-08
603	2011-05-13	9999-12-31	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	20428814	2410696	9999-12-31	2013-05-08
603	2011-05-13	9999-12-31	Statoil Petroleum AS	50.000000	\N	2011-05-13	9999-12-31	20428814	17237817	9999-12-31	2013-05-08
603	2011-05-13	9999-12-31	Suncor Energy Norge AS	25.000000	\N	9999-12-31	9999-12-31	20428814	20426420	9999-12-31	2013-05-08
218 B	2011-05-13	2012-01-01	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	20428874	2410696	2012-10-03	2013-05-08
218 B	2012-01-01	9999-12-31	ConocoPhillips Skandinavia AS	10.000000	\N	9999-12-31	9999-12-31	20428874	2410696	9999-12-31	2013-05-08
218 B	2011-05-13	2012-01-01	ExxonMobil Exploration & Production Norway AS	15.000000	\N	9999-12-31	9999-12-31	20428874	2835212	2012-10-03	2013-05-08
218 B	2012-01-01	9999-12-31	OMV (Norge) AS	15.000000	\N	9999-12-31	9999-12-31	20428874	4460594	9999-12-31	2013-05-08
218 B	2011-05-13	2012-01-01	Statoil Petroleum AS	75.000000	\N	2011-05-13	9999-12-31	20428874	17237817	2012-10-03	2013-05-08
218 B	2012-01-01	9999-12-31	Statoil Petroleum AS	75.000000	\N	2011-05-13	9999-12-31	20428874	17237817	9999-12-31	2013-05-08
524 B	2011-05-13	2012-05-15	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	20428934	2410696	9999-12-31	2013-05-08
524 B	2011-05-13	2012-05-15	Statoil Petroleum AS	75.000000	\N	2011-05-13	2012-05-15	20428934	17237817	9999-12-31	2013-05-08
528 B	2011-05-13	2011-09-29	Rocksource ASA	30.000000	\N	9999-12-31	9999-12-31	20428963	4062921	9999-12-31	2013-05-08
528 B	2011-09-29	2012-05-15	Rocksource ASA	30.000000	\N	9999-12-31	9999-12-31	20428963	4062921	2012-11-07	2013-05-08
528 B	2012-05-15	2012-05-24	Rocksource ASA	50.000000	\N	9999-12-31	9999-12-31	20428963	4062921	9999-12-31	2013-05-08
528 B	2012-05-24	2012-12-31	Rocksource ASA	25.000000	\N	9999-12-31	9999-12-31	20428963	4062921	9999-12-31	2013-05-08
528 B	2011-05-13	2011-09-29	Centrica Resources (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	20428963	4238233	9999-12-31	2013-05-08
528 B	2011-09-29	2012-05-15	Centrica Resources (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	20428963	4238233	2012-11-07	2013-05-08
528 B	2012-05-15	2012-05-24	Centrica Resources (Norge) AS	50.000000	\N	9999-12-31	9999-12-31	20428963	4238233	9999-12-31	2013-05-08
528 B	2012-05-24	2012-12-31	Centrica Resources (Norge) AS	50.000000	\N	2012-09-27	9999-12-31	20428963	4238233	9999-12-31	2013-05-08
528 B	2012-12-31	9999-12-31	Centrica Resources (Norge) AS	50.000000	\N	2012-09-27	9999-12-31	20428963	4238233	9999-12-31	2013-05-08
528 B	2011-09-29	2012-05-15	Statoil Petroleum AS	15.000000	\N	9999-12-31	9999-12-31	20428963	17237817	2012-11-07	2013-05-08
528 B	2011-05-13	2011-09-29	Suncor Energy Norge AS	40.000000	\N	2011-05-13	2012-09-26	20428963	20426420	2012-10-10	2013-05-08
528 B	2011-09-29	2012-05-15	Suncor Energy Norge AS	25.000000	\N	2011-05-13	2012-09-26	20428963	20426420	2012-11-07	2013-05-08
528 B	2012-05-24	2012-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	20428963	21104529	9999-12-31	2013-05-08
528 B	2012-12-31	9999-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	20428963	21104529	9999-12-31	2013-05-08
528 B	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	25.000000	\N	9999-12-31	9999-12-31	20428963	22528729	9999-12-31	2013-05-08
604	2011-05-13	9999-12-31	Statoil Petroleum AS	50.000000	\N	9999-12-31	9999-12-31	20428990	17237817	9999-12-31	2013-05-08
604	2011-05-13	9999-12-31	Suncor Energy Norge AS	50.000000	\N	2011-05-13	9999-12-31	20428990	20426420	9999-12-31	2013-05-08
605	2011-05-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20429042	1626839	9999-12-31	2013-05-08
605	2011-05-13	9999-12-31	ConocoPhillips Skandinavia AS	50.000000	\N	2011-05-13	9999-12-31	20429042	2410696	9999-12-31	2013-05-08
605	2011-05-13	9999-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	20429042	17237817	9999-12-31	2013-05-08
606	2011-05-13	2012-12-31	OMV (Norge) AS	60.000000	\N	2011-05-13	9999-12-31	20429078	4460594	2013-01-04	2013-05-08
606	2012-12-31	9999-12-31	OMV (Norge) AS	60.000000	\N	2011-05-13	9999-12-31	20429078	4460594	9999-12-31	2013-05-08
606	2011-05-13	2012-12-31	Norwegian Energy Company ASA	40.000000	\N	9999-12-31	9999-12-31	20429078	4530695	2013-01-04	2013-05-08
606	2012-12-31	9999-12-31	Noreco Norway AS	40.000000	\N	9999-12-31	9999-12-31	20429078	22223020	9999-12-31	2013-05-08
607	2011-05-13	9999-12-31	Concedo ASA	40.000000	\N	9999-12-31	9999-12-31	20429121	4460794	9999-12-31	2013-05-08
607	2011-05-13	9999-12-31	GDF SUEZ E&P Norge AS	60.000000	\N	2011-05-13	9999-12-31	20429121	5267845	9999-12-31	2013-05-08
608	2011-05-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20429159	1626839	9999-12-31	2013-05-08
608	2011-05-13	9999-12-31	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	20429159	2388594	9999-12-31	2013-05-08
608	2011-05-13	9999-12-31	Statoil Petroleum AS	50.000000	\N	2011-05-13	9999-12-31	20429159	17237817	9999-12-31	2013-05-08
609	2011-05-13	9999-12-31	Idemitsu Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	20429186	441	9999-12-31	2013-05-08
609	2011-05-13	9999-12-31	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	20429186	97557	9999-12-31	2013-05-08
609	2011-05-13	9999-12-31	Lundin Norway AS	40.000000	\N	2011-05-13	9999-12-31	20429186	2767314	9999-12-31	2013-05-08
610	2011-05-13	2012-05-24	Rocksource ASA	25.000000	\N	9999-12-31	9999-12-31	20429259	4062921	2012-06-12	2013-05-08
610	2012-05-24	2012-12-31	Rocksource ASA	12.500000	\N	9999-12-31	9999-12-31	20429259	4062921	2013-01-09	2013-05-08
610	2011-05-13	2012-05-24	Spring Energy Norway AS	25.000000	\N	9999-12-31	9999-12-31	20429259	5072514	2012-06-12	2013-05-08
610	2012-05-24	2012-12-31	Spring Energy Norway AS	25.000000	\N	9999-12-31	9999-12-31	20429259	5072514	2013-01-09	2013-05-08
610	2012-12-31	2013-02-13	Spring Energy Norway AS	25.000000	\N	9999-12-31	9999-12-31	20429259	5072514	2013-02-20	2013-05-08
610	2011-05-13	2012-05-24	GDF SUEZ E&P Norge AS	50.000000	\N	2011-05-13	9999-12-31	20429259	5267845	2012-06-12	2013-05-08
610	2012-05-24	2012-12-31	GDF SUEZ E&P Norge AS	50.000000	\N	2011-05-13	9999-12-31	20429259	5267845	2013-01-09	2013-05-08
610	2012-12-31	2013-02-13	GDF SUEZ E&P Norge AS	50.000000	\N	2011-05-13	9999-12-31	20429259	5267845	2013-02-20	2013-05-08
610	2013-02-13	9999-12-31	GDF SUEZ E&P Norge AS	50.000000	\N	2011-05-13	9999-12-31	20429259	5267845	9999-12-31	2013-05-08
610	2012-05-24	2012-12-31	Valiant Petroleum Norge AS	12.500000	\N	9999-12-31	9999-12-31	20429259	21104529	2013-01-09	2013-05-08
610	2012-12-31	2013-02-13	Valiant Petroleum Norge AS	12.500000	\N	9999-12-31	9999-12-31	20429259	21104529	2013-02-20	2013-05-08
610	2013-02-13	9999-12-31	Valiant Petroleum Norge AS	12.500000	\N	9999-12-31	9999-12-31	20429259	21104529	9999-12-31	2013-05-08
610	2012-12-31	2013-02-13	Rocksource Exploration Norway AS	12.500000	\N	9999-12-31	9999-12-31	20429259	22528729	2013-02-20	2013-05-08
610	2013-02-13	9999-12-31	Rocksource Exploration Norway AS	12.500000	\N	9999-12-31	9999-12-31	20429259	22528729	9999-12-31	2013-05-08
610	2013-02-13	9999-12-31	Tullow Oil Norge AS	25.000000	\N	9999-12-31	9999-12-31	20429259	23173852	9999-12-31	2013-05-08
611	2011-05-13	2012-03-24	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20429303	1626839	9999-12-31	2013-05-08
611	2012-03-24	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20429303	1626839	9999-12-31	2013-05-08
611	2011-05-13	2012-03-24	Faroe Petroleum Norge AS	40.000000	\N	9999-12-31	9999-12-31	20429303	4062883	9999-12-31	2013-05-08
611	2012-03-24	9999-12-31	Faroe Petroleum Norge AS	40.000000	\N	9999-12-31	9999-12-31	20429303	4062883	9999-12-31	2013-05-08
611	2011-05-13	2012-03-24	Wintershall Norge ASA	40.000000	\N	2011-05-13	2012-03-23	20429303	5442509	9999-12-31	2013-05-08
611	2012-03-24	9999-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	20429303	21666830	9999-12-31	2013-05-08
226 B	2011-05-13	9999-12-31	Eni Norge AS	31.000000	\N	9999-12-31	9999-12-31	20429377	2388594	9999-12-31	2013-05-08
226 B	2011-05-13	9999-12-31	Statoil Petroleum AS	69.000000	\N	2011-05-13	9999-12-31	20429377	17237817	9999-12-31	2013-05-08
613	2011-05-13	9999-12-31	DONG E&P Norge AS	40.000000	\N	2011-05-13	9999-12-31	20429419	4070011	9999-12-31	2013-05-08
613	2011-05-13	9999-12-31	Edison International Norway Branch	25.000000	\N	9999-12-31	9999-12-31	20429419	17237180	9999-12-31	2013-05-08
613	2011-05-13	9999-12-31	Det norske oljeselskap ASA	35.000000	\N	9999-12-31	9999-12-31	20429419	17342870	9999-12-31	2013-05-08
612	2011-05-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20429462	1626839	9999-12-31	2013-05-08
612	2011-05-13	9999-12-31	GDF SUEZ E&P Norge AS	50.000000	\N	2011-05-13	9999-12-31	20429462	5267845	9999-12-31	2013-05-08
612	2011-05-13	9999-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	20429462	17237817	9999-12-31	2013-05-08
614	2011-05-13	9999-12-31	Idemitsu Petroleum Norge AS	40.000000	\N	9999-12-31	9999-12-31	20429507	441	9999-12-31	2013-05-08
614	2011-05-13	9999-12-31	Statoil Petroleum AS	60.000000	\N	2011-05-13	9999-12-31	20429507	17237817	9999-12-31	2013-05-08
615	2011-05-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	20429544	1626839	9999-12-31	2013-05-08
615	2011-05-13	9999-12-31	ConocoPhillips Skandinavia AS	25.000000	\N	9999-12-31	9999-12-31	20429544	2410696	9999-12-31	2013-05-08
615	2011-05-13	9999-12-31	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	20429544	4460594	9999-12-31	2013-05-08
615	2011-05-13	9999-12-31	Statoil Petroleum AS	35.000000	\N	2011-05-13	9999-12-31	20429544	17237817	9999-12-31	2013-05-08
303 B	2011-05-28	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	20499620	2410708	9999-12-31	2013-05-08
303 B	2011-05-28	9999-12-31	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	20499620	2835212	9999-12-31	2013-05-08
303 B	2011-05-27	2011-05-28	Statoil Petroleum AS	100.000000	\N	2011-05-27	9999-12-31	20499620	17237817	9999-12-31	2013-05-08
303 B	2011-05-28	9999-12-31	Statoil Petroleum AS	59.600000	\N	2011-05-27	9999-12-31	20499620	17237817	9999-12-31	2013-05-08
309 C	2011-10-06	9999-12-31	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21104663	1626839	9999-12-31	2013-05-08
309 C	2011-10-06	9999-12-31	ConocoPhillips Skandinavia AS	2.582820	\N	9999-12-31	9999-12-31	21104663	2410696	9999-12-31	2013-05-08
309 C	2011-10-06	9999-12-31	Statoil Petroleum AS	63.817180	\N	2011-10-06	9999-12-31	21104663	17237817	9999-12-31	2013-05-08
107 D	2011-10-31	2012-02-11	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21124705	1626839	9999-12-31	2013-05-08
107 D	2012-02-11	9999-12-31	Petoro AS	7.500000	\N	9999-12-31	9999-12-31	21124705	1626839	9999-12-31	2013-05-08
107 D	2011-10-31	2012-02-11	E.ON Ruhrgas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21124705	2840522	9999-12-31	2013-05-08
107 D	2011-10-31	2012-02-11	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	21124705	5267845	9999-12-31	2013-05-08
107 D	2012-02-11	9999-12-31	GDF SUEZ E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	21124705	5267845	9999-12-31	2013-05-08
107 D	2011-10-31	2012-02-11	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21124705	17237193	9999-12-31	2013-05-08
107 D	2012-02-11	9999-12-31	VNG Norge AS	2.500000	\N	9999-12-31	9999-12-31	21124705	17237193	9999-12-31	2013-05-08
107 D	2011-10-31	2012-02-11	Statoil Petroleum AS	20.000000	\N	2011-10-31	9999-12-31	21124705	17237817	9999-12-31	2013-05-08
107 D	2012-02-11	9999-12-31	Statoil Petroleum AS	20.000000	\N	2011-10-31	9999-12-31	21124705	17237817	9999-12-31	2013-05-08
107 D	2012-02-11	9999-12-31	E.ON E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	21124705	21631209	9999-12-31	2013-05-08
169 E	2011-11-04	2011-11-05	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21124742	1626839	9999-12-31	2013-05-08
169 E	2011-11-04	2011-11-05	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	21124742	2835212	9999-12-31	2013-05-08
169 E	2011-11-05	9999-12-31	ExxonMobil Exploration & Production Norway AS	13.000000	\N	9999-12-31	9999-12-31	21124742	2835212	9999-12-31	2013-05-08
169 E	2011-11-05	9999-12-31	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	21124742	4062883	9999-12-31	2013-05-08
169 E	2011-11-04	2011-11-05	Statoil Petroleum AS	57.000000	\N	2011-11-04	9999-12-31	21124742	17237817	9999-12-31	2013-05-08
169 E	2011-11-05	9999-12-31	Statoil Petroleum AS	57.000000	\N	2011-11-04	9999-12-31	21124742	17237817	9999-12-31	2013-05-08
018 DS	2011-11-29	2011-11-30	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	21139552	1626839	9999-12-31	2013-05-08
018 DS	2011-11-30	2012-07-05	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	21139552	1626839	9999-12-31	2013-05-08
018 DS	2012-07-05	9999-12-31	Petoro AS	5.000000	\N	9999-12-31	9999-12-31	21139552	1626839	9999-12-31	2013-05-08
018 DS	2011-11-29	2011-11-30	Altinex Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	21139552	4446230	9999-12-31	2013-05-08
018 DS	2011-11-30	2012-07-05	Altinex Oil Norway AS	13.338000	\N	9999-12-31	9999-12-31	21139552	4446230	9999-12-31	2013-05-08
018 DS	2011-11-29	2011-11-30	Maersk Oil PL 018C Norway AS	60.008000	\N	9999-12-31	9999-12-31	21139552	4703832	9999-12-31	2013-05-08
018 DS	2011-11-30	2012-07-05	Maersk Oil Norway AS	60.008000	\N	2011-11-29	9999-12-31	21139552	4719674	9999-12-31	2013-05-08
018 DS	2012-07-05	9999-12-31	Maersk Oil Norway AS	60.008000	\N	2011-11-29	9999-12-31	21139552	4719674	9999-12-31	2013-05-08
018 DS	2011-11-29	2011-11-30	Statoil Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	21139552	17237817	9999-12-31	2013-05-08
018 DS	2011-11-30	2012-07-05	Statoil Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	21139552	17237817	9999-12-31	2013-05-08
018 DS	2012-07-05	9999-12-31	Statoil Petroleum AS	6.654000	\N	9999-12-31	9999-12-31	21139552	17237817	9999-12-31	2013-05-08
018 DS	2012-07-05	9999-12-31	Noreco Norway AS	13.338000	\N	9999-12-31	9999-12-31	21139552	22223020	9999-12-31	2013-05-08
018 DS	2011-11-29	2011-11-30	Skeie Energy AS	15.000000	\N	9999-12-31	9999-12-31	21139552	23286115	9999-12-31	2013-05-08
018 DS	2011-11-30	2012-07-05	Skeie Energy AS	15.000000	\N	9999-12-31	9999-12-31	21139552	23286115	9999-12-31	2013-05-08
018 DS	2012-07-05	9999-12-31	Skeie Energy AS	15.000000	\N	9999-12-31	9999-12-31	21139552	23286115	9999-12-31	2013-05-08
193 D	2011-12-21	2012-01-13	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21349950	1626839	9999-12-31	2013-05-08
193 D	2012-01-13	2012-04-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21349950	1626839	9999-12-31	2013-05-08
193 D	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21349950	1626839	9999-12-31	2013-05-08
193 D	2011-12-21	2012-01-13	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	21349950	1853786	9999-12-31	2013-05-08
193 D	2012-01-13	2012-04-30	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	21349950	1853786	9999-12-31	2013-05-08
193 D	2012-04-30	9999-12-31	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	21349950	1853786	9999-12-31	2013-05-08
193 D	2011-12-21	2012-01-13	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	21349950	2410708	9999-12-31	2013-05-08
193 D	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	13.000000	\N	9999-12-31	9999-12-31	21349950	4238233	9999-12-31	2013-05-08
193 D	2011-12-21	2012-01-13	Statoil Petroleum AS	58.550000	\N	2011-12-21	9999-12-31	21349950	17237817	9999-12-31	2013-05-08
193 D	2012-01-13	2012-04-30	Statoil Petroleum AS	63.550000	\N	2011-12-21	9999-12-31	21349950	17237817	9999-12-31	2013-05-08
193 D	2012-04-30	9999-12-31	Statoil Petroleum AS	50.550000	\N	2011-12-21	9999-12-31	21349950	17237817	9999-12-31	2013-05-08
046 C	2011-12-21	2011-12-22	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21350140	2410708	9999-12-31	2013-05-08
046 C	2011-12-22	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21350140	2410708	9999-12-31	2013-05-08
046 C	2011-12-21	2011-12-22	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	21350140	2835212	9999-12-31	2013-05-08
046 C	2011-12-22	9999-12-31	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	21350140	2835212	9999-12-31	2013-05-08
046 C	2011-12-21	2011-12-22	Statoil Petroleum AS	62.000000	\N	2011-12-21	9999-12-31	21350140	17237817	9999-12-31	2013-05-08
046 C	2011-12-22	9999-12-31	Statoil Petroleum AS	59.600000	\N	2011-12-21	9999-12-31	21350140	17237817	9999-12-31	2013-05-08
072 C	2011-12-22	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21350207	2410708	9999-12-31	2013-05-08
072 C	2011-12-21	2011-12-22	ExxonMobil Exploration & Production Norway AS	50.000000	\N	9999-12-31	9999-12-31	21350207	2835212	9999-12-31	2013-05-08
072 C	2011-12-22	9999-12-31	ExxonMobil Exploration & Production Norway AS	30.400000	\N	9999-12-31	9999-12-31	21350207	2835212	9999-12-31	2013-05-08
072 C	2011-12-21	2011-12-22	Statoil Petroleum AS	50.000000	\N	2011-12-21	9999-12-31	21350207	17237817	9999-12-31	2013-05-08
072 C	2011-12-22	9999-12-31	Statoil Petroleum AS	59.600000	\N	2011-12-21	9999-12-31	21350207	17237817	9999-12-31	2013-05-08
659	2012-02-03	2012-05-24	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21558636	1626839	2012-06-12	2013-05-08
659	2012-05-24	2012-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21558636	1626839	2013-01-09	2013-05-08
659	2012-12-31	2013-02-13	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21558636	1626839	2013-02-20	2013-05-08
659	2013-02-13	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21558636	1626839	9999-12-31	2013-05-08
659	2012-02-03	2012-05-24	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	21558636	2767314	2012-06-12	2013-05-08
659	2012-05-24	2012-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	21558636	2767314	2013-01-09	2013-05-08
659	2012-12-31	2013-02-13	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	21558636	2767314	2013-02-20	2013-05-08
659	2013-02-13	9999-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	21558636	2767314	9999-12-31	2013-05-08
659	2012-02-03	2012-05-24	Rocksource ASA	10.000000	\N	9999-12-31	9999-12-31	21558636	4062921	2012-06-12	2013-05-08
659	2012-05-24	2012-12-31	Rocksource ASA	5.000000	\N	9999-12-31	9999-12-31	21558636	4062921	2013-01-09	2013-05-08
659	2012-02-03	2012-05-24	Spring Energy Norway AS	10.000000	\N	9999-12-31	9999-12-31	21558636	5072514	2012-06-12	2013-05-08
659	2012-05-24	2012-12-31	Spring Energy Norway AS	10.000000	\N	9999-12-31	9999-12-31	21558636	5072514	2013-01-09	2013-05-08
659	2012-12-31	2013-02-13	Spring Energy Norway AS	10.000000	\N	9999-12-31	9999-12-31	21558636	5072514	2013-02-20	2013-05-08
659	2012-02-03	2012-05-24	Det norske oljeselskap ASA	30.000000	\N	2012-02-03	9999-12-31	21558636	17342870	2012-06-12	2013-05-08
659	2012-05-24	2012-12-31	Det norske oljeselskap ASA	30.000000	\N	2012-02-03	9999-12-31	21558636	17342870	2013-01-09	2013-05-08
659	2012-12-31	2013-02-13	Det norske oljeselskap ASA	30.000000	\N	2012-02-03	9999-12-31	21558636	17342870	2013-02-20	2013-05-08
659	2013-02-13	9999-12-31	Det norske oljeselskap ASA	30.000000	\N	2012-02-03	9999-12-31	21558636	17342870	9999-12-31	2013-05-08
659	2012-05-24	2012-12-31	Valiant Petroleum Norge AS	5.000000	\N	9999-12-31	9999-12-31	21558636	21104529	2013-01-09	2013-05-08
659	2012-12-31	2013-02-13	Valiant Petroleum Norge AS	5.000000	\N	9999-12-31	9999-12-31	21558636	21104529	2013-02-20	2013-05-08
659	2013-02-13	9999-12-31	Valiant Petroleum Norge AS	5.000000	\N	9999-12-31	9999-12-31	21558636	21104529	9999-12-31	2013-05-08
659	2012-12-31	2013-02-13	Rocksource Exploration Norway AS	5.000000	\N	9999-12-31	9999-12-31	21558636	22528729	2013-02-20	2013-05-08
659	2013-02-13	9999-12-31	Rocksource Exploration Norway AS	5.000000	\N	9999-12-31	9999-12-31	21558636	22528729	9999-12-31	2013-05-08
659	2013-02-13	9999-12-31	Tullow Oil Norge AS	10.000000	\N	9999-12-31	9999-12-31	21558636	23173852	9999-12-31	2013-05-08
658	2012-02-03	9999-12-31	DONG E&P Norge AS	50.000000	\N	2012-02-03	9999-12-31	21558820	4070011	9999-12-31	2013-05-08
658	2012-02-03	9999-12-31	Repsol Exploration Norge AS	50.000000	\N	9999-12-31	9999-12-31	21558820	17237506	9999-12-31	2013-05-08
657	2012-02-03	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21558872	1626839	9999-12-31	2013-05-08
657	2012-02-03	9999-12-31	Eni Norge AS	80.000000	\N	2012-02-03	9999-12-31	21558872	2388594	9999-12-31	2013-05-08
656	2012-02-03	2012-02-11	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21558940	1626839	9999-12-31	2013-05-08
656	2012-02-11	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21558940	1626839	9999-12-31	2013-05-08
656	2012-02-03	2012-02-11	E.ON Ruhrgas Norge AS	30.000000	\N	2012-02-03	2012-02-10	21558940	2840522	9999-12-31	2013-05-08
656	2012-02-03	2012-02-11	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21558940	4070011	9999-12-31	2013-05-08
656	2012-02-11	9999-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21558940	4070011	9999-12-31	2013-05-08
656	2012-02-03	2012-02-11	Repsol Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	21558940	17237506	9999-12-31	2013-05-08
656	2012-02-11	9999-12-31	Repsol Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	21558940	17237506	9999-12-31	2013-05-08
656	2012-02-03	2012-02-11	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	21558940	18082156	9999-12-31	2013-05-08
656	2012-02-11	9999-12-31	North Energy ASA	10.000000	\N	9999-12-31	9999-12-31	21558940	18082156	9999-12-31	2013-05-08
656	2012-02-11	9999-12-31	E.ON E&P Norge AS	30.000000	\N	2012-02-11	9999-12-31	21558940	21631209	9999-12-31	2013-05-08
655	2012-02-03	2012-03-24	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	21558998	4238233	9999-12-31	2013-05-08
655	2012-03-24	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	21558998	4238233	9999-12-31	2013-05-08
655	2012-02-03	2012-03-24	Lotos Exploration and Production Norge AS	30.000000	\N	9999-12-31	9999-12-31	21558998	5064434	9999-12-31	2013-05-08
655	2012-03-24	9999-12-31	Lotos Exploration and Production Norge AS	30.000000	\N	9999-12-31	9999-12-31	21558998	5064434	9999-12-31	2013-05-08
655	2012-02-03	2012-03-24	Wintershall Norge ASA	30.000000	\N	2012-02-03	2012-03-23	21558998	5442509	9999-12-31	2013-05-08
655	2012-02-03	2012-03-24	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	21558998	17237193	9999-12-31	2013-05-08
655	2012-03-24	9999-12-31	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	21558998	17237193	9999-12-31	2013-05-08
655	2012-03-24	9999-12-31	Wintershall Norge AS	30.000000	\N	2012-03-24	9999-12-31	21558998	21666830	9999-12-31	2013-05-08
654	2012-02-03	9999-12-31	RWE Dea Norge AS	40.000000	\N	2012-02-03	9999-12-31	21559027	97557	9999-12-31	2013-05-08
654	2012-02-03	9999-12-31	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	21559027	2767314	9999-12-31	2013-05-08
654	2012-02-03	9999-12-31	Marathon Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	21559027	20485291	9999-12-31	2013-05-08
653	2012-02-03	9999-12-31	RWE Dea Norge AS	40.000000	\N	2012-02-03	9999-12-31	21559076	97557	9999-12-31	2013-05-08
653	2012-02-03	9999-12-31	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	21559076	2767314	9999-12-31	2013-05-08
653	2012-02-03	9999-12-31	Marathon Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	21559076	20485291	9999-12-31	2013-05-08
652	2012-02-03	2012-02-11	E.ON Ruhrgas Norge AS	25.000000	\N	9999-12-31	9999-12-31	21559103	2840522	9999-12-31	2013-05-08
652	2012-02-03	2012-02-11	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	21559103	4460794	9999-12-31	2013-05-08
652	2012-02-11	2012-03-24	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	21559103	4460794	9999-12-31	2013-05-08
652	2012-03-24	2013-02-03	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	21559103	4460794	2013-04-03	2013-05-08
652	2012-02-03	2012-02-11	Wintershall Norge ASA	35.000000	\N	2012-02-03	2012-03-23	21559103	5442509	9999-12-31	2013-05-08
652	2012-02-11	2012-03-24	Wintershall Norge ASA	35.000000	\N	2012-02-03	2012-03-23	21559103	5442509	9999-12-31	2013-05-08
652	2012-02-03	2012-02-11	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	21559103	17342870	9999-12-31	2013-05-08
652	2012-02-11	2012-03-24	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	21559103	17342870	9999-12-31	2013-05-08
652	2012-03-24	2013-02-03	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	21559103	17342870	2013-04-03	2013-05-08
652	2012-02-11	2012-03-24	E.ON E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21559103	21631209	9999-12-31	2013-05-08
652	2012-03-24	2013-02-03	E.ON E&P Norge AS	25.000000	\N	9999-12-31	9999-12-31	21559103	21631209	2013-04-03	2013-05-08
652	2012-03-24	2013-02-03	Wintershall Norge AS	35.000000	\N	2012-03-24	2013-02-03	21559103	21666830	2013-04-04	2013-05-08
651	2012-02-03	2012-02-11	E.ON Ruhrgas Norge AS	40.000000	\N	2012-02-03	2012-02-10	21559146	2840522	9999-12-31	2013-05-08
651	2012-02-03	2012-02-11	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	21559146	4526555	9999-12-31	2013-05-08
651	2012-02-11	2013-02-13	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	21559146	4526555	2013-02-20	2013-05-08
651	2013-02-13	9999-12-31	Dana Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	21559146	4526555	9999-12-31	2013-05-08
651	2012-02-03	2012-02-11	Spring Energy Norway AS	35.000000	\N	9999-12-31	9999-12-31	21559146	5072514	9999-12-31	2013-05-08
651	2012-02-11	2013-02-13	Spring Energy Norway AS	35.000000	\N	9999-12-31	9999-12-31	21559146	5072514	2013-02-20	2013-05-08
651	2012-02-11	2013-02-13	E.ON E&P Norge AS	40.000000	\N	2012-02-11	9999-12-31	21559146	21631209	2013-02-20	2013-05-08
651	2013-02-13	9999-12-31	E.ON E&P Norge AS	40.000000	\N	2012-02-11	9999-12-31	21559146	21631209	9999-12-31	2013-05-08
651	2013-02-13	9999-12-31	Tullow Oil Norge AS	35.000000	\N	9999-12-31	9999-12-31	21559146	23173852	9999-12-31	2013-05-08
650	2012-02-03	2012-02-11	E.ON Ruhrgas Norge AS	60.000000	\N	2012-02-03	2012-02-10	21559201	2840522	9999-12-31	2013-05-08
650	2012-02-03	2012-02-11	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	21559201	17237817	9999-12-31	2013-05-08
650	2012-02-11	9999-12-31	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	21559201	17237817	9999-12-31	2013-05-08
650	2012-02-11	9999-12-31	E.ON E&P Norge AS	60.000000	\N	2012-02-11	9999-12-31	21559201	21631209	9999-12-31	2013-05-08
035 C	2012-02-03	9999-12-31	Svenska Petroleum Exploration AS	25.000000	\N	9999-12-31	9999-12-31	21559372	738	9999-12-31	2013-05-08
035 C	2012-02-03	9999-12-31	Statoil Petroleum AS	50.000000	\N	2012-02-03	9999-12-31	21559372	17237817	9999-12-31	2013-05-08
035 C	2012-02-03	9999-12-31	Det norske oljeselskap ASA	25.000000	\N	9999-12-31	9999-12-31	21559372	17342870	9999-12-31	2013-05-08
046 D	2012-02-03	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21559399	2410708	9999-12-31	2013-05-08
046 D	2012-02-03	9999-12-31	ExxonMobil Exploration & Production Norway AS	28.000000	\N	9999-12-31	9999-12-31	21559399	2835212	9999-12-31	2013-05-08
046 D	2012-02-03	9999-12-31	Statoil Petroleum AS	62.000000	\N	2012-02-03	9999-12-31	21559399	17237817	9999-12-31	2013-05-08
639	2012-02-03	2012-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21559426	1626839	2013-01-04	2013-05-08
639	2012-12-31	2013-02-13	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21559426	1626839	2013-02-20	2013-05-08
639	2013-02-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21559426	1626839	9999-12-31	2013-05-08
639	2012-02-03	2012-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	21559426	2767314	2013-01-04	2013-05-08
639	2012-12-31	2013-02-13	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	21559426	2767314	2013-02-20	2013-05-08
639	2013-02-13	9999-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	21559426	2767314	9999-12-31	2013-05-08
639	2012-02-03	2012-12-31	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	21559426	4444493	2013-01-04	2013-05-08
639	2012-12-31	2013-02-13	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	21559426	4444493	2013-02-20	2013-05-08
639	2013-02-13	9999-12-31	Bayerngas Norge AS	15.000000	\N	9999-12-31	9999-12-31	21559426	4444493	9999-12-31	2013-05-08
639	2012-02-03	2012-12-31	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	21559426	4530695	2013-01-04	2013-05-08
639	2012-02-03	2012-12-31	Spring Energy Norway AS	30.000000	\N	2012-02-03	2013-02-12	21559426	5072514	2013-02-21	2013-05-08
639	2012-12-31	2013-02-13	Spring Energy Norway AS	30.000000	\N	2012-02-03	2013-02-12	21559426	5072514	2013-02-21	2013-05-08
639	2012-12-31	2013-02-13	Noreco Norway AS	15.000000	\N	9999-12-31	9999-12-31	21559426	22223020	2013-02-20	2013-05-08
639	2013-02-13	9999-12-31	Noreco Norway AS	15.000000	\N	9999-12-31	9999-12-31	21559426	22223020	9999-12-31	2013-05-08
639	2013-02-13	9999-12-31	Tullow Oil Norge AS	30.000000	\N	2013-02-13	9999-12-31	21559426	23173852	2013-02-21	2013-05-08
640	2012-02-03	9999-12-31	Talisman Energy Norge AS	60.000000	\N	2012-02-03	9999-12-31	21559488	2425093	9999-12-31	2013-05-08
640	2012-02-03	9999-12-31	Repsol Exploration Norge AS	40.000000	\N	9999-12-31	9999-12-31	21559488	17237506	9999-12-31	2013-05-08
641	2012-02-03	9999-12-31	Lundin Norway AS	30.000000	\N	9999-12-31	9999-12-31	21559540	2767314	9999-12-31	2013-05-08
641	2012-02-03	9999-12-31	VNG Norge AS	70.000000	\N	2012-02-03	9999-12-31	21559540	17237193	9999-12-31	2013-05-08
642	2012-02-03	2013-02-13	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21559610	1626839	2013-02-20	2013-05-08
642	2013-02-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21559610	1626839	9999-12-31	2013-05-08
642	2012-02-03	2013-02-13	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	21559610	4460594	2013-02-20	2013-05-08
642	2013-02-13	9999-12-31	OMV (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	21559610	4460594	9999-12-31	2013-05-08
642	2012-02-03	2013-02-13	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	21559610	5072514	2013-02-20	2013-05-08
642	2012-02-03	2013-02-13	Repsol Exploration Norge AS	40.000000	\N	2012-02-03	9999-12-31	21559610	17237506	2013-02-20	2013-05-08
642	2013-02-13	9999-12-31	Repsol Exploration Norge AS	40.000000	\N	2012-02-03	9999-12-31	21559610	17237506	9999-12-31	2013-05-08
642	2013-02-13	9999-12-31	Tullow Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	21559610	23173852	9999-12-31	2013-05-08
644	2012-02-03	9999-12-31	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21559648	4062883	9999-12-31	2013-05-08
644	2012-02-03	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	21559648	4238233	9999-12-31	2013-05-08
644	2012-02-03	9999-12-31	OMV (Norge) AS	30.000000	\N	2012-02-03	9999-12-31	21559648	4460594	9999-12-31	2013-05-08
644	2012-02-03	9999-12-31	Skagen44 AS	10.000000	\N	9999-12-31	9999-12-31	21559648	4510260	9999-12-31	2013-05-08
644	2012-02-03	9999-12-31	Repsol Exploration Norge AS	20.000000	\N	9999-12-31	9999-12-31	21559648	17237506	9999-12-31	2013-05-08
645	2012-02-03	9999-12-31	Faroe Petroleum Norge AS	50.000000	\N	2012-02-03	9999-12-31	21559709	4062883	9999-12-31	2013-05-08
645	2012-02-03	9999-12-31	Centrica Resources (Norge) AS	40.000000	\N	9999-12-31	9999-12-31	21559709	4238233	9999-12-31	2013-05-08
645	2012-02-03	9999-12-31	Skagen44 AS	10.000000	\N	9999-12-31	9999-12-31	21559709	4510260	9999-12-31	2013-05-08
646	2012-02-03	2012-03-24	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	21559761	2767314	9999-12-31	2013-05-08
646	2012-03-24	2012-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	21559761	2767314	2013-01-04	2013-05-08
646	2012-12-31	9999-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	21559761	2767314	9999-12-31	2013-05-08
646	2012-02-03	2012-03-24	PGNiG Norway AS	20.000000	\N	9999-12-31	9999-12-31	21559761	4505831	9999-12-31	2013-05-08
646	2012-03-24	2012-12-31	PGNiG Norway AS	20.000000	\N	9999-12-31	9999-12-31	21559761	4505831	2013-01-04	2013-05-08
646	2012-12-31	9999-12-31	PGNiG Norway AS	20.000000	\N	9999-12-31	9999-12-31	21559761	4505831	9999-12-31	2013-05-08
646	2012-02-03	2012-03-24	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	21559761	4530695	9999-12-31	2013-05-08
646	2012-03-24	2012-12-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	21559761	4530695	2013-01-04	2013-05-08
646	2012-02-03	2012-03-24	Wintershall Norge ASA	40.000000	\N	2012-02-03	2012-03-23	21559761	5442509	9999-12-31	2013-05-08
646	2012-03-24	2012-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	21559761	21666830	2013-01-04	2013-05-08
646	2012-12-31	9999-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	21559761	21666830	9999-12-31	2013-05-08
646	2012-12-31	9999-12-31	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	21559761	22223020	9999-12-31	2013-05-08
647	2012-02-03	9999-12-31	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	21559805	97557	9999-12-31	2013-05-08
647	2012-02-03	9999-12-31	Premier Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	21559805	3482067	9999-12-31	2013-05-08
647	2012-02-03	9999-12-31	Maersk Oil Norway AS	40.000000	\N	2012-02-03	9999-12-31	21559805	4719674	9999-12-31	2013-05-08
648 S	2012-02-03	9999-12-31	OMV (Norge) AS	50.000000	\N	9999-12-31	9999-12-31	21559877	4460594	9999-12-31	2013-05-08
648 S	2012-02-03	9999-12-31	PGNiG Norway AS	50.000000	\N	2012-02-03	9999-12-31	21559877	4505831	9999-12-31	2013-05-08
649	2012-02-03	9999-12-31	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	21559950	4526555	9999-12-31	2013-05-08
649	2012-02-03	9999-12-31	Maersk Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	21559950	4719674	9999-12-31	2013-05-08
649	2012-02-03	9999-12-31	VNG Norge AS	40.000000	\N	2012-02-03	9999-12-31	21559950	17237193	9999-12-31	2013-05-08
619	2012-02-03	2013-02-13	Total E&P Norge AS	50.000000	\N	2012-02-03	9999-12-31	21560040	2410708	2013-02-20	2013-05-08
619	2013-02-13	9999-12-31	Total E&P Norge AS	50.000000	\N	2012-02-03	9999-12-31	21560040	2410708	9999-12-31	2013-05-08
619	2012-02-03	2013-02-13	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	21560040	5072514	2013-02-20	2013-05-08
619	2012-02-03	2013-02-13	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	21560040	17342870	2013-02-20	2013-05-08
619	2013-02-13	9999-12-31	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	21560040	17342870	9999-12-31	2013-05-08
619	2013-02-13	9999-12-31	Tullow Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560040	23173852	9999-12-31	2013-05-08
495 B	2012-02-03	2013-02-13	Lundin Norway AS	60.000000	\N	2012-02-03	9999-12-31	21560089	2767314	2013-02-20	2013-05-08
495 B	2013-02-13	9999-12-31	Lundin Norway AS	60.000000	\N	2012-02-03	9999-12-31	21560089	2767314	9999-12-31	2013-05-08
495 B	2012-02-03	2013-02-13	Spring Energy Norway AS	40.000000	\N	9999-12-31	9999-12-31	21560089	5072514	2013-02-20	2013-05-08
495 B	2013-02-13	9999-12-31	Tullow Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	21560089	23173852	9999-12-31	2013-05-08
620	2012-02-03	2012-12-31	Faroe Petroleum Norge AS	50.000000	\N	2012-02-03	9999-12-31	21560115	4062883	2013-01-04	2013-05-08
620	2012-12-31	9999-12-31	Faroe Petroleum Norge AS	50.000000	\N	2012-02-03	9999-12-31	21560115	4062883	9999-12-31	2013-05-08
620	2012-02-03	2012-12-31	Norwegian Energy Company ASA	25.000000	\N	9999-12-31	9999-12-31	21560115	4530695	2013-01-04	2013-05-08
620	2012-02-03	2012-12-31	Edison International Norway Branch	25.000000	\N	9999-12-31	9999-12-31	21560115	17237180	2013-01-04	2013-05-08
620	2012-12-31	9999-12-31	Edison International Norway Branch	25.000000	\N	9999-12-31	9999-12-31	21560115	17237180	9999-12-31	2013-05-08
620	2012-12-31	9999-12-31	Noreco Norway AS	25.000000	\N	9999-12-31	9999-12-31	21560115	22223020	9999-12-31	2013-05-08
621	2012-02-03	2012-12-31	Faroe Petroleum Norge AS	75.000000	\N	2012-02-03	2013-02-03	21560157	4062883	2013-04-04	2013-05-08
621	2012-12-31	2013-02-03	Faroe Petroleum Norge AS	75.000000	\N	2012-02-03	2013-02-03	21560157	4062883	2013-04-04	2013-05-08
621	2012-02-03	2012-12-31	Norwegian Energy Company ASA	25.000000	\N	9999-12-31	9999-12-31	21560157	4530695	2013-01-04	2013-05-08
621	2012-12-31	2013-02-03	Noreco Norway AS	25.000000	\N	9999-12-31	9999-12-31	21560157	22223020	2013-04-03	2013-05-08
622	2012-02-03	9999-12-31	Premier Oil Norge AS	60.000000	\N	2012-02-03	9999-12-31	21560182	3482067	9999-12-31	2013-05-08
622	2012-02-03	9999-12-31	Maersk Oil Norway AS	40.000000	\N	9999-12-31	9999-12-31	21560182	4719674	9999-12-31	2013-05-08
623	2012-02-03	9999-12-31	Talisman Energy Norge AS	40.000000	\N	2012-02-03	9999-12-31	21560239	2425093	9999-12-31	2013-05-08
623	2012-02-03	9999-12-31	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560239	3482067	9999-12-31	2013-05-08
623	2012-02-03	9999-12-31	Maersk Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	21560239	4719674	9999-12-31	2013-05-08
623	2012-02-03	9999-12-31	Bridge Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560239	18178215	9999-12-31	2013-05-08
506 DS	2012-02-03	2012-05-24	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21560284	1626839	2012-06-12	2013-05-08
506 DS	2012-05-24	2012-10-03	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21560284	1626839	2012-10-06	2013-05-08
506 DS	2012-10-03	2012-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21560284	1626839	2013-01-09	2013-05-08
506 DS	2012-12-31	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21560284	1626839	9999-12-31	2013-05-08
506 DS	2012-02-03	2012-05-24	Rocksource ASA	50.000000	\N	2012-02-03	2012-12-30	21560284	4062921	2013-01-10	2013-05-08
506 DS	2012-05-24	2012-10-03	Rocksource ASA	25.000000	\N	2012-02-03	2012-12-30	21560284	4062921	2013-01-10	2013-05-08
506 DS	2012-10-03	2012-12-31	Rocksource ASA	25.000000	\N	2012-02-03	2012-12-30	21560284	4062921	2013-01-10	2013-05-08
506 DS	2012-02-03	2012-05-24	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	21560284	18108745	2012-06-12	2013-05-08
506 DS	2012-05-24	2012-10-03	Front Exploration AS	30.000000	\N	9999-12-31	9999-12-31	21560284	18108745	2012-10-06	2013-05-08
506 DS	2012-05-24	2012-10-03	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	21560284	21104529	2012-10-06	2013-05-08
506 DS	2012-10-03	2012-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	21560284	21104529	2013-01-09	2013-05-08
506 DS	2012-12-31	9999-12-31	Valiant Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	21560284	21104529	9999-12-31	2013-05-08
506 DS	2012-10-03	2012-12-31	Petrolia Norway AS	30.000000	\N	9999-12-31	9999-12-31	21560284	21593704	2013-01-09	2013-05-08
506 DS	2012-12-31	9999-12-31	Petrolia Norway AS	30.000000	\N	9999-12-31	9999-12-31	21560284	21593704	9999-12-31	2013-05-08
506 DS	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	25.000000	\N	2012-12-31	9999-12-31	21560284	22528729	2013-01-10	2013-05-08
624	2012-02-03	2012-03-24	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560318	4070011	9999-12-31	2013-05-08
624	2012-03-24	2012-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560318	4070011	2013-01-04	2013-05-08
624	2012-12-31	9999-12-31	DONG E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560318	4070011	9999-12-31	2013-05-08
624	2012-02-03	2012-03-24	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	21560318	4530695	9999-12-31	2013-05-08
624	2012-03-24	2012-12-31	Norwegian Energy Company ASA	15.000000	\N	9999-12-31	9999-12-31	21560318	4530695	2013-01-04	2013-05-08
624	2012-02-03	2012-03-24	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	21560318	5442509	9999-12-31	2013-05-08
624	2012-02-03	2012-03-24	Statoil Petroleum AS	50.000000	\N	2012-02-03	9999-12-31	21560318	17237817	9999-12-31	2013-05-08
624	2012-03-24	2012-12-31	Statoil Petroleum AS	50.000000	\N	2012-02-03	9999-12-31	21560318	17237817	2013-01-04	2013-05-08
624	2012-12-31	9999-12-31	Statoil Petroleum AS	50.000000	\N	2012-02-03	9999-12-31	21560318	17237817	9999-12-31	2013-05-08
624	2012-03-24	2012-12-31	Wintershall Norge AS	15.000000	\N	9999-12-31	9999-12-31	21560318	21666830	2013-01-04	2013-05-08
624	2012-12-31	9999-12-31	Wintershall Norge AS	15.000000	\N	9999-12-31	9999-12-31	21560318	21666830	9999-12-31	2013-05-08
624	2012-12-31	9999-12-31	Noreco Norway AS	15.000000	\N	9999-12-31	9999-12-31	21560318	22223020	9999-12-31	2013-05-08
625	2012-02-03	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21560380	1626839	9999-12-31	2013-05-08
625	2012-02-03	9999-12-31	Lundin Norway AS	40.000000	\N	2012-02-03	9999-12-31	21560380	2767314	9999-12-31	2013-05-08
625	2012-02-03	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560380	4444493	9999-12-31	2013-05-08
625	2012-02-03	9999-12-31	Maersk Oil Norway AS	20.000000	\N	9999-12-31	9999-12-31	21560380	4719674	9999-12-31	2013-05-08
626	2012-02-03	2013-02-13	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	21560418	5072514	2013-02-20	2013-05-08
626	2012-02-03	2013-02-13	Det norske oljeselskap ASA	50.000000	\N	2012-02-03	9999-12-31	21560418	17342870	2013-02-20	2013-05-08
626	2013-02-13	9999-12-31	Det norske oljeselskap ASA	50.000000	\N	2012-02-03	9999-12-31	21560418	17342870	9999-12-31	2013-05-08
626	2012-02-03	2013-02-13	Fortis Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	21560418	18386334	2013-02-20	2013-05-08
626	2013-02-13	9999-12-31	Fortis Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	21560418	18386334	9999-12-31	2013-05-08
626	2013-02-13	9999-12-31	Tullow Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	21560418	23173852	9999-12-31	2013-05-08
513 B	2012-02-03	9999-12-31	Dana Petroleum Norway AS	50.000000	\N	9999-12-31	9999-12-31	21560453	4526555	9999-12-31	2013-05-08
513 B	2012-02-03	9999-12-31	Maersk Oil Norway AS	50.000000	\N	2012-02-03	9999-12-31	21560453	4719674	9999-12-31	2013-05-08
627	2012-02-03	9999-12-31	Total E&P Norge AS	40.000000	\N	2012-02-03	9999-12-31	21560469	2410708	9999-12-31	2013-05-08
627	2012-02-03	9999-12-31	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560469	4062883	9999-12-31	2013-05-08
627	2012-02-03	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	21560469	4238233	9999-12-31	2013-05-08
627	2012-02-03	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	21560469	17342870	9999-12-31	2013-05-08
628	2012-02-03	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21560616	1626839	9999-12-31	2013-05-08
628	2012-02-03	9999-12-31	Statoil Petroleum AS	80.000000	\N	2012-02-03	9999-12-31	21560616	17237817	9999-12-31	2013-05-08
629	2012-02-03	9999-12-31	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560683	4062883	9999-12-31	2013-05-08
629	2012-02-03	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	21560683	4238233	9999-12-31	2013-05-08
629	2012-02-03	9999-12-31	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	21560683	4460794	9999-12-31	2013-05-08
629	2012-02-03	9999-12-31	Bridge Energy Norge AS	40.000000	\N	2012-02-03	9999-12-31	21560683	18178215	9999-12-31	2013-05-08
630	2012-02-03	2013-04-20	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560745	441	2013-04-30	2013-05-08
630	2013-04-20	9999-12-31	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560745	441	9999-12-31	2013-05-08
630	2012-02-03	2013-04-20	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560745	5267845	2013-04-30	2013-05-08
630	2013-04-20	9999-12-31	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560745	5267845	9999-12-31	2013-05-08
630	2012-02-03	2013-04-20	Statoil Petroleum AS	40.000000	\N	2012-02-03	9999-12-31	21560745	17237817	2013-04-30	2013-05-08
630	2013-04-20	9999-12-31	Statoil Petroleum AS	40.000000	\N	2012-02-03	9999-12-31	21560745	17237817	9999-12-31	2013-05-08
630	2012-02-03	2013-04-20	Agora Oil & Gas AS	20.000000	\N	9999-12-31	9999-12-31	21560745	18386322	2013-04-30	2013-05-08
630	2013-04-20	9999-12-31	Capricorn Norge AS	20.000000	\N	9999-12-31	9999-12-31	21560745	23297570	9999-12-31	2013-05-08
631	2012-02-03	9999-12-31	Lundin Norway AS	60.000000	\N	2012-02-03	9999-12-31	21560844	2767314	9999-12-31	2013-05-08
631	2012-02-03	9999-12-31	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21560844	4444493	9999-12-31	2013-05-08
631	2012-02-03	9999-12-31	Fortis Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	21560844	18386334	9999-12-31	2013-05-08
557 B	2012-02-03	9999-12-31	OMV (Norge) AS	50.000000	\N	2012-02-03	9999-12-31	21560889	4460594	9999-12-31	2013-05-08
557 B	2012-02-03	9999-12-31	Skagen44 AS	10.000000	\N	9999-12-31	9999-12-31	21560889	4510260	9999-12-31	2013-05-08
557 B	2012-02-03	9999-12-31	Repsol Exploration Norge AS	40.000000	\N	9999-12-31	9999-12-31	21560889	17237506	9999-12-31	2013-05-08
632	2012-02-03	2013-04-20	Statoil Petroleum AS	60.000000	\N	2012-02-03	9999-12-31	21560912	17237817	2013-04-30	2013-05-08
632	2013-04-20	9999-12-31	Statoil Petroleum AS	60.000000	\N	2012-02-03	9999-12-31	21560912	17237817	9999-12-31	2013-05-08
632	2012-02-03	2013-04-20	Agora Oil & Gas AS	40.000000	\N	9999-12-31	9999-12-31	21560912	18386322	2013-04-30	2013-05-08
632	2013-04-20	9999-12-31	Capricorn Norge AS	40.000000	\N	9999-12-31	9999-12-31	21560912	23297570	9999-12-31	2013-05-08
633	2012-02-03	2012-03-24	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21560982	4444493	9999-12-31	2013-05-08
633	2012-03-24	9999-12-31	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	21560982	4444493	9999-12-31	2013-05-08
633	2012-02-03	2012-03-24	Wintershall Norge ASA	40.000000	\N	2012-02-03	2012-03-23	21560982	5442509	9999-12-31	2013-05-08
633	2012-02-03	2012-03-24	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	21560982	20426420	9999-12-31	2013-05-08
633	2012-03-24	9999-12-31	Suncor Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	21560982	20426420	9999-12-31	2013-05-08
633	2012-03-24	9999-12-31	Wintershall Norge AS	40.000000	\N	2012-03-24	9999-12-31	21560982	21666830	9999-12-31	2013-05-08
634	2012-02-03	2012-12-31	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	21561057	97557	2013-01-04	2013-05-08
634	2012-12-31	9999-12-31	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	21561057	97557	9999-12-31	2013-05-08
634	2012-02-03	2012-12-31	Norwegian Energy Company ASA	30.000000	\N	9999-12-31	9999-12-31	21561057	4530695	2013-01-04	2013-05-08
634	2012-02-03	2012-12-31	GDF SUEZ E&P Norge AS	40.000000	\N	2012-02-03	9999-12-31	21561057	5267845	2013-01-04	2013-05-08
634	2012-12-31	9999-12-31	GDF SUEZ E&P Norge AS	40.000000	\N	2012-02-03	9999-12-31	21561057	5267845	9999-12-31	2013-05-08
634	2012-12-31	9999-12-31	Noreco Norway AS	30.000000	\N	9999-12-31	9999-12-31	21561057	22223020	9999-12-31	2013-05-08
635	2012-02-03	9999-12-31	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	21561115	97557	9999-12-31	2013-05-08
635	2012-02-03	9999-12-31	Bayerngas Norge AS	50.000000	\N	2012-02-03	9999-12-31	21561115	4444493	9999-12-31	2013-05-08
635	2012-02-03	9999-12-31	VNG Norge AS	30.000000	\N	9999-12-31	9999-12-31	21561115	17237193	9999-12-31	2013-05-08
636	2012-02-03	2013-02-13	Idemitsu Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	21561151	441	2013-02-20	2013-05-08
636	2013-02-13	9999-12-31	Idemitsu Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	21561151	441	9999-12-31	2013-05-08
636	2012-02-03	2013-02-13	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	21561151	5072514	2013-02-20	2013-05-08
636	2012-02-03	2013-02-13	GDF SUEZ E&P Norge AS	50.000000	\N	2012-02-03	9999-12-31	21561151	5267845	2013-02-20	2013-05-08
636	2013-02-13	9999-12-31	GDF SUEZ E&P Norge AS	50.000000	\N	2012-02-03	9999-12-31	21561151	5267845	9999-12-31	2013-05-08
636	2013-02-13	9999-12-31	Tullow Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	21561151	23173852	9999-12-31	2013-05-08
637	2012-02-03	9999-12-31	Talisman Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	21561194	2425093	9999-12-31	2013-05-08
637	2012-02-03	9999-12-31	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21561194	5267845	9999-12-31	2013-05-08
637	2012-02-03	9999-12-31	Suncor Energy Norge AS	50.000000	\N	2012-02-03	9999-12-31	21561194	20426420	9999-12-31	2013-05-08
638	2012-02-03	2012-03-24	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21561239	441	9999-12-31	2013-05-08
638	2012-03-24	9999-12-31	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21561239	441	9999-12-31	2013-05-08
638	2012-02-03	2012-03-24	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	21561239	97557	9999-12-31	2013-05-08
638	2012-03-24	9999-12-31	RWE Dea Norge AS	8.000000	\N	9999-12-31	9999-12-31	21561239	97557	9999-12-31	2013-05-08
638	2012-02-03	2012-03-24	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21561239	1626839	9999-12-31	2013-05-08
638	2012-03-24	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21561239	1626839	9999-12-31	2013-05-08
638	2012-02-03	2012-03-24	BG Norge AS	36.000000	\N	2012-02-03	9999-12-31	21561239	2747354	9999-12-31	2013-05-08
638	2012-03-24	9999-12-31	BG Norge AS	36.000000	\N	2012-02-03	9999-12-31	21561239	2747354	9999-12-31	2013-05-08
638	2012-02-03	2012-03-24	Wintershall Norge ASA	16.000000	\N	9999-12-31	9999-12-31	21561239	5442509	9999-12-31	2013-05-08
638	2012-03-24	9999-12-31	Wintershall Norge AS	16.000000	\N	9999-12-31	9999-12-31	21561239	21666830	9999-12-31	2013-05-08
597 B	2012-02-03	9999-12-31	Dana Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	21561308	4526555	9999-12-31	2013-05-08
597 B	2012-02-03	9999-12-31	Maersk Oil Norway AS	30.000000	\N	9999-12-31	9999-12-31	21561308	4719674	9999-12-31	2013-05-08
597 B	2012-02-03	9999-12-31	VNG Norge AS	40.000000	\N	2012-02-03	9999-12-31	21561308	17237193	9999-12-31	2013-05-08
643	2012-02-03	9999-12-31	Lotos Exploration and Production Norge AS	30.000000	\N	9999-12-31	9999-12-31	21561387	5064434	9999-12-31	2013-05-08
643	2012-02-03	9999-12-31	Edison International Norway Branch	30.000000	\N	9999-12-31	9999-12-31	21561387	17237180	9999-12-31	2013-05-08
643	2012-02-03	9999-12-31	VNG Norge AS	40.000000	\N	2012-02-03	9999-12-31	21561387	17237193	9999-12-31	2013-05-08
609 B	2012-02-03	9999-12-31	Idemitsu Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	21561445	441	9999-12-31	2013-05-08
609 B	2012-02-03	9999-12-31	RWE Dea Norge AS	30.000000	\N	9999-12-31	9999-12-31	21561445	97557	9999-12-31	2013-05-08
609 B	2012-02-03	9999-12-31	Lundin Norway AS	40.000000	\N	2012-02-03	9999-12-31	21561445	2767314	9999-12-31	2013-05-08
616	2012-02-03	2012-12-31	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	21561481	4460794	2013-01-04	2013-05-08
616	2012-12-31	9999-12-31	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	21561481	4460794	9999-12-31	2013-05-08
616	2012-02-03	2012-12-31	Skagen44 AS	15.000000	\N	9999-12-31	9999-12-31	21561481	4510260	2013-01-04	2013-05-08
616	2012-12-31	9999-12-31	Skagen44 AS	15.000000	\N	9999-12-31	9999-12-31	21561481	4510260	9999-12-31	2013-05-08
616	2012-02-03	2012-12-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	21561481	4530695	2013-01-04	2013-05-08
616	2012-02-03	2012-12-31	Edison International Norway Branch	25.000000	\N	2012-02-03	9999-12-31	21561481	17237180	2013-01-04	2013-05-08
616	2012-12-31	9999-12-31	Edison International Norway Branch	25.000000	\N	2012-02-03	9999-12-31	21561481	17237180	9999-12-31	2013-05-08
616	2012-02-03	2012-12-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	21561481	18082156	2013-01-04	2013-05-08
616	2012-12-31	9999-12-31	North Energy ASA	20.000000	\N	9999-12-31	9999-12-31	21561481	18082156	9999-12-31	2013-05-08
616	2012-12-31	9999-12-31	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	21561481	22223020	9999-12-31	2013-05-08
617	2012-02-03	9999-12-31	Premier Oil Norge AS	35.000000	\N	9999-12-31	9999-12-31	21561629	3482067	9999-12-31	2013-05-08
617	2012-02-03	9999-12-31	Bridge Energy Norge AS	15.000000	\N	9999-12-31	9999-12-31	21561629	18178215	9999-12-31	2013-05-08
617	2012-02-03	9999-12-31	Valiant Petroleum Norge AS	50.000000	\N	2012-02-03	9999-12-31	21561629	21104529	9999-12-31	2013-05-08
618	2012-02-03	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	21561689	1626839	9999-12-31	2013-05-08
618	2012-02-03	9999-12-31	Total E&P Norge AS	60.000000	\N	2012-02-03	9999-12-31	21561689	2410708	9999-12-31	2013-05-08
618	2012-02-03	9999-12-31	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	21561689	5267845	9999-12-31	2013-05-08
102 E	2012-02-03	2012-08-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21568578	1626839	2012-09-01	2013-05-08
102 E	2012-08-31	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21568578	1626839	9999-12-31	2013-05-08
102 E	2012-02-03	2012-08-31	Total E&P Norge AS	40.000000	\N	2012-02-03	9999-12-31	21568578	2410708	2012-09-01	2013-05-08
102 E	2012-08-31	9999-12-31	Total E&P Norge AS	40.000000	\N	2012-02-03	9999-12-31	21568578	2410708	9999-12-31	2013-05-08
102 E	2012-02-03	2012-08-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	21568578	4238233	2012-09-01	2013-05-08
102 E	2012-08-31	9999-12-31	Centrica Resources (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	21568578	4238233	9999-12-31	2013-05-08
102 E	2012-02-03	2012-08-31	Statoil Petroleum AS	10.000000	\N	9999-12-31	9999-12-31	21568578	17237817	2012-09-01	2013-05-08
102 D	2012-02-03	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21568785	1626839	9999-12-31	2013-05-08
102 D	2012-02-03	9999-12-31	Total E&P Norge AS	40.000000	\N	2012-02-03	9999-12-31	21568785	2410708	9999-12-31	2013-05-08
102 D	2012-02-03	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	21568785	4238233	9999-12-31	2013-05-08
102 D	2012-02-03	9999-12-31	Det norske oljeselskap ASA	10.000000	\N	9999-12-31	9999-12-31	21568785	17342870	9999-12-31	2013-05-08
104 B	2012-02-03	2012-02-04	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21568959	1626839	2013-01-25	2013-05-08
104 B	2012-02-04	9999-12-31	Petoro AS	33.600000	\N	9999-12-31	9999-12-31	21568959	1626839	9999-12-31	2013-05-08
104 B	2012-02-03	2012-02-04	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21568959	2410696	2013-01-25	2013-05-08
104 B	2012-02-04	9999-12-31	ConocoPhillips Skandinavia AS	2.400000	\N	9999-12-31	9999-12-31	21568959	2410696	9999-12-31	2013-05-08
104 B	2012-02-03	2012-02-04	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	21568959	2410708	2013-01-25	2013-05-08
104 B	2012-02-04	9999-12-31	Total E&P Norge AS	14.700000	\N	9999-12-31	9999-12-31	21568959	2410708	9999-12-31	2013-05-08
104 B	2012-02-03	2012-02-04	ExxonMobil Exploration & Production Norway AS	4.700000	\N	9999-12-31	9999-12-31	21568959	2835212	2013-01-25	2013-05-08
104 B	2012-02-03	2012-02-04	Statoil Petroleum AS	49.300000	\N	2012-02-03	9999-12-31	21568959	17237817	2013-01-25	2013-05-08
104 B	2012-02-04	9999-12-31	Statoil Petroleum AS	49.300000	\N	2012-02-03	9999-12-31	21568959	17237817	9999-12-31	2013-05-08
193 E	2012-02-03	2012-08-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21568992	1626839	9999-12-31	2013-05-08
193 E	2012-08-31	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21568992	1626839	9999-12-31	2013-05-08
193 E	2012-02-03	2012-08-31	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	21568992	1853786	9999-12-31	2013-05-08
193 E	2012-08-31	9999-12-31	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	21568992	1853786	9999-12-31	2013-05-08
193 E	2012-02-03	2012-08-31	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	21568992	2410708	9999-12-31	2013-05-08
193 E	2012-08-31	9999-12-31	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	21568992	2410708	9999-12-31	2013-05-08
193 E	2012-08-31	9999-12-31	Centrica Resources (Norge) AS	19.000000	\N	9999-12-31	9999-12-31	21568992	4238233	9999-12-31	2013-05-08
193 E	2012-02-03	2012-08-31	Statoil Petroleum AS	58.550000	\N	2012-02-03	9999-12-31	21568992	17237817	9999-12-31	2013-05-08
193 E	2012-08-31	9999-12-31	Statoil Petroleum AS	39.550000	\N	2012-02-03	9999-12-31	21568992	17237817	9999-12-31	2013-05-08
350 B	2012-02-03	2012-02-11	E.ON Ruhrgas Norge AS	40.000000	\N	2012-02-03	2012-02-10	21569025	2840522	9999-12-31	2013-05-08
350 B	2012-02-03	2012-02-11	PGNiG Norway AS	30.000000	\N	9999-12-31	9999-12-31	21569025	4505831	9999-12-31	2013-05-08
350 B	2012-02-11	2012-09-17	PGNiG Norway AS	30.000000	\N	9999-12-31	9999-12-31	21569025	4505831	2012-10-12	2013-05-08
350 B	2012-02-03	2012-02-11	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	21569025	17237817	9999-12-31	2013-05-08
350 B	2012-02-11	2012-09-17	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	21569025	17237817	2012-10-12	2013-05-08
350 B	2012-02-11	2012-09-17	E.ON E&P Norge AS	40.000000	\N	2012-02-11	2012-09-17	21569025	21631209	2012-10-13	2013-05-08
375 C	2012-02-03	2012-03-24	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	21569065	2425093	9999-12-31	2013-05-08
375 C	2012-03-24	9999-12-31	Talisman Energy Norge AS	20.000000	\N	9999-12-31	9999-12-31	21569065	2425093	9999-12-31	2013-05-08
375 C	2012-02-03	2012-03-24	Wintershall Norge ASA	15.000000	\N	9999-12-31	9999-12-31	21569065	5442509	9999-12-31	2013-05-08
375 C	2012-02-03	2012-03-24	Suncor Energy Norge AS	65.000000	\N	2012-02-03	9999-12-31	21569065	20426420	9999-12-31	2013-05-08
375 C	2012-03-24	9999-12-31	Suncor Energy Norge AS	65.000000	\N	2012-02-03	9999-12-31	21569065	20426420	9999-12-31	2013-05-08
375 C	2012-03-24	9999-12-31	Wintershall Norge AS	15.000000	\N	9999-12-31	9999-12-31	21569065	21666830	9999-12-31	2013-05-08
414 B	2012-02-03	2012-12-31	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21569107	4062883	2013-01-04	2013-05-08
414 B	2012-12-31	9999-12-31	Faroe Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	21569107	4062883	9999-12-31	2013-05-08
414 B	2012-02-03	2012-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	21569107	4444493	2013-01-04	2013-05-08
414 B	2012-12-31	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	21569107	4444493	9999-12-31	2013-05-08
414 B	2012-02-03	2012-12-31	Norwegian Energy Company ASA	20.000000	\N	9999-12-31	9999-12-31	21569107	4530695	2013-01-04	2013-05-08
414 B	2012-02-03	2012-12-31	Det norske oljeselskap ASA	40.000000	\N	2012-02-03	9999-12-31	21569107	17342870	2013-01-04	2013-05-08
414 B	2012-12-31	9999-12-31	Det norske oljeselskap ASA	40.000000	\N	2012-02-03	9999-12-31	21569107	17342870	9999-12-31	2013-05-08
414 B	2012-12-31	9999-12-31	Noreco Norway AS	20.000000	\N	9999-12-31	9999-12-31	21569107	22223020	9999-12-31	2013-05-08
494 C	2012-02-03	9999-12-31	Dana Petroleum Norway AS	40.000000	\N	2012-02-03	2013-03-18	21569178	4526555	2013-04-10	2013-05-08
494 C	2012-02-03	9999-12-31	Det norske oljeselskap ASA	30.000000	\N	2013-03-19	9999-12-31	21569178	17342870	2013-04-10	2013-05-08
494 C	2012-02-03	9999-12-31	Bridge Energy Norge AS	30.000000	\N	9999-12-31	9999-12-31	21569178	18178215	9999-12-31	2013-05-08
050 ES	2012-04-11	2012-04-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21668200	1626839	9999-12-31	2013-05-08
050 ES	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21668200	1626839	9999-12-31	2013-05-08
050 ES	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	13.000000	\N	9999-12-31	9999-12-31	21668200	4238233	9999-12-31	2013-05-08
050 ES	2012-04-11	2012-04-30	Statoil Petroleum AS	70.000000	\N	2012-04-11	9999-12-31	21668200	17237817	9999-12-31	2013-05-08
050 ES	2012-04-30	9999-12-31	Statoil Petroleum AS	57.000000	\N	2012-04-11	9999-12-31	21668200	17237817	9999-12-31	2013-05-08
050 FS	2012-04-11	2012-04-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21668235	1626839	9999-12-31	2013-05-08
050 FS	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21668235	1626839	9999-12-31	2013-05-08
050 FS	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	13.000000	\N	9999-12-31	9999-12-31	21668235	4238233	9999-12-31	2013-05-08
050 FS	2012-04-11	2012-04-30	Statoil Petroleum AS	70.000000	\N	2012-04-11	9999-12-31	21668235	17237817	9999-12-31	2013-05-08
050 FS	2012-04-30	9999-12-31	Statoil Petroleum AS	57.000000	\N	2012-04-11	9999-12-31	21668235	17237817	9999-12-31	2013-05-08
050 GS	2012-04-11	2012-04-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21668262	1626839	9999-12-31	2013-05-08
050 GS	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21668262	1626839	9999-12-31	2013-05-08
050 GS	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	13.000000	\N	9999-12-31	9999-12-31	21668262	4238233	9999-12-31	2013-05-08
050 GS	2012-04-11	2012-04-30	Statoil Petroleum AS	70.000000	\N	2012-04-11	9999-12-31	21668262	17237817	9999-12-31	2013-05-08
050 GS	2012-04-30	9999-12-31	Statoil Petroleum AS	57.000000	\N	2012-04-11	9999-12-31	21668262	17237817	9999-12-31	2013-05-08
050 HS	2012-04-11	2012-04-30	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21668287	1626839	9999-12-31	2013-05-08
050 HS	2012-04-30	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	21668287	1626839	9999-12-31	2013-05-08
050 HS	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	13.000000	\N	9999-12-31	9999-12-31	21668287	4238233	9999-12-31	2013-05-08
050 HS	2012-04-11	2012-04-30	Statoil Petroleum AS	70.000000	\N	2012-04-11	9999-12-31	21668287	17237817	9999-12-31	2013-05-08
050 HS	2012-04-30	9999-12-31	Statoil Petroleum AS	57.000000	\N	2012-04-11	9999-12-31	21668287	17237817	9999-12-31	2013-05-08
293 B	2012-06-15	9999-12-31	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	21695786	441	9999-12-31	2013-05-08
293 B	2012-06-15	9999-12-31	Eni Norge AS	45.000000	\N	2012-06-15	9999-12-31	21695786	2388594	2012-07-31	2013-05-08
293 B	2012-06-15	9999-12-31	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	21695786	17237817	9999-12-31	2013-05-08
029 C	2012-12-03	9999-12-31	Total E&P Norge AS	100.000000	\N	2012-12-03	9999-12-31	22493034	2410708	2012-12-06	2013-05-08
029 C	2012-10-17	2012-12-03	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2012-10-17	2012-12-02	22493034	2835212	2012-12-06	2013-05-08
037 F	2013-02-08	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22813049	1626839	9999-12-31	2013-05-08
037 F	2013-02-08	9999-12-31	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	22813049	2835212	9999-12-31	2013-05-08
037 F	2013-02-08	9999-12-31	Centrica Resources (Norge) AS	23.125000	\N	9999-12-31	9999-12-31	22813049	4238233	9999-12-31	2013-05-08
037 F	2013-02-08	9999-12-31	Statoil Petroleum AS	21.875000	\N	2013-02-08	9999-12-31	22813049	17237817	9999-12-31	2013-05-08
055 D	2013-02-08	2013-02-13	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22813096	2425093	2013-02-20	2013-05-08
055 D	2013-02-13	9999-12-31	Talisman Energy Norge AS	34.908000	\N	9999-12-31	9999-12-31	22813096	2425093	9999-12-31	2013-05-08
055 D	2013-02-08	2013-02-13	Faroe Petroleum Norge AS	13.400000	\N	9999-12-31	9999-12-31	22813096	4062883	2013-02-20	2013-05-08
055 D	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	13.400000	\N	9999-12-31	9999-12-31	22813096	4062883	9999-12-31	2013-05-08
055 D	2013-02-08	2013-02-13	Spring Energy Norway AS	2.692000	\N	9999-12-31	9999-12-31	22813096	5072514	2013-02-20	2013-05-08
055 D	2013-02-08	2013-02-13	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	22813096	17237193	2013-02-20	2013-05-08
055 D	2013-02-13	9999-12-31	VNG Norge AS	3.200000	\N	9999-12-31	9999-12-31	22813096	17237193	9999-12-31	2013-05-08
055 D	2013-02-08	2013-02-13	Statoil Petroleum AS	32.600000	\N	2013-02-08	9999-12-31	22813096	17237817	2013-02-20	2013-05-08
055 D	2013-02-13	9999-12-31	Statoil Petroleum AS	32.600000	\N	2013-02-08	9999-12-31	22813096	17237817	9999-12-31	2013-05-08
055 D	2013-02-08	2013-02-13	Core Energy AS	13.200000	\N	9999-12-31	9999-12-31	22813096	20460080	2013-02-20	2013-05-08
055 D	2013-02-13	9999-12-31	Core Energy AS	13.200000	\N	9999-12-31	9999-12-31	22813096	20460080	9999-12-31	2013-05-08
055 D	2013-02-13	9999-12-31	Tullow Oil Norge AS	2.692000	\N	9999-12-31	9999-12-31	22813096	23173852	9999-12-31	2013-05-08
091 D	2013-02-08	9999-12-31	Eni Norge AS	7.900000	\N	9999-12-31	9999-12-31	22813131	2388594	9999-12-31	2013-05-08
091 D	2013-02-08	9999-12-31	ExxonMobil Exploration & Production Norway AS	33.000000	\N	9999-12-31	9999-12-31	22813131	2835212	9999-12-31	2013-05-08
091 D	2013-02-08	9999-12-31	Statoil Petroleum AS	59.100000	\N	2013-02-08	9999-12-31	22813131	17237817	2013-02-13	2013-05-08
093 C	2013-02-08	9999-12-31	A/S Norske Shell	44.560000	\N	2013-02-08	9999-12-31	22813180	562	2013-02-13	2013-05-08
093 C	2013-02-08	9999-12-31	Petoro AS	47.880000	\N	9999-12-31	9999-12-31	22813180	1626839	9999-12-31	2013-05-08
093 C	2013-02-08	9999-12-31	Chevron Norge AS	7.560000	\N	9999-12-31	9999-12-31	22813180	3488906	9999-12-31	2013-05-08
190 B	2013-02-08	9999-12-31	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	22813207	1626839	9999-12-31	2013-05-08
190 B	2013-02-08	9999-12-31	Total E&P Norge AS	10.000000	\N	9999-12-31	9999-12-31	22813207	2410708	9999-12-31	2013-05-08
190 B	2013-02-08	9999-12-31	Statoil Petroleum AS	50.000000	\N	2013-02-08	9999-12-31	22813207	17237817	2013-02-13	2013-05-08
203 B	2013-02-08	9999-12-31	ConocoPhillips Skandinavia AS	20.000000	\N	9999-12-31	9999-12-31	22813239	2410696	9999-12-31	2013-05-08
203 B	2013-02-08	9999-12-31	Lundin Norway AS	15.000000	\N	9999-12-31	9999-12-31	22813239	2767314	9999-12-31	2013-05-08
203 B	2013-02-08	9999-12-31	Marathon Oil Norge AS	65.000000	\N	2013-02-08	9999-12-31	22813239	20485291	2013-02-13	2013-05-08
509 BS	2013-02-08	2013-02-13	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	22813272	5072514	2013-02-20	2013-05-08
509 BS	2013-02-08	2013-02-13	Fortis Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	22813272	18386334	2013-02-20	2013-05-08
509 BS	2013-02-13	9999-12-31	Fortis Petroleum Norway AS	30.000000	\N	9999-12-31	9999-12-31	22813272	18386334	9999-12-31	2013-05-08
509 BS	2013-02-08	2013-02-13	Wintershall Norge AS	40.000000	\N	2013-02-08	9999-12-31	22813272	21666830	2013-02-20	2013-05-08
509 BS	2013-02-13	9999-12-31	Wintershall Norge AS	40.000000	\N	2013-02-08	9999-12-31	22813272	21666830	9999-12-31	2013-05-08
509 BS	2013-02-13	9999-12-31	Tullow Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	22813272	23173852	9999-12-31	2013-05-08
542 B	2013-02-08	2013-02-13	Spring Energy Norway AS	40.000000	\N	9999-12-31	9999-12-31	22813299	5072514	2013-02-20	2013-05-08
542 B	2013-02-08	2013-02-13	Det norske oljeselskap ASA	60.000000	\N	2013-02-08	9999-12-31	22813299	17342870	2013-02-20	2013-05-08
542 B	2013-02-13	9999-12-31	Det norske oljeselskap ASA	60.000000	\N	2013-02-08	9999-12-31	22813299	17342870	9999-12-31	2013-05-08
542 B	2013-02-13	9999-12-31	Tullow Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	22813299	23173852	9999-12-31	2013-05-08
660	2013-02-08	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22815555	1626839	9999-12-31	2013-05-08
660	2013-02-08	9999-12-31	Faroe Petroleum Norge AS	35.000000	\N	2013-02-08	9999-12-31	22815555	4062883	9999-12-31	2013-05-08
660	2013-02-08	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	22815555	4238233	9999-12-31	2013-05-08
660	2013-02-08	9999-12-31	Maersk Oil Norway AS	25.000000	\N	9999-12-31	9999-12-31	22815555	4719674	9999-12-31	2013-05-08
661	2013-02-08	9999-12-31	Total E&P Norge AS	60.000000	\N	2013-02-08	9999-12-31	22815589	2410708	2013-02-13	2013-05-08
661	2013-02-08	9999-12-31	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	22815589	17237817	9999-12-31	2013-05-08
662	2013-02-08	9999-12-31	Total E&P Norge AS	60.000000	\N	2013-02-08	9999-12-31	22815632	2410708	2013-02-13	2013-05-08
662	2013-02-08	9999-12-31	Statoil Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	22815632	17237817	9999-12-31	2013-05-08
663	2013-02-08	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22815661	1626839	9999-12-31	2013-05-08
663	2013-02-08	9999-12-31	Premier Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	22815661	3482067	9999-12-31	2013-05-08
663	2013-02-08	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	22815661	4444493	9999-12-31	2013-05-08
663	2013-02-08	9999-12-31	Det norske oljeselskap ASA	30.000000	\N	2013-02-08	9999-12-31	22815661	17342870	2013-02-13	2013-05-08
663	2013-02-08	9999-12-31	Fortis Petroleum Norway AS	10.000000	\N	9999-12-31	9999-12-31	22815661	18386334	9999-12-31	2013-05-08
664 S	2013-02-08	9999-12-31	Talisman Energy Norge AS	50.000000	\N	2013-02-08	9999-12-31	22815702	2425093	2013-02-13	2013-05-08
664 S	2013-02-08	9999-12-31	DONG E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	22815702	4070011	9999-12-31	2013-05-08
664 S	2013-02-08	9999-12-31	Valiant Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	22815702	21104529	9999-12-31	2013-05-08
665 S	2013-02-08	2013-04-20	Faroe Petroleum Norge AS	40.000000	\N	2013-02-08	9999-12-31	22815738	4062883	2013-04-30	2013-05-08
665 S	2013-04-20	9999-12-31	Faroe Petroleum Norge AS	40.000000	\N	2013-02-08	9999-12-31	22815738	4062883	9999-12-31	2013-05-08
665 S	2013-02-08	2013-04-20	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	22815738	4238233	2013-04-30	2013-05-08
665 S	2013-04-20	9999-12-31	Centrica Resources (Norge) AS	20.000000	\N	9999-12-31	9999-12-31	22815738	4238233	9999-12-31	2013-05-08
665 S	2013-02-08	2013-04-20	Agora Oil & Gas AS	20.000000	\N	9999-12-31	9999-12-31	22815738	18386322	2013-04-30	2013-05-08
665 S	2013-02-08	2013-04-20	Valiant Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	22815738	21104529	2013-04-30	2013-05-08
665 S	2013-04-20	9999-12-31	Valiant Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	22815738	21104529	9999-12-31	2013-05-08
665 S	2013-04-20	9999-12-31	Capricorn Norge AS	20.000000	\N	9999-12-31	9999-12-31	22815738	23297570	9999-12-31	2013-05-08
666	2013-02-08	2013-02-13	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	22815785	4062883	2013-02-20	2013-05-08
666	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	22815785	4062883	9999-12-31	2013-05-08
666	2013-02-08	2013-02-13	Centrica Resources (Norge) AS	40.000000	\N	2013-02-08	9999-12-31	22815785	4238233	2013-02-20	2013-05-08
666	2013-02-13	9999-12-31	Centrica Resources (Norge) AS	40.000000	\N	2013-02-08	9999-12-31	22815785	4238233	9999-12-31	2013-05-08
666	2013-02-08	2013-02-13	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	22815785	5072514	2013-02-20	2013-05-08
666	2013-02-13	9999-12-31	Tullow Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	22815785	23173852	9999-12-31	2013-05-08
667	2013-02-08	2013-02-13	Total E&P Norge AS	50.000000	\N	2013-02-08	9999-12-31	22815830	2410708	2013-02-20	2013-05-08
667	2013-02-13	9999-12-31	Total E&P Norge AS	50.000000	\N	2013-02-08	9999-12-31	22815830	2410708	9999-12-31	2013-05-08
667	2013-02-08	2013-02-13	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	22815830	5072514	2013-02-20	2013-05-08
667	2013-02-08	2013-02-13	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	22815830	17342870	2013-02-20	2013-05-08
667	2013-02-13	9999-12-31	Det norske oljeselskap ASA	30.000000	\N	9999-12-31	9999-12-31	22815830	17342870	9999-12-31	2013-05-08
667	2013-02-13	9999-12-31	Tullow Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	22815830	23173852	9999-12-31	2013-05-08
668	2013-02-08	2013-02-13	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	22815873	4062883	2013-02-20	2013-05-08
668	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	22815873	4062883	9999-12-31	2013-05-08
668	2013-02-08	2013-02-13	Centrica Resources (Norge) AS	40.000000	\N	2013-02-08	9999-12-31	22815873	4238233	2013-02-20	2013-05-08
668	2013-02-13	9999-12-31	Centrica Resources (Norge) AS	40.000000	\N	2013-02-08	9999-12-31	22815873	4238233	9999-12-31	2013-05-08
668	2013-02-08	2013-02-13	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	22815873	5072514	2013-02-20	2013-05-08
668	2013-02-13	9999-12-31	Tullow Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	22815873	23173852	9999-12-31	2013-05-08
669	2013-02-08	9999-12-31	DONG E&P Norge AS	40.000000	\N	2013-02-08	9999-12-31	22815914	4070011	2013-02-13	2013-05-08
669	2013-02-08	9999-12-31	Centrica Resources (Norge) AS	30.000000	\N	9999-12-31	9999-12-31	22815914	4238233	9999-12-31	2013-05-08
669	2013-02-08	9999-12-31	Explora Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22815914	22223266	9999-12-31	2013-05-08
670	2013-02-08	2013-02-13	Faroe Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	22815949	4062883	2013-02-20	2013-05-08
670	2013-02-13	9999-12-31	Faroe Petroleum Norge AS	25.000000	\N	9999-12-31	9999-12-31	22815949	4062883	9999-12-31	2013-05-08
670	2013-02-08	2013-02-13	Centrica Resources (Norge) AS	25.000000	\N	9999-12-31	9999-12-31	22815949	4238233	2013-02-20	2013-05-08
670	2013-02-13	9999-12-31	Centrica Resources (Norge) AS	25.000000	\N	9999-12-31	9999-12-31	22815949	4238233	9999-12-31	2013-05-08
670	2013-02-08	2013-02-13	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	22815949	4460794	2013-02-20	2013-05-08
670	2013-02-13	9999-12-31	Concedo ASA	20.000000	\N	9999-12-31	9999-12-31	22815949	4460794	9999-12-31	2013-05-08
670	2013-02-08	2013-02-13	Spring Energy Norway AS	30.000000	\N	2013-02-08	2013-02-12	22815949	5072514	2013-02-21	2013-05-08
670	2013-02-13	9999-12-31	Tullow Oil Norge AS	30.000000	\N	2013-02-13	9999-12-31	22815949	23173852	2013-02-21	2013-05-08
671	2013-02-08	9999-12-31	Maersk Oil Norway AS	60.000000	\N	2013-02-08	9999-12-31	22816003	4719674	2013-02-13	2013-05-08
671	2013-02-08	9999-12-31	Explora Petroleum AS	40.000000	\N	9999-12-31	9999-12-31	22816003	22223266	9999-12-31	2013-05-08
672	2013-02-08	9999-12-31	Talisman Energy Norge AS	50.000000	\N	2013-02-08	9999-12-31	22816061	2425093	2013-02-13	2013-05-08
672	2013-02-08	9999-12-31	Det norske oljeselskap ASA	25.000000	\N	9999-12-31	9999-12-31	22816061	17342870	9999-12-31	2013-05-08
672	2013-02-08	9999-12-31	Fortis Petroleum Norway AS	25.000000	\N	9999-12-31	9999-12-31	22816061	18386334	9999-12-31	2013-05-08
673	2013-02-08	9999-12-31	Lundin Norway AS	60.000000	\N	9999-12-31	9999-12-31	22816103	2767314	9999-12-31	2013-05-08
673	2013-02-08	9999-12-31	VNG Norge AS	40.000000	\N	2013-02-08	9999-12-31	22816103	17237193	2013-02-13	2013-05-08
674	2013-02-08	9999-12-31	Petrolia Norway AS	50.000000	\N	9999-12-31	9999-12-31	22816134	21593704	9999-12-31	2013-05-08
674	2013-02-08	9999-12-31	E.ON E&P Norge AS	50.000000	\N	2013-02-08	9999-12-31	22816134	21631209	2013-02-13	2013-05-08
675	2013-02-08	9999-12-31	Total E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	22816217	2410708	9999-12-31	2013-05-08
675	2013-02-08	9999-12-31	Statoil Petroleum AS	60.000000	\N	2013-02-08	9999-12-31	22816217	17237817	2013-02-13	2013-05-08
676 S	2013-02-08	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22816262	1626839	9999-12-31	2013-05-08
676 S	2013-02-08	9999-12-31	Total E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	22816262	2410708	9999-12-31	2013-05-08
676 S	2013-02-08	9999-12-31	Faroe Petroleum Norge AS	40.000000	\N	2013-02-08	9999-12-31	22816262	4062883	2013-02-13	2013-05-08
676 S	2013-02-08	9999-12-31	Det norske oljeselskap ASA	20.000000	\N	9999-12-31	9999-12-31	22816262	17342870	9999-12-31	2013-05-08
677	2013-02-08	9999-12-31	Det norske oljeselskap ASA	60.000000	\N	2013-02-08	9999-12-31	22816357	17342870	2013-02-13	2013-05-08
677	2013-02-08	9999-12-31	Fortis Petroleum Norway AS	40.000000	\N	9999-12-31	9999-12-31	22816357	18386334	9999-12-31	2013-05-08
678 S	2013-02-08	9999-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	22816406	2767314	9999-12-31	2013-05-08
678 S	2013-02-08	9999-12-31	Det norske oljeselskap ASA	25.000000	\N	9999-12-31	9999-12-31	22816406	17342870	9999-12-31	2013-05-08
678 S	2013-02-08	9999-12-31	Fortis Petroleum Norway AS	20.000000	\N	9999-12-31	9999-12-31	22816406	18386334	9999-12-31	2013-05-08
678 S	2013-02-08	9999-12-31	Wintershall Norge AS	35.000000	\N	2013-02-08	9999-12-31	22816406	21666830	2013-02-13	2013-05-08
679 S	2013-02-08	9999-12-31	BG Norge AS	60.000000	\N	2013-02-08	9999-12-31	22816484	2747354	2013-02-13	2013-05-08
679 S	2013-02-08	9999-12-31	E.ON E&P Norge AS	40.000000	\N	9999-12-31	9999-12-31	22816484	21631209	9999-12-31	2013-05-08
680	2013-02-08	2013-02-13	Concedo ASA	40.000000	\N	9999-12-31	9999-12-31	22816583	4460794	2013-02-20	2013-05-08
680	2013-02-13	9999-12-31	Concedo ASA	40.000000	\N	9999-12-31	9999-12-31	22816583	4460794	9999-12-31	2013-05-08
680	2013-02-08	2013-02-13	Spring Energy Norway AS	60.000000	\N	2013-02-08	2013-02-12	22816583	5072514	2013-02-21	2013-05-08
680	2013-02-13	9999-12-31	Tullow Oil Norge AS	60.000000	\N	2013-02-13	9999-12-31	22816583	23173852	2013-02-21	2013-05-08
681	2013-02-08	2013-02-13	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22816639	1626839	2013-02-20	2013-05-08
681	2013-02-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22816639	1626839	9999-12-31	2013-05-08
681	2013-02-08	2013-02-13	Spring Energy Norway AS	64.000000	\N	2013-02-08	2013-02-12	22816639	5072514	2013-02-21	2013-05-08
681	2013-02-08	2013-02-13	Det norske oljeselskap ASA	16.000000	\N	9999-12-31	9999-12-31	22816639	17342870	2013-02-20	2013-05-08
681	2013-02-13	9999-12-31	Det norske oljeselskap ASA	16.000000	\N	9999-12-31	9999-12-31	22816639	17342870	9999-12-31	2013-05-08
681	2013-02-13	9999-12-31	Tullow Oil Norge AS	64.000000	\N	2013-02-13	9999-12-31	22816639	23173852	2013-02-21	2013-05-08
682	2013-02-08	2013-04-20	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	22816685	97557	2013-04-30	2013-05-08
682	2013-04-20	9999-12-31	RWE Dea Norge AS	20.000000	\N	9999-12-31	9999-12-31	22816685	97557	9999-12-31	2013-05-08
682	2013-02-08	2013-04-20	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22816685	1626839	2013-04-30	2013-05-08
682	2013-04-20	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22816685	1626839	9999-12-31	2013-05-08
682	2013-02-08	2013-04-20	Bayerngas Norge AS	30.000000	\N	2013-02-08	9999-12-31	22816685	4444493	2013-04-30	2013-05-08
682	2013-04-20	9999-12-31	Bayerngas Norge AS	30.000000	\N	2013-02-08	9999-12-31	22816685	4444493	9999-12-31	2013-05-08
682	2013-02-08	2013-04-20	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	22816685	17237817	2013-04-30	2013-05-08
682	2013-04-20	9999-12-31	Statoil Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	22816685	17237817	9999-12-31	2013-05-08
682	2013-02-08	2013-04-20	Agora Oil & Gas AS	10.000000	\N	9999-12-31	9999-12-31	22816685	18386322	2013-04-30	2013-05-08
682	2013-04-20	9999-12-31	Capricorn Norge AS	10.000000	\N	9999-12-31	9999-12-31	22816685	23297570	9999-12-31	2013-05-08
683	2013-02-08	9999-12-31	Bayerngas Norge AS	40.000000	\N	9999-12-31	9999-12-31	22816753	4444493	9999-12-31	2013-05-08
683	2013-02-08	9999-12-31	Wintershall Norge AS	60.000000	\N	2013-02-08	9999-12-31	22816753	21666830	2013-02-13	2013-05-08
684	2013-02-08	9999-12-31	Petoro AS	30.000000	\N	9999-12-31	9999-12-31	22816794	1626839	9999-12-31	2013-05-08
684	2013-02-08	9999-12-31	Enterprise Oil Norge AS	6.450000	\N	9999-12-31	9999-12-31	22816794	1853786	9999-12-31	2013-05-08
684	2013-02-08	9999-12-31	Total E&P Norge AS	5.000000	\N	9999-12-31	9999-12-31	22816794	2410708	9999-12-31	2013-05-08
684	2013-02-08	9999-12-31	Centrica Resources (Norge) AS	19.000000	\N	9999-12-31	9999-12-31	22816794	4238233	9999-12-31	2013-05-08
684	2013-02-08	9999-12-31	Statoil Petroleum AS	39.550000	\N	2013-02-08	9999-12-31	22816794	17237817	2013-02-13	2013-05-08
685	2013-02-08	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22820468	1626839	9999-12-31	2013-05-08
685	2013-02-08	9999-12-31	Total E&P Norge AS	40.000000	\N	2013-02-08	9999-12-31	22820468	2410708	2013-02-13	2013-05-08
685	2013-02-08	9999-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	22820468	2767314	9999-12-31	2013-05-08
685	2013-02-08	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	22820468	4444493	9999-12-31	2013-05-08
686	2013-02-08	9999-12-31	Idemitsu Petroleum Norge AS	20.000000	\N	9999-12-31	9999-12-31	22820521	441	9999-12-31	2013-05-08
686	2013-02-08	9999-12-31	A/S Norske Shell	40.000000	\N	2013-02-08	9999-12-31	22820521	562	2013-02-13	2013-05-08
686	2013-02-08	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22820521	1626839	9999-12-31	2013-05-08
686	2013-02-08	9999-12-31	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	22820521	5267845	9999-12-31	2013-05-08
687	2013-02-08	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22820550	1626839	9999-12-31	2013-05-08
687	2013-02-08	9999-12-31	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	22820550	5267845	9999-12-31	2013-05-08
687	2013-02-08	9999-12-31	VNG Norge AS	40.000000	\N	2013-02-08	9999-12-31	22820550	17237193	2013-02-13	2013-05-08
687	2013-02-08	9999-12-31	Explora Petroleum AS	20.000000	\N	9999-12-31	9999-12-31	22820550	22223266	9999-12-31	2013-05-08
688	2013-02-08	9999-12-31	BG Norge AS	50.000000	\N	9999-12-31	9999-12-31	22820588	2747354	9999-12-31	2013-05-08
688	2013-02-08	9999-12-31	E.ON E&P Norge AS	50.000000	\N	2013-02-08	9999-12-31	22820588	21631209	2013-02-13	2013-05-08
689	2013-02-08	2013-02-13	Svenska Petroleum Exploration AS	20.000000	\N	9999-12-31	9999-12-31	22820628	738	2013-02-20	2013-05-08
689	2013-02-13	9999-12-31	Svenska Petroleum Exploration AS	20.000000	\N	9999-12-31	9999-12-31	22820628	738	9999-12-31	2013-05-08
689	2013-02-08	2013-02-13	DONG E&P Norge AS	40.000000	\N	2013-02-08	9999-12-31	22820628	4070011	2013-02-20	2013-05-08
689	2013-02-13	9999-12-31	DONG E&P Norge AS	40.000000	\N	2013-02-08	9999-12-31	22820628	4070011	9999-12-31	2013-05-08
689	2013-02-08	2013-02-13	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	22820628	4444493	2013-02-20	2013-05-08
689	2013-02-13	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	22820628	4444493	9999-12-31	2013-05-08
689	2013-02-08	2013-02-13	Spring Energy Norway AS	20.000000	\N	9999-12-31	9999-12-31	22820628	5072514	2013-02-20	2013-05-08
689	2013-02-13	9999-12-31	Tullow Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	22820628	23173852	9999-12-31	2013-05-08
690	2013-02-08	9999-12-31	Svenska Petroleum Exploration AS	30.000000	\N	9999-12-31	9999-12-31	22820657	738	9999-12-31	2013-05-08
690	2013-02-08	9999-12-31	Bayerngas Norge AS	30.000000	\N	9999-12-31	9999-12-31	22820657	4444493	9999-12-31	2013-05-08
690	2013-02-08	9999-12-31	Bridge Energy Norge AS	40.000000	\N	2013-02-08	9999-12-31	22820657	18178215	2013-02-13	2013-05-08
691	2013-02-08	9999-12-31	Faroe Petroleum Norge AS	30.000000	\N	9999-12-31	9999-12-31	22820684	4062883	9999-12-31	2013-05-08
691	2013-02-08	9999-12-31	Centrica Resources (Norge) AS	40.000000	\N	2013-02-08	9999-12-31	22820684	4238233	2013-02-13	2013-05-08
691	2013-02-08	9999-12-31	Statoil Petroleum AS	30.000000	\N	9999-12-31	9999-12-31	22820684	17237817	9999-12-31	2013-05-08
692	2013-02-08	9999-12-31	Skagen44 AS	30.000000	\N	9999-12-31	9999-12-31	22820715	4510260	9999-12-31	2013-05-08
692	2013-02-08	9999-12-31	Edison International Norway Branch	30.000000	\N	9999-12-31	9999-12-31	22820715	17237180	9999-12-31	2013-05-08
692	2013-02-08	9999-12-31	Repsol Exploration Norge AS	40.000000	\N	2013-02-08	9999-12-31	22820715	17237506	2013-02-13	2013-05-08
693	2013-02-08	9999-12-31	OMV (Norge) AS	40.000000	\N	2013-02-08	9999-12-31	22820761	4460594	2013-02-13	2013-05-08
693	2013-02-08	9999-12-31	Skagen44 AS	15.000000	\N	9999-12-31	9999-12-31	22820761	4510260	9999-12-31	2013-05-08
693	2013-02-08	9999-12-31	Edison International Norway Branch	30.000000	\N	9999-12-31	9999-12-31	22820761	17237180	9999-12-31	2013-05-08
693	2013-02-08	9999-12-31	North Energy ASA	15.000000	\N	9999-12-31	9999-12-31	22820761	18082156	9999-12-31	2013-05-08
694	2013-02-08	9999-12-31	RWE Dea Norge AS	40.000000	\N	2013-02-08	9999-12-31	22820804	97557	2013-02-13	2013-05-08
694	2013-02-08	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22820804	1626839	9999-12-31	2013-05-08
694	2013-02-08	9999-12-31	Lundin Norway AS	20.000000	\N	9999-12-31	9999-12-31	22820804	2767314	9999-12-31	2013-05-08
694	2013-02-08	9999-12-31	Marathon Oil Norge AS	20.000000	\N	9999-12-31	9999-12-31	22820804	20485291	9999-12-31	2013-05-08
695	2013-02-08	2013-02-13	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22820851	1626839	2013-02-20	2013-05-08
695	2013-02-13	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22820851	1626839	9999-12-31	2013-05-08
695	2013-02-08	2013-02-13	Lundin Norway AS	40.000000	\N	2013-02-08	9999-12-31	22820851	2767314	2013-02-20	2013-05-08
695	2013-02-13	9999-12-31	Lundin Norway AS	40.000000	\N	2013-02-08	9999-12-31	22820851	2767314	9999-12-31	2013-05-08
695	2013-02-08	2013-02-13	Spring Energy Norway AS	40.000000	\N	9999-12-31	9999-12-31	22820851	5072514	2013-02-20	2013-05-08
695	2013-02-13	9999-12-31	Tullow Oil Norge AS	40.000000	\N	9999-12-31	9999-12-31	22820851	23173852	9999-12-31	2013-05-08
696	2013-02-08	9999-12-31	Petoro AS	20.000000	\N	9999-12-31	9999-12-31	22820904	1626839	9999-12-31	2013-05-08
696	2013-02-08	9999-12-31	Eni Norge AS	30.000000	\N	9999-12-31	9999-12-31	22820904	2388594	9999-12-31	2013-05-08
696	2013-02-08	9999-12-31	Statoil Petroleum AS	50.000000	\N	2013-02-08	9999-12-31	22820904	17237817	2013-02-13	2013-05-08
697	2013-02-08	9999-12-31	Eni Norge AS	65.000000	\N	2013-02-08	9999-12-31	22821005	2388594	2013-02-13	2013-05-08
697	2013-02-08	9999-12-31	Statoil Petroleum AS	35.000000	\N	9999-12-31	9999-12-31	22821005	17237817	9999-12-31	2013-05-08
698	2013-02-08	9999-12-31	A/S Norske Shell	17.037500	\N	2013-02-08	9999-12-31	22821040	562	2013-02-13	2013-05-08
698	2013-02-08	9999-12-31	Petoro AS	36.475000	\N	9999-12-31	9999-12-31	22821040	1626839	9999-12-31	2013-05-08
698	2013-02-08	9999-12-31	ExxonMobil Exploration & Production Norway AS	7.228600	\N	9999-12-31	9999-12-31	22821040	2835212	9999-12-31	2013-05-08
698	2013-02-08	9999-12-31	DONG E&P Norge AS	10.342000	\N	9999-12-31	9999-12-31	22821040	4070011	9999-12-31	2013-05-08
698	2013-02-08	9999-12-31	Statoil Petroleum AS	28.916900	\N	9999-12-31	9999-12-31	22821040	17237817	9999-12-31	2013-05-08
699	2013-02-08	9999-12-31	A/S Norske Shell	17.037500	\N	2013-02-08	9999-12-31	22821109	562	2013-02-13	2013-05-08
699	2013-02-08	9999-12-31	Petoro AS	36.475000	\N	9999-12-31	9999-12-31	22821109	1626839	9999-12-31	2013-05-08
699	2013-02-08	9999-12-31	ExxonMobil Exploration & Production Norway AS	7.228600	\N	9999-12-31	9999-12-31	22821109	2835212	9999-12-31	2013-05-08
699	2013-02-08	9999-12-31	DONG E&P Norge AS	10.342000	\N	9999-12-31	9999-12-31	22821109	4070011	9999-12-31	2013-05-08
699	2013-02-08	9999-12-31	Statoil Petroleum AS	28.916900	\N	9999-12-31	9999-12-31	22821109	17237817	9999-12-31	2013-05-08
700	2013-02-08	9999-12-31	Lundin Norway AS	40.000000	\N	2013-02-08	9999-12-31	22821177	2767314	2013-02-13	2013-05-08
700	2013-02-08	9999-12-31	Bayerngas Norge AS	20.000000	\N	9999-12-31	9999-12-31	22821177	4444493	9999-12-31	2013-05-08
700	2013-02-08	9999-12-31	GDF SUEZ E&P Norge AS	20.000000	\N	9999-12-31	9999-12-31	22821177	5267845	9999-12-31	2013-05-08
700	2013-02-08	9999-12-31	VNG Norge AS	20.000000	\N	9999-12-31	9999-12-31	22821177	17237193	9999-12-31	2013-05-08
701	2013-02-08	2013-02-13	Norwegian Energy Company ASA	40.000000	\N	2013-02-08	9999-12-31	23180841	4530695	2013-02-22	2013-05-08
701	2013-02-13	9999-12-31	Norwegian Energy Company ASA	40.000000	\N	2013-02-08	9999-12-31	23180841	4530695	2013-02-22	2013-05-08
701	2013-02-08	2013-02-13	Spring Energy Norway AS	30.000000	\N	9999-12-31	9999-12-31	23180841	5072514	9999-12-31	2013-05-08
701	2013-02-08	2013-02-13	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	23180841	5267845	9999-12-31	2013-05-08
701	2013-02-13	9999-12-31	GDF SUEZ E&P Norge AS	30.000000	\N	9999-12-31	9999-12-31	23180841	5267845	9999-12-31	2013-05-08
701	2013-02-13	9999-12-31	Tullow Oil Norge AS	30.000000	\N	9999-12-31	9999-12-31	23180841	23173852	9999-12-31	2013-05-08
591 B	2013-02-08	2013-02-13	Norwegian Energy Company ASA	40.000000	\N	9999-12-31	9999-12-31	23180930	4530695	9999-12-31	2013-05-08
591 B	2013-02-13	9999-12-31	Norwegian Energy Company ASA	40.000000	\N	9999-12-31	9999-12-31	23180930	4530695	9999-12-31	2013-05-08
591 B	2013-02-08	2013-02-13	Spring Energy Norway AS	60.000000	\N	2013-02-08	2013-02-12	23180930	5072514	2013-02-22	2013-05-08
591 B	2013-02-13	9999-12-31	Tullow Oil Norge AS	60.000000	\N	2013-02-13	9999-12-31	23180930	23173852	2013-02-22	2013-05-08
090 F	2013-01-22	9999-12-31	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	23268186	441	9999-12-31	2013-05-08
090 F	2013-01-22	9999-12-31	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	23268186	2835212	9999-12-31	2013-05-08
090 F	2013-01-22	9999-12-31	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	23268186	5267845	9999-12-31	2013-05-08
090 F	2013-01-22	9999-12-31	Statoil Petroleum AS	45.000000	\N	2013-01-22	9999-12-31	23268186	17237817	2013-03-02	2013-05-08
090 G	2013-01-22	9999-12-31	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	23268222	441	9999-12-31	2013-05-08
090 G	2013-01-22	9999-12-31	ExxonMobil Exploration & Production Norway AS	25.000000	\N	9999-12-31	9999-12-31	23268222	2835212	9999-12-31	2013-05-08
090 G	2013-01-22	9999-12-31	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	23268222	5267845	9999-12-31	2013-05-08
090 G	2013-01-22	9999-12-31	Statoil Petroleum AS	45.000000	\N	2013-01-22	9999-12-31	23268222	17237817	2013-03-02	2013-05-08
090 HS	2013-04-09	9999-12-31	Idemitsu Petroleum Norge AS	15.000000	\N	9999-12-31	9999-12-31	23297006	441	9999-12-31	2013-05-08
090 HS	2013-04-09	9999-12-31	Bayerngas Norge AS	25.000000	\N	9999-12-31	9999-12-31	23297006	4444493	9999-12-31	2013-05-08
090 HS	2013-04-09	9999-12-31	GDF SUEZ E&P Norge AS	15.000000	\N	9999-12-31	9999-12-31	23297006	5267845	9999-12-31	2013-05-08
090 HS	2013-04-09	9999-12-31	Statoil Petroleum AS	45.000000	\N	2013-04-09	9999-12-31	23297006	17237817	2013-04-27	2013-05-08
248 C	2013-04-09	9999-12-31	Petoro AS	40.000000	\N	9999-12-31	9999-12-31	23297103	1626839	9999-12-31	2013-05-08
248 C	2013-04-09	9999-12-31	Statoil Petroleum AS	60.000000	\N	2013-04-09	9999-12-31	23297103	17237817	2013-05-02	2013-05-08
\.



COPY licence_oper_hst (prlname, prloperdatevalidfrom, prloperdatevalidto, cmplongname, prlnpdidlicence, cmpnpdidcompany, prloperdateupdated, datesyncnpd) FROM stdin;
001	1965-09-01	2004-10-01	Esso Exploration and Production Norway A/S	20756	353	9999-12-31	2013-05-08
001	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	20756	2835212	9999-12-31	2013-05-08
001 P	1994-01-19	1999-12-14	Esso Exploration and Production Norway A/S	20764	353	9999-12-31	2013-05-08
002	1965-09-01	1977-09-01	Esso Exploration and Production Norway A/S	20772	353	9999-12-31	2013-05-08
003	1965-09-01	1977-09-01	Esso Exploration and Production Norway A/S	20780	353	9999-12-31	2013-05-08
004	1965-09-01	1977-09-01	Amoco Norway Oil Company	20788	78	9999-12-31	2013-05-08
005	1965-09-01	1977-01-20	Amoco Norway Oil Company	20796	78	9999-12-31	2013-05-08
005	1977-01-20	1982-09-01	Union Norge A/S	20796	881	9999-12-31	2013-05-08
006	1965-09-01	1999-12-23	Amoco Norway Oil Company	20804	78	9999-12-31	2013-05-08
006	1999-12-23	2000-10-17	BP Amoco Norge AS	20804	982372	9999-12-31	2013-05-08
006	2000-10-17	2003-05-06	TotalFinaElf Exploration Norge AS	20804	1340884	9999-12-31	2013-05-08
006	2003-05-06	9999-12-31	Total E&P Norge AS	20804	2410708	9999-12-31	2013-05-08
007	1967-08-31	1990-09-01	Elf Petroleum Norge AS	20812	298	9999-12-31	2013-05-08
008	2001-05-09	2002-12-31	Amerada Hess Norge AS	20820	67	9999-12-31	2013-05-08
008	1967-08-31	1994-12-21	Elf Petroleum Norge AS	20820	298	9999-12-31	2013-05-08
008	2001-01-11	2001-05-09	Norsk Hydro Produksjon AS	20820	430	9999-12-31	2013-05-08
008	1994-12-21	2001-01-11	Saga Petroleum ASA	20820	716	9999-12-31	2013-05-08
009	1967-08-31	1999-01-01	Elf Petroleum Norge AS	20828	298	9999-12-31	2013-05-08
010	1965-09-01	1979-09-01	A/S Norske Shell	20836	562	9999-12-31	2013-05-08
011	1965-09-01	1999-12-31	A/S Norske Shell	20844	562	9999-12-31	2013-05-08
012	1965-09-01	1971-09-01	A/S Norske Shell	20852	562	9999-12-31	2013-05-08
013	1965-09-01	1971-05-01	Amoseas	20860	100	9999-12-31	2013-05-08
013	1971-05-01	1976-12-31	Conoco Norway Inc.	20860	210	9999-12-31	2013-05-08
013	1976-12-31	1977-07-31	No operator	20860	507	9999-12-31	2013-05-08
013	1977-07-31	1978-09-01	Saga Petroleum ASA	20860	716	9999-12-31	2013-05-08
014	1965-09-01	1971-05-01	Amoseas	20868	100	9999-12-31	2013-05-08
014	1971-05-01	1976-12-31	Conoco Norway Inc.	20868	210	9999-12-31	2013-05-08
014	1976-12-31	1977-07-31	No operator	20868	507	9999-12-31	2013-05-08
014	1977-07-31	1977-09-01	Saga Petroleum ASA	20868	716	9999-12-31	2013-05-08
015	1965-09-01	1971-05-01	Amoseas	20876	100	9999-12-31	2013-05-08
015	1971-05-01	1976-12-31	Conoco Norway Inc.	20876	210	9999-12-31	2013-05-08
015	1976-12-31	1977-07-31	No operator	20876	507	9999-12-31	2013-05-08
015	1977-07-31	1977-09-01	Saga Petroleum ASA	20876	716	9999-12-31	2013-05-08
016	1965-09-01	1994-12-31	Phillips Petroleum Company Norway	20884	694	9999-12-31	2013-05-08
017	1965-09-01	1991-12-31	Phillips Petroleum Company Norway	20892	694	9999-12-31	2013-05-08
018	1965-09-01	2002-10-23	Phillips Petroleum Company Norway	20900	694	9999-12-31	2013-05-08
018	2003-04-25	2003-05-06	Phillips Petroleum Norsk AS	20900	705	9999-12-31	2013-05-08
018	2002-10-23	2003-04-25	ConocoPhillips Norge	20900	2144081	9999-12-31	2013-05-08
018	2003-05-06	9999-12-31	ConocoPhillips Skandinavia AS	20900	2410696	9999-12-31	2013-05-08
018 B	1995-08-25	2002-10-23	Phillips Petroleum Company Norway	20908	694	9999-12-31	2013-05-08
018 B	2003-04-23	2003-05-06	Phillips Petroleum Norsk AS	20908	705	9999-12-31	2013-05-08
018 B	2002-10-23	2003-04-22	ConocoPhillips Norge	20908	2144081	9999-12-31	2013-05-08
018 B	2003-05-06	9999-12-31	ConocoPhillips Skandinavia AS	20908	2410696	9999-12-31	2013-05-08
019	1976-05-31	1999-12-23	BP Petroleum Dev. of Norway AS	20916	155	9999-12-31	2013-05-08
019	1970-12-10	1976-05-31	Conoco Norway Inc.	20916	210	9999-12-31	2013-05-08
019	1965-09-01	1970-12-10	Norwegian Gulf Exploration Company AS	20916	397	9999-12-31	2013-05-08
019	1999-12-23	2002-03-12	BP Amoco Norge AS	20916	982372	9999-12-31	2013-05-08
019	2002-03-12	9999-12-31	BP Norge AS	20916	2052695	9999-12-31	2013-05-08
019 B	1977-09-12	1999-12-23	BP Petroleum Dev. of Norway AS	20924	155	9999-12-31	2013-05-08
019 B	1999-12-23	2002-03-12	BP Amoco Norge AS	20924	982372	9999-12-31	2013-05-08
019 B	2002-03-12	2003-07-04	BP Norge AS	20924	2052695	9999-12-31	2013-05-08
019 B	2003-07-04	9999-12-31	Talisman Energy Norge AS	20924	2425093	9999-12-31	2013-05-08
020	1978-01-01	1987-12-31	BP Petroleum Dev. of Norway AS	20932	155	9999-12-31	2013-05-08
020	1965-09-01	1978-01-01	Conoco Norway Inc.	20932	210	9999-12-31	2013-05-08
021	1965-09-01	1973-09-01	Syracuse Oils Norge A/S	20940	782	9999-12-31	2013-05-08
022	1977-09-30	1986-12-31	Norwegian Gulf Exploration Company AS	20948	397	9999-12-31	2013-05-08
022	1965-12-07	1977-09-30	Norske Murphy Oil Company	20948	551	9999-12-31	2013-05-08
023	1969-05-23	1985-05-23	Elf Norge A/S	20956	287	9999-12-31	2013-05-08
024	1969-05-23	2000-07-24	Elf Petroleum Norge AS	20964	298	9999-12-31	2013-05-08
024	2000-07-24	2003-05-06	TotalFinaElf Exploration Norge AS	20964	1340884	9999-12-31	2013-05-08
024	2003-05-06	9999-12-31	Total E&P Norge AS	20964	2410708	9999-12-31	2013-05-08
026	1969-05-23	2000-07-24	Elf Petroleum Norge AS	20980	298	9999-12-31	2013-05-08
026	2000-07-24	2003-05-06	TotalFinaElf Exploration Norge AS	20980	1340884	9999-12-31	2013-05-08
026	2003-05-06	9999-12-31	Total E&P Norge AS	20980	2410708	9999-12-31	2013-05-08
027	1969-05-23	2004-10-01	Esso Exploration and Production Norway A/S	20988	353	9999-12-31	2013-05-08
027	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	20988	2835212	9999-12-31	2013-05-08
027 P	1994-01-19	1999-12-14	Esso Exploration and Production Norway A/S	20996	353	9999-12-31	2013-05-08
028	1969-05-23	2004-10-01	Esso Exploration and Production Norway A/S	21004	353	9999-12-31	2013-05-08
028	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	21004	2835212	9999-12-31	2013-05-08
028 P	1994-01-19	1999-12-14	Esso Exploration and Production Norway A/S	21012	353	9999-12-31	2013-05-08
029	1969-05-23	2004-10-01	Esso Exploration and Production Norway A/S	21020	353	9999-12-31	2013-05-08
029	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	21020	2835212	9999-12-31	2013-05-08
030	1969-05-23	1995-12-31	Esso Exploration and Production Norway A/S	21028	353	9999-12-31	2013-05-08
031	1969-05-23	1999-12-31	Phillips Petroleum Company Norway	21036	694	9999-12-31	2013-05-08
032	1969-05-30	1999-12-31	Amoco Norway Oil Company	21044	78	9999-12-31	2013-05-08
033	1969-05-30	1999-12-23	Amoco Norway Oil Company	21052	78	9999-12-31	2013-05-08
033	1999-12-23	2002-03-12	BP Amoco Norge AS	21052	982372	9999-12-31	2013-05-08
033	2002-03-12	9999-12-31	BP Norge AS	21052	2052695	9999-12-31	2013-05-08
034	1999-07-01	2007-01-01	Norsk Hydro Produksjon AS	21060	430	9999-12-31	2013-05-08
034	1969-11-14	1999-07-01	A/S Norske Shell	21060	562	9999-12-31	2013-05-08
034	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	21060	4511658	9999-12-31	2013-05-08
034	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21060	4524355	9999-12-31	2013-05-08
034	2009-11-02	9999-12-31	Statoil Petroleum AS	21060	17237817	9999-12-31	2013-05-08
035	1999-01-01	2007-01-01	Norsk Hydro Produksjon AS	21068	430	9999-12-31	2013-05-08
035	1969-11-14	1998-12-31	A/S Norske Shell	21068	562	9999-12-31	2013-05-08
035	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	21068	4511658	9999-12-31	2013-05-08
035	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21068	4524355	9999-12-31	2013-05-08
035	2009-11-02	9999-12-31	Statoil Petroleum AS	21068	17237817	9999-12-31	2013-05-08
036	1972-03-23	1997-12-22	Elf Petroleum Norge AS	21076	298	9999-12-31	2013-05-08
036	1997-12-22	2007-01-01	Norsk Hydro Produksjon AS	21076	430	9999-12-31	2013-05-08
036	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	21076	4238233	9999-12-31	2013-05-08
036	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	21076	4511658	9999-12-31	2013-05-08
036	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21076	4524355	9999-12-31	2013-05-08
036	2009-11-02	2012-04-29	Statoil Petroleum AS	21076	17237817	9999-12-31	2013-05-08
037	1973-08-10	1987-01-01	Mobil Development Norway AS	21084	474	9999-12-31	2013-05-08
037	1987-01-01	2001-05-10	Den norske stats oljeselskap a.s	21084	749	9999-12-31	2013-05-08
037	2001-05-10	2007-10-01	Statoil ASA (old)	21084	1622484	9999-12-31	2013-05-08
037	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21084	4511658	9999-12-31	2013-05-08
037	2007-10-01	2008-12-31	StatoilHydro ASA	21084	4511854	9999-12-31	2013-05-08
037	2009-11-02	9999-12-31	Statoil Petroleum AS	21084	17237817	9999-12-31	2013-05-08
038	2001-01-11	2002-03-13	Norsk Hydro Produksjon AS	21092	430	9999-12-31	2013-05-08
038	2002-03-14	2002-07-31	No operator	21092	507	9999-12-31	2013-05-08
038	1995-09-01	2001-01-11	Saga Petroleum ASA	21092	716	9999-12-31	2013-05-08
038	1975-04-01	1995-09-01	Den norske stats oljeselskap a.s	21092	749	9999-12-31	2013-05-08
038	2002-08-01	2005-03-31	Pertra AS (OLD)	21092	2069841	9999-12-31	2013-05-08
038	2005-04-29	9999-12-31	Talisman Energy Norge AS	21092	2425093	9999-12-31	2013-05-08
038	2005-03-31	2005-04-29	Talisman Production Norge AS	21092	3420565	9999-12-31	2013-05-08
039	1975-04-01	1983-04-01	Norske Conoco A/S	21100	221	9999-12-31	2013-05-08
040	1975-04-01	2000-12-31	Norsk Hydro Produksjon AS	21108	430	9999-12-31	2013-05-08
040	2001-01-01	2003-05-06	TotalFinaElf Exploration Norge AS	21108	1340884	9999-12-31	2013-05-08
040	2003-05-06	9999-12-31	Total E&P Norge AS	21108	2410708	9999-12-31	2013-05-08
041	1975-06-01	1989-01-01	Saga Petroleum ASA	21116	716	9999-12-31	2013-05-08
042	1975-04-01	1980-04-01	Amoco Norway AS	21124	89	9999-12-31	2013-05-08
043	1976-08-06	1990-10-16	BP Petroleum Dev. of Norway AS	21132	155	9999-12-31	2013-05-08
043	1990-10-16	2001-12-18	Total Norge AS	21132	848	9999-12-31	2013-05-08
043	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	21132	1340884	9999-12-31	2013-05-08
043	2003-05-06	9999-12-31	Total E&P Norge AS	21132	2410708	9999-12-31	2013-05-08
044	2001-01-22	2003-05-06	Phillips Petroleum Norsk AS	21140	705	9999-12-31	2013-05-08
044	1976-08-27	2001-01-22	Den norske stats oljeselskap a.s	21140	749	9999-12-31	2013-05-08
044	2003-05-06	9999-12-31	ConocoPhillips Skandinavia AS	21140	2410696	9999-12-31	2013-05-08
045	1976-12-03	1982-12-02	Den norske stats oljeselskap a.s	21148	749	9999-12-31	2013-05-08
046	1976-12-03	2001-05-10	Den norske stats oljeselskap a.s	21156	749	9999-12-31	2013-05-08
046	2001-05-10	2007-10-01	Statoil ASA (old)	21156	1622484	9999-12-31	2013-05-08
046	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21156	4511658	9999-12-31	2013-05-08
046	2007-10-01	2008-12-31	StatoilHydro ASA	21156	4511854	9999-12-31	2013-05-08
046	2009-11-02	9999-12-31	Statoil Petroleum AS	21156	17237817	9999-12-31	2013-05-08
047	1977-01-07	1993-12-31	Norsk Hydro Produksjon AS	21164	430	9999-12-31	2013-05-08
048	1977-02-18	1997-01-27	Norsk Hydro Produksjon AS	21172	430	9999-12-31	2013-05-08
048	1997-01-27	2001-05-10	Den norske stats oljeselskap a.s	21172	749	9999-12-31	2013-05-08
048	2001-05-10	2007-10-01	Statoil ASA (old)	21172	1622484	9999-12-31	2013-05-08
048	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21172	4511658	9999-12-31	2013-05-08
048	2007-10-01	2008-12-31	StatoilHydro ASA	21172	4511854	9999-12-31	2013-05-08
048	2009-11-02	9999-12-31	Statoil Petroleum AS	21172	17237817	9999-12-31	2013-05-08
049	1977-12-23	1983-12-23	Norsk Agip  AS	21180	45	9999-12-31	2013-05-08
050	1978-06-16	2001-05-10	Den norske stats oljeselskap a.s	21188	749	9999-12-31	2013-05-08
050	2001-05-10	2007-10-01	Statoil ASA (old)	21188	1622484	9999-12-31	2013-05-08
050	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21188	4511658	9999-12-31	2013-05-08
050	2007-10-01	2008-12-31	StatoilHydro ASA	21188	4511854	9999-12-31	2013-05-08
050	2009-11-02	9999-12-31	Statoil Petroleum AS	21188	17237817	9999-12-31	2013-05-08
050 B	1995-08-11	2001-05-10	Den norske stats oljeselskap a.s	21196	749	9999-12-31	2013-05-08
050 B	2001-05-10	2007-10-01	Statoil ASA (old)	21196	1622484	9999-12-31	2013-05-08
050 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21196	4511658	9999-12-31	2013-05-08
050 B	2007-10-01	2008-12-31	StatoilHydro ASA	21196	4511854	9999-12-31	2013-05-08
050 B	2009-11-02	9999-12-31	Statoil Petroleum AS	21196	17237817	9999-12-31	2013-05-08
051	1979-04-06	2001-05-10	Den norske stats oljeselskap a.s	21204	749	9999-12-31	2013-05-08
051	2001-05-10	2007-10-01	Statoil ASA (old)	21204	1622484	9999-12-31	2013-05-08
051	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21204	4511658	9999-12-31	2013-05-08
051	2007-10-01	2008-12-31	StatoilHydro ASA	21204	4511854	9999-12-31	2013-05-08
051	2009-11-02	9999-12-31	Statoil Petroleum AS	21204	17237817	9999-12-31	2013-05-08
052	1979-04-06	2001-05-10	Den norske stats oljeselskap a.s	21212	749	9999-12-31	2013-05-08
052	2001-05-10	2007-10-01	Statoil ASA (old)	21212	1622484	9999-12-31	2013-05-08
052	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21212	4511658	9999-12-31	2013-05-08
052	2007-10-01	2008-12-31	StatoilHydro ASA	21212	4511854	9999-12-31	2013-05-08
052	2009-11-02	9999-12-31	Statoil Petroleum AS	21212	17237817	9999-12-31	2013-05-08
053	1982-04-01	2007-01-01	Norsk Hydro Produksjon AS	21220	430	9999-12-31	2013-05-08
053	1979-04-06	1982-04-01	Den norske stats oljeselskap a.s	21220	749	9999-12-31	2013-05-08
053	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	21220	4511658	9999-12-31	2013-05-08
053	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21220	4524355	9999-12-31	2013-05-08
053	2009-11-02	9999-12-31	Statoil Petroleum AS	21220	17237817	9999-12-31	2013-05-08
054	1979-04-06	1996-06-19	A/S Norske Shell	21228	562	9999-12-31	2013-05-08
054	1996-06-19	2001-05-10	Den norske stats oljeselskap a.s	21228	749	9999-12-31	2013-05-08
054	2001-05-10	2007-10-01	Statoil ASA (old)	21228	1622484	9999-12-31	2013-05-08
054	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21228	4511658	9999-12-31	2013-05-08
054	2007-10-01	2008-12-31	StatoilHydro ASA	21228	4511854	9999-12-31	2013-05-08
054	2009-11-02	9999-12-31	Statoil Petroleum AS	21228	17237817	9999-12-31	2013-05-08
055	1979-04-06	2007-01-01	Norsk Hydro Produksjon AS	21236	430	9999-12-31	2013-05-08
055	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	21236	4511658	9999-12-31	2013-05-08
055	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21236	4524355	9999-12-31	2013-05-08
055	2009-11-02	9999-12-31	Statoil Petroleum AS	21236	17237817	9999-12-31	2013-05-08
056	1979-04-06	1987-04-06	Amoco Norway AS	21244	89	9999-12-31	2013-05-08
057	2001-01-11	2002-12-31	Norsk Hydro Produksjon AS	21252	430	9999-12-31	2013-05-08
057	1979-04-06	2001-01-11	Saga Petroleum ASA	21252	716	9999-12-31	2013-05-08
057	2003-01-01	2007-10-01	Statoil ASA (old)	21252	1622484	9999-12-31	2013-05-08
057	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21252	4511658	9999-12-31	2013-05-08
057	2007-10-01	2008-12-31	StatoilHydro ASA	21252	4511854	9999-12-31	2013-05-08
057	2009-11-02	9999-12-31	Statoil Petroleum AS	21252	17237817	9999-12-31	2013-05-08
058	1979-04-06	1989-04-06	Norwegian Gulf Exploration Company AS	21260	397	9999-12-31	2013-05-08
059	1980-08-18	1986-01-18	Saga Petroleum ASA	21268	716	9999-12-31	2013-05-08
060	1980-01-18	1986-01-18	Den norske stats oljeselskap a.s	21276	749	9999-12-31	2013-05-08
061	1980-01-18	1993-12-31	Norsk Hydro Produksjon AS	21284	430	9999-12-31	2013-05-08
062	1981-03-27	1995-08-31	Saga Petroleum ASA	21292	716	9999-12-31	2013-05-08
062	1995-09-01	2001-05-10	Den norske stats oljeselskap a.s	21292	749	9999-12-31	2013-05-08
062	2001-05-10	2007-10-01	Statoil ASA (old)	21292	1622484	9999-12-31	2013-05-08
062	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21292	4511658	9999-12-31	2013-05-08
062	2007-10-01	2008-12-31	StatoilHydro ASA	21292	4511854	9999-12-31	2013-05-08
062	2009-11-02	9999-12-31	Statoil Petroleum AS	21292	17237817	9999-12-31	2013-05-08
063	1981-03-27	1987-03-27	Norsk Hydro Produksjon AS	21300	430	9999-12-31	2013-05-08
064	1981-03-27	2001-05-10	Den norske stats oljeselskap a.s	21308	749	9999-12-31	2013-05-08
064	2001-05-10	2007-10-01	Statoil ASA (old)	21308	1622484	9999-12-31	2013-05-08
064	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21308	4511658	9999-12-31	2013-05-08
064	2007-10-01	2008-12-31	StatoilHydro ASA	21308	4511854	9999-12-31	2013-05-08
064	2009-11-02	9999-12-31	Statoil Petroleum AS	21308	17237817	9999-12-31	2013-05-08
065	1997-01-01	1999-12-23	BP Petroleum Dev. of Norway AS	21316	155	9999-12-31	2013-05-08
065	1981-08-21	1997-01-01	Elf Petroleum Norge AS	21316	298	9999-12-31	2013-05-08
065	1999-12-23	2002-03-12	BP Amoco Norge AS	21316	982372	9999-12-31	2013-05-08
065	2002-03-12	9999-12-31	BP Norge AS	21316	2052695	9999-12-31	2013-05-08
066	1999-01-01	2002-12-31	Amerada Hess Norge AS	21324	67	9999-12-31	2013-05-08
066	1981-08-21	1999-01-01	Saga Petroleum ASA	21324	716	9999-12-31	2013-05-08
067	1991-08-01	1999-01-01	Norsk Agip  AS	21332	45	9999-12-31	2013-05-08
067	1981-08-21	1991-08-01	A/S Norske Shell	21332	562	9999-12-31	2013-05-08
068	1981-08-21	1992-01-01	Norsk Hydro Produksjon AS	21340	430	9999-12-31	2013-05-08
069	1981-08-21	1996-08-26	Norske Conoco A/S	21348	221	9999-12-31	2013-05-08
069	1996-08-26	1999-12-31	Saga Petroleum ASA	21348	716	9999-12-31	2013-05-08
070	1981-08-21	1999-12-31	Norsk Hydro Produksjon AS	21356	430	9999-12-31	2013-05-08
071	1981-08-21	1989-01-01	Den norske stats oljeselskap a.s	21364	749	9999-12-31	2013-05-08
072	1981-08-21	2004-10-01	Esso Exploration and Production Norway A/S	21372	353	9999-12-31	2013-05-08
072	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	21372	2835212	9999-12-31	2013-05-08
073	1982-04-23	2001-05-10	Den norske stats oljeselskap a.s	21380	749	9999-12-31	2013-05-08
073	2001-05-10	2007-10-01	Statoil ASA (old)	21380	1622484	9999-12-31	2013-05-08
073	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21380	4511658	9999-12-31	2013-05-08
073	2007-10-01	2008-12-31	StatoilHydro ASA	21380	4511854	9999-12-31	2013-05-08
073	2009-11-02	9999-12-31	Statoil Petroleum AS	21380	17237817	9999-12-31	2013-05-08
074	1982-04-23	1995-08-31	Saga Petroleum ASA	21388	716	9999-12-31	2013-05-08
074	1995-09-01	2001-05-10	Den norske stats oljeselskap a.s	21388	749	9999-12-31	2013-05-08
074	2001-05-10	2007-10-01	Statoil ASA (old)	21388	1622484	9999-12-31	2013-05-08
074	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21388	4511658	9999-12-31	2013-05-08
074	2007-10-01	2008-12-31	StatoilHydro ASA	21388	4511854	9999-12-31	2013-05-08
074	2009-11-02	9999-12-31	Statoil Petroleum AS	21388	17237817	9999-12-31	2013-05-08
075	1982-04-23	1988-04-23	BP Petroleum Dev. of Norway AS	21396	155	9999-12-31	2013-05-08
076	1982-04-23	1988-04-23	Norsk Hydro Produksjon AS	21404	430	9999-12-31	2013-05-08
077	1982-04-23	2001-05-10	Den norske stats oljeselskap a.s	21412	749	9999-12-31	2013-05-08
077	2001-05-10	2007-10-01	Statoil ASA (old)	21412	1622484	9999-12-31	2013-05-08
077	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21412	4511658	9999-12-31	2013-05-08
077	2007-10-01	2008-12-31	StatoilHydro ASA	21412	4511854	9999-12-31	2013-05-08
077	2009-11-02	9999-12-31	Statoil Petroleum AS	21412	17237817	9999-12-31	2013-05-08
078	1982-04-23	2000-04-10	Norsk Hydro Produksjon AS	21420	430	9999-12-31	2013-05-08
078	2000-04-10	2001-05-10	Den norske stats oljeselskap a.s	21420	749	9999-12-31	2013-05-08
078	2001-05-10	2007-10-01	Statoil ASA (old)	21420	1622484	9999-12-31	2013-05-08
078	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21420	4511658	9999-12-31	2013-05-08
078	2007-10-01	2008-12-31	StatoilHydro ASA	21420	4511854	9999-12-31	2013-05-08
078	2009-11-02	9999-12-31	Statoil Petroleum AS	21420	17237817	9999-12-31	2013-05-08
080	1982-12-10	1988-12-10	Den norske stats oljeselskap a.s	21436	749	9999-12-31	2013-05-08
081	1982-12-10	1988-12-10	Phillips Petroleum Company Norway	21444	694	9999-12-31	2013-05-08
082	1982-12-10	1988-12-10	Saga Petroleum ASA	21452	716	9999-12-31	2013-05-08
083	1982-12-10	1988-12-10	Norsk Hydro Produksjon AS	21460	430	9999-12-31	2013-05-08
084	1982-12-10	1988-12-10	Den norske stats oljeselskap a.s	21468	749	9999-12-31	2013-05-08
085	1983-07-08	2007-01-01	Norsk Hydro Produksjon AS	21476	430	9999-12-31	2013-05-08
085	1983-07-08	2001-01-11	Saga Petroleum ASA	21476	716	9999-12-31	2013-05-08
085	1983-07-08	2001-05-10	Den norske stats oljeselskap a.s	21476	749	9999-12-31	2013-05-08
085	2001-05-10	2007-10-01	Statoil ASA (old)	21476	1622484	9999-12-31	2013-05-08
085	2007-10-01	2008-12-31	StatoilHydro Petroleum AS	21476	4511658	9999-12-31	2013-05-08
085	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21476	4511658	9999-12-31	2013-05-08
085	2007-10-01	2008-12-31	StatoilHydro ASA	21476	4511854	9999-12-31	2013-05-08
085	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21476	4524355	9999-12-31	2013-05-08
085	2009-11-02	9999-12-31	Statoil Petroleum AS	21476	17237817	9999-12-31	2013-05-08
085 B	1992-09-11	2007-01-01	Norsk Hydro Produksjon AS	21484	430	9999-12-31	2013-05-08
085 B	1992-09-11	2001-01-11	Saga Petroleum ASA	21484	716	9999-12-31	2013-05-08
085 B	1992-09-11	2001-05-10	Den norske stats oljeselskap a.s	21484	749	9999-12-31	2013-05-08
085 B	2001-05-10	2007-10-01	Statoil ASA (old)	21484	1622484	9999-12-31	2013-05-08
085 B	2007-10-01	2008-12-31	StatoilHydro Petroleum AS	21484	4511658	9999-12-31	2013-05-08
085 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21484	4511658	9999-12-31	2013-05-08
085 B	2007-10-01	2008-12-31	StatoilHydro ASA	21484	4511854	9999-12-31	2013-05-08
085 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21484	4524355	9999-12-31	2013-05-08
085 B	2009-11-02	9999-12-31	Statoil Petroleum AS	21484	17237817	9999-12-31	2013-05-08
086	1995-09-01	2001-01-01	Saga Petroleum ASA	21492	716	9999-12-31	2013-05-08
086	1984-03-09	1995-09-01	Den norske stats oljeselskap a.s	21492	749	9999-12-31	2013-05-08
087	1984-03-09	1994-12-31	Norsk Hydro Produksjon AS	21500	430	9999-12-31	2013-05-08
088	1984-03-09	2001-12-18	Total Norge AS	21508	848	9999-12-31	2013-05-08
088	2001-12-18	2003-05-06	TotalFinaElf Exploration Norge AS	21508	1340884	9999-12-31	2013-05-08
088	2003-05-06	2007-02-09	Total E&P Norge AS	21508	2410708	9999-12-31	2013-05-08
088	2007-02-09	2011-12-05	Lundin Norway AS	21508	2767314	9999-12-31	2013-05-08
088	2011-12-06	9999-12-31	Centrica Resources (Norge) AS	21508	4238233	9999-12-31	2013-05-08
089	2001-01-11	2002-12-31	Norsk Hydro Produksjon AS	21516	430	9999-12-31	2013-05-08
089	1984-03-09	2001-01-11	Saga Petroleum ASA	21516	716	9999-12-31	2013-05-08
089	2003-01-01	2007-10-01	Statoil ASA (old)	21516	1622484	9999-12-31	2013-05-08
089	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21516	4511658	9999-12-31	2013-05-08
089	2007-10-01	2008-12-31	StatoilHydro ASA	21516	4511854	9999-12-31	2013-05-08
089	2009-11-02	9999-12-31	Statoil Petroleum AS	21516	17237817	9999-12-31	2013-05-08
090	1995-08-01	2007-01-01	Norsk Hydro Produksjon AS	21524	430	9999-12-31	2013-05-08
090	1984-03-09	1995-07-31	Mobil Development Norway AS	21524	474	9999-12-31	2013-05-08
090	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	21524	4511658	9999-12-31	2013-05-08
090	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21524	4524355	9999-12-31	2013-05-08
090	2009-11-02	9999-12-31	Statoil Petroleum AS	21524	17237817	9999-12-31	2013-05-08
091	1984-03-09	2001-05-10	Den norske stats oljeselskap a.s	21532	749	9999-12-31	2013-05-08
091	2001-05-10	2007-10-01	Statoil ASA (old)	21532	1622484	9999-12-31	2013-05-08
091	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21532	4511658	9999-12-31	2013-05-08
091	2007-10-01	2008-12-31	StatoilHydro ASA	21532	4511854	9999-12-31	2013-05-08
091	2009-11-02	9999-12-31	Statoil Petroleum AS	21532	17237817	9999-12-31	2013-05-08
092	1984-03-09	2001-05-10	Den norske stats oljeselskap a.s	21540	749	9999-12-31	2013-05-08
092	2001-05-10	2007-10-01	Statoil ASA (old)	21540	1622484	9999-12-31	2013-05-08
092	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21540	4511658	9999-12-31	2013-05-08
092	2007-10-01	2008-12-31	StatoilHydro ASA	21540	4511854	9999-12-31	2013-05-08
092	2009-11-02	9999-12-31	Statoil Petroleum AS	21540	17237817	9999-12-31	2013-05-08
093	1984-03-09	9999-12-31	A/S Norske Shell	21548	562	9999-12-31	2013-05-08
094	1984-03-09	2001-05-10	Den norske stats oljeselskap a.s	21556	749	9999-12-31	2013-05-08
094	2001-05-10	2007-10-01	Statoil ASA (old)	21556	1622484	9999-12-31	2013-05-08
094	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21556	4511658	9999-12-31	2013-05-08
094	2007-10-01	2008-12-31	StatoilHydro ASA	21556	4511854	9999-12-31	2013-05-08
094	2009-11-02	9999-12-31	Statoil Petroleum AS	21556	17237817	9999-12-31	2013-05-08
095	1984-03-09	2003-03-22	Norske Conoco A/S	21564	221	9999-12-31	2013-05-08
095	2003-03-22	2007-01-01	Norske ConocoPhillips AS	21564	2399056	9999-12-31	2013-05-08
095	2007-01-01	9999-12-31	ConocoPhillips Skandinavia AS	21564	2410696	9999-12-31	2013-05-08
096	1984-03-09	1990-03-09	Elf Aquitaine Norge A/S	21572	331	9999-12-31	2013-05-08
097	1984-03-09	2000-04-10	Norsk Hydro Produksjon AS	21580	430	9999-12-31	2013-05-08
097	2000-04-10	2001-05-10	Den norske stats oljeselskap a.s	21580	749	9999-12-31	2013-05-08
097	2001-05-10	2007-10-01	Statoil ASA (old)	21580	1622484	9999-12-31	2013-05-08
097	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21580	4511658	9999-12-31	2013-05-08
097	2007-10-01	2008-12-31	StatoilHydro ASA	21580	4511854	9999-12-31	2013-05-08
097	2009-11-02	9999-12-31	Statoil Petroleum AS	21580	17237817	9999-12-31	2013-05-08
098	1984-03-09	1991-03-09	Esso Exploration and Production Norway A/S	21588	353	9999-12-31	2013-05-08
099	1984-03-09	2001-05-10	Den norske stats oljeselskap a.s	21596	749	9999-12-31	2013-05-08
099	2001-05-10	2007-10-01	Statoil ASA (old)	21596	1622484	9999-12-31	2013-05-08
099	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21596	4511658	9999-12-31	2013-05-08
099	2007-10-01	2008-12-31	StatoilHydro ASA	21596	4511854	9999-12-31	2013-05-08
099	2009-11-02	9999-12-31	Statoil Petroleum AS	21596	17237817	9999-12-31	2013-05-08
100	1984-03-09	2001-05-10	Den norske stats oljeselskap a.s	21604	749	9999-12-31	2013-05-08
100	2001-05-10	2007-10-01	Statoil ASA (old)	21604	1622484	9999-12-31	2013-05-08
100	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21604	4511658	9999-12-31	2013-05-08
100	2007-10-01	2008-12-31	StatoilHydro ASA	21604	4511854	9999-12-31	2013-05-08
100	2009-11-02	9999-12-31	Statoil Petroleum AS	21604	17237817	9999-12-31	2013-05-08
101	1985-03-01	1999-12-31	Norsk Agip  AS	21612	45	9999-12-31	2013-05-08
102	1985-03-01	2000-07-24	Elf Petroleum Norge AS	21620	298	9999-12-31	2013-05-08
102	2000-07-24	2003-05-06	TotalFinaElf Exploration Norge AS	21620	1340884	9999-12-31	2013-05-08
102	2003-05-06	9999-12-31	Total E&P Norge AS	21620	2410708	9999-12-31	2013-05-08
103	1998-11-30	2003-12-31	Amerada Hess Norge AS	21628	67	9999-12-31	2013-05-08
103	1985-03-01	1998-11-29	Norske Conoco A/S	21628	221	9999-12-31	2013-05-08
104	1985-03-01	2007-01-01	Norsk Hydro Produksjon AS	21636	430	9999-12-31	2013-05-08
104	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	21636	4511658	9999-12-31	2013-05-08
104	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21636	4524355	9999-12-31	2013-05-08
104	2009-11-02	9999-12-31	Statoil Petroleum AS	21636	17237817	9999-12-31	2013-05-08
105	1985-03-01	1991-03-01	Den norske stats oljeselskap a.s	21644	749	9999-12-31	2013-05-08
106	1985-03-01	1993-12-31	Den norske stats oljeselskap a.s	21652	749	9999-12-31	2013-05-08
107	1985-03-01	2007-01-01	Norsk Hydro Produksjon AS	21660	430	9999-12-31	2013-05-08
107	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	21660	4511658	9999-12-31	2013-05-08
107	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21660	4524355	9999-12-31	2013-05-08
107	2009-11-02	9999-12-31	Statoil Petroleum AS	21660	17237817	9999-12-31	2013-05-08
108	1985-03-01	1996-12-31	A/S Norske Shell	21668	562	9999-12-31	2013-05-08
109	1985-03-01	2000-12-31	Norsk Hydro Produksjon AS	21676	430	9999-12-31	2013-05-08
110	1985-03-01	2001-05-10	Den norske stats oljeselskap a.s	21684	749	9999-12-31	2013-05-08
110	2001-05-10	2007-10-01	Statoil ASA (old)	21684	1622484	9999-12-31	2013-05-08
110	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21684	4511658	9999-12-31	2013-05-08
110	2007-10-01	2008-12-31	StatoilHydro ASA	21684	4511854	9999-12-31	2013-05-08
110	2009-11-02	9999-12-31	Statoil Petroleum AS	21684	17237817	9999-12-31	2013-05-08
111	1985-03-01	1994-12-31	Esso Exploration and Production Norway A/S	21692	353	9999-12-31	2013-05-08
112	1985-07-26	2000-07-24	Elf Petroleum Norge AS	21700	298	9999-12-31	2013-05-08
112	2000-07-24	2000-12-31	TotalFinaElf Exploration Norge AS	21700	1340884	9999-12-31	2013-05-08
113	1994-12-13	2006-06-26	Amerada Hess Norge AS	21708	67	9999-12-31	2013-05-08
113	1985-08-23	1994-12-13	Norsk Hydro Produksjon AS	21708	430	9999-12-31	2013-05-08
113	2006-06-26	2012-06-21	Hess Norge AS	21708	4038735	2012-08-29	2013-05-08
113	2012-06-22	9999-12-31	DONG E&P Norge AS	21708	4070011	9999-12-31	2013-05-08
114	1985-08-23	2001-05-10	Den norske stats oljeselskap a.s	21716	749	9999-12-31	2013-05-08
114	2001-05-10	2001-12-31	Statoil ASA (old)	21716	1622484	9999-12-31	2013-05-08
114 B	1995-08-11	2001-05-10	Den norske stats oljeselskap a.s	21724	749	9999-12-31	2013-05-08
114 B	2001-05-10	2001-08-11	Statoil ASA (old)	21724	1622484	9999-12-31	2013-05-08
115	1985-08-23	1991-07-01	A/S Norske Shell	21732	562	9999-12-31	2013-05-08
115	1996-07-04	1999-12-31	Den norske stats oljeselskap a.s	21732	749	9999-12-31	2013-05-08
115	1991-07-01	1996-07-04	Total Norge AS	21732	848	9999-12-31	2013-05-08
116	1995-09-01	2000-12-31	Saga Petroleum ASA	21740	716	9999-12-31	2013-05-08
116	1985-08-23	1995-09-01	Den norske stats oljeselskap a.s	21740	749	9999-12-31	2013-05-08
117	1985-08-23	1999-12-31	Saga Petroleum ASA	21748	716	9999-12-31	2013-05-08
118	1985-08-23	1991-08-23	BP Petroleum Dev. of Norway AS	21756	155	9999-12-31	2013-05-08
119	1985-08-23	1991-08-23	Total Norge AS	21764	848	9999-12-31	2013-05-08
120	1985-08-23	2002-12-31	Norsk Hydro Produksjon AS	21772	430	9999-12-31	2013-05-08
120	2003-01-01	2007-10-01	Statoil ASA (old)	21772	1622484	9999-12-31	2013-05-08
120	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21772	4511658	9999-12-31	2013-05-08
120	2007-10-01	2008-12-31	StatoilHydro ASA	21772	4511854	9999-12-31	2013-05-08
120	2009-11-02	9999-12-31	Statoil Petroleum AS	21772	17237817	9999-12-31	2013-05-08
121	1986-02-28	1993-07-01	Mobil Development Norway AS	21780	474	9999-12-31	2013-05-08
121	1993-07-01	2001-05-10	Den norske stats oljeselskap a.s	21780	749	9999-12-31	2013-05-08
121	2001-05-10	2007-10-01	Statoil ASA (old)	21780	1622484	9999-12-31	2013-05-08
121	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21780	4511658	9999-12-31	2013-05-08
121	2007-10-01	2008-12-31	StatoilHydro ASA	21780	4511854	9999-12-31	2013-05-08
121	2009-11-02	9999-12-31	Statoil Petroleum AS	21780	17237817	9999-12-31	2013-05-08
122	1996-01-01	2003-12-31	Norsk Agip  AS	21788	45	9999-12-31	2013-05-08
122	1986-02-28	1996-01-01	Norsk Hydro Produksjon AS	21788	430	9999-12-31	2013-05-08
122	2003-12-31	9999-12-31	Eni Norge AS	21788	2388594	9999-12-31	2013-05-08
123	1986-02-28	1992-02-28	Saga Petroleum ASA	21796	716	9999-12-31	2013-05-08
124	1986-02-28	2001-05-10	Den norske stats oljeselskap a.s	21804	749	9999-12-31	2013-05-08
124	2001-05-10	2007-10-01	Statoil ASA (old)	21804	1622484	9999-12-31	2013-05-08
124	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21804	4511658	9999-12-31	2013-05-08
124	2007-10-01	2008-12-31	StatoilHydro ASA	21804	4511854	9999-12-31	2013-05-08
124	2009-11-02	9999-12-31	Statoil Petroleum AS	21804	17237817	9999-12-31	2013-05-08
125	1986-02-28	1990-03-14	A/S Norske Shell	21812	562	9999-12-31	2013-05-08
126	1986-02-28	1992-02-28	Esso Exploration and Production Norway A/S	21820	353	9999-12-31	2013-05-08
127	1986-02-28	2000-07-24	Elf Petroleum Norge AS	21828	298	9999-12-31	2013-05-08
127	2000-07-24	2003-05-06	TotalFinaElf Exploration Norge AS	21828	1340884	9999-12-31	2013-05-08
127	2003-05-06	9999-12-31	Total E&P Norge AS	21828	2410708	9999-12-31	2013-05-08
128	1986-02-28	2001-05-10	Den norske stats oljeselskap a.s	21836	749	9999-12-31	2013-05-08
128	2001-05-10	2007-10-01	Statoil ASA (old)	21836	1622484	9999-12-31	2013-05-08
128	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21836	4511658	9999-12-31	2013-05-08
128	2007-10-01	2008-12-31	StatoilHydro ASA	21836	4511854	9999-12-31	2013-05-08
128	2009-11-02	9999-12-31	Statoil Petroleum AS	21836	17237817	9999-12-31	2013-05-08
129	1986-07-11	1994-12-31	Norsk Hydro Produksjon AS	21844	430	9999-12-31	2013-05-08
130	1987-04-10	1993-04-10	Den norske stats oljeselskap a.s	21852	749	9999-12-31	2013-05-08
131	1987-04-10	1992-12-15	Elf Petroleum Norge AS	21860	298	9999-12-31	2013-05-08
132	1987-04-10	2007-01-01	Norsk Hydro Produksjon AS	21868	430	9999-12-31	2013-05-08
132	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	21868	4511658	9999-12-31	2013-05-08
132	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21868	4524355	9999-12-31	2013-05-08
300	2003-12-12	9999-12-31	BP Norge AS	2490354	2052695	9999-12-31	2013-05-08
132	2009-11-02	9999-12-31	Statoil Petroleum AS	21868	17237817	9999-12-31	2013-05-08
133	1987-04-10	1992-01-01	Norske Conoco A/S	21876	221	9999-12-31	2013-05-08
134	1987-04-10	2001-05-10	Den norske stats oljeselskap a.s	21884	749	9999-12-31	2013-05-08
134	2001-05-10	2007-10-01	Statoil ASA (old)	21884	1622484	9999-12-31	2013-05-08
134	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	21884	4511658	9999-12-31	2013-05-08
134	2007-10-01	2008-12-31	StatoilHydro ASA	21884	4511854	9999-12-31	2013-05-08
134	2009-11-02	9999-12-31	Statoil Petroleum AS	21884	17237817	9999-12-31	2013-05-08
135	1987-04-10	1995-12-31	Saga Petroleum ASA	21892	716	9999-12-31	2013-05-08
136	1987-04-10	1993-04-10	Norsk Hydro Produksjon AS	21900	430	9999-12-31	2013-05-08
137	1987-04-10	1990-12-31	Den norske stats oljeselskap a.s	21908	749	9999-12-31	2013-05-08
138	1987-05-29	1999-12-31	Total Norge AS	21916	848	9999-12-31	2013-05-08
139	1987-05-29	1993-05-29	Den norske stats oljeselskap a.s	21924	749	9999-12-31	2013-05-08
140	1987-05-29	1990-12-31	Mobil Development Norway AS	21932	474	9999-12-31	2013-05-08
141	1987-05-29	1990-12-31	Norsk Hydro Produksjon AS	21940	430	9999-12-31	2013-05-08
142	1987-05-29	1997-09-01	Elf Petroleum Norge AS	21948	298	9999-12-31	2013-05-08
142	1997-09-01	1999-12-31	Den norske stats oljeselskap a.s	21948	749	9999-12-31	2013-05-08
143	1996-01-01	1998-12-29	BP Petroleum Dev. of Norway AS	21956	155	9999-12-31	2013-05-08
143	1998-12-29	2003-06-27	Norsk Hydro Produksjon AS	21956	430	9999-12-31	2013-05-08
143	1988-07-08	1996-01-01	Phillips Petroleum Norsk AS	21956	705	9999-12-31	2013-05-08
143	2003-06-27	9999-12-31	ConocoPhillips Skandinavia AS	21956	2410696	9999-12-31	2013-05-08
144	1999-01-01	2002-12-31	Amerada Hess Norge AS	21964	67	9999-12-31	2013-05-08
144	1988-07-08	1999-01-01	Norske Conoco A/S	21964	221	9999-12-31	2013-05-08
145	1988-07-08	1996-01-01	BP Petroleum Dev. of Norway AS	21972	155	9999-12-31	2013-05-08
145	1996-01-01	2003-05-06	Phillips Petroleum Norsk AS	21972	705	9999-12-31	2013-05-08
145	2003-05-06	9999-12-31	ConocoPhillips Skandinavia AS	21972	2410696	9999-12-31	2013-05-08
146	2001-01-11	2007-01-01	Norsk Hydro Produksjon AS	21980	430	9999-12-31	2013-05-08
146	1988-07-08	2001-01-11	Saga Petroleum ASA	21980	716	9999-12-31	2013-05-08
146	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	21980	4511658	9999-12-31	2013-05-08
146	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	21980	4524355	9999-12-31	2013-05-08
146	2009-11-02	9999-12-31	Statoil Petroleum AS	21980	17237817	9999-12-31	2013-05-08
147	1988-07-08	2008-09-01	A/S Norske Shell	21988	562	9999-12-31	2013-05-08
147	2008-09-01	9999-12-31	DONG E&P Norge AS	21988	4070011	9999-12-31	2013-05-08
148	2001-05-09	2003-01-27	Amerada Hess Norge AS	21996	67	9999-12-31	2013-05-08
148	1988-07-08	2001-05-09	Den norske stats oljeselskap a.s	21996	749	9999-12-31	2013-05-08
148	2003-01-27	2004-01-01	Det Norske Oljeselskap AS	21996	1340609	9999-12-31	2013-05-08
148	2004-01-01	9999-12-31	Lundin Norway AS	21996	2767314	9999-12-31	2013-05-08
149	1988-07-08	1994-07-08	Esso Exploration and Production Norway A/S	22004	353	9999-12-31	2013-05-08
150	1988-07-08	2000-12-20	Fina Production Licenses AS	22012	386	9999-12-31	2013-05-08
150	2003-06-17	2011-07-03	Marathon Petroleum Norge AS	22012	463	9999-12-31	2013-05-08
150	2000-12-20	2001-12-18	Total Norge AS	22012	848	9999-12-31	2013-05-08
150	2001-12-18	2003-06-17	TotalFinaElf Exploration Norge AS	22012	1340884	9999-12-31	2013-05-08
150	2011-07-04	9999-12-31	Marathon Oil Norge AS	22012	20485291	9999-12-31	2013-05-08
151	1988-07-08	1994-07-08	Elf Petroleum Norge AS	22020	298	9999-12-31	2013-05-08
152	1988-07-08	2001-05-10	Den norske stats oljeselskap a.s	22028	749	9999-12-31	2013-05-08
152	2001-05-10	2007-10-01	Statoil ASA (old)	22028	1622484	9999-12-31	2013-05-08
152	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	22028	4511658	9999-12-31	2013-05-08
152	2007-10-01	2008-12-31	StatoilHydro ASA	22028	4511854	9999-12-31	2013-05-08
152	2009-11-02	9999-12-31	Statoil Petroleum AS	22028	17237817	9999-12-31	2013-05-08
153	1988-07-08	2004-02-05	Norsk Hydro Produksjon AS	22036	430	9999-12-31	2013-05-08
153	2004-02-05	2007-10-01	Statoil ASA (old)	22036	1622484	9999-12-31	2013-05-08
153	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	22036	4511658	9999-12-31	2013-05-08
153	2007-10-01	2008-12-31	StatoilHydro ASA	22036	4511854	9999-12-31	2013-05-08
153	2010-11-25	9999-12-31	GDF SUEZ E&P Norge AS	22036	5267845	9999-12-31	2013-05-08
153	2009-11-02	2010-11-24	Statoil Petroleum AS	22036	17237817	9999-12-31	2013-05-08
154	1989-03-03	1995-03-03	Norsk Hydro Produksjon AS	22044	430	9999-12-31	2013-05-08
155	1989-03-03	1993-02-18	A/S Norske Shell	22052	562	9999-12-31	2013-05-08
156	2001-01-11	2002-12-31	Norsk Hydro Produksjon AS	22060	430	9999-12-31	2013-05-08
156	1989-03-03	2001-01-11	Saga Petroleum ASA	22060	716	9999-12-31	2013-05-08
157	1989-03-03	1998-02-09	Den norske stats oljeselskap a.s	22068	749	9999-12-31	2013-05-08
157	1998-02-09	1999-12-31	Norsk Chevron AS	22068	40148	9999-12-31	2013-05-08
158	1989-03-03	1999-12-10	BP Petroleum Dev. of Norway AS	22076	155	9999-12-31	2013-05-08
158	1999-12-10	9999-12-31	A/S Norske Shell	22076	562	9999-12-31	2013-05-08
159	1989-03-03	2001-05-10	Den norske stats oljeselskap a.s	22084	749	9999-12-31	2013-05-08
159	2001-05-10	2007-10-01	Statoil ASA (old)	22084	1622484	9999-12-31	2013-05-08
159	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	22084	4511658	9999-12-31	2013-05-08
159	2007-10-01	2008-12-31	StatoilHydro ASA	22084	4511854	9999-12-31	2013-05-08
159	2009-11-02	9999-12-31	Statoil Petroleum AS	22084	17237817	9999-12-31	2013-05-08
160	1989-03-03	1993-11-01	Mobil Development Norway AS	22092	474	9999-12-31	2013-05-08
161	1989-03-03	1993-12-31	Norsk Hydro Produksjon AS	22100	430	9999-12-31	2013-05-08
162	1989-03-03	1991-12-31	Den norske stats oljeselskap a.s	22108	749	9999-12-31	2013-05-08
163	1991-03-01	2000-03-01	Saga Petroleum ASA	22116	716	9999-12-31	2013-05-08
164	1991-03-01	1997-03-01	BP Petroleum Dev. of Norway AS	22124	155	9999-12-31	2013-05-08
165	1991-03-01	1994-11-01	Esso Exploration and Production Norway A/S	22132	353	9999-12-31	2013-05-08
166	1991-03-01	1998-12-17	Deminex Norge AS	22140	254	9999-12-31	2013-05-08
166	1998-12-17	2002-12-31	RWE Dea Norge AS	22140	97557	9999-12-31	2013-05-08
167	1991-03-01	2001-05-10	Den norske stats oljeselskap a.s	22148	749	9999-12-31	2013-05-08
167	2001-05-10	2007-10-01	Statoil ASA (old)	22148	1622484	9999-12-31	2013-05-08
167	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	22148	4511658	9999-12-31	2013-05-08
167	2007-10-01	2008-12-31	StatoilHydro ASA	22148	4511854	9999-12-31	2013-05-08
167	2009-11-02	9999-12-31	Statoil Petroleum AS	22148	17237817	9999-12-31	2013-05-08
168	2001-05-09	2003-12-31	Amerada Hess Norge AS	22156	67	9999-12-31	2013-05-08
168	1991-03-01	2001-05-09	Den norske stats oljeselskap a.s	22156	749	9999-12-31	2013-05-08
169	1991-03-01	2007-01-01	Norsk Hydro Produksjon AS	22164	430	9999-12-31	2013-05-08
169	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	22164	4511658	9999-12-31	2013-05-08
169	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	22164	4524355	9999-12-31	2013-05-08
169	2009-11-02	9999-12-31	Statoil Petroleum AS	22164	17237817	9999-12-31	2013-05-08
170	1991-03-01	1997-12-31	Norsk Hydro Produksjon AS	22172	430	9999-12-31	2013-05-08
171	1991-03-01	2002-12-31	Norsk Hydro Produksjon AS	22180	430	9999-12-31	2013-05-08
172	1991-03-01	2003-12-31	Mobil Development Norway AS	22188	474	9999-12-31	2013-05-08
173	1991-03-01	2000-12-27	Den norske stats oljeselskap a.s	22196	749	9999-12-31	2013-05-08
174	2000-01-11	2003-12-31	Norsk Hydro Produksjon AS	22204	430	9999-12-31	2013-05-08
174	1991-03-01	2000-01-11	Saga Petroleum ASA	22204	716	9999-12-31	2013-05-08
175	1991-03-01	1999-12-31	Den norske stats oljeselskap a.s	22212	749	9999-12-31	2013-05-08
176	1991-03-01	9999-12-31	A/S Norske Shell	22220	562	9999-12-31	2013-05-08
177	1991-03-01	2000-01-01	Den norske stats oljeselskap a.s	22228	749	9999-12-31	2013-05-08
178	1991-03-01	1993-12-31	Esso Exploration and Production Norway A/S	22236	353	9999-12-31	2013-05-08
179	1991-03-01	1994-12-22	Norsk Hydro Produksjon AS	22244	430	9999-12-31	2013-05-08
180	1991-03-01	1995-04-01	Den norske stats oljeselskap a.s	22252	749	9999-12-31	2013-05-08
181	1991-03-01	1996-08-26	Norske Conoco A/S	22260	221	9999-12-31	2013-05-08
181	1996-08-26	1999-03-01	Den norske stats oljeselskap a.s	22260	749	9999-12-31	2013-05-08
182	1991-03-01	2000-12-31	Saga Petroleum ASA	22268	716	9999-12-31	2013-05-08
183	1991-03-01	1995-04-11	A/S Norske Shell	22276	562	9999-12-31	2013-05-08
184	1991-03-01	1994-07-01	Norsk Hydro Produksjon AS	22284	430	9999-12-31	2013-05-08
185	1991-09-13	2007-01-01	Norsk Hydro Produksjon AS	22292	430	9999-12-31	2013-05-08
185	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	22292	4511658	9999-12-31	2013-05-08
185	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	22292	4524355	9999-12-31	2013-05-08
185	2009-11-02	9999-12-31	Statoil Petroleum AS	22292	17237817	9999-12-31	2013-05-08
186	1993-09-10	1997-07-05	Amoco Norway AS	22300	89	9999-12-31	2013-05-08
186	1997-07-05	1999-09-10	Saga Petroleum ASA	22300	716	9999-12-31	2013-05-08
187	1993-09-10	1999-12-23	Amoco Norway AS	22308	89	9999-12-31	2013-05-08
187	1999-12-23	2002-03-12	BP Amoco Norge AS	22308	982372	9999-12-31	2013-05-08
187	2006-11-29	2007-10-01	Statoil ASA (old)	22308	1622484	9999-12-31	2013-05-08
187	2002-03-12	2006-11-29	BP Norge AS	22308	2052695	9999-12-31	2013-05-08
187	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	22308	4511658	9999-12-31	2013-05-08
187	2007-10-01	2008-12-31	StatoilHydro ASA	22308	4511854	9999-12-31	2013-05-08
187	2009-11-02	9999-12-31	Statoil Petroleum AS	22308	17237817	9999-12-31	2013-05-08
188	1993-09-10	1998-04-20	Elf Petroleum Norge AS	22316	298	9999-12-31	2013-05-08
189	1993-09-10	2001-04-23	Amerada Hess Norge AS	22324	67	9999-12-31	2013-05-08
189	2001-04-23	2004-10-01	Esso Exploration and Production Norway A/S	22324	353	9999-12-31	2013-05-08
189	2004-10-01	2005-01-01	ExxonMobil Exploration & Production Norway AS	22324	2835212	9999-12-31	2013-05-08
190	1993-09-10	2007-01-01	Norsk Hydro Produksjon AS	22332	430	9999-12-31	2013-05-08
190	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	22332	4511658	9999-12-31	2013-05-08
190	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	22332	4524355	9999-12-31	2013-05-08
190	2009-11-02	9999-12-31	Statoil Petroleum AS	22332	17237817	9999-12-31	2013-05-08
192	1993-09-10	1999-10-06	Mobil Development Norway AS	22348	474	9999-12-31	2013-05-08
193	1993-09-10	2001-05-10	Den norske stats oljeselskap a.s	22356	749	9999-12-31	2013-05-08
193	2001-05-10	2007-10-01	Statoil ASA (old)	22356	1622484	9999-12-31	2013-05-08
193	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	22356	4511658	9999-12-31	2013-05-08
193	2007-10-01	2008-12-31	StatoilHydro ASA	22356	4511854	9999-12-31	2013-05-08
193	2009-11-02	9999-12-31	Statoil Petroleum AS	22356	17237817	9999-12-31	2013-05-08
194	1993-09-10	2000-03-28	Norsk Hydro Produksjon AS	22364	430	9999-12-31	2013-05-08
195	1993-09-10	1999-12-23	BP Petroleum Dev. of Norway AS	22372	155	9999-12-31	2013-05-08
195	2000-01-01	2007-01-01	Norsk Hydro Produksjon AS	22372	430	9999-12-31	2013-05-08
195	1999-12-23	2000-01-01	BP Amoco Norge AS	22372	982372	9999-12-31	2013-05-08
195	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	22372	4511658	9999-12-31	2013-05-08
195	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	22372	4524355	9999-12-31	2013-05-08
195	2009-11-02	9999-12-31	Statoil Petroleum AS	22372	17237817	9999-12-31	2013-05-08
196	1993-09-10	1997-11-30	BP Petroleum Dev. of Norway AS	22380	155	9999-12-31	2013-05-08
196	2001-09-10	2002-03-10	No operator	22380	507	9999-12-31	2013-05-08
196	1997-11-30	2001-05-10	Den norske stats oljeselskap a.s	22380	749	9999-12-31	2013-05-08
196	2001-05-10	2001-09-10	Statoil ASA (old)	22380	1622484	9999-12-31	2013-05-08
197	1996-06-01	2002-12-31	Amerada Hess Norge AS	22388	67	9999-12-31	2013-05-08
197	1993-09-10	1996-06-01	Norske Conoco A/S	22388	221	9999-12-31	2013-05-08
198	1993-09-10	1999-09-10	Den norske stats oljeselskap a.s	22396	749	9999-12-31	2013-05-08
199	1993-09-10	1999-12-31	Saga Petroleum ASA	22404	716	9999-12-31	2013-05-08
199	2000-01-01	2001-05-10	Den norske stats oljeselskap a.s	22404	749	9999-12-31	2013-05-08
199	2001-05-10	2007-10-01	Statoil ASA (old)	22404	1622484	9999-12-31	2013-05-08
199	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	22404	4511658	9999-12-31	2013-05-08
199	2007-10-01	2008-12-31	StatoilHydro ASA	22404	4511854	9999-12-31	2013-05-08
199	2009-11-02	9999-12-31	Statoil Petroleum AS	22404	17237817	9999-12-31	2013-05-08
200	1993-09-10	2001-05-10	Den norske stats oljeselskap a.s	22412	749	9999-12-31	2013-05-08
200	2001-05-10	2003-09-10	Statoil ASA (old)	22412	1622484	9999-12-31	2013-05-08
201	1993-09-10	2003-12-31	Norsk Agip  AS	22420	45	9999-12-31	2013-05-08
201	2003-12-31	9999-12-31	Eni Norge AS	22420	2388594	9999-12-31	2013-05-08
203	1996-02-02	2002-06-14	Norsk Hydro Produksjon AS	22436	430	9999-12-31	2013-05-08
203	2002-06-14	2011-07-03	Marathon Petroleum Norge AS	22436	463	9999-12-31	2013-05-08
203	2011-07-04	9999-12-31	Marathon Oil Norge AS	22436	20485291	9999-12-31	2013-05-08
204	1996-02-02	2001-05-10	Den norske stats oljeselskap a.s	22444	749	9999-12-31	2013-05-08
204	2001-05-10	2004-02-02	Statoil ASA (old)	22444	1622484	9999-12-31	2013-05-08
205	1996-02-02	1999-12-31	Phillips Petroleum Norsk AS	22452	705	9999-12-31	2013-05-08
206	1996-02-02	2003-12-31	Mobil Development Norway AS	22460	474	9999-12-31	2013-05-08
207	1996-02-02	2000-01-20	Esso Exploration and Production Norway A/S	22468	353	9999-12-31	2013-05-08
208	1996-02-02	1999-12-23	BP Petroleum Dev. of Norway AS	22476	155	9999-12-31	2013-05-08
208	1999-12-23	2002-03-12	BP Amoco Norge AS	22476	982372	9999-12-31	2013-05-08
208	2005-04-25	2006-09-06	DONG Norge AS	22476	1853083	9999-12-31	2013-05-08
208	2002-03-12	2005-04-25	BP Norge AS	22476	2052695	9999-12-31	2013-05-08
208	2006-09-06	9999-12-31	DONG E&P Norge AS	22476	4070011	9999-12-31	2013-05-08
209	1996-02-02	2007-01-01	Norsk Hydro Produksjon AS	22484	430	9999-12-31	2013-05-08
209	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	22484	4511658	9999-12-31	2013-05-08
209	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	22484	4524355	9999-12-31	2013-05-08
209	2009-11-02	9999-12-31	Statoil Petroleum AS	22484	17237817	9999-12-31	2013-05-08
210	1996-02-02	2001-03-19	A/S Norske Shell	22492	562	9999-12-31	2013-05-08
210	2001-03-19	2002-03-12	BP Amoco Norge AS	22492	982372	9999-12-31	2013-05-08
210	2002-03-12	2006-02-02	BP Norge AS	22492	2052695	9999-12-31	2013-05-08
211	1996-02-02	2006-02-24	Mobil Development Norway AS	22500	474	9999-12-31	2013-05-08
211	2006-02-24	9999-12-31	Total E&P Norge AS	22500	2410708	9999-12-31	2013-05-08
212	1996-02-02	1999-12-23	Amoco Norway AS	22508	89	9999-12-31	2013-05-08
212	1999-12-23	2002-03-12	BP Amoco Norge AS	22508	982372	9999-12-31	2013-05-08
212	2002-03-12	9999-12-31	BP Norge AS	22508	2052695	9999-12-31	2013-05-08
213	1996-02-02	1999-12-31	Saga Petroleum ASA	22516	716	9999-12-31	2013-05-08
213	2000-01-01	2001-05-10	Den norske stats oljeselskap a.s	22516	749	9999-12-31	2013-05-08
213	2001-05-10	2007-10-01	Statoil ASA (old)	22516	1622484	9999-12-31	2013-05-08
213	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	22516	4511658	9999-12-31	2013-05-08
213	2007-10-01	2008-12-31	StatoilHydro ASA	22516	4511854	9999-12-31	2013-05-08
213	2009-11-02	2010-12-31	Statoil Petroleum AS	22516	17237817	9999-12-31	2013-05-08
214	1996-02-02	1999-03-23	A/S Norske Shell	22524	562	9999-12-31	2013-05-08
215	2001-01-11	2006-02-02	Norsk Hydro Produksjon AS	22532	430	9999-12-31	2013-05-08
215	1996-02-02	2001-01-11	Saga Petroleum ASA	22532	716	9999-12-31	2013-05-08
216	1996-02-02	1999-12-23	Amoco Norway AS	22540	89	9999-12-31	2013-05-08
216	1999-12-23	2002-02-01	BP Amoco Norge AS	22540	982372	9999-12-31	2013-05-08
217	1996-02-02	2001-05-10	Den norske stats oljeselskap a.s	22548	749	9999-12-31	2013-05-08
217	2001-05-10	2005-07-07	Statoil ASA (old)	22548	1622484	9999-12-31	2013-05-08
218	1996-02-02	1999-12-23	BP Petroleum Dev. of Norway AS	22556	155	9999-12-31	2013-05-08
218	1999-12-23	2002-03-12	BP Amoco Norge AS	22556	982372	9999-12-31	2013-05-08
218	2006-04-24	2007-10-01	Statoil ASA (old)	22556	1622484	9999-12-31	2013-05-08
218	2002-03-12	2006-04-24	BP Norge AS	22556	2052695	9999-12-31	2013-05-08
218	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	22556	4511658	9999-12-31	2013-05-08
218	2007-10-01	2008-12-31	StatoilHydro ASA	22556	4511854	9999-12-31	2013-05-08
218	2009-11-02	9999-12-31	Statoil Petroleum AS	22556	17237817	9999-12-31	2013-05-08
219	1996-02-02	2007-01-01	Norsk Hydro Produksjon AS	22564	430	9999-12-31	2013-05-08
219	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	22564	4511658	9999-12-31	2013-05-08
219	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	22564	4524355	9999-12-31	2013-05-08
219	2009-11-02	9999-12-31	Statoil Petroleum AS	22564	17237817	9999-12-31	2013-05-08
220	1996-02-02	2001-05-10	Den norske stats oljeselskap a.s	22572	749	9999-12-31	2013-05-08
220	2001-05-10	2007-10-01	Statoil ASA (old)	22572	1622484	9999-12-31	2013-05-08
220	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	22572	4511658	9999-12-31	2013-05-08
220	2007-10-01	2008-12-31	StatoilHydro ASA	22572	4511854	9999-12-31	2013-05-08
220	2009-11-02	9999-12-31	Statoil Petroleum AS	22572	17237817	9999-12-31	2013-05-08
221	1997-05-30	2002-04-30	Norsk Hydro Produksjon AS	22580	430	9999-12-31	2013-05-08
222	1997-05-30	2002-04-30	Norsk Hydro Produksjon AS	22588	430	9999-12-31	2013-05-08
223	1997-05-30	2002-04-30	Norsk Hydro Produksjon AS	22596	430	9999-12-31	2013-05-08
224	1997-05-30	2000-07-24	Elf Petroleum Norge AS	22604	298	9999-12-31	2013-05-08
224	2000-07-24	2002-05-14	TotalFinaElf Exploration Norge AS	22604	1340884	9999-12-31	2013-05-08
225	2001-01-11	2007-01-01	Norsk Hydro Produksjon AS	22612	430	9999-12-31	2013-05-08
225	1997-05-30	2001-01-11	Saga Petroleum ASA	22612	716	9999-12-31	2013-05-08
225	2007-10-01	2009-01-01	StatoilHydro Petroleum AS	22612	4511658	9999-12-31	2013-05-08
225	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	22612	4524355	9999-12-31	2013-05-08
226	2001-01-11	2007-10-01	Norsk Hydro Produksjon AS	22620	430	9999-12-31	2013-05-08
226	1997-05-30	2001-01-11	Saga Petroleum ASA	22620	716	9999-12-31	2013-05-08
226	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	22620	4511658	9999-12-31	2013-05-08
226	2009-11-02	9999-12-31	Statoil Petroleum AS	22620	17237817	9999-12-31	2013-05-08
227	2001-01-11	2007-10-01	Norsk Hydro Produksjon AS	22628	430	9999-12-31	2013-05-08
227	1997-05-30	2001-01-11	Saga Petroleum ASA	22628	716	9999-12-31	2013-05-08
227	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	22628	4511658	9999-12-31	2013-05-08
227	2009-11-02	2010-05-15	Statoil Petroleum AS	22628	17237817	9999-12-31	2013-05-08
228	2001-01-11	2007-01-01	Norsk Hydro Produksjon AS	22636	430	9999-12-31	2013-05-08
228	1997-05-30	2001-01-11	Saga Petroleum ASA	22636	716	9999-12-31	2013-05-08
228	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	22636	4511658	9999-12-31	2013-05-08
228	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	22636	4524355	9999-12-31	2013-05-08
228	2009-11-02	2010-12-31	Statoil Petroleum AS	22636	17237817	9999-12-31	2013-05-08
229	1997-05-30	2003-12-31	Norsk Agip  AS	22644	45	9999-12-31	2013-05-08
229	2003-12-31	9999-12-31	Eni Norge AS	22644	2388594	9999-12-31	2013-05-08
230	1997-05-30	2003-05-28	Mobil Development Norway AS	22652	474	9999-12-31	2013-05-08
230	2003-05-28	2007-10-01	Statoil ASA (old)	22652	1622484	9999-12-31	2013-05-08
230	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	22652	4511658	9999-12-31	2013-05-08
230	2007-10-01	2008-12-31	StatoilHydro ASA	22652	4511854	9999-12-31	2013-05-08
230	2009-11-02	9999-12-31	Statoil Petroleum AS	22652	17237817	9999-12-31	2013-05-08
231	1997-05-30	2003-05-28	Mobil Development Norway AS	22660	474	9999-12-31	2013-05-08
231	2003-05-28	2007-10-01	Statoil ASA (old)	22660	1622484	9999-12-31	2013-05-08
231	2009-01-01	2009-05-15	StatoilHydro Petroleum AS	22660	4511658	9999-12-31	2013-05-08
231	2007-10-01	2008-12-31	StatoilHydro ASA	22660	4511854	9999-12-31	2013-05-08
232	1997-05-30	2003-05-28	Mobil Development Norway AS	22668	474	9999-12-31	2013-05-08
232	2003-05-28	2007-10-01	Statoil ASA (old)	22668	1622484	9999-12-31	2013-05-08
232	2009-01-01	2009-05-15	StatoilHydro Petroleum AS	22668	4511658	9999-12-31	2013-05-08
232	2007-10-01	2008-12-31	StatoilHydro ASA	22668	4511854	9999-12-31	2013-05-08
233	1997-05-30	2001-05-10	Den norske stats oljeselskap a.s	22676	749	9999-12-31	2013-05-08
233	2001-05-10	2007-05-15	Statoil ASA (old)	22676	1622484	9999-12-31	2013-05-08
234	1997-05-30	2001-05-10	Den norske stats oljeselskap a.s	22684	749	9999-12-31	2013-05-08
234	2001-05-10	2007-05-15	Statoil ASA (old)	22684	1622484	9999-12-31	2013-05-08
235	1997-05-30	2001-05-10	Den norske stats oljeselskap a.s	22692	749	9999-12-31	2013-05-08
235	2001-05-10	2007-05-15	Statoil ASA (old)	22692	1622484	9999-12-31	2013-05-08
236	1997-05-30	2001-05-10	Den norske stats oljeselskap a.s	22700	749	9999-12-31	2013-05-08
236	2001-05-10	2007-05-15	Statoil ASA (old)	22700	1622484	9999-12-31	2013-05-08
025	1969-05-23	1997-10-31	Elf Petroleum Norge AS	34512	298	9999-12-31	2013-05-08
025	1997-10-31	2001-05-10	Den norske stats oljeselskap a.s	34512	749	9999-12-31	2013-05-08
025	2001-05-10	2007-10-01	Statoil ASA (old)	34512	1622484	9999-12-31	2013-05-08
025	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	34512	4511658	9999-12-31	2013-05-08
025	2007-10-01	2008-12-31	StatoilHydro ASA	34512	4511854	9999-12-31	2013-05-08
025	2009-11-02	9999-12-31	Statoil Petroleum AS	34512	17237817	9999-12-31	2013-05-08
079	1982-08-20	2007-01-01	Norsk Hydro Produksjon AS	34635	430	9999-12-31	2013-05-08
079	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	34635	4511658	9999-12-31	2013-05-08
079	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	34635	4524355	9999-12-31	2013-05-08
079	2009-11-02	9999-12-31	Statoil Petroleum AS	34635	17237817	9999-12-31	2013-05-08
102 B	1998-01-22	2000-07-24	Elf Petroleum Norge AS	40264	298	9999-12-31	2013-05-08
102 B	2000-07-24	2002-12-31	TotalFinaElf Exploration Norge AS	40264	1340884	9999-12-31	2013-05-08
103 B	1998-01-22	2002-07-05	Norske Conoco A/S	40772	221	9999-12-31	2013-05-08
103 B	2002-07-05	2004-01-01	Det Norske Oljeselskap AS	40772	1340609	9999-12-31	2013-05-08
103 B	2004-01-01	2008-07-31	Lundin Norway AS	40772	2767314	9999-12-31	2013-05-08
103 B	2008-07-31	2009-12-21	Det norske oljeselskap ASA (old)	40772	4539989	9999-12-31	2013-05-08
103 B	2009-12-22	9999-12-31	Det norske oljeselskap ASA	40772	17342870	9999-12-31	2013-05-08
237	1998-01-30	2001-05-10	Den norske stats oljeselskap a.s	41327	749	9999-12-31	2013-05-08
237	2001-05-10	2007-10-01	Statoil ASA (old)	41327	1622484	9999-12-31	2013-05-08
237	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	41327	4511658	9999-12-31	2013-05-08
237	2007-10-01	2008-12-31	StatoilHydro ASA	41327	4511854	9999-12-31	2013-05-08
237	2009-11-02	9999-12-31	Statoil Petroleum AS	41327	17237817	9999-12-31	2013-05-08
128 B	1998-01-30	2001-05-10	Den norske stats oljeselskap a.s	41361	749	9999-12-31	2013-05-08
128 B	2001-05-10	2007-10-01	Statoil ASA (old)	41361	1622484	9999-12-31	2013-05-08
128 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	41361	4511658	9999-12-31	2013-05-08
128 B	2007-10-01	2008-12-31	StatoilHydro ASA	41361	4511854	9999-12-31	2013-05-08
128 B	2009-11-02	9999-12-31	Statoil Petroleum AS	41361	17237817	9999-12-31	2013-05-08
019 C	1998-09-14	1999-12-23	BP Petroleum Dev. of Norway AS	47992	155	9999-12-31	2013-05-08
019 C	1999-12-23	2002-03-12	BP Amoco Norge AS	47992	982372	9999-12-31	2013-05-08
019 C	2002-03-12	2003-07-04	BP Norge AS	47992	2052695	9999-12-31	2013-05-08
019 C	2003-07-04	9999-12-31	Talisman Energy Norge AS	47992	2425093	9999-12-31	2013-05-08
037 B	1998-09-14	2001-05-10	Den norske stats oljeselskap a.s	48081	749	9999-12-31	2013-05-08
037 B	2001-05-10	2007-10-01	Statoil ASA (old)	48081	1622484	9999-12-31	2013-05-08
037 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	48081	4511658	9999-12-31	2013-05-08
037 B	2007-10-01	2008-12-31	StatoilHydro ASA	48081	4511854	9999-12-31	2013-05-08
037 B	2009-11-02	9999-12-31	Statoil Petroleum AS	48081	17237817	9999-12-31	2013-05-08
053 B	1998-09-14	2007-01-01	Norsk Hydro Produksjon AS	48207	430	9999-12-31	2013-05-08
053 B	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	48207	4511658	9999-12-31	2013-05-08
053 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	48207	4524355	9999-12-31	2013-05-08
053 B	2009-11-02	9999-12-31	Statoil Petroleum AS	48207	17237817	9999-12-31	2013-05-08
337	2006-03-01	2007-11-16	Pertra ASA	2986484	3964368	9999-12-31	2013-05-08
114 C	1998-09-03	2001-05-10	Den norske stats oljeselskap a.s	90914	749	9999-12-31	2013-05-08
114 C	2001-05-10	2001-12-31	Statoil ASA (old)	90914	1622484	9999-12-31	2013-05-08
238	1999-06-04	2002-03-21	Norsk Agip  AS	102103	45	9999-12-31	2013-05-08
241	1999-06-04	2004-10-01	Esso Exploration and Production Norway A/S	102131	353	9999-12-31	2013-05-08
241	2004-10-01	2006-06-04	ExxonMobil Exploration & Production Norway AS	102131	2835212	9999-12-31	2013-05-08
239	1999-06-04	2003-11-27	Norsk Agip  AS	102157	45	9999-12-31	2013-05-08
239	2003-11-27	2005-06-04	DONG Norge AS	102157	1853083	9999-12-31	2013-05-08
240	1999-06-04	1999-12-23	Amoco Norway AS	102217	89	9999-12-31	2013-05-08
240	1999-12-23	2002-03-12	BP Amoco Norge AS	102217	982372	9999-12-31	2013-05-08
240	2002-03-12	2003-06-04	BP Norge AS	102217	2052695	9999-12-31	2013-05-08
242	1999-06-04	2004-10-01	Esso Exploration and Production Norway A/S	102226	353	9999-12-31	2013-05-08
242	2005-06-01	2007-06-20	Det Norske Oljeselskap AS	102226	1340609	9999-12-31	2013-05-08
242	2004-10-01	2005-06-01	ExxonMobil Exploration & Production Norway AS	102226	2835212	9999-12-31	2013-05-08
242	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	102226	4468177	9999-12-31	2013-05-08
242	2007-11-16	2008-01-01	Noil Energy ASA	102226	4539976	9999-12-31	2013-05-08
242	2008-01-01	2009-12-21	Det norske oljeselskap ASA (old)	102226	4539989	9999-12-31	2013-05-08
242	2009-12-22	9999-12-31	Det norske oljeselskap ASA	102226	17342870	9999-12-31	2013-05-08
243	1999-06-04	1999-12-23	Amoco Norway AS	102235	89	9999-12-31	2013-05-08
243	1999-12-23	2002-03-12	BP Amoco Norge AS	102235	982372	9999-12-31	2013-05-08
243	2002-03-12	2004-01-01	BP Norge AS	102235	2052695	9999-12-31	2013-05-08
244	1999-06-04	2002-12-31	Norsk Hydro Produksjon AS	102244	430	9999-12-31	2013-05-08
245	1999-06-04	2001-05-10	Den norske stats oljeselskap a.s	102258	749	9999-12-31	2013-05-08
245	2001-05-10	2004-12-30	Statoil ASA (old)	102258	1622484	9999-12-31	2013-05-08
246	1999-06-04	2002-08-31	A/S Norske Shell	102267	562	9999-12-31	2013-05-08
247	1999-06-04	2002-08-29	Norsk Hydro Produksjon AS	102276	430	9999-12-31	2013-05-08
248	1999-06-04	2007-01-01	Norsk Hydro Produksjon AS	102285	430	9999-12-31	2013-05-08
248	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	102285	4511658	9999-12-31	2013-05-08
248	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	102285	4524355	9999-12-31	2013-05-08
248	2009-11-02	9999-12-31	Statoil Petroleum AS	102285	17237817	9999-12-31	2013-05-08
249	1999-06-04	2007-01-01	Norsk Hydro Produksjon AS	102294	430	9999-12-31	2013-05-08
249	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	102294	4238233	9999-12-31	2013-05-08
249	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	102294	4511658	9999-12-31	2013-05-08
249	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	102294	4524355	9999-12-31	2013-05-08
249	2009-11-02	2012-04-29	Statoil Petroleum AS	102294	17237817	9999-12-31	2013-05-08
050 C	1999-06-04	2001-05-10	Den norske stats oljeselskap a.s	102490	749	9999-12-31	2013-05-08
050 C	2001-05-10	2007-10-01	Statoil ASA (old)	102490	1622484	9999-12-31	2013-05-08
050 C	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	102490	4511658	9999-12-31	2013-05-08
050 C	2007-10-01	2008-12-31	StatoilHydro ASA	102490	4511854	9999-12-31	2013-05-08
050 C	2009-11-02	9999-12-31	Statoil Petroleum AS	102490	17237817	9999-12-31	2013-05-08
055 B	1999-06-04	2007-01-01	Norsk Hydro Produksjon AS	102499	430	9999-12-31	2013-05-08
055 B	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	102499	4511658	9999-12-31	2013-05-08
055 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	102499	4524355	9999-12-31	2013-05-08
055 B	2009-11-02	9999-12-31	Statoil Petroleum AS	102499	17237817	9999-12-31	2013-05-08
250	1999-10-22	9999-12-31	A/S Norske Shell	115537	562	9999-12-31	2013-05-08
037 C	2000-01-14	2001-05-10	Den norske stats oljeselskap a.s	853671	749	9999-12-31	2013-05-08
037 C	2001-05-10	2007-10-01	Statoil ASA (old)	853671	1622484	9999-12-31	2013-05-08
037 C	2008-01-11	2009-01-16	Revus Energy ASA	853671	3431773	9999-12-31	2013-05-08
037 C	2007-10-01	2008-01-11	StatoilHydro ASA	853671	4511854	9999-12-31	2013-05-08
037 C	2009-01-17	2012-03-23	Wintershall Norge ASA	853671	5442509	9999-12-31	2013-05-08
037 C	2012-03-24	9999-12-31	Wintershall Norge AS	853671	21666830	9999-12-31	2013-05-08
001 B	1999-12-15	2004-10-01	Esso Exploration and Production Norway A/S	917266	353	9999-12-31	2013-05-08
001 B	2005-06-01	2007-06-20	Det Norske Oljeselskap AS	917266	1340609	9999-12-31	2013-05-08
001 B	2004-10-01	2005-06-01	ExxonMobil Exploration & Production Norway AS	917266	2835212	9999-12-31	2013-05-08
001 B	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	917266	4468177	9999-12-31	2013-05-08
001 B	2007-11-16	2008-01-01	Noil Energy ASA	917266	4539976	9999-12-31	2013-05-08
001 B	2008-01-01	2009-12-21	Det norske oljeselskap ASA (old)	917266	4539989	9999-12-31	2013-05-08
001 B	2009-12-22	9999-12-31	Det norske oljeselskap ASA	917266	17342870	9999-12-31	2013-05-08
027 B	1999-12-15	2004-10-01	Esso Exploration and Production Norway A/S	917344	353	9999-12-31	2013-05-08
027 B	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	917344	2835212	9999-12-31	2013-05-08
028 B	1999-12-15	2004-10-01	Esso Exploration and Production Norway A/S	917484	353	9999-12-31	2013-05-08
028 B	2005-06-01	2007-06-20	Det Norske Oljeselskap AS	917484	1340609	9999-12-31	2013-05-08
028 B	2004-10-01	2005-06-01	ExxonMobil Exploration & Production Norway AS	917484	2835212	9999-12-31	2013-05-08
028 B	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	917484	4468177	9999-12-31	2013-05-08
028 B	2007-11-16	2008-01-01	Noil Energy ASA	917484	4539976	9999-12-31	2013-05-08
028 B	2008-01-01	2009-12-21	Det norske oljeselskap ASA (old)	917484	4539989	9999-12-31	2013-05-08
028 B	2009-12-22	9999-12-31	Det norske oljeselskap ASA	917484	17342870	9999-12-31	2013-05-08
134 B	2000-01-14	2001-05-10	Den norske stats oljeselskap a.s	1025257	749	9999-12-31	2013-05-08
134 B	2001-05-10	2007-10-01	Statoil ASA (old)	1025257	1622484	9999-12-31	2013-05-08
134 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	1025257	4511658	9999-12-31	2013-05-08
134 B	2007-10-01	2008-12-31	StatoilHydro ASA	1025257	4511854	9999-12-31	2013-05-08
134 B	2009-11-02	9999-12-31	Statoil Petroleum AS	1025257	17237817	9999-12-31	2013-05-08
169 B1	2000-03-01	2007-01-01	Norsk Hydro Produksjon AS	1030964	430	9999-12-31	2013-05-08
169 B1	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	1030964	4511658	9999-12-31	2013-05-08
169 B1	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	1030964	4524355	9999-12-31	2013-05-08
169 B1	2009-11-02	9999-12-31	Statoil Petroleum AS	1030964	17237817	9999-12-31	2013-05-08
169 B2	2000-03-01	2007-01-01	Norsk Hydro Produksjon AS	1031002	430	9999-12-31	2013-05-08
169 B2	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	1031002	4511658	9999-12-31	2013-05-08
169 B2	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	1031002	4524355	9999-12-31	2013-05-08
169 B2	2009-11-02	9999-12-31	Statoil Petroleum AS	1031002	17237817	9999-12-31	2013-05-08
251	2000-05-12	2001-05-10	Den norske stats oljeselskap a.s	1032893	749	9999-12-31	2013-05-08
251	2001-05-10	2007-10-01	Statoil ASA (old)	1032893	1622484	9999-12-31	2013-05-08
251	2007-10-01	2008-05-12	StatoilHydro ASA	1032893	4511854	9999-12-31	2013-05-08
252	2000-05-12	2003-05-12	Norsk Hydro Produksjon AS	1032911	430	9999-12-31	2013-05-08
253	2000-05-12	2007-01-01	Norsk Hydro Produksjon AS	1032927	430	9999-12-31	2013-05-08
253	2007-10-01	2008-05-12	StatoilHydro Petroleum AS	1032927	4511658	9999-12-31	2013-05-08
253	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	1032927	4524355	9999-12-31	2013-05-08
254	2000-05-12	2002-03-12	BP Amoco Norge AS	1032954	982372	9999-12-31	2013-05-08
254	2002-03-12	2004-12-31	BP Norge AS	1032954	2052695	9999-12-31	2013-05-08
255	2000-05-12	9999-12-31	A/S Norske Shell	1032979	562	9999-12-31	2013-05-08
256	2000-05-12	2003-12-31	Norsk Agip  AS	1032995	45	9999-12-31	2013-05-08
256	2003-12-31	2008-02-04	Eni Norge AS	1032995	2388594	9999-12-31	2013-05-08
256	2008-02-04	2009-12-21	Aker Exploration AS	1032995	4460425	9999-12-31	2013-05-08
256	2009-12-22	2011-01-01	Det norske oljeselskap AS	1032995	17342915	9999-12-31	2013-05-08
257	2000-05-12	2001-05-10	Den norske stats oljeselskap a.s	1033013	749	9999-12-31	2013-05-08
257	2001-05-10	2007-10-01	Statoil ASA (old)	1033013	1622484	9999-12-31	2013-05-08
257	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	1033013	4511658	9999-12-31	2013-05-08
257	2007-10-01	2008-12-31	StatoilHydro ASA	1033013	4511854	9999-12-31	2013-05-08
257	2009-11-02	9999-12-31	Statoil Petroleum AS	1033013	17237817	9999-12-31	2013-05-08
258	2000-05-12	2000-07-24	Elf Petroleum Norge AS	1033029	298	9999-12-31	2013-05-08
258	2000-07-24	2003-05-06	TotalFinaElf Exploration Norge AS	1033029	1340884	9999-12-31	2013-05-08
258	2003-05-06	2003-09-29	Total E&P Norge AS	1033029	2410708	9999-12-31	2013-05-08
259	2000-05-12	2002-11-19	Norsk Chevron AS	1033049	40148	9999-12-31	2013-05-08
259	2002-11-19	2004-02-05	Chevron Texaco Norge AS	1033049	2154473	9999-12-31	2013-05-08
259	2004-02-05	2010-01-01	Eni Norge AS	1033049	2388594	9999-12-31	2013-05-08
260	2000-05-12	2002-03-12	BP Amoco Norge AS	1033065	982372	9999-12-31	2013-05-08
260	2002-03-12	2004-02-12	BP Norge AS	1033065	2052695	9999-12-31	2013-05-08
261	2000-05-12	2002-03-12	BP Amoco Norge AS	1033077	982372	9999-12-31	2013-05-08
261	2002-03-12	9999-12-31	BP Norge AS	1033077	2052695	9999-12-31	2013-05-08
262	2000-05-12	2002-03-12	BP Amoco Norge AS	1033093	982372	9999-12-31	2013-05-08
262	2002-03-12	9999-12-31	BP Norge AS	1033093	2052695	9999-12-31	2013-05-08
263	2000-05-12	2007-01-01	Norsk Hydro Produksjon AS	1033111	430	9999-12-31	2013-05-08
263	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	1033111	4511658	9999-12-31	2013-05-08
263	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	1033111	4524355	9999-12-31	2013-05-08
263	2009-11-02	9999-12-31	Statoil Petroleum AS	1033111	17237817	9999-12-31	2013-05-08
264	2006-05-24	2013-01-01	Eni Norge AS	1033127	2388594	2013-01-03	2013-05-08
264	2004-10-01	2006-05-24	ExxonMobil Exploration & Production Norway AS	1033127	2835212	9999-12-31	2013-05-08
264	2000-05-12	2004-10-01	ExxonMobil Production Norway Inc.	1033127	2943980	9999-12-31	2013-05-08
191	1993-09-10	2003-09-10	Norsk Hydro Produksjon AS	1043631	430	9999-12-31	2013-05-08
006 B	2000-10-09	2002-03-12	BP Amoco Norge AS	1333048	982372	9999-12-31	2013-05-08
006 B	2002-03-12	9999-12-31	BP Norge AS	1333048	2052695	9999-12-31	2013-05-08
006 C	2001-04-25	2003-01-21	Amerada Hess Norge AS	1333089	67	9999-12-31	2013-05-08
006 C	2000-10-09	2001-04-25	BP Amoco Norge AS	1333089	982372	9999-12-31	2013-05-08
006 C	2003-01-21	2004-01-01	Det Norske Oljeselskap AS	1333089	1340609	9999-12-31	2013-05-08
006 C	2004-01-01	9999-12-31	Lundin Norway AS	1333089	2767314	9999-12-31	2013-05-08
027 C	2000-10-09	2004-10-01	Esso Exploration and Production Norway A/S	1333301	353	9999-12-31	2013-05-08
027 C	2004-10-01	9999-12-31	ExxonMobil Exploration & Production Norway AS	1333301	2835212	9999-12-31	2013-05-08
028 C	2000-10-09	2001-09-24	Esso Exploration and Production Norway A/S	1333344	353	9999-12-31	2013-05-08
028 C	2001-09-24	2007-01-01	Norsk Hydro Produksjon AS	1333344	430	9999-12-31	2013-05-08
028 C	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	1333344	4511658	9999-12-31	2013-05-08
028 C	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	1333344	4524355	9999-12-31	2013-05-08
028 C	2009-11-02	9999-12-31	Statoil Petroleum AS	1333344	17237817	9999-12-31	2013-05-08
171 B	2000-10-09	2007-01-01	Norsk Hydro Produksjon AS	1333384	430	9999-12-31	2013-05-08
171 B	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	1333384	4511658	9999-12-31	2013-05-08
171 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	1333384	4524355	9999-12-31	2013-05-08
171 B	2009-11-02	9999-12-31	Statoil Petroleum AS	1333384	17237817	9999-12-31	2013-05-08
048 B	2001-01-10	2001-05-10	Den norske stats oljeselskap a.s	1342723	749	9999-12-31	2013-05-08
048 B	2001-05-10	2007-10-01	Statoil ASA (old)	1342723	1622484	9999-12-31	2013-05-08
048 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	1342723	4511658	9999-12-31	2013-05-08
048 B	2007-10-01	2008-12-31	StatoilHydro ASA	1342723	4511854	9999-12-31	2013-05-08
048 B	2009-11-02	9999-12-31	Statoil Petroleum AS	1342723	17237817	9999-12-31	2013-05-08
033 B	2001-05-04	2002-03-12	BP Amoco Norge AS	1622353	982372	9999-12-31	2013-05-08
033 B	2002-03-12	9999-12-31	BP Norge AS	1622353	2052695	9999-12-31	2013-05-08
265	2001-04-27	2001-05-10	Den norske stats oljeselskap a.s	1624237	749	9999-12-31	2013-05-08
265	2001-05-10	2007-10-01	Statoil ASA (old)	1624237	1622484	9999-12-31	2013-05-08
265	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	1624237	4511658	9999-12-31	2013-05-08
265	2007-10-01	2008-12-31	StatoilHydro ASA	1624237	4511854	9999-12-31	2013-05-08
265	2009-11-02	9999-12-31	Statoil Petroleum AS	1624237	17237817	9999-12-31	2013-05-08
266	2001-04-27	2001-12-31	Enterprise Oil Norwegian AS	1624332	342	9999-12-31	2013-05-08
266	2002-01-01	2006-12-22	Enterprise Oil Norge AS	1624332	1853786	9999-12-31	2013-05-08
267	2001-04-27	2001-12-31	Enterprise Oil Norwegian AS	1624349	342	9999-12-31	2013-05-08
267	2002-01-01	2006-12-22	Enterprise Oil Norge AS	1624349	1853786	9999-12-31	2013-05-08
268	2001-04-27	2003-03-22	Norske Conoco A/S	1624366	221	9999-12-31	2013-05-08
268	2003-03-22	2004-10-31	Norske ConocoPhillips AS	1624366	2399056	9999-12-31	2013-05-08
269	2005-10-04	2007-01-01	Norsk Hydro Produksjon AS	1624410	430	9999-12-31	2013-05-08
269	2001-04-27	2003-05-06	Phillips Petroleum Norsk AS	1624410	705	9999-12-31	2013-05-08
269	2003-05-06	2005-10-04	ConocoPhillips Skandinavia AS	1624410	2410696	9999-12-31	2013-05-08
269	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	1624410	4511658	9999-12-31	2013-05-08
269	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	1624410	4524355	9999-12-31	2013-05-08
269	2009-11-02	9999-12-31	Statoil Petroleum AS	1624410	17237817	9999-12-31	2013-05-08
270	2001-04-27	2007-08-14	RWE Dea Norge AS	1624436	97557	9999-12-31	2013-05-08
270	2007-08-14	2009-05-26	Endeavour Energy Norge AS	1624436	3113213	9999-12-31	2013-05-08
270	2009-05-26	2009-09-30	VNG Norge (Operations) AS	1624436	5497155	9999-12-31	2013-05-08
270	2009-10-01	9999-12-31	VNG Norge AS	1624436	17237193	9999-12-31	2013-05-08
029 B	2001-05-11	2004-10-01	Esso Exploration and Production Norway A/S	1626782	353	9999-12-31	2013-05-08
029 B	2004-10-01	2010-02-08	ExxonMobil Exploration & Production Norway AS	1626782	2835212	9999-12-31	2013-05-08
029 B	2010-02-09	9999-12-31	Statoil Petroleum AS	1626782	17237817	9999-12-31	2013-05-08
072 B	2001-09-24	2004-10-01	Esso Exploration and Production Norway A/S	1630345	353	9999-12-31	2013-05-08
072 B	2005-09-06	2007-10-01	Statoil ASA (old)	1630345	1622484	9999-12-31	2013-05-08
072 B	2004-10-01	2005-09-06	ExxonMobil Exploration & Production Norway AS	1630345	2835212	9999-12-31	2013-05-08
072 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	1630345	4511658	9999-12-31	2013-05-08
072 B	2007-10-01	2008-12-31	StatoilHydro ASA	1630345	4511854	9999-12-31	2013-05-08
072 B	2009-11-02	9999-12-31	Statoil Petroleum AS	1630345	17237817	9999-12-31	2013-05-08
052 B	2001-11-30	2007-10-01	Statoil ASA (old)	1840712	1622484	9999-12-31	2013-05-08
052 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	1840712	4511658	9999-12-31	2013-05-08
052 B	2007-10-01	2008-12-31	StatoilHydro ASA	1840712	4511854	9999-12-31	2013-05-08
052 B	2009-11-02	9999-12-31	Statoil Petroleum AS	1840712	17237817	9999-12-31	2013-05-08
085 C	2002-01-25	2007-01-01	Norsk Hydro Produksjon AS	2051285	430	9999-12-31	2013-05-08
085 C	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	2051285	4511658	9999-12-31	2013-05-08
085 C	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2051285	4524355	9999-12-31	2013-05-08
085 C	2009-11-02	9999-12-31	Statoil Petroleum AS	2051285	17237817	9999-12-31	2013-05-08
271	2002-03-15	2007-01-01	Norsk Hydro Produksjon AS	2060218	430	9999-12-31	2013-05-08
271	2007-10-01	2009-03-15	StatoilHydro Petroleum AS	2060218	4511658	9999-12-31	2013-05-08
271	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2060218	4524355	9999-12-31	2013-05-08
272	2002-03-15	2007-01-01	Norsk Hydro Produksjon AS	2060232	430	9999-12-31	2013-05-08
272	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	2060232	4511658	9999-12-31	2013-05-08
272	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2060232	4524355	9999-12-31	2013-05-08
272	2009-11-02	9999-12-31	Statoil Petroleum AS	2060232	17237817	9999-12-31	2013-05-08
273	2002-03-15	2003-05-06	Phillips Petroleum Norsk AS	2060246	705	9999-12-31	2013-05-08
273	2003-05-06	2010-12-31	ConocoPhillips Skandinavia AS	2060246	2410696	9999-12-31	2013-05-08
274	2002-03-15	2002-04-17	Pelican AS	2060266	606	9999-12-31	2013-05-08
274	2002-04-17	2006-09-06	DONG Norge AS	2060266	1853083	9999-12-31	2013-05-08
274	2006-09-06	9999-12-31	DONG E&P Norge AS	2060266	4070011	9999-12-31	2013-05-08
275	2002-03-15	2003-05-06	Phillips Petroleum Norsk AS	2060278	705	9999-12-31	2013-05-08
275	2003-05-06	9999-12-31	ConocoPhillips Skandinavia AS	2060278	2410696	9999-12-31	2013-05-08
276	2002-03-15	2005-03-15	Statoil ASA (old)	2060300	1622484	9999-12-31	2013-05-08
277	2002-03-15	2007-10-01	Statoil ASA (old)	2060336	1622484	9999-12-31	2013-05-08
277	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	2060336	4511658	9999-12-31	2013-05-08
277	2007-10-01	2008-12-31	StatoilHydro ASA	2060336	4511854	9999-12-31	2013-05-08
277	2009-11-02	9999-12-31	Statoil Petroleum AS	2060336	17237817	9999-12-31	2013-05-08
278	2002-03-15	2005-04-21	RWE Dea Norge AS	2060350	97557	9999-12-31	2013-05-08
279	2002-03-15	2004-04-16	RWE Dea Norge AS	2060367	97557	9999-12-31	2013-05-08
280	2002-03-15	2003-03-08	Kerr-McGee Norway AS	2060385	2051482	9999-12-31	2013-05-08
280	2003-03-08	2004-05-10	CNR International (UK) Limited	2060385	2385943	9999-12-31	2013-05-08
281	2002-06-14	2007-10-01	Statoil ASA (old)	2073488	1622484	9999-12-31	2013-05-08
281	2009-01-01	2009-06-14	StatoilHydro Petroleum AS	2073488	4511658	9999-12-31	2013-05-08
281	2007-10-01	2008-12-31	StatoilHydro ASA	2073488	4511854	9999-12-31	2013-05-08
282	2002-06-14	2006-06-14	A/S Norske Shell	2073510	562	9999-12-31	2013-05-08
283	2002-06-14	2007-01-01	Norsk Hydro Produksjon AS	2073530	430	9999-12-31	2013-05-08
283	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	2073530	4511658	9999-12-31	2013-05-08
283	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2073530	4524355	9999-12-31	2013-05-08
283	2009-11-02	2012-01-01	Statoil Petroleum AS	2073530	17237817	9999-12-31	2013-05-08
284	2002-06-14	2003-05-06	Phillips Petroleum Norsk AS	2073548	705	9999-12-31	2013-05-08
284	2003-05-06	2005-03-30	ConocoPhillips Skandinavia AS	2073548	2410696	9999-12-31	2013-05-08
285	2002-06-14	2003-12-31	Norsk Agip  AS	2073564	45	9999-12-31	2013-05-08
285	2003-12-31	2005-06-14	Eni Norge AS	2073564	2388594	9999-12-31	2013-05-08
286	2002-06-14	2007-01-01	Norsk Hydro Produksjon AS	2073578	430	9999-12-31	2013-05-08
286	2007-10-01	2008-06-14	StatoilHydro Petroleum AS	2073578	4511658	9999-12-31	2013-05-08
286	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2073578	4524355	9999-12-31	2013-05-08
094 B	2002-06-14	2007-10-01	Statoil ASA (old)	2092082	1622484	9999-12-31	2013-05-08
094 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	2092082	4511658	9999-12-31	2013-05-08
094 B	2007-10-01	2008-12-31	StatoilHydro ASA	2092082	4511854	9999-12-31	2013-05-08
094 B	2009-11-02	9999-12-31	Statoil Petroleum AS	2092082	17237817	9999-12-31	2013-05-08
212 B	2002-06-14	9999-12-31	BP Norge AS	2092275	2052695	9999-12-31	2013-05-08
122 B	2002-06-14	2003-12-31	Norsk Agip  AS	2134110	45	9999-12-31	2013-05-08
122 B	2003-12-31	9999-12-31	Eni Norge AS	2134110	2388594	9999-12-31	2013-05-08
018 C	2003-04-25	2003-05-06	Phillips Petroleum Norsk AS	2246113	705	9999-12-31	2013-05-08
018 C	2004-11-12	2006-01-26	Kerr-McGee Norway AS	2246113	2051482	9999-12-31	2013-05-08
018 C	2002-12-20	2003-04-25	ConocoPhillips Norge	2246113	2144081	9999-12-31	2013-05-08
018 C	2003-05-06	2004-11-12	ConocoPhillips Skandinavia AS	2246113	2410696	9999-12-31	2013-05-08
018 C	2006-01-26	2007-09-22	Maersk Oil Norway AS (old2)	2246113	3960921	9999-12-31	2013-05-08
018 C	2007-09-22	2011-10-27	Maersk Oil PL 018C Norway AS	2246113	4703832	9999-12-31	2013-05-08
018 C	2011-10-28	9999-12-31	Maersk Oil Norway AS	2246113	4719674	9999-12-31	2013-05-08
038 B	2003-04-11	2005-03-31	Pertra AS (OLD)	2407278	2069841	9999-12-31	2013-05-08
038 B	2005-04-29	2006-04-11	Talisman Energy Norge AS	2407278	2425093	9999-12-31	2013-05-08
038 B	2005-03-31	2005-04-29	Talisman Production Norge AS	2407278	3420565	9999-12-31	2013-05-08
287	2003-04-11	2004-10-01	Esso Exploration and Production Norway A/S	2407356	353	9999-12-31	2013-05-08
287	2004-10-01	2004-12-14	ExxonMobil Exploration & Production Norway AS	2407356	2835212	9999-12-31	2013-05-08
289	2003-04-11	2006-09-06	DONG Norge AS	2407454	1853083	9999-12-31	2013-05-08
289	2006-09-06	9999-12-31	DONG E&P Norge AS	2407454	4070011	9999-12-31	2013-05-08
290	2003-04-11	2004-04-11	RWE Dea Norge AS	2407486	97557	9999-12-31	2013-05-08
291	2003-04-11	2006-04-11	Norsk Hydro Produksjon AS	2407510	430	9999-12-31	2013-05-08
295	2003-04-11	2004-10-01	Esso Exploration and Production Norway A/S	2407550	353	9999-12-31	2013-05-08
295	2004-10-01	2005-04-11	ExxonMobil Exploration & Production Norway AS	2407550	2835212	9999-12-31	2013-05-08
292	2003-04-11	2004-01-01	Det Norske Oljeselskap AS	2407572	1340609	9999-12-31	2013-05-08
292	2005-05-09	9999-12-31	BG Norge AS	2407572	2747354	9999-12-31	2013-05-08
292	2004-01-01	2005-05-09	Lundin Norway AS	2407572	2767314	9999-12-31	2013-05-08
293	2003-04-11	2003-12-31	Norsk Agip  AS	2407711	45	9999-12-31	2013-05-08
293	2003-12-31	9999-12-31	Eni Norge AS	2407711	2388594	9999-12-31	2013-05-08
294	2003-04-11	2006-04-11	Norsk Hydro Produksjon AS	2407753	430	9999-12-31	2013-05-08
167 B	2003-04-11	2007-10-01	Statoil ASA (old)	2407874	1622484	9999-12-31	2013-05-08
167 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	2407874	4511658	9999-12-31	2013-05-08
167 B	2007-10-01	2008-12-31	StatoilHydro ASA	2407874	4511854	9999-12-31	2013-05-08
167 B	2009-11-02	9999-12-31	Statoil Petroleum AS	2407874	17237817	9999-12-31	2013-05-08
288	2003-04-11	2006-04-11	DONG Norge AS	2407909	1853083	9999-12-31	2013-05-08
055 C	2003-06-27	2007-01-01	Norsk Hydro Produksjon AS	2424830	430	9999-12-31	2013-05-08
055 C	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	2424830	4511658	9999-12-31	2013-05-08
055 C	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2424830	4524355	9999-12-31	2013-05-08
055 C	2009-11-02	9999-12-31	Statoil Petroleum AS	2424830	17237817	9999-12-31	2013-05-08
143 BS	2003-06-27	2006-03-22	Paladin Resources Norge AS	2424891	1577943	9999-12-31	2013-05-08
143 BS	2006-11-16	9999-12-31	Talisman Energy Norge AS	2424891	2425093	9999-12-31	2013-05-08
143 BS	2006-03-22	2006-11-16	Talisman Resources Norge AS	2424891	3987574	9999-12-31	2013-05-08
143 CS	2003-06-27	2006-03-22	Paladin Resources Norge AS	2424919	1577943	9999-12-31	2013-05-08
143 CS	2006-11-16	2007-01-01	Talisman Energy Norge AS	2424919	2425093	9999-12-31	2013-05-08
143 CS	2006-03-22	2006-11-16	Talisman Resources Norge AS	2424919	3987574	9999-12-31	2013-05-08
036 BS	2003-10-13	2007-01-01	Norsk Hydro Produksjon AS	2473189	430	9999-12-31	2013-05-08
036 BS	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	2473189	4511658	9999-12-31	2013-05-08
036 BS	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2473189	4524355	9999-12-31	2013-05-08
036 BS	2009-11-02	9999-12-31	Statoil Petroleum AS	2473189	17237817	9999-12-31	2013-05-08
036 C	2003-10-13	2003-10-19	Norsk Hydro Produksjon AS	2473241	430	9999-12-31	2013-05-08
036 C	2003-10-20	2011-07-03	Marathon Petroleum Norge AS	2473241	463	9999-12-31	2013-05-08
036 C	2011-07-04	9999-12-31	Marathon Oil Norge AS	2473241	20485291	9999-12-31	2013-05-08
296	2003-12-12	2007-01-01	Norsk Hydro Produksjon AS	2490197	430	9999-12-31	2013-05-08
296	2004-06-11	2004-09-06	Maersk Olie og Gass  A/S	2490197	2777	9999-12-31	2013-05-08
296	2004-09-06	2007-09-22	Maersk Oil Exploration Norway AS	2490197	3960933	9999-12-31	2013-05-08
296	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	2490197	4511658	9999-12-31	2013-05-08
296	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2490197	4524355	9999-12-31	2013-05-08
296	2007-09-22	2009-12-12	Maersk Oil Norway AS	2490197	4719674	9999-12-31	2013-05-08
296	2009-11-02	2009-12-12	Statoil Petroleum AS	2490197	17237817	9999-12-31	2013-05-08
297	2003-12-12	2004-07-16	BG International Limited	2490240	2490117	9999-12-31	2013-05-08
297	2004-07-16	2012-02-28	BG Norge AS	2490240	2747354	9999-12-31	2013-05-08
298	2003-12-12	2006-03-22	Paladin Resources Norge AS	2490295	1577943	9999-12-31	2013-05-08
298	2006-11-16	2007-01-01	Talisman Energy Norge AS	2490295	2425093	9999-12-31	2013-05-08
298	2006-03-22	2006-11-16	Talisman Resources Norge AS	2490295	3987574	9999-12-31	2013-05-08
299	2003-12-12	9999-12-31	Talisman Energy Norge AS	2490320	2425093	9999-12-31	2013-05-08
301	2003-12-12	2009-07-23	Talisman Energy Norge AS	2490380	2425093	9999-12-31	2013-05-08
301	2009-07-24	9999-12-31	Lundin Norway AS	2490380	2767314	9999-12-31	2013-05-08
302	2003-12-12	2007-01-01	Norsk Hydro Produksjon AS	2490440	430	9999-12-31	2013-05-08
302	2007-10-01	2009-03-15	StatoilHydro Petroleum AS	2490440	4511658	9999-12-31	2013-05-08
302	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2490440	4524355	9999-12-31	2013-05-08
303	2003-12-12	2007-10-01	Statoil ASA (old)	2490467	1622484	9999-12-31	2013-05-08
303	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	2490467	4511658	9999-12-31	2013-05-08
303	2007-10-01	2008-12-31	StatoilHydro ASA	2490467	4511854	9999-12-31	2013-05-08
303	2009-11-02	9999-12-31	Statoil Petroleum AS	2490467	17237817	9999-12-31	2013-05-08
304	2003-12-12	2004-10-01	Esso Exploration and Production Norway A/S	2490623	353	9999-12-31	2013-05-08
304	2005-05-09	2006-10-02	Marathon Petroleum Norge AS	2490623	463	9999-12-31	2013-05-08
304	2006-10-02	2010-12-12	Lundin Norway AS	2490623	2767314	9999-12-31	2013-05-08
304	2004-10-01	2005-05-09	ExxonMobil Exploration & Production Norway AS	2490623	2835212	9999-12-31	2013-05-08
305	2003-12-12	2007-06-20	Det Norske Oljeselskap AS	2490682	1340609	9999-12-31	2013-05-08
305	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	2490682	4468177	9999-12-31	2013-05-08
305	2007-11-16	2008-01-01	Noil Energy ASA	2490682	4539976	9999-12-31	2013-05-08
305	2008-01-01	2008-12-02	Det norske oljeselskap ASA (old)	2490682	4539989	9999-12-31	2013-05-08
306	2003-12-12	2005-07-12	Norsk Hydro Produksjon AS	2490776	430	9999-12-31	2013-05-08
307	2003-12-12	2005-12-12	Marathon Petroleum Norge AS	2490820	463	9999-12-31	2013-05-08
308	2003-12-12	2007-01-01	Norsk Hydro Produksjon AS	2490856	430	9999-12-31	2013-05-08
308	2007-10-01	2007-12-04	StatoilHydro Petroleum AS	2490856	4511658	9999-12-31	2013-05-08
308	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2490856	4524355	9999-12-31	2013-05-08
309	2003-12-12	2007-01-01	Norsk Hydro Produksjon AS	2490982	430	9999-12-31	2013-05-08
309	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	2490982	4511658	9999-12-31	2013-05-08
309	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2490982	4524355	9999-12-31	2013-05-08
309	2009-11-02	9999-12-31	Statoil Petroleum AS	2490982	17237817	9999-12-31	2013-05-08
310	2003-12-12	2005-01-27	Norsk Hydro Produksjon AS	2491119	430	9999-12-31	2013-05-08
311	2003-12-12	2008-12-12	Marathon Petroleum Norge AS	2491153	463	9999-12-31	2013-05-08
312	2003-12-12	2007-10-01	Statoil ASA (old)	2491196	1622484	9999-12-31	2013-05-08
312	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	2491196	4511658	9999-12-31	2013-05-08
312	2007-10-01	2008-12-31	StatoilHydro ASA	2491196	4511854	9999-12-31	2013-05-08
312	2009-11-02	9999-12-31	Statoil Petroleum AS	2491196	17237817	9999-12-31	2013-05-08
313	2003-12-12	2005-12-12	Statoil ASA (old)	2491243	1622484	9999-12-31	2013-05-08
314	2003-12-12	2006-12-12	Statoil ASA (old)	2491284	1622484	9999-12-31	2013-05-08
261 BS	2003-12-12	2003-12-15	BP Norge AS	2588889	2052695	9999-12-31	2013-05-08
261 BS	2003-12-15	2005-09-17	Chevron Texaco Norge AS	2588889	2154473	9999-12-31	2013-05-08
261 BS	2005-09-17	2005-11-25	Chevron Norge AS	2588889	3488906	9999-12-31	2013-05-08
280 S	2004-05-10	2006-03-15	CNR International (Norway) AS	2773116	2845980	9999-12-31	2013-05-08
315	2004-06-18	2004-10-01	Esso Exploration and Production Norway A/S	2786350	353	9999-12-31	2013-05-08
315	2004-10-01	2009-08-20	ExxonMobil Exploration & Production Norway AS	2786350	2835212	9999-12-31	2013-05-08
316	2004-06-18	2006-03-22	Paladin Resources Norge AS	2786469	1577943	9999-12-31	2013-05-08
316	2006-11-16	9999-12-31	Talisman Energy Norge AS	2786469	2425093	9999-12-31	2013-05-08
316	2006-03-22	2006-11-16	Talisman Resources Norge AS	2786469	3987574	9999-12-31	2013-05-08
317	2004-06-18	2007-01-01	Norsk Hydro Produksjon AS	2786553	430	9999-12-31	2013-05-08
317	2007-10-01	2009-04-13	StatoilHydro Petroleum AS	2786553	4511658	9999-12-31	2013-05-08
317	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2786553	4524355	9999-12-31	2013-05-08
318	2004-06-18	2007-01-01	Norsk Hydro Produksjon AS	2786586	430	9999-12-31	2013-05-08
318	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	2786586	4511658	9999-12-31	2013-05-08
318	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2786586	4524355	9999-12-31	2013-05-08
318	2009-11-02	9999-12-31	Statoil Petroleum AS	2786586	17237817	9999-12-31	2013-05-08
319	2004-06-18	2007-06-29	Statoil ASA (old)	2786612	1622484	9999-12-31	2013-05-08
320	2004-06-18	2007-06-14	A/S Norske Shell	2786635	562	9999-12-31	2013-05-08
321	2004-06-18	2005-03-31	Pertra AS (OLD)	2786661	2069841	9999-12-31	2013-05-08
321	2005-03-31	2005-05-12	Talisman Production Norge AS	2786661	3420565	9999-12-31	2013-05-08
321	2005-05-12	2006-03-01	Pertra AS	2786661	3425724	9999-12-31	2013-05-08
321	2006-03-01	2007-11-16	Pertra ASA	2786661	3964368	9999-12-31	2013-05-08
321	2007-11-16	2009-12-21	Det norske oljeselskap ASA (old)	2786661	4539989	9999-12-31	2013-05-08
321	2009-12-22	2010-06-18	Det norske oljeselskap ASA	2786661	17342870	9999-12-31	2013-05-08
322	2004-06-18	2007-10-01	Statoil ASA (old)	2786703	1622484	9999-12-31	2013-05-08
322	2007-10-01	2008-06-18	StatoilHydro ASA	2786703	4511854	9999-12-31	2013-05-08
323	2004-06-18	2010-06-18	Total E&P Norge AS	2786740	2410708	9999-12-31	2013-05-08
324	2004-06-18	2008-07-09	Eni Norge AS	2786758	2388594	9999-12-31	2013-05-08
325	2004-06-18	2005-09-17	Chevron Texaco Norge AS	2786811	2154473	9999-12-31	2013-05-08
325	2005-09-17	2008-03-18	Chevron Norge AS	2786811	3488906	9999-12-31	2013-05-08
326	2004-06-18	2011-06-18	A/S Norske Shell	2786855	562	9999-12-31	2013-05-08
327	2004-06-18	2007-10-01	Statoil ASA (old)	2786915	1622484	9999-12-31	2013-05-08
327	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	2786915	4511658	9999-12-31	2013-05-08
327	2007-10-01	2008-12-31	StatoilHydro ASA	2786915	4511854	9999-12-31	2013-05-08
327	2009-11-02	9999-12-31	Statoil Petroleum AS	2786915	17237817	9999-12-31	2013-05-08
328	2004-06-18	2007-10-01	Statoil ASA (old)	2786957	1622484	9999-12-31	2013-05-08
328	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	2786957	4511658	9999-12-31	2013-05-08
328	2007-10-01	2008-12-31	StatoilHydro ASA	2786957	4511854	9999-12-31	2013-05-08
328	2009-11-02	2011-06-18	Statoil Petroleum AS	2786957	17237817	9999-12-31	2013-05-08
329	2004-06-18	2009-06-18	Eni Norge AS	2786994	2388594	9999-12-31	2013-05-08
330	2004-06-18	9999-12-31	RWE Dea Norge AS	2787040	97557	9999-12-31	2013-05-08
037 D	2004-06-08	2007-10-01	Statoil ASA (old)	2787322	1622484	9999-12-31	2013-05-08
037 D	2008-01-11	2009-01-16	Revus Energy ASA	2787322	3431773	9999-12-31	2013-05-08
037 D	2007-10-01	2008-01-11	StatoilHydro ASA	2787322	4511854	9999-12-31	2013-05-08
037 D	2009-01-17	2012-03-23	Wintershall Norge ASA	2787322	5442509	9999-12-31	2013-05-08
037 D	2012-03-24	9999-12-31	Wintershall Norge AS	2787322	21666830	9999-12-31	2013-05-08
088 BS	2003-03-21	2011-07-03	Marathon Petroleum Norge AS	2787418	463	9999-12-31	2013-05-08
088 BS	2011-07-04	9999-12-31	Marathon Oil Norge AS	2787418	20485291	9999-12-31	2013-05-08
159 B	2004-08-13	2007-10-01	Statoil ASA (old)	2819945	1622484	9999-12-31	2013-05-08
159 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	2819945	4511658	9999-12-31	2013-05-08
159 B	2007-10-01	2008-12-31	StatoilHydro ASA	2819945	4511854	9999-12-31	2013-05-08
159 B	2009-11-02	9999-12-31	Statoil Petroleum AS	2819945	17237817	9999-12-31	2013-05-08
331	2004-12-17	2011-06-18	ConocoPhillips Skandinavia AS	2986187	2410696	9999-12-31	2013-05-08
332	2004-12-17	9999-12-31	Talisman Energy Norge AS	2986240	2425093	9999-12-31	2013-05-08
333	2004-12-17	2007-01-01	Norsk Hydro Produksjon AS	2986266	430	9999-12-31	2013-05-08
333	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	2986266	4511658	9999-12-31	2013-05-08
333	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2986266	4524355	9999-12-31	2013-05-08
333	2009-11-02	9999-12-31	Statoil Petroleum AS	2986266	17237817	9999-12-31	2013-05-08
334	2004-12-17	2008-03-17	Talisman Energy Norge AS	2986306	2425093	9999-12-31	2013-05-08
335	2004-12-17	2007-12-17	BG Norge AS	2986333	2747354	9999-12-31	2013-05-08
336	2004-12-17	2006-12-17	Talisman Energy Norge AS	2986364	2425093	9999-12-31	2013-05-08
337	2004-12-17	2005-03-31	Pertra AS (OLD)	2986484	2069841	9999-12-31	2013-05-08
337	2005-03-31	2005-08-26	Talisman Production Norge AS	2986484	3420565	9999-12-31	2013-05-08
337	2005-08-26	2006-03-01	Pertra AS	2986484	3425724	9999-12-31	2013-05-08
337	2007-11-16	2009-12-21	Det norske oljeselskap ASA (old)	2986484	4539989	9999-12-31	2013-05-08
337	2009-12-22	2013-02-09	Det norske oljeselskap ASA	2986484	17342870	2013-02-12	2013-05-08
338	2004-12-17	9999-12-31	Lundin Norway AS	2986578	2767314	9999-12-31	2013-05-08
339	2004-12-17	2007-10-01	Statoil ASA (old)	2986606	1622484	9999-12-31	2013-05-08
339	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	2986606	4511658	9999-12-31	2013-05-08
339	2007-10-01	2008-12-31	StatoilHydro ASA	2986606	4511854	9999-12-31	2013-05-08
339	2009-11-02	2009-12-17	Statoil Petroleum AS	2986606	17237817	9999-12-31	2013-05-08
340	2004-12-17	2011-07-03	Marathon Petroleum Norge AS	2986630	463	9999-12-31	2013-05-08
340	2011-07-04	9999-12-31	Marathon Oil Norge AS	2986630	20485291	9999-12-31	2013-05-08
341	2004-12-17	2007-06-20	Det Norske Oljeselskap AS	2986675	1340609	9999-12-31	2013-05-08
341	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	2986675	4468177	9999-12-31	2013-05-08
341	2007-11-16	2008-01-01	Noil Energy ASA	2986675	4539976	9999-12-31	2013-05-08
341	2008-01-01	2009-12-21	Det norske oljeselskap ASA (old)	2986675	4539989	9999-12-31	2013-05-08
341	2009-12-22	2011-12-17	Det norske oljeselskap ASA	2986675	17342870	9999-12-31	2013-05-08
342	2004-12-17	2006-12-17	Norsk Hydro Produksjon AS	2986721	430	9999-12-31	2013-05-08
343	2004-12-17	2009-10-17	Marathon Petroleum Norge AS	2986758	463	9999-12-31	2013-05-08
344	2004-12-17	2007-02-13	Statoil ASA (old)	2986805	1622484	9999-12-31	2013-05-08
344	2007-02-13	2009-01-16	Revus Energy ASA	2986805	3431773	9999-12-31	2013-05-08
344	2010-09-30	2010-12-07	Spring Energy Norway AS	2986805	5072514	9999-12-31	2013-05-08
344	2009-01-17	2010-09-29	Wintershall Norge ASA	2986805	5442509	9999-12-31	2013-05-08
345	2004-12-17	2007-10-01	Statoil ASA (old)	2986889	1622484	9999-12-31	2013-05-08
345	2007-10-01	2008-12-17	StatoilHydro ASA	2986889	4511854	9999-12-31	2013-05-08
346	2004-12-17	2006-12-17	A/S Norske Shell	2986958	562	9999-12-31	2013-05-08
347	2004-12-17	2007-01-01	Norsk Hydro Produksjon AS	2986982	430	9999-12-31	2013-05-08
347	2007-10-01	2007-12-14	StatoilHydro Petroleum AS	2986982	4511658	9999-12-31	2013-05-08
347	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2986982	4524355	9999-12-31	2013-05-08
348	2004-12-17	2007-01-01	Norsk Hydro Produksjon AS	2987047	430	9999-12-31	2013-05-08
348	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	2987047	4511658	9999-12-31	2013-05-08
348	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	2987047	4524355	9999-12-31	2013-05-08
348	2009-11-02	9999-12-31	Statoil Petroleum AS	2987047	17237817	9999-12-31	2013-05-08
349	2004-12-17	2006-12-17	Marathon Petroleum Norge AS	2987098	463	9999-12-31	2013-05-08
350	2004-12-17	2007-10-01	Statoil ASA (old)	2987133	1622484	9999-12-31	2013-05-08
350	2009-03-12	2012-02-10	E.ON Ruhrgas Norge AS	2987133	2840522	9999-12-31	2013-05-08
350	2009-01-01	2009-03-11	StatoilHydro Petroleum AS	2987133	4511658	9999-12-31	2013-05-08
350	2007-10-01	2008-12-31	StatoilHydro ASA	2987133	4511854	9999-12-31	2013-05-08
350	2012-02-11	2012-09-17	E.ON E&P Norge AS	2987133	21631209	2012-10-12	2013-05-08
351	2004-12-17	2007-10-01	Statoil ASA (old)	2987183	1622484	9999-12-31	2013-05-08
351	2007-10-01	2007-12-14	StatoilHydro ASA	2987183	4511854	9999-12-31	2013-05-08
352	2004-12-17	2007-10-01	Statoil ASA (old)	2987228	1622484	9999-12-31	2013-05-08
352	2007-10-01	2008-10-08	StatoilHydro ASA	2987228	4511854	9999-12-31	2013-05-08
353	2004-12-17	2006-12-17	Norsk Hydro Produksjon AS	2987265	430	9999-12-31	2013-05-08
073 B	2004-12-17	2007-10-01	Statoil ASA (old)	2987414	1622484	9999-12-31	2013-05-08
073 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	2987414	4511658	9999-12-31	2013-05-08
073 B	2007-10-01	2008-12-31	StatoilHydro ASA	2987414	4511854	9999-12-31	2013-05-08
073 B	2009-11-02	9999-12-31	Statoil Petroleum AS	2987414	17237817	9999-12-31	2013-05-08
122 C	2004-12-17	9999-12-31	Eni Norge AS	2987454	2388594	9999-12-31	2013-05-08
305 B	2004-12-17	2007-06-20	Det Norske Oljeselskap AS	2987480	1340609	9999-12-31	2013-05-08
305 B	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	2987480	4468177	9999-12-31	2013-05-08
305 B	2007-11-16	2008-01-01	Noil Energy ASA	2987480	4539976	9999-12-31	2013-05-08
305 B	2008-01-01	2008-12-02	Det norske oljeselskap ASA (old)	2987480	4539989	9999-12-31	2013-05-08
311 B	2004-12-17	2009-02-28	Marathon Petroleum Norge AS	2987508	463	9999-12-31	2013-05-08
037 E	2004-12-10	2007-10-01	Statoil ASA (old)	3000656	1622484	9999-12-31	2013-05-08
037 E	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3000656	4511658	9999-12-31	2013-05-08
037 E	2007-10-01	2008-12-31	StatoilHydro ASA	3000656	4511854	9999-12-31	2013-05-08
037 E	2009-11-02	9999-12-31	Statoil Petroleum AS	3000656	17237817	9999-12-31	2013-05-08
110 B	2004-12-17	2007-10-01	Statoil ASA (old)	3001885	1622484	9999-12-31	2013-05-08
110 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3001885	4511658	9999-12-31	2013-05-08
110 B	2007-10-01	2008-12-31	StatoilHydro ASA	3001885	4511854	9999-12-31	2013-05-08
110 B	2009-11-02	9999-12-31	Statoil Petroleum AS	3001885	17237817	9999-12-31	2013-05-08
212 C	2005-02-23	2007-10-01	Statoil ASA (old)	3371954	1622484	9999-12-31	2013-05-08
212 C	2005-02-07	2005-02-23	BP Norge AS	3371954	2052695	9999-12-31	2013-05-08
212 C	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3371954	4511658	9999-12-31	2013-05-08
212 C	2007-10-01	2008-12-31	StatoilHydro ASA	3371954	4511854	9999-12-31	2013-05-08
212 C	2009-11-02	2010-01-01	Statoil Petroleum AS	3371954	17237817	9999-12-31	2013-05-08
090 B	2005-05-25	2007-01-01	Norsk Hydro Produksjon AS	3426781	430	9999-12-31	2013-05-08
090 B	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	3426781	4511658	9999-12-31	2013-05-08
090 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3426781	4524355	9999-12-31	2013-05-08
090 B	2009-11-02	9999-12-31	Statoil Petroleum AS	3426781	17237817	9999-12-31	2013-05-08
090 C	2005-05-25	2007-01-01	Norsk Hydro Produksjon AS	3426824	430	9999-12-31	2013-05-08
090 C	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	3426824	4511658	9999-12-31	2013-05-08
090 C	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3426824	4524355	9999-12-31	2013-05-08
090 C	2009-11-02	9999-12-31	Statoil Petroleum AS	3426824	17237817	9999-12-31	2013-05-08
048 C	2005-10-10	2007-10-01	Statoil ASA (old)	3489506	1622484	9999-12-31	2013-05-08
048 C	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3489506	4511658	9999-12-31	2013-05-08
048 C	2007-10-01	2008-12-31	StatoilHydro ASA	3489506	4511854	9999-12-31	2013-05-08
048 C	2009-11-02	9999-12-31	Statoil Petroleum AS	3489506	17237817	9999-12-31	2013-05-08
048 D	2005-10-10	2007-10-01	Statoil ASA (old)	3489553	1622484	9999-12-31	2013-05-08
048 D	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3489553	4511658	9999-12-31	2013-05-08
048 D	2007-10-01	2008-12-31	StatoilHydro ASA	3489553	4511854	9999-12-31	2013-05-08
048 D	2009-11-02	9999-12-31	Statoil Petroleum AS	3489553	17237817	9999-12-31	2013-05-08
274 BS	2005-12-13	2005-12-21	DONG Norge AS	3809011	1853083	9999-12-31	2013-05-08
274 BS	2005-12-21	2010-12-13	BG Norge AS	3809011	2747354	9999-12-31	2013-05-08
085 D	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3810164	430	9999-12-31	2013-05-08
085 D	2007-10-01	2008-01-01	StatoilHydro Petroleum AS	3810164	4511658	9999-12-31	2013-05-08
085 D	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3810164	4524355	9999-12-31	2013-05-08
354	2006-01-06	2009-05-26	Endeavour Energy Norge AS	3810204	3113213	9999-12-31	2013-05-08
354	2009-05-26	2009-09-30	VNG Norge (Operations) AS	3810204	5497155	9999-12-31	2013-05-08
354	2009-10-01	2010-01-06	VNG Norge AS	3810204	17237193	9999-12-31	2013-05-08
356	2006-01-06	2007-06-20	Det Norske Oljeselskap AS	3810275	1340609	9999-12-31	2013-05-08
356	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	3810275	4468177	9999-12-31	2013-05-08
356	2007-11-16	2008-01-01	Noil Energy ASA	3810275	4539976	9999-12-31	2013-05-08
356	2008-01-01	2009-12-21	Det norske oljeselskap ASA (old)	3810275	4539989	9999-12-31	2013-05-08
356	2009-12-22	2013-01-06	Det norske oljeselskap ASA	3810275	17342870	2013-03-22	2013-05-08
357	2006-01-06	2006-09-06	DONG Norge AS	3810310	1853083	9999-12-31	2013-05-08
357	2006-09-06	2008-01-07	DONG E&P Norge AS	3810310	4070011	9999-12-31	2013-05-08
358	2006-01-06	2007-10-01	Statoil ASA (old)	3810338	1622484	9999-12-31	2013-05-08
358	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3810338	4511658	9999-12-31	2013-05-08
358	2007-10-01	2008-12-31	StatoilHydro ASA	3810338	4511854	9999-12-31	2013-05-08
358	2009-11-02	2011-07-06	Statoil Petroleum AS	3810338	17237817	9999-12-31	2013-05-08
359	2006-01-06	9999-12-31	Lundin Norway AS	3810373	2767314	9999-12-31	2013-05-08
360	2006-01-06	2007-10-01	Statoil ASA (old)	3810387	1622484	9999-12-31	2013-05-08
360	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3810387	4511658	9999-12-31	2013-05-08
360	2007-10-01	2008-12-31	StatoilHydro ASA	3810387	4511854	9999-12-31	2013-05-08
360	2009-11-02	9999-12-31	Statoil Petroleum AS	3810387	17237817	9999-12-31	2013-05-08
361	2006-01-06	2006-03-22	Paladin Resources Norge AS	3810510	1577943	9999-12-31	2013-05-08
361	2006-11-16	2009-04-06	Talisman Energy Norge AS	3810510	2425093	9999-12-31	2013-05-08
361	2006-03-22	2006-11-16	Talisman Resources Norge AS	3810510	3987574	9999-12-31	2013-05-08
362	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3810565	430	9999-12-31	2013-05-08
362	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	3810565	4238233	9999-12-31	2013-05-08
362	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	3810565	4511658	9999-12-31	2013-05-08
362	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3810565	4524355	9999-12-31	2013-05-08
362	2009-11-02	2012-04-29	Statoil Petroleum AS	3810565	17237817	9999-12-31	2013-05-08
363	2006-01-06	2011-01-06	Lundin Norway AS	3810598	2767314	9999-12-31	2013-05-08
364	2006-01-06	2006-03-01	Pertra AS	3810636	3425724	9999-12-31	2013-05-08
364	2006-03-01	2007-11-16	Pertra ASA	3810636	3964368	9999-12-31	2013-05-08
364	2007-11-16	2009-12-21	Det norske oljeselskap ASA (old)	3810636	4539989	9999-12-31	2013-05-08
364	2009-12-22	9999-12-31	Det norske oljeselskap ASA	3810636	17342870	9999-12-31	2013-05-08
365	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3810693	430	9999-12-31	2013-05-08
365	2007-10-01	2007-12-18	StatoilHydro Petroleum AS	3810693	4511658	9999-12-31	2013-05-08
365	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3810693	4524355	9999-12-31	2013-05-08
366	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3810756	430	9999-12-31	2013-05-08
366	2007-10-01	2008-02-05	StatoilHydro Petroleum AS	3810756	4511658	9999-12-31	2013-05-08
366	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3810756	4524355	9999-12-31	2013-05-08
367 S	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3810797	430	9999-12-31	2013-05-08
367 S	2007-10-01	2007-12-18	StatoilHydro Petroleum AS	3810797	4511658	9999-12-31	2013-05-08
367 S	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3810797	4524355	9999-12-31	2013-05-08
368	2006-01-06	2007-07-06	Statoil ASA (old)	3810851	1622484	9999-12-31	2013-05-08
369	2006-01-06	2009-12-16	Talisman Energy Norge AS	3810875	2425093	9999-12-31	2013-05-08
369	2009-12-17	2011-01-06	Det norske oljeselskap ASA	3810875	17342870	9999-12-31	2013-05-08
370	2006-01-06	2006-03-21	Petro-Canada UK Limited	3810959	3437846	9999-12-31	2013-05-08
370	2006-03-21	2009-01-01	Petro-Canada Norge AS	3810959	3960945	9999-12-31	2013-05-08
370	2009-01-01	2012-03-23	Wintershall Norge ASA	3810959	5442509	9999-12-31	2013-05-08
370	2012-03-24	9999-12-31	Wintershall Norge AS	3810959	21666830	9999-12-31	2013-05-08
371 S	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3810996	430	9999-12-31	2013-05-08
371 S	2007-10-01	2009-04-06	StatoilHydro Petroleum AS	3810996	4511658	9999-12-31	2013-05-08
371 S	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3810996	4524355	9999-12-31	2013-05-08
372 S	2006-01-06	2009-07-06	BG Norge AS	3811092	2747354	9999-12-31	2013-05-08
373 S	2006-01-06	9999-12-31	BG Norge AS	3811116	2747354	9999-12-31	2013-05-08
374 S	2006-01-06	9999-12-31	BG Norge AS	3811171	2747354	9999-12-31	2013-05-08
375	2006-01-06	2006-03-21	Petro-Canada UK Limited	3811214	3437846	9999-12-31	2013-05-08
375	2006-03-21	2011-02-27	Petro-Canada Norge AS	3811214	3960945	9999-12-31	2013-05-08
375	2011-02-28	9999-12-31	Suncor Energy Norge AS	3811214	20426420	9999-12-31	2013-05-08
376	2006-01-06	2007-10-01	Statoil ASA (old)	3811255	1622484	9999-12-31	2013-05-08
376	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3811255	4511658	9999-12-31	2013-05-08
376	2007-10-01	2008-12-31	StatoilHydro ASA	3811255	4511854	9999-12-31	2013-05-08
376	2009-11-02	2010-01-06	Statoil Petroleum AS	3811255	17237817	9999-12-31	2013-05-08
377 S	2006-01-06	2012-07-06	Idemitsu Petroleum Norge AS	3811290	441	2013-04-11	2013-05-08
378	2006-01-06	2009-01-16	Revus Energy ASA	3811312	3431773	9999-12-31	2013-05-08
378	2009-01-17	2012-03-23	Wintershall Norge ASA	3811312	5442509	9999-12-31	2013-05-08
378	2012-03-24	9999-12-31	Wintershall Norge AS	3811312	21666830	9999-12-31	2013-05-08
379	2006-01-06	2010-01-05	Total E&P Norge AS	3811357	2410708	9999-12-31	2013-05-08
380	2006-01-06	2006-03-01	Pertra AS	3811381	3425724	9999-12-31	2013-05-08
380	2006-03-01	2007-11-16	Pertra ASA	3811381	3964368	9999-12-31	2013-05-08
380	2007-11-16	2009-12-21	Det norske oljeselskap ASA (old)	3811381	4539989	9999-12-31	2013-05-08
380	2009-12-22	2010-01-06	Det norske oljeselskap ASA	3811381	17342870	9999-12-31	2013-05-08
381	2006-01-06	2009-02-06	A/S Norske Shell	3811409	562	9999-12-31	2013-05-08
382	2006-01-06	2011-04-06	BG Norge AS	3811444	2747354	9999-12-31	2013-05-08
383	2006-01-06	2007-06-20	Det Norske Oljeselskap AS	3811499	1340609	9999-12-31	2013-05-08
383	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	3811499	4468177	9999-12-31	2013-05-08
383	2007-11-16	2008-01-01	Noil Energy ASA	3811499	4539976	9999-12-31	2013-05-08
383	2008-01-01	2009-12-21	Det norske oljeselskap ASA (old)	3811499	4539989	9999-12-31	2013-05-08
383	2009-12-22	2010-07-06	Det norske oljeselskap ASA	3811499	17342870	9999-12-31	2013-05-08
384	2006-01-06	2006-09-06	DONG Norge AS	3811564	1853083	9999-12-31	2013-05-08
384	2006-09-06	2008-04-01	DONG E&P Norge AS	3811564	4070011	9999-12-31	2013-05-08
385	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3811602	430	9999-12-31	2013-05-08
385	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	3811602	4511658	9999-12-31	2013-05-08
385	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3811602	4524355	9999-12-31	2013-05-08
385	2009-11-02	9999-12-31	Statoil Petroleum AS	3811602	17237817	9999-12-31	2013-05-08
386	2006-01-06	2007-10-01	Statoil ASA (old)	3811659	1622484	9999-12-31	2013-05-08
386	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3811659	4511658	9999-12-31	2013-05-08
386	2007-10-01	2008-12-31	StatoilHydro ASA	3811659	4511854	9999-12-31	2013-05-08
386	2009-11-02	2013-04-06	Statoil Petroleum AS	3811659	17237817	2013-04-12	2013-05-08
043 BS	2006-01-06	9999-12-31	Total E&P Norge AS	3811810	2410708	9999-12-31	2013-05-08
090 D	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3811847	430	9999-12-31	2013-05-08
090 D	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	3811847	4511658	9999-12-31	2013-05-08
090 D	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3811847	4524355	9999-12-31	2013-05-08
090 D	2009-11-02	2010-01-06	Statoil Petroleum AS	3811847	17237817	9999-12-31	2013-05-08
091 C	2006-01-06	2007-10-01	Statoil ASA (old)	3811888	1622484	9999-12-31	2013-05-08
091 C	2007-10-01	2008-02-06	StatoilHydro ASA	3811888	4511854	9999-12-31	2013-05-08
122 D	2006-01-06	9999-12-31	Eni Norge AS	3811939	2388594	9999-12-31	2013-05-08
128 C	2006-01-06	2007-01-06	Statoil ASA (old)	3811967	1622484	9999-12-31	2013-05-08
134 C	2006-01-06	2007-10-01	Statoil ASA (old)	3812006	1622484	9999-12-31	2013-05-08
134 C	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3812006	4511658	9999-12-31	2013-05-08
134 C	2007-10-01	2008-12-31	StatoilHydro ASA	3812006	4511854	9999-12-31	2013-05-08
134 C	2009-11-02	9999-12-31	Statoil Petroleum AS	3812006	17237817	9999-12-31	2013-05-08
195 B	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3812021	430	9999-12-31	2013-05-08
195 B	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	3812021	4511658	9999-12-31	2013-05-08
195 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3812021	4524355	9999-12-31	2013-05-08
195 B	2009-11-02	9999-12-31	Statoil Petroleum AS	3812021	17237817	9999-12-31	2013-05-08
248 B	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3812058	430	9999-12-31	2013-05-08
248 B	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	3812058	4511658	9999-12-31	2013-05-08
248 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3812058	4524355	9999-12-31	2013-05-08
248 B	2009-11-02	9999-12-31	Statoil Petroleum AS	3812058	17237817	9999-12-31	2013-05-08
263 B	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3812093	430	9999-12-31	2013-05-08
263 B	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	3812093	4511658	9999-12-31	2013-05-08
263 B	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3812093	4524355	9999-12-31	2013-05-08
263 B	2009-11-02	9999-12-31	Statoil Petroleum AS	3812093	17237817	9999-12-31	2013-05-08
277 B	2006-01-06	2007-10-01	Statoil ASA (old)	3812131	1622484	9999-12-31	2013-05-08
277 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3812131	4511658	9999-12-31	2013-05-08
277 B	2007-10-01	2008-12-31	StatoilHydro ASA	3812131	4511854	9999-12-31	2013-05-08
277 B	2009-11-02	2013-01-01	Statoil Petroleum AS	3812131	17237817	2013-01-03	2013-05-08
355	2006-01-06	2007-01-01	Norsk Hydro Produksjon AS	3812175	430	9999-12-31	2013-05-08
355	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	3812175	4511658	9999-12-31	2013-05-08
355	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3812175	4524355	9999-12-31	2013-05-08
355	2009-11-02	2009-12-12	Statoil Petroleum AS	3812175	17237817	9999-12-31	2013-05-08
091 B	2006-01-06	2007-10-01	Statoil ASA (old)	3812205	1622484	9999-12-31	2013-05-08
091 B	2009-01-01	2009-10-06	StatoilHydro Petroleum AS	3812205	4511658	9999-12-31	2013-05-08
091 B	2007-10-01	2008-12-31	StatoilHydro ASA	3812205	4511854	9999-12-31	2013-05-08
387	2006-04-28	2009-04-28	Talisman Energy Norge AS	3964986	2425093	9999-12-31	2013-05-08
388	2006-04-28	2011-10-28	BG Norge AS	3965088	2747354	9999-12-31	2013-05-08
389	2006-04-28	2010-04-26	Total E&P Norge AS	3965128	2410708	9999-12-31	2013-05-08
390	2006-04-28	2011-04-28	BG Norge AS	3965152	2747354	9999-12-31	2013-05-08
391	2006-04-28	2010-01-28	BG Norge AS	3965194	2747354	9999-12-31	2013-05-08
392	2006-04-28	2012-04-28	A/S Norske Shell	3965222	562	9999-12-31	2013-05-08
393	2006-04-28	2007-01-01	Norsk Hydro Produksjon AS	3965277	430	9999-12-31	2013-05-08
393	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	3965277	4511658	9999-12-31	2013-05-08
393	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3965277	4524355	9999-12-31	2013-05-08
393	2009-11-02	9999-12-31	Statoil Petroleum AS	3965277	17237817	9999-12-31	2013-05-08
394	2006-04-28	2007-01-01	Norsk Hydro Produksjon AS	3965323	430	9999-12-31	2013-05-08
394	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	3965323	4511658	9999-12-31	2013-05-08
394	2007-01-01	2007-10-01	Norsk Hydro Petroleum AS	3965323	4524355	9999-12-31	2013-05-08
394	2009-11-02	2011-02-05	Statoil Petroleum AS	3965323	17237817	9999-12-31	2013-05-08
395	2006-04-28	2007-10-01	Statoil ASA (old)	3965360	1622484	9999-12-31	2013-05-08
395	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3965360	4511658	9999-12-31	2013-05-08
395	2007-10-01	2008-12-31	StatoilHydro ASA	3965360	4511854	9999-12-31	2013-05-08
395	2009-11-02	9999-12-31	Statoil Petroleum AS	3965360	17237817	9999-12-31	2013-05-08
396	2006-04-28	2010-04-28	BG Norge AS	3965404	2747354	9999-12-31	2013-05-08
396	2010-04-29	2012-10-28	Norwegian Energy Company ASA	3965404	4530695	2012-12-04	2013-05-08
397	2006-04-28	2007-10-01	Statoil ASA (old)	3965439	1622484	9999-12-31	2013-05-08
397	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	3965439	4511658	9999-12-31	2013-05-08
397	2007-10-01	2008-12-31	StatoilHydro ASA	3965439	4511854	9999-12-31	2013-05-08
397	2009-11-02	2011-02-18	Statoil Petroleum AS	3965439	17237817	9999-12-31	2013-05-08
110 C	2006-04-28	2007-10-01	Statoil ASA (old)	3986340	1622484	9999-12-31	2013-05-08
110 C	2008-01-01	2009-11-01	StatoilHydro Petroleum AS	3986340	4511658	9999-12-31	2013-05-08
110 C	2007-10-01	2008-12-31	StatoilHydro ASA	3986340	4511854	9999-12-31	2013-05-08
110 C	2009-11-02	9999-12-31	Statoil Petroleum AS	3986340	17237817	9999-12-31	2013-05-08
372 BS	2006-04-28	2009-07-06	BG Norge AS	3987486	2747354	9999-12-31	2013-05-08
038 C	2006-06-15	9999-12-31	Talisman Energy Norge AS	4005057	2425093	9999-12-31	2013-05-08
046 B	2006-11-28	2007-10-01	Statoil ASA (old)	4227611	1622484	9999-12-31	2013-05-08
046 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4227611	4511658	9999-12-31	2013-05-08
046 B	2007-10-01	2008-12-31	StatoilHydro ASA	4227611	4511854	9999-12-31	2013-05-08
046 B	2009-11-02	9999-12-31	Statoil Petroleum AS	4227611	17237817	9999-12-31	2013-05-08
046 BS	2006-11-28	2007-10-01	Statoil ASA (old)	4227659	1622484	9999-12-31	2013-05-08
046 BS	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4227659	4511658	9999-12-31	2013-05-08
046 BS	2007-10-01	2008-12-31	StatoilHydro ASA	4227659	4511854	9999-12-31	2013-05-08
046 BS	2009-11-02	9999-12-31	Statoil Petroleum AS	4227659	17237817	9999-12-31	2013-05-08
354 B	2007-12-16	2009-05-26	Endeavour Energy Norge AS	4237131	3113213	9999-12-31	2013-05-08
354 B	2009-05-26	2009-09-30	VNG Norge (Operations) AS	4237131	5497155	9999-12-31	2013-05-08
354 B	2009-10-01	2010-01-06	VNG Norge AS	4237131	17237193	9999-12-31	2013-05-08
399	2007-02-16	2009-02-16	ConocoPhillips Skandinavia AS	4237147	2410696	9999-12-31	2013-05-08
440 S	2007-06-15	2007-06-20	Det Norske Oljeselskap AS	4237161	1340609	9999-12-31	2013-05-08
440 S	2010-10-18	9999-12-31	Faroe Petroleum Norge AS	4237161	4062883	9999-12-31	2013-05-08
440 S	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	4237161	4468177	9999-12-31	2013-05-08
440 S	2007-11-16	2008-01-01	Noil Energy ASA	4237161	4539976	9999-12-31	2013-05-08
440 S	2008-01-01	2009-12-21	Det norske oljeselskap ASA (old)	4237161	4539989	9999-12-31	2013-05-08
440 S	2009-12-22	2010-10-17	Det norske oljeselskap ASA	4237161	17342870	9999-12-31	2013-05-08
398 S	2007-02-16	2009-02-16	Lundin Norway AS	4237177	2767314	9999-12-31	2013-05-08
402	2007-02-16	9999-12-31	Talisman Energy Norge AS	4237193	2425093	9999-12-31	2013-05-08
404	2007-02-16	2012-08-16	ConocoPhillips Skandinavia AS	4237207	2410696	2012-10-12	2013-05-08
401	2007-02-16	2007-10-01	Statoil ASA (old)	4237219	1622484	9999-12-31	2013-05-08
401	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4237219	4511658	9999-12-31	2013-05-08
401	2007-10-01	2008-12-31	StatoilHydro ASA	4237219	4511854	9999-12-31	2013-05-08
401	2009-11-02	2009-12-16	Statoil Petroleum AS	4237219	17237817	9999-12-31	2013-05-08
403	2007-02-16	2008-02-16	RWE Dea Norge AS	4237233	97557	9999-12-31	2013-05-08
400	2007-02-16	2012-02-16	Lundin Norway AS	4237242	2767314	9999-12-31	2013-05-08
411	2007-02-16	2007-07-11	Norwegian Energy Company AS	4237252	3482246	9999-12-31	2013-05-08
411	2007-07-11	2012-05-16	Norwegian Energy Company ASA	4237252	4530695	2012-07-04	2013-05-08
441	2007-06-15	2007-06-20	Det Norske Oljeselskap AS	4237270	1340609	9999-12-31	2013-05-08
441	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	4237270	4468177	9999-12-31	2013-05-08
441	2007-11-16	2008-01-01	Noil Energy ASA	4237270	4539976	9999-12-31	2013-05-08
441	2008-01-01	2008-05-25	Det norske oljeselskap ASA (old)	4237270	4539989	9999-12-31	2013-05-08
405	2007-02-16	9999-12-31	Centrica Resources (Norge) AS	4237284	4238233	9999-12-31	2013-05-08
407	2007-02-16	9999-12-31	BG Norge AS	4237300	2747354	9999-12-31	2013-05-08
406	2007-02-16	9999-12-31	Premier Oil Norge AS	4237318	3482067	9999-12-31	2013-05-08
316 B	2007-02-16	9999-12-31	Talisman Energy Norge AS	4237334	2425093	9999-12-31	2013-05-08
408	2007-02-16	2007-11-16	Pertra ASA	4237444	3964368	9999-12-31	2013-05-08
408	2007-11-16	2009-12-21	Det norske oljeselskap ASA (old)	4237444	4539989	9999-12-31	2013-05-08
408	2009-12-22	2010-12-31	Det norske oljeselskap ASA	4237444	17342870	9999-12-31	2013-05-08
410	2007-02-16	9999-12-31	Lundin Norway AS	4237458	2767314	9999-12-31	2013-05-08
409	2007-02-16	9999-12-31	Lundin Norway AS	4237470	2767314	9999-12-31	2013-05-08
413	2007-02-16	2010-08-16	Lundin Norway AS	4237482	2767314	9999-12-31	2013-05-08
415	2007-10-01	2009-02-16	StatoilHydro Petroleum AS	4237498	4511658	9999-12-31	2013-05-08
415	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	4237498	4524355	9999-12-31	2013-05-08
442	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	4237510	4238233	9999-12-31	2013-05-08
442	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	4237510	4511658	9999-12-31	2013-05-08
442	2007-06-15	2007-10-01	Norsk Hydro Petroleum AS	4237510	4524355	9999-12-31	2013-05-08
442	2009-11-02	2012-04-29	Statoil Petroleum AS	4237510	17237817	9999-12-31	2013-05-08
414	2007-02-16	2007-11-16	Pertra ASA	4237582	3964368	9999-12-31	2013-05-08
414	2007-11-16	2009-12-21	Det norske oljeselskap ASA (old)	4237582	4539989	9999-12-31	2013-05-08
414	2009-12-22	9999-12-31	Det norske oljeselskap ASA	4237582	17342870	9999-12-31	2013-05-08
412	2007-02-16	2007-07-11	Norwegian Energy Company AS	4237612	3482246	9999-12-31	2013-05-08
412	2007-07-11	2011-02-17	Norwegian Energy Company ASA	4237612	4530695	9999-12-31	2013-05-08
417	2007-02-16	2009-01-16	Revus Energy ASA	4237645	3431773	9999-12-31	2013-05-08
417	2009-01-17	2010-02-16	Wintershall Norge ASA	4237645	5442509	9999-12-31	2013-05-08
416	2007-02-16	2012-02-10	E.ON Ruhrgas Norge AS	4237675	2840522	9999-12-31	2013-05-08
416	2012-02-11	2012-02-16	E.ON E&P Norge AS	4237675	21631209	9999-12-31	2013-05-08
423 S	2007-02-16	2008-12-31	Gaz de France Norge AS	4237691	1628733	9999-12-31	2013-05-08
423 S	2009-01-01	2011-08-16	GDF SUEZ E&P Norge AS	4237691	5267845	9999-12-31	2013-05-08
445	2007-06-15	2009-06-15	Nexen Exploration Norge AS	4237722	4062831	9999-12-31	2013-05-08
424	2007-02-16	2007-02-17	Norske ConocoPhillips AS	4237756	2399056	9999-12-31	2013-05-08
424	2007-02-17	2009-08-16	ConocoPhillips Skandinavia AS	4237756	2410696	9999-12-31	2013-05-08
425 S	2007-02-16	2009-02-16	Petro-Canada Norge AS	4237783	3960945	9999-12-31	2013-05-08
427 S	2007-10-01	2009-04-16	StatoilHydro Petroleum AS	4237809	4511658	9999-12-31	2013-05-08
427 S	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	4237809	4524355	9999-12-31	2013-05-08
443	2007-06-15	2010-06-15	Wintershall Norge AS (old)	4237831	3482302	9999-12-31	2013-05-08
422 S	2007-02-16	2009-02-16	Nexen Exploration Norge AS	4237847	4062831	9999-12-31	2013-05-08
444	2007-06-15	2010-09-30	Nexen Exploration Norge AS	4237881	4062831	9999-12-31	2013-05-08
050 D	2007-02-16	2007-10-01	Statoil ASA (old)	4237912	1622484	9999-12-31	2013-05-08
050 D	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4237912	4511658	9999-12-31	2013-05-08
050 D	2007-10-01	2008-12-31	StatoilHydro ASA	4237912	4511854	9999-12-31	2013-05-08
050 D	2009-11-02	9999-12-31	Statoil Petroleum AS	4237912	17237817	9999-12-31	2013-05-08
426	2007-02-16	2009-05-26	Endeavour Energy Norge AS	4238116	3113213	9999-12-31	2013-05-08
426	2009-05-26	2009-09-30	VNG Norge (Operations) AS	4238116	5497155	9999-12-31	2013-05-08
426	2009-10-01	2010-08-16	VNG Norge AS	4238116	17237193	9999-12-31	2013-05-08
318 B	2007-10-01	2009-11-01	StatoilHydro Petroleum AS	4238138	4511658	9999-12-31	2013-05-08
318 B	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	4238138	4524355	9999-12-31	2013-05-08
318 B	2009-11-02	9999-12-31	Statoil Petroleum AS	4238138	17237817	9999-12-31	2013-05-08
421	2007-02-16	2009-02-16	Petro-Canada Norge AS	4238186	3960945	9999-12-31	2013-05-08
418	2007-02-16	2010-08-23	Nexen Exploration Norge AS	4238348	4062831	9999-12-31	2013-05-08
418	2010-08-24	2012-03-23	Wintershall Norge ASA	4238348	5442509	9999-12-31	2013-05-08
418	2012-03-24	9999-12-31	Wintershall Norge AS	4238348	21666830	9999-12-31	2013-05-08
420	2007-02-16	9999-12-31	RWE Dea Norge AS	4238409	97557	9999-12-31	2013-05-08
419	2007-02-16	2011-02-17	Nexen Exploration Norge AS	4238530	4062831	9999-12-31	2013-05-08
446	2007-06-15	2009-06-15	Petro-Canada Norge AS	4238548	3960945	9999-12-31	2013-05-08
430	2007-02-16	2009-02-16	OMV (Norge) AS	4238564	4460594	9999-12-31	2013-05-08
429	2007-02-16	2007-10-01	Statoil ASA (old)	4238578	1622484	9999-12-31	2013-05-08
429	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4238578	4511658	9999-12-31	2013-05-08
429	2007-10-01	2008-12-31	StatoilHydro ASA	4238578	4511854	9999-12-31	2013-05-08
429	2009-11-02	2012-02-16	Statoil Petroleum AS	4238578	17237817	9999-12-31	2013-05-08
428	2007-10-01	2009-02-16	StatoilHydro Petroleum AS	4238624	4511658	9999-12-31	2013-05-08
428	2007-02-16	2007-10-01	Norsk Hydro Petroleum AS	4238624	4524355	9999-12-31	2013-05-08
211 B	2007-02-16	9999-12-31	Total E&P Norge AS	4238638	2410708	9999-12-31	2013-05-08
433	2007-02-16	9999-12-31	Centrica Resources (Norge) AS	4238654	4238233	9999-12-31	2013-05-08
436	2007-02-16	2007-10-01	Statoil ASA (old)	4238670	1622484	9999-12-31	2013-05-08
436	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4238670	4511658	9999-12-31	2013-05-08
436	2007-10-01	2008-12-31	StatoilHydro ASA	4238670	4511854	9999-12-31	2013-05-08
436	2009-11-02	2010-02-16	Statoil Petroleum AS	4238670	17237817	9999-12-31	2013-05-08
212 D	2007-02-16	2007-10-01	Statoil ASA (old)	4238684	1622484	9999-12-31	2013-05-08
212 D	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4238684	4511658	9999-12-31	2013-05-08
212 D	2007-10-01	2008-12-31	StatoilHydro ASA	4238684	4511854	9999-12-31	2013-05-08
212 D	2009-11-02	2010-01-01	Statoil Petroleum AS	4238684	17237817	9999-12-31	2013-05-08
435	2007-02-16	9999-12-31	RWE Dea Norge AS	4238696	97557	9999-12-31	2013-05-08
431	2007-02-16	2009-08-26	Centrica Resources (Norge) AS	4238714	4238233	9999-12-31	2013-05-08
431	2009-08-27	2012-08-16	Maersk Oil Norway AS	4238714	4719674	2012-10-12	2013-05-08
434	2007-02-16	2009-01-16	Revus Energy ASA	4238730	3431773	9999-12-31	2013-05-08
434	2010-08-31	2012-02-16	Nexen Exploration Norge AS	4238730	4062831	9999-12-31	2013-05-08
434	2009-01-17	2010-08-30	Wintershall Norge ASA	4238730	5442509	9999-12-31	2013-05-08
432	2007-02-16	2007-11-16	Pertra ASA	4238746	3964368	9999-12-31	2013-05-08
432	2007-11-16	2009-12-21	Det norske oljeselskap ASA (old)	4238746	4539989	9999-12-31	2013-05-08
432	2009-12-22	2010-02-16	Det norske oljeselskap ASA	4238746	17342870	9999-12-31	2013-05-08
447	2007-06-15	2007-06-20	Det Norske Oljeselskap AS	4238758	1340609	9999-12-31	2013-05-08
447	2007-06-20	2007-11-16	Det Norske Oljeselskap ASA (old)	4238758	4468177	9999-12-31	2013-05-08
447	2007-11-16	2008-01-01	Noil Energy ASA	4238758	4539976	9999-12-31	2013-05-08
447	2008-01-01	2009-12-21	Det norske oljeselskap ASA (old)	4238758	4539989	9999-12-31	2013-05-08
447	2009-12-22	2011-06-16	Det norske oljeselskap ASA	4238758	17342870	9999-12-31	2013-05-08
437	2007-02-16	2007-10-01	Statoil ASA (old)	4238776	1622484	9999-12-31	2013-05-08
437	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4238776	4511658	9999-12-31	2013-05-08
437	2007-10-01	2008-12-31	StatoilHydro ASA	4238776	4511854	9999-12-31	2013-05-08
437	2009-11-02	2012-02-16	Statoil Petroleum AS	4238776	17237817	9999-12-31	2013-05-08
448	2007-06-15	2007-10-01	Statoil ASA (old)	4238790	1622484	9999-12-31	2013-05-08
448	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4238790	4511658	9999-12-31	2013-05-08
448	2007-10-01	2008-12-31	StatoilHydro ASA	4238790	4511854	9999-12-31	2013-05-08
448	2009-11-02	9999-12-31	Statoil Petroleum AS	4238790	17237817	9999-12-31	2013-05-08
438	2007-02-16	9999-12-31	Lundin Norway AS	4238812	2767314	9999-12-31	2013-05-08
439	2007-02-16	2012-12-16	OMV (Norge) AS	4238830	4460594	2013-02-13	2013-05-08
449	2007-06-15	2010-06-15	OMV (Norge) AS	4238846	4460594	9999-12-31	2013-05-08
050 DS	2006-10-06	2007-10-01	Statoil ASA (old)	4380141	1622484	9999-12-31	2013-05-08
050 DS	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4380141	4511658	9999-12-31	2013-05-08
050 DS	2007-10-01	2008-12-31	StatoilHydro ASA	4380141	4511854	9999-12-31	2013-05-08
050 DS	2009-11-02	9999-12-31	Statoil Petroleum AS	4380141	17237817	9999-12-31	2013-05-08
120 B	2006-10-06	2007-10-01	Statoil ASA (old)	4380181	1622484	9999-12-31	2013-05-08
120 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4380181	4511658	9999-12-31	2013-05-08
120 B	2007-10-01	2008-12-31	StatoilHydro ASA	4380181	4511854	9999-12-31	2013-05-08
120 B	2009-11-02	9999-12-31	Statoil Petroleum AS	4380181	17237817	9999-12-31	2013-05-08
229 B	2007-04-27	9999-12-31	Eni Norge AS	4461754	2388594	9999-12-31	2013-05-08
316 CS	2007-08-23	2010-06-18	Talisman Energy Norge AS	4480974	2425093	9999-12-31	2013-05-08
316 DS	2007-08-23	2010-06-18	Talisman Energy Norge AS	4481011	2425093	9999-12-31	2013-05-08
202	1993-09-10	2001-05-10	Den norske stats oljeselskap a.s	4705176	749	9999-12-31	2013-05-08
202	2001-05-10	2007-10-01	Statoil ASA (old)	4705176	1622484	9999-12-31	2013-05-08
202	2007-10-01	2008-01-01	StatoilHydro ASA	4705176	4511854	9999-12-31	2013-05-08
327 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4720054	4511658	9999-12-31	2013-05-08
327 B	2007-12-07	2008-12-31	StatoilHydro ASA	4720054	4511854	9999-12-31	2013-05-08
327 B	2009-11-02	9999-12-31	Statoil Petroleum AS	4720054	17237817	9999-12-31	2013-05-08
321 B	2007-12-07	2009-12-21	Det norske oljeselskap ASA (old)	4720082	4539989	9999-12-31	2013-05-08
321 B	2009-12-22	2010-06-18	Det norske oljeselskap ASA	4720082	17342870	9999-12-31	2013-05-08
274 CS	2008-02-29	9999-12-31	DONG E&P Norge AS	4909658	4070011	9999-12-31	2013-05-08
006 D	2008-02-29	2011-08-29	Lundin Norway AS	4909688	2767314	9999-12-31	2013-05-08
454	2008-02-29	2010-03-01	E.ON Ruhrgas Norge AS	4909716	2840522	9999-12-31	2013-05-08
452	2008-02-29	2009-08-29	Centrica Resources (Norge) AS	4909740	4238233	9999-12-31	2013-05-08
450	2008-02-29	2009-12-21	Det norske oljeselskap ASA (old)	4909784	4539989	9999-12-31	2013-05-08
450	2009-12-22	9999-12-31	Det norske oljeselskap ASA	4909784	17342870	9999-12-31	2013-05-08
455	2008-02-29	2011-06-30	Norwegian Energy Company ASA	4909816	4530695	9999-12-31	2013-05-08
455	2011-07-01	9999-12-31	Lotos Exploration and Production Norge AS	4909816	5064434	9999-12-31	2013-05-08
453 S	2008-02-29	9999-12-31	Lundin Norway AS	4909893	2767314	9999-12-31	2013-05-08
451	2008-02-29	2011-03-01	Norwegian Energy Company ASA	4910013	4530695	9999-12-31	2013-05-08
457	2008-02-29	2009-01-16	Revus Energy ASA	4910110	3431773	9999-12-31	2013-05-08
457	2009-01-17	2012-03-23	Wintershall Norge ASA	4910110	5442509	9999-12-31	2013-05-08
457	2012-03-24	9999-12-31	Wintershall Norge AS	4910110	21666830	9999-12-31	2013-05-08
456	2008-02-29	2009-02-28	Rocksource ASA	4910146	4062921	9999-12-31	2013-05-08
460	2008-02-29	2009-12-21	Det norske oljeselskap ASA (old)	4910195	4539989	9999-12-31	2013-05-08
460	2009-12-22	9999-12-31	Det norske oljeselskap ASA	4910195	17342870	9999-12-31	2013-05-08
459	2008-02-29	2009-01-16	Revus Energy ASA	4910251	3431773	9999-12-31	2013-05-08
459	2009-01-17	2010-03-01	Wintershall Norge ASA	4910251	5442509	9999-12-31	2013-05-08
458	2008-02-29	2010-03-01	E.ON Ruhrgas Norge AS	4910277	2840522	9999-12-31	2013-05-08
461	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4910313	4511658	9999-12-31	2013-05-08
461	2008-02-29	2008-12-31	StatoilHydro ASA	4910313	4511854	9999-12-31	2013-05-08
461	2009-11-02	2010-03-01	Statoil Petroleum AS	4910313	17237817	9999-12-31	2013-05-08
462 S	2008-02-29	2011-03-01	Nexen Exploration Norge AS	4910350	4062831	9999-12-31	2013-05-08
463 S	2008-02-29	2009-12-21	Det norske oljeselskap ASA (old)	4910414	4539989	9999-12-31	2013-05-08
463 S	2009-12-22	2011-08-28	Det norske oljeselskap ASA	4910414	17342870	9999-12-31	2013-05-08
465	2008-02-29	2011-03-01	Nexen Exploration Norge AS	4918009	4062831	9999-12-31	2013-05-08
052 C	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4918046	4511658	9999-12-31	2013-05-08
052 C	2008-02-29	2008-12-31	StatoilHydro ASA	4918046	4511854	9999-12-31	2013-05-08
052 C	2009-11-02	2011-03-01	Statoil Petroleum AS	4918046	17237817	9999-12-31	2013-05-08
464	2008-02-29	2011-03-01	Dana Petroleum Norway AS	4918076	4526555	9999-12-31	2013-05-08
344 B	2008-02-29	2009-01-16	Revus Energy ASA	4918142	3431773	9999-12-31	2013-05-08
344 B	2010-09-30	2010-12-07	Spring Energy Norway AS	4918142	5072514	9999-12-31	2013-05-08
344 B	2009-01-17	2010-09-29	Wintershall Norge ASA	4918142	5442509	9999-12-31	2013-05-08
466 S	2008-02-29	2010-03-01	Nexen Exploration Norge AS	4918164	4062831	9999-12-31	2013-05-08
467 S	2008-02-29	2010-08-29	BG Norge AS	4918211	2747354	9999-12-31	2013-05-08
153 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4918242	4511658	9999-12-31	2013-05-08
153 B	2008-02-29	2008-12-31	StatoilHydro ASA	4918242	4511854	9999-12-31	2013-05-08
153 B	2010-11-25	9999-12-31	GDF SUEZ E&P Norge AS	4918242	5267845	9999-12-31	2013-05-08
153 B	2009-11-02	2010-11-24	Statoil Petroleum AS	4918242	17237817	9999-12-31	2013-05-08
468	2008-02-29	2009-12-21	Aker Exploration AS	4918281	4460425	9999-12-31	2013-05-08
468	2010-10-01	2012-02-29	Det norske oljeselskap ASA	4918281	17342870	9999-12-31	2013-05-08
468	2009-12-22	2010-09-30	Det norske oljeselskap AS	4918281	17342915	9999-12-31	2013-05-08
474	2008-02-29	2010-09-01	Wintershall Norge AS (old)	4918303	3482302	9999-12-31	2013-05-08
472	2008-02-29	2010-03-01	Wintershall Norge AS (old)	4918367	3482302	9999-12-31	2013-05-08
475	2008-02-29	2009-01-16	Revus Energy ASA	4918410	3431773	9999-12-31	2013-05-08
475	2009-01-17	2012-03-23	Wintershall Norge ASA	4918410	5442509	9999-12-31	2013-05-08
475	2012-03-24	9999-12-31	Wintershall Norge AS	4918410	21666830	9999-12-31	2013-05-08
405 B	2008-02-29	9999-12-31	Centrica Resources (Norge) AS	4918473	4238233	9999-12-31	2013-05-08
471	2008-02-29	2013-02-28	OMV (Norge) AS	4918501	4460594	2013-03-22	2013-05-08
074 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4918544	4511658	9999-12-31	2013-05-08
074 B	2008-02-29	2008-12-31	StatoilHydro ASA	4918544	4511854	9999-12-31	2013-05-08
074 B	2009-11-01	9999-12-31	Statoil Petroleum AS	4918544	17237817	9999-12-31	2013-05-08
473	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4920841	4511658	9999-12-31	2013-05-08
473	2008-02-29	2008-12-31	StatoilHydro ASA	4920841	4511854	9999-12-31	2013-05-08
473	2009-11-02	9999-12-31	Statoil Petroleum AS	4920841	17237817	9999-12-31	2013-05-08
469	2008-02-29	2008-12-31	Gaz de France Norge AS	4920878	1628733	9999-12-31	2013-05-08
469	2009-01-01	2011-02-28	GDF SUEZ E&P Norge AS	4920878	5267845	9999-12-31	2013-05-08
470	2008-02-29	2011-03-01	Centrica Resources (Norge) AS	4920926	4238233	9999-12-31	2013-05-08
479	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4920979	4511658	9999-12-31	2013-05-08
479	2008-02-29	2008-12-31	StatoilHydro ASA	4920979	4511854	9999-12-31	2013-05-08
479	2009-11-02	9999-12-31	Statoil Petroleum AS	4920979	17237817	9999-12-31	2013-05-08
477	2008-02-29	9999-12-31	Centrica Resources (Norge) AS	4921022	4238233	9999-12-31	2013-05-08
487 S	2008-02-29	2010-03-01	E.ON Ruhrgas Norge AS	4921153	2840522	9999-12-31	2013-05-08
488	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4921192	4511658	9999-12-31	2013-05-08
488	2008-02-29	2008-12-31	StatoilHydro ASA	4921192	4511854	9999-12-31	2013-05-08
488	2009-11-02	2012-11-19	Statoil Petroleum AS	4921192	17237817	2013-01-23	2013-05-08
478	2008-02-29	2011-08-29	Centrica Resources (Norge) AS	4921207	4238233	9999-12-31	2013-05-08
480	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4921338	4511658	9999-12-31	2013-05-08
480	2008-02-29	2008-12-31	StatoilHydro ASA	4921338	4511854	9999-12-31	2013-05-08
480	2009-11-02	2010-03-01	Statoil Petroleum AS	4921338	17237817	9999-12-31	2013-05-08
490	2008-02-29	9999-12-31	Lundin Norway AS	4921353	2767314	9999-12-31	2013-05-08
476	2008-02-29	2009-12-21	Det norske oljeselskap ASA (old)	4921415	4539989	9999-12-31	2013-05-08
476	2009-12-22	2011-01-22	Det norske oljeselskap ASA	4921415	17342870	9999-12-31	2013-05-08
482	2008-02-29	2009-12-21	Det norske oljeselskap ASA (old)	4921474	4539989	9999-12-31	2013-05-08
482	2009-12-22	2013-03-01	Det norske oljeselskap ASA	4921474	17342870	2013-04-13	2013-05-08
489	2008-02-29	9999-12-31	Eni Norge AS	4921522	2388594	9999-12-31	2013-05-08
481	2008-02-29	2010-05-25	Discover Petroleum AS	4921546	3500333	9999-12-31	2013-05-08
481	2012-10-31	2013-03-01	DONG E&P Norge AS	4921546	4070011	2013-05-08	2013-05-08
481	2010-05-26	2012-10-30	Front Exploration AS	4921546	18108745	2012-11-06	2013-05-08
448 B	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4921587	4511658	9999-12-31	2013-05-08
448 B	2008-02-29	2008-12-31	StatoilHydro ASA	4921587	4511854	9999-12-31	2013-05-08
448 B	2009-11-02	2010-09-15	Statoil Petroleum AS	4921587	17237817	9999-12-31	2013-05-08
484	2008-02-29	2012-12-30	Norwegian Energy Company ASA	4921632	4530695	2013-01-04	2013-05-08
484	2012-12-31	9999-12-31	Noreco Norway AS	4921632	22223020	9999-12-31	2013-05-08
491	2008-02-29	2008-03-01	Noil Energy ASA	4921667	4539976	9999-12-31	2013-05-08
491	2008-03-01	2009-12-21	Det norske oljeselskap ASA (old)	4921667	4539989	9999-12-31	2013-05-08
491	2009-12-22	2011-03-01	Det norske oljeselskap ASA	4921667	17342870	9999-12-31	2013-05-08
229 C	2008-02-29	2009-02-28	Eni Norge AS	4921701	2388594	9999-12-31	2013-05-08
485	2008-02-29	2009-01-16	Revus Energy ASA	4921710	3431773	9999-12-31	2013-05-08
485	2009-01-17	2011-02-28	Wintershall Norge ASA	4921710	5442509	9999-12-31	2013-05-08
483 S	2008-02-29	2009-12-21	Det norske oljeselskap ASA (old)	4921755	4539989	9999-12-31	2013-05-08
483 S	2009-12-22	2011-01-16	Det norske oljeselskap ASA	4921755	17342870	9999-12-31	2013-05-08
486 S	2008-02-29	2010-03-01	E.ON Ruhrgas Norge AS	4921823	2840522	9999-12-31	2013-05-08
492	2008-02-29	9999-12-31	Lundin Norway AS	4925088	2767314	9999-12-31	2013-05-08
159 C	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4939362	4511658	9999-12-31	2013-05-08
159 C	2008-02-13	2008-12-31	StatoilHydro ASA	4939362	4511854	9999-12-31	2013-05-08
159 C	2009-11-02	9999-12-31	Statoil Petroleum AS	4939362	17237817	9999-12-31	2013-05-08
159 D	2009-01-01	2009-11-01	StatoilHydro Petroleum AS	4939421	4511658	9999-12-31	2013-05-08
159 D	2008-02-13	2008-12-31	StatoilHydro ASA	4939421	4511854	9999-12-31	2013-05-08
159 D	2009-11-02	9999-12-31	Statoil Petroleum AS	4939421	17237817	9999-12-31	2013-05-08
027 D	2007-12-07	2009-12-17	ExxonMobil Exploration & Production Norway AS	4943160	2835212	9999-12-31	2013-05-08
027 D	2009-12-18	9999-12-31	Det norske oljeselskap ASA	4943160	17342870	9999-12-31	2013-05-08
263 C	2008-04-18	2009-11-01	StatoilHydro Petroleum AS	4966437	4511658	9999-12-31	2013-05-08
263 C	2009-11-02	9999-12-31	Statoil Petroleum AS	4966437	17237817	9999-12-31	2013-05-08
212 E	2008-01-23	9999-12-31	BP Norge AS	4966902	2052695	9999-12-31	2013-05-08
301 B	2008-05-21	2011-06-13	Talisman Energy Norge AS	4973175	2425093	9999-12-31	2013-05-08
301 CS	2010-07-26	2012-06-12	ConocoPhillips Skandinavia AS	4973200	2410696	2012-09-12	2013-05-08
301 CS	2008-05-21	2010-07-25	Talisman Energy Norge AS	4973200	2425093	9999-12-31	2013-05-08
036 D	2008-10-17	2009-11-01	StatoilHydro Petroleum AS	5081703	4511658	9999-12-31	2013-05-08
036 D	2009-11-02	2012-09-30	Statoil Petroleum AS	5081703	17237817	2012-10-02	2013-05-08
036 D	2012-10-01	9999-12-31	Marathon Oil Norge AS	5081703	20485291	9999-12-31	2013-05-08
035 B	2012-04-30	9999-12-31	Centrica Resources (Norge) AS	5105684	4238233	9999-12-31	2013-05-08
035 B	2008-11-26	2009-11-01	StatoilHydro Petroleum AS	5105684	4511658	9999-12-31	2013-05-08
035 B	2009-11-02	2012-04-29	Statoil Petroleum AS	5105684	17237817	9999-12-31	2013-05-08
493	2009-01-23	2012-01-23	ConocoPhillips Skandinavia AS	5105835	2410696	9999-12-31	2013-05-08
494	2009-01-23	2013-03-18	Dana Petroleum Norway AS	5105899	4526555	2013-04-09	2013-05-08
494	2013-03-19	9999-12-31	Det norske oljeselskap ASA	5105899	17342870	9999-12-31	2013-05-08
495	2009-01-23	9999-12-31	Lundin Norway AS	5105968	2767314	9999-12-31	2013-05-08
496	2009-01-23	2011-03-08	Premier Oil Norge AS	5106035	3482067	9999-12-31	2013-05-08
497	2009-01-23	2009-12-21	Det norske oljeselskap ASA (old)	5106073	4539989	9999-12-31	2013-05-08
497	2009-12-22	9999-12-31	Det norske oljeselskap ASA	5106073	17342870	9999-12-31	2013-05-08
498	2009-01-23	9999-12-31	Lotos Exploration and Production Norge AS	5106134	5064434	9999-12-31	2013-05-08
499 S	2009-01-23	2011-07-23	ConocoPhillips Skandinavia AS	5106238	2410696	9999-12-31	2013-05-08
500	2009-01-23	2009-12-21	Det norske oljeselskap ASA (old)	5106274	4539989	9999-12-31	2013-05-08
500	2011-07-27	9999-12-31	Statoil Petroleum AS	5106274	17237817	9999-12-31	2013-05-08
500	2009-12-22	2011-07-26	Det norske oljeselskap ASA	5106274	17342870	9999-12-31	2013-05-08
501	2009-01-23	9999-12-31	Lundin Norway AS	5106314	2767314	9999-12-31	2013-05-08
502	2009-01-23	2009-11-01	StatoilHydro Petroleum AS	5106378	4511658	9999-12-31	2013-05-08
502	2009-11-02	9999-12-31	Statoil Petroleum AS	5106378	17237817	9999-12-31	2013-05-08
503	2009-01-23	9999-12-31	Lotos Exploration and Production Norge AS	5106405	5064434	9999-12-31	2013-05-08
504	2009-01-23	2009-12-21	Det norske oljeselskap ASA (old)	5106455	4539989	9999-12-31	2013-05-08
504	2009-12-22	9999-12-31	Det norske oljeselskap ASA	5106455	17342870	9999-12-31	2013-05-08
505	2009-01-23	2011-07-03	Marathon Petroleum Norge AS	5106486	463	9999-12-31	2013-05-08
505	2011-07-04	9999-12-31	Marathon Oil Norge AS	5106486	20485291	9999-12-31	2013-05-08
506 S	2009-01-23	2012-12-30	Rocksource ASA	5106544	4062921	2013-01-09	2013-05-08
506 S	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	5106544	22528729	9999-12-31	2013-05-08
518	2009-01-23	2013-01-23	DONG E&P Norge AS	5106560	4070011	2013-03-22	2013-05-08
507	2009-01-23	2009-01-23	Revus Energy AS	5106689	2455850	9999-12-31	2013-05-08
507	2009-01-24	2012-03-23	Wintershall Norge ASA	5106689	5442509	9999-12-31	2013-05-08
507	2012-03-24	9999-12-31	Wintershall Norge AS	5106689	21666830	9999-12-31	2013-05-08
508 S	2009-01-23	2012-01-23	Nexen Exploration Norge AS	5106810	4062831	9999-12-31	2013-05-08
509 S	2009-01-23	2009-01-24	Revus Energy ASA	5106880	3431773	9999-12-31	2013-05-08
509 S	2009-01-25	2012-02-23	Wintershall Norge ASA	5106880	5442509	9999-12-31	2013-05-08
509 S	2012-03-24	9999-12-31	Wintershall Norge AS	5106880	21666830	9999-12-31	2013-05-08
510	2009-01-23	2012-10-11	Centrica Resources (Norge) AS	5106991	4238233	2012-10-25	2013-05-08
510	2013-01-01	9999-12-31	Maersk Oil Norway AS	5106991	4719674	9999-12-31	2013-05-08
510	2012-10-12	2012-12-31	North Energy ASA	5106991	18082156	2013-02-15	2013-05-08
517	2009-01-23	2012-01-23	OMV (Norge) AS	5107074	4460594	9999-12-31	2013-05-08
516	2009-01-23	2009-11-01	StatoilHydro Petroleum AS	5107101	4511658	9999-12-31	2013-05-08
516	2009-11-02	9999-12-31	Statoil Petroleum AS	5107101	17237817	9999-12-31	2013-05-08
515	2009-01-23	2012-04-23	Rocksource ASA	5107133	4062921	2012-12-04	2013-05-08
514	2009-01-23	2011-01-22	Eni Norge AS	5107175	2388594	9999-12-31	2013-05-08
513	2009-01-23	9999-12-31	Maersk Oil Norway AS	5107217	4719674	9999-12-31	2013-05-08
432 B	2009-01-23	2009-12-21	Det norske oljeselskap ASA (old)	5107289	4539989	9999-12-31	2013-05-08
432 B	2009-12-22	2010-02-16	Det norske oljeselskap ASA	5107289	17342870	9999-12-31	2013-05-08
512	2009-01-23	2009-12-21	Det norske oljeselskap ASA (old)	5107312	4539989	9999-12-31	2013-05-08
512	2009-12-22	9999-12-31	Det norske oljeselskap ASA	5107312	17342870	9999-12-31	2013-05-08
107 B	2009-01-23	2009-11-01	StatoilHydro Petroleum AS	5107376	4511658	9999-12-31	2013-05-08
107 B	2009-11-02	9999-12-31	Statoil Petroleum AS	5107376	17237817	9999-12-31	2013-05-08
511	2009-01-23	2011-07-15	Wintershall Norge AS (old)	5107428	3482302	9999-12-31	2013-05-08
511	2011-07-16	2012-03-23	Wintershall Norge ASA	5107428	5442509	9999-12-31	2013-05-08
511	2012-03-24	9999-12-31	Wintershall Norge AS	5107428	21666830	9999-12-31	2013-05-08
292 B	2009-01-23	9999-12-31	BG Norge AS	5107501	2747354	9999-12-31	2013-05-08
465 B	2009-01-23	2011-03-01	Nexen Exploration Norge AS	5107561	4062831	9999-12-31	2013-05-08
193 B	2009-01-23	2009-11-01	StatoilHydro Petroleum AS	5107611	4511658	9999-12-31	2013-05-08
193 B	2009-11-02	9999-12-31	Statoil Petroleum AS	5107611	17237817	9999-12-31	2013-05-08
472 B	2009-01-23	2010-03-01	Wintershall Norge AS (old)	5107640	3482302	9999-12-31	2013-05-08
475 BS	2009-01-23	2009-01-24	Revus Energy ASA	5107669	3431773	9999-12-31	2013-05-08
475 BS	2009-01-25	2012-03-23	Wintershall Norge ASA	5107669	5442509	9999-12-31	2013-05-08
475 BS	2012-03-24	9999-12-31	Wintershall Norge AS	5107669	21666830	9999-12-31	2013-05-08
402 B	2009-01-23	9999-12-31	Talisman Energy Norge AS	5107780	2425093	9999-12-31	2013-05-08
107 C	2009-01-23	2009-11-01	StatoilHydro Petroleum AS	5115394	4511658	9999-12-31	2013-05-08
107 C	2009-11-02	9999-12-31	Statoil Petroleum AS	5115394	17237817	9999-12-31	2013-05-08
519	2009-05-15	9999-12-31	Lundin Norway AS	5463084	2767314	9999-12-31	2013-05-08
318 C	2009-05-15	2009-11-01	StatoilHydro Petroleum AS	5463114	4511658	9999-12-31	2013-05-08
318 C	2009-11-02	9999-12-31	Statoil Petroleum AS	5463114	17237817	9999-12-31	2013-05-08
520	2009-05-15	9999-12-31	ExxonMobil Exploration & Production Norway AS	5463136	2835212	9999-12-31	2013-05-08
521	2009-05-15	2009-11-01	StatoilHydro Petroleum AS	5463210	4511658	9999-12-31	2013-05-08
521	2009-11-02	9999-12-31	Statoil Petroleum AS	5463210	17237817	9999-12-31	2013-05-08
522	2009-05-15	9999-12-31	BG Norge AS	5463248	2747354	9999-12-31	2013-05-08
523	2009-05-15	2012-02-10	E.ON Ruhrgas Norge AS	5463304	2840522	9999-12-31	2013-05-08
523	2012-02-11	2012-05-15	E.ON E&P Norge AS	5463304	21631209	2012-07-04	2013-05-08
524	2009-05-15	2009-11-01	StatoilHydro Petroleum AS	5463333	4511658	9999-12-31	2013-05-08
524	2009-11-02	2012-05-15	Statoil Petroleum AS	5463333	17237817	9999-12-31	2013-05-08
525	2009-05-15	2012-05-14	Hess Norge AS	5463362	4038735	2012-06-06	2013-05-08
525	2012-05-15	2012-12-30	Norwegian Energy Company ASA	5463362	4530695	2013-01-04	2013-05-08
525	2012-12-31	9999-12-31	Noreco Norway AS	5463362	22223020	9999-12-31	2013-05-08
526	2009-05-15	2010-04-19	North Energy AS	5463391	4706034	9999-12-31	2013-05-08
526	2010-04-20	9999-12-31	North Energy ASA	5463391	18082156	9999-12-31	2013-05-08
527	2009-05-15	9999-12-31	Chevron Norge AS	5463429	3488906	9999-12-31	2013-05-08
528	2009-05-15	2011-02-27	Petro-Canada Norge AS	5463521	3960945	9999-12-31	2013-05-08
528	2012-09-27	9999-12-31	Centrica Resources (Norge) AS	5463521	4238233	9999-12-31	2013-05-08
528	2011-02-28	2012-09-26	Suncor Energy Norge AS	5463521	20426420	2012-10-09	2013-05-08
529	2009-05-15	9999-12-31	Eni Norge AS	5463559	2388594	9999-12-31	2013-05-08
530	2009-05-15	2013-03-12	GDF SUEZ E&P Norge AS	5463588	5267845	2013-03-22	2013-05-08
531	2009-05-15	2011-07-03	Marathon Petroleum Norge AS	5463621	463	9999-12-31	2013-05-08
531	2011-10-31	9999-12-31	Repsol Exploration Norge AS	5463621	17237506	9999-12-31	2013-05-08
531	2011-07-04	2011-10-30	Marathon Oil Norge AS	5463621	20485291	9999-12-31	2013-05-08
532	2009-05-15	2009-11-01	StatoilHydro Petroleum AS	5463659	4511658	9999-12-31	2013-05-08
532	2009-11-02	9999-12-31	Statoil Petroleum AS	5463659	17237817	9999-12-31	2013-05-08
533	2009-05-15	9999-12-31	Eni Norge AS	5463724	2388594	9999-12-31	2013-05-08
534	2009-05-15	9999-12-31	BG Norge AS	5463753	2747354	9999-12-31	2013-05-08
535	2009-05-15	9999-12-31	Total E&P Norge AS	5463791	2410708	9999-12-31	2013-05-08
536	2009-05-15	2009-11-01	StatoilHydro Petroleum AS	5463820	4511658	9999-12-31	2013-05-08
536	2009-11-02	2012-11-15	Statoil Petroleum AS	5463820	17237817	2013-01-23	2013-05-08
537	2009-05-15	9999-12-31	OMV (Norge) AS	5463849	4460594	9999-12-31	2013-05-08
102 C	2009-03-20	9999-12-31	Total E&P Norge AS	5467035	2410708	9999-12-31	2013-05-08
169 C	2009-03-27	2009-04-29	StatoilHydro Petroleum AS	5479914	4511658	9999-12-31	2013-05-08
169 C	2009-04-29	2009-12-21	Det norske oljeselskap ASA (old)	5479914	4539989	9999-12-31	2013-05-08
169 C	2009-12-22	9999-12-31	Det norske oljeselskap ASA	5479914	17342870	9999-12-31	2013-05-08
538	2009-05-15	2012-05-15	A/S Norske Shell	5480294	562	9999-12-31	2013-05-08
019 D	2009-01-16	9999-12-31	Talisman Energy Norge AS	5488531	2425093	9999-12-31	2013-05-08
299 B	2009-01-16	2010-01-01	Talisman Energy Norge AS	5488567	2425093	9999-12-31	2013-05-08
038 D	2009-05-15	9999-12-31	Talisman Energy Norge AS	5500999	2425093	9999-12-31	2013-05-08
539	2012-01-31	9999-12-31	Premier Oil Norge AS	17320077	3482067	9999-12-31	2013-05-08
539	2010-02-19	2012-01-30	Nexen Exploration Norge AS	17320077	4062831	9999-12-31	2013-05-08
540	2010-02-19	2011-08-19	Norwegian Energy Company ASA	17320106	4530695	9999-12-31	2013-05-08
541	2010-02-19	9999-12-31	Repsol Exploration Norge AS	17320130	17237506	9999-12-31	2013-05-08
542	2010-02-19	9999-12-31	Det norske oljeselskap ASA	17320156	17342870	9999-12-31	2013-05-08
331 C	2010-02-19	2011-06-18	ConocoPhillips Skandinavia AS	17320176	2410696	9999-12-31	2013-05-08
497 B	2010-02-19	9999-12-31	Det norske oljeselskap ASA	17320202	17342870	9999-12-31	2013-05-08
543	2010-02-19	2012-11-19	Statoil Petroleum AS	17320231	17237817	2013-02-08	2013-05-08
544	2010-02-19	9999-12-31	Lundin Norway AS	17320260	2767314	9999-12-31	2013-05-08
545	2010-02-19	2012-02-19	Norwegian Energy Company ASA	17320282	4530695	9999-12-31	2013-05-08
546	2010-02-19	9999-12-31	Lundin Norway AS	17320338	2767314	9999-12-31	2013-05-08
169 D	2010-02-19	9999-12-31	Statoil Petroleum AS	17320383	17237817	9999-12-31	2013-05-08
340 BS	2010-02-19	2011-07-03	Marathon Petroleum Norge AS	17320421	463	9999-12-31	2013-05-08
340 BS	2011-07-04	9999-12-31	Marathon Oil Norge AS	17320421	20485291	9999-12-31	2013-05-08
547 S	2010-02-19	2011-07-03	Marathon Petroleum Norge AS	17320441	463	9999-12-31	2013-05-08
547 S	2011-07-04	2012-02-19	Marathon Oil Norge AS	17320441	20485291	9999-12-31	2013-05-08
504 BS	2010-02-19	9999-12-31	Det norske oljeselskap ASA	17320469	17342870	9999-12-31	2013-05-08
548 S	2010-02-19	2012-02-19	Det norske oljeselskap ASA	17320489	17342870	2012-07-04	2013-05-08
505 BS	2010-02-19	2011-07-03	Marathon Petroleum Norge AS	17320530	463	9999-12-31	2013-05-08
505 BS	2011-07-04	9999-12-31	Marathon Oil Norge AS	17320530	20485291	9999-12-31	2013-05-08
549 S	2010-02-19	9999-12-31	Det norske oljeselskap ASA	17320558	17342870	9999-12-31	2013-05-08
550	2012-04-26	2013-02-12	Spring Energy Norway AS	17320594	5072514	2013-02-20	2013-05-08
550	2010-02-19	2012-04-25	Wintershall Norge ASA	17320594	5442509	2012-06-07	2013-05-08
550	2013-02-13	9999-12-31	Tullow Oil Norge AS	17320594	23173852	9999-12-31	2013-05-08
551	2012-04-26	2013-02-12	Spring Energy Norway AS	17642019	5072514	2013-02-20	2013-05-08
551	2010-02-19	2012-04-25	Wintershall Norge ASA	17642019	5442509	2012-06-07	2013-05-08
551	2013-02-13	9999-12-31	Tullow Oil Norge AS	17642019	23173852	9999-12-31	2013-05-08
090 E	2010-02-19	9999-12-31	Statoil Petroleum AS	17642079	17237817	9999-12-31	2013-05-08
552	2010-02-19	9999-12-31	Statoil Petroleum AS	17642108	17237817	9999-12-31	2013-05-08
553	2010-02-19	9999-12-31	Det norske oljeselskap ASA	17646365	17342870	9999-12-31	2013-05-08
554	2011-05-31	9999-12-31	Total E&P Norge AS	17654471	2410708	9999-12-31	2013-05-08
554	2010-02-19	2010-03-29	Bridge Energy AS	17654471	4062933	9999-12-31	2013-05-08
554	2010-03-30	2011-05-30	Bridge Energy Norge AS	17654471	18178215	9999-12-31	2013-05-08
423 BS	2010-02-19	2011-08-16	GDF SUEZ E&P Norge AS	17654498	5267845	9999-12-31	2013-05-08
555	2010-02-19	9999-12-31	Lundin Norway AS	17654533	2767314	9999-12-31	2013-05-08
556	2010-02-19	2011-02-19	Lotos Exploration and Production Norge AS	17654560	5064434	9999-12-31	2013-05-08
093 B	2010-02-19	9999-12-31	A/S Norske Shell	17654585	562	9999-12-31	2013-05-08
312 B	2010-02-19	9999-12-31	Statoil Petroleum AS	17654614	17237817	9999-12-31	2013-05-08
557	2010-02-19	9999-12-31	OMV (Norge) AS	17654641	4460594	9999-12-31	2013-05-08
477 B	2010-02-19	9999-12-31	Centrica Resources (Norge) AS	17654703	4238233	9999-12-31	2013-05-08
558	2010-02-19	2012-02-10	E.ON Ruhrgas Norge AS	17654732	2840522	9999-12-31	2013-05-08
558	2012-02-11	9999-12-31	E.ON E&P Norge AS	17654732	21631209	9999-12-31	2013-05-08
559	2010-02-19	2012-12-30	Rocksource ASA	17654775	4062921	2013-01-09	2013-05-08
559	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	17654775	22528729	9999-12-31	2013-05-08
560	2010-02-19	2011-02-19	Statoil Petroleum AS	17654831	17237817	9999-12-31	2013-05-08
561	2010-02-19	2012-03-23	Wintershall Norge ASA	17654869	5442509	9999-12-31	2013-05-08
561	2012-03-24	2013-02-19	Wintershall Norge AS	17654869	21666830	2013-04-03	2013-05-08
562	2010-11-30	2012-02-10	E.ON Ruhrgas Norge AS	17654921	2840522	9999-12-31	2013-05-08
562	2010-02-19	2010-11-29	Dana Petroleum Norway AS	17654921	4526555	9999-12-31	2013-05-08
562	2012-02-11	9999-12-31	E.ON E&P Norge AS	17654921	21631209	9999-12-31	2013-05-08
518 B	2010-02-19	2013-01-23	DONG E&P Norge AS	17654970	4070011	2013-03-22	2013-05-08
563	2010-02-19	9999-12-31	Lundin Norway AS	17655034	2767314	9999-12-31	2013-05-08
564	2010-02-19	9999-12-31	OMV (Norge) AS	17655076	4460594	9999-12-31	2013-05-08
028 S	2009-11-13	9999-12-31	ExxonMobil Exploration & Production Norway AS	18054740	2835212	9999-12-31	2013-05-08
043 CS	2010-05-12	9999-12-31	Total E&P Norge AS	18116800	2410708	9999-12-31	2013-05-08
043 DS	2010-05-12	9999-12-31	Total E&P Norge AS	18116829	2410708	9999-12-31	2013-05-08
330 B	2010-10-22	2010-10-24	RWE Dea Norge AS	18403842	97557	9999-12-31	2013-05-08
330 B	2010-10-25	2011-06-01	Hess Norge AS	18403842	4038735	9999-12-31	2013-05-08
393 B	2010-09-10	9999-12-31	Statoil Petroleum AS	18404594	17237817	9999-12-31	2013-05-08
048 E	2010-12-09	9999-12-31	Statoil Petroleum AS	18450020	17237817	9999-12-31	2013-05-08
565	2012-01-31	9999-12-31	Premier Oil Norge AS	20088435	3482067	9999-12-31	2013-05-08
565	2011-02-04	2012-01-30	Nexen Exploration Norge AS	20088435	4062831	9999-12-31	2013-05-08
566 S	2012-01-31	9999-12-31	Premier Oil Norge AS	20088461	3482067	9999-12-31	2013-05-08
566 S	2011-02-04	2012-01-30	Nexen Exploration Norge AS	20088461	4062831	9999-12-31	2013-05-08
494 B	2011-02-04	2013-03-18	Dana Petroleum Norway AS	20088555	4526555	2013-04-09	2013-05-08
494 B	2013-03-19	9999-12-31	Det norske oljeselskap ASA	20088555	17342870	9999-12-31	2013-05-08
567	2011-02-04	9999-12-31	Premier Oil Norge AS	20088593	3482067	9999-12-31	2013-05-08
301 D	2011-02-04	9999-12-31	Lundin Norway AS	20088622	2767314	9999-12-31	2013-05-08
568	2011-02-04	9999-12-31	Talisman Energy Norge AS	20088760	2425093	9999-12-31	2013-05-08
360 B	2011-02-04	9999-12-31	Statoil Petroleum AS	20107847	17237817	9999-12-31	2013-05-08
569	2011-02-04	9999-12-31	Statoil Petroleum AS	20107876	17237817	9999-12-31	2013-05-08
503 B	2011-02-04	9999-12-31	Lotos Exploration and Production Norge AS	20107903	5064434	9999-12-31	2013-05-08
501 B	2011-02-04	9999-12-31	Lundin Norway AS	20107950	2767314	9999-12-31	2013-05-08
570	2011-02-04	9999-12-31	VNG Norge AS	20107979	17237193	9999-12-31	2013-05-08
571	2011-02-04	2011-02-27	Petro-Canada Norge AS	20108024	3960945	9999-12-31	2013-05-08
571	2011-02-28	9999-12-31	Suncor Energy Norge AS	20108024	20426420	9999-12-31	2013-05-08
150 B	2011-02-04	2011-07-03	Marathon Petroleum Norge AS	20108072	463	9999-12-31	2013-05-08
150 B	2011-07-04	9999-12-31	Marathon Oil Norge AS	20108072	20485291	9999-12-31	2013-05-08
506 BS	2011-02-04	2012-12-30	Rocksource ASA	20108101	4062921	2013-01-09	2013-05-08
506 BS	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	20108101	22528729	9999-12-31	2013-05-08
506 CS	2011-02-04	2012-12-30	Rocksource ASA	20108128	4062921	2013-01-09	2013-05-08
506 CS	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	20108128	22528729	9999-12-31	2013-05-08
572 S	2011-02-04	2012-02-04	E.ON Ruhrgas Norge AS	20108160	2840522	2012-06-09	2013-05-08
573 S	2011-02-04	9999-12-31	Det norske oljeselskap ASA	20108194	17342870	9999-12-31	2013-05-08
574	2011-02-04	9999-12-31	Statoil Petroleum AS	20108260	17237817	9999-12-31	2013-05-08
575	2011-02-04	2012-03-23	Wintershall Norge ASA	20108314	5442509	9999-12-31	2013-05-08
575	2012-03-24	2013-02-04	Wintershall Norge AS	20108314	21666830	2013-03-23	2013-05-08
576	2011-02-04	2013-02-04	Lundin Norway AS	20108349	2767314	2013-04-03	2013-05-08
309 B	2011-02-04	9999-12-31	Statoil Petroleum AS	20108378	17237817	9999-12-31	2013-05-08
193 C	2011-02-04	9999-12-31	Statoil Petroleum AS	20108409	17237817	9999-12-31	2013-05-08
378 B	2011-02-04	2012-03-23	Wintershall Norge ASA	20108440	5442509	9999-12-31	2013-05-08
378 B	2012-03-24	9999-12-31	Wintershall Norge AS	20108440	21666830	9999-12-31	2013-05-08
577	2011-02-04	2012-03-23	Wintershall Norge ASA	20108473	5442509	9999-12-31	2013-05-08
577	2012-03-24	9999-12-31	Wintershall Norge AS	20108473	21666830	9999-12-31	2013-05-08
554 B	2011-05-31	9999-12-31	Total E&P Norge AS	20108509	2410708	9999-12-31	2013-05-08
554 B	2011-02-04	2011-05-30	Bridge Energy Norge AS	20108509	18178215	9999-12-31	2013-05-08
377 BS	2011-02-04	2012-07-06	Idemitsu Petroleum Norge AS	20108534	441	2013-04-11	2013-05-08
578	2011-02-04	9999-12-31	Idemitsu Petroleum Norge AS	20108565	441	9999-12-31	2013-05-08
375 B	2011-02-04	2011-02-27	Petro-Canada Norge AS	20108600	3960945	9999-12-31	2013-05-08
375 B	2011-02-28	9999-12-31	Suncor Energy Norge AS	20108600	20426420	9999-12-31	2013-05-08
370 B	2011-02-04	2012-03-23	Wintershall Norge ASA	20108642	5442509	9999-12-31	2013-05-08
370 B	2012-03-24	9999-12-31	Wintershall Norge AS	20108642	21666830	9999-12-31	2013-05-08
579	2011-02-04	9999-12-31	Lundin Norway AS	20108664	2767314	9999-12-31	2013-05-08
580	2011-02-04	9999-12-31	Statoil Petroleum AS	20108700	17237817	9999-12-31	2013-05-08
581	2011-02-04	9999-12-31	Dana Petroleum Norway AS	20108743	4526555	9999-12-31	2013-05-08
582	2011-02-04	9999-12-31	RWE Dea Norge AS	20108820	97557	9999-12-31	2013-05-08
468 B	2011-02-05	2012-02-29	Det norske oljeselskap ASA	20108859	17342870	9999-12-31	2013-05-08
468 B	2011-02-04	2011-02-04	Det norske oljeselskap AS	20108859	17342915	9999-12-31	2013-05-08
583	2011-02-04	2013-02-12	Spring Energy Norway AS	20109004	5072514	2013-02-20	2013-05-08
583	2013-02-13	9999-12-31	Tullow Oil Norge AS	20109004	23173852	9999-12-31	2013-05-08
584	2011-02-04	9999-12-31	Lundin Norway AS	20109082	2767314	9999-12-31	2013-05-08
585	2011-02-04	9999-12-31	Total E&P Norge AS	20109152	2410708	9999-12-31	2013-05-08
586	2011-02-04	9999-12-31	VNG Norge AS	20109200	17237193	9999-12-31	2013-05-08
587	2011-02-04	9999-12-31	Edison International Norway Branch	20109234	17237180	9999-12-31	2013-05-08
348 B	2011-02-04	9999-12-31	Statoil Petroleum AS	20109261	17237817	9999-12-31	2013-05-08
588	2011-02-04	2012-02-04	Rocksource ASA	20109294	4062921	2012-12-04	2013-05-08
589	2011-02-04	2012-03-23	Wintershall Norge ASA	20109325	5442509	9999-12-31	2013-05-08
589	2012-03-24	9999-12-31	Wintershall Norge AS	20109325	21666830	9999-12-31	2013-05-08
475 CS	2011-02-04	2012-03-23	Wintershall Norge ASA	20109375	5442509	9999-12-31	2013-05-08
475 CS	2012-03-24	9999-12-31	Wintershall Norge AS	20109375	21666830	9999-12-31	2013-05-08
590	2011-02-04	9999-12-31	North Energy ASA	20109438	18082156	9999-12-31	2013-05-08
591	2011-02-04	2013-02-12	Spring Energy Norway AS	20109475	5072514	2013-02-20	2013-05-08
591	2013-02-13	9999-12-31	Tullow Oil Norge AS	20109475	23173852	9999-12-31	2013-05-08
592	2011-02-04	9999-12-31	Centrica Resources (Norge) AS	20109566	4238233	9999-12-31	2013-05-08
593	2011-02-04	2013-02-04	Det norske oljeselskap ASA	20109597	17342870	2013-03-22	2013-05-08
594	2011-02-04	2013-02-04	Statoil Petroleum AS	20109626	17237817	2013-03-22	2013-05-08
595	2011-02-04	9999-12-31	Edison International Norway Branch	20109655	17237180	9999-12-31	2013-05-08
596	2011-05-13	9999-12-31	ExxonMobil Exploration & Production Norway AS	20428440	2835212	9999-12-31	2013-05-08
597	2011-05-13	9999-12-31	VNG Norge AS	20428525	17237193	9999-12-31	2013-05-08
599	2011-05-13	9999-12-31	BG Norge AS	20428552	2747354	9999-12-31	2013-05-08
600	2011-05-13	9999-12-31	Dana Petroleum Norway AS	20428617	4526555	9999-12-31	2013-05-08
598	2011-05-13	9999-12-31	Chevron Norge AS	20428655	3488906	9999-12-31	2013-05-08
601	2011-05-13	2012-03-23	Wintershall Norge ASA	20428711	5442509	9999-12-31	2013-05-08
601	2012-03-24	9999-12-31	Wintershall Norge AS	20428711	21666830	9999-12-31	2013-05-08
602	2011-05-13	9999-12-31	Statoil Petroleum AS	20428749	17237817	9999-12-31	2013-05-08
603	2011-05-13	9999-12-31	Statoil Petroleum AS	20428814	17237817	9999-12-31	2013-05-08
218 B	2011-05-13	9999-12-31	Statoil Petroleum AS	20428874	17237817	9999-12-31	2013-05-08
524 B	2011-05-13	2012-05-15	Statoil Petroleum AS	20428934	17237817	9999-12-31	2013-05-08
528 B	2012-09-27	9999-12-31	Centrica Resources (Norge) AS	20428963	4238233	9999-12-31	2013-05-08
528 B	2011-05-13	2012-09-26	Suncor Energy Norge AS	20428963	20426420	2012-10-09	2013-05-08
604	2011-05-13	9999-12-31	Suncor Energy Norge AS	20428990	20426420	9999-12-31	2013-05-08
605	2011-05-13	9999-12-31	ConocoPhillips Skandinavia AS	20429042	2410696	9999-12-31	2013-05-08
606	2011-05-13	9999-12-31	OMV (Norge) AS	20429078	4460594	9999-12-31	2013-05-08
607	2011-05-13	9999-12-31	GDF SUEZ E&P Norge AS	20429121	5267845	9999-12-31	2013-05-08
608	2011-05-13	9999-12-31	Statoil Petroleum AS	20429159	17237817	9999-12-31	2013-05-08
609	2011-05-13	9999-12-31	Lundin Norway AS	20429186	2767314	9999-12-31	2013-05-08
610	2011-05-13	9999-12-31	GDF SUEZ E&P Norge AS	20429259	5267845	9999-12-31	2013-05-08
611	2011-05-13	2012-03-23	Wintershall Norge ASA	20429303	5442509	9999-12-31	2013-05-08
611	2012-03-24	9999-12-31	Wintershall Norge AS	20429303	21666830	9999-12-31	2013-05-08
226 B	2011-05-13	9999-12-31	Statoil Petroleum AS	20429377	17237817	9999-12-31	2013-05-08
613	2011-05-13	9999-12-31	DONG E&P Norge AS	20429419	4070011	9999-12-31	2013-05-08
612	2011-05-13	9999-12-31	GDF SUEZ E&P Norge AS	20429462	5267845	9999-12-31	2013-05-08
614	2011-05-13	9999-12-31	Statoil Petroleum AS	20429507	17237817	9999-12-31	2013-05-08
615	2011-05-13	9999-12-31	Statoil Petroleum AS	20429544	17237817	9999-12-31	2013-05-08
303 B	2011-05-27	9999-12-31	Statoil Petroleum AS	20499620	17237817	9999-12-31	2013-05-08
309 C	2011-10-06	9999-12-31	Statoil Petroleum AS	21104663	17237817	9999-12-31	2013-05-08
107 D	2011-10-31	9999-12-31	Statoil Petroleum AS	21124705	17237817	9999-12-31	2013-05-08
169 E	2011-11-04	9999-12-31	Statoil Petroleum AS	21124742	17237817	9999-12-31	2013-05-08
018 DS	2011-11-29	9999-12-31	Maersk Oil Norway AS	21139552	4719674	9999-12-31	2013-05-08
193 D	2011-12-21	9999-12-31	Statoil Petroleum AS	21349950	17237817	9999-12-31	2013-05-08
046 C	2011-12-21	9999-12-31	Statoil Petroleum AS	21350140	17237817	9999-12-31	2013-05-08
072 C	2011-12-21	9999-12-31	Statoil Petroleum AS	21350207	17237817	9999-12-31	2013-05-08
659	2012-02-03	9999-12-31	Det norske oljeselskap ASA	21558636	17342870	9999-12-31	2013-05-08
658	2012-02-03	9999-12-31	DONG E&P Norge AS	21558820	4070011	9999-12-31	2013-05-08
657	2012-02-03	9999-12-31	Eni Norge AS	21558872	2388594	9999-12-31	2013-05-08
656	2012-02-03	2012-02-10	E.ON Ruhrgas Norge AS	21558940	2840522	9999-12-31	2013-05-08
656	2012-02-11	9999-12-31	E.ON E&P Norge AS	21558940	21631209	9999-12-31	2013-05-08
655	2012-02-03	2012-03-23	Wintershall Norge ASA	21558998	5442509	9999-12-31	2013-05-08
655	2012-03-24	9999-12-31	Wintershall Norge AS	21558998	21666830	9999-12-31	2013-05-08
654	2012-02-03	9999-12-31	RWE Dea Norge AS	21559027	97557	9999-12-31	2013-05-08
653	2012-02-03	9999-12-31	RWE Dea Norge AS	21559076	97557	9999-12-31	2013-05-08
652	2012-02-03	2012-03-23	Wintershall Norge ASA	21559103	5442509	9999-12-31	2013-05-08
652	2012-03-24	2013-02-03	Wintershall Norge AS	21559103	21666830	2013-04-03	2013-05-08
651	2012-02-03	2012-02-10	E.ON Ruhrgas Norge AS	21559146	2840522	9999-12-31	2013-05-08
651	2012-02-11	9999-12-31	E.ON E&P Norge AS	21559146	21631209	9999-12-31	2013-05-08
650	2012-02-03	2012-02-10	E.ON Ruhrgas Norge AS	21559201	2840522	9999-12-31	2013-05-08
650	2012-02-11	9999-12-31	E.ON E&P Norge AS	21559201	21631209	9999-12-31	2013-05-08
035 C	2012-02-03	9999-12-31	Statoil Petroleum AS	21559372	17237817	9999-12-31	2013-05-08
046 D	2012-02-03	9999-12-31	Statoil Petroleum AS	21559399	17237817	9999-12-31	2013-05-08
639	2012-02-03	2013-02-12	Spring Energy Norway AS	21559426	5072514	2013-02-20	2013-05-08
639	2013-02-13	9999-12-31	Tullow Oil Norge AS	21559426	23173852	9999-12-31	2013-05-08
640	2012-02-03	9999-12-31	Talisman Energy Norge AS	21559488	2425093	9999-12-31	2013-05-08
641	2012-02-03	9999-12-31	VNG Norge AS	21559540	17237193	9999-12-31	2013-05-08
642	2012-02-03	9999-12-31	Repsol Exploration Norge AS	21559610	17237506	9999-12-31	2013-05-08
644	2012-02-03	9999-12-31	OMV (Norge) AS	21559648	4460594	9999-12-31	2013-05-08
645	2012-02-03	9999-12-31	Faroe Petroleum Norge AS	21559709	4062883	9999-12-31	2013-05-08
646	2012-02-03	2012-03-23	Wintershall Norge ASA	21559761	5442509	9999-12-31	2013-05-08
646	2012-03-24	9999-12-31	Wintershall Norge AS	21559761	21666830	9999-12-31	2013-05-08
647	2012-02-03	9999-12-31	Maersk Oil Norway AS	21559805	4719674	9999-12-31	2013-05-08
648 S	2012-02-03	9999-12-31	PGNiG Norway AS	21559877	4505831	9999-12-31	2013-05-08
649	2012-02-03	9999-12-31	VNG Norge AS	21559950	17237193	9999-12-31	2013-05-08
619	2012-02-03	9999-12-31	Total E&P Norge AS	21560040	2410708	9999-12-31	2013-05-08
495 B	2012-02-03	9999-12-31	Lundin Norway AS	21560089	2767314	9999-12-31	2013-05-08
620	2012-02-03	9999-12-31	Faroe Petroleum Norge AS	21560115	4062883	9999-12-31	2013-05-08
621	2012-02-03	2013-02-03	Faroe Petroleum Norge AS	21560157	4062883	2013-04-03	2013-05-08
622	2012-02-03	9999-12-31	Premier Oil Norge AS	21560182	3482067	9999-12-31	2013-05-08
623	2012-02-03	9999-12-31	Talisman Energy Norge AS	21560239	2425093	9999-12-31	2013-05-08
506 DS	2012-02-03	2012-12-30	Rocksource ASA	21560284	4062921	2013-01-09	2013-05-08
506 DS	2012-12-31	9999-12-31	Rocksource Exploration Norway AS	21560284	22528729	9999-12-31	2013-05-08
624	2012-02-03	9999-12-31	Statoil Petroleum AS	21560318	17237817	9999-12-31	2013-05-08
625	2012-02-03	9999-12-31	Lundin Norway AS	21560380	2767314	9999-12-31	2013-05-08
626	2012-02-03	9999-12-31	Det norske oljeselskap ASA	21560418	17342870	9999-12-31	2013-05-08
513 B	2012-02-03	9999-12-31	Maersk Oil Norway AS	21560453	4719674	9999-12-31	2013-05-08
627	2012-02-03	9999-12-31	Total E&P Norge AS	21560469	2410708	9999-12-31	2013-05-08
628	2012-02-03	9999-12-31	Statoil Petroleum AS	21560616	17237817	9999-12-31	2013-05-08
629	2012-02-03	9999-12-31	Bridge Energy Norge AS	21560683	18178215	9999-12-31	2013-05-08
630	2012-02-03	9999-12-31	Statoil Petroleum AS	21560745	17237817	9999-12-31	2013-05-08
631	2012-02-03	9999-12-31	Lundin Norway AS	21560844	2767314	9999-12-31	2013-05-08
557 B	2012-02-03	9999-12-31	OMV (Norge) AS	21560889	4460594	9999-12-31	2013-05-08
632	2012-02-03	9999-12-31	Statoil Petroleum AS	21560912	17237817	9999-12-31	2013-05-08
633	2012-02-03	2012-03-23	Wintershall Norge ASA	21560982	5442509	9999-12-31	2013-05-08
633	2012-03-24	9999-12-31	Wintershall Norge AS	21560982	21666830	9999-12-31	2013-05-08
634	2012-02-03	9999-12-31	GDF SUEZ E&P Norge AS	21561057	5267845	9999-12-31	2013-05-08
635	2012-02-03	9999-12-31	Bayerngas Norge AS	21561115	4444493	9999-12-31	2013-05-08
636	2012-02-03	9999-12-31	GDF SUEZ E&P Norge AS	21561151	5267845	9999-12-31	2013-05-08
637	2012-02-03	9999-12-31	Suncor Energy Norge AS	21561194	20426420	9999-12-31	2013-05-08
638	2012-02-03	9999-12-31	BG Norge AS	21561239	2747354	9999-12-31	2013-05-08
597 B	2012-02-03	9999-12-31	VNG Norge AS	21561308	17237193	9999-12-31	2013-05-08
643	2012-02-03	9999-12-31	VNG Norge AS	21561387	17237193	9999-12-31	2013-05-08
609 B	2012-02-03	9999-12-31	Lundin Norway AS	21561445	2767314	9999-12-31	2013-05-08
616	2012-02-03	9999-12-31	Edison International Norway Branch	21561481	17237180	9999-12-31	2013-05-08
617	2012-02-03	9999-12-31	Valiant Petroleum Norge AS	21561629	21104529	9999-12-31	2013-05-08
618	2012-02-03	9999-12-31	Total E&P Norge AS	21561689	2410708	9999-12-31	2013-05-08
102 E	2012-02-03	9999-12-31	Total E&P Norge AS	21568578	2410708	9999-12-31	2013-05-08
102 D	2012-02-03	9999-12-31	Total E&P Norge AS	21568785	2410708	9999-12-31	2013-05-08
104 B	2012-02-03	9999-12-31	Statoil Petroleum AS	21568959	17237817	9999-12-31	2013-05-08
193 E	2012-02-03	9999-12-31	Statoil Petroleum AS	21568992	17237817	9999-12-31	2013-05-08
350 B	2012-02-03	2012-02-10	E.ON Ruhrgas Norge AS	21569025	2840522	9999-12-31	2013-05-08
350 B	2012-02-11	2012-09-17	E.ON E&P Norge AS	21569025	21631209	2012-10-12	2013-05-08
375 C	2012-02-03	9999-12-31	Suncor Energy Norge AS	21569065	20426420	9999-12-31	2013-05-08
414 B	2012-02-03	9999-12-31	Det norske oljeselskap ASA	21569107	17342870	9999-12-31	2013-05-08
494 C	2012-02-03	2013-03-18	Dana Petroleum Norway AS	21569178	4526555	2013-04-09	2013-05-08
494 C	2013-03-19	9999-12-31	Det norske oljeselskap ASA	21569178	17342870	9999-12-31	2013-05-08
050 ES	2012-04-11	9999-12-31	Statoil Petroleum AS	21668200	17237817	9999-12-31	2013-05-08
050 FS	2012-04-11	9999-12-31	Statoil Petroleum AS	21668235	17237817	9999-12-31	2013-05-08
050 GS	2012-04-11	9999-12-31	Statoil Petroleum AS	21668262	17237817	9999-12-31	2013-05-08
050 HS	2012-04-11	9999-12-31	Statoil Petroleum AS	21668287	17237817	9999-12-31	2013-05-08
293 B	2012-06-15	9999-12-31	Eni Norge AS	21695786	2388594	9999-12-31	2013-05-08
029 C	2012-12-03	9999-12-31	Total E&P Norge AS	22493034	2410708	9999-12-31	2013-05-08
029 C	2012-10-17	2012-12-02	ExxonMobil Exploration & Production Norway AS	22493034	2835212	2012-12-05	2013-05-08
037 F	2013-02-08	9999-12-31	Statoil Petroleum AS	22813049	17237817	9999-12-31	2013-05-08
055 D	2013-02-08	9999-12-31	Statoil Petroleum AS	22813096	17237817	9999-12-31	2013-05-08
091 D	2013-02-08	9999-12-31	Statoil Petroleum AS	22813131	17237817	9999-12-31	2013-05-08
093 C	2013-02-08	9999-12-31	A/S Norske Shell	22813180	562	9999-12-31	2013-05-08
190 B	2013-02-08	9999-12-31	Statoil Petroleum AS	22813207	17237817	9999-12-31	2013-05-08
203 B	2013-02-08	9999-12-31	Marathon Oil Norge AS	22813239	20485291	9999-12-31	2013-05-08
509 BS	2013-02-08	9999-12-31	Wintershall Norge AS	22813272	21666830	9999-12-31	2013-05-08
542 B	2013-02-08	9999-12-31	Det norske oljeselskap ASA	22813299	17342870	9999-12-31	2013-05-08
660	2013-02-08	9999-12-31	Faroe Petroleum Norge AS	22815555	4062883	9999-12-31	2013-05-08
661	2013-02-08	9999-12-31	Total E&P Norge AS	22815589	2410708	9999-12-31	2013-05-08
662	2013-02-08	9999-12-31	Total E&P Norge AS	22815632	2410708	9999-12-31	2013-05-08
663	2013-02-08	9999-12-31	Det norske oljeselskap ASA	22815661	17342870	9999-12-31	2013-05-08
664 S	2013-02-08	9999-12-31	Talisman Energy Norge AS	22815702	2425093	9999-12-31	2013-05-08
665 S	2013-02-08	9999-12-31	Faroe Petroleum Norge AS	22815738	4062883	9999-12-31	2013-05-08
666	2013-02-08	9999-12-31	Centrica Resources (Norge) AS	22815785	4238233	9999-12-31	2013-05-08
667	2013-02-08	9999-12-31	Total E&P Norge AS	22815830	2410708	9999-12-31	2013-05-08
668	2013-02-08	9999-12-31	Centrica Resources (Norge) AS	22815873	4238233	9999-12-31	2013-05-08
669	2013-02-08	9999-12-31	DONG E&P Norge AS	22815914	4070011	9999-12-31	2013-05-08
670	2013-02-08	2013-02-12	Spring Energy Norway AS	22815949	5072514	2013-02-20	2013-05-08
670	2013-02-13	9999-12-31	Tullow Oil Norge AS	22815949	23173852	9999-12-31	2013-05-08
671	2013-02-08	9999-12-31	Maersk Oil Norway AS	22816003	4719674	9999-12-31	2013-05-08
672	2013-02-08	9999-12-31	Talisman Energy Norge AS	22816061	2425093	9999-12-31	2013-05-08
673	2013-02-08	9999-12-31	VNG Norge AS	22816103	17237193	9999-12-31	2013-05-08
674	2013-02-08	9999-12-31	E.ON E&P Norge AS	22816134	21631209	9999-12-31	2013-05-08
675	2013-02-08	9999-12-31	Statoil Petroleum AS	22816217	17237817	9999-12-31	2013-05-08
676 S	2013-02-08	9999-12-31	Faroe Petroleum Norge AS	22816262	4062883	9999-12-31	2013-05-08
677	2013-02-08	9999-12-31	Det norske oljeselskap ASA	22816357	17342870	9999-12-31	2013-05-08
678 S	2013-02-08	9999-12-31	Wintershall Norge AS	22816406	21666830	9999-12-31	2013-05-08
679 S	2013-02-08	9999-12-31	BG Norge AS	22816484	2747354	9999-12-31	2013-05-08
680	2013-02-08	2013-02-12	Spring Energy Norway AS	22816583	5072514	2013-02-20	2013-05-08
680	2013-02-13	9999-12-31	Tullow Oil Norge AS	22816583	23173852	9999-12-31	2013-05-08
681	2013-02-08	2013-02-12	Spring Energy Norway AS	22816639	5072514	2013-02-20	2013-05-08
681	2013-02-13	9999-12-31	Tullow Oil Norge AS	22816639	23173852	9999-12-31	2013-05-08
682	2013-02-08	9999-12-31	Bayerngas Norge AS	22816685	4444493	9999-12-31	2013-05-08
683	2013-02-08	9999-12-31	Wintershall Norge AS	22816753	21666830	9999-12-31	2013-05-08
684	2013-02-08	9999-12-31	Statoil Petroleum AS	22816794	17237817	9999-12-31	2013-05-08
685	2013-02-08	9999-12-31	Total E&P Norge AS	22820468	2410708	9999-12-31	2013-05-08
686	2013-02-08	9999-12-31	A/S Norske Shell	22820521	562	9999-12-31	2013-05-08
687	2013-02-08	9999-12-31	VNG Norge AS	22820550	17237193	9999-12-31	2013-05-08
688	2013-02-08	9999-12-31	E.ON E&P Norge AS	22820588	21631209	9999-12-31	2013-05-08
689	2013-02-08	9999-12-31	DONG E&P Norge AS	22820628	4070011	9999-12-31	2013-05-08
690	2013-02-08	9999-12-31	Bridge Energy Norge AS	22820657	18178215	9999-12-31	2013-05-08
691	2013-02-08	9999-12-31	Centrica Resources (Norge) AS	22820684	4238233	9999-12-31	2013-05-08
692	2013-02-08	9999-12-31	Repsol Exploration Norge AS	22820715	17237506	9999-12-31	2013-05-08
693	2013-02-08	9999-12-31	OMV (Norge) AS	22820761	4460594	9999-12-31	2013-05-08
694	2013-02-08	9999-12-31	RWE Dea Norge AS	22820804	97557	9999-12-31	2013-05-08
695	2013-02-08	9999-12-31	Lundin Norway AS	22820851	2767314	9999-12-31	2013-05-08
696	2013-02-08	9999-12-31	Statoil Petroleum AS	22820904	17237817	9999-12-31	2013-05-08
697	2013-02-08	9999-12-31	Eni Norge AS	22821005	2388594	9999-12-31	2013-05-08
698	2013-02-08	9999-12-31	A/S Norske Shell	22821040	562	9999-12-31	2013-05-08
699	2013-02-08	9999-12-31	A/S Norske Shell	22821109	562	9999-12-31	2013-05-08
700	2013-02-08	9999-12-31	Lundin Norway AS	22821177	2767314	9999-12-31	2013-05-08
701	2013-02-08	9999-12-31	Norwegian Energy Company ASA	23180841	4530695	9999-12-31	2013-05-08
591 B	2013-02-08	2013-02-12	Spring Energy Norway AS	23180930	5072514	9999-12-31	2013-05-08
591 B	2013-02-13	9999-12-31	Tullow Oil Norge AS	23180930	23173852	9999-12-31	2013-05-08
090 F	2013-01-22	9999-12-31	Statoil Petroleum AS	23268186	17237817	9999-12-31	2013-05-08
090 G	2013-01-22	9999-12-31	Statoil Petroleum AS	23268222	17237817	9999-12-31	2013-05-08
090 HS	2013-04-09	9999-12-31	Statoil Petroleum AS	23297006	17237817	9999-12-31	2013-05-08
248 C	2013-04-09	9999-12-31	Statoil Petroleum AS	23297103	17237817	9999-12-31	2013-05-08
\.



COPY licence_petreg_licence (ptlname, ptldateawarded, ptldatevalidfrom, ptldatevalidto, prlnpdidlicence, ptldateupdated, ptldateupdatedmax, datesyncnpd) FROM stdin;
001	1997-07-23	1965-09-01	2030-03-01	20756	9999-12-31	2013-05-08	2013-05-08
006	1997-07-23	1965-09-01	2028-12-31	20804	9999-12-31	2013-05-08	2013-05-08
018	1997-07-24	1965-09-01	2028-12-31	20900	9999-12-31	2013-05-08	2013-05-08
018 B	1997-07-24	1995-08-25	2028-12-31	20908	9999-12-31	2013-05-08	2013-05-08
019	1997-07-24	1965-09-01	2029-01-01	20916	9999-12-31	2013-05-08	2013-05-08
019 B	1997-07-24	1977-09-12	2018-09-01	20924	9999-12-31	2013-05-08	2013-05-08
024	1997-07-24	1969-05-23	2015-05-23	20964	9999-12-31	2013-05-08	2013-05-08
026	1997-07-24	1969-05-23	2025-05-23	20980	9999-12-31	2013-05-08	2013-05-08
027	1997-07-24	1969-05-23	2030-03-01	20988	9999-12-31	2013-05-08	2013-05-08
028	1997-07-24	1969-05-23	2030-03-01	21004	9999-12-31	2013-05-08	2013-05-08
029	1997-07-24	1969-05-23	2015-05-23	21020	9999-12-31	2013-05-08	2013-05-08
033	1997-07-24	1969-05-30	2015-05-30	21052	9999-12-31	2013-05-08	2013-05-08
034	1997-07-24	1969-11-14	2015-11-14	21060	9999-12-31	2013-05-08	2013-05-08
035	1997-07-24	2008-03-15	2022-11-14	21068	2013-03-19	2013-05-08	2013-05-08
036	1997-07-24	1971-06-11	2021-06-11	21076	9999-12-31	2013-05-08	2013-05-08
037	1997-07-24	1973-08-10	2026-08-10	21084	9999-12-31	2013-05-08	2013-05-08
038	1997-07-24	1975-04-01	2021-04-01	21092	9999-12-31	2013-05-08	2013-05-08
040	1997-07-24	1975-04-01	2027-12-31	21108	9999-12-31	2013-05-08	2013-05-08
043	1997-07-24	1976-08-06	2027-12-31	21132	9999-12-31	2013-05-08	2013-05-08
044	1997-07-24	1976-08-27	2028-12-31	21140	9999-12-31	2013-05-08	2013-05-08
046	1997-07-24	2014-12-03	2028-12-31	21156	9999-12-31	2013-05-08	2013-05-08
048	1997-07-24	1977-02-18	2013-02-18	21172	2013-02-18	2013-05-08	2013-05-08
050	1997-07-24	1978-06-16	2036-06-30	21188	9999-12-31	2013-05-08	2013-05-08
050 B	1997-07-24	1995-08-11	2036-06-30	21196	9999-12-31	2013-05-08	2013-05-08
051	1997-07-24	1979-04-06	2015-04-06	21204	9999-12-31	2013-05-08	2013-05-08
052	1997-07-24	1979-04-06	2020-12-31	21212	9999-12-31	2013-05-08	2013-05-08
053	1997-07-24	1979-04-06	2031-03-01	21220	9999-12-31	2013-05-08	2013-05-08
054	1997-07-24	1979-04-06	2030-09-30	21228	9999-12-31	2013-05-08	2013-05-08
055	1997-07-24	1979-04-06	2015-04-06	21236	9999-12-31	2013-05-08	2013-05-08
057	1997-07-24	1979-04-06	2015-04-06	21252	9999-12-31	2013-05-08	2013-05-08
062	1997-07-24	1981-03-27	2027-04-10	21292	9999-12-31	2013-05-08	2013-05-08
064	1997-07-24	1981-03-27	2035-10-01	21308	9999-12-31	2013-05-08	2013-05-08
065	1997-07-24	1981-08-21	2022-01-01	21316	9999-12-31	2013-05-08	2013-05-08
072	1997-07-24	1981-08-21	2018-01-01	21372	9999-12-31	2013-05-08	2013-05-08
073	1997-07-24	1982-04-23	2029-12-31	21380	9999-12-31	2013-05-08	2013-05-08
074	1997-07-24	1982-04-23	2027-04-10	21388	9999-12-31	2013-05-08	2013-05-08
077	1997-07-24	1982-04-23	2035-10-01	21412	9999-12-31	2013-05-08	2013-05-08
078	1997-07-24	1982-04-23	2035-10-01	21420	9999-12-31	2013-05-08	2013-05-08
085	1997-07-24	1983-07-08	2030-09-30	21476	9999-12-31	2013-05-08	2013-05-08
085 B	1997-07-24	1992-09-11	2030-07-08	21484	9999-12-31	2013-05-08	2013-05-08
088	1997-07-24	1984-03-09	2022-03-09	21508	9999-12-31	2013-05-08	2013-05-08
089	1997-07-24	1984-03-09	2024-03-09	21516	9999-12-31	2013-05-08	2013-05-08
090	1997-07-24	1984-03-09	2024-02-09	21524	9999-12-31	2013-05-08	2013-05-08
091	1997-07-24	1984-03-09	2020-03-09	21532	9999-12-31	2013-05-08	2013-05-08
092	1997-07-24	1984-03-09	2020-03-09	21540	9999-12-31	2013-05-08	2013-05-08
093	1997-07-24	1984-03-09	2024-03-09	21548	9999-12-31	2013-05-08	2013-05-08
094	1997-07-24	1984-03-09	2027-04-10	21556	9999-12-31	2013-05-08	2013-05-08
095	1997-07-24	1984-03-09	2024-03-09	21564	9999-12-31	2013-05-08	2013-05-08
097	1997-07-25	1984-03-09	2035-10-01	21580	9999-12-31	2013-05-08	2013-05-08
099	1997-07-24	1984-03-09	2035-10-01	21596	9999-12-31	2013-05-08	2013-05-08
100	1997-07-24	1984-03-09	2035-10-01	21604	9999-12-31	2013-05-08	2013-05-08
102	1997-07-24	1985-03-01	2025-03-01	21620	9999-12-31	2013-05-08	2013-05-08
104	1997-07-24	1985-03-01	2025-03-01	21636	9999-12-31	2013-05-08	2013-05-08
107	1997-07-24	1985-03-01	2021-03-01	21660	9999-12-31	2013-05-08	2013-05-08
110	1997-07-24	1985-03-01	2035-10-01	21684	9999-12-31	2013-05-08	2013-05-08
113	1997-07-24	1985-08-23	2021-08-23	21708	9999-12-31	2013-05-08	2013-05-08
120	1997-07-24	1985-08-23	2034-08-23	21772	9999-12-31	2013-05-08	2013-05-08
121	1997-07-24	1986-02-28	2022-02-28	21780	9999-12-31	2013-05-08	2013-05-08
122	1997-07-24	1986-02-28	2025-02-28	21788	9999-12-31	2013-05-08	2013-05-08
124	1997-07-24	1986-02-28	2025-02-28	21804	9999-12-31	2013-05-08	2013-05-08
127	1997-07-24	1986-02-28	2023-02-28	21828	9999-12-31	2013-05-08	2013-05-08
128	1997-07-24	1986-02-28	2026-02-28	21836	9999-12-31	2013-05-08	2013-05-08
132	1997-07-24	1987-04-10	2023-04-10	21868	9999-12-31	2013-05-08	2013-05-08
134	1997-07-24	1987-04-10	2027-04-10	21884	9999-12-31	2013-05-08	2013-05-08
143	1997-07-24	1988-07-08	2027-07-08	21956	9999-12-31	2013-05-08	2013-05-08
145	1997-07-24	1988-07-08	2024-07-08	21972	9999-12-31	2013-05-08	2013-05-08
146	1997-07-24	1988-07-08	2027-07-08	21980	9999-12-31	2013-05-08	2013-05-08
147	1997-07-24	1988-07-08	2027-07-08	21988	9999-12-31	2013-05-08	2013-05-08
148	1997-07-24	1988-07-08	2024-07-08	21996	9999-12-31	2013-05-08	2013-05-08
150	1997-07-24	1988-07-08	2024-07-08	22012	9999-12-31	2013-05-08	2013-05-08
152	1997-07-24	1988-07-08	2036-06-30	22028	9999-12-31	2013-05-08	2013-05-08
153	1997-07-24	1988-07-08	2028-07-08	22036	9999-12-31	2013-05-08	2013-05-08
158	1997-07-24	1989-03-03	2028-03-03	22076	9999-12-31	2013-05-08	2013-05-08
159	1997-07-24	1989-03-03	2029-03-03	22084	9999-12-31	2013-05-08	2013-05-08
167	1997-07-24	1991-03-01	2030-03-01	22148	9999-12-31	2013-05-08	2013-05-08
169	1997-07-24	1991-03-01	2030-03-01	22164	9999-12-31	2013-05-08	2013-05-08
176	1997-07-24	1991-03-01	2028-03-01	22220	9999-12-31	2013-05-08	2013-05-08
185	1997-07-24	1991-09-13	2015-04-06	22292	9999-12-31	2013-05-08	2013-05-08
187	1997-07-24	2002-09-10	2032-09-10	22308	9999-12-31	2013-05-08	2013-05-08
190	1997-07-24	2002-09-10	2032-09-10	22332	9999-12-31	2013-05-08	2013-05-08
193	1997-07-24	1993-09-10	2031-09-10	22356	9999-12-31	2013-05-08	2013-05-08
195	1997-07-24	1993-09-10	2030-09-10	22372	9999-12-31	2013-05-08	2013-05-08
199	1997-07-24	2002-09-10	2033-09-10	22404	9999-12-31	2013-05-08	2013-05-08
201	1997-07-24	1993-09-10	2033-09-10	22420	9999-12-31	2013-05-08	2013-05-08
203	1997-07-24	1996-02-02	2032-02-02	22436	9999-12-31	2013-05-08	2013-05-08
208	1997-07-24	2004-02-02	2040-02-02	22476	9999-12-31	2013-05-08	2013-05-08
209	1997-07-24	2006-02-02	2040-02-02	22484	9999-12-31	2013-05-08	2013-05-08
211	1997-07-24	1996-02-02	2032-02-02	22500	9999-12-31	2013-05-08	2013-05-08
212	1997-07-24	2003-02-02	2033-02-02	22508	9999-12-31	2013-05-08	2013-05-08
218	1997-07-25	2006-02-02	2041-02-02	22556	9999-12-31	2013-05-08	2013-05-08
219	1997-07-25	2006-02-02	2014-02-02	22564	9999-12-31	2013-05-08	2013-05-08
220	1997-07-25	2006-02-02	2014-02-02	22572	9999-12-31	2013-05-08	2013-05-08
226	1997-07-25	2007-05-15	2050-05-15	22620	9999-12-31	2013-05-08	2013-05-08
229	1997-07-25	1997-05-30	2042-05-15	22644	9999-12-31	2013-05-08	2013-05-08
230	1997-07-25	2009-05-15	2049-05-15	22652	9999-12-31	2013-05-08	2013-05-08
025	1997-07-24	1969-05-23	2028-12-31	34512	9999-12-31	2013-05-08	2013-05-08
079	1997-07-24	1982-08-20	2018-08-20	34635	9999-12-31	2013-05-08	2013-05-08
103 B	1998-04-06	1998-01-22	2021-03-01	40772	9999-12-31	2013-05-08	2013-05-08
237	1998-05-19	1998-01-30	2027-04-10	41327	9999-12-31	2013-05-08	2013-05-08
128 B	1998-05-19	2004-01-30	2026-02-28	41361	9999-12-31	2013-05-08	2013-05-08
019 C	1998-10-16	1998-09-14	2018-09-01	47992	9999-12-31	2013-05-08	2013-05-08
037 B	1998-10-16	1998-09-14	2036-06-30	48081	9999-12-31	2013-05-08	2013-05-08
053 B	1998-10-19	1998-09-14	2017-04-06	48207	9999-12-31	2013-05-08	2013-05-08
242	1999-06-29	1999-06-04	2035-06-04	102226	9999-12-31	2013-05-08	2013-05-08
248	1999-06-29	2005-06-04	2035-06-04	102285	9999-12-31	2013-05-08	2013-05-08
249	1999-06-29	2005-06-04	2021-06-04	102294	9999-12-31	2013-05-08	2013-05-08
050 C	1999-06-29	1999-06-04	2036-06-30	102490	9999-12-31	2013-05-08	2013-05-08
055 B	1999-06-29	2000-06-04	2017-06-04	102499	9999-12-31	2013-05-08	2013-05-08
250	1999-11-12	2005-10-22	2041-02-02	115537	9999-12-31	2013-05-08	2013-05-08
037 C	2000-03-23	2000-01-14	2026-08-10	853671	9999-12-31	2013-05-08	2013-05-08
001 B	2000-03-23	1999-12-15	2013-12-17	917266	9999-12-31	2013-05-08	2013-05-08
027 B	2000-03-23	1999-12-15	2021-03-01	917344	9999-12-31	2013-05-08	2013-05-08
028 B	2000-03-23	1999-12-15	2015-05-23	917484	9999-12-31	2013-05-08	2013-05-08
134 B	2000-03-23	2000-01-14	2027-04-10	1025257	9999-12-31	2013-05-08	2013-05-08
169 B1	2000-05-10	2000-04-07	2030-03-01	1030964	9999-12-31	2013-05-08	2013-05-08
169 B2	2000-05-10	2000-04-07	2030-03-01	1031002	9999-12-31	2013-05-08	2013-05-08
255	2000-07-12	2008-05-12	2038-05-12	1032979	9999-12-31	2013-05-08	2013-05-08
257	2000-07-12	2003-05-12	2033-09-10	1033013	9999-12-31	2013-05-08	2013-05-08
261	2000-07-12	2006-05-12	2036-05-12	1033077	9999-12-31	2013-05-08	2013-05-08
262	2000-07-12	2000-05-12	2033-02-02	1033093	9999-12-31	2013-05-08	2013-05-08
263	2000-07-12	2006-05-12	2037-05-12	1033111	9999-12-31	2013-05-08	2013-05-08
264	2000-07-12	2006-05-12	2013-01-01	1033127	9999-12-31	2013-05-08	2013-05-08
006 B	2000-11-02	2000-10-09	2028-12-31	1333048	9999-12-31	2013-05-08	2013-05-08
006 C	2000-11-02	2000-10-09	2028-12-31	1333089	9999-12-31	2013-05-08	2013-05-08
027 C	2000-11-24	2000-10-09	2030-03-01	1333301	2013-05-03	2013-05-08	2013-05-08
028 C	2000-11-28	2000-10-09	2030-03-01	1333344	9999-12-31	2013-05-08	2013-05-08
171 B	2000-11-28	2000-10-09	2031-03-01	1333384	9999-12-31	2013-05-08	2013-05-08
048 B	2001-03-21	2001-01-10	2016-07-15	1342723	9999-12-31	2013-05-08	2013-05-08
033 B	2001-05-22	2001-05-04	2028-12-31	1622353	9999-12-31	2013-05-08	2013-05-08
265	2001-05-31	2007-04-27	2037-01-27	1624237	9999-12-31	2013-05-08	2013-05-08
269	2001-05-31	2009-04-27	2041-04-27	1624410	9999-12-31	2013-05-08	2013-05-08
270	2001-05-31	2005-04-27	2035-05-27	1624436	9999-12-31	2013-05-08	2013-05-08
029 B	2002-03-22	2001-05-11	2015-05-23	1626782	9999-12-31	2013-05-08	2013-05-08
072 B	2001-10-09	2001-09-24	2018-01-01	1630345	9999-12-31	2013-05-08	2013-05-08
052 B	2001-12-12	2001-11-30	2015-04-06	1840712	9999-12-31	2013-05-08	2013-05-08
085 C	2002-03-12	2000-01-25	2030-09-30	2051285	9999-12-31	2013-05-08	2013-05-08
272	2002-04-15	2008-03-15	2022-11-14	2060232	2013-03-19	2013-05-08	2013-05-08
274	2002-04-15	2002-03-15	2039-09-15	2060266	9999-12-31	2013-05-08	2013-05-08
275	2002-04-15	2008-03-15	2028-03-15	2060278	9999-12-31	2013-05-08	2013-05-08
277	2002-04-15	2008-03-15	2025-07-08	2060336	9999-12-31	2013-05-08	2013-05-08
094 B	2002-08-29	2002-06-14	2027-04-10	2092082	9999-12-31	2013-05-08	2013-05-08
212 B	2002-08-29	2003-06-14	2033-02-02	2092275	9999-12-31	2013-05-08	2013-05-08
122 B	2002-10-17	2002-06-14	2025-02-28	2134110	9999-12-31	2013-05-08	2013-05-08
018 C	2003-01-08	2002-12-20	2028-12-31	2246113	9999-12-31	2013-05-08	2013-05-08
289	2003-05-07	2003-04-11	2039-04-11	2407454	9999-12-31	2013-05-08	2013-05-08
292	2003-05-07	2007-04-11	2026-04-01	2407572	9999-12-31	2013-05-08	2013-05-08
293	2003-05-07	2008-04-11	2039-04-11	2407711	9999-12-31	2013-05-08	2013-05-08
167 B	2003-05-07	2006-04-11	2030-03-01	2407874	9999-12-31	2013-05-08	2013-05-08
055 C	2003-07-08	2003-06-27	2031-03-01	2424830	9999-12-31	2013-05-08	2013-05-08
143 BS	2003-07-08	2003-06-27	2027-07-08	2424891	9999-12-31	2013-05-08	2013-05-08
036 BS	2003-10-29	2003-10-13	2021-06-11	2473189	9999-12-31	2013-05-08	2013-05-08
036 C	2003-10-29	2003-10-13	2021-06-11	2473241	9999-12-31	2013-05-08	2013-05-08
299	2004-01-02	2008-12-12	2013-12-12	2490320	9999-12-31	2013-05-08	2013-05-08
300	2004-01-02	2006-12-12	2023-12-12	2490354	9999-12-31	2013-05-08	2013-05-08
301	2004-01-02	2009-12-12	2013-12-12	2490380	9999-12-31	2013-05-08	2013-05-08
303	2004-01-02	2003-12-12	2013-03-12	2490467	2013-03-12	2013-05-08	2013-05-08
309	2004-01-08	2003-12-12	2010-12-12	2490982	9999-12-31	2013-05-08	2013-05-08
312	2004-01-08	2003-12-12	2013-12-12	2491196	9999-12-31	2013-05-08	2013-05-08
316	2004-07-08	2004-06-18	2030-06-18	2786469	9999-12-31	2013-05-08	2013-05-08
318	2004-07-08	2004-06-18	2014-06-18	2786586	9999-12-31	2013-05-08	2013-05-08
323	2004-07-08	2004-06-18	2010-06-18	2786740	9999-12-31	2013-05-08	2013-05-08
327	2004-07-08	2004-06-18	2041-06-18	2786915	9999-12-31	2013-05-08	2013-05-08
330	2004-07-08	2004-06-18	2014-06-18	2787040	9999-12-31	2013-05-08	2013-05-08
037 D	2004-06-07	2009-06-08	2026-08-10	2787322	9999-12-31	2013-05-08	2013-05-08
088 BS	2003-04-15	2003-03-21	2022-03-09	2787418	9999-12-31	2013-05-08	2013-05-08
159 B	2004-07-08	2004-08-13	2029-03-03	2819945	9999-12-31	2013-05-08	2013-05-08
332	2005-01-10	2004-12-17	2014-12-17	2986240	9999-12-31	2013-05-08	2013-05-08
333	2005-01-10	2004-12-17	2027-07-08	2986266	2013-02-12	2013-05-08	2013-05-08
337	2005-01-10	2004-12-17	2013-02-09	2986484	2013-02-12	2013-05-08	2013-05-08
338	2005-01-10	2007-12-17	2013-12-17	2986578	9999-12-31	2013-05-08	2013-05-08
340	2005-01-10	2004-12-17	2014-12-17	2986630	9999-12-31	2013-05-08	2013-05-08
348	2005-01-10	2004-12-17	2014-12-17	2987047	9999-12-31	2013-05-08	2013-05-08
073 B	2005-01-10	2004-12-17	2029-12-31	2987414	9999-12-31	2013-05-08	2013-05-08
122 C	2008-02-01	2004-12-17	2025-12-17	2987454	9999-12-31	2013-05-08	2013-05-08
037 E	2005-01-10	2004-12-10	2036-06-30	3000656	9999-12-31	2013-05-08	2013-05-08
110 B	2005-08-04	2004-12-17	2014-12-17	3001885	9999-12-31	2013-05-08	2013-05-08
090 B	2005-06-13	2005-05-25	2024-03-09	3426781	9999-12-31	2013-05-08	2013-05-08
090 C	2005-06-13	2005-05-25	2024-02-09	3426824	9999-12-31	2013-05-08	2013-05-08
048 C	2005-11-07	2005-10-10	2013-02-18	3489506	2013-02-18	2013-05-08	2013-05-08
048 D	2005-11-07	2005-10-10	2018-02-18	3489553	9999-12-31	2013-05-08	2013-05-08
356	2006-03-01	2006-01-06	2013-01-06	3810275	2013-03-22	2013-05-08	2013-05-08
359	2006-03-23	2006-01-06	2016-01-06	3810373	9999-12-31	2013-05-08	2013-05-08
360	2006-03-23	2006-01-06	2014-01-06	3810387	9999-12-31	2013-05-08	2013-05-08
362	2006-03-27	2006-01-06	2013-09-06	3810565	9999-12-31	2013-05-08	2013-05-08
364	2006-03-01	2009-01-06	2019-01-06	3810636	9999-12-31	2013-05-08	2013-05-08
370	2006-03-27	2006-01-06	2014-07-06	3810959	9999-12-31	2013-05-08	2013-05-08
373 S	2006-03-28	2011-01-06	2038-01-06	3811116	2013-05-07	2013-05-08	2013-05-08
374 S	2006-03-28	2006-01-06	2016-01-06	3811171	9999-12-31	2013-05-08	2013-05-08
375	2006-03-28	2006-01-06	2014-12-31	3811214	9999-12-31	2013-05-08	2013-05-08
377 S	2006-03-29	2006-01-06	2012-07-06	3811290	2013-04-20	2013-05-08	2013-05-08
378	2006-03-29	2006-01-06	2016-01-06	3811312	9999-12-31	2013-05-08	2013-05-08
382	2006-04-03	2006-01-06	2014-04-06	3811444	9999-12-31	2013-05-08	2013-05-08
385	2006-04-03	2006-01-06	2014-01-06	3811602	9999-12-31	2013-05-08	2013-05-08
386	2006-04-03	2006-01-06	2014-01-06	3811659	2013-03-22	2013-05-08	2013-05-08
043 BS	2006-03-22	2007-01-06	2027-12-31	3811810	9999-12-31	2013-05-08	2013-05-08
122 D	2006-03-22	2007-01-01	2025-02-28	3811939	9999-12-31	2013-05-08	2013-05-08
134 C	2006-03-23	2009-01-06	2027-04-10	3812006	9999-12-31	2013-05-08	2013-05-08
195 B	2006-03-23	2008-01-06	2030-10-10	3812021	9999-12-31	2013-05-08	2013-05-08
248 B	2006-03-23	2005-06-04	2035-06-04	3812058	9999-12-31	2013-05-08	2013-05-08
263 B	2006-03-23	2006-05-12	2037-05-12	3812093	9999-12-31	2013-05-08	2013-05-08
277 B	2006-03-23	2008-03-15	2013-01-01	3812131	9999-12-31	2013-05-08	2013-05-08
390	2006-05-31	2006-04-28	2011-04-28	3965152	2013-01-29	2013-05-08	2013-05-08
393	2006-05-31	2006-04-28	2040-04-28	3965277	9999-12-31	2013-05-08	2013-05-08
395	2006-05-31	2006-04-28	2014-04-28	3965360	2013-02-13	2013-05-08	2013-05-08
110 C	2006-05-31	2006-04-28	2014-12-17	3986340	9999-12-31	2013-05-08	2013-05-08
038 C	2006-08-30	2007-06-15	2021-04-01	4005057	9999-12-31	2013-05-08	2013-05-08
046 B	2007-01-03	2007-11-28	2028-12-31	4227611	9999-12-31	2013-05-08	2013-05-08
046 BS	2007-01-03	2007-11-28	2028-12-31	4227659	9999-12-31	2013-05-08	2013-05-08
440 S	2007-07-20	2007-06-15	2015-06-15	4237161	9999-12-31	2013-05-08	2013-05-08
402	2007-03-22	2007-02-16	2013-02-16	4237193	2013-02-16	2013-05-08	2013-05-08
405	2007-03-22	2007-02-16	2016-02-16	4237284	9999-12-31	2013-05-08	2013-05-08
407	2007-03-22	2007-02-16	2016-02-16	4237300	2013-01-25	2013-05-08	2013-05-08
406	2007-03-22	2007-02-16	2015-02-16	4237318	2013-01-23	2013-05-08	2013-05-08
316 B	2007-03-21	2007-02-16	2030-06-18	4237334	9999-12-31	2013-05-08	2013-05-08
410	2007-03-22	2007-02-16	2015-02-16	4237458	9999-12-31	2013-05-08	2013-05-08
409	2007-03-22	2007-02-16	2015-02-16	4237470	9999-12-31	2013-05-08	2013-05-08
442	2007-07-20	2007-06-15	2014-03-15	4237510	9999-12-31	2013-05-08	2013-05-08
414	2007-03-22	2007-02-16	2015-02-16	4237582	2013-03-22	2013-05-08	2013-05-08
050 D	2007-03-21	2007-02-16	2031-09-10	4237912	9999-12-31	2013-05-08	2013-05-08
318 B	2007-03-21	2007-02-16	2014-06-18	4238138	9999-12-31	2013-05-08	2013-05-08
418	2007-03-22	2007-02-16	2016-02-16	4238348	2013-02-08	2013-05-08	2013-05-08
420	2007-03-23	2007-02-16	2015-08-16	4238409	9999-12-31	2013-05-08	2013-05-08
419	2007-03-22	2007-02-16	2011-02-17	4238530	2013-01-29	2013-05-08	2013-05-08
211 B	2007-03-21	2009-02-16	2032-02-02	4238638	9999-12-31	2013-05-08	2013-05-08
433	2007-03-23	2007-02-16	2015-02-16	4238654	9999-12-31	2013-05-08	2013-05-08
435	2007-03-23	2007-02-16	2015-02-16	4238696	2013-02-08	2013-05-08	2013-05-08
448	2007-07-20	2007-06-15	2016-06-15	4238790	9999-12-31	2013-05-08	2013-05-08
438	2007-03-23	2007-02-16	2015-02-16	4238812	9999-12-31	2013-05-08	2013-05-08
439	2007-03-23	2007-02-16	2012-12-16	4238830	2013-02-13	2013-05-08	2013-05-08
050 DS	2009-03-03	2006-10-06	2023-08-23	4380141	9999-12-31	2013-05-08	2013-05-08
120 B	2008-02-11	2006-10-06	2034-08-23	4380181	9999-12-31	2013-05-08	2013-05-08
229 B	2007-06-14	2007-04-27	2042-05-15	4461754	9999-12-31	2013-05-08	2013-05-08
327 B	2009-03-04	2007-12-07	2041-06-18	4720054	9999-12-31	2013-05-08	2013-05-08
274 CS	2008-03-15	2008-02-29	2039-09-15	4909658	9999-12-31	2013-05-08	2013-05-08
450	2008-03-15	2008-02-29	2015-03-01	4909784	2013-03-22	2013-05-08	2013-05-08
455	2008-03-16	2008-02-29	2014-03-01	4909816	9999-12-31	2013-05-08	2013-05-08
453 S	2008-03-16	2008-02-29	2015-03-01	4909893	9999-12-31	2013-05-08	2013-05-08
457	2008-03-16	2008-02-29	2015-03-01	4910110	9999-12-31	2013-05-08	2013-05-08
460	2008-03-16	2008-02-29	2013-03-01	4910195	2013-03-01	2013-05-08	2013-05-08
153 B	2008-03-15	2008-02-29	2028-07-08	4918242	9999-12-31	2013-05-08	2013-05-08
475	2008-03-17	2008-02-29	2015-02-28	4918410	2013-02-13	2013-05-08	2013-05-08
405 B	2008-03-15	2008-02-29	2016-02-16	4918473	9999-12-31	2013-05-08	2013-05-08
471	2008-03-17	2008-02-29	2013-02-28	4918501	2013-03-22	2013-05-08	2013-05-08
074 B	2008-03-17	2008-02-29	2027-04-10	4918544	9999-12-31	2013-05-08	2013-05-08
473	2008-03-17	2008-02-29	2015-03-01	4920841	9999-12-31	2013-05-08	2013-05-08
479	2008-03-17	2008-02-29	2015-03-01	4920979	2013-02-13	2013-05-08	2013-05-08
477	2008-03-17	2008-02-29	2015-03-01	4921022	9999-12-31	2013-05-08	2013-05-08
488	2008-03-17	2008-02-29	2012-11-19	4921192	2013-01-23	2013-05-08	2013-05-08
490	2008-03-17	2008-02-29	2014-03-01	4921353	9999-12-31	2013-05-08	2013-05-08
482	2008-03-15	2008-02-29	2013-03-01	4921474	2013-04-19	2013-05-08	2013-05-08
489	2008-03-17	2008-02-29	2014-03-01	4921522	9999-12-31	2013-05-08	2013-05-08
481	2008-03-15	2008-02-29	2013-03-01	4921546	2013-05-08	2013-05-08	2013-05-08
484	2008-03-15	2008-02-29	2016-02-28	4921632	2013-03-22	2013-05-08	2013-05-08
492	2008-03-17	2008-02-29	2015-03-01	4925088	9999-12-31	2013-05-08	2013-05-08
159 C	2008-03-14	2008-02-13	2029-03-03	4939362	9999-12-31	2013-05-08	2013-05-08
159 D	2008-03-14	2008-02-13	2029-03-03	4939421	9999-12-31	2013-05-08	2013-05-08
027 D	2008-04-28	2007-12-07	2015-05-23	4943160	9999-12-31	2013-05-08	2013-05-08
263 C	2008-05-08	2008-04-18	2037-05-12	4966437	9999-12-31	2013-05-08	2013-05-08
212 E	2009-02-24	2009-02-24	2033-02-02	4966902	9999-12-31	2013-05-08	2013-05-08
301 B	2008-07-14	2008-12-12	2011-06-13	4973175	2013-01-29	2013-05-08	2013-05-08
036 D	2009-11-10	2008-10-17	2021-06-11	5081703	9999-12-31	2013-05-08	2013-05-08
035 B	2008-12-18	2008-11-26	2015-11-14	5105684	9999-12-31	2013-05-08	2013-05-08
494	2009-02-23	2009-02-23	2016-07-23	5105899	9999-12-31	2013-05-08	2013-05-08
495	2009-02-23	2009-02-23	2015-07-23	5105968	9999-12-31	2013-05-08	2013-05-08
497	2009-02-23	2009-02-23	2016-01-23	5106073	2013-02-21	2013-05-08	2013-05-08
498	2009-02-23	2009-02-23	2015-01-23	5106134	9999-12-31	2013-05-08	2013-05-08
499 S	2009-02-23	2009-02-23	2015-01-23	5106238	9999-12-31	2013-05-08	2013-05-08
500	2009-02-23	2009-02-23	2017-01-23	5106274	9999-12-31	2013-05-08	2013-05-08
501	2009-02-23	2009-02-23	2015-01-23	5106314	9999-12-31	2013-05-08	2013-05-08
502	2009-02-23	2009-02-23	2016-01-23	5106378	9999-12-31	2013-05-08	2013-05-08
503	2009-02-23	2009-02-23	2017-01-23	5106405	9999-12-31	2013-05-08	2013-05-08
504	2009-02-23	2009-02-23	2014-01-23	5106455	9999-12-31	2013-05-08	2013-05-08
505	2009-02-23	2009-02-23	2016-10-23	5106486	9999-12-31	2013-05-08	2013-05-08
506 S	2009-02-23	2009-02-23	2016-01-23	5106544	9999-12-31	2013-05-08	2013-05-08
518	2009-02-23	2009-02-23	2013-01-23	5106560	2013-03-22	2013-05-08	2013-05-08
507	2009-02-23	2009-01-23	2015-01-23	5106689	9999-12-31	2013-05-08	2013-05-08
509 S	2009-02-23	2009-02-23	2016-01-23	5106880	9999-12-31	2013-05-08	2013-05-08
510	2009-02-23	2009-01-23	2016-01-23	5106991	9999-12-31	2013-05-08	2013-05-08
516	2009-02-23	2009-02-23	2026-02-28	5107101	9999-12-31	2013-05-08	2013-05-08
513	2009-02-23	2009-02-23	2015-07-23	5107217	9999-12-31	2013-05-08	2013-05-08
512	2009-02-23	2009-02-23	2017-07-23	5107312	9999-12-31	2013-05-08	2013-05-08
107 B	2009-02-23	2009-02-23	2015-01-23	5107376	9999-12-31	2013-05-08	2013-05-08
511	2009-02-23	2009-02-23	2015-01-23	5107428	9999-12-31	2013-05-08	2013-05-08
292 B	2009-02-23	2009-02-23	2026-04-01	5107501	9999-12-31	2013-05-08	2013-05-08
193 B	2009-02-23	2009-02-23	2031-09-10	5107611	9999-12-31	2013-05-08	2013-05-08
475 BS	2009-02-23	2009-01-23	2016-02-28	5107669	2013-03-22	2013-05-08	2013-05-08
402 B	2009-02-23	2009-02-23	2013-02-16	5107780	2013-02-16	2013-05-08	2013-05-08
107 C	2009-02-23	2009-02-23	2017-01-23	5115394	9999-12-31	2013-05-08	2013-05-08
519	2009-06-03	2009-05-15	2013-05-15	5463084	9999-12-31	2013-05-08	2013-05-08
318 C	2009-06-03	2008-05-15	2014-06-18	5463114	9999-12-31	2013-05-08	2013-05-08
520	2009-06-03	2009-05-15	2013-07-04	5463136	2013-05-07	2013-05-08	2013-05-08
521	2009-06-03	2009-05-15	2015-05-15	5463210	9999-12-31	2013-05-08	2013-05-08
522	2009-06-03	2009-05-15	2015-05-15	5463248	9999-12-31	2013-05-08	2013-05-08
525	2009-06-03	2009-05-15	2015-05-15	5463362	9999-12-31	2013-05-08	2013-05-08
526	2009-06-03	2009-05-15	2014-05-15	5463391	9999-12-31	2013-05-08	2013-05-08
527	2009-06-03	2009-05-15	2017-05-15	5463429	9999-12-31	2013-05-08	2013-05-08
528	2009-06-03	2009-05-15	2015-05-15	5463521	9999-12-31	2013-05-08	2013-05-08
529	2009-06-03	2009-05-15	2016-05-15	5463559	9999-12-31	2013-05-08	2013-05-08
530	2009-06-03	2009-05-15	2013-03-12	5463588	2013-03-22	2013-05-08	2013-05-08
531	2009-06-03	2009-06-15	2014-05-15	5463621	9999-12-31	2013-05-08	2013-05-08
532	2009-06-03	2009-02-15	2018-05-15	5463659	9999-12-31	2013-05-08	2013-05-08
533	2009-06-03	2009-05-15	2014-05-15	5463724	9999-12-31	2013-05-08	2013-05-08
534	2009-06-03	2009-05-15	2015-05-15	5463753	9999-12-31	2013-05-08	2013-05-08
535	2009-06-03	2009-05-15	2014-05-15	5463791	9999-12-31	2013-05-08	2013-05-08
536	2009-06-03	2009-05-15	2012-11-15	5463820	2013-01-23	2013-05-08	2013-05-08
537	2009-06-03	2009-05-15	2014-05-15	5463849	9999-12-31	2013-05-08	2013-05-08
102 C	2009-05-14	2009-05-20	2025-03-01	5467035	9999-12-31	2013-05-08	2013-05-08
169 C	2009-05-18	2009-03-27	2030-03-01	5479914	9999-12-31	2013-05-08	2013-05-08
019 D	2009-11-19	2009-01-16	2018-09-01	5488531	9999-12-31	2013-05-08	2013-05-08
038 D	2009-06-17	2009-05-15	2021-04-01	5500999	9999-12-31	2013-05-08	2013-05-08
539	2010-03-22	2010-02-19	2017-02-19	17320077	9999-12-31	2013-05-08	2013-05-08
540	2010-03-22	2010-02-19	2011-08-19	17320106	2013-01-23	2013-05-08	2013-05-08
541	2010-03-22	2010-02-19	2016-02-19	17320130	9999-12-31	2013-05-08	2013-05-08
542	2010-03-22	2010-02-19	2015-02-19	17320156	9999-12-31	2013-05-08	2013-05-08
497 B	2010-03-22	2010-02-19	2016-01-23	17320202	2013-02-21	2013-05-08	2013-05-08
543	2010-03-22	2010-02-19	2012-11-19	17320231	2013-02-08	2013-05-08	2013-05-08
544	2010-03-22	2010-02-19	2016-02-19	17320260	9999-12-31	2013-05-08	2013-05-08
546	2010-03-22	2010-02-19	2018-02-19	17320338	2013-03-22	2013-05-08	2013-05-08
169 D	2010-03-22	2010-02-19	2030-03-01	17320383	9999-12-31	2013-05-08	2013-05-08
340 BS	2010-03-22	2010-02-19	2014-12-17	17320421	9999-12-31	2013-05-08	2013-05-08
504 BS	2010-03-22	2010-02-19	2014-01-23	17320469	9999-12-31	2013-05-08	2013-05-08
505 BS	2010-03-22	2010-02-19	2016-10-23	17320530	9999-12-31	2013-05-08	2013-05-08
549 S	2010-03-22	2010-02-19	2018-02-19	17320558	9999-12-31	2013-05-08	2013-05-08
550	2010-03-22	2010-02-19	2016-02-19	17320594	9999-12-31	2013-05-08	2013-05-08
551	2010-03-22	2010-02-19	2016-02-19	17642019	9999-12-31	2013-05-08	2013-05-08
090 E	2010-03-22	2010-02-19	2024-03-09	17642079	9999-12-31	2013-05-08	2013-05-08
552	2010-03-23	2010-02-19	2014-02-19	17642108	9999-12-31	2013-05-08	2013-05-08
553	2010-03-23	2010-02-19	2016-02-19	17646365	2013-03-22	2013-05-08	2013-05-08
554	2010-03-23	2010-02-19	2016-02-19	17654471	2013-03-19	2013-05-08	2013-05-08
555	2010-03-23	2010-02-19	2016-02-19	17654533	9999-12-31	2013-05-08	2013-05-08
093 B	2010-03-22	2010-02-19	2014-02-19	17654585	2013-02-05	2013-05-08	2013-05-08
312 B	2010-03-22	2010-02-19	2013-12-12	17654614	9999-12-31	2013-05-08	2013-05-08
557	2010-03-23	2010-02-19	2019-02-19	17654641	2013-02-08	2013-05-08	2013-05-08
477 B	2010-03-22	2010-02-19	2015-03-01	17654703	9999-12-31	2013-05-08	2013-05-08
558	2010-03-23	2010-02-19	2016-02-19	17654732	9999-12-31	2013-05-08	2013-05-08
559	2010-03-23	2010-02-19	2016-02-19	17654775	9999-12-31	2013-05-08	2013-05-08
561	2010-03-23	2010-02-19	2013-02-19	17654869	2013-04-03	2013-05-08	2013-05-08
562	2010-03-23	2010-02-19	2017-02-19	17654921	9999-12-31	2013-05-08	2013-05-08
518 B	2010-03-22	2010-02-19	2013-01-23	17654970	2013-03-22	2013-05-08	2013-05-08
563	2010-03-23	2010-02-19	2017-02-19	17655034	9999-12-31	2013-05-08	2013-05-08
564	2010-03-23	2010-02-19	2017-02-19	17655076	9999-12-31	2013-05-08	2013-05-08
028 S	2009-12-18	2009-11-13	2030-03-01	18054740	9999-12-31	2013-05-08	2013-05-08
043 CS	2010-06-21	2010-05-12	2027-12-31	18116800	9999-12-31	2013-05-08	2013-05-08
043 DS	2010-06-21	2010-05-12	2027-12-31	18116829	9999-12-31	2013-05-08	2013-05-08
393 B	2010-11-08	2010-09-10	2014-06-10	18404594	2013-05-07	2013-05-08	2013-05-08
048 E	2010-12-16	2010-12-09	2028-12-31	18450020	9999-12-31	2013-05-08	2013-05-08
565	2011-03-02	2011-02-04	2018-08-04	20088435	2013-02-08	2013-05-08	2013-05-08
566 S	2011-03-02	2011-02-04	2019-02-04	20088461	9999-12-31	2013-05-08	2013-05-08
494 B	2011-03-02	2011-02-04	2016-07-23	20088555	9999-12-31	2013-05-08	2013-05-08
567	2011-03-02	2011-02-04	2019-02-04	20088593	2013-02-13	2013-05-08	2013-05-08
301 D	2011-03-02	2011-02-04	2013-12-12	20088622	9999-12-31	2013-05-08	2013-05-08
568	2011-03-02	2011-02-04	2017-02-04	20088760	9999-12-31	2013-05-08	2013-05-08
360 B	2011-03-15	2011-02-04	2014-01-06	20107847	9999-12-31	2013-05-08	2013-05-08
569	2011-03-02	2011-02-04	2015-02-04	20107876	9999-12-31	2013-05-08	2013-05-08
503 B	2011-03-02	2011-02-04	2017-01-23	20107903	9999-12-31	2013-05-08	2013-05-08
501 B	2011-03-02	2011-02-04	2015-01-23	20107950	2013-05-03	2013-05-08	2013-05-08
570	2011-03-02	2011-02-04	2018-02-04	20107979	9999-12-31	2013-05-08	2013-05-08
571	2011-03-02	2011-02-04	2017-02-04	20108024	9999-12-31	2013-05-08	2013-05-08
150 B	2011-03-02	2011-02-04	2016-08-04	20108072	9999-12-31	2013-05-08	2013-05-08
506 BS	2011-03-02	2011-02-04	2016-01-23	20108101	9999-12-31	2013-05-08	2013-05-08
506 CS	2011-03-02	2011-02-04	2016-01-23	20108128	9999-12-31	2013-05-08	2013-05-08
573 S	2011-03-02	2011-02-04	2018-02-04	20108194	9999-12-31	2013-05-08	2013-05-08
574	2011-03-02	2011-02-04	2020-02-04	20108260	2013-02-13	2013-05-08	2013-05-08
575	2011-03-02	2011-02-04	2013-02-04	20108314	2013-03-23	2013-05-08	2013-05-08
576	2011-03-02	2011-02-04	2013-02-04	20108349	2013-04-03	2013-05-08	2013-05-08
309 B	2011-03-02	2011-02-04	2031-03-01	20108378	9999-12-31	2013-05-08	2013-05-08
193 C	2011-03-02	2011-02-04	2031-09-10	20108409	9999-12-31	2013-05-08	2013-05-08
378 B	2011-03-02	2011-02-04	2013-01-06	20108440	2013-05-03	2013-05-08	2013-05-08
577	2011-03-02	2011-02-04	2018-02-04	20108473	9999-12-31	2013-05-08	2013-05-08
554 B	2011-03-02	2011-02-04	2016-02-19	20108509	2013-03-19	2013-05-08	2013-05-08
377 BS	2011-03-02	2011-02-04	2012-07-06	20108534	2013-04-20	2013-05-08	2013-05-08
578	2011-03-02	2011-02-04	2019-02-04	20108565	9999-12-31	2013-05-08	2013-05-08
375 B	2011-03-02	2011-02-04	2014-12-31	20108600	9999-12-31	2013-05-08	2013-05-08
370 B	2011-03-02	2011-02-04	2014-07-06	20108642	9999-12-31	2013-05-08	2013-05-08
579	2011-03-02	2011-02-04	2019-02-04	20108664	9999-12-31	2013-05-08	2013-05-08
580	2011-03-02	2011-02-04	2019-02-04	20108700	9999-12-31	2013-05-08	2013-05-08
581	2011-03-02	2011-02-04	2019-02-04	20108743	9999-12-31	2013-05-08	2013-05-08
582	2011-03-02	2011-02-04	2019-02-04	20108820	9999-12-31	2013-05-08	2013-05-08
583	2011-03-02	2011-02-04	2019-02-04	20109004	9999-12-31	2013-05-08	2013-05-08
584	2011-03-02	2011-02-04	2019-02-04	20109082	9999-12-31	2013-05-08	2013-05-08
585	2011-03-02	2011-02-04	2018-02-04	20109152	9999-12-31	2013-05-08	2013-05-08
586	2011-03-02	2011-02-04	2017-02-04	20109200	9999-12-31	2013-05-08	2013-05-08
587	2011-03-02	2011-02-04	2018-02-04	20109234	9999-12-31	2013-05-08	2013-05-08
348 B	2011-03-02	2011-02-04	2014-12-17	20109261	9999-12-31	2013-05-08	2013-05-08
589	2011-03-02	2011-02-04	2017-02-04	20109325	9999-12-31	2013-05-08	2013-05-08
475 CS	2011-03-02	2011-02-04	2016-02-28	20109375	2013-03-22	2013-05-08	2013-05-08
590	2011-03-02	2011-02-04	2018-02-04	20109438	9999-12-31	2013-05-08	2013-05-08
591	2011-03-02	2011-02-04	2017-02-04	20109475	9999-12-31	2013-05-08	2013-05-08
592	2011-03-02	2011-02-04	2018-02-04	20109566	9999-12-31	2013-05-08	2013-05-08
593	2011-03-02	2011-02-04	2013-02-04	20109597	2013-03-22	2013-05-08	2013-05-08
594	2011-03-15	2011-02-04	2013-02-04	20109626	2013-03-22	2013-05-08	2013-05-08
595	2011-03-02	2011-02-04	2019-02-04	20109655	9999-12-31	2013-05-08	2013-05-08
596	2011-06-23	2011-05-13	2020-05-13	20428440	9999-12-31	2013-05-08	2013-05-08
597	2011-06-23	2011-05-13	2016-05-13	20428525	9999-12-31	2013-05-08	2013-05-08
599	2011-06-23	2011-05-13	2016-05-13	20428552	9999-12-31	2013-05-08	2013-05-08
600	2011-06-23	2011-05-13	2016-05-13	20428617	9999-12-31	2013-05-08	2013-05-08
598	2011-06-23	2011-05-13	2018-05-13	20428655	9999-12-31	2013-05-08	2013-05-08
601	2011-06-23	2011-05-13	2017-05-13	20428711	9999-12-31	2013-05-08	2013-05-08
602	2011-06-23	2011-05-13	2017-05-13	20428749	9999-12-31	2013-05-08	2013-05-08
603	2011-06-23	2011-05-13	2017-05-13	20428814	9999-12-31	2013-05-08	2013-05-08
218 B	2011-06-23	2011-05-13	2041-02-02	20428874	9999-12-31	2013-05-08	2013-05-08
528 B	2011-06-23	2011-05-13	2015-05-15	20428963	9999-12-31	2013-05-08	2013-05-08
604	2011-06-23	2011-05-13	2017-05-13	20428990	9999-12-31	2013-05-08	2013-05-08
605	2011-06-23	2011-05-13	2017-05-13	20429042	9999-12-31	2013-05-08	2013-05-08
606	2011-06-23	2011-05-13	2017-05-13	20429078	9999-12-31	2013-05-08	2013-05-08
607	2011-06-23	2011-05-13	2015-05-13	20429121	9999-12-31	2013-05-08	2013-05-08
608	2011-06-23	2011-05-13	2016-05-13	20429159	9999-12-31	2013-05-08	2013-05-08
609	2011-06-23	2011-05-13	2017-05-13	20429186	9999-12-31	2013-05-08	2013-05-08
610	2011-06-23	2011-05-13	2017-05-13	20429259	9999-12-31	2013-05-08	2013-05-08
611	2011-06-23	2011-05-13	2017-05-13	20429303	9999-12-31	2013-05-08	2013-05-08
226 B	2011-06-23	2011-05-13	2015-11-13	20429377	9999-12-31	2013-05-08	2013-05-08
613	2011-06-23	2011-05-13	2017-05-13	20429419	9999-12-31	2013-05-08	2013-05-08
612	2011-06-23	2011-05-13	2018-05-13	20429462	9999-12-31	2013-05-08	2013-05-08
614	2011-06-23	2011-05-13	2017-05-13	20429507	9999-12-31	2013-05-08	2013-05-08
615	2011-06-23	2011-05-13	2016-05-13	20429544	9999-12-31	2013-05-08	2013-05-08
303 B	2012-02-06	2011-05-27	2013-12-12	20499620	2013-03-12	2013-05-08	2013-05-08
309 C	2011-10-17	2011-10-06	2031-03-01	21104663	9999-12-31	2013-05-08	2013-05-08
107 D	2011-12-05	2011-10-31	2021-03-01	21124705	9999-12-31	2013-05-08	2013-05-08
169 E	2011-12-05	2011-11-04	2030-03-01	21124742	9999-12-31	2013-05-08	2013-05-08
018 DS	2011-12-21	2011-11-29	2028-12-31	21139552	9999-12-31	2013-05-08	2013-05-08
193 D	2012-01-20	2011-12-21	2031-09-10	21349950	9999-12-31	2013-05-08	2013-05-08
046 C	2012-01-20	2011-12-21	2028-12-31	21350140	9999-12-31	2013-05-08	2013-05-08
072 C	2012-01-20	2011-12-21	2028-12-31	21350207	9999-12-31	2013-05-08	2013-05-08
659	2012-03-27	2012-02-03	2020-02-03	21558636	9999-12-31	2013-05-08	2013-05-08
658	2012-03-27	2012-02-03	2021-02-03	21558820	9999-12-31	2013-05-08	2013-05-08
657	2012-03-27	2012-02-03	2019-02-03	21558872	9999-12-31	2013-05-08	2013-05-08
656	2012-03-27	2012-02-03	2020-02-03	21558940	9999-12-31	2013-05-08	2013-05-08
655	2012-03-27	2012-02-03	2019-02-03	21558998	9999-12-31	2013-05-08	2013-05-08
654	2012-03-27	2012-02-03	2019-02-03	21559027	9999-12-31	2013-05-08	2013-05-08
653	2012-03-27	2012-02-03	2020-02-03	21559076	9999-12-31	2013-05-08	2013-05-08
652	2012-03-27	2012-02-03	2013-02-03	21559103	2013-04-03	2013-05-08	2013-05-08
651	2012-03-27	2012-02-03	2021-02-03	21559146	9999-12-31	2013-05-08	2013-05-08
650	2012-03-27	2012-02-03	2019-02-03	21559201	9999-12-31	2013-05-08	2013-05-08
035 C	2012-03-27	2012-02-03	2022-11-14	21559372	2013-03-19	2013-05-08	2013-05-08
046 D	2012-03-27	2012-02-03	2028-12-31	21559399	2013-02-05	2013-05-08	2013-05-08
639	2012-03-27	2012-02-03	2020-02-03	21559426	9999-12-31	2013-05-08	2013-05-08
640	2012-03-27	2012-02-03	2020-02-03	21559488	9999-12-31	2013-05-08	2013-05-08
641	2012-03-27	2012-02-03	2019-02-03	21559540	9999-12-31	2013-05-08	2013-05-08
642	2012-03-27	2012-02-03	2019-02-03	21559610	9999-12-31	2013-05-08	2013-05-08
644	2012-03-27	2012-02-03	2018-08-03	21559648	9999-12-31	2013-05-08	2013-05-08
645	2012-03-27	2012-02-03	2018-02-03	21559709	9999-12-31	2013-05-08	2013-05-08
646	2012-03-27	2012-02-03	2019-02-03	21559761	9999-12-31	2013-05-08	2013-05-08
647	2012-03-27	2012-02-03	2019-02-03	21559805	9999-12-31	2013-05-08	2013-05-08
648 S	2012-03-27	2012-02-03	2019-02-03	21559877	9999-12-31	2013-05-08	2013-05-08
649	2012-03-27	2012-02-03	2019-02-03	21559950	9999-12-31	2013-05-08	2013-05-08
619	2012-03-27	2012-02-03	2020-02-03	21560040	9999-12-31	2013-05-08	2013-05-08
495 B	2012-03-27	2012-02-03	2015-07-23	21560089	9999-12-31	2013-05-08	2013-05-08
620	2012-03-27	2012-02-03	2019-02-03	21560115	9999-12-31	2013-05-08	2013-05-08
621	2012-03-27	2012-02-03	2013-02-03	21560157	2013-04-13	2013-05-08	2013-05-08
622	2012-03-27	2012-02-03	2020-02-03	21560182	9999-12-31	2013-05-08	2013-05-08
623	2012-03-27	2012-02-03	2019-02-03	21560239	9999-12-31	2013-05-08	2013-05-08
506 DS	2012-03-27	2012-02-03	2018-08-03	21560284	9999-12-31	2013-05-08	2013-05-08
624	2012-03-27	2012-02-03	2019-02-03	21560318	9999-12-31	2013-05-08	2013-05-08
625	2012-03-27	2012-02-03	2017-02-03	21560380	9999-12-31	2013-05-08	2013-05-08
626	2012-03-27	2012-02-03	2019-02-03	21560418	9999-12-31	2013-05-08	2013-05-08
513 B	2012-03-27	2012-02-03	2015-01-23	21560453	9999-12-31	2013-05-08	2013-05-08
627	2012-03-27	2012-02-03	2019-02-03	21560469	9999-12-31	2013-05-08	2013-05-08
628	2012-03-27	2012-02-03	2018-02-03	21560616	9999-12-31	2013-05-08	2013-05-08
629	2012-03-27	2012-02-03	2019-02-03	21560683	9999-12-31	2013-05-08	2013-05-08
630	2012-03-27	2012-02-03	2019-02-03	21560745	9999-12-31	2013-05-08	2013-05-08
631	2012-03-27	2012-02-03	2018-02-03	21560844	9999-12-31	2013-05-08	2013-05-08
557 B	2012-03-27	2012-02-03	2019-02-19	21560889	2013-02-08	2013-05-08	2013-05-08
632	2012-03-27	2012-02-03	2019-02-03	21560912	9999-12-31	2013-05-08	2013-05-08
633	2012-03-27	2012-02-03	2019-02-03	21560982	9999-12-31	2013-05-08	2013-05-08
634	2012-03-27	2012-02-03	2019-02-03	21561057	9999-12-31	2013-05-08	2013-05-08
635	2012-03-27	2012-02-03	2019-02-03	21561115	9999-12-31	2013-05-08	2013-05-08
636	2012-03-27	2012-02-03	2017-02-03	21561151	9999-12-31	2013-05-08	2013-05-08
637	2012-03-27	2012-02-03	2019-02-03	21561194	9999-12-31	2013-05-08	2013-05-08
638	2012-03-27	2012-02-03	2019-02-03	21561239	9999-12-31	2013-05-08	2013-05-08
597 B	2012-03-27	2012-02-03	2016-05-13	21561308	9999-12-31	2013-05-08	2013-05-08
643	2012-03-27	2012-02-03	2019-02-03	21561387	9999-12-31	2013-05-08	2013-05-08
609 B	2012-03-27	2012-02-03	2017-05-13	21561445	9999-12-31	2013-05-08	2013-05-08
616	2012-03-27	2012-02-03	2019-08-03	21561481	9999-12-31	2013-05-08	2013-05-08
617	2012-03-27	2012-02-03	2019-02-03	21561629	9999-12-31	2013-05-08	2013-05-08
618	2012-03-27	2012-02-03	2019-02-03	21561689	9999-12-31	2013-05-08	2013-05-08
102 E	2012-03-27	2012-02-03	2025-03-01	21568578	9999-12-31	2013-05-08	2013-05-08
102 D	2012-03-27	2012-02-03	2025-03-01	21568785	9999-12-31	2013-05-08	2013-05-08
104 B	2012-03-27	2012-02-03	2013-02-03	21568959	2013-02-03	2013-05-08	2013-05-08
193 E	2012-03-27	2012-02-03	2013-02-03	21568992	2013-02-03	2013-05-08	2013-05-08
375 C	2012-03-27	2012-02-03	2014-12-31	21569065	9999-12-31	2013-05-08	2013-05-08
414 B	2012-03-27	2012-02-03	2015-02-16	21569107	2013-03-22	2013-05-08	2013-05-08
494 C	2012-03-27	2012-02-03	2016-07-23	21569178	9999-12-31	2013-05-08	2013-05-08
050 ES	2012-05-08	2012-04-11	2031-09-10	21668200	2013-03-19	2013-05-08	2013-05-08
050 FS	2012-05-08	2012-04-11	2031-09-10	21668235	2013-03-19	2013-05-08	2013-05-08
050 GS	2012-05-08	2012-04-11	2031-09-10	21668262	2013-03-19	2013-05-08	2013-05-08
050 HS	2012-05-08	2012-04-11	2031-09-10	21668287	9999-12-31	2013-05-08	2013-05-08
293 B	2012-07-30	2012-06-15	2039-04-11	21695786	9999-12-31	2013-05-08	2013-05-08
029 C	2012-11-02	2012-10-17	2028-12-31	22493034	9999-12-31	2013-05-08	2013-05-08
037 F	2013-02-22	2013-02-08	2017-02-08	22813049	9999-12-31	2013-05-08	2013-05-08
055 D	2013-02-22	2013-02-08	2014-02-08	22813096	9999-12-31	2013-05-08	2013-05-08
091 D	2013-02-22	2013-02-08	2014-02-08	22813131	9999-12-31	2013-05-08	2013-05-08
093 C	2013-02-22	2013-02-08	2014-02-08	22813180	9999-12-31	2013-05-08	2013-05-08
190 B	2013-02-22	2013-02-08	2017-02-08	22813207	9999-12-31	2013-05-08	2013-05-08
203 B	2013-02-22	2013-02-08	2018-02-08	22813239	9999-12-31	2013-05-08	2013-05-08
509 BS	2013-02-22	2013-02-08	2016-01-23	22813272	9999-12-31	2013-05-08	2013-05-08
542 B	2013-02-22	2013-02-08	2015-02-19	22813299	9999-12-31	2013-05-08	2013-05-08
660	2013-02-21	2013-02-08	2020-02-08	22815555	9999-12-31	2013-05-08	2013-05-08
661	2013-02-21	2013-02-08	2021-02-08	22815589	9999-12-31	2013-05-08	2013-05-08
662	2013-02-21	2013-02-08	2021-02-08	22815632	9999-12-31	2013-05-08	2013-05-08
663	2013-02-21	2013-02-08	2021-02-08	22815661	9999-12-31	2013-05-08	2013-05-08
664 S	2013-02-21	2013-02-08	2020-02-08	22815702	9999-12-31	2013-05-08	2013-05-08
665 S	2013-02-21	2013-02-08	2020-02-08	22815738	9999-12-31	2013-05-08	2013-05-08
666	2013-02-21	2013-02-08	2020-02-08	22815785	9999-12-31	2013-05-08	2013-05-08
667	2013-02-21	2013-02-08	2020-02-08	22815830	9999-12-31	2013-05-08	2013-05-08
668	2013-02-21	2013-02-08	2020-02-08	22815873	9999-12-31	2013-05-08	2013-05-08
669	2013-02-21	2013-02-08	2020-02-08	22815914	9999-12-31	2013-05-08	2013-05-08
670	2013-02-21	2013-02-08	2020-02-08	22815949	9999-12-31	2013-05-08	2013-05-08
671	2013-02-21	2013-02-08	2021-02-08	22816003	9999-12-31	2013-05-08	2013-05-08
672	2013-02-21	2013-02-08	2018-02-08	22816061	9999-12-31	2013-05-08	2013-05-08
673	2013-02-21	2013-02-08	2020-02-08	22816103	9999-12-31	2013-05-08	2013-05-08
674	2013-02-21	2013-02-08	2021-02-08	22816134	9999-12-31	2013-05-08	2013-05-08
675	2013-02-21	2013-02-08	2020-02-08	22816217	9999-12-31	2013-05-08	2013-05-08
676 S	2013-02-21	2013-02-08	2020-02-08	22816262	9999-12-31	2013-05-08	2013-05-08
677	2013-02-21	2013-02-08	2020-02-08	22816357	9999-12-31	2013-05-08	2013-05-08
678 S	2013-02-21	2013-02-08	2020-02-08	22816406	9999-12-31	2013-05-08	2013-05-08
679 S	2013-02-21	2013-02-08	2020-02-08	22816484	9999-12-31	2013-05-08	2013-05-08
680	2013-02-21	2013-02-08	2021-02-08	22816583	9999-12-31	2013-05-08	2013-05-08
681	2013-02-21	2013-02-08	2016-02-08	22816639	9999-12-31	2013-05-08	2013-05-08
682	2013-02-21	2013-02-08	2020-02-08	22816685	9999-12-31	2013-05-08	2013-05-08
683	2013-02-21	2013-02-08	2020-02-08	22816753	9999-12-31	2013-05-08	2013-05-08
684	2013-02-21	2013-02-08	2021-02-08	22816794	9999-12-31	2013-05-08	2013-05-08
685	2013-02-21	2013-02-08	2022-02-08	22820468	9999-12-31	2013-05-08	2013-05-08
686	2013-02-21	2013-02-08	2020-02-08	22820521	9999-12-31	2013-05-08	2013-05-08
687	2013-02-21	2013-02-08	2021-02-08	22820550	9999-12-31	2013-05-08	2013-05-08
688	2013-02-21	2013-02-08	2022-02-08	22820588	9999-12-31	2013-05-08	2013-05-08
689	2013-02-21	2013-02-08	2021-02-08	22820628	9999-12-31	2013-05-08	2013-05-08
690	2013-02-21	2013-02-08	2020-02-08	22820657	9999-12-31	2013-05-08	2013-05-08
691	2013-02-21	2013-02-08	2019-02-08	22820684	9999-12-31	2013-05-08	2013-05-08
692	2013-02-21	2013-02-08	2020-02-08	22820715	9999-12-31	2013-05-08	2013-05-08
693	2013-02-21	2013-02-08	2020-02-08	22820761	9999-12-31	2013-05-08	2013-05-08
694	2013-02-21	2013-02-08	2021-02-08	22820804	9999-12-31	2013-05-08	2013-05-08
695	2013-02-21	2013-02-08	2021-02-08	22820851	9999-12-31	2013-05-08	2013-05-08
696	2013-02-21	2013-02-08	2021-02-08	22820904	9999-12-31	2013-05-08	2013-05-08
697	2013-02-21	2013-02-08	2020-02-08	22821005	9999-12-31	2013-05-08	2013-05-08
698	2013-02-21	2013-02-08	2019-02-08	22821040	9999-12-31	2013-05-08	2013-05-08
699	2013-02-21	2013-02-08	2019-02-08	22821109	9999-12-31	2013-05-08	2013-05-08
700	2013-02-21	2013-02-08	2020-02-08	22821177	9999-12-31	2013-05-08	2013-05-08
701	2013-02-21	2013-02-08	2019-02-08	23180841	9999-12-31	2013-05-08	2013-05-08
591 B	2013-02-22	2013-02-08	2017-02-04	23180930	9999-12-31	2013-05-08	2013-05-08
090 F	2013-03-01	2013-01-22	2024-03-09	23268186	9999-12-31	2013-05-08	2013-05-08
090 G	2013-03-01	2013-01-22	2024-03-09	23268222	9999-12-31	2013-05-08	2013-05-08
090 HS	2013-04-25	2013-04-09	2024-02-19	23297006	9999-12-31	2013-05-08	2013-05-08
248 C	2013-04-25	2013-04-09	2035-06-04	23297103	2013-05-01	2013-05-08	2013-05-08
\.



COPY licence_petreg_licence_licencee (ptlname, cmplongname, ptllicenseeinterest, prlnpdidlicence, cmpnpdidcompany, ptllicenseedateupdated, datesyncnpd) FROM stdin;
001	ExxonMobil Exploration & Production Norway AS	100.000000	20756	2835212	9999-12-31	2013-05-08
006	Total E&P Norge AS	100.000000	20804	2410708	9999-12-31	2013-05-08
018	Petoro AS	5.000000	20900	1626839	9999-12-31	2013-05-08
018	Eni Norge AS	12.388000	20900	2388594	9999-12-31	2013-05-08
018	ConocoPhillips Skandinavia AS	35.112000	20900	2410696	9999-12-31	2013-05-08
018	Total E&P Norge AS	39.896000	20900	2410708	9999-12-31	2013-05-08
018	Statoil Petroleum AS	7.604000	20900	17237817	9999-12-31	2013-05-08
018 B	Petoro AS	5.000000	20908	1626839	9999-12-31	2013-05-08
018 B	Eni Norge AS	12.388000	20908	2388594	9999-12-31	2013-05-08
018 B	ConocoPhillips Skandinavia AS	35.112000	20908	2410696	9999-12-31	2013-05-08
018 B	Total E&P Norge AS	39.896000	20908	2410708	9999-12-31	2013-05-08
018 B	Statoil Petroleum AS	7.604000	20908	17237817	9999-12-31	2013-05-08
019	BP Norge AS	80.000000	20916	2052695	9999-12-31	2013-05-08
019	DONG E&P Norge AS	20.000000	20916	4070011	9999-12-31	2013-05-08
019 B	Norske AEDC A/S	5.000000	20924	34	9999-12-31	2013-05-08
019 B	Talisman Energy Norge AS	61.000000	20924	2425093	9999-12-31	2013-05-08
019 B	DONG E&P Norge AS	34.000000	20924	4070011	9999-12-31	2013-05-08
024	Total E&P Norge AS	47.130000	20964	2410708	9999-12-31	2013-05-08
024	Statoil Petroleum AS	52.870000	20964	17237817	9999-12-31	2013-05-08
026	Total E&P Norge AS	62.130000	20980	2410708	9999-12-31	2013-05-08
026	Centrica Resources (Norge) AS	37.870000	20980	4238233	9999-12-31	2013-05-08
027	ExxonMobil Exploration & Production Norway AS	100.000000	20988	2835212	9999-12-31	2013-05-08
028	ExxonMobil Exploration & Production Norway AS	100.000000	21004	2835212	9999-12-31	2013-05-08
029	ExxonMobil Exploration & Production Norway AS	100.000000	21020	2835212	9999-12-31	2013-05-08
033	BP Norge AS	37.500000	21052	2052695	9999-12-31	2013-05-08
033	Hess Norge AS	62.500000	21052	4038735	9999-12-31	2013-05-08
034	Petoro AS	40.000000	21060	1626839	9999-12-31	2013-05-08
034	Total E&P Norge AS	10.000000	21060	2410708	9999-12-31	2013-05-08
034	Statoil Petroleum AS	50.000000	21060	17237817	9999-12-31	2013-05-08
035	Svenska Petroleum Exploration AS	25.000000	21068	738	9999-12-31	2013-05-08
035	Statoil Petroleum AS	50.000000	21068	17237817	9999-12-31	2013-05-08
035	Det norske oljeselskap ASA	25.000000	21068	17342870	9999-12-31	2013-05-08
036	Total E&P Norge AS	24.243000	21076	2410708	9999-12-31	2013-05-08
036	Centrica Resources (Norge) AS	75.757000	21076	4238233	9999-12-31	2013-05-08
037	Petoro AS	30.000000	21084	1626839	9999-12-31	2013-05-08
037	ExxonMobil Exploration & Production Norway AS	25.000000	21084	2835212	9999-12-31	2013-05-08
037	Centrica Resources (Norge) AS	23.125000	21084	4238233	9999-12-31	2013-05-08
037	Statoil Petroleum AS	21.875000	21084	17237817	9999-12-31	2013-05-08
038	Petoro AS	30.000000	21092	1626839	9999-12-31	2013-05-08
038	Talisman Energy Norge AS	65.000000	21092	2425093	9999-12-31	2013-05-08
038	Det norske oljeselskap ASA	5.000000	21092	17342870	9999-12-31	2013-05-08
040	Petoro AS	30.000000	21108	1626839	9999-12-31	2013-05-08
040	Total E&P Norge AS	51.000000	21108	2410708	9999-12-31	2013-05-08
040	Statoil Petroleum AS	19.000000	21108	17237817	9999-12-31	2013-05-08
043	Petoro AS	30.000000	21132	1626839	9999-12-31	2013-05-08
043	Total E&P Norge AS	51.000000	21132	2410708	9999-12-31	2013-05-08
043	Statoil Petroleum AS	19.000000	21132	17237817	9999-12-31	2013-05-08
044	Eni Norge AS	13.120000	21140	2388594	9999-12-31	2013-05-08
044	ConocoPhillips Skandinavia AS	41.880000	21140	2410696	9999-12-31	2013-05-08
044	Total E&P Norge AS	15.000000	21140	2410708	9999-12-31	2013-05-08
044	Statoil Petroleum AS	30.000000	21140	17237817	9999-12-31	2013-05-08
046	Total E&P Norge AS	10.000000	21156	2410708	9999-12-31	2013-05-08
046	ExxonMobil Exploration & Production Norway AS	28.000000	21156	2835212	9999-12-31	2013-05-08
046	Statoil Petroleum AS	62.000000	21156	17237817	9999-12-31	2013-05-08
050	Petoro AS	30.000000	21188	1626839	9999-12-31	2013-05-08
050	Statoil Petroleum AS	70.000000	21188	17237817	9999-12-31	2013-05-08
050 B	Petoro AS	30.000000	21196	1626839	9999-12-31	2013-05-08
050 B	Statoil Petroleum AS	70.000000	21196	17237817	9999-12-31	2013-05-08
051	Petoro AS	31.400000	21204	1626839	9999-12-31	2013-05-08
051	ConocoPhillips Skandinavia AS	24.500000	21204	2410696	9999-12-31	2013-05-08
051	Total E&P Norge AS	24.500000	21204	2410708	9999-12-31	2013-05-08
051	Statoil Petroleum AS	19.600000	21204	17237817	9999-12-31	2013-05-08
052	RWE Dea Norge AS	13.500000	21212	97557	9999-12-31	2013-05-08
052	Petoro AS	37.000000	21212	1626839	9999-12-31	2013-05-08
052	Talisman Energy Norge AS	27.000000	21212	2425093	9999-12-31	2013-05-08
052	Statoil Petroleum AS	18.000000	21212	17237817	9999-12-31	2013-05-08
052	Wintershall Norge AS	4.500000	21212	21666830	9999-12-31	2013-05-08
053	Petoro AS	33.600000	21220	1626839	9999-12-31	2013-05-08
053	ConocoPhillips Skandinavia AS	2.400000	21220	2410696	9999-12-31	2013-05-08
053	Total E&P Norge AS	14.700000	21220	2410708	9999-12-31	2013-05-08
053	Statoil Petroleum AS	49.300000	21220	17237817	9999-12-31	2013-05-08
054	A/S Norske Shell	25.900000	21228	562	9999-12-31	2013-05-08
054	Petoro AS	40.800000	21228	1626839	9999-12-31	2013-05-08
054	ConocoPhillips Skandinavia AS	5.191020	21228	2410696	9999-12-31	2013-05-08
054	Total E&P Norge AS	3.690960	21228	2410708	9999-12-31	2013-05-08
054	Statoil Petroleum AS	24.418020	21228	17237817	9999-12-31	2013-05-08
055	Talisman Energy Norge AS	34.908000	21236	2425093	9999-12-31	2013-05-08
055	Faroe Petroleum Norge AS	13.400000	21236	4062883	9999-12-31	2013-05-08
055	VNG Norge AS	3.200000	21236	17237193	9999-12-31	2013-05-08
055	Statoil Petroleum AS	32.600000	21236	17237817	2013-02-21	2013-05-08
055	Core Energy AS	13.200000	21236	20460080	9999-12-31	2013-05-08
055	Tullow Oil Norge AS	2.692000	21236	23173852	2013-02-20	2013-05-08
057	Idemitsu Petroleum Norge AS	9.600000	21252	441	9999-12-31	2013-05-08
057	RWE Dea Norge AS	24.500000	21252	97557	9999-12-31	2013-05-08
057	Petoro AS	30.000000	21252	1626839	9999-12-31	2013-05-08
057	Statoil Petroleum AS	31.000000	21252	17237817	9999-12-31	2013-05-08
057	Core Energy AS	4.900000	21252	20460080	9999-12-31	2013-05-08
062	Petoro AS	19.950000	21292	1626839	9999-12-31	2013-05-08
062	Eni Norge AS	9.800000	21292	2388594	9999-12-31	2013-05-08
062	Total E&P Norge AS	24.500000	21292	2410708	9999-12-31	2013-05-08
062	Statoil Petroleum AS	45.750000	21292	17237817	9999-12-31	2013-05-08
064	Petoro AS	30.000000	21308	1626839	9999-12-31	2013-05-08
064	Total E&P Norge AS	5.000000	21308	2410708	9999-12-31	2013-05-08
064	GDF SUEZ E&P Norge AS	15.480000	21308	5267845	9999-12-31	2013-05-08
064	Statoil Petroleum AS	49.520000	21308	17237817	9999-12-31	2013-05-08
065	BP Norge AS	55.000000	21316	2052695	9999-12-31	2013-05-08
065	DONG E&P Norge AS	45.000000	21316	4070011	9999-12-31	2013-05-08
072	ExxonMobil Exploration & Production Norway AS	40.000000	21372	2835212	9999-12-31	2013-05-08
072	Statoil Petroleum AS	60.000000	21372	17237817	9999-12-31	2013-05-08
073	Eni Norge AS	5.800000	21380	2388594	9999-12-31	2013-05-08
073	Total E&P Norge AS	29.143000	21380	2410708	9999-12-31	2013-05-08
073	ExxonMobil Exploration & Production Norway AS	6.290000	21380	2835212	9999-12-31	2013-05-08
073	Statoil Petroleum AS	58.767000	21380	17237817	9999-12-31	2013-05-08
074	Petoro AS	19.950000	21388	1626839	9999-12-31	2013-05-08
074	Eni Norge AS	29.400000	21388	2388594	9999-12-31	2013-05-08
074	ExxonMobil Exploration & Production Norway AS	9.800000	21388	2835212	9999-12-31	2013-05-08
074	Statoil Petroleum AS	40.850000	21388	17237817	9999-12-31	2013-05-08
077	Petoro AS	30.000000	21412	1626839	9999-12-31	2013-05-08
077	Total E&P Norge AS	10.000000	21412	2410708	9999-12-31	2013-05-08
077	GDF SUEZ E&P Norge AS	12.000000	21412	5267845	9999-12-31	2013-05-08
077	Statoil Petroleum AS	48.000000	21412	17237817	9999-12-31	2013-05-08
078	Petoro AS	30.000000	21420	1626839	9999-12-31	2013-05-08
078	Total E&P Norge AS	25.000000	21420	2410708	9999-12-31	2013-05-08
078	GDF SUEZ E&P Norge AS	12.000000	21420	5267845	9999-12-31	2013-05-08
078	Statoil Petroleum AS	33.000000	21420	17237817	9999-12-31	2013-05-08
085	Petoro AS	62.918660	21476	1626839	9999-12-31	2013-05-08
085	Total E&P Norge AS	3.690960	21476	2410708	9999-12-31	2013-05-08
085	Statoil Petroleum AS	33.390380	21476	17237817	9999-12-31	2013-05-08
085 B	Petoro AS	62.918660	21484	1626839	9999-12-31	2013-05-08
085 B	Total E&P Norge AS	3.000000	21484	2410708	9999-12-31	2013-05-08
085 B	Statoil Petroleum AS	34.081340	21484	17237817	9999-12-31	2013-05-08
088	Lundin Norway AS	50.000000	21508	2767314	9999-12-31	2013-05-08
088	Centrica Resources (Norge) AS	50.000000	21508	4238233	9999-12-31	2013-05-08
089	Idemitsu Petroleum Norge AS	9.600000	21516	441	9999-12-31	2013-05-08
089	RWE Dea Norge AS	2.800000	21516	97557	9999-12-31	2013-05-08
089	Petoro AS	30.000000	21516	1626839	9999-12-31	2013-05-08
089	ExxonMobil Exploration & Production Norway AS	16.100000	21516	2835212	9999-12-31	2013-05-08
089	Statoil Petroleum AS	41.500000	21516	17237817	9999-12-31	2013-05-08
090	Idemitsu Petroleum Norge AS	15.000000	21524	441	9999-12-31	2013-05-08
090	ExxonMobil Exploration & Production Norway AS	25.000000	21524	2835212	9999-12-31	2013-05-08
090	GDF SUEZ E&P Norge AS	15.000000	21524	5267845	9999-12-31	2013-05-08
090	Statoil Petroleum AS	45.000000	21524	17237817	9999-12-31	2013-05-08
091	Eni Norge AS	7.900000	21532	2388594	9999-12-31	2013-05-08
091	ExxonMobil Exploration & Production Norway AS	33.000000	21532	2835212	9999-12-31	2013-05-08
091	Statoil Petroleum AS	59.100000	21532	17237817	9999-12-31	2013-05-08
092	Eni Norge AS	14.900000	21540	2388594	9999-12-31	2013-05-08
092	Total E&P Norge AS	7.650000	21540	2410708	9999-12-31	2013-05-08
092	ExxonMobil Exploration & Production Norway AS	40.000000	21540	2835212	9999-12-31	2013-05-08
092	Statoil Petroleum AS	37.450000	21540	17237817	9999-12-31	2013-05-08
093	A/S Norske Shell	44.560000	21548	562	9999-12-31	2013-05-08
093	Petoro AS	47.880000	21548	1626839	9999-12-31	2013-05-08
093	Chevron Norge AS	7.560000	21548	3488906	9999-12-31	2013-05-08
094	Petoro AS	14.950000	21556	1626839	9999-12-31	2013-05-08
094	Eni Norge AS	19.600000	21556	2388594	9999-12-31	2013-05-08
094	Total E&P Norge AS	9.800000	21556	2410708	9999-12-31	2013-05-08
094	ExxonMobil Exploration & Production Norway AS	14.700000	21556	2835212	9999-12-31	2013-05-08
094	Statoil Petroleum AS	40.950000	21556	17237817	9999-12-31	2013-05-08
095	Petoro AS	59.000000	21564	1626839	9999-12-31	2013-05-08
095	Eni Norge AS	5.000000	21564	2388594	9999-12-31	2013-05-08
095	ConocoPhillips Skandinavia AS	26.000000	21564	2410696	9999-12-31	2013-05-08
095	Statoil Petroleum AS	10.000000	21564	17237817	9999-12-31	2013-05-08
097	RWE Dea Norge AS	10.000000	21580	97557	9999-12-31	2013-05-08
097	Petoro AS	30.000000	21580	1626839	9999-12-31	2013-05-08
097	GDF SUEZ E&P Norge AS	12.000000	21580	5267845	9999-12-31	2013-05-08
097	Statoil Petroleum AS	48.000000	21580	17237817	9999-12-31	2013-05-08
099	Petoro AS	30.000000	21596	1626839	9999-12-31	2013-05-08
099	Total E&P Norge AS	37.500000	21596	2410708	9999-12-31	2013-05-08
099	GDF SUEZ E&P Norge AS	12.000000	21596	5267845	9999-12-31	2013-05-08
099	Statoil Petroleum AS	20.500000	21596	17237817	9999-12-31	2013-05-08
100	RWE Dea Norge AS	4.000000	21604	97557	9999-12-31	2013-05-08
100	Petoro AS	30.000000	21604	1626839	9999-12-31	2013-05-08
100	Total E&P Norge AS	35.000000	21604	2410708	9999-12-31	2013-05-08
100	GDF SUEZ E&P Norge AS	6.000000	21604	5267845	9999-12-31	2013-05-08
100	Statoil Petroleum AS	25.000000	21604	17237817	9999-12-31	2013-05-08
102	Petoro AS	30.000000	21620	1626839	9999-12-31	2013-05-08
102	Total E&P Norge AS	40.000000	21620	2410708	9999-12-31	2013-05-08
102	Centrica Resources (Norge) AS	30.000000	21620	4238233	9999-12-31	2013-05-08
104	Petoro AS	33.600000	21636	1626839	9999-12-31	2013-05-08
104	ConocoPhillips Skandinavia AS	2.400000	21636	2410696	9999-12-31	2013-05-08
104	Total E&P Norge AS	14.700000	21636	2410708	9999-12-31	2013-05-08
104	Statoil Petroleum AS	49.300000	21636	17237817	9999-12-31	2013-05-08
107	Faroe Petroleum Norge AS	7.500000	21660	4062883	9999-12-31	2013-05-08
107	GDF SUEZ E&P Norge AS	40.000000	21660	5267845	9999-12-31	2013-05-08
107	VNG Norge AS	2.500000	21660	17237193	9999-12-31	2013-05-08
107	Statoil Petroleum AS	20.000000	21660	17237817	9999-12-31	2013-05-08
107	E.ON E&P Norge AS	30.000000	21660	21631209	9999-12-31	2013-05-08
110	Petoro AS	30.000000	21684	1626839	9999-12-31	2013-05-08
110	Total E&P Norge AS	25.000000	21684	2410708	9999-12-31	2013-05-08
110	GDF SUEZ E&P Norge AS	12.000000	21684	5267845	9999-12-31	2013-05-08
110	Statoil Petroleum AS	33.000000	21684	17237817	9999-12-31	2013-05-08
113	DONG E&P Norge AS	70.000000	21708	4070011	9999-12-31	2013-05-08
113	Statoil Petroleum AS	30.000000	21708	17237817	9999-12-31	2013-05-08
120	Petoro AS	16.935480	21772	1626839	9999-12-31	2013-05-08
120	ConocoPhillips Skandinavia AS	13.000000	21772	2410696	9999-12-31	2013-05-08
120	Total E&P Norge AS	11.000000	21772	2410708	9999-12-31	2013-05-08
120	Statoil Petroleum AS	59.064520	21772	17237817	9999-12-31	2013-05-08
121	Eni Norge AS	14.900000	21780	2388594	9999-12-31	2013-05-08
121	Total E&P Norge AS	7.650000	21780	2410708	9999-12-31	2013-05-08
121	ExxonMobil Exploration & Production Norway AS	20.000000	21780	2835212	9999-12-31	2013-05-08
121	Statoil Petroleum AS	57.450000	21780	17237817	9999-12-31	2013-05-08
122	Eni Norge AS	20.000000	21788	2388594	9999-12-31	2013-05-08
122	DONG E&P Norge AS	30.000000	21788	4070011	9999-12-31	2013-05-08
122	Statoil Petroleum AS	50.000000	21788	17237817	9999-12-31	2013-05-08
124	Petoro AS	27.089620	21804	1626839	9999-12-31	2013-05-08
124	Eni Norge AS	10.000000	21804	2388594	9999-12-31	2013-05-08
124	ConocoPhillips Skandinavia AS	27.910380	21804	2410696	9999-12-31	2013-05-08
124	Statoil Petroleum AS	35.000000	21804	17237817	9999-12-31	2013-05-08
127	Total E&P Norge AS	50.000000	21828	2410708	9999-12-31	2013-05-08
127	Statoil Petroleum AS	50.000000	21828	17237817	9999-12-31	2013-05-08
128	Petoro AS	24.545460	21836	1626839	9999-12-31	2013-05-08
128	Eni Norge AS	11.500000	21836	2388594	9999-12-31	2013-05-08
128	Statoil Petroleum AS	63.954550	21836	17237817	9999-12-31	2013-05-08
132	Faroe Petroleum Norge AS	7.500000	21868	4062883	9999-12-31	2013-05-08
132	GDF SUEZ E&P Norge AS	40.000000	21868	5267845	9999-12-31	2013-05-08
132	VNG Norge AS	2.500000	21868	17237193	9999-12-31	2013-05-08
132	Statoil Petroleum AS	20.000000	21868	17237817	9999-12-31	2013-05-08
132	E.ON E&P Norge AS	30.000000	21868	21631209	9999-12-31	2013-05-08
134	Petoro AS	13.550000	21884	1626839	9999-12-31	2013-05-08
134	Eni Norge AS	30.000000	21884	2388594	9999-12-31	2013-05-08
134	Total E&P Norge AS	10.000000	21884	2410708	9999-12-31	2013-05-08
134	Statoil Petroleum AS	46.450000	21884	17237817	9999-12-31	2013-05-08
143	ConocoPhillips Skandinavia AS	50.000000	21956	2410696	9999-12-31	2013-05-08
143	Talisman Energy Norge AS	10.000000	21956	2425093	9999-12-31	2013-05-08
143	BG Norge AS	40.000000	21956	2747354	9999-12-31	2013-05-08
145	Eni Norge AS	20.000000	21972	2388594	9999-12-31	2013-05-08
145	ConocoPhillips Skandinavia AS	80.000000	21972	2410696	9999-12-31	2013-05-08
146	Total E&P Norge AS	22.200000	21980	2410708	9999-12-31	2013-05-08
146	Statoil Petroleum AS	77.800000	21980	17237817	9999-12-31	2013-05-08
147	DONG E&P Norge AS	50.000000	21988	4070011	9999-12-31	2013-05-08
147	Bayerngas Norge AS	50.000000	21988	4444493	9999-12-31	2013-05-08
148	Talisman Energy Norge AS	10.000000	21996	2425093	9999-12-31	2013-05-08
148	Lundin Norway AS	90.000000	21996	2767314	9999-12-31	2013-05-08
150	Lundin Norway AS	35.000000	22012	2767314	9999-12-31	2013-05-08
150	Marathon Oil Norge AS	65.000000	22012	20485291	9999-12-31	2013-05-08
152	Petoro AS	30.000000	22028	1626839	9999-12-31	2013-05-08
152	Statoil Petroleum AS	70.000000	22028	17237817	9999-12-31	2013-05-08
153	A/S Norske Shell	12.000000	22036	562	9999-12-31	2013-05-08
153	RWE Dea Norge AS	8.000000	22036	97557	9999-12-31	2013-05-08
153	Petoro AS	30.000000	22036	1626839	9999-12-31	2013-05-08
153	GDF SUEZ E&P Norge AS	30.000000	22036	5267845	9999-12-31	2013-05-08
153	Statoil Petroleum AS	20.000000	22036	17237817	9999-12-31	2013-05-08
158	A/S Norske Shell	44.560000	22076	562	9999-12-31	2013-05-08
158	Petoro AS	47.880000	22076	1626839	9999-12-31	2013-05-08
158	Chevron Norge AS	7.560000	22076	3488906	9999-12-31	2013-05-08
159	Statoil Petroleum AS	60.000000	22084	17237817	9999-12-31	2013-05-08
159	E.ON E&P Norge AS	40.000000	22084	21631209	9999-12-31	2013-05-08
167	Lundin Norway AS	20.000000	22148	2767314	9999-12-31	2013-05-08
167	Statoil Petroleum AS	80.000000	22148	17237817	9999-12-31	2013-05-08
169	Petoro AS	30.000000	22164	1626839	9999-12-31	2013-05-08
169	ExxonMobil Exploration & Production Norway AS	13.000000	22164	2835212	9999-12-31	2013-05-08
169	Statoil Petroleum AS	57.000000	22164	17237817	9999-12-31	2013-05-08
176	A/S Norske Shell	44.560000	22220	562	9999-12-31	2013-05-08
176	Petoro AS	47.880000	22220	1626839	9999-12-31	2013-05-08
176	Chevron Norge AS	7.560000	22220	3488906	9999-12-31	2013-05-08
185	Talisman Energy Norge AS	34.908000	22292	2425093	9999-12-31	2013-05-08
185	Faroe Petroleum Norge AS	13.400000	22292	4062883	9999-12-31	2013-05-08
185	VNG Norge AS	3.200000	22292	17237193	9999-12-31	2013-05-08
185	Statoil Petroleum AS	32.600000	22292	17237817	9999-12-31	2013-05-08
185	Core Energy AS	13.200000	22292	20460080	9999-12-31	2013-05-08
185	Tullow Oil Norge AS	2.692000	22292	23173852	2013-02-21	2013-05-08
187	GDF SUEZ E&P Norge AS	25.000000	22308	5267845	9999-12-31	2013-05-08
187	Statoil Petroleum AS	75.000000	22308	17237817	9999-12-31	2013-05-08
190	Petoro AS	50.000000	22332	1626839	9999-12-31	2013-05-08
190	Total E&P Norge AS	10.000000	22332	2410708	9999-12-31	2013-05-08
190	Statoil Petroleum AS	40.000000	22332	17237817	9999-12-31	2013-05-08
193	Petoro AS	30.000000	22356	1626839	9999-12-31	2013-05-08
193	Enterprise Oil Norge AS	6.450000	22356	1853786	9999-12-31	2013-05-08
193	Total E&P Norge AS	5.000000	22356	2410708	9999-12-31	2013-05-08
193	Centrica Resources (Norge) AS	19.000000	22356	4238233	9999-12-31	2013-05-08
193	Statoil Petroleum AS	39.550000	22356	17237817	9999-12-31	2013-05-08
195	RWE Dea Norge AS	25.000000	22372	97557	9999-12-31	2013-05-08
195	Petoro AS	35.000000	22372	1626839	9999-12-31	2013-05-08
195	Statoil Petroleum AS	40.000000	22372	17237817	9999-12-31	2013-05-08
199	Petoro AS	27.000000	22404	1626839	9999-12-31	2013-05-08
199	Total E&P Norge AS	6.000000	22404	2410708	9999-12-31	2013-05-08
199	ExxonMobil Exploration & Production Norway AS	15.000000	22404	2835212	9999-12-31	2013-05-08
199	Statoil Petroleum AS	52.000000	22404	17237817	9999-12-31	2013-05-08
201	Eni Norge AS	66.670000	22420	2388594	9999-12-31	2013-05-08
201	Statoil Petroleum AS	33.330000	22420	17237817	9999-12-31	2013-05-08
203	ConocoPhillips Skandinavia AS	20.000000	22436	2410696	9999-12-31	2013-05-08
203	Lundin Norway AS	15.000000	22436	2767314	9999-12-31	2013-05-08
203	Marathon Oil Norge AS	65.000000	22436	20485291	9999-12-31	2013-05-08
208	A/S Norske Shell	25.000000	22476	562	9999-12-31	2013-05-08
208	Petoro AS	30.000000	22476	1626839	9999-12-31	2013-05-08
208	DONG E&P Norge AS	45.000000	22476	4070011	9999-12-31	2013-05-08
209	A/S Norske Shell	15.000000	22484	562	9999-12-31	2013-05-08
209	Petoro AS	35.000000	22484	1626839	9999-12-31	2013-05-08
209	ExxonMobil Exploration & Production Norway AS	10.000000	22484	2835212	9999-12-31	2013-05-08
209	Statoil Petroleum AS	40.000000	22484	17237817	9999-12-31	2013-05-08
211	Eni Norge AS	30.000000	22500	2388594	9999-12-31	2013-05-08
211	Total E&P Norge AS	40.000000	22500	2410708	9999-12-31	2013-05-08
211	Maersk Oil Norway AS	30.000000	22500	4719674	2013-04-09	2013-05-08
212	BP Norge AS	30.000000	22508	2052695	9999-12-31	2013-05-08
212	PGNiG Norway AS	15.000000	22508	4505831	9999-12-31	2013-05-08
212	Statoil Petroleum AS	30.000000	22508	17237817	9999-12-31	2013-05-08
212	E.ON E&P Norge AS	25.000000	22508	21631209	9999-12-31	2013-05-08
218	ConocoPhillips Skandinavia AS	10.000000	22556	2410696	9999-12-31	2013-05-08
218	OMV (Norge) AS	15.000000	22556	4460594	9999-12-31	2013-05-08
218	Statoil Petroleum AS	75.000000	22556	17237817	9999-12-31	2013-05-08
219	Enterprise Oil Norge AS	10.000000	22564	1853786	9999-12-31	2013-05-08
219	Eni Norge AS	50.000000	22564	2388594	9999-12-31	2013-05-08
219	Total E&P Norge AS	15.000000	22564	2410708	9999-12-31	2013-05-08
219	Statoil Petroleum AS	25.000000	22564	17237817	9999-12-31	2013-05-08
220	Eni Norge AS	15.000000	22572	2388594	9999-12-31	2013-05-08
220	Hess Norge AS	15.000000	22572	4038735	9999-12-31	2013-05-08
220	Statoil Petroleum AS	70.000000	22572	17237817	9999-12-31	2013-05-08
226	Eni Norge AS	31.000000	22620	2388594	9999-12-31	2013-05-08
226	Statoil Petroleum AS	69.000000	22620	17237817	9999-12-31	2013-05-08
229	Eni Norge AS	65.000000	22644	2388594	9999-12-31	2013-05-08
229	Statoil Petroleum AS	35.000000	22644	17237817	9999-12-31	2013-05-08
230	GDF SUEZ E&P Norge AS	15.000000	22652	5267845	9999-12-31	2013-05-08
230	Statoil Petroleum AS	85.000000	22652	17237817	9999-12-31	2013-05-08
025	GDF SUEZ E&P Norge AS	25.000000	34512	5267845	9999-12-31	2013-05-08
025	Statoil Petroleum AS	75.000000	34512	17237817	9999-12-31	2013-05-08
079	Petoro AS	33.600000	34635	1626839	9999-12-31	2013-05-08
079	ConocoPhillips Skandinavia AS	2.400000	34635	2410696	9999-12-31	2013-05-08
079	Total E&P Norge AS	14.700000	34635	2410708	9999-12-31	2013-05-08
079	Statoil Petroleum AS	49.300000	34635	17237817	9999-12-31	2013-05-08
103 B	Faroe Petroleum Norge AS	30.000000	40772	4062883	9999-12-31	2013-05-08
103 B	Det norske oljeselskap ASA	70.000000	40772	17342870	9999-12-31	2013-05-08
237	Petoro AS	35.610000	41327	1626839	9999-12-31	2013-05-08
237	Eni Norge AS	14.900000	41327	2388594	9999-12-31	2013-05-08
237	Total E&P Norge AS	7.680000	41327	2410708	9999-12-31	2013-05-08
237	ExxonMobil Exploration & Production Norway AS	7.240000	41327	2835212	9999-12-31	2013-05-08
237	Statoil Petroleum AS	34.570000	41327	17237817	9999-12-31	2013-05-08
128 B	Petoro AS	54.000000	41361	1626839	9999-12-31	2013-05-08
128 B	Eni Norge AS	6.900000	41361	2388594	9999-12-31	2013-05-08
128 B	Statoil Petroleum AS	39.100000	41361	17237817	9999-12-31	2013-05-08
019 C	Talisman Energy Norge AS	65.000000	47992	2425093	9999-12-31	2013-05-08
019 C	DONG E&P Norge AS	35.000000	47992	4070011	9999-12-31	2013-05-08
037 B	Petoro AS	30.000000	48081	1626839	9999-12-31	2013-05-08
037 B	Statoil Petroleum AS	70.000000	48081	17237817	9999-12-31	2013-05-08
053 B	Talisman Energy Norge AS	20.000000	48207	2425093	9999-12-31	2013-05-08
053 B	Faroe Petroleum Norge AS	25.400000	48207	4062883	9999-12-31	2013-05-08
053 B	VNG Norge AS	20.600000	48207	17237193	9999-12-31	2013-05-08
053 B	Statoil Petroleum AS	34.000000	48207	17237817	9999-12-31	2013-05-08
242	Bayerngas Norge AS	15.000000	102226	4444493	9999-12-31	2013-05-08
242	Statoil Petroleum AS	50.000000	102226	17237817	9999-12-31	2013-05-08
242	Det norske oljeselskap ASA	35.000000	102226	17342870	9999-12-31	2013-05-08
248	Petoro AS	40.000000	102285	1626839	9999-12-31	2013-05-08
248	Statoil Petroleum AS	60.000000	102285	17237817	9999-12-31	2013-05-08
249	Total E&P Norge AS	24.243000	102294	2410708	9999-12-31	2013-05-08
249	Centrica Resources (Norge) AS	75.757000	102294	4238233	9999-12-31	2013-05-08
050 C	Petoro AS	30.000000	102490	1626839	9999-12-31	2013-05-08
050 C	Statoil Petroleum AS	70.000000	102490	17237817	9999-12-31	2013-05-08
055 B	Talisman Energy Norge AS	35.100000	102499	2425093	9999-12-31	2013-05-08
055 B	Faroe Petroleum Norge AS	13.400000	102499	4062883	9999-12-31	2013-05-08
055 B	VNG Norge AS	3.200000	102499	17237193	9999-12-31	2013-05-08
055 B	Statoil Petroleum AS	32.600000	102499	17237817	9999-12-31	2013-05-08
055 B	Core Energy AS	13.200000	102499	20460080	9999-12-31	2013-05-08
055 B	Tullow Oil Norge AS	2.500000	102499	23173852	2013-02-20	2013-05-08
250	A/S Norske Shell	16.000000	115537	562	9999-12-31	2013-05-08
250	Petoro AS	45.000000	115537	1626839	9999-12-31	2013-05-08
250	ExxonMobil Exploration & Production Norway AS	5.910000	115537	2835212	9999-12-31	2013-05-08
250	DONG E&P Norge AS	9.440000	115537	4070011	9999-12-31	2013-05-08
250	Statoil Petroleum AS	23.650000	115537	17237817	9999-12-31	2013-05-08
037 C	Wintershall Norge AS	100.000000	853671	21666830	9999-12-31	2013-05-08
001 B	Bayerngas Norge AS	15.000000	917266	4444493	9999-12-31	2013-05-08
001 B	Statoil Petroleum AS	50.000000	917266	17237817	9999-12-31	2013-05-08
001 B	Det norske oljeselskap ASA	35.000000	917266	17342870	9999-12-31	2013-05-08
027 B	ExxonMobil Exploration & Production Norway AS	50.000000	917344	2835212	9999-12-31	2013-05-08
027 B	Dana Petroleum Norway AS	50.000000	917344	4526555	9999-12-31	2013-05-08
028 B	Bayerngas Norge AS	15.000000	917484	4444493	9999-12-31	2013-05-08
028 B	Statoil Petroleum AS	50.000000	917484	17237817	9999-12-31	2013-05-08
028 B	Det norske oljeselskap ASA	35.000000	917484	17342870	9999-12-31	2013-05-08
134 B	Eni Norge AS	30.000000	1025257	2388594	9999-12-31	2013-05-08
134 B	Total E&P Norge AS	6.000000	1025257	2410708	9999-12-31	2013-05-08
134 B	Statoil Petroleum AS	64.000000	1025257	17237817	9999-12-31	2013-05-08
169 B1	Petoro AS	37.500000	1030964	1626839	9999-12-31	2013-05-08
169 B1	ConocoPhillips Skandinavia AS	8.000000	1030964	2410696	9999-12-31	2013-05-08
169 B1	ExxonMobil Exploration & Production Norway AS	7.000000	1030964	2835212	9999-12-31	2013-05-08
169 B1	Statoil Petroleum AS	47.500000	1030964	17237817	9999-12-31	2013-05-08
169 B2	Petoro AS	30.000000	1031002	1626839	9999-12-31	2013-05-08
169 B2	ConocoPhillips Skandinavia AS	12.500000	1031002	2410696	9999-12-31	2013-05-08
169 B2	ExxonMobil Exploration & Production Norway AS	10.000000	1031002	2835212	9999-12-31	2013-05-08
169 B2	Statoil Petroleum AS	47.500000	1031002	17237817	9999-12-31	2013-05-08
255	A/S Norske Shell	30.000000	1032979	562	9999-12-31	2013-05-08
255	Petoro AS	30.000000	1032979	1626839	9999-12-31	2013-05-08
255	Total E&P Norge AS	20.000000	1032979	2410708	9999-12-31	2013-05-08
255	Statoil Petroleum AS	20.000000	1032979	17237817	9999-12-31	2013-05-08
257	Total E&P Norge AS	6.000000	1033013	2410708	9999-12-31	2013-05-08
257	ExxonMobil Exploration & Production Norway AS	15.000000	1033013	2835212	9999-12-31	2013-05-08
257	Statoil Petroleum AS	79.000000	1033013	17237817	9999-12-31	2013-05-08
261	RWE Dea Norge AS	30.000000	1033077	97557	9999-12-31	2013-05-08
261	BP Norge AS	50.000000	1033077	2052695	9999-12-31	2013-05-08
261	Statoil Petroleum AS	20.000000	1033077	17237817	9999-12-31	2013-05-08
262	BP Norge AS	30.000000	1033093	2052695	9999-12-31	2013-05-08
262	PGNiG Norway AS	15.000000	1033093	4505831	9999-12-31	2013-05-08
262	Statoil Petroleum AS	30.000000	1033093	17237817	9999-12-31	2013-05-08
262	E.ON E&P Norge AS	25.000000	1033093	21631209	9999-12-31	2013-05-08
263	Bayerngas Norge AS	30.000000	1033111	4444493	9999-12-31	2013-05-08
263	Statoil Petroleum AS	70.000000	1033111	17237817	9999-12-31	2013-05-08
006 B	BP Norge AS	35.833330	1333048	2052695	9999-12-31	2013-05-08
006 B	Hess Norge AS	64.166670	1333048	4038735	9999-12-31	2013-05-08
006 C	Lundin Norway AS	75.000000	1333089	2767314	9999-12-31	2013-05-08
006 C	Faroe Petroleum Norge AS	10.000000	1333089	4062883	9999-12-31	2013-05-08
006 C	Noreco Norway AS	15.000000	1333089	22223020	9999-12-31	2013-05-08
027 C	ExxonMobil Exploration & Production Norway AS	100.000000	1333301	2835212	2013-05-03	2013-05-08
028 C	Petoro AS	30.000000	1333344	1626839	9999-12-31	2013-05-08
028 C	ExxonMobil Exploration & Production Norway AS	13.000000	1333344	2835212	9999-12-31	2013-05-08
028 C	Statoil Petroleum AS	57.000000	1333344	17237817	9999-12-31	2013-05-08
171 B	Petoro AS	33.600000	1333384	1626839	9999-12-31	2013-05-08
171 B	ConocoPhillips Skandinavia AS	2.400000	1333384	2410696	9999-12-31	2013-05-08
171 B	Total E&P Norge AS	14.700000	1333384	2410708	9999-12-31	2013-05-08
171 B	Statoil Petroleum AS	49.300000	1333384	17237817	9999-12-31	2013-05-08
048 B	Total E&P Norge AS	21.800000	1342723	2410708	9999-12-31	2013-05-08
048 B	Faroe Petroleum Norge AS	9.300000	1342723	4062883	9999-12-31	2013-05-08
048 B	Statoil Petroleum AS	58.900000	1342723	17237817	9999-12-31	2013-05-08
048 B	Det norske oljeselskap ASA	10.000000	1342723	17342870	9999-12-31	2013-05-08
033 B	BP Norge AS	37.500000	1622353	2052695	9999-12-31	2013-05-08
033 B	Hess Norge AS	62.500000	1622353	4038735	9999-12-31	2013-05-08
265	Petoro AS	30.000000	1624237	1626839	9999-12-31	2013-05-08
265	Lundin Norway AS	10.000000	1624237	2767314	9999-12-31	2013-05-08
265	Statoil Petroleum AS	40.000000	1624237	17237817	9999-12-31	2013-05-08
265	Det norske oljeselskap ASA	20.000000	1624237	17342870	9999-12-31	2013-05-08
269	Statoil Petroleum AS	100.000000	1624410	17237817	9999-12-31	2013-05-08
270	VNG Norge AS	85.000000	1624436	17237193	9999-12-31	2013-05-08
270	Atlantic Petroleum Norge AS	15.000000	1624436	22513163	2013-01-18	2013-05-08
029 B	Total E&P Norge AS	30.000000	1626782	2410708	9999-12-31	2013-05-08
029 B	Statoil Petroleum AS	50.000000	1626782	17237817	9999-12-31	2013-05-08
029 B	Det norske oljeselskap ASA	20.000000	1626782	17342870	9999-12-31	2013-05-08
072 B	ExxonMobil Exploration & Production Norway AS	50.000000	1630345	2835212	9999-12-31	2013-05-08
072 B	Statoil Petroleum AS	50.000000	1630345	17237817	9999-12-31	2013-05-08
052 B	RWE Dea Norge AS	13.500000	1840712	97557	9999-12-31	2013-05-08
052 B	Petoro AS	37.000000	1840712	1626839	9999-12-31	2013-05-08
052 B	Total E&P Norge AS	18.000000	1840712	2410708	9999-12-31	2013-05-08
052 B	Talisman Energy Norge AS	9.000000	1840712	2425093	9999-12-31	2013-05-08
052 B	Statoil Petroleum AS	22.500000	1840712	17237817	9999-12-31	2013-05-08
085 C	A/S Norske Shell	8.101450	2051285	562	9999-12-31	2013-05-08
085 C	Petoro AS	56.000000	2051285	1626839	9999-12-31	2013-05-08
085 C	Norske ConocoPhillips AS	1.623740	2051285	2399056	9999-12-31	2013-05-08
085 C	Total E&P Norge AS	3.690960	2051285	2410708	9999-12-31	2013-05-08
085 C	Statoil Petroleum AS	30.583850	2051285	17237817	9999-12-31	2013-05-08
272	Svenska Petroleum Exploration AS	25.000000	2060232	738	9999-12-31	2013-05-08
272	Statoil Petroleum AS	50.000000	2060232	17237817	9999-12-31	2013-05-08
272	Det norske oljeselskap ASA	25.000000	2060232	17342870	9999-12-31	2013-05-08
274	DONG E&P Norge AS	55.000000	2060266	4070011	9999-12-31	2013-05-08
274	Bayerngas Norge AS	30.000000	2060266	4444493	9999-12-31	2013-05-08
274	Noreco Norway AS	15.000000	2060266	22223020	9999-12-31	2013-05-08
275	Petoro AS	5.000000	2060278	1626839	9999-12-31	2013-05-08
275	Eni Norge AS	12.388000	2060278	2388594	9999-12-31	2013-05-08
275	ConocoPhillips Skandinavia AS	35.112000	2060278	2410696	9999-12-31	2013-05-08
275	Total E&P Norge AS	39.896000	2060278	2410708	9999-12-31	2013-05-08
275	Statoil Petroleum AS	7.604000	2060278	17237817	9999-12-31	2013-05-08
277	Petoro AS	30.000000	2060336	1626839	9999-12-31	2013-05-08
277	Statoil Petroleum AS	70.000000	2060336	17237817	9999-12-31	2013-05-08
094 B	Petoro AS	35.610000	2092082	1626839	9999-12-31	2013-05-08
094 B	Eni Norge AS	14.900000	2092082	2388594	9999-12-31	2013-05-08
094 B	Total E&P Norge AS	7.680000	2092082	2410708	9999-12-31	2013-05-08
094 B	ExxonMobil Exploration & Production Norway AS	7.240000	2092082	2835212	9999-12-31	2013-05-08
094 B	Statoil Petroleum AS	34.570000	2092082	17237817	9999-12-31	2013-05-08
212 B	BP Norge AS	30.000000	2092275	2052695	9999-12-31	2013-05-08
212 B	PGNiG Norway AS	15.000000	2092275	4505831	9999-12-31	2013-05-08
212 B	Statoil Petroleum AS	30.000000	2092275	17237817	9999-12-31	2013-05-08
212 B	E.ON E&P Norge AS	25.000000	2092275	21631209	9999-12-31	2013-05-08
122 B	Eni Norge AS	20.000000	2134110	2388594	9999-12-31	2013-05-08
122 B	DONG E&P Norge AS	30.000000	2134110	4070011	9999-12-31	2013-05-08
122 B	Statoil Petroleum AS	50.000000	2134110	17237817	9999-12-31	2013-05-08
018 C	Petoro AS	5.000000	2246113	1626839	9999-12-31	2013-05-08
018 C	Maersk Oil Norway AS	88.346000	2246113	4719674	9999-12-31	2013-05-08
018 C	Statoil Petroleum AS	6.654000	2246113	17237817	9999-12-31	2013-05-08
289	DONG E&P Norge AS	50.000000	2407454	4070011	9999-12-31	2013-05-08
289	Bayerngas Norge AS	50.000000	2407454	4444493	9999-12-31	2013-05-08
292	BG Norge AS	60.000000	2407572	2747354	9999-12-31	2013-05-08
292	Lundin Norway AS	40.000000	2407572	2767314	9999-12-31	2013-05-08
293	Idemitsu Petroleum Norge AS	15.000000	2407711	441	9999-12-31	2013-05-08
293	Eni Norge AS	45.000000	2407711	2388594	9999-12-31	2013-05-08
293	Statoil Petroleum AS	40.000000	2407711	17237817	9999-12-31	2013-05-08
167 B	Lundin Norway AS	20.000000	2407874	2767314	9999-12-31	2013-05-08
167 B	Statoil Petroleum AS	80.000000	2407874	17237817	9999-12-31	2013-05-08
055 C	Petoro AS	33.600000	2424830	1626839	9999-12-31	2013-05-08
055 C	Norske ConocoPhillips AS	2.400000	2424830	2399056	9999-12-31	2013-05-08
055 C	Total E&P Norge AS	10.000000	2424830	2410708	9999-12-31	2013-05-08
055 C	ExxonMobil Exploration & Production Norway AS	4.700000	2424830	2835212	9999-12-31	2013-05-08
055 C	Statoil Petroleum AS	49.300000	2424830	17237817	9999-12-31	2013-05-08
143 BS	Talisman Energy Norge AS	100.000000	2424891	2425093	9999-12-31	2013-05-08
036 BS	Petoro AS	20.000000	2473189	1626839	9999-12-31	2013-05-08
036 BS	Total E&P Norge AS	16.759000	2473189	2410708	9999-12-31	2013-05-08
036 BS	Centrica Resources (Norge) AS	33.798000	2473189	4238233	9999-12-31	2013-05-08
036 BS	Statoil Petroleum AS	29.443000	2473189	17237817	9999-12-31	2013-05-08
036 C	ConocoPhillips Skandinavia AS	20.000000	2473241	2410696	9999-12-31	2013-05-08
036 C	Lundin Norway AS	15.000000	2473241	2767314	9999-12-31	2013-05-08
036 C	Marathon Oil Norge AS	65.000000	2473241	20485291	9999-12-31	2013-05-08
299	Talisman Energy Norge AS	31.500000	2490320	2425093	9999-12-31	2013-05-08
299	DONG E&P Norge AS	20.000000	2490320	4070011	9999-12-31	2013-05-08
299	North Energy ASA	20.000000	2490320	18082156	9999-12-31	2013-05-08
299	Capricorn Norge AS	28.500000	2490320	23297570	2013-05-01	2013-05-08
300	BP Norge AS	55.000000	2490354	2052695	9999-12-31	2013-05-08
300	DONG E&P Norge AS	45.000000	2490354	4070011	9999-12-31	2013-05-08
301	Lundin Norway AS	40.000000	2490380	2767314	9999-12-31	2013-05-08
301	Skeie Energy AS	60.000000	2490380	23286115	2013-04-10	2013-05-08
312	Eni Norge AS	17.000000	2491196	2388594	9999-12-31	2013-05-08
312	ExxonMobil Exploration & Production Norway AS	24.000000	2491196	2835212	9999-12-31	2013-05-08
312	Statoil Petroleum AS	59.000000	2491196	17237817	9999-12-31	2013-05-08
316	Norske AEDC A/S	10.000000	2786469	34	9999-12-31	2013-05-08
316	Talisman Energy Norge AS	60.000000	2786469	2425093	9999-12-31	2013-05-08
316	Lotos Exploration and Production Norge AS	20.000000	2786469	5064434	9999-12-31	2013-05-08
316	Wintershall Norge AS	10.000000	2786469	21666830	9999-12-31	2013-05-08
318	Idemitsu Petroleum Norge AS	20.000000	2786586	441	9999-12-31	2013-05-08
318	Petoro AS	20.000000	2786586	1626839	9999-12-31	2013-05-08
318	Statoil Petroleum AS	60.000000	2786586	17237817	9999-12-31	2013-05-08
327	A/S Norske Shell	10.000000	2786915	562	9999-12-31	2013-05-08
327	Petoro AS	20.000000	2786915	1626839	9999-12-31	2013-05-08
327	Statoil Petroleum AS	70.000000	2786915	17237817	9999-12-31	2013-05-08
330	RWE Dea Norge AS	40.000000	2787040	97557	9999-12-31	2013-05-08
330	Lundin Norway AS	30.000000	2787040	2767314	9999-12-31	2013-05-08
330	Marathon Oil Norge AS	30.000000	2787040	20485291	9999-12-31	2013-05-08
037 D	Wintershall Norge AS	100.000000	2787322	21666830	9999-12-31	2013-05-08
088 BS	ConocoPhillips Skandinavia AS	20.000000	2787418	2410696	9999-12-31	2013-05-08
088 BS	Lundin Norway AS	15.000000	2787418	2767314	9999-12-31	2013-05-08
088 BS	Marathon Oil Norge AS	65.000000	2787418	20485291	9999-12-31	2013-05-08
159 B	DONG E&P Norge AS	15.000000	2819945	4070011	9999-12-31	2013-05-08
159 B	Statoil Petroleum AS	85.000000	2819945	17237817	9999-12-31	2013-05-08
332	Norske AEDC A/S	10.000000	2986240	34	9999-12-31	2013-05-08
332	Talisman Energy Norge AS	40.000000	2986240	2425093	9999-12-31	2013-05-08
332	Bayerngas Norge AS	10.000000	2986240	4444493	9999-12-31	2013-05-08
332	Det norske oljeselskap ASA	40.000000	2986240	17342870	9999-12-31	2013-05-08
333	Total E&P Norge AS	22.200000	2986266	2410708	9999-12-31	2013-05-08
333	Statoil Petroleum AS	77.800000	2986266	17237817	9999-12-31	2013-05-08
338	Lundin Norway AS	50.000000	2986578	2767314	9999-12-31	2013-05-08
338	OMV (Norge) AS	20.000000	2986578	4460594	9999-12-31	2013-05-08
338	Wintershall Norge AS	30.000000	2986578	21666830	9999-12-31	2013-05-08
340	ConocoPhillips Skandinavia AS	20.000000	2986630	2410696	9999-12-31	2013-05-08
340	Lundin Norway AS	15.000000	2986630	2767314	9999-12-31	2013-05-08
340	Marathon Oil Norge AS	65.000000	2986630	20485291	9999-12-31	2013-05-08
348	Faroe Petroleum Norge AS	7.500000	2987047	4062883	9999-12-31	2013-05-08
348	GDF SUEZ E&P Norge AS	20.000000	2987047	5267845	9999-12-31	2013-05-08
348	VNG Norge AS	2.500000	2987047	17237193	9999-12-31	2013-05-08
348	Statoil Petroleum AS	35.000000	2987047	17237817	9999-12-31	2013-05-08
348	Core Energy AS	17.500000	2987047	20460080	9999-12-31	2013-05-08
348	E.ON E&P Norge AS	17.500000	2987047	21631209	9999-12-31	2013-05-08
073 B	Eni Norge AS	7.900000	2987414	2388594	9999-12-31	2013-05-08
073 B	Total E&P Norge AS	26.666400	2987414	2410708	9999-12-31	2013-05-08
073 B	ExxonMobil Exploration & Production Norway AS	6.600000	2987414	2835212	9999-12-31	2013-05-08
073 B	Statoil Petroleum AS	58.833600	2987414	17237817	9999-12-31	2013-05-08
122 C	Eni Norge AS	20.000000	2987454	2388594	9999-12-31	2013-05-08
122 C	DONG E&P Norge AS	30.000000	2987454	4070011	9999-12-31	2013-05-08
122 C	Statoil Petroleum AS	50.000000	2987454	17237817	9999-12-31	2013-05-08
037 E	Petoro AS	30.000000	3000656	1626839	9999-12-31	2013-05-08
037 E	Statoil Petroleum AS	70.000000	3000656	17237817	9999-12-31	2013-05-08
110 B	RWE Dea Norge AS	2.810000	3001885	97557	9999-12-31	2013-05-08
110 B	Petoro AS	30.000000	3001885	1626839	9999-12-31	2013-05-08
110 B	Total E&P Norge AS	18.400000	3001885	2410708	9999-12-31	2013-05-08
110 B	GDF SUEZ E&P Norge AS	12.000000	3001885	5267845	9999-12-31	2013-05-08
110 B	Statoil Petroleum AS	36.790000	3001885	17237817	9999-12-31	2013-05-08
090 B	Idemitsu Petroleum Norge AS	15.000000	3426781	441	9999-12-31	2013-05-08
090 B	GDF SUEZ E&P Norge AS	15.000000	3426781	5267845	9999-12-31	2013-05-08
090 B	Statoil Petroleum AS	45.000000	3426781	17237817	9999-12-31	2013-05-08
090 B	Wintershall Norge AS	25.000000	3426781	21666830	9999-12-31	2013-05-08
090 C	Idemitsu Petroleum Norge AS	15.000000	3426824	441	9999-12-31	2013-05-08
090 C	Bayerngas Norge AS	25.000000	3426824	4444493	9999-12-31	2013-05-08
090 C	GDF SUEZ E&P Norge AS	15.000000	3426824	5267845	9999-12-31	2013-05-08
090 C	Statoil Petroleum AS	45.000000	3426824	17237817	9999-12-31	2013-05-08
048 D	Faroe Petroleum Norge AS	9.300000	3489553	4062883	9999-12-31	2013-05-08
048 D	Statoil Petroleum AS	58.900000	3489553	17237817	9999-12-31	2013-05-08
048 D	Det norske oljeselskap ASA	10.000000	3489553	17342870	9999-12-31	2013-05-08
048 D	Noreco Norway AS	21.800000	3489553	22223020	9999-12-31	2013-05-08
359	Lundin Norway AS	40.000000	3810373	2767314	9999-12-31	2013-05-08
359	Premier Oil Norge AS	30.000000	3810373	3482067	9999-12-31	2013-05-08
359	Statoil Petroleum AS	30.000000	3810373	17237817	9999-12-31	2013-05-08
360	DONG E&P Norge AS	20.000000	3810387	4070011	9999-12-31	2013-05-08
360	Statoil Petroleum AS	50.000000	3810387	17237817	9999-12-31	2013-05-08
360	Wintershall Norge AS	15.000000	3810387	21666830	9999-12-31	2013-05-08
360	Noreco Norway AS	15.000000	3810387	22223020	9999-12-31	2013-05-08
362	Svenska Petroleum Exploration AS	25.000000	3810565	738	9999-12-31	2013-05-08
362	Centrica Resources (Norge) AS	50.000000	3810565	4238233	9999-12-31	2013-05-08
362	Dana Petroleum Norway AS	10.000000	3810565	4526555	9999-12-31	2013-05-08
362	Det norske oljeselskap ASA	15.000000	3810565	17342870	9999-12-31	2013-05-08
364	Premier Oil Norge AS	50.000000	3810636	3482067	9999-12-31	2013-05-08
364	Det norske oljeselskap ASA	50.000000	3810636	17342870	9999-12-31	2013-05-08
370	Concedo ASA	20.000000	3810959	4460794	9999-12-31	2013-05-08
370	North Energy ASA	10.000000	3810959	18082156	9999-12-31	2013-05-08
370	Wintershall Norge AS	40.000000	3810959	21666830	9999-12-31	2013-05-08
370	Capricorn Norge AS	30.000000	3810959	23297570	2013-05-01	2013-05-08
373 S	Idemitsu Petroleum Norge AS	25.000000	3811116	441	2013-05-07	2013-05-08
373 S	RWE Dea Norge AS	10.000000	3811116	97557	2013-05-07	2013-05-08
373 S	BG Norge AS	45.000000	3811116	2747354	2013-05-07	2013-05-08
373 S	Wintershall Norge AS	20.000000	3811116	21666830	2013-05-07	2013-05-08
374 S	Petoro AS	20.000000	3811171	1626839	9999-12-31	2013-05-08
374 S	BG Norge AS	45.000000	3811171	2747354	9999-12-31	2013-05-08
374 S	Premier Oil Norge AS	15.000000	3811171	3482067	9999-12-31	2013-05-08
374 S	Wintershall Norge AS	20.000000	3811171	21666830	9999-12-31	2013-05-08
375	Talisman Energy Norge AS	20.000000	3811214	2425093	9999-12-31	2013-05-08
375	Suncor Energy Norge AS	65.000000	3811214	20426420	9999-12-31	2013-05-08
375	Wintershall Norge AS	15.000000	3811214	21666830	9999-12-31	2013-05-08
378	Talisman Energy Norge AS	35.000000	3811312	2425093	9999-12-31	2013-05-08
378	Premier Oil Norge AS	20.000000	3811312	3482067	9999-12-31	2013-05-08
378	Wintershall Norge AS	45.000000	3811312	21666830	9999-12-31	2013-05-08
382	BG Norge AS	80.000000	3811444	2747354	9999-12-31	2013-05-08
382	Norwegian Energy Company ASA	20.000000	3811444	4530695	9999-12-31	2013-05-08
385	DONG E&P Norge AS	20.000000	3811602	4070011	9999-12-31	2013-05-08
385	Statoil Petroleum AS	45.000000	3811602	17237817	9999-12-31	2013-05-08
385	North Energy ASA	15.000000	3811602	18082156	9999-12-31	2013-05-08
385	Noreco Norway AS	20.000000	3811602	22223020	9999-12-31	2013-05-08
386	Statoil Petroleum AS	100.000000	3811659	17237817	9999-12-31	2013-05-08
043 BS	Petoro AS	30.000000	3811810	1626839	9999-12-31	2013-05-08
043 BS	Total E&P Norge AS	51.000000	3811810	2410708	9999-12-31	2013-05-08
043 BS	Statoil Petroleum AS	19.000000	3811810	17237817	9999-12-31	2013-05-08
122 D	Eni Norge AS	20.000000	3811939	2388594	9999-12-31	2013-05-08
122 D	DONG E&P Norge AS	30.000000	3811939	4070011	9999-12-31	2013-05-08
122 D	Statoil Petroleum AS	50.000000	3811939	17237817	9999-12-31	2013-05-08
134 C	Eni Norge AS	30.000000	3812006	2388594	9999-12-31	2013-05-08
134 C	Total E&P Norge AS	6.000000	3812006	2410708	9999-12-31	2013-05-08
134 C	Statoil Petroleum AS	64.000000	3812006	17237817	9999-12-31	2013-05-08
195 B	RWE Dea Norge AS	25.000000	3812021	97557	9999-12-31	2013-05-08
195 B	Petoro AS	35.000000	3812021	1626839	9999-12-31	2013-05-08
195 B	Statoil Petroleum AS	40.000000	3812021	17237817	9999-12-31	2013-05-08
248 B	Petoro AS	40.000000	3812058	1626839	9999-12-31	2013-05-08
248 B	Statoil Petroleum AS	60.000000	3812058	17237817	9999-12-31	2013-05-08
263 B	Bayerngas Norge AS	30.000000	3812093	4444493	9999-12-31	2013-05-08
263 B	Statoil Petroleum AS	70.000000	3812093	17237817	9999-12-31	2013-05-08
393	Petoro AS	20.000000	3965277	1626839	9999-12-31	2013-05-08
393	Eni Norge AS	30.000000	3965277	2388594	9999-12-31	2013-05-08
393	BG Norge AS	20.000000	3965277	2747354	9999-12-31	2013-05-08
393	Statoil Petroleum AS	30.000000	3965277	17237817	9999-12-31	2013-05-08
395	Petoro AS	20.000000	3965360	1626839	9999-12-31	2013-05-08
395	BG Norge AS	30.000000	3965360	2747354	9999-12-31	2013-05-08
395	Statoil Petroleum AS	50.000000	3965360	17237817	9999-12-31	2013-05-08
110 C	RWE Dea Norge AS	2.810000	3986340	97557	9999-12-31	2013-05-08
110 C	Petoro AS	30.000000	3986340	1626839	9999-12-31	2013-05-08
110 C	Total E&P Norge AS	18.400000	3986340	2410708	9999-12-31	2013-05-08
110 C	GDF SUEZ E&P Norge AS	12.000000	3986340	5267845	9999-12-31	2013-05-08
110 C	Statoil Petroleum AS	36.790000	3986340	17237817	9999-12-31	2013-05-08
038 C	Petoro AS	30.000000	4005057	1626839	9999-12-31	2013-05-08
038 C	Talisman Energy Norge AS	70.000000	4005057	2425093	9999-12-31	2013-05-08
046 B	Total E&P Norge AS	10.000000	4227611	2410708	9999-12-31	2013-05-08
046 B	ExxonMobil Exploration & Production Norway AS	28.000000	4227611	2835212	9999-12-31	2013-05-08
046 B	Statoil Petroleum AS	62.000000	4227611	17237817	9999-12-31	2013-05-08
046 BS	ExxonMobil Exploration & Production Norway AS	30.400000	4227659	2835212	9999-12-31	2013-05-08
046 BS	Bayerngas Norge AS	10.000000	4227659	4444493	9999-12-31	2013-05-08
046 BS	Statoil Petroleum AS	59.600000	4227659	17237817	9999-12-31	2013-05-08
440 S	Lundin Norway AS	18.000000	4237161	2767314	9999-12-31	2013-05-08
440 S	Faroe Petroleum Norge AS	40.000000	4237161	4062883	9999-12-31	2013-05-08
440 S	Dana Petroleum Norway AS	20.000000	4237161	4526555	9999-12-31	2013-05-08
440 S	Det norske oljeselskap ASA	10.000000	4237161	17342870	9999-12-31	2013-05-08
440 S	Noreco Norway AS	12.000000	4237161	22223020	9999-12-31	2013-05-08
405	Faroe Petroleum Norge AS	15.000000	4237284	4062883	9999-12-31	2013-05-08
405	Centrica Resources (Norge) AS	40.000000	4237284	4238233	9999-12-31	2013-05-08
405	Suncor Energy Norge AS	30.000000	4237284	20426420	9999-12-31	2013-05-08
405	Tullow Oil Norge AS	15.000000	4237284	23173852	2013-02-21	2013-05-08
407	BG Norge AS	40.000000	4237300	2747354	9999-12-31	2013-05-08
407	Premier Oil Norge AS	40.000000	4237300	3482067	9999-12-31	2013-05-08
407	Tullow Oil (Bream) Norge AS	20.000000	4237300	23173840	2013-02-20	2013-05-08
406	Premier Oil Norge AS	80.000000	4237318	3482067	9999-12-31	2013-05-08
406	Tullow Oil (Bream) Norge AS	20.000000	4237318	23173840	2013-02-20	2013-05-08
316 B	Norske AEDC A/S	10.000000	4237334	34	9999-12-31	2013-05-08
316 B	Talisman Energy Norge AS	60.000000	4237334	2425093	9999-12-31	2013-05-08
316 B	Lotos Exploration and Production Norge AS	20.000000	4237334	5064434	9999-12-31	2013-05-08
316 B	Wintershall Norge AS	10.000000	4237334	21666830	9999-12-31	2013-05-08
410	Lundin Norway AS	70.000000	4237458	2767314	9999-12-31	2013-05-08
410	Statoil Petroleum AS	30.000000	4237458	17237817	9999-12-31	2013-05-08
409	Lundin Norway AS	70.000000	4237470	2767314	9999-12-31	2013-05-08
409	Bayerngas Norge AS	20.000000	4237470	4444493	9999-12-31	2013-05-08
409	Statoil Petroleum AS	10.000000	4237470	17237817	9999-12-31	2013-05-08
442	Svenska Petroleum Exploration AS	40.000000	4237510	738	9999-12-31	2013-05-08
442	Centrica Resources (Norge) AS	40.000000	4237510	4238233	9999-12-31	2013-05-08
442	Det norske oljeselskap ASA	20.000000	4237510	17342870	9999-12-31	2013-05-08
414	Faroe Petroleum Norge AS	20.000000	4237582	4062883	9999-12-31	2013-05-08
414	Bayerngas Norge AS	20.000000	4237582	4444493	9999-12-31	2013-05-08
414	Det norske oljeselskap ASA	40.000000	4237582	17342870	9999-12-31	2013-05-08
414	Noreco Norway AS	20.000000	4237582	22223020	9999-12-31	2013-05-08
050 D	Petoro AS	30.000000	4237912	1626839	9999-12-31	2013-05-08
050 D	Statoil Petroleum AS	70.000000	4237912	17237817	9999-12-31	2013-05-08
318 B	Idemitsu Petroleum Norge AS	20.000000	4238138	441	9999-12-31	2013-05-08
318 B	Petoro AS	20.000000	4238138	1626839	9999-12-31	2013-05-08
318 B	Statoil Petroleum AS	60.000000	4238138	17237817	9999-12-31	2013-05-08
418	RWE Dea Norge AS	10.000000	4238348	97557	9999-12-31	2013-05-08
418	Bayerngas Norge AS	20.000000	4238348	4444493	9999-12-31	2013-05-08
418	Edison International Norway Branch	15.000000	4238348	17237180	9999-12-31	2013-05-08
418	Wintershall Norge AS	35.000000	4238348	21666830	9999-12-31	2013-05-08
418	Capricorn Norge AS	20.000000	4238348	23297570	2013-05-01	2013-05-08
420	Idemitsu Petroleum Norge AS	30.000000	4238409	441	9999-12-31	2013-05-08
420	RWE Dea Norge AS	30.000000	4238409	97557	9999-12-31	2013-05-08
420	Statoil Petroleum AS	40.000000	4238409	17237817	9999-12-31	2013-05-08
211 B	Eni Norge AS	30.000000	4238638	2388594	9999-12-31	2013-05-08
211 B	Total E&P Norge AS	40.000000	4238638	2410708	9999-12-31	2013-05-08
211 B	Maersk Oil Norway AS	30.000000	4238638	4719674	2013-04-17	2013-05-08
433	Faroe Petroleum Norge AS	15.000000	4238654	4062883	9999-12-31	2013-05-08
433	Centrica Resources (Norge) AS	40.000000	4238654	4238233	9999-12-31	2013-05-08
433	Suncor Energy Norge AS	30.000000	4238654	20426420	9999-12-31	2013-05-08
433	E.ON E&P Norge AS	15.000000	4238654	21631209	9999-12-31	2013-05-08
435	RWE Dea Norge AS	40.000000	4238696	97557	9999-12-31	2013-05-08
435	OMV (Norge) AS	20.000000	4238696	4460594	9999-12-31	2013-05-08
435	Maersk Oil Norway AS	20.000000	4238696	4719674	9999-12-31	2013-05-08
435	Edison International Norway Branch	20.000000	4238696	17237180	9999-12-31	2013-05-08
448	RWE Dea Norge AS	2.810000	4238790	97557	9999-12-31	2013-05-08
448	Petoro AS	30.000000	4238790	1626839	9999-12-31	2013-05-08
448	Total E&P Norge AS	18.400000	4238790	2410708	9999-12-31	2013-05-08
448	GDF SUEZ E&P Norge AS	12.000000	4238790	5267845	9999-12-31	2013-05-08
448	Statoil Petroleum AS	36.790000	4238790	17237817	9999-12-31	2013-05-08
438	RWE Dea Norge AS	20.000000	4238812	97557	9999-12-31	2013-05-08
438	Petoro AS	20.000000	4238812	1626839	9999-12-31	2013-05-08
438	Talisman Energy Norge AS	7.500000	4238812	2425093	9999-12-31	2013-05-08
438	Lundin Norway AS	25.000000	4238812	2767314	9999-12-31	2013-05-08
438	Det norske oljeselskap ASA	10.000000	4238812	17342870	9999-12-31	2013-05-08
438	Tullow Oil Norge AS	17.500000	4238812	23173852	2013-02-20	2013-05-08
050 DS	Petoro AS	30.000000	4380141	1626839	9999-12-31	2013-05-08
050 DS	Statoil Petroleum AS	70.000000	4380141	17237817	9999-12-31	2013-05-08
120 B	Petoro AS	16.935480	4380181	1626839	9999-12-31	2013-05-08
120 B	ConocoPhillips Skandinavia AS	13.000000	4380181	2410696	9999-12-31	2013-05-08
120 B	Total E&P Norge AS	11.000000	4380181	2410708	9999-12-31	2013-05-08
120 B	Statoil Petroleum AS	59.064520	4380181	17237817	9999-12-31	2013-05-08
229 B	Eni Norge AS	65.000000	4461754	2388594	9999-12-31	2013-05-08
229 B	Statoil Petroleum AS	35.000000	4461754	17237817	9999-12-31	2013-05-08
327 B	A/S Norske Shell	10.000000	4720054	562	9999-12-31	2013-05-08
327 B	Petoro AS	20.000000	4720054	1626839	9999-12-31	2013-05-08
327 B	Statoil Petroleum AS	70.000000	4720054	17237817	9999-12-31	2013-05-08
274 CS	DONG E&P Norge AS	55.000000	4909658	4070011	9999-12-31	2013-05-08
274 CS	Bayerngas Norge AS	30.000000	4909658	4444493	9999-12-31	2013-05-08
274 CS	Noreco Norway AS	15.000000	4909658	22223020	9999-12-31	2013-05-08
450	Dana Petroleum Norway AS	25.000000	4909784	4526555	9999-12-31	2013-05-08
450	Det norske oljeselskap ASA	60.000000	4909784	17342870	9999-12-31	2013-05-08
450	North Energy ASA	15.000000	4909784	18082156	9999-12-31	2013-05-08
455	Lotos Exploration and Production Norge AS	45.000000	4909816	5064434	9999-12-31	2013-05-08
455	Fortis Petroleum Norway AS	55.000000	4909816	18386334	9999-12-31	2013-05-08
453 S	Lundin Norway AS	35.000000	4909893	2767314	9999-12-31	2013-05-08
453 S	VNG Norge AS	15.000000	4909893	17237193	9999-12-31	2013-05-08
453 S	Det norske oljeselskap ASA	25.000000	4909893	17342870	9999-12-31	2013-05-08
453 S	Noreco Norway AS	25.000000	4909893	22223020	9999-12-31	2013-05-08
457	VNG Norge AS	20.000000	4910110	17237193	9999-12-31	2013-05-08
457	Bridge Energy Norge AS	20.000000	4910110	18178215	9999-12-31	2013-05-08
457	E.ON E&P Norge AS	20.000000	4910110	21631209	9999-12-31	2013-05-08
457	Wintershall Norge AS	40.000000	4910110	21666830	9999-12-31	2013-05-08
153 B	A/S Norske Shell	12.000000	4918242	562	9999-12-31	2013-05-08
153 B	RWE Dea Norge AS	8.000000	4918242	97557	9999-12-31	2013-05-08
153 B	Petoro AS	30.000000	4918242	1626839	9999-12-31	2013-05-08
153 B	GDF SUEZ E&P Norge AS	30.000000	4918242	5267845	9999-12-31	2013-05-08
153 B	Statoil Petroleum AS	20.000000	4918242	17237817	9999-12-31	2013-05-08
475	Faroe Petroleum Norge AS	30.000000	4918410	4062883	9999-12-31	2013-05-08
475	Centrica Resources (Norge) AS	20.000000	4918410	4238233	9999-12-31	2013-05-08
475	Wintershall Norge AS	50.000000	4918410	21666830	9999-12-31	2013-05-08
405 B	Faroe Petroleum Norge AS	15.000000	4918473	4062883	9999-12-31	2013-05-08
405 B	Centrica Resources (Norge) AS	40.000000	4918473	4238233	9999-12-31	2013-05-08
405 B	Suncor Energy Norge AS	30.000000	4918473	20426420	9999-12-31	2013-05-08
405 B	Tullow Oil Norge AS	15.000000	4918473	23173852	2013-02-20	2013-05-08
074 B	Petoro AS	19.950000	4918544	1626839	9999-12-31	2013-05-08
074 B	Eni Norge AS	29.400000	4918544	2388594	9999-12-31	2013-05-08
074 B	ExxonMobil Exploration & Production Norway AS	9.800000	4918544	2835212	9999-12-31	2013-05-08
074 B	Statoil Petroleum AS	40.850000	4918544	17237817	9999-12-31	2013-05-08
473	Petoro AS	19.950000	4920841	1626839	9999-12-31	2013-05-08
473	Eni Norge AS	29.400000	4920841	2388594	9999-12-31	2013-05-08
473	ExxonMobil Exploration & Production Norway AS	9.800000	4920841	2835212	9999-12-31	2013-05-08
473	Statoil Petroleum AS	40.850000	4920841	17237817	9999-12-31	2013-05-08
479	Petoro AS	14.950000	4920979	1626839	9999-12-31	2013-05-08
479	Eni Norge AS	19.600000	4920979	2388594	9999-12-31	2013-05-08
479	Total E&P Norge AS	9.800000	4920979	2410708	9999-12-31	2013-05-08
479	ExxonMobil Exploration & Production Norway AS	14.700000	4920979	2835212	9999-12-31	2013-05-08
479	Statoil Petroleum AS	40.950000	4920979	17237817	9999-12-31	2013-05-08
477	Faroe Petroleum Norge AS	30.000000	4921022	4062883	9999-12-31	2013-05-08
477	Centrica Resources (Norge) AS	40.000000	4921022	4238233	9999-12-31	2013-05-08
477	Suncor Energy Norge AS	30.000000	4921022	20426420	9999-12-31	2013-05-08
490	Lundin Norway AS	50.000000	4921353	2767314	9999-12-31	2013-05-08
490	Noreco Norway AS	20.000000	4921353	22223020	9999-12-31	2013-05-08
490	Tullow Oil Norge AS	30.000000	4921353	23173852	2013-02-20	2013-05-08
489	Petoro AS	20.000000	4921522	1626839	9999-12-31	2013-05-08
489	Eni Norge AS	40.000000	4921522	2388594	9999-12-31	2013-05-08
489	Statoil Petroleum AS	40.000000	4921522	17237817	9999-12-31	2013-05-08
484	Dana Petroleum Norway AS	30.000000	4921632	4526555	9999-12-31	2013-05-08
484	E.ON E&P Norge AS	30.000000	4921632	21631209	9999-12-31	2013-05-08
484	Noreco Norway AS	40.000000	4921632	22223020	9999-12-31	2013-05-08
492	Lundin Norway AS	40.000000	4925088	2767314	9999-12-31	2013-05-08
492	Det norske oljeselskap ASA	40.000000	4925088	17342870	2013-02-02	2013-05-08
492	Noreco Norway AS	20.000000	4925088	22223020	2013-02-02	2013-05-08
159 C	Statoil Petroleum AS	60.000000	4939362	17237817	9999-12-31	2013-05-08
159 C	E.ON E&P Norge AS	40.000000	4939362	21631209	9999-12-31	2013-05-08
159 D	Statoil Petroleum AS	60.000000	4939421	17237817	9999-12-31	2013-05-08
159 D	E.ON E&P Norge AS	40.000000	4939421	21631209	9999-12-31	2013-05-08
027 D	Dana Petroleum Norway AS	30.000000	4943160	4526555	9999-12-31	2013-05-08
027 D	Det norske oljeselskap ASA	60.000000	4943160	17342870	9999-12-31	2013-05-08
027 D	Bridge Energy Norge AS	10.000000	4943160	18178215	9999-12-31	2013-05-08
263 C	Petoro AS	19.950000	4966437	1626839	9999-12-31	2013-05-08
263 C	Eni Norge AS	9.800000	4966437	2388594	9999-12-31	2013-05-08
263 C	Total E&P Norge AS	24.500000	4966437	2410708	9999-12-31	2013-05-08
263 C	Statoil Petroleum AS	45.750000	4966437	17237817	9999-12-31	2013-05-08
212 E	BP Norge AS	30.000000	4966902	2052695	9999-12-31	2013-05-08
212 E	PGNiG Norway AS	15.000000	4966902	4505831	9999-12-31	2013-05-08
212 E	Statoil Petroleum AS	30.000000	4966902	17237817	9999-12-31	2013-05-08
212 E	E.ON E&P Norge AS	25.000000	4966902	21631209	9999-12-31	2013-05-08
036 D	Total E&P Norge AS	24.243000	5081703	2410708	9999-12-31	2013-05-08
036 D	Statoil Petroleum AS	28.853000	5081703	17237817	9999-12-31	2013-05-08
036 D	Marathon Oil Norge AS	46.904000	5081703	20485291	9999-12-31	2013-05-08
035 B	Svenska Petroleum Exploration AS	25.000000	5105684	738	9999-12-31	2013-05-08
035 B	Centrica Resources (Norge) AS	50.000000	5105684	4238233	9999-12-31	2013-05-08
035 B	Dana Petroleum Norway AS	10.000000	5105684	4526555	9999-12-31	2013-05-08
035 B	Det norske oljeselskap ASA	15.000000	5105684	17342870	9999-12-31	2013-05-08
494	Dana Petroleum Norway AS	40.000000	5105899	4526555	9999-12-31	2013-05-08
494	Det norske oljeselskap ASA	30.000000	5105899	17342870	9999-12-31	2013-05-08
494	Bridge Energy Norge AS	30.000000	5105899	18178215	9999-12-31	2013-05-08
495	Lundin Norway AS	60.000000	5105968	2767314	9999-12-31	2013-05-08
495	Tullow Oil Norge AS	40.000000	5105968	23173852	2013-02-20	2013-05-08
497	Dana Petroleum Norway AS	25.000000	5106073	4526555	9999-12-31	2013-05-08
497	Lotos Exploration and Production Norge AS	10.000000	5106073	5064434	9999-12-31	2013-05-08
497	Det norske oljeselskap ASA	35.000000	5106073	17342870	9999-12-31	2013-05-08
497	Bridge Energy Norge AS	15.000000	5106073	18178215	9999-12-31	2013-05-08
497	Capricorn Norge AS	15.000000	5106073	23297570	2013-05-01	2013-05-08
498	Skagen44 AS	25.000000	5106134	4510260	9999-12-31	2013-05-08
498	Lotos Exploration and Production Norge AS	25.000000	5106134	5064434	9999-12-31	2013-05-08
498	Edison International Norway Branch	25.000000	5106134	17237180	9999-12-31	2013-05-08
498	North Energy ASA	25.000000	5106134	18082156	2013-02-07	2013-05-08
499 S	ConocoPhillips Skandinavia AS	50.000000	5106238	2410696	9999-12-31	2013-05-08
499 S	Statoil Petroleum AS	50.000000	5106238	17237817	9999-12-31	2013-05-08
500	Statoil Petroleum AS	60.000000	5106274	17237817	9999-12-31	2013-05-08
500	Fortis Petroleum Norway AS	40.000000	5106274	18386334	9999-12-31	2013-05-08
501	Lundin Norway AS	40.000000	5106314	2767314	9999-12-31	2013-05-08
501	Maersk Oil Norway AS	20.000000	5106314	4719674	9999-12-31	2013-05-08
501	Statoil Petroleum AS	40.000000	5106314	17237817	9999-12-31	2013-05-08
502	Petoro AS	33.333330	5106378	1626839	9999-12-31	2013-05-08
502	Statoil Petroleum AS	44.444440	5106378	17237817	9999-12-31	2013-05-08
502	Det norske oljeselskap ASA	22.222220	5106378	17342870	9999-12-31	2013-05-08
503	Skagen44 AS	25.000000	5106405	4510260	9999-12-31	2013-05-08
503	Lotos Exploration and Production Norge AS	25.000000	5106405	5064434	9999-12-31	2013-05-08
503	Edison International Norway Branch	25.000000	5106405	17237180	9999-12-31	2013-05-08
503	North Energy ASA	25.000000	5106405	18082156	2013-02-07	2013-05-08
504	Petoro AS	32.230000	5106455	1626839	9999-12-31	2013-05-08
504	Dana Petroleum Norway AS	30.000000	5106455	4526555	9999-12-31	2013-05-08
504	Det norske oljeselskap ASA	29.270000	5106455	17342870	9999-12-31	2013-05-08
504	Bridge Energy Norge AS	8.500000	5106455	18178215	9999-12-31	2013-05-08
505	Lundin Norway AS	30.000000	5106486	2767314	9999-12-31	2013-05-08
505	Maersk Oil Norway AS	15.000000	5106486	4719674	9999-12-31	2013-05-08
505	VNG Norge AS	20.000000	5106486	17237193	9999-12-31	2013-05-08
505	Marathon Oil Norge AS	35.000000	5106486	20485291	9999-12-31	2013-05-08
506 S	Petoro AS	20.000000	5106544	1626839	9999-12-31	2013-05-08
506 S	Valiant Petroleum Norge AS	25.000000	5106544	21104529	9999-12-31	2013-05-08
506 S	Petrolia Norway AS	30.000000	5106544	21593704	9999-12-31	2013-05-08
506 S	Rocksource Exploration Norway AS	25.000000	5106544	22528729	9999-12-31	2013-05-08
507	Faroe Petroleum Norge AS	30.000000	5106689	4062883	9999-12-31	2013-05-08
507	Centrica Resources (Norge) AS	20.000000	5106689	4238233	9999-12-31	2013-05-08
507	Wintershall Norge AS	30.000000	5106689	21666830	9999-12-31	2013-05-08
507	Tullow Oil Norge AS	20.000000	5106689	23173852	2013-02-20	2013-05-08
509 S	Fortis Petroleum Norway AS	30.000000	5106880	18386334	9999-12-31	2013-05-08
509 S	Wintershall Norge AS	40.000000	5106880	21666830	9999-12-31	2013-05-08
509 S	Tullow Oil Norge AS	30.000000	5106880	23173852	2013-02-20	2013-05-08
510	Maersk Oil Norway AS	50.000000	5106991	4719674	9999-12-31	2013-05-08
510	Edison International Norway Branch	30.000000	5106991	17237180	9999-12-31	2013-05-08
510	North Energy ASA	20.000000	5106991	18082156	2013-02-15	2013-05-08
516	Petoro AS	24.550000	5107101	1626839	9999-12-31	2013-05-08
516	Eni Norge AS	11.500000	5107101	2388594	9999-12-31	2013-05-08
516	Statoil Petroleum AS	63.950000	5107101	17237817	9999-12-31	2013-05-08
513	Dana Petroleum Norway AS	50.000000	5107217	4526555	9999-12-31	2013-05-08
513	Maersk Oil Norway AS	50.000000	5107217	4719674	9999-12-31	2013-05-08
512	Svenska Petroleum Exploration AS	25.000000	5107312	738	9999-12-31	2013-05-08
512	Bayerngas Norge AS	20.000000	5107312	4444493	9999-12-31	2013-05-08
512	Repsol Exploration Norge AS	25.000000	5107312	17237506	9999-12-31	2013-05-08
512	Det norske oljeselskap ASA	30.000000	5107312	17342870	9999-12-31	2013-05-08
107 B	Petoro AS	7.500000	5107376	1626839	9999-12-31	2013-05-08
107 B	GDF SUEZ E&P Norge AS	40.000000	5107376	5267845	9999-12-31	2013-05-08
107 B	VNG Norge AS	2.500000	5107376	17237193	9999-12-31	2013-05-08
107 B	Statoil Petroleum AS	20.000000	5107376	17237817	9999-12-31	2013-05-08
107 B	E.ON E&P Norge AS	30.000000	5107376	21631209	9999-12-31	2013-05-08
511	Petoro AS	20.000000	5107428	1626839	9999-12-31	2013-05-08
511	Maersk Oil Norway AS	25.000000	5107428	4719674	9999-12-31	2013-05-08
511	VNG Norge AS	12.500000	5107428	17237193	9999-12-31	2013-05-08
511	Bridge Energy Norge AS	7.500000	5107428	18178215	9999-12-31	2013-05-08
511	Wintershall Norge AS	25.000000	5107428	21666830	9999-12-31	2013-05-08
511	Tullow Oil Norge AS	10.000000	5107428	23173852	2013-02-20	2013-05-08
292 B	BG Norge AS	60.000000	5107501	2747354	9999-12-31	2013-05-08
292 B	Lundin Norway AS	40.000000	5107501	2767314	9999-12-31	2013-05-08
193 B	Petoro AS	30.000000	5107611	1626839	9999-12-31	2013-05-08
193 B	Enterprise Oil Norge AS	6.450000	5107611	1853786	9999-12-31	2013-05-08
193 B	Centrica Resources (Norge) AS	13.000000	5107611	4238233	9999-12-31	2013-05-08
193 B	Statoil Petroleum AS	50.550000	5107611	17237817	9999-12-31	2013-05-08
475 BS	Petoro AS	30.000000	5107669	1626839	9999-12-31	2013-05-08
475 BS	Centrica Resources (Norge) AS	20.000000	5107669	4238233	9999-12-31	2013-05-08
475 BS	Wintershall Norge AS	50.000000	5107669	21666830	9999-12-31	2013-05-08
107 C	Faroe Petroleum Norge AS	7.500000	5115394	4062883	9999-12-31	2013-05-08
107 C	GDF SUEZ E&P Norge AS	40.000000	5115394	5267845	9999-12-31	2013-05-08
107 C	VNG Norge AS	2.500000	5115394	17237193	9999-12-31	2013-05-08
107 C	Statoil Petroleum AS	20.000000	5115394	17237817	9999-12-31	2013-05-08
107 C	E.ON E&P Norge AS	30.000000	5115394	21631209	9999-12-31	2013-05-08
519	Lundin Norway AS	40.000000	5463084	2767314	9999-12-31	2013-05-08
519	Bayerngas Norge AS	20.000000	5463084	4444493	9999-12-31	2013-05-08
519	Noreco Norway AS	20.000000	5463084	22223020	9999-12-31	2013-05-08
519	Tullow Oil Norge AS	20.000000	5463084	23173852	2013-02-20	2013-05-08
318 C	Idemitsu Petroleum Norge AS	20.000000	5463114	441	9999-12-31	2013-05-08
318 C	Petoro AS	60.000000	5463114	1626839	9999-12-31	2013-05-08
318 C	Statoil Petroleum AS	20.000000	5463114	17237817	9999-12-31	2013-05-08
520	ExxonMobil Exploration & Production Norway AS	50.000000	5463136	2835212	9999-12-31	2013-05-08
520	Noreco Norway AS	50.000000	5463136	22223020	9999-12-31	2013-05-08
521	Svenska Petroleum Exploration AS	25.000000	5463210	738	9999-12-31	2013-05-08
521	PGNiG Norway AS	35.000000	5463210	4505831	9999-12-31	2013-05-08
521	Statoil Petroleum AS	40.000000	5463210	17237817	9999-12-31	2013-05-08
522	Idemitsu Petroleum Norge AS	20.000000	5463248	441	9999-12-31	2013-05-08
522	Petoro AS	20.000000	5463248	1626839	9999-12-31	2013-05-08
522	BG Norge AS	40.000000	5463248	2747354	9999-12-31	2013-05-08
522	Centrica Resources (Norge) AS	10.000000	5463248	4238233	9999-12-31	2013-05-08
522	Det norske oljeselskap ASA	10.000000	5463248	17342870	9999-12-31	2013-05-08
525	Noreco Norway AS	100.000000	5463362	22223020	9999-12-31	2013-05-08
526	North Energy ASA	66.670000	5463391	18082156	9999-12-31	2013-05-08
526	E.ON E&P Norge AS	33.330000	5463391	21631209	9999-12-31	2013-05-08
527	A/S Norske Shell	20.000000	5463429	562	9999-12-31	2013-05-08
527	Petoro AS	20.000000	5463429	1626839	9999-12-31	2013-05-08
527	Chevron Norge AS	40.000000	5463429	3488906	9999-12-31	2013-05-08
527	Statoil Petroleum AS	20.000000	5463429	17237817	9999-12-31	2013-05-08
528	Centrica Resources (Norge) AS	30.000000	5463521	4238233	2013-05-07	2013-05-08
528	Statoil Petroleum AS	20.000000	5463521	17237817	9999-12-31	2013-05-08
528	Valiant Petroleum Norge AS	25.000000	5463521	21104529	9999-12-31	2013-05-08
528	Rocksource Exploration Norway AS	25.000000	5463521	22528729	9999-12-31	2013-05-08
529	Eni Norge AS	30.000000	5463559	2388594	9999-12-31	2013-05-08
529	DONG E&P Norge AS	20.000000	5463559	4070011	9999-12-31	2013-05-08
529	OMV (Norge) AS	20.000000	5463559	4460594	9999-12-31	2013-05-08
529	Repsol Exploration Norge AS	10.000000	5463559	17237506	9999-12-31	2013-05-08
529	Wintershall Norge AS	20.000000	5463559	21666830	9999-12-31	2013-05-08
531	RWE Dea Norge AS	15.000000	5463621	97557	9999-12-31	2013-05-08
531	Talisman Energy Norge AS	12.500000	5463621	2425093	9999-12-31	2013-05-08
531	Faroe Petroleum Norge AS	12.500000	5463621	4062883	9999-12-31	2013-05-08
531	Concedo ASA	20.000000	5463621	4460794	9999-12-31	2013-05-08
531	Repsol Exploration Norge AS	20.000000	5463621	17237506	9999-12-31	2013-05-08
531	Det norske oljeselskap ASA	10.000000	5463621	17342870	9999-12-31	2013-05-08
531	Marathon Oil Norge AS	10.000000	5463621	20485291	9999-12-31	2013-05-08
532	Petoro AS	20.000000	5463659	1626839	9999-12-31	2013-05-08
532	Eni Norge AS	30.000000	5463659	2388594	9999-12-31	2013-05-08
532	Statoil Petroleum AS	50.000000	5463659	17237817	9999-12-31	2013-05-08
533	RWE Dea Norge AS	20.000000	5463724	97557	9999-12-31	2013-05-08
533	Eni Norge AS	40.000000	5463724	2388594	9999-12-31	2013-05-08
533	Lundin Norway AS	20.000000	5463724	2767314	9999-12-31	2013-05-08
533	Det norske oljeselskap ASA	20.000000	5463724	17342870	9999-12-31	2013-05-08
534	BG Norge AS	40.000000	5463753	2747354	9999-12-31	2013-05-08
534	Faroe Petroleum Norge AS	20.000000	5463753	4062883	9999-12-31	2013-05-08
534	Statoil Petroleum AS	20.000000	5463753	17237817	9999-12-31	2013-05-08
534	Wintershall Norge AS	20.000000	5463753	21666830	9999-12-31	2013-05-08
535	Total E&P Norge AS	40.000000	5463791	2410708	9999-12-31	2013-05-08
535	Det norske oljeselskap ASA	20.000000	5463791	17342870	9999-12-31	2013-05-08
535	North Energy ASA	20.000000	5463791	18082156	9999-12-31	2013-05-08
535	Valiant Petroleum Norge AS	13.000000	5463791	21104529	9999-12-31	2013-05-08
535	Rocksource Exploration Norway AS	7.000000	5463791	22528729	9999-12-31	2013-05-08
537	Idemitsu Petroleum Norge AS	20.000000	5463849	441	9999-12-31	2013-05-08
537	Petoro AS	20.000000	5463849	1626839	9999-12-31	2013-05-08
537	OMV (Norge) AS	25.000000	5463849	4460594	9999-12-31	2013-05-08
537	Statoil Petroleum AS	15.000000	5463849	17237817	9999-12-31	2013-05-08
537	Tullow Oil Norge AS	20.000000	5463849	23173852	2013-02-20	2013-05-08
102 C	Petoro AS	30.000000	5467035	1626839	9999-12-31	2013-05-08
102 C	Total E&P Norge AS	40.000000	5467035	2410708	9999-12-31	2013-05-08
102 C	Centrica Resources (Norge) AS	20.000000	5467035	4238233	9999-12-31	2013-05-08
102 C	Det norske oljeselskap ASA	10.000000	5467035	17342870	9999-12-31	2013-05-08
169 C	Petoro AS	50.000000	5479914	1626839	9999-12-31	2013-05-08
169 C	Det norske oljeselskap ASA	50.000000	5479914	17342870	9999-12-31	2013-05-08
019 D	Norske AEDC A/S	5.000000	5488531	34	9999-12-31	2013-05-08
019 D	Talisman Energy Norge AS	61.000000	5488531	2425093	9999-12-31	2013-05-08
019 D	DONG E&P Norge AS	34.000000	5488531	4070011	9999-12-31	2013-05-08
038 D	Petoro AS	30.000000	5500999	1626839	9999-12-31	2013-05-08
038 D	Talisman Energy Norge AS	40.000000	5500999	2425093	9999-12-31	2013-05-08
038 D	Det norske oljeselskap ASA	30.000000	5500999	17342870	9999-12-31	2013-05-08
539	RWE Dea Norge AS	20.000000	17320077	97557	9999-12-31	2013-05-08
539	Premier Oil Norge AS	40.000000	17320077	3482067	9999-12-31	2013-05-08
539	Dana Petroleum Norway AS	20.000000	17320077	4526555	9999-12-31	2013-05-08
539	Suncor Energy Norge AS	20.000000	17320077	20426420	9999-12-31	2013-05-08
541	Skagen44 AS	15.000000	17320130	4510260	9999-12-31	2013-05-08
541	Edison International Norway Branch	35.000000	17320130	17237180	9999-12-31	2013-05-08
541	Repsol Exploration Norge AS	50.000000	17320130	17237506	9999-12-31	2013-05-08
542	Det norske oljeselskap ASA	60.000000	17320156	17342870	9999-12-31	2013-05-08
542	Tullow Oil Norge AS	40.000000	17320156	23173852	2013-02-20	2013-05-08
497 B	Dana Petroleum Norway AS	25.000000	17320202	4526555	9999-12-31	2013-05-08
497 B	Lotos Exploration and Production Norge AS	10.000000	17320202	5064434	9999-12-31	2013-05-08
497 B	Det norske oljeselskap ASA	35.000000	17320202	17342870	9999-12-31	2013-05-08
497 B	Bridge Energy Norge AS	15.000000	17320202	18178215	9999-12-31	2013-05-08
497 B	Capricorn Norge AS	15.000000	17320202	23297570	2013-05-01	2013-05-08
544	Lundin Norway AS	40.000000	17320260	2767314	9999-12-31	2013-05-08
544	Bayerngas Norge AS	30.000000	17320260	4444493	9999-12-31	2013-05-08
544	Explora Petroleum AS	30.000000	17320260	22223266	9999-12-31	2013-05-08
546	Lundin Norway AS	60.000000	17320338	2767314	9999-12-31	2013-05-08
546	Bayerngas Norge AS	40.000000	17320338	4444493	9999-12-31	2013-05-08
169 D	Petoro AS	30.000000	17320383	1626839	9999-12-31	2013-05-08
169 D	ExxonMobil Exploration & Production Norway AS	13.000000	17320383	2835212	9999-12-31	2013-05-08
169 D	Statoil Petroleum AS	57.000000	17320383	17237817	9999-12-31	2013-05-08
340 BS	ConocoPhillips Skandinavia AS	20.000000	17320421	2410696	9999-12-31	2013-05-08
340 BS	Lundin Norway AS	15.000000	17320421	2767314	9999-12-31	2013-05-08
340 BS	Marathon Oil Norge AS	65.000000	17320421	20485291	9999-12-31	2013-05-08
504 BS	Petoro AS	3.000000	17320469	1626839	9999-12-31	2013-05-08
504 BS	Dana Petroleum Norway AS	30.000000	17320469	4526555	9999-12-31	2013-05-08
504 BS	Det norske oljeselskap ASA	58.500000	17320469	17342870	9999-12-31	2013-05-08
504 BS	Bridge Energy Norge AS	8.500000	17320469	18178215	9999-12-31	2013-05-08
505 BS	Lundin Norway AS	30.000000	17320530	2767314	9999-12-31	2013-05-08
505 BS	Maersk Oil Norway AS	15.000000	17320530	4719674	9999-12-31	2013-05-08
505 BS	VNG Norge AS	20.000000	17320530	17237193	9999-12-31	2013-05-08
505 BS	Marathon Oil Norge AS	35.000000	17320530	20485291	9999-12-31	2013-05-08
549 S	Svenska Petroleum Exploration AS	25.000000	17320558	738	9999-12-31	2013-05-08
549 S	Bayerngas Norge AS	20.000000	17320558	4444493	9999-12-31	2013-05-08
549 S	Dana Petroleum Norway AS	20.000000	17320558	4526555	9999-12-31	2013-05-08
549 S	Det norske oljeselskap ASA	35.000000	17320558	17342870	9999-12-31	2013-05-08
550	Det norske oljeselskap ASA	20.000000	17320594	17342870	9999-12-31	2013-05-08
550	Tullow Oil Norge AS	80.000000	17320594	23173852	2013-02-20	2013-05-08
551	Det norske oljeselskap ASA	20.000000	17642019	17342870	9999-12-31	2013-05-08
551	Tullow Oil Norge AS	80.000000	17642019	23173852	2013-02-20	2013-05-08
090 E	Idemitsu Petroleum Norge AS	15.000000	17642079	441	9999-12-31	2013-05-08
090 E	ExxonMobil Exploration & Production Norway AS	25.000000	17642079	2835212	9999-12-31	2013-05-08
090 E	GDF SUEZ E&P Norge AS	15.000000	17642079	5267845	9999-12-31	2013-05-08
090 E	Statoil Petroleum AS	45.000000	17642079	17237817	9999-12-31	2013-05-08
552	Idemitsu Petroleum Norge AS	12.468000	17642108	441	9999-12-31	2013-05-08
552	RWE Dea Norge AS	3.636000	17642108	97557	9999-12-31	2013-05-08
552	Petoro AS	30.000000	17642108	1626839	9999-12-31	2013-05-08
552	Statoil Petroleum AS	53.896000	17642108	17237817	9999-12-31	2013-05-08
553	Svenska Petroleum Exploration AS	35.000000	17646365	738	9999-12-31	2013-05-08
553	Bayerngas Norge AS	25.000000	17646365	4444493	9999-12-31	2013-05-08
553	Det norske oljeselskap ASA	40.000000	17646365	17342870	9999-12-31	2013-05-08
554	Svenska Petroleum Exploration AS	20.000000	17654471	738	9999-12-31	2013-05-08
554	Total E&P Norge AS	40.000000	17654471	2410708	9999-12-31	2013-05-08
554	Det norske oljeselskap ASA	20.000000	17654471	17342870	9999-12-31	2013-05-08
554	Bridge Energy Norge AS	20.000000	17654471	18178215	9999-12-31	2013-05-08
555	Lundin Norway AS	60.000000	17654533	2767314	9999-12-31	2013-05-08
555	Bayerngas Norge AS	40.000000	17654533	4444493	9999-12-31	2013-05-08
093 B	A/S Norske Shell	44.560000	17654585	562	9999-12-31	2013-05-08
093 B	Petoro AS	47.880000	17654585	1626839	9999-12-31	2013-05-08
093 B	Chevron Norge AS	7.560000	17654585	3488906	9999-12-31	2013-05-08
312 B	Eni Norge AS	17.000000	17654614	2388594	9999-12-31	2013-05-08
312 B	ExxonMobil Exploration & Production Norway AS	24.000000	17654614	2835212	9999-12-31	2013-05-08
312 B	Statoil Petroleum AS	59.000000	17654614	17237817	9999-12-31	2013-05-08
557	OMV (Norge) AS	50.000000	17654641	4460594	9999-12-31	2013-05-08
557	Skagen44 AS	10.000000	17654641	4510260	9999-12-31	2013-05-08
557	Repsol Exploration Norge AS	40.000000	17654641	17237506	9999-12-31	2013-05-08
477 B	Faroe Petroleum Norge AS	30.000000	17654703	4062883	9999-12-31	2013-05-08
477 B	Centrica Resources (Norge) AS	40.000000	17654703	4238233	9999-12-31	2013-05-08
477 B	Suncor Energy Norge AS	30.000000	17654703	20426420	9999-12-31	2013-05-08
558	Petoro AS	20.000000	17654732	1626839	9999-12-31	2013-05-08
558	PGNiG Norway AS	30.000000	17654732	4505831	9999-12-31	2013-05-08
558	Det norske oljeselskap ASA	20.000000	17654732	17342870	9999-12-31	2013-05-08
558	E.ON E&P Norge AS	30.000000	17654732	21631209	9999-12-31	2013-05-08
559	Skagen44 AS	10.000000	17654775	4510260	9999-12-31	2013-05-08
559	VNG Norge AS	20.000000	17654775	17237193	9999-12-31	2013-05-08
559	Atlantic Petroleum Norge AS	10.000000	17654775	22513163	2013-01-18	2013-05-08
559	Rocksource Exploration Norway AS	60.000000	17654775	22528729	9999-12-31	2013-05-08
562	Petoro AS	20.000000	17654921	1626839	9999-12-31	2013-05-08
562	Dana Petroleum Norway AS	20.000000	17654921	4526555	9999-12-31	2013-05-08
562	North Energy ASA	10.000000	17654921	18082156	9999-12-31	2013-05-08
562	E.ON E&P Norge AS	30.000000	17654921	21631209	9999-12-31	2013-05-08
562	Noreco Norway AS	20.000000	17654921	22223020	9999-12-31	2013-05-08
563	Talisman Energy Norge AS	10.000000	17655034	2425093	9999-12-31	2013-05-08
563	Lundin Norway AS	40.000000	17655034	2767314	9999-12-31	2013-05-08
563	Det norske oljeselskap ASA	30.000000	17655034	17342870	9999-12-31	2013-05-08
563	Noreco Norway AS	20.000000	17655034	22223020	9999-12-31	2013-05-08
564	OMV (Norge) AS	50.000000	17655076	4460594	9999-12-31	2013-05-08
564	North Energy ASA	20.000000	17655076	18082156	9999-12-31	2013-05-08
564	Wintershall Norge AS	30.000000	17655076	21666830	9999-12-31	2013-05-08
028 S	ExxonMobil Exploration & Production Norway AS	100.000000	18054740	2835212	9999-12-31	2013-05-08
043 CS	Total E&P Norge AS	100.000000	18116800	2410708	9999-12-31	2013-05-08
043 DS	Total E&P Norge AS	100.000000	18116829	2410708	9999-12-31	2013-05-08
393 B	Petoro AS	20.000000	18404594	1626839	9999-12-31	2013-05-08
393 B	OMV (Norge) AS	30.000000	18404594	4460594	9999-12-31	2013-05-08
393 B	Statoil Petroleum AS	50.000000	18404594	17237817	9999-12-31	2013-05-08
048 E	Total E&P Norge AS	21.800000	18450020	2410708	9999-12-31	2013-05-08
048 E	Statoil Petroleum AS	78.200000	18450020	17237817	9999-12-31	2013-05-08
565	Premier Oil Norge AS	60.000000	20088435	3482067	9999-12-31	2013-05-08
565	Dana Petroleum Norway AS	40.000000	20088435	4526555	9999-12-31	2013-05-08
566 S	RWE Dea Norge AS	30.000000	20088461	97557	9999-12-31	2013-05-08
566 S	Petoro AS	20.000000	20088461	1626839	9999-12-31	2013-05-08
566 S	Premier Oil Norge AS	50.000000	20088461	3482067	9999-12-31	2013-05-08
494 B	Dana Petroleum Norway AS	40.000000	20088555	4526555	9999-12-31	2013-05-08
494 B	Det norske oljeselskap ASA	30.000000	20088555	17342870	9999-12-31	2013-05-08
494 B	Bridge Energy Norge AS	30.000000	20088555	18178215	9999-12-31	2013-05-08
567	Premier Oil Norge AS	60.000000	20088593	3482067	9999-12-31	2013-05-08
567	Det norske oljeselskap ASA	40.000000	20088593	17342870	9999-12-31	2013-05-08
301 D	Lundin Norway AS	40.000000	20088622	2767314	9999-12-31	2013-05-08
301 D	Skeie Energy AS (Old)	60.000000	20088622	4511646	2013-03-19	2013-05-08
568	Petoro AS	20.000000	20088760	1626839	9999-12-31	2013-05-08
568	Talisman Energy Norge AS	40.000000	20088760	2425093	9999-12-31	2013-05-08
568	Skagen44 AS	10.000000	20088760	4510260	9999-12-31	2013-05-08
568	Edison International Norway Branch	10.000000	20088760	17237180	9999-12-31	2013-05-08
568	Det norske oljeselskap ASA	20.000000	20088760	17342870	9999-12-31	2013-05-08
360 B	DONG E&P Norge AS	20.000000	20107847	4070011	9999-12-31	2013-05-08
360 B	Statoil Petroleum AS	50.000000	20107847	17237817	9999-12-31	2013-05-08
360 B	Wintershall Norge AS	15.000000	20107847	21666830	9999-12-31	2013-05-08
360 B	Noreco Norway AS	15.000000	20107847	22223020	9999-12-31	2013-05-08
569	Total E&P Norge AS	10.000000	20107876	2410708	9999-12-31	2013-05-08
569	ExxonMobil Exploration & Production Norway AS	30.400000	20107876	2835212	9999-12-31	2013-05-08
569	Statoil Petroleum AS	59.600000	20107876	17237817	9999-12-31	2013-05-08
503 B	Skagen44 AS	25.000000	20107903	4510260	9999-12-31	2013-05-08
503 B	Lotos Exploration and Production Norge AS	25.000000	20107903	5064434	9999-12-31	2013-05-08
503 B	Edison International Norway Branch	25.000000	20107903	17237180	9999-12-31	2013-05-08
503 B	North Energy ASA	25.000000	20107903	18082156	2013-02-07	2013-05-08
501 B	Lundin Norway AS	40.000000	20107950	2767314	2013-05-03	2013-05-08
501 B	Maersk Oil Norway AS	20.000000	20107950	4719674	2013-05-03	2013-05-08
501 B	Statoil Petroleum AS	40.000000	20107950	17237817	2013-05-03	2013-05-08
570	Lundin Norway AS	30.000000	20107979	2767314	9999-12-31	2013-05-08
570	Maersk Oil Norway AS	10.000000	20107979	4719674	9999-12-31	2013-05-08
570	VNG Norge AS	40.000000	20107979	17237193	9999-12-31	2013-05-08
570	Marathon Oil Norge AS	20.000000	20107979	20485291	9999-12-31	2013-05-08
571	Det norske oljeselskap ASA	40.000000	20108024	17342870	9999-12-31	2013-05-08
571	Suncor Energy Norge AS	60.000000	20108024	20426420	9999-12-31	2013-05-08
150 B	Lundin Norway AS	35.000000	20108072	2767314	9999-12-31	2013-05-08
150 B	Marathon Oil Norge AS	65.000000	20108072	20485291	9999-12-31	2013-05-08
506 BS	Petoro AS	20.000000	20108101	1626839	9999-12-31	2013-05-08
506 BS	Valiant Petroleum Norge AS	25.000000	20108101	21104529	9999-12-31	2013-05-08
506 BS	Petrolia Norway AS	30.000000	20108101	21593704	9999-12-31	2013-05-08
506 BS	Rocksource Exploration Norway AS	25.000000	20108101	22528729	9999-12-31	2013-05-08
506 CS	Petoro AS	20.000000	20108128	1626839	9999-12-31	2013-05-08
506 CS	Valiant Petroleum Norge AS	25.000000	20108128	21104529	9999-12-31	2013-05-08
506 CS	Petrolia Norway AS	30.000000	20108128	21593704	9999-12-31	2013-05-08
506 CS	Rocksource Exploration Norway AS	25.000000	20108128	22528729	9999-12-31	2013-05-08
573 S	Svenska Petroleum Exploration AS	25.000000	20108194	738	9999-12-31	2013-05-08
573 S	Bayerngas Norge AS	20.000000	20108194	4444493	9999-12-31	2013-05-08
573 S	Dana Petroleum Norway AS	20.000000	20108194	4526555	9999-12-31	2013-05-08
573 S	Det norske oljeselskap ASA	35.000000	20108194	17342870	9999-12-31	2013-05-08
574	Total E&P Norge AS	40.000000	20108260	2410708	9999-12-31	2013-05-08
574	Statoil Petroleum AS	60.000000	20108260	17237817	9999-12-31	2013-05-08
309 B	Petoro AS	33.600000	20108378	1626839	9999-12-31	2013-05-08
309 B	ConocoPhillips Skandinavia AS	2.582820	20108378	2410696	9999-12-31	2013-05-08
309 B	Statoil Petroleum AS	63.817180	20108378	17237817	9999-12-31	2013-05-08
193 C	Petoro AS	30.000000	20108409	1626839	9999-12-31	2013-05-08
193 C	Enterprise Oil Norge AS	6.450000	20108409	1853786	9999-12-31	2013-05-08
193 C	Total E&P Norge AS	5.000000	20108409	2410708	9999-12-31	2013-05-08
193 C	Centrica Resources (Norge) AS	19.000000	20108409	4238233	9999-12-31	2013-05-08
193 C	Statoil Petroleum AS	39.550000	20108409	17237817	9999-12-31	2013-05-08
577	Talisman Energy Norge AS	30.000000	20108473	2425093	9999-12-31	2013-05-08
577	Wintershall Norge AS	40.000000	20108473	21666830	9999-12-31	2013-05-08
577	Tullow Oil Norge AS	30.000000	20108473	23173852	2013-02-20	2013-05-08
554 B	Svenska Petroleum Exploration AS	20.000000	20108509	738	9999-12-31	2013-05-08
554 B	Total E&P Norge AS	40.000000	20108509	2410708	9999-12-31	2013-05-08
554 B	Det norske oljeselskap ASA	20.000000	20108509	17342870	9999-12-31	2013-05-08
554 B	Bridge Energy Norge AS	20.000000	20108509	18178215	9999-12-31	2013-05-08
578	Idemitsu Petroleum Norge AS	40.000000	20108565	441	9999-12-31	2013-05-08
578	GDF SUEZ E&P Norge AS	30.000000	20108565	5267845	9999-12-31	2013-05-08
578	VNG Norge AS	30.000000	20108565	17237193	9999-12-31	2013-05-08
375 B	Talisman Energy Norge AS	20.000000	20108600	2425093	9999-12-31	2013-05-08
375 B	Suncor Energy Norge AS	65.000000	20108600	20426420	9999-12-31	2013-05-08
375 B	Wintershall Norge AS	15.000000	20108600	21666830	9999-12-31	2013-05-08
370 B	Concedo ASA	20.000000	20108642	4460794	9999-12-31	2013-05-08
370 B	North Energy ASA	10.000000	20108642	18082156	9999-12-31	2013-05-08
370 B	Wintershall Norge AS	40.000000	20108642	21666830	9999-12-31	2013-05-08
370 B	Capricorn Norge AS	30.000000	20108642	23297570	2013-05-01	2013-05-08
579	Lundin Norway AS	50.000000	20108664	2767314	9999-12-31	2013-05-08
579	Bayerngas Norge AS	50.000000	20108664	4444493	9999-12-31	2013-05-08
580	Idemitsu Petroleum Norge AS	40.000000	20108700	441	9999-12-31	2013-05-08
580	Statoil Petroleum AS	60.000000	20108700	17237817	9999-12-31	2013-05-08
581	Dana Petroleum Norway AS	70.000000	20108743	4526555	9999-12-31	2013-05-08
581	Valiant Petroleum Norge AS	22.500000	20108743	21104529	9999-12-31	2013-05-08
581	Rocksource Exploration Norway AS	7.500000	20108743	22528729	9999-12-31	2013-05-08
582	RWE Dea Norge AS	40.000000	20108820	97557	9999-12-31	2013-05-08
582	GDF SUEZ E&P Norge AS	30.000000	20108820	5267845	9999-12-31	2013-05-08
582	Marathon Oil Norge AS	30.000000	20108820	20485291	9999-12-31	2013-05-08
583	Svenska Petroleum Exploration AS	25.000000	20109004	738	9999-12-31	2013-05-08
583	Lundin Norway AS	20.000000	20109004	2767314	9999-12-31	2013-05-08
583	Bayerngas Norge AS	25.000000	20109004	4444493	9999-12-31	2013-05-08
583	Tullow Oil Norge AS	30.000000	20109004	23173852	2013-02-20	2013-05-08
584	Lundin Norway AS	60.000000	20109082	2767314	9999-12-31	2013-05-08
584	Bayerngas Norge AS	40.000000	20109082	4444493	9999-12-31	2013-05-08
585	Total E&P Norge AS	100.000000	20109152	2410708	9999-12-31	2013-05-08
586	VNG Norge AS	60.000000	20109200	17237193	9999-12-31	2013-05-08
586	Statoil Petroleum AS	40.000000	20109200	17237817	9999-12-31	2013-05-08
587	Edison International Norway Branch	60.000000	20109234	17237180	9999-12-31	2013-05-08
587	North Energy ASA	40.000000	20109234	18082156	9999-12-31	2013-05-08
348 B	Faroe Petroleum Norge AS	7.500000	20109261	4062883	9999-12-31	2013-05-08
348 B	GDF SUEZ E&P Norge AS	20.000000	20109261	5267845	9999-12-31	2013-05-08
348 B	VNG Norge AS	2.500000	20109261	17237193	9999-12-31	2013-05-08
348 B	Statoil Petroleum AS	35.000000	20109261	17237817	9999-12-31	2013-05-08
348 B	Core Energy AS	17.500000	20109261	20460080	9999-12-31	2013-05-08
348 B	E.ON E&P Norge AS	17.500000	20109261	21631209	9999-12-31	2013-05-08
589	RWE Dea Norge AS	30.000000	20109325	97557	9999-12-31	2013-05-08
589	Repsol Exploration Norge AS	30.000000	20109325	17237506	9999-12-31	2013-05-08
589	Wintershall Norge AS	40.000000	20109325	21666830	9999-12-31	2013-05-08
475 CS	Petoro AS	30.000000	20109375	1626839	9999-12-31	2013-05-08
475 CS	Centrica Resources (Norge) AS	20.000000	20109375	4238233	9999-12-31	2013-05-08
475 CS	Wintershall Norge AS	50.000000	20109375	21666830	9999-12-31	2013-05-08
590	Faroe Petroleum Norge AS	30.000000	20109438	4062883	9999-12-31	2013-05-08
590	North Energy ASA	40.000000	20109438	18082156	9999-12-31	2013-05-08
590	Wintershall Norge AS	30.000000	20109438	21666830	9999-12-31	2013-05-08
591	Noreco Norway AS	40.000000	20109475	22223020	9999-12-31	2013-05-08
591	Tullow Oil Norge AS	60.000000	20109475	23173852	2013-02-20	2013-05-08
592	Faroe Petroleum Norge AS	50.000000	20109566	4062883	9999-12-31	2013-05-08
592	Centrica Resources (Norge) AS	50.000000	20109566	4238233	9999-12-31	2013-05-08
595	Edison International Norway Branch	60.000000	20109655	17237180	9999-12-31	2013-05-08
595	North Energy ASA	40.000000	20109655	18082156	9999-12-31	2013-05-08
596	RWE Dea Norge AS	15.000000	20428440	97557	9999-12-31	2013-05-08
596	ExxonMobil Exploration & Production Norway AS	35.000000	20428440	2835212	9999-12-31	2013-05-08
596	Bayerngas Norge AS	15.000000	20428440	4444493	9999-12-31	2013-05-08
596	E.ON E&P Norge AS	20.000000	20428440	21631209	9999-12-31	2013-05-08
596	Tullow Oil Norge AS	15.000000	20428440	23173852	2013-02-20	2013-05-08
597	Dana Petroleum Norway AS	30.000000	20428525	4526555	9999-12-31	2013-05-08
597	Maersk Oil Norway AS	30.000000	20428525	4719674	9999-12-31	2013-05-08
597	VNG Norge AS	40.000000	20428525	17237193	9999-12-31	2013-05-08
599	Idemitsu Petroleum Norge AS	20.000000	20428552	441	9999-12-31	2013-05-08
599	BG Norge AS	40.000000	20428552	2747354	9999-12-31	2013-05-08
599	PGNiG Norway AS	20.000000	20428552	4505831	9999-12-31	2013-05-08
599	Noreco Norway AS	20.000000	20428552	22223020	9999-12-31	2013-05-08
600	PGNiG Norway AS	30.000000	20428617	4505831	9999-12-31	2013-05-08
600	Dana Petroleum Norway AS	70.000000	20428617	4526555	9999-12-31	2013-05-08
598	Idemitsu Petroleum Norge AS	10.000000	20428655	441	9999-12-31	2013-05-08
598	Petoro AS	20.000000	20428655	1626839	9999-12-31	2013-05-08
598	ExxonMobil Exploration & Production Norway AS	30.000000	20428655	2835212	9999-12-31	2013-05-08
598	Chevron Norge AS	40.000000	20428655	3488906	9999-12-31	2013-05-08
601	Edison International Norway Branch	20.000000	20428711	17237180	9999-12-31	2013-05-08
601	North Energy ASA	20.000000	20428711	18082156	9999-12-31	2013-05-08
601	Valiant Petroleum Norge AS	10.000000	20428711	21104529	9999-12-31	2013-05-08
601	Wintershall Norge AS	40.000000	20428711	21666830	9999-12-31	2013-05-08
601	Rocksource Exploration Norway AS	10.000000	20428711	22528729	9999-12-31	2013-05-08
602	Petoro AS	20.000000	20428749	1626839	9999-12-31	2013-05-08
602	Centrica Resources (Norge) AS	20.000000	20428749	4238233	9999-12-31	2013-05-08
602	Statoil Petroleum AS	40.000000	20428749	17237817	9999-12-31	2013-05-08
602	Valiant Petroleum Norge AS	10.000000	20428749	21104529	9999-12-31	2013-05-08
602	Rocksource Exploration Norway AS	10.000000	20428749	22528729	9999-12-31	2013-05-08
603	ConocoPhillips Skandinavia AS	25.000000	20428814	2410696	9999-12-31	2013-05-08
603	Centrica Resources (Norge) AS	15.000000	20428814	4238233	9999-12-31	2013-05-08
603	Statoil Petroleum AS	35.000000	20428814	17237817	2013-05-07	2013-05-08
603	Suncor Energy Norge AS	25.000000	20428814	20426420	9999-12-31	2013-05-08
218 B	ConocoPhillips Skandinavia AS	10.000000	20428874	2410696	9999-12-31	2013-05-08
218 B	OMV (Norge) AS	15.000000	20428874	4460594	9999-12-31	2013-05-08
218 B	Statoil Petroleum AS	75.000000	20428874	17237817	9999-12-31	2013-05-08
528 B	Centrica Resources (Norge) AS	30.000000	20428963	4238233	2013-05-07	2013-05-08
528 B	Statoil Petroleum AS	20.000000	20428963	17237817	9999-12-31	2013-05-08
528 B	Valiant Petroleum Norge AS	25.000000	20428963	21104529	9999-12-31	2013-05-08
528 B	Rocksource Exploration Norway AS	25.000000	20428963	22528729	9999-12-31	2013-05-08
604	Centrica Resources (Norge) AS	10.000000	20428990	4238233	9999-12-31	2013-05-08
604	Statoil Petroleum AS	40.000000	20428990	17237817	2013-05-07	2013-05-08
604	Suncor Energy Norge AS	50.000000	20428990	20426420	9999-12-31	2013-05-08
605	Petoro AS	20.000000	20429042	1626839	9999-12-31	2013-05-08
605	ConocoPhillips Skandinavia AS	50.000000	20429042	2410696	9999-12-31	2013-05-08
605	Statoil Petroleum AS	30.000000	20429042	17237817	9999-12-31	2013-05-08
606	OMV (Norge) AS	60.000000	20429078	4460594	9999-12-31	2013-05-08
606	Noreco Norway AS	40.000000	20429078	22223020	9999-12-31	2013-05-08
607	Concedo ASA	40.000000	20429121	4460794	9999-12-31	2013-05-08
607	GDF SUEZ E&P Norge AS	60.000000	20429121	5267845	9999-12-31	2013-05-08
608	Petoro AS	20.000000	20429159	1626839	9999-12-31	2013-05-08
608	Eni Norge AS	30.000000	20429159	2388594	9999-12-31	2013-05-08
608	Statoil Petroleum AS	50.000000	20429159	17237817	9999-12-31	2013-05-08
609	Idemitsu Petroleum Norge AS	30.000000	20429186	441	9999-12-31	2013-05-08
609	RWE Dea Norge AS	30.000000	20429186	97557	9999-12-31	2013-05-08
609	Lundin Norway AS	40.000000	20429186	2767314	9999-12-31	2013-05-08
610	GDF SUEZ E&P Norge AS	50.000000	20429259	5267845	9999-12-31	2013-05-08
610	Valiant Petroleum Norge AS	12.500000	20429259	21104529	9999-12-31	2013-05-08
610	Rocksource Exploration Norway AS	12.500000	20429259	22528729	9999-12-31	2013-05-08
610	Tullow Oil Norge AS	25.000000	20429259	23173852	2013-02-20	2013-05-08
611	Petoro AS	20.000000	20429303	1626839	9999-12-31	2013-05-08
611	Faroe Petroleum Norge AS	40.000000	20429303	4062883	9999-12-31	2013-05-08
611	Wintershall Norge AS	40.000000	20429303	21666830	9999-12-31	2013-05-08
226 B	Eni Norge AS	31.000000	20429377	2388594	9999-12-31	2013-05-08
226 B	Statoil Petroleum AS	69.000000	20429377	17237817	9999-12-31	2013-05-08
613	DONG E&P Norge AS	40.000000	20429419	4070011	9999-12-31	2013-05-08
613	Edison International Norway Branch	25.000000	20429419	17237180	9999-12-31	2013-05-08
613	Det norske oljeselskap ASA	35.000000	20429419	17342870	9999-12-31	2013-05-08
612	Petoro AS	20.000000	20429462	1626839	9999-12-31	2013-05-08
612	GDF SUEZ E&P Norge AS	50.000000	20429462	5267845	9999-12-31	2013-05-08
612	Statoil Petroleum AS	30.000000	20429462	17237817	9999-12-31	2013-05-08
614	Idemitsu Petroleum Norge AS	40.000000	20429507	441	9999-12-31	2013-05-08
614	Statoil Petroleum AS	60.000000	20429507	17237817	9999-12-31	2013-05-08
615	Petoro AS	20.000000	20429544	1626839	9999-12-31	2013-05-08
615	ConocoPhillips Skandinavia AS	25.000000	20429544	2410696	9999-12-31	2013-05-08
615	OMV (Norge) AS	20.000000	20429544	4460594	9999-12-31	2013-05-08
615	Statoil Petroleum AS	35.000000	20429544	17237817	9999-12-31	2013-05-08
303 B	Total E&P Norge AS	10.000000	20499620	2410708	2013-03-12	2013-05-08
303 B	ExxonMobil Exploration & Production Norway AS	30.400000	20499620	2835212	2013-03-12	2013-05-08
303 B	Statoil Petroleum AS	59.600000	20499620	17237817	2013-03-12	2013-05-08
309 C	Petoro AS	33.600000	21104663	1626839	9999-12-31	2013-05-08
309 C	ConocoPhillips Skandinavia AS	2.582820	21104663	2410696	9999-12-31	2013-05-08
309 C	Statoil Petroleum AS	63.817180	21104663	17237817	9999-12-31	2013-05-08
107 D	Petoro AS	7.500000	21124705	1626839	9999-12-31	2013-05-08
107 D	GDF SUEZ E&P Norge AS	40.000000	21124705	5267845	9999-12-31	2013-05-08
107 D	VNG Norge AS	2.500000	21124705	17237193	9999-12-31	2013-05-08
107 D	Statoil Petroleum AS	20.000000	21124705	17237817	9999-12-31	2013-05-08
107 D	E.ON E&P Norge AS	30.000000	21124705	21631209	9999-12-31	2013-05-08
169 E	ExxonMobil Exploration & Production Norway AS	13.000000	21124742	2835212	9999-12-31	2013-05-08
169 E	Faroe Petroleum Norge AS	30.000000	21124742	4062883	9999-12-31	2013-05-08
169 E	Statoil Petroleum AS	57.000000	21124742	17237817	9999-12-31	2013-05-08
018 DS	Petoro AS	5.000000	21139552	1626839	9999-12-31	2013-05-08
018 DS	Maersk Oil Norway AS	60.008000	21139552	4719674	9999-12-31	2013-05-08
018 DS	Statoil Petroleum AS	6.654000	21139552	17237817	9999-12-31	2013-05-08
018 DS	Noreco Norway AS	13.338000	21139552	22223020	9999-12-31	2013-05-08
018 DS	Skeie Energy AS	15.000000	21139552	23286115	2013-04-10	2013-05-08
193 D	Petoro AS	30.000000	21349950	1626839	9999-12-31	2013-05-08
193 D	Enterprise Oil Norge AS	6.450000	21349950	1853786	9999-12-31	2013-05-08
193 D	Centrica Resources (Norge) AS	13.000000	21349950	4238233	9999-12-31	2013-05-08
193 D	Statoil Petroleum AS	50.550000	21349950	17237817	9999-12-31	2013-05-08
046 C	Total E&P Norge AS	10.000000	21350140	2410708	9999-12-31	2013-05-08
046 C	ExxonMobil Exploration & Production Norway AS	30.400000	21350140	2835212	9999-12-31	2013-05-08
046 C	Statoil Petroleum AS	59.600000	21350140	17237817	9999-12-31	2013-05-08
072 C	Total E&P Norge AS	10.000000	21350207	2410708	9999-12-31	2013-05-08
072 C	ExxonMobil Exploration & Production Norway AS	30.400000	21350207	2835212	9999-12-31	2013-05-08
072 C	Statoil Petroleum AS	59.600000	21350207	17237817	9999-12-31	2013-05-08
659	Petoro AS	30.000000	21558636	1626839	9999-12-31	2013-05-08
659	Lundin Norway AS	20.000000	21558636	2767314	9999-12-31	2013-05-08
659	Det norske oljeselskap ASA	30.000000	21558636	17342870	9999-12-31	2013-05-08
659	Valiant Petroleum Norge AS	5.000000	21558636	21104529	9999-12-31	2013-05-08
659	Rocksource Exploration Norway AS	5.000000	21558636	22528729	9999-12-31	2013-05-08
659	Tullow Oil Norge AS	10.000000	21558636	23173852	2013-02-20	2013-05-08
658	DONG E&P Norge AS	50.000000	21558820	4070011	9999-12-31	2013-05-08
658	Repsol Exploration Norge AS	50.000000	21558820	17237506	9999-12-31	2013-05-08
657	Petoro AS	20.000000	21558872	1626839	9999-12-31	2013-05-08
657	Eni Norge AS	80.000000	21558872	2388594	9999-12-31	2013-05-08
656	Petoro AS	20.000000	21558940	1626839	9999-12-31	2013-05-08
656	DONG E&P Norge AS	20.000000	21558940	4070011	9999-12-31	2013-05-08
656	Repsol Exploration Norge AS	20.000000	21558940	17237506	9999-12-31	2013-05-08
656	North Energy ASA	10.000000	21558940	18082156	9999-12-31	2013-05-08
656	E.ON E&P Norge AS	30.000000	21558940	21631209	9999-12-31	2013-05-08
655	Centrica Resources (Norge) AS	20.000000	21558998	4238233	9999-12-31	2013-05-08
655	Lotos Exploration and Production Norge AS	30.000000	21558998	5064434	9999-12-31	2013-05-08
655	VNG Norge AS	20.000000	21558998	17237193	9999-12-31	2013-05-08
655	Wintershall Norge AS	30.000000	21558998	21666830	9999-12-31	2013-05-08
654	RWE Dea Norge AS	40.000000	21559027	97557	9999-12-31	2013-05-08
654	Lundin Norway AS	30.000000	21559027	2767314	9999-12-31	2013-05-08
654	Marathon Oil Norge AS	30.000000	21559027	20485291	9999-12-31	2013-05-08
653	RWE Dea Norge AS	40.000000	21559076	97557	9999-12-31	2013-05-08
653	Lundin Norway AS	30.000000	21559076	2767314	9999-12-31	2013-05-08
653	Marathon Oil Norge AS	30.000000	21559076	20485291	9999-12-31	2013-05-08
651	Dana Petroleum Norway AS	25.000000	21559146	4526555	9999-12-31	2013-05-08
651	E.ON E&P Norge AS	40.000000	21559146	21631209	9999-12-31	2013-05-08
651	Tullow Oil Norge AS	35.000000	21559146	23173852	2013-02-20	2013-05-08
650	Statoil Petroleum AS	40.000000	21559201	17237817	9999-12-31	2013-05-08
650	E.ON E&P Norge AS	60.000000	21559201	21631209	9999-12-31	2013-05-08
035 C	Svenska Petroleum Exploration AS	25.000000	21559372	738	2013-03-19	2013-05-08
035 C	Statoil Petroleum AS	50.000000	21559372	17237817	2013-03-19	2013-05-08
035 C	Det norske oljeselskap ASA	25.000000	21559372	17342870	2013-03-19	2013-05-08
046 D	Total E&P Norge AS	10.000000	21559399	2410708	2013-02-05	2013-05-08
046 D	ExxonMobil Exploration & Production Norway AS	28.000000	21559399	2835212	2013-02-05	2013-05-08
046 D	Statoil Petroleum AS	62.000000	21559399	17237817	2013-02-05	2013-05-08
639	Petoro AS	20.000000	21559426	1626839	9999-12-31	2013-05-08
639	Lundin Norway AS	20.000000	21559426	2767314	9999-12-31	2013-05-08
639	Bayerngas Norge AS	15.000000	21559426	4444493	9999-12-31	2013-05-08
639	Noreco Norway AS	15.000000	21559426	22223020	9999-12-31	2013-05-08
639	Tullow Oil Norge AS	30.000000	21559426	23173852	2013-02-20	2013-05-08
640	Talisman Energy Norge AS	60.000000	21559488	2425093	9999-12-31	2013-05-08
640	Repsol Exploration Norge AS	40.000000	21559488	17237506	9999-12-31	2013-05-08
641	Lundin Norway AS	30.000000	21559540	2767314	9999-12-31	2013-05-08
641	VNG Norge AS	70.000000	21559540	17237193	9999-12-31	2013-05-08
642	Petoro AS	20.000000	21559610	1626839	9999-12-31	2013-05-08
642	OMV (Norge) AS	20.000000	21559610	4460594	9999-12-31	2013-05-08
642	Repsol Exploration Norge AS	40.000000	21559610	17237506	9999-12-31	2013-05-08
642	Tullow Oil Norge AS	20.000000	21559610	23173852	2013-02-20	2013-05-08
644	Faroe Petroleum Norge AS	20.000000	21559648	4062883	9999-12-31	2013-05-08
644	Centrica Resources (Norge) AS	20.000000	21559648	4238233	9999-12-31	2013-05-08
644	OMV (Norge) AS	30.000000	21559648	4460594	9999-12-31	2013-05-08
644	Skagen44 AS	10.000000	21559648	4510260	9999-12-31	2013-05-08
644	Repsol Exploration Norge AS	20.000000	21559648	17237506	9999-12-31	2013-05-08
645	Faroe Petroleum Norge AS	50.000000	21559709	4062883	9999-12-31	2013-05-08
645	Centrica Resources (Norge) AS	40.000000	21559709	4238233	9999-12-31	2013-05-08
645	Skagen44 AS	10.000000	21559709	4510260	9999-12-31	2013-05-08
646	Lundin Norway AS	20.000000	21559761	2767314	9999-12-31	2013-05-08
646	PGNiG Norway AS	20.000000	21559761	4505831	9999-12-31	2013-05-08
646	Wintershall Norge AS	40.000000	21559761	21666830	9999-12-31	2013-05-08
646	Noreco Norway AS	20.000000	21559761	22223020	9999-12-31	2013-05-08
647	RWE Dea Norge AS	30.000000	21559805	97557	9999-12-31	2013-05-08
647	Premier Oil Norge AS	30.000000	21559805	3482067	9999-12-31	2013-05-08
647	Maersk Oil Norway AS	40.000000	21559805	4719674	9999-12-31	2013-05-08
648 S	OMV (Norge) AS	50.000000	21559877	4460594	9999-12-31	2013-05-08
648 S	PGNiG Norway AS	50.000000	21559877	4505831	9999-12-31	2013-05-08
649	Dana Petroleum Norway AS	30.000000	21559950	4526555	9999-12-31	2013-05-08
649	Maersk Oil Norway AS	30.000000	21559950	4719674	9999-12-31	2013-05-08
649	VNG Norge AS	40.000000	21559950	17237193	9999-12-31	2013-05-08
619	Total E&P Norge AS	50.000000	21560040	2410708	9999-12-31	2013-05-08
619	Det norske oljeselskap ASA	30.000000	21560040	17342870	9999-12-31	2013-05-08
619	Tullow Oil Norge AS	20.000000	21560040	23173852	2013-02-20	2013-05-08
495 B	Lundin Norway AS	60.000000	21560089	2767314	9999-12-31	2013-05-08
495 B	Tullow Oil Norge AS	40.000000	21560089	23173852	2013-02-20	2013-05-08
620	Faroe Petroleum Norge AS	50.000000	21560115	4062883	9999-12-31	2013-05-08
620	Edison International Norway Branch	25.000000	21560115	17237180	9999-12-31	2013-05-08
620	Noreco Norway AS	25.000000	21560115	22223020	9999-12-31	2013-05-08
622	Premier Oil Norge AS	60.000000	21560182	3482067	9999-12-31	2013-05-08
622	Maersk Oil Norway AS	40.000000	21560182	4719674	9999-12-31	2013-05-08
623	Talisman Energy Norge AS	40.000000	21560239	2425093	9999-12-31	2013-05-08
623	Premier Oil Norge AS	20.000000	21560239	3482067	9999-12-31	2013-05-08
623	Maersk Oil Norway AS	20.000000	21560239	4719674	9999-12-31	2013-05-08
623	Bridge Energy Norge AS	20.000000	21560239	18178215	9999-12-31	2013-05-08
506 DS	Petoro AS	20.000000	21560284	1626839	9999-12-31	2013-05-08
506 DS	Valiant Petroleum Norge AS	25.000000	21560284	21104529	9999-12-31	2013-05-08
506 DS	Petrolia Norway AS	30.000000	21560284	21593704	9999-12-31	2013-05-08
506 DS	Rocksource Exploration Norway AS	25.000000	21560284	22528729	9999-12-31	2013-05-08
624	DONG E&P Norge AS	20.000000	21560318	4070011	9999-12-31	2013-05-08
624	Statoil Petroleum AS	50.000000	21560318	17237817	9999-12-31	2013-05-08
624	Wintershall Norge AS	15.000000	21560318	21666830	9999-12-31	2013-05-08
624	Noreco Norway AS	15.000000	21560318	22223020	9999-12-31	2013-05-08
625	Petoro AS	20.000000	21560380	1626839	9999-12-31	2013-05-08
625	Lundin Norway AS	40.000000	21560380	2767314	9999-12-31	2013-05-08
625	Bayerngas Norge AS	20.000000	21560380	4444493	9999-12-31	2013-05-08
625	Maersk Oil Norway AS	20.000000	21560380	4719674	9999-12-31	2013-05-08
626	Det norske oljeselskap ASA	50.000000	21560418	17342870	9999-12-31	2013-05-08
626	Fortis Petroleum Norway AS	20.000000	21560418	18386334	9999-12-31	2013-05-08
626	Tullow Oil Norge AS	30.000000	21560418	23173852	2013-02-20	2013-05-08
513 B	Dana Petroleum Norway AS	50.000000	21560453	4526555	9999-12-31	2013-05-08
513 B	Maersk Oil Norway AS	50.000000	21560453	4719674	9999-12-31	2013-05-08
627	Total E&P Norge AS	40.000000	21560469	2410708	9999-12-31	2013-05-08
627	Faroe Petroleum Norge AS	20.000000	21560469	4062883	9999-12-31	2013-05-08
627	Centrica Resources (Norge) AS	20.000000	21560469	4238233	9999-12-31	2013-05-08
627	Det norske oljeselskap ASA	20.000000	21560469	17342870	9999-12-31	2013-05-08
628	Petoro AS	20.000000	21560616	1626839	9999-12-31	2013-05-08
628	Statoil Petroleum AS	80.000000	21560616	17237817	9999-12-31	2013-05-08
629	Faroe Petroleum Norge AS	20.000000	21560683	4062883	9999-12-31	2013-05-08
629	Centrica Resources (Norge) AS	20.000000	21560683	4238233	9999-12-31	2013-05-08
629	Concedo ASA	20.000000	21560683	4460794	9999-12-31	2013-05-08
629	Bridge Energy Norge AS	40.000000	21560683	18178215	9999-12-31	2013-05-08
630	Idemitsu Petroleum Norge AS	20.000000	21560745	441	9999-12-31	2013-05-08
630	GDF SUEZ E&P Norge AS	20.000000	21560745	5267845	9999-12-31	2013-05-08
630	Statoil Petroleum AS	40.000000	21560745	17237817	9999-12-31	2013-05-08
630	Capricorn Norge AS	20.000000	21560745	23297570	2013-05-01	2013-05-08
631	Lundin Norway AS	60.000000	21560844	2767314	9999-12-31	2013-05-08
631	Bayerngas Norge AS	30.000000	21560844	4444493	9999-12-31	2013-05-08
631	Fortis Petroleum Norway AS	10.000000	21560844	18386334	9999-12-31	2013-05-08
557 B	OMV (Norge) AS	50.000000	21560889	4460594	9999-12-31	2013-05-08
557 B	Skagen44 AS	10.000000	21560889	4510260	9999-12-31	2013-05-08
557 B	Repsol Exploration Norge AS	40.000000	21560889	17237506	9999-12-31	2013-05-08
632	Statoil Petroleum AS	60.000000	21560912	17237817	9999-12-31	2013-05-08
632	Capricorn Norge AS	40.000000	21560912	23297570	2013-05-01	2013-05-08
633	Bayerngas Norge AS	30.000000	21560982	4444493	9999-12-31	2013-05-08
633	Suncor Energy Norge AS	30.000000	21560982	20426420	9999-12-31	2013-05-08
633	Wintershall Norge AS	40.000000	21560982	21666830	9999-12-31	2013-05-08
634	RWE Dea Norge AS	30.000000	21561057	97557	9999-12-31	2013-05-08
634	GDF SUEZ E&P Norge AS	40.000000	21561057	5267845	9999-12-31	2013-05-08
634	Noreco Norway AS	30.000000	21561057	22223020	9999-12-31	2013-05-08
635	RWE Dea Norge AS	20.000000	21561115	97557	9999-12-31	2013-05-08
635	Bayerngas Norge AS	50.000000	21561115	4444493	9999-12-31	2013-05-08
635	VNG Norge AS	30.000000	21561115	17237193	9999-12-31	2013-05-08
636	Idemitsu Petroleum Norge AS	30.000000	21561151	441	9999-12-31	2013-05-08
636	GDF SUEZ E&P Norge AS	50.000000	21561151	5267845	9999-12-31	2013-05-08
636	Tullow Oil Norge AS	20.000000	21561151	23173852	2013-02-20	2013-05-08
637	Talisman Energy Norge AS	30.000000	21561194	2425093	9999-12-31	2013-05-08
637	GDF SUEZ E&P Norge AS	20.000000	21561194	5267845	9999-12-31	2013-05-08
637	Suncor Energy Norge AS	50.000000	21561194	20426420	9999-12-31	2013-05-08
638	Idemitsu Petroleum Norge AS	20.000000	21561239	441	9999-12-31	2013-05-08
638	RWE Dea Norge AS	8.000000	21561239	97557	9999-12-31	2013-05-08
638	Petoro AS	20.000000	21561239	1626839	9999-12-31	2013-05-08
638	BG Norge AS	36.000000	21561239	2747354	9999-12-31	2013-05-08
638	Wintershall Norge AS	16.000000	21561239	21666830	9999-12-31	2013-05-08
597 B	Dana Petroleum Norway AS	30.000000	21561308	4526555	9999-12-31	2013-05-08
597 B	Maersk Oil Norway AS	30.000000	21561308	4719674	9999-12-31	2013-05-08
597 B	VNG Norge AS	40.000000	21561308	17237193	9999-12-31	2013-05-08
643	Lotos Exploration and Production Norge AS	30.000000	21561387	5064434	9999-12-31	2013-05-08
643	Edison International Norway Branch	30.000000	21561387	17237180	9999-12-31	2013-05-08
643	VNG Norge AS	40.000000	21561387	17237193	9999-12-31	2013-05-08
609 B	Idemitsu Petroleum Norge AS	30.000000	21561445	441	9999-12-31	2013-05-08
609 B	RWE Dea Norge AS	30.000000	21561445	97557	9999-12-31	2013-05-08
609 B	Lundin Norway AS	40.000000	21561445	2767314	9999-12-31	2013-05-08
616	Concedo ASA	20.000000	21561481	4460794	9999-12-31	2013-05-08
616	Skagen44 AS	15.000000	21561481	4510260	9999-12-31	2013-05-08
616	Edison International Norway Branch	25.000000	21561481	17237180	9999-12-31	2013-05-08
616	North Energy ASA	20.000000	21561481	18082156	9999-12-31	2013-05-08
616	Noreco Norway AS	20.000000	21561481	22223020	9999-12-31	2013-05-08
617	Premier Oil Norge AS	35.000000	21561629	3482067	9999-12-31	2013-05-08
617	Bridge Energy Norge AS	15.000000	21561629	18178215	9999-12-31	2013-05-08
617	Valiant Petroleum Norge AS	50.000000	21561629	21104529	9999-12-31	2013-05-08
618	Petoro AS	20.000000	21561689	1626839	9999-12-31	2013-05-08
618	Total E&P Norge AS	60.000000	21561689	2410708	9999-12-31	2013-05-08
618	GDF SUEZ E&P Norge AS	20.000000	21561689	5267845	9999-12-31	2013-05-08
102 E	Petoro AS	30.000000	21568578	1626839	9999-12-31	2013-05-08
102 E	Total E&P Norge AS	40.000000	21568578	2410708	9999-12-31	2013-05-08
102 E	Centrica Resources (Norge) AS	30.000000	21568578	4238233	9999-12-31	2013-05-08
102 D	Petoro AS	30.000000	21568785	1626839	9999-12-31	2013-05-08
102 D	Total E&P Norge AS	40.000000	21568785	2410708	9999-12-31	2013-05-08
102 D	Centrica Resources (Norge) AS	20.000000	21568785	4238233	9999-12-31	2013-05-08
102 D	Det norske oljeselskap ASA	10.000000	21568785	17342870	9999-12-31	2013-05-08
375 C	Talisman Energy Norge AS	20.000000	21569065	2425093	9999-12-31	2013-05-08
375 C	Suncor Energy Norge AS	65.000000	21569065	20426420	9999-12-31	2013-05-08
375 C	Wintershall Norge AS	15.000000	21569065	21666830	9999-12-31	2013-05-08
414 B	Faroe Petroleum Norge AS	20.000000	21569107	4062883	9999-12-31	2013-05-08
414 B	Bayerngas Norge AS	20.000000	21569107	4444493	9999-12-31	2013-05-08
414 B	Det norske oljeselskap ASA	40.000000	21569107	17342870	9999-12-31	2013-05-08
414 B	Noreco Norway AS	20.000000	21569107	22223020	9999-12-31	2013-05-08
494 C	Dana Petroleum Norway AS	40.000000	21569178	4526555	9999-12-31	2013-05-08
494 C	Det norske oljeselskap ASA	30.000000	21569178	17342870	9999-12-31	2013-05-08
494 C	Bridge Energy Norge AS	30.000000	21569178	18178215	9999-12-31	2013-05-08
050 ES	Petoro AS	30.000000	21668200	1626839	9999-12-31	2013-05-08
050 ES	Centrica Resources (Norge) AS	13.000000	21668200	4238233	9999-12-31	2013-05-08
050 ES	Statoil Petroleum AS	57.000000	21668200	17237817	9999-12-31	2013-05-08
050 FS	Petoro AS	30.000000	21668235	1626839	9999-12-31	2013-05-08
050 FS	Centrica Resources (Norge) AS	13.000000	21668235	4238233	9999-12-31	2013-05-08
050 FS	Statoil Petroleum AS	57.000000	21668235	17237817	9999-12-31	2013-05-08
050 GS	Petoro AS	30.000000	21668262	1626839	9999-12-31	2013-05-08
050 GS	Centrica Resources (Norge) AS	13.000000	21668262	4238233	9999-12-31	2013-05-08
050 GS	Statoil Petroleum AS	57.000000	21668262	17237817	9999-12-31	2013-05-08
050 HS	Petoro AS	30.000000	21668287	1626839	9999-12-31	2013-05-08
050 HS	Centrica Resources (Norge) AS	13.000000	21668287	4238233	9999-12-31	2013-05-08
050 HS	Statoil Petroleum AS	57.000000	21668287	17237817	9999-12-31	2013-05-08
293 B	Idemitsu Petroleum Norge AS	15.000000	21695786	441	9999-12-31	2013-05-08
293 B	Eni Norge AS	45.000000	21695786	2388594	9999-12-31	2013-05-08
293 B	Statoil Petroleum AS	40.000000	21695786	17237817	9999-12-31	2013-05-08
029 C	Total E&P Norge AS	100.000000	22493034	2410708	9999-12-31	2013-05-08
037 F	Petoro AS	30.000000	22813049	1626839	9999-12-31	2013-05-08
685	Total E&P Norge AS	40.000000	22820468	2410708	9999-12-31	2013-05-08
037 F	ExxonMobil Exploration & Production Norway AS	25.000000	22813049	2835212	9999-12-31	2013-05-08
037 F	Centrica Resources (Norge) AS	23.125000	22813049	4238233	9999-12-31	2013-05-08
037 F	Statoil Petroleum AS	21.875000	22813049	17237817	9999-12-31	2013-05-08
055 D	Talisman Energy Norge AS	34.908000	22813096	2425093	9999-12-31	2013-05-08
055 D	Faroe Petroleum Norge AS	13.400000	22813096	4062883	9999-12-31	2013-05-08
055 D	VNG Norge AS	3.200000	22813096	17237193	9999-12-31	2013-05-08
055 D	Statoil Petroleum AS	32.600000	22813096	17237817	9999-12-31	2013-05-08
055 D	Core Energy AS	13.200000	22813096	20460080	9999-12-31	2013-05-08
055 D	Tullow Oil Norge AS	2.692000	22813096	23173852	9999-12-31	2013-05-08
091 D	Eni Norge AS	7.900000	22813131	2388594	9999-12-31	2013-05-08
091 D	ExxonMobil Exploration & Production Norway AS	33.000000	22813131	2835212	9999-12-31	2013-05-08
091 D	Statoil Petroleum AS	59.100000	22813131	17237817	9999-12-31	2013-05-08
093 C	A/S Norske Shell	44.560000	22813180	562	9999-12-31	2013-05-08
093 C	Petoro AS	47.880000	22813180	1626839	9999-12-31	2013-05-08
093 C	Chevron Norge AS	7.560000	22813180	3488906	9999-12-31	2013-05-08
190 B	Petoro AS	40.000000	22813207	1626839	9999-12-31	2013-05-08
190 B	Total E&P Norge AS	10.000000	22813207	2410708	9999-12-31	2013-05-08
190 B	Statoil Petroleum AS	50.000000	22813207	17237817	9999-12-31	2013-05-08
203 B	ConocoPhillips Skandinavia AS	20.000000	22813239	2410696	9999-12-31	2013-05-08
203 B	Lundin Norway AS	15.000000	22813239	2767314	9999-12-31	2013-05-08
203 B	Marathon Oil Norge AS	65.000000	22813239	20485291	9999-12-31	2013-05-08
509 BS	Fortis Petroleum Norway AS	30.000000	22813272	18386334	9999-12-31	2013-05-08
509 BS	Wintershall Norge AS	40.000000	22813272	21666830	9999-12-31	2013-05-08
509 BS	Tullow Oil Norge AS	30.000000	22813272	23173852	9999-12-31	2013-05-08
542 B	Det norske oljeselskap ASA	60.000000	22813299	17342870	9999-12-31	2013-05-08
542 B	Tullow Oil Norge AS	40.000000	22813299	23173852	9999-12-31	2013-05-08
660	Petoro AS	20.000000	22815555	1626839	9999-12-31	2013-05-08
660	Faroe Petroleum Norge AS	35.000000	22815555	4062883	9999-12-31	2013-05-08
660	Centrica Resources (Norge) AS	20.000000	22815555	4238233	9999-12-31	2013-05-08
660	Maersk Oil Norway AS	25.000000	22815555	4719674	9999-12-31	2013-05-08
661	Total E&P Norge AS	60.000000	22815589	2410708	9999-12-31	2013-05-08
661	Statoil Petroleum AS	40.000000	22815589	17237817	9999-12-31	2013-05-08
662	Total E&P Norge AS	60.000000	22815632	2410708	9999-12-31	2013-05-08
662	Statoil Petroleum AS	40.000000	22815632	17237817	9999-12-31	2013-05-08
663	Petoro AS	20.000000	22815661	1626839	9999-12-31	2013-05-08
663	Premier Oil Norge AS	20.000000	22815661	3482067	9999-12-31	2013-05-08
663	Bayerngas Norge AS	20.000000	22815661	4444493	9999-12-31	2013-05-08
663	Det norske oljeselskap ASA	30.000000	22815661	17342870	9999-12-31	2013-05-08
663	Fortis Petroleum Norway AS	10.000000	22815661	18386334	9999-12-31	2013-05-08
664 S	Talisman Energy Norge AS	50.000000	22815702	2425093	9999-12-31	2013-05-08
664 S	DONG E&P Norge AS	30.000000	22815702	4070011	9999-12-31	2013-05-08
664 S	Valiant Petroleum Norge AS	20.000000	22815702	21104529	9999-12-31	2013-05-08
665 S	Faroe Petroleum Norge AS	40.000000	22815738	4062883	9999-12-31	2013-05-08
665 S	Centrica Resources (Norge) AS	20.000000	22815738	4238233	9999-12-31	2013-05-08
665 S	Valiant Petroleum Norge AS	20.000000	22815738	21104529	9999-12-31	2013-05-08
665 S	Capricorn Norge AS	20.000000	22815738	23297570	2013-05-01	2013-05-08
666	Faroe Petroleum Norge AS	30.000000	22815785	4062883	9999-12-31	2013-05-08
666	Centrica Resources (Norge) AS	40.000000	22815785	4238233	9999-12-31	2013-05-08
666	Tullow Oil Norge AS	30.000000	22815785	23173852	9999-12-31	2013-05-08
667	Total E&P Norge AS	50.000000	22815830	2410708	9999-12-31	2013-05-08
667	Det norske oljeselskap ASA	30.000000	22815830	17342870	9999-12-31	2013-05-08
667	Tullow Oil Norge AS	20.000000	22815830	23173852	9999-12-31	2013-05-08
668	Faroe Petroleum Norge AS	30.000000	22815873	4062883	9999-12-31	2013-05-08
668	Centrica Resources (Norge) AS	40.000000	22815873	4238233	9999-12-31	2013-05-08
668	Tullow Oil Norge AS	30.000000	22815873	23173852	9999-12-31	2013-05-08
669	DONG E&P Norge AS	40.000000	22815914	4070011	9999-12-31	2013-05-08
669	Centrica Resources (Norge) AS	30.000000	22815914	4238233	9999-12-31	2013-05-08
669	Explora Petroleum AS	30.000000	22815914	22223266	9999-12-31	2013-05-08
670	Faroe Petroleum Norge AS	25.000000	22815949	4062883	9999-12-31	2013-05-08
670	Centrica Resources (Norge) AS	25.000000	22815949	4238233	9999-12-31	2013-05-08
670	Concedo ASA	20.000000	22815949	4460794	9999-12-31	2013-05-08
670	Tullow Oil Norge AS	30.000000	22815949	23173852	9999-12-31	2013-05-08
671	Maersk Oil Norway AS	60.000000	22816003	4719674	9999-12-31	2013-05-08
671	Explora Petroleum AS	40.000000	22816003	22223266	9999-12-31	2013-05-08
672	Talisman Energy Norge AS	50.000000	22816061	2425093	9999-12-31	2013-05-08
672	Det norske oljeselskap ASA	25.000000	22816061	17342870	9999-12-31	2013-05-08
672	Fortis Petroleum Norway AS	25.000000	22816061	18386334	9999-12-31	2013-05-08
673	Lundin Norway AS	60.000000	22816103	2767314	9999-12-31	2013-05-08
673	VNG Norge AS	40.000000	22816103	17237193	9999-12-31	2013-05-08
674	Petrolia Norway AS	50.000000	22816134	21593704	9999-12-31	2013-05-08
674	E.ON E&P Norge AS	50.000000	22816134	21631209	9999-12-31	2013-05-08
675	Total E&P Norge AS	40.000000	22816217	2410708	9999-12-31	2013-05-08
675	Statoil Petroleum AS	60.000000	22816217	17237817	9999-12-31	2013-05-08
676 S	Petoro AS	20.000000	22816262	1626839	9999-12-31	2013-05-08
676 S	Total E&P Norge AS	20.000000	22816262	2410708	9999-12-31	2013-05-08
676 S	Faroe Petroleum Norge AS	40.000000	22816262	4062883	9999-12-31	2013-05-08
676 S	Det norske oljeselskap ASA	20.000000	22816262	17342870	9999-12-31	2013-05-08
677	Det norske oljeselskap ASA	60.000000	22816357	17342870	9999-12-31	2013-05-08
677	Fortis Petroleum Norway AS	40.000000	22816357	18386334	9999-12-31	2013-05-08
678 S	Lundin Norway AS	20.000000	22816406	2767314	9999-12-31	2013-05-08
678 S	Det norske oljeselskap ASA	25.000000	22816406	17342870	9999-12-31	2013-05-08
678 S	Fortis Petroleum Norway AS	20.000000	22816406	18386334	9999-12-31	2013-05-08
678 S	Wintershall Norge AS	35.000000	22816406	21666830	9999-12-31	2013-05-08
679 S	BG Norge AS	60.000000	22816484	2747354	9999-12-31	2013-05-08
679 S	E.ON E&P Norge AS	40.000000	22816484	21631209	9999-12-31	2013-05-08
680	Concedo ASA	40.000000	22816583	4460794	9999-12-31	2013-05-08
680	Tullow Oil Norge AS	60.000000	22816583	23173852	9999-12-31	2013-05-08
681	Petoro AS	20.000000	22816639	1626839	9999-12-31	2013-05-08
681	Det norske oljeselskap ASA	16.000000	22816639	17342870	9999-12-31	2013-05-08
681	Tullow Oil Norge AS	64.000000	22816639	23173852	9999-12-31	2013-05-08
682	RWE Dea Norge AS	20.000000	22816685	97557	9999-12-31	2013-05-08
682	Petoro AS	20.000000	22816685	1626839	9999-12-31	2013-05-08
682	Bayerngas Norge AS	30.000000	22816685	4444493	9999-12-31	2013-05-08
682	Statoil Petroleum AS	20.000000	22816685	17237817	9999-12-31	2013-05-08
682	Capricorn Norge AS	10.000000	22816685	23297570	2013-05-01	2013-05-08
683	Bayerngas Norge AS	40.000000	22816753	4444493	9999-12-31	2013-05-08
683	Wintershall Norge AS	60.000000	22816753	21666830	9999-12-31	2013-05-08
684	Petoro AS	30.000000	22816794	1626839	9999-12-31	2013-05-08
684	Enterprise Oil Norge AS	6.450000	22816794	1853786	9999-12-31	2013-05-08
684	Total E&P Norge AS	5.000000	22816794	2410708	9999-12-31	2013-05-08
684	Centrica Resources (Norge) AS	19.000000	22816794	4238233	9999-12-31	2013-05-08
684	Statoil Petroleum AS	39.550000	22816794	17237817	9999-12-31	2013-05-08
685	Petoro AS	20.000000	22820468	1626839	9999-12-31	2013-05-08
685	Lundin Norway AS	20.000000	22820468	2767314	9999-12-31	2013-05-08
685	Bayerngas Norge AS	20.000000	22820468	4444493	9999-12-31	2013-05-08
686	Idemitsu Petroleum Norge AS	20.000000	22820521	441	9999-12-31	2013-05-08
686	A/S Norske Shell	40.000000	22820521	562	9999-12-31	2013-05-08
686	Petoro AS	20.000000	22820521	1626839	9999-12-31	2013-05-08
686	GDF SUEZ E&P Norge AS	20.000000	22820521	5267845	9999-12-31	2013-05-08
687	Petoro AS	20.000000	22820550	1626839	9999-12-31	2013-05-08
687	GDF SUEZ E&P Norge AS	20.000000	22820550	5267845	9999-12-31	2013-05-08
687	VNG Norge AS	40.000000	22820550	17237193	9999-12-31	2013-05-08
687	Explora Petroleum AS	20.000000	22820550	22223266	9999-12-31	2013-05-08
688	BG Norge AS	50.000000	22820588	2747354	9999-12-31	2013-05-08
688	E.ON E&P Norge AS	50.000000	22820588	21631209	9999-12-31	2013-05-08
689	Svenska Petroleum Exploration AS	20.000000	22820628	738	9999-12-31	2013-05-08
689	DONG E&P Norge AS	40.000000	22820628	4070011	9999-12-31	2013-05-08
689	Bayerngas Norge AS	20.000000	22820628	4444493	9999-12-31	2013-05-08
689	Tullow Oil Norge AS	20.000000	22820628	23173852	9999-12-31	2013-05-08
690	Svenska Petroleum Exploration AS	30.000000	22820657	738	9999-12-31	2013-05-08
690	Bayerngas Norge AS	30.000000	22820657	4444493	9999-12-31	2013-05-08
690	Bridge Energy Norge AS	40.000000	22820657	18178215	9999-12-31	2013-05-08
691	Faroe Petroleum Norge AS	30.000000	22820684	4062883	9999-12-31	2013-05-08
691	Centrica Resources (Norge) AS	40.000000	22820684	4238233	9999-12-31	2013-05-08
691	Statoil Petroleum AS	30.000000	22820684	17237817	9999-12-31	2013-05-08
692	Skagen44 AS	30.000000	22820715	4510260	9999-12-31	2013-05-08
692	Edison International Norway Branch	30.000000	22820715	17237180	9999-12-31	2013-05-08
692	Repsol Exploration Norge AS	40.000000	22820715	17237506	9999-12-31	2013-05-08
693	OMV (Norge) AS	40.000000	22820761	4460594	9999-12-31	2013-05-08
693	Skagen44 AS	15.000000	22820761	4510260	9999-12-31	2013-05-08
693	Edison International Norway Branch	30.000000	22820761	17237180	9999-12-31	2013-05-08
693	North Energy ASA	15.000000	22820761	18082156	9999-12-31	2013-05-08
694	RWE Dea Norge AS	40.000000	22820804	97557	9999-12-31	2013-05-08
694	Petoro AS	20.000000	22820804	1626839	9999-12-31	2013-05-08
694	Lundin Norway AS	20.000000	22820804	2767314	9999-12-31	2013-05-08
694	Marathon Oil Norge AS	20.000000	22820804	20485291	9999-12-31	2013-05-08
695	Petoro AS	20.000000	22820851	1626839	9999-12-31	2013-05-08
695	Lundin Norway AS	40.000000	22820851	2767314	9999-12-31	2013-05-08
695	Tullow Oil Norge AS	40.000000	22820851	23173852	2013-02-23	2013-05-08
696	Petoro AS	20.000000	22820904	1626839	9999-12-31	2013-05-08
696	Eni Norge AS	30.000000	22820904	2388594	9999-12-31	2013-05-08
696	Statoil Petroleum AS	50.000000	22820904	17237817	9999-12-31	2013-05-08
697	Eni Norge AS	65.000000	22821005	2388594	9999-12-31	2013-05-08
697	Statoil Petroleum AS	35.000000	22821005	17237817	9999-12-31	2013-05-08
698	A/S Norske Shell	17.037500	22821040	562	9999-12-31	2013-05-08
698	Petoro AS	36.475000	22821040	1626839	9999-12-31	2013-05-08
698	ExxonMobil Exploration & Production Norway AS	7.228600	22821040	2835212	9999-12-31	2013-05-08
698	DONG E&P Norge AS	10.342000	22821040	4070011	9999-12-31	2013-05-08
698	StatoilHydro Petroleum AS	28.916900	22821040	4511658	9999-12-31	2013-05-08
699	A/S Norske Shell	17.037500	22821109	562	9999-12-31	2013-05-08
699	Petoro AS	36.475000	22821109	1626839	9999-12-31	2013-05-08
699	ExxonMobil Exploration & Production Norway AS	7.228600	22821109	2835212	9999-12-31	2013-05-08
699	DONG E&P Norge AS	10.342000	22821109	4070011	9999-12-31	2013-05-08
699	Statoil Petroleum AS	28.916900	22821109	17237817	9999-12-31	2013-05-08
700	Lundin Norway AS	40.000000	22821177	2767314	9999-12-31	2013-05-08
700	Bayerngas Norge AS	20.000000	22821177	4444493	9999-12-31	2013-05-08
700	GDF SUEZ E&P Norge AS	20.000000	22821177	5267845	9999-12-31	2013-05-08
700	VNG Norge AS	20.000000	22821177	17237193	9999-12-31	2013-05-08
701	Norwegian Energy Company ASA	40.000000	23180841	4530695	9999-12-31	2013-05-08
701	GDF SUEZ E&P Norge AS	30.000000	23180841	5267845	9999-12-31	2013-05-08
701	Tullow Oil Norge AS	30.000000	23180841	23173852	9999-12-31	2013-05-08
591 B	Norwegian Energy Company ASA	40.000000	23180930	4530695	9999-12-31	2013-05-08
591 B	Tullow Oil Norge AS	60.000000	23180930	23173852	9999-12-31	2013-05-08
090 F	Idemitsu Petroleum Norge AS	15.000000	23268186	441	9999-12-31	2013-05-08
090 F	ExxonMobil Exploration & Production Norway AS	25.000000	23268186	2835212	9999-12-31	2013-05-08
090 F	GDF SUEZ E&P Norge AS	15.000000	23268186	5267845	9999-12-31	2013-05-08
090 F	Statoil Petroleum AS	45.000000	23268186	17237817	9999-12-31	2013-05-08
090 G	Idemitsu Petroleum Norge AS	15.000000	23268222	441	9999-12-31	2013-05-08
090 G	ExxonMobil Exploration & Production Norway AS	25.000000	23268222	2835212	9999-12-31	2013-05-08
090 G	GDF SUEZ E&P Norge AS	15.000000	23268222	5267845	9999-12-31	2013-05-08
090 G	Statoil Petroleum AS	45.000000	23268222	17237817	9999-12-31	2013-05-08
090 HS	Idemitsu Petroleum Norge AS	15.000000	23297006	441	9999-12-31	2013-05-08
090 HS	Bayerngas Norge AS	25.000000	23297006	4444493	9999-12-31	2013-05-08
090 HS	GDF SUEZ E&P Norge AS	15.000000	23297006	5267845	9999-12-31	2013-05-08
090 HS	Statoil Petroleum AS	45.000000	23297006	17237817	9999-12-31	2013-05-08
248 C	Petoro AS	40.000000	23297103	1626839	2013-05-01	2013-05-08
248 C	Statoil Petroleum AS	60.000000	23297103	17237817	2013-05-01	2013-05-08
\.



COPY licence_petreg_licence_oper (ptlname, cmplongname, prlnpdidlicence, cmpnpdidcompany, ptloperdateupdated, datesyncnpd) FROM stdin;
001	ExxonMobil Exploration & Production Norway AS	20756	2835212	9999-12-31	2013-05-08
006	Total E&P Norge AS	20804	2410708	9999-12-31	2013-05-08
018	ConocoPhillips Skandinavia AS	20900	2410696	9999-12-31	2013-05-08
018 B	ConocoPhillips Skandinavia AS	20908	2410696	9999-12-31	2013-05-08
019	BP Norge AS	20916	2052695	9999-12-31	2013-05-08
019 B	Talisman Energy Norge AS	20924	2425093	9999-12-31	2013-05-08
024	Total E&P Norge AS	20964	2410708	9999-12-31	2013-05-08
026	Total E&P Norge AS	20980	2410708	9999-12-31	2013-05-08
027	ExxonMobil Exploration & Production Norway AS	20988	2835212	9999-12-31	2013-05-08
028	ExxonMobil Exploration & Production Norway AS	21004	2835212	9999-12-31	2013-05-08
029	ExxonMobil Exploration & Production Norway AS	21020	2835212	9999-12-31	2013-05-08
033	BP Norge AS	21052	2052695	9999-12-31	2013-05-08
034	Statoil Petroleum AS	21060	17237817	9999-12-31	2013-05-08
035	Det norske oljeselskap ASA	21068	17342870	9999-12-31	2013-05-08
036	Centrica Resources (Norge) AS	21076	4238233	9999-12-31	2013-05-08
037	Statoil Petroleum AS	21084	17237817	9999-12-31	2013-05-08
038	Talisman Energy Norge AS	21092	2425093	9999-12-31	2013-05-08
040	Total E&P Norge AS	21108	2410708	9999-12-31	2013-05-08
043	Total E&P Norge AS	21132	2410708	9999-12-31	2013-05-08
044	ConocoPhillips Skandinavia AS	21140	2410696	9999-12-31	2013-05-08
046	Statoil Petroleum AS	21156	17237817	9999-12-31	2013-05-08
050	Statoil Petroleum AS	21188	17237817	9999-12-31	2013-05-08
050 B	Statoil Petroleum AS	21196	17237817	9999-12-31	2013-05-08
051	Statoil Petroleum AS	21204	17237817	9999-12-31	2013-05-08
052	Statoil Petroleum AS	21212	17237817	9999-12-31	2013-05-08
053	Statoil Petroleum AS	21220	17237817	9999-12-31	2013-05-08
054	Statoil Petroleum AS	21228	17237817	9999-12-31	2013-05-08
055	Statoil Petroleum AS	21236	17237817	9999-12-31	2013-05-08
057	Statoil Petroleum AS	21252	17237817	9999-12-31	2013-05-08
062	Statoil Petroleum AS	21292	17237817	9999-12-31	2013-05-08
064	Statoil Petroleum AS	21308	17237817	9999-12-31	2013-05-08
065	BP Norge AS	21316	2052695	9999-12-31	2013-05-08
072	ExxonMobil Exploration & Production Norway AS	21372	2835212	9999-12-31	2013-05-08
073	Statoil Petroleum AS	21380	17237817	9999-12-31	2013-05-08
074	Statoil Petroleum AS	21388	17237817	9999-12-31	2013-05-08
077	Statoil Petroleum AS	21412	17237817	9999-12-31	2013-05-08
078	Statoil Petroleum AS	21420	17237817	9999-12-31	2013-05-08
085	Statoil Petroleum AS	21476	17237817	9999-12-31	2013-05-08
085 B	Statoil Petroleum AS	21484	17237817	9999-12-31	2013-05-08
088	Centrica Resources (Norge) AS	21508	4238233	9999-12-31	2013-05-08
089	Statoil Petroleum AS	21516	17237817	9999-12-31	2013-05-08
090	Statoil Petroleum AS	21524	17237817	9999-12-31	2013-05-08
091	Statoil Petroleum AS	21532	17237817	9999-12-31	2013-05-08
092	Statoil Petroleum AS	21540	17237817	9999-12-31	2013-05-08
093	A/S Norske Shell	21548	562	9999-12-31	2013-05-08
094	Statoil Petroleum AS	21556	17237817	9999-12-31	2013-05-08
095	ConocoPhillips Skandinavia AS	21564	2410696	9999-12-31	2013-05-08
097	Statoil Petroleum AS	21580	17237817	9999-12-31	2013-05-08
099	Statoil Petroleum AS	21596	17237817	9999-12-31	2013-05-08
100	Statoil Petroleum AS	21604	17237817	9999-12-31	2013-05-08
102	Total E&P Norge AS	21620	2410708	9999-12-31	2013-05-08
104	Statoil Petroleum AS	21636	17237817	9999-12-31	2013-05-08
107	Statoil Petroleum AS	21660	17237817	9999-12-31	2013-05-08
110	Statoil Petroleum AS	21684	17237817	9999-12-31	2013-05-08
113	DONG E&P Norge AS	21708	4070011	9999-12-31	2013-05-08
120	Statoil Petroleum AS	21772	17237817	9999-12-31	2013-05-08
121	Statoil Petroleum AS	21780	17237817	9999-12-31	2013-05-08
122	Eni Norge AS	21788	2388594	9999-12-31	2013-05-08
124	Statoil Petroleum AS	21804	17237817	9999-12-31	2013-05-08
127	Total E&P Norge AS	21828	2410708	9999-12-31	2013-05-08
128	Statoil Petroleum AS	21836	17237817	9999-12-31	2013-05-08
132	Statoil Petroleum AS	21868	17237817	9999-12-31	2013-05-08
134	Statoil Petroleum AS	21884	17237817	9999-12-31	2013-05-08
143	ConocoPhillips Skandinavia AS	21956	2410696	9999-12-31	2013-05-08
145	ConocoPhillips Skandinavia AS	21972	2410696	9999-12-31	2013-05-08
146	Statoil Petroleum AS	21980	17237817	9999-12-31	2013-05-08
147	DONG E&P Norge AS	21988	4070011	9999-12-31	2013-05-08
148	Lundin Norway AS	21996	2767314	9999-12-31	2013-05-08
150	Marathon Oil Norge AS	22012	20485291	9999-12-31	2013-05-08
152	Statoil Petroleum AS	22028	17237817	9999-12-31	2013-05-08
153	GDF SUEZ E&P Norge AS	22036	5267845	9999-12-31	2013-05-08
158	A/S Norske Shell	22076	562	9999-12-31	2013-05-08
159	Statoil Petroleum AS	22084	17237817	9999-12-31	2013-05-08
167	Statoil Petroleum AS	22148	17237817	9999-12-31	2013-05-08
169	Statoil Petroleum AS	22164	17237817	9999-12-31	2013-05-08
176	A/S Norske Shell	22220	562	9999-12-31	2013-05-08
185	Statoil Petroleum AS	22292	17237817	9999-12-31	2013-05-08
187	Statoil Petroleum AS	22308	17237817	9999-12-31	2013-05-08
190	Statoil Petroleum AS	22332	17237817	9999-12-31	2013-05-08
193	Statoil Petroleum AS	22356	17237817	9999-12-31	2013-05-08
195	Statoil Petroleum AS	22372	17237817	9999-12-31	2013-05-08
199	Statoil Petroleum AS	22404	17237817	9999-12-31	2013-05-08
201	Eni Norge AS	22420	2388594	9999-12-31	2013-05-08
203	Marathon Oil Norge AS	22436	20485291	9999-12-31	2013-05-08
208	BP Norge AS	22476	2052695	9999-12-31	2013-05-08
209	Statoil Petroleum AS	22484	17237817	9999-12-31	2013-05-08
211	Total E&P Norge AS	22500	2410708	9999-12-31	2013-05-08
212	BP Norge AS	22508	2052695	9999-12-31	2013-05-08
218	Statoil Petroleum AS	22556	17237817	9999-12-31	2013-05-08
219	Statoil Petroleum AS	22564	17237817	9999-12-31	2013-05-08
220	Statoil Petroleum AS	22572	17237817	9999-12-31	2013-05-08
226	Statoil Petroleum AS	22620	17237817	9999-12-31	2013-05-08
229	Eni Norge AS	22644	2388594	9999-12-31	2013-05-08
230	Statoil Petroleum AS	22652	17237817	9999-12-31	2013-05-08
025	Statoil Petroleum AS	34512	17237817	9999-12-31	2013-05-08
079	Statoil Petroleum AS	34635	17237817	9999-12-31	2013-05-08
103 B	Det norske oljeselskap ASA	40772	17342870	9999-12-31	2013-05-08
237	Statoil Petroleum AS	41327	17237817	9999-12-31	2013-05-08
128 B	Statoil Petroleum AS	41361	17237817	9999-12-31	2013-05-08
019 C	Talisman Energy Norge AS	47992	2425093	9999-12-31	2013-05-08
037 B	Statoil Petroleum AS	48081	17237817	9999-12-31	2013-05-08
053 B	Statoil Petroleum AS	48207	17237817	9999-12-31	2013-05-08
242	Det norske oljeselskap ASA	102226	17342870	9999-12-31	2013-05-08
248	Statoil Petroleum AS	102285	17237817	9999-12-31	2013-05-08
249	Centrica Resources (Norge) AS	102294	4238233	9999-12-31	2013-05-08
050 C	Statoil Petroleum AS	102490	17237817	9999-12-31	2013-05-08
055 B	Statoil Petroleum AS	102499	17237817	9999-12-31	2013-05-08
250	A/S Norske Shell	115537	562	9999-12-31	2013-05-08
037 C	Wintershall Norge AS	853671	21666830	9999-12-31	2013-05-08
001 B	Det norske oljeselskap ASA	917266	17342870	9999-12-31	2013-05-08
027 B	ExxonMobil Exploration & Production Norway AS	917344	2835212	9999-12-31	2013-05-08
028 B	Det norske oljeselskap ASA	917484	17342870	9999-12-31	2013-05-08
134 B	Statoil Petroleum AS	1025257	17237817	9999-12-31	2013-05-08
169 B1	Statoil Petroleum AS	1030964	17237817	9999-12-31	2013-05-08
169 B2	Statoil Petroleum AS	1031002	17237817	9999-12-31	2013-05-08
255	A/S Norske Shell	1032979	562	9999-12-31	2013-05-08
257	Statoil Petroleum AS	1033013	17237817	9999-12-31	2013-05-08
261	BP Norge AS	1033077	2052695	9999-12-31	2013-05-08
262	BP Norge AS	1033093	2052695	9999-12-31	2013-05-08
263	Statoil Petroleum AS	1033111	17237817	9999-12-31	2013-05-08
006 B	BP Norge AS	1333048	2052695	9999-12-31	2013-05-08
006 C	Lundin Norway AS	1333089	2767314	9999-12-31	2013-05-08
027 C	ExxonMobil Exploration & Production Norway AS	1333301	2835212	2013-05-03	2013-05-08
028 C	Statoil Petroleum AS	1333344	17237817	9999-12-31	2013-05-08
171 B	Statoil Petroleum AS	1333384	17237817	9999-12-31	2013-05-08
048 B	Statoil Petroleum AS	1342723	17237817	9999-12-31	2013-05-08
033 B	BP Norge AS	1622353	2052695	9999-12-31	2013-05-08
265	Statoil Petroleum AS	1624237	17237817	9999-12-31	2013-05-08
269	Statoil Petroleum AS	1624410	17237817	9999-12-31	2013-05-08
270	VNG Norge AS	1624436	17237193	9999-12-31	2013-05-08
029 B	Statoil Petroleum AS	1626782	17237817	9999-12-31	2013-05-08
072 B	ExxonMobil Exploration & Production Norway AS	1630345	2835212	9999-12-31	2013-05-08
052 B	Statoil Petroleum AS	1840712	17237817	9999-12-31	2013-05-08
085 C	Statoil Petroleum AS	2051285	17237817	9999-12-31	2013-05-08
272	Statoil Petroleum AS	2060232	17237817	9999-12-31	2013-05-08
274	DONG E&P Norge AS	2060266	4070011	9999-12-31	2013-05-08
275	ConocoPhillips Skandinavia AS	2060278	2410696	9999-12-31	2013-05-08
277	Statoil Petroleum AS	2060336	17237817	9999-12-31	2013-05-08
094 B	Statoil Petroleum AS	2092082	17237817	9999-12-31	2013-05-08
212 B	BP Norge AS	2092275	2052695	9999-12-31	2013-05-08
122 B	Eni Norge AS	2134110	2388594	9999-12-31	2013-05-08
018 C	Maersk Oil Norway AS	2246113	4719674	9999-12-31	2013-05-08
289	DONG E&P Norge AS	2407454	4070011	9999-12-31	2013-05-08
292	BG Norge AS	2407572	2747354	2013-05-07	2013-05-08
293	Eni Norge AS	2407711	2388594	9999-12-31	2013-05-08
167 B	Statoil Petroleum AS	2407874	17237817	9999-12-31	2013-05-08
055 C	Statoil Petroleum AS	2424830	17237817	9999-12-31	2013-05-08
143 BS	Talisman Energy Norge AS	2424891	2425093	9999-12-31	2013-05-08
036 BS	Statoil Petroleum AS	2473189	17237817	9999-12-31	2013-05-08
036 C	Marathon Oil Norge AS	2473241	20485291	9999-12-31	2013-05-08
299	Talisman Energy Norge AS	2490320	2425093	9999-12-31	2013-05-08
300	BP Norge AS	2490354	2052695	9999-12-31	2013-05-08
301	Lundin Norway AS	2490380	2767314	9999-12-31	2013-05-08
312	Statoil Petroleum AS	2491196	17237817	9999-12-31	2013-05-08
316	Talisman Energy Norge AS	2786469	2425093	9999-12-31	2013-05-08
318	Statoil Petroleum AS	2786586	17237817	9999-12-31	2013-05-08
327	Statoil Petroleum AS	2786915	17237817	9999-12-31	2013-05-08
330	RWE Dea Norge AS	2787040	97557	9999-12-31	2013-05-08
037 D	Wintershall Norge AS	2787322	21666830	9999-12-31	2013-05-08
088 BS	Marathon Oil Norge AS	2787418	20485291	9999-12-31	2013-05-08
159 B	Statoil Petroleum AS	2819945	17237817	9999-12-31	2013-05-08
332	Talisman Energy Norge AS	2986240	2425093	9999-12-31	2013-05-08
333	Statoil Petroleum AS	2986266	17237817	9999-12-31	2013-05-08
338	Lundin Norway AS	2986578	2767314	9999-12-31	2013-05-08
340	Marathon Oil Norge AS	2986630	20485291	9999-12-31	2013-05-08
348	Statoil Petroleum AS	2987047	17237817	9999-12-31	2013-05-08
073 B	Statoil Petroleum AS	2987414	17237817	9999-12-31	2013-05-08
122 C	Eni Norge AS	2987454	2388594	9999-12-31	2013-05-08
037 E	Statoil Petroleum AS	3000656	17237817	9999-12-31	2013-05-08
110 B	Statoil Petroleum AS	3001885	17237817	9999-12-31	2013-05-08
090 B	Statoil Petroleum AS	3426781	17237817	9999-12-31	2013-05-08
090 C	Statoil Petroleum AS	3426824	17237817	9999-12-31	2013-05-08
048 D	Statoil Petroleum AS	3489553	17237817	9999-12-31	2013-05-08
359	Lundin Norway AS	3810373	2767314	9999-12-31	2013-05-08
360	Statoil Petroleum AS	3810387	17237817	9999-12-31	2013-05-08
362	Centrica Resources (Norge) AS	3810565	4238233	9999-12-31	2013-05-08
364	Det norske oljeselskap ASA	3810636	17342870	9999-12-31	2013-05-08
370	Wintershall Norge AS	3810959	21666830	9999-12-31	2013-05-08
373 S	BG Norge AS	3811116	2747354	2013-05-07	2013-05-08
374 S	BG Norge AS	3811171	2747354	9999-12-31	2013-05-08
375	Suncor Energy Norge AS	3811214	20426420	9999-12-31	2013-05-08
378	Wintershall Norge AS	3811312	21666830	9999-12-31	2013-05-08
382	BP Norge AS	3811444	2052695	9999-12-31	2013-05-08
385	Statoil Petroleum AS	3811602	17237817	9999-12-31	2013-05-08
386	Statoil Petroleum AS	3811659	17237817	9999-12-31	2013-05-08
043 BS	Total E&P Norge AS	3811810	2410708	9999-12-31	2013-05-08
122 D	Eni Norge AS	3811939	2388594	9999-12-31	2013-05-08
134 C	Statoil Petroleum AS	3812006	17237817	9999-12-31	2013-05-08
195 B	Statoil Petroleum AS	3812021	17237817	9999-12-31	2013-05-08
248 B	Statoil Petroleum AS	3812058	17237817	9999-12-31	2013-05-08
263 B	Statoil Petroleum AS	3812093	17237817	9999-12-31	2013-05-08
393	Statoil Petroleum AS	3965277	17237817	9999-12-31	2013-05-08
395	Statoil Petroleum AS	3965360	17237817	9999-12-31	2013-05-08
110 C	Statoil Petroleum AS	3986340	17237817	9999-12-31	2013-05-08
038 C	Talisman Energy Norge AS	4005057	2425093	9999-12-31	2013-05-08
046 B	Statoil Petroleum AS	4227611	17237817	9999-12-31	2013-05-08
046 BS	Statoil Petroleum AS	4227659	17237817	9999-12-31	2013-05-08
440 S	Faroe Petroleum Norge AS	4237161	4062883	9999-12-31	2013-05-08
405	Centrica Resources (Norge) AS	4237284	4238233	9999-12-31	2013-05-08
407	BG Norge AS	4237300	2747354	9999-12-31	2013-05-08
406	Premier Oil Norge AS	4237318	3482067	9999-12-31	2013-05-08
316 B	Talisman Energy Norge AS	4237334	2425093	9999-12-31	2013-05-08
410	Lundin Norway AS	4237458	2767314	9999-12-31	2013-05-08
409	Lundin Norway AS	4237470	2767314	9999-12-31	2013-05-08
442	Centrica Resources (Norge) AS	4237510	4238233	9999-12-31	2013-05-08
414	Det norske oljeselskap ASA	4237582	17342870	9999-12-31	2013-05-08
050 D	Statoil Petroleum AS	4237912	17237817	9999-12-31	2013-05-08
318 B	Statoil Petroleum AS	4238138	17237817	9999-12-31	2013-05-08
418	Wintershall Norge AS	4238348	21666830	9999-12-31	2013-05-08
420	RWE Dea Norge AS	4238409	97557	9999-12-31	2013-05-08
211 B	Total E&P Norge AS	4238638	2410708	9999-12-31	2013-05-08
433	Centrica Resources (Norge) AS	4238654	4238233	9999-12-31	2013-05-08
435	RWE Dea Norge AS	4238696	97557	9999-12-31	2013-05-08
448	Statoil Petroleum AS	4238790	17237817	9999-12-31	2013-05-08
438	Lundin Norway AS	4238812	2767314	9999-12-31	2013-05-08
050 DS	Statoil Petroleum AS	4380141	17237817	9999-12-31	2013-05-08
120 B	Statoil Petroleum AS	4380181	17237817	9999-12-31	2013-05-08
229 B	Eni Norge AS	4461754	2388594	9999-12-31	2013-05-08
327 B	Statoil Petroleum AS	4720054	17237817	9999-12-31	2013-05-08
274 CS	DONG E&P Norge AS	4909658	4070011	9999-12-31	2013-05-08
450	Det norske oljeselskap ASA	4909784	17342870	9999-12-31	2013-05-08
455	Lotos Exploration and Production Norge AS	4909816	5064434	9999-12-31	2013-05-08
453 S	Lundin Norway AS	4909893	2767314	9999-12-31	2013-05-08
457	Wintershall Norge AS	4910110	21666830	9999-12-31	2013-05-08
153 B	GDF SUEZ E&P Norge AS	4918242	5267845	9999-12-31	2013-05-08
475	Wintershall Norge AS	4918410	21666830	9999-12-31	2013-05-08
405 B	Centrica Resources (Norge) AS	4918473	4238233	9999-12-31	2013-05-08
074 B	Statoil Petroleum AS	4918544	17237817	9999-12-31	2013-05-08
473	Statoil Petroleum AS	4920841	17237817	9999-12-31	2013-05-08
479	Statoil Petroleum AS	4920979	17237817	9999-12-31	2013-05-08
477	Centrica Resources (Norge) AS	4921022	4238233	9999-12-31	2013-05-08
490	Lundin Norway AS	4921353	2767314	9999-12-31	2013-05-08
489	Eni Norge AS	4921522	2388594	9999-12-31	2013-05-08
484	Noreco Norway AS	4921632	22223020	9999-12-31	2013-05-08
492	Lundin Norway AS	4925088	2767314	9999-12-31	2013-05-08
159 C	Statoil Petroleum AS	4939362	17237817	9999-12-31	2013-05-08
159 D	Statoil Petroleum AS	4939421	17237817	9999-12-31	2013-05-08
027 D	Det norske oljeselskap ASA	4943160	17342870	9999-12-31	2013-05-08
263 C	Statoil Petroleum AS	4966437	17237817	9999-12-31	2013-05-08
212 E	BP Norge AS	4966902	2052695	9999-12-31	2013-05-08
036 D	Marathon Oil Norge AS	5081703	20485291	9999-12-31	2013-05-08
035 B	Centrica Resources (Norge) AS	5105684	4238233	9999-12-31	2013-05-08
494	Det norske oljeselskap ASA	5105899	17342870	2013-04-06	2013-05-08
495	Lundin Norway AS	5105968	2767314	9999-12-31	2013-05-08
497	Det norske oljeselskap ASA	5106073	17342870	9999-12-31	2013-05-08
498	Lotos Exploration and Production Norge AS	5106134	5064434	9999-12-31	2013-05-08
499 S	ConocoPhillips Skandinavia AS	5106238	2410696	9999-12-31	2013-05-08
500	Statoil Petroleum AS	5106274	17237817	9999-12-31	2013-05-08
501	Lundin Norway AS	5106314	2767314	9999-12-31	2013-05-08
502	Statoil Petroleum AS	5106378	17237817	9999-12-31	2013-05-08
503	Lotos Exploration and Production Norge AS	5106405	5064434	9999-12-31	2013-05-08
504	Det norske oljeselskap ASA	5106455	17342870	9999-12-31	2013-05-08
505	Marathon Oil Norge AS	5106486	20485291	9999-12-31	2013-05-08
506 S	Rocksource Exploration Norway AS	5106544	22528729	9999-12-31	2013-05-08
507	Wintershall Norge AS	5106689	21666830	9999-12-31	2013-05-08
509 S	Wintershall Norge AS	5106880	21666830	9999-12-31	2013-05-08
510	Maersk Oil Norway AS	5106991	4719674	2013-02-15	2013-05-08
516	Statoil Petroleum AS	5107101	17237817	9999-12-31	2013-05-08
513	Maersk Oil Norway AS	5107217	4719674	9999-12-31	2013-05-08
512	Det norske oljeselskap ASA	5107312	17342870	9999-12-31	2013-05-08
107 B	Statoil Petroleum AS	5107376	17237817	9999-12-31	2013-05-08
511	Wintershall Norge AS	5107428	21666830	9999-12-31	2013-05-08
292 B	BG Norge AS	5107501	2747354	9999-12-31	2013-05-08
193 B	Statoil Petroleum AS	5107611	17237817	9999-12-31	2013-05-08
475 BS	Wintershall Norge AS	5107669	21666830	9999-12-31	2013-05-08
107 C	Statoil Petroleum AS	5115394	17237817	9999-12-31	2013-05-08
519	Lundin Norway AS	5463084	2767314	9999-12-31	2013-05-08
318 C	Statoil Petroleum AS	5463114	17237817	9999-12-31	2013-05-08
520	ExxonMobil Exploration & Production Norway AS	5463136	2835212	9999-12-31	2013-05-08
521	Statoil Petroleum AS	5463210	17237817	9999-12-31	2013-05-08
522	BG Norge AS	5463248	2747354	9999-12-31	2013-05-08
525	Noreco Norway AS	5463362	22223020	9999-12-31	2013-05-08
526	North Energy ASA	5463391	18082156	9999-12-31	2013-05-08
527	Chevron Norge AS	5463429	3488906	9999-12-31	2013-05-08
528	Centrica Resources (Norge) AS	5463521	4238233	9999-12-31	2013-05-08
529	Eni Norge AS	5463559	2388594	9999-12-31	2013-05-08
531	Repsol Exploration Norge AS	5463621	17237506	9999-12-31	2013-05-08
532	Statoil Petroleum AS	5463659	17237817	9999-12-31	2013-05-08
533	Eni Norge AS	5463724	2388594	9999-12-31	2013-05-08
534	BG Norge AS	5463753	2747354	9999-12-31	2013-05-08
535	Total E&P Norge AS	5463791	2410708	9999-12-31	2013-05-08
537	OMV (Norge) AS	5463849	4460594	9999-12-31	2013-05-08
102 C	Total E&P Norge AS	5467035	2410708	9999-12-31	2013-05-08
169 C	Det norske oljeselskap ASA	5479914	17342870	9999-12-31	2013-05-08
019 D	Talisman Energy Norge AS	5488531	2425093	9999-12-31	2013-05-08
038 D	Talisman Energy Norge AS	5500999	2425093	9999-12-31	2013-05-08
539	Premier Oil Norge AS	17320077	3482067	9999-12-31	2013-05-08
541	Repsol Exploration Norge AS	17320130	17237506	9999-12-31	2013-05-08
542	Det norske oljeselskap ASA	17320156	17342870	9999-12-31	2013-05-08
497 B	Det norske oljeselskap ASA	17320202	17342870	9999-12-31	2013-05-08
544	Lundin Norway AS	17320260	2767314	9999-12-31	2013-05-08
546	Lundin Norway AS	17320338	2767314	9999-12-31	2013-05-08
169 D	Statoil Petroleum AS	17320383	17237817	9999-12-31	2013-05-08
340 BS	Marathon Oil Norge AS	17320421	20485291	9999-12-31	2013-05-08
504 BS	Det norske oljeselskap ASA	17320469	17342870	9999-12-31	2013-05-08
505 BS	Marathon Oil Norge AS	17320530	20485291	9999-12-31	2013-05-08
549 S	Det norske oljeselskap ASA	17320558	17342870	9999-12-31	2013-05-08
550	Tullow Oil Norge AS	17320594	23173852	2013-02-21	2013-05-08
551	Tullow Oil Norge AS	17642019	23173852	2013-02-20	2013-05-08
090 E	Statoil Petroleum AS	17642079	17237817	9999-12-31	2013-05-08
552	Statoil Petroleum AS	17642108	17237817	9999-12-31	2013-05-08
553	Det norske oljeselskap ASA	17646365	17342870	9999-12-31	2013-05-08
554	Total E&P Norge AS	17654471	2410708	9999-12-31	2013-05-08
555	Lundin Norway AS	17654533	2767314	9999-12-31	2013-05-08
093 B	A/S Norske Shell	17654585	562	9999-12-31	2013-05-08
312 B	Statoil Petroleum AS	17654614	17237817	9999-12-31	2013-05-08
557	OMV (Norge) AS	17654641	4460594	9999-12-31	2013-05-08
477 B	Centrica Resources (Norge) AS	17654703	4238233	9999-12-31	2013-05-08
558	E.ON E&P Norge AS	17654732	21631209	9999-12-31	2013-05-08
559	Rocksource Exploration Norway AS	17654775	22528729	9999-12-31	2013-05-08
562	E.ON E&P Norge AS	17654921	21631209	9999-12-31	2013-05-08
563	Lundin Norway AS	17655034	2767314	9999-12-31	2013-05-08
564	OMV (Norge) AS	17655076	4460594	9999-12-31	2013-05-08
028 S	ExxonMobil Exploration & Production Norway AS	18054740	2835212	9999-12-31	2013-05-08
043 CS	Total E&P Norge AS	18116800	2410708	9999-12-31	2013-05-08
043 DS	Total E&P Norge AS	18116829	2410708	9999-12-31	2013-05-08
393 B	Statoil Petroleum AS	18404594	17237817	9999-12-31	2013-05-08
048 E	Statoil Petroleum AS	18450020	17237817	9999-12-31	2013-05-08
565	Premier Oil Norge AS	20088435	3482067	9999-12-31	2013-05-08
566 S	Premier Oil Norge AS	20088461	3482067	9999-12-31	2013-05-08
494 B	Det norske oljeselskap ASA	20088555	17342870	2013-04-06	2013-05-08
567	Premier Oil Norge AS	20088593	3482067	9999-12-31	2013-05-08
301 D	Lundin Norway AS	20088622	2767314	9999-12-31	2013-05-08
568	Talisman Energy Norge AS	20088760	2425093	9999-12-31	2013-05-08
360 B	Statoil Petroleum AS	20107847	17237817	9999-12-31	2013-05-08
569	Statoil Petroleum AS	20107876	17237817	9999-12-31	2013-05-08
503 B	Lotos Exploration and Production Norge AS	20107903	5064434	9999-12-31	2013-05-08
501 B	Lundin Norway AS	20107950	2767314	2013-05-03	2013-05-08
570	VNG Norge AS	20107979	17237193	9999-12-31	2013-05-08
571	Suncor Energy Norge AS	20108024	20426420	9999-12-31	2013-05-08
150 B	Marathon Oil Norge AS	20108072	20485291	9999-12-31	2013-05-08
506 BS	Rocksource Exploration Norway AS	20108101	22528729	9999-12-31	2013-05-08
506 CS	Rocksource Exploration Norway AS	20108128	22528729	9999-12-31	2013-05-08
573 S	Det norske oljeselskap ASA	20108194	17342870	9999-12-31	2013-05-08
574	Statoil Petroleum AS	20108260	17237817	9999-12-31	2013-05-08
309 B	Statoil Petroleum AS	20108378	17237817	9999-12-31	2013-05-08
193 C	Statoil Petroleum AS	20108409	17237817	9999-12-31	2013-05-08
577	Wintershall Norge AS	20108473	21666830	9999-12-31	2013-05-08
554 B	Total E&P Norge AS	20108509	2410708	9999-12-31	2013-05-08
578	Idemitsu Petroleum Norge AS	20108565	441	9999-12-31	2013-05-08
375 B	Suncor Energy Norge AS	20108600	20426420	9999-12-31	2013-05-08
370 B	Wintershall Norge AS	20108642	21666830	9999-12-31	2013-05-08
579	Lundin Norway AS	20108664	2767314	9999-12-31	2013-05-08
580	Statoil Petroleum AS	20108700	17237817	9999-12-31	2013-05-08
581	Dana Petroleum Norway AS	20108743	4526555	9999-12-31	2013-05-08
582	RWE Dea Norge AS	20108820	97557	9999-12-31	2013-05-08
583	Tullow Oil Norge AS	20109004	23173852	2013-02-20	2013-05-08
584	Lundin Norway AS	20109082	2767314	9999-12-31	2013-05-08
585	Total E&P Norge AS	20109152	2410708	9999-12-31	2013-05-08
586	VNG Norge AS	20109200	17237193	9999-12-31	2013-05-08
587	Edison International Norway Branch	20109234	17237180	9999-12-31	2013-05-08
348 B	Statoil Petroleum AS	20109261	17237817	9999-12-31	2013-05-08
589	Wintershall Norge AS	20109325	21666830	9999-12-31	2013-05-08
475 CS	Wintershall Norge AS	20109375	21666830	9999-12-31	2013-05-08
590	North Energy ASA	20109438	18082156	9999-12-31	2013-05-08
591	Tullow Oil Norge AS	20109475	23173852	2013-02-20	2013-05-08
592	Centrica Resources (Norge) AS	20109566	4238233	9999-12-31	2013-05-08
595	Edison International Norway Branch	20109655	17237180	9999-12-31	2013-05-08
596	ExxonMobil Exploration & Production Norway AS	20428440	2835212	9999-12-31	2013-05-08
597	VNG Norge AS	20428525	17237193	9999-12-31	2013-05-08
599	BG Norge AS	20428552	2747354	9999-12-31	2013-05-08
600	Dana Petroleum Norway AS	20428617	4526555	9999-12-31	2013-05-08
598	Chevron Norge AS	20428655	3488906	9999-12-31	2013-05-08
601	Wintershall Norge AS	20428711	21666830	9999-12-31	2013-05-08
602	Statoil Petroleum AS	20428749	17237817	9999-12-31	2013-05-08
603	Statoil Petroleum AS	20428814	17237817	9999-12-31	2013-05-08
218 B	Statoil Petroleum AS	20428874	17237817	9999-12-31	2013-05-08
528 B	Centrica Resources (Norge) AS	20428963	4238233	9999-12-31	2013-05-08
604	Suncor Energy Norge AS	20428990	20426420	9999-12-31	2013-05-08
605	ConocoPhillips Skandinavia AS	20429042	2410696	9999-12-31	2013-05-08
606	OMV (Norge) AS	20429078	4460594	9999-12-31	2013-05-08
607	GDF SUEZ E&P Norge AS	20429121	5267845	9999-12-31	2013-05-08
608	Statoil Petroleum AS	20429159	17237817	9999-12-31	2013-05-08
609	Lundin Norway AS	20429186	2767314	9999-12-31	2013-05-08
610	GDF SUEZ E&P Norge AS	20429259	5267845	9999-12-31	2013-05-08
611	Wintershall Norge AS	20429303	21666830	9999-12-31	2013-05-08
226 B	Statoil Petroleum AS	20429377	17237817	9999-12-31	2013-05-08
613	DONG E&P Norge AS	20429419	4070011	9999-12-31	2013-05-08
612	GDF SUEZ E&P Norge AS	20429462	5267845	9999-12-31	2013-05-08
614	Statoil Petroleum AS	20429507	17237817	9999-12-31	2013-05-08
615	Statoil Petroleum AS	20429544	17237817	9999-12-31	2013-05-08
303 B	Statoil Petroleum AS	20499620	17237817	2013-03-12	2013-05-08
309 C	Statoil Petroleum AS	21104663	17237817	9999-12-31	2013-05-08
107 D	Statoil Petroleum AS	21124705	17237817	9999-12-31	2013-05-08
169 E	Statoil Petroleum AS	21124742	17237817	9999-12-31	2013-05-08
018 DS	Maersk Oil Norway AS	21139552	4719674	9999-12-31	2013-05-08
193 D	Statoil Petroleum AS	21349950	17237817	9999-12-31	2013-05-08
046 C	Statoil Petroleum AS	21350140	17237817	9999-12-31	2013-05-08
072 C	Statoil Petroleum AS	21350207	17237817	9999-12-31	2013-05-08
659	Det norske oljeselskap ASA	21558636	17342870	9999-12-31	2013-05-08
658	DONG E&P Norge AS	21558820	4070011	9999-12-31	2013-05-08
657	Eni Norge AS	21558872	2388594	9999-12-31	2013-05-08
656	E.ON E&P Norge AS	21558940	21631209	9999-12-31	2013-05-08
655	Wintershall Norge AS	21558998	21666830	9999-12-31	2013-05-08
654	RWE Dea Norge AS	21559027	97557	9999-12-31	2013-05-08
653	RWE Dea Norge AS	21559076	97557	9999-12-31	2013-05-08
651	E.ON E&P Norge AS	21559146	21631209	9999-12-31	2013-05-08
650	E.ON E&P Norge AS	21559201	21631209	9999-12-31	2013-05-08
035 C	Statoil Petroleum AS	21559372	17237817	2013-03-19	2013-05-08
046 D	Statoil Petroleum AS	21559399	17237817	2013-02-05	2013-05-08
639	Tullow Oil Norge AS	21559426	23173852	2013-02-20	2013-05-08
640	Talisman Energy Norge AS	21559488	2425093	9999-12-31	2013-05-08
641	VNG Norge AS	21559540	17237193	9999-12-31	2013-05-08
642	Repsol Exploration Norge AS	21559610	17237506	9999-12-31	2013-05-08
644	OMV (Norge) AS	21559648	4460594	9999-12-31	2013-05-08
645	Faroe Petroleum Norge AS	21559709	4062883	9999-12-31	2013-05-08
646	Wintershall Norge AS	21559761	21666830	9999-12-31	2013-05-08
647	Maersk Oil Norway AS	21559805	4719674	9999-12-31	2013-05-08
648 S	PGNiG Norway AS	21559877	4505831	9999-12-31	2013-05-08
649	VNG Norge AS	21559950	17237193	9999-12-31	2013-05-08
619	Total E&P Norge AS	21560040	2410708	9999-12-31	2013-05-08
495 B	Lundin Norway AS	21560089	2767314	9999-12-31	2013-05-08
620	Faroe Petroleum Norge AS	21560115	4062883	9999-12-31	2013-05-08
622	Premier Oil Norge AS	21560182	3482067	9999-12-31	2013-05-08
623	Talisman Energy Norge AS	21560239	2425093	9999-12-31	2013-05-08
506 DS	Rocksource Exploration Norway AS	21560284	22528729	9999-12-31	2013-05-08
624	Statoil Petroleum AS	21560318	17237817	9999-12-31	2013-05-08
625	Lundin Norway AS	21560380	2767314	9999-12-31	2013-05-08
626	Det norske oljeselskap ASA	21560418	17342870	9999-12-31	2013-05-08
513 B	Maersk Oil Norway AS	21560453	4719674	9999-12-31	2013-05-08
627	Total E&P Norge AS	21560469	2410708	9999-12-31	2013-05-08
628	Statoil Petroleum AS	21560616	17237817	9999-12-31	2013-05-08
629	Bridge Energy Norge AS	21560683	18178215	9999-12-31	2013-05-08
630	Statoil Petroleum AS	21560745	17237817	9999-12-31	2013-05-08
631	Lundin Norway AS	21560844	2767314	9999-12-31	2013-05-08
557 B	OMV (Norge) AS	21560889	4460594	9999-12-31	2013-05-08
632	Statoil Petroleum AS	21560912	17237817	9999-12-31	2013-05-08
633	Wintershall Norge AS	21560982	21666830	9999-12-31	2013-05-08
634	GDF SUEZ E&P Norge AS	21561057	5267845	9999-12-31	2013-05-08
635	Bayerngas Norge AS	21561115	4444493	9999-12-31	2013-05-08
636	GDF SUEZ E&P Norge AS	21561151	5267845	9999-12-31	2013-05-08
637	Suncor Energy Norge AS	21561194	20426420	9999-12-31	2013-05-08
638	BG Norge AS	21561239	2747354	9999-12-31	2013-05-08
597 B	VNG Norge AS	21561308	17237193	9999-12-31	2013-05-08
643	VNG Norge AS	21561387	17237193	9999-12-31	2013-05-08
609 B	Lundin Norway AS	21561445	2767314	9999-12-31	2013-05-08
616	Edison International Norway Branch	21561481	17237180	9999-12-31	2013-05-08
617	Valiant Petroleum Norge AS	21561629	21104529	9999-12-31	2013-05-08
618	Total E&P Norge AS	21561689	2410708	9999-12-31	2013-05-08
102 E	Total E&P Norge AS	21568578	2410708	9999-12-31	2013-05-08
102 D	Total E&P Norge AS	21568785	2410708	9999-12-31	2013-05-08
375 C	Suncor Energy Norge AS	21569065	20426420	9999-12-31	2013-05-08
414 B	Det norske oljeselskap ASA	21569107	17342870	9999-12-31	2013-05-08
494 C	Det norske oljeselskap ASA	21569178	17342870	2013-04-06	2013-05-08
050 ES	Statoil Petroleum AS	21668200	17237817	9999-12-31	2013-05-08
050 FS	Statoil Petroleum AS	21668235	17237817	9999-12-31	2013-05-08
050 GS	Statoil Petroleum AS	21668262	17237817	9999-12-31	2013-05-08
050 HS	Statoil Petroleum AS	21668287	17237817	9999-12-31	2013-05-08
293 B	Eni Norge AS	21695786	2388594	9999-12-31	2013-05-08
029 C	Total E&P Norge AS	22493034	2410708	9999-12-31	2013-05-08
037 F	Statoil Petroleum AS	22813049	17237817	9999-12-31	2013-05-08
055 D	StatoilHydro Petroleum AS	22813096	4511658	9999-12-31	2013-05-08
091 D	Statoil Petroleum AS	22813131	17237817	9999-12-31	2013-05-08
093 C	A/S Norske Shell	22813180	562	9999-12-31	2013-05-08
190 B	Statoil Petroleum AS	22813207	17237817	9999-12-31	2013-05-08
203 B	Marathon Oil Norge AS	22813239	20485291	9999-12-31	2013-05-08
509 BS	Wintershall Norge AS	22813272	21666830	9999-12-31	2013-05-08
542 B	Det norske oljeselskap ASA	22813299	17342870	9999-12-31	2013-05-08
660	Faroe Petroleum Norge AS	22815555	4062883	9999-12-31	2013-05-08
661	Total E&P Norge AS	22815589	2410708	9999-12-31	2013-05-08
662	Total E&P Norge AS	22815632	2410708	9999-12-31	2013-05-08
663	Det norske oljeselskap ASA	22815661	17342870	9999-12-31	2013-05-08
664 S	Talisman Energy Norge AS	22815702	2425093	9999-12-31	2013-05-08
665 S	Faroe Petroleum Norge AS	22815738	4062883	9999-12-31	2013-05-08
666	Centrica Resources (Norge) AS	22815785	4238233	9999-12-31	2013-05-08
667	Total E&P Norge AS	22815830	2410708	9999-12-31	2013-05-08
668	Centrica Resources (Norge) AS	22815873	4238233	9999-12-31	2013-05-08
669	DONG E&P Norge AS	22815914	4070011	9999-12-31	2013-05-08
670	Tullow Oil Norge AS	22815949	23173852	9999-12-31	2013-05-08
671	Maersk Oil Norway AS	22816003	4719674	9999-12-31	2013-05-08
672	Talisman Energy Norge AS	22816061	2425093	9999-12-31	2013-05-08
673	VNG Norge AS	22816103	17237193	9999-12-31	2013-05-08
674	E.ON E&P Norge AS	22816134	21631209	9999-12-31	2013-05-08
675	Statoil Petroleum AS	22816217	17237817	9999-12-31	2013-05-08
676 S	Faroe Petroleum Norge AS	22816262	4062883	9999-12-31	2013-05-08
677	Det norske oljeselskap ASA	22816357	17342870	9999-12-31	2013-05-08
678 S	Wintershall Norge AS	22816406	21666830	9999-12-31	2013-05-08
679 S	BG Norge AS	22816484	2747354	9999-12-31	2013-05-08
680	Tullow Oil Norge AS	22816583	23173852	9999-12-31	2013-05-08
681	Tullow Oil Norge AS	22816639	23173852	9999-12-31	2013-05-08
682	Bayerngas Norge AS	22816685	4444493	9999-12-31	2013-05-08
683	Wintershall Norge AS	22816753	21666830	9999-12-31	2013-05-08
684	Statoil Petroleum AS	22816794	17237817	9999-12-31	2013-05-08
685	Total E&P Norge AS	22820468	2410708	9999-12-31	2013-05-08
686	A/S Norske Shell	22820521	562	9999-12-31	2013-05-08
687	VNG Norge AS	22820550	17237193	9999-12-31	2013-05-08
688	E.ON E&P Norge AS	22820588	21631209	9999-12-31	2013-05-08
689	DONG E&P Norge AS	22820628	4070011	9999-12-31	2013-05-08
690	Bridge Energy Norge AS	22820657	18178215	9999-12-31	2013-05-08
691	Centrica Resources (Norge) AS	22820684	4238233	9999-12-31	2013-05-08
692	Repsol Exploration Norge AS	22820715	17237506	9999-12-31	2013-05-08
693	OMV (Norge) AS	22820761	4460594	9999-12-31	2013-05-08
694	RWE Dea Norge AS	22820804	97557	9999-12-31	2013-05-08
695	Lundin Norway AS	22820851	2767314	9999-12-31	2013-05-08
696	Statoil Petroleum AS	22820904	17237817	9999-12-31	2013-05-08
697	Eni Norge AS	22821005	2388594	9999-12-31	2013-05-08
698	A/S Norske Shell	22821040	562	9999-12-31	2013-05-08
699	A/S Norske Shell	22821109	562	9999-12-31	2013-05-08
700	Lundin Norway AS	22821177	2767314	9999-12-31	2013-05-08
701	Norwegian Energy Company ASA	23180841	4530695	9999-12-31	2013-05-08
591 B	Tullow Oil Norge AS	23180930	23173852	9999-12-31	2013-05-08
090 F	Statoil Petroleum AS	23268186	17237817	9999-12-31	2013-05-08
090 G	Statoil Petroleum AS	23268222	17237817	9999-12-31	2013-05-08
090 HS	Statoil Petroleum AS	23297006	17237817	9999-12-31	2013-05-08
248 C	Statoil Petroleum AS	23297103	17237817	2013-05-01	2013-05-08
\.



COPY licence_petreg_message (prlname, ptlmessagedocumentno, ptlmessage, ptlmessageregistereddate, ptlmessagekinddesc, ptlmessagedateupdated, prlnpdidlicence, datesyncnpd) FROM stdin;
001	769	Utvinningstillatelse 001 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-23	Ny tillatelse	9999-12-31	20756	2013-05-08
001	1113	Enterprise Oil Norwegian A/S og Enterprise Oil Norge Ltd. har overdratt sin 50% andel i tillatelsen til Esso Exploration and Production Norway AS med virkning fra 15.desember 1999.	2000-05-23	Endring i tillatelse	2013-01-28	20756	2013-05-08
001	2586	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	20756	2013-05-08
006	240	Overføring av avtale vedrørende Valhall QP, DP og PCP fra Stav. Skipsreg. Avtale mellom eierne om gjensidig rett til å kreve avståelse av andeler i plattformen ved mislighold og om forkjøpsrett.Prioritet regnes fra registrering i Skipsreg.	1988-04-12	Heftelse	2013-05-08	20804	2013-05-08
006	252	Avtale mellom eierne av det unitiserte Torfeltet om gjensidig rett til å kreve avståelse av andeler i tilfelle mislighold (art.12) , og om begrensninger i retten til overdragelse av andeler (art.25).	1988-05-02	Heftelse	9999-12-31	20804	2013-05-08
006	770	Utvinningstillatelse 006 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-23	Ny tillatelse	9999-12-31	20804	2013-05-08
006	1612	Amerada Hess Norge AS har overdratt sin andel på 28,33% til TotalFinaElf Exploration Norge AS.	2001-10-17	Endring i tillatelse	9999-12-31	20804	2013-05-08
006	1623	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	20804	2013-05-08
006	1695	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	20804	2013-05-08
006	1748	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS. BP Amoco Norge AS har senere endret navn til BP Norge AS	2002-03-21	Endring i tillatelse	2013-01-28	20804	2013-05-08
006	1958	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-13	Andre meldinger	9999-12-31	20804	2013-05-08
006	2384	BP Norge AS har overdratt sin 28.333 % andel i tillatelsen til Total E & P Norge AS.	2004-04-21	Endring i tillatelse	9999-12-31	20804	2013-05-08
006	2385	Enterprise Oil Norge AS har overdratt sin 28.333 % andel i tillatelsen til Total E&P Norge AS.	2004-04-22	Endring i tillatelse	9999-12-31	20804	2013-05-08
018	265	Avtale mellom eierne av det unitiserte Torfeltet om gjensidig rett til å kreve avståelse av andeler i tilfelle mislighold (art.12), og om begrensninger i retten til overdragelse av andeler (art.25).	1988-07-25	Heftelse	9999-12-31	20900	2013-05-08
018	354	Registrert Art. IX og XIII i Base North Sea Agreement som regulerer rettigheter for operatører ved en deltakers mislighold samt regulering av overdragelser.	1990-03-16	Heftelse	9999-12-31	20900	2013-05-08
018	774	Utvinningstillatelse 018 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	20900	2013-05-08
018	953	Fina Production Licences AS har skiftet navn til Fina Production Licenses AS.	1997-09-30	Andre meldinger	9999-12-31	20900	2013-05-08
018	1161	Fina Production Licenses AS har overdratt en 28,5% andel i tillatelsen til TOTAL Norge A.S. 	2001-01-23	Endring i tillatelse	9999-12-31	20900	2013-05-08
018	1232	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-26	Endring i tillatelse	9999-12-31	20900	2013-05-08
018	1249	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	20900	2013-05-08
018	1502	Innføring av en direkte statlig andel (SDØE) på 5.00% i tillatelsen fremkommer ved en forholdsmessig reduksjon av de andre deltagernes andeler.	2001-06-11	Endring i tillatelse	9999-12-31	20900	2013-05-08
018	1504	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	20900	2013-05-08
018	1658	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	20900	2013-05-08
018	1698	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	20900	2013-05-08
018	1889	Phillips Petroleum Company Norway har endret navn til ConocoPhillips Norge.	2002-11-12	Andre meldinger	9999-12-31	20900	2013-05-08
018	2027	Phillips Petroleum Norsk AS har endret navn til Conoco Phillips Skandinavia AS.	2003-06-23	Andre meldinger	9999-12-31	20900	2013-05-08
018	2028	TotalFinaElf Norge AS har endret navn til Total E&P Norge AS.	2003-06-23	Andre meldinger	9999-12-31	20900	2013-05-08
018	2278	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	20900	2013-05-08
018	2279	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	20900	2013-05-08
018	3121	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	20900	2013-05-08
018	3264	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	20900	2013-05-08
018	3565	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2008-01-05	Andre meldinger	9999-12-31	20900	2013-05-08
018	4129	StatoilHydro ASA har overdratt sin 0,95% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	20900	2013-05-08
018	4804	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	20900	2013-05-08
018 B	775	Utvinningstillatelse 018 B overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	20908	2013-05-08
018 B	954	Fina Production Licences AS har skiftet navn til Fina Production Licenses AS.	1997-09-30	Andre meldinger	9999-12-31	20908	2013-05-08
018 B	1162	Fina Production Licenses AS har overdratt en 28,5% andel i tillatelsen til TOTAL Norge A.S.	2001-01-23	Endring i tillatelse	9999-12-31	20908	2013-05-08
018 B	1233	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-26	Endring i tillatelse	9999-12-31	20908	2013-05-08
018 B	1250	Den norske stats oljeselskap a.s har endret navn til Statoil ASA	2001-05-29	Andre meldinger	9999-12-31	20908	2013-05-08
018 B	1503	Innføring av en direkte statlig andel (SDØE) på 5.00% i tillatelsen fremkommer ved en forholdsmessig reduksjon av de andre deltagernes andeler.	2001-06-11	Endring i tillatelse	9999-12-31	20908	2013-05-08
018 B	1505	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	20908	2013-05-08
018 B	1659	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	20908	2013-05-08
018 B	1699	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	20908	2013-05-08
018 B	1890	Phillips Petroleum Company Norway har endret navn til ConocoPhillips Norge.	2002-11-12	Andre meldinger	9999-12-31	20908	2013-05-08
018 B	2029	TotalFinaElf Norge AS har endret navn til Total E&P Norge AS.	2003-06-23	Andre meldinger	9999-12-31	20908	2013-05-08
018 B	2032	Phillips Petroleum Norsk AS har endret navn til Conoco Phillips Skandinavia AS.	2003-06-23	Andre meldinger	9999-12-31	20908	2013-05-08
018 B	2280	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	20908	2013-05-08
018 B	2281	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	20908	2013-05-08
018 B	3098	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-06	Andre meldinger	9999-12-31	20908	2013-05-08
018 B	3122	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-10-17	Andre meldinger	9999-12-31	20908	2013-05-08
018 B	3265	Statoil ASA  har endret navn til StatoilHydro ASA med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	20908	2013-05-08
018 B	4131	StatoilHydro ASA har overdratt sin 0,95% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	20908	2013-05-08
018 B	4805	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	20908	2013-05-08
019	776	Utvinningstillatelse 019 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	20916	2013-05-08
019	1005	Den norske stats oljeselskap a.s overdrar sin 12,5% andel i tillatelsen til BP Petroleum Development of Norway AS	1998-03-19	Endring i tillatelse	9999-12-31	20916	2013-05-08
019	1026	Norske Conoco A/S har overdratt sin 10% andel i tillatelsen til BP Petroleum Development of Norway AS.	1998-04-27	Endring i tillatelse	9999-12-31	20916	2013-05-08
019	1749	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	20916	2013-05-08
019	1803	Pelican AS har endret navn til DONG Norge AS.	2002-05-08	Andre meldinger	9999-12-31	20916	2013-05-08
019	2879	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	20916	2013-05-08
019	3961	Svenska Petroleum Exploration AS har overdratt sin 15% andel i tillatelsen til DONG E&P AS med virkning fra 01.01.2008	2008-09-15	Endring i tillatelse	9999-12-31	20916	2013-05-08
019 B	777	Utvinningstillatelse 019 B overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	20924	2013-05-08
019 B	1006	Den norske stats oljeselskap a.s overdrar sin 20,0% andel i tillatelsen til BP Petroleum Development of Norway AS.	1998-03-19	Endring i tillatelse	9999-12-31	20924	2013-05-08
019 B	1027	Norske Conoco A/S har overdratt sin 9,375% andel i tillatelsen til BP Petroleum Development of Norway AS.	1998-04-27	Endring i tillatelse	9999-12-31	20924	2013-05-08
019 B	1251	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	20924	2013-05-08
019 B	1506	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	20924	2013-05-08
019 B	1750	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS. BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-01-28	20924	2013-05-08
019 B	1799	Petoro AS har overdratt sin 30% andel i tillatelsen til DONG Norge AS (tidligere Pelican AS).	2002-05-07	Endring i tillatelse	9999-12-31	20924	2013-05-08
019 B	1920	Norske Moeco A/S har overdratt sin 5% andel i tillatelsen til BP Norge AS.	2003-01-07	Endring i tillatelse	9999-12-31	20924	2013-05-08
019 B	2125	BP Norge AS har overdratt sin 61% andel i tillatelsen til Talisman Energy Norge AS.	2003-09-02	Endring i tillatelse	9999-12-31	20924	2013-05-08
019 B	2126	BP Norge AS har overført operatørskapet i tillatelsen  til Talisman Energy Norge AS.	2003-09-02	Endring i tillatelse	9999-12-31	20924	2013-05-08
019 B	2880	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	20924	2013-05-08
019 B	4561	StatoilHydro Petroleum  AS meddeler på vegne av rettighetshaverne at det er bestemt å oppgi utvinningstillatelsen.. Utbygginsplan for tillatelsen er avhengig av utbygging av Trestakk hovedfelt. Da Trestakk prosjektet er utsatt foreligger det ikke faste planer for innsendelse av utbyggingsplan for lisensen. Arbeidsforpliktelsen pr 01.07.2009 er ikke oppfylt jf petroleumsloven § 3-15, på dette grunlaget  meddeler Olje- og energidepartementet at utvinningstillatelsen anses som tilbakelevert fra og med 06.10.2009.	2009-09-09	Andre meldinger	9999-12-31	20924	2013-05-08
024	778	Utvinningstillatelse 024 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	20964	2013-05-08
024	1253	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	20964	2013-05-08
024	1660	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	20964	2013-05-08
024	1700	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	20964	2013-05-08
024	1959	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-13	Andre meldinger	9999-12-31	20964	2013-05-08
024	3099	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	20964	2013-05-08
024	3124	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	20964	2013-05-08
024	3267	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	20964	2013-05-08
024	4177	StatoilHydro ASA har overdratt sin 20% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	20964	2013-05-08
024	4807	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	20964	2013-05-08
026	780	Utvinningstillatelse 026 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	20980	2013-05-08
026	1255	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	20980	2013-05-08
026	1661	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	20980	2013-05-08
026	1703	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	20980	2013-05-08
026	1960	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-13	Andre meldinger	9999-12-31	20980	2013-05-08
026	3101	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	20980	2013-05-08
026	3125	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	20980	2013-05-08
026	3268	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	20980	2013-05-08
026	4233	StatoilHydro ASA har overdratt sin 5 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	20980	2013-05-08
026	4808	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	20980	2013-05-08
026	6378	Statoil Petroleum AS overdrar sin 37,87 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-04	Endring i tillatelse	9999-12-31	20980	2013-05-08
027	781	Utvinningstillatelse 027 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	20988	2013-05-08
027	1114	Enterprise Oil Norwegian A/S og Enterprise Oil Norge Ltd. har overdratt sin 50% andel i tillatelsen til Esso Exploration and Production Norway AS med virkning fra 15.desember 1999.	2000-05-23	Endring i tillatelse	9999-12-31	20988	2013-05-08
027	2587	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	20988	2013-05-08
028	782	Utvinningstillatelse 028 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21004	2013-05-08
028	1115	Enterprise Oil Norwegian A/S og Enterprise Oil Norge Ltd. har overdratt sin 50% andel i tillatelsen til Esso Exploration and Production Norway AS med virkning fra 15.desember 1999.	2000-05-23	Endring i tillatelse	2013-01-28	21004	2013-05-08
028	2590	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	21004	2013-05-08
029	783	Utvinningstillatelse 029 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21020	2013-05-08
029	2593	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	21020	2013-05-08
033	786	Utvinningstillatelse 033 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21052	2013-05-08
033	1627	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21052	2013-05-08
033	1704	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	21052	2013-05-08
033	1753	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	21052	2013-05-08
033	1973	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21052	2013-05-08
033	2069	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2003-08-20	Andre meldinger	9999-12-31	21052	2013-05-08
033	2852	Amarada Hess Norge AS har endret navn til Hess Norge AS.	2006-07-14	Andre meldinger	9999-12-31	21052	2013-05-08
033	5499	Total E&P Norge AS overdrar en 12,5 % deltakerandel i utvinningstillatelsen til BP Norge AS med virkning fra 1.1.2010.	2010-09-07	Endring i tillatelse	9999-12-31	21052	2013-05-08
033	5500	Total E&P Norge AS overdrar sin 12,5 % deltakerandel i utvinningstillatelsen til Hess Norge AS med virkning fra 1.1.2010.	2010-09-07	Endring i tillatelse	9999-12-31	21052	2013-05-08
033	5514	Enterprise Oil Norge AS overdrar en 21,260794 % deltakerandel i utvinningstillatelsen til Hess International Holdings Corporation med virkning fra 1. januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	21052	2013-05-08
033	5515	Hess International Holdings Corporation overdrar sin 21,260794 % deltakerandel i utvinningstillatelsen til Hess Norge AS med virkning fra 1. januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	21052	2013-05-08
033	5516	Enterprise Oil Norge AS overdrar sin 3,739206 % deltakerandel i utvinningstillatelsen til Hess Holdings UK Limited med virkning fra 1. januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	21052	2013-05-08
033	5517	Hess Holdings UK Limited overdrar sin 3,739206 % deltakerandel i utvinningstillatelsen til Hess Norge AS med virkning fra 1.januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	21052	2013-05-08
034	787	Utvinningstillatelse 034 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21060	2013-05-08
034	1257	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21060	2013-05-08
034	1588	Dagboknummer 1257 er feilført.	2001-06-18	Andre meldinger	9999-12-31	21060	2013-05-08
034	1662	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21060	2013-05-08
034	1872	A/S Norske Shell har overdratt en 10% andel i tillatelsen til Total Norge AS.	2002-10-15	Endring i tillatelse	9999-12-31	21060	2013-05-08
034	1873	A/S Norske Shell har overdratt en 10% andel i tillatelsen til Elf Petroleum Norge AS.	2002-10-15	Endring i tillatelse	9999-12-31	21060	2013-05-08
034	1874	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-10-15	Andre meldinger	9999-12-31	21060	2013-05-08
034	1875	A/S Norske Shell har overdratt en 30% andel i tillatelsen til Norsk Hydro Produksjon AS.	2002-10-15	Endring i tillatelse	9999-12-31	21060	2013-05-08
034	1876	A/S Norske Shell har overdratt en 50% andel i tillatelsen til Den norske stats oljeselskap a.s.	2002-10-15	Endring i tillatelse	9999-12-31	21060	2013-05-08
034	1877	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2002-10-15	Andre meldinger	9999-12-31	21060	2013-05-08
034	1879	SDØE overført til Petoro AS.	2002-10-17	Endring i tillatelse	9999-12-31	21060	2013-05-08
034	1880	Petoro AS har overdratt en 10% andel i tillatelsen til Norsk Hydro Produksjon AS.	2002-10-17	Endring i tillatelse	9999-12-31	21060	2013-05-08
034	1975	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21060	2013-05-08
034	2509	Total E&P Norge AS har overdratt en 10% andel i tillatelsen til Statoil ASA.	2004-12-06	Endring i tillatelse	9999-12-31	21060	2013-05-08
034	3105	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	21060	2013-05-08
034	3127	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	21060	2013-05-08
034	3270	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	21060	2013-05-08
034	4132	StatoilHydro ASA har overdratt sin 10% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	21060	2013-05-08
034	4623	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21060	2013-05-08
035	788	Utvinningstillatelse 035 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21068	2013-05-08
035	1629	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21068	2013-05-08
035	1845	A/S Norske Shell har overdratt sin 100% andel i tillatelsen til Norsak Hydro Produksjon AS.	2002-08-12	Endring i tillatelse	9999-12-31	21068	2013-05-08
035	1858	Norsk Hydro Produksjon AS har overdratt en 50% andel i tillatelsen til Enterprise Oil Norwegian AS.	2002-09-18	Endring i tillatelse	9999-12-31	21068	2013-05-08
035	1882	På grunn av sen innmelding av overdragelser er navne-endring for Enterprise Oil Norwegian AS registrert før overdragelsen til selskapet.	2002-10-17	Andre meldinger	9999-12-31	21068	2013-05-08
035	2379	Enterprise Oil Norge AS har overdratt en 25% andel i tillatelsen til Det Norske Oljeselskap AS.	2004-04-21	Endring i tillatelse	9999-12-31	21068	2013-05-08
035	2380	Enterprise Oil Norge AS har overdratt sin 25% andel i tillatelsen til Svenska Petroleum Exploration A/S	2004-04-21	Endring i tillatelse	9999-12-31	21068	2013-05-08
035	3041	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	21068	2013-05-08
035	3128	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	21068	2013-05-08
035	3397	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-21	Andre meldinger	9999-12-31	21068	2013-05-08
035	3598	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	21068	2013-05-08
035	3831	Olje- og energidepartement har i brev den 21.02.2007 godkjent forlengelsen av tillatelsen til 14.11.2015.	2008-05-22	Andre meldinger	9999-12-31	21068	2013-05-08
035	3872	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-08	Endring i tillatelse	9999-12-31	21068	2013-05-08
035	4624	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21068	2013-05-08
035	4929	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	21068	2013-05-08
035	4983	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	21068	2013-05-08
035	5160	Svenska Petroleum Exploration AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner tre hundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.10.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-19	Heftelse	9999-12-31	21068	2013-05-08
035	5205	Det norske oljeselskap ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	21068	2013-05-08
035	6000	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5205) hvor Det norske oljeselskap ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	21068	2013-05-08
035	6448	Det norske oljeselskap ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	21068	2013-05-08
036	180	Saga: Pantobl. til Elf Norge A/S NOK 400.000.000 + 10% i Sagas andel i tillatelsen (Heimdal), registrerte innretninger, samt Sagas rettigheter etter avtaler som nevnt i petroleumslov og forskrifter.Forbud mot salg og pantsettelse.	1986-05-28	Heftelse	2013-05-08	21076	2013-05-08
036	181	Ugland: Pantobl. til Elf Norge A/S NOK 25.000.000 + 10 % i Uglands andel i tillatelsen (Heimdal), registrerte innretninger, samt Uglands rettigheter etter avtaler som nevnt i petroleumslov og forskrifter.Forbud mot salg og pantsettelse.	1986-05-28	Heftelse	2013-05-08	21076	2013-05-08
036	789	Utvinningstillatelse 036 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21076	2013-05-08
036	996	Elf Petroleum Norge AS overdrar 15% av sin 33,702% andel i utvinningstillatelsen til Norsk Hydro Produksjon AS.Fra samme dato, 1. januar 1998, er operatørskapet i tillatelsen overført til Norsk Hydro Produksjon AS. 	1998-02-23	Endring i tillatelse	2013-05-08	21076	2013-05-08
036	1180	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21076	2013-05-08
036	1663	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21076	2013-05-08
036	1706	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	21076	2013-05-08
036	1976	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21076	2013-05-08
036	2517	A/S Uglands Rederi har overdratt sin 0.322% andel i tillatelsen til Norsk Hydro Produksjon AS	2005-01-07	Endring i tillatelse	9999-12-31	21076	2013-05-08
036	3129	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	21076	2013-05-08
036	3271	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	21076	2013-05-08
036	4037	Marathon Petroleum Norge AS har overdratt sin 46,904% eierandel i tillatelsen til Centrica Resources (Norge) AS med virkning fra 1.1.2008.	2009-01-16	Endring i tillatelse	9999-12-31	21076	2013-05-08
036	4626	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21076	2013-05-08
036	6379	Statoil Petroleum AS overdrar sin 28,853 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012. Centrica overtar som operatør.	2012-05-04	Endring i tillatelse	9999-12-31	21076	2013-05-08
037	790	Utvinningstillatelse 037 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21084	2013-05-08
037	1034	Amerada Hess Norge AS har overdratt sin 1,041167% andel i tillatelsen til Norske Conoco A/S med virkning fra 1. juli 1997.	1998-06-03	Endring i tillatelse	9999-12-31	21084	2013-05-08
037	1102	Saga Petroleum ASA har overdratt sin 1.875% andel i tillatelsen til Den norske stats oljeselskap a.s.	2000-01-07	Endring i tillatelse	9999-12-31	21084	2013-05-08
037	1258	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21084	2013-05-08
037	1509	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21084	2013-05-08
037	1630	Enterprise Oil Norwegian AS har endret navn til Enterprise Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21084	2013-05-08
037	1906	Mobil Development Norway AS har overdratt sin 15,0% andel i tillatelsen til Esso Exploration and Production Norway AS.	2002-12-09	Endring i tillatelse	9999-12-31	21084	2013-05-08
037	2071	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2003-08-20	Andre meldinger	9999-12-31	21084	2013-05-08
037	2072	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-20	Andre meldinger	9999-12-31	21084	2013-05-08
037	2595	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	21084	2013-05-08
037	3107	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	21084	2013-05-08
037	3776	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	21084	2013-05-08
037	4178	StatoilHydro ASA har overdratt sin 21,875 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	21084	2013-05-08
037	4629	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21084	2013-05-08
037	5562	A/S Norske Shell overdrar sin 10 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 1.1.2010.	2010-12-10	Endring i tillatelse	9999-12-31	21084	2013-05-08
037	5563	Enterprise Oil Norge AS overdrar sin 1,041667 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 1.1.2010.	2010-12-10	Endring i tillatelse	9999-12-31	21084	2013-05-08
037	6372	ConocoPhillips Skandinavia AS overdrar sin 12,08333 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-03	Endring i tillatelse	9999-12-31	21084	2013-05-08
038	791	Utvinningstillatelse 038 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21092	2013-05-08
038	1187	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21092	2013-05-08
038	1261	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21092	2013-05-08
038	1511	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21092	2013-05-08
038	1863	Statoil ASA har overdratt en 7% andel i tillatelsen til Norsk Hydro Produksjon AS.	2002-10-07	Endring i tillatelse	9999-12-31	21092	2013-05-08
038	1864	Statoil ASA har overdratt sin 28% andel i tillatelsen til Pertra AS.	2002-10-07	Endring i tillatelse	9999-12-31	21092	2013-05-08
038	1865	Norsk Hydro Produksjon AS har overdratt sin 42% andel i tillatelsen til Pertra AS.	2002-10-07	Endring i tillatelse	9999-12-31	21092	2013-05-08
038	2627	Pertra AS har endret navn til Talisman Production Norge AS.	2005-06-02	Andre meldinger	9999-12-31	21092	2013-05-08
038	2628	Talisman Production Norge AS har overdratt en 5% andel i tillatelsen til Pertra AS, (Tidligere Artrep AS).	2005-06-02	Endring i tillatelse	9999-12-31	21092	2013-05-08
038	2629	Pertra AS pantsetter sin 5% andel i tilllatelse til fordel for Talisman Production Norge ASPantobligasjon stor NOK 20,000,000, skriver norske kroner tjue millioner	2005-06-02	Heftelse	2013-05-08	21092	2013-05-08
038	2637	Talisman Energy Norge AS har i brev fra Olje- og Energidepartement av 29.04.2005 godkjent som operatør for tillatelsen.	2005-06-08	Andre meldinger	9999-12-31	21092	2013-05-08
038	2658	Erklæring til skjøte dok.nr.2628 og pantsettelseserklæring dok.nr.2629 dato 02.06.2005. Der Pertra AS erklærer at de ikke har noen rettigheter med videre i South Varg Carve-Out området, eller til petroleum produsent derfra med mere.	2005-06-23	Endring i tillatelse	2013-05-08	21092	2013-05-08
038	2713	Pertra AS har endret navn til Pertra ASA.	2006-03-15	Andre meldinger	9999-12-31	21092	2013-05-08
038	2782	Talisman Production Norge AS har overdratt sin 65 % andel til Talisman Energy Norge AS	2006-05-04	Endring i tillatelse	9999-12-31	21092	2013-05-08
038	3648	Pertra ASA har endret nevn til Det norske oljeselskap ASA med virkning 16.11.2007.	2008-02-03	Andre meldinger	9999-12-31	21092	2013-05-08
038	4931	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	21092	2013-05-08
038	4985	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	21092	2013-05-08
038	5207	Det norske oljeselskap ASA pantsetter sin 5 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	21092	2013-05-08
038	6002	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5207) hvor Det norske oljeselskap ASA pantsetter sin 5 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	21092	2013-05-08
038	6456	Det norske oljeselskap ASA pantsetter sin 5 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	21092	2013-05-08
040	792	Utvinningstillatelse 040 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21108	2013-05-08
040	1038	Elf Petroleum Norge AS har overdratt sin andel på 28,8% i tillatelsen til Total Norge AS med virkning fra 1. januar 1998.	1998-10-26	Endring i tillatelse	9999-12-31	21108	2013-05-08
040	1262	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21108	2013-05-08
040	1512	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21108	2013-05-08
040	1664	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21108	2013-05-08
040	1808	Norsk Hydro Produksjon AS har overdratt en 3.2% andel i tillatelsen til TotalFinaElf Exploration AS.	2002-05-15	Endring i tillatelse	9999-12-31	21108	2013-05-08
040	1809	Norsk Hydro Produksjon AS har overdratt en 3.6% andel i tillatelsen til Statoil ASA.	2002-05-15	Endring i tillatelse	9999-12-31	21108	2013-05-08
040	1815	Norsk Hydro Produksjon AS har overdratt operatørskapet til TotalFinaElf Norge AS.	2002-05-28	Endring i tillatelse	9999-12-31	21108	2013-05-08
040	1961	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-13	Andre meldinger	9999-12-31	21108	2013-05-08
040	2676	Statoil ASA har overdratt en 2.6% andel i tilllatelsen til Total E&P Norge AS.	2005-08-12	Endring i tillatelse	9999-12-31	21108	2013-05-08
040	3112	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	21108	2013-05-08
040	4175	StatoilHydro ASA har overdratt sin 21 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	21108	2013-05-08
040	4811	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	21108	2013-05-08
040	6082	Statoil Petroleum AS overdrar en 2 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 13.1.2012.	2012-01-16	Endring i tillatelse	9999-12-31	21108	2013-05-08
043	793	Utvinningstillatelse 043 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21132	2013-05-08
043	1263	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21132	2013-05-08
043	1513	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21132	2013-05-08
043	1665	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21132	2013-05-08
043	1962	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-13	Andre meldinger	9999-12-31	21132	2013-05-08
043	2677	Total E&P Norge AS har overdratt en 1 % andel i tillatelsen til Statoil ASA.	2005-08-26	Endring i tillatelse	9999-12-31	21132	2013-05-08
043	3113	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Endring i tillatelse	9999-12-31	21132	2013-05-08
043	4176	StatoilHydro ASA har overdratt sin 21 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	21132	2013-05-08
043	4812	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	21132	2013-05-08
043	6083	Statoil Petroleum AS overdrar en 2 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 13.1.2012.	2012-01-16	Endring i tillatelse	9999-12-31	21132	2013-05-08
044	794	Utvinningstillatelse 044 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21140	2013-05-08
044	956	Fina Production Licences AS har skiftet navn til Fina Production Licenses AS.	1997-09-30	Andre meldinger	9999-12-31	21140	2013-05-08
044	1163	Fina Production Licenses AS har overdratt sin 15% andel i tillatelsen til TOTAL Norge A.S.	2001-01-23	Endring i tillatelse	9999-12-31	21140	2013-05-08
044	1264	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21140	2013-05-08
044	1415	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21140	2013-05-08
044	1604	Statoil ASA har overdratt en 41.88% andel i tillatelsen til Phillips Petroleum Norsk AS.	2001-08-20	Endring i tillatelse	9999-12-31	21140	2013-05-08
044	1666	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21140	2013-05-08
044	1970	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21140	2013-05-08
044	1971	Phillips Petroleum Norsk AS har endret navn til Conoco Phillips Skandinavia AS.	2003-06-18	Andre meldinger	9999-12-31	21140	2013-05-08
044	2284	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	21140	2013-05-08
044	2285	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Endring i tillatelse	9999-12-31	21140	2013-05-08
044	3115	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	21140	2013-05-08
044	4144	StatoilHydro ASA har overdratt sin 30 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	21140	2013-05-08
044	4814	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	21140	2013-05-08
044	5475	Forlengelse av konsesjonstiden til 31.12.2028.  Godkjent i brev fra OED 2.3.2006.	2010-08-18	Andre meldinger	9999-12-31	21140	2013-05-08
046	795	Utvinningstillatelse 046 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21156	2013-05-08
046	1054	Total Norge AS har overdratt sin 1,0% andel i tillatelsen til Elf Petroleum Norge AS med virkning fra 1. januar 1998. 	1999-04-07	Endring i tillatelse	9999-12-31	21156	2013-05-08
046	1265	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21156	2013-05-08
046	1430	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21156	2013-05-08
046	1707	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	21156	2013-05-08
046	1972	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21156	2013-05-08
046	2596	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	21156	2013-05-08
046	3116	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	21156	2013-05-08
046	3133	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	21156	2013-05-08
046	3274	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	21156	2013-05-08
046	3679	Olje- og energidepartement har i brev av 07.12.2007 godkjent forlengelsen av tillatelsen til 31.12.2028.	2008-02-26	Andre meldinger	9999-12-31	21156	2013-05-08
046	4238	StatoilHydro ASA har overdratt sin 52,6 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21156	2013-05-08
046	4632	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21156	2013-05-08
048	796	Utvinningstillatelse 048 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	2013-02-18	21172	2013-05-08
048	991	BP Petroleum Development of Norway AS har overdratt sin 3,9% andel i utvinningstillatelsen til Den norske stats oljeselskap a.s.	1998-02-23	Endring i tillatelse	2013-02-18	21172	2013-05-08
048	997	Elf Petroleum Norge AS overdrar 4,5% av sin 26,3% andel i utvinningstillatelsen til Den norske stats oljeselskap a.s.	1998-02-23	Endring i tillatelse	2013-02-18	21172	2013-05-08
048	1266	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	2013-02-18	21172	2013-05-08
048	1708	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	2013-02-18	21172	2013-05-08
048	1977	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	2013-02-18	21172	2013-05-08
048	3137	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	2013-02-18	21172	2013-05-08
048	3277	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	2013-02-18	21172	2013-05-08
048	3392	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-10	Andre meldinger	2013-02-18	21172	2013-05-08
048	4241	StatoilHydro ASA har overdratt sin 68,9 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	2013-02-18	21172	2013-05-08
048	4635	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	2013-02-18	21172	2013-05-08
050	797	Utvinningstillatelse 050 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21188	2013-05-08
050	1095	Saga Petroleum ASA har overdratt sin 6% andel i tillatelsen til Den norske stats oljeselskap a.s.	2000-01-06	Endring i tillatelse	9999-12-31	21188	2013-05-08
050	1268	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21188	2013-05-08
050	1440	SDØE andel overført til Statoil ASA med 43%.	2001-06-01	Endring i tillatelse	9999-12-31	21188	2013-05-08
050	1514	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21188	2013-05-08
050	3139	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	21188	2013-05-08
050	3279	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21188	2013-05-08
050	3405	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-22	Andre meldinger	9999-12-31	21188	2013-05-08
050	4245	StatoilHydro ASA har overdratt sin 61 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21188	2013-05-08
050	4639	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21188	2013-05-08
050 B	798	Utvinningstillatelse 050 B oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21196	2013-05-08
050 B	1096	Saga Petroleum ASA har overdratt sin 6% andel i tillatelsen til Den norske stats oljeselskap a.s.	2000-01-06	Endring i tillatelse	9999-12-31	21196	2013-05-08
050 B	1269	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21196	2013-05-08
050 B	1441	SDØE andel overført til Statoil ASA med 43%.	2001-06-01	Endring i tillatelse	9999-12-31	21196	2013-05-08
050 B	1515	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21196	2013-05-08
050 B	3140	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	21196	2013-05-08
050 B	3280	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21196	2013-05-08
050 B	3406	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-22	Andre meldinger	9999-12-31	21196	2013-05-08
050 B	4246	StatoilHydro ASA har overdratt sin 61 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21196	2013-05-08
050 B	4640	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21196	2013-05-08
051	799	Utvinningstillatelse 051 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21204	2013-05-08
051	1271	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21204	2013-05-08
051	1517	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21204	2013-05-08
051	1667	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21204	2013-05-08
051	1979	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21204	2013-05-08
051	2075	Norske Conoco AS har endret navn til Norske ConocoPhillips AS	2003-08-21	Andre meldinger	9999-12-31	21204	2013-05-08
051	3409	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-22	Andre meldinger	9999-12-31	21204	2013-05-08
051	3771	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	21204	2013-05-08
051	4176	StatoilHydro ASA har overdratt sin 19,6% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	21204	2013-05-08
051	4644	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21204	2013-05-08
052	800	Utvinningstillatelse 052 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21212	2013-05-08
052	1243	Petro-Canada Norge AS skiftet navn til Paladin Resources Norge AS 23. januar 2001.	2001-03-21	Endring i tillatelse	9999-12-31	21212	2013-05-08
052	1272	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21212	2013-05-08
052	1518	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21212	2013-05-08
052	1617	Pantobligasjon til Chase Manhattan International Limited, stor USD 50.000.000,-, registrert i Paladin Recources Norge ASsin andel.	2002-01-02	Heftelse	2013-05-08	21212	2013-05-08
052	1668	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21212	2013-05-08
052	1848	Pantobligasjon stor USD 50.000.000,00 + rente, dok. nr. 1617, slettes.	2002-08-21	Sletting av heftelse	9999-12-31	21212	2013-05-08
052	1933	TotalFinaElf Exploration Norge AS har overdratt sin 18% andel i tillatelsen til Paladin Resources Norge AS.	2003-03-07	Endring i tillatelse	9999-12-31	21212	2013-05-08
052	2138	Norske RWE Dea AS er innfusjonert i RWE Dea Norge AS og har overdratt sin 2.25% andel i tillatelsen til RWE Dea Norge AS.	2003-09-15	Endring i tillatelse	9999-12-31	21212	2013-05-08
052	2643	Revus Energy AS har endret navn til Revus Enegry ASA.	2005-06-08	Andre meldinger	9999-12-31	21212	2013-05-08
052	2645	Svenska Petroleum Exploration AS har overdratt sin 4.5% andel i tillatelsen til Revus Energy ASA.	2005-06-08	Endring i tillatelse	9999-12-31	21212	2013-05-08
052	2799	Paladin Resources Norge AS har endret navn til Talisman Resources Norge AS.	2006-05-18	Andre meldinger	9999-12-31	21212	2013-05-08
052	2917	Talisman Resources Norge AS har overdratt sin 27 % andel i tillatelsen til Talisman Production Norge AS.	2006-12-14	Endring i tillatelse	9999-12-31	21212	2013-05-08
052	2942	Talisman Production Norge AS har overdratt sin 27% andel i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	21212	2013-05-08
052	3410	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21212	2013-05-08
052	4084	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	21212	2013-05-08
052	4172	StatoilHydro ASA har overdratt sin 18% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	21212	2013-05-08
052	4616	Talisman Energy Norge AS overdrar sin 27 % deltakerandel i utvinningstillatelsen til Talisman Resources Norge AS med virkning fra 1. januar 2009.	2009-10-30	Endring i tillatelse	9999-12-31	21212	2013-05-08
052	4645	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21212	2013-05-08
052	6168	Talisman Resources Norge AS overdrar sin 27 % deltakerandel i utvinningstillatelsen til Talisman Energy Norge AS med virkning fra 1.1.2011.	2012-02-03	Endring i tillatelse	9999-12-31	21212	2013-05-08
052	6328	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	21212	2013-05-08
053	801	Utvinningstillatelse 053 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21220	2013-05-08
053	1181	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21220	2013-05-08
053	1273	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21220	2013-05-08
053	1519	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21220	2013-05-08
053	1670	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21220	2013-05-08
053	1710	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	21220	2013-05-08
053	1802	TotalFinaElf Exploration Norge AS har overdratt en 4% andel i tillatelsen til Petoro AS.	2002-05-08	Endring i tillatelse	9999-12-31	21220	2013-05-08
053	1836	Petoro AS har overdratt en 14.4% andel i tillatelsen til Norsk Hydro Produksjon AS.	2002-07-03	Endring i tillatelse	9999-12-31	21220	2013-05-08
053	1859	Petoro AS har overdratt en 2,4% andel i tillatelsen til Norske Conoco A/S.	2002-10-03	Endring i tillatelse	9999-12-31	21220	2013-05-08
053	1883	Petoro AS har overdratt en 1.3% andel i tillatelsen til Statoil ASA.	2002-10-23	Endring i tillatelse	9999-12-31	21220	2013-05-08
053	1903	Mobil Development Norway AS har overdratt 2.3% andel i tillatelsen til Petoro AS.	2002-12-06	Endring i tillatelse	9999-12-31	21220	2013-05-08
053	1981	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21220	2013-05-08
053	2076	Norske Conoco AS har endret navn til Norske ConocoPhillips AS	2003-08-21	Andre meldinger	9999-12-31	21220	2013-05-08
053	3148	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-20	Andre meldinger	9999-12-31	21220	2013-05-08
053	3283	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21220	2013-05-08
053	3412	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21220	2013-05-08
053	3936	Mobil Development Norway A/S har overdratt sin 4,70% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	21220	2013-05-08
053	4154	StatoilHydro ASA har overdratt sin 15,3% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	21220	2013-05-08
053	4648	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21220	2013-05-08
053	6688	ExxonMobil Exploration and Production Norway AS overdrar sin 4,7 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 1.1.2012.	2012-12-03	Endring i tillatelse	9999-12-31	21220	2013-05-08
054	802	Utvinningstillatelse 054 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21228	2013-05-08
054	1275	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21228	2013-05-08
054	1521	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21228	2013-05-08
054	1671	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21228	2013-05-08
054	1712	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	21228	2013-05-08
054	1982	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21228	2013-05-08
054	2077	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	21228	2013-05-08
054	3150	Norsk Hydro Petroleum AS er utfisjonert fra Norsk Hydro Produksjon AS med virkning fra 21.04.2007. Norsk Hydro Produksjon AS har som overdragende foretak overført samtlige andeler til overtakende foretak Norsk Hydro Petroleum AS. Norsk Hydro Petroleum AS er fusjonert med Statoil ASA som overtakende selskap med virkning tra 01.10.2007.	2007-10-20	Andre meldinger	9999-12-31	21228	2013-05-08
054	3285	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21228	2013-05-08
054	3414	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21228	2013-05-08
054	3562	Total E&P Norge AS har overdratt en 1.518017% andel i tillatelse til StatoilHydro ASA.	2008-01-02	Andre meldinger	9999-12-31	21228	2013-05-08
054	3770	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	21228	2013-05-08
054	4164	StatoilHydro ASA har overdratt sin 19,518017% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	21228	2013-05-08
054	4650	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21228	2013-05-08
055	803	Utvinningstillatelse 055 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21236	2013-05-08
055	1276	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21236	2013-05-08
055	1522	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	1817	Petoro AS har overdratt en 20% andel i tillatelsen til Paladin Resources Norge AS.	2002-06-04	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	1938	Norsk Hydro Produksjon a.s  har overdratt en 3,2% andel i tillatelsen til OER OiL AS.	2003-04-11	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	2052	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-07-23	Andre meldinger	9999-12-31	21236	2013-05-08
055	2158	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-13	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	2287	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21236	2013-05-08
055	2463	Esso Exploration and Production Norway AS har overdratt en 2.692% andel i tillatelsen til Revus Energy AS.	2004-11-03	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	2569	OER Oil AS har endret navn til Endeavour Energy Norge AS	2005-03-03	Andre meldinger	9999-12-31	21236	2013-05-08
055	2597	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	21236	2013-05-08
055	2639	ExxonMobil Exploration and Production Norway AS har overdratt sin 14.908% andel i tillatelsen til Talisman Energy Norge AS	2005-06-08	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	2775	Eni Norge AS har overdratt sin 13,2% andel i tilllatelsen til Altinex Oil AS.	2006-04-27	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	2780	Altinex Oil AS pantsetter sin 13,2% andel i tillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet pantobligasjon stor NOK 300,000,000, skriver norske kroner trehundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2006-04-27	Heftelse	9999-12-31	21236	2013-05-08
055	2800	Paladin Resources Norge AS har endret navn til Talisman Resources Norge AS.	2006-05-18	Andre meldinger	9999-12-31	21236	2013-05-08
055	2920	Talisman Resources Norge AS har overdratt sin 20 % andel i tillatelsen til Talisman Production Norge AS.	2006-12-14	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	2945	Talisman Production Norge AS har overdratt sin 20% andel i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	3027	Altinex Oil AS har endret navn til Altinex Oil Norway AS	2007-03-29	Andre meldinger	9999-12-31	21236	2013-05-08
055	3030	Pantobligasjon stor NOK 300 000 000 datert 25 april 2006 (dok nr 2780) hvor Altinex Oil AS er pantsetter og Norsk Tillitsmann ASA er panthaver, slettes	2007-03-29	Sletting av heftelse	9999-12-31	21236	2013-05-08
055	3032	Altinex Oil Norway AS pantsetter sin 12,6247 % andel i tillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet pantobligasjon stor NOK 300,000,000, skriver norske kroner trehundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2007-03-29	Heftelse	9999-12-31	21236	2013-05-08
055	3151	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-20	Andre meldinger	9999-12-31	21236	2013-05-08
055	3286	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21236	2013-05-08
055	3415	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21236	2013-05-08
055	4086	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	21236	2013-05-08
055	4122	Vi viser til deres e-post datert 5.12.2008 vedrørende lisensforlengelse som var tidligere satt til 6.4.2017. Etter melding fra StatoilHydro ASA ved: Bjarte Skeiseid  og Olje- og energidepartementet ved: Agerup Mette K.Gravdahl er dette fra dags dato rettet til 6.4.2015	2009-02-13	Andre meldinger	9999-12-31	21236	2013-05-08
055	4142	StatoilHydro ASA har overdratt sin 12,6% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	4601	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	21236	2013-05-08
055	4651	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	21236	2013-05-08
055	4734	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	21236	2013-05-08
055	4735	VNG Norge (Operations) AS har endret navn til  VNG Norge AS med virkning fra 1.10.2009	2009-11-09	Andre meldinger	9999-12-31	21236	2013-05-08
055	5058	Wintershall Norge ASA overdrar sin 2,692 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 1.1.2010.	2009-12-29	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	5126	Spring Energy Norway AS pantsetter sin 2.692 % deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). Førsteprioritet pantobligasjon stor NOK 1,000,000,000, skriver norske kroner en milliard 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 21.1.2010, gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-11	Heftelse	9999-12-31	21236	2013-05-08
055	5429	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 11.02.2010 (dok. nr. 5126) hvor Spring Energy Norway AS pantsetter sin 2,692 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.08.2010.	2010-08-12	Sletting av heftelse	9999-12-31	21236	2013-05-08
055	5450	Spring Energy Norway AS pantsetter sin 2,692 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	21236	2013-05-08
055	5781	Pantobligasjon stor NOK 300 000 000 skriver norske kroner trehundremillioner  00/100 datert 27.3.2007 (dok. nr. 3032) Altinex Oil Norway AS pantsetter sin 12,6247 % deltakerandel i utvinningstillatelsen til Norsk tillitsmann ASA er slettet. Samtykke fra panthaver Norsk Tillitsmann ASA  foreligger.	2011-05-09	Sletting av heftelse	9999-12-31	21236	2013-05-08
055	5908	Altinex Oil Norway AS overdrar sin 13,2 % deltakerandel i utvinningstillatelsen til Core Energy AS med virkning fra 1.7.2011.	2011-07-28	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	5929	Core Energy AS pantsetter sin 13,2% deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-18	Heftelse	9999-12-31	21236	2013-05-08
055	6035	Petoro AS overdrar sin 13,4 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	21236	2013-05-08
055	6317	Faroe Petroleum Norge AS pantsetter sin 13,4 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD 300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-19	Heftelse	9999-12-31	21236	2013-05-08
055	6500	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5450) hvor Spring Energy Norway AS pantsetter sin 2,692 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	21236	2013-05-08
055	6886	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.02.2013.	2013-02-19	Andre meldinger	2013-02-27	21236	2013-05-08
057	331	Pantsettelse av Deminex andel i tillatelsen.Pantobligasjon stor USD 345.000.000,- og skadesløshetsobligasjon stor USD 140.000.000,-.Panthaver er Dresdner Bank AG.	1989-09-27	Heftelse	2013-05-08	21252	2013-05-08
057	584	Pantobligasjon til Idemitsu Snorre Oil Development Co. Ltd, begrenset oppad til USD 570.000.000 + rente registrert i Idemitsu Petroleum Norge a.s sin andel.	1994-10-10	Heftelse	9999-12-31	21252	2013-05-08
057	804	Utvinningstillatelse 057 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21252	2013-05-08
057	988	Pantobligasjon stor USD 345.000.000,-  og skadesløshetsobligasjon stor USD 140.000.000,- til Dresdner Bank AG transportert til European Investment Bank.	1998-02-05	Heftelse	9999-12-31	21252	2013-05-08
057	1062	Panteobligasjon til Export-Import Bank of Japan, stor USD 154.830.000,- + rente, registrert i Idemitsu Petroleum Norge ASsin andel. Obligasjonen skal ha første prioritet ved siden av obligasjon opprinnelig pålydende USD 570.000.000,-, dok.nr0584.	1999-06-23	Heftelse	2013-05-08	21252	2013-05-08
057	1063	Panteobligasjon  til Idemitsu Snorre Oil Development Co., Ltd., stor USD 38.707.500,- + rente, registrert i IdemitsuPetroleum Norge AS sin andel. Obligasjonen skal han 2. prioritet etter obligasjon opprinnelig pålydende USD 570.000.000,-, dok.nr 0584 og	1999-06-23	Heftelse	2013-05-08	21252	2013-05-08
057	1064	Panteobligasjon stor USD 570.000.000,-, dok.nr 0584 nedskrives til USD 92.094.054,20 + rente. Obligasjonen skal hadelt første prioritet ved siden av obligasjon stor USD 154.830.000,- + rente, dok.nr 1062.	1999-06-23	Heftelse	2013-05-08	21252	2013-05-08
057	1090	Pantehaver i panteobligasjon stor USD 154.830.000,- + rente, dok nr 1062, har fusjonert med the Overseas Economic Cooperation Fund. Nytt navn på pantehaver er the Japan Bank for International Cooperation.	1999-10-20	Endring i tillatelse	9999-12-31	21252	2013-05-08
057	1138	Panteobligasjon stor USD  570.000.000,00 dok. nr. 0584 nedskrevet til USD 92.094.054,20 + rente, slettes.	2000-08-28	Sletting av heftelse	9999-12-31	21252	2013-05-08
057	1182	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21252	2013-05-08
057	1278	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21252	2013-05-08
057	1437	SDØE andel overført til Statoil ASA med 1.4%.	2001-06-01	Endring i tillatelse	9999-12-31	21252	2013-05-08
057	1524	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21252	2013-05-08
057	1632	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21252	2013-05-08
057	2238	Panteobligasjon stor USD 154.830.000,- + renter dok.nr. 1062 slettes.	2004-01-08	Sletting av heftelse	9999-12-31	21252	2013-05-08
057	2241	Panteobligasjon stor USD 38.707.500,- + renter dok.nr. 1063 slettes.	2004-01-08	Sletting av heftelse	9999-12-31	21252	2013-05-08
057	2558	Panteobligasjon stor USD 570.000.000,00 dok nr 0584 nedskrevet til USD 92.094.054,20 + rente dok nr 1064 ble slettet 28.08.2000, men ble ved en feil ikke samtidig fjernet som heftelse. Planteobligasjonen fjernes med dette som heftelse. 	2005-02-02	Andre meldinger	9999-12-31	21252	2013-05-08
057	2662	Enterprise Oil Norge AS har overdratt sin 4.9% andel i tillatelsen til Statoil ASA.	2005-07-14	Endring i tillatelse	9999-12-31	21252	2013-05-08
057	2872	Amerada Hess Norge AS har endret navn til Hess Norge AS.	2006-09-06	Andre meldinger	9999-12-31	21252	2013-05-08
057	3154	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-20	Andre meldinger	9999-12-31	21252	2013-05-08
057	3289	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21252	2013-05-08
057	3418	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21252	2013-05-08
057	4169	StatoilHydro ASA har overdratt sin 16,3% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	21252	2013-05-08
057	4655	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21252	2013-05-08
057	5936	Hess Norge AS overdrar sin 4,90 % deltakerandel i utvinningstillatelsen til Core Energy AS.	2011-08-31	Endring i tillatelse	9999-12-31	21252	2013-05-08
057	5939	Core Energy AS pantsetter sin 4,9 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD 300,000,000, skriver amerikanske dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 6.9.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-09-13	Heftelse	9999-12-31	21252	2013-05-08
062	805	Utvinningstillatelse 062 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21292	2013-05-08
062	1183	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21292	2013-05-08
062	1279	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21292	2013-05-08
062	1450	SDØE andel overført til Statoil ASA med 11.45%.	2001-06-01	Endring i tillatelse	9999-12-31	21292	2013-05-08
062	1525	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21292	2013-05-08
062	1672	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21292	2013-05-08
062	1983	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21292	2013-05-08
062	2078	Fortum Petroleum AS har endret navn til ENI Norge AS	2003-08-21	Andre meldinger	9999-12-31	21292	2013-05-08
062	2161	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-13	Endring i tillatelse	9999-12-31	21292	2013-05-08
062	2291	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21292	2013-05-08
062	3155	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-20	Andre meldinger	9999-12-31	21292	2013-05-08
062	3294	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21292	2013-05-08
062	3419	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21292	2013-05-08
062	3790	StatoilHydro Petroleum AS har overdratt sin 14,7% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	21292	2013-05-08
062	4249	StatoilHydro ASA har overdratt sin 45,75 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21292	2013-05-08
062	4656	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21292	2013-05-08
064	806	Utvinningstillatelse 064 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21308	2013-05-08
064	1039	Elf Petroleum Norge AS har overdratt sin 5,00% andel i tillatelsen til Total Norge AS med virkning fra 1. januar 1998.	1998-10-26	Endring i tillatelse	9999-12-31	21308	2013-05-08
064	1171	Norsk Hydro Production AS har overdratt en 10.75% andel i tillatelsen til Den norske stats oljeselskap a.s.	2001-02-07	Endring i tillatelse	9999-12-31	21308	2013-05-08
064	1280	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21308	2013-05-08
064	1526	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21308	2013-05-08
064	1602	Statoil ASA har overdratt en 15.48% andel i tillatelsen til Gaz de France Norge AS.	2001-07-16	Endring i tillatelse	9999-12-31	21308	2013-05-08
064	1673	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21308	2013-05-08
064	1984	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21308	2013-05-08
064	2548	Norsk Hydro Produksjon AS har overdratt sin 10% andel i tillatelsen til Statoil ASA.	2005-01-19	Endring i tillatelse	9999-12-31	21308	2013-05-08
064	3420	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21308	2013-05-08
064	4050	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-01-29	Andre meldinger	9999-12-31	21308	2013-05-08
064	4250	StatoilHydro ASA har overdratt sin 49,52 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21308	2013-05-08
064	4657	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21308	2013-05-08
065	807	Utvinningstillatelse 065 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21316	2013-05-08
065	1020	Elf Petroleum Norge AS har overdratt 16,667% i tillatelsen til BP Petroleum Development of Norway AS.	1998-04-23	Endring i tillatelse	9999-12-31	21316	2013-05-08
065	1048	Enterprise Oil Norwegian AS har overdratt sin 20,0% andel i utvinningstillatelsen til BP Petroleum Development of Norway AS.	1998-10-23	Endring i tillatelse	9999-12-31	21316	2013-05-08
065	1242	A/S Norske Shell har overdratt sin 15% andel i tillatelsen til AS Pelican.	2001-03-21	Endring i tillatelse	9999-12-31	21316	2013-05-08
065	1281	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21316	2013-05-08
065	1527	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21316	2013-05-08
065	1754	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	21316	2013-05-08
065	1801	Petoro AS har overdratt sin 30% andel i tillatelsen til DONG Norge AS (tidligere Pelican AS).	2002-05-07	Endring i tillatelse	9999-12-31	21316	2013-05-08
065	2884	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	21316	2013-05-08
072	812	Utvinningstillatelse 072 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21372	2013-05-08
072	1283	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21372	2013-05-08
072	1432	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21372	2013-05-08
072	2599	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	21372	2013-05-08
072	3156	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-20	Andre meldinger	9999-12-31	21372	2013-05-08
072	3295	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21372	2013-05-08
072	3421	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21372	2013-05-08
072	4251	StatoilHydro ASA har overdratt sin 50 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21372	2013-05-08
072	4658	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21372	2013-05-08
073	813	Utvinningstillatelse 073 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21380	2013-05-08
073	1237	Norsk Hydro Produksjon AS har overdratt en 4.667% andel i tillatelsen til Den norske stats oljeselskap a.s.	2001-03-16	Endring i tillatelse	9999-12-31	21380	2013-05-08
073	1284	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21380	2013-05-08
073	1456	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21380	2013-05-08
073	1674	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21380	2013-05-08
073	1985	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21380	2013-05-08
073	2226	Statoil ASA har overdratt en 7,9 % andel i tillatelsen til Norsk Agip AS.	2003-12-30	Endring i tillatelse	9999-12-31	21380	2013-05-08
073	2292	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	21380	2013-05-08
073	2293	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21380	2013-05-08
073	2790	Total E&P Norge AS har overdratt en 6.29 % andel i tillatelsen til Mobil Development Norway AS.	2006-05-08	Endring i tillatelse	9999-12-31	21380	2013-05-08
073	2968	Eni Norge AS har overdratt en 2.1% andel i tillatelsen til Total E&P Norge AS	2006-12-28	Endring i tillatelse	9999-12-31	21380	2013-05-08
073	3157	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-20	Andre meldinger	9999-12-31	21380	2013-05-08
073	3399	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-21	Andre meldinger	9999-12-31	21380	2013-05-08
073	3423	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21380	2013-05-08
073	3791	StatoilHydro Petroleum AS har overdratt sin 12%% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	21380	2013-05-08
073	3938	Mobil Development Norway A/S har overdratt sin 6,29% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	21380	2013-05-08
073	4253	StatoilHydro ASA har overdratt sin 58,767 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21380	2013-05-08
073	4660	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21380	2013-05-08
074	814	Utvinningstillatelse 074 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21388	2013-05-08
074	1184	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21388	2013-05-08
074	1285	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21388	2013-05-08
074	1451	SDØE andel overført til Statoil ASA med 11.45%.	2001-06-01	Endring i tillatelse	9999-12-31	21388	2013-05-08
074	1528	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21388	2013-05-08
074	2079	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-08-21	Andre meldinger	9999-12-31	21388	2013-05-08
074	2168	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-14	Endring i tillatelse	9999-12-31	21388	2013-05-08
074	2295	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21388	2013-05-08
074	3159	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21388	2013-05-08
074	3298	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21388	2013-05-08
074	3425	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21388	2013-05-08
074	3793	StatoilHydro Petroleum AS har overdratt sin 9,8% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	21388	2013-05-08
074	3940	Mobil Development Norway A/S har overdratt sin 9,80% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	21388	2013-05-08
074	4255	StatoilHydro ASA har overdratt sin 40,85 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21388	2013-05-08
074	4662	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21388	2013-05-08
077	815	Utvinningstillatelse 077 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21412	2013-05-08
077	1172	Norsk Hydro Production AS har overdratt en 5% andel i tillatelsen til Den norske stats oljeselskap a.s.	2001-02-07	Endring i tillatelse	9999-12-31	21412	2013-05-08
077	1286	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21412	2013-05-08
077	1529	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21412	2013-05-08
077	1603	Statoil ASA har overdratt en 12% andel i tillatelsen til Gaz de France Norge AS.	2001-07-16	Endring i tillatelse	9999-12-31	21412	2013-05-08
077	1675	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21412	2013-05-08
077	1986	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21412	2013-05-08
077	2549	Norsk Hydro Produksjon AS har overdratt sin 10% andel i tillatelsen til Statoil ASA.	2005-01-19	Endring i tillatelse	9999-12-31	21412	2013-05-08
077	3426	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21412	2013-05-08
077	4051	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-01-29	Andre meldinger	9999-12-31	21412	2013-05-08
077	4257	StatoilHydro ASA har overdratt sin 48 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21412	2013-05-08
077	4664	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21412	2013-05-08
078	816	Utvinningstillatelse 078 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21420	2013-05-08
078	1040	Elf Petroleum Norge AS har overdratt sin andel på 15,0% i tillatelsen til Total Norge AS med virkning fra 1. januar 1998.	1998-10-26	Endring i tillatelse	9999-12-31	21420	2013-05-08
078	1173	Norsk Hydro Production AS har overdratt en 15% andel i tillatelsen til Den norske stats oljeselskap a.s.	2001-02-07	Endring i tillatelse	9999-12-31	21420	2013-05-08
078	1287	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21420	2013-05-08
078	1530	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21420	2013-05-08
078	1600	Statoil ASA har overdratt en 12% andel i tillatelsen til Gaz de France Norge AS.	2001-07-16	Endring i tillatelse	9999-12-31	21420	2013-05-08
078	1676	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21420	2013-05-08
078	1987	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21420	2013-05-08
078	2550	Norsk Hydro Produksjon AS har overdratt sin 10% andel i tillatelsen til Statoil ASA.	2005-01-19	Endring i tillatelse	9999-12-31	21420	2013-05-08
078	3427	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21420	2013-05-08
078	4052	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-01-29	Andre meldinger	9999-12-31	21420	2013-05-08
078	4161	StatoilHydro ASA har overdratt sin 33 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	21420	2013-05-08
078	4665	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21420	2013-05-08
095	2085	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	21564	2013-05-08
085	818	Utvinningstillatelse 085 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21476	2013-05-08
085	1097	Saga Petroleum ASA har overdratt en 3% andel i tillatelsen til Den norske stats oljeselskap a.s.	2000-01-06	Endring i tillatelse	2013-05-08	21476	2013-05-08
085	1186	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21476	2013-05-08
085	1289	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21476	2013-05-08
085	1446	SDØE andeler overført til Statoil ASA med 10.081341%.	2001-06-01	Endring i tillatelse	9999-12-31	21476	2013-05-08
085	1532	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21476	2013-05-08
085	1677	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21476	2013-05-08
085	1713	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	21476	2013-05-08
085	1989	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21476	2013-05-08
085	3161	Norsk Hydro Produksjon AS har endret navn til Norsk Hydro Petroleum AS med virkning fra 21.04.2007	2007-10-23	Andre meldinger	9999-12-31	21476	2013-05-08
085	3300	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21476	2013-05-08
085	3429	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21476	2013-05-08
085	3513	StatoilHydro ASA har overdratt en 0,690963 % andel i tillatelsen til Total E&P Norge AS.	2007-12-11	Endring i tillatelse	9999-12-31	21476	2013-05-08
085	3566	Dok nr 3161 er feil registrert erstattes med Dok nr 3567.	2008-01-08	Andre meldinger	9999-12-31	21476	2013-05-08
085	3567	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2008-01-08	Andre meldinger	9999-12-31	21476	2013-05-08
085	4258	StatoilHydro ASA har overdratt sin 21,390378 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21476	2013-05-08
085	4667	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21476	2013-05-08
085 B	819	Utvinningstillatelse 085 B oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21484	2013-05-08
085 B	1098	Saga Petroleum har overdratt en 3% andel i tillatelsen til Den norske stats oljeselskap a.s.	2000-01-06	Endring i tillatelse	9999-12-31	21484	2013-05-08
085 B	1188	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21484	2013-05-08
085 B	1290	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21484	2013-05-08
085 B	1447	SDØE andel overført til Statoil ASA med 10.081341%.	2001-06-01	Endring i tillatelse	9999-12-31	21484	2013-05-08
085 B	1533	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21484	2013-05-08
085 B	1678	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21484	2013-05-08
085 B	1714	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	21484	2013-05-08
085 B	1990	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21484	2013-05-08
085 B	3162	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21484	2013-05-08
085 B	3301	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21484	2013-05-08
085 B	3430	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21484	2013-05-08
085 B	4162	StatoilHydro ASA har overdratt sin 22,081341% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	21484	2013-05-08
085 B	4668	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21484	2013-05-08
088	821	Utvinningstillatelse 088 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21508	2013-05-08
088	1291	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21508	2013-05-08
088	1534	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21508	2013-05-08
088	1679	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21508	2013-05-08
088	1740	Statoil ASA har overdratt sin 18.6% andel i tillatelsen til Marathon Petroleum Norge AS.	2002-01-29	Endring i tillatelse	9999-12-31	21508	2013-05-08
088	1832	Petoro AS har overdratt sin 31.4% andel i tillatelsen til  Marathon Petroleum Norge AS.	2002-06-13	Endring i tillatelse	9999-12-31	21508	2013-05-08
088	1963	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-13	Andre meldinger	9999-12-31	21508	2013-05-08
088	2976	Total E&P Norge AS har overdratt sin 50% andel i tillatelsen til Lundin Norway AS.	2007-03-05	Endring i tillatelse	9999-12-31	21508	2013-05-08
088	2977	Lundin Norway AS har overtatt operatørskapet i tillatelsen.	2007-03-05	Endring i tillatelse	9999-12-31	21508	2013-05-08
088	4039	Marathon Petroleum Norge AS har overdratt sin 50% eierandel i tillatelsen til Centrica Resources (Norge) AS med virkning fra 1.1.2008.	2009-01-16	Endring i tillatelse	9999-12-31	21508	2013-05-08
089	330	Pantsettelse av Deminex andel i tillatelsen.Pantobligasjon stor USD 345.000.000,- og skadesløshetsobligasjon stor USD 140.000.000,-.Panthaver er Dresdner Bank AG.	1989-09-27	Heftelse	2013-05-08	21516	2013-05-08
089	585	Pantobligasjon til Idemitsu Snorre Oil Development Co. Ltd, begrenset oppad til USD 570.000.000 + rente registrert i Idemitsu Petroleum Norge a.s sin andel.	1994-10-10	Heftelse	9999-12-31	21516	2013-05-08
089	822	Utvinningstillatelse 089 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21516	2013-05-08
089	989	Pantobligasjon stor USD 345.000.000,- og skadesløshetsobligasjon stor USD 140.000.000,- til Dresdner Bank AG transportert til European Investment Bank.	1998-02-05	Heftelse	9999-12-31	21516	2013-05-08
089	1065	Panteobligasjon til Export-Import Bank of Japan, stor USD 154.830.000,- + rente, registrert i Idemitsu Petroleum Norge AS sin andel. Obligasjonen skal ha første prioritet ved siden av obligasjon opprinnelig pålydende USD 570.000.000,-, dok.nr 0585.	1999-06-23	Heftelse	9999-12-31	21516	2013-05-08
089	1066	Panteobligasjon til Idemitsu Snorre Oil Development Co., Ltd., stor USD 38.707.500,- + rente, registrert i Idemitsu Petroleum Norge As sin andel. Obligasjonen skal ha 2. prioritet etter obligasjon opprinnelig pålydende USD 570.000.000,-, dok.nr 0585 og ob	1999-06-23	Heftelse	9999-12-31	21516	2013-05-08
089	1067	Panteobligasjon stor USD 570.000.000,-, dok.nr 0585 nedskrives til USD 92.094.054,20 + rente. Obligasjonen skal ha delt første prioritet ved siden av obligasjon stor USD 154.830.000,- + rente, dok.nr 1065.	1999-06-23	Heftelse	9999-12-31	21516	2013-05-08
089	1091	Pantehaver i panteobligasjon stor USD 154.830.000,. + rente, dok nr 1065, har fusjonert med the Overseas Economic Cooperation Fund. Nytt navn på pantehaver er  the Japan Bank for International Cooperation.	1999-10-20	Endring i tillatelse	9999-12-31	21516	2013-05-08
089	1101	Saga Petroleum ASA har overdratt en 2.82% andel i tillatelsen til Den norske stats oljeselskap a.s.	2000-01-07	Endring i tillatelse	9999-12-31	21516	2013-05-08
089	1137	Panteobligasjon stor USD 570.000.000,00 dok.nr. 0585 nedskrevet til USD 92.094.054,20 + rente, slettes.	2000-08-28	Sletting av heftelse	9999-12-31	21516	2013-05-08
089	1189	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21516	2013-05-08
089	1292	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21516	2013-05-08
089	1438	SDØE andel overført til Statoil ASA med 21%.	2001-06-01	Endring i tillatelse	9999-12-31	21516	2013-05-08
089	1535	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21516	2013-05-08
089	1715	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	21516	2013-05-08
089	1993	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21516	2013-05-08
089	2239	Panteobligasjon stor USD 154.830.000,- + renter dok.nr. 1065 slettes.	2004-01-08	Sletting av heftelse	9999-12-31	21516	2013-05-08
089	2240	Panteobligasjon stor USD 38.707.500,- + renter dok.nr. 1066 slettes.	2004-01-08	Sletting av heftelse	9999-12-31	21516	2013-05-08
089	2559	Panteobligasjon stor USD 570.000.000,00 dok nr 0584 nedskrevet til USD 92.094.054,20 + rente dok nr 1067 ble slettet 28.08.2000, men ble ved en feil ikke samtidig fjernet som heftelse. Panteobligasjonen fjernes med dette som heftelse. 	2005-02-02	Andre meldinger	9999-12-31	21516	2013-05-08
089	2602	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	21516	2013-05-08
089	3165	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21516	2013-05-08
089	3304	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21516	2013-05-08
089	3433	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	21516	2013-05-08
089	4143	StatoilHydro ASA har overdratt sin 28,22 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	21516	2013-05-08
089	4670	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21516	2013-05-08
089	6693	Total E&P Norge AS overdrar sin 5,6 % deltakerandel i utvinningstillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1.1.2012.	2012-12-03	Endring i tillatelse	9999-12-31	21516	2013-05-08
090	823	Utvinningstillatelse 090 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21524	2013-05-08
090	1293	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21524	2013-05-08
090	1536	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21524	2013-05-08
090	1793	Petoro AS har overdratt en 15% andel i tillatelsen til Idemitsu Petroleum Norge AS.	2002-05-06	Endring i tillatelse	9999-12-31	21524	2013-05-08
090	1826	Petoro AS har overdratt sin 15% andel i tillatelsen til Gaz de France Norge AS.	2002-06-04	Endring i tillatelse	9999-12-31	21524	2013-05-08
090	3166	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21524	2013-05-08
090	3305	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21524	2013-05-08
090	3434	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-27	Andre meldinger	9999-12-31	21524	2013-05-08
090	3943	Mobil Development Norway A/S har overdratt sin 25% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	21524	2013-05-08
090	4053	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-01-29	Andre meldinger	9999-12-31	21524	2013-05-08
090	4179	StatoilHydro ASA har overdratt sin 20% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	21524	2013-05-08
090	4671	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21524	2013-05-08
091	824	Utvinningstillatelse 091 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21532	2013-05-08
091	1099	Saga Petroleum har overdratt en 5% andel i tillatelsen til Den norske stats oljeselskap a.s.	2000-01-06	Endring i tillatelse	9999-12-31	21532	2013-05-08
091	1190	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21532	2013-05-08
091	1294	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21532	2013-05-08
091	1457	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21532	2013-05-08
091	2227	Statoil ASA har overdratt en 7,9 % andel i tillatelsen til Norsk Agip AS.	2003-12-30	Endring i tillatelse	9999-12-31	21532	2013-05-08
091	2296	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	21532	2013-05-08
091	2297	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21532	2013-05-08
091	3170	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21532	2013-05-08
091	3309	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21532	2013-05-08
091	3438	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-27	Andre meldinger	9999-12-31	21532	2013-05-08
091	3794	StatoilHydro Petroleum AS har overdratt sin 12% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	21532	2013-05-08
091	3945	Mobil Development Norway A/S har overdratt sin 33% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	21532	2013-05-08
091	4259	StatoilHydro ASA har overdratt sin 59,1 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21532	2013-05-08
091	4675	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21532	2013-05-08
092	825	Utvinningstillatelse 092 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21540	2013-05-08
092	1191	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21540	2013-05-08
092	1295	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21540	2013-05-08
092	1458	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21540	2013-05-08
092	2115	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-08-25	Andre meldinger	9999-12-31	21540	2013-05-08
092	2129	Statoli ASA har overdratt en 7.9 % andel i tillatelsen til Norsk Agip AS.	2003-09-04	Endring i tillatelse	9999-12-31	21540	2013-05-08
092	2130	Statoli ASA har overdratt en 7 % andel i tillatelsen til ENI Norge AS.	2003-09-04	Endring i tillatelse	9999-12-31	21540	2013-05-08
092	2169	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-14	Endring i tillatelse	9999-12-31	21540	2013-05-08
092	2299	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21540	2013-05-08
092	2512	Statoil ASA har overdratt en 7.65% andel i tilllatelsen til Total E&P Norge AS.	2004-12-14	Endring i tillatelse	9999-12-31	21540	2013-05-08
092	3173	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21540	2013-05-08
092	3312	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	21540	2013-05-08
092	3441	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-27	Andre meldinger	9999-12-31	21540	2013-05-08
092	3796	StatoilHydro Petroleum AS har overdratt sin 10% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	21540	2013-05-08
092	3947	Mobil Development Norway A/S har overdratt sin 40% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	21540	2013-05-08
092	4261	StatoilHydro ASA har overdratt sin 37,45 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21540	2013-05-08
092	4676	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21540	2013-05-08
093	826	Utvinningstillatelse 093 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21548	2013-05-08
093	1007	Den norske stats oljeselskaps overdrar 7,56% av sin andel på 73,0%  i tillatelsen til BP Petroleum Development of Norway AS. 	1998-03-19	Endring i tillatelse	9999-12-31	21548	2013-05-08
093	1013	Den norske stats oljeselskap a.s. har overdratt 7,56% i tillatelsen til Norsk Chevron AS.	1998-04-08	Endring i tillatelse	9999-12-31	21548	2013-05-08
093	1296	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21548	2013-05-08
093	1537	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21548	2013-05-08
093	1756	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	21548	2013-05-08
093	1796	Petoro AS har overdratt en 10% andel i tillatelsen til A/S Norske Shell.	2002-05-06	Endring i tillatelse	9999-12-31	21548	2013-05-08
093	1911	Norsk Chevron AS har endret navn til Chevron Texaco Norge AS.	2002-12-19	Andre meldinger	9999-12-31	21548	2013-05-08
093	2681	Chevron Texaco Norge AS har endret navn til Chevron Norge AS.	2005-10-14	Andre meldinger	9999-12-31	21548	2013-05-08
093	6681	BP Norge AS overdrar sin 18,36 % deltakerandel i utvinningstillatelsen til A/S Norske Shell med virkning fra 1.1.2012.	2012-11-30	Endring i tillatelse	9999-12-31	21548	2013-05-08
094	827	Utvinningstillatelse 094 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21556	2013-05-08
094	1192	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21556	2013-05-08
094	1297	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21556	2013-05-08
094	1452	SDØE andel overført til Statoil ASA med 11.45%.	2001-06-01	Endring i tillatelse	9999-12-31	21556	2013-05-08
094	1538	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21556	2013-05-08
094	1680	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21556	2013-05-08
094	1994	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21556	2013-05-08
094	2082	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-08-21	Andre meldinger	9999-12-31	21556	2013-05-08
094	2170	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-14	Endring i tillatelse	9999-12-31	21556	2013-05-08
094	2301	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21556	2013-05-08
094	3174	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21556	2013-05-08
094	3314	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21556	2013-05-08
094	3442	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-27	Andre meldinger	9999-12-31	21556	2013-05-08
094	3797	StatoilHydro Petroleum  AS har overdratt sin 11,9% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	21556	2013-05-08
094	3948	Mobil Development Norway A/S har overdratt sin 14,70% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	21556	2013-05-08
094	4262	StatoilHydro ASA har overdratt sin 40,95 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21556	2013-05-08
094	4677	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21556	2013-05-08
095	828	Utvinningstillatelse 095 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21564	2013-05-08
095	1298	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21564	2013-05-08
095	1539	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21564	2013-05-08
095	1789	Petoro AS har overdratt en 6% andel i tillatelsen til Norske Conoco A/S.	2002-05-06	Endring i tillatelse	9999-12-31	21564	2013-05-08
095	2084	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-08-21	Andre meldinger	9999-12-31	21564	2013-05-08
095	2162	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-13	Endring i tillatelse	9999-12-31	21564	2013-05-08
095	2305	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21564	2013-05-08
095	3444	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-27	Andre meldinger	9999-12-31	21564	2013-05-08
095	3773	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	21564	2013-05-08
095	4133	StatoilHydro ASA har overdratt sin 10% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	21564	2013-05-08
095	4815	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	21564	2013-05-08
097	829	Utvinningstillatelse 097 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-25	Ny tillatelse	9999-12-31	21580	2013-05-08
097	1174	Norsk Hydro Production AS har overdratt en 12.5% andel i tillatelsen til Den norske stats oljeselskap a.s.	2001-02-07	Endring i tillatelse	9999-12-31	21580	2013-05-08
097	1299	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21580	2013-05-08
097	1540	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21580	2013-05-08
097	1597	Statoil ASA har overdratt en 12% andel i tillatelsen til Gaz de France Norge AS.	2001-07-16	Endring i tillatelse	9999-12-31	21580	2013-05-08
097	2551	Norsk Hydro Produksjon AS har overdratt sin 10% andel i tillatelsen til Statoil ASA.	2005-01-19	Endring i tillatelse	9999-12-31	21580	2013-05-08
097	2873	Amerada Hess Norge AS har endret navn til Hess Norge AS.	2006-09-06	Andre meldinger	9999-12-31	21580	2013-05-08
097	3445	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-27	Andre meldinger	9999-12-31	21580	2013-05-08
097	4058	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-01-29	Andre meldinger	9999-12-31	21580	2013-05-08
097	4264	StatoilHydro ASA har overdratt sin 36,75 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21580	2013-05-08
097	4679	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21580	2013-05-08
097	6174	Hess Norge AS overdrar sin 11,25 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 1.1.2011.	2012-02-07	Endring i tillatelse	9999-12-31	21580	2013-05-08
099	830	Utvinningstillatelse 099 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21596	2013-05-08
099	1175	Norsk Hydro Production AS har overdratt en 2.5% andel i tillatelsen til Den norske stats oljeselskap a.s.	2001-02-07	Endring i tillatelse	9999-12-31	21596	2013-05-08
099	1300	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21596	2013-05-08
099	1541	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21596	2013-05-08
099	1598	Statoil ASA har overdratt en 12% andel i tillatelsen til Gaz de France Norge AS.	2001-07-16	Endring i tillatelse	9999-12-31	21596	2013-05-08
099	1681	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21596	2013-05-08
099	1996	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21596	2013-05-08
099	2552	Norsk Hydro Produksjon AS har overdratt sin 10% andel i tillatelsen til Statoil ASA.	2005-01-19	Endring i tillatelse	9999-12-31	21596	2013-05-08
099	3446	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-27	Andre meldinger	9999-12-31	21596	2013-05-08
099	4057	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-01-29	Andre meldinger	9999-12-31	21596	2013-05-08
099	4173	StatoilHydro ASA har overdratt sin 20,5 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	21596	2013-05-08
099	4680	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21596	2013-05-08
100	831	Utvinningstillatelse 100 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21604	2013-05-08
100	1041	Elf Petroleum Norge AS har overdratt sin 35,0% andel i tillatelsen til Total Norge AS med virkning fra 1. januar 1998.	1998-10-26	Endring i tillatelse	9999-12-31	21604	2013-05-08
100	1119	Den norske stats oljeselskap a.s har overdratt en andel på 10% til Norsk Hydro Produksjon AS..	2000-08-16	Endring i tillatelse	9999-12-31	21604	2013-05-08
100	1301	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21604	2013-05-08
100	1542	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21604	2013-05-08
100	1601	Statoil ASA har overdratt en 6% andel i tillatelsen til Gaz de France Norge AS.	2001-07-16	Endring i tillatelse	9999-12-31	21604	2013-05-08
100	1682	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21604	2013-05-08
100	1997	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21604	2013-05-08
100	2398	Svenska Petroleum Exploration AS har overdratt sin 10 % andel i tillatelsen til Statoil ASA.	2004-05-13	Endring i tillatelse	9999-12-31	21604	2013-05-08
100	2553	Norsk Hydro Produksjon AS har overdratt sin 10% andel i tillatelsen til Statoil ASA.	2005-01-19	Endring i tillatelse	9999-12-31	21604	2013-05-08
100	3447	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-27	Andre meldinger	9999-12-31	21604	2013-05-08
100	4059	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-01-29	Andre meldinger	9999-12-31	21604	2013-05-08
100	4138	StatoilHydro ASA har overdratt sin 25 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	21604	2013-05-08
100	4681	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21604	2013-05-08
102	833	Utvinningstillatelse 102 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21620	2013-05-08
102	1002	Elf Petroleum Norge AS har overdratt 10% av sine 30% i utvinningstillatelsen  til Norsk Hydro Produksjon AS.	1998-03-05	Endring i tillatelse	9999-12-31	21620	2013-05-08
102	1302	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21620	2013-05-08
102	1543	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21620	2013-05-08
102	1683	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21620	2013-05-08
102	1716	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	21620	2013-05-08
102	1741	Statoil ASA har overdratt sin 20% andel i tillatelsen til Marathon Petroleum Norge AS.	2002-01-29	Endring i tillatelse	9999-12-31	21620	2013-05-08
102	1964	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-13	Andre meldinger	9999-12-31	21620	2013-05-08
102	3176	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21620	2013-05-08
102	3316	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21620	2013-05-08
102	4040	Marathon Petroleum Norge AS har overdratt sin 20% eierandel i tillatelsen til Centrica Resources (Norge) AS med virkning fra 1.1.2008.	2009-01-16	Endring i tillatelse	9999-12-31	21620	2013-05-08
102	4682	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21620	2013-05-08
102	6382	Statoil Petroleum AS overdrar sin 10 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-04	Endring i tillatelse	9999-12-31	21620	2013-05-08
104	835	Utvinningstillatelse 104 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21636	2013-05-08
104	1193	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21636	2013-05-08
104	1305	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21636	2013-05-08
104	1546	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21636	2013-05-08
104	1830	Petoro As har overdratt en 10% andel i tillatelsen til TotalFinaElf Exploration Norge AS.	2002-06-05	Endring i tillatelse	9999-12-31	21636	2013-05-08
104	1862	Norske Conoco A/S har overdratt en 8.6% andel i tillatelsen til Petoro AS.	2002-10-03	Endring i tillatelse	9999-12-31	21636	2013-05-08
104	1886	Statoil ASA har overdratt en 4.7% andel i tillatelsen til Petoro AS.	2002-10-23	Endring i tillatelse	9999-12-31	21636	2013-05-08
104	1904	Mobil Development Norway AS har overdratt 0.3% andel i tillatelsen til Petoro AS.	2002-12-06	Endring i tillatelse	9999-12-31	21636	2013-05-08
104	1998	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21636	2013-05-08
104	2086	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	21636	2013-05-08
104	3177	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21636	2013-05-08
104	3317	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21636	2013-05-08
104	3452	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	21636	2013-05-08
104	3950	Mobil Development Norway A/S har overdratt sin 4,70% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	21636	2013-05-08
104	4360	StatoilHydro ASA har overdratt sin 15.3% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-03-27	Endring i tillatelse	9999-12-31	21636	2013-05-08
104	4683	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21636	2013-05-08
104	6690	ExxonMobil Exploration and Production Norway AS overdrar sin 4,7 deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 1.1.2012.	2012-12-03	Endring i tillatelse	9999-12-31	21636	2013-05-08
107	836	Utvinningstillatelse 107 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21660	2013-05-08
107	1244	Petro-Canada Norge AS skiftet navn til Paladin Resources Norge AS 23. januar 2001.	2001-03-21	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	1306	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21660	2013-05-08
107	1547	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	1595	Statoil ASA har overdratt sin 20% andel i tillatelsen til Gaz de France Norge AS.	2001-07-16	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	1618	Pantobligasjon til Chase Manhattan International Limited, stor USD 50.000.000,-, registrert i Paladin Recources Norge ASsin andel.	2002-01-02	Heftelse	2013-05-08	21660	2013-05-08
107	1791	Petoro AS har overdratt en 15% andel i tillatelsen til Norske Conoco A/S.	2002-05-06	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	1820	Petoro AS har overdratt en 7.5%  andel i tillatelsen til Paladin Resources Norge AS.	2002-06-04	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	1849	Pantobligasjon stor USD 50.000.000,00 + rente, dok. nr. 1618, slettes.	2002-08-21	Sletting av heftelse	9999-12-31	21660	2013-05-08
107	1941	Norsk Hydro Produksjon a.s har overdratt en 2,5% andel i tillatelsen til OER Oil AS.	2003-04-11	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	2087	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	21660	2013-05-08
107	2194	Norske ConocoPhillips AS har overdratt sin 15% andel i tillatelsen til Ruhrgas Norge AS.	2003-12-09	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	2571	OER Oil AS har endret navn til Endeavour Energy Norge AS	2005-03-03	Andre meldinger	9999-12-31	21660	2013-05-08
107	2674	Ruhrgas Norge AS har endret navn til E.ON Ruhrgas Norge AS	2005-08-04	Andre meldinger	9999-12-31	21660	2013-05-08
107	2679	Paladin Resource Norge AS har overdratt sin 15 % andel i tillatelsen til E.ON Ruhrgas Norge AS.	2005-10-07	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	3178	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21660	2013-05-08
107	3318	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21660	2013-05-08
107	3951	Mobil Development Norway A/S har overdratt sin 20% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	3991	StatoilHydro Petroleum AS overdrar sin 20 % andel i utvinningstillatelse 107 til StatoilHydro ASA med virkning fra 01.11.2008.	2008-12-09	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	4062	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	21660	2013-05-08
107	4180	StatoilHydro ASA har overdratt sin 20% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	4603	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	21660	2013-05-08
107	4684	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21660	2013-05-08
107	4738	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	21660	2013-05-08
107	4739	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009.	2009-11-09	Andre meldinger	9999-12-31	21660	2013-05-08
107	5952	ExxonMobil Exploration and Production Norway AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til GDF Suez E&P Norge AS med virkning fra 1.1.2011.	2011-09-30	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	6030	Petoro AS overdrar sin 7,5 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	21660	2013-05-08
107	6284	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	21660	2013-05-08
107	6320	Faroe Petroleum Norge AS pantsetter sin 7,5 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD 300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-19	Heftelse	9999-12-31	21660	2013-05-08
110	838	Utvinningstillatelse 110 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21684	2013-05-08
110	957	Fina Production Licences AS har skiftet navn til Fina Production Licenses AS.	1997-09-30	Andre meldinger	9999-12-31	21684	2013-05-08
110	1042	Elf Petroleum Norge AS har overdratt sin 20,0% andel i tillatelsen til Total Norge AS med virkning fra 1. januar 1998.	1998-10-26	Endring i tillatelse	9999-12-31	21684	2013-05-08
110	1164	Fina Production Licenses AS har overdratt sin 5% andel i tillatelsen til TOTAL Norge A.S.	2001-01-23	Endring i tillatelse	9999-12-31	21684	2013-05-08
110	1176	Norsk Hydro Production AS har overdratt en 6.67% andel i tillatelsen til Den norske stats oljeselskap a.s.	2001-02-07	Endring i tillatelse	9999-12-31	21684	2013-05-08
110	1307	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21684	2013-05-08
110	1548	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21684	2013-05-08
110	1599	Statoil ASA har overdratt en 12% andel i tillatelsen til Gaz de France Norge AS.	2001-07-16	Endring i tillatelse	9999-12-31	21684	2013-05-08
110	1685	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21684	2013-05-08
110	1999	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21684	2013-05-08
110	2554	Norsk Hydro Produksjon AS har overdratt sin 10% andel i tillatelsen til Statoil ASA.	2005-01-19	Endring i tillatelse	9999-12-31	21684	2013-05-08
110	2854	Amarada Hess Norge AS har endret navn til Hess Norge AS.	2006-07-14	Andre meldinger	9999-12-31	21684	2013-05-08
110	3453	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	21684	2013-05-08
110	4063	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	21684	2013-05-08
110	4137	StatoilHydro ASA har overdratt sin 24,67 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	21684	2013-05-08
110	4687	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21684	2013-05-08
110	6175	Hess Norge AS overdrar sin 8,33 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 1.1.2011.	2012-02-07	Endring i tillatelse	9999-12-31	21684	2013-05-08
113	840	Utvinningstillatelse 113 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21708	2013-05-08
113	1308	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21708	2013-05-08
113	1421	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21708	2013-05-08
113	1592	Statoil ASA har overdratt en 20%  andel i tillatelsen til DONG Efterforskning og Produktion AS.	2001-07-16	Endring i tillatelse	9999-12-31	21708	2013-05-08
113	1887	DONG Efterforskning og Produktion AS har endret navn til DONG Norge AS.	2002-10-23	Andre meldinger	9999-12-31	21708	2013-05-08
113	1894	Dokumentnummer 1887 er feilført.	2002-11-26	Andre meldinger	9999-12-31	21708	2013-05-08
113	1896	DONG Efterforskning og Produktion AS har overdratt sin 20% andel i tillatelsen til DONG Norge AS.	2002-11-26	Endring i tillatelse	9999-12-31	21708	2013-05-08
113	1898	DONG Norge AS har endret navn til DOPAS Norge AS.	2002-11-26	Andre meldinger	9999-12-31	21708	2013-05-08
113	1900	DOPAS Norge AS har overdratt sin 20% andel i tillatelsen til DONG Norge AS.	2002-11-26	Endring i tillatelse	9999-12-31	21708	2013-05-08
113	2857	Amarada Hess Norge AS har endret navn til Hess Norge AS.	2006-07-14	Andre meldinger	9999-12-31	21708	2013-05-08
113	3515	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-27	Andre meldinger	9999-12-31	21708	2013-05-08
113	3594	DONG Norge AS har endret navn til DONG E&P Norge AS med virkning fra 06.09.2006	2008-01-12	Andre meldinger	9999-12-31	21708	2013-05-08
113	4145	StatoilHydro ASA har overdratt sin 30 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	21708	2013-05-08
113	4690	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21708	2013-05-08
113	6563	Hess Norge AS overdrar sin 50 % deltakerandel i utvinningstillatelsen til Dong E&P Norge AS med virkning fra 1.1.2012.	2012-08-28	Endring i tillatelse	9999-12-31	21708	2013-05-08
120	846	Utvinningstillatelse 120 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21772	2013-05-08
120	998	Elf Petroleum Norge AS overdrar 2% av sin 13% andel i utvinningstillatelsen til Norsk Hydro Produksjon AS.	1998-02-23	Endring i tillatelse	9999-12-31	21772	2013-05-08
120	1198	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21772	2013-05-08
120	1312	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21772	2013-05-08
120	1443	SDØE andel overført til Statoil ASA med 11.064516%	2001-06-01	Endring i tillatelse	9999-12-31	21772	2013-05-08
120	1549	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21772	2013-05-08
120	1718	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	21772	2013-05-08
120	2000	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21772	2013-05-08
120	2141	Norske Conoco AS har endret navn til Norske ConocoPhillips AS	2003-09-16	Andre meldinger	9999-12-31	21772	2013-05-08
120	3179	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21772	2013-05-08
120	3319	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21772	2013-05-08
120	3456	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	21772	2013-05-08
120	3777	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	21772	2013-05-08
120	4125	StatoilHydro ASA har overdratt sin 30.064516% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	21772	2013-05-08
120	4691	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21772	2013-05-08
121	847	Utvinningstillatelse 121 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21780	2013-05-08
121	1199	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21780	2013-05-08
121	1238	Norsk Hydro Produksjon AS har overdratt en 20% andel i tillatelsen til Den norske stats oljeselskap a.s.	2001-03-16	Endring i tillatelse	9999-12-31	21780	2013-05-08
121	1313	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21780	2013-05-08
121	1459	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21780	2013-05-08
121	2044	Fortum Petroleum AS har endret navn til ENI Norge AS	2003-07-11	Andre meldinger	9999-12-31	21780	2013-05-08
121	2131	Statoli ASA har overdratt en 7.9 % andel i tillatelsen til Norsk Agip AS.	2003-09-04	Endring i tillatelse	9999-12-31	21780	2013-05-08
121	2132	Statoli ASA har overdratt en 7 % andel i tillatelsen til ENI Norge AS.	2003-09-04	Endring i tillatelse	9999-12-31	21780	2013-05-08
121	2172	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-14	Endring i tillatelse	9999-12-31	21780	2013-05-08
121	2307	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21780	2013-05-08
121	2513	Statoil ASA har overdratt en 7.65% andel i tilllatelsen til Total E&P Norge AS.	2004-12-14	Endring i tillatelse	9999-12-31	21780	2013-05-08
121	3180	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21780	2013-05-08
121	3320	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21780	2013-05-08
121	3457	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	21780	2013-05-08
121	3799	StatoilHydro Petroleum AS har overdratt sin 10% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	21780	2013-05-08
121	3952	Mobil Development Norway A/S har overdratt sin 20% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	21780	2013-05-08
121	4267	StatoilHydro ASA har overdratt sin 57,45 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21780	2013-05-08
121	4693	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21780	2013-05-08
122	848	Utvinningstillatelse 122 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21788	2013-05-08
122	1314	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21788	2013-05-08
122	1479	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21788	2013-05-08
122	2150	Amarada Hess Norge A/S har overdratt sin 20% andel i tillatelsen til DONG Norge AS.	2003-10-07	Endring i tillatelse	9999-12-31	21788	2013-05-08
122	2308	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	21788	2013-05-08
122	2309	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21788	2013-05-08
122	2441	Mobil Development Norway AS har overdratt sin 10% andel i tillatelsen til DONG Norge AS.	2004-09-27	Endring i tillatelse	9999-12-31	21788	2013-05-08
122	2885	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	21788	2013-05-08
122	3458	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	21788	2013-05-08
122	4268	StatoilHydro ASA har overdratt sin 50 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21788	2013-05-08
122	4694	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21788	2013-05-08
124	849	Utvinningstillatelse 124 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21804	2013-05-08
124	1315	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21804	2013-05-08
124	1550	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21804	2013-05-08
124	1790	Petoro AS har overdratt en 2.910381% andel i tillatelsen til Norske Conoco A/S.	2002-05-06	Endring i tillatelse	9999-12-31	21804	2013-05-08
124	2088	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	21804	2013-05-08
124	2089	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-08-21	Andre meldinger	9999-12-31	21804	2013-05-08
124	2163	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-13	Endring i tillatelse	9999-12-31	21804	2013-05-08
124	2313	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21804	2013-05-08
124	3461	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	21804	2013-05-08
124	3778	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	21804	2013-05-08
124	4272	StatoilHydro ASA har overdratt sin 35 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21804	2013-05-08
124	4698	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21804	2013-05-08
127	850	Utvinningstillatelse 127 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21828	2013-05-08
127	960	Fina Production Licences AS har skiftet navn til Fina Production Licenses AS.	1997-10-01	Andre meldinger	9999-12-31	21828	2013-05-08
127	1165	Fina Production Licenses AS har overdratt sin 15% andel i tillatelsen til TOTAL Norge A.S.	2001-01-23	Endring i tillatelse	9999-12-31	21828	2013-05-08
127	1316	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21828	2013-05-08
127	1463	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21828	2013-05-08
127	1686	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21828	2013-05-08
127	1719	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	21828	2013-05-08
127	1965	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-13	Andre meldinger	9999-12-31	21828	2013-05-08
127	3462	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	21828	2013-05-08
127	4273	StatoilHydro ASA har overdratt sin 50 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21828	2013-05-08
127	4699	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21828	2013-05-08
128	851	Utvinningstillatelse 128 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21836	2013-05-08
128	1103	Saga Petroleum ASA har overdratt sin 15% andel i tillatelsen til Den norske stats oljeselskap a.s.	2000-01-07	Endring i tillatelse	9999-12-31	21836	2013-05-08
128	1317	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21836	2013-05-08
128	1448	SDØE andel overført til Statoil ASA med 0.454545%.	2001-06-01	Endring i tillatelse	9999-12-31	21836	2013-05-08
128	1551	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21836	2013-05-08
128	1633	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	21836	2013-05-08
128	2142	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2003-09-16	Andre meldinger	9999-12-31	21836	2013-05-08
128	2155	Dagboknummer 2142 er feilført.	2003-10-07	Andre meldinger	9999-12-31	21836	2013-05-08
128	2314	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	21836	2013-05-08
128	2315	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21836	2013-05-08
128	2664	Enterprise Oil Norge AS har overdratt sin 10% andel i tillatelsen til Statoil ASA.	2005-07-14	Endring i tillatelse	9999-12-31	21836	2013-05-08
128	3181	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21836	2013-05-08
128	3321	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21836	2013-05-08
128	3463	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	21836	2013-05-08
128	3800	StatoilHydro Petroleum AS har overdratt sin 13,5% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	21836	2013-05-08
128	4127	StatoilHydro ASA har overdratt sin 63.954545% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	21836	2013-05-08
128	4700	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21836	2013-05-08
132	852	Utvinningstillatelse 132 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21868	2013-05-08
132	1245	Petro-Canada Norge AS har skiftet navn til Paladin Resources Norge AS 23. januar 2001.	2001-03-21	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	1319	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21868	2013-05-08
132	1553	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	1596	Statoil ASA har overdratt sin 20% andel i tillatelsen til Gaz de France Norge AS.	2001-07-16	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	1619	Pantobligasjon til Chase Manhattan International Limited, stor USD 50.000.000,-, registrert i Paladin Recources Norge ASsin andel.	2002-01-02	Heftelse	2013-05-08	21868	2013-05-08
132	1792	Petoro AS har overdratt en 15% andel i tillatelsen til Norske Conoco A/S	2002-05-06	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	1821	Petoro AS har overdratt en 7.5%  andel i tillatelsen til Paladin Resources Norge AS.	2002-06-04	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	1850	Pantobligasjon stor USD 50.000.000,00 + rente, dok. nr. 1619, slettes.	2002-08-21	Sletting av heftelse	9999-12-31	21868	2013-05-08
132	1942	Norsk Hydro Produksjon a.s har overdratt en 2,5% andel i tillatelsen til OER Oil AS.	2003-04-11	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	2091	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	21868	2013-05-08
132	2195	Norske ConocoPhillips AS har overdratt sin 15% andel i tillatelsen til Ruhrgas Norge AS.	2003-12-09	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	2572	OER Oil AS har endret navn til Endeavour Energy Norge AS	2005-03-03	Andre meldinger	9999-12-31	21868	2013-05-08
132	2675	Ruhrgas Norge AS har endret navn til E.ON Ruhrgas Norge AS	2005-08-04	Andre meldinger	9999-12-31	21868	2013-05-08
132	2680	Paladin Resource Norge AS har overdratt sin 15 % andel i tillatelsen til E.ON Ruhrgas Norge AS.	2005-10-07	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	3182	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21868	2013-05-08
132	3322	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21868	2013-05-08
132	3953	Mobil Development Norway A/S har overdratt sin 20% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	3992	StatoilHydro Petroleum AS overdrar sin 20 % andel i utvinningstillatelse 132 til StatoilHydro ASA med virkning fra 01.11.2008.	2008-12-09	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	4066	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	21868	2013-05-08
132	4181	StatoilHydro ASA har overdratt sin 20% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	4606	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	21868	2013-05-08
132	4702	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21868	2013-05-08
132	4744	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	21868	2013-05-08
132	4745	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009.	2009-11-09	Andre meldinger	9999-12-31	21868	2013-05-08
132	5955	ExxonMobil Exploration and Production Norway AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til GDF Suez E&P Norge AS med virkning fra 1.1.2011.	2011-09-30	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	6033	Petoro AS overdrar sin 7,5 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	21868	2013-05-08
132	6288	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	21868	2013-05-08
132	6322	Faroe Petroleum Norge AS pantsetter sin 7,5 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD 300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-19	Heftelse	9999-12-31	21868	2013-05-08
134	853	Utvinningstillatelse 134 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21884	2013-05-08
134	1320	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21884	2013-05-08
134	1453	SDØE andel overført til Statoil ASA med 11.45%.	2001-06-01	Endring i tillatelse	9999-12-31	21884	2013-05-08
134	1554	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	21884	2013-05-08
134	1687	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	21884	2013-05-08
134	2001	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	21884	2013-05-08
134	2318	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	21884	2013-05-08
134	2319	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	21884	2013-05-08
134	3183	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	21884	2013-05-08
134	3323	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21884	2013-05-08
134	3465	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	21884	2013-05-08
134	3802	StatoilHydro Petroleum AS har overdratt sin 7% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	21884	2013-05-08
134	4275	StatoilHydro ASA har overdratt sin 46,45 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	21884	2013-05-08
134	4703	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21884	2013-05-08
143	856	Utvinningstillatelse 143 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21956	2013-05-08
143	1008	Den norske stats oljeselskap a.s har overdratt sin 20,0% andel i tillatelsen til Norsk Hydro Produksjon AS.	1998-03-19	Endring i tillatelse	9999-12-31	21956	2013-05-08
143	1061	Amoco Norway AS  har overdratt sin 10%  andel i tillatelsen til  Phillips Petroleum Norsk AS.	1999-05-26	Endring i tillatelse	9999-12-31	21956	2013-05-08
143	1084	Enterprise Oil Norwegian AS har overdratt sin 15% andel i tillatelsen til Phillips Petroleum Norsk AS.	1999-08-09	Endring i tillatelse	9999-12-31	21956	2013-05-08
143	1322	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21956	2013-05-08
143	1425	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21956	2013-05-08
143	2389	Phillips Petroleum Norsk AS har endret navn til ConocoPhillips Skandinavia AS.	2004-04-23	Andre meldinger	9999-12-31	21956	2013-05-08
143	2390	Norsk Hydro Produksjon AS har overdratt sin 35 % andel i tillatelsen til Paladin Resources Norge AS.	2004-04-23	Endring i tillatelse	9999-12-31	21956	2013-05-08
143	2391	Statoil ASA har overdratt sin 30 % andel i tillatelsen til Paladin Resources Norge AS.	2004-04-23	Endring i tillatelse	9999-12-31	21956	2013-05-08
143	2562	Palandin Resources Norge AS har overdratt en 30% andel i tillatelsen til BG Norge AS.	2005-02-03	Endring i tillatelse	9999-12-31	21956	2013-05-08
143	2804	Paladin Resources Norge AS har endret navn til Talisman Resources Norge AS.	2006-05-30	Andre meldinger	9999-12-31	21956	2013-05-08
143	2877	Talisman Resources Norge AS har overdratt en 15% andel i tillatelsen til Norsk Hydro Produksjon AS.	2006-10-03	Endring i tillatelse	9999-12-31	21956	2013-05-08
143	2912	Talisman Resources Norge AS har overdratt en 10% andel i tillatelsen til BG Norge AS.	2006-11-20	Endring i tillatelse	9999-12-31	21956	2013-05-08
143	2922	Talisman Resources Norge AS har overdratt sin 10 % andel i tillatelsen til Talisman Production Norge AS.	2006-12-14	Endring i tillatelse	9999-12-31	21956	2013-05-08
143	2947	Talisman Production Norge AS har overdratt sin 10% andel i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	21956	2013-05-08
143	3186	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	21956	2013-05-08
143	3326	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21956	2013-05-08
143	4060	StatoilHydro Petroleum AS har overdratt sin 15% eierandel i tillatelsen til ConocoPhillips Skandinavia AS , med virkning fra 1.7. 2008.	2009-01-30	Endring i tillatelse	9999-12-31	21956	2013-05-08
145	858	Utvinningstillatelse 145 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21972	2013-05-08
145	1324	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21972	2013-05-08
145	1423	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21972	2013-05-08
145	2047	Statoil ASA har overdratt sin 8% andel i tillatelsen til Norsk Agip A/S.	2003-07-16	Endring i tillatelse	9999-12-31	21972	2013-05-08
145	2048	Norsk Hydro Produksjon a.s har overdratt sin 2% andel i tillatelsen til Norsk Agip A/S.	2003-07-22	Endring i tillatelse	9999-12-31	21972	2013-05-08
145	2049	Norsk Hydro Produksjon a.s har overdratt sin 8% andel i tillatelsen til Phillips Petroleum Norsk  AS.	2003-07-22	Endring i tillatelse	9999-12-31	21972	2013-05-08
145	2123	Phillips Petroleum Norsk AS har endret navn til ConocoPhillips Skandinavia AS.	2003-08-28	Andre meldinger	9999-12-31	21972	2013-05-08
145	2124	Statoil ASA har overdratt sin 32% andel i tillatelsen til ConocoPhillips Skandinavia AS.	2003-08-28	Endring i tillatelse	9999-12-31	21972	2013-05-08
146	859	Utvinningstillatelse 146 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21980	2013-05-08
146	1201	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	21980	2013-05-08
146	1325	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21980	2013-05-08
146	1424	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21980	2013-05-08
146	2058	Elf Petroleum Norge AS har endret navn til TotalFinaElf Norge AS.	2003-08-18	Andre meldinger	9999-12-31	21980	2013-05-08
146	2059	TotalFinaElf Norge AS har endret navn til Total E&P Norge AS.	2003-08-18	Andre meldinger	9999-12-31	21980	2013-05-08
037 C	2864	Revus Energy AS har endret navn til Revus Energy ASA.	2006-08-03	Andre meldinger	9999-12-31	853671	2013-05-08
146	2060	Phillips Petroleum Norsk AS har endret navn til ConocoPhillips Skandinavia AS.	2003-08-18	Andre meldinger	9999-12-31	21980	2013-05-08
146	2061	Amarada Hess Norge A/S har overdratt sin 2,3%  andel i tillatelsen til Norsk Hydro Produksjon AS.	2003-08-18	Endring i tillatelse	9999-12-31	21980	2013-05-08
146	2062	Amarada Hess Norge A/S har overdratt sin 3,3%  andel i tillatelsen til Statoil ASA.	2003-08-18	Endring i tillatelse	9999-12-31	21980	2013-05-08
146	2063	Amarada Hess Norge A/S har overdratt sin 2,2%  andel i tillatelsen til Total E&P Norge AS.	2003-08-18	Endring i tillatelse	9999-12-31	21980	2013-05-08
146	2064	Amarada Hess Norge A/S har overdratt sin 2,2%  andel i tillatelsen til ConocoPhillips Skandinavia AS. 	2003-08-18	Endring i tillatelse	9999-12-31	21980	2013-05-08
146	2224	ConocoPhillips Skandinavia AS har overdratt sin 22.2% andel i tillatelsen til Norsk Hydro Produksjon AS.	2003-12-22	Endring i tillatelse	9999-12-31	21980	2013-05-08
146	3187	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	21980	2013-05-08
146	3327	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21980	2013-05-08
146	3468	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	21980	2013-05-08
146	4163	StatoilHydro ASA har overdratt sin 33,3 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	21980	2013-05-08
146	4706	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	21980	2013-05-08
147	860	Utvinningstillatelse 147 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21988	2013-05-08
147	1246	Den norske stats oljeselskap a.s har overdratt en 20% andel i tillatelsen til DONG Efterforskning og Produktion A/S.	2001-04-06	Endring i tillatelse	9999-12-31	21988	2013-05-08
147	1326	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21988	2013-05-08
147	1426	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21988	2013-05-08
147	1807	DONG Efterforskning og Produktion AS har endret navn til DONG Norge AS.	2002-05-13	Andre meldinger	9999-12-31	21988	2013-05-08
147	1895	Dokumentnummer 1807 er feilført.	2002-11-26	Andre meldinger	9999-12-31	21988	2013-05-08
147	1897	DONG Efterforskning og Produktion AS har overdratt sin 20% andel i tillatelsen til DONG Norge AS.	2002-11-26	Endring i tillatelse	9999-12-31	21988	2013-05-08
147	1899	DONG Norge AS har endret navn til DOPAS Norge AS.	2002-11-26	Andre meldinger	9999-12-31	21988	2013-05-08
147	1901	DOPAS Norge AS har overdratt sin 20% andel i tillatelsen til DONG Norge AS.	2002-11-26	Endring i tillatelse	9999-12-31	21988	2013-05-08
147	2889	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	21988	2013-05-08
147	3313	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	21988	2013-05-08
147	3448	StatoilHydro ASA har overdratt sin 30% andel i tillatelsen til Bayerngas Norge AS.	2007-11-28	Endring i tillatelse	9999-12-31	21988	2013-05-08
147	3816	A/S Norske Shell har overdratt en 20% andel i tillatelsen til Bayerngas Norge AS med virkning fra 1. januar 2008.	2008-05-05	Endring i tillatelse	9999-12-31	21988	2013-05-08
147	3817	A/S Norske Shell har overdratt en 20% andel i tillatelsen til Dong E&P Norge AS med virkning fra 1. januar 2008.	2008-05-05	Endring i tillatelse	9999-12-31	21988	2013-05-08
147	3818	A/S Norske Shell har overdratt sin 10% andel i tillatelsen til Faroe Petroleum Norge AS med virkning fra 1. januar 2008.	2008-05-05	Endring i tillatelse	9999-12-31	21988	2013-05-08
147	3931	Olje- og energidepartement har i brev av 25.08.2008 godkjent skifte av operatørskapet i tillatelsen fra A/S Norske Shell  til Dong E&P Norge med virkning fra 01.09.2008.	2008-09-01	Endring i tillatelse	2013-05-08	21988	2013-05-08
147	4720	Faroe Petroleum Norge AS overdrar sin 10 % deltakerandel i utvinningstillatelsen til Dong E&P Norge AS med virkning fra 1. januar 2009.	2009-11-06	Endring i tillatelse	9999-12-31	21988	2013-05-08
148	861	Utvinningstillatelse 148 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	21996	2013-05-08
148	1327	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	21996	2013-05-08
148	1419	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	1613	Statoil ASA har overdratt en andel på 5% i tillatelsen til Det Norske Oljeselskap AS.	2001-10-17	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	1614	Statoil ASA har overdratt sin andel på 45% til Amerada Hess Norge AS.	2001-10-17	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	1615	Total Norge AS har overdratt sin 15% andel i tillatelsen til Det Norske Oljeselskap AS.	2001-11-23	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	1736	BP Amoco Norge AS har overdratt sin 10% andel i tillatelsen til Det Norske Oljeselskap AS.	2002-01-23	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	1927	Amerada Hess Norge AS har har overdratt sin 70% andel i tillatelsen til Det Norske Oljeselskap AS.	2003-02-11	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	1929	Det Norske Oljeselskap AS har overtatt operatørskapet  i tillatelsen.	2003-02-24	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	2053	Det Norske Oljeselskap AS har overdratt en 50% andel i tillatelsen til Paladin Resources Norge AS.	2003-07-25	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	2412	Det Norske Oljseselskap AS har overdratt sin 50 % andel i tillatelsen til Lundin Norway AS.	2004-06-24	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	2413	Lundin Norway AS har overtatt operatørskapet i tillatelsen,	2004-06-24	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	2807	Paladin Resources Norge AS har endret navn til Talisman Resources Norge AS.	2006-05-30	Andre meldinger	9999-12-31	21996	2013-05-08
148	2911	Talisman Resources Norge AS har overdratt en 20% andel i tillatelsen til Norwegian Energy Company AS.	2006-11-20	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	2925	Talisman Resources Norge AS har overdratt sin 30 % andel i tillatelsen til Talisman Production Norge AS.	2006-12-14	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	2950	Talisman Production Norge AS har overdratt sin 30% andel i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	6046	Talisman Energy Norge AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Talisman Petroleum Norge AS med virkning fra 1.1.2011.	2011-12-20	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	6081	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Lundin Norway AS med virkning fra 1.1.2011.	2012-01-12	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	6766	Talisman Petroleum Norge AS overdrar en 10% deltakerandel i utvinningstillatelsen til Talisman Energy Norge AS med virkning fra 21.12.2012.	2012-12-21	Endring i tillatelse	9999-12-31	21996	2013-05-08
148	6767	Talisman Petroleum Norge AS overdrar sin 20% deltakerandel i utvinningstillatelsen til Lundin Norway AS med virkning fra 21.12.2012.	2012-12-21	Endring i tillatelse	9999-12-31	21996	2013-05-08
150	862	Utvinningstillatelse 150 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22012	2013-05-08
150	961	Fina Production Licences AS har skiftet navn til Fina Production Licenses AS.	1997-10-01	Andre meldinger	9999-12-31	22012	2013-05-08
150	1166	Fina Production Licenses AS har overdratt sin 10% andel i tillatelsen til TOTAL Norge A.S.	2001-01-23	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	1202	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	1328	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22012	2013-05-08
150	1555	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	1636	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	22012	2013-05-08
150	1689	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	1742	Statoil ASA har overdratt sin 10% andel i tillatelsen til Marathon Petroleum Norge AS.	2002-01-29	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	1833	Petoro AS har overdratt sin 30% andel i tillatelsen til  Marathon Petroleum Norge AS.	2002-06-13	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	1851	Norsk Hydro Produksjon AS har overdratt sin 10% andel i tillatelsen til Marathon Petroleum Norge AS.	2002-08-26	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	1966	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-13	Andre meldinger	9999-12-31	22012	2013-05-08
150	2034	Total E&P Norge AS har overdratt sin 10% andel i tillatelsen til Marathon Petroleum Norge AS.	2003-07-03	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	2035	Total E&P Norge AS har overført operatørskapet i tillatelsen til Marathon Petroleum Norge AS.	2003-07-03	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	2039	Enterprise Oil Norge AS har overdratt en 35% andel i tillatelsen til Det Norske Oljeselskap AS.	2003-07-11	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	2057	Enterprise Oil Norge har overdratt en 5% andel i tillatelsen til Marathon Petroleum Norge AS.	2003-08-18	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	2414	Det Norske Oljseselskap AS har overdratt sin 35 % andel i tillatelsen til Lundin Norway AS.	2004-06-24	Endring i tillatelse	9999-12-31	22012	2013-05-08
150	5871	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	22012	2013-05-08
152	863	Utvinningstillatelse 152 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22028	2013-05-08
152	966	Idemitsu Petroleum Norge AS er rettet til Idemitsu Oil Exploration (Norsk) A.S.	1997-10-01	Endring i tillatelse	9999-12-31	22028	2013-05-08
152	992	BP Petroleum Development of Norway AS har overdratt sin 30% andel i utvinningstillatelsen til Den norske stats oljeselskap a.s.	1998-02-23	Endring i tillatelse	9999-12-31	22028	2013-05-08
152	1110	Idemitsu Oil Exploration (Norsk) a.s har overdratt en 8.89% andel i tillatelsen til Den norske stats oljeselskap a.s medvirkning fra 31. desember 1999.	2000-03-31	Endring i tillatelse	2013-05-08	22028	2013-05-08
152	1111	Idemitsu Oil Exploration (Norsk) a.s har ovedratt en 1.11% andel i tillatelsen til Mobil Development Norway A/S medvirkning fra 31. desember 1999.	2000-03-31	Endring i tillatelse	2013-05-08	22028	2013-05-08
152	1329	Den norske stats oljeselskap a.s har endret navn til  Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22028	2013-05-08
152	1556	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22028	2013-05-08
152	2232	Mobil Development Norway A/S har overdratt sin 11,11% andel i tillatelsen til Statoil ASA.	2004-01-06	Endring i tillatelse	9999-12-31	22028	2013-05-08
152	2621	Statoil ASA har overdratt en 9% andel i tillatelsen til Norsk Hydro Produksjon  AS.	2005-05-13	Endring i tillatelse	9999-12-31	22028	2013-05-08
152	3188	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	22028	2013-05-08
152	3328	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	22028	2013-05-08
152	3469	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	22028	2013-05-08
152	4278	StatoilHydro ASA har overdratt sin 61 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	22028	2013-05-08
152	4707	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	22028	2013-05-08
153	864	Utvinningstillatelse 153 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22036	2013-05-08
153	1203	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	22036	2013-05-08
153	1330	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22036	2013-05-08
153	1557	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22036	2013-05-08
153	2332	Statoil ASA har overtatt operatørskapet i tillatelsen i utbyggingsfasen. Gaz de France Norge AS blir operatør i driftsfasen.	2004-02-11	Andre meldinger	9999-12-31	22036	2013-05-08
153	2333	Norsk Hydro Produksjon AS har overdratt sin 30% andel i tillatelsen til Gaz de France Norge AS.	2004-02-11	Endring i tillatelse	9999-12-31	22036	2013-05-08
153	2373	Dokumentnummer 2332 er feilført.	2004-02-17	Andre meldinger	9999-12-31	22036	2013-05-08
153	3470	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	22036	2013-05-08
153	3626	Pertra ASA har endret navn til Det norske oljeselskap ASA med virkning fra 16.11.2007	2008-01-14	Andre meldinger	9999-12-31	22036	2013-05-08
153	4067	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	22036	2013-05-08
153	4182	StatoilHydro ASA har overdratt sin 20% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	22036	2013-05-08
153	4708	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	22036	2013-05-08
153	5549	Statoil Petroleum AS bekrefter i brev datert 24.11.2010 at GDF SUEZ E&P Norway AS overtar som operatør i utvinningstillatelsen med virkning fra 25.11.2010 kl. 24:00.	2010-11-25	Andre meldinger	9999-12-31	22036	2013-05-08
158	867	Utvinningstillatelse 158 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22076	2013-05-08
158	1016	Den norske stats oljeselskap a.s har overdratt 20% i tillatelsen til Norsk Chevron AS.	1998-04-08	Endring i tillatelse	9999-12-31	22076	2013-05-08
158	1332	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22076	2013-05-08
158	1473	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	22076	2013-05-08
158	1755	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	22076	2013-05-08
158	1912	Norsk Chevron AS har endret navn til Chevron Texaco Norge AS.	2002-12-19	Andre meldinger	9999-12-31	22076	2013-05-08
158	1922	BP Norge AS har overdratt en 21.64 % andel i tillatelsen til A/SNorske Shell.	2003-01-10	Endring i tillatelse	9999-12-31	22076	2013-05-08
158	1923	BP Norge AS har overdratt operatørskapet i tillatelsen til A/S Norske Shell.	2003-01-13	Endring i tillatelse	9999-12-31	22076	2013-05-08
158	2682	Chevron Texaco Norge AS har endret navn til Chevron Norge AS.	2005-10-14	Andre meldinger	9999-12-31	22076	2013-05-08
158	3471	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	22076	2013-05-08
158	4146	StatoilHydro ASA har overdratt sin 30 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	22076	2013-05-08
158	4710	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	22076	2013-05-08
158	5476	Statoil Petroleum AS overdrar sin 30 % deltakerandel i tillatelsen til Petoro AS med virkning fra 30.7.2010.	2010-08-19	Endring i tillatelse	9999-12-31	22076	2013-05-08
158	5565	A/S Norske Shell overdrar en 5,44 % deltakerandel i utvinningstillatelsen til Petoro AS med virkning fra 1.1.2010.	2010-12-15	Endring i tillatelse	9999-12-31	22076	2013-05-08
158	5611	Chevron Norge AS overdrar en 12,44 % deltakerandel i utvinningstillatelsen til Petoro AS med virkning fra 1.1.2010.	2011-01-24	Endring i tillatelse	9999-12-31	22076	2013-05-08
158	6683	BP Norge AS overdrar sin 18,36 % deltakerandel i utvinningstillatelsen til A/S Norske Shell med virkning fra 1.1.2012.	2012-11-30	Endring i tillatelse	9999-12-31	22076	2013-05-08
159	868	Utvinningstillatelse 159 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22084	2013-05-08
159	971	Tillatelsen forlenget med 1 år til 03.03.1999.	1997-11-26	Endring i tillatelse	9999-12-31	22084	2013-05-08
159	1055	Total Norge AS har overdratt sin 20.0% andel i tillatelsen til Enterprise Oil Norwegian AS med virkning fra 1. januar 1998.	1999-04-07	Endring i tillatelse	9999-12-31	22084	2013-05-08
159	1107	Norsk Hydro Produksjon AS overdrar sin 20% andel i tillatelsen til Enterprise Oil Norwegian AS med virkning fra1. oktober 1997.	2000-01-07	Endring i tillatelse	2013-05-08	22084	2013-05-08
159	1205	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	22084	2013-05-08
159	1333	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22084	2013-05-08
159	1464	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	22084	2013-05-08
159	1637	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	22084	2013-05-08
159	2154	Dagboknummer 2143 er feilført.	2003-10-07	Andre meldinger	9999-12-31	22084	2013-05-08
159	3189	Norsk Hydro Produksjon AS har endret navn til Norsk Hydro Petroleum AS med virkning fra 21.04.2007	2007-10-25	Andre meldinger	9999-12-31	22084	2013-05-08
159	3259	Enterprise Oil Norge AS har overdratt sin 40% andel i tillatelsen til E.ON Ruhrgas Norge AS.	2007-11-04	Endring i tillatelse	9999-12-31	22084	2013-05-08
159	3329	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007. .	2007-11-10	Andre meldinger	9999-12-31	22084	2013-05-08
159	3402	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-21	Andre meldinger	9999-12-31	22084	2013-05-08
159	3472	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22084	2013-05-08
159	3805	StatoilHydro Petroleum AS har overdratt sin 10% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	22084	2013-05-08
159	4356	StatoilHydro ASA har overdratt sin 60% eierandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-03-17	Endring i tillatelse	9999-12-31	22084	2013-05-08
159	4711	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	22084	2013-05-08
159	6289	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	22084	2013-05-08
167	871	Utvinningstillatelse 167 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22148	2013-05-08
167	1335	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22148	2013-05-08
167	1434	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	22148	2013-05-08
167	1732	Norsk Hydro Produksjon AS har overdratt en 7.5% andel i tillatelsen til BP Amoco Norge AS.	2002-01-22	Endring i tillatelse	9999-12-31	22148	2013-05-08
167	1733	Phillips Petroleum Norsk AS har overdratt sin 10% andel i tillatelsen med 7.5% til Statoil ASA og 2.5 % til BP Amoco Norge AS.	2002-01-23	Endring i tillatelse	9999-12-31	22148	2013-05-08
167	1746	Norsk Hydro Produksjon AS har overdratt sin 22.5% andel i tillatelsen til Statoil ASA.	2002-02-25	Endring i tillatelse	9999-12-31	22148	2013-05-08
167	1757	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	22148	2013-05-08
167	1925	BP Norge AS har overdratt sin 20% andel i tillatelsen til Det norske oljeselskap AS.	2003-01-27	Endring i tillatelse	9999-12-31	22148	2013-05-08
167	2416	Det Norske Oljseselskap AS har overdratt sin 20 % andel i tillatelsen til Lundin Norway AS.	2004-06-24	Endring i tillatelse	9999-12-31	22148	2013-05-08
167	3474	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22148	2013-05-08
167	4281	StatoilHydro ASA har overdratt sin 80 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	22148	2013-05-08
167	4715	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	22148	2013-05-08
169	873	Utvinningstillatelse 169 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22164	2013-05-08
169	980	Tillatelsen forlenget med 2 år til 01.03.2000.	1997-12-18	Endring i tillatelse	9999-12-31	22164	2013-05-08
169	1336	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22164	2013-05-08
169	1558	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22164	2013-05-08
169	1823	Petoro AS har overdratt en 5% andel i tillatelsen til Norsk Hydro Produksjon AS.	2002-06-04	Endring i tillatelse	9999-12-31	22164	2013-05-08
169	2229	Statoil ASA har overdratt en 3%  andel i tillatelsen til Esso Exploration and Production Norway  AS.	2004-01-05	Endring i tillatelse	9999-12-31	22164	2013-05-08
169	2603	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	22164	2013-05-08
169	3191	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	22164	2013-05-08
169	3331	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	22164	2013-05-08
169	3476	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22164	2013-05-08
169	4139	StatoilHydro ASA har overdratt sin 12% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	22164	2013-05-08
169	4717	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	22164	2013-05-08
176	880	Utvinningstillatelse 176 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22220	2013-05-08
176	963	Fina Production Licences AS har skiftet navn til Fina Production Licenses AS.	1997-10-01	Andre meldinger	9999-12-31	22220	2013-05-08
176	1017	Den norske stats oljeselskap a.s har overdratt 15% i tillatelsen til Norsk Chevron AS.	1998-04-08	Endring i tillatelse	9999-12-31	22220	2013-05-08
176	1088	Fina Production Licenses AS har overdratt sin 10% andel i tillatelsen til A/S Norske Shell med virkning fra 1. januar 1998.	1999-10-08	Endring i tillatelse	9999-12-31	22220	2013-05-08
176	1343	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22220	2013-05-08
176	1474	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	22220	2013-05-08
176	1797	Overdragelse fra Norsk Hydro Produksjon AS med 10%, Norsk Chevron AS med 7.44%, A/S Norske Shell med 23.8% og Statoil ASA med 35%  til BP Norge AS med 18.36% og Petoro AS med 57.88%. 	2002-05-06	Endring i tillatelse	2013-05-08	22220	2013-05-08
176	1798	Petoro AS har overdratt en 10%  andel i tillatelsen til A/S Norske Shell.	2002-05-07	Endring i tillatelse	9999-12-31	22220	2013-05-08
176	1913	Norsk Chevron AS har endret navn til Chevron Texaco Norge AS.	2002-12-19	Andre meldinger	9999-12-31	22220	2013-05-08
176	2683	Chevron Texaco Norge AS har endret navn til Chevron Norge AS.	2005-10-14	Andre meldinger	9999-12-31	22220	2013-05-08
176	6684	BP Norge AS overdrar sin 18,36 % deltakerandel i utvinningstillatelsen til A/S Norske Shell med virkning fra 1.1.2012.	2012-11-30	Endring i tillatelse	9999-12-31	22220	2013-05-08
185	884	Utvinningstillatelse 185 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22292	2013-05-08
185	1344	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22292	2013-05-08
185	1565	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	1819	Petoro AS har overdratt en 20% andel i tillatelsen til Paladin Resources Norge AS.	2002-06-04	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	1940	Norsk Hydro Produksjon a.s har overdratt en 3,2% andel i tillatelsen til OER Oil AS	2003-04-11	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	2096	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-08-21	Andre meldinger	9999-12-31	22292	2013-05-08
185	2164	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-13	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	2323	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	22292	2013-05-08
185	2461	Esso Exploration and Production Norway AS har overdratt en 2.692% andel i tillatelsen til Revus Energy AS.	2004-11-03	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	2574	OER Oil AS har endret navn til Endeavour Energy Norge AS	2005-03-03	Andre meldinger	9999-12-31	22292	2013-05-08
185	2606	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	22292	2013-05-08
185	2641	ExxonMobil Exploration and Production Norway AS har overdratt sin 14.908% andel i tillatelsen til Talisman Energy Norge AS	2005-06-08	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	2778	Eni Norge AS har overdratt sin 13,2% andel i tilllatelsen til Altinex Oil AS.	2006-04-27	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	2781	Altinex Oil AS pantsetter sin 13,2% andel i tillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet pantobligasjon stor NOK 300,000,000, skriver norske kroner trehundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2006-04-27	Heftelse	9999-12-31	22292	2013-05-08
185	2808	Paladin Resources Norge AS har endret navn til Talisman Resources Norge AS.	2006-05-30	Andre meldinger	9999-12-31	22292	2013-05-08
185	2926	Talisman Resources Norge AS har overdratt sin 20 % andel i tillatelsen til Talisman Production Norge AS.	2006-12-14	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	2951	Talisman Production Norge AS har overdratt sin 20% andel i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	3029	Altinex Oil AS har endret navn til Altinex Oil Norway AS	2007-03-29	Andre meldinger	9999-12-31	22292	2013-05-08
185	3031	Pantobligasjon stor NOK 300 000 000 datert 25 april 2006 (dok nr 2781) hvor Altinex Oil AS er pantsetter og Norsk Tillitsmann ASA er panthaver, slettes	2007-03-29	Sletting av heftelse	9999-12-31	22292	2013-05-08
185	3034	Altinex Oil Norway AS pantsetter sin 12,6247 % andel i tillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet pantobligasjon stor NOK 300,000,000, skriver norske kroner trehundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2007-03-29	Heftelse	9999-12-31	22292	2013-05-08
185	3195	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	22292	2013-05-08
185	3335	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	22292	2013-05-08
185	3478	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22292	2013-05-08
185	4089	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	22292	2013-05-08
185	4143	StatoilHydro ASA har overdratt sin 12,6% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	4607	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	22292	2013-05-08
185	4746	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	22292	2013-05-08
185	4747	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009.	2009-11-09	Andre meldinger	9999-12-31	22292	2013-05-08
185	4764	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-09	Andre meldinger	9999-12-31	22292	2013-05-08
185	5060	Wintershall Norge ASA overdrar sin 2,692 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 1.1.2010.	2009-12-29	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	5128	Spring Energy Norway AS pantsetter sin 2.692 % deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). Førsteprioritet pantobligasjon stor NOK 1,000,000,000, skriver norske kroner en milliard 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 21.1.2010, gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-11	Heftelse	9999-12-31	22292	2013-05-08
185	5431	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 11.2.2010 (dok. nr. 5128) hvor Spring Energy Norway AS pantsetter sin 2,692 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.08.2010.	2010-08-12	Sletting av heftelse	9999-12-31	22292	2013-05-08
185	5452	Spring Energy Norway AS pantsetter sin 2,692 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	22292	2013-05-08
185	5783	Pantobligasjon stor NOK 300 000 000 skriver norske kroner trehundremillioner  00/100 datert 27.3.2007 (dok. nr. 3034) Altinex Oil Norway AS pantsetter sin 12,6247 % deltakerandel i utvinningstillatelsen til Norsk tillitsmann ASA er slettet. Samtykke fra panthaver Norsk Tillitsmann ASA  foreligger.	2011-05-09	Sletting av heftelse	9999-12-31	22292	2013-05-08
185	5910	Altinex Oil Norway AS overdrar sin 13,2 % deltakerandel i utvinningstillatelsen til Core Energy AS med virkning fra 1.7.2011.	2011-07-28	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	5931	Core Energy AS pantsetter sin 13,2% deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-18	Heftelse	9999-12-31	22292	2013-05-08
185	6038	Petoro AS overdrar sin 13,4 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	22292	2013-05-08
185	6319	Faroe Petroleum Norge AS pantsetter sin 13,4 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD 300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-19	Heftelse	9999-12-31	22292	2013-05-08
185	6502	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5452) hvor Spring Energy Norway AS pantsetter sin 2,692 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	22292	2013-05-08
185	6896	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.02.2013	2013-02-19	Andre meldinger	2013-02-27	22292	2013-05-08
187	886	Utvinningstillatelse 187 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22308	2013-05-08
187	1029	Norsk Hydro Produksjon AS har overdratt 10% i tillatelsen til Den norske stats oljeselskap a.s effektivt 1. januar 1997.	1998-04-28	Endring i tillatelse	9999-12-31	22308	2013-05-08
187	1345	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22308	2013-05-08
187	1435	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	22308	2013-05-08
187	1745	Norsk Hydro Produksjon AS har overdratt sin 10% andel i tillatelsen til Marathon Petroleum Norge AS.	2002-02-11	Endring i tillatelse	9999-12-31	22308	2013-05-08
187	1758	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	22308	2013-05-08
187	1893	BP Norge AS har overdratt en 12.5% andel i tillatelsen til Gaz de France Norge AS.	2002-11-26	Endring i tillatelse	9999-12-31	22308	2013-05-08
187	2939	BP Norge AS har overdratt sin 12,5 % andel i tillatelsen til Gaz de France Norge AS.	2006-12-18	Endring i tillatelse	9999-12-31	22308	2013-05-08
187	2940	BP Norge AS har overført operatørskapet i tillatelsen til Statoil ASA.	2006-12-18	Endring i tillatelse	9999-12-31	22308	2013-05-08
187	3479	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22308	2013-05-08
187	4069	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	22308	2013-05-08
187	4283	StatoilHydro ASA har overdratt sin 65 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	22308	2013-05-08
187	4767	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	22308	2013-05-08
187	5597	Statoil Petroleum AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Marathon Petroleum Norge AS med virkning fra 30.12.2010.	2011-01-05	Endring i tillatelse	9999-12-31	22308	2013-05-08
187	5763	Marathon Petroleum Norge AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 31.3.2011.	2011-03-31	Endring i tillatelse	9999-12-31	22308	2013-05-08
190	889	Utvinningstillatelse 190 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22332	2013-05-08
190	1009	Den norske stats oljeselskap a.s har overdratt sin 10,0% andel i tillatelsen til Elf Petroleum Norge AS.	1998-03-19	Endring i tillatelse	9999-12-31	22332	2013-05-08
190	1037	Enterprise Oil Norwegian AS har overdratt en 5% andel i tillatelsen til Norsk Hydro Produksjon AS med virkning fra 1. oktober 1997.	1998-06-22	Endring i tillatelse	9999-12-31	22332	2013-05-08
190	1047	Enterprise oil Norwegian AS har overdratt sin 10,0% andel i utvinningstillatelsen til Total Norge AS.	1998-10-23	Endring i tillatelse	9999-12-31	22332	2013-05-08
190	1347	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22332	2013-05-08
190	1567	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22332	2013-05-08
190	1690	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	22332	2013-05-08
190	1720	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	22332	2013-05-08
190	1881	Petoro AS har overdratt en 10% andel i tillatelsen til Norsk Hydro Produksjon AS.	2002-10-17	Endring i tillatelse	9999-12-31	22332	2013-05-08
190	2033	TotalFinaElf Norge AS har endret navn til Total E&P Norge AS.	2003-06-23	Andre meldinger	9999-12-31	22332	2013-05-08
190	2508	Total E&P Norge AS har overdratt en 10% andel i tillatelsen til Statoil ASA.	2004-12-06	Endring i tillatelse	9999-12-31	22332	2013-05-08
190	2838	Rettighetshaverne i utvinningstillatelse 079 har i forbindelse med samordning av petroleumsvirksomhet iht petroleumsloven § 4-7, etter avtale fått overført retten til å utvinne petroleum fra et område innfor utvinningstillatelse 190 som er benevnt Delta Extension. Rettigheter og plikter vedrørende overdragelsen er regulert i Agreement between the PL 190  Group and the PL 079 Group Relating to the Delta Extension, datert 28. juni 2005. 	2006-06-01	Heftelse	2013-05-08	22332	2013-05-08
190	3196	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	22332	2013-05-08
190	3336	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	22332	2013-05-08
190	3480	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22332	2013-05-08
190	3832	Oljedirektoratet har i brev ref: OD 01/2183den 22.07.2002 vedtatt forlengelsen av tillatelsen til 10.09.2032.	2008-05-22	Andre meldinger	9999-12-31	22332	2013-05-08
190	4134	StatoilHydro ASA har overdratt sin 10% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	22332	2013-05-08
190	4768	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	22332	2013-05-08
193	892	Utvinningstillatelse 193 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22356	2013-05-08
193	993	BP Petroleum Development of Norway AS har overdratt sin 15% andel i utvinningstillatelsen til Den norske stats oljeselskap a.s.	1998-02-23	Endring i tillatelse	9999-12-31	22356	2013-05-08
193	1028	Norsk Hydro Produksjon AS har overdratt 5% i tillatelsen til Elf Petroleum Norge AS effektivt 1. januar 1997.	1998-04-28	Endring i tillatelse	9999-12-31	22356	2013-05-08
193	1349	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22356	2013-05-08
193	1445	SDØE andel overført til Statoil ASA med 10%.	2001-06-01	Endring i tillatelse	9999-12-31	22356	2013-05-08
193	1569	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22356	2013-05-08
193	1721	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	22356	2013-05-08
193	2004	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	22356	2013-05-08
193	2670	Statoil ASA har overdratt en 6.45% andel i tillatelsen til Enterprise Oil Norge AS.	2005-08-02	Endring i tillatelse	9999-12-31	22356	2013-05-08
193	3197	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	22356	2013-05-08
193	3337	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	22356	2013-05-08
193	3481	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22356	2013-05-08
193	4284	StatoilHydro ASA har overdratt sin 43,55 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	22356	2013-05-08
193	4769	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	22356	2013-05-08
193	6383	Statoil Petroleum AS overdrar en 19 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-04	Endring i tillatelse	9999-12-31	22356	2013-05-08
195	894	Utvinningstillatelse 195 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22372	2013-05-08
195	1010	Den norske stats oljeselskap a.s har overdratt sin 10,0% andel i tillatelsen til Norsk Hydro Produksjon AS.	1998-03-19	Endring i tillatelse	9999-12-31	22372	2013-05-08
195	1350	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22372	2013-05-08
195	1570	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22372	2013-05-08
195	1759	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	22372	2013-05-08
195	1935	BP Norge AS har overdratt en 20 % andel i tillatelsen til Norsk Hydro Produksjon  AS.	2003-03-19	Endring i tillatelse	9999-12-31	22372	2013-05-08
195	1936	Operatørskapet i tillatelsen overdras fra BP Norge AS til Norsk Hydro Produksjon AS.	2003-04-03	Endring i tillatelse	9999-12-31	22372	2013-05-08
195	2377	Norske Conoco AS har overdratt sin 15% andel i tillatelsen til Norsk Hydro Produksjon  AS.	2004-03-03	Endring i tillatelse	9999-12-31	22372	2013-05-08
195	2378	Norsk Hydro Produksjon AS har overdratt en 25% andel i tillatelsen til RWE-Dea Norge AS	2004-04-20	Endring i tillatelse	9999-12-31	22372	2013-05-08
195	3198	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	22372	2013-05-08
195	3338	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	22372	2013-05-08
195	4771	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	22372	2013-05-08
199	898	Utvinningstillatelse 199 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22404	2013-05-08
199	1100	Saga Petroleum ASA har overdratt en 13% andel i tillatelsen til Den norske stats oljeselskap a.s.	2000-01-07	Endring i tillatelse	9999-12-31	22404	2013-05-08
199	1108	Saga Petroleum ASA har overdratt operatørskapet i tillatelsen til Den norske stats oljeselskap a.s.	2000-01-26	Endring i tillatelse	9999-12-31	22404	2013-05-08
199	1210	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-26	Endring i tillatelse	9999-12-31	22404	2013-05-08
199	1353	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22404	2013-05-08
199	1460	SDØE andel overført til Statoil ASA med 18%.	2001-06-01	Endring i tillatelse	9999-12-31	22404	2013-05-08
199	1572	SDØE overført til Peetoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22404	2013-05-08
199	2514	Statoil ASA har overdratt en 6% andel i tilllatelsen til Total E&P Norge AS.	2004-12-14	Endring i tillatelse	9999-12-31	22404	2013-05-08
199	2561	Statoil ASA har overdratt en 2% andel i tillatelsen til Norsk Hydro Produksjon AS.	2005-02-03	Endring i tillatelse	9999-12-31	22404	2013-05-08
199	3200	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	22404	2013-05-08
199	3340	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	22404	2013-05-08
199	3482	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22404	2013-05-08
199	3807	StatoilHydro Petroleum AS har overdratt sin 14,% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	22404	2013-05-08
199	3955	Mobil Development Norway A/S har overdratt sin 15% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	22404	2013-05-08
199	4285	StatoilHydro ASA har overdratt sin 52 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	22404	2013-05-08
199	4773	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	22404	2013-05-08
201	900	Utvinningstillatelse 201 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22420	2013-05-08
201	1355	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22420	2013-05-08
201	1480	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	22420	2013-05-08
201	1609	Tillatelsen er forlenget til 10. september 2003.	2001-09-10	Endring i tillatelse	9999-12-31	22420	2013-05-08
201	1639	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	22420	2013-05-08
201	2097	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-08-21	Andre meldinger	9999-12-31	22420	2013-05-08
201	2144	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2003-09-16	Andre meldinger	9999-12-31	22420	2013-05-08
201	2156	Dagboknummer 2144 er feilført.	2003-10-07	Andre meldinger	9999-12-31	22420	2013-05-08
201	2173	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-14	Endring i tillatelse	9999-12-31	22420	2013-05-08
201	2325	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	22420	2013-05-08
201	2386	Enterprise Oil Norge AS har overdratt en 11.66 % andel i tillatelsen til Norsk Agip AS.	2004-04-22	Endring i tillatelse	9999-12-31	22420	2013-05-08
201	2387	Enterprise Oil Norge AS har overdratt en 8.33 % andel i tillatelsen til Statoil ASA.	2004-04-22	Endring i tillatelse	9999-12-31	22420	2013-05-08
201	2388	Enterprise Oil Norge AS har overdratt sin 5.00 % andel i tillatelsen til ENI Norge AS.	2004-04-22	Endring i tillatelse	9999-12-31	22420	2013-05-08
201	2401	Feil i dokumentene 2386 og 2388. Andeler på 11.66% og 5% tilbakeføres til Enterprise Oil Norge AS fra ENI Norge AS og Norske Agip A/S.	2004-05-14	Andre meldinger	9999-12-31	22420	2013-05-08
201	2402	Enterprise Oil Norge AS overdrar sin 16.67% andel til ENI Norge AS.	2004-05-14	Endring i tillatelse	9999-12-31	22420	2013-05-08
201	3483	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22420	2013-05-08
201	4286	StatoilHydro ASA har overdratt sin 33,33 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	22420	2013-05-08
201	4816	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	22420	2013-05-08
203	902	Utvinningstillatelse 203 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22436	2013-05-08
203	1357	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22436	2013-05-08
203	1573	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22436	2013-05-08
203	1734	BP Amoco Norge AS har overdratt sin 15% andel i tillatelsen til Det Norske Oljeselskap AS.	2002-01-23	Endring i tillatelse	9999-12-31	22436	2013-05-08
203	1834	Petoro AS har overdratt sin 30% andel i tillatelsen til  Marathon Petroleum Norge AS.	2002-06-13	Endring i tillatelse	9999-12-31	22436	2013-05-08
203	1852	Norsk Hydro Produksjon AS har overdratt sin 35% andel i tillatelsen til Marathon Petroleum Norge AS.	2002-08-26	Endring i tillatelse	9999-12-31	22436	2013-05-08
203	2098	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	22436	2013-05-08
203	2418	Det Norske Oljseselskap AS har overdratt sin 15 % andel i tillatelsen til Lundin Norway AS.	2004-06-24	Endring i tillatelse	9999-12-31	22436	2013-05-08
203	5873	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	22436	2013-05-08
208	907	Utvinningstillatelse 208 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22476	2013-05-08
208	1360	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22476	2013-05-08
208	1575	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22476	2013-05-08
208	1761	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	22476	2013-05-08
208	2567	BP Norge AS har overdratt sin 45% andel i tilllatelsen til DONG Norge AS.	2005-03-01	Endring i tillatelse	9999-12-31	22476	2013-05-08
208	2890	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	22476	2013-05-08
209	908	Utvinningstillatelse 209 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22484	2013-05-08
209	1361	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22484	2013-05-08
209	1576	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	22484	2013-05-08
209	2607	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	22484	2013-05-08
209	3202	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	22484	2013-05-08
209	3342	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	22484	2013-05-08
209	3485	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22484	2013-05-08
209	4152	StatoilHydro ASA har overdratt sin 15% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	22484	2013-05-08
209	4774	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	22484	2013-05-08
211	910	Utvinningstillatelse 211 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22500	2013-05-08
211	1363	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22500	2013-05-08
211	1467	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	22500	2013-05-08
211	1722	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	22500	2013-05-08
211	2005	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	22500	2013-05-08
211	2326	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	22500	2013-05-08
211	2327	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	22500	2013-05-08
211	2843	Mobil Development Norway A/S har overdratt sin 30 % andel i tillatelsen til Total E&P Norge AS.	2006-06-14	Endring i tillatelse	9999-12-31	22500	2013-05-08
211	2846	Mobil Development Norway A/S har overdratt operatørskapet i tillatelsen til Total E&P Norge AS.	2006-06-15	Andre meldinger	9999-12-31	22500	2013-05-08
211	2878	Total E&P Norge AS har overdratt en 10% andel i tillatelsen til Eni Norge AS.	2006-10-09	Endring i tillatelse	9999-12-31	22500	2013-05-08
211	3486	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22500	2013-05-08
211	4147	StatoilHydro ASA har overdratt sin 30 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	22500	2013-05-08
211	4817	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	22500	2013-05-08
211	7025	Statoil Petroleum AS har overdratt sin 30 % andel i utvinningstillatelsen til Maersk Oil Norway AS. Iht. skjøte er gjennomføringsdato 22.3.2013 og virkningsdato 1.1.2013	2013-04-16	Endring i tillatelse	2013-04-18	22500	2013-05-08
212	911	Utvinningstillatelse 212 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	22508	2013-05-08
212	1364	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22508	2013-05-08
212	1465	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	22508	2013-05-08
212	1641	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	22508	2013-05-08
212	1762	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	22508	2013-05-08
212	2099	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2003-08-21	Andre meldinger	9999-12-31	22508	2013-05-08
212	3254	Modil Development Norway AS har overdratt sin 15% andel i tillatelsen til PGNIG Norway AS.	2007-11-02	Endring i tillatelse	9999-12-31	22508	2013-05-08
212	3260	Enterprise Oil Norge AS har overdratt sin 25% andel i tillatelsen til E.ON Ruhrgas Norge AS.	2007-11-04	Endring i tillatelse	9999-12-31	22508	2013-05-08
212	3488	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22508	2013-05-08
212	3835	PGNiG Norway AS pantsetter sin 15% andel i tillatelsen til fordel for Polski Còrnictwo Naftowe i Gazownictwo S.A. Førsteprioritet pantobligasjon stor NOK 3.534.000.000 skriver norske kroner tremilliarderfemhundreogtrettifiremillioner 00/100Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av det pantsatte objekt uten skriftlig fra panthaver.	2008-06-12	Heftelse	2013-05-08	22508	2013-05-08
212	4148	StatoilHydro ASA har overdratt sin 30 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	22508	2013-05-08
212	4819	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	22508	2013-05-08
212	5506	Pantobligasjon stor NOK 3 534,000,000 skriver norske kroner tremilliarderfemhundreogtrettifiremillioner  00/100 datert 12.6.2008 (dok. nr. 3835) hvor PGNiG Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til Polski Górnictwo Naftowe i Gazownictwo S.A. er slettet. Samtykke fra panthaver Polski Górnictwo Naftowe i Gazownictwo S.A. foreligger i brev datert 31.8.2010.	2010-09-28	Sletting av heftelse	9999-12-31	22508	2013-05-08
212	5508	PGNiG Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Credit Agricole Corporate and Investment Bank. Første prioritet panteobligasjon stor USD  480,000,000, skriver amerikanske dollar firehundreogåttimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 12.8.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd, på følgende vilkår jamfør petroleumsloven § 10-18, andre ledd. Pantet er opprettet utelukkende for det formål å finansiere petroleumsvirksomheten knyttet til nevnte lisenser.	2010-09-28	Heftelse	9999-12-31	22508	2013-05-08
212	5545	PGNiG Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Polskie Górnictwo Naftowe i Gazownictwo. Andre prioritet panteobligasjon stor NOK 5,280,000,000, skriver norske kroner femmilliardertohundreogåttimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 30.9.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd, på følgende vilkår jamfør petroleumsloven § 10-18, andre ledd. Pantet er opprettet utelukkende for det formål å finansiere petroleumsvirksomheten knyttet til nevnte lisenser.	2010-11-25	Heftelse	9999-12-31	22508	2013-05-08
212	6292	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	22508	2013-05-08
218	917	Utvinningstillatelse 218 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-25	Ny tillatelse	9999-12-31	22556	2013-05-08
218	1236	Saga Petroleum ASA har overdratt sin 10% andel i tillatelsen til Norske Conoco A/S.	2001-03-15	Endring i tillatelse	9999-12-31	22556	2013-05-08
218	1369	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22556	2013-05-08
218	1478	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	22556	2013-05-08
226	4783	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	22620	2013-05-08
218	1764	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	22556	2013-05-08
218	2101	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	22556	2013-05-08
218	2608	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	22556	2013-05-08
218	2844	BP Norge AS har overdratt sin 25 % andel i tillatelsen til Statoil ASA.	2006-06-15	Endring i tillatelse	9999-12-31	22556	2013-05-08
218	2845	BP Norge AS har overdratt operatørskapet i tillatelsen til Statoil ASA.	2006-06-15	Andre meldinger	9999-12-31	22556	2013-05-08
218	3493	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22556	2013-05-08
218	3781	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	22556	2013-05-08
218	4288	StatoilHydro ASA har overdratt sin 75 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	22556	2013-05-08
218	4778	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	22556	2013-05-08
218	6584	ExxonMobil Exploration and Production Norway AS overdrar sin 15% deltakerandel i utvinningstillatelsen til OMV (Norge) AS med virkning fra 1.1.2012.	2012-10-02	Endring i tillatelse	9999-12-31	22556	2013-05-08
219	918	Utvinningstillatelse 219 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-25	Ny tillatelse	9999-12-31	22564	2013-05-08
219	964	Fina Production Licences AS har skiftet navn til Fina Production Licenses AS.	1997-10-01	Andre meldinger	9999-12-31	22564	2013-05-08
219	1167	Fina Production Licenses AS har overdratt sin 15% andel i tillatelsen til TOTAL Norge A.S.	2001-01-23	Endring i tillatelse	9999-12-31	22564	2013-05-08
219	1370	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22564	2013-05-08
219	1590	Dagboknummer 1370 er feilført.	2001-06-18	Andre meldinger	9999-12-31	22564	2013-05-08
219	1643	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	22564	2013-05-08
219	1692	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	22564	2013-05-08
219	1846	Norsk Hydro Produksjon AS har overdratt en 10% andel i tillatelsen til Fortum Petroleum AS.	2002-08-21	Endring i tillatelse	9999-12-31	22564	2013-05-08
219	1847	Norsk Hydro Produksjon AS har overdratt en 10% andel i tillatelsen til Enterprise Oil Norwegian AS.	2002-08-21	Endring i tillatelse	9999-12-31	22564	2013-05-08
219	2006	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-06-19	Andre meldinger	9999-12-31	22564	2013-05-08
219	2007	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-19	Andre meldinger	9999-12-31	22564	2013-05-08
219	2174	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-14	Endring i tillatelse	9999-12-31	22564	2013-05-08
219	2335	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-12	Andre meldinger	9999-12-31	22564	2013-05-08
219	3204	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	22564	2013-05-08
219	3344	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	22564	2013-05-08
219	4779	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	22564	2013-05-08
220	919	Utvinningstillatelse 220 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-25	Ny tillatelse	9999-12-31	22572	2013-05-08
220	1144	BP Amoco Norge AS har overdratt sin 15% andel i tillatelsen til Fortum Petroleum AS med virkning fra 1. januar 2000.	2000-09-20	Endring i tillatelse	9999-12-31	22572	2013-05-08
220	1371	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22572	2013-05-08
220	1470	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	22572	2013-05-08
220	2102	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-08-21	Andre meldinger	9999-12-31	22572	2013-05-08
220	2165	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-13	Endring i tillatelse	9999-12-31	22572	2013-05-08
220	2336	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-12	Andre meldinger	9999-12-31	22572	2013-05-08
220	2874	Amerada Hess Norge AS har endret navn til Hess Norge AS.	2006-09-06	Andre meldinger	9999-12-31	22572	2013-05-08
220	3495	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22572	2013-05-08
220	4289	StatoilHydro ASA har overdratt sin 70 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	22572	2013-05-08
220	4780	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	22572	2013-05-08
226	925	Utvinningstillatelse 226 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-25	Ny tillatelse	9999-12-31	22620	2013-05-08
226	1219	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-26	Endring i tillatelse	9999-12-31	22620	2013-05-08
226	1377	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	22620	2013-05-08
226	1490	SDØE overført til Statoil ASA.	2001-06-05	Endring i tillatelse	9999-12-31	22620	2013-05-08
226	1645	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	22620	2013-05-08
226	2104	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-08-21	Andre meldinger	9999-12-31	22620	2013-05-08
226	2192	ENI Norge AS er innfunsjonert i Norsk Agip AS.	2003-11-24	Endring i tillatelse	9999-12-31	22620	2013-05-08
226	2198	Enterprise Oil Norge AS har overdratt en 6% andel i tillatelse til Norsk Agip AS.	2003-12-10	Endring i tillatelse	9999-12-31	22620	2013-05-08
226	2199	Enterprise Oil Norge AS har overdratt sin 9% andel i tillatelse til Norsk Hydro Produksjon a.s.	2003-12-10	Endring i tillatelse	9999-12-31	22620	2013-05-08
226	2340	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-12	Andre meldinger	9999-12-31	22620	2013-05-08
226	4291	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 1.10.2007	2009-02-27	Endring i tillatelse	9999-12-31	22620	2013-05-08
226	4292	StatoilHydro ASA har overdratt sin 40% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	22620	2013-05-08
226	4781	Norsk Hydro Produksjon AS har besluttet fisjon. Overtakende foretak er Norsk Hydro Petroleum AS, med virkning fra 21.4.2007.	2009-11-10	Andre meldinger	9999-12-31	22620	2013-05-08
226	4782	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 1.10.2007.	2009-11-10	Andre meldinger	9999-12-31	22620	2013-05-08
019 C	1043	Utvinningstillatelsen innført i Petroleumsregisteret.	1998-10-16	Ny tillatelse	9999-12-31	47992	2013-05-08
229	928	Utvinningstillatelse 229 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-25	Ny tillatelse	9999-12-31	22644	2013-05-08
229	1380	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-30	Andre meldinger	9999-12-31	22644	2013-05-08
229	1493	SDØE overført til Statoil ASA.	2001-06-05	Endring i tillatelse	9999-12-31	22644	2013-05-08
229	1647	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	22644	2013-05-08
229	1891	Phillips Petroleum Company Norway har endret navn til ConocoPhillips Norge.	2002-11-12	Andre meldinger	9999-12-31	22644	2013-05-08
229	2022	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-06-20	Andre meldinger	9999-12-31	22644	2013-05-08
229	2023	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2003-06-20	Andre meldinger	9999-12-31	22644	2013-05-08
229	2105	Phillips Petroleum Norsk AS har endret navn til ConocoPhillips Skandinavia AS.	2003-08-21	Andre meldinger	9999-12-31	22644	2013-05-08
229	2175	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-15	Endring i tillatelse	9999-12-31	22644	2013-05-08
229	2343	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-12	Andre meldinger	9999-12-31	22644	2013-05-08
229	2383	Enterprise Oil Norge AS har overdratt sin 15% andel i tillatelsen til Det Norske Oljeselskap AS.	2004-04-21	Endring i tillatelse	9999-12-31	22644	2013-05-08
229	2394	ConocoPhillips Skandinavia AS har overdratt sin 25% andel i tillatelsen til Eni Norge AS.	2004-04-30	Endring i tillatelse	9999-12-31	22644	2013-05-08
229	3044	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	22644	2013-05-08
229	3498	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22644	2013-05-08
229	3581	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning 16.11.2007.	2008-01-10	Andre meldinger	9999-12-31	22644	2013-05-08
229	3593	NOIL Energy  ASA pantsetter sin 15% andel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 1.500.000.000. skriver norske kroner ettusenfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av det pantsatte objekt uten skriftilig samtykke fra panthaver.	2008-01-10	Heftelse	9999-12-31	22644	2013-05-08
229	3876	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-08	Endring i tillatelse	9999-12-31	22644	2013-05-08
229	3999	Pantobligasjon til NOIL Energy ASA stor NOK 1.500.000.000 ettusenfemhundremillioner, dok.nr 3593, registert 10.1.2008 slettet.	2008-12-23	Sletting av heftelse	9999-12-31	22644	2013-05-08
229	4016	Det norske oljeselskap ASA har overdratt sin 15% andel i tillatelsen til StatoilHydro ASA, med virkning fra 30.12.2008.	2009-01-03	Endring i tillatelse	2013-05-08	22644	2013-05-08
229	4044	Den initielle perioden har blitt forlengt to ganger henholdsvis ved brev fra Departement av 17.desember 2004 og 18. august 2005. Arbeidsforpliktelsen er oppfylt. Oljedirektoradet hadde ingen merknader til at utvinningstillatelsen gikk over til  forlengelsesperioden fra 15.5.2007 til 15.5.2042 med hele det areal som tillatelsen i dag omfatter, jf petroleumsloven § 3-9 andre ledd.	2009-01-21	Endring i tillatelse	9999-12-31	22644	2013-05-08
229	4296	StatoilHydro ASA har overdratt sin 35% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	22644	2013-05-08
229	4822	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	22644	2013-05-08
230	929	Utvinningstillatelse 230 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-25	Ny tillatelse	9999-12-31	22652	2013-05-08
230	1222	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-26	Endring i tillatelse	9999-12-31	22652	2013-05-08
230	1381	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-30	Andre meldinger	9999-12-31	22652	2013-05-08
230	1495	SDØE overført til Statoil ASA.	2001-06-05	Endring i tillatelse	9999-12-31	22652	2013-05-08
230	2233	Mobil Development Norway A/S har overdratt sin 20 % andel i tillatelsen til Statoil ASA.	2004-01-06	Endring i tillatelse	9999-12-31	22652	2013-05-08
230	2272	Mobil Development Norway AS har overdratt operatørskapet i tillatelsen til Statoil ASA.	2004-01-29	Endring i tillatelse	9999-12-31	22652	2013-05-08
230	2275	Amarada Hess Norge AS har overdratt sin 15% andel i tillatelsen til Gaz de France Norge AS.	2004-01-29	Endring i tillatelse	9999-12-31	22652	2013-05-08
230	3500	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-12-02	Andre meldinger	9999-12-31	22652	2013-05-08
230	3501	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-12-02	Andre meldinger	9999-12-31	22652	2013-05-08
230	3502	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	22652	2013-05-08
230	4070	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	22652	2013-05-08
230	4299	StatoilHydro ASA har overdratt sin 55% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	22652	2013-05-08
230	4527	I henhold til brev fra Oljedirektoratet til StatoilHydro Petroleum AS (SatoilHydro) av 13.5.2009 er utvinningstillatelse forlenget fra 15.5.2009 til 15.5.2049 jf pkt 1 bokstav b.	2009-07-27	Andre meldinger	9999-12-31	22652	2013-05-08
230	4788	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	22652	2013-05-08
025	779	Utvinningstillatelse 025 overført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	34512	2013-05-08
025	995	Elf Petroleum Norge AS har overdratt 20% av sin 53,2%  andel i utvinningstillatelse 025 til Den norske stats oljeselskap a.s.	1998-02-23	Endring i tillatelse	9999-12-31	34512	2013-05-08
025	1000	Med virkning fra 31. oktober 1997 overføres operatørskapet i utvinningstillatelsen fra Elf Petroleum Norge AS til Den norske stats oljeselskap a.s.	1998-03-02	Endring i tillatelse	9999-12-31	34512	2013-05-08
025	1053	Total Norge AS har overdratt en 11,8% andel i tillatelsen til Den norske stats oljeselskap a.s med virkning fra 1. april 1998.	1999-04-07	Endring i tillatelse	9999-12-31	34512	2013-05-08
025	1254	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	34512	2013-05-08
025	1591	TotalFinaElf Petroleum Norge AS har overdratt en 25% andel i tillatelsen til BP Amoco Norge AS.	2001-06-20	Endring i tillatelse	9999-12-31	34512	2013-05-08
025	1701	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	34512	2013-05-08
025	1702	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	34512	2013-05-08
025	1737	TotalFinaElf Exploration Norge AS har overdratt en 18.2 % andel i tillatelsen til Marathon Petroleum Norge AS.	2002-01-24	Endring i tillatelse	9999-12-31	34512	2013-05-08
025	1744	Norsk Hydro Produksjon AS har overdratt sin 10% andel i tillatelsen til Marathon Petroleum Norge AS.	2002-02-11	Endring i tillatelse	9999-12-31	34512	2013-05-08
025	1752	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS. BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-01-28	34512	2013-05-08
025	1892	BP Norge AS har overdratt en 12.5% andel i tillatelsen til Gaz de France Norge AS.	2002-11-26	Endring i tillatelse	9999-12-31	34512	2013-05-08
025	2938	BP Norge AS har overdratt sin 12,5 % andel i tillatelsen til Gaz de France Norge AS.	2006-12-18	Endring i tillatelse	9999-12-31	34512	2013-05-08
025	3100	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	34512	2013-05-08
025	4049	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-01-29	Andre meldinger	9999-12-31	34512	2013-05-08
025	4232	StatoilHydro ASA har overdratt sin 46,8 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	34512	2013-05-08
025	4621	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	34512	2013-05-08
025	5573	Marathon Petroleum Norge AS overdrar en 8,2 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 1.1.2010.	2010-12-30	Endring i tillatelse	9999-12-31	34512	2013-05-08
025	5762	Marathon Petroleum Norge AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 31.3.2011.	2011-03-31	Endring i tillatelse	9999-12-31	34512	2013-05-08
079	817	Utvinningstillatelse 079 oveført til nytt Petroleumsregister med endringer iht. ILGI-basen.	1997-07-24	Ny tillatelse	9999-12-31	34635	2013-05-08
079	1185	Saga Petroleum ASA er innfusjonert i Horsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	34635	2013-05-08
079	1288	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	34635	2013-05-08
079	1531	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	34635	2013-05-08
079	1829	Petoro As har overdratt en 10% andel i tillatelsen til TotalFinaElf Exploration Norge AS.	2002-06-05	Endring i tillatelse	9999-12-31	34635	2013-05-08
079	1837	Petoro AS har overdratt en 7.5% andel i tillatelsen til Norsk Hydro Produksjon AS.	2002-07-03	Endring i tillatelse	9999-12-31	34635	2013-05-08
079	1860	Petoro AS har overdratt en 2.4% andel i tillatelsen til Norske Conoco A/S.	2002-10-03	Endring i tillatelse	9999-12-31	34635	2013-05-08
079	1884	Petoro AS har overdratt en 1.3% andel i tillatelsen til Statoil ASA.	2002-10-23	Endring i tillatelse	9999-12-31	34635	2013-05-08
079	1902	Petoro AS har overdratt en 4.7% andel i tillatelsen til Mobil Development Norway AS.	2002-12-06	Endring i tillatelse	9999-12-31	34635	2013-05-08
079	1988	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	34635	2013-05-08
079	2080	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	34635	2013-05-08
079	3160	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	34635	2013-05-08
079	3299	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	34635	2013-05-08
079	3428	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	34635	2013-05-08
079	3942	Mobil Development Norway A/S har overdratt sin 4,70% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	34635	2013-05-08
079	4157	StatoilHydro ASA har overdratt sin 15,3% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	34635	2013-05-08
079	4666	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	34635	2013-05-08
079	6689	ExxonMobil Exploration and Production Norway AS overdrar sin 4,7 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 1.1.2012.	2012-12-03	Endring i tillatelse	9999-12-31	34635	2013-05-08
103 B	1011	Utvinningstillatelse 103 B innført i Petroleumsregisteret.	1998-04-06	Ny tillatelse	9999-12-31	40772	2013-05-08
103 B	1247	Amerada Hess Norge AS har overdratt sin 12.5% andel i tillatelsen til Det norske oljeselskap AS.	2001-05-18	Endring i tillatelse	9999-12-31	40772	2013-05-08
103 B	1304	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	40772	2013-05-08
103 B	1545	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	40772	2013-05-08
103 B	1605	Statoil ASA  har overdratt sin 20% andel i tillatelsen til Det norske oljeselskap AS.	2001-08-20	Endring i tillatelse	9999-12-31	40772	2013-05-08
103 B	1778	Panteobligasjon til Nordea Bank Norge ASA stor USD 19.000.000,00 + rente,  registrert i Det Norske Oljeselskap AS sin andel.	2002-04-03	Heftelse	9999-12-31	40772	2013-05-08
103 B	1888	Norske Conoco A/S har overdratt sin 37.5% andel i tillatelsen  til Det norske oljeselskap AS.	2002-11-05	Endring i tillatelse	9999-12-31	40772	2013-05-08
103 B	1926	Pantobligasjon stor USD 19.000.000.- + rente til Nordea Bank Norge ASA, registrert i 37.5% av Det norske oljeselskap AS sin andel i tillatelsen.	2003-01-27	Heftelse	9999-12-31	40772	2013-05-08
103 B	2135	Pantobligasjon til Nordea Bank Norge ASA stor USD 19.000.000,00 + renter, dok.nr 1926, slettes.	2003-09-10	Sletting av heftelse	9999-12-31	40772	2013-05-08
103 B	2136	Pantobligasjon til Nordea Bank Norge ASA stor USD 19.000.000,00 + renter, dok.nr 1778, slettes.	2003-09-10	Sletting av heftelse	9999-12-31	40772	2013-05-08
103 B	2137	Pantobligasjon til Australia and New Zealand Banking Group Limited stor USD 19.000.000,00 + renter, registrert i Det Norske Oljeselskap AS sin andel.	2003-09-10	Heftelse	9999-12-31	40772	2013-05-08
103 B	2375	Pantobligasjon til Australia and New Zealand Banking Group Limited stor USD 19.000.000,00 + renter, dok.nr 2137, slettes.	2004-02-25	Sletting av heftelse	9999-12-31	40772	2013-05-08
103 B	2410	Det Norske Oljseselskap AS har overdratt sin 70 % andel i tillatelsen til Lundin Norway AS.	2004-06-24	Endring i tillatelse	9999-12-31	40772	2013-05-08
103 B	2411	Lundin Norway AS har overtatt operatørskapet i tillatelsen,	2004-06-24	Endring i tillatelse	9999-12-31	40772	2013-05-08
103 B	3916	Lundin Norway AS har overdratt sin 70% andel i tillatelsen til Det norske oljeselskap ASA med virkning fra 31.07.2008.	2008-08-01	Endring i tillatelse	9999-12-31	40772	2013-05-08
103 B	3917	Operatørskapet i tillatelsen overføres fra Lundin Norway AS til Det norske oljeselskap ASA med virkning fra 31.07.2008.	2008-08-01	Andre meldinger	9999-12-31	40772	2013-05-08
103 B	4936	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	40772	2013-05-08
103 B	4990	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	40772	2013-05-08
103 B	5212	Det norske oljeselskap ASA pantsetter sin 70 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	40772	2013-05-08
103 B	6006	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5212) hvor Det norske oljeselskap ASA pantsetter sin 70 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	40772	2013-05-08
103 B	6039	Petoro AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	40772	2013-05-08
103 B	6455	Det norske oljeselskap ASA pantsetter sin 70 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	40772	2013-05-08
237	1032	Tillatelsen innført i Petroleumsregisteret.	1998-05-19	Ny tillatelse	9999-12-31	41327	2013-05-08
237	1229	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-26	Endring i tillatelse	9999-12-31	41327	2013-05-08
237	1388	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-30	Andre meldinger	9999-12-31	41327	2013-05-08
237	1454	SDØE andel overført til Statoil ASA med 11.45%.	2001-06-01	Endring i tillatelse	9999-12-31	41327	2013-05-08
237	1577	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	41327	2013-05-08
237	1693	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	41327	2013-05-08
237	2009	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-06-19	Andre meldinger	9999-12-31	41327	2013-05-08
237	2010	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-19	Andre meldinger	9999-12-31	41327	2013-05-08
237	2176	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-15	Endring i tillatelse	9999-12-31	41327	2013-05-08
237	2352	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-12	Andre meldinger	9999-12-31	41327	2013-05-08
237	3207	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	41327	2013-05-08
237	3347	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	41327	2013-05-08
237	3516	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	41327	2013-05-08
237	3808	StatoilHydro Petroleum AS har overdratt sin 9,6% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	41327	2013-05-08
237	3956	Mobil Development Norway A/S har overdratt sin 7,35% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	41327	2013-05-08
237	3980	ExxonMobil Exploration and Production Norway AS har overdratt en 0.11% andel i tillatelsen til Petoro AS med virkning fra 01.10.2008	2008-11-06	Endring i tillatelse	9999-12-31	41327	2013-05-08
237	4124	StatoilHydro ASA har overdratt en 0.03% deltakerandel i tillatelsen til Total E& P Norge AS med virkning fra 01.08.2006. Dette er en tillegsavtale no 12 - Åsgard Unit i henhold til Unit - avtale av 23.2.1995. Tillegget er en redeterminring	2009-02-16	Endring i tillatelse	9999-12-31	41327	2013-05-08
237	4303	StatoilHydro ASA har overdratt sin 34.57% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	41327	2013-05-08
237	4826	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	41327	2013-05-08
128 B	1031	Tillatelsen innført i Petroleumsregisteret.	1998-05-19	Ny tillatelse	9999-12-31	41361	2013-05-08
128 B	1104	Saga Petroleum ASA har overdratt sin 9% andel i tillatelsen til Den norske stats oljeselskap a.s.	2000-01-07	Endring i tillatelse	9999-12-31	41361	2013-05-08
128 B	1318	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	41361	2013-05-08
128 B	1449	SDØE andel overført til Statoil ASA med 1%.	2001-06-01	Endring i tillatelse	9999-12-31	41361	2013-05-08
128 B	1552	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	41361	2013-05-08
128 B	1634	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	41361	2013-05-08
128 B	2090	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2003-08-21	Andre meldinger	9999-12-31	41361	2013-05-08
128 B	2316	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	41361	2013-05-08
128 B	2317	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	41361	2013-05-08
128 B	2665	Enterprise Oil Norge AS har overdratt sin 6% andel i tillatelsen til Statoil ASA.	2005-07-14	Endring i tillatelse	9999-12-31	41361	2013-05-08
128 B	3400	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-21	Andre meldinger	9999-12-31	41361	2013-05-08
128 B	3401	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-21	Andre meldinger	9999-12-31	41361	2013-05-08
128 B	3464	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	41361	2013-05-08
128 B	3801	StatoilHydro Petroleum AS har overdratt sin 8,1% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	41361	2013-05-08
128 B	4274	StatoilHydro ASA har overdratt sin 39,1 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	41361	2013-05-08
128 B	4701	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	41361	2013-05-08
019 C	1051	BP Petroleum Development of Norway AS har overdratt en  20,00% andel i tillatelsen til Norsk Hydro Produksjon AS. 	1999-01-14	Endring i tillatelse	9999-12-31	47992	2013-05-08
019 C	1116	Norske MOECO A/S har overdratt en 0.778 % andel i tillatelsen til AS Pelican med virkning fra 1. januar 2000.	2000-07-28	Endring i tillatelse	9999-12-31	47992	2013-05-08
019 C	1117	Norske MOECO A/S har overdratt en 4.222 % andel i tillatelsen til BP Amoco Norge AS med virkning fra 1. januar 2000.	2000-07-28	Endring i tillatelse	9999-12-31	47992	2013-05-08
019 C	1148	Norske AEDC A/S har overdratt en 4.778%  andel i tillatelsen til BP Petroleum Development of Norway AS med virkning fra 24. november 1998.	2000-11-07	Endring i tillatelse	9999-12-31	47992	2013-05-08
019 C	1149	Norske AEDC A/S har overdratt en 0.222% andel i tillatelsen til AS Pelican med virkning fra 24. november 1998.	2000-11-07	Endring i tillatelse	9999-12-31	47992	2013-05-08
019 C	1252	Den norske stats oljeselskap a.s har endert navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	47992	2013-05-08
019 C	1507	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	47992	2013-05-08
019 C	1751	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	47992	2013-05-08
019 C	1800	Petoro AS har overdratt sin 30% andel i tillatelsen til DONG Norge AS (tidligere Pelican AS).	2002-05-07	Endring i tillatelse	9999-12-31	47992	2013-05-08
019 C	2127	BP Norge AS har overdratt sin 45% andel i tillatelsen til Talisman Energy Norge AS.	2003-09-02	Endring i tillatelse	9999-12-31	47992	2013-05-08
019 C	2128	BP Norge AS har overført operatørskapet i tillatelsen til Talisman Energy Norge AS.	2003-09-02	Endring i tillatelse	9999-12-31	47992	2013-05-08
019 C	2397	Norsk Hydro Produksjon AS har overdratt sin 20 % andel i tillatelsen til Talisman Energy Norge AS.	2004-05-13	Endring i tillatelse	9999-12-31	47992	2013-05-08
019 C	2881	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	47992	2013-05-08
037 B	1044	Utvinningstillatelsen innført i Petroleumsregisteret.	1998-10-16	Ny tillatelse	9999-12-31	48081	2013-05-08
037 B	1169	Saga Petroleum ASA har overdratt sin 6% andel i tillatelsen til Den norske stats oljeselskap a.s.	2001-02-07	Endring i tillatelse	9999-12-31	48081	2013-05-08
037 B	1178	Den norske stats oljeselskap a.s  - 50.00000%, Mobil Development Norway AS - 15.00000%,Norske Conoco A/S - 12.08330%, A/S Norske Shell - 10.00000%, Esso Exploration & Production AS - 10.00000Saga Petroleum AS - 1.87500% og  Enterprise Oil Norwegian A/	2001-02-20	Endring i tillatelse	2013-05-08	48081	2013-05-08
037 B	1259	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	48081	2013-05-08
037 B	1439	SDØE andel overført til Statoil ASA med 43%.	2001-06-01	Endring i tillatelse	9999-12-31	48081	2013-05-08
037 B	1510	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	48081	2013-05-08
037 B	3108	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	48081	2013-05-08
037 B	3131	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	48081	2013-05-08
037 B	3273	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	48081	2013-05-08
037 B	3574	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2008-01-10	Andre meldinger	9999-12-31	48081	2013-05-08
037 B	4236	StatoilHydro ASA har overdratt sin 61 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	48081	2013-05-08
037 B	4630	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	48081	2013-05-08
053 B	1045	Utvinningstillatelsen innført i Petroleumsregisteret.	1998-10-19	Ny tillatelse	9999-12-31	48207	2013-05-08
053 B	1082	Elf Petroleum Norge AS har overdratt sin 9,333% andel i tillatelsen til Norsk Hydro Produksjon AS med virkning  fra1. januar 1999.	1999-07-08	Endring i tillatelse	2013-05-08	48207	2013-05-08
053 B	1234	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-27	Endring i tillatelse	9999-12-31	48207	2013-05-08
053 B	1274	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	48207	2013-05-08
053 B	1520	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	48207	2013-05-08
053 B	1711	Total Norge AS er innfusjonert i TotalFinaElf Exploration  Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	48207	2013-05-08
053 B	1816	Petoro AS har overdratt en 20% andel i tillatelsen til Paladin Resources Norge AS.	2002-06-04	Endring i tillatelse	9999-12-31	48207	2013-05-08
053 B	1937	Norsk Hydro Produksjon a.s har overdratt en 20,6% andel i tillatelsen til OER Oil AS	2003-04-11	Endring i tillatelse	9999-12-31	48207	2013-05-08
053 B	2570	OER Oil AS har endret navn til Endeavour Energy Norge AS	2005-03-03	Andre meldinger	9999-12-31	48207	2013-05-08
053 B	2803	Paladin Resoursces Norge AS har endret navn til Talisman Resources Norge AS.	2006-05-18	Andre meldinger	9999-12-31	48207	2013-05-08
053 B	2860	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2006-07-19	Andre meldinger	9999-12-31	48207	2013-05-08
053 B	2919	Talisman Resources Norge AS har overdratt sin 20 % andel i tillatelsen til Talisman Production Norge AS.	2006-12-14	Endring i tillatelse	9999-12-31	48207	2013-05-08
053 B	2944	Talisman Production Norge AS har overdratt sin 20% andel i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	48207	2013-05-08
053 B	3149	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007. .	2007-10-20	Andre meldinger	9999-12-31	48207	2013-05-08
053 B	3284	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	48207	2013-05-08
053 B	3413	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	48207	2013-05-08
053 B	4150	StatoilHydro ASA har overdratt sin 14% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	48207	2013-05-08
053 B	4600	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	48207	2013-05-08
053 B	4649	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	48207	2013-05-08
053 B	4732	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	48207	2013-05-08
053 B	4733	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009.	2009-11-09	Andre meldinger	9999-12-31	48207	2013-05-08
053 B	6034	Petoro AS overdrar sin 25,4 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	48207	2013-05-08
053 B	6316	Faroe Petroleum Norge AS pantsetter sin 25,4 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD 300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-19	Heftelse	9999-12-31	48207	2013-05-08
242	1074	Tillatelsen innført i Petroleumsregisteret.	1999-06-29	Ny tillatelse	9999-12-31	102226	2013-05-08
242	1649	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	102226	2013-05-08
242	2042	Enterprise Oil Norge AS har overdratt sin 50% andel i tillatelsen til Esso Exploration Norway AS.	2003-07-11	Endring i tillatelse	9999-12-31	102226	2013-05-08
242	2650	ExxonMobil Exploration and Production Norway AS har overdratt sin 50% andel i tillatelsen til Det Norske Oljeselskap AS.	2005-06-09	Endring i tillatelse	9999-12-31	102226	2013-05-08
242	2793	Det Norske Oljeselskap AS har overdratt en 15 % andel i tillatelsen til PA Resources Norway AS.	2006-05-09	Endring i tillatelse	9999-12-31	102226	2013-05-08
242	3046	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	102226	2013-05-08
242	3602	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	102226	2013-05-08
242	3658	Esso Expolration and Production Norway AS har overdratt en 50% andel i tillatelsen til Statoil ASA med virkning fra 01.12.2004. Grunnen til at vi ikke har registret overdragelsen i petroleumsregisteret før er at vi ikke har mottatt skjøte fra selskapet før den 31.01.2008.	2008-02-04	Endring i tillatelse	9999-12-31	102226	2013-05-08
242	3659	Statoil ASA har endret navn til StatoilHydro ASA med virkning 01.10.2007.	2008-02-04	Andre meldinger	9999-12-31	102226	2013-05-08
242	3877	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-08	Endring i tillatelse	9999-12-31	102226	2013-05-08
242	4304	StatoilHydro ASA har overdratt sin 50% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	102226	2013-05-08
242	4376	PA Resources Norway AS har endret navn til Bayerngas Produksjon Norge AS med virkning fra 21.1.2009	2009-04-15	Andre meldinger	9999-12-31	102226	2013-05-08
242	4827	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	102226	2013-05-08
242	4938	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	102226	2013-05-08
242	4992	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	102226	2013-05-08
242	5214	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	102226	2013-05-08
242	5484	Bayerngas Produksjon Norge AS overdrar sin 15 % deltakerandel til Bayerngas Norge AS med virkning fra 23.3.2009.	2010-09-03	Endring i tillatelse	9999-12-31	102226	2013-05-08
242	6008	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5214) hvor Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	102226	2013-05-08
242	6446	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	102226	2013-05-08
248	1080	Tillatelsen innført i Petroleumsregisteret.	1999-06-29	Ny tillatelse	9999-12-31	102285	2013-05-08
248	1394	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-30	Andre meldinger	9999-12-31	102285	2013-05-08
248	1579	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	102285	2013-05-08
248	2442	Mobil Development Norway AS har overdratt sin 20% andel i tillatelsen til Norsk Hydro Produksjon AS.	2004-09-27	Endring i tillatelse	9999-12-31	102285	2013-05-08
248	3208	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	102285	2013-05-08
248	3348	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	102285	2013-05-08
248	3517	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	102285	2013-05-08
248	4183	StatoilHydro ASA har overdratt sin 20% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	102285	2013-05-08
248	4357	Oljedirektoratet har i brev av 21.12.2006 til Olje- og energidepartement tilrådet at konsesjonstiden blir utvidet med 30 år.          Godkjent av Olje- og energidepartement i brev 22.12.2006.	2009-03-19	Endring i tillatelse	9999-12-31	102285	2013-05-08
248	4789	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	102285	2013-05-08
249	1081	Tillatelsen innført i Petroleumsregisteret.	1999-06-29	Ny tillatelse	9999-12-31	102294	2013-05-08
249	1231	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-26	Endring i tillatelse	9999-12-31	102294	2013-05-08
249	1694	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-17	Andre meldinger	9999-12-31	102294	2013-05-08
249	1727	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-21	Endring i tillatelse	9999-12-31	102294	2013-05-08
249	2008	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-19	Andre meldinger	9999-12-31	102294	2013-05-08
249	3210	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	102294	2013-05-08
249	3350	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	102294	2013-05-08
249	3834	Oljedirektoratet har i brev den 28.06.2005 godkjent forlengelsen til 11.06.2021.	2008-06-09	Andre meldinger	9999-12-31	102294	2013-05-08
249	4041	Marathon Petroleum Norge AS har overdratt sin 46,904% eierandel i tillatelsen til Centrica Resources (Norge) AS med virkning fra 1.1.2008.	2009-01-16	Endring i tillatelse	9999-12-31	102294	2013-05-08
249	4793	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	102294	2013-05-08
249	6387	Statoil Petroleum AS overdrar sin 28,853 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-04	Endring i tillatelse	9999-12-31	102294	2013-05-08
050 C	1070	Tillatelsen innført i Petroleumsregisteret.	1999-06-29	Ny tillatelse	9999-12-31	102490	2013-05-08
050 C	1170	Norsk Hydro Produksjon  AS  har overdratt en 6% andel i tillatelsen til Den norske stats oljeselskap a.s.	2001-02-07	Endring i tillatelse	9999-12-31	102490	2013-05-08
050 C	1235	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-27	Endring i tillatelse	9999-12-31	102490	2013-05-08
050 C	1270	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	102490	2013-05-08
050 C	1442	SDØE andel overført til Statoil ASA med 43%.	2001-06-01	Endring i tillatelse	9999-12-31	102490	2013-05-08
050 C	1516	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	102490	2013-05-08
050 C	3142	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	102490	2013-05-08
050 C	3281	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	102490	2013-05-08
050 C	3407	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-22	Andre meldinger	9999-12-31	102490	2013-05-08
050 C	4247	StatoilHydro ASA har overdratt sin 61 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	102490	2013-05-08
050 C	4641	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	102490	2013-05-08
055 B	1071	Tillatelsen innført i Petroleumsregisteret.	1999-06-29	Ny tillatelse	9999-12-31	102499	2013-05-08
055 B	1277	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	1523	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	1818	Petoro AS har overdratt en 20% andel i tillatelsen til Paladin Resources Norge AS.	2002-06-04	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	1939	Norsk Hydro Produksjon a.s har overdratt en 3.2% andel i tillstelsen til OER Oil AS.	2003-04-11	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	2051	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-07-23	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	2159	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-13	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	2289	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	2462	Esso Exploration and Production Norway AS har overdratt en 2.5% andel i tillatelsen til Revus Energy AS.	2004-11-03	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	2573	OER Oil AS har endret navn til Endeavour Energy Norge AS	2005-03-03	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	2598	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	2640	ExxonMobil Exploration and Production Norway AS har overdratt sin 15.1% andel i tillatelsen til Talisman Energy Norge AS	2005-06-08	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	2776	Eni Norge AS har overdratt sin 13,2% andel i tilllatelsen til Altinex Oil AS.	2006-04-27	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	2801	Paladin Resources Norge AS har endret navn til Talisman Resources Norge AS.	2006-05-18	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	2921	Talisman Resources Norge AS har overdratt sin 20 % andel i tillatelsen til Talisman Production Norge AS.	2006-12-14	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	2946	Talisman Production Norge AS har overdratt sin 20% andel i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	3028	Altinex Oil AS har endret navn til Altinex Oil Norway AS	2007-03-29	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	3033	Altinex Oil Norway AS pantsetter sin 12,6247 % andel i tillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet pantobligasjon stor NOK 300,000,000, skriver norske kroner trehundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2007-03-29	Heftelse	9999-12-31	102499	2013-05-08
055 B	3152	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-20	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	3287	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	3416	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	3912	Olje- og energidepartement har i brev 30.06.2008 godkjent forlengelsen av tillatelsen til 04.06.2009.	2008-07-30	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	4087	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	4145	StatoilHydro ASA har overdratt sin 12,6% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	4602	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	4652	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	4736	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	4737	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009.	2009-11-09	Andre meldinger	9999-12-31	102499	2013-05-08
055 B	5059	Wintershall Norge ASA overdrar sin 2,5 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 1.1.2010.	2009-12-29	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	5127	Spring Energy Norway AS pantsetter sin 2.5 % deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). Førsteprioritet pantobligasjon stor NOK 1,000,000,000, skriver norske kroner en milliard 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 21.1.2010, gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-11	Heftelse	9999-12-31	102499	2013-05-08
055 B	5430	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 11.02.2010 (dok. nr. 5127) hvor Spring Energy Norway AS pantsetter sin 2,5 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.08.2010.	2010-08-12	Sletting av heftelse	9999-12-31	102499	2013-05-08
055 B	5451	Spring Energy Norway AS pantsetter sin 2,5 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	102499	2013-05-08
055 B	5782	Pantobligasjon stor NOK 300 000 000 skriver norske kroner trehundremillioner  00/100 datert 27.3.2007 (dok. nr. 3033) Altinex Oil Norway AS pantsetter sin 12,6247 % deltakerandel i utvinningstillatelsen til Norsk tillitsmann ASA er slettet. Samtykke fra panthaver Norsk Tillitsmann ASA  foreligger.	2011-05-09	Sletting av heftelse	9999-12-31	102499	2013-05-08
055 B	5909	Altinex Oil Norway AS overdrar sin 13,2 % deltakerandel i utvinningstillatelsen til Core Energy AS med virkning fra 1.7.2011.	2011-07-28	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	5930	Core Energy AS pantsetter sin 13,2% deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-18	Heftelse	9999-12-31	102499	2013-05-08
055 B	6037	Petoro AS overdrar sin 13,4 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	102499	2013-05-08
055 B	6318	Faroe Petroleum Norge AS pantsetter sin 13,4 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD 300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-19	Heftelse	9999-12-31	102499	2013-05-08
055 B	6501	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5451) hvor Spring Energy Norway AS pantsetter sin 2,5 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	102499	2013-05-08
055 B	6887	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.02.2013.	2013-02-19	Andre meldinger	2013-02-27	102499	2013-05-08
250	1092	Tillatelsen innført i Petroleumsregisteret.	1999-11-12	Ny tillatelse	9999-12-31	115537	2013-05-08
250	1395	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-30	Andre meldinger	9999-12-31	115537	2013-05-08
250	1580	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	115537	2013-05-08
250	1767	BP Petroleum Development of Norway AS og  Amoco Norway AS og Amoco Norway Oil Company har fusjonert til BP Amoco Norge AS.BP Amoco Norge AS har senere endret navn til BP Norge AS.	2002-03-21	Endring i tillatelse	2013-05-08	115537	2013-05-08
250	2568	BP Norge AS har overdratt sin 9.44% andel i tilllatelsen til DONG Norge AS.	2005-03-01	Endring i tillatelse	9999-12-31	115537	2013-05-08
250	2610	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	115537	2013-05-08
250	2891	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	115537	2013-05-08
250	3211	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	115537	2013-05-08
250	3351	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	115537	2013-05-08
250	3519	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	115537	2013-05-08
250	4305	StatoilHydro ASA har overdratt sin 8.87% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	115537	2013-05-08
250	4828	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	115537	2013-05-08
037 C	1153	Tillatelsen innført i Petroleumsregisteret.	2000-11-27	Ny tillatelse	9999-12-31	853671	2013-05-08
037 C	1260	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	853671	2013-05-08
037 C	1631	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	853671	2013-05-08
037 C	1907	Mobil Development Norway AS har overdratt sin 15,0% andel i tillatelsen til Esso Exploration and Production Norway AS.	2002-12-09	Endring i tillatelse	9999-12-31	853671	2013-05-08
037 C	2073	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2003-08-20	Andre meldinger	9999-12-31	853671	2013-05-08
037 C	2074	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-20	Andre meldinger	9999-12-31	853671	2013-05-08
037 C	2455	Norske ConocoPhillips AS har overdratt sin 12.083% andel i tillatelsen til Revus Energy AS.	2004-11-02	Endring i tillatelse	9999-12-31	853671	2013-05-08
037 C	2458	Esso Exploration and Production Norway AS har overdratt sin 25% andel i tillatelsen til Revus Energy AS.	2004-11-03	Endring i tillatelse	9999-12-31	853671	2013-05-08
037 C	2505	A/S Norske Shell har overdratt sin 10% andel i tillatelsen til Revus Energy AS.	2004-11-25	Endring i tillatelse	9999-12-31	853671	2013-05-08
037 C	2506	Enterprise Oil Norge AS har overdratt sin 1.041667% andel i tillatelsen til Revus Energy AS.	2004-11-25	Endring i tillatelse	9999-12-31	853671	2013-05-08
037 C	3109	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	853671	2013-05-08
037 C	3682	StatoilHydro ASA har overdratt sin 51.875% andel i tillatelsen til Revus Enegy  ASA med virkning 31.10.2007.	2008-03-08	Endring i tillatelse	9999-12-31	853671	2013-05-08
037 C	4082	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	853671	2013-05-08
037 C	6326	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	853671	2013-05-08
001 B	1154	Utvinningstillatelsen innført i Petroleumsregisteret.	2000-11-27	Ny tillatelse	9999-12-31	917266	2013-05-08
001 B	1622	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	917266	2013-05-08
001 B	2041	Enterprise Oil Norge AS har overdratt sin 50% andel i tillatelsen til Statoil ASA.	2003-07-11	Endring i tillatelse	9999-12-31	917266	2013-05-08
001 B	2617	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-28	Andre meldinger	9999-12-31	917266	2013-05-08
001 B	2648	ExxonMobil Exploration and Production Norway AS har overdratt sin 50% andel i tillatelsen til Det Norske Oljeselskap AS.	2005-06-09	Endring i tillatelse	9999-12-31	917266	2013-05-08
001 B	2791	Det Norske Oljeselskap AS har overdratt en 15 % andel i tillatelsen til PA Resources Norway AS.	2006-05-09	Endring i tillatelse	9999-12-31	917266	2013-05-08
001 B	3039	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	917266	2013-05-08
001 B	3096	Statoil ASA har endret navn til StatoilHydro ASA	2007-10-06	Andre meldinger	9999-12-31	917266	2013-05-08
001 B	3596	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	917266	2013-05-08
001 B	3869	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-07	Endring i tillatelse	9999-12-31	917266	2013-05-08
001 B	4231	StatoilHydro ASA har overdratt sin 50 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	917266	2013-05-08
001 B	4373	PA Resources Norway AS har endret navn til Bayerngas Produksjon Norge AS med virkning fra 21.1.2009	2009-04-15	Andre meldinger	9999-12-31	917266	2013-05-08
001 B	4803	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	917266	2013-05-08
001 B	4925	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	917266	2013-05-08
001 B	4979	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	917266	2013-05-08
001 B	5201	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	917266	2013-05-08
001 B	5487	Bayern Gas Produksjon Norge AS overdrar sin 15 % deltakerandel til Bayerngas Norge AS med virkning fra 23.3.2009.	2010-09-03	Endring i tillatelse	9999-12-31	917266	2013-05-08
001 B	5996	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5201) hvor Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	917266	2013-05-08
001 B	6450	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	917266	2013-05-08
027 B	1155	Utvinningstillatelsen innført i Petroleumsregisteret.	2000-11-27	Ny tillatelse	9999-12-31	917344	2013-05-08
027 B	1625	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	917344	2013-05-08
027 B	2588	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	917344	2013-05-08
027 B	2916	Enterprise Oil Norge AS har overdratt sin 50% andel i tillatelsen til Ener Petroleum ASA.	2006-12-05	Endring i tillatelse	9999-12-31	917344	2013-05-08
027 B	3650	Ener Petroleum ASA har endret navn til Dana Petroleum Norway ASA med virkning 10.08.2007.	2008-02-03	Andre meldinger	9999-12-31	917344	2013-05-08
027 B	3655	Dana Petroleum Norway ASA har endret navn til Dana Petroleum Norway AS med virkning 04.10.2007.	2008-02-03	Andre meldinger	9999-12-31	917344	2013-05-08
028 B	1156	Utvinningstillatelsen innført i Petroleumsregisteret.	2000-11-27	Ny tillatelse	9999-12-31	917484	2013-05-08
028 B	1626	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	917484	2013-05-08
028 B	2040	Enterprise Oil Norge AS har overdratt sin 50% andel i tillatelsen til Statoil ASA.	2003-07-11	Endring i tillatelse	9999-12-31	917484	2013-05-08
028 B	2591	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	917484	2013-05-08
028 B	2649	ExxonMobil Exploration and Production Norway AS har overdratt sin 50% andel i tillatelsen til Det Norske Oljeselskap AS.	2005-06-09	Endring i tillatelse	9999-12-31	917484	2013-05-08
028 B	2792	Det Norske Oljeselskap AS har overdratt en 15 % andel i tillatelsen til PA Resources Norway AS.	2006-05-09	Endring i tillatelse	9999-12-31	917484	2013-05-08
028 B	3040	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	917484	2013-05-08
028 B	3102	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	917484	2013-05-08
028 B	3597	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	917484	2013-05-08
169 B2	1124	Innført i Petroleumsregisteret.	2000-08-16	Ny tillatelse	9999-12-31	1031002	2013-05-08
356	2719	Pertra AS har endret navn til Pertra ASA.	2006-03-15	Andre meldinger	2013-03-22	3810275	2013-05-08
028 B	3871	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-08	Endring i tillatelse	9999-12-31	917484	2013-05-08
028 B	4234	StatoilHydro ASA har overdratt sin 50 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	917484	2013-05-08
028 B	4374	PA Resources Norway AS har endret navn til Bayerngas Produksjon Norge AS med virkning fra 21.1.2009	2009-04-15	Andre meldinger	9999-12-31	917484	2013-05-08
028 B	4809	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	917484	2013-05-08
028 B	4927	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	917484	2013-05-08
028 B	4981	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	917484	2013-05-08
028 B	5203	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	917484	2013-05-08
028 B	5486	Bayerngas Produksjon Norge AS overdrar sin 15 % deltakerandel til Bayerngas Norge AS med virkning fra 23.3.2009.	2010-09-03	Endring i tillatelse	9999-12-31	917484	2013-05-08
028 B	5998	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5203) hvor Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	917484	2013-05-08
028 B	6447	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	917484	2013-05-08
134 B	1121	Tillatelsen innført i Petroleumsregisteret.	2000-08-16	Ny tillatelse	9999-12-31	1025257	2013-05-08
134 B	1122	Den norske stats oljeselskap a.s overdrar en andel på 5% i tillatelsen til Norsk Hydro Produksjon AS.	2000-08-16	Endring i tillatelse	9999-12-31	1025257	2013-05-08
134 B	1200	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-23	Endring i tillatelse	9999-12-31	1025257	2013-05-08
134 B	1321	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	1025257	2013-05-08
134 B	1455	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	1025257	2013-05-08
134 B	1688	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	1025257	2013-05-08
134 B	2002	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	1025257	2013-05-08
134 B	2320	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	1025257	2013-05-08
134 B	2321	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	1025257	2013-05-08
134 B	2507	Total E&P Norge AS har overdratt en 4% andel i tillatelsen til Statoil ASA.	2004-12-06	Endring i tillatelse	9999-12-31	1025257	2013-05-08
134 B	2560	Statoil ASA har overdratt en 2% andel i tillatelsen til Norsk Hydro Produksjon AS.	2005-02-03	Endring i tillatelse	9999-12-31	1025257	2013-05-08
134 B	3184	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	1025257	2013-05-08
134 B	3324	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	1025257	2013-05-08
134 B	3466	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	1025257	2013-05-08
134 B	3803	StatoilHydro Petroleum AS har overdratt sin 14% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	1025257	2013-05-08
134 B	4276	StatoilHydro ASA har overdratt sin 64 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	1025257	2013-05-08
134 B	4704	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	1025257	2013-05-08
169 B1	1123	Innført i Petroleumsregisteret.	2000-08-16	Ny tillatelse	9999-12-31	1030964	2013-05-08
169 B1	1125	Den norske stats oljeselskap a.s har overdratt en andel på 2,5% i tillatelsen til Norsk Hydro Produksjon AS.	2000-08-16	Endring i tillatelse	9999-12-31	1030964	2013-05-08
169 B1	1337	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	1030964	2013-05-08
169 B1	1559	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	1030964	2013-05-08
169 B1	1593	Statoil ASA har overdratt sin 8% andel i tillatelsen til Norske Conoco A/S.	2001-07-16	Endring i tillatelse	9999-12-31	1030964	2013-05-08
169 B1	1824	Petoro AS har overdratt en 17% andel i tillatelsen til Norsk Hydro Produksjon AS.	2002-06-04	Endring i tillatelse	9999-12-31	1030964	2013-05-08
169 B1	2092	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	1030964	2013-05-08
169 B1	2604	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	1030964	2013-05-08
169 B1	3192	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	1030964	2013-05-08
169 B1	3332	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	1030964	2013-05-08
169 B1	3779	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	1030964	2013-05-08
169 B1	4718	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	1030964	2013-05-08
169 B2	1126	Den norske stats oljeselskap a.s har overdratt en andel på 2,5% i tillatelsen til Norsk Hydro Produksjon AS..	2000-08-16	Endring i tillatelse	9999-12-31	1031002	2013-05-08
169 B2	1338	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	1031002	2013-05-08
169 B2	1560	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	1031002	2013-05-08
169 B2	1594	Statoil ASA har overdratt en 8% andel i tillatelsen til Norske Conoco A/S.	2001-07-16	Endring i tillatelse	9999-12-31	1031002	2013-05-08
169 B2	1825	Petoro AS har overdratt en 5% andel i tillatelsen til Norsk Hydro Produksjon AS.	2002-06-04	Endring i tillatelse	9999-12-31	1031002	2013-05-08
169 B2	2093	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	1031002	2013-05-08
169 B2	2605	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	1031002	2013-05-08
169 B2	3193	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	1031002	2013-05-08
169 B2	3333	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	1031002	2013-05-08
169 B2	3780	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	1031002	2013-05-08
169 B2	4719	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	1031002	2013-05-08
255	1131	Tillatelsen innført i Petroleumsregisteret.	2000-08-23	Ny tillatelse	9999-12-31	1032979	2013-05-08
255	1399	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-30	Andre meldinger	9999-12-31	1032979	2013-05-08
255	1583	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	1032979	2013-05-08
255	1729	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	1032979	2013-05-08
255	2014	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-19	Andre meldinger	9999-12-31	1032979	2013-05-08
255	3521	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	1032979	2013-05-08
255	3684	Olje- og energidepartement har i brev den 29.03.2007 godkjent forlengelsen til 12.05.2008	2008-03-09	Andre meldinger	9999-12-31	1032979	2013-05-08
255	4184	StatoilHydro ASA har overdratt sin 20% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	1032979	2013-05-08
255	4829	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	1032979	2013-05-08
257	1133	Tillatelsen innført i Petroleumsregisteret.	2000-08-23	Ny tillatelse	9999-12-31	1033013	2013-05-08
257	1401	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-30	Andre meldinger	9999-12-31	1033013	2013-05-08
257	1462	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	1033013	2013-05-08
257	2515	Statoil ASA har overdratt en 6% andel i tilllatelsen til Total E&P Norge AS.	2004-12-14	Endring i tillatelse	9999-12-31	1033013	2013-05-08
257	3213	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	1033013	2013-05-08
257	3353	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	1033013	2013-05-08
257	3522	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	1033013	2013-05-08
257	3809	StatoilHydro Petroleum  AS har overdratt sin 12% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	1033013	2013-05-08
257	3957	Mobil Development Norway A/S har overdratt sin 15% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	1033013	2013-05-08
257	4306	StatoilHydro ASA har overdratt sin 79% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	1033013	2013-05-08
257	4794	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	1033013	2013-05-08
261	1140	Tillatelsen innført i Petroleumsregisteret.	2000-09-12	Ny tillatelse	9999-12-31	1033077	2013-05-08
261	1403	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-30	Andre meldinger	9999-12-31	1033077	2013-05-08
261	1771	BP Amoco Norge AS har endret navn til BP Norge AS.	2002-03-21	Andre meldinger	9999-12-31	1033077	2013-05-08
261	3523	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	1033077	2013-05-08
261	4185	StatoilHydro ASA har overdratt sin 20% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	1033077	2013-05-08
261	4830	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	1033077	2013-05-08
262	1141	Tillatelsen innført i Petroleumsregisteret.	2000-09-12	Ny tillatelse	9999-12-31	1033093	2013-05-08
262	1404	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-30	Andre meldinger	9999-12-31	1033093	2013-05-08
262	1466	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	1033093	2013-05-08
262	1653	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	1033093	2013-05-08
262	1772	BP Amoco Norge AS har endret navn til BP Norge AS.	2002-03-21	Andre meldinger	9999-12-31	1033093	2013-05-08
262	2108	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2003-08-21	Andre meldinger	9999-12-31	1033093	2013-05-08
262	3256	Modil Development Norway AS har overdratt sin 15% andel i tillatelsen til PGNIG Norway AS.	2007-11-02	Endring i tillatelse	9999-12-31	1033093	2013-05-08
262	3262	Enterprise Oil Norge AS har overdratt sin 25% andel i tillatelsen til E.ON Ruhrgas Norge AS.	2007-11-04	Endring i tillatelse	9999-12-31	1033093	2013-05-08
262	3524	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	1033093	2013-05-08
262	3836	PGNiG Norway AS pantsetter sin 15% andel i tillatelsen til fordel for Polski Còrnictwo Naftowe i Gazownictwo S.A. Førsteprioritet pantobligasjon stor NOK 266.000.000 skriver norske kroner tohundreogsekstiseksmillioner 00/100Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av det pantsatte objekt uten skriftlig fra panthaver.	2008-06-12	Heftelse	2013-05-08	1033093	2013-05-08
262	4149	StatoilHydro ASA har overdratt sin 30 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	1033093	2013-05-08
262	4831	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	1033093	2013-05-08
262	5507	Pantobligasjon stor NOK 266 ,000,000 skriver norske kroner tohundreogsekstiseksmillioner  00/100 datert 12.6.2008 (dok. nr. 3836) hvor PGNiG Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til Polski Górnictwo Naftowe i Gazownictwo S.A. er slettet. Samtykke fra panthaver Polski Górnictwo Naftowe i Gazownictwo S.A. foreligger i brev datert 31.8.2010.	2010-09-28	Sletting av heftelse	9999-12-31	1033093	2013-05-08
262	5509	PGNiG Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Credit Agricole Corporate and Investment Bank. Første prioritet panteobligasjon stor USD  480,000,000, skriver amerikanske dollar firehundreogåttimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 12.8.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd, på følgende vilkår jamfør petroleumsloven § 10-18, andre ledd. Pantet er opprettet utelukkende for det formål å finansiere petroleumsvirksomheten knyttet til nevnte lisenser.	2010-09-28	Heftelse	9999-12-31	1033093	2013-05-08
262	5547	PGNiG Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Polskie Górnictwo Naftowe i Gazownictwo. Andre prioritet panteobligasjon stor NOK 5,280,000,000, skriver norske kroner femmilliardertohundreogåttimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 30.9.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd, på følgende vilkår jamfør petroleumsloven § 10-18, andre ledd. Pantet er opprettet utelukkende for det formål å finansiere petroleumsvirksomheten knyttet til nevnte lisenser.	2010-11-25	Heftelse	9999-12-31	1033093	2013-05-08
262	6295	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	1033093	2013-05-08
263	1142	Tillatelsen innført i Petroleumsregistere.	2000-09-12	Ny tillatelse	9999-12-31	1033111	2013-05-08
263	1405	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-30	Andre meldinger	9999-12-31	1033111	2013-05-08
263	1918	Norsk Chevron AS har endret navn til Chevron Texaco Norge AS.	2002-12-20	Andre meldinger	9999-12-31	1033111	2013-05-08
263	2584	Chevron Texaco Norge AS har overdratt sin 30% andel i tillatelsen til Det Norske Oljeselskap AS.	2005-04-15	Endring i tillatelse	9999-12-31	1033111	2013-05-08
263	3063	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-10	Andre meldinger	9999-12-31	1033111	2013-05-08
263	3065	Det Norske Oljeselskap ASA har overdratt sin 30% andel i tillatelsen til Bayerngas Norge AS.	2007-07-10	Endring i tillatelse	9999-12-31	1033111	2013-05-08
263	3214	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	1033111	2013-05-08
263	3354	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	1033111	2013-05-08
263	3525	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	1033111	2013-05-08
263	3828	Oljedirektoratet har i brev ref: OD 06/16den 19.03.2007 vedtatt forlengelsen av tillatelsen til 12.05.2037.	2008-05-22	Andre meldinger	9999-12-31	1033111	2013-05-08
263	4151	StatoilHydro ASA har overdratt sin 30 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	1033111	2013-05-08
263	4795	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	1033111	2013-05-08
264	1143	Tillatelsen innført i Petroleumsregisteret.	2000-09-12	Ny tillatelse	9999-12-31	1033127	2013-05-08
264	1406	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-30	Andre meldinger	9999-12-31	1033127	2013-05-08
264	1586	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	1033127	2013-05-08
264	1956	Norsk Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-05-20	Andre meldinger	9999-12-31	1033127	2013-05-08
264	1957	Norske ConocoPhillips AS har overdratt en 20% andel i tillatelsen til Norsk Agip AS.	2003-05-20	Endring i tillatelse	9999-12-31	1033127	2013-05-08
264	2024	Phillips Petroleum Norsk AS har endret navn til ConocoPhillips Skandinavia AS.	2003-06-23	Andre meldinger	9999-12-31	1033127	2013-05-08
264	2356	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-12	Endring i tillatelse	9999-12-31	1033127	2013-05-08
264	2357	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-12	Andre meldinger	9999-12-31	1033127	2013-05-08
264	2611	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	1033127	2013-05-08
264	2866	ExxonMobil Exploration and Produkction Norway AS har overdratt en 20% andel i tillatelsen til Eni Norge AS.	2006-08-16	Endring i tillatelse	9999-12-31	1033127	2013-05-08
264	2867	ExxonMobil Exploration and Produkction Norway AS har overdratt sin 10% andel i tillatelsen til Petoro  AS.	2006-08-16	Endring i tillatelse	9999-12-31	1033127	2013-05-08
264	3782	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	1033127	2013-05-08
264	3827	Oljedirektoratet har i brev ref: OD 04/1112 den 23.03.2006 vedtatt forlengelsen i tillatelsen til 12.05.2046.	2008-05-22	Andre meldinger	9999-12-31	1033127	2013-05-08
264	6806	Eni Norge AS har i brev datert 1.10.2012 meldt til Olje- og energidepartementet vedrørende oppgivelse av utvinningstillatelsen. Oljedirektoratet har i brev datert 20.11.2012 ingen merknader til oppgivelsen av utvinningstillatelsen. Olje- og energidepartementet bekrefter i brev datert 14.12.2012 at utvinningstillatelsen tilbakeleveres i sin helhet fra og med 1.1.2013.	2013-01-04	Andre meldinger	9999-12-31	1033127	2013-05-08
006 B	1146	Utvinningstillatelsen innført i Petroleumsegisteret.	2000-11-02	Ny tillatelse	9999-12-31	1333048	2013-05-08
006 B	1624	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	1333048	2013-05-08
006 B	1696	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	1333048	2013-05-08
006 B	1773	BP Amoco Norge AS har endret navn til BP Norge AS.	2002-03-21	Andre meldinger	9999-12-31	1333048	2013-05-08
006 B	1969	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-17	Andre meldinger	9999-12-31	1333048	2013-05-08
006 B	2851	Amarada Hess Norge AS har endret navn til Hess Norge AS.	2006-07-14	Andre meldinger	9999-12-31	1333048	2013-05-08
006 B	5495	Total E&P Norge AS overdrar en 7,5 % deltakerandel i utvinningstillatelsen til BP Norge AS med virkning fra 1.1. 2010.	2010-09-07	Endring i tillatelse	9999-12-31	1333048	2013-05-08
006 B	5496	Total E&P Norge AS overdrar sin 7,5 % deltakerandel i utvinningstillatelsen til Hess Norge AS med virkning fra 1.1.2010.	2010-09-07	Endring i tillatelse	9999-12-31	1333048	2013-05-08
006 B	5518	Enterprise Oil Norge AS overdrar en 24,095567 % deltakerandel i utvinningstillatelsen til Hess International Holdings Corporation med virkning fra 1. januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	1333048	2013-05-08
006 B	5519	Hess International Holdings Corporation overdrar sin 24,095567 % deltakerandel i utvinningstillatelsen til Hess Norge AS med virkning fra 1. januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	1333048	2013-05-08
006 B	5520	Enterprise Oil Norge AS overdrar sin 4,237766 % deltakerandel i utvinningstillatelsen til Hess Holdings UK Limited med virkning fra 1. januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	1333048	2013-05-08
006 B	5521	Hess Holdings UK Limited overdrar sin 4,237766 % deltakerandel i utvinningstillatelsen til Hess Norge AS med virkning fra 1.januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	1333048	2013-05-08
006 C	1147	Utvinningstillatelsen innført i Petroleumsregisteret.	2000-11-02	Ny tillatelse	9999-12-31	1333089	2013-05-08
006 C	1620	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	1333089	2013-05-08
006 C	1621	Enterprise Oil Norge AS har overdratt en 14.166% andel i tillatelsen til Gaz de France Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	1697	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	1333089	2013-05-08
006 C	1735	BP Amoco Norge AS har overdratt en 10% andel i tillatelsen til Det Norske Oljeselskap AS.	2002-01-23	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	1774	BP Amoco Norge AS har endret navn til BP Norge AS.	2002-03-21	Andre meldinger	9999-12-31	1333089	2013-05-08
006 C	1930	TotalFinaElf Exploration Norge AS har overdratt sin 15% andel i tillatelsen til Det Norske Oljeselskap AS.	2003-02-25	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	1931	Det Norske Oljeselskap AS har overtatt operatørskapet i tillatelsen.	2003-02-25	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	1932	Amerada Hess Norge AS har overdratt sin 28.333% andel i tillatelsen til  Det Norske Oljeselskap AS.	2003-03-04	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	2120	Enterprise Oil Norge AS har overdratt sin 14,167% andel i tillatelsen til Det Norske Oljeselskap AS.	2003-08-26	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	2121	BP Amoco Norge AS ( nå BP Norge AS) har overdratt sin 18,333 % andel i tillatelsen til Det Norske Oljeselskap AS. 	2003-08-26	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	2122	Gaz de France Norge AS har overdratt sin 14.166 % andel i tillatelsen til Det Norske Oljeselskap AS.	2003-08-27	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	2405	Det Norske Oljeselskap AS har overdratt sin 100 % andel i tillatelsen til Lundin Norway AS.	2004-06-24	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	2406	Lundin Norway AS har overtatt operatørskapet i tillatelsen.	2004-06-24	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	2913	Lundin Norway AS overdrar en 25% andel i tillatelsen til Norwegian Energy Company AS.	2006-11-20	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	3985	Norwegian Energy Company ASA har overdratt en 10% andel i tillatelsen til Faroe Petroleum Norge AS med virkning fra 01.01.2008.	2008-11-28	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	5883	Faroe Petroleum Norge AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	1333089	2013-05-08
006 C	6778	Norwegian Energy Company ASA overdrar sin 15 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	1333089	2013-05-08
006 C	6997	Noreco Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	1333089	2013-05-08
027 C	1151	Tillatelsen registrert i Petroleumsregisteret.	2000-11-24	Ny tillatelse	2013-05-03	1333301	2013-05-08
027 C	1152	Enterprise Oil Norwegian AS overdrar sin 50% andel til Esso Exploration and Production Norway A/S.	2000-11-24	Endring i tillatelse	2013-05-03	1333301	2013-05-08
027 C	1159	Tillatelsen forlenget til 1. mars 2030.	2000-11-28	Endring i tillatelse	2013-05-03	1333301	2013-05-08
027 C	2589	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	2013-05-03	1333301	2013-05-08
028 C	1158	Tillatelsen innført i Petroleumsregisteret.	2000-11-28	Ny tillatelse	9999-12-31	1333344	2013-05-08
028 C	1160	Esso Exploration and Production Norway AS har overdratt en 50% andel i tillatelsen til Den norske stats oljeselskap a.s.	2001-01-23	Endring i tillatelse	9999-12-31	1333344	2013-05-08
028 C	1256	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	1333344	2013-05-08
028 C	1508	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	1333344	2013-05-08
028 C	1822	Petoro AS har overdratt en 5% andel i tillatelsen til Norsk Hydro Produksjon AS.	2002-06-04	Endring i tillatelse	9999-12-31	1333344	2013-05-08
028 C	2189	Esso Exploration and Production Norway har overført operatørskapet til Norsk Hydro Produksjon AS.	2003-11-20	Endring i tillatelse	9999-12-31	1333344	2013-05-08
028 C	2190	Esso Exploration and Production Norway AS har overdratt en 40% andel i tillatelsen til Norsk Hydro Produksjon AS.	2003-11-20	Endring i tillatelse	9999-12-31	1333344	2013-05-08
028 C	2230	Statoil ASA har overdratt en 3% andel i tillatelsen til Esso Exploration and Production Norway  AS.	2004-01-05	Endring i tillatelse	9999-12-31	1333344	2013-05-08
028 C	2592	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	1333344	2013-05-08
028 C	3103	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	1333344	2013-05-08
028 C	3126	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	1333344	2013-05-08
028 C	3269	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	1333344	2013-05-08
028 C	4140	StatoilHydro ASA har overdratt sin 12% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	1333344	2013-05-08
028 C	4622	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	1333344	2013-05-08
171 B	1157	Tillatelsen innført i Petroleumsregisteret.	2000-11-28	Ny tillatelse	9999-12-31	1333384	2013-05-08
171 B	1207	Saga Petroleum ASA er innfusjonert i Norsk Hydro Produksjon AS.	2001-02-26	Endring i tillatelse	9999-12-31	1333384	2013-05-08
171 B	1340	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	1333384	2013-05-08
171 B	1562	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	1333384	2013-05-08
171 B	1831	Petoro As har overdratt en 10% andel i tillatelsen til TotalFinaElf Exploration Norge AS.	2002-06-05	Endring i tillatelse	9999-12-31	1333384	2013-05-08
171 B	1838	Norsk Hydro Produksjon AS har overdratt en 6% andel i tillatelsen til Petoro AS.	2002-07-03	Endring i tillatelse	9999-12-31	1333384	2013-05-08
171 B	1861	Petoro AS har overdratt en 2.4% andel i tillatelsen til Norske Conoco A/S.	2002-10-03	Endring i tillatelse	9999-12-31	1333384	2013-05-08
171 B	1885	Petoro AS har overdratt en 0.3% andel i tillatelsen til Statoil ASA.	2002-10-23	Endring i tillatelse	9999-12-31	1333384	2013-05-08
171 B	1905	Mobil Development Norway AS har overdratt 5.3% andel i tillatelsen til Petoro AS.	2002-12-06	Endring i tillatelse	9999-12-31	1333384	2013-05-08
171 B	2003	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	1333384	2013-05-08
171 B	2094	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	1333384	2013-05-08
171 B	3194	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	1333384	2013-05-08
171 B	3334	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	1333384	2013-05-08
171 B	3477	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	1333384	2013-05-08
171 B	3954	Mobil Development Norway A/S har overdratt sin 4,70% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	1333384	2013-05-08
171 B	4167	StatoilHydro ASA har overdratt sin 15,3% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	1333384	2013-05-08
171 B	4723	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-09	Andre meldinger	9999-12-31	1333384	2013-05-08
171 B	6692	ExxonMobil Exploration and Production Norway AS overdrar sin 4,7 deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 1.1.2012.	2012-12-03	Endring i tillatelse	9999-12-31	1333384	2013-05-08
048 B	1240	Tillatelsen innført i Petroleumsregisteret.	2001-03-21	Ny tillatelse	9999-12-31	1342723	2013-05-08
048 B	1241	Norsk Hydro Produksjon AS har overdratt sin 9.3% andel i tillatelsen til AS Pelican.	2001-03-21	Endring i tillatelse	9999-12-31	1342723	2013-05-08
048 B	1267	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-29	Andre meldinger	9999-12-31	1342723	2013-05-08
048 B	1414	Den norske stats oljeselskap a.s har overdratt en 10% andel i tillatelsen til Det Norske Oljeselskap AS.	2001-05-31	Endring i tillatelse	9999-12-31	1342723	2013-05-08
048 B	1431	SDØE overført til Statoil ASA.	2001-06-01	Endring i tillatelse	9999-12-31	1342723	2013-05-08
048 B	1709	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	1342723	2013-05-08
048 B	1777	Panteobligasjon til Nordea Bank Norge ASA stor USD 19.000.000,00 + rente,  registrert i Det Norske Oljeselskap AS sin andel.	2002-04-03	Heftelse	9999-12-31	1342723	2013-05-08
048 B	1804	Pelican AS har endret navn til DONG Norge AS.	2002-05-08	Andre meldinger	9999-12-31	1342723	2013-05-08
048 B	1978	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	1342723	2013-05-08
048 B	2133	Panteobligasjon til Nordea Bank Norge ASA stor USD 19.000.000,00 + renter, registrert i Det Norske Oljeselskap AS sin andel, slettes.	2003-09-10	Sletting av heftelse	9999-12-31	1342723	2013-05-08
048 B	2134	Pantobligasjon til Australia and New Zealand Banking Group Limited stor USD 19.000.000,00 + renter, registrert i Det Norske Oljeselskap AS sin andel.	2003-09-10	Heftelse	9999-12-31	1342723	2013-05-08
048 B	2376	Pantobligasjo til Australia and New Zealand Banking Group Limited stor USD 19.000.000,00 + renter, dok.nr 2134, slettes.	2004-02-26	Sletting av heftelse	9999-12-31	1342723	2013-05-08
048 B	2882	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	1342723	2013-05-08
048 B	3042	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	1342723	2013-05-08
048 B	3393	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-10	Andre meldinger	9999-12-31	1342723	2013-05-08
048 B	3599	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	1342723	2013-05-08
048 B	3873	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-08	Endring i tillatelse	9999-12-31	1342723	2013-05-08
048 B	4242	StatoilHydro ASA har overdratt sin 58,9 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	1342723	2013-05-08
048 B	4636	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	1342723	2013-05-08
048 B	4721	Dong E&P Norge AS overdrar sin 9,3 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1. januar 2009.	2009-11-06	Endring i tillatelse	9999-12-31	1342723	2013-05-08
048 B	4933	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	1342723	2013-05-08
048 B	4987	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	1342723	2013-05-08
048 B	5209	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	1342723	2013-05-08
265	4993	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	1624237	2013-05-08
055 C	2466	Statoil ASA har overdratt en 4.2336% andel i tillatelsen til Petoro AS.	2004-11-17	Endring i tillatelse	9999-12-31	2424830	2013-05-08
048 B	5885	Faroe Petroleum Norge AS pantsetter sin 9,3 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	1342723	2013-05-08
048 B	6004	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5209) hvor Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	1342723	2013-05-08
048 B	6457	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	1342723	2013-05-08
033 B	1248	Tillatelsen innført i Petroleumsregisteret.	2001-05-22	Ny tillatelse	9999-12-31	1622353	2013-05-08
033 B	1628	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	1622353	2013-05-08
033 B	1705	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS.	2002-01-21	Andre meldinger	9999-12-31	1622353	2013-05-08
033 B	1775	BP Amoco Norge AS har endret navn til BP Norge AS.	2002-03-21	Andre meldinger	9999-12-31	1622353	2013-05-08
033 B	1974	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	1622353	2013-05-08
033 B	2070	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2003-08-20	Andre meldinger	9999-12-31	1622353	2013-05-08
033 B	2853	Amarada Hess Norge AS har endret navn til Hess Norge AS.	2006-07-14	Andre meldinger	9999-12-31	1622353	2013-05-08
033 B	5497	Total E&P Norge AS overdrar en 12,5 % deltakerandel i utvinningstillatelsen til BP Norge AS med virkning fra 1.1.2010.	2010-09-07	Endring i tillatelse	9999-12-31	1622353	2013-05-08
033 B	5498	Total E&P Norge AS overdrar sin 12,5 % deltakerandel i utvinningstillatelsen til Hess Norge AS med virkning fra 1.1.2010.	2010-09-07	Endring i tillatelse	9999-12-31	1622353	2013-05-08
033 B	5510	Enterprise Oil Norge AS overdrar en 21,260794 % deltakerandel i utvinningstillatelsen til Hess International Holdings Corporation med virkning fra 1. januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	1622353	2013-05-08
033 B	5511	Hess International Holdings Corporation overdrar sin 21,260794 % deltakerandel i utvinningstillatelsen til Hess Norge AS med virkning fra 1. januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	1622353	2013-05-08
033 B	5512	Enterprise Oil Norge AS overdrar sin 3,739206 % deltakerandel i utvinningstillatelsen til Hess Holdings UK Limited med virkning fra 1. januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	1622353	2013-05-08
033 B	5513	Hess Holdings UK Limited overdrar sin 3,739206 % deltakerandel i utvinningstillatelsen til Hess Norge AS med virkning fra 1.januar 2010.	2010-10-01	Endring i tillatelse	9999-12-31	1622353	2013-05-08
265	1407	Tillatelsen innført i Petroleumsregisteret.	2001-05-31	Ny tillatelse	9999-12-31	1624237	2013-05-08
265	1413	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-05-31	Andre meldinger	9999-12-31	1624237	2013-05-08
265	1587	SDØE overført til Petoro AS.	2001-06-18	Endring i tillatelse	9999-12-31	1624237	2013-05-08
265	1654	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	1624237	2013-05-08
265	2157	Dagboknummer 2147 er feilført.	2003-10-07	Andre meldinger	9999-12-31	1624237	2013-05-08
265	2582	Enterprise Oil Norge AS har overdratt sin 15% andel i tillatelsen til Det Norske Oljeselskap AS.	2005-04-11	Endring i tillatelse	9999-12-31	1624237	2013-05-08
265	2583	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS.	2005-04-12	Andre meldinger	9999-12-31	1624237	2013-05-08
265	2651	ExxonMobil Exploration and Production Norway AS har overdratt sin 25% andel i tillatelsen til Det Norske Oljeselskap AS.	2005-06-09	Endring i tillatelse	9999-12-31	1624237	2013-05-08
265	2705	Det Norske Oljeselskap AS har overdratt en 10% andel i tillatalsen til Talisman Energy Norge AS.	2006-02-01	Endring i tillatelse	9999-12-31	1624237	2013-05-08
265	3047	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	1624237	2013-05-08
265	3527	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	1624237	2013-05-08
265	3582	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning 16.11.2007.	2008-01-10	Andre meldinger	9999-12-31	1624237	2013-05-08
265	3590	NOIL Energy  ASA pantsetter sin 30% andel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 1.500.000.000. skriver norske kroner ettusenfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av det pantsatte objekt uten skriftilig samtykke fra panthaver.	2008-01-10	Heftelse	9999-12-31	1624237	2013-05-08
265	3878	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-08	Endring i tillatelse	9999-12-31	1624237	2013-05-08
265	3921	Oljedirektoratet har i brev av 11.02.2008 godkjent forlengelse av tillatelse frem til 27.01.2037, jf petroleumsloven § 3-9.	2008-08-05	Andre meldinger	9999-12-31	1624237	2013-05-08
265	4153	StatoilHydro ASA har overdratt sin 30 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	1624237	2013-05-08
265	4402	NOIL Energy ASA ble innfunsjonert i Det Norske oljeselskap ASA fra 21.5.2008. Før denne tiden pantsatte NOIL Energy ASA sin deltakerandel på 30% ref: dok. nr 3590 i tillatelsen til fordel for DnB NOR Bank ASA. Panthaver DnB NOR Bank ASA har i brev 17.10.2008 samtykket reduksjon i pantsettelsen av detakerandel i tillatelsen fra 30% til 20%	2009-05-06	Heftelse	9999-12-31	1624237	2013-05-08
265	4409	Det norske oljeselskap ASA har overdratt en 10% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-05-12	Endring i tillatelse	9999-12-31	1624237	2013-05-08
265	4798	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	1624237	2013-05-08
265	4939	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	1624237	2013-05-08
265	5174	Pantobligasjon stor NOK 1,500,000,000 skriver norske kroner etttusenfemhundremillioner 00/100 datert 10.1.2008 (dok. nr. 3590) hvor NOIL Energy ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 9.2.2010.	2010-03-05	Sletting av heftelse	9999-12-31	1624237	2013-05-08
265	5175	Ref.dok.nr. (det nye dok.nr 5174)  vedrørende sletting av dok.nr.3590, er dok.nr.4402 datert 6.5.2009, som gjaldt  samtykke fra panthaver DnB Nor Bank ASA til reduksjon av pant fra 30 % til 20 % i utvinningstillatelsen slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 9.2.2010.	2010-03-05	Sletting av heftelse	9999-12-31	1624237	2013-05-08
265	5215	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	1624237	2013-05-08
265	5369	Talisman Energy Norge AS overdrar sin 10 % deltakerandel i utvinningstillatelsen til Lundin Norway AS med virkning fra 1. januar 2010.	2010-05-05	Endring i tillatelse	9999-12-31	1624237	2013-05-08
265	6009	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5215) hvor Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	1624237	2013-05-08
265	6445	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	1624237	2013-05-08
269	1411	Tillatelsen innført i Petroleumsregisteret.	2001-05-31	Ny tillatelse	9999-12-31	1624410	2013-05-08
269	1657	Enterprise Oil Norwegian AS har endret navn til Enterprise Oil Norge AS.	2002-01-17	Andre meldinger	9999-12-31	1624410	2013-05-08
269	2018	Phillips Petroleum Norsk AS har endret navn til ConocoPhillips Skandinavia AS.	2003-06-19	Andre meldinger	9999-12-31	1624410	2013-05-08
269	2360	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-12	Endring i tillatelse	9999-12-31	1624410	2013-05-08
269	2361	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-12	Andre meldinger	9999-12-31	1624410	2013-05-08
269	2696	ConocoPhillips Skandinavia AS har overdratt operatørskapet i tillatelsen til Norsk Hydro Produksjon AS	2005-12-02	Endring i tillatelse	9999-12-31	1624410	2013-05-08
269	2697	Eni Norge AS har overdratt sin 30% andel i tillatelsen til Norsk Hydro Produksjon AS.	2005-12-02	Endring i tillatelse	9999-12-31	1624410	2013-05-08
269	2699	ConocoPhillips Skandinavia AS har overdratt sin 40 % andel i tillatelsen til Norsk Hydro Produksjon AS.	2005-12-12	Endring i tillatelse	9999-12-31	1624410	2013-05-08
269	2700	Enterprise Oil Norge AS har overdratt sin 30 % andel i tillatelsen til Norsk Hydro AS.	2005-12-12	Endring i tillatelse	9999-12-31	1624410	2013-05-08
269	3216	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	1624410	2013-05-08
269	3356	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	1624410	2013-05-08
269	3826	Olje- og energidepartement har i brev den 28.08.2006 godkjent forlengelsen av tillatelsen til 27.04.2009	2008-05-22	Andre meldinger	9999-12-31	1624410	2013-05-08
269	4799	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	1624410	2013-05-08
270	1412	Tillatelsen registrert i Petroleumsregisteret.	2001-05-31	Ny tillatelse	9999-12-31	1624436	2013-05-08
270	2575	OER Oil AS har endret navn til Endeavour Energy Norge AS	2005-03-03	Andre meldinger	9999-12-31	1624436	2013-05-08
270	3091	RWE Dea Norge AS har overdratt en 36% andel i tillatelsen til Endeavour Energy Norge AS.	2007-09-12	Endring i tillatelse	9999-12-31	1624436	2013-05-08
270	3293	Endeavour Energy Noerge AS har overdratt en 20% andel i tillatelsen til VNG Norge AS med virkning fra 01.01.2007.	2007-11-07	Endring i tillatelse	9999-12-31	1624436	2013-05-08
270	4596	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	1624436	2013-05-08
270	4724	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	1624436	2013-05-08
270	4725	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009	2009-11-09	Andre meldinger	9999-12-31	1624436	2013-05-08
270	6219	RWE Dea AS meddelte 5.4.2011 at de trer ut av utvinningstillatelsen med virkning fra 1.9.2011. VNG Norge AS overtar 15 % deltakerandel fra RWE Dea AS, godkjent i brev fra Olje- og Energidepartementet datert 13.10.2011.	2012-03-20	Endring i tillatelse	9999-12-31	1624436	2013-05-08
270	6768	VNG Norge AS overdrar en 15% deltakerandel i utvinningstillatelsen til Emergy Exploration AS med virkning fra 27.12.2012	2012-12-27	Endring i tillatelse	9999-12-31	1624436	2013-05-08
270	6861	Emergy Exploration AS har endret foretaksnavn til Atlantic Petroleum Norge AS med virkning fra 12.1.2013.	2013-01-17	Endring i tillatelse	2013-01-19	1624436	2013-05-08
270	6962	Atlantic Petroleum Norge AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon stor NOK 300,000,000, skriver norske kroner trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.2.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-03-20	Heftelse	9999-12-31	1624436	2013-05-08
029 B	1776	Tillatelsen innført i Petroleumsregisteret.	2002-03-22	Ny tillatelse	9999-12-31	1626782	2013-05-08
029 B	2231	Esso Exploration and Production Norway  AS har overdratt en 50% andel i tillatelsen til Statoil ASA.	2004-01-06	Endring i tillatelse	9999-12-31	1626782	2013-05-08
029 B	2594	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	1626782	2013-05-08
029 B	3104	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	1626782	2013-05-08
029 B	4235	StatoilHydro ASA har overdratt sin 50 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	1626782	2013-05-08
300	2246	Tillatelsen er innført i Peroleumsregisteret.	2004-01-08	Ny tillatelse	9999-12-31	2490354	2013-05-08
029 B	4383	ExxonMobil Exploration and Production Norway AS overdrar en 20% deltakerandel i tillatelsen til Det norske oljeselskap ASA med virkning fra 1.4.2009.	2009-04-22	Endring i tillatelse	9999-12-31	1626782	2013-05-08
029 B	4810	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	1626782	2013-05-08
029 B	4928	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	1626782	2013-05-08
029 B	4982	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	1626782	2013-05-08
029 B	5204	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	1626782	2013-05-08
029 B	5999	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5204) hvor Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	1626782	2013-05-08
029 B	6442	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	1626782	2013-05-08
029 B	6686	ExxonMobil Exploration and Production Norway AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 1.1.2012.	2012-12-03	Endring i tillatelse	9999-12-31	1626782	2013-05-08
072 B	1611	Tillatelsen innført i Petroleumsregisteret.	2001-10-09	Ny tillatelse	9999-12-31	1630345	2013-05-08
072 B	1743	Norsk Hydro Produksjon AS har overdratt sin 10% andel i  tillatelsen til Esso Exploration and Production Norway A/S.	2002-01-29	Endring i tillatelse	9999-12-31	1630345	2013-05-08
072 B	2600	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	1630345	2013-05-08
072 B	3422	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	1630345	2013-05-08
072 B	4252	StatoilHydro ASA har overdratt sin 50 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	1630345	2013-05-08
072 B	4659	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	1630345	2013-05-08
052 B	1616	Tillatelsen innlagt i Petroleumsregisteret.	2001-12-12	Ny tillatelse	9999-12-31	1840712	2013-05-08
052 B	1669	Total Norge AS er innfusjonert i TotalFinaElf Exploration Norge AS.	2002-01-17	Endring i tillatelse	9999-12-31	1840712	2013-05-08
052 B	1980	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	1840712	2013-05-08
052 B	2139	Norske RWE Dea AS er innfusjonert i RWE Dea Norge AS og har overdratt sin 2.25% andel i tillatelsen til RWE Dea Norge AS.	2003-09-15	Endring i tillatelse	9999-12-31	1840712	2013-05-08
052 B	2399	Svenska Petroleum Exploration AS har overdratt sin 4.5 % andel i tillatelsen til Statoil ASA.	2004-05-13	Endring i tillatelse	9999-12-31	1840712	2013-05-08
052 B	2802	Paladin Resources Norge AS har endret navn til Talisman Resources Norge AS.	2006-05-18	Andre meldinger	9999-12-31	1840712	2013-05-08
052 B	2918	Talisman Resources Norge AS har overdratt sin 9 % andel i tillatelsen til Talisman Production Norge AS.	2006-12-14	Endring i tillatelse	9999-12-31	1840712	2013-05-08
052 B	2943	Talisman Production Norge AS har overdratt sin 9% andel i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	1840712	2013-05-08
052 B	3411	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	1840712	2013-05-08
052 B	4135	StatoilHydro ASA har overdratt sin 22,5 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	1840712	2013-05-08
052 B	4617	Talisman Energy Norge AS overdrar sin 9 % deltakerandel i utvinningstillatelsen til Talisman Resources Norge AS med virkning fra 1. januar 2009.	2009-10-30	Endring i tillatelse	9999-12-31	1840712	2013-05-08
052 B	4646	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	1840712	2013-05-08
052 B	6169	Talisman Resources Norge AS overdrar sin 9 % deltakerandel i utvinningstillatelsen til Talisman Energy Norge AS med virkning fra 1.1.2011.	2012-02-03	Endring i tillatelse	9999-12-31	1840712	2013-05-08
085 C	1747	Tillatelsen innført i Petroleumsregisteret.	2002-03-12	Ny tillatelse	9999-12-31	2051285	2013-05-08
085 C	1991	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	2051285	2013-05-08
085 C	2081	Norske Conoco AS har endret navn til Norske ConocoPhillips AS.	2003-08-21	Andre meldinger	9999-12-31	2051285	2013-05-08
085 C	3163	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	2051285	2013-05-08
085 C	3302	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	2051285	2013-05-08
085 C	3431	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	2051285	2013-05-08
085 C	4160	StatoilHydro ASA har overdratt sin 20,80471% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	2051285	2013-05-08
085 C	4669	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	2051285	2013-05-08
272	1780	Tillatelsen innført i Petroleumsregisteret.	2002-04-15	Ny tillatelse	9999-12-31	2060232	2013-05-08
272	2381	Enterprise Oil Norge AS har overdratt en 25% andel i tillatelsen til Det Norske Oljeselskap AS.	2004-04-21	Endring i tillatelse	9999-12-31	2060232	2013-05-08
272	2382	Enterprise Oil Norge AS har overdratt sin 25% andel i tillatelsen til Svenska Petroleum Exploration A/S	2004-04-21	Endring i tillatelse	9999-12-31	2060232	2013-05-08
272	3048	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	2060232	2013-05-08
272	3218	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	2060232	2013-05-08
272	3358	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	2060232	2013-05-08
272	3603	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	2060232	2013-05-08
272	3830	Olje- og energidepartement har i brev den 21.02.2007 godkjent forlengelsen av tillatelsen til 14.11.2015.	2008-05-22	Andre meldinger	9999-12-31	2060232	2013-05-08
272	3879	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-08	Endring i tillatelse	9999-12-31	2060232	2013-05-08
272	4832	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2060232	2013-05-08
272	4940	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	2060232	2013-05-08
272	4994	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	2060232	2013-05-08
272	5165	Svenska Petroleum Exploration AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner tre hundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.10.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-19	Heftelse	9999-12-31	2060232	2013-05-08
272	5216	Det norske oljeselskap ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	2060232	2013-05-08
272	6010	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5216) hvor Det norske oljeselskap ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	2060232	2013-05-08
272	6449	Det norske oljeselskap ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	2060232	2013-05-08
274	1782	Tillatalsen innført i Petroleumsregisteret.	2002-04-15	Ny tillatelse	9999-12-31	2060266	2013-05-08
274	1806	Pelican AS har endret navn til DONG Norge AS.	2002-05-08	Andre meldinger	9999-12-31	2060266	2013-05-08
274	2703	DONG Norge AS har overdratt en 30% andel i tillatelsen til Revus Energy ASA.	2006-01-04	Endring i tillatelse	9999-12-31	2060266	2013-05-08
274	2766	DONG Norge AS har overdratt en 30% andel i tillatelsen til PA Resources Norway AS.	2006-04-25	Endring i tillatelse	9999-12-31	2060266	2013-05-08
274	2767	PA Resources Norway AS pantsetter sin 30% andel i tillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet pantobligasjon stor NOK 450,000,000, skriver norske kroner firehundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver. 	2006-04-25	Heftelse	9999-12-31	2060266	2013-05-08
274	2847	Sletting av pant, dokument nr 2767, registrert 25.4.2006.	2006-06-19	Sletting av heftelse	9999-12-31	2060266	2013-05-08
274	2848	PA Resources Norway AS pantsetter sin 30 % andel i tillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet pantobligasjon stor NOK 450,000,000, skriver norske kroner firehundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver. 	2006-06-19	Heftelse	9999-12-31	2060266	2013-05-08
274	2894	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	2060266	2013-05-08
274	3092	Revus Energy ASA har overdratt en 15% andel i tillatelsen til Norwegian Energy Company AS.	2007-10-04	Endring i tillatelse	9999-12-31	2060266	2013-05-08
274	3631	Revus Energy ASA pantsetter sin 15 % andel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 1 000 000 000 skriver norske kroner ettusenmillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-01-24	Heftelse	9999-12-31	2060266	2013-05-08
274	4019	Olje- og energidepartement har i brev av 11.12.2008 godkjent forlengelsen av initielle periode fra 15.03.2009 til 15.09.2009.jf. petroleumsloven § 3-9.	2009-01-03	Endring i tillatelse	2013-05-08	2060266	2013-05-08
274	4032	Pantobligasjon stor NOK 450.000.000 skriver norske kroner firehundreogfemtimillioner datert 19.06.2006 (dok.nr 2848) hvor PA Resources Norway AS er pantsetter og Norsk Tillitsmann ASA er panthaver slettet.	2009-01-13	Sletting av heftelse	9999-12-31	2060266	2013-05-08
274	4090	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	2060266	2013-05-08
274	4359	Pantobligasjon stor NOK 1,000,000,000 skrives norske kroner etttusenmillioner 00/100, doknr: 3631 registrert den 24.1.2008hvor Revus Energy ASA er pantsetter og DnB NOR Bank ASA er panthaver, er slettet.	2009-03-25	Endring i tillatelse	2013-05-08	2060266	2013-05-08
274	4377	PA Resources Norway AS har endret navn til Bayerngas Produksjon Norge AS med virkning fra 21.1.2009	2009-04-15	Andre meldinger	9999-12-31	2060266	2013-05-08
274	4529	Wintershall Norge ASA har overdratt sin 15% deltakerandel i tillatelsen til Dong E&P Norge AS med virkning fra 31. 7.2009.	2009-08-04	Endring i tillatelse	9999-12-31	2060266	2013-05-08
274	5280	Norwegian Energy Company ASA overdrar sin 15 % deltakerandel i utvinningstillatelsen til Altinex Oil Norway AS med virkning fra 1. januar 2010.	2010-03-22	Endring i tillatelse	9999-12-31	2060266	2013-05-08
274	5489	Bayern Gas Produksjon Norge AS overdrar sin 30 % deltakerandel til Bayerngas Norge AS med virkning fra 23.3.2009.	2010-09-03	Endring i tillatelse	9999-12-31	2060266	2013-05-08
274	5777	Altinex Oil Norway AS  pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 600,000,000, skriver norske kroner sekshundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.4.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  Pantsettelsen utgjør et såkalt krysspant. 	2011-04-26	Heftelse	9999-12-31	2060266	2013-05-08
274	6561	Altinex Oil Norway AS har endret navn til Noreco Norway AS med virkning fra 5.7.2012.	2012-08-28	Andre meldinger	9999-12-31	2060266	2013-05-08
275	1783	Tillatelsen innført i Petroleumsegisteret.	2002-04-15	Ny tillatelse	9999-12-31	2060278	2013-05-08
275	2016	Phillips Petroleum Norsk AS har endret navn til ConocoPhillips Skandinavia AS.	2003-06-19	Andre meldinger	9999-12-31	2060278	2013-05-08
275	2017	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-19	Andre meldinger	9999-12-31	2060278	2013-05-08
275	2362	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-12	Endring i tillatelse	9999-12-31	2060278	2013-05-08
275	2363	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-12	Andre meldinger	2013-05-08	2060278	2013-05-08
275	3220	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	2060278	2013-05-08
275	3360	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	2060278	2013-05-08
275	3528	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	2060278	2013-05-08
275	4130	StatoilHydro ASA har overdratt sin 0,95% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	2060278	2013-05-08
275	4834	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2060278	2013-05-08
277	1785	Tillatelsen innført i Petroleumsregisteret.	2002-04-15	Ny tillatelse	9999-12-31	2060336	2013-05-08
277	2622	Statoil ASA har overdratt en 9% andel i tillatelsen til Norsk Hydro Produksjon  AS.	2005-05-13	Endring i tillatelse	9999-12-31	2060336	2013-05-08
277	3221	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	2060336	2013-05-08
277	3361	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	2060336	2013-05-08
277	3529	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	2060336	2013-05-08
277	4307	StatoilHydro ASA har overdratt sin 61% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	2060336	2013-05-08
277	4835	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2060336	2013-05-08
094 B	1853	Tillatelsen innført i Petroleumsregisteret.	2002-08-29	Ny tillatelse	9999-12-31	2092082	2013-05-08
094 B	1995	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	2092082	2013-05-08
094 B	2083	Fortum Petroleum AS har endret navn til ENI Norge AS.	2003-08-21	Andre meldinger	9999-12-31	2092082	2013-05-08
094 B	2171	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-14	Endring i tillatelse	9999-12-31	2092082	2013-05-08
094 B	2303	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	2092082	2013-05-08
094 B	3175	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	2092082	2013-05-08
094 B	3315	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	2092082	2013-05-08
094 B	3443	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-27	Andre meldinger	9999-12-31	2092082	2013-05-08
094 B	3798	StatoilHydro Petroleum AS har overdratt sin 9,6% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	2092082	2013-05-08
094 B	3949	Mobil Development Norway A/S har overdratt sin 7,35% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	2092082	2013-05-08
094 B	3979	ExxonMobil Exploration and Production Norway AS har overdratt en 0.11% andel i tillatelsen til Petoro AS med virkning fra 01.10.2008	2008-11-06	Endring i tillatelse	9999-12-31	2092082	2013-05-08
094 B	4123	StatoilHydro ASA har overdratt en 0.03% deltakerandel i tillatelsen til Total E& P Norge AS med virkning fra 01.08.2006. Dette er en tillegsavtale no 12 - Åsgard Unit i henhold til Unit - avtale av 23.2.1995. Tillegget er en redeterminring	2009-02-16	Endring i tillatelse	9999-12-31	2092082	2013-05-08
094 B	4263	StatoilHydro ASA har overdratt sin 34,57 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	2092082	2013-05-08
094 B	4678	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	2092082	2013-05-08
212 B	1854	Tillatelsen innført i Petroleumsregisteret.	2002-08-29	Ny tillatelse	9999-12-31	2092275	2013-05-08
212 B	3255	Modil Development Norway AS har overdratt sin 15% andel i tillatelsen til PGNIG Norway AS.	2007-11-02	Endring i tillatelse	9999-12-31	2092275	2013-05-08
212 B	3261	Enterprise Oil Norge AS har overdratt sin 25% andel i tillatelsen til E.ON Ruhrgas Norge AS.	2007-11-04	Endring i tillatelse	9999-12-31	2092275	2013-05-08
212 B	3489	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	2092275	2013-05-08
212 B	4157	StatoilHydro ASA har overdratt sin 30 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	2092275	2013-05-08
212 B	4820	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2092275	2013-05-08
212 B	5504	PGNiG Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Credit Agricole Corporate and Investment Bank. Første prioritet panteobligasjon stor USD  480,000,000, skriver amerikanske dollar firehundreogåttimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 12.8.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd, på følgende vilkår jamfør petroleumsloven § 10-18, andre ledd. Pantet er opprettet utelukkende for det formål å finansiere petroleumsvirksomheten knyttet til nevnte lisenser. 	2010-09-22	Heftelse	9999-12-31	2092275	2013-05-08
300	2898	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-12	Andre meldinger	9999-12-31	2490354	2013-05-08
212 B	5546	PGNiG Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Polskie Górnictwo Naftowe i Gazownictwo. Andre prioritet panteobligasjon stor NOK 5,280,000,000, skriver norske kroner femmilliardertohundreogåttimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 30.9.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd, på følgende vilkår jamfør petroleumsloven § 10-18, andre ledd. Pantet er opprettet utelukkende for det formål å finansiere petroleumsvirksomheten knyttet til nevnte lisenser.	2010-11-25	Heftelse	9999-12-31	2092275	2013-05-08
212 B	6293	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	2092275	2013-05-08
122 B	1878	Tillatelsen innført i Petroleumsregisteret.	2002-10-17	Ny tillatelse	9999-12-31	2134110	2013-05-08
122 B	2151	Amarada Hess Norge A/S har overdratt sin 20% andel i tillatelsen til DONG Norge AS.	2003-10-07	Endring i tillatelse	9999-12-31	2134110	2013-05-08
122 B	2310	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	2134110	2013-05-08
122 B	2311	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	2134110	2013-05-08
122 B	2443	Mobil Development Norway AS har overdratt sin 10% andel i tillatelsen til DONG Norge AS.	2004-09-29	Endring i tillatelse	9999-12-31	2134110	2013-05-08
122 B	2887	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	2134110	2013-05-08
122 B	3459	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	2134110	2013-05-08
122 B	4269	StatoilHydro ASA har overdratt sin 50 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	2134110	2013-05-08
122 B	4695	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	2134110	2013-05-08
018 C	1921	Tillatelsen innført i Petroleumsregisteret.	2003-01-08	Ny tillatelse	9999-12-31	2246113	2013-05-08
018 C	2030	TotalFinaElf Norge AS har endret navn til Total E&P Norge AS.	2003-06-23	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	2031	Phillips Petroleum Norsk AS har endret navn til Conoco Phillips Skandinavia AS.	2003-06-23	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	2065	Total E&P Norge AS har overdratt sin 39,896% andel i tillatelsen til Kerr McGee Norway AS.	2003-08-19	Endring i tillatelse	9999-12-31	2246113	2013-05-08
018 C	2282	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-03	Endring i tillatelse	9999-12-31	2246113	2013-05-08
018 C	2283	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-03	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	2510	Kerr McGee Norway AS har overtatt operatørskapet i tilllatelsen.	2004-12-06	Endring i tillatelse	9999-12-31	2246113	2013-05-08
018 C	2511	ConocoPhillips Scandinavia AS har overdratt sin 35.112% andel i tillatelsen til Kerr-McGee Norway AS.	2004-12-06	Endring i tillatelse	9999-12-31	2246113	2013-05-08
018 C	2694	Eni Norge AS har overdratt sin 12.388% andel i tillatelsen til Altinex Oil AS.	2005-11-17	Endring i tillatelse	9999-12-31	2246113	2013-05-08
018 C	2712	Statoil ASA har overdratt sin 0,95 % andel til Altinex Oil AS	2006-03-08	Endring i tillatelse	9999-12-31	2246113	2013-05-08
018 C	2859	Kerr-McGee Norway AS har endret navn til Maersk Oil Norway AS.	2006-07-18	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	3123	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	3266	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	3767	Altinex Oil AS har endret navn til Altinex Oil Norway AS med virkning 28.11.2006.	2008-03-21	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	3837	Maersk Oil Norway AS har endret navn til Maersk Oil PL 018C Norway AS med virkning 22.09.2007.	2008-06-13	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	3838	Maersk Oil PL 018C Norway AS har overdratt en 15% andel i tillatelsen til Noble Energy (Europe) Limited med virkning fra 28.11.2005. Noble Energy (Europe) Limited er den 12.06.2008 ikke lenger registrert i Brønneysundregisteret	2008-06-13	Endring i tillatelse	9999-12-31	2246113	2013-05-08
018 C	3839	Noble Energy (Europe) Limited har overdratt sin 15% andel i tillatelsen til Noble Energy Norge AS med virkning 01.12.2005	2008-06-13	Endring i tillatelse	9999-12-31	2246113	2013-05-08
018 C	3868	Dok nr 3839 er registrert med feil dato 01.12.2005, erstattes med Dok nr.3868 riktig dato skal være den 01.12.2007	2008-07-04	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	3870	Dok nr 3868 er registrert med feil dato 01.12.2007, erstattes med Dok nr 3870 riktig dato skal være den 01.11.2007.	2008-07-07	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	3913	Noble Energy Norge AS har endret navn til Skeie Oil & Gas AS med virkning 21.07.2008.	2008-07-30	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	3927	Skeie Oil & Gas AS pantsetter sin 15% andel i tillatelsen til fordel for DnB NOR Bank ASA. Første prioritet pantobligasjon stor NOK 500,000,000 skriver norske kroner femhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-08-20	Heftelse	9999-12-31	2246113	2013-05-08
018 C	4501	Patobligasjon stor NOK 500,000,000 skriver norske kroner femhundremillioner 00/100. Datert 20.8.2008 dok. nr 3927 hvor Skeie Oil & Gas AS er pantsetter og DnB NOR Bank ASA er panthaver, er slettet.	2009-07-15	Endring i tillatelse	9999-12-31	2246113	2013-05-08
018 C	4505	Skeie Oil & Gas AS pantsetter sin 15% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 800,000,000 skriver norske kroner åttehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-07-15	Heftelse	9999-12-31	2246113	2013-05-08
018 C	4513	Pantobligasjon stor NOK 500,000,000, datert 20.8.2008 dok nr 3927 er slettet og erstattet med dok nr 4505 datert 15.7.2009	2009-07-15	Sletting av heftelse	9999-12-31	2246113	2013-05-08
018 C	4806	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	5612	Skeie Oil & Gas AS har endret foretaksnavn til Skeie Energy AS med virkning fra 3.1.2011.	2011-01-25	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	5673	Pantobligasjon stor NOK 800 000 000 skriver norske kroner åttehundremillioner  00/100 datert 15.7.2009 (dok. nr. 4505) hvor Skeie Oil & Gas AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger.	2011-02-04	Sletting av heftelse	9999-12-31	2246113	2013-05-08
055 C	2465	Statoil ASA har overdratt en 0.5922% andel i tillatelsen til Mobil Development Norway A/S.	2004-11-17	Endring i tillatelse	9999-12-31	2424830	2013-05-08
301	2247	Tillatelsen er innført i Peroleumsregisteret.	2004-01-08	Ny tillatelse	9999-12-31	2490380	2013-05-08
018 C	5676	Skeie Energy AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 400,000,000, skriver norske kroner firehundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 7.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-02-04	Heftelse	9999-12-31	2246113	2013-05-08
018 C	6078	Det er inngått fusjon mellom Maersk Oil Norway AS (overtakende selskap) og Maersk Oil PL 018 C Norway AS (overdragende selskap) 28.10.2011.	2012-01-12	Andre meldinger	9999-12-31	2246113	2013-05-08
018 C	6080	Altinex Oil Norge AS overdrar sin 13,338 % deltakerandel i utvinningstillatelsen til Maersk Oil Norway AS med virkning fra 1.1.2011.	2012-01-12	Endring i tillatelse	9999-12-31	2246113	2013-05-08
018 C	6087	Pantobligasjon pålydende NOK 400 000 000 skriver norske kroner firehundremillioner  00/100 datert 4.2.2011 (dok. nr. 5676) hvor Skeie Energy AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 12.1.2012.	2012-01-18	Sletting av heftelse	9999-12-31	2246113	2013-05-08
018 C	6088	Skeie Energy AS overdrar sin 15 % deltakerandel  i utvinningstillatelsen til Maersk Oil Norway AS med virkning fra 1.1.2011.	2012-01-18	Endring i tillatelse	9999-12-31	2246113	2013-05-08
289	1946	Tillatelsen er innført i Petroleumsegisteret.	2003-05-07	Ny tillatelse	9999-12-31	2407454	2013-05-08
289	2695	DONG Norge AS har overdratt en 30% andel i tilllatelsen til Gaz de France Norge AS.	2005-12-01	Endring i tillatelse	9999-12-31	2407454	2013-05-08
289	2896	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-12	Andre meldinger	9999-12-31	2407454	2013-05-08
289	2930	Talisman Resources Norge AS har overdratt sin 30 % andel i tillatelsen til Talisman Production Norge AS.	2006-12-14	Endring i tillatelse	9999-12-31	2407454	2013-05-08
289	2955	Talisman Production Norge AS har overdratt sin 30% andel i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	2407454	2013-05-08
289	3677	Olje- og energidepartement har i brev den 30.10.2006 godkjent forlengelsen av tillatelsen til 11.04.2009..	2008-02-18	Andre meldinger	2013-05-08	2407454	2013-05-08
289	3825	Gaz de France Norge AS har overdratt en 14% andel i tillatelsen til Faroe Petroleum Norge AS med virkning fra 30.04.2008.	2008-05-19	Endring i tillatelse	9999-12-31	2407454	2013-05-08
289	4071	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	2407454	2013-05-08
289	5887	Faroe Petroleum Norge AS pantsetter sin 14 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	2407454	2013-05-08
289	6157	Pantobligasjon pålydende NOK 1,200,000 skriver norske kroner enmilliardtohundremillioner  00/100 datert 18.7.2011 (dok. nr. 5887) hvor Faroe Petroleum Norge AS pantsetter sin 14 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas er slettet. Samtykke fra panthaver, BNP Paribas foreligger.	2012-02-01	Sletting av heftelse	9999-12-31	2407454	2013-05-08
289	6547	Faroe Petroleum Norge AS overdrar sin 14 % deltakerandel i utvinningstillatelsen til Bayerngas Norge AS med virkning fra 29.6.2012.	2012-06-29	Endring i tillatelse	9999-12-31	2407454	2013-05-08
289	6549	GDF Suez E&P Norge AS overdrar sin 16 % deltakerandel i utvinningstillatelsen til Bayerngas Norge AS med virkning fra 31.7.2012.	2012-07-31	Endring i tillatelse	9999-12-31	2407454	2013-05-08
289	6668	Talisman Energy Norge AS overdra en 20 % deltakerandel i utvinningstillatelsen til Bayerngas Norge AS med virkning fra 31.10.2012.	2012-11-02	Endring i tillatelse	9999-12-31	2407454	2013-05-08
289	6669	Talisman Energy Norge AS overdrar sin 10 % deltakerandel i utvinningstillatelsen til Dong E&P Norge AS med virkning fra 31.10.2012.	2012-11-02	Endring i tillatelse	9999-12-31	2407454	2013-05-08
292	1949	Tillatelsen er innført i Petroleumsregisteret.	2003-05-07	Ny tillatelse	9999-12-31	2407572	2013-05-08
292	2408	Det Norske Oljseselskap AS har overdratt sin 100 % andel i tillatelsen til Lundin Norway AS.	2004-06-24	Endring i tillatelse	9999-12-31	2407572	2013-05-08
292	2409	Lundin Norway AS har overtatt operatørskapet i tillatelsen,	2004-06-24	Endring i tillatelse	9999-12-31	2407572	2013-05-08
292	2448	Lundin Norway AS har overdratt en 60% andel i tillatelsen til BG Norge AS.	2004-10-15	Endring i tillatelse	9999-12-31	2407572	2013-05-08
292	3858	Olje- og energidepartement har i brev den 14.03.2008 godkjent forlengelsen av initiell periode i tillatelsen til 11.12.2008	2008-07-02	Andre meldinger	9999-12-31	2407572	2013-05-08
292	4020	Olje- og energidepartement har i brev den 02.12.2008 godkjent forlengelsen av initiell periode i tillatelsen til 01.04.2011.	2009-01-04	Andre meldinger	9999-12-31	2407572	2013-05-08
293	1950	Tillatelsen er innført i Petroleumsregisteret.	2003-05-07	Ny tillatelse	9999-12-31	2407711	2013-05-08
293	2369	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-12	Endring i tillatelse	9999-12-31	2407711	2013-05-08
293	2370	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-12	Andre meldinger	9999-12-31	2407711	2013-05-08
293	3119	Statoil ASA har endret navn til StatoilHydro  ASA.	2007-10-15	Andre meldinger	9999-12-31	2407711	2013-05-08
293	3120	Eni Norge AS har overdratt en 15% andel i tillatelsen til Idemitsu Petroleum Norge AS.	2007-10-15	Endring i tillatelse	9999-12-31	2407711	2013-05-08
293	4310	StatoilHydro ASA har overdratt sin 40% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	2407711	2013-05-08
293	4838	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2407711	2013-05-08
167 B	1953	Tillatelsen er innført i Petroleumsregisteret.	2003-05-07	Ny tillatelse	9999-12-31	2407874	2013-05-08
167 B	2417	Det Norske Oljseselskap AS har overdratt sin 20 % andel i tillatelsen til Lundin Norway AS.	2004-06-24	Endring i tillatelse	9999-12-31	2407874	2013-05-08
167 B	3475	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	2407874	2013-05-08
167 B	4282	StatoilHydro ASA har overdratt sin 80 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	2407874	2013-05-08
167 B	4716	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	2407874	2013-05-08
055 C	2036	Tillatelsen er innført i Petroleumsregisteret.	2003-07-08	Ny tillatelse	9999-12-31	2424830	2013-05-08
055 C	2160	ENI Norge AS er innfusjonert i Norsk Agip AS.	2003-10-13	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2464	Statoil ASA har overdratt en 1.26% andel i tillatelsen til Total E&P Norge AS.	2004-11-17	Endring i tillatelse	9999-12-31	2424830	2013-05-08
301	2899	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-12	Andre meldinger	9999-12-31	2490380	2013-05-08
055 C	2467	Statoil ASA har overdratt en 0.3024% andel i tillatelsen til Norske ConocoPhillips AS.	2004-11-17	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2468	Statoil ASA har overdratt en 4.284% andel i tillatelsen til Norsk Hydro Produksjon AS.	2004-11-17	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2469	Paladin Resources Norge AS har overdratt en 2% andel i tillatelsen til Total E&P Norge AS.	2004-11-18	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2470	Paladin Resources Norge AS har overdratt en 6.8% andel i tillatelsen til Norsk Hydro Produksjon AS.	2004-11-18	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2471	Paladin Resources Norge AS har overdratt en 6.72% andel i tillatelsen til Petoro AS.	2004-11-18	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2472	Paladin Resources Norge AS har overdratt en 0.94% andel i tillatelsen til Mobil Development Norway A/S.	2004-11-18	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2473	Paladin Resources Norge AS har overdratt en 0.48% andel i tillatelsen til Norske ConocoPhillips AS.	2004-11-18	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2474	Paladin Resources Norge AS har overdratt sin 3.06% andel i tillatelsen til Statoil ASA..	2004-11-18	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2475	Petoro  AS har overdratt en 4.556% andel i tillatelsen til Norsk Hydro Produksjon AS.	2004-11-22	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2476	Petoro  AS har overdratt en 2.0502% andel i tillatelsen til Statoil ASA.	2004-11-22	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2477	Petoro  AS har overdratt en 1.34% andel i tillatelsen til Total E&P Norge AS.	2004-11-22	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2478	Petoro  AS har overdratt en 0.6298% andel i tillatelsen til Mobil Development Norway AS.	2004-11-22	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2479	Petoro  AS har overdratt en 0.3216% andel i tillatelsen til Norske ConocoPhillips  AS.	2004-11-22	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2480	Norsk Hydro Produksjon  AS har overdratt en 6.72% andel i tillatelsen til Petoro AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2481	Norsk Hydro Produksjon  AS har overdratt en 0.48% andel i tillatelsen til Norske ConocoPhillips AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2482	Norsk Hydro Produksjon  AS har overdratt en 3.06% andel i tillatelsen til Statoil ASA.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2483	Norsk Hydro Produksjon  AS har overdratt en 2% andel i tillatelsen til Total E&P Norge AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2484	Norsk Hydro Produksjon  AS har overdratt en 0.94% andel i tillatelsen til Mobil Development Norway AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2485	Eni Norge AS har overdratt en 4.4352% andel i tillatelsen til Petoro AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2486	Eni Norge AS har overdratt en 4.488% andel i tillatelsen til Norsk Hydro Produksjon AS	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2487	Eni Norge AS har overdratt en 2.0196% andel i tillatelsen til Statoil ASA.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2488	Eni Norge AS har overdratt en 1.32% andel i tillatelsen til Total E&P Norge AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2489	Eni Norge AS har overdratt en 0.6204% andel i tillatelsen til Mobil Development Norway A/S	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2490	Eni Norge AS har overdratt sin 0.3168% andel i tillatelsen til Norske ConocoPhillips AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2491	Esso Exploration and Production Norway  AS har overdratt en 5.984% andel i tillatelsen til Norsk Hydro Produksjon AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2492	Esso Exploration and Production Norway  AS har overdratt en 5.9136% andel i tillatelsen til Petoro AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2493	Esso Exploration and Production Norway  AS har overdratt en 2.6928% andel i tillatelsen til Statoil ASA.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2494	Esso Exploration and Production Norway  AS har overdratt en 1.76% andel i tillatelsen til Total E&P Norge AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2495	Esso Exploration and Production Norway  AS har overdratt en 0.4224% andel i tillatelsen til Norske ConocoPhillips AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2496	Esso Exploration and Production Norway  AS har overdratt sin 0.8272% andel i tillatelsen til Mobil Development Norway AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2497	OER Oil  AS har overdratt en 0.1504% andel i tillatelsen til Mobil Development Norway AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2498	OER Oil  AS har overdratt en 0.0768% andel i tillatelsen til Norske ConocoPhillips AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2499	OER Oil  AS har overdratt en 1.0752% andel i tillatelsen til Petoro  AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2500	OER Oil  AS har overdratt en 1.088% andel i tillatelsen til Norsk Hydro Produksjon AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2501	OER Oil  AS har overdratt en 0.4896% andel i tillatelsen til Statoil ASA.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	2502	OER Oil  AS har overdratt sin 0.32% andel i tillatelsen til Total E&P Norge AS.	2004-11-23	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	3153	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-20	Andre meldinger	9999-12-31	2424830	2013-05-08
055 C	3288	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	2424830	2013-05-08
055 C	3417	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	2424830	2013-05-08
055 C	3937	Mobil Development Norway A/S har overdratt sin 4,70% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	4166	StatoilHydro ASA har overdratt sin 15,3% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009 	2009-02-17	Endring i tillatelse	9999-12-31	2424830	2013-05-08
055 C	4653	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	2424830	2013-05-08
143 BS	2037	Tillatelsen er innført i Petroleumsregisteret.	2003-07-08	Ny tillatelse	9999-12-31	2424891	2013-05-08
143 BS	2330	ConocoPhillips Skandinavia AS har overdratt sin 35% andel i tillatelsen til Talisman Energy Norge AS.	2004-02-10	Endring i tillatelse	9999-12-31	2424891	2013-05-08
143 BS	2805	Paladin Resources Norge AS har endret navn til Talisman Resources Norge AS.	2006-05-30	Andre meldinger	9999-12-31	2424891	2013-05-08
327	2625	Statoil ASA har overdratt en 10 % andel i tillatelsen til A/S Norske Shell.	2005-05-24	Endring i tillatelse	9999-12-31	2786915	2013-05-08
143 BS	2923	Talisman Resources Norge AS har overdratt sin 65 % andel i tillatelsen til Talisman Production Norge AS.	2006-12-14	Endring i tillatelse	9999-12-31	2424891	2013-05-08
143 BS	2948	Talisman Production Norge AS har overdratt sin 65% andel i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	2424891	2013-05-08
143 BS	2963	Talisman Resources Norge AS har overført operatørskapet i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	2424891	2013-05-08
036 BS	2178	Tillatelsen er innført i Petroleumsregisteret.	2003-10-29	Ny tillatelse	9999-12-31	2473189	2013-05-08
036 BS	2518	A/S Uglands Rederi har overdratt sin 0.169% andel i tillatelsen til Norsk Hydro Produksjon AS	2005-01-07	Endring i tillatelse	9999-12-31	2473189	2013-05-08
036 BS	3106	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	2473189	2013-05-08
036 BS	3130	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	2473189	2013-05-08
036 BS	3272	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	2473189	2013-05-08
036 BS	4038	Marathon Petroleum Norge AS har overdratt sin 23,798 % eierandel i tillatelsen til Centrica Resources (Norge) AS med virkning fra 1.1.2008.	2009-01-16	Endring i tillatelse	9999-12-31	2473189	2013-05-08
036 BS	4165	StatoilHydro ASA har overdratt sin 20 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	2473189	2013-05-08
036 BS	4627	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	2473189	2013-05-08
036 BS	6381	Statoil Petroleum AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-04	Endring i tillatelse	9999-12-31	2473189	2013-05-08
036 C	2179	Tillatelsen er innført i Petroleumsregisteret.	2003-10-29	Ny tillatelse	9999-12-31	2473241	2013-05-08
036 C	2221	Total E&P Norge AS har overdratt en 8,262% andel i tillatelsen til Marathon Petroleum Norge AS.	2003-12-16	Endring i tillatelse	9999-12-31	2473241	2013-05-08
036 C	2222	Total E&P Norge AS har overdratt en 6,849% andel i tillatelsen til Det Norske Oljeselskap AS.	2003-12-16	Endring i tillatelse	9999-12-31	2473241	2013-05-08
036 C	2223	Total E&P Norge AS har overdratt sin 9,132% andel i tillatelsen til Norske ConocoPhillips AS.	2003-12-16	Endring i tillatelse	9999-12-31	2473241	2013-05-08
036 C	2266	A/S Uglands Rederi har overdratt en 0.091 % andel i tillatelsen til Det Norske Oljeselskap AS.	2004-01-14	Endring i tillatelse	9999-12-31	2473241	2013-05-08
036 C	2267	Norsk Hydro Produksjon AS har overdratt en 8.060 % andel i tillatelsen til DNO AS.	2004-01-14	Endring i tillatelse	9999-12-31	2473241	2013-05-08
036 C	2268	A/S Uglands Rederi har overdratt en 0.121 % andel i tillatelsen til Norske ConocoPhillips AS.	2004-01-14	Endring i tillatelse	9999-12-31	2473241	2013-05-08
036 C	2269	Norsk Hydro Produksjon AS har overdratt en 10.747 % andel i tillatelsen til Norske ConocoPhillips AS.	2004-01-14	Endring i tillatelse	9999-12-31	2473241	2013-05-08
036 C	2270	Norsk Hydro Produksjon AS har overdratt operatørskapet til Marathon Petroleum Norge AS.	2004-01-27	Andre meldinger	9999-12-31	2473241	2013-05-08
036 C	2407	Det Norske Oljeselskap AS har overdratt sin 15 % andel i tillatelsen til Lundin Norway AS.	2004-06-24	Endring i tillatelse	9999-12-31	2473241	2013-05-08
036 C	3449	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-29	Andre meldinger	9999-12-31	2473241	2013-05-08
036 C	3450	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-29	Andre meldinger	9999-12-31	2473241	2013-05-08
036 C	3774	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	2473241	2013-05-08
036 C	4628	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	2473241	2013-05-08
036 C	5868	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	2473241	2013-05-08
299	2245	Tillatelsen er innført i Peroleumsregisteret.	2004-01-08	Ny tillatelse	9999-12-31	2490320	2013-05-08
299	2897	DONG Norge AS har endret navn til DONG E&P Norge AS med virkning fra 06.09.2006	2006-10-12	Andre meldinger	9999-12-31	2490320	2013-05-08
299	6086	Talisman Energy Norge AS overdrar en 28,5 % deltakerandel i utvinningstillatelsen til Agora Oil & Gas AS med virkning fra 1.1.2011.	2012-01-17	Endring i tillatelse	9999-12-31	2490320	2013-05-08
299	6460	Agora Oil & Gas  AS pantsetter sin 28,5 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ) as agent for a syndicate of banks. Første prioritet panteobligasjon pålydende NOK 500,000,000, skriver norske kroner femhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 27.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-21	Heftelse	9999-12-31	2490320	2013-05-08
299	6583	DONG E&P Norge AS overdrar en 20% deltakerandel i utvinningstillatelsen til North Energy ASA med virkning fra 28.9.2012.	2012-10-02	Endring i tillatelse	9999-12-31	2490320	2013-05-08
299	6707	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.102012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	2490320	2013-05-08
299	6742	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 14.12.2012 (dok. nr.: 6707) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 19.12.2012.	2012-12-20	Sletting av heftelse	9999-12-31	2490320	2013-05-08
299	6754	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pant obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-20	Heftelse	9999-12-31	2490320	2013-05-08
299	7032	Agora Oil & Gas AS har endret foretaksnavn til Capricorn Norge AS fra 20.04.2013	2013-04-29	Andre meldinger	9999-12-31	2490320	2013-05-08
301	3675	Olje- og energidepartement har i brev den 17.08.2006 godkjent forlengelsen av tillatelsen til 12.12.2008.	2008-02-18	Andre meldinger	9999-12-31	2490380	2013-05-08
301	3862	DONG E&P Norge AS har overdratt en 15% andel i tillatelsen til Skeie Energy AS med virkning fra 01.01.2008.	2008-07-02	Andre meldinger	9999-12-31	2490380	2013-05-08
301	3863	Talisman Energy Norge AS har overdratt en 20% andel i tillatelsen til Skeie Energy AS med virkning fra 01.01.2008.	2008-07-02	Andre meldinger	9999-12-31	2490380	2013-05-08
301	4463	DONG E&P Norge AS har overdratt sin 25% deltakerandel i tillatelsen til Skeie Energy AS med virkning fra 1.1.2009.	2009-07-06	Endring i tillatelse	9999-12-31	2490380	2013-05-08
301	4511	Skeie Energy AS pantsetter en 35% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 800,000,000 skriver norske kroner åttehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-07-15	Sletting av heftelse	9999-12-31	2490380	2013-05-08
301	4551	Olje- og energidepartement har i brev av 2.6.2009 godkjent forlengelsen av den initielle periode til 12.12.2011 jf petroleumsloven § 3-9.	2009-09-02	Andre meldinger	9999-12-31	2490380	2013-05-08
301	4552	Pantsettelse Dok nr 4511 er slettet på grunn av ny pantsettelse i tillatelsen.	2009-09-02	Endring i tillatelse	9999-12-31	2490380	2013-05-08
301	4553	Skeie Energy AS pantsetter sin 60% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 800,000,000 skriver norske kroner åttehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-09-02	Heftelse	9999-12-31	2490380	2013-05-08
301	4902	Talisman Energy Norge AS overdrar sin 40 % deltakerandel i utvinningstillatelsen til Lundin Norway AS med virkning fra 1.1.2009.	2009-11-16	Endring i tillatelse	9999-12-31	2490380	2013-05-08
301	5567	Dok.nr 4553 registrert 2.9.2009 er i henhold til samtykke fra panthaver DnB NOR Bank ASA datert 17.12.2010, overdratt til Skeie Oil & Gas AS.	2010-12-22	Heftelse	9999-12-31	2490380	2013-05-08
301	5568	Skeie Energy AS overdrar sin 60 % deltakerandel i utvinningstillatelsen til Skeie Oil & Gas AS med virkning fra 15.12.2010.	2010-12-22	Endring i tillatelse	9999-12-31	2490380	2013-05-08
301	5613	Skeie Oil & Gas AS har endret foretaksnavn til Skeie Energy AS med virkning fra 3.1.2011.	2011-01-25	Andre meldinger	9999-12-31	2490380	2013-05-08
301	5679	Pantobligasjon stor NOK 800 000 000 skriver norske kroner åttehundremillioner  00/100 datert 2.9.2009 (dok. nr. 4553) hvor Skeie Energy AS pantsetter sin 60 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver datert 10.2.2011 foreligger.	2011-02-11	Sletting av heftelse	9999-12-31	2490380	2013-05-08
301	5680	Dok. nr. 5567 er slettet som følge av sletting av dok. nr. 4553.	2011-02-11	Sletting av heftelse	9999-12-31	2490380	2013-05-08
301	5681	Skeie Energy AS pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 400,000,000, skriver norske kroner firehundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 7.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-02-11	Heftelse	9999-12-31	2490380	2013-05-08
303	2249	Tillatelsen er innført i Peroleumsregisteret.	2004-01-08	Ny tillatelse	2013-03-12	2490467	2013-05-08
303	3532	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	2013-03-12	2490467	2013-05-08
303	4136	StatoilHydro ASA har overdratt sin 100% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	2013-03-12	2490467	2013-05-08
303	4840	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	2013-03-12	2490467	2013-05-08
309	2254	Tillatelsen er innført i Peroleumsregisteret.	2004-01-08	Ny tillatelse	9999-12-31	2490982	2013-05-08
309	2445	Norsk Hydro Produksjon AS har overdratt en 4.7 % andel i tillatelsen til Mobil Development Norway AS.	2004-10-07	Endring i tillatelse	9999-12-31	2490982	2013-05-08
309	2446	Norsk Hydro Produksjon AS har overdratt en 33.6% andel i tillatelsen til Petoro AS.	2004-10-12	Endring i tillatelse	9999-12-31	2490982	2013-05-08
309	2447	Norsk Hydro Produksjon AS har overdratt en 2.4% andel i tillatelsen til Norske ConocoPhillips AS.	2004-10-15	Endring i tillatelse	9999-12-31	2490982	2013-05-08
309	2555	Norsk Hydro Produksjon AS har overdratt en 15.3% andel i tillatelsen til Statoil ASA.	2005-01-26	Endring i tillatelse	9999-12-31	2490982	2013-05-08
309	3229	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	2490982	2013-05-08
309	3367	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	2490982	2013-05-08
309	3533	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	2490982	2013-05-08
309	3785	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia AS med virkning 25.09.2007.	2008-03-28	Andre meldinger	9999-12-31	2490982	2013-05-08
309	3786	Mobil Development Norway A/S har overdratt en 0.182820% deltakerandel i tillatelsen til ConocoPhillips Skandinavia AS med virkning fra 01.01.2008.	2008-03-28	Endring i tillatelse	9999-12-31	2490982	2013-05-08
309	3787	Mobil Development Norway A/S har overdratt en 4,517180% deltakerandel i tillatelsen til StatoilHydro ASA med virkning fra 01.01.2008.	2008-03-28	Endring i tillatelse	9999-12-31	2490982	2013-05-08
309	4128	StatoilHydro ASA har overdratt sin 19.81718% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	2490982	2013-05-08
309	4841	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2490982	2013-05-08
312	2257	Tillatelsen er innført i Peroleumsregisteret.	2004-01-08	Ny tillatelse	9999-12-31	2491196	2013-05-08
312	2371	Eni Norge AS er innfusjonert i Norsk Agip AS.	2004-02-12	Endring i tillatelse	9999-12-31	2491196	2013-05-08
312	2372	Norsk Agip AS har endret navn til Eni Norge AS.	2004-02-12	Andre meldinger	9999-12-31	2491196	2013-05-08
312	3230	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	2491196	2013-05-08
312	3368	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	2491196	2013-05-08
312	3534	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	2491196	2013-05-08
312	3958	Mobil Development Norway A/S har overdratt sin 24% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	2491196	2013-05-08
312	4311	StatoilHydro ASA har overdratt sin 35% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	2491196	2013-05-08
312	4842	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2491196	2013-05-08
316	2423	Ny tillatelse er innført i Petroleumsregisteret.	2004-09-07	Ny tillatelse	9999-12-31	2786469	2013-05-08
316	2688	Pertra AS har endret navn til Talisman Production Norge AS	2005-10-31	Andre meldinger	9999-12-31	2786469	2013-05-08
316	2689	Paladin Resources Norge AS har overdratt en 10% andel i tillatelsen til Pertra AS.	2005-10-31	Endring i tillatelse	9999-12-31	2786469	2013-05-08
316	2714	Pertra AS har endret navn til Pertra ASA.	2006-03-15	Andre meldinger	9999-12-31	2786469	2013-05-08
316	2784	Talisman Production Norge AS har overdratt sin 30 % andel til Talisman Energy Norge AS.	2006-05-04	Endring i tillatelse	9999-12-31	2786469	2013-05-08
316	2819	Paladin Resources Norge AS har endret navn til Talisman Resources Norge AS.	2006-05-31	Andre meldinger	9999-12-31	2786469	2013-05-08
316	2934	Talisman Resources Norge AS har overdratt sin 40 % andel i tillatelsen til Talisman Production Norge AS.	2006-12-14	Endring i tillatelse	9999-12-31	2786469	2013-05-08
316	2959	Talisman Production Norge AS har overdratt sin 40% andel i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	2786469	2013-05-08
316	2966	Talisman Resources Norge AS har overført operatørskapet i tillatelsen til Talisman Energy Norge AS.	2006-12-28	Endring i tillatelse	9999-12-31	2786469	2013-05-08
316	3617	Pertra ASA har endret navn til Det norske oljeselskap ASA med virkning fra 16.11.2007.	2008-01-13	Andre meldinger	9999-12-31	2786469	2013-05-08
316	3932	Revus Energy ASA har overdratt en 10% eierandel i tillatelsen til Lotos Exploration and Production Norge AS med virkning fra 29.08.2008.	2008-09-04	Endring i tillatelse	9999-12-31	2786469	2013-05-08
316	4007	Det norske oljeselskap ASA har overdratt sin 10% andel i tillatelsen til Lotos Exploration and Production Norge AS med virkning fra 29.12.2008.	2009-01-02	Endring i tillatelse	9999-12-31	2786469	2013-05-08
316	4011	Lotos Exploration and Production Norge AS pantsetter en 10% andel i tillatelsen til fordel for Det Norske Oljeselskap ASA. Førsteprioritet pantobligasjon stor NOK 530,000,000 skriver norske kroner femhundreogtrettimillioner 00/100.  Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra  panthaver.	2009-01-02	Heftelse	9999-12-31	2786469	2013-05-08
316	4045	Panteobligasjon stor NOK 530 000 000 datert 2. januar 2009 (dok. nr. 4011) hvor Lotus Exploration and Production Norge AS  er pantsetter og Det norske oljeselskap ASA er panthaver, er slettet.	2009-01-28	Sletting av heftelse	9999-12-31	2786469	2013-05-08
316	4092	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	2786469	2013-05-08
316	4765	Lotos Exploration and Production Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet panteobligasjon stor USD 40,000,000 skriver førtimillioner amerikanske dollar 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-11-09	Heftelse	9999-12-31	2786469	2013-05-08
316	4919	Talisman Energy Norge AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Norske AEDC AS med virkning fra 1.januar 2009.	2009-12-22	Endring i tillatelse	9999-12-31	2786469	2013-05-08
316	5683	Panthaver Norsk Tillitsmann ASA samtykker i prioritetsvikelse datert 9.2.2011, til andre prioritet, gjelder pantedokument (Dok. nr. 4765, registrert 9.11.2009), pålydende USD 40 Millioner i utvinningstillatelsen, viker prioritet for pantedokument i utvinningstillatelsen pålydende USD 65 millioner inngått av Lotos Exploration and Production Norge AS i favør av den polske banken, Powszechna Kasa Oszcz¿dno¿ci Bank Polski Spó¿ka Akcyjna.	2011-02-22	Heftelse	9999-12-31	2786469	2013-05-08
316	5684	Lotos Exploration and Production Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for den polske banken, Powszechna Kasa Oszcz¿dno¿ci Bank Polski Spó¿ka Akcyjna. Første prioritet panteobligasjon stor USD  65,000,000, skriver amerikanske dollar sekstifem millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 25.1.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-02-22	Heftelse	9999-12-31	2786469	2013-05-08
316	5904	Lotos Exploration and Production Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for den polske banken, Powszechna Kasa Oszczednosci Bank Polski Spoka Akcyjna. Ny panteobligasjon pålydende USD 15,000,000, skriver amerikanske dollar femtenmillioner 00/100, har delt første prioritet med panteobligasjon dok.nr. 5684 registrert 22.2.2011. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 25.1.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-07-22	Heftelse	9999-12-31	2786469	2013-05-08
316	5905	Panthaver Norsk Tillitsmann ASA samtykker i prioritetsvikelse til andre prioritet, gjelder pantedokument (Dok. nr. 4765, registrert 9.11.2009 og dok nr. 5683 registrert 22.2.2011), pålydende USD 40 Millioner i utvinningstillatelsen, viker prioritet for ytterlige pantsettelse i utvinningstillatelsen pålydende USD 15 millioner inngått av Lotos Exploration and Production Norge AS i favør av den polske banken, Powszechna Kasa Oszczednosci Bank Polski Spoka Akcyjna.	2011-07-22	Heftelse	9999-12-31	2786469	2013-05-08
316	6330	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	2786469	2013-05-08
318	2425	Ny tillatelse er innført i Petroleumsregisteret.	2004-09-07	Ny tillatelse	9999-12-31	2786586	2013-05-08
318	3232	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	2786586	2013-05-08
318	3370	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	2786586	2013-05-08
318	4843	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2786586	2013-05-08
323	2430	Ny tillatelse er innført i Petroleumsregisteret.	2004-09-07	Ny tillatelse	9999-12-31	2786740	2013-05-08
323	3538	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	2786740	2013-05-08
323	4186	StatoilHydro ASA har overdratt sin 20% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	2786740	2013-05-08
323	4866	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2786740	2013-05-08
327	2434	Ny tillatelse er innført i Petroleumsregisteret.	2004-09-07	Ny tillatelse	9999-12-31	2786915	2013-05-08
327	3540	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	2786915	2013-05-08
327	4314	StatoilHydro ASA har overdratt sin 70% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	2786915	2013-05-08
327	4846	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2786915	2013-05-08
330	2437	Ny tillatelse er innført i Petroleumsregisteret.	2004-09-07	Ny tillatelse	9999-12-31	2787040	2013-05-08
330	2858	Amarada Hess Norge AS har endret navn til Hess Norge AS.	2006-07-14	Andre meldinger	9999-12-31	2787040	2013-05-08
330	5560	Hess Norge AS overdrar en 30 % deltakerandel i utvinningstillatelsen til RWE Dea Norge AS med virkning fra 25.10.2010, ref. vedtak fra Olje- og Energidepartementet datert 25.10.2010.	2010-12-08	Endring i tillatelse	9999-12-31	2787040	2013-05-08
330	5968	RWE Dea Norge AS overdrar en 30 % deltakerandel til Marathon Oil Norge AS med virkning fra 30.9.2011.	2011-10-12	Endring i tillatelse	9999-12-31	2787040	2013-05-08
330	5969	RWE Dea Norge AS overdrar en 30 % deltakerandel til Lundin Norway AS med virkning fra 30.9.2011.	2011-10-12	Endring i tillatelse	9999-12-31	2787040	2013-05-08
330	5973	Hess Norge AS overdrar sin 10% deltakerandel til RWE Dea Norge AS med virkning fra 30.9.2011.	2011-10-14	Endring i tillatelse	9999-12-31	2787040	2013-05-08
037 D	2453	Ny tillatelse er innført i Petroleumsregisteret.	2004-10-18	Ny tillatelse	9999-12-31	2787322	2013-05-08
037 D	2454	Norske ConocoPhillips AS har overdratt sin 12.083% andel i tillatelsen til Revus Energy AS.	2004-11-02	Endring i tillatelse	9999-12-31	2787322	2013-05-08
037 D	2459	Esso Exploration and Production Norway AS har overdratt sin 25% andel i tillatelsen til Revus Energy AS.	2004-11-03	Endring i tillatelse	9999-12-31	2787322	2013-05-08
037 D	2503	A/S Norske Shell har overdratt sin 10% andel i tillatelsen til Revus Energy AS.	2004-11-25	Endring i tillatelse	9999-12-31	2787322	2013-05-08
037 D	2504	Enterprise Oil Norge AS har overdratt sin 1.041667% andel i tillatelsen til Revus Energy AS.	2004-11-25	Endring i tillatelse	9999-12-31	2787322	2013-05-08
037 D	2863	Revus Energy AS har endret navn til Revus Energy ASA.	2006-08-03	Andre meldinger	9999-12-31	2787322	2013-05-08
037 D	3110	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	2787322	2013-05-08
037 D	3683	StatoilHydro ASA har overdratt sin 21.875 % andel i tillatelsen til Revus Enegy  ASA med virkning 31.10.2007.	2008-03-08	Endring i tillatelse	9999-12-31	2787322	2013-05-08
037 D	4083	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	2787322	2013-05-08
037 D	6327	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	2787322	2013-05-08
088 BS	1943	Tillatelsen er innført i registeret	2003-04-15	Ny tillatelse	9999-12-31	2787418	2013-05-08
088 BS	1992	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS.	2003-06-18	Andre meldinger	9999-12-31	2787418	2013-05-08
088 BS	2054	Total E&P Norge AS har overdratt sin 15% andel i tillatelsen til Marathon Petroleum Norge AS.	2003-08-15	Endring i tillatelse	9999-12-31	2787418	2013-05-08
088 BS	2055	Total E&P Norge AS har overdratt sin 20% andel i tillatelsen til  Norske ConocoPhillips AS.	2003-08-15	Endring i tillatelse	9999-12-31	2787418	2013-05-08
088 BS	2056	Total E&P Norge AS har overdratt sin 15% andel i tillatelsen til Det Norske Oljeselskap AS.	2003-08-15	Endring i tillatelse	9999-12-31	2787418	2013-05-08
088 BS	2415	Det Norske Oljseselskap AS har overdratt sin 15 % andel i tillatelsen til Lundin Norway AS.	2004-06-24	Endring i tillatelse	9999-12-31	2787418	2013-05-08
088 BS	5870	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	2787418	2013-05-08
159 B	2438	Ny tillatelse er innført i Petroleumsregisteret.	2004-09-07	Ny tillatelse	9999-12-31	2819945	2013-05-08
159 B	2439	Enterprise Oil Norge AS har overdratt en 15% andel i tillatelsen til DONG Norge AS.	2004-09-07	Endring i tillatelse	9999-12-31	2819945	2013-05-08
159 B	2663	Enterprise Oil Norge AS har overdratt sin 25% andel i tillatelsen til Statoil ASA.	2005-07-14	Endring i tillatelse	9999-12-31	2819945	2013-05-08
159 B	3190	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	2819945	2013-05-08
159 B	3330	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	2819945	2013-05-08
159 B	3473	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	2819945	2013-05-08
159 B	3595	DONG Norge AS har endret navn til DONG E&P Norge AS med virkning fra 06.09.2006	2008-01-12	Andre meldinger	9999-12-31	2819945	2013-05-08
159 B	3806	StatoilHydro Petroleum AS har overdratt sin 10% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	2819945	2013-05-08
159 B	4279	StatoilHydro ASA har overdratt sin 85 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	2819945	2013-05-08
159 B	4712	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	2819945	2013-05-08
332	2520	Tillatelsen innført i Petroleumsregisteret.	2005-01-10	Ny tillatelse	9999-12-31	2986240	2013-05-08
332	2632	Pertra AS har endret navn til Talisman Production Norge AS.	2005-06-06	Endring i tillatelse	9999-12-31	2986240	2013-05-08
332	2652	Talisman Production Norge AS har overdratt en 20% andel i tillatelsen til Pertra AS.	2005-06-09	Endring i tillatelse	9999-12-31	2986240	2013-05-08
332	2716	Pertra AS har endret navn til Pertra ASA.	2006-03-15	Andre meldinger	9999-12-31	2986240	2013-05-08
332	2797	Det Norske Oljeselskap AS har overdratt en 10 % andel i tillatelsen til PA Resources Norway AS.	2006-05-09	Endring i tillatelse	9999-12-31	2986240	2013-05-08
332	3051	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	2986240	2013-05-08
332	3606	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	2986240	2013-05-08
332	3621	Pertra ASA har endret navn til Det norske oljeselskap ASA med virkning fra 16.11.2007.	2008-01-13	Andre meldinger	9999-12-31	2986240	2013-05-08
332	3902	Olje- og enrgidepartement har i brev av 01.07.2008 gitt samtykke etter petroleumsloven §10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy  ASA er innfusjonert Det norske oljeselskap ASA  fra 21.05.2008. Fusjonen gjennomføres på følgense måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tilltelsen. 	2008-07-15	Endring i tillatelse	9999-12-31	2986240	2013-05-08
332	4379	PA Resources Norway AS har endret navn til Bayerngas Produksjon Norge AS med virkning fra 21.1.2009	2009-04-15	Andre meldinger	9999-12-31	2986240	2013-05-08
332	4914	Talisman Energy Norge AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Norske AECD AS med virkning fra 1. januar 2009	2009-12-17	Endring i tillatelse	9999-12-31	2986240	2013-05-08
332	4943	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	2986240	2013-05-08
332	4997	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	2986240	2013-05-08
332	5219	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	2986240	2013-05-08
332	5483	Bayerngas Produksjon Norge AS overdrar sin 10 % deltakerandel til Bayerngas Norge AS med virkning fra 23.3.2009.	2010-09-03	Endring i tillatelse	9999-12-31	2986240	2013-05-08
332	6398	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	2986240	2013-05-08
333	2521	Tillatelsen innført i Petroleumsregisteret.	2005-01-10	Ny tillatelse	9999-12-31	2986266	2013-05-08
333	3235	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	2986266	2013-05-08
333	3373	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	2986266	2013-05-08
333	3542	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	2986266	2013-05-08
333	4316	StatoilHydro ASA har overdratt sin 33%3 deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	2986266	2013-05-08
333	4849	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2986266	2013-05-08
337	2525	Tillatelsen innført i Petroleumsregisteret.	2005-01-10	Ny tillatelse	2013-02-12	2986484	2013-05-08
337	2633	Pertra AS har endret navn til Talisman Production Norge AS.	2005-06-06	Andre meldinger	2013-02-12	2986484	2013-05-08
337	2634	Talisman Production Norge AS har overdratt en 35% andel i tillatelsen til Pertra AS.	2005-06-06	Endring i tillatelse	2013-02-12	2986484	2013-05-08
337	2717	Pertra AS har endret navn til Pertra ASA.	2006-03-15	Andre meldinger	2013-02-12	2986484	2013-05-08
337	2786	Talisman Production Norge AS har overdratt sin 10 % andel til Talisman Energy Norge AS.	2006-05-04	Endring i tillatelse	2013-02-12	2986484	2013-05-08
337	2941	Marathon Petroleum Norge AS har overdratt sin 30 % andel i tillatelsen til Pertra ASA.	2006-12-27	Endring i tillatelse	2013-02-12	2986484	2013-05-08
337	2975	Pertra ASA har overdratt en 20% andel i tillatelsen til Revus Energy ASA.	2007-02-23	Endring i tillatelse	2013-02-12	2986484	2013-05-08
337	3067	BG Norge AS har overdratt sin 25% andel i tillatelsen til Ener Petroleum ASA.	2007-07-10	Endring i tillatelse	2013-02-12	2986484	2013-05-08
337	3622	Pertra ASA har endret navn til Det norske oljeselskap ASA med virkning fra 16.11.2007.	2008-01-13	Andre meldinger	2013-02-12	2986484	2013-05-08
337	3630	Revus Energy ASA pantsetter sin 20 % andel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 1 000 000 000 skriver norske kroner ettusenmillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-01-24	Heftelse	2013-02-12	2986484	2013-05-08
337	3641	Talisman Energy Norge AS har overdratt sin 10 % andel i tillatelsen til Bridge Energy AS.	2008-01-24	Endring i tillatelse	2013-02-12	2986484	2013-05-08
337	3656	Ener Petroleum ASA har endret navn til Dana Petroleum Norway ASA med virkning 10.08.2007.	2008-02-03	Andre meldinger	2013-02-12	2986484	2013-05-08
337	3657	Dana Petroleum Norway ASA har endret navn til Dana Petroleum Norway AS med virkning 04.10.2007.	2008-02-03	Andre meldinger	2013-02-12	2986484	2013-05-08
337	4095	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	2013-02-12	2986484	2013-05-08
337	4944	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	2013-02-12	2986484	2013-05-08
337	4998	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	2013-02-12	2986484	2013-05-08
337	5167	Pantobligasjon stor NOK 1000,000,000 skriver norske kroner etttusenmillioner 00/100 datert 24.1.2008 (dok. nr. 3630) hvor Revus Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet.	2010-02-23	Sletting av heftelse	2013-02-12	2986484	2013-05-08
337	5220	Det norske oljeselskap ASA pantsetter sin 45 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	2013-02-12	2986484	2013-05-08
337	5524	Wintershall Norge ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 30.9.2010.	2010-10-04	Endring i tillatelse	2013-02-12	2986484	2013-05-08
337	6023	Bridge Energy Norge AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	2013-02-12	2986484	2013-05-08
348	6296	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	2987047	2013-05-08
090 B	4088	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	3426781	2013-05-08
090 B	4166	StatoilHydro ASA har overdratt sin 20 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	3426781	2013-05-08
337	6400	Det norske oljeselskap ASA pantsetter sin 45 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	2013-02-12	2986484	2013-05-08
337	6519	Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	2013-02-12	2986484	2013-05-08
338	2526	Tillatelsen innført i Petroleumsregisteret.	2005-01-10	Ny tillatelse	9999-12-31	2986578	2013-05-08
338	2841	Lundin Norway AS har overdratt en 20 % andel i tillatelsen til RWE Dea Norge AS.	2006-06-14	Endring i tillatelse	9999-12-31	2986578	2013-05-08
338	2842	Lundin Norway AS har overdratt en 30 % andel i tillatelsen til Revus Energy ASA.	2006-06-14	Endring i tillatelse	9999-12-31	2986578	2013-05-08
338	3634	Revus Energy ASA pantsetter sin 30 % andel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 1 000 000 000 skriver norske kroner ettusenmillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-01-24	Heftelse	9999-12-31	2986578	2013-05-08
338	4096	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	2986578	2013-05-08
338	5168	Pantobligasjon stor NOK 1000,000,000 skriver norske kroner etttusenmillioner 00/100 datert 24.1.2008 (dok. nr. 3634) hvor Revus Energy ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet.	2010-02-23	Sletting av heftelse	9999-12-31	2986578	2013-05-08
338	6332	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	2986578	2013-05-08
338	6741	RWE DEA Norge AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til OMV (Norge) AS med virkning fra 1.1.2012.	2012-12-19	Endring i tillatelse	9999-12-31	2986578	2013-05-08
340	2528	Tillatelsen innført i Petroleumsregisteret.	2005-01-10	Ny tillatelse	9999-12-31	2986630	2013-05-08
340	2579	Lisenspapir som vi fikk tilsendt i forkant av TFO 2004 var ConocoPhillips Skandinavia AS oppført som andelseier av  PL 340. Navn i godkjennelsesperioden ble endret til Norsk ConocoPhillips AS.	2005-03-08	Endring i tillatelse	9999-12-31	2986630	2013-05-08
340	3783	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	2986630	2013-05-08
340	5874	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	2986630	2013-05-08
348	2536	Tillatelsen innført i Petroleumsregisteret.	2005-01-10	Ny tillatelse	9999-12-31	2987047	2013-05-08
348	2616	OER Oil AS har endret navn til Endeavour Energy Norge AS.	2005-04-27	Andre meldinger	9999-12-31	2987047	2013-05-08
348	2822	Paladin Resources Norge AS har endret navn til Talisman Resources Norge AS.	2006-05-31	Andre meldinger	9999-12-31	2987047	2013-05-08
348	2909	Talisman Resources Norge AS har overdratt sin 17.5% andel i tillatelsen til Norwegian Energy Company AS.	2006-11-20	Endring i tillatelse	9999-12-31	2987047	2013-05-08
348	3237	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	2987047	2013-05-08
348	3375	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	2987047	2013-05-08
348	3833	Endeavour Energy Norge AS har overdratt en 5% andel i tillatelsen til Concedo ASA med virkning fra 01.01.2008	2008-06-03	Endring i tillatelse	9999-12-31	2987047	2013-05-08
348	4074	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	2987047	2013-05-08
348	4487	Norwegian Energy Company ASA patsetter sin 17,5% deltakerandel i tillatelsen til fordel for SpareBank 1 SR-Bank, DnB NOR Bank ASA og BNP Parisbas (Bankene). Førsteprioritet pantobligasjon stor NOK 1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner 00/100, pluss USD 25,000,000 skriver tjuefemmillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 18.6.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  Pantsettelsen utgjør et såkalt krysspant.	2009-07-12	Heftelse	9999-12-31	2987047	2013-05-08
348	4609	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	2987047	2013-05-08
348	4750	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	2987047	2013-05-08
348	4751	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009.	2009-11-09	Andre meldinger	9999-12-31	2987047	2013-05-08
348	4851	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	2987047	2013-05-08
348	5523	Concedo ASA overdrar sin 5 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 1.1.2010.	2010-10-04	Endring i tillatelse	9999-12-31	2987047	2013-05-08
348	5788	Pantobligasjon pålydende NOK 1 450 000 000 skriver norske kroner enmilliardfirehundreogfemtimillioner  00/100, plus USD 25 000 000 skriver amerikanske dollar tjuefemmillioner datert 12.7.2009 (dok. nr. 4487) hvor Norwegian Energy Company ASA pantsetter sin 17,5 % deltakerandel i utvinningstillatelsen til SpareBank 1 SR-Bank er slettet. Samtykke fra panthaver foreligger i brev datert 30.5.2011.	2011-05-31	Sletting av heftelse	9999-12-31	2987047	2013-05-08
348	5911	Norwegian Energy Company ASA overdrar sin 17,5 % deltakerandel i utvinningstillatelsen til Core Energy AS med virkning fra 1.7.2011.	2011-07-28	Endring i tillatelse	9999-12-31	2987047	2013-05-08
348	5927	Core Energy AS pantsetter sin 17,5% deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-18	Heftelse	9999-12-31	2987047	2013-05-08
348	6032	Petoro AS overdrar sin 7,5 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	2987047	2013-05-08
348	6324	Faroe Petroleum Norge AS pantsetter sin 7,5 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD 300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-19	Heftelse	9999-12-31	2987047	2013-05-08
073 B	2544	Tillatelsen innført i Petroleumsregisteret.	2005-01-10	Ny tillatelse	9999-12-31	2987414	2013-05-08
073 B	2601	Esso Exploration and Production Norway A/S har endret navn til ExxonMobil Exploration and Production Norway AS	2005-04-27	Andre meldinger	9999-12-31	2987414	2013-05-08
073 B	2971	ExxonMobil Exploration and  Production Norway AS har overdratt sin 6.6% andel i tillateisen til Mobil Development Norway AS	2007-01-09	Endring i tillatelse	9999-12-31	2987414	2013-05-08
073 B	3158	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-20	Andre meldinger	9999-12-31	2987414	2013-05-08
073 B	3297	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	2987414	2013-05-08
073 B	3424	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-26	Andre meldinger	9999-12-31	2987414	2013-05-08
073 B	3792	StatoilHydro Petroleum AS har overdratt sin 12% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	2987414	2013-05-08
073 B	3939	Mobil Development Norway A/S har overdratt sin 6,60% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	2987414	2013-05-08
073 B	4254	StatoilHydro ASA har overdratt sin 58,8336 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	2987414	2013-05-08
073 B	4661	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	2987414	2013-05-08
122 C	3643	Dok nr 2546 tillatelse 122 C ble tildelt 17.12.2004 som tillegstildeling til tillatelse 122 med en initiell periode på ett år. Ved utløpet av den initielle periode søkte rettighetshaver forlengelse av tillatelsen til 28.02.2025. Den 18.10.2005 meddeler Olje- og energidepartementet at tillatelse 122 C forlenges til 28.02.2025.	2008-02-01	Ny tillatelse	2013-05-08	2987454	2013-05-08
122 C	3644	DONG Norge AS har endret navn til DONG E&P Norge AS med virkning 06.09.2006.	2008-02-01	Andre meldinger	9999-12-31	2987454	2013-05-08
122 C	3645	Statoil ASA har endret navn til StatoilHydro ASA med virkning 01.10.2007.	2008-02-01	Andre meldinger	9999-12-31	2987454	2013-05-08
122 C	4270	StatoilHydro ASA har overdratt sin 50 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	2987454	2013-05-08
122 C	4696	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	2987454	2013-05-08
037 E	2547	Tillatelsen innført i Petroleumsregisteret.	2005-01-10	Ny tillatelse	9999-12-31	3000656	2013-05-08
037 E	2618	A/S Norske Shell har overdratt sin 10% andel i tillatelsen til Statoil ASA	2005-05-04	Endring i tillatelse	9999-12-31	3000656	2013-05-08
037 E	2619	Enterprise Oil Norge AS har overdratt sin 1,042% andel i tillatelsen til Statoil ASA	2005-05-04	Endring i tillatelse	9999-12-31	3000656	2013-05-08
037 E	2620	Statoil ASA har overdratt en 9% andel i tillatelsen til Norsk Hydro Produksjon  AS.	2005-05-13	Endring i tillatelse	9999-12-31	3000656	2013-05-08
037 E	2865	ExxonMobil Exploration and Produkction Norway AS har overdratt sin 25% andel i tillatelsen til Statoil ASA.	2006-08-16	Endring i tillatelse	9999-12-31	3000656	2013-05-08
037 E	3111	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	3000656	2013-05-08
037 E	3132	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	3000656	2013-05-08
037 E	3398	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-21	Andre meldinger	9999-12-31	3000656	2013-05-08
037 E	3772	Norske ConocoPhillips AS er innfusjonert i ConocoPhillips Skandinavia  AS med virkning 25.09.2007.	2008-03-21	Andre meldinger	9999-12-31	3000656	2013-05-08
037 E	3962	ConocoPhillips Skandinavia AS har overdratt sin 12.083% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 01.01.2005.	2008-09-18	Endring i tillatelse	9999-12-31	3000656	2013-05-08
037 E	4237	StatoilHydro ASA har overdratt sin 61 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	3000656	2013-05-08
037 E	4631	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	3000656	2013-05-08
110 B	2673	Tillatelsen er innført i Petroleumsregisteret.	2005-08-04	Ny tillatelse	9999-12-31	3001885	2013-05-08
110 B	2855	Amarada Hess Norge AS har endret navn til Hess Norge AS.	2006-07-14	Andre meldinger	9999-12-31	3001885	2013-05-08
110 B	3454	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	3001885	2013-05-08
110 B	4064	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	3001885	2013-05-08
110 B	4265	StatoilHydro ASA har overdratt sin 33,53 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	3001885	2013-05-08
110 B	4688	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	3001885	2013-05-08
110 B	6176	Hess Norge AS overdrar sin 3,26 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 1.1.2011.	2012-02-07	Endring i tillatelse	9999-12-31	3001885	2013-05-08
090 B	2654	Tillatelsen er innført i Petroleumsregisteret.	2005-06-13	Ny tillatelse	9999-12-31	3426781	2013-05-08
090 B	2656	Mobil Development Norway A/S overdrar sin 25% andel i tillatelsen til Revus Energy ASA.	2005-06-21	Endring i tillatelse	9999-12-31	3426781	2013-05-08
090 B	3167	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	3426781	2013-05-08
090 B	3306	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	3426781	2013-05-08
090 B	3435	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-27	Andre meldinger	9999-12-31	3426781	2013-05-08
090 B	4054	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-01-29	Andre meldinger	9999-12-31	3426781	2013-05-08
090 B	4672	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	3426781	2013-05-08
090 B	6329	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	3426781	2013-05-08
090 C	2655	Tillatelsen er innført i Petroleumsregisteret.	2005-06-13	Ny tillatelse	9999-12-31	3426824	2013-05-08
090 C	2657	Mobil Development Norway A/S overdrar sin 25% andel i tillatelsen til Revus Energy ASA.	2005-06-21	Endring i tillatelse	9999-12-31	3426824	2013-05-08
090 C	3060	Revus Energy ASA har overdratt sin 25% andel i tillatelsen til Bayerngas Norge AS.	2007-07-04	Endring i tillatelse	9999-12-31	3426824	2013-05-08
090 C	3168	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-23	Andre meldinger	9999-12-31	3426824	2013-05-08
090 C	3307	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	3426824	2013-05-08
090 C	3436	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-27	Andre meldinger	9999-12-31	3426824	2013-05-08
090 C	4055	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-01-29	Andre meldinger	9999-12-31	3426824	2013-05-08
090 C	4167	StatoilHydro ASA har overdratt sin 20 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	3426824	2013-05-08
090 C	4673	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	3426824	2013-05-08
048 C	2690	Tillatelsen er innført i Petroleumsregisteret.	2005-11-07	Ny tillatelse	2013-02-18	3489506	2013-05-08
048 C	2692	Total E&P Norge AS har overdratt sin 21.8% andel i tillatelsen til Altinex Oil AS.	2005-11-07	Endring i tillatelse	2013-02-18	3489506	2013-05-08
048 C	3138	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	2013-02-18	3489506	2013-05-08
048 C	3278	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	2013-02-18	3489506	2013-05-08
048 C	3394	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-10	Andre meldinger	2013-02-18	3489506	2013-05-08
048 C	3768	Altinex Oil AS har endret navn til Altinex Oil Norway AS med virkning 28.11.2006.	2008-03-21	Andre meldinger	2013-02-18	3489506	2013-05-08
048 C	4243	StatoilHydro ASA har overdratt sin 68,9 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	2013-02-18	3489506	2013-05-08
048 C	4637	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	2013-02-18	3489506	2013-05-08
048 C	5278	Altinex Oil Norway AS overdrar sin 21,8 % deltakerandel i tillatelsen til  Norwegian Energy Company ASA med virkning fra 1. januar 2010.	2010-03-22	Endring i tillatelse	2013-02-18	3489506	2013-05-08
048 C	6779	Norwegian Energy Company ASA overdrar sin 21,8 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	2013-02-18	3489506	2013-05-08
048 D	2691	Tillatelsen er innført i Petroleumsregisteret.	2005-11-07	Ny tillatelse	9999-12-31	3489553	2013-05-08
048 D	2693	Total E&P Norge AS har overdratt sin 21.8% andel i tillatelsen til Altinex Oil AS.	2005-11-07	Endring i tillatelse	9999-12-31	3489553	2013-05-08
048 D	2883	DONG Norge AS har endret navn til DONG E&P Norge AS med virkning fra 06.09.2006	2006-10-10	Andre meldinger	9999-12-31	3489553	2013-05-08
048 D	3043	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	3489553	2013-05-08
048 D	3395	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-20	Andre meldinger	9999-12-31	3489553	2013-05-08
048 D	3600	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	3489553	2013-05-08
048 D	3769	Altinex Oil AS har endret navn til Altinex Oil Norway AS med virkning 28.11.2006.	2008-03-21	Andre meldinger	9999-12-31	3489553	2013-05-08
048 D	3874	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-08	Endring i tillatelse	9999-12-31	3489553	2013-05-08
048 D	3911	Olje- og energidepartement har i brev 02.07.2008 godkjent forlengelsen av tillatelsen til 18.02.2018.	2008-07-30	Andre meldinger	9999-12-31	3489553	2013-05-08
048 D	4244	StatoilHydro ASA har overdratt sin 58,9 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	3489553	2013-05-08
048 D	4638	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	3489553	2013-05-08
048 D	4722	Dong E&P Norge AS overdrar sin 9,3 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1. januar 2009.	2009-11-06	Endring i tillatelse	9999-12-31	3489553	2013-05-08
048 D	4934	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	3489553	2013-05-08
048 D	4988	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	3489553	2013-05-08
048 D	5210	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	3489553	2013-05-08
048 D	5886	Faroe Petroleum Norge AS pantsetter sin 9,3 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	3489553	2013-05-08
048 D	6560	Altinex Oil Norway AS har endret navn til Noreco Norway AS med virkning fra 5.7.2012.	2012-08-28	Andre meldinger	9999-12-31	3489553	2013-05-08
356	2708	Tillatelsen er innført i petroleumsregisteret.	2006-03-01	Ny tillatelse	2013-03-22	3810275	2013-05-08
356	3054	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	2013-03-22	3810275	2013-05-08
356	3608	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	2013-03-22	3810275	2013-05-08
356	3649	Pertra ASA har endret nevn til Det norske oljeselskap ASA med virkning 16.11.2007.	2008-02-03	Andre meldinger	2013-03-22	3810275	2013-05-08
356	3883	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-09	Endring i tillatelse	2013-03-22	3810275	2013-05-08
356	4946	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	2013-03-22	3810275	2013-05-08
356	5000	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	2013-03-22	3810275	2013-05-08
356	5222	Det norske oljeselskap ASA pantsetter sin 100 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	2013-03-22	3810275	2013-05-08
356	5569	Reduksjon av pantsettelse (dok. nr. 5222, registrert 5.3.2010) i Det norske oljeselskap ASA sin deltakerandel i utvinningstillatelsen fra 100 % til 60 %. Panthaver DnB Nor Bank ASA samtykker i reduksjon fra 100 % til 60 % i brev datert 22.12.2010, samt etterfølgende overdragelse av den frigitte andelen.	2010-12-28	Heftelse	2013-03-22	3810275	2013-05-08
356	5570	Det norske oljeselskap ASA overdrar en 40 % deltakerandel i utvinningstillatelsen til Repsol Exploration Norge AS med virkning fra 1.1. 2010.	2010-12-28	Endring i tillatelse	2013-03-22	3810275	2013-05-08
356	6401	Det norske oljeselskap ASA pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	2013-03-22	3810275	2013-05-08
356	6461	Det norske oljeselskap ASA overdrar en 10% deltakerandel i utvinningstillatelsen til Petrolia Norway AS med virkning fra 1.1.2012.	2012-06-04	Endring i tillatelse	2013-03-22	3810275	2013-05-08
356	6966	Olje- og energidepartementet bekrefter i brev datert 19.3.2013 at utvinningstillatelsen anses som bortfalt fra 6.1.2013, jf. utvinningstillatelsen pkt. 4c. 	2013-03-21	Andre meldinger	9999-12-31	3810275	2013-05-08
359	2740	Tillatelsen er innført i Petroleumsregisteret.	2006-03-23	Ny tillatelse	9999-12-31	3810373	2013-05-08
359	4534	Lundin Norway AS har overdratt en 30% deltakerandel til StatoilHydro Petroleum AS (tidligere StatoilHydro ASA) med virkning fra 1.1.2009.	2009-08-10	Endring i tillatelse	9999-12-31	3810373	2013-05-08
359	4871	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	3810373	2013-05-08
360	2741	Tillatelsen er innført i Petroleumsregisteret.	2006-03-23	Ny tillatelse	9999-12-31	3810387	2013-05-08
360	2904	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-12	Andre meldinger	9999-12-31	3810387	2013-05-08
360	3549	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	3810387	2013-05-08
360	4102	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	3810387	2013-05-08
360	4321	StatoilHydro ASA har overdratt sin 50% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	3810387	2013-05-08
360	4854	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	3810387	2013-05-08
360	5279	Altinex Oil Norway AS overdrar sin 15 % deltakerandel i tillatelsen til  Norwegian Energy Company ASA med virkning fra 1. januar 2010.	2010-03-22	Endring i tillatelse	9999-12-31	3810387	2013-05-08
360	6333	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	3810387	2013-05-08
360	6781	Norwegian Energy Company ASA overdrar sin 15 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	3810387	2013-05-08
360	6998	Noreco Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	3810387	2013-05-08
362	2743	Tillatelsen er innført i Petroleumsregisteret.	2006-03-27	Ny tillatelse	9999-12-31	3810565	2013-05-08
362	2875	Norsk Hydro Produksjon AS har overdratt en 25% andel i tillatelsen til Det Norske Oljeselskap AS.	2006-09-08	Endring i tillatelse	9999-12-31	3810565	2013-05-08
362	2876	Norsk Hydro Produksjon AS har overdratt en 25% andel i tillatelsen til Svenska Petroleum Exploration AS.	2006-09-08	Endring i tillatelse	9999-12-31	3810565	2013-05-08
362	3055	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	3810565	2013-05-08
362	3241	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	3810565	2013-05-08
362	3379	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	3810565	2013-05-08
362	3609	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	3810565	2013-05-08
362	3903	Olje- og enrgidepartement har i brev av 01.07.2008 gitt samtykke etter petroleumsloven §10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy  ASA er innfusjonert Det norske oljeselskap ASA  fra 21.05.2008. Fusjonen gjennomføres på følgense måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tilltelsen. 	2008-07-15	Endring i tillatelse	9999-12-31	3810565	2013-05-08
362	3975	Det norske oljeselskap ASA har overdratt en 10% andel i tillatelsen til Dana Petroleum Norway AS med virkning fra 01.01.2008.	2008-11-04	Endring i tillatelse	9999-12-31	3810565	2013-05-08
362	4855	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	3810565	2013-05-08
362	4947	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	3810565	2013-05-08
362	5001	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	3810565	2013-05-08
362	5161	Svenska Petroleum Exploration AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner tre hundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.10.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-19	Heftelse	9999-12-31	3810565	2013-05-08
362	5223	Det norske oljeselskap ASA pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	3810565	2013-05-08
362	6388	Statoil Petroleum AS overdrar sin 50 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012. Centrica Resources Norge AS overtar som operatør.	2012-05-04	Endring i tillatelse	9999-12-31	3810565	2013-05-08
364	2709	Tillatelsen er innført i petroleumsregisteret.	2006-03-01	Ny tillatelse	9999-12-31	3810636	2013-05-08
364	2720	Pertra AS har endret navn til Pertra ASA.	2006-03-15	Andre meldinger	9999-12-31	3810636	2013-05-08
364	3578	Pertra ASA har endret navn til Det norske oljeselskap ASA med virkning 16.11.2007.	2008-01-10	Andre meldinger	9999-12-31	3810636	2013-05-08
364	3586	Det norske oljeselskap ASA pantsetter sin 50% andel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 1.500.000.000. skriver norske kroner ettusenfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av det pantsatte objekt uten skriftilig samtykke fra panthaver.	2008-01-10	Heftelse	9999-12-31	3810636	2013-05-08
364	4948	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	3810636	2013-05-08
364	5002	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	3810636	2013-05-08
364	5178	Pantobligasjon stor NOK 1,500,000,000 skriver norske kroner etttusenfemhundremillioner 00/100 datert 10.1.2008 (dok. nr. 3586) hvor Det norske oljeselskap ASA pantsetter sin 50 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 9.2.2010.	2010-03-05	Sletting av heftelse	9999-12-31	3810636	2013-05-08
364	5224	Det norske oljeselskap ASA pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	3810636	2013-05-08
364	6011	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5224) hvor Det norske oljeselskap ASA pantsetter sin 50 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	3810636	2013-05-08
370	2750	Tillatelsen er innført i Petroleumsregisteret.	2006-03-27	Ny tillatelse	9999-12-31	3810959	2013-05-08
370	2771	Pertro-Canada UK Limited har overdratt sin 70% andel i tillatelsen til Pertro-Canada Norge AS.	2006-04-26	Endring i tillatelse	9999-12-31	3810959	2013-05-08
370	2774	Pertro-Canada UK Limited har overdratt operatørskapet i tillatelsen til Pertro-Canada Norge AS.	2006-04-27	Andre meldinger	9999-12-31	3810959	2013-05-08
370	4105	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	3810959	2013-05-08
370	4411	Petro-Canada Norge AS har overdratt sin 70% deltakerandel i tillatelsen til Wintershall Norge ASA med virkning fra1.1.2009.	2009-05-12	Endring i tillatelse	9999-12-31	3810959	2013-05-08
370	4913	Wintershall Norge ASA overdrar en 10 % deltakerandel i utvinningstillatelsen til A/S Norske Shell med virkning fra 1. januar 2009.	2009-12-14	Endring i tillatelse	9999-12-31	3810959	2013-05-08
370	5053	Wintershall Norge ASA overdrar en 10 % deltakerandel til Concedo ASA med virkning fra 1. januar 2009.	2009-12-23	Endring i tillatelse	9999-12-31	3810959	2013-05-08
370	5067	Dok nr. 4913 korrigert virknings dato til med virkning fra 1. juli 2009, korreksjon meddelt i brev fra A/S Norske Shell datert 5.1.2009.	2010-01-08	Endring i tillatelse	9999-12-31	3810959	2013-05-08
370	5493	Concedo ASA  pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 200,000,000 pluss 10 %, skriver norske kroner tohundre millioner 00/100 pluss 10 %. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.7.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-09-06	Heftelse	2013-04-12	3810959	2013-05-08
370	5528	Wintershall Norge ASA overdrar en 10 % deltakerandel i utvinningstillatelsen til Concedo ASA med virkning fra 30.9.2010.	2010-10-04	Endring i tillatelse	9999-12-31	3810959	2013-05-08
370	5529	Wintershall Norge ASA overdrar en 30 % deltakerandel i utvinningstillatelsen til Agora Oil & Gas AS med virkning fra 30.9.2010.	2010-10-04	Endring i tillatelse	9999-12-31	3810959	2013-05-08
370	5543	A/S Norske Shell overdrar sin 10 % deltakerandel i utvinningstillatelsen til Wintershall Norge ASA med virkning fra 1.7.2010.	2010-11-08	Endring i tillatelse	9999-12-31	3810959	2013-05-08
370	5932	Wintershall Norge ASA overdrar en 10% deltakerandel i tillatelsen til North Energy ASA med virkning fra 31.7.2011.	2011-08-22	Endring i tillatelse	9999-12-31	3810959	2013-05-08
375	5556	Spring Energy Norway AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Talisman Energy Norge AS med virkning fra 30.11.2010.	2010-12-01	Endring i tillatelse	9999-12-31	3811214	2013-05-08
375	5751	Petro-Canada Norge AS har endret navn til Suncor Energy Norge AS med virkning fra 28.2.2011.	2011-03-16	Andre meldinger	9999-12-31	3811214	2013-05-08
370	6044	Agora Oil & Gas AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 500,000,000, skriver norske kroner femhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 29.11.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-13	Heftelse	9999-12-31	3810959	2013-05-08
370	6335	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	3810959	2013-05-08
370	6729	North Energy ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	9999-12-31	3810959	2013-05-08
370	7016	Pantobligasjon pålydende NOK  200,000,000  pluss 10 % skriver norske kroner tohundremillioner, pluss ti prosent hvor Concedo ASA  pantsetter sin 10 % deltakerandel i utvinningstillatelsen 370 til fordel for DnB NOR Bank ASA datert 6.9.2010 (dok. nr.: 5493) er slettet. Samtykke fra panthaver DnB NOR Bank ASA  foreligger i brev datert  9.4.2013.	2013-04-10	Sletting av heftelse	2013-04-12	3810959	2013-05-08
370	7019	Concedo ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen 370 til fordel for DNB Bank ASA. Første prioritet panteobligasjon stor NOK 350,000,000 pluss 10 %, skriver norske kroner trehundreogfemtimillioner 00/100 pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.3.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-10	Heftelse	2013-04-12	3810959	2013-05-08
370	7031	Agora Oil & Gas AS har endret foretaksnavn til CapricornNorge AS fra 20.04.2013	2013-04-29	Andre meldinger	9999-12-31	3810959	2013-05-08
373 S	2753	Tillatelsen er innført i Petroleumsregisteret.	2006-03-28	Ny tillatelse	2013-05-07	3811116	2013-05-08
373 S	3637	Revus Energy ASA pantsetter sin 20 % andel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 1 000 000 000 skriver norske kroner ettusenmillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-01-24	Heftelse	2013-05-07	3811116	2013-05-08
373 S	4034	Olje- og energidepartement har i brev av 17.12.2008 godkjent forlegelsen av initiell periode fra 06.1.2011 til 6.1.2013 jf. petroleumsloven § 3-9.	2009-01-14	Andre meldinger	2013-05-07	3811116	2013-05-08
373 S	4108	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	2013-05-07	3811116	2013-05-08
373 S	5170	Pantobligasjon stor NOK 1000,000,000 skriver norske kroner etttusenmillioner 00/100 datert 24.1.2008 (dok. nr. 3637) hvor Revus Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet.	2010-02-23	Sletting av heftelse	2013-05-07	3811116	2013-05-08
373 S	6337	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	2013-05-07	3811116	2013-05-08
374 S	2754	Tillatelsen er innført i Petroleumsregisteret.	2006-03-28	Ny tillatelse	9999-12-31	3811171	2013-05-08
374 S	3859	Olje- og energidepartement har i brev den 20.02.2008 godkjent forlengelsen av initiell periode i tillatelsen til 06.01.2013.	2008-07-02	Andre meldinger	9999-12-31	3811171	2013-05-08
374 S	6338	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	3811171	2013-05-08
375	2755	Tillatelsen er innført i Petroleumsregisteret.	2006-03-28	Ny tillatelse	9999-12-31	3811214	2013-05-08
375	2772	Pertro-Canada UK Limited har overdratt sin 50% andel i tillatelsen til Pertro-Canada Norge AS.	2006-04-26	Endring i tillatelse	9999-12-31	3811214	2013-05-08
375	2773	Pertro-Canada UK Limited har overdratt operatørskapet i tillatelsen til Pertro-Canada Norge AS.	2006-04-27	Andre meldinger	9999-12-31	3811214	2013-05-08
375	3821	Premier Oil Norge AS har overdratt en 15% andel i tillatelsen til PetroCanada Norge AS med virkning fra 06.01.2008.	2008-05-13	Endring i tillatelse	9999-12-31	3811214	2013-05-08
375	3822	Premier Oil Norge AS har overdratt sin 15% andel i tillatelsen til Revus Energy ASA med virkning fra 06.01.2008.	2008-05-13	Endring i tillatelse	9999-12-31	3811214	2013-05-08
375	4109	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	3811214	2013-05-08
375	5062	Wintershall Norge ASA overdrar en 15 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 1.1.2010.	2009-12-29	Endring i tillatelse	9999-12-31	3811214	2013-05-08
375	5130	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). Førsteprioritet pantobligasjon stor NOK 1,000,000,000, skriver norske kroner en milliard 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 21.1.2010, gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-11	Heftelse	9999-12-31	3811214	2013-05-08
375	5435	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 11.2.2010 (dok. nr. 5130) hvor Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.08.2010.	2010-08-12	Sletting av heftelse	9999-12-31	3811214	2013-05-08
375	5455	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	3811214	2013-05-08
375	5527	Wintershall Norge ASA overdrar en 5 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 30.9.2010.	2010-10-04	Endring i tillatelse	9999-12-31	3811214	2013-05-08
375	5552	Pantobligasjon stor NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner 00/100 datert 5.8.2010 (dok. nr 5455) hvor Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen ti Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger.	2010-12-01	Sletting av heftelse	9999-12-31	3811214	2013-05-08
375	6339	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	3811214	2013-05-08
377 S	2757	Tillatelsen er innført i Petroleumsregisteret.	2006-03-29	Ny tillatelse	2013-04-11	3811290	2013-05-08
377 S	2765	Idemitsu Petroleum Norge AS har overdratt en 30% andel i tillatelsen til Revus Energy ASA.	2006-04-04	Endring i tillatelse	2013-04-11	3811290	2013-05-08
377 S	3061	Revus Energy ASA har overdratt sin 30% andel i tillatelsen til Bayerngas Norge AS.	2007-07-04	Endring i tillatelse	2013-04-11	3811290	2013-05-08
377 S	4590	Idemitsu Petroleum Norge AS overdrar en 20 % deltakerandel i utvinningstillatelsen til GDF Suez E&P Norge AS med virkning fra 30.10.2009.	2009-10-21	Endring i tillatelse	2013-04-11	3811290	2013-05-08
377 S	5351	Idemitsu Petroleum Norge AS overdrar en 20 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 30. april 2010.	2010-04-08	Endring i tillatelse	2013-04-11	3811290	2013-05-08
377 S	5456	Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	2013-04-11	3811290	2013-05-08
377 S	6503	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5456) hvor Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	2013-04-11	3811290	2013-05-08
377 S	6899	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.02.2013.	2013-02-19	Andre meldinger	2013-04-11	3811290	2013-05-08
377 S	7014	Olje- og energidepartementet bekrefter i brev datert 8.4.2013 at utvinningstillatelsen anses som oppgitt fra 6.7.2012, jf. petroleumsloven § 3-15.	2013-04-10	Andre meldinger	2013-04-12	3811290	2013-05-08
378	2758	Tillatelsen er innført i Petroleumsregesteret.	2006-03-29	Ny tillatelse	9999-12-31	3811312	2013-05-08
378	3638	Revus Energy ASA pantsetter sin 40 % andel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 1 000 000 000 skriver norske kroner ettusenmillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-01-24	Heftelse	9999-12-31	3811312	2013-05-08
378	3687	Norwegian Energy Company ASA pantsetter sin 20% andel i tillatelsen til fordel for SpareBank 1 SR-Bank. Førsteprioritet pantobligasjon stor NOK 800,000,OOO skriver norske kroner åttehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-03-13	Heftelse	9999-12-31	3811312	2013-05-08
378	3697	Dok nr 3687 er feil registrert erstattes med Dok nr 3698.	2008-03-13	Heftelse	9999-12-31	3811312	2013-05-08
378	3698	Norwegian Energy Company ASA pantsetter sin 20% andel i tillatelsen til fordel for SpareBank 1 SR-Bank. Førsteprioritet pantobligasjon stor NOK 800,000,000 skrives norske kroner åttehundremillioner 00/100 og USD 25,000,000 skrives USD tjuefemmillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-03-13	Heftelse	9999-12-31	3811312	2013-05-08
378	4110	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	3811312	2013-05-08
378	4361	Premier Oil Norge AS overdrar en 20% andel i utvinningstillatelse 378 til Spring Energy Norge AS med virkning fra 31.mars 2009.	2009-04-01	Endring i tillatelse	9999-12-31	3811312	2013-05-08
378	4472	Pantobligasjon stor NOK 800,000,000 skriver norske kroner åttehundremillioner 00/100 og USD 25,000,000  tjuefemmillioner. Dok. nr 3698, registrert 13.03,2008 hvor Norwegian Energy Company AS er pantsetter og SpareBank 1 SR-Bank er panthaver, er slettet.	2009-07-10	Sletting av heftelse	9999-12-31	3811312	2013-05-08
378	4480	Norwegian Energy Company ASA patsetter sin 20% deltakerandel i tillatelsen til fordel for SpareBank 1 SR-Bank, DnB NOR Bank ASA og BNP Parisbas (Bankene). Førsteprioritet pantobligasjon stor NOK 1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner 00/100, pluss USD 25,000,000 skriver tjuefemmillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 18.6.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  Pantsettelsen utgjør et såkalt krysspant.	2009-07-11	Heftelse	9999-12-31	3811312	2013-05-08
378	4493	Dok. nr 3698 er slettet og erstattet med dok.nr 4480 på grunn av refinansering av deltakerandel i tillatelsen for å sikre at pantsettelsen sikrer et høyere beløp.	2009-07-13	Heftelse	9999-12-31	3811312	2013-05-08
378	4524	Norwegian Energy Company ASA har pantsatt sin 20% deltakerandel i tillatelsen til fordel for SpareBank 1 SR-Bank, DnB NOR Bank ASA og BNP Parisbas (Bankene), med virkning fra 11.7.2009. I forbindelse med refinansiering av deltakerandel i tillatelsen for å sikre at pantsettelsen sikrer et høyere beløp fra NOK 800.000.000 pluss USD 25.000.000 til NOK 1.450.000.000 pluss USD 25.000.000 ble dok.nr 4480 datert 11.7.2009 feilaktig slettet. Denne slettelsen oppheves og pantsettelsens registreringsdato er fra opprinnelig dato 11.7.2009. Pantsettelsen utgjør et såkalt krysspant.	2009-07-23	Heftelse	9999-12-31	3811312	2013-05-08
378	4565	Spring Energy Norway AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). Førsteprioritet pantobligasjon stor NOK 1,000,000,000, skriver norske kroner enmilliard 00/100, Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 15.9.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-09-15	Heftelse	9999-12-31	3811312	2013-05-08
378	5055	Reduksjon av pantsettelse (dok. nr. 4565, registrert 15.9.09) i Spring Energy Norway AS sin deltakerandel i utvinningstillatelsen fra 20 % til 15 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB samtykker i reduksjon fra 20 % til 15 %, samt etterfølgende overdragelse av den frigitte andelen.	2009-12-28	Heftelse	9999-12-31	3811312	2013-05-08
378	5056	Spring Energy Norway AS overdrar en 5 % deltakerandel i utvinningstillatelsen til Wintershall Norge ASA med virkning fra 28.12.2009.	2009-12-28	Endring i tillatelse	9999-12-31	3811312	2013-05-08
378	5171	Pantobligasjon stor NOK 1000,000,000 skriver norske kroner etttusenmillioner 00/100 datert 24.1.2008 (dok. nr. 3638) hvor Revus Energy ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet.	2010-02-23	Sletting av heftelse	9999-12-31	3811312	2013-05-08
535	4441	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463791	2013-05-08
378	5424	Pantobligasjon pålydende NOK 1 450 000 000 skriver norske kroner enmilliardfirehundreogfemti millioner pluss USD 25 000 000 skriver amerikanske dollar tjuefem millioner 00/100, datert 11.7.2009 (dok. nr. 4480) og 23.7.2009 (dok.nr. 4524) hvor Norwegian Energy Company ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til SpareBank 1 SR-Bank er slettet. Samtykke fra panthaver SpareBank 1 SR-Bank foreligger i brev datert 16.7.2010.	2010-07-19	Sletting av heftelse	2013-05-08	3811312	2013-05-08
378	5436	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 15.9.2009 (dok. nr. 4565) hvor Spring Energy Norway AS pantsetter sin 20 % deltakerandel, redusert til 15%  den 28.12.2009 (dok. nr. 5055) i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.8.2010.	2010-08-12	Sletting av heftelse	9999-12-31	3811312	2013-05-08
378	5457	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	3811312	2013-05-08
378	5522	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Talisman Energy Norge AS med virkning fra 1.7.2010.	2010-10-01	Endring i tillatelse	9999-12-31	3811312	2013-05-08
378	5553	Pantobligasjon stor NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner 00/100 datert 5.8.2010 (dok. nr 5457) hvor Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen ti Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger.	2010-12-01	Sletting av heftelse	9999-12-31	3811312	2013-05-08
378	5554	Dok nr.5055 er slettet som følge av sletting dok nr 5436 og dok nr 5553.	2010-12-01	Sletting av heftelse	9999-12-31	3811312	2013-05-08
378	5557	Spring Energy Norway AS overdrar sin 15 % deltakerandel i utvinningstillatelsen til Talisman Energy Norge AS med virkning fra 30.11.2010.	2010-12-01	Endring i tillatelse	9999-12-31	3811312	2013-05-08
378	6342	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	3811312	2013-05-08
382	2761	Tillatelsen er innført i Petroleumsregisteret.	2006-04-03	Ny tillatelse	9999-12-31	3811444	2013-05-08
382	3688	Norwegian Energy Company ASA pantsetter sin 20% andel i tillatelsen til fordel for SpareBank 1 SR-Bank. Førsteprioritet pantobligasjon stor NOK 800,000,OOO skriver norske kroner åttehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.  Pantsettelsen utgjør et såkalt krysspant.	2008-03-13	Heftelse	9999-12-31	3811444	2013-05-08
382	3699	Dok nr 3688 er feil registrert erstattes med Dok nr 3700.	2008-03-14	Heftelse	9999-12-31	3811444	2013-05-08
382	3700	Norwegian Energy Company ASA pantsetter sin 20% andel i tillatelsen til fordel for SpareBank 1 SR-Bank. Førsteprioritet pantobligasjon stor NOK 800,000,000 skrives norske kroner åttehundremillioner 00/100 og USD 25,000,000 skrives USD tjuefemmillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-03-14	Heftelse	9999-12-31	3811444	2013-05-08
382	4473	Pantobligasjon stor NOK 800,000,000 skriver norske kroner åttehundremillioner 00/100 og USD 25,000,000 tjuefemmillioner. Dok. nr 3700, registrert 14.03,2008 hvor Norwegian Energy Company AS er pantsetter og SpareBank 1 SR-Bank er panthaver, er slettet.	2009-07-10	Sletting av heftelse	9999-12-31	3811444	2013-05-08
382	4481	Norwegian Energy Company ASA patsetter sin 20% deltakerandel i tillatelsen til fordel for SpareBank 1 SR-Bank, DnB NOR Bank ASA og BNP Parisbas (Bankene). Førsteprioritet pantobligasjon stor NOK 1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner 00/100, pluss USD 25,000,000 skriver tjuefemmillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 18.6.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  Pantsettelsen utgjør et såkalt krysspant.	2009-07-11	Heftelse	2013-04-04	3811444	2013-05-08
382	4494	Dok. nr 3700 er slettet og erstattet med dok.nr 4481 på grunn av refinansering av deltakerandel i tillatelsen for å sikre at pantsettelsen sikrer et høyere beløp.	2009-07-13	Heftelse	9999-12-31	3811444	2013-05-08
382	6973	Pantobligasjon pålydende NOK  1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner, pluss USD 25,000,000 skriver tjuefemmillioner hvor Norwegian Energy Company ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank datert 11.7.2009 (dok. nr.: 4481) er slettet. Samtykke fra panthaver SpareBank 1 SR-Bank foreligger i brev datert  20.3.2013.	2013-03-26	Sletting av heftelse	2013-04-04	3811444	2013-05-08
385	2763	Tillatelsen er innført i Petroleumsregisteret.	2006-04-03	Ny tillatelse	9999-12-31	3811602	2013-05-08
385	3246	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	3811602	2013-05-08
385	3404	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-21	Andre meldinger	9999-12-31	3811602	2013-05-08
385	3689	Norwegian Energy Company ASA pantsetter sin 20% andel i tillatelsen til fordel for SpareBank 1 SR-Bank. Førsteprioritet pantobligasjon stor NOK 800,000,OOO skriver norske kroner åttehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.  Pantsettelsen utgjør et såkalt krysspant.	2008-03-13	Heftelse	9999-12-31	3811602	2013-05-08
385	3701	Dok nr 3689 er feil registrert erstattes med Dok nr 3702.	2008-03-14	Heftelse	9999-12-31	3811602	2013-05-08
385	3702	Norwegian Energy Company ASA pantsetter sin 20% andel i tillatelsen til fordel for SpareBank 1 SR-Bank. Førsteprioritet pantobligasjon stor NOK 800,000,000 skrives norske kroner åttehundremillioner 00/100 og USD 25,000,000 skrives USD tjuefemmillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-03-14	Heftelse	9999-12-31	3811602	2013-05-08
385	4474	Pantobligasjon stor NOK 800,000,000 skriver norske kroner åttehundremillioner 00/100 og USD 25,000,000 tjuefemmillioner. Dok. nr 3702, registrert 14.03,2008 hvor Norwegian Energy Company AS er pantsetter og SpareBank 1 SR-Bank er panthaver, er slettet.	2009-07-10	Sletting av heftelse	9999-12-31	3811602	2013-05-08
122 D	4271	StatoilHydro ASA har overdratt sin 50 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	3811939	2013-05-08
385	4482	Norwegian Energy Company ASA patsetter sin 20% deltakerandel i tillatelsen til fordel for SpareBank 1 SR-Bank, DnB NOR Bank ASA og BNP Parisbas (Bankene). Førsteprioritet pantobligasjon stor NOK 1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner 00/100, pluss USD 25,000,000 skriver tjuefemmillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 18.6.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  Pantsettelsen utgjør et såkalt krysspant.	2009-07-11	Heftelse	2013-04-04	3811602	2013-05-08
385	4495	Dok. nr 3702 er slettet og erstattet med dok.nr 4482 på grunn av refinansering av deltakerandel i tillatelsen for å sikre at pantsettelsen sikrer et høyere beløp.	2009-07-13	Heftelse	9999-12-31	3811602	2013-05-08
385	4857	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	3811602	2013-05-08
385	5275	Statoil Petroleum AS overdrar en 15 % deltakerandel i utvinningstillatelsen til North Energy AS med virkning fra 1.1.2010.	2010-03-10	Endring i tillatelse	9999-12-31	3811602	2013-05-08
385	5356	North Energy AS har endret navn til North Energy ASA med virkning fra 17.12.2009.	2010-04-20	Andre meldinger	9999-12-31	3811602	2013-05-08
385	5686	North Energy ASA  pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	9999-12-31	3811602	2013-05-08
385	5913	Wintershall Norge AS har fusjonert med Winteshall Norge ASA som overtakende selskap med virkning fra 16.7.2011.	2011-07-29	Andre meldinger	9999-12-31	3811602	2013-05-08
385	5934	Wintershall Norge ASA overdrar sin 20% deltakerandel i tillatelsen til North Energy ASA med virkning fra 31.7.2011.	2011-08-22	Endring i tillatelse	9999-12-31	3811602	2013-05-08
385	6193	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5686) hvor North Energy ASA pantsetter sin 15 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	9999-12-31	3811602	2013-05-08
385	6207	North Energy ASA pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	9999-12-31	3811602	2013-05-08
385	6577	North Energy ASA overdrar en 20 % deltakerandel i utvinningstillatelsen til DONG E&P Norge AS med virkning fra 28.9.2012.	2012-09-28	Endring i tillatelse	9999-12-31	3811602	2013-05-08
385	6743	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 2.3.2012 (dok. nr.: 6207) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 14.12.2012 og 19.12.2012.	2012-12-20	Sletting av heftelse	9999-12-31	3811602	2013-05-08
385	6755	North Energy ASA pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-20	Heftelse	9999-12-31	3811602	2013-05-08
385	6782	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	3811602	2013-05-08
385	6975	Pantobligasjon pålydende NOK  1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner, pluss USD 25,000,000 skriver tjuefemmillioner hvor Norwegian Energy Company ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank datert 11.7.2009 (dok. nr.: 4482) er slettet. Samtykke fra panthaver SpareBank 1 SR-Bank foreligger i brev datert  20.3.2013.	2013-04-02	Sletting av heftelse	2013-04-04	3811602	2013-05-08
385	6989	Noreco Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	3811602	2013-05-08
386	2764	Tillatelsen er innført i Petroleumsregisteret.	2006-04-03	Ny tillatelse	9999-12-31	3811659	2013-05-08
386	3551	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	3811659	2013-05-08
386	4137	StatoilHydro ASA har overdratt sin 100% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	3811659	2013-05-08
386	4858	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	3811659	2013-05-08
043 BS	2724	Tillatelsen er innført i Petroleumsregisteret.	2006-03-22	Ny tillatelse	9999-12-31	3811810	2013-05-08
043 BS	3114	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	3811810	2013-05-08
043 BS	4177	StatoilHydro ASA har overdratt sin 21 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	3811810	2013-05-08
043 BS	4813	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	3811810	2013-05-08
043 BS	6084	Statoil Petroleum AS overdrar en 2 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 13.1.2012.	2012-01-16	Endring i tillatelse	9999-12-31	3811810	2013-05-08
122 D	2729	Tillatelsen er innført i Petroleumsregisteret.	2006-03-22	Ny tillatelse	9999-12-31	3811939	2013-05-08
122 D	2886	DONG Norge AS har endret navn til DONG E&P Norge AS.	2006-10-10	Andre meldinger	9999-12-31	3811939	2013-05-08
122 D	3460	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	3811939	2013-05-08
122 D	3673	Olje- og energidepartement har i brev den 22.12.2006 godkjent forlengelsen av tillatelsen til 28.02.2025.	2008-02-18	Andre meldinger	9999-12-31	3811939	2013-05-08
055 D	6944	Tillatelsen er innført i Petroleumsregisteret	2013-02-22	Ny tillatelse	2013-02-27	22813096	2013-05-08
122 D	4697	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	3811939	2013-05-08
134 C	2731	Tillatelsen er innført i Petroleumsregisteret.	2006-03-23	Ny tillatelse	9999-12-31	3812006	2013-05-08
134 C	3185	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	3812006	2013-05-08
134 C	3325	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	3812006	2013-05-08
134 C	3467	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	3812006	2013-05-08
134 C	3804	StatoilHydro Petroleum AS har overdratt sin 14,% eierandel i tillatelsen til StatoilHydro ASA med virkning fra 31.03.2008.	2008-04-03	Endring i tillatelse	9999-12-31	3812006	2013-05-08
134 C	4277	StatoilHydro ASA har overdratt sin 64 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	3812006	2013-05-08
134 C	4705	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	3812006	2013-05-08
195 B	2732	Tillatelsen er innført i Petroleumsregisteret.	2006-03-23	Ny tillatelse	9999-12-31	3812021	2013-05-08
195 B	3199	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-25	Andre meldinger	9999-12-31	3812021	2013-05-08
195 B	3339	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	3812021	2013-05-08
195 B	4772	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	3812021	2013-05-08
248 B	2733	Tillatelsen er innført i Petroleumsregisteret.	2006-03-23	Ny tillatelse	9999-12-31	3812058	2013-05-08
248 B	3209	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	3812058	2013-05-08
248 B	3349	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	3812058	2013-05-08
248 B	3518	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	3812058	2013-05-08
248 B	4171	StatoilHydro ASA har overdratt sin 20 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	3812058	2013-05-08
248 B	4358	Oljedirektoratet har i brev av 21.12.2006 til Olje- og energidepartement tilrådet at konsesjonstiden blir utvidet med 30 år.          Godkjent av Olje- og energidepartement i brev 22.12.2006.	2009-03-19	Endring i tillatelse	9999-12-31	3812058	2013-05-08
248 B	4790	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	3812058	2013-05-08
263 B	2734	Tillatelsen er innført i Petroleumsregisteret.	2006-03-23	Ny tillatelse	9999-12-31	3812093	2013-05-08
263 B	3064	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-10	Andre meldinger	9999-12-31	3812093	2013-05-08
263 B	3066	Det Norske Oljeselskap ASA har overdratt sin 30% andel i tillatelsen til Bayerngas Norge AS.	2007-07-10	Endring i tillatelse	9999-12-31	3812093	2013-05-08
263 B	3215	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	3812093	2013-05-08
263 B	3355	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	3812093	2013-05-08
263 B	3526	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	3812093	2013-05-08
263 B	3829	Oljedirektoratet har i brev ref: OD 06/16den 19.03.2007 vedtatt forlengelsen av tillatelsen til 12.05.2037.	2008-05-22	Andre meldinger	9999-12-31	3812093	2013-05-08
263 B	4159	StatoilHydro ASA har overdratt sin 30 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	3812093	2013-05-08
263 B	4796	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	3812093	2013-05-08
277 B	2735	Tillatelsen er innført i Petroleumsregisteret.	2006-03-23	Ny tillatelse	9999-12-31	3812131	2013-05-08
277 B	3222	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	3812131	2013-05-08
277 B	3403	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-21	Andre meldinger	9999-12-31	3812131	2013-05-08
277 B	3530	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	3812131	2013-05-08
277 B	4308	StatoilHydro ASA har overdratt sin 61% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	3812131	2013-05-08
277 B	4836	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	3812131	2013-05-08
277 B	6807	Statoil Petroleum AS har i brev datert 26.9.2012 meldt til Olje- og energidepartementet vedrørende tilbakelevering av utvinningstillatelsen. Oljedirektoratet har i brev datert 17.10.2012 ingen merknader til oppgivelse utvinningstillatelsen. Olje- og energidepartementet bekrefter i brev datert 1.11.2012 at utvinningstillatelsen bortfaller i sin helhet fra og med 1.1.2013.	2013-01-04	Andre meldinger	9999-12-31	3812131	2013-05-08
390	2830	Tillatelsen er innført i Petroleumsregisteret.	2006-05-31	Ny tillatelse	9999-12-31	3965152	2013-05-08
393	2833	Tillatelsen er innført i Petroleumsregisteret.	2006-05-31	Ny tillatelse	9999-12-31	3965277	2013-05-08
393	3247	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	3965277	2013-05-08
393	3385	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	3965277	2013-05-08
393	4859	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	3965277	2013-05-08
395	2835	Tillatelsen er innført i Petroleumsregisteret.	2006-05-31	Ny tillatelse	9999-12-31	3965360	2013-05-08
395	3554	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	3965360	2013-05-08
395	4323	StatoilHydro ASA har overdratt sin 50% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	3965360	2013-05-08
395	4861	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	3965360	2013-05-08
110 C	2825	Tillatelsen er innført i Petroleumsregisteret.	2006-05-31	Ny tillatelse	9999-12-31	3986340	2013-05-08
110 C	2856	Amarada Hess Norge AS har endret navn til Hess Norge AS.	2006-07-14	Andre meldinger	9999-12-31	3986340	2013-05-08
110 C	3455	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-01	Andre meldinger	9999-12-31	3986340	2013-05-08
110 C	4065	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	3986340	2013-05-08
110 C	4266	StatoilHydro ASA har overdratt sin 33,53 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	3986340	2013-05-08
110 C	4689	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	3986340	2013-05-08
110 C	6177	Hess Norge AS overdrar sin 3,26 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 1.1.2011.	2012-02-07	Endring i tillatelse	9999-12-31	3986340	2013-05-08
038 C	2871	Tillatelsen er innført i Petroleumsregisteret.	2006-08-30	Ny tillatelse	9999-12-31	4005057	2013-05-08
046 B	2969	Tillatelsen er innført i Petroleumsregisteret.	2007-01-03	Ny tillatelse	9999-12-31	4227611	2013-05-08
046 B	3117	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	4227611	2013-05-08
046 B	3134	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	4227611	2013-05-08
046 B	3275	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	4227611	2013-05-08
046 B	3680	Olje- og energidepartement har i brev av 07.12.2007 godkjent forlengelsen av tillatelsen til 31.12.2028.	2008-02-26	Andre meldinger	9999-12-31	4227611	2013-05-08
046 B	4239	StatoilHydro ASA har overdratt sin 52,6 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	4227611	2013-05-08
046 B	4633	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	4227611	2013-05-08
046 BS	2970	Tillatelsen er innført i Petroleumsregisteret.	2007-01-03	Ny tillatelse	9999-12-31	4227659	2013-05-08
046 BS	2973	Total E&P Norge AS overdrar sin 10 % andel i tillatelsen til PA Resources Norway AS.	2007-02-01	Endring i tillatelse	9999-12-31	4227659	2013-05-08
046 BS	2974	PA Resources Norway AS pantsetter sin 10 % andel i tillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet pantobligasjon stor NOK 450.000.000 - firehundreogfemtimillioner norske kroner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2007-02-01	Heftelse	9999-12-31	4227659	2013-05-08
046 BS	3118	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-10-06	Andre meldinger	9999-12-31	4227659	2013-05-08
046 BS	3135	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	4227659	2013-05-08
046 BS	3276	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-06	Andre meldinger	9999-12-31	4227659	2013-05-08
046 BS	3681	Olje- og energidepartement har i brev av 07.12.2007 godkjent forlengelsen av tillatelsen til 31.12.2028.	2008-02-26	Andre meldinger	9999-12-31	4227659	2013-05-08
046 BS	4042	Pantobligasjon stor NOK 450.000.000 skriver norske kroner firehundreogfemtimillioner datert 1.2.2007 (dok.nr. 2974) hvor PA Resources Norway AS er pantsetter og Norsk Tillitsmann ASA er panhaver, er slettet.	2009-01-19	Heftelse	9999-12-31	4227659	2013-05-08
046 BS	4240	StatoilHydro ASA har overdratt sin 49,6 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	4227659	2013-05-08
046 BS	4375	PA Resources Norway AS har endret navn til Bayerngas Produksjon Norge AS med virkning fra 21.1.2009	2009-04-15	Andre meldinger	9999-12-31	4227659	2013-05-08
046 BS	4634	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	4227659	2013-05-08
046 BS	5485	Bayerngas Produksjon Norge AS overdrar sin 10 % deltakerandel til Bayerngas Norge AS med virkning fra 23.3.2009.	2010-09-03	Endring i tillatelse	9999-12-31	4227659	2013-05-08
440 S	3071	Tillatelsen er innført i petroleumsregisteret.	2007-07-20	Ny tillatelse	9999-12-31	4237161	2013-05-08
440 S	3072	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-20	Endring i tillatelse	9999-12-31	4237161	2013-05-08
440 S	3263	Lundin Norway AS har overdratt en 12% andel i tillatelsen til Norwegian Energy Company AS.	2007-11-06	Endring i tillatelse	9999-12-31	4237161	2013-05-08
440 S	3290	Ener Petroleum ASA har endret navn til Dana Petroleum Norway ASA. med virkning fra 10.08.2007.	2007-11-07	Andre meldinger	9999-12-31	4237161	2013-05-08
440 S	3291	Dana Petroleum Norway ASA har endret navn til Dana Petroleum Norway AS med virkning fra 04.10.2007.	2007-11-07	Andre meldinger	9999-12-31	4237161	2013-05-08
440 S	3613	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	4237161	2013-05-08
440 S	3889	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-09	Endring i tillatelse	9999-12-31	4237161	2013-05-08
440 S	4956	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	4237161	2013-05-08
440 S	5010	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	4237161	2013-05-08
440 S	5231	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	4237161	2013-05-08
440 S	5671	Reduksjon av pantsettelse (dok. nr. 5231, registrert 5.3.2010) i Det norske oljeselskap ASA sin deltakerandel i utvinningstillatelsen fra 30 % til 10 %. Panthaver DnB NOR Bank ASA samtykker i reduksjon fra 30 % til 10 %, samt etterfølgnede overdragelse av den frigitte andelen.	2011-02-04	Heftelse	9999-12-31	4237161	2013-05-08
440 S	5672	Det norske oljeselskap ASA overdrar en 20 % deltakerandel i tillatelsen til Faroe Petroleum Norge AS med virkning fra 1.1.2010. Operatørskapet i utvinningstillatelsen overføres til Faroe Petroleum Norge AS.	2011-02-04	Endring i tillatelse	9999-12-31	4237161	2013-05-08
440 S	5893	Faroe Petroleum Norge AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	4237161	2013-05-08
440 S	6414	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	4237161	2013-05-08
440 S	6785	Norwegian Energy Company ASA overdrar sin 12 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	4237161	2013-05-08
440 S	6992	Noreco Norway AS pantsetter sin 12% deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	4237161	2013-05-08
402	2988	Tillatelsen er innført i Petroleumsregisterert.	2007-03-22	Ny tillatelse	2013-02-16	4237193	2013-05-08
405	2991	Tillatelsen er innført i Petroleumsregisterert.	2007-03-22	Ny tillatelse	9999-12-31	4237284	2013-05-08
405	4911	Faroe Petroleum Norge AS har overdratt en 15 % deltakerandel i tillatelsen til Spring Energy Norway AS med virkning fra 1.1.2009.	2009-12-01	Endring i tillatelse	9999-12-31	4237284	2013-05-08
405	5459	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	4237284	2013-05-08
405	5753	Petro-Canada Norge AS har endret navn til Suncor Energy Norge AS med virkning fra 28.2.2011.	2011-03-16	Andre meldinger	9999-12-31	4237284	2013-05-08
405	5888	Faroe Petroleum Norge AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	4237284	2013-05-08
405	6504	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5459) hvor Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	4237284	2013-05-08
405	6520	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	4237284	2013-05-08
405	6900	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.02.2013.	2013-02-19	Andre meldinger	2013-02-27	4237284	2013-05-08
407	2993	Tillatelsen er innført i Petroleumsregisterert.	2007-03-22	Ny tillatelse	9999-12-31	4237300	2013-05-08
407	3888	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-09	Endring i tillatelse	9999-12-31	4237300	2013-05-08
407	3915	Noble Energy Norge AS har endret navn til Skeie Oil & Gas AS med virkning 21.07.2008.	2008-07-31	Andre meldinger	9999-12-31	4237300	2013-05-08
407	3928	Skeie Oil & Gas AS pantsetter sin 20% andel i tillatelsen til fordel for DnB NOR Bank ASA. Første prioritet pantobligasjon stor NOK 500,000,000 skriver norske kroner femhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-08-20	Heftelse	9999-12-31	4237300	2013-05-08
407	3970	OED har i brev datert 26.9.2008 meddelt operatør BG Norge AS at det er innvilget en 12 måneders forlengelse av initiell periode med tilhørende tidfrister for gjenstående arbeidsforpliktelser under utvinningstillatelsen.	2008-10-10	Andre meldinger	9999-12-31	4237300	2013-05-08
407	3984	Serica Energy (UK) Limited overdra sin 20 % andel i utvinningstillatelse 407 til Serica Energy Norge AS med virkning fra 14.11.2008	2008-11-19	Endring i tillatelse	9999-12-31	4237300	2013-05-08
407	4345	Serica Energy Norge AS har endret navn til Spring Energy Exploration Norge AS med virkning fra 6.1.2009.	2009-03-04	Andre meldinger	9999-12-31	4237300	2013-05-08
407	4363	Spring Energy Exploration Norge AS har endret navn til Spring Energy Exploration AS med virkning 16.3.2009	2009-04-02	Andre meldinger	9999-12-31	4237300	2013-05-08
407	4404	Spring Energy Exploration AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda AB. Første prioritet pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver. 	2009-05-06	Heftelse	9999-12-31	4237300	2013-05-08
407	4502	Patobligasjon stor NOK 500,000,000 skriver norske kroner femhundremillioner 00/100. Datert 20.8.2008 dok. nr 3928 hvor Skeie Oil & Gas AS er pantsetter og DnB NOR Bank ASA er panthaver, er slettet.	2009-07-15	Endring i tillatelse	9999-12-31	4237300	2013-05-08
407	4507	Skeie Oil & Gas AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 800,000,000 skriver norske kroner åttehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-07-15	Heftelse	9999-12-31	4237300	2013-05-08
407	4515	Pantobligasjon stor NOK 500,000,000, datert 20.8.2008 dok nr 3928 er slettet og erstattet med dok nr 4507 datert 15.7.2009	2009-07-15	Sletting av heftelse	9999-12-31	4237300	2013-05-08
407	4572	Spring Energy Exploration AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). stor NOK 1,000,000,000, skriver norske kroner enmilliard 00/100, delt førsteprioritet med eksisterende pant stor NOK 400,000,000 skrives norske kroner firehundremillioner 00/100 doknr 4404 . Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 15.9.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-09-15	Heftelse	9999-12-31	4237300	2013-05-08
407	4584	Pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100 datert 6.5.2009 (doknr 4404) hvor Spring Energy Exploration  AS er pantsetter og Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er panthaver er slettet. Pantobligasjonen hadde delt førsteprioritet med pantobligasjon i dok 4572.	2009-10-01	Sletting av heftelse	9999-12-31	4237300	2013-05-08
407	4800	Olje- og energidepartementet har i brev datert 26.10.2009 innvilget søknad fra BG Norge AS om utsettelse av frist for gjennomføring av arbeidsforpliktelse samt forlengelse av initiell periode til 16.2.2013.	2009-11-11	Andre meldinger	9999-12-31	4237300	2013-05-08
407	5428	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 15.09.2009 (dok. nr. 4572) hvor Spring Energy Exploration AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.08.2010.	2010-08-12	Sletting av heftelse	9999-12-31	4237300	2013-05-08
407	5449	Spring Energy Exploration AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	4237300	2013-05-08
407	5615	Skeie Oil & Gas AS har endret foretaksnavn til Skeie Energy AS med virkning fra 3.1.2011.	2011-01-25	Andre meldinger	9999-12-31	4237300	2013-05-08
407	5675	Pantobligasjon stor NOK 800 000 000 skriver norske kroner åttehundremillioner  00/100 datert 15.7.2009 (dok. nr. 4507) hvor Skeie Oil & Gas AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger.	2011-02-04	Sletting av heftelse	9999-12-31	4237300	2013-05-08
407	5678	Skeie Energy AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 400,000,000, skriver norske kroner firehundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 7.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-02-04	Heftelse	9999-12-31	4237300	2013-05-08
407	6499	Pantobligasjon pålydende NOK 400 000 000 skriver norske kroner firehundremillioner  00/100 datert 4.2..2011 (dok. nr. 5678) hvor Skeie Energy AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev og datert 13.6.2012.	2012-06-18	Sletting av heftelse	9999-12-31	4237300	2013-05-08
407	6507	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5449) hvor Spring Energy Exploration AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	4237300	2013-05-08
407	6550	Skeie Energy AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Premier Oil Norge AS med virkning fra 1.1.2012.	2012-08-02	Endring i tillatelse	9999-12-31	4237300	2013-05-08
407	6877	Spring Energy Exploration AS har endret foretaksnavn med virkning fra 13.02.2013	2013-02-19	Andre meldinger	2013-02-28	4237300	2013-05-08
406	2992	Tillatelsen er innført i Petroleumsregisterert.	2007-03-22	Ny tillatelse	9999-12-31	4237318	2013-05-08
406	3887	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-09	Endring i tillatelse	9999-12-31	4237318	2013-05-08
406	3914	Noble Energy Norge AS har endret navn til Skeie Oil & Gas AS med virkning 21.07.2008.	2008-07-31	Andre meldinger	9999-12-31	4237318	2013-05-08
406	3929	Skeie Oil & Gas AS pantsetter sin 40% andel i tillatelsen til fordel for DnB NOR Bank ASA. Første prioritet pantobligasjon stor NOK 500,000,000 skriver norske kroner femhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-08-20	Heftelse	9999-12-31	4237318	2013-05-08
406	3983	Serica Energy (UK) Limited overdra sin 20 % andel i utvinningstillatelse 406 til Serica Energy Norge AS med virkning fra 14.11.2008.	2008-11-19	Endring i tillatelse	9999-12-31	4237318	2013-05-08
406	4344	Serica Energy Norge AS har endret navn til Spring Energy Exploration Norge AS med virkning fra 6.1.2009.	2009-03-04	Andre meldinger	9999-12-31	4237318	2013-05-08
406	4362	Spring Energy Exploration Norge AS har endret navn til Spring Energy Exploration AS med virkning 16.3.2009	2009-04-02	Andre meldinger	9999-12-31	4237318	2013-05-08
406	4403	Spring Energy Exploration AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda AB. Første prioritet pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver. 	2009-05-06	Heftelse	9999-12-31	4237318	2013-05-08
406	4503	Patobligasjon stor NOK 500,000,000 skriver norske kroner femhundremillioner 00/100. Datert 20.8.2008 dok. nr 3929 hvor Skeie Oil & Gas AS er pantsetter og DnB NOR Bank ASA er panthaver, er slettet.	2009-07-15	Endring i tillatelse	9999-12-31	4237318	2013-05-08
406	4506	Skeie Oil & Gas AS pantsetter sin 40% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 800,000,000 skriver norske kroner åttehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-07-15	Heftelse	9999-12-31	4237318	2013-05-08
406	4514	Pantobligasjon stor NOK 500,000,000, datert 20.8.2008 dok nr 3929 er slettet og erstattet med dok nr 4506 datert 15.7.2009	2009-07-15	Sletting av heftelse	9999-12-31	4237318	2013-05-08
406	4571	Spring Energy Exploration AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). stor NOK 1,000,000,000, skriver norske kroner enmilliard 00/100, delt førsteprioritet med eksisterende pant stor NOK 400,000,000 skrives norske kroner firehundremillioner 00/100 doknr 4403 . Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 15.9.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-09-15	Heftelse	9999-12-31	4237318	2013-05-08
406	4583	Pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100 datert 6.5.2009 (doknr 4403) hvor Spring Energy Exploration  AS er pantsetter og Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er panthaver er slettet. Pantobligasjonen hadde delt førsteprioritet med pantobligasjon i dok 4571.	2009-10-01	Sletting av heftelse	9999-12-31	4237318	2013-05-08
406	5427	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 15.09.2009 (dok. nr. 4571) hvor Spring Energy Exploration AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.08.2010.	2010-08-12	Sletting av heftelse	9999-12-31	4237318	2013-05-08
406	5448	Spring Energy Exploration AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	4237318	2013-05-08
406	5614	Skeie Oil & Gas AS har endret foretaksnavn til Skeie Energy AS med virkning fra 3.1.2011.	2011-01-25	Andre meldinger	9999-12-31	4237318	2013-05-08
406	5674	Pantobligasjon stor NOK 800 000 000 skriver norske kroner åttehundremillioner  00/100 datert 15.7.2009 (dok. nr. 4506) hvor Skeie Oil & Gas AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger.	2011-02-04	Sletting av heftelse	9999-12-31	4237318	2013-05-08
406	5677	Skeie Energy AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 400,000,000, skriver norske kroner firehundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 7.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-02-04	Heftelse	9999-12-31	4237318	2013-05-08
406	6498	Pantobligasjon pålydende NOK 400 000 000 skriver norske kroner firehundremillioner  00/100 datert 4.2..2011 (dok. nr. 5677) hvor Skeie Energy AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev og datert 13.6.2012.	2012-06-18	Sletting av heftelse	9999-12-31	4237318	2013-05-08
406	6506	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5448) hvor Spring Energy Exploration AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	4237318	2013-05-08
406	6551	Skeie Energy AS overdrar sin 40 % deltakerandel i utvinningstillatelsen til Premier Oil Norge AS med virkning fra 1.1.2012.	2012-08-02	Endring i tillatelse	9999-12-31	4237318	2013-05-08
406	6876	Spring Energy Exploration AS har endret foretaksnavn med virkning fra 13.02.2013	2013-02-19	Andre meldinger	2013-02-28	4237318	2013-05-08
316 B	2981	Tillatelsen er innført i Petroleumsregisterert.	2007-03-21	Ny tillatelse	9999-12-31	4237334	2013-05-08
316 B	3618	Pertra ASA har endret navn til Det norske oljeselskap ASA med virkning fra 16.11.2007.	2008-01-13	Andre meldinger	9999-12-31	4237334	2013-05-08
316 B	3933	Revus Energy ASA har overdratt en 10% eierandel i tillatelsen til Lotos Exploration and Production Norge AS med virkning fra 29.08.2008.	2008-09-04	Endring i tillatelse	9999-12-31	4237334	2013-05-08
316 B	4008	Det norske oljeselskap ASA har overdratt sin 10% andel i tillatelsen til Lotos Exploration and Production Norge AS med virkning fra 29.12.2008.	2009-01-02	Endring i tillatelse	9999-12-31	4237334	2013-05-08
316 B	4012	Lotos Exploration and Production Norge AS pantsetter en 10% andel i tillatelsen til fordel for Det Norske Oljeselskap ASA. Førsteprioritet pantobligasjon stor NOK 530,000,000 skriver norske kroner femhundreogtrettimillioner 00/100.  Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra  panthaver.	2009-01-02	Endring i tillatelse	9999-12-31	4237334	2013-05-08
316 B	4046	Panteobligasjon stor NOK 530 000 000 datert 2. januar 2009 (dok. nr. 4012) hvor Lotus Exploration and Production Norge AS  er pantsetter og Det norske oljeselskap ASA er panthaver, er slettet.	2009-01-28	Endring i tillatelse	9999-12-31	4237334	2013-05-08
316 B	4620	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.1.2009.	2009-11-03	Andre meldinger	9999-12-31	4237334	2013-05-08
316 B	4766	Lotos Exploration and Production Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet panteobligasjon stor USD 40,000,000 skriver førtimillioner amerikanske dollar 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-11-09	Heftelse	9999-12-31	4237334	2013-05-08
316 B	4920	Talisman Energy Norge AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Norske AEDC AS med virkning fra 1.januar 2009.	2009-12-22	Endring i tillatelse	9999-12-31	4237334	2013-05-08
414	3624	Pertra ASA har endret navn til Det norske oljeselskap ASA med virkning fra 16.11.2007.	2008-01-13	Andre meldinger	9999-12-31	4237582	2013-05-08
316 B	5682	Panthaver Norsk Tillitsmann ASA samtykker i prioritetsvikelse datert 9.2.2011, til andre prioritet, gjelder pantedokument (Dok. nr. 4766, registrert 9.11.2009), pålydende USD 40 Millioner i utvinningstillatelsen, viker prioritet for pantedokument i utvinningstillatelsen pålydende USD 65 millioner inngått av Lotos Exploration and Production Norge AS i favør av den polske banken, Powszechna Kasa Oszcz¿dno¿ci Bank Polski Spó¿ka Akcyjna.	2011-02-22	Heftelse	9999-12-31	4237334	2013-05-08
316 B	5685	Lotos Exploration and Production Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for den polske banken, Powszechna Kasa Oszcz¿dno¿ci Bank Polski Spó¿ka Akcyjna. Første prioritet panteobligasjon stor USD  65,000,000, skriver amerikanske dollar sekstifem millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 25.1.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-02-22	Heftelse	9999-12-31	4237334	2013-05-08
316 B	5906	Lotos Exploration and Production Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for den polske banken, Powszechna Kasa Oszczednosci Bank Polski Spoka Akcyjna. Ny panteobligasjon pålydende USD 15,000,000, skriver amerikanske dollar femtenmillioner 00/100, har delt første prioritet med panteobligasjon dok.nr. 5685 registrert 22.2.2011. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 25.1.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-07-22	Heftelse	9999-12-31	4237334	2013-05-08
316 B	5907	Panthaver Norsk Tillitsmann ASA samtykker i prioritetsvikelse til andre prioritet, gjelder pantedokument (Dok. nr. 4766, registrert 9.11.2009 og dok nr. 5682 registrert 22.2.2011), pålydende USD 40 Millioner i utvinningstillatelsen, viker prioritet for ytterlige pantsettelse i utvinningstillatelsen pålydende USD 15 millioner inngått av Lotos Exploration and Production Norge AS i favør av den polske banken, Powszechna Kasa Oszczednosci Bank Polski Spoka Akcyjna.	2011-07-22	Heftelse	9999-12-31	4237334	2013-05-08
316 B	6331	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	4237334	2013-05-08
410	2996	Tillatelsen er innført i Petroleumsregisterert.	2007-03-22	Ny tillatelse	9999-12-31	4237458	2013-05-08
410	4536	Lundin Norway AS har overdratt en 30% deltakerandel til StatoilHydro Petroleum AS (tidligere StatoilHydro ASA) med virkning fra 1.1.2009.	2009-08-10	Endring i tillatelse	9999-12-31	4237458	2013-05-08
410	4901	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4237458	2013-05-08
409	2995	Tillatelsen er innført i Petroleumsregisterert.	2007-03-22	Ny tillatelse	9999-12-31	4237470	2013-05-08
409	4535	Lundin Norway AS har overdratt en 10% deltakerandel til StatoilHydro Petroleum AS (tidligere StatoilHydro ASA) med virkning fra 1.1.2009.	2009-08-10	Endring i tillatelse	9999-12-31	4237470	2013-05-08
409	4874	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4237470	2013-05-08
409	5079	Lundin Norway AS overdrar en 20 % deltakerandel i utvinningstillatelsen til Bayerngas Norge AS med virkning fra 31.12.2009.	2010-01-18	Endring i tillatelse	9999-12-31	4237470	2013-05-08
442	3073	Tillatelsen er innført i petroleumsregisteret.	2007-07-20	Ny tillatelse	9999-12-31	4237510	2013-05-08
442	3074	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-20	Endring i tillatelse	9999-12-31	4237510	2013-05-08
442	3253	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	4237510	2013-05-08
442	3391	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	4237510	2013-05-08
442	3615	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	4237510	2013-05-08
442	3890	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-09	Endring i tillatelse	9999-12-31	4237510	2013-05-08
442	4881	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4237510	2013-05-08
442	4903	Altinex Oil Norway AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Svenska Petroleum Exploration AS med virkning fra 1.1.2009.	2009-11-16	Endring i tillatelse	9999-12-31	4237510	2013-05-08
442	4957	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	4237510	2013-05-08
442	5011	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	4237510	2013-05-08
442	5164	Svenska Petroleum Exploration AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner tre hundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.10.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-19	Heftelse	9999-12-31	4237510	2013-05-08
442	5232	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	4237510	2013-05-08
442	6012	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5232) hvor Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	4237510	2013-05-08
442	6389	Statoil Petroleum AS overdrar sin 40 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012. Centrica Resources Norge AS overtar som operatør.	2012-05-04	Endring i tillatelse	9999-12-31	4237510	2013-05-08
414	3000	Tillatelsen er innført i Petroleumsregisterert.	2007-03-22	Ny tillatelse	9999-12-31	4237582	2013-05-08
414	3904	Olje- og enrgidepartement har i brev av 01.07.2008 gitt samtykke etter petroleumsloven §10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy  ASA er innfusjonert Det norske oljeselskap ASA  fra 21.05.2008. Fusjonen gjennomføres på følgense måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tilltelsen. 	2008-07-15	Endring i tillatelse	9999-12-31	4237582	2013-05-08
414	4381	PA Resources Norway AS har endret navn til Bayerngas Produksjon Norge AS med virkning fra 21.1.2009	2009-04-15	Andre meldinger	9999-12-31	4237582	2013-05-08
414	4953	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	4237582	2013-05-08
414	5007	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	4237582	2013-05-08
414	5228	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	4237582	2013-05-08
414	5481	Bayerngas Produksjon Norge AS overdrar sin 20 % deltakerandel til Bayerngas Norge AS med virkning fra 23.3.2009.	2010-09-03	Endring i tillatelse	9999-12-31	4237582	2013-05-08
414	5890	Faroe Petroleum Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	4237582	2013-05-08
414	6403	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	4237582	2013-05-08
414	6783	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	4237582	2013-05-08
414	6990	Noreco Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	4237582	2013-05-08
050 D	2978	Tillatelsen er innført i Petroleumsregisterert.	2007-03-21	Ny tillatelse	9999-12-31	4237912	2013-05-08
050 D	3144	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-10-17	Andre meldinger	9999-12-31	4237912	2013-05-08
050 D	3282	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-07	Andre meldinger	9999-12-31	4237912	2013-05-08
050 D	3408	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-11-22	Andre meldinger	9999-12-31	4237912	2013-05-08
050 D	4248	StatoilHydro ASA har overdratt sin 61 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	4237912	2013-05-08
050 D	4642	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	4237912	2013-05-08
318 B	2979	Tillatelsen er innført i Petroleumsregisterert.	2007-03-21	Ny tillatelse	9999-12-31	4238138	2013-05-08
318 B	3233	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	4238138	2013-05-08
318 B	3371	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	4238138	2013-05-08
318 B	4844	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4238138	2013-05-08
418	3004	Tillatelsen er innført i Petroleumsregisterert.	2007-03-22	Ny tillatelse	9999-12-31	4238348	2013-05-08
418	4112	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	4238348	2013-05-08
418	4382	PA Resources Norway AS har endret navn til Bayerngas Produksjon Norge AS med virkning fra 21.1.2009	2009-04-15	Andre meldinger	9999-12-31	4238348	2013-05-08
418	4591	Edison International S.P.A har endret navn til Edison International Norway Branch med virkning fra 8.5.2007.	2009-10-28	Andre meldinger	9999-12-31	4238348	2013-05-08
418	5273	Premier Oil Norge AS overdrar sin 15 % deltakerandel i utvinningstillatelsen til Wintershall Norge ASA med virkning fra 5. mars 2010.	2010-03-08	Endring i tillatelse	9999-12-31	4238348	2013-05-08
418	5480	Bayerngas Produksjon Norge AS overdrar sin 20 % deltakerandel til Bayerngas Norge AS med virkning fra 23.3.2009.	2010-09-03	Endring i tillatelse	9999-12-31	4238348	2013-05-08
418	5501	Nexen Exploration Norge AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Wintershall Norge ASA med virkning fra  31.8.2010. Wintershall Norge overtar som operatør for utvinningstillatelsen, ref brev fra Olje- og energidepartementet datert 24.8.2010.	2010-09-08	Endring i tillatelse	9999-12-31	4238348	2013-05-08
418	5530	Wintershall Norge ASA overdrar en 20 % deltakerandel i utvinningstillatelsen til Agora Oil & Gas AS med virkning fra 30.9.2010.	2010-10-04	Endring i tillatelse	9999-12-31	4238348	2013-05-08
418	6043	Agora Oil & Gas AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 500,000,000, skriver norske kroner femhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 29.11.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-13	Heftelse	9999-12-31	4238348	2013-05-08
509 BS	6949	Tillatelsen er innført i Petroleumsregisteret	2013-02-22	Ny tillatelse	2013-02-27	22813272	2013-05-08
418	6344	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	4238348	2013-05-08
418	6554	Wintershall Norge AS overdrar en 10 % deltakerandel i utvinningstillatelsen til RWE Dea Norge AS med virkning fra 1.1.2012.	2012-08-07	Endring i tillatelse	9999-12-31	4238348	2013-05-08
418	7034	Agora Oil & Gas AS har endret foretaksnavn til Capricorn Norge AS fra 20.04.2013	2013-04-29	Andre meldinger	9999-12-31	4238348	2013-05-08
420	3007	Tillatelsen er innført i Petroleumsregisterert.	2007-03-23	Ny tillatelse	9999-12-31	4238409	2013-05-08
420	3249	Norsk Hydro Produksjon AS har overført alle eiendeler (herunder alle selskapets andeler i utvinningstillatelser) til det nystiftede selskapet Norsk Hydro Petroleum AS med virkning fra 21.04.2007.	2007-11-01	Andre meldinger	9999-12-31	4238409	2013-05-08
420	3387	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 01.10.2007.	2007-11-10	Andre meldinger	9999-12-31	4238409	2013-05-08
420	4876	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4238409	2013-05-08
419	3005	Tillatelsen er innført i Petroleumsregisterert.	2007-03-22	Ny tillatelse	9999-12-31	4238530	2013-05-08
419	4113	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	4238530	2013-05-08
419	4188	Premier Oil Norge AS overdrar sin 25 % deltakerandel i utvinningstillatelsen til Nexen Exploration Norge AS med virkning fra 17. februar 2009.	2009-02-19	Endring i tillatelse	9999-12-31	4238530	2013-05-08
419	4420	Nexen Exploration Norge AS har overdratt en 25% deltakerandel i tillatelsen til PGNiG Norway AS med virkning fra 15.5.2009	2009-05-19	Endring i tillatelse	9999-12-31	4238530	2013-05-08
419	4592	Edison International S.P.A har endret navn til Edison International Norway Branch med virkning fra 8.5.2007.	2009-10-28	Andre meldinger	9999-12-31	4238530	2013-05-08
419	4908	I medhold av brev datert 4.11.2009 godkjenner Olje- og energidepartementet innsendte endringsavtale fra Nexen Exploration Norge AS på vegne av rettighetshaverne i utvinningstillatelsen datert 5.10.2009. Wintershall Norge ASA og Edison International Spa trådte ut av utvinningstillatelsen med virkning fra 30.juni 2009, jf. samarbeidsavtalen artikkel 24.4.	2009-11-23	Endring i tillatelse	9999-12-31	4238530	2013-05-08
419	5068	Nexen Exploration Norge AS overdrar en 30 % deltakerandel i utvinningstillatelsen til OMV (Norge) AS med virkning fra 22. desember 2009.	2010-01-08	Endring i tillatelse	9999-12-31	4238530	2013-05-08
211 B	2982	Tillatelsen er innført i Petroleumsregisterert.	2007-03-21	Ny tillatelse	9999-12-31	4238638	2013-05-08
211 B	3487	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	4238638	2013-05-08
211 B	4156	StatoilHydro ASA har overdratt sin 30 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	4238638	2013-05-08
211 B	4818	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4238638	2013-05-08
211 B	7026	Statoil Petroleum AS har overdratt sin 30 % andel i utvinningstillatelsen til Maersk Oil Norway AS. Iht. skjøte er gjennomføringsdato 22.3.2013 og virkningsdato 1.1.2013	2013-04-16	Endring i tillatelse	2013-04-18	4238638	2013-05-08
433	3020	Tillatelsen er innført i Petroleumsregisterert.	2007-03-23	Ny tillatelse	9999-12-31	4238654	2013-05-08
433	3789	Faroe Petroleum Norge AS har overdratt en en 15% deltakerandel i tillatelsen til E.ON Ruhrgas Norge AS med virkning fra 01.01.2008.	2008-03-29	Endring i tillatelse	9999-12-31	4238654	2013-05-08
433	4619	Centrica Resources (Norge) AS overdrar en 12 % deltakerandel i utvinningstillatelsen til North Energy AS med virkning fra 1.7.2009.	2009-11-02	Endring i tillatelse	9999-12-31	4238654	2013-05-08
433	5357	North Energy AS har endret navn til North Energy ASA med virkning fra 17.12.2009.	2010-04-20	Andre meldinger	9999-12-31	4238654	2013-05-08
433	5687	North Energy ASA  pantsetter sin 12 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	9999-12-31	4238654	2013-05-08
433	5755	Petro-Canada Norge AS har endret navn til Suncor Energy Norge AS med virkning fra 28.2.2011.	2011-03-16	Andre meldinger	9999-12-31	4238654	2013-05-08
433	5892	Faroe Petroleum Norge AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	4238654	2013-05-08
433	6194	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5687) hvor North Energy ASA pantsetter sin 12 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	9999-12-31	4238654	2013-05-08
433	6208	North Energy ASA pantsetter sin 12 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	9999-12-31	4238654	2013-05-08
433	6301	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	4238654	2013-05-08
433	6566	Pantobligasjon pålydende NOK 950 000 000 skriver norske kroner nihundreogfemtimillioner  00/100 datert 2.3.2012 (dok. nr. 6208) hvor North Energy ASA pantsetter sin 12 % deltakerandel i utvinningstillatelsen til DNB Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 28.8.2012.	2012-08-29	Sletting av heftelse	9999-12-31	4238654	2013-05-08
433	6567	North Energy ASA overdrar sin 12 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 31.8.2012.	2012-08-29	Endring i tillatelse	9999-12-31	4238654	2013-05-08
435	3022	Tillatelsen er innført i Petroleumsregisterert.	2007-03-23	Ny tillatelse	9999-12-31	4238696	2013-05-08
435	4117	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-06	Andre meldinger	9999-12-31	4238696	2013-05-08
435	4593	Edison International S.P.A. har endret navn til Edison International Norway Branch med virkning fra 8.5.2007.	2009-10-28	Andre meldinger	9999-12-31	4238696	2013-05-08
700	6922	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22821177	2013-05-08
435	5478	Wintershall Norge ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Maersk Oil Norway AS med virkning fra 30.8.2010.	2010-09-01	Endring i tillatelse	9999-12-31	4238696	2013-05-08
435	5551	Norwegian Energy Company ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank som agent for et syndikat av banker. Første prioritet panteobligasjon stor NOK 1,950,000,000 skriver norske kroner enmilliardnihundreogfemtimillioner, pluss USD 25,000,000 skriver amerikanske dollar tjuefemmillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 18.6.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  Olje- og energidepartementet har pr. telefon 30.11.2010 bekreftet fortsatt gyldighet av samtykke datert 18.6.2009. Pantsettelsen utgjør et såkalt krysspant. 	2010-11-30	Heftelse	9999-12-31	4238696	2013-05-08
435	5992	Pantobligasjon pålydende NOK 1,950,000,000 skriver norske kroner enmilliardnihundreogfemti millioner, pluss USD 25,000,000 skriver amerikanske dollar tjuefemillioner  00/100 datert 30.11.2010 (dok. nr. 5551) hvor Norwegian Energi Company ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen  til Sparebank 1 SR-Bank er slettet. Samtykke fra panthaver, foreligger.	2011-11-02	Sletting av heftelse	9999-12-31	4238696	2013-05-08
435	6071	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til OMV (Norge) AS med virkning fra 1.1.2011.	2012-01-02	Endring i tillatelse	9999-12-31	4238696	2013-05-08
448	3081	Tillatelsen er innført i petroleumsregisteret.	2007-07-20	Ny tillatelse	9999-12-31	4238790	2013-05-08
448	3561	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-28	Andre meldinger	9999-12-31	4238790	2013-05-08
448	4078	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	4238790	2013-05-08
448	4329	StatoilHydro ASA har overdratt sin 33.53% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	4238790	2013-05-08
448	4882	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4238790	2013-05-08
448	6178	Hess Norge AS overdrar sin 3,26 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 1.1.2011.	2012-02-07	Endring i tillatelse	9999-12-31	4238790	2013-05-08
438	3025	Tillatelsen er innført i Petroleumsregisterert.	2007-03-23	Ny tillatelse	9999-12-31	4238812	2013-05-08
438	5276	Marathon Petroleum Norge AS overdrar en 7,5 % deltakerandel i utvinningstillatelsen til Talisman Energy Norge AS med virkning fra 26.2.2010.	2010-03-16	Endring i tillatelse	9999-12-31	4238812	2013-05-08
438	5366	Lundin Norway AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Talisman Energy Norge AS med virkning fra 30. april 2010.	2010-05-04	Endring i tillatelse	9999-12-31	4238812	2013-05-08
438	5787	Marathon Petroleum Norge AS overdrar sin 17,5 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 13.5.2011.	2011-05-13	Endring i tillatelse	9999-12-31	4238812	2013-05-08
438	5938	Talisman Energy Norge AS overdrar en 10% deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 1.1.2011.	2011-09-12	Endring i tillatelse	9999-12-31	4238812	2013-05-08
438	6413	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	4238812	2013-05-08
438	6523	Spring Energy Norway AS pantsetter sin 17,5 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	4238812	2013-05-08
438	6711	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	4238812	2013-05-08
438	6879	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.2.2013	2013-02-19	Andre meldinger	2013-02-27	4238812	2013-05-08
439	3026	Tillatelsen er innført i Petroleumsregisterert.	2007-03-23	Ny tillatelse	2013-02-13	4238830	2013-05-08
439	3646	OMV Norge AS har overdratt en 10% andel i tillatelsen til Sagex Petroleum Norge AS.	2008-02-02	Endring i tillatelse	2013-02-13	4238830	2013-05-08
439	5370	Sagex Petroleum Norge AS  pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 30,000,000, skriver norske kroner trettimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 27.4.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-05-11	Heftelse	2013-02-13	4238830	2013-05-08
439	5791	Pantobligasjon stor NOK 30,000,000 skriver norske kroner trettimillioner  00/100 datert 11.5.2010 (dok. nr. 5370) hvor Sagex Petroleum Norge AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver, Skandinaviska Enskilda Banken AB (publ) foreligger.	2011-06-14	Sletting av heftelse	2013-02-13	4238830	2013-05-08
439	5987	Sagex Petroleum Norge AS har endret navn til Valiant Petroleum Norge AS, med virkning fra 8.10.2011.	2011-11-01	Andre meldinger	2013-02-13	4238830	2013-05-08
050 DS	4338	Tillatelsen er registret i petroleumsregisteret.	2009-03-03	Ny tillatelse	9999-12-31	4380141	2013-05-08
050 DS	4339	I brev av 20.9.2007 har Olje- og energidepartement gokjent utvidet konsesjonsperiode til 23.8.2023.	2009-03-03	Andre meldinger	9999-12-31	4380141	2013-05-08
050 DS	4340	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 1.10.2007	2009-03-03	Andre meldinger	9999-12-31	4380141	2013-05-08
050 DS	4341	Statoil ASA har endret navn til StatoilHydro ASA, med virkning fra 1.10.2007	2009-03-03	Endring i tillatelse	9999-12-31	4380141	2013-05-08
050 DS	4342	StatoilHydro ASA har overdratt sin 61% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-03-03	Endring i tillatelse	9999-12-31	4380141	2013-05-08
050 DS	4643	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	4380141	2013-05-08
120 B	3810	Tillatelsen er innført i petroleumsregisteret.	2008-04-23	Ny tillatelse	9999-12-31	4380181	2013-05-08
120 B	3811	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2008-04-23	Andre meldinger	9999-12-31	4380181	2013-05-08
120 B	3812	Norsk Hydro Produksjon AS har endret navn til StatoilHydro Petroleum AS. med virkning fra 01.10.2007.	2008-04-23	Andre meldinger	9999-12-31	4380181	2013-05-08
120 B	3813	Norske ConocoPhillips er innfusjonert i ConocoPhillips Skandinavia AS med virkning fra 25.09.2007.	2008-04-23	Andre meldinger	9999-12-31	4380181	2013-05-08
120 B	3814	I brev av 20.09.2007 har OED utvidet konsesjonstid til 23.08.2023.	2008-04-23	Andre meldinger	9999-12-31	4380181	2013-05-08
120 B	4126	StatoilHydro ASA har overdratt sin 30.064516% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-17	Endring i tillatelse	9999-12-31	4380181	2013-05-08
120 B	4692	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	4380181	2013-05-08
229 B	3037	Tillatelsen er registrert i Petroleumsregistreret.	2007-06-14	Ny tillatelse	9999-12-31	4461754	2013-05-08
229 B	3045	Det Norske Oljeselskap AS har endret navn til Det Norske Oljeselskap ASA.	2007-07-03	Andre meldinger	9999-12-31	4461754	2013-05-08
229 B	3499	Statoil ASA har endret navn til StatoilHydro ASA med virkning fra 01.10.2007	2007-12-02	Andre meldinger	9999-12-31	4461754	2013-05-08
229 B	3601	Det Norske Oljeselskap ASA har endret navn til Noil Energy ASA med virkning fra 16.11.2007	2008-01-13	Andre meldinger	9999-12-31	4461754	2013-05-08
229 B	3875	Olje- og energidepartemet har i brev av 01.07.2008 gitt samtykke etter petroleumsloven § 10-12 til gjennomføring av fusjonsplanen. Finansdepartement har i brev av 24.06.2008 gitt sitt samtykke. NOIL Energy ASA er innfusjonert i Det norske oljeselskap ASA fra 21.05.2008. Fusjonen gjennomføres på følgende måte: NOIL Energy ASA overfører vederlagsfritt alle sine eiendeler, rettigheter og forpliktelser til Det norske oljeselskap ASA i tillatelsen.	2008-07-08	Endring i tillatelse	9999-12-31	4461754	2013-05-08
229 B	4017	Det norske oljeselskap ASA har overdratt sin 15% andel i tillatelsen til StatoilHydro ASA, med virkning fra 30.12.2008.	2009-01-03	Endring i tillatelse	2013-05-08	4461754	2013-05-08
229 B	4297	StatoilHydro ASA har overdratt sin 35% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	4461754	2013-05-08
229 B	4823	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4461754	2013-05-08
327 B	4346	Tillatelse er innført i petroleumsregisteret.	2009-03-04	Ny tillatelse	9999-12-31	4720054	2013-05-08
327 B	4347	StatoilHydro ASA har overdratt sin 70% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-03-04	Endring i tillatelse	9999-12-31	4720054	2013-05-08
327 B	4847	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4720054	2013-05-08
274 CS	3725	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-15	Ny tillatelse	9999-12-31	4909658	2013-05-08
274 CS	4091	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-05	Andre meldinger	9999-12-31	4909658	2013-05-08
274 CS	4378	PA Resources Norway AS har endret navn til Bayerngas Produksjon Norge AS med virkning fra 21.1.2009	2009-04-15	Andre meldinger	9999-12-31	4909658	2013-05-08
274 CS	4530	Wintershall Norge ASA har overdratt sin 15% deltakerandel i tillatelsen til Dong E&P Norge AS med virkning fra 31. 7.2009.	2009-08-04	Endring i tillatelse	9999-12-31	4909658	2013-05-08
274 CS	5488	Bayern Gas Produksjon Norge AS overdrar sin 30 % deltakerandel til Bayerngas Norge AS med virkning fra 23.3.2009.	2010-09-03	Endring i tillatelse	9999-12-31	4909658	2013-05-08
274 CS	5503	Norwegian Energy Company ASA overdrar sin 15 % deltakerandel i utvinningstillatelsen til Altinex Oil Norway AS med virkning fra 1.1.2010.	2010-09-13	Endring i tillatelse	9999-12-31	4909658	2013-05-08
274 CS	5778	Altinex Oil Norway AS  pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 600,000,000, skriver norske kroner sekshundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.4.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  Pantsettelsen utgjør et såkalt krysspant. 	2011-04-26	Heftelse	9999-12-31	4909658	2013-05-08
274 CS	6562	Altinex Oil Norway AS har endret navn til Noreco Norway AS med virkning fra 5.7.2012.	2012-08-28	Andre meldinger	9999-12-31	4909658	2013-05-08
450	3730	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-15	Ny tillatelse	9999-12-31	4909784	2013-05-08
450	3974	Det norske oljeselskap ASA har overdratt en 25% andel i tillatelsen til Dana Petroleum Norway AS med virkning fra 01.03.2008.	2008-11-04	Endring i tillatelse	9999-12-31	4909784	2013-05-08
450	4959	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	4909784	2013-05-08
450	5013	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	4909784	2013-05-08
450	5234	Det norske oljeselskap ASA pantsetter sin 75 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	4909784	2013-05-08
450	6185	Reduksjon av pantsettelse (dok.nr.:  5234, registrert 5.3.2012) i Det norske oljeselskap ASA sin deltakerandel i utvinningstillatelsen fra 75 % til 60 %. Panthaver DnB Bank ASA samtykker i reduksjon fra 75 % til 60 % i brev datert 13.2.2012.	2012-02-20	Heftelse	9999-12-31	4909784	2013-05-08
450	6186	Det norske oljeselskap ASA overdrar en 15 % deltakerandel i utvinningstillatelsen til North Energy ASA med virkning fra 1.1.2011.	2012-02-20	Endring i tillatelse	9999-12-31	4909784	2013-05-08
450	6415	Det norske oljeselskap ASA pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	4909784	2013-05-08
488	4335	StatoilHydro ASA har overdratt sin 33.53% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	2013-01-23	4921192	2013-05-08
450	6731	North Energy ASA pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	9999-12-31	4909784	2013-05-08
455	3735	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-16	Ny tillatelse	9999-12-31	4909816	2013-05-08
455	3855	Skeie Energy AS pantsetter sin 30% andel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 500,000,000 skriver norske kroner femhundremiljoner 00/100. Pantsetter har ikke rett til å overdra eller foreta yttterligere pantsetttelse av det pantsatte objekt uten skriftlig samtykke fra panthaver. 	2008-07-01	Heftelse	9999-12-31	4909816	2013-05-08
455	3988	Norwegian Energy Company ASA har overdratt en 20% andel i tillatelsen til Lotos Exploration & Production Norge AS med virkning fra 01.03.2008.	2008-11-28	Endring i tillatelse	9999-12-31	4909816	2013-05-08
455	4504	Patobligasjon stor NOK 500,000,000 skriver norske kroner femhundremillioner 00/100. Datert 1.7.2008 dok. nr 3855 hvor Skeie Energy AS er pantsetter og DnB NOR Bank ASA er panthaver, er slettet.	2009-07-15	Endring i tillatelse	9999-12-31	4909816	2013-05-08
455	4508	Skeie Energy AS pantsetter sin 30% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 800,000,000 skriver norske kroner åttehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-07-15	Heftelse	9999-12-31	4909816	2013-05-08
455	4516	Pantobligasjon stor NOK 500,000,000, datert 01.07.2008 dok nr 3855 er slettet og erstattet med dok nr 4508datert 15.7.2009	2009-07-15	Sletting av heftelse	2013-05-08	4909816	2013-05-08
455	5136	Lotos Exploration and Production Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 180 000 000 pluss 10 %, skriver norske kroner ett hundre og åtti millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 10.2.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-15	Heftelse	9999-12-31	4909816	2013-05-08
455	5616	Skeie Energy AS har endret foretaksnavn til E&P Holding AS med virkning fra 30.12.2010.	2011-01-25	Andre meldinger	9999-12-31	4909816	2013-05-08
455	5865	Norwegian Energy Company ASA overdrar en 25 % deltakerandel i utvinningstillatelsen til E&P Holding AS med virkning fra 1. juli 2011.	2011-07-01	Endring i tillatelse	9999-12-31	4909816	2013-05-08
455	5866	Norwegian Energy Company ASA overdrar sin 25 % deltakerandel til Lotos Exploration and Production Norge AS med virkning fra 1. juli 2011. Lotos Exploration and Production Norge AS overtar operatørskapet i utvinningstillatelsen, ref. samtykke gitt i brev fra Olje- og energidepartementet datert 9.6.2011.	2011-07-01	Endring i tillatelse	9999-12-31	4909816	2013-05-08
455	6072	Pantobligasjon stor NOK 800 000 000 skriver norske kroner åttehundremillioner  00/100 datert 15.7.2009 (dok. nr. 4508) hvor Skeie Energy AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger.	2012-01-12	Sletting av heftelse	9999-12-31	4909816	2013-05-08
455	6075	EP Holding AS overdrar sin 55 % deltakerandel i utvinningstillatelsen til Fortis Petroleum Norway AS med virkning fra 16.12.2011.	2012-01-12	Endring i tillatelse	9999-12-31	4909816	2013-05-08
455	6162	Pantobligasjon pålydende NOK 180 000 000 pluss 10 %, skriver norske kroner ett hundre og åtti millioner pluss ti prosent datert 15.2.2010 (dok. nr. 5136) hvor Lotos Exploration and Production Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA er slettet. Samtykke fra panthaver, DnB NOR Bank ASA foreligger i brev datert 27.1.2012.	2012-02-01	Sletting av heftelse	9999-12-31	4909816	2013-05-08
455	6282	Fortis Petroleum Norway AS pantsetter sin 55 % deltakerandel i utvinningstillatelsen til fordel for DnB  Bank ASA. Første prioritet panteobligasjon stor NOK 160,000,000, skriver norske kroner etthundreogsekstimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.2.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-03	Heftelse	9999-12-31	4909816	2013-05-08
453 S	3733	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-16	Ny tillatelse	9999-12-31	4909893	2013-05-08
453 S	3925	Endeavour Energy Norge AS overdrar en 5% andel i tillatelsen til Lundin Norway AS med virkning fra 29.02.2008.	2008-08-12	Endring i tillatelse	2013-05-08	4909893	2013-05-08
453 S	3926	Endeavour Energy Norge AS overdrar en 5% andel i tillatelsen til Norwegian Energy Company ASA med virkning fra 29.02.2008.	2008-08-12	Endring i tillatelse	9999-12-31	4909893	2013-05-08
453 S	4613	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	4909893	2013-05-08
453 S	4758	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	4909893	2013-05-08
453 S	4759	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009.	2009-11-09	Andre meldinger	9999-12-31	4909893	2013-05-08
453 S	4961	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	4909893	2013-05-08
453 S	5015	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	4909893	2013-05-08
453 S	5236	Det norske oljeselskap ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	4909893	2013-05-08
453 S	6416	Det norske oljeselskap ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	4909893	2013-05-08
488	4888	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	2013-01-23	4921192	2013-05-08
453 S	6574	Norwegian Energy Company ASA pantsetter sin 25 % deltakerandel i tillatelsen til fordel for SpareBank 1 SR-Bank ASA. Førsteprioritet pantobligasjon pålydende NOK 1,950,000,000 skriver norske kroner enmilliardnihundreogfemtimillioner 00/100, pluss USD 25,000,000 skriver tjuefemmillioner amerikanske dollar. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 22.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  Pantsettelsen utgjør et såkalt krysspant.	2012-09-19	Heftelse	2013-04-04	4909893	2013-05-08
453 S	6786	Norwegian Energy Company ASA overdrar sin 25 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	4909893	2013-05-08
453 S	6974	Pantobligasjon pålydende NOK  1,950,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner, pluss USD 25,000,000 skriver tjuefemmillioner hvor Norwegian Energy Company ASA  pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank datert 19.9.2012 (dok. nr.: 6574) er slettet. Samtykke fra panthaver SpareBank 1 SR-Bank foreligger i brev datert  20.3.2013.	2013-04-02	Sletting av heftelse	2013-04-04	4909893	2013-05-08
453 S	6993	Noreco Norway AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	4909893	2013-05-08
457	3737	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-16	Ny tillatelse	9999-12-31	4910110	2013-05-08
457	4118	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-06	Andre meldinger	9999-12-31	4910110	2013-05-08
457	4614	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	4910110	2013-05-08
457	4760	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	4910110	2013-05-08
457	4761	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009.	2009-11-09	Andre meldinger	9999-12-31	4910110	2013-05-08
457	6024	Bridge Energy Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	9999-12-31	4910110	2013-05-08
457	6302	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	4910110	2013-05-08
457	6345	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	4910110	2013-05-08
460	3740	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-16	Ny tillatelse	2013-03-01	4910195	2013-05-08
460	3993	StatoilHydro ASA overdrar sin 30 % andel i utvinningstillatelse 460 til Aker Exploration AS med virkning fra 30. november 2008.	2008-12-10	Endring i tillatelse	2013-03-01	4910195	2013-05-08
460	3996	Aker Exploration AS overdrar en 12,5% andel i utvinningstillatelse 460 til Det norske oljeselskap ASA med virkning fra 31.12.2008	2008-12-19	Endring i tillatelse	2013-03-01	4910195	2013-05-08
460	4392	Aker Exploration AS pantsetter sin 47.5% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 2,200,000,000 skrver norske kroner tomilliarderogtohundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver.	2009-04-27	Heftelse	2013-03-01	4910195	2013-05-08
460	4963	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	2013-03-01	4910195	2013-05-08
460	5017	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	2013-03-01	4910195	2013-05-08
460	5041	Aker Exploration AS har endret navn til Det norske oljeselskap AS med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	2013-03-01	4910195	2013-05-08
460	5191	Pantobligasjon stor NOK 2,200,000,000 skriver norske kroner tomilliardertohundremillioner 00/100 datert 27.4.2009 (dok. nr. 4392) hvor Aker Exploration AS pantsetter sin 47,5 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 9.2.2010.	2010-03-05	Sletting av heftelse	2013-03-01	4910195	2013-05-08
460	5238	Det norske oljeselskap ASA pantsetter sin 52,5 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	2013-03-01	4910195	2013-05-08
460	5260	Det norske oljeselskap AS pantsetter sin 47,5 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	2013-03-01	4910195	2013-05-08
460	5624	Pantobligasjon stor NOK 4,500,000,000 skriver norske kroner firemilliarderfemhundre millioner 00/100 datert 5.3.2010 (dok. nr.5260) hvor Det norske oljeselskap AS pantsetter sin 47,5 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 23.12.2010	2011-01-31	Sletting av heftelse	2013-03-01	4910195	2013-05-08
460	5641	Det norske oljeselskap AS overdrar sin 47,5 % deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 1.10.2010.	2011-01-31	Endring i tillatelse	2013-03-01	4910195	2013-05-08
460	5657	Det norske oljeselskap ASA pantsetter sin 100 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-01-31	Heftelse	2013-03-01	4910195	2013-05-08
460	5745	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5238) hvor Det norske oljeselskap ASA pantsetter sin 52,5 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 9.3.2011.	2011-03-10	Sletting av heftelse	2013-03-01	4910195	2013-05-08
153 B	3728	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-15	Ny tillatelse	9999-12-31	4918242	2013-05-08
153 B	4068	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	9999-12-31	4918242	2013-05-08
153 B	4170	StatoilHydro ASA har overdratt sin 20 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-17	Endring i tillatelse	9999-12-31	4918242	2013-05-08
153 B	4709	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	4918242	2013-05-08
153 B	5550	Statoil Petroleum AS bekrefter i brev datert 24.11.2010 at GDF SUEZ E&P Norway AS overtar som operatør i utvinningstillatelsen med virkning fra 25.11.2010 kl. 24:00.	2010-11-25	Andre meldinger	9999-12-31	4918242	2013-05-08
475	3763	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-17	Ny tillatelse	9999-12-31	4918410	2013-05-08
475	3857	Concedo ASA pantsetter sin 20% andel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 110,000,000 skriver norske kroner ethundreogtimiljoner 00/100. Pantsetter har ikke rett til å overdra eller foreta yttterligere pantsetttelse av det pantsatte objekt uten skriftlig samtykke fra panthaver. 	2008-07-01	Heftelse	9999-12-31	4918410	2013-05-08
475	4120	Revus Energy ASA har endret navn til Wintershall Norge ASA, med virkning fra 17.01.2009.	2009-02-06	Andre meldinger	9999-12-31	4918410	2013-05-08
475	4918	Reduksjon av pantsettelse  (dok.nr. 3857, registrert 1.7.2008) i Concedo ASA sin deltakerandel i utvinningstillatelsen fra 20 % til 10 %.  Panthaver DnB Nor ASA samtykker i reduksjon fra 20 % til 10 %, samt etterfølgende overdragelse av den frigitte andelen.	2009-12-21	Heftelse	2013-05-08	4918410	2013-05-08
475	4923	Concedo ASA overdra en 10 % deltakerandel i utvinningstillatelsen til Wintershall Norge ASA med virkning fra 1. januar 2009	2009-12-22	Endring i tillatelse	9999-12-31	4918410	2013-05-08
475	5063	Wintershall Norge ASA overdrar en 15 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 1.1.2010.	2009-12-29	Endring i tillatelse	9999-12-31	4918410	2013-05-08
475	5131	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). Førsteprioritet pantobligasjon stor NOK 1,000,000,000, skriver norske kroner en milliard 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 21.1.2010, gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-11	Heftelse	9999-12-31	4918410	2013-05-08
475	5439	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 11.2.2010 (dok. nr. 5131) hvor Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.08.2010.	2010-08-12	Sletting av heftelse	9999-12-31	4918410	2013-05-08
475	5462	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	4918410	2013-05-08
475	5894	Faroe Petroleum Norge AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	4918410	2013-05-08
475	5956	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5462) hvor Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver, Skandinaviska Enskilda Banken AB (publ) foreligger.	2011-09-30	Sletting av heftelse	9999-12-31	4918410	2013-05-08
475	5965	Spring Energy Norway AS overdrar sin 15 % deltakerandel i utvinningstillatelsen til Wintershall Norge ASA med virkning fra 30.9.2011.	2011-10-05	Endring i tillatelse	9999-12-31	4918410	2013-05-08
475	5970	Dok. nr. 4918 er slettet, samtykke fra DnB NOR Bank ASA foreligger i brev datert 11.10.2011.	2011-10-13	Sletting av heftelse	9999-12-31	4918410	2013-05-08
475	5971	Dok. nr. 3857 er slettet, som følge av sletting av dok. nr. 4918.	2011-10-13	Sletting av heftelse	9999-12-31	4918410	2013-05-08
475	5972	Concedo ASA overdrar sin 10% deltakerandel i utvinningstillatelsen til Wintershall Norge ASA med virkning fra 30.9.2011.	2011-10-13	Endring i tillatelse	9999-12-31	4918410	2013-05-08
475	6346	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	4918410	2013-05-08
405 B	3727	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-15	Ny tillatelse	9999-12-31	4918473	2013-05-08
405 B	4912	Faroe Petroleum Norge AS har overdratt en 15 % deltakerandel i tillatelsen til Spring Energy Norway AS med virkning fra 1.1.2009.	2009-12-01	Endring i tillatelse	9999-12-31	4918473	2013-05-08
405 B	5460	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	4918473	2013-05-08
405 B	5754	Petro-Canada Norge AS har endret navn til Suncor Energy Norge AS med virkning fra 28.2.2011.	2011-03-16	Andre meldinger	9999-12-31	4918473	2013-05-08
488	6179	Hess Norge AS overdrar sin 3,26 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 1.1.2011.	2012-02-07	Endring i tillatelse	2013-01-23	4921192	2013-05-08
488	6865	OED bekrefter i brev datert 17.1.2013 at utvinningstillatelsen bortfaller fra og med 19.11.2012.	2013-01-22	Andre meldinger	2013-01-25	4921192	2013-05-08
490	3748	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-17	Ny tillatelse	9999-12-31	4921353	2013-05-08
405 B	5889	Faroe Petroleum Norge AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	4918473	2013-05-08
405 B	6505	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5460) hvor Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	4918473	2013-05-08
405 B	6521	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	4918473	2013-05-08
405 B	6878	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.2.2013	2013-02-19	Andre meldinger	2013-02-27	4918473	2013-05-08
471	3751	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-17	Ny tillatelse	2013-03-22	4918501	2013-05-08
471	4589	Sagex Petroleum Norge AS overdrar en 30 % deltakerandel i utvinningstillatelsen til Norwegian Energy Company ASA med virkning fra 1.7.2009.	2009-10-21	Endring i tillatelse	2013-03-22	4918501	2013-05-08
471	5372	Sagex Petroleum Norge AS  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 30,000,000, skriver norske kroner trettimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 27.4.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-05-11	Heftelse	2013-03-22	4918501	2013-05-08
471	5792	Pantobligasjon stor NOK 30,000,000 skriver norske kroner trettimillioner  00/100 datert 11.5.2010 (dok. nr. 5372) hvor Sagex Petroleum Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver, Skandinaviska Enskilda Banken AB (publ) foreligger.	2011-06-14	Sletting av heftelse	2013-03-22	4918501	2013-05-08
471	5988	Sagex Petroleum Norge AS har endret navn til Valiant Petroleum Norge AS, med virkning fra 8.10.2011.	2011-11-01	Andre meldinger	2013-03-22	4918501	2013-05-08
471	6462	OMV (Norge) AS overdrar en 10% deltakerandel i utvinningstillatelsen til Norwegian Energy Company ASA med virkning fra 31.5.2012.	2012-06-04	Endring i tillatelse	2013-03-22	4918501	2013-05-08
471	6787	Norwegian Energy Company ASA overdrar sin 40 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	2013-03-22	4918501	2013-05-08
471	6968	Olje- og energidepartementet bekrefter i brev datert 18.3.2013 at utvinningstillatelsen anses som bortfalt fra 28.2.2013, jf. petroleumsloven § 3-15. 	2013-03-21	Andre meldinger	9999-12-31	4918501	2013-05-08
471	6994	Noreco Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	4918501	2013-05-08
074 B	3758	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-17	Ny tillatelse	9999-12-31	4918544	2013-05-08
074 B	3941	Mobil Development Norway A/S har overdratt sin 9,80% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	4918544	2013-05-08
074 B	4256	StatoilHydro ASA har overdratt sin 40,85 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	4918544	2013-05-08
074 B	4663	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	4918544	2013-05-08
473	3753	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-17	Ny tillatelse	9999-12-31	4920841	2013-05-08
473	3959	Mobil Development Norway A/S har overdratt sin 9,8% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	4920841	2013-05-08
473	4332	StatoilHydro ASA har overdratt sin 40.85% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	4920841	2013-05-08
473	4885	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4920841	2013-05-08
479	3756	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-17	Ny tillatelse	9999-12-31	4920979	2013-05-08
479	3960	Mobil Development Norway A/S har overdratt sin 14,7% eierandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 01.01.2008.	2008-09-04	Endring i tillatelse	9999-12-31	4920979	2013-05-08
479	4333	StatoilHydro ASA har overdratt sin 40.95% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	4920979	2013-05-08
479	4886	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4920979	2013-05-08
477	3765	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-17	Ny tillatelse	9999-12-31	4921022	2013-05-08
477	5756	Petro-Canada Norge AS har endret navn til Suncor Energy Norge AS med virkning fra 28.2.2011.	2011-03-16	Andre meldinger	9999-12-31	4921022	2013-05-08
477	5895	Faroe Petroleum Norge AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	4921022	2013-05-08
488	3761	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-17	Ny tillatelse	2013-01-23	4921192	2013-05-08
488	4081	Gaz De France Norge AS har endret navn til GDF SUEZ E&P Norge AS, med virkning fra 29.12.2008.	2009-02-03	Andre meldinger	2013-01-23	4921192	2013-05-08
490	4397	Aker Exploration AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 2,200,000,000 skrver norske kroner tomilliarderogtohundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver.	2009-04-27	Heftelse	9999-12-31	4921353	2013-05-08
490	4532	Det norske oljeselskap ASA har overdratt en 10% deltakerandel i tillatelsen til Talisman Energy Norge AS med virkning fra 1.1.2009.	2009-08-10	Endring i tillatelse	9999-12-31	4921353	2013-05-08
490	4969	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	4921353	2013-05-08
490	5023	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	4921353	2013-05-08
490	5047	Aker Exploration AS har endret navn til Det norske oljeselskap AS med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	4921353	2013-05-08
490	5197	Pantobligasjon stor NOK 2,200,000,000 skriver norske kroner tomilliardertohundremillioner 00/100 datert 27.4.2009 (dok. nr. 4397) hvor Aker Exploration AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 9.2.2010.	2010-03-05	Sletting av heftelse	9999-12-31	4921353	2013-05-08
490	5244	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	4921353	2013-05-08
490	5266	Det norske oljeselskap AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	4921353	2013-05-08
490	5367	Lundin Norway AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Talisman Energy Norge AS med virkning fra 30. april 2010.	2010-05-04	Endring i tillatelse	9999-12-31	4921353	2013-05-08
490	5628	Pantobligasjon stor NOK 4,500,000,000 skriver norske kroner firemilliarderfemhundre millioner 00/100 datert 5.3.2010 (dok. nr.5266) hvor Det norske oljeselskap AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 23.12.2010.	2011-01-31	Sletting av heftelse	9999-12-31	4921353	2013-05-08
490	5646	Det norske oljeselskap AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 1.10.2010.	2011-01-31	Endring i tillatelse	9999-12-31	4921353	2013-05-08
490	5662	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-01-31	Heftelse	9999-12-31	4921353	2013-05-08
490	5747	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5244) hvor Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 9.3.2011.	2011-03-10	Sletting av heftelse	9999-12-31	4921353	2013-05-08
490	5940	Lundin Norway AS har i brev datert 24.5.2011 til  Olje- og energidepartementet meldt om videreføring av utvinningstillatelsen. Olje- og energidepartementet har i brev datert 14.9.2011 bekreftet endring i eierandeler som følge av uttreden fra Det norske oljeselskap ASA og Talisman Energy Norge AS jamfør utvinningstillatelsen  pkt. 4 b.	2011-09-19	Endring i tillatelse	9999-12-31	4921353	2013-05-08
490	5941	Norwegian Energy Company ASA overdrar en 20 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 1.1.2011.	2011-09-21	Endring i tillatelse	9999-12-31	4921353	2013-05-08
490	6068	Norwegian Energy Company ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Sparebank 1 SR-Bank. Første prioritet panteobligasjon pålydende NOK 1 950 000 000, skriver norske kroner enmilliardnihundreogfemtimillioner, og USD 25 000 000, skriver amerikanske dollar tjuefemmillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd annet punktum at det etableres et såkalt krysspant.  	2011-12-29	Heftelse	9999-12-31	4921353	2013-05-08
490	6524	Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	4921353	2013-05-08
490	6679	Lundin Norway AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 31.10.2012.	2012-11-09	Endring i tillatelse	9999-12-31	4921353	2013-05-08
490	6680	Dok. nr. 5662 registrert 31.1.2011 er slettet som følge av uttreden, ref. dok nr. 5940. Olje og energidepartementet har i brev datert 14.9.2011 bekreftet endringen i eierandeler som følge av uttreden fra Det norske oljeselskap ASA og Talisman Energy Norge AS jamfør utvinningstillatelsen pkt. 4 b.	2012-11-09	Sletting av heftelse	9999-12-31	4921353	2013-05-08
490	6789	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	4921353	2013-05-08
490	6880	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.2.2013	2013-02-19	Andre meldinger	2013-02-27	4921353	2013-05-08
263 C	4026	StatoilHydro Petroleum AS overdra en 7,98% deltakerandel i utvinningstillatelse 263C til Petoro AS med virkning fra 30.juni 2008.	2009-01-12	Endring i tillatelse	9999-12-31	4966437	2013-05-08
263 C	4027	StatoilHydro Petroleum AS overdrar en 3,92% deltakerandel til ENi Norge AS med virkning fra 30. juni 2008	2009-01-12	Endring i tillatelse	9999-12-31	4966437	2013-05-08
701	6926	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	23180841	2013-05-08
490	6996	Noreco Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	4921353	2013-05-08
482	3715	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-15	Ny tillatelse	2013-04-17	4921474	2013-05-08
482	4966	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	2013-04-17	4921474	2013-05-08
482	5020	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	2013-04-17	4921474	2013-05-08
482	5241	Det norske oljeselskap ASA pantsetter sin 65 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	2013-04-17	4921474	2013-05-08
482	6418	Det norske oljeselskap ASA pantsetter sin 65 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	2013-04-17	4921474	2013-05-08
482	7024	Olje- og energidepartementet bekrefter i brev datert 10.4.2013 at utvinningstillatelsen anse som bortfalt fra 1.3.2013, jf. utvinningstillatelsen pkt 4c. 	2013-04-16	Andre meldinger	2013-04-18	4921474	2013-05-08
489	3747	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-17	Ny tillatelse	9999-12-31	4921522	2013-05-08
489	4336	StatoilHydro ASA har overdratt sin 40% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-27	Endring i tillatelse	9999-12-31	4921522	2013-05-08
489	4889	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4921522	2013-05-08
481	3718	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-15	Ny tillatelse	2013-05-07	4921546	2013-05-08
481	3896	Discover Petroleum AS pantsetter sin 50 % andel i tillatelsen til fordel for SpareBank 1 SR-Bank. Andreprioritet pantobligasjon stor NOK 650,000,000 skriver norske sekshundrefemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-07-10	Heftelse	2013-05-07	4921546	2013-05-08
481	3907	Discover Petroleum AS pantsetter sin 50 % andel i tillatelsen til fordel for Norsk Tillitsmann ASA. Førstepriortet pantobligasjon stor $ 25,000,000 skriver tjuvefemmillioner US Dollar. Pantsettelsen utgjør et såkalt krysspant. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2008-07-18	Heftelse	2013-05-07	4921546	2013-05-08
481	5381	Discover Petroleum AS har endret navn til Front Exploration AS med virkning fra 26.5.2010.	2010-06-01	Andre meldinger	2013-05-07	4921546	2013-05-08
481	6575	Pantobligasjon pålydende NOK  650,000,000, skriver norske krone sekshundreogfemti millioner 00/100 datert 10.7.2008 (dok. nr. 3896), der Discover Petroleum AS (nå Front Exploration AS) pantsetter sin 50 % deltakerandel (andre prioritet) i utvinningstillatelsen til Sparebank  1 SR Bank er slettet. Samtykke fra panthaver Sparebank  1 SR Bank foreligger i brev datert 24.9.2012.	2012-09-26	Sletting av heftelse	2013-05-07	4921546	2013-05-08
481	6594	Pantobligasjon pålydende USD 25,000,000, skriver amerikanskedollartjuefemmillioner  00/100 datert 18.7.2008 (dok. nr. 3907), der Discover Petroleum AS pantsetter sin 50 % deltakerandel (første prioritet) i utvinningstillatelsen til Norsk Tillitsmann ASA  er slettet. Samtykke fra panthaver Norsk Tillitsmann ASA  foreligger i brev datert 9.10.2012.	2012-10-10	Sletting av heftelse	2013-05-07	4921546	2013-05-08
481	6666	Front Exploration AS overdrar sin 50 % deltakerandel i utvinningstillatelsen til Dong E&P Norge AS med virkning fra 31.10.2012. Dong E&P Norge AS overtar som operatør.	2012-11-02	Endring i tillatelse	2013-05-07	4921546	2013-05-08
484	3716	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-15	Ny tillatelse	9999-12-31	4921632	2013-05-08
484	6303	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	4921632	2013-05-08
484	6788	Norwegian Energy Company ASA overdrar sin 40 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	4921632	2013-05-08
484	6995	Noreco Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	4921632	2013-05-08
492	3750	Ny tillatelse er innført i Petroleumsregisteret.	2008-03-17	Ny tillatelse	9999-12-31	4925088	2013-05-08
492	4971	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	4925088	2013-05-08
492	5025	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	4925088	2013-05-08
492	5246	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	4925088	2013-05-08
492	5368	Lundin Norway AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Talisman Energy Norge AS med virkning fra 30. april 2010.	2010-05-04	Endring i tillatelse	9999-12-31	4925088	2013-05-08
263 C	4028	StatoilHydro Petroleum AS overdrar en 8,01% deltakerandel i utvinningstillatelse 263C til StatoilHydro ASA med virkning fra 30. juni 2009	2009-01-12	Endring i tillatelse	9999-12-31	4966437	2013-05-08
475 BS	4215	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5107669	2013-05-08
492	6417	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	4925088	2013-05-08
492	6674	Olje- og energidepartementet har i brev datert 2.11.2012 godkjent endringsavtale nr. 1 i utvinningstillatelsen. Talisman Energy Norge AS trådte ut av utvinningstillatelsen med virkning fra 27.6.2012, RWE Dea Norge AS trådte ut av utvinningstillatelsen med virkning fra 29.6.2012.	2012-11-06	Endring i tillatelse	9999-12-31	4925088	2013-05-08
492	6694	Lundin Norway AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Norwegian Energy Company ASA med virkning fra 30.11.2012.	2012-12-05	Endring i tillatelse	9999-12-31	4925088	2013-05-08
492	6790	Norwegian Energy Company ASA overdrar sin 10 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	4925088	2013-05-08
492	6866	Det norske oljeselskap ASA overdrar en 10 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 1.7.2012.	2013-02-01	Endring i tillatelse	9999-12-31	4925088	2013-05-08
492	6984	Noreco Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	4925088	2013-05-08
159 C	3713	Ny tillatelse er innført i petroleumsregisteret.	2008-03-14	Ny tillatelse	9999-12-31	4939362	2013-05-08
159 C	3920	E.ON Ruhrgas Norge AS har overdratt sin 40% andel i tillatelsen til StatoilHydro ASA. med virkning fra 31.07.2008.	2008-08-05	Endring i tillatelse	9999-12-31	4939362	2013-05-08
159 C	4354	StatoilHydro ASA har overdratt en 40% eierandel i tillatelsen til E.NO Ruhrgas Norge AS med virkning fra 1.1.2008	2009-03-12	Endring i tillatelse	9999-12-31	4939362	2013-05-08
159 C	4355	StatoilHydro ASA har overdratt en 50% eierandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-03-12	Endring i tillatelse	9999-12-31	4939362	2013-05-08
159 C	4713	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	4939362	2013-05-08
159 C	6290	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	4939362	2013-05-08
159 D	3714	Ny tillatelse er innført i petroleumsregisteret.	2008-03-14	Ny tillatelse	9999-12-31	4939421	2013-05-08
159 D	4280	StatoilHydro ASA har overdratt sin 50 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-02-26	Endring i tillatelse	9999-12-31	4939421	2013-05-08
159 D	4714	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	4939421	2013-05-08
159 D	6291	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	4939421	2013-05-08
027 D	3815	Tillatelsen er innført i petroleumsregisteret med virkning fra 07.12.2007.	2008-04-28	Ny tillatelse	9999-12-31	4943160	2013-05-08
027 D	3981	Dana Petroleum Norway AS har overdratt en 10% andel i tillatelsen til Det norske oljeselskap ASA med virkning fra 01.01.2008.	2008-11-07	Endring i tillatelse	2013-01-28	4943160	2013-05-08
027 D	4531	ExxonMobil Exploration and Production Norway AS har overdratt en 25% deltakerandel i tillatelsen til Det norske oljeselskap ASA med virkning fra 31.7 2009.	2009-08-07	Endring i tillatelse	9999-12-31	4943160	2013-05-08
027 D	4545	Dana Petroleum Norway AS har overdratt en 10% deltakerandel i tillatelsen til Bridge Energy AS med virkning fra 31.7.2009	2009-08-19	Endring i tillatelse	9999-12-31	4943160	2013-05-08
027 D	4926	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	4943160	2013-05-08
027 D	4980	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	4943160	2013-05-08
027 D	5107	ExxonMobil Exploration and Production Norway AS overdrar sin 25 % deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 31.7.2009. Det norske oljeselskap ASA overtar som operatør.	2010-02-01	Endring i tillatelse	9999-12-31	4943160	2013-05-08
027 D	5202	Det norske oljeselskap ASA pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	4943160	2013-05-08
027 D	5997	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5202) hvor Det norske oljeselskap ASA pantsetter sin 60 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	4943160	2013-05-08
027 D	6015	Bridge Energy Norge AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	9999-12-31	4943160	2013-05-08
027 D	6453	Det norske oljeselskap ASA pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	4943160	2013-05-08
263 C	3820	Tillatelsen er innført i Petroleumsregisteret.	2008-05-08	Ny tillatelse	9999-12-31	4966437	2013-05-08
263 C	4025	StatoilHydro Petroleum AS overdrar en 9.8% deltakerandel i utvinningstillatelse nr. 263C til Total E&P Norge AS med virkning fra 30. juni 2008.	2009-01-12	Endring i tillatelse	9999-12-31	4966437	2013-05-08
263 C	4029	StatoilHydro ASA overdrar en 7,35% deltakerandel i utvinningstillatelse 263C til Total E&P Norge AS med virkning fra 30. juni 2008.	2009-01-12	Endring i tillatelse	9999-12-31	4966437	2013-05-08
263 C	4030	StatoilHydro ASA overdra en 5,985% deltakerandel i utvinningstillatelsen 263C til Petoro AS med virkning fra 30.juni 2008.	2009-01-12	Endring i tillatelse	9999-12-31	4966437	2013-05-08
263 C	4031	StatoilHydro ASA overdrar en 2,94% deltakerandel til Eni Norge AS med virkning fra 30. juni 2008.	2009-01-12	Endring i tillatelse	9999-12-31	4966437	2013-05-08
263 C	4445	Bayerngas Norge AS har overdratt en 5.9850% deltakerandel i tillatelsen til Petoro AS med virkning fra 19.4.2008	2009-06-05	Endring i tillatelse	9999-12-31	4966437	2013-05-08
263 C	4446	Bayerngas Norge AS har overdratt en 2.940% deltakerandel i tillatelsen til Eni Norge  AS med virkning fra 19.4.2008	2009-06-05	Endring i tillatelse	9999-12-31	4966437	2013-05-08
263 C	4447	Bayerngas Norge AS har overdratt en 7,350% deltakerandel i tillatelsen til Total E&P Norge  AS med virkning fra 19.4.2008	2009-06-05	Endring i tillatelse	9999-12-31	4966437	2013-05-08
263 C	4448	Bayerngas Norge AS har overdratt en 4,410% deltakerandel i tillatelsen til StatoilHydro Petroleum  AS med virkning fra 19.4.2008	2009-06-05	Endring i tillatelse	9999-12-31	4966437	2013-05-08
263 C	4449	Bayerngas Norge AS har overdratt sin 9,3150% deltakerandel i tillatelsen til StatoilHydro ASA med virkning fra 19.4.2008	2009-06-05	Endring i tillatelse	9999-12-31	4966437	2013-05-08
263 C	4450	StatoilHydro ASA har overdratt sin 31.05% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-06-08	Endring i tillatelse	9999-12-31	4966437	2013-05-08
263 C	4797	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	4966437	2013-05-08
212 E	4225	Tillatelsen er registret i petroleumsregisteret med virkning fra 23.1.2008.	2009-02-24	Ny tillatelse	9999-12-31	4966902	2013-05-08
212 E	4226	StatoilHydro ASA har overdratt sin 30% deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009	2009-02-24	Endring i tillatelse	9999-12-31	4966902	2013-05-08
212 E	4821	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	4966902	2013-05-08
212 E	6294	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	4966902	2013-05-08
301 B	3900	Ny tillatelse er innført i Petroleumsregisteret	2008-07-14	Ny tillatelse	9999-12-31	4973175	2013-05-08
036 D	4791	Tillatelsen er innført i Petroleumsregisteret.	2009-11-10	Ny tillatelse	9999-12-31	5081703	2013-05-08
036 D	4792	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	5081703	2013-05-08
036 D	5869	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	5081703	2013-05-08
035 B	3994	Ny tillatelse innført i petroleumsregisteret.	2008-12-18	Ny tillatelse	9999-12-31	5105684	2013-05-08
035 B	3995	Det norske oljeselskap ASA overdrar en 10% andel til Dana Petroleum Norway AS med virkning fra 26.11.2008.	2008-12-18	Endring i tillatelse	9999-12-31	5105684	2013-05-08
035 B	4625	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-04	Andre meldinger	9999-12-31	5105684	2013-05-08
035 B	4930	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5105684	2013-05-08
035 B	4984	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	5105684	2013-05-08
035 B	5159	Svenska Petroleum Exploration AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner tre hundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.10.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-19	Heftelse	9999-12-31	5105684	2013-05-08
035 B	5206	Det norske oljeselskap ASA pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5105684	2013-05-08
035 B	6001	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5206) hvor Det norske oljeselskap ASA pantsetter sin 15 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	5105684	2013-05-08
035 B	6380	Statoil Petroleum AS overdrar sin 50 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012. Centrica Resources (Norge) AS overtar som operatør.	2012-05-04	Endring i tillatelse	9999-12-31	5105684	2013-05-08
494	4213	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5105899	2013-05-08
494	4972	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5105899	2013-05-08
494	5026	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	5105899	2013-05-08
494	5247	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5105899	2013-05-08
494	6026	Bridge Energy Norge AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	9999-12-31	5105899	2013-05-08
506 S	6839	Rocksource ASA overdrar sin 25 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	5106544	2013-05-08
494	6419	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	5105899	2013-05-08
494	7009	Operatørskapet er overført fra Dana Petroleum Norway AS til Det norske oljeselskap ASA i henhold til brev fra OED av 19.3.2013.	2013-04-05	Endring i tillatelse	9999-12-31	5105899	2013-05-08
495	4212	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5105968	2013-05-08
495	4364	Spring Energy Norway AS pantsetter sin 40% andel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Førsteprioritet pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100.Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2009-04-03	Heftelse	2013-05-08	5105968	2013-05-08
495	4567	Spring Energy Norway AS pantsetter sin 40% deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). stor NOK 1,000,000,000, skriver norske kroner enmilliard 00/100, delt førsteprioritet med eksisterende pant stor NOK 400,000,000 skrives norske kroner firehundremillioner 00/100 doknr 4364. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 15.9.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-09-15	Heftelse	9999-12-31	5105968	2013-05-08
495	4579	Pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100 datert 3.4.2009 (doknr 4364) hvor Spring Energy Norway AS er pantsetter og Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er panthaver er slettet. Pantobligasjonen hadde delt førsteprioritet med pantobligasjon i dok 4567.	2009-10-01	Sletting av heftelse	9999-12-31	5105968	2013-05-08
495	5441	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 15.9.2009 (dok. nr. 4567) hvor Spring Energy Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.8.2010.	2010-08-12	Sletting av heftelse	9999-12-31	5105968	2013-05-08
495	5464	Spring Energy Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	5105968	2013-05-08
495	6509	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5464) hvor Spring Energy Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	5105968	2013-05-08
495	6525	Spring Energy Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	5105968	2013-05-08
495	6881	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.2.2013	2013-02-19	Andre meldinger	2013-02-27	5105968	2013-05-08
497	4210	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5106073	2013-05-08
497	4973	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5106073	2013-05-08
497	5027	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	5106073	2013-05-08
497	5137	Lotos Exploration and Production Norge AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 180 000 000 pluss 10 %, skriver norske kroner ett hundre og åtti millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 10.2.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-15	Heftelse	9999-12-31	5106073	2013-05-08
497	5248	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5106073	2013-05-08
497	6027	Bridge Energy Norge AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	9999-12-31	5106073	2013-05-08
497	6161	Pantobligasjon pålydende NOK 180 000 000 pluss 10 %, skriver norske kroner ett hundre og åtti millioner pluss ti prosent datert 15.2.2010 (dok. nr. 5137) hvor Lotos Exploration and Production Norge AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA er slettet. Samtykke fra panthaver, DnB NOR Bank ASA foreligger i brev datert 27.1.2012.	2012-02-01	Sletting av heftelse	9999-12-31	5106073	2013-05-08
193 B	5532	A/S Norske Shell overdrar sin 6,45 % deltakerandel til utvinningstillatelsen til Enterprise Oil Norge AS med virkning fra 1.1.2010.	2010-10-14	Endring i tillatelse	9999-12-31	5107611	2013-05-08
497	6420	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	5106073	2013-05-08
497	6581	Bridge Energy Norge AS overdrar en 15% deltakerandel i utvinningstillatelsen til Agora Oil & Gas AS med virkning fra  28.9.2012.Aksept fra panthaver DNB Bank ASA til overdragelsen og justert pantedokument foreligger ved registeringsnr  6587.	2012-10-01	Endring i tillatelse	2013-05-08	5106073	2013-05-08
497	6587	Reduksjon av pantsettelse(dok.nr. 6027, registrert 2.12.2011) i Bridge Energy Norge AS sin deltakerandel i utvinningstillatelsen fra 30% til 15%.  Panthaver DNB Bank ASA samtykker til reduksjon fra 30% til 15% i brev datert 2.10.2012. 	2012-10-04	Heftelse	9999-12-31	5106073	2013-05-08
497	6675	Agora Oil & Gas AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 500,000,000, skriver norske kroner femhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-11-07	Heftelse	9999-12-31	5106073	2013-05-08
497	7033	Agora Oil & Gas AS har endret foretaksnavn til Capricorn Norge AS fra 20.04.2013	2013-04-29	Andre meldinger	9999-12-31	5106073	2013-05-08
498	4209	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5106134	2013-05-08
498	4594	Edison International S.P.A har endret navn til Edison International Norway Branch med virkning fra 8.5.2007.	2009-10-28	Andre meldinger	9999-12-31	5106134	2013-05-08
498	5138	Lotos Exploration and Production Norge AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 180 000 000 pluss 10 %, skriver norske kroner ett hundre og åtti millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 10.2.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-15	Heftelse	9999-12-31	5106134	2013-05-08
498	5696	4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	9999-12-31	5106134	2013-05-08
498	6160	Pantobligasjon pålydende NOK 180 000 000 pluss 10 %, skriver norske kroner ett hundre og åtti millioner pluss ti prosent datert 15.2.2010 (dok. nr. 5138) hvor Lotos Exploration and Production Norge AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA er slettet. Samtykke fra panthaver, DnB NOR Bank ASA foreligger i brev datert 27.1.2012.	2012-02-01	Sletting av heftelse	9999-12-31	5106134	2013-05-08
498	6195	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5696) hvor 4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	9999-12-31	5106134	2013-05-08
498	6205	4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	9999-12-31	5106134	2013-05-08
498	6744	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor 4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 2.3.2012 (dok. nr.: 6205) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 14.12.2012 og 19.12.2012.	2012-12-20	Sletting av heftelse	9999-12-31	5106134	2013-05-08
498	6764	4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-20	Heftelse	2013-02-07	5106134	2013-05-08
498	6869	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor 4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 20.12.2012 (dok. nr.: 6764) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert  11.1.2013.	2013-02-06	Sletting av heftelse	9999-12-31	5106134	2013-05-08
498	6872	4Sea Energy AS overdrar sin 25 % deltakerandel i utvinningstillatelsen til North Energy ASA med virkning fra 31.12.2012.	2013-02-06	Endring i tillatelse	9999-12-31	5106134	2013-05-08
498	6959	North Energy ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 18.2.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-02-27	Heftelse	9999-12-31	5106134	2013-05-08
499 S	4208	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5106238	2013-05-08
499 S	4890	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	5106238	2013-05-08
500	4207	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5106274	2013-05-08
500	4365	Spring Energy Norway AS pantsetter sin 30% andel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Førsteprioritet pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100.Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2009-04-03	Heftelse	2013-05-08	5106274	2013-05-08
500	4509	Skeie Energy AS pantsetter sin 35% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 800,000,000 skriver norske kroner åttehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-07-15	Heftelse	9999-12-31	5106274	2013-05-08
500	4568	Spring Energy Norway AS pantsetter sin 30% deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). stor NOK 1,000,000,000, skriver norske kroner enmilliard 00/100, delt førsteprioritet med eksisterende pant stor NOK 400,000,000 skrives norske kroner firehundremillioner 00/100 doknr 4365. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 15.9.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-09-15	Heftelse	9999-12-31	5106274	2013-05-08
500	4580	Pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100 datert 3.4.2009 (doknr 4365) hvor Spring Energy Norway AS er pantsetter og Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er panthaver er slettet. Pantobligasjonen hadde delt førsteprioritet med pantobligasjon i dok 4568.	2009-10-01	Sletting av heftelse	9999-12-31	5106274	2013-05-08
500	4974	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5106274	2013-05-08
500	5028	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	5106274	2013-05-08
500	5249	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5106274	2013-05-08
500	5442	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 15.9.2009 (dok. nr. 4568) hvor Spring Energy Norway AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.8.2010.	2010-08-12	Sletting av heftelse	9999-12-31	5106274	2013-05-08
500	5465	Spring Energy Norway AS pantsetter sin 30% deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	5106274	2013-05-08
500	5617	Skeie Energy AS har endret foretaksnavn til E&P Holding AS med virkning fra 30.12.2010.	2011-01-25	Andre meldinger	9999-12-31	5106274	2013-05-08
500	5958	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5465) hvor Spring Energy Norway AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver, Skandinaviska Enskilda Banken AB (publ) foreligger.	2011-09-30	Sletting av heftelse	9999-12-31	5106274	2013-05-08
500	5961	Spring Energy Norway AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Fortis Petroleum Norway AS med virkning fra 30.9.2011	2011-10-04	Endring i tillatelse	9999-12-31	5106274	2013-05-08
500	6074	Pantobligasjon stor NOK 800 000 000 skriver norske kroner åttehundremillioner  00/100 datert 15.7.2009 (dok. nr. 4509) hvor Skeie Energy AS pantsetter sin 35 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger.	2012-01-12	Sletting av heftelse	9999-12-31	5106274	2013-05-08
500	6076	EP Holding AS overdrar sin 35 % deltakerandel i utvinningstillatelsen til Fortis Petroleum Norway AS med virkning fra 16.12.2011.	2012-01-12	Endring i tillatelse	9999-12-31	5106274	2013-05-08
500	6183	Pantobligasjon stor NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5249) hvor Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til DnB Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 13.2.2012.	2012-02-20	Sletting av heftelse	9999-12-31	5106274	2013-05-08
500	6184	Det norske oljeselskap ASA overdrar sin 35 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 27.7.2011. Statoil Petroleum AS overtar operatørskap.	2012-02-20	Endring i tillatelse	9999-12-31	5106274	2013-05-08
500	6371	Forties Petroleum Norway AS overdrar en 25 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 1.1.2012.	2012-04-24	Endring i tillatelse	9999-12-31	5106274	2013-05-08
500	6494	Fortis Petroleum Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DnB  Bank ASA. Første prioritet panteobligasjon stor NOK 160,000,000, skriver norske kroner etthundreogsekstimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 30.5.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-06	Heftelse	9999-12-31	5106274	2013-05-08
501	4206	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5106314	2013-05-08
501	4891	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	5106314	2013-05-08
502	4204	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5106378	2013-05-08
502	4410	Det norske oljeselskap ASA har overdratt en 11.111111 % deltakerandel i tillatelsen til StatoilHydro Petroleum AS med virkning fra 1.1.2009.	2009-05-12	Endring i tillatelse	9999-12-31	5106378	2013-05-08
502	4892	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	5106378	2013-05-08
502	4975	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5106378	2013-05-08
502	5029	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	5106378	2013-05-08
504	6014	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5251) hvor Det norske oljeselskap ASA pantsetter sin 58,5 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	5106455	2013-05-08
502	5250	Det norske oljeselskap ASA pantsetter sin 22,2 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5106378	2013-05-08
502	6013	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5250) hvor Det norske oljeselskap ASA pantsetter sin 22,2 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	5106378	2013-05-08
502	6444	Det norske oljeselskap ASA pantsetter sin 22,2222 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	5106378	2013-05-08
503	4200	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5106405	2013-05-08
503	4595	Edison International S.P.A har endret navn til Edison Interational Norway Branch med virkning fra 8.5.2007.	2009-10-28	Andre meldinger	9999-12-31	5106405	2013-05-08
503	5139	Lotos Exploration and Production Norge AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 180 000 000 pluss 10 %, skriver norske kroner ett hundre og åtti millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 10.2.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-15	Heftelse	9999-12-31	5106405	2013-05-08
503	5697	4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	9999-12-31	5106405	2013-05-08
503	6159	Pantobligasjon pålydende NOK 180 000 000 pluss 10 %, skriver norske kroner ett hundre og åtti millioner pluss ti prosent datert 15.2.2010 (dok. nr. 5139) hvor Lotos Exploration and Production Norge AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA er slettet. Samtykke fra panthaver, DnB NOR Bank ASA foreligger i brev datert 27.1.2012.	2012-02-01	Sletting av heftelse	9999-12-31	5106405	2013-05-08
503	6196	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5697) hvor 4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	9999-12-31	5106405	2013-05-08
503	6206	4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	9999-12-31	5106405	2013-05-08
503	6745	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor 4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 2.3.2012 (dok. nr.: 6206) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 14.12.2012 og 19.12.2012.	2012-12-20	Sletting av heftelse	9999-12-31	5106405	2013-05-08
503	6765	4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-20	Heftelse	2013-02-07	5106405	2013-05-08
503	6868	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor 4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 20.12.2012 (dok. nr.: 6765) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert  11.1.2013.	2013-02-06	Sletting av heftelse	9999-12-31	5106405	2013-05-08
503	6871	4Sea Energy AS overdrar sin 25 % deltakerandel i utvinningstillatelsen til North Energy ASA med virkning fra 31.12.2012.	2013-02-06	Endring i tillatelse	9999-12-31	5106405	2013-05-08
503	6957	North Energy ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 18.2.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-02-27	Heftelse	9999-12-31	5106405	2013-05-08
504	4193	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5106455	2013-05-08
504	4546	Dana Petroleum Norway AS har overdratt en 8,5% deltakerandel i tillatelsen til Bridge Energy AS med virkning fra 31.7.2009	2009-08-19	Endring i tillatelse	9999-12-31	5106455	2013-05-08
504	4976	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5106455	2013-05-08
504	5030	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	5106455	2013-05-08
504	5251	Det norske oljeselskap ASA pantsetter sin 58,5 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5106455	2013-05-08
504	6017	Bridge Energy Norge AS pantsetter sin 8,5 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	9999-12-31	5106455	2013-05-08
504	6451	Det norske oljeselskap ASA pantsetter sin 58,5 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	5106455	2013-05-08
504	6670	Reduksjon av pantsettelse (dok.nr. 6451), registrert 10.5.2012 i Det norske oljeselskap ASA sin deltakerandel i utvinningstillatelsen fra 58,5 % til 21,42 %.  Panthaver DNB Bank ASA samtykker til reduksjon fra 58,5 % til 21,42 % i brev datert 30.10.2012.	2012-11-05	Heftelse	9999-12-31	5106455	2013-05-08
504	6678	Det norske oljeselskap ASA overdrar en 29,23 % deltakerandel i utvinningstillatelsen til Petoro AS med virkning fra 1.1.2012.	2012-11-08	Endring i tillatelse	9999-12-31	5106455	2013-05-08
505	4190	Tillatelsen er registret i Petroleumsregisteret med virkning fra 23.01.2009	2009-02-23	Ny tillatelse	9999-12-31	5106486	2013-05-08
505	4615	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	5106486	2013-05-08
505	4762	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	5106486	2013-05-08
505	4763	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009.	2009-11-09	Andre meldinger	9999-12-31	5106486	2013-05-08
505	5862	Marathon Petroleum Norge AS overdrar en 15 % deltakerandel i utvinningstillatelsen til Maersk Oil Norway AS med virkning fra 30.6.2011.	2011-06-30	Endring i tillatelse	9999-12-31	5106486	2013-05-08
505	5877	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	5106486	2013-05-08
506 S	4196	Tillatelsen er registret i petroleumsregisteret med virkning fra 23.1.2009	2009-02-23	Ny tillatelse	9999-12-31	5106544	2013-05-08
506 S	4350	Rocksource ASA pantsetter sin 50% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Delt førsteprioritet pantobligasjon stor NOK 250.000.000 skriver norske kroner tohundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelse av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energi-departementet har i brev av 17.2.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd i at pantsettelsen utgjør et såkalt krysspant.	2009-03-04	Heftelse	2013-05-08	5106544	2013-05-08
506 S	4351	Rocksource ASA pantsetter sin 50% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Delt førsteprioritet pantobligasjon stor NOK 150.000.000 skriver norske kroner ethundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelse av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energi-departementet har i brev av 17.2.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd i at pantsettelsen utgjør et såkalt krysspant.	2009-03-04	Heftelse	2013-05-08	5106544	2013-05-08
506 S	4542	Discover Petroleum AS pantsetter sin 30% andel i tillatelsen til fordel for Norsk Tilllitsmann ASA. Førsteprioritet pantobligasjon stor USD 25,000,000 skrives tjuvefemmilliondollars. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-08-17	Heftelse	9999-12-31	5106544	2013-05-08
506 S	5326	Pantobligasjon stor NOK 250,000,000 skriver norske kroner tohundreogfemtimillioner 00/100 datert 4.3.2009 (dok. nr. 4350) hvor Rocksource ASA pantsetter sin 50 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 17.3.2010.	2010-03-23	Sletting av heftelse	9999-12-31	5106544	2013-05-08
506 S	5327	Pantobligasjon stor NOK 150,000,000 skriver norske kroner etthundreogfemtimillioner 00/100 datert 4.3.2009 (dok. nr. 4351) hvor Rocksource ASA pantsetter sin 50 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 17.3.2010.	2010-03-23	Sletting av heftelse	9999-12-31	5106544	2013-05-08
506 S	5338	Rocksource ASA pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 500,000,000, skriver norske kroner femhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-23	Heftelse	9999-12-31	5106544	2013-05-08
506 S	5387	Discover Petroleum AS har endret navn til Front Exploration AS med virkning fra 26.5.2010.	2010-06-01	Andre meldinger	9999-12-31	5106544	2013-05-08
506 S	6470	Reduksjon av pantsettelse (dok.nr.:  5338, registrert 23.3.2010) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 50 % til 25 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjon fra 50 % til 25 % i brev datert 11.4.2012.	2012-06-05	Heftelse	9999-12-31	5106544	2013-05-08
506 S	6492	Rocksource ASA overdrar en 25 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	9999-12-31	5106544	2013-05-08
506 S	6580	Pantobligasjon pålydende USD 25,000,000, skriver amerikanskedollartjuefemmillioner  00/100 datert 18.8.2009 (dok. nr. 4542), der Discover Petroleum AS(nå Front Exploration AS) pantsetter sin 30 % deltakerandel (første prioritet) i utvinningstillatelsen til Norsk Tillitsmann ASA  er slettet. Samtykke fra panthaver Norsk Tillitsmann ASA  foreligger i brev datert 27.9.2012.	2012-10-01	Sletting av heftelse	9999-12-31	5106544	2013-05-08
506 S	6591	Front Exploration AS overdrar sin 30% deltakerandel  i utvinningstillatelsen til Petrolia Norway AS med virkning fra 3.10.2012.	2012-10-04	Endring i tillatelse	9999-12-31	5106544	2013-05-08
506 S	6812	Pantobligasjon pålydende NOK 500 000 000 skriver norske kroner femhundremillioner  00/100 datert 5.6.2012 (dok. nr. 6470) hvor Rocksource ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 3.1.2013.	2013-01-07	Sletting av heftelse	9999-12-31	5106544	2013-05-08
506 S	6813	Pantobligasjon pålydende NOK 500 000 000 skriver norske kroner femhundremillioner  00/100 datert 23.3.2010 (dok. nr. 5538) er slettet som følge av sletting av dok. nr. 6470).	2013-01-07	Sletting av heftelse	9999-12-31	5106544	2013-05-08
506 S	6853	Rocksource Exploration Norway AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	5106544	2013-05-08
518	4195	Tillatelsen er registret i petroleumsregisteret med virkning fra 23.1.2009	2009-02-23	Ny tillatelse	2013-03-22	5106560	2013-05-08
518	4230	North Energy AS pantsetter sin 30% eierandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Føastepriortet pantobligasjon stor 300,000,000 skriver norske kroner trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver.	2009-02-24	Heftelse	2013-03-22	5106560	2013-05-08
518	4543	Discover Petroleum AS pantsetter sin 20% andel i tillatelsen til fordel for Norsk Tilllitsmann ASA. Førsteprioritet pantobligasjon stor USD 25,000,000 skrives tjuvefemmilliondollars. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-08-17	Heftelse	2013-03-22	5106560	2013-05-08
518	5359	North Energy AS har endret navn til North Energy ASA med virkning fra 17.12.2009.	2010-04-20	Andre meldinger	2013-03-22	5106560	2013-05-08
518	5374	Sagex Petroleum Norge AS  pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 30,000,000, skriver norske kroner trettimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 27.4.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-05-11	Heftelse	2013-03-22	5106560	2013-05-08
518	5388	Discover Petroleum AS har endret navn til Front Exploration AS med virkning fra 26.5.2010.	2010-06-01	Andre meldinger	2013-03-22	5106560	2013-05-08
518	5599	Pantobligasjon stor NOK 300 000 000 skriver norske kroner trehundremillioner  00/100 datert 24.2.2009 (dok. nr. 4230) hvor North Energy AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger datert 4.1.2011.	2011-01-06	Sletting av heftelse	2013-03-22	5106560	2013-05-08
518	5794	Pantobligasjon stor NOK 30,000,000 skriver norske kroner trettimillioner  00/100 datert 11.5.2010 (dok. nr. 5375) hvor Sagex Petroleum Norge AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver, Skandinaviska Enskilda Banken AB (publ) foreligger.	2011-06-14	Sletting av heftelse	2013-03-22	5106560	2013-05-08
518	5990	Sagex Petroleum Norge AS har endret navn til Valiant Petroleum Norge AS, med virkning fra 8.10.2011.	2011-11-01	Andre meldinger	2013-03-22	5106560	2013-05-08
518	6595	Pantobligasjon pålydende USD 25,000,000, skriver amerikanskedollartjuefemmillioner  00/100 datert 18.8.20098 (dok. nr. 4543), der Discover Petroleum AS pantsetter sin 20 % deltakerandel (første prioritet) i utvinningstillatelsen til Norsk Tillitsmann ASA  er slettet. Samtykke fra panthaver Norsk Tillitsmann ASA  foreligger i brev datert 9.10.2012.	2012-10-10	Sletting av heftelse	2013-03-22	5106560	2013-05-08
518	6662	Front Exploration AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Dong E&P Norge AS med virkning fra 31.10.2012.	2012-11-02	Endring i tillatelse	2013-03-22	5106560	2013-05-08
518	6732	North Energy ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	2013-05-01	5106560	2013-05-08
518	6970	Olje- og energidepartementet bekrefter i brev datert 18.3.2013 at utvinningstillatelsen anses som oppgitt fra 23.1.2013, jf. petroleumsloven § 3-15.	2013-03-21	Andre meldinger	9999-12-31	5106560	2013-05-08
518	7042	Pantobligasjon pålydende NOK, 950 000 000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA  pantsetter sin 30 % deltakerandel i utvinningstillatelsen 518 til fordel for DNB Bank ASA datert 20.12.2012 (dok. nr.:6732) er slettet. Samtykke fra panthaver DNB Bank ASA foreligger i brev datert 23.4.2013	2013-04-30	Sletting av heftelse	9999-12-31	5106560	2013-05-08
507	4197	Tillatelsen er registret i petroleumsregisteret med virkning fra 23.1.2009	2009-02-23	Ny tillatelse	9999-12-31	5106689	2013-05-08
507	4366	Spring Energy Norway AS pantsetter sin 20% andel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Førsteprioritet pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100.Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2009-04-03	Heftelse	2013-05-08	5106689	2013-05-08
507	4569	Spring Energy Norway AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). stor NOK 1,000,000,000, skriver norske kroner enmilliard 00/100, delt førsteprioritet med eksisterende pant stor NOK 400,000,000 skrives norske kroner firehundremillioner 00/100 doknr 4366. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 15.9.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-09-15	Heftelse	9999-12-31	5106689	2013-05-08
507	4581	Pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100 datert 3.4.2009 (doknr 4366) hvor Spring Energy Norway AS er pantsetter og Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er panthaver er slettet. Pantobligasjonen hadde delt førsteprioritet med pantobligasjon i dok 4569.	2009-10-01	Sletting av heftelse	9999-12-31	5106689	2013-05-08
507	5443	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 15.9.2009 (dok. nr. 4569) hvor Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.8.2010.	2010-08-12	Sletting av heftelse	9999-12-31	5106689	2013-05-08
193 B	6085	Total E&P Norge AS overdrar sin 5 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 13.1.2012.	2012-01-17	Endring i tillatelse	9999-12-31	5107611	2013-05-08
193 B	6384	Statoil Petroleum AS overdrar en 13 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-04	Endring i tillatelse	9999-12-31	5107611	2013-05-08
507	5466	Spring Energy Norway AS pantsetter sin 20% deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	5106689	2013-05-08
507	5898	Faroe Petroleum Norge AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	5106689	2013-05-08
507	6349	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	5106689	2013-05-08
507	6510	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5466) hvor Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	5106689	2013-05-08
507	6527	Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	5106689	2013-05-08
507	6883	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.2.2013	2013-02-19	Andre meldinger	2013-02-27	5106689	2013-05-08
509 S	4199	Tillatelsen er registret i petroleumsregisteret med virkning fra 23.1.2009	2009-02-23	Ny tillatelse	9999-12-31	5106880	2013-05-08
509 S	4367	Spring Energy Norway AS pantsetter sin 30% andel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Førsteprioritet pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100.Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelse av det pantsatte objekt uten skriftlig samtykke fra panthaver.	2009-04-03	Heftelse	2013-05-08	5106880	2013-05-08
509 S	4510	Skeie Ënergy  AS pantsetter sin 30% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA. Førsteprioritet pantobligasjon stor NOK 800,000,000 skriver norske kroner åttehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-07-15	Heftelse	9999-12-31	5106880	2013-05-08
509 S	4570	Spring Energy Norway AS pantsetter sin 30% deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). stor NOK 1,000,000,000, skriver norske kroner enmilliard 00/100, delt førsteprioritet med eksisterende pant stor NOK 400,000,000 skrives norske kroner firehundremillioner 00/100 doknr 4367. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 15.9.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-09-15	Heftelse	9999-12-31	5106880	2013-05-08
509 S	4582	Pantobligasjon stor NOK 400,000,000 skriver norske kroner firehundremillioner 00/100 datert 3.4.2009 (doknr 4367) hvor Spring Energy Norway AS er pantsetter og Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er panthaver er slettet. Pantobligasjonen hadde delt førsteprioritet med pantobligasjon i dok 4570.	2009-10-01	Sletting av heftelse	9999-12-31	5106880	2013-05-08
509 S	5444	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 15.9.2009 (dok. nr. 4570) hvor Spring Energy Norway AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.8.2010.	2010-08-12	Sletting av heftelse	9999-12-31	5106880	2013-05-08
509 S	5467	Spring Energy Norway AS pantsetter sin 30% deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	5106880	2013-05-08
509 S	5618	Skeie Energy AS har endret foretaksnavn til E&P Holding AS med virkning fra 30.12.2010.	2011-01-25	Andre meldinger	9999-12-31	5106880	2013-05-08
509 S	6073	Pantobligasjon stor NOK 800 000 000 skriver norske kroner åttehundremillioner  00/100 datert 15.7.2009 (dok. nr. 4510) hvor Skeie Energy AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger.	2012-01-12	Sletting av heftelse	9999-12-31	5106880	2013-05-08
509 S	6077	EP Holding AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Fortis Petroleum Norway AS med virkning fra 16.12.2011.	2012-01-12	Endring i tillatelse	9999-12-31	5106880	2013-05-08
509 S	6283	Fortis Petroleum Norway AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DnB  Bank ASA. Første prioritet panteobligasjon stor NOK 160,000,000, skriver norske kroner etthundreogsekstimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.2.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-03	Heftelse	9999-12-31	5106880	2013-05-08
509 S	6350	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	5106880	2013-05-08
509 S	6511	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5467) hvor Spring Energy Norway AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	5106880	2013-05-08
509 S	6528	Spring Energy Norway AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	5106880	2013-05-08
509 S	6888	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	5106880	2013-05-08
510	4201	Tillatelsen er registret i petroleumsregisteret med virkning fra 23.1.2009	2009-02-23	Ny tillatelse	9999-12-31	5106991	2013-05-08
510	4229	North Energy AS pantsetter sin 20% eierandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Føastepriortet pantobligasjon stor 300,000,000 skriver norske kroner trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver.	2009-02-24	Heftelse	9999-12-31	5106991	2013-05-08
510	5358	North Energy AS har endret navn til North Energy ASA med virkning fra 17.12.2009.	2010-04-20	Andre meldinger	9999-12-31	5106991	2013-05-08
510	5598	Pantobligasjon stor NOK 300 000 000 skriver norske kroner trehundremillioner  00/100 datert 24.2.2009 (dok. nr. 4229) hvor North Energy AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger datert 4.1.2011.	2011-01-06	Sletting av heftelse	9999-12-31	5106991	2013-05-08
510	5688	North Energy ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	9999-12-31	5106991	2013-05-08
510	5899	Faroe Petroleum Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	5106991	2013-05-08
510	6197	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5688) hvor North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	9999-12-31	5106991	2013-05-08
510	6209	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	9999-12-31	5106991	2013-05-08
510	6304	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	5106991	2013-05-08
510	6599	Dok. nr. 5899 er slettet som følge av at Faroe Petroleum har valgt å tre ut av utvinningstillatelsen.	2012-10-24	Sletting av heftelse	9999-12-31	5106991	2013-05-08
510	6600	North Energy ASA overtar 100 % eierskap i utvinningstillatelsen.  Olje- og energidepartementet har i brev datert 12.10.2012 godkjent endringsavtalen.	2012-10-24	Endring i tillatelse	9999-12-31	5106991	2013-05-08
510	6746	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 2.3.2012 (dok. nr.: 6209) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 14.12.2012 og 19.12.2012.	2012-12-20	Sletting av heftelse	9999-12-31	5106991	2013-05-08
510	6756	North Energy ASA pantsetter sin 100 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-20	Heftelse	9999-12-31	5106991	2013-05-08
510	6873	Reduksjon av pantsettelse (dok. nr.  6756, registrert 20.12.2012) i North Energy ASA sin deltakerandel i utvinningstillatelsen fra 100 % til 20 %.  Panthaver DNB Bank ASA samtykker til reduksjon fra 100 % til 20 % i brev datert 8.2.2013.	2013-02-14	Heftelse	9999-12-31	5106991	2013-05-08
510	6874	North Energy ASA overdrar en 50 % deltakerandel i utvinningstillatelsen til Maersk Oil Norway. Gjennomføringsdato iht. skjøte 31.1.2013. Virkningsdato er 1.1.2013 iht. Amendment Agreement No 1. for SPA (Sales and Purchase Agre.)	2013-02-14	Endring i tillatelse	9999-12-31	5106991	2013-05-08
510	6875	North Energy ASA overdrar en 30 % deltakerandel i utvinningstillatelsen til Edison International Norway Branch. Gjennomføringsdato iht. skjøte 31.1.2013. Virkningsdato er 1.1.2013 iht. Amendment Agreement No 1. for SPA (Sales and Purchase Agre.)	2013-02-14	Endring i tillatelse	9999-12-31	5106991	2013-05-08
516	4192	Tillatelsen er registret i petroleumsregisteret med virkning fra 23.1.2009	2009-02-23	Ny tillatelse	9999-12-31	5107101	2013-05-08
516	4562	StatoilHydro Petroleum AS har overdratt en 11,5% deltakerandel i tillatelsen til ENI Norge AS med virkning fra 1.9.2009	2009-09-09	Endring i tillatelse	9999-12-31	5107101	2013-05-08
516	4894	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	5107101	2013-05-08
513	4205	Tillatelsen er registret i petroleumsregisteret med virkning fra 23.1.2009	2009-02-23	Ny tillatelse	9999-12-31	5107217	2013-05-08
512	4203	Tillatelsen er registret i petroleumsregisteret med virkning fra 23.1.2009	2009-02-23	Ny tillatelse	9999-12-31	5107312	2013-05-08
512	4977	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5107312	2013-05-08
512	5031	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	5107312	2013-05-08
512	5078	Repsol Exploración S.A. overdrar sin 25 % deltakerandel i utvinningstillatelsen til Repsol Exploration Norge AS med virkning fra 30.12.2009.	2010-01-11	Endring i tillatelse	9999-12-31	5107312	2013-05-08
512	5163	Svenska Petroleum Exploration AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner tre hundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.10.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-19	Heftelse	9999-12-31	5107312	2013-05-08
512	5252	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5107312	2013-05-08
512	6408	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	5107312	2013-05-08
107 B	4189	Tillatelsen er registret i petroleumsregisteret med virkning fra 23.1.2009	2009-02-23	Ny tillatelse	9999-12-31	5107376	2013-05-08
107 B	4604	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	5107376	2013-05-08
107 B	4685	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	5107376	2013-05-08
107 B	4740	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	5107376	2013-05-08
107 B	4741	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009.	2009-11-09	Andre meldinger	9999-12-31	5107376	2013-05-08
107 B	5954	ExxonMobil Exploration and Production Norway AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til GDF Suez E&P Norge AS med virkning fra 1.1.2011.	2011-09-30	Endring i tillatelse	9999-12-31	5107376	2013-05-08
107 B	6285	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	5107376	2013-05-08
511	4202	Tillatelsen er registret i petroleumsregisteret med virkning fra 23.1.2009	2009-02-23	Ny tillatelse	9999-12-31	5107428	2013-05-08
511	5065	Wintershall Norge AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 1.1.2010.	2009-12-29	Endring i tillatelse	9999-12-31	5107428	2013-05-08
511	5133	Spring Energy Norway AS pantsetter sin 10 % deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). Førsteprioritet pantobligasjon stor NOK 1,000,000,000, skriver norske kroner en milliard 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 21.1.2010, gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-11	Heftelse	9999-12-31	5107428	2013-05-08
511	5421	Bridge Energy Norge AS overdrar en 12,5 % deltakerandel i utvinningstillatelsen til VNG Norge AS med virkning fra 30.6.2010.	2010-07-12	Endring i tillatelse	9999-12-31	5107428	2013-05-08
511	5445	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 11.2.2010 (dok. nr. 5133) hvor Spring Energy Norway AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.08.2010.	2010-08-12	Sletting av heftelse	9999-12-31	5107428	2013-05-08
511	5468	Spring Energy Norway AS pantsetter sin 10% deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	5107428	2013-05-08
511	5915	Wintershall Norge AS har fusjonert med Winteshall Norge ASA som overtakende selskap med virkning fra 16.7.2011.	2011-07-29	Andre meldinger	9999-12-31	5107428	2013-05-08
511	6019	Bridge Energy Norge AS pantsetter sin 7,5 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	9999-12-31	5107428	2013-05-08
511	6351	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	5107428	2013-05-08
511	6512	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5468) hvor Spring Energy Norway AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	5107428	2013-05-08
511	6529	Spring Energy Norway AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	5107428	2013-05-08
511	6891	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	5107428	2013-05-08
292 B	4220	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5107501	2013-05-08
193 B	4221	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5107611	2013-05-08
193 B	4770	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-10	Andre meldinger	9999-12-31	5107611	2013-05-08
475 BS	4924	Concedo ASA overdrar en 10 % deltakerandel i utvinningstillatelsen til Wintershall Norge ASA med virkning fra 1. januar 2009.	2009-12-22	Endring i tillatelse	9999-12-31	5107669	2013-05-08
475 BS	5064	Wintershall Norge ASA overdrar en 15 % deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 1.1.2010.	2009-12-29	Endring i tillatelse	9999-12-31	5107669	2013-05-08
475 BS	5132	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). Førsteprioritet pantobligasjon stor NOK 1,000,000,000, skriver norske kroner en milliard 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 21.1.2010, gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-11	Heftelse	9999-12-31	5107669	2013-05-08
475 BS	5440	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 11.2.2010 (dok. nr. 5132) hvor Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.08.2010.	2010-08-12	Sletting av heftelse	9999-12-31	5107669	2013-05-08
475 BS	5463	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	5107669	2013-05-08
475 BS	5957	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5463) hvor Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver, Skandinaviska Enskilda Banken AB (publ) foreligger.	2011-09-30	Sletting av heftelse	9999-12-31	5107669	2013-05-08
475 BS	5960	Concedo ASA overdrar sin 10 % deltakerandel i utvinningstillatelsen till Wintershall Norge ASA med virkning fra 30.9.2011.	2011-10-03	Endring i tillatelse	2013-05-08	5107669	2013-05-08
475 BS	5966	Spring Energy Norway AS overdrar sin 15 % deltakerandel i utvinningstillatelsen til Wintershall Norge ASA med virkning fra 30.9.2011.	2011-10-05	Endring i tillatelse	9999-12-31	5107669	2013-05-08
475 BS	6028	Faroe Petroleum Norge AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Petoro AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	5107669	2013-05-08
475 BS	6347	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	5107669	2013-05-08
402 B	4219	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	2013-02-16	5107780	2013-05-08
107 C	4222	Tillatelsen er registrert i petroleumsregisteret med virkning fra 23.01.2009.	2009-02-23	Ny tillatelse	9999-12-31	5115394	2013-05-08
107 C	4605	Endeavour Energy Norge AS har endret navn til VNG Norge (Operations) AS med virkning fra 26.5.2009	2009-10-28	Andre meldinger	9999-12-31	5115394	2013-05-08
107 C	4686	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-06	Andre meldinger	9999-12-31	5115394	2013-05-08
107 C	4742	VNG Norge (Operations) AS har fusjonert med VNG Norge AS med virkning fra 9.7.2009.	2009-11-09	Andre meldinger	9999-12-31	5115394	2013-05-08
107 C	4743	VNG Norge (Operations) AS har endret navn til VNG Norge AS med virkning fra 1.10.2009.	2009-11-09	Andre meldinger	9999-12-31	5115394	2013-05-08
107 C	5953	ExxonMobil Exploration and Production Norway AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til GDF Suez E&P Norge AS med virkning fra 1.1.2011.	2011-09-30	Endring i tillatelse	9999-12-31	5115394	2013-05-08
107 C	6031	Petoro AS overdrar sin 7,5 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	5115394	2013-05-08
107 C	6286	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	5115394	2013-05-08
107 C	6321	Faroe Petroleum Norge AS pantsetter sin 7,5 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD 300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-19	Heftelse	9999-12-31	5115394	2013-05-08
519	4425	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463084	2013-05-08
519	4488	Norwegian Energy Company ASA patsetter sin 20% deltakerandel i tillatelsen til fordel for SpareBank 1 SR-Bank, DnB NOR Bank ASA og BNP Parisbas (Bankene). Førsteprioritet pantobligasjon stor NOK 1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner 00/100, pluss USD 25,000,000 skriver tjuefemmillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 18.6.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  Pantsettelsen utgjør et såkalt krysspant.	2009-07-12	Heftelse	2013-04-04	5463084	2013-05-08
519	4575	Spring Energy Norway AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). Førsteprioritet pantobligasjon stor NOK 1,000,000,000, skriver norske kroner enmilliard 00/100, Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 15.9.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-09-15	Heftelse	9999-12-31	5463084	2013-05-08
519	5423	Genesis Petroleum Norway AS har fusjonert med Bayerngas Norge AS som er overtakende selskap med virkning fra 6.7.2010.	2010-07-15	Andre meldinger	9999-12-31	5463084	2013-05-08
519	5446	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 15.9.2009 (dok. nr. 4575) hvor Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.8.2010.	2010-08-12	Sletting av heftelse	9999-12-31	5463084	2013-05-08
526	6748	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 2.3.2012 (dok. nr.: 6211) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 14.12.2012 og 19.12.2012.	2012-12-20	Sletting av heftelse	9999-12-31	5463391	2013-05-08
519	5469	Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	5463084	2013-05-08
519	6513	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5469) hvor Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	5463084	2013-05-08
519	6530	Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	5463084	2013-05-08
519	6791	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	5463084	2013-05-08
519	6893	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	5463084	2013-05-08
519	6978	Pantobligasjon pålydende NOK  1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner, pluss USD 25,000,000 skriver tjuefemmillioner hvor Norwegian Energy Company ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank datert 12.7.2009 (dok. nr.: 4488) er slettet. Samtykke fra panthaver SpareBank 1 SR-Bank foreligger i brev datert  20.3.2013.	2013-04-02	Sletting av heftelse	2013-04-04	5463084	2013-05-08
519	6985	Noreco Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	5463084	2013-05-08
318 C	4424	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463114	2013-05-08
318 C	4845	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	5463114	2013-05-08
520	4426	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463136	2013-05-08
520	4489	Norwegian Energy Company ASA patsetter sin 50% deltakerandel i tillatelsen til fordel for SpareBank 1 SR-Bank, DnB NOR Bank ASA og BNP Parisbas (Bankene). Førsteprioritet pantobligasjon stor NOK 1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner 00/100, pluss USD 25,000,000 skriver tjuefemmillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 18.6.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  Pantsettelsen utgjør et såkalt krysspant.	2009-07-12	Heftelse	2013-04-04	5463136	2013-05-08
520	6792	Norwegian Energy Company ASA overdrar sin 50 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	5463136	2013-05-08
520	6977	Pantobligasjon pålydende NOK  1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner, pluss USD 25,000,000 skriver tjuefemmillioner hvor Norwegian Energy Company ASA  pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank datert 12.7.2009 (dok. nr.: 4489) er slettet. Samtykke fra panthaver SpareBank 1 SR-Bank foreligger i brev datert  20.3.2013.	2013-04-02	Sletting av heftelse	2013-04-04	5463136	2013-05-08
520	6986	Noreco Norway AS pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	5463136	2013-05-08
521	4427	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463210	2013-05-08
521	4895	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	5463210	2013-05-08
521	5162	Svenska Petroleum Exploration AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner tre hundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.10.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-02-19	Heftelse	9999-12-31	5463210	2013-05-08
522	4428	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463248	2013-05-08
522	5050	Aker Exploration AS har endret navn til Det norske oljeselskap AS med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5463248	2013-05-08
522	5269	Det norske oljeselskap AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5463248	2013-05-08
522	5631	Pantobligasjon stor NOK 4,500,000,000 skriver norske kroner firemilliarderfemhundre millioner 00/100 datert 5.3.2010 (dok. nr.5269) hvor Det norske oljeselskap AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 23.12.2010.	2011-01-31	Sletting av heftelse	9999-12-31	5463248	2013-05-08
522	5649	Det norske oljeselskap AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 1.10.2010.	2011-01-31	Endring i tillatelse	9999-12-31	5463248	2013-05-08
522	5665	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-01-31	Heftelse	9999-12-31	5463248	2013-05-08
522	5935	Reduksjon av pantsettelse (dok.nr. 5665, registrert 31.1.2011) i Det norske oljeselskap ASA sin deltakerandel i utvinningstillatelsen fra 20% til 10%.  Panthaver DnB NOR Bank ASA samtykker i reduksjon fra 20% til 10% i brev datert 25.8.2011.	2011-08-29	Heftelse	9999-12-31	5463248	2013-05-08
522	5937	Det norske oljeselskap ASA overdrar en 10 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 1.1.2011.	2011-09-02	Endring i tillatelse	9999-12-31	5463248	2013-05-08
522	6409	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	5463248	2013-05-08
525	4431	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463362	2013-05-08
525	4491	Norwegian Energy Company ASA patsetter sin 50% deltakerandel i tillatelsen til fordel for SpareBank 1 SR-Bank, DnB NOR Bank ASA og BNP Parisbas (Bankene). Førsteprioritet pantobligasjon stor NOK 1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner 00/100, pluss USD 25,000,000 skriver tjuefemmillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 18.6.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  Pantsettelsen utgjør et såkalt krysspant.	2009-07-12	Heftelse	2013-04-04	5463362	2013-05-08
525	6465	Olje- og energidepartementet har i brev datert 16.5.2012 bekreftet at Hess Norge AS trer ut av utvinningstillatelsen med virkning fra 15.5.2012. Norwegian Energi Company ASA overtar Hess Norge AS sin 50 % deltakerandel samt operatørskap for utvinningstillatelsen.	2012-06-05	Endring i tillatelse	9999-12-31	5463362	2013-05-08
525	6793	Norwegian Energy Company ASA overdrar sin 100 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	5463362	2013-05-08
525	6976	Pantobligasjon pålydende NOK  1,450,000,000 skriver norske kroner enmilliardfirehundreogfemtimillioner, pluss USD 25,000,000 skriver tjuefemmillioner hvor Norwegian Energy Company ASA  pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank datert 12.7.2009 (dok. nr.: 4491) er slettet. Samtykke fra panthaver SpareBank 1 SR-Bank foreligger i brev datert  20.3.2013.	2013-04-02	Sletting av heftelse	2013-04-04	5463362	2013-05-08
525	6987	Noreco Norway AS pantsetter sin 100 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	5463362	2013-05-08
526	4432	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463391	2013-05-08
526	5355	North Energy AS har endret navn til North Energy ASA med virkning fra 17.12.2009.	2010-04-20	Andre meldinger	9999-12-31	5463391	2013-05-08
526	5690	North Energy ASA  pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	9999-12-31	5463391	2013-05-08
526	6069	Norwegian Energy Company ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Sparebank 1 SR-Bank. Første prioritet panteobligasjon pålydende NOK 1 950 000 000, skriver norske kroner enmilliardnihundreogfemtimillioner, og USD 25 000 000, skriver amerikanske dollar tjuefemmillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd annet punktum at det etableres et såkalt krysspant.  	2011-12-29	Heftelse	9999-12-31	5463391	2013-05-08
526	6199	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5690) hvor North Energy ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	9999-12-31	5463391	2013-05-08
526	6211	North Energy ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	9999-12-31	5463391	2013-05-08
526	6306	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	5463391	2013-05-08
526	6495	Pantobligasjon stor NOK 1 950 000 000 skriver norske kroner etttusennihundreogfemtimillioner  00/100 datert 29.12.2011 (dok. nr. 6069) hvor Norwegian Energy Company ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Sparebank 1 SR-Bank as agent for a syndicate of banks er slettet. Samtykke fra panthaver Sparebank 1 SR-Bank er påtegnet panteobligasjonen, og datert 5.6.2012.	2012-06-06	Sletting av heftelse	9999-12-31	5463391	2013-05-08
526	6552	Norwegian Energy Company ASA overdrar en 6,67 % deltakerandel i utvinningstillatelsen til North Energy ASA med virkning fra 31.7.2012.	2012-08-02	Endring i tillatelse	9999-12-31	5463391	2013-05-08
526	6555	Norwegian Energy Company ASA overdrar sin 13,33 % deltakerandel i utvinningstillatelsen til E.ON E&P Norge AS med virkning fra 31.7.2012.	2012-08-16	Endring i tillatelse	9999-12-31	5463391	2013-05-08
526	6568	Dana Petroleum Norway AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til North Energy ASA med virkning fra 15.5.2012.	2012-09-05	Endring i tillatelse	9999-12-31	5463391	2013-05-08
526	6758	North Energy ASA pantsetter sin 66,67 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-20	Heftelse	9999-12-31	5463391	2013-05-08
527	4433	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463429	2013-05-08
527	4897	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	5463429	2013-05-08
528	4434	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463521	2013-05-08
528	4517	Rocksource ASA pantsetter sin 30% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA , som representant for en sammenslutning av banker. Delt førsteprioritet mellom pantobligasjon stor NOK 250,000,000 skriver norske kroner  tohundreogfemtimillioner 00/100 og pantobligasjon stor NOK 150,000,000 skriver norske kroner ethundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartemet har i brev av 15.6.2009  gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-07-16	Heftelse	9999-12-31	5463521	2013-05-08
528	4518	Rocksource ASA pantsetter sin 30% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA , som representant for en sammenslutning av banker. Delt førsteprioritet mellom pantobligasjon stor NOK 150,000,000 skriver norske kroner  ethundreogfemtimillioner 00/100 og pantobligasjon stor NOK 250,000,000 skriver norske kroner tohundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartemet har i brev av 15.6.2009  gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-07-16	Heftelse	9999-12-31	5463521	2013-05-08
528	5330	Pantobligasjon stor NOK 250,000,000 skriver norske kroner tohundreogfemtimillioner 00/100 datert 16.7.2009 (dok. nr. 4517) hvor Rocksource ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 17.3.2010.	2010-03-23	Sletting av heftelse	9999-12-31	5463521	2013-05-08
528	5331	Pantobligasjon stor NOK 150,000,000 skriver norske kroner etthundreogfemtimillioner 00/100 datert 16.7.2009 (dok. nr. 4518) hvor Rocksource ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 17.3.2010.	2010-03-23	Sletting av heftelse	9999-12-31	5463521	2013-05-08
528	5340	Rocksource ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 500,000,000, skriver norske kroner femhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-23	Heftelse	9999-12-31	5463521	2013-05-08
528	5759	Petro-Canada Norge AS har endret navn til Suncor Energy Norge AS med virkning fra 28.2.2011.	2011-03-16	Andre meldinger	9999-12-31	5463521	2013-05-08
528	5950	Suncor Energy Norge AS overdrar en 15 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 29.9.2011.	2011-09-30	Endring i tillatelse	9999-12-31	5463521	2013-05-08
528	6471	Reduksjon av pantsettelse (dok.nr.:  5340, registrert 23.3.2010) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 30 % til 22,5 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjon fra 30 % til 22,5 % i brev datert 11.4.2012.	2012-06-05	Heftelse	9999-12-31	5463521	2013-05-08
528	6496	Ytterligere reduksjon av pantsettelse (dok.nr.:  6471, registrert 5.6..2012) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 22,5 % til 7,5 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i ytterligere reduksjon fra 22,5 % til 7,5 % i brev datert 8.6.2012.	2012-06-11	Heftelse	9999-12-31	5463521	2013-05-08
528	6497	Rocksource ASA overdra en 22,5 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge med virkning fra 24.5.2012.	2012-06-11	Endring i tillatelse	9999-12-31	5463521	2013-05-08
528	6672	Olje- og energidepartementet har i brev datert 29.10.2012 godkjent endringsavtale nr. 2 i utvinningstillatelsen. Statoil Petroleum AS og Suncor Energy Norge AS har med virkning fra 15.5.2012 trådt ut av utvinningstillatelsen.	2012-11-05	Endring i tillatelse	9999-12-31	5463521	2013-05-08
528	6816	Pantobligasjon pålydende NOK 500 000 000 skriver norske kroner femhundremillioner  00/100 datert 5.6.2012 (dok. nr. 6471) hvor Rocksource ASA pantsetter en 7,5 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 3.1.2013.	2013-01-07	Sletting av heftelse	9999-12-31	5463521	2013-05-08
528	6817	Pantobligasjon pålydende NOK 500 000 000 skriver norske kroner femhundremillioner 00/100 datert 23.3.2010 (dok. nr. 5340) er slettet som følge av sletting av dok. nr. 6471).	2013-01-07	Sletting av heftelse	9999-12-31	5463521	2013-05-08
528	6818	Pantobligasjon pålydende NOK 500 000 000 skriver norske kroner femhundremillioner 00/100 datert 11.6.2012 (dok. nr. 6496) er slettet som følge av sletting av dok. nr. 6471).	2013-01-07	Sletting av heftelse	9999-12-31	5463521	2013-05-08
528	6837	Rocksource ASA overdrar sin 25 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	5463521	2013-05-08
528	6852	Rocksource Exploration Norway AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	5463521	2013-05-08
529	4435	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463559	2013-05-08
529	5765	Eni Norge AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Repsol Exploration Norge AS med virkning fra 1.1.2011.	2011-04-12	Endring i tillatelse	9999-12-31	5463559	2013-05-08
529	5916	Wintershall Norge AS har fusjonert med Winteshall Norge ASA som overtakende selskap med virkning fra 16.7.2011.	2011-07-29	Andre meldinger	9999-12-31	5463559	2013-05-08
529	6352	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	5463559	2013-05-08
530	4436	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	2013-03-22	5463588	2013-05-08
530	4519	Rocksource ASA pantsetter sin 20% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA , som representant for en sammenslutning av banker. Delt førsteprioritet mellom pantobligasjon stor NOK 250,000,000 skriver norske kroner  tohundreogfemtimillioner 00/100 og pantobligasjon stor NOK 150,000,000 skriver norske kroner ethundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartemet har i brev av 15.6.2009  gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-07-16	Heftelse	2013-03-22	5463588	2013-05-08
530	4520	Rocksource ASA pantsetter sin 20% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA , som representant for en sammenslutning av banker. Delt førsteprioritet mellom pantobligasjon stor NOK 150,000,000 skriver norske kroner  ethundreogfemtimillioner 00/100 og pantobligasjon stor NOK 250,000,000 skriver norske kroner tohundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartemet har i brev av 15.6.2009  gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-07-16	Heftelse	2013-03-22	5463588	2013-05-08
530	4547	Discover Petroleum AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet pantobligasjon stor USD 25,000,000 skrives tjuvefemmilliondollars. Pantsetter har ikke rett til å overdra ytterlige pantsettelser av pantsatte objekt uten skridftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-08-21	Heftelse	2013-03-22	5463588	2013-05-08
530	5332	Pantobligasjon stor NOK 250,000,000 skriver norske kroner tohundreogfemtimillioner 00/100 datert 16.7.2009 (dok. nr. 4519) hvor Rocksource ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 17.3.2010.	2010-03-23	Sletting av heftelse	2013-03-22	5463588	2013-05-08
530	5333	Pantobligasjon stor NOK 150,000,000 skriver norske kroner etthundreogfemtimillioner 00/100 datert 16.7.2009 (dok. nr. 4520) hvor Rocksource ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 17.3.2010.	2010-03-23	Sletting av heftelse	2013-03-22	5463588	2013-05-08
530	5341	Rocksource ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 500,000,000, skriver norske kroner femhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-23	Heftelse	2013-03-22	5463588	2013-05-08
530	5361	North Energy AS har endret navn til North Energy ASA med virkning fra 17.12.2009.	2010-04-20	Andre meldinger	2013-03-22	5463588	2013-05-08
530	5390	Discover Petroleum AS har endret navn til Front Exploration AS med virkning fra 26.5.2010.	2010-06-01	Andre meldinger	2013-03-22	5463588	2013-05-08
530	5691	North Energy ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	2013-03-22	5463588	2013-05-08
530	5917	GDF Suez E&P Norge AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Repsol Exploration Norge AS med virkning fra 29.7.2011.	2011-07-29	Endring i tillatelse	2013-03-22	5463588	2013-05-08
530	6200	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5691) hvor North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	2013-03-22	5463588	2013-05-08
530	6212	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	2013-03-22	5463588	2013-05-08
530	6473	Reduksjon av pantsettelse (dok.nr.:  5341, registrert 23.3.2010) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 20 % til 10 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjon fra 20 % til 10 % i brev datert 11.4.2012.	2012-06-05	Heftelse	2013-03-22	5463588	2013-05-08
530	6485	Rocksource ASA overdrar en 10 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	2013-03-22	5463588	2013-05-08
530	6597	Pantobligasjon pålydende USD 25,000,000, skriver amerikanskedollartjuefemmillioner  00/100 datert 21.8.2009 (dok. nr. 4547), der Discover Petroleum AS pantsetter sin 20 % deltakerandel (første prioritet) i utvinningstillatelsen til Norsk Tillitsmann ASA  er slettet. Samtykke fra panthaver Norsk Tillitsmann ASA  foreligger i brev datert 9.10.2012.	2012-10-10	Sletting av heftelse	2013-03-22	5463588	2013-05-08
530	6664	Front Exploration AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Dong E&P Norge AS med virkning fra 31.10.2012.	2012-11-02	Endring i tillatelse	2013-03-22	5463588	2013-05-08
530	6749	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 2.3.2012 (dok. nr.: 6212) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 14.12.2012 og 19.12.2012.	2012-12-20	Sletting av heftelse	2013-03-22	5463588	2013-05-08
530	6759	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-20	Heftelse	2013-05-01	5463588	2013-05-08
530	6819	Pantobligasjon pålydende NOK 500 000 000 skriver norske kroner femhundremillioner  00/100 datert 5.6.2012 (dok. nr. 6473) hvor Rocksource ASA pantsetter en 10 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 3.1.2013.	2013-01-07	Sletting av heftelse	2013-03-22	5463588	2013-05-08
530	6820	Pantobligasjon pålydende NOK 500 000 000 skriver norske kroner femhundremillioner 00/100 datert 23.3.2010 (dok. nr. 5341) er slettet som følge av sletting av dok. nr. 6473).	2013-01-07	Sletting av heftelse	2013-03-22	5463588	2013-05-08
530	6836	Rocksource ASA overdrar sin 10 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	2013-03-22	5463588	2013-05-08
530	6850	Rocksource Exploration Norway AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	2013-03-22	5463588	2013-05-08
530	6964	Olje- og energidepartementet bekrefter i brev datert 18.3.2013 at utvinningstillatelsen anses som oppgitt fra 12.3.2013, jf. petroleumsloven § 3-15.	2013-03-21	Andre meldinger	9999-12-31	5463588	2013-05-08
530	7041	Pantobligasjon pålydende NOK, 950 000 000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen 530 til fordel for DNB Bank ASA datert 20.12.2012 (dok. nr.:6759) er slettet. Samtykke fra panthaver DNB Bank ASA foreligger i brev datert 23.4.2013	2013-04-30	Sletting av heftelse	9999-12-31	5463588	2013-05-08
531	4437	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463621	2013-05-08
531	5491	Concedo ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 200,000,000 pluss 10 %, skriver norske kroner tohundre millioner 00/100 pluss 10 %. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.7.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-09-06	Heftelse	2013-04-12	5463621	2013-05-08
531	5879	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	5463621	2013-05-08
531	5986	Marathon Oil Norge AS overdrar en 20 % deltakerandel i utvinningstillatelsen til Repsol Exploration Norge AS med virkning fra 31.10.2011. Repsol Exploration Norge AS overtar operatørskap i utvinningstillatelsen.	2011-10-31	Endring i tillatelse	9999-12-31	5463621	2013-05-08
531	6553	RWE Dea Norge AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 1.1.2012.	2012-08-03	Endring i tillatelse	9999-12-31	5463621	2013-05-08
531	6685	Talisman Energy Norge AS overdrar en 12,5 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 30.11.2012.	2012-11-30	Endring i tillatelse	9999-12-31	5463621	2013-05-08
531	6714	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	5463621	2013-05-08
531	7017	Pantobligasjon pålydende NOK  200,000,000  pluss 10 % skriver norske kroner tohundremillioner, pluss ti prosent hvor Concedo ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen 531 til fordel for DnB NOR Bank ASA datert 6.9.2010 (dok. nr.: 5491) er slettet. Samtykke fra panthaver DnB NOR Bank ASA  foreligger i brev datert  9.4.2013.	2013-04-10	Sletting av heftelse	2013-04-12	5463621	2013-05-08
531	7021	Concedo ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen 531 til fordel for DNB Bank ASA. Første prioritet panteobligasjon stor NOK 350,000,000 pluss 10 %, skriver norske kroner trehundreogfemtimillioner 00/100 pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.3.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-10	Heftelse	2013-04-12	5463621	2013-05-08
532	4438	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463659	2013-05-08
532	4898	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	5463659	2013-05-08
533	4439	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463724	2013-05-08
533	4978	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5463724	2013-05-08
533	5032	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	5463724	2013-05-08
533	5253	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5463724	2013-05-08
533	6411	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	5463724	2013-05-08
534	4440	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463753	2013-05-08
534	4899	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	9999-12-31	5463753	2013-05-08
534	5900	Faroe Petroleum Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	5463753	2013-05-08
534	6353	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	5463753	2013-05-08
535	4521	Rocksource ASA pantsetter sin 20% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA , som representant for en sammenslutning av banker. Delt førsteprioritet mellom pantobligasjon stor NOK 250,000,000 skriver norske kroner  tohundreogfemtimillioner 00/100 og pantobligasjon stor NOK 150,000,000 skriver norske kroner ethundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartemet har i brev av 15.6.2009  gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-07-16	Heftelse	9999-12-31	5463791	2013-05-08
535	4522	Rocksource ASA pantsetter sin 20% deltakerandel i tillatelsen til fordel for DnB NOR Bank ASA , som representant for en sammenslutning av banker. Delt førsteprioritet mellom pantobligasjon stor NOK 150,000,000 skriver norske kroner  ethundreogfemtimillioner 00/100 og pantobligasjon stor NOK 250,000,000 skriver norske kroner tohundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartemet har i brev av 15.6.2009  gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-07-16	Heftelse	9999-12-31	5463791	2013-05-08
535	5052	Aker Exploration AS har endret navn til Det norske oljeselskap AS med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5463791	2013-05-08
535	5271	Det norske oljeselskap AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5463791	2013-05-08
535	5334	Pantobligasjon stor NOK 250,000,000 skriver norske kroner tohundreogfemtimillioner 00/100 datert 16.7.2009 (dok. nr. 4521) hvor Rocksource ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 17.3.2010.	2010-03-23	Sletting av heftelse	9999-12-31	5463791	2013-05-08
535	5335	Pantobligasjon stor NOK 150,000,000 skriver norske kroner etthundreogfemtimillioner 00/100 datert 16.7.2009 (dok. nr. 4522) hvor Rocksource ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 17.3.2010.	2010-03-23	Sletting av heftelse	9999-12-31	5463791	2013-05-08
535	5342	Rocksource ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 500,000,000, skriver norske kroner femhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-23	Heftelse	9999-12-31	5463791	2013-05-08
535	5362	North Energy AS har endret navn til North Energy ASA med virkning fra 17.12.2009.	2010-04-20	Andre meldinger	9999-12-31	5463791	2013-05-08
535	5633	Pantobligasjon stor NOK 4,500,000,000 skriver norske kroner firemilliarderfemhundre millioner 00/100 datert 5.3.2010 (dok. nr.5271) hvor Det norske oljeselskap AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev datert 23.12.2010.	2011-01-31	Sletting av heftelse	9999-12-31	5463791	2013-05-08
535	5651	Det norske oljeselskap AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 1.10.2010.	2011-01-31	Endring i tillatelse	9999-12-31	5463791	2013-05-08
535	5667	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-01-31	Heftelse	9999-12-31	5463791	2013-05-08
535	5692	North Energy ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	9999-12-31	5463791	2013-05-08
535	6201	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5692) hvor North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	9999-12-31	5463791	2013-05-08
535	6213	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	9999-12-31	5463791	2013-05-08
535	6425	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	5463791	2013-05-08
535	6474	Reduksjon av pantsettelse (dok.nr.:  5342, registrert 23.3.2010) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 20 % til 7 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjon fra 20 % til 7 % i brev datert 11.4.2012.	2012-06-05	Heftelse	9999-12-31	5463791	2013-05-08
535	6486	Rocksource ASA overdrar en 13 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	9999-12-31	5463791	2013-05-08
535	6750	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 2.3.2012 (dok. nr.: 6213) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 14.12.2012 og 19.12.2012.	2012-12-20	Sletting av heftelse	9999-12-31	5463791	2013-05-08
535	6760	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-20	Heftelse	9999-12-31	5463791	2013-05-08
535	6821	Pantobligasjon pålydende NOK 500 000 000 skriver norske kroner femhundremillioner  00/100 datert 5.6.2012 (dok. nr. 6474) hvor Rocksource ASA pantsetter en 7 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 3.1.2013.	2013-01-07	Sletting av heftelse	9999-12-31	5463791	2013-05-08
535	6822	Pantobligasjon pålydende NOK 500 000 000 skriver norske kroner femhundremillioner 00/100 datert 23.3.2010 (dok. nr. 5342) er slettet som følge av sletting av dok. nr. 6474).	2013-01-07	Sletting av heftelse	9999-12-31	5463791	2013-05-08
535	6835	Rocksource ASA overdrar sin 7 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	5463791	2013-05-08
535	6849	Rocksource Exploration Norway AS pantsetter sin 7 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	5463791	2013-05-08
536	4442	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	2013-01-23	5463820	2013-05-08
536	4548	Discover Petroleum AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for Norsk Tillitsmann ASA. Førsteprioritet pantobligasjon stor USD 25,000,000 skrives tjuvefemmilliondollars. Pantsetter har ikke rett til å overdra ytterlige pantsettelser av pantsatte objekt uten skridftlig samtykke fra panthaver. Pantsettelsen utgjør et såkalt krysspant.	2009-08-21	Heftelse	2013-01-23	5463820	2013-05-08
536	4900	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum AS med virkning fra 2.11.2009.	2009-11-12	Andre meldinger	2013-01-23	5463820	2013-05-08
536	5363	North Energy AS har endret navn til North Energy ASA med virkning fra 17.12.2009.	2010-04-20	Andre meldinger	2013-01-23	5463820	2013-05-08
536	5391	Discover Petroleum AS har endret navn til Front Exploration AS med virkning fra 26.5.2010.	2010-06-01	Andre meldinger	2013-01-23	5463820	2013-05-08
536	5693	North Energy ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	2013-01-23	5463820	2013-05-08
536	6202	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5693) hvor North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	2013-01-23	5463820	2013-05-08
536	6214	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	2013-01-23	5463820	2013-05-08
536	6598	Pantobligasjon pålydende USD 25,000,000, skriver amerikanskedollartjuefemmillioner  00/100 datert 21.8.2009 (dok. nr. 4548), der Discover Petroleum AS pantsetter sin 20 % deltakerandel (første prioritet) i utvinningstillatelsen til Norsk Tillitsmann ASA  er slettet. Samtykke fra panthaver Norsk Tillitsmann ASA  foreligger i brev datert 9.10.2012.	2012-10-10	Sletting av heftelse	2013-01-23	5463820	2013-05-08
536	6667	Front Exploration AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Dong E&P Norge AS med virkning fra 31.10.2012.	2012-11-02	Endring i tillatelse	2013-01-23	5463820	2013-05-08
536	6751	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 2.3.2012 (dok. nr.: 6214) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 14.12.2012 og 19.12.2012.	2012-12-20	Sletting av heftelse	2013-01-23	5463820	2013-05-08
536	6761	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-20	Heftelse	2013-05-01	5463820	2013-05-08
536	6864	OED bekrefter i brev datert 17.1.2013 at utvinningstillatelsen bortfaller i sin helhet fra og med 15.11.2012.	2013-01-22	Andre meldinger	2013-01-25	5463820	2013-05-08
537	4443	Tillatelsen er innført i petroleumsregisteret	2009-06-03	Ny tillatelse	9999-12-31	5463849	2013-05-08
537	4574	Spring Energy Norway AS pantsetter sin 20% deltakerandel i tillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AS (publ). Førsteprioritet pantobligasjon stor NOK 1,000,000,000, skriver norske kroner enmilliard 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterlige pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartement har i brev av 15.9.2009 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2009-09-15	Heftelse	9999-12-31	5463849	2013-05-08
537	5447	Pantobligasjon stor NOK 1 000 000 000 skriver norske kroner enmilliard  00/100 datert 15.9.2009 (dok. nr. 4574) hvor Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) foreligger 12.8.2010.	2010-08-12	Sletting av heftelse	9999-12-31	5463849	2013-05-08
019 D	4905	Dong E&P Norge AS overdrar en 1 % deltakerandel i utvinningstillatelsen til Norske AEDC AS med virkning fra 1.1.2008.	2009-11-19	Endring i tillatelse	9999-12-31	5488531	2013-05-08
537	5470	Spring Energy Norway AS pantsetter sin 20% deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	5463849	2013-05-08
537	5571	OMV (Norge) AS overdrar en 15 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 29.12.2010.	2010-12-29	Endring i tillatelse	9999-12-31	5463849	2013-05-08
537	6514	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5470) hvor Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	5463849	2013-05-08
537	6531	Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	5463849	2013-05-08
537	6895	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	5463849	2013-05-08
102 C	4412	Ny tillatelse er innført i petroleumsregisteret.	2009-05-14	Ny tillatelse	9999-12-31	5467035	2013-05-08
102 C	4416	StatoilHydro Petroleum AS har overdratt sin 10% deltakerandel i tillatelsen til Det norske oljeselskap ASA med virkning fra 31.3.2009	2009-05-18	Endring i tillatelse	9999-12-31	5467035	2013-05-08
102 C	4935	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5467035	2013-05-08
102 C	4989	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	5467035	2013-05-08
102 C	5211	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5467035	2013-05-08
102 C	6005	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5211) hvor Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	5467035	2013-05-08
102 C	6454	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	5467035	2013-05-08
169 C	4417	Ny tillatelse er innført i petroleumsregisteret.	2009-05-18	Ny tillatelse	9999-12-31	5479914	2013-05-08
169 C	4418	StatoilHydro Petroleum AS har overdratt sin 57% deltakerandel i tillatelsen til Det norske oljeselskap ASA med virkning fra 31.3.2009	2009-05-18	Endring i tillatelse	9999-12-31	5479914	2013-05-08
169 C	4422	Olje- og energidepartement har i brev, ref: 09/00154-11 den 29.4.2009 godkjent Det norske oljeselskap ASA  som ny operatør i tillatelsen.	2009-05-25	Endring i tillatelse	9999-12-31	5479914	2013-05-08
169 C	4937	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5479914	2013-05-08
169 C	4991	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	5479914	2013-05-08
169 C	5106	ExxonMobil Exploration and Production Norway AS overdrar sin 13 % deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 31.7.2009.	2010-02-01	Endring i tillatelse	9999-12-31	5479914	2013-05-08
169 C	5213	Det norske oljeselskap ASA pantsetter sin 70 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5479914	2013-05-08
169 C	6007	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5213) hvor Det norske oljeselskap ASA pantsetter sin 70 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	5479914	2013-05-08
169 C	6452	Det norske oljeselskap ASA pantsetter sin 70 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	5479914	2013-05-08
169 C	6671	Reduksjon av pantsettelse (dok.nr. 6452), registrert 10.5.2012 i Det norske oljeselskap ASA sin deltakerandel i utvinningstillatelsen fra 70 % til  50 %.  Panthaver DNB Bank ASA samtykker til reduksjon fra 70 % til 50 % i brev datert 30.10.2012.	2012-11-05	Heftelse	2013-05-08	5479914	2013-05-08
169 C	6677	Det norske oljeselskap ASA overdrar en 20 % deltakerandel i utvinningstillatelsen til Petoro AS med virkning fra 1.1.2012.	2012-11-08	Endring i tillatelse	9999-12-31	5479914	2013-05-08
019 D	4904	Utvinningstillatelsen innført i Petroleumsregisteret.	2009-11-19	Ny tillatelse	9999-12-31	5488531	2013-05-08
093 B	5282	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17654585	2013-05-08
019 D	4915	Talisman Energy Norge AS overdrar en 4 % deltakerandel i utvinningstillatelsen til Norske AECD AS med virkning fra 1. januar 2008.	2009-12-17	Endring i tillatelse	9999-12-31	5488531	2013-05-08
038 D	4451	Ny tillatelse innført i petroleumsregisteret.	2009-06-17	Ny tillatelse	9999-12-31	5500999	2013-05-08
038 D	4550	Talisman Energy Norge AS har overdratt en 25% deltakerandel i tillatelsen til Det norske oljeselskap ASA med virkning fra 1.1.2009.	2009-08-25	Endring i tillatelse	9999-12-31	5500999	2013-05-08
038 D	4932	Aker Exploration ASA har fusjonert med Det norske oljeselskap ASA med virkning fra 22.12.2009.	2009-12-23	Andre meldinger	9999-12-31	5500999	2013-05-08
038 D	4986	De fusjonerte selskapene Aker Exploration ASA og Det norske oljeselskap ASA har fra 22.12.2009 navnet Det norske oljeselskap ASA.	2009-12-23	Andre meldinger	9999-12-31	5500999	2013-05-08
038 D	5208	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.1.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-05	Heftelse	9999-12-31	5500999	2013-05-08
038 D	6003	Pantobligasjon pålydende NOK 4 500 000 000 skriver norske kroner firemilliarderfemhundremillioner  00/100 datert 5.3.2010 (dok. nr. 5208) hvor Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 21.11.2011.	2011-11-22	Sletting av heftelse	9999-12-31	5500999	2013-05-08
038 D	6443	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet panteobligasjon stor USD 750,000,000, skriver US dollar syvhundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-10	Heftelse	9999-12-31	5500999	2013-05-08
539	5293	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320077	2013-05-08
539	5760	Petro-Canada Norge AS har endret navn til Suncor Energy Norge AS med virkning fra 28.2.2011.	2011-03-16	Andre meldinger	9999-12-31	17320077	2013-05-08
539	6165	Nexen Exploration Norge AS overdrar sin 40 % deltakerandel i utvinningstillatelsen til Premier Oil Norge AS med virkning fra 31.1.2012. Premier Oil Norge overtar som operatør i utvinningstillatelsen.	2012-02-03	Endring i tillatelse	9999-12-31	17320077	2013-05-08
540	5294	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	2013-01-23	17320106	2013-05-08
540	6863	OED bekrefter i brev datert 17.1.2013 at utvinningstillatelsen er bortfalt i sin helhet f.o.m. 19.8.2011.	2013-01-22	Andre meldinger	2013-01-25	17320106	2013-05-08
541	5295	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320130	2013-05-08
542	5296	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320156	2013-05-08
542	5471	Spring Energy Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	17320156	2013-05-08
542	5944	Det norske oljeselskap ASA pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-09-29	Heftelse	9999-12-31	17320156	2013-05-08
542	6440	Det norske oljeselskap ASA pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	17320156	2013-05-08
542	6515	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5471) hvor Spring Energy Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	17320156	2013-05-08
542	6532	Spring Energy Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	17320156	2013-05-08
542	6896	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	17320156	2013-05-08
497 B	5289	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320202	2013-05-08
497 B	5942	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-09-29	Heftelse	9999-12-31	17320202	2013-05-08
093 B	6682	BP Norge AS overdrar sin 18,36 % deltakerandel i utvinningstillatelsen til A/S Norske Shell med virkning fra 1.1.2012.	2012-11-30	Endring i tillatelse	9999-12-31	17654585	2013-05-08
312 B	5284	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17654614	2013-05-08
557	5311	Utvinningstillatelsen innført i petroleumsregisteret.	2010-03-23	Ny tillatelse	9999-12-31	17654641	2013-05-08
497 B	6016	Bridge Energy Norge AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	9999-12-31	17320202	2013-05-08
497 B	6406	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	17320202	2013-05-08
497 B	6582	Bridge Energy Norge AS overdrar en 15% deltakerandel i utvinningstillatelsen til Agora Oil & Gas AS med virkning fra 28.9.2012.Aksept fra panthaver DNB Bank ASA til overdragelsen og justert pantedokument foreligger ved registeringsnr  6588.	2012-10-01	Endring i tillatelse	2013-05-08	17320202	2013-05-08
497 B	6588	Reduksjon av pantsettelse(dok.nr. 6016, registrert 2.12.2011) i Bridge Energy Norge AS sin deltakerandel i utvinningstillatelsen fra 30% til 15%.  Panthaver DNB Bank ASA samtykker til reduksjon fra 30% til 15% i brev datert 2.10.2012. 	2012-10-04	Heftelse	9999-12-31	17320202	2013-05-08
497 B	6676	Agora Oil & Gas AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 500,000,000, skriver norske kroner femhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-11-07	Heftelse	9999-12-31	17320202	2013-05-08
497 B	7036	Agora Oil & Gas AS har endret foretaksnavn til Capricorn Norge AS fra 20.04.2013	2013-04-29	Andre meldinger	9999-12-31	17320202	2013-05-08
543	5297	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	2013-02-08	17320231	2013-05-08
544	5298	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320260	2013-05-08
544	6586	Lundin Norway  AS overdrar en 30% deltakerandel i utvinningstillatelsen til Explora Petroleum AS med virkning fra 1.10.2012.	2012-10-02	Endring i tillatelse	9999-12-31	17320260	2013-05-08
546	5300	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320338	2013-05-08
169 D	5283	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320383	2013-05-08
340 BS	5286	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320421	2013-05-08
340 BS	5875	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	17320421	2013-05-08
504 BS	5288	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320469	2013-05-08
504 BS	5943	Det norske oljeselskap ASA pantsetter sin 58,5 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-09-29	Heftelse	9999-12-31	17320469	2013-05-08
504 BS	6018	Bridge Energy Norge AS pantsetter sin 8,5 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	9999-12-31	17320469	2013-05-08
504 BS	6407	Det norske oljeselskap ASA pantsetter sin 58,5 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	17320469	2013-05-08
505 BS	5287	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320530	2013-05-08
505 BS	5863	Marathon Petroleum Norge AS overdrar en 15 % deltakerandel i utvinningstillatelsen til Maersk Oil Norway AS med virkning fra 30.6.2011.	2011-06-30	Endring i tillatelse	9999-12-31	17320530	2013-05-08
505 BS	5878	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	17320530	2013-05-08
549 S	5303	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320558	2013-05-08
549 S	5345	Svenska Petroleum Exploration AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner trehundremillioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 10.2.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-23	Heftelse	9999-12-31	17320558	2013-05-08
549 S	5352	Dok. Nr. 5345 er slettet, ettersom Olje- og energidepartementet har trukket tilbake sitt samtykke til pantsettelse, med begrunnelse at tillatelsen ikke var tildelt på samtykketidspunktet. Ref. e-post fra OED datert 6.4.2010.	2010-04-12	Sletting av heftelse	9999-12-31	17320558	2013-05-08
549 S	5377	Svenska Petroleum Exploration AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner tre hundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 27.4.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-05-12	Heftelse	9999-12-31	17320558	2013-05-08
477 B	5290	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17654703	2013-05-08
477 B	5757	Petro-Canada Norge AS har endret navn til Suncor Energy Norge AS med virkning fra 28.2.2011.	2011-03-16	Andre meldinger	9999-12-31	17654703	2013-05-08
549 S	5946	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-09-29	Heftelse	9999-12-31	17320558	2013-05-08
549 S	6438	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	17320558	2013-05-08
550	5304	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17320594	2013-05-08
550	5473	Spring Energy Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	17320594	2013-05-08
550	6354	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	17320594	2013-05-08
550	6463	Spring Energy Norway AS overdrar en 20% deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 1.1.2012.	2012-06-04	Endring i tillatelse	9999-12-31	17320594	2013-05-08
550	6479	Wintershall  Norge AS overdrar sin 60% deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 1.1.2012.	2012-06-05	Endring i tillatelse	9999-12-31	17320594	2013-05-08
550	6516	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5473) hvor Spring Energy Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	17320594	2013-05-08
550	6533	Spring Energy Norway AS pantsetter sin 80 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	17320594	2013-05-08
550	6715	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	17320594	2013-05-08
550	6897	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	17320594	2013-05-08
551	5305	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17642019	2013-05-08
551	5474	Spring Energy Norway AS pantsetter sin 40% deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet  panteobligasjon stor NOK 1,500,000,000, skriver norske kroner enmilliardfemhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.6.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-08-12	Heftelse	9999-12-31	17642019	2013-05-08
551	5555	Reduksjon av pantsettelse (dok. nr. 5474, registrert 12.8.2010) i Spring Energy Norway AS sin deltakterandel i utvinningstillatelsen fra 40 % til 20 %. Panthaver Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjonen fra 40 % til 20 %, samt etterfølgende overdragelse av den frigitte andelen.	2010-12-01	Heftelse	9999-12-31	17642019	2013-05-08
551	5558	Spring Energy Norway AS overdrar en 20 % deltakerandel i utvinningstillatelsen til Talisman Energy Norge AS med virkning fra 30.11.2010.	2010-12-01	Endring i tillatelse	9999-12-31	17642019	2013-05-08
551	6355	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	17642019	2013-05-08
551	6464	Spring Energy Norway AS overdrar sin 20% deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 1.1.2012.	2012-06-04	Endring i tillatelse	9999-12-31	17642019	2013-05-08
551	6480	Wintershall  Norge AS overdrar sin 60% deltakerandel i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 1.1.2012.  Spring Energy Norway AS overtar videre operatørskapet i utvinningstillatelsen, ref. brev fra Olje- og Energidepartementet av 26.4.2012. 	2012-06-05	Endring i tillatelse	9999-12-31	17642019	2013-05-08
551	6481	Talisman Energy Norge AS overdrar sin 20% deltakerandel  i utvinningstillatelsen til Spring Energy Norway AS med virkning fra 1.1.2012.	2012-06-05	Endring i tillatelse	9999-12-31	17642019	2013-05-08
551	6517	Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 12.8.2010 (dok. nr. 5474) , hvor Spring Energy Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	17642019	2013-05-08
551	6518	Dokumentet er slettet som følge av sletting av dok.nr. 5474. Dok. nr. 5555 gjaldt reduksjon av pant fra 40 % til 20 %. Pantobligasjon pålydende NOK 1 500 000 000 skriver norske kroner enmilliardfemhundremillioner  00/100 datert 1.12.2010 (dok. nr. 5555) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 21.6.2012.	2012-06-26	Sletting av heftelse	9999-12-31	17642019	2013-05-08
561	7006	Olje-og energidepartementet bekrefter i brev datert 22.3.2013 at utvinningstillatelsen anses som bortfalt 19.2.2013, jf. petroleumsloven § 3-15	2013-04-02	Andre meldinger	2013-04-04	17654869	2013-05-08
551	6534	Spring Energy Norway AS pantsetter sin 80 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	17642019	2013-05-08
551	6717	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	17642019	2013-05-08
551	6878	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	17642019	2013-05-08
090 E	5281	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	9999-12-31	17642079	2013-05-08
552	5306	Utvinningstillatelsen innført i petroleumsregisteret.	2010-03-23	Ny tillatelse	9999-12-31	17642108	2013-05-08
553	5307	Utvinningstillatelsen innført i petroleumsregisteret.	2010-03-23	Ny tillatelse	9999-12-31	17646365	2013-05-08
553	5344	Svenska Petroleum Exploration AS pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner trehundremillioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 10.2.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-23	Heftelse	9999-12-31	17646365	2013-05-08
553	5353	Dok. Nr. 5344 er slettet, ettersom Olje- og energidepartementet har trukket tilbake sitt samtykke til pantsettelse, med begrunnelse at tillatelsen ikke var tildelt på samtykketidspunktet. Ref. e-post fra OED datert 6.4.2010.	2010-04-12	Sletting av heftelse	9999-12-31	17646365	2013-05-08
553	5376	Svenska Petroleum Exploration AS pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner tre hundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 27.4.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-05-12	Heftelse	9999-12-31	17646365	2013-05-08
553	5947	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-09-29	Heftelse	9999-12-31	17646365	2013-05-08
553	6437	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	17646365	2013-05-08
554	5308	Utvinningstillatelsen innført i petroleumsregisteret.	2010-03-23	Ny tillatelse	9999-12-31	17654471	2013-05-08
554	5789	Bridge Energy Norge AS overdrar en 40 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 31.5.2011. Total E&P Norge AS overtar som operatør i utvinningstillatelsen.	2011-06-06	Endring i tillatelse	9999-12-31	17654471	2013-05-08
554	5948	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-09-29	Heftelse	9999-12-31	17654471	2013-05-08
554	5993	Reduksjon av pantsettelse (dok. nr. 5948, registrert 29.9.2010) i Det norske oljeselskap AS sin deltakerandel i utvinningstillatelsen fra 40 % til 20 %. Panthaver DnB Nor Bank ASA samtykker i reduksjon fra 40 % til 20 % i brev datert 2.11.2011.	2011-11-07	Heftelse	9999-12-31	17654471	2013-05-08
554	5994	Det norske oljeselskap ASA overdrar en 20 % deltakerandel i utvinningstillatelsen til Svenska Petroleum Exploration AS med virkning fra 1.1.2011.	2011-11-07	Endring i tillatelse	9999-12-31	17654471	2013-05-08
554	6021	Bridge Energy Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	9999-12-31	17654471	2013-05-08
554	6373	Svenska Petroleum Exploration AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 300,000,000 pluss 10 %, skriver norske kroner trehundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 27.3.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-04	Heftelse	9999-12-31	17654471	2013-05-08
554	6436	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	17654471	2013-05-08
555	5309	Utvinningstillatelsen innført i petroleumsregisteret.	2010-03-23	Ny tillatelse	9999-12-31	17654533	2013-05-08
477 B	5896	Faroe Petroleum Norge AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	17654703	2013-05-08
558	5312	Utvinningstillatelsen innført i petroleumsregisteret.	2010-03-23	Ny tillatelse	9999-12-31	17654732	2013-05-08
558	5637	Det norske oljeselskap AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 1.10.2010.	2011-01-31	Endring i tillatelse	9999-12-31	17654732	2013-05-08
558	5669	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-01-31	Heftelse	9999-12-31	17654732	2013-05-08
558	6307	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	17654732	2013-05-08
558	6434	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	17654732	2013-05-08
558	6860	Nexen Exploration Norge AS overdrar sin 15 % deltakerandel i utvinningstillatelsen til PGNiG Norway AS med virkning fra 30.12.2011.	2013-01-15	Endring i tillatelse	2013-01-16	17654732	2013-05-08
559	5313	Utvinningstillatelsen innført i petroleumsregisteret.	2010-03-23	Ny tillatelse	9999-12-31	17654775	2013-05-08
559	5343	Rocksource ASA pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 500,000,000, skriver norske kroner femhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-03-23	Heftelse	9999-12-31	17654775	2013-05-08
559	6769	VNG Norge AS overdrar en 2,5% deltakerandel i utvinningstillatelsen til Emergy Exploration AS med virkning fra 27.12.2012.	2012-12-27	Endring i tillatelse	9999-12-31	17654775	2013-05-08
559	6770	VNG Norge AS overdrar en 7,5% deltakerandel i utvinningstillatelsen til Emergy Exploration AS med virkning fra 27.12.2012.	2012-12-27	Endring i tillatelse	9999-12-31	17654775	2013-05-08
559	6857	Pantobligasjon pålydende NOK 500 000 000 skriver norske kroner femhundreimillioner  00/100 datert 23.3.2010 (dok. nr. 5343) hvor Rocksource ASA pantsetter sin 60 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 7.1.2013.	2013-01-08	Sletting av heftelse	9999-12-31	17654775	2013-05-08
559	6858	Rocksource ASA overdrar sin 60 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-08	Endring i tillatelse	9999-12-31	17654775	2013-05-08
559	6859	Rocksource Exploration Norway AS pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-08	Heftelse	9999-12-31	17654775	2013-05-08
559	6862	Emergy Exploration AS har endret foretaksnavn til Atlantic Petroleum Norge AS med virkning fra 12.1.2013.	2013-01-17	Andre meldinger	2013-01-19	17654775	2013-05-08
559	6963	Atlantic Petroleum Norge AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon stor NOK 300,000,000, skriver norske kroner trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.2.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-03-20	Heftelse	9999-12-31	17654775	2013-05-08
561	5315	Utvinningstillatelsen innført i petroleumsregisteret.	2010-03-23	Ny tillatelse	2013-04-03	17654869	2013-05-08
561	5490	Concedo ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 200,000,000 pluss 10 %, skriver norske kroner tohundre millioner 00/100 pluss 10 %. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.7.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2010-09-06	Heftelse	2013-04-12	17654869	2013-05-08
561	5949	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 15.3.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-09-29	Heftelse	2013-04-03	17654869	2013-05-08
561	6308	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	2013-04-03	17654869	2013-05-08
561	6356	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	2013-04-03	17654869	2013-05-08
561	6433	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	2013-04-03	17654869	2013-05-08
561	7018	Pantobligasjon pålydende NOK  200,000,000  pluss 10 % skriver norske kroner tohundremillioner pluss ti prosent hvor Concedo ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen 561 til fordel for DnB NOR Bank ASA datert 6.9.2010 (dok. nr.: 5490) er slettet. Samtykke fra panthaver DnB NOR Bank ASA  foreligger i brev datert  9.4.2013.	2013-04-10	Sletting av heftelse	2013-04-12	17654869	2013-05-08
562	5316	Utvinningstillatelsen innført i petroleumsregisteret.	2010-03-23	Ny tillatelse	9999-12-31	17654921	2013-05-08
562	5364	North Energy AS har endret navn til North Energy ASA med virkning fra 17.12.2009.	2010-04-20	Andre meldinger	9999-12-31	17654921	2013-05-08
562	5564	Dana Petroleum Norway AS overdrar en 10 % deltakerandel i utvinningstillatelsen til E.ON Ruhrgas Norge AS med virkning fra 30.11.2010.	2010-12-14	Endring i tillatelse	9999-12-31	17654921	2013-05-08
562	5694	North Energy ASA  pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	9999-12-31	17654921	2013-05-08
562	6203	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5694) hvor North Energy ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	9999-12-31	17654921	2013-05-08
562	6215	North Energy ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	9999-12-31	17654921	2013-05-08
562	6309	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	17654921	2013-05-08
562	6752	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 2.3.2012 (dok. nr.: 6215) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 14.12.2012 og 19.12.2012.	2012-12-20	Sletting av heftelse	9999-12-31	17654921	2013-05-08
562	6762	North Energy ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-20	Heftelse	9999-12-31	17654921	2013-05-08
562	6794	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	17654921	2013-05-08
562	6988	Noreco Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	17654921	2013-05-08
518 B	5292	Utvinningstillatelsen innført i Petroleumsregisteret.	2010-03-22	Ny tillatelse	2013-03-22	17654970	2013-05-08
518 B	5360	North Energy AS har endret navn til North Energy ASA med virkning fra 17.12.2009.	2010-04-20	Andre meldinger	2013-03-22	17654970	2013-05-08
518 B	5375	Sagex Petroleum Norge AS  pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 30,000,000, skriver norske kroner trettimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 27.4.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2010-05-11	Heftelse	2013-03-22	17654970	2013-05-08
518 B	5389	Discover Petroleum AS har endret navn til Front Exploration AS med virkning fra 26.5.2010.	2010-06-01	Andre meldinger	2013-03-22	17654970	2013-05-08
518 B	5689	North Energy ASA  pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	2013-03-22	17654970	2013-05-08
518 B	5795	Pantobligasjon stor NOK 30,000,000 skriver norske kroner trettimillioner  00/100 datert 11.5.2010 (dok. nr. 5375) hvor Sagex Petroleum Norge AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver, Skandinaviska Enskilda Banken AB (publ) foreligger.	2011-06-14	Sletting av heftelse	2013-03-22	17654970	2013-05-08
518 B	5991	Sagex Petroleum Norge AS har endret navn til Valiant Petroleum Norge AS, med virkning fra 8.10.2011.	2011-11-01	Andre meldinger	2013-03-22	17654970	2013-05-08
518 B	6182	Front Exploration AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon stor USD 25,000,000,  skriver amerikanske dollar tjuefemmillioner 0/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-02-09	Heftelse	2013-03-22	17654970	2013-05-08
518 B	6198	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5689) hvor North Energy ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	2013-03-22	17654970	2013-05-08
494 B	7010	Operatørskapet er overført fra Dana Petroleum Norway AS til Det norske oljeselskap ASA i henhold til brev fra OED av 19.3.2013.	2013-04-05	Endring i tillatelse	9999-12-31	20088555	2013-05-08
567	5709	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20088593	2013-05-08
518 B	6210	North Energy ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	2013-03-22	17654970	2013-05-08
518 B	6596	Pantobligasjon pålydende USD 25,000,000, skriver amerikanskedollartjuefemmillioner  00/100 datert 9.2.2012 (dok. nr. 6182), der Front Exploration AS pantsetter sin 20 % deltakerandel (første prioritet) i utvinningstillatelsen til Norsk Tillitsmann ASA  er slettet. Samtykke fra panthaver Norsk Tillitsmann ASA  foreligger i brev datert 9.10.2012.	2012-10-10	Sletting av heftelse	2013-03-22	17654970	2013-05-08
518 B	6663	Front Exploration AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Dong E&P Norge AS med virkning fra 31.10.2012.	2012-11-02	Endring i tillatelse	2013-03-22	17654970	2013-05-08
518 B	6747	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 2.3.2012 (dok. nr.: 6210) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 14.12.2012 og 19.12.2012.	2012-12-20	Sletting av heftelse	2013-03-22	17654970	2013-05-08
518 B	6757	North Energy ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant	2012-12-20	Heftelse	2013-05-01	17654970	2013-05-08
518 B	6971	Olje- og energidepartementet bekrefter i brev datert 18.3.2013 at utvinningstillatelsen anses som oppgitt fra 23.1.2013, jf. petroleumsloven § 3-15.	2013-03-21	Andre meldinger	9999-12-31	17654970	2013-05-08
518 B	7043	Pantobligasjon pålydende NOK, 950 000 000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA  pantsetter sin 30 % deltakerandel i utvinningstillatelsen 518 B til fordel for DNB Bank ASA datert 20.12.2012 (dok. nr.:6757) er slettet. Samtykke fra panthaver DNB Bank ASA foreligger i brev datert 23.4.2013	2013-04-30	Sletting av heftelse	9999-12-31	17654970	2013-05-08
563	5317	Utvinningstillatelsen innført i petroleumsregisteret.	2010-03-23	Ny tillatelse	9999-12-31	17655034	2013-05-08
563	5638	Det norske oljeselskap AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 1.10.2010.	2011-01-31	Endring i tillatelse	9999-12-31	17655034	2013-05-08
563	5670	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-01-31	Heftelse	9999-12-31	17655034	2013-05-08
563	6432	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	17655034	2013-05-08
563	6795	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	17655034	2013-05-08
563	7001	Noreco Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000 skriver norske kroner enmilliardtohundreførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	17655034	2013-05-08
564	5318	Utvinningstillatelsen innført i petroleumsregisteret.	2010-03-23	Ny tillatelse	9999-12-31	17655076	2013-05-08
564	5365	North Energy AS har endret navn til North Energy ASA med virkning fra 17.12.2009.	2010-04-20	Andre meldinger	9999-12-31	17655076	2013-05-08
564	5695	North Energy ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB NOR Bank ASA. Første prioritet panteobligasjon stor NOK 760,000,000, skriver norske kroner syvhundreogseksti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2011-02-24	Heftelse	9999-12-31	17655076	2013-05-08
564	6204	Pantobligasjon pålydende NOK 760 000 000 skriver norske kroner syvhundreogsekstimillioner  00/100 datert 24.2.2011 (dok. nr. 5695) hvor North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til DnB NOR Bank ASA er slettet. Samtykke fra panthaver foreligger i brev datert 14.2.2012.	2012-03-02	Sletting av heftelse	9999-12-31	17655076	2013-05-08
564	6216	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-03-02	Heftelse	9999-12-31	17655076	2013-05-08
564	6357	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	17655076	2013-05-08
564	6753	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 2.3.2012 (dok. nr.: 6216) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 14.12.2012 og 19.12.2012.	2012-12-20	Sletting av heftelse	9999-12-31	17655076	2013-05-08
150 B	5736	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108072	2013-05-08
150 B	5872	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	20108072	2013-05-08
506 BS	5743	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108101	2013-05-08
564	6763	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-20	Heftelse	9999-12-31	17655076	2013-05-08
028 S	4917	Utvinningstillatelsen er innført i Petroleumsregisteret.	2009-12-18	Ny tillatelse	9999-12-31	18054740	2013-05-08
028 S	5477	ExxonMobil Exploration and Production Norway AS overdrar en 40 % deltakerandel i tillatelsen til Det norske oljeselskap AS med virkning fra 1.6.2009.	2010-08-19	Endring i tillatelse	9999-12-31	18054740	2013-05-08
028 S	5635	Det norske oljeselskap AS overdrar sin 40 % deltakerandel i utvinningstillatelsen til Det norske oljeselskap ASA med virkning fra 1.10.2010.	2011-01-31	Endring i tillatelse	9999-12-31	18054740	2013-05-08
028 S	5653	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DnB Nor Bank ASA. Første prioritet panteobligasjon stor NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 16.12.2010 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-01-31	Heftelse	9999-12-31	18054740	2013-05-08
028 S	6405	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	18054740	2013-05-08
028 S	6556	Pantobligasjon pålydende NOK 4,500,000,000, skriver norske kroner firemilliarderfemhundre millioner 00/100. datert 31.1.2011 (dok. nr. 5653) Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel (første prioritet) i utvinningstillatelsen til DnB Nor Bank ASA er slettet. Samtykke fra panthaver DnB Nor Bank ASA foreligger i brev, og datert 22.8.2012.	2012-08-28	Sletting av heftelse	9999-12-31	18054740	2013-05-08
028 S	6557	Pantobligasjon pålydende USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100 datert 9.5.2012 (dok. nr. 6405) Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel (andre prioritet) i utvinningstillatelsen til DNB  Bank ASA er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert 16.8.2012.	2012-08-28	Sletting av heftelse	9999-12-31	18054740	2013-05-08
028 S	6558	Det norske oljeselskap ASA overdrar sin 40 % deltakerandel i utvinningstillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 2.1.2012..	2012-08-28	Endring i tillatelse	9999-12-31	18054740	2013-05-08
043 CS	5414	Tillatelsen innført i Petroleumsregisteret.	2010-06-21	Ny tillatelse	9999-12-31	18116800	2013-05-08
043 CS	5416	Statoil Petroleum AS overdrar sin 21 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 16.6.2010.	2010-06-24	Endring i tillatelse	9999-12-31	18116800	2013-05-08
043 CS	5418	Petoro AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 12.5.2010.	2010-06-30	Endring i tillatelse	9999-12-31	18116800	2013-05-08
043 DS	5415	Tillatelsen innført i Petroleumsregisteret	2010-06-21	Ny tillatelse	9999-12-31	18116829	2013-05-08
043 DS	5417	Statoil Petroleum AS overdrar sin 21 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 16.6.2010.	2010-06-24	Endring i tillatelse	9999-12-31	18116829	2013-05-08
043 DS	5419	Petoro AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 12.5.2010.	2010-06-30	Endring i tillatelse	9999-12-31	18116829	2013-05-08
393 B	5542	Tillatelsen er innført i Petroleumsregisteret.	2010-11-08	Ny tillatelse	9999-12-31	18404594	2013-05-08
393 B	5572	Statoil Petroleum AS overdrar en 30 % deltakerandel i utvinningstillatelsen til OMV (Norge) AS med virkning fra 29.12.2010.	2010-12-29	Endring i tillatelse	9999-12-31	18404594	2013-05-08
393 B	5574	Eni Norge AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 1.10.2010.	2011-01-03	Endring i tillatelse	9999-12-31	18404594	2013-05-08
393 B	5575	BG Norge AS overdrar sin 20 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 30.12.2010.	2011-01-04	Endring i tillatelse	9999-12-31	18404594	2013-05-08
048 E	5566	Tillatelsen er innført i Petroleumsregisteret.	2010-12-16	Ny tillatelse	9999-12-31	18450020	2013-05-08
048 E	5596	Statoil Petroleum AS overdrar en 12,5 % deltakerandel i utvinningstillatelsen til Marathon Petroleum Norge AS med virkning fra 31.12.2010.	2011-01-05	Endring i tillatelse	9999-12-31	18450020	2013-05-08
048 E	5764	Marathon Petroleum Norge AS overdrar sin 12,5 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 31.3.2011.	2011-03-31	Endring i tillatelse	9999-12-31	18450020	2013-05-08
565	5707	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20088435	2013-05-08
565	6166	Nexen Exploration Norge AS overdrar sin 60 % deltakerandel i utvinningstillatelsen til Premier Oil Norge AS med virkning fra 31.1.2012. Premier Oil Norge overtar som operatør i utvinningstillatelsen.	2012-02-03	Endring i tillatelse	9999-12-31	20088435	2013-05-08
566 S	5708	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20088461	2013-05-08
566 S	6167	Nexen Exploration Norge AS overdrar sin 50 % deltakerandel i utvinningstillatelsen til Premier Oil Norge AS med virkning fra 31.1.2012. Premier Oil Norge overtar som operatør i utvinningstillatelsen.	2012-02-03	Endring i tillatelse	9999-12-31	20088461	2013-05-08
494 B	5740	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20088555	2013-05-08
494 B	6025	Bridge Energy Norge AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	9999-12-31	20088555	2013-05-08
494 B	6712	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	20088555	2013-05-08
567	6431	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	20088593	2013-05-08
567	6718	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	20088593	2013-05-08
301 D	5721	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20088622	2013-05-08
568	5710	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20088760	2013-05-08
568	6430	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	20088760	2013-05-08
568	6719	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	20088760	2013-05-08
360 B	5749	Tillatelsen innført i Petroleumsregisteret.	2011-03-15	Ny tillatelse	9999-12-31	20107847	2013-05-08
360 B	6334	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	20107847	2013-05-08
360 B	6780	Norwegian Energy Company ASA overdrar sin 15 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	20107847	2013-05-08
360 B	6999	Noreco Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	20107847	2013-05-08
569	5711	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20107876	2013-05-08
503 B	5742	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20107903	2013-05-08
503 B	6740	4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	2013-02-07	20107903	2013-05-08
503 B	6867	Pantobligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner, hvor 4Sea Energy AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA datert 17.12.2012 (dok. nr.: 6740) er slettet. Samtykke fra panthaver DNB  Bank ASA foreligger i brev datert  11.1.2013.	2013-02-06	Sletting av heftelse	9999-12-31	20107903	2013-05-08
503 B	6870	4Sea Energy AS overdrar sin 25 % deltakerandel i utvinningstillatelsen til North Energy ASA med virkning fra 31.12.2012.	2013-02-06	Endring i tillatelse	9999-12-31	20107903	2013-05-08
503 B	6958	North Energy ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon stor NOK 950,000,000, skriver norske kroner nihundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 18.2.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-02-27	Heftelse	9999-12-31	20107903	2013-05-08
501 B	5741	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	2013-05-03	20107950	2013-05-08
570	5712	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20107979	2013-05-08
570	5864	Marathon Petroleum Norge AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Maersk Oil Norway AS med virkning fra 30.6.2011.	2011-06-30	Endring i tillatelse	9999-12-31	20107979	2013-05-08
570	5881	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	20107979	2013-05-08
571	5713	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108024	2013-05-08
571	5761	Petro-Canada Norge AS har endret navn til Suncor Energy Norge AS med virkning fra 28.2.2011.	2011-03-16	Andre meldinger	9999-12-31	20108024	2013-05-08
571	6429	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	20108024	2013-05-08
571	6720	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	20108024	2013-05-08
506 BS	5918	Rocksource ASA pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon stor NOK 850,000,000, skriver norske kroner åttehundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-17	Heftelse	2013-05-08	20108101	2013-05-08
506 BS	6180	Front Exploration AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon stor USD 25,000,000,  skriver amerikanske dollar tjuefemmillioner 0/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2012-02-09	Heftelse	9999-12-31	20108101	2013-05-08
506 BS	6468	Reduksjon av pantsettelse (dok.nr.:  5918, registrert 17.8.2011) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 50 % til 25 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjon fra 50 % til 25 % i brev datert 11.4.2012.	2012-06-05	Heftelse	9999-12-31	20108101	2013-05-08
506 BS	6482	Rocksource ASA overdrar en 25 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	9999-12-31	20108101	2013-05-08
506 BS	6579	Pantobligasjon pålydende USD 25,000,000, skriver amerikanskedollartjuefemmillioner  00/100 datert 9.2.2012 (dok. nr. 6180), der Front Exploration AS pantsetter sin 30 % deltakerandel (første prioritet) i utvinningstillatelsen til Norsk Tillitsmann ASA  er slettet. Samtykke fra panthaver Norsk Tillitsmann ASA  foreligger i brev datert 27.9.2012.	2012-10-01	Sletting av heftelse	9999-12-31	20108101	2013-05-08
506 BS	6590	Front Exploration AS overdrar sin 30% deltakerandel  i utvinningstillatelsen til Petrolia Norway AS med virkning fra 3.10.2012.	2012-10-04	Endring i tillatelse	9999-12-31	20108101	2013-05-08
506 BS	6808	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner  00/100 datert 5.6.2012 (dok. nr. 6468) hvor Rocksource ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 3.1.2013.	2013-01-07	Sletting av heftelse	9999-12-31	20108101	2013-05-08
506 BS	6809	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner  00/100 datert 17.8.2011 (dok. nr. 5918) er slettet som følge av sletting av dok. nr. 6468).	2013-01-07	Sletting av heftelse	9999-12-31	20108101	2013-05-08
506 BS	6841	Rocksource ASA overdrar sin 25 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	20108101	2013-05-08
506 BS	6856	Rocksource Exploration Norway AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	20108101	2013-05-08
506 CS	5744	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108128	2013-05-08
506 CS	5919	Rocksource ASA pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon stor NOK 850,000,000, skriver norske kroner åttehundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-17	Heftelse	9999-12-31	20108128	2013-05-08
506 CS	6181	Front Exploration AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon stor USD 25,000,000,  skriver amerikanske dollar tjuefemmillioner 0/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-02-09	Heftelse	9999-12-31	20108128	2013-05-08
506 CS	6469	Reduksjon av pantsettelse (dok.nr.:  5919, registrert 17.8.2011) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 50 % til 25 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjon fra 50 % til 25 % i brev datert 11.4.2012.	2012-06-05	Heftelse	9999-12-31	20108128	2013-05-08
506 CS	6483	Rocksource ASA overdrar en 25 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	2013-05-08	20108128	2013-05-08
506 CS	6578	Pantobligasjon pålydende USD 25,000,000, skriver amerikanskedollartjuefemmillioner  00/100 datert 9.2.2012 (dok. nr. 6181), der Front Exploration AS pantsetter sin 30 % deltakerandel (første prioritet) i utvinningstillatelsen til Norsk Tillitsmann ASA  er slettet. Samtykke fra panthaver Norsk Tillitsmann ASA  foreligger i brev datert 27.9.2012.	2012-10-01	Sletting av heftelse	9999-12-31	20108128	2013-05-08
506 CS	6589	Front Exploration AS overdrar sin 30% deltakerandel  i utvinningstillatelsen til Petrolia Norway AS med virkning fra 3.10.2012.	2012-10-04	Endring i tillatelse	9999-12-31	20108128	2013-05-08
506 CS	6810	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner  00/100 datert 5.6.2012 (dok. nr. 6469) hvor Rocksource ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 3.1.2013.	2013-01-07	Sletting av heftelse	9999-12-31	20108128	2013-05-08
506 CS	6811	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner  00/100 datert 17.8.2011 (dok. nr. 5919) er slettet som følge av sletting av dok. nr. 6469).	2013-01-07	Sletting av heftelse	9999-12-31	20108128	2013-05-08
506 CS	6840	Rocksource ASA overdrar sin 25 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	20108128	2013-05-08
599	6797	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	20428552	2013-05-08
055 D	6952	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-22	Andre meldinger	2013-02-27	22813096	2013-05-08
091 D	6945	Tillatelsen er innført i Petroleumsregisteret	2013-02-22	Ny tillatelse	2013-02-27	22813131	2013-05-08
506 CS	6855	Rocksource Exploration Norway AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	20108128	2013-05-08
573 S	5715	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108194	2013-05-08
573 S	6375	Svenska Petroleum Exploration AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 300,000,000 pluss 10 %, skriver norske kroner trehundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 27.3.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-04	Heftelse	9999-12-31	20108194	2013-05-08
573 S	6421	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	20108194	2013-05-08
573 S	6721	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	20108194	2013-05-08
574	5727	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108260	2013-05-08
575	5725	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	2013-03-22	20108314	2013-05-08
575	6358	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	2013-03-22	20108314	2013-05-08
575	6967	Olje- og energidepartementet bekrefter i brev datert 18.3.2013 at utvinningstillatelsen anses som bortfalt fra 4.2.2013, jf. petroleumsloven § 3-15. 	2013-03-21	Andre meldinger	9999-12-31	20108314	2013-05-08
576	5726	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	2013-04-03	20108349	2013-05-08
576	7008	Olje-og energidepartementet bekrefter i brev datert 22.3.2013 at utvinningstillatelsen anses som bortfalt 4.2.2013, jf. petroleumsloven § 3-15	2013-04-02	Andre meldinger	2013-04-04	20108349	2013-05-08
309 B	5716	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108378	2013-05-08
193 C	5722	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108409	2013-05-08
193 C	6385	Statoil Petroleum AS overdrar en 19 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-04	Endring i tillatelse	9999-12-31	20108409	2013-05-08
378 B	5737	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	2013-05-03	20108440	2013-05-08
378 B	6343	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	2013-05-03	20108440	2013-05-08
577	5728	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108473	2013-05-08
577	6359	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	20108473	2013-05-08
577	6535	Spring Energy Norway AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	20108473	2013-05-08
577	6881	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	20108473	2013-05-08
554 B	5706	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108509	2013-05-08
554 B	5790	Bridge Energy Norge AS overdrar en 40 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 31.5.2011. Total E&P Norge AS overtar som operatør i utvinningstillatelsen.	2011-06-06	Endring i tillatelse	9999-12-31	20108509	2013-05-08
554 B	5985	Det norske oljeselskap ASA overdrar en 20 % deltakerandel i utvinningstillatelsen til Svenska Petroleum Exploration AS med virkning fra 1.1.2011.	2011-10-21	Endring i tillatelse	9999-12-31	20108509	2013-05-08
554 B	6022	Bridge Energy Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 31.10.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-02	Heftelse	9999-12-31	20108509	2013-05-08
554 B	6374	Svenska Petroleum Exploration AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 300,000,000 pluss 10 %, skriver norske kroner trehundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 27.3.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-04	Heftelse	9999-12-31	20108509	2013-05-08
554 B	6435	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	20108509	2013-05-08
554 B	6716	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	20108509	2013-05-08
377 BS	5720	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	2013-04-11	20108534	2013-05-08
377 BS	6898	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.02.2013.	2013-02-19	Andre meldinger	2013-04-11	20108534	2013-05-08
377 BS	7015	Olje- og energidepartementet bekrefter i brev datert 8.4.2013 at utvinningstillatelsen anses som oppgitt fra 6.7.2012, jf. petroleumsloven § 3-15.	2013-04-10	Andre meldinger	2013-04-12	20108534	2013-05-08
578	5729	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108565	2013-05-08
375 B	5719	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108600	2013-05-08
375 B	5752	Petro-Canada Norge AS har endret navn til Suncor Energy Norge AS med virkning fra 28.2.2011.	2011-03-16	Andre meldinger	9999-12-31	20108600	2013-05-08
375 B	6340	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	20108600	2013-05-08
370 B	5718	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108642	2013-05-08
370 B	5933	Wintershall Norge ASA overdrar en 10% deltakerandel i tillatelsen til North Energy ASA med virkning fra 31.7.2011.	2011-08-22	Endring i tillatelse	9999-12-31	20108642	2013-05-08
370 B	6045	Agora Oil & Gas AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 500,000,000, skriver norske kroner femhundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 29.11.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-12-13	Heftelse	9999-12-31	20108642	2013-05-08
370 B	6336	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	20108642	2013-05-08
370 B	6730	North Energy ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	9999-12-31	20108642	2013-05-08
370 B	7020	Concedo ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen 370 B til fordel for DNB Bank ASA. Første prioritet panteobligasjon stor NOK 350,000,000 pluss 10 %, skriver norske kroner trehundreogfemtimillioner 00/100 pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.3.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-10	Heftelse	2013-04-12	20108642	2013-05-08
370 B	7035	Agora Oil & Gas AS har endret foretaksnavn til Capricorn Norge AS fra 20.04.2013	2013-04-29	Andre meldinger	9999-12-31	20108642	2013-05-08
579	5730	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108664	2013-05-08
580	5731	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108700	2013-05-08
581	5732	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108743	2013-05-08
581	5922	Rocksource ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon stor NOK 850,000,000, skriver norske kroner åttehundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-17	Heftelse	9999-12-31	20108743	2013-05-08
581	6475	Reduksjon av pantsettelse (dok.nr.:  5922, registrert 17.8.2011) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 30 % til 22,5 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjon fra 30 % til 22,5 % i brev datert 11.4.2012.	2012-06-05	Heftelse	9999-12-31	20108743	2013-05-08
581	6487	Rocksource ASA overdrar en 22,5 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	9999-12-31	20108743	2013-05-08
581	6823	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner  00/100 datert 5.6.2012 (dok. nr. 6475) hvor Rocksource ASA pantsetter en 22,5 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 3.1.2013.	2013-01-07	Sletting av heftelse	9999-12-31	20108743	2013-05-08
581	6824	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner 00/100 datert 17.8.2011 (dok. nr. 5922) er slettet som følge av sletting av dok. nr. 6475).	2013-01-07	Sletting av heftelse	9999-12-31	20108743	2013-05-08
581	6834	Rocksource ASA overdrar sin 7,5 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	20108743	2013-05-08
581	6848	Rocksource Exploration Norway AS pantsetter sin 7,5 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	20108743	2013-05-08
582	5733	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20108820	2013-05-08
582	5882	Marathon Petroleum Norge AS har endret navn til Marathon Oil Norge AS med virkning fra 4.7.2011.	2011-07-06	Andre meldinger	9999-12-31	20108820	2013-05-08
583	5734	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109004	2013-05-08
624	6365	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	21560318	2013-05-08
583	6376	Svenska Petroleum Exploration AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 300,000,000 pluss 10 %, skriver norske kroner trehundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 27.3.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-04	Heftelse	9999-12-31	20109004	2013-05-08
583	6536	Spring Energy Norway AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	20109004	2013-05-08
583	6883	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	20109004	2013-05-08
584	5735	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109082	2013-05-08
585	5705	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109152	2013-05-08
586	5704	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109200	2013-05-08
587	5703	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109234	2013-05-08
587	6733	North Energy ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	9999-12-31	20109234	2013-05-08
348 B	5717	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109261	2013-05-08
348 B	5912	Norwegian Energy Company ASA overdrar sin 17,5 % deltakerandel i utvinningstillatelsen til Core Energy AS med virkning fra 1.7.2011.	2011-07-28	Endring i tillatelse	9999-12-31	20109261	2013-05-08
348 B	5928	Core Energy AS pantsetter sin 17,5% deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-18	Heftelse	9999-12-31	20109261	2013-05-08
348 B	6036	Petoro AS overdrar sin 7,5 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	20109261	2013-05-08
348 B	6297	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	20109261	2013-05-08
348 B	6325	Faroe Petroleum Norge AS pantsetter sin 7,5 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD 300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-19	Heftelse	9999-12-31	20109261	2013-05-08
589	5701	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109325	2013-05-08
589	6360	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	20109325	2013-05-08
475 CS	5739	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109375	2013-05-08
475 CS	5959	Concedo ASA overdrar sin 10 % deltakerandel i utvinningstillatelsen til Wintershall Norge ASA med virkning fra 30.9.2011.	2011-10-03	Endring i tillatelse	9999-12-31	20109375	2013-05-08
475 CS	5967	Spring Energy Norway AS overdrar sin 15 % deltakerandel i utvinningstillatelsen til Wintershall Norge ASA med virkning fra 30.9.2011.	2011-10-05	Endring i tillatelse	9999-12-31	20109375	2013-05-08
475 CS	6029	Faroe Petroleum Norge AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Petoro AS med virkning fra 1.1.2011.	2011-12-02	Endring i tillatelse	9999-12-31	20109375	2013-05-08
475 CS	6348	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	20109375	2013-05-08
590	5700	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109438	2013-05-08
590	5901	Faroe Petroleum Norge AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	20109438	2013-05-08
590	6361	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	20109438	2013-05-08
590	6734	North Energy ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	9999-12-31	20109438	2013-05-08
591	5699	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109475	2013-05-08
591	6070	Norwegian Energy Company ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for Sparebank 1 SR-Bank. Første prioritet panteobligasjon pålydende NOK 1 950 000 000, skriver norske kroner enmilliardnihundreogfemtimillioner, og USD 25 000 000, skriver amerikanske dollar tjuefemmillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd annet punktum at det etableres et såkalt krysspant.  	2011-12-29	Heftelse	2013-04-12	20109475	2013-05-08
093 C	6946	Tillatelsen er innført i Petroleumsregisteret	2013-02-22	Ny tillatelse	2013-02-27	22813180	2013-05-08
591	6537	Spring Energy Norway AS pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	20109475	2013-05-08
591	6796	Norwegian Energy Company ASA overdrar sin 40 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	20109475	2013-05-08
591	6884	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	20109475	2013-05-08
591	7012	Pantobligasjon pålydende NOK  1,950,000,000 skriver norske kroner enmilliardnihundreogfemtimillioner, pluss USD 25,000,000 skriver tjuefemmillioner hvor Norwegian Energy Company ASA  pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank datert 29.12.2011 (dok. nr.: 6070) er slettet. Samtykke fra panthaver SpareBank 1 SR-Bank foreligger i brev datert  20.3.2013.	2013-04-10	Sletting av heftelse	2013-04-12	20109475	2013-05-08
591	7013	Noreco Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-10	Heftelse	2013-04-12	20109475	2013-05-08
592	5698	Utvinningstillatelsen innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109566	2013-05-08
592	5902	Faroe Petroleum Norge AS pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	20109566	2013-05-08
593	5724	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	2013-03-22	20109597	2013-05-08
593	6441	Det norske oljeselskap ASA pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	2013-03-22	20109597	2013-05-08
593	6722	Det norske oljeselskap ASA pantsetter sin 60 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	2013-03-22	20109597	2013-05-08
593	6969	Olje- og energidepartementet bekrefter i brev datert 19.3.2013 at utvinningstillatelsen anses som bortfalt fra 4.2.2013, jf. utvinningstillatelsen pkt. 4b.	2013-03-21	Andre meldinger	9999-12-31	20109597	2013-05-08
594	5750	Tillatelsen innført i Petroleumsregisteret.	2011-03-15	Ny tillatelse	2013-03-22	20109626	2013-05-08
594	6362	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	2013-03-22	20109626	2013-05-08
594	6735	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	2013-05-01	20109626	2013-05-08
594	6965	Olje- og energidepartementet bekrefter i brev datert 18.3.2013 at utvinningstillatelsen anses som bortfalt fra 4.2.2013, jf. utvinningstillatelsen pkt. 4b.	2013-03-21	Andre meldinger	9999-12-31	20109626	2013-05-08
594	7045	Pantobligasjon pålydende NOK, 950 000 000 skriver norske kroner nihundreogfemtimillioner, hvor North Energy ASA  pantsetter sin 20 % deltakerandel i utvinningstillatelsen 594 til fordel for DNB Bank ASA datert 20.12.2012 (dok. nr.:6735) er slettet. Samtykke fra panthaver DNB Bank ASA foreligger i brev datert 23.4.2013	2013-04-30	Sletting av heftelse	9999-12-31	20109626	2013-05-08
595	5723	Utvinningstillatelsen er innført i Petroleumsregisteret.	2011-03-02	Ny tillatelse	9999-12-31	20109655	2013-05-08
595	6736	North Energy ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	9999-12-31	20109655	2013-05-08
596	5842	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20428440	2013-05-08
596	6311	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	20428440	2013-05-08
596	6538	Spring Energy Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	20428440	2013-05-08
596	6885	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	20428440	2013-05-08
597	5843	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20428525	2013-05-08
599	5845	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20428552	2013-05-08
190 B	6947	Tillatelsen er innført i Petroleumsregisteret	2013-02-22	Ny tillatelse	2013-02-27	22813207	2013-05-08
599	6982	Noreco Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	20428552	2013-05-08
600	5846	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20428617	2013-05-08
598	5844	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20428655	2013-05-08
601	5847	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20428711	2013-05-08
601	5924	Rocksource ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon stor NOK 850,000,000, skriver norske kroner åttehundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-17	Heftelse	9999-12-31	20428711	2013-05-08
601	6363	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	20428711	2013-05-08
601	6476	Reduksjon av pantsettelse (dok.nr.:  5924, registrert 17.8.2011) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 20 % til 10 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjon fra 20 % til 10 % i brev datert 11.4.2012.	2012-06-05	Heftelse	9999-12-31	20428711	2013-05-08
601	6488	Rocksource ASA overdrar en 10 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	9999-12-31	20428711	2013-05-08
601	6737	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	9999-12-31	20428711	2013-05-08
601	6825	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner  00/100 datert 5.6.2012 (dok. nr. 6476) hvor Rocksource ASA pantsetter en 10 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 3.1.2013.	2013-01-07	Sletting av heftelse	9999-12-31	20428711	2013-05-08
601	6826	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner 00/100 datert 17.8.2011 (dok. nr. 5924) er slettet som følge av sletting av dok. nr. 6476).	2013-01-07	Sletting av heftelse	9999-12-31	20428711	2013-05-08
601	6833	Rocksource ASA overdrar sin 10 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	20428711	2013-05-08
601	6847	Rocksource Exploration Norway AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	20428711	2013-05-08
602	5848	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20428749	2013-05-08
602	5925	Rocksource ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon stor NOK 850,000,000, skriver norske kroner åttehundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-17	Heftelse	9999-12-31	20428749	2013-05-08
602	6477	Reduksjon av pantsettelse (dok.nr.:  5925, registrert 17.8.2011) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 20 % til 10 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjon fra 20 % til 10 % i brev datert 11.4.2012.	2012-06-05	Heftelse	9999-12-31	20428749	2013-05-08
602	6489	Rocksource ASA overdrar en 10 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	9999-12-31	20428749	2013-05-08
602	6827	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner  00/100 datert 5.6.2012 (dok. nr. 6477) hvor Rocksource ASA pantsetter en 10 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 3.1.2013.	2013-01-07	Sletting av heftelse	9999-12-31	20428749	2013-05-08
602	6828	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner 00/100 datert 17.8.2011 (dok. nr. 5925) er slettet som følge av sletting av dok. nr. 6477).	2013-01-07	Sletting av heftelse	9999-12-31	20428749	2013-05-08
602	6832	Rocksource ASA overdrar sin 10 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	20428749	2013-05-08
602	6846	Rocksource Exploration Norway AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	20428749	2013-05-08
603	5849	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20428814	2013-05-08
218 B	5838	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20428874	2013-05-08
218 B	6585	ExxonMobil Exploration and Production Norway AS overdrar sin 15% deltakerandel i utvinningstillatelsen til OMV (Norge) AS med virkning fra 1.1.2012.	2012-10-02	Endring i tillatelse	9999-12-31	20428874	2013-05-08
528 B	5841	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20428963	2013-05-08
528 B	5920	Rocksource ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon stor NOK 850,000,000, skriver norske kroner åttehundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-17	Heftelse	9999-12-31	20428963	2013-05-08
528 B	5951	Suncor Energy Norge AS overdrar en 15 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 29.9.2011.	2011-09-30	Endring i tillatelse	9999-12-31	20428963	2013-05-08
528 B	6472	Reduksjon av pantsettelse (dok.nr.:  5920, registrert 17.8.2011) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 30 % til 7,5 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjon fra 30 % til 7,5 % i brev datert 11.4.2012.	2012-06-05	Heftelse	9999-12-31	20428963	2013-05-08
528 B	6493	Rocksource ASA overdra en 22,5 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	9999-12-31	20428963	2013-05-08
528 B	6673	Olje- og energidepartementet har i brev datert 29.10.2012 godkjent endringsavtale nr. 2 i utvinningstillatelsen. Statoil Petroleum AS og Suncor Energy Norge AS har med virkning fra 15.5.2012 trådt ut av utvinningstillatelsen.	2012-11-05	Endring i tillatelse	9999-12-31	20428963	2013-05-08
528 B	6814	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner  00/100 datert 5.6.2012 (dok. nr. 6472) hvor Rocksource ASA pantsetter sin 7,5 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 3.1.2013.	2013-01-07	Sletting av heftelse	9999-12-31	20428963	2013-05-08
528 B	6815	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner  00/100 datert 17.8.2011 (dok. nr. 5920) er slettet som følge av sletting av dok. nr. 6472).	2013-01-07	Sletting av heftelse	9999-12-31	20428963	2013-05-08
528 B	6838	Rocksource ASA overdrar sin 25 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	20428963	2013-05-08
528 B	6851	Rocksource Exploration Norway AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	20428963	2013-05-08
604	5850	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20428990	2013-05-08
605	5851	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429042	2013-05-08
606	5852	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429078	2013-05-08
606	6798	Norwegian Energy Company ASA overdrar sin 40 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	20429078	2013-05-08
606	7002	Noreco Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000 skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	20429078	2013-05-08
607	5853	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429121	2013-05-08
608	5854	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429159	2013-05-08
609	5855	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429186	2013-05-08
610	5856	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429259	2013-05-08
610	5926	Rocksource ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon stor NOK 850,000,000, skriver norske kroner åttehundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 11.8.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-08-17	Heftelse	9999-12-31	20429259	2013-05-08
610	6478	Reduksjon av pantsettelse (dok.nr.:  5926, registrert 17.8.2011) i Rocksource ASA sin deltakerandel i utvinningstillatelsen fra 25 % til 12,5 %. Panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) samtykker i reduksjon fra 25 % til 12,5 % i brev datert 11.4.2012.	2012-06-05	Heftelse	9999-12-31	20429259	2013-05-08
610	6490	Rocksource ASA overdrar en 12,5 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	9999-12-31	20429259	2013-05-08
610	6539	Spring Energy Norway AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	20429259	2013-05-08
610	6829	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner  00/100 datert 5.6.2012 (dok. nr. 6478) hvor Rocksource ASA pantsetter en 10 % deltakerandel i utvinningstillatelsen til Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er slettet. Samtykke fra panthaver Merchant Banking, Skandinaviska Enskilda Banken AB (publ) er påtegnet panteobligasjonen, og datert 3.1.2013.	2013-01-07	Sletting av heftelse	9999-12-31	20429259	2013-05-08
610	6830	Pantobligasjon pålydende NOK 850 000 000 skriver norske kroner åttehundreogfemtimillioner 00/100 datert 17.8.2011 (dok. nr. 5926) er slettet som følge av sletting av dok. nr. 6478).	2013-01-07	Sletting av heftelse	9999-12-31	20429259	2013-05-08
610	6831	Rocksource ASA overdrar sin 12,5 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	20429259	2013-05-08
624	6802	Norwegian Energy Company ASA overdrar sin 15 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	21560318	2013-05-08
610	6845	Rocksource Exploration Norway AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	20429259	2013-05-08
610	6887	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	20429259	2013-05-08
611	5857	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429303	2013-05-08
611	5903	Faroe Petroleum Norge AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor NOK 1,200,000,000, skriver norske kroner enmilliardertohundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 8.6.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2011-07-18	Heftelse	9999-12-31	20429303	2013-05-08
611	6364	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	20429303	2013-05-08
226 B	5839	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429377	2013-05-08
613	5859	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429419	2013-05-08
613	6426	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	20429419	2013-05-08
613	6723	Det norske oljeselskap ASA pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	20429419	2013-05-08
612	5858	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429462	2013-05-08
614	5860	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429507	2013-05-08
615	5861	Tillatelsen er innført i Petroleumsregisteret.	2011-06-23	Ny tillatelse	9999-12-31	20429544	2013-05-08
303 B	6170	Tillatelsen innført i Petroleumsregisteret.	2012-02-06	Ny tillatelse	2013-03-12	20499620	2013-05-08
303 B	6171	Statoil Petroleum AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 1.1.2011.	2012-02-07	Endring i tillatelse	2013-03-12	20499620	2013-05-08
303 B	6172	Statoil Petroleum AS overdrar en 30,4 % deltakerandel i utvinningstillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1.1.2011.	2012-02-07	Endring i tillatelse	2013-03-12	20499620	2013-05-08
309 C	5982	Utvinningstillatelsen er innført  i Petroleumsregisteret.	2011-10-17	Ny tillatelse	9999-12-31	21104663	2013-05-08
107 D	6041	Tillatelsen er innført i petroleumsregisteret.	2011-12-05	Ny tillatelse	9999-12-31	21124705	2013-05-08
107 D	6287	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	21124705	2013-05-08
169 E	6040	Tillatelsen er innført i Petroleumsregisteret.	2011-12-05	Ny tillatelse	9999-12-31	21124742	2013-05-08
169 E	6042	Petoro AS overdrar sin 30 % deltakerandel i utvinningstillatelsen til Faroe Petroleum Norge AS med virkning fra 31.10.2011.	2011-12-05	Endring i tillatelse	9999-12-31	21124742	2013-05-08
169 E	6323	Faroe Petroleum Norge AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet panteobligasjon stor USD 300,000,000, skriver US dollar trehundremillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 13.1.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-04-19	Heftelse	9999-12-31	21124742	2013-05-08
018 DS	6047	Tillatelsen er innført i petroleumsregisteret.	2011-12-21	Ny tillatelse	9999-12-31	21139552	2013-05-08
018 DS	6079	Det er inngått fusjon mellom Maersk Oil Norway AS (overtakende selskap) og Maersk Oil PL 018 C Norway AS (overdragende selskap) 28.10.2011.	2012-01-12	Andre meldinger	9999-12-31	21139552	2013-05-08
018 DS	6559	Altinex Oil Norway AS har endret navn til Noreco Norway AS med virkning fra 5.7.2012.	2012-08-28	Andre meldinger	9999-12-31	21139552	2013-05-08
193 D	6089	Tillatelsen er innført i Petroleumsregisteret.	2012-01-20	Ny tillatelse	9999-12-31	21349950	2013-05-08
193 D	6090	Total E&P Norge AS overdrar sin 5 % deltakerandel i utvinningstillatelsen til  Statoil Petroleum AS med virkning fra 13.1.2012.	2012-01-20	Endring i tillatelse	9999-12-31	21349950	2013-05-08
193 D	6386	Statoil Petroleum AS overdrar en 13 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-04	Endring i tillatelse	9999-12-31	21349950	2013-05-08
046 C	6091	Tillatelsen innført i Petroleumsregisteret.	2012-01-20	Ny tillatelse	9999-12-31	21350140	2013-05-08
046 C	6173	Statoil Petroleum AS overdrar en 2,4 % deltakerandel i utvinningstillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1.1.2011.	2012-02-07	Endring i tillatelse	9999-12-31	21350140	2013-05-08
072 C	6092	Tillatelsen er innført i petroleumsregisteret.	2012-01-20	Ny tillatelse	9999-12-31	21350207	2013-05-08
072 C	6163	ExxonMobil Exploration and Production Norway AS overdrar en 10 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 1.1.2011.	2012-02-02	Endring i tillatelse	9999-12-31	21350207	2013-05-08
072 C	6164	ExxonMobil Exploration and Production Norway AS overdrar en 9,6 % deltakerandel i utvinningstillatelsen til Statoil Petroleum AS med virkning fra 1.1.2011.	2012-02-02	Endring i tillatelse	9999-12-31	21350207	2013-05-08
659	6253	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21558636	2013-05-08
050 GS	6395	Statoil Petroleum AS overdrar en 13 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-08	Endring i tillatelse	9999-12-31	21668262	2013-05-08
050 HS	6390	Tillatelsen er innført i Petroleumsregisteret.	2012-05-08	Ny tillatelse	9999-12-31	21668287	2013-05-08
203 B	6948	Tillatelsen er innført i Petroleumsregisteret	2013-02-22	Ny tillatelse	2013-02-27	22813239	2013-05-08
659	6424	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	21558636	2013-05-08
659	6491	Rocksource ASA overdrar en 5 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	9999-12-31	21558636	2013-05-08
659	6546	Spring Energy Norway AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	21558636	2013-05-08
659	6728	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	21558636	2013-05-08
659	6842	Rocksource ASA overdrar sin 5 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	21558636	2013-05-08
659	6844	Rocksource Exploration Norway AS pantsetter sin 5 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	21558636	2013-05-08
659	6878	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	21558636	2013-05-08
658	6252	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21558820	2013-05-08
657	6251	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21558872	2013-05-08
656	6250	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21558940	2013-05-08
656	6315	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	21558940	2013-05-08
656	6739	North Energy ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	9999-12-31	21558940	2013-05-08
655	6281	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21558998	2013-05-08
655	6370	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	21558998	2013-05-08
654	6249	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559027	2013-05-08
653	6248	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559076	2013-05-08
652	6247	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	2013-04-03	21559103	2013-05-08
652	6314	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	2013-04-03	21559103	2013-05-08
652	6369	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	2013-04-03	21559103	2013-05-08
652	6423	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	2013-04-03	21559103	2013-05-08
652	6727	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	2013-04-03	21559103	2013-05-08
652	7005	Olje-og energidepartementet bekrefter i brev datert 22.3.2013 at utvinningstillatelsen anses som bortfalt 3.2.2013, jf. petroleumsloven § 3-15	2013-04-02	Andre meldinger	2013-04-04	21559103	2013-05-08
651	6246	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559146	2013-05-08
651	6313	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	21559146	2013-05-08
651	6545	Spring Energy Norway AS pantsetter sin 35 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	21559146	2013-05-08
651	6894	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	21559146	2013-05-08
650	6245	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559201	2013-05-08
650	6312	E.ON Ruhrgas Norge AS har endret navn til E.ON E&P Norge AS med virkning fra 11.2.2012.	2012-04-10	Andre meldinger	9999-12-31	21559201	2013-05-08
035 C	6254	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	2013-03-19	21559372	2013-05-08
035 C	6399	Det norske oljeselskap ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	2013-03-19	21559372	2013-05-08
035 C	6569	Svenska Petroleum Exploration AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon stor NOK 300 000 000 pluss 10 %, skriver norske kroner tre hundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.8.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-09-11	Heftelse	2013-03-19	21559372	2013-05-08
035 C	6708	Det norske oljeselskap ASA pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	2013-03-19	21559372	2013-05-08
046 D	6255	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	2013-02-05	21559399	2013-05-08
639	6238	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559426	2013-05-08
639	6543	Spring Energy Norway AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	21559426	2013-05-08
639	6804	Norwegian Energy Company ASA overdrar sin 15 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	21559426	2013-05-08
639	6892	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	21559426	2013-05-08
639	6983	Noreco Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	21559426	2013-05-08
640	6277	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559488	2013-05-08
641	6239	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559540	2013-05-08
642	6278	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559610	2013-05-08
642	6544	Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	21559610	2013-05-08
642	6893	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	21559610	2013-05-08
644	6279	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559648	2013-05-08
644	6771	Faroe Petroleum Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet pantobligasjon pålydende NOK 1,200,000,000 skriver norske kroner enmilliardtohundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 18.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-02	Heftelse	9999-12-31	21559648	2013-05-08
645	6241	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559709	2013-05-08
645	6772	Faroe Petroleum Norge AS pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet pantobligasjon pålydende NOK 1,200,000,000 skriver norske kroner enmilliardtohundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 18.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-02	Heftelse	9999-12-31	21559709	2013-05-08
646	6242	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559761	2013-05-08
646	6368	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	21559761	2013-05-08
646	6805	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	21559761	2013-05-08
646	6981	Noreco Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	21559761	2013-05-08
647	6243	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559805	2013-05-08
648 S	6280	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559877	2013-05-08
649	6244	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21559950	2013-05-08
619	6225	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560040	2013-05-08
050 HS	6394	Statoil Petroleum AS overdrar en 13 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-08	Endring i tillatelse	9999-12-31	21668287	2013-05-08
619	6427	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	21560040	2013-05-08
619	6540	Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	21560040	2013-05-08
619	6724	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	21560040	2013-05-08
619	6888	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	21560040	2013-05-08
495 B	6263	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560089	2013-05-08
495 B	6526	Spring Energy Norway AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	21560089	2013-05-08
495 B	6882	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 13.2.2013	2013-02-19	Andre meldinger	2013-02-27	21560089	2013-05-08
620	6270	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560115	2013-05-08
620	6777	Faroe Petroleum Norge AS pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet pantobligasjon pålydende NOK 1,200,000,000 skriver norske kroner enmilliardtohundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 18.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-02	Heftelse	9999-12-31	21560115	2013-05-08
620	6800	Norwegian Energy Company ASA overdrar sin 25 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	21560115	2013-05-08
620	7004	Noreco Norway AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000 skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	21560115	2013-05-08
621	6271	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	2013-04-03	21560157	2013-05-08
621	6776	Faroe Petroleum Norge AS pantsetter sin 75 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet pantobligasjon pålydende NOK 1,200,000,000 skriver norske kroner enmilliardtohundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 18.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-02	Heftelse	2013-04-03	21560157	2013-05-08
621	6801	Norwegian Energy Company ASA overdrar sin 25 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	2013-04-03	21560157	2013-05-08
621	7007	Olje-og energidepartementet bekrefter i brev datert 22.3.2013 at utvinningstillatelsen anses som bortfalt 3.2.2013, jf. petroleumsloven § 3-15	2013-04-02	Andre meldinger	2013-04-06	21560157	2013-05-08
622	6226	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560182	2013-05-08
623	6227	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560239	2013-05-08
623	6572	Bridge Energy Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 10.09.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-09-18	Heftelse	9999-12-31	21560239	2013-05-08
506 DS	6264	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560284	2013-05-08
506 DS	6484	Rocksource ASA overdrar en 25 % deltakerandel i utvinningstillatelsen til Valiant Petroleum Norge AS med virkning fra 24.5.2012.	2012-06-06	Endring i tillatelse	9999-12-31	21560284	2013-05-08
506 DS	6592	Front Exploration AS overdrar sin 30% deltakerandel  i utvinningstillatelsen til Petrolia Norway AS med virkning fra 3.10.2012.	2012-10-04	Endring i tillatelse	9999-12-31	21560284	2013-05-08
506 DS	6843	Rocksource ASA overdrar sin 25 % deltakerandel i utvinningstillatelsen til Rocksource Exploration Norway AS med virkning fra 31.12.2012.	2013-01-07	Endring i tillatelse	9999-12-31	21560284	2013-05-08
506 DS	6854	Rocksource Exploration Norway AS pantsetter sin 25 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB. Første prioritet panteobligasjon stor NOK 150,000,000, skriver norske kroner etthundreogfemtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 2.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-07	Heftelse	9999-12-31	21560284	2013-05-08
624	6228	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560318	2013-05-08
293 B	6548	Tillatelsen er innført i petroleumsregisteret.	2012-07-30	Ny tillatelse	9999-12-31	21695786	2013-05-08
624	6979	Noreco Norway AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	21560318	2013-05-08
625	6229	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560380	2013-05-08
626	6230	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560418	2013-05-08
626	6428	Det norske oljeselskap ASA pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	21560418	2013-05-08
626	6466	Fortis Petroleum Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DnB  Bank ASA. Første prioritet panteobligasjon stor NOK 160,000,000, skriver norske kroner etthundreogsekstimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 3.5.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-05	Heftelse	9999-12-31	21560418	2013-05-08
626	6541	Spring Energy Norway AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	21560418	2013-05-08
626	6725	Det norske oljeselskap ASA pantsetter sin 50 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	21560418	2013-05-08
626	6889	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	21560418	2013-05-08
513 B	6265	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560453	2013-05-08
627	6231	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560469	2013-05-08
627	6422	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	21560469	2013-05-08
627	6726	Det norske oljeselskap ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	21560469	2013-05-08
627	6774	Faroe Petroleum Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet pantobligasjon pålydende NOK 1,200,000,000 skriver norske kroner enmilliardtohundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 18.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-02	Heftelse	9999-12-31	21560469	2013-05-08
628	6232	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560616	2013-05-08
629	6233	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560683	2013-05-08
629	6573	Bridge Energy Norge AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 10.09.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-09-18	Heftelse	9999-12-31	21560683	2013-05-08
629	6775	Faroe Petroleum Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet pantobligasjon pålydende NOK 1,200,000,000 skriver norske kroner enmilliardtohundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 18.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-02	Heftelse	9999-12-31	21560683	2013-05-08
629	7023	Concedo ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen 629 til fordel for DNB Bank ASA. Første prioritet panteobligasjon stor NOK 350,000,000 pluss 10 %, skriver norske kroner trehundreogfemtimillioner 00/100 pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.3.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-10	Heftelse	2013-04-12	21560683	2013-05-08
630	6234	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560745	2013-05-08
029 C	6661	Tillatelsen innført i petroleumsregisteret.	2012-11-02	Ny tillatelse	9999-12-31	22493034	2013-05-08
029 C	6687	ExxonMobil Exploration and Production Norway AS overdrar sin 100 % deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 3.12.2012.	2012-12-03	Endring i tillatelse	9999-12-31	22493034	2013-05-08
630	6458	Agora Oil & Gas  AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ) as agent for a syndicate of banks. Første prioritet panteobligasjon pålydende NOK 500,000,000, skriver norske kroner femhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-21	Heftelse	9999-12-31	21560745	2013-05-08
630	7038	Agora Oil & Gas AS har endret foretaksnavn til Capricorn Norge AS fra 20.04.2013	2013-04-29	Andre meldinger	9999-12-31	21560745	2013-05-08
631	6235	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560844	2013-05-08
631	6467	Fortis Petroleum Norway AS pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DnB  Bank ASA. Første prioritet panteobligasjon stor NOK 160,000,000, skriver norske kroner etthundreogsekstimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 3.5.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-05	Heftelse	9999-12-31	21560844	2013-05-08
557 B	6266	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560889	2013-05-08
632	6236	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560912	2013-05-08
632	6459	Agora Oil & Gas  AS pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ) as agent for a syndicate of banks. Første prioritet panteobligasjon pålydende NOK 500,000,000, skriver norske kroner femhundre millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-21	Heftelse	9999-12-31	21560912	2013-05-08
632	7040	Agora Oil & Gas AS har endret foretaksnavn til Capricorn Norge AS fra 20.04.2013	2013-04-29	Andre meldinger	9999-12-31	21560912	2013-05-08
633	6272	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21560982	2013-05-08
633	6366	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	21560982	2013-05-08
634	6273	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21561057	2013-05-08
634	6803	Norwegian Energy Company ASA overdrar sin 30 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	21561057	2013-05-08
634	6980	Noreco Norway AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	21561057	2013-05-08
635	6274	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21561115	2013-05-08
636	6237	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21561151	2013-05-08
636	6542	Spring Energy Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for Merchant Banking, Skandinaviska Enskilda Banken AB (publ). Første prioritet panteobligasjon pålydende NOK 2 000 000 000 skriver norske kroner tomilliarder 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev datert 19.6.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-06-26	Heftelse	9999-12-31	21561151	2013-05-08
636	6890	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-19	Andre meldinger	2013-02-27	21561151	2013-05-08
637	6275	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21561194	2013-05-08
638	6276	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21561239	2013-05-08
638	6367	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	21561239	2013-05-08
597 B	6267	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21561308	2013-05-08
643	6240	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21561387	2013-05-08
609 B	6268	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21561445	2013-05-08
616	6269	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21561481	2013-05-08
616	6738	North Energy ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK  950,000,000 skriver norske kroner nihundreogfemtimillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 17.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-17	Heftelse	9999-12-31	21561481	2013-05-08
616	6799	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	21561481	2013-05-08
616	7003	Noreco Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000 skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	21561481	2013-05-08
616	7022	Concedo ASA pantsetter sin 20 % deltakerandel i utvinningstillatelsen 616 til fordel for DNB Bank ASA. Første prioritet panteobligasjon stor NOK 350,000,000 pluss 10 %, skriver norske kroner trehundreogfemtimillioner 00/100 pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 4.3.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-10	Heftelse	2013-04-12	21561481	2013-05-08
617	6223	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21561629	2013-05-08
037 F	6943	Tillatelsen er innført i Petroleumsregisteret	2013-02-22	Ny tillatelse	2013-02-27	22813049	2013-05-08
617	6571	Bridge Energy Norge AS pantsetter sin 15 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 10.09.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-09-18	Heftelse	9999-12-31	21561629	2013-05-08
618	6224	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21561689	2013-05-08
102 E	6257	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21568578	2013-05-08
102 E	6564	Statoil Petroleum AS overdrar sin 10 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 31.8.2012.	2012-08-28	Endring i tillatelse	9999-12-31	21568578	2013-05-08
102 D	6256	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21568785	2013-05-08
102 D	6709	Det norske oljeselskap ASA pantsetter sin 10 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	21568785	2013-05-08
104 B	6258	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	2013-02-03	21568959	2013-05-08
104 B	6691	ExxonMobil Exploration and Production Norway AS overdrar sin 4,7 deltakerandel i utvinningstillatelsen til Total E&P Norge AS med virkning fra 3.2.2012.	2012-12-03	Endring i tillatelse	2013-02-03	21568959	2013-05-08
193 E	6259	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	2013-02-03	21568992	2013-05-08
193 E	6565	Statoil Petroleum AS overdrar sin 19 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 31.8.2012.	2012-08-28	Endring i tillatelse	2013-02-03	21568992	2013-05-08
375 C	6261	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21569065	2013-05-08
375 C	6341	Wintershall Norge ASA har endret selskapsform og derved navn til Wintershall Norge AS med virkning fra 24.3.2012.	2012-04-20	Andre meldinger	9999-12-31	21569065	2013-05-08
414 B	6262	Tillatelsen er innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21569107	2013-05-08
414 B	6404	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Andre prioritet panteobligasjon stor USD 750,000,000, skriver amerikanske dollar syvhundreogfemti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.4.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-05-09	Heftelse	9999-12-31	21569107	2013-05-08
414 B	6710	Det norske oljeselskap ASA pantsetter sin 40 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	21569107	2013-05-08
414 B	6773	Faroe Petroleum Norge AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for BNP Paribas. Første prioritet pantobligasjon pålydende NOK 1,200,000,000 skriver norske kroner enmilliardtohundremillioner. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 18.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-01-02	Heftelse	9999-12-31	21569107	2013-05-08
414 B	6784	Norwegian Energy Company ASA overdrar sin 20 % deltakerandel i utvinningstillatelsen til Noreco Norway AS med virkning fra 31.12.2012.	2013-01-02	Endring i tillatelse	9999-12-31	21569107	2013-05-08
414 B	6991	Noreco Norway AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen til fordel for SpareBank 1 SR-Bank  ASA. Første prioritet panteobligasjon stor NOK 1,240,000,000, skriver norske kroner enmilliardtohundreogførtimillioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 9.1.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2013-04-02	Heftelse	2013-04-13	21569107	2013-05-08
494 C	6222	Tillatelsen innført i Petroleumsregisteret.	2012-03-27	Ny tillatelse	9999-12-31	21569178	2013-05-08
494 C	6570	Bridge Energy Norge AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB Bank ASA. Første prioritet panteobligasjon pålydende NOK 440,000,000, skriver norske kroner firehundreogførti millioner 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 10.09.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-09-18	Heftelse	9999-12-31	21569178	2013-05-08
494 C	6713	Det norske oljeselskap ASA pantsetter sin 30 % deltakerandel i utvinningstillatelsen til fordel for DNB  Bank ASA. Første prioritet pante obligasjon pålydende NOK 3,500,000,000 pluss 10 %  skriver norske kroner tremilliarderfemhundremillioner pluss ti prosent. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 14.12.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant.	2012-12-14	Heftelse	9999-12-31	21569178	2013-05-08
494 C	7011	Operatørskapet er overført fra Dana Petroleum Norway AS til Det norske oljeselskap ASA i henhold til brev fra OED av 19.3.2013.	2013-04-05	Endring i tillatelse	9999-12-31	21569178	2013-05-08
050 ES	6393	Tillatelsen er innført i Petroleumsregisteret.	2012-05-08	Ny tillatelse	9999-12-31	21668200	2013-05-08
050 ES	6397	Statoil Petroleum AS overdrar en 13 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-08	Endring i tillatelse	9999-12-31	21668200	2013-05-08
050 FS	6392	Tillatelsen er innført i Petroleumsregisteret.	2012-05-08	Ny tillatelse	9999-12-31	21668235	2013-05-08
050 FS	6396	Statoil Petroleum AS overdrar en 13 % deltakerandel i utvinningstillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-08	Endring i tillatelse	9999-12-31	21668235	2013-05-08
050 GS	6391	Tillatelsen er innført i Petroleumsregisteret.	2012-05-08	Ny tillatelse	9999-12-31	21668262	2013-05-08
509 BS	6955	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-22	Andre meldinger	2013-02-27	22813272	2013-05-08
542 B	6950	Tillatelsen er innført i Petroleumsregisteret	2013-02-22	Ny tillatelse	2013-02-27	22813299	2013-05-08
542 B	6953	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-22	Andre meldinger	2013-02-27	22813299	2013-05-08
660	6921	Tillatelsen er innført i Petroleumsregisteret.	2013-02-21	Ny tillatelse	2013-02-27	22815555	2013-05-08
661	6933	Tillatelsen er innført i Petroleumsregisteret.	2013-02-21	Ny tillatelse	2013-02-27	22815589	2013-05-08
662	6935	Tillatelsen er innført i Petroleumsregisteret.	2013-02-21	Ny tillatelse	2013-02-27	22815632	2013-05-08
663	6923	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22815661	2013-05-08
664 S	6925	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22815702	2013-05-08
665 S	6927	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22815738	2013-05-08
665 S	7039	Agora Oil & Gas AS har endret foretaksnavn til Capricorn Norge AS fra 20.04.2013	2013-04-29	Andre meldinger	9999-12-31	22815738	2013-05-08
666	6929	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22815785	2013-05-08
666	6933	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-21	Andre meldinger	2013-02-27	22815785	2013-05-08
667	6930	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22815830	2013-05-08
667	6936	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-21	Andre meldinger	2013-02-27	22815830	2013-05-08
668	6919	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22815873	2013-05-08
668	6937	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-21	Andre meldinger	2013-02-27	22815873	2013-05-08
669	6918	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22815914	2013-05-08
670	6917	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22815949	2013-05-08
670	6938	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-21	Andre meldinger	2013-02-27	22815949	2013-05-08
671	6915	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816003	2013-05-08
672	6914	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816061	2013-05-08
673	6913	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816103	2013-05-08
674	6911	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816134	2013-05-08
675	6910	Tillatelse er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816217	2013-05-08
676 S	6908	Tillatelse er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816262	2013-05-08
677	6906	Tillatelse er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816357	2013-05-08
678 S	6903	Tillatelse er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816406	2013-05-08
679 S	6902	Tillatelse er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816484	2013-05-08
680	6912	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816583	2013-05-08
680	6939	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-21	Andre meldinger	2013-02-27	22816583	2013-05-08
681	6917	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816639	2013-05-08
681	6940	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-21	Andre meldinger	2013-02-27	22816639	2013-05-08
682	6924	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816685	2013-05-08
682	7037	Agora Oil & Gas AS har endret foretaksnavn til Capricorn Norge AS fra 20.04.2013	2013-04-29	Andre meldinger	9999-12-31	22816685	2013-05-08
683	6925	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816753	2013-05-08
684	6914	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22816794	2013-05-08
685	6916	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820468	2013-05-08
686	6909	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820521	2013-05-08
687	6907	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820550	2013-05-08
688	6905	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820588	2013-05-08
689	6904	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820628	2013-05-08
689	6941	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-21	Andre meldinger	2013-02-27	22820628	2013-05-08
689	7029	Svenska Petroleum Exploration AS pantsetter sin 20 % deltakerandel i utvinningstillatelsen 689 til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 300,000,000 pluss 10 % skriver norske kroner trehundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.3.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2013-04-26	Heftelse	9999-12-31	22820628	2013-05-08
690	6902	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820657	2013-05-08
690	7030	Svenska Petroleum Exploration AS pantsetter sin 30 % deltakerandel i utvinningstillatelsen 690 til fordel for DnB Bank ASA. Første prioritet panteobligasjon stor NOK 300,000,000 pluss 10 % skriver norske kroner trehundre millioner pluss ti prosent 00/100. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 22.3.2013 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. Pantsettelsen utgjør et såkalt krysspant. 	2013-04-26	Heftelse	9999-12-31	22820657	2013-05-08
691	6901	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820684	2013-05-08
692	6928	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820715	2013-05-08
693	6931	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820761	2013-05-08
694	6932	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820804	2013-05-08
695	6934	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820851	2013-05-08
695	6956	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-22	Andre meldinger	2013-02-27	22820851	2013-05-08
696	6935	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22820904	2013-05-08
697	6902	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22821005	2013-05-08
698	6903	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22821040	2013-05-08
699	6920	Tillatelsen er innført i Petroleumsregisteret	2013-02-21	Ny tillatelse	2013-02-27	22821109	2013-05-08
701	6942	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-21	Andre meldinger	2013-02-27	23180841	2013-05-08
591 B	6951	Tillatelsen er innført i Petroleumsregisteret	2013-02-22	Ny tillatelse	2013-02-27	23180930	2013-05-08
591 B	6954	Spring Energy Norway AS har endret foretaksnavn til Tullow Oil Norge AS med virkning fra 11.02.2013	2013-02-22	Andre meldinger	2013-02-27	23180930	2013-05-08
090 F	6960	Tillatelsen er innført i Petroleumsregisteret	2013-03-01	Ny tillatelse	9999-12-31	23268186	2013-05-08
090 G	6961	Tillatelsen er innført i Petroleumsregisteret	2013-03-01	Ny tillatelse	9999-12-31	23268222	2013-05-08
090 HS	7027	Tillatelsen er innført i petroleumsregisteret.	2013-04-25	Ny tillatelse	2013-04-27	23297006	2013-05-08
248 C	7028	Tillatelsen er innført i petroleumsregisteret	2013-04-25	Ny tillatelse	2013-05-01	23297103	2013-05-08
\.



COPY licence_phase_hst (prlname, prldatephasevalidfrom, prldatephasevalidto, prlphase, prldategranted, prldatevalidto, prldateinitialperiodexpires, prlactivestatusindicator, prlnpdidlicence, prlphasedateupdated, datesyncnpd) FROM stdin;
001	1965-09-01	1971-08-31	INITIAL	1965-09-01	2030-03-01	1971-08-31	ACTIVE	20756	9999-12-31	2013-05-08
001	1971-09-01	2011-08-31	PRODUCTION	1965-09-01	2030-03-01	1971-08-31	ACTIVE	20756	9999-12-31	2013-05-08
001	2011-09-01	2030-03-01	PRODUCTION EXTENDED	1965-09-01	2030-03-01	1971-08-31	ACTIVE	20756	9999-12-31	2013-05-08
001 P	1994-01-19	1999-12-14	INITIAL	1994-01-19	1999-12-14	1999-12-14	INACTIVE	20764	9999-12-31	2013-05-08
002	1965-09-01	1971-08-31	INITIAL	1965-09-01	1977-09-01	1971-08-31	INACTIVE	20772	9999-12-31	2013-05-08
002	1971-09-01	1977-09-01	PRODUCTION	1965-09-01	1977-09-01	1971-08-31	INACTIVE	20772	9999-12-31	2013-05-08
003	1965-09-01	1971-08-31	INITIAL	1965-09-01	1977-09-01	1971-08-31	INACTIVE	20780	9999-12-31	2013-05-08
003	1971-09-01	1977-09-01	PRODUCTION	1965-09-01	1977-09-01	1971-08-31	INACTIVE	20780	9999-12-31	2013-05-08
004	1965-09-01	1971-08-31	INITIAL	1965-09-01	1971-08-31	1971-08-31	INACTIVE	20788	9999-12-31	2013-05-08
005	1965-09-01	1971-08-31	INITIAL	1965-09-01	1971-08-31	1971-08-31	INACTIVE	20796	9999-12-31	2013-05-08
006	1965-09-01	1971-08-31	INITIAL	1965-09-01	2028-12-31	1971-08-31	ACTIVE	20804	9999-12-31	2013-05-08
006	1971-09-01	2011-08-31	PRODUCTION	1965-09-01	2028-12-31	1971-08-31	ACTIVE	20804	9999-12-31	2013-05-08
006	2011-09-01	2028-12-31	PRODUCTION EXTENDED	1965-09-01	2028-12-31	1971-08-31	ACTIVE	20804	9999-12-31	2013-05-08
007	1965-09-01	1971-08-31	INITIAL	1965-09-01	1990-09-01	1971-08-31	INACTIVE	20812	9999-12-31	2013-05-08
007	1971-09-01	1990-09-01	PRODUCTION	1965-09-01	1990-09-01	1971-08-31	INACTIVE	20812	9999-12-31	2013-05-08
008	1965-09-01	1971-08-31	INITIAL	1965-09-01	2002-12-31	1971-08-31	INACTIVE	20820	9999-12-31	2013-05-08
008	1971-09-01	2002-12-31	PRODUCTION	1965-09-01	2002-12-31	1971-08-31	INACTIVE	20820	9999-12-31	2013-05-08
009	1965-09-01	1971-08-31	INITIAL	1965-09-01	1999-01-01	1971-08-31	INACTIVE	20828	9999-12-31	2013-05-08
009	1971-09-01	1999-01-01	PRODUCTION	1965-09-01	1999-01-01	1971-08-31	INACTIVE	20828	9999-12-31	2013-05-08
010	1965-09-01	1971-08-31	INITIAL	1965-09-01	1979-09-01	1971-08-31	INACTIVE	20836	9999-12-31	2013-05-08
010	1971-09-01	1979-09-01	PRODUCTION	1965-09-01	1979-09-01	1971-08-31	INACTIVE	20836	9999-12-31	2013-05-08
011	1965-09-01	1971-08-31	INITIAL	1965-09-01	1999-12-31	1971-08-31	INACTIVE	20844	9999-12-31	2013-05-08
011	1971-09-01	1999-12-31	PRODUCTION	1965-09-01	1999-12-31	1971-08-31	INACTIVE	20844	9999-12-31	2013-05-08
012	1965-09-01	1971-09-01	INITIAL	1965-09-01	1971-09-01	1971-09-01	INACTIVE	20852	9999-12-31	2013-05-08
013	1965-09-01	1971-08-31	INITIAL	1965-09-01	1978-09-01	1971-08-31	INACTIVE	20860	9999-12-31	2013-05-08
013	1971-09-01	1978-09-01	PRODUCTION	1965-09-01	1978-09-01	1971-08-31	INACTIVE	20860	9999-12-31	2013-05-08
014	1965-09-01	1971-08-31	INITIAL	1965-09-01	1977-09-01	1971-08-31	INACTIVE	20868	9999-12-31	2013-05-08
014	1971-09-01	1977-09-01	PRODUCTION	1965-09-01	1977-09-01	1971-08-31	INACTIVE	20868	9999-12-31	2013-05-08
015	1965-09-01	1971-08-31	INITIAL	1965-09-01	1977-09-01	1971-08-31	INACTIVE	20876	9999-12-31	2013-05-08
015	1971-09-01	1977-09-01	PRODUCTION	1965-09-01	1977-09-01	1971-08-31	INACTIVE	20876	9999-12-31	2013-05-08
016	1965-09-01	1971-08-31	INITIAL	1965-09-01	1994-12-31	1971-08-31	INACTIVE	20884	9999-12-31	2013-05-08
016	1971-09-01	1994-12-31	PRODUCTION	1965-09-01	1994-12-31	1971-08-31	INACTIVE	20884	9999-12-31	2013-05-08
017	1965-09-01	1971-08-31	INITIAL	1965-09-01	1991-12-31	1971-08-31	INACTIVE	20892	9999-12-31	2013-05-08
017	1971-09-01	1991-12-31	PRODUCTION	1965-09-01	1991-12-31	1971-08-31	INACTIVE	20892	9999-12-31	2013-05-08
018	1965-09-01	1971-08-31	INITIAL	1965-09-01	2028-12-31	1971-08-31	ACTIVE	20900	9999-12-31	2013-05-08
018	1971-09-01	2011-08-31	PRODUCTION	1965-09-01	2028-12-31	1971-08-31	ACTIVE	20900	9999-12-31	2013-05-08
018	2011-09-01	2028-12-31	PRODUCTION EXTENDED	1965-09-01	2028-12-31	1971-08-31	ACTIVE	20900	9999-12-31	2013-05-08
018 B	1995-08-25	1998-12-31	INITIAL	1995-08-25	2028-12-31	1998-12-31	ACTIVE	20908	9999-12-31	2013-05-08
018 B	1999-01-01	2028-12-31	PRODUCTION	1995-08-25	2028-12-31	1998-12-31	ACTIVE	20908	9999-12-31	2013-05-08
019	1965-09-01	1971-08-31	INITIAL	1965-09-01	2029-01-01	1971-08-31	ACTIVE	20916	9999-12-31	2013-05-08
019	1971-09-01	2011-08-31	PRODUCTION	1965-09-01	2029-01-01	1971-08-31	ACTIVE	20916	9999-12-31	2013-05-08
019	2011-09-01	2029-01-01	PRODUCTION EXTENDED	1965-09-01	2029-01-01	1971-08-31	ACTIVE	20916	9999-12-31	2013-05-08
019 B	1977-09-12	1981-08-31	INITIAL	1977-09-12	2018-09-01	1981-08-31	ACTIVE	20924	9999-12-31	2013-05-08
019 B	1981-09-01	2011-09-01	PRODUCTION	1977-09-12	2018-09-01	1981-08-31	ACTIVE	20924	9999-12-31	2013-05-08
019 B	2011-09-02	2018-09-01	PRODUCTION EXTENDED	1977-09-12	2018-09-01	1981-08-31	ACTIVE	20924	9999-12-31	2013-05-08
020	1965-09-01	1971-08-31	INITIAL	1965-09-01	1987-12-31	1971-08-31	INACTIVE	20932	9999-12-31	2013-05-08
020	1971-09-01	1987-12-31	PRODUCTION	1965-09-01	1987-12-31	1971-08-31	INACTIVE	20932	9999-12-31	2013-05-08
021	1965-09-01	1973-09-01	INITIAL	1965-09-01	1973-09-01	1973-09-01	INACTIVE	20940	9999-12-31	2013-05-08
022	1965-12-07	1971-09-06	INITIAL	1965-12-07	1986-12-31	1971-09-06	INACTIVE	20948	9999-12-31	2013-05-08
022	1971-09-07	1986-12-31	PRODUCTION	1965-12-07	1986-12-31	1971-09-06	INACTIVE	20948	9999-12-31	2013-05-08
023	1969-05-23	1975-05-22	INITIAL	1969-05-23	1985-05-23	1975-05-22	INACTIVE	20956	9999-12-31	2013-05-08
023	1975-05-23	1985-05-23	PRODUCTION	1969-05-23	1985-05-23	1975-05-22	INACTIVE	20956	9999-12-31	2013-05-08
024	1969-05-23	1975-05-22	INITIAL	1969-05-23	2015-05-23	1975-05-22	ACTIVE	20964	9999-12-31	2013-05-08
024	1975-05-23	2015-05-23	PRODUCTION	1969-05-23	2015-05-23	1975-05-22	ACTIVE	20964	9999-12-31	2013-05-08
026	1969-05-23	1975-05-22	INITIAL	1969-05-23	2025-05-23	1975-05-22	ACTIVE	20980	2012-07-04	2013-05-08
026	1975-05-23	2015-05-23	PRODUCTION	1969-05-23	2025-05-23	1975-05-22	ACTIVE	20980	2012-07-04	2013-05-08
026	2015-05-24	2025-05-23	PRODUCTION EXTENDED	1969-05-23	2025-05-23	1975-05-22	ACTIVE	20980	9999-12-31	2013-05-08
027	1969-05-23	1975-05-22	INITIAL	1969-05-23	2030-03-01	1975-05-22	ACTIVE	20988	9999-12-31	2013-05-08
027	1975-05-23	2015-05-22	PRODUCTION	1969-05-23	2030-03-01	1975-05-22	ACTIVE	20988	9999-12-31	2013-05-08
027	2015-05-23	2030-03-01	PRODUCTION EXTENDED	1969-05-23	2030-03-01	1975-05-22	ACTIVE	20988	9999-12-31	2013-05-08
027 P	1994-01-19	1999-12-14	INITIAL	1994-01-19	1999-12-14	1999-12-14	INACTIVE	20996	9999-12-31	2013-05-08
028	1969-05-23	1975-05-22	INITIAL	1969-05-23	2030-03-01	1975-05-22	ACTIVE	21004	9999-12-31	2013-05-08
028	1975-05-23	2015-05-22	PRODUCTION	1969-05-23	2030-03-01	1975-05-22	ACTIVE	21004	9999-12-31	2013-05-08
028	2015-05-23	2030-03-01	PRODUCTION EXTENDED	1969-05-23	2030-03-01	1975-05-22	ACTIVE	21004	9999-12-31	2013-05-08
028 P	1994-01-19	1999-12-14	INITIAL	1994-01-19	1999-12-14	1999-12-14	INACTIVE	21012	9999-12-31	2013-05-08
029	1969-05-23	1975-05-22	INITIAL	1969-05-23	2028-12-31	1975-05-22	ACTIVE	21020	9999-12-31	2013-05-08
029	1975-05-23	2015-05-23	PRODUCTION	1969-05-23	2028-12-31	1975-05-22	ACTIVE	21020	9999-12-31	2013-05-08
029	2015-05-24	2028-12-31	PRODUCTION EXTENDED	1969-05-23	2028-12-31	1975-05-22	ACTIVE	21020	9999-12-31	2013-05-08
030	1969-05-23	1975-05-22	INITIAL	1969-05-23	1995-12-31	1975-05-22	INACTIVE	21028	9999-12-31	2013-05-08
030	1975-05-23	1995-12-31	PRODUCTION	1969-05-23	1995-12-31	1975-05-22	INACTIVE	21028	9999-12-31	2013-05-08
031	1969-05-23	1975-05-22	INITIAL	1969-05-23	1999-12-31	1975-05-22	INACTIVE	21036	9999-12-31	2013-05-08
031	1975-05-23	1999-12-31	PRODUCTION	1969-05-23	1999-12-31	1975-05-22	INACTIVE	21036	9999-12-31	2013-05-08
032	1969-05-30	1979-05-29	INITIAL	1969-05-30	1999-12-31	1979-05-29	INACTIVE	21044	9999-12-31	2013-05-08
032	1979-05-30	1999-12-31	PRODUCTION	1969-05-30	1999-12-31	1979-05-29	INACTIVE	21044	9999-12-31	2013-05-08
033	1969-05-30	1975-05-29	INITIAL	1969-05-30	2015-05-30	1975-05-29	ACTIVE	21052	9999-12-31	2013-05-08
033	1975-05-30	2015-05-30	PRODUCTION	1969-05-30	2015-05-30	1975-05-29	ACTIVE	21052	9999-12-31	2013-05-08
034	1969-11-14	1975-11-13	INITIAL	1969-11-14	2015-11-14	1975-11-13	ACTIVE	21060	9999-12-31	2013-05-08
034	1975-11-14	2015-11-14	PRODUCTION	1969-11-14	2015-11-14	1975-11-13	ACTIVE	21060	9999-12-31	2013-05-08
035	1969-11-14	1975-11-13	INITIAL	1969-11-14	2022-11-14	1975-11-13	ACTIVE	21068	2013-03-19	2013-05-08
035	1975-11-14	2015-11-14	PRODUCTION	1969-11-14	2022-11-14	1975-11-13	ACTIVE	21068	2013-03-19	2013-05-08
035	2015-11-15	2022-11-14	PRODUCTION EXTENDED	1969-11-14	2022-11-14	1975-11-13	ACTIVE	21068	9999-12-31	2013-05-08
036	1971-06-11	1975-06-10	INITIAL	1971-06-11	2021-06-11	1975-06-10	ACTIVE	21076	9999-12-31	2013-05-08
036	1975-06-11	2017-06-10	PRODUCTION	1971-06-11	2021-06-11	1975-06-10	ACTIVE	21076	9999-12-31	2013-05-08
036	2017-06-11	2021-06-11	PRODUCTION EXTENDED	1971-06-11	2021-06-11	1975-06-10	ACTIVE	21076	9999-12-31	2013-05-08
037	1973-08-10	1979-08-10	INITIAL	1973-08-10	2026-08-10	1979-08-10	ACTIVE	21084	9999-12-31	2013-05-08
037	1979-08-11	2009-08-10	PRODUCTION	1973-08-10	2026-08-10	1979-08-10	ACTIVE	21084	9999-12-31	2013-05-08
037	2009-08-11	2026-08-10	PRODUCTION EXTENDED	1973-08-10	2026-08-10	1979-08-10	ACTIVE	21084	9999-12-31	2013-05-08
038	1975-04-01	1980-11-15	INITIAL	1975-04-01	2021-04-01	1980-11-15	ACTIVE	21092	9999-12-31	2013-05-08
038	1980-11-16	2010-11-15	PRODUCTION	1975-04-01	2021-04-01	1980-11-15	ACTIVE	21092	9999-12-31	2013-05-08
038	2010-11-16	2021-04-01	PRODUCTION EXTENDED	1975-04-01	2021-04-01	1980-11-15	ACTIVE	21092	9999-12-31	2013-05-08
039	1975-04-01	1983-04-01	INITIAL	1975-04-01	1983-04-01	1983-04-01	INACTIVE	21100	9999-12-31	2013-05-08
040	1975-04-01	1980-11-15	INITIAL	1975-04-01	2027-12-31	1980-11-15	ACTIVE	21108	2012-08-04	2013-05-08
040	1980-11-16	2010-11-15	PRODUCTION	1975-04-01	2027-12-31	1980-11-15	ACTIVE	21108	2012-08-04	2013-05-08
040	2010-11-16	2012-08-06	PRODUCTION EXTENDED	1975-04-01	2027-12-31	1980-11-15	ACTIVE	21108	2012-08-04	2013-05-08
040	2012-08-07	2027-12-31	PRODUCTION EXTENDED	1975-04-01	2027-12-31	1980-11-15	ACTIVE	21108	9999-12-31	2013-05-08
041	1975-06-01	1981-06-01	INITIAL	1975-06-01	1989-01-01	1981-06-01	INACTIVE	21116	9999-12-31	2013-05-08
041	1981-06-02	1989-01-01	PRODUCTION	1975-06-01	1989-01-01	1981-06-01	INACTIVE	21116	9999-12-31	2013-05-08
042	1975-04-01	1980-04-01	INITIAL	1975-04-01	1980-04-01	1980-04-01	INACTIVE	21124	9999-12-31	2013-05-08
043	1976-08-06	1982-09-01	INITIAL	1976-08-06	2027-12-31	1982-09-01	ACTIVE	21132	2012-08-04	2013-05-08
043	1982-09-02	2012-08-06	PRODUCTION	1976-08-06	2027-12-31	1982-09-01	ACTIVE	21132	2012-08-04	2013-05-08
043	2012-08-07	2027-12-31	PRODUCTION EXTENDED	1976-08-06	2027-12-31	1982-09-01	ACTIVE	21132	9999-12-31	2013-05-08
044	1976-08-27	1982-08-31	INITIAL	1976-08-27	2028-12-31	1982-08-31	ACTIVE	21140	9999-12-31	2013-05-08
044	1982-09-01	2012-08-31	PRODUCTION	1976-08-27	2028-12-31	1982-08-31	ACTIVE	21140	9999-12-31	2013-05-08
044	2012-09-01	2028-12-31	PRODUCTION EXTENDED	1976-08-27	2028-12-31	1982-08-31	ACTIVE	21140	9999-12-31	2013-05-08
045	1976-12-03	1982-12-02	INITIAL	1976-12-03	1982-12-02	1982-12-02	INACTIVE	21148	9999-12-31	2013-05-08
046	1976-12-03	1979-12-01	INITIAL	1976-12-03	2028-12-31	1979-12-01	ACTIVE	21156	9999-12-31	2013-05-08
046	1979-12-02	2012-12-01	PRODUCTION	1976-12-03	2028-12-31	1979-12-01	ACTIVE	21156	9999-12-31	2013-05-08
046	2012-12-02	2028-12-31	PRODUCTION EXTENDED	1976-12-03	2028-12-31	1979-12-01	ACTIVE	21156	9999-12-31	2013-05-08
047	1977-01-07	1983-12-31	INITIAL	1977-01-07	1993-12-31	1983-12-31	INACTIVE	21164	9999-12-31	2013-05-08
047	1984-01-01	1993-12-31	PRODUCTION	1977-01-07	1993-12-31	1983-12-31	INACTIVE	21164	9999-12-31	2013-05-08
048	1977-02-18	1983-03-01	INITIAL	1977-02-18	2028-12-31	1983-03-01	ACTIVE	21172	9999-12-31	2013-05-08
048	1983-03-02	2013-02-18	PRODUCTION	1977-02-18	2028-12-31	1983-03-01	ACTIVE	21172	9999-12-31	2013-05-08
048	2013-02-19	2028-12-31	PRODUCTION EXTENDED	1977-02-18	2028-12-31	1983-03-01	ACTIVE	21172	9999-12-31	2013-05-08
049	1977-12-23	1984-01-01	INITIAL	1977-12-23	1983-12-23	1984-01-01	INACTIVE	21180	9999-12-31	2013-05-08
050	1978-06-16	1984-06-30	INITIAL	1978-06-16	2036-06-30	1984-06-30	ACTIVE	21188	9999-12-31	2013-05-08
050	1984-07-01	2016-06-30	PRODUCTION	1978-06-16	2036-06-30	1984-06-30	ACTIVE	21188	9999-12-31	2013-05-08
050	2016-07-01	2036-06-30	PRODUCTION EXTENDED	1978-06-16	2036-06-30	1984-06-30	ACTIVE	21188	9999-12-31	2013-05-08
050 B	1995-08-11	2001-08-11	INITIAL	1995-08-11	2036-06-30	2001-08-11	ACTIVE	21196	9999-12-31	2013-05-08
050 B	2001-08-12	2016-06-30	PRODUCTION	1995-08-11	2036-06-30	2001-08-11	ACTIVE	21196	9999-12-31	2013-05-08
050 B	2016-07-01	2036-06-30	PRODUCTION EXTENDED	1995-08-11	2036-06-30	2001-08-11	ACTIVE	21196	9999-12-31	2013-05-08
051	1979-04-06	1985-04-06	INITIAL	1979-04-06	2015-04-06	1985-04-06	ACTIVE	21204	9999-12-31	2013-05-08
051	1985-04-07	2015-04-06	PRODUCTION	1979-04-06	2015-04-06	1985-04-06	ACTIVE	21204	9999-12-31	2013-05-08
052	1979-04-06	1985-04-06	INITIAL	1979-04-06	2020-12-31	1985-04-06	ACTIVE	21212	9999-12-31	2013-05-08
052	1985-04-07	2015-04-06	PRODUCTION	1979-04-06	2020-12-31	1985-04-06	ACTIVE	21212	9999-12-31	2013-05-08
052	2015-04-07	2020-12-31	PRODUCTION EXTENDED	1979-04-06	2020-12-31	1985-04-06	ACTIVE	21212	9999-12-31	2013-05-08
053	1979-04-06	1985-04-06	INITIAL	1979-04-06	2031-03-01	1985-04-06	ACTIVE	21220	9999-12-31	2013-05-08
053	1985-04-07	2015-04-06	PRODUCTION	1979-04-06	2031-03-01	1985-04-06	ACTIVE	21220	9999-12-31	2013-05-08
053	2015-04-07	2031-03-01	PRODUCTION EXTENDED	1979-04-06	2031-03-01	1985-04-06	ACTIVE	21220	9999-12-31	2013-05-08
054	1979-04-06	1985-04-06	INITIAL	1979-04-06	2030-09-30	1985-04-06	ACTIVE	21228	9999-12-31	2013-05-08
054	1985-04-07	2015-04-06	PRODUCTION	1979-04-06	2030-09-30	1985-04-06	ACTIVE	21228	9999-12-31	2013-05-08
054	2015-04-07	2030-09-30	PRODUCTION EXTENDED	1979-04-06	2030-09-30	1985-04-06	ACTIVE	21228	9999-12-31	2013-05-08
055	1979-04-06	1985-04-06	INITIAL	1979-04-06	2015-04-06	1985-04-06	ACTIVE	21236	9999-12-31	2013-05-08
055	1985-04-07	2015-04-06	PRODUCTION	1979-04-06	2015-04-06	1985-04-06	ACTIVE	21236	9999-12-31	2013-05-08
056	1979-04-06	1985-04-06	INITIAL	1979-04-06	1987-04-06	1985-04-06	INACTIVE	21244	9999-12-31	2013-05-08
056	1985-04-07	1987-04-06	PRODUCTION	1979-04-06	1987-04-06	1985-04-06	INACTIVE	21244	9999-12-31	2013-05-08
057	1979-04-06	1985-04-06	INITIAL	1979-04-06	2015-04-06	1985-04-06	ACTIVE	21252	9999-12-31	2013-05-08
057	1985-04-07	2015-04-06	PRODUCTION	1979-04-06	2015-04-06	1985-04-06	ACTIVE	21252	9999-12-31	2013-05-08
058	1979-04-06	1985-04-06	INITIAL	1979-04-06	1989-04-06	1985-04-06	INACTIVE	21260	9999-12-31	2013-05-08
058	1985-04-07	1989-04-06	PRODUCTION	1979-04-06	1989-04-06	1985-04-06	INACTIVE	21260	9999-12-31	2013-05-08
059	1980-01-18	1986-01-18	INITIAL	1980-01-18	1986-01-18	1986-01-18	INACTIVE	21268	9999-12-31	2013-05-08
060	1980-01-18	1986-01-18	INITIAL	1980-01-18	1986-01-18	1986-01-18	INACTIVE	21276	9999-12-31	2013-05-08
061	1980-01-18	1986-01-18	INITIAL	1980-01-18	1993-12-31	1986-01-18	INACTIVE	21284	9999-12-31	2013-05-08
061	1986-01-19	1993-12-31	PRODUCTION	1980-01-18	1993-12-31	1986-01-18	INACTIVE	21284	9999-12-31	2013-05-08
062	1981-03-27	1987-03-27	INITIAL	1981-03-27	2027-04-10	1987-03-27	ACTIVE	21292	9999-12-31	2013-05-08
062	1987-03-28	2017-03-27	PRODUCTION	1981-03-27	2027-04-10	1987-03-27	ACTIVE	21292	9999-12-31	2013-05-08
062	2017-03-28	2027-04-10	PRODUCTION EXTENDED	1981-03-27	2027-04-10	1987-03-27	ACTIVE	21292	9999-12-31	2013-05-08
063	1981-03-27	1987-03-27	INITIAL	1981-03-27	1987-03-27	1987-03-27	INACTIVE	21300	9999-12-31	2013-05-08
064	1981-03-27	1987-03-27	INITIAL	1981-03-27	2035-10-01	1987-03-27	ACTIVE	21308	9999-12-31	2013-05-08
064	1987-03-28	2017-03-27	PRODUCTION	1981-03-27	2035-10-01	1987-03-27	ACTIVE	21308	9999-12-31	2013-05-08
064	2017-03-28	2035-10-01	PRODUCTION EXTENDED	1981-03-27	2035-10-01	1987-03-27	ACTIVE	21308	9999-12-31	2013-05-08
065	1981-08-21	1988-01-01	INITIAL	1981-08-21	2022-01-01	1988-01-01	ACTIVE	21316	9999-12-31	2013-05-08
065	1988-01-02	2018-01-01	PRODUCTION	1981-08-21	2022-01-01	1988-01-01	ACTIVE	21316	9999-12-31	2013-05-08
065	2018-01-02	2022-01-01	PRODUCTION EXTENDED	1981-08-21	2022-01-01	1988-01-01	ACTIVE	21316	9999-12-31	2013-05-08
066	1981-08-21	1988-01-01	INITIAL	1981-08-21	2002-12-31	1988-01-01	INACTIVE	21324	9999-12-31	2013-05-08
066	1988-01-02	2002-12-31	PRODUCTION	1981-08-21	2002-12-31	1988-01-01	INACTIVE	21324	9999-12-31	2013-05-08
067	1981-08-21	1988-01-01	INITIAL	1981-08-21	1999-01-01	1988-01-01	INACTIVE	21332	9999-12-31	2013-05-08
067	1988-01-02	1999-01-01	PRODUCTION	1981-08-21	1999-01-01	1988-01-01	INACTIVE	21332	9999-12-31	2013-05-08
068	1981-08-21	1988-01-01	INITIAL	1981-08-21	1992-01-01	1988-01-01	INACTIVE	21340	9999-12-31	2013-05-08
068	1988-01-02	1992-01-01	PRODUCTION	1981-08-21	1992-01-01	1988-01-01	INACTIVE	21340	9999-12-31	2013-05-08
069	1981-08-21	1988-01-01	INITIAL	1981-08-21	1999-12-31	1988-01-01	INACTIVE	21348	9999-12-31	2013-05-08
069	1988-01-02	1999-12-31	PRODUCTION	1981-08-21	1999-12-31	1988-01-01	INACTIVE	21348	9999-12-31	2013-05-08
070	1981-08-21	1988-01-01	INITIAL	1981-08-21	1999-12-31	1988-01-01	INACTIVE	21356	9999-12-31	2013-05-08
070	1988-01-02	1999-12-31	PRODUCTION	1981-08-21	1999-12-31	1988-01-01	INACTIVE	21356	9999-12-31	2013-05-08
071	1981-08-21	1988-01-01	INITIAL	1981-08-21	1989-01-01	1988-01-01	INACTIVE	21364	9999-12-31	2013-05-08
071	1988-01-02	1989-01-01	PRODUCTION	1981-08-21	1989-01-01	1988-01-01	INACTIVE	21364	9999-12-31	2013-05-08
072	1981-08-21	1988-01-01	INITIAL	1981-08-21	2018-01-01	1988-01-01	ACTIVE	21372	9999-12-31	2013-05-08
072	1988-01-02	2018-01-01	PRODUCTION	1981-08-21	2018-01-01	1988-01-01	ACTIVE	21372	9999-12-31	2013-05-08
073	1982-04-23	1988-04-23	INITIAL	1982-04-23	2029-12-31	1988-04-23	ACTIVE	21380	9999-12-31	2013-05-08
073	1988-04-24	2018-04-23	PRODUCTION	1982-04-23	2029-12-31	1988-04-23	ACTIVE	21380	9999-12-31	2013-05-08
073	2018-04-24	2029-12-31	PRODUCTION EXTENDED	1982-04-23	2029-12-31	1988-04-23	ACTIVE	21380	9999-12-31	2013-05-08
074	1982-04-23	1988-04-23	INITIAL	1982-04-23	2027-04-10	1988-04-23	ACTIVE	21388	9999-12-31	2013-05-08
074	1988-04-24	2018-04-23	PRODUCTION	1982-04-23	2027-04-10	1988-04-23	ACTIVE	21388	9999-12-31	2013-05-08
074	2018-04-24	2027-04-10	PRODUCTION EXTENDED	1982-04-23	2027-04-10	1988-04-23	ACTIVE	21388	9999-12-31	2013-05-08
075	1982-04-23	1988-04-23	INITIAL	1982-04-23	1988-04-23	1988-04-23	INACTIVE	21396	9999-12-31	2013-05-08
076	1982-04-23	1988-04-23	INITIAL	1982-04-23	1988-04-23	1988-04-23	INACTIVE	21404	9999-12-31	2013-05-08
077	1982-04-23	1988-04-23	INITIAL	1982-04-23	2035-10-01	1988-04-23	ACTIVE	21412	9999-12-31	2013-05-08
077	1988-04-24	2018-04-23	PRODUCTION	1982-04-23	2035-10-01	1988-04-23	ACTIVE	21412	9999-12-31	2013-05-08
077	2018-04-24	2035-10-01	PRODUCTION EXTENDED	1982-04-23	2035-10-01	1988-04-23	ACTIVE	21412	9999-12-31	2013-05-08
078	1982-04-23	1988-04-23	INITIAL	1982-04-23	2035-10-01	1988-04-23	ACTIVE	21420	9999-12-31	2013-05-08
078	1988-04-24	2018-04-23	PRODUCTION	1982-04-23	2035-10-01	1988-04-23	ACTIVE	21420	9999-12-31	2013-05-08
078	2018-04-24	2035-10-01	PRODUCTION EXTENDED	1982-04-23	2035-10-01	1988-04-23	ACTIVE	21420	9999-12-31	2013-05-08
080	1982-12-10	1988-12-10	INITIAL	1982-12-10	1988-12-10	1988-12-10	INACTIVE	21436	9999-12-31	2013-05-08
081	1982-12-10	1988-12-10	INITIAL	1982-12-10	1988-12-10	1988-12-10	INACTIVE	21444	9999-12-31	2013-05-08
082	1982-12-10	1988-12-10	INITIAL	1982-12-10	1988-12-10	1988-12-10	INACTIVE	21452	9999-12-31	2013-05-08
083	1982-12-10	1988-12-10	INITIAL	1982-12-10	1988-12-10	1988-12-10	INACTIVE	21460	9999-12-31	2013-05-08
084	1982-12-10	1988-12-10	INITIAL	1982-12-10	1988-12-10	1988-12-10	INACTIVE	21468	9999-12-31	2013-05-08
085	1983-07-08	1989-07-08	INITIAL	1983-07-08	2030-09-30	1989-07-08	ACTIVE	21476	9999-12-31	2013-05-08
085	1989-07-09	2019-07-08	PRODUCTION	1983-07-08	2030-09-30	1989-07-08	ACTIVE	21476	9999-12-31	2013-05-08
085	2019-07-09	2030-09-30	PRODUCTION EXTENDED	1983-07-08	2030-09-30	1989-07-08	ACTIVE	21476	9999-12-31	2013-05-08
085 B	1992-09-11	1994-09-11	INITIAL	1992-09-11	2030-07-08	1994-09-11	ACTIVE	21484	9999-12-31	2013-05-08
085 B	1994-09-12	2030-07-08	PRODUCTION	1992-09-11	2030-07-08	1994-09-11	ACTIVE	21484	9999-12-31	2013-05-08
086	1984-03-09	1990-03-09	INITIAL	1984-03-09	2001-01-01	1990-03-09	INACTIVE	21492	9999-12-31	2013-05-08
086	1990-03-10	2001-01-01	PRODUCTION	1984-03-09	2001-01-01	1990-03-09	INACTIVE	21492	9999-12-31	2013-05-08
087	1984-03-09	1990-03-09	INITIAL	1984-03-09	1994-12-31	1990-03-09	INACTIVE	21500	9999-12-31	2013-05-08
087	1990-03-10	1994-12-31	PRODUCTION	1984-03-09	1994-12-31	1990-03-09	INACTIVE	21500	9999-12-31	2013-05-08
088	1984-03-09	1990-03-09	INITIAL	1984-03-09	2022-03-09	1990-03-09	ACTIVE	21508	9999-12-31	2013-05-08
088	1990-03-10	2020-03-09	PRODUCTION	1984-03-09	2022-03-09	1990-03-09	ACTIVE	21508	9999-12-31	2013-05-08
088	2020-03-10	2022-03-09	PRODUCTION EXTENDED	1984-03-09	2022-03-09	1990-03-09	ACTIVE	21508	9999-12-31	2013-05-08
089	1984-03-09	1990-03-09	INITIAL	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21516	9999-12-31	2013-05-08
089	1990-03-10	2020-03-09	PRODUCTION	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21516	9999-12-31	2013-05-08
089	2020-03-10	2024-03-09	PRODUCTION EXTENDED	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21516	9999-12-31	2013-05-08
090	1984-03-09	1990-03-09	INITIAL	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21524	9999-12-31	2013-05-08
090	1990-03-10	2020-03-09	PRODUCTION	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21524	9999-12-31	2013-05-08
090	2020-03-10	2024-03-09	PRODUCTION EXTENDED	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21524	9999-12-31	2013-05-08
091	1984-03-09	1990-03-09	INITIAL	1984-03-09	2029-12-31	1990-03-09	ACTIVE	21532	9999-12-31	2013-05-08
091	1990-03-10	2020-03-09	PRODUCTION	1984-03-09	2029-12-31	1990-03-09	ACTIVE	21532	9999-12-31	2013-05-08
091	2020-03-10	2029-12-31	PRODUCTION EXTENDED	1984-03-09	2029-12-31	1990-03-09	ACTIVE	21532	9999-12-31	2013-05-08
092	1984-03-09	1990-03-09	INITIAL	1984-03-09	2020-03-09	1990-03-09	ACTIVE	21540	9999-12-31	2013-05-08
092	1990-03-10	2020-03-09	PRODUCTION	1984-03-09	2020-03-09	1990-03-09	ACTIVE	21540	9999-12-31	2013-05-08
093	1984-03-09	1990-03-09	INITIAL	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21548	9999-12-31	2013-05-08
093	1990-03-10	2020-03-09	PRODUCTION	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21548	9999-12-31	2013-05-08
093	2020-03-10	2024-03-09	PRODUCTION EXTENDED	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21548	9999-12-31	2013-05-08
094	1984-03-09	1990-03-09	INITIAL	1984-03-09	2027-04-10	1990-03-09	ACTIVE	21556	9999-12-31	2013-05-08
094	1990-03-10	2020-03-09	PRODUCTION	1984-03-09	2027-04-10	1990-03-09	ACTIVE	21556	9999-12-31	2013-05-08
094	2020-03-10	2027-04-10	PRODUCTION EXTENDED	1984-03-09	2027-04-10	1990-03-09	ACTIVE	21556	9999-12-31	2013-05-08
095	1984-03-09	1990-03-09	INITIAL	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21564	9999-12-31	2013-05-08
095	1990-03-10	2020-03-09	PRODUCTION	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21564	9999-12-31	2013-05-08
095	2020-03-10	2024-03-09	PRODUCTION EXTENDED	1984-03-09	2024-03-09	1990-03-09	ACTIVE	21564	9999-12-31	2013-05-08
096	1984-03-09	1990-03-09	INITIAL	1984-03-09	1990-03-09	1990-03-09	INACTIVE	21572	9999-12-31	2013-05-08
097	1984-03-09	1990-03-09	INITIAL	1984-03-09	2035-10-01	1990-03-09	ACTIVE	21580	9999-12-31	2013-05-08
097	1990-03-10	2020-03-09	PRODUCTION	1984-03-09	2035-10-01	1990-03-09	ACTIVE	21580	9999-12-31	2013-05-08
097	2020-03-10	2035-10-01	PRODUCTION EXTENDED	1984-03-09	2035-10-01	1990-03-09	ACTIVE	21580	9999-12-31	2013-05-08
098	1984-03-09	1990-03-09	INITIAL	1984-03-09	1991-03-09	1990-03-09	INACTIVE	21588	9999-12-31	2013-05-08
098	1990-03-10	1991-03-09	INITIAL EXTENDED	1984-03-09	1991-03-09	1990-03-09	INACTIVE	21588	9999-12-31	2013-05-08
099	1984-03-09	1990-03-09	INITIAL	1984-03-09	2035-10-01	1990-03-09	ACTIVE	21596	9999-12-31	2013-05-08
099	1990-03-10	2020-03-09	PRODUCTION	1984-03-09	2035-10-01	1990-03-09	ACTIVE	21596	9999-12-31	2013-05-08
099	2020-03-10	2035-10-01	PRODUCTION EXTENDED	1984-03-09	2035-10-01	1990-03-09	ACTIVE	21596	9999-12-31	2013-05-08
100	1984-03-09	1990-03-09	INITIAL	1984-03-09	2035-10-01	1990-03-09	ACTIVE	21604	9999-12-31	2013-05-08
100	1990-03-10	2020-03-09	PRODUCTION	1984-03-09	2035-10-01	1990-03-09	ACTIVE	21604	9999-12-31	2013-05-08
100	2020-03-10	2035-10-01	PRODUCTION EXTENDED	1984-03-09	2035-10-01	1990-03-09	ACTIVE	21604	9999-12-31	2013-05-08
101	1985-03-01	1991-03-01	INITIAL	1985-03-01	1999-12-31	1991-03-01	INACTIVE	21612	9999-12-31	2013-05-08
101	1991-03-02	1999-12-31	PRODUCTION	1985-03-01	1999-12-31	1991-03-01	INACTIVE	21612	9999-12-31	2013-05-08
102	1985-03-01	1991-03-01	INITIAL	1985-03-01	2025-03-01	1991-03-01	ACTIVE	21620	9999-12-31	2013-05-08
102	1991-03-02	2021-03-01	PRODUCTION	1985-03-01	2025-03-01	1991-03-01	ACTIVE	21620	9999-12-31	2013-05-08
102	2021-03-02	2025-03-01	PRODUCTION EXTENDED	1985-03-01	2025-03-01	1991-03-01	ACTIVE	21620	9999-12-31	2013-05-08
103	1985-03-01	1991-03-01	INITIAL	1985-03-01	2003-12-31	1991-03-01	INACTIVE	21628	9999-12-31	2013-05-08
103	1991-03-02	2003-12-31	PRODUCTION	1985-03-01	2003-12-31	1991-03-01	INACTIVE	21628	9999-12-31	2013-05-08
104	1985-03-01	1991-03-01	INITIAL	1985-03-01	2031-03-01	1991-03-01	ACTIVE	21636	9999-12-31	2013-05-08
104	1991-03-02	2021-03-01	PRODUCTION	1985-03-01	2031-03-01	1991-03-01	ACTIVE	21636	9999-12-31	2013-05-08
104	2021-03-02	2031-03-01	PRODUCTION EXTENDED	1985-03-01	2031-03-01	1991-03-01	ACTIVE	21636	9999-12-31	2013-05-08
105	1985-03-01	1991-03-01	INITIAL	1985-03-01	1991-03-01	1991-03-01	INACTIVE	21644	9999-12-31	2013-05-08
106	1985-03-01	1991-03-01	INITIAL	1985-03-01	1993-12-31	1991-03-01	INACTIVE	21652	9999-12-31	2013-05-08
106	1991-03-02	1993-12-31	PRODUCTION	1985-03-01	1993-12-31	1991-03-01	INACTIVE	21652	9999-12-31	2013-05-08
107	1985-03-01	1991-03-01	INITIAL	1985-03-01	2021-03-01	1991-03-01	ACTIVE	21660	9999-12-31	2013-05-08
107	1991-03-02	2021-03-01	PRODUCTION	1985-03-01	2021-03-01	1991-03-01	ACTIVE	21660	9999-12-31	2013-05-08
108	1985-03-01	1991-03-01	INITIAL	1985-03-01	1996-12-31	1991-03-01	INACTIVE	21668	9999-12-31	2013-05-08
108	1991-03-02	1996-12-31	PRODUCTION	1985-03-01	1996-12-31	1991-03-01	INACTIVE	21668	9999-12-31	2013-05-08
109	1985-03-01	1991-03-01	INITIAL	1985-03-01	2000-12-31	1991-03-01	INACTIVE	21676	9999-12-31	2013-05-08
109	1991-03-02	2000-12-31	PRODUCTION	1985-03-01	2000-12-31	1991-03-01	INACTIVE	21676	9999-12-31	2013-05-08
110	1985-03-01	1991-03-01	INITIAL	1985-03-01	2035-10-01	1991-03-01	ACTIVE	21684	9999-12-31	2013-05-08
110	1991-03-02	2021-03-01	PRODUCTION	1985-03-01	2035-10-01	1991-03-01	ACTIVE	21684	9999-12-31	2013-05-08
110	2021-03-02	2035-10-01	PRODUCTION EXTENDED	1985-03-01	2035-10-01	1991-03-01	ACTIVE	21684	9999-12-31	2013-05-08
111	1985-03-01	1991-03-01	INITIAL	1985-03-01	1994-12-31	1991-03-01	INACTIVE	21692	9999-12-31	2013-05-08
111	1991-03-02	1994-12-31	PRODUCTION	1985-03-01	1994-12-31	1991-03-01	INACTIVE	21692	9999-12-31	2013-05-08
112	1985-07-26	1991-07-26	INITIAL	1985-07-26	2000-12-31	1991-07-26	INACTIVE	21700	9999-12-31	2013-05-08
112	1991-07-27	2000-12-31	PRODUCTION	1985-07-26	2000-12-31	1991-07-26	INACTIVE	21700	9999-12-31	2013-05-08
113	1985-08-23	1991-08-23	INITIAL	1985-08-23	2021-08-23	1991-08-23	ACTIVE	21708	9999-12-31	2013-05-08
113	1991-08-24	2021-08-23	PRODUCTION	1985-08-23	2021-08-23	1991-08-23	ACTIVE	21708	9999-12-31	2013-05-08
114	1985-08-23	1991-08-23	INITIAL	1985-08-23	2001-12-31	1991-08-23	INACTIVE	21716	9999-12-31	2013-05-08
114	1991-08-24	2001-12-31	PRODUCTION	1985-08-23	2001-12-31	1991-08-23	INACTIVE	21716	9999-12-31	2013-05-08
114 B	1995-08-11	2001-08-11	INITIAL	1995-08-11	2001-08-11	2001-08-11	INACTIVE	21724	9999-12-31	2013-05-08
115	1985-08-23	1991-08-23	INITIAL	1985-08-23	1999-12-31	1991-08-23	INACTIVE	21732	9999-12-31	2013-05-08
115	1991-08-24	1999-12-31	PRODUCTION	1985-08-23	1999-12-31	1991-08-23	INACTIVE	21732	9999-12-31	2013-05-08
116	1985-08-23	1991-08-23	INITIAL	1985-08-23	2000-12-31	1991-08-23	INACTIVE	21740	9999-12-31	2013-05-08
116	1991-08-24	2000-12-31	PRODUCTION	1985-08-23	2000-12-31	1991-08-23	INACTIVE	21740	9999-12-31	2013-05-08
117	1985-08-23	1991-08-23	INITIAL	1985-08-23	1999-12-31	1991-08-23	INACTIVE	21748	9999-12-31	2013-05-08
117	1991-08-24	1999-12-31	PRODUCTION	1985-08-23	1999-12-31	1991-08-23	INACTIVE	21748	9999-12-31	2013-05-08
118	1985-08-23	1991-08-23	INITIAL	1985-08-23	1991-08-23	1991-08-23	INACTIVE	21756	9999-12-31	2013-05-08
119	1985-08-23	1991-08-23	INITIAL	1985-08-23	1991-08-23	1991-08-23	INACTIVE	21764	9999-12-31	2013-05-08
120	1985-08-23	1991-08-23	INITIAL	1985-08-23	2034-08-23	1991-08-23	ACTIVE	21772	9999-12-31	2013-05-08
120	1991-08-24	2021-08-23	PRODUCTION	1985-08-23	2034-08-23	1991-08-23	ACTIVE	21772	9999-12-31	2013-05-08
120	2021-08-24	2023-08-23	PRODUCTION EXTENDED	1985-08-23	2034-08-23	1991-08-23	ACTIVE	21772	9999-12-31	2013-05-08
120	2023-08-24	2034-08-23	PRODUCTION EXTENDED	1985-08-23	2034-08-23	1991-08-23	ACTIVE	21772	9999-12-31	2013-05-08
121	1986-02-28	1992-02-28	INITIAL	1986-02-28	2022-02-28	1992-02-28	ACTIVE	21780	9999-12-31	2013-05-08
121	1992-02-29	2022-02-28	PRODUCTION	1986-02-28	2022-02-28	1992-02-28	ACTIVE	21780	9999-12-31	2013-05-08
122	1986-02-28	1992-02-28	INITIAL	1986-02-28	2025-02-28	1992-02-28	ACTIVE	21788	9999-12-31	2013-05-08
122	1992-02-29	2022-02-28	PRODUCTION	1986-02-28	2025-02-28	1992-02-28	ACTIVE	21788	9999-12-31	2013-05-08
122	2022-03-01	2025-02-28	PRODUCTION EXTENDED	1986-02-28	2025-02-28	1992-02-28	ACTIVE	21788	9999-12-31	2013-05-08
123	1986-02-28	1992-02-28	INITIAL	1986-02-28	1992-02-28	1992-02-28	INACTIVE	21796	9999-12-31	2013-05-08
124	1986-02-28	1992-02-28	INITIAL	1986-02-28	2025-02-28	1992-02-28	ACTIVE	21804	9999-12-31	2013-05-08
124	1992-02-29	2022-02-28	PRODUCTION	1986-02-28	2025-02-28	1992-02-28	ACTIVE	21804	9999-12-31	2013-05-08
124	2022-03-01	2025-02-28	PRODUCTION EXTENDED	1986-02-28	2025-02-28	1992-02-28	ACTIVE	21804	9999-12-31	2013-05-08
125	1986-02-28	1990-03-14	INITIAL	1986-02-28	1990-03-14	1990-03-14	INACTIVE	21812	9999-12-31	2013-05-08
126	1986-02-28	1992-02-28	INITIAL	1986-02-28	1992-02-28	1992-02-28	INACTIVE	21820	9999-12-31	2013-05-08
127	1986-02-28	1992-02-28	INITIAL	1986-02-28	2023-02-28	1992-02-28	ACTIVE	21828	9999-12-31	2013-05-08
127	1992-02-29	2022-02-28	PRODUCTION	1986-02-28	2023-02-28	1992-02-28	ACTIVE	21828	9999-12-31	2013-05-08
127	2022-03-01	2023-02-28	PRODUCTION EXTENDED	1986-02-28	2023-02-28	1992-02-28	ACTIVE	21828	9999-12-31	2013-05-08
128	1986-02-28	1992-02-28	INITIAL	1986-02-28	2026-02-28	1992-02-28	ACTIVE	21836	9999-12-31	2013-05-08
128	1992-02-29	2022-02-28	PRODUCTION	1986-02-28	2026-02-28	1992-02-28	ACTIVE	21836	9999-12-31	2013-05-08
128	2022-03-01	2026-02-28	PRODUCTION EXTENDED	1986-02-28	2026-02-28	1992-02-28	ACTIVE	21836	9999-12-31	2013-05-08
129	1986-07-11	1992-07-11	INITIAL	1986-07-11	1994-12-31	1992-07-11	INACTIVE	21844	9999-12-31	2013-05-08
129	1992-07-12	1994-12-31	PRODUCTION	1986-07-11	1994-12-31	1992-07-11	INACTIVE	21844	9999-12-31	2013-05-08
130	1987-04-10	1993-04-10	INITIAL	1987-04-10	1993-04-10	1993-04-10	INACTIVE	21852	9999-12-31	2013-05-08
131	1987-04-10	1992-12-15	INITIAL	1987-04-10	1992-12-15	1992-12-15	INACTIVE	21860	9999-12-31	2013-05-08
132	1987-04-10	1993-04-10	INITIAL	1987-04-10	2023-04-10	1993-04-10	ACTIVE	21868	9999-12-31	2013-05-08
132	1993-04-11	2023-04-10	PRODUCTION	1987-04-10	2023-04-10	1993-04-10	ACTIVE	21868	9999-12-31	2013-05-08
133	1987-04-10	1993-04-10	INITIAL	1987-04-10	1992-01-01	1993-04-10	INACTIVE	21876	9999-12-31	2013-05-08
134	1987-04-10	1993-04-10	INITIAL	1987-04-10	2027-04-10	1993-04-10	ACTIVE	21884	9999-12-31	2013-05-08
134	1993-04-11	2023-04-10	PRODUCTION	1987-04-10	2027-04-10	1993-04-10	ACTIVE	21884	9999-12-31	2013-05-08
134	2023-04-11	2027-04-10	PRODUCTION EXTENDED	1987-04-10	2027-04-10	1993-04-10	ACTIVE	21884	9999-12-31	2013-05-08
135	1987-04-10	1993-04-10	INITIAL	1987-04-10	1995-12-31	1993-04-10	INACTIVE	21892	9999-12-31	2013-05-08
135	1993-04-11	1995-12-31	PRODUCTION	1987-04-10	1995-12-31	1993-04-10	INACTIVE	21892	9999-12-31	2013-05-08
136	1987-04-10	1993-04-10	INITIAL	1987-04-10	1993-04-10	1993-04-10	INACTIVE	21900	9999-12-31	2013-05-08
137	1987-04-10	1990-12-31	INITIAL	1987-04-10	1990-12-31	1990-12-31	INACTIVE	21908	9999-12-31	2013-05-08
138	1987-05-29	1993-05-29	INITIAL	1987-05-29	1999-12-31	1993-05-29	INACTIVE	21916	9999-12-31	2013-05-08
138	1993-05-30	1999-12-31	PRODUCTION	1987-05-29	1999-12-31	1993-05-29	INACTIVE	21916	9999-12-31	2013-05-08
139	1987-05-29	1993-05-29	INITIAL	1987-05-29	1993-05-29	1993-05-29	INACTIVE	21924	9999-12-31	2013-05-08
140	1987-05-29	1993-05-29	INITIAL	1987-05-29	1990-12-31	1993-05-29	INACTIVE	21932	9999-12-31	2013-05-08
141	1987-05-29	1993-05-29	INITIAL	1987-05-29	1990-12-31	1993-05-29	INACTIVE	21940	9999-12-31	2013-05-08
142	9999-12-31	9999-12-31	Missing info. about phase	1987-05-29	1999-12-31	1993-05-29	INACTIVE	21948	9999-12-31	2013-05-08
143	1988-07-08	1994-07-08	INITIAL	1988-07-08	2027-07-08	1994-07-08	ACTIVE	21956	9999-12-31	2013-05-08
143	1994-07-09	2024-07-08	PRODUCTION	1988-07-08	2027-07-08	1994-07-08	ACTIVE	21956	9999-12-31	2013-05-08
143	2024-07-09	2027-07-08	PRODUCTION EXTENDED	1988-07-08	2027-07-08	1994-07-08	ACTIVE	21956	9999-12-31	2013-05-08
144	1988-07-08	1994-07-08	INITIAL	1988-07-08	2002-12-31	1994-07-08	INACTIVE	21964	9999-12-31	2013-05-08
144	1994-07-09	2002-12-31	PRODUCTION	1988-07-08	2002-12-31	1994-07-08	INACTIVE	21964	9999-12-31	2013-05-08
145	1988-07-08	1994-07-08	INITIAL	1988-07-08	2024-07-08	1994-07-08	ACTIVE	21972	9999-12-31	2013-05-08
145	1994-07-09	2024-07-08	PRODUCTION	1988-07-08	2024-07-08	1994-07-08	ACTIVE	21972	9999-12-31	2013-05-08
146	1988-07-08	1994-07-08	INITIAL	1988-07-08	2027-07-08	1994-07-08	ACTIVE	21980	9999-12-31	2013-05-08
146	1994-07-09	2024-07-08	PRODUCTION	1988-07-08	2027-07-08	1994-07-08	ACTIVE	21980	9999-12-31	2013-05-08
146	2024-07-09	2027-07-08	PRODUCTION EXTENDED	1988-07-08	2027-07-08	1994-07-08	ACTIVE	21980	9999-12-31	2013-05-08
147	1988-07-08	1994-07-08	INITIAL	1988-07-08	2027-07-08	1994-07-08	ACTIVE	21988	9999-12-31	2013-05-08
147	1994-07-09	2024-07-08	PRODUCTION	1988-07-08	2027-07-08	1994-07-08	ACTIVE	21988	9999-12-31	2013-05-08
147	2024-07-09	2027-07-08	PRODUCTION EXTENDED	1988-07-08	2027-07-08	1994-07-08	ACTIVE	21988	9999-12-31	2013-05-08
148	1988-07-08	1994-07-08	INITIAL	1988-07-08	2024-07-08	1994-07-08	ACTIVE	21996	9999-12-31	2013-05-08
148	1994-07-09	2024-07-08	PRODUCTION	1988-07-08	2024-07-08	1994-07-08	ACTIVE	21996	9999-12-31	2013-05-08
149	1988-07-08	1994-07-08	INITIAL	1988-07-08	1994-07-08	1994-07-08	INACTIVE	22004	9999-12-31	2013-05-08
150	1988-07-08	1994-07-08	INITIAL	1988-07-08	2024-07-08	1994-07-08	ACTIVE	22012	9999-12-31	2013-05-08
150	1994-07-09	2024-07-08	PRODUCTION	1988-07-08	2024-07-08	1994-07-08	ACTIVE	22012	9999-12-31	2013-05-08
151	1988-07-08	1994-07-08	INITIAL	1988-07-08	1994-07-08	1994-07-08	INACTIVE	22020	9999-12-31	2013-05-08
152	1988-07-08	1994-07-08	INITIAL	1988-07-08	2036-06-30	1994-07-08	ACTIVE	22028	9999-12-31	2013-05-08
152	1994-07-09	1995-07-08	INITIAL EXTENDED	1988-07-08	2036-06-30	1994-07-08	ACTIVE	22028	9999-12-31	2013-05-08
152	1995-07-09	2025-07-08	PRODUCTION	1988-07-08	2036-06-30	1994-07-08	ACTIVE	22028	9999-12-31	2013-05-08
152	2025-07-09	2036-06-30	PRODUCTION EXTENDED	1988-07-08	2036-06-30	1994-07-08	ACTIVE	22028	9999-12-31	2013-05-08
153	1988-07-08	1994-07-08	INITIAL	1988-07-08	2028-07-08	1994-07-08	ACTIVE	22036	9999-12-31	2013-05-08
153	1994-07-09	2024-07-08	PRODUCTION	1988-07-08	2028-07-08	1994-07-08	ACTIVE	22036	9999-12-31	2013-05-08
153	2024-07-09	2028-07-08	PRODUCTION EXTENDED	1988-07-08	2028-07-08	1994-07-08	ACTIVE	22036	9999-12-31	2013-05-08
154	1989-03-03	1995-03-03	INITIAL	1989-03-03	1995-03-03	1995-03-03	INACTIVE	22044	9999-12-31	2013-05-08
155	1989-03-03	1995-03-03	INITIAL	1989-03-03	1993-02-18	1995-03-03	INACTIVE	22052	9999-12-31	2013-05-08
156	1989-03-03	1995-03-03	INITIAL	1989-03-03	2002-12-31	1995-03-03	INACTIVE	22060	9999-12-31	2013-05-08
156	1995-03-04	2002-12-31	PRODUCTION	1989-03-03	2002-12-31	1995-03-03	INACTIVE	22060	9999-12-31	2013-05-08
157	1989-03-03	1995-03-03	INITIAL	1989-03-03	1999-12-31	1995-03-03	INACTIVE	22068	9999-12-31	2013-05-08
157	1995-03-04	1996-03-03	INITIAL EXTENDED	1989-03-03	1999-12-31	1995-03-03	INACTIVE	22068	9999-12-31	2013-05-08
157	1996-03-04	1997-03-03	INITIAL EXTENDED	1989-03-03	1999-12-31	1995-03-03	INACTIVE	22068	9999-12-31	2013-05-08
157	1997-03-04	1998-03-03	INITIAL EXTENDED	1989-03-03	1999-12-31	1995-03-03	INACTIVE	22068	9999-12-31	2013-05-08
157	1998-03-04	1999-03-03	INITIAL EXTENDED	1989-03-03	1999-12-31	1995-03-03	INACTIVE	22068	9999-12-31	2013-05-08
157	1999-03-04	1999-12-31	PRODUCTION	1989-03-03	1999-12-31	1995-03-03	INACTIVE	22068	9999-12-31	2013-05-08
158	1989-03-03	1995-03-03	INITIAL	1989-03-03	2028-03-03	1995-03-03	ACTIVE	22076	9999-12-31	2013-05-08
158	1995-03-04	2025-03-03	PRODUCTION	1989-03-03	2028-03-03	1995-03-03	ACTIVE	22076	9999-12-31	2013-05-08
158	2025-03-04	2028-03-03	PRODUCTION EXTENDED	1989-03-03	2028-03-03	1995-03-03	ACTIVE	22076	9999-12-31	2013-05-08
159	1989-03-03	1995-03-03	INITIAL	1989-03-03	2029-03-03	1995-03-03	ACTIVE	22084	9999-12-31	2013-05-08
159	1995-03-04	1996-03-03	INITIAL EXTENDED	1989-03-03	2029-03-03	1995-03-03	ACTIVE	22084	9999-12-31	2013-05-08
159	1996-03-04	1997-03-03	INITIAL EXTENDED	1989-03-03	2029-03-03	1995-03-03	ACTIVE	22084	9999-12-31	2013-05-08
159	1997-03-04	1998-03-03	INITIAL EXTENDED	1989-03-03	2029-03-03	1995-03-03	ACTIVE	22084	9999-12-31	2013-05-08
159	1998-03-04	1999-03-03	INITIAL EXTENDED	1989-03-03	2029-03-03	1995-03-03	ACTIVE	22084	9999-12-31	2013-05-08
159	1999-03-04	2029-03-03	PRODUCTION	1989-03-03	2029-03-03	1995-03-03	ACTIVE	22084	9999-12-31	2013-05-08
160	1989-03-03	1995-03-03	INITIAL	1989-03-03	1993-11-01	1995-03-03	INACTIVE	22092	9999-12-31	2013-05-08
161	1989-03-03	1995-03-03	INITIAL	1989-03-03	1993-12-31	1995-03-03	INACTIVE	22100	9999-12-31	2013-05-08
162	1989-03-03	1995-03-03	INITIAL	1989-03-03	1991-12-31	1995-03-03	INACTIVE	22108	9999-12-31	2013-05-08
163	1991-03-01	1997-03-01	INITIAL	1991-03-01	2000-03-01	1997-03-01	INACTIVE	22116	9999-12-31	2013-05-08
163	1997-03-02	1999-03-01	INITIAL EXTENDED	1991-03-01	2000-03-01	1997-03-01	INACTIVE	22116	9999-12-31	2013-05-08
163	1999-03-02	2000-03-01	INITIAL EXTENDED	1991-03-01	2000-03-01	1997-03-01	INACTIVE	22116	9999-12-31	2013-05-08
164	1991-03-01	1997-03-01	INITIAL	1991-03-01	1997-03-01	1997-03-01	INACTIVE	22124	9999-12-31	2013-05-08
165	1991-03-01	1997-03-01	INITIAL	1991-03-01	1994-11-01	1997-03-01	INACTIVE	22132	9999-12-31	2013-05-08
166	1991-03-01	1997-03-01	INITIAL	1991-03-01	2002-12-31	1997-03-01	INACTIVE	22140	9999-12-31	2013-05-08
166	1997-03-02	2000-03-01	INITIAL EXTENDED	1991-03-01	2002-12-31	1997-03-01	INACTIVE	22140	9999-12-31	2013-05-08
166	2000-03-02	2002-12-31	PRODUCTION	1991-03-01	2002-12-31	1997-03-01	INACTIVE	22140	9999-12-31	2013-05-08
167	1991-03-01	1997-03-01	INITIAL	1991-03-01	2030-03-01	1997-03-01	ACTIVE	22148	9999-12-31	2013-05-08
167	1997-03-02	2000-03-01	INITIAL EXTENDED	1991-03-01	2030-03-01	1997-03-01	ACTIVE	22148	9999-12-31	2013-05-08
167	2000-03-02	2030-03-01	PRODUCTION	1991-03-01	2030-03-01	1997-03-01	ACTIVE	22148	9999-12-31	2013-05-08
168	1991-03-01	1995-03-01	INITIAL	1991-03-01	2003-12-31	1995-03-01	INACTIVE	22156	9999-12-31	2013-05-08
168	1995-03-02	1999-03-01	INITIAL EXTENDED	1991-03-01	2003-12-31	1995-03-01	INACTIVE	22156	9999-12-31	2013-05-08
168	1999-03-02	2003-12-31	PRODUCTION	1991-03-01	2003-12-31	1995-03-01	INACTIVE	22156	9999-12-31	2013-05-08
169	1991-03-01	1997-03-01	INITIAL	1991-03-01	2030-03-01	1997-03-01	ACTIVE	22164	9999-12-31	2013-05-08
169	1997-03-02	1998-03-01	INITIAL EXTENDED	1991-03-01	2030-03-01	1997-03-01	ACTIVE	22164	9999-12-31	2013-05-08
169	1998-03-02	2000-03-01	INITIAL EXTENDED	1991-03-01	2030-03-01	1997-03-01	ACTIVE	22164	9999-12-31	2013-05-08
169	2000-03-02	2030-03-01	PRODUCTION	1991-03-01	2030-03-01	1997-03-01	ACTIVE	22164	9999-12-31	2013-05-08
170	1991-03-01	1995-03-01	INITIAL	1991-03-01	1997-12-31	1995-03-01	INACTIVE	22172	9999-12-31	2013-05-08
170	1995-03-02	1997-12-31	INITIAL EXTENDED	1991-03-01	1997-12-31	1995-03-01	INACTIVE	22172	9999-12-31	2013-05-08
171	1991-03-01	1997-03-01	INITIAL	1991-03-01	2002-12-31	1997-03-01	INACTIVE	22180	9999-12-31	2013-05-08
171	1997-03-02	1998-03-01	INITIAL EXTENDED	1991-03-01	2002-12-31	1997-03-01	INACTIVE	22180	9999-12-31	2013-05-08
171	1998-03-02	2000-03-01	INITIAL EXTENDED	1991-03-01	2002-12-31	1997-03-01	INACTIVE	22180	9999-12-31	2013-05-08
171	2000-03-02	2002-12-31	PRODUCTION	1991-03-01	2002-12-31	1997-03-01	INACTIVE	22180	9999-12-31	2013-05-08
172	1991-03-01	1995-03-01	INITIAL	1991-03-01	2003-12-31	1995-03-01	INACTIVE	22188	9999-12-31	2013-05-08
172	1995-03-02	2003-12-31	PRODUCTION	1991-03-01	2003-12-31	1995-03-01	INACTIVE	22188	9999-12-31	2013-05-08
173	1991-03-01	1997-03-01	INITIAL	1991-03-01	2000-12-27	1997-03-01	INACTIVE	22196	9999-12-31	2013-05-08
173	1997-03-02	1998-03-01	INITIAL EXTENDED	1991-03-01	2000-12-27	1997-03-01	INACTIVE	22196	9999-12-31	2013-05-08
173	1998-03-02	1999-03-01	INITIAL EXTENDED	1991-03-01	2000-12-27	1997-03-01	INACTIVE	22196	9999-12-31	2013-05-08
173	1999-03-02	2000-03-01	INITIAL EXTENDED	1991-03-01	2000-12-27	1997-03-01	INACTIVE	22196	9999-12-31	2013-05-08
173	2000-03-02	2000-12-27	INITIAL EXTENDED	1991-03-01	2000-12-27	1997-03-01	INACTIVE	22196	9999-12-31	2013-05-08
174	1991-03-01	1996-03-01	INITIAL	1991-03-01	2003-12-31	1996-03-01	INACTIVE	22204	9999-12-31	2013-05-08
174	1996-03-02	1998-03-01	INITIAL EXTENDED	1991-03-01	2003-12-31	1996-03-01	INACTIVE	22204	9999-12-31	2013-05-08
174	1998-03-02	1999-03-01	INITIAL EXTENDED	1991-03-01	2003-12-31	1996-03-01	INACTIVE	22204	9999-12-31	2013-05-08
174	1999-03-02	2000-12-29	INITIAL EXTENDED	1991-03-01	2003-12-31	1996-03-01	INACTIVE	22204	9999-12-31	2013-05-08
174	2000-12-30	2003-12-31	PRODUCTION	1991-03-01	2003-12-31	1996-03-01	INACTIVE	22204	9999-12-31	2013-05-08
175	1991-03-01	1997-03-01	INITIAL	1991-03-01	1999-12-31	1997-03-01	INACTIVE	22212	9999-12-31	2013-05-08
175	1997-03-02	1998-03-01	INITIAL EXTENDED	1991-03-01	1999-12-31	1997-03-01	INACTIVE	22212	9999-12-31	2013-05-08
175	1998-03-02	1999-03-01	INITIAL EXTENDED	1991-03-01	1999-12-31	1997-03-01	INACTIVE	22212	9999-12-31	2013-05-08
175	1999-03-02	1999-12-31	INITIAL EXTENDED	1991-03-01	1999-12-31	1997-03-01	INACTIVE	22212	9999-12-31	2013-05-08
176	1991-03-01	1997-03-01	INITIAL	1991-03-01	2028-03-01	1997-03-01	ACTIVE	22220	9999-12-31	2013-05-08
176	1997-03-02	1998-03-01	INITIAL EXTENDED	1991-03-01	2028-03-01	1997-03-01	ACTIVE	22220	9999-12-31	2013-05-08
176	1998-03-02	2028-03-01	PRODUCTION	1991-03-01	2028-03-01	1997-03-01	ACTIVE	22220	9999-12-31	2013-05-08
177	1991-03-01	1997-03-01	INITIAL	1991-03-01	2000-01-01	1997-03-01	INACTIVE	22228	9999-12-31	2013-05-08
177	1997-03-02	1998-03-01	INITIAL EXTENDED	1991-03-01	2000-01-01	1997-03-01	INACTIVE	22228	9999-12-31	2013-05-08
177	1998-03-02	1999-03-01	INITIAL EXTENDED	1991-03-01	2000-01-01	1997-03-01	INACTIVE	22228	9999-12-31	2013-05-08
177	1999-03-02	2000-03-01	INITIAL EXTENDED	1991-03-01	2000-01-01	1997-03-01	INACTIVE	22228	9999-12-31	2013-05-08
178	1991-03-01	1997-03-01	INITIAL	1991-03-01	1993-12-31	1997-03-01	INACTIVE	22236	9999-12-31	2013-05-08
179	1991-03-01	1997-03-01	INITIAL	1991-03-01	1994-12-22	1997-03-01	INACTIVE	22244	9999-12-31	2013-05-08
180	1991-03-01	1997-03-01	INITIAL	1991-03-01	1995-04-01	1997-03-01	INACTIVE	22252	9999-12-31	2013-05-08
181	1991-03-01	1997-03-01	INITIAL	1991-03-01	1999-03-01	1997-03-01	INACTIVE	22260	9999-12-31	2013-05-08
181	1997-03-02	1998-03-01	INITIAL EXTENDED	1991-03-01	1999-03-01	1997-03-01	INACTIVE	22260	9999-12-31	2013-05-08
181	1998-03-02	1999-03-01	INITIAL EXTENDED	1991-03-01	1999-03-01	1997-03-01	INACTIVE	22260	9999-12-31	2013-05-08
182	1991-03-01	1997-03-01	INITIAL	1991-03-01	2000-12-31	1997-03-01	INACTIVE	22268	9999-12-31	2013-05-08
182	1997-03-02	1998-03-01	INITIAL EXTENDED	1991-03-01	2000-12-31	1997-03-01	INACTIVE	22268	9999-12-31	2013-05-08
182	1998-03-02	2000-03-01	INITIAL EXTENDED	1991-03-01	2000-12-31	1997-03-01	INACTIVE	22268	9999-12-31	2013-05-08
182	2000-03-02	2001-03-01	INITIAL EXTENDED	1991-03-01	2000-12-31	1997-03-01	INACTIVE	22268	9999-12-31	2013-05-08
183	1991-03-01	1997-03-01	INITIAL	1991-03-01	1995-04-11	1997-03-01	INACTIVE	22276	9999-12-31	2013-05-08
184	1991-03-01	1997-03-01	INITIAL	1991-03-01	1994-07-01	1997-03-01	INACTIVE	22284	9999-12-31	2013-05-08
185	1991-09-13	1993-04-06	INITIAL	1991-09-13	2015-04-06	1993-04-06	ACTIVE	22292	9999-12-31	2013-05-08
185	1993-04-07	2015-04-06	PRODUCTION	1991-09-13	2015-04-06	1993-04-06	ACTIVE	22292	9999-12-31	2013-05-08
186	1993-09-10	1999-09-10	INITIAL	1993-09-10	1999-09-10	1999-09-10	INACTIVE	22300	9999-12-31	2013-05-08
187	1993-09-10	1999-09-10	INITIAL	1993-09-10	2032-09-10	1999-09-10	ACTIVE	22308	9999-12-31	2013-05-08
187	1999-09-11	2000-09-10	INITIAL EXTENDED	1993-09-10	2032-09-10	1999-09-10	ACTIVE	22308	9999-12-31	2013-05-08
187	2000-09-11	2002-09-10	INITIAL EXTENDED	1993-09-10	2032-09-10	1999-09-10	ACTIVE	22308	9999-12-31	2013-05-08
187	2002-09-11	2032-09-10	PRODUCTION	1993-09-10	2032-09-10	1999-09-10	ACTIVE	22308	9999-12-31	2013-05-08
188	1993-09-10	1999-09-10	INITIAL	1993-09-10	1998-04-20	1999-09-10	INACTIVE	22316	9999-12-31	2013-05-08
189	1993-09-10	1999-09-10	INITIAL	1993-09-10	2005-01-01	1999-09-10	INACTIVE	22324	9999-12-31	2013-05-08
189	1999-09-11	2000-09-10	INITIAL EXTENDED	1993-09-10	2005-01-01	1999-09-10	INACTIVE	22324	9999-12-31	2013-05-08
189	2000-09-11	2001-09-10	INITIAL EXTENDED	1993-09-10	2005-01-01	1999-09-10	INACTIVE	22324	9999-12-31	2013-05-08
189	2001-09-11	2030-09-10	PRODUCTION	1993-09-10	2005-01-01	1999-09-10	INACTIVE	22324	9999-12-31	2013-05-08
190	1993-09-10	1999-09-10	INITIAL	1993-09-10	2032-09-10	1999-09-10	ACTIVE	22332	9999-12-31	2013-05-08
190	1999-09-11	2000-09-10	INITIAL EXTENDED	1993-09-10	2032-09-10	1999-09-10	ACTIVE	22332	9999-12-31	2013-05-08
190	2000-09-11	2001-09-10	INITIAL EXTENDED	1993-09-10	2032-09-10	1999-09-10	ACTIVE	22332	9999-12-31	2013-05-08
190	2001-09-11	2002-09-10	INITIAL EXTENDED	1993-09-10	2032-09-10	1999-09-10	ACTIVE	22332	9999-12-31	2013-05-08
190	2002-09-11	2032-09-10	PRODUCTION	1993-09-10	2032-09-10	1999-09-10	ACTIVE	22332	9999-12-31	2013-05-08
192	1993-09-10	1999-09-10	INITIAL	1993-09-10	1999-10-06	1999-09-10	INACTIVE	22348	9999-12-31	2013-05-08
192	1999-09-11	2000-09-10	INITIAL EXTENDED	1993-09-10	1999-10-06	1999-09-10	INACTIVE	22348	9999-12-31	2013-05-08
193	1993-09-10	1999-09-10	INITIAL	1993-09-10	2031-09-10	1999-09-10	ACTIVE	22356	9999-12-31	2013-05-08
193	1999-09-11	2001-09-10	INITIAL EXTENDED	1993-09-10	2031-09-10	1999-09-10	ACTIVE	22356	9999-12-31	2013-05-08
193	2001-09-11	2031-09-10	PRODUCTION	1993-09-10	2031-09-10	1999-09-10	ACTIVE	22356	9999-12-31	2013-05-08
194	1993-09-10	1999-09-10	INITIAL	1993-09-10	2000-03-28	1999-09-10	INACTIVE	22364	9999-12-31	2013-05-08
194	1999-09-11	2000-09-10	INITIAL EXTENDED	1993-09-10	2000-03-28	1999-09-10	INACTIVE	22364	9999-12-31	2013-05-08
195	1993-09-10	1999-09-10	INITIAL	1993-09-10	2030-09-10	1999-09-10	ACTIVE	22372	9999-12-31	2013-05-08
195	1999-09-11	2000-09-10	INITIAL EXTENDED	1993-09-10	2030-09-10	1999-09-10	ACTIVE	22372	9999-12-31	2013-05-08
195	2000-09-11	2030-09-10	PRODUCTION	1993-09-10	2030-09-10	1999-09-10	ACTIVE	22372	9999-12-31	2013-05-08
196	1993-09-10	1999-09-10	INITIAL	1993-09-10	2002-03-10	1999-09-10	INACTIVE	22380	9999-12-31	2013-05-08
196	1999-09-11	2001-09-10	INITIAL EXTENDED	1993-09-10	2002-03-10	1999-09-10	INACTIVE	22380	9999-12-31	2013-05-08
196	2001-09-11	2002-03-10	INITIAL EXTENDED	1993-09-10	2002-03-10	1999-09-10	INACTIVE	22380	9999-12-31	2013-05-08
197	1993-09-10	1999-09-10	INITIAL	1993-09-10	2002-12-31	1999-09-10	INACTIVE	22388	9999-12-31	2013-05-08
197	1999-09-11	2001-09-10	INITIAL EXTENDED	1993-09-10	2002-12-31	1999-09-10	INACTIVE	22388	9999-12-31	2013-05-08
197	2001-09-11	2002-09-10	INITIAL EXTENDED	1993-09-10	2002-12-31	1999-09-10	INACTIVE	22388	9999-12-31	2013-05-08
197	2002-09-11	2032-09-10	PRODUCTION	1993-09-10	2002-12-31	1999-09-10	INACTIVE	22388	9999-12-31	2013-05-08
198	1993-09-10	1999-09-10	INITIAL	1993-09-10	1999-09-10	1999-09-10	INACTIVE	22396	9999-12-31	2013-05-08
199	1993-09-10	1999-09-10	INITIAL	1993-09-10	2033-09-10	1999-09-10	ACTIVE	22404	9999-12-31	2013-05-08
199	1999-09-11	2000-09-10	INITIAL EXTENDED	1993-09-10	2033-09-10	1999-09-10	ACTIVE	22404	9999-12-31	2013-05-08
199	2000-09-11	2001-09-10	INITIAL EXTENDED	1993-09-10	2033-09-10	1999-09-10	ACTIVE	22404	9999-12-31	2013-05-08
199	2001-09-11	2002-09-10	INITIAL EXTENDED	1993-09-10	2033-09-10	1999-09-10	ACTIVE	22404	9999-12-31	2013-05-08
199	2002-09-11	2003-09-10	INITIAL EXTENDED	1993-09-10	2033-09-10	1999-09-10	ACTIVE	22404	9999-12-31	2013-05-08
199	2003-09-11	2033-09-10	PRODUCTION	1993-09-10	2033-09-10	1999-09-10	ACTIVE	22404	9999-12-31	2013-05-08
200	1993-09-10	1999-09-10	INITIAL	1993-09-10	2003-09-10	1999-09-10	INACTIVE	22412	9999-12-31	2013-05-08
200	1999-09-11	2000-09-10	INITIAL EXTENDED	1993-09-10	2003-09-10	1999-09-10	INACTIVE	22412	9999-12-31	2013-05-08
200	2000-09-11	2001-09-10	INITIAL EXTENDED	1993-09-10	2003-09-10	1999-09-10	INACTIVE	22412	9999-12-31	2013-05-08
200	2001-09-11	2002-09-10	INITIAL EXTENDED	1993-09-10	2003-09-10	1999-09-10	INACTIVE	22412	9999-12-31	2013-05-08
200	2002-09-11	2003-09-10	INITIAL EXTENDED	1993-09-10	2003-09-10	1999-09-10	INACTIVE	22412	9999-12-31	2013-05-08
201	1993-09-10	1999-09-10	INITIAL	1993-09-10	2033-09-10	1999-09-10	ACTIVE	22420	9999-12-31	2013-05-08
201	2000-09-11	2001-09-10	INITIAL EXTENDED	1993-09-10	2033-09-10	1999-09-10	ACTIVE	22420	9999-12-31	2013-05-08
201	2001-09-11	2003-09-10	INITIAL EXTENDED	1993-09-10	2033-09-10	1999-09-10	ACTIVE	22420	9999-12-31	2013-05-08
201	2003-09-11	2033-09-10	PRODUCTION	1993-09-10	2033-09-10	1999-09-10	ACTIVE	22420	9999-12-31	2013-05-08
203	1996-02-02	2002-02-02	INITIAL	1996-02-02	2032-02-02	2002-02-02	ACTIVE	22436	9999-12-31	2013-05-08
203	2002-02-03	2032-02-02	PRODUCTION	1996-02-02	2032-02-02	2002-02-02	ACTIVE	22436	9999-12-31	2013-05-08
204	1996-02-02	2002-02-02	INITIAL	1996-02-02	2004-02-02	2002-02-02	INACTIVE	22444	9999-12-31	2013-05-08
204	2002-02-03	2003-02-02	INITIAL EXTENDED	1996-02-02	2004-02-02	2002-02-02	INACTIVE	22444	9999-12-31	2013-05-08
204	2003-02-03	2004-02-02	INITIAL EXTENDED	1996-02-02	2004-02-02	2002-02-02	INACTIVE	22444	9999-12-31	2013-05-08
205	1996-02-02	2000-02-02	INITIAL	1996-02-02	1999-12-31	2000-02-02	INACTIVE	22452	9999-12-31	2013-05-08
206	1996-02-02	2002-02-02	INITIAL	1996-02-02	2003-12-31	2002-02-02	INACTIVE	22460	9999-12-31	2013-05-08
206	2002-02-03	2032-02-02	PRODUCTION	1996-02-02	2003-12-31	2002-02-02	INACTIVE	22460	9999-12-31	2013-05-08
207	1996-02-02	2004-02-02	INITIAL	1996-02-02	2000-01-20	2004-02-02	INACTIVE	22468	9999-12-31	2013-05-08
208	1996-02-02	2004-02-02	INITIAL	1996-02-02	2040-02-02	2004-02-02	ACTIVE	22476	9999-12-31	2013-05-08
208	2004-02-03	2005-02-02	INITIAL EXTENDED	1996-02-02	2040-02-02	2004-02-02	ACTIVE	22476	9999-12-31	2013-05-08
208	2005-02-03	2040-02-02	PRODUCTION	1996-02-02	2040-02-02	2004-02-02	ACTIVE	22476	9999-12-31	2013-05-08
209	1996-02-02	2006-02-02	INITIAL	1996-02-02	2041-02-02	2006-02-02	ACTIVE	22484	9999-12-31	2013-05-08
209	2006-02-03	2041-02-02	PRODUCTION	1996-02-02	2041-02-02	2006-02-02	ACTIVE	22484	9999-12-31	2013-05-08
210	1996-02-02	2006-02-02	INITIAL	1996-02-02	2006-02-02	2006-02-02	INACTIVE	22492	9999-12-31	2013-05-08
211	1996-02-02	2002-02-02	INITIAL	1996-02-02	2032-02-02	2002-02-02	ACTIVE	22500	9999-12-31	2013-05-08
211	2002-02-03	2032-02-02	PRODUCTION	1996-02-02	2032-02-02	2002-02-02	ACTIVE	22500	9999-12-31	2013-05-08
212	1996-02-02	2002-02-02	INITIAL	1996-02-02	2033-02-02	2002-02-02	ACTIVE	22508	9999-12-31	2013-05-08
212	2002-02-03	2003-02-02	INITIAL EXTENDED	1996-02-02	2033-02-02	2002-02-02	ACTIVE	22508	9999-12-31	2013-05-08
212	2003-02-03	2033-02-02	PRODUCTION	1996-02-02	2033-02-02	2002-02-02	ACTIVE	22508	9999-12-31	2013-05-08
213	1996-02-02	2002-02-02	INITIAL	1996-02-02	2010-12-31	2002-02-02	INACTIVE	22516	9999-12-31	2013-05-08
213	2002-02-03	2032-02-02	PRODUCTION	1996-02-02	2010-12-31	2002-02-02	INACTIVE	22516	9999-12-31	2013-05-08
214	1996-02-02	2002-02-02	INITIAL	1996-02-02	1999-03-23	2002-02-02	INACTIVE	22524	9999-12-31	2013-05-08
215	1996-02-02	2006-02-02	INITIAL	1996-02-02	2006-02-02	2006-02-02	INACTIVE	22532	9999-12-31	2013-05-08
216	1996-02-02	2002-02-02	INITIAL	1996-02-02	2002-02-01	2002-02-02	INACTIVE	22540	9999-12-31	2013-05-08
217	1996-02-02	2006-02-02	INITIAL	1996-02-02	2005-07-07	2006-02-02	INACTIVE	22548	9999-12-31	2013-05-08
218	1996-02-02	2006-02-02	INITIAL	1996-02-02	2041-02-02	2006-02-02	ACTIVE	22556	9999-12-31	2013-05-08
218	2006-02-03	2041-02-02	PRODUCTION	1996-02-02	2041-02-02	2006-02-02	ACTIVE	22556	9999-12-31	2013-05-08
219	1996-02-02	2006-02-02	INITIAL	1996-02-02	2014-02-02	2006-02-02	ACTIVE	22564	9999-12-31	2013-05-08
219	2006-02-03	2010-02-02	INITIAL EXTENDED	1996-02-02	2014-02-02	2006-02-02	ACTIVE	22564	9999-12-31	2013-05-08
219	2010-02-03	2014-02-02	INITIAL EXTENDED	1996-02-02	2014-02-02	2006-02-02	ACTIVE	22564	9999-12-31	2013-05-08
220	1996-02-02	2006-02-02	INITIAL	1996-02-02	2014-02-02	2006-02-02	ACTIVE	22572	9999-12-31	2013-05-08
220	2006-02-03	2010-02-02	INITIAL EXTENDED	1996-02-02	2014-02-02	2006-02-02	ACTIVE	22572	9999-12-31	2013-05-08
220	2010-02-03	2014-02-02	INITIAL EXTENDED	1996-02-02	2014-02-02	2006-02-02	ACTIVE	22572	9999-12-31	2013-05-08
221	1997-05-30	2007-05-15	INITIAL	1997-05-30	2002-04-30	2007-05-15	INACTIVE	22580	9999-12-31	2013-05-08
222	1997-05-30	2007-05-15	INITIAL	1997-05-30	2002-04-30	2007-05-15	INACTIVE	22588	9999-12-31	2013-05-08
223	1997-05-30	2002-04-30	INITIAL	1997-05-30	2002-04-30	2002-04-30	INACTIVE	22596	9999-12-31	2013-05-08
224	1997-05-30	2005-05-15	INITIAL	1997-05-30	2002-05-14	2005-05-15	INACTIVE	22604	9999-12-31	2013-05-08
225	1997-05-30	2007-05-15	INITIAL	1997-05-30	2009-01-01	2007-05-15	INACTIVE	22612	9999-12-31	2013-05-08
225	2007-05-16	2047-05-15	PRODUCTION	1997-05-30	2009-01-01	2007-05-15	INACTIVE	22612	9999-12-31	2013-05-08
226	1997-05-30	2007-05-15	INITIAL	1997-05-30	2050-05-15	2007-05-15	ACTIVE	22620	9999-12-31	2013-05-08
226	2007-05-16	2010-05-15	INITIAL EXTENDED	1997-05-30	2050-05-15	2007-05-15	ACTIVE	22620	9999-12-31	2013-05-08
226	2010-05-16	2050-05-15	PRODUCTION	1997-05-30	2050-05-15	2007-05-15	ACTIVE	22620	9999-12-31	2013-05-08
227	1997-05-30	2007-05-15	INITIAL	1997-05-30	2010-05-15	2007-05-15	INACTIVE	22628	9999-12-31	2013-05-08
227	2007-05-16	2010-05-15	INITIAL EXTENDED	1997-05-30	2010-05-15	2007-05-15	INACTIVE	22628	9999-12-31	2013-05-08
228	1997-05-30	2007-05-15	INITIAL	1997-05-30	2010-12-31	2007-05-15	INACTIVE	22636	9999-12-31	2013-05-08
228	2007-05-16	2042-05-15	PRODUCTION	1997-05-30	2010-12-31	2007-05-15	INACTIVE	22636	9999-12-31	2013-05-08
229	1997-05-30	2005-05-15	INITIAL	1997-05-30	2042-05-15	2005-05-15	ACTIVE	22644	9999-12-31	2013-05-08
229	2005-05-16	2007-05-15	INITIAL EXTENDED	1997-05-30	2042-05-15	2005-05-15	ACTIVE	22644	9999-12-31	2013-05-08
229	2007-05-16	2042-05-15	PRODUCTION	1997-05-30	2042-05-15	2005-05-15	ACTIVE	22644	9999-12-31	2013-05-08
230	1997-05-30	2007-05-15	INITIAL	1997-05-30	2049-05-15	2007-05-15	ACTIVE	22652	9999-12-31	2013-05-08
230	2007-05-16	2009-05-15	INITIAL EXTENDED	1997-05-30	2049-05-15	2007-05-15	ACTIVE	22652	9999-12-31	2013-05-08
230	2009-05-16	2049-05-15	PRODUCTION	1997-05-30	2049-05-15	2007-05-15	ACTIVE	22652	9999-12-31	2013-05-08
231	1997-05-30	2007-05-15	INITIAL	1997-05-30	2009-05-15	2007-05-15	INACTIVE	22660	9999-12-31	2013-05-08
231	2007-05-16	2009-05-15	INITIAL EXTENDED	1997-05-30	2009-05-15	2007-05-15	INACTIVE	22660	9999-12-31	2013-05-08
232	1997-05-30	2007-05-15	INITIAL	1997-05-30	2009-05-15	2007-05-15	INACTIVE	22668	9999-12-31	2013-05-08
232	2007-05-16	2009-05-15	INITIAL EXTENDED	1997-05-30	2009-05-15	2007-05-15	INACTIVE	22668	9999-12-31	2013-05-08
233	1997-05-30	2007-05-15	INITIAL	1997-05-30	2007-05-15	2007-05-15	INACTIVE	22676	9999-12-31	2013-05-08
234	1997-05-30	2007-05-15	INITIAL	1997-05-30	2007-05-15	2007-05-15	INACTIVE	22684	9999-12-31	2013-05-08
235	1997-05-30	2007-05-15	INITIAL	1997-05-30	2007-05-15	2007-05-15	INACTIVE	22692	9999-12-31	2013-05-08
236	1997-05-30	2007-05-15	INITIAL	1997-05-30	2007-05-15	2007-05-15	INACTIVE	22700	9999-12-31	2013-05-08
025	1969-05-23	1975-05-22	INITIAL	1969-05-23	2028-12-31	1975-05-22	ACTIVE	34512	9999-12-31	2013-05-08
025	1975-05-23	2015-05-23	PRODUCTION	1969-05-23	2028-12-31	1975-05-22	ACTIVE	34512	9999-12-31	2013-05-08
025	2015-05-24	2028-12-31	PRODUCTION EXTENDED	1969-05-23	2028-12-31	1975-05-22	ACTIVE	34512	9999-12-31	2013-05-08
079	1982-08-20	1988-08-20	INITIAL	1982-08-20	2031-03-01	1988-08-20	ACTIVE	34635	9999-12-31	2013-05-08
079	1988-08-21	2018-08-20	PRODUCTION	1982-08-20	2031-03-01	1988-08-20	ACTIVE	34635	9999-12-31	2013-05-08
079	2018-08-21	2031-03-01	PRODUCTION EXTENDED	1982-08-20	2031-03-01	1988-08-20	ACTIVE	34635	9999-12-31	2013-05-08
102 B	1998-01-22	2025-03-01	PRODUCTION	1998-01-22	2002-12-31	2025-03-01	INACTIVE	40264	9999-12-31	2013-05-08
103 B	1998-01-22	2021-03-01	PRODUCTION	1998-01-22	2021-03-01	2021-03-01	ACTIVE	40772	9999-12-31	2013-05-08
237	1998-01-30	2004-01-30	INITIAL	1998-01-30	2027-04-10	2004-01-30	ACTIVE	41327	9999-12-31	2013-05-08
237	2004-01-31	2027-04-10	PRODUCTION	1998-01-30	2027-04-10	2004-01-30	ACTIVE	41327	9999-12-31	2013-05-08
128 B	1998-01-30	2004-01-30	INITIAL	1998-01-30	2026-02-28	2004-01-30	ACTIVE	41361	9999-12-31	2013-05-08
128 B	2004-01-31	2026-02-28	PRODUCTION	1998-01-30	2026-02-28	2004-01-30	ACTIVE	41361	9999-12-31	2013-05-08
019 C	1998-09-14	2011-09-01	PRODUCTION	1998-09-14	2018-09-01	2011-09-01	ACTIVE	47992	9999-12-31	2013-05-08
019 C	2011-09-02	2018-09-01	PRODUCTION EXTENDED	1998-09-14	2018-09-01	2011-09-01	ACTIVE	47992	9999-12-31	2013-05-08
037 B	1998-09-14	2016-06-30	PRODUCTION	1998-09-14	2036-06-30	2016-06-30	ACTIVE	48081	9999-12-31	2013-05-08
037 B	2016-07-01	2036-06-30	PRODUCTION EXTENDED	1998-09-14	2036-06-30	2016-06-30	ACTIVE	48081	9999-12-31	2013-05-08
053 B	1998-09-14	2017-04-06	PRODUCTION	1998-09-14	2017-04-06	2017-04-06	ACTIVE	48207	9999-12-31	2013-05-08
114 C	1998-09-03	1999-09-03	INITIAL	1998-09-03	2001-12-31	1999-09-03	INACTIVE	90914	9999-12-31	2013-05-08
114 C	1999-09-04	2001-12-31	PRODUCTION	1998-09-03	2001-12-31	1999-09-03	INACTIVE	90914	9999-12-31	2013-05-08
238	1999-06-04	2005-06-04	INITIAL	1999-06-04	2002-03-21	2005-06-04	INACTIVE	102103	9999-12-31	2013-05-08
241	1999-06-04	2005-06-04	INITIAL	1999-06-04	2006-06-04	2005-06-04	INACTIVE	102131	9999-12-31	2013-05-08
241	2005-06-05	2006-06-04	INITIAL EXTENDED	1999-06-04	2006-06-04	2005-06-04	INACTIVE	102131	9999-12-31	2013-05-08
239	1999-06-04	2005-06-04	INITIAL	1999-06-04	2005-06-04	2005-06-04	INACTIVE	102157	9999-12-31	2013-05-08
240	1999-06-04	2003-06-04	INITIAL	1999-06-04	2003-06-04	2003-06-04	INACTIVE	102217	9999-12-31	2013-05-08
242	1999-06-04	2005-06-04	INITIAL	1999-06-04	2035-06-04	2005-06-04	ACTIVE	102226	9999-12-31	2013-05-08
242	2005-06-05	2035-06-04	PRODUCTION	1999-06-04	2035-06-04	2005-06-04	ACTIVE	102226	9999-12-31	2013-05-08
243	1999-06-04	2005-06-04	INITIAL	1999-06-04	2004-01-01	2005-06-04	INACTIVE	102235	9999-12-31	2013-05-08
244	1999-06-04	2005-06-04	INITIAL	1999-06-04	2002-12-31	2005-06-04	INACTIVE	102244	9999-12-31	2013-05-08
245	1999-06-04	2005-06-04	INITIAL	1999-06-04	2004-12-30	2005-06-04	INACTIVE	102258	9999-12-31	2013-05-08
246	1999-06-04	2005-06-04	INITIAL	1999-06-04	2002-08-31	2005-06-04	INACTIVE	102267	9999-12-31	2013-05-08
247	1999-06-04	2005-06-04	INITIAL	1999-06-04	2002-08-29	2005-06-04	INACTIVE	102276	9999-12-31	2013-05-08
248	1999-06-04	2005-06-04	INITIAL	1999-06-04	2035-06-04	2005-06-04	ACTIVE	102285	9999-12-31	2013-05-08
248	2005-06-05	2005-12-31	INITIAL EXTENDED	1999-06-04	2035-06-04	2005-06-04	ACTIVE	102285	9999-12-31	2013-05-08
248	2006-01-01	2006-12-31	INITIAL EXTENDED	1999-06-04	2035-06-04	2005-06-04	ACTIVE	102285	9999-12-31	2013-05-08
248	2007-01-01	2035-06-04	PRODUCTION	1999-06-04	2035-06-04	2005-06-04	ACTIVE	102285	9999-12-31	2013-05-08
249	1999-06-04	2005-06-04	INITIAL	1999-06-04	2021-06-11	2005-06-04	ACTIVE	102294	9999-12-31	2013-05-08
249	2005-06-05	2021-06-11	PRODUCTION	1999-06-04	2021-06-11	2005-06-04	ACTIVE	102294	9999-12-31	2013-05-08
050 C	1999-06-04	2006-06-04	INITIAL	1999-06-04	2036-06-30	2006-06-04	ACTIVE	102490	9999-12-31	2013-05-08
050 C	2006-06-05	2016-06-30	PRODUCTION	1999-06-04	2036-06-30	2006-06-04	ACTIVE	102490	9999-12-31	2013-05-08
050 C	2016-07-01	2036-06-30	PRODUCTION EXTENDED	1999-06-04	2036-06-30	2006-06-04	ACTIVE	102490	9999-12-31	2013-05-08
055 B	1999-06-04	2005-06-04	INITIAL	1999-06-04	2017-04-06	2005-06-04	ACTIVE	102499	9999-12-31	2013-05-08
055 B	2005-06-05	2006-06-04	INITIAL EXTENDED	1999-06-04	2017-04-06	2005-06-04	ACTIVE	102499	9999-12-31	2013-05-08
055 B	2006-06-05	2008-06-04	INITIAL EXTENDED	1999-06-04	2017-04-06	2005-06-04	ACTIVE	102499	9999-12-31	2013-05-08
055 B	2008-06-05	2009-06-04	INITIAL EXTENDED	1999-06-04	2017-04-06	2005-06-04	ACTIVE	102499	9999-12-31	2013-05-08
055 B	2009-06-05	2017-04-06	PRODUCTION	1999-06-04	2017-04-06	2005-06-04	ACTIVE	102499	9999-12-31	2013-05-08
250	1999-10-22	2005-10-22	INITIAL	1999-10-22	2041-02-02	2005-10-22	ACTIVE	115537	9999-12-31	2013-05-08
250	2005-10-23	2041-02-02	PRODUCTION	1999-10-22	2041-02-02	2005-10-22	ACTIVE	115537	9999-12-31	2013-05-08
037 C	2000-01-14	2009-08-10	INITIAL	2000-01-14	2026-08-10	2009-08-10	ACTIVE	853671	9999-12-31	2013-05-08
037 C	2009-08-11	2026-08-10	PRODUCTION	2000-01-14	2026-08-10	2009-08-10	ACTIVE	853671	9999-12-31	2013-05-08
001 B	1999-12-15	2011-09-01	PRODUCTION	1999-12-15	2013-12-17	2011-09-01	ACTIVE	917266	9999-12-31	2013-05-08
001 B	2011-09-02	2013-12-17	PRODUCTION EXTENDED	1999-12-15	2013-12-17	2011-09-01	ACTIVE	917266	9999-12-31	2013-05-08
027 B	1999-12-15	2015-05-23	PRODUCTION	1999-12-15	2021-03-01	2015-05-23	ACTIVE	917344	2012-10-18	2013-05-08
027 B	2015-05-24	2021-03-01	PRODUCTION EXTENDED	1999-12-15	2021-03-01	2015-05-23	ACTIVE	917344	9999-12-31	2013-05-08
028 B	1999-12-15	2015-05-23	PRODUCTION	1999-12-15	2015-05-23	2015-05-23	ACTIVE	917484	9999-12-31	2013-05-08
134 B	2000-01-14	2027-04-10	PRODUCTION	2000-01-14	2027-04-10	2027-04-10	ACTIVE	1025257	9999-12-31	2013-05-08
169 B1	2000-03-01	2030-03-01	PRODUCTION	2000-03-01	2030-03-01	2030-03-01	ACTIVE	1030964	9999-12-31	2013-05-08
169 B2	2000-03-01	2030-03-01	PRODUCTION	2000-03-01	2030-03-01	2030-03-01	ACTIVE	1031002	9999-12-31	2013-05-08
251	2000-05-12	2008-05-12	INITIAL	2000-05-12	2008-05-12	2008-05-12	INACTIVE	1032893	9999-12-31	2013-05-08
252	2000-05-12	2006-05-12	INITIAL	2000-05-12	2003-05-12	2006-05-12	INACTIVE	1032911	9999-12-31	2013-05-08
253	2000-05-12	2008-05-12	INITIAL	2000-05-12	2008-05-12	2008-05-12	INACTIVE	1032927	9999-12-31	2013-05-08
254	2000-05-12	2006-05-12	INITIAL	2000-05-12	2004-12-31	2006-05-12	INACTIVE	1032954	9999-12-31	2013-05-08
255	2000-05-12	2006-05-12	INITIAL	2000-05-12	2038-05-12	2006-05-12	ACTIVE	1032979	9999-12-31	2013-05-08
255	2006-05-13	2007-05-12	INITIAL EXTENDED	2000-05-12	2038-05-12	2006-05-12	ACTIVE	1032979	9999-12-31	2013-05-08
255	2007-05-13	2008-05-12	INITIAL EXTENDED	2000-05-12	2038-05-12	2006-05-12	ACTIVE	1032979	9999-12-31	2013-05-08
255	2008-09-13	2038-05-12	PRODUCTION	2000-05-12	2038-05-12	2006-05-12	ACTIVE	1032979	9999-12-31	2013-05-08
256	2000-05-12	2006-05-12	INITIAL	2000-05-12	2011-01-01	2006-05-12	INACTIVE	1032995	9999-12-31	2013-05-08
256	2006-05-13	2007-05-12	INITIAL EXTENDED	2000-05-12	2011-01-01	2006-05-12	INACTIVE	1032995	9999-12-31	2013-05-08
256	2007-05-13	2036-05-12	PRODUCTION	2000-05-12	2011-01-01	2006-05-12	INACTIVE	1032995	9999-12-31	2013-05-08
257	2000-05-12	2003-05-12	INITIAL	2000-05-12	2033-09-10	2003-05-12	ACTIVE	1033013	9999-12-31	2013-05-08
257	2003-05-13	2033-09-10	PRODUCTION	2000-05-12	2033-09-10	2003-05-12	ACTIVE	1033013	9999-12-31	2013-05-08
258	2000-05-12	2008-05-12	INITIAL	2000-05-12	2003-09-29	2008-05-12	INACTIVE	1033029	9999-12-31	2013-05-08
259	2000-05-12	2006-05-12	INITIAL	2000-05-12	2010-01-01	2006-05-12	INACTIVE	1033049	9999-12-31	2013-05-08
259	2006-05-13	2007-05-12	INITIAL EXTENDED	2000-05-12	2010-01-01	2006-05-12	INACTIVE	1033049	9999-12-31	2013-05-08
259	2007-05-13	2036-05-12	PRODUCTION	2000-05-12	2010-01-01	2006-05-12	INACTIVE	1033049	9999-12-31	2013-05-08
260	2000-05-12	2006-05-12	INITIAL	2000-05-12	2004-02-12	2006-05-12	INACTIVE	1033065	9999-12-31	2013-05-08
261	2000-05-12	2006-05-12	INITIAL	2000-05-12	2036-05-12	2006-05-12	ACTIVE	1033077	9999-12-31	2013-05-08
261	2006-05-13	2036-05-12	PRODUCTION	2000-05-12	2036-05-12	2006-05-12	ACTIVE	1033077	9999-12-31	2013-05-08
262	2000-05-12	2003-05-12	INITIAL	2000-05-12	2033-02-02	2003-05-12	ACTIVE	1033093	9999-12-31	2013-05-08
262	2003-05-13	2033-02-02	PRODUCTION	2000-05-12	2033-02-02	2003-05-12	ACTIVE	1033093	9999-12-31	2013-05-08
263	2000-05-12	2006-05-12	INITIAL	2000-05-12	2037-05-12	2006-05-12	ACTIVE	1033111	9999-12-31	2013-05-08
263	2006-05-13	2007-05-12	INITIAL EXTENDED	2000-05-12	2037-05-12	2006-05-12	ACTIVE	1033111	9999-12-31	2013-05-08
263	2007-05-13	2037-05-12	PRODUCTION	2000-05-12	2037-05-12	2006-05-12	ACTIVE	1033111	9999-12-31	2013-05-08
264	2000-05-12	2006-05-12	INITIAL	2000-05-12	2013-01-01	2006-05-12	INACTIVE	1033127	2013-01-03	2013-05-08
264	2006-05-13	2046-05-12	PRODUCTION	2000-05-12	2013-01-01	2006-05-12	INACTIVE	1033127	2013-01-03	2013-05-08
191	1993-09-10	1999-09-10	INITIAL	1993-09-10	2003-09-10	1999-09-10	INACTIVE	1043631	9999-12-31	2013-05-08
191	1999-09-11	2000-09-10	INITIAL EXTENDED	1993-09-10	2003-09-10	1999-09-10	INACTIVE	1043631	9999-12-31	2013-05-08
191	2000-09-11	2001-09-10	INITIAL EXTENDED	1993-09-10	2003-09-10	1999-09-10	INACTIVE	1043631	9999-12-31	2013-05-08
191	2001-09-11	2003-09-10	INITIAL EXTENDED	1993-09-10	2003-09-10	1999-09-10	INACTIVE	1043631	9999-12-31	2013-05-08
006 B	2000-10-09	2028-12-31	PRODUCTION	2000-10-09	2028-12-31	2028-12-31	ACTIVE	1333048	9999-12-31	2013-05-08
006 C	2000-10-09	2028-12-31	PRODUCTION	2000-10-09	2028-12-31	2028-12-31	ACTIVE	1333089	9999-12-31	2013-05-08
027 C	2000-10-09	2030-03-01	PRODUCTION	2000-10-09	2030-03-01	2030-03-01	ACTIVE	1333301	9999-12-31	2013-05-08
028 C	2000-10-09	2030-03-01	PRODUCTION	2000-10-09	2030-03-01	2030-03-01	ACTIVE	1333344	9999-12-31	2013-05-08
171 B	2000-10-09	2031-03-01	PRODUCTION	2000-10-09	2031-03-01	2031-03-01	ACTIVE	1333384	9999-12-31	2013-05-08
048 B	2001-01-10	2013-02-18	PRODUCTION	2001-01-10	2016-07-15	2013-02-18	ACTIVE	1342723	9999-12-31	2013-05-08
048 B	2013-02-19	2016-07-15	PRODUCTION EXTENDED	2001-01-10	2016-07-15	2013-02-18	ACTIVE	1342723	9999-12-31	2013-05-08
033 B	2001-05-04	2028-12-31	PRODUCTION	2001-05-04	2028-12-31	2028-12-31	ACTIVE	1622353	9999-12-31	2013-05-08
265	2001-04-27	2005-04-27	INITIAL	2001-04-27	2037-01-27	2005-04-27	ACTIVE	1624237	9999-12-31	2013-05-08
265	2005-04-28	2007-04-27	INITIAL EXTENDED	2001-04-27	2037-01-27	2005-04-27	ACTIVE	1624237	9999-12-31	2013-05-08
265	2007-04-28	2008-01-27	INITIAL EXTENDED	2001-04-27	2037-01-27	2005-04-27	ACTIVE	1624237	9999-12-31	2013-05-08
265	2008-01-28	2037-01-27	PRODUCTION	2001-04-27	2037-01-27	2005-04-27	ACTIVE	1624237	9999-12-31	2013-05-08
266	2001-04-27	2011-04-27	INITIAL	2001-04-27	2006-12-22	2011-04-27	INACTIVE	1624332	9999-12-31	2013-05-08
267	2001-04-27	2011-04-27	INITIAL	2001-04-27	2006-12-22	2011-04-27	INACTIVE	1624349	9999-12-31	2013-05-08
268	2001-04-27	2005-04-27	INITIAL	2001-04-27	2004-10-31	2005-04-27	INACTIVE	1624366	9999-12-31	2013-05-08
269	2001-04-27	2007-04-27	INITIAL	2001-04-27	2041-04-27	2007-04-27	ACTIVE	1624410	9999-12-31	2013-05-08
269	2007-04-28	2009-04-27	INITIAL EXTENDED	2001-04-27	2041-04-27	2007-04-27	ACTIVE	1624410	9999-12-31	2013-05-08
269	2009-04-28	2011-04-27	INITIAL EXTENDED	2001-04-27	2041-04-27	2007-04-27	ACTIVE	1624410	9999-12-31	2013-05-08
269	2011-04-28	2041-04-27	PRODUCTION	2001-04-27	2041-04-27	2007-04-27	ACTIVE	1624410	9999-12-31	2013-05-08
270	2001-04-27	2005-04-27	INITIAL	2001-04-27	2035-04-27	2005-04-27	ACTIVE	1624436	9999-12-31	2013-05-08
270	2005-04-28	2035-04-27	PRODUCTION	2001-04-27	2035-04-27	2005-04-27	ACTIVE	1624436	9999-12-31	2013-05-08
029 B	2001-05-11	2015-05-23	PRODUCTION	2001-05-11	2015-05-23	2015-05-23	ACTIVE	1626782	9999-12-31	2013-05-08
072 B	2001-09-24	2018-01-01	PRODUCTION	2001-09-24	2018-01-01	2018-01-01	ACTIVE	1630345	9999-12-31	2013-05-08
052 B	2001-11-30	2015-04-06	PRODUCTION	2001-11-30	2015-04-06	2015-04-06	ACTIVE	1840712	9999-12-31	2013-05-08
085 C	2002-01-25	2005-01-25	INITIAL	2002-01-25	2030-09-30	2005-01-25	ACTIVE	2051285	9999-12-31	2013-05-08
085 C	2005-01-26	2030-09-30	PRODUCTION	2002-01-25	2030-09-30	2005-01-25	ACTIVE	2051285	9999-12-31	2013-05-08
271	2002-03-15	2008-03-15	INITIAL	2002-03-15	2009-03-15	2008-03-15	INACTIVE	2060218	9999-12-31	2013-05-08
271	2008-03-16	2009-03-15	INITIAL EXTENDED	2002-03-15	2009-03-15	2008-03-15	INACTIVE	2060218	9999-12-31	2013-05-08
272	2002-03-15	2005-03-15	INITIAL	2002-03-15	2022-11-14	2005-03-15	ACTIVE	2060232	2013-03-19	2013-05-08
272	2005-03-16	2006-03-15	INITIAL EXTENDED	2002-03-15	2022-11-14	2005-03-15	ACTIVE	2060232	2013-03-19	2013-05-08
272	2006-03-16	2007-03-15	INITIAL EXTENDED	2002-03-15	2022-11-14	2005-03-15	ACTIVE	2060232	2013-03-19	2013-05-08
272	2007-03-16	2008-03-15	INITIAL EXTENDED	2002-03-15	2022-11-14	2005-03-15	ACTIVE	2060232	2013-03-19	2013-05-08
272	2008-03-16	2015-11-14	PRODUCTION	2002-03-15	2022-11-14	2005-03-15	ACTIVE	2060232	2013-03-19	2013-05-08
272	2015-11-15	2022-11-14	PRODUCTION EXTENDED	2002-03-15	2022-11-14	2005-03-15	ACTIVE	2060232	9999-12-31	2013-05-08
273	2002-03-15	2007-03-15	INITIAL	2002-03-15	2010-12-31	2007-03-15	INACTIVE	2060246	9999-12-31	2013-05-08
273	2007-03-16	2008-03-15	INITIAL EXTENDED	2002-03-15	2010-12-31	2007-03-15	INACTIVE	2060246	9999-12-31	2013-05-08
273	2008-03-16	2009-03-15	INITIAL EXTENDED	2002-03-15	2010-12-31	2007-03-15	INACTIVE	2060246	9999-12-31	2013-05-08
273	2009-03-16	2039-03-15	PRODUCTION	2002-03-15	2010-12-31	2007-03-15	INACTIVE	2060246	9999-12-31	2013-05-08
274	2002-03-15	2007-03-15	INITIAL	2002-03-15	2039-09-15	2007-03-15	ACTIVE	2060266	9999-12-31	2013-05-08
274	2007-03-16	2009-03-15	INITIAL EXTENDED	2002-03-15	2039-09-15	2007-03-15	ACTIVE	2060266	9999-12-31	2013-05-08
274	2009-03-16	2009-09-15	INITIAL EXTENDED	2002-03-15	2039-09-15	2007-03-15	ACTIVE	2060266	9999-12-31	2013-05-08
274	2009-09-16	2039-09-15	PRODUCTION	2002-03-15	2039-09-15	2007-03-15	ACTIVE	2060266	9999-12-31	2013-05-08
275	2002-03-15	2008-03-15	INITIAL	2002-03-15	2028-12-31	2008-03-15	ACTIVE	2060278	9999-12-31	2013-05-08
275	2008-03-16	2009-03-15	INITIAL EXTENDED	2002-03-15	2028-12-31	2008-03-15	ACTIVE	2060278	9999-12-31	2013-05-08
275	2009-03-16	2028-12-31	PRODUCTION	2002-03-15	2028-12-31	2008-03-15	ACTIVE	2060278	9999-12-31	2013-05-08
276	2002-03-15	2005-03-15	INITIAL	2002-03-15	2005-03-15	2005-03-15	INACTIVE	2060300	9999-12-31	2013-05-08
277	2002-03-15	2008-03-15	INITIAL	2002-03-15	2025-07-08	2008-03-15	ACTIVE	2060336	9999-12-31	2013-05-08
277	2008-03-16	2011-03-15	INITIAL EXTENDED	2002-03-15	2025-07-08	2008-03-15	ACTIVE	2060336	9999-12-31	2013-05-08
277	2011-03-16	2012-02-20	INITIAL EXTENDED	2002-03-15	2025-07-08	2008-03-15	ACTIVE	2060336	9999-12-31	2013-05-08
277	2012-02-21	2025-07-08	PRODUCTION	2002-03-15	2025-07-08	2008-03-15	ACTIVE	2060336	9999-12-31	2013-05-08
278	2002-03-15	2007-03-15	INITIAL	2002-03-15	2005-04-21	2007-03-15	INACTIVE	2060350	9999-12-31	2013-05-08
279	2002-03-15	2007-03-15	INITIAL	2002-03-15	2004-04-16	2007-03-15	INACTIVE	2060367	9999-12-31	2013-05-08
280	2002-03-15	2006-03-15	INITIAL	2002-03-15	2004-05-10	2006-03-15	INACTIVE	2060385	9999-12-31	2013-05-08
281	2002-06-14	2008-06-14	INITIAL	2002-06-14	2009-06-14	2008-06-14	INACTIVE	2073488	9999-12-31	2013-05-08
281	2008-06-15	2009-06-14	INITIAL EXTENDED	2002-06-14	2009-06-14	2008-06-14	INACTIVE	2073488	9999-12-31	2013-05-08
282	2002-06-14	2008-06-14	INITIAL	2002-06-14	2006-06-14	2008-06-14	INACTIVE	2073510	9999-12-31	2013-05-08
283	2002-06-14	2008-06-14	INITIAL	2002-06-14	2012-01-01	2008-06-14	INACTIVE	2073530	9999-12-31	2013-05-08
283	2008-06-15	2009-06-14	INITIAL EXTENDED	2002-06-14	2012-01-01	2008-06-14	INACTIVE	2073530	9999-12-31	2013-05-08
283	2009-06-15	2038-06-14	PRODUCTION	2002-06-14	2012-01-01	2008-06-14	INACTIVE	2073530	9999-12-31	2013-05-08
284	2002-06-14	2006-06-14	INITIAL	2002-06-14	2005-03-30	2006-06-14	INACTIVE	2073548	9999-12-31	2013-05-08
285	2002-06-14	2007-06-14	INITIAL	2002-06-14	2005-06-14	2007-06-14	INACTIVE	2073564	9999-12-31	2013-05-08
286	2002-06-14	2005-06-14	INITIAL	2002-06-14	2008-06-14	2005-06-14	INACTIVE	2073578	9999-12-31	2013-05-08
286	2005-06-15	2006-06-14	INITIAL EXTENDED	2002-06-14	2008-06-14	2005-06-14	INACTIVE	2073578	9999-12-31	2013-05-08
286	2006-06-15	2008-06-14	INITIAL EXTENDED	2002-06-14	2008-06-14	2005-06-14	INACTIVE	2073578	9999-12-31	2013-05-08
094 B	2002-06-14	2003-06-14	INITIAL	2002-06-14	2027-04-10	2003-06-14	ACTIVE	2092082	9999-12-31	2013-05-08
094 B	2003-06-15	2027-04-10	PRODUCTION	2002-06-14	2027-04-10	2003-06-14	ACTIVE	2092082	9999-12-31	2013-05-08
212 B	2002-06-14	2003-06-14	INITIAL	2002-06-14	2033-02-02	2003-06-14	ACTIVE	2092275	9999-12-31	2013-05-08
212 B	2003-06-15	2033-02-02	PRODUCTION	2002-06-14	2033-02-02	2003-06-14	ACTIVE	2092275	9999-12-31	2013-05-08
122 B	2002-06-14	2003-06-14	INITIAL	2002-06-14	2025-02-28	2003-06-14	ACTIVE	2134110	9999-12-31	2013-05-08
122 B	2003-06-15	2025-02-28	PRODUCTION	2002-06-14	2025-02-28	2003-06-14	ACTIVE	2134110	9999-12-31	2013-05-08
018 C	2002-12-20	2028-12-31	PRODUCTION	2002-12-20	2028-12-31	2028-12-31	ACTIVE	2246113	9999-12-31	2013-05-08
038 B	2003-04-11	2006-04-11	INITIAL	2003-04-11	2006-04-11	2006-04-11	INACTIVE	2407278	9999-12-31	2013-05-08
287	2003-04-11	2007-04-11	INITIAL	2003-04-11	2004-12-14	2007-04-11	INACTIVE	2407356	9999-12-31	2013-05-08
289	2003-04-11	2007-04-11	INITIAL	2003-04-11	2039-04-11	2007-04-11	ACTIVE	2407454	9999-12-31	2013-05-08
289	2007-04-12	2009-04-11	INITIAL EXTENDED	2003-04-11	2039-04-11	2007-04-11	ACTIVE	2407454	9999-12-31	2013-05-08
289	2009-04-12	2039-04-11	PRODUCTION	2003-04-11	2039-04-11	2007-04-11	ACTIVE	2407454	9999-12-31	2013-05-08
290	2003-04-11	2008-04-11	INITIAL	2003-04-11	2004-04-11	2008-04-11	INACTIVE	2407486	9999-12-31	2013-05-08
291	2003-04-11	2005-04-11	INITIAL	2003-04-11	2006-04-11	2005-04-11	INACTIVE	2407510	9999-12-31	2013-05-08
291	2005-04-12	2006-04-11	INITIAL EXTENDED	2003-04-11	2006-04-11	2005-04-11	INACTIVE	2407510	9999-12-31	2013-05-08
295	2003-04-11	2007-04-11	INITIAL	2003-04-11	2005-04-11	2007-04-11	INACTIVE	2407550	9999-12-31	2013-05-08
292	2003-04-11	2007-04-11	INITIAL	2003-04-11	2026-04-01	2007-04-11	ACTIVE	2407572	9999-12-31	2013-05-08
292	2007-04-12	2008-04-11	INITIAL EXTENDED	2003-04-11	2026-04-01	2007-04-11	ACTIVE	2407572	9999-12-31	2013-05-08
292	2008-04-12	2008-12-11	INITIAL EXTENDED	2003-04-11	2026-04-01	2007-04-11	ACTIVE	2407572	9999-12-31	2013-05-08
292	2008-12-12	2010-06-27	INITIAL EXTENDED	2003-04-11	2026-04-01	2007-04-11	ACTIVE	2407572	9999-12-31	2013-05-08
292	2010-06-28	2026-04-01	PRODUCTION	2003-04-11	2026-04-01	2007-04-11	ACTIVE	2407572	9999-12-31	2013-05-08
293	2003-04-11	2007-04-11	INITIAL	2003-04-11	2039-04-11	2007-04-11	ACTIVE	2407711	9999-12-31	2013-05-08
293	2007-04-12	2008-04-11	INITIAL EXTENDED	2003-04-11	2039-04-11	2007-04-11	ACTIVE	2407711	9999-12-31	2013-05-08
293	2008-04-12	2009-04-11	INITIAL EXTENDED	2003-04-11	2039-04-11	2007-04-11	ACTIVE	2407711	9999-12-31	2013-05-08
293	2009-04-12	2039-04-11	PRODUCTION	2003-04-11	2039-04-11	2007-04-11	ACTIVE	2407711	9999-12-31	2013-05-08
294	2003-04-11	2008-04-11	INITIAL	2003-04-11	2006-04-11	2008-04-11	INACTIVE	2407753	9999-12-31	2013-05-08
167 B	2003-04-11	2006-04-11	INITIAL	2003-04-11	2030-03-01	2006-04-11	ACTIVE	2407874	9999-12-31	2013-05-08
167 B	2006-04-12	2030-03-01	PRODUCTION	2003-04-11	2030-03-01	2006-04-11	ACTIVE	2407874	9999-12-31	2013-05-08
288	2003-04-11	2008-04-11	INITIAL	2003-04-11	2006-04-11	2008-04-11	INACTIVE	2407909	9999-12-31	2013-05-08
055 C	2003-06-27	2017-04-06	PRODUCTION	2003-06-27	2031-03-01	2017-04-06	ACTIVE	2424830	9999-12-31	2013-05-08
055 C	2017-04-07	2031-03-01	PRODUCTION EXTENDED	2003-06-27	2031-03-01	2017-04-06	ACTIVE	2424830	9999-12-31	2013-05-08
143 BS	2003-06-27	2027-07-08	PRODUCTION	2003-06-27	2027-07-08	2027-07-08	ACTIVE	2424891	9999-12-31	2013-05-08
143 CS	2003-06-27	2027-07-08	PRODUCTION	2003-06-27	2007-01-01	2027-07-08	INACTIVE	2424919	9999-12-31	2013-05-08
036 BS	2003-10-13	2021-06-11	PRODUCTION	2003-10-13	2021-06-11	2021-06-11	ACTIVE	2473189	9999-12-31	2013-05-08
036 C	2003-10-13	2021-06-11	PRODUCTION	2003-10-13	2021-06-11	2021-06-11	ACTIVE	2473241	9999-12-31	2013-05-08
296	2003-12-12	2009-12-12	INITIAL	2003-12-12	2009-12-12	2009-12-12	INACTIVE	2490197	9999-12-31	2013-05-08
296	2009-12-13	2010-12-12	INITIAL EXTENDED	2003-12-12	2009-12-12	2009-12-12	INACTIVE	2490197	9999-12-31	2013-05-08
297	2003-12-12	2009-12-12	INITIAL	2003-12-12	2012-02-28	2009-12-12	INACTIVE	2490240	9999-12-31	2013-05-08
297	2009-12-13	2010-12-12	INITIAL EXTENDED	2003-12-12	2012-02-28	2009-12-12	INACTIVE	2490240	9999-12-31	2013-05-08
297	2010-12-13	2011-12-12	INITIAL EXTENDED	2003-12-12	2012-02-28	2009-12-12	INACTIVE	2490240	9999-12-31	2013-05-08
297	2011-12-13	2012-12-12	INITIAL EXTENDED	2003-12-12	2012-02-28	2009-12-12	INACTIVE	2490240	9999-12-31	2013-05-08
297	2012-12-13	2013-12-12	INITIAL EXTENDED	2003-12-12	2012-02-28	2009-12-12	INACTIVE	2490240	9999-12-31	2013-05-08
298	2003-12-12	2007-01-01	INITIAL	2003-12-12	2007-01-01	2007-01-01	INACTIVE	2490295	9999-12-31	2013-05-08
299	2003-12-12	2008-12-12	INITIAL	2003-12-12	2013-12-12	2008-12-12	ACTIVE	2490320	9999-12-31	2013-05-08
299	2008-12-13	2011-06-12	INITIAL EXTENDED	2003-12-12	2013-12-12	2008-12-12	ACTIVE	2490320	9999-12-31	2013-05-08
299	2011-06-13	2012-06-12	INITIAL EXTENDED	2003-12-12	2013-12-12	2008-12-12	ACTIVE	2490320	9999-12-31	2013-05-08
299	2012-06-13	2013-12-12	INITIAL EXTENDED	2003-12-12	2013-12-12	2008-12-12	ACTIVE	2490320	9999-12-31	2013-05-08
300	2003-12-12	2006-12-12	INITIAL	2003-12-12	2023-12-12	2006-12-12	ACTIVE	2490354	9999-12-31	2013-05-08
300	2006-12-13	2007-12-12	INITIAL EXTENDED	2003-12-12	2023-12-12	2006-12-12	ACTIVE	2490354	9999-12-31	2013-05-08
300	2007-12-13	2008-12-12	INITIAL EXTENDED	2003-12-12	2023-12-12	2006-12-12	ACTIVE	2490354	9999-12-31	2013-05-08
300	2008-12-13	2023-12-12	PRODUCTION	2003-12-12	2023-12-12	2006-12-12	ACTIVE	2490354	9999-12-31	2013-05-08
301	2003-12-12	2007-12-12	INITIAL	2003-12-12	2013-12-12	2007-12-12	ACTIVE	2490380	9999-12-31	2013-05-08
301	2007-12-13	2008-12-12	INITIAL EXTENDED	2003-12-12	2013-12-12	2007-12-12	ACTIVE	2490380	9999-12-31	2013-05-08
301	2008-12-13	2009-12-12	INITIAL EXTENDED	2003-12-12	2013-12-12	2007-12-12	ACTIVE	2490380	9999-12-31	2013-05-08
301	2009-12-13	2011-12-12	INITIAL EXTENDED	2003-12-12	2013-12-12	2007-12-12	ACTIVE	2490380	9999-12-31	2013-05-08
301	2011-12-13	2013-12-12	INITIAL EXTENDED	2003-12-12	2013-12-12	2007-12-12	ACTIVE	2490380	9999-12-31	2013-05-08
302	2003-12-12	2008-03-15	INITIAL	2003-12-12	2009-03-15	2008-03-15	INACTIVE	2490440	9999-12-31	2013-05-08
302	2008-03-16	2009-03-15	INITIAL EXTENDED	2003-12-12	2009-03-15	2008-03-15	INACTIVE	2490440	9999-12-31	2013-05-08
303	2003-12-12	2010-12-12	INITIAL	2003-12-12	2013-03-12	2010-12-12	ACTIVE	2490467	2012-11-08	2013-05-08
303	2010-12-13	2012-12-12	INITIAL EXTENDED	2003-12-12	2013-03-12	2010-12-12	ACTIVE	2490467	2012-11-08	2013-05-08
303	2012-12-13	2013-03-12	INITIAL EXTENDED	2003-12-12	2013-03-12	2010-12-12	ACTIVE	2490467	9999-12-31	2013-05-08
304	2003-12-12	2008-12-12	INITIAL	2003-12-12	2010-12-12	2008-12-12	INACTIVE	2490623	9999-12-31	2013-05-08
304	2008-12-13	2009-12-12	INITIAL EXTENDED	2003-12-12	2010-12-12	2008-12-12	INACTIVE	2490623	9999-12-31	2013-05-08
304	2009-12-13	2010-12-12	INITIAL EXTENDED	2003-12-12	2010-12-12	2008-12-12	INACTIVE	2490623	9999-12-31	2013-05-08
304	2010-12-13	2011-12-12	INITIAL EXTENDED	2003-12-12	2010-12-12	2008-12-12	INACTIVE	2490623	9999-12-31	2013-05-08
305	2003-12-12	2008-12-01	INITIAL	2003-12-12	2008-12-02	2008-12-01	INACTIVE	2490682	9999-12-31	2013-05-08
305	2008-12-02	2009-04-12	INITIAL EXTENDED	2003-12-12	2008-12-02	2008-12-01	INACTIVE	2490682	9999-12-31	2013-05-08
306	2003-12-12	2008-12-12	INITIAL	2003-12-12	2005-07-12	2008-12-12	INACTIVE	2490776	9999-12-31	2013-05-08
307	2003-12-12	2008-12-12	INITIAL	2003-12-12	2005-12-12	2008-12-12	INACTIVE	2490820	9999-12-31	2013-05-08
308	2003-12-12	2010-12-12	INITIAL	2003-12-12	2007-12-04	2010-12-12	INACTIVE	2490856	9999-12-31	2013-05-08
309	2003-12-12	2010-12-12	INITIAL	2003-12-12	2012-12-12	2010-12-12	ACTIVE	2490982	9999-12-31	2013-05-08
309	2010-12-13	2012-12-12	INITIAL EXTENDED	2003-12-12	2012-12-12	2010-12-12	ACTIVE	2490982	9999-12-31	2013-05-08
310	2003-12-12	2009-12-12	INITIAL	2003-12-12	2005-01-27	2009-12-12	INACTIVE	2491119	9999-12-31	2013-05-08
311	2003-12-12	2008-12-12	INITIAL	2003-12-12	2008-12-12	2008-12-12	INACTIVE	2491153	9999-12-31	2013-05-08
311	2008-12-13	2009-12-12	INITIAL EXTENDED	2003-12-12	2008-12-12	2008-12-12	INACTIVE	2491153	9999-12-31	2013-05-08
312	2003-12-12	2009-12-12	INITIAL	2003-12-12	2013-12-12	2009-12-12	ACTIVE	2491196	9999-12-31	2013-05-08
312	2009-12-13	2011-01-20	INITIAL EXTENDED	2003-12-12	2013-12-12	2009-12-12	ACTIVE	2491196	9999-12-31	2013-05-08
312	2011-01-21	2012-01-20	INITIAL EXTENDED	2003-12-12	2013-12-12	2009-12-12	ACTIVE	2491196	9999-12-31	2013-05-08
312	2012-01-21	2013-01-20	INITIAL EXTENDED	2003-12-12	2013-12-12	2009-12-12	ACTIVE	2491196	9999-12-31	2013-05-08
312	2013-01-21	2013-12-12	INITIAL EXTENDED	2003-12-12	2013-12-12	2009-12-12	ACTIVE	2491196	9999-12-31	2013-05-08
313	2003-12-12	2008-12-12	INITIAL	2003-12-12	2005-12-12	2008-12-12	INACTIVE	2491243	9999-12-31	2013-05-08
314	2003-12-12	2006-12-12	INITIAL	2003-12-12	2006-12-12	2006-12-12	INACTIVE	2491284	9999-12-31	2013-05-08
261 BS	2003-12-12	2006-05-12	INITIAL	2003-12-12	2005-11-25	2006-05-12	INACTIVE	2588889	9999-12-31	2013-05-08
280 S	2004-05-10	2006-03-15	INITIAL	2004-05-10	2006-03-15	2006-03-15	INACTIVE	2773116	9999-12-31	2013-05-08
315	2004-06-18	2010-06-18	INITIAL	2004-06-18	2009-08-20	2010-06-18	INACTIVE	2786350	9999-12-31	2013-05-08
316	2004-06-18	2010-06-18	INITIAL	2004-06-18	2030-06-18	2010-06-18	ACTIVE	2786469	9999-12-31	2013-05-08
316	2010-06-19	2030-06-18	PRODUCTION	2004-06-18	2030-06-18	2010-06-18	ACTIVE	2786469	9999-12-31	2013-05-08
317	2004-06-18	2010-06-18	INITIAL	2004-06-18	2009-04-13	2010-06-18	INACTIVE	2786553	9999-12-31	2013-05-08
318	2004-06-18	2010-06-18	INITIAL	2004-06-18	2014-06-18	2010-06-18	ACTIVE	2786586	2012-06-09	2013-05-08
318	2010-06-19	2012-06-18	INITIAL EXTENDED	2004-06-18	2014-06-18	2010-06-18	ACTIVE	2786586	2012-06-09	2013-05-08
318	2012-06-19	2014-06-18	INITIAL EXTENDED	2004-06-18	2014-06-18	2010-06-18	ACTIVE	2786586	9999-12-31	2013-05-08
319	2004-06-18	2010-06-18	INITIAL	2004-06-18	2007-06-29	2010-06-18	INACTIVE	2786612	9999-12-31	2013-05-08
320	2004-06-18	2010-06-18	INITIAL	2004-06-18	2007-06-14	2010-06-18	INACTIVE	2786635	9999-12-31	2013-05-08
321	2004-06-18	2010-06-18	INITIAL	2004-06-18	2010-06-18	2010-06-18	INACTIVE	2786661	9999-12-31	2013-05-08
322	2004-06-18	2008-06-18	INITIAL	2004-06-18	2008-06-18	2008-06-18	INACTIVE	2786703	9999-12-31	2013-05-08
323	2004-06-18	2010-06-18	INITIAL	2004-06-18	2010-06-18	2010-06-18	INACTIVE	2786740	9999-12-31	2013-05-08
324	2004-06-18	2009-06-18	INITIAL	2004-06-18	2008-07-09	2009-06-18	INACTIVE	2786758	9999-12-31	2013-05-08
325	2004-06-18	2010-06-18	INITIAL	2004-06-18	2008-03-18	2010-06-18	INACTIVE	2786811	9999-12-31	2013-05-08
326	2004-06-18	2010-06-18	INITIAL	2004-06-18	2011-06-18	2010-06-18	INACTIVE	2786855	9999-12-31	2013-05-08
326	2010-06-19	2011-06-18	INITIAL EXTENDED	2004-06-18	2011-06-18	2010-06-18	INACTIVE	2786855	9999-12-31	2013-05-08
327	2004-06-18	2011-06-18	INITIAL	2004-06-18	2041-06-18	2011-06-18	ACTIVE	2786915	9999-12-31	2013-05-08
327	2011-06-19	2041-06-18	PRODUCTION	2004-06-18	2041-06-18	2011-06-18	ACTIVE	2786915	9999-12-31	2013-05-08
328	2004-06-18	2009-06-18	INITIAL	2004-06-18	2011-06-18	2009-06-18	INACTIVE	2786957	9999-12-31	2013-05-08
328	2009-06-19	2011-06-18	INITIAL EXTENDED	2004-06-18	2011-06-18	2009-06-18	INACTIVE	2786957	9999-12-31	2013-05-08
329	2004-06-18	2009-06-18	INITIAL	2004-06-18	2009-06-18	2009-06-18	INACTIVE	2786994	9999-12-31	2013-05-08
330	2004-06-18	2010-06-18	INITIAL	2004-06-18	2014-06-18	2010-06-18	ACTIVE	2787040	9999-12-31	2013-05-08
330	2010-06-19	2012-01-01	INITIAL EXTENDED	2004-06-18	2014-06-18	2010-06-18	ACTIVE	2787040	9999-12-31	2013-05-08
330	2012-01-02	2014-01-01	INITIAL EXTENDED	2004-06-18	2014-06-18	2010-06-18	ACTIVE	2787040	9999-12-31	2013-05-08
330	2014-01-02	2014-06-18	INITIAL EXTENDED	2004-06-18	2014-06-18	2010-06-18	ACTIVE	2787040	9999-12-31	2013-05-08
037 D	2004-06-08	2009-08-10	INITIAL	2004-06-08	2026-08-10	2009-08-10	ACTIVE	2787322	9999-12-31	2013-05-08
037 D	2009-08-11	2026-08-10	PRODUCTION	2004-06-08	2026-08-10	2009-08-10	ACTIVE	2787322	9999-12-31	2013-05-08
088 BS	2003-03-21	2022-03-09	PRODUCTION	2003-03-21	2022-03-09	2022-03-09	ACTIVE	2787418	9999-12-31	2013-05-08
159 B	2004-08-13	2029-03-03	PRODUCTION	2004-08-13	2029-03-03	2029-03-03	ACTIVE	2819945	9999-12-31	2013-05-08
331	2004-12-17	2011-12-17	INITIAL	2004-12-17	2011-06-18	2011-12-17	INACTIVE	2986187	9999-12-31	2013-05-08
331	2011-12-18	2013-06-17	INITIAL EXTENDED	2004-12-17	2011-06-18	2011-12-17	INACTIVE	2986187	9999-12-31	2013-05-08
332	2004-12-17	2010-12-17	INITIAL	2004-12-17	2014-12-17	2010-12-17	ACTIVE	2986240	2013-01-15	2013-05-08
332	2010-12-18	2011-12-17	INITIAL EXTENDED	2004-12-17	2014-12-17	2010-12-17	ACTIVE	2986240	2013-01-15	2013-05-08
332	2011-12-18	2013-12-17	INITIAL EXTENDED	2004-12-17	2014-12-17	2010-12-17	ACTIVE	2986240	2013-01-15	2013-05-08
332	2013-12-18	2014-12-17	INITIAL EXTENDED	2004-12-17	2014-12-17	2010-12-17	ACTIVE	2986240	9999-12-31	2013-05-08
333	2004-12-17	2009-12-17	INITIAL	2004-12-17	2027-07-08	2009-12-17	ACTIVE	2986266	2013-02-12	2013-05-08
333	2009-12-18	2011-12-17	INITIAL EXTENDED	2004-12-17	2027-07-08	2009-12-17	ACTIVE	2986266	2013-02-12	2013-05-08
333	2011-12-18	2013-12-17	INITIAL EXTENDED	2004-12-17	2027-07-08	2009-12-17	ACTIVE	2986266	2013-02-12	2013-05-08
333	2013-12-18	2027-07-08	PRODUCTION	2004-12-17	2027-07-08	2009-12-17	ACTIVE	2986266	9999-12-31	2013-05-08
334	2004-12-17	2010-12-17	INITIAL	2004-12-17	2008-03-17	2010-12-17	INACTIVE	2986306	9999-12-31	2013-05-08
335	2004-12-17	2007-12-17	INITIAL	2004-12-17	2007-12-17	2007-12-17	INACTIVE	2986333	9999-12-31	2013-05-08
336	2004-12-17	2009-12-17	INITIAL	2004-12-17	2006-12-17	2009-12-17	INACTIVE	2986364	9999-12-31	2013-05-08
337	2004-12-17	2009-12-17	INITIAL	2004-12-17	2013-02-09	2009-12-17	INACTIVE	2986484	2013-02-12	2013-05-08
337	2009-12-18	2011-12-17	INITIAL EXTENDED	2004-12-17	2013-02-09	2009-12-17	INACTIVE	2986484	2013-02-12	2013-05-08
337	2011-12-18	2014-12-17	INITIAL EXTENDED	2004-12-17	2013-02-09	2009-12-17	INACTIVE	2986484	2013-02-12	2013-05-08
338	2004-12-17	2007-12-17	INITIAL	2004-12-17	2013-12-17	2007-12-17	ACTIVE	2986578	9999-12-31	2013-05-08
338	2007-12-18	2008-12-17	INITIAL EXTENDED	2004-12-17	2013-12-17	2007-12-17	ACTIVE	2986578	9999-12-31	2013-05-08
338	2008-12-18	2009-12-17	INITIAL EXTENDED	2004-12-17	2013-12-17	2007-12-17	ACTIVE	2986578	9999-12-31	2013-05-08
338	2009-12-18	2010-12-17	INITIAL EXTENDED	2004-12-17	2013-12-17	2007-12-17	ACTIVE	2986578	9999-12-31	2013-05-08
338	2010-12-18	2011-12-17	INITIAL EXTENDED	2004-12-17	2013-12-17	2007-12-17	ACTIVE	2986578	9999-12-31	2013-05-08
338	2011-12-18	2013-12-17	INITIAL EXTENDED	2004-12-17	2013-12-17	2007-12-17	ACTIVE	2986578	9999-12-31	2013-05-08
339	2004-12-17	2008-12-17	INITIAL	2004-12-17	2009-12-17	2008-12-17	INACTIVE	2986606	9999-12-31	2013-05-08
339	2008-12-18	2010-12-17	INITIAL EXTENDED	2004-12-17	2009-12-17	2008-12-17	INACTIVE	2986606	9999-12-31	2013-05-08
340	2004-12-17	2009-12-17	INITIAL	2004-12-17	2014-12-17	2009-12-17	ACTIVE	2986630	2012-12-13	2013-05-08
340	2009-12-18	2011-06-17	INITIAL EXTENDED	2004-12-17	2014-12-17	2009-12-17	ACTIVE	2986630	2012-12-13	2013-05-08
340	2011-06-18	2012-06-17	INITIAL EXTENDED	2004-12-17	2014-12-17	2009-12-17	ACTIVE	2986630	2012-12-13	2013-05-08
340	2012-06-18	2014-12-17	INITIAL EXTENDED	2004-12-17	2014-12-17	2009-12-17	ACTIVE	2986630	9999-12-31	2013-05-08
341	2004-12-17	2009-12-16	INITIAL	2004-12-17	2011-12-17	2009-12-16	INACTIVE	2986675	9999-12-31	2013-05-08
341	2009-12-17	2011-12-17	INITIAL EXTENDED	2004-12-17	2011-12-17	2009-12-16	INACTIVE	2986675	9999-12-31	2013-05-08
341	2011-12-18	2012-12-17	INITIAL EXTENDED	2004-12-17	2011-12-17	2009-12-16	INACTIVE	2986675	9999-12-31	2013-05-08
342	2004-12-17	2009-12-17	INITIAL	2004-12-17	2006-12-17	2009-12-17	INACTIVE	2986721	9999-12-31	2013-05-08
343	2004-12-17	2009-12-17	INITIAL	2004-12-17	2009-10-17	2009-12-17	INACTIVE	2986758	9999-12-31	2013-05-08
343	2009-12-18	2011-10-17	INITIAL EXTENDED	2004-12-17	2009-10-17	2009-12-17	INACTIVE	2986758	9999-12-31	2013-05-08
344	2004-12-17	2009-12-17	INITIAL	2004-12-17	2010-12-07	2009-12-17	INACTIVE	2986805	9999-12-31	2013-05-08
344	2009-12-18	2010-12-17	INITIAL EXTENDED	2004-12-17	2010-12-07	2009-12-17	INACTIVE	2986805	9999-12-31	2013-05-08
344	2010-12-18	2011-12-17	INITIAL EXTENDED	2004-12-17	2010-12-07	2009-12-17	INACTIVE	2986805	9999-12-31	2013-05-08
345	2004-12-17	2010-12-17	INITIAL	2004-12-17	2008-12-17	2010-12-17	INACTIVE	2986889	9999-12-31	2013-05-08
346	2004-12-17	2009-12-17	INITIAL	2004-12-17	2006-12-17	2009-12-17	INACTIVE	2986958	9999-12-31	2013-05-08
347	2004-12-17	2010-12-17	INITIAL	2004-12-17	2007-12-14	2010-12-17	INACTIVE	2986982	9999-12-31	2013-05-08
348	2004-12-17	2009-12-17	INITIAL	2004-12-17	2014-12-17	2009-12-17	ACTIVE	2987047	2012-11-08	2013-05-08
348	2009-12-18	2011-12-17	INITIAL EXTENDED	2004-12-17	2014-12-17	2009-12-17	ACTIVE	2987047	2012-11-08	2013-05-08
348	2011-12-18	2012-12-17	INITIAL EXTENDED	2004-12-17	2014-12-17	2009-12-17	ACTIVE	2987047	2012-11-08	2013-05-08
348	2012-12-18	2014-12-17	INITIAL EXTENDED	2004-12-17	2014-12-17	2009-12-17	ACTIVE	2987047	9999-12-31	2013-05-08
349	2004-12-17	2010-12-17	INITIAL	2004-12-17	2006-12-17	2010-12-17	INACTIVE	2987098	9999-12-31	2013-05-08
350	2004-12-17	2011-12-17	INITIAL	2004-12-17	2012-09-17	2011-12-17	INACTIVE	2987133	2012-10-12	2013-05-08
350	2011-12-18	2014-12-17	INITIAL EXTENDED	2004-12-17	2012-09-17	2011-12-17	INACTIVE	2987133	2012-10-12	2013-05-08
351	2004-12-17	2011-12-17	INITIAL	2004-12-17	2007-12-14	2011-12-17	INACTIVE	2987183	9999-12-31	2013-05-08
352	2004-12-17	2008-12-17	INITIAL	2004-12-17	2008-10-08	2008-12-17	INACTIVE	2987228	9999-12-31	2013-05-08
353	2004-12-17	2010-12-17	INITIAL	2004-12-17	2006-12-17	2010-12-17	INACTIVE	2987265	9999-12-31	2013-05-08
073 B	2004-12-17	2005-12-17	INITIAL	2004-12-17	2029-12-31	2005-12-17	ACTIVE	2987414	9999-12-31	2013-05-08
073 B	2005-12-18	2029-12-31	PRODUCTION	2004-12-17	2029-12-31	2005-12-17	ACTIVE	2987414	9999-12-31	2013-05-08
122 C	2004-12-17	2005-12-17	INITIAL	2004-12-17	2025-02-28	2005-12-17	ACTIVE	2987454	9999-12-31	2013-05-08
122 C	2005-12-18	2025-02-28	PRODUCTION	2004-12-17	2025-02-28	2005-12-17	ACTIVE	2987454	9999-12-31	2013-05-08
305 B	2004-12-17	2008-12-12	INITIAL	2004-12-17	2008-12-02	2008-12-12	INACTIVE	2987480	9999-12-31	2013-05-08
305 B	2008-12-13	2009-04-12	INITIAL EXTENDED	2004-12-17	2008-12-02	2008-12-12	INACTIVE	2987480	9999-12-31	2013-05-08
311 B	2004-12-17	2008-12-12	INITIAL	2004-12-17	2009-02-28	2008-12-12	INACTIVE	2987508	9999-12-31	2013-05-08
311 B	2008-12-13	2009-12-12	INITIAL EXTENDED	2004-12-17	2009-02-28	2008-12-12	INACTIVE	2987508	9999-12-31	2013-05-08
037 E	2004-12-10	2009-08-10	INITIAL	2004-12-10	2036-06-30	2009-08-10	ACTIVE	3000656	9999-12-31	2013-05-08
037 E	2009-08-11	2016-06-30	PRODUCTION	2004-12-10	2036-06-30	2009-08-10	ACTIVE	3000656	9999-12-31	2013-05-08
037 E	2016-07-01	2036-06-30	PRODUCTION EXTENDED	2004-12-10	2036-06-30	2009-08-10	ACTIVE	3000656	9999-12-31	2013-05-08
110 B	2004-12-17	2010-12-17	INITIAL	2004-12-17	2014-12-17	2010-12-17	ACTIVE	3001885	2012-11-07	2013-05-08
110 B	2010-12-18	2013-12-17	INITIAL EXTENDED	2004-12-17	2014-12-17	2010-12-17	ACTIVE	3001885	2012-11-07	2013-05-08
110 B	2013-12-18	2014-12-17	INITIAL EXTENDED	2004-12-17	2014-12-17	2010-12-17	ACTIVE	3001885	9999-12-31	2013-05-08
212 C	2005-02-07	2033-02-02	PRODUCTION	2005-02-07	2010-01-01	2033-02-02	INACTIVE	3371954	9999-12-31	2013-05-08
090 B	2005-05-25	2024-03-09	PRODUCTION	2005-05-25	2024-03-09	2024-03-09	ACTIVE	3426781	9999-12-31	2013-05-08
090 C	2005-05-25	2024-03-09	PRODUCTION	2005-05-25	2024-03-09	2024-03-09	ACTIVE	3426824	9999-12-31	2013-05-08
048 C	2005-10-10	2013-02-18	PRODUCTION	2005-10-10	2013-02-18	2013-02-18	ACTIVE	3489506	2012-08-29	2013-05-08
048 D	2005-10-10	2013-02-18	PRODUCTION	2005-10-10	2018-02-18	2013-02-18	ACTIVE	3489553	9999-12-31	2013-05-08
048 D	2013-02-19	2018-02-18	PRODUCTION EXTENDED	2005-10-10	2018-02-18	2013-02-18	ACTIVE	3489553	9999-12-31	2013-05-08
274 BS	2005-12-13	2007-03-15	INITIAL	2005-12-13	2010-12-13	2007-03-15	INACTIVE	3809011	9999-12-31	2013-05-08
274 BS	2007-03-16	2009-12-12	INITIAL EXTENDED	2005-12-13	2010-12-13	2007-03-15	INACTIVE	3809011	9999-12-31	2013-05-08
274 BS	2009-12-13	2010-12-12	INITIAL EXTENDED	2005-12-13	2010-12-13	2007-03-15	INACTIVE	3809011	9999-12-31	2013-05-08
274 BS	2010-12-13	2011-12-12	INITIAL EXTENDED	2005-12-13	2010-12-13	2007-03-15	INACTIVE	3809011	9999-12-31	2013-05-08
085 D	2006-01-06	2010-01-06	INITIAL	2006-01-06	2008-01-01	2010-01-06	INACTIVE	3810164	9999-12-31	2013-05-08
354	2006-01-06	2011-01-06	INITIAL	2006-01-06	2010-01-06	2011-01-06	INACTIVE	3810204	9999-12-31	2013-05-08
356	2006-01-06	2012-01-06	INITIAL	2006-01-06	2013-01-06	2012-01-06	INACTIVE	3810275	2013-03-22	2013-05-08
356	2012-01-07	2013-01-06	INITIAL EXTENDED	2006-01-06	2013-01-06	2012-01-06	INACTIVE	3810275	2013-03-22	2013-05-08
356	2013-01-07	2014-01-06	INITIAL EXTENDED	2006-01-06	2013-01-06	2012-01-06	INACTIVE	3810275	2013-03-22	2013-05-08
357	2006-01-06	2011-01-06	INITIAL	2006-01-06	2008-01-07	2011-01-06	INACTIVE	3810310	9999-12-31	2013-05-08
358	2006-01-06	2012-01-06	INITIAL	2006-01-06	2011-07-06	2012-01-06	INACTIVE	3810338	9999-12-31	2013-05-08
358	2012-01-07	2013-01-06	INITIAL EXTENDED	2006-01-06	2011-07-06	2012-01-06	INACTIVE	3810338	9999-12-31	2013-05-08
358	2013-01-07	2014-07-06	INITIAL EXTENDED	2006-01-06	2011-07-06	2012-01-06	INACTIVE	3810338	9999-12-31	2013-05-08
359	2006-01-06	2011-01-06	INITIAL	2006-01-06	2016-01-06	2011-01-06	ACTIVE	3810373	2012-11-01	2013-05-08
359	2011-01-07	2012-01-06	INITIAL EXTENDED	2006-01-06	2016-01-06	2011-01-06	ACTIVE	3810373	2012-11-01	2013-05-08
359	2012-01-07	2014-01-06	INITIAL EXTENDED	2006-01-06	2016-01-06	2011-01-06	ACTIVE	3810373	2012-11-01	2013-05-08
359	2014-01-07	2016-01-06	INITIAL EXTENDED	2006-01-06	2016-01-06	2011-01-06	ACTIVE	3810373	9999-12-31	2013-05-08
360	2006-01-06	2012-01-06	INITIAL	2006-01-06	2014-01-06	2012-01-06	ACTIVE	3810387	9999-12-31	2013-05-08
360	2012-01-07	2014-01-06	INITIAL EXTENDED	2006-01-06	2014-01-06	2012-01-06	ACTIVE	3810387	9999-12-31	2013-05-08
361	2006-01-06	2012-01-06	INITIAL	2006-01-06	2009-04-06	2012-01-06	INACTIVE	3810510	9999-12-31	2013-05-08
361	2012-01-07	2012-04-06	INITIAL EXTENDED	2006-01-06	2009-04-06	2012-01-06	INACTIVE	3810510	9999-12-31	2013-05-08
362	2006-01-06	2011-01-06	INITIAL	2006-01-06	2013-09-06	2011-01-06	ACTIVE	3810565	9999-12-31	2013-05-08
362	2011-01-07	2012-01-06	INITIAL EXTENDED	2006-01-06	2013-09-06	2011-01-06	ACTIVE	3810565	9999-12-31	2013-05-08
362	2012-01-07	2013-09-06	INITIAL EXTENDED	2006-01-06	2013-09-06	2011-01-06	ACTIVE	3810565	9999-12-31	2013-05-08
363	2006-01-06	2011-01-06	INITIAL	2006-01-06	2011-01-06	2011-01-06	INACTIVE	3810598	9999-12-31	2013-05-08
363	2011-01-07	2012-01-06	INITIAL EXTENDED	2006-01-06	2011-01-06	2011-01-06	INACTIVE	3810598	9999-12-31	2013-05-08
364	2006-01-06	2009-01-06	INITIAL	2006-01-06	2019-01-06	2009-01-06	ACTIVE	3810636	9999-12-31	2013-05-08
364	2009-01-07	2019-01-06	PRODUCTION	2006-01-06	2019-01-06	2009-01-06	ACTIVE	3810636	9999-12-31	2013-05-08
365	2006-01-06	2011-01-06	INITIAL	2006-01-06	2007-12-18	2011-01-06	INACTIVE	3810693	9999-12-31	2013-05-08
366	2006-01-06	2012-01-06	INITIAL	2006-01-06	2008-02-05	2012-01-06	INACTIVE	3810756	9999-12-31	2013-05-08
367 S	2006-01-06	2012-01-06	INITIAL	2006-01-06	2007-12-18	2012-01-06	INACTIVE	3810797	9999-12-31	2013-05-08
368	2006-01-06	2010-01-06	INITIAL	2006-01-06	2007-07-06	2010-01-06	INACTIVE	3810851	9999-12-31	2013-05-08
369	2006-01-06	2012-01-06	INITIAL	2006-01-06	2011-01-06	2012-01-06	INACTIVE	3810875	9999-12-31	2013-05-08
369	2012-01-07	2014-01-06	INITIAL EXTENDED	2006-01-06	2011-01-06	2012-01-06	INACTIVE	3810875	9999-12-31	2013-05-08
370	2006-01-06	2011-01-06	INITIAL	2006-01-06	2014-07-06	2011-01-06	ACTIVE	3810959	2013-01-15	2013-05-08
370	2011-01-07	2013-01-06	INITIAL EXTENDED	2006-01-06	2014-07-06	2011-01-06	ACTIVE	3810959	2013-01-15	2013-05-08
370	2013-01-07	2014-01-06	INITIAL EXTENDED	2006-01-06	2014-07-06	2011-01-06	ACTIVE	3810959	2013-01-15	2013-05-08
370	2014-01-07	2014-07-06	INITIAL EXTENDED	2006-01-06	2014-07-06	2011-01-06	ACTIVE	3810959	9999-12-31	2013-05-08
371 S	2006-01-06	2012-01-06	INITIAL	2006-01-06	2009-04-06	2012-01-06	INACTIVE	3810996	9999-12-31	2013-05-08
371 S	2012-01-07	2012-04-06	INITIAL EXTENDED	2006-01-06	2009-04-06	2012-01-06	INACTIVE	3810996	9999-12-31	2013-05-08
372 S	2006-01-06	2012-01-06	INITIAL	2006-01-06	2009-07-06	2012-01-06	INACTIVE	3811092	9999-12-31	2013-05-08
372 S	2012-01-07	2013-01-06	INITIAL EXTENDED	2006-01-06	2009-07-06	2012-01-06	INACTIVE	3811092	9999-12-31	2013-05-08
372 S	2013-01-07	2013-07-06	INITIAL EXTENDED	2006-01-06	2009-07-06	2012-01-06	INACTIVE	3811092	9999-12-31	2013-05-08
373 S	2006-01-06	2011-01-06	INITIAL	2006-01-06	2038-01-06	2011-01-06	ACTIVE	3811116	2013-05-07	2013-05-08
373 S	2011-01-07	2013-01-06	INITIAL EXTENDED	2006-01-06	2038-01-06	2011-01-06	ACTIVE	3811116	2013-05-07	2013-05-08
373 S	2013-01-07	2038-01-06	PRODUCTION	2006-01-06	2038-01-06	2011-01-06	ACTIVE	3811116	9999-12-31	2013-05-08
374 S	2006-01-06	2012-01-06	INITIAL	2006-01-06	2016-01-06	2012-01-06	ACTIVE	3811171	2012-12-14	2013-05-08
374 S	2012-01-07	2013-01-06	INITIAL EXTENDED	2006-01-06	2016-01-06	2012-01-06	ACTIVE	3811171	2012-12-14	2013-05-08
374 S	2013-01-07	2015-01-06	INITIAL EXTENDED	2006-01-06	2016-01-06	2012-01-06	ACTIVE	3811171	2012-12-14	2013-05-08
374 S	2015-01-07	2016-01-06	INITIAL EXTENDED	2006-01-06	2016-01-06	2012-01-06	ACTIVE	3811171	9999-12-31	2013-05-08
375	2006-01-06	2011-01-06	INITIAL	2006-01-06	2014-12-31	2011-01-06	ACTIVE	3811214	9999-12-31	2013-05-08
375	2011-01-07	2011-07-06	INITIAL EXTENDED	2006-01-06	2014-12-31	2011-01-06	ACTIVE	3811214	9999-12-31	2013-05-08
375	2011-07-07	2012-12-31	INITIAL EXTENDED	2006-01-06	2014-12-31	2011-01-06	ACTIVE	3811214	9999-12-31	2013-05-08
375	2013-01-01	2014-12-31	INITIAL EXTENDED	2006-01-06	2014-12-31	2011-01-06	ACTIVE	3811214	9999-12-31	2013-05-08
376	2006-01-06	2010-01-06	INITIAL	2006-01-06	2010-01-06	2010-01-06	INACTIVE	3811255	9999-12-31	2013-05-08
376	2010-01-07	2011-01-06	INITIAL EXTENDED	2006-01-06	2010-01-06	2010-01-06	INACTIVE	3811255	9999-12-31	2013-05-08
377 S	2006-01-06	2013-01-06	INITIAL	2006-01-06	2012-07-06	2013-01-06	INACTIVE	3811290	2013-04-11	2013-05-08
377 S	2013-01-07	2014-01-06	INITIAL EXTENDED	2006-01-06	2012-07-06	2013-01-06	INACTIVE	3811290	2013-04-11	2013-05-08
378	2006-01-06	2012-01-06	INITIAL	2006-01-06	2016-01-06	2012-01-06	ACTIVE	3811312	2012-12-04	2013-05-08
378	2012-01-07	2013-01-06	INITIAL EXTENDED	2006-01-06	2016-01-06	2012-01-06	ACTIVE	3811312	2012-12-04	2013-05-08
378	2013-01-07	2014-01-06	INITIAL EXTENDED	2006-01-06	2016-01-06	2012-01-06	ACTIVE	3811312	2012-12-04	2013-05-08
378	2014-01-07	2016-01-06	INITIAL EXTENDED	2006-01-06	2016-01-06	2012-01-06	ACTIVE	3811312	9999-12-31	2013-05-08
379	2006-01-06	2012-01-06	INITIAL	2006-01-06	2010-01-05	2012-01-06	INACTIVE	3811357	9999-12-31	2013-05-08
379	2012-01-07	2013-01-06	INITIAL EXTENDED	2006-01-06	2010-01-05	2012-01-06	INACTIVE	3811357	9999-12-31	2013-05-08
380	2006-01-06	2011-01-06	INITIAL	2006-01-06	2010-01-06	2011-01-06	INACTIVE	3811381	9999-12-31	2013-05-08
381	2006-01-06	2012-01-06	INITIAL	2006-01-06	2009-02-06	2012-01-06	INACTIVE	3811409	9999-12-31	2013-05-08
382	2006-01-06	2013-01-06	INITIAL	2006-01-06	2011-04-06	2013-01-06	INACTIVE	3811444	9999-12-31	2013-05-08
382	2013-01-07	2013-07-06	INITIAL EXTENDED	2006-01-06	2011-04-06	2013-01-06	INACTIVE	3811444	9999-12-31	2013-05-08
382	2013-07-07	2014-04-06	INITIAL EXTENDED	2006-01-06	2011-04-06	2013-01-06	INACTIVE	3811444	9999-12-31	2013-05-08
383	2006-01-06	2011-01-06	INITIAL	2006-01-06	2010-07-06	2011-01-06	INACTIVE	3811499	9999-12-31	2013-05-08
383	2011-01-07	2012-07-06	INITIAL EXTENDED	2006-01-06	2010-07-06	2011-01-06	INACTIVE	3811499	9999-12-31	2013-05-08
384	2006-01-06	2011-01-06	INITIAL	2006-01-06	2008-04-01	2011-01-06	INACTIVE	3811564	9999-12-31	2013-05-08
385	2006-01-06	2012-01-06	INITIAL	2006-01-06	2014-01-06	2012-01-06	ACTIVE	3811602	9999-12-31	2013-05-08
385	2012-01-07	2013-01-06	INITIAL EXTENDED	2006-01-06	2014-01-06	2012-01-06	ACTIVE	3811602	9999-12-31	2013-05-08
385	2013-01-07	2014-01-06	INITIAL EXTENDED	2006-01-06	2014-01-06	2012-01-06	ACTIVE	3811602	9999-12-31	2013-05-08
386	2006-01-06	2013-01-06	INITIAL	2006-01-06	2013-04-06	2013-01-06	INACTIVE	3811659	2013-04-12	2013-05-08
386	2013-01-07	2014-01-06	INITIAL EXTENDED	2006-01-06	2013-04-06	2013-01-06	INACTIVE	3811659	2013-04-12	2013-05-08
043 BS	2006-01-06	2007-01-06	INITIAL	2006-01-06	2027-12-31	2007-01-06	ACTIVE	3811810	2012-08-04	2013-05-08
043 BS	2007-06-07	2012-08-06	PRODUCTION	2006-01-06	2027-12-31	2007-01-06	ACTIVE	3811810	2012-08-04	2013-05-08
043 BS	2012-08-07	2027-12-31	PRODUCTION EXTENDED	2006-01-06	2027-12-31	2007-01-06	ACTIVE	3811810	9999-12-31	2013-05-08
090 D	2006-01-06	2010-01-06	INITIAL	2006-01-06	2010-01-06	2010-01-06	INACTIVE	3811847	9999-12-31	2013-05-08
091 C	2006-01-06	2009-01-06	INITIAL	2006-01-06	2008-02-06	2009-01-06	INACTIVE	3811888	9999-12-31	2013-05-08
122 D	2006-01-06	2007-01-06	INITIAL	2006-01-06	2025-02-28	2007-01-06	ACTIVE	3811939	9999-12-31	2013-05-08
122 D	2007-01-07	2025-02-28	PRODUCTION	2006-01-06	2025-02-28	2007-01-06	ACTIVE	3811939	9999-12-31	2013-05-08
128 C	2006-01-06	2007-01-06	INITIAL	2006-01-06	2007-01-06	2007-01-06	INACTIVE	3811967	9999-12-31	2013-05-08
134 C	2006-01-06	2009-01-06	INITIAL	2006-01-06	2027-04-10	2009-01-06	ACTIVE	3812006	9999-12-31	2013-05-08
134 C	2009-01-07	2027-04-10	PRODUCTION	2006-01-06	2027-04-10	2009-01-06	ACTIVE	3812006	9999-12-31	2013-05-08
195 B	2006-01-06	2008-01-06	INITIAL	2006-01-06	2030-10-10	2008-01-06	ACTIVE	3812021	9999-12-31	2013-05-08
195 B	2008-01-07	2030-10-10	PRODUCTION	2006-01-06	2030-10-10	2008-01-06	ACTIVE	3812021	9999-12-31	2013-05-08
248 B	2006-01-06	2006-12-31	INITIAL	2006-01-06	2035-06-04	2006-12-31	ACTIVE	3812058	9999-12-31	2013-05-08
248 B	2007-01-01	2035-06-04	PRODUCTION	2006-01-06	2035-06-04	2006-12-31	ACTIVE	3812058	9999-12-31	2013-05-08
263 B	2006-01-06	2006-05-12	INITIAL	2006-01-06	2037-05-12	2006-05-12	ACTIVE	3812093	9999-12-31	2013-05-08
263 B	2006-05-13	2007-05-12	INITIAL EXTENDED	2006-01-06	2037-05-12	2006-05-12	ACTIVE	3812093	9999-12-31	2013-05-08
263 B	2007-05-13	2037-05-12	PRODUCTION	2006-01-06	2037-05-12	2006-05-12	ACTIVE	3812093	9999-12-31	2013-05-08
277 B	2006-01-06	2008-03-15	INITIAL	2006-01-06	2013-01-01	2008-03-15	INACTIVE	3812131	2013-01-03	2013-05-08
277 B	2008-03-16	2011-03-15	INITIAL EXTENDED	2006-01-06	2013-01-01	2008-03-15	INACTIVE	3812131	2013-01-03	2013-05-08
277 B	2011-03-16	2012-02-20	INITIAL EXTENDED	2006-01-06	2013-01-01	2008-03-15	INACTIVE	3812131	2013-01-03	2013-05-08
277 B	2012-02-21	2025-07-08	PRODUCTION	2006-01-06	2013-01-01	2008-03-15	INACTIVE	3812131	2013-01-03	2013-05-08
355	2006-01-06	2009-12-12	INITIAL	2006-01-06	2009-12-12	2009-12-12	INACTIVE	3812175	9999-12-31	2013-05-08
355	2009-12-13	2010-12-12	INITIAL EXTENDED	2006-01-06	2009-12-12	2009-12-12	INACTIVE	3812175	9999-12-31	2013-05-08
091 B	2006-01-06	2009-01-06	INITIAL	2006-01-06	2009-10-06	2009-01-06	INACTIVE	3812205	9999-12-31	2013-05-08
091 B	2009-01-07	2009-10-06	INITIAL EXTENDED	2006-01-06	2009-10-06	2009-01-06	INACTIVE	3812205	9999-12-31	2013-05-08
387	2006-04-28	2012-04-28	INITIAL	2006-04-28	2009-04-28	2012-04-28	INACTIVE	3964986	9999-12-31	2013-05-08
388	2006-04-28	2012-04-28	INITIAL	2006-04-28	2011-10-28	2012-04-28	INACTIVE	3965088	9999-12-31	2013-05-08
388	2012-04-29	2013-04-28	INITIAL EXTENDED	2006-04-28	2011-10-28	2012-04-28	INACTIVE	3965088	9999-12-31	2013-05-08
388	2013-04-29	2013-10-28	INITIAL EXTENDED	2006-04-28	2011-10-28	2012-04-28	INACTIVE	3965088	9999-12-31	2013-05-08
389	2006-04-28	2011-04-28	INITIAL	2006-04-28	2010-04-26	2011-04-28	INACTIVE	3965128	9999-12-31	2013-05-08
389	2011-04-29	2012-04-28	INITIAL EXTENDED	2006-04-28	2010-04-26	2011-04-28	INACTIVE	3965128	9999-12-31	2013-05-08
390	2006-04-28	2011-04-28	INITIAL	2006-04-28	2011-04-28	2011-04-28	INACTIVE	3965152	9999-12-31	2013-05-08
390	2011-04-29	2011-10-28	INITIAL EXTENDED	2006-04-28	2011-04-28	2011-04-28	INACTIVE	3965152	9999-12-31	2013-05-08
390	2011-10-29	2012-07-28	INITIAL EXTENDED	2006-04-28	2011-04-28	2011-04-28	INACTIVE	3965152	9999-12-31	2013-05-08
391	2006-04-28	2011-04-28	INITIAL	2006-04-28	2010-01-28	2011-04-28	INACTIVE	3965194	9999-12-31	2013-05-08
392	2006-04-28	2012-04-28	INITIAL	2006-04-28	2012-04-28	2012-04-28	INACTIVE	3965222	9999-12-31	2013-05-08
393	2006-04-28	2010-04-28	INITIAL	2006-04-28	2040-04-28	2010-04-28	ACTIVE	3965277	9999-12-31	2013-05-08
393	2010-04-29	2040-04-28	PRODUCTION	2006-04-28	2040-04-28	2010-04-28	ACTIVE	3965277	9999-12-31	2013-05-08
394	2006-04-28	2012-04-28	INITIAL	2006-04-28	2011-02-05	2012-04-28	INACTIVE	3965323	9999-12-31	2013-05-08
395	2006-04-28	2012-04-28	INITIAL	2006-04-28	2014-04-28	2012-04-28	ACTIVE	3965360	2013-02-13	2013-05-08
395	2012-04-29	2013-04-28	INITIAL EXTENDED	2006-04-28	2014-04-28	2012-04-28	ACTIVE	3965360	2013-02-13	2013-05-08
395	2013-04-29	2014-04-28	INITIAL EXTENDED	2006-04-28	2014-04-28	2012-04-28	ACTIVE	3965360	9999-12-31	2013-05-08
396	2006-04-28	2011-04-28	INITIAL	2006-04-28	2012-10-28	2011-04-28	INACTIVE	3965404	2012-12-04	2013-05-08
396	2011-04-29	2012-10-28	INITIAL EXTENDED	2006-04-28	2012-10-28	2011-04-28	INACTIVE	3965404	2012-12-04	2013-05-08
397	2006-04-28	2013-04-28	INITIAL	2006-04-28	2011-02-18	2013-04-28	INACTIVE	3965439	9999-12-31	2013-05-08
110 C	2006-04-28	2010-12-17	INITIAL	2006-04-28	2014-12-17	2010-12-17	ACTIVE	3986340	2012-11-07	2013-05-08
110 C	2010-12-18	2013-12-17	INITIAL EXTENDED	2006-04-28	2014-12-17	2010-12-17	ACTIVE	3986340	2012-11-07	2013-05-08
110 C	2013-12-18	2014-12-17	INITIAL EXTENDED	2006-04-28	2014-12-17	2010-12-17	ACTIVE	3986340	9999-12-31	2013-05-08
372 BS	2006-04-28	2012-01-06	INITIAL	2006-04-28	2009-07-06	2012-01-06	INACTIVE	3987486	9999-12-31	2013-05-08
372 BS	2012-01-07	2013-01-06	INITIAL EXTENDED	2006-04-28	2009-07-06	2012-01-06	INACTIVE	3987486	9999-12-31	2013-05-08
372 BS	2013-01-07	2013-07-06	INITIAL EXTENDED	2006-04-28	2009-07-06	2012-01-06	INACTIVE	3987486	9999-12-31	2013-05-08
038 C	2006-06-15	2007-07-15	INITIAL	2006-06-15	2021-04-01	2007-07-15	ACTIVE	4005057	9999-12-31	2013-05-08
038 C	2007-07-16	2021-04-01	PRODUCTION	2006-06-15	2021-04-01	2007-07-15	ACTIVE	4005057	9999-12-31	2013-05-08
046 B	2006-11-28	2007-11-28	INITIAL	2006-11-28	2028-12-31	2007-11-28	ACTIVE	4227611	9999-12-31	2013-05-08
046 B	2007-11-29	2028-12-31	PRODUCTION	2006-11-28	2028-12-31	2007-11-28	ACTIVE	4227611	9999-12-31	2013-05-08
046 BS	2006-11-28	2007-11-28	INITIAL	2006-11-28	2028-12-31	2007-11-28	ACTIVE	4227659	9999-12-31	2013-05-08
046 BS	2007-11-29	2028-12-31	PRODUCTION	2006-11-28	2028-12-31	2007-11-28	ACTIVE	4227659	9999-12-31	2013-05-08
354 B	2007-12-16	2011-01-06	INITIAL	2007-12-16	2010-01-06	2011-01-06	INACTIVE	4237131	9999-12-31	2013-05-08
399	2007-02-16	2012-08-16	INITIAL	2007-02-16	2009-02-16	2012-08-16	INACTIVE	4237147	9999-12-31	2013-05-08
440 S	2007-06-15	2013-06-15	INITIAL	2007-06-15	2015-06-15	2013-06-15	ACTIVE	4237161	9999-12-31	2013-05-08
440 S	2013-06-16	2015-06-15	INITIAL EXTENDED	2007-06-15	2015-06-15	2013-06-15	ACTIVE	4237161	9999-12-31	2013-05-08
398 S	2007-02-16	2013-02-16	INITIAL	2007-02-16	2009-02-16	2013-02-16	INACTIVE	4237177	9999-12-31	2013-05-08
402	2007-02-16	2013-02-16	INITIAL	2007-02-16	2017-02-16	2013-02-16	ACTIVE	4237193	2013-04-24	2013-05-08
402	2013-02-17	2017-02-16	INITIAL EXTENDED	2007-02-16	2017-02-16	2013-02-16	ACTIVE	4237193	9999-12-31	2013-05-08
404	2007-02-16	2014-02-16	INITIAL	2007-02-16	2012-08-16	2014-02-16	INACTIVE	4237207	2012-10-12	2013-05-08
404	2014-02-17	2015-08-16	INITIAL EXTENDED	2007-02-16	2012-08-16	2014-02-16	INACTIVE	4237207	2012-10-12	2013-05-08
401	2007-02-16	2012-08-16	INITIAL	2007-02-16	2009-12-16	2012-08-16	INACTIVE	4237219	9999-12-31	2013-05-08
403	2007-02-16	2013-02-16	INITIAL	2007-02-16	2008-02-16	2013-02-16	INACTIVE	4237233	9999-12-31	2013-05-08
400	2007-02-16	2013-02-16	INITIAL	2007-02-16	2012-02-16	2013-02-16	INACTIVE	4237242	9999-12-31	2013-05-08
400	2013-02-17	2014-02-16	INITIAL EXTENDED	2007-02-16	2012-02-16	2013-02-16	INACTIVE	4237242	9999-12-31	2013-05-08
411	2007-02-16	2013-02-16	INITIAL	2007-02-16	2012-05-16	2013-02-16	INACTIVE	4237252	2012-07-04	2013-05-08
411	2013-02-17	2015-05-16	INITIAL EXTENDED	2007-02-16	2012-05-16	2013-02-16	INACTIVE	4237252	2012-07-04	2013-05-08
441	2007-06-15	2013-06-15	INITIAL	2007-06-15	2008-05-25	2013-06-15	INACTIVE	4237270	9999-12-31	2013-05-08
405	2007-02-16	2013-02-16	INITIAL	2007-02-16	2016-02-16	2013-02-16	ACTIVE	4237284	9999-12-31	2013-05-08
405	2013-02-17	2016-02-16	INITIAL EXTENDED	2007-02-16	2016-02-16	2013-02-16	ACTIVE	4237284	9999-12-31	2013-05-08
407	2007-02-16	2011-02-16	INITIAL	2007-02-16	2016-02-16	2011-02-16	ACTIVE	4237300	2013-01-25	2013-05-08
407	2011-02-17	2012-02-16	INITIAL EXTENDED	2007-02-16	2016-02-16	2011-02-16	ACTIVE	4237300	2013-01-25	2013-05-08
407	2012-02-17	2013-02-16	INITIAL EXTENDED	2007-02-16	2016-02-16	2011-02-16	ACTIVE	4237300	2013-01-25	2013-05-08
407	2013-02-17	2014-02-16	INITIAL EXTENDED	2007-02-16	2016-02-16	2011-02-16	ACTIVE	4237300	2013-01-25	2013-05-08
407	2014-02-17	2015-02-16	INITIAL EXTENDED	2007-02-16	2016-02-16	2011-02-16	ACTIVE	4237300	2013-01-25	2013-05-08
407	2015-02-17	2016-02-16	INITIAL EXTENDED	2007-02-16	2016-02-16	2011-02-16	ACTIVE	4237300	9999-12-31	2013-05-08
406	2007-02-16	2013-02-16	INITIAL	2007-02-16	2015-02-16	2013-02-16	ACTIVE	4237318	2013-01-23	2013-05-08
406	2013-02-17	2014-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2013-02-16	ACTIVE	4237318	2013-01-23	2013-05-08
406	2014-02-17	2015-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2013-02-16	ACTIVE	4237318	9999-12-31	2013-05-08
316 B	2007-02-16	2010-06-18	INITIAL	2007-02-16	2030-06-18	2010-06-18	ACTIVE	4237334	9999-12-31	2013-05-08
316 B	2010-06-19	2030-06-18	PRODUCTION	2007-02-16	2030-06-18	2010-06-18	ACTIVE	4237334	9999-12-31	2013-05-08
408	2007-02-16	2012-02-16	INITIAL	2007-02-16	2010-12-31	2012-02-16	INACTIVE	4237444	9999-12-31	2013-05-08
410	2007-02-16	2012-02-16	INITIAL	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4237458	9999-12-31	2013-05-08
410	2012-02-17	2015-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4237458	9999-12-31	2013-05-08
409	2007-02-16	2012-02-16	INITIAL	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4237470	9999-12-31	2013-05-08
409	2012-02-17	2013-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4237470	9999-12-31	2013-05-08
409	2013-02-17	2015-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4237470	9999-12-31	2013-05-08
413	2007-02-16	2012-02-16	INITIAL	2007-02-16	2010-08-16	2012-02-16	INACTIVE	4237482	9999-12-31	2013-05-08
413	2012-02-17	2013-08-16	INITIAL EXTENDED	2007-02-16	2010-08-16	2012-02-16	INACTIVE	4237482	9999-12-31	2013-05-08
415	2007-02-16	2010-02-16	INITIAL	2007-02-16	2009-02-16	2010-02-16	INACTIVE	4237498	9999-12-31	2013-05-08
442	2007-06-15	2011-06-15	INITIAL	2007-06-15	2014-03-15	2011-06-15	ACTIVE	4237510	9999-12-31	2013-05-08
442	2011-06-16	2012-12-15	INITIAL EXTENDED	2007-06-15	2014-03-15	2011-06-15	ACTIVE	4237510	9999-12-31	2013-05-08
442	2012-12-16	2014-03-15	INITIAL EXTENDED	2007-06-15	2014-03-15	2011-06-15	ACTIVE	4237510	9999-12-31	2013-05-08
414	2007-02-16	2012-02-16	INITIAL	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4237582	2013-03-22	2013-05-08
414	2012-02-17	2013-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4237582	2013-03-22	2013-05-08
414	2013-02-17	2014-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4237582	2013-03-22	2013-05-08
414	2014-02-17	2015-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4237582	9999-12-31	2013-05-08
412	2007-02-16	2012-02-16	INITIAL	2007-02-16	2011-02-17	2012-02-16	INACTIVE	4237612	9999-12-31	2013-05-08
417	2007-02-16	2012-02-16	INITIAL	2007-02-16	2010-02-16	2012-02-16	INACTIVE	4237645	9999-12-31	2013-05-08
416	2007-02-16	2013-02-16	INITIAL	2007-02-16	2012-02-16	2013-02-16	INACTIVE	4237675	9999-12-31	2013-05-08
423 S	2007-02-16	2012-02-16	INITIAL	2007-02-16	2011-08-16	2012-02-16	INACTIVE	4237691	9999-12-31	2013-05-08
423 S	2012-02-17	2013-08-16	INITIAL EXTENDED	2007-02-16	2011-08-16	2012-02-16	INACTIVE	4237691	9999-12-31	2013-05-08
423 S	2013-08-17	2014-08-16	INITIAL EXTENDED	2007-02-16	2011-08-16	2012-02-16	INACTIVE	4237691	9999-12-31	2013-05-08
445	2007-06-15	2012-06-15	INITIAL	2007-06-15	2009-06-15	2012-06-15	INACTIVE	4237722	9999-12-31	2013-05-08
424	2007-02-16	2012-02-16	INITIAL	2007-02-16	2009-08-16	2012-02-16	INACTIVE	4237756	9999-12-31	2013-05-08
425 S	2007-02-16	2012-02-16	INITIAL	2007-02-16	2009-02-16	2012-02-16	INACTIVE	4237783	9999-12-31	2013-05-08
427 S	2007-02-16	2012-02-16	INITIAL	2007-02-16	2009-04-16	2012-02-16	INACTIVE	4237809	9999-12-31	2013-05-08
427 S	2012-02-17	2012-04-16	INITIAL EXTENDED	2007-02-16	2009-04-16	2012-02-16	INACTIVE	4237809	9999-12-31	2013-05-08
443	2007-06-15	2013-06-15	INITIAL	2007-06-15	2010-06-15	2013-06-15	INACTIVE	4237831	9999-12-31	2013-05-08
422 S	2007-02-16	2012-02-16	INITIAL	2007-02-16	2009-02-16	2012-02-16	INACTIVE	4237847	9999-12-31	2013-05-08
444	2007-06-15	2014-06-15	INITIAL	2007-06-15	2010-09-30	2014-06-15	INACTIVE	4237881	9999-12-31	2013-05-08
050 D	2007-02-16	2010-02-16	INITIAL	2007-02-16	2031-09-10	2010-02-16	ACTIVE	4237912	9999-12-31	2013-05-08
050 D	2010-02-17	2016-06-30	PRODUCTION	2007-02-16	2031-09-10	2010-02-16	ACTIVE	4237912	9999-12-31	2013-05-08
050 D	2016-07-01	2031-09-10	PRODUCTION EXTENDED	2007-02-16	2031-09-10	2010-02-16	ACTIVE	4237912	9999-12-31	2013-05-08
426	2007-02-16	2011-08-16	INITIAL	2007-02-16	2010-08-16	2011-08-16	INACTIVE	4238116	9999-12-31	2013-05-08
318 B	2007-02-16	2010-06-18	INITIAL	2007-02-16	2014-06-18	2010-06-18	ACTIVE	4238138	2012-06-09	2013-05-08
318 B	2010-06-19	2012-06-18	INITIAL EXTENDED	2007-02-16	2014-06-18	2010-06-18	ACTIVE	4238138	2012-06-09	2013-05-08
318 B	2012-06-19	2014-06-18	INITIAL EXTENDED	2007-02-16	2014-06-18	2010-06-18	ACTIVE	4238138	9999-12-31	2013-05-08
421	2007-02-16	2012-02-16	INITIAL	2007-02-16	2009-02-16	2012-02-16	INACTIVE	4238186	9999-12-31	2013-05-08
418	2007-02-16	2012-02-16	INITIAL	2007-02-16	2016-02-16	2012-02-16	ACTIVE	4238348	2013-02-08	2013-05-08
418	2012-02-17	2013-02-16	INITIAL EXTENDED	2007-02-16	2016-02-16	2012-02-16	ACTIVE	4238348	2013-02-08	2013-05-08
418	2013-02-17	2014-02-16	INITIAL EXTENDED	2007-02-16	2016-02-16	2012-02-16	ACTIVE	4238348	2013-02-08	2013-05-08
418	2014-02-17	2016-02-16	INITIAL EXTENDED	2007-02-16	2016-02-16	2012-02-16	ACTIVE	4238348	9999-12-31	2013-05-08
420	2007-02-16	2012-02-16	INITIAL	2007-02-16	2015-08-16	2012-02-16	ACTIVE	4238409	2012-11-13	2013-05-08
420	2012-02-17	2013-08-16	INITIAL EXTENDED	2007-02-16	2015-08-16	2012-02-16	ACTIVE	4238409	2012-11-13	2013-05-08
420	2013-08-17	2015-08-16	INITIAL EXTENDED	2007-02-16	2015-08-16	2012-02-16	ACTIVE	4238409	9999-12-31	2013-05-08
419	2007-02-16	2012-02-16	INITIAL	2007-02-16	2011-02-17	2012-02-16	INACTIVE	4238530	9999-12-31	2013-05-08
446	2007-06-15	2012-06-15	INITIAL	2007-06-15	2009-06-15	2012-06-15	INACTIVE	4238548	9999-12-31	2013-05-08
430	2007-02-16	2012-02-16	INITIAL	2007-02-16	2009-02-16	2012-02-16	INACTIVE	4238564	9999-12-31	2013-05-08
429	2007-02-16	2012-02-16	INITIAL	2007-02-16	2012-02-16	2012-02-16	INACTIVE	4238578	9999-12-31	2013-05-08
429	2012-02-17	2013-02-16	INITIAL EXTENDED	2007-02-16	2012-02-16	2012-02-16	INACTIVE	4238578	9999-12-31	2013-05-08
428	2007-02-16	2012-02-16	INITIAL	2007-02-16	2009-02-16	2012-02-16	INACTIVE	4238624	9999-12-31	2013-05-08
211 B	2007-02-16	2009-02-16	INITIAL	2007-02-16	2032-02-02	2009-02-16	ACTIVE	4238638	9999-12-31	2013-05-08
211 B	2009-02-17	2010-02-16	INITIAL EXTENDED	2007-02-16	2032-02-02	2009-02-16	ACTIVE	4238638	9999-12-31	2013-05-08
211 B	2010-02-17	2032-02-02	PRODUCTION	2007-02-16	2032-02-02	2009-02-16	ACTIVE	4238638	9999-12-31	2013-05-08
433	2007-02-16	2012-02-16	INITIAL	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4238654	2012-11-20	2013-05-08
433	2012-02-17	2014-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4238654	2012-11-20	2013-05-08
433	2014-02-17	2015-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4238654	9999-12-31	2013-05-08
436	2007-02-16	2013-02-16	INITIAL	2007-02-16	2010-02-16	2013-02-16	INACTIVE	4238670	9999-12-31	2013-05-08
212 D	2007-02-16	2011-02-16	INITIAL	2007-02-16	2010-01-01	2011-02-16	INACTIVE	4238684	9999-12-31	2013-05-08
435	2007-02-16	2012-02-16	INITIAL	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4238696	2013-02-08	2013-05-08
435	2012-02-17	2014-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4238696	2013-02-08	2013-05-08
435	2014-02-17	2015-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2012-02-16	ACTIVE	4238696	9999-12-31	2013-05-08
431	2007-02-16	2012-02-16	INITIAL	2007-02-16	2012-08-16	2012-02-16	INACTIVE	4238714	2012-10-12	2013-05-08
431	2012-02-17	2013-08-16	INITIAL EXTENDED	2007-02-16	2012-08-16	2012-02-16	INACTIVE	4238714	2012-10-12	2013-05-08
434	2007-02-16	2012-02-16	INITIAL	2007-02-16	2012-02-16	2012-02-16	INACTIVE	4238730	9999-12-31	2013-05-08
434	2012-02-17	2013-02-16	INITIAL EXTENDED	2007-02-16	2012-02-16	2012-02-16	INACTIVE	4238730	9999-12-31	2013-05-08
432	2007-02-16	2013-02-16	INITIAL	2007-02-16	2010-02-16	2013-02-16	INACTIVE	4238746	9999-12-31	2013-05-08
447	2007-06-15	2013-06-15	INITIAL	2007-06-15	2011-06-16	2013-06-15	INACTIVE	4238758	9999-12-31	2013-05-08
447	2013-06-16	2014-06-15	INITIAL EXTENDED	2007-06-15	2011-06-16	2013-06-15	INACTIVE	4238758	9999-12-31	2013-05-08
437	2007-02-16	2013-02-16	INITIAL	2007-02-16	2012-02-16	2013-02-16	INACTIVE	4238776	9999-12-31	2013-05-08
448	2007-06-15	2013-06-15	INITIAL	2007-06-15	2016-06-15	2013-06-15	ACTIVE	4238790	9999-12-31	2013-05-08
448	2013-06-16	2016-06-15	INITIAL EXTENDED	2007-06-15	2016-06-15	2013-06-15	ACTIVE	4238790	9999-12-31	2013-05-08
438	2007-02-16	2013-02-16	INITIAL	2007-02-16	2015-02-16	2013-02-16	ACTIVE	4238812	9999-12-31	2013-05-08
438	2013-02-17	2015-02-16	INITIAL EXTENDED	2007-02-16	2015-02-16	2013-02-16	ACTIVE	4238812	9999-12-31	2013-05-08
439	2007-02-16	2013-02-16	INITIAL	2007-02-16	2012-12-16	2013-02-16	INACTIVE	4238830	2013-02-13	2013-05-08
439	2013-02-17	2015-02-16	INITIAL EXTENDED	2007-02-16	2012-12-16	2013-02-16	INACTIVE	4238830	2013-02-13	2013-05-08
449	2007-06-15	2013-06-15	INITIAL	2007-06-15	2010-06-15	2013-06-15	INACTIVE	4238846	9999-12-31	2013-05-08
050 DS	2006-10-06	2007-10-06	INITIAL	2006-10-06	2023-08-23	2007-10-06	ACTIVE	4380141	9999-12-31	2013-05-08
050 DS	2007-10-07	2023-08-23	PRODUCTION	2006-10-06	2023-08-23	2007-10-06	ACTIVE	4380141	9999-12-31	2013-05-08
120 B	2006-10-06	2007-10-06	INITIAL	2006-10-06	2034-08-23	2007-10-06	ACTIVE	4380181	9999-12-31	2013-05-08
120 B	2007-10-07	2023-08-23	PRODUCTION	2006-10-06	2034-08-23	2007-10-06	ACTIVE	4380181	9999-12-31	2013-05-08
120 B	2023-08-24	2034-08-23	PRODUCTION EXTENDED	2006-10-06	2034-08-23	2007-10-06	ACTIVE	4380181	9999-12-31	2013-05-08
229 B	2007-04-27	2012-04-27	INITIAL	2007-04-27	2042-05-15	2012-04-27	ACTIVE	4461754	2012-07-04	2013-05-08
229 B	2012-04-28	2042-05-15	PRODUCTION	2007-04-27	2042-05-15	2012-04-27	ACTIVE	4461754	9999-12-31	2013-05-08
316 CS	2007-08-23	2010-06-18	INITIAL	2007-08-23	2010-06-18	2010-06-18	INACTIVE	4480974	9999-12-31	2013-05-08
316 DS	2007-08-23	2010-06-18	INITIAL	2007-08-23	2010-06-18	2010-06-18	INACTIVE	4481011	9999-12-31	2013-05-08
202	1993-09-10	2003-09-10	INITIAL	1993-09-10	2008-01-01	2003-09-10	INACTIVE	4705176	9999-12-31	2013-05-08
202	2003-09-11	2008-01-01	PRODUCTION	1993-09-10	2008-01-01	2003-09-10	INACTIVE	4705176	9999-12-31	2013-05-08
327 B	2007-12-07	2011-06-18	INITIAL	2007-12-07	2041-06-18	2011-06-18	ACTIVE	4720054	9999-12-31	2013-05-08
327 B	2011-06-19	2041-06-18	PRODUCTION	2007-12-07	2041-06-18	2011-06-18	ACTIVE	4720054	9999-12-31	2013-05-08
321 B	2007-12-07	2010-06-18	INITIAL	2007-12-07	2010-06-18	2010-06-18	INACTIVE	4720082	9999-12-31	2013-05-08
274 CS	2008-02-29	2009-03-15	INITIAL	2008-02-29	2039-09-15	2009-03-15	ACTIVE	4909658	9999-12-31	2013-05-08
274 CS	2009-03-16	2009-09-15	INITIAL EXTENDED	2008-02-29	2039-09-15	2009-03-15	ACTIVE	4909658	9999-12-31	2013-05-08
274 CS	2009-09-16	2039-09-15	PRODUCTION	2008-02-29	2039-09-15	2009-03-15	ACTIVE	4909658	9999-12-31	2013-05-08
006 D	2008-02-29	2012-02-29	INITIAL	2008-02-29	2011-08-29	2012-02-29	INACTIVE	4909688	9999-12-31	2013-05-08
454	2008-02-29	2013-03-01	INITIAL	2008-02-29	2010-03-01	2013-03-01	INACTIVE	4909716	9999-12-31	2013-05-08
452	2008-02-29	2012-02-29	INITIAL	2008-02-29	2009-08-29	2012-02-29	INACTIVE	4909740	9999-12-31	2013-05-08
450	2008-02-29	2014-03-01	INITIAL	2008-02-29	2015-03-01	2014-03-01	ACTIVE	4909784	2013-03-22	2013-05-08
450	2014-03-02	2015-03-01	INITIAL EXTENDED	2008-02-29	2015-03-01	2014-03-01	ACTIVE	4909784	9999-12-31	2013-05-08
455	2008-02-29	2014-03-01	INITIAL	2008-02-29	2014-03-01	2014-03-01	ACTIVE	4909816	9999-12-31	2013-05-08
453 S	2008-02-29	2014-03-01	INITIAL	2008-02-29	2015-03-01	2014-03-01	ACTIVE	4909893	2012-11-08	2013-05-08
453 S	2014-03-02	2015-03-01	INITIAL EXTENDED	2008-02-29	2015-03-01	2014-03-01	ACTIVE	4909893	9999-12-31	2013-05-08
451	2008-02-29	2014-03-01	INITIAL	2008-02-29	2011-03-01	2014-03-01	INACTIVE	4910013	9999-12-31	2013-05-08
457	2008-02-29	2015-03-01	INITIAL	2008-02-29	2015-03-01	2015-03-01	ACTIVE	4910110	9999-12-31	2013-05-08
456	2008-02-29	2014-03-01	INITIAL	2008-02-29	2009-02-28	2014-03-01	INACTIVE	4910146	9999-12-31	2013-05-08
460	2008-02-29	2011-03-01	INITIAL	2008-02-29	2015-03-01	2011-03-01	ACTIVE	4910195	2013-02-28	2013-05-08
460	2011-03-02	2012-03-01	INITIAL EXTENDED	2008-02-29	2015-03-01	2011-03-01	ACTIVE	4910195	2013-02-28	2013-05-08
460	2012-03-02	2013-03-01	INITIAL EXTENDED	2008-02-29	2015-03-01	2011-03-01	ACTIVE	4910195	2013-02-28	2013-05-08
460	2013-03-02	2015-03-01	INITIAL EXTENDED	2008-02-29	2015-03-01	2011-03-01	ACTIVE	4910195	9999-12-31	2013-05-08
459	2008-02-29	2013-03-01	INITIAL	2008-02-29	2010-03-01	2013-03-01	INACTIVE	4910251	9999-12-31	2013-05-08
458	2008-02-29	2013-03-01	INITIAL	2008-02-29	2010-03-01	2013-03-01	INACTIVE	4910277	9999-12-31	2013-05-08
461	2008-02-29	2014-03-01	INITIAL	2008-02-29	2010-03-01	2014-03-01	INACTIVE	4910313	9999-12-31	2013-05-08
462 S	2008-02-29	2015-03-01	INITIAL	2008-02-29	2011-03-01	2015-03-01	INACTIVE	4910350	9999-12-31	2013-05-08
463 S	2008-02-29	2014-03-01	INITIAL	2008-02-29	2011-08-28	2014-03-01	INACTIVE	4910414	9999-12-31	2013-05-08
465	2008-02-29	2015-03-01	INITIAL	2008-02-29	2011-03-01	2015-03-01	INACTIVE	4918009	9999-12-31	2013-05-08
052 C	2008-02-29	2012-02-29	INITIAL	2008-02-29	2011-03-01	2012-02-29	INACTIVE	4918046	9999-12-31	2013-05-08
052 C	2012-03-01	2013-02-28	INITIAL EXTENDED	2008-02-29	2011-03-01	2012-02-29	INACTIVE	4918046	9999-12-31	2013-05-08
464	2008-02-29	2013-03-01	INITIAL	2008-02-29	2011-03-01	2013-03-01	INACTIVE	4918076	9999-12-31	2013-05-08
464	2013-03-02	2014-02-28	INITIAL EXTENDED	2008-02-29	2011-03-01	2013-03-01	INACTIVE	4918076	9999-12-31	2013-05-08
344 B	2008-02-29	2009-12-17	INITIAL	2008-02-29	2010-12-07	2009-12-17	INACTIVE	4918142	9999-12-31	2013-05-08
344 B	2009-12-18	2010-12-17	INITIAL EXTENDED	2008-02-29	2010-12-07	2009-12-17	INACTIVE	4918142	9999-12-31	2013-05-08
344 B	2010-12-18	2011-12-17	INITIAL EXTENDED	2008-02-29	2010-12-07	2009-12-17	INACTIVE	4918142	9999-12-31	2013-05-08
466 S	2008-02-29	2014-03-01	INITIAL	2008-02-29	2010-03-01	2014-03-01	INACTIVE	4918164	9999-12-31	2013-05-08
467 S	2008-02-29	2013-03-01	INITIAL	2008-02-29	2010-08-29	2013-03-01	INACTIVE	4918211	9999-12-31	2013-05-08
467 S	2013-03-02	2013-08-29	INITIAL EXTENDED	2008-02-29	2010-08-29	2013-03-01	INACTIVE	4918211	9999-12-31	2013-05-08
153 B	2008-02-29	2010-11-25	INITIAL	2008-02-29	2028-07-08	2010-11-25	ACTIVE	4918242	9999-12-31	2013-05-08
153 B	2010-11-26	2028-07-08	PRODUCTION	2008-02-29	2028-07-08	2010-11-25	ACTIVE	4918242	9999-12-31	2013-05-08
468	2008-02-29	2013-03-01	INITIAL	2008-02-29	2012-02-29	2013-03-01	INACTIVE	4918281	9999-12-31	2013-05-08
474	2008-02-29	2013-02-28	INITIAL	2008-02-29	2010-09-01	2013-02-28	INACTIVE	4918303	9999-12-31	2013-05-08
474	2013-03-01	2013-09-01	INITIAL EXTENDED	2008-02-29	2010-09-01	2013-02-28	INACTIVE	4918303	9999-12-31	2013-05-08
472	2008-02-29	2013-02-28	INITIAL	2008-02-29	2010-03-01	2013-02-28	INACTIVE	4918367	9999-12-31	2013-05-08
475	2008-02-29	2012-02-29	INITIAL	2008-02-29	2015-02-28	2012-02-29	ACTIVE	4918410	2013-02-13	2013-05-08
475	2012-03-01	2014-02-28	INITIAL EXTENDED	2008-02-29	2015-02-28	2012-02-29	ACTIVE	4918410	2013-02-13	2013-05-08
475	2014-03-01	2015-02-28	INITIAL EXTENDED	2008-02-29	2015-02-28	2012-02-29	ACTIVE	4918410	9999-12-31	2013-05-08
405 B	2008-02-29	2013-02-16	INITIAL	2008-02-29	2016-02-16	2013-02-16	ACTIVE	4918473	9999-12-31	2013-05-08
405 B	2013-02-17	2016-02-16	INITIAL EXTENDED	2008-02-29	2016-02-16	2013-02-16	ACTIVE	4918473	9999-12-31	2013-05-08
471	2008-02-29	2014-02-28	INITIAL	2008-02-29	2013-02-28	2014-02-28	INACTIVE	4918501	2013-03-22	2013-05-08
074 B	2008-02-29	2010-03-01	INITIAL	2008-02-29	2027-04-10	2010-03-01	ACTIVE	4918544	9999-12-31	2013-05-08
074 B	2010-03-02	2027-04-10	PRODUCTION	2008-02-29	2027-04-10	2010-03-01	ACTIVE	4918544	9999-12-31	2013-05-08
473	2008-02-29	2013-02-28	INITIAL	2008-02-29	2015-03-01	2013-02-28	ACTIVE	4920841	9999-12-31	2013-05-08
473	2013-03-01	2015-03-01	INITIAL EXTENDED	2008-02-29	2015-03-01	2013-02-28	ACTIVE	4920841	9999-12-31	2013-05-08
469	2008-02-29	2012-02-29	INITIAL	2008-02-29	2011-02-28	2012-02-29	INACTIVE	4920878	9999-12-31	2013-05-08
469	2012-03-01	2013-02-28	INITIAL EXTENDED	2008-02-29	2011-02-28	2012-02-29	INACTIVE	4920878	9999-12-31	2013-05-08
470	2008-02-29	2011-03-01	INITIAL	2008-02-29	2011-03-01	2011-03-01	INACTIVE	4920926	9999-12-31	2013-05-08
479	2008-02-29	2013-02-28	INITIAL	2008-02-29	2015-03-01	2013-02-28	ACTIVE	4920979	2013-02-13	2013-05-08
479	2013-03-01	2014-03-01	INITIAL EXTENDED	2008-02-29	2015-03-01	2013-02-28	ACTIVE	4920979	2013-02-13	2013-05-08
479	2014-03-02	2015-03-01	INITIAL EXTENDED	2008-02-29	2015-03-01	2013-02-28	ACTIVE	4920979	9999-12-31	2013-05-08
477	2008-02-29	2014-02-28	INITIAL	2008-02-29	2015-03-01	2014-02-28	ACTIVE	4921022	2012-12-19	2013-05-08
477	2014-03-01	2015-03-01	INITIAL EXTENDED	2008-02-29	2015-03-01	2014-02-28	ACTIVE	4921022	9999-12-31	2013-05-08
487 S	2008-02-29	2013-03-01	INITIAL	2008-02-29	2010-03-01	2013-03-01	INACTIVE	4921153	9999-12-31	2013-05-08
488	2008-02-29	2014-03-01	INITIAL	2008-02-29	2012-11-19	2014-03-01	INACTIVE	4921192	2013-01-23	2013-05-08
478	2008-02-29	2014-02-28	INITIAL	2008-02-29	2011-08-29	2014-02-28	INACTIVE	4921207	9999-12-31	2013-05-08
480	2008-02-29	2013-02-28	INITIAL	2008-02-29	2010-03-01	2013-02-28	INACTIVE	4921338	9999-12-31	2013-05-08
490	2008-02-29	2014-03-01	INITIAL	2008-02-29	2014-03-01	2014-03-01	ACTIVE	4921353	9999-12-31	2013-05-08
476	2008-02-29	2012-02-29	INITIAL	2008-02-29	2011-01-22	2012-02-29	INACTIVE	4921415	9999-12-31	2013-05-08
482	2008-02-29	2014-02-28	INITIAL	2008-02-29	2013-03-01	2014-02-28	INACTIVE	4921474	2013-04-13	2013-05-08
489	2008-02-29	2014-03-01	INITIAL	2008-02-29	2014-03-01	2014-03-01	ACTIVE	4921522	9999-12-31	2013-05-08
481	2008-02-29	2014-02-28	INITIAL	2008-02-29	2013-03-01	2014-02-28	INACTIVE	4921546	2013-05-08	2013-05-08
448 B	2008-02-29	2013-06-15	INITIAL	2008-02-29	2010-09-15	2013-06-15	INACTIVE	4921587	9999-12-31	2013-05-08
484	2008-02-29	2013-03-01	INITIAL	2008-02-29	2016-02-28	2013-03-01	ACTIVE	4921632	2013-03-22	2013-05-08
484	2013-03-02	2015-03-01	INITIAL EXTENDED	2008-02-29	2016-02-28	2013-03-01	ACTIVE	4921632	2013-03-22	2013-05-08
484	2015-03-02	2016-02-28	INITIAL EXTENDED	2008-02-29	2016-02-28	2013-03-01	ACTIVE	4921632	9999-12-31	2013-05-08
491	2008-02-29	2014-03-01	INITIAL	2008-02-29	2011-03-01	2014-03-01	INACTIVE	4921667	9999-12-31	2013-05-08
229 C	2008-02-29	2011-03-01	INITIAL	2008-02-29	2009-02-28	2011-03-01	INACTIVE	4921701	9999-12-31	2013-05-08
485	2008-02-29	2013-03-01	INITIAL	2008-02-29	2011-02-28	2013-03-01	INACTIVE	4921710	9999-12-31	2013-05-08
485	2013-03-02	2014-02-28	INITIAL EXTENDED	2008-02-29	2011-02-28	2013-03-01	INACTIVE	4921710	9999-12-31	2013-05-08
483 S	2008-02-29	2013-03-01	INITIAL	2008-02-29	2011-01-16	2013-03-01	INACTIVE	4921755	9999-12-31	2013-05-08
486 S	2008-02-29	2013-03-01	INITIAL	2008-02-29	2010-03-01	2013-03-01	INACTIVE	4921823	9999-12-31	2013-05-08
492	2008-02-29	2014-03-01	INITIAL	2008-02-29	2015-03-01	2014-03-01	ACTIVE	4925088	9999-12-31	2013-05-08
492	2014-03-02	2015-03-01	INITIAL EXTENDED	2008-02-29	2015-03-01	2014-03-01	ACTIVE	4925088	9999-12-31	2013-05-08
159 C	2008-02-13	2029-03-03	PRODUCTION	2008-02-13	2029-03-03	2029-03-03	ACTIVE	4939362	9999-12-31	2013-05-08
159 D	2008-02-13	2029-03-03	PRODUCTION	2008-02-13	2029-03-03	2029-03-03	ACTIVE	4939421	9999-12-31	2013-05-08
027 D	2007-12-07	2015-05-23	PRODUCTION	2007-12-07	2015-05-23	2015-05-23	ACTIVE	4943160	9999-12-31	2013-05-08
263 C	2008-04-18	2037-05-12	PRODUCTION	2008-04-18	2037-05-12	2037-05-12	ACTIVE	4966437	9999-12-31	2013-05-08
212 E	2008-01-23	2033-02-02	PRODUCTION	2008-01-23	2033-02-02	2033-02-02	ACTIVE	4966902	9999-12-31	2013-05-08
301 B	2008-05-21	2008-12-12	INITIAL	2008-05-21	2011-06-13	2008-12-12	INACTIVE	4973175	9999-12-31	2013-05-08
301 B	2008-12-13	2011-12-12	INITIAL EXTENDED	2008-05-21	2011-06-13	2008-12-12	INACTIVE	4973175	9999-12-31	2013-05-08
301 CS	2008-05-21	2008-12-12	INITIAL	2008-05-21	2012-06-12	2008-12-12	INACTIVE	4973200	2012-09-12	2013-05-08
301 CS	2008-12-13	2013-06-12	INITIAL EXTENDED	2008-05-21	2012-06-12	2008-12-12	INACTIVE	4973200	2012-09-12	2013-05-08
036 D	2008-10-17	2021-06-11	PRODUCTION	2008-10-17	2021-06-11	2021-06-11	ACTIVE	5081703	9999-12-31	2013-05-08
035 B	2008-11-26	2015-11-14	PRODUCTION	2008-11-26	2015-11-14	2015-11-14	ACTIVE	5105684	9999-12-31	2013-05-08
493	2009-01-23	2015-01-23	INITIAL	2009-01-23	2012-01-23	2015-01-23	INACTIVE	5105835	9999-12-31	2013-05-08
494	2009-01-23	2016-01-23	INITIAL	2009-01-23	2016-07-23	2016-01-23	ACTIVE	5105899	9999-12-31	2013-05-08
494	2016-01-24	2016-07-23	INITIAL EXTENDED	2009-01-23	2016-07-23	2016-01-23	ACTIVE	5105899	9999-12-31	2013-05-08
495	2009-01-23	2015-01-23	INITIAL	2009-01-23	2015-07-23	2015-01-23	ACTIVE	5105968	9999-12-31	2013-05-08
495	2015-01-24	2015-07-23	INITIAL EXTENDED	2009-01-23	2015-07-23	2015-01-23	ACTIVE	5105968	9999-12-31	2013-05-08
496	2009-01-23	2014-01-23	INITIAL	2009-01-23	2011-03-08	2014-01-23	INACTIVE	5106035	9999-12-31	2013-05-08
497	2009-01-23	2015-01-23	INITIAL	2009-01-23	2016-01-23	2015-01-23	ACTIVE	5106073	2013-02-21	2013-05-08
497	2015-01-24	2016-01-23	INITIAL EXTENDED	2009-01-23	2016-01-23	2015-01-23	ACTIVE	5106073	9999-12-31	2013-05-08
498	2009-01-23	2015-01-23	INITIAL	2009-01-23	2015-01-23	2015-01-23	ACTIVE	5106134	9999-12-31	2013-05-08
499 S	2009-01-23	2015-01-23	INITIAL	2009-01-23	2011-07-23	2015-01-23	INACTIVE	5106238	9999-12-31	2013-05-08
500	2009-01-23	2015-01-23	INITIAL	2009-01-23	2017-01-23	2015-01-23	ACTIVE	5106274	2012-06-09	2013-05-08
500	2015-01-24	2017-01-23	INITIAL EXTENDED	2009-01-23	2017-01-23	2015-01-23	ACTIVE	5106274	9999-12-31	2013-05-08
501	2009-01-23	2015-01-23	INITIAL	2009-01-23	2015-01-23	2015-01-23	ACTIVE	5106314	9999-12-31	2013-05-08
502	2009-01-23	2011-01-23	INITIAL	2009-01-23	2016-01-23	2011-01-23	ACTIVE	5106378	9999-12-31	2013-05-08
502	2011-01-24	2012-01-23	INITIAL EXTENDED	2009-01-23	2016-01-23	2011-01-23	ACTIVE	5106378	9999-12-31	2013-05-08
502	2012-01-24	2016-01-23	INITIAL EXTENDED	2009-01-23	2016-01-23	2011-01-23	ACTIVE	5106378	9999-12-31	2013-05-08
503	2009-01-23	2017-01-23	INITIAL	2009-01-23	2017-01-23	2017-01-23	ACTIVE	5106405	9999-12-31	2013-05-08
504	2009-01-23	2014-01-23	INITIAL	2009-01-23	2014-01-23	2014-01-23	ACTIVE	5106455	9999-12-31	2013-05-08
505	2009-01-23	2014-01-23	INITIAL	2009-01-23	2016-10-23	2014-01-23	ACTIVE	5106486	9999-12-31	2013-05-08
505	2014-01-24	2016-10-23	INITIAL EXTENDED	2009-01-23	2016-10-23	2014-01-23	ACTIVE	5106486	9999-12-31	2013-05-08
506 S	2009-01-23	2016-01-23	INITIAL	2009-01-23	2016-01-23	2016-01-23	ACTIVE	5106544	9999-12-31	2013-05-08
518	2009-01-23	2016-01-23	INITIAL	2009-01-23	2013-01-23	2016-01-23	INACTIVE	5106560	2013-03-22	2013-05-08
507	2009-01-23	2015-01-23	INITIAL	2009-01-23	2015-01-23	2015-01-23	ACTIVE	5106689	9999-12-31	2013-05-08
508 S	2009-01-23	2016-01-23	INITIAL	2009-01-23	2012-01-23	2016-01-23	INACTIVE	5106810	9999-12-31	2013-05-08
509 S	2009-01-23	2016-01-23	INITIAL	2009-01-23	2016-01-23	2016-01-23	ACTIVE	5106880	9999-12-31	2013-05-08
510	2009-01-23	2015-01-23	INITIAL	2009-01-23	2016-01-23	2015-01-23	ACTIVE	5106991	2013-01-12	2013-05-08
510	2015-01-24	2016-01-23	INITIAL EXTENDED	2009-01-23	2016-01-23	2015-01-23	ACTIVE	5106991	9999-12-31	2013-05-08
517	2009-01-23	2016-01-23	INITIAL	2009-01-23	2012-01-23	2016-01-23	INACTIVE	5107074	9999-12-31	2013-05-08
516	2009-01-23	2011-01-23	INITIAL	2009-01-23	2026-02-28	2011-01-23	ACTIVE	5107101	9999-12-31	2013-05-08
516	2011-01-24	2011-10-23	INITIAL EXTENDED	2009-01-23	2026-02-28	2011-01-23	ACTIVE	5107101	9999-12-31	2013-05-08
516	2011-10-24	2026-02-28	PRODUCTION	2009-01-23	2026-02-28	2011-01-23	ACTIVE	5107101	9999-12-31	2013-05-08
515	2009-01-23	2016-01-23	INITIAL	2009-01-23	2012-04-23	2016-01-23	INACTIVE	5107133	2012-12-04	2013-05-08
514	2009-01-23	2015-01-23	INITIAL	2009-01-23	2011-01-22	2015-01-23	INACTIVE	5107175	9999-12-31	2013-05-08
513	2009-01-23	2015-01-23	INITIAL	2009-01-23	2015-07-23	2015-01-23	ACTIVE	5107217	2012-12-13	2013-05-08
513	2015-01-24	2015-07-23	INITIAL EXTENDED	2009-01-23	2015-07-23	2015-01-23	ACTIVE	5107217	9999-12-31	2013-05-08
432 B	2009-01-23	2013-02-16	INITIAL	2009-01-23	2010-02-16	2013-02-16	INACTIVE	5107289	9999-12-31	2013-05-08
512	2009-01-23	2016-01-23	INITIAL	2009-01-23	2017-07-23	2016-01-23	ACTIVE	5107312	9999-12-31	2013-05-08
512	2016-01-24	2017-07-23	INITIAL EXTENDED	2009-01-23	2017-07-23	2016-01-23	ACTIVE	5107312	9999-12-31	2013-05-08
107 B	2009-01-23	2015-01-23	INITIAL	2009-01-23	2015-01-23	2015-01-23	ACTIVE	5107376	9999-12-31	2013-05-08
511	2009-01-23	2015-01-23	INITIAL	2009-01-23	2015-01-23	2015-01-23	ACTIVE	5107428	9999-12-31	2013-05-08
292 B	2009-01-23	2010-06-27	INITIAL	2009-01-23	2026-04-01	2010-06-27	ACTIVE	5107501	9999-12-31	2013-05-08
292 B	2010-06-28	2026-04-01	PRODUCTION	2009-01-23	2026-04-01	2010-06-27	ACTIVE	5107501	9999-12-31	2013-05-08
465 B	2009-01-23	2015-03-01	INITIAL	2009-01-23	2011-03-01	2015-03-01	INACTIVE	5107561	9999-12-31	2013-05-08
193 B	2009-01-23	2011-01-23	INITIAL	2009-01-23	2031-09-10	2011-01-23	ACTIVE	5107611	9999-12-31	2013-05-08
193 B	2011-01-24	2031-09-10	PRODUCTION	2009-01-23	2031-09-10	2011-01-23	ACTIVE	5107611	9999-12-31	2013-05-08
472 B	2009-01-23	2013-03-01	INITIAL	2009-01-23	2010-03-01	2013-03-01	INACTIVE	5107640	9999-12-31	2013-05-08
475 BS	2009-01-23	2015-01-23	INITIAL	2009-01-23	2016-02-28	2015-01-23	ACTIVE	5107669	2013-03-22	2013-05-08
475 BS	2015-01-24	2016-02-28	INITIAL EXTENDED	2009-01-23	2016-02-28	2015-01-23	ACTIVE	5107669	9999-12-31	2013-05-08
402 B	2009-01-23	2013-02-16	INITIAL	2009-01-23	2017-02-16	2013-02-16	ACTIVE	5107780	2013-04-24	2013-05-08
402 B	2013-02-17	2017-02-16	INITIAL EXTENDED	2009-01-23	2017-02-16	2013-02-16	ACTIVE	5107780	9999-12-31	2013-05-08
107 C	2009-01-23	2015-01-23	INITIAL	2009-01-23	2017-01-23	2015-01-23	ACTIVE	5115394	2012-12-11	2013-05-08
107 C	2015-01-24	2017-01-23	INITIAL EXTENDED	2009-01-23	2017-01-23	2015-01-23	ACTIVE	5115394	9999-12-31	2013-05-08
519	2009-05-15	2013-05-15	INITIAL	2009-05-15	2013-05-15	2013-05-15	ACTIVE	5463084	9999-12-31	2013-05-08
318 C	2009-05-15	2010-06-18	INITIAL	2009-05-15	2014-06-18	2010-06-18	ACTIVE	5463114	2012-06-09	2013-05-08
318 C	2010-06-19	2012-06-18	INITIAL EXTENDED	2009-05-15	2014-06-18	2010-06-18	ACTIVE	5463114	2012-06-09	2013-05-08
318 C	2012-06-19	2014-06-18	INITIAL EXTENDED	2009-05-15	2014-06-18	2010-06-18	ACTIVE	5463114	9999-12-31	2013-05-08
520	2009-05-15	2017-05-15	INITIAL	2009-05-15	2017-05-15	2017-05-15	ACTIVE	5463136	9999-12-31	2013-05-08
521	2009-05-15	2015-05-15	INITIAL	2009-05-15	2015-05-15	2015-05-15	ACTIVE	5463210	9999-12-31	2013-05-08
522	2009-05-15	2015-05-15	INITIAL	2009-05-15	2015-05-15	2015-05-15	ACTIVE	5463248	9999-12-31	2013-05-08
523	2009-05-15	2015-05-15	INITIAL	2009-05-15	2012-05-15	2015-05-15	INACTIVE	5463304	2012-07-04	2013-05-08
524	2009-05-15	2015-05-15	INITIAL	2009-05-15	2012-05-15	2015-05-15	INACTIVE	5463333	9999-12-31	2013-05-08
525	2009-05-15	2015-05-15	INITIAL	2009-05-15	2015-05-15	2015-05-15	ACTIVE	5463362	9999-12-31	2013-05-08
526	2009-05-15	2014-05-15	INITIAL	2009-05-15	2014-05-15	2014-05-15	ACTIVE	5463391	9999-12-31	2013-05-08
527	2009-05-15	2017-05-15	INITIAL	2009-05-15	2017-05-15	2017-05-15	ACTIVE	5463429	9999-12-31	2013-05-08
528	2009-05-15	2015-05-15	INITIAL	2009-05-15	2015-05-15	2015-05-15	ACTIVE	5463521	9999-12-31	2013-05-08
529	2009-05-15	2016-05-15	INITIAL	2009-05-15	2016-05-15	2016-05-15	ACTIVE	5463559	9999-12-31	2013-05-08
530	2009-05-15	2015-05-15	INITIAL	2009-05-15	2013-03-12	2015-05-15	INACTIVE	5463588	2013-03-22	2013-05-08
531	2009-05-15	2014-05-15	INITIAL	2009-05-15	2014-05-15	2014-05-15	ACTIVE	5463621	9999-12-31	2013-05-08
532	2009-05-15	2018-05-15	INITIAL	2009-05-15	2018-05-15	2018-05-15	ACTIVE	5463659	9999-12-31	2013-05-08
533	2009-05-15	2014-05-15	INITIAL	2009-05-15	2014-05-15	2014-05-15	ACTIVE	5463724	9999-12-31	2013-05-08
534	2009-05-15	2015-05-15	INITIAL	2009-05-15	2015-05-15	2015-05-15	ACTIVE	5463753	9999-12-31	2013-05-08
535	2009-05-15	2014-05-15	INITIAL	2009-05-15	2014-05-15	2014-05-15	ACTIVE	5463791	9999-12-31	2013-05-08
536	2009-05-15	2015-05-15	INITIAL	2009-05-15	2012-11-15	2015-05-15	INACTIVE	5463820	2013-01-23	2013-05-08
537	2009-05-15	2014-05-15	INITIAL	2009-05-15	2014-05-15	2014-05-15	ACTIVE	5463849	9999-12-31	2013-05-08
102 C	2009-03-20	2025-03-01	PRODUCTION	2009-03-20	2025-03-01	2025-03-01	ACTIVE	5467035	9999-12-31	2013-05-08
169 C	2009-03-27	2030-03-01	PRODUCTION	2009-03-27	2030-03-01	2030-03-01	ACTIVE	5479914	9999-12-31	2013-05-08
538	2009-05-15	2015-05-15	INITIAL	2009-05-15	2012-05-15	2015-05-15	INACTIVE	5480294	9999-12-31	2013-05-08
019 D	2009-01-16	2011-09-01	PRODUCTION	2009-01-16	2018-09-01	2011-09-01	ACTIVE	5488531	9999-12-31	2013-05-08
019 D	2011-09-02	2018-09-01	PRODUCTION EXTENDED	2009-01-16	2018-09-01	2011-09-01	ACTIVE	5488531	9999-12-31	2013-05-08
299 B	2009-01-16	2011-06-12	PRODUCTION	2009-01-16	2010-01-01	2011-06-12	INACTIVE	5488567	9999-12-31	2013-05-08
038 D	2009-05-15	2021-04-01	PRODUCTION	2009-05-15	2021-04-01	2021-04-01	ACTIVE	5500999	9999-12-31	2013-05-08
539	2010-02-19	2017-02-19	INITIAL	2010-02-19	2017-02-19	2017-02-19	ACTIVE	17320077	9999-12-31	2013-05-08
540	2010-02-19	2015-02-19	INITIAL	2010-02-19	2011-08-19	2015-02-19	INACTIVE	17320106	9999-12-31	2013-05-08
541	2010-02-19	2016-02-19	INITIAL	2010-02-19	2016-02-19	2016-02-19	ACTIVE	17320130	9999-12-31	2013-05-08
542	2010-02-19	2015-02-19	INITIAL	2010-02-19	2015-02-19	2015-02-19	ACTIVE	17320156	9999-12-31	2013-05-08
331 C	2010-02-19	2013-06-17	INITIAL	2010-02-19	2011-06-18	2013-06-17	INACTIVE	17320176	9999-12-31	2013-05-08
497 B	2010-02-19	2015-01-23	INITIAL	2010-02-19	2016-01-23	2015-01-23	ACTIVE	17320202	2013-02-21	2013-05-08
497 B	2015-01-24	2016-01-23	INITIAL EXTENDED	2010-02-19	2016-01-23	2015-01-23	ACTIVE	17320202	9999-12-31	2013-05-08
543	2010-02-19	2016-02-19	INITIAL	2010-02-19	2012-11-19	2016-02-19	INACTIVE	17320231	2013-02-08	2013-05-08
544	2010-02-19	2015-02-19	INITIAL	2010-02-19	2016-02-19	2015-02-19	ACTIVE	17320260	2012-12-13	2013-05-08
544	2015-02-20	2016-02-19	INITIAL EXTENDED	2010-02-19	2016-02-19	2015-02-19	ACTIVE	17320260	9999-12-31	2013-05-08
545	2010-02-19	2019-02-19	INITIAL	2010-02-19	2012-02-19	2019-02-19	INACTIVE	17320282	9999-12-31	2013-05-08
546	2010-02-19	2016-02-19	INITIAL	2010-02-19	2018-02-19	2016-02-19	ACTIVE	17320338	2013-03-23	2013-05-08
546	2016-02-20	2017-02-19	INITIAL EXTENDED	2010-02-19	2018-02-19	2016-02-19	ACTIVE	17320338	2013-03-23	2013-05-08
546	2017-02-20	2018-02-19	INITIAL EXTENDED	2010-02-19	2018-02-19	2016-02-19	ACTIVE	17320338	9999-12-31	2013-05-08
169 D	2010-02-19	2011-02-19	INITIAL	2010-02-19	2030-03-01	2011-02-19	ACTIVE	17320383	9999-12-31	2013-05-08
169 D	2011-02-20	2030-03-01	PRODUCTION	2010-02-19	2030-03-01	2011-02-19	ACTIVE	17320383	9999-12-31	2013-05-08
340 BS	2010-02-19	2011-06-17	INITIAL	2010-02-19	2014-12-17	2011-06-17	ACTIVE	17320421	2012-12-13	2013-05-08
340 BS	2011-06-18	2012-06-17	INITIAL EXTENDED	2010-02-19	2014-12-17	2011-06-17	ACTIVE	17320421	2012-12-13	2013-05-08
340 BS	2012-06-18	2014-12-17	Missing info. about phase	2010-02-19	2014-12-17	2011-06-17	ACTIVE	17320421	9999-12-31	2013-05-08
547 S	2010-02-19	2016-02-19	INITIAL	2010-02-19	2012-02-19	2016-02-19	INACTIVE	17320441	9999-12-31	2013-05-08
504 BS	2010-02-19	2014-01-23	INITIAL	2010-02-19	2014-01-23	2014-01-23	ACTIVE	17320469	9999-12-31	2013-05-08
548 S	2010-02-19	2016-02-19	INITIAL	2010-02-19	2012-02-19	2016-02-19	INACTIVE	17320489	2012-07-04	2013-05-08
505 BS	2010-02-19	2014-01-23	INITIAL	2010-02-19	2016-10-23	2014-01-23	ACTIVE	17320530	9999-12-31	2013-05-08
505 BS	2014-01-24	2016-10-23	INITIAL EXTENDED	2010-02-19	2016-10-23	2014-01-23	ACTIVE	17320530	9999-12-31	2013-05-08
549 S	2010-02-19	2018-02-19	INITIAL	2010-02-19	2018-02-19	2018-02-19	ACTIVE	17320558	9999-12-31	2013-05-08
550	2010-02-19	2016-02-19	INITIAL	2010-02-19	2016-02-19	2016-02-19	ACTIVE	17320594	9999-12-31	2013-05-08
551	2010-02-19	2016-02-19	INITIAL	2010-02-19	2016-02-19	2016-02-19	ACTIVE	17642019	9999-12-31	2013-05-08
090 E	2010-02-19	2011-02-19	INITIAL	2010-02-19	2024-03-09	2011-02-19	ACTIVE	17642079	9999-12-31	2013-05-08
090 E	2011-02-20	2024-03-09	PRODUCTION	2010-02-19	2024-03-09	2011-02-19	ACTIVE	17642079	9999-12-31	2013-05-08
552	2010-02-19	2014-02-19	INITIAL	2010-02-19	2014-02-19	2014-02-19	ACTIVE	17642108	9999-12-31	2013-05-08
553	2010-02-19	2015-02-19	INITIAL	2010-02-19	2016-02-19	2015-02-19	ACTIVE	17646365	2013-03-22	2013-05-08
553	2015-02-20	2016-02-19	INITIAL EXTENDED	2010-02-19	2016-02-19	2015-02-19	ACTIVE	17646365	9999-12-31	2013-05-08
554	2010-02-19	2015-02-19	INITIAL	2010-02-19	2016-02-19	2015-02-19	ACTIVE	17654471	2013-03-19	2013-05-08
554	2015-02-20	2016-02-19	INITIAL EXTENDED	2010-02-19	2016-02-19	2015-02-19	ACTIVE	17654471	9999-12-31	2013-05-08
423 BS	2010-02-19	2012-02-16	INITIAL	2010-02-19	2011-08-16	2012-02-16	INACTIVE	17654498	9999-12-31	2013-05-08
423 BS	2012-02-17	2014-08-16	INITIAL EXTENDED	2010-02-19	2011-08-16	2012-02-16	INACTIVE	17654498	9999-12-31	2013-05-08
555	2010-02-19	2016-02-19	INITIAL	2010-02-19	2016-02-19	2016-02-19	ACTIVE	17654533	9999-12-31	2013-05-08
556	2010-02-19	2015-02-19	INITIAL	2010-02-19	2011-02-19	2015-02-19	INACTIVE	17654560	9999-12-31	2013-05-08
093 B	2010-02-19	2011-02-19	INITIAL	2010-02-19	2014-02-19	2011-02-19	ACTIVE	17654585	2013-02-05	2013-05-08
093 B	2011-02-20	2012-02-19	INITIAL EXTENDED	2010-02-19	2014-02-19	2011-02-19	ACTIVE	17654585	2013-02-05	2013-05-08
093 B	2012-02-20	2013-02-19	INITIAL EXTENDED	2010-02-19	2014-02-19	2011-02-19	ACTIVE	17654585	2013-02-05	2013-05-08
093 B	2013-02-20	2014-02-19	INITIAL EXTENDED	2010-02-19	2014-02-19	2011-02-19	ACTIVE	17654585	9999-12-31	2013-05-08
312 B	2010-02-19	2011-01-20	INITIAL	2010-02-19	2013-12-12	2011-01-20	ACTIVE	17654614	9999-12-31	2013-05-08
312 B	2011-01-21	2012-01-20	INITIAL EXTENDED	2010-02-19	2013-12-12	2011-01-20	ACTIVE	17654614	9999-12-31	2013-05-08
312 B	2012-01-21	2013-01-20	INITIAL EXTENDED	2010-02-19	2013-12-12	2011-01-20	ACTIVE	17654614	9999-12-31	2013-05-08
312 B	2013-01-21	2013-12-12	INITIAL EXTENDED	2010-02-19	2013-12-12	2011-01-20	ACTIVE	17654614	9999-12-31	2013-05-08
557	2010-02-19	2017-02-19	INITIAL	2010-02-19	2019-02-19	2017-02-19	ACTIVE	17654641	2013-02-08	2013-05-08
557	2017-02-20	2019-02-19	INITIAL EXTENDED	2010-02-19	2019-02-19	2017-02-19	ACTIVE	17654641	9999-12-31	2013-05-08
477 B	2010-02-19	2014-02-28	INITIAL	2010-02-19	2015-03-01	2014-02-28	ACTIVE	17654703	2012-12-19	2013-05-08
477 B	2014-03-01	2015-03-01	INITIAL EXTENDED	2010-02-19	2015-03-01	2014-02-28	ACTIVE	17654703	9999-12-31	2013-05-08
558	2010-02-19	2016-02-19	INITIAL	2010-02-19	2016-02-19	2016-02-19	ACTIVE	17654732	9999-12-31	2013-05-08
559	2010-02-19	2016-02-19	INITIAL	2010-02-19	2016-02-19	2016-02-19	ACTIVE	17654775	9999-12-31	2013-05-08
560	2010-02-19	2015-02-19	INITIAL	2010-02-19	2011-02-19	2015-02-19	INACTIVE	17654831	9999-12-31	2013-05-08
561	2010-02-19	2016-02-19	INITIAL	2010-02-19	2013-02-19	2016-02-19	INACTIVE	17654869	2013-04-03	2013-05-08
562	2010-02-19	2017-02-19	INITIAL	2010-02-19	2017-02-19	2017-02-19	ACTIVE	17654921	9999-12-31	2013-05-08
518 B	2010-02-19	2016-01-23	INITIAL	2010-02-19	2013-01-23	2016-01-23	INACTIVE	17654970	2013-03-22	2013-05-08
563	2010-02-19	2017-02-19	INITIAL	2010-02-19	2017-02-19	2017-02-19	ACTIVE	17655034	9999-12-31	2013-05-08
564	2010-02-19	2016-02-19	INITIAL	2010-02-19	2017-02-19	2016-02-19	ACTIVE	17655076	2012-12-19	2013-05-08
564	2016-02-20	2017-02-19	INITIAL EXTENDED	2010-02-19	2017-02-19	2016-02-19	ACTIVE	17655076	9999-12-31	2013-05-08
028 S	2009-11-13	2030-03-01	PRODUCTION	2009-11-13	2030-03-01	2030-03-01	ACTIVE	18054740	9999-12-31	2013-05-08
043 CS	2010-05-12	2027-12-31	PRODUCTION	2010-05-12	2027-12-31	2027-12-31	ACTIVE	18116800	9999-12-31	2013-05-08
043 DS	2010-05-12	2027-12-31	PRODUCTION	2010-05-12	2027-12-31	2027-12-31	ACTIVE	18116829	9999-12-31	2013-05-08
330 B	2010-10-22	2014-01-01	INITIAL	2010-10-22	2011-06-01	2014-01-01	INACTIVE	18403842	9999-12-31	2013-05-08
393 B	2010-09-10	2013-09-10	INITIAL	2010-09-10	2013-09-10	2013-09-10	ACTIVE	18404594	9999-12-31	2013-05-08
048 E	2010-12-09	2028-12-31	PRODUCTION	2010-12-09	2028-12-31	2028-12-31	ACTIVE	18450020	9999-12-31	2013-05-08
565	2011-02-04	2018-02-04	INITIAL	2011-02-04	2018-08-04	2018-02-04	ACTIVE	20088435	2013-02-08	2013-05-08
565	2018-02-05	2018-08-04	INITIAL EXTENDED	2011-02-04	2018-08-04	2018-02-04	ACTIVE	20088435	9999-12-31	2013-05-08
566 S	2011-02-04	2018-02-04	INITIAL	2011-02-04	2019-02-04	2018-02-04	ACTIVE	20088461	2013-01-03	2013-05-08
566 S	2018-02-05	2019-02-04	INITIAL EXTENDED	2011-02-04	2019-02-04	2018-02-04	ACTIVE	20088461	9999-12-31	2013-05-08
494 B	2011-02-04	2016-01-23	INITIAL	2011-02-04	2016-07-23	2016-01-23	ACTIVE	20088555	9999-12-31	2013-05-08
494 B	2016-01-24	2016-07-23	INITIAL EXTENDED	2011-02-04	2016-07-23	2016-01-23	ACTIVE	20088555	9999-12-31	2013-05-08
567	2011-02-04	2018-02-04	INITIAL	2011-02-04	2019-02-04	2018-02-04	ACTIVE	20088593	2013-02-13	2013-05-08
567	2018-02-05	2019-02-04	INITIAL EXTENDED	2011-02-04	2019-02-04	2018-02-04	ACTIVE	20088593	9999-12-31	2013-05-08
301 D	2011-02-04	2011-12-12	INITIAL	2011-02-04	2013-12-12	2011-12-12	ACTIVE	20088622	9999-12-31	2013-05-08
301 D	2011-12-13	2013-12-12	INITIAL EXTENDED	2011-02-04	2013-12-12	2011-12-12	ACTIVE	20088622	9999-12-31	2013-05-08
568	2011-02-04	2017-02-04	INITIAL	2011-02-04	2017-02-04	2017-02-04	ACTIVE	20088760	9999-12-31	2013-05-08
360 B	2011-02-04	2014-01-06	INITIAL	2011-02-04	2014-01-06	2014-01-06	ACTIVE	20107847	9999-12-31	2013-05-08
569	2011-02-04	2015-02-04	INITIAL	2011-02-04	2015-02-04	2015-02-04	ACTIVE	20107876	9999-12-31	2013-05-08
503 B	2011-02-04	2017-01-23	INITIAL	2011-02-04	2017-01-23	2017-01-23	ACTIVE	20107903	9999-12-31	2013-05-08
501 B	2011-02-04	2015-01-23	INITIAL	2011-02-04	2015-01-23	2015-01-23	ACTIVE	20107950	9999-12-31	2013-05-08
570	2011-02-04	2018-02-04	INITIAL	2011-02-04	2018-02-04	2018-02-04	ACTIVE	20107979	9999-12-31	2013-05-08
571	2011-02-04	2017-02-04	INITIAL	2011-02-04	2017-02-04	2017-02-04	ACTIVE	20108024	9999-12-31	2013-05-08
150 B	2011-02-04	2012-02-04	INITIAL	2011-02-04	2016-08-04	2012-02-04	ACTIVE	20108072	2012-11-01	2013-05-08
150 B	2012-02-05	2012-08-04	INITIAL EXTENDED	2011-02-04	2016-08-04	2012-02-04	ACTIVE	20108072	2012-11-01	2013-05-08
150 B	2012-08-05	2016-08-04	INITIAL EXTENDED	2011-02-04	2016-08-04	2012-02-04	ACTIVE	20108072	9999-12-31	2013-05-08
506 BS	2011-02-04	2016-01-23	INITIAL	2011-02-04	2016-01-23	2016-01-23	ACTIVE	20108101	9999-12-31	2013-05-08
506 CS	2011-02-04	2016-01-23	INITIAL	2011-02-04	2016-01-23	2016-01-23	ACTIVE	20108128	9999-12-31	2013-05-08
572 S	2011-02-04	2019-02-04	INITIAL	2011-02-04	2012-02-04	2019-02-04	INACTIVE	20108160	9999-12-31	2013-05-08
573 S	2011-02-04	2018-02-04	INITIAL	2011-02-04	2018-02-04	2018-02-04	ACTIVE	20108194	9999-12-31	2013-05-08
574	2011-02-04	2018-02-04	INITIAL	2011-02-04	2020-02-04	2018-02-04	ACTIVE	20108260	2013-02-13	2013-05-08
574	2018-02-05	2020-02-04	INITIAL EXTENDED	2011-02-04	2020-02-04	2018-02-04	ACTIVE	20108260	9999-12-31	2013-05-08
575	2011-02-04	2018-02-04	INITIAL	2011-02-04	2013-02-04	2018-02-04	INACTIVE	20108314	2013-03-23	2013-05-08
576	2011-02-04	2017-02-04	INITIAL	2011-02-04	2013-02-04	2017-02-04	INACTIVE	20108349	2013-04-03	2013-05-08
309 B	2011-02-04	2012-12-12	INITIAL	2011-02-04	2031-03-01	2012-12-12	ACTIVE	20108378	9999-12-31	2013-05-08
309 B	2012-12-13	2031-03-01	PRODUCTION	2011-02-04	2031-03-01	2012-12-12	ACTIVE	20108378	9999-12-31	2013-05-08
193 C	2011-02-04	2012-02-04	INITIAL	2011-02-04	2031-09-10	2012-02-04	ACTIVE	20108409	2012-07-04	2013-05-08
193 C	2012-02-05	2031-09-10	PRODUCTION	2011-02-04	2031-09-10	2012-02-04	ACTIVE	20108409	9999-12-31	2013-05-08
378 B	2011-02-04	2013-01-06	INITIAL	2011-02-04	2013-01-06	2013-01-06	ACTIVE	20108440	2013-01-15	2013-05-08
577	2011-02-04	2018-02-04	INITIAL	2011-02-04	2018-02-04	2018-02-04	ACTIVE	20108473	9999-12-31	2013-05-08
554 B	2011-02-04	2015-02-19	INITIAL	2011-02-04	2016-02-19	2015-02-19	ACTIVE	20108509	2013-03-19	2013-05-08
554 B	2015-02-20	2016-02-19	INITIAL EXTENDED	2011-02-04	2016-02-19	2015-02-19	ACTIVE	20108509	9999-12-31	2013-05-08
377 BS	2011-02-04	2014-01-06	INITIAL	2011-02-04	2012-07-06	2014-01-06	INACTIVE	20108534	2013-04-11	2013-05-08
578	2011-02-04	2019-02-04	INITIAL	2011-02-04	2019-02-04	2019-02-04	ACTIVE	20108565	9999-12-31	2013-05-08
375 B	2011-02-04	2012-12-31	INITIAL	2011-02-04	2014-12-31	2012-12-31	ACTIVE	20108600	9999-12-31	2013-05-08
375 B	2013-01-01	2014-12-31	INITIAL EXTENDED	2011-02-04	2014-12-31	2012-12-31	ACTIVE	20108600	9999-12-31	2013-05-08
370 B	2011-02-04	2013-01-06	INITIAL	2011-02-04	2014-07-06	2013-01-06	ACTIVE	20108642	2013-01-15	2013-05-08
370 B	2013-01-07	2014-01-06	INITIAL EXTENDED	2011-02-04	2014-07-06	2013-01-06	ACTIVE	20108642	2013-01-15	2013-05-08
370 B	2014-01-07	2014-07-06	INITIAL EXTENDED	2011-02-04	2014-07-06	2013-01-06	ACTIVE	20108642	9999-12-31	2013-05-08
579	2011-02-04	2017-02-04	INITIAL	2011-02-04	2017-02-04	2017-02-04	ACTIVE	20108664	9999-12-31	2013-05-08
580	2011-02-04	2019-02-04	INITIAL	2011-02-04	2019-02-04	2019-02-04	ACTIVE	20108700	9999-12-31	2013-05-08
581	2011-02-04	2019-02-04	INITIAL	2011-02-04	2019-02-04	2019-02-04	ACTIVE	20108743	9999-12-31	2013-05-08
582	2011-02-04	2018-02-04	INITIAL	2011-02-04	2019-02-04	2018-02-04	ACTIVE	20108820	2013-01-03	2013-05-08
582	2018-02-05	2019-02-04	Missing info. about phase	2011-02-04	2019-02-04	2018-02-04	ACTIVE	20108820	9999-12-31	2013-05-08
468 B	2011-02-04	2013-03-01	INITIAL	2011-02-04	2012-02-29	2013-03-01	INACTIVE	20108859	9999-12-31	2013-05-08
583	2011-02-04	2019-02-04	INITIAL	2011-02-04	2019-02-04	2019-02-04	ACTIVE	20109004	9999-12-31	2013-05-08
584	2011-02-04	2019-02-04	INITIAL	2011-02-04	2019-02-04	2019-02-04	ACTIVE	20109082	9999-12-31	2013-05-08
585	2011-02-04	2018-02-04	INITIAL	2011-02-04	2018-02-04	2018-02-04	ACTIVE	20109152	9999-12-31	2013-05-08
586	2011-02-04	2017-02-04	INITIAL	2011-02-04	2017-02-04	2017-02-04	ACTIVE	20109200	9999-12-31	2013-05-08
587	2011-02-04	2018-02-04	INITIAL	2011-02-04	2018-02-04	2018-02-04	ACTIVE	20109234	9999-12-31	2013-05-08
348 B	2011-02-04	2011-12-17	INITIAL	2011-02-04	2014-12-17	2011-12-17	ACTIVE	20109261	2012-11-08	2013-05-08
348 B	2011-12-18	2012-12-17	INITIAL EXTENDED	2011-02-04	2014-12-17	2011-12-17	ACTIVE	20109261	2012-11-08	2013-05-08
348 B	2012-12-18	2014-12-17	Missing info. about phase	2011-02-04	2014-12-17	2011-12-17	ACTIVE	20109261	9999-12-31	2013-05-08
588	2011-02-04	2016-02-04	INITIAL	2011-02-04	2012-02-04	2016-02-04	INACTIVE	20109294	2012-12-04	2013-05-08
589	2011-02-04	2017-02-04	INITIAL	2011-02-04	2017-02-04	2017-02-04	ACTIVE	20109325	9999-12-31	2013-05-08
475 CS	2011-02-04	2015-01-23	INITIAL	2011-02-04	2016-02-28	2015-01-23	ACTIVE	20109375	2013-03-22	2013-05-08
475 CS	2015-01-24	2016-02-28	INITIAL EXTENDED	2011-02-04	2016-02-28	2015-01-23	ACTIVE	20109375	9999-12-31	2013-05-08
590	2011-02-04	2016-02-04	INITIAL	2011-02-04	2016-02-04	2016-02-04	ACTIVE	20109438	9999-12-31	2013-05-08
591	2011-02-04	2017-02-04	INITIAL	2011-02-04	2017-02-04	2017-02-04	ACTIVE	20109475	9999-12-31	2013-05-08
592	2011-02-04	2018-02-04	INITIAL	2011-02-04	2018-02-04	2018-02-04	ACTIVE	20109566	9999-12-31	2013-05-08
593	2011-02-04	2017-02-04	INITIAL	2011-02-04	2013-02-04	2017-02-04	INACTIVE	20109597	2013-03-22	2013-05-08
594	2011-02-04	2018-02-04	INITIAL	2011-02-04	2013-02-04	2018-02-04	INACTIVE	20109626	2013-03-22	2013-05-08
595	2011-02-04	2019-02-04	INITIAL	2011-02-04	2019-02-04	2019-02-04	ACTIVE	20109655	9999-12-31	2013-05-08
596	2011-05-13	2020-05-13	INITIAL	2011-05-13	2020-05-13	2020-05-13	ACTIVE	20428440	9999-12-31	2013-05-08
597	2011-05-13	2016-05-13	INITIAL	2011-05-13	2016-05-13	2016-05-13	ACTIVE	20428525	9999-12-31	2013-05-08
599	2011-05-13	2016-05-13	INITIAL	2011-05-13	2016-05-13	2016-05-13	ACTIVE	20428552	9999-12-31	2013-05-08
600	2011-05-13	2016-05-13	INITIAL	2011-05-13	2016-05-13	2016-05-13	ACTIVE	20428617	9999-12-31	2013-05-08
598	2011-05-13	2018-05-13	INITIAL	2011-05-13	2018-05-13	2018-05-13	ACTIVE	20428655	9999-12-31	2013-05-08
601	2011-05-13	2017-05-13	INITIAL	2011-05-13	2017-05-13	2017-05-13	ACTIVE	20428711	9999-12-31	2013-05-08
602	2011-05-13	2017-05-13	INITIAL	2011-05-13	2017-05-13	2017-05-13	ACTIVE	20428749	9999-12-31	2013-05-08
603	2011-05-13	2017-05-13	INITIAL	2011-05-13	2017-05-13	2017-05-13	ACTIVE	20428814	9999-12-31	2013-05-08
218 B	2011-05-13	2012-05-13	INITIAL	2011-05-13	2041-02-02	2012-05-13	ACTIVE	20428874	2012-08-16	2013-05-08
218 B	2012-05-14	2012-08-17	INITIAL EXTENDED	2011-05-13	2041-02-02	2012-05-13	ACTIVE	20428874	2012-08-16	2013-05-08
218 B	2012-08-18	2041-02-02	PRODUCTION	2011-05-13	2041-02-02	2012-05-13	ACTIVE	20428874	9999-12-31	2013-05-08
524 B	2011-05-13	2015-05-15	INITIAL	2011-05-13	2012-05-15	2015-05-15	INACTIVE	20428934	9999-12-31	2013-05-08
528 B	2011-05-13	2015-05-15	INITIAL	2011-05-13	2015-05-15	2015-05-15	ACTIVE	20428963	9999-12-31	2013-05-08
604	2011-05-13	2017-05-13	INITIAL	2011-05-13	2017-05-13	2017-05-13	ACTIVE	20428990	9999-12-31	2013-05-08
605	2011-05-13	2017-05-13	INITIAL	2011-05-13	2017-05-13	2017-05-13	ACTIVE	20429042	9999-12-31	2013-05-08
606	2011-05-13	2017-05-13	INITIAL	2011-05-13	2017-05-13	2017-05-13	ACTIVE	20429078	9999-12-31	2013-05-08
607	2011-05-13	2015-05-13	INITIAL	2011-05-13	2015-05-13	2015-05-13	ACTIVE	20429121	9999-12-31	2013-05-08
608	2011-05-13	2016-05-13	INITIAL	2011-05-13	2016-05-13	2016-05-13	ACTIVE	20429159	9999-12-31	2013-05-08
609	2011-05-13	2017-05-13	INITIAL	2011-05-13	2017-05-13	2017-05-13	ACTIVE	20429186	9999-12-31	2013-05-08
610	2011-05-13	2017-05-13	INITIAL	2011-05-13	2017-05-13	2017-05-13	ACTIVE	20429259	9999-12-31	2013-05-08
611	2011-05-13	2017-05-13	INITIAL	2011-05-13	2017-05-13	2017-05-13	ACTIVE	20429303	9999-12-31	2013-05-08
226 B	2011-05-13	2015-11-13	INITIAL	2011-05-13	2015-11-13	2015-11-13	ACTIVE	20429377	9999-12-31	2013-05-08
613	2011-05-13	2017-05-13	INITIAL	2011-05-13	2017-05-13	2017-05-13	ACTIVE	20429419	9999-12-31	2013-05-08
612	2011-05-13	2018-05-13	INITIAL	2011-05-13	2018-05-13	2018-05-13	ACTIVE	20429462	9999-12-31	2013-05-08
614	2011-05-13	2017-05-13	INITIAL	2011-05-13	2017-05-13	2017-05-13	ACTIVE	20429507	9999-12-31	2013-05-08
615	2011-05-13	2016-05-13	INITIAL	2011-05-13	2016-05-13	2016-05-13	ACTIVE	20429544	9999-12-31	2013-05-08
303 B	2011-05-27	2012-12-12	INITIAL	2011-05-27	2013-12-12	2012-12-12	ACTIVE	20499620	2013-03-12	2013-05-08
303 B	2012-12-13	2013-12-12	INITIAL EXTENDED	2011-05-27	2013-12-12	2012-12-12	ACTIVE	20499620	9999-12-31	2013-05-08
309 C	2011-10-06	2012-12-12	INITIAL	2011-10-06	2031-03-01	2012-12-12	ACTIVE	21104663	9999-12-31	2013-05-08
309 C	2012-12-13	2031-03-01	PRODUCTION	2011-10-06	2031-03-01	2012-12-12	ACTIVE	21104663	9999-12-31	2013-05-08
107 D	2011-10-31	2021-03-01	PRODUCTION	2011-10-31	2021-03-01	2021-03-01	ACTIVE	21124705	9999-12-31	2013-05-08
169 E	2011-11-04	2030-03-01	PRODUCTION	2011-11-04	2030-03-01	2030-03-01	ACTIVE	21124742	9999-12-31	2013-05-08
018 DS	2011-11-29	2028-12-31	PRODUCTION	2011-11-29	2028-12-31	2028-12-31	ACTIVE	21139552	9999-12-31	2013-05-08
193 D	2011-12-21	2031-09-10	PRODUCTION	2011-12-21	2031-09-10	2031-09-10	ACTIVE	21349950	9999-12-31	2013-05-08
046 C	2011-12-21	2028-12-31	PRODUCTION	2011-12-21	2028-12-31	2028-12-31	ACTIVE	21350140	9999-12-31	2013-05-08
072 C	2011-12-21	2028-12-31	PRODUCTION	2011-12-21	2028-12-31	2028-12-31	ACTIVE	21350207	9999-12-31	2013-05-08
659	2012-02-03	2020-02-03	INITIAL	2012-02-03	2020-02-03	2020-02-03	ACTIVE	21558636	9999-12-31	2013-05-08
658	2012-02-03	2021-02-03	INITIAL	2012-02-03	2021-02-03	2021-02-03	ACTIVE	21558820	9999-12-31	2013-05-08
657	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21558872	9999-12-31	2013-05-08
656	2012-02-03	2020-02-03	INITIAL	2012-02-03	2020-02-03	2020-02-03	ACTIVE	21558940	9999-12-31	2013-05-08
655	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21558998	9999-12-31	2013-05-08
654	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21559027	9999-12-31	2013-05-08
653	2012-02-03	2020-02-03	INITIAL	2012-02-03	2020-02-03	2020-02-03	ACTIVE	21559076	9999-12-31	2013-05-08
652	2012-02-03	2018-02-03	INITIAL	2012-02-03	2013-02-03	2018-02-03	INACTIVE	21559103	2013-04-03	2013-05-08
651	2012-02-03	2021-02-03	INITIAL	2012-02-03	2021-02-03	2021-02-03	ACTIVE	21559146	9999-12-31	2013-05-08
650	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21559201	9999-12-31	2013-05-08
035 C	2012-02-03	2013-02-03	INITIAL	2012-02-03	2022-11-14	2013-02-03	ACTIVE	21559372	2013-03-19	2013-05-08
035 C	2013-03-04	2015-11-14	INITIAL EXTENDED	2012-02-03	2022-11-14	2013-02-03	ACTIVE	21559372	9999-12-31	2013-05-08
035 C	2015-11-15	2022-11-14	PRODUCTION	2012-02-03	2022-11-14	2013-02-03	ACTIVE	21559372	9999-12-31	2013-05-08
046 D	2012-02-03	2013-02-03	INITIAL	2012-02-03	2028-12-31	2013-02-03	ACTIVE	21559399	2013-02-05	2013-05-08
046 D	2013-02-04	2028-12-31	PRODUCTION	2012-02-03	2028-12-31	2013-02-03	ACTIVE	21559399	9999-12-31	2013-05-08
639	2012-02-03	2020-02-03	INITIAL	2012-02-03	2020-02-03	2020-02-03	ACTIVE	21559426	9999-12-31	2013-05-08
640	2012-02-03	2020-02-03	INITIAL	2012-02-03	2020-02-03	2020-02-03	ACTIVE	21559488	9999-12-31	2013-05-08
641	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21559540	9999-12-31	2013-05-08
642	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21559610	9999-12-31	2013-05-08
644	2012-02-03	2020-02-03	INITIAL	2012-02-03	2020-02-03	2020-02-03	ACTIVE	21559648	9999-12-31	2013-05-08
645	2012-02-03	2018-02-03	INITIAL	2012-02-03	2018-02-03	2018-02-03	ACTIVE	21559709	9999-12-31	2013-05-08
646	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21559761	9999-12-31	2013-05-08
647	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21559805	9999-12-31	2013-05-08
648 S	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21559877	9999-12-31	2013-05-08
649	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21559950	9999-12-31	2013-05-08
619	2012-02-03	2020-02-03	INITIAL	2012-02-03	2020-02-03	2020-02-03	ACTIVE	21560040	9999-12-31	2013-05-08
495 B	2012-02-03	2015-07-23	INITIAL	2012-02-03	2015-07-23	2015-07-23	ACTIVE	21560089	9999-12-31	2013-05-08
620	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21560115	9999-12-31	2013-05-08
621	2012-02-03	2017-02-03	INITIAL	2012-02-03	2013-02-03	2017-02-03	INACTIVE	21560157	2013-04-03	2013-05-08
622	2012-02-03	2020-02-03	INITIAL	2012-02-03	2020-02-03	2020-02-03	ACTIVE	21560182	9999-12-31	2013-05-08
623	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21560239	9999-12-31	2013-05-08
506 DS	2012-02-03	2018-02-03	INITIAL	2012-02-03	2018-02-03	2018-02-03	ACTIVE	21560284	9999-12-31	2013-05-08
624	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21560318	9999-12-31	2013-05-08
625	2012-02-03	2017-02-03	INITIAL	2012-02-03	2017-02-03	2017-02-03	ACTIVE	21560380	9999-12-31	2013-05-08
626	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21560418	9999-12-31	2013-05-08
513 B	2012-02-03	2015-01-23	INITIAL	2012-02-03	2015-01-23	2015-01-23	ACTIVE	21560453	9999-12-31	2013-05-08
627	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21560469	9999-12-31	2013-05-08
628	2012-02-03	2018-02-03	INITIAL	2012-02-03	2018-02-03	2018-02-03	ACTIVE	21560616	9999-12-31	2013-05-08
629	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21560683	9999-12-31	2013-05-08
630	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21560745	9999-12-31	2013-05-08
631	2012-02-03	2018-02-03	INITIAL	2012-02-03	2018-02-03	2018-02-03	ACTIVE	21560844	9999-12-31	2013-05-08
557 B	2012-02-03	2017-02-19	INITIAL	2012-02-03	2019-02-19	2017-02-19	ACTIVE	21560889	2013-02-08	2013-05-08
557 B	2017-02-20	2019-02-19	INITIAL EXTENDED	2012-02-03	2019-02-19	2017-02-19	ACTIVE	21560889	9999-12-31	2013-05-08
632	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21560912	9999-12-31	2013-05-08
633	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21560982	9999-12-31	2013-05-08
634	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21561057	9999-12-31	2013-05-08
635	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21561115	9999-12-31	2013-05-08
636	2012-02-03	2017-02-03	INITIAL	2012-02-03	2017-02-03	2017-02-03	ACTIVE	21561151	9999-12-31	2013-05-08
637	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21561194	9999-12-31	2013-05-08
638	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21561239	9999-12-31	2013-05-08
597 B	2012-02-03	2016-05-13	INITIAL	2012-02-03	2016-05-13	2016-05-13	ACTIVE	21561308	9999-12-31	2013-05-08
643	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21561387	9999-12-31	2013-05-08
609 B	2012-02-03	2017-05-13	INITIAL	2012-02-03	2017-05-13	2017-05-13	ACTIVE	21561445	9999-12-31	2013-05-08
616	2012-02-03	2019-08-03	INITIAL	2012-02-03	2019-08-03	2019-08-03	ACTIVE	21561481	9999-12-31	2013-05-08
617	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21561629	9999-12-31	2013-05-08
618	2012-02-03	2019-02-03	INITIAL	2012-02-03	2019-02-03	2019-02-03	ACTIVE	21561689	9999-12-31	2013-05-08
102 E	2012-02-03	2013-02-03	INITIAL	2012-02-03	2025-03-01	2013-02-03	ACTIVE	21568578	2013-01-10	2013-05-08
102 E	2013-02-04	2025-03-01	PRODUCTION	2012-02-03	2025-03-01	2013-02-03	ACTIVE	21568578	9999-12-31	2013-05-08
102 D	2012-02-03	2013-02-03	INITIAL	2012-02-03	2025-03-01	2013-02-03	ACTIVE	21568785	2012-12-19	2013-05-08
102 D	2013-02-04	2025-03-01	PRODUCTION	2012-02-03	2025-03-01	2013-02-03	ACTIVE	21568785	9999-12-31	2013-05-08
104 B	2012-02-03	2013-02-03	INITIAL	2012-02-03	2013-02-03	2013-02-03	ACTIVE	21568959	9999-12-31	2013-05-08
193 E	2012-02-03	2013-02-03	INITIAL	2012-02-03	2031-09-10	2013-02-03	ACTIVE	21568992	2013-04-30	2013-05-08
193 E	2013-02-04	2031-09-10	PRODUCTION	2012-02-03	2031-09-10	2013-02-03	ACTIVE	21568992	9999-12-31	2013-05-08
350 B	2012-02-03	2014-12-17	INITIAL	2012-02-03	2012-09-17	2014-12-17	INACTIVE	21569025	2012-10-12	2013-05-08
375 C	2012-02-03	2014-12-31	INITIAL	2012-02-03	2014-12-31	2014-12-31	ACTIVE	21569065	9999-12-31	2013-05-08
414 B	2012-02-03	2014-02-16	INITIAL	2012-02-03	2015-02-16	2014-02-16	ACTIVE	21569107	2013-03-22	2013-05-08
414 B	2014-02-17	2015-02-16	INITIAL EXTENDED	2012-02-03	2015-02-16	2014-02-16	ACTIVE	21569107	9999-12-31	2013-05-08
494 C	2012-02-03	2016-07-23	INITIAL	2012-02-03	2016-07-23	2016-07-23	ACTIVE	21569178	9999-12-31	2013-05-08
050 ES	2012-04-11	2016-06-30	PRODUCTION	2012-04-11	2031-09-10	2016-06-30	ACTIVE	21668200	2013-03-19	2013-05-08
050 ES	2016-07-01	2031-09-10	PRODUCTION EXTENDED	2012-04-11	2031-09-10	2016-06-30	ACTIVE	21668200	9999-12-31	2013-05-08
050 FS	2012-04-11	2016-06-30	PRODUCTION	2012-04-11	2031-09-10	2016-06-30	ACTIVE	21668235	2013-03-19	2013-05-08
050 FS	2016-07-01	2031-09-10	PRODUCTION EXTENDED	2012-04-11	2031-09-10	2016-06-30	ACTIVE	21668235	9999-12-31	2013-05-08
050 GS	2012-04-11	2016-06-30	PRODUCTION	2012-04-11	2031-09-10	2016-06-30	ACTIVE	21668262	2013-03-19	2013-05-08
050 GS	2016-07-01	2031-09-10	PRODUCTION EXTENDED	2012-04-11	2031-09-10	2016-06-30	ACTIVE	21668262	9999-12-31	2013-05-08
050 HS	2012-04-11	2031-09-10	PRODUCTION	2012-04-11	2031-09-10	2031-09-10	ACTIVE	21668287	9999-12-31	2013-05-08
293 B	2012-06-15	2039-04-11	PRODUCTION	2012-06-15	2039-04-11	2039-04-11	ACTIVE	21695786	9999-12-31	2013-05-08
029 C	2012-10-17	2028-12-31	PRODUCTION	2012-10-17	2028-12-31	2028-12-31	ACTIVE	22493034	9999-12-31	2013-05-08
037 F	2013-02-08	2017-02-08	INITIAL	2013-02-08	2017-02-08	2017-02-08	ACTIVE	22813049	9999-12-31	2013-05-08
055 D	2013-02-08	2014-02-08	INITIAL	2013-02-08	2014-02-08	2014-02-08	ACTIVE	22813096	2013-02-26	2013-05-08
091 D	2013-02-08	2014-02-08	INITIAL	2013-02-08	2014-02-08	2014-02-08	ACTIVE	22813131	2013-02-26	2013-05-08
093 C	2013-02-08	2014-02-08	INITIAL	2013-02-08	2014-02-08	2014-02-08	ACTIVE	22813180	2013-02-26	2013-05-08
190 B	2013-02-08	2017-02-08	INITIAL	2013-02-08	2017-02-08	2017-02-08	ACTIVE	22813207	9999-12-31	2013-05-08
203 B	2013-02-08	2018-02-08	INITIAL	2013-02-08	2018-02-08	2018-02-08	ACTIVE	22813239	9999-12-31	2013-05-08
509 BS	2013-02-08	2016-01-23	INITIAL	2013-02-08	2016-01-23	2016-01-23	ACTIVE	22813272	9999-12-31	2013-05-08
542 B	2013-02-08	2015-02-19	INITIAL	2013-02-08	2015-02-19	2015-02-19	ACTIVE	22813299	9999-12-31	2013-05-08
660	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22815555	9999-12-31	2013-05-08
661	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22815589	9999-12-31	2013-05-08
662	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22815632	9999-12-31	2013-05-08
663	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22815661	9999-12-31	2013-05-08
664 S	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22815702	9999-12-31	2013-05-08
665 S	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22815738	9999-12-31	2013-05-08
666	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22815785	9999-12-31	2013-05-08
667	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22815830	9999-12-31	2013-05-08
668	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22815873	9999-12-31	2013-05-08
669	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22815914	9999-12-31	2013-05-08
670	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22815949	9999-12-31	2013-05-08
671	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22816003	9999-12-31	2013-05-08
672	2013-02-08	2018-02-08	INITIAL	2013-02-08	2018-02-08	2018-02-08	ACTIVE	22816061	9999-12-31	2013-05-08
673	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22816103	2013-02-23	2013-05-08
674	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22816134	9999-12-31	2013-05-08
675	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22816217	9999-12-31	2013-05-08
676 S	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22816262	9999-12-31	2013-05-08
677	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22816357	9999-12-31	2013-05-08
678 S	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22816406	9999-12-31	2013-05-08
679 S	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22816484	9999-12-31	2013-05-08
680	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22816583	9999-12-31	2013-05-08
681	2013-02-08	2016-02-08	INITIAL	2013-02-08	2016-02-08	2016-02-08	ACTIVE	22816639	9999-12-31	2013-05-08
682	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22816685	9999-12-31	2013-05-08
683	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22816753	9999-12-31	2013-05-08
684	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22816794	9999-12-31	2013-05-08
685	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22820468	9999-12-31	2013-05-08
686	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22820521	9999-12-31	2013-05-08
687	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22820550	9999-12-31	2013-05-08
688	2013-02-08	2022-02-08	INITIAL	2013-02-08	2022-02-08	2022-02-08	ACTIVE	22820588	9999-12-31	2013-05-08
689	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22820628	9999-12-31	2013-05-08
690	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22820657	9999-12-31	2013-05-08
691	2013-02-08	2019-02-08	INITIAL	2013-02-08	2019-02-08	2019-02-08	ACTIVE	22820684	9999-12-31	2013-05-08
692	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22820715	9999-12-31	2013-05-08
693	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22820761	9999-12-31	2013-05-08
694	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22820804	9999-12-31	2013-05-08
695	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22820851	9999-12-31	2013-05-08
696	2013-02-08	2021-02-08	INITIAL	2013-02-08	2021-02-08	2021-02-08	ACTIVE	22820904	9999-12-31	2013-05-08
697	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22821005	9999-12-31	2013-05-08
698	2013-02-08	2019-02-08	INITIAL	2013-02-08	2019-02-08	2019-02-08	ACTIVE	22821040	9999-12-31	2013-05-08
699	2013-02-08	2019-02-08	INITIAL	2013-02-08	2019-02-08	2019-02-08	ACTIVE	22821109	9999-12-31	2013-05-08
700	2013-02-08	2020-02-08	INITIAL	2013-02-08	2020-02-08	2020-02-08	ACTIVE	22821177	9999-12-31	2013-05-08
701	2013-02-08	2019-02-08	INITIAL	2013-02-08	2019-02-08	2019-02-08	ACTIVE	23180841	9999-12-31	2013-05-08
591 B	2013-02-08	2017-02-04	INITIAL	2013-02-08	2017-02-04	2017-02-04	ACTIVE	23180930	9999-12-31	2013-05-08
090 F	2013-01-22	2024-03-09	PRODUCTION	2013-01-22	2024-03-09	2024-03-09	ACTIVE	23268186	9999-12-31	2013-05-08
090 G	2013-01-22	2024-03-09	PRODUCTION	2013-01-22	2024-03-09	2024-03-09	ACTIVE	23268222	9999-12-31	2013-05-08
090 HS	2013-04-09	2024-02-19	INITIAL	2013-04-09	2024-02-19	2024-02-19	ACTIVE	23297006	9999-12-31	2013-05-08
248 C	2013-04-09	2035-06-04	INITIAL	2013-04-09	2035-06-04	2035-06-04	ACTIVE	23297103	9999-12-31	2013-05-08
\.



COPY licence_task (prlname, prltaskname, prltasktypeno, prltasktypeen, prltaskstatusno, prltaskstatusen, prltaskexpirydate, wlbname, prldatevalidto, prllicensingactivityname, cmplongname, cmpnpdidcompany, prlnpdidlicence, prltaskid, prltaskrefid, prltaskdateupdated, datesyncnpd) FROM stdin;
296	Innsamle seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-12	\N	2009-12-12	TFO2003	\N	\N	2490197	3500431	\N	9999-12-31	2013-05-08
296	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2006-12-12	\N	2009-12-12	TFO2003	\N	\N	2490197	3500432	\N	9999-12-31	2013-05-08
296	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2008-12-12	\N	2009-12-12	TFO2003	\N	\N	2490197	3500433	\N	9999-12-31	2013-05-08
296	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-12-12	\N	2009-12-12	TFO2003	\N	\N	2490197	3500434	\N	9999-12-31	2013-05-08
296	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2010-12-12	\N	2009-12-12	TFO2003	\N	\N	2490197	3500435	\N	2012-06-20	2013-05-08
296	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2006-12-12	\N	2009-12-12	TFO2003	\N	\N	2490197	3505532	\N	2012-06-21	2013-05-08
296	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2008-12-12	2/5-13	2009-12-12	TFO2003	\N	\N	2490197	3505533	3500432	9999-12-31	2013-05-08
297	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-12	\N	2012-02-28	TFO2003	\N	\N	2490240	3500424	\N	9999-12-31	2013-05-08
297	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2006-12-12	\N	2012-02-28	TFO2003	\N	\N	2490240	3500425	\N	9999-12-31	2013-05-08
297	Beslutning om Utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-12-12	\N	2012-02-28	TFO2003	\N	\N	2490240	3500426	\N	9999-12-31	2013-05-08
297	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-12-12	\N	2012-02-28	TFO2003	\N	\N	2490240	3500427	\N	9999-12-31	2013-05-08
297	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-12-12	\N	2012-02-28	TFO2003	\N	\N	2490240	3500428	\N	9999-12-31	2013-05-08
297	Boring av betinga brønn - 1 av 1	Boring	Drilling	Frafalt	Dropped	2011-12-12	\N	2012-02-28	TFO2003	\N	\N	2490240	3505531	3500425	9999-12-31	2013-05-08
299	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2005-12-12	\N	2013-12-12	TFO2003	Talisman Energy Norge AS	2425093	2490320	3500419	\N	9999-12-31	2013-05-08
299	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2006-12-12	\N	2013-12-12	TFO2003	Talisman Energy Norge AS	2425093	2490320	3500420	\N	9999-12-31	2013-05-08
299	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-07-01	\N	2013-12-12	TFO2003	Talisman Energy Norge AS	2425093	2490320	3500421	\N	2012-06-29	2013-05-08
299	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2013-12-12	\N	2013-12-12	TFO2003	Talisman Energy Norge AS	2425093	2490320	3500422	\N	9999-12-31	2013-05-08
299	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2013-12-12	\N	2013-12-12	TFO2003	Talisman Energy Norge AS	2425093	2490320	3500423	\N	9999-12-31	2013-05-08
299	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2008-12-12	2/1-13 S	2013-12-12	TFO2003	Talisman Energy Norge AS	2425093	2490320	3505105	3500420	9999-12-31	2013-05-08
300	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2007-12-12	1/3-4	2023-12-12	TFO2003	BP Norge AS	2052695	2490354	3500413	\N	9999-12-31	2013-05-08
300	Utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2006-12-12	\N	2023-12-12	TFO2003	BP Norge AS	2052695	2490354	3500416	\N	9999-12-31	2013-05-08
300	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2008-12-12	\N	2023-12-12	TFO2003	BP Norge AS	2052695	2490354	3500417	\N	9999-12-31	2013-05-08
300	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2008-12-12	\N	2023-12-12	TFO2003	BP Norge AS	2052695	2490354	3500418	\N	9999-12-31	2013-05-08
300	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2005-12-12	\N	2023-12-12	TFO2003	BP Norge AS	2052695	2490354	3505529	\N	9999-12-31	2013-05-08
300	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2005-12-12	\N	2023-12-12	TFO2003	BP Norge AS	2052695	2490354	3505530	\N	2012-06-21	2013-05-08
301	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-12	\N	2013-12-12	TFO2003	Lundin Norway AS	2767314	2490380	3504530	\N	9999-12-31	2013-05-08
301	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2012-09-01	\N	2013-12-12	TFO2003	Lundin Norway AS	2767314	2490380	3504531	\N	2012-11-05	2013-05-08
301	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2013-12-12	\N	2013-12-12	TFO2003	Lundin Norway AS	2767314	2490380	3504532	\N	9999-12-31	2013-05-08
301	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2013-12-12	\N	2013-12-12	TFO2003	Lundin Norway AS	2767314	2490380	3504533	\N	9999-12-31	2013-05-08
301	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2006-12-12	\N	2013-12-12	TFO2003	Lundin Norway AS	2767314	2490380	3505070	\N	2012-06-21	2013-05-08
302	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-03-15	\N	2009-03-15	TFO2003	\N	\N	2490440	3504550	\N	9999-12-31	2013-05-08
302	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2006-03-15	\N	2009-03-15	TFO2003	\N	\N	2490440	3504551	\N	9999-12-31	2013-05-08
302	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2008-03-15	7/1-2 S	2009-03-15	TFO2003	\N	\N	2490440	3504552	3504551	2012-06-21	2013-05-08
302	Statusrapport	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Godkjent	Approved	2006-03-15	\N	2009-03-15	TFO2003	\N	\N	2490440	3504553	\N	9999-12-31	2013-05-08
302	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2009-03-15	\N	2009-03-15	TFO2003	\N	\N	2490440	3504554	\N	9999-12-31	2013-05-08
303	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-12	\N	2013-03-12	TFO2003	Statoil Petroleum AS	17237817	2490467	3504525	\N	2012-11-08	2013-05-08
303	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2007-12-12	\N	2013-03-12	TFO2003	Statoil Petroleum AS	17237817	2490467	3504526	\N	2012-11-08	2013-05-08
303	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2012-01-12	\N	2013-03-12	TFO2003	Statoil Petroleum AS	17237817	2490467	3504527	\N	2012-11-08	2013-05-08
303	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2013-03-12	\N	2013-03-12	TFO2003	Statoil Petroleum AS	17237817	2490467	3504528	\N	2012-11-08	2013-05-08
303	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2013-03-12	\N	2013-03-12	TFO2003	Statoil Petroleum AS	17237817	2490467	3504529	\N	2012-11-08	2013-05-08
303	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2009-12-12	15/6-9 S	2013-03-12	TFO2003	Statoil Petroleum AS	17237817	2490467	3505069	3504526	2012-11-08	2013-05-08
335	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2008-12-17	\N	2007-12-17	TFO2004	\N	\N	2986333	3504163	\N	9999-12-31	2013-05-08
304	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2004-12-12	\N	2010-12-12	TFO2003	\N	\N	2490623	3504520	\N	9999-12-31	2013-05-08
304	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2006-06-12	\N	2010-12-12	TFO2003	\N	\N	2490623	3504521	\N	9999-12-31	2013-05-08
304	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-12-12	\N	2010-12-12	TFO2003	\N	\N	2490623	3504522	\N	9999-12-31	2013-05-08
304	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-12-12	\N	2010-12-12	TFO2003	\N	\N	2490623	3504523	\N	9999-12-31	2013-05-08
304	initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-12-12	\N	2010-12-12	TFO2003	\N	\N	2490623	3504524	\N	9999-12-31	2013-05-08
304	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2008-12-12	16/4-5	2010-12-12	TFO2003	\N	\N	2490623	3505068	3504521	9999-12-31	2013-05-08
305	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2005-12-12	\N	2008-12-02	TFO2003	\N	\N	2490682	3504515	\N	9999-12-31	2013-05-08
305	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2005-12-12	\N	2008-12-02	TFO2003	\N	\N	2490682	3504516	\N	9999-12-31	2013-05-08
305	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2008-12-12	\N	2008-12-02	TFO2003	\N	\N	2490682	3504517	\N	2012-06-20	2013-05-08
305	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2008-12-12	\N	2008-12-02	TFO2003	\N	\N	2490682	3504518	\N	9999-12-31	2013-05-08
305	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2009-04-12	\N	2008-12-02	TFO2003	\N	\N	2490682	3504519	\N	9999-12-31	2013-05-08
305	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2007-12-12	24/9-8	2008-12-02	TFO2003	\N	\N	2490682	3505067	3504516	9999-12-31	2013-05-08
306	Studier innan geofysikk og geologi	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2004-12-12	\N	2005-07-12	TFO2003	\N	\N	2490776	3504508	\N	9999-12-31	2013-05-08
306	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2005-12-12	\N	2005-07-12	TFO2003	\N	\N	2490776	3504509	\N	9999-12-31	2013-05-08
306	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2007-12-12	\N	2005-07-12	TFO2003	\N	\N	2490776	3504512	\N	9999-12-31	2013-05-08
306	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2008-12-12	\N	2005-07-12	TFO2003	\N	\N	2490776	3504513	\N	9999-12-31	2013-05-08
306	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2008-12-12	\N	2005-07-12	TFO2003	\N	\N	2490776	3504514	\N	9999-12-31	2013-05-08
306	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2004-12-12	\N	2005-07-12	TFO2003	\N	\N	2490776	3505065	\N	2012-06-26	2013-05-08
306	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2007-12-12	\N	2005-07-12	TFO2003	\N	\N	2490776	3505066	3504509	9999-12-31	2013-05-08
307	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2004-12-12	\N	2005-12-12	TFO2003	\N	\N	2490820	3504500	\N	9999-12-31	2013-05-08
307	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2005-12-12	\N	2005-12-12	TFO2003	\N	\N	2490820	3504501	\N	9999-12-31	2013-05-08
307	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2007-12-12	\N	2005-12-12	TFO2003	\N	\N	2490820	3504502	\N	9999-12-31	2013-05-08
307	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2008-12-12	\N	2005-12-12	TFO2003	\N	\N	2490820	3504504	\N	9999-12-31	2013-05-08
307	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2008-12-12	\N	2005-12-12	TFO2003	\N	\N	2490820	3504505	\N	9999-12-31	2013-05-08
307	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2007-12-12	\N	2005-12-12	TFO2003	\N	\N	2490820	3505064	3504501	9999-12-31	2013-05-08
307	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2005-12-12	\N	2005-12-12	TFO2003	\N	\N	2490820	3505469	\N	2012-06-21	2013-05-08
308	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-12	\N	2007-12-04	TFO2003	\N	\N	2490856	3504493	\N	9999-12-31	2013-05-08
308	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2007-12-12	\N	2007-12-04	TFO2003	\N	\N	2490856	3504494	\N	9999-12-31	2013-05-08
308	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2009-12-12	\N	2007-12-04	TFO2003	\N	\N	2490856	3504495	\N	9999-12-31	2013-05-08
308	Innsende utbygingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-12-12	\N	2007-12-04	TFO2003	\N	\N	2490856	3504496	\N	9999-12-31	2013-05-08
308	initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2010-12-12	\N	2007-12-04	TFO2003	\N	\N	2490856	3504497	\N	9999-12-31	2013-05-08
308	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2009-12-12	\N	2007-12-04	TFO2003	\N	\N	2490856	3505063	3504494	9999-12-31	2013-05-08
309	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-12	\N	2012-12-12	TFO2003	Statoil Petroleum AS	17237817	2490982	3504485	\N	9999-12-31	2013-05-08
309	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2007-12-12	\N	2012-12-12	TFO2003	Statoil Petroleum AS	17237817	2490982	3504486	\N	9999-12-31	2013-05-08
309	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2012-12-31	\N	2012-12-12	TFO2003	Statoil Petroleum AS	17237817	2490982	3504488	\N	2013-02-13	2013-05-08
309	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2012-12-12	\N	2012-12-12	TFO2003	Statoil Petroleum AS	17237817	2490982	3504489	\N	2013-01-16	2013-05-08
309	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2012-12-12	\N	2012-12-12	TFO2003	Statoil Petroleum AS	17237817	2490982	3504490	\N	9999-12-31	2013-05-08
309	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2009-12-12	30/5-3 S	2012-12-12	TFO2003	Statoil Petroleum AS	17237817	2490982	3505062	3504486	9999-12-31	2013-05-08
311	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2004-12-12	\N	2008-12-12	TFO2003	\N	\N	2491153	3504479	\N	9999-12-31	2013-05-08
311	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2005-12-12	\N	2008-12-12	TFO2003	\N	\N	2491153	3504480	\N	9999-12-31	2013-05-08
311	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2008-12-12	\N	2008-12-12	TFO2003	\N	\N	2491153	3504481	\N	9999-12-31	2013-05-08
311	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2009-12-12	\N	2008-12-12	TFO2003	\N	\N	2491153	3504482	\N	9999-12-31	2013-05-08
311	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2009-12-12	\N	2008-12-12	TFO2003	\N	\N	2491153	3504483	\N	9999-12-31	2013-05-08
311	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2007-12-12	31/1-1	2008-12-12	TFO2003	\N	\N	2491153	3505061	3504480	9999-12-31	2013-05-08
312	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-12	\N	2013-12-12	TFO2003	Statoil Petroleum AS	17237817	2491196	3504474	\N	9999-12-31	2013-05-08
312	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2006-12-12	\N	2013-12-12	TFO2003	Statoil Petroleum AS	17237817	2491196	3504475	\N	9999-12-31	2013-05-08
312	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-11-12	\N	2013-12-12	TFO2003	Statoil Petroleum AS	17237817	2491196	3504476	\N	2012-06-20	2013-05-08
312	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2013-12-12	\N	2013-12-12	TFO2003	Statoil Petroleum AS	17237817	2491196	3504477	\N	9999-12-31	2013-05-08
312	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2013-12-12	\N	2013-12-12	TFO2003	Statoil Petroleum AS	17237817	2491196	3504478	\N	9999-12-31	2013-05-08
312	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2008-12-12	6407/6-6	2013-12-12	TFO2003	Statoil Petroleum AS	17237817	2491196	3505060	3504475	9999-12-31	2013-05-08
313	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2005-12-12	\N	2005-12-12	TFO2003	\N	\N	2491243	3504469	\N	9999-12-31	2013-05-08
313	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2005-12-12	\N	2005-12-12	TFO2003	\N	\N	2491243	3504470	\N	9999-12-31	2013-05-08
313	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2007-12-12	\N	2005-12-12	TFO2003	\N	\N	2491243	3504471	\N	9999-12-31	2013-05-08
313	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2008-12-12	\N	2005-12-12	TFO2003	\N	\N	2491243	3504472	\N	9999-12-31	2013-05-08
313	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2008-12-12	\N	2005-12-12	TFO2003	\N	\N	2491243	3504473	\N	9999-12-31	2013-05-08
313	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2007-12-12	\N	2005-12-12	TFO2003	\N	\N	2491243	3505059	3504470	9999-12-31	2013-05-08
314	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2006-12-12	\N	2006-12-12	TFO2003	\N	\N	2491284	3504437	\N	9999-12-31	2013-05-08
314	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2006-12-15	\N	2006-12-12	TFO2003	\N	\N	2491284	3504438	\N	9999-12-31	2013-05-08
314	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2007-12-12	\N	2006-12-12	TFO2003	\N	\N	2491284	3504439	\N	9999-12-31	2013-05-08
314	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2006-12-12	6406/3-7	2006-12-12	TFO2003	\N	\N	2491284	3505055	\N	9999-12-31	2013-05-08
331	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-17	\N	2011-06-18	TFO2004	\N	\N	2986187	3504180	\N	9999-12-31	2013-05-08
331	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2007-12-17	\N	2011-06-18	TFO2004	\N	\N	2986187	3504315	\N	9999-12-31	2013-05-08
331	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-06-17	\N	2011-06-18	TFO2004	\N	\N	2986187	3504319	\N	9999-12-31	2013-05-08
331	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-12-17	\N	2011-06-18	TFO2004	\N	\N	2986187	3504322	\N	9999-12-31	2013-05-08
331	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-06-17	\N	2011-06-18	TFO2004	\N	\N	2986187	3504324	\N	9999-12-31	2013-05-08
331	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-06-17	8/10-3	2011-06-18	TFO2004	\N	\N	2986187	3504595	3504315	9999-12-31	2013-05-08
332	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-17	\N	2014-12-17	TFO2004	Talisman Energy Norge AS	2425093	2986240	3504175	\N	2013-01-15	2013-05-08
332	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2007-12-17	\N	2014-12-17	TFO2004	Talisman Energy Norge AS	2425093	2986240	3504176	\N	2013-01-15	2013-05-08
332	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-12-17	\N	2014-12-17	TFO2004	Talisman Energy Norge AS	2425093	2986240	3504177	\N	2013-01-15	2013-05-08
332	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-12-17	\N	2014-12-17	TFO2004	Talisman Energy Norge AS	2425093	2986240	3504178	\N	2013-01-15	2013-05-08
332	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-12-17	\N	2014-12-17	TFO2004	Talisman Energy Norge AS	2425093	2986240	3504179	\N	2013-01-15	2013-05-08
332	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-12-17	2/2-6	2014-12-17	TFO2004	Talisman Energy Norge AS	2425093	2986240	3504594	3504176	2013-04-03	2013-05-08
333	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-17	\N	2027-07-08	TFO2004	Statoil Petroleum AS	17237817	2986266	3504170	\N	2013-02-12	2013-05-08
333	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2006-12-17	\N	2027-07-08	TFO2004	Statoil Petroleum AS	17237817	2986266	3504171	\N	2013-02-12	2013-05-08
333	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2012-12-17	\N	2027-07-08	TFO2004	Statoil Petroleum AS	17237817	2986266	3504172	\N	2013-02-26	2013-05-08
333	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2013-12-17	\N	2027-07-08	TFO2004	Statoil Petroleum AS	17237817	2986266	3504173	\N	2013-02-12	2013-05-08
333	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2027-07-08	\N	2027-07-08	TFO2004	Statoil Petroleum AS	17237817	2986266	3504174	\N	2013-02-12	2013-05-08
333	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-12-17	2/4-21	2027-07-08	TFO2004	Statoil Petroleum AS	17237817	2986266	3504593	3504171	2013-02-26	2013-05-08
334	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-17	\N	2008-03-17	TFO2004	\N	\N	2986306	3504165	\N	9999-12-31	2013-05-08
334	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2008-03-17	\N	2008-03-17	TFO2004	\N	\N	2986306	3504166	\N	9999-12-31	2013-05-08
334	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2009-12-17	\N	2008-03-17	TFO2004	\N	\N	2986306	3504167	\N	9999-12-31	2013-05-08
334	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-12-17	\N	2008-03-17	TFO2004	\N	\N	2986306	3504168	\N	9999-12-31	2013-05-08
334	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2010-12-17	\N	2008-03-17	TFO2004	\N	\N	2986306	3504169	\N	9999-12-31	2013-05-08
334	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2009-12-17	\N	2008-03-17	TFO2004	\N	\N	2986306	3504592	3504166	9999-12-31	2013-05-08
335	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2007-12-17	7/7-4	2007-12-17	TFO2004	\N	\N	2986333	3504161	\N	9999-12-31	2013-05-08
335	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2006-12-17	\N	2007-12-17	TFO2004	\N	\N	2986333	3504162	\N	2012-06-20	2013-05-08
335	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2008-12-17	\N	2007-12-17	TFO2004	\N	\N	2986333	3504164	\N	9999-12-31	2013-05-08
336	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-17	\N	2006-12-17	TFO2004	\N	\N	2986364	3504156	\N	9999-12-31	2013-05-08
336	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2006-12-17	\N	2006-12-17	TFO2004	\N	\N	2986364	3504157	\N	9999-12-31	2013-05-08
336	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2008-12-17	\N	2006-12-17	TFO2004	\N	\N	2986364	3504158	\N	9999-12-31	2013-05-08
336	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2009-12-17	\N	2006-12-17	TFO2004	\N	\N	2986364	3504159	\N	9999-12-31	2013-05-08
336	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2009-12-17	\N	2006-12-17	TFO2004	\N	\N	2986364	3504160	\N	9999-12-31	2013-05-08
336	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2008-12-17	\N	2006-12-17	TFO2004	\N	\N	2986364	3504591	3504157	9999-12-31	2013-05-08
337	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2006-12-17	\N	2013-02-09	TFO2004	\N	\N	2986484	3504151	\N	2013-02-13	2013-05-08
337	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2006-12-17	\N	2013-02-09	TFO2004	\N	\N	2986484	3504152	\N	2013-02-13	2013-05-08
337	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-12-17	\N	2013-02-09	TFO2004	\N	\N	2986484	3504153	\N	2013-02-13	2013-05-08
337	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-12-17	\N	2013-02-09	TFO2004	\N	\N	2986484	3504154	\N	2013-02-13	2013-05-08
337	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2014-12-17	\N	2013-02-09	TFO2004	\N	\N	2986484	3504155	\N	2013-02-13	2013-05-08
337	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2008-12-17	15/12-18 S	2013-02-09	TFO2004	\N	\N	2986484	3504590	3504152	2013-02-13	2013-05-08
338	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2007-12-17	16/1-8	2013-12-17	TFO2004	Lundin Norway AS	2767314	2986578	3504147	\N	9999-12-31	2013-05-08
338	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2011-12-17	\N	2013-12-17	TFO2004	Lundin Norway AS	2767314	2986578	3504148	\N	2012-07-05	2013-05-08
338	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2012-12-17	\N	2013-12-17	TFO2004	Lundin Norway AS	2767314	2986578	3504149	\N	2012-07-05	2013-05-08
338	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2013-12-17	\N	2013-12-17	TFO2004	Lundin Norway AS	2767314	2986578	3504150	\N	9999-12-31	2013-05-08
339	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2009-12-17	\N	2009-12-17	TFO2004	\N	\N	2986606	3504144	\N	9999-12-31	2013-05-08
339	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-12-17	\N	2009-12-17	TFO2004	\N	\N	2986606	3504145	\N	9999-12-31	2013-05-08
339	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2009-12-17	\N	2009-12-17	TFO2004	\N	\N	2986606	3504146	\N	9999-12-31	2013-05-08
339	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2007-12-17	16/4-1	2009-12-17	TFO2004	\N	\N	2986606	3504589	3808946	9999-12-31	2013-05-08
339	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2005-12-17	\N	2009-12-17	TFO2004	\N	\N	2986606	3808946	\N	9999-12-31	2013-05-08
340	Innsamle seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-17	\N	2014-12-17	TFO2004	Marathon Oil Norge AS	20485291	2986630	3504138	\N	2012-12-13	2013-05-08
340	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2006-12-17	\N	2014-12-17	TFO2004	Marathon Oil Norge AS	20485291	2986630	3504139	\N	2012-12-13	2013-05-08
340	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2011-09-17	\N	2014-12-17	TFO2004	Marathon Oil Norge AS	20485291	2986630	3504140	\N	2012-12-13	2013-05-08
340	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2012-06-17	\N	2014-12-17	TFO2004	Marathon Oil Norge AS	20485291	2986630	3504141	\N	2012-12-13	2013-05-08
340	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-12-17	\N	2014-12-17	TFO2004	Marathon Oil Norge AS	20485291	2986630	3504142	\N	2012-12-13	2013-05-08
340	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-06-17	24/9-10 S	2014-12-17	TFO2004	Marathon Oil Norge AS	20485291	2986630	3504582	3504139	2012-12-13	2013-05-08
341	Innsamle seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-17	\N	2011-12-17	TFO2004	\N	\N	2986675	3504133	\N	9999-12-31	2013-05-08
341	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2006-12-17	\N	2011-12-17	TFO2004	\N	\N	2986675	3504134	\N	9999-12-31	2013-05-08
341	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-12-17	\N	2011-12-17	TFO2004	\N	\N	2986675	3504135	\N	9999-12-31	2013-05-08
341	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-12-17	\N	2011-12-17	TFO2004	\N	\N	2986675	3504136	\N	9999-12-31	2013-05-08
341	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-12-17	\N	2011-12-17	TFO2004	\N	\N	2986675	3504137	\N	9999-12-31	2013-05-08
341	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2008-12-17	24/12-5 S	2011-12-17	TFO2004	\N	\N	2986675	3504581	3504134	9999-12-31	2013-05-08
342	Innsamle seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-17	\N	2006-12-17	TFO2004	\N	\N	2986721	3504128	\N	9999-12-31	2013-05-08
342	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2006-12-17	\N	2006-12-17	TFO2004	\N	\N	2986721	3504129	\N	9999-12-31	2013-05-08
342	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2008-12-17	\N	2006-12-17	TFO2004	\N	\N	2986721	3504130	\N	9999-12-31	2013-05-08
342	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2009-12-17	\N	2006-12-17	TFO2004	\N	\N	2986721	3504131	\N	9999-12-31	2013-05-08
342	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2009-12-17	\N	2006-12-17	TFO2004	\N	\N	2986721	3504132	\N	9999-12-31	2013-05-08
342	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2008-12-17	\N	2006-12-17	TFO2004	\N	\N	2986721	3504580	3504129	9999-12-31	2013-05-08
343	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-17	\N	2009-10-17	TFO2004	\N	\N	2986758	3504123	\N	9999-12-31	2013-05-08
343	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-10-17	\N	2009-10-17	TFO2004	\N	\N	2986758	3504124	\N	9999-12-31	2013-05-08
343	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-10-17	\N	2009-10-17	TFO2004	\N	\N	2986758	3504125	\N	9999-12-31	2013-05-08
343	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-10-17	\N	2009-10-17	TFO2004	\N	\N	2986758	3504126	\N	9999-12-31	2013-05-08
343	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-10-17	\N	2009-10-17	TFO2004	\N	\N	2986758	3504127	\N	9999-12-31	2013-05-08
343	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-10-17	\N	2009-10-17	TFO2004	\N	\N	2986758	3504579	3504124	9999-12-31	2013-05-08
344	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-17	\N	2010-12-07	TFO2004	\N	\N	2986805	3504118	\N	9999-12-31	2013-05-08
344	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2006-12-17	\N	2010-12-07	TFO2004	\N	\N	2986805	3504119	\N	9999-12-31	2013-05-08
344	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-12-17	\N	2010-12-07	TFO2004	\N	\N	2986805	3504120	\N	9999-12-31	2013-05-08
344	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-12-17	\N	2010-12-07	TFO2004	\N	\N	2986805	3504121	\N	9999-12-31	2013-05-08
344	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-12-17	\N	2010-12-07	TFO2004	\N	\N	2986805	3504122	\N	9999-12-31	2013-05-08
344	Boring av betinga brønn- 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-12-17	\N	2010-12-07	TFO2004	\N	\N	2986805	3504578	3504119	9999-12-31	2013-05-08
345	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-17	\N	2008-12-17	TFO2004	\N	\N	2986889	3504113	\N	9999-12-31	2013-05-08
345	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2008-12-17	\N	2008-12-17	TFO2004	\N	\N	2986889	3504114	\N	9999-12-31	2013-05-08
345	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2009-12-17	\N	2008-12-17	TFO2004	\N	\N	2986889	3504115	\N	9999-12-31	2013-05-08
345	Innsende utbygingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-12-17	\N	2008-12-17	TFO2004	\N	\N	2986889	3504116	\N	9999-12-31	2013-05-08
345	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2010-12-17	\N	2008-12-17	TFO2004	\N	\N	2986889	3504117	\N	9999-12-31	2013-05-08
345	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2009-12-17	\N	2008-12-17	TFO2004	\N	\N	2986889	3504577	3504114	9999-12-31	2013-05-08
346	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-17	\N	2006-12-17	TFO2004	\N	\N	2986958	3504108	\N	9999-12-31	2013-05-08
346	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2006-12-17	\N	2006-12-17	TFO2004	\N	\N	2986958	3504109	\N	9999-12-31	2013-05-08
346	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2008-12-17	\N	2006-12-17	TFO2004	\N	\N	2986958	3504110	\N	9999-12-31	2013-05-08
346	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2009-12-17	\N	2006-12-17	TFO2004	\N	\N	2986958	3504111	\N	9999-12-31	2013-05-08
346	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2009-12-17	\N	2006-12-17	TFO2004	\N	\N	2986958	3504112	\N	9999-12-31	2013-05-08
346	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2008-12-17	\N	2006-12-17	TFO2004	\N	\N	2986958	3504576	3504109	9999-12-31	2013-05-08
347	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-17	\N	2007-12-14	TFO2004	\N	\N	2986982	3504103	\N	9999-12-31	2013-05-08
347	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2007-12-17	\N	2007-12-14	TFO2004	\N	\N	2986982	3504104	\N	9999-12-31	2013-05-08
347	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2009-12-17	\N	2007-12-14	TFO2004	\N	\N	2986982	3504105	\N	9999-12-31	2013-05-08
347	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-12-17	\N	2007-12-14	TFO2004	\N	\N	2986982	3504106	\N	9999-12-31	2013-05-08
347	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2010-12-17	\N	2007-12-14	TFO2004	\N	\N	2986982	3504107	\N	9999-12-31	2013-05-08
347	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2009-12-17	\N	2007-12-14	TFO2004	\N	\N	2986982	3504575	3504104	9999-12-31	2013-05-08
348	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-17	\N	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	2987047	3504098	\N	2012-11-08	2013-05-08
348	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2006-12-17	\N	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	2987047	3504099	\N	2012-11-08	2013-05-08
348	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2011-02-17	\N	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	2987047	3504100	\N	2012-11-08	2013-05-08
348	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2011-12-17	\N	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	2987047	3504101	\N	2012-11-08	2013-05-08
348	initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-12-17	\N	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	2987047	3504102	\N	2012-11-08	2013-05-08
348	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2008-12-17	6407/8-4 S	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	2987047	3504574	3504099	2012-11-08	2013-05-08
349	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-17	\N	2006-12-17	TFO2004	\N	\N	2987098	3504093	\N	9999-12-31	2013-05-08
349	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2006-12-17	\N	2006-12-17	TFO2004	\N	\N	2987098	3504094	\N	9999-12-31	2013-05-08
349	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2008-12-17	\N	2006-12-17	TFO2004	\N	\N	2987098	3504095	\N	2012-06-20	2013-05-08
349	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2009-12-17	\N	2006-12-17	TFO2004	\N	\N	2987098	3504096	\N	9999-12-31	2013-05-08
349	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2009-12-17	\N	2006-12-17	TFO2004	\N	\N	2987098	3504097	\N	9999-12-31	2013-05-08
349	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2008-12-17	\N	2006-12-17	TFO2004	\N	\N	2987098	3504573	3504094	9999-12-31	2013-05-08
350	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-03-17	\N	2012-09-17	TFO2004	\N	\N	2987133	3500475	\N	2012-10-13	2013-05-08
350	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-12-17	\N	2012-09-17	TFO2004	\N	\N	2987133	3500476	\N	2013-01-04	2013-05-08
350	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-12-17	\N	2012-09-17	TFO2004	\N	\N	2987133	3500477	\N	2012-10-13	2013-05-08
350	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2014-12-17	\N	2012-09-17	TFO2004	\N	\N	2987133	3500478	\N	2012-10-13	2013-05-08
350	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2007-12-17	\N	2012-09-17	TFO2004	\N	\N	2987133	3504569	\N	2012-10-13	2013-05-08
350	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-12-17	6507/6-4 S	2012-09-17	TFO2004	\N	\N	2987133	3504572	3500475	2013-01-04	2013-05-08
350	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-17	\N	2012-09-17	TFO2004	\N	\N	2987133	3505225	\N	2012-10-13	2013-05-08
351	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-17	\N	2007-12-14	TFO2004	\N	\N	2987183	3500461	\N	9999-12-31	2013-05-08
351	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2007-12-17	\N	2007-12-14	TFO2004	\N	\N	2987183	3500462	\N	9999-12-31	2013-05-08
351	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2009-12-17	\N	2007-12-14	TFO2004	\N	\N	2987183	3500463	\N	9999-12-31	2013-05-08
351	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-12-17	\N	2007-12-14	TFO2004	\N	\N	2987183	3500464	\N	9999-12-31	2013-05-08
351	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-12-17	\N	2007-12-14	TFO2004	\N	\N	2987183	3500466	\N	9999-12-31	2013-05-08
351	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2007-12-17	\N	2007-12-14	TFO2004	\N	\N	2987183	3504568	\N	2012-06-21	2013-05-08
351	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2009-12-17	\N	2007-12-14	TFO2004	\N	\N	2987183	3504571	3500462	9999-12-31	2013-05-08
352	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2007-12-17	6608/8-2	2008-10-08	TFO2004	\N	\N	2987228	3500451	\N	9999-12-31	2013-05-08
352	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2008-06-17	\N	2008-10-08	TFO2004	\N	\N	2987228	3500452	\N	2012-06-20	2013-05-08
352	innsending av utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2009-12-17	\N	2008-10-08	TFO2004	\N	\N	2987228	3500453	\N	9999-12-31	2013-05-08
352	initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2009-12-17	\N	2008-10-08	TFO2004	\N	\N	2987228	3500455	\N	9999-12-31	2013-05-08
353	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2006-12-17	\N	2006-12-17	TFO2004	\N	\N	2987265	3500442	\N	9999-12-31	2013-05-08
353	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2006-12-17	\N	2006-12-17	TFO2004	\N	\N	2987265	3500447	\N	9999-12-31	2013-05-08
353	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2008-12-17	\N	2006-12-17	TFO2004	\N	\N	2987265	3500448	\N	9999-12-31	2013-05-08
353	innsending av utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-12-17	\N	2006-12-17	TFO2004	\N	\N	2987265	3500449	\N	9999-12-31	2013-05-08
353	initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2010-12-17	\N	2006-12-17	TFO2004	\N	\N	2987265	3500450	\N	9999-12-31	2013-05-08
353	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2008-12-17	\N	2006-12-17	TFO2004	\N	\N	2987265	3504567	3500447	9999-12-31	2013-05-08
073 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2005-12-17	\N	2029-12-31	TFO2004	Statoil Petroleum AS	17237817	2987414	3504484	\N	9999-12-31	2013-05-08
305 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2008-12-02	\N	2008-12-02	TFO2004	\N	\N	2987480	3504560	\N	9999-12-31	2013-05-08
311 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2009-12-12	\N	2009-02-28	TFO2004	\N	\N	2987508	3504566	\N	9999-12-31	2013-05-08
110 B	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-12-17	\N	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	3001885	3504446	\N	2012-11-07	2013-05-08
110 B	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2007-12-17	\N	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	3001885	3504447	\N	2012-11-07	2013-05-08
110 B	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2009-12-17	7122/6-2	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	3001885	3504448	3504447	2012-11-07	2013-05-08
110 B	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-12-17	\N	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	3001885	3504449	\N	2012-11-07	2013-05-08
110 B	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-12-17	\N	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	3001885	3504450	\N	2012-11-07	2013-05-08
110 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-12-17	\N	2014-12-17	TFO2004	Statoil Petroleum AS	17237817	3001885	3504451	\N	2012-11-07	2013-05-08
085 D	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-01-06	\N	2008-01-01	TFO2005	\N	\N	3810164	3961253	3996797	9999-12-31	2013-05-08
085 D	Innsending av utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-01-06	\N	2008-01-01	TFO2005	\N	\N	3810164	3961254	\N	9999-12-31	2013-05-08
085 D	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2010-01-06	\N	2008-01-01	TFO2005	\N	\N	3810164	3961255	\N	9999-12-31	2013-05-08
085 D	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2008-01-06	\N	2008-01-01	TFO2005	\N	\N	3810164	3996797	\N	9999-12-31	2013-05-08
354	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2010-01-06	TFO2005	\N	\N	3810204	3961336	\N	9999-12-31	2013-05-08
354	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2008-07-06	\N	2010-01-06	TFO2005	\N	\N	3810204	3961337	\N	9999-12-31	2013-05-08
354	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-01-06	\N	2010-01-06	TFO2005	\N	\N	3810204	3961338	3961337	9999-12-31	2013-05-08
354	Beslutte å utarbeide utbygginsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-01-06	\N	2010-01-06	TFO2005	\N	\N	3810204	3961339	\N	9999-12-31	2013-05-08
354	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-01-06	\N	2010-01-06	TFO2005	\N	\N	3810204	3961340	\N	9999-12-31	2013-05-08
354	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-01-06	\N	2010-01-06	TFO2005	\N	\N	3810204	3961341	\N	9999-12-31	2013-05-08
356	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-01-06	\N	2013-01-06	TFO2005	\N	\N	3810275	3961346	\N	2013-03-22	2013-05-08
356	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-01-06	\N	2013-01-06	TFO2005	\N	\N	3810275	3961347	\N	2013-03-22	2013-05-08
356	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-01-06	3/4-2 S	2013-01-06	TFO2005	\N	\N	3810275	3961348	3961347	2013-03-22	2013-05-08
356	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-01-06	\N	2013-01-06	TFO2005	\N	\N	3810275	3961349	\N	2013-03-22	2013-05-08
356	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-01-06	\N	2013-01-06	TFO2005	\N	\N	3810275	3961350	\N	2013-03-22	2013-05-08
356	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2013-01-06	\N	2013-01-06	TFO2005	\N	\N	3810275	3961351	\N	2013-04-11	2013-05-08
357	Seismikk	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2008-01-06	\N	2008-01-07	TFO2005	\N	\N	3810310	3961352	\N	9999-12-31	2013-05-08
357	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Frafalt	Dropped	2008-01-06	\N	2008-01-07	TFO2005	\N	\N	3810310	3961353	\N	9999-12-31	2013-05-08
357	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-01-06	\N	2008-01-07	TFO2005	\N	\N	3810310	3961354	3961353	9999-12-31	2013-05-08
357	Vedtak om å utarbeide utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-01-06	\N	2008-01-07	TFO2005	\N	\N	3810310	3961355	\N	9999-12-31	2013-05-08
357	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-01-06	\N	2008-01-07	TFO2005	\N	\N	3810310	3961356	\N	9999-12-31	2013-05-08
357	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-01-06	\N	2008-01-07	TFO2005	\N	\N	3810310	3961357	\N	9999-12-31	2013-05-08
358	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-01-06	\N	2011-07-06	TFO2005	\N	\N	3810338	3961358	\N	9999-12-31	2013-05-08
358	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-07-06	\N	2011-07-06	TFO2005	\N	\N	3810338	3961359	\N	9999-12-31	2013-05-08
358	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-07-06	\N	2011-07-06	TFO2005	\N	\N	3810338	3961360	3961359	9999-12-31	2013-05-08
358	Vedta å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-07-06	\N	2011-07-06	TFO2005	\N	\N	3810338	3961361	\N	9999-12-31	2013-05-08
358	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-07-06	\N	2011-07-06	TFO2005	\N	\N	3810338	3961362	\N	9999-12-31	2013-05-08
358	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-07-06	\N	2011-07-06	TFO2005	\N	\N	3810338	3961363	\N	9999-12-31	2013-05-08
359	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2016-01-06	TFO2005	Lundin Norway AS	2767314	3810373	3961374	\N	2012-11-01	2013-05-08
359	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2008-01-06	\N	2016-01-06	TFO2005	Lundin Norway AS	2767314	3810373	3961375	\N	2012-11-01	2013-05-08
359	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-01-06	16/4-5	2016-01-06	TFO2005	Lundin Norway AS	2767314	3810373	3961376	3961375	2012-11-01	2013-05-08
359	Vedta å sende inn utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-01-06	\N	2016-01-06	TFO2005	Lundin Norway AS	2767314	3810373	3961377	\N	2012-11-01	2013-05-08
359	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-01-06	\N	2016-01-06	TFO2005	Lundin Norway AS	2767314	3810373	3961378	\N	2012-11-01	2013-05-08
359	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-06	\N	2016-01-06	TFO2005	Lundin Norway AS	2767314	3810373	3961379	\N	2012-11-01	2013-05-08
360	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-01-06	\N	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3810387	3961380	\N	9999-12-31	2013-05-08
360	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2010-01-06	\N	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3810387	3961382	\N	9999-12-31	2013-05-08
360	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2013-01-06	16/1-17	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3810387	3961383	3961382	2013-01-31	2013-05-08
360	Vedta å sende inn ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-10-06	\N	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3810387	3961384	\N	2012-11-07	2013-05-08
360	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-01-06	\N	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3810387	3961385	\N	9999-12-31	2013-05-08
360	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-01-06	\N	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3810387	3961386	\N	9999-12-31	2013-05-08
361	Seismikk	Geologi- og geofysikkstudier	Study of geology and geophysics	Frafalt	Dropped	2009-01-06	\N	2009-04-06	TFO2005	\N	\N	3810510	3961406	\N	9999-12-31	2013-05-08
361	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-01-06	\N	2009-04-06	TFO2005	\N	\N	3810510	3961407	\N	9999-12-31	2013-05-08
361	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-01-06	\N	2009-04-06	TFO2005	\N	\N	3810510	3961408	3961407	9999-12-31	2013-05-08
361	Beslutte å sende inn utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-01-06	\N	2009-04-06	TFO2005	\N	\N	3810510	3961409	\N	9999-12-31	2013-05-08
361	Sende inn en utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-01-06	\N	2009-04-06	TFO2005	\N	\N	3810510	3961410	\N	9999-12-31	2013-05-08
361	Initiell periode	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2012-04-06	\N	2009-04-06	TFO2005	\N	\N	3810510	3961411	\N	9999-12-31	2013-05-08
362	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2013-09-06	TFO2005	Centrica Resources (Norge) AS	4238233	3810565	3961412	\N	9999-12-31	2013-05-08
362	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2008-01-06	\N	2013-09-06	TFO2005	Centrica Resources (Norge) AS	4238233	3810565	3961413	\N	9999-12-31	2013-05-08
362	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-01-06	30/11-7	2013-09-06	TFO2005	Centrica Resources (Norge) AS	4238233	3810565	3961414	3961413	9999-12-31	2013-05-08
362	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-03-15	\N	2013-09-06	TFO2005	Centrica Resources (Norge) AS	4238233	3810565	3961415	\N	2012-11-17	2013-05-08
362	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2013-09-06	\N	2013-09-06	TFO2005	Centrica Resources (Norge) AS	4238233	3810565	3961416	\N	9999-12-31	2013-05-08
363	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2011-01-06	TFO2005	\N	\N	3810598	3961417	\N	9999-12-31	2013-05-08
363	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2008-01-06	\N	2011-01-06	TFO2005	\N	\N	3810598	3961418	\N	9999-12-31	2013-05-08
363	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-01-06	25/5-6	2011-01-06	TFO2005	\N	\N	3810598	3961419	3961418	9999-12-31	2013-05-08
363	Beslutte å utarbeide utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-01-06	\N	2011-01-06	TFO2005	\N	\N	3810598	3961420	\N	9999-12-31	2013-05-08
363	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-01-06	\N	2011-01-06	TFO2005	\N	\N	3810598	3961421	\N	9999-12-31	2013-05-08
363	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-01-06	\N	2011-01-06	TFO2005	\N	\N	3810598	3961422	\N	9999-12-31	2013-05-08
364	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2019-01-06	TFO2005	Det norske oljeselskap ASA	17342870	3810636	3961423	\N	9999-12-31	2013-05-08
364	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2008-01-06	\N	2019-01-06	TFO2005	Det norske oljeselskap ASA	17342870	3810636	3961424	\N	2012-06-20	2013-05-08
364	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2009-01-06	\N	2019-01-06	TFO2005	Det norske oljeselskap ASA	17342870	3810636	3961425	\N	9999-12-31	2013-05-08
364	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2009-01-06	\N	2019-01-06	TFO2005	Det norske oljeselskap ASA	17342870	3810636	3961426	\N	9999-12-31	2013-05-08
365	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2007-12-18	TFO2005	\N	\N	3810693	3961427	\N	9999-12-31	2013-05-08
365	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2008-01-06	\N	2007-12-18	TFO2005	\N	\N	3810693	3961428	\N	9999-12-31	2013-05-08
365	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-01-06	\N	2007-12-18	TFO2005	\N	\N	3810693	3961429	3961428	9999-12-31	2013-05-08
365	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-01-06	\N	2007-12-18	TFO2005	\N	\N	3810693	3961430	\N	9999-12-31	2013-05-08
365	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-01-06	\N	2007-12-18	TFO2005	\N	\N	3810693	3961431	\N	9999-12-31	2013-05-08
365	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-01-06	\N	2007-12-18	TFO2005	\N	\N	3810693	3961432	\N	9999-12-31	2013-05-08
366	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2008-02-05	TFO2005	\N	\N	3810756	3961433	\N	9999-12-31	2013-05-08
366	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2008-02-06	\N	2008-02-05	TFO2005	\N	\N	3810756	3961434	\N	9999-12-31	2013-05-08
366	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-01-06	\N	2008-02-05	TFO2005	\N	\N	3810756	3961435	3961434	9999-12-31	2013-05-08
366	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-01-06	\N	2008-02-05	TFO2005	\N	\N	3810756	3961436	\N	9999-12-31	2013-05-08
366	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-01-06	\N	2008-02-05	TFO2005	\N	\N	3810756	3961437	\N	9999-12-31	2013-05-08
366	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-01-06	\N	2008-02-05	TFO2005	\N	\N	3810756	4392628	\N	9999-12-31	2013-05-08
367 S	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2007-12-18	TFO2005	\N	\N	3810797	3961438	\N	9999-12-31	2013-05-08
367 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2008-01-06	\N	2007-12-18	TFO2005	\N	\N	3810797	3961439	\N	9999-12-31	2013-05-08
367 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-01-06	\N	2007-12-18	TFO2005	\N	\N	3810797	3961440	3961439	9999-12-31	2013-05-08
367 S	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-01-06	\N	2007-12-18	TFO2005	\N	\N	3810797	3961441	\N	9999-12-31	2013-05-08
367 S	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-01-06	\N	2007-12-18	TFO2005	\N	\N	3810797	3961442	\N	9999-12-31	2013-05-08
367 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-01-06	\N	2007-12-18	TFO2005	\N	\N	3810797	3961443	\N	9999-12-31	2013-05-08
368	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-01-06	\N	2007-07-06	TFO2005	\N	\N	3810851	3961444	\N	9999-12-31	2013-05-08
368	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Godkjent	Approved	2007-07-06	\N	2007-07-06	TFO2005	\N	\N	3810851	3961445	\N	9999-12-31	2013-05-08
368	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2009-01-06	\N	2007-07-06	TFO2005	\N	\N	3810851	3961446	3961445	9999-12-31	2013-05-08
368	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2009-01-06	\N	2007-07-06	TFO2005	\N	\N	3810851	3961447	\N	9999-12-31	2013-05-08
368	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-01-06	\N	2007-07-06	TFO2005	\N	\N	3810851	3961448	\N	9999-12-31	2013-05-08
368	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2010-01-06	\N	2007-07-06	TFO2005	\N	\N	3810851	3961449	\N	9999-12-31	2013-05-08
369	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-01-06	\N	2011-01-06	TFO2005	\N	\N	3810875	3961450	\N	9999-12-31	2013-05-08
369	Geologisk og geofysisk evaluering	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-01-06	\N	2011-01-06	TFO2005	\N	\N	3810875	3961451	\N	9999-12-31	2013-05-08
369	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-01-06	32/2-1	2011-01-06	TFO2005	\N	\N	3810875	3961452	\N	9999-12-31	2013-05-08
369	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-01-06	\N	2011-01-06	TFO2005	\N	\N	3810875	3961453	\N	9999-12-31	2013-05-08
369	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-01-06	\N	2011-01-06	TFO2005	\N	\N	3810875	3961454	\N	9999-12-31	2013-05-08
369	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-01-06	\N	2011-01-06	TFO2005	\N	\N	3810875	3961455	\N	9999-12-31	2013-05-08
369	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-01-06	\N	2011-01-06	TFO2005	\N	\N	3810875	17826511	\N	9999-12-31	2013-05-08
369	Boring av betinga brønn 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-01-06	\N	2011-01-06	TFO2005	\N	\N	3810875	17826512	17826511	9999-12-31	2013-05-08
370	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2014-07-06	TFO2005	Wintershall Norge AS	21666830	3810959	3961456	\N	2013-01-15	2013-05-08
370	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2010-07-06	\N	2014-07-06	TFO2005	Wintershall Norge AS	21666830	3810959	3961457	\N	2013-01-15	2013-05-08
370	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-01-06	33/6-4	2014-07-06	TFO2005	Wintershall Norge AS	21666830	3810959	3961458	3961457	2013-01-15	2013-05-08
370	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-07-06	\N	2014-07-06	TFO2005	Wintershall Norge AS	21666830	3810959	3961459	\N	2013-01-15	2013-05-08
370	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2013-01-06	\N	2014-07-06	TFO2005	Wintershall Norge AS	21666830	3810959	3961460	\N	2013-02-12	2013-05-08
370	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-07-06	\N	2014-07-06	TFO2005	Wintershall Norge AS	21666830	3810959	3961461	\N	2013-01-15	2013-05-08
371 S	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-01-06	\N	2009-04-06	TFO2005	\N	\N	3810996	3961462	\N	9999-12-31	2013-05-08
371 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-01-06	\N	2009-04-06	TFO2005	\N	\N	3810996	3961463	\N	9999-12-31	2013-05-08
371 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-01-06	\N	2009-04-06	TFO2005	\N	\N	3810996	3961464	3961463	9999-12-31	2013-05-08
376	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-01-06	\N	2010-01-06	TFO2005	\N	\N	3811255	3961494	\N	9999-12-31	2013-05-08
371 S	Beslutte å utarbeide utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-04-06	\N	2009-04-06	TFO2005	\N	\N	3810996	3961465	\N	9999-12-31	2013-05-08
371 S	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-01-06	\N	2009-04-06	TFO2005	\N	\N	3810996	3961466	\N	9999-12-31	2013-05-08
371 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-04-06	\N	2009-04-06	TFO2005	\N	\N	3810996	3961467	\N	9999-12-31	2013-05-08
372 S	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2009-07-06	TFO2005	\N	\N	3811092	3961468	\N	9999-12-31	2013-05-08
372 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-07-06	\N	2009-07-06	TFO2005	\N	\N	3811092	3961469	\N	9999-12-31	2013-05-08
372 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-07-06	\N	2009-07-06	TFO2005	\N	\N	3811092	3961470	3961469	9999-12-31	2013-05-08
372 S	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-07-06	\N	2009-07-06	TFO2005	\N	\N	3811092	3961471	\N	9999-12-31	2013-05-08
372 S	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-01-06	\N	2009-07-06	TFO2005	\N	\N	3811092	3961472	\N	9999-12-31	2013-05-08
372 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-07-06	\N	2009-07-06	TFO2005	\N	\N	3811092	3961473	\N	9999-12-31	2013-05-08
373 S	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-01-06	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	3961474	\N	2013-05-07	2013-05-08
373 S	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2009-01-06	34/3-1 S	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	3961475	\N	2013-05-07	2013-05-08
373 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2011-01-06	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	3961476	\N	2013-05-07	2013-05-08
373 S	Sende inn utbyggingsplanen	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2013-01-06	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	3961477	\N	2013-05-07	2013-05-08
373 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2013-01-06	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	5841367	\N	2013-05-08	2013-05-08
373 S	Betinga brønn - 1 av 3	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-04-29	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	23341811	\N	9999-12-31	2013-05-08
373 S	Boring av betinga brønn - 1 av 3	Boring	Drilling	Under arbeid	In process	2016-04-29	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	23341812	\N	9999-12-31	2013-05-08
373 S	Betinga brønn - 2 av 3	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-04-29	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	23352891	\N	9999-12-31	2013-05-08
373 S	Boring av betinga brønn - 2 av 3	Boring	Drilling	Under arbeid	In process	2017-04-29	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	23352892	\N	9999-12-31	2013-05-08
373 S	Sende inn utbyggingsplan - N Field Cook	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-04-29	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	23352893	\N	9999-12-31	2013-05-08
373 S	Beslutning om utbyggingsplan - N Field C	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-04-29	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	23352894	\N	9999-12-31	2013-05-08
373 S	Beslutning om utbyggingsplan - Miocene	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-04-29	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	23352895	\N	9999-12-31	2013-05-08
373 S	Sende inn utbyggingsplan - Miocene	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-04-29	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	23352896	\N	9999-12-31	2013-05-08
373 S	Betinga brønn - 3 av 3	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-04-29	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	23352897	\N	9999-12-31	2013-05-08
373 S	Beslutning om utbyggingsplan - Hanging W	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-04-29	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	23352898	\N	9999-12-31	2013-05-08
373 S	Sende inn Utbyggingsplan - Hanging Wall	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-04-29	\N	2038-01-06	TFO2005	BG Norge AS	2747354	3811116	23352899	\N	9999-12-31	2013-05-08
374 S	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2016-01-06	TFO2005	BG Norge AS	2747354	3811171	3961478	\N	2012-12-14	2013-05-08
374 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-01-06	\N	2016-01-06	TFO2005	BG Norge AS	2747354	3811171	3961479	\N	2012-12-14	2013-05-08
374 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-01-06	34/5-1 S	2016-01-06	TFO2005	BG Norge AS	2747354	3811171	3961480	3961479	2012-12-14	2013-05-08
374 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-01-06	\N	2016-01-06	TFO2005	BG Norge AS	2747354	3811171	3961481	\N	2012-12-14	2013-05-08
374 S	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-01-06	\N	2016-01-06	TFO2005	BG Norge AS	2747354	3811171	3961482	\N	2012-12-14	2013-05-08
374 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-06	\N	2016-01-06	TFO2005	BG Norge AS	2747354	3811171	3961483	\N	2012-12-14	2013-05-08
375	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2014-12-31	TFO2005	Suncor Energy Norge AS	20426420	3811214	3961484	\N	9999-12-31	2013-05-08
375	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2008-01-06	\N	2014-12-31	TFO2005	Suncor Energy Norge AS	20426420	3811214	3961485	\N	9999-12-31	2013-05-08
375	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-01-06	34/4-11	2014-12-31	TFO2005	Suncor Energy Norge AS	20426420	3811214	3961486	3961485	9999-12-31	2013-05-08
375	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2012-12-31	\N	2014-12-31	TFO2005	Suncor Energy Norge AS	20426420	3811214	3961487	\N	2013-02-01	2013-05-08
375	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2012-12-31	\N	2014-12-31	TFO2005	Suncor Energy Norge AS	20426420	3811214	3961488	\N	2013-02-01	2013-05-08
375	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-12-31	\N	2014-12-31	TFO2005	Suncor Energy Norge AS	20426420	3811214	3961489	\N	9999-12-31	2013-05-08
376	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-01-06	\N	2010-01-06	TFO2005	\N	\N	3811255	3961490	\N	9999-12-31	2013-05-08
376	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-01-06	35/6-2 S	2010-01-06	TFO2005	\N	\N	3811255	3961491	\N	9999-12-31	2013-05-08
376	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-01-06	\N	2010-01-06	TFO2005	\N	\N	3811255	3961492	\N	9999-12-31	2013-05-08
376	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-01-06	\N	2010-01-06	TFO2005	\N	\N	3811255	3961493	\N	9999-12-31	2013-05-08
377 S	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-01-06	\N	2012-07-06	TFO2005	\N	\N	3811290	3961495	\N	2013-04-12	2013-05-08
377 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-07-06	\N	2012-07-06	TFO2005	\N	\N	3811290	3961496	\N	2013-04-12	2013-05-08
377 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-01-06	35/7-1 S	2012-07-06	TFO2005	\N	\N	3811290	3961497	3961496	2013-04-12	2013-05-08
377 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-07-06	\N	2012-07-06	TFO2005	\N	\N	3811290	3961498	\N	2013-04-12	2013-05-08
377 S	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-01-06	\N	2012-07-06	TFO2005	\N	\N	3811290	3961499	\N	2013-04-12	2013-05-08
377 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2012-07-06	\N	2012-07-06	TFO2005	\N	\N	3811290	3961500	\N	2013-04-12	2013-05-08
378	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-01-06	\N	2016-01-06	TFO2005	Wintershall Norge AS	21666830	3811312	3961526	\N	2012-12-04	2013-05-08
378	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2009-01-06	\N	2016-01-06	TFO2005	Wintershall Norge AS	21666830	3811312	3961527	\N	2012-12-04	2013-05-08
378	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-01-06	\N	2016-01-06	TFO2005	Wintershall Norge AS	21666830	3811312	3961528	\N	2012-12-04	2013-05-08
378	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-01-06	35/12-2	2016-01-06	TFO2005	Wintershall Norge AS	21666830	3811312	3961529	3961528	2012-12-04	2013-05-08
378	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-01-06	\N	2016-01-06	TFO2005	Wintershall Norge AS	21666830	3811312	3961530	\N	2012-12-04	2013-05-08
378	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2013-01-06	\N	2016-01-06	TFO2005	Wintershall Norge AS	21666830	3811312	3961531	\N	2013-01-29	2013-05-08
378	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-06	\N	2016-01-06	TFO2005	Wintershall Norge AS	21666830	3811312	3961532	\N	2012-12-04	2013-05-08
379	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-01-06	\N	2010-01-05	TFO2005	\N	\N	3811357	3961533	\N	9999-12-31	2013-05-08
379	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-01-06	\N	2010-01-05	TFO2005	\N	\N	3811357	3961534	\N	9999-12-31	2013-05-08
379	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-01-06	\N	2010-01-05	TFO2005	\N	\N	3811357	3961535	3961534	9999-12-31	2013-05-08
379	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-01-06	\N	2010-01-05	TFO2005	\N	\N	3811357	3961536	\N	9999-12-31	2013-05-08
379	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-01-06	\N	2010-01-05	TFO2005	\N	\N	3811357	3961537	\N	9999-12-31	2013-05-08
379	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-01-06	\N	2010-01-05	TFO2005	\N	\N	3811357	3961538	\N	9999-12-31	2013-05-08
380	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2007-01-06	\N	2010-01-06	TFO2005	\N	\N	3811381	3961539	\N	9999-12-31	2013-05-08
380	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2007-01-06	\N	2010-01-06	TFO2005	\N	\N	3811381	3961540	\N	9999-12-31	2013-05-08
380	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-01-06	6407/2-4	2010-01-06	TFO2005	\N	\N	3811381	3961541	3961540	9999-12-31	2013-05-08
380	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-01-06	\N	2010-01-06	TFO2005	\N	\N	3811381	3961542	\N	9999-12-31	2013-05-08
380	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-01-06	\N	2010-01-06	TFO2005	\N	\N	3811381	3961543	\N	9999-12-31	2013-05-08
380	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-01-06	\N	2010-01-06	TFO2005	\N	\N	3811381	3961544	\N	9999-12-31	2013-05-08
381	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Frafalt	Dropped	2009-01-06	\N	2009-02-06	TFO2005	\N	\N	3811409	3961545	\N	9999-12-31	2013-05-08
381	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-07-06	\N	2009-02-06	TFO2005	\N	\N	3811409	3961546	\N	9999-12-31	2013-05-08
381	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-01-06	\N	2009-02-06	TFO2005	\N	\N	3811409	3961547	3961546	9999-12-31	2013-05-08
381	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-01-06	\N	2009-02-06	TFO2005	\N	\N	3811409	3961548	\N	9999-12-31	2013-05-08
381	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-01-06	\N	2009-02-06	TFO2005	\N	\N	3811409	3961549	\N	9999-12-31	2013-05-08
381	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-01-06	\N	2009-02-06	TFO2005	\N	\N	3811409	3961550	\N	9999-12-31	2013-05-08
382	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-01-06	\N	2011-04-06	TFO2005	\N	\N	3811444	3961551	\N	2012-06-26	2013-05-08
382	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-07-06	\N	2011-04-06	TFO2005	\N	\N	3811444	3961552	\N	2012-06-21	2013-05-08
382	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-04-06	\N	2011-04-06	TFO2005	\N	\N	3811444	3961553	\N	9999-12-31	2013-05-08
382	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-07-06	\N	2011-04-06	TFO2005	\N	\N	3811444	3961554	3961553	9999-12-31	2013-05-08
382	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-04-06	\N	2011-04-06	TFO2005	\N	\N	3811444	3961555	\N	9999-12-31	2013-05-08
382	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-04-06	\N	2011-04-06	TFO2005	\N	\N	3811444	3961556	\N	9999-12-31	2013-05-08
382	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-04-06	\N	2011-04-06	TFO2005	\N	\N	3811444	3961557	\N	9999-12-31	2013-05-08
383	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2010-07-06	TFO2005	\N	\N	3811499	3961558	\N	9999-12-31	2013-05-08
383	Betinga brønn - 1 av 2	Beslutning om boring	Decision to drill	Godkjent	Approved	2008-01-06	\N	2010-07-06	TFO2005	\N	\N	3811499	3961559	\N	9999-12-31	2013-05-08
383	Boring av betinga brønn - 1 av 2	Boring	Drilling	Godkjent	Approved	2010-01-06	6507/3-6	2010-07-06	TFO2005	\N	\N	3811499	3961560	3961559	9999-12-31	2013-05-08
383	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-07-06	\N	2010-07-06	TFO2005	\N	\N	3811499	3961561	\N	9999-12-31	2013-05-08
383	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-07-06	\N	2010-07-06	TFO2005	\N	\N	3811499	3961562	\N	9999-12-31	2013-05-08
383	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-07-06	\N	2010-07-06	TFO2005	\N	\N	3811499	3961563	\N	9999-12-31	2013-05-08
383	Betinga brøn 2 av 2	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-07-06	\N	2010-07-06	TFO2005	\N	\N	3811499	18061341	\N	9999-12-31	2013-05-08
383	Boring av betinga brønn - 2 av 2	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-07-06	\N	2010-07-06	TFO2005	\N	\N	3811499	18061342	18061341	9999-12-31	2013-05-08
384	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2008-04-01	TFO2005	\N	\N	3811564	3961564	\N	9999-12-31	2013-05-08
384	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2008-01-06	\N	2008-04-01	TFO2005	\N	\N	3811564	3961565	\N	2012-06-21	2013-05-08
384	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Frafalt	Dropped	2009-01-06	\N	2008-04-01	TFO2005	\N	\N	3811564	3961566	\N	9999-12-31	2013-05-08
384	Boring av betinga brønn - 1 av 1	Boring	Drilling	Frafalt	Dropped	2010-01-06	\N	2008-04-01	TFO2005	\N	\N	3811564	3961567	3961566	9999-12-31	2013-05-08
384	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-01-06	\N	2008-04-01	TFO2005	\N	\N	3811564	3961568	\N	9999-12-31	2013-05-08
384	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-01-06	\N	2008-04-01	TFO2005	\N	\N	3811564	3961569	\N	9999-12-31	2013-05-08
384	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-01-06	\N	2008-04-01	TFO2005	\N	\N	3811564	3961570	\N	9999-12-31	2013-05-08
385	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-01-06	\N	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3811602	3961571	\N	9999-12-31	2013-05-08
385	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2008-01-06	\N	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3811602	3961572	\N	9999-12-31	2013-05-08
385	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2013-01-06	\N	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3811602	3961573	3961572	9999-12-31	2013-05-08
385	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-09-06	\N	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3811602	3961574	\N	2013-02-13	2013-05-08
385	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-01-06	\N	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3811602	3961575	\N	9999-12-31	2013-05-08
385	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-01-06	\N	2014-01-06	TFO2005	Statoil Petroleum AS	17237817	3811602	3961576	\N	9999-12-31	2013-05-08
386	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-01-06	\N	2013-04-06	TFO2005	\N	\N	3811659	3961577	\N	2013-04-12	2013-05-08
386	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2010-01-06	\N	2013-04-06	TFO2005	\N	\N	3811659	3961578	\N	2013-04-12	2013-05-08
386	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-01-06	6610/10-1	2013-04-06	TFO2005	\N	\N	3811659	3961579	3961578	2013-04-23	2013-05-08
386	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-04-06	\N	2013-04-06	TFO2005	\N	\N	3811659	3961580	\N	2013-04-23	2013-05-08
386	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-01-06	\N	2013-04-06	TFO2005	\N	\N	3811659	3961581	\N	2013-04-23	2013-05-08
386	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2013-04-06	\N	2013-04-06	TFO2005	\N	\N	3811659	3961582	\N	2013-04-12	2013-05-08
090 D	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2008-01-06	\N	2010-01-06	TFO2005	\N	\N	3811847	3961261	\N	9999-12-31	2013-05-08
090 D	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-01-06	35/11-11	2010-01-06	TFO2005	\N	\N	3811847	3961262	3961261	9999-12-31	2013-05-08
090 D	Innsende ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-01-06	\N	2010-01-06	TFO2005	\N	\N	3811847	3961263	\N	9999-12-31	2013-05-08
090 D	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2010-01-06	\N	2010-01-06	TFO2005	\N	\N	3811847	3961264	\N	9999-12-31	2013-05-08
091 C	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2009-01-06	\N	2008-02-06	TFO2005	\N	\N	3811888	3961307	4212694	9999-12-31	2013-05-08
091 C	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2009-01-06	\N	2008-02-06	TFO2005	\N	\N	3811888	3961308	\N	9999-12-31	2013-05-08
091 C	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2008-02-06	\N	2008-02-06	TFO2005	\N	\N	3811888	4212694	\N	9999-12-31	2013-05-08
091 C	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2009-12-06	\N	2008-02-06	TFO2005	\N	\N	3811888	4212695	\N	9999-12-31	2013-05-08
134 C	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2009-01-06	\N	2027-04-10	TFO2005	Statoil Petroleum AS	17237817	3812006	3961328	\N	9999-12-31	2013-05-08
134 C	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2009-01-06	\N	2027-04-10	TFO2005	Statoil Petroleum AS	17237817	3812006	3961329	\N	9999-12-31	2013-05-08
195 B	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2008-01-06	\N	2030-10-10	TFO2005	Statoil Petroleum AS	17237817	3812021	3961330	\N	9999-12-31	2013-05-08
195 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2008-01-06	\N	2030-10-10	TFO2005	Statoil Petroleum AS	17237817	3812021	3961331	\N	9999-12-31	2013-05-08
248 B	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2006-12-31	\N	2035-06-04	TFO2005	Statoil Petroleum AS	17237817	3812058	3961332	\N	9999-12-31	2013-05-08
248 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2007-12-31	\N	2035-06-04	TFO2005	Statoil Petroleum AS	17237817	3812058	3961333	\N	9999-12-31	2013-05-08
277 B	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-03-15	\N	2013-01-01	TFO2005	\N	\N	3812131	3961334	\N	2013-01-03	2013-05-08
277 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2012-03-15	\N	2013-01-01	TFO2005	\N	\N	3812131	3961335	\N	2013-01-03	2013-05-08
355	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-12-12	\N	2009-12-12	TFO2005	\N	\N	3812175	3961342	\N	9999-12-31	2013-05-08
355	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2009-12-12	\N	2009-12-12	TFO2005	\N	\N	3812175	3961343	\N	9999-12-31	2013-05-08
355	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-12-12	\N	2009-12-12	TFO2005	\N	\N	3812175	3961344	\N	9999-12-31	2013-05-08
355	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2010-12-12	\N	2009-12-12	TFO2005	\N	\N	3812175	3961345	\N	9999-12-31	2013-05-08
091 B	Innsende ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2009-10-06	\N	2009-10-06	TFO2005	\N	\N	3812205	3961278	\N	9999-12-31	2013-05-08
091 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2009-10-06	\N	2009-10-06	TFO2005	\N	\N	3812205	3961279	\N	9999-12-31	2013-05-08
354 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-01-06	\N	2010-01-06	TFO2006	\N	\N	4237131	4456588	\N	9999-12-31	2013-05-08
399	Reprosessere 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-06-16	\N	2009-02-16	TFO2006	\N	\N	4237147	4456595	\N	2012-06-26	2013-05-08
399	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237147	4456596	\N	9999-12-31	2013-05-08
399	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-08-16	\N	2009-02-16	TFO2006	\N	\N	4237147	4456597	4456596	9999-12-31	2013-05-08
399	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-08-16	\N	2009-02-16	TFO2006	\N	\N	4237147	4456599	\N	9999-12-31	2013-05-08
399	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-08-16	\N	2009-02-16	TFO2006	\N	\N	4237147	4456600	\N	9999-12-31	2013-05-08
399	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-08-16	\N	2009-02-16	TFO2006	\N	\N	4237147	4456601	\N	9999-12-31	2013-05-08
399	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237147	21631950	\N	9999-12-31	2013-05-08
440 S	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-06-15	\N	2015-06-15	TFO2006	Faroe Petroleum Norge AS	4062883	4237161	4474561	\N	9999-12-31	2013-05-08
440 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2010-06-15	\N	2015-06-15	TFO2006	Faroe Petroleum Norge AS	4062883	4237161	4474562	\N	9999-12-31	2013-05-08
440 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-06-15	2/8-18 S	2015-06-15	TFO2006	Faroe Petroleum Norge AS	4062883	4237161	4474563	4474562	2012-08-17	2013-05-08
440 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-06-15	\N	2015-06-15	TFO2006	Faroe Petroleum Norge AS	4062883	4237161	4474564	\N	9999-12-31	2013-05-08
440 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-06-15	\N	2015-06-15	TFO2006	Faroe Petroleum Norge AS	4062883	4237161	4474565	\N	9999-12-31	2013-05-08
440 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-06-15	\N	2015-06-15	TFO2006	Faroe Petroleum Norge AS	4062883	4237161	4474566	\N	9999-12-31	2013-05-08
440 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-06-15	\N	2015-06-15	TFO2006	Faroe Petroleum Norge AS	4062883	4237161	21636682	\N	9999-12-31	2013-05-08
398 S	Reprosessere 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237177	4456589	\N	9999-12-31	2013-05-08
398 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237177	4456590	\N	9999-12-31	2013-05-08
398 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4237177	4456591	4456590	9999-12-31	2013-05-08
398 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4237177	4456592	\N	9999-12-31	2013-05-08
398 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-16	\N	2009-02-16	TFO2006	\N	\N	4237177	4456593	\N	9999-12-31	2013-05-08
398 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-16	\N	2009-02-16	TFO2006	\N	\N	4237177	4456594	\N	9999-12-31	2013-05-08
398 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237177	21631938	\N	2012-10-24	2013-05-08
402	Samle inn og reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-02-16	\N	2017-02-16	TFO2006	Talisman Energy Norge AS	2425093	4237193	4456740	\N	2013-04-24	2013-05-08
402	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2013-02-16	9/12-1	2017-02-16	TFO2006	Talisman Energy Norge AS	2425093	4237193	4456741	\N	2013-04-24	2013-05-08
402	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-02-16	\N	2017-02-16	TFO2006	Talisman Energy Norge AS	2425093	4237193	4456742	\N	2013-04-24	2013-05-08
402	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-16	\N	2017-02-16	TFO2006	Talisman Energy Norge AS	2425093	4237193	4456743	\N	2013-04-24	2013-05-08
402	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2013-02-16	\N	2017-02-16	TFO2006	Talisman Energy Norge AS	2425093	4237193	4456744	\N	2013-04-24	2013-05-08
402	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2013-02-16	\N	2017-02-16	TFO2006	Talisman Energy Norge AS	2425093	4237193	21637561	\N	2013-04-24	2013-05-08
404	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-08-16	\N	2012-08-16	TFO2006	\N	\N	4237207	4456752	\N	2012-10-13	2013-05-08
404	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-02-16	\N	2012-08-16	TFO2006	\N	\N	4237207	4456753	\N	2012-10-13	2013-05-08
404	Innsende ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-08-16	\N	2012-08-16	TFO2006	\N	\N	4237207	4456754	\N	2012-10-13	2013-05-08
404	Beslutning om utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-16	\N	2012-08-16	TFO2006	\N	\N	4237207	4456755	\N	2013-03-23	2013-05-08
404	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-08-16	\N	2012-08-16	TFO2006	\N	\N	4237207	4456756	\N	2012-10-13	2013-05-08
404	Boring av betinga brønn - 1 av 1	Boring	Drilling	Frafalt	Dropped	2014-08-16	\N	2012-08-16	TFO2006	\N	\N	4237207	5268337	4456753	2012-10-13	2013-05-08
404	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2015-08-16	\N	2012-08-16	TFO2006	\N	\N	4237207	21631953	\N	2013-02-01	2013-05-08
401	Innsamle seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-08-16	\N	2009-12-16	TFO2006	\N	\N	4237219	4456735	\N	9999-12-31	2013-05-08
401	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-08-16	\N	2009-12-16	TFO2006	\N	\N	4237219	4456736	\N	9999-12-31	2013-05-08
401	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-08-16	\N	2009-12-16	TFO2006	\N	\N	4237219	4456737	4456736	9999-12-31	2013-05-08
401	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-08-16	\N	2009-12-16	TFO2006	\N	\N	4237219	4456738	\N	9999-12-31	2013-05-08
401	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-08-16	\N	2009-12-16	TFO2006	\N	\N	4237219	4456739	\N	9999-12-31	2013-05-08
401	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-12-16	\N	2009-12-16	TFO2006	\N	\N	4237219	21637560	\N	9999-12-31	2013-05-08
403	Geokjemiske prøvar frå havbotnen	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2008-02-16	\N	2008-02-16	TFO2006	\N	\N	4237233	4456745	\N	9999-12-31	2013-05-08
446	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-06-15	\N	2009-06-15	TFO2006	\N	\N	4238548	4474603	4474602	9999-12-31	2013-05-08
403	Innsamling av seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Frafalt	Dropped	2008-02-16	\N	2008-02-16	TFO2006	\N	\N	4237233	4456746	\N	9999-12-31	2013-05-08
403	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Frafalt	Dropped	2010-02-16	\N	2008-02-16	TFO2006	\N	\N	4237233	4456747	\N	9999-12-31	2013-05-08
403	Boring av betinga brønn - 1 av 1	Boring	Drilling	Frafalt	Dropped	2012-02-16	\N	2008-02-16	TFO2006	\N	\N	4237233	4456748	4456747	9999-12-31	2013-05-08
403	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-16	\N	2008-02-16	TFO2006	\N	\N	4237233	4456749	\N	9999-12-31	2013-05-08
403	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-16	\N	2008-02-16	TFO2006	\N	\N	4237233	4456750	\N	9999-12-31	2013-05-08
403	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-16	\N	2008-02-16	TFO2006	\N	\N	4237233	4456751	\N	9999-12-31	2013-05-08
403	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2008-02-16	\N	2008-02-16	TFO2006	\N	\N	4237233	21631952	\N	9999-12-31	2013-05-08
400	Samle inn og reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2012-02-16	TFO2006	\N	\N	4237242	4456728	\N	9999-12-31	2013-05-08
400	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-02-16	\N	2012-02-16	TFO2006	\N	\N	4237242	4456730	\N	9999-12-31	2013-05-08
400	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-02-16	3/8-1	2012-02-16	TFO2006	\N	\N	4237242	4456731	4456730	9999-12-31	2013-05-08
400	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-02-16	\N	2012-02-16	TFO2006	\N	\N	4237242	4456733	\N	9999-12-31	2013-05-08
400	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-02-16	\N	2012-02-16	TFO2006	\N	\N	4237242	4456734	\N	9999-12-31	2013-05-08
400	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-16	\N	2012-02-16	TFO2006	\N	\N	4237242	4944099	\N	9999-12-31	2013-05-08
400	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2012-02-16	\N	2012-02-16	TFO2006	\N	\N	4237242	21631951	\N	9999-12-31	2013-05-08
411	Anskaffe og tolke seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-02-16	\N	2012-05-16	TFO2006	\N	\N	4237252	4456797	\N	2012-07-05	2013-05-08
411	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2012-05-16	\N	2012-05-16	TFO2006	\N	\N	4237252	4456798	\N	2012-07-05	2013-05-08
411	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2014-05-16	\N	2012-05-16	TFO2006	\N	\N	4237252	4456799	4456798	2012-07-05	2013-05-08
411	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2014-05-16	\N	2012-05-16	TFO2006	\N	\N	4237252	4456800	\N	2012-08-04	2013-05-08
411	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-05-16	\N	2012-05-16	TFO2006	\N	\N	4237252	4456801	\N	2012-07-05	2013-05-08
411	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2015-05-16	\N	2012-05-16	TFO2006	\N	\N	4237252	4456802	\N	2012-07-05	2013-05-08
411	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2015-05-16	\N	2012-05-16	TFO2006	\N	\N	4237252	21631960	\N	2012-07-05	2013-05-08
441	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Frafalt	Dropped	2008-06-15	\N	2008-05-25	TFO2006	\N	\N	4237270	4474194	\N	9999-12-31	2013-05-08
441	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Frafalt	Dropped	2010-06-15	\N	2008-05-25	TFO2006	\N	\N	4237270	4474195	\N	9999-12-31	2013-05-08
441	Boring av betinga brønn - 1 av 1	Boring	Drilling	Frafalt	Dropped	2012-06-15	\N	2008-05-25	TFO2006	\N	\N	4237270	4474196	4474195	9999-12-31	2013-05-08
441	Beslutning om Utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-06-15	\N	2008-05-25	TFO2006	\N	\N	4237270	4474197	\N	9999-12-31	2013-05-08
441	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-06-15	\N	2008-05-25	TFO2006	\N	\N	4237270	4474198	\N	9999-12-31	2013-05-08
441	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-06-15	\N	2008-05-25	TFO2006	\N	\N	4237270	4474199	\N	9999-12-31	2013-05-08
441	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2008-08-25	\N	2008-05-25	TFO2006	\N	\N	4237270	21636683	\N	9999-12-31	2013-05-08
405	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2016-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4237284	4456757	\N	9999-12-31	2013-05-08
405	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-08-16	\N	2016-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4237284	4456758	\N	9999-12-31	2013-05-08
405	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-02-16	8/10-4 S	2016-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4237284	4456759	4456758	9999-12-31	2013-05-08
405	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-16	\N	2016-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4237284	4456760	\N	9999-12-31	2013-05-08
405	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-16	\N	2016-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4237284	4456761	\N	9999-12-31	2013-05-08
405	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-16	\N	2016-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4237284	4456762	\N	9999-12-31	2013-05-08
405	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-16	\N	2016-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4237284	21631954	\N	9999-12-31	2013-05-08
407	Fast brønn - 1 av 2	Boring	Drilling	Godkjent	Approved	2011-02-16	17/12-4	2016-02-16	TFO2006	BG Norge AS	2747354	4237300	4456777	\N	2013-01-25	2013-05-08
407	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-02-16	\N	2016-02-16	TFO2006	BG Norge AS	2747354	4237300	4456778	\N	2013-02-21	2013-05-08
407	Fast brønn - 2 av 2	Boring	Drilling	Under arbeid	In process	2016-02-16	\N	2016-02-16	TFO2006	BG Norge AS	2747354	4237300	4456779	\N	2013-01-25	2013-05-08
407	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-16	\N	2016-02-16	TFO2006	BG Norge AS	2747354	4237300	4456780	\N	2013-01-25	2013-05-08
407	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-16	\N	2016-02-16	TFO2006	BG Norge AS	2747354	4237300	21631956	\N	2013-02-21	2013-05-08
406	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2012-02-16	\N	2015-02-16	TFO2006	Premier Oil Norge AS	3482067	4237318	4456763	\N	2013-01-23	2013-05-08
406	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-02-16	9/1-1 S	2015-02-16	TFO2006	Premier Oil Norge AS	3482067	4237318	4456764	\N	2013-01-23	2013-05-08
406	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-16	\N	2015-02-16	TFO2006	Premier Oil Norge AS	3482067	4237318	4456774	\N	2013-01-23	2013-05-08
406	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Premier Oil Norge AS	3482067	4237318	4456775	\N	2013-01-23	2013-05-08
406	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Premier Oil Norge AS	3482067	4237318	4456776	\N	2013-02-08	2013-05-08
406	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Premier Oil Norge AS	3482067	4237318	21631955	\N	2013-02-08	2013-05-08
316 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2010-06-18	\N	2030-06-18	TFO2006	Talisman Energy Norge AS	2425093	4237334	4456586	\N	9999-12-31	2013-05-08
408	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-12	\N	2010-12-31	TFO2006	\N	\N	4237444	4456781	\N	9999-12-31	2013-05-08
408	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-02-16	\N	2010-12-31	TFO2006	\N	\N	4237444	4456782	\N	9999-12-31	2013-05-08
408	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-16	\N	2010-12-31	TFO2006	\N	\N	4237444	4456783	\N	9999-12-31	2013-05-08
408	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-16	\N	2010-12-31	TFO2006	\N	\N	4237444	4456784	\N	9999-12-31	2013-05-08
408	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-16	\N	2010-12-31	TFO2006	\N	\N	4237444	4456785	\N	9999-12-31	2013-05-08
408	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-12-31	\N	2010-12-31	TFO2006	\N	\N	4237444	21631957	\N	9999-12-31	2013-05-08
408	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-02-16	15/9-23	2010-12-31	TFO2006	\N	\N	4237444	21637562	4456782	9999-12-31	2013-05-08
410	Innsamle seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237458	4456791	\N	9999-12-31	2013-05-08
410	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237458	4456792	\N	9999-12-31	2013-05-08
410	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237458	4456793	4456792	9999-12-31	2013-05-08
410	Beslutning om utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237458	4456794	\N	9999-12-31	2013-05-08
410	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237458	4456795	\N	9999-12-31	2013-05-08
410	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237458	4456796	\N	9999-12-31	2013-05-08
410	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237458	21631959	\N	9999-12-31	2013-05-08
409	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237470	4456786	\N	9999-12-31	2013-05-08
409	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-02-16	16/7-9	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237470	4456787	\N	9999-12-31	2013-05-08
409	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237470	4456788	\N	9999-12-31	2013-05-08
409	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237470	4456789	\N	9999-12-31	2013-05-08
409	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237470	4456790	\N	9999-12-31	2013-05-08
409	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4237470	21631958	\N	9999-12-31	2013-05-08
413	Anskaffe og reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2010-08-16	TFO2006	\N	\N	4237482	4456810	\N	9999-12-31	2013-05-08
413	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-08-16	\N	2010-08-16	TFO2006	\N	\N	4237482	4456811	\N	9999-12-31	2013-05-08
413	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-08-16	\N	2010-08-16	TFO2006	\N	\N	4237482	4456812	4456811	9999-12-31	2013-05-08
413	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-16	\N	2010-08-16	TFO2006	\N	\N	4237482	4456813	\N	9999-12-31	2013-05-08
413	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-16	\N	2010-08-16	TFO2006	\N	\N	4237482	4456814	\N	9999-12-31	2013-05-08
413	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-16	\N	2010-08-16	TFO2006	\N	\N	4237482	4456815	\N	9999-12-31	2013-05-08
413	tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-08-16	\N	2010-08-16	TFO2006	\N	\N	4237482	21631962	\N	9999-12-31	2013-05-08
415	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237498	4456821	\N	9999-12-31	2013-05-08
415	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237498	4456822	\N	9999-12-31	2013-05-08
415	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2010-02-16	\N	2009-02-16	TFO2006	\N	\N	4237498	4456823	\N	9999-12-31	2013-05-08
415	initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2010-02-16	\N	2009-02-16	TFO2006	\N	\N	4237498	4456824	\N	9999-12-31	2013-05-08
415	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237498	21631964	\N	9999-12-31	2013-05-08
442	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-06-15	\N	2014-03-15	TFO2006	Centrica Resources (Norge) AS	4238233	4237510	4474567	\N	9999-12-31	2013-05-08
442	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-06-15	25/2-17	2014-03-15	TFO2006	Centrica Resources (Norge) AS	4238233	4237510	4474568	\N	9999-12-31	2013-05-08
442	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-12-15	\N	2014-03-15	TFO2006	Centrica Resources (Norge) AS	4238233	4237510	4474569	\N	2013-03-19	2013-05-08
442	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-03-15	\N	2014-03-15	TFO2006	Centrica Resources (Norge) AS	4238233	4237510	4474570	\N	9999-12-31	2013-05-08
442	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-03-15	\N	2014-03-15	TFO2006	Centrica Resources (Norge) AS	4238233	4237510	18086037	\N	9999-12-31	2013-05-08
446	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-06-15	\N	2009-06-15	TFO2006	\N	\N	4238548	4474604	\N	9999-12-31	2013-05-08
442	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-03-15	\N	2014-03-15	TFO2006	Centrica Resources (Norge) AS	4238233	4237510	21636684	\N	9999-12-31	2013-05-08
414	Skaffe og reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2015-02-16	TFO2006	Det norske oljeselskap ASA	17342870	4237582	4456816	\N	2013-03-22	2013-05-08
414	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-02-16	\N	2015-02-16	TFO2006	Det norske oljeselskap ASA	17342870	4237582	4456817	\N	2013-03-22	2013-05-08
414	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-02-16	25/6-4 S	2015-02-16	TFO2006	Det norske oljeselskap ASA	17342870	4237582	4456818	4456817	2013-03-22	2013-05-08
414	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-16	\N	2015-02-16	TFO2006	Det norske oljeselskap ASA	17342870	4237582	4456819	\N	2013-04-12	2013-05-08
414	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Det norske oljeselskap ASA	17342870	4237582	4456820	\N	2013-03-22	2013-05-08
414	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Det norske oljeselskap ASA	17342870	4237582	5466599	\N	2013-04-12	2013-05-08
414	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Det norske oljeselskap ASA	17342870	4237582	21631963	\N	2013-04-12	2013-05-08
412	Anskaffe og reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-02-16	\N	2011-02-17	TFO2006	\N	\N	4237612	4456803	\N	9999-12-31	2013-05-08
412	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-02-16	25/9-3	2011-02-17	TFO2006	\N	\N	4237612	4456804	\N	9999-12-31	2013-05-08
412	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-02-16	\N	2011-02-17	TFO2006	\N	\N	4237612	4456805	\N	9999-12-31	2013-05-08
412	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-02-16	\N	2011-02-17	TFO2006	\N	\N	4237612	4456806	4456805	9999-12-31	2013-05-08
412	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-16	\N	2011-02-17	TFO2006	\N	\N	4237612	4456807	\N	9999-12-31	2013-05-08
412	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-16	\N	2011-02-17	TFO2006	\N	\N	4237612	4456808	\N	9999-12-31	2013-05-08
412	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-16	\N	2011-02-17	TFO2006	\N	\N	4237612	4456809	\N	9999-12-31	2013-05-08
412	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-02-17	\N	2011-02-17	TFO2006	\N	\N	4237612	21631961	\N	9999-12-31	2013-05-08
417	Samle inn og reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2010-02-16	TFO2006	\N	\N	4237645	4456834	\N	9999-12-31	2013-05-08
417	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-02-16	\N	2010-02-16	TFO2006	\N	\N	4237645	4456835	\N	9999-12-31	2013-05-08
417	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-02-16	\N	2010-02-16	TFO2006	\N	\N	4237645	4456836	4456835	9999-12-31	2013-05-08
417	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-16	\N	2010-02-16	TFO2006	\N	\N	4237645	4456837	\N	9999-12-31	2013-05-08
417	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-16	\N	2010-02-16	TFO2006	\N	\N	4237645	4456838	\N	9999-12-31	2013-05-08
417	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-16	\N	2010-02-16	TFO2006	\N	\N	4237645	4456839	\N	9999-12-31	2013-05-08
417	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-02-16	\N	2010-02-16	TFO2006	\N	\N	4237645	21631966	\N	9999-12-31	2013-05-08
416	Elektromagnetiske data	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-02-16	\N	2012-02-16	TFO2006	\N	\N	4237675	4456825	\N	9999-12-31	2013-05-08
416	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2010-02-16	\N	2012-02-16	TFO2006	\N	\N	4237675	4456826	\N	9999-12-31	2013-05-08
416	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-02-16	31/8-1	2012-02-16	TFO2006	\N	\N	4237675	4456827	4456826	9999-12-31	2013-05-08
416	Beslutning om Utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-16	\N	2012-02-16	TFO2006	\N	\N	4237675	4456828	\N	9999-12-31	2013-05-08
416	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-16	\N	2012-02-16	TFO2006	\N	\N	4237675	4456829	\N	9999-12-31	2013-05-08
416	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-16	\N	2012-02-16	TFO2006	\N	\N	4237675	4456830	\N	9999-12-31	2013-05-08
416	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2012-02-16	\N	2012-02-16	TFO2006	\N	\N	4237675	21631965	\N	2012-08-08	2013-05-08
423 S	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2011-08-16	TFO2006	\N	\N	4237691	4456870	\N	9999-12-31	2013-05-08
423 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-08-16	\N	2011-08-16	TFO2006	\N	\N	4237691	4456871	\N	9999-12-31	2013-05-08
423 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-08-16	\N	2011-08-16	TFO2006	\N	\N	4237691	4456872	4456871	9999-12-31	2013-05-08
423 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-08-16	\N	2011-08-16	TFO2006	\N	\N	4237691	4456873	\N	9999-12-31	2013-05-08
423 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-08-16	\N	2011-08-16	TFO2006	\N	\N	4237691	4456874	\N	9999-12-31	2013-05-08
423 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-08-16	\N	2011-08-16	TFO2006	\N	\N	4237691	4456875	\N	9999-12-31	2013-05-08
423 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-08-16	\N	2011-08-16	TFO2006	\N	\N	4237691	21631972	\N	9999-12-31	2013-05-08
445	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-06-15	\N	2009-06-15	TFO2006	\N	\N	4237722	4474595	\N	9999-12-31	2013-05-08
445	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-06-15	\N	2009-06-15	TFO2006	\N	\N	4237722	4474596	\N	9999-12-31	2013-05-08
445	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-06-15	\N	2009-06-15	TFO2006	\N	\N	4237722	4474597	4474596	9999-12-31	2013-05-08
445	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-06-15	\N	2009-06-15	TFO2006	\N	\N	4237722	4474598	\N	9999-12-31	2013-05-08
445	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-06-15	\N	2009-06-15	TFO2006	\N	\N	4237722	4474599	\N	9999-12-31	2013-05-08
445	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-06-15	\N	2009-06-15	TFO2006	\N	\N	4237722	4474600	\N	9999-12-31	2013-05-08
445	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-06-15	\N	2009-06-15	TFO2006	\N	\N	4237722	21636687	\N	9999-12-31	2013-05-08
424	Skaffe og reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2009-08-16	TFO2006	\N	\N	4237756	4456876	\N	9999-12-31	2013-05-08
424	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-08-16	\N	2009-08-16	TFO2006	\N	\N	4237756	4456877	\N	9999-12-31	2013-05-08
424	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-02-16	\N	2009-08-16	TFO2006	\N	\N	4237756	4456878	4456877	9999-12-31	2013-05-08
424	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-16	\N	2009-08-16	TFO2006	\N	\N	4237756	4456879	\N	9999-12-31	2013-05-08
424	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-16	\N	2009-08-16	TFO2006	\N	\N	4237756	4456880	\N	9999-12-31	2013-05-08
424	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-16	\N	2009-08-16	TFO2006	\N	\N	4237756	4456881	\N	9999-12-31	2013-05-08
424	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-08-16	\N	2009-08-16	TFO2006	\N	\N	4237756	21636664	\N	9999-12-31	2013-05-08
425 S	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237783	4460441	\N	9999-12-31	2013-05-08
425 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237783	4460442	\N	9999-12-31	2013-05-08
425 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4237783	4460443	4460442	9999-12-31	2013-05-08
425 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4237783	4460444	\N	9999-12-31	2013-05-08
425 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-16	\N	2009-02-16	TFO2006	\N	\N	4237783	4460445	\N	9999-12-31	2013-05-08
425 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-16	\N	2009-02-16	TFO2006	\N	\N	4237783	4460446	\N	9999-12-31	2013-05-08
425 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237783	21636665	\N	9999-12-31	2013-05-08
427 S	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2009-04-16	TFO2006	\N	\N	4237809	4460453	\N	9999-12-31	2013-05-08
427 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-04-16	\N	2009-04-16	TFO2006	\N	\N	4237809	4460454	\N	9999-12-31	2013-05-08
427 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-02-16	\N	2009-04-16	TFO2006	\N	\N	4237809	4460455	4460454	9999-12-31	2013-05-08
427 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-04-16	\N	2009-04-16	TFO2006	\N	\N	4237809	4460456	\N	9999-12-31	2013-05-08
427 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-04-16	\N	2009-04-16	TFO2006	\N	\N	4237809	4460457	\N	9999-12-31	2013-05-08
427 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-04-16	\N	2009-04-16	TFO2006	\N	\N	4237809	4460458	\N	9999-12-31	2013-05-08
427 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2009-04-16	\N	2009-04-16	TFO2006	\N	\N	4237809	21636667	\N	9999-12-31	2013-05-08
443	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-06-15	\N	2010-06-15	TFO2006	\N	\N	4237831	4474571	\N	9999-12-31	2013-05-08
443	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-06-15	\N	2010-06-15	TFO2006	\N	\N	4237831	4474572	\N	9999-12-31	2013-05-08
443	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-06-15	\N	2010-06-15	TFO2006	\N	\N	4237831	4474573	4474572	9999-12-31	2013-05-08
443	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-06-15	\N	2010-06-15	TFO2006	\N	\N	4237831	4474574	\N	9999-12-31	2013-05-08
443	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-06-15	\N	2010-06-15	TFO2006	\N	\N	4237831	4474575	\N	9999-12-31	2013-05-08
443	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-06-15	\N	2010-06-15	TFO2006	\N	\N	4237831	4474576	\N	9999-12-31	2013-05-08
443	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-06-15	\N	2010-06-15	TFO2006	\N	\N	4237831	21636685	\N	9999-12-31	2013-05-08
422 S	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237847	4456864	\N	9999-12-31	2013-05-08
422 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237847	4456865	\N	9999-12-31	2013-05-08
422 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4237847	4456866	4456865	9999-12-31	2013-05-08
422 S	Beslutning om utbyggingsbrønn	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4237847	4456867	\N	9999-12-31	2013-05-08
422 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-16	\N	2009-02-16	TFO2006	\N	\N	4237847	4456868	\N	9999-12-31	2013-05-08
422 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-16	\N	2009-02-16	TFO2006	\N	\N	4237847	4456869	\N	9999-12-31	2013-05-08
422 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4237847	21631971	\N	9999-12-31	2013-05-08
444	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-06-15	\N	2010-09-30	TFO2006	\N	\N	4237881	4474585	\N	9999-12-31	2013-05-08
444	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-06-15	\N	2010-09-30	TFO2006	\N	\N	4237881	4474586	\N	2012-06-22	2013-05-08
444	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-06-15	\N	2010-09-30	TFO2006	\N	\N	4237881	4474587	\N	9999-12-31	2013-05-08
444	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-06-15	\N	2010-09-30	TFO2006	\N	\N	4237881	4474588	4474587	9999-12-31	2013-05-08
444	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-05-15	\N	2010-09-30	TFO2006	\N	\N	4237881	4474589	\N	9999-12-31	2013-05-08
444	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-06-15	\N	2010-09-30	TFO2006	\N	\N	4237881	4474590	\N	9999-12-31	2013-05-08
444	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-06-15	\N	2010-09-30	TFO2006	\N	\N	4237881	4474591	\N	9999-12-31	2013-05-08
444	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-09-30	\N	2010-09-30	TFO2006	\N	\N	4237881	21636686	\N	9999-12-31	2013-05-08
050 D	Reprosessere 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-02-16	\N	2031-09-10	TFO2006	Statoil Petroleum AS	17237817	4237912	4456576	\N	9999-12-31	2013-05-08
456	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-03-01	\N	2009-02-28	TFO2007	\N	\N	4910146	4944462	4944377	9999-12-31	2013-05-08
050 D	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2008-02-16	\N	2031-09-10	TFO2006	Statoil Petroleum AS	17237817	4237912	4456577	\N	2012-06-21	2013-05-08
050 D	Vurdere utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2010-02-16	\N	2031-09-10	TFO2006	Statoil Petroleum AS	17237817	4237912	4456578	\N	9999-12-31	2013-05-08
050 D	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Frafalt	Dropped	2010-02-16	\N	2031-09-10	TFO2006	Statoil Petroleum AS	17237817	4237912	21631920	\N	9999-12-31	2013-05-08
050 D	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2010-02-16	\N	2031-09-10	TFO2006	Statoil Petroleum AS	17237817	4237912	21631932	\N	9999-12-31	2013-05-08
426	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2008-08-16	\N	2010-08-16	TFO2006	\N	\N	4238116	4460447	\N	9999-12-31	2013-05-08
426	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2008-08-16	\N	2010-08-16	TFO2006	\N	\N	4238116	4460448	\N	9999-12-31	2013-05-08
426	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2010-08-16	\N	2010-08-16	TFO2006	\N	\N	4238116	4460449	4460448	9999-12-31	2013-05-08
426	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-08-16	\N	2010-08-16	TFO2006	\N	\N	4238116	4460450	\N	9999-12-31	2013-05-08
426	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-08-16	\N	2010-08-16	TFO2006	\N	\N	4238116	4460451	\N	9999-12-31	2013-05-08
426	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-08-16	\N	2010-08-16	TFO2006	\N	\N	4238116	4460452	\N	9999-12-31	2013-05-08
426	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-08-16	\N	2010-08-16	TFO2006	\N	\N	4238116	21636666	\N	9999-12-31	2013-05-08
318 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-06-18	\N	2014-06-18	TFO2006	Statoil Petroleum AS	17237817	4238138	4456587	\N	2012-06-09	2013-05-08
421	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4238186	4456858	\N	9999-12-31	2013-05-08
421	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4238186	4456859	\N	9999-12-31	2013-05-08
421	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4238186	4456860	4456859	9999-12-31	2013-05-08
421	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4238186	4456861	\N	9999-12-31	2013-05-08
421	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-16	\N	2009-02-16	TFO2006	\N	\N	4238186	4456862	\N	9999-12-31	2013-05-08
421	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-16	\N	2009-02-16	TFO2006	\N	\N	4238186	4456863	\N	9999-12-31	2013-05-08
421	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4238186	21631970	\N	9999-12-31	2013-05-08
418	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-02-16	\N	2016-02-16	TFO2006	Wintershall Norge AS	21666830	4238348	4456840	\N	2013-02-08	2013-05-08
418	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-02-16	\N	2016-02-16	TFO2006	Wintershall Norge AS	21666830	4238348	4456841	\N	2013-02-08	2013-05-08
418	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-02-16	35/9-7	2016-02-16	TFO2006	Wintershall Norge AS	21666830	4238348	4456842	4456841	2013-02-08	2013-05-08
418	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-02-16	\N	2016-02-16	TFO2006	Wintershall Norge AS	21666830	4238348	4456843	\N	2013-02-08	2013-05-08
418	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-16	\N	2016-02-16	TFO2006	Wintershall Norge AS	21666830	4238348	4456844	\N	2013-02-08	2013-05-08
418	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-16	\N	2016-02-16	TFO2006	Wintershall Norge AS	21666830	4238348	4456845	\N	2013-02-08	2013-05-08
418	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-02-16	\N	2016-02-16	TFO2006	Wintershall Norge AS	21666830	4238348	21631967	\N	2013-02-08	2013-05-08
420	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2015-08-16	TFO2006	RWE Dea Norge AS	97557	4238409	4456852	\N	2012-11-13	2013-05-08
420	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-02-16	\N	2015-08-16	TFO2006	RWE Dea Norge AS	97557	4238409	4456853	\N	2012-11-13	2013-05-08
420	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-02-16	35/9-6 S	2015-08-16	TFO2006	RWE Dea Norge AS	97557	4238409	4456854	4456853	2012-11-13	2013-05-08
420	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-08-16	\N	2015-08-16	TFO2006	RWE Dea Norge AS	97557	4238409	4456855	\N	2012-11-13	2013-05-08
420	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-08-16	\N	2015-08-16	TFO2006	RWE Dea Norge AS	97557	4238409	4456856	\N	2013-02-28	2013-05-08
420	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-08-16	\N	2015-08-16	TFO2006	RWE Dea Norge AS	97557	4238409	4456857	\N	2012-11-13	2013-05-08
420	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-11-16	\N	2015-08-16	TFO2006	RWE Dea Norge AS	97557	4238409	21631969	\N	2013-02-28	2013-05-08
419	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-12-30	\N	2011-02-17	TFO2006	\N	\N	4238530	4456846	\N	9999-12-31	2013-05-08
419	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-12-30	\N	2011-02-17	TFO2006	\N	\N	4238530	4456847	\N	9999-12-31	2013-05-08
419	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-02-16	35/9-5	2011-02-17	TFO2006	\N	\N	4238530	4456848	4456847	9999-12-31	2013-05-08
419	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2011-02-16	\N	2011-02-17	TFO2006	\N	\N	4238530	4456849	\N	9999-12-31	2013-05-08
419	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-16	\N	2011-02-17	TFO2006	\N	\N	4238530	4456850	\N	9999-12-31	2013-05-08
419	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-16	\N	2011-02-17	TFO2006	\N	\N	4238530	4456851	\N	9999-12-31	2013-05-08
419	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-02-17	\N	2011-02-17	TFO2006	\N	\N	4238530	21631968	\N	9999-12-31	2013-05-08
446	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-06-15	\N	2009-06-15	TFO2006	\N	\N	4238548	4474601	\N	9999-12-31	2013-05-08
446	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-06-15	\N	2009-06-15	TFO2006	\N	\N	4238548	4474602	\N	9999-12-31	2013-05-08
446	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-06-15	\N	2009-06-15	TFO2006	\N	\N	4238548	4474605	\N	9999-12-31	2013-05-08
446	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-06-15	\N	2009-06-15	TFO2006	\N	\N	4238548	4474606	\N	9999-12-31	2013-05-08
446	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-06-15	\N	2009-06-15	TFO2006	\N	\N	4238548	21636688	\N	9999-12-31	2013-05-08
430	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4238564	4460559	\N	9999-12-31	2013-05-08
430	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4238564	4460560	\N	9999-12-31	2013-05-08
430	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4238564	4460561	4460560	9999-12-31	2013-05-08
430	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4238564	4460562	\N	9999-12-31	2013-05-08
430	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-16	\N	2009-02-16	TFO2006	\N	\N	4238564	4460563	\N	9999-12-31	2013-05-08
430	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-16	\N	2009-02-16	TFO2006	\N	\N	4238564	4460564	\N	9999-12-31	2013-05-08
430	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4238564	21636670	\N	9999-12-31	2013-05-08
429	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-02-16	6407/4-2	2012-02-16	TFO2006	\N	\N	4238578	4460554	\N	9999-12-31	2013-05-08
429	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-02-16	\N	2012-02-16	TFO2006	\N	\N	4238578	4460555	\N	9999-12-31	2013-05-08
429	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-02-16	\N	2012-02-16	TFO2006	\N	\N	4238578	4460556	\N	9999-12-31	2013-05-08
429	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-16	\N	2012-02-16	TFO2006	\N	\N	4238578	4460557	\N	9999-12-31	2013-05-08
429	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-16	\N	2012-02-16	TFO2006	\N	\N	4238578	4460558	\N	9999-12-31	2013-05-08
429	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2013-02-16	\N	2012-02-16	TFO2006	\N	\N	4238578	21636669	\N	9999-12-31	2013-05-08
428	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4238624	4460459	\N	9999-12-31	2013-05-08
428	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4238624	4460460	\N	9999-12-31	2013-05-08
428	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4238624	4460461	4460460	9999-12-31	2013-05-08
428	Beslutning om utbyygingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-16	\N	2009-02-16	TFO2006	\N	\N	4238624	4460462	\N	9999-12-31	2013-05-08
428	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-16	\N	2009-02-16	TFO2006	\N	\N	4238624	4460463	\N	9999-12-31	2013-05-08
428	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-16	\N	2009-02-16	TFO2006	\N	\N	4238624	4460464	\N	9999-12-31	2013-05-08
428	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-02-16	\N	2009-02-16	TFO2006	\N	\N	4238624	21636668	\N	9999-12-31	2013-05-08
211 B	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-02-16	6506/9-1	2032-02-02	TFO2006	Total E&P Norge AS	2410708	4238638	4456579	\N	9999-12-31	2013-05-08
211 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2010-02-16	\N	2032-02-02	TFO2006	Total E&P Norge AS	2410708	4238638	4456580	\N	9999-12-31	2013-05-08
433	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-02-16	\N	2015-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4238654	4460728	\N	2012-11-20	2013-05-08
433	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-02-16	6506/9-2 S	2015-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4238654	4460729	\N	2012-11-20	2013-05-08
433	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-16	\N	2015-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4238654	4460730	\N	2012-11-20	2013-05-08
433	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4238654	4460731	\N	2012-11-20	2013-05-08
433	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4238654	4460732	\N	2012-11-20	2013-05-08
433	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-02-16	\N	2015-02-16	TFO2006	Centrica Resources (Norge) AS	4238233	4238654	21636673	\N	2012-11-20	2013-05-08
436	Reprosessere  seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-02-16	\N	2010-02-16	TFO2006	\N	\N	4238670	4461035	\N	9999-12-31	2013-05-08
436	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-02-16	\N	2010-02-16	TFO2006	\N	\N	4238670	4461036	\N	9999-12-31	2013-05-08
436	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-02-16	\N	2010-02-16	TFO2006	\N	\N	4238670	4461037	4461036	9999-12-31	2013-05-08
436	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-16	\N	2010-02-16	TFO2006	\N	\N	4238670	4461038	\N	9999-12-31	2013-05-08
436	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-16	\N	2010-02-16	TFO2006	\N	\N	4238670	4461039	\N	9999-12-31	2013-05-08
436	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-16	\N	2010-02-16	TFO2006	\N	\N	4238670	4461040	\N	9999-12-31	2013-05-08
436	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-02-16	\N	2010-02-16	TFO2006	\N	\N	4238670	21636676	\N	9999-12-31	2013-05-08
212 D	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-02-16	6507/6-3	2010-01-01	TFO2006	\N	\N	4238684	4456582	\N	9999-12-31	2013-05-08
212 D	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2010-02-16	\N	2010-01-01	TFO2006	\N	\N	4238684	4456583	\N	9999-12-31	2013-05-08
212 D	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-02-16	\N	2010-01-01	TFO2006	\N	\N	4238684	4456584	\N	9999-12-31	2013-05-08
212 D	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-02-16	\N	2010-01-01	TFO2006	\N	\N	4238684	4456585	\N	9999-12-31	2013-05-08
212 D	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2010-01-01	\N	2010-01-01	TFO2006	\N	\N	4238684	21631936	\N	9999-12-31	2013-05-08
435	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2015-02-16	TFO2006	RWE Dea Norge AS	97557	4238696	4460739	\N	2013-02-08	2013-05-08
435	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-02-16	\N	2015-02-16	TFO2006	RWE Dea Norge AS	97557	4238696	4460740	\N	2013-02-08	2013-05-08
435	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2013-02-16	6507/7-14 S	2015-02-16	TFO2006	RWE Dea Norge AS	97557	4238696	4460741	4460740	2013-02-08	2013-05-08
435	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-16	\N	2015-02-16	TFO2006	RWE Dea Norge AS	97557	4238696	4460742	\N	2013-02-08	2013-05-08
435	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	RWE Dea Norge AS	97557	4238696	4460743	\N	2013-02-08	2013-05-08
435	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	RWE Dea Norge AS	97557	4238696	4460744	\N	2013-02-08	2013-05-08
435	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-02-16	\N	2015-02-16	TFO2006	RWE Dea Norge AS	97557	4238696	21636675	\N	2013-02-08	2013-05-08
431	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2012-08-16	TFO2006	\N	\N	4238714	4460565	\N	2012-10-13	2013-05-08
431	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-02-16	\N	2012-08-16	TFO2006	\N	\N	4238714	4460566	\N	2012-10-13	2013-05-08
431	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-02-16	6406/3-9	2012-08-16	TFO2006	\N	\N	4238714	4460567	4460566	2012-10-13	2013-05-08
431	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-08-16	\N	2012-08-16	TFO2006	\N	\N	4238714	4460568	\N	2012-10-13	2013-05-08
431	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-08-16	\N	2012-08-16	TFO2006	\N	\N	4238714	4460569	\N	2012-10-13	2013-05-08
431	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2013-08-16	\N	2012-08-16	TFO2006	\N	\N	4238714	4460570	\N	2012-10-13	2013-05-08
431	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2013-08-16	\N	2012-08-16	TFO2006	\N	\N	4238714	21636671	\N	2012-10-13	2013-05-08
434	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2009-02-16	\N	2012-02-16	TFO2006	\N	\N	4238730	4460733	\N	9999-12-31	2013-05-08
434	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2010-02-16	\N	2012-02-16	TFO2006	\N	\N	4238730	4460734	\N	9999-12-31	2013-05-08
434	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-02-16	6507/8-8	2012-02-16	TFO2006	\N	\N	4238730	4460735	4460734	9999-12-31	2013-05-08
434	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-16	\N	2012-02-16	TFO2006	\N	\N	4238730	4460736	\N	9999-12-31	2013-05-08
434	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-16	\N	2012-02-16	TFO2006	\N	\N	4238730	4460737	\N	9999-12-31	2013-05-08
434	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-16	\N	2012-02-16	TFO2006	\N	\N	4238730	4460738	\N	9999-12-31	2013-05-08
434	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2012-02-16	\N	2012-02-16	TFO2006	\N	\N	4238730	21636674	\N	9999-12-31	2013-05-08
432	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-02-16	\N	2010-02-16	TFO2006	\N	\N	4238746	4460722	\N	9999-12-31	2013-05-08
432	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-02-16	\N	2010-02-16	TFO2006	\N	\N	4238746	4460723	\N	9999-12-31	2013-05-08
432	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-02-16	\N	2010-02-16	TFO2006	\N	\N	4238746	4460724	4460723	9999-12-31	2013-05-08
432	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-16	\N	2010-02-16	TFO2006	\N	\N	4238746	4460725	\N	9999-12-31	2013-05-08
432	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-16	\N	2010-02-16	TFO2006	\N	\N	4238746	4460726	\N	9999-12-31	2013-05-08
432	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-16	\N	2010-02-16	TFO2006	\N	\N	4238746	4460727	\N	9999-12-31	2013-05-08
432	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-02-16	\N	2010-02-16	TFO2006	\N	\N	4238746	21636672	\N	9999-12-31	2013-05-08
447	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-06-15	\N	2011-06-16	TFO2006	\N	\N	4238758	4474607	\N	9999-12-31	2013-05-08
447	Betinga brønn - 1av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-06-15	\N	2011-06-16	TFO2006	\N	\N	4238758	4474608	\N	9999-12-31	2013-05-08
447	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-06-15	\N	2011-06-16	TFO2006	\N	\N	4238758	4474609	4474608	9999-12-31	2013-05-08
447	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-06-15	\N	2011-06-16	TFO2006	\N	\N	4238758	4474610	\N	9999-12-31	2013-05-08
447	Innsending av utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-06-15	\N	2011-06-16	TFO2006	\N	\N	4238758	4474611	\N	9999-12-31	2013-05-08
447	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-06-15	\N	2011-06-16	TFO2006	\N	\N	4238758	4474612	\N	9999-12-31	2013-05-08
447	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-06-16	\N	2011-06-16	TFO2006	\N	\N	4238758	21636689	\N	9999-12-31	2013-05-08
437	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-02-16	6608/10-13	2012-02-16	TFO2006	\N	\N	4238776	4461041	\N	9999-12-31	2013-05-08
437	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-16	\N	2012-02-16	TFO2006	\N	\N	4238776	4461042	\N	9999-12-31	2013-05-08
437	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-16	\N	2012-02-16	TFO2006	\N	\N	4238776	4461043	\N	9999-12-31	2013-05-08
437	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-16	\N	2012-02-16	TFO2006	\N	\N	4238776	4461044	\N	9999-12-31	2013-05-08
437	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2013-02-16	\N	2012-02-16	TFO2006	\N	\N	4238776	21636677	\N	9999-12-31	2013-05-08
448	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-06-15	\N	2016-06-15	TFO2006	Statoil Petroleum AS	17237817	4238790	4474614	\N	9999-12-31	2013-05-08
448	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2010-06-15	\N	2016-06-15	TFO2006	Statoil Petroleum AS	17237817	4238790	4474615	\N	9999-12-31	2013-05-08
448	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2012-06-15	\N	2016-06-15	TFO2006	Statoil Petroleum AS	17237817	4238790	4474616	4474615	9999-12-31	2013-05-08
448	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-06-15	\N	2016-06-15	TFO2006	Statoil Petroleum AS	17237817	4238790	4474617	\N	9999-12-31	2013-05-08
448	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-06-15	\N	2016-06-15	TFO2006	Statoil Petroleum AS	17237817	4238790	4474618	\N	9999-12-31	2013-05-08
448	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-06-15	\N	2016-06-15	TFO2006	Statoil Petroleum AS	17237817	4238790	4474619	\N	9999-12-31	2013-05-08
448	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-06-15	\N	2016-06-15	TFO2006	Statoil Petroleum AS	17237817	4238790	21636690	\N	9999-12-31	2013-05-08
438	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4238812	4461045	\N	9999-12-31	2013-05-08
438	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2010-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4238812	4461046	\N	9999-12-31	2013-05-08
438	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-02-16	7120/2-3 S	2015-02-16	TFO2006	Lundin Norway AS	2767314	4238812	4461047	4461046	9999-12-31	2013-05-08
438	Beslutning om Utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4238812	4461048	\N	9999-12-31	2013-05-08
438	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4238812	4461049	\N	9999-12-31	2013-05-08
438	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4238812	4461050	\N	9999-12-31	2013-05-08
438	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2006	Lundin Norway AS	2767314	4238812	21636680	\N	9999-12-31	2013-05-08
439	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-02-16	\N	2012-12-16	TFO2006	\N	\N	4238830	4461051	\N	2013-02-14	2013-05-08
439	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2012-06-16	\N	2012-12-16	TFO2006	\N	\N	4238830	4461052	\N	2013-04-23	2013-05-08
439	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-02-16	\N	2012-12-16	TFO2006	\N	\N	4238830	4461053	4461052	2013-04-23	2013-05-08
439	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-16	\N	2012-12-16	TFO2006	\N	\N	4238830	4461054	\N	2013-04-23	2013-05-08
439	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-16	\N	2012-12-16	TFO2006	\N	\N	4238830	4461055	\N	2013-04-23	2013-05-08
439	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2012-12-16	\N	2012-12-16	TFO2006	\N	\N	4238830	4461056	\N	2013-02-14	2013-05-08
439	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2015-02-16	\N	2012-12-16	TFO2006	\N	\N	4238830	21636681	\N	2013-02-21	2013-05-08
449	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-06-15	\N	2010-06-15	TFO2006	\N	\N	4238846	4474620	\N	9999-12-31	2013-05-08
449	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-06-15	\N	2010-06-15	TFO2006	\N	\N	4238846	4474621	\N	9999-12-31	2013-05-08
449	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-06-15	\N	2010-06-15	TFO2006	\N	\N	4238846	4474622	\N	9999-12-31	2013-05-08
449	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-06-15	\N	2010-06-15	TFO2006	\N	\N	4238846	4474623	4474621	9999-12-31	2013-05-08
449	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-06-15	\N	2010-06-15	TFO2006	\N	\N	4238846	4474624	\N	9999-12-31	2013-05-08
449	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-06-15	\N	2010-06-15	TFO2006	\N	\N	4238846	4474625	\N	9999-12-31	2013-05-08
449	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-06-15	\N	2010-06-15	TFO2006	\N	\N	4238846	21636691	\N	9999-12-31	2013-05-08
274 CS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2009-09-15	\N	2039-09-15	TFO2007	DONG E&P Norge AS	4070011	4909658	4944198	\N	9999-12-31	2013-05-08
006 D	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-02-28	\N	2011-08-29	TFO2007	\N	\N	4909688	4944110	\N	2012-06-21	2013-05-08
006 D	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-02-28	2/5-14 S	2011-08-29	TFO2007	\N	\N	4909688	4944112	\N	9999-12-31	2013-05-08
006 D	Beslutte utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-08-29	\N	2011-08-29	TFO2007	\N	\N	4909688	4944113	\N	9999-12-31	2013-05-08
006 D	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-29	\N	2011-08-29	TFO2007	\N	\N	4909688	4944114	\N	9999-12-31	2013-05-08
006 D	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-29	\N	2011-08-29	TFO2007	\N	\N	4909688	4944116	\N	9999-12-31	2013-05-08
454	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-02-28	\N	2010-03-01	TFO2007	\N	\N	4909716	4944108	\N	9999-12-31	2013-05-08
454	Betinga brønn- 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-02-28	\N	2010-03-01	TFO2007	\N	\N	4909716	4944122	\N	9999-12-31	2013-05-08
454	Boring av betinga brønn- 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-02-29	\N	2010-03-01	TFO2007	\N	\N	4909716	4944123	4944122	9999-12-31	2013-05-08
454	Beslutning om Utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-29	\N	2010-03-01	TFO2007	\N	\N	4909716	4944124	\N	9999-12-31	2013-05-08
454	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-28	\N	2010-03-01	TFO2007	\N	\N	4909716	4944125	\N	9999-12-31	2013-05-08
454	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-28	\N	2010-03-01	TFO2007	\N	\N	4909716	4944126	\N	9999-12-31	2013-05-08
454	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4909716	21636696	\N	9999-12-31	2013-05-08
452	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-08-29	\N	2009-08-29	TFO2007	\N	\N	4909740	4944214	\N	9999-12-31	2013-05-08
452	Beslutning om utbyggingsplan.	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-03-01	\N	2009-08-29	TFO2007	\N	\N	4909740	4944215	\N	9999-12-31	2013-05-08
452	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-29	\N	2009-08-29	TFO2007	\N	\N	4909740	4944216	\N	9999-12-31	2013-05-08
452	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-29	\N	2009-08-29	TFO2007	\N	\N	4909740	4944217	\N	9999-12-31	2013-05-08
452	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-03-01	\N	2009-08-29	TFO2007	\N	\N	4909740	4944465	4944214	9999-12-31	2013-05-08
452	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2009-08-29	\N	2009-08-29	TFO2007	\N	\N	4909740	21636694	\N	9999-12-31	2013-05-08
450	seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2012-02-29	\N	2015-03-01	TFO2007	Det norske oljeselskap ASA	17342870	4909784	4944204	\N	2013-03-22	2013-05-08
450	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-02-29	7/12-13 S	2015-03-01	TFO2007	Det norske oljeselskap ASA	17342870	4909784	4944205	\N	2013-03-22	2013-05-08
450	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2013-03-01	\N	2015-03-01	TFO2007	Det norske oljeselskap ASA	17342870	4909784	4944206	\N	2013-04-03	2013-05-08
450	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Det norske oljeselskap ASA	17342870	4909784	4944207	\N	2013-03-22	2013-05-08
450	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Det norske oljeselskap ASA	17342870	4909784	4944208	\N	2013-03-22	2013-05-08
450	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Det norske oljeselskap ASA	17342870	4909784	21636692	\N	2013-03-22	2013-05-08
455	seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2014-03-01	TFO2007	Lotos Exploration and Production Norge AS	5064434	4909816	4944294	\N	9999-12-31	2013-05-08
455	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-03-01	\N	2014-03-01	TFO2007	Lotos Exploration and Production Norge AS	5064434	4909816	4944320	\N	2012-06-21	2013-05-08
455	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-03-01	\N	2014-03-01	TFO2007	Lotos Exploration and Production Norge AS	5064434	4909816	4944337	\N	9999-12-31	2013-05-08
455	beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-03-01	\N	2014-03-01	TFO2007	Lotos Exploration and Production Norge AS	5064434	4909816	4944359	\N	9999-12-31	2013-05-08
455	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-03-01	\N	2014-03-01	TFO2007	Lotos Exploration and Production Norge AS	5064434	4909816	4944365	\N	9999-12-31	2013-05-08
455	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-03-01	\N	2014-03-01	TFO2007	Lotos Exploration and Production Norge AS	5064434	4909816	4944374	\N	9999-12-31	2013-05-08
455	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2013-03-01	\N	2014-03-01	TFO2007	Lotos Exploration and Production Norge AS	5064434	4909816	4944463	4944337	2013-03-25	2013-05-08
455	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-03-01	\N	2014-03-01	TFO2007	Lotos Exploration and Production Norge AS	5064434	4909816	21636697	\N	9999-12-31	2013-05-08
453 S	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4909893	4944218	\N	2012-11-08	2013-05-08
453 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2011-03-01	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4909893	4944219	\N	2012-11-08	2013-05-08
453 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4909893	4944234	\N	2012-11-08	2013-05-08
453 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4909893	4944242	\N	2012-11-08	2013-05-08
453 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4909893	4944250	\N	2012-11-08	2013-05-08
453 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2013-03-01	8/5-1	2015-03-01	TFO2007	Lundin Norway AS	2767314	4909893	4944464	4944219	2013-04-03	2013-05-08
453 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4909893	21636695	\N	2012-11-08	2013-05-08
451	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4910013	4944209	\N	9999-12-31	2013-05-08
451	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4910013	4944210	\N	9999-12-31	2013-05-08
451	Beslutning om utbyggelsesplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-03-01	\N	2011-03-01	TFO2007	\N	\N	4910013	4944211	\N	9999-12-31	2013-05-08
451	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-03-01	\N	2011-03-01	TFO2007	\N	\N	4910013	4944212	\N	9999-12-31	2013-05-08
451	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-03-01	\N	2011-03-01	TFO2007	\N	\N	4910013	4944213	\N	9999-12-31	2013-05-08
451	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-03-01	\N	2011-03-01	TFO2007	\N	\N	4910013	4944466	4944210	9999-12-31	2013-05-08
451	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4910013	21636693	\N	9999-12-31	2013-05-08
457	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2015-03-01	TFO2007	Wintershall Norge AS	21666830	4910110	4944387	\N	9999-12-31	2013-05-08
457	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2012-02-29	\N	2015-03-01	TFO2007	Wintershall Norge AS	21666830	4910110	4944414	\N	9999-12-31	2013-05-08
457	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Wintershall Norge AS	21666830	4910110	4944421	\N	9999-12-31	2013-05-08
457	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Wintershall Norge AS	21666830	4910110	4944423	\N	9999-12-31	2013-05-08
457	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Wintershall Norge AS	21666830	4910110	4944426	\N	9999-12-31	2013-05-08
457	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Wintershall Norge AS	21666830	4910110	4944461	4944414	9999-12-31	2013-05-08
457	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2015-03-01	TFO2007	Wintershall Norge AS	21666830	4910110	4965522	\N	2012-06-21	2013-05-08
457	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Wintershall Norge AS	21666830	4910110	21636699	\N	9999-12-31	2013-05-08
456	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2009-03-01	\N	2009-02-28	TFO2007	\N	\N	4910146	4944375	\N	2012-06-21	2013-05-08
456	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Frafalt	Dropped	2009-03-01	\N	2009-02-28	TFO2007	\N	\N	4910146	4944376	\N	9999-12-31	2013-05-08
456	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-03-01	\N	2009-02-28	TFO2007	\N	\N	4910146	4944377	\N	9999-12-31	2013-05-08
456	beslutning om utbyggingsplan.	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-03-01	\N	2009-02-28	TFO2007	\N	\N	4910146	4944381	\N	9999-12-31	2013-05-08
456	Innsende utbyggingsplan.	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-03-01	\N	2009-02-28	TFO2007	\N	\N	4910146	4944383	\N	9999-12-31	2013-05-08
456	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-03-01	\N	2009-02-28	TFO2007	\N	\N	4910146	4944385	\N	9999-12-31	2013-05-08
456	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-02-28	\N	2009-02-28	TFO2007	\N	\N	4910146	21636698	\N	2012-10-24	2013-05-08
460	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-03-01	15/9-23	2015-03-01	TFO2007	Det norske oljeselskap ASA	17342870	4910195	4944453	\N	2013-02-28	2013-05-08
460	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Det norske oljeselskap ASA	17342870	4910195	4944456	\N	2013-02-28	2013-05-08
460	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Det norske oljeselskap ASA	17342870	4910195	4944458	\N	2013-02-28	2013-05-08
460	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Det norske oljeselskap ASA	17342870	4910195	4944460	\N	2013-02-28	2013-05-08
460	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-06-01	\N	2015-03-01	TFO2007	Det norske oljeselskap ASA	17342870	4910195	21636702	\N	2013-02-28	2013-05-08
459	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4910251	4944443	\N	9999-12-31	2013-05-08
459	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4910251	4944446	\N	9999-12-31	2013-05-08
459	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-29	\N	2010-03-01	TFO2007	\N	\N	4910251	4944449	\N	9999-12-31	2013-05-08
459	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-02-29	\N	2010-03-01	TFO2007	\N	\N	4910251	4944450	4944446	9999-12-31	2013-05-08
459	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4910251	4944451	\N	9999-12-31	2013-05-08
459	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4910251	4944452	\N	9999-12-31	2013-05-08
459	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4910251	21636701	\N	9999-12-31	2013-05-08
458	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4910277	4944430	\N	9999-12-31	2013-05-08
458	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4910277	4944431	\N	9999-12-31	2013-05-08
458	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-29	\N	2010-03-01	TFO2007	\N	\N	4910277	4944436	\N	9999-12-31	2013-05-08
458	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-02-29	\N	2010-03-01	TFO2007	\N	\N	4910277	4944439	4944431	9999-12-31	2013-05-08
458	Innsende utbyggingsplan.	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4910277	4944440	\N	9999-12-31	2013-05-08
458	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4910277	4944441	\N	9999-12-31	2013-05-08
458	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4910277	21636700	\N	9999-12-31	2013-05-08
461	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4910313	4948034	\N	9999-12-31	2013-05-08
461	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4910313	4948035	\N	2012-06-21	2013-05-08
461	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4910313	4948036	\N	9999-12-31	2013-05-08
461	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-29	\N	2010-03-01	TFO2007	\N	\N	4910313	4948037	\N	9999-12-31	2013-05-08
461	Boring av betinga brønn - 1 av 1.	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-02-29	\N	2010-03-01	TFO2007	\N	\N	4910313	4948038	4948036	9999-12-31	2013-05-08
461	Innsende utbyggingsplan.	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-03-01	\N	2010-03-01	TFO2007	\N	\N	4910313	4948039	\N	9999-12-31	2013-05-08
461	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-03-01	\N	2010-03-01	TFO2007	\N	\N	4910313	4948040	\N	9999-12-31	2013-05-08
461	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4910313	21636703	\N	9999-12-31	2013-05-08
462 S	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4910350	4957024	\N	9999-12-31	2013-05-08
462 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4910350	4957026	\N	2012-06-21	2013-05-08
462 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4910350	4957027	\N	9999-12-31	2013-05-08
462 S	Beslutning om utbyggingsplan.	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-03-01	\N	2011-03-01	TFO2007	\N	\N	4910350	4965314	\N	9999-12-31	2013-05-08
462 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-03-01	\N	2011-03-01	TFO2007	\N	\N	4910350	4965315	4957027	9999-12-31	2013-05-08
462 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2015-03-01	\N	2011-03-01	TFO2007	\N	\N	4910350	4965316	\N	9999-12-31	2013-05-08
462 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2015-03-01	\N	2011-03-01	TFO2007	\N	\N	4910350	4965317	\N	9999-12-31	2013-05-08
462 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4910350	21636704	\N	9999-12-31	2013-05-08
463 S	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2011-08-28	TFO2007	\N	\N	4910414	4965355	\N	9999-12-31	2013-05-08
463 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2011-08-28	TFO2007	\N	\N	4910414	4965360	\N	2012-06-21	2013-05-08
463 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-08-28	\N	2011-08-28	TFO2007	\N	\N	4910414	4965397	\N	9999-12-31	2013-05-08
463 S	Beslutning om utbyggingsplan.	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-02-28	\N	2011-08-28	TFO2007	\N	\N	4910414	4965398	\N	9999-12-31	2013-05-08
463 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-02-28	\N	2011-08-28	TFO2007	\N	\N	4910414	4965399	4965397	9999-12-31	2013-05-08
463 S	innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-03-01	\N	2011-08-28	TFO2007	\N	\N	4910414	4965400	\N	9999-12-31	2013-05-08
463 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-03-01	\N	2011-08-28	TFO2007	\N	\N	4910414	4965401	\N	9999-12-31	2013-05-08
463 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-08-28	\N	2011-08-28	TFO2007	\N	\N	4910414	21636705	\N	9999-12-31	2013-05-08
465	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4918009	4965520	\N	2012-06-21	2013-05-08
465	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4918009	4965521	\N	9999-12-31	2013-05-08
465	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4918009	4965523	\N	9999-12-31	2013-05-08
465	Beslutning om utbyggingsplan.	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-03-01	\N	2011-03-01	TFO2007	\N	\N	4918009	4965524	\N	9999-12-31	2013-05-08
465	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-03-01	\N	2011-03-01	TFO2007	\N	\N	4918009	4965525	4965523	9999-12-31	2013-05-08
465	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2015-03-01	\N	2011-03-01	TFO2007	\N	\N	4918009	4965526	\N	9999-12-31	2013-05-08
465	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2015-03-01	\N	2011-03-01	TFO2007	\N	\N	4918009	4965527	\N	2012-06-21	2013-05-08
465	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4918009	21636707	\N	9999-12-31	2013-05-08
052 C	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-02-28	\N	2011-03-01	TFO2007	\N	\N	4918046	4944127	\N	9999-12-31	2013-05-08
052 C	Beslutning om utbyggingsplan.	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-28	\N	2011-03-01	TFO2007	\N	\N	4918046	4944128	\N	9999-12-31	2013-05-08
052 C	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-02-28	\N	2011-03-01	TFO2007	\N	\N	4918046	4944129	4944127	9999-12-31	2013-05-08
052 C	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-02-29	\N	2011-03-01	TFO2007	\N	\N	4918046	4944130	\N	9999-12-31	2013-05-08
052 C	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-28	\N	2011-03-01	TFO2007	\N	\N	4918046	4944131	\N	9999-12-31	2013-05-08
052 C	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4918046	21631933	\N	9999-12-31	2013-05-08
464	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Frafalt	Dropped	2011-02-28	\N	2011-03-01	TFO2007	\N	\N	4918076	4965514	\N	9999-12-31	2013-05-08
464	Betinga brønn- 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-02-28	\N	2011-03-01	TFO2007	\N	\N	4918076	4965515	\N	9999-12-31	2013-05-08
464	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-02-28	\N	2011-03-01	TFO2007	\N	\N	4918076	4965516	\N	9999-12-31	2013-05-08
464	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-02-28	\N	2011-03-01	TFO2007	\N	\N	4918076	4965517	4965515	9999-12-31	2013-05-08
464	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-02-28	\N	2011-03-01	TFO2007	\N	\N	4918076	4965518	\N	9999-12-31	2013-05-08
464	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-02-28	\N	2011-03-01	TFO2007	\N	\N	4918076	4965519	\N	9999-12-31	2013-05-08
464	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4918076	21636706	\N	9999-12-31	2013-05-08
344 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-12-17	\N	2010-12-07	TFO2007	\N	\N	4918142	4944199	\N	9999-12-31	2013-05-08
466 S	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4918164	4965528	\N	9999-12-31	2013-05-08
466 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4918164	4965529	\N	2012-06-21	2013-05-08
466 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4918164	4965530	\N	9999-12-31	2013-05-08
466 S	Beslutning om utbyggingsplan.	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-29	\N	2010-03-01	TFO2007	\N	\N	4918164	4965531	\N	9999-12-31	2013-05-08
466 S	Boring av betinga brønn - 1 av 1.	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-02-29	\N	2010-03-01	TFO2007	\N	\N	4918164	4965532	4965530	9999-12-31	2013-05-08
466 S	Innsende utbyggingsplan.	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-03-01	\N	2010-03-01	TFO2007	\N	\N	4918164	4965533	\N	9999-12-31	2013-05-08
466 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-03-01	\N	2010-03-01	TFO2007	\N	\N	4918164	4965534	\N	9999-12-31	2013-05-08
466 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4918164	21636709	\N	9999-12-31	2013-05-08
467 S	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-08-29	\N	2010-08-29	TFO2007	\N	\N	4918211	4965535	\N	9999-12-31	2013-05-08
467 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-08-29	\N	2010-08-29	TFO2007	\N	\N	4918211	4965536	\N	9999-12-31	2013-05-08
467 S	Beslutning om utbyggingsplan.	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-08-29	\N	2010-08-29	TFO2007	\N	\N	4918211	4965537	\N	9999-12-31	2013-05-08
467 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-08-29	\N	2010-08-29	TFO2007	\N	\N	4918211	4965538	4965536	9999-12-31	2013-05-08
467 S	Innsende utbyggingsplan.	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-08-29	\N	2010-08-29	TFO2007	\N	\N	4918211	4965539	\N	9999-12-31	2013-05-08
467 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-08-29	\N	2010-08-29	TFO2007	\N	\N	4918211	4965540	\N	9999-12-31	2013-05-08
467 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-08-29	\N	2010-08-29	TFO2007	\N	\N	4918211	21636710	\N	9999-12-31	2013-05-08
153 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2012-02-29	\N	2028-07-08	TFO2007	GDF SUEZ E&P Norge AS	5267845	4918242	4944197	\N	9999-12-31	2013-05-08
468	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2012-02-29	TFO2007	\N	\N	4918281	4965541	\N	2012-06-21	2013-05-08
468	Seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2012-02-29	TFO2007	\N	\N	4918281	4965542	\N	2012-06-26	2013-05-08
468	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2010-03-01	\N	2012-02-29	TFO2007	\N	\N	4918281	4965543	\N	9999-12-31	2013-05-08
468	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-02-29	\N	2012-02-29	TFO2007	\N	\N	4918281	4965544	\N	9999-12-31	2013-05-08
468	Boring av betinga brønn - 1 av 1	Boring	Drilling	Frafalt	Dropped	2012-02-29	\N	2012-02-29	TFO2007	\N	\N	4918281	4965545	4965543	9999-12-31	2013-05-08
468	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-03-01	\N	2012-02-29	TFO2007	\N	\N	4918281	4965546	\N	9999-12-31	2013-05-08
468	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-03-01	\N	2012-02-29	TFO2007	\N	\N	4918281	4965547	\N	9999-12-31	2013-05-08
468	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2012-02-29	\N	2012-02-29	TFO2007	\N	\N	4918281	21636711	\N	9999-12-31	2013-05-08
474	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2010-09-01	TFO2007	\N	\N	4918303	4965373	\N	9999-12-31	2013-05-08
474	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2010-09-01	TFO2007	\N	\N	4918303	4965374	\N	2012-06-21	2013-05-08
474	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-09-01	\N	2010-09-01	TFO2007	\N	\N	4918303	4965375	\N	9999-12-31	2013-05-08
474	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-09-01	\N	2010-09-01	TFO2007	\N	\N	4918303	4965376	4965375	9999-12-31	2013-05-08
474	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-09-01	\N	2010-09-01	TFO2007	\N	\N	4918303	4965377	\N	9999-12-31	2013-05-08
474	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-09-01	\N	2010-09-01	TFO2007	\N	\N	4918303	4965378	\N	9999-12-31	2013-05-08
474	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-09-01	\N	2010-09-01	TFO2007	\N	\N	4918303	4965379	\N	9999-12-31	2013-05-08
474	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-09-01	\N	2010-09-01	TFO2007	\N	\N	4918303	21636717	\N	2012-07-26	2013-05-08
472	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4918367	4965384	\N	9999-12-31	2013-05-08
472	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4918367	4965385	\N	2012-06-21	2013-05-08
472	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4918367	4965386	\N	9999-12-31	2013-05-08
472	Boring av betinga brønn	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-03-01	\N	2010-03-01	TFO2007	\N	\N	4918367	4965387	4965386	9999-12-31	2013-05-08
472	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-03-01	\N	2010-03-01	TFO2007	\N	\N	4918367	4965388	\N	9999-12-31	2013-05-08
472	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4918367	4965389	\N	9999-12-31	2013-05-08
472	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4918367	4965390	\N	9999-12-31	2013-05-08
472	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4918367	21636715	\N	9999-12-31	2013-05-08
475	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2015-02-28	TFO2007	Wintershall Norge AS	21666830	4918410	4965367	\N	2013-02-13	2013-05-08
475	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-03-01	\N	2015-02-28	TFO2007	Wintershall Norge AS	21666830	4918410	4965368	\N	2013-02-13	2013-05-08
475	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2011-03-01	\N	2015-02-28	TFO2007	Wintershall Norge AS	21666830	4918410	4965369	\N	2013-02-13	2013-05-08
475	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-28	\N	2015-02-28	TFO2007	Wintershall Norge AS	21666830	4918410	4965370	\N	2013-02-13	2013-05-08
475	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-02-28	\N	2015-02-28	TFO2007	Wintershall Norge AS	21666830	4918410	4965371	\N	2013-02-13	2013-05-08
475	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-28	\N	2015-02-28	TFO2007	Wintershall Norge AS	21666830	4918410	4965372	\N	2013-02-13	2013-05-08
475	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-02-28	\N	2015-02-28	TFO2007	Wintershall Norge AS	21666830	4918410	21636718	\N	2013-02-13	2013-05-08
405 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-16	\N	2016-02-16	TFO2007	Centrica Resources (Norge) AS	4238233	4918473	4944200	\N	2012-11-02	2013-05-08
471	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2012-03-01	\N	2013-02-28	TFO2007	\N	\N	4918501	4965391	\N	2013-03-22	2013-05-08
471	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-03-01	6407/5-2 S	2013-02-28	TFO2007	\N	\N	4918501	4965392	\N	2013-03-22	2013-05-08
471	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-02-28	\N	2013-02-28	TFO2007	\N	\N	4918501	4965393	\N	2013-03-22	2013-05-08
471	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-03-01	\N	2013-02-28	TFO2007	\N	\N	4918501	4965394	\N	2013-03-22	2013-05-08
471	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2013-02-28	\N	2013-02-28	TFO2007	\N	\N	4918501	4965395	\N	2013-03-22	2013-05-08
471	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2014-04-28	\N	2013-02-28	TFO2007	\N	\N	4918501	21636714	\N	2013-03-22	2013-05-08
074 B	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2010-03-01	6407/2-5 S	2027-04-10	TFO2007	Statoil Petroleum AS	17237817	4918544	4944201	\N	9999-12-31	2013-05-08
074 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2010-03-01	\N	2027-04-10	TFO2007	Statoil Petroleum AS	17237817	4918544	4944202	\N	9999-12-31	2013-05-08
074 B	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Frafalt	Dropped	2010-03-01	\N	2027-04-10	TFO2007	Statoil Petroleum AS	17237817	4918544	21631934	\N	9999-12-31	2013-05-08
473	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-03-01	6407/2-6 S	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920841	4965380	\N	9999-12-31	2013-05-08
473	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920841	4965381	\N	9999-12-31	2013-05-08
473	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920841	4965382	\N	9999-12-31	2013-05-08
473	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2013-03-01	\N	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920841	4965383	\N	9999-12-31	2013-05-08
473	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920841	21636716	\N	9999-12-31	2013-05-08
469	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-03-01	6407/12-2	2011-02-28	TFO2007	\N	\N	4920878	4965548	\N	9999-12-31	2013-05-08
469	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-03-01	\N	2011-02-28	TFO2007	\N	\N	4920878	4965549	\N	9999-12-31	2013-05-08
469	Innsende utbyggingsplan.	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-02-28	\N	2011-02-28	TFO2007	\N	\N	4920878	4965550	\N	9999-12-31	2013-05-08
469	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-28	\N	2011-02-28	TFO2007	\N	\N	4920878	4965551	\N	9999-12-31	2013-05-08
469	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-02-28	\N	2011-02-28	TFO2007	\N	\N	4920878	21636712	\N	9999-12-31	2013-05-08
470	Fast brønn- 1 av 1	Boring	Drilling	Godkjent	Approved	2011-02-28	6407/12-3	2011-03-01	TFO2007	\N	\N	4920926	4965553	\N	9999-12-31	2013-05-08
470	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4920926	4965555	\N	9999-12-31	2013-05-08
470	innsende utbyggingsplan.	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4920926	4965556	\N	9999-12-31	2013-05-08
470	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4920926	4965557	\N	9999-12-31	2013-05-08
470	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4920926	21636713	\N	9999-12-31	2013-05-08
479	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920979	4965339	\N	2013-02-13	2013-05-08
479	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2010-03-01	\N	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920979	4965340	\N	2013-02-13	2013-05-08
479	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2012-03-01	\N	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920979	4965341	4965340	2013-02-13	2013-05-08
479	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920979	4965342	\N	2013-02-13	2013-05-08
479	Innsende utbygingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920979	4965343	\N	2013-02-13	2013-05-08
479	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920979	4965344	\N	2013-02-13	2013-05-08
479	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Statoil Petroleum AS	17237817	4920979	21636723	\N	2013-02-13	2013-05-08
477	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2015-03-01	TFO2007	Centrica Resources (Norge) AS	4238233	4921022	4965352	\N	2012-12-19	2013-05-08
477	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-03-01	\N	2015-03-01	TFO2007	Centrica Resources (Norge) AS	4238233	4921022	4965353	\N	2012-12-19	2013-05-08
477	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2011-03-01	\N	2015-03-01	TFO2007	Centrica Resources (Norge) AS	4238233	4921022	4965354	\N	2012-12-19	2013-05-08
477	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2013-03-01	6506/11-9 S	2015-03-01	TFO2007	Centrica Resources (Norge) AS	4238233	4921022	4965356	4965354	2013-03-27	2013-05-08
477	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Centrica Resources (Norge) AS	4238233	4921022	4965357	\N	2012-12-19	2013-05-08
477	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Centrica Resources (Norge) AS	4238233	4921022	4965358	\N	2012-12-19	2013-05-08
477	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Centrica Resources (Norge) AS	4238233	4921022	4965359	\N	2012-12-19	2013-05-08
477	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-02-28	\N	2015-03-01	TFO2007	Centrica Resources (Norge) AS	4238233	4921022	21636721	\N	2012-12-19	2013-05-08
487 S	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921153	4944412	\N	9999-12-31	2013-05-08
487 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921153	4944413	\N	2012-06-21	2013-05-08
487 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921153	4944415	\N	9999-12-31	2013-05-08
487 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-03-01	\N	2010-03-01	TFO2007	\N	\N	4921153	4944416	4944415	9999-12-31	2013-05-08
487 S	Belsutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-03-01	\N	2010-03-01	TFO2007	\N	\N	4921153	4944417	\N	9999-12-31	2013-05-08
487 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4921153	4944418	\N	9999-12-31	2013-05-08
487 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4921153	4944419	\N	9999-12-31	2013-05-08
487 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921153	21636731	\N	2012-10-24	2013-05-08
488	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2012-03-01	\N	2012-11-19	TFO2007	\N	\N	4921192	4944407	\N	2013-01-24	2013-05-08
488	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-03-01	7119/12-4	2012-11-19	TFO2007	\N	\N	4921192	4944408	\N	2013-01-24	2013-05-08
488	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2012-11-19	\N	2012-11-19	TFO2007	\N	\N	4921192	4944409	\N	2013-01-24	2013-05-08
488	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2012-11-19	\N	2012-11-19	TFO2007	\N	\N	4921192	4944410	\N	2013-01-25	2013-05-08
488	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2012-11-19	\N	2012-11-19	TFO2007	\N	\N	4921192	4944411	\N	2013-01-25	2013-05-08
488	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2012-11-19	\N	2012-11-19	TFO2007	\N	\N	4921192	21636732	\N	2013-01-25	2013-05-08
478	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2011-08-29	TFO2007	\N	\N	4921207	4965345	\N	9999-12-31	2013-05-08
478	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-03-01	\N	2011-08-29	TFO2007	\N	\N	4921207	4965346	\N	2012-06-21	2013-05-08
478	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-08-29	\N	2011-08-29	TFO2007	\N	\N	4921207	4965347	\N	9999-12-31	2013-05-08
478	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-03-01	\N	2011-08-29	TFO2007	\N	\N	4921207	4965348	4965347	9999-12-31	2013-05-08
478	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-03-01	\N	2011-08-29	TFO2007	\N	\N	4921207	4965349	\N	9999-12-31	2013-05-08
478	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-03-01	\N	2011-08-29	TFO2007	\N	\N	4921207	4965350	\N	9999-12-31	2013-05-08
478	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-03-01	\N	2011-08-29	TFO2007	\N	\N	4921207	4965351	\N	9999-12-31	2013-05-08
478	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-08-29	\N	2011-08-29	TFO2007	\N	\N	4921207	21636722	\N	9999-12-31	2013-05-08
480	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921338	4965332	\N	9999-12-31	2013-05-08
480	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921338	4965333	\N	2012-06-21	2013-05-08
480	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921338	4965334	\N	9999-12-31	2013-05-08
480	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-03-01	\N	2010-03-01	TFO2007	\N	\N	4921338	4965335	4965334	9999-12-31	2013-05-08
480	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-03-01	\N	2010-03-01	TFO2007	\N	\N	4921338	4965336	\N	9999-12-31	2013-05-08
480	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4921338	4965337	\N	9999-12-31	2013-05-08
480	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4921338	4965338	\N	9999-12-31	2013-05-08
480	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921338	21636724	\N	2012-10-24	2013-05-08
490	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2014-03-01	TFO2007	Lundin Norway AS	2767314	4921353	4944395	\N	9999-12-31	2013-05-08
490	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2011-05-29	\N	2014-03-01	TFO2007	Lundin Norway AS	2767314	4921353	4944396	\N	9999-12-31	2013-05-08
490	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-12-01	7120/6-3 S	2014-03-01	TFO2007	Lundin Norway AS	2767314	4921353	4944397	4944396	2013-04-24	2013-05-08
490	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2012-12-01	\N	2014-03-01	TFO2007	Lundin Norway AS	2767314	4921353	4944398	\N	9999-12-31	2013-05-08
490	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2013-12-01	\N	2014-03-01	TFO2007	Lundin Norway AS	2767314	4921353	4944399	\N	9999-12-31	2013-05-08
490	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-03-01	\N	2014-03-01	TFO2007	Lundin Norway AS	2767314	4921353	4944400	\N	9999-12-31	2013-05-08
490	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-03-01	\N	2014-03-01	TFO2007	Lundin Norway AS	2767314	4921353	21636734	\N	9999-12-31	2013-05-08
476	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2009-03-01	\N	2011-01-22	TFO2007	\N	\N	4921415	4965361	\N	2012-06-21	2013-05-08
476	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2009-03-01	\N	2011-01-22	TFO2007	\N	\N	4921415	4965362	\N	9999-12-31	2013-05-08
476	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-03-01	\N	2011-01-22	TFO2007	\N	\N	4921415	4965363	4965362	9999-12-31	2013-05-08
476	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-03-01	\N	2011-01-22	TFO2007	\N	\N	4921415	4965364	\N	9999-12-31	2013-05-08
476	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2012-03-01	\N	2011-01-22	TFO2007	\N	\N	4921415	4965365	\N	9999-12-31	2013-05-08
476	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2012-02-29	\N	2011-01-22	TFO2007	\N	\N	4921415	4965366	\N	9999-12-31	2013-05-08
476	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-01-22	\N	2011-01-22	TFO2007	\N	\N	4921415	21636720	\N	9999-12-31	2013-05-08
482	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2013-03-01	TFO2007	\N	\N	4921474	4965318	\N	2013-04-14	2013-05-08
482	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2013-03-01	TFO2007	\N	\N	4921474	4965319	\N	2013-04-14	2013-05-08
482	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2010-08-28	\N	2013-03-01	TFO2007	\N	\N	4921474	4965320	\N	2013-04-14	2013-05-08
482	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-03-01	6508/1-2	2013-03-01	TFO2007	\N	\N	4921474	4965321	4965320	2013-04-14	2013-05-08
482	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-03-01	\N	2013-03-01	TFO2007	\N	\N	4921474	4965322	\N	2013-04-23	2013-05-08
482	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-03-01	\N	2013-03-01	TFO2007	\N	\N	4921474	4965323	\N	2013-04-14	2013-05-08
482	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2013-03-01	\N	2013-03-01	TFO2007	\N	\N	4921474	4965324	\N	2013-04-14	2013-05-08
482	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2014-02-28	\N	2013-03-01	TFO2007	\N	\N	4921474	21636726	\N	2013-04-14	2013-05-08
489	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2012-03-01	\N	2014-03-01	TFO2007	Eni Norge AS	2388594	4921522	4944401	\N	9999-12-31	2013-05-08
489	Fast brønn - 1 av 2	Boring	Drilling	Godkjent	Approved	2012-03-01	7120/12-5	2014-03-01	TFO2007	Eni Norge AS	2388594	4921522	4944402	\N	9999-12-31	2013-05-08
489	Fast brønn - 2 av 2	Boring	Drilling	Godkjent	Approved	2012-03-01	\N	2014-03-01	TFO2007	Eni Norge AS	2388594	4921522	4944403	\N	9999-12-31	2013-05-08
489	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2012-03-01	\N	2014-03-01	TFO2007	Eni Norge AS	2388594	4921522	4944404	\N	9999-12-31	2013-05-08
489	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-03-01	\N	2014-03-01	TFO2007	Eni Norge AS	2388594	4921522	4944405	\N	9999-12-31	2013-05-08
489	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-03-01	\N	2014-03-01	TFO2007	Eni Norge AS	2388594	4921522	4944406	\N	9999-12-31	2013-05-08
489	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-03-01	\N	2014-03-01	TFO2007	Eni Norge AS	2388594	4921522	21636733	\N	9999-12-31	2013-05-08
481	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2013-03-01	TFO2007	DONG E&P Norge AS	4070011	4921546	4965325	\N	2013-05-08	2013-05-08
481	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-03-01	\N	2013-03-01	TFO2007	DONG E&P Norge AS	4070011	4921546	4965326	\N	2013-05-08	2013-05-08
481	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2013-02-28	\N	2013-03-01	TFO2007	DONG E&P Norge AS	4070011	4921546	4965327	\N	2013-05-08	2013-05-08
481	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-03-01	\N	2013-03-01	TFO2007	DONG E&P Norge AS	4070011	4921546	4965328	4965327	2013-05-08	2013-05-08
481	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-03-01	\N	2013-03-01	TFO2007	DONG E&P Norge AS	4070011	4921546	4965329	\N	2013-05-08	2013-05-08
481	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-03-01	\N	2013-03-01	TFO2007	DONG E&P Norge AS	4070011	4921546	4965330	\N	2013-05-08	2013-05-08
481	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-03-01	\N	2013-03-01	TFO2007	DONG E&P Norge AS	4070011	4921546	4965331	\N	2013-05-08	2013-05-08
481	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-02-28	\N	2013-03-01	TFO2007	DONG E&P Norge AS	4070011	4921546	21636725	\N	2013-05-08	2013-05-08
448 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-06-15	\N	2010-09-15	TFO2007	\N	\N	4921587	4944476	\N	9999-12-31	2013-05-08
484	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2016-02-28	TFO2007	Noreco Norway AS	22223020	4921632	4944442	\N	2013-03-22	2013-05-08
484	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2012-03-01	\N	2016-02-28	TFO2007	Noreco Norway AS	22223020	4921632	4944444	\N	2013-03-22	2013-05-08
484	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-02-28	\N	2016-02-28	TFO2007	Noreco Norway AS	22223020	4921632	4944445	\N	2013-04-12	2013-05-08
484	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-28	\N	2016-02-28	TFO2007	Noreco Norway AS	22223020	4921632	4944447	\N	2013-03-22	2013-05-08
484	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-28	\N	2016-02-28	TFO2007	Noreco Norway AS	22223020	4921632	4944448	\N	2013-04-12	2013-05-08
484	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-03-01	\N	2016-02-28	TFO2007	Noreco Norway AS	22223020	4921632	21636728	\N	2013-04-12	2013-05-08
491	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4921667	4944389	\N	9999-12-31	2013-05-08
491	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4921667	4944390	\N	9999-12-31	2013-05-08
491	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-03-01	\N	2011-03-01	TFO2007	\N	\N	4921667	4944391	4944390	9999-12-31	2013-05-08
491	Beslutte å utarbeide ein utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-03-01	\N	2011-03-01	TFO2007	\N	\N	4921667	4944392	\N	9999-12-31	2013-05-08
491	Sende inn ein utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-03-01	\N	2011-03-01	TFO2007	\N	\N	4921667	4944393	\N	9999-12-31	2013-05-08
491	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2014-03-01	\N	2011-03-01	TFO2007	\N	\N	4921667	4944394	\N	2012-06-20	2013-05-08
491	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2007	\N	\N	4921667	21636735	\N	9999-12-31	2013-05-08
229 C	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2009-03-01	\N	2009-02-28	TFO2007	\N	\N	4921701	4944132	\N	9999-12-31	2013-05-08
229 C	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-02-28	\N	2009-02-28	TFO2007	\N	\N	4921701	4944179	\N	9999-12-31	2013-05-08
229 C	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2011-02-28	\N	2009-02-28	TFO2007	\N	\N	4921701	4944180	4944132	9999-12-31	2013-05-08
229 C	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-03-01	\N	2009-02-28	TFO2007	\N	\N	4921701	4944196	\N	9999-12-31	2013-05-08
229 C	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2009-02-28	\N	2009-02-28	TFO2007	\N	\N	4921701	21631937	\N	2012-10-25	2013-05-08
485	Reprosessere seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-02-28	\N	2011-02-28	TFO2007	\N	\N	4921710	4944432	\N	9999-12-31	2013-05-08
485	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-02-28	\N	2011-02-28	TFO2007	\N	\N	4921710	4944433	\N	9999-12-31	2013-05-08
485	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-02-28	\N	2011-02-28	TFO2007	\N	\N	4921710	4944434	4944433	9999-12-31	2013-05-08
485	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-02-28	\N	2011-02-28	TFO2007	\N	\N	4921710	4944435	\N	9999-12-31	2013-05-08
485	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-02-28	\N	2011-02-28	TFO2007	\N	\N	4921710	4944437	\N	9999-12-31	2013-05-08
485	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-02-28	\N	2011-02-28	TFO2007	\N	\N	4921710	4944438	\N	9999-12-31	2013-05-08
485	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-02-28	\N	2011-02-28	TFO2007	\N	\N	4921710	21636729	\N	9999-12-31	2013-05-08
483 S	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2011-03-01	6609/10-2	2011-01-16	TFO2007	\N	\N	4921755	4944454	\N	9999-12-31	2013-05-08
483 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-03-01	\N	2011-01-16	TFO2007	\N	\N	4921755	4944455	\N	9999-12-31	2013-05-08
483 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-03-01	\N	2011-01-16	TFO2007	\N	\N	4921755	4944457	\N	9999-12-31	2013-05-08
483 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-03-01	\N	2011-01-16	TFO2007	\N	\N	4921755	4944459	\N	9999-12-31	2013-05-08
483 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-01-16	\N	2011-01-16	TFO2007	\N	\N	4921755	21636727	\N	9999-12-31	2013-05-08
486 S	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921823	4944420	\N	9999-12-31	2013-05-08
486 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921823	4944422	\N	2012-06-21	2013-05-08
486 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921823	4944424	\N	9999-12-31	2013-05-08
486 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2012-03-01	\N	2010-03-01	TFO2007	\N	\N	4921823	4944425	4944424	9999-12-31	2013-05-08
486 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-03-01	\N	2010-03-01	TFO2007	\N	\N	4921823	4944427	\N	9999-12-31	2013-05-08
486 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4921823	4944428	\N	9999-12-31	2013-05-08
486 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-03-01	\N	2010-03-01	TFO2007	\N	\N	4921823	4944429	\N	9999-12-31	2013-05-08
486 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2010-03-01	\N	2010-03-01	TFO2007	\N	\N	4921823	21636730	\N	2012-08-29	2013-05-08
492	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-02-28	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4925088	4944378	\N	9999-12-31	2013-05-08
492	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2012-05-29	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4925088	4944379	\N	2012-07-20	2013-05-08
492	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4925088	4944380	4944379	2012-07-20	2013-05-08
492	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-03-01	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4925088	4944382	\N	2012-06-20	2013-05-08
492	Sende inn utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4925088	4944384	\N	9999-12-31	2013-05-08
492	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4925088	4944386	\N	9999-12-31	2013-05-08
492	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-03-01	\N	2015-03-01	TFO2007	Lundin Norway AS	2767314	4925088	21636736	\N	9999-12-31	2013-05-08
301 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2011-12-12	\N	2011-06-13	Awarded additionaly to TFO2003	\N	\N	4973175	4973199	\N	9999-12-31	2013-05-08
301 B	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2011-06-12	\N	2011-06-13	Awarded additionaly to TFO2003	\N	\N	4973175	4978980	\N	9999-12-31	2013-05-08
301 B	Innsending av utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2011-12-12	\N	2011-06-13	Awarded additionaly to TFO2003	\N	\N	4973175	4978981	\N	9999-12-31	2013-05-08
301 CS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2013-12-12	\N	2012-06-12	Awarded additionaly to TFO2003	\N	\N	4973200	4973235	\N	2012-09-13	2013-05-08
301 CS	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2012-06-12	\N	2012-06-12	Awarded additionaly to TFO2003	\N	\N	4973200	4978982	\N	2012-09-13	2013-05-08
301 CS	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2013-06-12	\N	2012-06-12	Awarded additionaly to TFO2003	\N	\N	4973200	4978983	\N	2012-09-13	2013-05-08
493	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2011-01-23	\N	2012-01-23	TFO2008	\N	\N	5105835	5465297	\N	9999-12-31	2013-05-08
493	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2012-01-23	\N	2012-01-23	TFO2008	\N	\N	5105835	5465298	\N	9999-12-31	2013-05-08
493	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-01-23	\N	2012-01-23	TFO2008	\N	\N	5105835	5465299	5465298	9999-12-31	2013-05-08
493	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-01-23	\N	2012-01-23	TFO2008	\N	\N	5105835	5465300	\N	9999-12-31	2013-05-08
493	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2015-01-23	\N	2012-01-23	TFO2008	\N	\N	5105835	5465301	\N	9999-12-31	2013-05-08
493	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2015-01-23	\N	2012-01-23	TFO2008	\N	\N	5105835	5465302	\N	9999-12-31	2013-05-08
493	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2012-01-23	\N	2012-01-23	TFO2008	\N	\N	5105835	21636737	\N	9999-12-31	2013-05-08
494	Anskaffe og/eller samle inn seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2012-01-23	\N	2016-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5105899	5465303	\N	2013-04-10	2013-05-08
494	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2012-07-23	\N	2016-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5105899	5465304	\N	2013-04-10	2013-05-08
494	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-01-23	\N	2016-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5105899	5465305	5465304	2013-04-10	2013-05-08
494	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-07-23	\N	2016-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5105899	5465306	\N	2013-04-10	2013-05-08
494	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-07-23	\N	2016-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5105899	5465307	\N	2013-04-10	2013-05-08
494	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-07-23	\N	2016-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5105899	5465308	\N	2013-04-10	2013-05-08
494	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-07-23	\N	2016-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5105899	21636738	\N	2013-04-10	2013-05-08
495	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2011-01-23	\N	2015-07-23	TFO2008	Lundin Norway AS	2767314	5105968	5465309	\N	9999-12-31	2013-05-08
495	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2011-07-23	\N	2015-07-23	TFO2008	Lundin Norway AS	2767314	5105968	5465319	\N	9999-12-31	2013-05-08
495	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2013-07-23	\N	2015-07-23	TFO2008	Lundin Norway AS	2767314	5105968	5465320	5465319	9999-12-31	2013-05-08
495	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-07-23	\N	2015-07-23	TFO2008	Lundin Norway AS	2767314	5105968	5465321	\N	9999-12-31	2013-05-08
495	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-07-23	\N	2015-07-23	TFO2008	Lundin Norway AS	2767314	5105968	5465322	\N	9999-12-31	2013-05-08
495	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-07-23	\N	2015-07-23	TFO2008	Lundin Norway AS	2767314	5105968	5465323	\N	9999-12-31	2013-05-08
495	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-07-23	\N	2015-07-23	TFO2008	Lundin Norway AS	2767314	5105968	21636739	\N	9999-12-31	2013-05-08
496	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-01-23	\N	2011-03-08	TFO2008	\N	\N	5106035	5465324	\N	2012-06-21	2013-05-08
496	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-01-23	\N	2011-03-08	TFO2008	\N	\N	5106035	5465325	\N	9999-12-31	2013-05-08
496	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-01-23	\N	2011-03-08	TFO2008	\N	\N	5106035	5465326	5465325	9999-12-31	2013-05-08
496	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-01-23	\N	2011-03-08	TFO2008	\N	\N	5106035	5465327	\N	9999-12-31	2013-05-08
496	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-01-23	\N	2011-03-08	TFO2008	\N	\N	5106035	5465328	\N	9999-12-31	2013-05-08
496	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-01-23	\N	2011-03-08	TFO2008	\N	\N	5106035	5465329	\N	9999-12-31	2013-05-08
496	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-03-08	\N	2011-03-08	TFO2008	\N	\N	5106035	21636740	\N	2012-06-06	2013-05-08
497	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2013-01-23	\N	2016-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106073	5465330	\N	2013-02-26	2013-05-08
497	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2013-01-23	7/11-13	2016-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106073	5465331	\N	2013-02-26	2013-05-08
497	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-01-23	\N	2016-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106073	5465332	\N	2013-02-21	2013-05-08
497	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106073	5465333	\N	2013-02-21	2013-05-08
497	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106073	5465334	\N	2013-02-21	2013-05-08
497	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-01-23	\N	2016-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106073	21636741	\N	2013-02-21	2013-05-08
498	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2011-01-23	\N	2015-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106134	5465342	\N	9999-12-31	2013-05-08
498	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-01-23	\N	2015-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106134	5465343	\N	2012-06-21	2013-05-08
498	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2013-01-23	7/8-6 S	2015-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106134	5465346	5465342	2013-02-26	2013-05-08
498	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-01-23	\N	2015-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106134	5465347	\N	2012-12-13	2013-05-08
498	Innsende utbygingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106134	5465349	\N	9999-12-31	2013-05-08
498	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106134	5465350	\N	9999-12-31	2013-05-08
498	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106134	21636742	\N	9999-12-31	2013-05-08
499 S	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2010-01-23	\N	2011-07-23	TFO2008	\N	\N	5106238	5465351	\N	9999-12-31	2013-05-08
499 S	Kjøpe seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2010-01-23	\N	2011-07-23	TFO2008	\N	\N	5106238	5465352	\N	9999-12-31	2013-05-08
499 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-01-23	\N	2011-07-23	TFO2008	\N	\N	5106238	5465353	\N	2012-06-21	2013-05-08
499 S	Anskaffe eller samle inn seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2010-01-23	\N	2011-07-23	TFO2008	\N	\N	5106238	5465354	\N	9999-12-31	2013-05-08
499 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-07-23	\N	2011-07-23	TFO2008	\N	\N	5106238	5465355	\N	9999-12-31	2013-05-08
499 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-01-23	\N	2011-07-23	TFO2008	\N	\N	5106238	5465356	5465355	9999-12-31	2013-05-08
499 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2013-01-23	\N	2011-07-23	TFO2008	\N	\N	5106238	5465357	\N	2012-06-20	2013-05-08
499 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-01-23	\N	2011-07-23	TFO2008	\N	\N	5106238	5465358	\N	9999-12-31	2013-05-08
499 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2015-01-23	\N	2011-07-23	TFO2008	\N	\N	5106238	5465359	\N	2012-06-20	2013-05-08
499 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-07-23	\N	2011-07-23	TFO2008	\N	\N	5106238	21636743	\N	9999-12-31	2013-05-08
500	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2011-01-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5106274	5465360	\N	2012-06-09	2013-05-08
500	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-07-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5106274	5465361	\N	2012-06-09	2013-05-08
500	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-07-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5106274	5465362	5465361	2012-06-09	2013-05-08
500	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-01-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5106274	5465363	\N	2012-06-09	2013-05-08
500	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-01-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5106274	5465364	\N	2012-06-09	2013-05-08
500	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-01-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5106274	5465365	\N	2012-06-09	2013-05-08
500	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-01-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5106274	21636744	\N	2012-06-09	2013-05-08
501	Reprosessere/samle inn 3D-seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2012-01-23	\N	2015-01-23	TFO2008	Lundin Norway AS	2767314	5106314	5465366	\N	9999-12-31	2013-05-08
501	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-01-23	16/3-4	2015-01-23	TFO2008	Lundin Norway AS	2767314	5106314	5465367	\N	9999-12-31	2013-05-08
501	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-01-23	\N	2015-01-23	TFO2008	Lundin Norway AS	2767314	5106314	5465368	\N	9999-12-31	2013-05-08
501	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Lundin Norway AS	2767314	5106314	5465369	\N	9999-12-31	2013-05-08
501	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Lundin Norway AS	2767314	5106314	5465370	\N	9999-12-31	2013-05-08
501	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Lundin Norway AS	2767314	5106314	21636745	\N	9999-12-31	2013-05-08
502	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-01-23	16/2-9 S	2016-01-23	TFO2008	Statoil Petroleum AS	17237817	5106378	5465636	\N	9999-12-31	2013-05-08
502	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2008	Statoil Petroleum AS	17237817	5106378	5465637	\N	9999-12-31	2013-05-08
503	Kjøpe long offset 2D-linjer	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2010-01-23	\N	2017-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106405	5465638	\N	9999-12-31	2013-05-08
503	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2010-01-23	\N	2017-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106405	5465639	\N	2012-06-21	2013-05-08
503	Beslutning om å samle inn 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-01-23	\N	2017-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106405	5465640	\N	2012-06-20	2013-05-08
503	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-01-23	\N	2017-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106405	5465641	5465642	9999-12-31	2013-05-08
503	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-01-23	\N	2017-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106405	5465642	\N	2012-12-13	2013-05-08
503	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-01-23	\N	2017-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106405	5465643	\N	9999-12-31	2013-05-08
503	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-01-23	\N	2017-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106405	5465644	\N	9999-12-31	2013-05-08
503	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-01-23	\N	2017-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106405	5465645	\N	9999-12-31	2013-05-08
503	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-01-23	\N	2017-01-23	TFO2008	Lotos Exploration and Production Norge AS	5064434	5106405	21636746	\N	9999-12-31	2013-05-08
504	Fast brønn - 1 av 2	Boring	Drilling	Godkjent	Approved	2012-01-23	25/8-16 S	2014-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106455	5465677	\N	9999-12-31	2013-05-08
504	Fast brønn - 2 av 2	Boring	Drilling	Godkjent	Approved	2012-01-23	25/8-17	2014-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106455	5465678	\N	9999-12-31	2013-05-08
504	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2012-01-23	\N	2014-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106455	5465679	\N	9999-12-31	2013-05-08
504	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-01-23	\N	2014-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106455	5465680	\N	9999-12-31	2013-05-08
504	Initiell periode	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-01-23	\N	2014-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106455	5465681	\N	9999-12-31	2013-05-08
504	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-01-23	\N	2014-01-23	TFO2008	Det norske oljeselskap ASA	17342870	5106455	21636747	\N	9999-12-31	2013-05-08
505	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-01-23	25/10-11	2016-10-23	TFO2008	Marathon Oil Norge AS	20485291	5106486	5465685	\N	9999-12-31	2013-05-08
505	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-10-23	\N	2016-10-23	TFO2008	Marathon Oil Norge AS	20485291	5106486	5465686	\N	9999-12-31	2013-05-08
505	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-10-23	\N	2016-10-23	TFO2008	Marathon Oil Norge AS	20485291	5106486	5465687	\N	9999-12-31	2013-05-08
505	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-10-23	\N	2016-10-23	TFO2008	Marathon Oil Norge AS	20485291	5106486	5465688	\N	9999-12-31	2013-05-08
505	Anskaffe ny 3D-seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2012-10-23	\N	2016-10-23	TFO2008	Marathon Oil Norge AS	20485291	5106486	21593718	\N	2013-01-16	2013-05-08
505	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-10-23	\N	2016-10-23	TFO2008	Marathon Oil Norge AS	20485291	5106486	21593720	\N	9999-12-31	2013-05-08
505	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-10-23	\N	2016-10-23	TFO2008	Marathon Oil Norge AS	20485291	5106486	21593721	21593720	9999-12-31	2013-05-08
505	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-10-23	\N	2016-10-23	TFO2008	Marathon Oil Norge AS	20485291	5106486	21636748	\N	9999-12-31	2013-05-08
506 S	Samle inn seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2012-01-23	\N	2016-01-23	TFO2008	Rocksource Exploration Norway AS	22528729	5106544	5465689	\N	2013-01-10	2013-05-08
506 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2012-06-01	\N	2016-01-23	TFO2008	Rocksource Exploration Norway AS	22528729	5106544	5465690	\N	2013-01-10	2013-05-08
506 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-01-23	\N	2016-01-23	TFO2008	Rocksource Exploration Norway AS	22528729	5106544	5465691	5465690	2013-01-10	2013-05-08
506 S	Beslutning om utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-01-23	\N	2016-01-23	TFO2008	Rocksource Exploration Norway AS	22528729	5106544	5465692	\N	2013-01-10	2013-05-08
506 S	initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2008	Rocksource Exploration Norway AS	22528729	5106544	5465693	\N	2013-01-10	2013-05-08
506 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2008	Rocksource Exploration Norway AS	22528729	5106544	5465694	\N	2013-01-10	2013-05-08
506 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2008	Rocksource Exploration Norway AS	22528729	5106544	21636750	\N	2013-01-10	2013-05-08
518	Anskaffe/samle inn 3D-seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2013-01-23	\N	2013-01-23	TFO2008	\N	\N	5106560	5466187	\N	2013-03-22	2013-05-08
518	Fast brønn - 1 av 2	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-01-23	\N	2013-01-23	TFO2008	\N	\N	5106560	5466188	\N	2013-03-22	2013-05-08
518	Fast brønn - 2 av 2	Boring	Drilling	Under arbeid	In process	2013-01-23	\N	2013-01-23	TFO2008	\N	\N	5106560	5466189	\N	2013-03-22	2013-05-08
518	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2013-01-23	\N	2013-01-23	TFO2008	\N	\N	5106560	5466190	\N	2013-03-22	2013-05-08
518	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-01-23	\N	2013-01-23	TFO2008	\N	\N	5106560	5466191	\N	2013-03-22	2013-05-08
518	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-23	\N	2013-01-23	TFO2008	\N	\N	5106560	5466192	\N	2013-03-22	2013-05-08
518	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-01-23	\N	2013-01-23	TFO2008	\N	\N	5106560	21636762	\N	2013-03-22	2013-05-08
507	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5106689	5465695	\N	2012-06-21	2013-05-08
507	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2011-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5106689	5465696	\N	9999-12-31	2013-05-08
507	EM studier	EM innsamling	EM acquisition	Godkjent	Approved	2011-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5106689	5465707	\N	9999-12-31	2013-05-08
507	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2011-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5106689	5465708	\N	2012-12-18	2013-05-08
507	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2013-06-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5106689	5465709	5465708	2013-05-08	2013-05-08
507	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2013-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5106689	5465710	\N	2013-02-12	2013-05-08
507	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5106689	5465711	\N	9999-12-31	2013-05-08
507	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5106689	5465712	\N	9999-12-31	2013-05-08
507	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5106689	21636751	\N	9999-12-31	2013-05-08
508 S	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2012-01-23	\N	2012-01-23	TFO2008	\N	\N	5106810	5465982	\N	9999-12-31	2013-05-08
508 S	Innsamle/anskaffe seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2012-01-23	\N	2012-01-23	TFO2008	\N	\N	5106810	5465983	\N	9999-12-31	2013-05-08
508 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2012-01-23	\N	2012-01-23	TFO2008	\N	\N	5106810	5465984	\N	9999-12-31	2013-05-08
508 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2014-01-23	\N	2012-01-23	TFO2008	\N	\N	5106810	5465985	5465984	9999-12-31	2013-05-08
508 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2014-01-23	\N	2012-01-23	TFO2008	\N	\N	5106810	5465986	\N	9999-12-31	2013-05-08
508 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2016-01-23	\N	2012-01-23	TFO2008	\N	\N	5106810	5465987	\N	9999-12-31	2013-05-08
508 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2016-01-23	\N	2012-01-23	TFO2008	\N	\N	5106810	5465988	\N	9999-12-31	2013-05-08
508 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2012-01-23	\N	2012-01-23	TFO2008	\N	\N	5106810	21636752	\N	9999-12-31	2013-05-08
509 S	Innsamle/anskaffe seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2011-01-23	\N	2016-01-23	TFO2008	Wintershall Norge AS	21666830	5106880	5465989	\N	9999-12-31	2013-05-08
509 S	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2011-01-23	\N	2016-01-23	TFO2008	Wintershall Norge AS	21666830	5106880	5465990	\N	9999-12-31	2013-05-08
509 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-07-23	\N	2016-01-23	TFO2008	Wintershall Norge AS	21666830	5106880	5465991	\N	9999-12-31	2013-05-08
509 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-01-23	\N	2016-01-23	TFO2008	Wintershall Norge AS	21666830	5106880	5465992	5465991	9999-12-31	2013-05-08
509 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-01-23	\N	2016-01-23	TFO2008	Wintershall Norge AS	21666830	5106880	5465993	\N	9999-12-31	2013-05-08
509 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2008	Wintershall Norge AS	21666830	5106880	5465994	\N	9999-12-31	2013-05-08
509 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2008	Wintershall Norge AS	21666830	5106880	5465995	\N	9999-12-31	2013-05-08
509 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2008	Wintershall Norge AS	21666830	5106880	21636753	\N	9999-12-31	2013-05-08
510	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2011-04-23	\N	2016-01-23	TFO2008	Maersk Oil Norway AS	4719674	5106991	5465996	\N	2013-02-16	2013-05-08
510	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2011-01-23	\N	2016-01-23	TFO2008	Maersk Oil Norway AS	4719674	5106991	5465997	\N	2013-02-16	2013-05-08
510	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2013-01-23	\N	2016-01-23	TFO2008	Maersk Oil Norway AS	4719674	5106991	5465998	5465996	2013-02-16	2013-05-08
510	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-01-23	\N	2016-01-23	TFO2008	Maersk Oil Norway AS	4719674	5106991	5465999	\N	2013-02-16	2013-05-08
510	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2008	Maersk Oil Norway AS	4719674	5106991	5466000	\N	2013-02-16	2013-05-08
510	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2008	Maersk Oil Norway AS	4719674	5106991	5466001	\N	2013-02-16	2013-05-08
510	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-01-23	\N	2016-01-23	TFO2008	Maersk Oil Norway AS	4719674	5106991	21636754	\N	2013-02-16	2013-05-08
517	Anskaffe/samle inn 3D-seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2012-01-23	\N	2012-01-23	TFO2008	\N	\N	5107074	5466181	\N	9999-12-31	2013-05-08
517	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2012-01-23	\N	2012-01-23	TFO2008	\N	\N	5107074	5466182	\N	9999-12-31	2013-05-08
517	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2014-01-23	\N	2012-01-23	TFO2008	\N	\N	5107074	5466183	5466182	9999-12-31	2013-05-08
517	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2014-01-23	\N	2012-01-23	TFO2008	\N	\N	5107074	5466184	\N	9999-12-31	2013-05-08
517	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2016-01-23	\N	2012-01-23	TFO2008	\N	\N	5107074	5466185	\N	9999-12-31	2013-05-08
517	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2016-01-23	\N	2012-01-23	TFO2008	\N	\N	5107074	5466186	\N	9999-12-31	2013-05-08
517	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2012-01-23	\N	2012-01-23	TFO2008	\N	\N	5107074	21636761	\N	9999-12-31	2013-05-08
516	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2012-01-23	\N	2026-02-28	TFO2008	Statoil Petroleum AS	17237817	5107101	5466180	\N	9999-12-31	2013-05-08
516	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Frafalt	Dropped	2011-10-23	\N	2026-02-28	TFO2008	Statoil Petroleum AS	17237817	5107101	21636760	\N	9999-12-31	2013-05-08
515	Samle inn 2D-seismikk og CSEM	Seismisk innsamling	Seismic acquisition	Frafalt	Dropped	2010-01-23	\N	2012-04-23	TFO2008	\N	\N	5107133	5466133	\N	2012-12-05	2013-05-08
515	Beslutning om å samle inn 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2010-01-23	\N	2012-04-23	TFO2008	\N	\N	5107133	5466144	\N	2012-12-05	2013-05-08
515	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2012-04-23	\N	2012-04-23	TFO2008	\N	\N	5107133	5466145	\N	2012-12-05	2013-05-08
515	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2014-01-23	\N	2012-04-23	TFO2008	\N	\N	5107133	5466156	5466145	2012-12-05	2013-05-08
515	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2014-01-23	\N	2012-04-23	TFO2008	\N	\N	5107133	5466167	\N	2012-12-05	2013-05-08
515	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-01-23	\N	2012-04-23	TFO2008	\N	\N	5107133	5466178	\N	2012-12-05	2013-05-08
515	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2016-01-23	\N	2012-04-23	TFO2008	\N	\N	5107133	5466179	\N	2012-12-05	2013-05-08
515	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-01-23	\N	2012-04-23	TFO2008	\N	\N	5107133	21636759	\N	2012-12-05	2013-05-08
514	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2011-01-23	\N	2011-01-22	TFO2008	\N	\N	5107175	5466057	\N	2012-06-26	2013-05-08
514	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-01-23	\N	2011-01-22	TFO2008	\N	\N	5107175	5466068	\N	9999-12-31	2013-05-08
514	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-01-23	\N	2011-01-22	TFO2008	\N	\N	5107175	5466079	5466068	9999-12-31	2013-05-08
514	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-01-23	\N	2011-01-22	TFO2008	\N	\N	5107175	5466090	\N	9999-12-31	2013-05-08
514	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-01-23	\N	2011-01-22	TFO2008	\N	\N	5107175	5466101	\N	9999-12-31	2013-05-08
514	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-01-23	\N	2011-01-22	TFO2008	\N	\N	5107175	5466102	\N	9999-12-31	2013-05-08
514	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2011-01-22	\N	2011-01-22	TFO2008	\N	\N	5107175	21636758	\N	9999-12-31	2013-05-08
513	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2011-01-23	\N	2015-07-23	TFO2008	Maersk Oil Norway AS	4719674	5107217	5466050	\N	2012-12-13	2013-05-08
513	Innsamle seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2011-01-23	\N	2015-07-23	TFO2008	Maersk Oil Norway AS	4719674	5107217	5466051	\N	2012-12-13	2013-05-08
513	Betinga brønn 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2011-01-23	\N	2015-07-23	TFO2008	Maersk Oil Norway AS	4719674	5107217	5466052	\N	2012-12-13	2013-05-08
513	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2013-01-23	6506/6-2	2015-07-23	TFO2008	Maersk Oil Norway AS	4719674	5107217	5466053	5466052	2013-04-06	2013-05-08
513	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2013-01-23	\N	2015-07-23	TFO2008	Maersk Oil Norway AS	4719674	5107217	5466054	\N	2012-12-13	2013-05-08
513	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-01-23	\N	2015-07-23	TFO2008	Maersk Oil Norway AS	4719674	5107217	5466055	\N	2012-12-13	2013-05-08
513	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-07-23	\N	2015-07-23	TFO2008	Maersk Oil Norway AS	4719674	5107217	5466056	\N	2012-12-13	2013-05-08
513	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-01-23	\N	2015-07-23	TFO2008	Maersk Oil Norway AS	4719674	5107217	21636757	\N	2012-12-13	2013-05-08
432 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-02-16	\N	2010-02-16	TFO2008	\N	\N	5107289	5465252	\N	9999-12-31	2013-05-08
512	Samle inn 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2012-01-23	\N	2017-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5107312	5466044	\N	2012-06-26	2013-05-08
512	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-07-23	\N	2017-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5107312	5466045	\N	9999-12-31	2013-05-08
512	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-01-23	\N	2017-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5107312	5466046	5466045	9999-12-31	2013-05-08
512	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-07-23	\N	2017-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5107312	5466047	\N	9999-12-31	2013-05-08
512	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-07-23	\N	2017-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5107312	5466048	\N	9999-12-31	2013-05-08
512	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-07-23	\N	2017-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5107312	5466049	\N	9999-12-31	2013-05-08
512	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-07-23	\N	2017-07-23	TFO2008	Det norske oljeselskap ASA	17342870	5107312	21636756	\N	9999-12-31	2013-05-08
107 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Statoil Petroleum AS	17237817	5107376	5465240	\N	9999-12-31	2013-05-08
511	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2013-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5107428	5466002	\N	9999-12-31	2013-05-08
511	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2013-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5107428	5466003	\N	2013-02-13	2013-05-08
511	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5107428	5466004	\N	2012-11-07	2013-05-08
511	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5107428	5466005	\N	9999-12-31	2013-05-08
511	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5107428	5466006	\N	9999-12-31	2013-05-08
511	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2008	Wintershall Norge AS	21666830	5107428	21636755	\N	9999-12-31	2013-05-08
292 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2011-04-01	\N	2026-04-01	TFO2008	BG Norge AS	2747354	5107501	5465250	\N	9999-12-31	2013-05-08
465 B	Tolke seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2008	\N	\N	5107561	5465253	\N	9999-12-31	2013-05-08
465 B	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2008	\N	\N	5107561	5465254	\N	2012-06-21	2013-05-08
465 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2015-03-01	\N	2011-03-01	TFO2008	\N	\N	5107561	5465255	\N	9999-12-31	2013-05-08
465 B	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-03-01	\N	2011-03-01	TFO2008	\N	\N	5107561	21636708	\N	9999-12-31	2013-05-08
193 B	Samle inn og reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2011-01-23	\N	2031-09-10	TFO2008	Statoil Petroleum AS	17237817	5107611	5465247	\N	9999-12-31	2013-05-08
193 B	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-01-23	\N	2031-09-10	TFO2008	Statoil Petroleum AS	17237817	5107611	5465248	\N	2012-06-21	2013-05-08
193 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2011-01-23	\N	2031-09-10	TFO2008	Statoil Petroleum AS	17237817	5107611	5465249	\N	9999-12-31	2013-05-08
472 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2015-03-01	\N	2010-03-01	TFO2008	\N	\N	5107640	5465256	\N	9999-12-31	2013-05-08
475 BS	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2011-01-23	\N	2016-02-28	TFO2008	Wintershall Norge AS	21666830	5107669	5465257	\N	2013-03-22	2013-05-08
475 BS	Reprosessere 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2011-01-23	\N	2016-02-28	TFO2008	Wintershall Norge AS	21666830	5107669	5465258	\N	2013-03-22	2013-05-08
475 BS	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2013-01-23	6406/3-8	2016-02-28	TFO2008	Wintershall Norge AS	21666830	5107669	5465259	5465257	2013-03-22	2013-05-08
475 BS	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-01-23	\N	2016-02-28	TFO2008	Wintershall Norge AS	21666830	5107669	5465260	\N	2013-03-22	2013-05-08
475 BS	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-28	\N	2016-02-28	TFO2008	Wintershall Norge AS	21666830	5107669	5465261	\N	2013-03-22	2013-05-08
475 BS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-28	\N	2016-02-28	TFO2008	Wintershall Norge AS	21666830	5107669	5465262	\N	2013-03-22	2013-05-08
475 BS	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-01-23	\N	2016-02-28	TFO2008	Wintershall Norge AS	21666830	5107669	21636719	\N	2013-03-22	2013-05-08
402 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-16	\N	2017-02-16	TFO2008	Talisman Energy Norge AS	2425093	5107780	5465251	\N	2013-04-24	2013-05-08
107 C	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-01-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5115394	5465241	\N	2012-12-11	2013-05-08
107 C	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-10-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5115394	5465242	\N	2012-12-11	2013-05-08
107 C	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2013-01-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5115394	5465243	5465242	2012-12-11	2013-05-08
107 C	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-10-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5115394	5465244	\N	2012-12-11	2013-05-08
107 C	Innsende utbggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-01-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5115394	5465245	\N	2012-12-11	2013-05-08
107 C	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-01-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5115394	5465246	\N	2012-12-11	2013-05-08
107 C	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-01-23	\N	2017-01-23	TFO2008	Statoil Petroleum AS	17237817	5115394	21631935	\N	2012-12-11	2013-05-08
539	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2013-02-19	\N	2017-02-19	TFO2009	Premier Oil Norge AS	3482067	17320077	18061360	\N	2013-04-03	2013-05-08
539	Betinga brønn -1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2013-02-19	\N	2017-02-19	TFO2009	Premier Oil Norge AS	3482067	17320077	18061361	\N	2013-02-06	2013-05-08
539	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-19	\N	2017-02-19	TFO2009	Premier Oil Norge AS	3482067	17320077	18061362	18061361	2013-02-06	2013-05-08
539	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-02-19	\N	2017-02-19	TFO2009	Premier Oil Norge AS	3482067	17320077	18061363	\N	2013-02-26	2013-05-08
539	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-19	\N	2017-02-19	TFO2009	Premier Oil Norge AS	3482067	17320077	18061364	\N	9999-12-31	2013-05-08
539	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-19	\N	2017-02-19	TFO2009	Premier Oil Norge AS	3482067	17320077	18061365	\N	9999-12-31	2013-05-08
539	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-19	\N	2017-02-19	TFO2009	Premier Oil Norge AS	3482067	17320077	21636763	\N	9999-12-31	2013-05-08
540	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Frafalt	Dropped	2011-09-19	\N	2011-08-19	TFO2009	\N	\N	17320106	18061540	\N	9999-12-31	2013-05-08
540	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-08-19	\N	2011-08-19	TFO2009	\N	\N	17320106	18061541	\N	9999-12-31	2013-05-08
540	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-02-19	\N	2011-08-19	TFO2009	\N	\N	17320106	18061542	18061541	9999-12-31	2013-05-08
540	Beslutning om Utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-02-19	\N	2011-08-19	TFO2009	\N	\N	17320106	18061543	\N	9999-12-31	2013-05-08
540	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2015-02-19	\N	2011-08-19	TFO2009	\N	\N	17320106	18061544	\N	9999-12-31	2013-05-08
540	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2015-02-19	\N	2011-08-19	TFO2009	\N	\N	17320106	18061545	\N	9999-12-31	2013-05-08
540	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2015-02-19	\N	2011-08-19	TFO2009	\N	\N	17320106	21636764	\N	2012-08-15	2013-05-08
541	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2012-02-19	\N	2016-02-19	TFO2009	Repsol Exploration Norge AS	17237506	17320130	18061546	\N	9999-12-31	2013-05-08
541	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2012-02-19	\N	2016-02-19	TFO2009	Repsol Exploration Norge AS	17237506	17320130	18061547	\N	9999-12-31	2013-05-08
541	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	Repsol Exploration Norge AS	17237506	17320130	18061548	18061547	9999-12-31	2013-05-08
541	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	Repsol Exploration Norge AS	17237506	17320130	18061549	\N	9999-12-31	2013-05-08
541	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Repsol Exploration Norge AS	17237506	17320130	18061550	\N	9999-12-31	2013-05-08
541	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Repsol Exploration Norge AS	17237506	17320130	18061551	\N	9999-12-31	2013-05-08
541	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Repsol Exploration Norge AS	17237506	17320130	21636765	\N	9999-12-31	2013-05-08
542	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2012-02-19	\N	2015-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320156	18061552	\N	9999-12-31	2013-05-08
542	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-19	\N	2015-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320156	18061553	\N	2012-06-22	2013-05-08
542	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2012-08-19	\N	2015-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320156	18061554	\N	2012-09-25	2013-05-08
542	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-19	\N	2015-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320156	18061555	18061554	2012-09-25	2013-05-08
542	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-19	\N	2015-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320156	18061556	\N	9999-12-31	2013-05-08
542	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-02-19	\N	2015-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320156	18061557	\N	9999-12-31	2013-05-08
542	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-19	\N	2015-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320156	18061558	\N	9999-12-31	2013-05-08
542	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-02-19	\N	2015-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320156	21636766	\N	9999-12-31	2013-05-08
331 C	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-06-17	\N	2011-06-18	TFO2009	\N	\N	17320176	18061284	\N	9999-12-31	2013-05-08
497 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2009	Det norske oljeselskap ASA	17342870	17320202	18061288	\N	2013-02-21	2013-05-08
543	Geologi- og geofysikk studier	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Godkjent	Approved	2012-02-19	\N	2012-11-19	TFO2009	\N	\N	17320231	18061559	\N	2013-02-09	2013-05-08
543	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2012-11-19	\N	2012-11-19	TFO2009	\N	\N	17320231	18061560	\N	2013-02-09	2013-05-08
543	Boring av betinga brønn 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2014-02-19	\N	2012-11-19	TFO2009	\N	\N	17320231	18061561	18061560	2013-02-09	2013-05-08
543	Beslutning om utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2014-02-19	\N	2012-11-19	TFO2009	\N	\N	17320231	18061562	\N	2013-02-09	2013-05-08
543	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2016-02-19	\N	2012-11-19	TFO2009	\N	\N	17320231	18061563	\N	2013-02-09	2013-05-08
543	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2016-02-19	\N	2012-11-19	TFO2009	\N	\N	17320231	18061564	\N	2013-02-09	2013-05-08
543	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2016-02-19	\N	2012-11-19	TFO2009	\N	\N	17320231	21636767	\N	2013-02-09	2013-05-08
544	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2013-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17320260	18062144	\N	2012-12-13	2013-05-08
544	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2013-08-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17320260	18062145	\N	2012-12-13	2013-05-08
544	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17320260	18062146	\N	2012-12-13	2013-05-08
544	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17320260	18062147	\N	2013-04-12	2013-05-08
544	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17320260	18062148	\N	2013-04-12	2013-05-08
544	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17320260	21636768	\N	2012-12-13	2013-05-08
545	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2012-02-19	\N	2012-02-19	TFO2009	\N	\N	17320282	18062149	\N	9999-12-31	2013-05-08
545	Fast brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2012-02-19	17/6-1	2012-02-19	TFO2009	\N	\N	17320282	18062150	\N	9999-12-31	2013-05-08
545	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-19	\N	2012-02-19	TFO2009	\N	\N	17320282	18062151	\N	9999-12-31	2013-05-08
545	Boring av betinga brønn - 1 av 1	Boring	Drilling	Frafalt	Dropped	2017-02-19	\N	2012-02-19	TFO2009	\N	\N	17320282	18062152	18062151	9999-12-31	2013-05-08
545	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2017-02-19	\N	2012-02-19	TFO2009	\N	\N	17320282	18062153	\N	9999-12-31	2013-05-08
545	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2019-02-19	\N	2012-02-19	TFO2009	\N	\N	17320282	18062154	\N	9999-12-31	2013-05-08
545	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2019-02-19	\N	2012-02-19	TFO2009	\N	\N	17320282	18062155	\N	9999-12-31	2013-05-08
545	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-19	\N	2012-02-19	TFO2009	\N	\N	17320282	21636769	\N	9999-12-31	2013-05-08
546	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2012-02-19	\N	2018-02-19	TFO2009	Lundin Norway AS	2767314	17320338	18062160	\N	2013-03-23	2013-05-08
546	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-19	\N	2018-02-19	TFO2009	Lundin Norway AS	2767314	17320338	18062161	\N	2013-03-23	2013-05-08
546	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-19	\N	2018-02-19	TFO2009	Lundin Norway AS	2767314	17320338	18062162	\N	2013-03-23	2013-05-08
546	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-19	\N	2018-02-19	TFO2009	Lundin Norway AS	2767314	17320338	18062163	18062162	2013-03-23	2013-05-08
546	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-19	\N	2018-02-19	TFO2009	Lundin Norway AS	2767314	17320338	18062164	\N	2013-03-23	2013-05-08
546	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-19	\N	2018-02-19	TFO2009	Lundin Norway AS	2767314	17320338	18062165	\N	2013-03-23	2013-05-08
546	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-19	\N	2018-02-19	TFO2009	Lundin Norway AS	2767314	17320338	18062180	\N	2013-03-23	2013-05-08
546	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-19	\N	2018-02-19	TFO2009	Lundin Norway AS	2767314	17320338	21636799	\N	2013-03-23	2013-05-08
169 D	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2011-02-19	\N	2030-03-01	TFO2009	Statoil Petroleum AS	17237817	17320383	18061282	\N	9999-12-31	2013-05-08
340 BS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-12-17	\N	2014-12-17	TFO2009	Marathon Oil Norge AS	20485291	17320421	18061285	\N	2012-12-13	2013-05-08
547 S	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2012-02-19	\N	2012-02-19	TFO2009	\N	\N	17320441	18062181	\N	9999-12-31	2013-05-08
547 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-19	\N	2012-02-19	TFO2009	\N	\N	17320441	18062182	\N	2012-06-22	2013-05-08
547 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2012-02-19	\N	2012-02-19	TFO2009	\N	\N	17320441	18062183	\N	9999-12-31	2013-05-08
547 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2014-02-19	\N	2012-02-19	TFO2009	\N	\N	17320441	18062185	18062183	9999-12-31	2013-05-08
547 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2014-02-19	\N	2012-02-19	TFO2009	\N	\N	17320441	18062186	\N	9999-12-31	2013-05-08
547 S	innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2016-02-19	\N	2012-02-19	TFO2009	\N	\N	17320441	18062187	\N	9999-12-31	2013-05-08
547 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2016-02-19	\N	2012-02-19	TFO2009	\N	\N	17320441	18062188	\N	9999-12-31	2013-05-08
547 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2012-02-19	\N	2012-02-19	TFO2009	\N	\N	17320441	21636800	\N	9999-12-31	2013-05-08
504 BS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-01-23	\N	2014-01-23	TFO2009	Det norske oljeselskap ASA	17342870	17320469	18061289	\N	9999-12-31	2013-05-08
548 S	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2012-02-19	\N	2012-02-19	TFO2009	\N	\N	17320489	18080442	\N	2012-07-05	2013-05-08
548 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2012-02-19	\N	2012-02-19	TFO2009	\N	\N	17320489	18080443	\N	2012-07-05	2013-05-08
548 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2014-02-19	\N	2012-02-19	TFO2009	\N	\N	17320489	18080444	18080443	2012-07-05	2013-05-08
548 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2014-02-19	\N	2012-02-19	TFO2009	\N	\N	17320489	18080445	\N	2012-08-04	2013-05-08
548 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-19	\N	2012-02-19	TFO2009	\N	\N	17320489	18080446	\N	2012-07-05	2013-05-08
548 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-19	\N	2012-02-19	TFO2009	\N	\N	17320489	18080447	\N	2012-07-05	2013-05-08
548 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2016-02-19	\N	2012-02-19	TFO2009	\N	\N	17320489	21636801	\N	2012-08-04	2013-05-08
505 BS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-10-23	\N	2016-10-23	TFO2009	Marathon Oil Norge AS	20485291	17320530	18061290	\N	9999-12-31	2013-05-08
549 S	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2013-02-19	\N	2018-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320558	18080500	\N	9999-12-31	2013-05-08
549 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2013-02-19	\N	2018-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320558	18080501	\N	2012-06-22	2013-05-08
549 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-08-19	\N	2018-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320558	18080502	\N	2012-12-19	2013-05-08
549 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-19	\N	2018-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320558	18080503	18080502	9999-12-31	2013-05-08
549 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-19	\N	2018-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320558	18080504	\N	9999-12-31	2013-05-08
549 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-19	\N	2018-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320558	18080505	\N	9999-12-31	2013-05-08
549 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-19	\N	2018-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320558	18080506	\N	9999-12-31	2013-05-08
549 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-19	\N	2018-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17320558	21636802	\N	9999-12-31	2013-05-08
550	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2012-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17320594	18080507	\N	2013-02-21	2013-05-08
550	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17320594	18080508	\N	2013-02-21	2013-05-08
550	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Godkjent	Approved	2012-10-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17320594	18080509	\N	2013-02-21	2013-05-08
550	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17320594	18080510	18080509	2013-02-21	2013-05-08
550	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-10-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17320594	18080511	\N	2013-02-21	2013-05-08
550	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17320594	18080512	\N	2013-02-21	2013-05-08
550	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17320594	18080513	\N	2013-02-21	2013-05-08
550	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17320594	21636803	\N	2013-02-21	2013-05-08
551	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2012-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17642019	18080514	\N	2013-02-21	2013-05-08
551	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17642019	18080515	\N	2013-02-21	2013-05-08
551	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2012-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17642019	18080516	\N	2013-02-21	2013-05-08
551	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17642019	18080517	18080516	2013-02-21	2013-05-08
551	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17642019	18080518	\N	2013-02-21	2013-05-08
551	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17642019	18080519	\N	2013-02-21	2013-05-08
551	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17642019	18080520	\N	2013-02-21	2013-05-08
551	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Tullow Oil Norge AS	23173852	17642019	21636804	\N	2013-02-21	2013-05-08
090 E	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2011-02-19	\N	2024-03-09	TFO2009	Statoil Petroleum AS	17237817	17642079	18061280	\N	9999-12-31	2013-05-08
552	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2013-02-19	\N	2014-02-19	TFO2009	Statoil Petroleum AS	17237817	17642108	18080540	\N	9999-12-31	2013-05-08
552	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-19	\N	2014-02-19	TFO2009	Statoil Petroleum AS	17237817	17642108	18080541	\N	2013-04-24	2013-05-08
552	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2014-02-19	\N	2014-02-19	TFO2009	Statoil Petroleum AS	17237817	17642108	18080542	\N	9999-12-31	2013-05-08
552	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-02-19	\N	2014-02-19	TFO2009	Statoil Petroleum AS	17237817	17642108	18080543	\N	9999-12-31	2013-05-08
552	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2014-02-19	\N	2014-02-19	TFO2009	Statoil Petroleum AS	17237817	17642108	21636805	\N	9999-12-31	2013-05-08
553	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2012-02-19	\N	2016-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17646365	18080544	\N	2013-03-22	2013-05-08
553	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-02-19	\N	2016-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17646365	18080545	\N	2013-03-22	2013-05-08
553	Boring av betinga brønn	Boring	Drilling	Under arbeid	In process	2013-02-19	\N	2016-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17646365	18080546	18080544	2013-03-22	2013-05-08
553	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-02-19	\N	2016-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17646365	18080547	\N	2013-04-13	2013-05-08
553	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17646365	18080548	\N	2013-03-22	2013-05-08
553	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17646365	18080549	\N	2013-04-13	2013-05-08
553	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Det norske oljeselskap ASA	17342870	17646365	21636806	\N	2013-04-13	2013-05-08
554	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2011-02-19	\N	2016-02-19	TFO2009	Total E&P Norge AS	2410708	17654471	18080550	\N	2013-03-19	2013-05-08
554	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-02-19	\N	2016-02-19	TFO2009	Total E&P Norge AS	2410708	17654471	18080551	\N	2013-03-19	2013-05-08
554	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2011-02-19	\N	2016-02-19	TFO2009	Total E&P Norge AS	2410708	17654471	18080552	\N	2013-03-19	2013-05-08
554	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2013-02-19	\N	2016-02-19	TFO2009	Total E&P Norge AS	2410708	17654471	18080553	18080552	2013-03-19	2013-05-08
554	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	Total E&P Norge AS	2410708	17654471	18080554	\N	2013-03-19	2013-05-08
554	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Total E&P Norge AS	2410708	17654471	18080555	\N	2013-03-19	2013-05-08
554	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Total E&P Norge AS	2410708	17654471	18080556	\N	2013-03-19	2013-05-08
554	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-02-19	\N	2016-02-19	TFO2009	Total E&P Norge AS	2410708	17654471	21636807	\N	2013-03-19	2013-05-08
423 BS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2014-08-16	\N	2011-08-16	TFO2009	\N	\N	17654498	18061286	\N	9999-12-31	2013-05-08
555	Utføre 3D pre-stack dybdemigrasjon	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2012-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17654533	18080557	\N	9999-12-31	2013-05-08
555	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17654533	18080558	\N	2012-06-22	2013-05-08
555	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2012-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17654533	18080559	\N	9999-12-31	2013-05-08
555	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17654533	18080560	18080559	9999-12-31	2013-05-08
555	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17654533	18080561	\N	9999-12-31	2013-05-08
555	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17654533	18080562	\N	9999-12-31	2013-05-08
555	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17654533	18080563	\N	9999-12-31	2013-05-08
555	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Lundin Norway AS	2767314	17654533	21636808	\N	9999-12-31	2013-05-08
556	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2011-02-19	\N	2011-02-19	TFO2009	\N	\N	17654560	18080564	\N	2012-06-22	2013-05-08
556	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-02-19	\N	2011-02-19	TFO2009	\N	\N	17654560	18080565	\N	9999-12-31	2013-05-08
556	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-02-19	\N	2011-02-19	TFO2009	\N	\N	17654560	18080566	18080565	9999-12-31	2013-05-08
556	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-02-19	\N	2011-02-19	TFO2009	\N	\N	17654560	18080567	\N	9999-12-31	2013-05-08
556	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2015-02-19	\N	2011-02-19	TFO2009	\N	\N	17654560	18080568	\N	9999-12-31	2013-05-08
556	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2015-02-19	\N	2011-02-19	TFO2009	\N	\N	17654560	18080569	\N	9999-12-31	2013-05-08
556	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-02-19	\N	2011-02-19	TFO2009	\N	\N	17654560	21636809	\N	9999-12-31	2013-05-08
093 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-02-19	\N	2014-02-19	TFO2009	A/S Norske Shell	562	17654585	18061281	\N	2013-02-05	2013-05-08
312 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2013-12-12	\N	2013-12-12	TFO2009	Statoil Petroleum AS	17237817	17654614	18061283	\N	9999-12-31	2013-05-08
557	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2013-02-19	\N	2019-02-19	TFO2009	OMV (Norge) AS	4460594	17654641	18080570	\N	2013-03-12	2013-05-08
557	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-19	\N	2019-02-19	TFO2009	OMV (Norge) AS	4460594	17654641	18080571	\N	2013-03-12	2013-05-08
557	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2013-02-19	\N	2019-02-19	TFO2009	OMV (Norge) AS	4460594	17654641	18080572	\N	2013-04-23	2013-05-08
557	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-19	\N	2019-02-19	TFO2009	OMV (Norge) AS	4460594	17654641	18080573	18080572	2013-04-25	2013-05-08
557	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-19	\N	2019-02-19	TFO2009	OMV (Norge) AS	4460594	17654641	18080574	\N	2013-02-08	2013-05-08
557	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-19	\N	2019-02-19	TFO2009	OMV (Norge) AS	4460594	17654641	18080575	\N	2013-02-08	2013-05-08
557	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-19	\N	2019-02-19	TFO2009	OMV (Norge) AS	4460594	17654641	18080576	\N	2013-02-08	2013-05-08
557	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-19	\N	2019-02-19	TFO2009	OMV (Norge) AS	4460594	17654641	21636810	\N	2013-02-08	2013-05-08
477 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-28	\N	2015-03-01	TFO2009	Centrica Resources (Norge) AS	4238233	17654703	18061287	\N	2012-12-19	2013-05-08
558	Reprosessere 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2012-02-19	\N	2016-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654732	18080577	\N	9999-12-31	2013-05-08
558	Geologi- og geofysikk studier	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2012-02-19	\N	2016-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654732	18080578	\N	2012-06-22	2013-05-08
558	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2012-02-19	\N	2016-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654732	18080579	\N	9999-12-31	2013-05-08
558	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654732	18080580	18080579	9999-12-31	2013-05-08
558	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654732	18080581	\N	9999-12-31	2013-05-08
558	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654732	18080582	\N	9999-12-31	2013-05-08
558	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654732	18080583	\N	9999-12-31	2013-05-08
558	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654732	21636811	\N	9999-12-31	2013-05-08
559	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2012-02-19	\N	2016-02-19	TFO2009	Rocksource Exploration Norway AS	22528729	17654775	18080600	\N	2013-01-10	2013-05-08
559	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-19	\N	2016-02-19	TFO2009	Rocksource Exploration Norway AS	22528729	17654775	18080601	\N	2013-01-10	2013-05-08
559	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2012-02-19	\N	2016-02-19	TFO2009	Rocksource Exploration Norway AS	22528729	17654775	18080602	\N	2013-01-10	2013-05-08
559	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2014-02-19	6608/11-7 S	2016-02-19	TFO2009	Rocksource Exploration Norway AS	22528729	17654775	18080603	18080602	2013-01-10	2013-05-08
559	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-19	\N	2016-02-19	TFO2009	Rocksource Exploration Norway AS	22528729	17654775	18080604	\N	2013-01-10	2013-05-08
559	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Rocksource Exploration Norway AS	22528729	17654775	18080605	\N	2013-01-10	2013-05-08
559	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Rocksource Exploration Norway AS	22528729	17654775	18080606	\N	2013-01-10	2013-05-08
559	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2009	Rocksource Exploration Norway AS	22528729	17654775	21636812	\N	2013-01-10	2013-05-08
560	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-19	\N	2011-02-19	TFO2009	\N	\N	17654831	18080607	\N	2012-06-22	2013-05-08
560	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2011-02-19	\N	2011-02-19	TFO2009	\N	\N	17654831	18080608	\N	9999-12-31	2013-05-08
560	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2013-02-19	\N	2011-02-19	TFO2009	\N	\N	17654831	18080609	18080608	9999-12-31	2013-05-08
560	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2013-02-19	\N	2011-02-19	TFO2009	\N	\N	17654831	18080610	\N	9999-12-31	2013-05-08
560	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2015-02-19	\N	2011-02-19	TFO2009	\N	\N	17654831	18080611	\N	9999-12-31	2013-05-08
560	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2015-02-19	\N	2011-02-19	TFO2009	\N	\N	17654831	18080612	\N	9999-12-31	2013-05-08
560	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2011-02-19	\N	2011-02-19	TFO2009	\N	\N	17654831	21636813	\N	9999-12-31	2013-05-08
561	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2012-02-19	\N	2013-02-19	TFO2009	\N	\N	17654869	18080613	\N	2013-04-04	2013-05-08
561	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-19	\N	2013-02-19	TFO2009	\N	\N	17654869	18080614	\N	2013-04-04	2013-05-08
561	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2013-02-19	\N	2013-02-19	TFO2009	\N	\N	17654869	18080615	\N	2013-04-23	2013-05-08
561	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2014-02-19	\N	2013-02-19	TFO2009	\N	\N	17654869	18080616	18080615	2013-04-23	2013-05-08
561	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Godkjent	Approved	2014-02-19	\N	2013-02-19	TFO2009	\N	\N	17654869	18080617	\N	2013-04-23	2013-05-08
561	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Godkjent	Approved	2016-02-19	\N	2013-02-19	TFO2009	\N	\N	17654869	18080618	\N	2013-04-23	2013-05-08
561	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2016-02-19	\N	2013-02-19	TFO2009	\N	\N	17654869	18080619	\N	2013-04-23	2013-05-08
561	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-19	\N	2013-02-19	TFO2009	\N	\N	17654869	21636814	\N	2013-04-04	2013-05-08
562	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2013-02-19	\N	2017-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654921	18080620	\N	2013-04-24	2013-05-08
562	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-19	\N	2017-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654921	18080621	\N	2013-04-24	2013-05-08
562	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2013-02-19	\N	2017-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654921	18080622	\N	2013-04-24	2013-05-08
562	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2015-02-19	\N	2017-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654921	18080623	18080622	2013-04-24	2013-05-08
562	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2015-02-19	\N	2017-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654921	18080624	\N	2013-04-24	2013-05-08
562	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2017-02-19	\N	2017-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654921	18080625	\N	2013-04-24	2013-05-08
562	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2017-02-19	\N	2017-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654921	18080626	\N	2013-04-24	2013-05-08
562	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-19	\N	2017-02-19	TFO2009	E.ON E&P Norge AS	21631209	17654921	21636815	\N	9999-12-31	2013-05-08
518 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-23	\N	2013-01-23	TFO2009	\N	\N	17654970	18061291	\N	2013-03-22	2013-05-08
563	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2013-02-19	\N	2017-02-19	TFO2009	Lundin Norway AS	2767314	17655034	18080627	\N	2013-04-24	2013-05-08
563	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-19	\N	2017-02-19	TFO2009	Lundin Norway AS	2767314	17655034	18080628	\N	2013-04-24	2013-05-08
563	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-02-19	\N	2017-02-19	TFO2009	Lundin Norway AS	2767314	17655034	18080629	\N	9999-12-31	2013-05-08
563	Boring av betinga brønn 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-19	\N	2017-02-19	TFO2009	Lundin Norway AS	2767314	17655034	18080630	18080629	2013-03-11	2013-05-08
563	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-10-19	\N	2017-02-19	TFO2009	Lundin Norway AS	2767314	17655034	18080631	\N	2012-12-19	2013-05-08
563	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-19	\N	2017-02-19	TFO2009	Lundin Norway AS	2767314	17655034	18080632	\N	9999-12-31	2013-05-08
563	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-19	\N	2017-02-19	TFO2009	Lundin Norway AS	2767314	17655034	18080633	\N	9999-12-31	2013-05-08
563	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-19	\N	2017-02-19	TFO2009	Lundin Norway AS	2767314	17655034	21636816	\N	9999-12-31	2013-05-08
564	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2012-02-19	\N	2017-02-19	TFO2009	OMV (Norge) AS	4460594	17655076	18080634	\N	2012-12-19	2013-05-08
564	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-19	\N	2017-02-19	TFO2009	OMV (Norge) AS	4460594	17655076	18080635	\N	2012-12-19	2013-05-08
564	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-08-19	\N	2017-02-19	TFO2009	OMV (Norge) AS	4460594	17655076	18080636	\N	2013-02-13	2013-05-08
564	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-19	\N	2017-02-19	TFO2009	OMV (Norge) AS	4460594	17655076	18080637	18080636	2012-12-19	2013-05-08
564	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-19	\N	2017-02-19	TFO2009	OMV (Norge) AS	4460594	17655076	18080638	\N	2012-12-19	2013-05-08
564	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-19	\N	2017-02-19	TFO2009	OMV (Norge) AS	4460594	17655076	18080639	\N	2012-12-19	2013-05-08
564	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-19	\N	2017-02-19	TFO2009	OMV (Norge) AS	4460594	17655076	18080640	\N	2012-12-19	2013-05-08
564	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-19	\N	2017-02-19	TFO2009	OMV (Norge) AS	4460594	17655076	21636817	\N	2012-12-19	2013-05-08
565	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2013-02-04	\N	2018-08-04	TFO2010	Premier Oil Norge AS	3482067	20088435	20428200	\N	2013-04-03	2013-05-08
565	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-04	\N	2018-08-04	TFO2010	Premier Oil Norge AS	3482067	20088435	20428201	\N	2013-04-03	2013-05-08
565	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-08-04	\N	2018-08-04	TFO2010	Premier Oil Norge AS	3482067	20088435	20428202	\N	2013-02-08	2013-05-08
565	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-08-04	\N	2018-08-04	TFO2010	Premier Oil Norge AS	3482067	20088435	20428203	\N	2013-02-08	2013-05-08
565	Innlevering av utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-08-04	\N	2018-08-04	TFO2010	Premier Oil Norge AS	3482067	20088435	20428204	\N	2013-02-08	2013-05-08
565	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-08-04	\N	2018-08-04	TFO2010	Premier Oil Norge AS	3482067	20088435	20428205	\N	2013-02-08	2013-05-08
565	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2018-08-04	TFO2010	Premier Oil Norge AS	3482067	20088435	20428209	20428202	2013-02-08	2013-05-08
565	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-08-04	\N	2018-08-04	TFO2010	Premier Oil Norge AS	3482067	20088435	21636818	\N	2013-02-08	2013-05-08
566 S	Anskaffe/reprosessere og sammenstille 3D	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2013-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088461	20428206	\N	2013-04-03	2013-05-08
566 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088461	20428207	\N	2013-04-03	2013-05-08
566 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088461	20428208	\N	2013-01-03	2013-05-08
566 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088461	20428210	20428208	2013-01-03	2013-05-08
566 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088461	20428211	\N	2013-01-03	2013-05-08
566 S	Innlevering av utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088461	20428212	\N	2013-01-03	2013-05-08
566 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088461	20428213	\N	2013-01-03	2013-05-08
566 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088461	21636819	\N	2013-01-03	2013-05-08
494 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-07-23	\N	2016-07-23	TFO2010	Det norske oljeselskap ASA	17342870	20088555	20428011	\N	2013-04-10	2013-05-08
567	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2013-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088593	20428214	\N	2013-04-03	2013-05-08
567	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088593	20428215	\N	2013-04-03	2013-05-08
567	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088593	20428216	\N	2013-02-13	2013-05-08
567	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088593	20428220	20428216	2013-02-13	2013-05-08
567	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088593	20428221	\N	2013-02-13	2013-05-08
567	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088593	20428222	\N	2013-02-13	2013-05-08
567	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088593	20428223	\N	2013-02-13	2013-05-08
567	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	Premier Oil Norge AS	3482067	20088593	21636820	\N	2013-02-13	2013-05-08
301 D	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2013-12-12	\N	2013-12-12	TFO2010	Lundin Norway AS	2767314	20088622	20459920	\N	9999-12-31	2013-05-08
568	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-04	\N	2017-02-04	TFO2010	Talisman Energy Norge AS	2425093	20088760	20428224	\N	2012-06-21	2013-05-08
568	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-04	\N	2017-02-04	TFO2010	Talisman Energy Norge AS	2425093	20088760	20428225	\N	9999-12-31	2013-05-08
568	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-04	\N	2017-02-04	TFO2010	Talisman Energy Norge AS	2425093	20088760	20428226	\N	9999-12-31	2013-05-08
568	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Talisman Energy Norge AS	2425093	20088760	20428227	\N	9999-12-31	2013-05-08
568	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Talisman Energy Norge AS	2425093	20088760	20428228	\N	9999-12-31	2013-05-08
568	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Talisman Energy Norge AS	2425093	20088760	21636821	\N	9999-12-31	2013-05-08
360 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-01-06	\N	2014-01-06	TFO2010	Statoil Petroleum AS	17237817	20107847	20428000	\N	9999-12-31	2013-05-08
569	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2013-02-04	\N	2015-02-04	TFO2010	Statoil Petroleum AS	17237817	20107876	20428229	\N	9999-12-31	2013-05-08
569	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-04	\N	2015-02-04	TFO2010	Statoil Petroleum AS	17237817	20107876	20428230	\N	9999-12-31	2013-05-08
569	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2015-02-04	\N	2015-02-04	TFO2010	Statoil Petroleum AS	17237817	20107876	20428231	\N	9999-12-31	2013-05-08
569	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-04	\N	2015-02-04	TFO2010	Statoil Petroleum AS	17237817	20107876	20428232	\N	9999-12-31	2013-05-08
569	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2015-02-04	\N	2015-02-04	TFO2010	Statoil Petroleum AS	17237817	20107876	21636822	\N	9999-12-31	2013-05-08
503 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-01-23	\N	2017-01-23	TFO2010	Lotos Exploration and Production Norge AS	5064434	20107903	20428013	\N	9999-12-31	2013-05-08
501 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2010	Lundin Norway AS	2767314	20107950	20428012	\N	9999-12-31	2013-05-08
570	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-04	\N	2018-02-04	TFO2010	VNG Norge AS	17237193	20107979	20428233	\N	2013-01-17	2013-05-08
570	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2018-02-04	TFO2010	VNG Norge AS	17237193	20107979	20428234	\N	2013-03-19	2013-05-08
570	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2018-02-04	TFO2010	VNG Norge AS	17237193	20107979	20428235	20428234	2013-03-19	2013-05-08
570	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-04	\N	2018-02-04	TFO2010	VNG Norge AS	17237193	20107979	20428236	\N	9999-12-31	2013-05-08
570	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	VNG Norge AS	17237193	20107979	20428237	\N	9999-12-31	2013-05-08
570	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	VNG Norge AS	17237193	20107979	20428238	\N	9999-12-31	2013-05-08
570	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	VNG Norge AS	17237193	20107979	21636823	\N	9999-12-31	2013-05-08
571	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2013-02-04	\N	2017-02-04	TFO2010	Suncor Energy Norge AS	20426420	20108024	20428239	\N	2013-02-26	2013-05-08
571	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-04	\N	2017-02-04	TFO2010	Suncor Energy Norge AS	20426420	20108024	20428240	\N	2013-02-26	2013-05-08
571	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2017-02-04	TFO2010	Suncor Energy Norge AS	20426420	20108024	20428241	\N	2012-09-19	2013-05-08
571	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2017-02-04	TFO2010	Suncor Energy Norge AS	20426420	20108024	20428242	20428241	2012-09-19	2013-05-08
571	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-04	\N	2017-02-04	TFO2010	Suncor Energy Norge AS	20426420	20108024	20428243	\N	9999-12-31	2013-05-08
571	Innsende utbyggingsplan|	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Suncor Energy Norge AS	20426420	20108024	20428244	\N	9999-12-31	2013-05-08
571	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Suncor Energy Norge AS	20426420	20108024	20428245	\N	9999-12-31	2013-05-08
571	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Suncor Energy Norge AS	20426420	20108024	21636824	\N	9999-12-31	2013-05-08
150 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2012-08-04	\N	2016-08-04	TFO2010	Marathon Oil Norge AS	20485291	20108072	20428001	\N	2013-01-16	2013-05-08
506 BS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2010	Rocksource Exploration Norway AS	22528729	20108101	20428014	\N	2013-01-10	2013-05-08
506 CS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2010	Rocksource Exploration Norway AS	22528729	20108128	20428015	\N	2013-01-10	2013-05-08
572 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-04	\N	2012-02-04	TFO2010	\N	\N	20108160	20428246	\N	2012-06-21	2013-05-08
572 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2014-02-04	\N	2012-02-04	TFO2010	\N	\N	20108160	20428247	\N	2013-01-16	2013-05-08
572 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2016-02-04	\N	2012-02-04	TFO2010	\N	\N	20108160	20428248	20428247	2013-01-16	2013-05-08
572 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2019-02-04	\N	2012-02-04	TFO2010	\N	\N	20108160	20428249	\N	9999-12-31	2013-05-08
572 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2018-02-04	\N	2012-02-04	TFO2010	\N	\N	20108160	20428250	\N	9999-12-31	2013-05-08
572 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2019-02-04	\N	2012-02-04	TFO2010	\N	\N	20108160	20428251	\N	9999-12-31	2013-05-08
572 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2012-02-04	\N	2012-02-04	TFO2010	\N	\N	20108160	21636825	\N	9999-12-31	2013-05-08
573 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-04	\N	2018-02-04	TFO2010	Det norske oljeselskap ASA	17342870	20108194	20428252	\N	2013-02-26	2013-05-08
573 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-08-04	\N	2018-02-04	TFO2010	Det norske oljeselskap ASA	17342870	20108194	20428253	\N	2012-12-19	2013-05-08
573 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2018-02-04	TFO2010	Det norske oljeselskap ASA	17342870	20108194	20428254	20428253	9999-12-31	2013-05-08
573 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-04	\N	2018-02-04	TFO2010	Det norske oljeselskap ASA	17342870	20108194	20428255	\N	9999-12-31	2013-05-08
573 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Det norske oljeselskap ASA	17342870	20108194	20428256	\N	9999-12-31	2013-05-08
573 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Det norske oljeselskap ASA	17342870	20108194	20428257	\N	9999-12-31	2013-05-08
607	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-05-13	\N	2015-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429121	20484106	\N	9999-12-31	2013-05-08
573 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Det norske oljeselskap ASA	17342870	20108194	21636826	\N	9999-12-31	2013-05-08
574	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2013-02-04	\N	2020-02-04	TFO2010	Statoil Petroleum AS	17237817	20108260	20428258	\N	2013-02-13	2013-05-08
574	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2013-02-04	\N	2020-02-04	TFO2010	Statoil Petroleum AS	17237817	20108260	20428259	\N	2013-02-13	2013-05-08
574	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-02-04	\N	2020-02-04	TFO2010	Statoil Petroleum AS	17237817	20108260	20428260	\N	2013-02-13	2013-05-08
574	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2020-02-04	TFO2010	Statoil Petroleum AS	17237817	20108260	20428261	20428260	2013-02-25	2013-05-08
574	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-04	\N	2020-02-04	TFO2010	Statoil Petroleum AS	17237817	20108260	20428262	\N	2013-02-13	2013-05-08
574	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-04	\N	2020-02-04	TFO2010	Statoil Petroleum AS	17237817	20108260	20428263	\N	2013-02-13	2013-05-08
574	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-04	\N	2020-02-04	TFO2010	Statoil Petroleum AS	17237817	20108260	20428264	\N	2013-02-13	2013-05-08
574	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-04	\N	2020-02-04	TFO2010	Statoil Petroleum AS	17237817	20108260	21636827	\N	2013-02-13	2013-05-08
575	Anskaffe og reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Frafalt	Dropped	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20108314	20428265	\N	2013-03-24	2013-05-08
575	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20108314	20428266	\N	2013-03-24	2013-05-08
575	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20108314	20428267	\N	2013-03-24	2013-05-08
575	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2013-02-04	TFO2010	\N	\N	20108314	20428268	20428267	2013-03-24	2013-05-08
575	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-04	\N	2013-02-04	TFO2010	\N	\N	20108314	20428269	\N	2013-03-24	2013-05-08
575	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2018-02-04	\N	2013-02-04	TFO2010	\N	\N	20108314	20428270	\N	2013-03-24	2013-05-08
575	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-04	\N	2013-02-04	TFO2010	\N	\N	20108314	20428271	\N	2013-03-24	2013-05-08
575	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-04	\N	2013-02-04	TFO2010	\N	\N	20108314	21636828	\N	2013-03-24	2013-05-08
576	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20108349	20428272	\N	2013-04-04	2013-05-08
576	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20108349	20428273	\N	2013-04-04	2013-05-08
576	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20108349	20428275	\N	2013-04-04	2013-05-08
576	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2013-02-04	TFO2010	\N	\N	20108349	20428276	20428275	2013-04-04	2013-05-08
576	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-04	\N	2013-02-04	TFO2010	\N	\N	20108349	20428277	\N	2013-04-04	2013-05-08
576	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-04	\N	2013-02-04	TFO2010	\N	\N	20108349	20428278	\N	2013-04-04	2013-05-08
576	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20108349	20428279	\N	2013-04-04	2013-05-08
576	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2017-02-04	\N	2013-02-04	TFO2010	\N	\N	20108349	21636829	\N	2013-04-04	2013-05-08
309 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2012-12-12	\N	2031-03-01	TFO2010	Statoil Petroleum AS	17237817	20108378	20428003	\N	9999-12-31	2013-05-08
193 C	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2012-02-04	\N	2031-09-10	TFO2010	Statoil Petroleum AS	17237817	20108409	20440300	\N	2012-07-04	2013-05-08
378 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2013-01-06	\N	2013-01-06	TFO2010	Wintershall Norge AS	21666830	20108440	20428008	\N	2013-01-29	2013-05-08
577	Samle inn 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Under arbeid	In process	2013-02-04	\N	2018-02-04	TFO2010	Wintershall Norge AS	21666830	20108473	20428280	\N	9999-12-31	2013-05-08
577	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2013-02-04	\N	2018-02-04	TFO2010	Wintershall Norge AS	21666830	20108473	20428281	\N	2012-06-21	2013-05-08
577	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2018-02-04	TFO2010	Wintershall Norge AS	21666830	20108473	20428282	\N	2013-02-08	2013-05-08
577	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2018-02-04	TFO2010	Wintershall Norge AS	21666830	20108473	20428283	20428282	9999-12-31	2013-05-08
577	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-04	\N	2018-02-04	TFO2010	Wintershall Norge AS	21666830	20108473	20428284	\N	9999-12-31	2013-05-08
577	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Wintershall Norge AS	21666830	20108473	20428285	\N	9999-12-31	2013-05-08
577	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Wintershall Norge AS	21666830	20108473	20428286	\N	9999-12-31	2013-05-08
577	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Wintershall Norge AS	21666830	20108473	21636830	\N	9999-12-31	2013-05-08
554 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-19	\N	2016-02-19	TFO2010	Total E&P Norge AS	2410708	20108509	20428016	\N	2013-03-19	2013-05-08
377 BS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2012-07-06	\N	2012-07-06	TFO2010	\N	\N	20108534	20428007	\N	2013-04-12	2013-05-08
578	Samle inn 3D seismikk over prospektive n	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Idemitsu Petroleum Norge AS	441	20108565	20428287	\N	9999-12-31	2013-05-08
578	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Idemitsu Petroleum Norge AS	441	20108565	20428288	\N	2012-06-21	2013-05-08
578	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Idemitsu Petroleum Norge AS	441	20108565	20428289	\N	9999-12-31	2013-05-08
578	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-04	\N	2019-02-04	TFO2010	Idemitsu Petroleum Norge AS	441	20108565	20428290	20428289	9999-12-31	2013-05-08
578	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	Idemitsu Petroleum Norge AS	441	20108565	20428291	\N	9999-12-31	2013-05-08
578	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Idemitsu Petroleum Norge AS	441	20108565	20428292	\N	9999-12-31	2013-05-08
578	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Idemitsu Petroleum Norge AS	441	20108565	20428293	\N	9999-12-31	2013-05-08
578	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Idemitsu Petroleum Norge AS	441	20108565	21636831	\N	9999-12-31	2013-05-08
375 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-12-31	\N	2014-12-31	TFO2010	Suncor Energy Norge AS	20426420	20108600	20428006	\N	9999-12-31	2013-05-08
370 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-07-06	\N	2014-07-06	TFO2010	Wintershall Norge AS	21666830	20108642	20428005	\N	2013-01-15	2013-05-08
579	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2012-02-04	\N	2017-02-04	TFO2010	Lundin Norway AS	2767314	20108664	20428294	\N	2012-06-26	2013-05-08
579	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2012-02-04	\N	2017-02-04	TFO2010	Lundin Norway AS	2767314	20108664	20428295	\N	9999-12-31	2013-05-08
579	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2014-02-04	\N	2017-02-04	TFO2010	Lundin Norway AS	2767314	20108664	20428296	20428295	9999-12-31	2013-05-08
579	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Lundin Norway AS	2767314	20108664	20428297	\N	9999-12-31	2013-05-08
579	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-04	\N	2017-02-04	TFO2010	Lundin Norway AS	2767314	20108664	20428298	\N	9999-12-31	2013-05-08
579	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Lundin Norway AS	2767314	20108664	20428299	\N	2012-06-20	2013-05-08
579	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Lundin Norway AS	2767314	20108664	21636832	\N	9999-12-31	2013-05-08
580	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Statoil Petroleum AS	17237817	20108700	20428320	\N	2012-06-20	2013-05-08
580	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Statoil Petroleum AS	17237817	20108700	20428321	\N	2012-06-21	2013-05-08
580	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Statoil Petroleum AS	17237817	20108700	20428322	\N	9999-12-31	2013-05-08
580	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-04	\N	2019-02-04	TFO2010	Statoil Petroleum AS	17237817	20108700	20428323	20428322	9999-12-31	2013-05-08
580	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	Statoil Petroleum AS	17237817	20108700	20428324	\N	9999-12-31	2013-05-08
580	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Statoil Petroleum AS	17237817	20108700	20428325	\N	9999-12-31	2013-05-08
580	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Statoil Petroleum AS	17237817	20108700	20428326	\N	9999-12-31	2013-05-08
580	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Statoil Petroleum AS	17237817	20108700	21636833	\N	9999-12-31	2013-05-08
581	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-04	\N	2019-02-04	TFO2010	Dana Petroleum Norway AS	4526555	20108743	20428327	\N	2012-06-21	2013-05-08
581	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-04	\N	2019-02-04	TFO2010	Dana Petroleum Norway AS	4526555	20108743	20428328	20428329	9999-12-31	2013-05-08
581	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Dana Petroleum Norway AS	4526555	20108743	20428329	\N	9999-12-31	2013-05-08
581	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	Dana Petroleum Norway AS	4526555	20108743	20428330	\N	9999-12-31	2013-05-08
581	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Dana Petroleum Norway AS	4526555	20108743	20428331	\N	9999-12-31	2013-05-08
581	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Dana Petroleum Norway AS	4526555	20108743	21636834	\N	9999-12-31	2013-05-08
582	Reprosessere 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Under arbeid	In process	2013-02-04	\N	2019-02-04	TFO2010	RWE Dea Norge AS	97557	20108820	20428332	\N	2013-01-03	2013-05-08
582	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2013-02-04	\N	2019-02-04	TFO2010	RWE Dea Norge AS	97557	20108820	20428333	\N	2013-01-03	2013-05-08
582	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	RWE Dea Norge AS	97557	20108820	20428334	\N	2013-01-03	2013-05-08
582	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-04	\N	2019-02-04	TFO2010	RWE Dea Norge AS	97557	20108820	20428335	20428334	2013-01-03	2013-05-08
582	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	RWE Dea Norge AS	97557	20108820	20428336	\N	2013-01-03	2013-05-08
582	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	RWE Dea Norge AS	97557	20108820	20428337	\N	2013-01-03	2013-05-08
582	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	RWE Dea Norge AS	97557	20108820	20428338	\N	2013-01-03	2013-05-08
582	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	RWE Dea Norge AS	97557	20108820	21636835	\N	2013-01-03	2013-05-08
468 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2013-03-01	\N	2012-02-29	TFO2010	\N	\N	20108859	20428009	\N	9999-12-31	2013-05-08
583	Samle inn 2D og 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109004	20428339	\N	2013-02-21	2013-05-08
583	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109004	20428340	\N	2013-02-21	2013-05-08
583	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109004	20428341	\N	2013-02-21	2013-05-08
583	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-04	\N	2019-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109004	20428342	20428341	2013-02-21	2013-05-08
583	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109004	20428343	\N	2013-02-21	2013-05-08
583	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109004	20428344	\N	2013-02-21	2013-05-08
583	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109004	20428345	\N	2013-02-21	2013-05-08
583	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109004	21636836	\N	2013-02-21	2013-05-08
584	Samle inn 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Lundin Norway AS	2767314	20109082	20428346	\N	9999-12-31	2013-05-08
584	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Lundin Norway AS	2767314	20109082	20428347	\N	9999-12-31	2013-05-08
584	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-04	\N	2019-02-04	TFO2010	Lundin Norway AS	2767314	20109082	20428348	20428347	9999-12-31	2013-05-08
584	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	Lundin Norway AS	2767314	20109082	20428349	\N	9999-12-31	2013-05-08
584	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Lundin Norway AS	2767314	20109082	20428350	\N	9999-12-31	2013-05-08
584	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Lundin Norway AS	2767314	20109082	20428351	\N	9999-12-31	2013-05-08
584	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Lundin Norway AS	2767314	20109082	21636837	\N	9999-12-31	2013-05-08
585	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2013-02-04	\N	2018-02-04	TFO2010	Total E&P Norge AS	2410708	20109152	20428352	\N	9999-12-31	2013-05-08
585	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2018-02-04	TFO2010	Total E&P Norge AS	2410708	20109152	20428353	\N	2013-02-12	2013-05-08
585	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2018-02-04	TFO2010	Total E&P Norge AS	2410708	20109152	20428354	20428353	9999-12-31	2013-05-08
585	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-04	\N	2018-02-04	TFO2010	Total E&P Norge AS	2410708	20109152	20428355	\N	9999-12-31	2013-05-08
585	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Total E&P Norge AS	2410708	20109152	20428356	\N	9999-12-31	2013-05-08
585	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Total E&P Norge AS	2410708	20109152	20428357	\N	9999-12-31	2013-05-08
585	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Total E&P Norge AS	2410708	20109152	21636838	\N	9999-12-31	2013-05-08
586	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-04	\N	2017-02-04	TFO2010	VNG Norge AS	17237193	20109200	20428364	\N	2012-08-29	2013-05-08
586	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal bores	Will be drilled	2013-02-28	\N	2017-02-04	TFO2010	VNG Norge AS	17237193	20109200	20428365	\N	2013-03-26	2013-05-08
586	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-04	\N	2017-02-04	TFO2010	VNG Norge AS	17237193	20109200	20428366	20428365	2013-03-26	2013-05-08
586	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-04	\N	2017-02-04	TFO2010	VNG Norge AS	17237193	20109200	20428367	\N	9999-12-31	2013-05-08
586	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	VNG Norge AS	17237193	20109200	20428368	\N	9999-12-31	2013-05-08
586	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	VNG Norge AS	17237193	20109200	20428369	\N	9999-12-31	2013-05-08
586	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	VNG Norge AS	17237193	20109200	21636839	\N	9999-12-31	2013-05-08
587	Samle inn 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Under arbeid	In process	2014-02-04	\N	2018-02-04	TFO2010	Edison International Norway Branch	17237180	20109234	20428370	\N	9999-12-31	2013-05-08
587	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-04	\N	2018-02-04	TFO2010	Edison International Norway Branch	17237180	20109234	20428371	\N	2012-06-21	2013-05-08
587	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2018-02-04	TFO2010	Edison International Norway Branch	17237180	20109234	20428372	\N	9999-12-31	2013-05-08
587	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-04	\N	2018-02-04	TFO2010	Edison International Norway Branch	17237180	20109234	20428373	\N	9999-12-31	2013-05-08
587	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-04	\N	2018-02-04	TFO2010	Edison International Norway Branch	17237180	20109234	20428374	\N	9999-12-31	2013-05-08
587	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Edison International Norway Branch	17237180	20109234	20428376	\N	9999-12-31	2013-05-08
587	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Edison International Norway Branch	17237180	20109234	20428377	\N	9999-12-31	2013-05-08
587	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Edison International Norway Branch	17237180	20109234	21636840	\N	9999-12-31	2013-05-08
348 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-12-17	\N	2014-12-17	TFO2010	Statoil Petroleum AS	17237817	20109261	20428004	\N	2012-11-08	2013-05-08
588	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-02-04	\N	2012-02-04	TFO2010	\N	\N	20109294	20428378	\N	2012-12-05	2013-05-08
588	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2012-02-04	\N	2012-02-04	TFO2010	\N	\N	20109294	20428379	\N	2012-12-05	2013-05-08
588	Boring av betinga brønn - 1 av 1	Boring	Drilling	Godkjent	Approved	2014-02-04	\N	2012-02-04	TFO2010	\N	\N	20109294	20428380	20428379	2012-12-05	2013-05-08
588	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-02-04	\N	2012-02-04	TFO2010	\N	\N	20109294	20428381	\N	2012-12-05	2013-05-08
588	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-04	\N	2012-02-04	TFO2010	\N	\N	20109294	20428382	\N	2012-12-05	2013-05-08
588	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-04	\N	2012-02-04	TFO2010	\N	\N	20109294	20428383	\N	2012-12-05	2013-05-08
588	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2016-02-04	\N	2012-02-04	TFO2010	\N	\N	20109294	21636841	\N	2012-12-05	2013-05-08
589	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-04	\N	2017-02-04	TFO2010	Wintershall Norge AS	21666830	20109325	20428384	\N	2012-06-21	2013-05-08
589	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-04	\N	2017-02-04	TFO2010	Wintershall Norge AS	21666830	20109325	20428385	\N	9999-12-31	2013-05-08
589	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-04	\N	2017-02-04	TFO2010	Wintershall Norge AS	21666830	20109325	20428386	\N	9999-12-31	2013-05-08
589	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Wintershall Norge AS	21666830	20109325	20428387	\N	9999-12-31	2013-05-08
589	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Wintershall Norge AS	21666830	20109325	20428388	\N	9999-12-31	2013-05-08
589	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Wintershall Norge AS	21666830	20109325	21636842	\N	9999-12-31	2013-05-08
475 CS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-28	\N	2016-02-28	TFO2010	Wintershall Norge AS	21666830	20109375	20428010	\N	2013-03-22	2013-05-08
590	Anskaffe og reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2012-08-04	\N	2016-02-04	TFO2010	North Energy ASA	18082156	20109438	20428389	\N	2012-08-31	2013-05-08
590	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2012-08-04	\N	2016-02-04	TFO2010	North Energy ASA	18082156	20109438	20428390	\N	2013-01-04	2013-05-08
590	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2016-02-04	TFO2010	North Energy ASA	18082156	20109438	20428391	\N	2013-04-11	2013-05-08
590	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-08-04	\N	2016-02-04	TFO2010	North Energy ASA	18082156	20109438	20428392	20428391	2013-04-11	2013-05-08
590	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2015-08-04	\N	2016-02-04	TFO2010	North Energy ASA	18082156	20109438	20428393	\N	9999-12-31	2013-05-08
590	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-04	\N	2016-02-04	TFO2010	North Energy ASA	18082156	20109438	20428394	\N	9999-12-31	2013-05-08
590	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-08-04	\N	2016-02-04	TFO2010	North Energy ASA	18082156	20109438	20428395	\N	9999-12-31	2013-05-08
590	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-02-04	\N	2016-02-04	TFO2010	North Energy ASA	18082156	20109438	21636843	\N	9999-12-31	2013-05-08
591	Anskaffe og reprosessere 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2013-02-04	\N	2017-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109475	20428400	\N	2013-04-06	2013-05-08
591	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2013-02-04	\N	2017-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109475	20428401	\N	2013-02-21	2013-05-08
591	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2017-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109475	20428402	\N	2013-02-21	2013-05-08
591	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2017-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109475	20428403	20428402	2013-02-21	2013-05-08
591	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-04	\N	2017-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109475	20428404	20428402	2013-02-21	2013-05-08
591	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109475	20428405	\N	2013-02-21	2013-05-08
591	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109475	20428406	\N	2013-02-21	2013-05-08
591	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2010	Tullow Oil Norge AS	23173852	20109475	21636844	\N	2013-02-21	2013-05-08
592	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2013-02-04	\N	2018-02-04	TFO2010	Centrica Resources (Norge) AS	4238233	20109566	20428407	\N	2013-03-27	2013-05-08
592	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-04	\N	2018-02-04	TFO2010	Centrica Resources (Norge) AS	4238233	20109566	20428408	\N	2013-02-26	2013-05-08
592	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-08-04	\N	2018-02-04	TFO2010	Centrica Resources (Norge) AS	4238233	20109566	20428409	\N	2013-02-12	2013-05-08
592	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-04	\N	2018-02-04	TFO2010	Centrica Resources (Norge) AS	4238233	20109566	20428410	20428409	9999-12-31	2013-05-08
592	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-04	\N	2018-02-04	TFO2010	Centrica Resources (Norge) AS	4238233	20109566	20428411	\N	9999-12-31	2013-05-08
592	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Centrica Resources (Norge) AS	4238233	20109566	20428412	\N	9999-12-31	2013-05-08
592	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Centrica Resources (Norge) AS	4238233	20109566	20428413	\N	9999-12-31	2013-05-08
592	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-04	\N	2018-02-04	TFO2010	Centrica Resources (Norge) AS	4238233	20109566	21636845	\N	9999-12-31	2013-05-08
593	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20109597	20428414	\N	2013-04-24	2013-05-08
593	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20109597	20428415	\N	2013-04-24	2013-05-08
593	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2015-02-04	\N	2013-02-04	TFO2010	\N	\N	20109597	20428416	20428415	2013-04-24	2013-05-08
593	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2017-02-04	\N	2013-02-04	TFO2010	\N	\N	20109597	20428417	\N	2013-04-24	2013-05-08
593	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2016-02-04	\N	2013-02-04	TFO2010	\N	\N	20109597	20428418	\N	2013-04-24	2013-05-08
593	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2017-02-04	\N	2013-02-04	TFO2010	\N	\N	20109597	20428419	\N	2013-04-24	2013-05-08
593	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-04	\N	2013-02-04	TFO2010	\N	\N	20109597	21636846	\N	2013-03-22	2013-05-08
594	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20109626	20428420	\N	2013-04-24	2013-05-08
594	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20109626	20428421	\N	2013-04-24	2013-05-08
594	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2013-02-04	\N	2013-02-04	TFO2010	\N	\N	20109626	20428422	\N	2013-04-24	2013-05-08
594	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2015-02-04	\N	2013-02-04	TFO2010	\N	\N	20109626	20428423	20428422	2013-04-24	2013-05-08
594	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2017-02-04	\N	2013-02-04	TFO2010	\N	\N	20109626	20428424	\N	2013-04-24	2013-05-08
594	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2018-02-04	\N	2013-02-04	TFO2010	\N	\N	20109626	20428425	\N	2013-04-24	2013-05-08
594	Initiell periode	Utløp av initiell periode	The expiry of initial period	Frafalt	Dropped	2018-02-04	\N	2013-02-04	TFO2010	\N	\N	20109626	20428426	\N	2013-04-24	2013-05-08
594	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Godkjent	Approved	2018-02-04	\N	2013-02-04	TFO2010	\N	\N	20109626	21636847	\N	2013-03-22	2013-05-08
595	Samle inn 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Edison International Norway Branch	17237180	20109655	20428427	\N	9999-12-31	2013-05-08
595	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Edison International Norway Branch	17237180	20109655	20428428	\N	2012-06-21	2013-05-08
595	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-04	\N	2019-02-04	TFO2010	Edison International Norway Branch	17237180	20109655	20428429	\N	9999-12-31	2013-05-08
595	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-04	\N	2019-02-04	TFO2010	Edison International Norway Branch	17237180	20109655	20428430	20428429	9999-12-31	2013-05-08
595	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-04	\N	2019-02-04	TFO2010	Edison International Norway Branch	17237180	20109655	20428431	\N	9999-12-31	2013-05-08
595	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Edison International Norway Branch	17237180	20109655	20428432	\N	9999-12-31	2013-05-08
595	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Edison International Norway Branch	17237180	20109655	20428433	\N	9999-12-31	2013-05-08
595	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-04	\N	2019-02-04	TFO2010	Edison International Norway Branch	17237180	20109655	21636848	\N	9999-12-31	2013-05-08
596	Samle inn 2D-seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2020-05-13	\N	2020-05-13	21	ExxonMobil Exploration & Production Norway AS	2835212	20428440	20474665	\N	9999-12-31	2013-05-08
596	Beslutning om å samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-05-13	\N	2020-05-13	21	ExxonMobil Exploration & Production Norway AS	2835212	20428440	20474667	\N	2012-06-20	2013-05-08
596	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2017-05-13	\N	2020-05-13	21	ExxonMobil Exploration & Production Norway AS	2835212	20428440	20474668	\N	9999-12-31	2013-05-08
596	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2019-05-13	\N	2020-05-13	21	ExxonMobil Exploration & Production Norway AS	2835212	20428440	20474669	20474668	9999-12-31	2013-05-08
596	Statusrapport	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-05-13	\N	2020-05-13	21	ExxonMobil Exploration & Production Norway AS	2835212	20428440	20474670	\N	9999-12-31	2013-05-08
596	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-05-13	\N	2020-05-13	21	ExxonMobil Exploration & Production Norway AS	2835212	20428440	20474671	\N	9999-12-31	2013-05-08
597	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-05-13	\N	2016-05-13	21	VNG Norge AS	17237193	20428525	20474681	\N	2012-06-26	2013-05-08
597	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-05-13	\N	2016-05-13	21	VNG Norge AS	17237193	20428525	20474682	\N	9999-12-31	2013-05-08
597	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-05-13	\N	2016-05-13	21	VNG Norge AS	17237193	20428525	20474683	20474682	9999-12-31	2013-05-08
597	Statusrapport	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2014-05-13	\N	2016-05-13	21	VNG Norge AS	17237193	20428525	20474684	\N	9999-12-31	2013-05-08
597	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-05-13	\N	2016-05-13	21	VNG Norge AS	17237193	20428525	20474697	\N	9999-12-31	2013-05-08
599	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-05-13	\N	2016-05-13	21	BG Norge AS	2747354	20428552	20474690	\N	9999-12-31	2013-05-08
599	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-05-13	\N	2016-05-13	21	BG Norge AS	2747354	20428552	20474691	\N	2012-06-21	2013-05-08
599	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-05-13	\N	2016-05-13	21	BG Norge AS	2747354	20428552	20474692	\N	9999-12-31	2013-05-08
599	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-05-13	\N	2016-05-13	21	BG Norge AS	2747354	20428552	20474693	20474692	9999-12-31	2013-05-08
599	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2014-05-13	\N	2016-05-13	21	BG Norge AS	2747354	20428552	20474694	\N	9999-12-31	2013-05-08
599	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-05-13	\N	2016-05-13	21	BG Norge AS	2747354	20428552	20474695	\N	9999-12-31	2013-05-08
600	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-05-13	\N	2016-05-13	21	Dana Petroleum Norway AS	4526555	20428617	20474698	\N	9999-12-31	2013-05-08
600	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-05-13	\N	2016-05-13	21	Dana Petroleum Norway AS	4526555	20428617	20474699	\N	2012-06-21	2013-05-08
600	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-13	\N	2016-05-13	21	Dana Petroleum Norway AS	4526555	20428617	20474700	\N	2013-04-13	2013-05-08
600	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-05-13	\N	2016-05-13	21	Dana Petroleum Norway AS	4526555	20428617	20474701	20474700	9999-12-31	2013-05-08
600	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2014-05-13	\N	2016-05-13	21	Dana Petroleum Norway AS	4526555	20428617	20474702	\N	9999-12-31	2013-05-08
600	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-05-13	\N	2016-05-13	21	Dana Petroleum Norway AS	4526555	20428617	20474703	\N	9999-12-31	2013-05-08
598	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2018-05-13	\N	2018-05-13	21	Chevron Norge AS	3488906	20428655	20474685	\N	9999-12-31	2013-05-08
598	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2018-05-13	\N	2018-05-13	21	Chevron Norge AS	3488906	20428655	20474686	\N	2012-06-21	2013-05-08
598	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-05-13	\N	2018-05-13	21	Chevron Norge AS	3488906	20428655	20474687	\N	9999-12-31	2013-05-08
598	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-05-13	\N	2018-05-13	21	Chevron Norge AS	3488906	20428655	20474688	20474687	9999-12-31	2013-05-08
598	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2016-05-13	\N	2018-05-13	21	Chevron Norge AS	3488906	20428655	20474689	\N	9999-12-31	2013-05-08
598	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-05-13	\N	2018-05-13	21	Chevron Norge AS	3488906	20428655	20474696	\N	9999-12-31	2013-05-08
601	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20428711	20483860	\N	9999-12-31	2013-05-08
601	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20428711	20483861	\N	9999-12-31	2013-05-08
601	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20428711	20483862	\N	2012-06-21	2013-05-08
601	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20428711	20483863	\N	9999-12-31	2013-05-08
601	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20428711	20483864	20483863	9999-12-31	2013-05-08
601	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20428711	20483865	\N	9999-12-31	2013-05-08
601	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20428711	20483866	\N	9999-12-31	2013-05-08
602	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2017-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428749	20483867	\N	2012-09-27	2013-05-08
602	Reprosessere ST9603 innenfor arealet	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2017-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428749	20483868	\N	2012-09-27	2013-05-08
602	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428749	20483869	\N	9999-12-31	2013-05-08
602	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428749	20483870	20483869	9999-12-31	2013-05-08
602	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428749	20483871	\N	9999-12-31	2013-05-08
602	Statusrapport	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428749	20483872	\N	9999-12-31	2013-05-08
602	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428749	20483873	\N	9999-12-31	2013-05-08
603	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2017-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428814	20483874	\N	2012-09-27	2013-05-08
603	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Godkjent	Approved	2017-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428814	20483875	\N	2012-09-27	2013-05-08
603	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428814	20483876	\N	9999-12-31	2013-05-08
603	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428814	20483877	20483876	9999-12-31	2013-05-08
603	Statusrapport	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428814	20483878	\N	9999-12-31	2013-05-08
603	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20428814	20483879	\N	9999-12-31	2013-05-08
218 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2012-08-17	\N	2041-02-02	21	Statoil Petroleum AS	17237817	20428874	20474443	\N	2012-08-16	2013-05-08
524 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2015-05-15	\N	2012-05-15	21	\N	\N	20428934	20474449	\N	9999-12-31	2013-05-08
528 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-05-15	\N	2015-05-15	21	Centrica Resources (Norge) AS	4238233	20428963	20474450	\N	2012-10-10	2013-05-08
604	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Suncor Energy Norge AS	20426420	20428990	20484020	\N	9999-12-31	2013-05-08
604	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-05-13	\N	2017-05-13	21	Suncor Energy Norge AS	20426420	20428990	20484021	\N	9999-12-31	2013-05-08
604	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-05-13	\N	2017-05-13	21	Suncor Energy Norge AS	20426420	20428990	20484022	20484021	9999-12-31	2013-05-08
604	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	Suncor Energy Norge AS	20426420	20428990	20484023	\N	9999-12-31	2013-05-08
604	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Suncor Energy Norge AS	20426420	20428990	20484024	\N	9999-12-31	2013-05-08
605	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	ConocoPhillips Skandinavia AS	2410696	20429042	20484040	\N	9999-12-31	2013-05-08
605	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-05-13	\N	2017-05-13	21	ConocoPhillips Skandinavia AS	2410696	20429042	20484046	\N	9999-12-31	2013-05-08
605	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-05-13	\N	2017-05-13	21	ConocoPhillips Skandinavia AS	2410696	20429042	20484047	20484046	9999-12-31	2013-05-08
605	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	ConocoPhillips Skandinavia AS	2410696	20429042	20484059	\N	9999-12-31	2013-05-08
605	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	ConocoPhillips Skandinavia AS	2410696	20429042	20484071	\N	9999-12-31	2013-05-08
606	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	OMV (Norge) AS	4460594	20429078	20484096	\N	9999-12-31	2013-05-08
606	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-05-13	\N	2017-05-13	21	OMV (Norge) AS	4460594	20429078	20484098	\N	9999-12-31	2013-05-08
606	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-05-13	\N	2017-05-13	21	OMV (Norge) AS	4460594	20429078	20484100	20484098	9999-12-31	2013-05-08
606	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	OMV (Norge) AS	4460594	20429078	20484101	\N	9999-12-31	2013-05-08
606	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	OMV (Norge) AS	4460594	20429078	20484102	\N	9999-12-31	2013-05-08
607	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2013-05-13	\N	2015-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429121	20484105	\N	9999-12-31	2013-05-08
607	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-05-13	\N	2015-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429121	20484107	\N	9999-12-31	2013-05-08
608	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-05-13	\N	2016-05-13	21	Statoil Petroleum AS	17237817	20429159	20484108	\N	9999-12-31	2013-05-08
608	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2013-05-13	\N	2016-05-13	21	Statoil Petroleum AS	17237817	20429159	20484109	\N	9999-12-31	2013-05-08
608	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-05-13	\N	2016-05-13	21	Statoil Petroleum AS	17237817	20429159	20484111	20484109	9999-12-31	2013-05-08
608	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2014-05-13	\N	2016-05-13	21	Statoil Petroleum AS	17237817	20429159	20484113	\N	9999-12-31	2013-05-08
608	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-05-13	\N	2016-05-13	21	Statoil Petroleum AS	17237817	20429159	20484116	\N	9999-12-31	2013-05-08
609	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Lundin Norway AS	2767314	20429186	20484448	\N	9999-12-31	2013-05-08
609	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Lundin Norway AS	2767314	20429186	20484453	\N	2012-06-21	2013-05-08
609	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Lundin Norway AS	2767314	20429186	20484454	\N	9999-12-31	2013-05-08
609	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-05-13	\N	2017-05-13	21	Lundin Norway AS	2767314	20429186	20484460	\N	9999-12-31	2013-05-08
609	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-05-13	\N	2017-05-13	21	Lundin Norway AS	2767314	20429186	20484461	20484460	9999-12-31	2013-05-08
609	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	Lundin Norway AS	2767314	20429186	20484478	\N	9999-12-31	2013-05-08
609	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Lundin Norway AS	2767314	20429186	20484479	\N	9999-12-31	2013-05-08
610	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Godkjent	Approved	2017-05-13	\N	2017-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429259	20484480	\N	9999-12-31	2013-05-08
610	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-05-13	\N	2017-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429259	20484485	\N	9999-12-31	2013-05-08
610	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-05-13	\N	2017-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429259	20484488	20484485	9999-12-31	2013-05-08
610	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429259	20484489	\N	9999-12-31	2013-05-08
610	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429259	20484490	\N	9999-12-31	2013-05-08
611	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20429303	20484491	\N	9999-12-31	2013-05-08
611	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20429303	20484492	\N	9999-12-31	2013-05-08
611	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20429303	20484498	20484492	9999-12-31	2013-05-08
611	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20429303	20484499	\N	9999-12-31	2013-05-08
611	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Wintershall Norge AS	21666830	20429303	20484500	\N	9999-12-31	2013-05-08
226 B	Anskaffe eksisterende 3D-seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-11-13	\N	2015-11-13	21	Statoil Petroleum AS	17237817	20429377	20474444	\N	9999-12-31	2013-05-08
226 B	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2012-11-13	\N	2015-11-13	21	Statoil Petroleum AS	17237817	20429377	20474445	\N	9999-12-31	2013-05-08
226 B	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-11-13	\N	2015-11-13	21	Statoil Petroleum AS	17237817	20429377	20474446	\N	9999-12-31	2013-05-08
226 B	Statusrapport	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2013-11-13	\N	2015-11-13	21	Statoil Petroleum AS	17237817	20429377	20474447	\N	9999-12-31	2013-05-08
226 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-11-13	\N	2015-11-13	21	Statoil Petroleum AS	17237817	20429377	20474448	\N	9999-12-31	2013-05-08
613	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	DONG E&P Norge AS	4070011	20429419	20484540	\N	9999-12-31	2013-05-08
613	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-05-13	\N	2017-05-13	21	DONG E&P Norge AS	4070011	20429419	20484541	\N	9999-12-31	2013-05-08
613	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-05-13	\N	2017-05-13	21	DONG E&P Norge AS	4070011	20429419	20484542	20484541	9999-12-31	2013-05-08
613	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	DONG E&P Norge AS	4070011	20429419	20484548	\N	9999-12-31	2013-05-08
613	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	DONG E&P Norge AS	4070011	20429419	20484549	\N	9999-12-31	2013-05-08
612	Reprosessere seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2018-05-13	\N	2018-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429462	20484518	\N	9999-12-31	2013-05-08
612	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2013-05-13	\N	2018-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429462	20484520	\N	9999-12-31	2013-05-08
612	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-05-13	\N	2018-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429462	20484532	\N	9999-12-31	2013-05-08
612	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-05-13	\N	2018-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429462	20484535	20484532	9999-12-31	2013-05-08
612	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2016-05-13	\N	2018-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429462	20484538	\N	9999-12-31	2013-05-08
612	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-05-13	\N	2018-05-13	21	GDF SUEZ E&P Norge AS	5267845	20429462	20484539	\N	9999-12-31	2013-05-08
614	Samle inn seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20429507	20484555	\N	9999-12-31	2013-05-08
614	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20429507	20484556	20484557	9999-12-31	2013-05-08
614	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20429507	20484557	\N	9999-12-31	2013-05-08
614	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2015-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20429507	20484563	\N	9999-12-31	2013-05-08
614	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	21	Statoil Petroleum AS	17237817	20429507	20484564	\N	9999-12-31	2013-05-08
615	Fast brønn - 1 av 2	Boring	Drilling	Under arbeid	In process	2015-05-13	\N	2016-05-13	21	Statoil Petroleum AS	17237817	20429544	20484581	\N	9999-12-31	2013-05-08
615	Fast brønn - 2 av 2	Boring	Drilling	Under arbeid	In process	2015-05-13	\N	2016-05-13	21	Statoil Petroleum AS	17237817	20429544	20484582	\N	9999-12-31	2013-05-08
615	Statusrapport til OED/OD	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2014-05-13	\N	2016-05-13	21	Statoil Petroleum AS	17237817	20429544	20484585	\N	9999-12-31	2013-05-08
615	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-05-13	\N	2016-05-13	21	Statoil Petroleum AS	17237817	20429544	20484587	\N	9999-12-31	2013-05-08
659	Samle inn 350 km2 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2016-02-03	\N	2020-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21558636	21660441	\N	9999-12-31	2013-05-08
659	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2020-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21558636	21660442	\N	9999-12-31	2013-05-08
659	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2020-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21558636	21660443	\N	9999-12-31	2013-05-08
659	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21558636	21660444	\N	9999-12-31	2013-05-08
659	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21558636	21660445	\N	9999-12-31	2013-05-08
659	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21558636	21660446	\N	9999-12-31	2013-05-08
658	Innsamle elektromagnetiske data	EM innsamling	EM acquisition	Under arbeid	In process	2014-02-03	\N	2021-02-03	TFO2011	DONG E&P Norge AS	4070011	21558820	21660433	\N	9999-12-31	2013-05-08
658	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2021-02-03	TFO2011	DONG E&P Norge AS	4070011	21558820	21660434	\N	9999-12-31	2013-05-08
658	Beslutning om å samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-03	\N	2021-02-03	TFO2011	DONG E&P Norge AS	4070011	21558820	21660435	\N	9999-12-31	2013-05-08
658	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-03	\N	2021-02-03	TFO2011	DONG E&P Norge AS	4070011	21558820	21660436	\N	9999-12-31	2013-05-08
658	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-03	\N	2021-02-03	TFO2011	DONG E&P Norge AS	4070011	21558820	21660437	21660436	9999-12-31	2013-05-08
658	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-03	\N	2021-02-03	TFO2011	DONG E&P Norge AS	4070011	21558820	21660438	\N	9999-12-31	2013-05-08
658	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-03	\N	2021-02-03	TFO2011	DONG E&P Norge AS	4070011	21558820	21660439	\N	9999-12-31	2013-05-08
658	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2021-02-03	\N	2021-02-03	TFO2011	DONG E&P Norge AS	4070011	21558820	21660440	\N	9999-12-31	2013-05-08
657	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Eni Norge AS	2388594	21558872	21660425	\N	9999-12-31	2013-05-08
657	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Eni Norge AS	2388594	21558872	21660426	\N	9999-12-31	2013-05-08
657	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Eni Norge AS	2388594	21558872	21660427	\N	9999-12-31	2013-05-08
657	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Eni Norge AS	2388594	21558872	21660428	21660427	9999-12-31	2013-05-08
657	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Eni Norge AS	2388594	21558872	21660429	\N	9999-12-31	2013-05-08
657	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Eni Norge AS	2388594	21558872	21660430	\N	9999-12-31	2013-05-08
657	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Eni Norge AS	2388594	21558872	21660431	\N	9999-12-31	2013-05-08
657	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Eni Norge AS	2388594	21558872	21660432	\N	9999-12-31	2013-05-08
656	Samle inn 400 km2 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	E.ON E&P Norge AS	21631209	21558940	21660416	\N	9999-12-31	2013-05-08
656	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	E.ON E&P Norge AS	21631209	21558940	21660417	\N	9999-12-31	2013-05-08
656	Vurdere elektromagnetisk innsamling	EM innsamling	EM acquisition	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	E.ON E&P Norge AS	21631209	21558940	21660418	\N	9999-12-31	2013-05-08
656	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	E.ON E&P Norge AS	21631209	21558940	21660419	\N	9999-12-31	2013-05-08
656	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-03	\N	2020-02-03	TFO2011	E.ON E&P Norge AS	21631209	21558940	21660420	21660419	9999-12-31	2013-05-08
656	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-03	\N	2020-02-03	TFO2011	E.ON E&P Norge AS	21631209	21558940	21660421	\N	9999-12-31	2013-05-08
656	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	E.ON E&P Norge AS	21631209	21558940	21660422	\N	9999-12-31	2013-05-08
656	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	E.ON E&P Norge AS	21631209	21558940	21660423	\N	9999-12-31	2013-05-08
656	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	E.ON E&P Norge AS	21631209	21558940	21660424	\N	9999-12-31	2013-05-08
655	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21558998	21660409	\N	9999-12-31	2013-05-08
655	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21558998	21660410	\N	9999-12-31	2013-05-08
655	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21558998	21660411	21660410	9999-12-31	2013-05-08
655	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21558998	21660412	\N	9999-12-31	2013-05-08
655	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21558998	21660413	\N	9999-12-31	2013-05-08
655	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21558998	21660414	\N	9999-12-31	2013-05-08
655	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21558998	21660415	\N	9999-12-31	2013-05-08
654	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	RWE Dea Norge AS	97557	21559027	21660401	\N	9999-12-31	2013-05-08
654	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	RWE Dea Norge AS	97557	21559027	21660402	\N	9999-12-31	2013-05-08
654	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	RWE Dea Norge AS	97557	21559027	21660403	\N	9999-12-31	2013-05-08
654	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	RWE Dea Norge AS	97557	21559027	21660404	21660403	9999-12-31	2013-05-08
654	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	RWE Dea Norge AS	97557	21559027	21660405	\N	9999-12-31	2013-05-08
654	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	RWE Dea Norge AS	97557	21559027	21660406	\N	9999-12-31	2013-05-08
654	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	RWE Dea Norge AS	97557	21559027	21660407	\N	9999-12-31	2013-05-08
654	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	RWE Dea Norge AS	97557	21559027	21660408	\N	9999-12-31	2013-05-08
653	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	RWE Dea Norge AS	97557	21559076	21660393	\N	9999-12-31	2013-05-08
653	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	RWE Dea Norge AS	97557	21559076	21660394	\N	9999-12-31	2013-05-08
653	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	RWE Dea Norge AS	97557	21559076	21660395	\N	9999-12-31	2013-05-08
653	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-03	\N	2020-02-03	TFO2011	RWE Dea Norge AS	97557	21559076	21660396	21660395	9999-12-31	2013-05-08
653	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-03	\N	2020-02-03	TFO2011	RWE Dea Norge AS	97557	21559076	21660397	\N	9999-12-31	2013-05-08
653	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	RWE Dea Norge AS	97557	21559076	21660398	\N	9999-12-31	2013-05-08
653	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	RWE Dea Norge AS	97557	21559076	21660399	\N	9999-12-31	2013-05-08
653	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	RWE Dea Norge AS	97557	21559076	21660400	\N	9999-12-31	2013-05-08
652	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-03	\N	2013-02-03	TFO2011	\N	\N	21559103	21660386	\N	2013-04-24	2013-05-08
652	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2013-02-03	\N	2013-02-03	TFO2011	\N	\N	21559103	21660387	\N	2013-04-24	2013-05-08
652	Boring av betinga brønn - 1 av 1	Boring	Drilling	Skal ikke bores	Not to be drilled	2015-02-03	\N	2013-02-03	TFO2011	\N	\N	21559103	21660388	21660387	2013-04-24	2013-05-08
652	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Frafalt	Dropped	2017-02-03	\N	2013-02-03	TFO2011	\N	\N	21559103	21660389	\N	2013-04-24	2013-05-08
652	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Frafalt	Dropped	2018-02-03	\N	2013-02-03	TFO2011	\N	\N	21559103	21660390	\N	2013-04-24	2013-05-08
652	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2013-02-03	\N	2013-02-03	TFO2011	\N	\N	21559103	21660391	\N	2013-04-04	2013-05-08
652	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-03	\N	2013-02-03	TFO2011	\N	\N	21559103	21660392	\N	2013-04-04	2013-05-08
651	Samle inn 500 km 2D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-03	\N	2021-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559146	21660377	\N	9999-12-31	2013-05-08
651	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2021-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559146	21660378	\N	9999-12-31	2013-05-08
651	Beslutning om å samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-03	\N	2021-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559146	21660379	\N	2012-06-20	2013-05-08
651	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-03	\N	2021-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559146	21660380	\N	9999-12-31	2013-05-08
651	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-03	\N	2021-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559146	21660381	21660380	9999-12-31	2013-05-08
651	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-03	\N	2021-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559146	21660382	\N	9999-12-31	2013-05-08
651	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-03	\N	2021-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559146	21660383	\N	9999-12-31	2013-05-08
651	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-03	\N	2021-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559146	21660384	\N	9999-12-31	2013-05-08
651	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2021-02-03	\N	2021-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559146	21660385	\N	9999-12-31	2013-05-08
650	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559201	21660370	\N	9999-12-31	2013-05-08
650	Betinga Brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559201	21660371	\N	9999-12-31	2013-05-08
650	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559201	21660372	21660371	9999-12-31	2013-05-08
650	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559201	21660373	\N	9999-12-31	2013-05-08
650	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559201	21660374	\N	9999-12-31	2013-05-08
650	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559201	21660375	\N	9999-12-31	2013-05-08
650	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	E.ON E&P Norge AS	21631209	21559201	21660376	\N	9999-12-31	2013-05-08
035 C	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2022-11-14	\N	2022-11-14	TFO2011	Statoil Petroleum AS	17237817	21559372	21631505	\N	2013-03-19	2013-05-08
046 D	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2028-12-31	\N	2028-12-31	TFO2011	Statoil Petroleum AS	17237817	21559399	21631506	\N	2013-02-05	2013-05-08
639	Innsamle 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	Tullow Oil Norge AS	23173852	21559426	21659574	\N	2013-02-21	2013-05-08
639	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	Tullow Oil Norge AS	23173852	21559426	21659575	\N	2013-02-21	2013-05-08
639	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	Tullow Oil Norge AS	23173852	21559426	21659576	\N	2013-02-21	2013-05-08
639	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-03	\N	2020-02-03	TFO2011	Tullow Oil Norge AS	23173852	21559426	21659577	21659576	2013-02-21	2013-05-08
639	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-03	\N	2020-02-03	TFO2011	Tullow Oil Norge AS	23173852	21559426	21659578	\N	2013-02-21	2013-05-08
639	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Tullow Oil Norge AS	23173852	21559426	21659579	\N	2013-02-21	2013-05-08
639	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Tullow Oil Norge AS	23173852	21559426	21659580	\N	2013-02-21	2013-05-08
639	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Tullow Oil Norge AS	23173852	21559426	21659581	\N	2013-02-21	2013-05-08
640	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	Talisman Energy Norge AS	2425093	21559488	21659582	\N	9999-12-31	2013-05-08
640	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	Talisman Energy Norge AS	2425093	21559488	21659583	\N	9999-12-31	2013-05-08
640	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	Talisman Energy Norge AS	2425093	21559488	21659584	\N	9999-12-31	2013-05-08
640	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-03	\N	2020-02-03	TFO2011	Talisman Energy Norge AS	2425093	21559488	21659585	21659584	9999-12-31	2013-05-08
640	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-03	\N	2020-02-03	TFO2011	Talisman Energy Norge AS	2425093	21559488	21659586	\N	9999-12-31	2013-05-08
640	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Talisman Energy Norge AS	2425093	21559488	21659587	\N	9999-12-31	2013-05-08
640	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Talisman Energy Norge AS	2425093	21559488	21659588	\N	9999-12-31	2013-05-08
640	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Talisman Energy Norge AS	2425093	21559488	21659589	\N	9999-12-31	2013-05-08
641	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559540	21659590	\N	9999-12-31	2013-05-08
641	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559540	21659592	\N	9999-12-31	2013-05-08
641	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559540	21659593	\N	9999-12-31	2013-05-08
641	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559540	21659609	21659593	9999-12-31	2013-05-08
641	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559540	21659610	\N	9999-12-31	2013-05-08
641	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559540	21659611	\N	9999-12-31	2013-05-08
641	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559540	21659612	\N	9999-12-31	2013-05-08
641	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559540	21659613	\N	9999-12-31	2013-05-08
642	Kjøpe eksisterende 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Repsol Exploration Norge AS	17237506	21559610	21659614	\N	9999-12-31	2013-05-08
642	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Repsol Exploration Norge AS	17237506	21559610	21659615	\N	9999-12-31	2013-05-08
642	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Repsol Exploration Norge AS	17237506	21559610	21659616	\N	9999-12-31	2013-05-08
642	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Repsol Exploration Norge AS	17237506	21559610	21659617	21659616	9999-12-31	2013-05-08
642	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Repsol Exploration Norge AS	17237506	21559610	21659618	\N	9999-12-31	2013-05-08
642	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Repsol Exploration Norge AS	17237506	21559610	21659619	\N	9999-12-31	2013-05-08
642	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Repsol Exploration Norge AS	17237506	21559610	21659620	\N	9999-12-31	2013-05-08
642	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Repsol Exploration Norge AS	17237506	21559610	21659621	\N	9999-12-31	2013-05-08
644	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2013-08-03	\N	2020-02-03	TFO2011	OMV (Norge) AS	4460594	21559648	21659634	\N	9999-12-31	2013-05-08
644	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2013-08-03	\N	2020-02-03	TFO2011	OMV (Norge) AS	4460594	21559648	21659635	\N	9999-12-31	2013-05-08
644	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2013-08-03	\N	2020-02-03	TFO2011	OMV (Norge) AS	4460594	21559648	21659636	\N	2012-06-21	2013-05-08
644	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	OMV (Norge) AS	4460594	21559648	21659637	\N	9999-12-31	2013-05-08
644	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-03	\N	2020-02-03	TFO2011	OMV (Norge) AS	4460594	21559648	21659638	21659637	9999-12-31	2013-05-08
644	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-03	\N	2020-02-03	TFO2011	OMV (Norge) AS	4460594	21559648	21659639	\N	9999-12-31	2013-05-08
644	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	OMV (Norge) AS	4460594	21559648	21659646	\N	9999-12-31	2013-05-08
644	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	OMV (Norge) AS	4460594	21559648	21659647	\N	9999-12-31	2013-05-08
644	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	OMV (Norge) AS	4460594	21559648	21659648	\N	9999-12-31	2013-05-08
645	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-03	\N	2018-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21559709	21659711	\N	9999-12-31	2013-05-08
645	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-03	\N	2018-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21559709	21659712	\N	9999-12-31	2013-05-08
645	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-03	\N	2018-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21559709	21659713	\N	9999-12-31	2013-05-08
645	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-03	\N	2018-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21559709	21659714	\N	9999-12-31	2013-05-08
645	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-03	\N	2018-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21559709	21659715	\N	9999-12-31	2013-05-08
645	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-03	\N	2018-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21559709	21659716	\N	9999-12-31	2013-05-08
645	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-03	\N	2018-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21559709	21659717	\N	9999-12-31	2013-05-08
646	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21559761	21659718	\N	9999-12-31	2013-05-08
646	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21559761	21659719	\N	9999-12-31	2013-05-08
646	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21559761	21659720	\N	9999-12-31	2013-05-08
646	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21559761	21659721	\N	9999-12-31	2013-05-08
646	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21559761	21659722	21659721	9999-12-31	2013-05-08
646	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21559761	21659723	\N	9999-12-31	2013-05-08
646	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21559761	21659724	\N	9999-12-31	2013-05-08
646	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21559761	21659725	\N	9999-12-31	2013-05-08
646	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21559761	21659726	\N	9999-12-31	2013-05-08
647	Skaffe nødvendig 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Maersk Oil Norway AS	4719674	21559805	21659727	\N	9999-12-31	2013-05-08
647	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Maersk Oil Norway AS	4719674	21559805	21659728	\N	9999-12-31	2013-05-08
647	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Maersk Oil Norway AS	4719674	21559805	21659729	\N	9999-12-31	2013-05-08
647	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Maersk Oil Norway AS	4719674	21559805	21659730	\N	9999-12-31	2013-05-08
647	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Maersk Oil Norway AS	4719674	21559805	21659731	21659730	9999-12-31	2013-05-08
647	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Maersk Oil Norway AS	4719674	21559805	21659732	\N	9999-12-31	2013-05-08
647	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Maersk Oil Norway AS	4719674	21559805	21659733	\N	9999-12-31	2013-05-08
647	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Maersk Oil Norway AS	4719674	21559805	21659734	\N	9999-12-31	2013-05-08
647	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Maersk Oil Norway AS	4719674	21559805	21659735	\N	9999-12-31	2013-05-08
648 S	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	PGNiG Norway AS	4505831	21559877	21659736	\N	9999-12-31	2013-05-08
648 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	PGNiG Norway AS	4505831	21559877	21659737	\N	9999-12-31	2013-05-08
648 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	PGNiG Norway AS	4505831	21559877	21659753	\N	9999-12-31	2013-05-08
648 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	PGNiG Norway AS	4505831	21559877	21659754	21659753	9999-12-31	2013-05-08
648 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	PGNiG Norway AS	4505831	21559877	21659756	\N	9999-12-31	2013-05-08
648 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	PGNiG Norway AS	4505831	21559877	21659771	\N	9999-12-31	2013-05-08
648 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	PGNiG Norway AS	4505831	21559877	21659772	\N	9999-12-31	2013-05-08
648 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	PGNiG Norway AS	4505831	21559877	21659788	\N	9999-12-31	2013-05-08
649	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559950	21660362	\N	9999-12-31	2013-05-08
649	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559950	21660363	\N	2012-06-21	2013-05-08
649	Betinga Brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559950	21660364	\N	9999-12-31	2013-05-08
649	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559950	21660365	21660364	9999-12-31	2013-05-08
649	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559950	21660366	\N	9999-12-31	2013-05-08
649	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559950	21660367	\N	9999-12-31	2013-05-08
649	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559950	21660368	\N	9999-12-31	2013-05-08
649	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21559950	21660369	\N	9999-12-31	2013-05-08
619	Anskaffe og reprosessere 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Under arbeid	In process	2014-02-03	\N	2020-02-03	TFO2011	Total E&P Norge AS	2410708	21560040	21637447	\N	9999-12-31	2013-05-08
619	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2020-02-03	TFO2011	Total E&P Norge AS	2410708	21560040	21637448	\N	2012-06-22	2013-05-08
619	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-03	\N	2020-02-03	TFO2011	Total E&P Norge AS	2410708	21560040	21637471	21637472	9999-12-31	2013-05-08
619	Betinga brønn- 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	Total E&P Norge AS	2410708	21560040	21637472	\N	9999-12-31	2013-05-08
619	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-03	\N	2020-02-03	TFO2011	Total E&P Norge AS	2410708	21560040	21637473	\N	9999-12-31	2013-05-08
619	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Total E&P Norge AS	2410708	21560040	21637474	\N	9999-12-31	2013-05-08
619	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Total E&P Norge AS	2410708	21560040	21637475	\N	9999-12-31	2013-05-08
619	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Total E&P Norge AS	2410708	21560040	21637476	\N	9999-12-31	2013-05-08
495 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-07-23	\N	2015-07-23	TFO2011	Lundin Norway AS	2767314	21560089	21631514	\N	9999-12-31	2013-05-08
620	Kjøpe long offset 2D	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Godkjent	Approved	2013-02-03	\N	2019-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21560115	21637538	\N	2013-04-03	2013-05-08
620	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Godkjent	Approved	2013-02-03	\N	2019-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21560115	21637539	\N	2013-04-03	2013-05-08
620	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-03	\N	2019-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21560115	21637540	\N	9999-12-31	2013-05-08
620	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-03	\N	2019-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21560115	21637541	21637540	9999-12-31	2013-05-08
620	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21560115	21637542	\N	9999-12-31	2013-05-08
620	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21560115	21637543	\N	9999-12-31	2013-05-08
620	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21560115	21637544	\N	9999-12-31	2013-05-08
620	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Faroe Petroleum Norge AS	4062883	21560115	21637545	\N	9999-12-31	2013-05-08
621	Reprosessere 3D seismikk	Seismisk innsamling	Seismic acquisition	Frafalt	Dropped	2013-02-03	\N	2013-02-03	TFO2011	\N	\N	21560157	21637546	\N	2013-04-04	2013-05-08
621	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Skal ikke bores	Not to be drilled	2013-02-03	\N	2013-02-03	TFO2011	\N	\N	21560157	21637547	\N	2013-04-04	2013-05-08
621	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-03	\N	2013-02-03	TFO2011	\N	\N	21560157	21637548	21637547	2013-04-04	2013-05-08
621	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-03	\N	2013-02-03	TFO2011	\N	\N	21560157	21637549	\N	2013-04-04	2013-05-08
621	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-03	\N	2013-02-03	TFO2011	\N	\N	21560157	21637550	\N	2013-04-04	2013-05-08
621	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2013-02-03	\N	2013-02-03	TFO2011	\N	\N	21560157	21637551	\N	2013-04-04	2013-05-08
621	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-03	\N	2013-02-03	TFO2011	\N	\N	21560157	21637552	\N	2013-04-04	2013-05-08
622	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	Premier Oil Norge AS	3482067	21560182	21637563	\N	9999-12-31	2013-05-08
622	Anskaffe long-offset 2D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	Premier Oil Norge AS	3482067	21560182	21637564	\N	9999-12-31	2013-05-08
622	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	Premier Oil Norge AS	3482067	21560182	21637565	\N	2012-06-21	2013-05-08
622	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-03	\N	2020-02-03	TFO2011	Premier Oil Norge AS	3482067	21560182	21637566	\N	9999-12-31	2013-05-08
622	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-03	\N	2020-02-03	TFO2011	Premier Oil Norge AS	3482067	21560182	21637567	21637566	9999-12-31	2013-05-08
622	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-03	\N	2020-02-03	TFO2011	Premier Oil Norge AS	3482067	21560182	21637568	\N	9999-12-31	2013-05-08
622	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Premier Oil Norge AS	3482067	21560182	21637569	\N	9999-12-31	2013-05-08
622	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Premier Oil Norge AS	3482067	21560182	21637570	\N	9999-12-31	2013-05-08
622	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-02-03	\N	2020-02-03	TFO2011	Premier Oil Norge AS	3482067	21560182	21637571	\N	9999-12-31	2013-05-08
623	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Talisman Energy Norge AS	2425093	21560239	21637572	\N	2012-06-26	2013-05-08
623	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Talisman Energy Norge AS	2425093	21560239	21637573	\N	2012-06-21	2013-05-08
623	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Talisman Energy Norge AS	2425093	21560239	21637574	\N	9999-12-31	2013-05-08
623	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Talisman Energy Norge AS	2425093	21560239	21637575	21637574	9999-12-31	2013-05-08
623	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Talisman Energy Norge AS	2425093	21560239	21637576	\N	9999-12-31	2013-05-08
623	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Talisman Energy Norge AS	2425093	21560239	21637577	\N	9999-12-31	2013-05-08
623	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Talisman Energy Norge AS	2425093	21560239	21637578	\N	9999-12-31	2013-05-08
623	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Talisman Energy Norge AS	2425093	21560239	21637579	\N	9999-12-31	2013-05-08
506 DS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-03	\N	2018-02-03	TFO2011	Rocksource Exploration Norway AS	22528729	21560284	21631519	\N	2013-01-10	2013-05-08
506 DS	Beslutning om boring	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2018-02-03	TFO2011	Rocksource Exploration Norway AS	22528729	21560284	21631520	\N	2013-01-10	2013-05-08
506 DS	boring	Boring	Drilling	Under arbeid	In process	2014-08-03	\N	2018-02-03	TFO2011	Rocksource Exploration Norway AS	22528729	21560284	21631521	\N	2013-01-10	2013-05-08
506 DS	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-08-03	\N	2018-02-03	TFO2011	Rocksource Exploration Norway AS	22528729	21560284	21631522	\N	2013-01-10	2013-05-08
506 DS	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-08-03	\N	2018-02-03	TFO2011	Rocksource Exploration Norway AS	22528729	21560284	21631524	\N	2013-01-10	2013-05-08
506 DS	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-03	\N	2018-02-03	TFO2011	Rocksource Exploration Norway AS	22528729	21560284	21636749	\N	2013-01-10	2013-05-08
624	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560318	21637580	\N	9999-12-31	2013-05-08
624	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560318	21637581	\N	2012-06-21	2013-05-08
624	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560318	21637582	\N	9999-12-31	2013-05-08
624	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560318	21637583	21637582	9999-12-31	2013-05-08
624	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560318	21637584	\N	9999-12-31	2013-05-08
624	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560318	21637585	\N	9999-12-31	2013-05-08
624	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560318	21637586	\N	9999-12-31	2013-05-08
624	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560318	21637587	\N	9999-12-31	2013-05-08
625	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2014-02-03	\N	2017-02-03	TFO2011	Lundin Norway AS	2767314	21560380	21637588	\N	9999-12-31	2013-05-08
625	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-03	\N	2017-02-03	TFO2011	Lundin Norway AS	2767314	21560380	21637589	\N	2012-06-20	2013-05-08
625	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-03	\N	2017-02-03	TFO2011	Lundin Norway AS	2767314	21560380	21637590	\N	9999-12-31	2013-05-08
625	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-03	\N	2017-02-03	TFO2011	Lundin Norway AS	2767314	21560380	21637591	\N	9999-12-31	2013-05-08
625	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-03	\N	2017-02-03	TFO2011	Lundin Norway AS	2767314	21560380	21637592	\N	9999-12-31	2013-05-08
626	Anskaffe og reprosessere 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21560418	21637593	\N	9999-12-31	2013-05-08
626	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21560418	21637594	\N	2012-06-21	2013-05-08
626	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21560418	21637595	\N	9999-12-31	2013-05-08
626	Beslutning om utbyggingsplan	Beslutning om boring	Decision to drill	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21560418	21637596	\N	9999-12-31	2013-05-08
626	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21560418	21637597	21637595	9999-12-31	2013-05-08
626	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21560418	21637598	\N	9999-12-31	2013-05-08
626	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21560418	21637599	\N	9999-12-31	2013-05-08
626	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Det norske oljeselskap ASA	17342870	21560418	21637600	\N	9999-12-31	2013-05-08
513 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-01-23	\N	2015-01-23	TFO2011	Maersk Oil Norway AS	4719674	21560453	21631515	\N	9999-12-31	2013-05-08
627	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21560469	21637601	\N	2012-06-20	2013-05-08
627	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21560469	21637602	\N	2012-06-21	2013-05-08
627	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21560469	21637603	\N	9999-12-31	2013-05-08
627	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21560469	21637604	21637603	9999-12-31	2013-05-08
627	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21560469	21637605	\N	9999-12-31	2013-05-08
627	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21560469	21637606	\N	9999-12-31	2013-05-08
627	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21560469	21637607	\N	9999-12-31	2013-05-08
627	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21560469	21637608	\N	9999-12-31	2013-05-08
628	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-03	\N	2018-02-03	TFO2011	Statoil Petroleum AS	17237817	21560616	21637609	\N	2012-06-21	2013-05-08
628	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-03	\N	2018-02-03	TFO2011	Statoil Petroleum AS	17237817	21560616	21637610	\N	9999-12-31	2013-05-08
628	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-03	\N	2018-02-03	TFO2011	Statoil Petroleum AS	17237817	21560616	21637611	\N	9999-12-31	2013-05-08
628	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-03	\N	2018-02-03	TFO2011	Statoil Petroleum AS	17237817	21560616	21637612	\N	9999-12-31	2013-05-08
628	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-03	\N	2018-02-03	TFO2011	Statoil Petroleum AS	17237817	21560616	21637613	\N	9999-12-31	2013-05-08
628	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-03	\N	2018-02-03	TFO2011	Statoil Petroleum AS	17237817	21560616	21637614	\N	9999-12-31	2013-05-08
629	Kjøpe 3D seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Bridge Energy Norge AS	18178215	21560683	21659460	\N	9999-12-31	2013-05-08
629	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Bridge Energy Norge AS	18178215	21560683	21659461	\N	2012-06-21	2013-05-08
629	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Bridge Energy Norge AS	18178215	21560683	21659462	\N	9999-12-31	2013-05-08
629	Boring av betinga brønn - brønn 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Bridge Energy Norge AS	18178215	21560683	21659463	21659462	9999-12-31	2013-05-08
629	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Bridge Energy Norge AS	18178215	21560683	21659464	\N	9999-12-31	2013-05-08
629	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Bridge Energy Norge AS	18178215	21560683	21659465	\N	9999-12-31	2013-05-08
629	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Bridge Energy Norge AS	18178215	21560683	21659466	\N	9999-12-31	2013-05-08
629	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Bridge Energy Norge AS	18178215	21560683	21659467	\N	9999-12-31	2013-05-08
630	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560745	21659468	\N	9999-12-31	2013-05-08
630	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560745	21659469	\N	9999-12-31	2013-05-08
630	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560745	21659470	\N	9999-12-31	2013-05-08
630	Betinga brønn 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560745	21659471	\N	2012-06-21	2013-05-08
630	Boring av betinga brønn - brønn 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560745	21659472	21659471	2012-06-21	2013-05-08
630	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560745	21659473	\N	9999-12-31	2013-05-08
630	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560745	21659474	\N	9999-12-31	2013-05-08
630	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560745	21659475	\N	9999-12-31	2013-05-08
630	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560745	21659476	\N	9999-12-31	2013-05-08
631	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-03	\N	2018-02-03	TFO2011	Lundin Norway AS	2767314	21560844	21659477	\N	9999-12-31	2013-05-08
631	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-03	\N	2018-02-03	TFO2011	Lundin Norway AS	2767314	21560844	21659478	\N	9999-12-31	2013-05-08
631	Fast brønn 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-03	\N	2018-02-03	TFO2011	Lundin Norway AS	2767314	21560844	21659479	\N	9999-12-31	2013-05-08
631	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-03	\N	2018-02-03	TFO2011	Lundin Norway AS	2767314	21560844	21659480	\N	9999-12-31	2013-05-08
631	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-03	\N	2018-02-03	TFO2011	Lundin Norway AS	2767314	21560844	21659481	\N	9999-12-31	2013-05-08
631	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-03	\N	2018-02-03	TFO2011	Lundin Norway AS	2767314	21560844	21659482	\N	9999-12-31	2013-05-08
631	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-02-03	\N	2018-02-03	TFO2011	Lundin Norway AS	2767314	21560844	21659494	\N	9999-12-31	2013-05-08
557 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-19	\N	2019-02-19	TFO2011	OMV (Norge) AS	4460594	21560889	21631516	\N	2013-02-08	2013-05-08
632	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560912	21659495	\N	9999-12-31	2013-05-08
632	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560912	21659496	\N	9999-12-31	2013-05-08
632	Betinga brønn 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560912	21659497	\N	9999-12-31	2013-05-08
632	Boring av betinga brønn - brønn 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560912	21659498	21659497	9999-12-31	2013-05-08
632	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560912	21659499	\N	9999-12-31	2013-05-08
632	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560912	21659500	\N	9999-12-31	2013-05-08
632	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560912	21659501	\N	9999-12-31	2013-05-08
632	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Statoil Petroleum AS	17237817	21560912	21659502	\N	9999-12-31	2013-05-08
633	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21560982	21659503	\N	9999-12-31	2013-05-08
633	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21560982	21659504	\N	9999-12-31	2013-05-08
633	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21560982	21659505	\N	9999-12-31	2013-05-08
633	Boring av betinga brønn - brønn 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21560982	21659506	21659505	9999-12-31	2013-05-08
633	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21560982	21659507	\N	9999-12-31	2013-05-08
633	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21560982	21659508	\N	9999-12-31	2013-05-08
633	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21560982	21659509	\N	9999-12-31	2013-05-08
633	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Wintershall Norge AS	21666830	21560982	21659510	\N	9999-12-31	2013-05-08
634	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561057	21659511	\N	2012-06-26	2013-05-08
634	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561057	21659512	\N	9999-12-31	2013-05-08
634	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561057	21659513	\N	9999-12-31	2013-05-08
634	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561057	21659514	21659513	9999-12-31	2013-05-08
634	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561057	21659515	\N	9999-12-31	2013-05-08
634	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561057	21659516	\N	9999-12-31	2013-05-08
634	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561057	21659517	\N	9999-12-31	2013-05-08
634	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561057	21659518	\N	9999-12-31	2013-05-08
635	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-03	\N	2019-02-03	TFO2011	Bayerngas Norge AS	4444493	21561115	21659519	\N	9999-12-31	2013-05-08
635	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-03	\N	2019-02-03	TFO2011	Bayerngas Norge AS	4444493	21561115	21659520	\N	9999-12-31	2013-05-08
635	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-03	\N	2019-02-03	TFO2011	Bayerngas Norge AS	4444493	21561115	21659521	\N	9999-12-31	2013-05-08
635	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-03	\N	2019-02-03	TFO2011	Bayerngas Norge AS	4444493	21561115	21659522	\N	9999-12-31	2013-05-08
635	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-03	\N	2019-02-03	TFO2011	Bayerngas Norge AS	4444493	21561115	21659523	21659522	9999-12-31	2013-05-08
635	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Bayerngas Norge AS	4444493	21561115	21659524	\N	9999-12-31	2013-05-08
635	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Bayerngas Norge AS	4444493	21561115	21659525	\N	9999-12-31	2013-05-08
635	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Bayerngas Norge AS	4444493	21561115	21659526	\N	9999-12-31	2013-05-08
635	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Bayerngas Norge AS	4444493	21561115	21659527	\N	9999-12-31	2013-05-08
636	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-03	\N	2017-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561151	21659528	\N	9999-12-31	2013-05-08
636	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-03	\N	2017-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561151	21659529	\N	9999-12-31	2013-05-08
636	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2015-02-03	\N	2017-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561151	21659530	\N	9999-12-31	2013-05-08
636	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2016-02-03	\N	2017-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561151	21659531	\N	9999-12-31	2013-05-08
636	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2017-02-03	\N	2017-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561151	21659532	\N	9999-12-31	2013-05-08
636	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-03	\N	2017-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561151	21659533	\N	9999-12-31	2013-05-08
636	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-02-03	\N	2017-02-03	TFO2011	GDF SUEZ E&P Norge AS	5267845	21561151	21659534	\N	9999-12-31	2013-05-08
637	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Suncor Energy Norge AS	20426420	21561194	21659535	\N	9999-12-31	2013-05-08
637	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Suncor Energy Norge AS	20426420	21561194	21659536	\N	9999-12-31	2013-05-08
637	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Suncor Energy Norge AS	20426420	21561194	21659537	\N	9999-12-31	2013-05-08
637	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Suncor Energy Norge AS	20426420	21561194	21659538	21659537	9999-12-31	2013-05-08
637	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Suncor Energy Norge AS	20426420	21561194	21659539	\N	9999-12-31	2013-05-08
637	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Suncor Energy Norge AS	20426420	21561194	21659540	\N	9999-12-31	2013-05-08
637	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Suncor Energy Norge AS	20426420	21561194	21659541	\N	9999-12-31	2013-05-08
637	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Suncor Energy Norge AS	20426420	21561194	21659542	\N	9999-12-31	2013-05-08
638	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	BG Norge AS	2747354	21561239	21659543	\N	9999-12-31	2013-05-08
638	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	BG Norge AS	2747354	21561239	21659544	\N	9999-12-31	2013-05-08
638	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	BG Norge AS	2747354	21561239	21659545	21659544	9999-12-31	2013-05-08
638	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	BG Norge AS	2747354	21561239	21659546	\N	9999-12-31	2013-05-08
638	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	BG Norge AS	2747354	21561239	21659547	\N	9999-12-31	2013-05-08
638	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	BG Norge AS	2747354	21561239	21659548	\N	9999-12-31	2013-05-08
638	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	BG Norge AS	2747354	21561239	21659549	\N	9999-12-31	2013-05-08
597 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-05-13	\N	2016-05-13	TFO2011	VNG Norge AS	17237193	21561308	21631517	\N	9999-12-31	2013-05-08
643	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21561387	21659622	\N	9999-12-31	2013-05-08
643	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21561387	21659623	\N	9999-12-31	2013-05-08
643	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21561387	21659624	\N	9999-12-31	2013-05-08
643	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21561387	21659625	\N	9999-12-31	2013-05-08
643	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21561387	21659626	21659625	9999-12-31	2013-05-08
643	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21561387	21659627	\N	9999-12-31	2013-05-08
643	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21561387	21659628	\N	9999-12-31	2013-05-08
643	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21561387	21659629	\N	9999-12-31	2013-05-08
643	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	VNG Norge AS	17237193	21561387	21659630	\N	9999-12-31	2013-05-08
609 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-05-13	\N	2017-05-13	TFO2011	Lundin Norway AS	2767314	21561445	21631518	\N	9999-12-31	2013-05-08
616	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-08-30	\N	2019-08-03	TFO2011	Edison International Norway Branch	17237180	21561481	21637369	\N	9999-12-31	2013-05-08
616	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-08-03	\N	2019-08-03	TFO2011	Edison International Norway Branch	17237180	21561481	21637370	\N	9999-12-31	2013-05-08
616	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-08-03	\N	2019-08-03	TFO2011	Edison International Norway Branch	17237180	21561481	21637371	21637370	9999-12-31	2013-05-08
616	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-08-03	\N	2019-08-03	TFO2011	Edison International Norway Branch	17237180	21561481	21637383	\N	9999-12-31	2013-05-08
616	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-08-03	\N	2019-08-03	TFO2011	Edison International Norway Branch	17237180	21561481	21637401	\N	9999-12-31	2013-05-08
616	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-08-03	\N	2019-08-03	TFO2011	Edison International Norway Branch	17237180	21561481	21637402	\N	9999-12-31	2013-05-08
616	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-08-03	\N	2019-08-03	TFO2011	Edison International Norway Branch	17237180	21561481	21637403	\N	9999-12-31	2013-05-08
617	Kjøpe eksisterende 3D-seismikk	Innsamling, reprosessering, tolking	Seismology - collecting, reprocessing, interpretation	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Valiant Petroleum Norge AS	21104529	21561629	21637404	\N	9999-12-31	2013-05-08
617	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-03	\N	2019-02-03	TFO2011	Valiant Petroleum Norge AS	21104529	21561629	21637405	\N	9999-12-31	2013-05-08
617	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Valiant Petroleum Norge AS	21104529	21561629	21637406	21637405	9999-12-31	2013-05-08
617	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Valiant Petroleum Norge AS	21104529	21561629	21637407	\N	9999-12-31	2013-05-08
617	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Valiant Petroleum Norge AS	21104529	21561629	21637408	\N	9999-12-31	2013-05-08
617	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Valiant Petroleum Norge AS	21104529	21561629	21637409	\N	9999-12-31	2013-05-08
617	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Valiant Petroleum Norge AS	21104529	21561629	21637410	\N	9999-12-31	2013-05-08
618	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21561689	21637411	\N	9999-12-31	2013-05-08
618	Fast brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21561689	21637412	\N	9999-12-31	2013-05-08
618	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21561689	21637421	\N	9999-12-31	2013-05-08
618	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-02	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21561689	21637433	\N	9999-12-31	2013-05-08
618	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21561689	21637445	\N	9999-12-31	2013-05-08
618	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-03	\N	2019-02-03	TFO2011	Total E&P Norge AS	2410708	21561689	21637446	\N	9999-12-31	2013-05-08
102 E	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2025-02-03	\N	2025-03-01	TFO2011	Total E&P Norge AS	2410708	21568578	21631507	\N	2013-01-10	2013-05-08
102 D	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2025-03-01	\N	2025-03-01	TFO2011	Total E&P Norge AS	2410708	21568785	21631504	\N	2012-12-19	2013-05-08
104 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2013-02-03	\N	2013-02-03	TFO2011	Statoil Petroleum AS	17237817	21568959	21631508	\N	9999-12-31	2013-05-08
193 E	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2031-09-10	\N	2031-09-10	TFO2011	Statoil Petroleum AS	17237817	21568992	21631509	\N	2013-04-30	2013-05-08
350 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Godkjent	Approved	2014-12-17	\N	2012-09-17	TFO2011	\N	\N	21569025	21631510	\N	2012-10-13	2013-05-08
375 C	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-12-31	\N	2014-12-31	TFO2011	Suncor Energy Norge AS	20426420	21569065	21631511	\N	9999-12-31	2013-05-08
414 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-16	\N	2015-02-16	TFO2011	Det norske oljeselskap ASA	17342870	21569107	21631512	\N	2013-03-22	2013-05-08
494 C	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-07-23	\N	2016-07-23	TFO2011	Det norske oljeselskap ASA	17342870	21569178	21631513	\N	2013-04-10	2013-05-08
037 F	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2017-02-08	TFO2012	Statoil Petroleum AS	17237817	22813049	23265587	\N	9999-12-31	2013-05-08
037 F	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2017-02-08	TFO2012	Statoil Petroleum AS	17237817	22813049	23265588	\N	9999-12-31	2013-05-08
037 F	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-08	\N	2017-02-08	TFO2012	Statoil Petroleum AS	17237817	22813049	23265589	\N	9999-12-31	2013-05-08
037 F	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2017-02-08	TFO2012	Statoil Petroleum AS	17237817	22813049	23265590	23265588	2013-03-08	2013-05-08
037 F	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-06-08	\N	2017-02-08	TFO2012	Statoil Petroleum AS	17237817	22813049	23265591	\N	9999-12-31	2013-05-08
055 D	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-02-08	\N	2014-02-08	TFO2012	Statoil Petroleum AS	17237817	22813096	23265592	\N	9999-12-31	2013-05-08
091 D	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-02-08	\N	2014-02-08	TFO2012	Statoil Petroleum AS	17237817	22813131	23265593	\N	9999-12-31	2013-05-08
093 C	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2014-02-08	\N	2014-02-08	TFO2012	A/S Norske Shell	562	22813180	23265594	\N	9999-12-31	2013-05-08
190 B	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2017-02-08	TFO2012	Statoil Petroleum AS	17237817	22813207	23265595	\N	9999-12-31	2013-05-08
190 B	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2017-02-08	TFO2012	Statoil Petroleum AS	17237817	22813207	23265596	\N	9999-12-31	2013-05-08
190 B	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2017-02-08	TFO2012	Statoil Petroleum AS	17237817	22813207	23265597	23265596	2013-03-08	2013-05-08
190 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-08	\N	2017-02-08	TFO2012	Statoil Petroleum AS	17237817	22813207	23265598	\N	9999-12-31	2013-05-08
190 B	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2017-06-08	\N	2017-02-08	TFO2012	Statoil Petroleum AS	17237817	22813207	23265599	\N	9999-12-31	2013-05-08
203 B	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-02-08	\N	2018-02-08	TFO2012	Marathon Oil Norge AS	20485291	22813239	23265600	\N	9999-12-31	2013-05-08
203 B	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-02-08	\N	2018-02-08	TFO2012	Marathon Oil Norge AS	20485291	22813239	23265601	\N	9999-12-31	2013-05-08
203 B	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2018-02-08	TFO2012	Marathon Oil Norge AS	20485291	22813239	23265602	\N	9999-12-31	2013-05-08
203 B	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2018-02-08	TFO2012	Marathon Oil Norge AS	20485291	22813239	23265603	23265602	2013-03-08	2013-05-08
203 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-08	\N	2018-02-08	TFO2012	Marathon Oil Norge AS	20485291	22813239	23265604	\N	9999-12-31	2013-05-08
203 B	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-06-08	\N	2018-02-08	TFO2012	Marathon Oil Norge AS	20485291	22813239	23265605	\N	9999-12-31	2013-05-08
509 BS	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-01-23	\N	2016-01-23	TFO2012	Wintershall Norge AS	21666830	22813272	23265606	\N	9999-12-31	2013-05-08
542 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2015-02-19	\N	2015-02-19	TFO2012	Det norske oljeselskap ASA	17342870	22813299	23265607	\N	9999-12-31	2013-05-08
660	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815555	23265580	\N	9999-12-31	2013-05-08
660	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815555	23265581	\N	9999-12-31	2013-05-08
660	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815555	23265582	\N	9999-12-31	2013-05-08
660	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815555	23265583	\N	9999-12-31	2013-05-08
660	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815555	23265584	\N	9999-12-31	2013-05-08
660	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815555	23265585	\N	9999-12-31	2013-05-08
660	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815555	23265586	\N	9999-12-31	2013-05-08
660	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815555	23269111	23265581	9999-12-31	2013-05-08
661	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815589	23265572	\N	9999-12-31	2013-05-08
661	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815589	23265573	\N	9999-12-31	2013-05-08
661	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815589	23265574	\N	9999-12-31	2013-05-08
661	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815589	23265575	\N	9999-12-31	2013-05-08
661	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815589	23265576	\N	9999-12-31	2013-05-08
661	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815589	23265577	\N	9999-12-31	2013-05-08
661	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815589	23265578	\N	9999-12-31	2013-05-08
661	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2021-06-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815589	23265579	\N	9999-12-31	2013-05-08
661	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815589	23269113	23265574	9999-12-31	2013-05-08
662	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815632	23265564	\N	9999-12-31	2013-05-08
662	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815632	23265565	\N	9999-12-31	2013-05-08
662	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815632	23265566	\N	9999-12-31	2013-05-08
662	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815632	23265567	\N	9999-12-31	2013-05-08
662	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815632	23265568	\N	9999-12-31	2013-05-08
662	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815632	23265569	\N	9999-12-31	2013-05-08
662	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815632	23265570	\N	9999-12-31	2013-05-08
662	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2021-06-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815632	23265571	\N	9999-12-31	2013-05-08
662	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Total E&P Norge AS	2410708	22815632	23269115	23265566	9999-12-31	2013-05-08
663	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2021-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22815661	23265557	\N	9999-12-31	2013-05-08
663	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2021-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22815661	23265558	\N	9999-12-31	2013-05-08
663	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2021-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22815661	23265559	\N	9999-12-31	2013-05-08
663	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2021-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22815661	23265560	\N	9999-12-31	2013-05-08
663	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22815661	23265561	\N	9999-12-31	2013-05-08
663	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22815661	23265562	\N	9999-12-31	2013-05-08
663	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2021-06-08	\N	2021-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22815661	23265563	\N	9999-12-31	2013-05-08
663	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2021-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22815661	23269116	23265558	9999-12-31	2013-05-08
664 S	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Talisman Energy Norge AS	2425093	22815702	23265549	\N	9999-12-31	2013-05-08
664 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Talisman Energy Norge AS	2425093	22815702	23265550	\N	9999-12-31	2013-05-08
664 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Talisman Energy Norge AS	2425093	22815702	23265551	\N	9999-12-31	2013-05-08
664 S	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Talisman Energy Norge AS	2425093	22815702	23265552	\N	9999-12-31	2013-05-08
664 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Talisman Energy Norge AS	2425093	22815702	23265553	\N	9999-12-31	2013-05-08
664 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Talisman Energy Norge AS	2425093	22815702	23265554	\N	9999-12-31	2013-05-08
664 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Talisman Energy Norge AS	2425093	22815702	23265555	\N	9999-12-31	2013-05-08
664 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	Talisman Energy Norge AS	2425093	22815702	23265556	\N	9999-12-31	2013-05-08
664 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Talisman Energy Norge AS	2425093	22815702	23269118	23265551	9999-12-31	2013-05-08
665 S	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815738	23265541	\N	9999-12-31	2013-05-08
665 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815738	23265542	\N	9999-12-31	2013-05-08
665 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815738	23265543	\N	9999-12-31	2013-05-08
665 S	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815738	23265544	\N	9999-12-31	2013-05-08
665 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815738	23265545	\N	9999-12-31	2013-05-08
665 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815738	23265546	\N	9999-12-31	2013-05-08
665 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815738	23265547	\N	9999-12-31	2013-05-08
665 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815738	23265548	\N	9999-12-31	2013-05-08
665 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22815738	23269120	23265543	9999-12-31	2013-05-08
666	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815785	23265533	\N	9999-12-31	2013-05-08
666	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815785	23265534	\N	9999-12-31	2013-05-08
666	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815785	23265535	\N	9999-12-31	2013-05-08
666	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815785	23265536	\N	9999-12-31	2013-05-08
666	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815785	23265537	\N	9999-12-31	2013-05-08
666	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815785	23265538	\N	9999-12-31	2013-05-08
666	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815785	23265539	\N	9999-12-31	2013-05-08
666	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815785	23265540	\N	9999-12-31	2013-05-08
666	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815785	23269121	23265535	9999-12-31	2013-05-08
667	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22815830	23265525	\N	9999-12-31	2013-05-08
667	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22815830	23265526	\N	9999-12-31	2013-05-08
667	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22815830	23265527	\N	9999-12-31	2013-05-08
667	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22815830	23265528	\N	9999-12-31	2013-05-08
667	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22815830	23265529	\N	9999-12-31	2013-05-08
667	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22815830	23265530	\N	9999-12-31	2013-05-08
667	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22815830	23265531	\N	9999-12-31	2013-05-08
667	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22815830	23265532	\N	9999-12-31	2013-05-08
667	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22815830	23269122	23265527	9999-12-31	2013-05-08
668	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815873	23265517	\N	9999-12-31	2013-05-08
668	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815873	23265518	\N	9999-12-31	2013-05-08
668	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815873	23265519	\N	9999-12-31	2013-05-08
668	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815873	23265520	\N	9999-12-31	2013-05-08
668	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815873	23265521	\N	9999-12-31	2013-05-08
668	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815873	23265522	\N	9999-12-31	2013-05-08
668	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815873	23265523	\N	9999-12-31	2013-05-08
668	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815873	23265524	\N	9999-12-31	2013-05-08
668	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22815873	23269123	23265519	9999-12-31	2013-05-08
669	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	DONG E&P Norge AS	4070011	22815914	23265509	\N	9999-12-31	2013-05-08
669	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	DONG E&P Norge AS	4070011	22815914	23265510	\N	9999-12-31	2013-05-08
669	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	DONG E&P Norge AS	4070011	22815914	23265511	\N	9999-12-31	2013-05-08
669	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	DONG E&P Norge AS	4070011	22815914	23265512	\N	9999-12-31	2013-05-08
669	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	DONG E&P Norge AS	4070011	22815914	23265513	\N	9999-12-31	2013-05-08
669	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	DONG E&P Norge AS	4070011	22815914	23265514	\N	9999-12-31	2013-05-08
669	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	DONG E&P Norge AS	4070011	22815914	23265515	\N	9999-12-31	2013-05-08
669	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	DONG E&P Norge AS	4070011	22815914	23265516	\N	9999-12-31	2013-05-08
669	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	DONG E&P Norge AS	4070011	22815914	23269124	23265511	9999-12-31	2013-05-08
670	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Tullow Oil Norge AS	23173852	22815949	23265500	\N	9999-12-31	2013-05-08
670	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Tullow Oil Norge AS	23173852	22815949	23265501	\N	9999-12-31	2013-05-08
670	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Tullow Oil Norge AS	23173852	22815949	23265502	\N	9999-12-31	2013-05-08
670	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Tullow Oil Norge AS	23173852	22815949	23265503	\N	9999-12-31	2013-05-08
670	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Tullow Oil Norge AS	23173852	22815949	23265504	\N	9999-12-31	2013-05-08
670	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Tullow Oil Norge AS	23173852	22815949	23265505	\N	9999-12-31	2013-05-08
670	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Tullow Oil Norge AS	23173852	22815949	23265506	\N	9999-12-31	2013-05-08
670	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Tullow Oil Norge AS	23173852	22815949	23265507	\N	9999-12-31	2013-05-08
670	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	Tullow Oil Norge AS	23173852	22815949	23265508	\N	9999-12-31	2013-05-08
670	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Tullow Oil Norge AS	23173852	22815949	23269125	23265503	9999-12-31	2013-05-08
671	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2021-02-08	TFO2012	Maersk Oil Norway AS	4719674	22816003	23265491	\N	9999-12-31	2013-05-08
671	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2021-02-08	TFO2012	Maersk Oil Norway AS	4719674	22816003	23265492	\N	9999-12-31	2013-05-08
671	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2021-02-08	TFO2012	Maersk Oil Norway AS	4719674	22816003	23265493	\N	9999-12-31	2013-05-08
671	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Maersk Oil Norway AS	4719674	22816003	23265494	\N	9999-12-31	2013-05-08
671	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2021-02-08	TFO2012	Maersk Oil Norway AS	4719674	22816003	23265495	\N	9999-12-31	2013-05-08
671	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Maersk Oil Norway AS	4719674	22816003	23265496	\N	9999-12-31	2013-05-08
671	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Maersk Oil Norway AS	4719674	22816003	23265497	\N	9999-12-31	2013-05-08
671	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2021-06-08	\N	2021-02-08	TFO2012	Maersk Oil Norway AS	4719674	22816003	23265498	\N	9999-12-31	2013-05-08
671	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2021-02-08	TFO2012	Maersk Oil Norway AS	4719674	22816003	23269126	23265493	9999-12-31	2013-05-08
672	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-08	\N	2018-02-08	TFO2012	Talisman Energy Norge AS	2425093	22816061	23265483	\N	9999-12-31	2013-05-08
672	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-08	\N	2018-02-08	TFO2012	Talisman Energy Norge AS	2425093	22816061	23265484	\N	9999-12-31	2013-05-08
672	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-08	\N	2018-02-08	TFO2012	Talisman Energy Norge AS	2425093	22816061	23265485	\N	9999-12-31	2013-05-08
672	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2016-02-08	\N	2018-02-08	TFO2012	Talisman Energy Norge AS	2425093	22816061	23265486	\N	9999-12-31	2013-05-08
672	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2017-02-08	\N	2018-02-08	TFO2012	Talisman Energy Norge AS	2425093	22816061	23265487	\N	9999-12-31	2013-05-08
672	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2018-02-08	\N	2018-02-08	TFO2012	Talisman Energy Norge AS	2425093	22816061	23265488	\N	9999-12-31	2013-05-08
672	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2018-02-08	\N	2018-02-08	TFO2012	Talisman Energy Norge AS	2425093	22816061	23265489	\N	9999-12-31	2013-05-08
672	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2018-06-08	\N	2018-02-08	TFO2012	Talisman Energy Norge AS	2425093	22816061	23265490	\N	9999-12-31	2013-05-08
672	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-08	\N	2018-02-08	TFO2012	Talisman Energy Norge AS	2425093	22816061	23269127	23265485	9999-12-31	2013-05-08
673	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	VNG Norge AS	17237193	22816103	23265456	\N	9999-12-31	2013-05-08
673	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	VNG Norge AS	17237193	22816103	23265457	\N	9999-12-31	2013-05-08
673	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	VNG Norge AS	17237193	22816103	23265458	\N	9999-12-31	2013-05-08
673	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	VNG Norge AS	17237193	22816103	23265459	\N	9999-12-31	2013-05-08
673	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	VNG Norge AS	17237193	22816103	23265460	\N	9999-12-31	2013-05-08
673	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	VNG Norge AS	17237193	22816103	23265463	\N	9999-12-31	2013-05-08
673	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	VNG Norge AS	17237193	22816103	23265465	\N	9999-12-31	2013-05-08
673	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	VNG Norge AS	17237193	22816103	23269128	23265457	9999-12-31	2013-05-08
674	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	E.ON E&P Norge AS	21631209	22816134	23265447	\N	9999-12-31	2013-05-08
674	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	E.ON E&P Norge AS	21631209	22816134	23265448	\N	9999-12-31	2013-05-08
674	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	E.ON E&P Norge AS	21631209	22816134	23265449	\N	9999-12-31	2013-05-08
674	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	E.ON E&P Norge AS	21631209	22816134	23265450	\N	9999-12-31	2013-05-08
674	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-08	\N	2021-02-08	TFO2012	E.ON E&P Norge AS	21631209	22816134	23265451	\N	9999-12-31	2013-05-08
674	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	E.ON E&P Norge AS	21631209	22816134	23265452	\N	9999-12-31	2013-05-08
674	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	E.ON E&P Norge AS	21631209	22816134	23265453	\N	9999-12-31	2013-05-08
674	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2021-06-08	\N	2021-02-08	TFO2012	E.ON E&P Norge AS	21631209	22816134	23265454	\N	9999-12-31	2013-05-08
674	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	E.ON E&P Norge AS	21631209	22816134	23269129	23265449	9999-12-31	2013-05-08
675	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-08	\N	2020-02-08	TFO2012	Statoil Petroleum AS	17237817	22816217	23265433	\N	9999-12-31	2013-05-08
675	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-08	\N	2020-02-08	TFO2012	Statoil Petroleum AS	17237817	22816217	23265434	\N	9999-12-31	2013-05-08
675	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-08	\N	2020-02-08	TFO2012	Statoil Petroleum AS	17237817	22816217	23265439	\N	9999-12-31	2013-05-08
675	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Statoil Petroleum AS	17237817	22816217	23265441	\N	9999-12-31	2013-05-08
675	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Statoil Petroleum AS	17237817	22816217	23265442	\N	9999-12-31	2013-05-08
675	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Statoil Petroleum AS	17237817	22816217	23265443	\N	9999-12-31	2013-05-08
675	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Statoil Petroleum AS	17237817	22816217	23265444	\N	9999-12-31	2013-05-08
675	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Statoil Petroleum AS	17237817	22816217	23265445	\N	9999-12-31	2013-05-08
675	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	Statoil Petroleum AS	17237817	22816217	23265446	\N	9999-12-31	2013-05-08
675	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Statoil Petroleum AS	17237817	22816217	23269130	23265441	9999-12-31	2013-05-08
676 S	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22816262	23265412	\N	9999-12-31	2013-05-08
676 S	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22816262	23265413	\N	9999-12-31	2013-05-08
676 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22816262	23265414	\N	9999-12-31	2013-05-08
676 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22816262	23265421	\N	9999-12-31	2013-05-08
676 S	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22816262	23265422	\N	9999-12-31	2013-05-08
676 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22816262	23265423	\N	9999-12-31	2013-05-08
676 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22816262	23265430	\N	9999-12-31	2013-05-08
676 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22816262	23265431	\N	9999-12-31	2013-05-08
676 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22816262	23265432	\N	9999-12-31	2013-05-08
676 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Faroe Petroleum Norge AS	4062883	22816262	23269131	23265421	9999-12-31	2013-05-08
677	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22816357	23265404	\N	9999-12-31	2013-05-08
677	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22816357	23265405	\N	9999-12-31	2013-05-08
677	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22816357	23265406	\N	9999-12-31	2013-05-08
677	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22816357	23265407	\N	9999-12-31	2013-05-08
677	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22816357	23265408	\N	9999-12-31	2013-05-08
677	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22816357	23265409	\N	9999-12-31	2013-05-08
677	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22816357	23265410	\N	9999-12-31	2013-05-08
677	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22816357	23265411	\N	9999-12-31	2013-05-08
677	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Det norske oljeselskap ASA	17342870	22816357	23269132	23265406	9999-12-31	2013-05-08
678 S	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816406	23265383	\N	9999-12-31	2013-05-08
678 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816406	23265391	\N	9999-12-31	2013-05-08
686	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	A/S Norske Shell	562	22820521	23235327	\N	9999-12-31	2013-05-08
678 S	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816406	23265392	\N	9999-12-31	2013-05-08
678 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816406	23265393	\N	9999-12-31	2013-05-08
678 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816406	23265401	\N	9999-12-31	2013-05-08
678 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816406	23265402	\N	9999-12-31	2013-05-08
678 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816406	23265403	\N	9999-12-31	2013-05-08
678 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816406	23269133	23265391	9999-12-31	2013-05-08
679 S	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265353	\N	9999-12-31	2013-05-08
679 S	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265354	\N	9999-12-31	2013-05-08
679 S	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265355	\N	9999-12-31	2013-05-08
679 S	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265356	\N	9999-12-31	2013-05-08
679 S	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265357	\N	9999-12-31	2013-05-08
679 S	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265361	\N	9999-12-31	2013-05-08
679 S	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265362	\N	9999-12-31	2013-05-08
679 S	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265363	\N	9999-12-31	2013-05-08
679 S	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265371	\N	9999-12-31	2013-05-08
679 S	Betinga brønn - 1 av 1_Alt 2	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265372	\N	9999-12-31	2013-05-08
679 S	Beslutning om konkretisering_Alt 2	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265373	\N	9999-12-31	2013-05-08
679 S	Beslutning om utbyggingsplan_Alt 2	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2021-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265374	\N	9999-12-31	2013-05-08
679 S	Innsende utbyggingsplan_Alt 2	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2022-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23265382	\N	9999-12-31	2013-05-08
679 S	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23269134	23265355	9999-12-31	2013-05-08
679 S	Boring av betinga brønn - 1 av 1_ Alt 2	Boring	Drilling	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	BG Norge AS	2747354	22816484	23269135	23265372	9999-12-31	2013-05-08
680	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-08	\N	2021-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816583	23235365	\N	9999-12-31	2013-05-08
680	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-08	\N	2021-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816583	23235366	\N	9999-12-31	2013-05-08
680	Geologi- og geofysikk studier_2	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816583	23235367	\N	9999-12-31	2013-05-08
680	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816583	23235368	\N	9999-12-31	2013-05-08
680	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816583	23235369	\N	9999-12-31	2013-05-08
680	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-08	\N	2021-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816583	23235370	\N	9999-12-31	2013-05-08
680	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816583	23235371	\N	9999-12-31	2013-05-08
680	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816583	23235372	\N	9999-12-31	2013-05-08
680	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2021-06-08	\N	2021-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816583	23235373	\N	9999-12-31	2013-05-08
680	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816583	23269137	23235368	9999-12-31	2013-05-08
681	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-08	\N	2016-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816639	23235360	\N	9999-12-31	2013-05-08
681	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2014-02-08	\N	2016-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816639	23235361	\N	9999-12-31	2013-05-08
681	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2016-02-08	\N	2016-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816639	23235362	\N	9999-12-31	2013-05-08
681	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2016-02-08	\N	2016-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816639	23235363	\N	9999-12-31	2013-05-08
681	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2016-06-08	\N	2016-02-08	TFO2012	Tullow Oil Norge AS	23173852	22816639	23235364	\N	9999-12-31	2013-05-08
682	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Bayerngas Norge AS	4444493	22816685	23235353	\N	9999-12-31	2013-05-08
682	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Bayerngas Norge AS	4444493	22816685	23235354	\N	9999-12-31	2013-05-08
682	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Bayerngas Norge AS	4444493	22816685	23235355	\N	9999-12-31	2013-05-08
682	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Bayerngas Norge AS	4444493	22816685	23235356	\N	9999-12-31	2013-05-08
682	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Bayerngas Norge AS	4444493	22816685	23235357	\N	9999-12-31	2013-05-08
682	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Bayerngas Norge AS	4444493	22816685	23235358	\N	9999-12-31	2013-05-08
682	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Bayerngas Norge AS	4444493	22816685	23235359	\N	9999-12-31	2013-05-08
682	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Bayerngas Norge AS	4444493	22816685	23269139	23235355	9999-12-31	2013-05-08
683	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816753	23235345	\N	9999-12-31	2013-05-08
683	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816753	23235346	\N	9999-12-31	2013-05-08
683	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816753	23235347	\N	9999-12-31	2013-05-08
683	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816753	23235348	\N	9999-12-31	2013-05-08
683	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816753	23235349	\N	9999-12-31	2013-05-08
683	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816753	23235350	\N	9999-12-31	2013-05-08
683	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816753	23235351	\N	9999-12-31	2013-05-08
683	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-06-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816753	23235352	\N	9999-12-31	2013-05-08
683	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Wintershall Norge AS	21666830	22816753	23269140	23235347	9999-12-31	2013-05-08
684	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22816794	23235337	\N	9999-12-31	2013-05-08
684	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22816794	23235338	\N	9999-12-31	2013-05-08
684	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22816794	23235339	\N	9999-12-31	2013-05-08
684	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22816794	23235340	\N	9999-12-31	2013-05-08
684	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22816794	23235341	\N	9999-12-31	2013-05-08
684	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22816794	23235342	\N	9999-12-31	2013-05-08
684	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22816794	23235343	\N	9999-12-31	2013-05-08
684	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2021-06-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22816794	23235344	\N	9999-12-31	2013-05-08
684	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22816794	23269142	23235339	9999-12-31	2013-05-08
685	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22820468	23235329	\N	9999-12-31	2013-05-08
685	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22820468	23235330	\N	9999-12-31	2013-05-08
685	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22820468	23235331	\N	9999-12-31	2013-05-08
685	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22820468	23235332	\N	9999-12-31	2013-05-08
685	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22820468	23235333	\N	9999-12-31	2013-05-08
685	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22820468	23235334	\N	9999-12-31	2013-05-08
685	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22820468	23235335	\N	9999-12-31	2013-05-08
685	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22820468	23235336	\N	9999-12-31	2013-05-08
685	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Total E&P Norge AS	2410708	22820468	23269143	23235331	9999-12-31	2013-05-08
686	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	A/S Norske Shell	562	22820521	23235320	\N	9999-12-31	2013-05-08
686	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	A/S Norske Shell	562	22820521	23235321	\N	9999-12-31	2013-05-08
686	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	A/S Norske Shell	562	22820521	23235322	\N	9999-12-31	2013-05-08
686	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	A/S Norske Shell	562	22820521	23235323	\N	9999-12-31	2013-05-08
686	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	A/S Norske Shell	562	22820521	23235324	\N	9999-12-31	2013-05-08
686	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	A/S Norske Shell	562	22820521	23235325	\N	9999-12-31	2013-05-08
686	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	A/S Norske Shell	562	22820521	23235326	\N	9999-12-31	2013-05-08
686	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	A/S Norske Shell	562	22820521	23269144	23235322	9999-12-31	2013-05-08
687	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	VNG Norge AS	17237193	22820550	23265684	\N	9999-12-31	2013-05-08
687	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	VNG Norge AS	17237193	22820550	23265685	\N	9999-12-31	2013-05-08
687	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	VNG Norge AS	17237193	22820550	23265686	\N	9999-12-31	2013-05-08
687	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	VNG Norge AS	17237193	22820550	23265687	\N	9999-12-31	2013-05-08
687	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	VNG Norge AS	17237193	22820550	23265688	\N	9999-12-31	2013-05-08
687	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-08	\N	2021-02-08	TFO2012	VNG Norge AS	17237193	22820550	23265689	\N	9999-12-31	2013-05-08
687	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	VNG Norge AS	17237193	22820550	23265690	\N	9999-12-31	2013-05-08
687	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	VNG Norge AS	17237193	22820550	23265691	\N	9999-12-31	2013-05-08
687	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	VNG Norge AS	17237193	22820550	23269145	23265687	9999-12-31	2013-05-08
688	Anskaffe 2D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2016-02-08	\N	2022-02-08	TFO2012	E.ON E&P Norge AS	21631209	22820588	23265676	\N	9999-12-31	2013-05-08
688	Anskaffe 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-02-08	\N	2022-02-08	TFO2012	E.ON E&P Norge AS	21631209	22820588	23265677	\N	9999-12-31	2013-05-08
688	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-02-08	\N	2022-02-08	TFO2012	E.ON E&P Norge AS	21631209	22820588	23265678	\N	9999-12-31	2013-05-08
688	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2022-02-08	TFO2012	E.ON E&P Norge AS	21631209	22820588	23265679	\N	9999-12-31	2013-05-08
688	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2019-02-08	\N	2022-02-08	TFO2012	E.ON E&P Norge AS	21631209	22820588	23265680	\N	9999-12-31	2013-05-08
688	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2021-02-08	\N	2022-02-08	TFO2012	E.ON E&P Norge AS	21631209	22820588	23265681	\N	9999-12-31	2013-05-08
688	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2022-02-08	\N	2022-02-08	TFO2012	E.ON E&P Norge AS	21631209	22820588	23265682	\N	9999-12-31	2013-05-08
688	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2022-02-08	\N	2022-02-08	TFO2012	E.ON E&P Norge AS	21631209	22820588	23265683	\N	9999-12-31	2013-05-08
688	Boring av betiinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2019-02-08	\N	2022-02-08	TFO2012	E.ON E&P Norge AS	21631209	22820588	23269141	23265679	9999-12-31	2013-05-08
689	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	DONG E&P Norge AS	4070011	22820628	23265669	\N	9999-12-31	2013-05-08
689	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	DONG E&P Norge AS	4070011	22820628	23265670	\N	9999-12-31	2013-05-08
689	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	DONG E&P Norge AS	4070011	22820628	23265671	\N	9999-12-31	2013-05-08
689	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	DONG E&P Norge AS	4070011	22820628	23265672	\N	9999-12-31	2013-05-08
689	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-08	\N	2021-02-08	TFO2012	DONG E&P Norge AS	4070011	22820628	23265673	\N	9999-12-31	2013-05-08
689	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	DONG E&P Norge AS	4070011	22820628	23265674	\N	9999-12-31	2013-05-08
689	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	DONG E&P Norge AS	4070011	22820628	23265675	\N	9999-12-31	2013-05-08
689	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	DONG E&P Norge AS	4070011	22820628	23269138	23265671	9999-12-31	2013-05-08
690	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Bridge Energy Norge AS	18178215	22820657	23265662	\N	9999-12-31	2013-05-08
690	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Bridge Energy Norge AS	18178215	22820657	23265663	\N	9999-12-31	2013-05-08
690	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Bridge Energy Norge AS	18178215	22820657	23265664	\N	9999-12-31	2013-05-08
690	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Bridge Energy Norge AS	18178215	22820657	23265665	\N	9999-12-31	2013-05-08
690	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Bridge Energy Norge AS	18178215	22820657	23265666	\N	9999-12-31	2013-05-08
690	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Bridge Energy Norge AS	18178215	22820657	23265667	\N	9999-12-31	2013-05-08
690	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Bridge Energy Norge AS	18178215	22820657	23265668	\N	9999-12-31	2013-05-08
690	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Bridge Energy Norge AS	18178215	22820657	23269136	23265664	9999-12-31	2013-05-08
691	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-08	\N	2019-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22820684	23265656	\N	9999-12-31	2013-05-08
691	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2014-02-08	\N	2019-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22820684	23265657	\N	9999-12-31	2013-05-08
691	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-08	\N	2019-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22820684	23265658	\N	9999-12-31	2013-05-08
691	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2016-02-08	\N	2019-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22820684	23265659	\N	9999-12-31	2013-05-08
691	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-08	\N	2019-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22820684	23265660	\N	9999-12-31	2013-05-08
691	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-08	\N	2019-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22820684	23265661	\N	9999-12-31	2013-05-08
691	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2016-02-08	\N	2019-02-08	TFO2012	Centrica Resources (Norge) AS	4238233	22820684	23269119	23265657	9999-12-31	2013-05-08
692	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Repsol Exploration Norge AS	17237506	22820715	23265647	\N	9999-12-31	2013-05-08
692	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Repsol Exploration Norge AS	17237506	22820715	23265648	\N	9999-12-31	2013-05-08
692	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Repsol Exploration Norge AS	17237506	22820715	23265649	\N	9999-12-31	2013-05-08
692	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Repsol Exploration Norge AS	17237506	22820715	23265650	\N	9999-12-31	2013-05-08
692	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Repsol Exploration Norge AS	17237506	22820715	23265651	\N	9999-12-31	2013-05-08
692	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Repsol Exploration Norge AS	17237506	22820715	23265652	\N	9999-12-31	2013-05-08
692	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Repsol Exploration Norge AS	17237506	22820715	23265653	\N	9999-12-31	2013-05-08
692	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Repsol Exploration Norge AS	17237506	22820715	23269117	23265649	9999-12-31	2013-05-08
693	Reprosessere 2D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2014-02-08	\N	2020-02-08	TFO2012	OMV (Norge) AS	4460594	22820761	23265637	\N	9999-12-31	2013-05-08
693	Geologi- og geofysikk studier - 1 år	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2014-02-08	\N	2020-02-08	TFO2012	OMV (Norge) AS	4460594	22820761	23265638	\N	9999-12-31	2013-05-08
693	Anskaffe 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2014-02-08	\N	2020-02-08	TFO2012	OMV (Norge) AS	4460594	22820761	23265639	\N	9999-12-31	2013-05-08
693	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-02-08	\N	2020-02-08	TFO2012	OMV (Norge) AS	4460594	22820761	23265640	\N	9999-12-31	2013-05-08
693	Geologi- og geofysikk studier - 3 år	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-02-08	\N	2020-02-08	TFO2012	OMV (Norge) AS	4460594	22820761	23265641	\N	9999-12-31	2013-05-08
693	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2020-02-08	TFO2012	OMV (Norge) AS	4460594	22820761	23265642	\N	9999-12-31	2013-05-08
693	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	OMV (Norge) AS	4460594	22820761	23265643	\N	9999-12-31	2013-05-08
693	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	OMV (Norge) AS	4460594	22820761	23265644	\N	9999-12-31	2013-05-08
693	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	OMV (Norge) AS	4460594	22820761	23265645	\N	9999-12-31	2013-05-08
693	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	OMV (Norge) AS	4460594	22820761	23265646	\N	9999-12-31	2013-05-08
693	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	OMV (Norge) AS	4460594	22820761	23269114	23265642	9999-12-31	2013-05-08
694	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	RWE Dea Norge AS	97557	22820804	23265629	\N	9999-12-31	2013-05-08
694	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	RWE Dea Norge AS	97557	22820804	23265630	\N	9999-12-31	2013-05-08
694	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	RWE Dea Norge AS	97557	22820804	23265631	\N	9999-12-31	2013-05-08
694	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	RWE Dea Norge AS	97557	22820804	23265632	\N	9999-12-31	2013-05-08
694	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	RWE Dea Norge AS	97557	22820804	23265633	\N	9999-12-31	2013-05-08
694	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-08	\N	2021-02-08	TFO2012	RWE Dea Norge AS	97557	22820804	23265634	\N	9999-12-31	2013-05-08
694	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	RWE Dea Norge AS	97557	22820804	23265635	\N	9999-12-31	2013-05-08
694	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	RWE Dea Norge AS	97557	22820804	23265636	\N	9999-12-31	2013-05-08
694	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	RWE Dea Norge AS	97557	22820804	23269112	23265632	9999-12-31	2013-05-08
695	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	Lundin Norway AS	2767314	22820851	23265623	\N	9999-12-31	2013-05-08
695	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	Lundin Norway AS	2767314	22820851	23265624	\N	9999-12-31	2013-05-08
695	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Lundin Norway AS	2767314	22820851	23265625	\N	9999-12-31	2013-05-08
695	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-08	\N	2021-02-08	TFO2012	Lundin Norway AS	2767314	22820851	23265626	\N	9999-12-31	2013-05-08
695	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Lundin Norway AS	2767314	22820851	23265627	\N	9999-12-31	2013-05-08
695	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Lundin Norway AS	2767314	22820851	23265628	\N	9999-12-31	2013-05-08
695	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Lundin Norway AS	2767314	22820851	23269110	23265624	9999-12-31	2013-05-08
696	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22820904	23265616	\N	9999-12-31	2013-05-08
696	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22820904	23265617	\N	9999-12-31	2013-05-08
696	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22820904	23265618	\N	9999-12-31	2013-05-08
696	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22820904	23265619	\N	9999-12-31	2013-05-08
696	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2020-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22820904	23265620	\N	9999-12-31	2013-05-08
696	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22820904	23265621	\N	9999-12-31	2013-05-08
696	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2021-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22820904	23265622	\N	9999-12-31	2013-05-08
696	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2021-02-08	TFO2012	Statoil Petroleum AS	17237817	22820904	23269109	23265618	9999-12-31	2013-05-08
697	Reprosessere 2D seismiikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Eni Norge AS	2388594	22821005	23265609	\N	9999-12-31	2013-05-08
697	Samle inn 2D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Eni Norge AS	2388594	22821005	23265610	\N	9999-12-31	2013-05-08
697	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2020-02-08	TFO2012	Eni Norge AS	2388594	22821005	23265611	\N	9999-12-31	2013-05-08
697	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Eni Norge AS	2388594	22821005	23265612	\N	9999-12-31	2013-05-08
697	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Eni Norge AS	2388594	22821005	23265613	\N	9999-12-31	2013-05-08
697	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Eni Norge AS	2388594	22821005	23265614	\N	9999-12-31	2013-05-08
697	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Eni Norge AS	2388594	22821005	23265615	\N	9999-12-31	2013-05-08
697	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2020-02-08	TFO2012	Eni Norge AS	2388594	22821005	23269108	23265611	9999-12-31	2013-05-08
698	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821040	23265476	\N	9999-12-31	2013-05-08
698	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821040	23265477	\N	9999-12-31	2013-05-08
698	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821040	23265478	\N	9999-12-31	2013-05-08
698	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821040	23265479	\N	9999-12-31	2013-05-08
698	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-08-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821040	23265480	\N	9999-12-31	2013-05-08
698	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821040	23265481	\N	9999-12-31	2013-05-08
698	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821040	23265482	\N	9999-12-31	2013-05-08
698	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821040	23269107	23265477	9999-12-31	2013-05-08
699	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821109	23265469	\N	9999-12-31	2013-05-08
699	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821109	23265470	\N	9999-12-31	2013-05-08
699	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821109	23265471	\N	2013-03-08	2013-05-08
699	Geologi- og geofysikk studier	Geologi- og geofysikkstudier	Study of geology and geophysics	Under arbeid	In process	2016-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821109	23265472	\N	9999-12-31	2013-05-08
699	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-08-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821109	23265473	\N	9999-12-31	2013-05-08
699	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821109	23265474	\N	9999-12-31	2013-05-08
699	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821109	23265475	\N	9999-12-31	2013-05-08
699	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2019-02-08	TFO2012	A/S Norske Shell	562	22821109	23269106	23265471	9999-12-31	2013-05-08
700	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2016-02-08	\N	2020-02-08	TFO2012	Lundin Norway AS	2767314	22821177	23265455	\N	9999-12-31	2013-05-08
700	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2016-02-08	\N	2020-02-08	TFO2012	Lundin Norway AS	2767314	22821177	23265461	\N	9999-12-31	2013-05-08
700	Samle inn 3D seismikk	Seismisk innsamling	Seismic acquisition	Under arbeid	In process	2016-02-08	\N	2020-02-08	TFO2012	Lundin Norway AS	2767314	22821177	23265462	\N	9999-12-31	2013-05-08
700	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2018-02-08	\N	2020-02-08	TFO2012	Lundin Norway AS	2767314	22821177	23265464	\N	9999-12-31	2013-05-08
700	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Lundin Norway AS	2767314	22821177	23265466	\N	9999-12-31	2013-05-08
700	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2019-02-08	\N	2020-02-08	TFO2012	Lundin Norway AS	2767314	22821177	23265467	\N	9999-12-31	2013-05-08
700	Intiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2020-02-08	\N	2020-02-08	TFO2012	Lundin Norway AS	2767314	22821177	23265468	\N	9999-12-31	2013-05-08
700	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2018-02-08	\N	2020-02-08	TFO2012	Lundin Norway AS	2767314	22821177	23269105	23265461	9999-12-31	2013-05-08
701	Reprosessere 3D seismikk	Seismisk reprosessering	Seismic reprocessing	Under arbeid	In process	2015-02-08	\N	2019-02-08	TFO2012	Norwegian Energy Company ASA	4530695	23180841	23235205	\N	2013-02-22	2013-05-08
701	Betinga brønn - 1 av 1	Beslutning om boring	Decision to drill	Under arbeid	In process	2015-02-08	\N	2019-02-08	TFO2012	Norwegian Energy Company ASA	4530695	23180841	23235206	\N	2013-02-22	2013-05-08
701	Beslutning om konkretisering	Status for arbeidsprogrammet - til OED/OD	Status workobligations to MPE/NPD	Under arbeid	In process	2017-02-08	\N	2019-02-08	TFO2012	Norwegian Energy Company ASA	4530695	23180841	23235207	\N	2013-02-22	2013-05-08
701	Beslutning om utbyggingsplan	Beslutning om å utarbeide ein utbyggingsplan	Decision to prepare a plan for development	Under arbeid	In process	2018-02-08	\N	2019-02-08	TFO2012	Norwegian Energy Company ASA	4530695	23180841	23235208	\N	2013-02-22	2013-05-08
701	Innsende utbyggingsplan	Innlevering av Utbyggingsplan	Hand in plan for development	Under arbeid	In process	2019-02-08	\N	2019-02-08	TFO2012	Norwegian Energy Company ASA	4530695	23180841	23235209	\N	2013-02-22	2013-05-08
701	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2019-02-08	\N	2019-02-08	TFO2012	Norwegian Energy Company ASA	4530695	23180841	23235210	\N	2013-02-22	2013-05-08
701	Tilbakeleveringsrapport	Tilbakeleveringsrapport	Relinquishment report	Under arbeid	In process	2019-06-08	\N	2019-02-08	TFO2012	Norwegian Energy Company ASA	4530695	23180841	23235328	\N	9999-12-31	2013-05-08
701	Boring av betinga brønn - 1 av 1	Boring	Drilling	Under arbeid	In process	2017-02-08	\N	2019-02-08	TFO2012	Norwegian Energy Company ASA	4530695	23180841	23269104	23235206	9999-12-31	2013-05-08
591 B	Initiell periode	Utløp av initiell periode	The expiry of initial period	Under arbeid	In process	2017-02-04	\N	2017-02-04	TFO2012	Tullow Oil Norge AS	23173852	23180930	23265608	\N	9999-12-31	2013-05-08
\.



COPY licence_transfer_hst (prlname, prltransferdatevalidfrom, prltransferdirection, prltransferkind, cmplongname, prltransferredinterest, prltransfersdfi, prlnpdidlicence, cmpnpdidcompany, prltransferdateupdated, datesyncnpd) FROM stdin;
001	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	100.000000	\N	20756	353	9999-12-31	2013-05-08
001	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	100.000000	\N	20756	2835212	9999-12-31	2013-05-08
005	1977-01-20	FROM	UNKNOWN	Amerada Hess Norge AS	18.133000	\N	20796	67	9999-12-31	2013-05-08
005	1978-02-24	FROM	UNKNOWN	Amerada Hess Norge AS	10.200000	\N	20796	67	9999-12-31	2013-05-08
005	1977-01-20	FROM	UNKNOWN	Amoco Norway Oil Company	18.134000	\N	20796	78	9999-12-31	2013-05-08
005	1978-02-24	FROM	UNKNOWN	Amoco Norway Oil Company	10.200000	\N	20796	78	9999-12-31	2013-05-08
005	1977-01-20	FROM	UNKNOWN	Norwegian Oil Consortium A/S & Co	9.600000	\N	20796	518	9999-12-31	2013-05-08
005	1978-02-24	FROM	UNKNOWN	Norwegian Oil Consortium A/S & Co	5.400000	\N	20796	518	9999-12-31	2013-05-08
005	1977-01-20	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	18.133000	\N	20796	837	9999-12-31	2013-05-08
005	1978-02-24	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	10.200000	\N	20796	837	9999-12-31	2013-05-08
005	1977-01-20	TO	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	20796	749	9999-12-31	2013-05-08
005	1977-01-20	TO	UNKNOWN	Union Norge A/S	54.000000	\N	20796	881	9999-12-31	2013-05-08
005	1978-02-24	TO	UNKNOWN	Union Norge A/S	36.000000	\N	20796	881	9999-12-31	2013-05-08
006	2001-02-15	FROM	TRANSFER	Amerada Hess Norge AS	28.333330	\N	20804	67	9999-12-31	2013-05-08
006	1999-12-23	FROM	MERGER/TAKEOVER	Amoco Norway Oil Company	28.333330	\N	20804	78	9999-12-31	2013-05-08
006	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	15.000000	\N	20804	298	9999-12-31	2013-05-08
006	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	28.333330	\N	20804	342	9999-12-31	2013-05-08
006	1992-02-25	FROM	UNKNOWN	Norwegian Oil Consortium A/S & Co	15.000000	\N	20804	518	9999-12-31	2013-05-08
006	1989-04-14	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	28.333330	\N	20804	837	9999-12-31	2013-05-08
006	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	28.333330	\N	20804	982372	9999-12-31	2013-05-08
006	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	43.333330	\N	20804	1340884	9999-12-31	2013-05-08
006	2003-10-28	FROM	TRANSFER	Enterprise Oil Norge AS	28.333330	\N	20804	1853786	9999-12-31	2013-05-08
006	2003-10-28	FROM	TRANSFER	BP Norge AS	28.333330	\N	20804	2052695	9999-12-31	2013-05-08
006	1992-02-25	TO	UNKNOWN	Elf Petroleum Norge AS	15.000000	\N	20804	298	9999-12-31	2013-05-08
006	1989-04-14	TO	UNKNOWN	Enterprise Oil Norwegian AS	28.333330	\N	20804	342	9999-12-31	2013-05-08
006	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	28.333330	\N	20804	982372	9999-12-31	2013-05-08
006	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	15.000000	\N	20804	1340884	9999-12-31	2013-05-08
006	2001-02-15	TO	TRANSFER	TotalFinaElf Exploration Norge AS	28.333330	\N	20804	1340884	9999-12-31	2013-05-08
006	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	28.333330	\N	20804	1853786	9999-12-31	2013-05-08
006	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	28.333330	\N	20804	2052695	9999-12-31	2013-05-08
006	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	43.333330	\N	20804	2410708	9999-12-31	2013-05-08
006	2003-10-28	TO	TRANSFER	Total E&P Norge AS	56.666670	\N	20804	2410708	9999-12-31	2013-05-08
007	1967-01-01	FROM	UNKNOWN	Aquitaine Norge A/S	2.475000	\N	20812	111	9999-12-31	2013-05-08
007	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	10.792000	\N	20812	111	9999-12-31	2013-05-08
007	1967-01-01	FROM	UNKNOWN	Auxirap Norge A/S	4.950000	\N	20812	133	9999-12-31	2013-05-08
007	1967-06-20	FROM	UNKNOWN	Auxirap Norge A/S	21.300000	\N	20812	133	9999-12-31	2013-05-08
007	1967-01-01	FROM	UNKNOWN	Cofranord A/S	1.025000	\N	20812	199	9999-12-31	2013-05-08
007	1967-08-31	FROM	UNKNOWN	Cofranord A/S	0.384000	\N	20812	199	9999-12-31	2013-05-08
007	1987-01-01	FROM	UNKNOWN	Cofranord A/S	1.216000	\N	20812	199	9999-12-31	2013-05-08
007	1967-01-01	FROM	UNKNOWN	Coparex Norge A/S	0.525000	\N	20812	243	9999-12-31	2013-05-08
007	1967-08-31	FROM	UNKNOWN	Coparex Norge A/S	0.504000	\N	20812	243	9999-12-31	2013-05-08
007	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	21.584000	\N	20812	287	9999-12-31	2013-05-08
007	1967-01-01	FROM	UNKNOWN	Eurafrep Norge A/S	1.100000	\N	20812	364	9999-12-31	2013-05-08
007	1967-08-31	FROM	UNKNOWN	Eurafrep Norge A/S	0.576000	\N	20812	364	9999-12-31	2013-05-08
007	1967-01-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	2.500000	\N	20812	430	9999-12-31	2013-05-08
007	1977-07-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	11.400000	\N	20812	430	9999-12-31	2013-05-08
007	1967-01-01	FROM	UNKNOWN	Petropar Norge A/S	2.475000	\N	20812	650	9999-12-31	2013-05-08
007	1967-08-31	FROM	UNKNOWN	Petropar Norge A/S	31.950000	\N	20812	650	9999-12-31	2013-05-08
007	1967-01-01	FROM	UNKNOWN	Total Norge AS	4.950000	\N	20812	848	9999-12-31	2013-05-08
007	1967-08-31	FROM	UNKNOWN	Total Norge AS	5.112000	\N	20812	848	9999-12-31	2013-05-08
007	1980-06-02	FROM	UNKNOWN	OMV Norge A/S	11.400000	\N	20812	925	9999-12-31	2013-05-08
007	1967-01-01	TO	UNKNOWN	Norsk Agip  AS	5.220000	\N	20812	45	9999-12-31	2013-05-08
007	1967-08-31	TO	UNKNOWN	Aquitaine Norge A/S	0.142000	\N	20812	111	9999-12-31	2013-05-08
007	1967-08-31	TO	UNKNOWN	Elf Norge A/S	21.584000	\N	20812	287	9999-12-31	2013-05-08
007	1977-07-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	32.376000	\N	20812	331	9999-12-31	2013-05-08
007	1967-08-31	TO	UNKNOWN	Norsk Hydro Produksjon AS	16.800000	\N	20812	430	9999-12-31	2013-05-08
007	1980-06-02	TO	UNKNOWN	Norsk Hydro Produksjon AS	11.400000	\N	20812	430	9999-12-31	2013-05-08
007	1987-01-01	TO	UNKNOWN	Norminol AS	1.216000	\N	20812	529	9999-12-31	2013-05-08
007	1967-06-20	TO	UNKNOWN	Petropar Norge A/S	21.300000	\N	20812	650	9999-12-31	2013-05-08
007	1967-01-01	TO	UNKNOWN	Phillips Petroleum Company Norway	14.780000	\N	20812	694	9999-12-31	2013-05-08
007	1977-07-01	TO	UNKNOWN	OMV Norge A/S	11.400000	\N	20812	925	9999-12-31	2013-05-08
008	1994-01-01	FROM	UNKNOWN	Norsk Agip  AS	5.220000	\N	20820	45	9999-12-31	2013-05-08
008	1967-01-01	FROM	UNKNOWN	Aquitaine Norge A/S	2.662000	\N	20820	111	9999-12-31	2013-05-08
008	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	10.792000	\N	20820	111	9999-12-31	2013-05-08
008	1967-01-01	FROM	UNKNOWN	Auxirap Norge A/S	5.325000	\N	20820	133	9999-12-31	2013-05-08
008	1967-06-20	FROM	UNKNOWN	Auxirap Norge A/S	21.300000	\N	20820	133	9999-12-31	2013-05-08
008	1967-01-01	FROM	UNKNOWN	Cofranord A/S	0.400000	\N	20820	199	9999-12-31	2013-05-08
008	1972-01-01	FROM	UNKNOWN	Cofranord A/S	0.384000	\N	20820	199	9999-12-31	2013-05-08
008	1990-11-22	FROM	UNKNOWN	Cofranord A/S	1.216000	\N	20820	199	9999-12-31	2013-05-08
008	1967-01-01	FROM	UNKNOWN	Coparex Norge A/S	0.525000	\N	20820	243	9999-12-31	2013-05-08
008	1972-01-01	FROM	UNKNOWN	Coparex Norge A/S	0.504000	\N	20820	243	9999-12-31	2013-05-08
008	1990-11-22	FROM	UNKNOWN	Coparex Norge A/S	2.712000	\N	20820	243	9999-12-31	2013-05-08
008	1972-01-01	FROM	UNKNOWN	Elf Norge A/S	10.366000	\N	20820	287	9999-12-31	2013-05-08
008	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	21.584000	\N	20820	287	9999-12-31	2013-05-08
008	1994-12-21	FROM	UNKNOWN	Elf Petroleum Norge AS	32.376000	\N	20820	298	9999-12-31	2013-05-08
008	1992-07-15	FROM	UNKNOWN	Elf Rep Norge A/S	1.824000	\N	20820	309	9999-12-31	2013-05-08
008	1994-12-21	FROM	UNKNOWN	Elf Rex Norge AS	4.536000	\N	20820	320	9999-12-31	2013-05-08
008	1992-03-26	FROM	UNKNOWN	Elf Aquitaine Norge A/S	32.376000	\N	20820	331	9999-12-31	2013-05-08
008	1967-01-01	FROM	UNKNOWN	Eurafrep Norge A/S	0.600000	\N	20820	364	9999-12-31	2013-05-08
008	1972-01-01	FROM	UNKNOWN	Eurafrep Norge A/S	0.576000	\N	20820	364	9999-12-31	2013-05-08
008	1990-11-22	FROM	UNKNOWN	Eurafrep Norge A/S	1.824000	\N	20820	364	9999-12-31	2013-05-08
008	1967-01-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	2.500000	\N	20820	430	9999-12-31	2013-05-08
008	1980-06-02	FROM	UNKNOWN	Norsk Hydro Produksjon AS	13.400000	\N	20820	430	9999-12-31	2013-05-08
008	1990-01-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	1.116000	\N	20820	430	9999-12-31	2013-05-08
008	1992-03-26	FROM	UNKNOWN	Norsk Hydro Produksjon AS	11.284000	\N	20820	430	9999-12-31	2013-05-08
008	1994-01-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	12.400000	\N	20820	430	9999-12-31	2013-05-08
008	2001-05-09	FROM	TRANSFER	Norsk Hydro Produksjon AS	50.000000	\N	20820	430	9999-12-31	2013-05-08
008	1994-12-21	FROM	UNKNOWN	Norminol AS	46.308000	\N	20820	529	9999-12-31	2013-05-08
008	1967-01-01	FROM	UNKNOWN	Petropar Norge A/S	2.663000	\N	20820	650	9999-12-31	2013-05-08
008	1967-11-30	FROM	UNKNOWN	Petropar Norge A/S	31.950000	\N	20820	650	9999-12-31	2013-05-08
008	1994-12-21	FROM	UNKNOWN	Phillips Petroleum Company Norway	14.780000	\N	20820	694	9999-12-31	2013-05-08
008	1995-06-19	FROM	UNKNOWN	Saga Petroleum ASA	50.000000	\N	20820	716	9999-12-31	2013-05-08
008	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	50.000000	\N	20820	716	9999-12-31	2013-05-08
008	1994-12-21	FROM	UNKNOWN	Den norske stats oljeselskap a.s	2.000000	\N	20820	749	9999-12-31	2013-05-08
008	1967-01-01	FROM	UNKNOWN	Total Norge AS	5.325000	\N	20820	848	9999-12-31	2013-05-08
008	1972-01-01	FROM	UNKNOWN	Total Norge AS	5.112000	\N	20820	848	9999-12-31	2013-05-08
008	1994-01-01	FROM	UNKNOWN	Total Norge AS	27.472000	\N	20820	848	9999-12-31	2013-05-08
008	1983-12-31	FROM	UNKNOWN	OMV Norge A/S	11.400000	\N	20820	925	9999-12-31	2013-05-08
008	1967-01-01	TO	UNKNOWN	Norsk Agip  AS	5.220000	\N	20820	45	9999-12-31	2013-05-08
008	1995-06-19	TO	UNKNOWN	Amerada Hess Norge AS	50.000000	\N	20820	67	9999-12-31	2013-05-08
008	2001-05-09	TO	TRANSFER	Amerada Hess Norge AS	50.000000	\N	20820	67	9999-12-31	2013-05-08
008	1972-01-01	TO	UNKNOWN	Aquitaine Norge A/S	0.142000	\N	20820	111	9999-12-31	2013-05-08
008	1990-01-01	TO	UNKNOWN	Coparex Norge A/S	1.116000	\N	20820	243	9999-12-31	2013-05-08
008	1967-11-30	TO	UNKNOWN	Elf Norge A/S	31.950000	\N	20820	287	9999-12-31	2013-05-08
008	1992-03-26	TO	UNKNOWN	Elf Petroleum Norge AS	32.376000	\N	20820	298	9999-12-31	2013-05-08
008	1990-11-22	TO	UNKNOWN	Elf Rep Norge A/S	1.824000	\N	20820	309	9999-12-31	2013-05-08
008	1990-11-22	TO	UNKNOWN	Elf Rex Norge AS	2.712000	\N	20820	320	9999-12-31	2013-05-08
008	1992-07-15	TO	UNKNOWN	Elf Rex Norge AS	1.824000	\N	20820	320	9999-12-31	2013-05-08
008	1977-07-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	32.376000	\N	20820	331	9999-12-31	2013-05-08
008	1972-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	16.800000	\N	20820	430	9999-12-31	2013-05-08
008	1983-12-31	TO	UNKNOWN	Norsk Hydro Produksjon AS	11.400000	\N	20820	430	9999-12-31	2013-05-08
008	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	50.000000	\N	20820	430	9999-12-31	2013-05-08
008	1990-11-22	TO	UNKNOWN	Norminol AS	1.216000	\N	20820	529	9999-12-31	2013-05-08
008	1994-01-01	TO	UNKNOWN	Norminol AS	45.092000	\N	20820	529	9999-12-31	2013-05-08
008	1967-06-20	TO	UNKNOWN	Petropar Norge A/S	21.300000	\N	20820	650	9999-12-31	2013-05-08
008	1967-01-01	TO	UNKNOWN	Phillips Petroleum Company Norway	14.780000	\N	20820	694	9999-12-31	2013-05-08
008	1994-12-21	TO	UNKNOWN	Saga Petroleum ASA	100.000000	\N	20820	716	9999-12-31	2013-05-08
008	1980-06-02	TO	UNKNOWN	Den norske stats oljeselskap a.s	2.000000	\N	20820	749	9999-12-31	2013-05-08
008	1992-03-26	TO	UNKNOWN	Total Norge AS	11.284000	\N	20820	848	9999-12-31	2013-05-08
008	1980-06-02	TO	UNKNOWN	OMV Norge A/S	11.400000	\N	20820	925	9999-12-31	2013-05-08
009	1994-12-27	FROM	UNKNOWN	Norsk Agip  AS	5.220000	\N	20828	45	9999-12-31	2013-05-08
009	1967-01-01	FROM	UNKNOWN	Aquitaine Norge A/S	2.662000	\N	20828	111	9999-12-31	2013-05-08
009	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	10.792000	\N	20828	111	9999-12-31	2013-05-08
009	1967-01-01	FROM	UNKNOWN	Auxirap Norge A/S	5.325000	\N	20828	133	9999-12-31	2013-05-08
009	1967-06-20	FROM	UNKNOWN	Auxirap Norge A/S	21.300000	\N	20828	133	9999-12-31	2013-05-08
009	1967-01-01	FROM	UNKNOWN	Cofranord A/S	0.400000	\N	20828	199	9999-12-31	2013-05-08
009	1967-11-30	FROM	UNKNOWN	Cofranord A/S	0.384000	\N	20828	199	9999-12-31	2013-05-08
009	1987-01-01	FROM	UNKNOWN	Cofranord A/S	1.216000	\N	20828	199	9999-12-31	2013-05-08
009	1967-01-01	FROM	UNKNOWN	Coparex Norge A/S	0.525000	\N	20828	243	9999-12-31	2013-05-08
009	1967-11-30	FROM	UNKNOWN	Coparex Norge A/S	0.504000	\N	20828	243	9999-12-31	2013-05-08
009	1990-11-22	FROM	UNKNOWN	Coparex Norge A/S	1.596000	\N	20828	243	9999-12-31	2013-05-08
009	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	21.584000	\N	20828	287	9999-12-31	2013-05-08
009	1992-07-15	FROM	UNKNOWN	Elf Rep Norge A/S	1.824000	\N	20828	309	9999-12-31	2013-05-08
009	1997-01-01	FROM	UNKNOWN	Elf Rex Norge AS	3.420000	\N	20828	320	9999-12-31	2013-05-08
009	1992-07-15	FROM	UNKNOWN	Elf Aquitaine Norge A/S	32.376000	\N	20828	331	9999-12-31	2013-05-08
009	1967-01-01	FROM	UNKNOWN	Eurafrep Norge A/S	0.600000	\N	20828	364	9999-12-31	2013-05-08
009	1967-11-30	FROM	UNKNOWN	Eurafrep Norge A/S	0.576000	\N	20828	364	9999-12-31	2013-05-08
009	1990-11-22	FROM	UNKNOWN	Eurafrep Norge A/S	1.824000	\N	20828	364	9999-12-31	2013-05-08
009	1967-01-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	2.500000	\N	20828	430	9999-12-31	2013-05-08
009	1977-07-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	11.400000	\N	20828	430	9999-12-31	2013-05-08
009	1994-03-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	26.800000	\N	20828	430	9999-12-31	2013-05-08
009	1994-03-01	FROM	UNKNOWN	Norminol AS	1.216000	\N	20828	529	9999-12-31	2013-05-08
009	1967-01-01	FROM	UNKNOWN	Petropar Norge A/S	2.663000	\N	20828	650	9999-12-31	2013-05-08
009	1967-11-30	FROM	UNKNOWN	Petropar Norge A/S	31.950000	\N	20828	650	9999-12-31	2013-05-08
009	1967-01-01	FROM	UNKNOWN	Total Norge AS	5.325000	\N	20828	848	9999-12-31	2013-05-08
009	1967-11-30	FROM	UNKNOWN	Total Norge AS	5.112000	\N	20828	848	9999-12-31	2013-05-08
009	1980-06-02	FROM	UNKNOWN	OMV Norge A/S	11.400000	\N	20828	925	9999-12-31	2013-05-08
009	1967-01-01	TO	UNKNOWN	Norsk Agip  AS	5.220000	\N	20828	45	9999-12-31	2013-05-08
009	1967-11-30	TO	UNKNOWN	Aquitaine Norge A/S	0.142000	\N	20828	111	9999-12-31	2013-05-08
009	1967-11-30	TO	UNKNOWN	Elf Norge A/S	21.584000	\N	20828	287	9999-12-31	2013-05-08
009	1992-07-15	TO	UNKNOWN	Elf Petroleum Norge AS	32.376000	\N	20828	298	9999-12-31	2013-05-08
009	1994-03-01	TO	UNKNOWN	Elf Petroleum Norge AS	28.016000	\N	20828	298	9999-12-31	2013-05-08
009	1994-12-27	TO	UNKNOWN	Elf Petroleum Norge AS	5.220000	\N	20828	298	9999-12-31	2013-05-08
009	1997-01-01	TO	UNKNOWN	Elf Petroleum Norge AS	3.420000	\N	20828	298	9999-12-31	2013-05-08
009	1990-11-22	TO	UNKNOWN	Elf Rep Norge A/S	1.824000	\N	20828	309	9999-12-31	2013-05-08
009	1990-11-22	TO	UNKNOWN	Elf Rex Norge AS	1.596000	\N	20828	320	9999-12-31	2013-05-08
009	1992-07-15	TO	UNKNOWN	Elf Rex Norge AS	1.824000	\N	20828	320	9999-12-31	2013-05-08
009	1977-07-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	32.376000	\N	20828	331	9999-12-31	2013-05-08
009	1967-11-30	TO	UNKNOWN	Norsk Hydro Produksjon AS	16.800000	\N	20828	430	9999-12-31	2013-05-08
009	1980-06-02	TO	UNKNOWN	Norsk Hydro Produksjon AS	11.400000	\N	20828	430	9999-12-31	2013-05-08
009	1987-01-01	TO	UNKNOWN	Norminol AS	1.216000	\N	20828	529	9999-12-31	2013-05-08
009	1967-06-20	TO	UNKNOWN	Petropar Norge A/S	21.300000	\N	20828	650	9999-12-31	2013-05-08
009	1967-01-01	TO	UNKNOWN	Phillips Petroleum Company Norway	14.780000	\N	20828	694	9999-12-31	2013-05-08
009	1977-07-01	TO	UNKNOWN	OMV Norge A/S	11.400000	\N	20828	925	9999-12-31	2013-05-08
011	1997-02-24	FROM	UNKNOWN	Amoco Norway Oil Company	20.000000	\N	20844	78	9999-12-31	2013-05-08
011	1995-05-09	FROM	UNKNOWN	A/S Norske Shell	50.000000	\N	20844	562	9999-12-31	2013-05-08
011	1995-05-09	TO	UNKNOWN	Amoco Norway Oil Company	50.000000	\N	20844	78	9999-12-31	2013-05-08
011	1997-02-24	TO	UNKNOWN	Norske Conoco A/S	20.000000	\N	20844	221	9999-12-31	2013-05-08
013	1971-05-01	FROM	UNKNOWN	California Asiatic Oil co of Norway	50.000000	\N	20860	177	9999-12-31	2013-05-08
013	1975-01-01	FROM	UNKNOWN	Chevron Petroleum Company of Norway	12.500000	\N	20860	188	9999-12-31	2013-05-08
013	1976-12-31	FROM	UNKNOWN	Chevron Petroleum Company of Norway	12.500000	\N	20860	188	9999-12-31	2013-05-08
013	1975-01-01	FROM	UNKNOWN	Conoco Norway Inc.	23.750000	\N	20860	210	9999-12-31	2013-05-08
013	1976-12-31	FROM	UNKNOWN	Conoco Norway Inc.	23.750000	\N	20860	210	9999-12-31	2013-05-08
013	1977-07-31	FROM	UNKNOWN	Deminex Norge AS	43.000000	\N	20860	254	9999-12-31	2013-05-08
013	1977-07-31	FROM	UNKNOWN	Pelican AS	21.000000	\N	20860	606	9999-12-31	2013-05-08
013	1976-12-31	FROM	UNKNOWN	Petroswede Norge A/S	20.625000	\N	20860	672	9999-12-31	2013-05-08
013	1975-01-01	FROM	UNKNOWN	Texaco Exploration Norway AS	12.500000	\N	20860	804	9999-12-31	2013-05-08
013	1976-12-31	FROM	UNKNOWN	Texaco Exploration Norway AS	12.500000	\N	20860	804	9999-12-31	2013-05-08
013	1971-05-01	FROM	UNKNOWN	Texas Overseas Petroleum Company	50.000000	\N	20860	826	9999-12-31	2013-05-08
013	1971-05-01	TO	UNKNOWN	Chevron Petroleum Company of Norway	25.000000	\N	20860	188	9999-12-31	2013-05-08
013	1971-05-01	TO	UNKNOWN	Conoco Norway Inc.	47.500000	\N	20860	210	9999-12-31	2013-05-08
013	1975-01-01	TO	UNKNOWN	Deminex Norge AS	20.625000	\N	20860	254	9999-12-31	2013-05-08
013	1976-12-31	TO	UNKNOWN	Deminex Norge AS	54.375000	\N	20860	254	9999-12-31	2013-05-08
013	1971-05-01	TO	UNKNOWN	Pelican AS	2.500000	\N	20860	606	9999-12-31	2013-05-08
013	1975-01-01	TO	UNKNOWN	Pelican AS	7.500000	\N	20860	606	9999-12-31	2013-05-08
013	1976-12-31	TO	UNKNOWN	Pelican AS	15.000000	\N	20860	606	9999-12-31	2013-05-08
013	1975-01-01	TO	UNKNOWN	Petroswede Norge A/S	20.625000	\N	20860	672	9999-12-31	2013-05-08
013	1977-07-31	TO	UNKNOWN	Petroswede Norge A/S	8.000000	\N	20860	672	9999-12-31	2013-05-08
013	1977-07-31	TO	UNKNOWN	Saga Petroleum ASA	16.000000	\N	20860	716	9999-12-31	2013-05-08
013	1977-07-31	TO	UNKNOWN	Scandinavian Sun Oil A/S	20.000000	\N	20860	727	9999-12-31	2013-05-08
013	1977-07-31	TO	UNKNOWN	Den norske stats oljeselskap a.s	20.000000	\N	20860	749	9999-12-31	2013-05-08
013	1971-05-01	TO	UNKNOWN	Texaco Exploration Norway AS	25.000000	\N	20860	804	9999-12-31	2013-05-08
014	1971-05-01	FROM	UNKNOWN	California Asiatic Oil co of Norway	50.000000	\N	20868	177	9999-12-31	2013-05-08
014	1975-01-01	FROM	UNKNOWN	Chevron Petroleum Company of Norway	12.500000	\N	20868	188	9999-12-31	2013-05-08
014	1976-12-31	FROM	UNKNOWN	Chevron Petroleum Company of Norway	12.500000	\N	20868	188	9999-12-31	2013-05-08
014	1975-01-01	FROM	UNKNOWN	Conoco Norway Inc.	23.750000	\N	20868	210	9999-12-31	2013-05-08
014	1976-12-31	FROM	UNKNOWN	Conoco Norway Inc.	23.750000	\N	20868	210	9999-12-31	2013-05-08
014	1977-07-31	FROM	UNKNOWN	Deminex Norge AS	43.000000	\N	20868	254	9999-12-31	2013-05-08
014	1977-07-31	FROM	UNKNOWN	Pelican AS	21.000000	\N	20868	606	9999-12-31	2013-05-08
014	1976-12-31	FROM	UNKNOWN	Petroswede Norge A/S	20.625000	\N	20868	672	9999-12-31	2013-05-08
014	1975-01-01	FROM	UNKNOWN	Texaco Exploration Norway AS	25.000000	\N	20868	804	9999-12-31	2013-05-08
014	1971-05-01	FROM	UNKNOWN	Texas Overseas Petroleum Company	50.000000	\N	20868	826	9999-12-31	2013-05-08
014	1976-12-31	FROM	UNKNOWN	Texas Overseas Petroleum Company	12.500000	\N	20868	826	9999-12-31	2013-05-08
014	1971-05-01	TO	UNKNOWN	Chevron Petroleum Company of Norway	25.000000	\N	20868	188	9999-12-31	2013-05-08
014	1971-05-01	TO	UNKNOWN	Conoco Norway Inc.	47.500000	\N	20868	210	9999-12-31	2013-05-08
014	1975-01-01	TO	UNKNOWN	Deminex Norge AS	20.625000	\N	20868	254	9999-12-31	2013-05-08
014	1976-12-31	TO	UNKNOWN	Deminex Norge AS	54.375000	\N	20868	254	9999-12-31	2013-05-08
014	1971-05-01	TO	UNKNOWN	Pelican AS	2.500000	\N	20868	606	9999-12-31	2013-05-08
014	1975-01-01	TO	UNKNOWN	Pelican AS	7.500000	\N	20868	606	9999-12-31	2013-05-08
014	1976-12-31	TO	UNKNOWN	Pelican AS	15.000000	\N	20868	606	9999-12-31	2013-05-08
014	1975-01-01	TO	UNKNOWN	Petroswede Norge A/S	20.625000	\N	20868	672	9999-12-31	2013-05-08
014	1977-07-31	TO	UNKNOWN	Petroswede Norge A/S	8.000000	\N	20868	672	9999-12-31	2013-05-08
014	1977-07-31	TO	UNKNOWN	Saga Petroleum ASA	16.000000	\N	20868	716	9999-12-31	2013-05-08
014	1977-07-31	TO	UNKNOWN	Scandinavian Sun Oil A/S	20.000000	\N	20868	727	9999-12-31	2013-05-08
014	1977-07-31	TO	UNKNOWN	Den norske stats oljeselskap a.s	20.000000	\N	20868	749	9999-12-31	2013-05-08
014	1971-05-01	TO	UNKNOWN	Texaco Exploration Norway AS	25.000000	\N	20868	804	9999-12-31	2013-05-08
014	1975-01-01	TO	UNKNOWN	Texas Overseas Petroleum Company	12.500000	\N	20868	826	9999-12-31	2013-05-08
015	1971-05-01	FROM	UNKNOWN	California Asiatic Oil co of Norway	50.000000	\N	20876	177	9999-12-31	2013-05-08
015	1975-01-01	FROM	UNKNOWN	Chevron Petroleum Company of Norway	12.500000	\N	20876	188	9999-12-31	2013-05-08
015	1976-12-31	FROM	UNKNOWN	Chevron Petroleum Company of Norway	12.500000	\N	20876	188	9999-12-31	2013-05-08
015	1975-01-01	FROM	UNKNOWN	Conoco Norway Inc.	23.750000	\N	20876	210	9999-12-31	2013-05-08
015	1976-12-31	FROM	UNKNOWN	Conoco Norway Inc.	23.750000	\N	20876	210	9999-12-31	2013-05-08
015	1977-07-31	FROM	UNKNOWN	Deminex Norge AS	43.000000	\N	20876	254	9999-12-31	2013-05-08
015	1977-07-31	FROM	UNKNOWN	Pelican AS	21.000000	\N	20876	606	9999-12-31	2013-05-08
015	1976-12-31	FROM	UNKNOWN	Petroswede Norge A/S	20.625000	\N	20876	672	9999-12-31	2013-05-08
015	1976-12-31	FROM	UNKNOWN	Texaco Exploration Norway AS	12.500000	\N	20876	804	9999-12-31	2013-05-08
015	1971-05-01	FROM	UNKNOWN	Texas Overseas Petroleum Company	25.000000	\N	20876	826	9999-12-31	2013-05-08
015	1975-01-01	FROM	UNKNOWN	Texas Overseas Petroleum Company	25.000000	\N	20876	826	9999-12-31	2013-05-08
015	1971-05-01	TO	UNKNOWN	Chevron Petroleum Company of Norway	25.000000	\N	20876	188	9999-12-31	2013-05-08
015	1971-05-01	TO	UNKNOWN	Conoco Norway Inc.	47.500000	\N	20876	210	9999-12-31	2013-05-08
015	1975-01-01	TO	UNKNOWN	Deminex Norge AS	20.625000	\N	20876	254	9999-12-31	2013-05-08
015	1976-12-31	TO	UNKNOWN	Deminex Norge AS	54.375000	\N	20876	254	9999-12-31	2013-05-08
015	1971-05-01	TO	UNKNOWN	Pelican AS	2.500000	\N	20876	606	9999-12-31	2013-05-08
015	1975-01-01	TO	UNKNOWN	Pelican AS	7.500000	\N	20876	606	9999-12-31	2013-05-08
015	1976-12-31	TO	UNKNOWN	Pelican AS	15.000000	\N	20876	606	9999-12-31	2013-05-08
015	1975-01-01	TO	UNKNOWN	Petroswede Norge A/S	20.625000	\N	20876	672	9999-12-31	2013-05-08
015	1977-07-31	TO	UNKNOWN	Petroswede Norge A/S	8.000000	\N	20876	672	9999-12-31	2013-05-08
015	1977-07-31	TO	UNKNOWN	Saga Petroleum ASA	16.000000	\N	20876	716	9999-12-31	2013-05-08
015	1977-07-31	TO	UNKNOWN	Scandinavian Sun Oil A/S	20.000000	\N	20876	727	9999-12-31	2013-05-08
015	1977-07-31	TO	UNKNOWN	Den norske stats oljeselskap a.s	20.000000	\N	20876	749	9999-12-31	2013-05-08
015	1975-01-01	TO	UNKNOWN	Texaco Exploration Norway AS	12.500000	\N	20876	804	9999-12-31	2013-05-08
016	1968-01-01	FROM	UNKNOWN	Norsk Agip  AS	5.220000	\N	20884	45	9999-12-31	2013-05-08
016	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	3.550000	\N	20884	111	9999-12-31	2013-05-08
016	1977-07-01	FROM	UNKNOWN	Cofranord A/S	0.096000	\N	20884	199	9999-12-31	2013-05-08
016	1990-11-22	FROM	UNKNOWN	Cofranord A/S	0.304000	\N	20884	199	9999-12-31	2013-05-08
016	1977-07-01	FROM	UNKNOWN	Coparex Norge A/S	0.126000	\N	20884	243	9999-12-31	2013-05-08
016	1990-11-22	FROM	UNKNOWN	Coparex Norge A/S	0.399000	\N	20884	243	9999-12-31	2013-05-08
016	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	7.100000	\N	20884	287	9999-12-31	2013-05-08
016	1992-07-15	FROM	UNKNOWN	Elf Rep Norge A/S	0.456000	\N	20884	309	9999-12-31	2013-05-08
016	1977-07-01	FROM	UNKNOWN	Eurafrep Norge A/S	0.144000	\N	20884	364	9999-12-31	2013-05-08
016	1990-11-22	FROM	UNKNOWN	Eurafrep Norge A/S	0.456000	\N	20884	364	9999-12-31	2013-05-08
016	1968-01-01	FROM	UNKNOWN	Phillips Petroleum Company Norway	14.780000	\N	20884	694	9999-12-31	2013-05-08
016	1977-07-01	FROM	UNKNOWN	Total Norge AS	1.278000	\N	20884	848	9999-12-31	2013-05-08
016	1968-01-01	TO	UNKNOWN	Aquitaine Norge A/S	3.550000	\N	20884	111	9999-12-31	2013-05-08
016	1968-01-01	TO	UNKNOWN	Cofranord A/S	0.400000	\N	20884	199	9999-12-31	2013-05-08
016	1968-01-01	TO	UNKNOWN	Coparex Norge A/S	0.525000	\N	20884	243	9999-12-31	2013-05-08
016	1968-01-01	TO	UNKNOWN	Elf Norge A/S	7.100000	\N	20884	287	9999-12-31	2013-05-08
016	1977-07-01	TO	UNKNOWN	Elf Petroleum Norge AS	8.094000	\N	20884	298	9999-12-31	2013-05-08
016	1990-11-22	TO	UNKNOWN	Elf Rep Norge A/S	0.456000	\N	20884	309	9999-12-31	2013-05-08
016	1990-11-22	TO	UNKNOWN	Elf Rex Norge AS	0.399000	\N	20884	320	9999-12-31	2013-05-08
016	1992-07-15	TO	UNKNOWN	Elf Rex Norge AS	0.456000	\N	20884	320	9999-12-31	2013-05-08
016	1968-01-01	TO	UNKNOWN	Eurafrep Norge A/S	0.600000	\N	20884	364	9999-12-31	2013-05-08
016	1968-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	2.500000	\N	20884	430	9999-12-31	2013-05-08
016	1977-07-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	4.200000	\N	20884	430	9999-12-31	2013-05-08
016	1990-11-22	TO	UNKNOWN	Norminol AS	0.304000	\N	20884	529	9999-12-31	2013-05-08
016	1968-01-01	TO	UNKNOWN	Total Norge AS	5.325000	\N	20884	848	9999-12-31	2013-05-08
017	1968-01-01	FROM	UNKNOWN	Norsk Agip  AS	5.220000	\N	20892	45	9999-12-31	2013-05-08
017	1977-01-01	FROM	UNKNOWN	Aquitaine Norge A/S	0.852000	\N	20892	111	9999-12-31	2013-05-08
017	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	2.698000	\N	20892	111	9999-12-31	2013-05-08
017	1977-01-01	FROM	UNKNOWN	Cofranord A/S	0.096000	\N	20892	199	9999-12-31	2013-05-08
017	1990-11-22	FROM	UNKNOWN	Cofranord A/S	0.304000	\N	20892	199	9999-12-31	2013-05-08
017	1977-01-01	FROM	UNKNOWN	Coparex Norge A/S	0.126000	\N	20892	243	9999-12-31	2013-05-08
017	1990-11-22	FROM	UNKNOWN	Coparex Norge A/S	0.399000	\N	20892	243	9999-12-31	2013-05-08
017	1977-01-01	FROM	UNKNOWN	Elf Norge A/S	1.704000	\N	20892	287	9999-12-31	2013-05-08
017	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	5.396000	\N	20892	287	9999-12-31	2013-05-08
017	1977-01-01	FROM	UNKNOWN	Eurafrep Norge A/S	0.144000	\N	20892	364	9999-12-31	2013-05-08
017	1990-11-22	FROM	UNKNOWN	Eurafrep Norge A/S	0.456000	\N	20892	364	9999-12-31	2013-05-08
017	1968-01-01	FROM	UNKNOWN	Phillips Petroleum Company Norway	14.780000	\N	20892	694	9999-12-31	2013-05-08
017	1977-01-01	FROM	UNKNOWN	Total Norge AS	1.278000	\N	20892	848	9999-12-31	2013-05-08
017	1968-01-01	TO	UNKNOWN	Aquitaine Norge A/S	3.550000	\N	20892	111	9999-12-31	2013-05-08
017	1968-01-01	TO	UNKNOWN	Cofranord A/S	0.400000	\N	20892	199	9999-12-31	2013-05-08
017	1968-01-01	TO	UNKNOWN	Coparex Norge A/S	0.525000	\N	20892	243	9999-12-31	2013-05-08
017	1968-01-01	TO	UNKNOWN	Elf Norge A/S	7.100000	\N	20892	287	9999-12-31	2013-05-08
017	1977-07-01	TO	UNKNOWN	Elf Petroleum Norge AS	8.094000	\N	20892	298	9999-12-31	2013-05-08
017	1990-11-22	TO	UNKNOWN	Elf Rep Norge A/S	0.456000	\N	20892	309	9999-12-31	2013-05-08
017	1990-11-22	TO	UNKNOWN	Elf Rex Norge AS	0.399000	\N	20892	320	9999-12-31	2013-05-08
017	1968-01-01	TO	UNKNOWN	Eurafrep Norge A/S	0.600000	\N	20892	364	9999-12-31	2013-05-08
017	1968-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	2.500000	\N	20892	430	9999-12-31	2013-05-08
017	1977-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	4.200000	\N	20892	430	9999-12-31	2013-05-08
017	1990-11-22	TO	UNKNOWN	Norminol AS	0.304000	\N	20892	529	9999-12-31	2013-05-08
017	1968-01-01	TO	UNKNOWN	Total Norge AS	5.325000	\N	20892	848	9999-12-31	2013-05-08
018	1968-01-01	FROM	UNKNOWN	Norsk Agip  AS	5.220000	\N	20900	45	9999-12-31	2013-05-08
018	1999-01-01	FROM	TRANSFER	Norsk Agip  AS	0.652000	\N	20900	45	9999-12-31	2013-05-08
018	2003-12-15	FROM	MERGER/TAKEOVER	Norsk Agip  AS	12.388000	\N	20900	45	9999-12-31	2013-05-08
018	1971-01-01	FROM	UNKNOWN	Aquitaine Norge A/S	0.852000	\N	20900	111	9999-12-31	2013-05-08
018	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	2.698000	\N	20900	111	9999-12-31	2013-05-08
018	1971-01-01	FROM	UNKNOWN	Cofranord A/S	0.096000	\N	20900	199	9999-12-31	2013-05-08
018	1990-11-22	FROM	UNKNOWN	Cofranord A/S	0.304000	\N	20900	199	9999-12-31	2013-05-08
018	1971-01-01	FROM	UNKNOWN	Coparex Norge A/S	0.126000	\N	20900	243	9999-12-31	2013-05-08
018	1990-11-22	FROM	UNKNOWN	Coparex Norge A/S	0.399000	\N	20900	243	9999-12-31	2013-05-08
018	1971-01-01	FROM	UNKNOWN	Elf Norge A/S	1.704000	\N	20900	287	9999-12-31	2013-05-08
018	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	5.396000	\N	20900	287	9999-12-31	2013-05-08
018	1999-01-01	FROM	TRANSFER	Elf Petroleum Norge AS	0.423000	\N	20900	298	9999-12-31	2013-05-08
018	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	8.026000	\N	20900	298	9999-12-31	2013-05-08
018	1992-08-14	FROM	UNKNOWN	Elf Rep Norge A/S	0.456000	\N	20900	309	9999-12-31	2013-05-08
018	1997-01-01	FROM	UNKNOWN	Elf Rex Norge AS	0.855000	\N	20900	320	9999-12-31	2013-05-08
018	1988-04-01	FROM	UNKNOWN	Elf Aquitaine Norge A/S	0.500000	\N	20900	331	9999-12-31	2013-05-08
018	1992-08-14	FROM	UNKNOWN	Elf Aquitaine Norge A/S	7.594000	\N	20900	331	9999-12-31	2013-05-08
018	1971-01-01	FROM	UNKNOWN	Eurafrep Norge A/S	0.144000	\N	20900	364	9999-12-31	2013-05-08
018	1990-11-22	FROM	UNKNOWN	Eurafrep Norge A/S	0.456000	\N	20900	364	9999-12-31	2013-05-08
018	1999-01-01	FROM	TRANSFER	Fina Production Licenses AS	1.500000	\N	20900	386	9999-12-31	2013-05-08
018	2000-12-20	FROM	MERGER/TAKEOVER	Fina Production Licenses AS	28.500000	\N	20900	386	9999-12-31	2013-05-08
018	1999-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	0.335000	\N	20900	430	9999-12-31	2013-05-08
018	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	6.654000	\N	20900	430	9999-12-31	2013-05-08
018	1995-01-01	FROM	UNKNOWN	Norminol AS	0.304000	\N	20900	529	9999-12-31	2013-05-08
018	1968-01-01	FROM	UNKNOWN	Phillips Petroleum Company Norway	14.780000	\N	20900	694	9999-12-31	2013-05-08
018	1999-01-01	FROM	TRANSFER	Phillips Petroleum Company Norway	1.848000	\N	20900	694	9999-12-31	2013-05-08
018	2002-10-23	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Company Norway	35.112000	\N	20900	694	9999-12-31	2013-05-08
018	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	35.112000	\N	20900	705	9999-12-31	2013-05-08
018	1999-01-01	FROM	TRANSFER	Saga Petroleum ASA	0.015000	\N	20900	716	9999-12-31	2013-05-08
018	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	0.289000	\N	20900	716	9999-12-31	2013-05-08
018	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	5.950000	\N	20900	749	9999-12-31	2013-05-08
018	1971-01-01	FROM	UNKNOWN	Total Norge AS	1.278000	\N	20900	848	9999-12-31	2013-05-08
018	1988-04-01	FROM	UNKNOWN	Total Norge AS	0.500000	\N	20900	848	9999-12-31	2013-05-08
018	1999-01-01	FROM	TRANSFER	Total Norge AS	0.177000	\N	20900	848	9999-12-31	2013-05-08
018	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	31.870000	\N	20900	848	9999-12-31	2013-05-08
018	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	39.896000	\N	20900	1340884	9999-12-31	2013-05-08
018	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	0.950000	\N	20900	1622484	9999-12-31	2013-05-08
018	2001-06-17	FROM	SDFI	SDØE	5.000000	\N	20900	1623450	9999-12-31	2013-05-08
018	2003-03-05	FROM	TRANSFER	ConocoPhillips Norge	35.112000	\N	20900	2144081	9999-12-31	2013-05-08
018	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	7.604000	\N	20900	4511658	9999-12-31	2013-05-08
018	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	0.950000	\N	20900	4511854	9999-12-31	2013-05-08
018	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	6.654000	\N	20900	4524355	9999-12-31	2013-05-08
018	1968-01-01	TO	UNKNOWN	Aquitaine Norge A/S	3.550000	\N	20900	111	9999-12-31	2013-05-08
018	1968-01-01	TO	UNKNOWN	Cofranord A/S	0.400000	\N	20900	199	9999-12-31	2013-05-08
018	1968-01-01	TO	UNKNOWN	Coparex Norge A/S	0.525000	\N	20900	243	9999-12-31	2013-05-08
018	1968-01-01	TO	UNKNOWN	Elf Norge A/S	7.100000	\N	20900	287	9999-12-31	2013-05-08
018	1992-08-14	TO	UNKNOWN	Elf Petroleum Norge AS	7.594000	\N	20900	298	9999-12-31	2013-05-08
018	1997-01-01	TO	UNKNOWN	Elf Petroleum Norge AS	0.855000	\N	20900	298	9999-12-31	2013-05-08
018	1990-11-22	TO	UNKNOWN	Elf Rep Norge A/S	0.456000	\N	20900	309	9999-12-31	2013-05-08
018	1990-11-22	TO	UNKNOWN	Elf Rex Norge AS	0.399000	\N	20900	320	9999-12-31	2013-05-08
018	1992-08-14	TO	UNKNOWN	Elf Rex Norge AS	0.456000	\N	20900	320	9999-12-31	2013-05-08
018	1977-07-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	8.094000	\N	20900	331	9999-12-31	2013-05-08
018	1968-01-01	TO	UNKNOWN	Eurafrep Norge A/S	0.600000	\N	20900	364	9999-12-31	2013-05-08
018	1968-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	2.500000	\N	20900	430	9999-12-31	2013-05-08
018	1971-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	4.200000	\N	20900	430	9999-12-31	2013-05-08
018	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	0.289000	\N	20900	430	9999-12-31	2013-05-08
018	1990-11-22	TO	UNKNOWN	Norminol AS	0.304000	\N	20900	529	9999-12-31	2013-05-08
018	2003-03-05	TO	TRANSFER	Phillips Petroleum Norsk AS	35.112000	\N	20900	705	9999-12-31	2013-05-08
018	1995-01-01	TO	UNKNOWN	Saga Petroleum ASA	0.304000	\N	20900	716	9999-12-31	2013-05-08
018	1988-04-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	1.000000	\N	20900	749	9999-12-31	2013-05-08
018	1999-01-01	TO	TRANSFER	Den norske stats oljeselskap a.s	4.950000	5.000000	20900	749	9999-12-31	2013-05-08
018	1968-01-01	TO	UNKNOWN	Total Norge AS	5.325000	\N	20900	848	9999-12-31	2013-05-08
018	2000-12-20	TO	MERGER/TAKEOVER	Total Norge AS	28.500000	\N	20900	848	9999-12-31	2013-05-08
018	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	8.026000	\N	20900	1340884	9999-12-31	2013-05-08
018	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	31.870000	\N	20900	1340884	9999-12-31	2013-05-08
018	2001-05-10	TO	SDFI	Statoil ASA (old)	0.950000	\N	20900	1622484	9999-12-31	2013-05-08
018	2001-05-10	TO	SDFI	SDØE	5.000000	\N	20900	1623450	9999-12-31	2013-05-08
018	2001-06-17	TO	SDFI	Petoro AS	5.000000	\N	20900	1626839	9999-12-31	2013-05-08
018	2002-10-23	TO	CHANGE OF COMPANY NAME	ConocoPhillips Norge	35.112000	\N	20900	2144081	9999-12-31	2013-05-08
018	2003-12-15	TO	MERGER/TAKEOVER	Eni Norge AS	12.388000	\N	20900	2388594	9999-12-31	2013-05-08
018	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	35.112000	\N	20900	2410696	9999-12-31	2013-05-08
018	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	39.896000	\N	20900	2410708	9999-12-31	2013-05-08
018	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	6.654000	\N	20900	4511658	9999-12-31	2013-05-08
018	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	0.950000	\N	20900	4511658	9999-12-31	2013-05-08
018	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	0.950000	\N	20900	4511854	9999-12-31	2013-05-08
018	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	6.654000	\N	20900	4524355	9999-12-31	2013-05-08
018	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	7.604000	\N	20900	17237817	9999-12-31	2013-05-08
018 B	1999-01-01	FROM	TRANSFER	Norsk Agip  AS	0.652000	\N	20908	45	9999-12-31	2013-05-08
018 B	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	12.388000	\N	20908	45	9999-12-31	2013-05-08
018 B	1999-01-01	FROM	TRANSFER	Elf Petroleum Norge AS	0.423000	\N	20908	298	9999-12-31	2013-05-08
018 B	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	8.026000	\N	20908	298	9999-12-31	2013-05-08
018 B	1997-01-01	FROM	UNKNOWN	Elf Rex Norge AS	0.855000	\N	20908	320	9999-12-31	2013-05-08
018 B	1999-01-01	FROM	TRANSFER	Fina Production Licenses AS	1.500000	\N	20908	386	9999-12-31	2013-05-08
018 B	2000-12-20	FROM	MERGER/TAKEOVER	Fina Production Licenses AS	28.500000	\N	20908	386	9999-12-31	2013-05-08
018 B	1999-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	0.335000	\N	20908	430	9999-12-31	2013-05-08
018 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	6.654000	\N	20908	430	9999-12-31	2013-05-08
018 B	1999-01-01	FROM	TRANSFER	Phillips Petroleum Company Norway	1.848000	\N	20908	694	9999-12-31	2013-05-08
018 B	2002-10-23	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Company Norway	35.112000	\N	20908	694	9999-12-31	2013-05-08
018 B	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	35.112000	\N	20908	705	9999-12-31	2013-05-08
018 B	1999-01-01	FROM	TRANSFER	Saga Petroleum ASA	0.015000	\N	20908	716	9999-12-31	2013-05-08
018 B	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	0.289000	\N	20908	716	9999-12-31	2013-05-08
018 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	5.950000	\N	20908	749	9999-12-31	2013-05-08
018 B	1999-01-01	FROM	TRANSFER	Total Norge AS	0.177000	\N	20908	848	9999-12-31	2013-05-08
018 B	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	31.870000	\N	20908	848	9999-12-31	2013-05-08
018 B	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	39.896000	\N	20908	1340884	9999-12-31	2013-05-08
018 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	0.950000	\N	20908	1622484	9999-12-31	2013-05-08
018 B	2001-06-17	FROM	SDFI	SDØE	5.000000	\N	20908	1623450	9999-12-31	2013-05-08
018 B	2003-03-05	FROM	TRANSFER	ConocoPhillips Norge	35.112000	\N	20908	2144081	9999-12-31	2013-05-08
018 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	7.604000	\N	20908	4511658	9999-12-31	2013-05-08
018 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	0.950000	\N	20908	4511854	9999-12-31	2013-05-08
018 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	6.654000	\N	20908	4524355	9999-12-31	2013-05-08
018 B	1997-01-01	TO	UNKNOWN	Elf Petroleum Norge AS	0.855000	\N	20908	298	9999-12-31	2013-05-08
018 B	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	0.289000	\N	20908	430	9999-12-31	2013-05-08
018 B	2003-03-05	TO	TRANSFER	Phillips Petroleum Norsk AS	35.112000	\N	20908	705	9999-12-31	2013-05-08
018 B	1999-01-01	TO	TRANSFER	Den norske stats oljeselskap a.s	4.950000	5.000000	20908	749	9999-12-31	2013-05-08
018 B	2000-12-20	TO	MERGER/TAKEOVER	Total Norge AS	28.500000	\N	20908	848	9999-12-31	2013-05-08
018 B	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	8.026000	\N	20908	1340884	9999-12-31	2013-05-08
018 B	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	31.870000	\N	20908	1340884	9999-12-31	2013-05-08
018 B	2001-05-10	TO	SDFI	Statoil ASA (old)	0.950000	\N	20908	1622484	9999-12-31	2013-05-08
018 B	2001-05-10	TO	SDFI	SDØE	5.000000	\N	20908	1623450	9999-12-31	2013-05-08
018 B	2001-06-17	TO	SDFI	Petoro AS	5.000000	\N	20908	1626839	9999-12-31	2013-05-08
018 B	2002-10-23	TO	CHANGE OF COMPANY NAME	ConocoPhillips Norge	35.112000	\N	20908	2144081	9999-12-31	2013-05-08
018 B	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	12.388000	\N	20908	2388594	9999-12-31	2013-05-08
018 B	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	35.112000	\N	20908	2410696	9999-12-31	2013-05-08
018 B	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	39.896000	\N	20908	2410708	9999-12-31	2013-05-08
018 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	6.654000	\N	20908	4511658	9999-12-31	2013-05-08
018 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	0.950000	\N	20908	4511658	9999-12-31	2013-05-08
018 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	0.950000	\N	20908	4511854	9999-12-31	2013-05-08
018 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	6.654000	\N	20908	4524355	9999-12-31	2013-05-08
018 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	7.604000	\N	20908	17237817	9999-12-31	2013-05-08
019	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	80.000000	\N	20916	155	9999-12-31	2013-05-08
019	1976-05-31	FROM	UNKNOWN	Conoco Norway Inc.	60.000000	\N	20916	210	9999-12-31	2013-05-08
019	1978-12-05	FROM	UNKNOWN	Conoco Norway Inc.	15.000000	\N	20916	210	9999-12-31	2013-05-08
019	1996-03-02	FROM	UNKNOWN	Conoco Norway Inc.	10.000000	\N	20916	210	9999-12-31	2013-05-08
019	1997-05-15	FROM	UNKNOWN	Norske Conoco A/S	10.000000	\N	20916	221	9999-12-31	2013-05-08
019	1970-12-10	FROM	UNKNOWN	Norwegian Gulf Exploration Company AS	66.700000	\N	20916	397	9999-12-31	2013-05-08
019	1975-01-01	FROM	UNKNOWN	Norwegian Gulf Exploration Company AS	33.300000	\N	20916	397	9999-12-31	2013-05-08
019	1976-05-31	FROM	UNKNOWN	Pelican AS	10.000000	\N	20916	606	9999-12-31	2013-05-08
019	2002-04-17	FROM	TRANSFER	Pelican AS	5.000000	\N	20916	606	9999-12-31	2013-05-08
019	2008-01-01	FROM	TRANSFER	Svenska Petroleum Exploration AS	15.000000	\N	20916	738	9999-12-31	2013-05-08
019	1997-01-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	12.500000	\N	20916	749	9999-12-31	2013-05-08
019	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	80.000000	\N	20916	982372	9999-12-31	2013-05-08
019	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	5.000000	\N	20916	1853083	9999-12-31	2013-05-08
019	1976-05-31	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	57.500000	\N	20916	155	9999-12-31	2013-05-08
019	1997-01-01	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	12.500000	\N	20916	155	9999-12-31	2013-05-08
019	1997-05-15	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	10.000000	\N	20916	155	9999-12-31	2013-05-08
019	1970-12-10	TO	UNKNOWN	Conoco Norway Inc.	66.700000	\N	20916	210	9999-12-31	2013-05-08
019	1975-01-01	TO	UNKNOWN	Conoco Norway Inc.	18.300000	\N	20916	210	9999-12-31	2013-05-08
019	1996-03-02	TO	UNKNOWN	Norske Conoco A/S	10.000000	\N	20916	221	9999-12-31	2013-05-08
019	1975-01-01	TO	UNKNOWN	Pelican AS	15.000000	\N	20916	606	9999-12-31	2013-05-08
019	1978-12-05	TO	UNKNOWN	Svenska Petroleum Exploration AS	15.000000	\N	20916	738	9999-12-31	2013-05-08
019	1976-05-31	TO	UNKNOWN	Den norske stats oljeselskap a.s	12.500000	\N	20916	749	9999-12-31	2013-05-08
019	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	80.000000	\N	20916	982372	9999-12-31	2013-05-08
019	2002-04-17	TO	TRANSFER	DONG Norge AS	5.000000	\N	20916	1853083	9999-12-31	2013-05-08
019	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	80.000000	\N	20916	2052695	9999-12-31	2013-05-08
019	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	5.000000	\N	20916	4070011	9999-12-31	2013-05-08
019	2008-01-01	TO	TRANSFER	DONG E&P Norge AS	15.000000	\N	20916	4070011	9999-12-31	2013-05-08
019 B	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	56.000000	\N	20924	155	9999-12-31	2013-05-08
019 B	1988-04-29	FROM	UNKNOWN	Conoco Norway Inc.	10.000000	\N	20924	210	9999-12-31	2013-05-08
019 B	1996-03-02	FROM	UNKNOWN	Conoco Norway Inc.	9.375000	\N	20924	210	9999-12-31	2013-05-08
019 B	1997-05-15	FROM	UNKNOWN	Norske Conoco A/S	9.375000	\N	20924	221	9999-12-31	2013-05-08
019 B	2002-06-27	FROM	TRANSFER	Norske Moeco A/S	5.000000	\N	20924	485	9999-12-31	2013-05-08
019 B	2002-04-17	FROM	TRANSFER	Pelican AS	34.000000	\N	20924	606	9999-12-31	2013-05-08
019 B	1997-01-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	20.000000	\N	20924	749	9999-12-31	2013-05-08
019 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	20924	749	9999-12-31	2013-05-08
019 B	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	56.000000	\N	20924	982372	9999-12-31	2013-05-08
019 B	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	20924	1623450	9999-12-31	2013-05-08
019 B	2002-03-19	FROM	TRANSFER	Petoro AS	30.000000	\N	20924	1626839	9999-12-31	2013-05-08
019 B	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	34.000000	\N	20924	1853083	9999-12-31	2013-05-08
019 B	2003-07-04	FROM	TRANSFER	BP Norge AS	61.000000	\N	20924	2052695	9999-12-31	2013-05-08
019 B	1988-04-29	TO	UNKNOWN	Norske AEDC A/S	5.000000	\N	20924	34	9999-12-31	2013-05-08
019 B	1997-01-01	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	20.000000	\N	20924	155	9999-12-31	2013-05-08
019 B	1997-05-15	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	9.375000	\N	20924	155	9999-12-31	2013-05-08
019 B	1996-03-02	TO	UNKNOWN	Norske Conoco A/S	9.375000	\N	20924	221	9999-12-31	2013-05-08
019 B	1988-04-29	TO	UNKNOWN	Norske Moeco A/S	5.000000	\N	20924	485	9999-12-31	2013-05-08
019 B	2002-03-19	TO	TRANSFER	Pelican AS	30.000000	\N	20924	606	9999-12-31	2013-05-08
019 B	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	56.000000	\N	20924	982372	9999-12-31	2013-05-08
019 B	2001-05-10	TO	SDFI	SDØE	30.000000	\N	20924	1623450	9999-12-31	2013-05-08
019 B	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	20924	1626839	9999-12-31	2013-05-08
019 B	2002-04-17	TO	TRANSFER	DONG Norge AS	34.000000	\N	20924	1853083	9999-12-31	2013-05-08
019 B	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	56.000000	\N	20924	2052695	9999-12-31	2013-05-08
019 B	2002-06-27	TO	TRANSFER	BP Norge AS	5.000000	\N	20924	2052695	9999-12-31	2013-05-08
019 B	2003-07-04	TO	TRANSFER	Talisman Energy Norge AS	61.000000	\N	20924	2425093	9999-12-31	2013-05-08
019 B	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	34.000000	\N	20924	4070011	9999-12-31	2013-05-08
020	1976-05-31	FROM	UNKNOWN	Conoco Norway Inc.	60.000000	\N	20932	210	9999-12-31	2013-05-08
020	1970-12-10	FROM	UNKNOWN	Norwegian Gulf Exploration Company AS	66.660000	\N	20932	397	9999-12-31	2013-05-08
020	1975-01-01	FROM	UNKNOWN	Norwegian Gulf Exploration Company AS	33.340000	\N	20932	397	9999-12-31	2013-05-08
020	1976-05-31	FROM	UNKNOWN	Pelican AS	10.000000	\N	20932	606	9999-12-31	2013-05-08
020	1976-05-31	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	70.000000	\N	20932	155	9999-12-31	2013-05-08
020	1970-12-10	TO	UNKNOWN	Conoco Norway Inc.	56.660000	\N	20932	210	9999-12-31	2013-05-08
020	1975-01-01	TO	UNKNOWN	Conoco Norway Inc.	28.340000	\N	20932	210	9999-12-31	2013-05-08
020	1970-12-10	TO	UNKNOWN	Pelican AS	10.000000	\N	20932	606	9999-12-31	2013-05-08
020	1975-01-01	TO	UNKNOWN	Pelican AS	5.000000	\N	20932	606	9999-12-31	2013-05-08
022	1976-06-06	FROM	UNKNOWN	Amax Petroleum Norge  A/S	16.033000	\N	20948	56	9999-12-31	2013-05-08
022	1977-09-30	FROM	UNKNOWN	Amax Petroleum Norge  A/S	3.240000	\N	20948	56	9999-12-31	2013-05-08
022	1980-01-01	FROM	UNKNOWN	Amax Petroleum Norge  A/S	9.060000	\N	20948	56	9999-12-31	2013-05-08
022	1971-09-29	FROM	UNKNOWN	Norske Murphy Oil Company	8.333000	\N	20948	551	9999-12-31	2013-05-08
022	1976-06-06	FROM	UNKNOWN	Norske Murphy Oil Company	9.367000	\N	20948	551	9999-12-31	2013-05-08
022	1977-09-30	FROM	UNKNOWN	Norske Murphy Oil Company	1.910000	\N	20948	551	9999-12-31	2013-05-08
022	1971-09-29	FROM	UNKNOWN	Norske Ocean Exploration Company	8.333000	\N	20948	573	9999-12-31	2013-05-08
022	1976-06-06	FROM	UNKNOWN	Norske Ocean Exploration Company	9.367000	\N	20948	573	9999-12-31	2013-05-08
022	1977-09-30	FROM	UNKNOWN	Norske Ocean Exploration Company	1.910000	\N	20948	573	9999-12-31	2013-05-08
022	1971-09-29	FROM	UNKNOWN	Pennzoil Company Norge	25.000000	\N	20948	617	9999-12-31	2013-05-08
022	1976-06-06	FROM	UNKNOWN	K/S A/S Polaris Oil Consortium	0.475000	\N	20948	683	9999-12-31	2013-05-08
022	1977-09-30	FROM	UNKNOWN	K/S A/S Polaris Oil Consortium	1.180000	\N	20948	683	9999-12-31	2013-05-08
022	1976-06-06	FROM	UNKNOWN	Wintershall Norge A/S	1.158000	\N	20948	914	9999-12-31	2013-05-08
022	1977-09-30	FROM	UNKNOWN	Wintershall Norge A/S	8.430000	\N	20948	914	9999-12-31	2013-05-08
022	1971-09-29	TO	UNKNOWN	Amax Petroleum Norge  A/S	28.333000	\N	20948	56	9999-12-31	2013-05-08
022	1976-06-06	TO	UNKNOWN	Norwegian Gulf Exploration Company AS	25.400000	\N	20948	397	9999-12-31	2013-05-08
022	1977-09-30	TO	UNKNOWN	Norwegian Gulf Exploration Company AS	16.670000	\N	20948	397	9999-12-31	2013-05-08
022	1980-01-01	TO	UNKNOWN	Norwegian Gulf Exploration Company AS	4.975000	\N	20948	397	9999-12-31	2013-05-08
022	1980-01-01	TO	UNKNOWN	Norske Murphy Oil Company	0.638000	\N	20948	551	9999-12-31	2013-05-08
022	1980-01-01	TO	UNKNOWN	Norske Ocean Exploration Company	0.638000	\N	20948	573	9999-12-31	2013-05-08
022	1971-09-29	TO	UNKNOWN	K/S A/S Polaris Oil Consortium	5.000000	\N	20948	683	9999-12-31	2013-05-08
022	1976-06-06	TO	UNKNOWN	Den norske stats oljeselskap a.s	11.000000	\N	20948	749	9999-12-31	2013-05-08
022	1971-09-29	TO	UNKNOWN	Wintershall Norge A/S	8.333000	\N	20948	914	9999-12-31	2013-05-08
022	1980-01-01	TO	UNKNOWN	Wintershall Norge A/S	2.809000	\N	20948	914	9999-12-31	2013-05-08
023	1972-04-25	FROM	UNKNOWN	Aquitaine Norge A/S	4.670000	\N	20956	111	9999-12-31	2013-05-08
023	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	14.530000	\N	20956	111	9999-12-31	2013-05-08
023	1972-04-25	FROM	UNKNOWN	Elf Norge A/S	9.330000	\N	20956	287	9999-12-31	2013-05-08
023	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	29.070000	\N	20956	287	9999-12-31	2013-05-08
023	1972-04-25	FROM	UNKNOWN	Total Norge AS	7.000000	\N	20956	848	9999-12-31	2013-05-08
023	1977-07-01	TO	UNKNOWN	Elf Petroleum Norge AS	43.600000	\N	20956	298	9999-12-31	2013-05-08
023	1972-04-25	TO	UNKNOWN	Norsk Hydro Produksjon AS	21.000000	\N	20956	430	9999-12-31	2013-05-08
024	1972-04-01	FROM	UNKNOWN	Aquitaine Norge A/S	4.670000	\N	20964	111	9999-12-31	2013-05-08
024	1973-05-25	FROM	UNKNOWN	Aquitaine Norge A/S	0.730000	\N	20964	111	9999-12-31	2013-05-08
024	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	13.800000	\N	20964	111	9999-12-31	2013-05-08
024	1972-04-01	FROM	UNKNOWN	Elf Norge A/S	9.330000	\N	20964	287	9999-12-31	2013-05-08
024	1973-05-25	FROM	UNKNOWN	Elf Norge A/S	1.450000	\N	20964	287	9999-12-31	2013-05-08
024	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	27.620000	\N	20964	287	9999-12-31	2013-05-08
024	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	26.420000	\N	20964	298	9999-12-31	2013-05-08
024	1992-08-20	FROM	UNKNOWN	Elf Aquitaine Norge A/S	41.420000	\N	20964	331	9999-12-31	2013-05-08
024	1973-05-25	FROM	UNKNOWN	Norsk Hydro Produksjon AS	1.730000	\N	20964	430	9999-12-31	2013-05-08
024	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	32.870000	\N	20964	430	9999-12-31	2013-05-08
024	2001-05-10	FROM	CHANGE OF COMPANY NAME	Den norske stats oljeselskap a.s	20.000000	\N	20964	749	9999-12-31	2013-05-08
024	1972-04-01	FROM	UNKNOWN	Total Norge AS	7.000000	\N	20964	848	9999-12-31	2013-05-08
024	1973-05-25	FROM	UNKNOWN	Total Norge AS	1.090000	\N	20964	848	9999-12-31	2013-05-08
024	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	20.710000	\N	20964	848	9999-12-31	2013-05-08
024	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	47.130000	\N	20964	1340884	9999-12-31	2013-05-08
024	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	20964	1622484	9999-12-31	2013-05-08
024	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	52.870000	\N	20964	4511658	9999-12-31	2013-05-08
024	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	20964	4511854	9999-12-31	2013-05-08
024	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	32.870000	\N	20964	4524355	9999-12-31	2013-05-08
024	1992-08-20	TO	UNKNOWN	Elf Petroleum Norge AS	26.420000	\N	20964	298	9999-12-31	2013-05-08
024	1977-07-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	41.420000	\N	20964	331	9999-12-31	2013-05-08
024	1972-04-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	21.000000	\N	20964	430	9999-12-31	2013-05-08
024	1973-05-25	TO	UNKNOWN	Den norske stats oljeselskap a.s	5.000000	\N	20964	749	9999-12-31	2013-05-08
024	1992-08-20	TO	UNKNOWN	Den norske stats oljeselskap a.s	15.000000	\N	20964	749	9999-12-31	2013-05-08
024	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	26.420000	\N	20964	1340884	9999-12-31	2013-05-08
024	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	20.710000	\N	20964	1340884	9999-12-31	2013-05-08
024	2001-05-10	TO	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	20964	1622484	9999-12-31	2013-05-08
024	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	47.130000	\N	20964	2410708	9999-12-31	2013-05-08
024	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	32.870000	\N	20964	4511658	9999-12-31	2013-05-08
024	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	20964	4511658	9999-12-31	2013-05-08
024	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	20964	4511854	9999-12-31	2013-05-08
024	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	32.870000	\N	20964	4524355	9999-12-31	2013-05-08
024	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	52.870000	\N	20964	17237817	9999-12-31	2013-05-08
026	1972-04-01	FROM	UNKNOWN	Aquitaine Norge A/S	4.670000	\N	20980	111	9999-12-31	2013-05-08
026	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	14.530000	\N	20980	111	9999-12-31	2013-05-08
026	1972-04-01	FROM	UNKNOWN	Elf Norge A/S	9.330000	\N	20980	287	9999-12-31	2013-05-08
026	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	29.070000	\N	20980	287	9999-12-31	2013-05-08
026	1985-07-26	FROM	UNKNOWN	Elf Petroleum Norge AS	2.180000	\N	20980	298	9999-12-31	2013-05-08
026	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	41.420000	\N	20980	298	9999-12-31	2013-05-08
026	1985-07-26	FROM	UNKNOWN	Norsk Hydro Produksjon AS	1.730000	\N	20980	430	9999-12-31	2013-05-08
026	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	32.870000	\N	20980	430	9999-12-31	2013-05-08
026	2001-05-10	FROM	CHANGE OF COMPANY NAME	Den norske stats oljeselskap a.s	5.000000	\N	20980	749	9999-12-31	2013-05-08
026	1972-04-01	FROM	UNKNOWN	Total Norge AS	7.000000	\N	20980	848	9999-12-31	2013-05-08
026	1985-07-26	FROM	UNKNOWN	Total Norge AS	1.090000	\N	20980	848	9999-12-31	2013-05-08
026	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	20.710000	\N	20980	848	9999-12-31	2013-05-08
026	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	62.130000	\N	20980	1340884	9999-12-31	2013-05-08
026	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	5.000000	\N	20980	1622484	9999-12-31	2013-05-08
026	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	37.870000	\N	20980	4511658	9999-12-31	2013-05-08
026	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	5.000000	\N	20980	4511854	9999-12-31	2013-05-08
026	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	32.870000	\N	20980	4524355	9999-12-31	2013-05-08
026	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	37.870000	\N	20980	17237817	9999-12-31	2013-05-08
026	1977-07-01	TO	UNKNOWN	Elf Petroleum Norge AS	43.600000	\N	20980	298	9999-12-31	2013-05-08
026	1972-04-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	21.000000	\N	20980	430	9999-12-31	2013-05-08
026	1985-07-26	TO	UNKNOWN	Den norske stats oljeselskap a.s	5.000000	\N	20980	749	9999-12-31	2013-05-08
026	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	41.420000	\N	20980	1340884	9999-12-31	2013-05-08
026	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	20.710000	\N	20980	1340884	9999-12-31	2013-05-08
026	2001-05-10	TO	CHANGE OF COMPANY NAME	Statoil ASA (old)	5.000000	\N	20980	1622484	9999-12-31	2013-05-08
026	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	62.130000	\N	20980	2410708	9999-12-31	2013-05-08
026	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	37.870000	\N	20980	4238233	9999-12-31	2013-05-08
026	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	32.870000	\N	20980	4511658	9999-12-31	2013-05-08
026	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	5.000000	\N	20980	4511658	9999-12-31	2013-05-08
026	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	5.000000	\N	20980	4511854	9999-12-31	2013-05-08
026	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	32.870000	\N	20980	4524355	9999-12-31	2013-05-08
026	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	37.870000	\N	20980	17237817	9999-12-31	2013-05-08
027	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	100.000000	\N	20988	353	9999-12-31	2013-05-08
027	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	100.000000	\N	20988	2835212	9999-12-31	2013-05-08
028	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	100.000000	\N	21004	353	9999-12-31	2013-05-08
028	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	100.000000	\N	21004	2835212	9999-12-31	2013-05-08
029	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	100.000000	\N	21020	353	9999-12-31	2013-05-08
029	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	100.000000	\N	21020	2835212	9999-12-31	2013-05-08
032	1978-12-05	FROM	UNKNOWN	Norwegian Oil Consortium A/S & Co	10.000000	\N	21044	518	9999-12-31	2013-05-08
032	1992-02-25	FROM	UNKNOWN	Norwegian Oil Consortium A/S & Co	15.000000	\N	21044	518	9999-12-31	2013-05-08
032	1996-04-01	FROM	UNKNOWN	Svenska Petroleum Exploration AS	10.000000	\N	21044	738	9999-12-31	2013-05-08
032	1989-03-01	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	25.000000	\N	21044	837	9999-12-31	2013-05-08
032	1996-04-01	TO	UNKNOWN	Amerada Hess Norge AS	10.000000	\N	21044	67	9999-12-31	2013-05-08
032	1992-02-25	TO	UNKNOWN	Elf Petroleum Norge AS	15.000000	\N	21044	298	9999-12-31	2013-05-08
032	1989-03-01	TO	UNKNOWN	Enterprise Oil Norwegian AS	25.000000	\N	21044	342	9999-12-31	2013-05-08
032	1978-12-05	TO	UNKNOWN	Svenska Petroleum Exploration AS	10.000000	\N	21044	738	9999-12-31	2013-05-08
033	2006-06-26	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	25.000000	\N	21052	67	9999-12-31	2013-05-08
033	1999-12-23	FROM	MERGER/TAKEOVER	Amoco Norway Oil Company	25.000000	\N	21052	78	9999-12-31	2013-05-08
033	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	25.000000	\N	21052	298	9999-12-31	2013-05-08
033	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	25.000000	\N	21052	342	9999-12-31	2013-05-08
033	1992-02-25	FROM	UNKNOWN	Norwegian Oil Consortium A/S & Co	25.000000	\N	21052	518	9999-12-31	2013-05-08
033	1989-03-01	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	25.000000	\N	21052	837	9999-12-31	2013-05-08
033	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	25.000000	\N	21052	982372	9999-12-31	2013-05-08
033	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	25.000000	\N	21052	1340884	9999-12-31	2013-05-08
033	2010-01-02	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	21052	1853786	9999-12-31	2013-05-08
033	2010-01-01	FROM	TRANSFER	Total E&P Norge AS	25.000000	\N	21052	2410708	9999-12-31	2013-05-08
033	1992-02-25	TO	UNKNOWN	Elf Petroleum Norge AS	25.000000	\N	21052	298	9999-12-31	2013-05-08
033	1989-03-01	TO	UNKNOWN	Enterprise Oil Norwegian AS	25.000000	\N	21052	342	9999-12-31	2013-05-08
033	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	25.000000	\N	21052	982372	9999-12-31	2013-05-08
033	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	25.000000	\N	21052	1340884	9999-12-31	2013-05-08
033	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	25.000000	\N	21052	1853786	9999-12-31	2013-05-08
033	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	25.000000	\N	21052	2052695	9999-12-31	2013-05-08
033	2010-01-01	TO	TRANSFER	BP Norge AS	12.500000	\N	21052	2052695	9999-12-31	2013-05-08
033	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	25.000000	\N	21052	2410708	9999-12-31	2013-05-08
033	2006-06-26	TO	CHANGE OF COMPANY NAME	Hess Norge AS	25.000000	\N	21052	4038735	9999-12-31	2013-05-08
033	2010-01-01	TO	TRANSFER	Hess Norge AS	12.500000	\N	21052	4038735	9999-12-31	2013-05-08
033	2010-01-02	TO	TRANSFER	Hess Norge AS	25.000000	\N	21052	4038735	9999-12-31	2013-05-08
034	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	10.000000	\N	21060	298	9999-12-31	2013-05-08
034	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	21060	430	9999-12-31	2013-05-08
034	1999-07-01	FROM	TRANSFER	A/S Norske Shell	100.000000	\N	21060	562	9999-12-31	2013-05-08
034	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	21060	749	9999-12-31	2013-05-08
034	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	10.000000	\N	21060	848	9999-12-31	2013-05-08
034	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	21060	1340884	9999-12-31	2013-05-08
034	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	10.000000	\N	21060	1622484	9999-12-31	2013-05-08
034	2001-06-17	FROM	SDFI	SDØE	50.000000	\N	21060	1623450	9999-12-31	2013-05-08
034	2002-03-19	FROM	TRANSFER	Petoro AS	10.000000	\N	21060	1626839	9999-12-31	2013-05-08
034	2004-01-01	FROM	TRANSFER	Total E&P Norge AS	10.000000	\N	21060	2410708	9999-12-31	2013-05-08
034	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	21060	4511658	9999-12-31	2013-05-08
034	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	10.000000	\N	21060	4511854	9999-12-31	2013-05-08
034	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	21060	4524355	9999-12-31	2013-05-08
034	1999-07-01	TO	TRANSFER	Elf Petroleum Norge AS	10.000000	\N	21060	298	9999-12-31	2013-05-08
034	1999-07-01	TO	TRANSFER	Norsk Hydro Produksjon AS	30.000000	\N	21060	430	9999-12-31	2013-05-08
034	2002-03-19	TO	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	21060	430	9999-12-31	2013-05-08
034	1999-07-01	TO	TRANSFER	Den norske stats oljeselskap a.s	50.000000	50.000000	21060	749	9999-12-31	2013-05-08
034	1999-07-01	TO	TRANSFER	Total Norge AS	10.000000	\N	21060	848	9999-12-31	2013-05-08
034	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	21060	1340884	9999-12-31	2013-05-08
034	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	10.000000	\N	21060	1340884	9999-12-31	2013-05-08
034	2004-01-01	TO	TRANSFER	Statoil ASA (old)	10.000000	\N	21060	1622484	9999-12-31	2013-05-08
034	2001-05-10	TO	SDFI	SDØE	50.000000	\N	21060	1623450	9999-12-31	2013-05-08
034	2001-06-17	TO	SDFI	Petoro AS	50.000000	\N	21060	1626839	9999-12-31	2013-05-08
034	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	20.000000	\N	21060	2410708	9999-12-31	2013-05-08
034	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	21060	4511658	9999-12-31	2013-05-08
034	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	21060	4511658	9999-12-31	2013-05-08
034	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	10.000000	\N	21060	4511854	9999-12-31	2013-05-08
034	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	21060	4524355	9999-12-31	2013-05-08
034	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	21060	17237817	9999-12-31	2013-05-08
035	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	50.000000	\N	21068	342	9999-12-31	2013-05-08
035	2000-09-27	FROM	TRANSFER	Norsk Hydro Produksjon AS	50.000000	\N	21068	430	9999-12-31	2013-05-08
035	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	50.000000	\N	21068	430	9999-12-31	2013-05-08
035	1999-01-01	FROM	TRANSFER	A/S Norske Shell	100.000000	\N	21068	562	9999-12-31	2013-05-08
035	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	25.000000	\N	21068	1340609	9999-12-31	2013-05-08
035	2003-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	21068	1853786	9999-12-31	2013-05-08
035	2004-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	21068	1853786	9999-12-31	2013-05-08
035	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	25.000000	\N	21068	4468177	9999-12-31	2013-05-08
035	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	21068	4511658	9999-12-31	2013-05-08
035	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	50.000000	\N	21068	4524355	9999-12-31	2013-05-08
035	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	25.000000	\N	21068	4539976	9999-12-31	2013-05-08
035	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	25.000000	\N	21068	4539989	9999-12-31	2013-05-08
035	2000-09-27	TO	TRANSFER	Enterprise Oil Norwegian AS	50.000000	\N	21068	342	9999-12-31	2013-05-08
035	1999-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	100.000000	\N	21068	430	9999-12-31	2013-05-08
035	2003-01-01	TO	TRANSFER	Svenska Petroleum Exploration AS	25.000000	\N	21068	738	9999-12-31	2013-05-08
035	2004-01-01	TO	TRANSFER	Det Norske Oljeselskap AS	25.000000	\N	21068	1340609	9999-12-31	2013-05-08
035	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	50.000000	\N	21068	1853786	9999-12-31	2013-05-08
035	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	25.000000	\N	21068	4468177	9999-12-31	2013-05-08
035	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	21068	4511658	9999-12-31	2013-05-08
035	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	50.000000	\N	21068	4524355	9999-12-31	2013-05-08
035	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	25.000000	\N	21068	4539976	9999-12-31	2013-05-08
035	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	25.000000	\N	21068	4539989	9999-12-31	2013-05-08
035	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	21068	17237817	9999-12-31	2013-05-08
035	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	25.000000	\N	21068	17342870	9999-12-31	2013-05-08
036	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	2.906000	\N	21076	111	9999-12-31	2013-05-08
036	1987-03-26	FROM	UNKNOWN	Bow Valley Exploration Norge A/S	15.238000	\N	21076	144	9999-12-31	2013-05-08
036	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	5.814000	\N	21076	287	9999-12-31	2013-05-08
036	1998-01-01	FROM	UNKNOWN	Elf Petroleum Norge AS	15.000000	\N	21076	298	9999-12-31	2013-05-08
036	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	18.702000	\N	21076	298	9999-12-31	2013-05-08
036	1978-01-01	FROM	UNKNOWN	Elf Aquitaine Norge A/S	8.720000	\N	21076	331	9999-12-31	2013-05-08
036	1978-01-01	FROM	UNKNOWN	K/S Femogtyvefire Norsk A/S	20.476000	\N	21076	375	9999-12-31	2013-05-08
036	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	28.853000	\N	21076	430	9999-12-31	2013-05-08
036	2008-01-01	FROM	TRANSFER	Marathon Petroleum Norge AS	46.904000	\N	21076	463	9999-12-31	2013-05-08
036	1972-03-23	FROM	UNKNOWN	Pan Ocean Oil Norge A/S	13.095000	\N	21076	595	9999-12-31	2013-05-08
036	1980-01-01	FROM	UNKNOWN	Pan Ocean Oil Norge A/S	50.448000	\N	21076	595	9999-12-31	2013-05-08
036	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	6.611000	\N	21076	716	9999-12-31	2013-05-08
036	1972-03-23	FROM	UNKNOWN	Sunningdale Oil Norge A/S	2.619000	\N	21076	760	9999-12-31	2013-05-08
036	1989-06-15	FROM	UNKNOWN	Sunningdale Oil Norge A/S	7.381000	\N	21076	760	9999-12-31	2013-05-08
036	1972-03-23	FROM	UNKNOWN	Syracuse Oils Norge A/S	20.000000	\N	21076	782	9999-12-31	2013-05-08
036	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	5.541000	\N	21076	848	9999-12-31	2013-05-08
036	1996-01-01	FROM	UNKNOWN	Ugland Construction Company AS	0.322000	\N	21076	859	9999-12-31	2013-05-08
036	2004-01-01	FROM	TRANSFER	AS Uglands Rederi	0.322000	\N	21076	40103	9999-12-31	2013-05-08
036	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	24.243000	\N	21076	1340884	9999-12-31	2013-05-08
036	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	28.853000	\N	21076	4511658	9999-12-31	2013-05-08
036	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	28.853000	\N	21076	4524355	9999-12-31	2013-05-08
036	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	28.853000	\N	21076	17237817	9999-12-31	2013-05-08
036	1972-03-23	TO	UNKNOWN	Aquitaine Norge A/S	2.906000	\N	21076	111	9999-12-31	2013-05-08
051	2001-06-17	TO	SDFI	Petoro AS	31.400000	\N	21204	1626839	9999-12-31	2013-05-08
036	1972-03-23	TO	UNKNOWN	Bow Valley Exploration Norge A/S	15.238000	\N	21076	144	9999-12-31	2013-05-08
036	1972-03-23	TO	UNKNOWN	Elf Norge A/S	5.814000	\N	21076	287	9999-12-31	2013-05-08
036	1978-01-01	TO	UNKNOWN	Elf Petroleum Norge AS	8.720000	\N	21076	298	9999-12-31	2013-05-08
036	1980-01-01	TO	UNKNOWN	Elf Petroleum Norge AS	2.363000	\N	21076	298	9999-12-31	2013-05-08
036	1987-03-26	TO	UNKNOWN	Elf Petroleum Norge AS	15.238000	\N	21076	298	9999-12-31	2013-05-08
036	1989-06-15	TO	UNKNOWN	Elf Petroleum Norge AS	7.381000	\N	21076	298	9999-12-31	2013-05-08
036	1977-07-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	8.720000	\N	21076	331	9999-12-31	2013-05-08
036	1972-03-23	TO	UNKNOWN	K/S Femogtyvefire Norsk A/S	0.476000	\N	21076	375	9999-12-31	2013-05-08
036	1972-03-23	TO	UNKNOWN	Norsk Hydro Produksjon AS	6.920000	\N	21076	430	9999-12-31	2013-05-08
036	1998-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	15.000000	\N	21076	430	9999-12-31	2013-05-08
036	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	6.611000	\N	21076	430	9999-12-31	2013-05-08
036	2004-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	0.322000	\N	21076	430	9999-12-31	2013-05-08
036	1980-01-01	TO	UNKNOWN	Marathon Petroleum Norge AS	46.904000	\N	21076	463	9999-12-31	2013-05-08
036	1978-01-01	TO	UNKNOWN	Pan Ocean Oil Norge A/S	13.543000	\N	21076	595	9999-12-31	2013-05-08
036	1978-01-01	TO	UNKNOWN	Saga Petroleum ASA	6.611000	\N	21076	716	9999-12-31	2013-05-08
036	1972-03-23	TO	UNKNOWN	Total Norge AS	4.360000	\N	21076	848	9999-12-31	2013-05-08
036	1980-01-01	TO	UNKNOWN	Total Norge AS	1.181000	\N	21076	848	9999-12-31	2013-05-08
036	1978-01-01	TO	UNKNOWN	Ugland Construction Company AS	0.322000	\N	21076	859	9999-12-31	2013-05-08
036	1996-01-01	TO	UNKNOWN	AS Uglands Rederi	0.322000	\N	21076	40103	9999-12-31	2013-05-08
036	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	18.702000	\N	21076	1340884	9999-12-31	2013-05-08
036	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	5.541000	\N	21076	1340884	9999-12-31	2013-05-08
036	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	24.243000	\N	21076	2410708	9999-12-31	2013-05-08
036	2008-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	46.904000	\N	21076	4238233	9999-12-31	2013-05-08
036	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	28.853000	\N	21076	4238233	9999-12-31	2013-05-08
036	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	28.853000	\N	21076	4511658	9999-12-31	2013-05-08
036	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	28.853000	\N	21076	4524355	9999-12-31	2013-05-08
036	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	28.853000	\N	21076	17237817	9999-12-31	2013-05-08
037	1997-07-01	FROM	UNKNOWN	Amerada Hess Norge AS	1.041670	\N	21084	67	9999-12-31	2013-05-08
037	1989-04-14	FROM	UNKNOWN	Amoco Norway Oil Company	1.041670	\N	21084	78	9999-12-31	2013-05-08
037	1994-10-05	FROM	UNKNOWN	Amoco Norway AS	1.041670	\N	21084	89	9999-12-31	2013-05-08
037	1989-04-14	FROM	UNKNOWN	Conoco Norway Inc.	10.000000	\N	21084	210	9999-12-31	2013-05-08
037	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	12.083330	\N	21084	221	9999-12-31	2013-05-08
037	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	1.041670	\N	21084	342	9999-12-31	2013-05-08
037	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	25.000000	\N	21084	353	9999-12-31	2013-05-08
037	2002-01-01	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	21084	474	9999-12-31	2013-05-08
037	2010-01-01	FROM	TRANSFER	A/S Norske Shell	10.000000	\N	21084	562	9999-12-31	2013-05-08
037	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	1.875000	\N	21084	716	9999-12-31	2013-05-08
037	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	51.875000	\N	21084	749	9999-12-31	2013-05-08
037	1989-04-14	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	1.041670	\N	21084	837	9999-12-31	2013-05-08
037	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	21.875000	\N	21084	1622484	9999-12-31	2013-05-08
037	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21084	1623450	9999-12-31	2013-05-08
037	2010-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	1.041670	\N	21084	1853786	9999-12-31	2013-05-08
037	2007-01-01	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	12.083330	\N	21084	2399056	9999-12-31	2013-05-08
037	2012-04-30	FROM	TRANSFER	ConocoPhillips Skandinavia AS	12.083330	\N	21084	2410696	9999-12-31	2013-05-08
037	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	21.875000	\N	21084	4511658	9999-12-31	2013-05-08
037	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	21.875000	\N	21084	4511854	9999-12-31	2013-05-08
037	1989-04-14	TO	UNKNOWN	Amoco Norway AS	1.041670	\N	21084	89	9999-12-31	2013-05-08
037	1989-04-14	TO	UNKNOWN	Norske Conoco A/S	10.000000	\N	21084	221	9999-12-31	2013-05-08
037	1994-10-05	TO	UNKNOWN	Norske Conoco A/S	1.041670	\N	21084	221	9999-12-31	2013-05-08
037	1997-07-01	TO	UNKNOWN	Norske Conoco A/S	1.041670	\N	21084	221	9999-12-31	2013-05-08
037	1989-04-14	TO	UNKNOWN	Enterprise Oil Norwegian AS	1.041670	\N	21084	342	9999-12-31	2013-05-08
037	2002-01-01	TO	TRANSFER	Esso Exploration and Production Norway A/S	15.000000	\N	21084	353	9999-12-31	2013-05-08
037	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	1.875000	\N	21084	749	9999-12-31	2013-05-08
037	2001-05-10	TO	SDFI	Statoil ASA (old)	21.875000	\N	21084	1622484	9999-12-31	2013-05-08
037	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21084	1623450	9999-12-31	2013-05-08
037	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21084	1626839	9999-12-31	2013-05-08
037	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	1.041670	\N	21084	1853786	9999-12-31	2013-05-08
037	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	12.083330	\N	21084	2399056	9999-12-31	2013-05-08
037	2007-01-01	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	12.083330	\N	21084	2410696	9999-12-31	2013-05-08
037	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	25.000000	\N	21084	2835212	9999-12-31	2013-05-08
037	2010-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	11.041670	\N	21084	4238233	9999-12-31	2013-05-08
037	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	12.083330	\N	21084	4238233	9999-12-31	2013-05-08
037	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	21.875000	\N	21084	4511658	9999-12-31	2013-05-08
037	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	21.875000	\N	21084	4511854	9999-12-31	2013-05-08
037	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	21.875000	\N	21084	17237817	9999-12-31	2013-05-08
038	1994-11-10	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	50.000000	\N	21092	353	9999-12-31	2013-05-08
038	2002-03-13	FROM	TRANSFER	Norsk Hydro Produksjon AS	42.000000	\N	21092	430	9999-12-31	2013-05-08
038	1995-06-22	FROM	UNKNOWN	Saga Petroleum ASA	15.000000	\N	21092	716	9999-12-31	2013-05-08
038	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	35.000000	\N	21092	716	9999-12-31	2013-05-08
038	2000-10-20	FROM	TRANSFER	Den norske stats oljeselskap a.s	7.000000	\N	21092	749	9999-12-31	2013-05-08
038	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	58.000000	\N	21092	749	9999-12-31	2013-05-08
038	2002-06-04	FROM	TRANSFER	Statoil ASA (old)	28.000000	\N	21092	1622484	9999-12-31	2013-05-08
038	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21092	1623450	9999-12-31	2013-05-08
038	2002-04-19	FROM	CHANGE OF COMPANY NAME	PGS Production AS	42.000000	\N	21092	2060190	9999-12-31	2013-05-08
038	2002-05-02	FROM	CHANGE OF COMPANY NAME	PGS Petroleum AS	42.000000	\N	21092	2069526	9999-12-31	2013-05-08
038	2005-03-31	FROM	MERGER/TAKEOVER	Pertra AS (OLD)	70.000000	\N	21092	2069841	9999-12-31	2013-05-08
038	2005-04-01	FROM	TRANSFER	Talisman Production Norge AS	5.000000	\N	21092	3420565	9999-12-31	2013-05-08
038	2005-04-02	FROM	TRANSFER	Talisman Production Norge AS	65.000000	\N	21092	3420565	9999-12-31	2013-05-08
038	2006-03-01	FROM	CHANGE OF COMPANY NAME	Pertra AS	5.000000	\N	21092	3425724	9999-12-31	2013-05-08
038	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	5.000000	\N	21092	3964368	9999-12-31	2013-05-08
038	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	5.000000	\N	21092	4539989	9999-12-31	2013-05-08
038	2000-10-20	TO	TRANSFER	Norsk Hydro Produksjon AS	7.000000	\N	21092	430	9999-12-31	2013-05-08
038	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	35.000000	\N	21092	430	9999-12-31	2013-05-08
038	1994-11-10	TO	UNKNOWN	Saga Petroleum ASA	50.000000	\N	21092	716	9999-12-31	2013-05-08
038	1995-06-22	TO	UNKNOWN	Den norske stats oljeselskap a.s	15.000000	\N	21092	749	9999-12-31	2013-05-08
038	2001-05-10	TO	SDFI	Statoil ASA (old)	28.000000	\N	21092	1622484	9999-12-31	2013-05-08
038	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21092	1623450	9999-12-31	2013-05-08
038	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21092	1626839	9999-12-31	2013-05-08
038	2002-03-13	TO	TRANSFER	PGS Production AS	42.000000	\N	21092	2060190	9999-12-31	2013-05-08
038	2002-04-19	TO	CHANGE OF COMPANY NAME	PGS Petroleum AS	42.000000	\N	21092	2069526	9999-12-31	2013-05-08
038	2002-05-02	TO	CHANGE OF COMPANY NAME	Pertra AS (OLD)	42.000000	\N	21092	2069841	9999-12-31	2013-05-08
038	2002-06-04	TO	TRANSFER	Pertra AS (OLD)	28.000000	\N	21092	2069841	9999-12-31	2013-05-08
038	2005-04-02	TO	TRANSFER	Talisman Energy Norge AS	65.000000	\N	21092	2425093	9999-12-31	2013-05-08
038	2005-03-31	TO	MERGER/TAKEOVER	Talisman Production Norge AS	70.000000	\N	21092	3420565	9999-12-31	2013-05-08
038	2005-04-01	TO	TRANSFER	Pertra AS	5.000000	\N	21092	3425724	9999-12-31	2013-05-08
038	2006-03-01	TO	CHANGE OF COMPANY NAME	Pertra ASA	5.000000	\N	21092	3964368	9999-12-31	2013-05-08
038	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	5.000000	\N	21092	4539989	9999-12-31	2013-05-08
038	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	5.000000	\N	21092	17342870	9999-12-31	2013-05-08
040	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	9.600000	\N	21108	111	9999-12-31	2013-05-08
040	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	19.200000	\N	21108	287	9999-12-31	2013-05-08
040	1998-01-01	FROM	UNKNOWN	Elf Petroleum Norge AS	28.800000	\N	21108	298	9999-12-31	2013-05-08
040	2001-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	6.800000	\N	21108	430	9999-12-31	2013-05-08
040	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	53.600000	\N	21108	749	9999-12-31	2013-05-08
040	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	43.200000	\N	21108	848	9999-12-31	2013-05-08
040	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	46.400000	\N	21108	1340884	9999-12-31	2013-05-08
040	2005-01-01	FROM	TRANSFER	Statoil ASA (old)	2.600000	\N	21108	1622484	9999-12-31	2013-05-08
040	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	21.000000	\N	21108	1622484	9999-12-31	2013-05-08
040	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21108	1623450	9999-12-31	2013-05-08
040	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	21.000000	\N	21108	4511658	9999-12-31	2013-05-08
040	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	21.000000	\N	21108	4511854	9999-12-31	2013-05-08
040	2012-01-13	FROM	TRANSFER	Statoil Petroleum AS	2.000000	\N	21108	17237817	9999-12-31	2013-05-08
040	1977-07-01	TO	UNKNOWN	Elf Petroleum Norge AS	28.800000	\N	21108	298	9999-12-31	2013-05-08
040	2001-01-01	TO	TRANSFER	Den norske stats oljeselskap a.s	3.600000	\N	21108	749	9999-12-31	2013-05-08
040	1998-01-01	TO	UNKNOWN	Total Norge AS	28.800000	\N	21108	848	9999-12-31	2013-05-08
040	2001-01-01	TO	TRANSFER	TotalFinaElf Exploration Norge AS	3.200000	\N	21108	1340884	9999-12-31	2013-05-08
040	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	43.200000	\N	21108	1340884	9999-12-31	2013-05-08
040	2001-05-10	TO	SDFI	Statoil ASA (old)	23.600000	\N	21108	1622484	9999-12-31	2013-05-08
040	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21108	1623450	9999-12-31	2013-05-08
040	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21108	1626839	9999-12-31	2013-05-08
040	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	46.400000	\N	21108	2410708	9999-12-31	2013-05-08
040	2005-01-01	TO	TRANSFER	Total E&P Norge AS	2.600000	\N	21108	2410708	9999-12-31	2013-05-08
040	2012-01-13	TO	TRANSFER	Total E&P Norge AS	2.000000	\N	21108	2410708	9999-12-31	2013-05-08
040	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	21.000000	\N	21108	4511658	9999-12-31	2013-05-08
040	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	21.000000	\N	21108	4511854	9999-12-31	2013-05-08
040	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	21.000000	\N	21108	17237817	9999-12-31	2013-05-08
043	1990-10-16	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	50.000000	\N	21132	155	9999-12-31	2013-05-08
043	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	21132	749	9999-12-31	2013-05-08
043	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	50.000000	\N	21132	848	9999-12-31	2013-05-08
043	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	50.000000	\N	21132	1340884	9999-12-31	2013-05-08
043	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	21.000000	\N	21132	1622484	9999-12-31	2013-05-08
043	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21132	1623450	9999-12-31	2013-05-08
043	2005-01-01	FROM	TRANSFER	Total E&P Norge AS	1.000000	\N	21132	2410708	9999-12-31	2013-05-08
043	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	21.000000	\N	21132	4511658	9999-12-31	2013-05-08
043	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	21.000000	\N	21132	4511854	9999-12-31	2013-05-08
043	2012-01-13	FROM	TRANSFER	Statoil Petroleum AS	2.000000	\N	21132	17237817	9999-12-31	2013-05-08
043	1990-10-16	TO	UNKNOWN	Total Norge AS	50.000000	\N	21132	848	9999-12-31	2013-05-08
043	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	50.000000	\N	21132	1340884	9999-12-31	2013-05-08
043	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	21132	1622484	9999-12-31	2013-05-08
043	2005-01-01	TO	TRANSFER	Statoil ASA (old)	1.000000	\N	21132	1622484	9999-12-31	2013-05-08
043	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21132	1623450	9999-12-31	2013-05-08
043	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21132	1626839	9999-12-31	2013-05-08
043	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	50.000000	\N	21132	2410708	9999-12-31	2013-05-08
043	2012-01-13	TO	TRANSFER	Total E&P Norge AS	2.000000	\N	21132	2410708	9999-12-31	2013-05-08
043	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	21.000000	\N	21132	4511658	9999-12-31	2013-05-08
043	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	21.000000	\N	21132	4511854	9999-12-31	2013-05-08
043	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	21.000000	\N	21132	17237817	9999-12-31	2013-05-08
044	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	13.120000	\N	21140	45	9999-12-31	2013-05-08
044	2000-12-20	FROM	MERGER/TAKEOVER	Fina Production Licenses AS	15.000000	\N	21140	386	9999-12-31	2013-05-08
044	1996-12-03	FROM	UNKNOWN	Phillips Petroleum Norsk AS	25.870000	\N	21140	705	9999-12-31	2013-05-08
044	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	41.880000	\N	21140	705	9999-12-31	2013-05-08
044	2001-01-22	FROM	TRANSFER	Den norske stats oljeselskap a.s	41.880000	\N	21140	749	9999-12-31	2013-05-08
044	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	21140	749	9999-12-31	2013-05-08
044	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	15.000000	\N	21140	848	9999-12-31	2013-05-08
044	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	15.000000	\N	21140	1340884	9999-12-31	2013-05-08
044	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	21140	1622484	9999-12-31	2013-05-08
044	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21140	1623450	9999-12-31	2013-05-08
044	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	21140	4511658	9999-12-31	2013-05-08
044	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	21140	4511854	9999-12-31	2013-05-08
044	1996-12-03	TO	UNKNOWN	Norsk Agip  AS	3.990000	\N	21140	45	9999-12-31	2013-05-08
044	2001-01-22	TO	TRANSFER	Phillips Petroleum Norsk AS	41.880000	\N	21140	705	9999-12-31	2013-05-08
044	1996-12-03	TO	UNKNOWN	Den norske stats oljeselskap a.s	21.880000	\N	21140	749	9999-12-31	2013-05-08
044	2000-12-20	TO	MERGER/TAKEOVER	Total Norge AS	15.000000	\N	21140	848	9999-12-31	2013-05-08
044	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	15.000000	\N	21140	1340884	9999-12-31	2013-05-08
044	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21140	1622484	9999-12-31	2013-05-08
044	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21140	1623450	9999-12-31	2013-05-08
044	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	13.120000	\N	21140	2388594	9999-12-31	2013-05-08
044	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	41.880000	\N	21140	2410696	9999-12-31	2013-05-08
044	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	15.000000	\N	21140	2410708	9999-12-31	2013-05-08
044	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	21140	4511658	9999-12-31	2013-05-08
044	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	21140	4511854	9999-12-31	2013-05-08
044	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	21140	17237817	9999-12-31	2013-05-08
046	2000-07-24	FROM	MERGER/TAKEOVER	Elf Petroleum Norge AS	10.000000	\N	21156	298	9999-12-31	2013-05-08
046	1988-01-01	FROM	UNKNOWN	Elf Aquitaine Norge A/S	9.000000	\N	21156	331	9999-12-31	2013-05-08
046	1988-01-01	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	9.600000	\N	21156	353	9999-12-31	2013-05-08
046	1993-01-15	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	2.400000	\N	21156	353	9999-12-31	2013-05-08
046	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	28.000000	\N	21156	353	9999-12-31	2013-05-08
046	1993-01-15	FROM	UNKNOWN	Norsk Hydro Produksjon AS	0.600000	\N	21156	430	9999-12-31	2013-05-08
046	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.400000	\N	21156	430	9999-12-31	2013-05-08
046	1987-01-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	21156	749	9999-12-31	2013-05-08
046	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	52.600000	\N	21156	749	9999-12-31	2013-05-08
046	1998-01-01	FROM	UNKNOWN	Total Norge AS	1.000000	\N	21156	848	9999-12-31	2013-05-08
046	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	21156	1340884	9999-12-31	2013-05-08
046	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	52.600000	\N	21156	1622484	9999-12-31	2013-05-08
046	2001-06-01	FROM	TRANSFER	SDØE	34.400000	\N	21156	1623450	9999-12-31	2013-05-08
046	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	62.000000	\N	21156	4511658	9999-12-31	2013-05-08
046	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	52.600000	\N	21156	4511854	9999-12-31	2013-05-08
046	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.400000	\N	21156	4524355	9999-12-31	2013-05-08
046	1988-01-01	TO	UNKNOWN	Elf Petroleum Norge AS	9.000000	\N	21156	298	9999-12-31	2013-05-08
046	1998-01-01	TO	UNKNOWN	Elf Petroleum Norge AS	1.000000	\N	21156	298	9999-12-31	2013-05-08
046	1987-01-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	9.000000	\N	21156	331	9999-12-31	2013-05-08
046	1988-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	9.600000	9.600000	21156	749	9999-12-31	2013-05-08
046	1993-01-15	TO	UNKNOWN	Den norske stats oljeselskap a.s	3.000000	4.800000	21156	749	9999-12-31	2013-05-08
046	1987-01-01	TO	UNKNOWN	Total Norge AS	1.000000	\N	21156	848	9999-12-31	2013-05-08
046	2000-07-24	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	10.000000	\N	21156	1340884	9999-12-31	2013-05-08
046	2001-05-10	TO	SDFI	Statoil ASA (old)	18.200000	\N	21156	1622484	9999-12-31	2013-05-08
046	2001-06-01	TO	TRANSFER	Statoil ASA (old)	34.400000	\N	21156	1622484	9999-12-31	2013-05-08
046	2001-05-10	TO	SDFI	SDØE	34.400000	\N	21156	1623450	9999-12-31	2013-05-08
046	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	10.000000	\N	21156	2410708	9999-12-31	2013-05-08
046	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	28.000000	\N	21156	2835212	9999-12-31	2013-05-08
046	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.400000	\N	21156	4511658	9999-12-31	2013-05-08
046	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	52.600000	\N	21156	4511658	9999-12-31	2013-05-08
046	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	52.600000	\N	21156	4511854	9999-12-31	2013-05-08
046	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.400000	\N	21156	4524355	9999-12-31	2013-05-08
046	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	62.000000	\N	21156	17237817	9999-12-31	2013-05-08
048	1977-07-01	FROM	UNKNOWN	Aquitaine Norge A/S	7.265000	\N	21172	111	9999-12-31	2013-05-08
048	1997-02-12	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	2.500000	\N	21172	155	9999-12-31	2013-05-08
048	1997-06-27	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	4.500000	\N	21172	155	9999-12-31	2013-05-08
048	1997-11-06	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	3.900000	\N	21172	155	9999-12-31	2013-05-08
048	1977-07-01	FROM	UNKNOWN	Elf Norge A/S	14.535000	\N	21172	287	9999-12-31	2013-05-08
048	1997-01-01	FROM	UNKNOWN	Elf Petroleum Norge AS	4.500000	\N	21172	298	9999-12-31	2013-05-08
048	2000-07-24	FROM	MERGER/TAKEOVER	Elf Petroleum Norge AS	21.800000	\N	21172	298	9999-12-31	2013-05-08
048	1992-08-14	FROM	UNKNOWN	Elf Aquitaine Norge A/S	21.800000	\N	21172	331	9999-12-31	2013-05-08
048	1997-01-27	FROM	UNKNOWN	Norsk Hydro Produksjon AS	8.000000	\N	21172	430	9999-12-31	2013-05-08
048	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.300000	\N	21172	430	9999-12-31	2013-05-08
048	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	68.900000	\N	21172	749	9999-12-31	2013-05-08
048	1991-01-01	FROM	UNKNOWN	Total Norge AS	10.900000	\N	21172	848	9999-12-31	2013-05-08
048	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	21.800000	\N	21172	1340884	9999-12-31	2013-05-08
048	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	68.900000	\N	21172	1622484	9999-12-31	2013-05-08
048	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21172	1623450	9999-12-31	2013-05-08
048	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	78.200000	\N	21172	4511658	9999-12-31	2013-05-08
048	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	68.900000	\N	21172	4511854	9999-12-31	2013-05-08
048	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.300000	\N	21172	4524355	9999-12-31	2013-05-08
048	1991-01-01	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	10.900000	\N	21172	155	9999-12-31	2013-05-08
048	1992-08-14	TO	UNKNOWN	Elf Petroleum Norge AS	21.800000	\N	21172	298	9999-12-31	2013-05-08
048	1997-06-27	TO	UNKNOWN	Elf Petroleum Norge AS	4.500000	\N	21172	298	9999-12-31	2013-05-08
048	1977-07-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	21.800000	\N	21172	331	9999-12-31	2013-05-08
048	1997-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	4.500000	\N	21172	749	9999-12-31	2013-05-08
048	1997-01-27	TO	UNKNOWN	Den norske stats oljeselskap a.s	8.000000	\N	21172	749	9999-12-31	2013-05-08
048	1997-02-12	TO	UNKNOWN	Den norske stats oljeselskap a.s	2.500000	\N	21172	749	9999-12-31	2013-05-08
048	1997-11-06	TO	UNKNOWN	Den norske stats oljeselskap a.s	3.900000	\N	21172	749	9999-12-31	2013-05-08
048	2000-07-24	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	21.800000	\N	21172	1340884	9999-12-31	2013-05-08
048	2001-05-10	TO	SDFI	Statoil ASA (old)	38.900000	\N	21172	1622484	9999-12-31	2013-05-08
048	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21172	1622484	9999-12-31	2013-05-08
048	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21172	1623450	9999-12-31	2013-05-08
048	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	21.800000	\N	21172	2410708	9999-12-31	2013-05-08
048	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.300000	\N	21172	4511658	9999-12-31	2013-05-08
048	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	68.900000	\N	21172	4511658	9999-12-31	2013-05-08
048	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	68.900000	\N	21172	4511854	9999-12-31	2013-05-08
048	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.300000	\N	21172	4524355	9999-12-31	2013-05-08
048	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	78.200000	\N	21172	17237817	9999-12-31	2013-05-08
050	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.000000	\N	21188	430	9999-12-31	2013-05-08
050	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	6.000000	\N	21188	716	9999-12-31	2013-05-08
050	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	91.000000	\N	21188	749	9999-12-31	2013-05-08
050	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	61.000000	\N	21188	1622484	9999-12-31	2013-05-08
050	2001-06-01	FROM	TRANSFER	SDØE	43.000000	\N	21188	1623450	9999-12-31	2013-05-08
050	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21188	1623450	9999-12-31	2013-05-08
050	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	21188	4511658	9999-12-31	2013-05-08
050	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	61.000000	\N	21188	4511854	9999-12-31	2013-05-08
050	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.000000	\N	21188	4524355	9999-12-31	2013-05-08
050	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	6.000000	\N	21188	749	9999-12-31	2013-05-08
050	2001-05-10	TO	SDFI	Statoil ASA (old)	18.000000	\N	21188	1622484	9999-12-31	2013-05-08
050	2001-06-01	TO	TRANSFER	Statoil ASA (old)	43.000000	\N	21188	1622484	9999-12-31	2013-05-08
050	2001-05-10	TO	SDFI	SDØE	73.000000	\N	21188	1623450	9999-12-31	2013-05-08
050	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21188	1626839	9999-12-31	2013-05-08
050	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.000000	\N	21188	4511658	9999-12-31	2013-05-08
050	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	61.000000	\N	21188	4511658	9999-12-31	2013-05-08
050	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	61.000000	\N	21188	4511854	9999-12-31	2013-05-08
050	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.000000	\N	21188	4524355	9999-12-31	2013-05-08
050	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	21188	17237817	9999-12-31	2013-05-08
050 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.000000	\N	21196	430	9999-12-31	2013-05-08
050 B	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	6.000000	\N	21196	716	9999-12-31	2013-05-08
050 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	91.000000	\N	21196	749	9999-12-31	2013-05-08
050 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	61.000000	\N	21196	1622484	9999-12-31	2013-05-08
050 B	2001-06-01	FROM	TRANSFER	SDØE	43.000000	\N	21196	1623450	9999-12-31	2013-05-08
050 B	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21196	1623450	9999-12-31	2013-05-08
050 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	21196	4511658	9999-12-31	2013-05-08
050 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	61.000000	\N	21196	4511854	9999-12-31	2013-05-08
050 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.000000	\N	21196	4524355	9999-12-31	2013-05-08
050 B	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	6.000000	\N	21196	749	9999-12-31	2013-05-08
050 B	2001-05-10	TO	SDFI	Statoil ASA (old)	18.000000	\N	21196	1622484	9999-12-31	2013-05-08
050 B	2001-06-01	TO	TRANSFER	Statoil ASA (old)	43.000000	\N	21196	1622484	9999-12-31	2013-05-08
050 B	2001-05-10	TO	SDFI	SDØE	73.000000	\N	21196	1623450	9999-12-31	2013-05-08
050 B	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21196	1626839	9999-12-31	2013-05-08
050 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.000000	\N	21196	4511658	9999-12-31	2013-05-08
050 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	61.000000	\N	21196	4511658	9999-12-31	2013-05-08
050 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	61.000000	\N	21196	4511854	9999-12-31	2013-05-08
050 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.000000	\N	21196	4524355	9999-12-31	2013-05-08
050 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	21196	17237817	9999-12-31	2013-05-08
051	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	24.500000	\N	21204	221	9999-12-31	2013-05-08
051	1992-07-31	FROM	UNKNOWN	Conoco Petroleum Norge AS	25.000000	\N	21204	232	9999-12-31	2013-05-08
051	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	51.000000	\N	21204	749	9999-12-31	2013-05-08
051	1988-12-16	FROM	UNKNOWN	Tennaco Oil Norway A/S	25.000000	\N	21204	793	9999-12-31	2013-05-08
051	1992-07-31	FROM	UNKNOWN	Total Norge AS	0.500000	\N	21204	848	9999-12-31	2013-05-08
051	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	24.500000	\N	21204	848	9999-12-31	2013-05-08
051	1990-05-25	FROM	UNKNOWN	Unocal Norge A/S	25.000000	\N	21204	892	9999-12-31	2013-05-08
051	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	24.500000	\N	21204	1340884	9999-12-31	2013-05-08
051	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	19.600000	\N	21204	1622484	9999-12-31	2013-05-08
051	2001-06-17	FROM	SDFI	SDØE	31.400000	\N	21204	1623450	9999-12-31	2013-05-08
051	2007-01-01	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	24.500000	\N	21204	2399056	9999-12-31	2013-05-08
051	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	19.600000	\N	21204	4511658	9999-12-31	2013-05-08
051	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	19.600000	\N	21204	4511854	9999-12-31	2013-05-08
051	1992-07-31	TO	UNKNOWN	Norske Conoco A/S	24.500000	\N	21204	221	9999-12-31	2013-05-08
051	1988-12-16	TO	UNKNOWN	Conoco Petroleum Norge AS	25.000000	\N	21204	232	9999-12-31	2013-05-08
051	1992-07-31	TO	UNKNOWN	Den norske stats oljeselskap a.s	1.000000	\N	21204	749	9999-12-31	2013-05-08
051	1990-05-25	TO	UNKNOWN	Total Norge AS	25.000000	\N	21204	848	9999-12-31	2013-05-08
051	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	24.500000	\N	21204	1340884	9999-12-31	2013-05-08
051	2001-05-10	TO	SDFI	Statoil ASA (old)	19.600000	\N	21204	1622484	9999-12-31	2013-05-08
051	2001-05-10	TO	SDFI	SDØE	31.400000	\N	21204	1623450	9999-12-31	2013-05-08
051	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	24.500000	\N	21204	2399056	9999-12-31	2013-05-08
051	2007-01-01	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	24.500000	\N	21204	2410696	9999-12-31	2013-05-08
051	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	24.500000	\N	21204	2410708	9999-12-31	2013-05-08
051	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	19.600000	\N	21204	4511658	9999-12-31	2013-05-08
051	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	19.600000	\N	21204	4511854	9999-12-31	2013-05-08
051	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	19.600000	\N	21204	17237817	9999-12-31	2013-05-08
052	1987-03-01	FROM	UNKNOWN	Deminex Norge AS	1.250000	\N	21212	254	9999-12-31	2013-05-08
052	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	11.250000	\N	21212	254	9999-12-31	2013-05-08
052	1987-03-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	1.000000	\N	21212	430	9999-12-31	2013-05-08
052	1996-12-13	FROM	UNKNOWN	Norsk Hydro Produksjon AS	9.000000	\N	21212	430	9999-12-31	2013-05-08
052	1987-03-01	FROM	UNKNOWN	Norske Deminex AS	0.250000	\N	21212	540	9999-12-31	2013-05-08
052	1998-12-17	FROM	CHANGE OF COMPANY NAME	Norske Deminex AS	2.250000	\N	21212	540	9999-12-31	2013-05-08
052	1986-08-01	FROM	UNKNOWN	Petro-Canada Norge AS (old)	5.000000	\N	21212	628	9999-12-31	2013-05-08
052	2001-01-23	FROM	TRANSFER	Petro-Canada Norge AS (old)	9.000000	\N	21212	628	9999-12-31	2013-05-08
052	1987-03-01	FROM	UNKNOWN	Petroswede Norge A/S	2.500000	\N	21212	672	9999-12-31	2013-05-08
052	2005-01-01	FROM	TRANSFER	Svenska Petroleum Exploration AS	4.500000	\N	21212	738	9999-12-31	2013-05-08
052	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	55.000000	\N	21212	749	9999-12-31	2013-05-08
052	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	18.000000	\N	21212	848	9999-12-31	2013-05-08
052	1986-08-01	FROM	UNKNOWN	Unocal Norge A/S	10.000000	\N	21212	892	9999-12-31	2013-05-08
052	1987-03-01	FROM	UNKNOWN	Unocal Norge A/S	2.000000	\N	21212	892	9999-12-31	2013-05-08
052	1990-05-25	FROM	UNKNOWN	Unocal Norge A/S	18.000000	\N	21212	892	9999-12-31	2013-05-08
052	2002-12-13	FROM	CHANGE OF COMPANY NAME	Norske RWE-DEA AS	2.250000	\N	21212	853394	9999-12-31	2013-05-08
052	2003-03-24	FROM	TRANSFER	TotalFinaElf Exploration Norge AS	18.000000	\N	21212	1340884	9999-12-31	2013-05-08
052	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	27.000000	\N	21212	1577943	9999-12-31	2013-05-08
052	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	18.000000	\N	21212	1622484	9999-12-31	2013-05-08
052	2001-06-17	FROM	SDFI	SDØE	37.000000	\N	21212	1623450	9999-12-31	2013-05-08
052	2009-01-02	FROM	TRANSFER	Talisman Energy Norge AS	27.000000	\N	21212	2425093	9999-12-31	2013-05-08
052	2005-05-04	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	4.500000	\N	21212	2455850	9999-12-31	2013-05-08
052	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	4.500000	\N	21212	3431773	9999-12-31	2013-05-08
052	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	27.000000	\N	21212	3987574	9999-12-31	2013-05-08
052	2011-01-01	FROM	TRANSFER	Talisman Resources Norge AS	27.000000	\N	21212	3987574	9999-12-31	2013-05-08
052	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	18.000000	\N	21212	4511658	9999-12-31	2013-05-08
052	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	18.000000	\N	21212	4511854	9999-12-31	2013-05-08
052	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	4.500000	\N	21212	5442509	9999-12-31	2013-05-08
052	1986-08-01	TO	UNKNOWN	Deminex Norge AS	7.500000	\N	21212	254	9999-12-31	2013-05-08
052	1986-08-01	TO	UNKNOWN	Norske Deminex AS	2.500000	\N	21212	540	9999-12-31	2013-05-08
052	1996-12-13	TO	UNKNOWN	Petro-Canada Norge AS (old)	9.000000	\N	21212	628	9999-12-31	2013-05-08
052	1986-08-01	TO	UNKNOWN	Petroswede Norge A/S	2.500000	\N	21212	672	9999-12-31	2013-05-08
052	1986-08-01	TO	UNKNOWN	Svenska Petroleum Exploration AS	2.500000	\N	21212	738	9999-12-31	2013-05-08
052	1987-03-01	TO	UNKNOWN	Svenska Petroleum Exploration AS	2.000000	\N	21212	738	9999-12-31	2013-05-08
052	1987-03-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	5.000000	7.000000	21212	749	9999-12-31	2013-05-08
052	1990-05-25	TO	UNKNOWN	Total Norge AS	18.000000	\N	21212	848	9999-12-31	2013-05-08
052	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	11.250000	\N	21212	97557	9999-12-31	2013-05-08
052	2002-12-13	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	2.250000	\N	21212	97557	9999-12-31	2013-05-08
052	1998-12-17	TO	CHANGE OF COMPANY NAME	Norske RWE-DEA AS	2.250000	\N	21212	853394	9999-12-31	2013-05-08
052	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	18.000000	\N	21212	1340884	9999-12-31	2013-05-08
052	2001-01-23	TO	TRANSFER	Paladin Resources Norge AS	9.000000	\N	21212	1577943	9999-12-31	2013-05-08
052	2003-03-24	TO	TRANSFER	Paladin Resources Norge AS	18.000000	\N	21212	1577943	9999-12-31	2013-05-08
052	2001-05-10	TO	SDFI	Statoil ASA (old)	18.000000	\N	21212	1622484	9999-12-31	2013-05-08
052	2001-05-10	TO	SDFI	SDØE	37.000000	\N	21212	1623450	9999-12-31	2013-05-08
052	2001-06-17	TO	SDFI	Petoro AS	37.000000	\N	21212	1626839	9999-12-31	2013-05-08
052	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	27.000000	\N	21212	2425093	9999-12-31	2013-05-08
052	2011-01-01	TO	TRANSFER	Talisman Energy Norge AS	27.000000	\N	21212	2425093	9999-12-31	2013-05-08
052	2005-01-01	TO	TRANSFER	Revus Energy AS	4.500000	\N	21212	2455850	9999-12-31	2013-05-08
052	2005-05-04	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	4.500000	\N	21212	3431773	9999-12-31	2013-05-08
052	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	27.000000	\N	21212	3987574	9999-12-31	2013-05-08
052	2009-01-02	TO	TRANSFER	Talisman Resources Norge AS	27.000000	\N	21212	3987574	9999-12-31	2013-05-08
052	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	18.000000	\N	21212	4511658	9999-12-31	2013-05-08
052	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	18.000000	\N	21212	4511854	9999-12-31	2013-05-08
052	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	4.500000	\N	21212	5442509	9999-12-31	2013-05-08
052	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	18.000000	\N	21212	17237817	9999-12-31	2013-05-08
052	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	4.500000	\N	21212	21666830	9999-12-31	2013-05-08
053	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	2.400000	\N	21220	221	9999-12-31	2013-05-08
053	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	9.333000	\N	21220	298	9999-12-31	2013-05-08
053	1983-06-01	FROM	UNKNOWN	Elf Aquitaine Norge A/S	2.663000	\N	21220	331	9999-12-31	2013-05-08
053	1988-04-01	FROM	UNKNOWN	Elf Aquitaine Norge A/S	10.667000	\N	21220	331	9999-12-31	2013-05-08
053	1983-06-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	0.250000	\N	21220	430	9999-12-31	2013-05-08
053	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	34.000000	\N	21220	430	9999-12-31	2013-05-08
053	1983-06-01	FROM	UNKNOWN	Mobil Development Norway AS	2.000000	\N	21220	474	9999-12-31	2013-05-08
053	1988-04-01	FROM	UNKNOWN	Mobil Development Norway AS	1.000000	\N	21220	474	9999-12-31	2013-05-08
053	2002-12-04	FROM	TRANSFER	Mobil Development Norway AS	2.300000	\N	21220	474	9999-12-31	2013-05-08
053	2008-08-01	FROM	TRANSFER	Mobil Development Norway AS	4.700000	\N	21220	474	9999-12-31	2013-05-08
053	1983-06-01	FROM	UNKNOWN	Saga Petroleum ASA	0.150000	\N	21220	716	9999-12-31	2013-05-08
053	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	7.350000	\N	21220	716	9999-12-31	2013-05-08
053	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	59.400000	\N	21220	749	9999-12-31	2013-05-08
053	1983-06-01	FROM	UNKNOWN	Total Norge AS	1.337000	\N	21220	848	9999-12-31	2013-05-08
053	1988-04-01	FROM	UNKNOWN	Total Norge AS	0.666000	\N	21220	848	9999-12-31	2013-05-08
053	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	4.667000	\N	21220	848	9999-12-31	2013-05-08
053	2002-03-19	FROM	TRANSFER	TotalFinaElf Exploration Norge AS	4.000000	\N	21220	1340884	9999-12-31	2013-05-08
053	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	21220	1340884	9999-12-31	2013-05-08
053	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	15.300000	\N	21220	1622484	9999-12-31	2013-05-08
053	2001-06-17	FROM	SDFI	SDØE	45.400000	\N	21220	1623450	9999-12-31	2013-05-08
053	2002-03-19	FROM	TRANSFER	Petoro AS	14.400000	\N	21220	1626839	9999-12-31	2013-05-08
053	2002-10-01	FROM	TRANSFER	Petoro AS	3.700000	\N	21220	1626839	9999-12-31	2013-05-08
053	2007-01-02	FROM	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	2.400000	\N	21220	2399056	9999-12-31	2013-05-08
053	2012-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	4.700000	\N	21220	2835212	9999-12-31	2013-05-08
053	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	49.300000	\N	21220	4511658	9999-12-31	2013-05-08
053	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	15.300000	\N	21220	4511854	9999-12-31	2013-05-08
053	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	34.000000	\N	21220	4524355	9999-12-31	2013-05-08
053	2002-10-01	TO	TRANSFER	Norske Conoco A/S	2.400000	\N	21220	221	9999-12-31	2013-05-08
053	1988-04-01	TO	UNKNOWN	Elf Petroleum Norge AS	9.333000	\N	21220	298	9999-12-31	2013-05-08
053	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	7.350000	\N	21220	430	9999-12-31	2013-05-08
053	2002-03-19	TO	TRANSFER	Norsk Hydro Produksjon AS	14.400000	\N	21220	430	9999-12-31	2013-05-08
053	1983-06-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	6.400000	\N	21220	749	9999-12-31	2013-05-08
053	1988-04-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	3.000000	3.000000	21220	749	9999-12-31	2013-05-08
053	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	9.333000	\N	21220	1340884	9999-12-31	2013-05-08
053	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	4.667000	\N	21220	1340884	9999-12-31	2013-05-08
053	2001-05-10	TO	SDFI	Statoil ASA (old)	14.000000	\N	21220	1622484	9999-12-31	2013-05-08
053	2002-10-01	TO	TRANSFER	Statoil ASA (old)	1.300000	\N	21220	1622484	9999-12-31	2013-05-08
053	2001-05-10	TO	SDFI	SDØE	45.400000	\N	21220	1623450	9999-12-31	2013-05-08
053	2001-06-17	TO	SDFI	Petoro AS	45.400000	\N	21220	1626839	9999-12-31	2013-05-08
053	2002-03-19	TO	TRANSFER	Petoro AS	4.000000	\N	21220	1626839	9999-12-31	2013-05-08
053	2002-12-04	TO	TRANSFER	Petoro AS	2.300000	\N	21220	1626839	9999-12-31	2013-05-08
053	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	2.400000	\N	21220	2399056	9999-12-31	2013-05-08
053	2007-01-02	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	2.400000	\N	21220	2410696	9999-12-31	2013-05-08
053	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	10.000000	\N	21220	2410708	9999-12-31	2013-05-08
053	2012-01-01	TO	TRANSFER	Total E&P Norge AS	4.700000	\N	21220	2410708	9999-12-31	2013-05-08
053	2008-08-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	4.700000	\N	21220	2835212	9999-12-31	2013-05-08
053	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	34.000000	\N	21220	4511658	9999-12-31	2013-05-08
053	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	15.300000	\N	21220	4511658	9999-12-31	2013-05-08
053	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	15.300000	\N	21220	4511854	9999-12-31	2013-05-08
053	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	34.000000	\N	21220	4524355	9999-12-31	2013-05-08
053	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	49.300000	\N	21220	17237817	9999-12-31	2013-05-08
054	1988-01-01	FROM	UNKNOWN	Conoco Norway Inc.	5.000000	\N	21228	210	9999-12-31	2013-05-08
054	1993-04-01	FROM	UNKNOWN	Norske Conoco A/S	1.103980	\N	21228	221	9999-12-31	2013-05-08
054	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	5.191020	\N	21228	221	9999-12-31	2013-05-08
054	1993-04-01	FROM	UNKNOWN	Elf Petroleum Norge AS	0.000500	\N	21228	298	9999-12-31	2013-05-08
054	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	3.104500	\N	21228	298	9999-12-31	2013-05-08
054	1988-01-01	FROM	UNKNOWN	Elf Aquitaine Norge A/S	2.000000	\N	21228	331	9999-12-31	2013-05-08
054	1988-01-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	0.100000	\N	21228	430	9999-12-31	2013-05-08
054	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	4.900000	\N	21228	430	9999-12-31	2013-05-08
054	1988-01-01	FROM	UNKNOWN	Mobil Development Norway AS	5.000000	\N	21228	474	9999-12-31	2013-05-08
054	1988-01-01	FROM	UNKNOWN	A/S Norske Shell	9.100000	\N	21228	562	9999-12-31	2013-05-08
054	1987-01-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	3.000000	\N	21228	749	9999-12-31	2013-05-08
054	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	58.800000	\N	21228	749	9999-12-31	2013-05-08
054	1986-06-01	FROM	UNKNOWN	Superior Oil Norge A/S	5.000000	\N	21228	771	9999-12-31	2013-05-08
054	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	2.104480	\N	21228	848	9999-12-31	2013-05-08
054	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	5.208980	\N	21228	1340884	9999-12-31	2013-05-08
054	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	18.000000	\N	21228	1622484	9999-12-31	2013-05-08
054	2001-06-17	FROM	SDFI	SDØE	40.800000	\N	21228	1623450	9999-12-31	2013-05-08
054	2007-01-02	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	5.191020	\N	21228	2399056	9999-12-31	2013-05-08
054	2007-10-02	FROM	TRANSFER	Total E&P Norge AS	1.518020	\N	21228	2410708	9999-12-31	2013-05-08
054	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	24.418020	\N	21228	4511658	9999-12-31	2013-05-08
054	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	19.518020	\N	21228	4511854	9999-12-31	2013-05-08
054	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	4.900000	\N	21228	4524355	9999-12-31	2013-05-08
054	1988-01-01	TO	UNKNOWN	Norske Conoco A/S	6.295000	\N	21228	221	9999-12-31	2013-05-08
054	1988-01-01	TO	UNKNOWN	Elf Petroleum Norge AS	3.105000	\N	21228	298	9999-12-31	2013-05-08
054	1987-01-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	2.000000	\N	21228	331	9999-12-31	2013-05-08
054	1986-06-01	TO	UNKNOWN	Mobil Development Norway AS	5.000000	\N	21228	474	9999-12-31	2013-05-08
054	1988-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	11.800000	10.800000	21228	749	9999-12-31	2013-05-08
054	1987-01-01	TO	UNKNOWN	Total Norge AS	1.000000	\N	21228	848	9999-12-31	2013-05-08
054	1993-04-01	TO	UNKNOWN	Total Norge AS	1.104480	\N	21228	848	9999-12-31	2013-05-08
054	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	3.104500	\N	21228	1340884	9999-12-31	2013-05-08
054	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	2.104480	\N	21228	1340884	9999-12-31	2013-05-08
054	2001-05-10	TO	SDFI	Statoil ASA (old)	18.000000	\N	21228	1622484	9999-12-31	2013-05-08
054	2001-05-10	TO	SDFI	SDØE	40.800000	\N	21228	1623450	9999-12-31	2013-05-08
054	2001-06-17	TO	SDFI	Petoro AS	40.800000	\N	21228	1626839	9999-12-31	2013-05-08
054	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	5.191020	\N	21228	2399056	9999-12-31	2013-05-08
054	2007-01-02	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	5.191020	\N	21228	2410696	9999-12-31	2013-05-08
054	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	5.208980	\N	21228	2410708	9999-12-31	2013-05-08
054	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	4.900000	\N	21228	4511658	9999-12-31	2013-05-08
054	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	19.518020	\N	21228	4511658	9999-12-31	2013-05-08
054	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	18.000000	\N	21228	4511854	9999-12-31	2013-05-08
054	2007-10-02	TO	TRANSFER	StatoilHydro ASA	1.518020	\N	21228	4511854	9999-12-31	2013-05-08
054	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	4.900000	\N	21228	4524355	9999-12-31	2013-05-08
054	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	24.418020	\N	21228	17237817	9999-12-31	2013-05-08
055	1988-09-01	FROM	UNKNOWN	Arco Norge A/S	0.200000	\N	21236	122	9999-12-31	2013-05-08
055	1990-07-25	FROM	UNKNOWN	Arco Norge A/S	9.800000	\N	21236	122	9999-12-31	2013-05-08
055	1988-09-01	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	0.100000	\N	21236	155	9999-12-31	2013-05-08
055	1990-12-03	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	4.900000	\N	21236	155	9999-12-31	2013-05-08
055	1988-09-01	FROM	UNKNOWN	Elf Aquitaine Norge A/S	2.000000	\N	21236	331	9999-12-31	2013-05-08
055	1988-09-01	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	0.400000	\N	21236	353	9999-12-31	2013-05-08
055	1990-12-03	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	2.000000	\N	21236	353	9999-12-31	2013-05-08
055	2004-01-01	FROM	TRANSFER	Esso Exploration and Production Norway A/S	2.692000	\N	21236	353	9999-12-31	2013-05-08
055	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	14.908000	\N	21236	353	9999-12-31	2013-05-08
055	1988-09-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	0.300000	\N	21236	430	9999-12-31	2013-05-08
055	1990-12-03	FROM	UNKNOWN	Norsk Hydro Produksjon AS	1.500000	\N	21236	430	9999-12-31	2013-05-08
055	2002-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	3.200000	\N	21236	430	9999-12-31	2013-05-08
055	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	21236	430	9999-12-31	2013-05-08
055	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	13.200000	\N	21236	496	9999-12-31	2013-05-08
055	1988-01-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	2.000000	\N	21236	749	9999-12-31	2013-05-08
055	1993-12-13	FROM	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	5.000000	21236	749	9999-12-31	2013-05-08
055	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	46.000000	\N	21236	749	9999-12-31	2013-05-08
055	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	13.200000	\N	21236	102714	9999-12-31	2013-05-08
055	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	20.000000	\N	21236	1577943	9999-12-31	2013-05-08
055	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	12.600000	\N	21236	1622484	9999-12-31	2013-05-08
055	2001-06-17	FROM	SDFI	SDØE	33.400000	\N	21236	1623450	9999-12-31	2013-05-08
055	2002-03-19	FROM	TRANSFER	Petoro AS	20.000000	\N	21236	1626839	9999-12-31	2013-05-08
055	2011-01-01	FROM	TRANSFER	Petoro AS	13.400000	\N	21236	1626839	9999-12-31	2013-05-08
055	2005-01-01	FROM	CHANGE OF COMPANY NAME	OER Oil AS	3.200000	\N	21236	2258813	9999-12-31	2013-05-08
055	2006-01-01	FROM	TRANSFER	Eni Norge AS	13.200000	\N	21236	2388594	9999-12-31	2013-05-08
055	2005-05-04	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	2.692000	\N	21236	2455850	9999-12-31	2013-05-08
055	2006-11-28	FROM	CHANGE OF COMPANY NAME	Altinex Oil AS	13.200000	\N	21236	2835200	9999-12-31	2013-05-08
055	2005-01-02	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	14.908000	\N	21236	2835212	9999-12-31	2013-05-08
055	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	3.200000	\N	21236	3113213	9999-12-31	2013-05-08
055	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	2.692000	\N	21236	3431773	9999-12-31	2013-05-08
055	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	20.000000	\N	21236	3987574	9999-12-31	2013-05-08
055	2011-07-01	FROM	TRANSFER	Altinex Oil Norway AS	13.200000	\N	21236	4446230	9999-12-31	2013-05-08
055	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	32.600000	\N	21236	4511658	9999-12-31	2013-05-08
055	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	12.600000	\N	21236	4511854	9999-12-31	2013-05-08
055	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	20.000000	\N	21236	4524355	9999-12-31	2013-05-08
055	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	2.692000	\N	21236	5072514	9999-12-31	2013-05-08
055	2010-01-01	FROM	TRANSFER	Wintershall Norge ASA	2.692000	\N	21236	5442509	9999-12-31	2013-05-08
055	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	3.200000	\N	21236	5497155	9999-12-31	2013-05-08
055	1988-01-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	2.000000	\N	21236	331	9999-12-31	2013-05-08
055	1993-12-13	TO	UNKNOWN	Norsk Hydro Produksjon AS	10.000000	\N	21236	430	9999-12-31	2013-05-08
055	1990-07-25	TO	UNKNOWN	Neste Petroleum AS	9.800000	\N	21236	496	9999-12-31	2013-05-08
055	1990-12-03	TO	UNKNOWN	Neste Petroleum AS	3.400000	\N	21236	496	9999-12-31	2013-05-08
055	1988-09-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	3.000000	\N	21236	749	9999-12-31	2013-05-08
055	1990-12-03	TO	UNKNOWN	Den norske stats oljeselskap a.s	5.000000	\N	21236	749	9999-12-31	2013-05-08
055	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	13.200000	\N	21236	102714	9999-12-31	2013-05-08
055	2002-03-19	TO	TRANSFER	Paladin Resources Norge AS	20.000000	\N	21236	1577943	9999-12-31	2013-05-08
055	2001-05-10	TO	SDFI	Statoil ASA (old)	12.600000	\N	21236	1622484	9999-12-31	2013-05-08
055	2001-05-10	TO	SDFI	SDØE	33.400000	\N	21236	1623450	9999-12-31	2013-05-08
055	2001-06-17	TO	SDFI	Petoro AS	33.400000	\N	21236	1626839	9999-12-31	2013-05-08
055	2002-01-01	TO	TRANSFER	OER Oil AS	3.200000	\N	21236	2258813	9999-12-31	2013-05-08
055	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	13.200000	\N	21236	2388594	9999-12-31	2013-05-08
055	2005-01-02	TO	TRANSFER	Talisman Energy Norge AS	14.908000	\N	21236	2425093	9999-12-31	2013-05-08
055	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	20.000000	\N	21236	2425093	9999-12-31	2013-05-08
055	2004-01-01	TO	TRANSFER	Revus Energy AS	2.692000	\N	21236	2455850	9999-12-31	2013-05-08
055	2006-01-01	TO	TRANSFER	Altinex Oil AS	13.200000	\N	21236	2835200	9999-12-31	2013-05-08
055	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	14.908000	\N	21236	2835212	9999-12-31	2013-05-08
055	2005-01-01	TO	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	3.200000	\N	21236	3113213	9999-12-31	2013-05-08
055	2005-05-04	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	2.692000	\N	21236	3431773	9999-12-31	2013-05-08
055	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	20.000000	\N	21236	3987574	9999-12-31	2013-05-08
055	2011-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	13.400000	\N	21236	4062883	9999-12-31	2013-05-08
055	2006-11-28	TO	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	13.200000	\N	21236	4446230	9999-12-31	2013-05-08
055	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	21236	4511658	9999-12-31	2013-05-08
055	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	12.600000	\N	21236	4511658	9999-12-31	2013-05-08
055	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	12.600000	\N	21236	4511854	9999-12-31	2013-05-08
055	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	20.000000	\N	21236	4524355	9999-12-31	2013-05-08
055	2010-01-01	TO	TRANSFER	Spring Energy Norway AS	2.692000	\N	21236	5072514	9999-12-31	2013-05-08
055	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	2.692000	\N	21236	5442509	9999-12-31	2013-05-08
055	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	3.200000	\N	21236	5497155	9999-12-31	2013-05-08
055	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	3.200000	\N	21236	17237193	9999-12-31	2013-05-08
055	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	32.600000	\N	21236	17237817	9999-12-31	2013-05-08
055	2011-07-01	TO	TRANSFER	Core Energy AS	13.200000	\N	21236	20460080	9999-12-31	2013-05-08
055	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	2.692000	\N	21236	23173852	9999-12-31	2013-05-08
057	1988-05-30	FROM	UNKNOWN	Amerada Hess Norge AS	0.100000	\N	21252	67	9999-12-31	2013-05-08
057	2006-06-26	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	4.900000	\N	21252	67	9999-12-31	2013-05-08
057	1988-05-30	FROM	UNKNOWN	Amoco Norway Oil Company	10.000000	\N	21252	78	9999-12-31	2013-05-08
057	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	24.500000	\N	21252	254	9999-12-31	2013-05-08
057	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	4.900000	\N	21252	342	9999-12-31	2013-05-08
057	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	14.700000	\N	21252	430	9999-12-31	2013-05-08
057	1988-05-30	FROM	UNKNOWN	Saga Petroleum ASA	0.300000	\N	21252	716	9999-12-31	2013-05-08
057	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	14.700000	\N	21252	716	9999-12-31	2013-05-08
057	1990-01-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	9.600000	\N	21252	749	9999-12-31	2013-05-08
057	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	41.400000	\N	21252	749	9999-12-31	2013-05-08
057	1988-05-30	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	0.100000	\N	21252	837	9999-12-31	2013-05-08
057	1989-04-14	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	4.900000	\N	21252	837	9999-12-31	2013-05-08
057	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	16.300000	\N	21252	1622484	9999-12-31	2013-05-08
057	2001-06-01	FROM	TRANSFER	SDØE	1.400000	\N	21252	1623450	9999-12-31	2013-05-08
057	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21252	1623450	9999-12-31	2013-05-08
057	2005-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	4.900000	\N	21252	1853786	9999-12-31	2013-05-08
057	2011-01-01	FROM	TRANSFER	Hess Norge AS	4.900000	\N	21252	4038735	9999-12-31	2013-05-08
057	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	31.000000	\N	21252	4511658	9999-12-31	2013-05-08
057	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	16.300000	\N	21252	4511854	9999-12-31	2013-05-08
057	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	14.700000	\N	21252	4524355	9999-12-31	2013-05-08
057	1988-05-30	TO	UNKNOWN	Deminex Norge AS	9.500000	\N	21252	254	9999-12-31	2013-05-08
057	1989-04-14	TO	UNKNOWN	Enterprise Oil Norwegian AS	4.900000	\N	21252	342	9999-12-31	2013-05-08
057	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	14.700000	\N	21252	430	9999-12-31	2013-05-08
057	1990-01-01	TO	UNKNOWN	Idemitsu Petroleum Norge AS	9.600000	\N	21252	441	9999-12-31	2013-05-08
057	1988-05-30	TO	UNKNOWN	Den norske stats oljeselskap a.s	1.000000	\N	21252	749	9999-12-31	2013-05-08
057	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	24.500000	\N	21252	97557	9999-12-31	2013-05-08
057	2001-05-10	TO	SDFI	Statoil ASA (old)	10.000000	\N	21252	1622484	9999-12-31	2013-05-08
057	2001-06-01	TO	TRANSFER	Statoil ASA (old)	1.400000	\N	21252	1622484	9999-12-31	2013-05-08
057	2005-01-01	TO	TRANSFER	Statoil ASA (old)	4.900000	\N	21252	1622484	9999-12-31	2013-05-08
057	2001-05-10	TO	SDFI	SDØE	31.400000	\N	21252	1623450	9999-12-31	2013-05-08
057	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21252	1626839	9999-12-31	2013-05-08
057	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	4.900000	\N	21252	1853786	9999-12-31	2013-05-08
057	2006-06-26	TO	CHANGE OF COMPANY NAME	Hess Norge AS	4.900000	\N	21252	4038735	9999-12-31	2013-05-08
057	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	14.700000	\N	21252	4511658	9999-12-31	2013-05-08
057	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	16.300000	\N	21252	4511658	9999-12-31	2013-05-08
057	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	16.300000	\N	21252	4511854	9999-12-31	2013-05-08
057	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	14.700000	\N	21252	4524355	9999-12-31	2013-05-08
057	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	31.000000	\N	21252	17237817	9999-12-31	2013-05-08
057	2011-01-01	TO	TRANSFER	Core Energy AS	4.900000	\N	21252	20460080	9999-12-31	2013-05-08
062	1990-07-25	FROM	UNKNOWN	Arco Norge A/S	10.000000	\N	21292	122	9999-12-31	2013-05-08
062	1992-06-02	FROM	UNKNOWN	Norsk Hydro Produksjon AS	0.100000	\N	21292	430	9999-12-31	2013-05-08
062	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	14.700000	\N	21292	430	9999-12-31	2013-05-08
062	1992-06-02	FROM	UNKNOWN	Neste Petroleum AS	0.200000	\N	21292	496	9999-12-31	2013-05-08
062	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	9.800000	\N	21292	496	9999-12-31	2013-05-08
062	1991-07-01	FROM	UNKNOWN	A/S Norske Shell	25.000000	\N	21292	562	9999-12-31	2013-05-08
062	1992-06-02	FROM	UNKNOWN	Saga Petroleum ASA	0.200000	\N	21292	716	9999-12-31	2013-05-08
062	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	9.800000	\N	21292	716	9999-12-31	2013-05-08
062	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	51.000000	\N	21292	749	9999-12-31	2013-05-08
062	1992-06-02	FROM	UNKNOWN	Total Norge AS	0.500000	\N	21292	848	9999-12-31	2013-05-08
062	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	24.500000	\N	21292	848	9999-12-31	2013-05-08
062	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	9.800000	\N	21292	102714	9999-12-31	2013-05-08
062	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	24.500000	\N	21292	1340884	9999-12-31	2013-05-08
062	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	31.050000	\N	21292	1622484	9999-12-31	2013-05-08
062	2001-06-01	FROM	TRANSFER	SDØE	11.450000	\N	21292	1623450	9999-12-31	2013-05-08
062	2001-06-17	FROM	SDFI	SDØE	19.950000	\N	21292	1623450	9999-12-31	2013-05-08
062	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	14.700000	\N	21292	4511658	9999-12-31	2013-05-08
062	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	45.750000	\N	21292	4511658	9999-12-31	2013-05-08
062	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	45.750000	\N	21292	4511854	9999-12-31	2013-05-08
062	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	14.700000	\N	21292	4524355	9999-12-31	2013-05-08
062	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.800000	\N	21292	430	9999-12-31	2013-05-08
062	1990-07-25	TO	UNKNOWN	Neste Petroleum AS	10.000000	\N	21292	496	9999-12-31	2013-05-08
062	1992-06-02	TO	UNKNOWN	Den norske stats oljeselskap a.s	1.000000	1.400000	21292	749	9999-12-31	2013-05-08
062	1991-07-01	TO	UNKNOWN	Total Norge AS	25.000000	\N	21292	848	9999-12-31	2013-05-08
062	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	9.800000	\N	21292	102714	9999-12-31	2013-05-08
062	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	24.500000	\N	21292	1340884	9999-12-31	2013-05-08
062	2001-05-10	TO	SDFI	Statoil ASA (old)	19.600000	\N	21292	1622484	9999-12-31	2013-05-08
062	2001-06-01	TO	TRANSFER	Statoil ASA (old)	11.450000	\N	21292	1622484	9999-12-31	2013-05-08
062	2001-05-10	TO	SDFI	SDØE	31.400000	\N	21292	1623450	9999-12-31	2013-05-08
062	2001-06-17	TO	SDFI	Petoro AS	19.950000	\N	21292	1626839	9999-12-31	2013-05-08
062	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	9.800000	\N	21292	2388594	9999-12-31	2013-05-08
062	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	24.500000	\N	21292	2410708	9999-12-31	2013-05-08
062	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	14.700000	\N	21292	4511658	9999-12-31	2013-05-08
062	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	45.750000	\N	21292	4511658	9999-12-31	2013-05-08
062	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	31.050000	\N	21292	4511854	9999-12-31	2013-05-08
062	2008-01-01	TO	TRANSFER	StatoilHydro ASA	14.700000	\N	21292	4511854	9999-12-31	2013-05-08
062	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	14.700000	\N	21292	4524355	9999-12-31	2013-05-08
062	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	45.750000	\N	21292	17237817	9999-12-31	2013-05-08
064	1998-01-01	FROM	UNKNOWN	Elf Petroleum Norge AS	5.000000	\N	21308	298	9999-12-31	2013-05-08
064	1994-01-01	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	25.000000	\N	21308	353	9999-12-31	2013-05-08
064	2000-04-07	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.750000	\N	21308	430	9999-12-31	2013-05-08
064	2004-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	21308	430	9999-12-31	2013-05-08
064	1996-02-29	FROM	UNKNOWN	Phillips Petroleum Norsk AS	5.000000	\N	21308	705	9999-12-31	2013-05-08
064	2000-12-23	FROM	TRANSFER	Den norske stats oljeselskap a.s	15.480000	\N	21308	749	9999-12-31	2013-05-08
064	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	69.520000	\N	21308	749	9999-12-31	2013-05-08
064	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	5.000000	\N	21308	848	9999-12-31	2013-05-08
064	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	5.000000	\N	21308	1340884	9999-12-31	2013-05-08
064	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	49.520000	\N	21308	1622484	9999-12-31	2013-05-08
064	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21308	1623450	9999-12-31	2013-05-08
064	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	15.480000	\N	21308	1628733	9999-12-31	2013-05-08
064	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	49.520000	\N	21308	4511658	9999-12-31	2013-05-08
064	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	49.520000	\N	21308	4511854	9999-12-31	2013-05-08
064	1994-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	5.750000	\N	21308	430	9999-12-31	2013-05-08
064	1994-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	19.250000	\N	21308	749	9999-12-31	2013-05-08
064	1996-02-29	TO	UNKNOWN	Den norske stats oljeselskap a.s	5.000000	\N	21308	749	9999-12-31	2013-05-08
064	2000-04-07	TO	TRANSFER	Den norske stats oljeselskap a.s	10.750000	\N	21308	749	9999-12-31	2013-05-08
064	1998-01-01	TO	UNKNOWN	Total Norge AS	5.000000	\N	21308	848	9999-12-31	2013-05-08
064	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	5.000000	\N	21308	1340884	9999-12-31	2013-05-08
064	2001-05-10	TO	SDFI	Statoil ASA (old)	39.520000	\N	21308	1622484	9999-12-31	2013-05-08
064	2004-01-01	TO	TRANSFER	Statoil ASA (old)	10.000000	\N	21308	1622484	9999-12-31	2013-05-08
064	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21308	1623450	9999-12-31	2013-05-08
064	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21308	1626839	9999-12-31	2013-05-08
064	2000-12-23	TO	TRANSFER	Gaz de France Norge AS	15.480000	\N	21308	1628733	9999-12-31	2013-05-08
064	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	5.000000	\N	21308	2410708	9999-12-31	2013-05-08
064	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	49.520000	\N	21308	4511658	9999-12-31	2013-05-08
064	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	49.520000	\N	21308	4511854	9999-12-31	2013-05-08
064	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	15.480000	\N	21308	5267845	9999-12-31	2013-05-08
064	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	49.520000	\N	21308	17237817	9999-12-31	2013-05-08
065	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	55.000000	\N	21316	155	9999-12-31	2013-05-08
065	1997-01-01	FROM	UNKNOWN	Elf Petroleum Norge AS	16.667000	\N	21316	298	9999-12-31	2013-05-08
065	1990-05-21	FROM	UNKNOWN	Elf Aquitaine Norge A/S	16.667000	\N	21316	331	9999-12-31	2013-05-08
065	1998-07-23	FROM	TRANSFER	Enterprise Oil Norwegian AS	20.000000	\N	21316	342	9999-12-31	2013-05-08
065	2000-01-01	FROM	TRANSFER	A/S Norske Shell	15.000000	\N	21316	562	9999-12-31	2013-05-08
065	2002-04-17	FROM	TRANSFER	Pelican AS	45.000000	\N	21316	606	9999-12-31	2013-05-08
065	1995-01-19	FROM	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	21316	749	9999-12-31	2013-05-08
065	1997-02-12	FROM	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	21316	749	9999-12-31	2013-05-08
065	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	21316	749	9999-12-31	2013-05-08
065	1990-01-18	FROM	UNKNOWN	Texaco Exploration Norway AS	10.000000	\N	21316	804	9999-12-31	2013-05-08
065	1990-05-21	FROM	UNKNOWN	Total Norge AS	8.333000	\N	21316	848	9999-12-31	2013-05-08
065	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	55.000000	\N	21316	982372	9999-12-31	2013-05-08
065	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21316	1623450	9999-12-31	2013-05-08
065	2002-03-19	FROM	TRANSFER	Petoro AS	30.000000	\N	21316	1626839	9999-12-31	2013-05-08
065	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	45.000000	\N	21316	1853083	9999-12-31	2013-05-08
065	1990-05-21	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	8.333000	\N	21316	155	9999-12-31	2013-05-08
065	1997-01-01	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	16.667000	\N	21316	155	9999-12-31	2013-05-08
065	1997-02-12	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	10.000000	\N	21316	155	9999-12-31	2013-05-08
065	1998-07-23	TO	TRANSFER	BP Petroleum Dev. of Norway AS	20.000000	\N	21316	155	9999-12-31	2013-05-08
065	1990-05-21	TO	UNKNOWN	Elf Petroleum Norge AS	16.667000	\N	21316	298	9999-12-31	2013-05-08
065	1990-01-18	TO	UNKNOWN	Enterprise Oil Norwegian AS	10.000000	\N	21316	342	9999-12-31	2013-05-08
065	1995-01-19	TO	UNKNOWN	Enterprise Oil Norwegian AS	10.000000	\N	21316	342	9999-12-31	2013-05-08
065	2000-01-01	TO	TRANSFER	Pelican AS	15.000000	\N	21316	606	9999-12-31	2013-05-08
065	2002-03-19	TO	TRANSFER	Pelican AS	30.000000	\N	21316	606	9999-12-31	2013-05-08
065	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	55.000000	\N	21316	982372	9999-12-31	2013-05-08
065	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21316	1623450	9999-12-31	2013-05-08
065	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21316	1626839	9999-12-31	2013-05-08
065	2002-04-17	TO	TRANSFER	DONG Norge AS	45.000000	\N	21316	1853083	9999-12-31	2013-05-08
065	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	55.000000	\N	21316	2052695	9999-12-31	2013-05-08
065	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	45.000000	\N	21316	4070011	9999-12-31	2013-05-08
066	1990-06-13	FROM	UNKNOWN	Arco Norge A/S	5.000000	\N	21324	122	9999-12-31	2013-05-08
066	1999-01-01	FROM	TRANSFER	BP Petroleum Dev. of Norway AS	5.000000	\N	21324	155	9999-12-31	2013-05-08
066	1993-01-25	FROM	UNKNOWN	Norsk Hydro Produksjon AS	10.000000	\N	21324	430	9999-12-31	2013-05-08
066	1993-12-08	FROM	UNKNOWN	Mobil Development Norway AS	28.600000	\N	21324	474	9999-12-31	2013-05-08
066	1995-02-22	FROM	UNKNOWN	Saga Petroleum ASA	20.000000	\N	21324	716	9999-12-31	2013-05-08
066	1996-07-31	FROM	UNKNOWN	Saga Petroleum ASA	5.000000	\N	21324	716	9999-12-31	2013-05-08
066	1999-01-01	FROM	TRANSFER	Saga Petroleum ASA	25.000000	\N	21324	716	9999-12-31	2013-05-08
066	1999-01-01	FROM	TRANSFER	Den norske stats oljeselskap a.s	20.000000	\N	21324	749	9999-12-31	2013-05-08
066	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	21324	749	9999-12-31	2013-05-08
066	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21324	1623450	9999-12-31	2013-05-08
066	1995-02-22	TO	UNKNOWN	Amerada Hess Norge AS	20.000000	\N	21324	67	9999-12-31	2013-05-08
066	1999-01-01	TO	TRANSFER	Amerada Hess Norge AS	50.000000	\N	21324	67	9999-12-31	2013-05-08
066	1996-07-31	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	5.000000	\N	21324	155	9999-12-31	2013-05-08
066	1990-06-13	TO	UNKNOWN	Mobil Development Norway AS	3.600000	\N	21324	474	9999-12-31	2013-05-08
066	1990-06-13	TO	UNKNOWN	Saga Petroleum ASA	1.400000	\N	21324	716	9999-12-31	2013-05-08
066	1993-01-25	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	21324	716	9999-12-31	2013-05-08
066	1993-12-08	TO	UNKNOWN	Saga Petroleum ASA	28.600000	\N	21324	716	9999-12-31	2013-05-08
066	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21324	1622484	9999-12-31	2013-05-08
066	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21324	1623450	9999-12-31	2013-05-08
067	1991-08-01	FROM	UNKNOWN	A/S Norske Shell	30.000000	\N	21332	562	9999-12-31	2013-05-08
067	1991-08-01	TO	UNKNOWN	Norsk Agip  AS	30.000000	\N	21332	45	9999-12-31	2013-05-08
069	1994-11-10	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	5.000000	\N	21348	155	9999-12-31	2013-05-08
069	1996-08-26	FROM	UNKNOWN	Norske Conoco A/S	25.000000	\N	21348	221	9999-12-31	2013-05-08
069	1998-12-17	FROM	UNKNOWN	Deminex Norge AS	5.000000	\N	21348	254	9999-12-31	2013-05-08
069	1995-05-09	FROM	UNKNOWN	DNO Olje A/S	5.000000	\N	21348	276	9999-12-31	2013-05-08
069	1994-11-10	TO	UNKNOWN	DNO Olje A/S	5.000000	\N	21348	276	9999-12-31	2013-05-08
069	1995-05-09	TO	UNKNOWN	Saga Petroleum ASA	5.000000	\N	21348	716	9999-12-31	2013-05-08
069	1996-08-26	TO	UNKNOWN	Saga Petroleum ASA	25.000000	\N	21348	716	9999-12-31	2013-05-08
069	1998-12-17	TO	UNKNOWN	RWE Dea Norge AS	5.000000	\N	21348	97557	9999-12-31	2013-05-08
070	1994-01-01	FROM	UNKNOWN	Amoco Norway Oil Company	7.350000	\N	21356	78	9999-12-31	2013-05-08
070	1993-01-07	FROM	UNKNOWN	Norske Conoco A/S	0.150000	\N	21356	221	9999-12-31	2013-05-08
070	1994-01-01	FROM	UNKNOWN	Norske Conoco A/S	7.350000	\N	21356	221	9999-12-31	2013-05-08
070	1993-01-07	FROM	UNKNOWN	Norsk Hydro Produksjon AS	0.500000	\N	21356	430	9999-12-31	2013-05-08
070	1993-01-07	FROM	UNKNOWN	Mobil Development Norway AS	7.500000	\N	21356	474	9999-12-31	2013-05-08
070	1993-01-07	FROM	UNKNOWN	Saga Petroleum ASA	0.200000	\N	21356	716	9999-12-31	2013-05-08
070	1993-01-07	TO	UNKNOWN	Amoco Norway Oil Company	7.350000	\N	21356	78	9999-12-31	2013-05-08
070	1994-01-01	TO	UNKNOWN	Amoco Norway AS	14.700000	\N	21356	89	9999-12-31	2013-05-08
070	1993-01-07	TO	UNKNOWN	Den norske stats oljeselskap a.s	1.000000	\N	21356	749	9999-12-31	2013-05-08
072	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	40.000000	\N	21372	353	9999-12-31	2013-05-08
072	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	21372	430	9999-12-31	2013-05-08
072	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	21372	749	9999-12-31	2013-05-08
072	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	21372	1622484	9999-12-31	2013-05-08
072	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21372	1623450	9999-12-31	2013-05-08
072	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	21372	4511658	9999-12-31	2013-05-08
072	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	21372	4511854	9999-12-31	2013-05-08
072	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	10.000000	\N	21372	4524355	9999-12-31	2013-05-08
072	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	21372	1622484	9999-12-31	2013-05-08
072	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21372	1622484	9999-12-31	2013-05-08
072	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21372	1623450	9999-12-31	2013-05-08
072	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	40.000000	\N	21372	2835212	9999-12-31	2013-05-08
072	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	10.000000	\N	21372	4511658	9999-12-31	2013-05-08
072	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	21372	4511658	9999-12-31	2013-05-08
072	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	21372	4511854	9999-12-31	2013-05-08
072	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	10.000000	\N	21372	4524355	9999-12-31	2013-05-08
072	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	21372	17237817	9999-12-31	2013-05-08
073	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	7.900000	\N	21380	45	9999-12-31	2013-05-08
073	1994-04-01	FROM	UNKNOWN	Amoco Norway AS	20.000000	\N	21380	89	9999-12-31	2013-05-08
073	1993-04-01	FROM	UNKNOWN	Norske Conoco A/S	20.000000	\N	21380	221	9999-12-31	2013-05-08
073	2000-01-31	FROM	TRANSFER	Norsk Hydro Produksjon AS	4.667000	\N	21380	430	9999-12-31	2013-05-08
073	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	12.000000	\N	21380	430	9999-12-31	2013-05-08
073	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	6.290000	\N	21380	474	9999-12-31	2013-05-08
073	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	54.667000	\N	21380	749	9999-12-31	2013-05-08
073	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	33.333000	\N	21380	848	9999-12-31	2013-05-08
073	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	33.333000	\N	21380	1340884	9999-12-31	2013-05-08
073	2003-09-15	FROM	TRANSFER	Statoil ASA (old)	7.900000	\N	21380	1622484	9999-12-31	2013-05-08
073	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	46.767000	\N	21380	1622484	9999-12-31	2013-05-08
073	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21380	1623450	9999-12-31	2013-05-08
073	2006-01-02	FROM	TRANSFER	Eni Norge AS	2.100000	\N	21380	2388594	9999-12-31	2013-05-08
073	2006-01-01	FROM	TRANSFER	Total E&P Norge AS	6.290000	\N	21380	2410708	9999-12-31	2013-05-08
073	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	12.000000	\N	21380	4511658	9999-12-31	2013-05-08
073	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	58.767000	\N	21380	4511658	9999-12-31	2013-05-08
073	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	58.767000	\N	21380	4511854	9999-12-31	2013-05-08
073	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	12.000000	\N	21380	4524355	9999-12-31	2013-05-08
073	2003-09-15	TO	TRANSFER	Norsk Agip  AS	7.900000	\N	21380	45	9999-12-31	2013-05-08
073	1994-04-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	6.667000	\N	21380	430	9999-12-31	2013-05-08
073	2006-01-01	TO	TRANSFER	Mobil Development Norway AS	6.290000	\N	21380	474	9999-12-31	2013-05-08
073	2000-01-31	TO	TRANSFER	Den norske stats oljeselskap a.s	4.667000	\N	21380	749	9999-12-31	2013-05-08
073	1993-04-01	TO	UNKNOWN	Total Norge AS	20.000000	\N	21380	848	9999-12-31	2013-05-08
073	1994-04-01	TO	UNKNOWN	Total Norge AS	13.333000	\N	21380	848	9999-12-31	2013-05-08
073	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	33.333000	\N	21380	1340884	9999-12-31	2013-05-08
073	2001-05-10	TO	SDFI	Statoil ASA (old)	24.667000	\N	21380	1622484	9999-12-31	2013-05-08
073	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21380	1622484	9999-12-31	2013-05-08
073	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21380	1623450	9999-12-31	2013-05-08
073	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	7.900000	\N	21380	2388594	9999-12-31	2013-05-08
073	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	33.333000	\N	21380	2410708	9999-12-31	2013-05-08
073	2006-01-02	TO	TRANSFER	Total E&P Norge AS	2.100000	\N	21380	2410708	9999-12-31	2013-05-08
073	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	6.290000	\N	21380	2835212	9999-12-31	2013-05-08
073	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	12.000000	\N	21380	4511658	9999-12-31	2013-05-08
073	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	58.767000	\N	21380	4511658	9999-12-31	2013-05-08
073	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	46.767000	\N	21380	4511854	9999-12-31	2013-05-08
073	2008-01-01	TO	TRANSFER	StatoilHydro ASA	12.000000	\N	21380	4511854	9999-12-31	2013-05-08
073	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	12.000000	\N	21380	4524355	9999-12-31	2013-05-08
073	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	58.767000	\N	21380	17237817	9999-12-31	2013-05-08
074	1995-04-05	FROM	UNKNOWN	Norsk Agip  AS	0.300000	\N	21388	45	9999-12-31	2013-05-08
074	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	14.700000	\N	21388	45	9999-12-31	2013-05-08
074	1990-07-25	FROM	UNKNOWN	Arco Norge A/S	15.000000	\N	21388	122	9999-12-31	2013-05-08
074	1995-04-05	FROM	UNKNOWN	Deminex Norge AS	10.000000	\N	21388	254	9999-12-31	2013-05-08
074	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.800000	\N	21388	430	9999-12-31	2013-05-08
074	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	9.800000	\N	21388	474	9999-12-31	2013-05-08
074	1995-04-05	FROM	UNKNOWN	Neste Petroleum AS	0.300000	\N	21388	496	9999-12-31	2013-05-08
074	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	14.700000	\N	21388	496	9999-12-31	2013-05-08
074	1995-04-05	FROM	UNKNOWN	Saga Petroleum ASA	0.200000	\N	21388	716	9999-12-31	2013-05-08
074	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	9.800000	\N	21388	716	9999-12-31	2013-05-08
074	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	51.000000	\N	21388	749	9999-12-31	2013-05-08
074	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	14.700000	\N	21388	102714	9999-12-31	2013-05-08
074	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	31.050000	\N	21388	1622484	9999-12-31	2013-05-08
074	2001-06-01	FROM	TRANSFER	SDØE	11.450000	\N	21388	1623450	9999-12-31	2013-05-08
074	2001-06-17	FROM	SDFI	SDØE	19.950000	\N	21388	1623450	9999-12-31	2013-05-08
074	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	9.800000	\N	21388	4511658	9999-12-31	2013-05-08
074	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.850000	\N	21388	4511658	9999-12-31	2013-05-08
074	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.850000	\N	21388	4511854	9999-12-31	2013-05-08
074	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.800000	\N	21388	4524355	9999-12-31	2013-05-08
074	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.800000	\N	21388	430	9999-12-31	2013-05-08
074	1995-04-05	TO	UNKNOWN	Mobil Development Norway AS	9.800000	\N	21388	474	9999-12-31	2013-05-08
074	1990-07-25	TO	UNKNOWN	Neste Petroleum AS	15.000000	\N	21388	496	9999-12-31	2013-05-08
074	1995-04-05	TO	UNKNOWN	Den norske stats oljeselskap a.s	1.000000	\N	21388	749	9999-12-31	2013-05-08
074	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	14.700000	\N	21388	102714	9999-12-31	2013-05-08
074	2001-05-10	TO	SDFI	Statoil ASA (old)	19.600000	\N	21388	1622484	9999-12-31	2013-05-08
074	2001-06-01	TO	TRANSFER	Statoil ASA (old)	11.450000	\N	21388	1622484	9999-12-31	2013-05-08
074	2001-05-10	TO	SDFI	SDØE	31.400000	\N	21388	1623450	9999-12-31	2013-05-08
074	2001-06-17	TO	SDFI	Petoro AS	19.950000	\N	21388	1626839	9999-12-31	2013-05-08
074	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	14.700000	\N	21388	2388594	9999-12-31	2013-05-08
074	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	14.700000	\N	21388	2388594	9999-12-31	2013-05-08
074	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	9.800000	\N	21388	2835212	9999-12-31	2013-05-08
074	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.800000	\N	21388	4511658	9999-12-31	2013-05-08
074	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.850000	\N	21388	4511658	9999-12-31	2013-05-08
074	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	31.050000	\N	21388	4511854	9999-12-31	2013-05-08
074	2008-01-01	TO	TRANSFER	StatoilHydro ASA	9.800000	\N	21388	4511854	9999-12-31	2013-05-08
074	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.800000	\N	21388	4524355	9999-12-31	2013-05-08
074	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.850000	\N	21388	17237817	9999-12-31	2013-05-08
077	2000-04-07	FROM	TRANSFER	Norsk Hydro Produksjon AS	5.000000	\N	21412	430	9999-12-31	2013-05-08
077	2004-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	21412	430	9999-12-31	2013-05-08
077	1996-02-29	FROM	UNKNOWN	Phillips Petroleum Norsk AS	10.000000	\N	21412	705	9999-12-31	2013-05-08
077	1995-02-16	FROM	UNKNOWN	Saga Petroleum ASA	5.000000	\N	21412	716	9999-12-31	2013-05-08
077	2001-01-11	FROM	TRANSFER	Den norske stats oljeselskap a.s	12.000000	\N	21412	749	9999-12-31	2013-05-08
077	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	68.000000	\N	21412	749	9999-12-31	2013-05-08
077	1996-04-25	FROM	UNKNOWN	Texaco Exploration Norway AS	10.000000	\N	21412	804	9999-12-31	2013-05-08
077	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	10.000000	\N	21412	848	9999-12-31	2013-05-08
077	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	21412	1340884	9999-12-31	2013-05-08
077	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	48.000000	\N	21412	1622484	9999-12-31	2013-05-08
077	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21412	1623450	9999-12-31	2013-05-08
077	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	12.000000	\N	21412	1628733	9999-12-31	2013-05-08
077	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	48.000000	\N	21412	4511658	9999-12-31	2013-05-08
077	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	48.000000	\N	21412	4511854	9999-12-31	2013-05-08
077	1995-02-16	TO	UNKNOWN	Den norske stats oljeselskap a.s	5.000000	\N	21412	749	9999-12-31	2013-05-08
077	1996-02-29	TO	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	21412	749	9999-12-31	2013-05-08
077	1996-04-25	TO	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	21412	749	9999-12-31	2013-05-08
077	2000-04-07	TO	TRANSFER	Den norske stats oljeselskap a.s	5.000000	\N	21412	749	9999-12-31	2013-05-08
077	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	10.000000	\N	21412	1340884	9999-12-31	2013-05-08
077	2001-05-10	TO	SDFI	Statoil ASA (old)	38.000000	\N	21412	1622484	9999-12-31	2013-05-08
077	2004-01-01	TO	TRANSFER	Statoil ASA (old)	10.000000	\N	21412	1622484	9999-12-31	2013-05-08
077	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21412	1623450	9999-12-31	2013-05-08
077	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21412	1626839	9999-12-31	2013-05-08
077	2001-01-11	TO	TRANSFER	Gaz de France Norge AS	12.000000	\N	21412	1628733	9999-12-31	2013-05-08
077	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	10.000000	\N	21412	2410708	9999-12-31	2013-05-08
077	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	48.000000	\N	21412	4511658	9999-12-31	2013-05-08
077	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	48.000000	\N	21412	4511854	9999-12-31	2013-05-08
077	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	12.000000	\N	21412	5267845	9999-12-31	2013-05-08
077	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	48.000000	\N	21412	17237817	9999-12-31	2013-05-08
078	1998-01-01	FROM	UNKNOWN	Elf Petroleum Norge AS	15.000000	\N	21420	298	9999-12-31	2013-05-08
078	1991-07-01	FROM	UNKNOWN	Elf Aquitaine Norge A/S	15.000000	\N	21420	331	9999-12-31	2013-05-08
078	2000-04-07	FROM	TRANSFER	Norsk Hydro Produksjon AS	15.000000	\N	21420	430	9999-12-31	2013-05-08
078	2004-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	21420	430	9999-12-31	2013-05-08
078	1991-07-01	FROM	UNKNOWN	A/S Norske Shell	10.000000	\N	21420	562	9999-12-31	2013-05-08
078	2000-12-23	FROM	TRANSFER	Den norske stats oljeselskap a.s	12.000000	\N	21420	749	9999-12-31	2013-05-08
078	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	53.000000	\N	21420	749	9999-12-31	2013-05-08
078	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	25.000000	\N	21420	848	9999-12-31	2013-05-08
078	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	25.000000	\N	21420	1340884	9999-12-31	2013-05-08
078	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	33.000000	\N	21420	1622484	9999-12-31	2013-05-08
078	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21420	1623450	9999-12-31	2013-05-08
078	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	12.000000	\N	21420	1628733	9999-12-31	2013-05-08
078	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	33.000000	\N	21420	4511658	9999-12-31	2013-05-08
078	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	33.000000	\N	21420	4511854	9999-12-31	2013-05-08
078	1991-07-01	TO	UNKNOWN	Elf Petroleum Norge AS	15.000000	\N	21420	298	9999-12-31	2013-05-08
078	2000-04-07	TO	TRANSFER	Den norske stats oljeselskap a.s	15.000000	\N	21420	749	9999-12-31	2013-05-08
078	1991-07-01	TO	UNKNOWN	Total Norge AS	10.000000	\N	21420	848	9999-12-31	2013-05-08
078	1998-01-01	TO	UNKNOWN	Total Norge AS	15.000000	\N	21420	848	9999-12-31	2013-05-08
078	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	25.000000	\N	21420	1340884	9999-12-31	2013-05-08
078	2001-05-10	TO	SDFI	Statoil ASA (old)	23.000000	\N	21420	1622484	9999-12-31	2013-05-08
078	2004-01-01	TO	TRANSFER	Statoil ASA (old)	10.000000	\N	21420	1622484	9999-12-31	2013-05-08
078	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21420	1623450	9999-12-31	2013-05-08
078	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21420	1626839	9999-12-31	2013-05-08
078	2000-12-23	TO	TRANSFER	Gaz de France Norge AS	12.000000	\N	21420	1628733	9999-12-31	2013-05-08
078	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	25.000000	\N	21420	2410708	9999-12-31	2013-05-08
078	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	33.000000	\N	21420	4511658	9999-12-31	2013-05-08
078	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	33.000000	\N	21420	4511854	9999-12-31	2013-05-08
078	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	12.000000	\N	21420	5267845	9999-12-31	2013-05-08
078	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	33.000000	\N	21420	17237817	9999-12-31	2013-05-08
085	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	2.000000	\N	21476	298	9999-12-31	2013-05-08
085	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	12.000000	\N	21476	430	9999-12-31	2013-05-08
085	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	3.000000	\N	21476	716	9999-12-31	2013-05-08
085	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	3.000000	\N	21476	716	9999-12-31	2013-05-08
085	1987-01-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	3.000000	\N	21476	749	9999-12-31	2013-05-08
085	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	85.000000	\N	21476	749	9999-12-31	2013-05-08
085	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	1.000000	\N	21476	848	9999-12-31	2013-05-08
085	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	3.000000	\N	21476	1340884	9999-12-31	2013-05-08
085	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	22.081340	\N	21476	1622484	9999-12-31	2013-05-08
085	2001-06-01	FROM	TRANSFER	SDØE	10.081340	\N	21476	1623450	9999-12-31	2013-05-08
085	2001-06-17	FROM	SDFI	SDØE	62.918660	\N	21476	1623450	9999-12-31	2013-05-08
085	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	33.390380	\N	21476	4511658	9999-12-31	2013-05-08
085	2007-10-02	FROM	TRANSFER	StatoilHydro ASA	0.690960	\N	21476	4511854	9999-12-31	2013-05-08
085	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	21.390380	\N	21476	4511854	9999-12-31	2013-05-08
085	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	12.000000	\N	21476	4524355	9999-12-31	2013-05-08
085	1987-01-01	TO	UNKNOWN	Elf Petroleum Norge AS	2.000000	\N	21476	298	9999-12-31	2013-05-08
085	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	3.000000	\N	21476	430	9999-12-31	2013-05-08
085	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	3.000000	\N	21476	749	9999-12-31	2013-05-08
085	1987-01-01	TO	UNKNOWN	Total Norge AS	1.000000	\N	21476	848	9999-12-31	2013-05-08
085	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	2.000000	\N	21476	1340884	9999-12-31	2013-05-08
085	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	1.000000	\N	21476	1340884	9999-12-31	2013-05-08
085	2001-05-10	TO	SDFI	Statoil ASA (old)	12.000000	\N	21476	1622484	9999-12-31	2013-05-08
085	2001-06-01	TO	TRANSFER	Statoil ASA (old)	10.081340	\N	21476	1622484	9999-12-31	2013-05-08
085	2001-05-10	TO	SDFI	SDØE	73.000000	\N	21476	1623450	9999-12-31	2013-05-08
085	2001-06-17	TO	SDFI	Petoro AS	62.918660	\N	21476	1626839	9999-12-31	2013-05-08
085	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	3.000000	\N	21476	2410708	9999-12-31	2013-05-08
085	2007-10-02	TO	TRANSFER	Total E&P Norge AS	0.690960	\N	21476	2410708	9999-12-31	2013-05-08
085	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	12.000000	\N	21476	4511658	9999-12-31	2013-05-08
085	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	21.390380	\N	21476	4511658	9999-12-31	2013-05-08
085	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	22.081340	\N	21476	4511854	9999-12-31	2013-05-08
085	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	12.000000	\N	21476	4524355	9999-12-31	2013-05-08
085	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	33.390380	\N	21476	17237817	9999-12-31	2013-05-08
085 B	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	2.000000	\N	21484	298	9999-12-31	2013-05-08
085 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	12.000000	\N	21484	430	9999-12-31	2013-05-08
085 B	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	3.000000	\N	21484	716	9999-12-31	2013-05-08
085 B	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	3.000000	\N	21484	716	9999-12-31	2013-05-08
085 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	85.000000	\N	21484	749	9999-12-31	2013-05-08
085 B	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	1.000000	\N	21484	848	9999-12-31	2013-05-08
085 B	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	3.000000	\N	21484	1340884	9999-12-31	2013-05-08
085 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	22.081340	\N	21484	1622484	9999-12-31	2013-05-08
085 B	2001-06-01	FROM	TRANSFER	SDØE	10.081340	\N	21484	1623450	9999-12-31	2013-05-08
085 B	2001-06-17	FROM	SDFI	SDØE	62.918660	\N	21484	1623450	9999-12-31	2013-05-08
085 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	34.081340	\N	21484	4511658	9999-12-31	2013-05-08
085 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	22.081340	\N	21484	4511854	9999-12-31	2013-05-08
085 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	12.000000	\N	21484	4524355	9999-12-31	2013-05-08
085 B	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	3.000000	\N	21484	430	9999-12-31	2013-05-08
085 B	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	3.000000	\N	21484	749	9999-12-31	2013-05-08
085 B	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	2.000000	\N	21484	1340884	9999-12-31	2013-05-08
085 B	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	1.000000	\N	21484	1340884	9999-12-31	2013-05-08
085 B	2001-05-10	TO	SDFI	Statoil ASA (old)	12.000000	\N	21484	1622484	9999-12-31	2013-05-08
085 B	2001-06-01	TO	TRANSFER	Statoil ASA (old)	10.081340	\N	21484	1622484	9999-12-31	2013-05-08
085 B	2001-05-10	TO	SDFI	SDØE	73.000000	\N	21484	1623450	9999-12-31	2013-05-08
085 B	2001-06-17	TO	SDFI	Petoro AS	62.918660	\N	21484	1626839	9999-12-31	2013-05-08
085 B	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	3.000000	\N	21484	2410708	9999-12-31	2013-05-08
085 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	12.000000	\N	21484	4511658	9999-12-31	2013-05-08
085 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	22.081340	\N	21484	4511658	9999-12-31	2013-05-08
085 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	22.081340	\N	21484	4511854	9999-12-31	2013-05-08
085 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	12.000000	\N	21484	4524355	9999-12-31	2013-05-08
085 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	34.081340	\N	21484	17237817	9999-12-31	2013-05-08
086	1999-03-01	FROM	TRANSFER	Amerada Hess Norge AS	10.000000	\N	21492	67	9999-12-31	2013-05-08
086	1996-08-12	FROM	UNKNOWN	Norske Conoco A/S	30.000000	\N	21492	221	9999-12-31	2013-05-08
086	1995-06-22	FROM	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	21492	749	9999-12-31	2013-05-08
086	1999-01-01	FROM	TRANSFER	Den norske stats oljeselskap a.s	70.000000	\N	21492	749	9999-12-31	2013-05-08
086	1999-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	70.000000	\N	21492	430	9999-12-31	2013-05-08
086	1995-06-22	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	21492	716	9999-12-31	2013-05-08
086	1999-03-01	TO	TRANSFER	Saga Petroleum ASA	10.000000	\N	21492	716	9999-12-31	2013-05-08
086	1996-08-12	TO	UNKNOWN	Den norske stats oljeselskap a.s	30.000000	\N	21492	749	9999-12-31	2013-05-08
087	1994-09-08	FROM	UNKNOWN	Conoco Petroleum Norge AS	10.000000	\N	21500	232	9999-12-31	2013-05-08
087	1988-12-16	FROM	UNKNOWN	Tennaco Oil Norway A/S	10.000000	\N	21500	793	9999-12-31	2013-05-08
087	1994-09-08	TO	UNKNOWN	Norske Conoco A/S	10.000000	\N	21500	221	9999-12-31	2013-05-08
087	1988-12-16	TO	UNKNOWN	Conoco Petroleum Norge AS	10.000000	\N	21500	232	9999-12-31	2013-05-08
088	2008-01-01	FROM	TRANSFER	Marathon Petroleum Norge AS	50.000000	\N	21508	463	9999-12-31	2013-05-08
088	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	21508	749	9999-12-31	2013-05-08
088	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	50.000000	\N	21508	848	9999-12-31	2013-05-08
088	1990-05-25	FROM	UNKNOWN	Unocal Norge A/S	20.000000	\N	21508	892	9999-12-31	2013-05-08
088	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	50.000000	\N	21508	1340884	9999-12-31	2013-05-08
088	2001-06-08	FROM	TRANSFER	Statoil ASA (old)	18.600000	\N	21508	1622484	9999-12-31	2013-05-08
088	2001-06-17	FROM	SDFI	SDØE	31.400000	\N	21508	1623450	9999-12-31	2013-05-08
088	2002-03-19	FROM	TRANSFER	Petoro AS	31.400000	\N	21508	1626839	9999-12-31	2013-05-08
088	2006-01-01	FROM	TRANSFER	Total E&P Norge AS	50.000000	\N	21508	2410708	9999-12-31	2013-05-08
088	2001-06-08	TO	TRANSFER	Marathon Petroleum Norge AS	18.600000	\N	21508	463	9999-12-31	2013-05-08
088	2002-03-19	TO	TRANSFER	Marathon Petroleum Norge AS	31.400000	\N	21508	463	9999-12-31	2013-05-08
088	1990-05-25	TO	UNKNOWN	Total Norge AS	20.000000	\N	21508	848	9999-12-31	2013-05-08
088	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	50.000000	\N	21508	1340884	9999-12-31	2013-05-08
088	2001-05-10	TO	SDFI	Statoil ASA (old)	18.600000	\N	21508	1622484	9999-12-31	2013-05-08
088	2001-05-10	TO	SDFI	SDØE	31.400000	\N	21508	1623450	9999-12-31	2013-05-08
088	2001-06-17	TO	SDFI	Petoro AS	31.400000	\N	21508	1626839	9999-12-31	2013-05-08
088	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	50.000000	\N	21508	2410708	9999-12-31	2013-05-08
088	2006-01-01	TO	TRANSFER	Lundin Norway AS	50.000000	\N	21508	2767314	9999-12-31	2013-05-08
088	2008-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	50.000000	\N	21508	4238233	9999-12-31	2013-05-08
089	1990-01-01	FROM	UNKNOWN	Deminex Norge AS	1.120000	\N	21516	254	9999-12-31	2013-05-08
089	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	2.800000	\N	21516	254	9999-12-31	2013-05-08
089	1990-01-01	FROM	UNKNOWN	DNO Olje A/S	0.280000	\N	21516	276	9999-12-31	2013-05-08
089	1995-05-09	FROM	UNKNOWN	DNO Olje A/S	0.700000	\N	21516	276	9999-12-31	2013-05-08
089	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	5.600000	\N	21516	298	9999-12-31	2013-05-08
089	1990-01-01	FROM	UNKNOWN	Elf Aquitaine Norge A/S	7.840000	\N	21516	331	9999-12-31	2013-05-08
089	1990-01-01	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	4.200000	\N	21516	353	9999-12-31	2013-05-08
089	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	10.500000	\N	21516	353	9999-12-31	2013-05-08
089	1990-01-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	3.360000	\N	21516	430	9999-12-31	2013-05-08
089	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	13.280000	\N	21516	430	9999-12-31	2013-05-08
089	1990-01-01	FROM	UNKNOWN	Saga Petroleum ASA	2.800000	\N	21516	716	9999-12-31	2013-05-08
089	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	2.820000	\N	21516	716	9999-12-31	2013-05-08
089	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	4.880000	\N	21516	716	9999-12-31	2013-05-08
089	1990-02-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	9.600000	\N	21516	749	9999-12-31	2013-05-08
089	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	58.220000	\N	21516	749	9999-12-31	2013-05-08
089	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	5.600000	\N	21516	1340884	9999-12-31	2013-05-08
089	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	28.220000	\N	21516	1622484	9999-12-31	2013-05-08
089	2001-06-01	FROM	TRANSFER	SDØE	21.000000	\N	21516	1623450	9999-12-31	2013-05-08
089	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21516	1623450	9999-12-31	2013-05-08
089	2012-01-01	FROM	TRANSFER	Total E&P Norge AS	5.600000	\N	21516	2410708	9999-12-31	2013-05-08
089	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	41.500000	\N	21516	4511658	9999-12-31	2013-05-08
089	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	28.220000	\N	21516	4511854	9999-12-31	2013-05-08
089	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	13.280000	\N	21516	4524355	9999-12-31	2013-05-08
089	1990-01-01	TO	UNKNOWN	Elf Petroleum Norge AS	5.600000	\N	21516	298	9999-12-31	2013-05-08
089	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	4.880000	\N	21516	430	9999-12-31	2013-05-08
089	1990-02-01	TO	UNKNOWN	Idemitsu Petroleum Norge AS	9.600000	\N	21516	441	9999-12-31	2013-05-08
089	1995-05-09	TO	UNKNOWN	Saga Petroleum ASA	0.700000	\N	21516	716	9999-12-31	2013-05-08
089	1990-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	14.000000	\N	21516	749	9999-12-31	2013-05-08
089	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	2.820000	\N	21516	749	9999-12-31	2013-05-08
089	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	2.800000	\N	21516	97557	9999-12-31	2013-05-08
089	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	5.600000	\N	21516	1340884	9999-12-31	2013-05-08
089	2001-05-10	TO	SDFI	Statoil ASA (old)	7.220000	\N	21516	1622484	9999-12-31	2013-05-08
089	2001-06-01	TO	TRANSFER	Statoil ASA (old)	21.000000	\N	21516	1622484	9999-12-31	2013-05-08
089	2001-05-10	TO	SDFI	SDØE	51.000000	\N	21516	1623450	9999-12-31	2013-05-08
089	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21516	1626839	9999-12-31	2013-05-08
089	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	5.600000	\N	21516	2410708	9999-12-31	2013-05-08
089	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	10.500000	\N	21516	2835212	9999-12-31	2013-05-08
089	2012-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	5.600000	\N	21516	2835212	9999-12-31	2013-05-08
089	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	13.280000	\N	21516	4511658	9999-12-31	2013-05-08
089	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	28.220000	\N	21516	4511658	9999-12-31	2013-05-08
089	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	28.220000	\N	21516	4511854	9999-12-31	2013-05-08
089	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	13.280000	\N	21516	4524355	9999-12-31	2013-05-08
089	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	41.500000	\N	21516	17237817	9999-12-31	2013-05-08
090	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	25.000000	\N	21524	430	9999-12-31	2013-05-08
090	1995-06-23	FROM	UNKNOWN	Mobil Development Norway AS	15.000000	\N	21524	474	9999-12-31	2013-05-08
090	2008-01-01	FROM	TRANSFER	Mobil Development Norway AS	25.000000	\N	21524	474	9999-12-31	2013-05-08
090	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	21524	749	9999-12-31	2013-05-08
090	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	21524	1622484	9999-12-31	2013-05-08
090	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21524	1623450	9999-12-31	2013-05-08
090	2002-03-19	FROM	TRANSFER	Petoro AS	30.000000	\N	21524	1626839	9999-12-31	2013-05-08
090	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	15.000000	\N	21524	1628733	9999-12-31	2013-05-08
090	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	45.000000	\N	21524	4511658	9999-12-31	2013-05-08
090	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	21524	4511854	9999-12-31	2013-05-08
090	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	25.000000	\N	21524	4524355	9999-12-31	2013-05-08
090	1995-06-23	TO	UNKNOWN	Norsk Hydro Produksjon AS	15.000000	\N	21524	430	9999-12-31	2013-05-08
090	2002-03-19	TO	TRANSFER	Idemitsu Petroleum Norge AS	15.000000	\N	21524	441	9999-12-31	2013-05-08
090	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	21524	1622484	9999-12-31	2013-05-08
090	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21524	1623450	9999-12-31	2013-05-08
090	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21524	1626839	9999-12-31	2013-05-08
090	2002-03-19	TO	TRANSFER	Gaz de France Norge AS	15.000000	\N	21524	1628733	9999-12-31	2013-05-08
090	2008-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	25.000000	\N	21524	2835212	9999-12-31	2013-05-08
090	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	25.000000	\N	21524	4511658	9999-12-31	2013-05-08
090	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	21524	4511658	9999-12-31	2013-05-08
090	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	21524	4511854	9999-12-31	2013-05-08
090	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	25.000000	\N	21524	4524355	9999-12-31	2013-05-08
090	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	15.000000	\N	21524	5267845	9999-12-31	2013-05-08
090	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	45.000000	\N	21524	17237817	9999-12-31	2013-05-08
091	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	7.900000	\N	21532	45	9999-12-31	2013-05-08
091	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	12.000000	\N	21532	430	9999-12-31	2013-05-08
091	1996-04-16	FROM	UNKNOWN	Mobil Development Norway AS	12.000000	\N	21532	474	9999-12-31	2013-05-08
091	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	33.000000	\N	21532	474	9999-12-31	2013-05-08
091	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	5.000000	\N	21532	716	9999-12-31	2013-05-08
091	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	12.000000	\N	21532	716	9999-12-31	2013-05-08
091	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	55.000000	\N	21532	749	9999-12-31	2013-05-08
091	2003-09-15	FROM	TRANSFER	Statoil ASA (old)	7.900000	\N	21532	1622484	9999-12-31	2013-05-08
091	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	47.100000	\N	21532	1622484	9999-12-31	2013-05-08
091	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21532	1623450	9999-12-31	2013-05-08
091	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	12.000000	\N	21532	4511658	9999-12-31	2013-05-08
091	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	59.100000	\N	21532	4511658	9999-12-31	2013-05-08
091	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	59.100000	\N	21532	4511854	9999-12-31	2013-05-08
091	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	12.000000	\N	21532	4524355	9999-12-31	2013-05-08
091	2003-09-15	TO	TRANSFER	Norsk Agip  AS	7.900000	\N	21532	45	9999-12-31	2013-05-08
091	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	12.000000	\N	21532	430	9999-12-31	2013-05-08
091	1996-04-16	TO	UNKNOWN	Saga Petroleum ASA	12.000000	\N	21532	716	9999-12-31	2013-05-08
091	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	5.000000	\N	21532	749	9999-12-31	2013-05-08
091	2001-05-10	TO	SDFI	Statoil ASA (old)	25.000000	\N	21532	1622484	9999-12-31	2013-05-08
091	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21532	1622484	9999-12-31	2013-05-08
091	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21532	1623450	9999-12-31	2013-05-08
091	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	7.900000	\N	21532	2388594	9999-12-31	2013-05-08
091	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	33.000000	\N	21532	2835212	9999-12-31	2013-05-08
091	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	12.000000	\N	21532	4511658	9999-12-31	2013-05-08
091	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	59.100000	\N	21532	4511658	9999-12-31	2013-05-08
091	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	47.100000	\N	21532	4511854	9999-12-31	2013-05-08
091	2008-01-01	TO	TRANSFER	StatoilHydro ASA	12.000000	\N	21532	4511854	9999-12-31	2013-05-08
091	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	12.000000	\N	21532	4524355	9999-12-31	2013-05-08
091	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	59.100000	\N	21532	17237817	9999-12-31	2013-05-08
092	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	7.900000	\N	21540	45	9999-12-31	2013-05-08
092	1997-04-24	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	2.000000	\N	21540	155	9999-12-31	2013-05-08
092	1994-11-10	FROM	UNKNOWN	Britoil Norge A/S	8.000000	\N	21540	166	9999-12-31	2013-05-08
092	1995-09-01	FROM	UNKNOWN	Britoil Norge A/S	2.000000	\N	21540	166	9999-12-31	2013-05-08
092	1995-05-09	FROM	UNKNOWN	DNO Olje A/S	8.000000	\N	21540	276	9999-12-31	2013-05-08
092	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	21540	430	9999-12-31	2013-05-08
092	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	40.000000	\N	21540	474	9999-12-31	2013-05-08
092	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	21540	716	9999-12-31	2013-05-08
092	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	21540	749	9999-12-31	2013-05-08
092	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	7.000000	\N	21540	102714	9999-12-31	2013-05-08
092	2002-01-01	FROM	TRANSFER	Statoil ASA (old)	14.900000	\N	21540	1622484	9999-12-31	2013-05-08
092	2004-01-01	FROM	TRANSFER	Statoil ASA (old)	7.650000	\N	21540	1622484	9999-12-31	2013-05-08
092	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	27.450000	\N	21540	1622484	9999-12-31	2013-05-08
092	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21540	1623450	9999-12-31	2013-05-08
092	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	21540	4511658	9999-12-31	2013-05-08
092	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	37.450000	\N	21540	4511658	9999-12-31	2013-05-08
092	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	37.450000	\N	21540	4511854	9999-12-31	2013-05-08
092	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	10.000000	\N	21540	4524355	9999-12-31	2013-05-08
092	2002-01-01	TO	TRANSFER	Norsk Agip  AS	7.900000	\N	21540	45	9999-12-31	2013-05-08
092	1995-09-01	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	2.000000	\N	21540	155	9999-12-31	2013-05-08
092	1994-11-10	TO	UNKNOWN	DNO Olje A/S	8.000000	\N	21540	276	9999-12-31	2013-05-08
092	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	21540	430	9999-12-31	2013-05-08
092	1995-05-09	TO	UNKNOWN	Saga Petroleum ASA	8.000000	\N	21540	716	9999-12-31	2013-05-08
092	1997-04-24	TO	UNKNOWN	Saga Petroleum ASA	2.000000	\N	21540	716	9999-12-31	2013-05-08
092	2002-01-01	TO	TRANSFER	Fortum Petroleum AS	7.000000	\N	21540	102714	9999-12-31	2013-05-08
092	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	21540	1622484	9999-12-31	2013-05-08
092	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21540	1622484	9999-12-31	2013-05-08
092	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21540	1623450	9999-12-31	2013-05-08
092	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	7.000000	\N	21540	2388594	9999-12-31	2013-05-08
092	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	7.900000	\N	21540	2388594	9999-12-31	2013-05-08
092	2004-01-01	TO	TRANSFER	Total E&P Norge AS	7.650000	\N	21540	2410708	9999-12-31	2013-05-08
092	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	40.000000	\N	21540	2835212	9999-12-31	2013-05-08
092	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	10.000000	\N	21540	4511658	9999-12-31	2013-05-08
092	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	37.450000	\N	21540	4511658	9999-12-31	2013-05-08
092	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	27.450000	\N	21540	4511854	9999-12-31	2013-05-08
092	2008-01-01	TO	TRANSFER	StatoilHydro ASA	10.000000	\N	21540	4511854	9999-12-31	2013-05-08
092	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	10.000000	\N	21540	4524355	9999-12-31	2013-05-08
092	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	37.450000	\N	21540	17237817	9999-12-31	2013-05-08
093	1988-12-19	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	6.000000	\N	21548	155	9999-12-31	2013-05-08
093	1995-07-01	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	3.200000	\N	21548	155	9999-12-31	2013-05-08
093	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	18.360000	\N	21548	155	9999-12-31	2013-05-08
093	1988-12-19	FROM	UNKNOWN	A/S Norske Shell	9.000000	\N	21548	562	9999-12-31	2013-05-08
093	1995-07-01	FROM	UNKNOWN	A/S Norske Shell	4.800000	\N	21548	562	9999-12-31	2013-05-08
093	1997-01-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	7.560000	\N	21548	749	9999-12-31	2013-05-08
093	1998-02-09	FROM	TRANSFER	Den norske stats oljeselskap a.s	7.560000	\N	21548	749	9999-12-31	2013-05-08
093	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	57.880000	\N	21548	749	9999-12-31	2013-05-08
093	2002-11-19	FROM	CHANGE OF COMPANY NAME	Norsk Chevron AS	7.560000	\N	21548	40148	9999-12-31	2013-05-08
093	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	18.360000	\N	21548	982372	9999-12-31	2013-05-08
093	2001-06-17	FROM	SDFI	SDØE	57.880000	\N	21548	1623450	9999-12-31	2013-05-08
093	2002-03-19	FROM	TRANSFER	Petoro AS	10.000000	\N	21548	1626839	9999-12-31	2013-05-08
093	2012-01-01	FROM	TRANSFER	BP Norge AS	18.360000	\N	21548	2052695	9999-12-31	2013-05-08
093	2005-09-19	FROM	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	7.560000	\N	21548	2154473	9999-12-31	2013-05-08
093	1997-01-01	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	7.560000	\N	21548	155	9999-12-31	2013-05-08
093	2002-03-19	TO	TRANSFER	A/S Norske Shell	10.000000	\N	21548	562	9999-12-31	2013-05-08
093	2012-01-01	TO	TRANSFER	A/S Norske Shell	18.360000	\N	21548	562	9999-12-31	2013-05-08
093	1988-12-19	TO	UNKNOWN	Den norske stats oljeselskap a.s	15.000000	14.000000	21548	749	9999-12-31	2013-05-08
093	1995-07-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	8.000000	12.480000	21548	749	9999-12-31	2013-05-08
093	1998-02-09	TO	TRANSFER	Norsk Chevron AS	7.560000	\N	21548	40148	9999-12-31	2013-05-08
093	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	18.360000	\N	21548	982372	9999-12-31	2013-05-08
093	2001-05-10	TO	SDFI	SDØE	57.880000	\N	21548	1623450	9999-12-31	2013-05-08
093	2001-06-17	TO	SDFI	Petoro AS	57.880000	\N	21548	1626839	9999-12-31	2013-05-08
093	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	18.360000	\N	21548	2052695	9999-12-31	2013-05-08
093	2002-11-19	TO	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	7.560000	\N	21548	2154473	9999-12-31	2013-05-08
093	2005-09-19	TO	CHANGE OF COMPANY NAME	Chevron Norge AS	7.560000	\N	21548	3488906	9999-12-31	2013-05-08
094	1992-01-03	FROM	UNKNOWN	Norsk Agip  AS	0.200000	\N	21556	45	9999-12-31	2013-05-08
094	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	9.800000	\N	21556	45	9999-12-31	2013-05-08
094	1990-07-25	FROM	UNKNOWN	Arco Norge A/S	10.000000	\N	21556	122	9999-12-31	2013-05-08
094	1992-01-03	FROM	UNKNOWN	Conoco Petroleum Norge AS	0.200000	\N	21556	232	9999-12-31	2013-05-08
094	1993-04-01	FROM	UNKNOWN	Conoco Petroleum Norge AS	9.800000	\N	21556	232	9999-12-31	2013-05-08
094	1992-01-03	FROM	UNKNOWN	Norsk Hydro Produksjon AS	0.100000	\N	21556	430	9999-12-31	2013-05-08
094	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	11.900000	\N	21556	430	9999-12-31	2013-05-08
094	1992-01-03	FROM	UNKNOWN	Mobil Development Norway AS	0.300000	\N	21556	474	9999-12-31	2013-05-08
094	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	14.700000	\N	21556	474	9999-12-31	2013-05-08
094	1992-01-03	FROM	UNKNOWN	Neste Petroleum AS	0.200000	\N	21556	496	9999-12-31	2013-05-08
094	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	9.800000	\N	21556	496	9999-12-31	2013-05-08
094	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	7.000000	\N	21556	716	9999-12-31	2013-05-08
094	1995-06-22	FROM	UNKNOWN	Den norske stats oljeselskap a.s	7.000000	5.000000	21556	749	9999-12-31	2013-05-08
094	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	44.000000	\N	21556	749	9999-12-31	2013-05-08
094	1988-12-16	FROM	UNKNOWN	Tennaco Oil Norway A/S	10.000000	\N	21556	793	9999-12-31	2013-05-08
094	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	9.800000	\N	21556	848	9999-12-31	2013-05-08
094	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	9.800000	\N	21556	102714	9999-12-31	2013-05-08
094	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	9.800000	\N	21556	1340884	9999-12-31	2013-05-08
094	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	29.050000	\N	21556	1622484	9999-12-31	2013-05-08
094	2001-06-01	FROM	TRANSFER	SDØE	11.450000	\N	21556	1623450	9999-12-31	2013-05-08
094	2001-06-17	FROM	SDFI	SDØE	14.950000	\N	21556	1623450	9999-12-31	2013-05-08
094	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	11.900000	\N	21556	4511658	9999-12-31	2013-05-08
094	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.950000	\N	21556	4511658	9999-12-31	2013-05-08
094	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.950000	\N	21556	4511854	9999-12-31	2013-05-08
094	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	11.900000	\N	21556	4524355	9999-12-31	2013-05-08
094	1988-12-16	TO	UNKNOWN	Conoco Petroleum Norge AS	10.000000	\N	21556	232	9999-12-31	2013-05-08
094	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	7.000000	\N	21556	430	9999-12-31	2013-05-08
094	1990-07-25	TO	UNKNOWN	Neste Petroleum AS	10.000000	\N	21556	496	9999-12-31	2013-05-08
094	1995-06-22	TO	UNKNOWN	Saga Petroleum ASA	7.000000	\N	21556	716	9999-12-31	2013-05-08
094	1992-01-03	TO	UNKNOWN	Den norske stats oljeselskap a.s	1.000000	1.400000	21556	749	9999-12-31	2013-05-08
094	1993-04-01	TO	UNKNOWN	Total Norge AS	9.800000	\N	21556	848	9999-12-31	2013-05-08
094	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	9.800000	\N	21556	102714	9999-12-31	2013-05-08
094	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	9.800000	\N	21556	1340884	9999-12-31	2013-05-08
094	2001-05-10	TO	SDFI	Statoil ASA (old)	17.600000	\N	21556	1622484	9999-12-31	2013-05-08
094	2001-06-01	TO	TRANSFER	Statoil ASA (old)	11.450000	\N	21556	1622484	9999-12-31	2013-05-08
094	2001-05-10	TO	SDFI	SDØE	26.400000	\N	21556	1623450	9999-12-31	2013-05-08
094	2001-06-17	TO	SDFI	Petoro AS	14.950000	\N	21556	1626839	9999-12-31	2013-05-08
094	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	9.800000	\N	21556	2388594	9999-12-31	2013-05-08
094	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	9.800000	\N	21556	2388594	9999-12-31	2013-05-08
094	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	9.800000	\N	21556	2410708	9999-12-31	2013-05-08
094	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	14.700000	\N	21556	2835212	9999-12-31	2013-05-08
094	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	11.900000	\N	21556	4511658	9999-12-31	2013-05-08
094	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.950000	\N	21556	4511658	9999-12-31	2013-05-08
094	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	29.050000	\N	21556	4511854	9999-12-31	2013-05-08
094	2008-01-01	TO	TRANSFER	StatoilHydro ASA	11.900000	\N	21556	4511854	9999-12-31	2013-05-08
094	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	11.900000	\N	21556	4524355	9999-12-31	2013-05-08
094	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.950000	\N	21556	17237817	9999-12-31	2013-05-08
095	1990-07-25	FROM	UNKNOWN	Arco Norge A/S	10.000000	\N	21564	122	9999-12-31	2013-05-08
095	1993-12-13	FROM	UNKNOWN	Norske Conoco A/S	15.000000	\N	21564	221	9999-12-31	2013-05-08
095	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	26.000000	\N	21564	221	9999-12-31	2013-05-08
095	1993-12-13	FROM	UNKNOWN	Conoco Petroleum Norge AS	5.000000	\N	21564	232	9999-12-31	2013-05-08
095	1994-09-08	FROM	UNKNOWN	Conoco Petroleum Norge AS	5.000000	\N	21564	232	9999-12-31	2013-05-08
095	1993-12-13	FROM	UNKNOWN	Neste Petroleum AS	5.000000	\N	21564	496	9999-12-31	2013-05-08
095	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	5.000000	\N	21564	496	9999-12-31	2013-05-08
095	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	75.000000	\N	21564	749	9999-12-31	2013-05-08
095	1988-12-16	FROM	UNKNOWN	Tennaco Oil Norway A/S	10.000000	\N	21564	793	9999-12-31	2013-05-08
095	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	5.000000	\N	21564	102714	9999-12-31	2013-05-08
095	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	10.000000	\N	21564	1622484	9999-12-31	2013-05-08
095	2001-06-17	FROM	SDFI	SDØE	65.000000	\N	21564	1623450	9999-12-31	2013-05-08
095	2002-03-19	FROM	TRANSFER	Petoro AS	6.000000	\N	21564	1626839	9999-12-31	2013-05-08
095	2007-01-01	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	26.000000	\N	21564	2399056	9999-12-31	2013-05-08
095	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	10.000000	\N	21564	4511658	9999-12-31	2013-05-08
095	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	10.000000	\N	21564	4511854	9999-12-31	2013-05-08
095	1994-09-08	TO	UNKNOWN	Norske Conoco A/S	5.000000	\N	21564	221	9999-12-31	2013-05-08
095	2002-03-19	TO	TRANSFER	Norske Conoco A/S	6.000000	\N	21564	221	9999-12-31	2013-05-08
095	1988-12-16	TO	UNKNOWN	Conoco Petroleum Norge AS	10.000000	\N	21564	232	9999-12-31	2013-05-08
095	1990-07-25	TO	UNKNOWN	Neste Petroleum AS	10.000000	\N	21564	496	9999-12-31	2013-05-08
095	1993-12-13	TO	UNKNOWN	Den norske stats oljeselskap a.s	25.000000	35.000000	21564	749	9999-12-31	2013-05-08
095	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	5.000000	\N	21564	102714	9999-12-31	2013-05-08
095	2001-05-10	TO	SDFI	Statoil ASA (old)	10.000000	\N	21564	1622484	9999-12-31	2013-05-08
095	2001-05-10	TO	SDFI	SDØE	65.000000	\N	21564	1623450	9999-12-31	2013-05-08
095	2001-06-17	TO	SDFI	Petoro AS	65.000000	\N	21564	1626839	9999-12-31	2013-05-08
095	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	5.000000	\N	21564	2388594	9999-12-31	2013-05-08
095	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	26.000000	\N	21564	2399056	9999-12-31	2013-05-08
095	2007-01-01	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	26.000000	\N	21564	2410696	9999-12-31	2013-05-08
095	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	21564	4511658	9999-12-31	2013-05-08
095	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	10.000000	\N	21564	4511854	9999-12-31	2013-05-08
095	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	10.000000	\N	21564	17237817	9999-12-31	2013-05-08
097	2006-06-26	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	11.250000	\N	21580	67	9999-12-31	2013-05-08
097	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	10.000000	\N	21580	254	9999-12-31	2013-05-08
097	1994-12-21	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	10.000000	\N	21580	353	9999-12-31	2013-05-08
097	1999-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	12.500000	\N	21580	430	9999-12-31	2013-05-08
097	2004-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	21580	430	9999-12-31	2013-05-08
097	2000-12-23	FROM	TRANSFER	Den norske stats oljeselskap a.s	12.000000	\N	21580	749	9999-12-31	2013-05-08
097	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	56.750000	\N	21580	749	9999-12-31	2013-05-08
097	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	36.750000	\N	21580	1622484	9999-12-31	2013-05-08
097	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21580	1623450	9999-12-31	2013-05-08
097	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	12.000000	\N	21580	1628733	9999-12-31	2013-05-08
097	2011-01-01	FROM	TRANSFER	Hess Norge AS	11.250000	\N	21580	4038735	9999-12-31	2013-05-08
097	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	36.750000	\N	21580	4511658	9999-12-31	2013-05-08
097	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	36.750000	\N	21580	4511854	9999-12-31	2013-05-08
097	1994-12-21	TO	UNKNOWN	Amerada Hess Norge AS	1.250000	\N	21580	67	9999-12-31	2013-05-08
097	1994-12-21	TO	UNKNOWN	Norsk Hydro Produksjon AS	2.500000	\N	21580	430	9999-12-31	2013-05-08
097	1994-12-21	TO	UNKNOWN	Den norske stats oljeselskap a.s	6.250000	\N	21580	749	9999-12-31	2013-05-08
097	1999-01-01	TO	TRANSFER	Den norske stats oljeselskap a.s	12.500000	\N	21580	749	9999-12-31	2013-05-08
097	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	10.000000	\N	21580	97557	9999-12-31	2013-05-08
097	2001-05-10	TO	SDFI	Statoil ASA (old)	26.750000	\N	21580	1622484	9999-12-31	2013-05-08
097	2004-01-01	TO	TRANSFER	Statoil ASA (old)	10.000000	\N	21580	1622484	9999-12-31	2013-05-08
097	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21580	1623450	9999-12-31	2013-05-08
097	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21580	1626839	9999-12-31	2013-05-08
097	2000-12-23	TO	TRANSFER	Gaz de France Norge AS	12.000000	\N	21580	1628733	9999-12-31	2013-05-08
097	2006-06-26	TO	CHANGE OF COMPANY NAME	Hess Norge AS	11.250000	\N	21580	4038735	9999-12-31	2013-05-08
097	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	36.750000	\N	21580	4511658	9999-12-31	2013-05-08
097	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	36.750000	\N	21580	4511854	9999-12-31	2013-05-08
097	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	12.000000	\N	21580	5267845	9999-12-31	2013-05-08
097	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	36.750000	\N	21580	17237817	9999-12-31	2013-05-08
097	2011-01-01	TO	TRANSFER	Statoil Petroleum AS	11.250000	\N	21580	17237817	9999-12-31	2013-05-08
099	1993-02-15	FROM	UNKNOWN	Norske Conoco A/S	2.500000	\N	21596	221	9999-12-31	2013-05-08
099	1993-04-01	FROM	UNKNOWN	Norske Conoco A/S	7.500000	\N	21596	221	9999-12-31	2013-05-08
099	1999-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	2.500000	\N	21596	430	9999-12-31	2013-05-08
099	2004-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	21596	430	9999-12-31	2013-05-08
099	2000-12-23	FROM	TRANSFER	Den norske stats oljeselskap a.s	12.000000	\N	21596	749	9999-12-31	2013-05-08
099	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	40.500000	\N	21596	749	9999-12-31	2013-05-08
099	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	37.500000	\N	21596	848	9999-12-31	2013-05-08
099	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	37.500000	\N	21596	1340884	9999-12-31	2013-05-08
099	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.500000	\N	21596	1622484	9999-12-31	2013-05-08
099	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21596	1623450	9999-12-31	2013-05-08
099	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	12.000000	\N	21596	1628733	9999-12-31	2013-05-08
099	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.500000	\N	21596	4511658	9999-12-31	2013-05-08
099	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	20.500000	\N	21596	4511854	9999-12-31	2013-05-08
099	1993-02-15	TO	UNKNOWN	Norsk Hydro Produksjon AS	2.500000	\N	21596	430	9999-12-31	2013-05-08
099	1999-01-01	TO	TRANSFER	Den norske stats oljeselskap a.s	2.500000	\N	21596	749	9999-12-31	2013-05-08
099	1993-04-01	TO	UNKNOWN	Total Norge AS	7.500000	\N	21596	848	9999-12-31	2013-05-08
099	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	37.500000	\N	21596	1340884	9999-12-31	2013-05-08
099	2001-05-10	TO	SDFI	Statoil ASA (old)	10.500000	\N	21596	1622484	9999-12-31	2013-05-08
099	2004-01-01	TO	TRANSFER	Statoil ASA (old)	10.000000	\N	21596	1622484	9999-12-31	2013-05-08
099	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21596	1623450	9999-12-31	2013-05-08
099	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21596	1626839	9999-12-31	2013-05-08
099	2000-12-23	TO	TRANSFER	Gaz de France Norge AS	12.000000	\N	21596	1628733	9999-12-31	2013-05-08
099	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	37.500000	\N	21596	2410708	9999-12-31	2013-05-08
099	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	20.500000	\N	21596	4511658	9999-12-31	2013-05-08
099	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.500000	\N	21596	4511854	9999-12-31	2013-05-08
099	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	12.000000	\N	21596	5267845	9999-12-31	2013-05-08
099	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.500000	\N	21596	17237817	9999-12-31	2013-05-08
100	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	4.000000	\N	21604	254	9999-12-31	2013-05-08
100	1995-02-16	FROM	UNKNOWN	DNO Olje A/S	1.000000	\N	21604	276	9999-12-31	2013-05-08
100	1998-01-01	FROM	UNKNOWN	Elf Petroleum Norge AS	35.000000	\N	21604	298	9999-12-31	2013-05-08
100	2004-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	21604	430	9999-12-31	2013-05-08
100	2004-01-01	FROM	TRANSFER	Svenska Petroleum Exploration AS	10.000000	\N	21604	738	9999-12-31	2013-05-08
100	1999-01-01	FROM	TRANSFER	Den norske stats oljeselskap a.s	10.000000	\N	21604	749	9999-12-31	2013-05-08
100	2000-12-23	FROM	TRANSFER	Den norske stats oljeselskap a.s	6.000000	\N	21604	749	9999-12-31	2013-05-08
100	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	35.000000	\N	21604	749	9999-12-31	2013-05-08
100	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	35.000000	\N	21604	848	9999-12-31	2013-05-08
100	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	35.000000	\N	21604	1340884	9999-12-31	2013-05-08
100	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	25.000000	\N	21604	1622484	9999-12-31	2013-05-08
100	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21604	1623450	9999-12-31	2013-05-08
100	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	6.000000	\N	21604	1628733	9999-12-31	2013-05-08
100	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	25.000000	\N	21604	4511658	9999-12-31	2013-05-08
100	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	25.000000	\N	21604	4511854	9999-12-31	2013-05-08
100	1999-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	21604	430	9999-12-31	2013-05-08
100	1995-02-16	TO	UNKNOWN	Den norske stats oljeselskap a.s	1.000000	\N	21604	749	9999-12-31	2013-05-08
100	1998-01-01	TO	UNKNOWN	Total Norge AS	35.000000	\N	21604	848	9999-12-31	2013-05-08
100	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	4.000000	\N	21604	97557	9999-12-31	2013-05-08
100	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	35.000000	\N	21604	1340884	9999-12-31	2013-05-08
100	2001-05-10	TO	SDFI	Statoil ASA (old)	5.000000	\N	21604	1622484	9999-12-31	2013-05-08
100	2004-01-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	21604	1622484	9999-12-31	2013-05-08
100	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21604	1623450	9999-12-31	2013-05-08
100	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21604	1626839	9999-12-31	2013-05-08
100	2000-12-23	TO	TRANSFER	Gaz de France Norge AS	6.000000	\N	21604	1628733	9999-12-31	2013-05-08
100	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	35.000000	\N	21604	2410708	9999-12-31	2013-05-08
100	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	25.000000	\N	21604	4511658	9999-12-31	2013-05-08
100	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	25.000000	\N	21604	4511854	9999-12-31	2013-05-08
100	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	6.000000	\N	21604	5267845	9999-12-31	2013-05-08
100	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	25.000000	\N	21604	17237817	9999-12-31	2013-05-08
101	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	5.000000	\N	21612	254	9999-12-31	2013-05-08
101	1992-03-01	FROM	UNKNOWN	Fina Production Licenses AS	20.000000	\N	21612	386	9999-12-31	2013-05-08
101	1992-03-01	TO	UNKNOWN	Norsk Agip  AS	20.000000	\N	21612	45	9999-12-31	2013-05-08
101	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	5.000000	\N	21612	97557	9999-12-31	2013-05-08
102	1997-01-01	FROM	UNKNOWN	Elf Petroleum Norge AS	10.000000	\N	21620	298	9999-12-31	2013-05-08
102	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	20.000000	\N	21620	298	9999-12-31	2013-05-08
102	1991-07-01	FROM	UNKNOWN	Elf Aquitaine Norge A/S	30.000000	\N	21620	331	9999-12-31	2013-05-08
102	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	21620	430	9999-12-31	2013-05-08
102	2008-01-01	FROM	TRANSFER	Marathon Petroleum Norge AS	20.000000	\N	21620	463	9999-12-31	2013-05-08
102	1991-07-01	FROM	UNKNOWN	A/S Norske Shell	20.000000	\N	21620	562	9999-12-31	2013-05-08
102	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	21620	749	9999-12-31	2013-05-08
102	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	20.000000	\N	21620	848	9999-12-31	2013-05-08
102	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	40.000000	\N	21620	1340884	9999-12-31	2013-05-08
102	2001-06-08	FROM	TRANSFER	Statoil ASA (old)	20.000000	\N	21620	1622484	9999-12-31	2013-05-08
102	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21620	1623450	9999-12-31	2013-05-08
102	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	10.000000	\N	21620	4511658	9999-12-31	2013-05-08
102	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	10.000000	\N	21620	4524355	9999-12-31	2013-05-08
102	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	10.000000	\N	21620	17237817	9999-12-31	2013-05-08
102	1991-07-01	TO	UNKNOWN	Elf Petroleum Norge AS	30.000000	\N	21620	298	9999-12-31	2013-05-08
102	1997-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	10.000000	\N	21620	430	9999-12-31	2013-05-08
102	2001-06-08	TO	TRANSFER	Marathon Petroleum Norge AS	20.000000	\N	21620	463	9999-12-31	2013-05-08
102	1991-07-01	TO	UNKNOWN	Total Norge AS	20.000000	\N	21620	848	9999-12-31	2013-05-08
102	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	21620	1340884	9999-12-31	2013-05-08
102	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	20.000000	\N	21620	1340884	9999-12-31	2013-05-08
102	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	21620	1622484	9999-12-31	2013-05-08
102	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21620	1623450	9999-12-31	2013-05-08
102	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21620	1626839	9999-12-31	2013-05-08
102	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	40.000000	\N	21620	2410708	9999-12-31	2013-05-08
102	2008-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	20.000000	\N	21620	4238233	9999-12-31	2013-05-08
102	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	10.000000	\N	21620	4238233	9999-12-31	2013-05-08
102	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	10.000000	\N	21620	4511658	9999-12-31	2013-05-08
102	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	10.000000	\N	21620	4524355	9999-12-31	2013-05-08
102	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	10.000000	\N	21620	17237817	9999-12-31	2013-05-08
103	1995-01-06	FROM	UNKNOWN	Britoil Norge A/S	10.000000	\N	21628	166	9999-12-31	2013-05-08
103	1998-01-01	FROM	UNKNOWN	Norske Conoco A/S	37.500000	\N	21628	221	9999-12-31	2013-05-08
103	2000-01-01	FROM	TRANSFER	Den norske stats oljeselskap a.s	50.000000	\N	21628	749	9999-12-31	2013-05-08
103	1995-01-06	TO	UNKNOWN	Amerada Hess Norge AS	2.500000	\N	21628	67	9999-12-31	2013-05-08
103	1998-01-01	TO	UNKNOWN	Amerada Hess Norge AS	37.500000	\N	21628	67	9999-12-31	2013-05-08
103	2000-01-01	TO	TRANSFER	Amerada Hess Norge AS	50.000000	\N	21628	67	9999-12-31	2013-05-08
103	1995-01-06	TO	UNKNOWN	Norske Conoco A/S	7.500000	\N	21628	221	9999-12-31	2013-05-08
104	1996-07-23	FROM	UNKNOWN	Norsk Agip  AS	5.000000	\N	21636	45	9999-12-31	2013-05-08
104	2002-10-01	FROM	TRANSFER	Norske Conoco A/S	8.600000	\N	21636	221	9999-12-31	2013-05-08
104	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	2.400000	\N	21636	221	9999-12-31	2013-05-08
104	1994-09-08	FROM	UNKNOWN	Conoco Petroleum Norge AS	5.000000	\N	21636	232	9999-12-31	2013-05-08
104	1995-05-09	FROM	UNKNOWN	DNO Olje A/S	5.000000	\N	21636	276	9999-12-31	2013-05-08
104	1995-06-23	FROM	UNKNOWN	Norsk Hydro Produksjon AS	5.000000	\N	21636	430	9999-12-31	2013-05-08
104	1996-07-31	FROM	UNKNOWN	Norsk Hydro Produksjon AS	6.000000	\N	21636	430	9999-12-31	2013-05-08
104	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	34.000000	\N	21636	430	9999-12-31	2013-05-08
104	2002-12-04	FROM	TRANSFER	Mobil Development Norway AS	0.300000	\N	21636	474	9999-12-31	2013-05-08
104	2008-01-01	FROM	TRANSFER	Mobil Development Norway AS	4.700000	\N	21636	474	9999-12-31	2013-05-08
104	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	21636	716	9999-12-31	2013-05-08
104	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	21636	749	9999-12-31	2013-05-08
104	1988-12-16	FROM	UNKNOWN	Tennaco Oil Norway A/S	5.000000	\N	21636	793	9999-12-31	2013-05-08
104	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	21636	1340884	9999-12-31	2013-05-08
104	2002-10-01	FROM	TRANSFER	Statoil ASA (old)	4.700000	\N	21636	1622484	9999-12-31	2013-05-08
104	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	15.300000	\N	21636	1622484	9999-12-31	2013-05-08
104	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21636	1623450	9999-12-31	2013-05-08
104	2002-03-19	FROM	TRANSFER	Petoro AS	10.000000	\N	21636	1626839	9999-12-31	2013-05-08
104	2007-11-21	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	2.400000	\N	21636	2399056	9999-12-31	2013-05-08
104	2012-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	4.700000	\N	21636	2835212	9999-12-31	2013-05-08
104	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	49.300000	\N	21636	4511658	9999-12-31	2013-05-08
104	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	15.300000	\N	21636	4511854	9999-12-31	2013-05-08
104	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	34.000000	\N	21636	4524355	9999-12-31	2013-05-08
104	1994-09-08	TO	UNKNOWN	Norske Conoco A/S	5.000000	\N	21636	221	9999-12-31	2013-05-08
104	1996-07-31	TO	UNKNOWN	Norske Conoco A/S	6.000000	\N	21636	221	9999-12-31	2013-05-08
104	1988-12-16	TO	UNKNOWN	Conoco Petroleum Norge AS	5.000000	\N	21636	232	9999-12-31	2013-05-08
104	1996-07-23	TO	UNKNOWN	Norsk Hydro Produksjon AS	5.000000	\N	21636	430	9999-12-31	2013-05-08
104	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	21636	430	9999-12-31	2013-05-08
104	1995-06-23	TO	UNKNOWN	Mobil Development Norway AS	5.000000	\N	21636	474	9999-12-31	2013-05-08
104	1995-05-09	TO	UNKNOWN	Saga Petroleum ASA	5.000000	\N	21636	716	9999-12-31	2013-05-08
104	2002-03-19	TO	TRANSFER	TotalFinaElf Exploration Norge AS	10.000000	\N	21636	1340884	9999-12-31	2013-05-08
104	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	21636	1622484	9999-12-31	2013-05-08
104	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21636	1623450	9999-12-31	2013-05-08
104	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21636	1626839	9999-12-31	2013-05-08
104	2002-10-01	TO	TRANSFER	Petoro AS	13.300000	\N	21636	1626839	9999-12-31	2013-05-08
104	2002-12-04	TO	TRANSFER	Petoro AS	0.300000	\N	21636	1626839	9999-12-31	2013-05-08
104	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	2.400000	\N	21636	2399056	9999-12-31	2013-05-08
104	2007-11-21	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	2.400000	\N	21636	2410696	9999-12-31	2013-05-08
104	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	10.000000	\N	21636	2410708	9999-12-31	2013-05-08
104	2012-01-01	TO	TRANSFER	Total E&P Norge AS	4.700000	\N	21636	2410708	9999-12-31	2013-05-08
104	2008-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	4.700000	\N	21636	2835212	9999-12-31	2013-05-08
104	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	34.000000	\N	21636	4511658	9999-12-31	2013-05-08
104	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	15.300000	\N	21636	4511658	9999-12-31	2013-05-08
104	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	15.300000	\N	21636	4511854	9999-12-31	2013-05-08
104	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	34.000000	\N	21636	4524355	9999-12-31	2013-05-08
104	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	49.300000	\N	21636	17237817	9999-12-31	2013-05-08
107	1995-01-09	FROM	UNKNOWN	Norsk Agip  AS	10.000000	\N	21660	45	9999-12-31	2013-05-08
107	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	15.000000	\N	21660	221	9999-12-31	2013-05-08
107	1996-12-13	FROM	UNKNOWN	Norsk Hydro Produksjon AS	7.500000	\N	21660	430	9999-12-31	2013-05-08
107	2002-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	2.500000	\N	21660	430	9999-12-31	2013-05-08
107	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	21660	430	9999-12-31	2013-05-08
107	2008-01-01	FROM	TRANSFER	Mobil Development Norway AS	20.000000	\N	21660	474	9999-12-31	2013-05-08
107	1995-01-10	FROM	UNKNOWN	A/S Norske Shell	20.000000	\N	21660	562	9999-12-31	2013-05-08
107	2001-01-23	FROM	TRANSFER	Petro-Canada Norge AS (old)	7.500000	\N	21660	628	9999-12-31	2013-05-08
107	2000-12-23	FROM	TRANSFER	Den norske stats oljeselskap a.s	20.000000	\N	21660	749	9999-12-31	2013-05-08
107	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	21660	749	9999-12-31	2013-05-08
107	2005-01-02	FROM	TRANSFER	Paladin Resources Norge AS	15.000000	\N	21660	1577943	9999-12-31	2013-05-08
107	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21660	1623450	9999-12-31	2013-05-08
107	2002-03-19	FROM	TRANSFER	Petoro AS	22.500000	\N	21660	1626839	9999-12-31	2013-05-08
107	2011-01-02	FROM	TRANSFER	Petoro AS	7.500000	\N	21660	1626839	9999-12-31	2013-05-08
107	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	20.000000	\N	21660	1628733	9999-12-31	2013-05-08
107	2005-01-10	FROM	CHANGE OF COMPANY NAME	OER Oil AS	2.500000	\N	21660	2258813	9999-12-31	2013-05-08
107	2003-09-24	FROM	TRANSFER	Norske ConocoPhillips AS	15.000000	\N	21660	2399056	9999-12-31	2013-05-08
107	2004-07-05	FROM	CHANGE OF COMPANY NAME	Ruhrgas Norge AS	15.000000	\N	21660	2489913	9999-12-31	2013-05-08
107	2011-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	20.000000	\N	21660	2835212	9999-12-31	2013-05-08
107	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	30.000000	\N	21660	2840522	9999-12-31	2013-05-08
107	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	2.500000	\N	21660	3113213	9999-12-31	2013-05-08
107	2008-11-01	FROM	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	21660	4511658	9999-12-31	2013-05-08
107	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	21660	4511658	9999-12-31	2013-05-08
107	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	21660	4511854	9999-12-31	2013-05-08
107	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	20.000000	\N	21660	4524355	9999-12-31	2013-05-08
107	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	21660	5497155	9999-12-31	2013-05-08
107	2002-03-19	TO	TRANSFER	Norske Conoco A/S	15.000000	\N	21660	221	9999-12-31	2013-05-08
107	1995-01-09	TO	UNKNOWN	Norsk Hydro Produksjon AS	10.000000	\N	21660	430	9999-12-31	2013-05-08
107	1995-01-10	TO	UNKNOWN	Mobil Development Norway AS	20.000000	\N	21660	474	9999-12-31	2013-05-08
107	1996-12-13	TO	UNKNOWN	Petro-Canada Norge AS (old)	7.500000	\N	21660	628	9999-12-31	2013-05-08
107	2001-01-23	TO	TRANSFER	Paladin Resources Norge AS	7.500000	\N	21660	1577943	9999-12-31	2013-05-08
107	2002-03-19	TO	TRANSFER	Paladin Resources Norge AS	7.500000	\N	21660	1577943	9999-12-31	2013-05-08
107	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21660	1623450	9999-12-31	2013-05-08
107	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21660	1626839	9999-12-31	2013-05-08
107	2000-12-23	TO	TRANSFER	Gaz de France Norge AS	20.000000	\N	21660	1628733	9999-12-31	2013-05-08
107	2002-01-01	TO	TRANSFER	OER Oil AS	2.500000	\N	21660	2258813	9999-12-31	2013-05-08
107	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	15.000000	\N	21660	2399056	9999-12-31	2013-05-08
107	2003-09-24	TO	TRANSFER	Ruhrgas Norge AS	15.000000	\N	21660	2489913	9999-12-31	2013-05-08
107	2008-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	20.000000	\N	21660	2835212	9999-12-31	2013-05-08
107	2004-07-05	TO	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	15.000000	\N	21660	2840522	9999-12-31	2013-05-08
107	2005-01-02	TO	TRANSFER	E.ON Ruhrgas Norge AS	15.000000	\N	21660	2840522	9999-12-31	2013-05-08
107	2005-01-10	TO	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	2.500000	\N	21660	3113213	9999-12-31	2013-05-08
107	2011-01-02	TO	TRANSFER	Faroe Petroleum Norge AS	7.500000	\N	21660	4062883	9999-12-31	2013-05-08
107	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	21660	4511658	9999-12-31	2013-05-08
107	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	21660	4511658	9999-12-31	2013-05-08
107	2008-11-01	TO	TRANSFER	StatoilHydro ASA	20.000000	\N	21660	4511854	9999-12-31	2013-05-08
107	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	20.000000	\N	21660	4524355	9999-12-31	2013-05-08
107	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	20.000000	\N	21660	5267845	9999-12-31	2013-05-08
107	2011-01-01	TO	TRANSFER	GDF SUEZ E&P Norge AS	20.000000	\N	21660	5267845	9999-12-31	2013-05-08
107	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	21660	5497155	9999-12-31	2013-05-08
107	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	2.500000	\N	21660	17237193	9999-12-31	2013-05-08
107	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	21660	17237817	9999-12-31	2013-05-08
107	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	30.000000	\N	21660	21631209	9999-12-31	2013-05-08
109	1996-01-01	FROM	UNKNOWN	Norske Conoco A/S	10.000000	\N	21676	221	9999-12-31	2013-05-08
109	1994-09-08	FROM	UNKNOWN	Conoco Petroleum Norge AS	10.000000	\N	21676	232	9999-12-31	2013-05-08
109	1994-01-01	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	10.000000	\N	21676	353	9999-12-31	2013-05-08
109	1988-12-16	FROM	UNKNOWN	Tennaco Oil Norway A/S	10.000000	\N	21676	793	9999-12-31	2013-05-08
109	1994-09-08	TO	UNKNOWN	Norske Conoco A/S	10.000000	\N	21676	221	9999-12-31	2013-05-08
109	1988-12-16	TO	UNKNOWN	Conoco Petroleum Norge AS	10.000000	\N	21676	232	9999-12-31	2013-05-08
109	1994-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	5.000000	\N	21676	430	9999-12-31	2013-05-08
109	1996-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	3.055000	\N	21676	430	9999-12-31	2013-05-08
109	1994-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	5.000000	\N	21676	749	9999-12-31	2013-05-08
109	1996-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	6.945000	\N	21676	749	9999-12-31	2013-05-08
110	2006-06-26	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	8.330000	\N	21684	67	9999-12-31	2013-05-08
110	1993-02-15	FROM	UNKNOWN	Norske Conoco A/S	10.000000	\N	21684	221	9999-12-31	2013-05-08
110	1998-01-01	FROM	UNKNOWN	Elf Petroleum Norge AS	20.000000	\N	21684	298	9999-12-31	2013-05-08
110	2000-12-20	FROM	MERGER/TAKEOVER	Fina Production Licenses AS	5.000000	\N	21684	386	9999-12-31	2013-05-08
110	1999-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	6.670000	\N	21684	430	9999-12-31	2013-05-08
110	2004-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	21684	430	9999-12-31	2013-05-08
110	2000-12-23	FROM	TRANSFER	Den norske stats oljeselskap a.s	12.000000	\N	21684	749	9999-12-31	2013-05-08
110	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	44.670000	\N	21684	749	9999-12-31	2013-05-08
110	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	25.000000	\N	21684	848	9999-12-31	2013-05-08
110	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	25.000000	\N	21684	1340884	9999-12-31	2013-05-08
110	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	24.670000	\N	21684	1622484	9999-12-31	2013-05-08
110	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21684	1623450	9999-12-31	2013-05-08
110	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	12.000000	\N	21684	1628733	9999-12-31	2013-05-08
110	2011-01-01	FROM	TRANSFER	Hess Norge AS	8.330000	\N	21684	4038735	9999-12-31	2013-05-08
110	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	24.670000	\N	21684	4511658	9999-12-31	2013-05-08
110	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	24.670000	\N	21684	4511854	9999-12-31	2013-05-08
110	1993-02-15	TO	UNKNOWN	Amerada Hess Norge AS	3.330000	\N	21684	67	9999-12-31	2013-05-08
110	1993-02-15	TO	UNKNOWN	Norsk Hydro Produksjon AS	6.670000	\N	21684	430	9999-12-31	2013-05-08
110	1999-01-01	TO	TRANSFER	Den norske stats oljeselskap a.s	6.670000	\N	21684	749	9999-12-31	2013-05-08
110	1998-01-01	TO	UNKNOWN	Total Norge AS	20.000000	\N	21684	848	9999-12-31	2013-05-08
110	2000-12-20	TO	MERGER/TAKEOVER	Total Norge AS	5.000000	\N	21684	848	9999-12-31	2013-05-08
110	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	25.000000	\N	21684	1340884	9999-12-31	2013-05-08
110	2001-05-10	TO	SDFI	Statoil ASA (old)	14.670000	\N	21684	1622484	9999-12-31	2013-05-08
110	2004-01-01	TO	TRANSFER	Statoil ASA (old)	10.000000	\N	21684	1622484	9999-12-31	2013-05-08
110	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21684	1623450	9999-12-31	2013-05-08
110	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21684	1626839	9999-12-31	2013-05-08
110	2000-12-23	TO	TRANSFER	Gaz de France Norge AS	12.000000	\N	21684	1628733	9999-12-31	2013-05-08
110	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	25.000000	\N	21684	2410708	9999-12-31	2013-05-08
110	2006-06-26	TO	CHANGE OF COMPANY NAME	Hess Norge AS	8.330000	\N	21684	4038735	9999-12-31	2013-05-08
110	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	24.670000	\N	21684	4511658	9999-12-31	2013-05-08
110	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	24.670000	\N	21684	4511854	9999-12-31	2013-05-08
110	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	12.000000	\N	21684	5267845	9999-12-31	2013-05-08
110	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	24.670000	\N	21684	17237817	9999-12-31	2013-05-08
110	2011-01-01	TO	TRANSFER	Statoil Petroleum AS	8.330000	\N	21684	17237817	9999-12-31	2013-05-08
112	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	21.800000	\N	21700	298	9999-12-31	2013-05-08
112	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	21.800000	\N	21700	1340884	9999-12-31	2013-05-08
113	2006-06-26	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	50.000000	\N	21708	67	9999-12-31	2013-05-08
113	1994-12-13	FROM	UNKNOWN	Norsk Hydro Produksjon AS	25.000000	\N	21708	430	9999-12-31	2013-05-08
113	2001-02-06	FROM	TRANSFER	Den norske stats oljeselskap a.s	20.000000	\N	21708	749	9999-12-31	2013-05-08
113	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	21708	749	9999-12-31	2013-05-08
113	2001-12-21	FROM	CHANGE OF COMPANY NAME	DONG Etterforskning og Produktion AS	20.000000	\N	21708	1441164	9999-12-31	2013-05-08
113	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	21708	1622484	9999-12-31	2013-05-08
113	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21708	1623450	9999-12-31	2013-05-08
113	2002-04-17	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	20.000000	\N	21708	1853083	9999-12-31	2013-05-08
113	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	20.000000	\N	21708	1853083	9999-12-31	2013-05-08
113	2002-06-06	FROM	TRANSFER	DOPAS Norge AS	20.000000	\N	21708	2133811	9999-12-31	2013-05-08
113	2012-01-01	FROM	TRANSFER	Hess Norge AS	50.000000	\N	21708	4038735	9999-12-31	2013-05-08
113	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	21708	4511658	9999-12-31	2013-05-08
113	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	21708	4511854	9999-12-31	2013-05-08
113	1994-12-13	TO	UNKNOWN	Amerada Hess Norge AS	25.000000	\N	21708	67	9999-12-31	2013-05-08
113	2001-02-06	TO	TRANSFER	DONG Etterforskning og Produktion AS	20.000000	\N	21708	1441164	9999-12-31	2013-05-08
113	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21708	1622484	9999-12-31	2013-05-08
113	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21708	1623450	9999-12-31	2013-05-08
113	2001-12-21	TO	CHANGE OF COMPANY NAME	DONG Norge AS	20.000000	\N	21708	1853083	9999-12-31	2013-05-08
113	2002-06-06	TO	TRANSFER	DONG Norge AS	20.000000	\N	21708	1853083	9999-12-31	2013-05-08
113	2002-04-17	TO	CHANGE OF COMPANY NAME	DOPAS Norge AS	20.000000	\N	21708	2133811	9999-12-31	2013-05-08
113	2006-06-26	TO	CHANGE OF COMPANY NAME	Hess Norge AS	50.000000	\N	21708	4038735	9999-12-31	2013-05-08
113	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	20.000000	\N	21708	4070011	9999-12-31	2013-05-08
113	2012-01-01	TO	TRANSFER	DONG E&P Norge AS	50.000000	\N	21708	4070011	9999-12-31	2013-05-08
113	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	21708	4511658	9999-12-31	2013-05-08
113	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	21708	4511854	9999-12-31	2013-05-08
113	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	21708	17237817	9999-12-31	2013-05-08
114	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	10.000000	\N	21716	254	9999-12-31	2013-05-08
114	1991-09-11	FROM	UNKNOWN	A/S Norske Shell	15.000000	\N	21716	562	9999-12-31	2013-05-08
114	1988-09-30	FROM	UNKNOWN	Norsk Occidental A/S	10.000000	\N	21716	584	9999-12-31	2013-05-08
114	1994-08-01	FROM	UNKNOWN	Petrobras Norge A/S	10.000000	\N	21716	639	9999-12-31	2013-05-08
114	1995-05-04	FROM	UNKNOWN	Petrosaga AS	10.000000	\N	21716	661	9999-12-31	2013-05-08
114	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	25.000000	\N	21716	716	9999-12-31	2013-05-08
114	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	65.000000	\N	21716	749	9999-12-31	2013-05-08
114	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21716	1623450	9999-12-31	2013-05-08
114	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	25.000000	\N	21716	430	9999-12-31	2013-05-08
114	1988-09-30	TO	UNKNOWN	Petrobras Norge A/S	10.000000	\N	21716	639	9999-12-31	2013-05-08
114	1994-08-01	TO	UNKNOWN	Petrosaga AS	10.000000	\N	21716	661	9999-12-31	2013-05-08
114	1995-05-04	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	21716	716	9999-12-31	2013-05-08
114	1991-09-11	TO	UNKNOWN	Den norske stats oljeselskap a.s	15.000000	\N	21716	749	9999-12-31	2013-05-08
114	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	10.000000	\N	21716	97557	9999-12-31	2013-05-08
114	2001-05-10	TO	SDFI	Statoil ASA (old)	35.000000	\N	21716	1622484	9999-12-31	2013-05-08
114	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21716	1622484	9999-12-31	2013-05-08
114	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21716	1623450	9999-12-31	2013-05-08
114 B	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	10.000000	\N	21724	254	9999-12-31	2013-05-08
114 B	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	25.000000	\N	21724	716	9999-12-31	2013-05-08
114 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	65.000000	\N	21724	749	9999-12-31	2013-05-08
114 B	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21724	1623450	9999-12-31	2013-05-08
114 B	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	25.000000	\N	21724	430	9999-12-31	2013-05-08
114 B	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	10.000000	\N	21724	97557	9999-12-31	2013-05-08
114 B	2001-05-10	TO	SDFI	Statoil ASA (old)	35.000000	\N	21724	1622484	9999-12-31	2013-05-08
114 B	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21724	1622484	9999-12-31	2013-05-08
114 B	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21724	1623450	9999-12-31	2013-05-08
115	1996-07-04	FROM	UNKNOWN	Norske Conoco A/S	15.000000	\N	21732	221	9999-12-31	2013-05-08
115	1994-09-08	FROM	UNKNOWN	Conoco Petroleum Norge AS	15.000000	\N	21732	232	9999-12-31	2013-05-08
115	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	27.000000	\N	21732	254	9999-12-31	2013-05-08
115	1995-05-09	FROM	UNKNOWN	DNO Olje A/S	5.000000	\N	21732	276	9999-12-31	2013-05-08
115	1991-07-01	FROM	UNKNOWN	A/S Norske Shell	30.000000	\N	21732	562	9999-12-31	2013-05-08
115	1996-07-04	FROM	UNKNOWN	Saga Petroleum ASA	5.000000	\N	21732	716	9999-12-31	2013-05-08
115	1997-04-18	FROM	UNKNOWN	Den norske stats oljeselskap a.s	27.000000	\N	21732	749	9999-12-31	2013-05-08
115	1988-12-16	FROM	UNKNOWN	Tennaco Oil Norway A/S	15.000000	\N	21732	793	9999-12-31	2013-05-08
115	1996-07-04	FROM	UNKNOWN	Total Norge AS	30.000000	\N	21732	848	9999-12-31	2013-05-08
115	1994-09-08	TO	UNKNOWN	Norske Conoco A/S	15.000000	\N	21732	221	9999-12-31	2013-05-08
115	1988-12-16	TO	UNKNOWN	Conoco Petroleum Norge AS	15.000000	\N	21732	232	9999-12-31	2013-05-08
115	1997-04-18	TO	UNKNOWN	Deminex Norge AS	27.000000	\N	21732	254	9999-12-31	2013-05-08
115	1995-05-09	TO	UNKNOWN	Saga Petroleum ASA	5.000000	\N	21732	716	9999-12-31	2013-05-08
115	1996-07-04	TO	UNKNOWN	Den norske stats oljeselskap a.s	50.000000	\N	21732	749	9999-12-31	2013-05-08
115	1991-07-01	TO	UNKNOWN	Total Norge AS	30.000000	\N	21732	848	9999-12-31	2013-05-08
115	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	27.000000	\N	21732	97557	9999-12-31	2013-05-08
116	1999-03-01	FROM	TRANSFER	Amerada Hess Norge AS	10.000000	\N	21740	67	9999-12-31	2013-05-08
116	1996-08-12	FROM	UNKNOWN	Norske Conoco A/S	30.000000	\N	21740	221	9999-12-31	2013-05-08
116	1995-06-22	FROM	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	21740	749	9999-12-31	2013-05-08
116	2000-01-01	FROM	TRANSFER	Den norske stats oljeselskap a.s	70.000000	\N	21740	749	9999-12-31	2013-05-08
116	2000-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	70.000000	\N	21740	430	9999-12-31	2013-05-08
116	1995-06-22	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	21740	716	9999-12-31	2013-05-08
116	1999-03-01	TO	TRANSFER	Saga Petroleum ASA	10.000000	\N	21740	716	9999-12-31	2013-05-08
116	1996-08-12	TO	UNKNOWN	Den norske stats oljeselskap a.s	30.000000	\N	21740	749	9999-12-31	2013-05-08
117	1994-11-23	FROM	UNKNOWN	Norsk Agip  AS	20.000000	\N	21748	45	9999-12-31	2013-05-08
117	1999-03-26	FROM	TRANSFER	Fina Production Licenses AS	15.000000	\N	21748	386	9999-12-31	2013-05-08
117	1994-11-23	TO	UNKNOWN	Amerada Hess Norge AS	10.000000	\N	21748	67	9999-12-31	2013-05-08
117	1994-11-23	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	21748	716	9999-12-31	2013-05-08
117	1999-03-26	TO	TRANSFER	Saga Petroleum ASA	15.000000	\N	21748	716	9999-12-31	2013-05-08
120	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	13.000000	\N	21772	221	9999-12-31	2013-05-08
120	1997-01-01	FROM	UNKNOWN	Elf Petroleum Norge AS	2.000000	\N	21772	298	9999-12-31	2013-05-08
120	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	11.000000	\N	21772	298	9999-12-31	2013-05-08
120	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	29.000000	\N	21772	430	9999-12-31	2013-05-08
120	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	6.000000	\N	21772	716	9999-12-31	2013-05-08
120	1996-07-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	3.000000	\N	21772	749	9999-12-31	2013-05-08
120	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	47.000000	\N	21772	749	9999-12-31	2013-05-08
120	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	11.000000	\N	21772	1340884	9999-12-31	2013-05-08
120	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.064520	\N	21772	1622484	9999-12-31	2013-05-08
120	2001-06-01	FROM	TRANSFER	SDØE	11.064520	\N	21772	1623450	9999-12-31	2013-05-08
120	2001-06-17	FROM	SDFI	SDØE	16.935480	\N	21772	1623450	9999-12-31	2013-05-08
120	2007-01-02	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	13.000000	\N	21772	2399056	9999-12-31	2013-05-08
120	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	59.064520	\N	21772	4511658	9999-12-31	2013-05-08
120	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.064520	\N	21772	4511854	9999-12-31	2013-05-08
120	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	29.000000	\N	21772	4524355	9999-12-31	2013-05-08
120	1996-07-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	3.000000	\N	21772	430	9999-12-31	2013-05-08
120	1997-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	2.000000	\N	21772	430	9999-12-31	2013-05-08
120	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	6.000000	\N	21772	430	9999-12-31	2013-05-08
120	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	11.000000	\N	21772	1340884	9999-12-31	2013-05-08
120	2001-05-10	TO	SDFI	Statoil ASA (old)	19.000000	\N	21772	1622484	9999-12-31	2013-05-08
120	2001-06-01	TO	TRANSFER	Statoil ASA (old)	11.064520	\N	21772	1622484	9999-12-31	2013-05-08
120	2001-05-10	TO	SDFI	SDØE	28.000000	\N	21772	1623450	9999-12-31	2013-05-08
120	2001-06-17	TO	SDFI	Petoro AS	16.935480	\N	21772	1626839	9999-12-31	2013-05-08
120	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	13.000000	\N	21772	2399056	9999-12-31	2013-05-08
120	2007-01-02	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	13.000000	\N	21772	2410696	9999-12-31	2013-05-08
120	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	11.000000	\N	21772	2410708	9999-12-31	2013-05-08
120	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	29.000000	\N	21772	4511658	9999-12-31	2013-05-08
120	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.064520	\N	21772	4511658	9999-12-31	2013-05-08
120	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.064520	\N	21772	4511854	9999-12-31	2013-05-08
120	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	29.000000	\N	21772	4524355	9999-12-31	2013-05-08
120	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	59.064520	\N	21772	17237817	9999-12-31	2013-05-08
121	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	7.900000	\N	21780	45	9999-12-31	2013-05-08
121	1997-04-24	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	2.000000	\N	21780	155	9999-12-31	2013-05-08
121	1994-11-10	FROM	UNKNOWN	Britoil Norge A/S	8.000000	\N	21780	166	9999-12-31	2013-05-08
121	1995-09-01	FROM	UNKNOWN	Britoil Norge A/S	2.000000	\N	21780	166	9999-12-31	2013-05-08
121	1995-05-09	FROM	UNKNOWN	DNO Olje A/S	8.000000	\N	21780	276	9999-12-31	2013-05-08
121	2000-01-31	FROM	TRANSFER	Norsk Hydro Produksjon AS	20.000000	\N	21780	430	9999-12-31	2013-05-08
121	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	21780	430	9999-12-31	2013-05-08
121	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	20.000000	\N	21780	474	9999-12-31	2013-05-08
121	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	21780	716	9999-12-31	2013-05-08
121	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	70.000000	\N	21780	749	9999-12-31	2013-05-08
121	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	7.000000	\N	21780	102714	9999-12-31	2013-05-08
121	2002-01-01	FROM	TRANSFER	Statoil ASA (old)	14.900000	\N	21780	1622484	9999-12-31	2013-05-08
121	2004-01-01	FROM	TRANSFER	Statoil ASA (old)	7.650000	\N	21780	1622484	9999-12-31	2013-05-08
121	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	47.450000	\N	21780	1622484	9999-12-31	2013-05-08
121	2001-06-01	FROM	TRANSFER	SDØE	40.000000	\N	21780	1623450	9999-12-31	2013-05-08
121	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	21780	4511658	9999-12-31	2013-05-08
121	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	57.450000	\N	21780	4511658	9999-12-31	2013-05-08
121	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	57.450000	\N	21780	4511854	9999-12-31	2013-05-08
121	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	10.000000	\N	21780	4524355	9999-12-31	2013-05-08
121	2002-01-01	TO	TRANSFER	Norsk Agip  AS	7.900000	\N	21780	45	9999-12-31	2013-05-08
121	1995-09-01	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	2.000000	\N	21780	155	9999-12-31	2013-05-08
121	1994-11-10	TO	UNKNOWN	DNO Olje A/S	8.000000	\N	21780	276	9999-12-31	2013-05-08
121	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	21780	430	9999-12-31	2013-05-08
121	1995-05-09	TO	UNKNOWN	Saga Petroleum ASA	8.000000	\N	21780	716	9999-12-31	2013-05-08
121	1997-04-24	TO	UNKNOWN	Saga Petroleum ASA	2.000000	\N	21780	716	9999-12-31	2013-05-08
121	2000-01-31	TO	TRANSFER	Den norske stats oljeselskap a.s	20.000000	\N	21780	749	9999-12-31	2013-05-08
121	2002-01-01	TO	TRANSFER	Fortum Petroleum AS	7.000000	\N	21780	102714	9999-12-31	2013-05-08
121	2001-05-10	TO	SDFI	Statoil ASA (old)	30.000000	\N	21780	1622484	9999-12-31	2013-05-08
121	2001-06-01	TO	TRANSFER	Statoil ASA (old)	40.000000	\N	21780	1622484	9999-12-31	2013-05-08
121	2001-05-10	TO	SDFI	SDØE	40.000000	\N	21780	1623450	9999-12-31	2013-05-08
121	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	7.000000	\N	21780	2388594	9999-12-31	2013-05-08
121	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	7.900000	\N	21780	2388594	9999-12-31	2013-05-08
121	2004-01-01	TO	TRANSFER	Total E&P Norge AS	7.650000	\N	21780	2410708	9999-12-31	2013-05-08
121	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	20.000000	\N	21780	2835212	9999-12-31	2013-05-08
121	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	10.000000	\N	21780	4511658	9999-12-31	2013-05-08
121	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	57.450000	\N	21780	4511658	9999-12-31	2013-05-08
121	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	47.450000	\N	21780	4511854	9999-12-31	2013-05-08
121	2008-01-01	TO	TRANSFER	StatoilHydro ASA	10.000000	\N	21780	4511854	9999-12-31	2013-05-08
121	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	10.000000	\N	21780	4524355	9999-12-31	2013-05-08
121	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	57.450000	\N	21780	17237817	9999-12-31	2013-05-08
122	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	20.000000	\N	21788	45	9999-12-31	2013-05-08
122	2003-08-22	FROM	TRANSFER	Amerada Hess Norge AS	20.000000	\N	21788	67	9999-12-31	2013-05-08
122	1995-01-19	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	10.000000	\N	21788	353	9999-12-31	2013-05-08
122	1996-07-23	FROM	UNKNOWN	Norsk Hydro Produksjon AS	20.000000	\N	21788	430	9999-12-31	2013-05-08
122	2004-05-01	FROM	TRANSFER	Mobil Development Norway AS	10.000000	\N	21788	474	9999-12-31	2013-05-08
122	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	21788	749	9999-12-31	2013-05-08
122	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	21788	1622484	9999-12-31	2013-05-08
122	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21788	1623450	9999-12-31	2013-05-08
122	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	30.000000	\N	21788	1853083	9999-12-31	2013-05-08
122	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	21788	4511658	9999-12-31	2013-05-08
122	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	21788	4511854	9999-12-31	2013-05-08
122	1996-07-23	TO	UNKNOWN	Norsk Agip  AS	20.000000	\N	21788	45	9999-12-31	2013-05-08
122	1995-01-19	TO	UNKNOWN	Amerada Hess Norge AS	10.000000	\N	21788	67	9999-12-31	2013-05-08
122	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	21788	1622484	9999-12-31	2013-05-08
122	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21788	1622484	9999-12-31	2013-05-08
122	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21788	1623450	9999-12-31	2013-05-08
122	2003-08-22	TO	TRANSFER	DONG Norge AS	20.000000	\N	21788	1853083	9999-12-31	2013-05-08
122	2004-05-01	TO	TRANSFER	DONG Norge AS	10.000000	\N	21788	1853083	9999-12-31	2013-05-08
122	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	20.000000	\N	21788	2388594	9999-12-31	2013-05-08
122	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	30.000000	\N	21788	4070011	9999-12-31	2013-05-08
122	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	21788	4511658	9999-12-31	2013-05-08
122	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	21788	4511854	9999-12-31	2013-05-08
122	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	21788	17237817	9999-12-31	2013-05-08
124	1990-07-25	FROM	UNKNOWN	Arco Norge A/S	10.000000	\N	21804	122	9999-12-31	2013-05-08
124	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	27.910000	\N	21804	221	9999-12-31	2013-05-08
124	1994-09-08	FROM	UNKNOWN	Conoco Petroleum Norge AS	10.000000	\N	21804	232	9999-12-31	2013-05-08
124	1995-03-06	FROM	UNKNOWN	DNO Olje A/S	5.000000	\N	21804	276	9999-12-31	2013-05-08
124	1993-12-13	FROM	UNKNOWN	Norsk Hydro Produksjon AS	10.000000	\N	21804	430	9999-12-31	2013-05-08
124	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	10.000000	\N	21804	496	9999-12-31	2013-05-08
124	1995-06-22	FROM	UNKNOWN	Saga Petroleum ASA	5.000000	\N	21804	716	9999-12-31	2013-05-08
124	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	65.000000	\N	21804	749	9999-12-31	2013-05-08
124	1988-12-16	FROM	UNKNOWN	Tennaco Oil Norway A/S	10.000000	\N	21804	793	9999-12-31	2013-05-08
124	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	10.000000	\N	21804	102714	9999-12-31	2013-05-08
124	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	35.000000	\N	21804	1622484	9999-12-31	2013-05-08
124	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21804	1623450	9999-12-31	2013-05-08
124	2002-03-19	FROM	TRANSFER	Petoro AS	2.910000	\N	21804	1626839	9999-12-31	2013-05-08
124	2007-01-01	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	27.910000	\N	21804	2399056	9999-12-31	2013-05-08
124	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	35.000000	\N	21804	4511658	9999-12-31	2013-05-08
124	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	35.000000	\N	21804	4511854	9999-12-31	2013-05-08
124	1994-09-08	TO	UNKNOWN	Norske Conoco A/S	10.000000	\N	21804	221	9999-12-31	2013-05-08
124	2002-03-19	TO	TRANSFER	Norske Conoco A/S	2.910000	\N	21804	221	9999-12-31	2013-05-08
124	1988-12-16	TO	UNKNOWN	Conoco Petroleum Norge AS	10.000000	\N	21804	232	9999-12-31	2013-05-08
124	1990-07-25	TO	UNKNOWN	Neste Petroleum AS	10.000000	\N	21804	496	9999-12-31	2013-05-08
124	1995-03-06	TO	UNKNOWN	Saga Petroleum ASA	5.000000	\N	21804	716	9999-12-31	2013-05-08
124	1993-12-13	TO	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	21804	749	9999-12-31	2013-05-08
124	1995-06-22	TO	UNKNOWN	Den norske stats oljeselskap a.s	5.000000	\N	21804	749	9999-12-31	2013-05-08
124	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	10.000000	\N	21804	102714	9999-12-31	2013-05-08
124	2001-05-10	TO	SDFI	Statoil ASA (old)	35.000000	\N	21804	1622484	9999-12-31	2013-05-08
124	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21804	1623450	9999-12-31	2013-05-08
124	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21804	1626839	9999-12-31	2013-05-08
124	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	10.000000	\N	21804	2388594	9999-12-31	2013-05-08
124	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	27.910000	\N	21804	2399056	9999-12-31	2013-05-08
124	2007-01-01	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	27.910000	\N	21804	2410696	9999-12-31	2013-05-08
124	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	35.000000	\N	21804	4511658	9999-12-31	2013-05-08
124	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	35.000000	\N	21804	4511854	9999-12-31	2013-05-08
124	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	35.000000	\N	21804	17237817	9999-12-31	2013-05-08
125	1987-11-27	FROM	UNKNOWN	Norsk Occidental A/S	15.000000	\N	21812	584	9999-12-31	2013-05-08
125	1987-11-27	TO	UNKNOWN	A/S Norske Shell	6.180000	\N	21812	562	9999-12-31	2013-05-08
125	1987-11-27	TO	UNKNOWN	Den norske stats oljeselskap a.s	8.820000	\N	21812	749	9999-12-31	2013-05-08
126	1991-01-01	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	30.000000	\N	21820	353	9999-12-31	2013-05-08
126	1991-01-01	TO	UNKNOWN	Enterprise Oil Norwegian AS	20.000000	\N	21820	342	9999-12-31	2013-05-08
126	1991-01-01	TO	UNKNOWN	Mobil Development Norway AS	10.000000	\N	21820	474	9999-12-31	2013-05-08
127	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	35.000000	\N	21828	298	9999-12-31	2013-05-08
127	2000-12-20	FROM	MERGER/TAKEOVER	Fina Production Licenses AS	15.000000	\N	21828	386	9999-12-31	2013-05-08
127	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	21828	749	9999-12-31	2013-05-08
127	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	15.000000	\N	21828	848	9999-12-31	2013-05-08
127	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	50.000000	\N	21828	1340884	9999-12-31	2013-05-08
127	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	21828	1622484	9999-12-31	2013-05-08
127	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21828	1623450	9999-12-31	2013-05-08
127	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	21828	4511658	9999-12-31	2013-05-08
127	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	21828	4511854	9999-12-31	2013-05-08
127	2000-12-20	TO	MERGER/TAKEOVER	Total Norge AS	15.000000	\N	21828	848	9999-12-31	2013-05-08
127	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	35.000000	\N	21828	1340884	9999-12-31	2013-05-08
127	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	15.000000	\N	21828	1340884	9999-12-31	2013-05-08
127	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	21828	1622484	9999-12-31	2013-05-08
127	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21828	1622484	9999-12-31	2013-05-08
127	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21828	1623450	9999-12-31	2013-05-08
127	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	50.000000	\N	21828	2410708	9999-12-31	2013-05-08
127	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	21828	4511658	9999-12-31	2013-05-08
127	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	21828	4511854	9999-12-31	2013-05-08
127	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	21828	17237817	9999-12-31	2013-05-08
128	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	11.500000	\N	21836	45	9999-12-31	2013-05-08
128	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	10.000000	\N	21836	342	9999-12-31	2013-05-08
128	1996-07-23	FROM	UNKNOWN	Norsk Hydro Produksjon AS	1.500000	\N	21836	430	9999-12-31	2013-05-08
128	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	13.500000	\N	21836	430	9999-12-31	2013-05-08
128	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	15.000000	\N	21836	716	9999-12-31	2013-05-08
128	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	65.000000	\N	21836	749	9999-12-31	2013-05-08
128	1989-04-14	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	10.000000	\N	21836	837	9999-12-31	2013-05-08
128	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.454550	\N	21836	1622484	9999-12-31	2013-05-08
128	2001-06-01	FROM	TRANSFER	SDØE	0.454550	\N	21836	1623450	9999-12-31	2013-05-08
128	2001-06-17	FROM	SDFI	SDØE	24.545460	\N	21836	1623450	9999-12-31	2013-05-08
128	2005-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	10.000000	\N	21836	1853786	9999-12-31	2013-05-08
128	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	13.500000	\N	21836	4511658	9999-12-31	2013-05-08
128	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	63.954550	\N	21836	4511658	9999-12-31	2013-05-08
128	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	63.954550	\N	21836	4511854	9999-12-31	2013-05-08
128	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	13.500000	\N	21836	4524355	9999-12-31	2013-05-08
128	1996-07-23	TO	UNKNOWN	Norsk Agip  AS	1.500000	\N	21836	45	9999-12-31	2013-05-08
128	1989-04-14	TO	UNKNOWN	Enterprise Oil Norwegian AS	10.000000	\N	21836	342	9999-12-31	2013-05-08
128	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	15.000000	\N	21836	749	9999-12-31	2013-05-08
128	2001-05-10	TO	SDFI	Statoil ASA (old)	40.000000	\N	21836	1622484	9999-12-31	2013-05-08
128	2001-06-01	TO	TRANSFER	Statoil ASA (old)	0.454550	\N	21836	1622484	9999-12-31	2013-05-08
128	2005-01-01	TO	TRANSFER	Statoil ASA (old)	10.000000	\N	21836	1622484	9999-12-31	2013-05-08
128	2001-05-10	TO	SDFI	SDØE	25.000000	\N	21836	1623450	9999-12-31	2013-05-08
128	2001-06-17	TO	SDFI	Petoro AS	24.545460	\N	21836	1626839	9999-12-31	2013-05-08
128	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	10.000000	\N	21836	1853786	9999-12-31	2013-05-08
128	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	11.500000	\N	21836	2388594	9999-12-31	2013-05-08
128	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	13.500000	\N	21836	4511658	9999-12-31	2013-05-08
128	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	63.954550	\N	21836	4511658	9999-12-31	2013-05-08
128	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.454550	\N	21836	4511854	9999-12-31	2013-05-08
128	2008-01-01	TO	TRANSFER	StatoilHydro ASA	13.500000	\N	21836	4511854	9999-12-31	2013-05-08
128	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	13.500000	\N	21836	4524355	9999-12-31	2013-05-08
128	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	63.954550	\N	21836	17237817	9999-12-31	2013-05-08
130	1991-07-01	FROM	UNKNOWN	A/S Norske Shell	15.000000	\N	21852	562	9999-12-31	2013-05-08
130	1991-01-01	FROM	UNKNOWN	Petrobras Norge A/S	15.000000	\N	21852	639	9999-12-31	2013-05-08
130	1989-04-14	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	20.000000	\N	21852	837	9999-12-31	2013-05-08
130	1989-04-14	TO	UNKNOWN	Enterprise Oil Norwegian AS	20.000000	\N	21852	342	9999-12-31	2013-05-08
130	1991-01-01	TO	UNKNOWN	Enterprise Oil Norwegian AS	7.500000	\N	21852	342	9999-12-31	2013-05-08
130	1991-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	7.500000	\N	21852	749	9999-12-31	2013-05-08
130	1991-07-01	TO	UNKNOWN	Total Norge AS	15.000000	\N	21852	848	9999-12-31	2013-05-08
132	1995-01-09	FROM	UNKNOWN	Norsk Agip  AS	10.000000	\N	21868	45	9999-12-31	2013-05-08
132	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	15.000000	\N	21868	221	9999-12-31	2013-05-08
132	1995-04-05	FROM	UNKNOWN	Deminex Norge AS	10.000000	\N	21868	254	9999-12-31	2013-05-08
132	1996-12-13	FROM	UNKNOWN	Norsk Hydro Produksjon AS	7.500000	\N	21868	430	9999-12-31	2013-05-08
132	2002-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	2.500000	\N	21868	430	9999-12-31	2013-05-08
132	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	21868	430	9999-12-31	2013-05-08
132	2008-09-01	FROM	TRANSFER	Mobil Development Norway AS	20.000000	\N	21868	474	9999-12-31	2013-05-08
132	1995-01-10	FROM	UNKNOWN	A/S Norske Shell	10.000000	\N	21868	562	9999-12-31	2013-05-08
132	2001-01-23	FROM	TRANSFER	Petro-Canada Norge AS (old)	7.500000	\N	21868	628	9999-12-31	2013-05-08
132	2001-01-11	FROM	TRANSFER	Den norske stats oljeselskap a.s	20.000000	\N	21868	749	9999-12-31	2013-05-08
132	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	21868	749	9999-12-31	2013-05-08
132	2005-01-02	FROM	TRANSFER	Paladin Resources Norge AS	15.000000	\N	21868	1577943	9999-12-31	2013-05-08
132	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	21868	1623450	9999-12-31	2013-05-08
132	2002-03-19	FROM	TRANSFER	Petoro AS	22.500000	\N	21868	1626839	9999-12-31	2013-05-08
132	2011-01-02	FROM	TRANSFER	Petoro AS	7.500000	\N	21868	1626839	9999-12-31	2013-05-08
132	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	20.000000	\N	21868	1628733	9999-12-31	2013-05-08
132	2005-01-10	FROM	CHANGE OF COMPANY NAME	OER Oil AS	2.500000	\N	21868	2258813	9999-12-31	2013-05-08
132	2003-09-24	FROM	TRANSFER	Norske ConocoPhillips AS	15.000000	\N	21868	2399056	9999-12-31	2013-05-08
132	2004-07-05	FROM	CHANGE OF COMPANY NAME	Ruhrgas Norge AS	15.000000	\N	21868	2489913	9999-12-31	2013-05-08
132	2011-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	20.000000	\N	21868	2835212	9999-12-31	2013-05-08
132	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	30.000000	\N	21868	2840522	9999-12-31	2013-05-08
132	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	2.500000	\N	21868	3113213	9999-12-31	2013-05-08
132	2008-11-01	FROM	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	21868	4511658	9999-12-31	2013-05-08
132	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	21868	4511658	9999-12-31	2013-05-08
132	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	21868	4511854	9999-12-31	2013-05-08
132	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	20.000000	\N	21868	4524355	9999-12-31	2013-05-08
132	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	21868	5497155	9999-12-31	2013-05-08
132	2002-03-19	TO	TRANSFER	Norske Conoco A/S	15.000000	\N	21868	221	9999-12-31	2013-05-08
132	1995-01-09	TO	UNKNOWN	Norsk Hydro Produksjon AS	10.000000	\N	21868	430	9999-12-31	2013-05-08
132	1995-01-10	TO	UNKNOWN	Mobil Development Norway AS	10.000000	\N	21868	474	9999-12-31	2013-05-08
132	1995-04-05	TO	UNKNOWN	Mobil Development Norway AS	10.000000	\N	21868	474	9999-12-31	2013-05-08
132	1996-12-13	TO	UNKNOWN	Petro-Canada Norge AS (old)	7.500000	\N	21868	628	9999-12-31	2013-05-08
132	2001-01-23	TO	TRANSFER	Paladin Resources Norge AS	7.500000	\N	21868	1577943	9999-12-31	2013-05-08
132	2002-03-19	TO	TRANSFER	Paladin Resources Norge AS	7.500000	\N	21868	1577943	9999-12-31	2013-05-08
132	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21868	1623450	9999-12-31	2013-05-08
132	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	21868	1626839	9999-12-31	2013-05-08
132	2001-01-11	TO	TRANSFER	Gaz de France Norge AS	20.000000	\N	21868	1628733	9999-12-31	2013-05-08
132	2002-01-01	TO	TRANSFER	OER Oil AS	2.500000	\N	21868	2258813	9999-12-31	2013-05-08
132	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	15.000000	\N	21868	2399056	9999-12-31	2013-05-08
132	2003-09-24	TO	TRANSFER	Ruhrgas Norge AS	15.000000	\N	21868	2489913	9999-12-31	2013-05-08
132	2008-09-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	20.000000	\N	21868	2835212	9999-12-31	2013-05-08
132	2004-07-05	TO	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	15.000000	\N	21868	2840522	9999-12-31	2013-05-08
132	2005-01-02	TO	TRANSFER	E.ON Ruhrgas Norge AS	15.000000	\N	21868	2840522	9999-12-31	2013-05-08
132	2005-01-10	TO	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	2.500000	\N	21868	3113213	9999-12-31	2013-05-08
132	2011-01-02	TO	TRANSFER	Faroe Petroleum Norge AS	7.500000	\N	21868	4062883	9999-12-31	2013-05-08
132	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	21868	4511658	9999-12-31	2013-05-08
132	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	21868	4511658	9999-12-31	2013-05-08
132	2008-11-01	TO	TRANSFER	StatoilHydro ASA	20.000000	\N	21868	4511854	9999-12-31	2013-05-08
132	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	20.000000	\N	21868	4524355	9999-12-31	2013-05-08
132	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	20.000000	\N	21868	5267845	9999-12-31	2013-05-08
132	2011-01-01	TO	TRANSFER	GDF SUEZ E&P Norge AS	20.000000	\N	21868	5267845	9999-12-31	2013-05-08
132	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	21868	5497155	9999-12-31	2013-05-08
132	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	2.500000	\N	21868	17237193	9999-12-31	2013-05-08
132	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	21868	17237817	9999-12-31	2013-05-08
132	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	30.000000	\N	21868	21631209	9999-12-31	2013-05-08
134	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	30.000000	\N	21884	45	9999-12-31	2013-05-08
134	1993-04-01	FROM	UNKNOWN	Conoco Petroleum Norge AS	10.000000	\N	21884	232	9999-12-31	2013-05-08
134	1995-01-19	FROM	UNKNOWN	Enterprise Oil Norwegian AS	10.000000	\N	21884	342	9999-12-31	2013-05-08
134	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	7.000000	\N	21884	430	9999-12-31	2013-05-08
134	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	7.000000	\N	21884	716	9999-12-31	2013-05-08
134	1995-06-22	FROM	UNKNOWN	Den norske stats oljeselskap a.s	7.000000	5.000000	21884	749	9999-12-31	2013-05-08
134	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	53.000000	\N	21884	749	9999-12-31	2013-05-08
134	1988-12-16	FROM	UNKNOWN	Tennaco Oil Norway A/S	10.000000	\N	21884	793	9999-12-31	2013-05-08
134	1989-04-14	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	10.000000	\N	21884	837	9999-12-31	2013-05-08
134	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	10.000000	\N	21884	848	9999-12-31	2013-05-08
134	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	21884	1340884	9999-12-31	2013-05-08
134	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	39.450000	\N	21884	1622484	9999-12-31	2013-05-08
134	2001-06-01	FROM	TRANSFER	SDØE	11.450000	\N	21884	1623450	9999-12-31	2013-05-08
134	2001-06-17	FROM	SDFI	SDØE	13.550000	\N	21884	1623450	9999-12-31	2013-05-08
134	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	7.000000	\N	21884	4511658	9999-12-31	2013-05-08
134	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	46.450000	\N	21884	4511658	9999-12-31	2013-05-08
134	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	46.450000	\N	21884	4511854	9999-12-31	2013-05-08
134	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	7.000000	\N	21884	4524355	9999-12-31	2013-05-08
134	1988-12-16	TO	UNKNOWN	Conoco Petroleum Norge AS	10.000000	\N	21884	232	9999-12-31	2013-05-08
134	1989-04-14	TO	UNKNOWN	Enterprise Oil Norwegian AS	10.000000	\N	21884	342	9999-12-31	2013-05-08
134	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	7.000000	\N	21884	430	9999-12-31	2013-05-08
134	1995-06-22	TO	UNKNOWN	Saga Petroleum ASA	7.000000	\N	21884	716	9999-12-31	2013-05-08
134	1995-01-19	TO	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	21884	749	9999-12-31	2013-05-08
134	1993-04-01	TO	UNKNOWN	Total Norge AS	10.000000	\N	21884	848	9999-12-31	2013-05-08
134	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	10.000000	\N	21884	1340884	9999-12-31	2013-05-08
134	2001-05-10	TO	SDFI	Statoil ASA (old)	28.000000	\N	21884	1622484	9999-12-31	2013-05-08
134	2001-06-01	TO	TRANSFER	Statoil ASA (old)	11.450000	\N	21884	1622484	9999-12-31	2013-05-08
134	2001-05-10	TO	SDFI	SDØE	25.000000	\N	21884	1623450	9999-12-31	2013-05-08
134	2001-06-17	TO	SDFI	Petoro AS	13.550000	\N	21884	1626839	9999-12-31	2013-05-08
134	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	30.000000	\N	21884	2388594	9999-12-31	2013-05-08
134	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	10.000000	\N	21884	2410708	9999-12-31	2013-05-08
134	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	7.000000	\N	21884	4511658	9999-12-31	2013-05-08
134	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	46.450000	\N	21884	4511658	9999-12-31	2013-05-08
134	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	39.450000	\N	21884	4511854	9999-12-31	2013-05-08
134	2008-01-01	TO	TRANSFER	StatoilHydro ASA	7.000000	\N	21884	4511854	9999-12-31	2013-05-08
134	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	7.000000	\N	21884	4524355	9999-12-31	2013-05-08
134	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	46.450000	\N	21884	17237817	9999-12-31	2013-05-08
135	1990-07-25	FROM	UNKNOWN	Arco Norge A/S	15.000000	\N	21892	122	9999-12-31	2013-05-08
135	1993-04-11	FROM	UNKNOWN	Neste Petroleum AS	15.000000	\N	21892	496	9999-12-31	2013-05-08
135	1993-04-11	FROM	UNKNOWN	Total Norge AS	15.000000	\N	21892	848	9999-12-31	2013-05-08
135	1993-04-11	TO	UNKNOWN	Amerada Hess Norge AS	30.000000	\N	21892	67	9999-12-31	2013-05-08
135	1990-07-25	TO	UNKNOWN	Neste Petroleum AS	15.000000	\N	21892	496	9999-12-31	2013-05-08
138	1996-01-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	10.000000	\N	21916	430	9999-12-31	2013-05-08
138	1993-05-28	FROM	UNKNOWN	A/S Norske Shell	15.000000	\N	21916	562	9999-12-31	2013-05-08
138	1993-05-28	TO	UNKNOWN	Amerada Hess Norge AS	3.000000	\N	21916	67	9999-12-31	2013-05-08
138	1996-01-01	TO	UNKNOWN	Amerada Hess Norge AS	5.000000	\N	21916	67	9999-12-31	2013-05-08
138	1993-05-28	TO	UNKNOWN	Total Norge AS	12.000000	\N	21916	848	9999-12-31	2013-05-08
138	1996-01-01	TO	UNKNOWN	Total Norge AS	5.000000	\N	21916	848	9999-12-31	2013-05-08
141	1988-12-16	FROM	UNKNOWN	Tennaco Oil Norway A/S	10.000000	\N	21940	793	9999-12-31	2013-05-08
141	1988-12-16	TO	UNKNOWN	Conoco Petroleum Norge AS	10.000000	\N	21940	232	9999-12-31	2013-05-08
142	1997-05-28	FROM	UNKNOWN	Elf Petroleum Norge AS	40.000000	\N	21948	298	9999-12-31	2013-05-08
142	1997-05-28	TO	UNKNOWN	Saga Petroleum ASA	20.000000	\N	21948	716	9999-12-31	2013-05-08
142	1997-05-28	TO	UNKNOWN	Den norske stats oljeselskap a.s	20.000000	\N	21948	749	9999-12-31	2013-05-08
143	1998-09-01	FROM	TRANSFER	Amoco Norway AS	10.000000	\N	21956	89	9999-12-31	2013-05-08
143	1998-09-01	FROM	TRANSFER	BP Petroleum Dev. of Norway AS	15.000000	\N	21956	155	9999-12-31	2013-05-08
143	1998-09-01	FROM	TRANSFER	Enterprise Oil Norwegian AS	15.000000	\N	21956	342	9999-12-31	2013-05-08
143	2002-10-14	FROM	TRANSFER	Norsk Hydro Produksjon AS	35.000000	\N	21956	430	9999-12-31	2013-05-08
143	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	15.000000	\N	21956	430	9999-12-31	2013-05-08
143	1996-01-01	FROM	UNKNOWN	Phillips Petroleum Norsk AS	15.000000	\N	21956	705	9999-12-31	2013-05-08
143	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	35.000000	\N	21956	705	9999-12-31	2013-05-08
143	1997-01-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	20.000000	\N	21956	749	9999-12-31	2013-05-08
143	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	21956	749	9999-12-31	2013-05-08
143	1989-04-14	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	15.000000	\N	21956	837	9999-12-31	2013-05-08
143	1994-11-23	FROM	UNKNOWN	OMV Norge A/S	10.000000	\N	21956	925	9999-12-31	2013-05-08
143	2004-07-01	FROM	TRANSFER	Paladin Resources Norge AS	30.000000	\N	21956	1577943	9999-12-31	2013-05-08
143	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	35.000000	\N	21956	1577943	9999-12-31	2013-05-08
143	2003-02-12	FROM	TRANSFER	Statoil ASA (old)	30.000000	\N	21956	1622484	9999-12-31	2013-05-08
143	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21956	1623450	9999-12-31	2013-05-08
143	2006-04-01	FROM	TRANSFER	Talisman Resources Norge AS	15.000000	\N	21956	3987574	9999-12-31	2013-05-08
143	2006-10-02	FROM	TRANSFER	Talisman Resources Norge AS	10.000000	\N	21956	3987574	9999-12-31	2013-05-08
143	2006-10-03	FROM	TRANSFER	Talisman Resources Norge AS	10.000000	\N	21956	3987574	9999-12-31	2013-05-08
143	2008-07-01	FROM	TRANSFER	StatoilHydro Petroleum AS	15.000000	\N	21956	4511658	9999-12-31	2013-05-08
143	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	15.000000	\N	21956	4524355	9999-12-31	2013-05-08
143	1994-11-23	TO	UNKNOWN	Amoco Norway AS	10.000000	\N	21956	89	9999-12-31	2013-05-08
143	1996-01-01	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	15.000000	\N	21956	155	9999-12-31	2013-05-08
143	1989-04-14	TO	UNKNOWN	Enterprise Oil Norwegian AS	15.000000	\N	21956	342	9999-12-31	2013-05-08
143	1997-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	20.000000	\N	21956	430	9999-12-31	2013-05-08
143	1998-09-01	TO	TRANSFER	Norsk Hydro Produksjon AS	15.000000	\N	21956	430	9999-12-31	2013-05-08
143	2006-04-01	TO	TRANSFER	Norsk Hydro Produksjon AS	15.000000	\N	21956	430	9999-12-31	2013-05-08
143	1998-09-01	TO	TRANSFER	Phillips Petroleum Norsk AS	25.000000	\N	21956	705	9999-12-31	2013-05-08
143	2002-10-14	TO	TRANSFER	Paladin Resources Norge AS	35.000000	\N	21956	1577943	9999-12-31	2013-05-08
143	2003-02-12	TO	TRANSFER	Paladin Resources Norge AS	30.000000	\N	21956	1577943	9999-12-31	2013-05-08
143	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21956	1622484	9999-12-31	2013-05-08
143	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21956	1623450	9999-12-31	2013-05-08
143	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	35.000000	\N	21956	2410696	9999-12-31	2013-05-08
143	2008-07-01	TO	TRANSFER	ConocoPhillips Skandinavia AS	15.000000	\N	21956	2410696	9999-12-31	2013-05-08
143	2006-10-03	TO	TRANSFER	Talisman Energy Norge AS	10.000000	\N	21956	2425093	9999-12-31	2013-05-08
143	2004-07-01	TO	TRANSFER	BG Norge AS	30.000000	\N	21956	2747354	9999-12-31	2013-05-08
143	2006-10-02	TO	TRANSFER	BG Norge AS	10.000000	\N	21956	2747354	9999-12-31	2013-05-08
143	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	35.000000	\N	21956	3987574	9999-12-31	2013-05-08
143	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	15.000000	\N	21956	4511658	9999-12-31	2013-05-08
143	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	15.000000	\N	21956	4524355	9999-12-31	2013-05-08
144	1997-01-01	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	25.000000	\N	21964	155	9999-12-31	2013-05-08
144	1997-07-01	FROM	UNKNOWN	Norske Conoco A/S	10.000000	\N	21964	221	9999-12-31	2013-05-08
144	1999-01-01	FROM	TRANSFER	Norske Conoco A/S	15.000000	\N	21964	221	9999-12-31	2013-05-08
144	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	25.000000	\N	21964	342	9999-12-31	2013-05-08
144	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	21964	749	9999-12-31	2013-05-08
144	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21964	1623450	9999-12-31	2013-05-08
144	1997-07-01	TO	UNKNOWN	Amerada Hess Norge AS	10.000000	\N	21964	67	9999-12-31	2013-05-08
144	1999-01-01	TO	TRANSFER	Amerada Hess Norge AS	15.000000	\N	21964	67	9999-12-31	2013-05-08
144	1997-01-01	TO	UNKNOWN	Enterprise Oil Norwegian AS	25.000000	\N	21964	342	9999-12-31	2013-05-08
144	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	21964	1622484	9999-12-31	2013-05-08
144	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21964	1622484	9999-12-31	2013-05-08
144	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21964	1623450	9999-12-31	2013-05-08
144	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	25.000000	\N	21964	1853786	9999-12-31	2013-05-08
145	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	20.000000	\N	21972	45	9999-12-31	2013-05-08
145	1996-01-01	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	30.000000	\N	21972	155	9999-12-31	2013-05-08
145	2001-09-18	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	21972	430	9999-12-31	2013-05-08
145	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	80.000000	\N	21972	705	9999-12-31	2013-05-08
145	1996-09-09	FROM	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	21972	749	9999-12-31	2013-05-08
145	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	40.000000	\N	21972	749	9999-12-31	2013-05-08
145	2001-09-18	FROM	TRANSFER	Statoil ASA (old)	10.000000	\N	21972	1622484	9999-12-31	2013-05-08
145	2003-01-01	FROM	TRANSFER	Statoil ASA (old)	30.000000	\N	21972	1622484	9999-12-31	2013-05-08
145	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21972	1623450	9999-12-31	2013-05-08
145	2001-09-18	TO	TRANSFER	Norsk Agip  AS	4.000000	\N	21972	45	9999-12-31	2013-05-08
145	2003-01-01	TO	TRANSFER	Norsk Agip  AS	6.000000	\N	21972	45	9999-12-31	2013-05-08
145	1996-01-01	TO	UNKNOWN	Phillips Petroleum Norsk AS	30.000000	\N	21972	705	9999-12-31	2013-05-08
145	1996-09-09	TO	UNKNOWN	Phillips Petroleum Norsk AS	10.000000	\N	21972	705	9999-12-31	2013-05-08
145	2001-09-18	TO	TRANSFER	Phillips Petroleum Norsk AS	16.000000	\N	21972	705	9999-12-31	2013-05-08
145	2003-01-01	TO	TRANSFER	Phillips Petroleum Norsk AS	24.000000	\N	21972	705	9999-12-31	2013-05-08
145	2001-05-10	TO	SDFI	Statoil ASA (old)	10.000000	\N	21972	1622484	9999-12-31	2013-05-08
145	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21972	1622484	9999-12-31	2013-05-08
145	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21972	1623450	9999-12-31	2013-05-08
145	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	20.000000	\N	21972	2388594	9999-12-31	2013-05-08
145	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	80.000000	\N	21972	2410696	9999-12-31	2013-05-08
146	2003-02-06	FROM	TRANSFER	Amerada Hess Norge AS	10.000000	\N	21980	67	9999-12-31	2013-05-08
146	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	20.000000	\N	21980	298	9999-12-31	2013-05-08
146	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	44.500000	\N	21980	430	9999-12-31	2013-05-08
146	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	22.200000	\N	21980	705	9999-12-31	2013-05-08
146	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	20.000000	\N	21980	716	9999-12-31	2013-05-08
146	1996-09-09	FROM	UNKNOWN	Den norske stats oljeselskap a.s	20.000000	\N	21980	749	9999-12-31	2013-05-08
146	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	21980	749	9999-12-31	2013-05-08
146	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	22.200000	\N	21980	1340884	9999-12-31	2013-05-08
146	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	33.300000	\N	21980	1622484	9999-12-31	2013-05-08
146	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21980	1623450	9999-12-31	2013-05-08
146	2003-11-25	FROM	TRANSFER	ConocoPhillips Skandinavia AS	22.200000	\N	21980	2410696	9999-12-31	2013-05-08
146	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	77.800000	\N	21980	4511658	9999-12-31	2013-05-08
146	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	33.300000	\N	21980	4511854	9999-12-31	2013-05-08
146	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	44.500000	\N	21980	4524355	9999-12-31	2013-05-08
146	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	21980	430	9999-12-31	2013-05-08
146	2003-02-06	TO	TRANSFER	Norsk Hydro Produksjon AS	2.300000	\N	21980	430	9999-12-31	2013-05-08
146	2003-11-25	TO	TRANSFER	Norsk Hydro Produksjon AS	22.200000	\N	21980	430	9999-12-31	2013-05-08
146	1996-09-09	TO	UNKNOWN	Phillips Petroleum Norsk AS	20.000000	\N	21980	705	9999-12-31	2013-05-08
146	2003-02-06	TO	TRANSFER	Phillips Petroleum Norsk AS	2.200000	\N	21980	705	9999-12-31	2013-05-08
146	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	21980	1340884	9999-12-31	2013-05-08
146	2003-02-06	TO	TRANSFER	TotalFinaElf Exploration Norge AS	2.200000	\N	21980	1340884	9999-12-31	2013-05-08
146	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21980	1622484	9999-12-31	2013-05-08
146	2003-02-06	TO	TRANSFER	Statoil ASA (old)	3.300000	\N	21980	1622484	9999-12-31	2013-05-08
146	2001-05-10	TO	SDFI	SDØE	30.000000	\N	21980	1623450	9999-12-31	2013-05-08
146	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	22.200000	\N	21980	2410696	9999-12-31	2013-05-08
146	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	22.200000	\N	21980	2410708	9999-12-31	2013-05-08
146	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	44.500000	\N	21980	4511658	9999-12-31	2013-05-08
146	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	33.300000	\N	21980	4511658	9999-12-31	2013-05-08
146	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	33.300000	\N	21980	4511854	9999-12-31	2013-05-08
146	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	44.500000	\N	21980	4524355	9999-12-31	2013-05-08
146	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	77.800000	\N	21980	17237817	9999-12-31	2013-05-08
147	2008-01-01	FROM	TRANSFER	A/S Norske Shell	50.000000	\N	21988	562	9999-12-31	2013-05-08
147	2000-06-05	FROM	TRANSFER	Den norske stats oljeselskap a.s	20.000000	\N	21988	749	9999-12-31	2013-05-08
147	2001-05-10	FROM	TRANSFER	Den norske stats oljeselskap a.s	30.000000	\N	21988	749	9999-12-31	2013-05-08
147	1991-07-01	FROM	UNKNOWN	Total Norge AS	15.000000	\N	21988	848	9999-12-31	2013-05-08
147	2001-12-21	FROM	CHANGE OF COMPANY NAME	DONG Etterforskning og Produktion AS	20.000000	\N	21988	1441164	9999-12-31	2013-05-08
147	2007-01-01	FROM	TRANSFER	Statoil ASA (old)	30.000000	\N	21988	1622484	9999-12-31	2013-05-08
147	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	21988	1623450	9999-12-31	2013-05-08
147	2002-04-17	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	20.000000	\N	21988	1853083	9999-12-31	2013-05-08
147	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	20.000000	\N	21988	1853083	9999-12-31	2013-05-08
147	2002-06-06	FROM	TRANSFER	DOPAS Norge AS	20.000000	\N	21988	2133811	9999-12-31	2013-05-08
147	2009-01-01	FROM	TRANSFER	Faroe Petroleum Norge AS	10.000000	\N	21988	4062883	9999-12-31	2013-05-08
147	1991-07-01	TO	UNKNOWN	A/S Norske Shell	15.000000	\N	21988	562	9999-12-31	2013-05-08
147	2000-06-05	TO	TRANSFER	DONG Etterforskning og Produktion AS	20.000000	\N	21988	1441164	9999-12-31	2013-05-08
147	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	21988	1622484	9999-12-31	2013-05-08
147	2001-05-10	TO	TRANSFER	SDØE	30.000000	\N	21988	1623450	9999-12-31	2013-05-08
147	2001-12-21	TO	CHANGE OF COMPANY NAME	DONG Norge AS	20.000000	\N	21988	1853083	9999-12-31	2013-05-08
147	2002-06-06	TO	TRANSFER	DONG Norge AS	20.000000	\N	21988	1853083	9999-12-31	2013-05-08
147	2002-04-17	TO	CHANGE OF COMPANY NAME	DOPAS Norge AS	20.000000	\N	21988	2133811	9999-12-31	2013-05-08
147	2008-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	10.000000	\N	21988	4062883	9999-12-31	2013-05-08
147	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	20.000000	\N	21988	4070011	9999-12-31	2013-05-08
147	2008-01-01	TO	TRANSFER	DONG E&P Norge AS	20.000000	\N	21988	4070011	9999-12-31	2013-05-08
147	2009-01-01	TO	TRANSFER	DONG E&P Norge AS	10.000000	\N	21988	4070011	9999-12-31	2013-05-08
147	2007-01-01	TO	TRANSFER	Bayerngas Norge AS	30.000000	\N	21988	4444493	9999-12-31	2013-05-08
147	2008-01-01	TO	TRANSFER	Bayerngas Norge AS	20.000000	\N	21988	4444493	9999-12-31	2013-05-08
148	2003-01-27	FROM	TRANSFER	Amerada Hess Norge AS	70.000000	\N	21996	67	9999-12-31	2013-05-08
148	1999-12-23	FROM	MERGER/TAKEOVER	Amoco Norway AS	10.000000	\N	21996	89	9999-12-31	2013-05-08
148	2001-05-09	FROM	TRANSFER	Den norske stats oljeselskap a.s	50.000000	\N	21996	749	9999-12-31	2013-05-08
148	2001-05-09	FROM	TRANSFER	Total Norge AS	15.000000	\N	21996	848	9999-12-31	2013-05-08
148	2000-11-23	FROM	TRANSFER	BP Amoco Norge AS	10.000000	\N	21996	982372	9999-12-31	2013-05-08
148	2003-06-12	FROM	TRANSFER	Det Norske Oljeselskap AS	50.000000	\N	21996	1340609	9999-12-31	2013-05-08
148	2004-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	50.000000	\N	21996	1340609	9999-12-31	2013-05-08
148	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	50.000000	\N	21996	1577943	9999-12-31	2013-05-08
148	2011-01-01	FROM	TRANSFER	Talisman Energy Norge AS	30.000000	\N	21996	2425093	9999-12-31	2013-05-08
148	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	20.000000	\N	21996	3482246	9999-12-31	2013-05-08
148	2006-07-01	FROM	TRANSFER	Talisman Resources Norge AS	20.000000	\N	21996	3987574	9999-12-31	2013-05-08
148	2006-07-02	FROM	TRANSFER	Talisman Resources Norge AS	30.000000	\N	21996	3987574	9999-12-31	2013-05-08
148	2011-01-02	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	21996	4530695	9999-12-31	2013-05-08
148	2012-12-21	FROM	TRANSFER	Talisman Petroleum Norge AS	30.000000	\N	21996	21139184	9999-12-31	2013-05-08
148	2001-05-09	TO	TRANSFER	Amerada Hess Norge AS	45.000000	\N	21996	67	9999-12-31	2013-05-08
148	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	10.000000	\N	21996	982372	9999-12-31	2013-05-08
148	2000-11-23	TO	TRANSFER	Det Norske Oljeselskap AS	10.000000	\N	21996	1340609	9999-12-31	2013-05-08
148	2001-05-09	TO	TRANSFER	Det Norske Oljeselskap AS	20.000000	\N	21996	1340609	9999-12-31	2013-05-08
148	2003-01-27	TO	TRANSFER	Det Norske Oljeselskap AS	70.000000	\N	21996	1340609	9999-12-31	2013-05-08
148	2003-06-12	TO	TRANSFER	Paladin Resources Norge AS	50.000000	\N	21996	1577943	9999-12-31	2013-05-08
148	2006-07-02	TO	TRANSFER	Talisman Energy Norge AS	30.000000	\N	21996	2425093	9999-12-31	2013-05-08
148	2012-12-21	TO	TRANSFER	Talisman Energy Norge AS	10.000000	\N	21996	2425093	9999-12-31	2013-05-08
148	2004-01-01	TO	TRANSFER	Lundin Norway AS	50.000000	\N	21996	2767314	9999-12-31	2013-05-08
148	2011-01-02	TO	TRANSFER	Lundin Norway AS	20.000000	\N	21996	2767314	9999-12-31	2013-05-08
148	2012-12-21	TO	TRANSFER	Lundin Norway AS	20.000000	\N	21996	2767314	9999-12-31	2013-05-08
148	2006-07-01	TO	TRANSFER	Norwegian Energy Company AS	20.000000	\N	21996	3482246	9999-12-31	2013-05-08
148	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	50.000000	\N	21996	3987574	9999-12-31	2013-05-08
148	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	20.000000	\N	21996	4530695	9999-12-31	2013-05-08
148	2011-01-01	TO	TRANSFER	Talisman Petroleum Norge AS	30.000000	\N	21996	21139184	9999-12-31	2013-05-08
150	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	40.000000	\N	22012	342	9999-12-31	2013-05-08
150	1993-06-03	FROM	UNKNOWN	Fina Production Licenses AS	20.000000	\N	22012	386	9999-12-31	2013-05-08
150	2000-12-20	FROM	MERGER/TAKEOVER	Fina Production Licenses AS	10.000000	\N	22012	386	9999-12-31	2013-05-08
150	2002-06-14	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	22012	430	9999-12-31	2013-05-08
150	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	65.000000	\N	22012	463	9999-12-31	2013-05-08
150	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	22012	716	9999-12-31	2013-05-08
150	1995-01-19	FROM	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	22012	749	9999-12-31	2013-05-08
150	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	40.000000	\N	22012	749	9999-12-31	2013-05-08
150	1989-04-14	FROM	UNKNOWN	Texas Eastern Norwegian Inc.	10.000000	\N	22012	837	9999-12-31	2013-05-08
150	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	10.000000	\N	22012	848	9999-12-31	2013-05-08
150	2004-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	35.000000	\N	22012	1340609	9999-12-31	2013-05-08
150	2003-01-01	FROM	TRANSFER	TotalFinaElf Exploration Norge AS	10.000000	\N	22012	1340884	9999-12-31	2013-05-08
150	2001-06-08	FROM	TRANSFER	Statoil ASA (old)	10.000000	\N	22012	1622484	9999-12-31	2013-05-08
150	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	22012	1623450	9999-12-31	2013-05-08
150	2002-03-19	FROM	TRANSFER	Petoro AS	30.000000	\N	22012	1626839	9999-12-31	2013-05-08
150	2002-06-14	FROM	TRANSFER	Enterprise Oil Norge AS	1.041670	\N	22012	1853786	9999-12-31	2013-05-08
150	2003-06-17	FROM	TRANSFER	Enterprise Oil Norge AS	40.000000	\N	22012	1853786	9999-12-31	2013-05-08
150	1989-04-14	TO	UNKNOWN	Enterprise Oil Norwegian AS	10.000000	\N	22012	342	9999-12-31	2013-05-08
150	1993-06-03	TO	UNKNOWN	Enterprise Oil Norwegian AS	20.000000	\N	22012	342	9999-12-31	2013-05-08
150	1995-01-19	TO	UNKNOWN	Enterprise Oil Norwegian AS	10.000000	\N	22012	342	9999-12-31	2013-05-08
150	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	22012	430	9999-12-31	2013-05-08
150	2001-06-08	TO	TRANSFER	Marathon Petroleum Norge AS	10.000000	\N	22012	463	9999-12-31	2013-05-08
150	2002-03-19	TO	TRANSFER	Marathon Petroleum Norge AS	30.000000	\N	22012	463	9999-12-31	2013-05-08
150	2002-06-14	TO	TRANSFER	Marathon Petroleum Norge AS	10.000000	\N	22012	463	9999-12-31	2013-05-08
150	2003-01-01	TO	TRANSFER	Marathon Petroleum Norge AS	10.000000	\N	22012	463	9999-12-31	2013-05-08
150	2003-06-17	TO	TRANSFER	Marathon Petroleum Norge AS	5.000000	\N	22012	463	9999-12-31	2013-05-08
150	2000-12-20	TO	MERGER/TAKEOVER	Total Norge AS	10.000000	\N	22012	848	9999-12-31	2013-05-08
150	2003-06-17	TO	TRANSFER	Det Norske Oljeselskap AS	35.000000	\N	22012	1340609	9999-12-31	2013-05-08
150	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	10.000000	\N	22012	1340884	9999-12-31	2013-05-08
150	2001-05-10	TO	SDFI	Statoil ASA (old)	10.000000	\N	22012	1622484	9999-12-31	2013-05-08
150	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22012	1623450	9999-12-31	2013-05-08
150	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	22012	1626839	9999-12-31	2013-05-08
150	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	40.000000	\N	22012	1853786	9999-12-31	2013-05-08
150	2002-06-14	TO	TRANSFER	Enterprise Oil Norge AS	1.041670	\N	22012	1853786	9999-12-31	2013-05-08
150	2004-01-01	TO	TRANSFER	Lundin Norway AS	35.000000	\N	22012	2767314	9999-12-31	2013-05-08
150	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	65.000000	\N	22012	20485291	9999-12-31	2013-05-08
152	1997-01-01	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	30.000000	\N	22028	155	9999-12-31	2013-05-08
152	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.000000	\N	22028	430	9999-12-31	2013-05-08
152	2002-05-07	FROM	TRANSFER	Mobil Development Norway AS	11.110000	\N	22028	474	9999-12-31	2013-05-08
152	1996-04-16	FROM	UNKNOWN	Saga Petroleum ASA	10.000000	\N	22028	716	9999-12-31	2013-05-08
152	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	88.890000	\N	22028	749	9999-12-31	2013-05-08
152	1999-12-31	FROM	TRANSFER	Idemitsu Oil Exploration (Norsk) a.s.	10.000000	\N	22028	3084	9999-12-31	2013-05-08
152	2005-01-01	FROM	TRANSFER	Statoil ASA (old)	9.000000	\N	22028	1622484	9999-12-31	2013-05-08
152	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	61.000000	\N	22028	1622484	9999-12-31	2013-05-08
152	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	22028	1623450	9999-12-31	2013-05-08
152	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	22028	4511658	9999-12-31	2013-05-08
152	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	61.000000	\N	22028	4511854	9999-12-31	2013-05-08
152	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.000000	\N	22028	4524355	9999-12-31	2013-05-08
152	2005-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	9.000000	\N	22028	430	9999-12-31	2013-05-08
152	1996-04-16	TO	UNKNOWN	Mobil Development Norway AS	10.000000	\N	22028	474	9999-12-31	2013-05-08
152	1999-12-31	TO	TRANSFER	Mobil Development Norway AS	1.110000	\N	22028	474	9999-12-31	2013-05-08
152	1997-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	30.000000	\N	22028	749	9999-12-31	2013-05-08
152	1999-12-31	TO	TRANSFER	Den norske stats oljeselskap a.s	8.890000	\N	22028	749	9999-12-31	2013-05-08
152	2001-05-10	TO	SDFI	Statoil ASA (old)	58.890000	\N	22028	1622484	9999-12-31	2013-05-08
152	2002-05-07	TO	TRANSFER	Statoil ASA (old)	11.110000	\N	22028	1622484	9999-12-31	2013-05-08
152	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22028	1623450	9999-12-31	2013-05-08
152	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	22028	1626839	9999-12-31	2013-05-08
152	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.000000	\N	22028	4511658	9999-12-31	2013-05-08
152	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	61.000000	\N	22028	4511658	9999-12-31	2013-05-08
152	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	61.000000	\N	22028	4511854	9999-12-31	2013-05-08
152	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.000000	\N	22028	4524355	9999-12-31	2013-05-08
152	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	22028	17237817	9999-12-31	2013-05-08
153	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	8.000000	\N	22036	254	9999-12-31	2013-05-08
153	2003-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	30.000000	\N	22036	430	9999-12-31	2013-05-08
153	1994-08-01	FROM	UNKNOWN	Petrobras Norge A/S	10.000000	\N	22036	639	9999-12-31	2013-05-08
153	1995-05-04	FROM	UNKNOWN	Petrosaga AS	10.000000	\N	22036	661	9999-12-31	2013-05-08
153	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	22036	716	9999-12-31	2013-05-08
153	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22036	749	9999-12-31	2013-05-08
153	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	22036	1622484	9999-12-31	2013-05-08
153	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	22036	1623450	9999-12-31	2013-05-08
153	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	30.000000	\N	22036	1628733	9999-12-31	2013-05-08
153	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	22036	4511658	9999-12-31	2013-05-08
153	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	22036	4511854	9999-12-31	2013-05-08
153	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	22036	430	9999-12-31	2013-05-08
153	1994-08-01	TO	UNKNOWN	Petrosaga AS	10.000000	\N	22036	661	9999-12-31	2013-05-08
153	1995-05-04	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	22036	716	9999-12-31	2013-05-08
153	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	8.000000	\N	22036	97557	9999-12-31	2013-05-08
153	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	22036	1622484	9999-12-31	2013-05-08
153	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22036	1623450	9999-12-31	2013-05-08
153	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	22036	1626839	9999-12-31	2013-05-08
153	2003-01-01	TO	TRANSFER	Gaz de France Norge AS	30.000000	\N	22036	1628733	9999-12-31	2013-05-08
153	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	22036	4511658	9999-12-31	2013-05-08
153	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	22036	4511854	9999-12-31	2013-05-08
153	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	30.000000	\N	22036	5267845	9999-12-31	2013-05-08
153	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	22036	17237817	9999-12-31	2013-05-08
156	2000-01-01	FROM	TRANSFER	Amerada Hess Norge AS	10.000000	\N	22060	67	9999-12-31	2013-05-08
156	1996-04-16	FROM	UNKNOWN	Mobil Development Norway AS	20.000000	\N	22060	474	9999-12-31	2013-05-08
156	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	50.000000	\N	22060	716	9999-12-31	2013-05-08
156	1998-02-09	FROM	TRANSFER	Den norske stats oljeselskap a.s	20.000000	\N	22060	749	9999-12-31	2013-05-08
156	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	22060	749	9999-12-31	2013-05-08
156	2001-01-22	FROM	TRANSFER	Norsk Chevron AS	20.000000	\N	22060	40148	9999-12-31	2013-05-08
156	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22060	1623450	9999-12-31	2013-05-08
156	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	50.000000	\N	22060	430	9999-12-31	2013-05-08
156	2001-01-22	TO	TRANSFER	Norsk Hydro Produksjon AS	20.000000	\N	22060	430	9999-12-31	2013-05-08
156	1996-04-16	TO	UNKNOWN	Saga Petroleum ASA	20.000000	\N	22060	716	9999-12-31	2013-05-08
156	2000-01-01	TO	TRANSFER	Saga Petroleum ASA	10.000000	\N	22060	716	9999-12-31	2013-05-08
156	1998-02-09	TO	TRANSFER	Norsk Chevron AS	20.000000	\N	22060	40148	9999-12-31	2013-05-08
156	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22060	1622484	9999-12-31	2013-05-08
156	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22060	1623450	9999-12-31	2013-05-08
157	1994-11-10	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	15.000000	\N	22068	155	9999-12-31	2013-05-08
157	1995-05-04	FROM	UNKNOWN	DNO Olje A/S	15.000000	\N	22068	276	9999-12-31	2013-05-08
157	1994-08-01	FROM	UNKNOWN	Petrobras Norge A/S	10.000000	\N	22068	639	9999-12-31	2013-05-08
157	1995-05-09	FROM	UNKNOWN	Petrosaga AS	10.000000	\N	22068	661	9999-12-31	2013-05-08
157	1998-02-09	FROM	TRANSFER	Den norske stats oljeselskap a.s	30.000000	\N	22068	749	9999-12-31	2013-05-08
157	1994-11-10	TO	UNKNOWN	DNO Olje A/S	15.000000	\N	22068	276	9999-12-31	2013-05-08
157	1994-08-01	TO	UNKNOWN	Petrosaga AS	10.000000	\N	22068	661	9999-12-31	2013-05-08
157	1995-05-04	TO	UNKNOWN	Saga Petroleum ASA	15.000000	\N	22068	716	9999-12-31	2013-05-08
157	1995-05-09	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	22068	716	9999-12-31	2013-05-08
157	1998-02-09	TO	TRANSFER	Norsk Chevron AS	30.000000	\N	22068	40148	9999-12-31	2013-05-08
158	1999-12-10	FROM	TRANSFER	BP Petroleum Dev. of Norway AS	21.640000	\N	22076	155	9999-12-31	2013-05-08
158	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	18.360000	\N	22076	155	9999-12-31	2013-05-08
158	1995-09-01	FROM	UNKNOWN	Britoil Norge A/S	4.000000	\N	22076	166	9999-12-31	2013-05-08
158	1994-11-10	FROM	UNKNOWN	DNO Olje A/S	10.000000	\N	22076	276	9999-12-31	2013-05-08
158	2010-01-01	FROM	TRANSFER	A/S Norske Shell	5.440000	\N	22076	562	9999-12-31	2013-05-08
158	1998-02-09	FROM	TRANSFER	Den norske stats oljeselskap a.s	20.000000	\N	22076	749	9999-12-31	2013-05-08
158	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	22076	749	9999-12-31	2013-05-08
158	1996-02-19	FROM	UNKNOWN	Total Norge AS	10.000000	\N	22076	848	9999-12-31	2013-05-08
158	1990-05-25	FROM	UNKNOWN	Unocal Norge A/S	10.000000	\N	22076	892	9999-12-31	2013-05-08
158	2002-11-19	FROM	CHANGE OF COMPANY NAME	Norsk Chevron AS	20.000000	\N	22076	40148	9999-12-31	2013-05-08
158	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	18.360000	\N	22076	982372	9999-12-31	2013-05-08
158	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	22076	1622484	9999-12-31	2013-05-08
158	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22076	1623450	9999-12-31	2013-05-08
158	2012-01-01	FROM	TRANSFER	BP Norge AS	18.360000	\N	22076	2052695	9999-12-31	2013-05-08
158	2005-09-17	FROM	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	20.000000	\N	22076	2154473	9999-12-31	2013-05-08
158	2010-01-02	FROM	TRANSFER	Chevron Norge AS	12.440000	\N	22076	3488906	9999-12-31	2013-05-08
158	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	22076	4511658	9999-12-31	2013-05-08
158	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	22076	4511854	9999-12-31	2013-05-08
158	2010-07-30	FROM	TRANSFER	Statoil Petroleum AS	30.000000	\N	22076	17237817	9999-12-31	2013-05-08
158	1994-11-10	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	6.000000	\N	22076	155	9999-12-31	2013-05-08
158	1995-09-01	TO	UNKNOWN	BP Petroleum Dev. of Norway AS	4.000000	\N	22076	155	9999-12-31	2013-05-08
158	1994-11-10	TO	UNKNOWN	Britoil Norge A/S	4.000000	\N	22076	166	9999-12-31	2013-05-08
158	1996-02-19	TO	UNKNOWN	A/S Norske Shell	10.000000	\N	22076	562	9999-12-31	2013-05-08
158	1999-12-10	TO	TRANSFER	A/S Norske Shell	21.640000	\N	22076	562	9999-12-31	2013-05-08
158	2012-01-01	TO	TRANSFER	A/S Norske Shell	18.360000	\N	22076	562	9999-12-31	2013-05-08
158	1990-05-25	TO	UNKNOWN	Total Norge AS	10.000000	\N	22076	848	9999-12-31	2013-05-08
158	1998-02-09	TO	TRANSFER	Norsk Chevron AS	20.000000	\N	22076	40148	9999-12-31	2013-05-08
158	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	18.360000	\N	22076	982372	9999-12-31	2013-05-08
158	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22076	1622484	9999-12-31	2013-05-08
158	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22076	1623450	9999-12-31	2013-05-08
158	2010-01-01	TO	TRANSFER	Petoro AS	5.440000	\N	22076	1626839	9999-12-31	2013-05-08
158	2010-01-02	TO	TRANSFER	Petoro AS	12.440000	\N	22076	1626839	9999-12-31	2013-05-08
158	2010-07-30	TO	TRANSFER	Petoro AS	30.000000	\N	22076	1626839	9999-12-31	2013-05-08
158	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	18.360000	\N	22076	2052695	9999-12-31	2013-05-08
158	2002-11-19	TO	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	20.000000	\N	22076	2154473	9999-12-31	2013-05-08
158	2005-09-17	TO	CHANGE OF COMPANY NAME	Chevron Norge AS	20.000000	\N	22076	3488906	9999-12-31	2013-05-08
158	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	22076	4511658	9999-12-31	2013-05-08
158	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	22076	4511854	9999-12-31	2013-05-08
158	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	22076	17237817	9999-12-31	2013-05-08
159	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	40.000000	\N	22084	342	9999-12-31	2013-05-08
159	1997-10-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	20.000000	\N	22084	430	9999-12-31	2013-05-08
159	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	22084	430	9999-12-31	2013-05-08
159	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	22084	716	9999-12-31	2013-05-08
159	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22084	749	9999-12-31	2013-05-08
159	1998-08-17	FROM	TRANSFER	Total Norge AS	20.000000	\N	22084	848	9999-12-31	2013-05-08
159	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	22084	1622484	9999-12-31	2013-05-08
159	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22084	1623450	9999-12-31	2013-05-08
159	2007-01-02	FROM	TRANSFER	Enterprise Oil Norge AS	40.000000	\N	22084	1853786	9999-12-31	2013-05-08
159	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	40.000000	\N	22084	2840522	9999-12-31	2013-05-08
159	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	22084	4511658	9999-12-31	2013-05-08
159	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	22084	4511658	9999-12-31	2013-05-08
159	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	60.000000	\N	22084	4511854	9999-12-31	2013-05-08
159	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	10.000000	\N	22084	4524355	9999-12-31	2013-05-08
159	1997-10-01	TO	UNKNOWN	Enterprise Oil Norwegian AS	20.000000	\N	22084	342	9999-12-31	2013-05-08
159	1998-08-17	TO	TRANSFER	Enterprise Oil Norwegian AS	20.000000	\N	22084	342	9999-12-31	2013-05-08
159	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	22084	430	9999-12-31	2013-05-08
159	2001-05-10	TO	SDFI	Statoil ASA (old)	30.000000	\N	22084	1622484	9999-12-31	2013-05-08
159	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22084	1622484	9999-12-31	2013-05-08
159	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22084	1623450	9999-12-31	2013-05-08
159	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	40.000000	\N	22084	1853786	9999-12-31	2013-05-08
159	2007-01-02	TO	TRANSFER	E.ON Ruhrgas Norge AS	40.000000	\N	22084	2840522	9999-12-31	2013-05-08
159	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	10.000000	\N	22084	4511658	9999-12-31	2013-05-08
159	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	60.000000	\N	22084	4511658	9999-12-31	2013-05-08
159	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	22084	4511854	9999-12-31	2013-05-08
159	2008-01-01	TO	TRANSFER	StatoilHydro ASA	10.000000	\N	22084	4511854	9999-12-31	2013-05-08
159	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	10.000000	\N	22084	4524355	9999-12-31	2013-05-08
159	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	22084	17237817	9999-12-31	2013-05-08
159	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	40.000000	\N	22084	21631209	9999-12-31	2013-05-08
164	1997-02-24	FROM	UNKNOWN	Norske Conoco A/S	10.000000	\N	22124	221	9999-12-31	2013-05-08
164	1997-02-24	TO	UNKNOWN	Amoco Norway Oil Company	10.000000	\N	22124	78	9999-12-31	2013-05-08
166	1994-11-18	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	10.000000	\N	22140	155	9999-12-31	2013-05-08
166	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	30.000000	\N	22140	254	9999-12-31	2013-05-08
166	1996-02-27	FROM	UNKNOWN	A/S Norske Shell	10.000000	\N	22140	562	9999-12-31	2013-05-08
166	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	70.000000	\N	22140	749	9999-12-31	2013-05-08
166	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22140	1623450	9999-12-31	2013-05-08
166	1994-11-18	TO	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	22140	749	9999-12-31	2013-05-08
166	1996-02-27	TO	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	22140	749	9999-12-31	2013-05-08
166	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	30.000000	\N	22140	97557	9999-12-31	2013-05-08
166	2001-05-10	TO	SDFI	Statoil ASA (old)	40.000000	\N	22140	1622484	9999-12-31	2013-05-08
166	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22140	1622484	9999-12-31	2013-05-08
166	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22140	1623450	9999-12-31	2013-05-08
167	1999-12-23	FROM	MERGER/TAKEOVER	Amoco Norway AS	10.000000	\N	22148	89	9999-12-31	2013-05-08
167	2001-09-18	FROM	TRANSFER	Norsk Hydro Produksjon AS	30.000000	\N	22148	430	9999-12-31	2013-05-08
167	2001-09-18	FROM	TRANSFER	Phillips Petroleum Norsk AS	10.000000	\N	22148	705	9999-12-31	2013-05-08
167	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22148	749	9999-12-31	2013-05-08
167	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	20.000000	\N	22148	982372	9999-12-31	2013-05-08
167	2004-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	20.000000	\N	22148	1340609	9999-12-31	2013-05-08
167	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	80.000000	\N	22148	1622484	9999-12-31	2013-05-08
167	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22148	1623450	9999-12-31	2013-05-08
167	2002-11-08	FROM	TRANSFER	BP Norge AS	20.000000	\N	22148	2052695	9999-12-31	2013-05-08
167	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	80.000000	\N	22148	4511658	9999-12-31	2013-05-08
167	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	80.000000	\N	22148	4511854	9999-12-31	2013-05-08
167	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	10.000000	\N	22148	982372	9999-12-31	2013-05-08
167	2001-09-18	TO	TRANSFER	BP Amoco Norge AS	10.000000	\N	22148	982372	9999-12-31	2013-05-08
167	2002-11-08	TO	TRANSFER	Det Norske Oljeselskap AS	20.000000	\N	22148	1340609	9999-12-31	2013-05-08
167	2001-05-10	TO	SDFI	Statoil ASA (old)	30.000000	\N	22148	1622484	9999-12-31	2013-05-08
167	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22148	1622484	9999-12-31	2013-05-08
167	2001-09-18	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22148	1622484	9999-12-31	2013-05-08
167	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22148	1623450	9999-12-31	2013-05-08
167	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	20.000000	\N	22148	2052695	9999-12-31	2013-05-08
167	2004-01-01	TO	TRANSFER	Lundin Norway AS	20.000000	\N	22148	2767314	9999-12-31	2013-05-08
167	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	80.000000	\N	22148	4511658	9999-12-31	2013-05-08
167	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	80.000000	\N	22148	4511854	9999-12-31	2013-05-08
167	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	80.000000	\N	22148	17237817	9999-12-31	2013-05-08
168	1995-07-01	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	15.000000	\N	22156	155	9999-12-31	2013-05-08
168	1999-01-01	FROM	TRANSFER	Fina Production Licenses AS	15.000000	\N	22156	386	9999-12-31	2013-05-08
168	2001-05-09	FROM	TRANSFER	Den norske stats oljeselskap a.s	75.000000	\N	22156	749	9999-12-31	2013-05-08
168	1999-01-01	TO	TRANSFER	Amerada Hess Norge AS	5.000000	\N	22156	67	9999-12-31	2013-05-08
168	2001-05-09	TO	TRANSFER	Amerada Hess Norge AS	75.000000	\N	22156	67	9999-12-31	2013-05-08
168	1995-07-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	15.000000	\N	22156	749	9999-12-31	2013-05-08
168	1999-01-01	TO	TRANSFER	Den norske stats oljeselskap a.s	10.000000	\N	22156	749	9999-12-31	2013-05-08
169	1996-01-01	FROM	UNKNOWN	Norske Conoco A/S	10.000000	\N	22164	221	9999-12-31	2013-05-08
169	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	13.000000	\N	22164	353	9999-12-31	2013-05-08
169	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	45.000000	\N	22164	430	9999-12-31	2013-05-08
169	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22164	749	9999-12-31	2013-05-08
169	2002-05-07	FROM	TRANSFER	Statoil ASA (old)	3.000000	\N	22164	1622484	9999-12-31	2013-05-08
169	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	12.000000	\N	22164	1622484	9999-12-31	2013-05-08
169	2001-06-17	FROM	SDFI	SDØE	35.000000	\N	22164	1623450	9999-12-31	2013-05-08
169	2002-03-19	FROM	TRANSFER	Petoro AS	5.000000	\N	22164	1626839	9999-12-31	2013-05-08
169	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	57.000000	\N	22164	4511658	9999-12-31	2013-05-08
169	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	12.000000	\N	22164	4511854	9999-12-31	2013-05-08
169	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	45.000000	\N	22164	4524355	9999-12-31	2013-05-08
169	2002-05-07	TO	TRANSFER	Esso Exploration and Production Norway A/S	3.000000	\N	22164	353	9999-12-31	2013-05-08
169	1996-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	10.000000	\N	22164	430	9999-12-31	2013-05-08
169	2002-03-19	TO	TRANSFER	Norsk Hydro Produksjon AS	5.000000	\N	22164	430	9999-12-31	2013-05-08
169	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	22164	1622484	9999-12-31	2013-05-08
169	2001-05-10	TO	SDFI	SDØE	35.000000	\N	22164	1623450	9999-12-31	2013-05-08
169	2001-06-17	TO	SDFI	Petoro AS	35.000000	\N	22164	1626839	9999-12-31	2013-05-08
169	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	13.000000	\N	22164	2835212	9999-12-31	2013-05-08
169	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	45.000000	\N	22164	4511658	9999-12-31	2013-05-08
169	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	12.000000	\N	22164	4511658	9999-12-31	2013-05-08
169	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	12.000000	\N	22164	4511854	9999-12-31	2013-05-08
169	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	45.000000	\N	22164	4524355	9999-12-31	2013-05-08
169	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	57.000000	\N	22164	17237817	9999-12-31	2013-05-08
171	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	10.000000	\N	22180	342	9999-12-31	2013-05-08
171	2000-10-17	FROM	TRANSFER	Mobil Development Norway AS	10.000000	\N	22180	474	9999-12-31	2013-05-08
171	1996-04-16	FROM	UNKNOWN	Saga Petroleum ASA	10.000000	\N	22180	716	9999-12-31	2013-05-08
171	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	22180	716	9999-12-31	2013-05-08
171	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22180	749	9999-12-31	2013-05-08
171	1994-06-01	FROM	UNKNOWN	Total Norge AS	10.000000	\N	22180	848	9999-12-31	2013-05-08
171	2001-06-17	FROM	SDFI	SDØE	35.000000	\N	22180	1623450	9999-12-31	2013-05-08
171	2000-10-17	TO	TRANSFER	Enterprise Oil Norwegian AS	10.000000	\N	22180	342	9999-12-31	2013-05-08
171	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	22180	430	9999-12-31	2013-05-08
171	1996-04-16	TO	UNKNOWN	Mobil Development Norway AS	10.000000	\N	22180	474	9999-12-31	2013-05-08
171	1994-06-01	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	22180	716	9999-12-31	2013-05-08
171	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	22180	1622484	9999-12-31	2013-05-08
171	2001-05-10	TO	SDFI	SDØE	35.000000	\N	22180	1623450	9999-12-31	2013-05-08
171	2001-06-17	TO	SDFI	Petoro AS	35.000000	\N	22180	1626839	9999-12-31	2013-05-08
171	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	10.000000	\N	22180	1853786	9999-12-31	2013-05-08
172	1998-12-01	FROM	TRANSFER	Amerada Hess Norge AS	4.450000	\N	22188	67	9999-12-31	2013-05-08
172	1999-01-05	FROM	TRANSFER	Amerada Hess Norge AS	5.550000	\N	22188	67	9999-12-31	2013-05-08
172	2000-01-01	FROM	TRANSFER	Norske Conoco A/S	16.670000	\N	22188	221	9999-12-31	2013-05-08
172	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	55.550000	\N	22188	749	9999-12-31	2013-05-08
172	2001-06-01	FROM	TRANSFER	SDØE	5.000000	\N	22188	1623450	9999-12-31	2013-05-08
172	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	22188	1623450	9999-12-31	2013-05-08
172	1998-12-01	TO	TRANSFER	Norske Conoco A/S	1.670000	\N	22188	221	9999-12-31	2013-05-08
172	1998-12-01	TO	TRANSFER	Mobil Development Norway AS	2.780000	\N	22188	474	9999-12-31	2013-05-08
172	2000-01-01	TO	TRANSFER	Mobil Development Norway AS	16.670000	\N	22188	474	9999-12-31	2013-05-08
172	1999-01-05	TO	TRANSFER	Den norske stats oljeselskap a.s	5.550000	\N	22188	749	9999-12-31	2013-05-08
172	2001-05-10	TO	SDFI	Statoil ASA (old)	20.550000	\N	22188	1622484	9999-12-31	2013-05-08
172	2001-06-01	TO	TRANSFER	Statoil ASA (old)	5.000000	\N	22188	1622484	9999-12-31	2013-05-08
172	2001-05-10	TO	SDFI	SDØE	35.000000	\N	22188	1623450	9999-12-31	2013-05-08
172	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	22188	1626839	9999-12-31	2013-05-08
173	1999-10-01	FROM	TRANSFER	Elf Petroleum Norge AS	6.500000	\N	22196	298	9999-12-31	2013-05-08
173	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	8.500000	\N	22196	298	9999-12-31	2013-05-08
173	1999-10-01	TO	TRANSFER	Den norske stats oljeselskap a.s	6.500000	\N	22196	749	9999-12-31	2013-05-08
173	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	8.500000	\N	22196	1340884	9999-12-31	2013-05-08
174	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	20.000000	\N	22204	221	9999-12-31	2013-05-08
174	1996-06-07	FROM	UNKNOWN	Esso Exploration and Production Norway A/S	10.000000	\N	22204	353	9999-12-31	2013-05-08
174	1996-04-16	FROM	UNKNOWN	Mobil Development Norway AS	10.000000	\N	22204	474	9999-12-31	2013-05-08
174	1996-08-26	FROM	UNKNOWN	Saga Petroleum ASA	20.000000	\N	22204	716	9999-12-31	2013-05-08
174	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	30.000000	\N	22204	716	9999-12-31	2013-05-08
174	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22204	749	9999-12-31	2013-05-08
174	2001-06-17	FROM	SDFI	SDØE	35.000000	\N	22204	1623450	9999-12-31	2013-05-08
174	2002-03-19	FROM	TRANSFER	Petoro AS	35.000000	\N	22204	1626839	9999-12-31	2013-05-08
174	1996-08-26	TO	UNKNOWN	Norske Conoco A/S	20.000000	\N	22204	221	9999-12-31	2013-05-08
174	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	30.000000	\N	22204	430	9999-12-31	2013-05-08
174	2002-03-19	TO	TRANSFER	Idemitsu Petroleum Norge AS	17.500000	\N	22204	441	9999-12-31	2013-05-08
174	1996-04-16	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	22204	716	9999-12-31	2013-05-08
174	1996-06-07	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	22204	716	9999-12-31	2013-05-08
174	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	22204	1622484	9999-12-31	2013-05-08
174	2001-05-10	TO	SDFI	SDØE	35.000000	\N	22204	1623450	9999-12-31	2013-05-08
174	2001-06-17	TO	SDFI	Petoro AS	35.000000	\N	22204	1626839	9999-12-31	2013-05-08
174	2002-03-19	TO	TRANSFER	Gaz de France Norge AS	17.500000	\N	22204	1628733	9999-12-31	2013-05-08
174	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	20.000000	\N	22204	2399056	9999-12-31	2013-05-08
175	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	10.000000	\N	22212	496	9999-12-31	2013-05-08
175	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	10.000000	\N	22212	102714	9999-12-31	2013-05-08
176	1998-12-21	FROM	TRANSFER	Fina Production Licenses AS	10.000000	\N	22220	386	9999-12-31	2013-05-08
176	2001-11-26	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	22220	430	9999-12-31	2013-05-08
176	2001-11-26	FROM	TRANSFER	A/S Norske Shell	23.800000	\N	22220	562	9999-12-31	2013-05-08
176	1998-02-09	FROM	TRANSFER	Den norske stats oljeselskap a.s	15.000000	\N	22220	749	9999-12-31	2013-05-08
176	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	35.000000	\N	22220	749	9999-12-31	2013-05-08
176	2001-11-26	FROM	TRANSFER	Norsk Chevron AS	7.440000	\N	22220	40148	9999-12-31	2013-05-08
176	2002-11-19	FROM	CHANGE OF COMPANY NAME	Norsk Chevron AS	7.560000	\N	22220	40148	9999-12-31	2013-05-08
176	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	18.360000	\N	22220	982372	9999-12-31	2013-05-08
176	2001-11-26	FROM	TRANSFER	Statoil ASA (old)	35.000000	\N	22220	1622484	9999-12-31	2013-05-08
176	2001-06-01	FROM	TRANSFER	SDØE	35.000000	\N	22220	1623450	9999-12-31	2013-05-08
176	2002-03-19	FROM	TRANSFER	Petoro AS	10.000000	\N	22220	1626839	9999-12-31	2013-05-08
176	2012-01-01	FROM	TRANSFER	BP Norge AS	18.360000	\N	22220	2052695	9999-12-31	2013-05-08
176	2005-09-17	FROM	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	7.560000	\N	22220	2154473	9999-12-31	2013-05-08
176	1998-12-21	TO	TRANSFER	A/S Norske Shell	10.000000	\N	22220	562	9999-12-31	2013-05-08
176	2002-03-19	TO	TRANSFER	A/S Norske Shell	10.000000	\N	22220	562	9999-12-31	2013-05-08
176	2012-01-01	TO	TRANSFER	A/S Norske Shell	18.360000	\N	22220	562	9999-12-31	2013-05-08
176	1998-02-09	TO	TRANSFER	Norsk Chevron AS	15.000000	\N	22220	40148	9999-12-31	2013-05-08
176	2001-11-26	TO	TRANSFER	BP Amoco Norge AS	18.360000	\N	22220	982372	9999-12-31	2013-05-08
176	2001-06-01	TO	TRANSFER	Statoil ASA (old)	35.000000	\N	22220	1622484	9999-12-31	2013-05-08
176	2001-05-10	TO	SDFI	SDØE	35.000000	\N	22220	1623450	9999-12-31	2013-05-08
176	2001-11-26	TO	TRANSFER	Petoro AS	57.880000	\N	22220	1626839	9999-12-31	2013-05-08
176	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	18.360000	\N	22220	2052695	9999-12-31	2013-05-08
176	2002-11-19	TO	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	7.560000	\N	22220	2154473	9999-12-31	2013-05-08
176	2005-09-17	TO	CHANGE OF COMPANY NAME	Chevron Norge AS	7.560000	\N	22220	3488906	9999-12-31	2013-05-08
177	1996-01-01	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	10.000000	\N	22228	155	9999-12-31	2013-05-08
177	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	20.000000	\N	22228	155	9999-12-31	2013-05-08
177	1996-01-01	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	22228	716	9999-12-31	2013-05-08
177	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	20.000000	\N	22228	982372	9999-12-31	2013-05-08
181	1996-08-26	FROM	UNKNOWN	Norske Conoco A/S	25.000000	\N	22260	221	9999-12-31	2013-05-08
181	1996-08-26	TO	UNKNOWN	Elf Petroleum Norge AS	4.170000	\N	22260	298	9999-12-31	2013-05-08
181	1996-08-26	TO	UNKNOWN	Den norske stats oljeselskap a.s	20.830000	\N	22260	749	9999-12-31	2013-05-08
182	1998-02-09	FROM	TRANSFER	Den norske stats oljeselskap a.s	20.000000	\N	22268	749	9999-12-31	2013-05-08
182	1998-02-09	TO	TRANSFER	Norsk Chevron AS	20.000000	\N	22268	40148	9999-12-31	2013-05-08
185	2004-01-01	FROM	TRANSFER	Esso Exploration and Production Norway A/S	2.692000	\N	22292	353	9999-12-31	2013-05-08
185	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	14.908000	\N	22292	353	9999-12-31	2013-05-08
185	2002-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	3.200000	\N	22292	430	9999-12-31	2013-05-08
185	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	22292	430	9999-12-31	2013-05-08
185	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	13.200000	\N	22292	496	9999-12-31	2013-05-08
185	1993-12-13	FROM	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	5.000000	22292	749	9999-12-31	2013-05-08
185	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	46.000000	\N	22292	749	9999-12-31	2013-05-08
185	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	13.200000	\N	22292	102714	9999-12-31	2013-05-08
185	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	20.000000	\N	22292	1577943	9999-12-31	2013-05-08
185	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	12.600000	\N	22292	1622484	9999-12-31	2013-05-08
185	2001-06-17	FROM	SDFI	SDØE	33.400000	\N	22292	1623450	9999-12-31	2013-05-08
185	2002-03-19	FROM	TRANSFER	Petoro AS	20.000000	\N	22292	1626839	9999-12-31	2013-05-08
185	2011-01-01	FROM	TRANSFER	Petoro AS	13.400000	\N	22292	1626839	9999-12-31	2013-05-08
185	2005-01-01	FROM	CHANGE OF COMPANY NAME	OER Oil AS	3.200000	\N	22292	2258813	9999-12-31	2013-05-08
185	2006-01-01	FROM	TRANSFER	Eni Norge AS	13.200000	\N	22292	2388594	9999-12-31	2013-05-08
185	2005-05-04	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	2.692000	\N	22292	2455850	9999-12-31	2013-05-08
185	2006-11-28	FROM	CHANGE OF COMPANY NAME	Altinex Oil AS	13.200000	\N	22292	2835200	9999-12-31	2013-05-08
185	2005-01-02	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	14.908000	\N	22292	2835212	9999-12-31	2013-05-08
185	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	3.200000	\N	22292	3113213	9999-12-31	2013-05-08
185	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	2.692000	\N	22292	3431773	9999-12-31	2013-05-08
185	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	20.000000	\N	22292	3987574	9999-12-31	2013-05-08
185	2011-07-01	FROM	TRANSFER	Altinex Oil Norway AS	13.200000	\N	22292	4446230	9999-12-31	2013-05-08
185	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	32.600000	\N	22292	4511658	9999-12-31	2013-05-08
185	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	12.600000	\N	22292	4511854	9999-12-31	2013-05-08
185	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	20.000000	\N	22292	4524355	9999-12-31	2013-05-08
185	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	2.692000	\N	22292	5072514	9999-12-31	2013-05-08
185	2010-01-01	FROM	TRANSFER	Wintershall Norge ASA	2.692000	\N	22292	5442509	9999-12-31	2013-05-08
185	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	3.200000	\N	22292	5497155	9999-12-31	2013-05-08
185	1993-12-13	TO	UNKNOWN	Norsk Hydro Produksjon AS	10.000000	\N	22292	430	9999-12-31	2013-05-08
185	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	13.200000	\N	22292	102714	9999-12-31	2013-05-08
185	2002-03-19	TO	TRANSFER	Paladin Resources Norge AS	20.000000	\N	22292	1577943	9999-12-31	2013-05-08
185	2001-05-10	TO	SDFI	Statoil ASA (old)	12.600000	\N	22292	1622484	9999-12-31	2013-05-08
185	2001-05-10	TO	SDFI	SDØE	33.400000	\N	22292	1623450	9999-12-31	2013-05-08
185	2001-06-17	TO	SDFI	Petoro AS	33.400000	\N	22292	1626839	9999-12-31	2013-05-08
185	2002-01-01	TO	TRANSFER	OER Oil AS	3.200000	\N	22292	2258813	9999-12-31	2013-05-08
185	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	13.200000	\N	22292	2388594	9999-12-31	2013-05-08
185	2005-01-02	TO	TRANSFER	Talisman Energy Norge AS	14.908000	\N	22292	2425093	9999-12-31	2013-05-08
185	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	20.000000	\N	22292	2425093	9999-12-31	2013-05-08
185	2004-01-01	TO	TRANSFER	Revus Energy AS	2.692000	\N	22292	2455850	9999-12-31	2013-05-08
185	2006-01-01	TO	TRANSFER	Altinex Oil AS	13.200000	\N	22292	2835200	9999-12-31	2013-05-08
185	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	14.908000	\N	22292	2835212	9999-12-31	2013-05-08
185	2005-01-01	TO	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	3.200000	\N	22292	3113213	9999-12-31	2013-05-08
185	2005-05-04	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	2.692000	\N	22292	3431773	9999-12-31	2013-05-08
185	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	20.000000	\N	22292	3987574	9999-12-31	2013-05-08
185	2011-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	13.400000	\N	22292	4062883	9999-12-31	2013-05-08
185	2006-11-28	TO	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	13.200000	\N	22292	4446230	9999-12-31	2013-05-08
185	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	22292	4511658	9999-12-31	2013-05-08
185	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	12.600000	\N	22292	4511658	9999-12-31	2013-05-08
185	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	12.600000	\N	22292	4511854	9999-12-31	2013-05-08
185	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	20.000000	\N	22292	4524355	9999-12-31	2013-05-08
185	2010-01-01	TO	TRANSFER	Spring Energy Norway AS	2.692000	\N	22292	5072514	9999-12-31	2013-05-08
185	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	2.692000	\N	22292	5442509	9999-12-31	2013-05-08
185	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	3.200000	\N	22292	5497155	9999-12-31	2013-05-08
185	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	3.200000	\N	22292	17237193	9999-12-31	2013-05-08
185	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	32.600000	\N	22292	17237817	9999-12-31	2013-05-08
185	2011-07-01	TO	TRANSFER	Core Energy AS	13.200000	\N	22292	20460080	9999-12-31	2013-05-08
185	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	2.692000	\N	22292	23173852	9999-12-31	2013-05-08
186	1997-04-22	FROM	UNKNOWN	Amoco Norway AS	10.000000	\N	22300	89	9999-12-31	2013-05-08
186	1997-04-22	TO	UNKNOWN	Saga Petroleum ASA	10.000000	\N	22300	716	9999-12-31	2013-05-08
187	1999-12-23	FROM	MERGER/TAKEOVER	Amoco Norway AS	25.000000	\N	22308	89	9999-12-31	2013-05-08
187	1997-01-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	10.000000	\N	22308	430	9999-12-31	2013-05-08
187	2001-08-07	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	22308	430	9999-12-31	2013-05-08
187	2011-03-31	FROM	TRANSFER	Marathon Petroleum Norge AS	20.000000	\N	22308	463	9999-12-31	2013-05-08
187	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	65.000000	\N	22308	749	9999-12-31	2013-05-08
187	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	25.000000	\N	22308	982372	9999-12-31	2013-05-08
187	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	65.000000	\N	22308	1622484	9999-12-31	2013-05-08
187	2001-06-01	FROM	TRANSFER	SDØE	40.000000	\N	22308	1623450	9999-12-31	2013-05-08
187	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	25.000000	\N	22308	1628733	9999-12-31	2013-05-08
187	2002-08-14	FROM	TRANSFER	BP Norge AS	12.500000	\N	22308	2052695	9999-12-31	2013-05-08
187	2006-11-29	FROM	TRANSFER	BP Norge AS	12.500000	\N	22308	2052695	9999-12-31	2013-05-08
187	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	65.000000	\N	22308	4511658	9999-12-31	2013-05-08
187	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	65.000000	\N	22308	4511854	9999-12-31	2013-05-08
187	2010-12-30	FROM	TRANSFER	Statoil Petroleum AS	10.000000	\N	22308	17237817	9999-12-31	2013-05-08
187	2001-08-07	TO	TRANSFER	Marathon Petroleum Norge AS	10.000000	\N	22308	463	9999-12-31	2013-05-08
187	2010-12-30	TO	TRANSFER	Marathon Petroleum Norge AS	10.000000	\N	22308	463	9999-12-31	2013-05-08
187	1997-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	22308	749	9999-12-31	2013-05-08
187	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	25.000000	\N	22308	982372	9999-12-31	2013-05-08
187	2001-05-10	TO	SDFI	Statoil ASA (old)	25.000000	\N	22308	1622484	9999-12-31	2013-05-08
187	2001-06-01	TO	TRANSFER	Statoil ASA (old)	40.000000	\N	22308	1622484	9999-12-31	2013-05-08
187	2001-05-10	TO	SDFI	SDØE	40.000000	\N	22308	1623450	9999-12-31	2013-05-08
187	2002-08-14	TO	TRANSFER	Gaz de France Norge AS	12.500000	\N	22308	1628733	9999-12-31	2013-05-08
187	2006-11-29	TO	TRANSFER	Gaz de France Norge AS	12.500000	\N	22308	1628733	9999-12-31	2013-05-08
187	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	25.000000	\N	22308	2052695	9999-12-31	2013-05-08
187	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	65.000000	\N	22308	4511658	9999-12-31	2013-05-08
187	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	65.000000	\N	22308	4511854	9999-12-31	2013-05-08
187	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	25.000000	\N	22308	5267845	9999-12-31	2013-05-08
187	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	65.000000	\N	22308	17237817	9999-12-31	2013-05-08
187	2011-03-31	TO	TRANSFER	Statoil Petroleum AS	20.000000	\N	22308	17237817	9999-12-31	2013-05-08
189	2001-04-23	FROM	TRANSFER	Amerada Hess Norge AS	20.000000	\N	22324	67	9999-12-31	2013-05-08
189	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	55.000000	\N	22324	353	9999-12-31	2013-05-08
189	2003-12-18	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	22324	430	9999-12-31	2013-05-08
189	1996-09-09	FROM	UNKNOWN	Phillips Petroleum Norsk AS	15.000000	\N	22324	705	9999-12-31	2013-05-08
189	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	22324	716	9999-12-31	2013-05-08
189	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	70.000000	\N	22324	749	9999-12-31	2013-05-08
189	2001-06-08	FROM	TRANSFER	Statoil ASA (old)	25.000000	\N	22324	1622484	9999-12-31	2013-05-08
189	2001-06-17	FROM	SDFI	SDØE	45.000000	\N	22324	1623450	9999-12-31	2013-05-08
189	2001-04-23	TO	TRANSFER	Esso Exploration and Production Norway A/S	20.000000	\N	22324	353	9999-12-31	2013-05-08
189	2001-06-08	TO	TRANSFER	Esso Exploration and Production Norway A/S	25.000000	\N	22324	353	9999-12-31	2013-05-08
189	2003-12-18	TO	TRANSFER	Esso Exploration and Production Norway A/S	10.000000	\N	22324	353	9999-12-31	2013-05-08
189	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	22324	430	9999-12-31	2013-05-08
189	1996-09-09	TO	UNKNOWN	Den norske stats oljeselskap a.s	15.000000	45.000000	22324	749	9999-12-31	2013-05-08
189	2001-05-10	TO	SDFI	Statoil ASA (old)	25.000000	\N	22324	1622484	9999-12-31	2013-05-08
189	2001-05-10	TO	SDFI	SDØE	45.000000	\N	22324	1623450	9999-12-31	2013-05-08
189	2001-06-17	TO	SDFI	Petoro AS	45.000000	\N	22324	1626839	9999-12-31	2013-05-08
189	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	55.000000	\N	22324	2835212	9999-12-31	2013-05-08
190	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	10.000000	\N	22332	298	9999-12-31	2013-05-08
190	1997-10-01	FROM	UNKNOWN	Enterprise Oil Norwegian AS	5.000000	\N	22332	342	9999-12-31	2013-05-08
190	1998-01-01	FROM	UNKNOWN	Enterprise Oil Norwegian AS	10.000000	\N	22332	342	9999-12-31	2013-05-08
190	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	22332	430	9999-12-31	2013-05-08
190	1995-01-19	FROM	UNKNOWN	Den norske stats oljeselskap a.s	5.000000	\N	22332	749	9999-12-31	2013-05-08
190	1997-01-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	22332	749	9999-12-31	2013-05-08
190	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22332	749	9999-12-31	2013-05-08
190	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	10.000000	\N	22332	848	9999-12-31	2013-05-08
190	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	22332	1340884	9999-12-31	2013-05-08
190	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	10.000000	\N	22332	1622484	9999-12-31	2013-05-08
190	2001-06-17	FROM	SDFI	SDØE	50.000000	\N	22332	1623450	9999-12-31	2013-05-08
190	2002-03-19	FROM	TRANSFER	Petoro AS	10.000000	\N	22332	1626839	9999-12-31	2013-05-08
190	2004-01-01	FROM	TRANSFER	Total E&P Norge AS	10.000000	\N	22332	2410708	9999-12-31	2013-05-08
190	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	22332	4511658	9999-12-31	2013-05-08
190	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	10.000000	\N	22332	4511854	9999-12-31	2013-05-08
190	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	22332	4524355	9999-12-31	2013-05-08
190	1997-01-01	TO	UNKNOWN	Elf Petroleum Norge AS	10.000000	\N	22332	298	9999-12-31	2013-05-08
190	1995-01-19	TO	UNKNOWN	Enterprise Oil Norwegian AS	5.000000	\N	22332	342	9999-12-31	2013-05-08
190	1997-10-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	5.000000	\N	22332	430	9999-12-31	2013-05-08
190	2002-03-19	TO	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	22332	430	9999-12-31	2013-05-08
190	1998-01-01	TO	UNKNOWN	Total Norge AS	10.000000	\N	22332	848	9999-12-31	2013-05-08
190	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	22332	1340884	9999-12-31	2013-05-08
190	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	10.000000	\N	22332	1340884	9999-12-31	2013-05-08
190	2004-01-01	TO	TRANSFER	Statoil ASA (old)	10.000000	\N	22332	1622484	9999-12-31	2013-05-08
190	2001-05-10	TO	SDFI	SDØE	50.000000	\N	22332	1623450	9999-12-31	2013-05-08
190	2001-06-17	TO	SDFI	Petoro AS	50.000000	\N	22332	1626839	9999-12-31	2013-05-08
190	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	20.000000	\N	22332	2410708	9999-12-31	2013-05-08
190	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	22332	4511658	9999-12-31	2013-05-08
190	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	22332	4511658	9999-12-31	2013-05-08
190	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	10.000000	\N	22332	4511854	9999-12-31	2013-05-08
190	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	22332	4524355	9999-12-31	2013-05-08
190	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	22332	17237817	9999-12-31	2013-05-08
192	1997-02-12	FROM	UNKNOWN	Mobil Development Norway AS	7.000000	\N	22348	474	9999-12-31	2013-05-08
192	1997-02-12	TO	UNKNOWN	Den norske stats oljeselskap a.s	7.000000	\N	22348	749	9999-12-31	2013-05-08
193	1997-01-01	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	15.000000	\N	22356	155	9999-12-31	2013-05-08
193	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	5.000000	\N	22356	298	9999-12-31	2013-05-08
193	1997-01-02	FROM	UNKNOWN	Norsk Hydro Produksjon AS	5.000000	\N	22356	430	9999-12-31	2013-05-08
193	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	15.000000	\N	22356	430	9999-12-31	2013-05-08
193	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	80.000000	\N	22356	749	9999-12-31	2013-05-08
193	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	5.000000	\N	22356	1340884	9999-12-31	2013-05-08
193	2005-01-01	FROM	TRANSFER	Statoil ASA (old)	6.450000	\N	22356	1622484	9999-12-31	2013-05-08
193	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	43.550000	\N	22356	1622484	9999-12-31	2013-05-08
193	2001-06-01	FROM	TRANSFER	SDØE	10.000000	\N	22356	1623450	9999-12-31	2013-05-08
193	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	22356	1623450	9999-12-31	2013-05-08
193	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	58.550000	\N	22356	4511658	9999-12-31	2013-05-08
193	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	43.550000	\N	22356	4511854	9999-12-31	2013-05-08
193	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	15.000000	\N	22356	4524355	9999-12-31	2013-05-08
193	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	19.000000	\N	22356	17237817	9999-12-31	2013-05-08
193	1997-01-02	TO	UNKNOWN	Elf Petroleum Norge AS	5.000000	\N	22356	298	9999-12-31	2013-05-08
193	1997-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	15.000000	\N	22356	749	9999-12-31	2013-05-08
193	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	5.000000	\N	22356	1340884	9999-12-31	2013-05-08
193	2001-05-10	TO	SDFI	Statoil ASA (old)	40.000000	\N	22356	1622484	9999-12-31	2013-05-08
193	2001-06-01	TO	TRANSFER	Statoil ASA (old)	10.000000	\N	22356	1622484	9999-12-31	2013-05-08
193	2001-05-10	TO	SDFI	SDØE	40.000000	\N	22356	1623450	9999-12-31	2013-05-08
193	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	22356	1626839	9999-12-31	2013-05-08
193	2005-01-01	TO	TRANSFER	Enterprise Oil Norge AS	6.450000	\N	22356	1853786	9999-12-31	2013-05-08
193	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	5.000000	\N	22356	2410708	9999-12-31	2013-05-08
193	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	19.000000	\N	22356	4238233	9999-12-31	2013-05-08
193	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	15.000000	\N	22356	4511658	9999-12-31	2013-05-08
193	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	43.550000	\N	22356	4511658	9999-12-31	2013-05-08
193	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	43.550000	\N	22356	4511854	9999-12-31	2013-05-08
193	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	15.000000	\N	22356	4524355	9999-12-31	2013-05-08
193	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	58.550000	\N	22356	17237817	9999-12-31	2013-05-08
195	1998-12-29	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	5.000000	\N	22372	155	9999-12-31	2013-05-08
195	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	20.000000	\N	22372	155	9999-12-31	2013-05-08
195	2003-02-11	FROM	TRANSFER	Norske Conoco A/S	15.000000	\N	22372	221	9999-12-31	2013-05-08
195	2003-03-11	FROM	TRANSFER	Norsk Hydro Produksjon AS	25.000000	\N	22372	430	9999-12-31	2013-05-08
195	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	22372	430	9999-12-31	2013-05-08
195	1997-01-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	10.000000	\N	22372	749	9999-12-31	2013-05-08
195	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	35.000000	\N	22372	749	9999-12-31	2013-05-08
195	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	20.000000	\N	22372	982372	9999-12-31	2013-05-08
195	2001-06-17	FROM	SDFI	SDØE	35.000000	\N	22372	1623450	9999-12-31	2013-05-08
195	2003-02-11	FROM	TRANSFER	BP Norge AS	20.000000	\N	22372	2052695	9999-12-31	2013-05-08
195	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	22372	4511658	9999-12-31	2013-05-08
195	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	22372	4524355	9999-12-31	2013-05-08
195	1997-01-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	10.000000	\N	22372	430	9999-12-31	2013-05-08
195	1998-12-29	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	5.000000	\N	22372	430	9999-12-31	2013-05-08
195	2003-02-11	TO	TRANSFER	Norsk Hydro Produksjon AS	35.000000	\N	22372	430	9999-12-31	2013-05-08
195	2003-03-11	TO	TRANSFER	RWE Dea Norge AS	25.000000	\N	22372	97557	9999-12-31	2013-05-08
195	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	20.000000	\N	22372	982372	9999-12-31	2013-05-08
195	2001-05-10	TO	SDFI	SDØE	35.000000	\N	22372	1623450	9999-12-31	2013-05-08
195	2001-06-17	TO	SDFI	Petoro AS	35.000000	\N	22372	1626839	9999-12-31	2013-05-08
195	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	20.000000	\N	22372	2052695	9999-12-31	2013-05-08
195	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	22372	4511658	9999-12-31	2013-05-08
195	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	22372	4524355	9999-12-31	2013-05-08
195	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	22372	17237817	9999-12-31	2013-05-08
196	1997-01-01	FROM	UNKNOWN	BP Petroleum Dev. of Norway AS	25.000000	\N	22380	155	9999-12-31	2013-05-08
196	1997-01-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	5.000000	\N	22380	430	9999-12-31	2013-05-08
196	2001-09-10	FROM	TRANSFER	Norsk Hydro Produksjon AS	15.000000	\N	22380	430	9999-12-31	2013-05-08
196	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	75.000000	\N	22380	749	9999-12-31	2013-05-08
196	2001-09-10	FROM	TRANSFER	Statoil ASA (old)	50.000000	\N	22380	1622484	9999-12-31	2013-05-08
196	2001-06-17	FROM	SDFI	SDØE	25.000000	\N	22380	1623450	9999-12-31	2013-05-08
196	2001-09-10	FROM	TRANSFER	Petoro AS	25.000000	\N	22380	1626839	9999-12-31	2013-05-08
196	2001-09-10	TO	TRANSFER	Idemitsu Petroleum Norge AS	90.000000	\N	22380	441	9999-12-31	2013-05-08
196	1997-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	30.000000	\N	22380	749	9999-12-31	2013-05-08
196	2001-05-10	TO	SDFI	Statoil ASA (old)	50.000000	\N	22380	1622484	9999-12-31	2013-05-08
196	2001-05-10	TO	SDFI	SDØE	25.000000	\N	22380	1623450	9999-12-31	2013-05-08
196	2001-06-17	TO	SDFI	Petoro AS	25.000000	\N	22380	1626839	9999-12-31	2013-05-08
197	2001-04-23	FROM	TRANSFER	Amerada Hess Norge AS	35.000000	\N	22388	67	9999-12-31	2013-05-08
197	1996-06-01	FROM	UNKNOWN	Amoco Norway AS	15.000000	\N	22388	89	9999-12-31	2013-05-08
197	1996-06-01	FROM	UNKNOWN	Norske Conoco A/S	25.000000	\N	22388	221	9999-12-31	2013-05-08
197	2002-01-01	FROM	TRANSFER	Esso Exploration and Production Norway A/S	35.000000	\N	22388	353	9999-12-31	2013-05-08
197	1996-06-01	FROM	UNKNOWN	Den norske stats oljeselskap a.s	15.000000	\N	22388	749	9999-12-31	2013-05-08
197	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	22388	749	9999-12-31	2013-05-08
197	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22388	1623450	9999-12-31	2013-05-08
197	1996-06-01	TO	UNKNOWN	Amerada Hess Norge AS	55.000000	\N	22388	67	9999-12-31	2013-05-08
197	2002-01-01	TO	TRANSFER	Amerada Hess Norge AS	35.000000	\N	22388	67	9999-12-31	2013-05-08
197	2001-04-23	TO	TRANSFER	Esso Exploration and Production Norway A/S	35.000000	\N	22388	353	9999-12-31	2013-05-08
197	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22388	1622484	9999-12-31	2013-05-08
197	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22388	1623450	9999-12-31	2013-05-08
199	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	14.000000	\N	22404	430	9999-12-31	2013-05-08
199	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	22404	474	9999-12-31	2013-05-08
199	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	13.000000	\N	22404	716	9999-12-31	2013-05-08
199	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	12.000000	\N	22404	716	9999-12-31	2013-05-08
199	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	73.000000	\N	22404	749	9999-12-31	2013-05-08
199	2004-01-01	FROM	TRANSFER	Statoil ASA (old)	2.000000	\N	22404	1622484	9999-12-31	2013-05-08
199	2004-01-02	FROM	TRANSFER	Statoil ASA (old)	6.000000	\N	22404	1622484	9999-12-31	2013-05-08
199	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	38.000000	\N	22404	1622484	9999-12-31	2013-05-08
199	2001-06-01	FROM	TRANSFER	SDØE	18.000000	\N	22404	1623450	9999-12-31	2013-05-08
199	2001-06-17	FROM	SDFI	SDØE	27.000000	\N	22404	1623450	9999-12-31	2013-05-08
199	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	14.000000	\N	22404	4511658	9999-12-31	2013-05-08
199	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	52.000000	\N	22404	4511658	9999-12-31	2013-05-08
199	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	52.000000	\N	22404	4511854	9999-12-31	2013-05-08
199	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	14.000000	\N	22404	4524355	9999-12-31	2013-05-08
199	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	12.000000	\N	22404	430	9999-12-31	2013-05-08
199	2004-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	2.000000	\N	22404	430	9999-12-31	2013-05-08
199	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	13.000000	\N	22404	749	9999-12-31	2013-05-08
199	2001-05-10	TO	SDFI	Statoil ASA (old)	28.000000	\N	22404	1622484	9999-12-31	2013-05-08
199	2001-06-01	TO	TRANSFER	Statoil ASA (old)	18.000000	\N	22404	1622484	9999-12-31	2013-05-08
199	2001-05-10	TO	SDFI	SDØE	45.000000	\N	22404	1623450	9999-12-31	2013-05-08
199	2001-06-17	TO	SDFI	Petoro AS	27.000000	\N	22404	1626839	9999-12-31	2013-05-08
199	2004-01-02	TO	TRANSFER	Total E&P Norge AS	6.000000	\N	22404	2410708	9999-12-31	2013-05-08
199	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	15.000000	\N	22404	2835212	9999-12-31	2013-05-08
199	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	14.000000	\N	22404	4511658	9999-12-31	2013-05-08
199	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	52.000000	\N	22404	4511658	9999-12-31	2013-05-08
199	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	38.000000	\N	22404	4511854	9999-12-31	2013-05-08
199	2008-01-01	TO	TRANSFER	StatoilHydro ASA	14.000000	\N	22404	4511854	9999-12-31	2013-05-08
199	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	14.000000	\N	22404	4524355	9999-12-31	2013-05-08
199	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	52.000000	\N	22404	17237817	9999-12-31	2013-05-08
200	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	15.000000	\N	22412	496	9999-12-31	2013-05-08
200	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	20.000000	\N	22412	705	9999-12-31	2013-05-08
200	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	65.000000	\N	22412	749	9999-12-31	2013-05-08
200	2000-06-22	FROM	TRANSFER	Fortum Petroleum AS	15.000000	\N	22412	102714	9999-12-31	2013-05-08
200	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	15.000000	\N	22412	982372	9999-12-31	2013-05-08
200	2001-06-01	FROM	TRANSFER	SDØE	40.000000	\N	22412	1623450	9999-12-31	2013-05-08
200	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	15.000000	\N	22412	102714	9999-12-31	2013-05-08
200	2000-06-22	TO	TRANSFER	BP Amoco Norge AS	15.000000	\N	22412	982372	9999-12-31	2013-05-08
200	2001-05-10	TO	SDFI	Statoil ASA (old)	25.000000	\N	22412	1622484	9999-12-31	2013-05-08
200	2001-06-01	TO	TRANSFER	Statoil ASA (old)	40.000000	\N	22412	1622484	9999-12-31	2013-05-08
200	2001-05-10	TO	SDFI	SDØE	40.000000	\N	22412	1623450	9999-12-31	2013-05-08
200	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	15.000000	\N	22412	2052695	9999-12-31	2013-05-08
200	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	20.000000	\N	22412	2410696	9999-12-31	2013-05-08
201	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	51.670000	\N	22420	45	9999-12-31	2013-05-08
201	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	25.000000	\N	22420	342	9999-12-31	2013-05-08
201	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	15.000000	\N	22420	496	9999-12-31	2013-05-08
201	1997-03-13	FROM	UNKNOWN	Den norske stats oljeselskap a.s	15.000000	\N	22420	749	9999-12-31	2013-05-08
201	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	25.000000	\N	22420	749	9999-12-31	2013-05-08
201	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	15.000000	\N	22420	102714	9999-12-31	2013-05-08
201	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	33.330000	\N	22420	1622484	9999-12-31	2013-05-08
201	2001-06-01	FROM	TRANSFER	SDØE	25.000000	\N	22420	1623450	9999-12-31	2013-05-08
201	2003-07-01	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	22420	1853786	9999-12-31	2013-05-08
201	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	33.330000	\N	22420	4511658	9999-12-31	2013-05-08
201	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	33.330000	\N	22420	4511854	9999-12-31	2013-05-08
201	1997-03-13	TO	UNKNOWN	Norsk Agip  AS	5.000000	\N	22420	45	9999-12-31	2013-05-08
201	2003-07-01	TO	TRANSFER	Norsk Agip  AS	16.670000	\N	22420	45	9999-12-31	2013-05-08
201	1997-03-13	TO	UNKNOWN	Enterprise Oil Norwegian AS	5.000000	\N	22420	342	9999-12-31	2013-05-08
201	1997-03-13	TO	UNKNOWN	Neste Petroleum AS	5.000000	\N	22420	496	9999-12-31	2013-05-08
201	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	15.000000	\N	22420	102714	9999-12-31	2013-05-08
201	2001-06-01	TO	TRANSFER	Statoil ASA (old)	25.000000	\N	22420	1622484	9999-12-31	2013-05-08
201	2003-07-01	TO	TRANSFER	Statoil ASA (old)	8.330000	\N	22420	1622484	9999-12-31	2013-05-08
201	2001-05-10	TO	SDFI	SDØE	25.000000	\N	22420	1623450	9999-12-31	2013-05-08
201	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	25.000000	\N	22420	1853786	9999-12-31	2013-05-08
201	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	15.000000	\N	22420	2388594	9999-12-31	2013-05-08
201	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	51.670000	\N	22420	2388594	9999-12-31	2013-05-08
201	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	33.330000	\N	22420	4511658	9999-12-31	2013-05-08
201	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	33.330000	\N	22420	4511854	9999-12-31	2013-05-08
201	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	33.330000	\N	22420	17237817	9999-12-31	2013-05-08
203	1999-12-23	FROM	MERGER/TAKEOVER	Amoco Norway AS	15.000000	\N	22436	89	9999-12-31	2013-05-08
203	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	20.000000	\N	22436	221	9999-12-31	2013-05-08
203	2002-06-14	FROM	TRANSFER	Norsk Hydro Produksjon AS	35.000000	\N	22436	430	9999-12-31	2013-05-08
203	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	65.000000	\N	22436	463	9999-12-31	2013-05-08
203	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	22436	749	9999-12-31	2013-05-08
203	2000-11-23	FROM	TRANSFER	BP Amoco Norge AS	15.000000	\N	22436	982372	9999-12-31	2013-05-08
203	2004-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	15.000000	\N	22436	1340609	9999-12-31	2013-05-08
203	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	22436	1623450	9999-12-31	2013-05-08
203	2002-03-19	FROM	TRANSFER	Petoro AS	30.000000	\N	22436	1626839	9999-12-31	2013-05-08
203	2007-01-01	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	20.000000	\N	22436	2399056	9999-12-31	2013-05-08
203	2002-03-19	TO	TRANSFER	Marathon Petroleum Norge AS	30.000000	\N	22436	463	9999-12-31	2013-05-08
203	2002-06-14	TO	TRANSFER	Marathon Petroleum Norge AS	35.000000	\N	22436	463	9999-12-31	2013-05-08
203	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	15.000000	\N	22436	982372	9999-12-31	2013-05-08
203	2000-11-23	TO	TRANSFER	Det Norske Oljeselskap AS	15.000000	\N	22436	1340609	9999-12-31	2013-05-08
203	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22436	1623450	9999-12-31	2013-05-08
203	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	22436	1626839	9999-12-31	2013-05-08
203	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	20.000000	\N	22436	2399056	9999-12-31	2013-05-08
203	2007-01-01	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	20.000000	\N	22436	2410696	9999-12-31	2013-05-08
203	2004-01-01	TO	TRANSFER	Lundin Norway AS	15.000000	\N	22436	2767314	9999-12-31	2013-05-08
203	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	65.000000	\N	22436	20485291	9999-12-31	2013-05-08
204	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	15.000000	\N	22444	342	9999-12-31	2013-05-08
204	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	65.000000	\N	22444	749	9999-12-31	2013-05-08
204	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	22444	1623450	9999-12-31	2013-05-08
204	2002-03-19	FROM	TRANSFER	Petoro AS	30.000000	\N	22444	1626839	9999-12-31	2013-05-08
204	2003-06-24	FROM	TRANSFER	Enterprise Oil Norge AS	15.000000	\N	22444	1853786	9999-12-31	2013-05-08
204	2003-06-24	TO	TRANSFER	Amerada Hess Norge AS	3.500000	\N	22444	67	9999-12-31	2013-05-08
204	2002-03-19	TO	TRANSFER	Marathon Petroleum Norge AS	30.000000	\N	22444	463	9999-12-31	2013-05-08
204	2003-06-24	TO	TRANSFER	Marathon Petroleum Norge AS	5.300000	\N	22444	463	9999-12-31	2013-05-08
204	2001-05-10	TO	SDFI	Statoil ASA (old)	35.000000	\N	22444	1622484	9999-12-31	2013-05-08
204	2003-06-24	TO	TRANSFER	Statoil ASA (old)	6.200000	\N	22444	1622484	9999-12-31	2013-05-08
204	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22444	1623450	9999-12-31	2013-05-08
204	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	22444	1626839	9999-12-31	2013-05-08
204	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	15.000000	\N	22444	1853786	9999-12-31	2013-05-08
206	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	25.000000	\N	22460	716	9999-12-31	2013-05-08
206	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	25.000000	\N	22460	430	9999-12-31	2013-05-08
208	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	45.000000	\N	22476	155	9999-12-31	2013-05-08
208	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	22476	749	9999-12-31	2013-05-08
208	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	45.000000	\N	22476	982372	9999-12-31	2013-05-08
208	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	22476	1623450	9999-12-31	2013-05-08
208	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	45.000000	\N	22476	1853083	9999-12-31	2013-05-08
208	2005-01-01	FROM	TRANSFER	BP Norge AS	45.000000	\N	22476	2052695	9999-12-31	2013-05-08
208	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	45.000000	\N	22476	982372	9999-12-31	2013-05-08
208	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22476	1623450	9999-12-31	2013-05-08
208	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	22476	1626839	9999-12-31	2013-05-08
208	2005-01-01	TO	TRANSFER	DONG Norge AS	45.000000	\N	22476	1853083	9999-12-31	2013-05-08
208	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	45.000000	\N	22476	2052695	9999-12-31	2013-05-08
208	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	45.000000	\N	22476	4070011	9999-12-31	2013-05-08
209	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	10.000000	\N	22484	353	9999-12-31	2013-05-08
209	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	25.000000	\N	22484	430	9999-12-31	2013-05-08
209	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22484	749	9999-12-31	2013-05-08
209	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	15.000000	\N	22484	1622484	9999-12-31	2013-05-08
209	2001-06-17	FROM	SDFI	SDØE	35.000000	\N	22484	1623450	9999-12-31	2013-05-08
209	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	22484	4511658	9999-12-31	2013-05-08
209	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	15.000000	\N	22484	4511854	9999-12-31	2013-05-08
209	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	25.000000	\N	22484	4524355	9999-12-31	2013-05-08
209	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	22484	1622484	9999-12-31	2013-05-08
209	2001-05-10	TO	SDFI	SDØE	35.000000	\N	22484	1623450	9999-12-31	2013-05-08
209	2001-06-17	TO	SDFI	Petoro AS	35.000000	\N	22484	1626839	9999-12-31	2013-05-08
209	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	10.000000	\N	22484	2835212	9999-12-31	2013-05-08
209	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	25.000000	\N	22484	4511658	9999-12-31	2013-05-08
209	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	15.000000	\N	22484	4511658	9999-12-31	2013-05-08
209	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	15.000000	\N	22484	4511854	9999-12-31	2013-05-08
209	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	25.000000	\N	22484	4524355	9999-12-31	2013-05-08
209	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	22484	17237817	9999-12-31	2013-05-08
210	2000-07-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	20.000000	\N	22492	430	9999-12-31	2013-05-08
210	2001-03-19	FROM	TRANSFER	A/S Norske Shell	15.000000	\N	22492	562	9999-12-31	2013-05-08
210	2004-01-01	FROM	TRANSFER	A/S Norske Shell	15.000000	\N	22492	562	9999-12-31	2013-05-08
210	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22492	749	9999-12-31	2013-05-08
210	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	35.000000	\N	22492	982372	9999-12-31	2013-05-08
210	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22492	1623450	9999-12-31	2013-05-08
210	2000-07-01	TO	TRANSFER	BP Amoco Norge AS	20.000000	\N	22492	982372	9999-12-31	2013-05-08
210	2001-03-19	TO	TRANSFER	BP Amoco Norge AS	15.000000	\N	22492	982372	9999-12-31	2013-05-08
210	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	22492	1622484	9999-12-31	2013-05-08
210	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22492	1622484	9999-12-31	2013-05-08
210	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22492	1623450	9999-12-31	2013-05-08
210	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	35.000000	\N	22492	2052695	9999-12-31	2013-05-08
210	2004-01-01	TO	TRANSFER	BP Norge AS	15.000000	\N	22492	2052695	9999-12-31	2013-05-08
211	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	20.000000	\N	22500	45	9999-12-31	2013-05-08
211	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	20.000000	\N	22500	298	9999-12-31	2013-05-08
211	2006-01-01	FROM	TRANSFER	Mobil Development Norway AS	30.000000	\N	22500	474	9999-12-31	2013-05-08
211	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	22500	749	9999-12-31	2013-05-08
211	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	22500	1340884	9999-12-31	2013-05-08
211	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	22500	1622484	9999-12-31	2013-05-08
211	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22500	1623450	9999-12-31	2013-05-08
211	2006-01-02	FROM	TRANSFER	Total E&P Norge AS	10.000000	\N	22500	2410708	9999-12-31	2013-05-08
211	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	22500	4511658	9999-12-31	2013-05-08
211	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	22500	4511854	9999-12-31	2013-05-08
211	2013-01-01	FROM	TRANSFER	Statoil Petroleum AS	30.000000	\N	22500	17237817	9999-12-31	2013-05-08
211	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	22500	1340884	9999-12-31	2013-05-08
211	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22500	1622484	9999-12-31	2013-05-08
211	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22500	1623450	9999-12-31	2013-05-08
211	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	20.000000	\N	22500	2388594	9999-12-31	2013-05-08
211	2006-01-02	TO	TRANSFER	Eni Norge AS	10.000000	\N	22500	2388594	9999-12-31	2013-05-08
211	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	20.000000	\N	22500	2410708	9999-12-31	2013-05-08
211	2006-01-01	TO	TRANSFER	Total E&P Norge AS	30.000000	\N	22500	2410708	9999-12-31	2013-05-08
211	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	22500	4511658	9999-12-31	2013-05-08
211	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	22500	4511854	9999-12-31	2013-05-08
211	2013-01-01	TO	TRANSFER	Maersk Oil Norway AS	30.000000	\N	22500	4719674	9999-12-31	2013-05-08
211	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	22500	17237817	9999-12-31	2013-05-08
212	1999-12-23	FROM	MERGER/TAKEOVER	Amoco Norway AS	30.000000	\N	22508	89	9999-12-31	2013-05-08
212	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	25.000000	\N	22508	342	9999-12-31	2013-05-08
212	2007-01-01	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	22508	474	9999-12-31	2013-05-08
212	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	22508	749	9999-12-31	2013-05-08
212	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	30.000000	\N	22508	982372	9999-12-31	2013-05-08
212	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	22508	1622484	9999-12-31	2013-05-08
212	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22508	1623450	9999-12-31	2013-05-08
212	2007-01-02	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	22508	1853786	9999-12-31	2013-05-08
212	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	25.000000	\N	22508	2840522	9999-12-31	2013-05-08
212	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	22508	4511658	9999-12-31	2013-05-08
212	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	22508	4511854	9999-12-31	2013-05-08
212	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	30.000000	\N	22508	982372	9999-12-31	2013-05-08
212	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22508	1622484	9999-12-31	2013-05-08
212	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22508	1623450	9999-12-31	2013-05-08
212	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	25.000000	\N	22508	1853786	9999-12-31	2013-05-08
212	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	30.000000	\N	22508	2052695	9999-12-31	2013-05-08
212	2007-01-02	TO	TRANSFER	E.ON Ruhrgas Norge AS	25.000000	\N	22508	2840522	9999-12-31	2013-05-08
212	2007-01-01	TO	TRANSFER	PGNiG Norway AS	15.000000	\N	22508	4505831	9999-12-31	2013-05-08
212	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	22508	4511658	9999-12-31	2013-05-08
212	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	22508	4511854	9999-12-31	2013-05-08
212	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	22508	17237817	9999-12-31	2013-05-08
212	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	25.000000	\N	22508	21631209	9999-12-31	2013-05-08
213	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	22516	430	9999-12-31	2013-05-08
213	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	20.000000	\N	22516	705	9999-12-31	2013-05-08
213	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	5.000000	\N	22516	716	9999-12-31	2013-05-08
213	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	20.000000	\N	22516	716	9999-12-31	2013-05-08
213	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	60.000000	\N	22516	749	9999-12-31	2013-05-08
213	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	60.000000	\N	22516	1622484	9999-12-31	2013-05-08
213	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22516	1623450	9999-12-31	2013-05-08
213	2004-01-12	FROM	TRANSFER	ConocoPhillips Skandinavia AS	20.000000	\N	22516	2410696	9999-12-31	2013-05-08
213	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	22516	4511658	9999-12-31	2013-05-08
213	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	60.000000	\N	22516	4511854	9999-12-31	2013-05-08
213	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	22516	4524355	9999-12-31	2013-05-08
213	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	22516	430	9999-12-31	2013-05-08
213	2004-01-12	TO	TRANSFER	Norsk Hydro Produksjon AS	20.000000	\N	22516	430	9999-12-31	2013-05-08
213	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	5.000000	\N	22516	749	9999-12-31	2013-05-08
213	2001-05-10	TO	SDFI	Statoil ASA (old)	30.000000	\N	22516	1622484	9999-12-31	2013-05-08
213	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22516	1622484	9999-12-31	2013-05-08
213	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22516	1623450	9999-12-31	2013-05-08
213	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	20.000000	\N	22516	2410696	9999-12-31	2013-05-08
213	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	22516	4511658	9999-12-31	2013-05-08
213	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	60.000000	\N	22516	4511658	9999-12-31	2013-05-08
213	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	60.000000	\N	22516	4511854	9999-12-31	2013-05-08
213	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	22516	4524355	9999-12-31	2013-05-08
213	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	100.000000	\N	22516	17237817	9999-12-31	2013-05-08
215	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	15.000000	\N	22532	221	9999-12-31	2013-05-08
215	2003-11-21	FROM	TRANSFER	Mobil Development Norway AS	10.000000	\N	22532	474	9999-12-31	2013-05-08
215	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	15.000000	\N	22532	716	9999-12-31	2013-05-08
215	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	22532	716	9999-12-31	2013-05-08
215	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	45.000000	\N	22532	749	9999-12-31	2013-05-08
215	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22532	1623450	9999-12-31	2013-05-08
215	2003-11-21	FROM	TRANSFER	Norske ConocoPhillips AS	15.000000	\N	22532	2399056	9999-12-31	2013-05-08
215	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	22532	430	9999-12-31	2013-05-08
215	2003-11-21	TO	TRANSFER	Norsk Hydro Produksjon AS	25.000000	\N	22532	430	9999-12-31	2013-05-08
215	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	15.000000	\N	22532	749	9999-12-31	2013-05-08
215	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	22532	1622484	9999-12-31	2013-05-08
215	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22532	1622484	9999-12-31	2013-05-08
215	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22532	1623450	9999-12-31	2013-05-08
215	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	15.000000	\N	22532	2399056	9999-12-31	2013-05-08
216	1999-12-23	FROM	MERGER/TAKEOVER	Amoco Norway AS	30.000000	\N	22540	89	9999-12-31	2013-05-08
216	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	15.000000	\N	22540	342	9999-12-31	2013-05-08
216	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	22540	749	9999-12-31	2013-05-08
216	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	25.000000	\N	22540	848	9999-12-31	2013-05-08
216	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22540	1623450	9999-12-31	2013-05-08
216	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	30.000000	\N	22540	982372	9999-12-31	2013-05-08
216	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	25.000000	\N	22540	1340884	9999-12-31	2013-05-08
216	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22540	1622484	9999-12-31	2013-05-08
216	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22540	1623450	9999-12-31	2013-05-08
216	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	15.000000	\N	22540	1853786	9999-12-31	2013-05-08
217	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	20.000000	\N	22548	155	9999-12-31	2013-05-08
217	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	15.000000	\N	22548	221	9999-12-31	2013-05-08
217	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	65.000000	\N	22548	749	9999-12-31	2013-05-08
217	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	20.000000	\N	22548	982372	9999-12-31	2013-05-08
217	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22548	1623450	9999-12-31	2013-05-08
217	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	20.000000	\N	22548	982372	9999-12-31	2013-05-08
217	2001-05-10	TO	SDFI	Statoil ASA (old)	35.000000	\N	22548	1622484	9999-12-31	2013-05-08
217	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22548	1622484	9999-12-31	2013-05-08
217	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22548	1623450	9999-12-31	2013-05-08
217	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	20.000000	\N	22548	2052695	9999-12-31	2013-05-08
217	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	15.000000	\N	22548	2399056	9999-12-31	2013-05-08
218	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	25.000000	\N	22556	155	9999-12-31	2013-05-08
218	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	10.000000	\N	22556	221	9999-12-31	2013-05-08
218	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	15.000000	\N	22556	353	9999-12-31	2013-05-08
218	2000-09-27	FROM	TRANSFER	Saga Petroleum ASA	10.000000	\N	22556	716	9999-12-31	2013-05-08
218	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22556	749	9999-12-31	2013-05-08
218	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	25.000000	\N	22556	982372	9999-12-31	2013-05-08
218	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	75.000000	\N	22556	1622484	9999-12-31	2013-05-08
218	2001-06-01	FROM	TRANSFER	SDØE	35.000000	\N	22556	1623450	9999-12-31	2013-05-08
218	2006-01-01	FROM	TRANSFER	BP Norge AS	25.000000	\N	22556	2052695	9999-12-31	2013-05-08
218	2007-01-01	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	10.000000	\N	22556	2399056	9999-12-31	2013-05-08
218	2012-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	15.000000	\N	22556	2835212	9999-12-31	2013-05-08
218	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	75.000000	\N	22556	4511658	9999-12-31	2013-05-08
218	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	75.000000	\N	22556	4511854	9999-12-31	2013-05-08
218	2000-09-27	TO	TRANSFER	Norske Conoco A/S	10.000000	\N	22556	221	9999-12-31	2013-05-08
218	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	25.000000	\N	22556	982372	9999-12-31	2013-05-08
218	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	22556	1622484	9999-12-31	2013-05-08
218	2001-06-01	TO	TRANSFER	Statoil ASA (old)	35.000000	\N	22556	1622484	9999-12-31	2013-05-08
218	2006-01-01	TO	TRANSFER	Statoil ASA (old)	25.000000	\N	22556	1622484	9999-12-31	2013-05-08
218	2001-05-10	TO	SDFI	SDØE	35.000000	\N	22556	1623450	9999-12-31	2013-05-08
218	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	25.000000	\N	22556	2052695	9999-12-31	2013-05-08
218	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	10.000000	\N	22556	2399056	9999-12-31	2013-05-08
218	2007-01-01	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	10.000000	\N	22556	2410696	9999-12-31	2013-05-08
218	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	15.000000	\N	22556	2835212	9999-12-31	2013-05-08
218	2012-01-01	TO	TRANSFER	OMV (Norge) AS	15.000000	\N	22556	4460594	9999-12-31	2013-05-08
218	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	75.000000	\N	22556	4511658	9999-12-31	2013-05-08
218	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	75.000000	\N	22556	4511854	9999-12-31	2013-05-08
218	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	75.000000	\N	22556	17237817	9999-12-31	2013-05-08
219	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	40.000000	\N	22564	45	9999-12-31	2013-05-08
219	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	10.000000	\N	22564	342	9999-12-31	2013-05-08
219	2000-12-20	FROM	MERGER/TAKEOVER	Fina Production Licenses AS	15.000000	\N	22564	386	9999-12-31	2013-05-08
219	2000-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	22564	430	9999-12-31	2013-05-08
219	2000-09-29	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	22564	430	9999-12-31	2013-05-08
219	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	25.000000	\N	22564	430	9999-12-31	2013-05-08
219	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	15.000000	\N	22564	848	9999-12-31	2013-05-08
219	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	10.000000	\N	22564	102714	9999-12-31	2013-05-08
219	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	15.000000	\N	22564	1340884	9999-12-31	2013-05-08
219	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	25.000000	\N	22564	4511658	9999-12-31	2013-05-08
219	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	25.000000	\N	22564	4524355	9999-12-31	2013-05-08
219	2000-09-29	TO	TRANSFER	Enterprise Oil Norwegian AS	10.000000	\N	22564	342	9999-12-31	2013-05-08
219	2000-12-20	TO	MERGER/TAKEOVER	Total Norge AS	15.000000	\N	22564	848	9999-12-31	2013-05-08
219	2000-01-01	TO	TRANSFER	Fortum Petroleum AS	10.000000	\N	22564	102714	9999-12-31	2013-05-08
219	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	15.000000	\N	22564	1340884	9999-12-31	2013-05-08
219	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	10.000000	\N	22564	1853786	9999-12-31	2013-05-08
219	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	10.000000	\N	22564	2388594	9999-12-31	2013-05-08
219	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	40.000000	\N	22564	2388594	9999-12-31	2013-05-08
219	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	15.000000	\N	22564	2410708	9999-12-31	2013-05-08
219	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	25.000000	\N	22564	4511658	9999-12-31	2013-05-08
219	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	25.000000	\N	22564	4524355	9999-12-31	2013-05-08
219	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	25.000000	\N	22564	17237817	9999-12-31	2013-05-08
220	2006-06-26	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	15.000000	\N	22572	67	9999-12-31	2013-05-08
220	1999-12-23	FROM	MERGER/TAKEOVER	Amoco Norway AS	15.000000	\N	22572	89	9999-12-31	2013-05-08
220	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	70.000000	\N	22572	749	9999-12-31	2013-05-08
220	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	15.000000	\N	22572	102714	9999-12-31	2013-05-08
220	2000-06-22	FROM	TRANSFER	BP Amoco Norge AS	15.000000	\N	22572	982372	9999-12-31	2013-05-08
220	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	70.000000	\N	22572	1622484	9999-12-31	2013-05-08
220	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22572	1623450	9999-12-31	2013-05-08
220	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	22572	4511658	9999-12-31	2013-05-08
220	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	70.000000	\N	22572	4511854	9999-12-31	2013-05-08
220	2000-06-22	TO	TRANSFER	Fortum Petroleum AS	15.000000	\N	22572	102714	9999-12-31	2013-05-08
220	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	15.000000	\N	22572	982372	9999-12-31	2013-05-08
220	2001-05-10	TO	SDFI	Statoil ASA (old)	40.000000	\N	22572	1622484	9999-12-31	2013-05-08
220	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22572	1622484	9999-12-31	2013-05-08
220	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22572	1623450	9999-12-31	2013-05-08
220	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	15.000000	\N	22572	2388594	9999-12-31	2013-05-08
220	2006-06-26	TO	CHANGE OF COMPANY NAME	Hess Norge AS	15.000000	\N	22572	4038735	9999-12-31	2013-05-08
220	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	70.000000	\N	22572	4511658	9999-12-31	2013-05-08
220	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	70.000000	\N	22572	4511854	9999-12-31	2013-05-08
220	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	22572	17237817	9999-12-31	2013-05-08
221	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	11.764710	\N	22580	298	9999-12-31	2013-05-08
221	2001-11-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	0.294120	\N	22580	430	9999-12-31	2013-05-08
221	2000-06-16	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	22580	474	9999-12-31	2013-05-08
221	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	11.764710	\N	22580	716	9999-12-31	2013-05-08
221	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	52.941180	\N	22580	749	9999-12-31	2013-05-08
221	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22580	1623450	9999-12-31	2013-05-08
221	2000-06-16	TO	TRANSFER	Elf Petroleum Norge AS	1.764710	\N	22580	298	9999-12-31	2013-05-08
221	2000-06-16	TO	TRANSFER	Norsk Hydro Produksjon AS	3.529410	\N	22580	430	9999-12-31	2013-05-08
221	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	11.764710	\N	22580	430	9999-12-31	2013-05-08
221	2000-06-16	TO	TRANSFER	Saga Petroleum ASA	1.764710	\N	22580	716	9999-12-31	2013-05-08
221	2000-06-16	TO	TRANSFER	Den norske stats oljeselskap a.s	7.941180	\N	22580	749	9999-12-31	2013-05-08
221	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	11.764710	\N	22580	1340884	9999-12-31	2013-05-08
221	2001-11-01	TO	TRANSFER	TotalFinaElf Exploration Norge AS	0.235290	\N	22580	1340884	9999-12-31	2013-05-08
221	2001-05-10	TO	SDFI	Statoil ASA (old)	22.941180	\N	22580	1622484	9999-12-31	2013-05-08
221	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22580	1622484	9999-12-31	2013-05-08
221	2001-11-01	TO	TRANSFER	Statoil ASA (old)	0.058820	\N	22580	1622484	9999-12-31	2013-05-08
221	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22580	1623450	9999-12-31	2013-05-08
222	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	10.000000	\N	22588	298	9999-12-31	2013-05-08
222	2001-11-01	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	22588	474	9999-12-31	2013-05-08
222	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	22588	716	9999-12-31	2013-05-08
222	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	45.000000	\N	22588	749	9999-12-31	2013-05-08
222	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22588	1623450	9999-12-31	2013-05-08
222	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	22588	430	9999-12-31	2013-05-08
222	2001-11-01	TO	TRANSFER	Norsk Hydro Produksjon AS	5.000000	\N	22588	430	9999-12-31	2013-05-08
222	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	22588	1340884	9999-12-31	2013-05-08
222	2001-11-01	TO	TRANSFER	TotalFinaElf Exploration Norge AS	2.000000	\N	22588	1340884	9999-12-31	2013-05-08
222	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	22588	1622484	9999-12-31	2013-05-08
222	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22588	1622484	9999-12-31	2013-05-08
222	2001-11-01	TO	TRANSFER	Statoil ASA (old)	8.000000	\N	22588	1622484	9999-12-31	2013-05-08
222	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22588	1623450	9999-12-31	2013-05-08
223	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	10.000000	\N	22596	298	9999-12-31	2013-05-08
223	2001-11-01	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	22596	474	9999-12-31	2013-05-08
223	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	22596	716	9999-12-31	2013-05-08
223	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	45.000000	\N	22596	749	9999-12-31	2013-05-08
223	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22596	1623450	9999-12-31	2013-05-08
223	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	22596	430	9999-12-31	2013-05-08
223	2001-11-01	TO	TRANSFER	Norsk Hydro Produksjon AS	5.000000	\N	22596	430	9999-12-31	2013-05-08
223	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	22596	1340884	9999-12-31	2013-05-08
223	2001-11-01	TO	TRANSFER	TotalFinaElf Exploration Norge AS	2.000000	\N	22596	1340884	9999-12-31	2013-05-08
223	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	22596	1622484	9999-12-31	2013-05-08
223	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22596	1622484	9999-12-31	2013-05-08
223	2001-11-01	TO	TRANSFER	Statoil ASA (old)	8.000000	\N	22596	1622484	9999-12-31	2013-05-08
223	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22596	1623450	9999-12-31	2013-05-08
224	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	30.000000	\N	22604	298	9999-12-31	2013-05-08
224	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	20.000000	\N	22604	749	9999-12-31	2013-05-08
224	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22604	1623450	9999-12-31	2013-05-08
224	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	30.000000	\N	22604	1340884	9999-12-31	2013-05-08
224	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22604	1622484	9999-12-31	2013-05-08
224	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22604	1623450	9999-12-31	2013-05-08
225	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	21.000000	\N	22612	45	9999-12-31	2013-05-08
225	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	15.000000	\N	22612	342	9999-12-31	2013-05-08
225	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	29.000000	\N	22612	430	9999-12-31	2013-05-08
225	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	10.000000	\N	22612	496	9999-12-31	2013-05-08
225	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	20.000000	\N	22612	716	9999-12-31	2013-05-08
225	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	40.000000	\N	22612	749	9999-12-31	2013-05-08
225	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	10.000000	\N	22612	102714	9999-12-31	2013-05-08
225	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	40.000000	\N	22612	1622484	9999-12-31	2013-05-08
225	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22612	1623450	9999-12-31	2013-05-08
225	2002-08-30	FROM	TRANSFER	Enterprise Oil Norge AS	15.000000	\N	22612	1853786	9999-12-31	2013-05-08
225	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	29.000000	\N	22612	4524355	9999-12-31	2013-05-08
225	2002-08-30	TO	TRANSFER	Norsk Agip  AS	6.000000	\N	22612	45	9999-12-31	2013-05-08
225	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	22612	430	9999-12-31	2013-05-08
225	2002-08-30	TO	TRANSFER	Norsk Hydro Produksjon AS	9.000000	\N	22612	430	9999-12-31	2013-05-08
225	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	10.000000	\N	22612	102714	9999-12-31	2013-05-08
225	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	22612	1622484	9999-12-31	2013-05-08
225	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22612	1622484	9999-12-31	2013-05-08
225	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22612	1623450	9999-12-31	2013-05-08
225	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	15.000000	\N	22612	1853786	9999-12-31	2013-05-08
225	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	10.000000	\N	22612	2388594	9999-12-31	2013-05-08
225	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	21.000000	\N	22612	2388594	9999-12-31	2013-05-08
225	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	29.000000	\N	22612	4511658	9999-12-31	2013-05-08
225	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	40.000000	\N	22612	4511854	9999-12-31	2013-05-08
225	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	29.000000	\N	22612	4524355	9999-12-31	2013-05-08
226	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	21.000000	\N	22620	45	9999-12-31	2013-05-08
226	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	15.000000	\N	22620	342	9999-12-31	2013-05-08
226	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Produksjon AS	29.000000	\N	22620	430	9999-12-31	2013-05-08
226	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	10.000000	\N	22620	496	9999-12-31	2013-05-08
226	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	20.000000	\N	22620	716	9999-12-31	2013-05-08
226	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	40.000000	\N	22620	749	9999-12-31	2013-05-08
226	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	10.000000	\N	22620	102714	9999-12-31	2013-05-08
226	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	40.000000	\N	22620	1622484	9999-12-31	2013-05-08
226	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22620	1623450	9999-12-31	2013-05-08
226	2002-08-30	FROM	TRANSFER	Enterprise Oil Norge AS	15.000000	\N	22620	1853786	9999-12-31	2013-05-08
226	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	69.000000	\N	22620	4511658	9999-12-31	2013-05-08
226	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.000000	\N	22620	4511854	9999-12-31	2013-05-08
226	2002-08-30	TO	TRANSFER	Norsk Agip  AS	6.000000	\N	22620	45	9999-12-31	2013-05-08
226	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	22620	430	9999-12-31	2013-05-08
226	2002-08-30	TO	TRANSFER	Norsk Hydro Produksjon AS	9.000000	\N	22620	430	9999-12-31	2013-05-08
226	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	10.000000	\N	22620	102714	9999-12-31	2013-05-08
226	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	22620	1622484	9999-12-31	2013-05-08
226	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22620	1622484	9999-12-31	2013-05-08
226	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22620	1623450	9999-12-31	2013-05-08
226	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	15.000000	\N	22620	1853786	9999-12-31	2013-05-08
226	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	10.000000	\N	22620	2388594	9999-12-31	2013-05-08
226	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	21.000000	\N	22620	2388594	9999-12-31	2013-05-08
226	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	29.000000	\N	22620	4511658	9999-12-31	2013-05-08
226	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.000000	\N	22620	4511658	9999-12-31	2013-05-08
226	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	40.000000	\N	22620	4511854	9999-12-31	2013-05-08
226	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	69.000000	\N	22620	17237817	9999-12-31	2013-05-08
227	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	21.000000	\N	22628	45	9999-12-31	2013-05-08
227	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	15.000000	\N	22628	342	9999-12-31	2013-05-08
227	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Produksjon AS	29.000000	\N	22628	430	9999-12-31	2013-05-08
227	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	10.000000	\N	22628	496	9999-12-31	2013-05-08
227	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	20.000000	\N	22628	716	9999-12-31	2013-05-08
227	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	40.000000	\N	22628	749	9999-12-31	2013-05-08
227	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	10.000000	\N	22628	102714	9999-12-31	2013-05-08
227	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	40.000000	\N	22628	1622484	9999-12-31	2013-05-08
227	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22628	1623450	9999-12-31	2013-05-08
227	2002-08-30	FROM	TRANSFER	Enterprise Oil Norge AS	15.000000	\N	22628	1853786	9999-12-31	2013-05-08
227	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	69.000000	\N	22628	4511658	9999-12-31	2013-05-08
227	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.000000	\N	22628	4511854	9999-12-31	2013-05-08
227	2002-08-30	TO	TRANSFER	Norsk Agip  AS	6.000000	\N	22628	45	9999-12-31	2013-05-08
227	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	22628	430	9999-12-31	2013-05-08
227	2002-08-30	TO	TRANSFER	Norsk Hydro Produksjon AS	9.000000	\N	22628	430	9999-12-31	2013-05-08
227	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	10.000000	\N	22628	102714	9999-12-31	2013-05-08
227	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	22628	1622484	9999-12-31	2013-05-08
227	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22628	1622484	9999-12-31	2013-05-08
227	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22628	1623450	9999-12-31	2013-05-08
227	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	15.000000	\N	22628	1853786	9999-12-31	2013-05-08
227	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	10.000000	\N	22628	2388594	9999-12-31	2013-05-08
227	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	21.000000	\N	22628	2388594	9999-12-31	2013-05-08
227	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	29.000000	\N	22628	4511658	9999-12-31	2013-05-08
227	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.000000	\N	22628	4511658	9999-12-31	2013-05-08
227	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	40.000000	\N	22628	4511854	9999-12-31	2013-05-08
227	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	69.000000	\N	22628	17237817	9999-12-31	2013-05-08
228	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	50.000000	\N	22636	430	9999-12-31	2013-05-08
228	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	30.000000	\N	22636	716	9999-12-31	2013-05-08
228	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22636	749	9999-12-31	2013-05-08
228	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	22636	1622484	9999-12-31	2013-05-08
228	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	22636	1623450	9999-12-31	2013-05-08
228	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	22636	4511658	9999-12-31	2013-05-08
228	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	22636	4511854	9999-12-31	2013-05-08
228	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	50.000000	\N	22636	4524355	9999-12-31	2013-05-08
228	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	30.000000	\N	22636	430	9999-12-31	2013-05-08
228	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	22636	1622484	9999-12-31	2013-05-08
228	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	22636	1622484	9999-12-31	2013-05-08
228	2001-05-10	TO	SDFI	SDØE	30.000000	\N	22636	1623450	9999-12-31	2013-05-08
228	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	22636	4511658	9999-12-31	2013-05-08
228	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	22636	4511658	9999-12-31	2013-05-08
228	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	22636	4511854	9999-12-31	2013-05-08
228	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	50.000000	\N	22636	4524355	9999-12-31	2013-05-08
228	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	100.000000	\N	22636	17237817	9999-12-31	2013-05-08
229	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	25.000000	\N	22644	45	9999-12-31	2013-05-08
229	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	15.000000	\N	22644	342	9999-12-31	2013-05-08
229	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	15.000000	\N	22644	496	9999-12-31	2013-05-08
229	2002-10-23	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Company Norway	25.000000	\N	22644	694	9999-12-31	2013-05-08
229	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	25.000000	\N	22644	705	9999-12-31	2013-05-08
229	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	20.000000	\N	22644	749	9999-12-31	2013-05-08
229	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	15.000000	\N	22644	102714	9999-12-31	2013-05-08
229	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	15.000000	\N	22644	1340609	9999-12-31	2013-05-08
229	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	22644	1622484	9999-12-31	2013-05-08
229	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22644	1623450	9999-12-31	2013-05-08
229	2004-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	15.000000	\N	22644	1853786	9999-12-31	2013-05-08
229	2003-03-05	FROM	TRANSFER	ConocoPhillips Norge	25.000000	\N	22644	2144081	9999-12-31	2013-05-08
229	2004-01-01	FROM	TRANSFER	ConocoPhillips Skandinavia AS	25.000000	\N	22644	2410696	9999-12-31	2013-05-08
229	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	15.000000	\N	22644	4468177	9999-12-31	2013-05-08
229	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	35.000000	\N	22644	4511658	9999-12-31	2013-05-08
229	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	35.000000	\N	22644	4511854	9999-12-31	2013-05-08
229	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	15.000000	\N	22644	4539976	9999-12-31	2013-05-08
229	2008-01-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	15.000000	\N	22644	4539989	9999-12-31	2013-05-08
229	2003-03-05	TO	TRANSFER	Phillips Petroleum Norsk AS	25.000000	\N	22644	705	9999-12-31	2013-05-08
229	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	15.000000	\N	22644	102714	9999-12-31	2013-05-08
229	2004-01-01	TO	TRANSFER	Det Norske Oljeselskap AS	15.000000	\N	22644	1340609	9999-12-31	2013-05-08
229	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22644	1622484	9999-12-31	2013-05-08
229	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22644	1623450	9999-12-31	2013-05-08
229	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	15.000000	\N	22644	1853786	9999-12-31	2013-05-08
229	2002-10-23	TO	CHANGE OF COMPANY NAME	ConocoPhillips Norge	25.000000	\N	22644	2144081	9999-12-31	2013-05-08
229	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	15.000000	\N	22644	2388594	9999-12-31	2013-05-08
229	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	25.000000	\N	22644	2388594	9999-12-31	2013-05-08
229	2004-01-01	TO	TRANSFER	Eni Norge AS	25.000000	\N	22644	2388594	9999-12-31	2013-05-08
229	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	25.000000	\N	22644	2410696	9999-12-31	2013-05-08
229	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	15.000000	\N	22644	4468177	9999-12-31	2013-05-08
229	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	35.000000	\N	22644	4511658	9999-12-31	2013-05-08
229	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	22644	4511854	9999-12-31	2013-05-08
229	2008-01-02	TO	TRANSFER	StatoilHydro ASA	15.000000	\N	22644	4511854	9999-12-31	2013-05-08
229	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	15.000000	\N	22644	4539976	9999-12-31	2013-05-08
229	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	15.000000	\N	22644	4539989	9999-12-31	2013-05-08
229	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	35.000000	\N	22644	17237817	9999-12-31	2013-05-08
230	2003-12-23	FROM	TRANSFER	Amerada Hess Norge AS	15.000000	\N	22652	67	9999-12-31	2013-05-08
230	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Produksjon AS	30.000000	\N	22652	430	9999-12-31	2013-05-08
230	2002-07-07	FROM	TRANSFER	Mobil Development Norway AS	20.000000	\N	22652	474	9999-12-31	2013-05-08
230	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	15.000000	\N	22652	716	9999-12-31	2013-05-08
230	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	35.000000	\N	22652	749	9999-12-31	2013-05-08
230	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	55.000000	\N	22652	1622484	9999-12-31	2013-05-08
230	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22652	1623450	9999-12-31	2013-05-08
230	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	15.000000	\N	22652	1628733	9999-12-31	2013-05-08
230	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	85.000000	\N	22652	4511658	9999-12-31	2013-05-08
230	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	55.000000	\N	22652	4511854	9999-12-31	2013-05-08
230	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	15.000000	\N	22652	430	9999-12-31	2013-05-08
230	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	22652	1622484	9999-12-31	2013-05-08
230	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22652	1622484	9999-12-31	2013-05-08
230	2002-07-07	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22652	1622484	9999-12-31	2013-05-08
230	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22652	1623450	9999-12-31	2013-05-08
230	2003-12-23	TO	TRANSFER	Gaz de France Norge AS	15.000000	\N	22652	1628733	9999-12-31	2013-05-08
230	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	22652	4511658	9999-12-31	2013-05-08
230	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	55.000000	\N	22652	4511658	9999-12-31	2013-05-08
230	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	55.000000	\N	22652	4511854	9999-12-31	2013-05-08
230	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	15.000000	\N	22652	5267845	9999-12-31	2013-05-08
230	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	85.000000	\N	22652	17237817	9999-12-31	2013-05-08
231	2003-12-23	FROM	TRANSFER	Amerada Hess Norge AS	15.000000	\N	22660	67	9999-12-31	2013-05-08
231	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Produksjon AS	30.000000	\N	22660	430	9999-12-31	2013-05-08
231	2002-07-07	FROM	TRANSFER	Mobil Development Norway AS	20.000000	\N	22660	474	9999-12-31	2013-05-08
231	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	15.000000	\N	22660	716	9999-12-31	2013-05-08
231	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	35.000000	\N	22660	749	9999-12-31	2013-05-08
231	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	55.000000	\N	22660	1622484	9999-12-31	2013-05-08
231	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22660	1623450	9999-12-31	2013-05-08
231	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	15.000000	\N	22660	1628733	9999-12-31	2013-05-08
231	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	55.000000	\N	22660	4511854	9999-12-31	2013-05-08
231	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	15.000000	\N	22660	430	9999-12-31	2013-05-08
231	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	22660	1622484	9999-12-31	2013-05-08
231	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22660	1622484	9999-12-31	2013-05-08
231	2002-07-07	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22660	1622484	9999-12-31	2013-05-08
231	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22660	1623450	9999-12-31	2013-05-08
231	2003-12-23	TO	TRANSFER	Gaz de France Norge AS	15.000000	\N	22660	1628733	9999-12-31	2013-05-08
231	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	22660	4511658	9999-12-31	2013-05-08
231	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	55.000000	\N	22660	4511658	9999-12-31	2013-05-08
231	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	55.000000	\N	22660	4511854	9999-12-31	2013-05-08
231	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	15.000000	\N	22660	5267845	9999-12-31	2013-05-08
232	2003-12-23	FROM	TRANSFER	Amerada Hess Norge AS	15.000000	\N	22668	67	9999-12-31	2013-05-08
232	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Produksjon AS	30.000000	\N	22668	430	9999-12-31	2013-05-08
232	2002-07-07	FROM	TRANSFER	Mobil Development Norway AS	20.000000	\N	22668	474	9999-12-31	2013-05-08
232	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	15.000000	\N	22668	716	9999-12-31	2013-05-08
232	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	35.000000	\N	22668	749	9999-12-31	2013-05-08
232	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	55.000000	\N	22668	1622484	9999-12-31	2013-05-08
232	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22668	1623450	9999-12-31	2013-05-08
232	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	15.000000	\N	22668	1628733	9999-12-31	2013-05-08
232	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	55.000000	\N	22668	4511854	9999-12-31	2013-05-08
232	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	15.000000	\N	22668	430	9999-12-31	2013-05-08
232	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	22668	1622484	9999-12-31	2013-05-08
232	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22668	1622484	9999-12-31	2013-05-08
232	2002-07-07	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22668	1622484	9999-12-31	2013-05-08
232	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22668	1623450	9999-12-31	2013-05-08
232	2003-12-23	TO	TRANSFER	Gaz de France Norge AS	15.000000	\N	22668	1628733	9999-12-31	2013-05-08
232	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	22668	4511658	9999-12-31	2013-05-08
232	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	55.000000	\N	22668	4511658	9999-12-31	2013-05-08
232	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	55.000000	\N	22668	4511854	9999-12-31	2013-05-08
232	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	15.000000	\N	22668	5267845	9999-12-31	2013-05-08
233	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	15.000000	\N	22676	45	9999-12-31	2013-05-08
233	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	20.000000	\N	22676	716	9999-12-31	2013-05-08
233	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22676	749	9999-12-31	2013-05-08
233	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22676	1623450	9999-12-31	2013-05-08
233	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	22676	430	9999-12-31	2013-05-08
233	2001-05-10	TO	SDFI	Statoil ASA (old)	30.000000	\N	22676	1622484	9999-12-31	2013-05-08
233	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22676	1622484	9999-12-31	2013-05-08
233	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22676	1623450	9999-12-31	2013-05-08
233	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	15.000000	\N	22676	2388594	9999-12-31	2013-05-08
234	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	15.000000	\N	22684	45	9999-12-31	2013-05-08
234	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	20.000000	\N	22684	716	9999-12-31	2013-05-08
234	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22684	749	9999-12-31	2013-05-08
234	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22684	1623450	9999-12-31	2013-05-08
234	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	22684	430	9999-12-31	2013-05-08
234	2001-05-10	TO	SDFI	Statoil ASA (old)	30.000000	\N	22684	1622484	9999-12-31	2013-05-08
234	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22684	1622484	9999-12-31	2013-05-08
234	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22684	1623450	9999-12-31	2013-05-08
234	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	15.000000	\N	22684	2388594	9999-12-31	2013-05-08
235	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	15.000000	\N	22692	45	9999-12-31	2013-05-08
235	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	20.000000	\N	22692	716	9999-12-31	2013-05-08
235	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22692	749	9999-12-31	2013-05-08
235	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22692	1623450	9999-12-31	2013-05-08
235	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	22692	430	9999-12-31	2013-05-08
235	2001-05-10	TO	SDFI	Statoil ASA (old)	30.000000	\N	22692	1622484	9999-12-31	2013-05-08
235	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22692	1622484	9999-12-31	2013-05-08
235	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22692	1623450	9999-12-31	2013-05-08
235	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	15.000000	\N	22692	2388594	9999-12-31	2013-05-08
236	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	15.000000	\N	22700	45	9999-12-31	2013-05-08
236	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	20.000000	\N	22700	716	9999-12-31	2013-05-08
236	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	22700	749	9999-12-31	2013-05-08
236	2001-06-01	FROM	TRANSFER	SDØE	20.000000	\N	22700	1623450	9999-12-31	2013-05-08
236	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	22700	430	9999-12-31	2013-05-08
236	2001-05-10	TO	SDFI	Statoil ASA (old)	30.000000	\N	22700	1622484	9999-12-31	2013-05-08
236	2001-06-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	22700	1622484	9999-12-31	2013-05-08
236	2001-05-10	TO	SDFI	SDØE	20.000000	\N	22700	1623450	9999-12-31	2013-05-08
236	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	15.000000	\N	22700	2388594	9999-12-31	2013-05-08
025	1972-04-25	FROM	UNKNOWN	Aquitaine Norge A/S	4.670000	\N	34512	111	9999-12-31	2013-05-08
025	1977-01-01	FROM	UNKNOWN	Aquitaine Norge A/S	14.530000	\N	34512	111	9999-12-31	2013-05-08
025	1972-04-25	FROM	UNKNOWN	Elf Norge A/S	9.330000	\N	34512	287	9999-12-31	2013-05-08
025	1977-01-01	FROM	UNKNOWN	Elf Norge A/S	29.070000	\N	34512	287	9999-12-31	2013-05-08
025	1997-01-01	FROM	UNKNOWN	Elf Petroleum Norge AS	20.000000	\N	34512	298	9999-12-31	2013-05-08
025	2000-07-24	FROM	MERGER/TAKEOVER	Elf Petroleum Norge AS	33.200000	\N	34512	298	9999-12-31	2013-05-08
025	1990-07-06	FROM	UNKNOWN	Elf Aquitaine Norge A/S	53.200000	\N	34512	331	9999-12-31	2013-05-08
025	1983-06-01	FROM	UNKNOWN	Norske Hudbay A/S	15.000000	\N	34512	419	9999-12-31	2013-05-08
025	1977-08-11	FROM	UNKNOWN	Norsk Hydro Produksjon AS	15.000000	\N	34512	430	9999-12-31	2013-05-08
025	1983-06-01	FROM	UNKNOWN	Norsk Hydro Produksjon AS	9.600000	\N	34512	430	9999-12-31	2013-05-08
025	2001-08-07	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	34512	430	9999-12-31	2013-05-08
025	1990-07-06	FROM	UNKNOWN	Lasmo Norge A/S	15.000000	\N	34512	452	9999-12-31	2013-05-08
025	2010-01-01	FROM	TRANSFER	Marathon Petroleum Norge AS	8.200000	\N	34512	463	9999-12-31	2013-05-08
025	2011-03-31	FROM	TRANSFER	Marathon Petroleum Norge AS	20.000000	\N	34512	463	9999-12-31	2013-05-08
025	2001-05-10	FROM	CHANGE OF COMPANY NAME	Den norske stats oljeselskap a.s	46.800000	\N	34512	749	9999-12-31	2013-05-08
025	1972-04-25	FROM	UNKNOWN	Total Norge AS	7.000000	\N	34512	848	9999-12-31	2013-05-08
025	1997-01-01	FROM	UNKNOWN	Total Norge AS	15.000000	\N	34512	848	9999-12-31	2013-05-08
025	1998-06-03	FROM	UNKNOWN	Total Norge AS	11.800000	\N	34512	848	9999-12-31	2013-05-08
025	2001-06-20	FROM	TRANSFER	Total Norge AS	10.000000	\N	34512	848	9999-12-31	2013-05-08
025	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	25.000000	\N	34512	982372	9999-12-31	2013-05-08
025	2001-02-06	FROM	TRANSFER	TotalFinaElf Exploration Norge AS	25.000000	\N	34512	1340884	9999-12-31	2013-05-08
025	2001-06-20	FROM	TRANSFER	TotalFinaElf Exploration Norge AS	8.200000	\N	34512	1340884	9999-12-31	2013-05-08
025	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	46.800000	\N	34512	1622484	9999-12-31	2013-05-08
025	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	25.000000	\N	34512	1628733	9999-12-31	2013-05-08
025	2002-08-14	FROM	TRANSFER	BP Norge AS	12.500000	\N	34512	2052695	9999-12-31	2013-05-08
025	2006-11-29	FROM	TRANSFER	BP Norge AS	12.500000	\N	34512	2052695	9999-12-31	2013-05-08
025	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	46.800000	\N	34512	4511658	9999-12-31	2013-05-08
025	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	46.800000	\N	34512	4511854	9999-12-31	2013-05-08
025	1990-07-06	TO	UNKNOWN	Elf Petroleum Norge AS	53.200000	\N	34512	298	9999-12-31	2013-05-08
025	1977-01-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	43.600000	\N	34512	331	9999-12-31	2013-05-08
025	1983-06-01	TO	UNKNOWN	Elf Aquitaine Norge A/S	9.600000	\N	34512	331	9999-12-31	2013-05-08
025	1977-08-11	TO	UNKNOWN	Norske Hudbay A/S	15.000000	\N	34512	419	9999-12-31	2013-05-08
025	1972-04-25	TO	UNKNOWN	Norsk Hydro Produksjon AS	21.000000	\N	34512	430	9999-12-31	2013-05-08
025	1983-06-01	TO	UNKNOWN	Lasmo Norge A/S	15.000000	\N	34512	452	9999-12-31	2013-05-08
025	2001-06-20	TO	TRANSFER	Marathon Petroleum Norge AS	18.200000	\N	34512	463	9999-12-31	2013-05-08
025	2001-08-07	TO	TRANSFER	Marathon Petroleum Norge AS	10.000000	\N	34512	463	9999-12-31	2013-05-08
025	1997-01-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	35.000000	\N	34512	749	9999-12-31	2013-05-08
025	1998-06-03	TO	UNKNOWN	Den norske stats oljeselskap a.s	11.800000	\N	34512	749	9999-12-31	2013-05-08
025	1990-07-06	TO	UNKNOWN	Total Norge AS	15.000000	\N	34512	848	9999-12-31	2013-05-08
025	2001-02-06	TO	TRANSFER	BP Amoco Norge AS	25.000000	\N	34512	982372	9999-12-31	2013-05-08
025	2000-07-24	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	33.200000	\N	34512	1340884	9999-12-31	2013-05-08
025	2001-05-10	TO	CHANGE OF COMPANY NAME	Statoil ASA (old)	46.800000	\N	34512	1622484	9999-12-31	2013-05-08
025	2002-08-14	TO	TRANSFER	Gaz de France Norge AS	12.500000	\N	34512	1628733	9999-12-31	2013-05-08
025	2006-11-29	TO	TRANSFER	Gaz de France Norge AS	12.500000	\N	34512	1628733	9999-12-31	2013-05-08
025	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	25.000000	\N	34512	2052695	9999-12-31	2013-05-08
025	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	46.800000	\N	34512	4511658	9999-12-31	2013-05-08
025	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	46.800000	\N	34512	4511854	9999-12-31	2013-05-08
025	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	25.000000	\N	34512	5267845	9999-12-31	2013-05-08
025	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	46.800000	\N	34512	17237817	9999-12-31	2013-05-08
025	2010-01-01	TO	TRANSFER	Statoil Petroleum AS	8.200000	\N	34512	17237817	9999-12-31	2013-05-08
025	2011-03-31	TO	TRANSFER	Statoil Petroleum AS	20.000000	\N	34512	17237817	9999-12-31	2013-05-08
079	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	2.400000	\N	34635	221	9999-12-31	2013-05-08
079	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	34.000000	\N	34635	430	9999-12-31	2013-05-08
079	2008-01-01	FROM	TRANSFER	Mobil Development Norway AS	4.700000	\N	34635	474	9999-12-31	2013-05-08
079	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.500000	\N	34635	716	9999-12-31	2013-05-08
079	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	73.500000	\N	34635	749	9999-12-31	2013-05-08
079	1983-08-01	FROM	UNKNOWN	Not allocated	5.000000	\N	34635	870	9999-12-31	2013-05-08
079	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	34635	1340884	9999-12-31	2013-05-08
079	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	15.300000	\N	34635	1622484	9999-12-31	2013-05-08
079	2001-06-17	FROM	SDFI	SDØE	59.500000	\N	34635	1623450	9999-12-31	2013-05-08
079	2002-03-19	FROM	TRANSFER	Petoro AS	17.500000	\N	34635	1626839	9999-12-31	2013-05-08
079	2002-10-01	FROM	TRANSFER	Petoro AS	3.700000	\N	34635	1626839	9999-12-31	2013-05-08
079	2002-12-02	FROM	TRANSFER	Petoro AS	4.700000	\N	34635	1626839	9999-12-31	2013-05-08
079	2007-01-02	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	2.400000	\N	34635	2399056	9999-12-31	2013-05-08
079	2012-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	4.700000	\N	34635	2835212	9999-12-31	2013-05-08
079	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	49.300000	\N	34635	4511658	9999-12-31	2013-05-08
079	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	15.300000	\N	34635	4511854	9999-12-31	2013-05-08
079	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	34.000000	\N	34635	4524355	9999-12-31	2013-05-08
079	2002-10-01	TO	TRANSFER	Norske Conoco A/S	2.400000	\N	34635	221	9999-12-31	2013-05-08
079	1983-08-01	TO	UNKNOWN	Norsk Hydro Produksjon AS	1.000000	\N	34635	430	9999-12-31	2013-05-08
079	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.500000	\N	34635	430	9999-12-31	2013-05-08
079	2002-03-19	TO	TRANSFER	Norsk Hydro Produksjon AS	7.500000	\N	34635	430	9999-12-31	2013-05-08
079	2002-12-02	TO	TRANSFER	Mobil Development Norway AS	4.700000	\N	34635	474	9999-12-31	2013-05-08
079	1983-08-01	TO	UNKNOWN	Saga Petroleum ASA	0.500000	\N	34635	716	9999-12-31	2013-05-08
079	1983-08-01	TO	UNKNOWN	Den norske stats oljeselskap a.s	3.500000	\N	34635	749	9999-12-31	2013-05-08
079	2002-03-19	TO	TRANSFER	TotalFinaElf Exploration Norge AS	10.000000	\N	34635	1340884	9999-12-31	2013-05-08
079	2001-05-10	TO	SDFI	Statoil ASA (old)	14.000000	\N	34635	1622484	9999-12-31	2013-05-08
079	2002-10-01	TO	TRANSFER	Statoil ASA (old)	1.300000	\N	34635	1622484	9999-12-31	2013-05-08
079	2001-05-10	TO	SDFI	SDØE	59.500000	\N	34635	1623450	9999-12-31	2013-05-08
079	2001-06-17	TO	SDFI	Petoro AS	59.500000	\N	34635	1626839	9999-12-31	2013-05-08
079	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	2.400000	\N	34635	2399056	9999-12-31	2013-05-08
079	2007-01-02	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	2.400000	\N	34635	2410696	9999-12-31	2013-05-08
079	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	10.000000	\N	34635	2410708	9999-12-31	2013-05-08
079	2012-01-01	TO	TRANSFER	Total E&P Norge AS	4.700000	\N	34635	2410708	9999-12-31	2013-05-08
079	2008-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	4.700000	\N	34635	2835212	9999-12-31	2013-05-08
079	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	34.000000	\N	34635	4511658	9999-12-31	2013-05-08
079	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	15.300000	\N	34635	4511658	9999-12-31	2013-05-08
079	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	15.300000	\N	34635	4511854	9999-12-31	2013-05-08
079	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	34.000000	\N	34635	4524355	9999-12-31	2013-05-08
079	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	49.300000	\N	34635	17237817	9999-12-31	2013-05-08
102 B	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	30.000000	\N	40264	298	9999-12-31	2013-05-08
102 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	40264	749	9999-12-31	2013-05-08
102 B	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	20.000000	\N	40264	848	9999-12-31	2013-05-08
102 B	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	40264	1623450	9999-12-31	2013-05-08
102 B	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	30.000000	\N	40264	1340884	9999-12-31	2013-05-08
102 B	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	20.000000	\N	40264	1340884	9999-12-31	2013-05-08
102 B	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	40264	1622484	9999-12-31	2013-05-08
102 B	2001-05-10	TO	SDFI	SDØE	30.000000	\N	40264	1623450	9999-12-31	2013-05-08
102 B	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	40264	1626839	9999-12-31	2013-05-08
103 B	2000-01-01	FROM	TRANSFER	Amerada Hess Norge AS	12.500000	\N	40772	67	9999-12-31	2013-05-08
103 B	2002-07-05	FROM	TRANSFER	Norske Conoco A/S	37.500000	\N	40772	221	9999-12-31	2013-05-08
103 B	2001-02-06	FROM	TRANSFER	Den norske stats oljeselskap a.s	20.000000	\N	40772	749	9999-12-31	2013-05-08
103 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	40772	749	9999-12-31	2013-05-08
103 B	2004-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	70.000000	\N	40772	1340609	9999-12-31	2013-05-08
103 B	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	40772	1623450	9999-12-31	2013-05-08
103 B	2011-01-01	FROM	TRANSFER	Petoro AS	30.000000	\N	40772	1626839	9999-12-31	2013-05-08
103 B	2008-01-01	FROM	TRANSFER	Lundin Norway AS	70.000000	\N	40772	2767314	9999-12-31	2013-05-08
103 B	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	70.000000	\N	40772	4539989	9999-12-31	2013-05-08
103 B	2000-01-01	TO	TRANSFER	Det Norske Oljeselskap AS	12.500000	\N	40772	1340609	9999-12-31	2013-05-08
103 B	2001-02-06	TO	TRANSFER	Det Norske Oljeselskap AS	20.000000	\N	40772	1340609	9999-12-31	2013-05-08
103 B	2002-07-05	TO	TRANSFER	Det Norske Oljeselskap AS	37.500000	\N	40772	1340609	9999-12-31	2013-05-08
103 B	2001-05-10	TO	SDFI	SDØE	30.000000	\N	40772	1623450	9999-12-31	2013-05-08
103 B	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	40772	1626839	9999-12-31	2013-05-08
103 B	2004-01-01	TO	TRANSFER	Lundin Norway AS	70.000000	\N	40772	2767314	9999-12-31	2013-05-08
103 B	2011-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	30.000000	\N	40772	4062883	9999-12-31	2013-05-08
103 B	2008-01-01	TO	TRANSFER	Det norske oljeselskap ASA (old)	70.000000	\N	40772	4539989	9999-12-31	2013-05-08
103 B	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	70.000000	\N	40772	17342870	9999-12-31	2013-05-08
237	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	7.900000	\N	41327	45	9999-12-31	2013-05-08
237	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.610000	\N	41327	430	9999-12-31	2013-05-08
237	2006-08-01	FROM	TRANSFER	Mobil Development Norway AS	0.110000	\N	41327	474	9999-12-31	2013-05-08
237	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	7.240000	\N	41327	474	9999-12-31	2013-05-08
237	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	7.000000	\N	41327	496	9999-12-31	2013-05-08
169 B1	2001-02-06	TO	TRANSFER	Norske Conoco A/S	8.000000	\N	1030964	221	9999-12-31	2013-05-08
237	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	7.000000	\N	41327	716	9999-12-31	2013-05-08
237	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	60.500000	\N	41327	749	9999-12-31	2013-05-08
237	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	7.650000	\N	41327	848	9999-12-31	2013-05-08
237	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	7.000000	\N	41327	102714	9999-12-31	2013-05-08
237	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	7.650000	\N	41327	1340884	9999-12-31	2013-05-08
237	2006-08-01	FROM	TRANSFER	Statoil ASA (old)	0.040000	\N	41327	1622484	9999-12-31	2013-05-08
237	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	24.960000	\N	41327	1622484	9999-12-31	2013-05-08
237	2001-06-01	FROM	TRANSFER	SDØE	11.450000	\N	41327	1623450	9999-12-31	2013-05-08
237	2001-06-17	FROM	SDFI	SDØE	35.500000	\N	41327	1623450	9999-12-31	2013-05-08
237	2006-08-01	FROM	TRANSFER	Eni Norge AS	0.080000	\N	41327	2388594	9999-12-31	2013-05-08
237	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	9.610000	\N	41327	4511658	9999-12-31	2013-05-08
237	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	34.570000	\N	41327	4511658	9999-12-31	2013-05-08
237	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	34.570000	\N	41327	4511854	9999-12-31	2013-05-08
237	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.610000	\N	41327	4524355	9999-12-31	2013-05-08
237	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	7.000000	\N	41327	430	9999-12-31	2013-05-08
237	2006-08-01	TO	TRANSFER	Norsk Hydro Produksjon AS	0.010000	\N	41327	430	9999-12-31	2013-05-08
237	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	7.000000	\N	41327	102714	9999-12-31	2013-05-08
237	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	7.650000	\N	41327	1340884	9999-12-31	2013-05-08
237	2001-05-10	TO	SDFI	Statoil ASA (old)	13.550000	\N	41327	1622484	9999-12-31	2013-05-08
237	2001-06-01	TO	TRANSFER	Statoil ASA (old)	11.450000	\N	41327	1622484	9999-12-31	2013-05-08
237	2001-05-10	TO	SDFI	SDØE	46.950000	\N	41327	1623450	9999-12-31	2013-05-08
237	2001-06-17	TO	SDFI	Petoro AS	35.500000	\N	41327	1626839	9999-12-31	2013-05-08
237	2006-08-01	TO	TRANSFER	Petoro AS	0.190000	\N	41327	1626839	9999-12-31	2013-05-08
237	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	7.000000	\N	41327	2388594	9999-12-31	2013-05-08
237	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	7.900000	\N	41327	2388594	9999-12-31	2013-05-08
237	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	7.650000	\N	41327	2410708	9999-12-31	2013-05-08
237	2006-08-01	TO	TRANSFER	Total E&P Norge AS	0.030000	\N	41327	2410708	9999-12-31	2013-05-08
237	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	7.240000	\N	41327	2835212	9999-12-31	2013-05-08
237	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.610000	\N	41327	4511658	9999-12-31	2013-05-08
237	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	34.570000	\N	41327	4511658	9999-12-31	2013-05-08
237	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	24.960000	\N	41327	4511854	9999-12-31	2013-05-08
237	2008-01-01	TO	TRANSFER	StatoilHydro ASA	9.610000	\N	41327	4511854	9999-12-31	2013-05-08
237	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.610000	\N	41327	4524355	9999-12-31	2013-05-08
237	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	34.570000	\N	41327	17237817	9999-12-31	2013-05-08
128 B	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	6.900000	\N	41361	45	9999-12-31	2013-05-08
128 B	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	6.000000	\N	41361	342	9999-12-31	2013-05-08
128 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	8.100000	\N	41361	430	9999-12-31	2013-05-08
128 B	1999-12-11	FROM	TRANSFER	Saga Petroleum ASA	9.000000	\N	41361	716	9999-12-31	2013-05-08
128 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	79.000000	\N	41361	749	9999-12-31	2013-05-08
128 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	31.000000	\N	41361	1622484	9999-12-31	2013-05-08
128 B	2001-06-01	FROM	TRANSFER	SDØE	1.000000	\N	41361	1623450	9999-12-31	2013-05-08
128 B	2001-06-17	FROM	SDFI	SDØE	54.000000	\N	41361	1623450	9999-12-31	2013-05-08
128 B	2005-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	6.000000	\N	41361	1853786	9999-12-31	2013-05-08
128 B	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	8.100000	\N	41361	4511658	9999-12-31	2013-05-08
128 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	39.100000	\N	41361	4511658	9999-12-31	2013-05-08
128 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	39.100000	\N	41361	4511854	9999-12-31	2013-05-08
128 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	8.100000	\N	41361	4524355	9999-12-31	2013-05-08
128 B	1999-12-11	TO	TRANSFER	Den norske stats oljeselskap a.s	9.000000	\N	41361	749	9999-12-31	2013-05-08
128 B	2001-05-10	TO	SDFI	Statoil ASA (old)	24.000000	\N	41361	1622484	9999-12-31	2013-05-08
128 B	2001-06-01	TO	TRANSFER	Statoil ASA (old)	1.000000	\N	41361	1622484	9999-12-31	2013-05-08
128 B	2005-01-01	TO	TRANSFER	Statoil ASA (old)	6.000000	\N	41361	1622484	9999-12-31	2013-05-08
128 B	2001-05-10	TO	SDFI	SDØE	55.000000	\N	41361	1623450	9999-12-31	2013-05-08
128 B	2001-06-17	TO	SDFI	Petoro AS	54.000000	\N	41361	1626839	9999-12-31	2013-05-08
128 B	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	6.000000	\N	41361	1853786	9999-12-31	2013-05-08
128 B	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	6.900000	\N	41361	2388594	9999-12-31	2013-05-08
128 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	8.100000	\N	41361	4511658	9999-12-31	2013-05-08
128 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	39.100000	\N	41361	4511658	9999-12-31	2013-05-08
128 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	31.000000	\N	41361	4511854	9999-12-31	2013-05-08
128 B	2008-01-01	TO	TRANSFER	StatoilHydro ASA	8.100000	\N	41361	4511854	9999-12-31	2013-05-08
128 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	8.100000	\N	41361	4524355	9999-12-31	2013-05-08
128 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	39.100000	\N	41361	17237817	9999-12-31	2013-05-08
019 C	1998-09-16	FROM	TRANSFER	Norske AEDC A/S	5.000000	\N	47992	34	9999-12-31	2013-05-08
019 C	1998-11-30	FROM	TRANSFER	BP Petroleum Dev. of Norway AS	20.000000	\N	47992	155	9999-12-31	2013-05-08
019 C	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	45.000000	\N	47992	155	9999-12-31	2013-05-08
019 C	2004-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	20.000000	\N	47992	430	9999-12-31	2013-05-08
019 C	1999-12-10	FROM	TRANSFER	Norske Moeco A/S	5.000000	\N	47992	485	9999-12-31	2013-05-08
019 C	2002-04-17	FROM	TRANSFER	Pelican AS	35.000000	\N	47992	606	9999-12-31	2013-05-08
019 C	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	47992	749	9999-12-31	2013-05-08
019 C	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	45.000000	\N	47992	982372	9999-12-31	2013-05-08
019 C	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	47992	1623450	9999-12-31	2013-05-08
019 C	2002-03-19	FROM	TRANSFER	Petoro AS	30.000000	\N	47992	1626839	9999-12-31	2013-05-08
019 C	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	35.000000	\N	47992	1853083	9999-12-31	2013-05-08
019 C	2003-07-04	FROM	TRANSFER	BP Norge AS	45.000000	\N	47992	2052695	9999-12-31	2013-05-08
019 C	1998-09-16	TO	TRANSFER	BP Petroleum Dev. of Norway AS	4.778000	\N	47992	155	9999-12-31	2013-05-08
019 C	1999-12-10	TO	TRANSFER	BP Petroleum Dev. of Norway AS	4.222000	\N	47992	155	9999-12-31	2013-05-08
019 C	1998-11-30	TO	TRANSFER	Norsk Hydro Produksjon AS	20.000000	\N	47992	430	9999-12-31	2013-05-08
019 C	1998-09-16	TO	TRANSFER	Pelican AS	0.222000	\N	47992	606	9999-12-31	2013-05-08
019 C	1999-12-10	TO	TRANSFER	Pelican AS	0.778000	\N	47992	606	9999-12-31	2013-05-08
019 C	2002-03-19	TO	TRANSFER	Pelican AS	30.000000	\N	47992	606	9999-12-31	2013-05-08
019 C	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	45.000000	\N	47992	982372	9999-12-31	2013-05-08
019 C	2001-05-10	TO	SDFI	SDØE	30.000000	\N	47992	1623450	9999-12-31	2013-05-08
019 C	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	47992	1626839	9999-12-31	2013-05-08
019 C	2002-04-17	TO	TRANSFER	DONG Norge AS	35.000000	\N	47992	1853083	9999-12-31	2013-05-08
019 C	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	45.000000	\N	47992	2052695	9999-12-31	2013-05-08
019 C	2003-07-04	TO	TRANSFER	Talisman Energy Norge AS	45.000000	\N	47992	2425093	9999-12-31	2013-05-08
019 C	2004-01-01	TO	TRANSFER	Talisman Energy Norge AS	20.000000	\N	47992	2425093	9999-12-31	2013-05-08
019 C	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	35.000000	\N	47992	4070011	9999-12-31	2013-05-08
037 B	1998-09-16	FROM	TRANSFER	Norske Conoco A/S	12.083330	\N	48081	221	9999-12-31	2013-05-08
037 B	1998-09-16	FROM	TRANSFER	Enterprise Oil Norwegian AS	1.041670	\N	48081	342	9999-12-31	2013-05-08
037 B	1998-09-16	FROM	TRANSFER	Esso Exploration and Production Norway A/S	10.000000	\N	48081	353	9999-12-31	2013-05-08
037 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.000000	\N	48081	430	9999-12-31	2013-05-08
037 B	1998-09-16	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	48081	474	9999-12-31	2013-05-08
037 B	1998-09-16	FROM	TRANSFER	A/S Norske Shell	10.000000	\N	48081	562	9999-12-31	2013-05-08
037 B	2000-06-09	FROM	TRANSFER	Saga Petroleum ASA	6.000000	\N	48081	716	9999-12-31	2013-05-08
037 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	91.000000	\N	48081	749	9999-12-31	2013-05-08
037 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	61.000000	\N	48081	1622484	9999-12-31	2013-05-08
037 B	2001-06-01	FROM	TRANSFER	SDØE	43.000000	\N	48081	1623450	9999-12-31	2013-05-08
037 B	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	48081	1623450	9999-12-31	2013-05-08
037 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	48081	4511658	9999-12-31	2013-05-08
037 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	61.000000	\N	48081	4511854	9999-12-31	2013-05-08
037 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.000000	\N	48081	4524355	9999-12-31	2013-05-08
037 B	1998-09-16	TO	TRANSFER	Norsk Hydro Produksjon AS	9.000000	\N	48081	430	9999-12-31	2013-05-08
037 B	1998-09-16	TO	TRANSFER	Saga Petroleum ASA	4.125000	\N	48081	716	9999-12-31	2013-05-08
037 B	1998-09-16	TO	TRANSFER	Den norske stats oljeselskap a.s	35.000000	43.000000	48081	749	9999-12-31	2013-05-08
037 B	2000-06-09	TO	TRANSFER	Den norske stats oljeselskap a.s	6.000000	\N	48081	749	9999-12-31	2013-05-08
037 B	2001-05-10	TO	SDFI	Statoil ASA (old)	18.000000	\N	48081	1622484	9999-12-31	2013-05-08
037 B	2001-06-01	TO	TRANSFER	Statoil ASA (old)	43.000000	\N	48081	1622484	9999-12-31	2013-05-08
037 B	2001-05-10	TO	SDFI	SDØE	73.000000	\N	48081	1623450	9999-12-31	2013-05-08
037 B	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	48081	1626839	9999-12-31	2013-05-08
037 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.000000	\N	48081	4511658	9999-12-31	2013-05-08
037 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	61.000000	\N	48081	4511658	9999-12-31	2013-05-08
037 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	61.000000	\N	48081	4511854	9999-12-31	2013-05-08
037 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.000000	\N	48081	4524355	9999-12-31	2013-05-08
037 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	48081	17237817	9999-12-31	2013-05-08
053 B	1999-01-01	FROM	TRANSFER	Elf Petroleum Norge AS	9.333000	\N	48207	298	9999-12-31	2013-05-08
053 B	2002-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	20.600000	\N	48207	430	9999-12-31	2013-05-08
053 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	48207	430	9999-12-31	2013-05-08
053 B	1999-01-01	FROM	TRANSFER	Mobil Development Norway AS	7.000000	\N	48207	474	9999-12-31	2013-05-08
053 B	1999-01-01	FROM	TRANSFER	Saga Petroleum ASA	7.350000	\N	48207	716	9999-12-31	2013-05-08
053 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	59.400000	\N	48207	749	9999-12-31	2013-05-08
053 B	1999-01-01	FROM	TRANSFER	Total Norge AS	4.667000	\N	48207	848	9999-12-31	2013-05-08
053 B	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	20.000000	\N	48207	1577943	9999-12-31	2013-05-08
053 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	12.700000	\N	48207	1622484	9999-12-31	2013-05-08
053 B	2007-10-02	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	1.300000	\N	48207	1622484	9999-12-31	2013-05-08
053 B	2001-06-17	FROM	SDFI	SDØE	45.400000	\N	48207	1623450	9999-12-31	2013-05-08
053 B	2002-03-19	FROM	TRANSFER	Petoro AS	20.000000	\N	48207	1626839	9999-12-31	2013-05-08
053 B	2011-01-01	FROM	TRANSFER	Petoro AS	25.400000	\N	48207	1626839	9999-12-31	2013-05-08
053 B	2005-01-01	FROM	CHANGE OF COMPANY NAME	OER Oil AS	20.600000	\N	48207	2258813	9999-12-31	2013-05-08
053 B	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	20.600000	\N	48207	3113213	9999-12-31	2013-05-08
053 B	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	20.000000	\N	48207	3987574	9999-12-31	2013-05-08
053 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	34.000000	\N	48207	4511658	9999-12-31	2013-05-08
053 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	14.000000	\N	48207	4511854	9999-12-31	2013-05-08
053 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	20.000000	\N	48207	4524355	9999-12-31	2013-05-08
053 B	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	20.600000	\N	48207	5497155	9999-12-31	2013-05-08
053 B	1999-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	28.350000	\N	48207	430	9999-12-31	2013-05-08
053 B	2002-03-19	TO	TRANSFER	Paladin Resources Norge AS	20.000000	\N	48207	1577943	9999-12-31	2013-05-08
053 B	2001-05-10	TO	SDFI	Statoil ASA (old)	14.000000	\N	48207	1622484	9999-12-31	2013-05-08
053 B	2001-05-10	TO	SDFI	SDØE	45.400000	\N	48207	1623450	9999-12-31	2013-05-08
053 B	2001-06-17	TO	SDFI	Petoro AS	45.400000	\N	48207	1626839	9999-12-31	2013-05-08
053 B	2002-01-01	TO	TRANSFER	OER Oil AS	20.600000	\N	48207	2258813	9999-12-31	2013-05-08
053 B	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	20.000000	\N	48207	2425093	9999-12-31	2013-05-08
053 B	2005-01-01	TO	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	20.600000	\N	48207	3113213	9999-12-31	2013-05-08
053 B	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	20.000000	\N	48207	3987574	9999-12-31	2013-05-08
053 B	2011-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	25.400000	\N	48207	4062883	9999-12-31	2013-05-08
053 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	48207	4511658	9999-12-31	2013-05-08
053 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	14.000000	\N	48207	4511658	9999-12-31	2013-05-08
053 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	12.700000	\N	48207	4511854	9999-12-31	2013-05-08
053 B	2007-10-02	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	1.300000	\N	48207	4511854	9999-12-31	2013-05-08
053 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	20.000000	\N	48207	4524355	9999-12-31	2013-05-08
053 B	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	20.600000	\N	48207	5497155	9999-12-31	2013-05-08
053 B	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	20.600000	\N	48207	17237193	9999-12-31	2013-05-08
053 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	34.000000	\N	48207	17237817	9999-12-31	2013-05-08
114 C	1998-12-17	FROM	CHANGE OF COMPANY NAME	Deminex Norge AS	10.000000	\N	90914	254	9999-12-31	2013-05-08
114 C	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	25.000000	\N	90914	716	9999-12-31	2013-05-08
114 C	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	65.000000	\N	90914	749	9999-12-31	2013-05-08
114 C	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	90914	1623450	9999-12-31	2013-05-08
114 C	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	25.000000	\N	90914	430	9999-12-31	2013-05-08
114 C	1998-12-17	TO	CHANGE OF COMPANY NAME	RWE Dea Norge AS	10.000000	\N	90914	97557	9999-12-31	2013-05-08
114 C	2001-05-10	TO	SDFI	Statoil ASA (old)	35.000000	\N	90914	1622484	9999-12-31	2013-05-08
114 C	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	90914	1622484	9999-12-31	2013-05-08
114 C	2001-05-10	TO	SDFI	SDØE	30.000000	\N	90914	1623450	9999-12-31	2013-05-08
238	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	35.000000	\N	102103	342	9999-12-31	2013-05-08
238	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	25.000000	\N	102103	749	9999-12-31	2013-05-08
238	2001-06-01	FROM	TRANSFER	SDØE	25.000000	\N	102103	1623450	9999-12-31	2013-05-08
238	2001-06-01	TO	TRANSFER	Statoil ASA (old)	25.000000	\N	102103	1622484	9999-12-31	2013-05-08
238	2001-05-10	TO	SDFI	SDØE	25.000000	\N	102103	1623450	9999-12-31	2013-05-08
238	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	35.000000	\N	102103	1853786	9999-12-31	2013-05-08
241	2001-06-08	FROM	TRANSFER	Esso Exploration and Production Norway A/S	35.000000	\N	102131	353	9999-12-31	2013-05-08
241	2003-08-22	FROM	TRANSFER	Esso Exploration and Production Norway A/S	15.000000	\N	102131	353	9999-12-31	2013-05-08
241	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	50.000000	\N	102131	353	9999-12-31	2013-05-08
241	2001-06-08	TO	TRANSFER	Statoil ASA (old)	35.000000	\N	102131	1622484	9999-12-31	2013-05-08
241	2003-08-22	TO	TRANSFER	Statoil ASA (old)	15.000000	\N	102131	1622484	9999-12-31	2013-05-08
241	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	50.000000	\N	102131	2835212	9999-12-31	2013-05-08
239	2003-11-27	FROM	TRANSFER	Norsk Agip  AS	40.000000	\N	102157	45	9999-12-31	2013-05-08
239	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	25.000000	\N	102157	749	9999-12-31	2013-05-08
239	2003-02-12	FROM	TRANSFER	Statoil ASA (old)	25.000000	\N	102157	1622484	9999-12-31	2013-05-08
239	2001-06-01	FROM	TRANSFER	SDØE	25.000000	\N	102157	1623450	9999-12-31	2013-05-08
239	2003-02-12	TO	TRANSFER	Paladin Resources Norge AS	25.000000	\N	102157	1577943	9999-12-31	2013-05-08
239	2001-06-01	TO	TRANSFER	Statoil ASA (old)	25.000000	\N	102157	1622484	9999-12-31	2013-05-08
239	2001-05-10	TO	SDFI	SDØE	25.000000	\N	102157	1623450	9999-12-31	2013-05-08
239	2003-11-27	TO	TRANSFER	DONG Norge AS	40.000000	\N	102157	1853083	9999-12-31	2013-05-08
240	1999-12-23	FROM	MERGER/TAKEOVER	Amoco Norway AS	75.000000	\N	102217	89	9999-12-31	2013-05-08
240	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	25.000000	\N	102217	749	9999-12-31	2013-05-08
240	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	75.000000	\N	102217	982372	9999-12-31	2013-05-08
240	2001-06-01	FROM	TRANSFER	SDØE	25.000000	\N	102217	1623450	9999-12-31	2013-05-08
240	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	75.000000	\N	102217	982372	9999-12-31	2013-05-08
240	2001-06-01	TO	TRANSFER	Statoil ASA (old)	25.000000	\N	102217	1622484	9999-12-31	2013-05-08
240	2001-05-10	TO	SDFI	SDØE	25.000000	\N	102217	1623450	9999-12-31	2013-05-08
240	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	75.000000	\N	102217	2052695	9999-12-31	2013-05-08
242	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	50.000000	\N	102226	342	9999-12-31	2013-05-08
242	2004-01-01	FROM	TRANSFER	Esso Exploration and Production Norway A/S	50.000000	\N	102226	353	9999-12-31	2013-05-08
242	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	50.000000	\N	102226	353	9999-12-31	2013-05-08
242	2006-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	15.000000	\N	102226	1340609	9999-12-31	2013-05-08
242	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	35.000000	\N	102226	1340609	9999-12-31	2013-05-08
242	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	102226	1622484	9999-12-31	2013-05-08
242	2003-06-12	FROM	TRANSFER	Enterprise Oil Norge AS	50.000000	\N	102226	1853786	9999-12-31	2013-05-08
242	2005-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	50.000000	\N	102226	2835212	9999-12-31	2013-05-08
242	2009-01-21	FROM	CHANGE OF COMPANY NAME	PA Resources Norway AS	15.000000	\N	102226	3986418	9999-12-31	2013-05-08
242	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	35.000000	\N	102226	4468177	9999-12-31	2013-05-08
242	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	102226	4511658	9999-12-31	2013-05-08
242	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	102226	4511854	9999-12-31	2013-05-08
242	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	35.000000	\N	102226	4539976	9999-12-31	2013-05-08
242	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	35.000000	\N	102226	4539989	9999-12-31	2013-05-08
242	2009-03-23	FROM	TRANSFER	Bayerngas Produksjon Norge AS	15.000000	\N	102226	5461974	9999-12-31	2013-05-08
242	2003-06-12	TO	TRANSFER	Esso Exploration and Production Norway A/S	50.000000	\N	102226	353	9999-12-31	2013-05-08
242	2005-01-01	TO	TRANSFER	Det Norske Oljeselskap AS	50.000000	\N	102226	1340609	9999-12-31	2013-05-08
242	2004-01-01	TO	TRANSFER	Statoil ASA (old)	50.000000	\N	102226	1622484	9999-12-31	2013-05-08
242	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	50.000000	\N	102226	1853786	9999-12-31	2013-05-08
242	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	50.000000	\N	102226	2835212	9999-12-31	2013-05-08
242	2006-01-01	TO	TRANSFER	PA Resources Norway AS	15.000000	\N	102226	3986418	9999-12-31	2013-05-08
242	2009-03-23	TO	TRANSFER	Bayerngas Norge AS	15.000000	\N	102226	4444493	9999-12-31	2013-05-08
242	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	35.000000	\N	102226	4468177	9999-12-31	2013-05-08
242	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	102226	4511658	9999-12-31	2013-05-08
242	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	102226	4511854	9999-12-31	2013-05-08
242	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	35.000000	\N	102226	4539976	9999-12-31	2013-05-08
242	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	35.000000	\N	102226	4539989	9999-12-31	2013-05-08
242	2009-01-21	TO	CHANGE OF COMPANY NAME	Bayerngas Produksjon Norge AS	15.000000	\N	102226	5461974	9999-12-31	2013-05-08
242	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	102226	17237817	9999-12-31	2013-05-08
242	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	35.000000	\N	102226	17342870	9999-12-31	2013-05-08
243	1999-12-23	FROM	MERGER/TAKEOVER	Amoco Norway AS	45.000000	\N	102235	89	9999-12-31	2013-05-08
243	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	25.000000	\N	102235	749	9999-12-31	2013-05-08
243	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	45.000000	\N	102235	982372	9999-12-31	2013-05-08
243	2001-06-01	FROM	TRANSFER	SDØE	25.000000	\N	102235	1623450	9999-12-31	2013-05-08
243	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	45.000000	\N	102235	982372	9999-12-31	2013-05-08
243	2001-06-01	TO	TRANSFER	Statoil ASA (old)	25.000000	\N	102235	1622484	9999-12-31	2013-05-08
243	2001-05-10	TO	SDFI	SDØE	25.000000	\N	102235	1623450	9999-12-31	2013-05-08
243	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	45.000000	\N	102235	2052695	9999-12-31	2013-05-08
244	2000-07-01	FROM	TRANSFER	Enterprise Oil Norwegian AS	25.000000	\N	102244	342	9999-12-31	2013-05-08
244	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	25.000000	\N	102244	342	9999-12-31	2013-05-08
244	2000-07-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	20.000000	\N	102244	430	9999-12-31	2013-05-08
244	2002-04-17	FROM	TRANSFER	Pelican AS	45.000000	\N	102244	606	9999-12-31	2013-05-08
244	2000-07-01	TO	TRANSFER	Pelican AS	45.000000	\N	102244	606	9999-12-31	2013-05-08
244	2002-04-17	TO	TRANSFER	DONG Norge AS	45.000000	\N	102244	1853083	9999-12-31	2013-05-08
244	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	25.000000	\N	102244	1853786	9999-12-31	2013-05-08
245	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	20.000000	\N	102258	716	9999-12-31	2013-05-08
245	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	55.000000	\N	102258	749	9999-12-31	2013-05-08
245	2001-06-17	FROM	SDFI	SDØE	25.000000	\N	102258	1623450	9999-12-31	2013-05-08
245	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	102258	430	9999-12-31	2013-05-08
245	2001-05-10	TO	SDFI	Statoil ASA (old)	30.000000	\N	102258	1622484	9999-12-31	2013-05-08
245	2001-05-10	TO	SDFI	SDØE	25.000000	\N	102258	1623450	9999-12-31	2013-05-08
245	2001-06-17	TO	SDFI	Petoro AS	25.000000	\N	102258	1626839	9999-12-31	2013-05-08
248	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	102285	430	9999-12-31	2013-05-08
248	2004-05-01	FROM	TRANSFER	Mobil Development Norway AS	20.000000	\N	102285	474	9999-12-31	2013-05-08
248	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	60.000000	\N	102285	749	9999-12-31	2013-05-08
248	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	102285	1622484	9999-12-31	2013-05-08
248	2001-06-17	FROM	SDFI	SDØE	40.000000	\N	102285	1623450	9999-12-31	2013-05-08
248	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	102285	4511658	9999-12-31	2013-05-08
248	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	102285	4511854	9999-12-31	2013-05-08
248	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	102285	4524355	9999-12-31	2013-05-08
248	2004-05-01	TO	TRANSFER	Norsk Hydro Produksjon AS	20.000000	\N	102285	430	9999-12-31	2013-05-08
248	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	102285	1622484	9999-12-31	2013-05-08
248	2001-05-10	TO	SDFI	SDØE	40.000000	\N	102285	1623450	9999-12-31	2013-05-08
248	2001-06-17	TO	SDFI	Petoro AS	40.000000	\N	102285	1626839	9999-12-31	2013-05-08
248	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	102285	4511658	9999-12-31	2013-05-08
248	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	102285	4511658	9999-12-31	2013-05-08
248	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	102285	4511854	9999-12-31	2013-05-08
248	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	102285	4524355	9999-12-31	2013-05-08
248	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	102285	17237817	9999-12-31	2013-05-08
249	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	18.702000	\N	102294	298	9999-12-31	2013-05-08
249	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	28.853000	\N	102294	430	9999-12-31	2013-05-08
249	2008-01-01	FROM	TRANSFER	Marathon Petroleum Norge AS	46.904000	\N	102294	463	9999-12-31	2013-05-08
249	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	6.611000	\N	102294	716	9999-12-31	2013-05-08
249	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	5.541000	\N	102294	848	9999-12-31	2013-05-08
249	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	24.243000	\N	102294	1340884	9999-12-31	2013-05-08
249	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	28.853000	\N	102294	4511658	9999-12-31	2013-05-08
249	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	28.853000	\N	102294	4524355	9999-12-31	2013-05-08
249	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	28.853000	\N	102294	17237817	9999-12-31	2013-05-08
249	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	6.611000	\N	102294	430	9999-12-31	2013-05-08
249	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	18.702000	\N	102294	1340884	9999-12-31	2013-05-08
249	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	5.541000	\N	102294	1340884	9999-12-31	2013-05-08
249	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	24.243000	\N	102294	2410708	9999-12-31	2013-05-08
249	2008-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	46.904000	\N	102294	4238233	9999-12-31	2013-05-08
249	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	28.853000	\N	102294	4238233	9999-12-31	2013-05-08
249	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	28.853000	\N	102294	4511658	9999-12-31	2013-05-08
249	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	28.853000	\N	102294	4524355	9999-12-31	2013-05-08
249	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	28.853000	\N	102294	17237817	9999-12-31	2013-05-08
050 C	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.000000	\N	102490	430	9999-12-31	2013-05-08
050 C	2000-06-09	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	6.000000	\N	102490	716	9999-12-31	2013-05-08
050 C	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	91.000000	\N	102490	749	9999-12-31	2013-05-08
050 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	61.000000	\N	102490	1622484	9999-12-31	2013-05-08
050 C	2001-06-01	FROM	TRANSFER	SDØE	43.000000	\N	102490	1623450	9999-12-31	2013-05-08
050 C	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	102490	1623450	9999-12-31	2013-05-08
050 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	102490	4511658	9999-12-31	2013-05-08
050 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	61.000000	\N	102490	4511854	9999-12-31	2013-05-08
050 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.000000	\N	102490	4524355	9999-12-31	2013-05-08
050 C	2000-06-09	TO	MERGER/TAKEOVER	Den norske stats oljeselskap a.s	6.000000	\N	102490	749	9999-12-31	2013-05-08
050 C	2001-05-10	TO	SDFI	Statoil ASA (old)	18.000000	\N	102490	1622484	9999-12-31	2013-05-08
050 C	2001-06-01	TO	TRANSFER	Statoil ASA (old)	43.000000	\N	102490	1622484	9999-12-31	2013-05-08
050 C	2001-05-10	TO	SDFI	SDØE	73.000000	\N	102490	1623450	9999-12-31	2013-05-08
050 C	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	102490	1626839	9999-12-31	2013-05-08
050 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.000000	\N	102490	4511658	9999-12-31	2013-05-08
050 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	61.000000	\N	102490	4511658	9999-12-31	2013-05-08
050 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	61.000000	\N	102490	4511854	9999-12-31	2013-05-08
050 C	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.000000	\N	102490	4524355	9999-12-31	2013-05-08
050 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	102490	17237817	9999-12-31	2013-05-08
264	2001-05-10	TO	SDFI	SDØE	20.000000	\N	1033127	1623450	9999-12-31	2013-05-08
055 B	2004-01-01	FROM	TRANSFER	Esso Exploration and Production Norway A/S	2.500000	\N	102499	353	9999-12-31	2013-05-08
055 B	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	15.100000	\N	102499	353	9999-12-31	2013-05-08
055 B	2002-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	3.200000	\N	102499	430	9999-12-31	2013-05-08
055 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	102499	430	9999-12-31	2013-05-08
055 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	46.000000	\N	102499	749	9999-12-31	2013-05-08
055 B	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	13.200000	\N	102499	102714	9999-12-31	2013-05-08
055 B	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	20.000000	\N	102499	1577943	9999-12-31	2013-05-08
055 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	12.600000	\N	102499	1622484	9999-12-31	2013-05-08
055 B	2001-06-17	FROM	SDFI	SDØE	33.400000	\N	102499	1623450	9999-12-31	2013-05-08
055 B	2002-03-19	FROM	TRANSFER	Petoro AS	20.000000	\N	102499	1626839	9999-12-31	2013-05-08
055 B	2011-01-01	FROM	TRANSFER	Petoro AS	13.400000	\N	102499	1626839	9999-12-31	2013-05-08
055 B	2005-01-01	FROM	CHANGE OF COMPANY NAME	OER Oil AS	3.200000	\N	102499	2258813	9999-12-31	2013-05-08
055 B	2006-01-01	FROM	TRANSFER	Eni Norge AS	13.200000	\N	102499	2388594	9999-12-31	2013-05-08
055 B	2005-05-04	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	2.500000	\N	102499	2455850	9999-12-31	2013-05-08
055 B	2006-11-28	FROM	CHANGE OF COMPANY NAME	Altinex Oil AS	13.200000	\N	102499	2835200	9999-12-31	2013-05-08
055 B	2005-01-02	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	15.100000	\N	102499	2835212	9999-12-31	2013-05-08
055 B	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	3.200000	\N	102499	3113213	9999-12-31	2013-05-08
055 B	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	2.500000	\N	102499	3431773	9999-12-31	2013-05-08
055 B	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	20.000000	\N	102499	3987574	9999-12-31	2013-05-08
055 B	2011-07-01	FROM	TRANSFER	Altinex Oil Norway AS	13.200000	\N	102499	4446230	9999-12-31	2013-05-08
055 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	32.600000	\N	102499	4511658	9999-12-31	2013-05-08
055 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	12.600000	\N	102499	4511854	9999-12-31	2013-05-08
055 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	20.000000	\N	102499	4524355	9999-12-31	2013-05-08
055 B	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	2.500000	\N	102499	5072514	9999-12-31	2013-05-08
055 B	2010-01-01	FROM	TRANSFER	Wintershall Norge ASA	2.500000	\N	102499	5442509	9999-12-31	2013-05-08
055 B	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	3.200000	\N	102499	5497155	9999-12-31	2013-05-08
055 B	2002-03-19	TO	TRANSFER	Paladin Resources Norge AS	20.000000	\N	102499	1577943	9999-12-31	2013-05-08
055 B	2001-05-10	TO	SDFI	Statoil ASA (old)	12.600000	\N	102499	1622484	9999-12-31	2013-05-08
055 B	2001-05-10	TO	SDFI	SDØE	33.400000	\N	102499	1623450	9999-12-31	2013-05-08
055 B	2001-06-17	TO	SDFI	Petoro AS	33.400000	\N	102499	1626839	9999-12-31	2013-05-08
055 B	2002-01-01	TO	TRANSFER	OER Oil AS	3.200000	\N	102499	2258813	9999-12-31	2013-05-08
055 B	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	13.200000	\N	102499	2388594	9999-12-31	2013-05-08
055 B	2005-01-02	TO	TRANSFER	Talisman Energy Norge AS	15.100000	\N	102499	2425093	9999-12-31	2013-05-08
055 B	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	20.000000	\N	102499	2425093	9999-12-31	2013-05-08
055 B	2004-01-01	TO	TRANSFER	Revus Energy AS	2.500000	\N	102499	2455850	9999-12-31	2013-05-08
055 B	2006-01-01	TO	TRANSFER	Altinex Oil AS	13.200000	\N	102499	2835200	9999-12-31	2013-05-08
055 B	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	15.100000	\N	102499	2835212	9999-12-31	2013-05-08
055 B	2005-01-01	TO	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	3.200000	\N	102499	3113213	9999-12-31	2013-05-08
055 B	2005-05-04	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	2.500000	\N	102499	3431773	9999-12-31	2013-05-08
055 B	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	20.000000	\N	102499	3987574	9999-12-31	2013-05-08
055 B	2011-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	13.400000	\N	102499	4062883	9999-12-31	2013-05-08
055 B	2006-11-28	TO	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	13.200000	\N	102499	4446230	9999-12-31	2013-05-08
055 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	102499	4511658	9999-12-31	2013-05-08
055 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	12.600000	\N	102499	4511658	9999-12-31	2013-05-08
055 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	12.600000	\N	102499	4511854	9999-12-31	2013-05-08
055 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	20.000000	\N	102499	4524355	9999-12-31	2013-05-08
055 B	2010-01-01	TO	TRANSFER	Spring Energy Norway AS	2.500000	\N	102499	5072514	9999-12-31	2013-05-08
055 B	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	2.500000	\N	102499	5442509	9999-12-31	2013-05-08
055 B	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	3.200000	\N	102499	5497155	9999-12-31	2013-05-08
055 B	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	3.200000	\N	102499	17237193	9999-12-31	2013-05-08
055 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	32.600000	\N	102499	17237817	9999-12-31	2013-05-08
055 B	2011-07-01	TO	TRANSFER	Core Energy AS	13.200000	\N	102499	20460080	9999-12-31	2013-05-08
055 B	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	2.500000	\N	102499	23173852	9999-12-31	2013-05-08
250	1999-12-23	FROM	MERGER/TAKEOVER	BP Petroleum Dev. of Norway AS	9.440000	\N	115537	155	9999-12-31	2013-05-08
250	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	5.910000	\N	115537	353	9999-12-31	2013-05-08
250	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	14.780000	\N	115537	430	9999-12-31	2013-05-08
250	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	53.870000	\N	115537	749	9999-12-31	2013-05-08
250	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	9.440000	\N	115537	982372	9999-12-31	2013-05-08
250	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	8.870000	\N	115537	1622484	9999-12-31	2013-05-08
250	2001-06-17	FROM	SDFI	SDØE	45.000000	\N	115537	1623450	9999-12-31	2013-05-08
250	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	9.440000	\N	115537	1853083	9999-12-31	2013-05-08
250	2005-01-01	FROM	TRANSFER	BP Norge AS	9.440000	\N	115537	2052695	9999-12-31	2013-05-08
250	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	23.650000	\N	115537	4511658	9999-12-31	2013-05-08
250	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	8.870000	\N	115537	4511854	9999-12-31	2013-05-08
250	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	14.780000	\N	115537	4524355	9999-12-31	2013-05-08
250	1999-12-23	TO	MERGER/TAKEOVER	BP Amoco Norge AS	9.440000	\N	115537	982372	9999-12-31	2013-05-08
250	2001-05-10	TO	SDFI	Statoil ASA (old)	8.870000	\N	115537	1622484	9999-12-31	2013-05-08
250	2001-05-10	TO	SDFI	SDØE	45.000000	\N	115537	1623450	9999-12-31	2013-05-08
250	2001-06-17	TO	SDFI	Petoro AS	45.000000	\N	115537	1626839	9999-12-31	2013-05-08
250	2005-01-01	TO	TRANSFER	DONG Norge AS	9.440000	\N	115537	1853083	9999-12-31	2013-05-08
250	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	9.440000	\N	115537	2052695	9999-12-31	2013-05-08
250	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	5.910000	\N	115537	2835212	9999-12-31	2013-05-08
250	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	9.440000	\N	115537	4070011	9999-12-31	2013-05-08
250	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	14.780000	\N	115537	4511658	9999-12-31	2013-05-08
250	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	8.870000	\N	115537	4511658	9999-12-31	2013-05-08
250	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	8.870000	\N	115537	4511854	9999-12-31	2013-05-08
250	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	14.780000	\N	115537	4524355	9999-12-31	2013-05-08
250	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	23.650000	\N	115537	17237817	9999-12-31	2013-05-08
037 C	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	12.083330	\N	853671	221	9999-12-31	2013-05-08
037 C	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	1.041670	\N	853671	342	9999-12-31	2013-05-08
037 C	2004-01-01	FROM	TRANSFER	Esso Exploration and Production Norway A/S	25.000000	\N	853671	353	9999-12-31	2013-05-08
037 C	2002-01-01	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	853671	474	9999-12-31	2013-05-08
037 C	2004-01-01	FROM	TRANSFER	A/S Norske Shell	10.000000	\N	853671	562	9999-12-31	2013-05-08
037 C	2001-05-10	FROM	CHANGE OF COMPANY NAME	Den norske stats oljeselskap a.s	51.875000	\N	853671	749	9999-12-31	2013-05-08
037 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	51.875000	\N	853671	1622484	9999-12-31	2013-05-08
037 C	2004-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	1.041670	\N	853671	1853786	9999-12-31	2013-05-08
037 C	2004-01-01	FROM	TRANSFER	Norske ConocoPhillips AS	12.083330	\N	853671	2399056	9999-12-31	2013-05-08
037 C	2005-05-04	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	48.125000	\N	853671	2455850	9999-12-31	2013-05-08
037 C	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	100.000000	\N	853671	3431773	9999-12-31	2013-05-08
037 C	2008-01-11	FROM	TRANSFER	StatoilHydro ASA	51.875000	\N	853671	4511854	9999-12-31	2013-05-08
037 C	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	100.000000	\N	853671	5442509	9999-12-31	2013-05-08
037 C	2002-01-01	TO	TRANSFER	Esso Exploration and Production Norway A/S	15.000000	\N	853671	353	9999-12-31	2013-05-08
037 C	2001-05-10	TO	CHANGE OF COMPANY NAME	Statoil ASA (old)	51.875000	\N	853671	1622484	9999-12-31	2013-05-08
037 C	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	1.041670	\N	853671	1853786	9999-12-31	2013-05-08
037 C	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	12.083330	\N	853671	2399056	9999-12-31	2013-05-08
037 C	2004-01-01	TO	TRANSFER	Revus Energy AS	48.125000	\N	853671	2455850	9999-12-31	2013-05-08
037 C	2005-05-04	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	48.125000	\N	853671	3431773	9999-12-31	2013-05-08
037 C	2008-01-11	TO	TRANSFER	Revus Energy ASA	51.875000	\N	853671	3431773	9999-12-31	2013-05-08
037 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	51.875000	\N	853671	4511854	9999-12-31	2013-05-08
037 C	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	100.000000	\N	853671	5442509	9999-12-31	2013-05-08
037 C	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	100.000000	\N	853671	21666830	9999-12-31	2013-05-08
001 B	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	50.000000	\N	917266	342	9999-12-31	2013-05-08
001 B	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	50.000000	\N	917266	353	9999-12-31	2013-05-08
001 B	2006-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	15.000000	\N	917266	1340609	9999-12-31	2013-05-08
001 B	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	35.000000	\N	917266	1340609	9999-12-31	2013-05-08
001 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	917266	1622484	9999-12-31	2013-05-08
001 B	2003-05-28	FROM	TRANSFER	Enterprise Oil Norge AS	50.000000	\N	917266	1853786	9999-12-31	2013-05-08
001 B	2005-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	50.000000	\N	917266	2835212	9999-12-31	2013-05-08
001 B	2009-01-21	FROM	CHANGE OF COMPANY NAME	PA Resources Norway AS	15.000000	\N	917266	3986418	9999-12-31	2013-05-08
001 B	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	35.000000	\N	917266	4468177	9999-12-31	2013-05-08
001 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	917266	4511658	9999-12-31	2013-05-08
001 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	917266	4511854	9999-12-31	2013-05-08
001 B	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	35.000000	\N	917266	4539976	9999-12-31	2013-05-08
001 B	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	35.000000	\N	917266	4539989	9999-12-31	2013-05-08
001 B	2009-03-23	FROM	TRANSFER	Bayerngas Produksjon Norge AS	15.000000	\N	917266	5461974	9999-12-31	2013-05-08
001 B	2005-01-01	TO	TRANSFER	Det Norske Oljeselskap AS	50.000000	\N	917266	1340609	9999-12-31	2013-05-08
001 B	2003-05-28	TO	TRANSFER	Statoil ASA (old)	50.000000	\N	917266	1622484	9999-12-31	2013-05-08
001 B	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	50.000000	\N	917266	1853786	9999-12-31	2013-05-08
001 B	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	50.000000	\N	917266	2835212	9999-12-31	2013-05-08
001 B	2006-01-01	TO	TRANSFER	PA Resources Norway AS	15.000000	\N	917266	3986418	9999-12-31	2013-05-08
001 B	2009-03-23	TO	TRANSFER	Bayerngas Norge AS	15.000000	\N	917266	4444493	9999-12-31	2013-05-08
001 B	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	35.000000	\N	917266	4468177	9999-12-31	2013-05-08
001 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	917266	4511658	9999-12-31	2013-05-08
001 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	917266	4511854	9999-12-31	2013-05-08
001 B	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	35.000000	\N	917266	4539976	9999-12-31	2013-05-08
001 B	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	35.000000	\N	917266	4539989	9999-12-31	2013-05-08
001 B	2009-01-21	TO	CHANGE OF COMPANY NAME	Bayerngas Produksjon Norge AS	15.000000	\N	917266	5461974	9999-12-31	2013-05-08
001 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	917266	17237817	9999-12-31	2013-05-08
001 B	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	35.000000	\N	917266	17342870	9999-12-31	2013-05-08
027 B	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	50.000000	\N	917344	342	9999-12-31	2013-05-08
027 B	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	50.000000	\N	917344	353	9999-12-31	2013-05-08
027 B	2006-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	50.000000	\N	917344	1853786	9999-12-31	2013-05-08
027 B	2007-08-10	FROM	MERGER/TAKEOVER	Ener Petroleum ASA	50.000000	\N	917344	3482290	9999-12-31	2013-05-08
027 B	2007-10-04	FROM	CHANGE OF COMPANY NAME	Dana Petroleum Norway ASA	50.000000	\N	917344	4510514	9999-12-31	2013-05-08
027 B	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	50.000000	\N	917344	1853786	9999-12-31	2013-05-08
027 B	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	50.000000	\N	917344	2835212	9999-12-31	2013-05-08
027 B	2006-01-01	TO	TRANSFER	Ener Petroleum ASA	50.000000	\N	917344	3482290	9999-12-31	2013-05-08
027 B	2007-08-10	TO	MERGER/TAKEOVER	Dana Petroleum Norway ASA	50.000000	\N	917344	4510514	9999-12-31	2013-05-08
027 B	2007-10-04	TO	CHANGE OF COMPANY NAME	Dana Petroleum Norway AS	50.000000	\N	917344	4526555	9999-12-31	2013-05-08
028 B	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	50.000000	\N	917484	342	9999-12-31	2013-05-08
028 B	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	50.000000	\N	917484	353	9999-12-31	2013-05-08
028 B	2006-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	15.000000	\N	917484	1340609	9999-12-31	2013-05-08
028 B	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	35.000000	\N	917484	1340609	9999-12-31	2013-05-08
028 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	917484	1622484	9999-12-31	2013-05-08
028 B	2003-05-28	FROM	TRANSFER	Enterprise Oil Norge AS	50.000000	\N	917484	1853786	9999-12-31	2013-05-08
028 B	2005-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	50.000000	\N	917484	2835212	9999-12-31	2013-05-08
028 B	2009-01-21	FROM	CHANGE OF COMPANY NAME	PA Resources Norway AS	15.000000	\N	917484	3986418	9999-12-31	2013-05-08
028 B	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	35.000000	\N	917484	4468177	9999-12-31	2013-05-08
028 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	917484	4511658	9999-12-31	2013-05-08
028 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	917484	4511854	9999-12-31	2013-05-08
028 B	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	35.000000	\N	917484	4539976	9999-12-31	2013-05-08
028 B	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	35.000000	\N	917484	4539989	9999-12-31	2013-05-08
028 B	2009-03-23	FROM	TRANSFER	Bayerngas Produksjon Norge AS	15.000000	\N	917484	5461974	9999-12-31	2013-05-08
028 B	2005-01-01	TO	TRANSFER	Det Norske Oljeselskap AS	50.000000	\N	917484	1340609	9999-12-31	2013-05-08
028 B	2003-05-28	TO	TRANSFER	Statoil ASA (old)	50.000000	\N	917484	1622484	9999-12-31	2013-05-08
028 B	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	50.000000	\N	917484	1853786	9999-12-31	2013-05-08
028 B	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	50.000000	\N	917484	2835212	9999-12-31	2013-05-08
028 B	2006-01-01	TO	TRANSFER	PA Resources Norway AS	15.000000	\N	917484	3986418	9999-12-31	2013-05-08
028 B	2009-03-23	TO	TRANSFER	Bayerngas Norge AS	15.000000	\N	917484	4444493	9999-12-31	2013-05-08
028 B	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	35.000000	\N	917484	4468177	9999-12-31	2013-05-08
028 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	917484	4511658	9999-12-31	2013-05-08
028 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	917484	4511854	9999-12-31	2013-05-08
028 B	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	35.000000	\N	917484	4539976	9999-12-31	2013-05-08
028 B	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	35.000000	\N	917484	4539989	9999-12-31	2013-05-08
028 B	2009-01-21	TO	CHANGE OF COMPANY NAME	Bayerngas Produksjon Norge AS	15.000000	\N	917484	5461974	9999-12-31	2013-05-08
028 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	917484	17237817	9999-12-31	2013-05-08
028 B	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	35.000000	\N	917484	17342870	9999-12-31	2013-05-08
134 B	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	30.000000	\N	1025257	45	9999-12-31	2013-05-08
134 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	14.000000	\N	1025257	430	9999-12-31	2013-05-08
134 B	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	7.000000	\N	1025257	716	9999-12-31	2013-05-08
134 B	2000-01-31	FROM	TRANSFER	Den norske stats oljeselskap a.s	5.000000	\N	1025257	749	9999-12-31	2013-05-08
134 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	48.000000	\N	1025257	749	9999-12-31	2013-05-08
134 B	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	10.000000	\N	1025257	848	9999-12-31	2013-05-08
134 B	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	1025257	1340884	9999-12-31	2013-05-08
134 B	2004-01-01	FROM	TRANSFER	Statoil ASA (old)	2.000000	\N	1025257	1622484	9999-12-31	2013-05-08
134 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	1025257	1622484	9999-12-31	2013-05-08
134 B	2001-06-01	FROM	TRANSFER	SDØE	25.000000	\N	1025257	1623450	9999-12-31	2013-05-08
134 B	2004-01-02	FROM	TRANSFER	Total E&P Norge AS	4.000000	\N	1025257	2410708	9999-12-31	2013-05-08
134 B	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	14.000000	\N	1025257	4511658	9999-12-31	2013-05-08
134 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	64.000000	\N	1025257	4511658	9999-12-31	2013-05-08
134 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	64.000000	\N	1025257	4511854	9999-12-31	2013-05-08
134 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	14.000000	\N	1025257	4524355	9999-12-31	2013-05-08
134 B	2000-01-31	TO	TRANSFER	Norsk Hydro Produksjon AS	5.000000	\N	1025257	430	9999-12-31	2013-05-08
134 B	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	7.000000	\N	1025257	430	9999-12-31	2013-05-08
134 B	2004-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	2.000000	\N	1025257	430	9999-12-31	2013-05-08
134 B	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	10.000000	\N	1025257	1340884	9999-12-31	2013-05-08
134 B	2001-05-10	TO	SDFI	Statoil ASA (old)	23.000000	\N	1025257	1622484	9999-12-31	2013-05-08
134 B	2001-06-01	TO	TRANSFER	Statoil ASA (old)	25.000000	\N	1025257	1622484	9999-12-31	2013-05-08
134 B	2004-01-02	TO	TRANSFER	Statoil ASA (old)	4.000000	\N	1025257	1622484	9999-12-31	2013-05-08
134 B	2001-05-10	TO	SDFI	SDØE	25.000000	\N	1025257	1623450	9999-12-31	2013-05-08
134 B	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	30.000000	\N	1025257	2388594	9999-12-31	2013-05-08
134 B	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	10.000000	\N	1025257	2410708	9999-12-31	2013-05-08
134 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	14.000000	\N	1025257	4511658	9999-12-31	2013-05-08
134 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	64.000000	\N	1025257	4511658	9999-12-31	2013-05-08
134 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	1025257	4511854	9999-12-31	2013-05-08
134 B	2008-01-01	TO	TRANSFER	StatoilHydro ASA	14.000000	\N	1025257	4511854	9999-12-31	2013-05-08
134 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	14.000000	\N	1025257	4524355	9999-12-31	2013-05-08
134 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	64.000000	\N	1025257	17237817	9999-12-31	2013-05-08
169 B1	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	8.000000	\N	1030964	221	9999-12-31	2013-05-08
169 B1	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	7.000000	\N	1030964	353	9999-12-31	2013-05-08
169 B1	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	47.500000	\N	1030964	430	9999-12-31	2013-05-08
169 B1	2000-04-07	FROM	TRANSFER	Den norske stats oljeselskap a.s	2.500000	\N	1030964	749	9999-12-31	2013-05-08
169 B1	2001-02-06	FROM	TRANSFER	Den norske stats oljeselskap a.s	8.000000	\N	1030964	749	9999-12-31	2013-05-08
169 B1	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	54.500000	\N	1030964	749	9999-12-31	2013-05-08
169 B1	2001-06-17	FROM	SDFI	SDØE	54.500000	\N	1030964	1623450	9999-12-31	2013-05-08
169 B1	2002-03-19	FROM	TRANSFER	Petoro AS	17.000000	\N	1030964	1626839	9999-12-31	2013-05-08
169 B1	2007-01-02	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	8.000000	\N	1030964	2399056	9999-12-31	2013-05-08
169 B1	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	47.500000	\N	1030964	4511658	9999-12-31	2013-05-08
169 B1	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	47.500000	\N	1030964	4524355	9999-12-31	2013-05-08
169 B1	2000-04-07	TO	TRANSFER	Norsk Hydro Produksjon AS	2.500000	\N	1030964	430	9999-12-31	2013-05-08
169 B1	2002-03-19	TO	TRANSFER	Norsk Hydro Produksjon AS	17.000000	\N	1030964	430	9999-12-31	2013-05-08
169 B1	2001-05-10	TO	SDFI	SDØE	54.500000	\N	1030964	1623450	9999-12-31	2013-05-08
169 B1	2001-06-17	TO	SDFI	Petoro AS	54.500000	\N	1030964	1626839	9999-12-31	2013-05-08
169 B1	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	8.000000	\N	1030964	2399056	9999-12-31	2013-05-08
169 B1	2007-01-02	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	8.000000	\N	1030964	2410696	9999-12-31	2013-05-08
169 B1	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	7.000000	\N	1030964	2835212	9999-12-31	2013-05-08
169 B1	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	47.500000	\N	1030964	4511658	9999-12-31	2013-05-08
169 B1	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	47.500000	\N	1030964	4524355	9999-12-31	2013-05-08
169 B1	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	47.500000	\N	1030964	17237817	9999-12-31	2013-05-08
169 B2	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	12.500000	\N	1031002	221	9999-12-31	2013-05-08
169 B2	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	10.000000	\N	1031002	353	9999-12-31	2013-05-08
169 B2	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	47.500000	\N	1031002	430	9999-12-31	2013-05-08
169 B2	2000-04-07	FROM	TRANSFER	Den norske stats oljeselskap a.s	2.500000	\N	1031002	749	9999-12-31	2013-05-08
169 B2	2001-02-06	FROM	TRANSFER	Den norske stats oljeselskap a.s	12.500000	\N	1031002	749	9999-12-31	2013-05-08
169 B2	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	35.000000	\N	1031002	749	9999-12-31	2013-05-08
169 B2	2001-06-17	FROM	SDFI	SDØE	35.000000	\N	1031002	1623450	9999-12-31	2013-05-08
169 B2	2002-03-19	FROM	TRANSFER	Petoro AS	5.000000	\N	1031002	1626839	9999-12-31	2013-05-08
169 B2	2007-01-02	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	12.500000	\N	1031002	2399056	9999-12-31	2013-05-08
169 B2	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	47.500000	\N	1031002	4511658	9999-12-31	2013-05-08
169 B2	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	47.500000	\N	1031002	4524355	9999-12-31	2013-05-08
169 B2	2001-02-06	TO	TRANSFER	Norske Conoco A/S	12.500000	\N	1031002	221	9999-12-31	2013-05-08
169 B2	2000-04-07	TO	TRANSFER	Norsk Hydro Produksjon AS	2.500000	\N	1031002	430	9999-12-31	2013-05-08
169 B2	2002-03-19	TO	TRANSFER	Norsk Hydro Produksjon AS	5.000000	\N	1031002	430	9999-12-31	2013-05-08
169 B2	2001-05-10	TO	SDFI	SDØE	35.000000	\N	1031002	1623450	9999-12-31	2013-05-08
169 B2	2001-06-17	TO	SDFI	Petoro AS	35.000000	\N	1031002	1626839	9999-12-31	2013-05-08
169 B2	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	12.500000	\N	1031002	2399056	9999-12-31	2013-05-08
169 B2	2007-01-02	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	12.500000	\N	1031002	2410696	9999-12-31	2013-05-08
169 B2	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	10.000000	\N	1031002	2835212	9999-12-31	2013-05-08
169 B2	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	47.500000	\N	1031002	4511658	9999-12-31	2013-05-08
169 B2	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	47.500000	\N	1031002	4524355	9999-12-31	2013-05-08
169 B2	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	47.500000	\N	1031002	17237817	9999-12-31	2013-05-08
251	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	20.000000	\N	1032893	298	9999-12-31	2013-05-08
251	2004-07-01	FROM	TRANSFER	A/S Norske Shell	47.500000	\N	1032893	562	9999-12-31	2013-05-08
251	2001-05-10	FROM	CHANGE OF COMPANY NAME	Den norske stats oljeselskap a.s	30.000000	\N	1032893	749	9999-12-31	2013-05-08
251	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	25.000000	\N	1032893	982372	9999-12-31	2013-05-08
251	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	1032893	1340884	9999-12-31	2013-05-08
251	2005-01-01	FROM	TRANSFER	Statoil ASA (old)	10.000000	\N	1032893	1622484	9999-12-31	2013-05-08
251	2005-01-02	FROM	TRANSFER	Statoil ASA (old)	20.000000	\N	1032893	1622484	9999-12-31	2013-05-08
251	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	70.000000	\N	1032893	1622484	9999-12-31	2013-05-08
251	2004-01-01	FROM	TRANSFER	BP Norge AS	25.000000	\N	1032893	2052695	9999-12-31	2013-05-08
251	2004-01-01	FROM	TRANSFER	Total E&P Norge AS	20.000000	\N	1032893	2410708	9999-12-31	2013-05-08
251	2004-01-01	TO	TRANSFER	A/S Norske Shell	22.500000	\N	1032893	562	9999-12-31	2013-05-08
251	2005-01-01	TO	TRANSFER	A/S Norske Shell	10.000000	\N	1032893	562	9999-12-31	2013-05-08
251	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	1032893	1340884	9999-12-31	2013-05-08
251	2001-05-10	TO	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	1032893	1622484	9999-12-31	2013-05-08
251	2004-01-01	TO	TRANSFER	Statoil ASA (old)	22.500000	\N	1032893	1622484	9999-12-31	2013-05-08
251	2004-07-01	TO	TRANSFER	Statoil ASA (old)	47.500000	\N	1032893	1622484	9999-12-31	2013-05-08
251	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	25.000000	\N	1032893	2052695	9999-12-31	2013-05-08
251	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	20.000000	\N	1032893	2410708	9999-12-31	2013-05-08
251	2005-01-02	TO	TRANSFER	BG Norge AS	20.000000	\N	1032893	2747354	9999-12-31	2013-05-08
251	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	70.000000	\N	1032893	4511854	9999-12-31	2013-05-08
252	2001-11-12	FROM	TRANSFER	Esso Exploration and Production Norway A/S	15.000000	\N	1032911	353	9999-12-31	2013-05-08
252	2001-11-12	FROM	TRANSFER	Norsk Hydro Produksjon AS	25.000000	\N	1032911	430	9999-12-31	2013-05-08
252	2002-11-19	FROM	CHANGE OF COMPANY NAME	Norsk Chevron AS	25.000000	\N	1032911	40148	9999-12-31	2013-05-08
252	2001-11-12	TO	TRANSFER	Norsk Hydro Produksjon AS	15.000000	\N	1032911	430	9999-12-31	2013-05-08
252	2001-11-12	TO	TRANSFER	RWE Dea Norge AS	25.000000	\N	1032911	97557	9999-12-31	2013-05-08
252	2002-11-19	TO	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	25.000000	\N	1032911	2154473	9999-12-31	2013-05-08
253	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	50.000000	\N	1032927	430	9999-12-31	2013-05-08
253	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	20.000000	\N	1032927	749	9999-12-31	2013-05-08
253	2001-06-17	FROM	SDFI	SDØE	20.000000	\N	1032927	1623450	9999-12-31	2013-05-08
253	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	50.000000	\N	1032927	4524355	9999-12-31	2013-05-08
253	2001-05-10	TO	SDFI	SDØE	20.000000	\N	1032927	1623450	9999-12-31	2013-05-08
253	2001-06-17	TO	SDFI	Petoro AS	20.000000	\N	1032927	1626839	9999-12-31	2013-05-08
253	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	1032927	4511658	9999-12-31	2013-05-08
253	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	50.000000	\N	1032927	4524355	9999-12-31	2013-05-08
254	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	20.000000	\N	1032954	221	9999-12-31	2013-05-08
254	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	20.000000	\N	1032954	298	9999-12-31	2013-05-08
254	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	25.000000	\N	1032954	749	9999-12-31	2013-05-08
254	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	35.000000	\N	1032954	982372	9999-12-31	2013-05-08
254	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	1032954	1340884	9999-12-31	2013-05-08
254	2001-06-17	FROM	SDFI	SDØE	25.000000	\N	1032954	1623450	9999-12-31	2013-05-08
254	2004-03-01	FROM	TRANSFER	Norske ConocoPhillips AS	20.000000	\N	1032954	2399056	9999-12-31	2013-05-08
254	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	1032954	1340884	9999-12-31	2013-05-08
254	2001-05-10	TO	SDFI	SDØE	25.000000	\N	1032954	1623450	9999-12-31	2013-05-08
254	2001-06-17	TO	SDFI	Petoro AS	25.000000	\N	1032954	1626839	9999-12-31	2013-05-08
254	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	35.000000	\N	1032954	2052695	9999-12-31	2013-05-08
254	2004-03-01	TO	TRANSFER	BP Norge AS	20.000000	\N	1032954	2052695	9999-12-31	2013-05-08
254	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	20.000000	\N	1032954	2399056	9999-12-31	2013-05-08
254	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	20.000000	\N	1032954	2410708	9999-12-31	2013-05-08
255	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	20.000000	\N	1032979	298	9999-12-31	2013-05-08
255	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	1032979	749	9999-12-31	2013-05-08
255	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	1032979	1340884	9999-12-31	2013-05-08
255	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	1032979	1622484	9999-12-31	2013-05-08
255	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	1032979	1623450	9999-12-31	2013-05-08
255	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	1032979	4511658	9999-12-31	2013-05-08
255	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	1032979	4511854	9999-12-31	2013-05-08
255	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	20.000000	\N	1032979	1340884	9999-12-31	2013-05-08
255	2001-05-10	TO	SDFI	Statoil ASA (old)	20.000000	\N	1032979	1622484	9999-12-31	2013-05-08
255	2001-05-10	TO	SDFI	SDØE	30.000000	\N	1032979	1623450	9999-12-31	2013-05-08
255	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	1032979	1626839	9999-12-31	2013-05-08
255	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	20.000000	\N	1032979	2410708	9999-12-31	2013-05-08
255	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	1032979	4511658	9999-12-31	2013-05-08
255	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	1032979	4511854	9999-12-31	2013-05-08
255	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	1032979	17237817	9999-12-31	2013-05-08
256	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	30.000000	\N	1032995	45	9999-12-31	2013-05-08
256	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	25.000000	\N	1032995	342	9999-12-31	2013-05-08
256	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	20.000000	\N	1032995	749	9999-12-31	2013-05-08
256	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	25.000000	\N	1032995	102714	9999-12-31	2013-05-08
256	2001-06-17	FROM	SDFI	SDØE	20.000000	\N	1032995	1623450	9999-12-31	2013-05-08
256	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	10.000000	\N	1032995	1853083	9999-12-31	2013-05-08
256	2003-09-03	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	1032995	1853786	9999-12-31	2013-05-08
256	2007-01-01	FROM	TRANSFER	Eni Norge AS	55.000000	\N	1032995	2388594	9999-12-31	2013-05-08
256	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	10.000000	\N	1032995	3482246	9999-12-31	2013-05-08
256	2007-06-01	FROM	TRANSFER	DONG E&P Norge AS	10.000000	\N	1032995	4070011	9999-12-31	2013-05-08
256	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	55.000000	\N	1032995	4460425	9999-12-31	2013-05-08
256	2003-09-03	TO	TRANSFER	RWE Dea Norge AS	15.000000	\N	1032995	97557	9999-12-31	2013-05-08
256	2001-05-10	TO	SDFI	SDØE	20.000000	\N	1032995	1623450	9999-12-31	2013-05-08
256	2001-06-17	TO	SDFI	Petoro AS	20.000000	\N	1032995	1626839	9999-12-31	2013-05-08
256	2003-09-03	TO	TRANSFER	DONG Norge AS	10.000000	\N	1032995	1853083	9999-12-31	2013-05-08
256	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	25.000000	\N	1032995	1853786	9999-12-31	2013-05-08
256	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	25.000000	\N	1032995	2388594	9999-12-31	2013-05-08
256	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	30.000000	\N	1032995	2388594	9999-12-31	2013-05-08
256	2007-06-01	TO	TRANSFER	Norwegian Energy Company AS	10.000000	\N	1032995	3482246	9999-12-31	2013-05-08
256	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	10.000000	\N	1032995	4070011	9999-12-31	2013-05-08
256	2007-01-01	TO	TRANSFER	Aker Exploration AS	55.000000	\N	1032995	4460425	9999-12-31	2013-05-08
256	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	10.000000	\N	1032995	4530695	9999-12-31	2013-05-08
256	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	55.000000	\N	1032995	17342915	9999-12-31	2013-05-08
257	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	12.000000	\N	1033013	430	9999-12-31	2013-05-08
257	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	1033013	474	9999-12-31	2013-05-08
257	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	73.000000	\N	1033013	749	9999-12-31	2013-05-08
257	2004-01-01	FROM	TRANSFER	Statoil ASA (old)	6.000000	\N	1033013	1622484	9999-12-31	2013-05-08
257	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	67.000000	\N	1033013	1622484	9999-12-31	2013-05-08
257	2001-06-01	FROM	TRANSFER	SDØE	45.000000	\N	1033013	1623450	9999-12-31	2013-05-08
257	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	12.000000	\N	1033013	4511658	9999-12-31	2013-05-08
257	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	79.000000	\N	1033013	4511658	9999-12-31	2013-05-08
257	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	79.000000	\N	1033013	4511854	9999-12-31	2013-05-08
257	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	12.000000	\N	1033013	4524355	9999-12-31	2013-05-08
257	2001-05-10	TO	SDFI	Statoil ASA (old)	28.000000	\N	1033013	1622484	9999-12-31	2013-05-08
257	2001-06-01	TO	TRANSFER	Statoil ASA (old)	45.000000	\N	1033013	1622484	9999-12-31	2013-05-08
257	2001-05-10	TO	SDFI	SDØE	45.000000	\N	1033013	1623450	9999-12-31	2013-05-08
257	2004-01-01	TO	TRANSFER	Total E&P Norge AS	6.000000	\N	1033013	2410708	9999-12-31	2013-05-08
257	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	15.000000	\N	1033013	2835212	9999-12-31	2013-05-08
257	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	12.000000	\N	1033013	4511658	9999-12-31	2013-05-08
257	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	79.000000	\N	1033013	4511658	9999-12-31	2013-05-08
257	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	67.000000	\N	1033013	4511854	9999-12-31	2013-05-08
257	2008-01-01	TO	TRANSFER	StatoilHydro ASA	12.000000	\N	1033013	4511854	9999-12-31	2013-05-08
257	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	12.000000	\N	1033013	4524355	9999-12-31	2013-05-08
257	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	79.000000	\N	1033013	17237817	9999-12-31	2013-05-08
258	2000-07-24	FROM	CHANGE OF COMPANY NAME	Elf Petroleum Norge AS	25.000000	\N	1033029	298	9999-12-31	2013-05-08
258	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	20.000000	\N	1033029	705	9999-12-31	2013-05-08
258	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	20.000000	\N	1033029	749	9999-12-31	2013-05-08
258	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	25.000000	\N	1033029	1340884	9999-12-31	2013-05-08
258	2001-06-17	FROM	SDFI	SDØE	20.000000	\N	1033029	1623450	9999-12-31	2013-05-08
258	2000-07-24	TO	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	25.000000	\N	1033029	1340884	9999-12-31	2013-05-08
258	2001-05-10	TO	SDFI	SDØE	20.000000	\N	1033029	1623450	9999-12-31	2013-05-08
258	2001-06-17	TO	SDFI	Petoro AS	20.000000	\N	1033029	1626839	9999-12-31	2013-05-08
258	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	20.000000	\N	1033029	2410696	9999-12-31	2013-05-08
258	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	25.000000	\N	1033029	2410708	9999-12-31	2013-05-08
259	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	30.000000	\N	1033049	45	9999-12-31	2013-05-08
259	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	30.000000	\N	1033049	342	9999-12-31	2013-05-08
259	2002-11-19	FROM	CHANGE OF COMPANY NAME	Norsk Chevron AS	40.000000	\N	1033049	40148	9999-12-31	2013-05-08
259	2003-04-28	FROM	TRANSFER	Enterprise Oil Norge AS	30.000000	\N	1033049	1853786	9999-12-31	2013-05-08
259	2004-01-01	FROM	TRANSFER	Chevron Texaco Norge AS	70.000000	\N	1033049	2154473	9999-12-31	2013-05-08
259	2007-01-01	FROM	TRANSFER	Eni Norge AS	30.000000	\N	1033049	2388594	9999-12-31	2013-05-08
259	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	30.000000	\N	1033049	1853786	9999-12-31	2013-05-08
259	2002-11-19	TO	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	40.000000	\N	1033049	2154473	9999-12-31	2013-05-08
259	2003-04-28	TO	TRANSFER	Chevron Texaco Norge AS	30.000000	\N	1033049	2154473	9999-12-31	2013-05-08
259	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	30.000000	\N	1033049	2388594	9999-12-31	2013-05-08
259	2004-01-01	TO	TRANSFER	Eni Norge AS	70.000000	\N	1033049	2388594	9999-12-31	2013-05-08
259	2007-01-01	TO	TRANSFER	Aker Exploration AS	30.000000	\N	1033049	4460425	9999-12-31	2013-05-08
260	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	100.000000	\N	1033065	982372	9999-12-31	2013-05-08
260	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	100.000000	\N	1033065	2052695	9999-12-31	2013-05-08
261	2001-05-10	FROM	CHANGE OF COMPANY NAME	Den norske stats oljeselskap a.s	20.000000	\N	1033077	749	9999-12-31	2013-05-08
261	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	50.000000	\N	1033077	982372	9999-12-31	2013-05-08
261	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	1033077	1622484	9999-12-31	2013-05-08
261	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	1033077	4511658	9999-12-31	2013-05-08
261	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	1033077	4511854	9999-12-31	2013-05-08
261	2001-05-10	TO	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	1033077	1622484	9999-12-31	2013-05-08
261	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	50.000000	\N	1033077	2052695	9999-12-31	2013-05-08
261	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	1033077	4511658	9999-12-31	2013-05-08
261	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	1033077	4511854	9999-12-31	2013-05-08
261	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	1033077	17237817	9999-12-31	2013-05-08
262	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	25.000000	\N	1033093	342	9999-12-31	2013-05-08
262	2007-01-01	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	1033093	474	9999-12-31	2013-05-08
262	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	30.000000	\N	1033093	749	9999-12-31	2013-05-08
262	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	30.000000	\N	1033093	982372	9999-12-31	2013-05-08
262	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	1033093	1622484	9999-12-31	2013-05-08
262	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	1033093	1623450	9999-12-31	2013-05-08
262	2007-01-02	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	1033093	1853786	9999-12-31	2013-05-08
262	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	25.000000	\N	1033093	2840522	9999-12-31	2013-05-08
262	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	1033093	4511658	9999-12-31	2013-05-08
262	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	1033093	4511854	9999-12-31	2013-05-08
262	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	1033093	1622484	9999-12-31	2013-05-08
262	2001-05-10	TO	SDFI	SDØE	30.000000	\N	1033093	1623450	9999-12-31	2013-05-08
262	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	25.000000	\N	1033093	1853786	9999-12-31	2013-05-08
262	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	30.000000	\N	1033093	2052695	9999-12-31	2013-05-08
262	2007-01-02	TO	TRANSFER	E.ON Ruhrgas Norge AS	25.000000	\N	1033093	2840522	9999-12-31	2013-05-08
262	2007-01-01	TO	TRANSFER	PGNiG Norway AS	15.000000	\N	1033093	4505831	9999-12-31	2013-05-08
262	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	1033093	4511658	9999-12-31	2013-05-08
262	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	1033093	4511854	9999-12-31	2013-05-08
262	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	1033093	17237817	9999-12-31	2013-05-08
262	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	25.000000	\N	1033093	21631209	9999-12-31	2013-05-08
263	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	1033111	430	9999-12-31	2013-05-08
263	2001-05-10	FROM	CHANGE OF COMPANY NAME	Den norske stats oljeselskap a.s	30.000000	\N	1033111	749	9999-12-31	2013-05-08
263	2002-11-19	FROM	CHANGE OF COMPANY NAME	Norsk Chevron AS	30.000000	\N	1033111	40148	9999-12-31	2013-05-08
263	2007-06-29	FROM	TRANSFER	Det Norske Oljeselskap AS	30.000000	\N	1033111	1340609	9999-12-31	2013-05-08
263	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	1033111	1622484	9999-12-31	2013-05-08
263	2005-01-01	FROM	TRANSFER	Chevron Texaco Norge AS	30.000000	\N	1033111	2154473	9999-12-31	2013-05-08
263	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	1033111	4511658	9999-12-31	2013-05-08
263	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	1033111	4511854	9999-12-31	2013-05-08
263	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	1033111	4524355	9999-12-31	2013-05-08
263	2005-01-01	TO	TRANSFER	Det Norske Oljeselskap AS	30.000000	\N	1033111	1340609	9999-12-31	2013-05-08
263	2001-05-10	TO	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	1033111	1622484	9999-12-31	2013-05-08
263	2002-11-19	TO	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	30.000000	\N	1033111	2154473	9999-12-31	2013-05-08
263	2007-06-29	TO	TRANSFER	Bayerngas Norge AS	30.000000	\N	1033111	4444493	9999-12-31	2013-05-08
263	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	1033111	4511658	9999-12-31	2013-05-08
263	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	1033111	4511658	9999-12-31	2013-05-08
263	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	1033111	4511854	9999-12-31	2013-05-08
263	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	1033111	4524355	9999-12-31	2013-05-08
263	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	1033111	17237817	9999-12-31	2013-05-08
264	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	20.000000	\N	1033127	45	9999-12-31	2013-05-08
264	2003-02-05	FROM	TRANSFER	Norske Conoco A/S	20.000000	\N	1033127	221	9999-12-31	2013-05-08
264	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	5.000000	\N	1033127	221	9999-12-31	2013-05-08
264	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	30.000000	\N	1033127	353	9999-12-31	2013-05-08
264	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	25.000000	\N	1033127	705	9999-12-31	2013-05-08
264	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	20.000000	\N	1033127	749	9999-12-31	2013-05-08
264	2001-06-17	FROM	SDFI	SDØE	20.000000	\N	1033127	1623450	9999-12-31	2013-05-08
264	2007-01-01	FROM	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	5.000000	\N	1033127	2399056	9999-12-31	2013-05-08
264	2006-08-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	30.000000	\N	1033127	2835212	9999-12-31	2013-05-08
264	2003-02-05	TO	TRANSFER	Norsk Agip  AS	20.000000	\N	1033127	45	9999-12-31	2013-05-08
264	2001-06-17	TO	SDFI	Petoro AS	20.000000	\N	1033127	1626839	9999-12-31	2013-05-08
264	2006-08-01	TO	TRANSFER	Petoro AS	10.000000	\N	1033127	1626839	9999-12-31	2013-05-08
264	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	20.000000	\N	1033127	2388594	9999-12-31	2013-05-08
264	2006-08-01	TO	TRANSFER	Eni Norge AS	20.000000	\N	1033127	2388594	9999-12-31	2013-05-08
264	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	5.000000	\N	1033127	2399056	9999-12-31	2013-05-08
264	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	25.000000	\N	1033127	2410696	9999-12-31	2013-05-08
264	2007-01-01	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	5.000000	\N	1033127	2410696	9999-12-31	2013-05-08
264	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	30.000000	\N	1033127	2835212	9999-12-31	2013-05-08
191	2002-01-04	FROM	TRANSFER	Mobil Development Norway AS	10.000000	\N	1043631	474	9999-12-31	2013-05-08
191	1999-04-13	FROM	CHANGE OF COMPANY NAME	Neste Petroleum AS	10.000000	\N	1043631	496	9999-12-31	2013-05-08
191	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	60.000000	\N	1043631	749	9999-12-31	2013-05-08
191	2000-01-01	FROM	TRANSFER	Fortum Petroleum AS	10.000000	\N	1043631	102714	9999-12-31	2013-05-08
191	2001-06-17	FROM	SDFI	SDØE	45.000000	\N	1043631	1623450	9999-12-31	2013-05-08
191	2002-03-19	FROM	TRANSFER	Petoro AS	45.000000	\N	1043631	1626839	9999-12-31	2013-05-08
191	2000-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	1043631	430	9999-12-31	2013-05-08
191	2002-01-04	TO	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	1043631	430	9999-12-31	2013-05-08
191	2002-03-19	TO	TRANSFER	Idemitsu Petroleum Norge AS	22.500000	\N	1043631	441	9999-12-31	2013-05-08
191	1999-04-13	TO	CHANGE OF COMPANY NAME	Fortum Petroleum AS	10.000000	\N	1043631	102714	9999-12-31	2013-05-08
191	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	1043631	1622484	9999-12-31	2013-05-08
191	2001-05-10	TO	SDFI	SDØE	45.000000	\N	1043631	1623450	9999-12-31	2013-05-08
191	2001-06-17	TO	SDFI	Petoro AS	45.000000	\N	1043631	1626839	9999-12-31	2013-05-08
191	2002-03-19	TO	TRANSFER	Gaz de France Norge AS	22.500000	\N	1043631	1628733	9999-12-31	2013-05-08
006 B	2006-06-26	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	28.333330	\N	1333048	67	9999-12-31	2013-05-08
006 B	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	28.333330	\N	1333048	342	9999-12-31	2013-05-08
006 B	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	28.333330	\N	1333048	982372	9999-12-31	2013-05-08
006 B	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	15.000000	\N	1333048	1340884	9999-12-31	2013-05-08
006 B	2010-01-02	FROM	TRANSFER	Enterprise Oil Norge AS	28.333330	\N	1333048	1853786	9999-12-31	2013-05-08
006 B	2010-01-01	FROM	TRANSFER	Total E&P Norge AS	15.000000	\N	1333048	2410708	9999-12-31	2013-05-08
006 B	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	28.333330	\N	1333048	1853786	9999-12-31	2013-05-08
006 B	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	28.333330	\N	1333048	2052695	9999-12-31	2013-05-08
006 B	2010-01-01	TO	TRANSFER	BP Norge AS	7.500000	\N	1333048	2052695	9999-12-31	2013-05-08
006 B	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	15.000000	\N	1333048	2410708	9999-12-31	2013-05-08
006 B	2006-06-26	TO	CHANGE OF COMPANY NAME	Hess Norge AS	28.333330	\N	1333048	4038735	9999-12-31	2013-05-08
006 B	2010-01-01	TO	TRANSFER	Hess Norge AS	7.500000	\N	1333048	4038735	9999-12-31	2013-05-08
006 B	2010-01-02	TO	TRANSFER	Hess Norge AS	28.333330	\N	1333048	4038735	9999-12-31	2013-05-08
006 C	2003-01-21	FROM	TRANSFER	Amerada Hess Norge AS	28.333330	\N	1333089	67	9999-12-31	2013-05-08
006 C	2001-12-18	FROM	TRANSFER	Enterprise Oil Norwegian AS	14.166000	\N	1333089	342	9999-12-31	2013-05-08
006 C	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	14.167330	\N	1333089	342	9999-12-31	2013-05-08
006 C	2001-02-02	FROM	UNKNOWN	BP Amoco Norge AS	10.000000	\N	1333089	982372	9999-12-31	2013-05-08
006 C	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	18.333330	\N	1333089	982372	9999-12-31	2013-05-08
006 C	2004-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	100.000000	\N	1333089	1340609	9999-12-31	2013-05-08
006 C	2003-01-21	FROM	TRANSFER	TotalFinaElf Exploration Norge AS	15.000000	\N	1333089	1340884	9999-12-31	2013-05-08
006 C	2003-01-21	FROM	TRANSFER	Gaz de France Norge AS	14.166000	\N	1333089	1628733	9999-12-31	2013-05-08
006 C	2003-01-21	FROM	TRANSFER	Enterprise Oil Norge AS	14.167330	\N	1333089	1853786	9999-12-31	2013-05-08
006 C	2003-01-21	FROM	TRANSFER	BP Norge AS	18.333330	\N	1333089	2052695	9999-12-31	2013-05-08
006 C	2006-01-01	FROM	TRANSFER	Lundin Norway AS	25.000000	\N	1333089	2767314	9999-12-31	2013-05-08
006 C	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	25.000000	\N	1333089	3482246	9999-12-31	2013-05-08
006 C	2008-01-01	FROM	TRANSFER	Norwegian Energy Company ASA	10.000000	\N	1333089	4530695	9999-12-31	2013-05-08
006 C	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	15.000000	\N	1333089	4530695	9999-12-31	2013-05-08
006 C	2001-02-02	TO	UNKNOWN	Det Norske Oljeselskap AS	10.000000	\N	1333089	1340609	9999-12-31	2013-05-08
006 C	2003-01-21	TO	TRANSFER	Det Norske Oljeselskap AS	90.000000	\N	1333089	1340609	9999-12-31	2013-05-08
006 C	2001-12-18	TO	TRANSFER	Gaz de France Norge AS	14.166000	\N	1333089	1628733	9999-12-31	2013-05-08
006 C	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	14.167330	\N	1333089	1853786	9999-12-31	2013-05-08
006 C	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	18.333330	\N	1333089	2052695	9999-12-31	2013-05-08
006 C	2004-01-01	TO	TRANSFER	Lundin Norway AS	100.000000	\N	1333089	2767314	9999-12-31	2013-05-08
006 C	2006-01-01	TO	TRANSFER	Norwegian Energy Company AS	25.000000	\N	1333089	3482246	9999-12-31	2013-05-08
006 C	2008-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	10.000000	\N	1333089	4062883	9999-12-31	2013-05-08
006 C	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	25.000000	\N	1333089	4530695	9999-12-31	2013-05-08
006 C	2012-12-31	TO	TRANSFER	Noreco Norway AS	15.000000	\N	1333089	22223020	9999-12-31	2013-05-08
027 C	2000-10-17	FROM	TRANSFER	Enterprise Oil Norwegian AS	50.000000	\N	1333301	342	9999-12-31	2013-05-08
027 C	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	100.000000	\N	1333301	353	9999-12-31	2013-05-08
027 C	2000-10-17	TO	TRANSFER	Esso Exploration and Production Norway A/S	50.000000	\N	1333301	353	9999-12-31	2013-05-08
027 C	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	100.000000	\N	1333301	2835212	9999-12-31	2013-05-08
028 C	2000-10-17	FROM	TRANSFER	Esso Exploration and Production Norway A/S	90.000000	\N	1333344	353	9999-12-31	2013-05-08
028 C	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	13.000000	\N	1333344	353	9999-12-31	2013-05-08
028 C	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	45.000000	\N	1333344	430	9999-12-31	2013-05-08
028 C	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	1333344	749	9999-12-31	2013-05-08
028 C	2002-05-07	FROM	TRANSFER	Statoil ASA (old)	3.000000	\N	1333344	1622484	9999-12-31	2013-05-08
028 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	12.000000	\N	1333344	1622484	9999-12-31	2013-05-08
028 C	2001-06-17	FROM	SDFI	SDØE	35.000000	\N	1333344	1623450	9999-12-31	2013-05-08
028 C	2002-03-19	FROM	TRANSFER	Petoro AS	5.000000	\N	1333344	1626839	9999-12-31	2013-05-08
028 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	57.000000	\N	1333344	4511658	9999-12-31	2013-05-08
028 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	12.000000	\N	1333344	4511854	9999-12-31	2013-05-08
028 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	45.000000	\N	1333344	4524355	9999-12-31	2013-05-08
028 C	2002-05-07	TO	TRANSFER	Esso Exploration and Production Norway A/S	3.000000	\N	1333344	353	9999-12-31	2013-05-08
028 C	2000-10-17	TO	TRANSFER	Norsk Hydro Produksjon AS	40.000000	\N	1333344	430	9999-12-31	2013-05-08
028 C	2002-03-19	TO	TRANSFER	Norsk Hydro Produksjon AS	5.000000	\N	1333344	430	9999-12-31	2013-05-08
028 C	2000-10-17	TO	TRANSFER	Den norske stats oljeselskap a.s	50.000000	35.000000	1333344	749	9999-12-31	2013-05-08
028 C	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	1333344	1622484	9999-12-31	2013-05-08
028 C	2001-05-10	TO	SDFI	SDØE	35.000000	\N	1333344	1623450	9999-12-31	2013-05-08
028 C	2001-06-17	TO	SDFI	Petoro AS	35.000000	\N	1333344	1626839	9999-12-31	2013-05-08
028 C	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	13.000000	\N	1333344	2835212	9999-12-31	2013-05-08
028 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	45.000000	\N	1333344	4511658	9999-12-31	2013-05-08
028 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	12.000000	\N	1333344	4511658	9999-12-31	2013-05-08
028 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	12.000000	\N	1333344	4511854	9999-12-31	2013-05-08
028 C	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	45.000000	\N	1333344	4524355	9999-12-31	2013-05-08
028 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	57.000000	\N	1333344	17237817	9999-12-31	2013-05-08
171 B	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	2.400000	\N	1333384	221	9999-12-31	2013-05-08
171 B	2002-03-19	FROM	TRANSFER	Norsk Hydro Produksjon AS	6.000000	\N	1333384	430	9999-12-31	2013-05-08
171 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	34.000000	\N	1333384	430	9999-12-31	2013-05-08
171 B	2002-12-04	FROM	SDFI	Mobil Development Norway AS	5.300000	\N	1333384	474	9999-12-31	2013-05-08
171 B	2008-01-01	FROM	TRANSFER	Mobil Development Norway AS	4.700000	\N	1333384	474	9999-12-31	2013-05-08
171 B	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	10.000000	\N	1333384	716	9999-12-31	2013-05-08
171 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	50.000000	\N	1333384	749	9999-12-31	2013-05-08
171 B	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	10.000000	\N	1333384	1340884	9999-12-31	2013-05-08
171 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	15.300000	\N	1333384	1622484	9999-12-31	2013-05-08
171 B	2001-06-17	FROM	SDFI	SDØE	35.000000	\N	1333384	1623450	9999-12-31	2013-05-08
171 B	2002-03-19	FROM	TRANSFER	Petoro AS	10.000000	\N	1333384	1626839	9999-12-31	2013-05-08
171 B	2002-10-01	FROM	TRANSFER	Petoro AS	2.700000	\N	1333384	1626839	9999-12-31	2013-05-08
171 B	2007-11-21	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	2.400000	\N	1333384	2399056	9999-12-31	2013-05-08
171 B	2012-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	4.700000	\N	1333384	2835212	9999-12-31	2013-05-08
171 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	49.300000	\N	1333384	4511658	9999-12-31	2013-05-08
171 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	15.300000	\N	1333384	4511854	9999-12-31	2013-05-08
171 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	34.000000	\N	1333384	4524355	9999-12-31	2013-05-08
171 B	2002-10-01	TO	TRANSFER	Norske Conoco A/S	2.400000	\N	1333384	221	9999-12-31	2013-05-08
171 B	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	1333384	430	9999-12-31	2013-05-08
171 B	2002-03-19	TO	TRANSFER	TotalFinaElf Exploration Norge AS	10.000000	\N	1333384	1340884	9999-12-31	2013-05-08
171 B	2001-05-10	TO	SDFI	Statoil ASA (old)	15.000000	\N	1333384	1622484	9999-12-31	2013-05-08
171 B	2002-10-01	TO	TRANSFER	Statoil ASA (old)	0.300000	\N	1333384	1622484	9999-12-31	2013-05-08
171 B	2001-05-10	TO	SDFI	SDØE	35.000000	\N	1333384	1623450	9999-12-31	2013-05-08
171 B	2001-06-17	TO	SDFI	Petoro AS	35.000000	\N	1333384	1626839	9999-12-31	2013-05-08
171 B	2002-03-19	TO	TRANSFER	Petoro AS	6.000000	\N	1333384	1626839	9999-12-31	2013-05-08
171 B	2002-12-04	TO	SDFI	Petoro AS	5.300000	\N	1333384	1626839	9999-12-31	2013-05-08
171 B	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	2.400000	\N	1333384	2399056	9999-12-31	2013-05-08
171 B	2007-11-21	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	2.400000	\N	1333384	2410696	9999-12-31	2013-05-08
171 B	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	10.000000	\N	1333384	2410708	9999-12-31	2013-05-08
171 B	2012-01-01	TO	TRANSFER	Total E&P Norge AS	4.700000	\N	1333384	2410708	9999-12-31	2013-05-08
171 B	2008-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	4.700000	\N	1333384	2835212	9999-12-31	2013-05-08
171 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	34.000000	\N	1333384	4511658	9999-12-31	2013-05-08
171 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	15.300000	\N	1333384	4511658	9999-12-31	2013-05-08
171 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	15.300000	\N	1333384	4511854	9999-12-31	2013-05-08
171 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	34.000000	\N	1333384	4524355	9999-12-31	2013-05-08
171 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	49.300000	\N	1333384	17237817	9999-12-31	2013-05-08
048 B	2001-01-24	FROM	TRANSFER	Norsk Hydro Produksjon AS	9.300000	\N	1342723	430	9999-12-31	2013-05-08
048 B	2002-04-17	FROM	TRANSFER	Pelican AS	9.300000	\N	1342723	606	9999-12-31	2013-05-08
048 B	2001-01-25	FROM	TRANSFER	Den norske stats oljeselskap a.s	10.000000	\N	1342723	749	9999-12-31	2013-05-08
048 B	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	58.900000	\N	1342723	749	9999-12-31	2013-05-08
048 B	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	10.000000	\N	1342723	1340609	9999-12-31	2013-05-08
048 B	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	21.800000	\N	1342723	1340884	9999-12-31	2013-05-08
048 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	58.900000	\N	1342723	1622484	9999-12-31	2013-05-08
048 B	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	1342723	1623450	9999-12-31	2013-05-08
048 B	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	9.300000	\N	1342723	1853083	9999-12-31	2013-05-08
048 B	2009-01-02	FROM	TRANSFER	DONG E&P Norge AS	9.300000	\N	1342723	4070011	9999-12-31	2013-05-08
048 B	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	10.000000	\N	1342723	4468177	9999-12-31	2013-05-08
048 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	58.900000	\N	1342723	4511658	9999-12-31	2013-05-08
048 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	58.900000	\N	1342723	4511854	9999-12-31	2013-05-08
048 B	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	10.000000	\N	1342723	4539976	9999-12-31	2013-05-08
048 B	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	10.000000	\N	1342723	4539989	9999-12-31	2013-05-08
048 B	2001-01-24	TO	TRANSFER	Pelican AS	9.300000	\N	1342723	606	9999-12-31	2013-05-08
048 B	2001-01-25	TO	TRANSFER	Det Norske Oljeselskap AS	10.000000	\N	1342723	1340609	9999-12-31	2013-05-08
048 B	2001-05-10	TO	SDFI	Statoil ASA (old)	28.900000	\N	1342723	1622484	9999-12-31	2013-05-08
048 B	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	1342723	1622484	9999-12-31	2013-05-08
048 B	2001-05-10	TO	SDFI	SDØE	30.000000	\N	1342723	1623450	9999-12-31	2013-05-08
048 B	2002-04-17	TO	TRANSFER	DONG Norge AS	9.300000	\N	1342723	1853083	9999-12-31	2013-05-08
048 B	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	21.800000	\N	1342723	2410708	9999-12-31	2013-05-08
048 B	2009-01-02	TO	TRANSFER	Faroe Petroleum Norge AS	9.300000	\N	1342723	4062883	9999-12-31	2013-05-08
048 B	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	9.300000	\N	1342723	4070011	9999-12-31	2013-05-08
048 B	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	10.000000	\N	1342723	4468177	9999-12-31	2013-05-08
048 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	58.900000	\N	1342723	4511658	9999-12-31	2013-05-08
048 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	58.900000	\N	1342723	4511854	9999-12-31	2013-05-08
048 B	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	10.000000	\N	1342723	4539976	9999-12-31	2013-05-08
048 B	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	10.000000	\N	1342723	4539989	9999-12-31	2013-05-08
048 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	58.900000	\N	1342723	17237817	9999-12-31	2013-05-08
048 B	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	10.000000	\N	1342723	17342870	9999-12-31	2013-05-08
033 B	2006-06-26	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	25.000000	\N	1622353	67	9999-12-31	2013-05-08
033 B	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	25.000000	\N	1622353	342	9999-12-31	2013-05-08
033 B	2002-03-12	FROM	CHANGE OF COMPANY NAME	BP Amoco Norge AS	25.000000	\N	1622353	982372	9999-12-31	2013-05-08
033 B	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	25.000000	\N	1622353	1340884	9999-12-31	2013-05-08
033 B	2010-01-02	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	1622353	1853786	9999-12-31	2013-05-08
033 B	2010-01-01	FROM	TRANSFER	Total E&P Norge AS	25.000000	\N	1622353	2410708	9999-12-31	2013-05-08
033 B	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	25.000000	\N	1622353	1853786	9999-12-31	2013-05-08
033 B	2002-03-12	TO	CHANGE OF COMPANY NAME	BP Norge AS	25.000000	\N	1622353	2052695	9999-12-31	2013-05-08
033 B	2010-01-01	TO	TRANSFER	BP Norge AS	12.500000	\N	1622353	2052695	9999-12-31	2013-05-08
033 B	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	25.000000	\N	1622353	2410708	9999-12-31	2013-05-08
033 B	2006-06-26	TO	CHANGE OF COMPANY NAME	Hess Norge AS	25.000000	\N	1622353	4038735	9999-12-31	2013-05-08
033 B	2010-01-01	TO	TRANSFER	Hess Norge AS	12.500000	\N	1622353	4038735	9999-12-31	2013-05-08
033 B	2010-01-02	TO	TRANSFER	Hess Norge AS	25.000000	\N	1622353	4038735	9999-12-31	2013-05-08
265	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	15.000000	\N	1624237	342	9999-12-31	2013-05-08
265	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	25.000000	\N	1624237	353	9999-12-31	2013-05-08
265	2001-05-10	FROM	SDFI	Den norske stats oljeselskap a.s	60.000000	\N	1624237	749	9999-12-31	2013-05-08
265	2005-09-01	FROM	TRANSFER	Det Norske Oljeselskap AS	10.000000	\N	1624237	1340609	9999-12-31	2013-05-08
265	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	30.000000	\N	1624237	1340609	9999-12-31	2013-05-08
265	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	1624237	1622484	9999-12-31	2013-05-08
265	2001-06-17	FROM	SDFI	SDØE	30.000000	\N	1624237	1623450	9999-12-31	2013-05-08
265	2005-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	15.000000	\N	1624237	1853786	9999-12-31	2013-05-08
265	2010-01-01	FROM	TRANSFER	Talisman Energy Norge AS	10.000000	\N	1624237	2425093	9999-12-31	2013-05-08
265	2005-01-02	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	25.000000	\N	1624237	2835212	9999-12-31	2013-05-08
265	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	1624237	4468177	9999-12-31	2013-05-08
265	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	1624237	4511658	9999-12-31	2013-05-08
265	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	1624237	4511854	9999-12-31	2013-05-08
265	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	1624237	4539976	9999-12-31	2013-05-08
265	2009-01-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	10.000000	\N	1624237	4539989	9999-12-31	2013-05-08
265	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	20.000000	\N	1624237	4539989	9999-12-31	2013-05-08
265	2005-01-01	TO	TRANSFER	Det Norske Oljeselskap AS	15.000000	\N	1624237	1340609	9999-12-31	2013-05-08
265	2005-01-02	TO	TRANSFER	Det Norske Oljeselskap AS	25.000000	\N	1624237	1340609	9999-12-31	2013-05-08
265	2001-05-10	TO	SDFI	Statoil ASA (old)	30.000000	\N	1624237	1622484	9999-12-31	2013-05-08
265	2001-05-10	TO	SDFI	SDØE	30.000000	\N	1624237	1623450	9999-12-31	2013-05-08
265	2001-06-17	TO	SDFI	Petoro AS	30.000000	\N	1624237	1626839	9999-12-31	2013-05-08
265	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	15.000000	\N	1624237	1853786	9999-12-31	2013-05-08
265	2005-09-01	TO	TRANSFER	Talisman Energy Norge AS	10.000000	\N	1624237	2425093	9999-12-31	2013-05-08
265	2010-01-01	TO	TRANSFER	Lundin Norway AS	10.000000	\N	1624237	2767314	9999-12-31	2013-05-08
265	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	25.000000	\N	1624237	2835212	9999-12-31	2013-05-08
265	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	1624237	4468177	9999-12-31	2013-05-08
265	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	1624237	4511658	9999-12-31	2013-05-08
265	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	1624237	4511658	9999-12-31	2013-05-08
265	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	1624237	4511854	9999-12-31	2013-05-08
265	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	1624237	4539976	9999-12-31	2013-05-08
265	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	30.000000	\N	1624237	4539989	9999-12-31	2013-05-08
265	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	1624237	17237817	9999-12-31	2013-05-08
265	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	20.000000	\N	1624237	17342870	9999-12-31	2013-05-08
266	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	40.000000	\N	1624332	342	9999-12-31	2013-05-08
266	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	10.000000	\N	1624332	1577943	9999-12-31	2013-05-08
266	2003-06-24	FROM	TRANSFER	Enterprise Oil Norge AS	10.000000	\N	1624332	1853786	9999-12-31	2013-05-08
266	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	10.000000	\N	1624332	3987574	9999-12-31	2013-05-08
266	2003-06-24	TO	TRANSFER	Paladin Resources Norge AS	10.000000	\N	1624332	1577943	9999-12-31	2013-05-08
266	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	40.000000	\N	1624332	1853786	9999-12-31	2013-05-08
266	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	10.000000	\N	1624332	2425093	9999-12-31	2013-05-08
266	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	10.000000	\N	1624332	3987574	9999-12-31	2013-05-08
267	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	40.000000	\N	1624349	342	9999-12-31	2013-05-08
267	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	10.000000	\N	1624349	1577943	9999-12-31	2013-05-08
267	2003-06-24	FROM	TRANSFER	Enterprise Oil Norge AS	10.000000	\N	1624349	1853786	9999-12-31	2013-05-08
267	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	10.000000	\N	1624349	3987574	9999-12-31	2013-05-08
267	2003-06-24	TO	TRANSFER	Paladin Resources Norge AS	10.000000	\N	1624349	1577943	9999-12-31	2013-05-08
267	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	40.000000	\N	1624349	1853786	9999-12-31	2013-05-08
267	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	10.000000	\N	1624349	2425093	9999-12-31	2013-05-08
267	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	10.000000	\N	1624349	3987574	9999-12-31	2013-05-08
268	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	40.000000	\N	1624366	221	9999-12-31	2013-05-08
268	2002-11-19	FROM	CHANGE OF COMPANY NAME	Norsk Chevron AS	30.000000	\N	1624366	40148	9999-12-31	2013-05-08
268	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	30.000000	\N	1624366	102714	9999-12-31	2013-05-08
268	2002-11-19	TO	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	30.000000	\N	1624366	2154473	9999-12-31	2013-05-08
268	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	30.000000	\N	1624366	2388594	9999-12-31	2013-05-08
268	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	40.000000	\N	1624366	2399056	9999-12-31	2013-05-08
269	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	30.000000	\N	1624410	45	9999-12-31	2013-05-08
269	2001-12-31	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	30.000000	\N	1624410	342	9999-12-31	2013-05-08
269	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	100.000000	\N	1624410	430	9999-12-31	2013-05-08
269	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	40.000000	\N	1624410	705	9999-12-31	2013-05-08
269	2005-07-01	FROM	TRANSFER	Enterprise Oil Norge AS	30.000000	\N	1624410	1853786	9999-12-31	2013-05-08
269	2005-07-01	FROM	TRANSFER	Eni Norge AS	30.000000	\N	1624410	2388594	9999-12-31	2013-05-08
269	2005-07-01	FROM	TRANSFER	ConocoPhillips Skandinavia AS	40.000000	\N	1624410	2410696	9999-12-31	2013-05-08
269	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	1624410	4511658	9999-12-31	2013-05-08
269	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	100.000000	\N	1624410	4524355	9999-12-31	2013-05-08
269	2005-07-01	TO	TRANSFER	Norsk Hydro Produksjon AS	100.000000	\N	1624410	430	9999-12-31	2013-05-08
269	2001-12-31	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	30.000000	\N	1624410	1853786	9999-12-31	2013-05-08
269	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	30.000000	\N	1624410	2388594	9999-12-31	2013-05-08
269	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	40.000000	\N	1624410	2410696	9999-12-31	2013-05-08
269	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	1624410	4511658	9999-12-31	2013-05-08
269	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	100.000000	\N	1624410	4524355	9999-12-31	2013-05-08
269	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	100.000000	\N	1624410	17237817	9999-12-31	2013-05-08
270	2007-07-01	FROM	TRANSFER	RWE Dea Norge AS	36.000000	\N	1624436	97557	9999-12-31	2013-05-08
270	2011-09-01	FROM	TRANSFER	RWE Dea Norge AS	15.000000	\N	1624436	97557	9999-12-31	2013-05-08
270	2003-12-02	FROM	CHANGE OF COMPANY NAME	Aker Energy AS	49.000000	\N	1624436	1624465	9999-12-31	2013-05-08
270	2005-01-01	FROM	CHANGE OF COMPANY NAME	OER Oil AS	49.000000	\N	1624436	2258813	9999-12-31	2013-05-08
270	2007-10-12	FROM	TRANSFER	Endeavour Energy Norge AS	20.000000	\N	1624436	3113213	9999-12-31	2013-05-08
270	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	65.000000	\N	1624436	3113213	9999-12-31	2013-05-08
270	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge AS (old)	20.000000	\N	1624436	4062895	9999-12-31	2013-05-08
270	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	65.000000	\N	1624436	5497155	9999-12-31	2013-05-08
270	2012-12-27	FROM	TRANSFER	VNG Norge AS	15.000000	\N	1624436	17237193	9999-12-31	2013-05-08
270	2013-01-12	FROM	CHANGE OF COMPANY NAME	Emergy Exploration AS	15.000000	\N	1624436	21333629	9999-12-31	2013-05-08
270	2003-12-02	TO	CHANGE OF COMPANY NAME	OER Oil AS	49.000000	\N	1624436	2258813	9999-12-31	2013-05-08
270	2005-01-01	TO	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	49.000000	\N	1624436	3113213	9999-12-31	2013-05-08
270	2007-07-01	TO	TRANSFER	Endeavour Energy Norge AS	36.000000	\N	1624436	3113213	9999-12-31	2013-05-08
270	2007-10-12	TO	TRANSFER	VNG Norge AS (old)	20.000000	\N	1624436	4062895	9999-12-31	2013-05-08
270	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	65.000000	\N	1624436	5497155	9999-12-31	2013-05-08
270	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	85.000000	\N	1624436	17237193	9999-12-31	2013-05-08
270	2011-09-01	TO	TRANSFER	VNG Norge AS	15.000000	\N	1624436	17237193	9999-12-31	2013-05-08
270	2012-12-27	TO	TRANSFER	Emergy Exploration AS	15.000000	\N	1624436	21333629	9999-12-31	2013-05-08
270	2013-01-12	TO	CHANGE OF COMPANY NAME	Atlantic Petroleum Norge AS	15.000000	\N	1624436	22513163	9999-12-31	2013-05-08
029 B	2003-08-22	FROM	TRANSFER	Esso Exploration and Production Norway A/S	50.000000	\N	1626782	353	9999-12-31	2013-05-08
029 B	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	50.000000	\N	1626782	353	9999-12-31	2013-05-08
029 B	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	20.000000	\N	1626782	1340609	9999-12-31	2013-05-08
029 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	1626782	1622484	9999-12-31	2013-05-08
029 B	2005-03-31	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	20.000000	\N	1626782	2835212	9999-12-31	2013-05-08
029 B	2012-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	30.000000	\N	1626782	2835212	9999-12-31	2013-05-08
029 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	1626782	4511658	9999-12-31	2013-05-08
029 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	1626782	4511854	9999-12-31	2013-05-08
029 B	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	20.000000	\N	1626782	4539989	9999-12-31	2013-05-08
029 B	2005-03-31	TO	TRANSFER	Det Norske Oljeselskap AS	20.000000	\N	1626782	1340609	9999-12-31	2013-05-08
029 B	2003-08-22	TO	TRANSFER	Statoil ASA (old)	50.000000	\N	1626782	1622484	9999-12-31	2013-05-08
029 B	2012-01-01	TO	TRANSFER	Total E&P Norge AS	30.000000	\N	1626782	2410708	9999-12-31	2013-05-08
029 B	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	50.000000	\N	1626782	2835212	9999-12-31	2013-05-08
029 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	1626782	4511658	9999-12-31	2013-05-08
029 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	1626782	4511854	9999-12-31	2013-05-08
029 B	2007-06-20	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	20.000000	\N	1626782	4539989	9999-12-31	2013-05-08
029 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	1626782	17237817	9999-12-31	2013-05-08
029 B	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	20.000000	\N	1626782	17342870	9999-12-31	2013-05-08
072 B	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	50.000000	\N	1630345	353	9999-12-31	2013-05-08
072 B	2001-11-12	FROM	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	1630345	430	9999-12-31	2013-05-08
072 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	1630345	1622484	9999-12-31	2013-05-08
072 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	1630345	4511658	9999-12-31	2013-05-08
072 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	1630345	4511854	9999-12-31	2013-05-08
072 B	2001-11-12	TO	TRANSFER	Esso Exploration and Production Norway A/S	10.000000	\N	1630345	353	9999-12-31	2013-05-08
072 B	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	50.000000	\N	1630345	2835212	9999-12-31	2013-05-08
072 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	1630345	4511658	9999-12-31	2013-05-08
072 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	1630345	4511854	9999-12-31	2013-05-08
072 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	1630345	17237817	9999-12-31	2013-05-08
052 B	2004-01-01	FROM	TRANSFER	Svenska Petroleum Exploration AS	4.500000	\N	1840712	738	9999-12-31	2013-05-08
052 B	2001-12-18	FROM	MERGER/TAKEOVER	Total Norge AS	18.000000	\N	1840712	848	9999-12-31	2013-05-08
052 B	2002-01-01	FROM	MERGER/TAKEOVER	Norske RWE-DEA AS	2.250000	\N	1840712	853394	9999-12-31	2013-05-08
052 B	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	18.000000	\N	1840712	1340884	9999-12-31	2013-05-08
052 B	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	9.000000	\N	1840712	1577943	9999-12-31	2013-05-08
052 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	22.500000	\N	1840712	1622484	9999-12-31	2013-05-08
052 B	2009-01-02	FROM	TRANSFER	Talisman Energy Norge AS	9.000000	\N	1840712	2425093	9999-12-31	2013-05-08
052 B	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	9.000000	\N	1840712	3987574	9999-12-31	2013-05-08
052 B	2011-01-01	FROM	TRANSFER	Talisman Resources Norge AS	9.000000	\N	1840712	3987574	9999-12-31	2013-05-08
052 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	22.500000	\N	1840712	4511658	9999-12-31	2013-05-08
052 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	22.500000	\N	1840712	4511854	9999-12-31	2013-05-08
052 B	2002-01-01	TO	MERGER/TAKEOVER	RWE Dea Norge AS	2.250000	\N	1840712	97557	9999-12-31	2013-05-08
052 B	2001-12-18	TO	MERGER/TAKEOVER	TotalFinaElf Exploration Norge AS	18.000000	\N	1840712	1340884	9999-12-31	2013-05-08
052 B	2004-01-01	TO	TRANSFER	Statoil ASA (old)	4.500000	\N	1840712	1622484	9999-12-31	2013-05-08
052 B	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	18.000000	\N	1840712	2410708	9999-12-31	2013-05-08
052 B	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	9.000000	\N	1840712	2425093	9999-12-31	2013-05-08
052 B	2011-01-01	TO	TRANSFER	Talisman Energy Norge AS	9.000000	\N	1840712	2425093	9999-12-31	2013-05-08
052 B	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	9.000000	\N	1840712	3987574	9999-12-31	2013-05-08
052 B	2009-01-02	TO	TRANSFER	Talisman Resources Norge AS	9.000000	\N	1840712	3987574	9999-12-31	2013-05-08
052 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	22.500000	\N	1840712	4511658	9999-12-31	2013-05-08
052 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	22.500000	\N	1840712	4511854	9999-12-31	2013-05-08
052 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	22.500000	\N	1840712	17237817	9999-12-31	2013-05-08
085 C	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	1.623740	\N	2051285	221	9999-12-31	2013-05-08
085 C	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.779140	\N	2051285	430	9999-12-31	2013-05-08
085 C	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	3.690960	\N	2051285	1340884	9999-12-31	2013-05-08
085 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.804710	\N	2051285	1622484	9999-12-31	2013-05-08
085 C	2007-01-02	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	1.623740	\N	2051285	2399056	9999-12-31	2013-05-08
085 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.583850	\N	2051285	4511658	9999-12-31	2013-05-08
085 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	20.804710	\N	2051285	4511854	9999-12-31	2013-05-08
085 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.779140	\N	2051285	4524355	9999-12-31	2013-05-08
085 C	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	1.623740	\N	2051285	2399056	9999-12-31	2013-05-08
085 C	2007-01-02	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	1.623740	\N	2051285	2410696	9999-12-31	2013-05-08
085 C	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	3.690960	\N	2051285	2410708	9999-12-31	2013-05-08
085 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.779140	\N	2051285	4511658	9999-12-31	2013-05-08
085 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	20.804710	\N	2051285	4511658	9999-12-31	2013-05-08
085 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.804710	\N	2051285	4511854	9999-12-31	2013-05-08
085 C	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.779140	\N	2051285	4524355	9999-12-31	2013-05-08
085 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.583850	\N	2051285	17237817	9999-12-31	2013-05-08
271	2002-10-14	FROM	TRANSFER	Norsk Hydro Produksjon AS	20.000000	\N	2060218	430	9999-12-31	2013-05-08
271	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	2060218	430	9999-12-31	2013-05-08
271	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	20.000000	\N	2060218	1577943	9999-12-31	2013-05-08
271	2006-03-31	FROM	TRANSFER	DONG Norge AS	40.000000	\N	2060218	1853083	9999-12-31	2013-05-08
271	2006-07-01	FROM	TRANSFER	Norwegian Energy Company AS	10.000000	\N	2060218	3482246	9999-12-31	2013-05-08
271	2007-10-02	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	30.000000	\N	2060218	3482246	9999-12-31	2013-05-08
271	2006-07-02	FROM	TRANSFER	Talisman Resources Norge AS	30.000000	\N	2060218	3987574	9999-12-31	2013-05-08
271	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	2060218	4524355	9999-12-31	2013-05-08
271	2008-01-01	FROM	TRANSFER	Norwegian Energy Company ASA	15.000000	\N	2060218	4530695	9999-12-31	2013-05-08
271	2002-10-14	TO	TRANSFER	Paladin Resources Norge AS	20.000000	\N	2060218	1577943	9999-12-31	2013-05-08
271	2006-07-02	TO	TRANSFER	Talisman Energy Norge AS	30.000000	\N	2060218	2425093	9999-12-31	2013-05-08
271	2006-03-31	TO	TRANSFER	Norwegian Energy Company AS	40.000000	\N	2060218	3482246	9999-12-31	2013-05-08
271	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	20.000000	\N	2060218	3987574	9999-12-31	2013-05-08
271	2006-07-01	TO	TRANSFER	Talisman Resources Norge AS	10.000000	\N	2060218	3987574	9999-12-31	2013-05-08
271	2008-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	15.000000	\N	2060218	4062883	9999-12-31	2013-05-08
271	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	2060218	4511658	9999-12-31	2013-05-08
271	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	2060218	4524355	9999-12-31	2013-05-08
271	2007-10-02	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	30.000000	\N	2060218	4530695	9999-12-31	2013-05-08
272	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	50.000000	\N	2060232	430	9999-12-31	2013-05-08
272	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	25.000000	\N	2060232	1340609	9999-12-31	2013-05-08
272	2003-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	2060232	1853786	9999-12-31	2013-05-08
272	2004-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	2060232	1853786	9999-12-31	2013-05-08
272	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	25.000000	\N	2060232	4468177	9999-12-31	2013-05-08
272	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	2060232	4511658	9999-12-31	2013-05-08
272	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	50.000000	\N	2060232	4524355	9999-12-31	2013-05-08
272	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	25.000000	\N	2060232	4539976	9999-12-31	2013-05-08
272	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	25.000000	\N	2060232	4539989	9999-12-31	2013-05-08
272	2003-01-01	TO	TRANSFER	Svenska Petroleum Exploration AS	25.000000	\N	2060232	738	9999-12-31	2013-05-08
272	2004-01-01	TO	TRANSFER	Det Norske Oljeselskap AS	25.000000	\N	2060232	1340609	9999-12-31	2013-05-08
272	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	25.000000	\N	2060232	4468177	9999-12-31	2013-05-08
272	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	2060232	4511658	9999-12-31	2013-05-08
272	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	50.000000	\N	2060232	4524355	9999-12-31	2013-05-08
272	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	25.000000	\N	2060232	4539976	9999-12-31	2013-05-08
272	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	25.000000	\N	2060232	4539989	9999-12-31	2013-05-08
272	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	2060232	17237817	9999-12-31	2013-05-08
272	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	25.000000	\N	2060232	17342870	9999-12-31	2013-05-08
273	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	30.000000	\N	2060246	430	9999-12-31	2013-05-08
273	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	70.000000	\N	2060246	705	9999-12-31	2013-05-08
273	2004-01-01	FROM	TRANSFER	DONG Norge AS	20.000000	\N	2060246	1853083	9999-12-31	2013-05-08
273	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	10.000000	\N	2060246	1853083	9999-12-31	2013-05-08
273	2006-01-01	FROM	TRANSFER	ConocoPhillips Skandinavia AS	55.000000	\N	2060246	2410696	9999-12-31	2013-05-08
273	2008-01-01	FROM	TRANSFER	Wintershall Norge AS (old)	10.000000	\N	2060246	3482302	9999-12-31	2013-05-08
273	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	2060246	4511658	9999-12-31	2013-05-08
273	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	30.000000	\N	2060246	4524355	9999-12-31	2013-05-08
273	2006-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	30.000000	\N	2060246	430	9999-12-31	2013-05-08
273	2008-01-01	TO	TRANSFER	Idemitsu Petroleum Norge AS	10.000000	\N	2060246	441	9999-12-31	2013-05-08
273	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	70.000000	\N	2060246	2410696	9999-12-31	2013-05-08
273	2004-01-01	TO	TRANSFER	ConocoPhillips Skandinavia AS	20.000000	\N	2060246	2410696	9999-12-31	2013-05-08
273	2006-01-01	TO	TRANSFER	Wintershall Norge AS (old)	25.000000	\N	2060246	3482302	9999-12-31	2013-05-08
273	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	10.000000	\N	2060246	4070011	9999-12-31	2013-05-08
273	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	2060246	4511658	9999-12-31	2013-05-08
273	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	30.000000	\N	2060246	4524355	9999-12-31	2013-05-08
273	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	2060246	17237817	9999-12-31	2013-05-08
274	2002-04-17	FROM	CHANGE OF COMPANY NAME	Pelican AS	100.000000	\N	2060266	606	9999-12-31	2013-05-08
274	2005-01-01	FROM	TRANSFER	DONG Norge AS	30.000000	\N	2060266	1853083	9999-12-31	2013-05-08
274	2006-01-01	FROM	TRANSFER	DONG Norge AS	30.000000	\N	2060266	1853083	9999-12-31	2013-05-08
274	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	40.000000	\N	2060266	1853083	9999-12-31	2013-05-08
274	2007-01-01	FROM	TRANSFER	Revus Energy ASA	15.000000	\N	2060266	3431773	9999-12-31	2013-05-08
274	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	15.000000	\N	2060266	3431773	9999-12-31	2013-05-08
274	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	15.000000	\N	2060266	3482246	9999-12-31	2013-05-08
274	2009-01-21	FROM	CHANGE OF COMPANY NAME	PA Resources Norway AS	30.000000	\N	2060266	3986418	9999-12-31	2013-05-08
274	2012-07-05	FROM	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	15.000000	\N	2060266	4446230	9999-12-31	2013-05-08
274	2010-01-01	FROM	TRANSFER	Norwegian Energy Company ASA	15.000000	\N	2060266	4530695	9999-12-31	2013-05-08
274	2009-07-31	FROM	TRANSFER	Wintershall Norge ASA	15.000000	\N	2060266	5442509	9999-12-31	2013-05-08
274	2009-03-23	FROM	TRANSFER	Bayerngas Produksjon Norge AS	30.000000	\N	2060266	5461974	9999-12-31	2013-05-08
274	2002-04-17	TO	CHANGE OF COMPANY NAME	DONG Norge AS	100.000000	\N	2060266	1853083	9999-12-31	2013-05-08
274	2005-01-01	TO	TRANSFER	Revus Energy ASA	30.000000	\N	2060266	3431773	9999-12-31	2013-05-08
274	2007-01-01	TO	TRANSFER	Norwegian Energy Company AS	15.000000	\N	2060266	3482246	9999-12-31	2013-05-08
274	2006-01-01	TO	TRANSFER	PA Resources Norway AS	30.000000	\N	2060266	3986418	9999-12-31	2013-05-08
274	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	40.000000	\N	2060266	4070011	9999-12-31	2013-05-08
274	2009-07-31	TO	TRANSFER	DONG E&P Norge AS	15.000000	\N	2060266	4070011	9999-12-31	2013-05-08
274	2009-03-23	TO	TRANSFER	Bayerngas Norge AS	30.000000	\N	2060266	4444493	9999-12-31	2013-05-08
274	2010-01-01	TO	TRANSFER	Altinex Oil Norway AS	15.000000	\N	2060266	4446230	9999-12-31	2013-05-08
274	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	15.000000	\N	2060266	4530695	9999-12-31	2013-05-08
274	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	15.000000	\N	2060266	5442509	9999-12-31	2013-05-08
274	2009-01-21	TO	CHANGE OF COMPANY NAME	Bayerngas Produksjon Norge AS	30.000000	\N	2060266	5461974	9999-12-31	2013-05-08
274	2012-07-05	TO	CHANGE OF COMPANY NAME	Noreco Norway AS	15.000000	\N	2060266	22223020	9999-12-31	2013-05-08
275	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	12.388000	\N	2060278	45	9999-12-31	2013-05-08
275	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	6.654000	\N	2060278	430	9999-12-31	2013-05-08
275	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	35.112000	\N	2060278	705	9999-12-31	2013-05-08
275	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	39.896000	\N	2060278	1340884	9999-12-31	2013-05-08
275	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	0.950000	\N	2060278	1622484	9999-12-31	2013-05-08
275	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	7.604000	\N	2060278	4511658	9999-12-31	2013-05-08
275	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	0.950000	\N	2060278	4511854	9999-12-31	2013-05-08
275	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	6.654000	\N	2060278	4524355	9999-12-31	2013-05-08
275	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	12.388000	\N	2060278	2388594	9999-12-31	2013-05-08
275	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	35.112000	\N	2060278	2410696	9999-12-31	2013-05-08
275	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	39.896000	\N	2060278	2410708	9999-12-31	2013-05-08
275	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	6.654000	\N	2060278	4511658	9999-12-31	2013-05-08
275	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	0.950000	\N	2060278	4511658	9999-12-31	2013-05-08
275	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	0.950000	\N	2060278	4511854	9999-12-31	2013-05-08
275	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	6.654000	\N	2060278	4524355	9999-12-31	2013-05-08
275	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	7.604000	\N	2060278	17237817	9999-12-31	2013-05-08
276	2005-01-01	FROM	TRANSFER	Svenska Petroleum Exploration AS	4.500000	\N	2060300	738	9999-12-31	2013-05-08
276	2003-03-24	FROM	TRANSFER	TotalFinaElf Exploration Norge AS	18.000000	\N	2060300	1340884	9999-12-31	2013-05-08
276	2003-03-24	TO	TRANSFER	Paladin Resources Norge AS	18.000000	\N	2060300	1577943	9999-12-31	2013-05-08
276	2005-01-01	TO	TRANSFER	Revus Energy AS	4.500000	\N	2060300	2455850	9999-12-31	2013-05-08
277	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.000000	\N	2060336	430	9999-12-31	2013-05-08
277	2005-01-01	FROM	TRANSFER	Statoil ASA (old)	9.000000	\N	2060336	1622484	9999-12-31	2013-05-08
277	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	61.000000	\N	2060336	1622484	9999-12-31	2013-05-08
277	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	2060336	4511658	9999-12-31	2013-05-08
277	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	61.000000	\N	2060336	4511854	9999-12-31	2013-05-08
277	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.000000	\N	2060336	4524355	9999-12-31	2013-05-08
277	2005-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	9.000000	\N	2060336	430	9999-12-31	2013-05-08
277	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.000000	\N	2060336	4511658	9999-12-31	2013-05-08
277	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	61.000000	\N	2060336	4511658	9999-12-31	2013-05-08
277	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	61.000000	\N	2060336	4511854	9999-12-31	2013-05-08
277	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.000000	\N	2060336	4524355	9999-12-31	2013-05-08
277	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	2060336	17237817	9999-12-31	2013-05-08
280	2002-07-01	FROM	TRANSFER	Kerr-McGee Norway AS	100.000000	\N	2060385	2051482	9999-12-31	2013-05-08
280	2002-07-01	TO	TRANSFER	CNR International (UK) Limited	100.000000	\N	2060385	2385943	9999-12-31	2013-05-08
281	2007-01-01	FROM	TRANSFER	A/S Norske Shell	20.000000	\N	2073488	562	9999-12-31	2013-05-08
281	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	10.000000	\N	2073488	705	9999-12-31	2013-05-08
281	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	2073488	1622484	9999-12-31	2013-05-08
281	2005-01-01	FROM	TRANSFER	BP Norge AS	20.000000	\N	2073488	2052695	9999-12-31	2013-05-08
281	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	2073488	4511854	9999-12-31	2013-05-08
281	2007-01-01	TO	TRANSFER	Statoil ASA (old)	20.000000	\N	2073488	1622484	9999-12-31	2013-05-08
281	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	10.000000	\N	2073488	2410696	9999-12-31	2013-05-08
281	2005-01-01	TO	TRANSFER	E.ON Ruhrgas Norge AS	20.000000	\N	2073488	2840522	9999-12-31	2013-05-08
281	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	2073488	4511658	9999-12-31	2013-05-08
281	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	2073488	4511854	9999-12-31	2013-05-08
283	2003-03-22	FROM	CHANGE OF COMPANY NAME	Norske Conoco A/S	25.000000	\N	2073530	221	9999-12-31	2013-05-08
283	2007-01-02	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	30.000000	\N	2073530	430	9999-12-31	2013-05-08
283	2002-11-19	FROM	CHANGE OF COMPANY NAME	Norsk Chevron AS	25.000000	\N	2073530	40148	9999-12-31	2013-05-08
283	2005-09-17	FROM	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	25.000000	\N	2073530	2154473	9999-12-31	2013-05-08
283	2007-01-01	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	25.000000	\N	2073530	2399056	9999-12-31	2013-05-08
283	2008-01-01	FROM	TRANSFER	ConocoPhillips Skandinavia AS	10.000000	\N	2073530	2410696	9999-12-31	2013-05-08
283	2008-01-02	FROM	TRANSFER	Chevron Norge AS	12.500000	\N	2073530	3488906	9999-12-31	2013-05-08
283	2009-06-05	FROM	TRANSFER	Chevron Norge AS	12.500000	\N	2073530	3488906	9999-12-31	2013-05-08
283	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	25.000000	\N	2073530	4460425	9999-12-31	2013-05-08
283	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	2073530	4511658	9999-12-31	2013-05-08
283	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	30.000000	\N	2073530	4524355	9999-12-31	2013-05-08
283	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	25.000000	\N	2073530	17342915	9999-12-31	2013-05-08
283	2002-11-19	TO	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	25.000000	\N	2073530	2154473	9999-12-31	2013-05-08
283	2003-03-22	TO	CHANGE OF COMPANY NAME	Norske ConocoPhillips AS	25.000000	\N	2073530	2399056	9999-12-31	2013-05-08
283	2007-01-01	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	25.000000	\N	2073530	2410696	9999-12-31	2013-05-08
283	2005-09-17	TO	CHANGE OF COMPANY NAME	Chevron Norge AS	25.000000	\N	2073530	3488906	9999-12-31	2013-05-08
283	2008-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	10.000000	\N	2073530	4238233	9999-12-31	2013-05-08
283	2008-01-02	TO	TRANSFER	Aker Exploration AS	12.500000	\N	2073530	4460425	9999-12-31	2013-05-08
283	2009-06-05	TO	TRANSFER	Aker Exploration AS	12.500000	\N	2073530	4460425	9999-12-31	2013-05-08
283	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	2073530	4511658	9999-12-31	2013-05-08
283	2007-01-02	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	30.000000	\N	2073530	4524355	9999-12-31	2013-05-08
283	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	2073530	17237817	9999-12-31	2013-05-08
283	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	25.000000	\N	2073530	17342870	9999-12-31	2013-05-08
283	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	25.000000	\N	2073530	17342915	9999-12-31	2013-05-08
284	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	40.000000	\N	2073548	705	9999-12-31	2013-05-08
284	2002-11-19	FROM	CHANGE OF COMPANY NAME	Norsk Chevron AS	30.000000	\N	2073548	40148	9999-12-31	2013-05-08
284	2002-11-19	TO	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	30.000000	\N	2073548	2154473	9999-12-31	2013-05-08
284	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	40.000000	\N	2073548	2410696	9999-12-31	2013-05-08
285	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	70.000000	\N	2073564	45	9999-12-31	2013-05-08
285	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	70.000000	\N	2073564	2388594	9999-12-31	2013-05-08
286	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	40.000000	\N	2073578	45	9999-12-31	2013-05-08
286	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	60.000000	\N	2073578	430	9999-12-31	2013-05-08
286	2007-01-02	FROM	TRANSFER	Eni Norge AS	20.000000	\N	2073578	2388594	9999-12-31	2013-05-08
286	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	60.000000	\N	2073578	4524355	9999-12-31	2013-05-08
286	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	40.000000	\N	2073578	2388594	9999-12-31	2013-05-08
286	2007-01-02	TO	TRANSFER	Wintershall Norge AS (old)	20.000000	\N	2073578	3482302	9999-12-31	2013-05-08
286	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	2073578	4511658	9999-12-31	2013-05-08
286	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	60.000000	\N	2073578	4524355	9999-12-31	2013-05-08
094 B	2003-12-31	FROM	CHANGE OF COMPANY NAME	Norsk Agip  AS	7.900000	\N	2092082	45	9999-12-31	2013-05-08
094 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.610000	\N	2092082	430	9999-12-31	2013-05-08
094 B	2006-08-01	FROM	TRANSFER	Mobil Development Norway AS	0.110000	\N	2092082	474	9999-12-31	2013-05-08
094 B	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	7.240000	\N	2092082	474	9999-12-31	2013-05-08
094 B	2003-03-04	FROM	CHANGE OF COMPANY NAME	Fortum Petroleum AS	7.000000	\N	2092082	102714	9999-12-31	2013-05-08
094 B	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	7.650000	\N	2092082	1340884	9999-12-31	2013-05-08
094 B	2006-08-01	FROM	TRANSFER	Statoil ASA (old)	0.040000	\N	2092082	1622484	9999-12-31	2013-05-08
094 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	24.960000	\N	2092082	1622484	9999-12-31	2013-05-08
094 B	2006-08-01	FROM	TRANSFER	Eni Norge AS	0.080000	\N	2092082	2388594	9999-12-31	2013-05-08
094 B	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	9.610000	\N	2092082	4511658	9999-12-31	2013-05-08
094 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	34.570000	\N	2092082	4511658	9999-12-31	2013-05-08
094 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	34.570000	\N	2092082	4511854	9999-12-31	2013-05-08
094 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.610000	\N	2092082	4524355	9999-12-31	2013-05-08
094 B	2006-08-01	TO	TRANSFER	Norsk Hydro Produksjon AS	0.010000	\N	2092082	430	9999-12-31	2013-05-08
094 B	2006-08-01	TO	TRANSFER	Petoro AS	0.190000	\N	2092082	1626839	9999-12-31	2013-05-08
094 B	2003-03-04	TO	CHANGE OF COMPANY NAME	Eni Norge AS	7.000000	\N	2092082	2388594	9999-12-31	2013-05-08
094 B	2003-12-31	TO	CHANGE OF COMPANY NAME	Eni Norge AS	7.900000	\N	2092082	2388594	9999-12-31	2013-05-08
094 B	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	7.650000	\N	2092082	2410708	9999-12-31	2013-05-08
094 B	2006-08-01	TO	TRANSFER	Total E&P Norge AS	0.030000	\N	2092082	2410708	9999-12-31	2013-05-08
094 B	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	7.240000	\N	2092082	2835212	9999-12-31	2013-05-08
094 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.610000	\N	2092082	4511658	9999-12-31	2013-05-08
094 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	34.570000	\N	2092082	4511658	9999-12-31	2013-05-08
094 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	24.960000	\N	2092082	4511854	9999-12-31	2013-05-08
094 B	2008-01-01	TO	TRANSFER	StatoilHydro ASA	9.610000	\N	2092082	4511854	9999-12-31	2013-05-08
094 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.610000	\N	2092082	4524355	9999-12-31	2013-05-08
094 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	34.570000	\N	2092082	17237817	9999-12-31	2013-05-08
212 B	2007-01-01	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	2092275	474	9999-12-31	2013-05-08
212 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	2092275	1622484	9999-12-31	2013-05-08
212 B	2007-01-02	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	2092275	1853786	9999-12-31	2013-05-08
212 B	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	25.000000	\N	2092275	2840522	9999-12-31	2013-05-08
212 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	2092275	4511658	9999-12-31	2013-05-08
212 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	2092275	4511854	9999-12-31	2013-05-08
212 B	2007-01-02	TO	TRANSFER	E.ON Ruhrgas Norge AS	25.000000	\N	2092275	2840522	9999-12-31	2013-05-08
212 B	2007-01-01	TO	TRANSFER	PGNiG Norway AS	15.000000	\N	2092275	4505831	9999-12-31	2013-05-08
212 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	2092275	4511658	9999-12-31	2013-05-08
212 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	2092275	4511854	9999-12-31	2013-05-08
212 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	2092275	17237817	9999-12-31	2013-05-08
212 B	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	25.000000	\N	2092275	21631209	9999-12-31	2013-05-08
122 B	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	20.000000	\N	2134110	45	9999-12-31	2013-05-08
122 B	2003-08-22	FROM	TRANSFER	Amerada Hess Norge AS	20.000000	\N	2134110	67	9999-12-31	2013-05-08
122 B	2004-08-03	FROM	TRANSFER	Mobil Development Norway AS	10.000000	\N	2134110	474	9999-12-31	2013-05-08
122 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	2134110	1622484	9999-12-31	2013-05-08
122 B	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	30.000000	\N	2134110	1853083	9999-12-31	2013-05-08
122 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	2134110	4511658	9999-12-31	2013-05-08
122 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	2134110	4511854	9999-12-31	2013-05-08
122 B	2003-08-22	TO	TRANSFER	DONG Norge AS	20.000000	\N	2134110	1853083	9999-12-31	2013-05-08
122 B	2004-08-03	TO	TRANSFER	DONG Norge AS	10.000000	\N	2134110	1853083	9999-12-31	2013-05-08
122 B	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	20.000000	\N	2134110	2388594	9999-12-31	2013-05-08
122 B	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	30.000000	\N	2134110	4070011	9999-12-31	2013-05-08
122 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	2134110	4511658	9999-12-31	2013-05-08
122 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	2134110	4511854	9999-12-31	2013-05-08
122 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	2134110	17237817	9999-12-31	2013-05-08
018 C	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	12.388000	\N	2246113	45	9999-12-31	2013-05-08
018 C	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	6.654000	\N	2246113	430	9999-12-31	2013-05-08
018 C	2003-05-06	FROM	CHANGE OF COMPANY NAME	Phillips Petroleum Norsk AS	35.112000	\N	2246113	705	9999-12-31	2013-05-08
018 C	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	39.896000	\N	2246113	1340884	9999-12-31	2013-05-08
018 C	2005-01-01	FROM	TRANSFER	Statoil ASA (old)	0.950000	\N	2246113	1622484	9999-12-31	2013-05-08
018 C	2004-02-21	FROM	TRANSFER	Kerr-McGee Norway AS	15.000000	\N	2246113	2051482	9999-12-31	2013-05-08
018 C	2006-03-13	FROM	CHANGE OF COMPANY NAME	Kerr-McGee Norway AS	60.008000	\N	2246113	2051482	9999-12-31	2013-05-08
018 C	2003-03-05	FROM	TRANSFER	ConocoPhillips Norge	35.112000	\N	2246113	2144081	9999-12-31	2013-05-08
018 C	2005-01-01	FROM	TRANSFER	Eni Norge AS	12.388000	\N	2246113	2388594	9999-12-31	2013-05-08
018 C	2004-01-01	FROM	TRANSFER	ConocoPhillips Skandinavia AS	35.112000	\N	2246113	2410696	9999-12-31	2013-05-08
018 C	2003-08-14	FROM	TRANSFER	Total E&P Norge AS	39.896000	\N	2246113	2410708	9999-12-31	2013-05-08
018 C	2006-11-28	FROM	CHANGE OF COMPANY NAME	Altinex Oil AS	13.338000	\N	2246113	2835200	9999-12-31	2013-05-08
018 C	2007-11-01	FROM	TRANSFER	Noble Energy Limited	15.000000	\N	2246113	3262354	9999-12-31	2013-05-08
018 C	2007-09-22	FROM	CHANGE OF COMPANY NAME	Maersk Oil Norway AS (old2)	60.008000	\N	2246113	3960921	9999-12-31	2013-05-08
018 C	2008-06-20	FROM	TRANSFER	Noble Energy Norge AS	15.000000	\N	2246113	4393186	9999-12-31	2013-05-08
018 C	2011-01-01	FROM	TRANSFER	Altinex Oil Norway AS	13.338000	\N	2246113	4446230	9999-12-31	2013-05-08
018 C	2010-04-21	FROM	TRANSFER	Skeie Energy AS (Old)	15.000000	\N	2246113	4511646	9999-12-31	2013-05-08
018 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	6.654000	\N	2246113	4511658	9999-12-31	2013-05-08
018 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	6.654000	\N	2246113	4524355	9999-12-31	2013-05-08
018 C	2011-10-28	FROM	MERGER/TAKEOVER	Maersk Oil PL 018C Norway AS	60.008000	\N	2246113	4703832	9999-12-31	2013-05-08
018 C	2011-01-03	FROM	CHANGE OF COMPANY NAME	Skeie Oil & Gas AS	15.000000	\N	2246113	4998977	9999-12-31	2013-05-08
018 C	2011-01-04	FROM	TRANSFER	Skeie Energy AS	15.000000	\N	2246113	23286115	9999-12-31	2013-05-08
018 C	2003-03-05	TO	TRANSFER	Phillips Petroleum Norsk AS	35.112000	\N	2246113	705	9999-12-31	2013-05-08
018 C	2003-08-14	TO	TRANSFER	Kerr-McGee Norway AS	39.896000	\N	2246113	2051482	9999-12-31	2013-05-08
018 C	2004-01-01	TO	TRANSFER	Kerr-McGee Norway AS	35.112000	\N	2246113	2051482	9999-12-31	2013-05-08
018 C	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	12.388000	\N	2246113	2388594	9999-12-31	2013-05-08
018 C	2003-05-06	TO	CHANGE OF COMPANY NAME	ConocoPhillips Skandinavia AS	35.112000	\N	2246113	2410696	9999-12-31	2013-05-08
018 C	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	39.896000	\N	2246113	2410708	9999-12-31	2013-05-08
018 C	2005-01-01	TO	TRANSFER	Altinex Oil AS	13.338000	\N	2246113	2835200	9999-12-31	2013-05-08
018 C	2004-02-21	TO	TRANSFER	Noble Energy Limited	15.000000	\N	2246113	3262354	9999-12-31	2013-05-08
018 C	2006-03-13	TO	CHANGE OF COMPANY NAME	Maersk Oil Norway AS (old2)	60.008000	\N	2246113	3960921	9999-12-31	2013-05-08
018 C	2007-11-01	TO	TRANSFER	Noble Energy Norge AS	15.000000	\N	2246113	4393186	9999-12-31	2013-05-08
018 C	2006-11-28	TO	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	13.338000	\N	2246113	4446230	9999-12-31	2013-05-08
018 C	2008-06-20	TO	TRANSFER	Skeie Energy AS (Old)	15.000000	\N	2246113	4511646	2013-03-19	2013-05-08
018 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	6.654000	\N	2246113	4511658	9999-12-31	2013-05-08
018 C	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	6.654000	\N	2246113	4524355	9999-12-31	2013-05-08
018 C	2007-09-22	TO	CHANGE OF COMPANY NAME	Maersk Oil PL 018C Norway AS	60.008000	\N	2246113	4703832	9999-12-31	2013-05-08
018 C	2011-01-01	TO	TRANSFER	Maersk Oil Norway AS	13.338000	\N	2246113	4719674	9999-12-31	2013-05-08
018 C	2011-01-04	TO	TRANSFER	Maersk Oil Norway AS	15.000000	\N	2246113	4719674	9999-12-31	2013-05-08
018 C	2011-10-28	TO	MERGER/TAKEOVER	Maersk Oil Norway AS	60.008000	\N	2246113	4719674	9999-12-31	2013-05-08
018 C	2010-04-21	TO	TRANSFER	Skeie Oil & Gas AS	15.000000	\N	2246113	4998977	9999-12-31	2013-05-08
018 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	6.654000	\N	2246113	17237817	9999-12-31	2013-05-08
018 C	2011-01-03	TO	CHANGE OF COMPANY NAME	Skeie Energy AS	15.000000	\N	2246113	23286115	9999-12-31	2013-05-08
038 B	2005-01-31	FROM	MERGER/TAKEOVER	Pertra AS (OLD)	70.000000	\N	2407278	2069841	9999-12-31	2013-05-08
038 B	2005-02-01	FROM	TRANSFER	Talisman Production Norge AS	70.000000	\N	2407278	3420565	9999-12-31	2013-05-08
038 B	2005-02-01	TO	TRANSFER	Talisman Energy Norge AS	70.000000	\N	2407278	2425093	9999-12-31	2013-05-08
038 B	2005-01-31	TO	MERGER/TAKEOVER	Talisman Production Norge AS	70.000000	\N	2407278	3420565	9999-12-31	2013-05-08
287	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	100.000000	\N	2407356	353	9999-12-31	2013-05-08
287	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2407356	2835212	9999-12-31	2013-05-08
289	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	30.000000	\N	2407454	1577943	9999-12-31	2013-05-08
289	2008-01-01	FROM	TRANSFER	Gaz de France Norge AS	14.000000	\N	2407454	1628733	9999-12-31	2013-05-08
289	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	16.000000	\N	2407454	1628733	9999-12-31	2013-05-08
289	2005-01-01	FROM	TRANSFER	DONG Norge AS	30.000000	\N	2407454	1853083	9999-12-31	2013-05-08
289	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	40.000000	\N	2407454	1853083	9999-12-31	2013-05-08
289	2012-10-31	FROM	TRANSFER	Talisman Energy Norge AS	30.000000	\N	2407454	2425093	9999-12-31	2013-05-08
289	2006-09-07	FROM	TRANSFER	Talisman Resources Norge AS	30.000000	\N	2407454	3987574	9999-12-31	2013-05-08
289	2012-06-29	FROM	TRANSFER	Faroe Petroleum Norge AS	14.000000	\N	2407454	4062883	9999-12-31	2013-05-08
289	2012-07-31	FROM	TRANSFER	GDF SUEZ E&P Norge AS	16.000000	\N	2407454	5267845	9999-12-31	2013-05-08
289	2005-01-01	TO	TRANSFER	Gaz de France Norge AS	30.000000	\N	2407454	1628733	9999-12-31	2013-05-08
289	2006-09-07	TO	TRANSFER	Talisman Energy Norge AS	30.000000	\N	2407454	2425093	9999-12-31	2013-05-08
289	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	30.000000	\N	2407454	3987574	9999-12-31	2013-05-08
289	2008-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	14.000000	\N	2407454	4062883	9999-12-31	2013-05-08
289	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	40.000000	\N	2407454	4070011	9999-12-31	2013-05-08
289	2012-10-31	TO	TRANSFER	DONG E&P Norge AS	10.000000	\N	2407454	4070011	9999-12-31	2013-05-08
289	2012-06-29	TO	TRANSFER	Bayerngas Norge AS	14.000000	\N	2407454	4444493	9999-12-31	2013-05-08
289	2012-07-31	TO	TRANSFER	Bayerngas Norge AS	16.000000	\N	2407454	4444493	9999-12-31	2013-05-08
289	2012-10-31	TO	TRANSFER	Bayerngas Norge AS	20.000000	\N	2407454	4444493	9999-12-31	2013-05-08
289	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	16.000000	\N	2407454	5267845	9999-12-31	2013-05-08
291	2004-01-01	FROM	TRANSFER	Esso Exploration and Production Norway A/S	2.500000	\N	2407510	353	9999-12-31	2013-05-08
291	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	13.843400	\N	2407510	353	9999-12-31	2013-05-08
291	2005-01-01	FROM	CHANGE OF COMPANY NAME	OER Oil AS	4.442400	\N	2407510	2258813	9999-12-31	2013-05-08
291	2005-05-04	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	2.500000	\N	2407510	2455850	9999-12-31	2013-05-08
291	2005-01-02	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	13.843400	\N	2407510	2835212	9999-12-31	2013-05-08
291	2005-01-02	TO	TRANSFER	Talisman Energy Norge AS	13.843400	\N	2407510	2425093	9999-12-31	2013-05-08
291	2004-01-01	TO	TRANSFER	Revus Energy AS	2.500000	\N	2407510	2455850	9999-12-31	2013-05-08
291	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	13.843400	\N	2407510	2835212	9999-12-31	2013-05-08
291	2005-01-01	TO	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	4.442400	\N	2407510	3113213	9999-12-31	2013-05-08
291	2005-05-04	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	2.500000	\N	2407510	3431773	9999-12-31	2013-05-08
295	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	100.000000	\N	2407550	353	9999-12-31	2013-05-08
295	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	100.000000	\N	2407550	2835212	9999-12-31	2013-05-08
292	2004-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	100.000000	\N	2407572	1340609	9999-12-31	2013-05-08
292	2004-01-02	FROM	TRANSFER	Lundin Norway AS	60.000000	\N	2407572	2767314	9999-12-31	2013-05-08
292	2004-01-02	TO	TRANSFER	BG Norge AS	60.000000	\N	2407572	2747354	9999-12-31	2013-05-08
292	2004-01-01	TO	TRANSFER	Lundin Norway AS	100.000000	\N	2407572	2767314	9999-12-31	2013-05-08
293	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	60.000000	\N	2407711	45	9999-12-31	2013-05-08
293	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	40.000000	\N	2407711	1622484	9999-12-31	2013-05-08
293	2007-08-14	FROM	TRANSFER	Eni Norge AS	15.000000	\N	2407711	2388594	9999-12-31	2013-05-08
293	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	2407711	4511658	9999-12-31	2013-05-08
293	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.000000	\N	2407711	4511854	9999-12-31	2013-05-08
293	2007-08-14	TO	TRANSFER	Idemitsu Petroleum Norge AS	15.000000	\N	2407711	441	9999-12-31	2013-05-08
293	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	60.000000	\N	2407711	2388594	9999-12-31	2013-05-08
293	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.000000	\N	2407711	4511658	9999-12-31	2013-05-08
293	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	40.000000	\N	2407711	4511854	9999-12-31	2013-05-08
293	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	2407711	17237817	9999-12-31	2013-05-08
167 B	2004-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	20.000000	\N	2407874	1340609	9999-12-31	2013-05-08
167 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	80.000000	\N	2407874	1622484	9999-12-31	2013-05-08
167 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	80.000000	\N	2407874	4511658	9999-12-31	2013-05-08
167 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	80.000000	\N	2407874	4511854	9999-12-31	2013-05-08
167 B	2004-01-01	TO	TRANSFER	Lundin Norway AS	20.000000	\N	2407874	2767314	9999-12-31	2013-05-08
167 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	80.000000	\N	2407874	4511658	9999-12-31	2013-05-08
167 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	80.000000	\N	2407874	4511854	9999-12-31	2013-05-08
167 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	80.000000	\N	2407874	17237817	9999-12-31	2013-05-08
288	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	30.000000	\N	2407909	1577943	9999-12-31	2013-05-08
288	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	30.000000	\N	2407909	3987574	9999-12-31	2013-05-08
055 C	2003-11-18	FROM	TRANSFER	Esso Exploration and Production Norway A/S	17.600000	\N	2424830	353	9999-12-31	2013-05-08
055 C	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	34.000000	\N	2424830	430	9999-12-31	2013-05-08
055 C	2008-01-01	FROM	TRANSFER	Mobil Development Norway AS	4.700000	\N	2424830	474	9999-12-31	2013-05-08
055 C	2003-11-18	FROM	TRANSFER	Paladin Resources Norge AS	20.000000	\N	2424830	1577943	9999-12-31	2013-05-08
055 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	15.300000	\N	2424830	1622484	9999-12-31	2013-05-08
055 C	2003-11-18	FROM	TRANSFER	OER Oil AS	3.200000	\N	2424830	2258813	9999-12-31	2013-05-08
055 C	2003-11-18	FROM	TRANSFER	Eni Norge AS	13.200000	\N	2424830	2388594	9999-12-31	2013-05-08
055 C	2007-01-02	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	2.400000	\N	2424830	2399056	9999-12-31	2013-05-08
055 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	49.300000	\N	2424830	4511658	9999-12-31	2013-05-08
055 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	15.300000	\N	2424830	4511854	9999-12-31	2013-05-08
055 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	34.000000	\N	2424830	4524355	9999-12-31	2013-05-08
055 C	2003-11-18	TO	TRANSFER	Norsk Hydro Produksjon AS	14.000000	\N	2424830	430	9999-12-31	2013-05-08
055 C	2003-11-18	TO	TRANSFER	Mobil Development Norway AS	4.700000	\N	2424830	474	9999-12-31	2013-05-08
055 C	2003-11-18	TO	TRANSFER	Statoil ASA (old)	2.700000	\N	2424830	1622484	9999-12-31	2013-05-08
055 C	2003-11-18	TO	TRANSFER	Petoro AS	20.200000	\N	2424830	1626839	9999-12-31	2013-05-08
055 C	2003-11-18	TO	TRANSFER	Norske ConocoPhillips AS	2.400000	\N	2424830	2399056	9999-12-31	2013-05-08
055 C	2007-01-02	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	2.400000	\N	2424830	2410696	9999-12-31	2013-05-08
055 C	2003-11-18	TO	TRANSFER	Total E&P Norge AS	10.000000	\N	2424830	2410708	9999-12-31	2013-05-08
055 C	2008-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	4.700000	\N	2424830	2835212	9999-12-31	2013-05-08
055 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	34.000000	\N	2424830	4511658	9999-12-31	2013-05-08
055 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	15.300000	\N	2424830	4511658	9999-12-31	2013-05-08
055 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	15.300000	\N	2424830	4511854	9999-12-31	2013-05-08
055 C	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	34.000000	\N	2424830	4524355	9999-12-31	2013-05-08
055 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	49.300000	\N	2424830	17237817	9999-12-31	2013-05-08
143 BS	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	65.000000	\N	2424891	1577943	9999-12-31	2013-05-08
143 BS	2004-01-01	FROM	TRANSFER	ConocoPhillips Skandinavia AS	35.000000	\N	2424891	2410696	9999-12-31	2013-05-08
143 BS	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	65.000000	\N	2424891	3987574	9999-12-31	2013-05-08
143 BS	2004-01-01	TO	TRANSFER	Talisman Energy Norge AS	35.000000	\N	2424891	2425093	9999-12-31	2013-05-08
143 BS	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	65.000000	\N	2424891	2425093	9999-12-31	2013-05-08
143 BS	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	65.000000	\N	2424891	3987574	9999-12-31	2013-05-08
143 CS	2004-07-01	FROM	TRANSFER	Paladin Resources Norge AS	20.000000	\N	2424919	1577943	9999-12-31	2013-05-08
143 CS	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	45.000000	\N	2424919	1577943	9999-12-31	2013-05-08
143 CS	2004-01-01	FROM	TRANSFER	ConocoPhillips Skandinavia AS	35.000000	\N	2424919	2410696	9999-12-31	2013-05-08
143 CS	2005-09-01	FROM	TRANSFER	Talisman Energy Norge AS	35.000000	\N	2424919	2425093	9999-12-31	2013-05-08
143 CS	2006-10-13	FROM	TRANSFER	Talisman Resources Norge AS	45.000000	\N	2424919	3987574	9999-12-31	2013-05-08
143 CS	2005-09-01	TO	TRANSFER	Det Norske Oljeselskap AS	35.000000	\N	2424919	1340609	9999-12-31	2013-05-08
143 CS	2004-01-01	TO	TRANSFER	Talisman Energy Norge AS	35.000000	\N	2424919	2425093	9999-12-31	2013-05-08
143 CS	2006-10-13	TO	TRANSFER	Talisman Energy Norge AS	45.000000	\N	2424919	2425093	9999-12-31	2013-05-08
143 CS	2004-07-01	TO	TRANSFER	BG Norge AS	20.000000	\N	2424919	2747354	9999-12-31	2013-05-08
143 CS	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	45.000000	\N	2424919	3987574	9999-12-31	2013-05-08
036 BS	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	19.443000	\N	2473189	430	9999-12-31	2013-05-08
036 BS	2008-01-01	FROM	TRANSFER	Marathon Petroleum Norge AS	23.798000	\N	2473189	463	9999-12-31	2013-05-08
036 BS	2004-01-01	FROM	TRANSFER	AS Uglands Rederi	0.169000	\N	2473189	40103	9999-12-31	2013-05-08
036 BS	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	2473189	1622484	9999-12-31	2013-05-08
036 BS	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	39.443000	\N	2473189	4511658	9999-12-31	2013-05-08
036 BS	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	2473189	4511854	9999-12-31	2013-05-08
036 BS	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	19.443000	\N	2473189	4524355	9999-12-31	2013-05-08
036 BS	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	10.000000	\N	2473189	17237817	9999-12-31	2013-05-08
036 BS	2004-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	0.169000	\N	2473189	430	9999-12-31	2013-05-08
036 BS	2008-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	23.798000	\N	2473189	4238233	9999-12-31	2013-05-08
036 BS	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	10.000000	\N	2473189	4238233	9999-12-31	2013-05-08
036 BS	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	19.443000	\N	2473189	4511658	9999-12-31	2013-05-08
036 BS	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	2473189	4511658	9999-12-31	2013-05-08
036 BS	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	2473189	4511854	9999-12-31	2013-05-08
036 BS	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	19.443000	\N	2473189	4524355	9999-12-31	2013-05-08
036 BS	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	39.443000	\N	2473189	17237817	9999-12-31	2013-05-08
036 C	2003-10-20	FROM	TRANSFER	Norsk Hydro Produksjon AS	28.531000	\N	2473241	430	9999-12-31	2013-05-08
036 C	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	65.000000	\N	2473241	463	9999-12-31	2013-05-08
036 C	2003-10-20	FROM	TRANSFER	AS Uglands Rederi	0.322000	\N	2473241	40103	9999-12-31	2013-05-08
036 C	2004-04-30	FROM	TRANSFER	Det Norske Oljeselskap AS	15.000000	\N	2473241	1340609	9999-12-31	2013-05-08
036 C	2007-01-01	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	20.000000	\N	2473241	2399056	9999-12-31	2013-05-08
036 C	2003-10-20	FROM	TRANSFER	Total E&P Norge AS	24.243000	\N	2473241	2410708	9999-12-31	2013-05-08
036 C	2003-10-20	TO	TRANSFER	Marathon Petroleum Norge AS	18.096000	\N	2473241	463	9999-12-31	2013-05-08
036 C	2003-10-20	TO	TRANSFER	Det Norske Oljeselskap AS	15.000000	\N	2473241	1340609	9999-12-31	2013-05-08
036 C	2003-10-20	TO	TRANSFER	Norske ConocoPhillips AS	20.000000	\N	2473241	2399056	9999-12-31	2013-05-08
036 C	2007-01-01	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	20.000000	\N	2473241	2410696	9999-12-31	2013-05-08
036 C	2004-04-30	TO	TRANSFER	Lundin Norway AS	15.000000	\N	2473241	2767314	9999-12-31	2013-05-08
036 C	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	65.000000	\N	2473241	20485291	9999-12-31	2013-05-08
296	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	60.000000	\N	2490197	430	9999-12-31	2013-05-08
296	2004-05-19	FROM	TRANSFER	Maersk Olie og Gass  A/S	40.000000	\N	2490197	2777	9999-12-31	2013-05-08
296	2006-01-26	FROM	CHANGE OF COMPANY NAME	Maersk Oil Norway AS (old1)	40.000000	\N	2490197	2824954	9999-12-31	2013-05-08
296	2007-10-02	FROM	CHANGE OF COMPANY NAME	Maersk Oil Exploration Norway AS	40.000000	\N	2490197	3960933	9999-12-31	2013-05-08
296	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	2490197	4511658	9999-12-31	2013-05-08
296	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	60.000000	\N	2490197	4524355	9999-12-31	2013-05-08
296	2004-05-19	TO	TRANSFER	Maersk Oil Norway AS (old1)	40.000000	\N	2490197	2824954	9999-12-31	2013-05-08
296	2006-01-26	TO	CHANGE OF COMPANY NAME	Maersk Oil Exploration Norway AS	40.000000	\N	2490197	3960933	9999-12-31	2013-05-08
296	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	2490197	4511658	9999-12-31	2013-05-08
296	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	60.000000	\N	2490197	4524355	9999-12-31	2013-05-08
296	2007-10-02	TO	CHANGE OF COMPANY NAME	Maersk Oil Norway AS	40.000000	\N	2490197	4719674	9999-12-31	2013-05-08
296	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	2490197	17237817	9999-12-31	2013-05-08
297	2004-01-28	FROM	TRANSFER	BG International Limited	100.000000	\N	2490240	2490117	9999-12-31	2013-05-08
297	2004-01-28	TO	TRANSFER	BG Norge AS	100.000000	\N	2490240	2747354	9999-12-31	2013-05-08
298	2004-07-01	FROM	TRANSFER	Paladin Resources Norge AS	20.000000	\N	2490295	1577943	9999-12-31	2013-05-08
298	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	80.000000	\N	2490295	1577943	9999-12-31	2013-05-08
298	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	80.000000	\N	2490295	3987574	9999-12-31	2013-05-08
298	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	80.000000	\N	2490295	2425093	9999-12-31	2013-05-08
298	2004-07-01	TO	TRANSFER	BG Norge AS	20.000000	\N	2490295	2747354	9999-12-31	2013-05-08
298	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	80.000000	\N	2490295	3987574	9999-12-31	2013-05-08
299	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	40.000000	\N	2490320	1853083	9999-12-31	2013-05-08
299	2011-01-01	FROM	TRANSFER	Talisman Energy Norge AS	28.500000	\N	2490320	2425093	9999-12-31	2013-05-08
299	2012-09-28	FROM	TRANSFER	DONG E&P Norge AS	20.000000	\N	2490320	4070011	9999-12-31	2013-05-08
299	2013-04-20	FROM	CHANGE OF COMPANY NAME	Agora Oil & Gas AS	28.500000	\N	2490320	18386322	9999-12-31	2013-05-08
299	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	40.000000	\N	2490320	4070011	9999-12-31	2013-05-08
299	2012-09-28	TO	TRANSFER	North Energy ASA	20.000000	\N	2490320	18082156	9999-12-31	2013-05-08
299	2011-01-01	TO	TRANSFER	Agora Oil & Gas AS	28.500000	\N	2490320	18386322	9999-12-31	2013-05-08
299	2013-04-20	TO	CHANGE OF COMPANY NAME	Capricorn Norge AS	28.500000	\N	2490320	23297570	9999-12-31	2013-05-08
300	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	45.000000	\N	2490354	1853083	9999-12-31	2013-05-08
300	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	45.000000	\N	2490354	4070011	9999-12-31	2013-05-08
301	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	40.000000	\N	2490380	1853083	9999-12-31	2013-05-08
301	2008-01-01	FROM	TRANSFER	Talisman Energy Norge AS	20.000000	\N	2490380	2425093	9999-12-31	2013-05-08
301	2009-01-02	FROM	TRANSFER	Talisman Energy Norge AS	40.000000	\N	2490380	2425093	9999-12-31	2013-05-08
301	2008-01-01	FROM	TRANSFER	DONG E&P Norge AS	15.000000	\N	2490380	4070011	9999-12-31	2013-05-08
301	2009-01-01	FROM	TRANSFER	DONG E&P Norge AS	25.000000	\N	2490380	4070011	9999-12-31	2013-05-08
301	2010-12-15	FROM	TRANSFER	Skeie Energy AS (Old)	60.000000	\N	2490380	4511646	2013-03-19	2013-05-08
301	2011-01-03	FROM	CHANGE OF COMPANY NAME	Skeie Oil & Gas AS	60.000000	\N	2490380	4998977	9999-12-31	2013-05-08
301	2009-01-02	TO	TRANSFER	Lundin Norway AS	40.000000	\N	2490380	2767314	9999-12-31	2013-05-08
301	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	40.000000	\N	2490380	4070011	9999-12-31	2013-05-08
301	2008-01-01	TO	TRANSFER	Skeie Energy AS (Old)	35.000000	\N	2490380	4511646	2013-03-19	2013-05-08
301	2009-01-01	TO	TRANSFER	Skeie Energy AS (Old)	25.000000	\N	2490380	4511646	2013-03-19	2013-05-08
301	2010-12-15	TO	TRANSFER	Skeie Oil & Gas AS	60.000000	\N	2490380	4998977	9999-12-31	2013-05-08
301	2011-01-03	TO	CHANGE OF COMPANY NAME	Skeie Energy AS	60.000000	\N	2490380	23286115	9999-12-31	2013-05-08
302	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	2490440	430	9999-12-31	2013-05-08
302	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	20.000000	\N	2490440	1577943	9999-12-31	2013-05-08
302	2006-03-31	FROM	TRANSFER	DONG Norge AS	40.000000	\N	2490440	1853083	9999-12-31	2013-05-08
302	2006-06-01	FROM	TRANSFER	Norwegian Energy Company AS	10.000000	\N	2490440	3482246	9999-12-31	2013-05-08
302	2007-10-02	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	30.000000	\N	2490440	3482246	9999-12-31	2013-05-08
302	2006-06-02	FROM	TRANSFER	Talisman Resources Norge AS	30.000000	\N	2490440	3987574	9999-12-31	2013-05-08
302	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	2490440	4524355	9999-12-31	2013-05-08
302	2008-01-01	FROM	TRANSFER	Norwegian Energy Company ASA	15.000000	\N	2490440	4530695	9999-12-31	2013-05-08
302	2006-06-02	TO	TRANSFER	Talisman Energy Norge AS	30.000000	\N	2490440	2425093	9999-12-31	2013-05-08
302	2006-03-31	TO	TRANSFER	Norwegian Energy Company AS	40.000000	\N	2490440	3482246	9999-12-31	2013-05-08
302	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	20.000000	\N	2490440	3987574	9999-12-31	2013-05-08
302	2006-06-01	TO	TRANSFER	Talisman Resources Norge AS	10.000000	\N	2490440	3987574	9999-12-31	2013-05-08
302	2008-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	15.000000	\N	2490440	4062883	9999-12-31	2013-05-08
302	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	2490440	4511658	9999-12-31	2013-05-08
302	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	2490440	4524355	9999-12-31	2013-05-08
302	2007-10-02	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	30.000000	\N	2490440	4530695	9999-12-31	2013-05-08
303	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	100.000000	\N	2490467	1622484	9999-12-31	2013-05-08
303	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	2490467	4511658	9999-12-31	2013-05-08
303	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	100.000000	\N	2490467	4511854	9999-12-31	2013-05-08
303	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	100.000000	\N	2490467	4511658	9999-12-31	2013-05-08
303	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	100.000000	\N	2490467	4511854	9999-12-31	2013-05-08
303	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	100.000000	\N	2490467	17237817	9999-12-31	2013-05-08
304	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	60.000000	\N	2490623	353	9999-12-31	2013-05-08
304	2006-06-15	FROM	TRANSFER	Marathon Petroleum Norge AS	40.000000	\N	2490623	463	9999-12-31	2013-05-08
304	2006-01-01	FROM	TRANSFER	Lundin Norway AS	25.000000	\N	2490623	2767314	9999-12-31	2013-05-08
304	2008-01-01	FROM	TRANSFER	Lundin Norway AS	10.000000	\N	2490623	2767314	9999-12-31	2013-05-08
304	2004-12-12	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	60.000000	\N	2490623	2835212	9999-12-31	2013-05-08
304	2008-01-01	FROM	TRANSFER	Endeavour Energy Norge AS	20.000000	\N	2490623	3113213	9999-12-31	2013-05-08
304	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	20.000000	\N	2490623	3113213	9999-12-31	2013-05-08
304	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	30.000000	\N	2490623	4460425	9999-12-31	2013-05-08
304	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	20.000000	\N	2490623	5497155	9999-12-31	2013-05-08
304	2004-12-12	TO	TRANSFER	Lundin Norway AS	60.000000	\N	2490623	2767314	9999-12-31	2013-05-08
304	2006-06-15	TO	TRANSFER	Lundin Norway AS	25.000000	\N	2490623	2767314	9999-12-31	2013-05-08
312	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	59.000000	\N	2491196	17237817	9999-12-31	2013-05-08
304	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	60.000000	\N	2490623	2835212	9999-12-31	2013-05-08
304	2006-01-01	TO	TRANSFER	Endeavour Energy Norge AS	25.000000	\N	2490623	3113213	9999-12-31	2013-05-08
304	2006-06-15	TO	TRANSFER	Endeavour Energy Norge AS	15.000000	\N	2490623	3113213	9999-12-31	2013-05-08
304	2008-01-01	TO	TRANSFER	Aker Exploration AS	30.000000	\N	2490623	4460425	9999-12-31	2013-05-08
304	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	20.000000	\N	2490623	5497155	9999-12-31	2013-05-08
304	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	20.000000	\N	2490623	17237193	9999-12-31	2013-05-08
304	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	30.000000	\N	2490623	17342915	9999-12-31	2013-05-08
305	2005-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	20.000000	\N	2490682	1340609	9999-12-31	2013-05-08
305	2006-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	10.000000	\N	2490682	1340609	9999-12-31	2013-05-08
305	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	30.000000	\N	2490682	1340609	9999-12-31	2013-05-08
305	2005-01-02	FROM	TRANSFER	Revus Energy AS	10.000000	\N	2490682	2455850	9999-12-31	2013-05-08
305	2006-01-12	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	30.000000	\N	2490682	2455850	9999-12-31	2013-05-08
305	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	2490682	4468177	9999-12-31	2013-05-08
305	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	2490682	4539976	9999-12-31	2013-05-08
305	2005-01-01	TO	TRANSFER	Talisman Energy Norge AS	20.000000	\N	2490682	2425093	9999-12-31	2013-05-08
305	2005-01-02	TO	TRANSFER	Talisman Energy Norge AS	10.000000	\N	2490682	2425093	9999-12-31	2013-05-08
305	2006-01-12	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	2490682	3431773	9999-12-31	2013-05-08
305	2006-01-01	TO	TRANSFER	PA Resources Norway AS	10.000000	\N	2490682	3986418	9999-12-31	2013-05-08
305	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	2490682	4468177	9999-12-31	2013-05-08
305	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	2490682	4539976	9999-12-31	2013-05-08
305	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	30.000000	\N	2490682	4539989	9999-12-31	2013-05-08
308	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	60.000000	\N	2490856	430	9999-12-31	2013-05-08
308	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	40.000000	\N	2490856	1577943	9999-12-31	2013-05-08
308	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	40.000000	\N	2490856	3987574	9999-12-31	2013-05-08
308	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	60.000000	\N	2490856	4524355	9999-12-31	2013-05-08
308	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	40.000000	\N	2490856	2425093	9999-12-31	2013-05-08
308	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	40.000000	\N	2490856	3987574	9999-12-31	2013-05-08
308	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	2490856	4511658	9999-12-31	2013-05-08
308	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	60.000000	\N	2490856	4524355	9999-12-31	2013-05-08
309	2004-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	56.000000	\N	2490982	430	9999-12-31	2013-05-08
309	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	44.000000	\N	2490982	430	9999-12-31	2013-05-08
309	2008-01-01	FROM	TRANSFER	Mobil Development Norway AS	4.700000	\N	2490982	474	9999-12-31	2013-05-08
309	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	15.300000	\N	2490982	1622484	9999-12-31	2013-05-08
309	2007-11-21	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	2.400000	\N	2490982	2399056	9999-12-31	2013-05-08
309	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	63.817180	\N	2490982	4511658	9999-12-31	2013-05-08
309	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	19.817180	\N	2490982	4511854	9999-12-31	2013-05-08
309	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	44.000000	\N	2490982	4524355	9999-12-31	2013-05-08
309	2004-01-01	TO	TRANSFER	Mobil Development Norway AS	4.700000	\N	2490982	474	9999-12-31	2013-05-08
309	2004-01-01	TO	TRANSFER	Statoil ASA (old)	15.300000	\N	2490982	1622484	9999-12-31	2013-05-08
309	2004-01-01	TO	TRANSFER	Petoro AS	33.600000	\N	2490982	1626839	9999-12-31	2013-05-08
309	2004-01-01	TO	TRANSFER	Norske ConocoPhillips AS	2.400000	\N	2490982	2399056	9999-12-31	2013-05-08
309	2007-11-21	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	2.400000	\N	2490982	2410696	9999-12-31	2013-05-08
309	2008-01-01	TO	TRANSFER	ConocoPhillips Skandinavia AS	0.182820	\N	2490982	2410696	9999-12-31	2013-05-08
309	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	44.000000	\N	2490982	4511658	9999-12-31	2013-05-08
309	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	19.817180	\N	2490982	4511658	9999-12-31	2013-05-08
309	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	15.300000	\N	2490982	4511854	9999-12-31	2013-05-08
309	2008-01-01	TO	TRANSFER	StatoilHydro ASA	4.517180	\N	2490982	4511854	9999-12-31	2013-05-08
309	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	44.000000	\N	2490982	4524355	9999-12-31	2013-05-08
309	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	63.817180	\N	2490982	17237817	9999-12-31	2013-05-08
311	2004-05-01	FROM	TRANSFER	Marathon Petroleum Norge AS	25.000000	\N	2491153	463	9999-12-31	2013-05-08
311	2005-01-01	FROM	TRANSFER	Marathon Petroleum Norge AS	25.000000	\N	2491153	463	9999-12-31	2013-05-08
311	2006-01-01	FROM	TRANSFER	Marathon Petroleum Norge AS	12.500000	\N	2491153	463	9999-12-31	2013-05-08
311	2007-01-01	FROM	TRANSFER	Gaz de France Norge AS	25.000000	\N	2491153	1628733	9999-12-31	2013-05-08
311	2007-10-04	FROM	CHANGE OF COMPANY NAME	Dana Petroleum Norway ASA	25.000000	\N	2491153	4510514	9999-12-31	2013-05-08
311	2004-05-01	TO	TRANSFER	Gaz de France Norge AS	25.000000	\N	2491153	1628733	9999-12-31	2013-05-08
311	2005-01-01	TO	TRANSFER	Talisman Energy Norge AS	25.000000	\N	2491153	2425093	9999-12-31	2013-05-08
311	2006-01-01	TO	TRANSFER	Talisman Energy Norge AS	12.500000	\N	2491153	2425093	9999-12-31	2013-05-08
311	2007-01-01	TO	TRANSFER	Dana Petroleum Norway ASA	25.000000	\N	2491153	4510514	9999-12-31	2013-05-08
311	2007-10-04	TO	CHANGE OF COMPANY NAME	Dana Petroleum Norway AS	25.000000	\N	2491153	4526555	9999-12-31	2013-05-08
312	2003-12-31	FROM	MERGER/TAKEOVER	Norsk Agip  AS	17.000000	\N	2491196	45	9999-12-31	2013-05-08
312	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	24.000000	\N	2491196	430	9999-12-31	2013-05-08
312	2008-01-01	FROM	TRANSFER	Mobil Development Norway AS	24.000000	\N	2491196	474	9999-12-31	2013-05-08
312	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	35.000000	\N	2491196	1622484	9999-12-31	2013-05-08
312	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	59.000000	\N	2491196	4511658	9999-12-31	2013-05-08
312	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	35.000000	\N	2491196	4511854	9999-12-31	2013-05-08
312	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	24.000000	\N	2491196	4524355	9999-12-31	2013-05-08
312	2003-12-31	TO	MERGER/TAKEOVER	Eni Norge AS	17.000000	\N	2491196	2388594	9999-12-31	2013-05-08
312	2008-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	24.000000	\N	2491196	2835212	9999-12-31	2013-05-08
312	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	24.000000	\N	2491196	4511658	9999-12-31	2013-05-08
312	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	35.000000	\N	2491196	4511658	9999-12-31	2013-05-08
312	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	35.000000	\N	2491196	4511854	9999-12-31	2013-05-08
312	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	24.000000	\N	2491196	4524355	9999-12-31	2013-05-08
261 BS	2003-12-15	FROM	TRANSFER	RWE Dea Norge AS	19.500000	\N	2588889	97557	9999-12-31	2013-05-08
261 BS	2003-12-15	FROM	TRANSFER	Statoil ASA (old)	13.000000	\N	2588889	1622484	9999-12-31	2013-05-08
261 BS	2003-12-15	FROM	TRANSFER	BP Norge AS	40.000000	\N	2588889	2052695	9999-12-31	2013-05-08
261 BS	2005-09-17	FROM	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	65.000000	\N	2588889	2154473	9999-12-31	2013-05-08
261 BS	2003-12-15	TO	TRANSFER	RWE Dea Norge AS	4.500000	\N	2588889	97557	9999-12-31	2013-05-08
261 BS	2003-12-15	TO	TRANSFER	Statoil ASA (old)	3.000000	\N	2588889	1622484	9999-12-31	2013-05-08
261 BS	2003-12-15	TO	TRANSFER	Chevron Texaco Norge AS	65.000000	\N	2588889	2154473	9999-12-31	2013-05-08
261 BS	2005-09-17	TO	CHANGE OF COMPANY NAME	Chevron Norge AS	65.000000	\N	2588889	3488906	9999-12-31	2013-05-08
280 S	2005-02-15	FROM	CHANGE OF COMPANY NAME	CNR International (UK) Limited	100.000000	\N	2773116	2385943	9999-12-31	2013-05-08
280 S	2005-02-15	TO	CHANGE OF COMPANY NAME	CNR International (Norway) AS	100.000000	\N	2773116	2845980	9999-12-31	2013-05-08
315	2004-10-01	FROM	CHANGE OF COMPANY NAME	Esso Exploration and Production Norway A/S	30.000000	\N	2786350	353	9999-12-31	2013-05-08
315	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	2786350	1622484	9999-12-31	2013-05-08
315	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	2786350	4511854	9999-12-31	2013-05-08
315	2004-10-01	TO	CHANGE OF COMPANY NAME	ExxonMobil Exploration & Production Norway AS	30.000000	\N	2786350	2835212	9999-12-31	2013-05-08
315	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	2786350	4511658	9999-12-31	2013-05-08
315	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	2786350	4511854	9999-12-31	2013-05-08
316	2005-07-01	FROM	TRANSFER	Paladin Resources Norge AS	10.000000	\N	2786469	1577943	9999-12-31	2013-05-08
316	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	40.000000	\N	2786469	1577943	9999-12-31	2013-05-08
316	2005-03-30	FROM	MERGER/TAKEOVER	Pertra AS (OLD)	30.000000	\N	2786469	2069841	9999-12-31	2013-05-08
316	2009-01-01	FROM	TRANSFER	Talisman Energy Norge AS	10.000000	\N	2786469	2425093	9999-12-31	2013-05-08
316	2005-05-04	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	20.000000	\N	2786469	2455850	9999-12-31	2013-05-08
316	2005-07-02	FROM	TRANSFER	Talisman Production Norge AS	30.000000	\N	2786469	3420565	9999-12-31	2013-05-08
316	2006-03-01	FROM	CHANGE OF COMPANY NAME	Pertra AS	10.000000	\N	2786469	3425724	9999-12-31	2013-05-08
316	2008-01-01	FROM	TRANSFER	Revus Energy ASA	10.000000	\N	2786469	3431773	9999-12-31	2013-05-08
316	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	10.000000	\N	2786469	3431773	9999-12-31	2013-05-08
316	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	10.000000	\N	2786469	3964368	9999-12-31	2013-05-08
316	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	40.000000	\N	2786469	3987574	9999-12-31	2013-05-08
316	2008-01-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	10.000000	\N	2786469	4539989	9999-12-31	2013-05-08
316	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	10.000000	\N	2786469	5442509	9999-12-31	2013-05-08
316	2009-01-01	TO	TRANSFER	Norske AEDC A/S	10.000000	\N	2786469	34	9999-12-31	2013-05-08
316	2005-07-02	TO	TRANSFER	Talisman Energy Norge AS	30.000000	\N	2786469	2425093	9999-12-31	2013-05-08
316	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	40.000000	\N	2786469	2425093	9999-12-31	2013-05-08
316	2005-03-30	TO	MERGER/TAKEOVER	Talisman Production Norge AS	30.000000	\N	2786469	3420565	9999-12-31	2013-05-08
316	2005-07-01	TO	TRANSFER	Pertra AS	10.000000	\N	2786469	3425724	9999-12-31	2013-05-08
316	2005-05-04	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	20.000000	\N	2786469	3431773	9999-12-31	2013-05-08
316	2006-03-01	TO	CHANGE OF COMPANY NAME	Pertra ASA	10.000000	\N	2786469	3964368	9999-12-31	2013-05-08
316	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	40.000000	\N	2786469	3987574	9999-12-31	2013-05-08
316	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	10.000000	\N	2786469	4539989	9999-12-31	2013-05-08
316	2008-01-01	TO	TRANSFER	Lotos Exploration and Production Norge AS	10.000000	\N	2786469	5064434	9999-12-31	2013-05-08
316	2008-01-02	TO	TRANSFER	Lotos Exploration and Production Norge AS	10.000000	\N	2786469	5064434	9999-12-31	2013-05-08
316	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	10.000000	\N	2786469	5442509	9999-12-31	2013-05-08
316	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	10.000000	\N	2786469	21666830	9999-12-31	2013-05-08
317	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	60.000000	\N	2786553	430	9999-12-31	2013-05-08
317	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	40.000000	\N	2786553	1622484	9999-12-31	2013-05-08
317	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.000000	\N	2786553	4511854	9999-12-31	2013-05-08
317	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	60.000000	\N	2786553	4524355	9999-12-31	2013-05-08
317	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	2786553	4511658	9999-12-31	2013-05-08
317	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.000000	\N	2786553	4511658	9999-12-31	2013-05-08
317	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	40.000000	\N	2786553	4511854	9999-12-31	2013-05-08
317	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	60.000000	\N	2786553	4524355	9999-12-31	2013-05-08
318	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	60.000000	\N	2786586	430	9999-12-31	2013-05-08
318	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	2786586	4511658	9999-12-31	2013-05-08
318	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	60.000000	\N	2786586	4524355	9999-12-31	2013-05-08
318	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	2786586	4511658	9999-12-31	2013-05-08
318	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	60.000000	\N	2786586	4524355	9999-12-31	2013-05-08
318	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	2786586	17237817	9999-12-31	2013-05-08
321	2007-01-10	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	2786661	430	9999-12-31	2013-05-08
321	2005-03-31	FROM	MERGER/TAKEOVER	Pertra AS (OLD)	80.000000	\N	2786661	2069841	9999-12-31	2013-05-08
321	2007-01-02	FROM	TRANSFER	Talisman Energy Norge AS	20.000000	\N	2786661	2425093	9999-12-31	2013-05-08
321	2005-04-01	FROM	TRANSFER	Talisman Production Norge AS	40.000000	\N	2786661	3420565	9999-12-31	2013-05-08
321	2005-04-02	FROM	TRANSFER	Talisman Production Norge AS	40.000000	\N	2786661	3420565	9999-12-31	2013-05-08
321	2006-03-01	FROM	CHANGE OF COMPANY NAME	Pertra AS	40.000000	\N	2786661	3425724	9999-12-31	2013-05-08
321	2007-01-01	FROM	TRANSFER	Pertra ASA	15.000000	\N	2786661	3964368	9999-12-31	2013-05-08
321	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	25.000000	\N	2786661	3964368	9999-12-31	2013-05-08
321	2009-12-23	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	35.000000	\N	2786661	4460425	9999-12-31	2013-05-08
321	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	2786661	4511658	9999-12-31	2013-05-08
321	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	20.000000	\N	2786661	4524355	9999-12-31	2013-05-08
321	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	25.000000	\N	2786661	4539989	9999-12-31	2013-05-08
321	2005-04-02	TO	TRANSFER	Talisman Energy Norge AS	40.000000	\N	2786661	2425093	9999-12-31	2013-05-08
321	2005-03-31	TO	MERGER/TAKEOVER	Talisman Production Norge AS	80.000000	\N	2786661	3420565	9999-12-31	2013-05-08
321	2005-04-01	TO	TRANSFER	Pertra AS	40.000000	\N	2786661	3425724	9999-12-31	2013-05-08
321	2006-03-01	TO	CHANGE OF COMPANY NAME	Pertra ASA	40.000000	\N	2786661	3964368	9999-12-31	2013-05-08
321	2007-01-01	TO	TRANSFER	Aker Exploration AS	15.000000	\N	2786661	4460425	9999-12-31	2013-05-08
321	2007-01-02	TO	TRANSFER	Aker Exploration AS	20.000000	\N	2786661	4460425	9999-12-31	2013-05-08
321	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	2786661	4511658	9999-12-31	2013-05-08
321	2007-01-10	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	20.000000	\N	2786661	4524355	9999-12-31	2013-05-08
321	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	25.000000	\N	2786661	4539989	9999-12-31	2013-05-08
321	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	2786661	17237817	9999-12-31	2013-05-08
321	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	25.000000	\N	2786661	17342870	9999-12-31	2013-05-08
321	2009-12-23	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	35.000000	\N	2786661	17342915	9999-12-31	2013-05-08
322	2005-01-01	FROM	TRANSFER	Statoil ASA (old)	10.000000	\N	2786703	1622484	9999-12-31	2013-05-08
322	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	90.000000	\N	2786703	1622484	9999-12-31	2013-05-08
322	2005-01-01	TO	TRANSFER	A/S Norske Shell	10.000000	\N	2786703	562	9999-12-31	2013-05-08
322	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	90.000000	\N	2786703	4511854	9999-12-31	2013-05-08
323	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	2786740	1622484	9999-12-31	2013-05-08
323	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	2786740	4511658	9999-12-31	2013-05-08
323	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	2786740	4511854	9999-12-31	2013-05-08
323	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	2786740	4511658	9999-12-31	2013-05-08
323	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	2786740	4511854	9999-12-31	2013-05-08
323	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	2786740	17237817	9999-12-31	2013-05-08
324	2005-09-17	FROM	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	30.000000	\N	2786758	2154473	9999-12-31	2013-05-08
324	2005-09-17	TO	CHANGE OF COMPANY NAME	Chevron Norge AS	30.000000	\N	2786758	3488906	9999-12-31	2013-05-08
325	2005-09-17	FROM	CHANGE OF COMPANY NAME	Chevron Texaco Norge AS	40.000000	\N	2786811	2154473	9999-12-31	2013-05-08
325	2005-09-17	TO	CHANGE OF COMPANY NAME	Chevron Norge AS	40.000000	\N	2786811	3488906	9999-12-31	2013-05-08
326	2009-01-02	FROM	TRANSFER	A/S Norske Shell	10.000000	\N	2786855	562	9999-12-31	2013-05-08
326	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	40.000000	\N	2786855	1622484	9999-12-31	2013-05-08
326	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	2786855	4511658	9999-12-31	2013-05-08
326	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.000000	\N	2786855	4511854	9999-12-31	2013-05-08
326	2010-10-31	FROM	TRANSFER	Statoil Petroleum AS	10.000000	\N	2786855	17237817	9999-12-31	2013-05-08
326	2010-10-31	TO	TRANSFER	PGNiG Norway AS	10.000000	\N	2786855	4505831	9999-12-31	2013-05-08
326	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.000000	\N	2786855	4511658	9999-12-31	2013-05-08
326	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	40.000000	\N	2786855	4511854	9999-12-31	2013-05-08
326	2009-01-02	TO	TRANSFER	GDF SUEZ E&P Norge AS	10.000000	\N	2786855	5267845	9999-12-31	2013-05-08
326	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	2786855	17237817	9999-12-31	2013-05-08
327	2005-01-01	FROM	TRANSFER	Statoil ASA (old)	10.000000	\N	2786915	1622484	9999-12-31	2013-05-08
327	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	70.000000	\N	2786915	1622484	9999-12-31	2013-05-08
327	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	2786915	4511658	9999-12-31	2013-05-08
327	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	70.000000	\N	2786915	4511854	9999-12-31	2013-05-08
327	2005-01-01	TO	TRANSFER	A/S Norske Shell	10.000000	\N	2786915	562	9999-12-31	2013-05-08
327	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	70.000000	\N	2786915	4511658	9999-12-31	2013-05-08
327	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	70.000000	\N	2786915	4511854	9999-12-31	2013-05-08
327	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	2786915	17237817	9999-12-31	2013-05-08
328	2007-01-01	FROM	TRANSFER	A/S Norske Shell	2.500000	\N	2786957	562	9999-12-31	2013-05-08
328	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	42.500000	\N	2786957	1622484	9999-12-31	2013-05-08
328	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	30.000000	\N	2786957	1628733	9999-12-31	2013-05-08
328	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	42.500000	\N	2786957	4511658	9999-12-31	2013-05-08
328	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	42.500000	\N	2786957	4511854	9999-12-31	2013-05-08
328	2007-01-01	TO	TRANSFER	Statoil ASA (old)	2.500000	\N	2786957	1622484	9999-12-31	2013-05-08
328	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	42.500000	\N	2786957	4511658	9999-12-31	2013-05-08
328	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	42.500000	\N	2786957	4511854	9999-12-31	2013-05-08
328	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	30.000000	\N	2786957	5267845	9999-12-31	2013-05-08
328	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	42.500000	\N	2786957	17237817	9999-12-31	2013-05-08
329	2007-01-01	FROM	TRANSFER	Gaz de France Norge AS	10.000000	\N	2786994	1628733	9999-12-31	2013-05-08
329	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	10.000000	\N	2786994	1628733	9999-12-31	2013-05-08
329	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	20.000000	\N	2786994	1853083	9999-12-31	2013-05-08
329	2007-10-04	FROM	CHANGE OF COMPANY NAME	Dana Petroleum Norway ASA	10.000000	\N	2786994	4510514	9999-12-31	2013-05-08
329	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	20.000000	\N	2786994	4070011	9999-12-31	2013-05-08
329	2007-01-01	TO	TRANSFER	Dana Petroleum Norway ASA	10.000000	\N	2786994	4510514	9999-12-31	2013-05-08
329	2007-10-04	TO	CHANGE OF COMPANY NAME	Dana Petroleum Norway AS	10.000000	\N	2786994	4526555	9999-12-31	2013-05-08
329	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	10.000000	\N	2786994	5267845	9999-12-31	2013-05-08
330	2006-06-26	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	40.000000	\N	2787040	67	9999-12-31	2013-05-08
330	2011-09-30	FROM	TRANSFER	RWE Dea Norge AS	60.000000	\N	2787040	97557	9999-12-31	2013-05-08
330	2010-10-25	FROM	TRANSFER	Hess Norge AS	30.000000	\N	2787040	4038735	9999-12-31	2013-05-08
330	2011-09-30	FROM	TRANSFER	Hess Norge AS	10.000000	\N	2787040	4038735	9999-12-31	2013-05-08
330	2010-10-25	TO	TRANSFER	RWE Dea Norge AS	30.000000	\N	2787040	97557	9999-12-31	2013-05-08
330	2011-09-30	TO	TRANSFER	RWE Dea Norge AS	10.000000	\N	2787040	97557	9999-12-31	2013-05-08
330	2011-09-30	TO	TRANSFER	Lundin Norway AS	30.000000	\N	2787040	2767314	9999-12-31	2013-05-08
330	2006-06-26	TO	CHANGE OF COMPANY NAME	Hess Norge AS	40.000000	\N	2787040	4038735	9999-12-31	2013-05-08
330	2011-09-30	TO	TRANSFER	Marathon Oil Norge AS	30.000000	\N	2787040	20485291	9999-12-31	2013-05-08
037 D	2004-06-09	FROM	TRANSFER	Esso Exploration and Production Norway A/S	25.000000	\N	2787322	353	9999-12-31	2013-05-08
037 D	2004-06-09	FROM	TRANSFER	A/S Norske Shell	10.000000	\N	2787322	562	9999-12-31	2013-05-08
037 D	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	21.875000	\N	2787322	1622484	9999-12-31	2013-05-08
037 D	2004-06-09	FROM	TRANSFER	Petoro AS	30.000000	\N	2787322	1626839	9999-12-31	2013-05-08
037 D	2004-06-09	FROM	TRANSFER	Enterprise Oil Norge AS	1.041670	\N	2787322	1853786	9999-12-31	2013-05-08
037 D	2004-06-09	FROM	TRANSFER	Norske ConocoPhillips AS	12.083330	\N	2787322	2399056	9999-12-31	2013-05-08
385	2012-09-28	FROM	TRANSFER	North Energy ASA	20.000000	\N	3811602	18082156	9999-12-31	2013-05-08
037 D	2005-05-04	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	78.125000	\N	2787322	2455850	9999-12-31	2013-05-08
037 D	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	100.000000	\N	2787322	3431773	9999-12-31	2013-05-08
037 D	2008-01-11	FROM	TRANSFER	StatoilHydro ASA	21.875000	\N	2787322	4511854	9999-12-31	2013-05-08
037 D	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	100.000000	\N	2787322	5442509	9999-12-31	2013-05-08
037 D	2004-06-09	TO	TRANSFER	Revus Energy AS	78.125000	\N	2787322	2455850	9999-12-31	2013-05-08
037 D	2005-05-04	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	78.125000	\N	2787322	3431773	9999-12-31	2013-05-08
037 D	2008-01-11	TO	TRANSFER	Revus Energy ASA	21.875000	\N	2787322	3431773	9999-12-31	2013-05-08
037 D	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	21.875000	\N	2787322	4511854	9999-12-31	2013-05-08
037 D	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	100.000000	\N	2787322	5442509	9999-12-31	2013-05-08
037 D	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	100.000000	\N	2787322	21666830	9999-12-31	2013-05-08
088 BS	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	65.000000	\N	2787418	463	9999-12-31	2013-05-08
088 BS	2004-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	15.000000	\N	2787418	1340609	9999-12-31	2013-05-08
088 BS	2003-05-06	FROM	CHANGE OF COMPANY NAME	TotalFinaElf Exploration Norge AS	50.000000	\N	2787418	1340884	9999-12-31	2013-05-08
088 BS	2007-01-01	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	20.000000	\N	2787418	2399056	9999-12-31	2013-05-08
088 BS	2003-05-30	FROM	TRANSFER	Total E&P Norge AS	50.000000	\N	2787418	2410708	9999-12-31	2013-05-08
088 BS	2003-05-30	TO	TRANSFER	Marathon Petroleum Norge AS	15.000000	\N	2787418	463	9999-12-31	2013-05-08
088 BS	2003-05-30	TO	TRANSFER	Det Norske Oljeselskap AS	15.000000	\N	2787418	1340609	9999-12-31	2013-05-08
088 BS	2003-05-30	TO	TRANSFER	Norske ConocoPhillips AS	20.000000	\N	2787418	2399056	9999-12-31	2013-05-08
088 BS	2007-01-01	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	20.000000	\N	2787418	2410696	9999-12-31	2013-05-08
088 BS	2003-05-06	TO	CHANGE OF COMPANY NAME	Total E&P Norge AS	50.000000	\N	2787418	2410708	9999-12-31	2013-05-08
088 BS	2004-01-01	TO	TRANSFER	Lundin Norway AS	15.000000	\N	2787418	2767314	9999-12-31	2013-05-08
088 BS	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	65.000000	\N	2787418	20485291	9999-12-31	2013-05-08
159 B	2004-08-14	FROM	TRANSFER	Enterprise Oil Norwegian AS	15.000000	\N	2819945	342	9999-12-31	2013-05-08
159 B	2004-12-22	FROM	CHANGE OF COMPANY NAME	Enterprise Oil Norwegian AS	25.000000	\N	2819945	342	9999-12-31	2013-05-08
159 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	2819945	430	9999-12-31	2013-05-08
159 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	75.000000	\N	2819945	1622484	9999-12-31	2013-05-08
159 B	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	15.000000	\N	2819945	1853083	9999-12-31	2013-05-08
159 B	2005-01-01	FROM	TRANSFER	Enterprise Oil Norge AS	25.000000	\N	2819945	1853786	9999-12-31	2013-05-08
159 B	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	2819945	4511658	9999-12-31	2013-05-08
159 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	85.000000	\N	2819945	4511658	9999-12-31	2013-05-08
159 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	85.000000	\N	2819945	4511854	9999-12-31	2013-05-08
159 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	10.000000	\N	2819945	4524355	9999-12-31	2013-05-08
159 B	2005-01-01	TO	TRANSFER	Statoil ASA (old)	25.000000	\N	2819945	1622484	9999-12-31	2013-05-08
159 B	2004-08-14	TO	TRANSFER	DONG Norge AS	15.000000	\N	2819945	1853083	9999-12-31	2013-05-08
159 B	2004-12-22	TO	CHANGE OF COMPANY NAME	Enterprise Oil Norge AS	25.000000	\N	2819945	1853786	9999-12-31	2013-05-08
159 B	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	15.000000	\N	2819945	4070011	9999-12-31	2013-05-08
159 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	10.000000	\N	2819945	4511658	9999-12-31	2013-05-08
159 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	85.000000	\N	2819945	4511658	9999-12-31	2013-05-08
159 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	75.000000	\N	2819945	4511854	9999-12-31	2013-05-08
159 B	2008-01-01	TO	TRANSFER	StatoilHydro ASA	10.000000	\N	2819945	4511854	9999-12-31	2013-05-08
159 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	10.000000	\N	2819945	4524355	9999-12-31	2013-05-08
159 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	85.000000	\N	2819945	17237817	9999-12-31	2013-05-08
331	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	40.000000	\N	2986187	1622484	9999-12-31	2013-05-08
331	2009-09-30	FROM	TRANSFER	ConocoPhillips Skandinavia AS	10.000000	\N	2986187	2410696	9999-12-31	2013-05-08
331	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	2986187	4511658	9999-12-31	2013-05-08
331	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.000000	\N	2986187	4511854	9999-12-31	2013-05-08
331	2009-09-30	TO	TRANSFER	Bayerngas Norge AS	10.000000	\N	2986187	4444493	9999-12-31	2013-05-08
331	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.000000	\N	2986187	4511658	9999-12-31	2013-05-08
331	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	40.000000	\N	2986187	4511854	9999-12-31	2013-05-08
331	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	2986187	17237817	9999-12-31	2013-05-08
332	2006-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	10.000000	\N	2986240	1340609	9999-12-31	2013-05-08
332	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	20.000000	\N	2986240	1340609	9999-12-31	2013-05-08
332	2005-03-31	FROM	MERGER/TAKEOVER	Pertra AS (OLD)	20.000000	\N	2986240	2069841	9999-12-31	2013-05-08
332	2009-01-01	FROM	TRANSFER	Talisman Energy Norge AS	10.000000	\N	2986240	2425093	9999-12-31	2013-05-08
332	2005-04-01	FROM	TRANSFER	Talisman Production Norge AS	20.000000	\N	2986240	3420565	9999-12-31	2013-05-08
332	2006-03-01	FROM	CHANGE OF COMPANY NAME	Pertra AS	20.000000	\N	2986240	3425724	9999-12-31	2013-05-08
332	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	20.000000	\N	2986240	3964368	9999-12-31	2013-05-08
332	2009-01-21	FROM	CHANGE OF COMPANY NAME	PA Resources Norway AS	10.000000	\N	2986240	3986418	9999-12-31	2013-05-08
332	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	20.000000	\N	2986240	4468177	9999-12-31	2013-05-08
332	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	20.000000	\N	2986240	4539976	9999-12-31	2013-05-08
332	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	40.000000	\N	2986240	4539989	9999-12-31	2013-05-08
332	2009-03-23	FROM	TRANSFER	Bayerngas Produksjon Norge AS	10.000000	\N	2986240	5461974	9999-12-31	2013-05-08
332	2009-01-01	TO	TRANSFER	Norske AEDC A/S	10.000000	\N	2986240	34	9999-12-31	2013-05-08
332	2005-03-31	TO	MERGER/TAKEOVER	Talisman Production Norge AS	20.000000	\N	2986240	3420565	9999-12-31	2013-05-08
332	2005-04-01	TO	TRANSFER	Pertra AS	20.000000	\N	2986240	3425724	9999-12-31	2013-05-08
332	2006-03-01	TO	CHANGE OF COMPANY NAME	Pertra ASA	20.000000	\N	2986240	3964368	9999-12-31	2013-05-08
332	2006-01-01	TO	TRANSFER	PA Resources Norway AS	10.000000	\N	2986240	3986418	9999-12-31	2013-05-08
332	2009-03-23	TO	TRANSFER	Bayerngas Norge AS	10.000000	\N	2986240	4444493	9999-12-31	2013-05-08
332	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	20.000000	\N	2986240	4468177	9999-12-31	2013-05-08
332	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	20.000000	\N	2986240	4539976	9999-12-31	2013-05-08
332	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	20.000000	\N	2986240	4539989	9999-12-31	2013-05-08
385	2012-09-28	TO	TRANSFER	DONG E&P Norge AS	20.000000	\N	3811602	4070011	9999-12-31	2013-05-08
332	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	20.000000	\N	2986240	4539989	9999-12-31	2013-05-08
332	2009-01-21	TO	CHANGE OF COMPANY NAME	Bayerngas Produksjon Norge AS	10.000000	\N	2986240	5461974	9999-12-31	2013-05-08
332	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	40.000000	\N	2986240	17342870	9999-12-31	2013-05-08
333	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	44.500000	\N	2986266	430	9999-12-31	2013-05-08
333	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	33.300000	\N	2986266	1622484	9999-12-31	2013-05-08
333	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	77.800000	\N	2986266	4511658	9999-12-31	2013-05-08
333	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	33.300000	\N	2986266	4511854	9999-12-31	2013-05-08
333	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	44.500000	\N	2986266	4524355	9999-12-31	2013-05-08
333	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	44.500000	\N	2986266	4511658	9999-12-31	2013-05-08
333	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	33.300000	\N	2986266	4511658	9999-12-31	2013-05-08
333	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	33.300000	\N	2986266	4511854	9999-12-31	2013-05-08
333	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	44.500000	\N	2986266	4524355	9999-12-31	2013-05-08
333	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	77.800000	\N	2986266	17237817	9999-12-31	2013-05-08
334	2006-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	10.000000	\N	2986306	1340609	9999-12-31	2013-05-08
334	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	30.000000	\N	2986306	1340609	9999-12-31	2013-05-08
334	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	2986306	4468177	9999-12-31	2013-05-08
334	2006-01-01	TO	TRANSFER	PA Resources Norway AS	10.000000	\N	2986306	3986418	9999-12-31	2013-05-08
334	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	2986306	4468177	9999-12-31	2013-05-08
334	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	2986306	4539976	9999-12-31	2013-05-08
335	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	18.000000	\N	2986333	1577943	9999-12-31	2013-05-08
335	2007-01-01	FROM	TRANSFER	Talisman Energy Norge AS	18.000000	\N	2986333	2425093	9999-12-31	2013-05-08
335	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	18.000000	\N	2986333	3987574	9999-12-31	2013-05-08
335	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	18.000000	\N	2986333	2425093	9999-12-31	2013-05-08
335	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	18.000000	\N	2986333	3987574	9999-12-31	2013-05-08
335	2007-01-01	TO	TRANSFER	Bridge Energy AS	18.000000	\N	2986333	4062933	9999-12-31	2013-05-08
336	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	40.000000	\N	2986364	1853083	9999-12-31	2013-05-08
336	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	40.000000	\N	2986364	4070011	9999-12-31	2013-05-08
337	2006-08-01	FROM	TRANSFER	Marathon Petroleum Norge AS	30.000000	\N	2986484	463	9999-12-31	2013-05-08
337	2005-03-31	FROM	MERGER/TAKEOVER	Pertra AS (OLD)	45.000000	\N	2986484	2069841	9999-12-31	2013-05-08
337	2007-01-02	FROM	TRANSFER	Talisman Energy Norge AS	10.000000	\N	2986484	2425093	9999-12-31	2013-05-08
337	2007-01-01	FROM	TRANSFER	BG Norge AS	25.000000	\N	2986484	2747354	9999-12-31	2013-05-08
337	2005-04-01	FROM	TRANSFER	Talisman Production Norge AS	35.000000	\N	2986484	3420565	9999-12-31	2013-05-08
337	2005-04-02	FROM	TRANSFER	Talisman Production Norge AS	10.000000	\N	2986484	3420565	9999-12-31	2013-05-08
337	2006-03-01	FROM	CHANGE OF COMPANY NAME	Pertra AS	35.000000	\N	2986484	3425724	9999-12-31	2013-05-08
337	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	20.000000	\N	2986484	3431773	9999-12-31	2013-05-08
337	2007-08-10	FROM	MERGER/TAKEOVER	Ener Petroleum ASA	25.000000	\N	2986484	3482290	9999-12-31	2013-05-08
337	2006-10-23	FROM	TRANSFER	Pertra ASA	20.000000	\N	2986484	3964368	9999-12-31	2013-05-08
337	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	45.000000	\N	2986484	3964368	9999-12-31	2013-05-08
337	2010-03-30	FROM	CHANGE OF COMPANY NAME	Bridge Energy AS	10.000000	\N	2986484	4062933	9999-12-31	2013-05-08
337	2007-10-04	FROM	CHANGE OF COMPANY NAME	Dana Petroleum Norway ASA	25.000000	\N	2986484	4510514	9999-12-31	2013-05-08
337	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	45.000000	\N	2986484	4539989	9999-12-31	2013-05-08
337	2010-09-30	FROM	TRANSFER	Wintershall Norge ASA	20.000000	\N	2986484	5442509	9999-12-31	2013-05-08
337	2005-04-02	TO	TRANSFER	Talisman Energy Norge AS	10.000000	\N	2986484	2425093	9999-12-31	2013-05-08
337	2005-03-31	TO	MERGER/TAKEOVER	Talisman Production Norge AS	45.000000	\N	2986484	3420565	9999-12-31	2013-05-08
337	2005-04-01	TO	TRANSFER	Pertra AS	35.000000	\N	2986484	3425724	9999-12-31	2013-05-08
337	2006-10-23	TO	TRANSFER	Revus Energy ASA	20.000000	\N	2986484	3431773	9999-12-31	2013-05-08
337	2007-01-01	TO	TRANSFER	Ener Petroleum ASA	25.000000	\N	2986484	3482290	9999-12-31	2013-05-08
337	2006-03-01	TO	CHANGE OF COMPANY NAME	Pertra ASA	35.000000	\N	2986484	3964368	9999-12-31	2013-05-08
337	2006-08-01	TO	TRANSFER	Pertra ASA	30.000000	\N	2986484	3964368	9999-12-31	2013-05-08
337	2007-01-02	TO	TRANSFER	Bridge Energy AS	10.000000	\N	2986484	4062933	9999-12-31	2013-05-08
337	2007-08-10	TO	MERGER/TAKEOVER	Dana Petroleum Norway ASA	25.000000	\N	2986484	4510514	9999-12-31	2013-05-08
337	2007-10-04	TO	CHANGE OF COMPANY NAME	Dana Petroleum Norway AS	25.000000	\N	2986484	4526555	9999-12-31	2013-05-08
337	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	45.000000	\N	2986484	4539989	9999-12-31	2013-05-08
337	2010-09-30	TO	TRANSFER	Spring Energy Norway AS	20.000000	\N	2986484	5072514	9999-12-31	2013-05-08
337	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	2986484	5442509	9999-12-31	2013-05-08
337	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	45.000000	\N	2986484	17342870	9999-12-31	2013-05-08
337	2010-03-30	TO	CHANGE OF COMPANY NAME	Bridge Energy Norge AS	10.000000	\N	2986484	18178215	9999-12-31	2013-05-08
338	2012-01-01	FROM	TRANSFER	RWE Dea Norge AS	20.000000	\N	2986578	97557	9999-12-31	2013-05-08
338	2006-01-01	FROM	TRANSFER	Lundin Norway AS	30.000000	\N	2986578	2767314	9999-12-31	2013-05-08
338	2006-01-02	FROM	TRANSFER	Lundin Norway AS	20.000000	\N	2986578	2767314	9999-12-31	2013-05-08
338	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	2986578	3431773	9999-12-31	2013-05-08
338	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	2986578	5442509	9999-12-31	2013-05-08
338	2006-01-02	TO	TRANSFER	RWE Dea Norge AS	20.000000	\N	2986578	97557	9999-12-31	2013-05-08
338	2006-01-01	TO	TRANSFER	Revus Energy ASA	30.000000	\N	2986578	3431773	9999-12-31	2013-05-08
338	2012-01-01	TO	TRANSFER	OMV (Norge) AS	20.000000	\N	2986578	4460594	9999-12-31	2013-05-08
338	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	2986578	5442509	9999-12-31	2013-05-08
338	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	30.000000	\N	2986578	21666830	9999-12-31	2013-05-08
339	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	70.000000	\N	2986606	1622484	9999-12-31	2013-05-08
339	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	2986606	4511658	9999-12-31	2013-05-08
339	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	70.000000	\N	2986606	4511854	9999-12-31	2013-05-08
339	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	70.000000	\N	2986606	4511658	9999-12-31	2013-05-08
339	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	70.000000	\N	2986606	4511854	9999-12-31	2013-05-08
339	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	2986606	17237817	9999-12-31	2013-05-08
340	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	65.000000	\N	2986630	463	9999-12-31	2013-05-08
340	2007-01-01	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	20.000000	\N	2986630	2399056	9999-12-31	2013-05-08
340	2007-01-01	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	20.000000	\N	2986630	2410696	9999-12-31	2013-05-08
340	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	65.000000	\N	2986630	20485291	9999-12-31	2013-05-08
341	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	12.000000	\N	2986675	463	9999-12-31	2013-05-08
341	2006-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	10.000000	\N	2986675	1340609	9999-12-31	2013-05-08
341	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	30.000000	\N	2986675	1340609	9999-12-31	2013-05-08
341	2010-01-02	FROM	TRANSFER	Talisman Energy Norge AS	12.000000	\N	2986675	2425093	9999-12-31	2013-05-08
341	2010-07-01	FROM	TRANSFER	Talisman Energy Norge AS	11.000000	\N	2986675	2425093	9999-12-31	2013-05-08
341	2005-05-04	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	30.000000	\N	2986675	2455850	9999-12-31	2013-05-08
341	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	2986675	3431773	9999-12-31	2013-05-08
341	2009-01-21	FROM	CHANGE OF COMPANY NAME	PA Resources Norway AS	10.000000	\N	2986675	3986418	9999-12-31	2013-05-08
341	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	2986675	4468177	9999-12-31	2013-05-08
341	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	2986675	4539976	9999-12-31	2013-05-08
341	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	30.000000	\N	2986675	4539989	9999-12-31	2013-05-08
341	2010-08-31	FROM	TRANSFER	Spring Energy Norway AS	10.000000	\N	2986675	5072514	9999-12-31	2013-05-08
341	2010-01-01	FROM	TRANSFER	Wintershall Norge ASA	10.000000	\N	2986675	5442509	9999-12-31	2013-05-08
341	2009-03-23	FROM	TRANSFER	Bayerngas Produksjon Norge AS	10.000000	\N	2986675	5461974	9999-12-31	2013-05-08
341	2010-01-02	TO	TRANSFER	Marathon Petroleum Norge AS	12.000000	\N	2986675	463	9999-12-31	2013-05-08
341	2005-05-04	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	2986675	3431773	9999-12-31	2013-05-08
341	2006-01-01	TO	TRANSFER	PA Resources Norway AS	10.000000	\N	2986675	3986418	9999-12-31	2013-05-08
341	2009-03-23	TO	TRANSFER	Bayerngas Norge AS	10.000000	\N	2986675	4444493	9999-12-31	2013-05-08
341	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	2986675	4468177	9999-12-31	2013-05-08
341	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	2986675	4539976	9999-12-31	2013-05-08
341	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	30.000000	\N	2986675	4539989	9999-12-31	2013-05-08
341	2010-01-01	TO	TRANSFER	Spring Energy Norway AS	10.000000	\N	2986675	5072514	9999-12-31	2013-05-08
341	2010-08-31	TO	TRANSFER	GDF SUEZ E&P Norge AS	10.000000	\N	2986675	5267845	9999-12-31	2013-05-08
341	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	2986675	5442509	9999-12-31	2013-05-08
341	2009-01-21	TO	CHANGE OF COMPANY NAME	Bayerngas Produksjon Norge AS	10.000000	\N	2986675	5461974	9999-12-31	2013-05-08
341	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	30.000000	\N	2986675	17342870	9999-12-31	2013-05-08
341	2010-07-01	TO	TRANSFER	North Energy ASA	11.000000	\N	2986675	18082156	9999-12-31	2013-05-08
341	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	12.000000	\N	2986675	20485291	9999-12-31	2013-05-08
343	2008-01-01	FROM	TRANSFER	Marathon Petroleum Norge AS	22.750000	\N	2986758	463	9999-12-31	2013-05-08
343	2005-03-31	FROM	MERGER/TAKEOVER	Pertra AS (OLD)	35.000000	\N	2986758	2069841	9999-12-31	2013-05-08
343	2008-01-01	FROM	TRANSFER	Talisman Energy Norge AS	12.250000	\N	2986758	2425093	9999-12-31	2013-05-08
343	2005-04-01	FROM	TRANSFER	Talisman Production Norge AS	35.000000	\N	2986758	3420565	9999-12-31	2013-05-08
343	2005-04-01	TO	TRANSFER	Talisman Energy Norge AS	35.000000	\N	2986758	2425093	9999-12-31	2013-05-08
343	2005-03-31	TO	MERGER/TAKEOVER	Talisman Production Norge AS	35.000000	\N	2986758	3420565	9999-12-31	2013-05-08
343	2008-01-01	TO	TRANSFER	Aker Exploration AS	35.000000	\N	2986758	4460425	9999-12-31	2013-05-08
344	2006-12-17	FROM	TRANSFER	Statoil ASA (old)	21.875000	\N	2986805	1622484	9999-12-31	2013-05-08
344	2005-05-04	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	78.125000	\N	2986805	2455850	9999-12-31	2013-05-08
344	2008-01-01	FROM	TRANSFER	Revus Energy ASA	30.000000	\N	2986805	3431773	9999-12-31	2013-05-08
344	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	70.000000	\N	2986805	3431773	9999-12-31	2013-05-08
344	2010-09-30	FROM	TRANSFER	Wintershall Norge ASA	35.000000	\N	2986805	5442509	9999-12-31	2013-05-08
344	2005-05-04	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	78.125000	\N	2986805	3431773	9999-12-31	2013-05-08
344	2006-12-17	TO	TRANSFER	Revus Energy ASA	21.875000	\N	2986805	3431773	9999-12-31	2013-05-08
344	2008-01-01	TO	TRANSFER	Spring Energy Norway AS	30.000000	\N	2986805	5072514	9999-12-31	2013-05-08
344	2010-09-30	TO	TRANSFER	Spring Energy Norway AS	35.000000	\N	2986805	5072514	9999-12-31	2013-05-08
344	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	70.000000	\N	2986805	5442509	9999-12-31	2013-05-08
345	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	70.000000	\N	2986889	1622484	9999-12-31	2013-05-08
345	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	70.000000	\N	2986889	4511854	9999-12-31	2013-05-08
346	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	30.000000	\N	2986958	1853083	9999-12-31	2013-05-08
346	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	30.000000	\N	2986958	4070011	9999-12-31	2013-05-08
347	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	30.000000	\N	2986982	430	9999-12-31	2013-05-08
347	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	17.500000	\N	2986982	1577943	9999-12-31	2013-05-08
347	2005-01-01	FROM	CHANGE OF COMPANY NAME	OER Oil AS	7.500000	\N	2986982	2258813	9999-12-31	2013-05-08
347	2007-10-02	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	17.500000	\N	2986982	3482246	9999-12-31	2013-05-08
347	2006-07-01	FROM	TRANSFER	Talisman Resources Norge AS	17.500000	\N	2986982	3987574	9999-12-31	2013-05-08
347	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	30.000000	\N	2986982	4524355	9999-12-31	2013-05-08
347	2005-01-01	TO	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	7.500000	\N	2986982	3113213	9999-12-31	2013-05-08
347	2006-07-01	TO	TRANSFER	Norwegian Energy Company AS	17.500000	\N	2986982	3482246	9999-12-31	2013-05-08
347	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	17.500000	\N	2986982	3987574	9999-12-31	2013-05-08
347	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	2986982	4511658	9999-12-31	2013-05-08
347	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	30.000000	\N	2986982	4524355	9999-12-31	2013-05-08
347	2007-10-02	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	17.500000	\N	2986982	4530695	9999-12-31	2013-05-08
348	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	30.000000	\N	2987047	430	9999-12-31	2013-05-08
348	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	17.500000	\N	2987047	1577943	9999-12-31	2013-05-08
348	2011-01-01	FROM	TRANSFER	Petoro AS	7.500000	\N	2987047	1626839	9999-12-31	2013-05-08
348	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	20.000000	\N	2987047	1628733	9999-12-31	2013-05-08
348	2005-01-01	FROM	CHANGE OF COMPANY NAME	OER Oil AS	7.500000	\N	2987047	2258813	9999-12-31	2013-05-08
348	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	17.500000	\N	2987047	2840522	9999-12-31	2013-05-08
348	2008-01-01	FROM	TRANSFER	Endeavour Energy Norge AS	5.000000	\N	2987047	3113213	9999-12-31	2013-05-08
348	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	2.500000	\N	2987047	3113213	9999-12-31	2013-05-08
348	2007-10-02	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	17.500000	\N	2987047	3482246	9999-12-31	2013-05-08
348	2006-07-01	FROM	TRANSFER	Talisman Resources Norge AS	17.500000	\N	2987047	3987574	9999-12-31	2013-05-08
348	2010-01-01	FROM	TRANSFER	Concedo ASA	5.000000	\N	2987047	4460794	9999-12-31	2013-05-08
348	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	2987047	4511658	9999-12-31	2013-05-08
348	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	30.000000	\N	2987047	4524355	9999-12-31	2013-05-08
348	2011-07-01	FROM	TRANSFER	Norwegian Energy Company ASA	17.500000	\N	2987047	4530695	9999-12-31	2013-05-08
348	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	2987047	5497155	9999-12-31	2013-05-08
348	2005-01-01	TO	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	7.500000	\N	2987047	3113213	9999-12-31	2013-05-08
348	2006-07-01	TO	TRANSFER	Norwegian Energy Company AS	17.500000	\N	2987047	3482246	9999-12-31	2013-05-08
348	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	17.500000	\N	2987047	3987574	9999-12-31	2013-05-08
348	2011-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	7.500000	\N	2987047	4062883	9999-12-31	2013-05-08
348	2008-01-01	TO	TRANSFER	Concedo ASA	5.000000	\N	2987047	4460794	9999-12-31	2013-05-08
348	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	2987047	4511658	9999-12-31	2013-05-08
348	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	30.000000	\N	2987047	4524355	9999-12-31	2013-05-08
348	2007-10-02	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	17.500000	\N	2987047	4530695	9999-12-31	2013-05-08
348	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	20.000000	\N	2987047	5267845	9999-12-31	2013-05-08
348	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	2987047	5497155	9999-12-31	2013-05-08
348	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	2.500000	\N	2987047	17237193	9999-12-31	2013-05-08
348	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	2987047	17237817	9999-12-31	2013-05-08
348	2010-01-01	TO	TRANSFER	Statoil Petroleum AS	5.000000	\N	2987047	17237817	9999-12-31	2013-05-08
348	2011-07-01	TO	TRANSFER	Core Energy AS	17.500000	\N	2987047	20460080	9999-12-31	2013-05-08
348	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	17.500000	\N	2987047	21631209	9999-12-31	2013-05-08
349	2005-03-31	FROM	MERGER/TAKEOVER	Pertra AS (OLD)	35.000000	\N	2987098	2069841	9999-12-31	2013-05-08
349	2005-04-01	FROM	TRANSFER	Talisman Production Norge AS	5.000000	\N	2987098	3420565	9999-12-31	2013-05-08
349	2005-04-02	FROM	TRANSFER	Talisman Production Norge AS	30.000000	\N	2987098	3420565	9999-12-31	2013-05-08
349	2006-03-01	FROM	CHANGE OF COMPANY NAME	Pertra AS	5.000000	\N	2987098	3425724	9999-12-31	2013-05-08
349	2005-04-02	TO	TRANSFER	Talisman Energy Norge AS	30.000000	\N	2987098	2425093	9999-12-31	2013-05-08
349	2005-03-31	TO	MERGER/TAKEOVER	Talisman Production Norge AS	35.000000	\N	2987098	3420565	9999-12-31	2013-05-08
349	2005-04-01	TO	TRANSFER	Pertra AS	5.000000	\N	2987098	3425724	9999-12-31	2013-05-08
349	2006-03-01	TO	CHANGE OF COMPANY NAME	Pertra ASA	5.000000	\N	2987098	3964368	9999-12-31	2013-05-08
350	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	35.000000	\N	2987133	430	9999-12-31	2013-05-08
350	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	55.000000	\N	2987133	1622484	9999-12-31	2013-05-08
350	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	40.000000	\N	2987133	2840522	9999-12-31	2013-05-08
350	2009-01-02	FROM	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	2987133	4511658	9999-12-31	2013-05-08
350	2009-01-03	FROM	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	2987133	4511658	9999-12-31	2013-05-08
350	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	2987133	4511658	9999-12-31	2013-05-08
350	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	55.000000	\N	2987133	4511854	9999-12-31	2013-05-08
350	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	35.000000	\N	2987133	4524355	9999-12-31	2013-05-08
350	2009-01-02	TO	TRANSFER	E.ON Ruhrgas Norge AS	30.000000	\N	2987133	2840522	9999-12-31	2013-05-08
350	2009-01-03	TO	TRANSFER	PGNiG Norway AS	30.000000	\N	2987133	4505831	9999-12-31	2013-05-08
350	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	35.000000	\N	2987133	4511658	9999-12-31	2013-05-08
350	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	55.000000	\N	2987133	4511658	9999-12-31	2013-05-08
350	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	55.000000	\N	2987133	4511854	9999-12-31	2013-05-08
350	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	35.000000	\N	2987133	4524355	9999-12-31	2013-05-08
350	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	2987133	17237817	9999-12-31	2013-05-08
350	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	40.000000	\N	2987133	21631209	9999-12-31	2013-05-08
351	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	2987183	430	9999-12-31	2013-05-08
351	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	60.000000	\N	2987183	1622484	9999-12-31	2013-05-08
351	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	2987183	4524355	9999-12-31	2013-05-08
351	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	2987183	4511658	9999-12-31	2013-05-08
351	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	60.000000	\N	2987183	4511854	9999-12-31	2013-05-08
351	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	2987183	4524355	9999-12-31	2013-05-08
352	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	70.000000	\N	2987228	1622484	9999-12-31	2013-05-08
352	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	30.000000	\N	2987228	1853083	9999-12-31	2013-05-08
352	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	30.000000	\N	2987228	4070011	9999-12-31	2013-05-08
352	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	70.000000	\N	2987228	4511854	9999-12-31	2013-05-08
353	2005-01-01	FROM	TRANSFER	Norsk Hydro Produksjon AS	20.000000	\N	2987265	430	9999-12-31	2013-05-08
353	2005-01-01	TO	TRANSFER	Wintershall Norge AS (old)	20.000000	\N	2987265	3482302	9999-12-31	2013-05-08
073 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	12.000000	\N	2987414	430	9999-12-31	2013-05-08
073 B	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	6.600000	\N	2987414	474	9999-12-31	2013-05-08
073 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	46.833600	\N	2987414	1622484	9999-12-31	2013-05-08
073 B	2007-08-07	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	6.600000	\N	2987414	2835212	9999-12-31	2013-05-08
073 B	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	12.000000	\N	2987414	4511658	9999-12-31	2013-05-08
073 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	58.833600	\N	2987414	4511658	9999-12-31	2013-05-08
073 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	58.833600	\N	2987414	4511854	9999-12-31	2013-05-08
073 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	12.000000	\N	2987414	4524355	9999-12-31	2013-05-08
073 B	2007-08-07	TO	TRANSFER	Mobil Development Norway AS	6.600000	\N	2987414	474	9999-12-31	2013-05-08
073 B	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	6.600000	\N	2987414	2835212	9999-12-31	2013-05-08
073 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	12.000000	\N	2987414	4511658	9999-12-31	2013-05-08
073 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	58.833600	\N	2987414	4511658	9999-12-31	2013-05-08
073 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	46.833600	\N	2987414	4511854	9999-12-31	2013-05-08
073 B	2008-01-01	TO	TRANSFER	StatoilHydro ASA	12.000000	\N	2987414	4511854	9999-12-31	2013-05-08
073 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	12.000000	\N	2987414	4524355	9999-12-31	2013-05-08
073 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	58.833600	\N	2987414	17237817	9999-12-31	2013-05-08
122 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	2987454	1622484	9999-12-31	2013-05-08
122 C	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	30.000000	\N	2987454	1853083	9999-12-31	2013-05-08
122 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	2987454	4511658	9999-12-31	2013-05-08
122 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	2987454	4511854	9999-12-31	2013-05-08
122 C	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	30.000000	\N	2987454	4070011	9999-12-31	2013-05-08
122 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	2987454	4511658	9999-12-31	2013-05-08
122 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	2987454	4511854	9999-12-31	2013-05-08
122 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	2987454	17237817	9999-12-31	2013-05-08
305 B	2006-01-01	FROM	TRANSFER	Det Norske Oljeselskap AS	10.000000	\N	2987480	1340609	9999-12-31	2013-05-08
305 B	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	30.000000	\N	2987480	1340609	9999-12-31	2013-05-08
305 B	2005-05-04	FROM	CHANGE OF COMPANY NAME	Revus Energy AS	30.000000	\N	2987480	2455850	9999-12-31	2013-05-08
305 B	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	2987480	4468177	9999-12-31	2013-05-08
305 B	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	2987480	4539976	9999-12-31	2013-05-08
305 B	2005-05-04	TO	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	2987480	3431773	9999-12-31	2013-05-08
305 B	2006-01-01	TO	TRANSFER	PA Resources Norway AS	10.000000	\N	2987480	3986418	9999-12-31	2013-05-08
305 B	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	2987480	4468177	9999-12-31	2013-05-08
305 B	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	2987480	4539976	9999-12-31	2013-05-08
305 B	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	30.000000	\N	2987480	4539989	9999-12-31	2013-05-08
311 B	2005-04-25	FROM	TRANSFER	Marathon Petroleum Norge AS	25.000000	\N	2987508	463	9999-12-31	2013-05-08
311 B	2006-01-01	FROM	TRANSFER	Marathon Petroleum Norge AS	12.500000	\N	2987508	463	9999-12-31	2013-05-08
311 B	2007-01-01	FROM	TRANSFER	Gaz de France Norge AS	25.000000	\N	2987508	1628733	9999-12-31	2013-05-08
311 B	2007-10-04	FROM	CHANGE OF COMPANY NAME	Dana Petroleum Norway ASA	25.000000	\N	2987508	4510514	9999-12-31	2013-05-08
311 B	2005-04-25	TO	TRANSFER	Talisman Energy Norge AS	25.000000	\N	2987508	2425093	9999-12-31	2013-05-08
311 B	2006-01-01	TO	TRANSFER	Talisman Energy Norge AS	12.500000	\N	2987508	2425093	9999-12-31	2013-05-08
311 B	2007-01-01	TO	TRANSFER	Dana Petroleum Norway ASA	25.000000	\N	2987508	4510514	9999-12-31	2013-05-08
311 B	2007-10-04	TO	CHANGE OF COMPANY NAME	Dana Petroleum Norway AS	25.000000	\N	2987508	4526555	9999-12-31	2013-05-08
037 E	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.000000	\N	3000656	430	9999-12-31	2013-05-08
037 E	2005-01-02	FROM	TRANSFER	A/S Norske Shell	10.000000	\N	3000656	562	9999-12-31	2013-05-08
037 E	2005-01-01	FROM	TRANSFER	Statoil ASA (old)	9.000000	\N	3000656	1622484	9999-12-31	2013-05-08
037 E	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	61.000000	\N	3000656	1622484	9999-12-31	2013-05-08
037 E	2005-01-02	FROM	TRANSFER	Enterprise Oil Norge AS	1.041670	\N	3000656	1853786	9999-12-31	2013-05-08
037 E	2005-01-02	FROM	TRANSFER	Norske ConocoPhillips AS	12.083330	\N	3000656	2399056	9999-12-31	2013-05-08
037 E	2005-01-02	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	25.000000	\N	3000656	2835212	9999-12-31	2013-05-08
037 E	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	3000656	4511658	9999-12-31	2013-05-08
037 E	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	61.000000	\N	3000656	4511854	9999-12-31	2013-05-08
037 E	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.000000	\N	3000656	4524355	9999-12-31	2013-05-08
037 E	2005-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	9.000000	\N	3000656	430	9999-12-31	2013-05-08
037 E	2005-01-02	TO	TRANSFER	Statoil ASA (old)	48.125000	\N	3000656	1622484	9999-12-31	2013-05-08
037 E	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.000000	\N	3000656	4511658	9999-12-31	2013-05-08
037 E	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	61.000000	\N	3000656	4511658	9999-12-31	2013-05-08
037 E	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	61.000000	\N	3000656	4511854	9999-12-31	2013-05-08
037 E	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.000000	\N	3000656	4524355	9999-12-31	2013-05-08
037 E	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	3000656	17237817	9999-12-31	2013-05-08
110 B	2006-10-27	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	3.260000	\N	3001885	67	9999-12-31	2013-05-08
110 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	33.530000	\N	3001885	1622484	9999-12-31	2013-05-08
110 B	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	12.000000	\N	3001885	1628733	9999-12-31	2013-05-08
110 B	2011-01-01	FROM	TRANSFER	Hess Norge AS	3.260000	\N	3001885	4038735	9999-12-31	2013-05-08
110 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	33.530000	\N	3001885	4511658	9999-12-31	2013-05-08
110 B	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	33.530000	\N	3001885	4511854	9999-12-31	2013-05-08
110 B	2006-10-27	TO	CHANGE OF COMPANY NAME	Hess Norge AS	3.260000	\N	3001885	4038735	9999-12-31	2013-05-08
110 B	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	33.530000	\N	3001885	4511658	9999-12-31	2013-05-08
110 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	33.530000	\N	3001885	4511854	9999-12-31	2013-05-08
110 B	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	12.000000	\N	3001885	5267845	9999-12-31	2013-05-08
110 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	33.530000	\N	3001885	17237817	9999-12-31	2013-05-08
110 B	2011-01-01	TO	TRANSFER	Statoil Petroleum AS	3.260000	\N	3001885	17237817	9999-12-31	2013-05-08
212 C	2005-02-08	FROM	TRANSFER	Enterprise Oil Norwegian AS	25.000000	\N	3371954	342	9999-12-31	2013-05-08
212 C	2005-02-08	FROM	TRANSFER	Mobil Development Norway AS	15.000000	\N	3371954	474	9999-12-31	2013-05-08
212 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	100.000000	\N	3371954	1622484	9999-12-31	2013-05-08
212 C	2005-02-08	FROM	TRANSFER	BP Norge AS	30.000000	\N	3371954	2052695	9999-12-31	2013-05-08
212 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	3371954	4511658	9999-12-31	2013-05-08
212 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	100.000000	\N	3371954	4511854	9999-12-31	2013-05-08
212 C	2005-02-08	TO	TRANSFER	Statoil ASA (old)	70.000000	\N	3371954	1622484	9999-12-31	2013-05-08
212 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	100.000000	\N	3371954	4511658	9999-12-31	2013-05-08
212 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	100.000000	\N	3371954	4511854	9999-12-31	2013-05-08
212 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	100.000000	\N	3371954	17237817	9999-12-31	2013-05-08
090 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	25.000000	\N	3426781	430	9999-12-31	2013-05-08
090 B	2005-05-26	FROM	TRANSFER	Mobil Development Norway AS	25.000000	\N	3426781	474	9999-12-31	2013-05-08
090 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	3426781	1622484	9999-12-31	2013-05-08
090 B	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	15.000000	\N	3426781	1628733	9999-12-31	2013-05-08
090 B	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	25.000000	\N	3426781	3431773	9999-12-31	2013-05-08
090 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	45.000000	\N	3426781	4511658	9999-12-31	2013-05-08
090 B	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	3426781	4511854	9999-12-31	2013-05-08
090 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	25.000000	\N	3426781	4524355	9999-12-31	2013-05-08
090 B	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	25.000000	\N	3426781	5442509	9999-12-31	2013-05-08
090 B	2005-05-26	TO	TRANSFER	Revus Energy ASA	25.000000	\N	3426781	3431773	9999-12-31	2013-05-08
090 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	25.000000	\N	3426781	4511658	9999-12-31	2013-05-08
090 B	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	3426781	4511658	9999-12-31	2013-05-08
090 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	3426781	4511854	9999-12-31	2013-05-08
090 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	25.000000	\N	3426781	4524355	9999-12-31	2013-05-08
090 B	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	15.000000	\N	3426781	5267845	9999-12-31	2013-05-08
090 B	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	25.000000	\N	3426781	5442509	9999-12-31	2013-05-08
090 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	45.000000	\N	3426781	17237817	9999-12-31	2013-05-08
090 B	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	25.000000	\N	3426781	21666830	9999-12-31	2013-05-08
090 C	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	25.000000	\N	3426824	430	9999-12-31	2013-05-08
090 C	2005-05-26	FROM	TRANSFER	Mobil Development Norway AS	25.000000	\N	3426824	474	9999-12-31	2013-05-08
090 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	3426824	1622484	9999-12-31	2013-05-08
090 C	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	15.000000	\N	3426824	1628733	9999-12-31	2013-05-08
090 C	2007-01-02	FROM	TRANSFER	Revus Energy ASA	25.000000	\N	3426824	3431773	9999-12-31	2013-05-08
090 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	45.000000	\N	3426824	4511658	9999-12-31	2013-05-08
090 C	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	3426824	4511854	9999-12-31	2013-05-08
090 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	25.000000	\N	3426824	4524355	9999-12-31	2013-05-08
090 C	2005-05-26	TO	TRANSFER	Revus Energy ASA	25.000000	\N	3426824	3431773	9999-12-31	2013-05-08
090 C	2007-01-02	TO	TRANSFER	Bayerngas Norge AS	25.000000	\N	3426824	4444493	9999-12-31	2013-05-08
090 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	25.000000	\N	3426824	4511658	9999-12-31	2013-05-08
090 C	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	3426824	4511658	9999-12-31	2013-05-08
090 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	3426824	4511854	9999-12-31	2013-05-08
090 C	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	25.000000	\N	3426824	4524355	9999-12-31	2013-05-08
090 C	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	15.000000	\N	3426824	5267845	9999-12-31	2013-05-08
090 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	45.000000	\N	3426824	17237817	9999-12-31	2013-05-08
048 C	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.300000	\N	3489506	430	9999-12-31	2013-05-08
048 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	68.900000	\N	3489506	1622484	9999-12-31	2013-05-08
048 C	2005-10-11	FROM	TRANSFER	Total E&P Norge AS	21.800000	\N	3489506	2410708	9999-12-31	2013-05-08
048 C	2006-11-28	FROM	CHANGE OF COMPANY NAME	Altinex Oil AS	21.800000	\N	3489506	2835200	9999-12-31	2013-05-08
048 C	2010-01-01	FROM	TRANSFER	Altinex Oil Norway AS	21.800000	\N	3489506	4446230	9999-12-31	2013-05-08
048 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	78.200000	\N	3489506	4511658	9999-12-31	2013-05-08
048 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	68.900000	\N	3489506	4511854	9999-12-31	2013-05-08
048 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.300000	\N	3489506	4524355	9999-12-31	2013-05-08
048 C	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	21.800000	\N	3489506	4530695	9999-12-31	2013-05-08
048 C	2005-10-11	TO	TRANSFER	Altinex Oil AS	21.800000	\N	3489506	2835200	9999-12-31	2013-05-08
048 C	2006-11-28	TO	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	21.800000	\N	3489506	4446230	9999-12-31	2013-05-08
048 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.300000	\N	3489506	4511658	9999-12-31	2013-05-08
048 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	68.900000	\N	3489506	4511658	9999-12-31	2013-05-08
048 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	68.900000	\N	3489506	4511854	9999-12-31	2013-05-08
048 C	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.300000	\N	3489506	4524355	9999-12-31	2013-05-08
048 C	2010-01-01	TO	TRANSFER	Norwegian Energy Company ASA	21.800000	\N	3489506	4530695	9999-12-31	2013-05-08
048 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	78.200000	\N	3489506	17237817	9999-12-31	2013-05-08
048 C	2012-12-31	TO	TRANSFER	Noreco Norway AS	21.800000	\N	3489506	22223020	9999-12-31	2013-05-08
048 D	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	10.000000	\N	3489553	1340609	9999-12-31	2013-05-08
048 D	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	58.900000	\N	3489553	1622484	9999-12-31	2013-05-08
048 D	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	9.300000	\N	3489553	1853083	9999-12-31	2013-05-08
048 D	2005-10-11	FROM	TRANSFER	Total E&P Norge AS	21.800000	\N	3489553	2410708	9999-12-31	2013-05-08
048 D	2006-11-28	FROM	CHANGE OF COMPANY NAME	Altinex Oil AS	21.800000	\N	3489553	2835200	9999-12-31	2013-05-08
048 D	2009-01-02	FROM	TRANSFER	DONG E&P Norge AS	9.300000	\N	3489553	4070011	9999-12-31	2013-05-08
048 D	2012-07-05	FROM	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	21.800000	\N	3489553	4446230	9999-12-31	2013-05-08
048 D	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	10.000000	\N	3489553	4468177	9999-12-31	2013-05-08
048 D	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	58.900000	\N	3489553	4511658	9999-12-31	2013-05-08
048 D	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	58.900000	\N	3489553	4511854	9999-12-31	2013-05-08
048 D	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	10.000000	\N	3489553	4539976	9999-12-31	2013-05-08
048 D	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	10.000000	\N	3489553	4539989	9999-12-31	2013-05-08
048 D	2005-10-11	TO	TRANSFER	Altinex Oil AS	21.800000	\N	3489553	2835200	9999-12-31	2013-05-08
048 D	2009-01-02	TO	TRANSFER	Faroe Petroleum Norge AS	9.300000	\N	3489553	4062883	9999-12-31	2013-05-08
048 D	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	9.300000	\N	3489553	4070011	9999-12-31	2013-05-08
048 D	2006-11-28	TO	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	21.800000	\N	3489553	4446230	9999-12-31	2013-05-08
048 D	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	10.000000	\N	3489553	4468177	9999-12-31	2013-05-08
048 D	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	58.900000	\N	3489553	4511658	9999-12-31	2013-05-08
048 D	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	58.900000	\N	3489553	4511854	9999-12-31	2013-05-08
048 D	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	10.000000	\N	3489553	4539976	9999-12-31	2013-05-08
048 D	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	10.000000	\N	3489553	4539989	9999-12-31	2013-05-08
048 D	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	58.900000	\N	3489553	17237817	9999-12-31	2013-05-08
048 D	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	10.000000	\N	3489553	17342870	9999-12-31	2013-05-08
048 D	2012-07-05	TO	CHANGE OF COMPANY NAME	Noreco Norway AS	21.800000	\N	3489553	22223020	9999-12-31	2013-05-08
274 BS	2005-12-14	FROM	TRANSFER	DONG Norge AS	80.000000	\N	3809011	1853083	9999-12-31	2013-05-08
274 BS	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	20.000000	\N	3809011	1853083	9999-12-31	2013-05-08
274 BS	2005-12-14	TO	TRANSFER	BG Norge AS	80.000000	\N	3809011	2747354	9999-12-31	2013-05-08
274 BS	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	20.000000	\N	3809011	4070011	9999-12-31	2013-05-08
085 D	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.779140	\N	3810164	430	9999-12-31	2013-05-08
085 D	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.804710	\N	3810164	1622484	9999-12-31	2013-05-08
085 D	2007-01-02	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	1.623740	\N	3810164	2399056	9999-12-31	2013-05-08
085 D	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.779140	\N	3810164	4524355	9999-12-31	2013-05-08
085 D	2007-01-02	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	1.623740	\N	3810164	2410696	9999-12-31	2013-05-08
085 D	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.779140	\N	3810164	4511658	9999-12-31	2013-05-08
085 D	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.804710	\N	3810164	4511854	9999-12-31	2013-05-08
085 D	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.779140	\N	3810164	4524355	9999-12-31	2013-05-08
354	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	65.000000	\N	3810204	3113213	9999-12-31	2013-05-08
354	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	35.000000	\N	3810204	3431773	9999-12-31	2013-05-08
354	2006-01-07	FROM	CHANGE OF COMPANY NAME	Petro-Canada UK Limited	30.000000	\N	3810204	3437846	9999-12-31	2013-05-08
354	2009-01-01	FROM	TRANSFER	Petro-Canada Norge AS	30.000000	\N	3810204	3960945	9999-12-31	2013-05-08
354	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	65.000000	\N	3810204	5497155	9999-12-31	2013-05-08
354	2009-01-01	TO	TRANSFER	Endeavour Energy Norge AS	15.000000	\N	3810204	3113213	9999-12-31	2013-05-08
354	2009-01-01	TO	TRANSFER	Revus Energy ASA	15.000000	\N	3810204	3431773	9999-12-31	2013-05-08
354	2006-01-07	TO	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	30.000000	\N	3810204	3960945	9999-12-31	2013-05-08
354	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	35.000000	\N	3810204	5442509	9999-12-31	2013-05-08
354	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	65.000000	\N	3810204	5497155	9999-12-31	2013-05-08
354	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	65.000000	\N	3810204	17237193	9999-12-31	2013-05-08
356	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	50.000000	\N	3810275	1340609	9999-12-31	2013-05-08
356	2006-03-01	FROM	CHANGE OF COMPANY NAME	Pertra AS	50.000000	\N	3810275	3425724	9999-12-31	2013-05-08
356	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	50.000000	\N	3810275	3964368	9999-12-31	2013-05-08
356	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	50.000000	\N	3810275	4468177	9999-12-31	2013-05-08
356	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	50.000000	\N	3810275	4539976	9999-12-31	2013-05-08
356	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	100.000000	\N	3810275	4539989	9999-12-31	2013-05-08
356	2010-01-01	FROM	TRANSFER	Det norske oljeselskap ASA	40.000000	\N	3810275	17342870	9999-12-31	2013-05-08
356	2012-01-01	FROM	TRANSFER	Det norske oljeselskap ASA	10.000000	\N	3810275	17342870	9999-12-31	2013-05-08
356	2006-03-01	TO	CHANGE OF COMPANY NAME	Pertra ASA	50.000000	\N	3810275	3964368	9999-12-31	2013-05-08
356	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	50.000000	\N	3810275	4468177	9999-12-31	2013-05-08
356	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	50.000000	\N	3810275	4539976	9999-12-31	2013-05-08
356	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	50.000000	\N	3810275	4539989	9999-12-31	2013-05-08
356	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	50.000000	\N	3810275	4539989	9999-12-31	2013-05-08
356	2010-01-01	TO	TRANSFER	Repsol Exploration Norge AS	40.000000	\N	3810275	17237506	9999-12-31	2013-05-08
356	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	100.000000	\N	3810275	17342870	9999-12-31	2013-05-08
356	2012-01-01	TO	TRANSFER	Petrolia Norway AS	10.000000	\N	3810275	21593704	9999-12-31	2013-05-08
357	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	50.000000	\N	3810310	1577943	9999-12-31	2013-05-08
357	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	50.000000	\N	3810310	1853083	9999-12-31	2013-05-08
357	2006-09-07	FROM	TRANSFER	Talisman Resources Norge AS	50.000000	\N	3810310	3987574	9999-12-31	2013-05-08
357	2006-09-07	TO	TRANSFER	Talisman Energy Norge AS	50.000000	\N	3810310	2425093	9999-12-31	2013-05-08
357	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	50.000000	\N	3810310	3987574	9999-12-31	2013-05-08
357	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	50.000000	\N	3810310	4070011	9999-12-31	2013-05-08
358	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	70.000000	\N	3810338	1622484	9999-12-31	2013-05-08
358	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	3810338	4511658	9999-12-31	2013-05-08
358	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	70.000000	\N	3810338	4511854	9999-12-31	2013-05-08
358	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	70.000000	\N	3810338	4511658	9999-12-31	2013-05-08
358	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	70.000000	\N	3810338	4511854	9999-12-31	2013-05-08
358	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	3810338	17237817	9999-12-31	2013-05-08
359	2009-01-01	FROM	TRANSFER	Lundin Norway AS	30.000000	\N	3810373	2767314	9999-12-31	2013-05-08
359	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	3810373	4511658	9999-12-31	2013-05-08
359	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	3810373	4511658	9999-12-31	2013-05-08
359	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	3810373	17237817	9999-12-31	2013-05-08
360	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	3810387	1622484	9999-12-31	2013-05-08
360	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	20.000000	\N	3810387	1853083	9999-12-31	2013-05-08
360	2006-11-28	FROM	CHANGE OF COMPANY NAME	Altinex Oil AS	15.000000	\N	3810387	2835200	9999-12-31	2013-05-08
360	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	15.000000	\N	3810387	3431773	9999-12-31	2013-05-08
360	2010-01-01	FROM	TRANSFER	Altinex Oil Norway AS	15.000000	\N	3810387	4446230	9999-12-31	2013-05-08
360	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	3810387	4511658	9999-12-31	2013-05-08
360	2009-01-18	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	3810387	4511854	9999-12-31	2013-05-08
360	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	15.000000	\N	3810387	4530695	9999-12-31	2013-05-08
360	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	15.000000	\N	3810387	5442509	9999-12-31	2013-05-08
360	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	20.000000	\N	3810387	4070011	9999-12-31	2013-05-08
360	2006-11-28	TO	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	15.000000	\N	3810387	4446230	9999-12-31	2013-05-08
360	2009-01-18	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	3810387	4511658	9999-12-31	2013-05-08
360	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	3810387	4511854	9999-12-31	2013-05-08
360	2010-01-01	TO	TRANSFER	Norwegian Energy Company ASA	15.000000	\N	3810387	4530695	9999-12-31	2013-05-08
360	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	15.000000	\N	3810387	5442509	9999-12-31	2013-05-08
360	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	3810387	17237817	9999-12-31	2013-05-08
360	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	15.000000	\N	3810387	21666830	9999-12-31	2013-05-08
360	2012-12-31	TO	TRANSFER	Noreco Norway AS	15.000000	\N	3810387	22223020	9999-12-31	2013-05-08
361	2006-03-22	FROM	CHANGE OF COMPANY NAME	Paladin Resources Norge AS	40.000000	\N	3810510	1577943	9999-12-31	2013-05-08
361	2006-11-28	FROM	CHANGE OF COMPANY NAME	Altinex Oil AS	30.000000	\N	3810510	2835200	9999-12-31	2013-05-08
361	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	3810510	3431773	9999-12-31	2013-05-08
361	2006-03-23	FROM	TRANSFER	Talisman Resources Norge AS	40.000000	\N	3810510	3987574	9999-12-31	2013-05-08
361	2006-03-23	TO	TRANSFER	Talisman Energy Norge AS	40.000000	\N	3810510	2425093	9999-12-31	2013-05-08
361	2006-03-22	TO	CHANGE OF COMPANY NAME	Talisman Resources Norge AS	40.000000	\N	3810510	3987574	9999-12-31	2013-05-08
361	2006-11-28	TO	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	30.000000	\N	3810510	4446230	9999-12-31	2013-05-08
361	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	3810510	5442509	9999-12-31	2013-05-08
362	2006-01-07	FROM	TRANSFER	Norsk Hydro Produksjon AS	50.000000	\N	3810565	430	9999-12-31	2013-05-08
362	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	50.000000	\N	3810565	430	9999-12-31	2013-05-08
362	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	25.000000	\N	3810565	1340609	9999-12-31	2013-05-08
362	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	25.000000	\N	3810565	4468177	9999-12-31	2013-05-08
362	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	3810565	4511658	9999-12-31	2013-05-08
362	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	50.000000	\N	3810565	4524355	9999-12-31	2013-05-08
362	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	25.000000	\N	3810565	4539976	9999-12-31	2013-05-08
362	2008-01-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	10.000000	\N	3810565	4539989	9999-12-31	2013-05-08
362	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	15.000000	\N	3810565	4539989	9999-12-31	2013-05-08
362	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	50.000000	\N	3810565	17237817	9999-12-31	2013-05-08
362	2006-01-07	TO	TRANSFER	Svenska Petroleum Exploration AS	25.000000	\N	3810565	738	9999-12-31	2013-05-08
362	2006-01-07	TO	TRANSFER	Det Norske Oljeselskap AS	25.000000	\N	3810565	1340609	9999-12-31	2013-05-08
362	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	50.000000	\N	3810565	4238233	9999-12-31	2013-05-08
362	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	25.000000	\N	3810565	4468177	9999-12-31	2013-05-08
362	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	3810565	4511658	9999-12-31	2013-05-08
362	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	50.000000	\N	3810565	4524355	9999-12-31	2013-05-08
362	2008-01-02	TO	TRANSFER	Dana Petroleum Norway AS	10.000000	\N	3810565	4526555	9999-12-31	2013-05-08
362	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	25.000000	\N	3810565	4539976	9999-12-31	2013-05-08
362	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	25.000000	\N	3810565	4539989	9999-12-31	2013-05-08
362	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	3810565	17237817	9999-12-31	2013-05-08
362	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	15.000000	\N	3810565	17342870	9999-12-31	2013-05-08
363	2009-07-01	FROM	TRANSFER	Lundin Norway AS	15.000000	\N	3810598	2767314	9999-12-31	2013-05-08
363	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	40.000000	\N	3810598	3113213	9999-12-31	2013-05-08
363	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	40.000000	\N	3810598	5497155	9999-12-31	2013-05-08
363	2009-07-01	TO	TRANSFER	Centrica Resources (Norge) AS	15.000000	\N	3810598	4238233	9999-12-31	2013-05-08
363	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	40.000000	\N	3810598	5497155	9999-12-31	2013-05-08
363	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	40.000000	\N	3810598	17237193	9999-12-31	2013-05-08
364	2006-03-01	FROM	CHANGE OF COMPANY NAME	Pertra AS	50.000000	\N	3810636	3425724	9999-12-31	2013-05-08
364	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	50.000000	\N	3810636	3964368	9999-12-31	2013-05-08
364	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	50.000000	\N	3810636	4539989	9999-12-31	2013-05-08
364	2006-03-01	TO	CHANGE OF COMPANY NAME	Pertra ASA	50.000000	\N	3810636	3964368	9999-12-31	2013-05-08
364	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	50.000000	\N	3810636	4539989	9999-12-31	2013-05-08
364	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	50.000000	\N	3810636	17342870	9999-12-31	2013-05-08
365	2007-09-25	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	50.000000	\N	3810693	430	9999-12-31	2013-05-08
365	2006-01-07	FROM	CHANGE OF COMPANY NAME	Petro-Canada UK Limited	30.000000	\N	3810693	3437846	9999-12-31	2013-05-08
365	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	50.000000	\N	3810693	4524355	9999-12-31	2013-05-08
365	2006-01-07	TO	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	30.000000	\N	3810693	3960945	9999-12-31	2013-05-08
365	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	3810693	4511658	9999-12-31	2013-05-08
365	2007-09-25	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	50.000000	\N	3810693	4524355	9999-12-31	2013-05-08
366	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	100.000000	\N	3810756	430	9999-12-31	2013-05-08
366	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	100.000000	\N	3810756	4524355	9999-12-31	2013-05-08
366	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	3810756	4511658	9999-12-31	2013-05-08
366	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	100.000000	\N	3810756	4524355	9999-12-31	2013-05-08
367 S	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	100.000000	\N	3810797	430	9999-12-31	2013-05-08
367 S	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	100.000000	\N	3810797	4524355	9999-12-31	2013-05-08
367 S	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	3810797	4511658	9999-12-31	2013-05-08
367 S	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	100.000000	\N	3810797	4524355	9999-12-31	2013-05-08
369	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	20.000000	\N	3810875	1340609	9999-12-31	2013-05-08
369	2009-10-01	FROM	TRANSFER	Talisman Energy Norge AS	40.000000	\N	3810875	2425093	9999-12-31	2013-05-08
369	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	20.000000	\N	3810875	3431773	9999-12-31	2013-05-08
369	2006-01-07	FROM	CHANGE OF COMPANY NAME	Petro-Canada UK Limited	20.000000	\N	3810875	3437846	9999-12-31	2013-05-08
369	2010-04-08	FROM	TRANSFER	Petro-Canada Norge AS	20.000000	\N	3810875	3960945	9999-12-31	2013-05-08
369	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	20.000000	\N	3810875	4468177	9999-12-31	2013-05-08
369	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	20.000000	\N	3810875	4539976	9999-12-31	2013-05-08
369	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	20.000000	\N	3810875	4539989	9999-12-31	2013-05-08
369	2006-01-07	TO	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	20.000000	\N	3810875	3960945	9999-12-31	2013-05-08
369	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	20.000000	\N	3810875	4468177	9999-12-31	2013-05-08
369	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	20.000000	\N	3810875	4539976	9999-12-31	2013-05-08
369	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	20.000000	\N	3810875	4539989	9999-12-31	2013-05-08
369	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	3810875	5442509	9999-12-31	2013-05-08
369	2010-04-08	TO	TRANSFER	Wintershall Norge ASA	20.000000	\N	3810875	5442509	9999-12-31	2013-05-08
369	2009-10-01	TO	TRANSFER	Det norske oljeselskap ASA	40.000000	\N	3810875	17342870	9999-12-31	2013-05-08
369	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	20.000000	\N	3810875	17342870	9999-12-31	2013-05-08
370	2010-07-01	FROM	TRANSFER	A/S Norske Shell	10.000000	\N	3810959	562	9999-12-31	2013-05-08
370	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	3810959	3431773	9999-12-31	2013-05-08
370	2006-03-21	FROM	CHANGE OF COMPANY NAME	Petro-Canada UK Limited	70.000000	\N	3810959	3437846	9999-12-31	2013-05-08
370	2009-01-01	FROM	TRANSFER	Petro-Canada Norge AS	70.000000	\N	3810959	3960945	9999-12-31	2013-05-08
370	2009-01-03	FROM	TRANSFER	Wintershall Norge ASA	10.000000	\N	3810959	5442509	9999-12-31	2013-05-08
370	2009-07-01	FROM	TRANSFER	Wintershall Norge ASA	10.000000	\N	3810959	5442509	9999-12-31	2013-05-08
370	2010-09-30	FROM	TRANSFER	Wintershall Norge ASA	40.000000	\N	3810959	5442509	9999-12-31	2013-05-08
370	2011-07-31	FROM	TRANSFER	Wintershall Norge ASA	10.000000	\N	3810959	5442509	9999-12-31	2013-05-08
370	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	3810959	5442509	9999-12-31	2013-05-08
370	2013-04-20	FROM	CHANGE OF COMPANY NAME	Agora Oil & Gas AS	30.000000	\N	3810959	18386322	9999-12-31	2013-05-08
370	2009-07-01	TO	TRANSFER	A/S Norske Shell	10.000000	\N	3810959	562	9999-12-31	2013-05-08
370	2006-03-21	TO	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	70.000000	\N	3810959	3960945	9999-12-31	2013-05-08
370	2009-01-03	TO	TRANSFER	Concedo ASA	10.000000	\N	3810959	4460794	9999-12-31	2013-05-08
370	2010-09-30	TO	TRANSFER	Concedo ASA	10.000000	\N	3810959	4460794	9999-12-31	2013-05-08
370	2009-01-01	TO	TRANSFER	Wintershall Norge ASA	70.000000	\N	3810959	5442509	9999-12-31	2013-05-08
370	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	3810959	5442509	9999-12-31	2013-05-08
370	2010-07-01	TO	TRANSFER	Wintershall Norge ASA	10.000000	\N	3810959	5442509	9999-12-31	2013-05-08
370	2011-07-31	TO	TRANSFER	North Energy ASA	10.000000	\N	3810959	18082156	9999-12-31	2013-05-08
370	2010-09-30	TO	TRANSFER	Agora Oil & Gas AS	30.000000	\N	3810959	18386322	9999-12-31	2013-05-08
370	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	40.000000	\N	3810959	21666830	9999-12-31	2013-05-08
370	2013-04-20	TO	CHANGE OF COMPANY NAME	Capricorn Norge AS	30.000000	\N	3810959	23297570	9999-12-31	2013-05-08
371 S	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	100.000000	\N	3810996	430	9999-12-31	2013-05-08
371 S	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	100.000000	\N	3810996	4524355	9999-12-31	2013-05-08
371 S	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	3810996	4511658	9999-12-31	2013-05-08
371 S	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	100.000000	\N	3810996	4524355	9999-12-31	2013-05-08
372 S	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	3811092	3431773	9999-12-31	2013-05-08
372 S	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	3811092	5442509	9999-12-31	2013-05-08
373 S	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	20.000000	\N	3811116	3431773	9999-12-31	2013-05-08
373 S	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	3811116	5442509	9999-12-31	2013-05-08
373 S	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	3811116	5442509	9999-12-31	2013-05-08
373 S	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	20.000000	\N	3811116	21666830	9999-12-31	2013-05-08
374 S	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	20.000000	\N	3811171	3431773	9999-12-31	2013-05-08
374 S	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	3811171	5442509	9999-12-31	2013-05-08
374 S	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	3811171	5442509	9999-12-31	2013-05-08
374 S	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	20.000000	\N	3811171	21666830	9999-12-31	2013-05-08
375	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	35.000000	\N	3811214	3431773	9999-12-31	2013-05-08
375	2006-03-21	FROM	CHANGE OF COMPANY NAME	Petro-Canada UK Limited	50.000000	\N	3811214	3437846	9999-12-31	2013-05-08
375	2008-01-06	FROM	TRANSFER	Premier Oil Norge AS	30.000000	\N	3811214	3482067	9999-12-31	2013-05-08
375	2011-02-28	FROM	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	65.000000	\N	3811214	3960945	9999-12-31	2013-05-08
375	2010-11-30	FROM	TRANSFER	Spring Energy Norway AS	20.000000	\N	3811214	5072514	9999-12-31	2013-05-08
375	2010-01-01	FROM	TRANSFER	Wintershall Norge ASA	15.000000	\N	3811214	5442509	9999-12-31	2013-05-08
375	2010-09-30	FROM	TRANSFER	Wintershall Norge ASA	5.000000	\N	3811214	5442509	9999-12-31	2013-05-08
375	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	15.000000	\N	3811214	5442509	9999-12-31	2013-05-08
375	2010-11-30	TO	TRANSFER	Talisman Energy Norge AS	20.000000	\N	3811214	2425093	9999-12-31	2013-05-08
375	2008-01-06	TO	TRANSFER	Revus Energy ASA	15.000000	\N	3811214	3431773	9999-12-31	2013-05-08
375	2006-03-21	TO	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	50.000000	\N	3811214	3960945	9999-12-31	2013-05-08
375	2008-01-06	TO	TRANSFER	Petro-Canada Norge AS	15.000000	\N	3811214	3960945	9999-12-31	2013-05-08
375	2010-01-01	TO	TRANSFER	Spring Energy Norway AS	15.000000	\N	3811214	5072514	9999-12-31	2013-05-08
375	2010-09-30	TO	TRANSFER	Spring Energy Norway AS	5.000000	\N	3811214	5072514	9999-12-31	2013-05-08
375	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	35.000000	\N	3811214	5442509	9999-12-31	2013-05-08
375	2011-02-28	TO	CHANGE OF COMPANY NAME	Suncor Energy Norge AS	65.000000	\N	3811214	20426420	9999-12-31	2013-05-08
375	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	15.000000	\N	3811214	21666830	9999-12-31	2013-05-08
376	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	60.000000	\N	3811255	1622484	9999-12-31	2013-05-08
376	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	20.000000	\N	3811255	1628733	9999-12-31	2013-05-08
376	2008-01-01	FROM	TRANSFER	E.ON Ruhrgas Norge AS	10.000000	\N	3811255	2840522	9999-12-31	2013-05-08
376	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	3811255	4511658	9999-12-31	2013-05-08
376	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	60.000000	\N	3811255	4511854	9999-12-31	2013-05-08
376	2008-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	10.000000	\N	3811255	4062883	9999-12-31	2013-05-08
376	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	60.000000	\N	3811255	4511658	9999-12-31	2013-05-08
376	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	60.000000	\N	3811255	4511854	9999-12-31	2013-05-08
376	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	20.000000	\N	3811255	5267845	9999-12-31	2013-05-08
376	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	3811255	17237817	9999-12-31	2013-05-08
377 S	2006-03-23	FROM	TRANSFER	Idemitsu Petroleum Norge AS	30.000000	\N	3811290	441	9999-12-31	2013-05-08
377 S	2009-10-30	FROM	TRANSFER	Idemitsu Petroleum Norge AS	20.000000	\N	3811290	441	9999-12-31	2013-05-08
377 S	2010-04-30	FROM	TRANSFER	Idemitsu Petroleum Norge AS	20.000000	\N	3811290	441	9999-12-31	2013-05-08
377 S	2007-01-01	FROM	TRANSFER	Revus Energy ASA	30.000000	\N	3811290	3431773	9999-12-31	2013-05-08
377 S	2006-03-23	TO	TRANSFER	Revus Energy ASA	30.000000	\N	3811290	3431773	9999-12-31	2013-05-08
377 S	2007-01-01	TO	TRANSFER	Bayerngas Norge AS	30.000000	\N	3811290	4444493	9999-12-31	2013-05-08
377 S	2010-04-30	TO	TRANSFER	Spring Energy Norway AS	20.000000	\N	3811290	5072514	9999-12-31	2013-05-08
377 S	2009-10-30	TO	TRANSFER	GDF SUEZ E&P Norge AS	20.000000	\N	3811290	5267845	9999-12-31	2013-05-08
378	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	40.000000	\N	3811312	3431773	9999-12-31	2013-05-08
378	2009-01-01	FROM	TRANSFER	Premier Oil Norge AS	20.000000	\N	3811312	3482067	9999-12-31	2013-05-08
378	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	20.000000	\N	3811312	3482246	9999-12-31	2013-05-08
378	2010-07-01	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	3811312	4530695	9999-12-31	2013-05-08
378	2009-12-28	FROM	TRANSFER	Spring Energy Norway AS	5.000000	\N	3811312	5072514	9999-12-31	2013-05-08
378	2010-11-30	FROM	TRANSFER	Spring Energy Norway AS	15.000000	\N	3811312	5072514	9999-12-31	2013-05-08
378	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	45.000000	\N	3811312	5442509	9999-12-31	2013-05-08
378	2010-07-01	TO	TRANSFER	Talisman Energy Norge AS	20.000000	\N	3811312	2425093	9999-12-31	2013-05-08
378	2010-11-30	TO	TRANSFER	Talisman Energy Norge AS	15.000000	\N	3811312	2425093	9999-12-31	2013-05-08
378	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	20.000000	\N	3811312	4530695	9999-12-31	2013-05-08
378	2009-01-01	TO	TRANSFER	Spring Energy Norway AS	20.000000	\N	3811312	5072514	9999-12-31	2013-05-08
378	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	3811312	5442509	9999-12-31	2013-05-08
378	2009-12-28	TO	TRANSFER	Wintershall Norge ASA	5.000000	\N	3811312	5442509	9999-12-31	2013-05-08
378	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	45.000000	\N	3811312	21666830	9999-12-31	2013-05-08
379	2007-01-01	FROM	TRANSFER	Total E&P Norge AS	40.000000	\N	3811357	2410708	9999-12-31	2013-05-08
379	2007-10-12	FROM	TRANSFER	Total E&P Norge AS	20.000000	\N	3811357	2410708	9999-12-31	2013-05-08
379	2007-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	40.000000	\N	3811357	4238233	9999-12-31	2013-05-08
379	2007-10-12	TO	TRANSFER	VNG Norge AS	20.000000	\N	3811357	17237193	9999-12-31	2013-05-08
380	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	30.000000	\N	3811381	1340609	9999-12-31	2013-05-08
380	2006-03-01	FROM	CHANGE OF COMPANY NAME	Pertra AS	70.000000	\N	3811381	3425724	9999-12-31	2013-05-08
380	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	70.000000	\N	3811381	3964368	9999-12-31	2013-05-08
380	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	3811381	4468177	9999-12-31	2013-05-08
380	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	3811381	4539976	9999-12-31	2013-05-08
380	2008-01-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	30.000000	\N	3811381	4539989	9999-12-31	2013-05-08
380	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	70.000000	\N	3811381	4539989	9999-12-31	2013-05-08
380	2006-03-01	TO	CHANGE OF COMPANY NAME	Pertra ASA	70.000000	\N	3811381	3964368	9999-12-31	2013-05-08
380	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	3811381	4468177	9999-12-31	2013-05-08
380	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	3811381	4539976	9999-12-31	2013-05-08
380	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	70.000000	\N	3811381	4539989	9999-12-31	2013-05-08
380	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	30.000000	\N	3811381	4539989	9999-12-31	2013-05-08
380	2008-01-02	TO	TRANSFER	VNG Norge AS	30.000000	\N	3811381	17237193	9999-12-31	2013-05-08
380	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	70.000000	\N	3811381	17342870	9999-12-31	2013-05-08
381	2008-01-01	FROM	TRANSFER	A/S Norske Shell	45.000000	\N	3811409	562	9999-12-31	2013-05-08
381	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	30.000000	\N	3811409	1853083	9999-12-31	2013-05-08
381	2008-01-01	TO	TRANSFER	E.ON Ruhrgas Norge AS	35.000000	\N	3811409	2840522	9999-12-31	2013-05-08
381	2008-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	10.000000	\N	3811409	4062883	9999-12-31	2013-05-08
381	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	30.000000	\N	3811409	4070011	9999-12-31	2013-05-08
382	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	20.000000	\N	3811444	3482246	9999-12-31	2013-05-08
382	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	20.000000	\N	3811444	4530695	9999-12-31	2013-05-08
383	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	50.000000	\N	3811499	1340609	9999-12-31	2013-05-08
383	2006-03-01	FROM	CHANGE OF COMPANY NAME	Pertra AS	50.000000	\N	3811499	3425724	9999-12-31	2013-05-08
383	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	50.000000	\N	3811499	3964368	9999-12-31	2013-05-08
383	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	50.000000	\N	3811499	4468177	9999-12-31	2013-05-08
383	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	50.000000	\N	3811499	4539976	9999-12-31	2013-05-08
383	2008-01-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	45.000000	\N	3811499	4539989	9999-12-31	2013-05-08
383	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	55.000000	\N	3811499	4539989	9999-12-31	2013-05-08
383	2006-03-01	TO	CHANGE OF COMPANY NAME	Pertra ASA	50.000000	\N	3811499	3964368	9999-12-31	2013-05-08
383	2008-01-02	TO	TRANSFER	Concedo ASA	15.000000	\N	3811499	4460794	9999-12-31	2013-05-08
383	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	50.000000	\N	3811499	4468177	9999-12-31	2013-05-08
383	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	50.000000	\N	3811499	4539976	9999-12-31	2013-05-08
383	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	50.000000	\N	3811499	4539989	9999-12-31	2013-05-08
383	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	50.000000	\N	3811499	4539989	9999-12-31	2013-05-08
383	2008-01-02	TO	TRANSFER	VNG Norge AS	30.000000	\N	3811499	17237193	9999-12-31	2013-05-08
383	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	55.000000	\N	3811499	17342870	9999-12-31	2013-05-08
384	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	80.000000	\N	3811564	1853083	9999-12-31	2013-05-08
384	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	80.000000	\N	3811564	4070011	9999-12-31	2013-05-08
385	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	60.000000	\N	3811602	430	9999-12-31	2013-05-08
385	2007-10-02	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	20.000000	\N	3811602	3482246	9999-12-31	2013-05-08
385	2011-07-16	FROM	MERGER/TAKEOVER	Wintershall Norge AS (old)	20.000000	\N	3811602	3482302	9999-12-31	2013-05-08
385	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	3811602	4511658	9999-12-31	2013-05-08
385	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	60.000000	\N	3811602	4524355	9999-12-31	2013-05-08
385	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	3811602	4530695	9999-12-31	2013-05-08
385	2010-04-20	FROM	CHANGE OF COMPANY NAME	North Energy AS	15.000000	\N	3811602	4706034	9999-12-31	2013-05-08
385	2011-07-31	FROM	TRANSFER	Wintershall Norge ASA	20.000000	\N	3811602	5442509	9999-12-31	2013-05-08
385	2010-01-01	FROM	TRANSFER	Statoil Petroleum AS	15.000000	\N	3811602	17237817	9999-12-31	2013-05-08
385	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	3811602	4511658	9999-12-31	2013-05-08
385	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	60.000000	\N	3811602	4524355	9999-12-31	2013-05-08
385	2007-10-02	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	20.000000	\N	3811602	4530695	9999-12-31	2013-05-08
385	2010-01-01	TO	TRANSFER	North Energy AS	15.000000	\N	3811602	4706034	9999-12-31	2013-05-08
385	2011-07-16	TO	MERGER/TAKEOVER	Wintershall Norge ASA	20.000000	\N	3811602	5442509	9999-12-31	2013-05-08
385	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	3811602	17237817	9999-12-31	2013-05-08
385	2010-04-20	TO	CHANGE OF COMPANY NAME	North Energy ASA	15.000000	\N	3811602	18082156	9999-12-31	2013-05-08
385	2011-07-31	TO	TRANSFER	North Energy ASA	20.000000	\N	3811602	18082156	9999-12-31	2013-05-08
385	2012-12-31	TO	TRANSFER	Noreco Norway AS	20.000000	\N	3811602	22223020	9999-12-31	2013-05-08
386	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	100.000000	\N	3811659	1622484	9999-12-31	2013-05-08
386	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	3811659	4511658	9999-12-31	2013-05-08
386	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	100.000000	\N	3811659	4511854	9999-12-31	2013-05-08
386	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	100.000000	\N	3811659	4511658	9999-12-31	2013-05-08
386	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	100.000000	\N	3811659	4511854	9999-12-31	2013-05-08
386	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	100.000000	\N	3811659	17237817	9999-12-31	2013-05-08
043 BS	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	21.000000	\N	3811810	1622484	9999-12-31	2013-05-08
043 BS	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	21.000000	\N	3811810	4511658	9999-12-31	2013-05-08
043 BS	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	21.000000	\N	3811810	4511854	9999-12-31	2013-05-08
043 BS	2012-01-13	FROM	TRANSFER	Statoil Petroleum AS	2.000000	\N	3811810	17237817	9999-12-31	2013-05-08
043 BS	2012-01-13	TO	TRANSFER	Total E&P Norge AS	2.000000	\N	3811810	2410708	9999-12-31	2013-05-08
043 BS	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	21.000000	\N	3811810	4511658	9999-12-31	2013-05-08
043 BS	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	21.000000	\N	3811810	4511854	9999-12-31	2013-05-08
043 BS	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	21.000000	\N	3811810	17237817	9999-12-31	2013-05-08
090 D	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	25.000000	\N	3811847	430	9999-12-31	2013-05-08
090 D	2008-01-01	FROM	TRANSFER	Mobil Development Norway AS	25.000000	\N	3811847	474	9999-12-31	2013-05-08
090 D	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	3811847	1622484	9999-12-31	2013-05-08
090 D	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	15.000000	\N	3811847	1628733	9999-12-31	2013-05-08
090 D	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	45.000000	\N	3811847	4511658	9999-12-31	2013-05-08
090 D	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	3811847	4511854	9999-12-31	2013-05-08
090 D	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	25.000000	\N	3811847	4524355	9999-12-31	2013-05-08
090 D	2008-01-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	25.000000	\N	3811847	2835212	9999-12-31	2013-05-08
090 D	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	25.000000	\N	3811847	4511658	9999-12-31	2013-05-08
090 D	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	3811847	4511658	9999-12-31	2013-05-08
090 D	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	3811847	4511854	9999-12-31	2013-05-08
090 D	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	25.000000	\N	3811847	4524355	9999-12-31	2013-05-08
090 D	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	15.000000	\N	3811847	5267845	9999-12-31	2013-05-08
090 D	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	45.000000	\N	3811847	17237817	9999-12-31	2013-05-08
091 C	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	12.000000	\N	3811888	430	9999-12-31	2013-05-08
091 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	47.100000	\N	3811888	1622484	9999-12-31	2013-05-08
091 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	12.000000	\N	3811888	4524355	9999-12-31	2013-05-08
091 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	12.000000	\N	3811888	4511658	9999-12-31	2013-05-08
091 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	47.100000	\N	3811888	4511854	9999-12-31	2013-05-08
091 C	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	12.000000	\N	3811888	4524355	9999-12-31	2013-05-08
122 D	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	3811939	1622484	9999-12-31	2013-05-08
122 D	2006-09-06	FROM	CHANGE OF COMPANY NAME	DONG Norge AS	30.000000	\N	3811939	1853083	9999-12-31	2013-05-08
122 D	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	3811939	4511658	9999-12-31	2013-05-08
122 D	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	3811939	4511854	9999-12-31	2013-05-08
122 D	2006-09-06	TO	CHANGE OF COMPANY NAME	DONG E&P Norge AS	30.000000	\N	3811939	4070011	9999-12-31	2013-05-08
122 D	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	3811939	4511658	9999-12-31	2013-05-08
122 D	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	3811939	4511854	9999-12-31	2013-05-08
122 D	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	3811939	17237817	9999-12-31	2013-05-08
134 C	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	14.000000	\N	3812006	430	9999-12-31	2013-05-08
134 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	3812006	1622484	9999-12-31	2013-05-08
134 C	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	14.000000	\N	3812006	4511658	9999-12-31	2013-05-08
134 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	64.000000	\N	3812006	4511658	9999-12-31	2013-05-08
134 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	64.000000	\N	3812006	4511854	9999-12-31	2013-05-08
134 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	14.000000	\N	3812006	4524355	9999-12-31	2013-05-08
134 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	14.000000	\N	3812006	4511658	9999-12-31	2013-05-08
134 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	64.000000	\N	3812006	4511658	9999-12-31	2013-05-08
134 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	3812006	4511854	9999-12-31	2013-05-08
134 C	2008-01-01	TO	TRANSFER	StatoilHydro ASA	14.000000	\N	3812006	4511854	9999-12-31	2013-05-08
134 C	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	14.000000	\N	3812006	4524355	9999-12-31	2013-05-08
134 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	64.000000	\N	3812006	17237817	9999-12-31	2013-05-08
195 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	3812021	430	9999-12-31	2013-05-08
195 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	3812021	4511658	9999-12-31	2013-05-08
195 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	3812021	4524355	9999-12-31	2013-05-08
195 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	3812021	4511658	9999-12-31	2013-05-08
195 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	3812021	4524355	9999-12-31	2013-05-08
195 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	3812021	17237817	9999-12-31	2013-05-08
248 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	3812058	430	9999-12-31	2013-05-08
409	2009-12-31	TO	TRANSFER	Bayerngas Norge AS	20.000000	\N	4237470	4444493	9999-12-31	2013-05-08
248 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	3812058	1622484	9999-12-31	2013-05-08
248 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	3812058	4511658	9999-12-31	2013-05-08
248 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	3812058	4511854	9999-12-31	2013-05-08
248 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	3812058	4524355	9999-12-31	2013-05-08
248 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	3812058	4511658	9999-12-31	2013-05-08
248 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	3812058	4511658	9999-12-31	2013-05-08
248 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	3812058	4511854	9999-12-31	2013-05-08
248 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	3812058	4524355	9999-12-31	2013-05-08
248 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	3812058	17237817	9999-12-31	2013-05-08
263 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	3812093	430	9999-12-31	2013-05-08
263 B	2007-06-29	FROM	TRANSFER	Det Norske Oljeselskap AS	30.000000	\N	3812093	1340609	9999-12-31	2013-05-08
263 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	3812093	1622484	9999-12-31	2013-05-08
263 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	3812093	4511658	9999-12-31	2013-05-08
263 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	3812093	4511854	9999-12-31	2013-05-08
263 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	3812093	4524355	9999-12-31	2013-05-08
263 B	2007-06-29	TO	TRANSFER	Bayerngas Norge AS	30.000000	\N	3812093	4444493	9999-12-31	2013-05-08
263 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	3812093	4511658	9999-12-31	2013-05-08
263 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	3812093	4511658	9999-12-31	2013-05-08
263 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	3812093	4511854	9999-12-31	2013-05-08
263 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	3812093	4524355	9999-12-31	2013-05-08
263 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	3812093	17237817	9999-12-31	2013-05-08
277 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.000000	\N	3812131	430	9999-12-31	2013-05-08
277 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	61.000000	\N	3812131	1622484	9999-12-31	2013-05-08
277 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	3812131	4511658	9999-12-31	2013-05-08
277 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	61.000000	\N	3812131	4511854	9999-12-31	2013-05-08
277 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.000000	\N	3812131	4524355	9999-12-31	2013-05-08
277 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.000000	\N	3812131	4511658	9999-12-31	2013-05-08
277 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	61.000000	\N	3812131	4511658	9999-12-31	2013-05-08
277 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	61.000000	\N	3812131	4511854	9999-12-31	2013-05-08
277 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.000000	\N	3812131	4524355	9999-12-31	2013-05-08
277 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	3812131	17237817	9999-12-31	2013-05-08
355	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	3812175	430	9999-12-31	2013-05-08
355	2006-01-26	FROM	CHANGE OF COMPANY NAME	Maersk Oil Norway AS (old1)	40.000000	\N	3812175	2824954	9999-12-31	2013-05-08
355	2008-02-01	FROM	TRANSFER	Wintershall Norge AS (old)	20.000000	\N	3812175	3482302	9999-12-31	2013-05-08
355	2007-10-02	FROM	CHANGE OF COMPANY NAME	Maersk Oil Exploration Norway AS	40.000000	\N	3812175	3960933	9999-12-31	2013-05-08
355	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	3812175	4511658	9999-12-31	2013-05-08
355	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	3812175	4524355	9999-12-31	2013-05-08
355	2006-01-26	TO	CHANGE OF COMPANY NAME	Maersk Oil Exploration Norway AS	40.000000	\N	3812175	3960933	9999-12-31	2013-05-08
355	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	3812175	4511658	9999-12-31	2013-05-08
355	2008-02-01	TO	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	3812175	4511658	9999-12-31	2013-05-08
355	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	3812175	4524355	9999-12-31	2013-05-08
355	2007-10-02	TO	CHANGE OF COMPANY NAME	Maersk Oil Norway AS	40.000000	\N	3812175	4719674	9999-12-31	2013-05-08
355	2008-02-01	TO	TRANSFER	Maersk Oil Norway AS	10.000000	\N	3812175	4719674	9999-12-31	2013-05-08
355	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	3812175	17237817	9999-12-31	2013-05-08
091 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	12.000000	\N	3812205	430	9999-12-31	2013-05-08
091 B	2008-01-02	FROM	TRANSFER	Mobil Development Norway AS	33.000000	\N	3812205	474	9999-12-31	2013-05-08
091 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	47.100000	\N	3812205	1622484	9999-12-31	2013-05-08
091 B	2008-01-01	FROM	TRANSFER	StatoilHydro Petroleum AS	12.000000	\N	3812205	4511658	9999-12-31	2013-05-08
091 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	59.100000	\N	3812205	4511854	9999-12-31	2013-05-08
091 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	12.000000	\N	3812205	4524355	9999-12-31	2013-05-08
091 B	2008-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	33.000000	\N	3812205	2835212	9999-12-31	2013-05-08
091 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	12.000000	\N	3812205	4511658	9999-12-31	2013-05-08
091 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	59.100000	\N	3812205	4511658	9999-12-31	2013-05-08
091 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	47.100000	\N	3812205	4511854	9999-12-31	2013-05-08
091 B	2008-01-01	TO	TRANSFER	StatoilHydro ASA	12.000000	\N	3812205	4511854	9999-12-31	2013-05-08
091 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	12.000000	\N	3812205	4524355	9999-12-31	2013-05-08
387	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	30.000000	\N	3964986	1340609	9999-12-31	2013-05-08
387	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	3964986	4468177	9999-12-31	2013-05-08
387	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	3964986	4539976	9999-12-31	2013-05-08
387	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	3964986	4468177	9999-12-31	2013-05-08
387	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	3964986	4539976	9999-12-31	2013-05-08
387	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	30.000000	\N	3964986	4539989	9999-12-31	2013-05-08
388	2008-01-01	FROM	TRANSFER	BG Norge AS	20.000000	\N	3965088	2747354	9999-12-31	2013-05-08
388	2008-01-02	FROM	TRANSFER	BG Norge AS	10.000000	\N	3965088	2747354	9999-12-31	2013-05-08
388	2008-01-03	FROM	TRANSFER	BG Norge AS	20.000000	\N	3965088	2747354	9999-12-31	2013-05-08
388	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	10.000000	\N	3965088	4511658	9999-12-31	2013-05-08
388	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	10.000000	\N	3965088	4511854	9999-12-31	2013-05-08
388	2008-01-01	TO	TRANSFER	E.ON Ruhrgas Norge AS	20.000000	\N	3965088	2840522	9999-12-31	2013-05-08
388	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	3965088	4511658	9999-12-31	2013-05-08
388	2008-01-02	TO	TRANSFER	StatoilHydro ASA	10.000000	\N	3965088	4511854	9999-12-31	2013-05-08
388	2008-01-03	TO	TRANSFER	Spring Energy Norway AS	20.000000	\N	3965088	5072514	9999-12-31	2013-05-08
388	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	10.000000	\N	3965088	17237817	9999-12-31	2013-05-08
389	2007-01-01	FROM	TRANSFER	Total E&P Norge AS	40.000000	\N	3965128	2410708	9999-12-31	2013-05-08
389	2007-10-12	FROM	TRANSFER	Total E&P Norge AS	20.000000	\N	3965128	2410708	9999-12-31	2013-05-08
389	2007-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	40.000000	\N	3965128	4238233	9999-12-31	2013-05-08
389	2007-10-12	TO	TRANSFER	VNG Norge AS	20.000000	\N	3965128	17237193	9999-12-31	2013-05-08
391	2006-06-26	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	20.000000	\N	3965194	67	9999-12-31	2013-05-08
391	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	20.000000	\N	3965194	3482246	9999-12-31	2013-05-08
391	2006-06-26	TO	CHANGE OF COMPANY NAME	Hess Norge AS	20.000000	\N	3965194	4038735	9999-12-31	2013-05-08
391	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	20.000000	\N	3965194	4530695	9999-12-31	2013-05-08
392	2010-01-01	FROM	TRANSFER	A/S Norske Shell	10.000000	\N	3965222	562	9999-12-31	2013-05-08
392	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	3965222	1622484	9999-12-31	2013-05-08
392	2007-11-21	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	20.000000	\N	3965222	2399056	9999-12-31	2013-05-08
392	2010-11-01	FROM	TRANSFER	BG Norge AS	10.000000	\N	3965222	2747354	9999-12-31	2013-05-08
392	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	3965222	4511658	9999-12-31	2013-05-08
392	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	3965222	4511854	9999-12-31	2013-05-08
392	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	10.000000	\N	3965222	17342915	9999-12-31	2013-05-08
392	2007-11-21	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	20.000000	\N	3965222	2410696	9999-12-31	2013-05-08
392	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	3965222	4511658	9999-12-31	2013-05-08
392	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	3965222	4511854	9999-12-31	2013-05-08
392	2010-11-01	TO	TRANSFER	Norwegian Energy Company ASA	10.000000	\N	3965222	4530695	9999-12-31	2013-05-08
392	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	3965222	17237817	9999-12-31	2013-05-08
392	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	10.000000	\N	3965222	17342870	9999-12-31	2013-05-08
392	2010-01-01	TO	TRANSFER	Det norske oljeselskap AS	10.000000	\N	3965222	17342915	9999-12-31	2013-05-08
393	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	30.000000	\N	3965277	430	9999-12-31	2013-05-08
393	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	3965277	4511658	9999-12-31	2013-05-08
393	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	30.000000	\N	3965277	4524355	9999-12-31	2013-05-08
393	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	3965277	4511658	9999-12-31	2013-05-08
393	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	30.000000	\N	3965277	4524355	9999-12-31	2013-05-08
393	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	3965277	17237817	9999-12-31	2013-05-08
394	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	3965323	430	9999-12-31	2013-05-08
394	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	25.000000	\N	3965323	1622484	9999-12-31	2013-05-08
394	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	20.000000	\N	3965323	1628733	9999-12-31	2013-05-08
394	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	65.000000	\N	3965323	4511658	9999-12-31	2013-05-08
394	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	25.000000	\N	3965323	4511854	9999-12-31	2013-05-08
394	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	3965323	4524355	9999-12-31	2013-05-08
394	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	3965323	4511658	9999-12-31	2013-05-08
394	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	25.000000	\N	3965323	4511658	9999-12-31	2013-05-08
394	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	25.000000	\N	3965323	4511854	9999-12-31	2013-05-08
394	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	3965323	4524355	9999-12-31	2013-05-08
394	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	20.000000	\N	3965323	5267845	9999-12-31	2013-05-08
394	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	65.000000	\N	3965323	17237817	9999-12-31	2013-05-08
395	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	50.000000	\N	3965360	1622484	9999-12-31	2013-05-08
395	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	3965360	4511658	9999-12-31	2013-05-08
395	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	3965360	4511854	9999-12-31	2013-05-08
395	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	3965360	4511658	9999-12-31	2013-05-08
395	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	50.000000	\N	3965360	4511854	9999-12-31	2013-05-08
395	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	3965360	17237817	9999-12-31	2013-05-08
396	2010-01-28	FROM	TRANSFER	BG Norge AS	70.000000	\N	3965404	2747354	9999-12-31	2013-05-08
396	2010-02-01	FROM	TRANSFER	Discover Petroleum AS	50.000000	\N	3965404	3500333	9999-12-31	2013-05-08
396	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	30.000000	\N	3965404	3500333	9999-12-31	2013-05-08
396	2010-01-28	TO	TRANSFER	Discover Petroleum AS	70.000000	\N	3965404	3500333	9999-12-31	2013-05-08
396	2010-02-01	TO	TRANSFER	Norwegian Energy Company ASA	50.000000	\N	3965404	4530695	9999-12-31	2013-05-08
396	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	30.000000	\N	3965404	18108745	9999-12-31	2013-05-08
397	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	40.000000	\N	3965439	1622484	9999-12-31	2013-05-08
397	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	3965439	4511658	9999-12-31	2013-05-08
397	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.000000	\N	3965439	4511854	9999-12-31	2013-05-08
397	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.000000	\N	3965439	4511658	9999-12-31	2013-05-08
397	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	40.000000	\N	3965439	4511854	9999-12-31	2013-05-08
397	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	3965439	17237817	9999-12-31	2013-05-08
110 C	2006-06-26	FROM	CHANGE OF COMPANY NAME	Amerada Hess Norge AS	3.260000	\N	3986340	67	9999-12-31	2013-05-08
110 C	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	33.530000	\N	3986340	1622484	9999-12-31	2013-05-08
110 C	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	12.000000	\N	3986340	1628733	9999-12-31	2013-05-08
110 C	2011-01-01	FROM	TRANSFER	Hess Norge AS	3.260000	\N	3986340	4038735	9999-12-31	2013-05-08
110 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	33.530000	\N	3986340	4511658	9999-12-31	2013-05-08
110 C	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	33.530000	\N	3986340	4511854	9999-12-31	2013-05-08
110 C	2006-06-26	TO	CHANGE OF COMPANY NAME	Hess Norge AS	3.260000	\N	3986340	4038735	9999-12-31	2013-05-08
110 C	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	33.530000	\N	3986340	4511658	9999-12-31	2013-05-08
110 C	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	33.530000	\N	3986340	4511854	9999-12-31	2013-05-08
110 C	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	12.000000	\N	3986340	5267845	9999-12-31	2013-05-08
110 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	33.530000	\N	3986340	17237817	9999-12-31	2013-05-08
110 C	2011-01-01	TO	TRANSFER	Statoil Petroleum AS	3.260000	\N	3986340	17237817	9999-12-31	2013-05-08
372 BS	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	3987486	3431773	9999-12-31	2013-05-08
372 BS	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	3987486	5442509	9999-12-31	2013-05-08
046 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.400000	\N	4227611	430	9999-12-31	2013-05-08
046 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	52.600000	\N	4227611	1622484	9999-12-31	2013-05-08
046 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	62.000000	\N	4227611	4511658	9999-12-31	2013-05-08
046 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	52.600000	\N	4227611	4511854	9999-12-31	2013-05-08
046 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.400000	\N	4227611	4524355	9999-12-31	2013-05-08
046 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.400000	\N	4227611	4511658	9999-12-31	2013-05-08
046 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	52.600000	\N	4227611	4511658	9999-12-31	2013-05-08
046 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	52.600000	\N	4227611	4511854	9999-12-31	2013-05-08
046 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.400000	\N	4227611	4524355	9999-12-31	2013-05-08
046 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	62.000000	\N	4227611	17237817	9999-12-31	2013-05-08
046 BS	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	10.000000	\N	4227659	430	9999-12-31	2013-05-08
046 BS	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	49.600000	\N	4227659	1622484	9999-12-31	2013-05-08
046 BS	2006-11-29	FROM	TRANSFER	Total E&P Norge AS	10.000000	\N	4227659	2410708	9999-12-31	2013-05-08
046 BS	2009-01-21	FROM	CHANGE OF COMPANY NAME	PA Resources Norway AS	10.000000	\N	4227659	3986418	9999-12-31	2013-05-08
046 BS	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	59.600000	\N	4227659	4511658	9999-12-31	2013-05-08
046 BS	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	49.600000	\N	4227659	4511854	9999-12-31	2013-05-08
046 BS	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	10.000000	\N	4227659	4524355	9999-12-31	2013-05-08
046 BS	2009-03-23	FROM	TRANSFER	Bayerngas Produksjon Norge AS	10.000000	\N	4227659	5461974	9999-12-31	2013-05-08
046 BS	2006-11-29	TO	TRANSFER	PA Resources Norway AS	10.000000	\N	4227659	3986418	9999-12-31	2013-05-08
046 BS	2009-03-23	TO	TRANSFER	Bayerngas Norge AS	10.000000	\N	4227659	4444493	9999-12-31	2013-05-08
046 BS	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	10.000000	\N	4227659	4511658	9999-12-31	2013-05-08
046 BS	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	49.600000	\N	4227659	4511658	9999-12-31	2013-05-08
046 BS	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	49.600000	\N	4227659	4511854	9999-12-31	2013-05-08
046 BS	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	10.000000	\N	4227659	4524355	9999-12-31	2013-05-08
046 BS	2009-01-21	TO	CHANGE OF COMPANY NAME	Bayerngas Produksjon Norge AS	10.000000	\N	4227659	5461974	9999-12-31	2013-05-08
046 BS	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	59.600000	\N	4227659	17237817	9999-12-31	2013-05-08
354 B	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	65.000000	\N	4237131	3113213	9999-12-31	2013-05-08
354 B	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	35.000000	\N	4237131	3431773	9999-12-31	2013-05-08
354 B	2009-01-01	FROM	TRANSFER	Petro-Canada Norge AS	30.000000	\N	4237131	3960945	9999-12-31	2013-05-08
354 B	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	65.000000	\N	4237131	5497155	9999-12-31	2013-05-08
354 B	2009-01-01	TO	TRANSFER	Endeavour Energy Norge AS	15.000000	\N	4237131	3113213	9999-12-31	2013-05-08
354 B	2009-01-01	TO	TRANSFER	Revus Energy ASA	15.000000	\N	4237131	3431773	9999-12-31	2013-05-08
354 B	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	35.000000	\N	4237131	5442509	9999-12-31	2013-05-08
354 B	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	65.000000	\N	4237131	5497155	9999-12-31	2013-05-08
354 B	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	65.000000	\N	4237131	17237193	9999-12-31	2013-05-08
440 S	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	30.000000	\N	4237161	1340609	9999-12-31	2013-05-08
440 S	2007-06-16	FROM	TRANSFER	Lundin Norway AS	12.000000	\N	4237161	2767314	9999-12-31	2013-05-08
440 S	2007-08-10	FROM	MERGER/TAKEOVER	Ener Petroleum ASA	20.000000	\N	4237161	3482290	9999-12-31	2013-05-08
440 S	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	4237161	4468177	9999-12-31	2013-05-08
440 S	2007-10-04	FROM	CHANGE OF COMPANY NAME	Dana Petroleum Norway ASA	20.000000	\N	4237161	4510514	9999-12-31	2013-05-08
440 S	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	12.000000	\N	4237161	4530695	9999-12-31	2013-05-08
440 S	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	4237161	4539976	9999-12-31	2013-05-08
440 S	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	30.000000	\N	4237161	4539989	9999-12-31	2013-05-08
440 S	2010-01-01	FROM	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	4237161	17342870	9999-12-31	2013-05-08
440 S	2010-01-01	TO	TRANSFER	Faroe Petroleum Norge AS	20.000000	\N	4237161	4062883	9999-12-31	2013-05-08
440 S	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	4237161	4468177	9999-12-31	2013-05-08
440 S	2007-08-10	TO	MERGER/TAKEOVER	Dana Petroleum Norway ASA	20.000000	\N	4237161	4510514	9999-12-31	2013-05-08
440 S	2007-10-04	TO	CHANGE OF COMPANY NAME	Dana Petroleum Norway AS	20.000000	\N	4237161	4526555	9999-12-31	2013-05-08
440 S	2007-06-16	TO	TRANSFER	Norwegian Energy Company ASA	12.000000	\N	4237161	4530695	9999-12-31	2013-05-08
440 S	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	4237161	4539976	9999-12-31	2013-05-08
440 S	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	30.000000	\N	4237161	4539989	9999-12-31	2013-05-08
440 S	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	30.000000	\N	4237161	17342870	9999-12-31	2013-05-08
440 S	2012-12-31	TO	TRANSFER	Noreco Norway AS	12.000000	\N	4237161	22223020	9999-12-31	2013-05-08
398 S	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	30.000000	\N	4237177	3482246	9999-12-31	2013-05-08
398 S	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	30.000000	\N	4237177	4530695	9999-12-31	2013-05-08
404	2009-09-30	FROM	TRANSFER	ConocoPhillips Skandinavia AS	30.000000	\N	4237207	2410696	9999-12-31	2013-05-08
404	2009-09-30	TO	TRANSFER	Bayerngas Norge AS	30.000000	\N	4237207	4444493	9999-12-31	2013-05-08
401	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	70.000000	\N	4237219	1622484	9999-12-31	2013-05-08
401	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	4237219	4511658	9999-12-31	2013-05-08
401	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	70.000000	\N	4237219	4511854	9999-12-31	2013-05-08
401	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	70.000000	\N	4237219	4511658	9999-12-31	2013-05-08
401	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	70.000000	\N	4237219	4511854	9999-12-31	2013-05-08
401	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	4237219	17237817	9999-12-31	2013-05-08
400	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	30.000000	\N	4237242	3482246	9999-12-31	2013-05-08
400	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	30.000000	\N	4237242	4530695	9999-12-31	2013-05-08
411	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	100.000000	\N	4237252	3482246	9999-12-31	2013-05-08
411	2008-01-01	FROM	TRANSFER	Norwegian Energy Company ASA	30.000000	\N	4237252	4530695	9999-12-31	2013-05-08
411	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	100.000000	\N	4237252	4530695	9999-12-31	2013-05-08
411	2008-01-01	TO	TRANSFER	Spring Energy Norway AS	30.000000	\N	4237252	5072514	9999-12-31	2013-05-08
441	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	60.000000	\N	4237270	1340609	9999-12-31	2013-05-08
441	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	60.000000	\N	4237270	4468177	9999-12-31	2013-05-08
441	2008-05-14	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	60.000000	\N	4237270	4539976	9999-12-31	2013-05-08
441	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	60.000000	\N	4237270	4468177	9999-12-31	2013-05-08
441	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	60.000000	\N	4237270	4539976	9999-12-31	2013-05-08
441	2008-05-14	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	60.000000	\N	4237270	4539989	9999-12-31	2013-05-08
405	2011-02-28	FROM	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	30.000000	\N	4237284	3960945	9999-12-31	2013-05-08
405	2009-01-01	FROM	TRANSFER	Faroe Petroleum Norge AS	15.000000	\N	4237284	4062883	9999-12-31	2013-05-08
405	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	15.000000	\N	4237284	5072514	9999-12-31	2013-05-08
405	2009-01-01	TO	TRANSFER	Spring Energy Norway AS	15.000000	\N	4237284	5072514	9999-12-31	2013-05-08
405	2011-02-28	TO	CHANGE OF COMPANY NAME	Suncor Energy Norge AS	30.000000	\N	4237284	20426420	9999-12-31	2013-05-08
405	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	15.000000	\N	4237284	23173852	9999-12-31	2013-05-08
407	2007-02-20	FROM	CHANGE OF COMPANY NAME	Noble Energy Limited	20.000000	\N	4237300	3262354	9999-12-31	2013-05-08
407	2008-01-01	FROM	TRANSFER	Serica Energy (UK) Ltd	20.000000	\N	4237300	4062969	9999-12-31	2013-05-08
407	2008-06-20	FROM	TRANSFER	Noble Energy Norge AS	20.000000	\N	4237300	4393186	9999-12-31	2013-05-08
407	2010-04-21	FROM	TRANSFER	Skeie Energy AS (Old)	20.000000	\N	4237300	4511646	9999-12-31	2013-05-08
407	2009-01-06	FROM	CHANGE OF COMPANY NAME	Serica Energy Norge AS	20.000000	\N	4237300	4719815	9999-12-31	2013-05-08
407	2011-01-03	FROM	CHANGE OF COMPANY NAME	Skeie Oil & Gas AS	20.000000	\N	4237300	4998977	9999-12-31	2013-05-08
407	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Exploration AS	20.000000	\N	4237300	5446425	9999-12-31	2013-05-08
407	2012-01-01	FROM	TRANSFER	Skeie Energy AS	20.000000	\N	4237300	23286115	9999-12-31	2013-05-08
407	2012-01-01	TO	TRANSFER	Premier Oil Norge AS	20.000000	\N	4237300	3482067	9999-12-31	2013-05-08
407	2007-02-20	TO	CHANGE OF COMPANY NAME	Noble Energy Norge AS	20.000000	\N	4237300	4393186	9999-12-31	2013-05-08
407	2008-06-20	TO	TRANSFER	Skeie Energy AS (Old)	20.000000	\N	4237300	4511646	2013-03-19	2013-05-08
407	2008-01-01	TO	TRANSFER	Serica Energy Norge AS	20.000000	\N	4237300	4719815	9999-12-31	2013-05-08
407	2010-04-21	TO	TRANSFER	Skeie Oil & Gas AS	20.000000	\N	4237300	4998977	9999-12-31	2013-05-08
407	2009-01-06	TO	CHANGE OF COMPANY NAME	Spring Energy Exploration AS	20.000000	\N	4237300	5446425	9999-12-31	2013-05-08
407	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil (Bream) Norge AS	20.000000	\N	4237300	23173840	9999-12-31	2013-05-08
407	2011-01-03	TO	CHANGE OF COMPANY NAME	Skeie Energy AS	20.000000	\N	4237300	23286115	9999-12-31	2013-05-08
406	2007-02-20	FROM	CHANGE OF COMPANY NAME	Noble Energy Limited	40.000000	\N	4237318	3262354	9999-12-31	2013-05-08
406	2008-01-01	FROM	TRANSFER	Serica Energy (UK) Ltd	20.000000	\N	4237318	4062969	9999-12-31	2013-05-08
406	2008-06-20	FROM	TRANSFER	Noble Energy Norge AS	40.000000	\N	4237318	4393186	9999-12-31	2013-05-08
406	2010-04-21	FROM	TRANSFER	Skeie Energy AS (Old)	40.000000	\N	4237318	4511646	9999-12-31	2013-05-08
406	2009-01-06	FROM	CHANGE OF COMPANY NAME	Serica Energy Norge AS	20.000000	\N	4237318	4719815	9999-12-31	2013-05-08
406	2011-01-03	FROM	CHANGE OF COMPANY NAME	Skeie Oil & Gas AS	40.000000	\N	4237318	4998977	9999-12-31	2013-05-08
406	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Exploration AS	20.000000	\N	4237318	5446425	9999-12-31	2013-05-08
406	2012-01-01	FROM	TRANSFER	Skeie Energy AS	40.000000	\N	4237318	23286115	9999-12-31	2013-05-08
406	2012-01-01	TO	TRANSFER	Premier Oil Norge AS	40.000000	\N	4237318	3482067	9999-12-31	2013-05-08
406	2007-02-20	TO	CHANGE OF COMPANY NAME	Noble Energy Norge AS	40.000000	\N	4237318	4393186	9999-12-31	2013-05-08
406	2008-06-20	TO	TRANSFER	Skeie Energy AS (Old)	40.000000	\N	4237318	4511646	2013-03-19	2013-05-08
406	2008-01-01	TO	TRANSFER	Serica Energy Norge AS	20.000000	\N	4237318	4719815	9999-12-31	2013-05-08
406	2010-04-21	TO	TRANSFER	Skeie Oil & Gas AS	40.000000	\N	4237318	4998977	9999-12-31	2013-05-08
406	2009-01-06	TO	CHANGE OF COMPANY NAME	Spring Energy Exploration AS	20.000000	\N	4237318	5446425	9999-12-31	2013-05-08
406	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil (Bream) Norge AS	20.000000	\N	4237318	23173840	9999-12-31	2013-05-08
406	2011-01-03	TO	CHANGE OF COMPANY NAME	Skeie Energy AS	40.000000	\N	4237318	23286115	9999-12-31	2013-05-08
316 B	2009-01-01	FROM	TRANSFER	Talisman Energy Norge AS	10.000000	\N	4237334	2425093	9999-12-31	2013-05-08
316 B	2008-01-01	FROM	TRANSFER	Revus Energy ASA	10.000000	\N	4237334	3431773	9999-12-31	2013-05-08
316 B	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	10.000000	\N	4237334	3431773	9999-12-31	2013-05-08
316 B	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	10.000000	\N	4237334	3964368	9999-12-31	2013-05-08
316 B	2008-01-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	10.000000	\N	4237334	4539989	9999-12-31	2013-05-08
316 B	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	10.000000	\N	4237334	5442509	9999-12-31	2013-05-08
316 B	2009-01-01	TO	TRANSFER	Norske AEDC A/S	10.000000	\N	4237334	34	9999-12-31	2013-05-08
316 B	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	10.000000	\N	4237334	4539989	9999-12-31	2013-05-08
316 B	2008-01-01	TO	TRANSFER	Lotos Exploration and Production Norge AS	10.000000	\N	4237334	5064434	9999-12-31	2013-05-08
316 B	2008-01-02	TO	TRANSFER	Lotos Exploration and Production Norge AS	10.000000	\N	4237334	5064434	9999-12-31	2013-05-08
316 B	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	10.000000	\N	4237334	5442509	9999-12-31	2013-05-08
316 B	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	10.000000	\N	4237334	21666830	9999-12-31	2013-05-08
408	2007-02-17	FROM	CHANGE OF COMPANY NAME	Altinex Oil AS	30.000000	\N	4237444	2835200	9999-12-31	2013-05-08
408	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	70.000000	\N	4237444	3964368	9999-12-31	2013-05-08
408	2009-02-16	FROM	TRANSFER	Altinex Oil Norway AS	30.000000	\N	4237444	4446230	9999-12-31	2013-05-08
408	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	100.000000	\N	4237444	4539989	9999-12-31	2013-05-08
408	2007-02-17	TO	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	30.000000	\N	4237444	4446230	9999-12-31	2013-05-08
408	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	70.000000	\N	4237444	4539989	9999-12-31	2013-05-08
408	2009-02-16	TO	TRANSFER	Det norske oljeselskap ASA (old)	30.000000	\N	4237444	4539989	9999-12-31	2013-05-08
408	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	100.000000	\N	4237444	17342870	9999-12-31	2013-05-08
410	2009-01-01	FROM	TRANSFER	Lundin Norway AS	30.000000	\N	4237458	2767314	9999-12-31	2013-05-08
410	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	4237458	4511658	9999-12-31	2013-05-08
410	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	4237458	4511658	9999-12-31	2013-05-08
410	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	4237458	17237817	9999-12-31	2013-05-08
409	2009-01-01	FROM	TRANSFER	Lundin Norway AS	10.000000	\N	4237470	2767314	9999-12-31	2013-05-08
409	2009-12-31	FROM	TRANSFER	Lundin Norway AS	20.000000	\N	4237470	2767314	9999-12-31	2013-05-08
409	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	10.000000	\N	4237470	4511658	9999-12-31	2013-05-08
409	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	4237470	4511658	9999-12-31	2013-05-08
409	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	10.000000	\N	4237470	17237817	9999-12-31	2013-05-08
413	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	30.000000	\N	4237482	3113213	9999-12-31	2013-05-08
413	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	30.000000	\N	4237482	5497155	9999-12-31	2013-05-08
413	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	30.000000	\N	4237482	5497155	9999-12-31	2013-05-08
413	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	30.000000	\N	4237482	17237193	9999-12-31	2013-05-08
415	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	100.000000	\N	4237498	4524355	9999-12-31	2013-05-08
415	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	4237498	4511658	9999-12-31	2013-05-08
442	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	20.000000	\N	4237510	1340609	9999-12-31	2013-05-08
442	2009-01-01	FROM	TRANSFER	Altinex Oil Norway AS	20.000000	\N	4237510	4446230	9999-12-31	2013-05-08
442	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	20.000000	\N	4237510	4468177	9999-12-31	2013-05-08
442	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	4237510	4511658	9999-12-31	2013-05-08
442	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	4237510	4524355	9999-12-31	2013-05-08
442	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	20.000000	\N	4237510	4539976	9999-12-31	2013-05-08
442	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	20.000000	\N	4237510	4539989	9999-12-31	2013-05-08
442	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	40.000000	\N	4237510	17237817	9999-12-31	2013-05-08
442	2009-01-01	TO	TRANSFER	Svenska Petroleum Exploration AS	20.000000	\N	4237510	738	9999-12-31	2013-05-08
442	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	40.000000	\N	4237510	4238233	9999-12-31	2013-05-08
442	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	20.000000	\N	4237510	4468177	9999-12-31	2013-05-08
442	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	4237510	4511658	9999-12-31	2013-05-08
442	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	20.000000	\N	4237510	4539976	9999-12-31	2013-05-08
442	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	20.000000	\N	4237510	4539989	9999-12-31	2013-05-08
442	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	4237510	17237817	9999-12-31	2013-05-08
442	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	20.000000	\N	4237510	17342870	9999-12-31	2013-05-08
414	2007-11-17	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	20.000000	\N	4237582	3482246	9999-12-31	2013-05-08
414	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	40.000000	\N	4237582	3964368	9999-12-31	2013-05-08
414	2009-01-21	FROM	CHANGE OF COMPANY NAME	PA Resources Norway AS	20.000000	\N	4237582	3986418	9999-12-31	2013-05-08
414	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	4237582	4530695	9999-12-31	2013-05-08
414	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	40.000000	\N	4237582	4539989	9999-12-31	2013-05-08
414	2009-03-23	FROM	TRANSFER	Bayerngas Produksjon Norge AS	20.000000	\N	4237582	5461974	9999-12-31	2013-05-08
414	2009-03-23	TO	TRANSFER	Bayerngas Norge AS	20.000000	\N	4237582	4444493	9999-12-31	2013-05-08
414	2007-11-17	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	20.000000	\N	4237582	4530695	9999-12-31	2013-05-08
414	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	40.000000	\N	4237582	4539989	9999-12-31	2013-05-08
414	2009-01-21	TO	CHANGE OF COMPANY NAME	Bayerngas Produksjon Norge AS	20.000000	\N	4237582	5461974	9999-12-31	2013-05-08
414	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	40.000000	\N	4237582	17342870	9999-12-31	2013-05-08
414	2012-12-31	TO	TRANSFER	Noreco Norway AS	20.000000	\N	4237582	22223020	9999-12-31	2013-05-08
412	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	30.000000	\N	4237612	3113213	9999-12-31	2013-05-08
412	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	40.000000	\N	4237612	3482246	9999-12-31	2013-05-08
412	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	30.000000	\N	4237612	5497155	9999-12-31	2013-05-08
412	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	40.000000	\N	4237612	4530695	9999-12-31	2013-05-08
412	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	30.000000	\N	4237612	5497155	9999-12-31	2013-05-08
412	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	30.000000	\N	4237612	17237193	9999-12-31	2013-05-08
417	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	40.000000	\N	4237645	3431773	9999-12-31	2013-05-08
417	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	20.000000	\N	4237645	3482246	9999-12-31	2013-05-08
417	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	20.000000	\N	4237645	4530695	9999-12-31	2013-05-08
417	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	4237645	5442509	9999-12-31	2013-05-08
416	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	50.000000	\N	4237675	2840522	9999-12-31	2013-05-08
416	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	15.000000	\N	4237675	4460425	9999-12-31	2013-05-08
416	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	15.000000	\N	4237675	17342915	9999-12-31	2013-05-08
416	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	15.000000	\N	4237675	17342870	9999-12-31	2013-05-08
416	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	15.000000	\N	4237675	17342915	9999-12-31	2013-05-08
416	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	50.000000	\N	4237675	21631209	9999-12-31	2013-05-08
423 S	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	25.000000	\N	4237691	1622484	9999-12-31	2013-05-08
423 S	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	30.000000	\N	4237691	1628733	9999-12-31	2013-05-08
423 S	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	25.000000	\N	4237691	4511658	9999-12-31	2013-05-08
423 S	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	25.000000	\N	4237691	4511854	9999-12-31	2013-05-08
423 S	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	25.000000	\N	4237691	4511658	9999-12-31	2013-05-08
423 S	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	25.000000	\N	4237691	4511854	9999-12-31	2013-05-08
423 S	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	30.000000	\N	4237691	5267845	9999-12-31	2013-05-08
423 S	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	25.000000	\N	4237691	17237817	9999-12-31	2013-05-08
445	2007-09-22	FROM	CHANGE OF COMPANY NAME	Maersk Oil Exploration Norway AS	30.000000	\N	4237722	3960933	9999-12-31	2013-05-08
445	2007-09-22	TO	CHANGE OF COMPANY NAME	Maersk Oil Norway AS	30.000000	\N	4237722	4719674	9999-12-31	2013-05-08
424	2007-02-17	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	40.000000	\N	4237756	2399056	9999-12-31	2013-05-08
424	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	20.000000	\N	4237756	3431773	9999-12-31	2013-05-08
424	2007-02-17	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	40.000000	\N	4237756	2410696	9999-12-31	2013-05-08
424	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	4237756	5442509	9999-12-31	2013-05-08
425 S	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	40.000000	\N	4237783	3431773	9999-12-31	2013-05-08
425 S	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	4237783	5442509	9999-12-31	2013-05-08
427 S	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	100.000000	\N	4237809	4524355	9999-12-31	2013-05-08
427 S	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	4237809	4511658	9999-12-31	2013-05-08
443	2007-09-22	FROM	CHANGE OF COMPANY NAME	Maersk Oil Exploration Norway AS	35.000000	\N	4237831	3960933	9999-12-31	2013-05-08
443	2007-09-22	TO	CHANGE OF COMPANY NAME	Maersk Oil Norway AS	35.000000	\N	4237831	4719674	9999-12-31	2013-05-08
444	2007-09-22	FROM	CHANGE OF COMPANY NAME	Maersk Oil Exploration Norway AS	20.000000	\N	4237881	3960933	9999-12-31	2013-05-08
444	2010-07-06	FROM	MERGER/TAKEOVER	Genesis Petroleum Norway AS	20.000000	\N	4237881	4062957	9999-12-31	2013-05-08
444	2010-07-06	TO	MERGER/TAKEOVER	Bayerngas Norge AS	20.000000	\N	4237881	4444493	9999-12-31	2013-05-08
444	2007-09-22	TO	CHANGE OF COMPANY NAME	Maersk Oil Norway AS	20.000000	\N	4237881	4719674	9999-12-31	2013-05-08
050 D	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	61.000000	\N	4237912	1622484	9999-12-31	2013-05-08
050 D	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	4237912	4511658	9999-12-31	2013-05-08
050 D	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	61.000000	\N	4237912	4511854	9999-12-31	2013-05-08
050 D	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.000000	\N	4237912	4524355	9999-12-31	2013-05-08
050 D	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.000000	\N	4237912	4511658	9999-12-31	2013-05-08
050 D	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	61.000000	\N	4237912	4511658	9999-12-31	2013-05-08
050 D	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	61.000000	\N	4237912	4511854	9999-12-31	2013-05-08
050 D	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	4237912	17237817	9999-12-31	2013-05-08
426	2007-07-01	FROM	TRANSFER	Endeavour Energy Norge AS	15.000000	\N	4238116	3113213	9999-12-31	2013-05-08
426	2007-10-12	FROM	TRANSFER	Endeavour Energy Norge AS	20.000000	\N	4238116	3113213	9999-12-31	2013-05-08
426	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	65.000000	\N	4238116	3113213	9999-12-31	2013-05-08
426	2009-10-02	FROM	CHANGE OF COMPANY NAME	VNG Norge AS (old)	20.000000	\N	4238116	4062895	9999-12-31	2013-05-08
426	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	65.000000	\N	4238116	5497155	9999-12-31	2013-05-08
426	2007-07-01	TO	TRANSFER	RWE Dea Norge AS	15.000000	\N	4238116	97557	9999-12-31	2013-05-08
426	2007-10-12	TO	TRANSFER	VNG Norge AS (old)	20.000000	\N	4238116	4062895	9999-12-31	2013-05-08
426	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	65.000000	\N	4238116	5497155	9999-12-31	2013-05-08
426	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	65.000000	\N	4238116	17237193	9999-12-31	2013-05-08
426	2009-10-02	TO	CHANGE OF COMPANY NAME	VNG Norge AS	20.000000	\N	4238116	17237193	9999-12-31	2013-05-08
318 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	4238138	4511658	9999-12-31	2013-05-08
318 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	60.000000	\N	4238138	4524355	9999-12-31	2013-05-08
318 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	4238138	4511658	9999-12-31	2013-05-08
318 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	4238138	17237817	9999-12-31	2013-05-08
418	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	20.000000	\N	4238348	3431773	9999-12-31	2013-05-08
418	2010-03-05	FROM	TRANSFER	Premier Oil Norge AS	15.000000	\N	4238348	3482067	9999-12-31	2013-05-08
418	2009-01-21	FROM	CHANGE OF COMPANY NAME	PA Resources Norway AS	20.000000	\N	4238348	3986418	9999-12-31	2013-05-08
418	2010-08-31	FROM	TRANSFER	Nexen Exploration Norge AS	30.000000	\N	4238348	4062831	9999-12-31	2013-05-08
418	2009-10-28	FROM	CHANGE OF COMPANY NAME	Edison International Spa	15.000000	\N	4238348	4062871	9999-12-31	2013-05-08
418	2010-09-30	FROM	TRANSFER	Wintershall Norge ASA	20.000000	\N	4238348	5442509	9999-12-31	2013-05-08
418	2012-01-01	FROM	TRANSFER	Wintershall Norge ASA	10.000000	\N	4238348	5442509	9999-12-31	2013-05-08
418	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	35.000000	\N	4238348	5442509	9999-12-31	2013-05-08
418	2009-03-23	FROM	TRANSFER	Bayerngas Produksjon Norge AS	20.000000	\N	4238348	5461974	9999-12-31	2013-05-08
418	2013-04-20	FROM	CHANGE OF COMPANY NAME	Agora Oil & Gas AS	20.000000	\N	4238348	18386322	9999-12-31	2013-05-08
418	2012-01-01	TO	TRANSFER	RWE Dea Norge AS	10.000000	\N	4238348	97557	9999-12-31	2013-05-08
418	2009-03-23	TO	TRANSFER	Bayerngas Norge AS	20.000000	\N	4238348	4444493	9999-12-31	2013-05-08
418	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	4238348	5442509	9999-12-31	2013-05-08
418	2010-03-05	TO	TRANSFER	Wintershall Norge ASA	15.000000	\N	4238348	5442509	9999-12-31	2013-05-08
418	2010-08-31	TO	TRANSFER	Wintershall Norge ASA	30.000000	\N	4238348	5442509	9999-12-31	2013-05-08
418	2009-01-21	TO	CHANGE OF COMPANY NAME	Bayerngas Produksjon Norge AS	20.000000	\N	4238348	5461974	9999-12-31	2013-05-08
418	2009-10-28	TO	CHANGE OF COMPANY NAME	Edison International Norway Branch	15.000000	\N	4238348	17237180	9999-12-31	2013-05-08
418	2010-09-30	TO	TRANSFER	Agora Oil & Gas AS	20.000000	\N	4238348	18386322	9999-12-31	2013-05-08
418	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	35.000000	\N	4238348	21666830	9999-12-31	2013-05-08
418	2013-04-20	TO	CHANGE OF COMPANY NAME	Capricorn Norge AS	20.000000	\N	4238348	23297570	9999-12-31	2013-05-08
420	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	4238409	4511658	9999-12-31	2013-05-08
420	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	4238409	4524355	9999-12-31	2013-05-08
420	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	4238409	4511658	9999-12-31	2013-05-08
420	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	4238409	17237817	9999-12-31	2013-05-08
419	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	25.000000	\N	4238530	3431773	9999-12-31	2013-05-08
419	2009-01-01	FROM	TRANSFER	Premier Oil Norge AS	25.000000	\N	4238530	3482067	9999-12-31	2013-05-08
419	2009-05-15	FROM	TRANSFER	Nexen Exploration Norge AS	25.000000	\N	4238530	4062831	9999-12-31	2013-05-08
419	2009-12-22	FROM	TRANSFER	Nexen Exploration Norge AS	30.000000	\N	4238530	4062831	9999-12-31	2013-05-08
419	2009-10-28	FROM	CHANGE OF COMPANY NAME	Edison International Spa	20.000000	\N	4238530	4062871	9999-12-31	2013-05-08
419	2009-11-04	FROM	TRANSFER	Wintershall Norge ASA	25.000000	\N	4238530	5442509	9999-12-31	2013-05-08
419	2009-11-04	FROM	TRANSFER	Edison International Norway Branch	20.000000	\N	4238530	17237180	9999-12-31	2013-05-08
419	2009-01-01	TO	TRANSFER	Nexen Exploration Norge AS	25.000000	\N	4238530	4062831	9999-12-31	2013-05-08
419	2009-11-04	TO	TRANSFER	Nexen Exploration Norge AS	45.000000	\N	4238530	4062831	9999-12-31	2013-05-08
419	2009-12-22	TO	TRANSFER	OMV (Norge) AS	30.000000	\N	4238530	4460594	9999-12-31	2013-05-08
419	2009-05-15	TO	TRANSFER	PGNiG Norway AS	25.000000	\N	4238530	4505831	9999-12-31	2013-05-08
419	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	25.000000	\N	4238530	5442509	9999-12-31	2013-05-08
419	2009-10-28	TO	CHANGE OF COMPANY NAME	Edison International Norway Branch	20.000000	\N	4238530	17237180	9999-12-31	2013-05-08
446	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	40.000000	\N	4238548	3482246	9999-12-31	2013-05-08
446	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	40.000000	\N	4238548	4530695	9999-12-31	2013-05-08
429	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	70.000000	\N	4238578	1622484	9999-12-31	2013-05-08
429	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	4238578	4511658	9999-12-31	2013-05-08
429	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	70.000000	\N	4238578	4511854	9999-12-31	2013-05-08
429	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	70.000000	\N	4238578	4511658	9999-12-31	2013-05-08
429	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	70.000000	\N	4238578	4511854	9999-12-31	2013-05-08
429	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	4238578	17237817	9999-12-31	2013-05-08
428	2007-10-02	FROM	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	4238624	4511658	9999-12-31	2013-05-08
428	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	60.000000	\N	4238624	4524355	9999-12-31	2013-05-08
428	2007-10-02	TO	TRANSFER	Aker Exploration AS	30.000000	\N	4238624	4460425	9999-12-31	2013-05-08
428	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	4238624	4511658	9999-12-31	2013-05-08
211 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.000000	\N	4238638	1622484	9999-12-31	2013-05-08
211 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	4238638	4511658	9999-12-31	2013-05-08
211 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	4238638	4511854	9999-12-31	2013-05-08
211 B	2013-01-01	FROM	TRANSFER	Statoil Petroleum AS	30.000000	\N	4238638	17237817	9999-12-31	2013-05-08
211 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	4238638	4511658	9999-12-31	2013-05-08
211 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.000000	\N	4238638	4511854	9999-12-31	2013-05-08
211 B	2013-01-01	TO	TRANSFER	Maersk Oil Norway AS	30.000000	\N	4238638	4719674	9999-12-31	2013-05-08
211 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	4238638	17237817	9999-12-31	2013-05-08
433	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	15.000000	\N	4238654	2840522	9999-12-31	2013-05-08
433	2011-02-28	FROM	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	30.000000	\N	4238654	3960945	9999-12-31	2013-05-08
433	2008-01-01	FROM	TRANSFER	Faroe Petroleum Norge AS	15.000000	\N	4238654	4062883	9999-12-31	2013-05-08
433	2009-07-01	FROM	TRANSFER	Centrica Resources (Norge) AS	12.000000	\N	4238654	4238233	9999-12-31	2013-05-08
433	2010-04-20	FROM	CHANGE OF COMPANY NAME	North Energy AS	12.000000	\N	4238654	4706034	9999-12-31	2013-05-08
433	2012-08-31	FROM	TRANSFER	North Energy ASA	12.000000	\N	4238654	18082156	9999-12-31	2013-05-08
433	2008-01-01	TO	TRANSFER	E.ON Ruhrgas Norge AS	15.000000	\N	4238654	2840522	9999-12-31	2013-05-08
433	2012-08-31	TO	TRANSFER	Centrica Resources (Norge) AS	12.000000	\N	4238654	4238233	9999-12-31	2013-05-08
433	2009-07-01	TO	TRANSFER	North Energy AS	12.000000	\N	4238654	4706034	9999-12-31	2013-05-08
433	2010-04-20	TO	CHANGE OF COMPANY NAME	North Energy ASA	12.000000	\N	4238654	18082156	9999-12-31	2013-05-08
433	2011-02-28	TO	CHANGE OF COMPANY NAME	Suncor Energy Norge AS	30.000000	\N	4238654	20426420	9999-12-31	2013-05-08
433	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	15.000000	\N	4238654	21631209	9999-12-31	2013-05-08
436	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	70.000000	\N	4238670	1622484	9999-12-31	2013-05-08
436	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	4238670	4511658	9999-12-31	2013-05-08
436	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	70.000000	\N	4238670	4511854	9999-12-31	2013-05-08
436	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	70.000000	\N	4238670	4511658	9999-12-31	2013-05-08
436	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	70.000000	\N	4238670	4511854	9999-12-31	2013-05-08
436	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	4238670	17237817	9999-12-31	2013-05-08
212 D	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	100.000000	\N	4238684	1622484	9999-12-31	2013-05-08
212 D	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	4238684	4511658	9999-12-31	2013-05-08
212 D	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	100.000000	\N	4238684	4511854	9999-12-31	2013-05-08
212 D	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	100.000000	\N	4238684	4511658	9999-12-31	2013-05-08
212 D	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	100.000000	\N	4238684	4511854	9999-12-31	2013-05-08
212 D	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	100.000000	\N	4238684	17237817	9999-12-31	2013-05-08
435	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	20.000000	\N	4238696	3431773	9999-12-31	2013-05-08
435	2007-07-11	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	20.000000	\N	4238696	3482246	9999-12-31	2013-05-08
435	2009-10-28	FROM	CHANGE OF COMPANY NAME	Edison International Spa	20.000000	\N	4238696	4062871	9999-12-31	2013-05-08
435	2011-01-01	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	4238696	4530695	9999-12-31	2013-05-08
435	2010-08-30	FROM	TRANSFER	Wintershall Norge ASA	20.000000	\N	4238696	5442509	9999-12-31	2013-05-08
435	2011-01-01	TO	TRANSFER	OMV (Norge) AS	20.000000	\N	4238696	4460594	9999-12-31	2013-05-08
435	2007-07-11	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	20.000000	\N	4238696	4530695	9999-12-31	2013-05-08
435	2010-08-30	TO	TRANSFER	Maersk Oil Norway AS	20.000000	\N	4238696	4719674	9999-12-31	2013-05-08
435	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	4238696	5442509	9999-12-31	2013-05-08
435	2009-10-28	TO	CHANGE OF COMPANY NAME	Edison International Norway Branch	20.000000	\N	4238696	17237180	9999-12-31	2013-05-08
431	2009-08-26	FROM	TRANSFER	Petro-Canada Norge AS	30.000000	\N	4238714	3960945	9999-12-31	2013-05-08
431	2009-08-27	FROM	TRANSFER	Faroe Petroleum Norge AS	70.000000	\N	4238714	4062883	9999-12-31	2013-05-08
431	2009-08-26	FROM	TRANSFER	Centrica Resources (Norge) AS	40.000000	\N	4238714	4238233	9999-12-31	2013-05-08
431	2009-08-26	TO	TRANSFER	Faroe Petroleum Norge AS	70.000000	\N	4238714	4062883	9999-12-31	2013-05-08
431	2009-08-27	TO	TRANSFER	Maersk Oil Norway AS	70.000000	\N	4238714	4719674	9999-12-31	2013-05-08
434	2010-11-30	FROM	TRANSFER	E.ON Ruhrgas Norge AS	20.000000	\N	4238730	2840522	9999-12-31	2013-05-08
434	2007-02-17	FROM	TRANSFER	Revus Energy ASA	12.000000	\N	4238730	3431773	9999-12-31	2013-05-08
434	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	28.000000	\N	4238730	3431773	9999-12-31	2013-05-08
434	2007-02-18	FROM	TRANSFER	Nexen Exploration Norge AS	9.000000	\N	4238730	4062831	9999-12-31	2013-05-08
434	2010-08-30	FROM	TRANSFER	Wintershall Norge ASA	28.000000	\N	4238730	5442509	9999-12-31	2013-05-08
434	2010-08-30	TO	TRANSFER	Nexen Exploration Norge AS	28.000000	\N	4238730	4062831	9999-12-31	2013-05-08
434	2007-02-17	TO	TRANSFER	Concedo ASA	12.000000	\N	4238730	4460794	9999-12-31	2013-05-08
434	2007-02-18	TO	TRANSFER	Concedo ASA	9.000000	\N	4238730	4460794	9999-12-31	2013-05-08
434	2010-11-30	TO	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	4238730	4530695	9999-12-31	2013-05-08
434	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	28.000000	\N	4238730	5442509	9999-12-31	2013-05-08
432	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	100.000000	\N	4238746	3964368	9999-12-31	2013-05-08
432	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	100.000000	\N	4238746	4539989	9999-12-31	2013-05-08
432	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	100.000000	\N	4238746	4539989	9999-12-31	2013-05-08
432	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	100.000000	\N	4238746	17342870	9999-12-31	2013-05-08
447	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	30.000000	\N	4238758	1340609	9999-12-31	2013-05-08
447	2007-11-17	FROM	CHANGE OF COMPANY NAME	Norwegian Energy Company AS	20.000000	\N	4238758	3482246	9999-12-31	2013-05-08
447	2010-06-24	FROM	TRANSFER	Petro-Canada Norge AS	30.000000	\N	4238758	3960945	9999-12-31	2013-05-08
447	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	20.000000	\N	4238758	3964368	9999-12-31	2013-05-08
447	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	4238758	4468177	9999-12-31	2013-05-08
447	2010-04-20	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	4238758	4530695	9999-12-31	2013-05-08
447	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	4238758	4539976	9999-12-31	2013-05-08
447	2008-01-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	20.000000	\N	4238758	4539989	9999-12-31	2013-05-08
447	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	30.000000	\N	4238758	4539989	9999-12-31	2013-05-08
447	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	30.000000	\N	4238758	4468177	9999-12-31	2013-05-08
447	2007-11-17	TO	CHANGE OF COMPANY NAME	Norwegian Energy Company ASA	20.000000	\N	4238758	4530695	9999-12-31	2013-05-08
447	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	30.000000	\N	4238758	4539976	9999-12-31	2013-05-08
447	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	20.000000	\N	4238758	4539989	9999-12-31	2013-05-08
447	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	30.000000	\N	4238758	4539989	9999-12-31	2013-05-08
447	2008-01-02	TO	TRANSFER	VNG Norge AS	20.000000	\N	4238758	17237193	9999-12-31	2013-05-08
447	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	30.000000	\N	4238758	17342870	9999-12-31	2013-05-08
447	2010-04-20	TO	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	4238758	17342870	9999-12-31	2013-05-08
447	2010-06-24	TO	TRANSFER	Det norske oljeselskap ASA	30.000000	\N	4238758	17342870	9999-12-31	2013-05-08
437	2007-09-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	40.000000	\N	4238776	430	9999-12-31	2013-05-08
437	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	60.000000	\N	4238776	1622484	9999-12-31	2013-05-08
437	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	100.000000	\N	4238776	4511658	9999-12-31	2013-05-08
437	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	60.000000	\N	4238776	4511854	9999-12-31	2013-05-08
437	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	40.000000	\N	4238776	4524355	9999-12-31	2013-05-08
437	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	4238776	4511658	9999-12-31	2013-05-08
437	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	60.000000	\N	4238776	4511658	9999-12-31	2013-05-08
437	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	60.000000	\N	4238776	4511854	9999-12-31	2013-05-08
437	2007-09-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	40.000000	\N	4238776	4524355	9999-12-31	2013-05-08
437	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	100.000000	\N	4238776	17237817	9999-12-31	2013-05-08
448	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	33.530000	\N	4238790	1622484	9999-12-31	2013-05-08
448	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	12.000000	\N	4238790	1628733	9999-12-31	2013-05-08
448	2011-01-01	FROM	TRANSFER	Hess Norge AS	3.260000	\N	4238790	4038735	9999-12-31	2013-05-08
448	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	33.530000	\N	4238790	4511658	9999-12-31	2013-05-08
448	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	33.530000	\N	4238790	4511854	9999-12-31	2013-05-08
448	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	33.530000	\N	4238790	4511658	9999-12-31	2013-05-08
448	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	33.530000	\N	4238790	4511854	9999-12-31	2013-05-08
448	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	12.000000	\N	4238790	5267845	9999-12-31	2013-05-08
448	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	33.530000	\N	4238790	17237817	9999-12-31	2013-05-08
448	2011-01-01	TO	TRANSFER	Statoil Petroleum AS	3.260000	\N	4238790	17237817	9999-12-31	2013-05-08
438	2010-02-26	FROM	TRANSFER	Marathon Petroleum Norge AS	7.500000	\N	4238812	463	9999-12-31	2013-05-08
438	2011-05-13	FROM	TRANSFER	Marathon Petroleum Norge AS	17.500000	\N	4238812	463	9999-12-31	2013-05-08
438	2011-01-01	FROM	TRANSFER	Talisman Energy Norge AS	10.000000	\N	4238812	2425093	9999-12-31	2013-05-08
438	2010-04-30	FROM	TRANSFER	Lundin Norway AS	10.000000	\N	4238812	2767314	9999-12-31	2013-05-08
438	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	17.500000	\N	4238812	5072514	9999-12-31	2013-05-08
438	2010-02-26	TO	TRANSFER	Talisman Energy Norge AS	7.500000	\N	4238812	2425093	9999-12-31	2013-05-08
438	2010-04-30	TO	TRANSFER	Talisman Energy Norge AS	10.000000	\N	4238812	2425093	9999-12-31	2013-05-08
438	2011-05-13	TO	TRANSFER	Spring Energy Norway AS	17.500000	\N	4238812	5072514	9999-12-31	2013-05-08
438	2011-01-01	TO	TRANSFER	Det norske oljeselskap ASA	10.000000	\N	4238812	17342870	9999-12-31	2013-05-08
438	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	17.500000	\N	4238812	23173852	9999-12-31	2013-05-08
439	2007-02-17	FROM	TRANSFER	OMV (Norge) AS	10.000000	\N	4238830	4460594	9999-12-31	2013-05-08
439	2011-10-08	FROM	CHANGE OF COMPANY NAME	Sagex Petroleum Norge AS	10.000000	\N	4238830	4504106	9999-12-31	2013-05-08
439	2007-02-17	TO	TRANSFER	Sagex Petroleum Norge AS	10.000000	\N	4238830	4504106	9999-12-31	2013-05-08
439	2011-10-08	TO	CHANGE OF COMPANY NAME	Valiant Petroleum Norge AS	10.000000	\N	4238830	21104529	9999-12-31	2013-05-08
449	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	30.000000	\N	4238846	3500333	9999-12-31	2013-05-08
449	2007-06-16	FROM	TRANSFER	OMV (Norge) AS	20.000000	\N	4238846	4460594	9999-12-31	2013-05-08
449	2007-06-16	TO	TRANSFER	Sagex Petroleum Norge AS	20.000000	\N	4238846	4504106	9999-12-31	2013-05-08
449	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	30.000000	\N	4238846	18108745	9999-12-31	2013-05-08
050 DS	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	9.000000	\N	4380141	430	9999-12-31	2013-05-08
050 DS	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	61.000000	\N	4380141	1622484	9999-12-31	2013-05-08
050 DS	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	4380141	4511658	9999-12-31	2013-05-08
050 DS	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	61.000000	\N	4380141	4511854	9999-12-31	2013-05-08
050 DS	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	9.000000	\N	4380141	4524355	9999-12-31	2013-05-08
050 DS	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	9.000000	\N	4380141	4511658	9999-12-31	2013-05-08
050 DS	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	61.000000	\N	4380141	4511658	9999-12-31	2013-05-08
050 DS	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	61.000000	\N	4380141	4511854	9999-12-31	2013-05-08
050 DS	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	9.000000	\N	4380141	4524355	9999-12-31	2013-05-08
050 DS	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	4380141	17237817	9999-12-31	2013-05-08
120 B	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	29.000000	\N	4380181	430	9999-12-31	2013-05-08
120 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	30.064520	\N	4380181	1622484	9999-12-31	2013-05-08
120 B	2007-11-21	FROM	MERGER/TAKEOVER	Norske ConocoPhillips AS	13.000000	\N	4380181	2399056	9999-12-31	2013-05-08
120 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	59.064520	\N	4380181	4511658	9999-12-31	2013-05-08
120 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.064520	\N	4380181	4511854	9999-12-31	2013-05-08
120 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	29.000000	\N	4380181	4524355	9999-12-31	2013-05-08
120 B	2007-11-21	TO	MERGER/TAKEOVER	ConocoPhillips Skandinavia AS	13.000000	\N	4380181	2410696	9999-12-31	2013-05-08
120 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	29.000000	\N	4380181	4511658	9999-12-31	2013-05-08
120 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.064520	\N	4380181	4511658	9999-12-31	2013-05-08
120 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	30.064520	\N	4380181	4511854	9999-12-31	2013-05-08
120 B	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	29.000000	\N	4380181	4524355	9999-12-31	2013-05-08
120 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	59.064520	\N	4380181	17237817	9999-12-31	2013-05-08
229 B	2007-06-20	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap AS	15.000000	\N	4461754	1340609	9999-12-31	2013-05-08
229 B	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	20.000000	\N	4461754	1622484	9999-12-31	2013-05-08
229 B	2007-11-16	FROM	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	15.000000	\N	4461754	4468177	9999-12-31	2013-05-08
229 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	35.000000	\N	4461754	4511658	9999-12-31	2013-05-08
229 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	35.000000	\N	4461754	4511854	9999-12-31	2013-05-08
229 B	2008-01-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	15.000000	\N	4461754	4539976	9999-12-31	2013-05-08
229 B	2008-01-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	15.000000	\N	4461754	4539989	9999-12-31	2013-05-08
229 B	2007-06-20	TO	CHANGE OF COMPANY NAME	Det Norske Oljeselskap ASA (old)	15.000000	\N	4461754	4468177	9999-12-31	2013-05-08
229 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	35.000000	\N	4461754	4511658	9999-12-31	2013-05-08
229 B	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	20.000000	\N	4461754	4511854	9999-12-31	2013-05-08
229 B	2008-01-02	TO	TRANSFER	StatoilHydro ASA	15.000000	\N	4461754	4511854	9999-12-31	2013-05-08
229 B	2007-11-16	TO	CHANGE OF COMPANY NAME	Noil Energy ASA	15.000000	\N	4461754	4539976	9999-12-31	2013-05-08
229 B	2008-01-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	15.000000	\N	4461754	4539989	9999-12-31	2013-05-08
229 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	35.000000	\N	4461754	17237817	9999-12-31	2013-05-08
316 CS	2007-08-28	FROM	TRANSFER	Talisman Energy Norge AS	35.000000	\N	4480974	2425093	9999-12-31	2013-05-08
316 CS	2009-01-01	FROM	TRANSFER	Talisman Energy Norge AS	10.000000	\N	4480974	2425093	9999-12-31	2013-05-08
316 CS	2008-01-01	FROM	TRANSFER	Revus Energy ASA	10.000000	\N	4480974	3431773	9999-12-31	2013-05-08
316 CS	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	10.000000	\N	4480974	3431773	9999-12-31	2013-05-08
316 CS	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	10.000000	\N	4480974	3964368	9999-12-31	2013-05-08
316 CS	2008-01-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	10.000000	\N	4480974	4539989	9999-12-31	2013-05-08
316 CS	2009-01-01	TO	TRANSFER	Norske AEDC A/S	10.000000	\N	4480974	34	9999-12-31	2013-05-08
316 CS	2007-08-28	TO	TRANSFER	Norwegian Energy Company ASA	35.000000	\N	4480974	4530695	9999-12-31	2013-05-08
316 CS	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	10.000000	\N	4480974	4539989	9999-12-31	2013-05-08
316 CS	2008-01-01	TO	TRANSFER	Lotos Exploration and Production Norge AS	10.000000	\N	4480974	5064434	9999-12-31	2013-05-08
316 CS	2008-01-02	TO	TRANSFER	Lotos Exploration and Production Norge AS	10.000000	\N	4480974	5064434	9999-12-31	2013-05-08
316 CS	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	10.000000	\N	4480974	5442509	9999-12-31	2013-05-08
316 DS	2007-08-24	FROM	TRANSFER	Talisman Energy Norge AS	20.000000	\N	4481011	2425093	9999-12-31	2013-05-08
316 DS	2009-01-01	FROM	TRANSFER	Talisman Energy Norge AS	10.000000	\N	4481011	2425093	9999-12-31	2013-05-08
316 DS	2008-01-01	FROM	TRANSFER	Revus Energy ASA	10.000000	\N	4481011	3431773	9999-12-31	2013-05-08
316 DS	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	10.000000	\N	4481011	3431773	9999-12-31	2013-05-08
316 DS	2007-11-16	FROM	CHANGE OF COMPANY NAME	Pertra ASA	10.000000	\N	4481011	3964368	9999-12-31	2013-05-08
316 DS	2008-01-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	10.000000	\N	4481011	4539989	9999-12-31	2013-05-08
316 DS	2009-01-01	TO	TRANSFER	Norske AEDC A/S	10.000000	\N	4481011	34	9999-12-31	2013-05-08
316 DS	2007-08-24	TO	TRANSFER	Bridge Energy AS	20.000000	\N	4481011	4062933	9999-12-31	2013-05-08
316 DS	2007-11-16	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	10.000000	\N	4481011	4539989	9999-12-31	2013-05-08
316 DS	2008-01-01	TO	TRANSFER	Lotos Exploration and Production Norge AS	10.000000	\N	4481011	5064434	9999-12-31	2013-05-08
316 DS	2008-01-02	TO	TRANSFER	Lotos Exploration and Production Norge AS	10.000000	\N	4481011	5064434	9999-12-31	2013-05-08
316 DS	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	10.000000	\N	4481011	5442509	9999-12-31	2013-05-08
202	2004-01-01	FROM	TRANSFER	Amerada Hess Norge AS	25.000000	\N	4705176	67	9999-12-31	2013-05-08
202	2007-01-01	FROM	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	30.000000	\N	4705176	430	9999-12-31	2013-05-08
202	2001-01-11	FROM	MERGER/TAKEOVER	Saga Petroleum ASA	20.000000	\N	4705176	716	9999-12-31	2013-05-08
202	2001-05-10	FROM	CHANGE OF COMPANY NAME	Den norske stats oljeselskap a.s	25.000000	\N	4705176	749	9999-12-31	2013-05-08
202	2007-10-01	FROM	CHANGE OF COMPANY NAME	Statoil ASA (old)	70.000000	\N	4705176	1622484	9999-12-31	2013-05-08
202	2001-06-01	FROM	TRANSFER	SDØE	30.000000	\N	4705176	1623450	9999-12-31	2013-05-08
202	2007-10-01	FROM	CHANGE OF COMPANY NAME	Norsk Hydro Petroleum AS	30.000000	\N	4705176	4524355	9999-12-31	2013-05-08
202	2001-01-11	TO	MERGER/TAKEOVER	Norsk Hydro Produksjon AS	20.000000	\N	4705176	430	9999-12-31	2013-05-08
202	2004-01-01	TO	TRANSFER	Norsk Hydro Produksjon AS	10.000000	\N	4705176	430	9999-12-31	2013-05-08
202	2001-05-10	TO	CHANGE OF COMPANY NAME	Statoil ASA (old)	25.000000	\N	4705176	1622484	9999-12-31	2013-05-08
202	2001-06-01	TO	TRANSFER	Statoil ASA (old)	30.000000	\N	4705176	1622484	9999-12-31	2013-05-08
202	2004-01-01	TO	TRANSFER	Statoil ASA (old)	15.000000	\N	4705176	1622484	9999-12-31	2013-05-08
202	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	4705176	4511658	9999-12-31	2013-05-08
202	2007-10-01	TO	CHANGE OF COMPANY NAME	StatoilHydro ASA	70.000000	\N	4705176	4511854	9999-12-31	2013-05-08
202	2007-01-01	TO	MERGER/TAKEOVER	Norsk Hydro Petroleum AS	30.000000	\N	4705176	4524355	9999-12-31	2013-05-08
327 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	70.000000	\N	4720054	4511658	9999-12-31	2013-05-08
327 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	70.000000	\N	4720054	4511854	9999-12-31	2013-05-08
327 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	70.000000	\N	4720054	4511658	9999-12-31	2013-05-08
327 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	70.000000	\N	4720054	17237817	9999-12-31	2013-05-08
321 B	2009-12-23	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	35.000000	\N	4720082	4460425	9999-12-31	2013-05-08
321 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	4720082	4511658	9999-12-31	2013-05-08
321 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	4720082	4511854	9999-12-31	2013-05-08
321 B	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	25.000000	\N	4720082	4539989	9999-12-31	2013-05-08
321 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	4720082	4511658	9999-12-31	2013-05-08
321 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	4720082	17237817	9999-12-31	2013-05-08
321 B	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	25.000000	\N	4720082	17342870	9999-12-31	2013-05-08
321 B	2009-12-23	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	35.000000	\N	4720082	17342915	9999-12-31	2013-05-08
274 CS	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	15.000000	\N	4909658	3431773	9999-12-31	2013-05-08
274 CS	2009-01-21	FROM	CHANGE OF COMPANY NAME	PA Resources Norway AS	30.000000	\N	4909658	3986418	9999-12-31	2013-05-08
274 CS	2012-07-05	FROM	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	15.000000	\N	4909658	4446230	9999-12-31	2013-05-08
107 C	2011-01-02	FROM	TRANSFER	Petoro AS	7.500000	\N	5115394	1626839	9999-12-31	2013-05-08
274 CS	2010-01-01	FROM	TRANSFER	Norwegian Energy Company ASA	15.000000	\N	4909658	4530695	9999-12-31	2013-05-08
274 CS	2009-07-31	FROM	TRANSFER	Wintershall Norge ASA	15.000000	\N	4909658	5442509	9999-12-31	2013-05-08
274 CS	2009-03-23	FROM	TRANSFER	Bayerngas Produksjon Norge AS	30.000000	\N	4909658	5461974	9999-12-31	2013-05-08
274 CS	2009-07-31	TO	TRANSFER	DONG E&P Norge AS	15.000000	\N	4909658	4070011	9999-12-31	2013-05-08
274 CS	2009-03-23	TO	TRANSFER	Bayerngas Norge AS	30.000000	\N	4909658	4444493	9999-12-31	2013-05-08
274 CS	2010-01-01	TO	TRANSFER	Altinex Oil Norway AS	15.000000	\N	4909658	4446230	9999-12-31	2013-05-08
274 CS	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	15.000000	\N	4909658	5442509	9999-12-31	2013-05-08
274 CS	2009-01-21	TO	CHANGE OF COMPANY NAME	Bayerngas Produksjon Norge AS	30.000000	\N	4909658	5461974	9999-12-31	2013-05-08
274 CS	2012-07-05	TO	CHANGE OF COMPANY NAME	Noreco Norway AS	15.000000	\N	4909658	22223020	9999-12-31	2013-05-08
006 D	2008-03-01	FROM	TRANSFER	Norwegian Energy Company ASA	10.000000	\N	4909688	4530695	9999-12-31	2013-05-08
006 D	2008-03-01	TO	TRANSFER	Faroe Petroleum Norge AS	10.000000	\N	4909688	4062883	9999-12-31	2013-05-08
450	2008-03-01	FROM	TRANSFER	Det norske oljeselskap ASA (old)	25.000000	\N	4909784	4539989	9999-12-31	2013-05-08
450	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	75.000000	\N	4909784	4539989	9999-12-31	2013-05-08
450	2011-01-01	FROM	TRANSFER	Det norske oljeselskap ASA	15.000000	\N	4909784	17342870	9999-12-31	2013-05-08
450	2008-03-01	TO	TRANSFER	Dana Petroleum Norway AS	25.000000	\N	4909784	4526555	9999-12-31	2013-05-08
450	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	75.000000	\N	4909784	17342870	9999-12-31	2013-05-08
450	2011-01-01	TO	TRANSFER	North Energy ASA	15.000000	\N	4909784	18082156	9999-12-31	2013-05-08
455	2010-12-30	FROM	CHANGE OF COMPANY NAME	Skeie Energy AS (Old)	30.000000	\N	4909816	4511646	2013-03-19	2013-05-08
455	2008-03-01	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	4909816	4530695	9999-12-31	2013-05-08
455	2011-07-01	FROM	TRANSFER	Norwegian Energy Company ASA	50.000000	\N	4909816	4530695	9999-12-31	2013-05-08
455	2011-12-16	FROM	TRANSFER	E&P Holding AS	55.000000	\N	4909816	20109546	9999-12-31	2013-05-08
455	2008-03-01	TO	TRANSFER	Lotos Exploration and Production Norge AS	20.000000	\N	4909816	5064434	9999-12-31	2013-05-08
455	2011-07-01	TO	TRANSFER	Lotos Exploration and Production Norge AS	25.000000	\N	4909816	5064434	9999-12-31	2013-05-08
455	2011-12-16	TO	TRANSFER	Fortis Petroleum Norway AS	55.000000	\N	4909816	18386334	9999-12-31	2013-05-08
455	2010-12-30	TO	CHANGE OF COMPANY NAME	E&P Holding AS	30.000000	\N	4909816	20109546	9999-12-31	2013-05-08
455	2011-07-01	TO	TRANSFER	E&P Holding AS	25.000000	\N	4909816	20109546	9999-12-31	2013-05-08
453 S	2008-03-01	FROM	TRANSFER	Endeavour Energy Norge AS	10.000000	\N	4909893	3113213	9999-12-31	2013-05-08
453 S	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	15.000000	\N	4909893	3113213	9999-12-31	2013-05-08
453 S	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	25.000000	\N	4909893	4530695	9999-12-31	2013-05-08
453 S	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	25.000000	\N	4909893	4539989	9999-12-31	2013-05-08
453 S	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	15.000000	\N	4909893	5497155	9999-12-31	2013-05-08
453 S	2008-03-01	TO	TRANSFER	Lundin Norway AS	5.000000	\N	4909893	2767314	9999-12-31	2013-05-08
453 S	2008-03-01	TO	TRANSFER	Norwegian Energy Company ASA	5.000000	\N	4909893	4530695	9999-12-31	2013-05-08
453 S	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	15.000000	\N	4909893	5497155	9999-12-31	2013-05-08
453 S	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	15.000000	\N	4909893	17237193	9999-12-31	2013-05-08
453 S	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	25.000000	\N	4909893	17342870	9999-12-31	2013-05-08
453 S	2012-12-31	TO	TRANSFER	Noreco Norway AS	25.000000	\N	4909893	22223020	9999-12-31	2013-05-08
451	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	40.000000	\N	4910013	4539989	9999-12-31	2013-05-08
451	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	40.000000	\N	4910013	17342870	9999-12-31	2013-05-08
457	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	20.000000	\N	4910110	2840522	9999-12-31	2013-05-08
457	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	20.000000	\N	4910110	3113213	9999-12-31	2013-05-08
457	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	40.000000	\N	4910110	3431773	9999-12-31	2013-05-08
457	2010-03-30	FROM	CHANGE OF COMPANY NAME	Bridge Energy AS	20.000000	\N	4910110	4062933	9999-12-31	2013-05-08
457	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	4910110	5442509	9999-12-31	2013-05-08
457	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	20.000000	\N	4910110	5497155	9999-12-31	2013-05-08
457	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	4910110	5442509	9999-12-31	2013-05-08
457	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	20.000000	\N	4910110	5497155	9999-12-31	2013-05-08
457	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	20.000000	\N	4910110	17237193	9999-12-31	2013-05-08
457	2010-03-30	TO	CHANGE OF COMPANY NAME	Bridge Energy Norge AS	20.000000	\N	4910110	18178215	9999-12-31	2013-05-08
457	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	20.000000	\N	4910110	21631209	9999-12-31	2013-05-08
457	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	40.000000	\N	4910110	21666830	9999-12-31	2013-05-08
460	2008-03-02	FROM	TRANSFER	Aker Exploration AS	12.500000	\N	4910195	4460425	9999-12-31	2013-05-08
460	2009-12-23	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	47.500000	\N	4910195	4460425	9999-12-31	2013-05-08
460	2008-03-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	4910195	4511854	9999-12-31	2013-05-08
460	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	52.500000	\N	4910195	4539989	9999-12-31	2013-05-08
460	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	47.500000	\N	4910195	17342915	9999-12-31	2013-05-08
460	2008-03-01	TO	TRANSFER	Aker Exploration AS	30.000000	\N	4910195	4460425	9999-12-31	2013-05-08
460	2008-03-02	TO	TRANSFER	Det norske oljeselskap ASA (old)	12.500000	\N	4910195	4539989	9999-12-31	2013-05-08
460	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	52.500000	\N	4910195	17342870	9999-12-31	2013-05-08
460	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	47.500000	\N	4910195	17342870	9999-12-31	2013-05-08
460	2009-12-23	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	47.500000	\N	4910195	17342915	9999-12-31	2013-05-08
459	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	50.000000	\N	4910251	3431773	9999-12-31	2013-05-08
459	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	50.000000	\N	4910251	5442509	9999-12-31	2013-05-08
458	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	30.000000	\N	4910277	4539989	9999-12-31	2013-05-08
458	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	30.000000	\N	4910277	17342870	9999-12-31	2013-05-08
461	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	4910313	4511658	9999-12-31	2013-05-08
461	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	4910313	4511854	9999-12-31	2013-05-08
461	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	4910313	4511658	9999-12-31	2013-05-08
461	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	4910313	17237817	9999-12-31	2013-05-08
462 S	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	30.000000	\N	4910350	4460425	9999-12-31	2013-05-08
462 S	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	30.000000	\N	4910350	17342915	9999-12-31	2013-05-08
462 S	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	30.000000	\N	4910350	17342870	9999-12-31	2013-05-08
462 S	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	30.000000	\N	4910350	17342915	9999-12-31	2013-05-08
463 S	2009-12-23	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	30.000000	\N	4910414	4460425	9999-12-31	2013-05-08
463 S	2008-03-01	FROM	TRANSFER	Det norske oljeselskap ASA (old)	30.000000	\N	4910414	4539989	9999-12-31	2013-05-08
463 S	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	70.000000	\N	4910414	4539989	9999-12-31	2013-05-08
463 S	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	30.000000	\N	4910414	17342915	9999-12-31	2013-05-08
463 S	2008-03-01	TO	TRANSFER	Aker Exploration AS	30.000000	\N	4910414	4460425	9999-12-31	2013-05-08
463 S	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	70.000000	\N	4910414	17342870	9999-12-31	2013-05-08
463 S	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	30.000000	\N	4910414	17342870	9999-12-31	2013-05-08
463 S	2009-12-23	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	30.000000	\N	4910414	17342915	9999-12-31	2013-05-08
052 C	2009-01-02	FROM	TRANSFER	Talisman Energy Norge AS	27.000000	\N	4918046	2425093	9999-12-31	2013-05-08
052 C	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	4.500000	\N	4918046	3431773	9999-12-31	2013-05-08
052 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	18.000000	\N	4918046	4511658	9999-12-31	2013-05-08
052 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	18.000000	\N	4918046	4511854	9999-12-31	2013-05-08
052 C	2009-01-02	TO	TRANSFER	Talisman Resources Norge AS	27.000000	\N	4918046	3987574	9999-12-31	2013-05-08
052 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	18.000000	\N	4918046	4511658	9999-12-31	2013-05-08
052 C	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	4.500000	\N	4918046	5442509	9999-12-31	2013-05-08
052 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	18.000000	\N	4918046	17237817	9999-12-31	2013-05-08
344 B	2008-03-01	FROM	TRANSFER	Revus Energy ASA	30.000000	\N	4918142	3431773	9999-12-31	2013-05-08
344 B	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	70.000000	\N	4918142	3431773	9999-12-31	2013-05-08
344 B	2010-09-30	FROM	TRANSFER	Wintershall Norge ASA	35.000000	\N	4918142	5442509	9999-12-31	2013-05-08
344 B	2008-03-01	TO	TRANSFER	Spring Energy Norway AS	30.000000	\N	4918142	5072514	9999-12-31	2013-05-08
344 B	2010-09-30	TO	TRANSFER	Spring Energy Norway AS	35.000000	\N	4918142	5072514	9999-12-31	2013-05-08
344 B	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	70.000000	\N	4918142	5442509	9999-12-31	2013-05-08
467 S	2008-03-01	FROM	TRANSFER	BG Norge AS	40.000000	\N	4918211	2747354	9999-12-31	2013-05-08
467 S	2008-03-01	TO	TRANSFER	VNG Norge AS	40.000000	\N	4918211	17237193	9999-12-31	2013-05-08
153 B	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	30.000000	\N	4918242	1628733	9999-12-31	2013-05-08
153 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	4918242	4511658	9999-12-31	2013-05-08
153 B	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	20.000000	\N	4918242	4511854	9999-12-31	2013-05-08
153 B	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	20.000000	\N	4918242	4511658	9999-12-31	2013-05-08
153 B	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	30.000000	\N	4918242	5267845	9999-12-31	2013-05-08
153 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	4918242	17237817	9999-12-31	2013-05-08
468	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	100.000000	\N	4918281	4460425	9999-12-31	2013-05-08
468	2010-01-01	FROM	TRANSFER	Det norske oljeselskap AS	5.000000	\N	4918281	17342915	9999-12-31	2013-05-08
468	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	95.000000	\N	4918281	17342915	9999-12-31	2013-05-08
468	2010-01-01	TO	TRANSFER	GDF SUEZ E&P Norge AS	5.000000	\N	4918281	5267845	9999-12-31	2013-05-08
468	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	95.000000	\N	4918281	17342870	9999-12-31	2013-05-08
468	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	100.000000	\N	4918281	17342915	9999-12-31	2013-05-08
474	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	30.000000	\N	4918303	4460425	9999-12-31	2013-05-08
474	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	30.000000	\N	4918303	17342915	9999-12-31	2013-05-08
475	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	4918410	3431773	9999-12-31	2013-05-08
475	2009-01-01	FROM	TRANSFER	Concedo ASA	10.000000	\N	4918410	4460794	9999-12-31	2013-05-08
475	2011-09-30	FROM	TRANSFER	Concedo ASA	10.000000	\N	4918410	4460794	9999-12-31	2013-05-08
475	2011-09-30	FROM	TRANSFER	Spring Energy Norway AS	15.000000	\N	4918410	5072514	9999-12-31	2013-05-08
475	2010-01-01	FROM	TRANSFER	Wintershall Norge ASA	15.000000	\N	4918410	5442509	9999-12-31	2013-05-08
475	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	50.000000	\N	4918410	5442509	9999-12-31	2013-05-08
475	2010-01-01	TO	TRANSFER	Spring Energy Norway AS	15.000000	\N	4918410	5072514	9999-12-31	2013-05-08
475	2009-01-01	TO	TRANSFER	Wintershall Norge ASA	10.000000	\N	4918410	5442509	9999-12-31	2013-05-08
475	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	4918410	5442509	9999-12-31	2013-05-08
475	2011-09-30	TO	TRANSFER	Wintershall Norge ASA	25.000000	\N	4918410	5442509	9999-12-31	2013-05-08
475	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	50.000000	\N	4918410	21666830	9999-12-31	2013-05-08
405 B	2011-02-28	FROM	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	30.000000	\N	4918473	3960945	9999-12-31	2013-05-08
405 B	2009-01-01	FROM	TRANSFER	Faroe Petroleum Norge AS	15.000000	\N	4918473	4062883	9999-12-31	2013-05-08
405 B	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	15.000000	\N	4918473	5072514	9999-12-31	2013-05-08
405 B	2009-01-01	TO	TRANSFER	Spring Energy Norway AS	15.000000	\N	4918473	5072514	9999-12-31	2013-05-08
405 B	2011-02-28	TO	CHANGE OF COMPANY NAME	Suncor Energy Norge AS	30.000000	\N	4918473	20426420	9999-12-31	2013-05-08
405 B	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	15.000000	\N	4918473	23173852	9999-12-31	2013-05-08
471	2012-05-31	FROM	TRANSFER	OMV (Norge) AS	10.000000	\N	4918501	4460594	9999-12-31	2013-05-08
471	2009-07-01	FROM	TRANSFER	Sagex Petroleum Norge AS	30.000000	\N	4918501	4504106	9999-12-31	2013-05-08
471	2011-10-08	FROM	CHANGE OF COMPANY NAME	Sagex Petroleum Norge AS	20.000000	\N	4918501	4504106	9999-12-31	2013-05-08
471	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	40.000000	\N	4918501	4530695	9999-12-31	2013-05-08
471	2009-07-01	TO	TRANSFER	Norwegian Energy Company ASA	30.000000	\N	4918501	4530695	9999-12-31	2013-05-08
471	2012-05-31	TO	TRANSFER	Norwegian Energy Company ASA	10.000000	\N	4918501	4530695	9999-12-31	2013-05-08
471	2011-10-08	TO	CHANGE OF COMPANY NAME	Valiant Petroleum Norge AS	20.000000	\N	4918501	21104529	9999-12-31	2013-05-08
471	2012-12-31	TO	TRANSFER	Noreco Norway AS	40.000000	\N	4918501	22223020	9999-12-31	2013-05-08
074 B	2008-03-01	FROM	TRANSFER	Mobil Development Norway AS	9.800000	\N	4918544	474	9999-12-31	2013-05-08
074 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.850000	\N	4918544	4511658	9999-12-31	2013-05-08
074 B	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.850000	\N	4918544	4511854	9999-12-31	2013-05-08
074 B	2008-03-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	9.800000	\N	4918544	2835212	9999-12-31	2013-05-08
074 B	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.850000	\N	4918544	4511658	9999-12-31	2013-05-08
074 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.850000	\N	4918544	17237817	9999-12-31	2013-05-08
473	2008-03-01	FROM	TRANSFER	Mobil Development Norway AS	9.800000	\N	4920841	474	9999-12-31	2013-05-08
473	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.850000	\N	4920841	4511658	9999-12-31	2013-05-08
473	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.850000	\N	4920841	4511854	9999-12-31	2013-05-08
473	2008-03-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	9.800000	\N	4920841	2835212	9999-12-31	2013-05-08
473	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.850000	\N	4920841	4511658	9999-12-31	2013-05-08
473	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.850000	\N	4920841	17237817	9999-12-31	2013-05-08
469	2008-03-01	FROM	TRANSFER	Gaz de France Norge AS	17.500000	\N	4920878	1628733	9999-12-31	2013-05-08
469	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	52.500000	\N	4920878	1628733	9999-12-31	2013-05-08
469	2008-03-01	FROM	TRANSFER	Discover Petroleum AS	7.500000	\N	4920878	3500333	9999-12-31	2013-05-08
469	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	22.500000	\N	4920878	3500333	9999-12-31	2013-05-08
469	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	25.000000	\N	4920878	4460425	9999-12-31	2013-05-08
469	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	25.000000	\N	4920878	17342915	9999-12-31	2013-05-08
469	2008-03-01	TO	TRANSFER	Aker Exploration AS	25.000000	\N	4920878	4460425	9999-12-31	2013-05-08
469	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	52.500000	\N	4920878	5267845	9999-12-31	2013-05-08
469	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	25.000000	\N	4920878	17342870	9999-12-31	2013-05-08
469	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	25.000000	\N	4920878	17342915	9999-12-31	2013-05-08
469	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	22.500000	\N	4920878	18108745	9999-12-31	2013-05-08
479	2008-03-01	FROM	TRANSFER	Mobil Development Norway AS	14.700000	\N	4920979	474	9999-12-31	2013-05-08
479	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.950000	\N	4920979	4511658	9999-12-31	2013-05-08
479	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.950000	\N	4920979	4511854	9999-12-31	2013-05-08
479	2008-03-01	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	14.700000	\N	4920979	2835212	9999-12-31	2013-05-08
479	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.950000	\N	4920979	4511658	9999-12-31	2013-05-08
479	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.950000	\N	4920979	17237817	9999-12-31	2013-05-08
477	2011-02-28	FROM	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	30.000000	\N	4921022	3960945	9999-12-31	2013-05-08
477	2011-02-28	TO	CHANGE OF COMPANY NAME	Suncor Energy Norge AS	30.000000	\N	4921022	20426420	9999-12-31	2013-05-08
488	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	12.000000	\N	4921192	1628733	9999-12-31	2013-05-08
488	2011-01-01	FROM	TRANSFER	Hess Norge AS	3.260000	\N	4921192	4038735	9999-12-31	2013-05-08
488	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	33.530000	\N	4921192	4511658	9999-12-31	2013-05-08
488	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	33.530000	\N	4921192	4511854	9999-12-31	2013-05-08
488	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	33.530000	\N	4921192	4511658	9999-12-31	2013-05-08
488	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	12.000000	\N	4921192	5267845	9999-12-31	2013-05-08
488	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	33.530000	\N	4921192	17237817	9999-12-31	2013-05-08
488	2011-01-01	TO	TRANSFER	Statoil Petroleum AS	3.260000	\N	4921192	17237817	9999-12-31	2013-05-08
478	2011-02-28	FROM	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	30.000000	\N	4921207	3960945	9999-12-31	2013-05-08
478	2011-02-28	TO	CHANGE OF COMPANY NAME	Suncor Energy Norge AS	30.000000	\N	4921207	20426420	9999-12-31	2013-05-08
480	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	4921338	4511658	9999-12-31	2013-05-08
480	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.000000	\N	4921338	4511854	9999-12-31	2013-05-08
480	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.000000	\N	4921338	4511658	9999-12-31	2013-05-08
480	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	4921338	17237817	9999-12-31	2013-05-08
490	2011-09-14	FROM	MERGER/TAKEOVER	Talisman Energy Norge AS	20.000000	\N	4921353	2425093	9999-12-31	2013-05-08
490	2010-04-30	FROM	TRANSFER	Lundin Norway AS	10.000000	\N	4921353	2767314	9999-12-31	2013-05-08
490	2012-10-31	FROM	TRANSFER	Lundin Norway AS	10.000000	\N	4921353	2767314	9999-12-31	2013-05-08
490	2009-12-23	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	20.000000	\N	4921353	4460425	9999-12-31	2013-05-08
490	2011-01-01	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	4921353	4530695	9999-12-31	2013-05-08
490	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	4921353	4530695	9999-12-31	2013-05-08
490	2009-01-01	FROM	TRANSFER	Det norske oljeselskap ASA (old)	10.000000	\N	4921353	4539989	9999-12-31	2013-05-08
490	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	10.000000	\N	4921353	4539989	9999-12-31	2013-05-08
490	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	30.000000	\N	4921353	5072514	9999-12-31	2013-05-08
490	2011-09-14	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA	30.000000	\N	4921353	17342870	9999-12-31	2013-05-08
490	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	20.000000	\N	4921353	17342915	9999-12-31	2013-05-08
490	2009-01-01	TO	TRANSFER	Talisman Energy Norge AS	10.000000	\N	4921353	2425093	9999-12-31	2013-05-08
490	2010-04-30	TO	TRANSFER	Talisman Energy Norge AS	10.000000	\N	4921353	2425093	9999-12-31	2013-05-08
490	2011-09-14	TO	MERGER/TAKEOVER	Lundin Norway AS	30.000000	\N	4921353	2767314	9999-12-31	2013-05-08
490	2011-09-14	TO	MERGER/TAKEOVER	Norwegian Energy Company ASA	20.000000	\N	4921353	4530695	9999-12-31	2013-05-08
490	2011-01-01	TO	TRANSFER	Spring Energy Norway AS	20.000000	\N	4921353	5072514	9999-12-31	2013-05-08
490	2012-10-31	TO	TRANSFER	Spring Energy Norway AS	10.000000	\N	4921353	5072514	9999-12-31	2013-05-08
490	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	10.000000	\N	4921353	17342870	9999-12-31	2013-05-08
490	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	4921353	17342870	9999-12-31	2013-05-08
490	2009-12-23	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	20.000000	\N	4921353	17342915	9999-12-31	2013-05-08
490	2012-12-31	TO	TRANSFER	Noreco Norway AS	20.000000	\N	4921353	22223020	9999-12-31	2013-05-08
490	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	30.000000	\N	4921353	23173852	9999-12-31	2013-05-08
476	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	40.000000	\N	4921415	4539989	9999-12-31	2013-05-08
476	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	40.000000	\N	4921415	17342870	9999-12-31	2013-05-08
482	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	65.000000	\N	4921474	4539989	9999-12-31	2013-05-08
482	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	65.000000	\N	4921474	17342870	9999-12-31	2013-05-08
489	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	4921522	4511658	9999-12-31	2013-05-08
489	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	40.000000	\N	4921522	4511854	9999-12-31	2013-05-08
489	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	40.000000	\N	4921522	4511658	9999-12-31	2013-05-08
489	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	4921522	17237817	9999-12-31	2013-05-08
481	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	50.000000	\N	4921546	3500333	9999-12-31	2013-05-08
481	2012-10-31	FROM	TRANSFER	Front Exploration AS	50.000000	\N	4921546	18108745	9999-12-31	2013-05-08
481	2012-10-31	TO	TRANSFER	DONG E&P Norge AS	50.000000	\N	4921546	4070011	9999-12-31	2013-05-08
481	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	50.000000	\N	4921546	18108745	9999-12-31	2013-05-08
448 B	2009-01-01	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	12.000000	\N	4921587	1628733	9999-12-31	2013-05-08
448 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	33.530000	\N	4921587	4511658	9999-12-31	2013-05-08
448 B	2009-01-02	FROM	TRANSFER	StatoilHydro ASA	33.530000	\N	4921587	4511854	9999-12-31	2013-05-08
448 B	2009-01-02	TO	TRANSFER	StatoilHydro Petroleum AS	33.530000	\N	4921587	4511658	9999-12-31	2013-05-08
448 B	2009-01-01	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	12.000000	\N	4921587	5267845	9999-12-31	2013-05-08
448 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	33.530000	\N	4921587	17237817	9999-12-31	2013-05-08
484	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	30.000000	\N	4921632	2840522	9999-12-31	2013-05-08
484	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	40.000000	\N	4921632	4530695	9999-12-31	2013-05-08
484	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	30.000000	\N	4921632	21631209	9999-12-31	2013-05-08
484	2012-12-31	TO	TRANSFER	Noreco Norway AS	40.000000	\N	4921632	22223020	9999-12-31	2013-05-08
491	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	30.000000	\N	4921667	3500333	9999-12-31	2013-05-08
491	2009-12-23	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	30.000000	\N	4921667	4460425	9999-12-31	2013-05-08
491	2009-01-01	FROM	TRANSFER	Det norske oljeselskap ASA (old)	20.000000	\N	4921667	4539989	9999-12-31	2013-05-08
491	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	20.000000	\N	4921667	4539989	9999-12-31	2013-05-08
491	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	30.000000	\N	4921667	17342915	9999-12-31	2013-05-08
491	2009-01-01	TO	TRANSFER	Talisman Energy Norge AS	20.000000	\N	4921667	2425093	9999-12-31	2013-05-08
491	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	20.000000	\N	4921667	17342870	9999-12-31	2013-05-08
491	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	30.000000	\N	4921667	17342870	9999-12-31	2013-05-08
491	2009-12-23	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	30.000000	\N	4921667	17342915	9999-12-31	2013-05-08
491	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	30.000000	\N	4921667	18108745	9999-12-31	2013-05-08
229 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	35.000000	\N	4921701	4511854	9999-12-31	2013-05-08
229 C	2008-03-01	FROM	CHANGE OF COMPANY NAME	Noil Energy ASA	15.000000	\N	4921701	4539976	9999-12-31	2013-05-08
229 C	2008-03-02	FROM	TRANSFER	Det norske oljeselskap ASA (old)	15.000000	\N	4921701	4539989	9999-12-31	2013-05-08
229 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	35.000000	\N	4921701	4511658	9999-12-31	2013-05-08
229 C	2008-03-02	TO	TRANSFER	StatoilHydro ASA	15.000000	\N	4921701	4511854	9999-12-31	2013-05-08
229 C	2008-03-01	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap ASA (old)	15.000000	\N	4921701	4539989	9999-12-31	2013-05-08
485	2009-01-17	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	40.000000	\N	4921710	3431773	9999-12-31	2013-05-08
485	2008-03-01	FROM	TRANSFER	Concedo ASA	15.000000	\N	4921710	4460794	9999-12-31	2013-05-08
485	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	15.000000	\N	4921710	4539989	9999-12-31	2013-05-08
485	2008-03-01	TO	TRANSFER	Det norske oljeselskap ASA (old)	15.000000	\N	4921710	4539989	9999-12-31	2013-05-08
485	2009-01-17	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	4921710	5442509	9999-12-31	2013-05-08
485	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	15.000000	\N	4921710	17342870	9999-12-31	2013-05-08
483 S	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	30.000000	\N	4921755	3500333	9999-12-31	2013-05-08
483 S	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	40.000000	\N	4921755	4539989	9999-12-31	2013-05-08
483 S	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	40.000000	\N	4921755	17342870	9999-12-31	2013-05-08
483 S	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	30.000000	\N	4921755	18108745	9999-12-31	2013-05-08
492	2012-06-29	FROM	TRANSFER	RWE Dea Norge AS	30.000000	\N	4925088	97557	9999-12-31	2013-05-08
492	2012-06-27	FROM	TRANSFER	Talisman Energy Norge AS	10.000000	\N	4925088	2425093	9999-12-31	2013-05-08
492	2010-04-30	FROM	TRANSFER	Lundin Norway AS	10.000000	\N	4925088	2767314	9999-12-31	2013-05-08
492	2012-11-30	FROM	TRANSFER	Lundin Norway AS	10.000000	\N	4925088	2767314	9999-12-31	2013-05-08
492	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	4925088	4530695	9999-12-31	2013-05-08
492	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	30.000000	\N	4925088	4539989	9999-12-31	2013-05-08
492	2012-07-01	FROM	TRANSFER	Det norske oljeselskap ASA	10.000000	\N	4925088	17342870	9999-12-31	2013-05-08
492	2010-04-30	TO	TRANSFER	Talisman Energy Norge AS	10.000000	\N	4925088	2425093	9999-12-31	2013-05-08
492	2012-06-27	TO	TRANSFER	Lundin Norway AS	10.000000	\N	4925088	2767314	9999-12-31	2013-05-08
492	2012-06-29	TO	TRANSFER	Lundin Norway AS	10.000000	\N	4925088	2767314	9999-12-31	2013-05-08
492	2012-07-01	TO	TRANSFER	Norwegian Energy Company ASA	10.000000	\N	4925088	4530695	9999-12-31	2013-05-08
492	2012-11-30	TO	TRANSFER	Norwegian Energy Company ASA	10.000000	\N	4925088	4530695	9999-12-31	2013-05-08
492	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	30.000000	\N	4925088	17342870	9999-12-31	2013-05-08
492	2012-06-29	TO	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	4925088	17342870	9999-12-31	2013-05-08
492	2012-12-31	TO	TRANSFER	Noreco Norway AS	20.000000	\N	4925088	22223020	9999-12-31	2013-05-08
159 C	2008-02-14	FROM	TRANSFER	E.ON Ruhrgas Norge AS	40.000000	\N	4939362	2840522	9999-12-31	2013-05-08
159 C	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	40.000000	\N	4939362	2840522	9999-12-31	2013-05-08
159 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	4939362	4511658	9999-12-31	2013-05-08
159 C	2008-02-15	FROM	TRANSFER	StatoilHydro ASA	40.000000	\N	4939362	4511854	9999-12-31	2013-05-08
159 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	4939362	4511854	9999-12-31	2013-05-08
159 C	2008-02-15	TO	TRANSFER	E.ON Ruhrgas Norge AS	40.000000	\N	4939362	2840522	9999-12-31	2013-05-08
159 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	4939362	4511658	9999-12-31	2013-05-08
159 C	2008-02-14	TO	TRANSFER	StatoilHydro ASA	40.000000	\N	4939362	4511854	9999-12-31	2013-05-08
159 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	4939362	17237817	9999-12-31	2013-05-08
159 C	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	40.000000	\N	4939362	21631209	9999-12-31	2013-05-08
159 D	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	40.000000	\N	4939421	2840522	9999-12-31	2013-05-08
159 D	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	4939421	4511658	9999-12-31	2013-05-08
159 D	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	50.000000	\N	4939421	4511854	9999-12-31	2013-05-08
159 D	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	50.000000	\N	4939421	4511658	9999-12-31	2013-05-08
159 D	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	4939421	17237817	9999-12-31	2013-05-08
159 D	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	40.000000	\N	4939421	21631209	9999-12-31	2013-05-08
027 D	2009-07-30	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	25.000000	\N	4943160	2835212	9999-12-31	2013-05-08
027 D	2009-07-31	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	25.000000	\N	4943160	2835212	9999-12-31	2013-05-08
027 D	2010-03-30	FROM	CHANGE OF COMPANY NAME	Bridge Energy AS	10.000000	\N	4943160	4062933	9999-12-31	2013-05-08
027 D	2008-01-01	FROM	TRANSFER	Dana Petroleum Norway AS	10.000000	\N	4943160	4526555	9999-12-31	2013-05-08
027 D	2009-08-01	FROM	TRANSFER	Dana Petroleum Norway AS	10.000000	\N	4943160	4526555	9999-12-31	2013-05-08
027 D	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	35.000000	\N	4943160	4539989	9999-12-31	2013-05-08
027 D	2009-08-01	TO	TRANSFER	Bridge Energy AS	10.000000	\N	4943160	4062933	9999-12-31	2013-05-08
027 D	2008-01-01	TO	TRANSFER	Det norske oljeselskap ASA (old)	10.000000	\N	4943160	4539989	9999-12-31	2013-05-08
027 D	2009-07-31	TO	TRANSFER	Det norske oljeselskap ASA (old)	25.000000	\N	4943160	4539989	9999-12-31	2013-05-08
027 D	2009-07-30	TO	TRANSFER	Det norske oljeselskap ASA	25.000000	\N	4943160	17342870	9999-12-31	2013-05-08
027 D	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	35.000000	\N	4943160	17342870	9999-12-31	2013-05-08
027 D	2010-03-30	TO	CHANGE OF COMPANY NAME	Bridge Energy Norge AS	10.000000	\N	4943160	18178215	9999-12-31	2013-05-08
263 C	2008-04-19	FROM	TRANSFER	Bayerngas Norge AS	30.000000	\N	4966437	4444493	9999-12-31	2013-05-08
263 C	2008-04-19	FROM	TRANSFER	StatoilHydro Petroleum AS	40.000000	\N	4966437	4511658	9999-12-31	2013-05-08
263 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	45.750000	\N	4966437	4511658	9999-12-31	2013-05-08
263 C	2008-04-19	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	4966437	4511854	9999-12-31	2013-05-08
263 C	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	45.750000	\N	4966437	4511854	9999-12-31	2013-05-08
263 C	2008-04-19	TO	TRANSFER	Petoro AS	19.950000	\N	4966437	1626839	9999-12-31	2013-05-08
263 C	2008-04-19	TO	TRANSFER	Eni Norge AS	9.800000	\N	4966437	2388594	9999-12-31	2013-05-08
263 C	2008-04-19	TO	TRANSFER	Total E&P Norge AS	24.500000	\N	4966437	2410708	9999-12-31	2013-05-08
263 C	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	45.750000	\N	4966437	4511658	9999-12-31	2013-05-08
263 C	2008-04-19	TO	TRANSFER	StatoilHydro ASA	45.750000	\N	4966437	4511854	9999-12-31	2013-05-08
263 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	45.750000	\N	4966437	17237817	9999-12-31	2013-05-08
212 E	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	25.000000	\N	4966902	2840522	9999-12-31	2013-05-08
212 E	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	30.000000	\N	4966902	4511658	9999-12-31	2013-05-08
212 E	2009-01-01	FROM	TRANSFER	StatoilHydro ASA	30.000000	\N	4966902	4511854	9999-12-31	2013-05-08
212 E	2009-01-01	TO	TRANSFER	StatoilHydro Petroleum AS	30.000000	\N	4966902	4511658	9999-12-31	2013-05-08
212 E	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	30.000000	\N	4966902	17237817	9999-12-31	2013-05-08
212 E	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	25.000000	\N	4966902	21631209	9999-12-31	2013-05-08
301 CS	2008-05-22	FROM	TRANSFER	Talisman Energy Norge AS	18.000000	\N	4973200	2425093	9999-12-31	2013-05-08
301 CS	2010-01-01	FROM	TRANSFER	Talisman Energy Norge AS	22.000000	\N	4973200	2425093	9999-12-31	2013-05-08
301 CS	2008-05-22	FROM	TRANSFER	DONG E&P Norge AS	12.000000	\N	4973200	4070011	9999-12-31	2013-05-08
301 CS	2010-01-01	TO	TRANSFER	ConocoPhillips Skandinavia AS	22.000000	\N	4973200	2410696	9999-12-31	2013-05-08
301 CS	2008-05-22	TO	TRANSFER	OMV (Norge) AS	30.000000	\N	4973200	4460594	9999-12-31	2013-05-08
036 D	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	46.904000	\N	5081703	463	9999-12-31	2013-05-08
036 D	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	28.853000	\N	5081703	4511658	9999-12-31	2013-05-08
036 D	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	28.853000	\N	5081703	17237817	9999-12-31	2013-05-08
036 D	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	46.904000	\N	5081703	20485291	9999-12-31	2013-05-08
035 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	5105684	4511658	9999-12-31	2013-05-08
035 B	2008-11-27	FROM	TRANSFER	Det norske oljeselskap ASA (old)	10.000000	\N	5105684	4539989	9999-12-31	2013-05-08
035 B	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	15.000000	\N	5105684	4539989	9999-12-31	2013-05-08
035 B	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	50.000000	\N	5105684	17237817	9999-12-31	2013-05-08
035 B	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	50.000000	\N	5105684	4238233	9999-12-31	2013-05-08
035 B	2008-11-27	TO	TRANSFER	Dana Petroleum Norway AS	10.000000	\N	5105684	4526555	9999-12-31	2013-05-08
035 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	5105684	17237817	9999-12-31	2013-05-08
035 B	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	15.000000	\N	5105684	17342870	9999-12-31	2013-05-08
494	2010-03-30	FROM	CHANGE OF COMPANY NAME	Bridge Energy AS	30.000000	\N	5105899	4062933	9999-12-31	2013-05-08
494	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	30.000000	\N	5105899	4539989	9999-12-31	2013-05-08
494	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	30.000000	\N	5105899	17342870	9999-12-31	2013-05-08
494	2010-03-30	TO	CHANGE OF COMPANY NAME	Bridge Energy Norge AS	30.000000	\N	5105899	18178215	9999-12-31	2013-05-08
495	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	40.000000	\N	5105968	5072514	9999-12-31	2013-05-08
495	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	40.000000	\N	5105968	23173852	9999-12-31	2013-05-08
497	2010-03-30	FROM	CHANGE OF COMPANY NAME	Bridge Energy AS	30.000000	\N	5106073	4062933	9999-12-31	2013-05-08
497	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	35.000000	\N	5106073	4539989	9999-12-31	2013-05-08
497	2012-09-28	FROM	TRANSFER	Bridge Energy Norge AS	15.000000	\N	5106073	18178215	9999-12-31	2013-05-08
497	2013-04-20	FROM	CHANGE OF COMPANY NAME	Agora Oil & Gas AS	15.000000	\N	5106073	18386322	9999-12-31	2013-05-08
497	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	35.000000	\N	5106073	17342870	9999-12-31	2013-05-08
497	2010-03-30	TO	CHANGE OF COMPANY NAME	Bridge Energy Norge AS	30.000000	\N	5106073	18178215	9999-12-31	2013-05-08
497	2012-09-28	TO	TRANSFER	Agora Oil & Gas AS	15.000000	\N	5106073	18386322	9999-12-31	2013-05-08
497	2013-04-20	TO	CHANGE OF COMPANY NAME	Capricorn Norge AS	15.000000	\N	5106073	23297570	9999-12-31	2013-05-08
498	2009-10-28	FROM	CHANGE OF COMPANY NAME	Edison International Spa	25.000000	\N	5106134	4062871	9999-12-31	2013-05-08
498	2012-12-31	FROM	TRANSFER	4Sea Energy AS	25.000000	\N	5106134	4504118	9999-12-31	2013-05-08
498	2009-10-28	TO	CHANGE OF COMPANY NAME	Edison International Norway Branch	25.000000	\N	5106134	17237180	9999-12-31	2013-05-08
498	2012-12-31	TO	TRANSFER	North Energy ASA	25.000000	\N	5106134	18082156	9999-12-31	2013-05-08
499 S	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	5106238	4511658	9999-12-31	2013-05-08
499 S	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	5106238	17237817	9999-12-31	2013-05-08
500	2010-12-30	FROM	CHANGE OF COMPANY NAME	Skeie Energy AS (Old)	35.000000	\N	5106274	4511646	2013-03-19	2013-05-08
500	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	35.000000	\N	5106274	4539989	9999-12-31	2013-05-08
500	2011-09-30	FROM	TRANSFER	Spring Energy Norway AS	30.000000	\N	5106274	5072514	9999-12-31	2013-05-08
500	2011-07-27	FROM	TRANSFER	Det norske oljeselskap ASA	35.000000	\N	5106274	17342870	9999-12-31	2013-05-08
500	2012-01-01	FROM	TRANSFER	Fortis Petroleum Norway AS	25.000000	\N	5106274	18386334	9999-12-31	2013-05-08
500	2011-12-16	FROM	TRANSFER	E&P Holding AS	35.000000	\N	5106274	20109546	9999-12-31	2013-05-08
500	2011-07-27	TO	TRANSFER	Statoil Petroleum AS	35.000000	\N	5106274	17237817	9999-12-31	2013-05-08
500	2012-01-01	TO	TRANSFER	Statoil Petroleum AS	25.000000	\N	5106274	17237817	9999-12-31	2013-05-08
500	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	35.000000	\N	5106274	17342870	9999-12-31	2013-05-08
500	2011-09-30	TO	TRANSFER	Fortis Petroleum Norway AS	30.000000	\N	5106274	18386334	9999-12-31	2013-05-08
500	2011-12-16	TO	TRANSFER	Fortis Petroleum Norway AS	35.000000	\N	5106274	18386334	9999-12-31	2013-05-08
500	2010-12-30	TO	CHANGE OF COMPANY NAME	E&P Holding AS	35.000000	\N	5106274	20109546	9999-12-31	2013-05-08
501	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	5106314	4511658	9999-12-31	2013-05-08
501	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	5106314	17237817	9999-12-31	2013-05-08
502	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	44.444440	\N	5106378	4511658	9999-12-31	2013-05-08
502	2009-01-24	FROM	TRANSFER	Det norske oljeselskap ASA (old)	11.111110	\N	5106378	4539989	9999-12-31	2013-05-08
502	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	22.222220	\N	5106378	4539989	9999-12-31	2013-05-08
502	2009-01-24	TO	TRANSFER	StatoilHydro Petroleum AS	11.111110	\N	5106378	4511658	9999-12-31	2013-05-08
502	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	44.444440	\N	5106378	17237817	9999-12-31	2013-05-08
502	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	22.222220	\N	5106378	17342870	9999-12-31	2013-05-08
503	2009-10-28	FROM	CHANGE OF COMPANY NAME	Edison International Spa	25.000000	\N	5106405	4062871	9999-12-31	2013-05-08
503	2012-12-31	FROM	TRANSFER	4Sea Energy AS	25.000000	\N	5106405	4504118	9999-12-31	2013-05-08
503	2009-10-28	TO	CHANGE OF COMPANY NAME	Edison International Norway Branch	25.000000	\N	5106405	17237180	9999-12-31	2013-05-08
503	2012-12-31	TO	TRANSFER	North Energy ASA	25.000000	\N	5106405	18082156	9999-12-31	2013-05-08
504	2010-03-30	FROM	CHANGE OF COMPANY NAME	Bridge Energy AS	8.500000	\N	5106455	4062933	9999-12-31	2013-05-08
504	2009-07-31	FROM	TRANSFER	Dana Petroleum Norway AS	8.500000	\N	5106455	4526555	9999-12-31	2013-05-08
504	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	58.500000	\N	5106455	4539989	9999-12-31	2013-05-08
504	2012-01-01	FROM	TRANSFER	Det norske oljeselskap ASA	29.230000	\N	5106455	17342870	9999-12-31	2013-05-08
504	2012-01-01	TO	TRANSFER	Petoro AS	29.230000	\N	5106455	1626839	9999-12-31	2013-05-08
504	2009-07-31	TO	TRANSFER	Bridge Energy AS	8.500000	\N	5106455	4062933	9999-12-31	2013-05-08
504	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	58.500000	\N	5106455	17342870	9999-12-31	2013-05-08
504	2010-03-30	TO	CHANGE OF COMPANY NAME	Bridge Energy Norge AS	8.500000	\N	5106455	18178215	9999-12-31	2013-05-08
505	2011-06-30	FROM	TRANSFER	Marathon Petroleum Norge AS	15.000000	\N	5106486	463	9999-12-31	2013-05-08
505	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	35.000000	\N	5106486	463	9999-12-31	2013-05-08
505	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	20.000000	\N	5106486	3113213	9999-12-31	2013-05-08
505	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	20.000000	\N	5106486	5497155	9999-12-31	2013-05-08
505	2011-06-30	TO	TRANSFER	Maersk Oil Norway AS	15.000000	\N	5106486	4719674	9999-12-31	2013-05-08
505	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	20.000000	\N	5106486	5497155	9999-12-31	2013-05-08
505	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	20.000000	\N	5106486	17237193	9999-12-31	2013-05-08
505	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	35.000000	\N	5106486	20485291	9999-12-31	2013-05-08
506 S	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	30.000000	\N	5106544	3500333	9999-12-31	2013-05-08
506 S	2012-05-24	FROM	TRANSFER	Rocksource ASA	25.000000	\N	5106544	4062921	9999-12-31	2013-05-08
506 S	2012-12-31	FROM	TRANSFER	Rocksource ASA	25.000000	\N	5106544	4062921	9999-12-31	2013-05-08
506 S	2012-10-03	FROM	TRANSFER	Front Exploration AS	30.000000	\N	5106544	18108745	9999-12-31	2013-05-08
506 S	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	30.000000	\N	5106544	18108745	9999-12-31	2013-05-08
506 S	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	25.000000	\N	5106544	21104529	9999-12-31	2013-05-08
506 S	2012-10-03	TO	TRANSFER	Petrolia Norway AS	30.000000	\N	5106544	21593704	9999-12-31	2013-05-08
506 S	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	25.000000	\N	5106544	22528729	9999-12-31	2013-05-08
518	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	20.000000	\N	5106560	3500333	9999-12-31	2013-05-08
518	2011-10-08	FROM	CHANGE OF COMPANY NAME	Sagex Petroleum Norge AS	10.000000	\N	5106560	4504106	9999-12-31	2013-05-08
518	2009-12-17	FROM	CHANGE OF COMPANY NAME	North Energy AS	30.000000	\N	5106560	4706034	9999-12-31	2013-05-08
518	2012-10-31	FROM	TRANSFER	Front Exploration AS	20.000000	\N	5106560	18108745	9999-12-31	2013-05-08
518	2012-10-31	TO	TRANSFER	DONG E&P Norge AS	20.000000	\N	5106560	4070011	9999-12-31	2013-05-08
518	2009-12-17	TO	CHANGE OF COMPANY NAME	North Energy ASA	30.000000	\N	5106560	18082156	9999-12-31	2013-05-08
518	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	20.000000	\N	5106560	18108745	9999-12-31	2013-05-08
518	2011-10-08	TO	CHANGE OF COMPANY NAME	Valiant Petroleum Norge AS	10.000000	\N	5106560	21104529	9999-12-31	2013-05-08
507	2009-01-24	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	5106689	3431773	9999-12-31	2013-05-08
507	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	20.000000	\N	5106689	5072514	9999-12-31	2013-05-08
507	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	5106689	5442509	9999-12-31	2013-05-08
507	2009-01-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	5106689	5442509	9999-12-31	2013-05-08
507	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	30.000000	\N	5106689	21666830	9999-12-31	2013-05-08
507	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	20.000000	\N	5106689	23173852	9999-12-31	2013-05-08
508 S	2011-07-16	FROM	MERGER/TAKEOVER	Wintershall Norge AS (old)	30.000000	\N	5106810	3482302	9999-12-31	2013-05-08
508 S	2009-11-30	FROM	TRANSFER	Nexen Exploration Norge AS	20.000000	\N	5106810	4062831	9999-12-31	2013-05-08
508 S	2009-11-30	FROM	TRANSFER	Aker Exploration AS	10.000000	\N	5106810	4460425	9999-12-31	2013-05-08
508 S	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	30.000000	\N	5106810	4460425	9999-12-31	2013-05-08
508 S	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	30.000000	\N	5106810	17342915	9999-12-31	2013-05-08
508 S	2009-11-30	TO	TRANSFER	Wintershall Norge AS (old)	30.000000	\N	5106810	3482302	9999-12-31	2013-05-08
508 S	2011-07-16	TO	MERGER/TAKEOVER	Wintershall Norge ASA	30.000000	\N	5106810	5442509	9999-12-31	2013-05-08
508 S	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	30.000000	\N	5106810	17342870	9999-12-31	2013-05-08
508 S	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	30.000000	\N	5106810	17342915	9999-12-31	2013-05-08
509 S	2009-01-24	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	40.000000	\N	5106880	3431773	9999-12-31	2013-05-08
509 S	2010-12-30	FROM	CHANGE OF COMPANY NAME	Skeie Energy AS (Old)	30.000000	\N	5106880	4511646	2013-03-19	2013-05-08
509 S	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	30.000000	\N	5106880	5072514	9999-12-31	2013-05-08
509 S	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	5106880	5442509	9999-12-31	2013-05-08
509 S	2011-12-16	FROM	TRANSFER	E&P Holding AS	30.000000	\N	5106880	20109546	9999-12-31	2013-05-08
509 S	2009-01-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	5106880	5442509	9999-12-31	2013-05-08
509 S	2011-12-16	TO	TRANSFER	Fortis Petroleum Norway AS	30.000000	\N	5106880	18386334	9999-12-31	2013-05-08
509 S	2010-12-30	TO	CHANGE OF COMPANY NAME	E&P Holding AS	30.000000	\N	5106880	20109546	9999-12-31	2013-05-08
509 S	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	40.000000	\N	5106880	21666830	9999-12-31	2013-05-08
509 S	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	30.000000	\N	5106880	23173852	9999-12-31	2013-05-08
510	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	20.000000	\N	5106991	2840522	9999-12-31	2013-05-08
510	2012-10-12	FROM	TRANSFER	Faroe Petroleum Norge AS	20.000000	\N	5106991	4062883	9999-12-31	2013-05-08
510	2012-10-12	FROM	TRANSFER	Centrica Resources (Norge) AS	40.000000	\N	5106991	4238233	9999-12-31	2013-05-08
510	2010-04-20	FROM	CHANGE OF COMPANY NAME	North Energy AS	20.000000	\N	5106991	4706034	9999-12-31	2013-05-08
510	2013-01-01	FROM	TRANSFER	North Energy ASA	80.000000	\N	5106991	18082156	9999-12-31	2013-05-08
510	2012-10-12	FROM	TRANSFER	E.ON E&P Norge AS	20.000000	\N	5106991	21631209	9999-12-31	2013-05-08
510	2013-01-01	TO	TRANSFER	Maersk Oil Norway AS	50.000000	\N	5106991	4719674	9999-12-31	2013-05-08
510	2013-01-01	TO	TRANSFER	Edison International Norway Branch	30.000000	\N	5106991	17237180	9999-12-31	2013-05-08
510	2010-04-20	TO	CHANGE OF COMPANY NAME	North Energy ASA	20.000000	\N	5106991	18082156	9999-12-31	2013-05-08
510	2012-10-12	TO	TRANSFER	North Energy ASA	80.000000	\N	5106991	18082156	9999-12-31	2013-05-08
510	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	20.000000	\N	5106991	21631209	9999-12-31	2013-05-08
517	2011-10-08	FROM	CHANGE OF COMPANY NAME	Sagex Petroleum Norge AS	40.000000	\N	5107074	4504106	9999-12-31	2013-05-08
517	2011-10-08	TO	CHANGE OF COMPANY NAME	Valiant Petroleum Norge AS	40.000000	\N	5107074	21104529	9999-12-31	2013-05-08
516	2009-09-01	FROM	TRANSFER	StatoilHydro Petroleum AS	11.500000	\N	5107101	4511658	9999-12-31	2013-05-08
516	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	63.954550	\N	5107101	4511658	9999-12-31	2013-05-08
516	2009-09-01	TO	TRANSFER	Eni Norge AS	11.500000	\N	5107101	2388594	9999-12-31	2013-05-08
516	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	63.954550	\N	5107101	17237817	9999-12-31	2013-05-08
514	2009-01-24	FROM	TRANSFER	Eni Norge AS	30.000000	\N	5107175	2388594	9999-12-31	2013-05-08
514	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	5107175	4511658	9999-12-31	2013-05-08
514	2009-01-24	TO	TRANSFER	DONG E&P Norge AS	30.000000	\N	5107175	4070011	9999-12-31	2013-05-08
514	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	5107175	17237817	9999-12-31	2013-05-08
432 B	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	100.000000	\N	5107289	4539989	9999-12-31	2013-05-08
432 B	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	100.000000	\N	5107289	17342870	9999-12-31	2013-05-08
512	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	30.000000	\N	5107312	4539989	9999-12-31	2013-05-08
512	2009-12-30	FROM	TRANSFER	Repsol Exploracion S.A.	25.000000	\N	5107312	5072554	9999-12-31	2013-05-08
512	2009-12-30	TO	TRANSFER	Repsol Exploration Norge AS	25.000000	\N	5107312	17237506	9999-12-31	2013-05-08
512	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	30.000000	\N	5107312	17342870	9999-12-31	2013-05-08
107 B	2009-01-24	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	20.000000	\N	5107376	1628733	9999-12-31	2013-05-08
107 B	2011-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	20.000000	\N	5107376	2835212	9999-12-31	2013-05-08
107 B	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	30.000000	\N	5107376	2840522	9999-12-31	2013-05-08
107 B	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	2.500000	\N	5107376	3113213	9999-12-31	2013-05-08
107 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	5107376	4511658	9999-12-31	2013-05-08
107 B	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	5107376	5497155	9999-12-31	2013-05-08
107 B	2009-01-24	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	20.000000	\N	5107376	5267845	9999-12-31	2013-05-08
107 B	2011-01-01	TO	TRANSFER	GDF SUEZ E&P Norge AS	20.000000	\N	5107376	5267845	9999-12-31	2013-05-08
107 B	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	5107376	5497155	9999-12-31	2013-05-08
107 B	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	2.500000	\N	5107376	17237193	9999-12-31	2013-05-08
107 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	5107376	17237817	9999-12-31	2013-05-08
107 B	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	30.000000	\N	5107376	21631209	9999-12-31	2013-05-08
511	2010-01-01	FROM	TRANSFER	Wintershall Norge AS (old)	10.000000	\N	5107428	3482302	9999-12-31	2013-05-08
511	2011-07-16	FROM	MERGER/TAKEOVER	Wintershall Norge AS (old)	25.000000	\N	5107428	3482302	9999-12-31	2013-05-08
511	2010-03-30	FROM	CHANGE OF COMPANY NAME	Bridge Energy AS	20.000000	\N	5107428	4062933	9999-12-31	2013-05-08
511	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	10.000000	\N	5107428	5072514	9999-12-31	2013-05-08
511	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	25.000000	\N	5107428	5442509	9999-12-31	2013-05-08
511	2010-06-30	FROM	TRANSFER	Bridge Energy Norge AS	12.500000	\N	5107428	18178215	9999-12-31	2013-05-08
511	2010-01-01	TO	TRANSFER	Spring Energy Norway AS	10.000000	\N	5107428	5072514	9999-12-31	2013-05-08
511	2011-07-16	TO	MERGER/TAKEOVER	Wintershall Norge ASA	25.000000	\N	5107428	5442509	9999-12-31	2013-05-08
511	2010-06-30	TO	TRANSFER	VNG Norge AS	12.500000	\N	5107428	17237193	9999-12-31	2013-05-08
511	2010-03-30	TO	CHANGE OF COMPANY NAME	Bridge Energy Norge AS	20.000000	\N	5107428	18178215	9999-12-31	2013-05-08
511	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	25.000000	\N	5107428	21666830	9999-12-31	2013-05-08
511	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	10.000000	\N	5107428	23173852	9999-12-31	2013-05-08
193 B	2010-01-01	FROM	TRANSFER	A/S Norske Shell	6.450000	\N	5107611	562	9999-12-31	2013-05-08
193 B	2012-01-13	FROM	TRANSFER	Total E&P Norge AS	5.000000	\N	5107611	2410708	9999-12-31	2013-05-08
193 B	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	58.550000	\N	5107611	4511658	9999-12-31	2013-05-08
193 B	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	13.000000	\N	5107611	17237817	9999-12-31	2013-05-08
193 B	2010-01-01	TO	TRANSFER	Enterprise Oil Norge AS	6.450000	\N	5107611	1853786	9999-12-31	2013-05-08
193 B	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	13.000000	\N	5107611	4238233	9999-12-31	2013-05-08
193 B	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	58.550000	\N	5107611	17237817	9999-12-31	2013-05-08
193 B	2012-01-13	TO	TRANSFER	Statoil Petroleum AS	5.000000	\N	5107611	17237817	9999-12-31	2013-05-08
475 BS	2009-01-25	FROM	CHANGE OF COMPANY NAME	Revus Energy ASA	30.000000	\N	5107669	3431773	9999-12-31	2013-05-08
475 BS	2011-01-01	FROM	TRANSFER	Faroe Petroleum Norge AS	30.000000	\N	5107669	4062883	9999-12-31	2013-05-08
475 BS	2009-01-24	FROM	TRANSFER	Concedo ASA	10.000000	\N	5107669	4460794	9999-12-31	2013-05-08
475 BS	2011-09-30	FROM	TRANSFER	Concedo ASA	10.000000	\N	5107669	4460794	9999-12-31	2013-05-08
475 BS	2011-09-30	FROM	TRANSFER	Spring Energy Norway AS	15.000000	\N	5107669	5072514	9999-12-31	2013-05-08
475 BS	2010-01-01	FROM	TRANSFER	Wintershall Norge ASA	15.000000	\N	5107669	5442509	9999-12-31	2013-05-08
475 BS	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	50.000000	\N	5107669	5442509	9999-12-31	2013-05-08
475 BS	2011-01-01	TO	TRANSFER	Petoro AS	30.000000	\N	5107669	1626839	9999-12-31	2013-05-08
475 BS	2010-01-01	TO	TRANSFER	Spring Energy Norway AS	15.000000	\N	5107669	5072514	9999-12-31	2013-05-08
475 BS	2009-01-24	TO	TRANSFER	Wintershall Norge ASA	10.000000	\N	5107669	5442509	9999-12-31	2013-05-08
475 BS	2009-01-25	TO	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	5107669	5442509	9999-12-31	2013-05-08
475 BS	2011-09-30	TO	TRANSFER	Wintershall Norge ASA	25.000000	\N	5107669	5442509	9999-12-31	2013-05-08
475 BS	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	50.000000	\N	5107669	21666830	9999-12-31	2013-05-08
107 C	2009-01-24	FROM	CHANGE OF COMPANY NAME	Gaz de France Norge AS	20.000000	\N	5115394	1628733	9999-12-31	2013-05-08
107 C	2011-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	20.000000	\N	5115394	2835212	9999-12-31	2013-05-08
107 C	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	30.000000	\N	5115394	2840522	9999-12-31	2013-05-08
107 C	2009-05-26	FROM	CHANGE OF COMPANY NAME	Endeavour Energy Norge AS	2.500000	\N	5115394	3113213	9999-12-31	2013-05-08
107 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	5115394	4511658	9999-12-31	2013-05-08
107 C	2009-10-01	FROM	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	5115394	5497155	9999-12-31	2013-05-08
107 C	2011-01-02	TO	TRANSFER	Faroe Petroleum Norge AS	7.500000	\N	5115394	4062883	9999-12-31	2013-05-08
107 C	2009-01-24	TO	CHANGE OF COMPANY NAME	GDF SUEZ E&P Norge AS	20.000000	\N	5115394	5267845	9999-12-31	2013-05-08
107 C	2011-01-01	TO	TRANSFER	GDF SUEZ E&P Norge AS	20.000000	\N	5115394	5267845	9999-12-31	2013-05-08
107 C	2009-05-26	TO	CHANGE OF COMPANY NAME	VNG Norge (Operations) AS	2.500000	\N	5115394	5497155	9999-12-31	2013-05-08
107 C	2009-10-01	TO	CHANGE OF COMPANY NAME	VNG Norge AS	2.500000	\N	5115394	17237193	9999-12-31	2013-05-08
107 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	5115394	17237817	9999-12-31	2013-05-08
107 C	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	30.000000	\N	5115394	21631209	9999-12-31	2013-05-08
519	2010-07-06	FROM	MERGER/TAKEOVER	Genesis Petroleum Norway AS	20.000000	\N	5463084	4062957	9999-12-31	2013-05-08
519	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	5463084	4530695	9999-12-31	2013-05-08
519	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	20.000000	\N	5463084	5072514	9999-12-31	2013-05-08
519	2010-07-06	TO	MERGER/TAKEOVER	Bayerngas Norge AS	20.000000	\N	5463084	4444493	9999-12-31	2013-05-08
519	2012-12-31	TO	TRANSFER	Noreco Norway AS	20.000000	\N	5463084	22223020	9999-12-31	2013-05-08
519	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	20.000000	\N	5463084	23173852	9999-12-31	2013-05-08
318 C	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	60.000000	\N	5463114	4511658	9999-12-31	2013-05-08
318 C	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	60.000000	\N	5463114	17237817	9999-12-31	2013-05-08
520	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	50.000000	\N	5463136	4530695	9999-12-31	2013-05-08
520	2012-12-31	TO	TRANSFER	Noreco Norway AS	50.000000	\N	5463136	22223020	9999-12-31	2013-05-08
521	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	5463210	4511658	9999-12-31	2013-05-08
521	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	5463210	17237817	9999-12-31	2013-05-08
522	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	20.000000	\N	5463248	4460425	9999-12-31	2013-05-08
522	2011-01-01	FROM	TRANSFER	Det norske oljeselskap ASA	10.000000	\N	5463248	17342870	9999-12-31	2013-05-08
522	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	20.000000	\N	5463248	17342915	9999-12-31	2013-05-08
522	2011-01-01	TO	TRANSFER	Centrica Resources (Norge) AS	10.000000	\N	5463248	4238233	9999-12-31	2013-05-08
522	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	5463248	17342870	9999-12-31	2013-05-08
522	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	20.000000	\N	5463248	17342915	9999-12-31	2013-05-08
523	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	40.000000	\N	5463304	2840522	9999-12-31	2013-05-08
523	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	20.000000	\N	5463304	4460425	9999-12-31	2013-05-08
523	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	20.000000	\N	5463304	17342915	9999-12-31	2013-05-08
523	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	5463304	17342870	9999-12-31	2013-05-08
523	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	20.000000	\N	5463304	17342915	9999-12-31	2013-05-08
523	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	40.000000	\N	5463304	21631209	9999-12-31	2013-05-08
524	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	75.000000	\N	5463333	4511658	9999-12-31	2013-05-08
524	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	75.000000	\N	5463333	17237817	9999-12-31	2013-05-08
525	2012-05-15	FROM	MERGER/TAKEOVER	Hess Norge AS	50.000000	\N	5463362	4038735	9999-12-31	2013-05-08
525	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	100.000000	\N	5463362	4530695	9999-12-31	2013-05-08
525	2012-05-15	TO	MERGER/TAKEOVER	Norwegian Energy Company ASA	50.000000	\N	5463362	4530695	9999-12-31	2013-05-08
525	2012-12-31	TO	TRANSFER	Noreco Norway AS	100.000000	\N	5463362	22223020	9999-12-31	2013-05-08
526	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	20.000000	\N	5463391	2840522	9999-12-31	2013-05-08
526	2012-05-15	FROM	TRANSFER	Dana Petroleum Norway AS	20.000000	\N	5463391	4526555	9999-12-31	2013-05-08
526	2012-07-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	5463391	4530695	9999-12-31	2013-05-08
526	2010-04-20	FROM	CHANGE OF COMPANY NAME	North Energy AS	40.000000	\N	5463391	4706034	9999-12-31	2013-05-08
526	2010-04-20	TO	CHANGE OF COMPANY NAME	North Energy ASA	40.000000	\N	5463391	18082156	9999-12-31	2013-05-08
526	2012-05-15	TO	TRANSFER	North Energy ASA	20.000000	\N	5463391	18082156	9999-12-31	2013-05-08
526	2012-07-31	TO	TRANSFER	North Energy ASA	6.670000	\N	5463391	18082156	9999-12-31	2013-05-08
526	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	20.000000	\N	5463391	21631209	9999-12-31	2013-05-08
526	2012-07-31	TO	TRANSFER	E.ON E&P Norge AS	13.330000	\N	5463391	21631209	9999-12-31	2013-05-08
527	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	5463429	4511658	9999-12-31	2013-05-08
527	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	5463429	17237817	9999-12-31	2013-05-08
528	2011-02-28	FROM	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	40.000000	\N	5463521	3960945	9999-12-31	2013-05-08
528	2012-05-24	FROM	TRANSFER	Rocksource ASA	25.000000	\N	5463521	4062921	9999-12-31	2013-05-08
528	2012-12-31	FROM	TRANSFER	Rocksource ASA	25.000000	\N	5463521	4062921	9999-12-31	2013-05-08
528	2012-05-15	FROM	TRANSFER	Statoil Petroleum AS	15.000000	\N	5463521	17237817	9999-12-31	2013-05-08
528	2011-09-29	FROM	TRANSFER	Suncor Energy Norge AS	15.000000	\N	5463521	20426420	9999-12-31	2013-05-08
528	2012-05-15	FROM	TRANSFER	Suncor Energy Norge AS	25.000000	\N	5463521	20426420	9999-12-31	2013-05-08
528	2012-05-15	TO	TRANSFER	Rocksource ASA	20.000000	\N	5463521	4062921	9999-12-31	2013-05-08
528	2012-05-15	TO	TRANSFER	Centrica Resources (Norge) AS	20.000000	\N	5463521	4238233	9999-12-31	2013-05-08
528	2011-09-29	TO	TRANSFER	Statoil Petroleum AS	15.000000	\N	5463521	17237817	9999-12-31	2013-05-08
528	2011-02-28	TO	CHANGE OF COMPANY NAME	Suncor Energy Norge AS	40.000000	\N	5463521	20426420	9999-12-31	2013-05-08
528	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	25.000000	\N	5463521	21104529	9999-12-31	2013-05-08
528	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	25.000000	\N	5463521	22528729	9999-12-31	2013-05-08
529	2011-01-01	FROM	TRANSFER	Eni Norge AS	10.000000	\N	5463559	2388594	9999-12-31	2013-05-08
529	2011-07-16	FROM	MERGER/TAKEOVER	Wintershall Norge AS (old)	20.000000	\N	5463559	3482302	9999-12-31	2013-05-08
529	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	5463559	5442509	9999-12-31	2013-05-08
529	2011-07-16	TO	MERGER/TAKEOVER	Wintershall Norge ASA	20.000000	\N	5463559	5442509	9999-12-31	2013-05-08
529	2011-01-01	TO	TRANSFER	Repsol Exploration Norge AS	10.000000	\N	5463559	17237506	9999-12-31	2013-05-08
529	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	20.000000	\N	5463559	21666830	9999-12-31	2013-05-08
530	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	20.000000	\N	5463588	3500333	9999-12-31	2013-05-08
530	2012-05-24	FROM	TRANSFER	Rocksource ASA	10.000000	\N	5463588	4062921	9999-12-31	2013-05-08
530	2012-12-31	FROM	TRANSFER	Rocksource ASA	10.000000	\N	5463588	4062921	9999-12-31	2013-05-08
530	2010-04-20	FROM	CHANGE OF COMPANY NAME	North Energy AS	20.000000	\N	5463588	4706034	9999-12-31	2013-05-08
530	2011-07-29	FROM	TRANSFER	GDF SUEZ E&P Norge AS	10.000000	\N	5463588	5267845	9999-12-31	2013-05-08
530	2012-10-31	FROM	TRANSFER	Front Exploration AS	20.000000	\N	5463588	18108745	9999-12-31	2013-05-08
530	2012-10-31	TO	TRANSFER	DONG E&P Norge AS	20.000000	\N	5463588	4070011	9999-12-31	2013-05-08
530	2011-07-29	TO	TRANSFER	Repsol Exploration Norge AS	10.000000	\N	5463588	17237506	9999-12-31	2013-05-08
530	2010-04-20	TO	CHANGE OF COMPANY NAME	North Energy ASA	20.000000	\N	5463588	18082156	9999-12-31	2013-05-08
530	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	20.000000	\N	5463588	18108745	9999-12-31	2013-05-08
530	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	10.000000	\N	5463588	21104529	9999-12-31	2013-05-08
530	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	10.000000	\N	5463588	22528729	9999-12-31	2013-05-08
531	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	30.000000	\N	5463621	463	9999-12-31	2013-05-08
531	2012-01-01	FROM	TRANSFER	RWE Dea Norge AS	10.000000	\N	5463621	97557	9999-12-31	2013-05-08
531	2012-11-30	FROM	TRANSFER	Talisman Energy Norge AS	12.500000	\N	5463621	2425093	9999-12-31	2013-05-08
531	2011-10-31	FROM	TRANSFER	Marathon Oil Norge AS	20.000000	\N	5463621	20485291	9999-12-31	2013-05-08
531	2012-11-30	TO	TRANSFER	Faroe Petroleum Norge AS	12.500000	\N	5463621	4062883	9999-12-31	2013-05-08
531	2011-10-31	TO	TRANSFER	Repsol Exploration Norge AS	20.000000	\N	5463621	17237506	9999-12-31	2013-05-08
531	2012-01-01	TO	TRANSFER	Det norske oljeselskap ASA	10.000000	\N	5463621	17342870	9999-12-31	2013-05-08
531	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	30.000000	\N	5463621	20485291	9999-12-31	2013-05-08
532	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	50.000000	\N	5463659	4511658	9999-12-31	2013-05-08
532	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	50.000000	\N	5463659	17237817	9999-12-31	2013-05-08
533	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	20.000000	\N	5463724	4539989	9999-12-31	2013-05-08
533	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	20.000000	\N	5463724	17342870	9999-12-31	2013-05-08
534	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	20.000000	\N	5463753	4511658	9999-12-31	2013-05-08
534	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	5463753	5442509	9999-12-31	2013-05-08
534	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	20.000000	\N	5463753	17237817	9999-12-31	2013-05-08
534	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	20.000000	\N	5463753	21666830	9999-12-31	2013-05-08
535	2012-05-24	FROM	TRANSFER	Rocksource ASA	13.000000	\N	5463791	4062921	9999-12-31	2013-05-08
535	2012-12-31	FROM	TRANSFER	Rocksource ASA	7.000000	\N	5463791	4062921	9999-12-31	2013-05-08
535	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	20.000000	\N	5463791	4460425	9999-12-31	2013-05-08
535	2010-04-20	FROM	CHANGE OF COMPANY NAME	North Energy AS	20.000000	\N	5463791	4706034	9999-12-31	2013-05-08
535	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	20.000000	\N	5463791	17342915	9999-12-31	2013-05-08
535	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	5463791	17342870	9999-12-31	2013-05-08
535	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	20.000000	\N	5463791	17342915	9999-12-31	2013-05-08
535	2010-04-20	TO	CHANGE OF COMPANY NAME	North Energy ASA	20.000000	\N	5463791	18082156	9999-12-31	2013-05-08
535	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	13.000000	\N	5463791	21104529	9999-12-31	2013-05-08
535	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	7.000000	\N	5463791	22528729	9999-12-31	2013-05-08
536	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	20.000000	\N	5463820	3500333	9999-12-31	2013-05-08
536	2009-11-02	FROM	CHANGE OF COMPANY NAME	StatoilHydro Petroleum AS	40.000000	\N	5463820	4511658	9999-12-31	2013-05-08
536	2010-04-20	FROM	CHANGE OF COMPANY NAME	North Energy AS	20.000000	\N	5463820	4706034	9999-12-31	2013-05-08
536	2012-10-31	FROM	TRANSFER	Front Exploration AS	20.000000	\N	5463820	18108745	9999-12-31	2013-05-08
536	2012-10-31	TO	TRANSFER	DONG E&P Norge AS	20.000000	\N	5463820	4070011	9999-12-31	2013-05-08
536	2009-11-02	TO	CHANGE OF COMPANY NAME	Statoil Petroleum AS	40.000000	\N	5463820	17237817	9999-12-31	2013-05-08
536	2010-04-20	TO	CHANGE OF COMPANY NAME	North Energy ASA	20.000000	\N	5463820	18082156	9999-12-31	2013-05-08
536	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	20.000000	\N	5463820	18108745	9999-12-31	2013-05-08
537	2010-12-29	FROM	TRANSFER	OMV (Norge) AS	15.000000	\N	5463849	4460594	9999-12-31	2013-05-08
537	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	20.000000	\N	5463849	5072514	9999-12-31	2013-05-08
537	2010-12-29	TO	TRANSFER	Statoil Petroleum AS	15.000000	\N	5463849	17237817	9999-12-31	2013-05-08
537	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	20.000000	\N	5463849	23173852	9999-12-31	2013-05-08
102 C	2009-03-21	FROM	TRANSFER	StatoilHydro Petroleum AS	10.000000	\N	5467035	4511658	9999-12-31	2013-05-08
102 C	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	10.000000	\N	5467035	4539989	9999-12-31	2013-05-08
102 C	2009-03-21	TO	TRANSFER	Det norske oljeselskap ASA (old)	10.000000	\N	5467035	4539989	9999-12-31	2013-05-08
102 C	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	10.000000	\N	5467035	17342870	9999-12-31	2013-05-08
169 C	2009-07-31	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	13.000000	\N	5479914	2835212	9999-12-31	2013-05-08
169 C	2009-03-28	FROM	TRANSFER	StatoilHydro Petroleum AS	57.000000	\N	5479914	4511658	9999-12-31	2013-05-08
169 C	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	57.000000	\N	5479914	4539989	9999-12-31	2013-05-08
169 C	2012-01-01	FROM	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	5479914	17342870	9999-12-31	2013-05-08
169 C	2012-01-01	TO	TRANSFER	Petoro AS	20.000000	\N	5479914	1626839	9999-12-31	2013-05-08
169 C	2009-03-28	TO	TRANSFER	Det norske oljeselskap ASA (old)	57.000000	\N	5479914	4539989	9999-12-31	2013-05-08
169 C	2009-07-31	TO	TRANSFER	Det norske oljeselskap ASA	13.000000	\N	5479914	17342870	9999-12-31	2013-05-08
169 C	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	57.000000	\N	5479914	17342870	9999-12-31	2013-05-08
538	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	10.000000	\N	5480294	3500333	9999-12-31	2013-05-08
538	2009-12-22	FROM	CHANGE OF COMPANY NAME	Aker Exploration AS	30.000000	\N	5480294	4460425	9999-12-31	2013-05-08
538	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	30.000000	\N	5480294	17342915	9999-12-31	2013-05-08
538	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	30.000000	\N	5480294	17342870	9999-12-31	2013-05-08
538	2009-12-22	TO	CHANGE OF COMPANY NAME	Det norske oljeselskap AS	30.000000	\N	5480294	17342915	9999-12-31	2013-05-08
538	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	10.000000	\N	5480294	18108745	9999-12-31	2013-05-08
019 D	2009-01-17	FROM	TRANSFER	Talisman Energy Norge AS	4.000000	\N	5488531	2425093	9999-12-31	2013-05-08
019 D	2009-01-17	FROM	TRANSFER	DONG E&P Norge AS	1.000000	\N	5488531	4070011	9999-12-31	2013-05-08
019 D	2009-01-17	TO	TRANSFER	Norske AEDC A/S	5.000000	\N	5488531	34	9999-12-31	2013-05-08
038 D	2009-05-16	FROM	TRANSFER	Talisman Energy Norge AS	25.000000	\N	5500999	2425093	9999-12-31	2013-05-08
038 D	2009-12-22	FROM	MERGER/TAKEOVER	Det norske oljeselskap ASA (old)	30.000000	\N	5500999	4539989	9999-12-31	2013-05-08
038 D	2009-05-16	TO	TRANSFER	Det norske oljeselskap ASA (old)	25.000000	\N	5500999	4539989	9999-12-31	2013-05-08
038 D	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap ASA	30.000000	\N	5500999	17342870	9999-12-31	2013-05-08
539	2011-02-28	FROM	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	20.000000	\N	17320077	3960945	9999-12-31	2013-05-08
539	2012-01-31	FROM	TRANSFER	Nexen Exploration Norge AS	40.000000	\N	17320077	4062831	9999-12-31	2013-05-08
539	2012-01-31	TO	TRANSFER	Premier Oil Norge AS	40.000000	\N	17320077	3482067	9999-12-31	2013-05-08
539	2011-02-28	TO	CHANGE OF COMPANY NAME	Suncor Energy Norge AS	20.000000	\N	17320077	20426420	9999-12-31	2013-05-08
542	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	40.000000	\N	17320156	5072514	9999-12-31	2013-05-08
542	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	40.000000	\N	17320156	23173852	9999-12-31	2013-05-08
497 B	2010-03-30	FROM	CHANGE OF COMPANY NAME	Bridge Energy AS	30.000000	\N	17320202	4062933	9999-12-31	2013-05-08
497 B	2012-09-28	FROM	TRANSFER	Bridge Energy Norge AS	15.000000	\N	17320202	18178215	9999-12-31	2013-05-08
497 B	2013-04-20	FROM	CHANGE OF COMPANY NAME	Agora Oil & Gas AS	15.000000	\N	17320202	18386322	9999-12-31	2013-05-08
497 B	2010-03-30	TO	CHANGE OF COMPANY NAME	Bridge Energy Norge AS	30.000000	\N	17320202	18178215	9999-12-31	2013-05-08
497 B	2012-09-28	TO	TRANSFER	Agora Oil & Gas AS	15.000000	\N	17320202	18386322	9999-12-31	2013-05-08
497 B	2013-04-20	TO	CHANGE OF COMPANY NAME	Capricorn Norge AS	15.000000	\N	17320202	23297570	9999-12-31	2013-05-08
544	2012-10-01	FROM	TRANSFER	Lundin Norway AS	30.000000	\N	17320260	2767314	9999-12-31	2013-05-08
544	2012-10-01	TO	TRANSFER	Explora Petroleum AS	30.000000	\N	17320260	22223266	9999-12-31	2013-05-08
340 BS	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	65.000000	\N	17320421	463	9999-12-31	2013-05-08
340 BS	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	65.000000	\N	17320421	20485291	9999-12-31	2013-05-08
547 S	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	40.000000	\N	17320441	463	9999-12-31	2013-05-08
547 S	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	40.000000	\N	17320441	20485291	9999-12-31	2013-05-08
504 BS	2010-03-30	FROM	CHANGE OF COMPANY NAME	Bridge Energy AS	8.500000	\N	17320469	4062933	9999-12-31	2013-05-08
504 BS	2010-03-30	TO	CHANGE OF COMPANY NAME	Bridge Energy Norge AS	8.500000	\N	17320469	18178215	9999-12-31	2013-05-08
548 S	2010-03-30	FROM	CHANGE OF COMPANY NAME	Bridge Energy AS	30.000000	\N	17320489	4062933	9999-12-31	2013-05-08
548 S	2010-03-30	TO	CHANGE OF COMPANY NAME	Bridge Energy Norge AS	30.000000	\N	17320489	18178215	9999-12-31	2013-05-08
505 BS	2011-06-30	FROM	TRANSFER	Marathon Petroleum Norge AS	15.000000	\N	17320530	463	9999-12-31	2013-05-08
505 BS	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	35.000000	\N	17320530	463	9999-12-31	2013-05-08
505 BS	2011-06-30	TO	TRANSFER	Maersk Oil Norway AS	15.000000	\N	17320530	4719674	9999-12-31	2013-05-08
505 BS	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	35.000000	\N	17320530	20485291	9999-12-31	2013-05-08
550	2012-01-01	FROM	TRANSFER	Spring Energy Norway AS	20.000000	\N	17320594	5072514	9999-12-31	2013-05-08
550	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	80.000000	\N	17320594	5072514	9999-12-31	2013-05-08
550	2012-01-01	FROM	TRANSFER	Wintershall Norge ASA	60.000000	\N	17320594	5442509	9999-12-31	2013-05-08
550	2012-01-01	TO	TRANSFER	Spring Energy Norway AS	60.000000	\N	17320594	5072514	9999-12-31	2013-05-08
550	2012-01-01	TO	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	17320594	17342870	9999-12-31	2013-05-08
550	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	80.000000	\N	17320594	23173852	9999-12-31	2013-05-08
551	2012-01-01	FROM	TRANSFER	Talisman Energy Norge AS	20.000000	\N	17642019	2425093	9999-12-31	2013-05-08
551	2010-11-30	FROM	TRANSFER	Spring Energy Norway AS	20.000000	\N	17642019	5072514	9999-12-31	2013-05-08
551	2012-01-01	FROM	TRANSFER	Spring Energy Norway AS	20.000000	\N	17642019	5072514	9999-12-31	2013-05-08
551	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	80.000000	\N	17642019	5072514	9999-12-31	2013-05-08
551	2012-01-01	FROM	TRANSFER	Wintershall Norge ASA	60.000000	\N	17642019	5442509	9999-12-31	2013-05-08
551	2010-11-30	TO	TRANSFER	Talisman Energy Norge AS	20.000000	\N	17642019	2425093	9999-12-31	2013-05-08
551	2012-01-01	TO	TRANSFER	Spring Energy Norway AS	80.000000	\N	17642019	5072514	9999-12-31	2013-05-08
551	2012-01-01	TO	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	17642019	17342870	9999-12-31	2013-05-08
551	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	80.000000	\N	17642019	23173852	9999-12-31	2013-05-08
554	2010-03-30	FROM	CHANGE OF COMPANY NAME	Bridge Energy AS	60.000000	\N	17654471	4062933	9999-12-31	2013-05-08
554	2011-01-01	FROM	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	17654471	17342870	9999-12-31	2013-05-08
554	2011-05-31	FROM	TRANSFER	Bridge Energy Norge AS	40.000000	\N	17654471	18178215	9999-12-31	2013-05-08
554	2011-01-01	TO	TRANSFER	Svenska Petroleum Exploration AS	20.000000	\N	17654471	738	9999-12-31	2013-05-08
554	2011-05-31	TO	TRANSFER	Total E&P Norge AS	40.000000	\N	17654471	2410708	9999-12-31	2013-05-08
554	2010-03-30	TO	CHANGE OF COMPANY NAME	Bridge Energy Norge AS	60.000000	\N	17654471	18178215	9999-12-31	2013-05-08
556	2010-12-30	FROM	CHANGE OF COMPANY NAME	Skeie Energy AS (Old)	50.000000	\N	17654560	4511646	2013-03-19	2013-05-08
556	2010-12-30	TO	CHANGE OF COMPANY NAME	E&P Holding AS	50.000000	\N	17654560	20109546	9999-12-31	2013-05-08
093 B	2012-01-01	FROM	TRANSFER	BP Norge AS	18.360000	\N	17654585	2052695	9999-12-31	2013-05-08
093 B	2012-01-01	TO	TRANSFER	A/S Norske Shell	18.360000	\N	17654585	562	9999-12-31	2013-05-08
477 B	2011-02-28	FROM	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	30.000000	\N	17654703	3960945	9999-12-31	2013-05-08
477 B	2011-02-28	TO	CHANGE OF COMPANY NAME	Suncor Energy Norge AS	30.000000	\N	17654703	20426420	9999-12-31	2013-05-08
558	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	30.000000	\N	17654732	2840522	9999-12-31	2013-05-08
558	2011-12-30	FROM	TRANSFER	Nexen Exploration Norge AS	15.000000	\N	17654732	4062831	9999-12-31	2013-05-08
558	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	20.000000	\N	17654732	17342915	9999-12-31	2013-05-08
558	2011-12-30	TO	TRANSFER	PGNiG Norway AS	15.000000	\N	17654732	4505831	9999-12-31	2013-05-08
558	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	17654732	17342870	9999-12-31	2013-05-08
558	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	30.000000	\N	17654732	21631209	9999-12-31	2013-05-08
559	2012-12-31	FROM	TRANSFER	Rocksource ASA	60.000000	\N	17654775	4062921	9999-12-31	2013-05-08
559	2012-12-27	FROM	TRANSFER	VNG Norge AS	10.000000	\N	17654775	17237193	9999-12-31	2013-05-08
559	2013-01-12	FROM	CHANGE OF COMPANY NAME	Emergy Exploration AS	10.000000	\N	17654775	21333629	9999-12-31	2013-05-08
559	2012-12-27	TO	TRANSFER	Emergy Exploration AS	10.000000	\N	17654775	21333629	9999-12-31	2013-05-08
559	2013-01-12	TO	CHANGE OF COMPANY NAME	Atlantic Petroleum Norge AS	10.000000	\N	17654775	22513163	9999-12-31	2013-05-08
559	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	60.000000	\N	17654775	22528729	9999-12-31	2013-05-08
561	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	25.000000	\N	17654869	2840522	9999-12-31	2013-05-08
561	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	35.000000	\N	17654869	5442509	9999-12-31	2013-05-08
561	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	25.000000	\N	17654869	21631209	9999-12-31	2013-05-08
561	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	35.000000	\N	17654869	21666830	9999-12-31	2013-05-08
562	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	30.000000	\N	17654921	2840522	9999-12-31	2013-05-08
562	2010-11-30	FROM	TRANSFER	Dana Petroleum Norway AS	10.000000	\N	17654921	4526555	9999-12-31	2013-05-08
562	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	17654921	4530695	9999-12-31	2013-05-08
562	2010-04-20	FROM	CHANGE OF COMPANY NAME	North Energy AS	10.000000	\N	17654921	4706034	9999-12-31	2013-05-08
562	2010-11-30	TO	TRANSFER	E.ON Ruhrgas Norge AS	10.000000	\N	17654921	2840522	9999-12-31	2013-05-08
562	2010-04-20	TO	CHANGE OF COMPANY NAME	North Energy ASA	10.000000	\N	17654921	18082156	9999-12-31	2013-05-08
562	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	30.000000	\N	17654921	21631209	9999-12-31	2013-05-08
562	2012-12-31	TO	TRANSFER	Noreco Norway AS	20.000000	\N	17654921	22223020	9999-12-31	2013-05-08
518 B	2010-05-26	FROM	CHANGE OF COMPANY NAME	Discover Petroleum AS	20.000000	\N	17654970	3500333	9999-12-31	2013-05-08
518 B	2011-10-08	FROM	CHANGE OF COMPANY NAME	Sagex Petroleum Norge AS	10.000000	\N	17654970	4504106	9999-12-31	2013-05-08
518 B	2010-04-20	FROM	CHANGE OF COMPANY NAME	North Energy AS	30.000000	\N	17654970	4706034	9999-12-31	2013-05-08
518 B	2012-10-31	FROM	TRANSFER	Front Exploration AS	20.000000	\N	17654970	18108745	9999-12-31	2013-05-08
518 B	2012-10-31	TO	TRANSFER	DONG E&P Norge AS	20.000000	\N	17654970	4070011	9999-12-31	2013-05-08
518 B	2010-04-20	TO	CHANGE OF COMPANY NAME	North Energy ASA	30.000000	\N	17654970	18082156	9999-12-31	2013-05-08
518 B	2010-05-26	TO	CHANGE OF COMPANY NAME	Front Exploration AS	20.000000	\N	17654970	18108745	9999-12-31	2013-05-08
518 B	2011-10-08	TO	CHANGE OF COMPANY NAME	Valiant Petroleum Norge AS	10.000000	\N	17654970	21104529	9999-12-31	2013-05-08
563	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	17655034	4530695	9999-12-31	2013-05-08
563	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	20.000000	\N	17655034	17342915	9999-12-31	2013-05-08
563	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	17655034	17342870	9999-12-31	2013-05-08
563	2012-12-31	TO	TRANSFER	Noreco Norway AS	20.000000	\N	17655034	22223020	9999-12-31	2013-05-08
564	2010-04-20	FROM	CHANGE OF COMPANY NAME	North Energy AS	20.000000	\N	17655076	4706034	9999-12-31	2013-05-08
564	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	17655076	5442509	9999-12-31	2013-05-08
564	2010-04-20	TO	CHANGE OF COMPANY NAME	North Energy ASA	20.000000	\N	17655076	18082156	9999-12-31	2013-05-08
564	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	30.000000	\N	17655076	21666830	9999-12-31	2013-05-08
028 S	2009-11-14	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	40.000000	\N	18054740	2835212	9999-12-31	2013-05-08
028 S	2009-12-22	FROM	MERGER/TAKEOVER	Aker Exploration AS	40.000000	\N	18054740	4460425	9999-12-31	2013-05-08
028 S	2012-01-02	FROM	TRANSFER	Det norske oljeselskap ASA	40.000000	\N	18054740	17342870	9999-12-31	2013-05-08
028 S	2010-10-01	FROM	TRANSFER	Det norske oljeselskap AS	40.000000	\N	18054740	17342915	9999-12-31	2013-05-08
028 S	2012-01-02	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	40.000000	\N	18054740	2835212	9999-12-31	2013-05-08
028 S	2009-11-14	TO	TRANSFER	Aker Exploration AS	40.000000	\N	18054740	4460425	9999-12-31	2013-05-08
028 S	2010-10-01	TO	TRANSFER	Det norske oljeselskap ASA	40.000000	\N	18054740	17342870	9999-12-31	2013-05-08
028 S	2009-12-22	TO	MERGER/TAKEOVER	Det norske oljeselskap AS	40.000000	\N	18054740	17342915	9999-12-31	2013-05-08
043 CS	2010-05-13	FROM	TRANSFER	Petoro AS	30.000000	\N	18116800	1626839	9999-12-31	2013-05-08
043 CS	2010-06-16	FROM	TRANSFER	Statoil Petroleum AS	21.000000	\N	18116800	17237817	9999-12-31	2013-05-08
043 CS	2010-05-13	TO	TRANSFER	Total E&P Norge AS	30.000000	\N	18116800	2410708	9999-12-31	2013-05-08
043 CS	2010-06-16	TO	TRANSFER	Total E&P Norge AS	21.000000	\N	18116800	2410708	9999-12-31	2013-05-08
043 DS	2010-05-13	FROM	TRANSFER	Petoro AS	30.000000	\N	18116829	1626839	9999-12-31	2013-05-08
043 DS	2010-06-16	FROM	TRANSFER	Statoil Petroleum AS	21.000000	\N	18116829	17237817	9999-12-31	2013-05-08
043 DS	2010-05-13	TO	TRANSFER	Total E&P Norge AS	30.000000	\N	18116829	2410708	9999-12-31	2013-05-08
043 DS	2010-06-16	TO	TRANSFER	Total E&P Norge AS	21.000000	\N	18116829	2410708	9999-12-31	2013-05-08
330 B	2010-10-25	FROM	TRANSFER	RWE Dea Norge AS	50.000000	\N	18403842	97557	9999-12-31	2013-05-08
330 B	2010-10-25	TO	TRANSFER	Hess Norge AS	50.000000	\N	18403842	4038735	9999-12-31	2013-05-08
393 B	2010-10-01	FROM	TRANSFER	Eni Norge AS	30.000000	\N	18404594	2388594	9999-12-31	2013-05-08
393 B	2010-12-30	FROM	TRANSFER	BG Norge AS	20.000000	\N	18404594	2747354	9999-12-31	2013-05-08
393 B	2010-12-29	FROM	TRANSFER	Statoil Petroleum AS	30.000000	\N	18404594	17237817	9999-12-31	2013-05-08
393 B	2010-12-29	TO	TRANSFER	OMV (Norge) AS	30.000000	\N	18404594	4460594	9999-12-31	2013-05-08
393 B	2010-10-01	TO	TRANSFER	Statoil Petroleum AS	30.000000	\N	18404594	17237817	9999-12-31	2013-05-08
393 B	2010-12-30	TO	TRANSFER	Statoil Petroleum AS	20.000000	\N	18404594	17237817	9999-12-31	2013-05-08
048 E	2011-03-31	FROM	TRANSFER	Marathon Petroleum Norge AS	12.500000	\N	18450020	463	9999-12-31	2013-05-08
048 E	2010-12-31	FROM	TRANSFER	Statoil Petroleum AS	12.500000	\N	18450020	17237817	9999-12-31	2013-05-08
048 E	2010-12-31	TO	TRANSFER	Marathon Petroleum Norge AS	12.500000	\N	18450020	463	9999-12-31	2013-05-08
048 E	2011-03-31	TO	TRANSFER	Statoil Petroleum AS	12.500000	\N	18450020	17237817	9999-12-31	2013-05-08
565	2012-01-31	FROM	TRANSFER	Nexen Exploration Norge AS	60.000000	\N	20088435	4062831	9999-12-31	2013-05-08
565	2012-01-31	TO	TRANSFER	Premier Oil Norge AS	60.000000	\N	20088435	3482067	9999-12-31	2013-05-08
566 S	2012-01-31	FROM	TRANSFER	Nexen Exploration Norge AS	50.000000	\N	20088461	4062831	9999-12-31	2013-05-08
566 S	2012-01-31	TO	TRANSFER	Premier Oil Norge AS	50.000000	\N	20088461	3482067	9999-12-31	2013-05-08
360 B	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	15.000000	\N	20107847	4530695	9999-12-31	2013-05-08
360 B	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	15.000000	\N	20107847	5442509	9999-12-31	2013-05-08
360 B	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	15.000000	\N	20107847	21666830	9999-12-31	2013-05-08
360 B	2012-12-31	TO	TRANSFER	Noreco Norway AS	15.000000	\N	20107847	22223020	9999-12-31	2013-05-08
503 B	2012-12-31	FROM	TRANSFER	4Sea Energy AS	25.000000	\N	20107903	4504118	9999-12-31	2013-05-08
503 B	2011-02-05	FROM	CHANGE OF COMPANY NAME	North Energy AS	25.000000	\N	20107903	4706034	9999-12-31	2013-05-08
503 B	2011-02-06	FROM	CHANGE OF COMPANY NAME	North Energy ASA	25.000000	\N	20107903	18082156	9999-12-31	2013-05-08
503 B	2011-02-06	TO	CHANGE OF COMPANY NAME	4Sea Energy AS	25.000000	\N	20107903	4504118	9999-12-31	2013-05-08
503 B	2011-02-05	TO	CHANGE OF COMPANY NAME	North Energy ASA	25.000000	\N	20107903	18082156	9999-12-31	2013-05-08
503 B	2012-12-31	TO	TRANSFER	North Energy ASA	25.000000	\N	20107903	18082156	9999-12-31	2013-05-08
570	2011-06-30	FROM	TRANSFER	Marathon Petroleum Norge AS	10.000000	\N	20107979	463	9999-12-31	2013-05-08
570	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	20.000000	\N	20107979	463	9999-12-31	2013-05-08
570	2011-06-30	TO	TRANSFER	Maersk Oil Norway AS	10.000000	\N	20107979	4719674	9999-12-31	2013-05-08
570	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	20.000000	\N	20107979	20485291	9999-12-31	2013-05-08
571	2011-02-28	FROM	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	60.000000	\N	20108024	3960945	9999-12-31	2013-05-08
571	2011-02-28	TO	CHANGE OF COMPANY NAME	Suncor Energy Norge AS	60.000000	\N	20108024	20426420	9999-12-31	2013-05-08
150 B	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	65.000000	\N	20108072	463	9999-12-31	2013-05-08
150 B	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	65.000000	\N	20108072	20485291	9999-12-31	2013-05-08
506 BS	2012-05-24	FROM	TRANSFER	Rocksource ASA	25.000000	\N	20108101	4062921	9999-12-31	2013-05-08
506 BS	2012-12-31	FROM	TRANSFER	Rocksource ASA	25.000000	\N	20108101	4062921	9999-12-31	2013-05-08
506 BS	2012-10-03	FROM	TRANSFER	Front Exploration AS	30.000000	\N	20108101	18108745	9999-12-31	2013-05-08
506 BS	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	25.000000	\N	20108101	21104529	9999-12-31	2013-05-08
506 BS	2012-10-03	TO	TRANSFER	Petrolia Norway AS	30.000000	\N	20108101	21593704	9999-12-31	2013-05-08
506 BS	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	25.000000	\N	20108101	22528729	9999-12-31	2013-05-08
506 CS	2012-05-24	FROM	TRANSFER	Rocksource ASA	25.000000	\N	20108128	4062921	9999-12-31	2013-05-08
506 CS	2012-12-31	FROM	TRANSFER	Rocksource ASA	25.000000	\N	20108128	4062921	9999-12-31	2013-05-08
506 CS	2012-10-03	FROM	TRANSFER	Front Exploration AS	30.000000	\N	20108128	18108745	9999-12-31	2013-05-08
506 CS	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	25.000000	\N	20108128	21104529	9999-12-31	2013-05-08
506 CS	2012-10-03	TO	TRANSFER	Petrolia Norway AS	30.000000	\N	20108128	21593704	9999-12-31	2013-05-08
506 CS	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	25.000000	\N	20108128	22528729	9999-12-31	2013-05-08
575	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	50.000000	\N	20108314	5442509	9999-12-31	2013-05-08
575	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	50.000000	\N	20108314	21666830	9999-12-31	2013-05-08
193 C	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	19.000000	\N	20108409	17237817	9999-12-31	2013-05-08
193 C	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	19.000000	\N	20108409	4238233	9999-12-31	2013-05-08
378 B	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	45.000000	\N	20108440	5442509	9999-12-31	2013-05-08
378 B	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	45.000000	\N	20108440	21666830	9999-12-31	2013-05-08
577	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	30.000000	\N	20108473	5072514	9999-12-31	2013-05-08
577	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	20108473	5442509	9999-12-31	2013-05-08
577	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	40.000000	\N	20108473	21666830	9999-12-31	2013-05-08
577	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	30.000000	\N	20108473	23173852	9999-12-31	2013-05-08
554 B	2011-02-05	FROM	TRANSFER	Det norske oljeselskap ASA	20.000000	\N	20108509	17342870	9999-12-31	2013-05-08
554 B	2011-05-31	FROM	TRANSFER	Bridge Energy Norge AS	40.000000	\N	20108509	18178215	9999-12-31	2013-05-08
554 B	2011-02-05	TO	TRANSFER	Svenska Petroleum Exploration AS	20.000000	\N	20108509	738	9999-12-31	2013-05-08
554 B	2011-05-31	TO	TRANSFER	Total E&P Norge AS	40.000000	\N	20108509	2410708	9999-12-31	2013-05-08
375 B	2011-02-28	FROM	CHANGE OF COMPANY NAME	Petro-Canada Norge AS	65.000000	\N	20108600	3960945	9999-12-31	2013-05-08
375 B	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	15.000000	\N	20108600	5442509	9999-12-31	2013-05-08
375 B	2011-02-28	TO	CHANGE OF COMPANY NAME	Suncor Energy Norge AS	65.000000	\N	20108600	20426420	9999-12-31	2013-05-08
375 B	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	15.000000	\N	20108600	21666830	9999-12-31	2013-05-08
370 B	2011-07-31	FROM	TRANSFER	Wintershall Norge ASA	10.000000	\N	20108642	5442509	9999-12-31	2013-05-08
370 B	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	20108642	5442509	9999-12-31	2013-05-08
370 B	2013-04-20	FROM	CHANGE OF COMPANY NAME	Agora Oil & Gas AS	30.000000	\N	20108642	18386322	9999-12-31	2013-05-08
370 B	2011-07-31	TO	TRANSFER	North Energy ASA	10.000000	\N	20108642	18082156	9999-12-31	2013-05-08
370 B	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	40.000000	\N	20108642	21666830	9999-12-31	2013-05-08
370 B	2013-04-20	TO	CHANGE OF COMPANY NAME	Capricorn Norge AS	30.000000	\N	20108642	23297570	9999-12-31	2013-05-08
581	2012-05-24	FROM	TRANSFER	Rocksource ASA	22.500000	\N	20108743	4062921	9999-12-31	2013-05-08
581	2012-12-31	FROM	TRANSFER	Rocksource ASA	7.500000	\N	20108743	4062921	9999-12-31	2013-05-08
581	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	22.500000	\N	20108743	21104529	9999-12-31	2013-05-08
581	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	7.500000	\N	20108743	22528729	9999-12-31	2013-05-08
582	2011-07-04	FROM	CHANGE OF COMPANY NAME	Marathon Petroleum Norge AS	30.000000	\N	20108820	463	9999-12-31	2013-05-08
582	2011-07-04	TO	CHANGE OF COMPANY NAME	Marathon Oil Norge AS	30.000000	\N	20108820	20485291	9999-12-31	2013-05-08
468  B	2011-02-05	FROM	TRANSFER	Det norske oljeselskap AS	95.000000	\N	20108859	17342915	9999-12-31	2013-05-08
468  B	2011-02-05	TO	TRANSFER	Det norske oljeselskap ASA	95.000000	\N	20108859	17342870	9999-12-31	2013-05-08
583	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	30.000000	\N	20109004	5072514	9999-12-31	2013-05-08
583	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	30.000000	\N	20109004	23173852	9999-12-31	2013-05-08
348 B	2011-02-05	FROM	TRANSFER	Petoro AS	7.500000	\N	20109261	1626839	9999-12-31	2013-05-08
348 B	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	17.500000	\N	20109261	2840522	9999-12-31	2013-05-08
348 B	2011-07-01	FROM	TRANSFER	Norwegian Energy Company ASA	17.500000	\N	20109261	4530695	9999-12-31	2013-05-08
348 B	2011-02-05	TO	TRANSFER	Faroe Petroleum Norge AS	7.500000	\N	20109261	4062883	9999-12-31	2013-05-08
348 B	2011-07-01	TO	TRANSFER	Core Energy AS	17.500000	\N	20109261	20460080	9999-12-31	2013-05-08
348 B	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	17.500000	\N	20109261	21631209	9999-12-31	2013-05-08
589	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	20109325	5442509	9999-12-31	2013-05-08
589	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	40.000000	\N	20109325	21666830	9999-12-31	2013-05-08
475 CS	2011-02-05	FROM	TRANSFER	Faroe Petroleum Norge AS	30.000000	\N	20109375	4062883	9999-12-31	2013-05-08
475 CS	2011-09-30	FROM	TRANSFER	Concedo ASA	10.000000	\N	20109375	4460794	9999-12-31	2013-05-08
475 CS	2011-09-30	FROM	TRANSFER	Spring Energy Norway AS	15.000000	\N	20109375	5072514	9999-12-31	2013-05-08
475 CS	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	50.000000	\N	20109375	5442509	9999-12-31	2013-05-08
475 CS	2011-02-05	TO	TRANSFER	Petoro AS	30.000000	\N	20109375	1626839	9999-12-31	2013-05-08
475 CS	2011-09-30	TO	TRANSFER	Wintershall Norge ASA	25.000000	\N	20109375	5442509	9999-12-31	2013-05-08
475 CS	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	50.000000	\N	20109375	21666830	9999-12-31	2013-05-08
590	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	20109438	5442509	9999-12-31	2013-05-08
590	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	30.000000	\N	20109438	21666830	9999-12-31	2013-05-08
591	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	40.000000	\N	20109475	4530695	9999-12-31	2013-05-08
591	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	60.000000	\N	20109475	5072514	9999-12-31	2013-05-08
591	2012-12-31	TO	TRANSFER	Noreco Norway AS	40.000000	\N	20109475	22223020	9999-12-31	2013-05-08
591	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	60.000000	\N	20109475	23173852	9999-12-31	2013-05-08
594	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	20.000000	\N	20109626	5442509	9999-12-31	2013-05-08
594	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	20.000000	\N	20109626	21666830	9999-12-31	2013-05-08
595	2011-02-05	FROM	CHANGE OF COMPANY NAME	North Energy AS	40.000000	\N	20109655	4706034	9999-12-31	2013-05-08
595	2011-02-05	TO	CHANGE OF COMPANY NAME	North Energy ASA	40.000000	\N	20109655	18082156	9999-12-31	2013-05-08
596	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	20.000000	\N	20428440	2840522	9999-12-31	2013-05-08
596	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	15.000000	\N	20428440	5072514	9999-12-31	2013-05-08
596	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	20.000000	\N	20428440	21631209	9999-12-31	2013-05-08
596	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	15.000000	\N	20428440	23173852	9999-12-31	2013-05-08
599	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	20428552	4530695	9999-12-31	2013-05-08
599	2012-12-31	TO	TRANSFER	Noreco Norway AS	20.000000	\N	20428552	22223020	9999-12-31	2013-05-08
601	2012-05-24	FROM	TRANSFER	Rocksource ASA	10.000000	\N	20428711	4062921	9999-12-31	2013-05-08
601	2012-12-31	FROM	TRANSFER	Rocksource ASA	10.000000	\N	20428711	4062921	9999-12-31	2013-05-08
601	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	20428711	5442509	9999-12-31	2013-05-08
601	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	10.000000	\N	20428711	21104529	9999-12-31	2013-05-08
601	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	40.000000	\N	20428711	21666830	9999-12-31	2013-05-08
601	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	10.000000	\N	20428711	22528729	9999-12-31	2013-05-08
602	2012-05-24	FROM	TRANSFER	Rocksource ASA	10.000000	\N	20428749	4062921	9999-12-31	2013-05-08
602	2012-12-31	FROM	TRANSFER	Rocksource ASA	10.000000	\N	20428749	4062921	9999-12-31	2013-05-08
602	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	10.000000	\N	20428749	21104529	9999-12-31	2013-05-08
602	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	10.000000	\N	20428749	22528729	9999-12-31	2013-05-08
218 B	2012-01-01	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	15.000000	\N	20428874	2835212	9999-12-31	2013-05-08
218 B	2012-01-01	TO	TRANSFER	OMV (Norge) AS	15.000000	\N	20428874	4460594	9999-12-31	2013-05-08
528 B	2012-05-24	FROM	TRANSFER	Rocksource ASA	25.000000	\N	20428963	4062921	9999-12-31	2013-05-08
528 B	2012-12-31	FROM	TRANSFER	Rocksource ASA	25.000000	\N	20428963	4062921	9999-12-31	2013-05-08
528 B	2012-05-15	FROM	TRANSFER	Statoil Petroleum AS	15.000000	\N	20428963	17237817	9999-12-31	2013-05-08
528 B	2011-09-29	FROM	TRANSFER	Suncor Energy Norge AS	15.000000	\N	20428963	20426420	9999-12-31	2013-05-08
528 B	2012-05-15	FROM	TRANSFER	Suncor Energy Norge AS	25.000000	\N	20428963	20426420	9999-12-31	2013-05-08
528 B	2012-05-15	TO	TRANSFER	Rocksource ASA	20.000000	\N	20428963	4062921	9999-12-31	2013-05-08
528 B	2012-05-15	TO	TRANSFER	Centrica Resources (Norge) AS	20.000000	\N	20428963	4238233	9999-12-31	2013-05-08
528 B	2011-09-29	TO	TRANSFER	Statoil Petroleum AS	15.000000	\N	20428963	17237817	9999-12-31	2013-05-08
528 B	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	25.000000	\N	20428963	21104529	9999-12-31	2013-05-08
528 B	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	25.000000	\N	20428963	22528729	9999-12-31	2013-05-08
606	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	40.000000	\N	20429078	4530695	9999-12-31	2013-05-08
606	2012-12-31	TO	TRANSFER	Noreco Norway AS	40.000000	\N	20429078	22223020	9999-12-31	2013-05-08
610	2012-05-24	FROM	TRANSFER	Rocksource ASA	12.500000	\N	20429259	4062921	9999-12-31	2013-05-08
610	2012-12-31	FROM	TRANSFER	Rocksource ASA	12.500000	\N	20429259	4062921	9999-12-31	2013-05-08
610	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	25.000000	\N	20429259	5072514	9999-12-31	2013-05-08
610	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	12.500000	\N	20429259	21104529	9999-12-31	2013-05-08
610	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	12.500000	\N	20429259	22528729	9999-12-31	2013-05-08
610	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	25.000000	\N	20429259	23173852	9999-12-31	2013-05-08
611	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	20429303	5442509	9999-12-31	2013-05-08
611	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	40.000000	\N	20429303	21666830	9999-12-31	2013-05-08
303 B	2011-05-28	FROM	TRANSFER	Statoil Petroleum AS	40.400000	\N	20499620	17237817	9999-12-31	2013-05-08
303 B	2011-05-28	TO	TRANSFER	Total E&P Norge AS	10.000000	\N	20499620	2410708	9999-12-31	2013-05-08
303 B	2011-05-28	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	30.400000	\N	20499620	2835212	9999-12-31	2013-05-08
107 D	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	30.000000	\N	21124705	2840522	9999-12-31	2013-05-08
107 D	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	30.000000	\N	21124705	21631209	9999-12-31	2013-05-08
169 E	2011-11-05	FROM	TRANSFER	Petoro AS	30.000000	\N	21124742	1626839	9999-12-31	2013-05-08
169 E	2011-11-05	TO	TRANSFER	Faroe Petroleum Norge AS	30.000000	\N	21124742	4062883	9999-12-31	2013-05-08
018 DS	2012-07-05	FROM	CHANGE OF COMPANY NAME	Altinex Oil Norway AS	13.338000	\N	21139552	4446230	9999-12-31	2013-05-08
018 DS	2011-11-30	FROM	MERGER/TAKEOVER	Maersk Oil PL 018C Norway AS	60.008000	\N	21139552	4703832	9999-12-31	2013-05-08
018 DS	2011-11-30	TO	MERGER/TAKEOVER	Maersk Oil Norway AS	60.008000	\N	21139552	4719674	9999-12-31	2013-05-08
018 DS	2012-07-05	TO	CHANGE OF COMPANY NAME	Noreco Norway AS	13.338000	\N	21139552	22223020	9999-12-31	2013-05-08
193 D	2012-01-13	FROM	TRANSFER	Total E&P Norge AS	5.000000	\N	21349950	2410708	9999-12-31	2013-05-08
193 D	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	13.000000	\N	21349950	17237817	9999-12-31	2013-05-08
193 D	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	13.000000	\N	21349950	4238233	9999-12-31	2013-05-08
193 D	2012-01-13	TO	TRANSFER	Statoil Petroleum AS	5.000000	\N	21349950	17237817	9999-12-31	2013-05-08
046 C	2011-12-22	FROM	TRANSFER	Statoil Petroleum AS	2.400000	\N	21350140	17237817	9999-12-31	2013-05-08
046 C	2011-12-22	TO	TRANSFER	ExxonMobil Exploration & Production Norway AS	2.400000	\N	21350140	2835212	9999-12-31	2013-05-08
072 C	2011-12-22	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	19.600000	\N	21350207	2835212	9999-12-31	2013-05-08
072 C	2011-12-22	TO	TRANSFER	Total E&P Norge AS	10.000000	\N	21350207	2410708	9999-12-31	2013-05-08
072 C	2011-12-22	TO	TRANSFER	Statoil Petroleum AS	9.600000	\N	21350207	17237817	9999-12-31	2013-05-08
659	2012-05-24	FROM	TRANSFER	Rocksource ASA	5.000000	\N	21558636	4062921	9999-12-31	2013-05-08
659	2012-12-31	FROM	TRANSFER	Rocksource ASA	5.000000	\N	21558636	4062921	9999-12-31	2013-05-08
659	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	10.000000	\N	21558636	5072514	9999-12-31	2013-05-08
659	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	5.000000	\N	21558636	21104529	9999-12-31	2013-05-08
659	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	5.000000	\N	21558636	22528729	9999-12-31	2013-05-08
659	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	10.000000	\N	21558636	23173852	9999-12-31	2013-05-08
656	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	30.000000	\N	21558940	2840522	9999-12-31	2013-05-08
656	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	30.000000	\N	21558940	21631209	9999-12-31	2013-05-08
655	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	30.000000	\N	21558998	5442509	9999-12-31	2013-05-08
655	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	30.000000	\N	21558998	21666830	9999-12-31	2013-05-08
652	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	25.000000	\N	21559103	2840522	9999-12-31	2013-05-08
652	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	35.000000	\N	21559103	5442509	9999-12-31	2013-05-08
652	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	25.000000	\N	21559103	21631209	9999-12-31	2013-05-08
652	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	35.000000	\N	21559103	21666830	9999-12-31	2013-05-08
651	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	40.000000	\N	21559146	2840522	9999-12-31	2013-05-08
651	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	35.000000	\N	21559146	5072514	9999-12-31	2013-05-08
651	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	40.000000	\N	21559146	21631209	9999-12-31	2013-05-08
651	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	35.000000	\N	21559146	23173852	9999-12-31	2013-05-08
650	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	60.000000	\N	21559201	2840522	9999-12-31	2013-05-08
650	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	60.000000	\N	21559201	21631209	9999-12-31	2013-05-08
639	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	15.000000	\N	21559426	4530695	9999-12-31	2013-05-08
639	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	30.000000	\N	21559426	5072514	9999-12-31	2013-05-08
639	2012-12-31	TO	TRANSFER	Noreco Norway AS	15.000000	\N	21559426	22223020	9999-12-31	2013-05-08
639	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	30.000000	\N	21559426	23173852	9999-12-31	2013-05-08
642	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	20.000000	\N	21559610	5072514	9999-12-31	2013-05-08
642	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	20.000000	\N	21559610	23173852	9999-12-31	2013-05-08
646	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	21559761	4530695	9999-12-31	2013-05-08
646	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	21559761	5442509	9999-12-31	2013-05-08
646	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	40.000000	\N	21559761	21666830	9999-12-31	2013-05-08
646	2012-12-31	TO	TRANSFER	Noreco Norway AS	20.000000	\N	21559761	22223020	9999-12-31	2013-05-08
619	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	20.000000	\N	21560040	5072514	9999-12-31	2013-05-08
619	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	20.000000	\N	21560040	23173852	9999-12-31	2013-05-08
495 B	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	40.000000	\N	21560089	5072514	9999-12-31	2013-05-08
495 B	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	40.000000	\N	21560089	23173852	9999-12-31	2013-05-08
620	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	25.000000	\N	21560115	4530695	9999-12-31	2013-05-08
620	2012-12-31	TO	TRANSFER	Noreco Norway AS	25.000000	\N	21560115	22223020	9999-12-31	2013-05-08
621	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	25.000000	\N	21560157	4530695	9999-12-31	2013-05-08
621	2012-12-31	TO	TRANSFER	Noreco Norway AS	25.000000	\N	21560157	22223020	9999-12-31	2013-05-08
506 DS	2012-05-24	FROM	TRANSFER	Rocksource ASA	25.000000	\N	21560284	4062921	9999-12-31	2013-05-08
506 DS	2012-12-31	FROM	TRANSFER	Rocksource ASA	25.000000	\N	21560284	4062921	9999-12-31	2013-05-08
506 DS	2012-10-03	FROM	TRANSFER	Front Exploration AS	30.000000	\N	21560284	18108745	9999-12-31	2013-05-08
506 DS	2012-05-24	TO	TRANSFER	Valiant Petroleum Norge AS	25.000000	\N	21560284	21104529	9999-12-31	2013-05-08
506 DS	2012-10-03	TO	TRANSFER	Petrolia Norway AS	30.000000	\N	21560284	21593704	9999-12-31	2013-05-08
506 DS	2012-12-31	TO	TRANSFER	Rocksource Exploration Norway AS	25.000000	\N	21560284	22528729	9999-12-31	2013-05-08
624	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	15.000000	\N	21560318	4530695	9999-12-31	2013-05-08
624	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	15.000000	\N	21560318	5442509	9999-12-31	2013-05-08
624	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	15.000000	\N	21560318	21666830	9999-12-31	2013-05-08
624	2012-12-31	TO	TRANSFER	Noreco Norway AS	15.000000	\N	21560318	22223020	9999-12-31	2013-05-08
626	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	30.000000	\N	21560418	5072514	9999-12-31	2013-05-08
626	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	30.000000	\N	21560418	23173852	9999-12-31	2013-05-08
630	2013-04-20	FROM	CHANGE OF COMPANY NAME	Agora Oil & Gas AS	20.000000	\N	21560745	18386322	9999-12-31	2013-05-08
630	2013-04-20	TO	CHANGE OF COMPANY NAME	Capricorn Norge AS	20.000000	\N	21560745	23297570	9999-12-31	2013-05-08
632	2013-04-20	FROM	CHANGE OF COMPANY NAME	Agora Oil & Gas AS	40.000000	\N	21560912	18386322	9999-12-31	2013-05-08
632	2013-04-20	TO	CHANGE OF COMPANY NAME	Capricorn Norge AS	40.000000	\N	21560912	23297570	9999-12-31	2013-05-08
633	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	40.000000	\N	21560982	5442509	9999-12-31	2013-05-08
633	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	40.000000	\N	21560982	21666830	9999-12-31	2013-05-08
634	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	30.000000	\N	21561057	4530695	9999-12-31	2013-05-08
634	2012-12-31	TO	TRANSFER	Noreco Norway AS	30.000000	\N	21561057	22223020	9999-12-31	2013-05-08
636	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	20.000000	\N	21561151	5072514	9999-12-31	2013-05-08
636	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	20.000000	\N	21561151	23173852	9999-12-31	2013-05-08
638	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	16.000000	\N	21561239	5442509	9999-12-31	2013-05-08
638	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	16.000000	\N	21561239	21666830	9999-12-31	2013-05-08
616	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	21561481	4530695	9999-12-31	2013-05-08
616	2012-12-31	TO	TRANSFER	Noreco Norway AS	20.000000	\N	21561481	22223020	9999-12-31	2013-05-08
102 E	2012-08-31	FROM	TRANSFER	Statoil Petroleum AS	10.000000	\N	21568578	17237817	9999-12-31	2013-05-08
102 E	2012-08-31	TO	TRANSFER	Centrica Resources (Norge) AS	10.000000	\N	21568578	4238233	9999-12-31	2013-05-08
104 B	2012-02-04	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	4.700000	\N	21568959	2835212	9999-12-31	2013-05-08
104 B	2012-02-04	TO	TRANSFER	Total E&P Norge AS	4.700000	\N	21568959	2410708	9999-12-31	2013-05-08
193 E	2012-08-31	FROM	TRANSFER	Statoil Petroleum AS	19.000000	\N	21568992	17237817	9999-12-31	2013-05-08
193 E	2012-08-31	TO	TRANSFER	Centrica Resources (Norge) AS	19.000000	\N	21568992	4238233	9999-12-31	2013-05-08
350 B	2012-02-11	FROM	CHANGE OF COMPANY NAME	E.ON Ruhrgas Norge AS	40.000000	\N	21569025	2840522	9999-12-31	2013-05-08
350 B	2012-02-11	TO	CHANGE OF COMPANY NAME	E.ON E&P Norge AS	40.000000	\N	21569025	21631209	9999-12-31	2013-05-08
375 C	2012-03-24	FROM	CHANGE OF COMPANY NAME	Wintershall Norge ASA	15.000000	\N	21569065	5442509	9999-12-31	2013-05-08
375 C	2012-03-24	TO	CHANGE OF COMPANY NAME	Wintershall Norge AS	15.000000	\N	21569065	21666830	9999-12-31	2013-05-08
414 B	2012-12-31	FROM	TRANSFER	Norwegian Energy Company ASA	20.000000	\N	21569107	4530695	9999-12-31	2013-05-08
414 B	2012-12-31	TO	TRANSFER	Noreco Norway AS	20.000000	\N	21569107	22223020	9999-12-31	2013-05-08
050 ES	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	13.000000	\N	21668200	17237817	9999-12-31	2013-05-08
050 ES	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	13.000000	\N	21668200	4238233	9999-12-31	2013-05-08
050 FS	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	13.000000	\N	21668235	17237817	9999-12-31	2013-05-08
050 FS	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	13.000000	\N	21668235	4238233	9999-12-31	2013-05-08
050 GS	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	13.000000	\N	21668262	17237817	9999-12-31	2013-05-08
050 GS	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	13.000000	\N	21668262	4238233	9999-12-31	2013-05-08
050 HS	2012-04-30	FROM	TRANSFER	Statoil Petroleum AS	13.000000	\N	21668287	17237817	9999-12-31	2013-05-08
050 HS	2012-04-30	TO	TRANSFER	Centrica Resources (Norge) AS	13.000000	\N	21668287	4238233	9999-12-31	2013-05-08
029 C	2012-12-03	FROM	TRANSFER	ExxonMobil Exploration & Production Norway AS	100.000000	\N	22493034	2835212	9999-12-31	2013-05-08
029 C	2012-12-03	TO	TRANSFER	Total E&P Norge AS	100.000000	\N	22493034	2410708	9999-12-31	2013-05-08
055 D	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	2.692000	\N	22813096	5072514	9999-12-31	2013-05-08
055 D	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	2.692000	\N	22813096	23173852	9999-12-31	2013-05-08
509 BS	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	30.000000	\N	22813272	5072514	9999-12-31	2013-05-08
509 BS	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	30.000000	\N	22813272	23173852	9999-12-31	2013-05-08
542 B	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	40.000000	\N	22813299	5072514	9999-12-31	2013-05-08
542 B	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	40.000000	\N	22813299	23173852	9999-12-31	2013-05-08
665 S	2013-04-20	FROM	CHANGE OF COMPANY NAME	Agora Oil & Gas AS	20.000000	\N	22815738	18386322	9999-12-31	2013-05-08
665 S	2013-04-20	TO	CHANGE OF COMPANY NAME	Capricorn Norge AS	20.000000	\N	22815738	23297570	9999-12-31	2013-05-08
666	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	30.000000	\N	22815785	5072514	9999-12-31	2013-05-08
666	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	30.000000	\N	22815785	23173852	9999-12-31	2013-05-08
667	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	20.000000	\N	22815830	5072514	9999-12-31	2013-05-08
667	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	20.000000	\N	22815830	23173852	9999-12-31	2013-05-08
668	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	30.000000	\N	22815873	5072514	9999-12-31	2013-05-08
668	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	30.000000	\N	22815873	23173852	9999-12-31	2013-05-08
670	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	30.000000	\N	22815949	5072514	9999-12-31	2013-05-08
670	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	30.000000	\N	22815949	23173852	9999-12-31	2013-05-08
680	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	60.000000	\N	22816583	5072514	9999-12-31	2013-05-08
680	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	60.000000	\N	22816583	23173852	9999-12-31	2013-05-08
681	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	64.000000	\N	22816639	5072514	9999-12-31	2013-05-08
681	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	64.000000	\N	22816639	23173852	9999-12-31	2013-05-08
682	2013-04-20	FROM	CHANGE OF COMPANY NAME	Agora Oil & Gas AS	10.000000	\N	22816685	18386322	9999-12-31	2013-05-08
682	2013-04-20	TO	CHANGE OF COMPANY NAME	Capricorn Norge AS	10.000000	\N	22816685	23297570	9999-12-31	2013-05-08
689	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	20.000000	\N	22820628	5072514	9999-12-31	2013-05-08
689	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	20.000000	\N	22820628	23173852	9999-12-31	2013-05-08
695	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	40.000000	\N	22820851	5072514	9999-12-31	2013-05-08
695	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	40.000000	\N	22820851	23173852	9999-12-31	2013-05-08
701	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	30.000000	\N	23180841	5072514	9999-12-31	2013-05-08
701	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	30.000000	\N	23180841	23173852	9999-12-31	2013-05-08
591 B	2013-02-13	FROM	CHANGE OF COMPANY NAME	Spring Energy Norway AS	60.000000	\N	23180930	5072514	9999-12-31	2013-05-08
591 B	2013-02-13	TO	CHANGE OF COMPANY NAME	Tullow Oil Norge AS	60.000000	\N	23180930	23173852	9999-12-31	2013-05-08
\.



COPY pipline (pipnpdidpipe, pipnpdidfromfacility, pipnpdidtofacility, pipnpdidoperator, pipname, pipnamefromfacility, pipnametofacility, pipnamecurrentoperator, pipcurrentphase, pipmedium, pipmaingrouping, pipdimension) FROM stdin;
306280	286673	286113	2410696	Oil 36/22-BP, TEESSIDE	36/22-BP	TEESSIDE	ConocoPhillips Skandinavia AS	IN SERVICE	Oil	Transportation	34.000000
306314	286645	286673	2410696	Oil 37/4-BP, 36/22-BP	37/4-BP	36/22-BP	ConocoPhillips Skandinavia AS	IN SERVICE	Oil	Transportation	34.000000
307674	282613	286169	1944954	Gas ÅSGARD ERB, KÅRSTØ	ÅSGARD ERB	KÅRSTØ	GASSCO AS	IN SERVICE	Gas	Transportation	42.000000
308524	272029	277937	2052695	Oil ULA PP, EKOFISK J	ULA PP	EKOFISK J	BP Norge AS	IN SERVICE	Oil	Transportation	20.000000
309000	277321	286505	17237817	Gas VESLEFRIKK A, STT-IN	VESLEFRIKK A	STT-IN	Statoil Petroleum AS	IN SERVICE	Gas	Transportation	10.750000
310326	286533	286281	1944954	Gas ZEEPIPE-SCP, ZEEBRUGGE	ZEEPIPE-SCP	ZEEBRUGGE	GASSCO AS	IN SERVICE	Gas	Transportation	40.000000
313556	286365	286169	1944954	Gas STAT-SSTC, KÅRSTØ	STAT-SSTC	KÅRSTØ	GASSCO AS	IN SERVICE	Gas	Transportation	30.000000
314610	278273	286701	17237817	Oil TROLL B, MONGSTAD	TROLL B	MONGSTAD	Statoil Petroleum AS	IN SERVICE	Oil	Transportation	16.000000
315018	279421	286701	17237817	Oil TROLL C, MONGSTAD	TROLL C	MONGSTAD	Statoil Petroleum AS	IN SERVICE	Oil	Transportation	20.000000
318010	271301	286365	1944954	Gas STATFJORD B, STAT-SSTC	STATFJORD B	STAT-SSTC	GASSCO AS	IN SERVICE	Gas	Transportation	30.000000
319132	282221	287261	1944954	Gas NORNE ERB, NORNE/HEIDRUN T	NORNE ERB	NORNE/HEIDRUN T	GASSCO AS	IN SERVICE	Gas	Transportation	16.000000
319166	287065	277265	1944954	Gas NORPIPE Y, B-11	NORPIPE Y	B-11	GASSCO AS	IN SERVICE	Gas	Transportation	36.000000
319268	271245	286253	17237817	Oil OSEBERG A, STURE	OSEBERG A	STURE	Statoil Petroleum AS	IN SERVICE	Oil	Transportation	28.000000
319676	280541	280569	1944954	Gas OSEBERG D, HEIMDAL HRP	OSEBERG D	HEIMDAL HRP	GASSCO AS	IN SERVICE	Gas	Transportation	36.000000
321002	277797	286533	1944954	Gas SLEIPNER R, ZEEPIPE-SCP	SLEIPNER R	ZEEPIPE-SCP	GASSCO AS	IN SERVICE	Gas	Transportation	40.000000
321036	277797	271945	1944954	Gas SLEIPNER R, DRAUPNER S	SLEIPNER R	DRAUPNER S	GASSCO AS	IN SERVICE	Gas	Transportation	30.000000
321070	277797	286169	17237817	Condensate SLEIPNER R, KÅRSTØ	SLEIPNER R	KÅRSTØ	Statoil Petroleum AS	IN SERVICE	Condensate	Transportation	20.000000
321750	272337	286477	2052695	Oil GYDA, ULA-Y	GYDA	ULA-Y	BP Norge AS	IN SERVICE	Oil	Transportation	20.000000
321784	377218	286141	1944954	Gas H-7 BP, EMDEN	H-7 BP	EMDEN	GASSCO AS	IN SERVICE	Gas	Transportation	36.000000
321818	272421	286309	1944954	Gas HEIDRUN, TJELDBERGODDEN	HEIDRUN	TJELDBERGODDEN	GASSCO AS	IN SERVICE	Gas	Transportation	16.000000
321852	272421	287261	17237817	Gas HEIDRUN, NORNE/HEIDRUN T	HEIDRUN	NORNE/HEIDRUN T	Statoil Petroleum AS	IN SERVICE	Gas	Transportation	16.000000
322464	271777	271945	1944954	Gas HEIMDAL, DRAUPNER S	HEIMDAL	DRAUPNER S	GASSCO AS	IN SERVICE	Gas	Transportation	36.000000
322498	280569	283285	17237817	Condensate HEIMDAL HRP, GRANE	HEIMDAL HRP	GRANE	Statoil Petroleum AS	IN SERVICE	Condensate	Transportation	18.000000
322532	280569	286225	1944954	Gas HEIMDAL HRP, ST.FERGUS	HEIMDAL HRP	ST.FERGUS	GASSCO AS	IN SERVICE	Gas	Transportation	32.000000
322634	277573	280569	17237817	Gas HULDRA, HEIMDAL HRP	HULDRA	HEIMDAL HRP	Statoil Petroleum AS	IN SERVICE	Gas	Feeder	22.000000
322668	277573	277321	17237817	Condensate HULDRA, VESLEFRIKK A	HULDRA	VESLEFRIKK A	Statoil Petroleum AS	IN SERVICE	Condensate	Transportation	8.000000
323042	286169	271945	1944954	Gas KÅRSTØ, DRAUPNER S	KÅRSTØ	DRAUPNER S	GASSCO AS	IN SERVICE	Gas	Transportation	28.000000
323076	286729	277797	1944954	Gas KOLLSNES, SLEIPNER R	KOLLSNES	SLEIPNER R	GASSCO AS	IN SERVICE	Gas	Transportation	40.000000
323110	286729	278357	1944954	Gas KOLLSNES, DRAUPNER E	KOLLSNES	DRAUPNER E	GASSCO AS	IN SERVICE	Gas	Transportation	40.000000
323212	286169	286141	1944954	Gas KÅRSTØ, EMDEN	KÅRSTØ	EMDEN	GASSCO AS	IN SERVICE	Gas	Transportation	42.000000
324844	277265	377218	1944954	Gas B-11, H-7 BP	B-11	H-7 BP	GASSCO AS	IN SERVICE	Gas	Transportation	36.000000
325524	277405	287037	17237817	Gas BRAGE, BRAGE-T	BRAGE	BRAGE-T	Statoil Petroleum AS	IN SERVICE	Gas	Transportation	8.625000
326068	272393	287373	562	Gas DRAUGEN, DRAUGEN T	DRAUGEN	DRAUGEN T	A/S Norske Shell	IN SERVICE	Gas	Transportation	16.000000
326340	278357	286841	1944954	Gas DRAUPNER E, EUROPIPE-SCP	DRAUPNER E	EUROPIPE-SCP	GASSCO AS	IN SERVICE	Gas	Transportation	40.000000
326374	278357	286757	1944954	Gas DRAUPNER E, DUNKERQUE	DRAUPNER E	DUNKERQUE	GASSCO AS	IN SERVICE	Gas	Transportation	42.000000
326408	271945	287065	1944954	Gas DRAUPNER S, NORPIPE Y	DRAUPNER S	NORPIPE Y	GASSCO AS	IN SERVICE	Gas	Transportation	36.000000
326884	277937	286645	2410696	Oil EKOFISK J, 37/4-BP	EKOFISK J	37/4-BP	ConocoPhillips Skandinavia AS	IN SERVICE	Oil	Transportation	34.000000
326918	277937	287065	1944954	Gas EKOFISK J, NORPIPE Y	EKOFISK J	NORPIPE Y	GASSCO AS	IN SERVICE	Gas	Transportation	36.000000
327394	286841	286141	1944954	Gas EUROPIPE-SCP, EMDEN	EUROPIPE-SCP	EMDEN	GASSCO AS	IN SERVICE	Gas	Transportation	40.000000
327836	272561	287625	1944954	Gas FRIGG TCP2, VESTERLED T	FRIGG TCP2	VESTERLED T	GASSCO AS	DECOMMISSIONED	Gas	Transportation	32.000000
327938	272561	271245	\N	Condensate FRIGG TCP2, OSEBERG A	FRIGG TCP2	OSEBERG A	\N	DECOMMISSIONED	Condensate	Transportation	16.000000
328244	283285	286253	17237817	Oil GRANE, STURE	GRANE	STURE	Statoil Petroleum AS	IN SERVICE	Oil	Transportation	28.000000
329502	280709	271833	17237817	Oil/gas GULLFAKS SØR H, GULLFAKS A	GULLFAKS SØR H	GULLFAKS A	Statoil Petroleum AS	IN SERVICE	Oil/gas	Transportation	8.000000
329536	280709	280653	17237817	Oil/gas GULLFAKS SØR H, GULLFAKS SØR I	GULLFAKS SØR H	GULLFAKS SØR I	Statoil Petroleum AS	IN SERVICE	Oil/gas	Transportation	8.000000
357492	280877	286729	1944954	Gas KVITEBJØRN, KOLLSNES	KVITEBJØRN	KOLLSNES	GASSCO AS	IN SERVICE	Gas	Transportation	30.000000
357605	280877	287597	17237817	Condensate KVITEBJØRN, TOR II Y	KVITEBJØRN	TOR II Y	Statoil Petroleum AS	IN SERVICE	Condensate	Transportation	16.000000
365843	286253	286701	17237817	Condensate STURE, MONGSTAD	STURE	MONGSTAD	Statoil Petroleum AS	IN SERVICE	Condensate	Transportation	12.750000
365878	286729	286253	17237817	Condensate KOLLSNES, STURE	KOLLSNES	STURE	Statoil Petroleum AS	IN SERVICE	Condensate	Transportation	8.000000
369461	364693	277797	1944954	Gas NYHAMNA, SLEIPNER R	NYHAMNA	SLEIPNER R	GASSCO AS	IN SERVICE	Gas	Transportation	42.000000
369498	277797	369424	1944954	Gas SLEIPNER R, EASINGTON	SLEIPNER R	EASINGTON	GASSCO AS	IN SERVICE	Gas	Transportation	44.000000
370369	370654	363441	17237817	Condensate SNØHVIT PLEM-1, MELKØYA	SNØHVIT PLEM-1	MELKØYA	Statoil Petroleum AS	IN SERVICE	Condensate	Transportation	28.000000
371254	371216	364693	562	Gas ORMEN LANGE B, NYHAMNA	ORMEN LANGE B	NYHAMNA	A/S Norske Shell	IN SERVICE	Gas	Feeder	30.000000
371292	371216	364693	562	Gas ORMEN LANGE B, NYHAMNA	ORMEN LANGE B	NYHAMNA	A/S Norske Shell	IN SERVICE	Gas	Feeder	30.000000
377106	271301	377070	1944954	Gas STATFJORD B, FLAGS-T	STATFJORD B	FLAGS-T	GASSCO AS	IN SERVICE	Gas	Transportation	32.000000
406790	406672	406731	1944954	Gas GJØA, GJØA-T	GJØA	GJØA-T	GASSCO AS	IN SERVICE	Gas	Transportation	28.000000
406833	406672	287597	5267845	Oil GJØA, TOR II Y	GJØA	TOR II Y	GDF SUEZ E&P Norge AS	IN SERVICE	Oil	Transportation	16.000000
414837	278329	286729	17237817	Gas TROLL A, KOLLSNES	TROLL A	KOLLSNES	Statoil Petroleum AS	IN SERVICE	Gas	Transportation	36.000000
425234	410651	272365	17237817	Oil GUDRUN, SLEIPNER A	GUDRUN	SLEIPNER A	Statoil Petroleum AS	INSTALLATION	Oil	Transportation	12.000000
425280	410651	272365	17237817	Gas GUDRUN, SLEIPNER A	GUDRUN	SLEIPNER A	Statoil Petroleum AS	INSTALLATION	Gas	Transportation	14.000000
\.



COPY prlarea (prlname, prlactive, prlcurrentarea, prldategranted, prldatevalidto, prlareapolydatevalidfrom, prlareapolydatevalidto, prlareapolyfromzvalue, prlareapolytozvalue, prlareapolyvertlimen, prlareapolyvertlimno, prlstratigraphical, prlareapolystratigraphical, prlnpdidlicence, prllastoperatornameshort, prllastoperatornamelong, prllicensingactivityname, prllastoperatornpdidcompany, prlfacturl, prlarea_id) FROM stdin;
001	ACTIVE	ACTIVE	1965-09-01	2030-03-01	1994-01-19	9999-12-31	0	100	\N	\N	NO	NO	20756	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	1
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20756	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	2
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1977-09-01	1994-01-19	0	100	\N	\N	NO	NO	20756	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	3
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20756	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	4
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1974-09-01	1977-09-01	0	100	\N	\N	NO	NO	20756	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	5
001 B	ACTIVE	ACTIVE	1999-12-15	2013-12-17	2000-01-01	9999-12-31	0	100	\N	\N	NO	NO	917266	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 1-A	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917266	6
001 B	ACTIVE	INACTIVE	1999-12-15	2013-12-17	1999-12-15	2000-01-01	0	100	\N	\N	NO	NO	917266	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 1-A	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917266	7
001 P	INACTIVE	INACTIVE	1994-01-19	1999-12-14	1994-01-19	1999-12-14	0	100	\N	\N	NO	NO	20764	ESSO	Esso Exploration and Production Norway A/S	Awarded additionaly to round 1-A	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20764	8
002	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20772	ESSO	Esso Exploration and Production Norway A/S	1-A	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20772	9
002	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1977-09-01	0	100	\N	\N	NO	NO	20772	ESSO	Esso Exploration and Production Norway A/S	1-A	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20772	10
003	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1977-09-01	0	100	\N	\N	NO	NO	20780	ESSO	Esso Exploration and Production Norway A/S	1-A	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20780	11
003	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20780	ESSO	Esso Exploration and Production Norway A/S	1-A	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20780	12
004	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20788	AMOCO	Amoco Norway Oil Company	1-A	78	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20788	13
004	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1965-09-01	1971-08-31	0	100	\N	\N	NO	NO	20788	AMOCO	Amoco Norway Oil Company	1-A	78	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20788	14
004	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1974-09-01	1977-09-01	0	100	\N	\N	NO	NO	20788	AMOCO	Amoco Norway Oil Company	1-A	78	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20788	15
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1974-09-01	1978-09-01	0	100	\N	\N	NO	NO	20796	UNION OIL	Union Norge A/S	1-A	881	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	16
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20796	UNION OIL	Union Norge A/S	1-A	881	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	17
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1978-09-01	1982-09-01	0	100	\N	\N	NO	NO	20796	UNION OIL	Union Norge A/S	1-A	881	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	18
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1965-09-01	1971-08-31	0	100	\N	\N	NO	NO	20796	UNION OIL	Union Norge A/S	1-A	881	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	19
006	ACTIVE	ACTIVE	1965-09-01	2028-12-31	2000-10-09	9999-12-31	0	100	\N	\N	NO	NO	20804	TOTAL E&P NORGE	Total E&P Norge AS	1-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	20
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20804	TOTAL E&P NORGE	Total E&P Norge AS	1-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	21
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1996-01-01	1999-01-01	0	100	\N	\N	NO	NO	20804	TOTAL E&P NORGE	Total E&P Norge AS	1-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	22
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20804	TOTAL E&P NORGE	Total E&P Norge AS	1-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	23
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1974-09-01	1995-12-31	0	100	\N	\N	NO	NO	20804	TOTAL E&P NORGE	Total E&P Norge AS	1-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	24
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1999-01-01	2000-10-09	0	100	\N	\N	NO	NO	20804	TOTAL E&P NORGE	Total E&P Norge AS	1-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	25
006 B	ACTIVE	ACTIVE	2000-10-09	2028-12-31	2000-10-09	9999-12-31	0	100	\N	\N	NO	NO	1333048	BP NORGE	BP Norge AS	Awarded additionaly to round 1-A	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333048	26
006 C	ACTIVE	ACTIVE	2000-10-09	2028-12-31	2003-01-01	9999-12-31	0	100	\N	\N	NO	NO	1333089	LUNDIN NORWAY	Lundin Norway AS	Awarded additionaly to round 1-A	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333089	27
006 C	ACTIVE	INACTIVE	2000-10-09	2028-12-31	2000-10-09	2001-01-01	0	100	\N	\N	NO	NO	1333089	LUNDIN NORWAY	Lundin Norway AS	Awarded additionaly to round 1-A	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333089	28
006 C	ACTIVE	INACTIVE	2000-10-09	2028-12-31	2001-01-01	2003-01-01	0	100	\N	\N	NO	NO	1333089	LUNDIN NORWAY	Lundin Norway AS	Awarded additionaly to round 1-A	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333089	29
006 D	INACTIVE	INACTIVE	2008-02-29	2011-08-29	2008-02-29	2011-08-29	0	100	\N	\N	NO	NO	4909688	LUNDIN NORWAY	Lundin Norway AS	TFO2007	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909688	30
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1977-09-01	1978-09-01	0	100	\N	\N	NO	NO	20812	ELF NORGE	Elf Petroleum Norge AS	1-A	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	31
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20812	ELF NORGE	Elf Petroleum Norge AS	1-A	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	32
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20812	ELF NORGE	Elf Petroleum Norge AS	1-A	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	33
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1974-09-01	1977-09-01	0	100	\N	\N	NO	NO	20812	ELF NORGE	Elf Petroleum Norge AS	1-A	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	34
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1978-09-01	1990-09-01	0	100	\N	\N	NO	NO	20812	ELF NORGE	Elf Petroleum Norge AS	1-A	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	35
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1977-09-01	1996-01-01	0	100	\N	\N	NO	NO	20820	AMERADA	Amerada Hess Norge AS	1-A	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	36
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20820	AMERADA	Amerada Hess Norge AS	1-A	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	37
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1996-01-01	2001-01-01	0	100	\N	\N	NO	NO	20820	AMERADA	Amerada Hess Norge AS	1-A	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	38
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1974-09-01	1977-09-01	0	100	\N	\N	NO	NO	20820	AMERADA	Amerada Hess Norge AS	1-A	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	39
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	2001-01-01	2002-12-31	0	100	\N	\N	NO	NO	20820	AMERADA	Amerada Hess Norge AS	1-A	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	40
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20820	AMERADA	Amerada Hess Norge AS	1-A	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	41
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1977-09-01	1999-01-01	0	100	\N	\N	NO	NO	20828	ELF NORGE	Elf Petroleum Norge AS	1-A	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	42
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20828	ELF NORGE	Elf Petroleum Norge AS	1-A	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	43
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1974-09-01	1977-09-01	0	100	\N	\N	NO	NO	20828	ELF NORGE	Elf Petroleum Norge AS	1-A	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	44
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20828	ELF NORGE	Elf Petroleum Norge AS	1-A	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	45
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20836	SHELL NORGE	A/S Norske Shell	1-A	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	46
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1974-09-01	1977-09-01	0	100	\N	\N	NO	NO	20836	SHELL NORGE	A/S Norske Shell	1-A	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	47
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20836	SHELL NORGE	A/S Norske Shell	1-A	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	48
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1977-09-01	1979-09-01	0	100	\N	\N	NO	NO	20836	SHELL NORGE	A/S Norske Shell	1-A	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	49
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20844	SHELL NORGE	A/S Norske Shell	1-A	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	50
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1977-09-01	1995-08-25	0	100	\N	\N	NO	NO	20844	SHELL NORGE	A/S Norske Shell	1-A	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	51
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1999-01-01	1999-12-31	0	100	\N	\N	NO	NO	20844	SHELL NORGE	A/S Norske Shell	1-A	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	52
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1974-09-01	1977-09-01	0	100	\N	\N	NO	NO	20844	SHELL NORGE	A/S Norske Shell	1-A	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	53
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1995-08-25	1999-01-01	0	100	\N	\N	NO	NO	20844	SHELL NORGE	A/S Norske Shell	1-A	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	54
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20844	SHELL NORGE	A/S Norske Shell	1-A	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	55
012	INACTIVE	INACTIVE	1965-09-01	1971-09-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20852	SHELL NORGE	A/S Norske Shell	1-A	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20852	56
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1974-09-01	1976-09-01	0	100	\N	\N	NO	NO	20860	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	57
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1976-09-01	1977-09-01	0	100	\N	\N	NO	NO	20860	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	58
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20860	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	59
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1977-09-01	1978-09-01	0	100	\N	\N	NO	NO	20860	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	60
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20860	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	61
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1976-09-01	1977-09-01	0	100	\N	\N	NO	NO	20868	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	62
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20868	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	63
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1974-09-01	1976-09-01	0	100	\N	\N	NO	NO	20868	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	64
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20868	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	65
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1976-09-01	1977-09-01	0	100	\N	\N	NO	NO	20876	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	66
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1974-09-01	1976-09-01	0	100	\N	\N	NO	NO	20876	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	67
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20876	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	68
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20876	SAGA	Saga Petroleum ASA	1-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	69
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20884	PHILLIPS	Phillips Petroleum Company Norway	1-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	70
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1974-09-01	1976-09-01	0	100	\N	\N	NO	NO	20884	PHILLIPS	Phillips Petroleum Company Norway	1-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	71
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1988-12-31	1994-12-31	0	100	\N	\N	NO	NO	20884	PHILLIPS	Phillips Petroleum Company Norway	1-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	72
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1976-09-01	1988-12-31	0	100	\N	\N	NO	NO	20884	PHILLIPS	Phillips Petroleum Company Norway	1-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	73
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20884	PHILLIPS	Phillips Petroleum Company Norway	1-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	74
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1977-09-01	1991-12-31	0	100	\N	\N	NO	NO	20892	PHILLIPS	Phillips Petroleum Company Norway	1-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	75
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20892	PHILLIPS	Phillips Petroleum Company Norway	1-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	76
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1974-09-01	1977-09-01	0	100	\N	\N	NO	NO	20892	PHILLIPS	Phillips Petroleum Company Norway	1-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	77
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20892	PHILLIPS	Phillips Petroleum Company Norway	1-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	78
018	ACTIVE	ACTIVE	1965-09-01	2028-12-31	2002-12-20	9999-12-31	0	100	\N	\N	NO	NO	20900	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	79
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20900	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	80
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1974-09-01	2002-12-20	0	100	\N	\N	NO	NO	20900	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	81
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20900	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	82
018 B	ACTIVE	ACTIVE	1995-08-25	2028-12-31	2001-01-01	9999-12-31	0	100	\N	\N	NO	NO	20908	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	Awarded additionaly to round 1-A	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20908	83
018 B	ACTIVE	INACTIVE	1995-08-25	2028-12-31	1995-08-25	2001-01-01	0	100	\N	\N	NO	NO	20908	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	Awarded additionaly to round 1-A	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20908	84
018 C	ACTIVE	ACTIVE	2002-12-20	2028-12-31	2011-11-29	9999-12-31	60	100	Applies to levels below the base of Hidraformation	Gjelder for nivå under bunnen av Hidraformasjonen	YES	YES	2246113	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	Awarded additionaly to round 1-A	4719674	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2246113	85
018 C	ACTIVE	ACTIVE	2002-12-20	2028-12-31	2011-11-29	9999-12-31	0	40	Applies to levels over top of the Ekofiskformation.	Arealet gjelder for nivå over toppen av Ekofiskformasjonen.	YES	YES	2246113	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	Awarded additionaly to round 1-A	4719674	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2246113	86
018 C	ACTIVE	INACTIVE	2002-12-20	2028-12-31	2002-12-20	2011-11-29	0	100	\N	\N	YES	NO	2246113	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	Awarded additionaly to round 1-A	4719674	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2246113	87
018 DS	ACTIVE	ACTIVE	2011-11-29	2028-12-31	2011-11-29	9999-12-31	40	60	Applies to levels between top of the Ekofiskformation and down to the base of Hidraformation	Gjelder for nivå mellom toppen av Ekofiskformasjonen og ned til bunnen av Hidraformasjonen	YES	YES	21139552	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	Awarded additionaly to round 1-A	4719674	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21139552	88
019	ACTIVE	ACTIVE	1965-09-01	2029-01-01	1976-09-01	9999-12-31	0	100	\N	\N	NO	NO	20916	BP NORGE	BP Norge AS	1-A	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	89
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20916	BP NORGE	BP Norge AS	1-A	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	90
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20916	BP NORGE	BP Norge AS	1-A	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	91
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1974-09-01	1976-09-01	0	100	\N	\N	NO	NO	20916	BP NORGE	BP Norge AS	1-A	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	92
019 B	ACTIVE	ACTIVE	1977-09-12	2018-09-01	1998-09-14	9999-12-31	0	100	\N	\N	NO	NO	20924	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	93
019 B	ACTIVE	INACTIVE	1977-09-12	2018-09-01	1998-01-01	1998-09-14	0	100	\N	\N	NO	NO	20924	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	94
019 B	ACTIVE	INACTIVE	1977-09-12	2018-09-01	1977-09-12	1998-01-01	0	100	\N	\N	NO	NO	20924	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	95
019 C	ACTIVE	ACTIVE	1998-09-14	2018-09-01	2009-01-16	9999-12-31	0	100	\N	\N	NO	NO	47992	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	96
019 C	ACTIVE	INACTIVE	1998-09-14	2018-09-01	2001-01-01	2002-01-01	0	100	\N	\N	NO	NO	47992	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	97
019 C	ACTIVE	INACTIVE	1998-09-14	2018-09-01	2002-01-01	2009-01-16	0	100	\N	\N	NO	NO	47992	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	98
019 C	ACTIVE	INACTIVE	1998-09-14	2018-09-01	1998-09-14	2001-01-01	0	100	\N	\N	NO	NO	47992	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	99
019 D	ACTIVE	ACTIVE	2009-01-16	2018-09-01	2010-01-01	9999-12-31	0	100	\N	\N	NO	NO	5488531	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5488531	100
019 D	ACTIVE	INACTIVE	2009-01-16	2018-09-01	2009-01-16	2010-01-01	0	100	\N	\N	NO	NO	5488531	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5488531	101
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1971-09-01	1974-09-01	0	100	\N	\N	NO	NO	20932	BPAS	BP Petroleum Dev. of Norway AS	1-A	155	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	102
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1976-09-01	1987-12-31	0	100	\N	\N	NO	NO	20932	BPAS	BP Petroleum Dev. of Norway AS	1-A	155	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	103
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20932	BPAS	BP Petroleum Dev. of Norway AS	1-A	155	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	104
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1974-09-01	1976-09-01	0	100	\N	\N	NO	NO	20932	BPAS	BP Petroleum Dev. of Norway AS	1-A	155	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	105
021	INACTIVE	INACTIVE	1965-09-01	1973-09-01	1965-09-01	1971-09-01	0	100	\N	\N	NO	NO	20940	SYRACUSE	Syracuse Oils Norge A/S	1-A	782	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20940	106
021	INACTIVE	INACTIVE	1965-09-01	1973-09-01	1971-09-01	1973-09-01	0	100	\N	\N	NO	NO	20940	SYRACUSE	Syracuse Oils Norge A/S	1-A	782	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20940	107
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1974-12-07	1976-12-07	0	100	\N	\N	NO	NO	20948	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	397	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	108
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1965-12-07	1971-12-07	0	100	\N	\N	NO	NO	20948	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	397	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	109
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1984-12-07	1986-12-31	0	100	\N	\N	NO	NO	20948	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	397	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	110
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1976-12-07	1979-12-07	0	100	\N	\N	NO	NO	20948	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	397	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	111
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1971-12-07	1974-12-07	0	100	\N	\N	NO	NO	20948	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	397	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	112
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1979-12-07	1984-12-07	0	100	\N	\N	NO	NO	20948	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	397	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	113
023	INACTIVE	INACTIVE	1969-05-23	1985-05-23	1978-05-23	1985-05-23	0	100	\N	\N	NO	NO	20956	ELF N	Elf Norge A/S	2-A	287	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20956	114
023	INACTIVE	INACTIVE	1969-05-23	1985-05-23	1975-05-23	1978-05-23	0	100	\N	\N	NO	NO	20956	ELF N	Elf Norge A/S	2-A	287	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20956	115
023	INACTIVE	INACTIVE	1969-05-23	1985-05-23	1969-05-23	1975-05-23	0	100	\N	\N	NO	NO	20956	ELF N	Elf Norge A/S	2-A	287	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20956	116
024	ACTIVE	ACTIVE	1969-05-23	2015-05-23	1997-01-01	9999-12-31	0	100	\N	\N	NO	NO	20964	TOTAL E&P NORGE	Total E&P Norge AS	2-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20964	117
024	ACTIVE	INACTIVE	1969-05-23	2015-05-23	1978-05-23	1997-01-01	0	100	\N	\N	NO	NO	20964	TOTAL E&P NORGE	Total E&P Norge AS	2-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20964	118
024	ACTIVE	INACTIVE	1969-05-23	2015-05-23	1969-05-23	1976-05-23	0	100	\N	\N	NO	NO	20964	TOTAL E&P NORGE	Total E&P Norge AS	2-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20964	119
024	ACTIVE	INACTIVE	1969-05-23	2015-05-23	1976-05-23	1978-05-23	0	100	\N	\N	NO	NO	20964	TOTAL E&P NORGE	Total E&P Norge AS	2-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20964	120
025	ACTIVE	ACTIVE	1969-05-23	2028-12-31	1978-05-23	9999-12-31	0	100	\N	\N	NO	NO	34512	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=34512	121
025	ACTIVE	INACTIVE	1969-05-23	2028-12-31	1976-05-23	1978-05-23	0	100	\N	\N	NO	NO	34512	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=34512	122
025	ACTIVE	INACTIVE	1969-05-23	2028-12-31	1969-05-23	1976-05-23	0	100	\N	\N	NO	NO	34512	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=34512	123
026	ACTIVE	ACTIVE	1969-05-23	2025-05-23	2002-05-24	9999-12-31	0	100	\N	\N	NO	NO	20980	TOTAL E&P NORGE	Total E&P Norge AS	2-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	124
026	ACTIVE	INACTIVE	1969-05-23	2025-05-23	1996-01-01	2002-05-24	0	100	\N	\N	NO	NO	20980	TOTAL E&P NORGE	Total E&P Norge AS	2-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	125
026	ACTIVE	INACTIVE	1969-05-23	2025-05-23	1976-05-23	1978-05-23	0	100	\N	\N	NO	NO	20980	TOTAL E&P NORGE	Total E&P Norge AS	2-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	126
026	ACTIVE	INACTIVE	1969-05-23	2025-05-23	1969-05-23	1976-05-23	0	100	\N	\N	NO	NO	20980	TOTAL E&P NORGE	Total E&P Norge AS	2-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	127
026	ACTIVE	INACTIVE	1969-05-23	2025-05-23	1978-05-23	1996-01-01	0	100	\N	\N	NO	NO	20980	TOTAL E&P NORGE	Total E&P Norge AS	2-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	128
027	ACTIVE	ACTIVE	1969-05-23	2030-03-01	1994-01-19	9999-12-31	0	100	\N	\N	NO	NO	20988	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20988	129
027	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1976-05-23	1978-05-23	0	100	\N	\N	NO	NO	20988	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20988	130
027	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1978-05-23	1994-01-19	0	100	\N	\N	NO	NO	20988	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20988	131
027	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1969-05-23	1976-05-23	0	100	\N	\N	NO	NO	20988	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20988	132
027 B	ACTIVE	ACTIVE	1999-12-15	2021-03-01	2011-01-01	9999-12-31	0	100	\N	\N	NO	NO	917344	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917344	133
027 B	ACTIVE	INACTIVE	1999-12-15	2021-03-01	2000-10-09	2005-01-01	0	100	\N	\N	NO	NO	917344	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917344	134
027 B	ACTIVE	INACTIVE	1999-12-15	2021-03-01	2007-12-07	2011-01-01	0	100	\N	\N	NO	NO	917344	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917344	135
027 B	ACTIVE	INACTIVE	1999-12-15	2021-03-01	2005-01-01	2007-12-07	0	100	\N	\N	NO	NO	917344	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917344	136
027 B	ACTIVE	INACTIVE	1999-12-15	2021-03-01	1999-12-15	2000-10-09	0	100	\N	\N	NO	NO	917344	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917344	137
027 C	ACTIVE	ACTIVE	2000-10-09	2030-03-01	2000-10-09	9999-12-31	0	100	\N	\N	NO	NO	1333301	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333301	138
027 D	ACTIVE	ACTIVE	2007-12-07	2015-05-23	2011-01-01	9999-12-31	0	100	\N	\N	NO	NO	4943160	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 1-A	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4943160	139
027 D	ACTIVE	INACTIVE	2007-12-07	2015-05-23	2007-12-07	2011-01-01	0	100	\N	\N	NO	NO	4943160	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 1-A	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4943160	140
027 P	INACTIVE	INACTIVE	1994-01-19	1999-12-14	1994-01-19	1999-12-14	0	100	\N	\N	NO	NO	20996	ESSO	Esso Exploration and Production Norway A/S	Awarded additionaly to round 2-A	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20996	141
028	ACTIVE	ACTIVE	1969-05-23	2030-03-01	2009-11-13	9999-12-31	0	50	Applies for levels above base Cretaceous	Gjelder for nivå over bunn kritt	YES	YES	21004	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	142
028	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1969-05-23	1976-05-23	0	100	\N	\N	YES	NO	21004	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	143
028	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1976-05-23	1978-05-23	0	100	\N	\N	YES	NO	21004	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	144
028	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1978-05-23	1994-01-19	0	100	\N	\N	YES	NO	21004	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	145
028	ACTIVE	INACTIVE	1969-05-23	2030-03-01	2000-10-09	2009-11-13	0	100	\N	\N	YES	NO	21004	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	146
028	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1994-01-19	2000-10-09	0	100	\N	\N	YES	NO	21004	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	147
028 B	ACTIVE	ACTIVE	1999-12-15	2015-05-23	2000-01-01	9999-12-31	0	100	\N	\N	NO	NO	917484	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 2-A	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917484	148
028 B	ACTIVE	INACTIVE	1999-12-15	2015-05-23	1999-12-15	2000-01-01	0	100	\N	\N	NO	NO	917484	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 2-A	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917484	149
028 C	ACTIVE	ACTIVE	2000-10-09	2030-03-01	2000-10-09	9999-12-31	0	100	\N	\N	NO	NO	1333344	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333344	150
028 P	INACTIVE	INACTIVE	1994-01-19	1999-12-14	1994-01-19	1999-12-14	0	100	\N	\N	NO	NO	21012	ESSO	Esso Exploration and Production Norway A/S	Awarded additionaly to round 2-A	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21012	151
028 S	ACTIVE	ACTIVE	2009-11-13	2030-03-01	2009-11-13	9999-12-31	50	100	Applies to all levels below base Cretaceous.	Gjelder for alle nivå under bunn kritt.	YES	YES	18054740	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18054740	152
029	ACTIVE	ACTIVE	1969-05-23	2028-12-31	2012-10-17	9999-12-31	0	100	\N	\N	NO	NO	21020	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21020	153
029	ACTIVE	INACTIVE	1969-05-23	2028-12-31	1978-05-23	2001-05-11	0	100	\N	\N	NO	NO	21020	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21020	154
029	ACTIVE	INACTIVE	1969-05-23	2028-12-31	1969-05-23	1976-05-23	0	100	\N	\N	NO	NO	21020	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21020	155
029	ACTIVE	INACTIVE	1969-05-23	2028-12-31	1976-05-23	1978-05-23	0	100	\N	\N	NO	NO	21020	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21020	156
029 B	ACTIVE	ACTIVE	2001-05-11	2015-05-23	2002-01-01	9999-12-31	0	100	\N	\N	NO	NO	1626782	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1626782	157
029 B	ACTIVE	INACTIVE	2001-05-11	2015-05-23	2001-05-11	2002-01-01	0	100	\N	\N	NO	NO	1626782	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1626782	158
029 C	ACTIVE	ACTIVE	2012-10-17	2028-12-31	2012-10-17	9999-12-31	0	100	\N	\N	NO	NO	22493034	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 2-A	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22493034	159
030	INACTIVE	INACTIVE	1969-05-23	1995-12-31	1976-05-23	1978-05-23	0	100	\N	\N	NO	NO	21028	ESSO	Esso Exploration and Production Norway A/S	2-A	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21028	160
030	INACTIVE	INACTIVE	1969-05-23	1995-12-31	1978-05-23	1994-12-31	0	100	\N	\N	NO	NO	21028	ESSO	Esso Exploration and Production Norway A/S	2-A	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21028	161
030	INACTIVE	INACTIVE	1969-05-23	1995-12-31	1995-01-01	1995-12-31	0	100	\N	\N	NO	NO	21028	ESSO	Esso Exploration and Production Norway A/S	2-A	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21028	162
030	INACTIVE	INACTIVE	1969-05-23	1995-12-31	1969-05-23	1976-05-23	0	100	\N	\N	NO	NO	21028	ESSO	Esso Exploration and Production Norway A/S	2-A	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21028	163
031	INACTIVE	INACTIVE	1969-05-23	1999-12-31	1969-05-23	1976-05-23	0	100	\N	\N	NO	NO	21036	PHILLIPS	Phillips Petroleum Company Norway	2-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21036	164
031	INACTIVE	INACTIVE	1969-05-23	1999-12-31	1978-05-23	1999-12-31	0	100	\N	\N	NO	NO	21036	PHILLIPS	Phillips Petroleum Company Norway	2-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21036	165
031	INACTIVE	INACTIVE	1969-05-23	1999-12-31	1976-05-23	1978-05-23	0	100	\N	\N	NO	NO	21036	PHILLIPS	Phillips Petroleum Company Norway	2-A	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21036	166
032	INACTIVE	INACTIVE	1969-05-30	1999-12-31	1978-05-30	1999-12-31	0	100	\N	\N	NO	NO	21044	AMOCO	Amoco Norway Oil Company	2-A	78	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21044	167
032	INACTIVE	INACTIVE	1969-05-30	1999-12-31	1969-05-30	1976-05-30	0	100	\N	\N	NO	NO	21044	AMOCO	Amoco Norway Oil Company	2-A	78	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21044	168
032	INACTIVE	INACTIVE	1969-05-30	1999-12-31	1976-05-30	1978-05-30	0	100	\N	\N	NO	NO	21044	AMOCO	Amoco Norway Oil Company	2-A	78	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21044	169
033	ACTIVE	ACTIVE	1969-05-30	2015-05-30	2001-05-04	9999-12-31	0	100	\N	\N	NO	NO	21052	BP NORGE	BP Norge AS	2-A	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21052	170
033	ACTIVE	INACTIVE	1969-05-30	2015-05-30	1969-05-30	1976-05-30	0	100	\N	\N	NO	NO	21052	BP NORGE	BP Norge AS	2-A	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21052	171
033	ACTIVE	INACTIVE	1969-05-30	2015-05-30	1976-05-30	1978-05-30	0	100	\N	\N	NO	NO	21052	BP NORGE	BP Norge AS	2-A	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21052	172
033	ACTIVE	INACTIVE	1969-05-30	2015-05-30	1978-05-30	2001-05-04	0	100	\N	\N	NO	NO	21052	BP NORGE	BP Norge AS	2-A	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21052	173
033 B	ACTIVE	ACTIVE	2001-05-04	2028-12-31	2001-05-04	9999-12-31	0	100	\N	\N	NO	NO	1622353	BP NORGE	BP Norge AS	Awarded additionaly to round 2-A	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1622353	174
034	ACTIVE	ACTIVE	1969-11-14	2015-11-14	2003-01-01	9999-12-31	0	100	\N	\N	NO	NO	21060	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21060	175
034	ACTIVE	INACTIVE	1969-11-14	2015-11-14	1976-11-14	1977-11-14	0	100	\N	\N	NO	NO	21060	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21060	176
034	ACTIVE	INACTIVE	1969-11-14	2015-11-14	1977-11-14	2002-01-01	0	100	\N	\N	NO	NO	21060	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21060	177
034	ACTIVE	INACTIVE	1969-11-14	2015-11-14	1969-11-14	1976-11-14	0	100	\N	\N	NO	NO	21060	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21060	178
034	ACTIVE	INACTIVE	1969-11-14	2015-11-14	2002-01-01	2003-01-01	0	100	\N	\N	NO	NO	21060	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21060	179
035	ACTIVE	ACTIVE	1969-11-14	2022-11-14	2008-11-26	9999-12-31	0	100	\N	\N	NO	NO	21068	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	180
035	ACTIVE	INACTIVE	1969-11-14	2022-11-14	1976-11-14	1978-11-14	0	100	\N	\N	NO	NO	21068	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	181
035	ACTIVE	INACTIVE	1969-11-14	2022-11-14	2008-01-01	2008-11-26	0	100	\N	\N	NO	NO	21068	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	182
035	ACTIVE	INACTIVE	1969-11-14	2022-11-14	1969-11-14	1976-11-14	0	100	\N	\N	NO	NO	21068	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	183
035	ACTIVE	INACTIVE	1969-11-14	2022-11-14	1978-11-14	2008-01-01	0	100	\N	\N	NO	NO	21068	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	184
035 B	ACTIVE	ACTIVE	2008-11-26	2015-11-14	2008-11-26	9999-12-31	0	100	\N	\N	NO	NO	5105684	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	Awarded additionaly to round 2-A	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105684	185
035 C	ACTIVE	ACTIVE	2012-02-03	2022-11-14	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559372	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559372	186
036	ACTIVE	ACTIVE	1971-06-11	2021-06-11	2008-10-17	9999-12-31	50	100	This area does not apply to intervals that are included in Heimdal sand in the Lista Formation, with upper limit in the base Hermod sand in the Sele Formation, and the lower limit in the top of Ty sand in the Våle Formation	Gjelder ikke for nivåer som inngår i Heimdal sand i Listaformasjonen, med øvre begrensning i bunnen av Hermod sand i Seleformasjonen, og nedre begrensning i Ty sand i Våleformasjonen.	YES	YES	21076	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	187
036	ACTIVE	ACTIVE	1971-06-11	2021-06-11	2008-10-17	9999-12-31	50	100	This area does not apply to intervals that are included in Hugin Formation, with the upper limit in the top sand in the Hugin Formation, and the lower limit in the top of marine shales of the Dunlin Group.	Gjelder ikke for nivåer som inngår i Huginformasjonen, med øvre begrensning på toppen av sand i Huginformasjonen, og nedre begrensning på toppen av marin shales i Dunlingruppen.	YES	YES	21076	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	188
036	ACTIVE	ACTIVE	1971-06-11	2021-06-11	2008-10-17	9999-12-31	0	100	\N	\N	YES	NO	21076	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	189
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	1977-06-11	1981-06-11	0	100	\N	\N	YES	NO	21076	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	190
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	1997-01-01	2003-10-13	0	100	\N	\N	YES	NO	21076	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	191
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	2003-10-13	2008-10-17	0	100	Same as Polygon 2, b).	Sjå Polygon 2 punkt b. (Polygon 3 inngår i polygon 2.)	YES	NO	21076	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	192
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	2003-10-13	2008-10-17	0	100	\N	\N	YES	NO	21076	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	193
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	2003-10-13	2008-10-17	0	100	This area does not apply to intervals that are included in PL 036 BS. These consist of:                                                                                                                 a) Heimdal sand in the Lista Formation with upper limit in the base Hermod sand in the Sele Formation and the lower limit in the top of Ty sand in the Våle Formatoin.                                                                                                     b)Hugin Formation with the upper limit in the top sand in the Hugin Formation and lower limit in the top of marine shales of the Dunlin Group.	Unntatt i dette området av utvinningstillatelsen er de stratigrafiske nivåene som inngår i PL 036 BS, det vil si:                                                                                    a) Heimdal sand i Lista-formasjonen, med øvre begrensning i bunnen av Hermod sand i Sele-formasjonen, og nedre begrensning i toppen av Ty sand i Våleformasjonen, innenfor koordinatene som nevnt for polygon 2.                           b) Hugin formasjonen, med øvre begrensning på toppen av sandig Hugin-formasjon, og nedre begrensning på toppen av marine shales i Dunlin-gruppen, innenfor følgende koordinater:                                                        1. 59,33 n           2,12 ø                                                                                           2. 59,33 n           2,15 ø                                                                                           3. 59,36 n           2,15 ø                                                                                           4. 59,36 n           2,12 ø    Arealet utgjer 15,741 km2.	YES	NO	21076	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	194
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	1971-06-11	1977-06-11	0	100	\N	\N	YES	NO	21076	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	195
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	1981-07-01	1996-12-31	0	100	\N	\N	YES	NO	21076	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	196
036 BS	ACTIVE	ACTIVE	2003-10-13	2021-06-11	2003-10-13	9999-12-31	50	100	Polygon 2 applies to Hugin Formation, with the upper limit in the top sand in the Hugin Formation, and lower limit in the top of marine shales of the Dunlin Group.	Polygon 2 gjeld Hugin-formasjonen med øvre begrensning på toppen av sand i Huginformasjonen, og nedre begrensning på toppen av marine shales i Dunlin gruppen.	YES	YES	2473189	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2473189	197
036 BS	ACTIVE	ACTIVE	2003-10-13	2021-06-11	2003-10-13	9999-12-31	50	100	Applies to Heimdal sand in the Lista Formation with upper limit in the base Hermod  sand in the Sele Formation and the lower limit in the top of Ty sand in the Våle Formation.	Gjelder for Heimdal sand i Lista-formasjonen, med øvre begrensning i bunnen av Hermod sand i Seleformasjonen, og nedre begrensning i toppen av Ty sand i Våleformasjonen.	YES	YES	2473189	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2473189	198
036 C	ACTIVE	ACTIVE	2003-10-13	2021-06-11	2003-10-13	9999-12-31	0	100	\N	\N	NO	NO	2473241	MARATHON OIL	Marathon Oil Norge AS	Awarded additionaly to round 2-A	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2473241	199
036 D	ACTIVE	ACTIVE	2008-10-17	2021-06-11	2008-10-17	9999-12-31	0	100	\N	\N	NO	NO	5081703	MARATHON OIL	Marathon Oil Norge AS	Awarded additionaly to round 2-A	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5081703	200
037	ACTIVE	ACTIVE	1973-08-10	2026-08-10	2011-01-01	9999-12-31	0	100	\N	\N	NO	NO	21084	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	201
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1999-12-15	2004-06-08	0	100	\N	\N	NO	NO	21084	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	202
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1973-08-10	1979-08-10	0	100	\N	\N	NO	NO	21084	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	203
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1979-08-10	1998-09-14	0	100	\N	\N	NO	NO	21084	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	204
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2004-06-08	2004-12-10	0	100	\N	\N	NO	NO	21084	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	205
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2004-12-10	2005-01-01	0	100	\N	\N	NO	NO	21084	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	206
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1998-09-14	1999-12-15	0	100	\N	\N	NO	NO	21084	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	207
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2005-01-01	2011-01-01	0	100	\N	\N	NO	NO	21084	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	208
037 B	ACTIVE	ACTIVE	1998-09-14	2036-06-30	1998-09-14	9999-12-31	0	100	\N	\N	NO	NO	48081	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=48081	209
037 C	ACTIVE	ACTIVE	2000-01-14	2026-08-10	2000-01-14	9999-12-31	0	100	\N	\N	NO	NO	853671	WINTERSHALL NORGE AS	Wintershall Norge AS	Awarded additionaly to round 2-A	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=853671	210
037 D	ACTIVE	ACTIVE	2004-06-08	2026-08-10	2004-06-08	9999-12-31	0	100	\N	\N	NO	NO	2787322	WINTERSHALL NORGE AS	Wintershall Norge AS	Awarded additionaly to round 2-A	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787322	211
037 E	ACTIVE	ACTIVE	2004-12-10	2036-06-30	2004-12-10	9999-12-31	0	100	\N	\N	NO	NO	3000656	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3000656	212
037 F	ACTIVE	ACTIVE	2013-02-08	2017-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22813049	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813049	213
038	ACTIVE	ACTIVE	1975-04-01	2021-04-01	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	21092	TALISMAN ENERGY	Talisman Energy Norge AS	3	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	214
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	2006-06-15	2009-05-15	0	100	\N	\N	NO	NO	21092	TALISMAN ENERGY	Talisman Energy Norge AS	3	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	215
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	1975-04-01	1981-04-01	0	100	\N	\N	NO	NO	21092	TALISMAN ENERGY	Talisman Energy Norge AS	3	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	216
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	1981-04-01	1998-01-01	0	100	\N	\N	NO	NO	21092	TALISMAN ENERGY	Talisman Energy Norge AS	3	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	217
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	1998-01-01	2006-06-15	0	100	\N	\N	NO	NO	21092	TALISMAN ENERGY	Talisman Energy Norge AS	3	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	218
038 B	INACTIVE	INACTIVE	2003-04-11	2006-04-11	2003-04-11	2006-04-11	0	100	\N	\N	NO	NO	2407278	TALISMAN ENERGY	Talisman Energy Norge AS	NST2002	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407278	219
038 C	ACTIVE	ACTIVE	2006-06-15	2021-04-01	2006-06-15	9999-12-31	0	100	\N	\N	NO	NO	4005057	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to NST2002	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4005057	220
038 D	ACTIVE	ACTIVE	2009-05-15	2021-04-01	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5500999	TALISMAN ENERGY	Talisman Energy Norge AS	20	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5500999	221
039	INACTIVE	INACTIVE	1975-04-01	1983-04-01	1981-04-01	1983-04-01	0	100	\N	\N	NO	NO	21100	CONOCO N	Norske Conoco A/S	3	221	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21100	222
039	INACTIVE	INACTIVE	1975-04-01	1983-04-01	1975-04-01	1981-04-01	0	100	\N	\N	NO	NO	21100	CONOCO N	Norske Conoco A/S	3	221	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21100	223
040	ACTIVE	ACTIVE	1975-04-01	2027-12-31	1995-01-01	9999-12-31	0	100	\N	\N	NO	NO	21108	TOTAL E&P NORGE	Total E&P Norge AS	3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21108	224
040	ACTIVE	INACTIVE	1975-04-01	2027-12-31	1981-04-01	1995-01-01	0	100	\N	\N	NO	NO	21108	TOTAL E&P NORGE	Total E&P Norge AS	3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21108	225
040	ACTIVE	INACTIVE	1975-04-01	2027-12-31	1975-04-01	1981-04-01	0	100	\N	\N	NO	NO	21108	TOTAL E&P NORGE	Total E&P Norge AS	3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21108	226
041	INACTIVE	INACTIVE	1975-06-01	1989-01-01	1975-06-01	1982-06-01	0	100	\N	\N	NO	NO	21116	SAGA	Saga Petroleum ASA	3	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21116	227
041	INACTIVE	INACTIVE	1975-06-01	1989-01-01	1982-06-01	1989-01-01	0	100	\N	\N	NO	NO	21116	SAGA	Saga Petroleum ASA	3	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21116	228
042	INACTIVE	INACTIVE	1975-04-01	1980-04-01	1975-04-01	1980-04-01	0	100	\N	\N	NO	NO	21124	AMOCO N	Amoco Norway AS	3	89	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21124	229
043	ACTIVE	ACTIVE	1976-08-06	2027-12-31	1991-01-01	9999-12-31	0	100	\N	\N	NO	NO	21132	TOTAL E&P NORGE	Total E&P Norge AS	3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21132	230
043	ACTIVE	INACTIVE	1976-08-06	2027-12-31	1976-08-06	1982-08-06	0	100	\N	\N	NO	NO	21132	TOTAL E&P NORGE	Total E&P Norge AS	3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21132	231
043	ACTIVE	INACTIVE	1976-08-06	2027-12-31	1982-08-06	1991-01-01	0	100	\N	\N	NO	NO	21132	TOTAL E&P NORGE	Total E&P Norge AS	3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21132	232
043 BS	ACTIVE	ACTIVE	2006-01-06	2027-12-31	2010-05-12	9999-12-31	50	100	Applies to all levels from 50 m above base Creataceous and older rocks.	Gjelder alle bergarter fra 50 meter over bunn kritt og eldre bergarter.	YES	YES	3811810	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811810	233
043 BS	ACTIVE	ACTIVE	2006-01-06	2027-12-31	2010-05-12	9999-12-31	50	100	Applies to all rocks from 50 m over base and older rocks.	Gjelder alle bergarter fra 50 meter over bunn kritt og eldre bergarter	YES	YES	3811810	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811810	234
043 BS	ACTIVE	ACTIVE	2006-01-06	2027-12-31	2010-05-12	9999-12-31	50	100	Applies to all levels over 50 m above base Creataceous and below top Dunlin	Gjelder alle bergarter over 50 meter over bunn kritt og under topp Dunlin	YES	YES	3811810	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811810	235
043 BS	ACTIVE	INACTIVE	2006-01-06	2027-12-31	2006-01-06	2010-05-12	50	100	Applies to all rocks from 50 meter above base Creataceous and older rocks	Gjelder alle bergarter fra 50 meter over bunn kritt og eldre bergarter	YES	YES	3811810	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811810	236
043 CS	ACTIVE	ACTIVE	2010-05-12	2027-12-31	2010-05-12	9999-12-31	0	50	Applies to all rocks from 50 meter above base Creataceous and to top Dunlin.	Gjelder for alle bergarter fra 50 meter over bunn kritt og til topp Dunlin.	YES	YES	18116800	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18116800	237
043 DS	ACTIVE	ACTIVE	2010-05-12	2027-12-31	2010-05-12	9999-12-31	0	100	Applies to all lrocks from 50 meter above base Cretaceous and to top Dunlin.	Gjelder for alle bergarter fra 50 meter over bunn kritt og til topp Dunlin.	YES	NO	18116829	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18116829	238
044	ACTIVE	ACTIVE	1976-08-27	2028-12-31	2008-01-01	9999-12-31	0	100	\N	\N	NO	NO	21140	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	3	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21140	239
044	ACTIVE	INACTIVE	1976-08-27	2028-12-31	1976-08-27	1982-08-27	0	100	\N	\N	NO	NO	21140	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	3	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21140	240
044	ACTIVE	INACTIVE	1976-08-27	2028-12-31	1982-08-27	2008-01-01	0	100	\N	\N	NO	NO	21140	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	3	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21140	241
045	INACTIVE	INACTIVE	1976-12-03	1982-12-02	1976-12-03	1982-12-02	0	100	\N	\N	NO	NO	21148	STATOIL	Den norske stats oljeselskap a.s	3	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21148	242
046	ACTIVE	ACTIVE	1976-12-03	2028-12-31	2011-12-21	9999-12-31	0	100	\N	\N	NO	NO	21156	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	243
046	ACTIVE	INACTIVE	1976-12-03	2028-12-31	1984-12-03	2006-11-28	0	100	\N	\N	NO	NO	21156	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	244
046	ACTIVE	INACTIVE	1976-12-03	2028-12-31	1976-12-03	1984-12-03	0	100	\N	\N	NO	NO	21156	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	245
046	ACTIVE	INACTIVE	1976-12-03	2028-12-31	2006-11-28	2011-12-21	0	100	\N	\N	NO	NO	21156	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	246
046 B	ACTIVE	ACTIVE	2006-11-28	2028-12-31	2006-11-28	9999-12-31	50	100	Applies all levels except the Hugin-formation.	Gjeld alle nivå med unntak av Huginformasjonen	YES	YES	4227611	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4227611	247
046 BS	ACTIVE	ACTIVE	2006-11-28	2028-12-31	2006-11-28	9999-12-31	50	100	Applies to Hugin-formationen	Gjelder  for det stratigrafiske nivå benevnt Huginformasjonen	YES	YES	4227659	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4227659	248
046 C	ACTIVE	ACTIVE	2011-12-21	2028-12-31	2011-12-21	9999-12-31	0	100	\N	\N	NO	NO	21350140	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21350140	249
046 D	ACTIVE	ACTIVE	2012-02-03	2028-12-31	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559399	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559399	250
047	INACTIVE	INACTIVE	1977-01-07	1993-12-31	1977-01-07	1983-01-07	0	100	\N	\N	NO	NO	21164	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	3	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21164	251
047	INACTIVE	INACTIVE	1977-01-07	1993-12-31	1983-01-07	1993-12-31	0	100	\N	\N	NO	NO	21164	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	3	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21164	252
048	ACTIVE	ACTIVE	1977-02-18	2028-12-31	2010-12-09	9999-12-31	0	100	\N	\N	NO	NO	21172	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	253
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	1977-02-18	1983-02-18	0	100	\N	\N	NO	NO	21172	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	254
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	2001-01-10	2005-10-10	0	100	\N	\N	NO	NO	21172	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	255
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	1983-02-18	1993-12-31	0	100	\N	\N	NO	NO	21172	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	256
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	1993-12-31	2000-01-01	0	100	\N	\N	NO	NO	21172	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	257
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	2005-10-10	2010-12-09	0	100	\N	\N	NO	NO	21172	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	258
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	2000-01-01	2001-01-10	0	100	\N	\N	NO	NO	21172	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	259
048 B	ACTIVE	ACTIVE	2001-01-10	2016-07-15	2005-10-10	9999-12-31	0	100	\N	\N	NO	NO	1342723	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1342723	260
048 B	ACTIVE	INACTIVE	2001-01-10	2016-07-15	2001-01-10	2005-10-10	0	100	\N	\N	NO	NO	1342723	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1342723	261
048 C	ACTIVE	ACTIVE	2005-10-10	2013-02-18	2005-10-10	9999-12-31	0	100	\N	\N	NO	NO	3489506	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3489506	262
048 D	ACTIVE	ACTIVE	2005-10-10	2018-02-18	2005-10-10	9999-12-31	0	100	\N	\N	NO	NO	3489553	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3489553	263
048 E	ACTIVE	ACTIVE	2010-12-09	2028-12-31	2010-12-09	9999-12-31	0	100	\N	\N	NO	NO	18450020	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18450020	264
049	INACTIVE	INACTIVE	1977-12-23	1983-12-23	1977-12-23	1983-12-23	0	100	\N	\N	NO	NO	21180	AGIP	Norsk Agip  AS	3	45	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21180	265
050	ACTIVE	ACTIVE	1978-06-16	2036-06-30	2012-04-11	9999-12-31	33	66	Applies only for Lunde and lomviformation	Gjelder bare for Lunde og Lomviformasjonen	YES	YES	21188	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	266
050	ACTIVE	ACTIVE	1978-06-16	2036-06-30	2012-04-11	9999-12-31	0	33	Does not apply for levels above the top of the Brentgroup and down to meters of the bottom of Statfjordformation	Gjeld ikkje for nivå to meter over toppen av Brentgruppen og ned til to meter av bunnen av Statfjordformasjonen	YES	YES	21188	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	267
050	ACTIVE	ACTIVE	1978-06-16	2036-06-30	2012-04-11	9999-12-31	0	100	\N	\N	YES	NO	21188	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	268
050	ACTIVE	ACTIVE	1978-06-16	2036-06-30	2012-04-11	9999-12-31	66	100	Does not apply for levels above the top of the Brentgroup and down to meters of the bottom of Statfjordformation	Gjeld ikkje for nivå to meter over toppen av Brentgruppen og ned til to meter av bunnen av Statfjordformasjonen	YES	YES	21188	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	269
050	ACTIVE	INACTIVE	1978-06-16	2036-06-30	1978-06-16	1986-06-30	0	100	\N	\N	YES	NO	21188	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	270
050	ACTIVE	INACTIVE	1978-06-16	2036-06-30	2006-10-06	2012-04-11	0	100	\N	\N	YES	NO	21188	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	271
050	ACTIVE	INACTIVE	1978-06-16	2036-06-30	1986-06-30	2006-10-06	0	100	\N	\N	YES	NO	21188	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	272
050	ACTIVE	INACTIVE	1978-06-16	2036-06-30	2006-10-06	2012-04-11	50	100	Applies only for the Lunde- and Lomvi Formation	Gjelder stratigrafisk bare for Lunde- og Lomviformasjonen	YES	YES	21188	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	273
050 B	ACTIVE	ACTIVE	1995-08-11	2036-06-30	2012-04-11	9999-12-31	66	100	Does not apply for levels above the top of the Brentgroup and down to meters of the bottom of Statfjordformation	Gjelder ikke for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	YES	21196	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21196	274
050 B	ACTIVE	ACTIVE	1995-08-11	2036-06-30	2012-04-11	9999-12-31	0	100	\N	\N	YES	NO	21196	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21196	275
050 B	ACTIVE	ACTIVE	1995-08-11	2036-06-30	2012-04-11	9999-12-31	0	33	Not applicable to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder ikke for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	YES	21196	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21196	276
050 B	ACTIVE	INACTIVE	1995-08-11	2036-06-30	1995-08-11	2012-04-11	0	100	\N	\N	YES	NO	21196	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21196	277
050 C	ACTIVE	ACTIVE	1999-06-04	2036-06-30	2012-04-11	9999-12-31	0	100	\N	\N	YES	NO	102490	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	278
050 C	ACTIVE	ACTIVE	1999-06-04	2036-06-30	2012-04-11	9999-12-31	0	33	Not applicable to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder ikke for nivå to meter over toppen av Brent gruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	YES	102490	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	279
050 C	ACTIVE	ACTIVE	1999-06-04	2036-06-30	2012-04-11	9999-12-31	66	100	Not applicable to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder ikke for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	YES	102490	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	280
050 C	ACTIVE	INACTIVE	1999-06-04	2036-06-30	1999-06-04	2005-01-01	0	100	\N	\N	YES	NO	102490	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	281
050 C	ACTIVE	INACTIVE	1999-06-04	2036-06-30	2005-01-01	2012-04-11	0	100	\N	\N	YES	NO	102490	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	282
050 D	ACTIVE	ACTIVE	2007-02-16	2031-09-10	2012-04-11	9999-12-31	66	100	Not applicable to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder ikke for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	YES	4237912	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237912	283
050 D	ACTIVE	ACTIVE	2007-02-16	2031-09-10	2012-04-11	9999-12-31	0	33	Not applicable to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder ikke for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	YES	4237912	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237912	284
050 D	ACTIVE	ACTIVE	2007-02-16	2031-09-10	2012-04-11	9999-12-31	0	100	\N	\N	YES	NO	4237912	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237912	285
050 D	ACTIVE	INACTIVE	2007-02-16	2031-09-10	2007-02-16	2012-04-11	0	100	\N	\N	YES	NO	4237912	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237912	286
050 DS	ACTIVE	ACTIVE	2006-10-06	2023-08-23	2006-10-06	9999-12-31	0	50	Applies to all levels with the exception of Lunde- and Lomvi Formation	Gjelder alle nivå med unntak av Lunde- og Lomviformasjonen	YES	YES	4380141	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4380141	287
050 ES	ACTIVE	ACTIVE	2012-04-11	2031-09-10	2012-04-11	9999-12-31	33	66	Applies to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	YES	21668200	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668200	288
050 FS	ACTIVE	ACTIVE	2012-04-11	2031-09-10	2012-04-11	9999-12-31	33	66	Applies to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder for nivå to meter over toppen av Brent gruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	YES	21668235	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668235	289
050 GS	ACTIVE	ACTIVE	2012-04-11	2031-09-10	2012-04-11	9999-12-31	33	66	Applies to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder for nivå to meter over toppen av Brent gruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	YES	21668262	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668262	290
050 HS	ACTIVE	ACTIVE	2012-04-11	2031-09-10	2012-04-11	9999-12-31	33	66	Applies to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder for nivå to meter over toppen av Brent gruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	YES	21668287	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668287	291
051	ACTIVE	ACTIVE	1979-04-06	2015-04-06	1995-01-01	9999-12-31	0	100	\N	\N	NO	NO	21204	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21204	292
051	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1988-01-01	1994-12-31	0	100	\N	\N	NO	NO	21204	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21204	293
051	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1979-04-06	1985-04-06	0	100	\N	\N	NO	NO	21204	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21204	294
051	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1985-04-06	1988-01-01	0	100	\N	\N	NO	NO	21204	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21204	295
052	ACTIVE	ACTIVE	1979-04-06	2020-12-31	2012-01-01	9999-12-31	0	100	\N	\N	NO	NO	21212	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	296
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	1996-01-01	2001-11-30	0	100	\N	\N	NO	NO	21212	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	297
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	2008-01-01	2012-01-01	0	100	\N	\N	NO	NO	21212	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	298
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	2001-11-30	2008-01-01	0	100	\N	\N	NO	NO	21212	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	299
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	1979-04-06	1985-04-06	0	100	\N	\N	NO	NO	21212	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	300
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	1985-04-06	1996-01-01	0	100	\N	\N	NO	NO	21212	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	301
052 B	ACTIVE	ACTIVE	2001-11-30	2015-04-06	2001-11-30	9999-12-31	0	100	\N	\N	NO	NO	1840712	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1840712	302
052 C	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	0	100	\N	\N	NO	NO	4918046	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918046	303
053	ACTIVE	ACTIVE	1979-04-06	2031-03-01	1998-09-14	9999-12-31	0	100	\N	\N	NO	NO	21220	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21220	304
053	ACTIVE	INACTIVE	1979-04-06	2031-03-01	1988-05-31	1998-09-14	0	100	\N	\N	NO	NO	21220	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21220	305
053	ACTIVE	INACTIVE	1979-04-06	2031-03-01	1979-04-06	1988-05-31	0	100	\N	\N	NO	NO	21220	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21220	306
053 B	ACTIVE	ACTIVE	1998-09-14	2017-04-06	1998-09-14	9999-12-31	0	100	\N	\N	NO	NO	48207	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=48207	307
054	ACTIVE	ACTIVE	1979-04-06	2030-09-30	1985-04-06	9999-12-31	0	100	\N	\N	NO	NO	21228	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21228	308
054	ACTIVE	INACTIVE	1979-04-06	2030-09-30	1979-04-06	1985-04-06	0	100	\N	\N	NO	NO	21228	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21228	309
055	ACTIVE	ACTIVE	1979-04-06	2015-04-06	2003-06-27	9999-12-31	0	100	\N	\N	NO	NO	21236	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21236	310
055	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1985-04-06	2002-01-01	0	100	\N	\N	NO	NO	21236	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21236	311
055	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1979-04-06	1985-04-06	0	100	\N	\N	NO	NO	21236	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21236	312
055	ACTIVE	INACTIVE	1979-04-06	2015-04-06	2002-01-01	2003-06-27	0	100	\N	\N	NO	NO	21236	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21236	313
055 B	ACTIVE	ACTIVE	1999-06-04	2017-04-06	2009-06-24	9999-12-31	0	100	\N	\N	NO	NO	102499	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102499	314
055 B	ACTIVE	INACTIVE	1999-06-04	2017-04-06	1999-06-04	2009-06-03	0	100	\N	\N	NO	NO	102499	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102499	315
055 B	ACTIVE	INACTIVE	1999-06-04	2017-04-06	2009-06-03	2009-06-24	0	100	\N	\N	NO	NO	102499	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102499	316
055 C	ACTIVE	ACTIVE	2003-06-27	2031-03-01	2003-06-27	9999-12-31	0	100	\N	\N	NO	NO	2424830	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to NST99	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2424830	317
055 D	ACTIVE	ACTIVE	2013-02-08	2014-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22813096	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813096	318
056	INACTIVE	INACTIVE	1979-04-06	1987-04-06	1979-04-06	1987-04-06	0	100	\N	\N	NO	NO	21244	AMOCO N	Amoco Norway AS	4	89	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21244	319
057	ACTIVE	ACTIVE	1979-04-06	2015-04-06	2007-01-01	9999-12-31	0	100	\N	\N	NO	NO	21252	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21252	320
057	ACTIVE	INACTIVE	1979-04-06	2015-04-06	2001-01-01	2007-01-01	0	100	\N	\N	NO	NO	21252	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21252	321
057	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1985-04-06	2001-01-01	0	100	\N	\N	NO	NO	21252	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21252	322
057	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1979-04-06	1985-04-06	0	100	\N	\N	NO	NO	21252	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21252	323
058	INACTIVE	INACTIVE	1979-04-06	1989-04-06	1979-04-06	1989-04-06	0	100	\N	\N	NO	NO	21260	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	4	397	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21260	324
059	INACTIVE	INACTIVE	1980-01-18	1986-01-18	1980-01-18	1986-01-18	0	100	\N	\N	NO	NO	21268	SAGA	Saga Petroleum ASA	5	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21268	325
086	INACTIVE	INACTIVE	1984-03-09	2001-01-01	1984-03-09	1990-03-09	0	100	\N	\N	NO	NO	21492	SAGA	Saga Petroleum ASA	8	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21492	393
060	INACTIVE	INACTIVE	1980-01-18	1986-01-18	1980-01-18	1986-01-18	0	100	\N	\N	NO	NO	21276	STATOIL	Den norske stats oljeselskap a.s	5	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21276	326
061	INACTIVE	INACTIVE	1980-01-18	1993-12-31	1986-01-18	1993-12-31	0	100	\N	\N	NO	NO	21284	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	5	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21284	327
061	INACTIVE	INACTIVE	1980-01-18	1993-12-31	1980-01-18	1986-01-18	0	100	\N	\N	NO	NO	21284	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	5	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21284	328
062	ACTIVE	ACTIVE	1981-03-27	2027-04-10	2001-01-01	9999-12-31	0	100	\N	\N	NO	NO	21292	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21292	329
062	ACTIVE	INACTIVE	1981-03-27	2027-04-10	1991-03-27	1998-01-01	0	100	\N	\N	NO	NO	21292	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21292	330
062	ACTIVE	INACTIVE	1981-03-27	2027-04-10	1998-01-01	2001-01-01	0	100	\N	\N	NO	NO	21292	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21292	331
062	ACTIVE	INACTIVE	1981-03-27	2027-04-10	1981-03-27	1991-03-27	0	100	\N	\N	NO	NO	21292	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21292	332
063	INACTIVE	INACTIVE	1981-03-27	1987-03-27	1981-03-27	1987-03-27	0	100	\N	\N	NO	NO	21300	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	5	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21300	333
064	ACTIVE	ACTIVE	1981-03-27	2035-10-01	2012-01-01	9999-12-31	0	100	\N	\N	NO	NO	21308	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21308	334
064	ACTIVE	INACTIVE	1981-03-27	2035-10-01	1981-03-27	1987-03-27	0	100	\N	\N	NO	NO	21308	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21308	335
064	ACTIVE	INACTIVE	1981-03-27	2035-10-01	1987-03-27	2012-01-01	0	100	\N	\N	NO	NO	21308	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21308	336
065	ACTIVE	ACTIVE	1981-08-21	2022-01-01	2000-01-01	9999-12-31	0	100	\N	\N	NO	NO	21316	BP NORGE	BP Norge AS	6	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21316	337
065	ACTIVE	INACTIVE	1981-08-21	2022-01-01	1992-01-01	2000-01-01	0	100	\N	\N	NO	NO	21316	BP NORGE	BP Norge AS	6	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21316	338
065	ACTIVE	INACTIVE	1981-08-21	2022-01-01	1981-08-21	1992-01-01	0	100	\N	\N	NO	NO	21316	BP NORGE	BP Norge AS	6	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21316	339
066	INACTIVE	INACTIVE	1981-08-21	2002-12-31	1990-01-01	1999-01-01	0	100	\N	\N	NO	NO	21324	AMERADA	Amerada Hess Norge AS	6	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21324	340
066	INACTIVE	INACTIVE	1981-08-21	2002-12-31	1981-08-21	1990-01-01	0	100	\N	\N	NO	NO	21324	AMERADA	Amerada Hess Norge AS	6	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21324	341
066	INACTIVE	INACTIVE	1981-08-21	2002-12-31	1999-01-01	2002-12-31	0	100	\N	\N	NO	NO	21324	AMERADA	Amerada Hess Norge AS	6	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21324	342
067	INACTIVE	INACTIVE	1981-08-21	1999-01-01	1981-08-21	1988-01-01	0	100	\N	\N	NO	NO	21332	AGIP	Norsk Agip  AS	6	45	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21332	343
067	INACTIVE	INACTIVE	1981-08-21	1999-01-01	1988-01-01	1999-01-01	0	100	\N	\N	NO	NO	21332	AGIP	Norsk Agip  AS	6	45	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21332	344
068	INACTIVE	INACTIVE	1981-08-21	1992-01-01	1981-08-21	1992-01-01	0	100	\N	\N	NO	NO	21340	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	6	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21340	345
069	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1988-01-01	1998-01-01	0	100	\N	\N	NO	NO	21348	SAGA	Saga Petroleum ASA	6	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21348	346
069	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1981-08-21	1988-01-01	0	100	\N	\N	NO	NO	21348	SAGA	Saga Petroleum ASA	6	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21348	347
069	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1998-01-01	1999-12-31	0	100	\N	\N	NO	NO	21348	SAGA	Saga Petroleum ASA	6	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21348	348
070	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1988-01-01	1999-12-31	0	100	\N	\N	NO	NO	21356	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	6	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21356	349
070	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1981-08-21	1988-01-01	0	100	\N	\N	NO	NO	21356	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	6	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21356	350
071	INACTIVE	INACTIVE	1981-08-21	1989-01-01	1981-08-21	1989-01-01	0	100	\N	\N	NO	NO	21364	STATOIL	Den norske stats oljeselskap a.s	6	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21364	351
072	ACTIVE	ACTIVE	1981-08-21	2018-01-01	2009-01-01	9999-12-31	0	100	\N	\N	NO	NO	21372	EXXON MO	ExxonMobil Exploration & Production Norway AS	6	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21372	352
072	ACTIVE	INACTIVE	1981-08-21	2018-01-01	2000-01-01	2001-09-04	0	100	\N	\N	NO	NO	21372	EXXON MO	ExxonMobil Exploration & Production Norway AS	6	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21372	353
072	ACTIVE	INACTIVE	1981-08-21	2018-01-01	1988-01-01	2000-01-01	0	100	\N	\N	NO	NO	21372	EXXON MO	ExxonMobil Exploration & Production Norway AS	6	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21372	354
072	ACTIVE	INACTIVE	1981-08-21	2018-01-01	2001-09-04	2009-01-01	0	100	\N	\N	NO	NO	21372	EXXON MO	ExxonMobil Exploration & Production Norway AS	6	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21372	355
072	ACTIVE	INACTIVE	1981-08-21	2018-01-01	1981-08-21	1988-01-01	0	100	\N	\N	NO	NO	21372	EXXON MO	ExxonMobil Exploration & Production Norway AS	6	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21372	356
072 B	ACTIVE	ACTIVE	2001-09-24	2018-01-01	2011-12-21	9999-12-31	0	100	\N	\N	NO	NO	1630345	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 6	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1630345	357
072 B	ACTIVE	INACTIVE	2001-09-24	2018-01-01	2008-01-01	2011-12-21	0	100	\N	\N	NO	NO	1630345	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 6	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1630345	358
072 B	ACTIVE	INACTIVE	2001-09-24	2018-01-01	2001-09-24	2008-01-01	0	100	\N	\N	NO	NO	1630345	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 6	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1630345	359
072 C	ACTIVE	ACTIVE	2011-12-21	2028-12-31	2011-12-21	9999-12-31	0	100	\N	\N	NO	NO	21350207	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 6	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21350207	360
073	ACTIVE	ACTIVE	1982-04-23	2029-12-31	1994-01-01	9999-12-31	0	100	\N	\N	NO	NO	21380	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21380	361
073	ACTIVE	INACTIVE	1982-04-23	2029-12-31	1982-04-23	1988-04-23	0	100	\N	\N	NO	NO	21380	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21380	362
073	ACTIVE	INACTIVE	1982-04-23	2029-12-31	1988-04-23	1994-01-01	0	100	\N	\N	NO	NO	21380	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21380	363
073 B	ACTIVE	ACTIVE	2004-12-17	2029-12-31	2004-12-17	9999-12-31	0	100	\N	\N	NO	NO	2987414	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987414	364
074	ACTIVE	ACTIVE	1982-04-23	2027-04-10	2003-01-01	9999-12-31	0	100	\N	\N	NO	NO	21388	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21388	365
074	ACTIVE	INACTIVE	1982-04-23	2027-04-10	2001-01-01	2003-01-01	0	100	\N	\N	NO	NO	21388	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21388	366
074	ACTIVE	INACTIVE	1982-04-23	2027-04-10	1982-04-23	1988-04-23	0	100	\N	\N	NO	NO	21388	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21388	367
074	ACTIVE	INACTIVE	1982-04-23	2027-04-10	1988-04-23	1998-01-01	0	100	\N	\N	NO	NO	21388	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21388	368
074	ACTIVE	INACTIVE	1982-04-23	2027-04-10	1998-01-01	2001-01-01	0	100	\N	\N	NO	NO	21388	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21388	369
074 B	ACTIVE	ACTIVE	2008-02-29	2027-04-10	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4918544	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918544	370
075	INACTIVE	INACTIVE	1982-04-23	1988-04-23	1982-04-23	1988-04-23	0	100	\N	\N	NO	NO	21396	BPAS	BP Petroleum Dev. of Norway AS	5	155	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21396	371
076	INACTIVE	INACTIVE	1982-04-23	1988-04-23	1982-04-23	1988-04-23	0	100	\N	\N	NO	NO	21404	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	5	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21404	372
077	ACTIVE	ACTIVE	1982-04-23	2035-10-01	2012-01-01	9999-12-31	0	100	\N	\N	NO	NO	21412	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21412	373
077	ACTIVE	INACTIVE	1982-04-23	2035-10-01	1988-04-23	2012-01-01	0	100	\N	\N	NO	NO	21412	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21412	374
077	ACTIVE	INACTIVE	1982-04-23	2035-10-01	1982-04-23	1988-04-23	0	100	\N	\N	NO	NO	21412	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21412	375
078	ACTIVE	ACTIVE	1982-04-23	2035-10-01	2009-01-01	9999-12-31	0	100	\N	\N	NO	NO	21420	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21420	376
078	ACTIVE	INACTIVE	1982-04-23	2035-10-01	1988-04-23	1992-01-01	0	100	\N	\N	NO	NO	21420	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21420	377
078	ACTIVE	INACTIVE	1982-04-23	2035-10-01	1992-01-01	2009-01-01	0	100	\N	\N	NO	NO	21420	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21420	378
078	ACTIVE	INACTIVE	1982-04-23	2035-10-01	1982-04-23	1988-04-23	0	100	\N	\N	NO	NO	21420	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21420	379
079	ACTIVE	ACTIVE	1982-08-20	2031-03-01	1982-08-20	9999-12-31	0	100	\N	\N	NO	NO	34635	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 6	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=34635	380
080	INACTIVE	INACTIVE	1982-12-10	1988-12-10	1982-12-10	1988-12-10	0	100	\N	\N	NO	NO	21436	STATOIL	Den norske stats oljeselskap a.s	7	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21436	381
081	INACTIVE	INACTIVE	1982-12-10	1988-12-10	1982-12-10	1988-12-10	0	100	\N	\N	NO	NO	21444	PHILLIPS	Phillips Petroleum Company Norway	7	694	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21444	382
082	INACTIVE	INACTIVE	1982-12-10	1988-12-10	1982-12-10	1988-12-10	0	100	\N	\N	NO	NO	21452	SAGA	Saga Petroleum ASA	7	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21452	383
083	INACTIVE	INACTIVE	1982-12-10	1988-12-10	1982-12-10	1988-12-10	0	100	\N	\N	NO	NO	21460	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	7	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21460	384
084	INACTIVE	INACTIVE	1982-12-10	1988-12-10	1982-12-10	1988-12-10	0	100	\N	\N	NO	NO	21468	STATOIL	Den norske stats oljeselskap a.s	7	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21468	385
085	ACTIVE	ACTIVE	1983-07-08	2030-09-30	1989-07-08	9999-12-31	0	100	\N	\N	NO	NO	21476	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21476	386
085	ACTIVE	INACTIVE	1983-07-08	2030-09-30	1983-07-08	1989-07-08	0	100	\N	\N	NO	NO	21476	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21476	387
085 B	ACTIVE	ACTIVE	1992-09-11	2030-07-08	1992-09-11	9999-12-31	0	100	\N	\N	NO	NO	21484	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21484	388
085 C	ACTIVE	ACTIVE	2002-01-25	2030-09-30	2002-01-25	9999-12-31	0	100	\N	\N	NO	NO	2051285	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2051285	389
085 D	INACTIVE	INACTIVE	2006-01-06	2008-01-01	2006-01-06	2008-01-01	0	100	\N	\N	NO	NO	3810164	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810164	390
086	INACTIVE	INACTIVE	1984-03-09	2001-01-01	1990-03-09	1998-01-01	0	100	\N	\N	NO	NO	21492	SAGA	Saga Petroleum ASA	8	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21492	391
086	INACTIVE	INACTIVE	1984-03-09	2001-01-01	1998-01-01	2001-01-01	0	100	\N	\N	NO	NO	21492	SAGA	Saga Petroleum ASA	8	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21492	392
087	INACTIVE	INACTIVE	1984-03-09	1994-12-31	1984-03-09	1991-03-09	0	100	\N	\N	NO	NO	21500	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	8	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21500	394
087	INACTIVE	INACTIVE	1984-03-09	1994-12-31	1991-03-09	1994-12-31	0	100	\N	\N	NO	NO	21500	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	8	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21500	395
088	ACTIVE	ACTIVE	1984-03-09	2022-03-09	2008-01-01	9999-12-31	50	100	Applies to all levels belov base Tertiary	Gjelder alle nivå under bunn tertiær	YES	YES	21508	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	8	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21508	396
088	ACTIVE	INACTIVE	1984-03-09	2022-03-09	1984-03-09	1992-03-09	0	100	\N	\N	YES	NO	21508	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	8	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21508	397
088	ACTIVE	INACTIVE	1984-03-09	2022-03-09	1992-03-09	2008-01-01	0	100	Applies to all level s older than base tertiary.	Gjelder alle nivå under bunn tertiær.	YES	NO	21508	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	8	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21508	398
088 BS	ACTIVE	ACTIVE	2003-03-21	2022-03-09	2008-01-01	9999-12-31	0	50	Applies to all levels younger than base Tertiary.	Gjelder for alle nivå over bunn tertiær	YES	YES	2787418	MARATHON OIL	Marathon Oil Norge AS	Awarded additionaly to round 8	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787418	399
088 BS	ACTIVE	INACTIVE	2003-03-21	2022-03-09	2003-03-21	2008-01-01	0	100	Applies all levels younger than base Tertiary	Gjelder alle nivåer over bunn tertiær	YES	NO	2787418	MARATHON OIL	Marathon Oil Norge AS	Awarded additionaly to round 8	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787418	400
089	ACTIVE	ACTIVE	1984-03-09	2024-03-09	1994-03-09	9999-12-31	0	100	\N	\N	NO	NO	21516	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21516	401
089	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1984-03-09	1994-03-09	0	100	\N	\N	NO	NO	21516	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21516	402
090	ACTIVE	ACTIVE	1984-03-09	2024-03-09	2013-01-22	9999-12-31	0	100	\N	\N	NO	NO	21524	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21524	403
090	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1984-03-09	1994-03-09	0	100	\N	\N	NO	NO	21524	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21524	404
090	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1994-03-09	2005-05-25	0	100	\N	\N	NO	NO	21524	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21524	405
090 B	ACTIVE	ACTIVE	2005-05-25	2024-03-09	2005-05-25	9999-12-31	0	100	\N	\N	NO	NO	3426781	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3426781	406
090 C	ACTIVE	ACTIVE	2005-05-25	2024-03-09	2005-05-25	9999-12-31	0	100	\N	\N	NO	NO	3426824	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3426824	407
090 D	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	0	100	\N	\N	NO	NO	3811847	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811847	408
090 E	ACTIVE	ACTIVE	2010-02-19	2024-03-09	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17642079	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17642079	409
090 F	ACTIVE	ACTIVE	2013-01-22	2024-03-09	2013-01-22	9999-12-31	0	100	\N	\N	NO	NO	23268186	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23268186	410
090 G	ACTIVE	ACTIVE	2013-01-22	2024-03-09	2013-01-22	9999-12-31	0	100	\N	\N	NO	NO	23268222	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23268222	411
090 HS	ACTIVE	ACTIVE	2013-04-09	2024-02-19	2013-04-09	9999-12-31	50	100	All levels except the Brent group which remains in PL 090 C.	Alle nivåer unntatt Brentgruppen (Tarbert, Ness, Etive, Rannoch og Oseberg formasjonene) som forblir i utv till 090 C.	YES	YES	23297006	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23297006	412
091	ACTIVE	ACTIVE	1984-03-09	2029-12-31	2000-01-01	9999-12-31	0	100	\N	\N	NO	NO	21532	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21532	413
091	ACTIVE	INACTIVE	1984-03-09	2029-12-31	1990-03-09	2000-01-01	0	100	\N	\N	NO	NO	21532	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21532	414
091	ACTIVE	INACTIVE	1984-03-09	2029-12-31	1984-03-09	1990-03-09	0	100	\N	\N	NO	NO	21532	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21532	415
091 B	INACTIVE	INACTIVE	2006-01-06	2009-10-06	2006-01-06	2009-10-06	0	100	\N	\N	NO	NO	3812205	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812205	416
091 C	INACTIVE	INACTIVE	2006-01-06	2008-02-06	2006-01-06	2008-02-06	0	100	\N	\N	NO	NO	3811888	STATOILHYDRO ASA	StatoilHydro ASA	TFO2005	4511854	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811888	417
091 D	ACTIVE	ACTIVE	2013-02-08	2014-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22813131	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813131	418
092	ACTIVE	ACTIVE	1984-03-09	2020-03-09	1994-01-01	9999-12-31	0	100	\N	\N	NO	NO	21540	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21540	419
092	ACTIVE	INACTIVE	1984-03-09	2020-03-09	1984-03-09	1990-03-09	0	100	\N	\N	NO	NO	21540	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21540	420
092	ACTIVE	INACTIVE	1984-03-09	2020-03-09	1990-03-09	1994-01-01	0	100	\N	\N	NO	NO	21540	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21540	421
093	ACTIVE	ACTIVE	1984-03-09	2024-03-09	2002-01-01	9999-12-31	0	100	\N	\N	NO	NO	21548	SHELL NORGE	A/S Norske Shell	8	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21548	422
093	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1984-03-09	1994-03-09	0	100	\N	\N	NO	NO	21548	SHELL NORGE	A/S Norske Shell	8	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21548	423
093	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1994-03-09	2002-01-01	0	100	\N	\N	NO	NO	21548	SHELL NORGE	A/S Norske Shell	8	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21548	424
093 B	ACTIVE	ACTIVE	2010-02-19	2014-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17654585	SHELL NORGE	A/S Norske Shell	TFO2009	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654585	425
093 C	ACTIVE	ACTIVE	2013-02-08	2014-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22813180	SHELL NORGE	A/S Norske Shell	TFO2012	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813180	426
094	ACTIVE	ACTIVE	1984-03-09	2027-04-10	2002-01-01	9999-12-31	0	100	\N	\N	NO	NO	21556	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21556	427
094	ACTIVE	INACTIVE	1984-03-09	2027-04-10	1994-03-09	2002-01-01	0	100	\N	\N	NO	NO	21556	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21556	428
094	ACTIVE	INACTIVE	1984-03-09	2027-04-10	1984-03-09	1994-03-09	0	100	\N	\N	NO	NO	21556	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21556	429
094 B	ACTIVE	ACTIVE	2002-06-14	2027-04-10	2002-06-14	9999-12-31	0	100	\N	\N	NO	NO	2092082	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2092082	430
095	ACTIVE	ACTIVE	1984-03-09	2024-03-09	2011-01-01	9999-12-31	0	100	\N	\N	NO	NO	21564	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	431
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	2003-11-06	2008-01-01	0	100	\N	\N	NO	NO	21564	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	432
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	2003-01-01	2003-11-06	0	100	\N	\N	NO	NO	21564	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	433
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	2000-01-01	2003-01-01	0	100	\N	\N	NO	NO	21564	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	434
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1994-03-09	2000-01-01	0	100	\N	\N	NO	NO	21564	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	435
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1984-03-09	1994-03-09	0	100	\N	\N	NO	NO	21564	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	436
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	2008-01-01	2011-01-01	0	100	\N	\N	NO	NO	21564	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	437
096	INACTIVE	INACTIVE	1984-03-09	1990-03-09	1984-03-09	1990-03-09	0	100	\N	\N	NO	NO	21572	ELFAQUIT	Elf Aquitaine Norge A/S	8	331	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21572	438
097	ACTIVE	ACTIVE	1984-03-09	2035-10-01	2009-01-01	9999-12-31	0	100	\N	\N	NO	NO	21580	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21580	439
097	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1984-03-09	1990-03-09	0	100	\N	\N	NO	NO	21580	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21580	440
097	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1990-03-09	2009-01-01	0	100	\N	\N	NO	NO	21580	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21580	441
098	INACTIVE	INACTIVE	1984-03-09	1991-03-09	1984-03-09	1991-03-09	0	100	\N	\N	NO	NO	21588	ESSO	Esso Exploration and Production Norway A/S	8	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21588	442
099	ACTIVE	ACTIVE	1984-03-09	2035-10-01	2009-01-01	9999-12-31	0	100	\N	\N	NO	NO	21596	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21596	443
099	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1984-03-09	1990-03-09	0	100	\N	\N	NO	NO	21596	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21596	444
099	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1990-03-09	2009-01-01	0	100	\N	\N	NO	NO	21596	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21596	445
100	ACTIVE	ACTIVE	1984-03-09	2035-10-01	2009-01-01	9999-12-31	0	100	\N	\N	NO	NO	21604	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21604	446
100	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1990-03-09	2009-01-01	0	100	\N	\N	NO	NO	21604	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21604	447
100	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1984-03-09	1990-03-09	0	100	\N	\N	NO	NO	21604	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21604	448
101	INACTIVE	INACTIVE	1985-03-01	1999-12-31	1985-03-01	1992-03-01	0	100	\N	\N	NO	NO	21612	AGIP	Norsk Agip  AS	9	45	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21612	449
101	INACTIVE	INACTIVE	1985-03-01	1999-12-31	1999-01-01	1999-12-31	0	100	\N	\N	NO	NO	21612	AGIP	Norsk Agip  AS	9	45	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21612	450
101	INACTIVE	INACTIVE	1985-03-01	1999-12-31	1992-03-01	1998-01-01	0	100	\N	\N	NO	NO	21612	AGIP	Norsk Agip  AS	9	45	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21612	451
101	INACTIVE	INACTIVE	1985-03-01	1999-12-31	1998-01-01	1999-01-01	0	100	\N	\N	NO	NO	21612	AGIP	Norsk Agip  AS	9	45	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21612	452
102	ACTIVE	ACTIVE	1985-03-01	2025-03-01	2009-03-20	9999-12-31	0	100	\N	\N	NO	NO	21620	TOTAL E&P NORGE	Total E&P Norge AS	9	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	453
102	ACTIVE	INACTIVE	1985-03-01	2025-03-01	1998-01-22	2003-01-01	0	100	\N	\N	NO	NO	21620	TOTAL E&P NORGE	Total E&P Norge AS	9	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	454
102	ACTIVE	INACTIVE	1985-03-01	2025-03-01	2003-01-01	2009-03-20	0	100	\N	\N	NO	NO	21620	TOTAL E&P NORGE	Total E&P Norge AS	9	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	455
102	ACTIVE	INACTIVE	1985-03-01	2025-03-01	1985-03-01	1995-03-01	0	100	\N	\N	NO	NO	21620	TOTAL E&P NORGE	Total E&P Norge AS	9	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	456
102	ACTIVE	INACTIVE	1985-03-01	2025-03-01	1995-03-01	1998-01-22	0	100	\N	\N	NO	NO	21620	TOTAL E&P NORGE	Total E&P Norge AS	9	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	457
102 B	INACTIVE	INACTIVE	1998-01-22	2002-12-31	1998-01-22	2002-12-31	0	100	\N	\N	NO	NO	40264	TOTALFINAELF	TotalFinaElf Exploration Norge AS	Awarded additionaly to round 9	1340884	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=40264	458
102 C	ACTIVE	ACTIVE	2009-03-20	2025-03-01	2009-03-20	9999-12-31	0	100	\N	\N	NO	NO	5467035	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 9	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5467035	459
102 D	ACTIVE	ACTIVE	2012-02-03	2025-03-01	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21568785	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568785	460
102 E	ACTIVE	ACTIVE	2012-02-03	2025-03-01	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21568578	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568578	461
103	INACTIVE	INACTIVE	1985-03-01	2003-12-31	1991-03-01	1998-01-22	0	100	\N	\N	NO	NO	21628	AMERADA	Amerada Hess Norge AS	9	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21628	462
103	INACTIVE	INACTIVE	1985-03-01	2003-12-31	1985-03-01	1991-03-01	0	100	\N	\N	NO	NO	21628	AMERADA	Amerada Hess Norge AS	9	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21628	463
103	INACTIVE	INACTIVE	1985-03-01	2003-12-31	1998-01-22	2000-01-01	0	100	\N	\N	NO	NO	21628	AMERADA	Amerada Hess Norge AS	9	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21628	464
103	INACTIVE	INACTIVE	1985-03-01	2003-12-31	2000-01-01	2003-12-31	0	100	\N	\N	NO	NO	21628	AMERADA	Amerada Hess Norge AS	9	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21628	465
103 B	ACTIVE	ACTIVE	1998-01-22	2021-03-01	1998-01-22	9999-12-31	0	100	\N	\N	NO	NO	40772	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 9	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=40772	466
104	ACTIVE	ACTIVE	1985-03-01	2031-03-01	1995-03-01	9999-12-31	0	100	\N	\N	NO	NO	21636	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21636	467
104	ACTIVE	INACTIVE	1985-03-01	2031-03-01	1985-03-01	1995-02-28	0	100	\N	\N	NO	NO	21636	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21636	468
104 B	ACTIVE	ACTIVE	2012-02-03	2013-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21568959	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568959	469
105	INACTIVE	INACTIVE	1985-03-01	1991-03-01	1985-03-01	1991-03-01	0	100	\N	\N	NO	NO	21644	STATOIL	Den norske stats oljeselskap a.s	9	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21644	470
106	INACTIVE	INACTIVE	1985-03-01	1993-12-31	1985-03-01	1991-03-01	0	100	\N	\N	NO	NO	21652	STATOIL	Den norske stats oljeselskap a.s	9	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21652	471
106	INACTIVE	INACTIVE	1985-03-01	1993-12-31	1991-03-01	1993-12-31	0	100	\N	\N	NO	NO	21652	STATOIL	Den norske stats oljeselskap a.s	9	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21652	472
107	ACTIVE	ACTIVE	1985-03-01	2021-03-01	2011-10-31	9999-12-31	0	100	\N	\N	NO	NO	21660	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	473
107	ACTIVE	INACTIVE	1985-03-01	2021-03-01	1996-01-01	2011-01-01	0	100	\N	\N	NO	NO	21660	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	474
107	ACTIVE	INACTIVE	1985-03-01	2021-03-01	2011-01-01	2011-10-31	0	100	\N	\N	NO	NO	21660	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	475
107	ACTIVE	INACTIVE	1985-03-01	2021-03-01	1985-03-01	1991-03-01	0	100	\N	\N	NO	NO	21660	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	476
107	ACTIVE	INACTIVE	1985-03-01	2021-03-01	1991-03-01	1995-12-31	0	100	\N	\N	NO	NO	21660	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	477
107 B	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5107376	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107376	478
107 C	ACTIVE	ACTIVE	2009-01-23	2017-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5115394	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5115394	479
107 D	ACTIVE	ACTIVE	2011-10-31	2021-03-01	2011-10-31	9999-12-31	0	100	\N	\N	NO	NO	21124705	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21124705	480
108	INACTIVE	INACTIVE	1985-03-01	1996-12-31	1993-12-31	1996-12-31	0	100	\N	\N	NO	NO	21668	SHELL NORGE	A/S Norske Shell	9	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668	481
108	INACTIVE	INACTIVE	1985-03-01	1996-12-31	1992-03-01	1993-12-31	0	100	\N	\N	NO	NO	21668	SHELL NORGE	A/S Norske Shell	9	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668	482
108	INACTIVE	INACTIVE	1985-03-01	1996-12-31	1985-03-01	1992-03-01	0	100	\N	\N	NO	NO	21668	SHELL NORGE	A/S Norske Shell	9	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668	483
109	INACTIVE	INACTIVE	1985-03-01	2000-12-31	1992-03-01	1994-12-31	0	100	\N	\N	NO	NO	21676	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	9	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21676	484
109	INACTIVE	INACTIVE	1985-03-01	2000-12-31	1995-01-01	2000-12-31	0	100	\N	\N	NO	NO	21676	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	9	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21676	485
109	INACTIVE	INACTIVE	1985-03-01	2000-12-31	1985-03-01	1992-03-01	0	100	\N	\N	NO	NO	21676	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	9	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21676	486
110	ACTIVE	ACTIVE	1985-03-01	2035-10-01	2012-01-01	9999-12-31	0	100	\N	\N	NO	NO	21684	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	487
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	1985-03-01	1991-03-01	0	100	\N	\N	NO	NO	21684	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	488
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	2009-01-01	2012-01-01	0	100	\N	\N	NO	NO	21684	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	489
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	1991-03-01	2009-01-01	0	100	\N	\N	NO	NO	21684	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	490
110 B	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2012-01-01	9999-12-31	0	100	\N	\N	NO	NO	3001885	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	491
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2011-02-24	2012-01-01	0	100	\N	\N	NO	NO	3001885	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	492
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2004-12-17	2011-02-24	0	100	\N	\N	NO	NO	3001885	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	493
110 C	ACTIVE	ACTIVE	2006-04-28	2014-12-17	2012-01-01	9999-12-31	0	100	\N	\N	NO	NO	3986340	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3986340	494
110 C	ACTIVE	INACTIVE	2006-04-28	2014-12-17	2006-04-28	2012-01-01	0	100	\N	\N	NO	NO	3986340	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3986340	495
111	INACTIVE	INACTIVE	1985-03-01	1994-12-31	1985-03-01	1991-03-01	0	100	\N	\N	NO	NO	21692	ESSO	Esso Exploration and Production Norway A/S	9	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21692	496
111	INACTIVE	INACTIVE	1985-03-01	1994-12-31	1991-03-01	1994-12-31	0	100	\N	\N	NO	NO	21692	ESSO	Esso Exploration and Production Norway A/S	9	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21692	497
112	INACTIVE	INACTIVE	1985-07-26	2000-12-31	1997-01-01	2000-12-31	0	100	\N	\N	NO	NO	21700	TOTALFINAELF	TotalFinaElf Exploration Norge AS	Awarded additionaly to round 9	1340884	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21700	498
112	INACTIVE	INACTIVE	1985-07-26	2000-12-31	1985-07-26	1991-07-26	0	100	\N	\N	NO	NO	21700	TOTALFINAELF	TotalFinaElf Exploration Norge AS	Awarded additionaly to round 9	1340884	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21700	499
112	INACTIVE	INACTIVE	1985-07-26	2000-12-31	1996-01-01	1997-01-01	0	100	\N	\N	NO	NO	21700	TOTALFINAELF	TotalFinaElf Exploration Norge AS	Awarded additionaly to round 9	1340884	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21700	500
112	INACTIVE	INACTIVE	1985-07-26	2000-12-31	1991-07-26	1995-12-31	0	100	\N	\N	NO	NO	21700	TOTALFINAELF	TotalFinaElf Exploration Norge AS	Awarded additionaly to round 9	1340884	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21700	501
113	ACTIVE	ACTIVE	1985-08-23	2021-08-23	1985-08-23	9999-12-31	0	100	\N	\N	NO	NO	21708	DONG E&P NORGE	DONG E&P Norge AS	10-A	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21708	502
114	INACTIVE	INACTIVE	1985-08-23	2001-12-31	1985-08-23	1992-08-23	0	100	\N	\N	NO	NO	21716	STATOIL ASA (OLD)	Statoil ASA (old)	10-A	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21716	503
114	INACTIVE	INACTIVE	1985-08-23	2001-12-31	1992-08-23	2000-01-01	0	100	\N	\N	NO	NO	21716	STATOIL ASA (OLD)	Statoil ASA (old)	10-A	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21716	504
114	INACTIVE	INACTIVE	1985-08-23	2001-12-31	2000-01-01	2001-12-31	0	100	\N	\N	NO	NO	21716	STATOIL ASA (OLD)	Statoil ASA (old)	10-A	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21716	505
114 B	INACTIVE	INACTIVE	1995-08-11	2001-08-11	1995-08-11	2001-08-11	0	100	\N	\N	NO	NO	21724	STATOIL ASA (OLD)	Statoil ASA (old)	Awarded additionaly to round 10-A	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21724	506
114 C	INACTIVE	INACTIVE	1998-09-03	2001-12-31	1998-09-03	1999-09-03	0	100	\N	\N	NO	NO	90914	STATOIL ASA (OLD)	Statoil ASA (old)	Awarded additionaly to round 10-A	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=90914	507
114 C	INACTIVE	INACTIVE	1998-09-03	2001-12-31	1999-09-03	2001-12-31	0	100	\N	\N	NO	NO	90914	STATOIL ASA (OLD)	Statoil ASA (old)	Awarded additionaly to round 10-A	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=90914	508
115	INACTIVE	INACTIVE	1985-08-23	1999-12-31	1991-08-23	1995-12-31	0	100	\N	\N	NO	NO	21732	STATOIL	Den norske stats oljeselskap a.s	10-A	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21732	509
115	INACTIVE	INACTIVE	1985-08-23	1999-12-31	1985-08-23	1991-08-23	0	100	\N	\N	NO	NO	21732	STATOIL	Den norske stats oljeselskap a.s	10-A	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21732	510
115	INACTIVE	INACTIVE	1985-08-23	1999-12-31	1996-01-01	1999-12-31	0	100	\N	\N	NO	NO	21732	STATOIL	Den norske stats oljeselskap a.s	10-A	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21732	511
116	INACTIVE	INACTIVE	1985-08-23	2000-12-31	1992-08-23	1998-01-01	0	100	\N	\N	NO	NO	21740	SAGA	Saga Petroleum ASA	10-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21740	512
116	INACTIVE	INACTIVE	1985-08-23	2000-12-31	1998-01-01	2000-12-31	0	100	\N	\N	NO	NO	21740	SAGA	Saga Petroleum ASA	10-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21740	513
116	INACTIVE	INACTIVE	1985-08-23	2000-12-31	1985-08-23	1992-08-23	0	100	\N	\N	NO	NO	21740	SAGA	Saga Petroleum ASA	10-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21740	514
117	INACTIVE	INACTIVE	1985-08-23	1999-12-31	1985-08-23	1992-08-23	0	100	\N	\N	NO	NO	21748	SAGA	Saga Petroleum ASA	10-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21748	515
117	INACTIVE	INACTIVE	1985-08-23	1999-12-31	1992-08-23	1999-12-31	0	100	\N	\N	NO	NO	21748	SAGA	Saga Petroleum ASA	10-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21748	516
118	INACTIVE	INACTIVE	1985-08-23	1991-08-23	1985-08-23	1991-08-23	0	100	\N	\N	NO	NO	21756	BPAS	BP Petroleum Dev. of Norway AS	10-A	155	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21756	517
119	INACTIVE	INACTIVE	1985-08-23	1991-08-23	1985-08-23	1991-08-23	0	100	\N	\N	NO	NO	21764	TOTAL	Total Norge AS	10-A	848	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21764	518
120	ACTIVE	ACTIVE	1985-08-23	2034-08-23	2006-10-06	9999-12-31	0	100	\N	\N	NO	NO	21772	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21772	519
120	ACTIVE	INACTIVE	1985-08-23	2034-08-23	1993-08-23	2006-10-06	0	100	\N	\N	NO	NO	21772	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21772	520
120	ACTIVE	INACTIVE	1985-08-23	2034-08-23	1985-08-23	1993-08-23	0	100	\N	\N	NO	NO	21772	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21772	521
120 B	ACTIVE	ACTIVE	2006-10-06	2034-08-23	2006-10-06	9999-12-31	0	100	\N	\N	NO	NO	4380181	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 10 B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4380181	522
121	ACTIVE	ACTIVE	1986-02-28	2022-02-28	1994-01-01	9999-12-31	0	100	\N	\N	NO	NO	21780	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21780	523
121	ACTIVE	INACTIVE	1986-02-28	2022-02-28	1992-02-28	1994-01-01	0	100	\N	\N	NO	NO	21780	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21780	524
121	ACTIVE	INACTIVE	1986-02-28	2022-02-28	1986-02-28	1992-02-28	0	100	\N	\N	NO	NO	21780	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21780	525
122	ACTIVE	ACTIVE	1986-02-28	2025-02-28	2011-01-01	9999-12-31	0	100	\N	\N	NO	NO	21788	ENI NORGE	Eni Norge AS	10-B	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21788	526
122	ACTIVE	INACTIVE	1986-02-28	2025-02-28	1995-02-28	1996-12-31	0	100	\N	\N	NO	NO	21788	ENI NORGE	Eni Norge AS	10-B	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21788	527
122	ACTIVE	INACTIVE	1986-02-28	2025-02-28	1986-02-28	1995-02-28	0	100	\N	\N	NO	NO	21788	ENI NORGE	Eni Norge AS	10-B	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21788	528
122	ACTIVE	INACTIVE	1986-02-28	2025-02-28	1997-01-01	2011-01-01	0	100	\N	\N	NO	NO	21788	ENI NORGE	Eni Norge AS	10-B	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21788	529
122 B	ACTIVE	ACTIVE	2002-06-14	2025-02-28	2011-01-01	9999-12-31	0	100	\N	\N	NO	NO	2134110	ENI NORGE	Eni Norge AS	Awarded additionaly to round 10 B	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2134110	530
122 B	ACTIVE	INACTIVE	2002-06-14	2025-02-28	2002-06-14	2011-01-01	0	100	\N	\N	NO	NO	2134110	ENI NORGE	Eni Norge AS	Awarded additionaly to round 10 B	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2134110	531
122 C	ACTIVE	ACTIVE	2004-12-17	2025-02-28	2011-01-01	9999-12-31	0	100	\N	\N	NO	NO	2987454	ENI NORGE	Eni Norge AS	TFO2004	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987454	532
122 C	ACTIVE	INACTIVE	2004-12-17	2025-02-28	2004-12-17	2011-01-01	0	100	\N	\N	NO	NO	2987454	ENI NORGE	Eni Norge AS	TFO2004	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987454	533
122 D	ACTIVE	ACTIVE	2006-01-06	2025-02-28	2006-01-06	9999-12-31	0	100	\N	\N	NO	NO	3811939	ENI NORGE	Eni Norge AS	TFO2005	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811939	534
123	INACTIVE	INACTIVE	1986-02-28	1992-02-28	1986-02-28	1992-02-28	0	100	\N	\N	NO	NO	21796	SAGA	Saga Petroleum ASA	10-B	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21796	535
124	ACTIVE	ACTIVE	1986-02-28	2025-02-28	2011-12-31	9999-12-31	0	100	\N	\N	NO	NO	21804	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21804	536
124	ACTIVE	INACTIVE	1986-02-28	2025-02-28	1995-02-28	2000-01-01	0	100	\N	\N	NO	NO	21804	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21804	537
124	ACTIVE	INACTIVE	1986-02-28	2025-02-28	2000-01-01	2005-01-01	0	100	\N	\N	NO	NO	21804	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21804	538
124	ACTIVE	INACTIVE	1986-02-28	2025-02-28	2005-01-01	2011-12-31	0	100	\N	\N	NO	NO	21804	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21804	539
124	ACTIVE	INACTIVE	1986-02-28	2025-02-28	1986-02-28	1995-02-28	0	100	\N	\N	NO	NO	21804	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21804	540
125	INACTIVE	INACTIVE	1986-02-28	1990-03-14	1986-02-28	1990-03-14	0	100	\N	\N	NO	NO	21812	SHELL NORGE	A/S Norske Shell	10-B	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21812	541
126	INACTIVE	INACTIVE	1986-02-28	1992-02-28	1986-02-28	1992-02-28	0	100	\N	\N	NO	NO	21820	ESSO	Esso Exploration and Production Norway A/S	10-B	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21820	542
127	ACTIVE	ACTIVE	1986-02-28	2023-02-28	2005-01-01	9999-12-31	0	100	\N	\N	NO	NO	21828	TOTAL E&P NORGE	Total E&P Norge AS	10-B	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21828	543
127	ACTIVE	INACTIVE	1986-02-28	2023-02-28	1986-02-28	1993-02-28	0	100	\N	\N	NO	NO	21828	TOTAL E&P NORGE	Total E&P Norge AS	10-B	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21828	544
127	ACTIVE	INACTIVE	1986-02-28	2023-02-28	1998-01-01	2005-01-01	0	100	\N	\N	NO	NO	21828	TOTAL E&P NORGE	Total E&P Norge AS	10-B	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21828	545
127	ACTIVE	INACTIVE	1986-02-28	2023-02-28	1993-02-28	1998-01-01	0	100	\N	\N	NO	NO	21828	TOTAL E&P NORGE	Total E&P Norge AS	10-B	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21828	546
128	ACTIVE	ACTIVE	1986-02-28	2026-02-28	2009-01-01	9999-12-31	0	100	\N	\N	NO	NO	21836	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	547
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	1986-02-28	1996-02-28	0	100	\N	\N	NO	NO	21836	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	548
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	2005-01-01	2008-01-01	0	100	\N	\N	NO	NO	21836	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	549
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	2008-01-01	2009-01-01	0	100	\N	\N	NO	NO	21836	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	550
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	1996-02-28	2005-01-01	0	100	\N	\N	NO	NO	21836	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	551
128 B	ACTIVE	ACTIVE	1998-01-30	2026-02-28	1998-01-30	9999-12-31	0	100	\N	\N	NO	NO	41361	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 10-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=41361	552
128 C	INACTIVE	INACTIVE	2006-01-06	2007-01-06	2006-01-06	2007-01-06	0	100	\N	\N	NO	NO	3811967	STATOIL ASA (OLD)	Statoil ASA (old)	TFO2005	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811967	553
129	INACTIVE	INACTIVE	1986-07-11	1994-12-31	1986-07-11	1992-07-11	0	100	\N	\N	NO	NO	21844	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	Awarded additionaly to round 10-A	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21844	554
129	INACTIVE	INACTIVE	1986-07-11	1994-12-31	1992-07-11	1994-12-31	0	100	\N	\N	NO	NO	21844	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	Awarded additionaly to round 10-A	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21844	555
130	INACTIVE	INACTIVE	1987-04-10	1993-04-10	1987-04-10	1993-04-10	0	100	\N	\N	NO	NO	21852	STATOIL	Den norske stats oljeselskap a.s	11-A	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21852	556
131	INACTIVE	INACTIVE	1987-04-10	1992-12-15	1987-04-10	1992-12-15	0	100	\N	\N	NO	NO	21860	ELF NORGE	Elf Petroleum Norge AS	11-A	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21860	557
132	ACTIVE	ACTIVE	1987-04-10	2023-04-10	2004-01-01	9999-12-31	0	100	\N	\N	NO	NO	21868	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21868	558
132	ACTIVE	INACTIVE	1987-04-10	2023-04-10	1993-04-10	2004-01-01	0	100	\N	\N	NO	NO	21868	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21868	559
132	ACTIVE	INACTIVE	1987-04-10	2023-04-10	1987-04-10	1993-04-10	0	100	\N	\N	NO	NO	21868	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21868	560
133	INACTIVE	INACTIVE	1987-04-10	1992-01-01	1987-04-10	1992-01-01	0	100	\N	\N	NO	NO	21876	CONOCO N	Norske Conoco A/S	11-A	221	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21876	561
134	ACTIVE	ACTIVE	1987-04-10	2027-04-10	2000-01-14	9999-12-31	0	100	\N	\N	NO	NO	21884	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21884	562
134	ACTIVE	INACTIVE	1987-04-10	2027-04-10	1987-04-10	1997-04-09	0	100	\N	\N	NO	NO	21884	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21884	563
134	ACTIVE	INACTIVE	1987-04-10	2027-04-10	1997-04-10	2000-01-14	0	100	\N	\N	NO	NO	21884	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21884	564
134 B	ACTIVE	ACTIVE	2000-01-14	2027-04-10	2008-01-01	9999-12-31	0	100	\N	\N	NO	NO	1025257	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 11-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1025257	565
134 B	ACTIVE	INACTIVE	2000-01-14	2027-04-10	2000-01-14	2008-01-01	0	100	\N	\N	NO	NO	1025257	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 11-A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1025257	566
134 C	ACTIVE	ACTIVE	2006-01-06	2027-04-10	2006-01-06	9999-12-31	0	100	\N	\N	NO	NO	3812006	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812006	567
135	INACTIVE	INACTIVE	1987-04-10	1995-12-31	1993-04-10	1995-12-31	0	100	\N	\N	NO	NO	21892	SAGA	Saga Petroleum ASA	11-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21892	568
135	INACTIVE	INACTIVE	1987-04-10	1995-12-31	1987-04-10	1993-04-10	0	100	\N	\N	NO	NO	21892	SAGA	Saga Petroleum ASA	11-A	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21892	569
136	INACTIVE	INACTIVE	1987-04-10	1993-04-10	1987-04-10	1993-04-10	0	100	\N	\N	NO	NO	21900	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	11-A	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21900	570
137	INACTIVE	INACTIVE	1987-04-10	1990-12-31	1987-04-10	1990-12-31	0	100	\N	\N	NO	NO	21908	STATOIL	Den norske stats oljeselskap a.s	11-A	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21908	571
138	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1993-05-29	1999-12-31	0	100	\N	\N	NO	NO	21916	TOTAL	Total Norge AS	11-B	848	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21916	572
138	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1987-05-29	1993-05-29	0	100	\N	\N	NO	NO	21916	TOTAL	Total Norge AS	11-B	848	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21916	573
139	INACTIVE	INACTIVE	1987-05-29	1993-05-29	1987-05-29	1993-05-29	0	100	\N	\N	NO	NO	21924	STATOIL	Den norske stats oljeselskap a.s	11-B	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21924	574
140	INACTIVE	INACTIVE	1987-05-29	1990-12-31	1987-05-29	1990-12-31	0	100	\N	\N	NO	NO	21932	MOBIL N	Mobil Development Norway AS	11-B	474	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21932	575
141	INACTIVE	INACTIVE	1987-05-29	1990-12-31	1987-05-29	1990-12-31	0	100	\N	\N	NO	NO	21940	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	11-B	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21940	576
142	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1997-05-30	1999-01-01	0	100	\N	\N	NO	NO	21948	STATOIL	Den norske stats oljeselskap a.s	11-B	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21948	577
142	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1999-01-01	1999-12-31	0	100	\N	\N	NO	NO	21948	STATOIL	Den norske stats oljeselskap a.s	11-B	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21948	578
142	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1987-05-29	1997-05-29	0	100	\N	\N	NO	NO	21948	STATOIL	Den norske stats oljeselskap a.s	11-B	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21948	579
143	ACTIVE	ACTIVE	1988-07-08	2027-07-08	2012-01-01	9999-12-31	50	100	Applies to all levels below top Cretaceous.	Gjelder for nivå under topp kritt.	YES	YES	21956	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21956	580
143	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1988-07-08	1997-07-09	0	100	\N	\N	YES	NO	21956	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21956	581
143	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1997-07-09	2012-01-01	50	100	Applies to all levels below top Cretaceous.	Gjelder alle nivå under topp kritt	YES	YES	21956	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21956	582
143 BS	ACTIVE	ACTIVE	2003-06-27	2027-07-08	2009-01-01	9999-12-31	0	50	Applies to all levels over top Cretaceous	Gjelder alle nivå over topp kritt	YES	YES	2424891	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 12	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2424891	583
143 BS	ACTIVE	INACTIVE	2003-06-27	2027-07-08	2003-06-27	2009-01-01	0	50	The licence applies to all levels over top chalk rocks..	Gjelder alle nivå over topp kritt.	YES	YES	2424891	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 12	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2424891	584
143 CS	INACTIVE	INACTIVE	2003-06-27	2007-01-01	2003-06-27	2007-01-01	0	50	The licence applies to all levels over top chalk rocks..	Gjelder alle nivå over topp kritt.	YES	YES	2424919	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 12	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2424919	585
144	INACTIVE	INACTIVE	1988-07-08	2002-12-31	1988-07-08	1998-07-08	0	100	\N	\N	NO	NO	21964	AMERADA	Amerada Hess Norge AS	12	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21964	586
144	INACTIVE	INACTIVE	1988-07-08	2002-12-31	1998-07-08	2002-12-31	0	100	\N	\N	NO	NO	21964	AMERADA	Amerada Hess Norge AS	12	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21964	587
145	ACTIVE	ACTIVE	1988-07-08	2024-07-08	2007-01-01	9999-12-31	0	100	\N	\N	NO	NO	21972	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21972	588
145	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1994-07-08	2001-01-01	0	100	\N	\N	NO	NO	21972	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21972	589
145	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1988-07-08	1994-07-08	0	100	\N	\N	NO	NO	21972	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21972	590
145	ACTIVE	INACTIVE	1988-07-08	2024-07-08	2001-01-01	2007-01-01	0	100	\N	\N	NO	NO	21972	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21972	591
146	ACTIVE	ACTIVE	1988-07-08	2027-07-08	2003-01-01	9999-12-31	0	100	\N	\N	NO	NO	21980	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21980	592
146	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1997-07-09	2003-01-01	0	100	\N	\N	NO	NO	21980	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21980	593
146	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1988-07-08	1997-07-08	0	100	\N	\N	NO	NO	21980	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21980	594
147	ACTIVE	ACTIVE	1988-07-08	2027-07-08	2000-01-01	9999-12-31	0	100	\N	\N	NO	NO	21988	DONG E&P NORGE	DONG E&P Norge AS	12	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21988	595
147	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1997-07-09	2000-01-01	0	100	\N	\N	NO	NO	21988	DONG E&P NORGE	DONG E&P Norge AS	12	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21988	596
147	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1988-07-08	1997-07-09	0	100	\N	\N	NO	NO	21988	DONG E&P NORGE	DONG E&P Norge AS	12	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21988	597
148	ACTIVE	ACTIVE	1988-07-08	2024-07-08	2000-01-01	9999-12-31	0	100	\N	\N	NO	NO	21996	LUNDIN NORWAY	Lundin Norway AS	12	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21996	598
148	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1994-07-08	2000-01-01	0	100	\N	\N	NO	NO	21996	LUNDIN NORWAY	Lundin Norway AS	12	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21996	599
148	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1988-07-08	1994-07-08	0	100	\N	\N	NO	NO	21996	LUNDIN NORWAY	Lundin Norway AS	12	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21996	600
149	INACTIVE	INACTIVE	1988-07-08	1994-07-08	1988-07-08	1994-07-08	0	100	\N	\N	NO	NO	22004	ESSO	Esso Exploration and Production Norway A/S	12	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22004	601
150	ACTIVE	ACTIVE	1988-07-08	2024-07-08	2008-01-01	9999-12-31	0	100	\N	\N	NO	NO	22012	MARATHON OIL	Marathon Oil Norge AS	12	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22012	602
150	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1988-07-08	1994-07-08	0	100	\N	\N	NO	NO	22012	MARATHON OIL	Marathon Oil Norge AS	12	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22012	603
150	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1994-07-08	2003-01-01	0	100	\N	\N	NO	NO	22012	MARATHON OIL	Marathon Oil Norge AS	12	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22012	604
150	ACTIVE	INACTIVE	1988-07-08	2024-07-08	2003-01-01	2008-01-01	0	100	\N	\N	NO	NO	22012	MARATHON OIL	Marathon Oil Norge AS	12	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22012	605
150 B	ACTIVE	ACTIVE	2011-02-04	2016-08-04	2012-09-27	9999-12-31	0	100	\N	\N	NO	NO	20108072	MARATHON OIL	Marathon Oil Norge AS	TFO2010	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108072	606
150 B	ACTIVE	INACTIVE	2011-02-04	2016-08-04	2011-02-04	2012-09-27	0	100	\N	\N	NO	NO	20108072	MARATHON OIL	Marathon Oil Norge AS	TFO2010	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108072	607
151	INACTIVE	INACTIVE	1988-07-08	1994-07-08	1988-07-08	1994-07-08	0	100	\N	\N	NO	NO	22020	ELF NORGE	Elf Petroleum Norge AS	12	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22020	608
152	ACTIVE	ACTIVE	1988-07-08	2036-06-30	2013-01-01	9999-12-31	0	100	\N	\N	NO	NO	22028	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22028	609
152	ACTIVE	INACTIVE	1988-07-08	2036-06-30	1988-07-08	1995-07-08	0	100	\N	\N	NO	NO	22028	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22028	610
152	ACTIVE	INACTIVE	1988-07-08	2036-06-30	1995-07-08	2005-01-01	0	100	\N	\N	NO	NO	22028	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22028	611
152	ACTIVE	INACTIVE	1988-07-08	2036-06-30	2005-01-01	2013-01-01	0	100	\N	\N	NO	NO	22028	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22028	612
153	ACTIVE	ACTIVE	1988-07-08	2028-07-08	2004-01-01	9999-12-31	0	100	\N	\N	NO	NO	22036	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	613
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	2001-01-01	2003-01-01	0	100	\N	\N	NO	NO	22036	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	614
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	2003-01-01	2004-01-01	0	100	\N	\N	NO	NO	22036	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	615
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	1998-07-08	2001-01-01	0	100	\N	\N	NO	NO	22036	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	616
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	1988-07-08	1998-07-08	0	100	\N	\N	NO	NO	22036	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	617
153 B	ACTIVE	ACTIVE	2008-02-29	2028-07-08	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4918242	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2007	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918242	618
154	INACTIVE	INACTIVE	1989-03-03	1995-03-03	1989-03-03	1995-03-03	0	100	\N	\N	NO	NO	22044	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22044	619
155	INACTIVE	INACTIVE	1989-03-03	1993-02-18	1989-03-03	1993-02-18	0	100	\N	\N	NO	NO	22052	SHELL NORGE	A/S Norske Shell	12-B	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22052	620
156	INACTIVE	INACTIVE	1989-03-03	2002-12-31	1999-03-03	2001-01-01	0	100	\N	\N	NO	NO	22060	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22060	621
156	INACTIVE	INACTIVE	1989-03-03	2002-12-31	2001-01-01	2002-12-31	0	100	\N	\N	NO	NO	22060	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22060	622
156	INACTIVE	INACTIVE	1989-03-03	2002-12-31	1989-03-03	1999-03-03	0	100	\N	\N	NO	NO	22060	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22060	623
157	INACTIVE	INACTIVE	1989-03-03	1999-12-31	1989-03-03	1999-03-03	0	100	\N	\N	NO	NO	22068	NORSK CHEVRON	Norsk Chevron AS	12-B	40148	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22068	624
157	INACTIVE	INACTIVE	1989-03-03	1999-12-31	1999-03-03	1999-12-31	0	100	\N	\N	NO	NO	22068	NORSK CHEVRON	Norsk Chevron AS	12-B	40148	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22068	625
158	ACTIVE	ACTIVE	1989-03-03	2028-03-03	2002-01-01	9999-12-31	0	100	\N	\N	NO	NO	22076	SHELL NORGE	A/S Norske Shell	12-B	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22076	626
158	ACTIVE	INACTIVE	1989-03-03	2028-03-03	1998-03-03	2000-01-01	0	100	\N	\N	NO	NO	22076	SHELL NORGE	A/S Norske Shell	12-B	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22076	627
158	ACTIVE	INACTIVE	1989-03-03	2028-03-03	1989-03-03	1998-03-03	0	100	\N	\N	NO	NO	22076	SHELL NORGE	A/S Norske Shell	12-B	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22076	628
158	ACTIVE	INACTIVE	1989-03-03	2028-03-03	2000-01-01	2002-01-01	0	100	\N	\N	NO	NO	22076	SHELL NORGE	A/S Norske Shell	12-B	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22076	629
159	ACTIVE	ACTIVE	1989-03-03	2029-03-03	2008-02-13	9999-12-31	0	100	\N	\N	NO	NO	22084	STATOIL PETROLEUM AS	Statoil Petroleum AS	12-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22084	630
159	ACTIVE	INACTIVE	1989-03-03	2029-03-03	1999-03-03	2001-09-03	0	100	\N	\N	NO	NO	22084	STATOIL PETROLEUM AS	Statoil Petroleum AS	12-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22084	631
159	ACTIVE	INACTIVE	1989-03-03	2029-03-03	2001-09-03	2004-08-13	0	100	\N	\N	NO	NO	22084	STATOIL PETROLEUM AS	Statoil Petroleum AS	12-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22084	632
159	ACTIVE	INACTIVE	1989-03-03	2029-03-03	2004-08-13	2008-02-13	0	100	\N	\N	NO	NO	22084	STATOIL PETROLEUM AS	Statoil Petroleum AS	12-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22084	633
159	ACTIVE	INACTIVE	1989-03-03	2029-03-03	1989-03-03	1999-03-03	0	100	\N	\N	NO	NO	22084	STATOIL PETROLEUM AS	Statoil Petroleum AS	12-B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22084	634
159 B	ACTIVE	ACTIVE	2004-08-13	2029-03-03	2004-08-13	9999-12-31	0	100	\N	\N	NO	NO	2819945	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 12 B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2819945	635
159 C	ACTIVE	ACTIVE	2008-02-13	2029-03-03	2008-02-13	9999-12-31	0	100	\N	\N	NO	NO	4939362	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 12 B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4939362	636
159 D	ACTIVE	ACTIVE	2008-02-13	2029-03-03	2008-02-13	9999-12-31	0	100	\N	\N	NO	NO	4939421	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 12 B	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4939421	637
160	INACTIVE	INACTIVE	1989-03-03	1993-11-01	1989-03-03	1993-11-01	0	100	\N	\N	NO	NO	22092	MOBIL N	Mobil Development Norway AS	12-B	474	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22092	638
161	INACTIVE	INACTIVE	1989-03-03	1993-12-31	1989-03-03	1993-12-31	0	100	\N	\N	NO	NO	22100	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22100	639
162	INACTIVE	INACTIVE	1989-03-03	1991-12-31	1989-03-03	1991-12-31	0	100	\N	\N	NO	NO	22108	STATOIL	Den norske stats oljeselskap a.s	12-B	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22108	640
163	INACTIVE	INACTIVE	1991-03-01	2000-03-01	1991-03-01	2000-03-01	0	100	\N	\N	NO	NO	22116	SAGA	Saga Petroleum ASA	13	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22116	641
164	INACTIVE	INACTIVE	1991-03-01	1997-03-01	1991-03-01	1997-03-01	0	100	\N	\N	NO	NO	22124	BPAS	BP Petroleum Dev. of Norway AS	13	155	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22124	642
165	INACTIVE	INACTIVE	1991-03-01	1994-11-01	1991-03-01	1994-11-01	0	100	\N	\N	NO	NO	22132	ESSO	Esso Exploration and Production Norway A/S	13	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22132	643
166	INACTIVE	INACTIVE	1991-03-01	2002-12-31	2000-03-01	2002-12-31	0	100	\N	\N	NO	NO	22140	RWE-DEA NORGE	RWE Dea Norge AS	13	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22140	644
166	INACTIVE	INACTIVE	1991-03-01	2002-12-31	1991-03-01	2000-03-01	0	100	\N	\N	NO	NO	22140	RWE-DEA NORGE	RWE Dea Norge AS	13	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22140	645
167	ACTIVE	ACTIVE	1991-03-01	2030-03-01	2007-01-01	9999-12-31	0	100	\N	\N	NO	NO	22148	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22148	646
167	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2000-03-01	2007-01-01	0	100	\N	\N	NO	NO	22148	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22148	647
167	ACTIVE	INACTIVE	1991-03-01	2030-03-01	1991-03-01	2000-03-01	0	100	\N	\N	NO	NO	22148	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22148	648
167 B	ACTIVE	ACTIVE	2003-04-11	2030-03-01	2007-01-01	9999-12-31	0	100	\N	\N	NO	NO	2407874	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2002	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407874	649
167 B	ACTIVE	INACTIVE	2003-04-11	2030-03-01	2003-04-11	2007-01-01	0	100	\N	\N	NO	NO	2407874	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2002	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407874	650
168	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1999-03-01	2001-01-01	0	100	\N	\N	NO	NO	22156	AMERADA	Amerada Hess Norge AS	13	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22156	651
168	INACTIVE	INACTIVE	1991-03-01	2003-12-31	2001-01-01	2003-12-31	0	100	\N	\N	NO	NO	22156	AMERADA	Amerada Hess Norge AS	13	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22156	652
168	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1991-03-01	1999-03-01	0	100	\N	\N	NO	NO	22156	AMERADA	Amerada Hess Norge AS	13	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22156	653
169	ACTIVE	ACTIVE	1991-03-01	2030-03-01	2011-11-04	9999-12-31	0	100	\N	\N	NO	NO	22164	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	654
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	1991-03-01	2000-03-01	0	100	\N	\N	NO	NO	22164	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	655
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2009-03-27	2011-11-04	0	100	\N	\N	NO	NO	22164	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	656
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2000-03-01	2009-03-27	0	100	\N	\N	NO	NO	22164	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	657
169 B1	ACTIVE	ACTIVE	2000-03-01	2030-03-01	2000-03-01	9999-12-31	0	100	\N	\N	NO	NO	1030964	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1030964	658
169 B2	ACTIVE	ACTIVE	2000-03-01	2030-03-01	2000-03-01	9999-12-31	0	100	\N	\N	NO	NO	1031002	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1031002	659
169 C	ACTIVE	ACTIVE	2009-03-27	2030-03-01	2011-01-01	9999-12-31	0	100	\N	\N	NO	NO	5479914	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 13	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5479914	660
169 C	ACTIVE	INACTIVE	2009-03-27	2030-03-01	2009-03-27	2011-01-01	0	100	\N	\N	NO	NO	5479914	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 13	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5479914	661
169 D	ACTIVE	ACTIVE	2010-02-19	2030-03-01	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17320383	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320383	662
169 E	ACTIVE	ACTIVE	2011-11-04	2030-03-01	2011-11-04	9999-12-31	0	100	\N	\N	NO	NO	21124742	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21124742	663
170	INACTIVE	INACTIVE	1991-03-01	1997-12-31	1995-03-01	1997-12-31	0	100	\N	\N	NO	NO	22172	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22172	664
170	INACTIVE	INACTIVE	1991-03-01	1997-12-31	1991-03-01	1995-03-01	0	100	\N	\N	NO	NO	22172	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22172	665
171	INACTIVE	INACTIVE	1991-03-01	2002-12-31	1991-03-01	2000-10-09	0	100	\N	\N	NO	NO	22180	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22180	666
171	INACTIVE	INACTIVE	1991-03-01	2002-12-31	2001-01-01	2002-12-31	0	100	\N	\N	NO	NO	22180	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22180	667
171	INACTIVE	INACTIVE	1991-03-01	2002-12-31	2000-10-09	2001-01-01	0	100	\N	\N	NO	NO	22180	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22180	668
171 B	ACTIVE	ACTIVE	2000-10-09	2031-03-01	2000-10-09	9999-12-31	0	100	\N	\N	NO	NO	1333384	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333384	669
172	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1991-03-01	1995-03-01	0	100	\N	\N	NO	NO	22188	MOBIL N	Mobil Development Norway AS	13	474	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22188	670
172	INACTIVE	INACTIVE	1991-03-01	2003-12-31	2000-01-01	2003-12-31	0	100	\N	\N	NO	NO	22188	MOBIL N	Mobil Development Norway AS	13	474	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22188	671
172	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1995-03-01	2000-01-01	0	100	\N	\N	NO	NO	22188	MOBIL N	Mobil Development Norway AS	13	474	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22188	672
173	INACTIVE	INACTIVE	1991-03-01	2000-12-27	1999-12-29	2000-12-27	0	100	\N	\N	NO	NO	22196	STATOIL	Den norske stats oljeselskap a.s	13	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22196	673
173	INACTIVE	INACTIVE	1991-03-01	2000-12-27	1991-03-01	1999-12-29	0	100	\N	\N	NO	NO	22196	STATOIL	Den norske stats oljeselskap a.s	13	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22196	674
174	INACTIVE	INACTIVE	1991-03-01	2003-12-31	2000-12-29	2003-12-31	0	100	\N	\N	NO	NO	22204	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22204	675
174	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1991-03-01	2000-12-29	0	100	\N	\N	NO	NO	22204	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22204	676
175	INACTIVE	INACTIVE	1991-03-01	1999-12-31	1991-03-01	1999-03-01	0	100	\N	\N	NO	NO	22212	STATOIL	Den norske stats oljeselskap a.s	13	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22212	677
175	INACTIVE	INACTIVE	1991-03-01	1999-12-31	1999-03-01	1999-12-31	0	100	\N	\N	NO	NO	22212	STATOIL	Den norske stats oljeselskap a.s	13	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22212	678
176	ACTIVE	ACTIVE	1991-03-01	2028-03-01	2001-01-01	9999-12-31	0	100	\N	\N	NO	NO	22220	SHELL NORGE	A/S Norske Shell	13	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	679
176	ACTIVE	INACTIVE	1991-03-01	2028-03-01	1998-03-01	2000-01-01	0	100	\N	\N	NO	NO	22220	SHELL NORGE	A/S Norske Shell	13	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	680
176	ACTIVE	INACTIVE	1991-03-01	2028-03-01	2000-01-01	2001-01-01	0	100	\N	\N	NO	NO	22220	SHELL NORGE	A/S Norske Shell	13	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	681
176	ACTIVE	INACTIVE	1991-03-01	2028-03-01	1991-03-01	1998-03-01	0	100	\N	\N	NO	NO	22220	SHELL NORGE	A/S Norske Shell	13	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	682
177	INACTIVE	INACTIVE	1991-03-01	2000-01-01	1991-03-01	2000-01-01	0	100	\N	\N	NO	NO	22228	STATOIL	Den norske stats oljeselskap a.s	13	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22228	683
178	INACTIVE	INACTIVE	1991-03-01	1993-12-31	1991-03-01	1993-12-31	0	100	\N	\N	NO	NO	22236	ESSO	Esso Exploration and Production Norway A/S	13	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22236	684
179	INACTIVE	INACTIVE	1991-03-01	1994-12-22	1991-03-01	1994-12-22	0	100	\N	\N	NO	NO	22244	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22244	685
180	INACTIVE	INACTIVE	1991-03-01	1995-04-01	1991-03-01	1995-04-01	0	100	\N	\N	NO	NO	22252	STATOIL	Den norske stats oljeselskap a.s	13	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22252	686
181	INACTIVE	INACTIVE	1991-03-01	1999-03-01	1991-03-01	1999-03-01	0	100	\N	\N	NO	NO	22260	STATOIL	Den norske stats oljeselskap a.s	13	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22260	687
182	INACTIVE	INACTIVE	1991-03-01	2000-12-31	1991-03-01	2000-12-31	0	100	\N	\N	NO	NO	22268	SAGA	Saga Petroleum ASA	13	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22268	688
183	INACTIVE	INACTIVE	1991-03-01	1995-04-11	1991-03-01	1995-04-11	0	100	\N	\N	NO	NO	22276	SHELL NORGE	A/S Norske Shell	13	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22276	689
184	INACTIVE	INACTIVE	1991-03-01	1994-07-01	1991-03-01	1994-07-01	0	100	\N	\N	NO	NO	22284	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22284	690
185	ACTIVE	ACTIVE	1991-09-13	2015-04-06	1991-09-13	9999-12-31	0	100	\N	\N	NO	NO	22292	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 13	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22292	691
186	INACTIVE	INACTIVE	1993-09-10	1999-09-10	1993-09-10	1999-09-10	0	100	\N	\N	NO	NO	22300	SAGA	Saga Petroleum ASA	14	716	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22300	692
187	ACTIVE	ACTIVE	1993-09-10	2032-09-10	2002-09-10	9999-12-31	0	100	\N	\N	NO	NO	22308	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22308	693
187	ACTIVE	INACTIVE	1993-09-10	2032-09-10	1993-09-10	2002-09-10	0	100	\N	\N	NO	NO	22308	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22308	694
188	INACTIVE	INACTIVE	1993-09-10	1998-04-20	1993-09-10	1998-04-20	0	100	\N	\N	NO	NO	22316	ELF NORGE	Elf Petroleum Norge AS	14	298	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22316	695
189	INACTIVE	INACTIVE	1993-09-10	2005-01-01	1993-09-10	2000-09-10	0	100	\N	\N	NO	NO	22324	EXXON MO	ExxonMobil Exploration & Production Norway AS	14	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22324	696
189	INACTIVE	INACTIVE	1993-09-10	2005-01-01	2003-12-18	2005-01-01	0	100	\N	\N	NO	NO	22324	EXXON MO	ExxonMobil Exploration & Production Norway AS	14	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22324	697
189	INACTIVE	INACTIVE	1993-09-10	2005-01-01	2000-09-10	2003-12-18	0	100	\N	\N	NO	NO	22324	EXXON MO	ExxonMobil Exploration & Production Norway AS	14	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22324	698
190	ACTIVE	ACTIVE	1993-09-10	2032-09-10	2002-09-10	9999-12-31	0	100	\N	\N	NO	NO	22332	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22332	699
190	ACTIVE	INACTIVE	1993-09-10	2032-09-10	2000-10-04	2002-09-10	0	100	\N	\N	NO	NO	22332	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22332	700
190	ACTIVE	INACTIVE	1993-09-10	2032-09-10	1993-09-10	2000-10-04	0	100	\N	\N	NO	NO	22332	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22332	701
190 B	ACTIVE	ACTIVE	2013-02-08	2017-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22813207	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813207	702
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	1993-09-10	2000-09-10	0	100	\N	\N	NO	NO	1043631	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	703
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	2001-08-10	2003-09-10	0	100	\N	\N	NO	NO	1043631	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	704
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	2000-09-10	2001-08-10	0	100	\N	\N	NO	NO	1043631	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	705
192	INACTIVE	INACTIVE	1993-09-10	1999-10-06	1993-09-10	1999-10-06	0	100	\N	\N	NO	NO	22348	MOBIL N	Mobil Development Norway AS	14	474	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22348	706
193	ACTIVE	ACTIVE	1993-09-10	2031-09-10	2011-12-21	9999-12-31	0	100	\N	\N	NO	NO	22356	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22356	707
193	ACTIVE	INACTIVE	1993-09-10	2031-09-10	1993-09-10	2001-09-10	0	100	\N	\N	NO	NO	22356	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22356	708
193	ACTIVE	INACTIVE	1993-09-10	2031-09-10	2001-09-10	2011-12-21	0	100	\N	\N	NO	NO	22356	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22356	709
193 B	ACTIVE	ACTIVE	2009-01-23	2031-09-10	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5107611	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107611	710
193 C	ACTIVE	ACTIVE	2011-02-04	2031-09-10	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108409	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108409	711
193 D	ACTIVE	ACTIVE	2011-12-21	2031-09-10	2011-12-21	9999-12-31	0	100	\N	\N	NO	NO	21349950	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21349950	712
193 E	ACTIVE	ACTIVE	2012-02-03	2031-09-10	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21568992	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568992	713
194	INACTIVE	INACTIVE	1993-09-10	2000-03-28	1993-09-10	2000-03-28	0	100	\N	\N	NO	NO	22364	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22364	714
195	ACTIVE	ACTIVE	1993-09-10	2030-09-10	2009-01-01	9999-12-31	0	100	\N	\N	NO	NO	22372	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22372	715
195	ACTIVE	INACTIVE	1993-09-10	2030-09-10	2000-09-10	2003-01-01	0	100	\N	\N	NO	NO	22372	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22372	716
195	ACTIVE	INACTIVE	1993-09-10	2030-09-10	1993-09-10	2000-09-10	0	100	\N	\N	NO	NO	22372	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22372	717
195	ACTIVE	INACTIVE	1993-09-10	2030-09-10	2003-01-01	2009-01-01	0	100	\N	\N	NO	NO	22372	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22372	718
195 B	ACTIVE	ACTIVE	2006-01-06	2030-10-10	2009-01-01	9999-12-31	0	100	\N	\N	NO	NO	3812021	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812021	719
195 B	ACTIVE	INACTIVE	2006-01-06	2030-10-10	2006-01-06	2009-01-01	0	100	\N	\N	NO	NO	3812021	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812021	720
196	INACTIVE	INACTIVE	1993-09-10	2002-03-10	1993-09-10	2002-03-10	0	100	\N	\N	NO	NO	22380	NO OPERATOR	No operator	14	507	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22380	721
197	INACTIVE	INACTIVE	1993-09-10	2002-12-31	2000-12-27	2002-12-31	0	100	\N	\N	NO	NO	22388	AMERADA	Amerada Hess Norge AS	14	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22388	722
197	INACTIVE	INACTIVE	1993-09-10	2002-12-31	1993-09-10	2000-12-27	0	100	\N	\N	NO	NO	22388	AMERADA	Amerada Hess Norge AS	14	67	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22388	723
198	INACTIVE	INACTIVE	1993-09-10	1999-09-10	1993-09-10	1999-09-10	0	100	\N	\N	NO	NO	22396	STATOIL	Den norske stats oljeselskap a.s	14	749	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22396	724
199	ACTIVE	ACTIVE	1993-09-10	2033-09-10	2003-08-26	9999-12-31	0	100	\N	\N	NO	NO	22404	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22404	725
199	ACTIVE	INACTIVE	1993-09-10	2033-09-10	1993-09-10	2003-08-26	0	100	\N	\N	NO	NO	22404	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22404	726
200	INACTIVE	INACTIVE	1993-09-10	2003-09-10	1993-09-10	2003-09-10	0	100	\N	\N	NO	NO	22412	STATOIL ASA (OLD)	Statoil ASA (old)	14	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22412	727
201	ACTIVE	ACTIVE	1993-09-10	2033-09-10	2010-01-01	9999-12-31	0	100	\N	\N	NO	NO	22420	ENI NORGE	Eni Norge AS	14	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22420	728
201	ACTIVE	INACTIVE	1993-09-10	2033-09-10	2003-06-26	2010-01-01	0	100	\N	\N	NO	NO	22420	ENI NORGE	Eni Norge AS	14	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22420	729
201	ACTIVE	INACTIVE	1993-09-10	2033-09-10	1993-09-10	2003-06-26	0	100	\N	\N	NO	NO	22420	ENI NORGE	Eni Norge AS	14	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22420	730
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	2006-01-01	2008-01-01	0	100	\N	\N	NO	NO	4705176	STATOILHYDRO ASA	StatoilHydro ASA	14	4511854	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	731
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	2003-09-10	2006-01-01	0	100	\N	\N	NO	NO	4705176	STATOILHYDRO ASA	StatoilHydro ASA	14	4511854	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	732
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	1993-09-10	2003-09-10	0	100	\N	\N	NO	NO	4705176	STATOILHYDRO ASA	StatoilHydro ASA	14	4511854	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	733
203	ACTIVE	ACTIVE	1996-02-02	2032-02-02	2008-01-01	9999-12-31	0	100	\N	\N	NO	NO	22436	MARATHON OIL	Marathon Oil Norge AS	15	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	734
203	ACTIVE	INACTIVE	1996-02-02	2032-02-02	1996-02-02	2002-02-02	0	100	\N	\N	NO	NO	22436	MARATHON OIL	Marathon Oil Norge AS	15	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	735
203	ACTIVE	INACTIVE	1996-02-02	2032-02-02	2002-02-02	2008-01-01	0	100	\N	\N	NO	NO	22436	MARATHON OIL	Marathon Oil Norge AS	15	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	736
203 B	ACTIVE	ACTIVE	2013-02-08	2018-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22813239	MARATHON OIL	Marathon Oil Norge AS	TFO2012	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813239	737
204	INACTIVE	INACTIVE	1996-02-02	2004-02-02	1996-02-02	2003-02-02	0	100	\N	\N	NO	NO	22444	STATOIL ASA (OLD)	Statoil ASA (old)	15	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22444	738
204	INACTIVE	INACTIVE	1996-02-02	2004-02-02	2003-02-02	2004-02-02	0	100	\N	\N	NO	NO	22444	STATOIL ASA (OLD)	Statoil ASA (old)	15	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22444	739
205	INACTIVE	INACTIVE	1996-02-02	1999-12-31	1996-02-02	1999-12-31	0	100	\N	\N	NO	NO	22452	PPNORSK	Phillips Petroleum Norsk AS	15	705	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22452	740
206	INACTIVE	INACTIVE	1996-02-02	2003-12-31	1996-02-02	2002-02-02	0	100	\N	\N	NO	NO	22460	MOBIL N	Mobil Development Norway AS	15	474	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22460	741
206	INACTIVE	INACTIVE	1996-02-02	2003-12-31	2002-02-02	2003-12-31	0	100	\N	\N	NO	NO	22460	MOBIL N	Mobil Development Norway AS	15	474	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22460	742
207	INACTIVE	INACTIVE	1996-02-02	2000-01-20	1996-02-02	2000-01-20	0	100	\N	\N	NO	NO	22468	ESSO	Esso Exploration and Production Norway A/S	15	353	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22468	743
208	ACTIVE	ACTIVE	1996-02-02	2040-02-02	2005-02-02	9999-12-31	0	100	\N	\N	NO	NO	22476	DONG E&P NORGE	DONG E&P Norge AS	15	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22476	744
208	ACTIVE	INACTIVE	1996-02-02	2040-02-02	1996-02-02	2005-02-02	0	100	\N	\N	NO	NO	22476	DONG E&P NORGE	DONG E&P Norge AS	15	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22476	745
209	ACTIVE	ACTIVE	1996-02-02	2041-02-02	2011-01-01	9999-12-31	0	100	\N	\N	NO	NO	22484	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	746
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2006-02-02	2008-01-01	0	100	\N	\N	NO	NO	22484	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	747
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2009-01-01	2011-01-01	0	100	\N	\N	NO	NO	22484	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	748
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	1996-02-02	2006-02-02	0	100	\N	\N	NO	NO	22484	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	749
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2008-01-01	2009-01-01	0	100	\N	\N	NO	NO	22484	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	750
210	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	0	100	\N	\N	NO	NO	22492	BP NORGE	BP Norge AS	15	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22492	751
211	ACTIVE	ACTIVE	1996-02-02	2032-02-02	2011-01-01	9999-12-31	0	100	\N	\N	NO	NO	22500	TOTAL E&P NORGE	Total E&P Norge AS	15	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22500	752
211	ACTIVE	INACTIVE	1996-02-02	2032-02-02	1996-02-02	2002-02-02	0	100	\N	\N	NO	NO	22500	TOTAL E&P NORGE	Total E&P Norge AS	15	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22500	753
211	ACTIVE	INACTIVE	1996-02-02	2032-02-02	2002-02-02	2011-01-01	0	100	\N	\N	NO	NO	22500	TOTAL E&P NORGE	Total E&P Norge AS	15	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22500	754
211 B	ACTIVE	ACTIVE	2007-02-16	2032-02-02	2010-02-17	9999-12-31	0	100	\N	\N	NO	NO	4238638	TOTAL E&P NORGE	Total E&P Norge AS	TFO2006	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238638	755
211 B	ACTIVE	INACTIVE	2007-02-16	2032-02-02	2007-02-16	2010-02-17	0	100	\N	\N	NO	NO	4238638	TOTAL E&P NORGE	Total E&P Norge AS	TFO2006	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238638	756
212	ACTIVE	ACTIVE	1996-02-02	2033-02-02	2005-02-07	9999-12-31	0	100	\N	\N	NO	NO	22508	BP NORGE	BP Norge AS	15	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	757
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	1996-02-02	2003-02-02	0	100	\N	\N	NO	NO	22508	BP NORGE	BP Norge AS	15	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	758
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	2004-01-01	2005-02-07	0	100	\N	\N	NO	NO	22508	BP NORGE	BP Norge AS	15	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	759
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	2003-02-02	2004-01-01	0	100	\N	\N	NO	NO	22508	BP NORGE	BP Norge AS	15	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	760
212 B	ACTIVE	ACTIVE	2002-06-14	2033-02-02	2008-01-21	9999-12-31	0	100	\N	\N	NO	NO	2092275	BP NORGE	BP Norge AS	Awarded additionaly to round 15	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2092275	761
212 B	ACTIVE	INACTIVE	2002-06-14	2033-02-02	2002-06-14	2008-01-21	0	100	\N	\N	NO	NO	2092275	BP NORGE	BP Norge AS	Awarded additionaly to round 15	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2092275	762
212 C	INACTIVE	INACTIVE	2005-02-07	2010-01-01	2005-02-07	2010-01-01	0	100	\N	\N	NO	NO	3371954	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3371954	763
212 D	INACTIVE	INACTIVE	2007-02-16	2010-01-01	2007-02-16	2010-01-01	0	100	\N	\N	NO	NO	4238684	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238684	764
212 E	ACTIVE	ACTIVE	2008-01-23	2033-02-02	2008-01-23	9999-12-31	0	100	\N	\N	NO	NO	4966902	BP NORGE	BP Norge AS	Awarded additionaly to round 15	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4966902	765
213	INACTIVE	INACTIVE	1996-02-02	2010-12-31	2007-01-01	2010-01-01	0	100	\N	\N	NO	NO	22516	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22516	766
213	INACTIVE	INACTIVE	1996-02-02	2010-12-31	2010-01-01	2010-12-31	0	100	\N	\N	NO	NO	22516	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22516	767
213	INACTIVE	INACTIVE	1996-02-02	2010-12-31	1996-02-02	2002-02-02	0	100	\N	\N	NO	NO	22516	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22516	768
213	INACTIVE	INACTIVE	1996-02-02	2010-12-31	2002-02-02	2007-01-01	0	100	\N	\N	NO	NO	22516	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22516	769
214	INACTIVE	INACTIVE	1996-02-02	1999-03-23	1996-02-02	1999-03-23	0	100	\N	\N	NO	NO	22524	SHELL NORGE	A/S Norske Shell	15	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22524	770
215	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	0	100	\N	\N	NO	NO	22532	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	15	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22532	771
216	INACTIVE	INACTIVE	1996-02-02	2002-02-01	1996-02-02	2002-02-01	0	100	\N	\N	NO	NO	22540	BP AMOCO	BP Amoco Norge AS	15	982372	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22540	772
217	INACTIVE	INACTIVE	1996-02-02	2005-07-07	1996-02-02	2005-07-07	0	100	\N	\N	NO	NO	22548	STATOIL ASA (OLD)	Statoil ASA (old)	15	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22548	773
218	ACTIVE	ACTIVE	1996-02-02	2041-02-02	2006-02-02	9999-12-31	0	100	\N	\N	NO	NO	22556	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22556	774
218	ACTIVE	INACTIVE	1996-02-02	2041-02-02	1996-02-02	2006-02-02	0	100	\N	\N	NO	NO	22556	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22556	775
218 B	ACTIVE	ACTIVE	2011-05-13	2041-02-02	2013-01-01	9999-12-31	0	100	\N	\N	NO	NO	20428874	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428874	776
219	ACTIVE	ACTIVE	1996-02-02	2014-02-02	1996-02-02	9999-12-31	0	100	\N	\N	NO	NO	22564	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22564	777
220	ACTIVE	ACTIVE	1996-02-02	2014-02-02	1996-02-02	9999-12-31	0	100	\N	\N	NO	NO	22572	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22572	778
221	INACTIVE	INACTIVE	1997-05-30	2002-04-30	2000-06-16	2002-04-30	0	100	\N	\N	NO	NO	22580	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	BARENTSHAVPROSJEKTET-97	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22580	779
224	INACTIVE	INACTIVE	1997-05-30	2002-05-14	1997-05-30	2002-05-14	0	100	\N	\N	NO	NO	22604	TOTALFINAELF	TotalFinaElf Exploration Norge AS	BARENTSHAVPROSJEKTET-97	1340884	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22604	780
225	INACTIVE	INACTIVE	1997-05-30	2009-01-01	2004-05-13	2009-01-01	0	100	\N	\N	NO	NO	22612	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	BARENTSHAVPROSJEKTET-97	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22612	781
226	ACTIVE	ACTIVE	1997-05-30	2050-05-15	2010-04-21	9999-12-31	0	100	\N	\N	NO	NO	22620	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22620	782
226 B	ACTIVE	ACTIVE	2011-05-13	2015-11-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429377	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429377	783
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2010-01-01	2010-12-31	0	100	\N	\N	NO	NO	22636	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	784
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-01-01	2009-05-15	0	100	\N	\N	NO	NO	22636	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	785
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	1997-05-30	2009-01-01	0	100	\N	\N	NO	NO	22636	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	786
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-05-15	2010-01-01	0	100	\N	\N	NO	NO	22636	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	787
324	INACTIVE	INACTIVE	2004-06-18	2008-07-09	2004-06-18	2008-07-09	0	100	\N	\N	NO	NO	2786758	ENI NORGE	Eni Norge AS	18	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786758	997
229	ACTIVE	ACTIVE	1997-05-30	2042-05-15	2010-01-01	9999-12-31	0	100	\N	\N	NO	NO	22644	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	788
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	1997-05-30	2009-02-16	0	100	\N	\N	NO	NO	22644	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	789
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	2009-02-16	2010-01-01	0	100	\N	\N	NO	NO	22644	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	790
229 B	ACTIVE	ACTIVE	2007-04-27	2042-05-15	2011-07-27	9999-12-31	0	100	\N	\N	NO	NO	4461754	ENI NORGE	Eni Norge AS	Awarded additionaly to round 15 X	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4461754	791
229 B	ACTIVE	INACTIVE	2007-04-27	2042-05-15	2007-04-27	2011-07-27	0	100	\N	\N	NO	NO	4461754	ENI NORGE	Eni Norge AS	Awarded additionaly to round 15 X	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4461754	792
229 C	INACTIVE	INACTIVE	2008-02-29	2009-02-28	2008-02-29	2009-02-28	0	100	\N	\N	NO	NO	4921701	ENI NORGE	Eni Norge AS	TFO2007	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921701	793
230	ACTIVE	ACTIVE	1997-05-30	2049-05-15	2011-12-31	9999-12-31	0	100	\N	\N	NO	NO	22652	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	794
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	0	100	\N	\N	NO	NO	22652	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	795
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	0	100	\N	\N	NO	NO	22652	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	796
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	0	100	\N	\N	NO	NO	22652	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	797
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	0	100	\N	\N	NO	NO	22676	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	798
237	ACTIVE	ACTIVE	1998-01-30	2027-04-10	1998-01-30	9999-12-31	0	100	\N	\N	NO	NO	41327	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 15	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=41327	799
238	INACTIVE	INACTIVE	1999-06-04	2002-03-21	1999-06-04	2002-03-21	0	100	\N	\N	NO	NO	102103	AGIP	Norsk Agip  AS	NST99	45	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102103	800
239	INACTIVE	INACTIVE	1999-06-04	2005-06-04	1999-06-04	2005-06-04	0	100	\N	\N	NO	NO	102157	DONG NORGE	DONG Norge AS	NST99	1853083	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102157	801
240	INACTIVE	INACTIVE	1999-06-04	2003-06-04	1999-06-04	2003-06-04	0	100	\N	\N	NO	NO	102217	BP NORGE	BP Norge AS	NST99	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102217	802
241	INACTIVE	INACTIVE	1999-06-04	2006-06-04	1999-06-04	2006-06-04	0	100	\N	\N	NO	NO	102131	EXXON MO	ExxonMobil Exploration & Production Norway AS	NST99	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102131	803
242	ACTIVE	ACTIVE	1999-06-04	2035-06-04	2010-01-01	9999-12-31	0	100	\N	\N	NO	NO	102226	DET NORSKE	Det norske oljeselskap ASA	NST99	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102226	804
242	ACTIVE	INACTIVE	1999-06-04	2035-06-04	2007-01-01	2010-01-01	0	100	\N	\N	NO	NO	102226	DET NORSKE	Det norske oljeselskap ASA	NST99	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102226	805
242	ACTIVE	INACTIVE	1999-06-04	2035-06-04	1999-06-04	2007-01-01	0	100	\N	\N	NO	NO	102226	DET NORSKE	Det norske oljeselskap ASA	NST99	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102226	806
243	INACTIVE	INACTIVE	1999-06-04	2004-01-01	1999-06-04	2004-01-01	0	100	\N	\N	NO	NO	102235	BP NORGE	BP Norge AS	NST99	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102235	807
244	INACTIVE	INACTIVE	1999-06-04	2002-12-31	1999-06-04	2002-12-31	0	100	\N	\N	NO	NO	102244	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST99	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102244	808
245	INACTIVE	INACTIVE	1999-06-04	2004-12-30	1999-06-04	2004-12-30	0	100	\N	\N	NO	NO	102258	STATOIL ASA (OLD)	Statoil ASA (old)	NST99	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102258	809
246	INACTIVE	INACTIVE	1999-06-04	2002-08-31	1999-06-04	2002-08-31	0	100	\N	\N	NO	NO	102267	SHELL NORGE	A/S Norske Shell	NST99	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102267	810
247	INACTIVE	INACTIVE	1999-06-04	2002-08-29	1999-06-04	2002-08-29	0	100	\N	\N	NO	NO	102276	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST99	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102276	811
248	ACTIVE	ACTIVE	1999-06-04	2035-06-04	2013-04-09	9999-12-31	0	100	\N	\N	NO	NO	102285	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102285	812
248	ACTIVE	INACTIVE	1999-06-04	2035-06-04	1999-06-04	2013-04-09	0	100	\N	\N	NO	NO	102285	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102285	813
248 B	ACTIVE	ACTIVE	2006-01-06	2035-06-04	2007-01-01	9999-12-31	0	100	\N	\N	NO	NO	3812058	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812058	814
248 B	ACTIVE	INACTIVE	2006-01-06	2035-06-04	2006-01-06	2007-01-01	0	100	\N	\N	NO	NO	3812058	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812058	815
248 C	ACTIVE	ACTIVE	2013-04-09	2035-06-04	2013-04-09	9999-12-31	0	100	\N	\N	NO	NO	23297103	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 15 X	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23297103	816
249	ACTIVE	ACTIVE	1999-06-04	2021-06-11	1999-06-04	9999-12-31	0	100	\N	\N	NO	NO	102294	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	NST99	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102294	817
250	ACTIVE	ACTIVE	1999-10-22	2041-02-02	1999-10-22	9999-12-31	0	100	\N	\N	NO	NO	115537	SHELL NORGE	A/S Norske Shell	Awarded additionaly to round 15	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=115537	818
251	INACTIVE	INACTIVE	2000-05-12	2008-05-12	2000-05-12	2008-05-12	0	100	\N	\N	NO	NO	1032893	STATOILHYDRO ASA	StatoilHydro ASA	16	4511854	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032893	819
252	INACTIVE	INACTIVE	2000-05-12	2003-05-12	2000-05-12	2003-05-12	0	100	\N	\N	NO	NO	1032911	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	16	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032911	820
253	INACTIVE	INACTIVE	2000-05-12	2008-05-12	2000-05-12	2008-05-12	0	100	\N	\N	NO	NO	1032927	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	16	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032927	821
254	INACTIVE	INACTIVE	2000-05-12	2004-12-31	2000-05-12	2004-12-31	0	100	\N	\N	NO	NO	1032954	BP NORGE	BP Norge AS	16	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032954	822
255	ACTIVE	ACTIVE	2000-05-12	2038-05-12	2008-05-12	9999-12-31	0	100	\N	\N	NO	NO	1032979	SHELL NORGE	A/S Norske Shell	16	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032979	823
255	ACTIVE	INACTIVE	2000-05-12	2038-05-12	2000-05-12	2008-05-12	0	100	\N	\N	NO	NO	1032979	SHELL NORGE	A/S Norske Shell	16	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032979	824
256	INACTIVE	INACTIVE	2000-05-12	2011-01-01	2007-01-29	2011-01-01	0	100	\N	\N	NO	NO	1032995	DET NORSKE AS	Det norske oljeselskap AS	16	17342915	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032995	825
256	INACTIVE	INACTIVE	2000-05-12	2011-01-01	2000-05-12	2007-01-29	0	100	\N	\N	NO	NO	1032995	DET NORSKE AS	Det norske oljeselskap AS	16	17342915	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032995	826
257	ACTIVE	ACTIVE	2000-05-12	2033-09-10	2003-05-12	9999-12-31	0	100	\N	\N	NO	NO	1033013	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033013	827
257	ACTIVE	INACTIVE	2000-05-12	2033-09-10	2000-05-12	2003-05-12	0	100	\N	\N	NO	NO	1033013	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033013	828
258	INACTIVE	INACTIVE	2000-05-12	2003-09-29	2000-05-12	2003-09-29	0	100	\N	\N	NO	NO	1033029	TOTAL E&P NORGE	Total E&P Norge AS	16	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033029	829
259	INACTIVE	INACTIVE	2000-05-12	2010-01-01	2007-01-26	2010-01-01	0	100	\N	\N	NO	NO	1033049	ENI NORGE	Eni Norge AS	16	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033049	830
259	INACTIVE	INACTIVE	2000-05-12	2010-01-01	2000-05-12	2007-01-26	0	100	\N	\N	NO	NO	1033049	ENI NORGE	Eni Norge AS	16	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033049	831
260	INACTIVE	INACTIVE	2000-05-12	2004-02-12	2000-05-12	2004-02-12	0	100	\N	\N	NO	NO	1033065	BP NORGE	BP Norge AS	16	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033065	832
261	ACTIVE	ACTIVE	2000-05-12	2036-05-12	2006-05-12	9999-12-31	0	100	\N	\N	YES	NO	1033077	BP NORGE	BP Norge AS	16	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	833
261	ACTIVE	ACTIVE	2000-05-12	2036-05-12	2006-05-12	9999-12-31	50	100	Applies to all levels below Base Cretaceous	Gjelder alle nivå under bunn kritt	YES	YES	1033077	BP NORGE	BP Norge AS	16	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	834
261	ACTIVE	INACTIVE	2000-05-12	2036-05-12	2003-12-12	2006-05-12	0	100	Applies to all levels below base chalk.	Gjelder alle nivåer under bunn kritt	YES	NO	1033077	BP NORGE	BP Norge AS	16	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	835
261	ACTIVE	INACTIVE	2000-05-12	2036-05-12	2000-05-12	2003-12-12	0	100	\N	\N	YES	NO	1033077	BP NORGE	BP Norge AS	16	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	836
261	ACTIVE	INACTIVE	2000-05-12	2036-05-12	2003-12-12	2006-05-12	0	100	\N	\N	YES	NO	1033077	BP NORGE	BP Norge AS	16	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	837
261	ACTIVE	INACTIVE	2000-05-12	2036-05-12	2003-12-12	2006-05-12	0	100	Applies to all levels below base chalk.	Gjelder alle nivå under bunn kritt	YES	NO	1033077	BP NORGE	BP Norge AS	16	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	838
261 BS	INACTIVE	INACTIVE	2003-12-12	2005-11-25	2003-12-12	2005-11-25	0	100	\N	\N	YES	NO	2588889	CHEVRON NORGE	Chevron Norge AS	Awarded additionaly to round 16	3488906	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2588889	839
261 BS	INACTIVE	INACTIVE	2003-12-12	2005-11-25	2003-12-12	2005-11-25	0	50	Applies to all levels over base chalk.	Gjelder alle nivå over bunn kritt.	YES	YES	2588889	CHEVRON NORGE	Chevron Norge AS	Awarded additionaly to round 16	3488906	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2588889	840
262	ACTIVE	ACTIVE	2000-05-12	2033-02-02	2000-05-12	9999-12-31	0	100	\N	\N	NO	NO	1033093	BP NORGE	BP Norge AS	16	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033093	841
263	ACTIVE	ACTIVE	2000-05-12	2037-05-12	2010-01-01	9999-12-31	0	100	\N	\N	NO	NO	1033111	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	842
263	ACTIVE	INACTIVE	2000-05-12	2037-05-12	2008-04-18	2010-01-01	0	100	\N	\N	NO	NO	1033111	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	843
263	ACTIVE	INACTIVE	2000-05-12	2037-05-12	2007-03-20	2008-04-18	0	100	\N	\N	NO	NO	1033111	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	844
263	ACTIVE	INACTIVE	2000-05-12	2037-05-12	2000-05-12	2007-03-20	0	100	\N	\N	NO	NO	1033111	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	845
263 B	ACTIVE	ACTIVE	2006-01-06	2037-05-12	2006-01-06	9999-12-31	0	100	\N	\N	NO	NO	3812093	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812093	846
263 C	ACTIVE	ACTIVE	2008-04-18	2037-05-12	2008-04-18	9999-12-31	0	100	\N	\N	NO	NO	4966437	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4966437	847
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2008-01-01	2009-01-01	0	100	\N	\N	NO	NO	1033127	ENI NORGE	Eni Norge AS	16	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	848
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2009-01-01	2013-01-01	0	100	\N	\N	NO	NO	1033127	ENI NORGE	Eni Norge AS	16	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	849
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2006-03-23	2008-01-01	0	100	\N	\N	NO	NO	1033127	ENI NORGE	Eni Norge AS	16	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	850
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2000-05-12	2006-03-23	0	100	\N	\N	NO	NO	1033127	ENI NORGE	Eni Norge AS	16	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	851
265	ACTIVE	ACTIVE	2001-04-27	2037-01-27	2006-12-28	9999-12-31	0	100	\N	\N	NO	NO	1624237	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624237	852
265	ACTIVE	INACTIVE	2001-04-27	2037-01-27	2005-04-30	2006-01-03	0	100	\N	\N	NO	NO	1624237	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624237	853
265	ACTIVE	INACTIVE	2001-04-27	2037-01-27	2001-04-27	2005-04-30	0	100	\N	\N	NO	NO	1624237	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624237	854
265	ACTIVE	INACTIVE	2001-04-27	2037-01-27	2006-01-03	2006-12-28	0	100	\N	\N	NO	NO	1624237	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624237	855
266	INACTIVE	INACTIVE	2001-04-27	2006-12-22	2004-02-11	2006-12-22	0	100	\N	\N	NO	NO	1624332	ENTERPRISE NORGE	Enterprise Oil Norge AS	NST2000	1853786	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624332	856
268	INACTIVE	INACTIVE	2001-04-27	2004-10-31	2001-04-27	2004-10-31	0	100	\N	\N	NO	NO	1624366	NORSKE CONOCOPHILLIPS	Norske ConocoPhillips AS	NST2000	2399056	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624366	857
269	ACTIVE	ACTIVE	2001-04-27	2041-04-27	2011-04-27	9999-12-31	0	100	\N	\N	NO	NO	1624410	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624410	858
269	ACTIVE	INACTIVE	2001-04-27	2041-04-27	2008-12-30	2011-04-27	0	100	\N	\N	NO	NO	1624410	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624410	859
269	ACTIVE	INACTIVE	2001-04-27	2041-04-27	2001-04-27	2008-12-30	0	100	\N	\N	NO	NO	1624410	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624410	860
270	ACTIVE	ACTIVE	2001-04-27	2035-04-27	2005-04-27	9999-12-31	0	100	\N	\N	NO	NO	1624436	VNG NORGE AS	VNG Norge AS	NST2000	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624436	861
270	ACTIVE	INACTIVE	2001-04-27	2035-04-27	2001-04-27	2005-04-27	0	100	\N	\N	NO	NO	1624436	VNG NORGE AS	VNG Norge AS	NST2000	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624436	862
271	INACTIVE	INACTIVE	2002-03-15	2009-03-15	2002-03-15	2009-03-15	0	100	\N	\N	NO	NO	2060218	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	NST2001	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060218	863
272	ACTIVE	ACTIVE	2002-03-15	2022-11-14	2008-02-21	9999-12-31	0	100	\N	\N	NO	NO	2060232	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2001	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060232	864
272	ACTIVE	INACTIVE	2002-03-15	2022-11-14	2002-03-15	2008-02-21	0	100	\N	\N	NO	NO	2060232	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2001	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060232	865
273	INACTIVE	INACTIVE	2002-03-15	2010-12-31	2010-01-01	2010-12-31	0	100	\N	\N	NO	NO	2060246	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060246	866
273	INACTIVE	INACTIVE	2002-03-15	2010-12-31	2008-01-01	2008-12-26	0	100	\N	\N	NO	NO	2060246	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060246	867
273	INACTIVE	INACTIVE	2002-03-15	2010-12-31	2008-12-26	2010-01-01	0	100	\N	\N	NO	NO	2060246	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060246	868
273	INACTIVE	INACTIVE	2002-03-15	2010-12-31	2002-03-15	2008-01-01	0	100	\N	\N	NO	NO	2060246	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060246	869
274	ACTIVE	ACTIVE	2002-03-15	2039-09-15	2011-01-01	9999-12-31	0	100	\N	\N	YES	NO	2060266	DONG E&P NORGE	DONG E&P Norge AS	NST2001	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	870
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2002-03-15	2005-12-13	0	100	\N	\N	YES	NO	2060266	DONG E&P NORGE	DONG E&P Norge AS	NST2001	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	871
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2005-12-13	2008-01-01	0	100	\N	\N	YES	NO	2060266	DONG E&P NORGE	DONG E&P Norge AS	NST2001	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	872
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2005-12-13	2008-01-01	0	100	Applies to all levels over the Ekofisk Formation of Danian age.	Gjelder alle nivå over Ekofisk formasjonen av Dan alder	YES	NO	2060266	DONG E&P NORGE	DONG E&P Norge AS	NST2001	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	873
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2009-09-29	2011-01-01	0	50	Applies to all levels over the Ekofisk formation of Danian age.	Gjeld for nivå over Ekofiskformasjonen av Dan alder	YES	YES	2060266	DONG E&P NORGE	DONG E&P Norge AS	NST2001	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	874
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2008-01-01	2009-09-29	0	50	Applies to all levels over the Ekofisk formation of Danian age	Gjelder for alle nivå over Ekofiskformasjonen av Dan alder	YES	YES	2060266	DONG E&P NORGE	DONG E&P Norge AS	NST2001	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	875
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2009-09-29	2011-01-01	0	100	\N	\N	YES	NO	2060266	DONG E&P NORGE	DONG E&P Norge AS	NST2001	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	876
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2008-01-01	2009-09-29	0	100	\N	\N	YES	NO	2060266	DONG E&P NORGE	DONG E&P Norge AS	NST2001	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	877
274 BS	INACTIVE	INACTIVE	2005-12-13	2010-12-13	2005-12-13	2010-12-13	50	100	Applies to the Ekofisk Formation of Danian age and levels below.	Gjelder for Ekofisk formasjonen av Dan alder og alle nivåene under	YES	YES	3809011	BG NORGE	BG Norge AS	Awarded additionaly to NST2001	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3809011	878
274 CS	ACTIVE	ACTIVE	2008-02-29	2039-09-15	2008-02-29	9999-12-31	0	50	Applies to all levels over top Ekofisk formation	Gjelder for alle nivå over topp Ekofiskformasjonen	YES	YES	4909658	DONG E&P NORGE	DONG E&P Norge AS	TFO2007	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909658	879
275	ACTIVE	ACTIVE	2002-03-15	2028-12-31	2008-12-26	9999-12-31	0	100	\N	\N	NO	NO	2060278	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060278	880
275	ACTIVE	INACTIVE	2002-03-15	2028-12-31	2002-03-15	2008-12-26	0	100	\N	\N	NO	NO	2060278	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060278	881
276	INACTIVE	INACTIVE	2002-03-15	2005-03-15	2002-03-15	2005-03-15	0	100	\N	\N	NO	NO	2060300	STATOIL ASA (OLD)	Statoil ASA (old)	NST2001	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060300	882
277	ACTIVE	ACTIVE	2002-03-15	2025-07-08	2007-10-03	9999-12-31	0	100	\N	\N	NO	NO	2060336	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2001	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060336	883
277	ACTIVE	INACTIVE	2002-03-15	2025-07-08	2002-03-15	2007-10-03	0	100	\N	\N	NO	NO	2060336	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2001	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060336	884
277 B	INACTIVE	INACTIVE	2006-01-06	2013-01-01	2007-10-03	2013-01-01	0	100	\N	\N	NO	NO	3812131	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812131	885
277 B	INACTIVE	INACTIVE	2006-01-06	2013-01-01	2006-01-06	2007-10-03	0	100	\N	\N	NO	NO	3812131	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812131	886
278	INACTIVE	INACTIVE	2002-03-15	2005-04-21	2002-03-15	2005-04-21	0	100	\N	\N	NO	NO	2060350	RWE-DEA NORGE	RWE Dea Norge AS	NST2001	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060350	887
279	INACTIVE	INACTIVE	2002-03-15	2004-04-16	2002-03-15	2004-04-16	0	100	\N	\N	NO	NO	2060367	RWE-DEA NORGE	RWE Dea Norge AS	NST2001	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060367	888
280	INACTIVE	INACTIVE	2002-03-15	2004-05-10	2002-03-15	2004-05-10	0	100	\N	\N	NO	NO	2060385	CNR	CNR International (UK) Limited	NST2001	2385943	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060385	889
280 S	INACTIVE	INACTIVE	2004-05-10	2006-03-15	2004-05-10	2006-03-15	50	100	Applies to all levels older then base chalk.	Hjørnekoordinatorene gjelder for alle nivå under bunn kritt.	YES	YES	2773116	CNR NORWAY	CNR International (Norway) AS	Awarded additionaly to NST2001	2845980	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2773116	890
281	INACTIVE	INACTIVE	2002-06-14	2009-06-14	2002-06-14	2009-06-14	0	100	\N	\N	NO	NO	2073488	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	17	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073488	891
282	INACTIVE	INACTIVE	2002-06-14	2006-06-14	2002-06-14	2006-06-14	0	100	\N	\N	NO	NO	2073510	SHELL NORGE	A/S Norske Shell	17	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073510	892
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2009-06-23	2011-01-01	0	100	\N	\N	NO	NO	2073530	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	893
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2011-01-01	2012-01-01	0	100	\N	\N	NO	NO	2073530	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	894
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2002-06-14	2009-06-23	0	100	\N	\N	NO	NO	2073530	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	895
284	INACTIVE	INACTIVE	2002-06-14	2005-03-30	2002-06-14	2005-03-30	0	100	\N	\N	NO	NO	2073548	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	17	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073548	896
285	INACTIVE	INACTIVE	2002-06-14	2005-06-14	2002-06-14	2005-06-14	0	100	\N	\N	NO	NO	2073564	ENI NORGE	Eni Norge AS	17	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073564	897
286	INACTIVE	INACTIVE	2002-06-14	2008-06-14	2002-06-14	2008-06-14	0	100	\N	\N	NO	NO	2073578	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	17	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073578	898
287	INACTIVE	INACTIVE	2003-04-11	2004-12-14	2003-04-11	2004-12-14	0	100	\N	\N	NO	NO	2407356	EXXON MO	ExxonMobil Exploration & Production Norway AS	NST2002	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407356	899
288	INACTIVE	INACTIVE	2003-04-11	2006-04-11	2003-04-11	2006-04-11	0	100	\N	\N	NO	NO	2407909	DONG NORGE	DONG Norge AS	NST2002	1853083	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407909	900
289	ACTIVE	ACTIVE	2003-04-11	2039-04-11	2010-01-01	9999-12-31	0	100	\N	\N	NO	NO	2407454	DONG E&P NORGE	DONG E&P Norge AS	NST2002	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407454	901
289	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2008-01-01	2009-03-09	0	100	\N	\N	NO	NO	2407454	DONG E&P NORGE	DONG E&P Norge AS	NST2002	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407454	902
289	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2009-03-09	2010-01-01	0	100	\N	\N	NO	NO	2407454	DONG E&P NORGE	DONG E&P Norge AS	NST2002	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407454	903
289	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2003-04-11	2008-01-01	0	100	\N	\N	NO	NO	2407454	DONG E&P NORGE	DONG E&P Norge AS	NST2002	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407454	904
290	INACTIVE	INACTIVE	2003-04-11	2004-04-11	2003-04-11	2004-04-11	0	100	\N	\N	NO	NO	2407486	RWE-DEA NORGE	RWE Dea Norge AS	NST2002	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407486	905
291	INACTIVE	INACTIVE	2003-04-11	2006-04-11	2003-04-11	2006-04-11	0	100	\N	\N	NO	NO	2407510	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST2002	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407510	906
292	ACTIVE	ACTIVE	2003-04-11	2026-04-01	2010-07-05	9999-12-31	0	100	\N	\N	NO	NO	2407572	BG NORGE	BG Norge AS	NST2002	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407572	907
292	ACTIVE	INACTIVE	2003-04-11	2026-04-01	2003-04-11	2010-07-05	0	100	\N	\N	NO	NO	2407572	BG NORGE	BG Norge AS	NST2002	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407572	908
292 B	ACTIVE	ACTIVE	2009-01-23	2026-04-01	2010-07-05	9999-12-31	0	100	\N	\N	NO	NO	5107501	BG NORGE	BG Norge AS	TFO2008	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107501	909
292 B	ACTIVE	INACTIVE	2009-01-23	2026-04-01	2009-01-23	2010-07-05	0	100	\N	\N	NO	NO	5107501	BG NORGE	BG Norge AS	TFO2008	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107501	910
293	ACTIVE	ACTIVE	2003-04-11	2039-04-11	2013-01-01	9999-12-31	0	100	\N	\N	NO	NO	2407711	ENI NORGE	Eni Norge AS	NST2002	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	911
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2010-01-01	2012-06-15	0	100	\N	\N	NO	NO	2407711	ENI NORGE	Eni Norge AS	NST2002	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	912
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2012-06-15	2013-01-01	0	100	\N	\N	NO	NO	2407711	ENI NORGE	Eni Norge AS	NST2002	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	913
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2003-04-11	2009-04-11	0	100	\N	\N	NO	NO	2407711	ENI NORGE	Eni Norge AS	NST2002	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	914
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2009-04-11	2010-01-01	0	100	\N	\N	NO	NO	2407711	ENI NORGE	Eni Norge AS	NST2002	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	915
293 B	ACTIVE	ACTIVE	2012-06-15	2039-04-11	2012-06-15	9999-12-31	0	100	\N	\N	NO	NO	21695786	ENI NORGE	Eni Norge AS	Awarded additionaly to round 17 Z	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21695786	916
294	INACTIVE	INACTIVE	2003-04-11	2006-04-11	2003-04-11	2006-04-11	0	100	\N	\N	NO	NO	2407753	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST2002	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407753	917
295	INACTIVE	INACTIVE	2003-04-11	2005-04-11	2003-04-11	2005-04-11	0	100	\N	\N	NO	NO	2407550	EXXON MO	ExxonMobil Exploration & Production Norway AS	NST2002	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407550	918
296	INACTIVE	INACTIVE	2003-12-12	2009-12-12	2003-12-12	2009-12-12	0	100	\N	\N	NO	NO	2490197	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490197	919
297	INACTIVE	INACTIVE	2003-12-12	2012-02-28	2011-01-01	2012-02-28	0	100	\N	\N	NO	NO	2490240	BG NORGE	BG Norge AS	TFO2003	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490240	920
297	INACTIVE	INACTIVE	2003-12-12	2012-02-28	2003-12-12	2011-01-01	0	100	\N	\N	NO	NO	2490240	BG NORGE	BG Norge AS	TFO2003	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490240	921
298	INACTIVE	INACTIVE	2003-12-12	2007-01-01	2003-12-12	2007-01-01	0	50	Applies to all levels over top chalk	Gjelder for alle nivå over toppen av krittbergartene	YES	YES	2490295	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2003	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490295	922
299	ACTIVE	ACTIVE	2003-12-12	2013-12-12	2011-12-30	9999-12-31	0	100	\N	\N	NO	NO	2490320	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2003	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490320	923
299	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2009-01-16	2011-12-30	0	100	\N	\N	NO	NO	2490320	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2003	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490320	924
299	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2008-10-23	2009-01-16	0	100	\N	\N	NO	NO	2490320	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2003	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490320	925
299	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2003-12-12	2008-10-23	0	100	\N	\N	NO	NO	2490320	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2003	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490320	926
299 B	INACTIVE	INACTIVE	2009-01-16	2010-01-01	2009-01-16	2010-01-01	0	100	\N	\N	NO	NO	5488567	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 17 A	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5488567	927
300	ACTIVE	ACTIVE	2003-12-12	2023-12-12	2008-12-12	9999-12-31	0	100	\N	\N	NO	NO	2490354	BP NORGE	BP Norge AS	TFO2003	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490354	928
300	ACTIVE	INACTIVE	2003-12-12	2023-12-12	2003-12-12	2008-12-12	0	100	\N	\N	NO	NO	2490354	BP NORGE	BP Norge AS	TFO2003	2052695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490354	929
301	ACTIVE	ACTIVE	2003-12-12	2013-12-12	2011-03-20	9999-12-31	0	100	\N	\N	NO	NO	2490380	LUNDIN NORWAY	Lundin Norway AS	TFO2003	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	930
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2009-12-30	2011-03-20	0	100	\N	\N	NO	NO	2490380	LUNDIN NORWAY	Lundin Norway AS	TFO2003	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	931
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2003-12-12	2007-12-27	0	100	Applies not to levels over chalk	Lisensen gjelder ikkje for strategrafisk del over kritt bergarter	NO	NO	2490380	LUNDIN NORWAY	Lundin Norway AS	TFO2003	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	932
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2003-12-12	2007-12-27	0	100	\N	\N	NO	NO	2490380	LUNDIN NORWAY	Lundin Norway AS	TFO2003	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	933
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2008-05-21	2008-12-24	0	100	\N	\N	NO	NO	2490380	LUNDIN NORWAY	Lundin Norway AS	TFO2003	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	934
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2008-12-24	2009-12-30	0	100	\N	\N	NO	NO	2490380	LUNDIN NORWAY	Lundin Norway AS	TFO2003	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	935
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2007-12-27	2008-05-21	0	100	\N	\N	NO	NO	2490380	LUNDIN NORWAY	Lundin Norway AS	TFO2003	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	936
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2007-12-27	2008-05-21	0	100	Applies not to levels over chalk	Gjelder ikkje for nivå over kritt bergarter	NO	NO	2490380	LUNDIN NORWAY	Lundin Norway AS	TFO2003	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	937
301 B	INACTIVE	INACTIVE	2008-05-21	2011-06-13	2008-05-21	2011-06-13	0	100	\N	\N	NO	NO	4973175	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to TFO2003	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4973175	938
301 CS	INACTIVE	INACTIVE	2008-05-21	2012-06-12	2008-05-21	2012-06-12	0	100	\N	\N	YES	NO	4973200	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	Awarded additionaly to TFO2003	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4973200	939
301 CS	INACTIVE	INACTIVE	2008-05-21	2012-06-12	2008-05-21	2012-06-12	50	100	Applies not to levels over Cretaceous	Gjeld ikkje for nivå over kritt bergarter	YES	YES	4973200	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	Awarded additionaly to TFO2003	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4973200	940
301 D	ACTIVE	ACTIVE	2011-02-04	2013-12-12	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20088622	LUNDIN NORWAY	Lundin Norway AS	TFO2010	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088622	941
302	INACTIVE	INACTIVE	2003-12-12	2009-03-15	2003-12-12	2009-03-15	0	100	\N	\N	NO	NO	2490440	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2003	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490440	942
303	ACTIVE	ACTIVE	2003-12-12	2013-03-12	2011-05-27	9999-12-31	0	100	\N	\N	NO	NO	2490467	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	943
303	ACTIVE	INACTIVE	2003-12-12	2013-03-12	2003-12-12	2011-05-27	0	100	\N	\N	NO	NO	2490467	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	944
303 B	ACTIVE	ACTIVE	2011-05-27	2013-12-12	2011-05-27	9999-12-31	0	100	\N	\N	NO	NO	20499620	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 17 A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20499620	945
304	INACTIVE	INACTIVE	2003-12-12	2010-12-12	2003-12-12	2010-01-01	0	100	\N	\N	NO	NO	2490623	LUNDIN NORWAY	Lundin Norway AS	TFO2003	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490623	946
304	INACTIVE	INACTIVE	2003-12-12	2010-12-12	2010-01-01	2010-12-12	0	100	\N	\N	NO	NO	2490623	LUNDIN NORWAY	Lundin Norway AS	TFO2003	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490623	947
305	INACTIVE	INACTIVE	2003-12-12	2008-12-02	2003-12-12	2008-12-02	0	100	\N	\N	NO	NO	2490682	DET NORSKE (OLD)	Det norske oljeselskap ASA (old)	TFO2003	4539989	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490682	948
305 B	INACTIVE	INACTIVE	2004-12-17	2008-12-02	2004-12-17	2008-12-02	0	100	\N	\N	NO	NO	2987480	DET NORSKE (OLD)	Det norske oljeselskap ASA (old)	TFO2004	4539989	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987480	949
306	INACTIVE	INACTIVE	2003-12-12	2005-07-12	2003-12-12	2005-07-12	0	100	\N	\N	NO	NO	2490776	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	TFO2003	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490776	950
307	INACTIVE	INACTIVE	2003-12-12	2005-12-12	2003-12-12	2005-12-12	0	100	\N	\N	NO	NO	2490820	MARATHON N	Marathon Petroleum Norge AS	TFO2003	463	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490820	951
308	INACTIVE	INACTIVE	2003-12-12	2007-12-04	2003-12-12	2007-12-04	0	100	\N	\N	NO	NO	2490856	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2003	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490856	952
309	ACTIVE	ACTIVE	2003-12-12	2012-12-12	2011-10-06	9999-12-31	0	100	\N	\N	NO	NO	2490982	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	953
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-07-08	2011-10-06	0	100	\N	\N	NO	NO	2490982	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	954
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2010-03-08	2011-01-01	0	100	\N	\N	NO	NO	2490982	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	955
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-01-01	2011-07-08	0	100	\N	\N	NO	NO	2490982	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	956
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2003-12-12	2010-03-08	0	100	\N	\N	NO	NO	2490982	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	957
309 B	ACTIVE	ACTIVE	2011-02-04	2031-03-01	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108378	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108378	958
309 C	ACTIVE	ACTIVE	2011-10-06	2031-03-01	2011-10-06	9999-12-31	0	100	\N	\N	NO	NO	21104663	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 17 A	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21104663	959
310	INACTIVE	INACTIVE	2003-12-12	2005-01-27	2003-12-12	2005-01-27	0	100	\N	\N	NO	NO	2491119	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	TFO2003	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491119	960
311	INACTIVE	INACTIVE	2003-12-12	2008-12-12	2003-12-12	2008-12-12	0	100	\N	\N	NO	NO	2491153	MARATHON N	Marathon Petroleum Norge AS	TFO2003	463	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491153	961
311 B	INACTIVE	INACTIVE	2004-12-17	2009-02-28	2004-12-17	2009-02-28	0	100	\N	\N	NO	NO	2987508	MARATHON N	Marathon Petroleum Norge AS	TFO2004	463	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987508	962
312	ACTIVE	ACTIVE	2003-12-12	2013-12-12	2011-12-20	9999-12-31	0	100	\N	\N	NO	NO	2491196	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491196	963
312	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2003-12-12	2010-01-02	0	100	\N	\N	NO	NO	2491196	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491196	964
312	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2010-01-02	2011-12-20	0	100	\N	\N	NO	NO	2491196	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491196	965
312 B	ACTIVE	ACTIVE	2010-02-19	2013-12-12	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17654614	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654614	966
313	INACTIVE	INACTIVE	2003-12-12	2005-12-12	2003-12-12	2005-12-12	0	100	\N	\N	NO	NO	2491243	STATOIL ASA (OLD)	Statoil ASA (old)	TFO2003	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491243	967
314	INACTIVE	INACTIVE	2003-12-12	2006-12-12	2003-12-12	2006-12-12	0	100	\N	\N	NO	NO	2491284	STATOIL ASA (OLD)	Statoil ASA (old)	TFO2003	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491284	968
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	50	100	Applies to all levels below 200 meteres below the Jurassic, where Triassic is present, and all levels below base Jurassic where the Triassic is not present.	Gjelder for alle nivåer nedenfor 200 meter under bunn jura der trias er tilstede, og alle nivåer under bunn jura der trias ikke er tilstede.	YES	YES	2786350	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	969
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	50	100	Applies to all levels below 200 meteres below the Jurassic where Triassic is present, and all levels below base Jurassic where the Triassic is not present.	Gjelder for alle nivåer nedenfor 200 meter under bunn jura der trias er tilstede, og alle nivåer under bunn jura der trias ikke er tilstede.	YES	YES	2786350	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	970
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	0	100	\N	\N	YES	NO	2786350	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	971
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	50	100	Applies to all levels below 200 meteres below the Jurassic where Triassic is present, and all levels below base Jurassic where the Triassic is not present.	Gjelder for alle nivåer nedenfor 200 meter under bunn jura der trias er tilstede, og alle nivåer under bunn jura der der trias ikke er tilstede.	YES	YES	2786350	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	972
316	ACTIVE	ACTIVE	2004-06-18	2030-06-18	2010-04-16	9999-12-31	0	50	Applies to all levels over 200 meter below base Jurassic and up to the seafloor where Triassic is present, and all levels over base Jurassic where Triassic is not present.	Gjelder aller nivåer over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trais ikke er tilstede.	YES	YES	2786469	TALISMAN ENERGY	Talisman Energy Norge AS	18	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	973
325	INACTIVE	INACTIVE	2004-06-18	2008-03-18	2004-06-18	2008-03-18	0	100	\N	\N	NO	NO	2786811	CHEVRON NORGE	Chevron Norge AS	18	3488906	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786811	998
316	ACTIVE	ACTIVE	2004-06-18	2030-06-18	2010-04-16	9999-12-31	0	50	Applies to all levels over 200 meter below base Jurassic and up to the seafloor where Triassic is present, and all levels over base Jurassic where Triassic is not present.	Gjelder alle nivåer over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikke er tilstede.	YES	YES	2786469	TALISMAN ENERGY	Talisman Energy Norge AS	18	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	974
316	ACTIVE	INACTIVE	2004-06-18	2030-06-18	2004-06-18	2007-08-23	0	100	Same as polygon 1	Som for polygon 1	YES	NO	2786469	TALISMAN ENERGY	Talisman Energy Norge AS	18	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	975
316	ACTIVE	INACTIVE	2004-06-18	2030-06-18	2007-08-23	2010-04-16	0	50	Applies to all levels over 200 meter below base Jurassic and up to seafloor where Triassic is present, and all levels over base Jurassic where Triassic is not present.	Gjelder alle nivåer ovenfor 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikke er tilstede.	YES	YES	2786469	TALISMAN ENERGY	Talisman Energy Norge AS	18	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	976
316	ACTIVE	INACTIVE	2004-06-18	2030-06-18	2004-06-18	2007-08-23	0	100	Applies to all levels over 200 meteres below base Jurassic and up to seafloor where Triassic is present, and all levels over base Jurassic where the Triassic is not present.	Gjelder for alle nivåer ovenfor 200 meter under bunn jura og opptil havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikker er tilstede.	YES	NO	2786469	TALISMAN ENERGY	Talisman Energy Norge AS	18	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	977
316	ACTIVE	INACTIVE	2004-06-18	2030-06-18	2007-08-23	2010-04-16	0	50	Same as polygon 1	Som for polygon 1	YES	YES	2786469	TALISMAN ENERGY	Talisman Energy Norge AS	18	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	978
316 B	ACTIVE	ACTIVE	2007-02-16	2030-06-18	2007-02-16	9999-12-31	0	100	\N	\N	NO	NO	4237334	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237334	979
316 CS	INACTIVE	INACTIVE	2007-08-23	2010-06-18	2007-08-23	2010-06-18	0	50	Applies to all levels over 200 meteres below base Jurassic and up to seafloor where Triassic is present, and all levels below base Jurassic where Triassic is not present.	Gjelder alle nivåer over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikker er tilstede.	YES	YES	4480974	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 18	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4480974	980
316 CS	INACTIVE	INACTIVE	2007-08-23	2010-06-18	2007-08-23	2010-06-18	0	50	Applies to all levells over 200 meteres below base Jurassic and up to the seafloor where Triassic is present, and all levels over base Jurassic where the Traissic is not present	Gjelder alle nivåer over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikke er tilstede.	YES	YES	4480974	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 18	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4480974	981
316 DS	INACTIVE	INACTIVE	2007-08-23	2010-06-18	2007-08-23	2010-06-18	0	50	Applies to all levels over 200 meter below base Jurassic and up to seafloor where  Triassic is present, and all levels below base Jurassic where Triassic is not present.	Gjelder alle nivå over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikke er tilstede	YES	YES	4481011	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 18	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4481011	982
316 DS	INACTIVE	INACTIVE	2007-08-23	2010-06-18	2007-08-23	2010-06-18	0	50	Applies to all levels over 200 meter below base Jurassic and up to the seafloor where triassic is present, and all levels over base Jurassic where Triassic is not present.	Gjelder alle nivåer over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikke er tilstede.	YES	YES	4481011	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 18	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4481011	983
317	INACTIVE	INACTIVE	2004-06-18	2009-04-13	2004-06-18	2009-04-13	0	100	\N	\N	NO	NO	2786553	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	18	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786553	984
318	ACTIVE	ACTIVE	2004-06-18	2014-06-18	2012-12-28	9999-12-31	0	100	\N	\N	NO	NO	2786586	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786586	985
318	ACTIVE	INACTIVE	2004-06-18	2014-06-18	2004-06-18	2010-07-18	0	100	\N	\N	NO	NO	2786586	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786586	986
318	ACTIVE	INACTIVE	2004-06-18	2014-06-18	2010-07-19	2012-12-27	0	100	\N	\N	NO	NO	2786586	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786586	987
318 B	ACTIVE	ACTIVE	2007-02-16	2014-06-18	2012-12-28	9999-12-31	0	100	\N	\N	NO	NO	4238138	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238138	988
318 B	ACTIVE	INACTIVE	2007-02-16	2014-06-18	2007-02-16	2010-07-19	0	100	\N	\N	NO	NO	4238138	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238138	989
318 C	ACTIVE	ACTIVE	2009-05-15	2014-06-18	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463114	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463114	990
319	INACTIVE	INACTIVE	2004-06-18	2007-06-29	2004-06-18	2007-06-29	0	100	\N	\N	NO	NO	2786612	STATOIL ASA (OLD)	Statoil ASA (old)	18	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786612	991
320	INACTIVE	INACTIVE	2004-06-18	2007-06-14	2004-06-18	2007-06-14	0	100	\N	\N	NO	NO	2786635	SHELL NORGE	A/S Norske Shell	18	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786635	992
321	INACTIVE	INACTIVE	2004-06-18	2010-06-18	2004-06-18	2010-06-18	0	100	\N	\N	NO	NO	2786661	DET NORSKE	Det norske oljeselskap ASA	18	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786661	993
321 B	INACTIVE	INACTIVE	2007-12-07	2010-06-18	2007-12-07	2010-06-18	0	100	\N	\N	NO	NO	4720082	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 18	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4720082	994
322	INACTIVE	INACTIVE	2004-06-18	2008-06-18	2004-06-18	2008-06-18	0	100	\N	\N	NO	NO	2786703	STATOILHYDRO ASA	StatoilHydro ASA	18	4511854	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786703	995
323	INACTIVE	INACTIVE	2004-06-18	2010-06-18	2004-06-18	2010-06-18	0	100	\N	\N	NO	NO	2786740	TOTAL E&P NORGE	Total E&P Norge AS	18	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786740	996
326	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2004-06-18	2011-03-22	0	100	\N	\N	NO	NO	2786855	SHELL NORGE	A/S Norske Shell	18	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786855	999
326	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2011-03-22	2011-06-18	0	100	\N	\N	NO	NO	2786855	SHELL NORGE	A/S Norske Shell	18	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786855	1000
327	ACTIVE	ACTIVE	2004-06-18	2041-06-18	2011-06-18	9999-12-31	0	100	\N	\N	NO	NO	2786915	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786915	1001
327	ACTIVE	INACTIVE	2004-06-18	2041-06-18	2004-06-18	2011-06-18	0	100	\N	\N	NO	NO	2786915	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786915	1002
327 B	ACTIVE	ACTIVE	2007-12-07	2041-06-18	2011-06-18	9999-12-31	0	100	\N	\N	NO	NO	4720054	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 18	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4720054	1003
327 B	ACTIVE	INACTIVE	2007-12-07	2041-06-18	2007-12-07	2011-06-18	0	100	\N	\N	NO	NO	4720054	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 18	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4720054	1004
328	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2004-06-18	2009-06-12	0	100	\N	\N	NO	NO	2786957	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786957	1005
328	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2009-06-12	2011-03-28	0	100	\N	\N	NO	NO	2786957	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786957	1006
328	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2011-03-28	2011-06-18	0	100	\N	\N	NO	NO	2786957	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786957	1007
329	INACTIVE	INACTIVE	2004-06-18	2009-06-18	2004-06-18	2009-06-18	0	100	\N	\N	NO	NO	2786994	ENI NORGE	Eni Norge AS	18	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786994	1008
330	ACTIVE	ACTIVE	2004-06-18	2014-06-18	2010-10-22	9999-12-31	0	100	\N	\N	NO	NO	2787040	RWE-DEA NORGE	RWE Dea Norge AS	18	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787040	1009
330	ACTIVE	INACTIVE	2004-06-18	2014-06-18	2004-06-18	2010-10-22	0	100	\N	\N	NO	NO	2787040	RWE-DEA NORGE	RWE Dea Norge AS	18	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787040	1010
330 B	INACTIVE	INACTIVE	2010-10-22	2011-06-01	2010-10-22	2011-06-01	0	100	\N	\N	NO	NO	18403842	HESS NORGE AS	Hess Norge AS	Awarded additionaly to round 18	4038735	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18403842	1011
331	INACTIVE	INACTIVE	2004-12-17	2011-06-18	2004-12-17	2011-06-18	50	100	Applies to all levels below base Jurassic	Gjelder alle nivåer under bunn jura.	YES	YES	2986187	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2004	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986187	1012
331	INACTIVE	INACTIVE	2004-12-17	2011-06-18	2004-12-17	2011-06-18	0	100	\N	\N	YES	NO	2986187	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2004	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986187	1013
331 C	INACTIVE	INACTIVE	2010-02-19	2011-06-18	2010-02-19	2011-06-18	0	100	\N	\N	NO	NO	17320176	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2009	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320176	1014
332	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2011-01-01	9999-12-31	0	50	Applies to all levels over base Jurassic	Gjelder for alle nivå over bunn jura	YES	YES	2986240	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2004	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986240	1015
332	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2011-01-01	9999-12-31	0	50	Applies to all levels over base Jurassic.	Gjelder for alle nivå over bunn jura.	YES	YES	2986240	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2004	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986240	1016
332	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2004-12-17	2011-01-01	0	50	Applies to all levels over base Jurassic	Gjelder alle nivåer over bunn jura	YES	YES	2986240	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2004	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986240	1017
333	ACTIVE	ACTIVE	2004-12-17	2027-07-08	2013-01-03	9999-12-31	0	100	\N	\N	NO	NO	2986266	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986266	1018
333	ACTIVE	INACTIVE	2004-12-17	2027-07-08	2004-12-17	2013-01-03	0	100	\N	\N	NO	NO	2986266	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986266	1019
334	INACTIVE	INACTIVE	2004-12-17	2008-03-17	2004-12-17	2008-03-17	0	100	\N	\N	NO	NO	2986306	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2004	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986306	1020
335	INACTIVE	INACTIVE	2004-12-17	2007-12-17	2004-12-17	2007-12-17	0	100	\N	\N	NO	NO	2986333	BG NORGE	BG Norge AS	TFO2004	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986333	1021
336	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	0	100	\N	\N	NO	NO	2986364	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2004	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986364	1022
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2009-12-29	2010-12-17	0	100	\N	\N	NO	NO	2986484	DET NORSKE	Det norske oljeselskap ASA	TFO2004	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	1023
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2010-12-17	2012-01-20	0	100	\N	\N	NO	NO	2986484	DET NORSKE	Det norske oljeselskap ASA	TFO2004	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	1024
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2004-12-17	2009-12-29	0	100	\N	\N	NO	NO	2986484	DET NORSKE	Det norske oljeselskap ASA	TFO2004	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	1025
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2012-01-20	2013-02-09	0	100	\N	\N	NO	NO	2986484	DET NORSKE	Det norske oljeselskap ASA	TFO2004	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	1026
338	ACTIVE	ACTIVE	2004-12-17	2013-12-17	2004-12-17	9999-12-31	0	100	\N	\N	NO	NO	2986578	LUNDIN NORWAY	Lundin Norway AS	TFO2004	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986578	1027
339	INACTIVE	INACTIVE	2004-12-17	2009-12-17	2008-12-12	2009-12-17	0	100	\N	\N	NO	NO	2986606	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986606	1028
339	INACTIVE	INACTIVE	2004-12-17	2009-12-17	2004-12-17	2008-12-12	0	100	\N	\N	NO	NO	2986606	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986606	1029
340	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2012-04-30	9999-12-31	0	100	\N	\N	NO	NO	2986630	MARATHON OIL	Marathon Oil Norge AS	TFO2004	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986630	1030
340	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2004-12-17	2012-04-30	0	100	\N	\N	NO	NO	2986630	MARATHON OIL	Marathon Oil Norge AS	TFO2004	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986630	1031
340 BS	ACTIVE	ACTIVE	2010-02-19	2014-12-17	2012-04-30	9999-12-31	0	50	Applies to all levels above top Cretaceous	Gjelder for nivå over topp kritt	YES	YES	17320421	MARATHON OIL	Marathon Oil Norge AS	TFO2009	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320421	1032
340 BS	ACTIVE	INACTIVE	2010-02-19	2014-12-17	2010-02-19	2012-04-30	0	50	Applies to all levels above top Cretaceous	Gjelder for alle nivåer over topp kritt	YES	YES	17320421	MARATHON OIL	Marathon Oil Norge AS	TFO2009	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320421	1033
341	INACTIVE	INACTIVE	2004-12-17	2011-12-17	2011-08-31	2011-12-17	0	100	\N	\N	NO	NO	2986675	DET NORSKE	Det norske oljeselskap ASA	TFO2004	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986675	1034
341	INACTIVE	INACTIVE	2004-12-17	2011-12-17	2004-12-17	2011-08-31	0	100	\N	\N	NO	NO	2986675	DET NORSKE	Det norske oljeselskap ASA	TFO2004	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986675	1035
342	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	0	100	\N	\N	NO	NO	2986721	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	TFO2004	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986721	1036
343	INACTIVE	INACTIVE	2004-12-17	2009-10-17	2004-12-17	2009-10-17	0	100	\N	\N	NO	NO	2986758	MARATHON N	Marathon Petroleum Norge AS	TFO2004	463	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986758	1037
344	INACTIVE	INACTIVE	2004-12-17	2010-12-07	2004-12-17	2010-12-07	0	100	\N	\N	NO	NO	2986805	SPRING ENERGY NORWAY AS	Spring Energy Norway AS	TFO2004	5072514	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986805	1038
344 B	INACTIVE	INACTIVE	2008-02-29	2010-12-07	2008-02-29	2010-12-07	0	100	\N	\N	NO	NO	4918142	SPRING ENERGY NORWAY AS	Spring Energy Norway AS	TFO2007	5072514	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918142	1039
345	INACTIVE	INACTIVE	2004-12-17	2008-12-17	2004-12-17	2008-12-17	0	100	\N	\N	NO	NO	2986889	STATOILHYDRO ASA	StatoilHydro ASA	TFO2004	4511854	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986889	1040
346	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	0	100	\N	\N	NO	NO	2986958	SHELL NORGE	A/S Norske Shell	TFO2004	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986958	1041
347	INACTIVE	INACTIVE	2004-12-17	2007-12-14	2004-12-17	2007-12-14	0	100	\N	\N	NO	NO	2986982	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2004	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986982	1042
348	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2004-12-17	9999-12-31	0	100	\N	\N	NO	NO	2987047	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987047	1043
348 B	ACTIVE	ACTIVE	2011-02-04	2014-12-17	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20109261	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109261	1044
349	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	0	100	\N	\N	NO	NO	2987098	MARATHON N	Marathon Petroleum Norge AS	TFO2004	463	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987098	1045
350	INACTIVE	INACTIVE	2004-12-17	2012-09-17	2004-12-17	2012-09-17	0	100	\N	\N	NO	NO	2987133	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2004	21631209	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987133	1046
350 B	INACTIVE	INACTIVE	2012-02-03	2012-09-17	2012-02-03	2012-09-17	0	100	\N	\N	NO	NO	21569025	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	21631209	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569025	1047
351	INACTIVE	INACTIVE	2004-12-17	2007-12-14	2004-12-17	2007-12-14	0	100	\N	\N	NO	NO	2987183	STATOILHYDRO ASA	StatoilHydro ASA	TFO2004	4511854	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987183	1048
352	INACTIVE	INACTIVE	2004-12-17	2008-10-08	2004-12-17	2008-10-08	0	100	\N	\N	NO	NO	2987228	STATOILHYDRO ASA	StatoilHydro ASA	TFO2004	4511854	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987228	1049
353	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	0	100	\N	\N	NO	NO	2987265	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	TFO2004	430	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987265	1050
354	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	0	100	\N	\N	NO	NO	3810204	VNG NORGE AS	VNG Norge AS	TFO2005	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810204	1051
354 B	INACTIVE	INACTIVE	2007-12-16	2010-01-06	2007-12-16	2010-01-06	0	100	\N	\N	NO	NO	4237131	VNG NORGE AS	VNG Norge AS	TFO2006	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237131	1052
355	INACTIVE	INACTIVE	2006-01-06	2009-12-12	2006-01-06	2009-12-12	0	100	\N	\N	NO	NO	3812175	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812175	1053
356	INACTIVE	INACTIVE	2006-01-06	2013-01-06	2006-01-06	2013-01-06	0	100	\N	\N	NO	NO	3810275	DET NORSKE	Det norske oljeselskap ASA	TFO2005	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810275	1054
357	INACTIVE	INACTIVE	2006-01-06	2008-01-07	2006-01-06	2008-01-07	0	100	\N	\N	NO	NO	3810310	DONG E&P NORGE	DONG E&P Norge AS	TFO2005	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810310	1055
358	INACTIVE	INACTIVE	2006-01-06	2011-07-06	2006-01-06	2011-07-06	0	100	\N	\N	NO	NO	3810338	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810338	1056
359	ACTIVE	ACTIVE	2006-01-06	2016-01-06	2006-01-06	9999-12-31	0	100	\N	\N	NO	NO	3810373	LUNDIN NORWAY	Lundin Norway AS	TFO2005	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810373	1057
360	ACTIVE	ACTIVE	2006-01-06	2014-01-06	2006-01-06	9999-12-31	0	100	\N	\N	NO	NO	3810387	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810387	1058
360 B	ACTIVE	ACTIVE	2011-02-04	2014-01-06	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20107847	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107847	1059
361	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	0	100	\N	\N	NO	NO	3810510	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2005	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810510	1060
362	ACTIVE	ACTIVE	2006-01-06	2013-09-06	2006-01-06	9999-12-31	0	100	\N	\N	NO	NO	3810565	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2005	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810565	1061
363	INACTIVE	INACTIVE	2006-01-06	2011-01-06	2006-01-06	2011-01-06	0	100	\N	\N	NO	NO	3810598	LUNDIN NORWAY	Lundin Norway AS	TFO2005	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810598	1062
364	ACTIVE	ACTIVE	2006-01-06	2019-01-06	2013-01-01	9999-12-31	0	100	\N	\N	NO	NO	3810636	DET NORSKE	Det norske oljeselskap ASA	TFO2005	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	1063
364	ACTIVE	INACTIVE	2006-01-06	2019-01-06	2006-01-06	2009-01-06	0	100	\N	\N	NO	NO	3810636	DET NORSKE	Det norske oljeselskap ASA	TFO2005	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	1064
364	ACTIVE	INACTIVE	2006-01-06	2019-01-06	2009-01-06	2013-01-01	0	100	\N	\N	NO	NO	3810636	DET NORSKE	Det norske oljeselskap ASA	TFO2005	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	1065
365	INACTIVE	INACTIVE	2006-01-06	2007-12-18	2006-01-06	2007-12-18	0	100	\N	\N	NO	NO	3810693	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810693	1066
366	INACTIVE	INACTIVE	2006-01-06	2008-02-05	2006-01-06	2008-02-05	0	100	\N	\N	NO	NO	3810756	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810756	1067
367 S	INACTIVE	INACTIVE	2006-01-06	2007-12-18	2006-01-06	2007-12-18	0	50	Apllies to all rock from 50 meter above base Creataceous and younger rock	Gjelder aller bergarter fra 50 meter over bunn kritt og yngre bergarter	YES	YES	3810797	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810797	1068
367 S	INACTIVE	INACTIVE	2006-01-06	2007-12-18	2006-01-06	2007-12-18	0	50	Applies to all rock from 50 meter above base Creataceous and younger rock	Gjelder alle bergarter fra 50 meter over bunn kritt og yngre bergarter	YES	YES	3810797	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810797	1069
367 S	INACTIVE	INACTIVE	2006-01-06	2007-12-18	2006-01-06	2007-12-18	0	100	\N	\N	YES	NO	3810797	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810797	1070
368	INACTIVE	INACTIVE	2006-01-06	2007-07-06	2006-01-06	2007-07-06	0	100	\N	\N	NO	NO	3810851	STATOIL ASA (OLD)	Statoil ASA (old)	TFO2005	1622484	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810851	1071
369	INACTIVE	INACTIVE	2006-01-06	2011-01-06	2006-01-06	2011-01-06	0	100	\N	\N	NO	NO	3810875	DET NORSKE	Det norske oljeselskap ASA	TFO2005	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810875	1072
370	ACTIVE	ACTIVE	2006-01-06	2014-07-06	2013-02-21	9999-12-31	0	100	\N	\N	NO	NO	3810959	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2005	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810959	1073
370	ACTIVE	INACTIVE	2006-01-06	2014-07-06	2006-01-06	2013-02-21	0	100	\N	\N	NO	NO	3810959	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2005	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810959	1074
370 B	ACTIVE	ACTIVE	2011-02-04	2014-07-06	2013-02-21	9999-12-31	0	100	\N	\N	NO	NO	20108642	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108642	1075
370 B	ACTIVE	INACTIVE	2011-02-04	2014-07-06	2011-02-04	2013-02-21	0	100	\N	\N	NO	NO	20108642	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108642	1076
371 S	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	0	50	Applies to all levels above base Pliocene	Gjelder alle nivå over bunn pliocen	YES	YES	3810996	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810996	1077
372 BS	INACTIVE	INACTIVE	2006-04-28	2009-07-06	2006-04-28	2009-07-06	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	YES	3987486	BG NORGE	BG Norge AS	19	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3987486	1078
372 S	INACTIVE	INACTIVE	2006-01-06	2009-07-06	2006-01-06	2009-07-06	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	YES	3811092	BG NORGE	BG Norge AS	TFO2005	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811092	1079
373 S	ACTIVE	ACTIVE	2006-01-06	2038-01-06	2006-01-06	9999-12-31	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	YES	3811116	BG NORGE	BG Norge AS	TFO2005	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811116	1080
374 S	ACTIVE	ACTIVE	2006-01-06	2016-01-06	2013-01-11	9999-12-31	50	100	\N	Gjelder alle nivå under bunn pliocen	YES	YES	3811171	BG NORGE	BG Norge AS	TFO2005	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811171	1081
374 S	ACTIVE	INACTIVE	2006-01-06	2016-01-06	2006-01-06	2013-01-11	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	YES	3811171	BG NORGE	BG Norge AS	TFO2005	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811171	1082
375	ACTIVE	ACTIVE	2006-01-06	2014-12-31	2006-01-06	9999-12-31	0	100	\N	\N	NO	NO	3811214	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2005	20426420	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811214	1083
375 B	ACTIVE	ACTIVE	2011-02-04	2014-12-31	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108600	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2010	20426420	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108600	1084
375 C	ACTIVE	ACTIVE	2012-02-03	2014-12-31	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21569065	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2011	20426420	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569065	1085
376	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	0	100	\N	\N	NO	NO	3811255	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811255	1086
377 BS	INACTIVE	INACTIVE	2011-02-04	2012-07-06	2011-02-04	2012-07-06	50	100	Applies to all levels below base Pliocene.	Gjelder alle nivå under bunn pliocen	YES	YES	20108534	IDEMITSU	Idemitsu Petroleum Norge AS	TFO2010	441	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108534	1087
377 S	INACTIVE	INACTIVE	2006-01-06	2012-07-06	2006-01-06	2012-07-06	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	YES	3811290	IDEMITSU	Idemitsu Petroleum Norge AS	TFO2005	441	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811290	1088
378	ACTIVE	ACTIVE	2006-01-06	2016-01-06	2012-03-22	9999-12-31	0	100	\N	\N	NO	NO	3811312	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2005	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811312	1089
378	ACTIVE	INACTIVE	2006-01-06	2016-01-06	2006-01-06	2012-03-22	0	100	\N	\N	NO	NO	3811312	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2005	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811312	1090
378 B	ACTIVE	ACTIVE	2011-02-04	2013-01-06	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108440	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108440	1091
673	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22816103	VNG NORGE AS	VNG Norge AS	TFO2012	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816103	1465
379	INACTIVE	INACTIVE	2006-01-06	2010-01-05	2006-01-06	2010-01-05	0	100	\N	\N	NO	NO	3811357	TOTAL E&P NORGE	Total E&P Norge AS	TFO2005	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811357	1092
380	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	0	100	\N	\N	NO	NO	3811381	DET NORSKE	Det norske oljeselskap ASA	TFO2005	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811381	1093
381	INACTIVE	INACTIVE	2006-01-06	2009-02-06	2006-01-06	2009-02-06	0	100	\N	\N	NO	NO	3811409	SHELL NORGE	A/S Norske Shell	TFO2005	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811409	1094
382	INACTIVE	INACTIVE	2006-01-06	2011-04-06	2006-01-06	2011-04-06	0	100	\N	\N	NO	NO	3811444	BG NORGE	BG Norge AS	TFO2005	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811444	1095
383	INACTIVE	INACTIVE	2006-01-06	2010-07-06	2006-01-06	2010-07-06	0	100	\N	\N	NO	NO	3811499	DET NORSKE	Det norske oljeselskap ASA	TFO2005	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811499	1096
384	INACTIVE	INACTIVE	2006-01-06	2008-04-01	2006-01-06	2008-04-01	0	100	\N	\N	NO	NO	3811564	DONG E&P NORGE	DONG E&P Norge AS	TFO2005	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811564	1097
385	ACTIVE	ACTIVE	2006-01-06	2014-01-06	2012-06-29	9999-12-31	0	100	\N	\N	NO	NO	3811602	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811602	1098
385	ACTIVE	INACTIVE	2006-01-06	2014-01-06	2006-01-06	2012-06-28	0	100	\N	\N	NO	NO	3811602	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811602	1099
386	INACTIVE	INACTIVE	2006-01-06	2013-04-06	2006-01-06	2013-04-06	0	100	\N	\N	NO	NO	3811659	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811659	1100
387	INACTIVE	INACTIVE	2006-04-28	2009-04-28	2006-04-28	2009-04-28	0	100	\N	\N	NO	NO	3964986	TALISMAN ENERGY	Talisman Energy Norge AS	19	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3964986	1101
388	INACTIVE	INACTIVE	2006-04-28	2011-10-28	2006-04-28	2011-10-28	0	100	\N	\N	NO	NO	3965088	BG NORGE	BG Norge AS	19	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965088	1102
389	INACTIVE	INACTIVE	2006-04-28	2010-04-26	2006-04-28	2010-04-26	0	100	\N	\N	NO	NO	3965128	TOTAL E&P NORGE	Total E&P Norge AS	19	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965128	1103
390	INACTIVE	INACTIVE	2006-04-28	2011-04-28	2006-04-28	2011-04-28	0	100	\N	\N	NO	NO	3965152	BG NORGE	BG Norge AS	19	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965152	1104
391	INACTIVE	INACTIVE	2006-04-28	2010-01-28	2006-04-28	2010-01-28	0	100	\N	\N	NO	NO	3965194	BG NORGE	BG Norge AS	19	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965194	1105
392	INACTIVE	INACTIVE	2006-04-28	2012-04-28	2006-04-28	2012-04-28	0	100	\N	\N	NO	NO	3965222	SHELL NORGE	A/S Norske Shell	19	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965222	1106
393	ACTIVE	ACTIVE	2006-04-28	2040-04-28	2010-04-28	9999-12-31	0	100	\N	\N	NO	NO	3965277	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965277	1107
393	ACTIVE	INACTIVE	2006-04-28	2040-04-28	2006-04-28	2010-04-28	0	100	\N	\N	NO	NO	3965277	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965277	1108
393 B	ACTIVE	ACTIVE	2010-09-10	2013-09-10	2010-09-10	9999-12-31	0	100	\N	\N	NO	NO	18404594	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 19	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18404594	1109
394	INACTIVE	INACTIVE	2006-04-28	2011-02-05	2006-04-28	2011-02-05	0	100	\N	\N	NO	NO	3965323	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965323	1110
395	ACTIVE	ACTIVE	2006-04-28	2014-04-28	2013-01-01	9999-12-31	0	100	\N	\N	NO	NO	3965360	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965360	1111
395	ACTIVE	INACTIVE	2006-04-28	2014-04-28	2006-04-28	2013-01-01	0	100	\N	\N	NO	NO	3965360	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965360	1112
396	INACTIVE	INACTIVE	2006-04-28	2012-10-28	2006-04-28	2012-01-24	0	100	\N	\N	NO	NO	3965404	NORECO ASA	Norwegian Energy Company ASA	19	4530695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965404	1113
396	INACTIVE	INACTIVE	2006-04-28	2012-10-28	2012-01-24	2012-10-28	0	100	\N	\N	NO	NO	3965404	NORECO ASA	Norwegian Energy Company ASA	19	4530695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965404	1114
397	INACTIVE	INACTIVE	2006-04-28	2011-02-18	2006-04-28	2011-02-18	0	100	\N	\N	NO	NO	3965439	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965439	1115
398 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	50	100	Applies to all levels below base The Shetlandsgroup	Gjelder alle nivå under bunn Shetlandsgruppen	YES	YES	4237177	LUNDIN NORWAY	Lundin Norway AS	TFO2006	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237177	1116
399	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	0	100	\N	\N	NO	NO	4237147	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237147	1117
400	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	0	100	\N	\N	NO	NO	4237242	LUNDIN NORWAY	Lundin Norway AS	TFO2006	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237242	1118
401	INACTIVE	INACTIVE	2007-02-16	2009-12-16	2007-02-16	2009-12-16	0	100	\N	\N	NO	NO	4237219	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237219	1119
402	ACTIVE	ACTIVE	2007-02-16	2017-02-16	2012-12-27	9999-12-31	0	100	\N	\N	NO	NO	4237193	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	1120
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2007-02-16	2011-12-29	0	100	\N	\N	NO	NO	4237193	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	1121
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2011-12-30	2012-12-27	0	100	\N	\N	NO	NO	4237193	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	1122
402 B	ACTIVE	ACTIVE	2009-01-23	2017-02-16	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5107780	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2008	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107780	1123
403	INACTIVE	INACTIVE	2007-02-16	2008-02-16	2007-02-16	2008-02-16	0	100	\N	\N	NO	NO	4237233	RWE-DEA NORGE	RWE Dea Norge AS	TFO2006	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237233	1124
404	INACTIVE	INACTIVE	2007-02-16	2012-08-16	2007-02-16	2012-08-16	0	100	\N	\N	NO	NO	4237207	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237207	1125
405	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2007-02-16	9999-12-31	0	100	\N	\N	NO	NO	4237284	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237284	1126
405 B	ACTIVE	ACTIVE	2008-02-29	2016-02-16	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4918473	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918473	1127
406	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2013-02-14	9999-12-31	0	100	\N	\N	NO	NO	4237318	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2006	3482067	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237318	1128
406	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2013-02-14	0	100	\N	\N	NO	NO	4237318	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2006	3482067	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237318	1129
407	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2011-08-12	9999-12-31	0	100	\N	\N	NO	NO	4237300	BG NORGE	BG Norge AS	TFO2006	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237300	1130
407	ACTIVE	INACTIVE	2007-02-16	2016-02-16	2007-02-16	2011-08-12	0	100	\N	\N	NO	NO	4237300	BG NORGE	BG Norge AS	TFO2006	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237300	1131
408	INACTIVE	INACTIVE	2007-02-16	2010-12-31	2007-02-16	2010-12-31	0	100	\N	\N	NO	NO	4237444	DET NORSKE	Det norske oljeselskap ASA	TFO2006	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237444	1132
409	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2012-02-16	9999-12-31	0	100	\N	\N	NO	NO	4237470	LUNDIN NORWAY	Lundin Norway AS	TFO2006	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237470	1133
409	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2012-02-16	0	100	\N	\N	NO	NO	4237470	LUNDIN NORWAY	Lundin Norway AS	TFO2006	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237470	1134
410	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	0	100	\N	\N	NO	NO	4237458	LUNDIN NORWAY	Lundin Norway AS	TFO2006	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237458	1135
411	INACTIVE	INACTIVE	2007-02-16	2012-05-16	2011-08-13	2012-05-16	0	100	\N	\N	NO	NO	4237252	NORECO ASA	Norwegian Energy Company ASA	TFO2006	4530695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237252	1136
411	INACTIVE	INACTIVE	2007-02-16	2012-05-16	2007-02-16	2011-08-13	0	100	\N	\N	NO	NO	4237252	NORECO ASA	Norwegian Energy Company ASA	TFO2006	4530695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237252	1137
412	INACTIVE	INACTIVE	2007-02-16	2011-02-17	2007-02-16	2011-02-17	0	100	\N	\N	NO	NO	4237612	NORECO ASA	Norwegian Energy Company ASA	TFO2006	4530695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237612	1138
413	INACTIVE	INACTIVE	2007-02-16	2010-08-16	2007-02-16	2010-08-16	0	100	\N	\N	NO	NO	4237482	LUNDIN NORWAY	Lundin Norway AS	TFO2006	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237482	1139
414	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2013-03-18	9999-12-31	0	100	\N	\N	NO	NO	4237582	DET NORSKE	Det norske oljeselskap ASA	TFO2006	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237582	1140
414	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2013-03-17	0	100	\N	\N	NO	NO	4237582	DET NORSKE	Det norske oljeselskap ASA	TFO2006	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237582	1141
414 B	ACTIVE	ACTIVE	2012-02-03	2015-02-16	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21569107	DET NORSKE	Det norske oljeselskap ASA	TFO2011	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569107	1142
415	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	0	100	\N	\N	NO	NO	4237498	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2006	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237498	1143
416	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	0	100	\N	\N	NO	NO	4237675	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2006	21631209	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237675	1144
417	INACTIVE	INACTIVE	2007-02-16	2010-02-16	2007-02-16	2010-02-16	0	100	\N	\N	NO	NO	4237645	WINTERSHALL NORGE ASA	Wintershall Norge ASA	TFO2006	5442509	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237645	1145
418	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2007-02-16	9999-12-31	0	100	\N	\N	NO	NO	4238348	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2006	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238348	1146
419	INACTIVE	INACTIVE	2007-02-16	2011-02-17	2007-02-16	2011-02-17	0	100	\N	\N	NO	NO	4238530	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238530	1147
420	ACTIVE	ACTIVE	2007-02-16	2015-08-16	2007-02-16	9999-12-31	0	100	\N	\N	NO	NO	4238409	RWE-DEA NORGE	RWE Dea Norge AS	TFO2006	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238409	1148
421	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	0	100	\N	\N	NO	NO	4238186	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	3960945	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238186	1149
422 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	50	100	Applies to all levels below base Pliocene	Gjelder for alle nivå under bunn pliocen	YES	YES	4237847	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237847	1150
422 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	0	100	\N	\N	YES	NO	4237847	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237847	1151
423 BS	INACTIVE	INACTIVE	2010-02-19	2011-08-16	2010-02-19	2011-08-16	50	100	Applies to all levels below base Pliocene	Gjelder for alle nivåer under bunn pliocen	YES	YES	17654498	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2009	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654498	1152
423 S	INACTIVE	INACTIVE	2007-02-16	2011-08-16	2007-02-16	2011-08-16	0	100	\N	\N	YES	NO	4237691	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2006	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237691	1153
423 S	INACTIVE	INACTIVE	2007-02-16	2011-08-16	2007-02-16	2011-08-16	50	100	Applies to all levels below base Pliocene	Gjelder for alle nivå under bunn pliocen	YES	YES	4237691	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2006	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237691	1154
424	INACTIVE	INACTIVE	2007-02-16	2009-08-16	2007-02-16	2009-08-16	0	100	\N	\N	NO	NO	4237756	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237756	1155
449	INACTIVE	INACTIVE	2007-06-15	2010-06-15	2007-06-15	2010-06-15	0	100	\N	\N	NO	NO	4238846	OMV NORGE AS	OMV (Norge) AS	TFO2006	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238846	1186
425 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	50	100	Applies to all levels below base Pliocene	Gjelder for alle nivå under bunn pliocen	YES	YES	4237783	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	3960945	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	1156
425 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	0	100	\N	\N	YES	NO	4237783	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	3960945	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	1157
425 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	50	100	Applies to all levels below base Pliocene.	Gjelder for alle nivå under bunn pliocen	YES	YES	4237783	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	3960945	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	1158
426	INACTIVE	INACTIVE	2007-02-16	2010-08-16	2007-02-16	2010-08-16	0	100	\N	\N	NO	NO	4238116	VNG NORGE AS	VNG Norge AS	TFO2006	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238116	1159
427 S	INACTIVE	INACTIVE	2007-02-16	2009-04-16	2007-02-16	2009-04-16	0	50	Applies to all levels over base Pliocene.	Gjelder alle nivå over bunn pliocene	YES	YES	4237809	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2006	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237809	1160
427 S	INACTIVE	INACTIVE	2007-02-16	2009-04-16	2007-02-16	2009-04-16	0	50	Applies to all levels over base Pliocene	Gjelder for alle nivå over bunn pliocene	YES	YES	4237809	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2006	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237809	1161
428	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	0	100	\N	\N	NO	NO	4238624	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2006	4511658	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238624	1162
429	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	0	100	\N	\N	NO	NO	4238578	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238578	1163
430	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	0	100	\N	\N	NO	NO	4238564	OMV NORGE AS	OMV (Norge) AS	TFO2006	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238564	1164
431	INACTIVE	INACTIVE	2007-02-16	2012-08-16	2007-02-16	2012-08-16	0	100	\N	\N	NO	NO	4238714	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2006	4719674	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238714	1165
432	INACTIVE	INACTIVE	2007-02-16	2010-02-16	2007-02-16	2010-02-16	0	100	\N	\N	NO	NO	4238746	DET NORSKE	Det norske oljeselskap ASA	TFO2006	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238746	1166
432 B	INACTIVE	INACTIVE	2009-01-23	2010-02-16	2009-01-23	2010-02-16	0	100	\N	\N	NO	NO	5107289	DET NORSKE	Det norske oljeselskap ASA	TFO2008	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107289	1167
433	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	0	100	\N	\N	NO	NO	4238654	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238654	1168
434	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	0	100	\N	\N	NO	NO	4238730	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238730	1169
435	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	0	100	\N	\N	NO	NO	4238696	RWE-DEA NORGE	RWE Dea Norge AS	TFO2006	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238696	1170
436	INACTIVE	INACTIVE	2007-02-16	2010-02-16	2007-02-16	2010-02-16	0	100	\N	\N	NO	NO	4238670	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238670	1171
437	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	0	100	\N	\N	NO	NO	4238776	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238776	1172
438	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	0	100	\N	\N	NO	NO	4238812	LUNDIN NORWAY	Lundin Norway AS	TFO2006	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238812	1173
439	INACTIVE	INACTIVE	2007-02-16	2012-12-16	2007-02-16	2012-12-16	0	100	\N	\N	NO	NO	4238830	OMV NORGE AS	OMV (Norge) AS	TFO2006	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238830	1174
440 S	ACTIVE	ACTIVE	2007-06-15	2015-06-15	2009-11-25	9999-12-31	0	50	Applies to all levels over base Shetlandsgroup	Gjelder for alle nivå over bunn Shetlandsgruppen.	YES	YES	4237161	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2006	4062883	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237161	1175
440 S	ACTIVE	INACTIVE	2007-06-15	2015-06-15	2007-06-15	2009-11-25	0	50	Applies to all levels over base Shetlandsgroup	Gjelder for alle nivå over bunn Shetlandsgruppen	YES	YES	4237161	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2006	4062883	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237161	1176
441	INACTIVE	INACTIVE	2007-06-15	2008-05-25	2007-06-15	2008-05-25	0	100	\N	\N	NO	NO	4237270	DET NORSKE (OLD)	Det norske oljeselskap ASA (old)	TFO2006	4539989	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237270	1177
442	ACTIVE	ACTIVE	2007-06-15	2014-03-15	2007-06-15	9999-12-31	0	100	\N	\N	NO	NO	4237510	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237510	1178
443	INACTIVE	INACTIVE	2007-06-15	2010-06-15	2007-06-15	2010-06-15	0	100	\N	\N	NO	NO	4237831	WINTERSHALL NORGE AS (OLD)	Wintershall Norge AS (old)	TFO2006	3482302	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237831	1179
444	INACTIVE	INACTIVE	2007-06-15	2010-09-30	2007-06-15	2010-09-30	0	100	\N	\N	NO	NO	4237881	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237881	1180
445	INACTIVE	INACTIVE	2007-06-15	2009-06-15	2007-06-15	2009-06-15	0	100	\N	\N	NO	NO	4237722	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237722	1181
446	INACTIVE	INACTIVE	2007-06-15	2009-06-15	2007-06-15	2009-06-15	0	100	\N	\N	NO	NO	4238548	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	3960945	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238548	1182
447	INACTIVE	INACTIVE	2007-06-15	2011-06-16	2007-06-15	2011-06-16	0	100	\N	\N	NO	NO	4238758	DET NORSKE	Det norske oljeselskap ASA	TFO2006	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238758	1183
448	ACTIVE	ACTIVE	2007-06-15	2016-06-15	2007-06-15	9999-12-31	0	100	\N	\N	NO	NO	4238790	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238790	1184
448 B	INACTIVE	INACTIVE	2008-02-29	2010-09-15	2008-02-29	2010-09-15	0	100	\N	\N	NO	NO	4921587	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921587	1185
450	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4909784	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909784	1187
451	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	0	100	\N	\N	NO	NO	4910013	NORECO ASA	Norwegian Energy Company ASA	TFO2007	4530695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910013	1188
452	INACTIVE	INACTIVE	2008-02-29	2009-08-29	2008-02-29	2009-08-29	0	100	\N	\N	NO	NO	4909740	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909740	1189
453 S	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	0	100	\N	\N	YES	NO	4909893	LUNDIN NORWAY	Lundin Norway AS	TFO2007	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909893	1190
453 S	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	0	50	Applies to all levels over 200 meter below base Jurrasic.	Gjelder alle nivå over 200 meter under bunn jura.	YES	YES	4909893	LUNDIN NORWAY	Lundin Norway AS	TFO2007	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909893	1191
453 S	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	0	50	Applies to all levels over 200 meter below base Jurassic.	Gjelder for alle nivå over 200 meter under bunn jura.	YES	YES	4909893	LUNDIN NORWAY	Lundin Norway AS	TFO2007	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909893	1192
454	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	0	100	\N	\N	NO	NO	4909716	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	2840522	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909716	1193
455	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4909816	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2007	5064434	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909816	1194
456	INACTIVE	INACTIVE	2008-02-29	2009-02-28	2008-02-29	2009-02-28	0	100	\N	\N	NO	NO	4910146	ROCKSOURCE ASA	Rocksource ASA	TFO2007	4062921	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910146	1195
457	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4910110	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2007	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910110	1196
458	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	0	100	\N	\N	NO	NO	4910277	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	2840522	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910277	1197
459	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	0	100	\N	\N	NO	NO	4910251	WINTERSHALL NORGE ASA	Wintershall Norge ASA	TFO2007	5442509	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910251	1198
460	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2011-05-22	9999-12-31	0	100	\N	\N	NO	NO	4910195	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910195	1199
460	ACTIVE	INACTIVE	2008-02-29	2015-03-01	2008-02-29	2011-05-22	0	100	\N	\N	NO	NO	4910195	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910195	1200
461	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	0	100	\N	\N	NO	NO	4910313	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910313	1201
462 S	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	50	100	Applies to all levels under top Cretaceous	Gjelder alle nivå under topp kritt	YES	YES	4910350	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910350	1202
462 S	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	50	100	Applies to all levels under top Cretaceous	Gjelder  alle nivå under topp kritt	YES	YES	4910350	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910350	1203
463 S	INACTIVE	INACTIVE	2008-02-29	2011-08-28	2008-02-29	2011-08-28	0	50	Applies to all levels over top Cretaceous	Gjelder for alle nivå over topp kritt	YES	YES	4910414	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910414	1204
463 S	INACTIVE	INACTIVE	2008-02-29	2011-08-28	2008-02-29	2011-08-28	0	50	Applies for all levels over top Cretaceous	Gjelder for alle nivå over topp kritt	YES	YES	4910414	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910414	1205
463 S	INACTIVE	INACTIVE	2008-02-29	2011-08-28	2008-02-29	2011-08-28	0	50	Applies for all levels over top Cretaceous.	Gjelder for alle nivå over topp kritt	YES	YES	4910414	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910414	1206
464	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	0	100	\N	\N	NO	NO	4918076	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	TFO2007	4526555	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918076	1207
465	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	0	100	\N	\N	NO	NO	4918009	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918009	1208
465 B	INACTIVE	INACTIVE	2009-01-23	2011-03-01	2009-01-23	2011-03-01	0	100	\N	\N	NO	NO	5107561	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2008	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107561	1209
466 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	50	100	Parts of block 34/6 is stratigraphical and applies all levels below base Pliocene.	Deler av blokk 34/6 er stratigrafisk delt og gjelder for alle nivåer under bunn pliocen.	YES	YES	4918164	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918164	1210
466 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	50	100	Parts of block 34/9 is stratigraphical and applies all levels below base Pliocene.	Deler av blokk 34/9 er stratigrafisk delt og gjelder for alle nivåer under bunn pliocen	YES	YES	4918164	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918164	1211
466 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	0	100	\N	\N	YES	NO	4918164	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918164	1212
467 S	INACTIVE	INACTIVE	2008-02-29	2010-08-29	2008-02-29	2010-08-29	50	100	Applies to all levels below base Pliocene.	Gjelder for alle nivå under bunn pliocen	YES	YES	4918211	BG NORGE	BG Norge AS	TFO2007	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918211	1213
467 S	INACTIVE	INACTIVE	2008-02-29	2010-08-29	2008-02-29	2010-08-29	50	100	Applies to all levels under top Cretaceous.	Gjelder alle nivåer under topp kritt	YES	YES	4918211	BG NORGE	BG Norge AS	TFO2007	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918211	1214
468	INACTIVE	INACTIVE	2008-02-29	2012-02-29	2008-02-29	2012-02-29	0	100	\N	\N	NO	NO	4918281	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918281	1215
468 B	INACTIVE	INACTIVE	2011-02-04	2012-02-29	2011-02-04	2012-02-29	0	100	\N	\N	NO	NO	20108859	DET NORSKE	Det norske oljeselskap ASA	TFO2010	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108859	1216
469	INACTIVE	INACTIVE	2008-02-29	2011-02-28	2008-02-29	2011-02-28	0	100	\N	\N	NO	NO	4920878	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2007	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920878	1217
470	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	0	100	\N	\N	NO	NO	4920926	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920926	1218
471	INACTIVE	INACTIVE	2008-02-29	2013-02-28	2008-02-29	2013-02-28	0	100	\N	\N	NO	NO	4918501	OMV NORGE AS	OMV (Norge) AS	TFO2007	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918501	1219
472	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	0	100	\N	\N	NO	NO	4918367	WINTERSHALL NORGE AS (OLD)	Wintershall Norge AS (old)	TFO2007	3482302	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918367	1220
472 B	INACTIVE	INACTIVE	2009-01-23	2010-03-01	2009-01-23	2010-03-01	0	100	\N	\N	NO	NO	5107640	WINTERSHALL NORGE AS (OLD)	Wintershall Norge AS (old)	TFO2008	3482302	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107640	1221
473	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4920841	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920841	1222
474	INACTIVE	INACTIVE	2008-02-29	2010-09-01	2008-02-29	2010-09-01	0	100	\N	\N	NO	NO	4918303	WINTERSHALL NORGE AS (OLD)	Wintershall Norge AS (old)	TFO2007	3482302	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918303	1223
475	ACTIVE	ACTIVE	2008-02-29	2015-02-28	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4918410	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2007	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918410	1224
475 BS	ACTIVE	ACTIVE	2009-01-23	2016-02-28	2009-01-23	9999-12-31	50	100	Applies to all levels below Base Cretaceous.	Gjeld for nivå under bunn kritt.	YES	YES	5107669	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107669	1225
475 BS	ACTIVE	ACTIVE	2009-01-23	2016-02-28	2009-01-23	9999-12-31	50	100	Applies to all levels below Base Cretaceous	Gjeld for niva under bunn kritt.	YES	YES	5107669	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107669	1226
475 CS	ACTIVE	ACTIVE	2011-02-04	2016-02-28	2011-02-04	9999-12-31	50	100	Applies to all levels below base Cretaceous	Gjelder for alle nivå under bunn kritt	YES	YES	20109375	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109375	1227
475 CS	ACTIVE	ACTIVE	2011-02-04	2016-02-28	2011-02-04	9999-12-31	50	100	Applies to all levels below base Cretaceous.	Gjelder alle nivå under bunn kritt	YES	YES	20109375	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109375	1228
476	INACTIVE	INACTIVE	2008-02-29	2011-01-22	2008-02-29	2011-01-22	0	100	\N	\N	NO	NO	4921415	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921415	1229
477	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4921022	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921022	1230
477 B	ACTIVE	ACTIVE	2010-02-19	2015-03-01	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17654703	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2009	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654703	1231
478	INACTIVE	INACTIVE	2008-02-29	2011-08-29	2008-02-29	2011-08-29	0	100	\N	\N	NO	NO	4921207	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921207	1232
479	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4920979	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920979	1233
480	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	0	100	\N	\N	NO	NO	4921338	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921338	1234
481	INACTIVE	INACTIVE	2008-02-29	2013-03-01	2008-02-29	2013-03-01	0	100	\N	\N	NO	NO	4921546	DONG E&P NORGE	DONG E&P Norge AS	TFO2007	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921546	1235
482	INACTIVE	INACTIVE	2008-02-29	2013-03-01	2008-02-29	2013-03-01	0	100	\N	\N	NO	NO	4921474	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921474	1236
483 S	INACTIVE	INACTIVE	2008-02-29	2011-01-16	2008-02-29	2011-01-16	0	100	\N	\N	YES	NO	4921755	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921755	1237
483 S	INACTIVE	INACTIVE	2008-02-29	2011-01-16	2008-02-29	2011-01-16	50	100	Applies to all levels for base Cretaceous and older rock.	Gjelder alle nivåer for bunn kritt og eldre bergarter	YES	YES	4921755	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921755	1238
484	ACTIVE	ACTIVE	2008-02-29	2016-02-28	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4921632	NORECO NORWAY AS	Noreco Norway AS	TFO2007	22223020	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921632	1239
485	INACTIVE	INACTIVE	2008-02-29	2011-02-28	2008-02-29	2011-02-28	0	100	\N	\N	NO	NO	4921710	WINTERSHALL NORGE ASA	Wintershall Norge ASA	TFO2007	5442509	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921710	1240
486 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	0	50	Applies to all levels younger than base Cretaceous.	Gjelder for alle nivå yngre enn bunn kritt.	YES	YES	4921823	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	2840522	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921823	1241
486 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	0	50	Applies to all levels younger than Cretaceous.	Gjelder for alle nivå yngre enn bunn kritt	YES	YES	4921823	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	2840522	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921823	1242
486 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	0	50	Applies to all levels younger than base Cretaceous	Gjelder alle nivåer yngre enn bunn kritt	YES	YES	4921823	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	2840522	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921823	1243
644	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559648	OMV NORGE AS	OMV (Norge) AS	TFO2011	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559648	1433
486 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	0	50	Applies to all levels younger than base Cretaceous.	Gjelder for alle nivå yngre enn bunn kritt	YES	YES	4921823	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	2840522	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921823	1244
487 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	50	100	Applies to all levels older than base Cretaceous	Gjelder for alle nivå eldre enn bunn kritt	YES	YES	4921153	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	2840522	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921153	1245
488	INACTIVE	INACTIVE	2008-02-29	2012-11-19	2008-02-29	2012-11-19	0	100	\N	\N	NO	NO	4921192	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921192	1246
489	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4921522	ENI NORGE	Eni Norge AS	TFO2007	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921522	1247
490	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4921353	LUNDIN NORWAY	Lundin Norway AS	TFO2007	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921353	1248
491	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	0	100	\N	\N	NO	NO	4921667	DET NORSKE	Det norske oljeselskap ASA	TFO2007	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921667	1249
492	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	0	100	\N	\N	NO	NO	4925088	LUNDIN NORWAY	Lundin Norway AS	TFO2007	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4925088	1250
493	INACTIVE	INACTIVE	2009-01-23	2012-01-23	2009-01-23	2012-01-23	0	100	\N	\N	NO	NO	5105835	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2008	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105835	1251
494	ACTIVE	ACTIVE	2009-01-23	2016-07-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5105899	DET NORSKE	Det norske oljeselskap ASA	TFO2008	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105899	1252
494 B	ACTIVE	ACTIVE	2011-02-04	2016-07-23	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20088555	DET NORSKE	Det norske oljeselskap ASA	TFO2010	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088555	1253
494 C	ACTIVE	ACTIVE	2012-02-03	2016-07-23	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21569178	DET NORSKE	Det norske oljeselskap ASA	TFO2011	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569178	1254
495	ACTIVE	ACTIVE	2009-01-23	2015-07-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5105968	LUNDIN NORWAY	Lundin Norway AS	TFO2008	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105968	1255
495 B	ACTIVE	ACTIVE	2012-02-03	2015-07-23	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560089	LUNDIN NORWAY	Lundin Norway AS	TFO2011	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560089	1256
496	INACTIVE	INACTIVE	2009-01-23	2011-03-08	2009-01-23	2011-03-08	0	100	\N	\N	NO	NO	5106035	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2008	3482067	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106035	1257
497	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5106073	DET NORSKE	Det norske oljeselskap ASA	TFO2008	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106073	1258
497 B	ACTIVE	ACTIVE	2010-02-19	2016-01-23	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17320202	DET NORSKE	Det norske oljeselskap ASA	TFO2009	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320202	1259
498	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5106134	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2008	5064434	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106134	1260
499 S	INACTIVE	INACTIVE	2009-01-23	2011-07-23	2009-01-23	2011-07-23	50	100	Applies to levels under 200 meter below base Jurassic.	Gjelder for nivåer under 200 meter under bunn jura.	YES	YES	5106238	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2008	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106238	1261
499 S	INACTIVE	INACTIVE	2009-01-23	2011-07-23	2009-01-23	2011-07-23	50	100	Applies to levels under 200 meter below base Jurassic.	Gjelder for nivå under 200 meter under bunn jura.	YES	YES	5106238	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2008	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106238	1262
500	ACTIVE	ACTIVE	2009-01-23	2017-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5106274	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106274	1263
501	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5106314	LUNDIN NORWAY	Lundin Norway AS	TFO2008	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106314	1264
501 B	ACTIVE	ACTIVE	2011-02-04	2015-01-23	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20107950	LUNDIN NORWAY	Lundin Norway AS	TFO2010	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107950	1265
502	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5106378	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106378	1266
503	ACTIVE	ACTIVE	2009-01-23	2017-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5106405	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2008	5064434	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106405	1267
503 B	ACTIVE	ACTIVE	2011-02-04	2017-01-23	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20107903	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2010	5064434	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107903	1268
504	ACTIVE	ACTIVE	2009-01-23	2014-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5106455	DET NORSKE	Det norske oljeselskap ASA	TFO2008	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106455	1269
504 BS	ACTIVE	ACTIVE	2010-02-19	2014-01-23	2010-02-19	9999-12-31	0	50	Applies to all levels above top Cretaceous	Gjelder for alle nivåer over topp kritt	YES	YES	17320469	DET NORSKE	Det norske oljeselskap ASA	TFO2009	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320469	1270
505	ACTIVE	ACTIVE	2009-01-23	2016-10-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5106486	MARATHON OIL	Marathon Oil Norge AS	TFO2008	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106486	1271
505 BS	ACTIVE	ACTIVE	2010-02-19	2016-10-23	2010-02-19	9999-12-31	50	100	Applies to all levels below top Cretaceous	Gjelder for alle nivåer under topp kritt	YES	YES	17320530	MARATHON OIL	Marathon Oil Norge AS	TFO2009	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320530	1272
506 BS	ACTIVE	ACTIVE	2011-02-04	2016-01-23	2011-02-04	9999-12-31	0	60	Applies to all levels over base Cretaceous	Gjelder for alle nivå over bunn kritt	YES	YES	20108101	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2010	22528729	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108101	1273
506 CS	ACTIVE	ACTIVE	2011-02-04	2016-01-23	2011-02-04	9999-12-31	40	60	Applies for  all levels between top and base Cretaceous	Gjelder for alle nivåer mellom topp og bunn kritt	YES	YES	20108128	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2010	22528729	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108128	1274
506 CS	ACTIVE	ACTIVE	2011-02-04	2016-01-23	2011-02-04	9999-12-31	40	60	Applies to all levels between top and base Cretaceous	Gjelder for alle nivå mellom topp og bunn kritt.	YES	YES	20108128	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2010	22528729	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108128	1275
506 DS	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	50	100	Applies to all levels below Cretaceous	Gjelder for alle nivåer under bunn kritt	YES	YES	21560284	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2011	22528729	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560284	1276
506 DS	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	50	100	Applies to all levels below base Cretaceous	Gjelder for alle nivåer under bunn kritt	YES	YES	21560284	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2011	22528729	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560284	1277
506 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	0	40	Applies to all levels over top Cretaceous	Gjelder for alle nivå over topp kritt.	YES	YES	5106544	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2008	22528729	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106544	1278
506 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	0	40	Applies to all levels over top Cretaceous.	Gjelder for alle nivå over topp kritt.	YES	YES	5106544	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2008	22528729	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106544	1279
507	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5106689	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106689	1280
508 S	INACTIVE	INACTIVE	2009-01-23	2012-01-23	2009-01-23	2012-01-23	50	100	Applies for all levels below top Cretaceous.	Gjelder for alle nivåer under topp kritt.	YES	YES	5106810	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2008	4062831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106810	1281
509 BS	ACTIVE	ACTIVE	2013-02-08	2016-01-23	2013-02-08	9999-12-31	0	50	Applies to all levels above top Cretaceous	Stratigrafisk delt: gjelder for alle nivaa over topp kritt	YES	YES	22813272	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813272	1282
509 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	0	50	Applies to all levels over top Cretaceous.	Gjelder alle nivå over topp kritt.	YES	YES	5106880	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	1283
509 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	0	50	Applies to all levels over top Cretaceous	Gjelder alle nivå over topp kritt	YES	YES	5106880	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	1284
509 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	0	50	Applies to all levels over top Cretaceous.	Gjelder alle nivå over topp kritt	YES	YES	5106880	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	1285
510	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5106991	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2008	4719674	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106991	1286
511	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5107428	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107428	1287
512	ACTIVE	ACTIVE	2009-01-23	2017-07-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5107312	DET NORSKE	Det norske oljeselskap ASA	TFO2008	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107312	1288
513	ACTIVE	ACTIVE	2009-01-23	2015-07-23	2009-01-23	9999-12-31	0	100	\N	\N	NO	NO	5107217	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2008	4719674	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107217	1289
513 B	ACTIVE	ACTIVE	2012-02-03	2015-01-23	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560453	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2011	4719674	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560453	1290
514	INACTIVE	INACTIVE	2009-01-23	2011-01-22	2009-01-23	2011-01-22	0	100	\N	\N	NO	NO	5107175	ENI NORGE	Eni Norge AS	TFO2008	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107175	1291
515	INACTIVE	INACTIVE	2009-01-23	2012-04-23	2009-01-23	2012-04-23	0	100	\N	\N	NO	NO	5107133	ROCKSOURCE ASA	Rocksource ASA	TFO2008	4062921	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107133	1292
516	ACTIVE	ACTIVE	2009-01-23	2026-02-28	2011-12-22	9999-12-31	0	100	\N	\N	NO	NO	5107101	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107101	1293
516	ACTIVE	INACTIVE	2009-01-23	2026-02-28	2009-01-23	2011-12-22	0	100	\N	\N	NO	NO	5107101	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107101	1294
517	INACTIVE	INACTIVE	2009-01-23	2012-01-23	2009-01-23	2012-01-23	0	100	\N	\N	NO	NO	5107074	OMV NORGE AS	OMV (Norge) AS	TFO2008	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107074	1295
518	INACTIVE	INACTIVE	2009-01-23	2013-01-23	2009-01-23	2013-01-23	0	100	\N	\N	NO	NO	5106560	DONG E&P NORGE	DONG E&P Norge AS	TFO2008	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106560	1296
518 B	INACTIVE	INACTIVE	2010-02-19	2013-01-23	2010-02-19	2013-01-23	0	100	\N	\N	NO	NO	17654970	DONG E&P NORGE	DONG E&P Norge AS	TFO2009	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654970	1297
519	ACTIVE	ACTIVE	2009-05-15	2013-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463084	LUNDIN NORWAY	Lundin Norway AS	20	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463084	1298
520	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463136	EXXON MO	ExxonMobil Exploration & Production Norway AS	20	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463136	1299
521	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463210	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463210	1300
522	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463248	BG NORGE	BG Norge AS	20	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463248	1301
523	INACTIVE	INACTIVE	2009-05-15	2012-05-15	2009-05-15	2012-05-15	0	100	\N	\N	NO	NO	5463304	E.ON E&P NORGE AS	E.ON E&P Norge AS	20	21631209	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463304	1302
524	INACTIVE	INACTIVE	2009-05-15	2012-05-15	2009-05-15	2012-05-15	0	100	\N	\N	NO	NO	5463333	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463333	1303
524 B	INACTIVE	INACTIVE	2011-05-13	2012-05-15	2011-05-13	2012-05-15	0	100	\N	\N	NO	NO	20428934	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428934	1304
525	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463362	NORECO NORWAY AS	Noreco Norway AS	20	22223020	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463362	1305
526	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463391	NORTH ENERGY ASA	North Energy ASA	20	18082156	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463391	1306
527	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463429	CHEVRON NORGE	Chevron Norge AS	20	3488906	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463429	1307
528	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463521	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	20	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463521	1308
528 B	ACTIVE	ACTIVE	2011-05-13	2015-05-15	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20428963	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	21	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428963	1309
529	ACTIVE	ACTIVE	2009-05-15	2016-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463559	ENI NORGE	Eni Norge AS	20	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463559	1310
530	INACTIVE	INACTIVE	2009-05-15	2013-03-12	2009-05-15	2013-03-12	0	100	\N	\N	NO	NO	5463588	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	20	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463588	1311
531	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463621	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	20	17237506	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463621	1312
532	ACTIVE	ACTIVE	2009-05-15	2018-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463659	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463659	1313
533	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463724	ENI NORGE	Eni Norge AS	20	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463724	1314
534	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463753	BG NORGE	BG Norge AS	20	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463753	1315
535	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463791	TOTAL E&P NORGE	Total E&P Norge AS	20	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463791	1316
536	INACTIVE	INACTIVE	2009-05-15	2012-11-15	2009-05-15	2012-11-15	0	100	\N	\N	NO	NO	5463820	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463820	1317
537	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	0	100	\N	\N	NO	NO	5463849	OMV NORGE AS	OMV (Norge) AS	20	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463849	1318
538	INACTIVE	INACTIVE	2009-05-15	2012-05-15	2009-05-15	2012-05-15	0	100	\N	\N	NO	NO	5480294	SHELL NORGE	A/S Norske Shell	20	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5480294	1319
539	ACTIVE	ACTIVE	2010-02-19	2017-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17320077	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2009	3482067	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320077	1320
540	INACTIVE	INACTIVE	2010-02-19	2011-08-19	2010-02-19	2011-08-19	0	100	\N	\N	NO	NO	17320106	NORECO ASA	Norwegian Energy Company ASA	TFO2009	4530695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320106	1321
541	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17320130	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	TFO2009	17237506	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320130	1322
542	ACTIVE	ACTIVE	2010-02-19	2015-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17320156	DET NORSKE	Det norske oljeselskap ASA	TFO2009	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320156	1323
542 B	ACTIVE	ACTIVE	2013-02-08	2015-02-19	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22813299	DET NORSKE	Det norske oljeselskap ASA	TFO2012	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813299	1324
543	INACTIVE	INACTIVE	2010-02-19	2012-11-19	2010-02-19	2012-11-19	0	100	\N	\N	NO	NO	17320231	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320231	1325
544	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17320260	LUNDIN NORWAY	Lundin Norway AS	TFO2009	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320260	1326
545	INACTIVE	INACTIVE	2010-02-19	2012-02-19	2010-02-19	2012-02-19	0	100	\N	\N	NO	NO	17320282	NORECO ASA	Norwegian Energy Company ASA	TFO2009	4530695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320282	1327
546	ACTIVE	ACTIVE	2010-02-19	2018-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17320338	LUNDIN NORWAY	Lundin Norway AS	TFO2009	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320338	1328
547 S	INACTIVE	INACTIVE	2010-02-19	2012-02-19	2010-02-19	2012-02-19	50	100	Applies to all levels below top Cretaceous	Gjelder for alle nivåer under topp kritt	YES	YES	17320441	MARATHON OIL	Marathon Oil Norge AS	TFO2009	20485291	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320441	1329
548 S	INACTIVE	INACTIVE	2010-02-19	2012-02-19	2010-02-19	2012-02-19	0	50	Applies to all levels above top Cretaceous	Gjelder for alle nivåer over topp kritt	YES	YES	17320489	DET NORSKE	Det norske oljeselskap ASA	TFO2009	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320489	1330
549 S	ACTIVE	ACTIVE	2010-02-19	2018-02-19	2010-02-19	9999-12-31	50	100	Applies to all levels below top Cretaceous	Gjelder for alle nivåer under topp kritt	YES	YES	17320558	DET NORSKE	Det norske oljeselskap ASA	TFO2009	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320558	1331
550	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17320594	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2009	23173852	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320594	1332
551	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17642019	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2009	23173852	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17642019	1333
552	ACTIVE	ACTIVE	2010-02-19	2014-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17642108	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17642108	1334
553	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17646365	DET NORSKE	Det norske oljeselskap ASA	TFO2009	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17646365	1335
554	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17654471	TOTAL E&P NORGE	Total E&P Norge AS	TFO2009	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654471	1336
554 B	ACTIVE	ACTIVE	2011-02-04	2016-02-19	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108509	TOTAL E&P NORGE	Total E&P Norge AS	TFO2010	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108509	1337
555	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17654533	LUNDIN NORWAY	Lundin Norway AS	TFO2009	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654533	1338
556	INACTIVE	INACTIVE	2010-02-19	2011-02-19	2010-02-19	2011-02-19	0	100	\N	\N	NO	NO	17654560	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2009	5064434	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654560	1339
557	ACTIVE	ACTIVE	2010-02-19	2019-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17654641	OMV NORGE AS	OMV (Norge) AS	TFO2009	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654641	1340
557 B	ACTIVE	ACTIVE	2012-02-03	2019-02-19	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560889	OMV NORGE AS	OMV (Norge) AS	TFO2011	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560889	1341
558	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17654732	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2009	21631209	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654732	1342
559	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17654775	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2009	22528729	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654775	1343
560	INACTIVE	INACTIVE	2010-02-19	2011-02-19	2010-02-19	2011-02-19	0	100	\N	\N	NO	NO	17654831	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654831	1344
561	INACTIVE	INACTIVE	2010-02-19	2013-02-19	2010-02-19	2013-02-19	0	100	\N	\N	NO	NO	17654869	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2009	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654869	1345
562	ACTIVE	ACTIVE	2010-02-19	2017-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17654921	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2009	21631209	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654921	1346
563	ACTIVE	ACTIVE	2010-02-19	2017-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17655034	LUNDIN NORWAY	Lundin Norway AS	TFO2009	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17655034	1347
564	ACTIVE	ACTIVE	2010-02-19	2017-02-19	2010-02-19	9999-12-31	0	100	\N	\N	NO	NO	17655076	OMV NORGE AS	OMV (Norge) AS	TFO2009	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17655076	1348
565	ACTIVE	ACTIVE	2011-02-04	2018-08-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20088435	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2010	3482067	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088435	1349
566 S	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	50	100	Applies to all levels below base the Shetlandsgroup	Gjelder for alle nivå under bunn Shetlandsgruppen	YES	YES	20088461	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2010	3482067	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088461	1350
566 S	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	0	100	\N	\N	YES	NO	20088461	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2010	3482067	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088461	1351
567	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20088593	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2010	3482067	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088593	1352
568	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20088760	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2010	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088760	1353
569	ACTIVE	ACTIVE	2011-02-04	2015-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20107876	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107876	1354
570	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20107979	VNG NORGE AS	VNG Norge AS	TFO2010	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107979	1355
571	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108024	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2010	20426420	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108024	1356
572 S	INACTIVE	INACTIVE	2011-02-04	2012-02-04	2011-02-04	2012-02-04	50	100	Applies to all leves below base Cretaceous	Gjelder for alle nivå under bunn kritt	YES	YES	20108160	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2010	2840522	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108160	1357
572 S	INACTIVE	INACTIVE	2011-02-04	2012-02-04	2011-02-04	2012-02-04	50	100	Applies for all levels below base Cretaceous	Gjelder for alle nivå under bunn kritt	YES	YES	20108160	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2010	2840522	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108160	1358
573 S	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	0	50	Applies to all levels over top Cretaceous	Gjelder for alle nivå over topp kritt	YES	YES	20108194	DET NORSKE	Det norske oljeselskap ASA	TFO2010	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108194	1359
574	ACTIVE	ACTIVE	2011-02-04	2020-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108260	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108260	1360
575	INACTIVE	INACTIVE	2011-02-04	2013-02-04	2011-02-04	2013-02-04	0	100	\N	\N	NO	NO	20108314	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108314	1361
576	INACTIVE	INACTIVE	2011-02-04	2013-02-04	2011-02-04	2013-02-04	0	100	\N	\N	NO	NO	20108349	LUNDIN NORWAY	Lundin Norway AS	TFO2010	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108349	1362
577	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108473	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108473	1363
578	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108565	IDEMITSU	Idemitsu Petroleum Norge AS	TFO2010	441	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108565	1364
579	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108664	LUNDIN NORWAY	Lundin Norway AS	TFO2010	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108664	1365
580	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108700	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108700	1366
581	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108743	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	TFO2010	4526555	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108743	1367
582	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20108820	RWE-DEA NORGE	RWE Dea Norge AS	TFO2010	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108820	1368
583	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20109004	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2010	23173852	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109004	1369
584	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20109082	LUNDIN NORWAY	Lundin Norway AS	TFO2010	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109082	1370
585	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20109152	TOTAL E&P NORGE	Total E&P Norge AS	TFO2010	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109152	1371
586	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20109200	VNG NORGE AS	VNG Norge AS	TFO2010	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109200	1372
587	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20109234	EDISON INTERNATIONAL NORWAY BRANCH	Edison International Norway Branch	TFO2010	17237180	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109234	1373
588	INACTIVE	INACTIVE	2011-02-04	2012-02-04	2011-02-04	2012-02-04	0	100	\N	\N	NO	NO	20109294	ROCKSOURCE ASA	Rocksource ASA	TFO2010	4062921	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109294	1374
589	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20109325	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109325	1375
590	ACTIVE	ACTIVE	2011-02-04	2016-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20109438	NORTH ENERGY ASA	North Energy ASA	TFO2010	18082156	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109438	1376
591	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20109475	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2010	23173852	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109475	1377
591 B	ACTIVE	ACTIVE	2013-02-08	2017-02-04	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	23180930	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	23173852	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23180930	1378
592	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20109566	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2010	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109566	1379
593	INACTIVE	INACTIVE	2011-02-04	2013-02-04	2011-02-04	2013-02-04	0	100	\N	\N	NO	NO	20109597	DET NORSKE	Det norske oljeselskap ASA	TFO2010	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109597	1380
594	INACTIVE	INACTIVE	2011-02-04	2013-02-04	2011-02-04	2013-02-04	0	100	\N	\N	NO	NO	20109626	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109626	1381
595	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	0	100	\N	\N	NO	NO	20109655	EDISON INTERNATIONAL NORWAY BRANCH	Edison International Norway Branch	TFO2010	17237180	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109655	1382
596	ACTIVE	ACTIVE	2011-05-13	2020-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20428440	EXXON MO	ExxonMobil Exploration & Production Norway AS	21	2835212	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428440	1383
597	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20428525	VNG NORGE AS	VNG Norge AS	21	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428525	1384
597 B	ACTIVE	ACTIVE	2012-02-03	2016-05-13	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21561308	VNG NORGE AS	VNG Norge AS	TFO2011	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561308	1385
598	ACTIVE	ACTIVE	2011-05-13	2018-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20428655	CHEVRON NORGE	Chevron Norge AS	21	3488906	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428655	1386
599	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20428552	BG NORGE	BG Norge AS	21	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428552	1387
600	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	0	100	\N	\N	YES	NO	20428617	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	21	4526555	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428617	1388
601	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20428711	WINTERSHALL NORGE AS	Wintershall Norge AS	21	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428711	1389
602	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20428749	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428749	1390
603	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20428814	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428814	1391
604	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20428990	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	21	20426420	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428990	1392
605	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429042	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	21	2410696	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429042	1393
606	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429078	OMV NORGE AS	OMV (Norge) AS	21	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429078	1394
607	ACTIVE	ACTIVE	2011-05-13	2015-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429121	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	21	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429121	1395
608	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429159	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429159	1396
609	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429186	LUNDIN NORWAY	Lundin Norway AS	21	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429186	1397
609 B	ACTIVE	ACTIVE	2012-02-03	2017-05-13	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21561445	LUNDIN NORWAY	Lundin Norway AS	TFO2011	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561445	1398
610	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429259	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	21	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429259	1399
611	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429303	WINTERSHALL NORGE AS	Wintershall Norge AS	21	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429303	1400
612	ACTIVE	ACTIVE	2011-05-13	2018-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429462	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	21	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429462	1401
613	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429419	DONG E&P NORGE	DONG E&P Norge AS	21	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429419	1402
614	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429507	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429507	1403
615	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	0	100	\N	\N	NO	NO	20429544	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429544	1404
616	ACTIVE	ACTIVE	2012-02-03	2019-08-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21561481	EDISON INTERNATIONAL NORWAY BRANCH	Edison International Norway Branch	TFO2011	17237180	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561481	1405
617	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21561629	VALIANT PETROLEUM NORGE	Valiant Petroleum Norge AS	TFO2011	21104529	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561629	1406
618	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21561689	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561689	1407
619	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560040	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560040	1408
620	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560115	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2011	4062883	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560115	1409
621	INACTIVE	INACTIVE	2012-02-03	2013-02-03	2012-02-03	2013-02-03	0	100	\N	\N	NO	NO	21560157	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2011	4062883	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560157	1410
622	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560182	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2011	3482067	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560182	1411
623	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560239	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2011	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560239	1412
624	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560318	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560318	1413
625	ACTIVE	ACTIVE	2012-02-03	2017-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560380	LUNDIN NORWAY	Lundin Norway AS	TFO2011	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560380	1414
626	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560418	DET NORSKE	Det norske oljeselskap ASA	TFO2011	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560418	1415
627	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560469	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560469	1416
628	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560616	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560616	1417
629	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560683	BRIDGE ENERGY NORGE AS	Bridge Energy Norge AS	TFO2011	18178215	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560683	1418
630	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560745	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560745	1419
631	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560844	LUNDIN NORWAY	Lundin Norway AS	TFO2011	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560844	1420
632	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560912	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560912	1421
633	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21560982	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560982	1422
634	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21561057	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2011	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561057	1423
635	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21561115	BAYERNGAS NORGE	Bayerngas Norge AS	TFO2011	4444493	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561115	1424
636	ACTIVE	ACTIVE	2012-02-03	2017-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21561151	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2011	5267845	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561151	1425
637	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21561194	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2011	20426420	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561194	1426
638	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21561239	BG NORGE	BG Norge AS	TFO2011	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561239	1427
639	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559426	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2011	23173852	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559426	1428
640	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559488	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2011	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559488	1429
641	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559540	VNG NORGE AS	VNG Norge AS	TFO2011	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559540	1430
642	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559610	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	TFO2011	17237506	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559610	1431
643	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21561387	VNG NORGE AS	VNG Norge AS	TFO2011	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561387	1432
645	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559709	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2011	4062883	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559709	1434
646	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559761	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559761	1435
647	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559805	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2011	4719674	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559805	1436
648 S	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	50	applies to all levels above base Cretaceous	gjelder for alle nivåer over bunn kritt	YES	YES	21559877	PGNIG NORWAY	PGNiG Norway AS	TFO2011	4505831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559877	1437
648 S	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	50	applies to all levels above base Cretaceous	gjelder for alle nivåer over bunn kritt.	YES	YES	21559877	PGNIG NORWAY	PGNiG Norway AS	TFO2011	4505831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559877	1438
648 S	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	50	applies to all levels above base Cretaceous.	gjelder for alle nivåer over bunn kritt.	YES	YES	21559877	PGNIG NORWAY	PGNiG Norway AS	TFO2011	4505831	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559877	1439
649	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559950	VNG NORGE AS	VNG Norge AS	TFO2011	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559950	1440
650	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559201	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	21631209	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559201	1441
651	ACTIVE	ACTIVE	2012-02-03	2021-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559146	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	21631209	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559146	1442
652	INACTIVE	INACTIVE	2012-02-03	2013-02-03	2012-02-03	2013-02-03	0	100	\N	\N	NO	NO	21559103	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559103	1443
653	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559076	RWE-DEA NORGE	RWE Dea Norge AS	TFO2011	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559076	1444
654	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21559027	RWE-DEA NORGE	RWE Dea Norge AS	TFO2011	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559027	1445
655	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21558998	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558998	1446
656	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21558940	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	21631209	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558940	1447
657	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21558872	ENI NORGE	Eni Norge AS	TFO2011	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558872	1448
658	ACTIVE	ACTIVE	2012-02-03	2021-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21558820	DONG E&P NORGE	DONG E&P Norge AS	TFO2011	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558820	1449
659	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	0	100	\N	\N	NO	NO	21558636	DET NORSKE	Det norske oljeselskap ASA	TFO2011	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558636	1450
660	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22815555	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	4062883	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815555	1451
661	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22815589	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815589	1452
662	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22815632	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815632	1453
663	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22815661	DET NORSKE	Det norske oljeselskap ASA	TFO2012	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815661	1454
664 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	50	Applies for all levels above the top of the Rogaland group	Stratigrafisk delt: gjelder for alle nivaa over topp Rogalandsgruppen	YES	YES	22815702	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2012	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815702	1455
664 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	50	Applies for all levels above the top Rogaland group	Stratigrafisk delt: gjelder for alle nivaa over topp Rogalandsgruppen	YES	YES	22815702	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2012	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815702	1456
665 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	50	100	Applies for all levels below the top Rogaland group	Stratigrafisk delt: gjelder for alle nivaa under topp Rogalandsgruppen	YES	YES	22815738	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	4062883	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815738	1457
666	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22815785	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2012	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815785	1458
667	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22815830	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815830	1459
668	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22815873	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2012	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815873	1460
669	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22815914	DONG E&P NORGE	DONG E&P Norge AS	TFO2012	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815914	1461
670	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22815949	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	23173852	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815949	1462
671	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22816003	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2012	4719674	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816003	1463
672	ACTIVE	ACTIVE	2013-02-08	2018-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22816061	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2012	2425093	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816061	1464
674	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22816134	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2012	21631209	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816134	1466
675	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22816217	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816217	1467
676 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	YES	NO	22816262	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	4062883	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816262	1468
676 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	50	100	Partly stratigraphical, applies to all levels below top Cretaceous	Delvis stratigrafisk: gjelder for alle nivaa under topp kritt	YES	YES	22816262	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	4062883	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816262	1469
677	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22816357	DET NORSKE	Det norske oljeselskap ASA	TFO2012	17342870	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816357	1470
678 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	YES	NO	22816406	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816406	1471
678 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	50	100	Partly stratigraphical - applies to all levels below lower Cretaceous	Delvis stratigrafisk: gjelder for alle nivaa under bunn kritt	YES	YES	22816406	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816406	1472
678 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	50	100	Partly stratigraphical applies for all levels below lower Cretaceous	Delvis stratigrafisk: gjelder for alle nivaa under bunn kritt	YES	YES	22816406	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816406	1473
678 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	50	100	Partly stratigraphical - applies for all levels below lower Cretaceous	Delvis stratigrafisk: gjelder for alle nivaa under bunn kritt	YES	YES	22816406	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816406	1474
679 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	50	100	Partly stratigraphical - applies for all levels below top Cretaceous	Delvis stratigrafisk: gjelder for alle nivaa under topp kritt	YES	YES	22816484	BG NORGE	BG Norge AS	TFO2012	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816484	1475
679 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	YES	NO	22816484	BG NORGE	BG Norge AS	TFO2012	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816484	1476
679 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	50	100	Partly stratigraphical - applies for all levels below top Cretaceous.	Delvis stratigrafisk: gjelder for alle nivaa under topp kritt	YES	YES	22816484	BG NORGE	BG Norge AS	TFO2012	2747354	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816484	1477
680	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22816583	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	23173852	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816583	1478
681	ACTIVE	ACTIVE	2013-02-08	2016-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22816639	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	23173852	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816639	1479
682	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22816685	BAYERNGAS NORGE	Bayerngas Norge AS	TFO2012	4444493	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816685	1480
683	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22816753	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	21666830	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816753	1481
684	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22816794	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816794	1482
685	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820468	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	2410708	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820468	1483
686	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820521	SHELL NORGE	A/S Norske Shell	TFO2012	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820521	1484
687	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820550	VNG NORGE AS	VNG Norge AS	TFO2012	17237193	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820550	1485
688	ACTIVE	ACTIVE	2013-02-08	2022-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820588	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2012	21631209	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820588	1486
689	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820628	DONG E&P NORGE	DONG E&P Norge AS	TFO2012	4070011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820628	1487
690	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820657	BRIDGE ENERGY NORGE AS	Bridge Energy Norge AS	TFO2012	18178215	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820657	1488
691	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820684	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2012	4238233	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820684	1489
692	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820715	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	TFO2012	17237506	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820715	1490
693	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820761	OMV NORGE AS	OMV (Norge) AS	TFO2012	4460594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820761	1491
694	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820804	RWE-DEA NORGE	RWE Dea Norge AS	TFO2012	97557	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820804	1492
695	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820851	LUNDIN NORWAY	Lundin Norway AS	TFO2012	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820851	1493
696	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22820904	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	17237817	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820904	1494
697	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22821005	ENI NORGE	Eni Norge AS	TFO2012	2388594	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821005	1495
698	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22821040	SHELL NORGE	A/S Norske Shell	TFO2012	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821040	1496
699	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22821109	SHELL NORGE	A/S Norske Shell	TFO2012	562	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821109	1497
700	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	22821177	LUNDIN NORWAY	Lundin Norway AS	TFO2012	2767314	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821177	1498
701	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	0	100	\N	\N	NO	NO	23180841	NORECO ASA	Norwegian Energy Company ASA	TFO2012	4530695	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23180841	1499
\.



COPY prlareasplitbyblock (prlname, prlactive, prlcurrentarea, prldategranted, prldatevalidto, prlareapolydatevalidfrom, prlareapolydatevalidto, prlareapolypolyno, prlareapolypolyarea, blcname, prlareapolyfromzvalue, prlareapolytozvalue, prlareapolyvertlimen, prlareapolyvertlimno, prlstratigraphical, prllastoperatornpdidcompany, prllastoperatornameshort, prllastoperatornamelong, prllicensingactivityname, prlfacturl, prlareapolystratigraphical, prlnpdidlicence) FROM stdin;
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1965-09-01	1971-09-01	1	535.510000	16/1	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1971-09-01	1974-09-01	1	535.510000	16/1	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1974-09-01	1977-09-01	1	315.856000	16/1	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1977-09-01	1994-01-19	1	214.180000	16/1	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1965-09-01	1971-09-01	2	535.510000	16/2	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1971-09-01	1974-09-01	2	535.510000	16/2	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1974-09-01	1977-09-01	2	428.638000	16/2	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1965-09-01	1971-09-01	3	543.172000	16/7	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	ACTIVE	1965-09-01	2030-03-01	1994-01-19	9999-12-31	1	100.779000	25/11	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1977-09-01	1994-01-19	2	100.779000	25/11	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1971-09-01	1974-09-01	3	531.663000	25/11	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1974-09-01	1977-09-01	3	418.433000	25/11	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001	ACTIVE	INACTIVE	1965-09-01	2030-03-01	1965-09-01	1971-09-01	4	531.663000	25/11	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20756	NO	20756
001 P	INACTIVE	INACTIVE	1994-01-19	1999-12-14	1994-01-19	1999-12-14	1	214.180000	16/1	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20764	NO	20764
002	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	1	543.172000	16/9	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20772	NO	20772
002	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1977-09-01	1	361.690000	17/8	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20772	NO	20772
002	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	2	543.172000	17/8	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20772	NO	20772
002	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1977-09-01	2	361.690000	17/9	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20772	NO	20772
002	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	3	543.172000	17/9	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20772	NO	20772
002	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1977-09-01	3	361.690000	18/7	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20772	NO	20772
002	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	4	543.172000	18/7	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20772	NO	20772
003	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	1	550.790000	8/2	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20780	NO	20780
003	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1977-09-01	1	257.508000	8/2	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20780	NO	20780
003	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	2	550.790000	8/3	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20780	NO	20780
003	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1977-09-01	2	550.790000	8/3	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20780	NO	20780
003	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	3	558.364000	9/7	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20780	NO	20780
003	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	4	558.364000	9/8	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20780	NO	20780
004	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1965-09-01	1971-08-31	1	56.721000	6/3	0	100	\N	\N	NO	78	AMOCO	Amoco Norway Oil Company	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20788	NO	20788
004	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1971-09-01	1974-09-01	1	437.266000	7/1	0	100	\N	\N	NO	78	AMOCO	Amoco Norway Oil Company	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20788	NO	20788
004	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1974-09-01	1977-09-01	1	180.396000	7/1	0	100	\N	\N	NO	78	AMOCO	Amoco Norway Oil Company	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20788	NO	20788
004	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1965-09-01	1971-08-31	2	538.067000	7/1	0	100	\N	\N	NO	78	AMOCO	Amoco Norway Oil Company	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20788	NO	20788
004	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1971-09-01	1974-09-01	2	246.518000	7/4	0	100	\N	\N	NO	78	AMOCO	Amoco Norway Oil Company	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20788	NO	20788
004	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1974-09-01	1977-09-01	2	246.518000	7/4	0	100	\N	\N	NO	78	AMOCO	Amoco Norway Oil Company	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20788	NO	20788
004	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1965-09-01	1971-08-31	3	375.503000	7/4	0	100	\N	\N	NO	78	AMOCO	Amoco Norway Oil Company	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20788	NO	20788
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1965-09-01	1971-08-31	1	550.790000	7/3	0	100	\N	\N	NO	881	UNION OIL	Union Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	NO	20796
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1971-09-01	1974-09-01	1	433.055000	7/3	0	100	\N	\N	NO	881	UNION OIL	Union Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	NO	20796
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1974-09-01	1978-09-01	1	332.211000	7/3	0	100	\N	\N	NO	881	UNION OIL	Union Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	NO	20796
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1978-09-01	1982-09-01	1	168.876000	7/3	0	100	\N	\N	NO	881	UNION OIL	Union Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	NO	20796
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1965-09-01	1971-08-31	2	554.583000	7/6	0	100	\N	\N	NO	881	UNION OIL	Union Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	NO	20796
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1971-09-01	1974-09-01	2	384.817000	7/6	0	100	\N	\N	NO	881	UNION OIL	Union Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	NO	20796
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1974-09-01	1978-09-01	2	162.580000	7/6	0	100	\N	\N	NO	881	UNION OIL	Union Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	NO	20796
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1965-09-01	1971-08-31	3	554.583000	8/4	0	100	\N	\N	NO	881	UNION OIL	Union Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	NO	20796
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1971-09-01	1974-09-01	3	404.552000	8/4	0	100	\N	\N	NO	881	UNION OIL	Union Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	NO	20796
005	INACTIVE	INACTIVE	1965-09-01	1971-08-31	1974-09-01	1978-09-01	3	306.405000	8/4	0	100	\N	\N	NO	881	UNION OIL	Union Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20796	NO	20796
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1965-09-01	1971-09-01	1	565.894000	2/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1971-09-01	1974-09-01	4	122.537000	2/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1971-09-01	1974-09-01	5	152.786000	2/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1974-09-01	1995-12-31	1	385.727000	2/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1996-01-01	1999-01-01	1	385.727000	2/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1999-01-01	2000-10-09	1	385.727000	2/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	ACTIVE	1965-09-01	2028-12-31	2000-10-09	9999-12-31	1	37.960000	2/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1965-09-01	1971-09-01	2	569.642000	2/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1971-09-01	1974-09-01	2	569.642000	2/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1974-09-01	1995-12-31	2	458.611000	2/8	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1996-01-01	1999-01-01	2	458.611000	2/8	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1999-01-01	2000-10-09	2	458.611000	2/8	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1965-09-01	1971-09-01	3	573.378000	2/8	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1971-09-01	1974-09-01	3	573.378000	2/8	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1971-09-01	1974-09-01	1	288.363000	3/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1974-09-01	1995-12-31	3	288.363000	3/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1996-01-01	1999-01-01	3	72.124000	3/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
006	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1965-09-01	1971-09-01	4	569.642000	3/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20804	NO	20804
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1965-09-01	1971-09-01	1	535.510000	16/3	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1971-09-01	1974-09-01	1	535.510000	16/3	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1974-09-01	1977-09-01	1	319.658000	16/3	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1977-09-01	1978-09-01	1	205.443000	16/3	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1965-09-01	1971-09-01	2	539.346000	16/5	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1971-09-01	1974-09-01	2	370.632000	16/5	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1974-09-01	1977-09-01	2	259.174000	16/5	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1977-09-01	1978-09-01	2	106.205000	16/5	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1978-09-01	1990-09-01	1	102.696000	16/6	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1965-09-01	1971-09-01	3	539.346000	16/6	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1971-09-01	1974-09-01	3	203.600000	16/6	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1974-09-01	1977-09-01	3	203.600000	16/6	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1977-09-01	1978-09-01	3	102.696000	16/6	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1971-09-01	1974-09-01	4	134.485000	16/6	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1974-09-01	1977-09-01	5	134.485000	16/6	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1965-09-01	1971-09-01	4	539.346000	17/4	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1974-09-01	1977-09-01	4	156.718000	17/4	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
007	INACTIVE	INACTIVE	1965-09-01	1990-09-01	1971-09-01	1974-09-01	5	156.718000	17/4	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20812	NO	20812
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1977-09-01	1996-01-01	2	103.998000	18/10	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1965-09-01	1971-09-01	3	546.986000	18/10	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1971-09-01	1974-09-01	3	205.916000	18/10	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1974-09-01	1977-09-01	3	205.916000	18/10	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1971-09-01	1974-09-01	4	100.134000	18/10	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1965-09-01	1971-09-01	4	546.986000	18/11	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1974-09-01	1977-09-01	4	118.806000	18/11	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1971-09-01	1974-09-01	5	393.782000	18/11	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1965-09-01	1971-09-01	1	569.642000	2/6	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1971-09-01	1974-09-01	1	444.315000	2/6	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1974-09-01	1977-09-01	1	334.454000	2/6	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1977-09-01	1996-01-01	1	334.454000	2/6	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1996-01-01	2001-01-01	1	110.182000	2/6	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	2001-01-01	2002-12-31	1	36.066000	2/6	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1965-09-01	1971-09-01	2	550.790000	7/2	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1971-09-01	1974-09-01	2	437.006000	7/2	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
008	INACTIVE	INACTIVE	1965-09-01	2002-12-31	1974-09-01	1977-09-01	2	437.006000	7/2	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20820	NO	20820
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1965-09-01	1971-09-01	3	562.135000	10/11	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1971-09-01	1974-09-01	3	562.135000	10/11	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1974-09-01	1977-09-01	3	281.067000	10/11	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1965-09-01	1971-09-01	2	558.364000	10/8	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1971-09-01	1974-09-01	2	123.050000	10/8	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1974-09-01	1977-09-01	2	123.050000	10/8	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1965-09-01	1971-09-01	4	558.364000	11/9	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1971-09-01	1974-09-01	4	457.843000	11/9	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1974-09-01	1977-09-01	4	223.782000	11/9	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1974-09-01	1977-09-01	5	131.843000	11/9	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1965-09-01	1971-09-01	1	554.583000	9/5	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1971-09-01	1974-09-01	1	357.167000	9/5	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1974-09-01	1977-09-01	1	357.167000	9/5	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
009	INACTIVE	INACTIVE	1965-09-01	1999-01-01	1977-09-01	1999-01-01	1	107.236000	9/5	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20828	NO	20828
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1965-09-01	1971-09-01	1	546.986000	16/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1971-09-01	1974-09-01	1	120.091000	16/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1974-09-01	1977-09-01	1	120.091000	16/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1965-09-01	1971-09-01	2	546.986000	17/10	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1971-09-01	1974-09-01	2	426.361000	17/10	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1974-09-01	1977-09-01	2	231.575000	17/10	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1965-09-01	1971-09-01	3	546.986000	17/11	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1971-09-01	1974-09-01	3	546.986000	17/11	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1974-09-01	1977-09-01	3	446.435000	17/11	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1977-09-01	1979-09-01	1	177.435000	25/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1965-09-01	1971-09-01	4	531.663000	25/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1971-09-01	1974-09-01	4	531.663000	25/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
010	INACTIVE	INACTIVE	1965-09-01	1979-09-01	1974-09-01	1977-09-01	4	287.036000	25/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20836	NO	20836
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1965-09-01	1971-09-01	1	565.894000	1/3	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1971-09-01	1974-09-01	1	452.975000	1/3	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1974-09-01	1977-09-01	1	302.277000	1/3	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1977-09-01	1995-08-25	1	200.233000	1/3	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1995-08-25	1999-01-01	1	200.233000	1/3	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1999-01-01	1999-12-31	4	200.233000	1/3	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1999-01-01	1999-12-31	1	64.808000	1/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1965-09-01	1971-09-01	2	557.403000	1/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1971-09-01	1974-09-01	2	557.403000	1/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1974-09-01	1977-09-01	2	416.716000	1/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1977-09-01	1995-08-25	2	300.171000	1/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1995-08-25	1999-01-01	2	76.187000	1/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1999-01-01	1999-12-31	2	32.191000	1/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1995-08-25	1999-01-01	3	53.287000	1/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1999-01-01	1999-12-31	3	24.755000	1/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1995-08-25	1999-01-01	4	68.194000	1/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1965-09-01	1971-09-01	3	558.364000	8/7	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1971-09-01	1974-09-01	3	249.398000	8/7	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
011	INACTIVE	INACTIVE	1965-09-01	1999-12-31	1974-09-01	1977-09-01	3	115.638000	8/7	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20844	NO	20844
012	INACTIVE	INACTIVE	1965-09-01	1971-09-01	1965-09-01	1971-09-01	2	558.364000	10/7	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20852	NO	20852
012	INACTIVE	INACTIVE	1965-09-01	1971-09-01	1965-09-01	1971-09-01	3	558.364000	10/9	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20852	NO	20852
012	INACTIVE	INACTIVE	1965-09-01	1971-09-01	1965-09-01	1971-09-01	1	562.135000	9/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20852	NO	20852
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1965-09-01	1971-09-01	1	554.583000	8/6	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1971-09-01	1974-09-01	1	306.867000	8/6	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1974-09-01	1976-09-01	1	205.027000	8/6	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1976-09-01	1977-09-01	1	205.027000	8/6	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1965-09-01	1971-09-01	2	558.364000	8/9	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1971-09-01	1974-09-01	2	558.364000	8/9	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1974-09-01	1976-09-01	2	348.092000	8/9	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1976-09-01	1977-09-01	2	154.485000	8/9	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1977-09-01	1978-09-01	1	138.330000	9/4	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1965-09-01	1971-09-01	3	554.583000	9/4	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1971-09-01	1974-09-01	3	380.436000	9/4	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1974-09-01	1976-09-01	3	278.684000	9/4	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
013	INACTIVE	INACTIVE	1965-09-01	1978-09-01	1976-09-01	1977-09-01	3	278.684000	9/4	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20860	NO	20860
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	1	565.894000	3/2	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1974-09-01	1	339.543000	3/2	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1974-09-01	1976-09-01	1	339.543000	3/2	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	2	565.894000	3/3	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1974-09-01	2	565.894000	3/3	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1974-09-01	1976-09-01	2	371.353000	3/3	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1976-09-01	1977-09-01	1	203.960000	8/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	3	562.135000	8/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1974-09-01	3	310.695000	8/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1974-09-01	1976-09-01	3	310.695000	8/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	4	562.135000	9/11	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1974-09-01	4	119.735000	9/11	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
014	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1974-09-01	1976-09-01	4	119.735000	9/11	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20868	NO	20868
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	3	562.135000	10/10	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1974-09-01	3	562.135000	10/10	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1974-09-01	1976-09-01	3	213.634000	10/10	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	4	562.135000	10/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1974-09-01	4	213.859000	10/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1974-09-01	1976-09-01	4	107.020000	10/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1976-09-01	1977-09-01	1	209.173000	10/5	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	2	554.583000	10/5	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1974-09-01	2	469.767000	10/5	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1974-09-01	1976-09-01	2	445.773000	10/5	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1965-09-01	1971-09-01	1	558.364000	9/9	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1971-09-01	1974-09-01	1	454.378000	9/9	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
015	INACTIVE	INACTIVE	1965-09-01	1977-09-01	1974-09-01	1976-09-01	1	352.183000	9/9	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20876	NO	20876
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1976-09-01	1988-12-31	1	169.391000	16/11	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1965-09-01	1971-09-01	3	546.986000	16/11	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1971-09-01	1974-09-01	3	546.986000	16/11	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1974-09-01	1976-09-01	3	315.423000	16/11	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1988-12-31	1994-12-31	1	424.872000	17/12	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1976-09-01	1988-12-31	2	424.872000	17/12	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1965-09-01	1971-09-01	4	546.986000	17/12	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1971-09-01	1974-09-01	4	424.872000	17/12	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1974-09-01	1976-09-01	4	424.872000	17/12	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1965-09-01	1971-09-01	1	558.364000	7/8	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1971-09-01	1974-09-01	1	379.759000	7/8	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1974-09-01	1976-09-01	1	249.774000	7/8	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1965-09-01	1971-09-01	2	550.790000	8/1	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1971-09-01	1974-09-01	2	299.464000	8/1	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
016	INACTIVE	INACTIVE	1965-09-01	1994-12-31	1974-09-01	1976-09-01	2	110.242000	8/1	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20884	NO	20884
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1965-09-01	1971-09-01	2	562.135000	8/10	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1971-09-01	1974-09-01	2	346.846000	8/10	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1974-09-01	1977-09-01	2	346.846000	8/10	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1977-09-01	1991-12-31	2	187.343000	8/10	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1965-09-01	1971-09-01	3	562.135000	8/11	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1971-09-01	1974-09-01	3	145.919000	8/11	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1974-09-01	1977-09-01	3	145.919000	8/11	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1977-09-01	1991-12-31	3	145.919000	8/11	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1971-09-01	1974-09-01	4	198.944000	8/11	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1974-09-01	1977-09-01	4	198.944000	8/11	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1965-09-01	1971-09-01	1	558.364000	8/8	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1971-09-01	1974-09-01	1	282.857000	8/8	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1974-09-01	1977-09-01	1	147.345000	8/8	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1977-09-01	1991-12-31	1	147.345000	8/8	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
017	INACTIVE	INACTIVE	1965-09-01	1991-12-31	1971-09-01	1974-09-01	5	68.899000	8/8	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20892	NO	20892
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1965-09-01	1971-09-01	1	103.297000	1/5	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1971-09-01	1974-09-01	1	103.297000	1/5	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1974-09-01	2002-12-20	1	24.028000	1/5	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	ACTIVE	1965-09-01	2028-12-31	2002-12-20	9999-12-31	1	347.894000	2/4	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1965-09-01	1971-09-01	2	569.642000	2/4	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1971-09-01	1974-09-01	2	569.642000	2/4	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1974-09-01	2002-12-20	2	347.894000	2/4	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	ACTIVE	1965-09-01	2028-12-31	2002-12-20	9999-12-31	2	406.935000	2/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1965-09-01	1971-09-01	3	567.099000	2/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1971-09-01	1974-09-01	3	406.935000	2/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1974-09-01	2002-12-20	3	406.935000	2/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	ACTIVE	1965-09-01	2028-12-31	2002-12-20	9999-12-31	3	96.938000	7/11	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1965-09-01	1971-09-01	4	512.694000	7/11	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1971-09-01	1974-09-01	4	231.828000	7/11	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018	ACTIVE	INACTIVE	1965-09-01	2028-12-31	1974-09-01	2002-12-20	4	96.938000	7/11	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20900	NO	20900
018 B	ACTIVE	INACTIVE	1995-08-25	2028-12-31	1995-08-25	2001-01-01	1	102.503000	1/6	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20908	NO	20908
018 B	ACTIVE	ACTIVE	1995-08-25	2028-12-31	2001-01-01	9999-12-31	1	55.050000	1/6	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20908	NO	20908
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1965-09-01	1971-09-01	3	558.364000	11/8	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	NO	20916
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1971-09-01	1974-09-01	3	123.070000	11/8	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	NO	20916
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1974-09-01	1976-09-01	4	123.070000	11/8	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	NO	20916
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1965-09-01	1971-09-01	1	565.894000	2/1	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	NO	20916
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1971-09-01	1974-09-01	1	565.894000	2/1	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	NO	20916
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1974-09-01	1976-09-01	1	464.277000	2/1	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	NO	20916
019	ACTIVE	ACTIVE	1965-09-01	2029-01-01	1976-09-01	9999-12-31	1	101.217000	7/12	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	NO	20916
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1965-09-01	1971-09-01	2	562.135000	7/12	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	NO	20916
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1971-09-01	1974-09-01	2	562.135000	7/12	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	NO	20916
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1974-09-01	1976-09-01	2	228.671000	7/12	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	NO	20916
019	ACTIVE	INACTIVE	1965-09-01	2029-01-01	1974-09-01	1976-09-01	3	26.159000	7/12	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20916	NO	20916
019 B	ACTIVE	INACTIVE	1977-09-12	2018-09-01	1977-09-12	1998-01-01	1	464.277000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	NO	20924
019 B	ACTIVE	INACTIVE	1977-09-12	2018-09-01	1998-01-01	1998-09-14	1	398.383000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	NO	20924
019 B	ACTIVE	ACTIVE	1977-09-12	2018-09-01	1998-09-14	9999-12-31	1	137.013000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	NO	20924
019 B	ACTIVE	INACTIVE	1977-09-12	2018-09-01	1977-09-12	1998-01-01	2	127.454000	7/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	NO	20924
019 B	ACTIVE	INACTIVE	1977-09-12	2018-09-01	1998-01-01	1998-09-14	2	35.690000	7/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	NO	20924
019 B	ACTIVE	ACTIVE	1977-09-12	2018-09-01	1998-09-14	9999-12-31	2	5.622000	7/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	NO	20924
019 B	ACTIVE	INACTIVE	1977-09-12	2018-09-01	1977-09-12	1998-01-01	3	26.159000	7/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	NO	20924
019 B	ACTIVE	INACTIVE	1977-09-12	2018-09-01	1998-01-01	1998-09-14	3	5.622000	7/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	NO	20924
019 B	ACTIVE	INACTIVE	1977-09-12	2018-09-01	1998-01-01	1998-09-14	4	26.159000	7/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20924	NO	20924
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1976-09-01	1987-12-31	1	123.030000	16/8	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	NO	20932
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1965-09-01	1971-09-01	3	543.172000	16/8	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	NO	20932
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1971-09-01	1974-09-01	3	543.172000	16/8	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	NO	20932
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1974-09-01	1976-09-01	3	103.467000	16/8	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	NO	20932
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1974-09-01	1976-09-01	4	338.142000	16/8	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	NO	20932
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1965-09-01	1971-09-01	1	558.364000	7/9	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	NO	20932
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1971-09-01	1974-09-01	1	558.364000	7/9	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	NO	20932
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1974-09-01	1976-09-01	1	245.554000	7/9	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	NO	20932
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1965-09-01	1971-09-01	2	554.583000	8/5	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	NO	20932
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1971-09-01	1974-09-01	2	138.473000	8/5	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	NO	20932
020	INACTIVE	INACTIVE	1965-09-01	1987-12-31	1974-09-01	1976-09-01	2	138.473000	8/5	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20932	NO	20932
021	INACTIVE	INACTIVE	1965-09-01	1973-09-01	1965-09-01	1971-09-01	2	562.135000	11/10	0	100	\N	\N	NO	782	SYRACUSE	Syracuse Oils Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20940	NO	20940
021	INACTIVE	INACTIVE	1965-09-01	1973-09-01	1971-09-01	1973-09-01	2	562.135000	11/10	0	100	\N	\N	NO	782	SYRACUSE	Syracuse Oils Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20940	NO	20940
021	INACTIVE	INACTIVE	1965-09-01	1973-09-01	1965-09-01	1971-09-01	1	558.364000	11/7	0	100	\N	\N	NO	782	SYRACUSE	Syracuse Oils Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20940	NO	20940
021	INACTIVE	INACTIVE	1965-09-01	1973-09-01	1971-09-01	1973-09-01	1	261.040000	11/7	0	100	\N	\N	NO	782	SYRACUSE	Syracuse Oils Norge A/S	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20940	NO	20940
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1965-12-07	1971-12-07	1	565.894000	2/3	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1971-12-07	1974-12-07	1	565.894000	2/3	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1974-12-07	1976-12-07	1	434.186000	2/3	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1976-12-07	1979-12-07	1	279.449000	2/3	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1979-12-07	1984-12-07	1	279.449000	2/3	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1984-12-07	1986-12-31	1	279.449000	2/3	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1965-12-07	1971-12-07	2	565.894000	3/1	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1971-12-07	1974-12-07	2	565.894000	3/1	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1974-12-07	1976-12-07	2	230.360000	3/1	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1976-12-07	1979-12-07	2	303.967000	3/5	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1979-12-07	1984-12-07	2	119.738000	3/5	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1965-12-07	1971-12-07	3	569.642000	3/5	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1971-12-07	1974-12-07	3	303.967000	3/5	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1974-12-07	1976-12-07	3	303.967000	3/5	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1965-12-07	1971-12-07	4	562.135000	9/10	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1971-12-07	1974-12-07	4	101.388000	9/10	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1974-12-07	1976-12-07	4	130.872000	9/10	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
022	INACTIVE	INACTIVE	1965-12-07	1986-12-31	1971-12-07	1974-12-07	5	130.872000	9/10	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20948	NO	20948
023	INACTIVE	INACTIVE	1969-05-23	1985-05-23	1969-05-23	1975-05-23	1	341.157000	3/7	0	100	\N	\N	NO	287	ELF N	Elf Norge A/S	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20956	NO	20956
023	INACTIVE	INACTIVE	1969-05-23	1985-05-23	1975-05-23	1978-05-23	1	253.315000	3/7	0	100	\N	\N	NO	287	ELF N	Elf Norge A/S	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20956	NO	20956
023	INACTIVE	INACTIVE	1969-05-23	1985-05-23	1978-05-23	1985-05-23	1	169.808000	3/7	0	100	\N	\N	NO	287	ELF N	Elf Norge A/S	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20956	NO	20956
024	ACTIVE	INACTIVE	1969-05-23	2015-05-23	1969-05-23	1976-05-23	1	446.965000	25/1	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20964	NO	20964
024	ACTIVE	INACTIVE	1969-05-23	2015-05-23	1976-05-23	1978-05-23	1	333.844000	25/1	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20964	NO	20964
024	ACTIVE	INACTIVE	1969-05-23	2015-05-23	1978-05-23	1997-01-01	1	221.572000	25/1	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20964	NO	20964
024	ACTIVE	ACTIVE	1969-05-23	2015-05-23	1997-01-01	9999-12-31	1	124.750000	25/1	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20964	NO	20964
026	ACTIVE	INACTIVE	1969-05-23	2025-05-23	1969-05-23	1976-05-23	1	520.058000	25/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	NO	20980
026	ACTIVE	INACTIVE	1969-05-23	2025-05-23	1976-05-23	1978-05-23	1	389.777000	25/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	NO	20980
026	ACTIVE	INACTIVE	1969-05-23	2025-05-23	1978-05-23	1996-01-01	1	259.843000	25/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	NO	20980
026	ACTIVE	INACTIVE	1969-05-23	2025-05-23	1996-01-01	2002-05-24	1	62.292000	25/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	NO	20980
026	ACTIVE	ACTIVE	1969-05-23	2025-05-23	2002-05-24	9999-12-31	1	29.542000	25/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	NO	20980
026	ACTIVE	INACTIVE	1969-05-23	2025-05-23	1996-01-01	2002-05-24	2	29.542000	25/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	NO	20980
026	ACTIVE	ACTIVE	1969-05-23	2025-05-23	2002-05-24	9999-12-31	2	17.356000	25/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	NO	20980
026	ACTIVE	INACTIVE	1969-05-23	2025-05-23	1996-01-01	2002-05-24	3	46.917000	25/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20980	NO	20980
027	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1969-05-23	1976-05-23	1	527.805000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20988	NO	20988
027	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1976-05-23	1978-05-23	1	392.467000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20988	NO	20988
027	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1978-05-23	1994-01-19	1	260.444000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20988	NO	20988
027	ACTIVE	ACTIVE	1969-05-23	2030-03-01	1994-01-19	9999-12-31	1	100.561000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20988	NO	20988
027 P	INACTIVE	INACTIVE	1994-01-19	1999-12-14	1994-01-19	1999-12-14	1	159.883000	25/8	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20996	NO	20996
028	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1969-05-23	1976-05-23	1	531.663000	25/10	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	NO	21004
028	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1976-05-23	1978-05-23	1	398.747000	25/10	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	NO	21004
028	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1978-05-23	1994-01-19	1	264.162000	25/10	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	NO	21004
028	ACTIVE	INACTIVE	1969-05-23	2030-03-01	1994-01-19	2000-10-09	1	42.512000	25/10	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	NO	21004
028	ACTIVE	INACTIVE	1969-05-23	2030-03-01	2000-10-09	2009-11-13	1	24.773000	25/10	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	NO	21004
028	ACTIVE	ACTIVE	1969-05-23	2030-03-01	2009-11-13	9999-12-31	1	24.773000	25/10	0	50	Applies for levels above base Cretaceous	Gjelder for nivå over bunn kritt	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21004	YES	21004
028 P	INACTIVE	INACTIVE	1994-01-19	1999-12-14	1994-01-19	1999-12-14	1	221.649000	25/10	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21012	NO	21012
029	ACTIVE	INACTIVE	1969-05-23	2028-12-31	1969-05-23	1976-05-23	1	539.346000	15/6	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21020	NO	21020
029	ACTIVE	INACTIVE	1969-05-23	2028-12-31	1976-05-23	1978-05-23	1	399.147000	15/6	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21020	NO	21020
029	ACTIVE	INACTIVE	1969-05-23	2028-12-31	1978-05-23	2001-05-11	1	269.540000	15/6	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21020	NO	21020
029	ACTIVE	ACTIVE	1969-05-23	2028-12-31	2012-10-17	9999-12-31	1	34.710000	15/6	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21020	NO	21020
030	INACTIVE	INACTIVE	1969-05-23	1995-12-31	1969-05-23	1976-05-23	1	464.255000	30/10	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21028	NO	21028
030	INACTIVE	INACTIVE	1969-05-23	1995-12-31	1976-05-23	1978-05-23	1	348.793000	30/10	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21028	NO	21028
030	INACTIVE	INACTIVE	1969-05-23	1995-12-31	1978-05-23	1994-12-31	1	231.668000	30/10	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21028	NO	21028
030	INACTIVE	INACTIVE	1969-05-23	1995-12-31	1995-01-01	1995-12-31	1	119.836000	30/10	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21028	NO	21028
031	INACTIVE	INACTIVE	1969-05-23	1999-12-31	1969-05-23	1976-05-23	1	201.075000	2/10	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21036	NO	21036
031	INACTIVE	INACTIVE	1969-05-23	1999-12-31	1976-05-23	1978-05-23	1	150.403000	2/10	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21036	NO	21036
031	INACTIVE	INACTIVE	1969-05-23	1999-12-31	1978-05-23	1999-12-31	1	99.386000	2/10	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21036	NO	21036
032	INACTIVE	INACTIVE	1969-05-30	1999-12-31	1969-05-30	1976-05-30	1	538.404000	2/9	0	100	\N	\N	NO	78	AMOCO	Amoco Norway Oil Company	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21044	NO	21044
032	INACTIVE	INACTIVE	1969-05-30	1999-12-31	1976-05-30	1978-05-30	1	401.712000	2/9	0	100	\N	\N	NO	78	AMOCO	Amoco Norway Oil Company	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21044	NO	21044
032	INACTIVE	INACTIVE	1969-05-30	1999-12-31	1978-05-30	1999-12-31	1	266.143000	2/9	0	100	\N	\N	NO	78	AMOCO	Amoco Norway Oil Company	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21044	NO	21044
033	ACTIVE	INACTIVE	1969-05-30	2015-05-30	1969-05-30	1976-05-30	1	207.879000	2/11	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21052	NO	21052
033	ACTIVE	INACTIVE	1969-05-30	2015-05-30	1976-05-30	1978-05-30	1	155.398000	2/11	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21052	NO	21052
033	ACTIVE	INACTIVE	1969-05-30	2015-05-30	1978-05-30	2001-05-04	1	103.236000	2/11	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21052	NO	21052
033	ACTIVE	ACTIVE	1969-05-30	2015-05-30	2001-05-04	9999-12-31	1	55.281000	2/11	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21052	NO	21052
034	ACTIVE	INACTIVE	1969-11-14	2015-11-14	1969-11-14	1976-11-14	1	508.360000	30/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21060	NO	21060
034	ACTIVE	INACTIVE	1969-11-14	2015-11-14	1976-11-14	1977-11-14	1	379.723000	30/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21060	NO	21060
034	ACTIVE	INACTIVE	1969-11-14	2015-11-14	1977-11-14	2002-01-01	1	203.344000	30/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21060	NO	21060
034	ACTIVE	INACTIVE	1969-11-14	2015-11-14	2002-01-01	2003-01-01	1	81.377000	30/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21060	NO	21060
034	ACTIVE	ACTIVE	1969-11-14	2015-11-14	2003-01-01	9999-12-31	1	11.898000	30/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21060	NO	21060
035	ACTIVE	INACTIVE	1969-11-14	2022-11-14	1969-11-14	1976-11-14	1	516.169000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	NO	21068
035	ACTIVE	INACTIVE	1969-11-14	2022-11-14	1976-11-14	1978-11-14	1	385.450000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	NO	21068
035	ACTIVE	INACTIVE	1969-11-14	2022-11-14	1978-11-14	2008-01-01	1	128.741000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	NO	21068
035	ACTIVE	INACTIVE	1969-11-14	2022-11-14	2008-01-01	2008-11-26	1	103.017000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	NO	21068
035	ACTIVE	ACTIVE	1969-11-14	2022-11-14	2008-11-26	9999-12-31	1	103.017000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	NO	21068
035	ACTIVE	INACTIVE	1969-11-14	2022-11-14	1978-11-14	2008-01-01	2	127.607000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	NO	21068
035	ACTIVE	INACTIVE	1969-11-14	2022-11-14	2008-01-01	2008-11-26	2	25.881000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	NO	21068
035	ACTIVE	ACTIVE	1969-11-14	2022-11-14	2008-11-26	9999-12-31	2	29.298000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	NO	21068
035	ACTIVE	INACTIVE	1969-11-14	2022-11-14	2008-01-01	2008-11-26	3	29.298000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21068	NO	21068
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	1971-06-11	1977-06-11	1	523.937000	25/4	0	100	\N	\N	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	NO	21076
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	1977-06-11	1981-06-11	1	393.211000	25/4	0	100	\N	\N	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	NO	21076
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	1981-07-01	1996-12-31	1	261.890000	25/4	0	100	\N	\N	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	NO	21076
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	1997-01-01	2003-10-13	1	197.366000	25/4	0	100	\N	\N	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	NO	21076
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	2003-10-13	2008-10-17	1	76.729000	25/4	0	100	\N	\N	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	NO	21076
036	ACTIVE	ACTIVE	1971-06-11	2021-06-11	2008-10-17	9999-12-31	1	27.875000	25/4	0	100	\N	\N	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	NO	21076
037	ACTIVE	ACTIVE	1973-08-10	2026-08-10	2011-01-01	9999-12-31	1	97.006000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1979-08-10	1998-09-14	2	68.357000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1998-09-14	1999-12-15	2	116.929000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1999-12-15	2004-06-08	2	116.928000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	2003-10-13	2008-10-17	2	94.422000	25/4	0	100	This area does not apply to intervals that are included in PL 036 BS. These consist of:                                                                                                                 a) Heimdal sand in the Lista Formation with upper limit in the base Hermod sand in the Sele Formation and the lower limit in the top of Ty sand in the Våle Formatoin.                                                                                                     b)Hugin Formation with the upper limit in the top sand in the Hugin Formation and lower limit in the top of marine shales of the Dunlin Group.	Unntatt i dette området av utvinningstillatelsen er de stratigrafiske nivåene som inngår i PL 036 BS, det vil si:                                                                                    a) Heimdal sand i Lista-formasjonen, med øvre begrensning i bunnen av Hermod sand i Sele-formasjonen, og nedre begrensning i toppen av Ty sand i Våleformasjonen, innenfor koordinatene som nevnt for polygon 2.                           b) Hugin formasjonen, med øvre begrensning på toppen av sandig Hugin-formasjon, og nedre begrensning på toppen av marine shales i Dunlin-gruppen, innenfor følgende koordinater:                                                        1. 59,33 n           2,12 ø                                                                                           2. 59,33 n           2,15 ø                                                                                           3. 59,36 n           2,15 ø                                                                                           4. 59,36 n           2,12 ø    Arealet utgjer 15,741 km2.	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	NO	21076
036	ACTIVE	ACTIVE	1971-06-11	2021-06-11	2008-10-17	9999-12-31	2	29.662000	25/4	0	100	\N	\N	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	NO	21076
036	ACTIVE	INACTIVE	1971-06-11	2021-06-11	2003-10-13	2008-10-17	3	15.741000	25/4	0	100	Same as Polygon 2, b).	Sjå Polygon 2 punkt b. (Polygon 3 inngår i polygon 2.)	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	NO	21076
036	ACTIVE	ACTIVE	1971-06-11	2021-06-11	2008-10-17	9999-12-31	3	94.422000	25/4	50	100	This area does not apply to intervals that are included in Heimdal sand in the Lista Formation, with upper limit in the base Hermod sand in the Sele Formation, and the lower limit in the top of Ty sand in the Våle Formation	Gjelder ikke for nivåer som inngår i Heimdal sand i Listaformasjonen, med øvre begrensning i bunnen av Hermod sand i Seleformasjonen, og nedre begrensning i Ty sand i Våleformasjonen.	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	YES	21076
036	ACTIVE	ACTIVE	1971-06-11	2021-06-11	2008-10-17	9999-12-31	4	15.741000	25/4	50	100	This area does not apply to intervals that are included in Hugin Formation, with the upper limit in the top sand in the Hugin Formation, and the lower limit in the top of marine shales of the Dunlin Group.	Gjelder ikke for nivåer som inngår i Huginformasjonen, med øvre begrensning på toppen av sand i Huginformasjonen, og nedre begrensning på toppen av marin shales i Dunlingruppen.	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21076	YES	21076
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1973-08-10	1979-08-10	2	244.359000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1979-08-10	1998-09-14	3	106.391000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1998-09-14	1999-12-15	3	97.192000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1999-12-15	2004-06-08	3	97.192000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2004-06-08	2004-12-10	3	97.192000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2004-12-10	2005-01-01	3	94.688000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2005-01-01	2011-01-01	3	36.432000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	ACTIVE	1973-08-10	2026-08-10	2011-01-01	9999-12-31	3	36.432000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1973-08-10	1979-08-10	1	342.474000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1979-08-10	1998-09-14	1	116.929000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1998-09-14	1999-12-15	1	68.357000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	1999-12-15	2004-06-08	1	58.643000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2004-06-08	2004-12-10	1	46.238000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2004-12-10	2005-01-01	1	46.238000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2005-01-01	2011-01-01	1	46.238000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2004-06-08	2004-12-10	2	116.929000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2004-12-10	2005-01-01	2	116.929000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	INACTIVE	1973-08-10	2026-08-10	2005-01-01	2011-01-01	2	116.929000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
037	ACTIVE	ACTIVE	1973-08-10	2026-08-10	2011-01-01	9999-12-31	2	46.238000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21084	NO	21084
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	1975-04-01	1981-04-01	2	0.954000	15/11	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	NO	21092
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	1981-04-01	1998-01-01	1	101.515000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	NO	21092
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	1998-01-01	2006-06-15	1	32.728000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	NO	21092
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	2006-06-15	2009-05-15	1	32.728000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	NO	21092
038	ACTIVE	ACTIVE	1975-04-01	2021-04-01	2009-05-15	9999-12-31	1	75.930000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	NO	21092
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	1981-04-01	1998-01-01	2	94.569000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	NO	21092
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	1998-01-01	2006-06-15	2	101.515000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	NO	21092
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	2006-06-15	2009-05-15	2	75.930000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	NO	21092
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	1975-04-01	1981-04-01	3	384.550000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	NO	21092
038	ACTIVE	INACTIVE	1975-04-01	2021-04-01	1975-04-01	1981-04-01	1	56.721000	6/3	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21092	NO	21092
039	INACTIVE	INACTIVE	1975-04-01	1983-04-01	1975-04-01	1981-04-01	1	375.258000	24/9	0	100	\N	\N	NO	221	CONOCO N	Norske Conoco A/S	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21100	NO	21100
039	INACTIVE	INACTIVE	1975-04-01	1983-04-01	1981-04-01	1983-04-01	1	219.195000	24/9	0	100	\N	\N	NO	221	CONOCO N	Norske Conoco A/S	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21100	NO	21100
040	ACTIVE	INACTIVE	1975-04-01	2027-12-31	1975-04-01	1981-04-01	1	23.633000	29/9	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21108	NO	21108
040	ACTIVE	INACTIVE	1975-04-01	2027-12-31	1981-04-01	1995-01-01	1	15.607000	29/9	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21108	NO	21108
040	ACTIVE	ACTIVE	1975-04-01	2027-12-31	1995-01-01	9999-12-31	1	10.351000	29/9	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21108	NO	21108
040	ACTIVE	INACTIVE	1975-04-01	2027-12-31	1975-04-01	1981-04-01	2	510.772000	30/7	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21108	NO	21108
040	ACTIVE	INACTIVE	1975-04-01	2027-12-31	1981-04-01	1995-01-01	2	85.161000	30/7	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21108	NO	21108
040	ACTIVE	ACTIVE	1975-04-01	2027-12-31	1995-01-01	9999-12-31	2	30.642000	30/7	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21108	NO	21108
040	ACTIVE	INACTIVE	1975-04-01	2027-12-31	1981-04-01	1995-01-01	3	153.915000	30/7	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21108	NO	21108
041	INACTIVE	INACTIVE	1975-06-01	1989-01-01	1975-06-01	1982-06-01	1	488.659000	35/3	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21116	NO	21116
041	INACTIVE	INACTIVE	1975-06-01	1989-01-01	1982-06-01	1989-01-01	1	244.611000	35/3	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21116	NO	21116
042	INACTIVE	INACTIVE	1975-04-01	1980-04-01	1975-04-01	1980-04-01	1	488.659000	36/1	0	100	\N	\N	NO	89	AMOCO N	Amoco Norway AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21124	NO	21124
043	ACTIVE	INACTIVE	1976-08-06	2027-12-31	1976-08-06	1982-08-06	1	96.198000	29/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21132	NO	21132
043	ACTIVE	ACTIVE	1976-08-06	2027-12-31	1991-01-01	9999-12-31	1	18.410000	29/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21132	NO	21132
043	ACTIVE	INACTIVE	1976-08-06	2027-12-31	1982-08-06	1991-01-01	2	96.198000	29/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21132	NO	21132
043	ACTIVE	INACTIVE	1976-08-06	2027-12-31	1982-08-06	1991-01-01	1	205.144000	30/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21132	NO	21132
043	ACTIVE	INACTIVE	1976-08-06	2027-12-31	1976-08-06	1982-08-06	2	508.360000	30/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21132	NO	21132
043	ACTIVE	ACTIVE	1976-08-06	2027-12-31	1991-01-01	9999-12-31	2	30.596000	30/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21132	NO	21132
044	ACTIVE	INACTIVE	1976-08-27	2028-12-31	1976-08-27	1982-08-27	1	193.076000	1/9	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21140	NO	21140
044	ACTIVE	INACTIVE	1976-08-27	2028-12-31	1982-08-27	2008-01-01	1	102.659000	1/9	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21140	NO	21140
044	ACTIVE	ACTIVE	1976-08-27	2028-12-31	2008-01-01	9999-12-31	1	81.534000	1/9	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21140	NO	21140
045	INACTIVE	INACTIVE	1976-12-03	1982-12-02	1976-12-03	1982-12-02	1	13.203000	24/11	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21148	NO	21148
045	INACTIVE	INACTIVE	1976-12-03	1982-12-02	1976-12-03	1982-12-02	2	517.987000	24/12	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21148	NO	21148
046	ACTIVE	INACTIVE	1976-12-03	2028-12-31	1976-12-03	1984-12-03	1	196.310000	15/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	NO	21156
046	ACTIVE	INACTIVE	1976-12-03	2028-12-31	1984-12-03	2006-11-28	1	39.941000	15/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	NO	21156
046	ACTIVE	INACTIVE	1976-12-03	2028-12-31	2006-11-28	2011-12-21	1	39.931000	15/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	NO	21156
046	ACTIVE	ACTIVE	1976-12-03	2028-12-31	2011-12-21	9999-12-31	1	25.300000	15/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	NO	21156
046	ACTIVE	ACTIVE	1976-12-03	2028-12-31	2011-12-21	9999-12-31	2	39.931000	15/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	NO	21156
046	ACTIVE	INACTIVE	1976-12-03	2028-12-31	1984-12-03	2006-11-28	3	25.300000	15/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	NO	21156
046	ACTIVE	INACTIVE	1976-12-03	2028-12-31	2006-11-28	2011-12-21	3	25.300000	15/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	NO	21156
046	ACTIVE	INACTIVE	1976-12-03	2028-12-31	1976-12-03	1984-12-03	2	543.172000	15/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	NO	21156
046	ACTIVE	INACTIVE	1976-12-03	2028-12-31	1984-12-03	2006-11-28	2	390.732000	15/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	NO	21156
046	ACTIVE	INACTIVE	1976-12-03	2028-12-31	2006-11-28	2011-12-21	2	376.271000	15/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	NO	21156
046	ACTIVE	ACTIVE	1976-12-03	2028-12-31	2011-12-21	9999-12-31	3	366.343000	15/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21156	NO	21156
047	INACTIVE	INACTIVE	1977-01-07	1993-12-31	1977-01-07	1983-01-07	1	304.159000	33/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21164	NO	21164
047	INACTIVE	INACTIVE	1977-01-07	1993-12-31	1983-01-07	1993-12-31	1	64.203000	33/5	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21164	NO	21164
047	INACTIVE	INACTIVE	1977-01-07	1993-12-31	1977-01-07	1983-01-07	2	64.203000	33/5	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21164	NO	21164
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	1977-02-18	1983-02-18	1	107.019000	15/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	1983-02-18	1993-12-31	1	214.481000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	1993-12-31	2000-01-01	1	118.002000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	2000-01-01	2001-01-10	1	21.518000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	2001-01-10	2005-10-10	1	13.287000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	2005-10-10	2010-12-09	1	17.966000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	ACTIVE	1977-02-18	2028-12-31	2010-12-09	9999-12-31	1	10.802000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	1977-02-18	1983-02-18	2	214.481000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	2000-01-01	2001-01-10	2	40.750000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	2001-01-10	2005-10-10	2	17.966000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	2005-10-10	2010-12-09	2	10.802000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	2000-01-01	2001-01-10	3	10.802000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
048	ACTIVE	INACTIVE	1977-02-18	2028-12-31	2001-01-10	2005-10-10	3	10.802000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21172	NO	21172
049	INACTIVE	INACTIVE	1977-12-23	1983-12-23	1977-12-23	1983-12-23	1	485.802000	33/6	0	100	\N	\N	NO	45	AGIP	Norsk Agip  AS	3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21180	NO	21180
050	ACTIVE	INACTIVE	1978-06-16	2036-06-30	1978-06-16	1986-06-30	1	500.509000	34/10	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	NO	21188
050	ACTIVE	INACTIVE	1978-06-16	2036-06-30	1986-06-30	2006-10-06	1	348.547000	34/10	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	NO	21188
050	ACTIVE	INACTIVE	1978-06-16	2036-06-30	2006-10-06	2012-04-11	1	344.600000	34/10	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	NO	21188
050	ACTIVE	ACTIVE	1978-06-16	2036-06-30	2012-04-11	9999-12-31	1	280.651000	34/10	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	NO	21188
050	ACTIVE	INACTIVE	1978-06-16	2036-06-30	2006-10-06	2012-04-11	2	3.947000	34/10	50	100	Applies only for the Lunde- and Lomvi Formation	Gjelder stratigrafisk bare for Lunde- og Lomviformasjonen	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	YES	21188
050	ACTIVE	ACTIVE	1978-06-16	2036-06-30	2012-04-11	9999-12-31	2	3.947000	34/10	33	66	Applies only for Lunde and lomviformation	Gjelder bare for Lunde og Lomviformasjonen	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	YES	21188
050	ACTIVE	ACTIVE	1978-06-16	2036-06-30	2012-04-11	9999-12-31	3	63.949000	34/10	0	33	Does not apply for levels above the top of the Brentgroup and down to meters of the bottom of Statfjordformation	Gjeld ikkje for nivå to meter over toppen av Brentgruppen og ned til to meter av bunnen av Statfjordformasjonen	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	YES	21188
050	ACTIVE	ACTIVE	1978-06-16	2036-06-30	2012-04-11	9999-12-31	4	0.000000	34/10	66	100	Does not apply for levels above the top of the Brentgroup and down to meters of the bottom of Statfjordformation	Gjeld ikkje for nivå to meter over toppen av Brentgruppen og ned til to meter av bunnen av Statfjordformasjonen	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21188	YES	21188
050 B	ACTIVE	INACTIVE	1995-08-11	2036-06-30	1995-08-11	2012-04-11	1	98.403000	34/10	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21196	NO	21196
050 B	ACTIVE	ACTIVE	1995-08-11	2036-06-30	2012-04-11	9999-12-31	1	96.312000	34/10	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21196	NO	21196
050 B	ACTIVE	ACTIVE	1995-08-11	2036-06-30	2012-04-11	9999-12-31	2	2.091000	34/10	0	33	Not applicable to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder ikke for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21196	YES	21196
050 B	ACTIVE	ACTIVE	1995-08-11	2036-06-30	2012-04-11	9999-12-31	3	0.000000	34/10	66	100	Does not apply for levels above the top of the Brentgroup and down to meters of the bottom of Statfjordformation	Gjelder ikke for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21196	YES	21196
051	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1979-04-06	1985-04-06	1	504.440000	30/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21204	NO	21204
051	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1985-04-06	1988-01-01	1	252.068000	30/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21204	NO	21204
051	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1988-01-01	1994-12-31	1	201.776000	30/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21204	NO	21204
051	ACTIVE	ACTIVE	1979-04-06	2015-04-06	1995-01-01	9999-12-31	1	79.039000	30/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21204	NO	21204
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	1979-04-06	1985-04-06	1	504.440000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	NO	21212
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	1985-04-06	1996-01-01	1	94.186000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	NO	21212
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	1996-01-01	2001-11-30	1	45.475000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	NO	21212
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	2001-11-30	2008-01-01	1	36.221000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	NO	21212
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	2008-01-01	2012-01-01	1	36.221000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	NO	21212
052	ACTIVE	ACTIVE	1979-04-06	2020-12-31	2012-01-01	9999-12-31	1	79.239000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	NO	21212
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	1985-04-06	1996-01-01	2	156.659000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	NO	21212
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	1996-01-01	2001-11-30	2	99.445000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	NO	21212
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	2001-11-30	2008-01-01	2	99.445000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	NO	21212
052	ACTIVE	INACTIVE	1979-04-06	2020-12-31	2008-01-01	2012-01-01	2	79.239000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21212	NO	21212
053	ACTIVE	INACTIVE	1979-04-06	2031-03-01	1979-04-06	1988-05-31	1	508.360000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21220	NO	21220
053	ACTIVE	INACTIVE	1979-04-06	2031-03-01	1988-05-31	1998-09-14	1	227.327000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21220	NO	21220
053	ACTIVE	ACTIVE	1979-04-06	2031-03-01	1998-09-14	9999-12-31	1	98.131000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21220	NO	21220
053	ACTIVE	INACTIVE	1979-04-06	2031-03-01	1988-05-31	1998-09-14	2	106.625000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21220	NO	21220
053	ACTIVE	ACTIVE	1979-04-06	2031-03-01	1998-09-14	9999-12-31	2	227.327000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21220	NO	21220
054	ACTIVE	INACTIVE	1979-04-06	2030-09-30	1979-04-06	1985-04-06	1	504.440000	31/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21228	NO	21228
054	ACTIVE	ACTIVE	1979-04-06	2030-09-30	1985-04-06	9999-12-31	1	319.718000	31/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21228	NO	21228
055	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1979-04-06	1985-04-06	1	508.360000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21236	NO	21236
055	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1985-04-06	2002-01-01	1	220.363000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21236	NO	21236
055	ACTIVE	INACTIVE	1979-04-06	2015-04-06	2002-01-01	2003-06-27	1	122.198000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21236	NO	21236
055	ACTIVE	ACTIVE	1979-04-06	2015-04-06	2003-06-27	9999-12-31	1	122.198000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21236	NO	21236
055	ACTIVE	INACTIVE	1979-04-06	2015-04-06	2002-01-01	2003-06-27	2	5.071000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21236	NO	21236
056	INACTIVE	INACTIVE	1979-04-06	1987-04-06	1979-04-06	1987-04-06	1	488.659000	34/2	0	100	\N	\N	NO	89	AMOCO N	Amoco Norway AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21244	NO	21244
057	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1979-04-06	1985-04-06	1	492.619000	34/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21252	NO	21252
057	ACTIVE	INACTIVE	1979-04-06	2015-04-06	1985-04-06	2001-01-01	1	246.600000	34/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21252	NO	21252
057	ACTIVE	INACTIVE	1979-04-06	2015-04-06	2001-01-01	2007-01-01	1	135.002000	34/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21252	NO	21252
057	ACTIVE	ACTIVE	1979-04-06	2015-04-06	2007-01-01	9999-12-31	1	116.884000	34/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21252	NO	21252
058	INACTIVE	INACTIVE	1979-04-06	1989-04-06	1979-04-06	1989-04-06	1	496.569000	35/8	0	100	\N	\N	NO	397	GULF EXPLORATION	Norwegian Gulf Exploration Company AS	4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21260	NO	21260
059	INACTIVE	INACTIVE	1980-01-18	1986-01-18	1980-01-18	1986-01-18	1	436.310000	6507/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21268	NO	21268
060	INACTIVE	INACTIVE	1980-01-18	1986-01-18	1980-01-18	1986-01-18	1	335.884000	7119/12	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21276	NO	21276
061	INACTIVE	INACTIVE	1980-01-18	1993-12-31	1980-01-18	1986-01-18	1	335.884000	7120/12	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21284	NO	21284
061	INACTIVE	INACTIVE	1980-01-18	1993-12-31	1986-01-18	1993-12-31	1	109.403000	7120/12	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21284	NO	21284
062	ACTIVE	INACTIVE	1981-03-27	2027-04-10	1981-03-27	1991-03-27	1	436.310000	6507/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21292	NO	21292
062	ACTIVE	INACTIVE	1981-03-27	2027-04-10	1991-03-27	1998-01-01	1	68.548000	6507/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21292	NO	21292
062	ACTIVE	INACTIVE	1981-03-27	2027-04-10	1998-01-01	2001-01-01	1	59.797000	6507/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21292	NO	21292
062	ACTIVE	ACTIVE	1981-03-27	2027-04-10	2001-01-01	9999-12-31	1	51.041000	6507/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21292	NO	21292
063	INACTIVE	INACTIVE	1981-03-27	1987-03-27	1981-03-27	1987-03-27	1	331.606000	7117/9	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21300	NO	21300
064	ACTIVE	INACTIVE	1981-03-27	2035-10-01	1981-03-27	1987-03-27	1	331.606000	7120/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21308	NO	21308
064	ACTIVE	INACTIVE	1981-03-27	2035-10-01	1987-03-27	2012-01-01	1	163.432000	7120/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21308	NO	21308
064	ACTIVE	ACTIVE	1981-03-27	2035-10-01	2012-01-01	9999-12-31	1	134.853000	7120/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21308	NO	21308
065	ACTIVE	INACTIVE	1981-08-21	2022-01-01	1981-08-21	1992-01-01	1	365.661000	1/3	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21316	NO	21316
065	ACTIVE	INACTIVE	1981-08-21	2022-01-01	1992-01-01	2000-01-01	1	107.390000	1/3	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21316	NO	21316
065	ACTIVE	ACTIVE	1981-08-21	2022-01-01	2000-01-01	9999-12-31	1	58.366000	1/3	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21316	NO	21316
065	ACTIVE	INACTIVE	1981-08-21	2022-01-01	1992-01-01	2000-01-01	2	75.298000	1/3	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21316	NO	21316
066	INACTIVE	INACTIVE	1981-08-21	2002-12-31	1981-08-21	1990-01-01	1	565.894000	2/2	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21324	NO	21324
066	INACTIVE	INACTIVE	1981-08-21	2002-12-31	1990-01-01	1999-01-01	1	181.461000	2/2	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21324	NO	21324
066	INACTIVE	INACTIVE	1981-08-21	2002-12-31	1999-01-01	2002-12-31	1	66.206000	2/2	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21324	NO	21324
067	INACTIVE	INACTIVE	1981-08-21	1999-01-01	1981-08-21	1988-01-01	1	183.915000	2/5	0	100	\N	\N	NO	45	AGIP	Norsk Agip  AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21332	NO	21332
067	INACTIVE	INACTIVE	1981-08-21	1999-01-01	1988-01-01	1999-01-01	1	94.729000	2/5	0	100	\N	\N	NO	45	AGIP	Norsk Agip  AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21332	NO	21332
068	INACTIVE	INACTIVE	1981-08-21	1992-01-01	1981-08-21	1992-01-01	2	52.162000	2/11	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21340	NO	21340
068	INACTIVE	INACTIVE	1981-08-21	1992-01-01	1981-08-21	1992-01-01	3	52.483000	2/11	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21340	NO	21340
068	INACTIVE	INACTIVE	1981-08-21	1992-01-01	1981-08-21	1992-01-01	1	114.768000	2/8	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21340	NO	21340
069	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1981-08-21	1988-01-01	1	558.364000	7/8	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21348	NO	21348
069	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1988-01-01	1998-01-01	1	221.773000	7/8	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21348	NO	21348
069	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1998-01-01	1999-12-31	1	83.973000	7/8	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21348	NO	21348
069	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1998-01-01	1999-12-31	2	24.150000	7/8	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21348	NO	21348
070	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1981-08-21	1988-01-01	1	415.755000	7/11	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21356	NO	21356
070	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1988-01-01	1999-12-31	1	174.456000	7/11	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21356	NO	21356
070	INACTIVE	INACTIVE	1981-08-21	1999-12-31	1988-01-01	1999-12-31	2	18.679000	7/11	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21356	NO	21356
071	INACTIVE	INACTIVE	1981-08-21	1989-01-01	1981-08-21	1989-01-01	1	366.771000	8/3	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21364	NO	21364
072	ACTIVE	INACTIVE	1981-08-21	2018-01-01	1981-08-21	1988-01-01	1	543.172000	16/7	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21372	NO	21372
072	ACTIVE	INACTIVE	1981-08-21	2018-01-01	1988-01-01	2000-01-01	1	195.801000	16/7	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21372	NO	21372
072	ACTIVE	INACTIVE	1981-08-21	2018-01-01	2000-01-01	2001-09-04	1	135.889000	16/7	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21372	NO	21372
072	ACTIVE	INACTIVE	1981-08-21	2018-01-01	2001-09-04	2009-01-01	1	56.283000	16/7	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21372	NO	21372
072	ACTIVE	ACTIVE	1981-08-21	2018-01-01	2009-01-01	9999-12-31	1	39.938000	16/7	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21372	NO	21372
073	ACTIVE	INACTIVE	1982-04-23	2029-12-31	1982-04-23	1988-04-23	1	440.392000	6407/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21380	NO	21380
073	ACTIVE	INACTIVE	1982-04-23	2029-12-31	1988-04-23	1994-01-01	1	171.606000	6407/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21380	NO	21380
073	ACTIVE	ACTIVE	1982-04-23	2029-12-31	1994-01-01	9999-12-31	1	73.479000	6407/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21380	NO	21380
074	ACTIVE	INACTIVE	1982-04-23	2027-04-10	1982-04-23	1988-04-23	1	440.392000	6407/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21388	NO	21388
074	ACTIVE	INACTIVE	1982-04-23	2027-04-10	1988-04-23	1998-01-01	1	211.176000	6407/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21388	NO	21388
074	ACTIVE	INACTIVE	1982-04-23	2027-04-10	1998-01-01	2001-01-01	1	170.222000	6407/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21388	NO	21388
074	ACTIVE	INACTIVE	1982-04-23	2027-04-10	2001-01-01	2003-01-01	1	117.295000	6407/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21388	NO	21388
074	ACTIVE	ACTIVE	1982-04-23	2027-04-10	2003-01-01	9999-12-31	1	99.659000	6407/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21388	NO	21388
075	INACTIVE	INACTIVE	1982-04-23	1988-04-23	1982-04-23	1988-04-23	1	436.310000	6507/10	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21396	NO	21396
076	INACTIVE	INACTIVE	1982-04-23	1988-04-23	1982-04-23	1988-04-23	1	331.606000	7119/7	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21404	NO	21404
077	ACTIVE	INACTIVE	1982-04-23	2035-10-01	1982-04-23	1988-04-23	1	331.606000	7120/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21412	NO	21412
077	ACTIVE	INACTIVE	1982-04-23	2035-10-01	1988-04-23	2012-01-01	1	107.346000	7120/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21412	NO	21412
077	ACTIVE	ACTIVE	1982-04-23	2035-10-01	2012-01-01	9999-12-31	1	76.463000	7120/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21412	NO	21412
078	ACTIVE	INACTIVE	1982-04-23	2035-10-01	1982-04-23	1988-04-23	1	331.606000	7120/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21420	NO	21420
078	ACTIVE	INACTIVE	1982-04-23	2035-10-01	1988-04-23	1992-01-01	1	153.371000	7120/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21420	NO	21420
078	ACTIVE	INACTIVE	1982-04-23	2035-10-01	1992-01-01	2009-01-01	1	70.441000	7120/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21420	NO	21420
078	ACTIVE	ACTIVE	1982-04-23	2035-10-01	2009-01-01	9999-12-31	1	66.043000	7120/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	5	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21420	NO	21420
080	INACTIVE	INACTIVE	1982-12-10	1988-12-10	1982-12-10	1988-12-10	1	411.636000	6609/5	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21436	NO	21436
081	INACTIVE	INACTIVE	1982-12-10	1988-12-10	1982-12-10	1988-12-10	1	415.770000	6609/7	0	100	\N	\N	NO	694	PHILLIPS	Phillips Petroleum Company Norway	7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21444	NO	21444
082	INACTIVE	INACTIVE	1982-12-10	1988-12-10	1982-12-10	1988-12-10	1	419.895000	6609/10	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21452	NO	21452
083	INACTIVE	INACTIVE	1982-12-10	1988-12-10	1982-12-10	1988-12-10	1	419.895000	6609/11	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21460	NO	21460
084	INACTIVE	INACTIVE	1982-12-10	1988-12-10	1982-12-10	1988-12-10	1	415.770000	6610/7	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21468	NO	21468
085	ACTIVE	INACTIVE	1983-07-08	2030-09-30	1983-07-08	1989-07-08	1	504.440000	31/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21476	NO	21476
085	ACTIVE	ACTIVE	1983-07-08	2030-09-30	1989-07-08	9999-12-31	1	134.802000	31/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21476	NO	21476
085	ACTIVE	INACTIVE	1983-07-08	2030-09-30	1983-07-08	1989-07-08	2	508.360000	31/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21476	NO	21476
085	ACTIVE	ACTIVE	1983-07-08	2030-09-30	1989-07-08	9999-12-31	2	203.083000	31/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21476	NO	21476
085	ACTIVE	INACTIVE	1983-07-08	2030-09-30	1983-07-08	1989-07-08	3	508.360000	31/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21476	NO	21476
085	ACTIVE	ACTIVE	1983-07-08	2030-09-30	1989-07-08	9999-12-31	3	457.458000	31/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21476	NO	21476
085 B	ACTIVE	ACTIVE	1992-09-11	2030-07-08	1992-09-11	9999-12-31	1	17.019000	31/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21484	NO	21484
085 B	ACTIVE	ACTIVE	1992-09-11	2030-07-08	1992-09-11	9999-12-31	2	10.146000	32/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21484	NO	21484
086	INACTIVE	INACTIVE	1984-03-09	2001-01-01	1984-03-09	1990-03-09	1	56.721000	6/3	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21492	NO	21492
086	INACTIVE	INACTIVE	1984-03-09	2001-01-01	1990-03-09	1998-01-01	1	56.721000	6/3	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21492	NO	21492
086	INACTIVE	INACTIVE	1984-03-09	2001-01-01	1998-01-01	2001-01-01	1	21.579000	6/3	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21492	NO	21492
086	INACTIVE	INACTIVE	1984-03-09	2001-01-01	1984-03-09	1990-03-09	2	538.067000	7/1	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21492	NO	21492
087	INACTIVE	INACTIVE	1984-03-09	1994-12-31	1984-03-09	1991-03-09	1	539.346000	16/4	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21500	NO	21500
087	INACTIVE	INACTIVE	1984-03-09	1994-12-31	1991-03-09	1994-12-31	1	266.115000	16/4	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21500	NO	21500
088	ACTIVE	INACTIVE	1984-03-09	2022-03-09	1984-03-09	1992-03-09	1	139.081000	24/6	0	100	\N	\N	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21508	NO	21508
088	ACTIVE	INACTIVE	1984-03-09	2022-03-09	1992-03-09	2008-01-01	1	97.054000	24/6	0	100	Applies to all level s older than base tertiary.	Gjelder alle nivå under bunn tertiær.	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21508	NO	21508
088	ACTIVE	ACTIVE	1984-03-09	2022-03-09	2008-01-01	9999-12-31	1	37.392000	24/6	50	100	Applies to all levels belov base Tertiary	Gjelder alle nivå under bunn tertiær	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21508	YES	21508
088	ACTIVE	INACTIVE	1984-03-09	2022-03-09	1984-03-09	1992-03-09	2	262.047000	25/4	0	100	\N	\N	YES	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21508	NO	21508
089	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1984-03-09	1994-03-09	1	446.846000	34/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21516	NO	21516
089	ACTIVE	ACTIVE	1984-03-09	2024-03-09	1994-03-09	9999-12-31	1	316.127000	34/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21516	NO	21516
090	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1984-03-09	1994-03-09	1	500.509000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21524	NO	21524
090	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1994-03-09	2005-05-25	1	250.590000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21524	NO	21524
090	ACTIVE	ACTIVE	1984-03-09	2024-03-09	2013-01-22	9999-12-31	1	181.640000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21524	NO	21524
091	ACTIVE	INACTIVE	1984-03-09	2029-12-31	1984-03-09	1990-03-09	1	440.392000	6406/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21532	NO	21532
091	ACTIVE	INACTIVE	1984-03-09	2029-12-31	1990-03-09	2000-01-01	1	177.695000	6406/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21532	NO	21532
091	ACTIVE	ACTIVE	1984-03-09	2029-12-31	2000-01-01	9999-12-31	1	82.399000	6406/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21532	NO	21532
092	ACTIVE	INACTIVE	1984-03-09	2020-03-09	1984-03-09	1990-03-09	1	444.465000	6407/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21540	NO	21540
092	ACTIVE	INACTIVE	1984-03-09	2020-03-09	1990-03-09	1994-01-01	1	180.778000	6407/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21540	NO	21540
092	ACTIVE	ACTIVE	1984-03-09	2020-03-09	1994-01-01	9999-12-31	1	28.085000	6407/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21540	NO	21540
093	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1984-03-09	1994-03-09	1	448.529000	6407/9	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21548	NO	21548
093	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1994-03-09	2002-01-01	1	187.016000	6407/9	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21548	NO	21548
093	ACTIVE	ACTIVE	1984-03-09	2024-03-09	2002-01-01	9999-12-31	1	119.755000	6407/9	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21548	NO	21548
093	ACTIVE	ACTIVE	1984-03-09	2024-03-09	2002-01-01	9999-12-31	2	1.494000	6407/9	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21548	NO	21548
094	ACTIVE	INACTIVE	1984-03-09	2027-04-10	1984-03-09	1994-03-09	1	436.310000	6506/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21556	NO	21556
094	ACTIVE	INACTIVE	1984-03-09	2027-04-10	1994-03-09	2002-01-01	1	314.258000	6506/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21556	NO	21556
094	ACTIVE	ACTIVE	1984-03-09	2027-04-10	2002-01-01	9999-12-31	1	67.128000	6506/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21556	NO	21556
094	ACTIVE	ACTIVE	1984-03-09	2027-04-10	2002-01-01	9999-12-31	2	217.995000	6506/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21556	NO	21556
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1984-03-09	1994-03-09	1	432.220000	6507/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	NO	21564
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	1994-03-09	2000-01-01	1	214.896000	6507/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	NO	21564
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	2000-01-01	2003-01-01	1	181.863000	6507/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	NO	21564
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	2003-01-01	2003-11-06	1	168.847000	6507/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	NO	21564
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	2003-11-06	2008-01-01	1	102.405000	6507/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	NO	21564
095	ACTIVE	INACTIVE	1984-03-09	2024-03-09	2008-01-01	2011-01-01	1	87.998000	6507/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	NO	21564
095	ACTIVE	ACTIVE	1984-03-09	2024-03-09	2011-01-01	9999-12-31	1	73.562000	6507/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21564	NO	21564
096	INACTIVE	INACTIVE	1984-03-09	1990-03-09	1984-03-09	1990-03-09	1	331.606000	7119/9	0	100	\N	\N	NO	331	ELFAQUIT	Elf Aquitaine Norge A/S	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21572	NO	21572
097	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1984-03-09	1990-03-09	1	327.322000	7120/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21580	NO	21580
097	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1990-03-09	2009-01-01	1	101.521000	7120/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21580	NO	21580
097	ACTIVE	ACTIVE	1984-03-09	2035-10-01	2009-01-01	9999-12-31	1	93.884000	7120/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21580	NO	21580
097	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1990-03-09	2009-01-01	2	43.891000	7120/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21580	NO	21580
097	ACTIVE	ACTIVE	1984-03-09	2035-10-01	2009-01-01	9999-12-31	2	39.503000	7120/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21580	NO	21580
098	INACTIVE	INACTIVE	1984-03-09	1991-03-09	1984-03-09	1991-03-09	1	335.884000	7120/10	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21588	NO	21588
099	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1984-03-09	1990-03-09	1	327.322000	7121/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21596	NO	21596
099	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1990-03-09	2009-01-01	1	100.360000	7121/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21596	NO	21596
099	ACTIVE	ACTIVE	1984-03-09	2035-10-01	2009-01-01	9999-12-31	1	98.178000	7121/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21596	NO	21596
100	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1984-03-09	1990-03-09	1	331.606000	7121/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21604	NO	21604
100	ACTIVE	INACTIVE	1984-03-09	2035-10-01	1990-03-09	2009-01-01	1	101.257000	7121/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21604	NO	21604
100	ACTIVE	ACTIVE	1984-03-09	2035-10-01	2009-01-01	9999-12-31	1	77.025000	7121/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21604	NO	21604
101	INACTIVE	INACTIVE	1985-03-01	1999-12-31	1985-03-01	1992-03-01	1	546.986000	16/10	0	100	\N	\N	NO	45	AGIP	Norsk Agip  AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21612	NO	21612
101	INACTIVE	INACTIVE	1985-03-01	1999-12-31	1992-03-01	1998-01-01	1	234.826000	16/10	0	100	\N	\N	NO	45	AGIP	Norsk Agip  AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21612	NO	21612
101	INACTIVE	INACTIVE	1985-03-01	1999-12-31	1998-01-01	1999-01-01	1	180.252000	16/10	0	100	\N	\N	NO	45	AGIP	Norsk Agip  AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21612	NO	21612
101	INACTIVE	INACTIVE	1985-03-01	1999-12-31	1999-01-01	1999-12-31	1	89.176000	16/10	0	100	\N	\N	NO	45	AGIP	Norsk Agip  AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21612	NO	21612
102	ACTIVE	INACTIVE	1985-03-01	2025-03-01	1985-03-01	1995-03-01	1	523.937000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	NO	21620
102	ACTIVE	INACTIVE	1985-03-01	2025-03-01	1995-03-01	1998-01-22	1	262.272000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	NO	21620
102	ACTIVE	INACTIVE	1985-03-01	2025-03-01	1998-01-22	2003-01-01	1	236.149000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	NO	21620
102	ACTIVE	INACTIVE	1985-03-01	2025-03-01	2003-01-01	2009-03-20	1	134.601000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	NO	21620
102	ACTIVE	ACTIVE	1985-03-01	2025-03-01	2009-03-20	9999-12-31	1	19.649000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	NO	21620
102	ACTIVE	INACTIVE	1985-03-01	2025-03-01	2003-01-01	2009-03-20	2	20.978000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	NO	21620
102	ACTIVE	ACTIVE	1985-03-01	2025-03-01	2009-03-20	9999-12-31	2	20.978000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21620	NO	21620
103	INACTIVE	INACTIVE	1985-03-01	2003-12-31	1985-03-01	1991-03-01	1	527.805000	25/7	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21628	NO	21628
103	INACTIVE	INACTIVE	1985-03-01	2003-12-31	1991-03-01	1998-01-22	1	263.976000	25/7	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21628	NO	21628
103	INACTIVE	INACTIVE	1985-03-01	2003-12-31	1998-01-22	2000-01-01	1	240.271000	25/7	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21628	NO	21628
103	INACTIVE	INACTIVE	1985-03-01	2003-12-31	2000-01-01	2003-12-31	1	123.337000	25/7	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21628	NO	21628
104	ACTIVE	INACTIVE	1985-03-01	2031-03-01	1985-03-01	1995-02-28	1	410.102000	30/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21636	NO	21636
104	ACTIVE	ACTIVE	1985-03-01	2031-03-01	1995-03-01	9999-12-31	1	348.512000	30/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21636	NO	21636
105	INACTIVE	INACTIVE	1985-03-01	1991-03-01	1985-03-01	1991-03-01	1	444.465000	6406/6	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21644	NO	21644
106	INACTIVE	INACTIVE	1985-03-01	1993-12-31	1985-03-01	1991-03-01	1	444.465000	6407/4	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21652	NO	21652
106	INACTIVE	INACTIVE	1985-03-01	1993-12-31	1991-03-01	1993-12-31	1	204.474000	6407/4	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21652	NO	21652
107	ACTIVE	INACTIVE	1985-03-01	2021-03-01	1985-03-01	1991-03-01	1	448.529000	6407/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	NO	21660
107	ACTIVE	INACTIVE	1985-03-01	2021-03-01	1991-03-01	1995-12-31	1	221.518000	6407/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	NO	21660
107	ACTIVE	INACTIVE	1985-03-01	2021-03-01	1996-01-01	2011-01-01	1	70.501000	6407/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	NO	21660
107	ACTIVE	INACTIVE	1985-03-01	2021-03-01	2011-01-01	2011-10-31	1	26.858000	6407/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	NO	21660
107	ACTIVE	ACTIVE	1985-03-01	2021-03-01	2011-10-31	9999-12-31	1	70.501000	6407/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	NO	21660
107	ACTIVE	INACTIVE	1985-03-01	2021-03-01	1996-01-01	2011-01-01	2	50.730000	6407/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	NO	21660
107	ACTIVE	INACTIVE	1985-03-01	2021-03-01	2011-01-01	2011-10-31	2	70.501000	6407/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21660	NO	21660
108	INACTIVE	INACTIVE	1985-03-01	1996-12-31	1985-03-01	1992-03-01	1	323.030000	7120/1	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668	NO	21668
108	INACTIVE	INACTIVE	1985-03-01	1996-12-31	1992-03-01	1993-12-31	1	80.543000	7120/1	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668	NO	21668
108	INACTIVE	INACTIVE	1985-03-01	1996-12-31	1993-12-31	1996-12-31	1	80.078000	7120/1	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668	NO	21668
108	INACTIVE	INACTIVE	1985-03-01	1996-12-31	1992-03-01	1993-12-31	2	80.078000	7120/1	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668	NO	21668
109	INACTIVE	INACTIVE	1985-03-01	2000-12-31	1985-03-01	1992-03-01	1	323.030000	7120/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21676	NO	21676
109	INACTIVE	INACTIVE	1985-03-01	2000-12-31	1992-03-01	1994-12-31	1	140.500000	7120/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21676	NO	21676
109	INACTIVE	INACTIVE	1985-03-01	2000-12-31	1995-01-01	2000-12-31	1	99.384000	7120/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21676	NO	21676
109	INACTIVE	INACTIVE	1985-03-01	2000-12-31	1985-03-01	1992-03-01	2	323.030000	7120/3	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21676	NO	21676
109	INACTIVE	INACTIVE	1985-03-01	2000-12-31	1992-03-01	1994-12-31	2	151.282000	7120/3	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21676	NO	21676
109	INACTIVE	INACTIVE	1985-03-01	2000-12-31	1995-01-01	2000-12-31	2	43.128000	7120/3	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21676	NO	21676
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	1985-03-01	1991-03-01	1	327.322000	7120/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	1991-03-01	2009-01-01	1	105.063000	7120/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	2009-01-01	2012-01-01	1	105.063000	7120/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	ACTIVE	1985-03-01	2035-10-01	2012-01-01	9999-12-31	1	44.850000	7120/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	1985-03-01	1991-03-01	2	327.322000	7121/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	1991-03-01	2009-01-01	2	74.210000	7121/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	2009-01-01	2012-01-01	2	28.405000	7121/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	ACTIVE	1985-03-01	2035-10-01	2012-01-01	9999-12-31	2	15.368000	7121/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	1991-03-01	2009-01-01	3	30.729000	7121/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	2009-01-01	2012-01-01	3	4.364000	7121/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	ACTIVE	1985-03-01	2035-10-01	2012-01-01	9999-12-31	3	28.405000	7121/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	2009-01-01	2012-01-01	4	15.242000	7121/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	ACTIVE	1985-03-01	2035-10-01	2012-01-01	9999-12-31	4	15.242000	7121/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
110	ACTIVE	INACTIVE	1985-03-01	2035-10-01	2009-01-01	2012-01-01	5	15.368000	7121/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21684	NO	21684
111	INACTIVE	INACTIVE	1985-03-01	1994-12-31	1985-03-01	1991-03-01	1	323.030000	7121/1	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21692	NO	21692
111	INACTIVE	INACTIVE	1985-03-01	1994-12-31	1991-03-01	1994-12-31	1	151.282000	7121/1	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21692	NO	21692
112	INACTIVE	INACTIVE	1985-07-26	2000-12-31	1985-07-26	1991-07-26	1	260.215000	25/2	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	Awarded additionaly to round 9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21700	NO	21700
112	INACTIVE	INACTIVE	1985-07-26	2000-12-31	1991-07-26	1995-12-31	1	130.257000	25/2	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	Awarded additionaly to round 9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21700	NO	21700
112	INACTIVE	INACTIVE	1985-07-26	2000-12-31	1996-01-01	1997-01-01	1	39.979000	25/2	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	Awarded additionaly to round 9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21700	NO	21700
112	INACTIVE	INACTIVE	1985-07-26	2000-12-31	1997-01-01	2000-12-31	1	10.394000	25/2	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	Awarded additionaly to round 9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21700	NO	21700
112	INACTIVE	INACTIVE	1985-07-26	2000-12-31	1996-01-01	1997-01-01	2	10.394000	25/2	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	Awarded additionaly to round 9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21700	NO	21700
113	ACTIVE	ACTIVE	1985-08-23	2021-08-23	1985-08-23	9999-12-31	1	20.949000	2/12	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21708	NO	21708
114	INACTIVE	INACTIVE	1985-08-23	2001-12-31	1985-08-23	1992-08-23	1	550.790000	9/2	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21716	NO	21716
114	INACTIVE	INACTIVE	1985-08-23	2001-12-31	1992-08-23	2000-01-01	1	145.301000	9/2	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21716	NO	21716
114	INACTIVE	INACTIVE	1985-08-23	2001-12-31	2000-01-01	2001-12-31	1	18.415000	9/2	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21716	NO	21716
114	INACTIVE	INACTIVE	1985-08-23	2001-12-31	2000-01-01	2001-12-31	2	77.202000	9/2	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21716	NO	21716
114 B	INACTIVE	INACTIVE	1995-08-11	2001-08-11	1995-08-11	2001-08-11	1	11.059000	9/5	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	Awarded additionaly to round 10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21724	NO	21724
115	INACTIVE	INACTIVE	1985-08-23	1999-12-31	1985-08-23	1991-08-23	1	550.790000	9/3	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21732	NO	21732
115	INACTIVE	INACTIVE	1985-08-23	1999-12-31	1991-08-23	1995-12-31	1	174.742000	9/3	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21732	NO	21732
115	INACTIVE	INACTIVE	1985-08-23	1999-12-31	1996-01-01	1999-12-31	1	115.861000	9/3	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21732	NO	21732
116	INACTIVE	INACTIVE	1985-08-23	2000-12-31	1985-08-23	1992-08-23	1	188.465000	15/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21740	NO	21740
116	INACTIVE	INACTIVE	1985-08-23	2000-12-31	1992-08-23	1998-01-01	1	12.280000	15/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21740	NO	21740
116	INACTIVE	INACTIVE	1985-08-23	2000-12-31	1998-01-01	2000-12-31	1	66.764000	15/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21740	NO	21740
116	INACTIVE	INACTIVE	1985-08-23	2000-12-31	1992-08-23	1998-01-01	2	81.478000	15/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21740	NO	21740
116	INACTIVE	INACTIVE	1985-08-23	2000-12-31	1998-01-01	2000-12-31	2	12.280000	15/12	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21740	NO	21740
117	INACTIVE	INACTIVE	1985-08-23	1999-12-31	1985-08-23	1992-08-23	1	523.937000	25/6	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21748	NO	21748
117	INACTIVE	INACTIVE	1985-08-23	1999-12-31	1992-08-23	1999-12-31	1	108.520000	25/6	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21748	NO	21748
118	INACTIVE	INACTIVE	1985-08-23	1991-08-23	1985-08-23	1991-08-23	1	523.937000	26/4	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21756	NO	21756
119	INACTIVE	INACTIVE	1985-08-23	1991-08-23	1985-08-23	1991-08-23	1	170.273000	29/3	0	100	\N	\N	NO	848	TOTAL	Total Norge AS	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21764	NO	21764
120	ACTIVE	INACTIVE	1985-08-23	2034-08-23	1985-08-23	1993-08-23	1	49.723000	34/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21772	NO	21772
120	ACTIVE	INACTIVE	1985-08-23	2034-08-23	1993-08-23	2006-10-06	1	24.894000	34/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21772	NO	21772
120	ACTIVE	ACTIVE	1985-08-23	2034-08-23	2006-10-06	9999-12-31	1	14.929000	34/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21772	NO	21772
120	ACTIVE	INACTIVE	1985-08-23	2034-08-23	1985-08-23	1993-08-23	2	496.569000	34/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21772	NO	21772
120	ACTIVE	INACTIVE	1985-08-23	2034-08-23	1993-08-23	2006-10-06	2	246.706000	34/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21772	NO	21772
120	ACTIVE	ACTIVE	1985-08-23	2034-08-23	2006-10-06	9999-12-31	2	236.740000	34/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21772	NO	21772
121	ACTIVE	INACTIVE	1986-02-28	2022-02-28	1986-02-28	1992-02-28	1	444.465000	6407/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21780	NO	21780
121	ACTIVE	INACTIVE	1986-02-28	2022-02-28	1992-02-28	1994-01-01	1	222.558000	6407/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21780	NO	21780
121	ACTIVE	ACTIVE	1986-02-28	2022-02-28	1994-01-01	9999-12-31	1	26.619000	6407/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21780	NO	21780
122	ACTIVE	INACTIVE	1986-02-28	2025-02-28	1986-02-28	1995-02-28	1	424.012000	6507/2	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21788	NO	21788
122	ACTIVE	INACTIVE	1986-02-28	2025-02-28	1995-02-28	1996-12-31	1	212.022000	6507/2	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21788	NO	21788
122	ACTIVE	INACTIVE	1986-02-28	2025-02-28	1997-01-01	2011-01-01	1	102.926000	6507/2	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21788	NO	21788
122	ACTIVE	ACTIVE	1986-02-28	2025-02-28	2011-01-01	9999-12-31	1	81.758000	6507/2	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21788	NO	21788
123	INACTIVE	INACTIVE	1986-02-28	1992-02-28	1986-02-28	1992-02-28	1	428.120000	6507/6	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21796	NO	21796
124	ACTIVE	INACTIVE	1986-02-28	2025-02-28	1986-02-28	1995-02-28	1	432.220000	6507/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21804	NO	21804
124	ACTIVE	INACTIVE	1986-02-28	2025-02-28	1995-02-28	2000-01-01	1	215.926000	6507/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21804	NO	21804
124	ACTIVE	INACTIVE	1986-02-28	2025-02-28	2000-01-01	2005-01-01	1	195.785000	6507/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21804	NO	21804
124	ACTIVE	INACTIVE	1986-02-28	2025-02-28	2005-01-01	2011-12-31	1	141.133000	6507/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21804	NO	21804
124	ACTIVE	ACTIVE	1986-02-28	2025-02-28	2011-12-31	9999-12-31	1	99.273000	6507/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21804	NO	21804
125	INACTIVE	INACTIVE	1986-02-28	1990-03-14	1986-02-28	1990-03-14	1	428.120000	6508/5	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21812	NO	21812
126	INACTIVE	INACTIVE	1986-02-28	1992-02-28	1986-02-28	1992-02-28	1	411.636000	6607/5	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21820	NO	21820
127	ACTIVE	INACTIVE	1986-02-28	2023-02-28	1986-02-28	1993-02-28	1	419.895000	6607/12	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21828	NO	21828
127	ACTIVE	INACTIVE	1986-02-28	2023-02-28	1993-02-28	1998-01-01	1	210.335000	6607/12	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21828	NO	21828
127	ACTIVE	INACTIVE	1986-02-28	2023-02-28	1998-01-01	2005-01-01	1	144.441000	6607/12	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21828	NO	21828
127	ACTIVE	ACTIVE	1986-02-28	2023-02-28	2005-01-01	9999-12-31	1	92.716000	6607/12	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21828	NO	21828
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	1986-02-28	1996-02-28	1	419.895000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	1996-02-28	2005-01-01	1	173.945000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	2005-01-01	2008-01-01	1	173.945000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	2008-01-01	2009-01-01	1	140.227000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	ACTIVE	1986-02-28	2026-02-28	2009-01-01	9999-12-31	1	137.422000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	1996-02-28	2005-01-01	2	34.847000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	2005-01-01	2008-01-01	2	34.847000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	2008-01-01	2009-01-01	2	34.847000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	ACTIVE	1986-02-28	2026-02-28	2009-01-01	9999-12-31	2	34.847000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	1986-02-28	1996-02-28	2	419.895000	6608/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	1996-02-28	2005-01-01	3	206.968000	6608/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	2005-01-01	2008-01-01	3	184.550000	6608/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	INACTIVE	1986-02-28	2026-02-28	2008-01-01	2009-01-01	3	148.067000	6608/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
128	ACTIVE	ACTIVE	1986-02-28	2026-02-28	2009-01-01	9999-12-31	3	76.769000	6608/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	10-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21836	NO	21836
129	INACTIVE	INACTIVE	1986-07-11	1994-12-31	1986-07-11	1992-07-11	1	225.393000	25/1	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	Awarded additionaly to round 10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21844	NO	21844
129	INACTIVE	INACTIVE	1986-07-11	1994-12-31	1992-07-11	1994-12-31	1	105.976000	25/1	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	Awarded additionaly to round 10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21844	NO	21844
130	INACTIVE	INACTIVE	1987-04-10	1993-04-10	1987-04-10	1993-04-10	1	478.071000	6201/11	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21852	NO	21852
131	INACTIVE	INACTIVE	1987-04-10	1992-12-15	1987-04-10	1992-12-15	1	448.529000	6406/8	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21860	NO	21860
132	ACTIVE	INACTIVE	1987-04-10	2023-04-10	1987-04-10	1993-04-10	1	452.584000	6407/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21868	NO	21868
132	ACTIVE	INACTIVE	1987-04-10	2023-04-10	1993-04-10	2004-01-01	1	72.168000	6407/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21868	NO	21868
132	ACTIVE	ACTIVE	1987-04-10	2023-04-10	2004-01-01	9999-12-31	1	21.036000	6407/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21868	NO	21868
133	INACTIVE	INACTIVE	1987-04-10	1992-01-01	1987-04-10	1992-01-01	1	444.465000	6408/4	0	100	\N	\N	NO	221	CONOCO N	Norske Conoco A/S	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21876	NO	21876
134	ACTIVE	INACTIVE	1987-04-10	2027-04-10	1987-04-10	1997-04-09	1	436.310000	6506/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21884	NO	21884
134	ACTIVE	INACTIVE	1987-04-10	2027-04-10	1997-04-10	2000-01-14	1	218.507000	6506/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21884	NO	21884
134	ACTIVE	ACTIVE	1987-04-10	2027-04-10	2000-01-14	9999-12-31	1	62.711000	6506/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21884	NO	21884
135	INACTIVE	INACTIVE	1987-04-10	1995-12-31	1987-04-10	1993-04-10	1	323.030000	7124/3	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21892	NO	21892
135	INACTIVE	INACTIVE	1987-04-10	1995-12-31	1993-04-10	1995-12-31	1	64.950000	7124/3	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21892	NO	21892
135	INACTIVE	INACTIVE	1987-04-10	1995-12-31	1993-04-10	1995-12-31	2	141.679000	7124/3	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21892	NO	21892
135	INACTIVE	INACTIVE	1987-04-10	1995-12-31	1987-04-10	1993-04-10	2	323.030000	7125/1	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21892	NO	21892
135	INACTIVE	INACTIVE	1987-04-10	1995-12-31	1993-04-10	1995-12-31	3	16.237000	7125/1	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21892	NO	21892
135	INACTIVE	INACTIVE	1987-04-10	1995-12-31	1993-04-10	1995-12-31	4	96.823000	7125/1	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21892	NO	21892
136	INACTIVE	INACTIVE	1987-04-10	1993-04-10	1987-04-10	1993-04-10	1	314.428000	7219/9	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21900	NO	21900
136	INACTIVE	INACTIVE	1987-04-10	1993-04-10	1987-04-10	1993-04-10	2	314.428000	7220/7	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21900	NO	21900
137	INACTIVE	INACTIVE	1987-04-10	1990-12-31	1987-04-10	1990-12-31	1	314.428000	7224/7	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21908	NO	21908
137	INACTIVE	INACTIVE	1987-04-10	1990-12-31	1987-04-10	1990-12-31	2	314.428000	7224/8	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21908	NO	21908
138	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1987-05-29	1993-05-29	1	327.322000	7122/6	0	100	\N	\N	NO	848	TOTAL	Total Norge AS	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21916	NO	21916
138	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1993-05-29	1999-12-31	1	92.741000	7122/6	0	100	\N	\N	NO	848	TOTAL	Total Norge AS	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21916	NO	21916
139	INACTIVE	INACTIVE	1987-05-29	1993-05-29	1987-05-29	1993-05-29	3	318.732000	7226/11	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21924	NO	21924
139	INACTIVE	INACTIVE	1987-05-29	1993-05-29	1987-05-29	1993-05-29	1	314.428000	7226/8	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21924	NO	21924
139	INACTIVE	INACTIVE	1987-05-29	1993-05-29	1987-05-29	1993-05-29	2	314.428000	7226/9	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21924	NO	21924
140	INACTIVE	INACTIVE	1987-05-29	1990-12-31	1987-05-29	1990-12-31	1	297.147000	7320/9	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21932	NO	21932
140	INACTIVE	INACTIVE	1987-05-29	1990-12-31	1987-05-29	1990-12-31	2	297.147000	7321/7	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21932	NO	21932
141	INACTIVE	INACTIVE	1987-05-29	1990-12-31	1987-05-29	1990-12-31	1	297.147000	7321/8	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21940	NO	21940
141	INACTIVE	INACTIVE	1987-05-29	1990-12-31	1987-05-29	1990-12-31	2	297.147000	7321/9	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21940	NO	21940
142	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1987-05-29	1997-05-29	1	8.026000	29/9	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21948	NO	21948
142	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1997-05-30	1999-01-01	2	73.928000	30/10	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21948	NO	21948
142	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1987-05-29	1997-05-29	3	232.587000	30/10	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21948	NO	21948
142	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1997-05-30	1999-01-01	1	180.062000	30/7	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21948	NO	21948
142	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1999-01-01	1999-12-31	1	102.220000	30/7	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21948	NO	21948
142	INACTIVE	INACTIVE	1987-05-29	1999-12-31	1987-05-29	1997-05-29	2	271.696000	30/7	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	11-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21948	NO	21948
143	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1988-07-08	1997-07-09	1	319.068000	1/2	0	100	\N	\N	YES	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21956	NO	21956
143	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1997-07-09	2012-01-01	1	158.008000	1/2	50	100	Applies to all levels below top Cretaceous.	Gjelder alle nivå under topp kritt	YES	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21956	YES	21956
143	ACTIVE	ACTIVE	1988-07-08	2027-07-08	2012-01-01	9999-12-31	1	105.141000	1/2	50	100	Applies to all levels below top Cretaceous.	Gjelder for nivå under topp kritt.	YES	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21956	YES	21956
144	INACTIVE	INACTIVE	1988-07-08	2002-12-31	1988-07-08	1998-07-08	1	79.269000	1/5	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21964	NO	21964
144	INACTIVE	INACTIVE	1988-07-08	2002-12-31	1998-07-08	2002-12-31	3	49.254000	1/5	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21964	NO	21964
144	INACTIVE	INACTIVE	1988-07-08	2002-12-31	1998-07-08	2002-12-31	1	105.493000	1/6	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21964	NO	21964
144	INACTIVE	INACTIVE	1988-07-08	2002-12-31	1988-07-08	1998-07-08	2	117.497000	1/6	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21964	NO	21964
144	INACTIVE	INACTIVE	1988-07-08	2002-12-31	1998-07-08	2002-12-31	2	34.151000	1/6	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21964	NO	21964
144	INACTIVE	INACTIVE	1988-07-08	2002-12-31	1988-07-08	1998-07-08	3	139.734000	1/6	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21964	NO	21964
145	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1988-07-08	1994-07-08	1	90.418000	1/9	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21972	NO	21972
145	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1994-07-08	2001-01-01	1	14.932000	1/9	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21972	NO	21972
145	ACTIVE	INACTIVE	1988-07-08	2024-07-08	2001-01-01	2007-01-01	1	21.036000	2/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21972	NO	21972
145	ACTIVE	ACTIVE	1988-07-08	2024-07-08	2007-01-01	9999-12-31	1	11.475000	2/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21972	NO	21972
145	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1988-07-08	1994-07-08	2	160.137000	2/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21972	NO	21972
145	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1994-07-08	2001-01-01	2	100.927000	2/7	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21972	NO	21972
146	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1988-07-08	1997-07-08	1	221.748000	2/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21980	NO	21980
146	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1997-07-09	2003-01-01	1	109.888000	2/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21980	NO	21980
146	ACTIVE	ACTIVE	1988-07-08	2027-07-08	2003-01-01	9999-12-31	1	83.371000	2/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21980	NO	21980
147	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1988-07-08	1997-07-09	1	341.157000	3/7	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21988	NO	21988
147	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1997-07-09	2000-01-01	1	132.971000	3/7	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21988	NO	21988
147	ACTIVE	ACTIVE	1988-07-08	2027-07-08	2000-01-01	9999-12-31	1	19.372000	3/7	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21988	NO	21988
147	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1988-07-08	1997-07-09	2	126.620000	3/8	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21988	NO	21988
147	ACTIVE	INACTIVE	1988-07-08	2027-07-08	1997-07-09	2000-01-01	2	99.939000	3/8	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21988	NO	21988
148	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1988-07-08	1994-07-08	1	375.503000	7/4	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21996	NO	21996
148	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1994-07-08	2000-01-01	1	123.708000	7/4	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21996	NO	21996
148	ACTIVE	ACTIVE	1988-07-08	2024-07-08	2000-01-01	9999-12-31	1	9.272000	7/4	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21996	NO	21996
148	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1988-07-08	1994-07-08	2	167.935000	7/7	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21996	NO	21996
148	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1994-07-08	2000-01-01	2	147.446000	7/7	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21996	NO	21996
148	ACTIVE	ACTIVE	1988-07-08	2024-07-08	2000-01-01	9999-12-31	2	40.849000	7/7	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21996	NO	21996
149	INACTIVE	INACTIVE	1988-07-08	1994-07-08	1988-07-08	1994-07-08	1	535.510000	16/3	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22004	NO	22004
150	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1988-07-08	1994-07-08	1	375.258000	24/9	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22012	NO	22012
150	ACTIVE	INACTIVE	1988-07-08	2024-07-08	1994-07-08	2003-01-01	1	186.479000	24/9	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22012	NO	22012
150	ACTIVE	INACTIVE	1988-07-08	2024-07-08	2003-01-01	2008-01-01	1	57.912000	24/9	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22012	NO	22012
150	ACTIVE	ACTIVE	1988-07-08	2024-07-08	2008-01-01	9999-12-31	1	47.369000	24/9	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22012	NO	22012
151	INACTIVE	INACTIVE	1988-07-08	1994-07-08	1988-07-08	1994-07-08	1	520.058000	25/3	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22020	NO	22020
152	ACTIVE	INACTIVE	1988-07-08	2036-06-30	1988-07-08	1995-07-08	1	137.968000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22028	NO	22028
152	ACTIVE	INACTIVE	1988-07-08	2036-06-30	1995-07-08	2005-01-01	1	73.468000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22028	NO	22028
152	ACTIVE	INACTIVE	1988-07-08	2036-06-30	2005-01-01	2013-01-01	1	23.408000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22028	NO	22028
152	ACTIVE	ACTIVE	1988-07-08	2036-06-30	2013-01-01	9999-12-31	1	20.061000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22028	NO	22028
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	1988-07-08	1998-07-08	1	496.569000	35/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	1998-07-08	2001-01-01	1	332.420000	35/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	2001-01-01	2003-01-01	1	74.534000	35/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	2003-01-01	2004-01-01	1	74.534000	35/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	ACTIVE	1988-07-08	2028-07-08	2004-01-01	9999-12-31	1	110.810000	35/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	2001-01-01	2003-01-01	2	132.262000	35/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	2003-01-01	2004-01-01	2	110.810000	35/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	1988-07-08	1998-07-08	2	496.569000	36/7	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	1998-07-08	2001-01-01	2	451.723000	36/7	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	ACTIVE	1988-07-08	2028-07-08	2004-01-01	9999-12-31	2	24.841000	36/7	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	2001-01-01	2003-01-01	3	345.605000	36/7	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	2003-01-01	2004-01-01	3	24.841000	36/7	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	ACTIVE	1988-07-08	2028-07-08	2004-01-01	9999-12-31	3	11.603000	36/7	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
153	ACTIVE	INACTIVE	1988-07-08	2028-07-08	2003-01-01	2004-01-01	4	11.603000	36/7	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22036	NO	22036
154	INACTIVE	INACTIVE	1989-03-03	1995-03-03	1989-03-03	1995-03-03	1	472.721000	6205/3	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22044	NO	22044
154	INACTIVE	INACTIVE	1989-03-03	1995-03-03	1989-03-03	1995-03-03	2	468.712000	6305/12	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22044	NO	22044
155	INACTIVE	INACTIVE	1989-03-03	1993-02-18	1989-03-03	1993-02-18	1	468.712000	6306/10	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22052	NO	22052
156	INACTIVE	INACTIVE	1989-03-03	2002-12-31	1989-03-03	1999-03-03	1	452.584000	6406/11	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22060	NO	22060
156	INACTIVE	INACTIVE	1989-03-03	2002-12-31	1999-03-03	2001-01-01	1	221.959000	6406/11	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22060	NO	22060
156	INACTIVE	INACTIVE	1989-03-03	2002-12-31	2001-01-01	2002-12-31	1	45.285000	6406/11	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22060	NO	22060
157	INACTIVE	INACTIVE	1989-03-03	1999-12-31	1989-03-03	1999-03-03	1	452.584000	6406/12	0	100	\N	\N	NO	40148	NORSK CHEVRON	Norsk Chevron AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22068	NO	22068
157	INACTIVE	INACTIVE	1989-03-03	1999-12-31	1999-03-03	1999-12-31	1	226.546000	6406/12	0	100	\N	\N	NO	40148	NORSK CHEVRON	Norsk Chevron AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22068	NO	22068
158	ACTIVE	INACTIVE	1989-03-03	2028-03-03	1989-03-03	1998-03-03	1	448.529000	6407/8	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22076	NO	22076
158	ACTIVE	INACTIVE	1989-03-03	2028-03-03	1998-03-03	2000-01-01	1	224.139000	6407/8	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22076	NO	22076
158	ACTIVE	INACTIVE	1989-03-03	2028-03-03	2000-01-01	2002-01-01	1	149.595000	6407/8	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22076	NO	22076
158	ACTIVE	ACTIVE	1989-03-03	2028-03-03	2002-01-01	9999-12-31	1	5.975000	6407/8	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22076	NO	22076
159	ACTIVE	INACTIVE	1989-03-03	2029-03-03	1989-03-03	1999-03-03	1	424.012000	6507/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22084	NO	22084
159	ACTIVE	INACTIVE	1989-03-03	2029-03-03	1999-03-03	2001-09-03	1	237.259000	6507/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22084	NO	22084
159	ACTIVE	INACTIVE	1989-03-03	2029-03-03	2001-09-03	2004-08-13	1	211.843000	6507/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22084	NO	22084
159	ACTIVE	INACTIVE	1989-03-03	2029-03-03	2004-08-13	2008-02-13	1	134.399000	6507/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22084	NO	22084
159	ACTIVE	ACTIVE	1989-03-03	2029-03-03	2008-02-13	9999-12-31	1	55.650000	6507/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22084	NO	22084
160	INACTIVE	INACTIVE	1989-03-03	1993-11-01	1989-03-03	1993-11-01	1	305.800000	7228/1	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22092	NO	22092
160	INACTIVE	INACTIVE	1989-03-03	1993-11-01	1989-03-03	1993-11-01	2	305.800000	7228/2	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22092	NO	22092
161	INACTIVE	INACTIVE	1989-03-03	1993-12-31	1989-03-03	1993-12-31	1	314.428000	7228/8	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22100	NO	22100
161	INACTIVE	INACTIVE	1989-03-03	1993-12-31	1989-03-03	1993-12-31	2	314.428000	7228/9	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22100	NO	22100
162	INACTIVE	INACTIVE	1989-03-03	1991-12-31	1989-03-03	1991-12-31	1	301.476000	7324/10	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22108	NO	22108
162	INACTIVE	INACTIVE	1989-03-03	1991-12-31	1989-03-03	1991-12-31	2	301.476000	7324/11	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	12-B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22108	NO	22108
163	INACTIVE	INACTIVE	1991-03-01	2000-03-01	1991-03-01	2000-03-01	1	51.795000	2/10	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22116	NO	22116
163	INACTIVE	INACTIVE	1991-03-01	2000-03-01	1991-03-01	2000-03-01	2	49.895000	2/10	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22116	NO	22116
164	INACTIVE	INACTIVE	1991-03-01	1997-03-01	1991-03-01	1997-03-01	1	101.616000	2/1	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22124	NO	22124
164	INACTIVE	INACTIVE	1991-03-01	1997-03-01	1991-03-01	1997-03-01	2	78.819000	7/12	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22124	NO	22124
164	INACTIVE	INACTIVE	1991-03-01	1997-03-01	1991-03-01	1997-03-01	3	228.485000	7/12	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22124	NO	22124
164	INACTIVE	INACTIVE	1991-03-01	1997-03-01	1991-03-01	1997-03-01	4	374.792000	8/10	0	100	\N	\N	NO	155	BPAS	BP Petroleum Dev. of Norway AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22124	NO	22124
165	INACTIVE	INACTIVE	1991-03-01	1994-11-01	1991-03-01	1994-11-01	1	558.364000	10/7	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22132	NO	22132
166	INACTIVE	INACTIVE	1991-03-01	2002-12-31	1991-03-01	2000-03-01	1	269.806000	15/6	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22140	NO	22140
166	INACTIVE	INACTIVE	1991-03-01	2002-12-31	2000-03-01	2002-12-31	1	127.786000	15/6	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22140	NO	22140
167	ACTIVE	INACTIVE	1991-03-01	2030-03-01	1991-03-01	2000-03-01	1	209.034000	16/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22148	NO	22148
167	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2000-03-01	2007-01-01	1	40.960000	16/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22148	NO	22148
167	ACTIVE	ACTIVE	1991-03-01	2030-03-01	2007-01-01	9999-12-31	1	21.359000	16/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22148	NO	22148
168	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1991-03-01	1999-03-01	1	267.501000	25/10	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22156	NO	22156
168	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1999-03-01	2001-01-01	1	47.718000	25/10	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22156	NO	22156
168	INACTIVE	INACTIVE	1991-03-01	2003-12-31	2001-01-01	2003-12-31	1	47.718000	25/10	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22156	NO	22156
168	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1999-03-01	2001-01-01	2	85.277000	25/10	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22156	NO	22156
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	1991-03-01	2000-03-01	2	430.884000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2000-03-01	2009-03-27	2	120.714000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2009-03-27	2011-11-04	2	120.714000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	ACTIVE	1991-03-01	2030-03-01	2011-11-04	9999-12-31	2	120.714000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2000-03-01	2009-03-27	3	1.773000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2009-03-27	2011-11-04	3	1.773000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	ACTIVE	1991-03-01	2030-03-01	2011-11-04	9999-12-31	3	1.773000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2000-03-01	2009-03-27	4	3.542000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2009-03-27	2011-11-04	4	3.542000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	ACTIVE	1991-03-01	2030-03-01	2011-11-04	9999-12-31	4	3.542000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2000-03-01	2009-03-27	5	5.307000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2009-03-27	2011-11-04	5	5.307000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	ACTIVE	1991-03-01	2030-03-01	2011-11-04	9999-12-31	5	5.307000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2000-03-01	2009-03-27	6	8.831000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2009-03-27	2011-11-04	6	8.831000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	ACTIVE	1991-03-01	2030-03-01	2011-11-04	9999-12-31	6	8.831000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	1991-03-01	2000-03-01	1	158.505000	25/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2000-03-01	2009-03-27	1	118.005000	25/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	INACTIVE	1991-03-01	2030-03-01	2009-03-27	2011-11-04	1	91.618000	25/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
169	ACTIVE	ACTIVE	1991-03-01	2030-03-01	2011-11-04	9999-12-31	1	72.233000	25/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22164	NO	22164
170	INACTIVE	INACTIVE	1991-03-01	1997-12-31	1991-03-01	1995-03-01	1	174.407000	30/6	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22172	NO	22172
170	INACTIVE	INACTIVE	1991-03-01	1997-12-31	1995-03-01	1997-12-31	1	13.511000	30/6	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22172	NO	22172
171	INACTIVE	INACTIVE	1991-03-01	2002-12-31	1991-03-01	2000-10-09	1	516.169000	30/12	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22180	NO	22180
171	INACTIVE	INACTIVE	1991-03-01	2002-12-31	2000-10-09	2001-01-01	1	493.017000	30/12	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22180	NO	22180
171	INACTIVE	INACTIVE	1991-03-01	2002-12-31	2001-01-01	2002-12-31	1	231.012000	30/12	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22180	NO	22180
172	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1991-03-01	1995-03-01	1	85.440000	33/9	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22188	NO	22188
172	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1995-03-01	2000-01-01	1	29.769000	33/9	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22188	NO	22188
172	INACTIVE	INACTIVE	1991-03-01	2003-12-31	2000-01-01	2003-12-31	1	25.272000	33/9	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22188	NO	22188
172	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1991-03-01	1995-03-01	2	71.748000	33/9	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22188	NO	22188
172	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1995-03-01	2000-01-01	2	48.366000	33/9	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22188	NO	22188
173	INACTIVE	INACTIVE	1991-03-01	2000-12-27	1991-03-01	1999-12-29	1	500.509000	35/10	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22196	NO	22196
173	INACTIVE	INACTIVE	1991-03-01	2000-12-27	1999-12-29	2000-12-27	1	211.971000	35/10	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22196	NO	22196
173	INACTIVE	INACTIVE	1991-03-01	2000-12-27	1999-12-29	2000-12-27	2	38.284000	35/10	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22196	NO	22196
174	INACTIVE	INACTIVE	1991-03-01	2003-12-31	1991-03-01	2000-12-29	1	500.509000	35/12	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22204	NO	22204
174	INACTIVE	INACTIVE	1991-03-01	2003-12-31	2000-12-29	2003-12-31	1	50.124000	35/12	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22204	NO	22204
175	INACTIVE	INACTIVE	1991-03-01	1999-12-31	1991-03-01	1999-03-01	1	484.689000	6204/10	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22212	NO	22212
175	INACTIVE	INACTIVE	1991-03-01	1999-12-31	1999-03-01	1999-12-31	1	359.963000	6204/10	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22212	NO	22212
175	INACTIVE	INACTIVE	1991-03-01	1999-12-31	1991-03-01	1999-03-01	2	484.689000	6204/11	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22212	NO	22212
175	INACTIVE	INACTIVE	1991-03-01	1999-12-31	1999-03-01	1999-12-31	2	19.436000	6204/11	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22212	NO	22212
175	INACTIVE	INACTIVE	1991-03-01	1999-12-31	1999-03-01	1999-12-31	3	49.955000	6204/11	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22212	NO	22212
176	ACTIVE	INACTIVE	1991-03-01	2028-03-01	1991-03-01	1998-03-01	1	452.584000	6407/11	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	NO	22220
176	ACTIVE	INACTIVE	1991-03-01	2028-03-01	1998-03-01	2000-01-01	1	227.394000	6407/11	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	NO	22220
176	ACTIVE	INACTIVE	1991-03-01	2028-03-01	2000-01-01	2001-01-01	1	84.193000	6407/11	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	NO	22220
176	ACTIVE	ACTIVE	1991-03-01	2028-03-01	2001-01-01	9999-12-31	1	7.512000	6407/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	NO	22220
176	ACTIVE	INACTIVE	1991-03-01	2028-03-01	1991-03-01	1998-03-01	2	452.584000	6407/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	NO	22220
176	ACTIVE	INACTIVE	1991-03-01	2028-03-01	1998-03-01	2000-01-01	2	189.621000	6407/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	NO	22220
176	ACTIVE	INACTIVE	1991-03-01	2028-03-01	2000-01-01	2001-01-01	2	45.096000	6407/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22220	NO	22220
177	INACTIVE	INACTIVE	1991-03-01	2000-01-01	1991-03-01	2000-01-01	1	407.494000	6610/2	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22228	NO	22228
177	INACTIVE	INACTIVE	1991-03-01	2000-01-01	1991-03-01	2000-01-01	2	407.494000	6610/3	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22228	NO	22228
178	INACTIVE	INACTIVE	1991-03-01	1993-12-31	1991-03-01	1993-12-31	1	323.030000	7122/1	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22236	NO	22236
178	INACTIVE	INACTIVE	1991-03-01	1993-12-31	1991-03-01	1993-12-31	2	327.322000	7122/4	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22236	NO	22236
179	INACTIVE	INACTIVE	1991-03-01	1994-12-22	1991-03-01	1994-12-22	1	323.030000	7122/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22244	NO	22244
179	INACTIVE	INACTIVE	1991-03-01	1994-12-22	1991-03-01	1994-12-22	2	323.030000	7122/3	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22244	NO	22244
180	INACTIVE	INACTIVE	1991-03-01	1995-04-01	1991-03-01	1995-04-01	1	327.322000	7128/4	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22252	NO	22252
181	INACTIVE	INACTIVE	1991-03-01	1999-03-01	1991-03-01	1999-03-01	1	327.322000	7128/6	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22260	NO	22260
181	INACTIVE	INACTIVE	1991-03-01	1999-03-01	1991-03-01	1999-03-01	2	331.606000	7128/9	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22260	NO	22260
181	INACTIVE	INACTIVE	1991-03-01	1999-03-01	1991-03-01	1999-03-01	3	327.322000	7129/4	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22260	NO	22260
182	INACTIVE	INACTIVE	1991-03-01	2000-12-31	1991-03-01	2000-12-31	1	314.428000	7219/7	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22268	NO	22268
182	INACTIVE	INACTIVE	1991-03-01	2000-12-31	1991-03-01	2000-12-31	2	314.428000	7219/8	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22268	NO	22268
183	INACTIVE	INACTIVE	1991-03-01	1995-04-11	1991-03-01	1995-04-11	1	318.732000	7229/11	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22276	NO	22276
183	INACTIVE	INACTIVE	1991-03-01	1995-04-11	1991-03-01	1995-04-11	2	318.732000	7229/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22276	NO	22276
184	INACTIVE	INACTIVE	1991-03-01	1994-07-01	1991-03-01	1994-07-01	1	292.811000	7316/4	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22284	NO	22284
184	INACTIVE	INACTIVE	1991-03-01	1994-07-01	1991-03-01	1994-07-01	2	292.811000	7316/5	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22284	NO	22284
184	INACTIVE	INACTIVE	1991-03-01	1994-07-01	1991-03-01	1994-07-01	3	297.147000	7316/8	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22284	NO	22284
185	ACTIVE	ACTIVE	1991-09-13	2015-04-06	1991-09-13	9999-12-31	1	25.535000	31/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22292	NO	22292
186	INACTIVE	INACTIVE	1993-09-10	1999-09-10	1993-09-10	1999-09-10	1	9.933000	7/10	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22300	NO	22300
186	INACTIVE	INACTIVE	1993-09-10	1999-09-10	1993-09-10	1999-09-10	2	222.620000	7/11	0	100	\N	\N	NO	716	SAGA	Saga Petroleum ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22300	NO	22300
187	ACTIVE	INACTIVE	1993-09-10	2032-09-10	1993-09-10	2002-09-10	1	107.019000	15/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22308	NO	22308
187	ACTIVE	ACTIVE	1993-09-10	2032-09-10	2002-09-10	9999-12-31	1	33.942000	15/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22308	NO	22308
187	ACTIVE	INACTIVE	1993-09-10	2032-09-10	1993-09-10	2002-09-10	2	133.877000	15/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22308	NO	22308
187	ACTIVE	ACTIVE	1993-09-10	2032-09-10	2002-09-10	9999-12-31	2	33.976000	15/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22308	NO	22308
187	ACTIVE	INACTIVE	1993-09-10	2032-09-10	1993-09-10	2002-09-10	3	133.781000	15/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22308	NO	22308
188	INACTIVE	INACTIVE	1993-09-10	1998-04-20	1993-09-10	1998-04-20	1	535.510000	17/3	0	100	\N	\N	NO	298	ELF NORGE	Elf Petroleum Norge AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22316	NO	22316
189	INACTIVE	INACTIVE	1993-09-10	2005-01-01	1993-09-10	2000-09-10	1	108.857000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22324	NO	22324
189	INACTIVE	INACTIVE	1993-09-10	2005-01-01	2000-09-10	2003-12-18	1	108.857000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22324	NO	22324
189	INACTIVE	INACTIVE	1993-09-10	2005-01-01	2003-12-18	2005-01-01	1	108.857000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22324	NO	22324
189	INACTIVE	INACTIVE	1993-09-10	2005-01-01	1993-09-10	2000-09-10	2	527.805000	25/9	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22324	NO	22324
189	INACTIVE	INACTIVE	1993-09-10	2005-01-01	2000-09-10	2003-12-18	2	207.836000	25/9	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22324	NO	22324
190	ACTIVE	INACTIVE	1993-09-10	2032-09-10	1993-09-10	2000-10-04	1	512.269000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22332	NO	22332
190	ACTIVE	INACTIVE	1993-09-10	2032-09-10	2000-10-04	2002-09-10	1	35.756000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22332	NO	22332
190	ACTIVE	ACTIVE	1993-09-10	2032-09-10	2002-09-10	9999-12-31	1	35.756000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22332	NO	22332
190	ACTIVE	INACTIVE	1993-09-10	2032-09-10	2000-10-04	2002-09-10	2	42.749000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22332	NO	22332
190	ACTIVE	ACTIVE	1993-09-10	2032-09-10	2002-09-10	9999-12-31	2	23.944000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22332	NO	22332
190	ACTIVE	INACTIVE	1993-09-10	2032-09-10	2000-10-04	2002-09-10	3	196.367000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22332	NO	22332
190	ACTIVE	ACTIVE	1993-09-10	2032-09-10	2002-09-10	9999-12-31	3	196.367000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22332	NO	22332
192	INACTIVE	INACTIVE	1993-09-10	1999-10-06	1993-09-10	1999-10-06	1	492.619000	34/5	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22348	NO	22348
193	ACTIVE	INACTIVE	1993-09-10	2031-09-10	1993-09-10	2001-09-10	1	500.509000	34/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22356	NO	22356
193	ACTIVE	INACTIVE	1993-09-10	2031-09-10	2001-09-10	2011-12-21	1	250.430000	34/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22356	NO	22356
193	ACTIVE	ACTIVE	1993-09-10	2031-09-10	2011-12-21	9999-12-31	1	134.029000	34/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22356	NO	22356
193	ACTIVE	ACTIVE	1993-09-10	2031-09-10	2011-12-21	9999-12-31	2	38.262000	34/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22356	NO	22356
194	INACTIVE	INACTIVE	1993-09-10	2000-03-28	1993-09-10	2000-03-28	1	492.619000	35/4	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22364	NO	22364
194	INACTIVE	INACTIVE	1993-09-10	2000-03-28	1993-09-10	2000-03-28	2	123.155000	35/5	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22364	NO	22364
195	ACTIVE	INACTIVE	1993-09-10	2030-09-10	1993-09-10	2000-09-10	1	403.704000	35/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22372	NO	22372
195	ACTIVE	INACTIVE	1993-09-10	2030-09-10	2000-09-10	2003-01-01	1	200.560000	35/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22372	NO	22372
195	ACTIVE	INACTIVE	1993-09-10	2030-09-10	2003-01-01	2009-01-01	1	87.714000	35/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22372	NO	22372
195	ACTIVE	ACTIVE	1993-09-10	2030-09-10	2009-01-01	9999-12-31	1	29.805000	35/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22372	NO	22372
195	ACTIVE	ACTIVE	1993-09-10	2030-09-10	2009-01-01	9999-12-31	2	24.828000	35/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22372	NO	22372
196	INACTIVE	INACTIVE	1993-09-10	2002-03-10	1993-09-10	2002-03-10	1	492.619000	35/6	0	100	\N	\N	NO	507	NO OPERATOR	No operator	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22380	NO	22380
196	INACTIVE	INACTIVE	1993-09-10	2002-03-10	1993-09-10	2002-03-10	2	492.619000	36/4	0	100	\N	\N	NO	507	NO OPERATOR	No operator	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22380	NO	22380
197	INACTIVE	INACTIVE	1993-09-10	2002-12-31	1993-09-10	2000-12-27	1	456.630000	6306/2	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22388	NO	22388
197	INACTIVE	INACTIVE	1993-09-10	2002-12-31	2000-12-27	2002-12-31	2	236.323000	6306/2	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22388	NO	22388
197	INACTIVE	INACTIVE	1993-09-10	2002-12-31	2000-12-27	2002-12-31	1	162.391000	6306/5	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22388	NO	22388
197	INACTIVE	INACTIVE	1993-09-10	2002-12-31	1993-09-10	2000-12-27	2	460.667000	6306/5	0	100	\N	\N	NO	67	AMERADA	Amerada Hess Norge AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22388	NO	22388
198	INACTIVE	INACTIVE	1993-09-10	1999-09-10	1993-09-10	1999-09-10	1	460.667000	6306/6	0	100	\N	\N	NO	749	STATOIL	Den norske stats oljeselskap a.s	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22396	NO	22396
199	ACTIVE	INACTIVE	1993-09-10	2033-09-10	1993-09-10	2003-08-26	1	440.392000	6406/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22404	NO	22404
199	ACTIVE	ACTIVE	1993-09-10	2033-09-10	2003-08-26	9999-12-31	1	215.679000	6406/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22404	NO	22404
200	INACTIVE	INACTIVE	1993-09-10	2003-09-10	1993-09-10	2003-09-10	1	415.770000	6608/7	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22412	NO	22412
200	INACTIVE	INACTIVE	1993-09-10	2003-09-10	1993-09-10	2003-09-10	2	415.770000	6608/8	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22412	NO	22412
201	ACTIVE	INACTIVE	1993-09-10	2033-09-10	1993-09-10	2003-06-26	1	340.156000	7018/3	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22420	NO	22420
201	ACTIVE	INACTIVE	1993-09-10	2033-09-10	2003-06-26	2010-01-01	1	152.412000	7018/3	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22420	NO	22420
201	ACTIVE	ACTIVE	1993-09-10	2033-09-10	2010-01-01	9999-12-31	1	1.133000	7018/3	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22420	NO	22420
201	ACTIVE	INACTIVE	1993-09-10	2033-09-10	1993-09-10	2003-06-26	2	340.156000	7019/1	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22420	NO	22420
201	ACTIVE	INACTIVE	1993-09-10	2033-09-10	2003-06-26	2010-01-01	2	181.400000	7019/1	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22420	NO	22420
201	ACTIVE	ACTIVE	1993-09-10	2033-09-10	2010-01-01	9999-12-31	2	27.163000	7019/1	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22420	NO	22420
203	ACTIVE	INACTIVE	1996-02-02	2032-02-02	1996-02-02	2002-02-02	1	42.029000	24/6	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	NO	22436
203	ACTIVE	INACTIVE	1996-02-02	2032-02-02	2002-02-02	2008-01-01	1	42.029000	24/6	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	NO	22436
203	ACTIVE	ACTIVE	1996-02-02	2032-02-02	2008-01-01	9999-12-31	1	42.029000	24/6	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	NO	22436
203	ACTIVE	INACTIVE	1996-02-02	2032-02-02	1996-02-02	2002-02-02	2	262.047000	25/4	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	NO	22436
203	ACTIVE	INACTIVE	1996-02-02	2032-02-02	2002-02-02	2008-01-01	2	115.533000	25/4	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	NO	22436
203	ACTIVE	ACTIVE	1996-02-02	2032-02-02	2008-01-01	9999-12-31	2	101.517000	25/4	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	NO	22436
203	ACTIVE	INACTIVE	1996-02-02	2032-02-02	1996-02-02	2002-02-02	3	221.518000	25/7	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	NO	22436
203	ACTIVE	INACTIVE	1996-02-02	2032-02-02	2002-02-02	2008-01-01	3	98.259000	25/7	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	NO	22436
203	ACTIVE	ACTIVE	1996-02-02	2032-02-02	2008-01-01	9999-12-31	3	57.896000	25/7	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22436	NO	22436
204	INACTIVE	INACTIVE	1996-02-02	2004-02-02	1996-02-02	2003-02-02	2	13.203000	24/11	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22444	NO	22444
204	INACTIVE	INACTIVE	1996-02-02	2004-02-02	2003-02-02	2004-02-02	2	350.694000	24/12	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22444	NO	22444
204	INACTIVE	INACTIVE	1996-02-02	2004-02-02	1996-02-02	2003-02-02	3	517.987000	24/12	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22444	NO	22444
204	INACTIVE	INACTIVE	1996-02-02	2004-02-02	1996-02-02	2003-02-02	1	188.778000	24/9	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22444	NO	22444
204	INACTIVE	INACTIVE	1996-02-02	2004-02-02	2003-02-02	2004-02-02	1	138.877000	24/9	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22444	NO	22444
205	INACTIVE	INACTIVE	1996-02-02	1999-12-31	1996-02-02	1999-12-31	1	504.440000	32/1	0	100	\N	\N	NO	705	PPNORSK	Phillips Petroleum Norsk AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22452	NO	22452
205	INACTIVE	INACTIVE	1996-02-02	1999-12-31	1996-02-02	1999-12-31	2	151.332000	32/2	0	100	\N	\N	NO	705	PPNORSK	Phillips Petroleum Norsk AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22452	NO	22452
205	INACTIVE	INACTIVE	1996-02-02	1999-12-31	1996-02-02	1999-12-31	3	498.213000	32/4	0	100	\N	\N	NO	705	PPNORSK	Phillips Petroleum Norsk AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22452	NO	22452
205	INACTIVE	INACTIVE	1996-02-02	1999-12-31	1996-02-02	1999-12-31	4	152.508000	32/5	0	100	\N	\N	NO	705	PPNORSK	Phillips Petroleum Norsk AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22452	NO	22452
206	INACTIVE	INACTIVE	1996-02-02	2003-12-31	1996-02-02	2002-02-02	1	64.203000	33/5	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22460	NO	22460
206	INACTIVE	INACTIVE	1996-02-02	2003-12-31	2002-02-02	2003-12-31	1	41.411000	33/5	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22460	NO	22460
206	INACTIVE	INACTIVE	1996-02-02	2003-12-31	1996-02-02	2002-02-02	2	485.802000	33/6	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22460	NO	22460
206	INACTIVE	INACTIVE	1996-02-02	2003-12-31	2002-02-02	2003-12-31	2	68.939000	33/6	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22460	NO	22460
206	INACTIVE	INACTIVE	1996-02-02	2003-12-31	1996-02-02	2002-02-02	3	246.019000	34/4	0	100	\N	\N	NO	474	MOBIL N	Mobil Development Norway AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22460	NO	22460
207	INACTIVE	INACTIVE	1996-02-02	2000-01-20	1996-02-02	2000-01-20	1	460.667000	6302/4	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22468	NO	22468
207	INACTIVE	INACTIVE	1996-02-02	2000-01-20	1996-02-02	2000-01-20	2	460.667000	6302/5	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22468	NO	22468
207	INACTIVE	INACTIVE	1996-02-02	2000-01-20	1996-02-02	2000-01-20	3	464.694000	6302/7	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22468	NO	22468
207	INACTIVE	INACTIVE	1996-02-02	2000-01-20	1996-02-02	2000-01-20	4	464.694000	6302/8	0	100	\N	\N	NO	353	ESSO	Esso Exploration and Production Norway A/S	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22468	NO	22468
208	ACTIVE	INACTIVE	1996-02-02	2040-02-02	1996-02-02	2005-02-02	1	464.694000	6304/9	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22476	NO	22476
208	ACTIVE	ACTIVE	1996-02-02	2040-02-02	2005-02-02	9999-12-31	1	140.867000	6305/7	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22476	NO	22476
208	ACTIVE	INACTIVE	1996-02-02	2040-02-02	1996-02-02	2005-02-02	2	464.694000	6305/7	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22476	NO	22476
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	1996-02-02	2006-02-02	1	456.630000	6305/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2006-02-02	2008-01-01	1	333.274000	6305/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2008-01-01	2009-01-01	1	333.274000	6305/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2009-01-01	2011-01-01	1	22.912000	6305/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	1996-02-02	2006-02-02	2	456.630000	6305/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2006-02-02	2008-01-01	2	4.550000	6305/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2008-01-01	2009-01-01	2	4.550000	6305/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2009-01-01	2011-01-01	2	27.495000	6305/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2006-02-02	2008-01-01	3	39.693000	6305/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2008-01-01	2009-01-01	3	39.693000	6305/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	ACTIVE	1996-02-02	2041-02-02	2011-01-01	9999-12-31	1	147.542000	6305/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	1996-02-02	2006-02-02	3	460.667000	6305/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2009-01-01	2011-01-01	3	170.495000	6305/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2006-02-02	2008-01-01	4	408.273000	6305/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2008-01-01	2009-01-01	4	283.909000	6305/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	ACTIVE	1996-02-02	2041-02-02	2011-01-01	9999-12-31	2	193.719000	6305/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	1996-02-02	2006-02-02	4	460.667000	6305/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2009-01-01	2011-01-01	4	221.263000	6305/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2006-02-02	2008-01-01	5	221.263000	6305/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
209	ACTIVE	INACTIVE	1996-02-02	2041-02-02	2008-01-01	2009-01-01	5	221.263000	6305/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22484	NO	22484
210	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	1	440.392000	6404/3	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22492	NO	22492
210	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	2	440.392000	6405/1	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22492	NO	22492
210	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	4	436.310000	6504/12	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22492	NO	22492
210	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	3	432.220000	6504/9	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22492	NO	22492
210	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	6	436.310000	6505/10	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22492	NO	22492
210	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	5	432.220000	6505/7	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22492	NO	22492
211	ACTIVE	INACTIVE	1996-02-02	2032-02-02	1996-02-02	2002-02-02	1	428.120000	6506/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22500	NO	22500
211	ACTIVE	INACTIVE	1996-02-02	2032-02-02	2002-02-02	2011-01-01	1	124.490000	6506/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22500	NO	22500
211	ACTIVE	ACTIVE	1996-02-02	2032-02-02	2011-01-01	9999-12-31	1	94.464000	6506/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22500	NO	22500
211	ACTIVE	INACTIVE	1996-02-02	2032-02-02	1996-02-02	2002-02-02	2	428.120000	6507/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22500	NO	22500
211	ACTIVE	INACTIVE	1996-02-02	2032-02-02	2002-02-02	2011-01-01	2	304.376000	6507/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22500	NO	22500
211	ACTIVE	ACTIVE	1996-02-02	2032-02-02	2011-01-01	9999-12-31	2	147.320000	6507/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22500	NO	22500
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	1996-02-02	2003-02-02	1	428.120000	6507/5	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	NO	22508
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	2003-02-02	2004-01-01	1	294.041000	6507/5	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	NO	22508
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	2004-01-01	2005-02-07	1	203.893000	6507/5	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	NO	22508
212	ACTIVE	ACTIVE	1996-02-02	2033-02-02	2005-02-07	9999-12-31	1	203.893000	6507/5	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	NO	22508
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	1996-02-02	2003-02-02	2	428.120000	6507/6	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	NO	22508
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	2003-02-02	2004-01-01	2	14.218000	6507/6	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	NO	22508
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	2004-01-01	2005-02-07	2	114.232000	6507/6	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	NO	22508
212	ACTIVE	ACTIVE	1996-02-02	2033-02-02	2005-02-07	9999-12-31	2	14.218000	6507/6	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	NO	22508
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	2003-02-02	2004-01-01	3	2.855000	6507/6	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	NO	22508
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	2004-01-01	2005-02-07	3	14.218000	6507/6	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	NO	22508
212	ACTIVE	INACTIVE	1996-02-02	2033-02-02	2003-02-02	2004-01-01	4	114.232000	6507/6	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22508	NO	22508
213	INACTIVE	INACTIVE	1996-02-02	2010-12-31	1996-02-02	2002-02-02	1	416.977000	6508/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22516	NO	22516
213	INACTIVE	INACTIVE	1996-02-02	2010-12-31	2002-02-02	2007-01-01	1	207.445000	6508/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22516	NO	22516
213	INACTIVE	INACTIVE	1996-02-02	2010-12-31	2007-01-01	2010-01-01	1	111.577000	6508/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22516	NO	22516
213	INACTIVE	INACTIVE	1996-02-02	2010-12-31	2010-01-01	2010-12-31	1	30.968000	6508/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22516	NO	22516
214	INACTIVE	INACTIVE	1996-02-02	1999-03-23	1996-02-02	1999-03-23	1	424.012000	6510/1	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22524	NO	22524
214	INACTIVE	INACTIVE	1996-02-02	1999-03-23	1996-02-02	1999-03-23	2	407.028000	6510/2	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22524	NO	22524
215	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	1	407.494000	6604/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22532	NO	22532
215	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	2	407.494000	6604/3	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22532	NO	22532
215	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	3	403.344000	6704/12	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22532	NO	22532
215	INACTIVE	INACTIVE	1996-02-02	2006-02-02	1996-02-02	2006-02-02	4	403.344000	6705/10	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22532	NO	22532
216	INACTIVE	INACTIVE	1996-02-02	2002-02-01	1996-02-02	2002-02-01	1	407.494000	6610/1	0	100	\N	\N	NO	982372	BP AMOCO	BP Amoco Norge AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22540	NO	22540
217	INACTIVE	INACTIVE	1996-02-02	2005-07-07	1996-02-02	2005-07-07	1	403.344000	6706/11	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22548	NO	22548
217	INACTIVE	INACTIVE	1996-02-02	2005-07-07	1996-02-02	2005-07-07	2	100.836000	6706/12	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22548	NO	22548
218	ACTIVE	INACTIVE	1996-02-02	2041-02-02	1996-02-02	2006-02-02	1	302.508000	6706/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22556	NO	22556
218	ACTIVE	ACTIVE	1996-02-02	2041-02-02	2006-02-02	9999-12-31	1	71.444000	6706/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22556	NO	22556
218	ACTIVE	INACTIVE	1996-02-02	2041-02-02	1996-02-02	2006-02-02	2	403.344000	6707/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22556	NO	22556
218	ACTIVE	ACTIVE	1996-02-02	2041-02-02	2006-02-02	9999-12-31	2	44.494000	6707/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22556	NO	22556
219	ACTIVE	ACTIVE	1996-02-02	2014-02-02	1996-02-02	9999-12-31	1	377.504000	6710/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22564	NO	22564
220	ACTIVE	ACTIVE	1996-02-02	2014-02-02	1996-02-02	9999-12-31	1	247.977000	6710/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22572	NO	22572
221	INACTIVE	INACTIVE	1997-05-30	2002-04-30	2000-06-16	2002-04-30	5	150.213000	7116/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22580	NO	22580
221	INACTIVE	INACTIVE	1997-05-30	2002-04-30	2000-06-16	2002-04-30	6	71.807000	7116/3	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22580	NO	22580
221	INACTIVE	INACTIVE	1997-05-30	2002-04-30	2000-06-16	2002-04-30	1	318.732000	7216/10	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22580	NO	22580
221	INACTIVE	INACTIVE	1997-05-30	2002-04-30	2000-06-16	2002-04-30	2	318.732000	7216/11	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22580	NO	22580
221	INACTIVE	INACTIVE	1997-05-30	2002-04-30	2000-06-16	2002-04-30	3	161.935000	7216/12	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22580	NO	22580
221	INACTIVE	INACTIVE	1997-05-30	2002-04-30	2000-06-16	2002-04-30	4	25.613000	7217/10	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22580	NO	22580
224	INACTIVE	INACTIVE	1997-05-30	2002-05-14	1997-05-30	2002-05-14	2	318.732000	7217/12	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22604	NO	22604
224	INACTIVE	INACTIVE	1997-05-30	2002-05-14	1997-05-30	2002-05-14	1	236.225000	7217/9	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22604	NO	22604
224	INACTIVE	INACTIVE	1997-05-30	2002-05-14	1997-05-30	2002-05-14	5	318.732000	7218/10	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22604	NO	22604
224	INACTIVE	INACTIVE	1997-05-30	2002-05-14	1997-05-30	2002-05-14	6	318.732000	7218/11	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22604	NO	22604
224	INACTIVE	INACTIVE	1997-05-30	2002-05-14	1997-05-30	2002-05-14	3	236.225000	7218/7	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22604	NO	22604
224	INACTIVE	INACTIVE	1997-05-30	2002-05-14	1997-05-30	2002-05-14	4	236.225000	7218/8	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22604	NO	22604
225	INACTIVE	INACTIVE	1997-05-30	2009-01-01	2004-05-13	2009-01-01	4	63.446000	7220/12	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22612	NO	22612
225	INACTIVE	INACTIVE	1997-05-30	2009-01-01	2004-05-13	2009-01-01	1	122.806000	7220/3	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22612	NO	22612
225	INACTIVE	INACTIVE	1997-05-30	2009-01-01	2004-05-13	2009-01-01	2	310.117000	7220/6	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22612	NO	22612
225	INACTIVE	INACTIVE	1997-05-30	2009-01-01	2004-05-13	2009-01-01	3	310.209000	7220/9	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22612	NO	22612
225	INACTIVE	INACTIVE	1997-05-30	2009-01-01	2004-05-13	2009-01-01	5	178.113000	7221/4	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22612	NO	22612
225	INACTIVE	INACTIVE	1997-05-30	2009-01-01	2004-05-13	2009-01-01	6	87.785000	7221/7	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22612	NO	22612
226	ACTIVE	ACTIVE	1997-05-30	2050-05-15	2010-04-21	9999-12-31	1	100.635000	7222/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22620	NO	22620
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-05-15	2010-01-01	1	187.498000	7222/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2010-01-01	2010-12-31	1	158.831000	7222/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	1997-05-30	2009-01-01	4	318.732000	7222/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-01-01	2009-05-15	4	318.732000	7222/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-05-15	2010-01-01	2	267.716000	7222/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2010-01-01	2010-12-31	2	225.289000	7222/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	1997-05-30	2009-01-01	5	318.732000	7222/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-01-01	2009-05-15	5	318.732000	7222/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	1997-05-30	2009-01-01	1	310.117000	7222/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-01-01	2009-05-15	1	289.577000	7222/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	1997-05-30	2009-01-01	2	314.428000	7222/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-01-01	2009-05-15	2	314.428000	7222/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	1997-05-30	2009-01-01	3	314.428000	7222/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-01-01	2009-05-15	3	314.428000	7222/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	1997-05-30	2009-01-01	6	310.117000	7223/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-01-01	2009-05-15	6	231.947000	7223/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	1997-05-30	2009-01-01	7	310.117000	7223/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-01-01	2009-05-15	7	186.588000	7223/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	1997-05-30	2009-01-01	8	310.117000	7223/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
228	INACTIVE	INACTIVE	1997-05-30	2010-12-31	2009-01-01	2009-05-15	8	155.595000	7223/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22636	NO	22636
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	1997-05-30	2009-02-16	4	16.698000	7122/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	2009-02-16	2010-01-01	4	16.698000	7122/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	ACTIVE	1997-05-30	2042-05-15	2010-01-01	9999-12-31	5	16.698000	7122/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	1997-05-30	2009-02-16	1	331.606000	7122/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	2009-02-16	2010-01-01	1	94.275000	7122/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	ACTIVE	1997-05-30	2042-05-15	2010-01-01	9999-12-31	1	47.718000	7122/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	1997-05-30	2009-02-16	2	331.606000	7122/8	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	2009-02-16	2010-01-01	2	179.088000	7122/8	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	ACTIVE	1997-05-30	2042-05-15	2010-01-01	9999-12-31	2	83.964000	7122/8	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	1997-05-30	2009-02-16	3	165.268000	7122/9	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	2009-02-16	2010-01-01	3	153.165000	7122/9	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	ACTIVE	1997-05-30	2042-05-15	2010-01-01	9999-12-31	3	30.797000	7122/9	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	ACTIVE	1997-05-30	2042-05-15	2010-01-01	9999-12-31	4	25.407000	7122/9	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	1997-05-30	2009-02-16	5	165.268000	7123/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	INACTIVE	1997-05-30	2042-05-15	2009-02-16	2010-01-01	5	43.033000	7123/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
229	ACTIVE	ACTIVE	1997-05-30	2042-05-15	2010-01-01	9999-12-31	6	12.698000	7123/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22644	NO	22644
050 C	ACTIVE	ACTIVE	1999-06-04	2036-06-30	2012-04-11	9999-12-31	1	6.705000	30/1	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	NO	102490
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	1	24.905000	7125/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	1	19.490000	7125/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	1	3.230000	7125/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	2	3.230000	7125/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	2	3.230000	7125/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	2	85.003000	7125/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	3	137.940000	7125/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	3	113.124000	7125/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	3	100.858000	7126/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	4	214.934000	7126/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	4	108.389000	7126/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	5	12.973000	7126/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	4	42.830000	7126/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	5	130.024000	7126/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	6	42.830000	7126/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	5	17.129000	7126/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	6	65.354000	7126/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	7	4.309000	7126/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	7	17.129000	7126/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	8	12.847000	7126/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	8	28.904000	7127/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	9	25.692000	7127/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	6	7.484000	7226/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	9	318.732000	7226/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	10	7.484000	7226/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	7	5.346000	7226/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	8	57.575000	7226/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	10	318.732000	7226/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	11	5.346000	7226/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	12	57.575000	7226/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	9	37.327000	7226/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	10	21.249000	7226/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	11	318.732000	7226/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	11	10.577000	7226/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	13	62.952000	7226/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	14	21.249000	7226/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	15	10.577000	7226/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	ACTIVE	1997-05-30	2049-05-15	2011-12-31	9999-12-31	3	75.307000	7227/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	15	318.732000	7227/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	15	171.640000	7227/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	19	66.206000	7227/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	20	171.640000	7227/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	12	21.096000	7227/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	12	21.096000	7227/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	16	21.096000	7227/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	ACTIVE	1997-05-30	2049-05-15	2011-12-31	9999-12-31	1	14.751000	7227/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	13	102.084000	7227/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	13	40.039000	7227/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	17	40.039000	7227/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	ACTIVE	1997-05-30	2049-05-15	2011-12-31	9999-12-31	2	21.018000	7227/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	14	228.609000	7227/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2010-01-01	2011-12-31	14	67.290000	7227/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2009-05-13	2010-01-01	18	67.290000	7227/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	16	72.696000	7228/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
230	ACTIVE	INACTIVE	1997-05-30	2049-05-15	2008-09-10	2009-05-13	17	211.397000	7228/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22652	NO	22652
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	1	162.052000	7128/3	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	NO	22676
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	2	162.052000	7129/1	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	NO	22676
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	3	162.052000	7129/2	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	NO	22676
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	4	21.688000	7129/5	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	NO	22676
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	5	21.688000	7129/6	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	NO	22676
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	6	323.030000	7130/3	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	NO	22676
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	7	108.631000	7130/4	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	NO	22676
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	8	217.738000	7130/5	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	NO	22676
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	9	327.322000	7130/6	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	NO	22676
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	10	161.515000	7131/1	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	NO	22676
233	INACTIVE	INACTIVE	1997-05-30	2007-05-15	2004-07-05	2007-05-15	11	163.661000	7131/4	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	BARENTSHAVPROSJEKTET-97	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22676	NO	22676
025	ACTIVE	INACTIVE	1969-05-23	2028-12-31	1969-05-23	1976-05-23	1	535.510000	15/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=34512	NO	34512
025	ACTIVE	INACTIVE	1969-05-23	2028-12-31	1976-05-23	1978-05-23	1	401.729000	15/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=34512	NO	34512
025	ACTIVE	ACTIVE	1969-05-23	2028-12-31	1978-05-23	9999-12-31	1	267.852000	15/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=34512	NO	34512
079	ACTIVE	ACTIVE	1982-08-20	2031-03-01	1982-08-20	9999-12-31	1	102.167000	30/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=34635	NO	34635
102 B	INACTIVE	INACTIVE	1998-01-22	2002-12-31	1998-01-22	2002-12-31	1	26.123000	25/5	0	100	\N	\N	NO	1340884	TOTALFINAELF	TotalFinaElf Exploration Norge AS	Awarded additionaly to round 9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=40264	NO	40264
103 B	ACTIVE	ACTIVE	1998-01-22	2021-03-01	1998-01-22	9999-12-31	1	23.706000	25/7	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=40772	NO	40772
237	ACTIVE	ACTIVE	1998-01-30	2027-04-10	1998-01-30	9999-12-31	1	17.567000	6407/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=41327	NO	41327
128 B	ACTIVE	ACTIVE	1998-01-30	2026-02-28	1998-01-30	9999-12-31	1	4.220000	6508/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=41361	NO	41361
019 C	ACTIVE	INACTIVE	1998-09-14	2018-09-01	1998-09-14	2001-01-01	1	261.370000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	NO	47992
019 C	ACTIVE	INACTIVE	1998-09-14	2018-09-01	2001-01-01	2002-01-01	1	80.015000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	NO	47992
019 C	ACTIVE	INACTIVE	1998-09-14	2018-09-01	2002-01-01	2009-01-16	1	43.786000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	NO	47992
019 C	ACTIVE	ACTIVE	1998-09-14	2018-09-01	2009-01-16	9999-12-31	1	31.496000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	NO	47992
019 C	ACTIVE	INACTIVE	1998-09-14	2018-09-01	2001-01-01	2002-01-01	2	32.107000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	NO	47992
019 C	ACTIVE	INACTIVE	1998-09-14	2018-09-01	1998-09-14	2001-01-01	2	35.690000	7/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	NO	47992
019 C	ACTIVE	INACTIVE	1998-09-14	2018-09-01	1998-09-14	2001-01-01	3	26.159000	7/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=47992	NO	47992
037 B	ACTIVE	ACTIVE	1998-09-14	2036-06-30	1998-09-14	9999-12-31	1	9.199000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=48081	NO	48081
053 B	ACTIVE	ACTIVE	1998-09-14	2017-04-06	1998-09-14	9999-12-31	1	8.494000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=48207	NO	48207
114 C	INACTIVE	INACTIVE	1998-09-03	2001-12-31	1998-09-03	1999-09-03	1	11.046000	9/1	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	Awarded additionaly to round 10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=90914	NO	90914
114 C	INACTIVE	INACTIVE	1998-09-03	2001-12-31	1999-09-03	2001-12-31	1	11.046000	9/1	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	Awarded additionaly to round 10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=90914	NO	90914
114 C	INACTIVE	INACTIVE	1998-09-03	2001-12-31	1998-09-03	1999-09-03	2	20.232000	9/2	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	Awarded additionaly to round 10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=90914	NO	90914
114 C	INACTIVE	INACTIVE	1998-09-03	2001-12-31	1999-09-03	2001-12-31	2	18.394000	9/2	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	Awarded additionaly to round 10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=90914	NO	90914
114 C	INACTIVE	INACTIVE	1998-09-03	2001-12-31	1998-09-03	1999-09-03	3	3.685000	9/4	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	Awarded additionaly to round 10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=90914	NO	90914
114 C	INACTIVE	INACTIVE	1998-09-03	2001-12-31	1999-09-03	2001-12-31	3	3.685000	9/4	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	Awarded additionaly to round 10-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=90914	NO	90914
238	INACTIVE	INACTIVE	1999-06-04	2002-03-21	1999-06-04	2002-03-21	1	484.331000	3/6	0	100	\N	\N	NO	45	AGIP	Norsk Agip  AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102103	NO	102103
241	INACTIVE	INACTIVE	1999-06-04	2006-06-04	1999-06-04	2006-06-04	1	28.003000	15/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102131	NO	102131
241	INACTIVE	INACTIVE	1999-06-04	2006-06-04	1999-06-04	2006-06-04	2	152.439000	15/9	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102131	NO	102131
239	INACTIVE	INACTIVE	1999-06-04	2005-06-04	1999-06-04	2005-06-04	1	263.654000	4/4	0	100	\N	\N	NO	1853083	DONG NORGE	DONG Norge AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102157	NO	102157
239	INACTIVE	INACTIVE	1999-06-04	2005-06-04	1999-06-04	2005-06-04	2	43.389000	4/5	0	100	\N	\N	NO	1853083	DONG NORGE	DONG Norge AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102157	NO	102157
240	INACTIVE	INACTIVE	1999-06-04	2003-06-04	1999-06-04	2003-06-04	1	393.447000	7/12	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102217	NO	102217
242	ACTIVE	INACTIVE	1999-06-04	2035-06-04	1999-06-04	2007-01-01	1	112.296000	16/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102226	NO	102226
242	ACTIVE	INACTIVE	1999-06-04	2035-06-04	2007-01-01	2010-01-01	1	78.477000	16/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102226	NO	102226
242	ACTIVE	ACTIVE	1999-06-04	2035-06-04	2010-01-01	9999-12-31	1	21.404000	16/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102226	NO	102226
243	INACTIVE	INACTIVE	1999-06-04	2004-01-01	1999-06-04	2004-01-01	1	539.346000	16/4	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102235	NO	102235
244	INACTIVE	INACTIVE	1999-06-04	2002-12-31	1999-06-04	2002-12-31	4	370.911000	25/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102244	NO	102244
244	INACTIVE	INACTIVE	1999-06-04	2002-12-31	1999-06-04	2002-12-31	1	13.964000	25/4	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102244	NO	102244
244	INACTIVE	INACTIVE	1999-06-04	2002-12-31	1999-06-04	2002-12-31	2	167.938000	25/5	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102244	NO	102244
244	INACTIVE	INACTIVE	1999-06-04	2002-12-31	1999-06-04	2002-12-31	3	92.517000	25/5	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102244	NO	102244
245	INACTIVE	INACTIVE	1999-06-04	2004-12-30	1999-06-04	2004-12-30	1	520.058000	25/3	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102258	NO	102258
245	INACTIVE	INACTIVE	1999-06-04	2004-12-30	1999-06-04	2004-12-30	2	415.417000	25/6	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102258	NO	102258
246	INACTIVE	INACTIVE	1999-06-04	2002-08-31	1999-06-04	2002-08-31	1	52.650000	29/3	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102267	NO	102267
247	INACTIVE	INACTIVE	1999-06-04	2002-08-29	1999-06-04	2002-08-29	1	117.624000	29/3	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102276	NO	102276
247	INACTIVE	INACTIVE	1999-06-04	2002-08-29	1999-06-04	2002-08-29	2	464.210000	30/1	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102276	NO	102276
248	ACTIVE	INACTIVE	1999-06-04	2035-06-04	1999-06-04	2013-04-09	2	23.277000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102285	NO	102285
248	ACTIVE	ACTIVE	1999-06-04	2035-06-04	2013-04-09	9999-12-31	2	23.277000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102285	NO	102285
248	ACTIVE	INACTIVE	1999-06-04	2035-06-04	1999-06-04	2013-04-09	3	226.641000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102285	NO	102285
248	ACTIVE	ACTIVE	1999-06-04	2035-06-04	2013-04-09	9999-12-31	3	1.662000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102285	NO	102285
248	ACTIVE	ACTIVE	1999-06-04	2035-06-04	2013-04-09	9999-12-31	4	49.948000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102285	NO	102285
248	ACTIVE	INACTIVE	1999-06-04	2035-06-04	1999-06-04	2013-04-09	1	92.865000	35/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102285	NO	102285
248	ACTIVE	ACTIVE	1999-06-04	2035-06-04	2013-04-09	9999-12-31	1	92.865000	35/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102285	NO	102285
249	ACTIVE	ACTIVE	1999-06-04	2021-06-11	1999-06-04	9999-12-31	1	1.209000	25/5	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102294	NO	102294
050 C	ACTIVE	INACTIVE	1999-06-04	2036-06-30	1999-06-04	2005-01-01	1	40.230000	30/1	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	NO	102490
050 C	ACTIVE	INACTIVE	1999-06-04	2036-06-30	2005-01-01	2012-04-11	1	13.406000	30/1	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	NO	102490
050 C	ACTIVE	ACTIVE	1999-06-04	2036-06-30	2012-04-11	9999-12-31	2	6.701000	30/1	0	33	Not applicable to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder ikke for nivå to meter over toppen av Brent gruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	YES	102490
050 C	ACTIVE	ACTIVE	1999-06-04	2036-06-30	2012-04-11	9999-12-31	3	0.000000	30/1	66	100	Not applicable to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder ikke for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	YES	102490
050 C	ACTIVE	INACTIVE	1999-06-04	2036-06-30	1999-06-04	2005-01-01	2	10.042000	34/10	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102490	NO	102490
055 B	ACTIVE	INACTIVE	1999-06-04	2017-04-06	1999-06-04	2009-06-03	1	27.947000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102499	NO	102499
055 B	ACTIVE	INACTIVE	1999-06-04	2017-04-06	2009-06-03	2009-06-24	1	13.547000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102499	NO	102499
055 B	ACTIVE	ACTIVE	1999-06-04	2017-04-06	2009-06-24	9999-12-31	1	5.084000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=102499	NO	102499
250	ACTIVE	ACTIVE	1999-10-22	2041-02-02	1999-10-22	9999-12-31	1	170.324000	6305/8	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	Awarded additionaly to round 15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=115537	NO	115537
037 C	ACTIVE	ACTIVE	2000-01-14	2026-08-10	2000-01-14	9999-12-31	1	9.724000	33/9	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=853671	NO	853671
001 B	ACTIVE	INACTIVE	1999-12-15	2013-12-17	1999-12-15	2000-01-01	1	214.180000	16/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917266	NO	917266
001 B	ACTIVE	ACTIVE	1999-12-15	2013-12-17	2000-01-01	9999-12-31	1	21.445000	16/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917266	NO	917266
001 B	ACTIVE	ACTIVE	1999-12-15	2013-12-17	2000-01-01	9999-12-31	2	73.060000	16/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917266	NO	917266
027 B	ACTIVE	INACTIVE	1999-12-15	2021-03-01	1999-12-15	2000-10-09	1	159.883000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917344	NO	917344
027 B	ACTIVE	INACTIVE	1999-12-15	2021-03-01	2000-10-09	2005-01-01	1	156.359000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917344	NO	917344
027 B	ACTIVE	INACTIVE	1999-12-15	2021-03-01	2005-01-01	2007-12-07	1	140.579000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917344	NO	917344
027 B	ACTIVE	INACTIVE	1999-12-15	2021-03-01	2007-12-07	2011-01-01	1	55.292000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917344	NO	917344
027 B	ACTIVE	ACTIVE	1999-12-15	2021-03-01	2011-01-01	9999-12-31	1	52.660000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917344	NO	917344
028 B	ACTIVE	INACTIVE	1999-12-15	2015-05-23	1999-12-15	2000-01-01	1	221.649000	25/10	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917484	NO	917484
028 B	ACTIVE	ACTIVE	1999-12-15	2015-05-23	2000-01-01	9999-12-31	1	30.210000	25/10	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=917484	NO	917484
134 B	ACTIVE	INACTIVE	2000-01-14	2027-04-10	2000-01-14	2008-01-01	1	155.795000	6506/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1025257	NO	1025257
134 B	ACTIVE	ACTIVE	2000-01-14	2027-04-10	2008-01-01	9999-12-31	1	136.958000	6506/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 11-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1025257	NO	1025257
169 B1	ACTIVE	ACTIVE	2000-03-01	2030-03-01	2000-03-01	9999-12-31	1	51.793000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1030964	NO	1030964
169 B2	ACTIVE	ACTIVE	2000-03-01	2030-03-01	2000-03-01	9999-12-31	1	22.532000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1031002	NO	1031002
251	INACTIVE	INACTIVE	2000-05-12	2008-05-12	2000-05-12	2008-05-12	1	460.667000	6302/6	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032893	NO	1032893
251	INACTIVE	INACTIVE	2000-05-12	2008-05-12	2000-05-12	2008-05-12	2	464.694000	6302/9	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032893	NO	1032893
251	INACTIVE	INACTIVE	2000-05-12	2008-05-12	2000-05-12	2008-05-12	3	464.694000	6303/7	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032893	NO	1032893
251	INACTIVE	INACTIVE	2000-05-12	2008-05-12	2000-05-12	2008-05-12	4	464.694000	6303/8	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032893	NO	1032893
252	INACTIVE	INACTIVE	2000-05-12	2003-05-12	2000-05-12	2003-05-12	1	294.371000	6305/8	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032911	NO	1032911
252	INACTIVE	INACTIVE	2000-05-12	2003-05-12	2000-05-12	2003-05-12	2	232.850000	6305/9	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032911	NO	1032911
253	INACTIVE	INACTIVE	2000-05-12	2008-05-12	2000-05-12	2008-05-12	2	452.584000	6402/12	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032927	NO	1032927
253	INACTIVE	INACTIVE	2000-05-12	2008-05-12	2000-05-12	2008-05-12	1	452.584000	6403/10	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032927	NO	1032927
254	INACTIVE	INACTIVE	2000-05-12	2004-12-31	2000-05-12	2004-12-31	3	452.584000	6404/10	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032954	NO	1032954
254	INACTIVE	INACTIVE	2000-05-12	2004-12-31	2000-05-12	2004-12-31	4	452.584000	6404/11	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032954	NO	1032954
254	INACTIVE	INACTIVE	2000-05-12	2004-12-31	2000-05-12	2004-12-31	1	448.529000	6404/7	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032954	NO	1032954
254	INACTIVE	INACTIVE	2000-05-12	2004-12-31	2000-05-12	2004-12-31	2	448.529000	6404/8	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032954	NO	1032954
255	ACTIVE	INACTIVE	2000-05-12	2038-05-12	2000-05-12	2008-05-12	1	429.709000	6406/5	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032979	NO	1032979
255	ACTIVE	ACTIVE	2000-05-12	2038-05-12	2008-05-12	9999-12-31	1	90.331000	6406/5	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032979	NO	1032979
255	ACTIVE	INACTIVE	2000-05-12	2038-05-12	2000-05-12	2008-05-12	2	444.465000	6406/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032979	NO	1032979
255	ACTIVE	ACTIVE	2000-05-12	2038-05-12	2008-05-12	9999-12-31	2	87.414000	6406/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032979	NO	1032979
255	ACTIVE	ACTIVE	2000-05-12	2038-05-12	2008-05-12	9999-12-31	3	14.872000	6406/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032979	NO	1032979
255	ACTIVE	INACTIVE	2000-05-12	2038-05-12	2000-05-12	2008-05-12	3	448.529000	6406/9	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032979	NO	1032979
255	ACTIVE	ACTIVE	2000-05-12	2038-05-12	2008-05-12	9999-12-31	4	38.759000	6406/9	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032979	NO	1032979
255	ACTIVE	ACTIVE	2000-05-12	2038-05-12	2008-05-12	9999-12-31	5	41.812000	6406/9	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032979	NO	1032979
256	INACTIVE	INACTIVE	2000-05-12	2011-01-01	2000-05-12	2007-01-29	2	359.645000	6406/1	0	100	\N	\N	NO	17342915	DET NORSKE AS	Det norske oljeselskap AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032995	NO	1032995
256	INACTIVE	INACTIVE	2000-05-12	2011-01-01	2007-01-29	2011-01-01	2	26.375000	6406/1	0	100	\N	\N	NO	17342915	DET NORSKE AS	Det norske oljeselskap AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032995	NO	1032995
256	INACTIVE	INACTIVE	2000-05-12	2011-01-01	2000-05-12	2007-01-29	1	436.310000	6506/10	0	100	\N	\N	NO	17342915	DET NORSKE AS	Det norske oljeselskap AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032995	NO	1032995
256	INACTIVE	INACTIVE	2000-05-12	2011-01-01	2007-01-29	2011-01-01	1	95.796000	6506/10	0	100	\N	\N	NO	17342915	DET NORSKE AS	Det norske oljeselskap AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1032995	NO	1032995
257	ACTIVE	INACTIVE	2000-05-12	2033-09-10	2000-05-12	2003-05-12	1	73.376000	6406/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033013	NO	1033013
257	ACTIVE	ACTIVE	2000-05-12	2033-09-10	2003-05-12	9999-12-31	1	22.025000	6406/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033013	NO	1033013
257	ACTIVE	INACTIVE	2000-05-12	2033-09-10	2000-05-12	2003-05-12	3	7.372000	6406/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033013	NO	1033013
257	ACTIVE	ACTIVE	2000-05-12	2033-09-10	2003-05-12	9999-12-31	2	10.329000	6406/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033013	NO	1033013
257	ACTIVE	INACTIVE	2000-05-12	2033-09-10	2000-05-12	2003-05-12	2	14.757000	6406/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033013	NO	1033013
258	INACTIVE	INACTIVE	2000-05-12	2003-09-29	2000-05-12	2003-09-29	1	424.012000	6502/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033029	NO	1033029
258	INACTIVE	INACTIVE	2000-05-12	2003-09-29	2000-05-12	2003-09-29	2	424.012000	6502/3	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033029	NO	1033029
258	INACTIVE	INACTIVE	2000-05-12	2003-09-29	2000-05-12	2003-09-29	3	428.120000	6502/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033029	NO	1033029
258	INACTIVE	INACTIVE	2000-05-12	2003-09-29	2000-05-12	2003-09-29	4	424.012000	6503/1	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033029	NO	1033029
258	INACTIVE	INACTIVE	2000-05-12	2003-09-29	2000-05-12	2003-09-29	5	428.120000	6503/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033029	NO	1033029
259	INACTIVE	INACTIVE	2000-05-12	2010-01-01	2000-05-12	2007-01-26	1	424.012000	6506/2	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033049	NO	1033049
259	INACTIVE	INACTIVE	2000-05-12	2010-01-01	2007-01-26	2010-01-01	1	9.937000	6506/2	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033049	NO	1033049
259	INACTIVE	INACTIVE	2000-05-12	2010-01-01	2000-05-12	2007-01-26	2	424.012000	6506/3	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033049	NO	1033049
259	INACTIVE	INACTIVE	2000-05-12	2010-01-01	2007-01-26	2010-01-01	2	35.463000	6506/3	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033049	NO	1033049
259	INACTIVE	INACTIVE	2000-05-12	2010-01-01	2000-05-12	2007-01-26	3	428.120000	6506/5	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033049	NO	1033049
259	INACTIVE	INACTIVE	2000-05-12	2010-01-01	2007-01-26	2010-01-01	3	126.740000	6506/5	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033049	NO	1033049
260	INACTIVE	INACTIVE	2000-05-12	2004-02-12	2000-05-12	2004-02-12	1	432.220000	6506/9	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033065	NO	1033065
260	INACTIVE	INACTIVE	2000-05-12	2004-02-12	2000-05-12	2004-02-12	2	191.289000	6507/7	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033065	NO	1033065
261	ACTIVE	INACTIVE	2000-05-12	2036-05-12	2000-05-12	2003-12-12	1	424.012000	6507/1	0	100	\N	\N	YES	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	NO	1033077
261	ACTIVE	INACTIVE	2000-05-12	2036-05-12	2003-12-12	2006-05-12	1	42.502000	6507/1	0	100	Applies to all levels below base chalk.	Gjelder alle nivå under bunn kritt	YES	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	NO	1033077
261	ACTIVE	ACTIVE	2000-05-12	2036-05-12	2006-05-12	9999-12-31	1	19.829000	6507/1	50	100	Applies to all levels below Base Cretaceous	Gjelder alle nivå under bunn kritt	YES	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	YES	1033077
261	ACTIVE	INACTIVE	2000-05-12	2036-05-12	2003-12-12	2006-05-12	3	52.516000	6507/1	0	100	\N	\N	YES	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	NO	1033077
261	ACTIVE	INACTIVE	2000-05-12	2036-05-12	2000-05-12	2003-12-12	2	282.794000	6507/2	0	100	\N	\N	YES	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	NO	1033077
261	ACTIVE	INACTIVE	2000-05-12	2036-05-12	2003-12-12	2006-05-12	2	2.829000	6507/2	0	100	Applies to all levels below base chalk.	Gjelder alle nivåer under bunn kritt	YES	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	NO	1033077
261	ACTIVE	ACTIVE	2000-05-12	2036-05-12	2006-05-12	9999-12-31	2	2.829000	6507/2	50	100	Applies to all levels below Base Cretaceous	Gjelder alle nivå under bunn kritt	YES	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	YES	1033077
261	ACTIVE	ACTIVE	2000-05-12	2036-05-12	2006-05-12	9999-12-31	3	133.085000	6507/2	0	100	\N	\N	YES	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	NO	1033077
261	ACTIVE	INACTIVE	2000-05-12	2036-05-12	2003-12-12	2006-05-12	4	213.770000	6507/2	0	100	\N	\N	YES	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033077	NO	1033077
262	ACTIVE	ACTIVE	2000-05-12	2033-02-02	2000-05-12	9999-12-31	1	38.292000	6507/2	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033093	NO	1033093
263	ACTIVE	INACTIVE	2000-05-12	2037-05-12	2000-05-12	2007-03-20	1	436.310000	6507/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	NO	1033111
263	ACTIVE	INACTIVE	2000-05-12	2037-05-12	2007-03-20	2008-04-18	1	147.337000	6507/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	NO	1033111
263	ACTIVE	INACTIVE	2000-05-12	2037-05-12	2008-04-18	2010-01-01	1	147.337000	6507/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	NO	1033111
263	ACTIVE	ACTIVE	2000-05-12	2037-05-12	2010-01-01	9999-12-31	1	42.346000	6507/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	NO	1033111
263	ACTIVE	INACTIVE	2000-05-12	2037-05-12	2007-03-20	2008-04-18	2	24.643000	6507/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	NO	1033111
263	ACTIVE	INACTIVE	2000-05-12	2037-05-12	2008-04-18	2010-01-01	2	24.643000	6507/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	NO	1033111
263	ACTIVE	INACTIVE	2000-05-12	2037-05-12	2000-05-12	2007-03-20	2	376.513000	6507/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	NO	1033111
263	ACTIVE	ACTIVE	2000-05-12	2037-05-12	2010-01-01	9999-12-31	2	107.813000	6507/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	NO	1033111
263	ACTIVE	INACTIVE	2000-05-12	2037-05-12	2007-03-20	2008-04-18	3	189.012000	6507/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	NO	1033111
263	ACTIVE	INACTIVE	2000-05-12	2037-05-12	2008-04-18	2010-01-01	3	187.739000	6507/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033111	NO	1033111
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2000-05-12	2006-03-23	1	395.019000	6706/5	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2006-03-23	2008-01-01	1	121.110000	6706/5	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2008-01-01	2009-01-01	1	34.269000	6706/5	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2009-01-01	2013-01-01	1	34.269000	6706/5	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2008-01-01	2009-01-01	2	2.625000	6706/5	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2000-05-12	2006-03-23	2	395.019000	6706/6	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2006-03-23	2008-01-01	2	306.475000	6706/6	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2009-01-01	2013-01-01	2	156.728000	6706/6	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2008-01-01	2009-01-01	3	264.304000	6706/6	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2000-05-12	2006-03-23	3	395.019000	6707/4	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2006-03-23	2008-01-01	3	99.854000	6707/4	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2009-01-01	2013-01-01	3	7.895000	6707/4	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
264	INACTIVE	INACTIVE	2000-05-12	2013-01-01	2008-01-01	2009-01-01	4	31.515000	6707/4	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1033127	NO	1033127
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	1993-09-10	2000-09-10	1	504.440000	31/1	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	NO	1043631
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	2000-09-10	2001-08-10	1	21.816000	31/1	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	NO	1043631
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	2000-09-10	2001-08-10	2	35.398000	31/1	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	NO	1043631
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	2001-08-10	2003-09-10	1	28.633000	31/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	NO	1043631
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	1993-09-10	2000-09-10	2	184.721000	31/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	NO	1043631
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	2000-09-10	2001-08-10	3	174.645000	31/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	NO	1043631
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	1993-09-10	2000-09-10	3	126.764000	31/4	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	NO	1043631
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	2000-09-10	2001-08-10	4	28.736000	31/4	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	NO	1043631
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	1993-09-10	2000-09-10	4	33.804000	31/5	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	NO	1043631
191	INACTIVE	INACTIVE	1993-09-10	2003-09-10	2000-09-10	2001-08-10	5	15.205000	31/5	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1043631	NO	1043631
006 B	ACTIVE	ACTIVE	2000-10-09	2028-12-31	2000-10-09	9999-12-31	1	128.282000	2/8	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333048	NO	1333048
006 C	ACTIVE	INACTIVE	2000-10-09	2028-12-31	2000-10-09	2001-01-01	1	347.768000	2/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333089	NO	1333089
006 C	ACTIVE	INACTIVE	2000-10-09	2028-12-31	2001-01-01	2003-01-01	1	62.528000	2/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333089	NO	1333089
006 C	ACTIVE	ACTIVE	2000-10-09	2028-12-31	2003-01-01	9999-12-31	1	93.197000	2/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333089	NO	1333089
006 C	ACTIVE	INACTIVE	2000-10-09	2028-12-31	2001-01-01	2003-01-01	2	93.197000	2/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333089	NO	1333089
006 C	ACTIVE	INACTIVE	2000-10-09	2028-12-31	2000-10-09	2001-01-01	2	330.328000	2/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333089	NO	1333089
006 C	ACTIVE	INACTIVE	2000-10-09	2028-12-31	2001-01-01	2003-01-01	3	13.338000	2/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333089	NO	1333089
027 C	ACTIVE	ACTIVE	2000-10-09	2030-03-01	2000-10-09	9999-12-31	1	3.524000	25/8	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333301	NO	1333301
028 C	ACTIVE	ACTIVE	2000-10-09	2030-03-01	2000-10-09	9999-12-31	1	17.739000	25/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333344	NO	1333344
171 B	ACTIVE	ACTIVE	2000-10-09	2031-03-01	2000-10-09	9999-12-31	1	23.152000	30/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1333384	NO	1333384
048 B	ACTIVE	INACTIVE	2001-01-10	2016-07-15	2001-01-10	2005-10-10	1	9.497000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1342723	NO	1342723
048 B	ACTIVE	ACTIVE	2001-01-10	2016-07-15	2005-10-10	9999-12-31	1	21.518000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1342723	NO	1342723
048 B	ACTIVE	INACTIVE	2001-01-10	2016-07-15	2001-01-10	2005-10-10	2	21.518000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1342723	NO	1342723
033 B	ACTIVE	ACTIVE	2001-05-04	2028-12-31	2001-05-04	9999-12-31	1	47.955000	2/11	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1622353	NO	1622353
265	ACTIVE	INACTIVE	2001-04-27	2037-01-27	2001-04-27	2005-04-30	1	535.510000	16/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624237	NO	1624237
265	ACTIVE	INACTIVE	2001-04-27	2037-01-27	2005-04-30	2006-01-03	1	535.510000	16/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624237	NO	1624237
265	ACTIVE	INACTIVE	2001-04-27	2037-01-27	2006-01-03	2006-12-28	1	292.922000	16/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624237	NO	1624237
265	ACTIVE	ACTIVE	2001-04-27	2037-01-27	2006-12-28	9999-12-31	1	255.518000	16/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624237	NO	1624237
265	ACTIVE	INACTIVE	2001-04-27	2037-01-27	2001-04-27	2005-04-30	2	535.510000	16/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624237	NO	1624237
266	INACTIVE	INACTIVE	2001-04-27	2006-12-22	2004-02-11	2006-12-22	1	520.058000	26/1	0	100	\N	\N	NO	1853786	ENTERPRISE NORGE	Enterprise Oil Norge AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624332	NO	1624332
266	INACTIVE	INACTIVE	2001-04-27	2006-12-22	2004-02-11	2006-12-22	2	523.937000	26/4	0	100	\N	\N	NO	1853786	ENTERPRISE NORGE	Enterprise Oil Norge AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624332	NO	1624332
266	INACTIVE	INACTIVE	2001-04-27	2006-12-22	2004-02-11	2006-12-22	3	137.818000	31/10	0	100	\N	\N	NO	1853786	ENTERPRISE NORGE	Enterprise Oil Norge AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624332	NO	1624332
268	INACTIVE	INACTIVE	2001-04-27	2004-10-31	2001-04-27	2004-10-31	1	492.619000	34/5	0	100	\N	\N	NO	2399056	NORSKE CONOCOPHILLIPS	Norske ConocoPhillips AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624366	NO	1624366
268	INACTIVE	INACTIVE	2001-04-27	2004-10-31	2001-04-27	2004-10-31	2	492.619000	34/6	0	100	\N	\N	NO	2399056	NORSKE CONOCOPHILLIPS	Norske ConocoPhillips AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624366	NO	1624366
268	INACTIVE	INACTIVE	2001-04-27	2004-10-31	2001-04-27	2004-10-31	3	66.034000	34/9	0	100	\N	\N	NO	2399056	NORSKE CONOCOPHILLIPS	Norske ConocoPhillips AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624366	NO	1624366
269	ACTIVE	INACTIVE	2001-04-27	2041-04-27	2001-04-27	2008-12-30	1	488.659000	35/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624410	NO	1624410
269	ACTIVE	INACTIVE	2001-04-27	2041-04-27	2008-12-30	2011-04-27	1	130.371000	35/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624410	NO	1624410
269	ACTIVE	ACTIVE	2001-04-27	2041-04-27	2011-04-27	9999-12-31	1	185.614000	35/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624410	NO	1624410
269	ACTIVE	INACTIVE	2001-04-27	2041-04-27	2008-12-30	2011-04-27	2	185.614000	35/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624410	NO	1624410
270	ACTIVE	INACTIVE	2001-04-27	2035-04-27	2001-04-27	2005-04-27	1	488.659000	35/3	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624436	NO	1624436
270	ACTIVE	ACTIVE	2001-04-27	2035-04-27	2005-04-27	9999-12-31	1	241.222000	35/3	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	NST2000	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1624436	NO	1624436
029 B	ACTIVE	INACTIVE	2001-05-11	2015-05-23	2001-05-11	2002-01-01	1	213.667000	15/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1626782	NO	1626782
029 B	ACTIVE	ACTIVE	2001-05-11	2015-05-23	2002-01-01	9999-12-31	1	87.973000	15/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1626782	NO	1626782
029 B	ACTIVE	ACTIVE	2001-05-11	2015-05-23	2002-01-01	9999-12-31	2	7.174000	15/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1626782	NO	1626782
072 B	ACTIVE	INACTIVE	2001-09-24	2018-01-01	2001-09-24	2008-01-01	1	79.606000	16/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1630345	NO	1630345
072 B	ACTIVE	INACTIVE	2001-09-24	2018-01-01	2008-01-01	2011-12-21	1	61.483000	16/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1630345	NO	1630345
072 B	ACTIVE	ACTIVE	2001-09-24	2018-01-01	2011-12-21	9999-12-31	1	39.817000	16/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1630345	NO	1630345
052 B	ACTIVE	ACTIVE	2001-11-30	2015-04-06	2001-11-30	9999-12-31	1	9.254000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 4	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=1840712	NO	1840712
085 C	ACTIVE	ACTIVE	2002-01-25	2030-09-30	2002-01-25	9999-12-31	1	10.084000	31/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2051285	NO	2051285
085 C	ACTIVE	ACTIVE	2002-01-25	2030-09-30	2002-01-25	9999-12-31	2	3.370000	31/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2051285	NO	2051285
085 C	ACTIVE	ACTIVE	2002-01-25	2030-09-30	2002-01-25	9999-12-31	3	5.079000	31/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 7	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2051285	NO	2051285
271	INACTIVE	INACTIVE	2002-03-15	2009-03-15	2002-03-15	2009-03-15	1	538.067000	7/1	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060218	NO	2060218
272	ACTIVE	INACTIVE	2002-03-15	2022-11-14	2002-03-15	2008-02-21	1	259.821000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060232	NO	2060232
272	ACTIVE	ACTIVE	2002-03-15	2022-11-14	2008-02-21	9999-12-31	1	17.175000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060232	NO	2060232
272	ACTIVE	ACTIVE	2002-03-15	2022-11-14	2008-02-21	9999-12-31	2	82.553000	30/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060232	NO	2060232
273	INACTIVE	INACTIVE	2002-03-15	2010-12-31	2002-03-15	2008-01-01	1	538.404000	2/9	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060246	NO	2060246
273	INACTIVE	INACTIVE	2002-03-15	2010-12-31	2008-01-01	2008-12-26	1	322.867000	2/9	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060246	NO	2060246
273	INACTIVE	INACTIVE	2002-03-15	2010-12-31	2008-12-26	2010-01-01	1	202.314000	2/9	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060246	NO	2060246
273	INACTIVE	INACTIVE	2002-03-15	2010-12-31	2010-01-01	2010-12-31	1	95.158000	2/9	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060246	NO	2060246
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2002-03-15	2005-12-13	1	507.527000	1/3	0	100	\N	\N	YES	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	NO	2060266
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2005-12-13	2008-01-01	1	433.766000	1/3	0	100	\N	\N	YES	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	NO	2060266
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2008-01-01	2009-09-29	1	388.914000	1/3	0	100	\N	\N	YES	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	NO	2060266
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2009-09-29	2011-01-01	1	252.824000	1/3	0	100	\N	\N	YES	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	NO	2060266
274	ACTIVE	ACTIVE	2002-03-15	2039-09-15	2011-01-01	9999-12-31	1	131.958000	1/3	0	100	\N	\N	YES	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	NO	2060266
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2005-12-13	2008-01-01	2	73.761000	1/3	0	100	Applies to all levels over the Ekofisk Formation of Danian age.	Gjelder alle nivå over Ekofisk formasjonen av Dan alder	YES	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	NO	2060266
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2008-01-01	2009-09-29	2	73.761000	1/3	0	50	Applies to all levels over the Ekofisk formation of Danian age	Gjelder for alle nivå over Ekofiskformasjonen av Dan alder	YES	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	YES	2060266
274	ACTIVE	INACTIVE	2002-03-15	2039-09-15	2009-09-29	2011-01-01	2	3.784000	1/3	0	50	Applies to all levels over the Ekofisk formation of Danian age.	Gjeld for nivå over Ekofiskformasjonen av Dan alder	YES	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060266	YES	2060266
275	ACTIVE	INACTIVE	2002-03-15	2028-12-31	2002-03-15	2008-12-26	1	32.271000	2/4	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060278	NO	2060278
275	ACTIVE	ACTIVE	2002-03-15	2028-12-31	2008-12-26	9999-12-31	1	15.185000	2/4	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060278	NO	2060278
276	INACTIVE	INACTIVE	2002-03-15	2005-03-15	2002-03-15	2005-03-15	1	12.321000	30/6	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060300	NO	2060300
277	ACTIVE	INACTIVE	2002-03-15	2025-07-08	2002-03-15	2007-10-03	1	13.391000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060336	NO	2060336
277	ACTIVE	ACTIVE	2002-03-15	2025-07-08	2007-10-03	9999-12-31	1	3.349000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060336	NO	2060336
277	ACTIVE	ACTIVE	2002-03-15	2025-07-08	2007-10-03	9999-12-31	2	5.019000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060336	NO	2060336
278	INACTIVE	INACTIVE	2002-03-15	2005-04-21	2002-03-15	2005-04-21	1	425.400000	30/2	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060350	NO	2060350
279	INACTIVE	INACTIVE	2002-03-15	2004-04-16	2002-03-15	2004-04-16	1	430.535000	34/9	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060367	NO	2060367
280	INACTIVE	INACTIVE	2002-03-15	2004-05-10	2002-03-15	2004-05-10	1	46.477000	33/9	0	100	\N	\N	NO	2385943	CNR	CNR International (UK) Limited	NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2060385	NO	2060385
281	INACTIVE	INACTIVE	2002-06-14	2009-06-14	2002-06-14	2009-06-14	3	452.584000	6405/10	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073488	NO	2073488
281	INACTIVE	INACTIVE	2002-06-14	2009-06-14	2002-06-14	2009-06-14	1	444.465000	6405/4	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073488	NO	2073488
281	INACTIVE	INACTIVE	2002-06-14	2009-06-14	2002-06-14	2009-06-14	2	448.529000	6405/7	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073488	NO	2073488
282	INACTIVE	INACTIVE	2002-06-14	2006-06-14	2002-06-14	2006-06-14	1	428.120000	6504/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073510	NO	2073510
282	INACTIVE	INACTIVE	2002-06-14	2006-06-14	2002-06-14	2006-06-14	2	424.012000	6505/1	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073510	NO	2073510
282	INACTIVE	INACTIVE	2002-06-14	2006-06-14	2002-06-14	2006-06-14	3	424.012000	6505/2	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073510	NO	2073510
282	INACTIVE	INACTIVE	2002-06-14	2006-06-14	2002-06-14	2006-06-14	4	428.120000	6505/4	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073510	NO	2073510
282	INACTIVE	INACTIVE	2002-06-14	2006-06-14	2002-06-14	2006-06-14	5	428.120000	6505/5	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073510	NO	2073510
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2002-06-14	2009-06-23	1	411.636000	6605/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	NO	2073530
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2009-06-23	2011-01-01	1	220.054000	6605/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	NO	2073530
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2011-01-01	2012-01-01	1	137.672000	6605/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	NO	2073530
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2002-06-14	2009-06-23	2	415.770000	6605/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	NO	2073530
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2009-06-23	2011-01-01	2	82.824000	6605/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	NO	2073530
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2011-01-01	2012-01-01	2	69.017000	6605/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	NO	2073530
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2002-06-14	2009-06-23	3	415.770000	6605/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	NO	2073530
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2009-06-23	2011-01-01	3	37.271000	6605/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	NO	2073530
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2002-06-14	2009-06-23	4	415.770000	6605/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	NO	2073530
283	INACTIVE	INACTIVE	2002-06-14	2012-01-01	2002-06-14	2009-06-23	5	415.770000	6606/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073530	NO	2073530
284	INACTIVE	INACTIVE	2002-06-14	2005-03-30	2002-06-14	2005-03-30	1	412.867000	6607/11	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073548	NO	2073548
284	INACTIVE	INACTIVE	2002-06-14	2005-03-30	2002-06-14	2005-03-30	2	269.831000	6607/12	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073548	NO	2073548
285	INACTIVE	INACTIVE	2002-06-14	2005-06-14	2002-06-14	2005-06-14	1	411.636000	6607/5	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073564	NO	2073564
286	INACTIVE	INACTIVE	2002-06-14	2008-06-14	2002-06-14	2008-06-14	1	411.636000	6609/5	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073578	NO	2073578
286	INACTIVE	INACTIVE	2002-06-14	2008-06-14	2002-06-14	2008-06-14	2	411.636000	6609/6	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	17	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2073578	NO	2073578
094 B	ACTIVE	ACTIVE	2002-06-14	2027-04-10	2002-06-14	9999-12-31	1	7.308000	6406/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2092082	NO	2092082
212 B	ACTIVE	INACTIVE	2002-06-14	2033-02-02	2002-06-14	2008-01-21	1	64.927000	6507/3	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	Awarded additionaly to round 15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2092275	NO	2092275
212 B	ACTIVE	ACTIVE	2002-06-14	2033-02-02	2008-01-21	9999-12-31	1	22.616000	6507/3	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	Awarded additionaly to round 15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2092275	NO	2092275
122 B	ACTIVE	INACTIVE	2002-06-14	2025-02-28	2002-06-14	2011-01-01	1	7.037000	6507/3	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	Awarded additionaly to round 10 B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2134110	NO	2134110
122 B	ACTIVE	ACTIVE	2002-06-14	2025-02-28	2011-01-01	9999-12-31	1	5.629000	6507/3	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	Awarded additionaly to round 10 B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2134110	NO	2134110
018 C	ACTIVE	INACTIVE	2002-12-20	2028-12-31	2002-12-20	2011-11-29	1	24.028000	1/5	0	100	\N	\N	YES	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2246113	NO	2246113
018 C	ACTIVE	ACTIVE	2002-12-20	2028-12-31	2011-11-29	9999-12-31	1	24.028000	1/5	0	40	Applies to levels over top of the Ekofiskformation.	Arealet gjelder for nivå over toppen av Ekofiskformasjonen.	YES	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2246113	YES	2246113
018 C	ACTIVE	ACTIVE	2002-12-20	2028-12-31	2011-11-29	9999-12-31	2	0.000000	1/5	60	100	Applies to levels below the base of Hidraformation	Gjelder for nivå under bunnen av Hidraformasjonen	YES	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2246113	YES	2246113
038 B	INACTIVE	INACTIVE	2003-04-11	2006-04-11	2003-04-11	2006-04-11	1	5.573000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407278	NO	2407278
287	INACTIVE	INACTIVE	2003-04-11	2004-12-14	2003-04-11	2004-12-14	1	492.619000	35/6	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407356	NO	2407356
287	INACTIVE	INACTIVE	2003-04-11	2004-12-14	2003-04-11	2004-12-14	2	304.616000	35/9	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407356	NO	2407356
289	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2003-04-11	2008-01-01	1	321.788000	3/7	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407454	NO	2407454
289	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2008-01-01	2009-03-09	1	77.500000	3/7	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407454	NO	2407454
289	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2009-03-09	2010-01-01	1	42.670000	3/7	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407454	NO	2407454
289	ACTIVE	ACTIVE	2003-04-11	2039-04-11	2010-01-01	9999-12-31	1	24.812000	3/7	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407454	NO	2407454
290	INACTIVE	INACTIVE	2003-04-11	2004-04-11	2003-04-11	2004-04-11	1	430.132000	35/7	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407486	NO	2407486
291	INACTIVE	INACTIVE	2003-04-11	2006-04-11	2003-04-11	2006-04-11	1	58.607000	31/4	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407510	NO	2407510
295	INACTIVE	INACTIVE	2003-04-11	2005-04-11	2003-04-11	2005-04-11	1	10.554000	25/7	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407550	NO	2407550
292	ACTIVE	INACTIVE	2003-04-11	2026-04-01	2003-04-11	2010-07-05	2	4.573000	15/12	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407572	NO	2407572
292	ACTIVE	ACTIVE	2003-04-11	2026-04-01	2010-07-05	9999-12-31	2	3.964000	15/12	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407572	NO	2407572
292	ACTIVE	INACTIVE	2003-04-11	2026-04-01	2003-04-11	2010-07-05	3	3.964000	15/12	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407572	NO	2407572
292	ACTIVE	ACTIVE	2003-04-11	2026-04-01	2010-07-05	9999-12-31	3	0.915000	15/12	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407572	NO	2407572
292	ACTIVE	INACTIVE	2003-04-11	2026-04-01	2003-04-11	2010-07-05	1	56.722000	6/3	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407572	NO	2407572
292	ACTIVE	ACTIVE	2003-04-11	2026-04-01	2010-07-05	9999-12-31	1	23.215000	6/3	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407572	NO	2407572
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2003-04-11	2009-04-11	1	500.509000	34/12	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2009-04-11	2010-01-01	1	49.985000	34/12	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2010-01-01	2012-06-15	1	19.980000	34/12	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2012-06-15	2013-01-01	1	19.980000	34/12	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	ACTIVE	2003-04-11	2039-04-11	2013-01-01	9999-12-31	4	19.980000	34/12	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	ACTIVE	2003-04-11	2039-04-11	2013-01-01	9999-12-31	1	126.700000	35/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2003-04-11	2009-04-11	3	500.509000	35/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2009-04-11	2010-01-01	3	378.776000	35/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2010-01-01	2012-06-15	4	255.101000	35/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2012-06-15	2013-01-01	4	210.020000	35/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2003-04-11	2009-04-11	2	66.437000	35/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2009-04-11	2010-01-01	2	49.828000	35/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2010-01-01	2012-06-15	2	9.966000	35/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2012-06-15	2013-01-01	2	9.966000	35/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	ACTIVE	2003-04-11	2039-04-11	2013-01-01	9999-12-31	2	6.644000	35/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2010-01-01	2012-06-15	3	28.236000	35/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	INACTIVE	2003-04-11	2039-04-11	2012-06-15	2013-01-01	3	28.236000	35/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
293	ACTIVE	ACTIVE	2003-04-11	2039-04-11	2013-01-01	9999-12-31	3	9.965000	35/7	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407711	NO	2407711
294	INACTIVE	INACTIVE	2003-04-11	2006-04-11	2003-04-11	2006-04-11	1	492.619000	35/4	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407753	NO	2407753
294	INACTIVE	INACTIVE	2003-04-11	2006-04-11	2003-04-11	2006-04-11	2	492.619000	35/5	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407753	NO	2407753
167 B	ACTIVE	INACTIVE	2003-04-11	2030-03-01	2003-04-11	2007-01-01	1	37.313000	25/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407874	NO	2407874
167 B	ACTIVE	ACTIVE	2003-04-11	2030-03-01	2007-01-01	9999-12-31	1	3.556000	25/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407874	NO	2407874
288	INACTIVE	INACTIVE	2003-04-11	2006-04-11	2003-04-11	2006-04-11	1	565.894000	4/1	0	100	\N	\N	NO	1853083	DONG NORGE	DONG Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407909	NO	2407909
288	INACTIVE	INACTIVE	2003-04-11	2006-04-11	2003-04-11	2006-04-11	2	547.470000	4/2	0	100	\N	\N	NO	1853083	DONG NORGE	DONG Norge AS	NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2407909	NO	2407909
055 C	ACTIVE	ACTIVE	2003-06-27	2031-03-01	2003-06-27	9999-12-31	1	5.071000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to NST99	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2424830	NO	2424830
301	ACTIVE	ACTIVE	2003-12-12	2013-12-12	2011-03-20	9999-12-31	3	54.356000	7/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
143 BS	ACTIVE	INACTIVE	2003-06-27	2027-07-08	2003-06-27	2009-01-01	1	68.085000	1/2	0	50	The licence applies to all levels over top chalk rocks..	Gjelder alle nivå over topp kritt.	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2424891	YES	2424891
143 BS	ACTIVE	ACTIVE	2003-06-27	2027-07-08	2009-01-01	9999-12-31	1	45.469000	1/2	0	50	Applies to all levels over top Cretaceous	Gjelder alle nivå over topp kritt	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2424891	YES	2424891
143 CS	INACTIVE	INACTIVE	2003-06-27	2007-01-01	2003-06-27	2007-01-01	1	89.923000	1/2	0	50	The licence applies to all levels over top chalk rocks..	Gjelder alle nivå over topp kritt.	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 12	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2424919	YES	2424919
036 BS	ACTIVE	ACTIVE	2003-10-13	2021-06-11	2003-10-13	9999-12-31	1	94.422000	25/4	50	100	Applies to Heimdal sand in the Lista Formation with upper limit in the base Hermod  sand in the Sele Formation and the lower limit in the top of Ty sand in the Våle Formation.	Gjelder for Heimdal sand i Lista-formasjonen, med øvre begrensning i bunnen av Hermod sand i Seleformasjonen, og nedre begrensning i toppen av Ty sand i Våleformasjonen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2473189	YES	2473189
036 BS	ACTIVE	ACTIVE	2003-10-13	2021-06-11	2003-10-13	9999-12-31	2	15.741000	25/4	50	100	Polygon 2 applies to Hugin Formation, with the upper limit in the top sand in the Hugin Formation, and lower limit in the top of marine shales of the Dunlin Group.	Polygon 2 gjeld Hugin-formasjonen med øvre begrensning på toppen av sand i Huginformasjonen, og nedre begrensning på toppen av marine shales i Dunlin gruppen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2473189	YES	2473189
036 C	ACTIVE	ACTIVE	2003-10-13	2021-06-11	2003-10-13	9999-12-31	1	26.215000	25/4	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2473241	NO	2473241
296	INACTIVE	INACTIVE	2003-12-12	2009-12-12	2003-12-12	2009-12-12	1	391.863000	2/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490197	NO	2490197
296	INACTIVE	INACTIVE	2003-12-12	2009-12-12	2003-12-12	2009-12-12	2	569.642000	2/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490197	NO	2490197
297	INACTIVE	INACTIVE	2003-12-12	2012-02-28	2003-12-12	2011-01-01	1	161.060000	1/2	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490240	NO	2490240
297	INACTIVE	INACTIVE	2003-12-12	2012-02-28	2003-12-12	2011-01-01	2	79.269000	1/5	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490240	NO	2490240
297	INACTIVE	INACTIVE	2003-12-12	2012-02-28	2011-01-01	2012-02-28	1	59.154000	1/6	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490240	NO	2490240
297	INACTIVE	INACTIVE	2003-12-12	2012-02-28	2003-12-12	2011-01-01	3	502.353000	1/6	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490240	NO	2490240
298	INACTIVE	INACTIVE	2003-12-12	2007-01-01	2003-12-12	2007-01-01	1	30.062000	7/11	0	50	Applies to all levels over top chalk	Gjelder for alle nivå over toppen av krittbergartene	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490295	YES	2490295
299	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2003-12-12	2008-10-23	1	330.537000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490320	NO	2490320
299	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2008-10-23	2009-01-16	1	198.712000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490320	NO	2490320
299	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2009-01-16	2011-12-30	1	141.669000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490320	NO	2490320
299	ACTIVE	ACTIVE	2003-12-12	2013-12-12	2011-12-30	9999-12-31	1	90.728000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490320	NO	2490320
300	ACTIVE	INACTIVE	2003-12-12	2023-12-12	2003-12-12	2008-12-12	1	20.694000	2/1	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490354	NO	2490354
300	ACTIVE	ACTIVE	2003-12-12	2023-12-12	2008-12-12	9999-12-31	1	11.289000	2/1	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490354	NO	2490354
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2003-12-12	2007-12-27	2	415.755000	7/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2008-12-24	2009-12-30	2	228.416000	7/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2009-12-30	2011-03-20	2	7.472000	7/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	ACTIVE	2003-12-12	2013-12-12	2011-03-20	9999-12-31	2	7.472000	7/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2003-12-12	2007-12-27	3	30.062000	7/11	0	100	Applies not to levels over chalk	Lisensen gjelder ikkje for strategrafisk del over kritt bergarter	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2007-12-27	2008-05-21	3	337.267000	7/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2008-05-21	2008-12-24	3	243.369000	7/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2009-12-30	2011-03-20	3	187.283000	7/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2007-12-27	2008-05-21	4	30.062000	7/11	0	100	Applies not to levels over chalk	Gjelder ikkje for nivå over kritt bergarter	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2003-12-12	2007-12-27	1	558.364000	7/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2007-12-27	2008-05-21	1	59.561000	7/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2008-05-21	2008-12-24	1	37.266000	7/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2008-12-24	2009-12-30	1	14.933000	7/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2009-12-30	2011-03-20	1	14.933000	7/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	ACTIVE	2003-12-12	2013-12-12	2011-03-20	9999-12-31	1	14.933000	7/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2007-12-27	2008-05-21	2	14.933000	7/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
301	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2008-05-21	2008-12-24	2	14.933000	7/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490380	NO	2490380
302	INACTIVE	INACTIVE	2003-12-12	2009-03-15	2003-12-12	2009-03-15	1	109.702000	16/10	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490440	NO	2490440
303	ACTIVE	INACTIVE	2003-12-12	2013-03-12	2003-12-12	2011-05-27	1	107.019000	15/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	ACTIVE	2003-12-12	2013-03-12	2011-05-27	9999-12-31	1	107.019000	15/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	INACTIVE	2003-12-12	2013-03-12	2003-12-12	2011-05-27	2	99.935000	15/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	ACTIVE	2003-12-12	2013-03-12	2011-05-27	9999-12-31	2	99.935000	15/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	INACTIVE	2003-12-12	2013-03-12	2003-12-12	2011-05-27	3	99.805000	15/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	ACTIVE	2003-12-12	2013-03-12	2011-05-27	9999-12-31	3	99.805000	15/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	INACTIVE	2003-12-12	2013-03-12	2003-12-12	2011-05-27	4	103.661000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	ACTIVE	2003-12-12	2013-03-12	2011-05-27	9999-12-31	4	103.661000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	INACTIVE	2003-12-12	2013-03-12	2003-12-12	2011-05-27	5	37.739000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	ACTIVE	2003-12-12	2013-03-12	2011-05-27	9999-12-31	5	37.739000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	INACTIVE	2003-12-12	2013-03-12	2003-12-12	2011-05-27	6	388.326000	15/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	ACTIVE	2003-12-12	2013-03-12	2011-05-27	9999-12-31	6	384.718000	15/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	INACTIVE	2003-12-12	2013-03-12	2003-12-12	2011-05-27	7	103.111000	15/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
303	ACTIVE	ACTIVE	2003-12-12	2013-03-12	2011-05-27	9999-12-31	7	103.111000	15/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490467	NO	2490467
304	INACTIVE	INACTIVE	2003-12-12	2010-12-12	2010-01-01	2010-12-12	1	198.771000	25/10	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490623	NO	2490623
304	INACTIVE	INACTIVE	2003-12-12	2010-12-12	2003-12-12	2010-01-01	2	373.910000	25/10	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490623	NO	2490623
304	INACTIVE	INACTIVE	2003-12-12	2010-12-12	2003-12-12	2010-01-01	1	65.232000	25/7	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490623	NO	2490623
305	INACTIVE	INACTIVE	2003-12-12	2008-12-02	2003-12-12	2008-12-02	1	128.567000	24/9	0	100	\N	\N	NO	4539989	DET NORSKE (OLD)	Det norske oljeselskap ASA (old)	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490682	NO	2490682
305	INACTIVE	INACTIVE	2003-12-12	2008-12-02	2003-12-12	2008-12-02	2	206.718000	25/7	0	100	\N	\N	NO	4539989	DET NORSKE (OLD)	Det norske oljeselskap ASA (old)	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490682	NO	2490682
306	INACTIVE	INACTIVE	2003-12-12	2005-07-12	2003-12-12	2005-07-12	1	3.479000	25/1	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490776	NO	2490776
306	INACTIVE	INACTIVE	2003-12-12	2005-07-12	2003-12-12	2005-07-12	2	17.396000	25/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490776	NO	2490776
306	INACTIVE	INACTIVE	2003-12-12	2005-07-12	2003-12-12	2005-07-12	3	85.898000	25/5	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490776	NO	2490776
307	INACTIVE	INACTIVE	2003-12-12	2005-12-12	2003-12-12	2005-12-12	1	163.808000	25/4	0	100	\N	\N	NO	463	MARATHON N	Marathon Petroleum Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490820	NO	2490820
308	INACTIVE	INACTIVE	2003-12-12	2007-12-04	2003-12-12	2007-12-04	1	493.018000	30/12	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490856	NO	2490856
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2003-12-12	2010-03-08	1	496.461000	30/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2010-03-08	2011-01-01	1	295.049000	30/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-01-01	2011-07-08	1	193.217000	30/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-07-08	2011-10-06	1	150.726000	30/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2003-12-12	2010-03-08	2	162.086000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2010-03-08	2011-01-01	2	162.086000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-01-01	2011-07-08	2	34.021000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-07-08	2011-10-06	2	34.021000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2003-12-12	2010-03-08	3	256.202000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2010-03-08	2011-01-01	3	256.202000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-01-01	2011-07-08	3	68.430000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-01-01	2011-07-08	4	18.801000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-01-01	2011-07-08	5	22.127000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2003-12-12	2010-03-08	4	61.589000	30/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	ACTIVE	2003-12-12	2012-12-12	2011-10-06	9999-12-31	1	3.379000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	ACTIVE	2003-12-12	2012-12-12	2011-10-06	9999-12-31	2	13.551000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-07-08	2011-10-06	3	3.379000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2010-03-08	2011-01-01	4	64.311000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-07-08	2011-10-06	4	13.551000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2003-12-12	2010-03-08	5	294.537000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-01-01	2011-07-08	6	13.551000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2011-01-01	2011-07-08	7	3.379000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
309	ACTIVE	INACTIVE	2003-12-12	2012-12-12	2003-12-12	2010-03-08	6	230.599000	31/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2490982	NO	2490982
310	INACTIVE	INACTIVE	2003-12-12	2005-01-27	2003-12-12	2005-01-27	1	356.183000	31/3	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491119	NO	2491119
311	INACTIVE	INACTIVE	2003-12-12	2008-12-12	2003-12-12	2008-12-12	1	504.440000	31/1	0	100	\N	\N	NO	463	MARATHON N	Marathon Petroleum Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491153	NO	2491153
311	INACTIVE	INACTIVE	2003-12-12	2008-12-12	2003-12-12	2008-12-12	2	156.088000	31/2	0	100	\N	\N	NO	463	MARATHON N	Marathon Petroleum Norge AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491153	NO	2491153
312	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2003-12-12	2010-01-02	1	422.825000	6407/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491196	NO	2491196
312	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2010-01-02	2011-12-20	1	25.033000	6407/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491196	NO	2491196
312	ACTIVE	ACTIVE	2003-12-12	2013-12-12	2011-12-20	9999-12-31	1	29.683000	6407/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491196	NO	2491196
312	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2003-12-12	2010-01-02	2	416.380000	6407/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491196	NO	2491196
312	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2010-01-02	2011-12-20	2	8.854000	6407/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491196	NO	2491196
312	ACTIVE	INACTIVE	2003-12-12	2013-12-12	2010-01-02	2011-12-20	3	29.683000	6407/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491196	NO	2491196
313	INACTIVE	INACTIVE	2003-12-12	2005-12-12	2003-12-12	2005-12-12	1	14.056000	6608/10	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491243	NO	2491243
313	INACTIVE	INACTIVE	2003-12-12	2005-12-12	2003-12-12	2005-12-12	2	36.536000	6608/11	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491243	NO	2491243
314	INACTIVE	INACTIVE	2003-12-12	2006-12-12	2003-12-12	2006-12-12	1	108.896000	6406/3	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2491284	NO	2491284
261 BS	INACTIVE	INACTIVE	2003-12-12	2005-11-25	2003-12-12	2005-11-25	1	42.502000	6507/1	0	50	Applies to all levels over base chalk.	Gjelder alle nivå over bunn kritt.	YES	3488906	CHEVRON NORGE	Chevron Norge AS	Awarded additionaly to round 16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2588889	YES	2588889
261 BS	INACTIVE	INACTIVE	2003-12-12	2005-11-25	2003-12-12	2005-11-25	3	328.994000	6507/1	0	100	\N	\N	YES	3488906	CHEVRON NORGE	Chevron Norge AS	Awarded additionaly to round 16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2588889	NO	2588889
261 BS	INACTIVE	INACTIVE	2003-12-12	2005-11-25	2003-12-12	2005-11-25	2	2.829000	6507/2	0	50	Applies to all levels over base chalk.	Gjelder alle nivå over bunn kritt.	YES	3488906	CHEVRON NORGE	Chevron Norge AS	Awarded additionaly to round 16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2588889	YES	2588889
261 BS	INACTIVE	INACTIVE	2003-12-12	2005-11-25	2003-12-12	2005-11-25	4	66.195000	6507/2	0	100	\N	\N	YES	3488906	CHEVRON NORGE	Chevron Norge AS	Awarded additionaly to round 16	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2588889	NO	2588889
280 S	INACTIVE	INACTIVE	2004-05-10	2006-03-15	2004-05-10	2006-03-15	1	2.076000	33/9	50	100	Applies to all levels older then base chalk.	Hjørnekoordinatorene gjelder for alle nivå under bunn kritt.	YES	2845980	CNR NORWAY	CNR International (Norway) AS	Awarded additionaly to NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2773116	YES	2773116
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	7	554.583000	10/4	50	100	Applies to all levels below 200 meteres below the Jurassic where Triassic is present, and all levels below base Jurassic where the Triassic is not present.	Gjelder for alle nivåer nedenfor 200 meter under bunn jura der trias er tilstede, og alle nivåer under bunn jura der trias ikke er tilstede.	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	YES	2786350
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	8	558.364000	10/7	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	NO	2786350
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	9	558.364000	10/8	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	NO	2786350
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	10	558.364000	10/9	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	NO	2786350
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	11	558.364000	11/7	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	NO	2786350
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	1	554.583000	8/6	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	NO	2786350
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	2	550.790000	9/2	50	100	Applies to all levels below 200 meteres below the Jurassic, where Triassic is present, and all levels below base Jurassic where the Triassic is not present.	Gjelder for alle nivåer nedenfor 200 meter under bunn jura der trias er tilstede, og alle nivåer under bunn jura der trias ikke er tilstede.	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	YES	2786350
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	3	550.790000	9/3	50	100	Applies to all levels below 200 meteres below the Jurassic where Triassic is present, and all levels below base Jurassic where the Triassic is not present.	Gjelder for alle nivåer nedenfor 200 meter under bunn jura der trias er tilstede, og alle nivåer under bunn jura der trias ikke er tilstede.	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	YES	2786350
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	4	554.583000	9/4	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	NO	2786350
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	5	543.524000	9/5	0	100	\N	\N	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	NO	2786350
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	12	11.059000	9/5	50	100	Applies to all levels below 200 meteres below the Jurassic where Triassic is present, and all levels below base Jurassic where the Triassic is not present.	Gjelder for alle nivåer nedenfor 200 meter under bunn jura der trias er tilstede, og alle nivåer under bunn jura der trias ikke er tilstede.	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	YES	2786350
315	INACTIVE	INACTIVE	2004-06-18	2009-08-20	2004-06-18	2009-08-20	6	554.583000	9/6	50	100	Applies to all levels below 200 meteres below the Jurassic where Triassic is present, and all levels below base Jurassic where the Triassic is not present.	Gjelder for alle nivåer nedenfor 200 meter under bunn jura der trias er tilstede, og alle nivåer under bunn jura der der trias ikke er tilstede.	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786350	YES	2786350
316	ACTIVE	INACTIVE	2004-06-18	2030-06-18	2004-06-18	2007-08-23	5	554.583000	10/4	0	100	Same as polygon 1	Som for polygon 1	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	NO	2786469
316	ACTIVE	INACTIVE	2004-06-18	2030-06-18	2004-06-18	2007-08-23	1	550.790000	9/2	0	100	Applies to all levels over 200 meteres below base Jurassic and up to seafloor where Triassic is present, and all levels over base Jurassic where the Triassic is not present.	Gjelder for alle nivåer ovenfor 200 meter under bunn jura og opptil havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikker er tilstede.	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	NO	2786469
316	ACTIVE	INACTIVE	2004-06-18	2030-06-18	2007-08-23	2010-04-16	1	260.230000	9/2	0	50	Applies to all levels over 200 meter below base Jurassic and up to seafloor where Triassic is present, and all levels over base Jurassic where Triassic is not present.	Gjelder alle nivåer ovenfor 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikke er tilstede.	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	YES	2786469
316	ACTIVE	ACTIVE	2004-06-18	2030-06-18	2010-04-16	9999-12-31	1	128.783000	9/2	0	50	Applies to all levels over 200 meter below base Jurassic and up to the seafloor where Triassic is present, and all levels over base Jurassic where Triassic is not present.	Gjelder aller nivåer over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trais ikke er tilstede.	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	YES	2786469
316	ACTIVE	INACTIVE	2004-06-18	2030-06-18	2004-06-18	2007-08-23	2	550.790000	9/3	0	100	Same as polygon 1	Som for polygon 1	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	NO	2786469
316	ACTIVE	INACTIVE	2004-06-18	2030-06-18	2007-08-23	2010-04-16	2	11.059000	9/5	0	50	Same as polygon 1	Som for polygon 1	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	YES	2786469
316	ACTIVE	ACTIVE	2004-06-18	2030-06-18	2010-04-16	9999-12-31	2	11.059000	9/5	0	50	Applies to all levels over 200 meter below base Jurassic and up to the seafloor where Triassic is present, and all levels over base Jurassic where Triassic is not present.	Gjelder alle nivåer over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikke er tilstede.	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	YES	2786469
316	ACTIVE	INACTIVE	2004-06-18	2030-06-18	2004-06-18	2007-08-23	3	11.059000	9/5	0	100	Same as polygon 1	Som for polygon 1	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	NO	2786469
316	ACTIVE	INACTIVE	2004-06-18	2030-06-18	2004-06-18	2007-08-23	4	554.583000	9/6	0	100	Same as polygon 1	Som for polygon 1	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786469	NO	2786469
317	INACTIVE	INACTIVE	2004-06-18	2009-04-13	2004-06-18	2009-04-13	1	554.583000	11/5	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786553	NO	2786553
317	INACTIVE	INACTIVE	2004-06-18	2009-04-13	2004-06-18	2009-04-13	2	554.583000	11/6	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786553	NO	2786553
318	ACTIVE	INACTIVE	2004-06-18	2014-06-18	2004-06-18	2010-07-18	1	488.659000	35/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786586	NO	2786586
318	ACTIVE	INACTIVE	2004-06-18	2014-06-18	2010-07-19	2012-12-27	1	397.573000	35/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786586	NO	2786586
318	ACTIVE	ACTIVE	2004-06-18	2014-06-18	2012-12-28	9999-12-31	1	267.216000	35/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786586	NO	2786586
319	INACTIVE	INACTIVE	2004-06-18	2007-06-29	2004-06-18	2007-06-29	1	478.071000	6201/11	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786612	NO	2786612
320	INACTIVE	INACTIVE	2004-06-18	2007-06-14	2004-06-18	2007-06-14	1	460.667000	6304/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786635	NO	2786635
321	INACTIVE	INACTIVE	2004-06-18	2010-06-18	2004-06-18	2010-06-18	1	456.630000	6306/2	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786661	NO	2786661
321	INACTIVE	INACTIVE	2004-06-18	2010-06-18	2004-06-18	2010-06-18	2	456.630000	6306/3	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786661	NO	2786661
321	INACTIVE	INACTIVE	2004-06-18	2010-06-18	2004-06-18	2010-06-18	3	460.667000	6306/5	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786661	NO	2786661
322	INACTIVE	INACTIVE	2004-06-18	2008-06-18	2004-06-18	2008-06-18	1	444.465000	6403/5	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786703	NO	2786703
322	INACTIVE	INACTIVE	2004-06-18	2008-06-18	2004-06-18	2008-06-18	2	444.465000	6403/6	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786703	NO	2786703
322	INACTIVE	INACTIVE	2004-06-18	2008-06-18	2004-06-18	2008-06-18	3	448.529000	6403/9	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786703	NO	2786703
323	INACTIVE	INACTIVE	2004-06-18	2010-06-18	2004-06-18	2010-06-18	1	448.529000	6406/7	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786740	NO	2786740
323	INACTIVE	INACTIVE	2004-06-18	2010-06-18	2004-06-18	2010-06-18	2	448.529000	6406/8	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786740	NO	2786740
324	INACTIVE	INACTIVE	2004-06-18	2008-07-09	2004-06-18	2008-07-09	1	128.950000	6504/1	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786758	NO	2786758
324	INACTIVE	INACTIVE	2004-06-18	2008-07-09	2004-06-18	2008-07-09	2	424.012000	6504/2	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786758	NO	2786758
324	INACTIVE	INACTIVE	2004-06-18	2008-07-09	2004-06-18	2008-07-09	3	428.120000	6504/4	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786758	NO	2786758
324	INACTIVE	INACTIVE	2004-06-18	2008-07-09	2004-06-18	2008-07-09	4	428.120000	6504/5	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786758	NO	2786758
325	INACTIVE	INACTIVE	2004-06-18	2008-03-18	2004-06-18	2008-03-18	1	432.220000	6503/9	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786811	NO	2786811
325	INACTIVE	INACTIVE	2004-06-18	2008-03-18	2004-06-18	2008-03-18	3	436.310000	6504/11	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786811	NO	2786811
325	INACTIVE	INACTIVE	2004-06-18	2008-03-18	2004-06-18	2008-03-18	2	432.220000	6504/7	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786811	NO	2786811
326	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2004-06-18	2011-03-22	1	419.895000	6603/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786855	NO	2786855
326	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2011-03-22	2011-06-18	1	227.656000	6603/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786855	NO	2786855
326	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2004-06-18	2011-03-22	4	419.895000	6604/10	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786855	NO	2786855
326	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2011-03-22	2011-06-18	4	276.986000	6604/10	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786855	NO	2786855
326	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2004-06-18	2011-03-22	2	415.770000	6604/7	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786855	NO	2786855
326	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2011-03-22	2011-06-18	2	415.770000	6604/7	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786855	NO	2786855
326	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2004-06-18	2011-03-22	3	415.770000	6604/8	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786855	NO	2786855
326	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2011-03-22	2011-06-18	3	415.770000	6604/8	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786855	NO	2786855
327	ACTIVE	ACTIVE	2004-06-18	2041-06-18	2011-06-18	9999-12-31	1	32.388000	6705/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786915	NO	2786915
327	ACTIVE	INACTIVE	2004-06-18	2041-06-18	2004-06-18	2011-06-18	3	403.344000	6705/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786915	NO	2786915
327	ACTIVE	INACTIVE	2004-06-18	2041-06-18	2004-06-18	2011-06-18	1	399.186000	6705/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786915	NO	2786915
327	ACTIVE	INACTIVE	2004-06-18	2041-06-18	2004-06-18	2011-06-18	2	399.186000	6705/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786915	NO	2786915
328	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2004-06-18	2009-06-12	1	407.494000	6605/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786957	NO	2786957
328	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2009-06-12	2011-03-28	1	170.799000	6605/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786957	NO	2786957
328	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2011-03-28	2011-06-18	1	108.496000	6605/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786957	NO	2786957
328	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2004-06-18	2009-06-12	2	411.636000	6605/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786957	NO	2786957
328	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2009-06-12	2011-03-28	2	275.937000	6605/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786957	NO	2786957
328	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2011-03-28	2011-06-18	2	79.386000	6605/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786957	NO	2786957
328	INACTIVE	INACTIVE	2004-06-18	2011-06-18	2011-03-28	2011-06-18	3	74.382000	6605/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786957	NO	2786957
329	INACTIVE	INACTIVE	2004-06-18	2009-06-18	2004-06-18	2009-06-18	1	407.494000	6607/1	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786994	NO	2786994
329	INACTIVE	INACTIVE	2004-06-18	2009-06-18	2004-06-18	2009-06-18	2	407.494000	6607/2	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786994	NO	2786994
329	INACTIVE	INACTIVE	2004-06-18	2009-06-18	2004-06-18	2009-06-18	3	411.636000	6607/4	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2786994	NO	2786994
330	ACTIVE	INACTIVE	2004-06-18	2014-06-18	2004-06-18	2010-10-22	1	407.494000	6608/1	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787040	NO	2787040
330	ACTIVE	ACTIVE	2004-06-18	2014-06-18	2010-10-22	9999-12-31	1	407.494000	6608/1	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787040	NO	2787040
330	ACTIVE	INACTIVE	2004-06-18	2014-06-18	2004-06-18	2010-10-22	2	407.494000	6608/2	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787040	NO	2787040
330	ACTIVE	ACTIVE	2004-06-18	2014-06-18	2010-10-22	9999-12-31	2	327.532000	6608/2	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787040	NO	2787040
330	ACTIVE	INACTIVE	2004-06-18	2014-06-18	2004-06-18	2010-10-22	3	407.494000	6608/3	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787040	NO	2787040
037 D	ACTIVE	ACTIVE	2004-06-08	2026-08-10	2004-06-08	9999-12-31	1	12.397000	33/9	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787322	NO	2787322
088 BS	ACTIVE	INACTIVE	2003-03-21	2022-03-09	2003-03-21	2008-01-01	1	97.054000	24/6	0	100	Applies all levels younger than base Tertiary	Gjelder alle nivåer over bunn tertiær	YES	20485291	MARATHON OIL	Marathon Oil Norge AS	Awarded additionaly to round 8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787418	NO	2787418
088 BS	ACTIVE	ACTIVE	2003-03-21	2022-03-09	2008-01-01	9999-12-31	1	61.753000	24/6	0	50	Applies to all levels younger than base Tertiary.	Gjelder for alle nivå over bunn tertiær	YES	20485291	MARATHON OIL	Marathon Oil Norge AS	Awarded additionaly to round 8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2787418	YES	2787418
159 B	ACTIVE	ACTIVE	2004-08-13	2029-03-03	2004-08-13	9999-12-31	1	77.444000	6507/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 12 B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2819945	NO	2819945
331	INACTIVE	INACTIVE	2004-12-17	2011-06-18	2004-12-17	2011-06-18	1	565.894000	2/2	50	100	Applies to all levels below base Jurassic	Gjelder alle nivåer under bunn jura.	YES	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986187	YES	2986187
331	INACTIVE	INACTIVE	2004-12-17	2011-06-18	2004-12-17	2011-06-18	2	565.894000	2/3	0	100	\N	\N	YES	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986187	NO	2986187
331	INACTIVE	INACTIVE	2004-12-17	2011-06-18	2004-12-17	2011-06-18	3	187.587000	8/10	0	100	\N	\N	YES	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986187	NO	2986187
331	INACTIVE	INACTIVE	2004-12-17	2011-06-18	2004-12-17	2011-06-18	4	375.175000	8/11	0	100	\N	\N	YES	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986187	NO	2986187
332	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2004-12-17	2011-01-01	1	565.894000	2/2	0	50	Applies to all levels over base Jurassic	Gjelder alle nivåer over bunn jura	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986240	YES	2986240
332	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2011-01-01	9999-12-31	1	45.181000	2/2	0	50	Applies to all levels over base Jurassic.	Gjelder for alle nivå over bunn jura.	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986240	YES	2986240
332	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2011-01-01	9999-12-31	2	158.702000	2/2	0	50	Applies to all levels over base Jurassic	Gjelder for alle nivå over bunn jura	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986240	YES	2986240
333	ACTIVE	INACTIVE	2004-12-17	2027-07-08	2004-12-17	2013-01-03	1	66.326000	2/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986266	NO	2986266
333	ACTIVE	ACTIVE	2004-12-17	2027-07-08	2013-01-03	9999-12-31	1	35.982000	2/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986266	NO	2986266
333	ACTIVE	ACTIVE	2004-12-17	2027-07-08	2013-01-03	9999-12-31	2	3.793000	2/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986266	NO	2986266
333	ACTIVE	ACTIVE	2004-12-17	2027-07-08	2013-01-03	9999-12-31	3	3.794000	2/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986266	NO	2986266
334	INACTIVE	INACTIVE	2004-12-17	2008-03-17	2004-12-17	2008-03-17	1	295.669000	7/4	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986306	NO	2986306
334	INACTIVE	INACTIVE	2004-12-17	2008-03-17	2004-12-17	2008-03-17	2	554.583000	7/5	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986306	NO	2986306
335	INACTIVE	INACTIVE	2004-12-17	2007-12-17	2004-12-17	2007-12-17	3	9.933000	7/10	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986333	NO	2986333
335	INACTIVE	INACTIVE	2004-12-17	2007-12-17	2004-12-17	2007-12-17	1	70.561000	7/4	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986333	NO	2986333
335	INACTIVE	INACTIVE	2004-12-17	2007-12-17	2004-12-17	2007-12-17	2	127.085000	7/7	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986333	NO	2986333
336	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	1	460.918000	7/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986364	NO	2986364
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2004-12-17	2009-12-29	1	0.954000	15/11	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	NO	2986484
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2009-12-29	2010-12-17	1	0.954000	15/11	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	NO	2986484
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2010-12-17	2012-01-20	1	105.542000	15/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	NO	2986484
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2012-01-20	2013-02-09	1	63.600000	15/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	NO	2986484
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2004-12-17	2009-12-29	2	236.198000	15/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	NO	2986484
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2009-12-29	2010-12-17	2	236.198000	15/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	NO	2986484
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2004-12-17	2009-12-29	3	437.284000	16/10	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	NO	2986484
337	INACTIVE	INACTIVE	2004-12-17	2013-02-09	2009-12-29	2010-12-17	3	178.336000	16/10	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986484	NO	2986484
338	ACTIVE	ACTIVE	2004-12-17	2013-12-17	2004-12-17	9999-12-31	1	218.119000	16/1	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986578	NO	2986578
339	INACTIVE	INACTIVE	2004-12-17	2009-12-17	2004-12-17	2008-12-12	1	270.152000	16/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986606	NO	2986606
339	INACTIVE	INACTIVE	2004-12-17	2009-12-17	2008-12-12	2009-12-17	1	14.427000	16/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986606	NO	2986606
340	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2004-12-17	2012-04-30	1	164.438000	24/9	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986630	NO	2986630
340	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2012-04-30	9999-12-31	1	44.046000	24/9	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986630	NO	2986630
341	INACTIVE	INACTIVE	2004-12-17	2011-12-17	2004-12-17	2011-08-31	2	13.203000	24/11	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986675	NO	2986675
341	INACTIVE	INACTIVE	2004-12-17	2011-12-17	2011-08-31	2011-12-17	2	10.386000	24/11	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986675	NO	2986675
341	INACTIVE	INACTIVE	2004-12-17	2011-12-17	2004-12-17	2011-08-31	3	517.987000	24/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986675	NO	2986675
341	INACTIVE	INACTIVE	2004-12-17	2011-12-17	2011-08-31	2011-12-17	3	101.536000	24/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986675	NO	2986675
341	INACTIVE	INACTIVE	2004-12-17	2011-12-17	2011-08-31	2011-12-17	4	21.327000	24/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986675	NO	2986675
341	INACTIVE	INACTIVE	2004-12-17	2011-12-17	2004-12-17	2011-08-31	1	8.503000	24/9	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986675	NO	2986675
341	INACTIVE	INACTIVE	2004-12-17	2011-12-17	2011-08-31	2011-12-17	1	8.503000	24/9	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986675	NO	2986675
342	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	1	97.279000	25/1	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986721	NO	2986721
342	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	2	27.799000	25/2	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986721	NO	2986721
343	INACTIVE	INACTIVE	2004-12-17	2009-10-17	2004-12-17	2009-10-17	1	13.276000	29/9	0	100	\N	\N	NO	463	MARATHON N	Marathon Petroleum Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986758	NO	2986758
343	INACTIVE	INACTIVE	2004-12-17	2009-10-17	2004-12-17	2009-10-17	3	256.332000	30/10	0	100	\N	\N	NO	463	MARATHON N	Marathon Petroleum Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986758	NO	2986758
343	INACTIVE	INACTIVE	2004-12-17	2009-10-17	2004-12-17	2009-10-17	2	480.130000	30/7	0	100	\N	\N	NO	463	MARATHON N	Marathon Petroleum Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986758	NO	2986758
344	INACTIVE	INACTIVE	2004-12-17	2010-12-07	2004-12-17	2010-12-07	1	92.266000	33/6	0	100	\N	\N	NO	5072514	SPRING ENERGY NORWAY AS	Spring Energy Norway AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986805	NO	2986805
344	INACTIVE	INACTIVE	2004-12-17	2010-12-07	2004-12-17	2010-12-07	2	83.784000	33/9	0	100	\N	\N	NO	5072514	SPRING ENERGY NORWAY AS	Spring Energy Norway AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986805	NO	2986805
344	INACTIVE	INACTIVE	2004-12-17	2010-12-07	2004-12-17	2010-12-07	3	69.672000	33/9	0	100	\N	\N	NO	5072514	SPRING ENERGY NORWAY AS	Spring Energy Norway AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986805	NO	2986805
344	INACTIVE	INACTIVE	2004-12-17	2010-12-07	2004-12-17	2010-12-07	4	14.826000	34/4	0	100	\N	\N	NO	5072514	SPRING ENERGY NORWAY AS	Spring Energy Norway AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986805	NO	2986805
345	INACTIVE	INACTIVE	2004-12-17	2008-12-17	2004-12-17	2008-12-17	1	155.548000	34/7	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986889	NO	2986889
345	INACTIVE	INACTIVE	2004-12-17	2008-12-17	2004-12-17	2008-12-17	2	150.300000	34/8	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986889	NO	2986889
346	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	1	313.884000	6407/5	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986958	NO	2986958
347	INACTIVE	INACTIVE	2004-12-17	2007-12-14	2004-12-17	2007-12-14	3	250.219000	6407/10	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986982	NO	2986982
347	INACTIVE	INACTIVE	2004-12-17	2007-12-14	2004-12-17	2007-12-14	4	27.082000	6407/11	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986982	NO	2986982
347	INACTIVE	INACTIVE	2004-12-17	2007-12-14	2004-12-17	2007-12-14	1	26.998000	6407/7	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986982	NO	2986982
347	INACTIVE	INACTIVE	2004-12-17	2007-12-14	2004-12-17	2007-12-14	2	42.002000	6407/8	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2986982	NO	2986982
348	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2004-12-17	9999-12-31	1	182.398000	6407/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987047	NO	2987047
348	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2004-12-17	9999-12-31	2	25.329000	6407/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987047	NO	2987047
349	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	1	204.743000	6407/11	0	100	\N	\N	NO	463	MARATHON N	Marathon Petroleum Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987098	NO	2987098
349	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	2	233.363000	6407/12	0	100	\N	\N	NO	463	MARATHON N	Marathon Petroleum Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987098	NO	2987098
350	INACTIVE	INACTIVE	2004-12-17	2012-09-17	2004-12-17	2012-09-17	1	264.012000	6507/6	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987133	NO	2987133
351	INACTIVE	INACTIVE	2004-12-17	2007-12-14	2004-12-17	2007-12-14	1	135.987000	6508/1	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987183	NO	2987183
351	INACTIVE	INACTIVE	2004-12-17	2007-12-14	2004-12-17	2007-12-14	2	225.628000	6508/2	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987183	NO	2987183
352	INACTIVE	INACTIVE	2004-12-17	2008-10-08	2004-12-17	2008-10-08	1	122.330000	6608/7	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987228	NO	2987228
352	INACTIVE	INACTIVE	2004-12-17	2008-10-08	2004-12-17	2008-10-08	2	111.060000	6608/8	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987228	NO	2987228
353	INACTIVE	INACTIVE	2004-12-17	2006-12-17	2004-12-17	2006-12-17	1	197.048000	6608/10	0	100	\N	\N	NO	430	HYDRO PRODUKSJON	Norsk Hydro Produksjon AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987265	NO	2987265
073 B	ACTIVE	ACTIVE	2004-12-17	2029-12-31	2004-12-17	9999-12-31	1	16.169000	6406/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987414	NO	2987414
122 C	ACTIVE	INACTIVE	2004-12-17	2025-02-28	2004-12-17	2011-01-01	1	5.622000	6607/12	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987454	NO	2987454
122 C	ACTIVE	ACTIVE	2004-12-17	2025-02-28	2011-01-01	9999-12-31	1	4.217000	6607/12	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987454	NO	2987454
305 B	INACTIVE	INACTIVE	2004-12-17	2008-12-02	2004-12-17	2008-12-02	1	15.837000	24/9	0	100	\N	\N	NO	4539989	DET NORSKE (OLD)	Det norske oljeselskap ASA (old)	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987480	NO	2987480
311 B	INACTIVE	INACTIVE	2004-12-17	2009-02-28	2004-12-17	2009-02-28	1	28.633000	31/2	0	100	\N	\N	NO	463	MARATHON N	Marathon Petroleum Norge AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=2987508	NO	2987508
037 E	ACTIVE	ACTIVE	2004-12-10	2036-06-30	2004-12-10	9999-12-31	1	2.504000	33/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3000656	NO	3000656
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2004-12-17	2011-02-24	1	240.455000	7121/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2011-02-24	2012-01-01	1	30.478000	7121/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2012-01-01	9999-12-31	1	30.478000	7121/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2011-02-24	2012-01-01	2	102.996000	7121/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2012-01-01	9999-12-31	2	41.679000	7121/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2004-12-17	2011-02-24	2	264.943000	7121/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2011-02-24	2012-01-01	3	125.611000	7121/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2012-01-01	9999-12-31	3	86.042000	7121/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2004-12-17	2011-02-24	3	264.943000	7121/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2011-02-24	2012-01-01	4	1.099000	7121/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2012-01-01	9999-12-31	4	126.854000	7121/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2011-02-24	2012-01-01	5	126.854000	7121/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2004-12-17	2011-02-24	4	109.584000	7122/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2004-12-17	2011-02-24	5	109.584000	7122/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2012-01-01	9999-12-31	5	9.871000	7122/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2011-02-24	2012-01-01	6	9.871000	7122/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2004-12-17	2011-02-24	6	327.322000	7122/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	ACTIVE	2004-12-17	2014-12-17	2012-01-01	9999-12-31	6	183.692000	7122/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
110 B	ACTIVE	INACTIVE	2004-12-17	2014-12-17	2011-02-24	2012-01-01	7	263.278000	7122/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2004	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3001885	NO	3001885
212 C	INACTIVE	INACTIVE	2005-02-07	2010-01-01	2005-02-07	2010-01-01	1	114.232000	6507/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3371954	NO	3371954
090 B	ACTIVE	ACTIVE	2005-05-25	2024-03-09	2005-05-25	9999-12-31	1	21.660000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3426781	NO	3426781
090 C	ACTIVE	ACTIVE	2005-05-25	2024-03-09	2005-05-25	9999-12-31	1	21.663000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3426824	NO	3426824
048 C	ACTIVE	ACTIVE	2005-10-10	2013-02-18	2005-10-10	9999-12-31	1	13.287000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3489506	NO	3489506
048 D	ACTIVE	ACTIVE	2005-10-10	2018-02-18	2005-10-10	9999-12-31	1	9.497000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3489553	NO	3489553
274 BS	INACTIVE	INACTIVE	2005-12-13	2010-12-13	2005-12-13	2010-12-13	1	73.761000	1/3	50	100	Applies to the Ekofisk Formation of Danian age and levels below.	Gjelder for Ekofisk formasjonen av Dan alder og alle nivåene under	YES	2747354	BG NORGE	BG Norge AS	Awarded additionaly to NST2001	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3809011	YES	3809011
085 D	INACTIVE	INACTIVE	2006-01-06	2008-01-01	2006-01-06	2008-01-01	1	97.304000	31/3	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810164	NO	3810164
354	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	1	38.895000	1/9	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810204	NO	3810204
354	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	3	201.075000	2/10	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810204	NO	3810204
354	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	4	52.163000	2/11	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810204	NO	3810204
354	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	2	62.655000	2/7	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810204	NO	3810204
356	INACTIVE	INACTIVE	2006-01-06	2013-01-06	2006-01-06	2013-01-06	1	523.951000	3/4	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810275	NO	3810275
356	INACTIVE	INACTIVE	2006-01-06	2013-01-06	2006-01-06	2013-01-06	2	146.336000	3/5	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810275	NO	3810275
357	INACTIVE	INACTIVE	2006-01-06	2008-01-07	2006-01-06	2008-01-07	1	355.986000	4/3	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810310	NO	3810310
358	INACTIVE	INACTIVE	2006-01-06	2011-07-06	2006-01-06	2011-07-06	1	433.477000	7/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810338	NO	3810338
358	INACTIVE	INACTIVE	2006-01-06	2011-07-06	2006-01-06	2011-07-06	2	443.363000	7/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810338	NO	3810338
359	ACTIVE	ACTIVE	2006-01-06	2016-01-06	2006-01-06	9999-12-31	1	35.795000	16/1	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810373	NO	3810373
359	ACTIVE	ACTIVE	2006-01-06	2016-01-06	2006-01-06	9999-12-31	2	269.194000	16/4	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810373	NO	3810373
360	ACTIVE	ACTIVE	2006-01-06	2014-01-06	2006-01-06	9999-12-31	1	187.331000	16/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810387	NO	3810387
360	ACTIVE	ACTIVE	2006-01-06	2014-01-06	2006-01-06	9999-12-31	2	288.128000	16/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810387	NO	3810387
360	ACTIVE	ACTIVE	2006-01-06	2014-01-06	2006-01-06	9999-12-31	3	543.172000	16/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810387	NO	3810387
360	ACTIVE	ACTIVE	2006-01-06	2014-01-06	2006-01-06	9999-12-31	4	543.172000	16/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810387	NO	3810387
361	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	1	357.433000	17/2	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810510	NO	3810510
361	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	2	428.715000	17/3	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810510	NO	3810510
361	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	3	539.346000	17/5	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810510	NO	3810510
361	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	4	294.437000	17/6	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810510	NO	3810510
362	ACTIVE	ACTIVE	2006-01-06	2013-09-06	2006-01-06	9999-12-31	1	32.853000	25/1	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810565	NO	3810565
362	ACTIVE	ACTIVE	2006-01-06	2013-09-06	2006-01-06	9999-12-31	2	69.220000	25/2	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810565	NO	3810565
363	INACTIVE	INACTIVE	2006-01-06	2011-01-06	2006-01-06	2011-01-06	1	167.941000	25/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810598	NO	3810598
364	ACTIVE	INACTIVE	2006-01-06	2019-01-06	2006-01-06	2009-01-06	1	29.566000	25/2	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	NO	3810636
364	ACTIVE	INACTIVE	2006-01-06	2019-01-06	2009-01-06	2013-01-01	1	24.347000	25/2	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	NO	3810636
364	ACTIVE	ACTIVE	2006-01-06	2019-01-06	2013-01-01	9999-12-31	1	10.435000	25/2	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	NO	3810636
364	ACTIVE	INACTIVE	2006-01-06	2019-01-06	2006-01-06	2009-01-06	2	27.812000	25/3	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	NO	3810636
364	ACTIVE	INACTIVE	2006-01-06	2019-01-06	2009-01-06	2013-01-01	2	28.732000	25/5	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	NO	3810636
364	ACTIVE	ACTIVE	2006-01-06	2019-01-06	2013-01-01	9999-12-31	2	21.769000	25/5	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	NO	3810636
364	ACTIVE	INACTIVE	2006-01-06	2019-01-06	2006-01-06	2009-01-06	3	36.565000	25/5	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	NO	3810636
364	ACTIVE	INACTIVE	2006-01-06	2019-01-06	2006-01-06	2009-01-06	4	10.444000	25/6	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810636	NO	3810636
365	INACTIVE	INACTIVE	2006-01-06	2007-12-18	2006-01-06	2007-12-18	2	47.718000	25/10	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810693	NO	3810693
365	INACTIVE	INACTIVE	2006-01-06	2007-12-18	2006-01-06	2007-12-18	1	133.890000	25/7	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810693	NO	3810693
366	INACTIVE	INACTIVE	2006-01-06	2008-02-05	2006-01-06	2008-02-05	1	127.060000	29/3	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810756	NO	3810756
366	INACTIVE	INACTIVE	2006-01-06	2008-02-05	2006-01-06	2008-02-05	2	315.824000	30/1	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810756	NO	3810756
367 S	INACTIVE	INACTIVE	2006-01-06	2007-12-18	2006-01-06	2007-12-18	1	5.425000	29/6	0	50	Applies to all rock from 50 meter above base Creataceous and younger rock	Gjelder alle bergarter fra 50 meter over bunn kritt og yngre bergarter	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810797	YES	3810797
367 S	INACTIVE	INACTIVE	2006-01-06	2007-12-18	2006-01-06	2007-12-18	2	32.066000	29/6	0	100	\N	\N	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810797	NO	3810797
367 S	INACTIVE	INACTIVE	2006-01-06	2007-12-18	2006-01-06	2007-12-18	3	11.883000	30/4	0	50	Apllies to all rock from 50 meter above base Creataceous and younger rock	Gjelder aller bergarter fra 50 meter over bunn kritt og yngre bergarter	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810797	YES	3810797
367 S	INACTIVE	INACTIVE	2006-01-06	2007-12-18	2006-01-06	2007-12-18	4	194.990000	30/4	0	100	\N	\N	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810797	NO	3810797
368	INACTIVE	INACTIVE	2006-01-06	2007-07-06	2006-01-06	2007-07-06	1	18.560000	30/3	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810851	NO	3810851
369	INACTIVE	INACTIVE	2006-01-06	2011-01-06	2006-01-06	2011-01-06	1	45.822000	31/6	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810875	NO	3810875
369	INACTIVE	INACTIVE	2006-01-06	2011-01-06	2006-01-06	2011-01-06	2	94.357000	32/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810875	NO	3810875
369	INACTIVE	INACTIVE	2006-01-06	2011-01-06	2006-01-06	2011-01-06	3	70.768000	32/2	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810875	NO	3810875
369	INACTIVE	INACTIVE	2006-01-06	2011-01-06	2006-01-06	2011-01-06	4	406.949000	32/4	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810875	NO	3810875
369	INACTIVE	INACTIVE	2006-01-06	2011-01-06	2006-01-06	2011-01-06	5	152.508000	32/5	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810875	NO	3810875
369	INACTIVE	INACTIVE	2006-01-06	2011-01-06	2006-01-06	2011-01-06	6	272.724000	32/7	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810875	NO	3810875
370	ACTIVE	INACTIVE	2006-01-06	2014-07-06	2006-01-06	2013-02-21	1	64.203000	33/5	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810959	NO	3810959
370	ACTIVE	ACTIVE	2006-01-06	2014-07-06	2013-02-21	9999-12-31	2	64.203000	33/5	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810959	NO	3810959
370	ACTIVE	ACTIVE	2006-01-06	2014-07-06	2013-02-21	9999-12-31	1	98.147000	33/6	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810959	NO	3810959
370	ACTIVE	INACTIVE	2006-01-06	2014-07-06	2006-01-06	2013-02-21	2	152.200000	33/6	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810959	NO	3810959
371 S	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	1	58.687000	34/2	0	50	Applies to all levels above base Pliocene	Gjelder alle nivå over bunn pliocen	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810996	YES	3810996
371 S	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	2	391.244000	34/3	0	50	Applies to all levels above base Pliocene	Gjelder alle nivå over bunn pliocen	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810996	YES	3810996
371 S	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	3	14.731000	34/5	0	50	Applies to all levels above base Pliocene	Gjelder alle nivå over bunn pliocen	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810996	YES	3810996
371 S	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	4	354.575000	34/6	0	50	Applies to all levels above base Pliocene	Gjelder alle nivå over bunn pliocen	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810996	YES	3810996
371 S	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	5	279.586000	34/9	0	50	Applies to all levels above base Pliocene	Gjelder alle nivå over bunn pliocen	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810996	YES	3810996
385	ACTIVE	INACTIVE	2006-01-06	2014-01-06	2006-01-06	2012-06-28	1	331.900000	6607/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811602	NO	3811602
371 S	INACTIVE	INACTIVE	2006-01-06	2009-04-06	2006-01-06	2009-04-06	6	405.277000	35/7	0	50	Applies to all levels above base Pliocene	Gjelder alle nivå over bunn pliocen	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3810996	YES	3810996
372 S	INACTIVE	INACTIVE	2006-01-06	2009-07-06	2006-01-06	2009-07-06	1	194.988000	34/3	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811092	YES	3811092
373 S	ACTIVE	ACTIVE	2006-01-06	2038-01-06	2006-01-06	9999-12-31	1	3.270000	34/2	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811116	YES	3811116
373 S	ACTIVE	ACTIVE	2006-01-06	2038-01-06	2006-01-06	9999-12-31	2	293.671000	34/3	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811116	YES	3811116
373 S	ACTIVE	ACTIVE	2006-01-06	2038-01-06	2006-01-06	9999-12-31	3	16.377000	34/5	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811116	YES	3811116
373 S	ACTIVE	ACTIVE	2006-01-06	2038-01-06	2006-01-06	9999-12-31	4	16.377000	34/6	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811116	YES	3811116
374 S	ACTIVE	INACTIVE	2006-01-06	2016-01-06	2006-01-06	2013-01-11	1	107.822000	34/2	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811171	YES	3811171
374 S	ACTIVE	ACTIVE	2006-01-06	2016-01-06	2013-01-11	9999-12-31	1	11.442000	34/2	50	100	\N	Gjelder alle nivå under bunn pliocen	YES	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811171	YES	3811171
374 S	ACTIVE	INACTIVE	2006-01-06	2016-01-06	2006-01-06	2013-01-11	2	451.677000	34/5	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811171	YES	3811171
374 S	ACTIVE	ACTIVE	2006-01-06	2016-01-06	2013-01-11	9999-12-31	2	93.442000	34/5	50	100	\N	Gjelder alle nivå under bunn pliocen	YES	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811171	YES	3811171
375	ACTIVE	ACTIVE	2006-01-06	2014-12-31	2006-01-06	9999-12-31	1	260.956000	34/4	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811214	NO	3811214
375	ACTIVE	ACTIVE	2006-01-06	2014-12-31	2006-01-06	9999-12-31	2	24.565000	34/5	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811214	NO	3811214
376	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	1	492.619000	35/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811255	NO	3811255
376	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	2	69.299000	35/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811255	NO	3811255
377 S	INACTIVE	INACTIVE	2006-01-06	2012-07-06	2006-01-06	2012-07-06	1	127.588000	35/7	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	441	IDEMITSU	Idemitsu Petroleum Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811290	YES	3811290
378	ACTIVE	INACTIVE	2006-01-06	2016-01-06	2006-01-06	2012-03-22	1	475.460000	35/12	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811312	NO	3811312
378	ACTIVE	ACTIVE	2006-01-06	2016-01-06	2012-03-22	9999-12-31	1	263.112000	35/12	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811312	NO	3811312
378	ACTIVE	INACTIVE	2006-01-06	2016-01-06	2006-01-06	2012-03-22	2	150.153000	36/10	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811312	NO	3811312
379	INACTIVE	INACTIVE	2006-01-06	2010-01-05	2006-01-06	2010-01-05	1	271.956000	6406/12	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811357	NO	3811357
380	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	1	60.029000	6407/2	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811381	NO	3811381
381	INACTIVE	INACTIVE	2006-01-06	2009-02-06	2006-01-06	2009-02-06	1	29.749000	6407/5	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811409	NO	3811409
381	INACTIVE	INACTIVE	2006-01-06	2009-02-06	2006-01-06	2009-02-06	2	86.438000	6407/8	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811409	NO	3811409
382	INACTIVE	INACTIVE	2006-01-06	2011-04-06	2006-01-06	2011-04-06	4	65.329000	6506/11	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811444	NO	3811444
382	INACTIVE	INACTIVE	2006-01-06	2011-04-06	2006-01-06	2011-04-06	1	259.332000	6506/7	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811444	NO	3811444
382	INACTIVE	INACTIVE	2006-01-06	2011-04-06	2006-01-06	2011-04-06	2	432.220000	6506/8	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811444	NO	3811444
382	INACTIVE	INACTIVE	2006-01-06	2011-04-06	2006-01-06	2011-04-06	3	34.457000	6506/9	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811444	NO	3811444
383	INACTIVE	INACTIVE	2006-01-06	2010-07-06	2006-01-06	2010-07-06	1	140.205000	6507/3	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811499	NO	3811499
383	INACTIVE	INACTIVE	2006-01-06	2010-07-06	2006-01-06	2010-07-06	2	73.545000	6508/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811499	NO	3811499
384	INACTIVE	INACTIVE	2006-01-06	2008-04-01	2006-01-06	2008-04-01	1	148.700000	6507/5	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811564	NO	3811564
385	ACTIVE	ACTIVE	2006-01-06	2014-01-06	2012-06-29	9999-12-31	1	132.969000	6607/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811602	NO	3811602
385	ACTIVE	INACTIVE	2006-01-06	2014-01-06	2006-01-06	2012-06-28	2	321.557000	6607/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811602	NO	3811602
386	INACTIVE	INACTIVE	2006-01-06	2013-04-06	2006-01-06	2013-04-06	1	419.895000	6609/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811659	NO	3811659
386	INACTIVE	INACTIVE	2006-01-06	2013-04-06	2006-01-06	2013-04-06	3	419.895000	6610/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811659	NO	3811659
386	INACTIVE	INACTIVE	2006-01-06	2013-04-06	2006-01-06	2013-04-06	2	222.258000	6610/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811659	NO	3811659
043 BS	ACTIVE	INACTIVE	2006-01-06	2027-12-31	2006-01-06	2010-05-12	1	5.425000	29/6	50	100	Applies to all rocks from 50 meter above base Creataceous and older rocks	Gjelder alle bergarter fra 50 meter over bunn kritt og eldre bergarter	YES	2410708	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811810	YES	3811810
043 BS	ACTIVE	ACTIVE	2006-01-06	2027-12-31	2010-05-12	9999-12-31	1	3.819000	29/6	50	100	Applies to all rocks from 50 m over base and older rocks.	Gjelder alle bergarter fra 50 meter over bunn kritt og eldre bergarter	YES	2410708	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811810	YES	3811810
043 BS	ACTIVE	ACTIVE	2006-01-06	2027-12-31	2010-05-12	9999-12-31	2	1.607000	29/6	50	100	Applies to all levels over 50 m above base Creataceous and below top Dunlin	Gjelder alle bergarter over 50 meter over bunn kritt og under topp Dunlin	YES	2410708	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811810	YES	3811810
043 BS	ACTIVE	INACTIVE	2006-01-06	2027-12-31	2006-01-06	2010-05-12	2	11.883000	30/4	50	100	Applies to all rocks from 50 meter above base Creataceous and older rocks	Gjelder alle bergarter fra 50 meter over bunn kritt og eldre bergarter	YES	2410708	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811810	YES	3811810
043 BS	ACTIVE	ACTIVE	2006-01-06	2027-12-31	2010-05-12	9999-12-31	3	11.883000	30/4	50	100	Applies to all levels from 50 m above base Creataceous and older rocks.	Gjelder alle bergarter fra 50 meter over bunn kritt og eldre bergarter.	YES	2410708	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811810	YES	3811810
090 D	INACTIVE	INACTIVE	2006-01-06	2010-01-06	2006-01-06	2010-01-06	1	25.049000	35/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811847	NO	3811847
091 C	INACTIVE	INACTIVE	2006-01-06	2008-02-06	2006-01-06	2008-02-06	1	32.194000	6406/3	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811888	NO	3811888
091 C	INACTIVE	INACTIVE	2006-01-06	2008-02-06	2006-01-06	2008-02-06	2	5.849000	6407/1	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811888	NO	3811888
122 D	ACTIVE	ACTIVE	2006-01-06	2025-02-28	2006-01-06	9999-12-31	1	7.028000	6607/11	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811939	NO	3811939
128 C	INACTIVE	INACTIVE	2006-01-06	2007-01-06	2006-01-06	2007-01-06	2	34.891000	6608/11	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811967	NO	3811967
128 C	INACTIVE	INACTIVE	2006-01-06	2007-01-06	2006-01-06	2007-01-06	1	33.405000	6608/8	0	100	\N	\N	NO	1622484	STATOIL ASA (OLD)	Statoil ASA (old)	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3811967	NO	3811967
134 C	ACTIVE	ACTIVE	2006-01-06	2027-04-10	2006-01-06	9999-12-31	1	2.902000	6506/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812006	NO	3812006
134 C	ACTIVE	ACTIVE	2006-01-06	2027-04-10	2006-01-06	9999-12-31	2	4.359000	6506/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812006	NO	3812006
134 C	ACTIVE	ACTIVE	2006-01-06	2027-04-10	2006-01-06	9999-12-31	3	1.454000	6506/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812006	NO	3812006
134 C	ACTIVE	ACTIVE	2006-01-06	2027-04-10	2006-01-06	9999-12-31	4	1.455000	6506/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812006	NO	3812006
195 B	ACTIVE	INACTIVE	2006-01-06	2030-10-10	2006-01-06	2009-01-01	1	16.573000	35/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812021	NO	3812021
195 B	ACTIVE	ACTIVE	2006-01-06	2030-10-10	2009-01-01	9999-12-31	1	14.917000	35/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812021	NO	3812021
248 B	ACTIVE	INACTIVE	2006-01-06	2035-06-04	2006-01-06	2007-01-01	1	24.855000	35/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812058	NO	3812058
248 B	ACTIVE	ACTIVE	2006-01-06	2035-06-04	2007-01-01	9999-12-31	1	14.915000	35/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812058	NO	3812058
248 B	ACTIVE	INACTIVE	2006-01-06	2035-06-04	2006-01-06	2007-01-01	2	23.155000	35/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812058	NO	3812058
248 B	ACTIVE	ACTIVE	2006-01-06	2035-06-04	2007-01-01	9999-12-31	2	9.923000	35/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812058	NO	3812058
263 B	ACTIVE	ACTIVE	2006-01-06	2037-05-12	2006-01-06	9999-12-31	1	4.385000	6407/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812093	NO	3812093
277 B	INACTIVE	INACTIVE	2006-01-06	2013-01-01	2006-01-06	2007-10-03	1	15.086000	29/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812131	NO	3812131
277 B	INACTIVE	INACTIVE	2006-01-06	2013-01-01	2007-10-03	2013-01-01	1	13.411000	29/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812131	NO	3812131
355	INACTIVE	INACTIVE	2006-01-06	2009-12-12	2006-01-06	2009-12-12	1	39.779000	2/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812175	NO	3812175
091 B	INACTIVE	INACTIVE	2006-01-06	2009-10-06	2006-01-06	2009-10-06	1	20.526000	6406/3	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3812205	NO	3812205
387	INACTIVE	INACTIVE	2006-04-28	2009-04-28	2006-04-28	2009-04-28	4	355.050000	6202/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3964986	NO	3964986
387	INACTIVE	INACTIVE	2006-04-28	2009-04-28	2006-04-28	2009-04-28	1	480.709000	6202/7	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3964986	NO	3964986
387	INACTIVE	INACTIVE	2006-04-28	2009-04-28	2006-04-28	2009-04-28	2	480.709000	6202/8	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3964986	NO	3964986
387	INACTIVE	INACTIVE	2006-04-28	2009-04-28	2006-04-28	2009-04-28	3	480.709000	6202/9	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3964986	NO	3964986
388	INACTIVE	INACTIVE	2006-04-28	2011-10-28	2006-04-28	2011-10-28	1	460.667000	6302/5	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965088	NO	3965088
388	INACTIVE	INACTIVE	2006-04-28	2011-10-28	2006-04-28	2011-10-28	2	464.694000	6302/7	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965088	NO	3965088
388	INACTIVE	INACTIVE	2006-04-28	2011-10-28	2006-04-28	2011-10-28	3	464.694000	6302/8	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965088	NO	3965088
389	INACTIVE	INACTIVE	2006-04-28	2010-04-26	2006-04-28	2010-04-26	1	331.643000	6406/11	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965128	NO	3965128
390	INACTIVE	INACTIVE	2006-04-28	2011-04-28	2006-04-28	2011-04-28	1	428.120000	6505/6	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965152	NO	3965152
390	INACTIVE	INACTIVE	2006-04-28	2011-04-28	2006-04-28	2011-04-28	2	432.220000	6505/9	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965152	NO	3965152
390	INACTIVE	INACTIVE	2006-04-28	2011-04-28	2006-04-28	2011-04-28	3	428.120000	6506/4	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965152	NO	3965152
391	INACTIVE	INACTIVE	2006-04-28	2010-01-28	2006-04-28	2010-01-28	1	424.012000	6506/1	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965194	NO	3965194
392	INACTIVE	INACTIVE	2006-04-28	2012-04-28	2006-04-28	2012-04-28	1	411.636000	6603/5	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965222	NO	3965222
392	INACTIVE	INACTIVE	2006-04-28	2012-04-28	2006-04-28	2012-04-28	2	411.636000	6603/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965222	NO	3965222
392	INACTIVE	INACTIVE	2006-04-28	2012-04-28	2006-04-28	2012-04-28	3	415.770000	6603/7	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965222	NO	3965222
392	INACTIVE	INACTIVE	2006-04-28	2012-04-28	2006-04-28	2012-04-28	4	415.770000	6603/8	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965222	NO	3965222
393	ACTIVE	INACTIVE	2006-04-28	2040-04-28	2006-04-28	2010-04-28	1	175.105000	7124/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965277	NO	3965277
393	ACTIVE	ACTIVE	2006-04-28	2040-04-28	2010-04-28	9999-12-31	1	26.306000	7124/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965277	NO	3965277
393	ACTIVE	INACTIVE	2006-04-28	2040-04-28	2006-04-28	2010-04-28	2	175.105000	7125/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965277	NO	3965277
393	ACTIVE	ACTIVE	2006-04-28	2040-04-28	2010-04-28	9999-12-31	2	65.710000	7125/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965277	NO	3965277
393	ACTIVE	INACTIVE	2006-04-28	2040-04-28	2006-04-28	2010-04-28	3	175.105000	7125/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965277	NO	3965277
393	ACTIVE	ACTIVE	2006-04-28	2040-04-28	2010-04-28	9999-12-31	3	20.782000	7125/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965277	NO	3965277
394	INACTIVE	INACTIVE	2006-04-28	2011-02-05	2006-04-28	2011-02-05	1	310.117000	7224/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965323	NO	3965323
394	INACTIVE	INACTIVE	2006-04-28	2011-02-05	2006-04-28	2011-02-05	2	310.117000	7225/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965323	NO	3965323
395	ACTIVE	INACTIVE	2006-04-28	2014-04-28	2006-04-28	2013-01-01	1	305.800000	7226/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965360	NO	3965360
395	ACTIVE	ACTIVE	2006-04-28	2014-04-28	2013-01-01	9999-12-31	2	248.559000	7226/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965360	NO	3965360
395	ACTIVE	INACTIVE	2006-04-28	2014-04-28	2006-04-28	2013-01-01	2	305.800000	7226/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965360	NO	3965360
395	ACTIVE	ACTIVE	2006-04-28	2014-04-28	2013-01-01	9999-12-31	3	281.204000	7226/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965360	NO	3965360
395	ACTIVE	ACTIVE	2006-04-28	2014-04-28	2013-01-01	9999-12-31	1	244.348000	7227/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965360	NO	3965360
395	ACTIVE	INACTIVE	2006-04-28	2014-04-28	2006-04-28	2013-01-01	3	305.800000	7227/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965360	NO	3965360
396	INACTIVE	INACTIVE	2006-04-28	2012-10-28	2006-04-28	2012-01-24	1	305.800000	7228/1	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965404	NO	3965404
396	INACTIVE	INACTIVE	2006-04-28	2012-10-28	2012-01-24	2012-10-28	1	83.601000	7228/1	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965404	NO	3965404
396	INACTIVE	INACTIVE	2006-04-28	2012-10-28	2006-04-28	2012-01-24	2	305.800000	7228/2	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965404	NO	3965404
396	INACTIVE	INACTIVE	2006-04-28	2012-10-28	2012-01-24	2012-10-28	2	59.068000	7228/2	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965404	NO	3965404
397	INACTIVE	INACTIVE	2006-04-28	2011-02-18	2006-04-28	2011-02-18	1	305.800000	7230/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965439	NO	3965439
397	INACTIVE	INACTIVE	2006-04-28	2011-02-18	2006-04-28	2011-02-18	2	305.800000	7230/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965439	NO	3965439
397	INACTIVE	INACTIVE	2006-04-28	2011-02-18	2006-04-28	2011-02-18	3	310.117000	7230/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965439	NO	3965439
397	INACTIVE	INACTIVE	2006-04-28	2011-02-18	2006-04-28	2011-02-18	4	310.117000	7230/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965439	NO	3965439
397	INACTIVE	INACTIVE	2006-04-28	2011-02-18	2006-04-28	2011-02-18	5	310.117000	7230/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965439	NO	3965439
397	INACTIVE	INACTIVE	2006-04-28	2011-02-18	2006-04-28	2011-02-18	7	310.117000	7231/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3965439	NO	3965439
110 C	ACTIVE	INACTIVE	2006-04-28	2014-12-17	2006-04-28	2012-01-01	1	54.601000	7123/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3986340	NO	3986340
110 C	ACTIVE	ACTIVE	2006-04-28	2014-12-17	2012-01-01	9999-12-31	1	17.491000	7123/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3986340	NO	3986340
372 BS	INACTIVE	INACTIVE	2006-04-28	2009-07-06	2006-04-28	2009-07-06	1	64.819000	6202/12	50	100	Applies to all levels below base Pliocene	Gjelder alle nivå under bunn pliocen	YES	2747354	BG NORGE	BG Norge AS	19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=3987486	YES	3987486
038 C	ACTIVE	ACTIVE	2006-06-15	2021-04-01	2006-06-15	9999-12-31	1	25.584000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to NST2002	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4005057	NO	4005057
046 B	ACTIVE	ACTIVE	2006-11-28	2028-12-31	2006-11-28	9999-12-31	1	14.461000	15/9	50	100	Applies all levels except the Hugin-formation.	Gjeld alle nivå med unntak av Huginformasjonen	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4227611	YES	4227611
046 BS	ACTIVE	ACTIVE	2006-11-28	2028-12-31	2006-11-28	9999-12-31	1	9.740000	15/9	50	100	Applies to Hugin-formationen	Gjelder  for det stratigrafiske nivå benevnt Huginformasjonen	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4227659	YES	4227659
354 B	INACTIVE	INACTIVE	2007-12-16	2010-01-06	2007-12-16	2010-01-06	1	17.235000	2/7	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237131	NO	4237131
399	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	1	57.338000	2/8	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237147	NO	4237147
440 S	ACTIVE	INACTIVE	2007-06-15	2015-06-15	2007-06-15	2009-11-25	1	387.758000	2/8	0	50	Applies to all levels over base Shetlandsgroup	Gjelder for alle nivå over bunn Shetlandsgruppen	YES	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237161	YES	4237161
440 S	ACTIVE	ACTIVE	2007-06-15	2015-06-15	2009-11-25	9999-12-31	1	124.168000	2/8	0	50	Applies to all levels over base Shetlandsgroup	Gjelder for alle nivå over bunn Shetlandsgruppen.	YES	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237161	YES	4237161
398 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	1	387.758000	2/8	50	100	Applies to all levels below base The Shetlandsgroup	Gjelder alle nivå under bunn Shetlandsgruppen	YES	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237177	YES	4237177
402	ACTIVE	ACTIVE	2007-02-16	2017-02-16	2012-12-27	9999-12-31	3	58.243000	10/10	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2007-02-16	2011-12-29	4	112.728000	10/10	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2011-12-30	2012-12-27	4	112.728000	10/10	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2007-02-16	2011-12-29	5	112.728000	10/11	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2011-12-30	2012-12-27	5	56.364000	10/11	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2007-02-16	2011-12-29	1	320.944000	3/3	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2011-12-30	2012-12-27	1	65.875000	3/3	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	ACTIVE	2007-02-16	2017-02-16	2012-12-27	9999-12-31	1	47.053000	3/3	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2007-02-16	2011-12-29	2	565.894000	4/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2011-12-30	2012-12-27	2	497.821000	4/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	ACTIVE	2007-02-16	2017-02-16	2012-12-27	9999-12-31	2	113.472000	4/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2007-02-16	2011-12-29	3	301.343000	4/2	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
402	ACTIVE	INACTIVE	2007-02-16	2017-02-16	2011-12-30	2012-12-27	3	301.343000	4/2	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237193	NO	4237193
404	INACTIVE	INACTIVE	2007-02-16	2012-08-16	2007-02-16	2012-08-16	2	449.407000	10/11	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237207	NO	4237207
404	INACTIVE	INACTIVE	2007-02-16	2012-08-16	2007-02-16	2012-08-16	3	562.135000	10/12	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237207	NO	4237207
404	INACTIVE	INACTIVE	2007-02-16	2012-08-16	2007-02-16	2012-08-16	4	562.135000	11/10	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237207	NO	4237207
404	INACTIVE	INACTIVE	2007-02-16	2012-08-16	2007-02-16	2012-08-16	1	125.044000	5/1	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237207	NO	4237207
401	INACTIVE	INACTIVE	2007-02-16	2009-12-16	2007-02-16	2009-12-16	1	246.127000	4/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237219	NO	4237219
401	INACTIVE	INACTIVE	2007-02-16	2009-12-16	2007-02-16	2009-12-16	2	43.389000	4/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237219	NO	4237219
403	INACTIVE	INACTIVE	2007-02-16	2008-02-16	2007-02-16	2008-02-16	1	244.950000	3/3	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237233	NO	4237233
400	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	1	195.898000	3/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237242	NO	4237242
400	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	2	126.622000	3/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237242	NO	4237242
411	INACTIVE	INACTIVE	2007-02-16	2012-05-16	2007-02-16	2011-08-13	1	535.510000	17/1	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237252	NO	4237252
411	INACTIVE	INACTIVE	2007-02-16	2012-05-16	2011-08-13	2012-05-16	1	178.076000	17/1	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237252	NO	4237252
411	INACTIVE	INACTIVE	2007-02-16	2012-05-16	2007-02-16	2011-08-13	2	178.076000	17/2	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237252	NO	4237252
411	INACTIVE	INACTIVE	2007-02-16	2012-05-16	2011-08-13	2012-05-16	2	354.870000	26/10	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237252	NO	4237252
411	INACTIVE	INACTIVE	2007-02-16	2012-05-16	2007-02-16	2011-08-13	3	531.663000	26/10	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237252	NO	4237252
411	INACTIVE	INACTIVE	2007-02-16	2012-05-16	2007-02-16	2011-08-13	4	531.663000	26/11	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237252	NO	4237252
441	INACTIVE	INACTIVE	2007-06-15	2008-05-25	2007-06-15	2008-05-25	1	189.048000	3/2	0	100	\N	\N	NO	4539989	DET NORSKE (OLD)	Det norske oljeselskap ASA (old)	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237270	NO	4237270
441	INACTIVE	INACTIVE	2007-06-15	2008-05-25	2007-06-15	2008-05-25	2	227.408000	3/5	0	100	\N	\N	NO	4539989	DET NORSKE (OLD)	Det norske oljeselskap ASA (old)	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237270	NO	4237270
405	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2007-02-16	9999-12-31	2	28.031000	7/12	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237284	NO	4237284
405	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2007-02-16	9999-12-31	1	50.389000	7/9	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237284	NO	4237284
405	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2007-02-16	9999-12-31	5	374.547000	8/10	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237284	NO	4237284
405	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2007-02-16	9999-12-31	6	37.392000	8/11	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237284	NO	4237284
405	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2007-02-16	9999-12-31	3	111.975000	8/7	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237284	NO	4237284
405	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2007-02-16	9999-12-31	4	22.395000	8/8	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237284	NO	4237284
407	ACTIVE	INACTIVE	2007-02-16	2016-02-16	2007-02-16	2011-08-12	3	80.150000	17/11	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237300	NO	4237300
407	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2011-08-12	9999-12-31	2	192.944000	17/12	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237300	NO	4237300
407	ACTIVE	INACTIVE	2007-02-16	2016-02-16	2007-02-16	2011-08-12	4	400.751000	17/12	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237300	NO	4237300
407	ACTIVE	INACTIVE	2007-02-16	2016-02-16	2007-02-16	2011-08-12	1	36.296000	17/8	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237300	NO	4237300
407	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2011-08-12	9999-12-31	1	9.083000	17/9	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237300	NO	4237300
407	ACTIVE	INACTIVE	2007-02-16	2016-02-16	2007-02-16	2011-08-12	2	127.075000	17/9	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237300	NO	4237300
407	ACTIVE	INACTIVE	2007-02-16	2016-02-16	2007-02-16	2011-08-12	6	69.200000	18/10	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237300	NO	4237300
407	ACTIVE	INACTIVE	2007-02-16	2016-02-16	2007-02-16	2011-08-12	5	21.788000	18/7	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237300	NO	4237300
406	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2013-02-14	3	109.677000	17/12	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237318	NO	4237318
406	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2013-02-14	9999-12-31	1	115.109000	18/10	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237318	NO	4237318
406	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2013-02-14	4	244.784000	18/10	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237318	NO	4237318
406	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2013-02-14	5	36.559000	18/11	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237318	NO	4237318
406	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2013-02-14	1	219.961000	8/3	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237318	NO	4237318
406	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2013-02-14	2	293.282000	9/1	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237318	NO	4237318
316 B	ACTIVE	ACTIVE	2007-02-16	2030-06-18	2007-02-16	9999-12-31	1	16.569000	9/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237334	NO	4237334
408	INACTIVE	INACTIVE	2007-02-16	2010-12-31	2007-02-16	2010-12-31	1	6.247000	15/8	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237444	NO	4237444
408	INACTIVE	INACTIVE	2007-02-16	2010-12-31	2007-02-16	2010-12-31	2	132.504000	15/9	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237444	NO	4237444
410	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	1	244.381000	16/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237458	NO	4237458
409	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2012-02-16	1	407.283000	16/7	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237470	NO	4237470
409	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2012-02-16	9999-12-31	1	162.722000	16/7	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237470	NO	4237470
413	INACTIVE	INACTIVE	2007-02-16	2010-08-16	2007-02-16	2010-08-16	1	3.479000	25/1	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237482	NO	4237482
413	INACTIVE	INACTIVE	2007-02-16	2010-08-16	2007-02-16	2010-08-16	2	20.874000	25/2	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237482	NO	4237482
413	INACTIVE	INACTIVE	2007-02-16	2010-08-16	2007-02-16	2010-08-16	3	163.808000	25/4	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237482	NO	4237482
415	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	1	63.969000	25/1	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237498	NO	4237498
415	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	2	207.922000	30/10	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237498	NO	4237498
442	ACTIVE	ACTIVE	2007-06-15	2014-03-15	2007-06-15	9999-12-31	1	273.863000	25/2	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237510	NO	4237510
442	ACTIVE	ACTIVE	2007-06-15	2014-03-15	2007-06-15	9999-12-31	2	10.401000	25/3	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237510	NO	4237510
414	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2013-03-17	1	343.542000	25/3	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237582	NO	4237582
414	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2013-03-18	9999-12-31	1	187.384000	25/3	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237582	NO	4237582
414	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2013-03-17	2	29.638000	25/5	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237582	NO	4237582
414	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2013-03-18	9999-12-31	3	29.638000	25/5	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237582	NO	4237582
414	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2013-03-18	9999-12-31	2	198.666000	25/6	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237582	NO	4237582
414	ACTIVE	INACTIVE	2007-02-16	2015-02-16	2007-02-16	2013-03-17	3	198.666000	25/6	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237582	NO	4237582
412	INACTIVE	INACTIVE	2007-02-16	2011-02-17	2007-02-16	2011-02-17	1	117.233000	25/5	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237612	NO	4237612
412	INACTIVE	INACTIVE	2007-02-16	2011-02-17	2007-02-16	2011-02-17	2	314.827000	25/6	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237612	NO	4237612
412	INACTIVE	INACTIVE	2007-02-16	2011-02-17	2007-02-16	2011-02-17	3	151.109000	25/8	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237612	NO	4237612
412	INACTIVE	INACTIVE	2007-02-16	2011-02-17	2007-02-16	2011-02-17	4	421.935000	25/9	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237612	NO	4237612
417	INACTIVE	INACTIVE	2007-02-16	2010-02-16	2007-02-16	2010-02-16	1	149.398000	31/3	0	100	\N	\N	NO	5442509	WINTERSHALL NORGE ASA	Wintershall Norge ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237645	NO	4237645
417	INACTIVE	INACTIVE	2007-02-16	2010-02-16	2007-02-16	2010-02-16	2	268.546000	32/1	0	100	\N	\N	NO	5442509	WINTERSHALL NORGE ASA	Wintershall Norge ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237645	NO	4237645
417	INACTIVE	INACTIVE	2007-02-16	2010-02-16	2007-02-16	2010-02-16	3	350.357000	36/10	0	100	\N	\N	NO	5442509	WINTERSHALL NORGE ASA	Wintershall Norge ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237645	NO	4237645
416	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	1	512.269000	31/8	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237675	NO	4237675
423 S	INACTIVE	INACTIVE	2007-02-16	2011-08-16	2007-02-16	2011-08-16	1	197.048000	34/6	50	100	Applies to all levels below base Pliocene	Gjelder for alle nivå under bunn pliocen	YES	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237691	YES	4237691
423 S	INACTIVE	INACTIVE	2007-02-16	2011-08-16	2007-02-16	2011-08-16	2	482.798000	35/4	0	100	\N	\N	YES	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237691	NO	4237691
445	INACTIVE	INACTIVE	2007-06-15	2009-06-15	2007-06-15	2009-06-15	1	193.229000	33/2	0	100	\N	\N	NO	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237722	NO	4237722
445	INACTIVE	INACTIVE	2007-06-15	2009-06-15	2007-06-15	2009-06-15	2	104.050000	33/3	0	100	\N	\N	NO	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237722	NO	4237722
424	INACTIVE	INACTIVE	2007-02-16	2009-08-16	2007-02-16	2009-08-16	1	110.931000	33/2	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237756	NO	4237756
424	INACTIVE	INACTIVE	2007-02-16	2009-08-16	2007-02-16	2009-08-16	2	228.534000	33/3	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237756	NO	4237756
424	INACTIVE	INACTIVE	2007-02-16	2009-08-16	2007-02-16	2009-08-16	3	241.336000	33/6	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237756	NO	4237756
424	INACTIVE	INACTIVE	2007-02-16	2009-08-16	2007-02-16	2009-08-16	4	65.348000	34/1	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237756	NO	4237756
424	INACTIVE	INACTIVE	2007-02-16	2009-08-16	2007-02-16	2009-08-16	5	49.104000	34/4	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237756	NO	4237756
425 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	1	156.075000	33/3	0	100	\N	\N	YES	3960945	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	NO	4237783
425 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	2	65.348000	34/1	0	100	\N	\N	YES	3960945	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	NO	4237783
425 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	3	125.287000	34/1	0	100	\N	\N	YES	3960945	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	NO	4237783
425 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	4	232.675000	34/1	50	100	Applies to all levels below base Pliocene	Gjelder for alle nivå under bunn pliocen	YES	3960945	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	YES	4237783
425 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	5	19.604000	34/2	0	100	\N	\N	YES	3960945	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	NO	4237783
425 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	6	68.306000	34/2	0	100	\N	\N	YES	3960945	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	NO	4237783
425 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	7	250.573000	34/2	50	100	Applies to all levels below base Pliocene.	Gjelder for alle nivå under bunn pliocen	YES	3960945	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	YES	4237783
425 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	8	32.731000	34/4	0	100	\N	\N	YES	3960945	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237783	NO	4237783
427 S	INACTIVE	INACTIVE	2007-02-16	2009-04-16	2007-02-16	2009-04-16	1	232.675000	34/1	0	50	Applies to all levels over base Pliocene	Gjelder for alle nivå over bunn pliocene	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237809	YES	4237809
427 S	INACTIVE	INACTIVE	2007-02-16	2009-04-16	2007-02-16	2009-04-16	2	250.573000	34/2	0	50	Applies to all levels over base Pliocene.	Gjelder alle nivå over bunn pliocene	YES	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237809	YES	4237809
443	INACTIVE	INACTIVE	2007-06-15	2010-06-15	2007-06-15	2010-06-15	1	128.041000	33/12	0	100	\N	\N	NO	3482302	WINTERSHALL NORGE AS (OLD)	Wintershall Norge AS (old)	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237831	NO	4237831
422 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	1	131.488000	34/6	0	100	\N	\N	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237847	NO	4237847
422 S	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	2	90.186000	34/6	50	100	Applies to all levels below base Pliocene	Gjelder for alle nivå under bunn pliocen	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237847	YES	4237847
444	INACTIVE	INACTIVE	2007-06-15	2010-09-30	2007-06-15	2010-09-30	3	98.154000	34/11	0	100	\N	\N	NO	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237881	NO	4237881
444	INACTIVE	INACTIVE	2007-06-15	2010-09-30	2007-06-15	2010-09-30	1	99.564000	34/8	0	100	\N	\N	NO	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237881	NO	4237881
444	INACTIVE	INACTIVE	2007-06-15	2010-09-30	2007-06-15	2010-09-30	2	46.445000	34/9	0	100	\N	\N	NO	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237881	NO	4237881
050 D	ACTIVE	INACTIVE	2007-02-16	2031-09-10	2007-02-16	2012-04-11	1	53.559000	34/10	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237912	NO	4237912
050 D	ACTIVE	ACTIVE	2007-02-16	2031-09-10	2012-04-11	9999-12-31	1	6.278000	34/10	0	100	\N	\N	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237912	NO	4237912
050 D	ACTIVE	ACTIVE	2007-02-16	2031-09-10	2012-04-11	9999-12-31	2	47.282000	34/10	0	33	Not applicable to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder ikke for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237912	YES	4237912
050 D	ACTIVE	ACTIVE	2007-02-16	2031-09-10	2012-04-11	9999-12-31	3	0.000000	34/10	66	100	Not applicable to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder ikke for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4237912	YES	4237912
426	INACTIVE	INACTIVE	2007-02-16	2010-08-16	2007-02-16	2010-08-16	1	68.645000	35/3	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238116	NO	4238116
426	INACTIVE	INACTIVE	2007-02-16	2010-08-16	2007-02-16	2010-08-16	2	178.792000	35/3	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238116	NO	4238116
318 B	ACTIVE	INACTIVE	2007-02-16	2014-06-18	2007-02-16	2010-07-19	1	9.821000	35/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238138	NO	4238138
318 B	ACTIVE	ACTIVE	2007-02-16	2014-06-18	2012-12-28	9999-12-31	1	6.545000	35/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238138	NO	4238138
318 B	ACTIVE	INACTIVE	2007-02-16	2014-06-18	2007-02-16	2010-07-19	2	98.207000	35/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238138	NO	4238138
318 B	ACTIVE	ACTIVE	2007-02-16	2014-06-18	2012-12-28	9999-12-31	2	34.401000	35/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238138	NO	4238138
421	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	1	175.021000	35/8	0	100	\N	\N	NO	3960945	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238186	NO	4238186
418	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2007-02-16	9999-12-31	1	96.270000	35/8	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238348	NO	4238348
418	ACTIVE	ACTIVE	2007-02-16	2016-02-16	2007-02-16	9999-12-31	2	14.944000	35/9	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238348	NO	4238348
420	ACTIVE	ACTIVE	2007-02-16	2015-08-16	2007-02-16	9999-12-31	1	92.821000	35/9	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238409	NO	4238409
419	INACTIVE	INACTIVE	2007-02-16	2011-02-17	2007-02-16	2011-02-17	1	195.457000	35/9	0	100	\N	\N	NO	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238530	NO	4238530
446	INACTIVE	INACTIVE	2007-06-15	2009-06-15	2007-06-15	2009-06-15	1	169.263000	6305/7	0	100	\N	\N	NO	3960945	PETRO-CANADA NORGE AS	Petro-Canada Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238548	NO	4238548
430	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	1	70.876000	6406/4	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238564	NO	4238564
429	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	1	11.795000	6407/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238578	NO	4238578
429	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	2	444.465000	6407/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238578	NO	4238578
428	INACTIVE	INACTIVE	2007-02-16	2009-02-16	2007-02-16	2009-02-16	1	65.645000	6407/9	0	100	\N	\N	NO	4511658	STATOILHYDRO PETROLEUM	StatoilHydro Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238624	NO	4238624
211 B	ACTIVE	INACTIVE	2007-02-16	2032-02-02	2007-02-16	2010-02-17	1	83.289000	6506/9	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238638	NO	4238638
211 B	ACTIVE	ACTIVE	2007-02-16	2032-02-02	2010-02-17	9999-12-31	1	35.876000	6506/9	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238638	NO	4238638
211 B	ACTIVE	INACTIVE	2007-02-16	2032-02-02	2007-02-16	2010-02-17	2	14.351000	6507/7	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238638	NO	4238638
211 B	ACTIVE	ACTIVE	2007-02-16	2032-02-02	2010-02-17	9999-12-31	2	1.434000	6507/7	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238638	NO	4238638
433	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	2	15.928000	6506/12	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238654	NO	4238654
433	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	1	63.612000	6506/9	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238654	NO	4238654
436	INACTIVE	INACTIVE	2007-02-16	2010-02-16	2007-02-16	2010-02-16	1	17.177000	6507/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238670	NO	4238670
436	INACTIVE	INACTIVE	2007-02-16	2010-02-16	2007-02-16	2010-02-16	2	145.823000	6508/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238670	NO	4238670
212 D	INACTIVE	INACTIVE	2007-02-16	2010-01-01	2007-02-16	2010-01-01	1	81.890000	6507/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238684	NO	4238684
435	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	1	209.930000	6507/7	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238696	NO	4238696
435	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	2	33.019000	6507/8	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238696	NO	4238696
431	INACTIVE	INACTIVE	2007-02-16	2012-08-16	2007-02-16	2012-08-16	1	21.954000	6406/2	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238714	NO	4238714
431	INACTIVE	INACTIVE	2007-02-16	2012-08-16	2007-02-16	2012-08-16	2	122.985000	6406/3	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238714	NO	4238714
431	INACTIVE	INACTIVE	2007-02-16	2012-08-16	2007-02-16	2012-08-16	3	93.228000	6506/12	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238714	NO	4238714
434	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	1	62.160000	6507/8	0	100	\N	\N	NO	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238730	NO	4238730
432	INACTIVE	INACTIVE	2007-02-16	2010-02-16	2007-02-16	2010-02-16	2	283.602000	6507/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238746	NO	4238746
432	INACTIVE	INACTIVE	2007-02-16	2010-02-16	2007-02-16	2010-02-16	1	131.438000	6507/9	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238746	NO	4238746
447	INACTIVE	INACTIVE	2007-06-15	2011-06-16	2007-06-15	2011-06-16	1	249.049000	6608/7	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238758	NO	4238758
437	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	1	14.056000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238776	NO	4238776
437	INACTIVE	INACTIVE	2007-02-16	2012-02-16	2007-02-16	2012-02-16	2	5.623000	6608/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238776	NO	4238776
448	ACTIVE	ACTIVE	2007-06-15	2016-06-15	2007-06-15	9999-12-31	1	26.665000	7120/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238790	NO	4238790
448	ACTIVE	ACTIVE	2007-06-15	2016-06-15	2007-06-15	9999-12-31	2	106.485000	7120/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238790	NO	4238790
448	ACTIVE	ACTIVE	2007-06-15	2016-06-15	2007-06-15	9999-12-31	3	154.883000	7120/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238790	NO	4238790
438	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	1	151.282000	7120/1	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238812	NO	4238812
438	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	2	151.282000	7120/2	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238812	NO	4238812
438	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	3	90.769000	7120/3	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238812	NO	4238812
438	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	4	21.688000	7120/4	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238812	NO	4238812
438	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	5	21.688000	7120/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238812	NO	4238812
438	ACTIVE	ACTIVE	2007-02-16	2015-02-16	2007-02-16	9999-12-31	6	24.952000	7120/6	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238812	NO	4238812
439	INACTIVE	INACTIVE	2007-02-16	2012-12-16	2007-02-16	2012-12-16	1	60.513000	7120/3	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238830	NO	4238830
439	INACTIVE	INACTIVE	2007-02-16	2012-12-16	2007-02-16	2012-12-16	2	151.282000	7121/1	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238830	NO	4238830
449	INACTIVE	INACTIVE	2007-06-15	2010-06-15	2007-06-15	2010-06-15	1	323.030000	7121/3	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238846	NO	4238846
449	INACTIVE	INACTIVE	2007-06-15	2010-06-15	2007-06-15	2010-06-15	2	323.030000	7122/1	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238846	NO	4238846
449	INACTIVE	INACTIVE	2007-06-15	2010-06-15	2007-06-15	2010-06-15	3	30.003000	7122/2	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2006	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4238846	NO	4238846
050 DS	ACTIVE	ACTIVE	2006-10-06	2023-08-23	2006-10-06	9999-12-31	1	3.947000	34/10	0	50	Applies to all levels with the exception of Lunde- and Lomvi Formation	Gjelder alle nivå med unntak av Lunde- og Lomviformasjonen	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4380141	YES	4380141
120 B	ACTIVE	ACTIVE	2006-10-06	2034-08-23	2006-10-06	9999-12-31	1	9.966000	34/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 10 B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4380181	NO	4380181
006 D	INACTIVE	INACTIVE	2008-02-29	2011-08-29	2008-02-29	2011-08-29	1	46.622000	2/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909688	NO	4909688
120 B	ACTIVE	ACTIVE	2006-10-06	2034-08-23	2006-10-06	9999-12-31	2	9.966000	34/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 10 B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4380181	NO	4380181
229 B	ACTIVE	INACTIVE	2007-04-27	2042-05-15	2007-04-27	2011-07-27	1	50.137000	7122/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	Awarded additionaly to round 15 X	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4461754	NO	4461754
229 B	ACTIVE	ACTIVE	2007-04-27	2042-05-15	2011-07-27	9999-12-31	1	1.113000	7122/11	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	Awarded additionaly to round 15 X	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4461754	NO	4461754
229 B	ACTIVE	INACTIVE	2007-04-27	2042-05-15	2007-04-27	2011-07-27	2	13.367000	7122/11	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	Awarded additionaly to round 15 X	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4461754	NO	4461754
316 CS	INACTIVE	INACTIVE	2007-08-23	2010-06-18	2007-08-23	2010-06-18	2	554.583000	10/4	0	50	Applies to all levells over 200 meteres below base Jurassic and up to the seafloor where Triassic is present, and all levels over base Jurassic where the Traissic is not present	Gjelder alle nivåer over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikke er tilstede.	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4480974	YES	4480974
316 CS	INACTIVE	INACTIVE	2007-08-23	2010-06-18	2007-08-23	2010-06-18	1	554.583000	9/6	0	50	Applies to all levels over 200 meteres below base Jurassic and up to seafloor where Triassic is present, and all levels below base Jurassic where Triassic is not present.	Gjelder alle nivåer over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikker er tilstede.	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4480974	YES	4480974
316 DS	INACTIVE	INACTIVE	2007-08-23	2010-06-18	2007-08-23	2010-06-18	1	290.560000	9/2	0	50	Applies to all levels over 200 meter below base Jurassic and up to seafloor where  Triassic is present, and all levels below base Jurassic where Triassic is not present.	Gjelder alle nivå over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikke er tilstede	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4481011	YES	4481011
316 DS	INACTIVE	INACTIVE	2007-08-23	2010-06-18	2007-08-23	2010-06-18	2	550.790000	9/3	0	50	Applies to all levels over 200 meter below base Jurassic and up to the seafloor where triassic is present, and all levels over base Jurassic where Triassic is not present.	Gjelder alle nivåer over 200 meter under bunn jura og opp til havbunnen der trias er tilstede, og alle nivåer over bunn jura der trias ikke er tilstede.	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4481011	YES	4481011
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	1993-09-10	2003-09-10	1	318.732000	7227/11	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	2003-09-10	2006-01-01	1	190.733000	7227/11	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	2006-01-01	2008-01-01	1	190.733000	7227/11	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	1993-09-10	2003-09-10	2	318.732000	7227/12	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	2003-09-10	2006-01-01	2	162.018000	7227/12	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	2006-01-01	2008-01-01	2	138.663000	7227/12	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	1993-09-10	2003-09-10	4	318.732000	7228/10	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	2003-09-10	2006-01-01	4	70.832000	7228/10	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	2006-01-01	2008-01-01	5	33.812000	7228/10	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	1993-09-10	2003-09-10	3	84.269000	7228/7	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	2003-09-10	2006-01-01	3	84.269000	7228/7	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	2006-01-01	2008-01-01	3	6.318000	7228/7	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
202	INACTIVE	INACTIVE	1993-09-10	2008-01-01	2006-01-01	2008-01-01	4	23.197000	7228/7	0	100	\N	\N	NO	4511854	STATOILHYDRO ASA	StatoilHydro ASA	14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4705176	NO	4705176
327 B	ACTIVE	INACTIVE	2007-12-07	2041-06-18	2007-12-07	2011-06-18	1	53.982000	6705/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4720054	NO	4720054
327 B	ACTIVE	ACTIVE	2007-12-07	2041-06-18	2011-06-18	9999-12-31	1	27.004000	6705/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4720054	NO	4720054
321 B	INACTIVE	INACTIVE	2007-12-07	2010-06-18	2007-12-07	2010-06-18	1	30.614000	6306/6	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4720082	NO	4720082
274 CS	ACTIVE	ACTIVE	2008-02-29	2039-09-15	2008-02-29	9999-12-31	1	18.816000	1/2	0	50	Applies to all levels over top Ekofisk formation	Gjelder for alle nivå over topp Ekofiskformasjonen	YES	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909658	YES	4909658
454	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	1	507.976000	7/9	0	100	\N	\N	NO	2840522	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909716	NO	4909716
452	INACTIVE	INACTIVE	2008-02-29	2009-08-29	2008-02-29	2009-08-29	1	115.303000	7/12	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909740	NO	4909740
450	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	1	89.232000	7/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909784	NO	4909784
455	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	5	111.409000	17/11	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909816	NO	4909816
455	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	6	36.559000	17/12	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909816	NO	4909816
455	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	1	215.104000	8/1	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909816	NO	4909816
455	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	2	429.867000	8/2	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909816	NO	4909816
455	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	3	330.828000	8/3	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909816	NO	4909816
455	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	4	240.939000	9/1	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909816	NO	4909816
453 S	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	6	149.568000	8/11	0	50	Applies to all levels over 200 meter below base Jurassic.	Gjelder for alle nivå over 200 meter under bunn jura.	YES	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909893	YES	4909893
453 S	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	7	299.337000	8/12	0	100	\N	\N	YES	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909893	NO	4909893
453 S	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	1	388.274000	8/4	0	100	\N	\N	YES	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909893	NO	4909893
453 S	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	2	480.857000	8/5	0	100	\N	\N	YES	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909893	NO	4909893
453 S	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	3	133.917000	8/7	0	100	\N	\N	YES	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909893	NO	4909893
453 S	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	4	535.969000	8/8	0	50	Applies to all levels over 200 meter below base Jurrasic.	Gjelder alle nivå over 200 meter under bunn jura.	YES	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909893	YES	4909893
453 S	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	5	134.279000	8/9	0	100	\N	\N	YES	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4909893	NO	4909893
451	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	3	247.334000	10/10	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910013	NO	4910013
451	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	1	318.200000	9/11	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910013	NO	4910013
451	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	2	449.407000	9/12	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910013	NO	4910013
457	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	1	53.437000	16/1	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910110	NO	4910110
456	INACTIVE	INACTIVE	2008-02-29	2009-02-28	2008-02-29	2009-02-28	1	122.570000	17/6	0	100	\N	\N	NO	4062921	ROCKSOURCE ASA	Rocksource ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910146	NO	4910146
456	INACTIVE	INACTIVE	2008-02-29	2009-02-28	2008-02-29	2009-02-28	2	267.620000	17/9	0	100	\N	\N	NO	4062921	ROCKSOURCE ASA	Rocksource ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910146	NO	4910146
460	ACTIVE	INACTIVE	2008-02-29	2015-03-01	2008-02-29	2011-05-22	1	0.850000	24/3	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910195	NO	4910195
460	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2011-05-22	9999-12-31	1	46.876000	25/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910195	NO	4910195
460	ACTIVE	INACTIVE	2008-02-29	2015-03-01	2008-02-29	2011-05-22	2	221.913000	25/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910195	NO	4910195
460	ACTIVE	INACTIVE	2008-02-29	2015-03-01	2008-02-29	2011-05-22	3	27.799000	25/2	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910195	NO	4910195
459	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	1	33.266000	25/4	0	100	\N	\N	NO	5442509	WINTERSHALL NORGE ASA	Wintershall Norge ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910251	NO	4910251
458	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	1	33.757000	25/10	0	100	\N	\N	NO	2840522	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910277	NO	4910277
461	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	1	520.058000	26/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910313	NO	4910313
461	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	2	516.169000	31/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910313	NO	4910313
462 S	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	1	28.128000	29/3	50	100	Applies to all levels under top Cretaceous	Gjelder  alle nivå under topp kritt	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910350	YES	4910350
462 S	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	2	40.296000	29/6	50	100	Applies to all levels under top Cretaceous	Gjelder alle nivå under topp kritt	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910350	YES	4910350
462 S	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	3	175.209000	30/1	50	100	Applies to all levels under top Cretaceous	Gjelder alle nivå under topp kritt	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910350	YES	4910350
462 S	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	4	408.529000	30/2	50	100	Applies to all levels under top Cretaceous	Gjelder alle nivå under topp kritt	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910350	YES	4910350
462 S	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	5	169.018000	30/4	50	100	Applies to all levels under top Cretaceous	Gjelder alle nivå under topp kritt	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910350	YES	4910350
463 S	INACTIVE	INACTIVE	2008-02-29	2011-08-28	2008-02-29	2011-08-28	1	175.209000	30/1	0	50	Applies for all levels over top Cretaceous	Gjelder for alle nivå over topp kritt	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910414	YES	4910414
463 S	INACTIVE	INACTIVE	2008-02-29	2011-08-28	2008-02-29	2011-08-28	2	425.400000	30/2	0	50	Applies to all levels over top Cretaceous	Gjelder for alle nivå over topp kritt	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910414	YES	4910414
463 S	INACTIVE	INACTIVE	2008-02-29	2011-08-28	2008-02-29	2011-08-28	3	169.018000	30/4	0	50	Applies for all levels over top Cretaceous.	Gjelder for alle nivå over topp kritt	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4910414	YES	4910414
465	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	1	308.951000	30/3	0	100	\N	\N	NO	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918009	NO	4918009
052 C	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	1	12.321000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918046	NO	4918046
464	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	1	92.609000	31/3	0	100	\N	\N	NO	4526555	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918076	NO	4918076
464	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	2	33.682000	32/1	0	100	\N	\N	NO	4526555	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918076	NO	4918076
344 B	INACTIVE	INACTIVE	2008-02-29	2010-12-07	2008-02-29	2010-12-07	1	2.076000	33/9	0	100	\N	\N	NO	5072514	SPRING ENERGY NORWAY AS	Spring Energy Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918142	NO	4918142
466 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	3	41.161000	34/6	50	100	Parts of block 34/6 is stratigraphical and applies all levels below base Pliocene.	Deler av blokk 34/6 er stratigrafisk delt og gjelder for alle nivåer under bunn pliocen.	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918164	YES	4918164
466 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	1	279.586000	34/9	50	100	Parts of block 34/9 is stratigraphical and applies all levels below base Pliocene.	Deler av blokk 34/9 er stratigrafisk delt og gjelder for alle nivåer under bunn pliocen	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918164	YES	4918164
466 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	2	170.539000	34/9	0	100	\N	\N	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918164	NO	4918164
467 S	INACTIVE	INACTIVE	2008-02-29	2010-08-29	2008-02-29	2010-08-29	1	118.418000	35/5	50	100	Applies to all levels under top Cretaceous.	Gjelder alle nivåer under topp kritt	YES	2747354	BG NORGE	BG Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918211	YES	4918211
467 S	INACTIVE	INACTIVE	2008-02-29	2010-08-29	2008-02-29	2010-08-29	2	198.154000	35/7	50	100	Applies to all levels below base Pliocene.	Gjelder for alle nivå under bunn pliocen	YES	2747354	BG NORGE	BG Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918211	YES	4918211
153 B	ACTIVE	ACTIVE	2008-02-29	2028-07-08	2008-02-29	9999-12-31	1	1.656000	35/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918242	NO	4918242
153 B	ACTIVE	ACTIVE	2008-02-29	2028-07-08	2008-02-29	9999-12-31	2	4.974000	35/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918242	NO	4918242
468	INACTIVE	INACTIVE	2008-02-29	2012-02-29	2008-02-29	2012-02-29	1	123.525000	6305/9	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918281	NO	4918281
474	INACTIVE	INACTIVE	2008-02-29	2010-09-01	2008-02-29	2010-09-01	2	180.448000	6406/1	0	100	\N	\N	NO	3482302	WINTERSHALL NORGE AS (OLD)	Wintershall Norge AS (old)	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918303	NO	4918303
474	INACTIVE	INACTIVE	2008-02-29	2010-09-01	2008-02-29	2010-09-01	1	33.775000	6406/2	0	100	\N	\N	NO	3482302	WINTERSHALL NORGE AS (OLD)	Wintershall Norge AS (old)	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918303	NO	4918303
472	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	2	63.331000	6406/2	0	100	\N	\N	NO	3482302	WINTERSHALL NORGE AS (OLD)	Wintershall Norge AS (old)	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918367	NO	4918367
472	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	1	35.286000	6406/3	0	100	\N	\N	NO	3482302	WINTERSHALL NORGE AS (OLD)	Wintershall Norge AS (old)	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918367	NO	4918367
475	ACTIVE	ACTIVE	2008-02-29	2015-02-28	2008-02-29	9999-12-31	2	49.916000	6406/3	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918410	NO	4918410
475	ACTIVE	ACTIVE	2008-02-29	2015-02-28	2008-02-29	9999-12-31	1	102.417000	6407/1	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918410	NO	4918410
405 B	ACTIVE	ACTIVE	2008-02-29	2016-02-16	2008-02-29	9999-12-31	1	20.643000	7/12	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918473	NO	4918473
471	INACTIVE	INACTIVE	2008-02-29	2013-02-28	2008-02-29	2013-02-28	1	33.889000	6407/2	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918501	NO	4918501
471	INACTIVE	INACTIVE	2008-02-29	2013-02-28	2008-02-29	2013-02-28	2	376.233000	6407/5	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918501	NO	4918501
074 B	ACTIVE	ACTIVE	2008-02-29	2027-04-10	2008-02-29	9999-12-31	1	5.875000	6407/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4918544	NO	4918544
473	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	1	11.788000	6407/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920841	NO	4920841
473	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	2	2.951000	6407/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920841	NO	4920841
469	INACTIVE	INACTIVE	2008-02-29	2011-02-28	2008-02-29	2011-02-28	2	272.037000	6407/11	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920878	NO	4920878
469	INACTIVE	INACTIVE	2008-02-29	2011-02-28	2008-02-29	2011-02-28	3	424.034000	6407/12	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920878	NO	4920878
469	INACTIVE	INACTIVE	2008-02-29	2011-02-28	2008-02-29	2011-02-28	1	9.008000	6407/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920878	NO	4920878
470	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	2	21.039000	6407/12	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920926	NO	4920926
470	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	1	146.803000	6407/9	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920926	NO	4920926
479	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	2	8.693000	6506/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920979	NO	4920979
479	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	1	7.236000	6506/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4920979	NO	4920979
477	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	1	142.304000	6506/11	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921022	NO	4921022
487 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	1	29.181000	6609/8	50	100	Applies to all levels older than base Cretaceous	Gjelder for alle nivå eldre enn bunn kritt	YES	2840522	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921153	YES	4921153
487 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	2	298.372000	6609/9	50	100	Applies to all levels older than base Cretaceous	Gjelder for alle nivå eldre enn bunn kritt	YES	2840522	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921153	YES	4921153
488	INACTIVE	INACTIVE	2008-02-29	2012-11-19	2008-02-29	2012-11-19	1	126.567000	7019/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921192	NO	4921192
488	INACTIVE	INACTIVE	2008-02-29	2012-11-19	2008-02-29	2012-11-19	2	140.085000	7019/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921192	NO	4921192
488	INACTIVE	INACTIVE	2008-02-29	2012-11-19	2008-02-29	2012-11-19	3	6.755000	7119/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921192	NO	4921192
488	INACTIVE	INACTIVE	2008-02-29	2012-11-19	2008-02-29	2012-11-19	4	202.044000	7119/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921192	NO	4921192
488	INACTIVE	INACTIVE	2008-02-29	2012-11-19	2008-02-29	2012-11-19	5	175.184000	7120/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921192	NO	4921192
478	INACTIVE	INACTIVE	2008-02-29	2011-08-29	2008-02-29	2011-08-29	2	171.390000	6507/10	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921207	NO	4921207
478	INACTIVE	INACTIVE	2008-02-29	2011-08-29	2008-02-29	2011-08-29	1	73.715000	6507/7	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921207	NO	4921207
480	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	1	41.758000	6507/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921338	NO	4921338
490	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	1	61.180000	7120/4	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921353	NO	4921353
490	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	2	165.489000	7120/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921353	NO	4921353
490	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	3	104.392000	7120/6	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921353	NO	4921353
476	INACTIVE	INACTIVE	2008-02-29	2011-01-22	2008-02-29	2011-01-22	1	78.658000	6507/11	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921415	NO	4921415
482	INACTIVE	INACTIVE	2008-02-29	2013-03-01	2008-02-29	2013-03-01	1	67.638000	6508/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921474	NO	4921474
489	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	1	44.804000	7120/11	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921522	NO	4921522
489	ACTIVE	ACTIVE	2008-02-29	2014-03-01	2008-02-29	9999-12-31	2	223.448000	7120/12	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921522	NO	4921522
481	INACTIVE	INACTIVE	2008-02-29	2013-03-01	2008-02-29	2013-03-01	1	57.283000	6508/5	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921546	NO	4921546
481	INACTIVE	INACTIVE	2008-02-29	2013-03-01	2008-02-29	2013-03-01	2	245.955000	6508/6	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921546	NO	4921546
448 B	INACTIVE	INACTIVE	2008-02-29	2010-09-15	2008-02-29	2010-09-15	1	35.660000	7120/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921587	NO	4921587
448 B	INACTIVE	INACTIVE	2008-02-29	2010-09-15	2008-02-29	2010-09-15	2	89.151000	7120/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921587	NO	4921587
484	ACTIVE	ACTIVE	2008-02-29	2016-02-28	2008-02-29	9999-12-31	1	171.920000	6608/10	0	100	\N	\N	NO	22223020	NORECO NORWAY AS	Noreco Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921632	NO	4921632
491	INACTIVE	INACTIVE	2008-02-29	2011-03-01	2008-02-29	2011-03-01	1	151.282000	7121/2	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921667	NO	4921667
229 C	INACTIVE	INACTIVE	2008-02-29	2009-02-28	2008-02-29	2009-02-28	1	22.117000	7122/9	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921701	NO	4921701
485	INACTIVE	INACTIVE	2008-02-29	2011-02-28	2008-02-29	2011-02-28	1	138.897000	6608/8	0	100	\N	\N	NO	5442509	WINTERSHALL NORGE ASA	Wintershall Norge ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921710	NO	4921710
483 S	INACTIVE	INACTIVE	2008-02-29	2011-01-16	2008-02-29	2011-01-16	1	33.789000	6508/3	0	100	\N	\N	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921755	NO	4921755
483 S	INACTIVE	INACTIVE	2008-02-29	2011-01-16	2008-02-29	2011-01-16	2	44.880000	6608/12	0	100	\N	\N	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921755	NO	4921755
483 S	INACTIVE	INACTIVE	2008-02-29	2011-01-16	2008-02-29	2011-01-16	3	190.733000	6609/10	0	100	\N	\N	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921755	NO	4921755
483 S	INACTIVE	INACTIVE	2008-02-29	2011-01-16	2008-02-29	2011-01-16	4	125.919000	6609/11	0	100	\N	\N	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921755	NO	4921755
483 S	INACTIVE	INACTIVE	2008-02-29	2011-01-16	2008-02-29	2011-01-16	5	75.279000	6609/11	50	100	Applies to all levels for base Cretaceous and older rock.	Gjelder alle nivåer for bunn kritt og eldre bergarter	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921755	YES	4921755
486 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	3	46.007000	6609/10	0	50	Applies to all levels younger than base Cretaceous.	Gjelder for alle nivå yngre enn bunn kritt	YES	2840522	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921823	YES	4921823
486 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	4	75.279000	6609/11	0	50	Applies to all levels younger than base Cretaceous.	Gjelder for alle nivå yngre enn bunn kritt.	YES	2840522	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921823	YES	4921823
486 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	1	249.958000	6609/8	0	50	Applies to all levels younger than base Cretaceous	Gjelder alle nivåer yngre enn bunn kritt	YES	2840522	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921823	YES	4921823
486 S	INACTIVE	INACTIVE	2008-02-29	2010-03-01	2008-02-29	2010-03-01	2	249.958000	6609/9	0	50	Applies to all levels younger than Cretaceous.	Gjelder for alle nivå yngre enn bunn kritt	YES	2840522	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4921823	YES	4921823
492	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	1	155.683000	7120/1	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4925088	NO	4925088
492	ACTIVE	ACTIVE	2008-02-29	2015-03-01	2008-02-29	9999-12-31	2	64.492000	7120/2	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2007	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4925088	NO	4925088
159 C	ACTIVE	ACTIVE	2008-02-13	2029-03-03	2008-02-13	9999-12-31	1	60.704000	6507/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 12 B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4939362	NO	4939362
159 D	ACTIVE	ACTIVE	2008-02-13	2029-03-03	2008-02-13	9999-12-31	1	18.046000	6507/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 12 B	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4939421	NO	4939421
027 D	ACTIVE	INACTIVE	2007-12-07	2015-05-23	2007-12-07	2011-01-01	1	50.077000	25/8	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4943160	NO	4943160
027 D	ACTIVE	ACTIVE	2007-12-07	2015-05-23	2011-01-01	9999-12-31	1	22.851000	25/8	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4943160	NO	4943160
027 D	ACTIVE	INACTIVE	2007-12-07	2015-05-23	2007-12-07	2011-01-01	2	35.210000	25/8	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4943160	NO	4943160
027 D	ACTIVE	ACTIVE	2007-12-07	2015-05-23	2011-01-01	9999-12-31	2	35.210000	25/8	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4943160	NO	4943160
263 C	ACTIVE	ACTIVE	2008-04-18	2037-05-12	2008-04-18	9999-12-31	1	0.546000	6507/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4966437	NO	4966437
263 C	ACTIVE	ACTIVE	2008-04-18	2037-05-12	2008-04-18	9999-12-31	2	0.728000	6507/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round TFO2005	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4966437	NO	4966437
212 E	ACTIVE	ACTIVE	2008-01-23	2033-02-02	2008-01-23	9999-12-31	1	42.311000	6507/3	0	100	\N	\N	NO	2052695	BP NORGE	BP Norge AS	Awarded additionaly to round 15	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4966902	NO	4966902
301 B	INACTIVE	INACTIVE	2008-05-21	2011-06-13	2008-05-21	2011-06-13	1	22.294000	7/8	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4973175	NO	4973175
301 CS	INACTIVE	INACTIVE	2008-05-21	2012-06-12	2008-05-21	2012-06-12	1	63.836000	7/11	0	100	\N	\N	YES	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	Awarded additionaly to TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4973200	NO	4973200
301 CS	INACTIVE	INACTIVE	2008-05-21	2012-06-12	2008-05-21	2012-06-12	2	30.062000	7/11	50	100	Applies not to levels over Cretaceous	Gjeld ikkje for nivå over kritt bergarter	YES	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	Awarded additionaly to TFO2003	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=4973200	YES	4973200
036 D	ACTIVE	ACTIVE	2008-10-17	2021-06-11	2008-10-17	9999-12-31	1	19.191000	25/4	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5081703	NO	5081703
035 B	ACTIVE	ACTIVE	2008-11-26	2015-11-14	2008-11-26	9999-12-31	1	25.881000	30/11	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105684	NO	5105684
493	INACTIVE	INACTIVE	2009-01-23	2012-01-23	2009-01-23	2012-01-23	1	118.613000	1/3	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105835	NO	5105835
494	ACTIVE	ACTIVE	2009-01-23	2016-07-23	2009-01-23	9999-12-31	1	215.496000	2/9	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105899	NO	5105899
495	ACTIVE	ACTIVE	2009-01-23	2015-07-23	2009-01-23	9999-12-31	1	110.462000	7/2	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105968	NO	5105968
495	ACTIVE	ACTIVE	2009-01-23	2015-07-23	2009-01-23	9999-12-31	2	366.235000	7/4	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105968	NO	5105968
495	ACTIVE	ACTIVE	2009-01-23	2015-07-23	2009-01-23	9999-12-31	3	554.583000	7/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105968	NO	5105968
495	ACTIVE	ACTIVE	2009-01-23	2015-07-23	2009-01-23	9999-12-31	4	133.730000	7/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5105968	NO	5105968
496	INACTIVE	INACTIVE	2009-01-23	2011-03-08	2009-01-23	2011-03-08	2	3.818000	7/10	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106035	NO	5106035
496	INACTIVE	INACTIVE	2009-01-23	2011-03-08	2009-01-23	2011-03-08	1	6.670000	7/7	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106035	NO	5106035
497	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	3	27.093000	7/11	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106073	NO	5106073
497	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	1	10.317000	7/7	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106073	NO	5106073
497	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	2	10.268000	7/8	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106073	NO	5106073
498	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	3	19.625000	7/11	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106134	NO	5106134
498	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	4	20.557000	7/11	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106134	NO	5106134
498	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	5	35.521000	7/12	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106134	NO	5106134
498	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	1	43.032000	7/7	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106134	NO	5106134
498	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	2	159.425000	7/8	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106134	NO	5106134
499 S	INACTIVE	INACTIVE	2009-01-23	2011-07-23	2009-01-23	2011-07-23	2	149.568000	8/11	50	100	Applies to levels under 200 meter below base Jurassic.	Gjelder for nivå under 200 meter under bunn jura.	YES	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106238	YES	5106238
499 S	INACTIVE	INACTIVE	2009-01-23	2011-07-23	2009-01-23	2011-07-23	1	535.969000	8/8	50	100	Applies to levels under 200 meter below base Jurassic.	Gjelder for nivåer under 200 meter under bunn jura.	YES	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106238	YES	5106238
500	ACTIVE	ACTIVE	2009-01-23	2017-01-23	2009-01-23	9999-12-31	1	33.818000	16/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106274	NO	5106274
501	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	1	279.991000	16/2	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106314	NO	5106314
501	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	2	240.979000	16/3	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106314	NO	5106314
501	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	3	75.365000	16/5	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106314	NO	5106314
501	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	4	113.048000	16/6	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106314	NO	5106314
502	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	1	32.269000	16/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106378	NO	5106378
503	ACTIVE	ACTIVE	2009-01-23	2017-01-23	2009-01-23	9999-12-31	1	470.931000	17/7	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106405	NO	5106405
503	ACTIVE	ACTIVE	2009-01-23	2017-01-23	2009-01-23	9999-12-31	2	506.875000	17/8	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106405	NO	5106405
504	ACTIVE	ACTIVE	2009-01-23	2014-01-23	2009-01-23	9999-12-31	1	12.313000	25/7	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106455	NO	5106455
505	ACTIVE	ACTIVE	2009-01-23	2016-10-23	2009-01-23	9999-12-31	2	47.718000	25/10	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106486	NO	5106486
505	ACTIVE	ACTIVE	2009-01-23	2016-10-23	2009-01-23	9999-12-31	1	121.577000	25/7	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106486	NO	5106486
506 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	1	523.937000	26/5	0	40	Applies to all levels over top Cretaceous.	Gjelder for alle nivå over topp kritt.	YES	22528729	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106544	YES	5106544
506 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	2	527.805000	26/8	0	40	Applies to all levels over top Cretaceous	Gjelder for alle nivå over topp kritt.	YES	22528729	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106544	YES	5106544
518	INACTIVE	INACTIVE	2009-01-23	2013-01-23	2009-01-23	2013-01-23	3	67.034000	7121/10	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106560	NO	5106560
518	INACTIVE	INACTIVE	2009-01-23	2013-01-23	2009-01-23	2013-01-23	4	145.070000	7121/11	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106560	NO	5106560
518	INACTIVE	INACTIVE	2009-01-23	2013-01-23	2009-01-23	2013-01-23	5	93.632000	7121/12	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106560	NO	5106560
518	INACTIVE	INACTIVE	2009-01-23	2013-01-23	2009-01-23	2013-01-23	1	56.664000	7121/8	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106560	NO	5106560
518	INACTIVE	INACTIVE	2009-01-23	2013-01-23	2009-01-23	2013-01-23	2	66.664000	7121/9	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106560	NO	5106560
507	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	1	51.837000	25/2	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106689	NO	5106689
507	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	2	138.302000	25/3	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106689	NO	5106689
507	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	3	258.245000	30/11	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106689	NO	5106689
507	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	4	493.017000	30/12	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106689	NO	5106689
507	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	5	62.018000	31/10	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106689	NO	5106689
508 S	INACTIVE	INACTIVE	2009-01-23	2012-01-23	2009-01-23	2012-01-23	1	128.735000	29/3	50	100	Applies for all levels below top Cretaceous.	Gjelder for alle nivåer under topp kritt.	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106810	YES	5106810
508 S	INACTIVE	INACTIVE	2009-01-23	2012-01-23	2009-01-23	2012-01-23	2	32.066000	29/6	50	100	Applies for all levels below top Cretaceous.	Gjelder for alle nivåer under topp kritt.	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106810	YES	5106810
508 S	INACTIVE	INACTIVE	2009-01-23	2012-01-23	2009-01-23	2012-01-23	3	315.824000	30/1	50	100	Applies for all levels below top Cretaceous.	Gjelder for alle nivåer under topp kritt.	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106810	YES	5106810
508 S	INACTIVE	INACTIVE	2009-01-23	2012-01-23	2009-01-23	2012-01-23	4	296.862000	30/4	50	100	Applies for all levels below top Cretaceous.	Gjelder for alle nivåer under topp kritt.	YES	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106810	YES	5106810
509 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	1	128.735000	29/3	0	50	Applies to all levels over top Cretaceous.	Gjelder alle nivå over topp kritt.	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	YES	5106880
509 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	2	28.128000	29/3	0	50	Applies to all levels over top Cretaceous.	Gjelder alle nivå over topp kritt.	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	YES	5106880
509 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	3	32.066000	29/6	0	50	Applies to all levels over top Cretaceous.	Gjelder alle nivå over topp kritt.	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	YES	5106880
509 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	4	5.426000	29/6	0	50	Applies to all levels over top Cretaceous.	Gjelder alle nivå over topp kritt	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	YES	5106880
509 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	5	40.296000	29/6	0	50	Applies to all levels over top Cretaceous.	Gjelder alle nivå over topp kritt	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	YES	5106880
527	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	4	403.344000	6703/10	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463429	NO	5463429
509 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	6	315.824000	30/1	0	50	Applies to all levels over top Cretaceous.	Gjelder alle nivå over topp kritt.	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	YES	5106880
509 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	7	296.862000	30/4	0	50	Applies to all levels over top Cretaceous	Gjelder alle nivå over topp kritt	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	YES	5106880
509 S	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	8	11.883000	30/4	0	50	Applies to all levels over top Cretaceous	Gjelder alle nivå over topp kritt	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106880	YES	5106880
510	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	1	116.766000	6406/5	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106991	NO	5106991
510	ACTIVE	ACTIVE	2009-01-23	2016-01-23	2009-01-23	9999-12-31	2	184.716000	6406/6	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5106991	NO	5106991
517	INACTIVE	INACTIVE	2009-01-23	2012-01-23	2009-01-23	2012-01-23	1	53.053000	7020/1	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107074	NO	5107074
516	ACTIVE	INACTIVE	2009-01-23	2026-02-28	2009-01-23	2011-12-22	1	18.145000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107101	NO	5107101
516	ACTIVE	ACTIVE	2009-01-23	2026-02-28	2011-12-22	9999-12-31	1	2.790000	6608/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107101	NO	5107101
515	INACTIVE	INACTIVE	2009-01-23	2012-04-23	2009-01-23	2012-04-23	1	31.078000	6508/1	0	100	\N	\N	NO	4062921	ROCKSOURCE ASA	Rocksource ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107133	NO	5107133
515	INACTIVE	INACTIVE	2009-01-23	2012-04-23	2009-01-23	2012-04-23	2	253.914000	6508/2	0	100	\N	\N	NO	4062921	ROCKSOURCE ASA	Rocksource ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107133	NO	5107133
514	INACTIVE	INACTIVE	2009-01-23	2011-01-22	2009-01-23	2011-01-22	1	225.628000	6507/1	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107175	NO	5107175
514	INACTIVE	INACTIVE	2009-01-23	2011-01-22	2009-01-23	2011-01-22	2	93.024000	6507/2	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107175	NO	5107175
513	ACTIVE	ACTIVE	2009-01-23	2015-07-23	2009-01-23	9999-12-31	1	253.842000	6506/6	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107217	NO	5107217
513	ACTIVE	ACTIVE	2009-01-23	2015-07-23	2009-01-23	9999-12-31	2	59.592000	6507/1	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107217	NO	5107217
513	ACTIVE	ACTIVE	2009-01-23	2015-07-23	2009-01-23	9999-12-31	3	98.156000	6507/4	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107217	NO	5107217
432 B	INACTIVE	INACTIVE	2009-01-23	2010-02-16	2009-01-23	2010-02-16	1	81.623000	6507/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107289	NO	5107289
512	ACTIVE	ACTIVE	2009-01-23	2017-07-23	2009-01-23	9999-12-31	3	340.708000	6407/10	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107312	NO	5107312
512	ACTIVE	ACTIVE	2009-01-23	2017-07-23	2009-01-23	9999-12-31	4	63.192000	6407/11	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107312	NO	5107312
512	ACTIVE	ACTIVE	2009-01-23	2017-07-23	2009-01-23	9999-12-31	1	24.001000	6407/7	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107312	NO	5107312
512	ACTIVE	ACTIVE	2009-01-23	2017-07-23	2009-01-23	9999-12-31	2	42.002000	6407/8	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107312	NO	5107312
107 B	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	1	11.949000	6407/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107376	NO	5107376
511	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	1	112.922000	6406/5	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107428	NO	5107428
511	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	2	157.464000	6406/6	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107428	NO	5107428
511	ACTIVE	ACTIVE	2009-01-23	2015-01-23	2009-01-23	9999-12-31	3	188.059000	6406/9	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107428	NO	5107428
292 B	ACTIVE	INACTIVE	2009-01-23	2026-04-01	2009-01-23	2010-07-05	1	5.573000	15/12	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107501	NO	5107501
292 B	ACTIVE	ACTIVE	2009-01-23	2026-04-01	2010-07-05	9999-12-31	1	4.268000	15/12	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107501	NO	5107501
465 B	INACTIVE	INACTIVE	2009-01-23	2011-03-01	2009-01-23	2011-03-01	1	1.681000	30/3	0	100	\N	\N	NO	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107561	NO	5107561
465 B	INACTIVE	INACTIVE	2009-01-23	2011-03-01	2009-01-23	2011-03-01	2	38.730000	30/3	0	100	\N	\N	NO	4062831	NEXEN EXPLORATION NORGE	Nexen Exploration Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107561	NO	5107561
193 B	ACTIVE	ACTIVE	2009-01-23	2031-09-10	2009-01-23	9999-12-31	1	5.002000	34/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107611	NO	5107611
472 B	INACTIVE	INACTIVE	2009-01-23	2010-03-01	2009-01-23	2010-03-01	1	28.038000	6406/5	0	100	\N	\N	NO	3482302	WINTERSHALL NORGE AS (OLD)	Wintershall Norge AS (old)	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107640	NO	5107640
475 BS	ACTIVE	ACTIVE	2009-01-23	2016-02-28	2009-01-23	9999-12-31	1	32.194000	6406/3	50	100	Applies to all levels below Base Cretaceous.	Gjeld for nivå under bunn kritt.	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107669	YES	5107669
475 BS	ACTIVE	ACTIVE	2009-01-23	2016-02-28	2009-01-23	9999-12-31	2	5.849000	6407/1	50	100	Applies to all levels below Base Cretaceous	Gjeld for niva under bunn kritt.	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107669	YES	5107669
402 B	ACTIVE	ACTIVE	2009-01-23	2017-02-16	2009-01-23	9999-12-31	1	28.182000	9/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5107780	NO	5107780
107 C	ACTIVE	ACTIVE	2009-01-23	2017-01-23	2009-01-23	9999-12-31	1	20.965000	6407/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2008	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5115394	NO	5115394
519	ACTIVE	ACTIVE	2009-05-15	2013-05-15	2009-05-15	9999-12-31	1	349.209000	6201/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463084	NO	5463084
519	ACTIVE	ACTIVE	2009-05-15	2013-05-15	2009-05-15	9999-12-31	2	177.914000	6201/12	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463084	NO	5463084
318 C	ACTIVE	ACTIVE	2009-05-15	2014-06-18	2009-05-15	9999-12-31	1	19.456000	6203/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463114	NO	5463114
520	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	1	424.012000	6502/2	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463136	NO	5463136
520	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	2	424.012000	6502/3	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463136	NO	5463136
520	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	3	428.120000	6502/6	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463136	NO	5463136
520	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	4	424.012000	6503/1	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463136	NO	5463136
520	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	5	424.012000	6503/2	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463136	NO	5463136
520	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	6	428.120000	6503/4	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463136	NO	5463136
520	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	7	428.120000	6503/5	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463136	NO	5463136
521	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	1	428.120000	6509/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463210	NO	5463210
521	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	2	428.120000	6509/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463210	NO	5463210
521	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	3	214.060000	6509/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463210	NO	5463210
522	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	1	407.494000	6604/2	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463248	NO	5463248
522	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	2	407.494000	6604/3	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463248	NO	5463248
522	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	3	411.636000	6604/4	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463248	NO	5463248
522	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	4	411.636000	6604/5	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463248	NO	5463248
522	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	5	411.636000	6604/6	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463248	NO	5463248
523	INACTIVE	INACTIVE	2009-05-15	2012-05-15	2009-05-15	2012-05-15	1	419.895000	6605/11	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463304	NO	5463304
523	INACTIVE	INACTIVE	2009-05-15	2012-05-15	2009-05-15	2012-05-15	2	419.895000	6605/12	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463304	NO	5463304
524	INACTIVE	INACTIVE	2009-05-15	2012-05-15	2009-05-15	2012-05-15	1	216.814000	6606/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463333	NO	5463333
524	INACTIVE	INACTIVE	2009-05-15	2012-05-15	2009-05-15	2012-05-15	2	216.814000	6606/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463333	NO	5463333
525	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	1	411.636000	6606/4	0	100	\N	\N	NO	22223020	NORECO NORWAY AS	Noreco Norway AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463362	NO	5463362
525	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	2	411.636000	6606/5	0	100	\N	\N	NO	22223020	NORECO NORWAY AS	Noreco Norway AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463362	NO	5463362
526	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	1	411.636000	6608/6	0	100	\N	\N	NO	18082156	NORTH ENERGY ASA	North Energy ASA	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463391	NO	5463391
526	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	2	304.494000	6608/9	0	100	\N	\N	NO	18082156	NORTH ENERGY ASA	North Energy ASA	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463391	NO	5463391
526	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	3	411.636000	6609/4	0	100	\N	\N	NO	18082156	NORTH ENERGY ASA	North Energy ASA	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463391	NO	5463391
527	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	5	403.344000	6703/11	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463429	NO	5463429
527	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	6	403.344000	6703/12	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463429	NO	5463429
527	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	1	399.186000	6703/7	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463429	NO	5463429
527	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	2	399.186000	6703/8	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463429	NO	5463429
527	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	3	399.186000	6703/9	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463429	NO	5463429
527	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	9	403.344000	6704/10	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463429	NO	5463429
527	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	7	399.186000	6704/7	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463429	NO	5463429
527	ACTIVE	ACTIVE	2009-05-15	2017-05-15	2009-05-15	9999-12-31	8	399.186000	6704/8	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463429	NO	5463429
528	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	3	403.344000	6707/11	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463521	NO	5463521
528	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	1	399.186000	6707/8	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463521	NO	5463521
528	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	2	399.186000	6707/9	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463521	NO	5463521
529	ACTIVE	ACTIVE	2009-05-15	2016-05-15	2009-05-15	9999-12-31	1	340.156000	7016/2	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463559	NO	5463559
529	ACTIVE	ACTIVE	2009-05-15	2016-05-15	2009-05-15	9999-12-31	2	335.884000	7116/11	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463559	NO	5463559
530	INACTIVE	INACTIVE	2009-05-15	2013-03-12	2009-05-15	2013-03-12	1	179.031000	7123/6	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463588	NO	5463588
530	INACTIVE	INACTIVE	2009-05-15	2013-03-12	2009-05-15	2013-03-12	2	153.845000	7124/4	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463588	NO	5463588
531	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	1	318.732000	7217/12	0	100	\N	\N	NO	17237506	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463621	NO	5463621
531	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	2	318.732000	7218/10	0	100	\N	\N	NO	17237506	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463621	NO	5463621
531	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	3	318.732000	7218/11	0	100	\N	\N	NO	17237506	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463621	NO	5463621
532	ACTIVE	ACTIVE	2009-05-15	2018-05-15	2009-05-15	9999-12-31	1	314.428000	7219/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463659	NO	5463659
532	ACTIVE	ACTIVE	2009-05-15	2018-05-15	2009-05-15	9999-12-31	2	310.117000	7220/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463659	NO	5463659
532	ACTIVE	ACTIVE	2009-05-15	2018-05-15	2009-05-15	9999-12-31	3	310.117000	7220/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463659	NO	5463659
532	ACTIVE	ACTIVE	2009-05-15	2018-05-15	2009-05-15	9999-12-31	4	314.428000	7220/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463659	NO	5463659
532	ACTIVE	ACTIVE	2009-05-15	2018-05-15	2009-05-15	9999-12-31	5	314.428000	7220/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463659	NO	5463659
533	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	1	318.732000	7219/12	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463724	NO	5463724
533	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	2	318.732000	7220/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463724	NO	5463724
534	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	3	318.732000	7224/11	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463753	NO	5463753
534	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	1	314.428000	7224/7	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463753	NO	5463753
534	ACTIVE	ACTIVE	2009-05-15	2015-05-15	2009-05-15	9999-12-31	2	314.428000	7224/8	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463753	NO	5463753
535	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	1	305.800000	7225/3	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463791	NO	5463791
535	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	2	305.800000	7226/1	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463791	NO	5463791
536	INACTIVE	INACTIVE	2009-05-15	2012-11-15	2009-05-15	2012-11-15	1	318.732000	7228/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463820	NO	5463820
536	INACTIVE	INACTIVE	2009-05-15	2012-11-15	2009-05-15	2012-11-15	2	318.732000	7228/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463820	NO	5463820
537	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	1	297.147000	7324/7	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463849	NO	5463849
537	ACTIVE	ACTIVE	2009-05-15	2014-05-15	2009-05-15	9999-12-31	2	297.147000	7324/8	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5463849	NO	5463849
102 C	ACTIVE	ACTIVE	2009-03-20	2025-03-01	2009-03-20	9999-12-31	1	81.809000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5467035	NO	5467035
102 C	ACTIVE	ACTIVE	2009-03-20	2025-03-01	2009-03-20	9999-12-31	2	10.476000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5467035	NO	5467035
102 C	ACTIVE	ACTIVE	2009-03-20	2025-03-01	2009-03-20	9999-12-31	3	22.668000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5467035	NO	5467035
169 C	ACTIVE	INACTIVE	2009-03-27	2030-03-01	2009-03-27	2011-01-01	1	26.387000	25/8	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5479914	NO	5479914
169 C	ACTIVE	ACTIVE	2009-03-27	2030-03-01	2011-01-01	9999-12-31	1	8.790000	25/8	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	Awarded additionaly to round 13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5479914	NO	5479914
538	INACTIVE	INACTIVE	2009-05-15	2012-05-15	2009-05-15	2012-05-15	1	403.344000	6705/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5480294	NO	5480294
019 D	ACTIVE	INACTIVE	2009-01-16	2018-09-01	2009-01-16	2010-01-01	1	7.562000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5488531	NO	5488531
019 D	ACTIVE	ACTIVE	2009-01-16	2018-09-01	2010-01-01	9999-12-31	1	7.562000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5488531	NO	5488531
019 D	ACTIVE	INACTIVE	2009-01-16	2018-09-01	2009-01-16	2010-01-01	2	4.729000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5488531	NO	5488531
299 B	INACTIVE	INACTIVE	2009-01-16	2010-01-01	2009-01-16	2010-01-01	1	57.043000	2/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	Awarded additionaly to round 17 A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5488567	NO	5488567
038 D	ACTIVE	ACTIVE	2009-05-15	2021-04-01	2009-05-15	9999-12-31	1	32.728000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	20	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=5500999	NO	5500999
539	ACTIVE	ACTIVE	2010-02-19	2017-02-19	2010-02-19	9999-12-31	1	190.919000	3/7	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320077	NO	17320077
540	INACTIVE	INACTIVE	2010-02-19	2011-08-19	2010-02-19	2011-08-19	1	218.964000	3/6	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320106	NO	17320106
541	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	1	263.654000	4/4	0	100	\N	\N	NO	17237506	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320130	NO	17320130
542	ACTIVE	ACTIVE	2010-02-19	2015-02-19	2010-02-19	9999-12-31	1	60.322000	2/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320156	NO	17320156
331 C	INACTIVE	INACTIVE	2010-02-19	2011-06-18	2010-02-19	2011-06-18	1	20.694000	2/1	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320176	NO	17320176
497 B	ACTIVE	ACTIVE	2010-02-19	2016-01-23	2010-02-19	9999-12-31	2	11.213000	7/11	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320202	NO	17320202
497 B	ACTIVE	ACTIVE	2010-02-19	2016-01-23	2010-02-19	9999-12-31	1	11.197000	7/8	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320202	NO	17320202
543	INACTIVE	INACTIVE	2010-02-19	2012-11-19	2010-02-19	2012-11-19	1	5.434000	16/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320231	NO	17320231
544	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	1	255.725000	16/4	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320260	NO	17320260
545	INACTIVE	INACTIVE	2010-02-19	2012-02-19	2010-02-19	2012-02-19	1	357.433000	17/2	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320282	NO	17320282
545	INACTIVE	INACTIVE	2010-02-19	2012-02-19	2010-02-19	2012-02-19	2	535.510000	17/3	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320282	NO	17320282
545	INACTIVE	INACTIVE	2010-02-19	2012-02-19	2010-02-19	2012-02-19	3	323.148000	17/5	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320282	NO	17320282
545	INACTIVE	INACTIVE	2010-02-19	2012-02-19	2010-02-19	2012-02-19	4	323.148000	17/6	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320282	NO	17320282
546	ACTIVE	ACTIVE	2010-02-19	2018-02-19	2010-02-19	9999-12-31	1	211.091000	25/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320338	NO	17320338
546	ACTIVE	ACTIVE	2010-02-19	2018-02-19	2010-02-19	9999-12-31	2	207.449000	25/12	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320338	NO	17320338
169 D	ACTIVE	ACTIVE	2010-02-19	2030-03-01	2010-02-19	9999-12-31	1	5.301000	25/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320383	NO	17320383
169 D	ACTIVE	ACTIVE	2010-02-19	2030-03-01	2010-02-19	9999-12-31	2	3.533000	25/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320383	NO	17320383
559	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	2	329.117000	6608/11	0	100	\N	\N	NO	22528729	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654775	NO	17654775
340 BS	ACTIVE	INACTIVE	2010-02-19	2014-12-17	2010-02-19	2012-04-30	1	61.727000	24/9	0	50	Applies to all levels above top Cretaceous	Gjelder for alle nivåer over topp kritt	YES	20485291	MARATHON OIL	Marathon Oil Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320421	YES	17320421
340 BS	ACTIVE	ACTIVE	2010-02-19	2014-12-17	2012-04-30	9999-12-31	1	21.171000	24/9	0	50	Applies to all levels above top Cretaceous	Gjelder for nivå over topp kritt	YES	20485291	MARATHON OIL	Marathon Oil Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320421	YES	17320421
547 S	INACTIVE	INACTIVE	2010-02-19	2012-02-19	2010-02-19	2012-02-19	1	168.983000	25/7	50	100	Applies to all levels below top Cretaceous	Gjelder for alle nivåer under topp kritt	YES	20485291	MARATHON OIL	Marathon Oil Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320441	YES	17320441
504 BS	ACTIVE	ACTIVE	2010-02-19	2014-01-23	2010-02-19	9999-12-31	1	5.273000	25/7	0	50	Applies to all levels above top Cretaceous	Gjelder for alle nivåer over topp kritt	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320469	YES	17320469
548 S	INACTIVE	INACTIVE	2010-02-19	2012-02-19	2010-02-19	2012-02-19	1	28.129000	24/9	0	50	Applies to all levels above top Cretaceous	Gjelder for alle nivåer over topp kritt	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320489	YES	17320489
548 S	INACTIVE	INACTIVE	2010-02-19	2012-02-19	2010-02-19	2012-02-19	2	144.939000	25/7	0	50	Applies to all levels above top Cretaceous	Gjelder for alle nivåer over topp kritt	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320489	YES	17320489
505 BS	ACTIVE	ACTIVE	2010-02-19	2016-10-23	2010-02-19	9999-12-31	1	32.480000	25/7	50	100	Applies to all levels below top Cretaceous	Gjelder for alle nivåer under topp kritt	YES	20485291	MARATHON OIL	Marathon Oil Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320530	YES	17320530
549 S	ACTIVE	ACTIVE	2010-02-19	2018-02-19	2010-02-19	9999-12-31	1	63.969000	25/1	50	100	Applies to all levels below top Cretaceous	Gjelder for alle nivåer under topp kritt	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320558	YES	17320558
549 S	ACTIVE	ACTIVE	2010-02-19	2018-02-19	2010-02-19	9999-12-31	2	207.922000	30/10	50	100	Applies to all levels below top Cretaceous	Gjelder for alle nivåer under topp kritt	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320558	YES	17320558
550	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	1	302.664000	31/1	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320594	NO	17320594
550	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	2	166.292000	31/2	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17320594	NO	17320594
551	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	1	3.351000	31/2	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17642019	NO	17642019
551	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	2	97.304000	31/3	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17642019	NO	17642019
090 E	ACTIVE	ACTIVE	2010-02-19	2024-03-09	2010-02-19	9999-12-31	1	15.078000	31/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17642079	NO	17642079
552	ACTIVE	ACTIVE	2010-02-19	2014-02-19	2010-02-19	9999-12-31	1	67.892000	34/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17642108	NO	17642108
553	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	1	87.656000	34/7	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17646365	NO	17646365
553	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	2	150.300000	34/8	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17646365	NO	17646365
554	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	1	156.150000	34/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654471	NO	17654471
423 BS	INACTIVE	INACTIVE	2010-02-19	2011-08-16	2010-02-19	2011-08-16	1	55.555000	35/1	50	100	Applies to all levels below base Pliocene	Gjelder for alle nivåer under bunn pliocen	YES	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654498	YES	17654498
555	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	1	193.229000	33/2	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654533	NO	17654533
556	INACTIVE	INACTIVE	2010-02-19	2011-02-19	2010-02-19	2011-02-19	1	117.356000	6407/11	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654560	NO	17654560
093 B	ACTIVE	ACTIVE	2010-02-19	2014-02-19	2010-02-19	9999-12-31	1	2.985000	6407/9	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654585	NO	17654585
312 B	ACTIVE	ACTIVE	2010-02-19	2013-12-12	2010-02-19	9999-12-31	1	5.939000	6407/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654614	NO	17654614
557	ACTIVE	ACTIVE	2010-02-19	2019-02-19	2010-02-19	9999-12-31	1	179.119000	6406/1	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654641	NO	17654641
557	ACTIVE	ACTIVE	2010-02-19	2019-02-19	2010-02-19	9999-12-31	2	218.656000	6506/10	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654641	NO	17654641
477 B	ACTIVE	ACTIVE	2010-02-19	2015-03-01	2010-02-19	9999-12-31	1	18.838000	6506/11	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654703	NO	17654703
558	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	1	145.854000	6507/5	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654732	NO	17654732
559	ACTIVE	ACTIVE	2010-02-19	2016-02-19	2010-02-19	9999-12-31	1	14.036000	6608/10	0	100	\N	\N	NO	22528729	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654775	NO	17654775
560	INACTIVE	INACTIVE	2010-02-19	2011-02-19	2010-02-19	2011-02-19	1	32.007000	6608/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654831	NO	17654831
560	INACTIVE	INACTIVE	2010-02-19	2011-02-19	2010-02-19	2011-02-19	2	1.392000	6608/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654831	NO	17654831
561	INACTIVE	INACTIVE	2010-02-19	2013-02-19	2010-02-19	2013-02-19	1	134.714000	6608/7	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654869	NO	17654869
561	INACTIVE	INACTIVE	2010-02-19	2013-02-19	2010-02-19	2013-02-19	2	275.480000	6608/8	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654869	NO	17654869
562	ACTIVE	ACTIVE	2010-02-19	2017-02-19	2010-02-19	9999-12-31	1	411.636000	6609/5	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654921	NO	17654921
562	ACTIVE	ACTIVE	2010-02-19	2017-02-19	2010-02-19	9999-12-31	2	219.024000	6609/6	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654921	NO	17654921
562	ACTIVE	ACTIVE	2010-02-19	2017-02-19	2010-02-19	9999-12-31	3	165.812000	6609/8	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654921	NO	17654921
518 B	INACTIVE	INACTIVE	2010-02-19	2013-01-23	2010-02-19	2013-01-23	3	75.804000	7121/10	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654970	NO	17654970
518 B	INACTIVE	INACTIVE	2010-02-19	2013-01-23	2010-02-19	2013-01-23	4	10.025000	7121/11	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654970	NO	17654970
518 B	INACTIVE	INACTIVE	2010-02-19	2013-01-23	2010-02-19	2013-01-23	1	17.786000	7121/7	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654970	NO	17654970
518 B	INACTIVE	INACTIVE	2010-02-19	2013-01-23	2010-02-19	2013-01-23	2	10.000000	7121/8	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17654970	NO	17654970
563	ACTIVE	ACTIVE	2010-02-19	2017-02-19	2010-02-19	9999-12-31	1	119.808000	7119/6	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17655034	NO	17655034
563	ACTIVE	ACTIVE	2010-02-19	2017-02-19	2010-02-19	9999-12-31	2	156.749000	7120/4	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17655034	NO	17655034
564	ACTIVE	ACTIVE	2010-02-19	2017-02-19	2010-02-19	9999-12-31	1	272.720000	7123/4	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2009	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=17655076	NO	17655076
028 S	ACTIVE	ACTIVE	2009-11-13	2030-03-01	2009-11-13	9999-12-31	1	24.773000	25/10	50	100	Applies to all levels below base Cretaceous.	Gjelder for alle nivå under bunn kritt.	YES	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18054740	YES	18054740
043 CS	ACTIVE	ACTIVE	2010-05-12	2027-12-31	2010-05-12	9999-12-31	1	1.607000	29/6	0	50	Applies to all rocks from 50 meter above base Creataceous and to top Dunlin.	Gjelder for alle bergarter fra 50 meter over bunn kritt og til topp Dunlin.	YES	2410708	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18116800	YES	18116800
043 DS	ACTIVE	ACTIVE	2010-05-12	2027-12-31	2010-05-12	9999-12-31	1	1.276000	29/6	0	100	Applies to all lrocks from 50 meter above base Cretaceous and to top Dunlin.	Gjelder for alle bergarter fra 50 meter over bunn kritt og til topp Dunlin.	YES	2410708	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18116829	NO	18116829
330 B	INACTIVE	INACTIVE	2010-10-22	2011-06-01	2010-10-22	2011-06-01	1	79.963000	6608/2	0	100	\N	\N	NO	4038735	HESS NORGE AS	Hess Norge AS	Awarded additionaly to round 18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18403842	NO	18403842
330 B	INACTIVE	INACTIVE	2010-10-22	2011-06-01	2010-10-22	2011-06-01	2	407.494000	6608/3	0	100	\N	\N	NO	4038735	HESS NORGE AS	Hess Norge AS	Awarded additionaly to round 18	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18403842	NO	18403842
393 B	ACTIVE	ACTIVE	2010-09-10	2013-09-10	2010-09-10	9999-12-31	1	37.304000	7125/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18404594	NO	18404594
393 B	ACTIVE	ACTIVE	2010-09-10	2013-09-10	2010-09-10	9999-12-31	2	36.157000	7125/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 19	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18404594	NO	18404594
048 E	ACTIVE	ACTIVE	2010-12-09	2028-12-31	2010-12-09	9999-12-31	1	17.966000	15/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=18450020	NO	18450020
565	ACTIVE	ACTIVE	2011-02-04	2018-08-04	2011-02-04	9999-12-31	1	38.895000	1/9	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088435	NO	20088435
566 S	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	4	5.754000	2/11	0	100	\N	\N	YES	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088461	NO	20088461
566 S	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	1	124.168000	2/8	50	100	Applies to all levels below base the Shetlandsgroup	Gjelder for alle nivå under bunn Shetlandsgruppen	YES	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088461	YES	20088461
566 S	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	2	206.551000	2/8	0	100	\N	\N	YES	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088461	NO	20088461
566 S	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	3	193.950000	2/9	0	100	\N	\N	YES	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088461	NO	20088461
494 B	ACTIVE	ACTIVE	2011-02-04	2016-07-23	2011-02-04	9999-12-31	1	9.523000	2/6	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088555	NO	20088555
494 B	ACTIVE	ACTIVE	2011-02-04	2016-07-23	2011-02-04	9999-12-31	2	13.348000	2/9	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088555	NO	20088555
567	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	1	389.226000	2/6	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088593	NO	20088593
301 D	ACTIVE	ACTIVE	2011-02-04	2013-12-12	2011-02-04	9999-12-31	2	1.868000	7/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088622	NO	20088622
301 D	ACTIVE	ACTIVE	2011-02-04	2013-12-12	2011-02-04	9999-12-31	1	3.733000	7/8	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088622	NO	20088622
568	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	3	62.179000	16/10	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088760	NO	20088760
568	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	1	410.572000	7/1	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088760	NO	20088760
568	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	2	3.678000	7/2	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20088760	NO	20088760
360 B	ACTIVE	ACTIVE	2011-02-04	2014-01-06	2011-02-04	9999-12-31	1	81.819000	16/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107847	NO	20107847
569	ACTIVE	ACTIVE	2011-02-04	2015-02-04	2011-02-04	9999-12-31	1	14.427000	16/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107876	NO	20107876
503 B	ACTIVE	ACTIVE	2011-02-04	2017-01-23	2011-02-04	9999-12-31	1	216.198000	17/5	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107903	NO	20107903
503 B	ACTIVE	ACTIVE	2011-02-04	2017-01-23	2011-02-04	9999-12-31	2	108.099000	17/6	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107903	NO	20107903
503 B	ACTIVE	ACTIVE	2011-02-04	2017-01-23	2011-02-04	9999-12-31	3	108.405000	17/9	0	100	\N	\N	NO	5064434	LOTOS EXPLORATION	Lotos Exploration and Production Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107903	NO	20107903
501 B	ACTIVE	ACTIVE	2011-02-04	2015-01-23	2011-02-04	9999-12-31	1	42.953000	16/3	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107950	NO	20107950
501 B	ACTIVE	ACTIVE	2011-02-04	2015-01-23	2011-02-04	9999-12-31	2	43.035000	16/6	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107950	NO	20107950
570	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	1	107.922000	25/10	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20107979	NO	20107979
571	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	2	67.216000	25/10	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108024	NO	20108024
571	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	1	65.232000	25/7	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108024	NO	20108024
150 B	ACTIVE	INACTIVE	2011-02-04	2016-08-04	2011-02-04	2012-09-27	1	29.888000	24/9	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108072	NO	20108072
150 B	ACTIVE	ACTIVE	2011-02-04	2016-08-04	2012-09-27	9999-12-31	1	8.466000	24/9	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108072	NO	20108072
506 BS	ACTIVE	ACTIVE	2011-02-04	2016-01-23	2011-02-04	9999-12-31	1	520.058000	26/2	0	60	Applies to all levels over base Cretaceous	Gjelder for alle nivå over bunn kritt	YES	22528729	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108101	YES	20108101
506 CS	ACTIVE	ACTIVE	2011-02-04	2016-01-23	2011-02-04	9999-12-31	1	523.937000	26/5	40	60	Applies for  all levels between top and base Cretaceous	Gjelder for alle nivåer mellom topp og bunn kritt	YES	22528729	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108128	YES	20108128
506 CS	ACTIVE	ACTIVE	2011-02-04	2016-01-23	2011-02-04	9999-12-31	2	527.805000	26/8	40	60	Applies to all levels between top and base Cretaceous	Gjelder for alle nivå mellom topp og bunn kritt.	YES	22528729	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108128	YES	20108128
572 S	INACTIVE	INACTIVE	2011-02-04	2012-02-04	2011-02-04	2012-02-04	1	520.058000	26/2	50	100	Applies for all levels below base Cretaceous	Gjelder for alle nivå under bunn kritt	YES	2840522	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108160	YES	20108160
572 S	INACTIVE	INACTIVE	2011-02-04	2012-02-04	2011-02-04	2012-02-04	2	516.169000	31/11	50	100	Applies to all leves below base Cretaceous	Gjelder for alle nivå under bunn kritt	YES	2840522	E.ON RUHRGAS NO	E.ON Ruhrgas Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108160	YES	20108160
573 S	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	1	63.969000	25/1	0	50	Applies to all levels over top Cretaceous	Gjelder for alle nivå over topp kritt	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108194	YES	20108194
573 S	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	2	207.922000	30/10	0	50	Applies to all levels over top Cretaceous	Gjelder for alle nivå over topp kritt	YES	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108194	YES	20108194
574	ACTIVE	ACTIVE	2011-02-04	2020-02-04	2011-02-04	9999-12-31	1	1.465000	29/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108260	NO	20108260
574	ACTIVE	ACTIVE	2011-02-04	2020-02-04	2011-02-04	9999-12-31	3	256.332000	30/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108260	NO	20108260
574	ACTIVE	ACTIVE	2011-02-04	2020-02-04	2011-02-04	9999-12-31	2	203.879000	30/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108260	NO	20108260
575	INACTIVE	INACTIVE	2011-02-04	2013-02-04	2011-02-04	2013-02-04	1	11.817000	29/9	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108314	NO	20108314
575	INACTIVE	INACTIVE	2011-02-04	2013-02-04	2011-02-04	2013-02-04	2	61.426000	30/7	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108314	NO	20108314
576	INACTIVE	INACTIVE	2011-02-04	2013-02-04	2011-02-04	2013-02-04	1	3.413000	30/9	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108349	NO	20108349
576	INACTIVE	INACTIVE	2011-02-04	2013-02-04	2011-02-04	2013-02-04	2	47.751000	31/7	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108349	NO	20108349
309 B	ACTIVE	ACTIVE	2011-02-04	2031-03-01	2011-02-04	9999-12-31	1	26.989000	30/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108378	NO	20108378
193 C	ACTIVE	ACTIVE	2011-02-04	2031-09-10	2011-02-04	9999-12-31	1	50.109000	34/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108409	NO	20108409
378 B	ACTIVE	ACTIVE	2011-02-04	2013-01-06	2011-02-04	9999-12-31	1	25.049000	35/12	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108440	NO	20108440
577	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	1	268.546000	32/1	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108473	NO	20108473
577	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	2	350.357000	36/10	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108473	NO	20108473
554 B	ACTIVE	ACTIVE	2011-02-04	2016-02-19	2011-02-04	9999-12-31	1	24.750000	34/9	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108509	NO	20108509
377 BS	INACTIVE	INACTIVE	2011-02-04	2012-07-06	2011-02-04	2012-07-06	1	14.894000	35/7	50	100	Applies to all levels below base Pliocene.	Gjelder alle nivå under bunn pliocen	YES	441	IDEMITSU	Idemitsu Petroleum Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108534	YES	20108534
578	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	1	492.619000	35/6	0	100	\N	\N	NO	441	IDEMITSU	Idemitsu Petroleum Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108565	NO	20108565
375 B	ACTIVE	ACTIVE	2011-02-04	2014-12-31	2011-02-04	9999-12-31	1	118.350000	33/6	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108600	NO	20108600
375 B	ACTIVE	ACTIVE	2011-02-04	2014-12-31	2011-02-04	9999-12-31	2	32.731000	34/4	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108600	NO	20108600
370 B	ACTIVE	INACTIVE	2011-02-04	2014-07-06	2011-02-04	2013-02-21	1	29.555000	33/6	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108642	NO	20108642
370 B	ACTIVE	ACTIVE	2011-02-04	2014-07-06	2013-02-21	9999-12-31	1	9.850000	33/6	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108642	NO	20108642
579	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	1	110.931000	33/2	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108664	NO	20108664
579	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	2	68.560000	33/3	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108664	NO	20108664
580	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	1	480.709000	6202/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108700	NO	20108700
580	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	2	480.709000	6202/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108700	NO	20108700
580	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	3	240.355000	6203/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108700	NO	20108700
581	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	4	80.671000	6203/10	0	100	\N	\N	NO	4526555	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108743	NO	20108743
581	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	5	322.684000	6203/11	0	100	\N	\N	NO	4526555	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108743	NO	20108743
581	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	6	80.671000	6203/12	0	100	\N	\N	NO	4526555	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108743	NO	20108743
581	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	1	40.170000	6203/7	0	100	\N	\N	NO	4526555	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108743	NO	20108743
581	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	2	160.679000	6203/8	0	100	\N	\N	NO	4526555	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108743	NO	20108743
581	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	3	40.170000	6203/9	0	100	\N	\N	NO	4526555	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108743	NO	20108743
582	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	1	249.079000	6204/10	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108820	NO	20108820
582	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	2	203.700000	6204/11	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108820	NO	20108820
468 B	INACTIVE	INACTIVE	2011-02-04	2012-02-29	2011-02-04	2012-02-29	1	92.456000	6305/6	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108859	NO	20108859
468 B	INACTIVE	INACTIVE	2011-02-04	2012-02-29	2011-02-04	2012-02-29	2	46.443000	6305/9	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108859	NO	20108859
468 B	INACTIVE	INACTIVE	2011-02-04	2012-02-29	2011-02-04	2012-02-29	3	32.360000	6306/4	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108859	NO	20108859
468 B	INACTIVE	INACTIVE	2011-02-04	2012-02-29	2011-02-04	2012-02-29	4	97.417000	6306/7	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20108859	NO	20108859
583	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	1	364.182000	6306/6	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109004	NO	20109004
583	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	2	142.363000	6306/7	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109004	NO	20109004
583	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	3	295.397000	6306/8	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109004	NO	20109004
583	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	4	219.458000	6306/9	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109004	NO	20109004
584	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	1	121.373000	6305/3	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109082	NO	20109082
584	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	2	48.549000	6306/1	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109082	NO	20109082
584	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	4	452.584000	6405/12	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109082	NO	20109082
584	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	3	120.005000	6405/9	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109082	NO	20109082
584	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	6	181.034000	6406/10	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109082	NO	20109082
584	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	5	48.002000	6406/7	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109082	NO	20109082
585	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	1	269.118000	6406/7	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109152	NO	20109152
585	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	2	448.529000	6406/8	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109152	NO	20109152
586	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	1	75.656000	6406/11	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109200	NO	20109200
586	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	2	211.710000	6406/12	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109200	NO	20109200
587	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	1	62.621000	6407/8	0	100	\N	\N	NO	17237180	EDISON INTERNATIONAL NORWAY BRANCH	Edison International Norway Branch	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109234	NO	20109234
348 B	ACTIVE	ACTIVE	2011-02-04	2014-12-17	2011-02-04	9999-12-31	1	13.472000	6407/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109261	NO	20109261
588	INACTIVE	INACTIVE	2011-02-04	2012-02-04	2011-02-04	2012-02-04	1	79.065000	6407/9	0	100	\N	\N	NO	4062921	ROCKSOURCE ASA	Rocksource ASA	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109294	NO	20109294
589	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	1	29.477000	6406/2	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109325	NO	20109325
589	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	2	28.038000	6406/5	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109325	NO	20109325
475 CS	ACTIVE	ACTIVE	2011-02-04	2016-02-28	2011-02-04	9999-12-31	1	14.658000	6406/3	50	100	Applies to all levels below base Cretaceous	Gjelder for alle nivå under bunn kritt	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109375	YES	20109375
475 CS	ACTIVE	ACTIVE	2011-02-04	2016-02-28	2011-02-04	9999-12-31	2	2.921000	6507/10	50	100	Applies to all levels below base Cretaceous.	Gjelder alle nivå under bunn kritt	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109375	YES	20109375
590	ACTIVE	ACTIVE	2011-02-04	2016-02-04	2011-02-04	9999-12-31	1	120.960000	6507/10	0	100	\N	\N	NO	18082156	NORTH ENERGY ASA	North Energy ASA	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109438	NO	20109438
591	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	3	53.678000	6507/11	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109475	NO	20109475
591	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	1	119.692000	6507/8	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109475	NO	20109475
591	ACTIVE	ACTIVE	2011-02-04	2017-02-04	2011-02-04	9999-12-31	2	33.172000	6507/9	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109475	NO	20109475
592	ACTIVE	ACTIVE	2011-02-04	2018-02-04	2011-02-04	9999-12-31	1	188.975000	6506/9	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109566	NO	20109566
593	INACTIVE	INACTIVE	2011-02-04	2013-02-04	2011-02-04	2013-02-04	1	22.487000	6608/10	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109597	NO	20109597
594	INACTIVE	INACTIVE	2011-02-04	2013-02-04	2011-02-04	2013-02-04	1	195.879000	7123/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109626	NO	20109626
595	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	1	323.030000	7124/1	0	100	\N	\N	NO	17237180	EDISON INTERNATIONAL NORWAY BRANCH	Edison International Norway Branch	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109655	NO	20109655
604	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	1	399.186000	6706/7	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428990	NO	20428990
595	ACTIVE	ACTIVE	2011-02-04	2019-02-04	2011-02-04	9999-12-31	2	323.030000	7124/2	0	100	\N	\N	NO	17237180	EDISON INTERNATIONAL NORWAY BRANCH	Edison International Norway Branch	TFO2010	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20109655	NO	20109655
596	ACTIVE	ACTIVE	2011-05-13	2020-05-13	2011-05-13	9999-12-31	1	456.630000	6301/3	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428440	NO	20428440
596	ACTIVE	ACTIVE	2011-05-13	2020-05-13	2011-05-13	9999-12-31	2	456.630000	6302/1	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428440	NO	20428440
596	ACTIVE	ACTIVE	2011-05-13	2020-05-13	2011-05-13	9999-12-31	3	456.630000	6302/2	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428440	NO	20428440
596	ACTIVE	ACTIVE	2011-05-13	2020-05-13	2011-05-13	9999-12-31	4	456.630000	6302/3	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428440	NO	20428440
596	ACTIVE	ACTIVE	2011-05-13	2020-05-13	2011-05-13	9999-12-31	5	452.584000	6401/12	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428440	NO	20428440
596	ACTIVE	ACTIVE	2011-05-13	2020-05-13	2011-05-13	9999-12-31	6	452.584000	6402/10	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428440	NO	20428440
596	ACTIVE	ACTIVE	2011-05-13	2020-05-13	2011-05-13	9999-12-31	7	452.584000	6402/11	0	100	\N	\N	NO	2835212	EXXON MO	ExxonMobil Exploration & Production Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428440	NO	20428440
597	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	1	428.120000	6506/5	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428525	NO	20428525
599	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	1	407.494000	6605/2	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428552	NO	20428552
599	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	2	407.494000	6605/3	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428552	NO	20428552
599	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	3	411.636000	6605/6	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428552	NO	20428552
599	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	4	407.494000	6606/1	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428552	NO	20428552
599	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	5	342.842000	6706/10	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428552	NO	20428552
600	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	1	402.086000	6607/1	0	100	\N	\N	YES	4526555	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428617	NO	20428617
600	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	2	407.494000	6607/2	0	100	\N	\N	YES	4526555	DANA PETROLEUM NORWAY	Dana Petroleum Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428617	NO	20428617
598	ACTIVE	ACTIVE	2011-05-13	2018-05-13	2011-05-13	9999-12-31	1	411.636000	6601/6	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428655	NO	20428655
598	ACTIVE	ACTIVE	2011-05-13	2018-05-13	2011-05-13	9999-12-31	2	415.770000	6601/9	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428655	NO	20428655
598	ACTIVE	ACTIVE	2011-05-13	2018-05-13	2011-05-13	9999-12-31	3	411.636000	6602/4	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428655	NO	20428655
598	ACTIVE	ACTIVE	2011-05-13	2018-05-13	2011-05-13	9999-12-31	4	415.770000	6602/7	0	100	\N	\N	NO	3488906	CHEVRON NORGE	Chevron Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428655	NO	20428655
601	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	1	407.494000	6609/3	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428711	NO	20428711
601	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	2	407.494000	6610/1	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428711	NO	20428711
602	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	1	60.502000	6706/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428749	NO	20428749
602	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	2	403.344000	6706/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428749	NO	20428749
602	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	3	55.247000	6706/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428749	NO	20428749
603	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	1	232.094000	6706/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428814	NO	20428814
603	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	2	293.083000	6707/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428814	NO	20428814
218 B	ACTIVE	ACTIVE	2011-05-13	2041-02-02	2013-01-01	9999-12-31	1	5.409000	6607/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428874	NO	20428874
218 B	ACTIVE	ACTIVE	2011-05-13	2041-02-02	2013-01-01	9999-12-31	2	1.351000	6707/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428874	NO	20428874
218 B	ACTIVE	ACTIVE	2011-05-13	2041-02-02	2013-01-01	9999-12-31	3	16.165000	6707/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428874	NO	20428874
524 B	INACTIVE	INACTIVE	2011-05-13	2012-05-15	2011-05-13	2012-05-15	1	28.356000	6706/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428934	NO	20428934
528 B	ACTIVE	ACTIVE	2011-05-13	2015-05-15	2011-05-13	9999-12-31	1	48.252000	6707/10	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428963	NO	20428963
604	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	2	399.186000	6706/8	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428990	NO	20428990
604	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	3	399.186000	6706/9	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428990	NO	20428990
604	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	4	399.186000	6707/7	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20428990	NO	20428990
605	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	1	323.030000	7119/2	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429042	NO	20429042
605	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	2	323.030000	7119/3	0	100	\N	\N	NO	2410696	CONOCOPHILLIPS SKANDINAVIA	ConocoPhillips Skandinavia AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429042	NO	20429042
606	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	1	305.800000	7216/1	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429078	NO	20429078
606	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	2	305.800000	7216/2	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429078	NO	20429078
606	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	3	305.800000	7216/3	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429078	NO	20429078
607	ACTIVE	ACTIVE	2011-05-13	2015-05-13	2011-05-13	9999-12-31	1	314.428000	7218/8	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429121	NO	20429121
607	ACTIVE	ACTIVE	2011-05-13	2015-05-13	2011-05-13	9999-12-31	2	314.428000	7218/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429121	NO	20429121
607	ACTIVE	ACTIVE	2011-05-13	2015-05-13	2011-05-13	9999-12-31	3	314.428000	7219/7	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429121	NO	20429121
608	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	1	314.428000	7219/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429159	NO	20429159
609	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	3	318.732000	7220/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429186	NO	20429186
609	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	4	63.446000	7220/12	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429186	NO	20429186
609	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	1	310.117000	7220/6	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429186	NO	20429186
609	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	2	310.209000	7220/9	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429186	NO	20429186
609	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	5	178.113000	7221/4	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429186	NO	20429186
610	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	1	168.723000	7222/2	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429259	NO	20429259
610	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	2	233.807000	7222/3	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429259	NO	20429259
611	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	1	305.800000	7223/3	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429303	NO	20429303
611	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	2	310.117000	7223/6	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429303	NO	20429303
611	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	3	305.800000	7224/1	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429303	NO	20429303
611	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	4	305.800000	7224/2	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429303	NO	20429303
611	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	5	305.800000	7224/3	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429303	NO	20429303
611	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	6	310.117000	7224/4	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429303	NO	20429303
611	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	7	310.117000	7224/5	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429303	NO	20429303
226 B	ACTIVE	ACTIVE	2011-05-13	2015-11-13	2011-05-13	9999-12-31	1	137.077000	7222/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429377	NO	20429377
226 B	ACTIVE	ACTIVE	2011-05-13	2015-11-13	2011-05-13	9999-12-31	2	71.993000	7222/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429377	NO	20429377
613	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	1	301.476000	7322/10	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429419	NO	20429419
613	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	2	301.476000	7322/11	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429419	NO	20429419
612	ACTIVE	ACTIVE	2011-05-13	2018-05-13	2011-05-13	9999-12-31	1	297.147000	7318/8	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429462	NO	20429462
612	ACTIVE	ACTIVE	2011-05-13	2018-05-13	2011-05-13	9999-12-31	2	297.147000	7318/9	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429462	NO	20429462
612	ACTIVE	ACTIVE	2011-05-13	2018-05-13	2011-05-13	9999-12-31	3	297.147000	7319/7	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429462	NO	20429462
614	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	1	297.147000	7324/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429507	NO	20429507
614	ACTIVE	ACTIVE	2011-05-13	2017-05-13	2011-05-13	9999-12-31	2	297.147000	7325/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429507	NO	20429507
615	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	1	288.470000	7324/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429544	NO	20429544
615	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	2	288.470000	7324/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429544	NO	20429544
615	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	3	288.470000	7324/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429544	NO	20429544
615	ACTIVE	ACTIVE	2011-05-13	2016-05-13	2011-05-13	9999-12-31	4	288.470000	7325/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	21	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20429544	NO	20429544
303 B	ACTIVE	ACTIVE	2011-05-27	2013-12-12	2011-05-27	9999-12-31	1	3.608000	15/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 17 A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=20499620	NO	20499620
309 C	ACTIVE	ACTIVE	2011-10-06	2031-03-01	2011-10-06	9999-12-31	1	150.726000	30/5	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 17 A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21104663	NO	21104663
309 C	ACTIVE	ACTIVE	2011-10-06	2031-03-01	2011-10-06	9999-12-31	2	34.021000	30/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 17 A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21104663	NO	21104663
107 D	ACTIVE	ACTIVE	2011-10-31	2021-03-01	2011-10-31	9999-12-31	1	26.858000	6407/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 9	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21124705	NO	21124705
169 E	ACTIVE	ACTIVE	2011-11-04	2030-03-01	2011-11-04	9999-12-31	1	19.385000	25/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 13	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21124742	NO	21124742
018 DS	ACTIVE	ACTIVE	2011-11-29	2028-12-31	2011-11-29	9999-12-31	1	24.028000	1/5	40	60	Applies to levels between top of the Ekofiskformation and down to the base of Hidraformation	Gjelder for nivå mellom toppen av Ekofiskformasjonen og ned til bunnen av Hidraformasjonen	YES	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	Awarded additionaly to round 1-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21139552	YES	21139552
193 D	ACTIVE	ACTIVE	2011-12-21	2031-09-10	2011-12-21	9999-12-31	1	78.138000	34/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 14	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21349950	NO	21349950
046 C	ACTIVE	ACTIVE	2011-12-21	2028-12-31	2011-12-21	9999-12-31	1	9.928000	15/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21350140	NO	21350140
072 C	ACTIVE	ACTIVE	2011-12-21	2028-12-31	2011-12-21	9999-12-31	1	21.666000	16/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 6	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21350207	NO	21350207
659	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	1	38.545000	7121/3	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558636	NO	21558636
659	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	2	85.656000	7122/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558636	NO	21558636
659	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	3	64.243000	7122/2	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558636	NO	21558636
659	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	5	318.488000	7221/10	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558636	NO	21558636
659	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	4	318.482000	7221/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558636	NO	21558636
659	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	6	318.496000	7222/11	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558636	NO	21558636
659	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	7	318.506000	7222/12	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558636	NO	21558636
658	ACTIVE	ACTIVE	2012-02-03	2021-02-03	2012-02-03	9999-12-31	1	140.179000	7121/2	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558820	NO	21558820
658	ACTIVE	ACTIVE	2012-02-03	2021-02-03	2012-02-03	9999-12-31	2	215.661000	7121/3	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558820	NO	21558820
658	ACTIVE	ACTIVE	2012-02-03	2021-02-03	2012-02-03	9999-12-31	3	215.666000	7122/1	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558820	NO	21558820
658	ACTIVE	ACTIVE	2012-02-03	2021-02-03	2012-02-03	9999-12-31	4	237.134000	7122/2	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558820	NO	21558820
657	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	156.110000	7122/8	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558872	NO	21558872
657	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	275.191000	7122/9	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558872	NO	21558872
656	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	1	61.083000	6610/2	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558940	NO	21558940
656	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	2	407.231000	6610/3	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558940	NO	21558940
656	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	3	407.256000	6611/1	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558940	NO	21558940
656	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	4	269.811000	6611/2	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558940	NO	21558940
655	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	346.127000	6610/2	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21558998	NO	21558998
654	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	79.900000	6608/2	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559027	NO	21559027
654	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	52.768000	6608/3	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559027	NO	21559027
653	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	1	407.192000	6607/3	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559076	NO	21559076
652	INACTIVE	INACTIVE	2012-02-03	2013-02-03	2012-02-03	2013-02-03	1	31.972000	6608/7	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559103	NO	21559103
652	INACTIVE	INACTIVE	2012-02-03	2013-02-03	2012-02-03	2013-02-03	2	1.391000	6608/8	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559103	NO	21559103
651	ACTIVE	ACTIVE	2012-02-03	2021-02-03	2012-02-03	9999-12-31	3	279.279000	6610/11	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559146	NO	21559146
651	ACTIVE	ACTIVE	2012-02-03	2021-02-03	2012-02-03	9999-12-31	4	227.678000	6610/12	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559146	NO	21559146
651	ACTIVE	ACTIVE	2012-02-03	2021-02-03	2012-02-03	9999-12-31	1	415.481000	6610/8	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559146	NO	21559146
651	ACTIVE	ACTIVE	2012-02-03	2021-02-03	2012-02-03	9999-12-31	2	415.504000	6610/9	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559146	NO	21559146
650	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	140.075000	6507/3	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559201	NO	21559201
035 C	ACTIVE	ACTIVE	2012-02-03	2022-11-14	2012-02-03	9999-12-31	1	13.662000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559372	NO	21559372
046 D	ACTIVE	ACTIVE	2012-02-03	2028-12-31	2012-02-03	9999-12-31	1	36.337000	15/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559399	NO	21559399
639	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	3	75.360000	6201/10	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559426	NO	21559426
639	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	4	128.777000	6201/11	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559426	NO	21559426
639	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	1	141.514000	6201/7	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559426	NO	21559426
639	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	2	256.706000	6201/8	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559426	NO	21559426
640	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	1	242.169000	6201/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559488	NO	21559488
640	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	3	484.321000	6202/10	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559488	NO	21559488
640	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	4	484.307000	6202/11	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559488	NO	21559488
640	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	2	48.193000	6202/7	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559488	NO	21559488
641	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	157.880000	6204/10	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559540	NO	21559540
641	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	4	57.946000	6204/11	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559540	NO	21559540
641	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	288.698000	6204/7	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559540	NO	21559540
641	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	69.017000	6204/8	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559540	NO	21559540
642	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	274.344000	6306/2	0	100	\N	\N	NO	17237506	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559610	NO	21559610
642	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	153.042000	6306/5	0	100	\N	\N	NO	17237506	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559610	NO	21559610
644	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	2	65.301000	6506/10	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559648	NO	21559648
644	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	3	65.301000	6506/11	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559648	NO	21559648
644	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	1	144.460000	6506/8	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559648	NO	21559648
645	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	2	91.338000	6507/10	0	100	\N	\N	NO	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559709	NO	21559709
645	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	1	60.615000	6507/7	0	100	\N	\N	NO	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559709	NO	21559709
646	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	40.172000	6507/8	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559761	NO	21559761
646	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	28.694000	6507/9	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559761	NO	21559761
647	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	155.331000	6507/4	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559805	NO	21559805
647	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	75.479000	6507/5	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559805	NO	21559805
648 S	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	228.736000	6507/1	0	50	applies to all levels above base Cretaceous	gjelder for alle nivåer over bunn kritt.	YES	4505831	PGNIG NORWAY	PGNiG Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559877	YES	21559877
648 S	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	101.450000	6507/2	0	50	applies to all levels above base Cretaceous	gjelder for alle nivåer over bunn kritt	YES	4505831	PGNIG NORWAY	PGNiG Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559877	YES	21559877
648 S	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	53.824000	6507/2	0	50	applies to all levels above base Cretaceous.	gjelder for alle nivåer over bunn kritt.	YES	4505831	PGNIG NORWAY	PGNiG Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559877	YES	21559877
649	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	423.805000	6506/2	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559950	NO	21559950
649	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	423.770000	6506/3	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559950	NO	21559950
649	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	49.761000	6506/6	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559950	NO	21559950
649	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	4	135.469000	6507/1	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21559950	NO	21559950
619	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	1	169.892000	1/3	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560040	NO	21560040
619	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	2	104.122000	1/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560040	NO	21560040
619	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	3	61.700000	2/1	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560040	NO	21560040
495 B	ACTIVE	ACTIVE	2012-02-03	2015-07-23	2012-02-03	9999-12-31	1	99.979000	7/1	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560089	NO	21560089
620	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	296.098000	9/6	0	100	\N	\N	NO	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560115	NO	21560115
621	INACTIVE	INACTIVE	2012-02-03	2013-02-03	2012-02-03	2013-02-03	1	27.560000	9/2	0	100	\N	\N	NO	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560157	NO	21560157
622	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	1	36.355000	15/12	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560182	NO	21560182
622	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	2	295.668000	16/10	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560182	NO	21560182
622	ACTIVE	ACTIVE	2012-02-03	2020-02-03	2012-02-03	9999-12-31	3	54.542000	16/11	0	100	\N	\N	NO	3482067	PREMIER OIL NORGE	Premier Oil Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560182	NO	21560182
623	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	0.953000	15/11	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560239	NO	21560239
623	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	4	32.510000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560239	NO	21560239
623	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	27.990000	15/8	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560239	NO	21560239
623	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	83.280000	15/9	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560239	NO	21560239
506 DS	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	1	523.937000	26/5	50	100	Applies to all levels below base Cretaceous	Gjelder for alle nivåer under bunn kritt	YES	22528729	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560284	YES	21560284
506 DS	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	2	527.805000	26/8	50	100	Applies to all levels below Cretaceous	Gjelder for alle nivåer under bunn kritt	YES	22528729	ROCKSOURCE EXPLORATION NORWAY AS	Rocksource Exploration Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560284	YES	21560284
624	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	86.087000	16/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560318	NO	21560318
624	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	363.115000	17/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560318	NO	21560318
624	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	72.197000	17/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560318	NO	21560318
625	ACTIVE	ACTIVE	2012-02-03	2017-02-03	2012-02-03	9999-12-31	1	30.182000	25/10	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560380	NO	21560380
626	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	202.262000	25/10	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560418	NO	21560418
513 B	ACTIVE	ACTIVE	2012-02-03	2015-01-23	2012-02-03	9999-12-31	1	12.882000	6506/6	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560453	NO	21560453
513 B	ACTIVE	ACTIVE	2012-02-03	2015-01-23	2012-02-03	9999-12-31	2	2.858000	6506/6	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560453	NO	21560453
513 B	ACTIVE	ACTIVE	2012-02-03	2015-01-23	2012-02-03	9999-12-31	3	2.856000	6506/6	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560453	NO	21560453
513 B	ACTIVE	ACTIVE	2012-02-03	2015-01-23	2012-02-03	9999-12-31	4	11.414000	6506/6	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560453	NO	21560453
627	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	117.119000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560469	NO	21560469
627	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	183.679000	25/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560469	NO	21560469
627	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	108.780000	25/8	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560469	NO	21560469
627	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	4	49.127000	25/9	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560469	NO	21560469
628	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	1	125.673000	25/6	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560616	NO	21560616
628	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	2	421.906000	25/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560616	NO	21560616
628	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	3	31.458000	26/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560616	NO	21560616
628	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	4	52.738000	26/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560616	NO	21560616
629	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	53.824000	25/1	0	100	\N	\N	NO	18178215	BRIDGE ENERGY NORGE AS	Bridge Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560683	NO	21560683
629	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	20.829000	25/2	0	100	\N	\N	NO	18178215	BRIDGE ENERGY NORGE AS	Bridge Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560683	NO	21560683
629	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	5.219000	25/4	0	100	\N	\N	NO	18178215	BRIDGE ENERGY NORGE AS	Bridge Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560683	NO	21560683
629	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	4	4.633000	25/5	0	100	\N	\N	NO	18178215	BRIDGE ENERGY NORGE AS	Bridge Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560683	NO	21560683
630	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	134.235000	31/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560745	NO	21560745
630	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	183.573000	35/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560745	NO	21560745
631	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	2	127.932000	33/12	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560844	NO	21560844
631	ACTIVE	ACTIVE	2012-02-03	2018-02-03	2012-02-03	9999-12-31	1	19.907000	33/9	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560844	NO	21560844
557 B	ACTIVE	ACTIVE	2012-02-03	2019-02-19	2012-02-03	9999-12-31	1	27.830000	6406/1	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560889	NO	21560889
632	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	85.386000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560912	NO	21560912
633	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	83.017000	34/11	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560982	NO	21560982
633	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	5	36.788000	34/11	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560982	NO	21560982
633	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	5	450.133000	34/12	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560982	NO	21560982
633	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	56.353000	34/8	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560982	NO	21560982
633	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	421.802000	34/9	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21560982	NO	21560982
634	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	115.099000	35/4	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561057	NO	21561057
634	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	69.060000	35/5	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561057	NO	21561057
634	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	98.998000	35/7	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561057	NO	21561057
634	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	4	94.055000	35/8	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561057	NO	21561057
635	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	275.872000	35/5	0	100	\N	\N	NO	4444493	BAYERNGAS NORGE	Bayerngas Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561115	NO	21561115
635	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	82.478000	35/8	0	100	\N	\N	NO	4444493	BAYERNGAS NORGE	Bayerngas Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561115	NO	21561115
636	ACTIVE	ACTIVE	2012-02-03	2017-02-03	2012-02-03	9999-12-31	1	454.834000	36/7	0	100	\N	\N	NO	5267845	GDF SUEZ E&P NORGE	GDF SUEZ E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561151	NO	21561151
637	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	159.859000	33/3	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561194	NO	21561194
637	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	228.361000	34/1	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561194	NO	21561194
637	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	34.254000	34/2	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561194	NO	21561194
638	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	125.302000	34/2	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561239	NO	21561239
638	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	194.831000	34/3	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561239	NO	21561239
638	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	121.141000	34/6	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561239	NO	21561239
638	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	4	146.480000	35/1	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561239	NO	21561239
638	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	5	9.813000	35/4	0	100	\N	\N	NO	2747354	BG NORGE	BG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561239	NO	21561239
597 B	ACTIVE	ACTIVE	2012-02-03	2016-05-13	2012-02-03	9999-12-31	1	94.771000	6506/8	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561308	NO	21561308
597 B	ACTIVE	ACTIVE	2012-02-03	2016-05-13	2012-02-03	9999-12-31	2	51.692000	6506/9	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561308	NO	21561308
643	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	26.530000	6406/1	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561387	NO	21561387
643	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	294.695000	6406/4	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561387	NO	21561387
643	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	86.078000	6406/5	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561387	NO	21561387
609 B	ACTIVE	ACTIVE	2012-02-03	2017-05-13	2012-02-03	9999-12-31	1	16.053000	7120/1	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561445	NO	21561445
609 B	ACTIVE	ACTIVE	2012-02-03	2017-05-13	2012-02-03	9999-12-31	2	64.211000	7120/2	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561445	NO	21561445
616	ACTIVE	ACTIVE	2012-02-03	2019-08-03	2012-02-03	9999-12-31	2	201.021000	2/10	0	100	\N	\N	NO	17237180	EDISON INTERNATIONAL NORWAY BRANCH	Edison International Norway Branch	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561481	NO	21561481
616	ACTIVE	ACTIVE	2012-02-03	2019-08-03	2012-02-03	9999-12-31	3	52.127000	2/11	0	100	\N	\N	NO	17237180	EDISON INTERNATIONAL NORWAY BRANCH	Edison International Norway Branch	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561481	NO	21561481
616	ACTIVE	ACTIVE	2012-02-03	2019-08-03	2012-02-03	9999-12-31	1	79.833000	2/7	0	100	\N	\N	NO	17237180	EDISON INTERNATIONAL NORWAY BRANCH	Edison International Norway Branch	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561481	NO	21561481
617	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	111.714000	2/9	0	100	\N	\N	NO	21104529	VALIANT PETROLEUM NORGE	Valiant Petroleum Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561629	NO	21561629
618	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	1	106.308000	1/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561689	NO	21561689
618	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	2	66.114000	1/3	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561689	NO	21561689
618	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	3	79.218000	1/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561689	NO	21561689
618	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	4	338.656000	1/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561689	NO	21561689
618	ACTIVE	ACTIVE	2012-02-03	2019-02-03	2012-02-03	9999-12-31	5	15.392000	1/9	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21561689	NO	21561689
102 E	ACTIVE	ACTIVE	2012-02-03	2025-03-01	2012-02-03	9999-12-31	1	5.240000	25/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568578	NO	21568578
102 D	ACTIVE	ACTIVE	2012-02-03	2025-03-01	2012-02-03	9999-12-31	1	17.475000	25/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568785	NO	21568785
102 D	ACTIVE	ACTIVE	2012-02-03	2025-03-01	2012-02-03	9999-12-31	2	15.772000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568785	NO	21568785
102 D	ACTIVE	ACTIVE	2012-02-03	2025-03-01	2012-02-03	9999-12-31	3	52.389000	25/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568785	NO	21568785
104 B	ACTIVE	ACTIVE	2012-02-03	2013-02-03	2012-02-03	9999-12-31	1	37.587000	30/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568959	NO	21568959
193 E	ACTIVE	ACTIVE	2012-02-03	2031-09-10	2012-02-03	9999-12-31	1	18.289000	34/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21568992	NO	21568992
350 B	INACTIVE	INACTIVE	2012-02-03	2012-09-17	2012-02-03	2012-09-17	1	2.845000	6507/6	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569025	NO	21569025
350 B	INACTIVE	INACTIVE	2012-02-03	2012-09-17	2012-02-03	2012-09-17	2	15.625000	6507/6	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569025	NO	21569025
375 C	ACTIVE	ACTIVE	2012-02-03	2014-12-31	2012-02-03	9999-12-31	1	27.970000	33/6	0	100	\N	\N	NO	20426420	SUNCOR ENERGY NORGE	Suncor Energy Norge AS	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569065	NO	21569065
414 B	ACTIVE	ACTIVE	2012-02-03	2015-02-16	2012-02-03	9999-12-31	1	5.215000	25/2	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569107	NO	21569107
414 B	ACTIVE	ACTIVE	2012-02-03	2015-02-16	2012-02-03	9999-12-31	2	27.790000	25/3	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569107	NO	21569107
414 B	ACTIVE	ACTIVE	2012-02-03	2015-02-16	2012-02-03	9999-12-31	3	7.827000	25/5	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569107	NO	21569107
414 B	ACTIVE	ACTIVE	2012-02-03	2015-02-16	2012-02-03	9999-12-31	4	10.436000	25/6	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569107	NO	21569107
494 C	ACTIVE	ACTIVE	2012-02-03	2016-07-23	2012-02-03	9999-12-31	1	3.812000	2/9	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2011	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21569178	NO	21569178
050 ES	ACTIVE	ACTIVE	2012-04-11	2031-09-10	2012-04-11	9999-12-31	1	63.949000	34/10	33	66	Applies to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder for nivå to meter over toppen av Brentgruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668200	YES	21668200
050 FS	ACTIVE	ACTIVE	2012-04-11	2031-09-10	2012-04-11	9999-12-31	1	2.091000	34/10	33	66	Applies to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder for nivå to meter over toppen av Brent gruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668235	YES	21668235
050 GS	ACTIVE	ACTIVE	2012-04-11	2031-09-10	2012-04-11	9999-12-31	1	6.701000	30/1	33	66	Applies to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder for nivå to meter over toppen av Brent gruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668262	YES	21668262
050 HS	ACTIVE	ACTIVE	2012-04-11	2031-09-10	2012-04-11	9999-12-31	1	47.282000	34/10	33	66	Applies to level two meters above the top of the Brent group and down to two meters below the bottom of the Statfjord Formation.	Gjelder for nivå to meter over toppen av Brent gruppen og ned til to meter under bunnen av Statfjordformasjonen.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 3	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21668287	YES	21668287
293 B	ACTIVE	ACTIVE	2012-06-15	2039-04-11	2012-06-15	9999-12-31	1	45.081000	35/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	Awarded additionaly to round 17 Z	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=21695786	NO	21695786
029 C	ACTIVE	ACTIVE	2012-10-17	2028-12-31	2012-10-17	9999-12-31	1	21.163000	15/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	Awarded additionaly to round 2-A	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22493034	NO	22493034
037 F	ACTIVE	ACTIVE	2013-02-08	2017-02-08	2013-02-08	9999-12-31	1	3.298000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813049	NO	22813049
037 F	ACTIVE	ACTIVE	2013-02-08	2017-02-08	2013-02-08	9999-12-31	2	3.300000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813049	NO	22813049
037 F	ACTIVE	ACTIVE	2013-02-08	2017-02-08	2013-02-08	9999-12-31	3	1.651000	33/9	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813049	NO	22813049
055 D	ACTIVE	ACTIVE	2013-02-08	2014-02-08	2013-02-08	9999-12-31	1	22.018000	31/4	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813096	NO	22813096
091 D	ACTIVE	ACTIVE	2013-02-08	2014-02-08	2013-02-08	9999-12-31	1	5.868000	6406/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813131	NO	22813131
091 D	ACTIVE	ACTIVE	2013-02-08	2014-02-08	2013-02-08	9999-12-31	2	8.822000	6406/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813131	NO	22813131
093 C	ACTIVE	ACTIVE	2013-02-08	2014-02-08	2013-02-08	9999-12-31	1	22.562000	6407/12	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813180	NO	22813180
190 B	ACTIVE	ACTIVE	2013-02-08	2017-02-08	2013-02-08	9999-12-31	1	1.708000	30/7	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813207	NO	22813207
190 B	ACTIVE	ACTIVE	2013-02-08	2017-02-08	2013-02-08	9999-12-31	2	152.204000	30/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813207	NO	22813207
203 B	ACTIVE	ACTIVE	2013-02-08	2018-02-08	2013-02-08	9999-12-31	1	34.909000	25/4	0	100	\N	\N	NO	20485291	MARATHON OIL	Marathon Oil Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813239	NO	22813239
509 BS	ACTIVE	ACTIVE	2013-02-08	2016-01-23	2013-02-08	9999-12-31	1	118.312000	30/4	0	50	Applies to all levels above top Cretaceous	Stratigrafisk delt: gjelder for alle nivaa over topp kritt	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813272	YES	22813272
542 B	ACTIVE	ACTIVE	2013-02-08	2015-02-19	2013-02-08	9999-12-31	1	15.081000	2/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22813299	NO	22813299
660	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	59.153000	1/6	0	100	\N	\N	NO	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815555	NO	22815555
661	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	73.761000	2/2	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815589	NO	22815589
661	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	2	39.779000	2/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815589	NO	22815589
661	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	3	110.825000	2/5	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815589	NO	22815589
662	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	17.085000	2/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815632	NO	22815632
663	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	170.892000	2/6	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815661	NO	22815661
663	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	2	22.846000	3/4	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815661	NO	22815661
664 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	105.564000	2/2	0	50	Applies for all levels above the top of the Rogaland group	Stratigrafisk delt: gjelder for alle nivaa over topp Rogalandsgruppen	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815702	YES	22815702
664 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	490.763000	2/3	0	50	Applies for all levels above the top Rogaland group	Stratigrafisk delt: gjelder for alle nivaa over topp Rogalandsgruppen	YES	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815702	YES	22815702
665 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	131.897000	2/2	50	100	Applies for all levels below the top Rogaland group	Stratigrafisk delt: gjelder for alle nivaa under topp Rogalandsgruppen	YES	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815738	YES	22815738
665 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	565.998000	2/3	50	100	Applies for all levels below the top Rogaland group	Stratigrafisk delt: gjelder for alle nivaa under topp Rogalandsgruppen	YES	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815738	YES	22815738
665 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	3	52.945000	3/1	50	100	Applies for all levels below the top Rogaland group	Stratigrafisk delt: gjelder for alle nivaa under topp Rogalandsgruppen	YES	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815738	YES	22815738
666	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	18.805000	2/1	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815785	NO	22815785
666	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	131.399000	8/10	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815785	NO	22815785
666	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	3	157.679000	8/11	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815785	NO	22815785
667	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	118.633000	1/3	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815830	NO	22815830
668	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	47.892000	7/12	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815873	NO	22815873
669	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	119.811000	7/12	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815914	NO	22815914
670	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	175.944000	7/11	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815949	NO	22815949
670	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	39.349000	7/12	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22815949	NO	22815949
671	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	3	131.269000	10/4	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816003	NO	22816003
671	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	4	9.277000	10/7	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816003	NO	22816003
671	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	7.367000	9/3	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816003	NO	22816003
671	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	2	84.853000	9/6	0	100	\N	\N	NO	4719674	MAERSK OIL NORWAY AS	Maersk Oil Norway AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816003	NO	22816003
672	ACTIVE	ACTIVE	2013-02-08	2018-02-08	2013-02-08	9999-12-31	1	64.215000	15/12	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816061	NO	22816061
672	ACTIVE	ACTIVE	2013-02-08	2018-02-08	2013-02-08	9999-12-31	2	36.457000	16/10	0	100	\N	\N	NO	2425093	TALISMAN ENERGY	Talisman Energy Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816061	NO	22816061
673	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	57.071000	16/1	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816103	NO	22816103
674	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	251.596000	16/3	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816134	NO	22816134
674	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	2	8.959000	16/6	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816134	NO	22816134
674	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	3	417.941000	17/1	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816134	NO	22816134
674	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	4	241.325000	17/2	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816134	NO	22816134
674	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	5	12.543000	17/4	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816134	NO	22816134
674	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	6	78.184000	25/12	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816134	NO	22816134
674	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	7	16.004000	26/10	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816134	NO	22816134
675	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	13.155000	24/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816217	NO	22816217
675	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	228.971000	24/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816217	NO	22816217
676 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	4	175.174000	24/12	0	100	\N	\N	YES	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816262	NO	22816262
676 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	157.578000	24/9	0	100	\N	\N	YES	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816262	NO	22816262
676 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	19.412000	24/9	0	100	\N	\N	YES	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816262	NO	22816262
676 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	3	21.172000	24/9	50	100	Partly stratigraphical, applies to all levels below top Cretaceous	Delvis stratigrafisk: gjelder for alle nivaa under topp kritt	YES	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816262	YES	22816262
676 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	5	149.656000	25/7	0	100	\N	\N	YES	4062883	FAROE PETROLEUM NORGE AS	Faroe Petroleum Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816262	NO	22816262
677	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	33.025000	25/1	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816357	NO	22816357
677	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	88.857000	25/4	0	100	\N	\N	NO	17342870	DET NORSKE	Det norske oljeselskap ASA	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816357	NO	22816357
678 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	234.026000	26/1	0	100	\N	\N	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816406	NO	22816406
678 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	286.032000	26/1	50	100	Partly stratigraphical applies for all levels below lower Cretaceous	Delvis stratigrafisk: gjelder for alle nivaa under bunn kritt	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816406	YES	22816406
678 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	3	208.024000	26/2	50	100	Partly stratigraphical - applies for all levels below lower Cretaceous	Delvis stratigrafisk: gjelder for alle nivaa under bunn kritt	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816406	YES	22816406
678 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	4	334.816000	26/4	0	100	\N	\N	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816406	NO	22816406
678 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	5	31.071000	31/10	0	100	\N	\N	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816406	NO	22816406
678 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	6	110.410000	31/10	50	100	Partly stratigraphical - applies to all levels below lower Cretaceous	Delvis stratigrafisk: gjelder for alle nivaa under bunn kritt	YES	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816406	YES	22816406
679 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	60.674000	30/1	0	100	\N	\N	YES	2747354	BG NORGE	BG Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816484	NO	22816484
679 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	5	91.021000	30/1	50	100	Partly stratigraphical - applies for all levels below top Cretaceous	Delvis stratigrafisk: gjelder for alle nivaa under topp kritt	YES	2747354	BG NORGE	BG Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816484	YES	22816484
679 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	3	131.460000	30/2	0	100	\N	\N	YES	2747354	BG NORGE	BG Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816484	NO	22816484
679 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	4	50.705000	30/4	0	100	\N	\N	YES	2747354	BG NORGE	BG Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816484	NO	22816484
679 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	5	61.019000	30/4	50	100	Partly stratigraphical - applies for all levels below top Cretaceous	Delvis stratigrafisk: gjelder for alle nivaa under topp kritt	YES	2747354	BG NORGE	BG Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816484	YES	22816484
679 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	6	118.312000	30/4	50	100	Partly stratigraphical - applies for all levels below top Cretaceous.	Delvis stratigrafisk: gjelder for alle nivaa under topp kritt	YES	2747354	BG NORGE	BG Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816484	YES	22816484
679 S	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	7	242.069000	30/5	0	100	\N	\N	YES	2747354	BG NORGE	BG Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816484	NO	22816484
680	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	45.822000	31/6	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816583	NO	22816583
680	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	2	339.341000	32/4	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816583	NO	22816583
680	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	3	101.803000	32/5	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816583	NO	22816583
680	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	4	204.438000	32/7	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816583	NO	22816583
681	ACTIVE	ACTIVE	2013-02-08	2016-02-08	2013-02-08	9999-12-31	1	50.336000	31/3	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816639	NO	22816639
681	ACTIVE	ACTIVE	2013-02-08	2016-02-08	2013-02-08	9999-12-31	2	130.493000	35/12	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816639	NO	22816639
682	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	205.018000	35/9	0	100	\N	\N	NO	4444493	BAYERNGAS NORGE	Bayerngas Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816685	NO	22816685
683	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	19.952000	35/10	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816753	NO	22816753
683	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	44.793000	35/7	0	100	\N	\N	NO	21666830	WINTERSHALL NORGE AS	Wintershall Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816753	NO	22816753
684	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	2	56.627000	34/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816794	NO	22816794
684	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	9.966000	34/8	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22816794	NO	22816794
685	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	91.906000	34/6	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820468	NO	22820468
685	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	35.961000	35/1	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820468	NO	22820468
685	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	3	278.729000	35/4	0	100	\N	\N	NO	2410708	TOTAL E&P NORGE	Total E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820468	NO	22820468
686	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	492.617000	36/4	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820521	NO	22820521
687	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	24.512000	35/3	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820550	NO	22820550
687	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	2	488.656000	36/1	0	100	\N	\N	NO	17237193	VNG NORGE AS	VNG Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820550	NO	22820550
688	ACTIVE	ACTIVE	2013-02-08	2022-02-08	2013-02-08	9999-12-31	1	320.029000	6203/9	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820588	NO	22820588
688	ACTIVE	ACTIVE	2013-02-08	2022-02-08	2013-02-08	9999-12-31	2	164.598000	6204/7	0	100	\N	\N	NO	21631209	E.ON E&P NORGE AS	E.ON E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820588	NO	22820588
689	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	456.628000	6306/3	0	100	\N	\N	NO	4070011	DONG E&P NORGE	DONG E&P Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820628	NO	22820628
690	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	444.463000	6407/4	0	100	\N	\N	NO	18178215	BRIDGE ENERGY NORGE AS	Bridge Energy Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820657	NO	22820657
691	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	1	62.141000	6507/7	0	100	\N	\N	NO	4238233	CENTRICA RESOURCES NORGE AS	Centrica Resources (Norge) AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820684	NO	22820684
692	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	226.651000	6509/3	0	100	\N	\N	NO	17237506	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820715	NO	22820715
692	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	226.651000	6510/1	0	100	\N	\N	NO	17237506	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820715	NO	22820715
692	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	3	209.720000	6510/2	0	100	\N	\N	NO	17237506	REPSOL EXPLORATION NORGE AS	Repsol Exploration Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820715	NO	22820715
693	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	192.637000	6608/4	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820761	NO	22820761
693	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	249.049000	6608/7	0	100	\N	\N	NO	4460594	OMV NORGE AS	OMV (Norge) AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820761	NO	22820761
694	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	411.634000	6607/4	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820804	NO	22820804
694	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	2	411.635000	6607/5	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820804	NO	22820804
694	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	3	411.634000	6607/6	0	100	\N	\N	NO	97557	RWE-DEA NORGE	RWE Dea Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820804	NO	22820804
695	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	271.333000	7018/3	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820851	NO	22820851
695	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	2	182.079000	7018/6	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820851	NO	22820851
695	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	3	136.461000	7019/1	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820851	NO	22820851
696	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	1	283.231000	7020/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820904	NO	22820904
696	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	2	226.362000	7020/2	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820904	NO	22820904
696	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	3	169.609000	7020/3	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820904	NO	22820904
696	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	4	112.976000	7021/1	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820904	NO	22820904
696	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	5	112.436000	7120/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820904	NO	22820904
696	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	6	112.436000	7120/12	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820904	NO	22820904
696	ACTIVE	ACTIVE	2013-02-08	2021-02-08	2013-02-08	9999-12-31	7	112.436000	7121/10	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22820904	NO	22820904
697	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	166.452000	7122/10	0	100	\N	\N	NO	2388594	ENI NORGE	Eni Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821005	NO	22821005
698	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	1	460.665000	6304/6	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821040	NO	22821040
698	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	2	123.525000	6304/9	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821040	NO	22821040
698	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	3	244.039000	6305/1	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821040	NO	22821040
698	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	4	313.209000	6305/4	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821040	NO	22821040
698	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	5	86.473000	6305/7	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821040	NO	22821040
699	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	1	341.167000	6304/9	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821109	NO	22821109
699	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	3	468.712000	6305/10	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821109	NO	22821109
699	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	4	468.712000	6305/11	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821109	NO	22821109
699	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	2	237.260000	6305/7	0	100	\N	\N	NO	562	SHELL NORGE	A/S Norske Shell	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821109	NO	22821109
700	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	1	256.643000	6406/11	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821177	NO	22821177
700	ACTIVE	ACTIVE	2013-02-08	2020-02-08	2013-02-08	9999-12-31	2	43.664000	6406/12	0	100	\N	\N	NO	2767314	LUNDIN NORWAY	Lundin Norway AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=22821177	NO	22821177
701	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	2	42.103000	6406/11	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23180841	NO	23180841
701	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	3	197.209000	6406/12	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23180841	NO	23180841
701	ACTIVE	ACTIVE	2013-02-08	2019-02-08	2013-02-08	9999-12-31	1	179.898000	6406/9	0	100	\N	\N	NO	4530695	NORECO ASA	Norwegian Energy Company ASA	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23180841	NO	23180841
591 B	ACTIVE	ACTIVE	2013-02-08	2017-02-04	2013-02-08	9999-12-31	1	27.072000	6507/8	0	100	\N	\N	NO	23173852	TULLOW OIL NORGE	Tullow Oil Norge AS	TFO2012	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23180930	NO	23180930
090 F	ACTIVE	ACTIVE	2013-01-22	2024-03-09	2013-01-22	9999-12-31	1	21.046000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23268186	NO	23268186
090 G	ACTIVE	ACTIVE	2013-01-22	2024-03-09	2013-01-22	9999-12-31	1	4.485000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23268222	NO	23268222
090 HS	ACTIVE	ACTIVE	2013-04-09	2024-02-19	2013-04-09	9999-12-31	1	21.663000	35/11	50	100	All levels except the Brent group which remains in PL 090 C.	Alle nivåer unntatt Brentgruppen (Tarbert, Ness, Etive, Rannoch og Oseberg formasjonene) som forblir i utv till 090 C.	YES	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 8	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23297006	YES	23297006
248 C	ACTIVE	ACTIVE	2013-04-09	2035-06-04	2013-04-09	9999-12-31	1	84.896000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 15 X	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23297103	NO	23297103
248 C	ACTIVE	ACTIVE	2013-04-09	2035-06-04	2013-04-09	9999-12-31	2	90.162000	35/11	0	100	\N	\N	NO	17237817	STATOIL PETROLEUM AS	Statoil Petroleum AS	Awarded additionaly to round 15 X	http://factpages.npd.no/FactPages/default.aspx?nav1=licence&nav2=PageView|All&nav3=23297103	NO	23297103
\.



COPY seaarea (seasurveyname, seanpdidsurvey, seafactmapurl, seafactpageurl, seastatus, seageographicalarea, seamarketavailable, seasurveytypemain, seasurveytypepart, seacompanyreported, seasourcetype, seasourcenumber, seasourcesize, seasourcepressure, seasensortype, seasensornumbers, seasensorlength, seaplanfromdate, seadatestarting, seaplantodate, seadatefinalized, seaplancdpkm, seacdptotalkm, seaplanboatkm, seaboattotalkm, sea3dkm2, seapolygonkind, seaarea_id) FROM stdin;
MNR09	7001	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7001	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7001	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	UNKNOWN	5869 Cu. Inc	Kabler	1	10000	2009-04-06	9999-12-31	2010-01-31	2009-12-05	13000	20229	13000	20229	\N	Område inkludert snuområde	1
LN0901	7003	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7003	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7003	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	3400	3400 cu.in.	Kabler	8	6000 m	2009-04-20	2009-04-20	2009-05-31	2009-05-15	7580	11314	550	787	\N	Område unntatt snuområde	2
LN0901	7003	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7003	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7003	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	3400	3400 cu.in.	Kabler	8	6000 m	2009-04-20	2009-04-20	2009-05-31	2009-05-15	7580	11314	550	787	\N	Område inkludert snuområde	3
LN0902	7004	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7004	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7004	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	\N	Lundin Norway AS	Seismisk kilde	2	3090 cu.in	2000 psi	Kabler	6	5100	2009-04-01	2009-04-01	2009-07-01	2009-06-20	66415	66432	5535	5536	\N	Område unntatt snuområde	4
LN0902	7004	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7004	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7004	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	\N	Lundin Norway AS	Seismisk kilde	2	3090 cu.in	2000 psi	Kabler	6	5100	2009-04-01	2009-04-01	2009-07-01	2009-06-20	66415	66432	5535	5536	\N	Område inkludert snuområde	5
NX0901	7005	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7005	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7005	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Nexen Exploration Norge AS	Seismisk kilde	2	4740 cu/inches	UNKNOWN	Kabler	10	6000	2009-06-09	2009-06-09	2009-07-30	2009-07-02	47240	49119	2651	2456	\N	Område inkludert snuområde	6
NX0901	7005	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7005	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7005	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Nexen Exploration Norge AS	Seismisk kilde	2	4740 cu/inches	UNKNOWN	Kabler	10	6000	2009-06-09	2009-06-09	2009-07-30	2009-07-02	47240	49119	2651	2456	\N	Område unntatt snuområde	7
NX0902	7006	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7006	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7006	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Nexen Exploration Norge AS	Seismisk kilde	2	UNKNOWN	4740 cu/inches	Kabler	10	6000	2009-05-31	2009-05-30	2009-06-09	2009-07-14	7200	7858	441	392	\N	Område inkludert snuområde	8
NX0902	7006	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7006	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7006	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Nexen Exploration Norge AS	Seismisk kilde	2	UNKNOWN	4740 cu/inches	Kabler	10	6000	2009-05-31	2009-05-30	2009-06-09	2009-07-14	7200	7858	441	392	\N	Område unntatt snuområde	9
MC3D-SBS2009	7008	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7008	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7008	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	6	6000	3090	Kabler	6	6000	2009-04-15	9999-12-31	2009-06-15	2009-07-16	7000	48271	1000	4023	\N	Område inkludert snuområde	10
MC3D-SBS2009	7008	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7008	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7008	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	6	6000	3090	Kabler	6	6000	2009-04-15	9999-12-31	2009-06-15	2009-07-16	7000	48271	1000	4023	\N	Område unntatt snuområde	11
ST09001	7010	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7010	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7010	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	StatoilHydro ASA	Seismisk kilde	1	5485	2000 psi	Kabler	12	3600	2009-07-01	2009-06-29	2009-10-15	2009-10-05	46092	39828	3841	3319	\N	Område unntatt snuområde	12
ST09001	7010	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7010	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7010	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	StatoilHydro ASA	Seismisk kilde	1	5485	2000 psi	Kabler	12	3600	2009-07-01	2009-06-29	2009-10-15	2009-10-05	46092	39828	3841	3319	\N	Område inkludert snuområde	13
WIN0901	7015	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7015	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7015	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Wintershall Norge AS (old)	Seismisk kilde	2	UNKNOWN	4360 cuin pr. kilde	Kabler	6	4500	2009-05-08	2009-05-15	2009-07-04	2009-06-16	14700	13223	1230	1102	\N	Område unntatt snuområde	14
WIN0901	7015	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7015	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7015	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Wintershall Norge AS (old)	Seismisk kilde	2	UNKNOWN	4360 cuin pr. kilde	Kabler	6	4500	2009-05-08	2009-05-15	2009-07-04	2009-06-16	14700	13223	1230	1102	\N	Område inkludert snuområde	15
WIN0902	7016	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7016	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7016	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	\N	Wintershall Norge ASA	Seismisk kilde	2	3990 cuin	2000 psi	Kabler	1	18km	2009-06-01	2009-07-13	2009-08-31	2009-07-22	84	84	84	84	\N	Område unntatt snuområde	16
WIN0902	7016	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7016	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7016	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	\N	Wintershall Norge ASA	Seismisk kilde	2	3990 cuin	2000 psi	Kabler	1	18km	2009-06-01	2009-07-13	2009-08-31	2009-07-22	84	84	84	84	\N	Område inkludert snuområde	17
LN0955	7017	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7017	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7017	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	Seismisk kilde	6	UNKNOWN	140 cu.inc	Kabler	1	1200	2009-06-15	2009-06-19	2009-06-29	2009-06-24	160	121	160	121	\N	Område inkludert snuområde	18
LN0955	7017	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7017	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7017	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	Seismisk kilde	6	UNKNOWN	140 cu.inc	Kabler	1	1200	2009-06-15	2009-06-19	2009-06-29	2009-06-24	160	121	160	121	\N	Område unntatt snuområde	19
EMGS1008	7261	\N	\N	Avlyst	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120wW	UNKNOWN	Noder	200	UNKNOWN	2010-05-26	9999-12-31	2010-07-27	9999-12-31	520	\N	520	\N	526.350000	Område unntatt snuområde	430
LN0956	7018	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7018	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7018	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	Seismisk kilde	6	140 cu.inch	140 cu.inc	Kabler	1	1200	2009-06-15	2009-06-25	2009-06-29	2009-06-30	130	129	130	129	\N	Område inkludert snuområde	20
LN0956	7018	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7018	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7018	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	Seismisk kilde	6	140 cu.inch	140 cu.inc	Kabler	1	1200	2009-06-15	2009-06-25	2009-06-29	2009-06-30	130	129	130	129	\N	Område unntatt snuområde	21
ST0893	7019	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7019	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7019	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	160	UNKNOWN	Kabler	1	1200	2009-05-01	2009-06-08	2009-06-29	2009-06-17	92	67	92	67	\N	Område unntatt snuområde	22
ST0893	7019	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7019	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7019	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	160	UNKNOWN	Kabler	1	1200	2009-05-01	2009-06-08	2009-06-29	2009-06-17	92	67	92	67	\N	Område inkludert snuområde	23
ST09301	7020	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7020	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7020	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	1	1200	2009-01-02	2009-05-17	2009-06-09	2009-05-23	420	145	420	145	\N	Område unntatt snuområde	24
ST09301	7020	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7020	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7020	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	1	1200	2009-01-02	2009-05-17	2009-06-09	2009-05-23	420	145	420	145	\N	Område inkludert snuområde	25
ST09302	7021	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7021	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7021	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	40	4 x 40	Kabler	1	1200	2009-04-17	2009-04-17	2009-05-20	2009-05-12	132	125	132	125	\N	Område inkludert snuområde	26
ST09302	7021	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7021	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7021	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	40	4 x 40	Kabler	1	1200	2009-04-17	2009-04-17	2009-05-20	2009-05-12	132	125	132	125	\N	Område unntatt snuområde	27
ST09304	7022	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7022	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7022	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	1	1200	2009-05-15	2009-05-15	2009-07-15	2009-05-16	40	45	40	45	\N	Område inkludert snuområde	28
ST09304	7022	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7022	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7022	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	1	1200	2009-05-15	2009-05-15	2009-07-15	2009-05-16	40	45	40	45	\N	Område unntatt snuområde	29
ST09307	7023	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7023	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7023	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	1	1200	2009-06-15	2009-07-07	2009-08-15	2009-07-17	200	202	200	202	\N	Område unntatt snuområde	30
ST09307	7023	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7023	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7023	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	1	1200	2009-06-15	2009-07-07	2009-08-15	2009-07-17	200	202	200	202	\N	Område inkludert snuområde	31
ST09309	7024	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7024	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7024	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	24	25	2009-04-29	2009-05-11	2009-05-15	2009-05-14	1200	\N	50	\N	\N	Område unntatt snuområde	32
ST09309	7024	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7024	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7024	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	24	25	2009-04-29	2009-05-11	2009-05-15	2009-05-14	1200	\N	50	\N	\N	Område inkludert snuområde	33
ST09310	7025	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7025	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7025	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	24	25	2009-05-20	2009-05-24	2009-07-31	2009-07-29	76800	33072	3200	1378	\N	Område unntatt snuområde	34
ST09310	7025	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7025	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7025	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	24	25	2009-05-20	2009-05-24	2009-07-31	2009-07-29	76800	33072	3200	1378	\N	Område inkludert snuområde	35
ST09312	7026	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7026	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7026	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	1	1200	2009-05-15	2009-05-23	2009-08-15	2009-06-15	200	290	200	290	\N	Område unntatt snuområde	36
ST09312	7026	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7026	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7026	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	1	1200	2009-05-15	2009-05-23	2009-08-15	2009-06-15	200	290	200	290	\N	Område inkludert snuområde	37
ST09313	7027	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7027	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7027	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	1	1200	2009-05-15	2009-06-17	2009-08-15	2009-06-29	200	187	200	187	\N	Område inkludert snuområde	38
ST09313	7027	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7027	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7027	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4 x 40	UNKNOWN	Kabler	1	1200	2009-05-15	2009-06-17	2009-08-15	2009-06-29	200	187	200	187	\N	Område unntatt snuområde	39
ST09318	7028	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7028	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7028	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4x40	UNKNOWN	Kabler	1	1200	2009-06-15	2009-06-15	2009-08-15	2009-06-16	150	65	150	65	\N	Område unntatt snuområde	40
ST09318	7028	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7028	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7028	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	Seismisk kilde	1	4x40	UNKNOWN	Kabler	1	1200	2009-06-15	2009-06-15	2009-08-15	2009-06-16	150	65	150	65	\N	Område inkludert snuområde	41
WIN0903	7029	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7029	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7029	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Wintershall Norge ASA	Seismisk kilde	1	160 cuin	2000psi	Kabler	1	1200	2009-05-01	2009-06-11	2009-07-31	2009-06-18	220	256	220	256	\N	Område unntatt snuområde	42
WIN0903	7029	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7029	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7029	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Wintershall Norge ASA	Seismisk kilde	1	160 cuin	2000psi	Kabler	1	1200	2009-05-01	2009-06-11	2009-07-31	2009-06-18	220	256	220	256	\N	Område inkludert snuområde	43
WIN0904	7030	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7030	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7030	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Wintershall Norge ASA	Seismisk kilde	1	160 cuin	2000psi	Kabler	1	1200	2009-05-22	2009-06-19	2009-07-31	2009-06-24	220	220	220	220	\N	Område unntatt snuområde	44
WIN0904	7030	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7030	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7030	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Wintershall Norge ASA	Seismisk kilde	1	160 cuin	2000psi	Kabler	1	1200	2009-05-22	2009-06-19	2009-07-31	2009-06-24	220	220	220	220	\N	Område inkludert snuområde	45
BP083D004	7035	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7035	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7035	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	\N	BP Norge AS	Seismisk kilde	1	3990	UNKNOWN	Kabler	7	6000	2009-05-01	2009-05-05	2009-07-31	2009-06-21	650	2413	10000	516	\N	Område inkludert snuområde	46
BP083D004	7035	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7035	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7035	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	\N	BP Norge AS	Seismisk kilde	1	3990	UNKNOWN	Kabler	7	6000	2009-05-01	2009-05-05	2009-07-31	2009-06-21	650	2413	10000	516	\N	Område unntatt snuområde	47
CGGV0902	7036	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7036	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7036	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	Seismisk kilde	2	4840 cu/in	UNKNOWN	Kabler	10	6000	2009-07-28	2009-08-23	2009-09-14	2009-09-02	2000	2687	125	134	\N	Område unntatt snuområde	48
CGGV0902	7036	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7036	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7036	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	Seismisk kilde	2	4840 cu/in	UNKNOWN	Kabler	10	6000	2009-07-28	2009-08-23	2009-09-14	2009-09-02	2000	2687	125	134	\N	Område inkludert snuområde	49
CGGV0903	7037	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7037	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7037	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	Seismisk kilde	2	4840 cu.in,	UNKNOWN	Kabler	10	6000	2009-08-22	2009-08-27	2009-10-14	2009-09-11	545	7237	8720	724	\N	Område inkludert snuområde	50
CGGV0903	7037	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7037	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7037	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	Seismisk kilde	2	4840 cu.in,	UNKNOWN	Kabler	10	6000	2009-08-22	2009-08-27	2009-10-14	2009-09-11	545	7237	8720	724	\N	Område unntatt snuområde	51
SH0901	7038	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7038	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7038	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	3380 cu.in.	UNKNOWN	Kabler	6	5.1 km	2009-06-20	2009-06-21	2009-08-10	2009-07-24	11672	16884	1459	1407	\N	Område unntatt snuområde	52
SH0901	7038	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7038	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7038	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	3380 cu.in.	UNKNOWN	Kabler	6	5.1 km	2009-06-20	2009-06-21	2009-08-10	2009-07-24	11672	16884	1459	1407	\N	Område inkludert snuområde	53
SH0902	7039	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7039	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7039	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	3380 cu.in.	UNKNOWN	Kabler	6	5,1 km	2009-07-15	2009-07-26	2009-08-31	2009-08-10	7584	7512	632	626	\N	Område unntatt snuområde	54
SH0902	7039	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7039	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7039	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	3380 cu.in.	UNKNOWN	Kabler	6	5,1 km	2009-07-15	2009-07-26	2009-08-31	2009-08-10	7584	7512	632	626	\N	Område inkludert snuområde	55
Pierce09	7040	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7040	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7040	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	2510 cu.inch	UNKNOWN	Kabler	8	5400	2009-05-20	2009-06-02	2009-07-15	2009-07-01	140	2700	140	178	\N	Område inkludert snuområde	56
Pierce09	7040	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7040	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7040	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	2510 cu.inch	UNKNOWN	Kabler	8	5400	2009-05-20	2009-06-02	2009-07-15	2009-07-01	140	2700	140	178	\N	Område unntatt snuområde	57
BG0901	7041	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7041	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7041	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	BG Norge AS	Seismisk kilde	4	40 cu.in.	UNKNOWN	Kabler	1	1200	2009-04-17	2009-04-17	2009-07-01	2009-06-30	1400	1452	1400	1452	\N	Område unntatt snuområde	58
PM 01-2010	7297	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2010-07-25	9999-12-31	2010-08-25	9999-12-31	\N	\N	30	\N	\N	Område inkludert snuområde	494
BG0901	7041	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7041	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7041	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	BG Norge AS	Seismisk kilde	4	40 cu.in.	UNKNOWN	Kabler	1	1200	2009-04-17	2009-04-17	2009-07-01	2009-06-30	1400	1452	1400	1452	\N	Område inkludert snuområde	59
BG0902	7042	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7042	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7042	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	BG Norge AS	Seismisk kilde	4	40 cu.in.	UNKNOWN	Kabler	1	1200	2009-04-17	2009-04-17	2009-06-15	2009-06-20	70	77	70	77	\N	Område unntatt snuområde	60
BG0902	7042	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7042	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7042	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	BG Norge AS	Seismisk kilde	4	40 cu.in.	UNKNOWN	Kabler	1	1200	2009-04-17	2009-04-17	2009-06-15	2009-06-20	70	77	70	77	\N	Område inkludert snuområde	61
BG0903	7043	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7043	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7043	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	BG Norge AS	Seismisk kilde	4	40 cu.in	UNKNOWN	Kabler	1	1200	2009-05-20	2009-06-12	2009-06-15	2009-06-28	700	700	700	700	\N	Område inkludert snuområde	62
BG0903	7043	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7043	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7043	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	BG Norge AS	Seismisk kilde	4	40 cu.in	UNKNOWN	Kabler	1	1200	2009-05-20	2009-06-12	2009-06-15	2009-06-28	700	700	700	700	\N	Område unntatt snuområde	63
DN0902	7044	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7044	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7044	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	Det norske oljeselskap ASA (old)	Seismisk kilde	2	3460 cu.in.	UNKNOWN	Kabler	8	5000	2009-05-22	2009-05-22	2009-07-22	2009-07-14	540	29403	1950	1716	\N	Område inkludert snuområde	64
DN0902	7044	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7044	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7044	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	Det norske oljeselskap ASA (old)	Seismisk kilde	2	3460 cu.in.	UNKNOWN	Kabler	8	5000	2009-05-22	2009-05-22	2009-07-22	2009-07-14	540	29403	1950	1716	\N	Område unntatt snuområde	65
DP0901	7045	\N	\N	Avlyst	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	Discover Petroleum AS	Seismisk kilde	Dual	2x4000 cu.in.	@2000 psi	Kabler	8	7000	2009-05-15	9999-12-31	2009-07-01	9999-12-31	\N	\N	1500	\N	\N	Område inkludert snuområde	66
DP0901	7045	\N	\N	Avlyst	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	Discover Petroleum AS	Seismisk kilde	Dual	2x4000 cu.in.	@2000 psi	Kabler	8	7000	2009-05-15	9999-12-31	2009-07-01	9999-12-31	\N	\N	1500	\N	\N	Område unntatt snuområde	67
DP0902	7046	\N	\N	Avlyst	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2500 ampere	UNKNOWN	Noder	4	500	2009-04-23	9999-12-31	2009-05-31	9999-12-31	15	\N	15	\N	\N	Område inkludert snuområde	68
DP0902	7046	\N	\N	Avlyst	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2500 ampere	UNKNOWN	Noder	4	500	2009-04-23	9999-12-31	2009-05-31	9999-12-31	15	\N	15	\N	\N	Område unntatt snuområde	69
DP0903	7047	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7047	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7047	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2500 ampere	UNKNOWN	Noder	4	500	2009-04-28	2009-05-24	2009-06-10	2009-06-10	10	9	10	9	\N	Område inkludert snuområde	70
DP0903	7047	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7047	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7047	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2500 ampere	UNKNOWN	Noder	4	500	2009-04-28	2009-05-24	2009-06-10	2009-06-10	10	9	10	9	\N	Område unntatt snuområde	71
DP0904	7048	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7048	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7048	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2500 ampere	UNKNOWN	Noder	4	500	2009-05-01	2009-06-03	2009-06-30	2009-06-22	10	25	10	25	\N	Område inkludert snuområde	72
DP0904	7048	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7048	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7048	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2500 ampere	UNKNOWN	Noder	4	500	2009-05-01	2009-06-03	2009-06-30	2009-06-22	10	25	10	25	\N	Område unntatt snuområde	73
DP0905	7049	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7049	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7049	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2*2500 ampere, 200-300 kW	UNKNOWN	Noder	4	10	2009-06-25	2009-07-03	2009-08-15	2009-07-20	20	23	20	23	\N	Område unntatt snuområde	74
DP0905	7049	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7049	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7049	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2*2500 ampere, 200-300 kW	UNKNOWN	Noder	4	10	2009-06-25	2009-07-03	2009-08-15	2009-07-20	20	23	20	23	\N	Område inkludert snuområde	75
DP0906	7050	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7050	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7050	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2500 ampere	UNKNOWN	Noder	4	500	2009-06-15	2009-06-22	2009-08-15	2009-07-19	40	23	40	23	\N	Område inkludert snuområde	76
DP0906	7050	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7050	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7050	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2500 ampere	UNKNOWN	Noder	4	500	2009-06-15	2009-06-22	2009-08-15	2009-07-19	40	23	40	23	\N	Område unntatt snuområde	77
DP0907	7051	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7051	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7051	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2500 ampere	UNKNOWN	Noder	4	500	2009-05-15	2009-05-20	2009-06-30	2009-05-24	20	2	20	2	\N	Område inkludert snuområde	78
DP0907	7051	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7051	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7051	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2500 ampere	UNKNOWN	Noder	4	500	2009-05-15	2009-05-20	2009-06-30	2009-05-24	20	2	20	2	\N	Område unntatt snuområde	79
DP0908	7052	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7052	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7052	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2* 2500 ampere, 200-300 kW	\N	Noder	4	\N	2009-06-20	2009-07-13	2009-08-15	2009-07-26	30	15	30	15	\N	Område unntatt snuområde	80
DP0908	7052	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7052	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7052	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2* 2500 ampere, 200-300 kW	\N	Noder	4	\N	2009-06-20	2009-07-13	2009-08-15	2009-07-26	30	15	30	15	\N	Område inkludert snuområde	81
DG0901	7053	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7053	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7053	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	DONG E&P Norge AS	Seismisk kilde	2	2820 cu.in.	UNKNOWN	Kabler	14	4500	2009-05-18	2009-05-18	2009-06-26	2009-06-23	50064	60088	1788	2146	\N	Område inkludert snuområde	82
DG0901	7053	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7053	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7053	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	DONG E&P Norge AS	Seismisk kilde	2	2820 cu.in.	UNKNOWN	Kabler	14	4500	2009-05-18	2009-05-18	2009-06-26	2009-06-23	50064	60088	1788	2146	\N	Område unntatt snuområde	83
PON0901	7054	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7054	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7054	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	\N	Premier Oil Norge AS	Seismisk kilde	4	160	2000	Kabler	1	1200	2009-05-18	2009-05-22	2009-06-18	2009-05-30	52	52	250	250	\N	Område unntatt snuområde	84
PON0901	7054	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7054	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7054	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	\N	Premier Oil Norge AS	Seismisk kilde	4	160	2000	Kabler	1	1200	2009-05-18	2009-05-22	2009-06-18	2009-05-30	52	52	250	250	\N	Område inkludert snuområde	85
PGS0902	7055	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7055	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7055	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	3	6000	3090	Kabler	6	4500	2009-05-15	2009-05-20	2009-06-30	2009-07-14	37488	77017	3124	6418	\N	Område unntatt snuområde	86
PGS0902	7055	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7055	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7055	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	3	6000	3090	Kabler	6	4500	2009-05-15	2009-05-20	2009-06-30	2009-07-14	37488	77017	3124	6418	\N	Område inkludert snuområde	87
PGS0903	7056	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7056	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7056	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	6	6000	2000psi	Kabler	6	6000	2009-06-15	2009-06-26	2009-10-15	2009-07-23	100	32335	100	2694	\N	Område unntatt snuområde	88
PGS0903	7056	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7056	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7056	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	6	6000	2000psi	Kabler	6	6000	2009-06-15	2009-06-26	2009-10-15	2009-07-23	100	32335	100	2694	\N	Område inkludert snuområde	89
WG0901	7057	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7057	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7057	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	UNKNOWN	3147 ci in	Kabler	8	5200	2009-05-20	2009-06-03	2009-10-15	2009-10-08	98726	146374	6175	7417	\N	Område inkludert snuområde	90
WG0901	7057	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7057	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7057	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	UNKNOWN	3147 ci in	Kabler	8	5200	2009-05-20	2009-06-03	2009-10-15	2009-10-08	98726	146374	6175	7417	\N	Område unntatt snuområde	91
WG0902	7058	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	UNKNOWN	3147 cu in	Kabler	8	5200	2009-08-01	9999-12-31	2009-09-15	9999-12-31	83650	\N	5230	\N	\N	Område unntatt snuområde	92
WG0902	7058	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	UNKNOWN	3147 cu in	Kabler	8	5200	2009-08-01	9999-12-31	2009-09-15	9999-12-31	83650	\N	5230	\N	\N	Område inkludert snuområde	93
WG0903	7059	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	3147 cu in	3147	Kabler	10	8000	2009-08-01	9999-12-31	2009-10-15	9999-12-31	120000	\N	7000	\N	\N	Område unntatt snuområde	94
WG0903	7059	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	3147 cu in	3147	Kabler	10	8000	2009-08-01	9999-12-31	2009-10-15	9999-12-31	120000	\N	7000	\N	\N	Område inkludert snuområde	95
TGS0901	7060	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7060	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7060	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	UNKNOWN	3400 cu.inc	Kabler	8	6000	2009-05-01	2009-06-02	2009-11-01	2009-10-11	176000	142003	11000	8901	\N	Område unntatt snuområde	96
TGS0901	7060	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7060	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7060	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	UNKNOWN	3400 cu.inc	Kabler	8	6000	2009-05-01	2009-06-02	2009-11-01	2009-10-11	176000	142003	11000	8901	\N	Område inkludert snuområde	97
FMCS0904	7061	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	0	5100 cu.in.	Kabler	10	8000	2009-04-15	9999-12-31	2009-06-30	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	98
FMCS0904	7061	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	0	5100 cu.in.	Kabler	10	8000	2009-04-15	9999-12-31	2009-06-30	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	99
DN0904	7062	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7062	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7062	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	150 cu. in.	UNKNOWN	Kabler	1	2400	2009-07-01	2009-07-04	2009-08-15	2009-07-18	600	970	600	970	\N	Område inkludert snuområde	100
ST09314	7063	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7063	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7063	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-05-02	2009-05-11	2009-06-02	2009-05-13	\N	\N	\N	\N	\N	Område unntatt snuområde	101
ST09314	7063	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7063	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7063	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-05-02	2009-05-11	2009-06-02	2009-05-13	\N	\N	\N	\N	\N	Område inkludert snuområde	102
CoPh0901	7064	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7064	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7064	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	ConocoPhillips Norge	Seismisk kilde	4	4 x 40 cu. in. total 160 cu.in.	UNKNOWN	Kabler	1	600	2009-05-14	2009-05-18	2009-05-31	2009-05-23	140	122	140	122	\N	Område inkludert snuområde	103
CoPh0901	7064	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7064	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7064	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	ConocoPhillips Norge	Seismisk kilde	4	4 x 40 cu. in. total 160 cu.in.	UNKNOWN	Kabler	1	600	2009-05-14	2009-05-18	2009-05-31	2009-05-23	140	122	140	122	\N	Område unntatt snuområde	104
ST09251	7065	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7065	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7065	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	\N	StatoilHydro ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-06-01	2009-06-01	2009-07-10	2009-07-05	\N	\N	\N	\N	\N	Område inkludert snuområde	105
ST09251	7065	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7065	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7065	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	\N	StatoilHydro ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-06-01	2009-06-01	2009-07-10	2009-07-05	\N	\N	\N	\N	\N	Område unntatt snuområde	106
DN0903	7068	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7068	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7068	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	150 cu.in	UNKNOWN	Kabler	1	1200	2009-05-20	2009-06-05	2009-06-28	2009-06-14	150	354	150	354	\N	Område inkludert snuområde	107
PGS0904	7069	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7069	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7069	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	Elektromagnetisk kilde	1	120 Kw	\N	Kabler	1	3000 meter	2009-06-15	2009-06-22	2009-08-15	2009-06-27	35	250	500	360	\N	Område inkludert snuområde	108
PGS0904	7069	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7069	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7069	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	Elektromagnetisk kilde	1	120 Kw	\N	Kabler	1	3000 meter	2009-06-15	2009-06-22	2009-08-15	2009-06-27	35	250	500	360	\N	Område unntatt snuområde	109
EN0901	7070	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7070	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7070	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	Eni Norge AS	Seismisk kilde	1	3147 cu. in.	2000 psi	Kabler	6	4000	2009-06-18	2009-06-19	2009-09-30	2009-09-16	34000	30727	3400	3153	\N	Område unntatt snuområde	110
EN0901	7070	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7070	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7070	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	Eni Norge AS	Seismisk kilde	1	3147 cu. in.	2000 psi	Kabler	6	4000	2009-06-18	2009-06-19	2009-09-30	2009-09-16	34000	30727	3400	3153	\N	Område inkludert snuområde	111
ST09452	7071	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7071	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7071	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-06-20	2009-06-20	2009-07-31	2009-07-03	\N	\N	\N	\N	\N	Område inkludert snuområde	112
ST09452	7071	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7071	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7071	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-06-20	2009-06-20	2009-07-31	2009-07-03	\N	\N	\N	\N	\N	Område unntatt snuområde	113
ST09002	7072	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7072	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7072	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	StatoilHydro ASA	Seismisk kilde	1	3090 cu in.	2000 psi	Kabler	12	2400	2009-07-10	2009-07-17	2009-09-15	2009-08-12	10776	7305	449	608	\N	Område inkludert snuområde	114
ST09002	7072	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7072	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7072	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	StatoilHydro ASA	Seismisk kilde	1	3090 cu in.	2000 psi	Kabler	12	2400	2009-07-10	2009-07-17	2009-09-15	2009-08-12	10776	7305	449	608	\N	Område unntatt snuområde	115
TGS0902	7073	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7073	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7073	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	4100 cu.inch	2000 psi	Kabler	1	8000 m	2009-05-23	2009-05-25	2009-11-01	2009-09-23	9000	3301	9000	3301	\N	Område inkludert snuområde	116
BG0904	7074	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7074	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7074	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	BG Norge AS	Seismisk kilde	1	5085 cu.in	2000 PSI	Kabler	8	5200m	2009-07-01	2009-07-01	2009-09-15	2009-08-25	55398	56768	3462	3548	\N	Område inkludert snuområde	117
BG0904	7074	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7074	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7074	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	BG Norge AS	Seismisk kilde	1	5085 cu.in	2000 PSI	Kabler	8	5200m	2009-07-01	2009-07-01	2009-09-15	2009-08-25	55398	56768	3462	3548	\N	Område unntatt snuområde	118
MCG0901	7075	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7075	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7075	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	32	4258	4258	Kabler	1	8100	2009-05-25	2009-07-12	2009-08-30	2009-09-01	3250	3515	3250	3515	\N	Område inkludert snuområde	119
OD0902	7076	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7076	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7076	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	Oljedirektoratet	Seismisk kilde	2	3500 cu.in.	2000 psi	Kabler	8	6000	2009-06-29	2009-06-29	2009-08-10	2009-08-06	48000	63236	3000	3952	\N	Område inkludert snuområde	120
OD0902	7076	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7076	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7076	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	Oljedirektoratet	Seismisk kilde	2	3500 cu.in.	2000 psi	Kabler	8	6000	2009-06-29	2009-06-29	2009-08-10	2009-08-06	48000	63236	3000	3952	\N	Område unntatt snuområde	121
OD0901	7077	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7077	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7077	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	Oljedirektoratet	Seismisk kilde	2	3090 kubikktommer	2000 psi	Kabler	6	6000 m	2009-06-29	2009-06-30	2009-08-10	2009-08-02	38000	47616	3200	3968	\N	Område inkludert snuområde	122
OD0901	7077	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7077	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7077	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	Oljedirektoratet	Seismisk kilde	2	3090 kubikktommer	2000 psi	Kabler	6	6000 m	2009-06-29	2009-06-30	2009-08-10	2009-08-02	38000	47616	3200	3968	\N	Område unntatt snuområde	123
ST09253	7078	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7078	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7078	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro Petroleum AS	\N	0	0	0	UNKNOWN	1	1	2009-07-06	2009-07-06	2009-07-11	2009-07-13	\N	\N	\N	\N	\N	Område unntatt snuområde	124
ST09253	7078	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7078	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7078	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro Petroleum AS	\N	0	0	0	UNKNOWN	1	1	2009-07-06	2009-07-06	2009-07-11	2009-07-13	\N	\N	\N	\N	\N	Område inkludert snuområde	125
OD0903	7079	\N	\N	Avlyst	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Oljedirektoratet	Elektromagnetisk kilde	1	250-300 meter	ca. 120kW	Noder	ca 85	UNKNOWN	2009-06-29	9999-12-31	2009-08-10	9999-12-31	\N	\N	350	\N	\N	Område unntatt snuområde	126
OD0903	7079	\N	\N	Avlyst	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Oljedirektoratet	Elektromagnetisk kilde	1	250-300 meter	ca. 120kW	Noder	ca 85	UNKNOWN	2009-06-29	9999-12-31	2009-08-10	9999-12-31	\N	\N	350	\N	\N	Område inkludert snuområde	127
ST09453	7080	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7080	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7080	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	Ikkje relevant	Ikkje relevant	Ikkje relevant	UNKNOWN	Ikkje relevant	0	2009-06-29	2009-07-06	2009-07-31	2009-07-09	\N	\N	\N	\N	\N	Område inkludert snuområde	128
ST09453	7080	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7080	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7080	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	Ikkje relevant	Ikkje relevant	Ikkje relevant	UNKNOWN	Ikkje relevant	0	2009-06-29	2009-07-06	2009-07-31	2009-07-09	\N	\N	\N	\N	\N	Område unntatt snuområde	129
DN0906	7083	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7083	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7083	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2009-08-11	2009-09-06	2009-09-20	2009-09-11	130	160	130	160	\N	Område inkludert snuområde	130
DN0907	7084	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7084	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7084	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2009-08-11	2009-08-19	2009-09-10	2009-09-03	70	84	70	84	\N	Område inkludert snuområde	131
PGS0905	7085	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7085	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7085	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	4D	PGS Geophysical AS	Seismisk kilde	2	3090	2000	Kabler	6	5100	2009-06-20	2009-06-20	2009-07-07	2009-06-23	3600	1448	300	120	\N	Område unntatt snuområde	132
PGS0905	7085	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7085	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7085	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	4D	PGS Geophysical AS	Seismisk kilde	2	3090	2000	Kabler	6	5100	2009-06-20	2009-06-20	2009-07-07	2009-06-23	3600	1448	300	120	\N	Område inkludert snuområde	133
OD0904	7086	\N	\N	Avlyst	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Oljedirektoratet	Elektromagnetisk kilde	1	250 - 300 meter (lengde)	ca. 120kW (effekt)	Noder	ca. 60	UNKNOWN	2009-06-29	9999-12-31	2009-08-10	9999-12-31	\N	\N	100	\N	\N	Område unntatt snuområde	134
OD0904	7086	\N	\N	Avlyst	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Oljedirektoratet	Elektromagnetisk kilde	1	250 - 300 meter (lengde)	ca. 120kW (effekt)	Noder	ca. 60	UNKNOWN	2009-06-29	9999-12-31	2009-08-10	9999-12-31	\N	\N	100	\N	\N	Område inkludert snuområde	135
EO0901	7087	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7087	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7087	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	E.ON Ruhrgas Norge AS	Seismisk kilde	2	4450 cu. inch	2000 PSI	Kabler	10	6000	2009-07-03	2009-07-06	2009-07-31	2009-07-25	13244	22283	662	1113	\N	Område unntatt snuområde	136
EO0901	7087	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7087	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7087	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	E.ON Ruhrgas Norge AS	Seismisk kilde	2	4450 cu. inch	2000 PSI	Kabler	10	6000	2009-07-03	2009-07-06	2009-07-31	2009-07-25	13244	22283	662	1113	\N	Område inkludert snuområde	137
ST09252	7088	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7088	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7088	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro Petroleum AS	\N	0	0	0	UNKNOWN	1	1	2009-07-06	2009-07-06	2009-07-11	2009-07-21	\N	\N	\N	\N	\N	Område inkludert snuområde	138
ST09252	7088	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7088	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7088	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro Petroleum AS	\N	0	0	0	UNKNOWN	1	1	2009-07-06	2009-07-06	2009-07-11	2009-07-21	\N	\N	\N	\N	\N	Område unntatt snuområde	139
ST09454	7089	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7089	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7089	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro Petroleum AS	\N	0	0	0	UNKNOWN	\N	0	2009-07-03	2009-07-12	2009-07-31	2009-07-19	\N	\N	\N	\N	\N	Område inkludert snuområde	140
ST09454	7089	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7089	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7089	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro Petroleum AS	\N	0	0	0	UNKNOWN	\N	0	2009-07-03	2009-07-12	2009-07-31	2009-07-19	\N	\N	\N	\N	\N	Område unntatt snuområde	141
FMC0905	7090	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	2 x 4300 cu. in.	2000 psi	Kabler	10	8000	2009-07-03	9999-12-31	2009-09-30	9999-12-31	94050	\N	5115	\N	\N	Område unntatt snuområde	142
FMC0905	7090	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	2 x 4300 cu. in.	2000 psi	Kabler	10	8000	2009-07-03	9999-12-31	2009-09-30	9999-12-31	94050	\N	5115	\N	\N	Område inkludert snuområde	143
PM 01-2010	7297	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2010-07-25	9999-12-31	2010-08-25	9999-12-31	\N	\N	30	\N	\N	Område unntatt snuområde	495
EM0109	7091	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7091	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7091	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	4D	ExxonMobil Exploration & Production Norway AS	Seismisk kilde	31	3070	UNKNOWN	Kabler	8	2550	2009-07-09	2009-07-09	2009-10-25	2009-10-18	25766	36457	2147	3038	\N	Område unntatt snuområde	144
EM0109	7091	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7091	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7091	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	4D	ExxonMobil Exploration & Production Norway AS	Seismisk kilde	31	3070	UNKNOWN	Kabler	8	2550	2009-07-09	2009-07-09	2009-10-25	2009-10-18	25766	36457	2147	3038	\N	Område inkludert snuområde	145
RD0901	7092	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7092	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7092	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	RWE Dea Norge AS	Seismisk kilde	1	2x40 , 2x20, 2x10 cu in	2000psi	Kabler	1	1200	2009-06-25	2009-07-02	2009-07-25	2009-07-14	100	91	100	91	\N	Område inkludert snuområde	146
RD0902	7093	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7093	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7093	Ferdig	Norskehavet	Nei	Havbunnseismisk undersøkelse	2D	RWE Dea Norge AS	Seismisk kilde	1	2x40 , 2x20, 2x10 cu in	2000psi	Kabler	1	1200	2009-06-25	2009-07-15	2009-07-25	2009-07-24	140	257	140	257	\N	Område inkludert snuområde	147
ST09319	7094	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7094	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7094	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-06-27	2009-06-29	2009-08-24	2009-07-05	253	179	253	179	\N	Område inkludert snuområde	148
FMC0903	7095	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7095	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7095	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	UNKNOWN	5000 cu.in.	UNKNOWN	Kabler	1	8000	2009-04-15	2009-06-10	2009-11-30	2009-11-02	12000	10550	12000	10550	\N	Område inkludert snuområde	149
ST09320	7096	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7096	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7096	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-07-02	2009-07-22	2009-08-27	2009-07-29	262	320	262	320	\N	Område inkludert snuområde	150
TO-EM0901	7097	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7097	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7097	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Total E&P Norge AS	Elektromagnetisk kilde	1	Effekt: 120 kW	\N	Noder	Ca 120	\N	2009-09-10	2009-09-13	2009-10-10	2009-09-25	100	106	300	300	\N	Område inkludert snuområde	151
TO-EM0901	7097	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7097	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7097	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Total E&P Norge AS	Elektromagnetisk kilde	1	Effekt: 120 kW	\N	Noder	Ca 120	\N	2009-09-10	2009-09-13	2009-10-10	2009-09-25	100	106	300	300	\N	Område unntatt snuområde	152
ST09254	7098	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7098	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7098	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	\N	StatoilHydro Petroleum AS	\N	0	0	0	UNKNOWN	0	0	2009-07-20	2009-07-13	2009-07-25	2009-07-23	\N	\N	\N	\N	\N	Område inkludert snuområde	153
ST09254	7098	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7098	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7098	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	\N	StatoilHydro Petroleum AS	\N	0	0	0	UNKNOWN	0	0	2009-07-20	2009-07-13	2009-07-25	2009-07-23	\N	\N	\N	\N	\N	Område unntatt snuområde	154
ST09321	7099	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7099	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7099	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-07-15	2009-08-20	2009-09-15	2009-09-06	177	173	177	173	\N	Område inkludert snuområde	155
DP0909	7100	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7100	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7100	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2* 2500 ampere, 200-300 kW	\N	Noder	4	10	2009-07-15	2009-07-18	2009-08-15	2009-08-05	20	20	20	20	\N	Område inkludert snuområde	156
DP0909	7100	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7100	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7100	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	Elektromagnetisk kilde	2	2* 2500 ampere, 200-300 kW	\N	Noder	4	10	2009-07-15	2009-07-18	2009-08-15	2009-08-05	20	20	20	20	\N	Område unntatt snuområde	157
LOTUS0901	7101	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7101	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7101	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Lotos Exploration and Production Norge AS	\N	00	00	00	UNKNOWN	00	00	2009-07-12	2009-07-14	2009-07-25	2009-07-23	\N	\N	\N	\N	\N	Område inkludert snuområde	158
LOTUS0901	7101	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7101	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7101	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Lotos Exploration and Production Norge AS	\N	00	00	00	UNKNOWN	00	00	2009-07-12	2009-07-14	2009-07-25	2009-07-23	\N	\N	\N	\N	\N	Område unntatt snuområde	159
SH0903	7102	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7102	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7102	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	4450 cu.in.	2000 psi	Kabler	10	5000m	2009-07-26	2009-08-08	2009-09-30	2009-09-14	25000	38169	2500	1982	\N	Område inkludert snuområde	160
SH0903	7102	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7102	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7102	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	4450 cu.in.	2000 psi	Kabler	10	5000m	2009-07-26	2009-08-08	2009-09-30	2009-09-14	25000	38169	2500	1982	\N	Område unntatt snuområde	161
SH0904	7103	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	3380 cu.in.	UNKNOWN	Kabler	10	5000	2009-07-20	9999-12-31	2009-09-30	9999-12-31	25000	\N	2500	\N	\N	Område inkludert snuområde	162
SH0904	7103	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	3380 cu.in.	UNKNOWN	Kabler	10	5000	2009-07-20	9999-12-31	2009-09-30	9999-12-31	25000	\N	2500	\N	\N	Område unntatt snuområde	163
PM 06-2010	7310	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2010-07-20	9999-12-31	2010-08-20	9999-12-31	\N	\N	30	\N	\N	Område unntatt snuområde	519
NSR09 VG	7104	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7104	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7104	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	4100 cu.inch	2000 psi	Kabler	1	8000 m	2009-06-25	2009-07-11	2009-09-30	2009-09-11	9000	2958	9000	2958	\N	Område inkludert snuområde	164
DN0909	7105	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7105	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7105	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	150 cu. in	200psi	Kabler	1	2400	2009-07-01	2009-07-06	2009-08-25	2009-08-16	2000	1961	2000	1961	\N	Område inkludert snuområde	165
CVX0901	7106	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7106	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7106	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	2D	Chevron Norge AS	Seismisk kilde	1  kj&ring	4820 cu.in.	2000 psi	Kabler	1	12 km	2009-08-13	2009-08-16	2009-09-30	2009-09-06	1200	1124	1500	1124	\N	Område inkludert snuområde	166
EMGS0905	7107	\N	\N	Avlyst	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	Effekt ca 120kW	\N	Noder	ca 80 mottakere	\N	2009-07-24	9999-12-31	2009-08-21	9999-12-31	150	\N	150	\N	\N	Område unntatt snuområde	167
EMGS0905	7107	\N	\N	Avlyst	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	Effekt ca 120kW	\N	Noder	ca 80 mottakere	\N	2009-07-24	9999-12-31	2009-08-21	9999-12-31	150	\N	150	\N	\N	Område inkludert snuområde	168
FMCS0906	7108	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7108	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7108	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	4300	2000 psi	Kabler	12	5400	2009-07-15	2009-07-18	2009-09-15	2009-08-07	40000	32304	2164	1346	\N	Område inkludert snuområde	169
FMCS0906	7108	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7108	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7108	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	4300	2000 psi	Kabler	12	5400	2009-07-15	2009-07-18	2009-09-15	2009-08-07	40000	32304	2164	1346	\N	Område unntatt snuområde	170
DN0910	7109	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7109	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7109	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Det norske oljeselskap ASA (old)	\N	0	0	0	UNKNOWN	UNKNOWN	UNKNOWN	2009-08-28	2009-09-24	2009-10-09	2009-09-25	\N	\N	\N	\N	\N	Område inkludert snuområde	171
DN0910	7109	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7109	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7109	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Det norske oljeselskap ASA (old)	\N	0	0	0	UNKNOWN	UNKNOWN	UNKNOWN	2009-08-28	2009-09-24	2009-10-09	2009-09-25	\N	\N	\N	\N	\N	Område unntatt snuområde	172
FMCS0907	7110	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7110	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7110	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	2 x 3460 cu. in	2000 psi	Kabler	8	5400	2009-08-15	2009-08-24	2009-10-01	2009-09-04	104310	10306	6519	644	\N	Område inkludert snuområde	173
FMCS0907	7110	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7110	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7110	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	2 x 3460 cu. in	2000 psi	Kabler	8	5400	2009-08-15	2009-08-24	2009-10-01	2009-09-04	104310	10306	6519	644	\N	Område unntatt snuområde	174
ST09322	7111	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7111	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7111	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-07-23	2009-08-05	2009-09-09	2009-08-19	233	290	233	290	\N	Område inkludert snuområde	175
ION09	7112	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	ION Geophysical	Seismisk kilde	1	4330 cu in	2000 psi	Kabler	1	8000	2009-07-20	2009-07-26	2009-07-31	9999-12-31	910	\N	910	\N	\N	Område inkludert snuområde	176
PGS0906	7113	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	3111 cuin	2000 psi	Kabler	6	6000	2009-08-10	9999-12-31	2009-10-10	9999-12-31	34800	\N	2900	\N	\N	Område unntatt snuområde	177
PGS0906	7113	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	3111 cuin	2000 psi	Kabler	6	6000	2009-08-10	9999-12-31	2009-10-10	9999-12-31	34800	\N	2900	\N	\N	Område inkludert snuområde	178
EM0209	7114	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7114	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7114	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	\N	ExxonMobil Exploration & Production Norway AS	Seismisk kilde	2	3990cu.in	85 barm	Kabler	4	6000	2009-08-14	2009-08-14	2009-09-21	2009-09-20	1152	1030	288	1030	\N	Område inkludert snuområde	179
EM0209	7114	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7114	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7114	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	\N	ExxonMobil Exploration & Production Norway AS	Seismisk kilde	2	3990cu.in	85 barm	Kabler	4	6000	2009-08-14	2009-08-14	2009-09-21	2009-09-20	1152	1030	288	1030	\N	Område unntatt snuområde	180
RS0901	7115	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Rocksource ASA	Seismisk kilde	UNKNOWN	UNKNOWN	UNKNOWN	Kabler	UNKNOWN	UNKNOWN	2009-08-15	9999-12-31	2009-10-15	9999-12-31	3500	\N	70000	\N	\N	Område inkludert snuområde	181
RS0901	7115	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Rocksource ASA	Seismisk kilde	UNKNOWN	UNKNOWN	UNKNOWN	Kabler	UNKNOWN	UNKNOWN	2009-08-15	9999-12-31	2009-10-15	9999-12-31	3500	\N	70000	\N	\N	Område unntatt snuområde	182
DP0910	7116	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7116	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7116	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Discover Petroleum AS	Seismisk kilde	2	3880	1900	Kabler	6	6000	2009-08-10	2009-08-15	2009-09-30	2009-09-19	18000	14280	1531	1190	\N	Område unntatt snuområde	183
DP0910	7116	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7116	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7116	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Discover Petroleum AS	Seismisk kilde	2	3880	1900	Kabler	6	6000	2009-08-10	2009-08-15	2009-09-30	2009-09-19	18000	14280	1531	1190	\N	Område inkludert snuområde	184
EMGS 0906	7117	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7117	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7117	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	Effekt ca 120kW	\N	Noder	ca 45 mottakere	\N	2009-08-01	2009-08-01	2009-09-30	2009-08-11	100	\N	100	120	\N	Område unntatt snuområde	185
EMGS 0906	7117	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7117	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7117	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	Effekt ca 120kW	\N	Noder	ca 45 mottakere	\N	2009-08-01	2009-08-01	2009-09-30	2009-08-11	100	\N	100	120	\N	Område inkludert snuområde	186
CGGV0904	7118	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	Seismisk kilde	2	4450	2000 PSI	Kabler	10	7000	2009-08-01	9999-12-31	2009-09-30	9999-12-31	28969	\N	1448	\N	\N	Område inkludert snuområde	187
CGGV0904	7118	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	Seismisk kilde	2	4450	2000 PSI	Kabler	10	7000	2009-08-01	9999-12-31	2009-09-30	9999-12-31	28969	\N	1448	\N	\N	Område unntatt snuområde	188
ST09455	7119	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-08-28	9999-12-31	2009-10-30	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	189
ST09455	7119	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-08-28	9999-12-31	2009-10-30	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	190
ST09456	7120	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7120	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7120	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-08-28	2009-09-28	2009-10-09	2009-10-10	\N	\N	\N	\N	\N	Område inkludert snuområde	191
ST09456	7120	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7120	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7120	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-08-28	2009-09-28	2009-10-09	2009-10-10	\N	\N	\N	\N	\N	Område unntatt snuområde	192
CE0901	7121	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7121	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7121	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	\N	\N	\N	UNKNOWN	UNKNOWN	\N	\N	2009-08-14	2009-08-20	2009-11-13	2009-10-25	\N	293	\N	600	\N	Område inkludert snuområde	193
CE0901	7121	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7121	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7121	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	\N	\N	\N	UNKNOWN	UNKNOWN	\N	\N	2009-08-14	2009-08-20	2009-11-13	2009-10-25	\N	293	\N	600	\N	Område unntatt snuområde	194
CE0902	7122	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7122	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7122	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	Seismisk kilde	1	4x 40 cu in. Sleeve	UNKNOWN	Kabler	1	1200	2009-09-04	2009-09-04	2009-11-20	2009-10-25	263	325	473	475	\N	Område unntatt snuområde	195
CE0902	7122	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7122	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7122	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	Seismisk kilde	1	4x 40 cu in. Sleeve	UNKNOWN	Kabler	1	1200	2009-09-04	2009-09-04	2009-11-20	2009-10-25	263	325	473	475	\N	Område inkludert snuområde	196
ST09457	7123	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7123	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7123	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-08-28	2009-10-11	2009-10-31	2009-10-14	\N	\N	\N	\N	\N	Område inkludert snuområde	197
ST09457	7123	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7123	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7123	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-08-28	2009-10-11	2009-10-31	2009-10-14	\N	\N	\N	\N	\N	Område unntatt snuområde	198
ST09458B	7124	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7124	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7124	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-08-01	9999-12-31	2009-08-19	2009-08-19	\N	\N	\N	\N	\N	Område inkludert snuområde	199
ST09458B	7124	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7124	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7124	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-08-01	9999-12-31	2009-08-19	2009-08-19	\N	\N	\N	\N	\N	Område unntatt snuområde	200
ST09458	7125	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7125	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7125	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-08-01	2009-07-31	2009-08-19	2009-08-19	\N	\N	\N	\N	\N	Område inkludert snuområde	201
ST09458	7125	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7125	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7125	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-08-01	2009-07-31	2009-08-19	2009-08-19	\N	\N	\N	\N	\N	Område unntatt snuområde	202
ST09005	7126	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7126	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7126	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	4D	StatoilHydro Petroleum AS	Seismisk kilde	2	3147 cu in	2000 psi	Kabler	8	3600	2009-08-14	2009-08-16	2009-09-12	2009-09-09	3200	8879	400	575	\N	Område inkludert snuområde	203
ST09005	7126	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7126	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7126	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	4D	StatoilHydro Petroleum AS	Seismisk kilde	2	3147 cu in	2000 psi	Kabler	8	3600	2009-08-14	2009-08-16	2009-09-12	2009-09-09	3200	8879	400	575	\N	Område unntatt snuområde	204
GDF0901	7127	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7127	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7127	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	GDF SUEZ E&P Norge AS	Seismisk kilde	4	40 cubic inch	1800 - 2000 psi	Kabler	1	1200	2009-10-10	2009-11-01	2009-12-01	2009-11-06	80	80	80	80	\N	Område inkludert snuområde	205
NX0903	7128	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7128	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7128	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	Nexen Exploration Norge AS	Seismisk kilde	1	2120 cu.inch	2000 psi	Kabler	1	5000	2009-07-29	2009-07-30	2009-08-19	2009-08-04	300	275	300	275	\N	Område inkludert snuområde	206
MC2D-CR2009	7130	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7130	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7130	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	1	4130 cu in	2000 psi	Kabler	1	8000	2009-08-10	2009-08-13	2009-10-31	2009-09-18	6000	3639	6000	3639	\N	Område inkludert snuområde	207
ST10302	7309	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	opptil 160 kubikk tommer  / 2.6 liter	2000 PSI	Kabler	1	1200	2010-08-03	9999-12-31	2010-10-08	9999-12-31	170	\N	170	\N	\N	Område inkludert snuområde	517
CP0902	7131	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7131	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7131	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	\N	ConocoPhillips Norge	Seismisk kilde	Array	2800cuin	UNKNOWN	Kabler	1	1200	2009-10-03	2009-10-05	2009-10-20	2009-10-09	100	200	100	200	\N	Område inkludert snuområde	208
CP0902	7131	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7131	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7131	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	\N	ConocoPhillips Norge	Seismisk kilde	Array	2800cuin	UNKNOWN	Kabler	1	1200	2009-10-03	2009-10-05	2009-10-20	2009-10-09	100	200	100	200	\N	Område unntatt snuområde	209
BG0905	7132	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7132	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7132	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	\N	BG Norge Limited	\N	UNKNOWN	UNKNOWN	NA	UNKNOWN	UNKNOWN	UNKNOWN	2009-08-26	2009-10-09	2009-10-31	2009-10-15	12	78	100	78	\N	Område inkludert snuområde	210
BG0905	7132	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7132	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7132	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	\N	BG Norge Limited	\N	UNKNOWN	UNKNOWN	NA	UNKNOWN	UNKNOWN	UNKNOWN	2009-08-26	2009-10-09	2009-10-31	2009-10-15	12	78	100	78	\N	Område unntatt snuområde	211
CVX0902	7133	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7133	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7133	Ferdig	Norskehavet	Nei	Havbunnseismisk undersøkelse	\N	Chevron Norge AS	Seismisk kilde	one 40-gun array	4820 cu.in.	2000 psi	Noder	120	24000	2009-09-17	2009-10-01	2009-10-15	2009-10-04	286	318	356	438	\N	Område unntatt snuområde	212
CVX0902	7133	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7133	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7133	Ferdig	Norskehavet	Nei	Havbunnseismisk undersøkelse	\N	Chevron Norge AS	Seismisk kilde	one 40-gun array	4820 cu.in.	2000 psi	Noder	120	24000	2009-09-17	2009-10-01	2009-10-15	2009-10-04	286	318	356	438	\N	Område inkludert snuområde	213
ST09323	7134	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7134	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7134	Ferdig	Barentshavet - Sør	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-08-20	2009-09-12	2009-11-10	2009-10-27	542	357	542	357	\N	Område inkludert snuområde	214
NX904	7135	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7135	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7135	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Nexen Exploration Norge AS	Seismisk kilde	1	140 cu in.	UNKNOWN	Kabler	1	1200m	2009-10-08	2009-10-18	2009-11-30	2009-10-28	20	180	191	180	\N	Område unntatt snuområde	215
NX904	7135	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7135	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7135	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Nexen Exploration Norge AS	Seismisk kilde	1	140 cu in.	UNKNOWN	Kabler	1	1200m	2009-10-08	2009-10-18	2009-11-30	2009-10-28	20	180	191	180	\N	Område inkludert snuområde	216
VNG0902	7136	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7136	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7136	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	VNG Norge AS	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2009-12-15	2009-12-22	2010-02-01	2010-01-10	446	446	446	446	\N	Område inkludert snuområde	217
ST09324	7137	\N	\N	Avlyst	Nordsjøen	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-10-29	9999-12-31	2009-11-29	9999-12-31	25	\N	25	\N	\N	Område inkludert snuområde	218
St09326	7138	\N	\N	Avlyst	Nordsjøen	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-11-29	9999-12-31	2010-01-29	9999-12-31	25	\N	25	\N	\N	Område inkludert snuområde	219
DN0912	7139	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7139	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7139	Ferdig	Norskehavet	Nei	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	150 cu in	2000psi	Kabler	1	1200	2009-09-22	2009-10-19	2009-11-15	2009-11-01	220	200	220	270	\N	Område inkludert snuområde	220
SH0905EM	7140	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7140	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7140	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	A/S Norske Shell	Elektromagnetisk kilde	2	2500A kammervolum	100-200W effekt	Noder	4-5	500-1000m mellomrom	2009-08-25	2009-08-26	2009-09-10	2009-09-06	20	14	20	14	\N	Område inkludert snuområde	221
SH0905EM	7140	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7140	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7140	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	A/S Norske Shell	Elektromagnetisk kilde	2	2500A kammervolum	100-200W effekt	Noder	4-5	500-1000m mellomrom	2009-08-25	2009-08-26	2009-09-10	2009-09-06	20	14	20	14	\N	Område unntatt snuområde	222
ST09327	7142	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7142	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7142	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-11-29	2009-12-10	2010-01-29	2009-12-14	295	325	295	325	\N	Område inkludert snuområde	223
ST09328	7143	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7143	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7143	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-11-29	2010-01-07	2010-01-29	2010-01-15	134	219	134	219	\N	Område inkludert snuområde	224
EN0902	7144	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7144	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7144	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	\N	Eni Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-10-20	2009-10-21	2009-12-13	2009-11-11	\N	\N	100	100	\N	Område inkludert snuområde	225
EN0902	7144	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7144	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7144	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	\N	Eni Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-10-20	2009-10-21	2009-12-13	2009-11-11	\N	\N	100	100	\N	Område unntatt snuområde	226
AX0901	7145	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7145	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7145	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Aker Exploration AS	Seismisk kilde	En rekke 4 kanoner	4 x 40 cu in (Totalt 160 cu in.)	2000	Kabler	1	1200	2009-10-01	2009-10-13	2009-11-30	2009-10-27	179	441	104	441	\N	Område inkludert snuområde	227
ST09566	7146	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7146	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7146	Ferdig	Norskehavet	Nei	Havbunnseismisk undersøkelse	\N	StatoilHydro ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-09-21	2009-09-25	2009-10-05	2009-10-25	\N	100	\N	110	\N	Område inkludert snuområde	228
ST09566	7146	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7146	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7146	Ferdig	Norskehavet	Nei	Havbunnseismisk undersøkelse	\N	StatoilHydro ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-09-21	2009-09-25	2009-10-05	2009-10-25	\N	100	\N	110	\N	Område unntatt snuområde	229
AX0902	7147	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7147	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7147	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Aker Exploration AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-10-10	2009-11-08	2009-11-30	2009-11-10	\N	\N	\N	\N	\N	Område inkludert snuområde	230
AX0902	7147	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7147	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7147	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Aker Exploration AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-10-10	2009-11-08	2009-11-30	2009-11-10	\N	\N	\N	\N	\N	Område unntatt snuområde	231
ST09329	7148	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7148	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7148	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	0	0	0	Noder	1	1	2009-10-04	2009-10-22	2009-11-09	2009-10-27	\N	\N	\N	\N	\N	Område inkludert snuområde	232
ST09329	7148	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7148	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7148	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	\N	0	0	0	Noder	1	1	2009-10-04	2009-10-22	2009-11-09	2009-10-27	\N	\N	\N	\N	\N	Område unntatt snuområde	233
ST09330	7149	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7149	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7149	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	\N	StatoilHydro ASA	\N	0	0	0	Noder	1	1200	2009-10-08	2009-11-05	2009-11-24	2009-11-07	\N	\N	\N	\N	\N	Område inkludert snuområde	234
ST09330	7149	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7149	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7149	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	\N	StatoilHydro ASA	\N	0	0	0	Noder	1	1200	2009-10-08	2009-11-05	2009-11-24	2009-11-07	\N	\N	\N	\N	\N	Område unntatt snuområde	235
DN0901	7150	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7150	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7150	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	150	UNKNOWN	Kabler	1	1200	2009-02-23	2009-04-06	2009-04-16	2009-04-16	224	225	224	225	\N	Område unntatt snuområde	236
DN0901	7150	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7150	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7150	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	150	UNKNOWN	Kabler	1	1200	2009-02-23	2009-04-06	2009-04-16	2009-04-16	224	225	224	225	\N	Område inkludert snuområde	237
BPN0990	7152	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7152	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7152	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	BP Norge AS	Seismisk kilde	4	40	UNKNOWN	UNKNOWN	1	600	2009-04-20	2009-05-02	2009-05-31	2009-05-04	48	169	60	169	\N	Område unntatt snuområde	238
BPN0990	7152	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7152	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7152	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	BP Norge AS	Seismisk kilde	4	40	UNKNOWN	UNKNOWN	1	600	2009-04-20	2009-05-02	2009-05-31	2009-05-04	48	169	60	169	\N	Område inkludert snuområde	239
DONG0901	7153	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7153	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7153	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	DONG Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-03-01	2009-03-01	2009-05-01	2009-04-09	\N	\N	\N	\N	\N	Område inkludert snuområde	240
DONG0901	7153	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7153	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7153	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	DONG Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-03-01	2009-03-01	2009-05-01	2009-04-09	\N	\N	\N	\N	\N	Område unntatt snuområde	241
MC3D-Q82009	7154	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7154	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7154	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	PGS Geophysical AS	Seismisk kilde	3x2	3090 cubin inch	2000psi	Kabler	10	6000	2009-04-01	2009-04-01	2009-06-15	2009-04-18	10615	10615	551	550	\N	Område unntatt snuområde	242
MC3D-Q82009	7154	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7154	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7154	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	PGS Geophysical AS	Seismisk kilde	3x2	3090 cubin inch	2000psi	Kabler	10	6000	2009-04-01	2009-04-01	2009-06-15	2009-04-18	10615	10615	551	550	\N	Område inkludert snuområde	243
EMGS0902	7155	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7155	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7155	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	Effekt ca 120k W	\N	Noder	Opptil 90	250 - 300 m	2009-03-15	2009-04-15	2009-04-30	2009-04-27	341	341	341	341	\N	Område inkludert snuområde	244
EMGS0902	7155	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7155	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7155	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	Effekt ca 120k W	\N	Noder	Opptil 90	250 - 300 m	2009-03-15	2009-04-15	2009-04-30	2009-04-27	341	341	341	341	\N	Område unntatt snuområde	245
EMGS0903	7156	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7156	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7156	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	Effekt ca 120kW	\N	Noder	90	250-300	2009-03-30	2009-04-05	2009-05-01	2009-04-16	126	126	126	126	\N	Område inkludert snuområde	246
EMGS0903	7156	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7156	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7156	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	Effekt ca 120kW	\N	Noder	90	250-300	2009-03-30	2009-04-05	2009-05-01	2009-04-16	126	126	126	126	\N	Område unntatt snuområde	247
EEN0901	7157	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7157	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7157	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Endeavour Energy Norge AS	Seismisk kilde	6	140 cu.in	UNKNOWN	Kabler	1	1200	2009-01-03	2009-01-03	2009-02-08	2009-02-03	165	165	165	165	\N	Område unntatt snuområde	248
EEN0901	7157	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7157	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7157	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Endeavour Energy Norge AS	Seismisk kilde	6	140 cu.in	UNKNOWN	Kabler	1	1200	2009-01-03	2009-01-03	2009-02-08	2009-02-03	165	165	165	165	\N	Område inkludert snuområde	249
LN0951	7158	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7158	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7158	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	Seismisk kilde	6	140 cu.inc.	UNKNOWN	Kabler	1	1200	2009-02-05	2009-01-05	2009-03-01	2009-03-01	87	87	87	87	\N	Område inkludert snuområde	250
LN0951	7158	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7158	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7158	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	Seismisk kilde	6	140 cu.inc.	UNKNOWN	Kabler	1	1200	2009-02-05	2009-01-05	2009-03-01	2009-03-01	87	87	87	87	\N	Område unntatt snuområde	251
NSR09 VGadd	7160	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	4100 cu.inch	2000 psi	Kabler	1	8000 m	2009-10-26	9999-12-31	2009-12-31	9999-12-31	4000	\N	4000	\N	\N	Område inkludert snuområde	252
WG09Test	7161	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7161	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7161	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	3147 cu inch	UNKNOWN	Kabler	2	1200	2009-10-16	2009-10-16	2009-10-23	2009-10-18	200	200	50	50	\N	Område inkludert snuområde	253
WG09Test	7161	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7161	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7161	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	3147 cu inch	UNKNOWN	Kabler	2	1200	2009-10-16	2009-10-16	2009-10-23	2009-10-18	200	200	50	50	\N	Område unntatt snuområde	254
Dong0902	7162	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7162	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7162	Ferdig	Nordsjøen	Nei	Traseundersøkelser	\N	DONG E&P Norge AS	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-10-12	2009-10-30	2009-11-15	2009-11-10	\N	\N	\N	\N	\N	Område unntatt snuområde	255
Dong0902	7162	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7162	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7162	Ferdig	Nordsjøen	Nei	Traseundersøkelser	\N	DONG E&P Norge AS	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-10-12	2009-10-30	2009-11-15	2009-11-10	\N	\N	\N	\N	\N	Område inkludert snuområde	256
TO-David09	7163	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7163	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7163	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	3D	Total E&P Norge AS	Seismisk kilde	1 -Mini air gun or hull mounted pinger	10 or 20 cu inch sleeve gun	not known	Kabler	1	75	2009-10-19	2009-10-27	2009-12-16	2009-12-12	103	122	364	24	\N	Område inkludert snuområde	257
TO-David09	7163	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7163	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7163	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	3D	Total E&P Norge AS	Seismisk kilde	1 -Mini air gun or hull mounted pinger	10 or 20 cu inch sleeve gun	not known	Kabler	1	75	2009-10-19	2009-10-27	2009-12-16	2009-12-12	103	122	364	24	\N	Område unntatt snuområde	258
TO-AlveNorth09	7164	\N	\N	Avlyst	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	3D	Total E&P Norge AS	Seismisk kilde	1 Mini air gun or 1 hull mounted pinger	10 or 20 cu inch sleeve gun	not known	Kabler	1	75m	2009-11-02	9999-12-31	2009-11-16	9999-12-31	253	\N	503	\N	\N	Område unntatt snuområde	259
TO-AlveNorth09	7164	\N	\N	Avlyst	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	3D	Total E&P Norge AS	Seismisk kilde	1 Mini air gun or 1 hull mounted pinger	10 or 20 cu inch sleeve gun	not known	Kabler	1	75m	2009-11-02	9999-12-31	2009-11-16	9999-12-31	253	\N	503	\N	\N	Område inkludert snuområde	260
EMGS0808	7165	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7165	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7165	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	ca. 120kW	\N	Noder	Opptil 80	\N	2008-11-19	2009-01-01	2009-01-25	2009-01-25	296	296	296	296	\N	Område unntatt snuområde	261
EMGS0808	7165	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7165	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7165	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	ca. 120kW	\N	Noder	Opptil 80	\N	2008-11-19	2009-01-01	2009-01-25	2009-01-25	296	296	296	296	\N	Område inkludert snuområde	262
LN0952/LN0953	7166	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7166	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7166	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu.inch	UNKNOWN	Kabler	1	1200	2009-01-01	2009-01-05	2009-03-01	2009-02-19	461	461	461	461	\N	Område inkludert snuområde	263
LN0952/LN0953	7166	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7166	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7166	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu.inch	UNKNOWN	Kabler	1	1200	2009-01-01	2009-01-05	2009-03-01	2009-02-19	461	461	461	461	\N	Område unntatt snuområde	264
LN0954	7167	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7167	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7167	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu.inch	Ikkerelevnt	Kabler	1	1200	2009-02-06	2009-02-06	2009-03-01	2009-05-04	374	374	374	374	\N	Område unntatt snuområde	265
LN0954	7167	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7167	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7167	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu.inch	Ikkerelevnt	Kabler	1	1200	2009-02-06	2009-02-06	2009-03-01	2009-05-04	374	374	374	374	\N	Område inkludert snuområde	266
ST09303	7168	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7168	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7168	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	StatoilHydro ASA	Seismisk kilde	1	4x40 kubikk tommer	\N	Kabler	1	1200	2009-03-11	2009-03-11	2009-06-11	2009-04-15	200	208	200	208	\N	Område inkludert snuområde	267
ST09303	7168	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7168	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7168	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	StatoilHydro ASA	Seismisk kilde	1	4x40 kubikk tommer	\N	Kabler	1	1200	2009-03-11	2009-03-11	2009-06-11	2009-04-15	200	208	200	208	\N	Område unntatt snuområde	268
TE0902	7169	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7169	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7169	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3 (Total)	\N	Kabler	1	1200	2009-02-12	2009-02-16	2009-03-22	2009-03-20	249	249	623	623	\N	Område unntatt snuområde	269
TE0902	7169	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7169	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7169	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3 (Total)	\N	Kabler	1	1200	2009-02-12	2009-02-16	2009-03-22	2009-03-20	249	249	623	623	\N	Område inkludert snuområde	270
WIN0906	7170	\N	\N	Avlyst	Nordsjøen	Ja	Havbunnseismisk undersøkelse	2D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2009-11-15	9999-12-31	2010-01-31	9999-12-31	250	\N	250	\N	\N	Område inkludert snuområde	271
WIN0906	7170	\N	\N	Avlyst	Nordsjøen	Ja	Havbunnseismisk undersøkelse	2D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2009-11-15	9999-12-31	2010-01-31	9999-12-31	250	\N	250	\N	\N	Område unntatt snuområde	272
WIN0907	7171	\N	\N	Avlyst	Nordsjøen	Ja	Havbunnseismisk undersøkelse	2D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2009-11-15	9999-12-31	2010-01-31	9999-12-31	250	\N	250	\N	\N	Område unntatt snuområde	273
WIN0907	7171	\N	\N	Avlyst	Nordsjøen	Ja	Havbunnseismisk undersøkelse	2D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2009-11-15	9999-12-31	2010-01-31	9999-12-31	250	\N	250	\N	\N	Område inkludert snuområde	274
EMGS0907	7172	\N	\N	Avlyst	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	0	Noder	40	UNKNOWN	2009-11-06	9999-12-31	2009-11-27	9999-12-31	70	\N	70	\N	\N	Område unntatt snuområde	275
EMGS0907	7172	\N	\N	Avlyst	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	0	Noder	40	UNKNOWN	2009-11-06	9999-12-31	2009-11-27	9999-12-31	70	\N	70	\N	\N	Område inkludert snuområde	276
TE903	7173	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7173	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7173	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	3D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3	UNKNOWN	Kabler	1	1200	2009-12-07	2009-12-15	2010-02-12	2010-02-04	150	29	150	29	\N	Område inkludert snuområde	277
TE903	7173	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7173	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7173	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	3D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3	UNKNOWN	Kabler	1	1200	2009-12-07	2009-12-15	2010-02-12	2010-02-04	150	29	150	29	\N	Område unntatt snuområde	278
ST09325	7174	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7174	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7174	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	0	0	0	Noder	1	Ikke relevan	2009-12-15	2009-11-12	2010-01-31	2010-01-19	\N	\N	\N	\N	\N	Område inkludert snuområde	279
ST09325	7174	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7174	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7174	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	0	0	0	Noder	1	Ikke relevan	2009-12-15	2009-11-12	2010-01-31	2010-01-19	\N	\N	\N	\N	\N	Område unntatt snuområde	280
ST09315	7176	\N	\N	Avlyst	Nordsjøen	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-11-18	9999-12-31	2010-01-14	9999-12-31	285	\N	285	\N	\N	Område inkludert snuområde	281
LN0958	7179	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7179	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7179	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200	2009-11-28	2009-12-19	2010-01-30	2010-01-04	400	287	400	288	\N	Område inkludert snuområde	282
LN0959	7180	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7180	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7180	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200	2009-11-29	2010-01-06	2010-01-30	2010-01-10	100	\N	100	82	\N	Område inkludert snuområde	283
LN0960	7181	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7181	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7181	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-11-14	2009-11-14	2009-11-28	2009-11-27	100	100	100	100	\N	Område unntatt snuområde	284
LN0960	7181	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7181	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7181	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	UNKNOWN	2009-11-14	2009-11-14	2009-11-28	2009-11-27	100	100	100	100	\N	Område inkludert snuområde	285
WIN0908	7182	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	Wintershall Norge ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-12-01	9999-12-31	2010-03-31	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	286
WIN0908	7182	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	Wintershall Norge ASA	\N	\N	\N	\N	UNKNOWN	\N	\N	2009-12-01	9999-12-31	2010-03-31	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	287
EMGS-0908	7184	\N	\N	Avlyst	Norskehavet	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	134	UNKNOWN	2009-12-02	9999-12-31	2010-01-10	9999-12-31	500	\N	500	\N	\N	Område inkludert snuområde	288
EMGS-0908	7184	\N	\N	Avlyst	Norskehavet	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	134	UNKNOWN	2009-12-02	9999-12-31	2010-01-10	9999-12-31	500	\N	500	\N	\N	Område unntatt snuområde	289
RS1001	7186	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7186	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7186	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Rocksource ASA	Seismisk kilde	2	3111 cu in.	2000 psi	Kabler	10	6000	2010-05-10	2010-05-10	2010-07-10	2010-06-11	71230	50860	3560	2543	1115.300000	Område inkludert snuområde	290
RS1001	7186	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7186	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7186	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Rocksource ASA	Seismisk kilde	2	3111 cu in.	2000 psi	Kabler	10	6000	2010-05-10	2010-05-10	2010-07-10	2010-06-11	71230	50860	3560	2543	1115.300000	Område unntatt snuområde	291
ST10302	7309	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	opptil 160 kubikk tommer  / 2.6 liter	2000 PSI	Kabler	1	1200	2010-08-03	9999-12-31	2010-10-08	9999-12-31	170	\N	170	\N	\N	Område unntatt snuområde	518
EMGS0909	7187	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7187	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7187	Ferdig	Norskehavet	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	120	UNKNOWN	2010-01-10	2010-01-10	2010-02-28	2010-02-22	600	750	600	750	\N	Område inkludert snuområde	292
EMGS0909	7187	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7187	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7187	Ferdig	Norskehavet	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	120	UNKNOWN	2010-01-10	2010-01-10	2010-02-28	2010-02-22	600	750	600	750	\N	Område unntatt snuområde	293
RS1002	7188	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7188	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7188	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Rocksource ASA	Seismisk kilde	2	5085 ci in.	2000 psi	Kabler	8	6000	2010-05-01	2010-05-10	2010-07-01	2010-06-11	43980	44040	2200	2202	886.980000	Område unntatt snuområde	294
RS1002	7188	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7188	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7188	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Rocksource ASA	Seismisk kilde	2	5085 ci in.	2000 psi	Kabler	8	6000	2010-05-01	2010-05-10	2010-07-01	2010-06-11	43980	44040	2200	2202	886.980000	Område inkludert snuområde	295
MC3D-NVG10	7189	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7189	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7189	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000	2010-09-15	2010-05-01	2010-11-01	2010-09-29	204590	172088	17045	14527	\N	Område inkludert snuområde	296
MC3D-NVG10	7189	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7189	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7189	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000	2010-09-15	2010-05-01	2010-11-01	2010-09-29	204590	172088	17045	14527	\N	Område unntatt snuområde	297
MC3D-CGR-2010	7190	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7190	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7190	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	12	6000m	2010-06-15	2010-07-07	2010-09-15	2010-09-06	100800	131699	4200	6555	3585.400000	Område unntatt snuområde	298
MC3D-CGR-2010	7190	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7190	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7190	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	12	6000m	2010-06-15	2010-07-07	2010-09-15	2010-09-06	100800	131699	4200	6555	3585.400000	Område inkludert snuområde	299
EMGS1001	7191	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7191	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7191	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	800	Ikke aktuelt	2010-02-22	2010-04-03	2010-09-01	2010-08-13	7000	6000	7000	6000	121099.540000	Område inkludert snuområde	300
EMGS1001	7191	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7191	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7191	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	800	Ikke aktuelt	2010-02-22	2010-04-03	2010-09-01	2010-08-13	7000	6000	7000	6000	121099.540000	Område unntatt snuområde	301
ST10451	7192	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7192	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7192	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	0	0	0	UNKNOWN	0	0	2010-04-01	2010-04-18	2010-04-30	2010-04-23	\N	\N	\N	\N	\N	Område unntatt snuområde	302
ST10451	7192	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7192	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7192	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	0	0	0	UNKNOWN	0	0	2010-04-01	2010-04-18	2010-04-30	2010-04-23	\N	\N	\N	\N	\N	Område inkludert snuområde	303
NO1001	7193	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7193	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7193	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	Norwegian Energy Company AS	Seismisk kilde	4	40 cu.in. each (total 160 cu.in.)	2000psi	Kabler	1	1200m	2010-03-25	2010-03-22	2010-04-30	2010-04-09	250	150	250	150	\N	Område inkludert snuområde	304
NO1001	7193	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7193	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7193	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	Norwegian Energy Company AS	Seismisk kilde	4	40 cu.in. each (total 160 cu.in.)	2000psi	Kabler	1	1200m	2010-03-25	2010-03-22	2010-04-30	2010-04-09	250	150	250	150	\N	Område unntatt snuområde	305
EMGS1002	7194	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7194	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7194	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	64	UNKNOWN	2010-02-15	2010-02-22	2010-03-01	2010-02-28	131	122	131	122	\N	Område inkludert snuområde	306
EMGS1002	7194	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7194	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7194	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	64	UNKNOWN	2010-02-15	2010-02-22	2010-03-01	2010-02-28	131	122	131	122	\N	Område unntatt snuområde	307
ST10303	7195	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7195	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7195	Ferdig	Barentshavet - Sør	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-03-15	2010-03-28	2010-05-17	2010-04-06	228	227	228	227	\N	Område inkludert snuområde	308
ST10303	7195	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7195	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7195	Ferdig	Barentshavet - Sør	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-03-15	2010-03-28	2010-05-17	2010-04-06	228	227	228	227	\N	Område unntatt snuområde	309
VBT1	7196	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7196	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7196	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	Max. 5100 cu.in.	2000	Kabler	10	8000	2010-05-08	2010-05-08	2010-09-15	2010-08-30	305900	128890	15295	6444	7610.590000	Område unntatt snuområde	310
VBT1	7196	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7196	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7196	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	Max. 5100 cu.in.	2000	Kabler	10	8000	2010-05-08	2010-05-08	2010-09-15	2010-08-30	305900	128890	15295	6444	7610.590000	Område inkludert snuområde	311
LN1051	7197	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7197	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7197	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	1	1	1	UNKNOWN	1	1	2010-03-15	2010-03-15	2010-03-22	2010-03-22	1	100	1	100	\N	Område unntatt snuområde	312
LN1051	7197	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7197	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7197	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	1	1	1	UNKNOWN	1	1	2010-03-15	2010-03-15	2010-03-22	2010-03-22	1	100	1	100	\N	Område inkludert snuområde	313
CGGV-10-01	7198	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7198	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7198	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	Seismisk kilde	2 stk. BOLT Air Guns	2 x 4450 cu in	2000psi	Kabler	8-10	7500	2010-04-19	2010-04-19	2010-05-31	2010-05-03	24340	7098	1217	355	606.960000	Område inkludert snuområde	314
CGGV-10-01	7198	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7198	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7198	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	Seismisk kilde	2 stk. BOLT Air Guns	2 x 4450 cu in	2000psi	Kabler	8-10	7500	2010-04-19	2010-04-19	2010-05-31	2010-05-03	24340	7098	1217	355	606.960000	Område unntatt snuområde	315
nx1051	7199	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7199	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7199	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Nexen Exploration Norge AS	Seismisk kilde	4	40 in3 (160 in3 in total)	2000 psi	Kabler	1	1200	2010-09-22	2010-10-17	2010-12-31	2010-12-04	250	232	250	232	\N	Område unntatt snuområde	316
nx1051	7199	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7199	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7199	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Nexen Exploration Norge AS	Seismisk kilde	4	40 in3 (160 in3 in total)	2000 psi	Kabler	1	1200	2010-09-22	2010-10-17	2010-12-31	2010-12-04	250	232	250	232	\N	Område inkludert snuområde	317
EMGS1003	7200	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7200	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7200	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	91	UNKNOWN	2010-02-22	2010-02-28	2010-03-07	2010-03-04	100	131	100	131	\N	Område inkludert snuområde	318
EMGS1003	7200	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7200	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7200	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	91	UNKNOWN	2010-02-22	2010-02-28	2010-03-07	2010-03-04	100	131	100	131	\N	Område unntatt snuområde	319
NX1052	7201	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Nexen Exploration Norge AS	Seismisk kilde	4	40 in3 (totalt 160 in3)	2000 psi	Kabler	1	1200	2010-09-07	9999-12-31	2010-10-31	9999-12-31	250	\N	250	\N	\N	Område unntatt snuområde	320
NX1052	7201	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Nexen Exploration Norge AS	Seismisk kilde	4	40 in3 (totalt 160 in3)	2000 psi	Kabler	1	1200	2010-09-07	9999-12-31	2010-10-31	9999-12-31	250	\N	250	\N	\N	Område inkludert snuområde	321
EMGS1004	7202	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7202	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7202	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	20	UNKNOWN	2010-03-31	2010-03-31	2010-05-06	2010-04-01	80	41	80	41	2364.630000	Område unntatt snuområde	322
EMGS1004	7202	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7202	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7202	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	20	UNKNOWN	2010-03-31	2010-03-31	2010-05-06	2010-04-01	80	41	80	41	2364.630000	Område inkludert snuområde	323
EMGS1005	7203	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7203	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7203	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	125	UNKNOWN	2010-03-05	2010-03-05	2010-03-24	2010-03-20	165	157	165	157	\N	Område inkludert snuområde	324
EMGS1005	7203	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7203	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7203	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	125	UNKNOWN	2010-03-05	2010-03-05	2010-03-24	2010-03-20	165	157	165	157	\N	Område unntatt snuområde	325
ST10304	7204	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7204	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7204	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-05-01	2010-05-03	2010-07-01	2010-05-08	245	226	245	226	\N	Område inkludert snuområde	326
ST10304	7204	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7204	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7204	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-05-01	2010-05-03	2010-07-01	2010-05-08	245	226	245	226	\N	Område unntatt snuområde	327
EMGS1007	7205	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7205	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7205	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	50	UNKNOWN	2010-03-16	2010-03-20	2010-04-06	2010-03-22	70	71	70	71	\N	Område unntatt snuområde	328
EMGS1007	7205	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7205	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7205	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	50	UNKNOWN	2010-03-16	2010-03-20	2010-04-06	2010-03-22	70	71	70	71	\N	Område inkludert snuområde	329
RWE1003	7260	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7260	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7260	Ferdig	Barentshavet - Sør	Nei	Annen undersøkelse	\N	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2010-05-15	2010-07-02	2010-09-01	2010-07-15	\N	\N	\N	\N	\N	Område unntatt snuområde	428
EMGS1006	7206	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7206	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7206	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	48	UNKNOWN	2010-03-18	2010-03-25	2010-04-06	2010-03-28	70	90	70	90	\N	Område unntatt snuområde	330
EMGS1006	7206	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7206	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7206	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	48	UNKNOWN	2010-03-18	2010-03-25	2010-04-06	2010-03-28	70	90	70	90	\N	Område inkludert snuområde	331
CGGV1002	7207	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7207	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7207	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2 stk. BOLT Air Guns	2 x 4450 cu in	2000psi	Kabler	8-10	7500	2010-04-28	2010-05-10	2010-08-28	2010-07-25	92261	115626	5767	6328	1876.470000	Område unntatt snuområde	332
CGGV1002	7207	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7207	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7207	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2 stk. BOLT Air Guns	2 x 4450 cu in	2000psi	Kabler	8-10	7500	2010-04-28	2010-05-10	2010-08-28	2010-07-25	92261	115626	5767	6328	1876.470000	Område inkludert snuområde	333
WG1001	7208	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7208	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7208	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	3047 cu.in	2000psi	Kabler	10	5000	2010-04-15	2010-04-23	2010-09-30	2010-09-06	130000	111908	6500	6341	3177.870000	Område inkludert snuområde	334
WG1001	7208	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7208	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7208	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	3047 cu.in	2000psi	Kabler	10	5000	2010-04-15	2010-04-23	2010-09-30	2010-09-06	130000	111908	6500	6341	3177.870000	Område unntatt snuområde	335
MCG1001	7209	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7209	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7209	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	32	4230inch3	2000psi	Kabler	1	8100	2010-03-25	2010-04-04	2010-06-30	2010-05-25	3000	2883	3000	2883	\N	Område inkludert snuområde	336
WIN1002	7210	\N	\N	Avlyst	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2010-04-12	9999-12-31	2010-09-30	9999-12-31	250	\N	250	\N	\N	Område unntatt snuområde	337
WIN1002	7210	\N	\N	Avlyst	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2010-04-12	9999-12-31	2010-09-30	9999-12-31	250	\N	250	\N	\N	Område inkludert snuområde	338
WIN1003	7211	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7211	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7211	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2010-06-01	2010-06-04	2010-09-30	2010-06-18	250	250	250	250	\N	Område unntatt snuområde	339
WIN1003	7211	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7211	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7211	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2010-06-01	2010-06-04	2010-09-30	2010-06-18	250	250	250	250	\N	Område inkludert snuområde	340
MAE10301	7212	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7212	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7212	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Maersk Oil Norway AS	Seismisk kilde	1	10 cu.in.	1.0 bar/meter	Kabler	1	600	2010-07-13	2010-07-17	2010-08-01	2010-07-26	710	600	710	600	\N	Område unntatt snuområde	341
MAE10301	7212	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7212	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7212	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Maersk Oil Norway AS	Seismisk kilde	1	10 cu.in.	1.0 bar/meter	Kabler	1	600	2010-07-13	2010-07-17	2010-08-01	2010-07-26	710	600	710	600	\N	Område inkludert snuområde	342
SH1001	7213	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7213	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7213	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	4450 cu.in.	2000 psi	Kabler	10	6000	2010-06-03	2010-07-12	2010-08-31	2010-08-10	40000	41943	4000	2097	2072.100000	Område unntatt snuområde	343
SH1001	7213	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7213	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7213	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	4450 cu.in.	2000 psi	Kabler	10	6000	2010-06-03	2010-07-12	2010-08-31	2010-08-10	40000	41943	4000	2097	2072.100000	Område inkludert snuområde	344
SH1002	7214	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7214	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7214	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	4450 cu.in.	2000 psi	Kabler	10	6000	2010-06-20	2010-06-12	2010-08-31	2010-07-12	40000	37948	2000	1897	705.440000	Område inkludert snuområde	345
SH1002	7214	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7214	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7214	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	2	4450 cu.in.	2000 psi	Kabler	10	6000	2010-06-20	2010-06-12	2010-08-31	2010-07-12	40000	37948	2000	1897	705.440000	Område unntatt snuområde	346
BST6	7215	\N	\N	Avlyst	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	4200 cu.in.	2000 psi	Kabler	10	5400	2010-04-01	9999-12-31	2010-05-31	9999-12-31	80000	\N	4935	\N	681.800000	Område inkludert snuområde	347
BST6	7215	\N	\N	Avlyst	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	4200 cu.in.	2000 psi	Kabler	10	5400	2010-04-01	9999-12-31	2010-05-31	9999-12-31	80000	\N	4935	\N	681.800000	Område unntatt snuområde	348
TO-AlveN10	7216	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7216	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7216	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	3D	Total E&P Norge AS	Seismisk kilde	1 Mini air gun or 1 hull mounted pinger	10 or 20 ci inch sleeve gun	not known	Kabler	1	75 m	2010-05-05	2010-05-12	2010-05-19	2010-05-27	253	232	503	442	\N	Område unntatt snuområde	349
EMGS1008	7261	\N	\N	Avlyst	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120wW	UNKNOWN	Noder	200	UNKNOWN	2010-05-26	9999-12-31	2010-07-27	9999-12-31	520	\N	520	\N	526.350000	Område inkludert snuområde	429
TO-AlveN10	7216	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7216	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7216	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	3D	Total E&P Norge AS	Seismisk kilde	1 Mini air gun or 1 hull mounted pinger	10 or 20 ci inch sleeve gun	not known	Kabler	1	75 m	2010-05-05	2010-05-12	2010-05-19	2010-05-27	253	232	503	442	\N	Område inkludert snuområde	350
ST10301	7217	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7217	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7217	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-04-07	2010-04-20	2010-06-02	2010-05-30	156	171	156	171	\N	Område unntatt snuområde	351
ST10301	7217	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7217	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7217	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-04-07	2010-04-20	2010-06-02	2010-05-30	156	171	156	171	\N	Område inkludert snuområde	352
ST10316	7218	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7218	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7218	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-04-07	2010-04-20	2010-06-02	2010-05-27	157	172	157	172	\N	Område unntatt snuområde	353
ST10316	7218	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7218	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7218	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-04-07	2010-04-20	2010-06-02	2010-05-27	157	172	157	172	\N	Område inkludert snuområde	354
NBR10	7219	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7219	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7219	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	max. 4500	2000 psi	Kabler	1	8000	2010-04-26	2010-05-18	2010-09-30	2010-09-25	12000	11988	12000	11988	\N	Område inkludert snuområde	355
ST09455-1	7220	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7220	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7220	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	0	0	0	UNKNOWN	UNKNOWN	UNKNOWN	2010-04-12	2010-04-24	2010-05-31	2010-04-29	\N	\N	\N	\N	\N	Område unntatt snuområde	356
ST09455-1	7220	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7220	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7220	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	0	0	0	UNKNOWN	UNKNOWN	UNKNOWN	2010-04-12	2010-04-24	2010-05-31	2010-04-29	\N	\N	\N	\N	\N	Område inkludert snuområde	357
ST10317	7221	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7221	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7221	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-04-09	2010-05-24	2010-06-04	2010-05-30	25	35	25	35	\N	Område inkludert snuområde	358
ST10317	7221	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7221	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7221	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-04-09	2010-05-24	2010-06-04	2010-05-30	25	35	25	35	\N	Område unntatt snuområde	359
ST10309	7222	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7222	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7222	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000	Kabler	1	1200	2010-03-18	2010-04-12	2010-04-18	2010-04-15	105	156	105	156	\N	Område inkludert snuområde	360
ST10309	7222	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7222	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7222	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000	Kabler	1	1200	2010-03-18	2010-04-12	2010-04-18	2010-04-15	105	156	105	156	\N	Område unntatt snuområde	361
ST10011 N	7223	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7223	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7223	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	3460 cu.in	2000 psi	Kabler	8	6000	2010-05-15	2010-05-21	2010-07-25	2010-07-12	45000	58100	2800	3631	1067.050000	Område unntatt snuområde	362
ST10011 N	7223	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7223	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7223	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	3460 cu.in	2000 psi	Kabler	8	6000	2010-05-15	2010-05-21	2010-07-25	2010-07-12	45000	58100	2800	3631	1067.050000	Område inkludert snuområde	363
MNR10	7224	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7224	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7224	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	5860	2000 psi	Kabler	1	10000	2010-05-03	2010-05-07	2010-12-31	2010-10-12	13000	13892	13000	13892	\N	Område inkludert snuområde	364
MCG1002	7225	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7225	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7225	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	36	4504	2000	Kabler	1	8100	2010-04-29	2010-05-02	2010-06-30	2010-06-15	4500	3380	4500	3380	\N	Område inkludert snuområde	365
TO-Norvarg10	7226	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7226	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7226	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	1 mini air gun or 1 hull mounted pinger	10cu inch sleeve gun	not known	Kabler	1	75metres	2010-05-31	2010-05-30	2010-07-08	2010-07-04	1000	994	1200	398	\N	Område unntatt snuområde	366
TO-Norvarg10	7226	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7226	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7226	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	1 mini air gun or 1 hull mounted pinger	10cu inch sleeve gun	not known	Kabler	1	75metres	2010-05-31	2010-05-30	2010-07-08	2010-07-04	1000	994	1200	398	\N	Område inkludert snuområde	367
ST10005	7227	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7227	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7227	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	3147 cu.in.	2000 psi	Kabler	10	2400	2010-05-25	2010-06-02	2010-08-31	2010-08-30	70000	74840	3500	3742	583.090000	Område inkludert snuområde	368
ST10005	7227	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7227	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7227	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	3147 cu.in.	2000 psi	Kabler	10	2400	2010-05-25	2010-06-02	2010-08-31	2010-08-30	70000	74840	3500	3742	583.090000	Område unntatt snuområde	369
ST10003	7228	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7228	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7228	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2 (dual Flip-Flop)	3750 cu.in	2000 psi	Kabler	Opptil 3200 sensorer  pr kabelutlegg	3 patcher @ opptil 80 km kabelutlegg pr patch	2010-05-28	2010-05-29	2010-07-10	2010-07-08	1772	1775	1772	1775	168.060000	Område inkludert snuområde	370
ST10003	7228	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7228	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7228	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2 (dual Flip-Flop)	3750 cu.in	2000 psi	Kabler	Opptil 3200 sensorer  pr kabelutlegg	3 patcher @ opptil 80 km kabelutlegg pr patch	2010-05-28	2010-05-29	2010-07-10	2010-07-08	1772	1775	1772	1775	168.060000	Område unntatt snuområde	371
IPN1001	7229	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7229	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7229	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Idemitsu Petroleum Norge AS	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2010-05-05	2010-06-16	2010-07-01	2010-06-25	200	235	200	235	\N	Område inkludert snuområde	372
IPN1001	7229	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7229	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7229	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Idemitsu Petroleum Norge AS	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2010-05-05	2010-06-16	2010-07-01	2010-06-25	200	235	200	235	\N	Område unntatt snuområde	373
EO1001	7230	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7230	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7230	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	E.ON Ruhrgas Norge AS	Seismisk kilde	1	160 cu in	2000 psi	Kabler	1	1200m	2010-04-25	2010-05-03	2010-05-20	2010-05-08	130	126	130	126	\N	Område inkludert snuområde	374
EO1001	7230	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7230	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7230	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	E.ON Ruhrgas Norge AS	Seismisk kilde	1	160 cu in	2000 psi	Kabler	1	1200m	2010-04-25	2010-05-03	2010-05-20	2010-05-08	130	126	130	126	\N	Område unntatt snuområde	375
EO1002	7231	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7231	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7231	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	E.ON Ruhrgas Norge AS	Seismisk kilde	1	160 cu in	2000 psi	Kabler	1	1200m	2010-04-25	2010-05-03	2010-05-20	2010-05-08	30	30	30	30	\N	Område inkludert snuområde	376
EO1002	7231	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7231	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7231	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	E.ON Ruhrgas Norge AS	Seismisk kilde	1	160 cu in	2000 psi	Kabler	1	1200m	2010-04-25	2010-05-03	2010-05-20	2010-05-08	30	30	30	30	\N	Område unntatt snuområde	377
DN1001	7233	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7233	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7233	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2010-05-15	2010-06-01	2010-06-10	2010-06-07	300	300	300	300	\N	Område unntatt snuområde	378
DN1001	7233	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7233	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7233	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2010-05-15	2010-06-01	2010-06-10	2010-06-07	300	300	300	300	\N	Område inkludert snuområde	379
ST10004	7234	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7234	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7234	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	3111 cu. in.	2000 psi	Kabler	12	4500	2010-05-21	2010-05-27	2010-08-15	2010-06-08	13344	12305	556	513	306.640000	Område inkludert snuområde	380
ST10004	7234	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7234	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7234	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	3111 cu. in.	2000 psi	Kabler	12	4500	2010-05-21	2010-05-27	2010-08-15	2010-06-08	13344	12305	556	513	306.640000	Område unntatt snuområde	381
ST10020	7235	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7235	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7235	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	4200cu.in.	2000 psi	Kabler	10	5400	2010-04-01	2010-04-06	2010-09-30	2010-09-17	80000	31816	4935	1590	681.800000	Område unntatt snuområde	382
ST10020	7235	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7235	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7235	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	4200cu.in.	2000 psi	Kabler	10	5400	2010-04-01	2010-04-06	2010-09-30	2010-09-17	80000	31816	4935	1590	681.800000	Område inkludert snuområde	383
ST10305	7236	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7236	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7236	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-05-15	2010-06-08	2010-07-10	2010-06-24	184	246	184	246	\N	Område unntatt snuområde	384
ST10305	7236	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7236	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7236	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-05-15	2010-06-08	2010-07-10	2010-06-24	184	246	184	246	\N	Område inkludert snuområde	385
ST10016	7237	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7237	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7237	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	1	5085 in³	2000 psi	Kabler	6	3200	2010-05-25	2010-05-26	2010-07-20	2010-07-15	9000	8614	1200	1077	150.240000	Område unntatt snuområde	386
ST10016	7237	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7237	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7237	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	1	5085 in³	2000 psi	Kabler	6	3200	2010-05-25	2010-05-26	2010-07-20	2010-07-15	9000	8614	1200	1077	150.240000	Område inkludert snuområde	387
MC3D-NON2010	7238	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7238	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7238	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cubic inch	2000 psi	Kabler	10	6000	2010-06-13	2010-06-19	2010-08-01	2010-07-17	35700	28790	1785	1439	473.930000	Område unntatt snuområde	388
MC3D-NON2010	7238	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7238	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7238	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cubic inch	2000 psi	Kabler	10	6000	2010-06-13	2010-06-19	2010-08-01	2010-07-17	35700	28790	1785	1439	473.930000	Område inkludert snuområde	389
BG1001	7239	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7239	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7239	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BG Norge Limited	Seismisk kilde	4	4 x 40 cu.in	2000psi	Kabler	1	1200m	2010-05-21	2010-07-03	2010-08-28	2010-08-02	300	\N	300	847	\N	Område unntatt snuområde	390
BG1001	7239	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7239	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7239	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BG Norge Limited	Seismisk kilde	4	4 x 40 cu.in	2000psi	Kabler	1	1200m	2010-05-21	2010-07-03	2010-08-28	2010-08-02	300	\N	300	847	\N	Område inkludert snuområde	391
PC10NO01	7240	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7240	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7240	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Petro-Canada Norge AS	Seismisk kilde	2	5085 cu in	2000psi	Kabler	10	6000	2010-05-27	2010-06-12	2010-08-31	2010-08-05	42344	49729	2118	2529	1064.700000	Område unntatt snuområde	392
PC10NO01	7240	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7240	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7240	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Petro-Canada Norge AS	Seismisk kilde	2	5085 cu in	2000psi	Kabler	10	6000	2010-05-27	2010-06-12	2010-08-31	2010-08-05	42344	49729	2118	2529	1064.700000	Område inkludert snuområde	393
Penguin 2010 4D	7241	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7241	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7241	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	A/S Norske Shell	Seismisk kilde	2	3070 cu.in.	2000 psi	Kabler	8	4000m	2010-05-20	2010-06-07	2010-07-15	2010-06-30	5504	13051	344	1232	46.940000	Område inkludert snuområde	394
Penguin 2010 4D	7241	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7241	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7241	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	A/S Norske Shell	Seismisk kilde	2	3070 cu.in.	2000 psi	Kabler	8	4000m	2010-05-20	2010-06-07	2010-07-15	2010-06-30	5504	13051	344	1232	46.940000	Område unntatt snuområde	395
NSR10 VG	7242	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7242	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7242	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	4100 cu.inch	2000 psi	Kabler	1	8000	2010-05-15	2010-05-14	2010-08-31	2010-06-27	3000	3021	3000	3021	\N	Område inkludert snuområde	396
ST10307	7243	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7243	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7243	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-05-18	2010-05-31	2010-07-18	2010-06-07	213	195	213	195	\N	Område unntatt snuområde	397
ST10307	7243	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7243	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7243	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-05-18	2010-05-31	2010-07-18	2010-06-07	213	195	213	195	\N	Område inkludert snuområde	398
ST10453	7245	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7245	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7245	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Statoil ASA	\N	Ingen seismiske kilder	Ikkje relevant	Ikkje relevant	\N	0	0	2010-04-12	2010-04-18	2010-05-12	2010-04-23	\N	\N	\N	\N	\N	Område unntatt snuområde	399
ST10453	7245	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7245	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7245	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Statoil ASA	\N	Ingen seismiske kilder	Ikkje relevant	Ikkje relevant	\N	0	0	2010-04-12	2010-04-18	2010-05-12	2010-04-23	\N	\N	\N	\N	\N	Område inkludert snuområde	400
ST10014VN	7246	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	4130	2000	Kabler	12	5000	2010-05-25	9999-12-31	2010-07-22	9999-12-31	60019	\N	2500	\N	1491.220000	Område unntatt snuområde	401
ST10014VN	7246	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	4130	2000	Kabler	12	5000	2010-05-25	9999-12-31	2010-07-22	9999-12-31	60019	\N	2500	\N	1491.220000	Område inkludert snuområde	402
Caterpillar2010	7247	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7247	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7247	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	4	40 cu inches	2000psi	Kabler	1	1300m	2010-05-17	2010-05-19	2010-06-20	2010-06-18	306	499	500	499	\N	Område inkludert snuområde	403
Caterpillar2010	7247	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7247	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7247	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	4	40 cu inches	2000psi	Kabler	1	1300m	2010-05-17	2010-05-19	2010-06-20	2010-06-18	306	499	500	499	\N	Område unntatt snuområde	404
Marihøne2010	7248	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7248	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7248	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	4	40 cu inches	2000psi	Kabler	1	1300m	2010-05-17	2010-05-19	2010-06-20	2010-06-18	136	154	136	154	\N	Område inkludert snuområde	405
Marihøne2010	7248	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7248	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7248	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	4	40 cu inches	2000psi	Kabler	1	1300m	2010-05-17	2010-05-19	2010-06-20	2010-06-18	136	154	136	154	\N	Område unntatt snuområde	406
East Kameleon2010	7249	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7249	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7249	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	4	40 cu inches	2000psi	Kabler	1	1300m	2010-05-17	2010-05-19	2010-06-20	2010-06-18	32	118	202	118	\N	Område inkludert snuområde	407
East Kameleon2010	7249	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7249	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7249	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	4	40 cu inches	2000psi	Kabler	1	1300m	2010-05-17	2010-05-19	2010-06-20	2010-06-18	32	118	202	118	\N	Område unntatt snuområde	408
Earb2010	7250	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7250	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7250	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	4	40 cu inches	2000psi	Kabler	1	1300m	2010-05-17	2010-05-19	2010-06-20	2010-06-18	234	417	444	417	\N	Område inkludert snuområde	409
Earb2010	7250	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7250	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7250	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	4	40 cu inches	2000psi	Kabler	1	1300m	2010-05-17	2010-05-19	2010-06-20	2010-06-18	234	417	444	417	\N	Område unntatt snuområde	410
GN1001	7251	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7251	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7251	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	GASSNOVA SF	Seismisk kilde	2	2900 in.	2000 psi	Kabler	10	5100	2010-06-03	2010-06-09	2010-07-15	2010-07-04	16659	16692	1042	1043	417.040000	Område inkludert snuområde	411
GN1001	7251	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7251	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7251	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	GASSNOVA SF	Seismisk kilde	2	2900 in.	2000 psi	Kabler	10	5100	2010-06-03	2010-06-09	2010-07-15	2010-07-04	16659	16692	1042	1043	417.040000	Område unntatt snuområde	412
PGSTesting2010	7252	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7252	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7252	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	PGS Geophysical AS	Seismisk kilde	2	3111 cu.in	2000 psi	Kabler	10	6000m	2010-05-01	2010-05-07	2010-05-20	2010-05-11	\N	\N	\N	\N	\N	Område inkludert snuområde	413
PGSTesting2010	7252	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7252	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7252	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	PGS Geophysical AS	Seismisk kilde	2	3111 cu.in	2000 psi	Kabler	10	6000m	2010-05-01	2010-05-07	2010-05-20	2010-05-11	\N	\N	\N	\N	\N	Område unntatt snuområde	414
LN1052	7253	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7253	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7253	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200	2010-05-06	2010-05-09	2010-05-17	2010-05-15	176	182	190	183	\N	Område unntatt snuområde	415
LN1052	7253	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7253	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7253	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200	2010-05-06	2010-05-09	2010-05-17	2010-05-15	176	182	190	183	\N	Område inkludert snuområde	416
WIN1004	7255	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7255	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7255	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	Seismisk kilde	1	160 cuin	2000psi	Kabler	1	1200m	2010-06-01	2010-06-19	2010-07-31	2010-06-25	250	250	250	250	\N	Område inkludert snuområde	417
WIN1004	7255	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7255	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7255	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	Seismisk kilde	1	160 cuin	2000psi	Kabler	1	1200m	2010-06-01	2010-06-19	2010-07-31	2010-06-25	250	250	250	250	\N	Område unntatt snuområde	418
ST10312	7256	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7256	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7256	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-06-01	2010-06-27	2010-08-08	2010-07-02	213	202	213	202	\N	Område unntatt snuområde	419
ST10312	7256	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7256	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7256	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-06-01	2010-06-27	2010-08-08	2010-07-02	213	202	213	202	\N	Område inkludert snuområde	420
ST10008	7257	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7257	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7257	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	1	3750	2000 psi	Kabler	Opptil 3200 sensorer pr kabelutlegg	4	2010-08-24	2010-08-25	2010-10-10	2010-09-23	1774	1782	1774	1782	219.130000	Område inkludert snuområde	421
ST10008	7257	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7257	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7257	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	1	3750	2000 psi	Kabler	Opptil 3200 sensorer pr kabelutlegg	4	2010-08-24	2010-08-25	2010-10-10	2010-09-23	1774	1782	1774	1782	219.130000	Område unntatt snuområde	422
RWE1001	7258	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7258	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7258	Ferdig	Norskehavet	Nei	Annen undersøkelse	\N	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2010-05-15	2010-06-15	2010-09-01	2010-06-17	\N	\N	\N	\N	\N	Område inkludert snuområde	423
RWE1001	7258	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7258	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7258	Ferdig	Norskehavet	Nei	Annen undersøkelse	\N	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2010-05-15	2010-06-15	2010-09-01	2010-06-17	\N	\N	\N	\N	\N	Område unntatt snuområde	424
RWE1002	7259	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7259	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7259	Ferdig	Norskehavet	Nei	Annen undersøkelse	\N	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2010-05-15	2010-07-16	2010-09-01	2010-08-02	\N	\N	\N	\N	\N	Område unntatt snuområde	425
RWE1002	7259	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7259	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7259	Ferdig	Norskehavet	Nei	Annen undersøkelse	\N	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2010-05-15	2010-07-16	2010-09-01	2010-08-02	\N	\N	\N	\N	\N	Område inkludert snuområde	426
RWE1003	7260	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7260	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7260	Ferdig	Barentshavet - Sør	Nei	Annen undersøkelse	\N	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2010-05-15	2010-07-02	2010-09-01	2010-07-15	\N	\N	\N	\N	\N	Område inkludert snuområde	427
EM-Test-Troll	7262	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7262	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7262	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	Elektromagnetisk kilde	1	120 kW	2000 psi* hører til kommentaren	Kabler	1	6000 m	2010-06-20	2010-07-01	2010-07-20	2010-07-10	400	306	600	306	792.760000	Område inkludert snuområde	431
EM-Test-Troll	7262	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7262	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7262	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	Elektromagnetisk kilde	1	120 kW	2000 psi* hører til kommentaren	Kabler	1	6000 m	2010-06-20	2010-07-01	2010-07-20	2010-07-10	400	306	600	306	792.760000	Område unntatt snuområde	432
TE1002	7263	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160in3	UNKNOWN	Kabler	1	1200	2010-06-07	9999-12-31	2010-07-07	9999-12-31	150	\N	150	\N	\N	Område unntatt snuområde	433
TE1002	7263	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160in3	UNKNOWN	Kabler	1	1200	2010-06-07	9999-12-31	2010-07-07	9999-12-31	150	\N	150	\N	\N	Område inkludert snuområde	434
MC2D-CRRG2010	7264	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7264	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7264	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	1	4130 cu in	2000 psi	Kabler	1	8000	2010-05-17	2010-05-27	2010-07-01	2010-07-01	868	2430	868	2430	\N	Område inkludert snuområde	435
MC2D-VIC2010	7265	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7265	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7265	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	1	4130 cu in	2000 psi	Kabler	1	8000	2010-05-17	2010-06-17	2010-07-01	2010-06-23	431	865	431	865	\N	Område inkludert snuområde	436
ST10315	7266	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7266	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7266	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-10-23	2010-10-31	2010-12-23	2010-11-15	200	223	200	223	\N	Område unntatt snuområde	437
ST10315	7266	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7266	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7266	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-10-23	2010-10-31	2010-12-23	2010-11-15	200	223	200	223	\N	Område inkludert snuområde	438
MC2D-EGGA2010	7267	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	1	4130 cu in	2000 psi	Kabler	1	8000	2010-05-17	9999-12-31	2010-07-01	9999-12-31	120	\N	120	\N	\N	Område inkludert snuområde	439
ST10013 HUSVÆR	7268	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7268	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7268	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	3111 cu.in	2000 psi	Kabler	12	4500	2010-06-01	2010-06-09	2010-08-31	2010-07-28	53760	67131	2240	2797	1342.450000	Område inkludert snuområde	440
ST10013 HUSVÆR	7268	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7268	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7268	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	3111 cu.in	2000 psi	Kabler	12	4500	2010-06-01	2010-06-09	2010-08-31	2010-07-28	53760	67131	2240	2797	1342.450000	Område unntatt snuområde	441
FRØY 2010-1	7269	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7269	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7269	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Det norske oljeselskap ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2010-05-15	2010-05-15	2010-05-23	2010-05-18	\N	\N	\N	\N	\N	Område inkludert snuområde	442
FRØY 2010-1	7269	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7269	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7269	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Det norske oljeselskap ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2010-05-15	2010-05-15	2010-05-23	2010-05-18	\N	\N	\N	\N	\N	Område unntatt snuområde	443
ST10319	7270	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7270	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7270	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000	Kabler	1	1200	2010-08-13	2010-09-03	2010-10-09	2010-09-07	300	201	300	201	\N	Område inkludert snuområde	444
ST10319	7270	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7270	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7270	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000	Kabler	1	1200	2010-08-13	2010-09-03	2010-10-09	2010-09-07	300	201	300	201	\N	Område unntatt snuområde	445
ST10007	7272	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7272	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7272	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	1	3750 cu.in	2000 psi	Kabler	4	Opptil 3200 sensorer pr kabelutlegg	2010-09-20	2010-09-20	2010-12-31	2010-11-27	5526	5501	5526	5501	508.010000	Område unntatt snuområde	446
ST10007	7272	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7272	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7272	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	1	3750 cu.in	2000 psi	Kabler	4	Opptil 3200 sensorer pr kabelutlegg	2010-09-20	2010-09-20	2010-12-31	2010-11-27	5526	5501	5526	5501	508.010000	Område inkludert snuområde	447
EMGS1009	7273	\N	\N	Avlyst	Norskehavet	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120 kW	UNKNOWN	Noder	200	Ikke aktuelt	2010-06-07	9999-12-31	2010-08-31	9999-12-31	560	\N	560	\N	7224.420000	Område unntatt snuområde	448
EMGS1009	7273	\N	\N	Avlyst	Norskehavet	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120 kW	UNKNOWN	Noder	200	Ikke aktuelt	2010-06-07	9999-12-31	2010-08-31	9999-12-31	560	\N	560	\N	7224.420000	Område inkludert snuområde	449
ST10015	7274	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7274	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7274	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	5085 in³	2000 psi	Kabler	12	5000	2010-07-08	2010-07-15	2010-09-02	2010-08-24	27000	1340	1150	32200	410.850000	Område unntatt snuområde	450
ST10015	7274	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7274	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7274	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	5085 in³	2000 psi	Kabler	12	5000	2010-07-08	2010-07-15	2010-09-02	2010-08-24	27000	1340	1150	32200	410.850000	Område inkludert snuområde	451
ST10318	7275	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7275	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7275	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-06-17	2010-08-02	2010-08-31	2010-08-03	200	66	200	66	\N	Område inkludert snuområde	452
ST10318	7275	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7275	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7275	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-06-17	2010-08-02	2010-08-31	2010-08-03	200	66	200	66	\N	Område unntatt snuområde	453
BG1002	7276	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7276	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7276	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	BG Norge AS	Seismisk kilde	2	2840cuin	2000psi	Kabler	10	6000	2010-07-15	2010-07-18	2010-10-01	2010-08-31	55000	45746	2300	2287	1059.820000	Område inkludert snuområde	454
BG1002	7276	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7276	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7276	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	BG Norge AS	Seismisk kilde	2	2840cuin	2000psi	Kabler	10	6000	2010-07-15	2010-07-18	2010-10-01	2010-08-31	55000	45746	2300	2287	1059.820000	Område unntatt snuområde	455
ST10012-E	7277	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7277	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7277	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Statoil Petroleum AS	Seismisk kilde	2	3310	2000	Kabler	8	6000	2010-07-08	2010-07-13	2010-09-30	2010-09-10	32000	40350	2000	2521	612.620000	Område inkludert snuområde	456
ST10012-E	7277	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7277	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7277	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Statoil Petroleum AS	Seismisk kilde	2	3310	2000	Kabler	8	6000	2010-07-08	2010-07-13	2010-09-30	2010-09-10	32000	40350	2000	2521	612.620000	Område unntatt snuområde	457
OMV1002	7278	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7278	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7278	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	Seismisk kilde	4	40cuin	2000 psi	Kabler	1	1200	2010-06-21	2010-07-19	2010-08-31	2010-08-06	200	264	200	558	\N	Område unntatt snuområde	458
OMV1002	7278	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7278	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7278	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	Seismisk kilde	4	40cuin	2000 psi	Kabler	1	1200	2010-06-21	2010-07-19	2010-08-31	2010-08-06	200	264	200	558	\N	Område inkludert snuområde	459
OMV1001	7279	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7279	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7279	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	Seismisk kilde	4	40cuin	2000 psi	Kabler	1	1200	2010-06-21	2010-06-28	2010-08-31	2010-07-18	200	146	200	525	\N	Område unntatt snuområde	460
OMV1001	7279	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7279	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7279	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	Seismisk kilde	4	40cuin	2000 psi	Kabler	1	1200	2010-06-21	2010-06-28	2010-08-31	2010-07-18	200	146	200	525	\N	Område inkludert snuområde	461
MNDW2010	7280	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7280	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7280	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	Spec Partners Ltd	Seismisk kilde	1	6300 kubikktommer	2000 psi	Kabler	1	12000	2010-05-20	2010-05-26	2010-07-30	2010-07-22	3745	3956	3745	3956	\N	Område inkludert snuområde	462
NSR10 FR	7281	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	3200 cu.in.	2000 psi	Kabler	1	8000	2010-06-27	9999-12-31	2010-10-31	9999-12-31	1600	\N	1600	\N	\N	Område inkludert snuområde	463
EN1001	7282	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7282	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7282	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Eni Norge AS	Seismisk kilde	1	160 kubikk tommer	2000 psi	Kabler	1	1200	2010-07-07	2010-07-26	2010-08-15	2010-07-31	60	60	60	60	\N	Område unntatt snuområde	464
EN1001	7282	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7282	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7282	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Eni Norge AS	Seismisk kilde	1	160 kubikk tommer	2000 psi	Kabler	1	1200	2010-07-07	2010-07-26	2010-08-15	2010-07-31	60	60	60	60	\N	Område inkludert snuområde	465
EN1002	7283	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7283	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7283	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Eni Norge AS	Seismisk kilde	1	160 kubikk tommer	2000 psi	Kabler	1	1200	2010-07-07	2010-07-14	2010-08-15	2010-07-26	300	181	300	181	\N	Område unntatt snuområde	466
EN1002	7283	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7283	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7283	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Eni Norge AS	Seismisk kilde	1	160 kubikk tommer	2000 psi	Kabler	1	1200	2010-07-07	2010-07-14	2010-08-15	2010-07-26	300	181	300	181	\N	Område inkludert snuområde	467
LN1002	7284	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7284	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7284	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	3000	2000 psi	Kabler	10	6000	2010-08-21	2010-09-08	2010-11-01	2010-10-17	500	20151	1000	1007	588.720000	Område unntatt snuområde	468
LN1002	7284	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7284	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7284	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	3000	2000 psi	Kabler	10	6000	2010-08-21	2010-09-08	2010-11-01	2010-10-17	500	20151	1000	1007	588.720000	Område inkludert snuområde	469
LN1001	7285	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7285	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7285	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	3000 cu in	2000 psi	Kabler	8	6000	2010-09-01	2010-09-10	2010-11-10	2010-11-02	11600	8841	725	552	249.050000	Område unntatt snuområde	470
LN1001	7285	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7285	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7285	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	3000 cu in	2000 psi	Kabler	8	6000	2010-09-01	2010-09-10	2010-11-10	2010-11-02	11600	8841	725	552	249.050000	Område inkludert snuområde	471
ST10457	7286	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7286	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7286	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	\N	\N	\N	\N	\N	\N	2010-08-01	2010-08-21	2010-10-31	2010-08-31	\N	\N	\N	\N	\N	Område inkludert snuområde	472
ST10457	7286	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7286	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7286	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	\N	\N	\N	\N	\N	\N	2010-08-01	2010-08-21	2010-10-31	2010-08-31	\N	\N	\N	\N	\N	Område unntatt snuområde	473
ST10314	7287	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7287	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7287	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-07-04	2010-07-07	2010-09-23	2010-08-01	800	771	800	771	\N	Område inkludert snuområde	474
ST10314	7287	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7287	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7287	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-07-04	2010-07-07	2010-09-23	2010-08-01	800	771	800	771	\N	Område unntatt snuområde	475
ST10458	7288	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7288	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7288	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	\N	\N	\N	\N	\N	\N	2010-08-30	2010-10-03	2010-10-20	2010-10-08	1	\N	1	\N	\N	Område inkludert snuområde	476
ST10458	7288	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7288	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7288	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	\N	\N	\N	\N	\N	\N	2010-08-30	2010-10-03	2010-10-20	2010-10-08	1	\N	1	\N	\N	Område unntatt snuområde	477
ST10009	7289	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7289	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7289	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	3D	Statoil Petroleum AS	Seismisk kilde	2	3990 cu.in	2000 psi	Kabler	8	6000	2010-08-13	2010-08-15	2010-09-30	2010-09-25	4400	16034	2240	2139	158.880000	Område inkludert snuområde	478
ST10009	7289	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7289	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7289	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	3D	Statoil Petroleum AS	Seismisk kilde	2	3990 cu.in	2000 psi	Kabler	8	6000	2010-08-13	2010-08-15	2010-09-30	2010-09-25	4400	16034	2240	2139	158.880000	Område unntatt snuområde	479
BG1003	7290	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7290	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7290	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4	40 cu in	2000 psi	Kabler	1	1200	2010-08-13	2010-08-13	2010-09-30	2010-09-09	380	108	490	520	\N	Område unntatt snuområde	480
BG1003	7290	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7290	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7290	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4	40 cu in	2000 psi	Kabler	1	1200	2010-08-13	2010-08-13	2010-09-30	2010-09-09	380	108	490	520	\N	Område inkludert snuområde	481
TE1001	7291	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 cu.inch	UNKNOWN	Kabler	1	1200	2010-05-21	9999-12-31	2010-06-18	9999-12-31	150	\N	150	\N	\N	Område inkludert snuområde	482
TE1001	7291	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 cu.inch	UNKNOWN	Kabler	1	1200	2010-05-21	9999-12-31	2010-06-18	9999-12-31	150	\N	150	\N	\N	Område unntatt snuområde	483
OMV1003	7292	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7292	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7292	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	OMV (Norge) AS	Seismisk kilde	6	3100 cuin	2000 psi	Kabler	8	8000	2010-08-01	2010-08-23	2010-09-30	2010-09-21	42000	2650	2650	42400	768.910000	Område inkludert snuområde	484
OMV1003	7292	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7292	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7292	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	OMV (Norge) AS	Seismisk kilde	6	3100 cuin	2000 psi	Kabler	8	8000	2010-08-01	2010-08-23	2010-09-30	2010-09-21	42000	2650	2650	42400	768.910000	Område unntatt snuområde	485
EO1003	7293	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7293	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7293	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	E.ON Ruhrgas Norge AS	Seismisk kilde	2	4135 in3	2000 psi	Kabler	10	6000	2010-07-12	2010-07-12	2010-09-10	2010-08-16	54720	66280	2736	3314	1353.470000	Område inkludert snuområde	486
EO1003	7293	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7293	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7293	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	E.ON Ruhrgas Norge AS	Seismisk kilde	2	4135 in3	2000 psi	Kabler	10	6000	2010-07-12	2010-07-12	2010-09-10	2010-08-16	54720	66280	2736	3314	1353.470000	Område unntatt snuområde	487
OMV1004	7294	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7294	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7294	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	OMV (Norge) AS	Seismisk kilde	6	3100 cuin	2000 psi	Kabler	10	4000	2010-08-01	2010-08-06	2010-09-30	2010-08-26	22000	2234	1100	1108	508.150000	Område unntatt snuområde	488
OMV1004	7294	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7294	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7294	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	OMV (Norge) AS	Seismisk kilde	6	3100 cuin	2000 psi	Kabler	10	4000	2010-08-01	2010-08-06	2010-09-30	2010-08-26	22000	2234	1100	1108	508.150000	Område inkludert snuområde	489
WIN1005	7295	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2010-08-01	9999-12-31	2010-10-31	9999-12-31	250	\N	250	\N	25.020000	Område unntatt snuområde	490
WIN1005	7295	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2010-08-01	9999-12-31	2010-10-31	9999-12-31	250	\N	250	\N	25.020000	Område inkludert snuområde	491
EM-3D-Peon	7296	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7296	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7296	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	Elektromagnetisk kilde	1	120 kW	2000 psi*	Kabler	1	6000 m	2010-07-08	2010-07-11	2010-07-20	2010-07-15	600	306	400	306	527.570000	Område unntatt snuområde	492
EM-3D-Peon	7296	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7296	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7296	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	Elektromagnetisk kilde	1	120 kW	2000 psi*	Kabler	1	6000 m	2010-07-08	2010-07-11	2010-07-20	2010-07-15	600	306	400	306	527.570000	Område inkludert snuområde	493
PM 02-2010	7298	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7298	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7298	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2010-07-25	2010-08-08	2010-08-25	2010-08-17	\N	18	30	\N	\N	Område inkludert snuområde	496
PM 02-2010	7298	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7298	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7298	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2010-07-25	2010-08-08	2010-08-25	2010-08-17	\N	18	30	\N	\N	Område unntatt snuområde	497
PM 03-2010	7299	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2010-07-25	9999-12-31	2010-08-25	9999-12-31	\N	\N	30	\N	\N	Område unntatt snuområde	498
PM 03-2010	7299	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2010-07-25	9999-12-31	2010-08-25	9999-12-31	\N	\N	30	\N	\N	Område inkludert snuområde	499
BPN0301_12	7300	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7300	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7300	Ferdig	Nordsjøen	Ja	Annen undersøkelse	\N	BP Norge AS	Seismisk kilde	3 sub-arrays with 20 individual cannons	total volume equals 2000 cu.in.	2000 PSI	\N	2500 4-componant instruments (modules)	125 km of active sub-sea cable	2010-07-15	2010-08-01	2010-08-31	2010-09-04	\N	103360	2600	2584	142.360000	Område inkludert snuområde	500
BPN0301_12	7300	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7300	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7300	Ferdig	Nordsjøen	Ja	Annen undersøkelse	\N	BP Norge AS	Seismisk kilde	3 sub-arrays with 20 individual cannons	total volume equals 2000 cu.in.	2000 PSI	\N	2500 4-componant instruments (modules)	125 km of active sub-sea cable	2010-07-15	2010-08-01	2010-08-31	2010-09-04	\N	103360	2600	2584	142.360000	Område unntatt snuområde	501
EO1004	7301	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7301	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7301	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	E.ON Ruhrgas Norge AS	Seismisk kilde	1	160 cu in	2000 psi	Kabler	1	1200	2010-10-06	2010-10-06	2010-12-06	2010-11-19	240	217	240	217	\N	Område unntatt snuområde	502
EO1004	7301	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7301	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7301	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	E.ON Ruhrgas Norge AS	Seismisk kilde	1	160 cu in	2000 psi	Kabler	1	1200	2010-10-06	2010-10-06	2010-12-06	2010-11-19	240	217	240	217	\N	Område inkludert snuområde	503
PM 04-2010	7302	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7302	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7302	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500 A	UNKNOWN	Noder	5	UNKNOWN	2010-07-15	2010-07-21	2010-08-15	2010-07-27	\N	\N	30	30	\N	Område unntatt snuområde	504
PM 04-2010	7302	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7302	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7302	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500 A	UNKNOWN	Noder	5	UNKNOWN	2010-07-15	2010-07-21	2010-08-15	2010-07-27	\N	\N	30	30	\N	Område inkludert snuområde	505
Ormen Lange Geotech	7303	\N	\N	Avlyst	Norskehavet	Nei	Annen undersøkelse	\N	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2010-10-14	9999-12-31	2010-11-12	9999-12-31	100	\N	10	\N	\N	Område unntatt snuområde	506
Ormen Lange Geotech	7303	\N	\N	Avlyst	Norskehavet	Nei	Annen undersøkelse	\N	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2010-10-14	9999-12-31	2010-11-12	9999-12-31	100	\N	10	\N	\N	Område inkludert snuområde	507
CP1099	7304	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7304	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7304	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	ConocoPhillips Skandinavia AS	Seismisk kilde	4	4 X 40 cuin total 160cuin	UNKNOWN	Kabler	1	600m	2010-07-22	2010-08-11	2010-08-31	2010-08-20	120	135	120	135	\N	Område unntatt snuområde	508
CP1099	7304	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7304	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7304	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	ConocoPhillips Skandinavia AS	Seismisk kilde	4	4 X 40 cuin total 160cuin	UNKNOWN	Kabler	1	600m	2010-07-22	2010-08-11	2010-08-31	2010-08-20	120	135	120	135	\N	Område inkludert snuområde	509
LN1053	7305	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7305	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7305	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200m	2010-08-03	2010-08-03	2010-09-12	2010-08-07	300	177	350	180	\N	Område inkludert snuområde	510
LN1053	7305	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7305	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7305	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200m	2010-08-03	2010-08-03	2010-09-12	2010-08-07	300	177	350	180	\N	Område unntatt snuområde	511
MC2D-CNS2010	7306	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7306	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7306	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	1	4130 cu in	2000 psi	Kabler	1	8000	2010-07-01	2010-07-03	2010-08-15	2010-07-08	500	265	500	265	\N	Område inkludert snuområde	512
PM 05-2010	7307	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7307	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7307	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2010-07-20	2010-07-28	2010-08-20	2010-08-01	\N	\N	30	30	\N	Område inkludert snuområde	513
PM 05-2010	7307	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7307	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7307	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2010-07-20	2010-07-28	2010-08-20	2010-08-01	\N	\N	30	30	\N	Område unntatt snuområde	514
ST10308	7308	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7308	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7308	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-09-21	2010-09-28	2010-11-21	2010-10-13	230	230	230	230	\N	Område unntatt snuområde	515
ST10308	7308	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7308	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7308	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-09-21	2010-09-28	2010-11-21	2010-10-13	230	230	230	230	\N	Område inkludert snuområde	516
PM 06-2010	7310	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2010-07-20	9999-12-31	2010-08-20	9999-12-31	\N	\N	30	\N	\N	Område inkludert snuområde	520
PM 07-2010	7311	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2010-07-20	9999-12-31	2010-08-20	9999-12-31	\N	\N	30	\N	\N	Område unntatt snuområde	521
PM 07-2010	7311	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2010-07-20	9999-12-31	2010-08-20	9999-12-31	\N	\N	30	\N	\N	Område inkludert snuområde	522
ST10456	7312	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7312	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7312	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	0	0	0	\N	0	0	2010-10-15	2010-10-18	2010-12-15	2010-10-28	\N	\N	\N	\N	\N	Område inkludert snuområde	523
ST10456	7312	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7312	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7312	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	0	0	0	\N	0	0	2010-10-15	2010-10-18	2010-12-15	2010-10-28	\N	\N	\N	\N	\N	Område unntatt snuområde	524
DN1002	7313	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7313	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7313	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Det norske oljeselskap ASA	Seismisk kilde	1	150 cu in	2000psi	Kabler	1	1200	2010-07-28	2010-08-06	2010-08-15	2010-08-09	200	150	200	150	\N	Område inkludert snuområde	525
DN1002	7313	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7313	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7313	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Det norske oljeselskap ASA	Seismisk kilde	1	150 cu in	2000psi	Kabler	1	1200	2010-07-28	2010-08-06	2010-08-15	2010-08-09	200	150	200	150	\N	Område unntatt snuområde	526
ST10454	7314	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7314	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7314	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2010-08-15	2010-09-26	2010-12-01	2010-10-02	\N	\N	\N	\N	\N	Område unntatt snuområde	527
ST10454	7314	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7314	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7314	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2010-08-15	2010-09-26	2010-12-01	2010-10-02	\N	\N	\N	\N	\N	Område inkludert snuområde	528
ST10459	7315	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7315	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7315	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2010-08-15	2010-09-17	2010-12-01	2010-09-26	\N	\N	\N	\N	\N	Område inkludert snuområde	529
ST10459	7315	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7315	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7315	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2010-08-15	2010-09-17	2010-12-01	2010-09-26	\N	\N	\N	\N	\N	Område unntatt snuområde	530
ST10017	7316	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7316	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7316	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	5085	2000 psi	Kabler	10	4500	2010-09-03	2010-09-05	2010-10-15	2010-09-27	7900	10240	395	511	136.810000	Område unntatt snuområde	531
ST10017	7316	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7316	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7316	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	5085	2000 psi	Kabler	10	4500	2010-09-03	2010-09-05	2010-10-15	2010-09-27	7900	10240	395	511	136.810000	Område inkludert snuområde	532
DN1003	7317	\N	\N	Avlyst	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2010-08-01	9999-12-31	2010-08-15	9999-12-31	150	\N	150	\N	\N	Område inkludert snuområde	533
DN1003	7317	\N	\N	Avlyst	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	\N	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2010-08-01	9999-12-31	2010-08-15	9999-12-31	150	\N	150	\N	\N	Område unntatt snuområde	534
CE1001	7318	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7318	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7318	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	Seismisk kilde	1	4 x 40 cu. in	2000 psi	Kabler	1	1200	2010-06-16	2010-07-25	2010-08-16	2010-08-04	200	169	250	266	\N	Område inkludert snuområde	535
CE1001	7318	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7318	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7318	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	Seismisk kilde	1	4 x 40 cu. in	2000 psi	Kabler	1	1200	2010-06-16	2010-07-25	2010-08-16	2010-08-04	200	169	250	266	\N	Område unntatt snuområde	536
ST10306	7319	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7319	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7319	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-08-04	2010-08-11	2010-10-04	2010-09-27	250	247	250	247	\N	Område inkludert snuområde	537
ST10306	7319	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7319	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7319	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-08-04	2010-08-11	2010-10-04	2010-09-27	250	247	250	247	\N	Område unntatt snuområde	538
NX1053	7320	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7320	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7320	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Nexen Exploration Norge AS	Seismisk kilde	4	40 in3	2000 psi	Kabler	1	1200	2010-09-07	2010-09-14	2010-10-31	2010-10-17	250	185	250	185	\N	Område inkludert snuområde	539
NX1053	7320	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7320	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7320	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Nexen Exploration Norge AS	Seismisk kilde	4	40 in3	2000 psi	Kabler	1	1200	2010-09-07	2010-09-14	2010-10-31	2010-10-17	250	185	250	185	\N	Område unntatt snuområde	540
Ormen L-Geodesy	7321	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7321	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7321	Ferdig	Norskehavet	Nei	Annen undersøkelse	\N	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2010-11-12	2010-10-05	2010-12-12	2010-11-22	200	100	100	10	\N	Område inkludert snuområde	541
Ormen L-Geodesy	7321	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7321	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7321	Ferdig	Norskehavet	Nei	Annen undersøkelse	\N	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2010-11-12	2010-10-05	2010-12-12	2010-11-22	200	100	100	10	\N	Område unntatt snuområde	542
SH1003	7322	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7322	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7322	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	2	6000	2010-08-03	2010-08-12	2010-08-31	2010-08-16	105	218	105	218	\N	Område inkludert snuområde	543
ST10010	7323	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7323	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7323	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	3990	2000 psi	Kabler	8	6000	2010-09-25	2010-09-26	2010-11-30	2010-11-06	936	936	936	936	71.290000	Område inkludert snuområde	544
ST10010	7323	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7323	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7323	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	3990	2000 psi	Kabler	8	6000	2010-09-25	2010-09-26	2010-11-30	2010-11-06	936	936	936	936	71.290000	Område unntatt snuområde	545
PM 08-2010	7324	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7324	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7324	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2010-08-01	2010-08-05	2010-08-31	2010-08-08	\N	\N	30	30	\N	Område unntatt snuområde	546
PM 08-2010	7324	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7324	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7324	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2010-08-01	2010-08-05	2010-08-31	2010-08-08	\N	\N	30	30	\N	Område inkludert snuområde	547
BPN10301	7325	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7325	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7325	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	total volume equals 160 cu in	to be confirmed	Kabler	96 12.5m groups	1 x 1200m streamer	2010-10-04	2010-10-04	2010-10-16	2010-10-08	46	37	70	56	\N	Område unntatt snuområde	548
BPN10301	7325	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7325	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7325	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	total volume equals 160 cu in	to be confirmed	Kabler	96 12.5m groups	1 x 1200m streamer	2010-10-04	2010-10-04	2010-10-16	2010-10-08	46	37	70	56	\N	Område inkludert snuområde	549
BPN10302	7326	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7326	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7326	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	total volume equals 160 cu in	to be confirmed	Kabler	96 12.5m groups	1 x 1200m streamer	2010-10-04	2010-10-04	2010-10-16	2010-10-07	50	64	76	97	\N	Område unntatt snuområde	550
BPN10302	7326	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7326	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7326	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	total volume equals 160 cu in	to be confirmed	Kabler	96 12.5m groups	1 x 1200m streamer	2010-10-04	2010-10-04	2010-10-16	2010-10-07	50	64	76	97	\N	Område inkludert snuområde	551
BPN10303	7327	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7327	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7327	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	total volume equals 160 cu in	to be confirmed	Kabler	92 12.5m groups	1 x 1200m streamer	2010-10-04	2010-10-04	2010-10-16	2010-10-08	36	12	55	18	\N	Område inkludert snuområde	552
BPN10303	7327	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7327	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7327	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	total volume equals 160 cu in	to be confirmed	Kabler	92 12.5m groups	1 x 1200m streamer	2010-10-04	2010-10-04	2010-10-16	2010-10-08	36	12	55	18	\N	Område unntatt snuområde	553
EMGS1010	7328	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7328	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7328	Ferdig	Norskehavet	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	120	UNKNOWN	2010-08-09	2010-08-29	2010-09-30	2010-09-30	500	380	500	380	1307.210000	Område inkludert snuområde	554
EMGS1010	7328	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7328	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7328	Ferdig	Norskehavet	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	120	UNKNOWN	2010-08-09	2010-08-29	2010-09-30	2010-09-30	500	380	500	380	1307.210000	Område unntatt snuområde	555
EMGS1011	7329	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7329	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7329	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	120	UNKNOWN	2010-08-09	2010-09-12	2010-09-30	2010-09-27	500	480	500	480	12886.600000	Område inkludert snuområde	556
EMGS1011	7329	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7329	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7329	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	120	UNKNOWN	2010-08-09	2010-09-12	2010-09-30	2010-09-27	500	480	500	480	12886.600000	Område unntatt snuområde	557
ST10310	7330	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7330	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7330	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-10-19	2010-11-20	2010-12-19	2010-11-22	80	20	80	20	\N	Område inkludert snuområde	558
ST10310	7330	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7330	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7330	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-10-19	2010-11-20	2010-12-19	2010-11-22	80	20	80	20	\N	Område unntatt snuområde	559
ST10321	7331	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7331	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7331	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-10-19	2010-11-10	2010-12-19	2010-11-20	80	50	80	50	\N	Område inkludert snuområde	560
SH1101	7477	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	8000	2011-07-17	9999-12-31	2011-09-15	9999-12-31	180	\N	180	\N	\N	Område inkludert snuområde	828
ST10321	7331	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7331	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7331	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-10-19	2010-11-10	2010-12-19	2010-11-20	80	50	80	50	\N	Område unntatt snuområde	561
BG1004	7332	\N	\N	Avlyst	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4	40 cu.in.	2000 psi	Kabler	1	1200	2010-09-26	9999-12-31	2010-10-16	9999-12-31	380	\N	400	\N	\N	Område unntatt snuområde	562
BG1004	7332	\N	\N	Avlyst	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4	40 cu.in.	2000 psi	Kabler	1	1200	2010-09-26	9999-12-31	2010-10-16	9999-12-31	380	\N	400	\N	\N	Område inkludert snuområde	563
WGEM1001	7333	\N	\N	Avlyst	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	WesternGeco AS	Elektromagnetisk kilde	1	120kW	Ikke aktuelt	Noder	300	Ikke aktuelt	2010-08-23	9999-12-31	2010-10-23	9999-12-31	1200	\N	1000	\N	3177.870000	Område inkludert snuområde	564
WGEM1001	7333	\N	\N	Avlyst	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	WesternGeco AS	Elektromagnetisk kilde	1	120kW	Ikke aktuelt	Noder	300	Ikke aktuelt	2010-08-23	9999-12-31	2010-10-23	9999-12-31	1200	\N	1000	\N	3177.870000	Område unntatt snuområde	565
ST10320	7334	\N	\N	Avlyst	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-08-19	9999-12-31	2010-10-22	9999-12-31	380	\N	380	\N	\N	Område unntatt snuområde	566
ST10320	7334	\N	\N	Avlyst	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-08-19	9999-12-31	2010-10-22	9999-12-31	380	\N	380	\N	\N	Område inkludert snuområde	567
ST10461	7335	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7335	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7335	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2010-08-25	2010-10-08	2010-12-01	2010-10-12	\N	\N	\N	\N	\N	Område unntatt snuområde	568
ST10461	7335	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7335	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7335	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2010-08-25	2010-10-08	2010-12-01	2010-10-12	\N	\N	\N	\N	\N	Område inkludert snuområde	569
ST10462	7336	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7336	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7336	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2010-08-25	2010-10-14	2010-12-01	2010-10-18	\N	\N	\N	\N	\N	Område unntatt snuområde	570
ST10462	7336	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7336	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7336	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2010-08-25	2010-10-14	2010-12-01	2010-10-18	\N	\N	\N	\N	\N	Område inkludert snuområde	571
SH1004	7337	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7337	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7337	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	2	6000 - 10000	2010-08-03	2010-08-13	2010-08-31	2010-08-14	80	72	80	72	\N	Område inkludert snuområde	572
PM 09-2010	7338	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7338	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7338	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	4	\N	2010-08-15	2010-08-19	2010-09-15	2010-08-24	\N	\N	30	30	\N	Område unntatt snuområde	573
PM 09-2010	7338	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7338	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7338	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	4	\N	2010-08-15	2010-08-19	2010-09-15	2010-08-24	\N	\N	30	30	\N	Område inkludert snuområde	574
ST10322	7339	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7339	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7339	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-08-24	2010-09-20	2010-10-24	2010-09-22	100	80	100	80	\N	Område inkludert snuområde	575
ST10322	7339	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7339	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7339	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-08-24	2010-09-20	2010-10-24	2010-09-22	100	80	100	80	\N	Område unntatt snuområde	576
Ormen L Mid	7340	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7340	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7340	Ferdig	Norskehavet	Ja	Annen undersøkelse	\N	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2010-10-12	2010-10-18	2010-11-12	2010-11-12	30	100	30	10	\N	Område inkludert snuområde	577
Ormen L Mid	7340	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7340	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7340	Ferdig	Norskehavet	Ja	Annen undersøkelse	\N	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2010-10-12	2010-10-18	2010-11-12	2010-11-12	30	100	30	10	\N	Område unntatt snuområde	578
CGR2010P2	7341	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4135 cuin	2000 psi	Kabler	12	6000	2010-09-01	9999-12-31	2010-10-20	9999-12-31	80000	\N	4000	\N	3463.170000	Område unntatt snuområde	579
CGR2010P2	7341	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4135 cuin	2000 psi	Kabler	12	6000	2010-09-01	9999-12-31	2010-10-20	9999-12-31	80000	\N	4000	\N	3463.170000	Område inkludert snuområde	580
CGR2010P3	7342	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7342	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7342	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4135 cuin	2000 psi	Kabler	12	6000	2010-09-01	2010-09-07	2010-10-20	2010-10-15	4000	32838	80000	1641	1307.210000	Område inkludert snuområde	581
CGR2010P3	7342	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7342	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7342	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4135 cuin	2000 psi	Kabler	12	6000	2010-09-01	2010-09-07	2010-10-20	2010-10-15	4000	32838	80000	1641	1307.210000	Område unntatt snuområde	582
ST10021	7343	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7343	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7343	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	5085 in³	2000 psi	Kabler	12	5000	2010-08-20	2010-08-26	2010-10-10	2010-09-09	690	15240	16500	635	176.570000	Område unntatt snuområde	583
SH1102	7478	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-17	9999-12-31	2011-09-15	9999-12-31	60	\N	60	\N	\N	Område inkludert snuområde	829
ST10021	7343	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7343	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7343	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	5085 in³	2000 psi	Kabler	12	5000	2010-08-20	2010-08-26	2010-10-10	2010-09-09	690	15240	16500	635	176.570000	Område inkludert snuområde	584
ST10323	7344	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7344	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7344	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-11-15	2010-11-25	2011-01-15	2010-12-25	260	243	260	243	\N	Område inkludert snuområde	585
ST10323	7344	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7344	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7344	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-11-15	2010-11-25	2011-01-15	2010-12-25	260	243	260	243	\N	Område unntatt snuområde	586
DN1004	7345	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7345	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7345	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Det norske oljeselskap ASA	\N	\N	\N	\N	\N	\N	\N	2010-08-27	2010-09-03	2010-09-07	2010-09-05	\N	\N	\N	\N	\N	Område unntatt snuområde	587
DN1004	7345	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7345	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7345	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Det norske oljeselskap ASA	\N	\N	\N	\N	\N	\N	\N	2010-08-27	2010-09-03	2010-09-07	2010-09-05	\N	\N	\N	\N	\N	Område inkludert snuområde	588
GN1002	7346	\N	\N	Avlyst	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	GASSNOVA SF	Seismisk kilde	2	2900 in.	2000 psi	Kabler	10	3000	2010-09-01	9999-12-31	2010-10-01	9999-12-31	13013	\N	750	\N	323.770000	Område unntatt snuområde	589
GN1002	7346	\N	\N	Avlyst	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	GASSNOVA SF	Seismisk kilde	2	2900 in.	2000 psi	Kabler	10	3000	2010-09-01	9999-12-31	2010-10-01	9999-12-31	13013	\N	750	\N	323.770000	Område inkludert snuområde	590
MBT1	7347	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7347	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7347	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	4200 cu. in.	2000 psi	Kabler	10	10000	2010-09-22	2010-09-22	2010-12-31	2010-10-17	74000	20866	3700	1043	1692.730000	Område unntatt snuområde	591
MBT1	7347	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7347	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7347	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	4200 cu. in.	2000 psi	Kabler	10	10000	2010-09-22	2010-09-22	2010-12-31	2010-10-17	74000	20866	3700	1043	1692.730000	Område inkludert snuområde	592
PM 10-2010	7348	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2010-08-22	9999-12-31	2010-09-15	9999-12-31	\N	\N	30	\N	\N	Område inkludert snuområde	593
PM 10-2010	7348	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	\N	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2010-08-22	9999-12-31	2010-09-15	9999-12-31	\N	\N	30	\N	\N	Område unntatt snuområde	594
CP10L01	7349	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7349	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7349	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3060 ciin	2000 psi	Kabler	4000	200 km	2010-10-25	2010-11-10	2011-01-31	2011-01-23	3000	2873	3000	2873	191.170000	Område inkludert snuområde	595
CP10L01	7349	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7349	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7349	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3060 ciin	2000 psi	Kabler	4000	200 km	2010-10-25	2010-11-10	2011-01-31	2011-01-23	3000	2873	3000	2873	191.170000	Område unntatt snuområde	596
ST10018	7350	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7350	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7350	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	4134 kubikktommer	2000 psi	Kabler	12	6000 meter	2010-10-05	2010-10-15	2010-10-26	2010-10-17	3024	1402	126	70	27.880000	Område unntatt snuområde	597
ST10018	7350	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7350	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7350	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	4134 kubikktommer	2000 psi	Kabler	12	6000 meter	2010-10-05	2010-10-15	2010-10-26	2010-10-17	3024	1402	126	70	27.880000	Område inkludert snuområde	598
LN1056	7351	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7351	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7351	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200m	2010-10-11	2010-11-10	2011-01-07	2010-12-26	900	940	900	940	\N	Område inkludert snuområde	599
LN1056	7351	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7351	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7351	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200m	2010-10-11	2010-11-10	2011-01-07	2010-12-26	900	940	900	940	\N	Område unntatt snuområde	600
MC3D-NONEXT2010	7352	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cubic inch	2000 psi	Kabler	8	8100	2010-09-15	9999-12-31	2010-10-28	9999-12-31	16000	\N	1000	\N	355.530000	Område unntatt snuområde	601
MC3D-NONEXT2010	7352	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cubic inch	2000 psi	Kabler	8	8100	2010-09-15	9999-12-31	2010-10-28	9999-12-31	16000	\N	1000	\N	355.530000	Område inkludert snuområde	602
LN1055	7353	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7353	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7353	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200m	2010-10-18	2010-10-28	2010-12-19	2010-11-10	200	\N	200	50	\N	Område unntatt snuområde	603
LN1055	7353	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7353	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7353	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200m	2010-10-18	2010-10-28	2010-12-19	2010-11-10	200	\N	200	50	\N	Område inkludert snuområde	604
CGGV-10-03	7354	\N	\N	Avlyst	Nordsjøen	Nei	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	3600	2000	Kabler	1	8100	2010-12-01	9999-12-31	2010-12-22	9999-12-31	42	\N	42	\N	\N	Område inkludert snuområde	605
TE1103	7479	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3	UNKNOWN	Kabler	1	1200	2012-04-01	9999-12-31	2012-05-01	9999-12-31	150	\N	150	\N	\N	Område unntatt snuområde	830
ST10324	7355	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7355	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7355	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-10-27	2010-11-16	2010-12-29	2010-12-03	400	380	400	380	\N	Område unntatt snuområde	606
ST10324	7355	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7355	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7355	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-10-27	2010-11-16	2010-12-29	2010-12-03	400	380	400	380	\N	Område inkludert snuområde	607
ST10325	7356	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7356	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7356	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-12-30	2010-12-03	2011-01-29	2010-12-22	232	214	232	214	\N	Område unntatt snuområde	608
ST10325	7356	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7356	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7356	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-12-30	2010-12-03	2011-01-29	2010-12-22	232	214	232	214	\N	Område inkludert snuområde	609
LN1057	7357	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7357	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7357	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200	2010-12-23	2010-12-26	2011-01-31	2010-12-31	200	88	200	88	\N	Område inkludert snuområde	610
LN1057	7357	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7357	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7357	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200	2010-12-23	2010-12-26	2011-01-31	2010-12-31	200	88	200	88	\N	Område unntatt snuområde	611
EMGS1012	7358	\N	\N	Avlyst	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	40	Ikke Aktuelt	2010-10-19	9999-12-31	2010-10-31	9999-12-31	130	\N	130	\N	2119.530000	Område inkludert snuområde	612
EMGS1012	7358	\N	\N	Avlyst	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	40	Ikke Aktuelt	2010-10-19	9999-12-31	2010-10-31	9999-12-31	130	\N	130	\N	2119.530000	Område unntatt snuområde	613
ST10467	7359	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7359	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7359	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Statoil ASA	\N	Ingen seismiske kjelder	Ingen seismiske kjelder	Ingen seismiske kjelder	\N	Ingen sensorar	Ingen sensorar	2010-11-15	2010-11-21	2010-11-30	2010-11-23	\N	\N	\N	\N	\N	Område inkludert snuområde	614
ST10467	7359	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7359	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7359	Ferdig	Nordsjøen	Nei	Annen undersøkelse	\N	Statoil ASA	\N	Ingen seismiske kjelder	Ingen seismiske kjelder	Ingen seismiske kjelder	\N	Ingen sensorar	Ingen sensorar	2010-11-15	2010-11-21	2010-11-30	2010-11-23	\N	\N	\N	\N	\N	Område unntatt snuområde	615
RS1003	7360	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7360	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7360	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Rocksource ASA	Seismisk kilde	1	152 cu in.	2000 psi	Kabler	1	1200	2010-12-15	2010-12-22	2011-01-31	2011-01-14	340	403	340	403	\N	Område unntatt snuområde	616
RS1003	7360	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7360	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7360	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Rocksource ASA	Seismisk kilde	1	152 cu in.	2000 psi	Kabler	1	1200	2010-12-15	2010-12-22	2011-01-31	2011-01-14	340	403	340	403	\N	Område inkludert snuområde	617
CE1002	7361	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7361	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7361	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	\N	0	0	0	\N	0	0	2010-11-22	2010-11-24	2010-11-29	2010-11-26	\N	\N	\N	2	\N	Område unntatt snuområde	618
CE1002	7361	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7361	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7361	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	\N	0	0	0	\N	0	0	2010-11-22	2010-11-24	2010-11-29	2010-11-26	\N	\N	\N	2	\N	Område inkludert snuområde	619
ST10326	7362	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7362	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7362	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	0	0	0	\N	1 stk CPT Måleinstrument	0	2010-12-02	2011-01-04	2011-01-19	2011-01-05	\N	\N	\N	\N	\N	Område unntatt snuområde	620
ST10326	7362	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7362	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7362	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	\N	0	0	0	\N	1 stk CPT Måleinstrument	0	2010-12-02	2011-01-04	2011-01-19	2011-01-05	\N	\N	\N	\N	\N	Område inkludert snuområde	621
ST10327	7363	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7363	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7363	Ferdig	Nordsjøen	Ja	Annen undersøkelse	\N	Statoil ASA	\N	0	0	0	\N	Måle Instrument for CPT	0	2010-12-08	2011-01-05	2011-01-27	2011-01-13	\N	\N	\N	\N	\N	Område inkludert snuområde	622
ST10327	7363	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7363	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7363	Ferdig	Nordsjøen	Ja	Annen undersøkelse	\N	Statoil ASA	\N	0	0	0	\N	Måle Instrument for CPT	0	2010-12-08	2011-01-05	2011-01-27	2011-01-13	\N	\N	\N	\N	\N	Område unntatt snuområde	623
ST10328	7364	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7364	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7364	Ferdig	Norskehavet	Ja	Annen undersøkelse	\N	Statoil ASA	\N	0	0	0	\N	0	0	2010-12-01	2010-12-26	2011-01-27	2010-12-28	\N	\N	\N	\N	\N	Område unntatt snuområde	624
ST10328	7364	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7364	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7364	Ferdig	Norskehavet	Ja	Annen undersøkelse	\N	Statoil ASA	\N	0	0	0	\N	0	0	2010-12-01	2010-12-26	2011-01-27	2010-12-28	\N	\N	\N	\N	\N	Område inkludert snuområde	625
Dg 1101	7365	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7365	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7365	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	DONG E&P Norge AS	Seismisk kilde	1	10CU	135 bar	Kabler	1	10	2011-01-10	2011-01-20	2011-04-08	2011-03-13	371	367	445	440	\N	Område inkludert snuområde	626
Dg 1101	7365	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7365	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7365	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	DONG E&P Norge AS	Seismisk kilde	1	10CU	135 bar	Kabler	1	10	2011-01-10	2011-01-20	2011-04-08	2011-03-13	371	367	445	440	\N	Område unntatt snuområde	627
WIN1102	7366	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7366	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7366	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge AS (old)	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1000	2011-01-10	2011-02-19	2011-04-30	2011-04-26	400	400	400	400	\N	Område inkludert snuområde	628
WIN1102	7366	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7366	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7366	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge AS (old)	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1000	2011-01-10	2011-02-19	2011-04-30	2011-04-26	400	400	400	400	\N	Område unntatt snuområde	629
ST10330	7367	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7367	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7367	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-12-24	2010-12-24	2011-04-28	2011-04-11	327	327	327	327	\N	Område unntatt snuområde	630
ST10330	7367	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7367	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7367	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2010-12-24	2010-12-24	2011-04-28	2011-04-11	327	327	327	327	\N	Område inkludert snuområde	631
ST10329	7368	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7368	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7368	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-01-20	2011-01-20	2011-04-07	2011-03-30	303	303	303	303	\N	Område inkludert snuområde	632
ST10329	7368	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7368	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7368	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-01-20	2011-01-20	2011-04-07	2011-03-30	303	303	303	303	\N	Område unntatt snuområde	633
ST10331	7369	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-02-28	9999-12-31	2011-03-31	9999-12-31	270	\N	270	\N	\N	Område unntatt snuområde	634
ST10331	7369	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-02-28	9999-12-31	2011-03-31	9999-12-31	270	\N	270	\N	\N	Område inkludert snuområde	635
MC2D-CNS2011	7370	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7370	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7370	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	1	4130	2000 psi	Kabler	1	8000	2011-01-01	2011-02-12	2011-03-10	2011-03-07	1780	807	1780	807	\N	Område inkludert snuområde	636
LN1151	7371	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7371	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7371	Ferdig	Barentshavet - Sør	Nei	Annen undersøkelse	\N	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-02-14	2011-02-09	2011-02-28	2011-02-24	100	1	100	1	\N	Område unntatt snuområde	637
LN1151	7371	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7371	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7371	Ferdig	Barentshavet - Sør	Nei	Annen undersøkelse	\N	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-02-14	2011-02-09	2011-02-28	2011-02-24	100	1	100	1	\N	Område inkludert snuområde	638
ST11301	7372	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7372	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7372	Ferdig	Nordsjøen	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	Et stk CPT Måleinstrument	CPT Målinger	2011-04-03	2011-05-10	2011-06-28	2011-05-14	\N	\N	\N	\N	\N	Område inkludert snuområde	639
ST11301	7372	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7372	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7372	Ferdig	Nordsjøen	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	Et stk CPT Måleinstrument	CPT Målinger	2011-04-03	2011-05-10	2011-06-28	2011-05-14	\N	\N	\N	\N	\N	Område unntatt snuområde	640
LN1152	7373	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7373	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7373	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-02-15	2011-02-25	2011-04-03	2011-02-28	57	57	100	57	\N	Område unntatt snuområde	641
LN1152	7373	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7373	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7373	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-02-15	2011-02-25	2011-04-03	2011-02-28	57	57	100	57	\N	Område inkludert snuområde	642
ST11302	7374	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7374	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7374	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-02-04	2011-05-05	2011-06-24	2011-05-14	250	253	250	253	\N	Område unntatt snuområde	643
ST11302	7374	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7374	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7374	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-02-04	2011-05-05	2011-06-24	2011-05-14	250	253	250	253	\N	Område inkludert snuområde	644
DN1101	7375	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7375	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7375	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-04-01	2011-04-21	2011-05-10	2011-05-07	330	333	330	333	\N	Område inkludert snuområde	645
DN1101	7375	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7375	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7375	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-04-01	2011-04-21	2011-05-10	2011-05-07	330	333	330	333	\N	Område unntatt snuområde	646
TE1103	7479	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3	UNKNOWN	Kabler	1	1200	2012-04-01	9999-12-31	2012-05-01	9999-12-31	150	\N	150	\N	\N	Område inkludert snuområde	831
BPN0301_13	7376	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7376	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7376	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	BP Norge AS	Seismisk kilde	3 sub-arrays with 20 individual cannons	totla volume equals 2000 cu.in	2000 PSI	\N	2500 4-component instruments (modules)	125 km of active sub-sea cable	2011-03-13	2011-03-31	2011-05-26	2011-05-01	\N	\N	2600	2597	142.360000	Område unntatt snuområde	647
BPN0301_13	7376	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7376	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7376	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	BP Norge AS	Seismisk kilde	3 sub-arrays with 20 individual cannons	totla volume equals 2000 cu.in	2000 PSI	\N	2500 4-component instruments (modules)	125 km of active sub-sea cable	2011-03-13	2011-03-31	2011-05-26	2011-05-01	\N	\N	2600	2597	142.360000	Område inkludert snuområde	648
MC3D-NVG11	7377	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7377	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7377	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000	2011-04-01	2011-05-16	2011-10-01	2011-07-04	17045	32860	204590	2431	658.030000	Område inkludert snuområde	649
MC3D-NVG11	7377	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7377	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7377	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000	2011-04-01	2011-05-16	2011-10-01	2011-07-04	17045	32860	204590	2431	658.030000	Område unntatt snuområde	650
MC3D-SVG11	7378	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7378	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7378	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	10	6000	2011-12-20	2011-03-29	2011-12-31	2011-12-31	204590	109352	17045	7636	3325.690000	Område inkludert snuområde	651
MC3D-SVG11	7378	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7378	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7378	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	10	6000	2011-12-20	2011-03-29	2011-12-31	2011-12-31	204590	109352	17045	7636	3325.690000	Område unntatt snuområde	652
MC3D-HVG2011	7379	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7379	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7379	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4135 cu in	2000 psi	Kabler	10	7000m	2011-06-01	2011-06-01	2011-09-30	2011-08-25	126000	155691	6300	7849	5742.470000	Område inkludert snuområde	653
MC3D-HVG2011	7379	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7379	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7379	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4135 cu in	2000 psi	Kabler	10	7000m	2011-06-01	2011-06-01	2011-09-30	2011-08-25	126000	155691	6300	7849	5742.470000	Område unntatt snuområde	654
CGGV-11-01	7380	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7380	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7380	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	3600	2000	Kabler	1	8100	2011-04-01	2011-04-15	2011-04-30	2011-04-16	42	83	42	90	\N	Område inkludert snuområde	655
ST11001	7382	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7382	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7382	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	1	5085 cu.in	2000 psi	Kabler	6	3800	2011-04-15	2011-04-27	2011-06-30	2011-06-30	17196	8322	1433	1387	169.230000	Område inkludert snuområde	656
ST11001	7382	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7382	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7382	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	1	5085 cu.in	2000 psi	Kabler	6	3800	2011-04-15	2011-04-27	2011-06-30	2011-06-30	17196	8322	1433	1387	169.230000	Område unntatt snuområde	657
WIN1104	7383	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	Seismisk kilde	2	2940	2000	Kabler	12	4000	2011-07-10	9999-12-31	2011-08-15	9999-12-31	34200	\N	1420	\N	497.650000	Område inkludert snuområde	658
WIN1104	7383	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	Seismisk kilde	2	2940	2000	Kabler	12	4000	2011-07-10	9999-12-31	2011-08-15	9999-12-31	34200	\N	1420	\N	497.650000	Område unntatt snuområde	659
bg1101	7384	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7384	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7384	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4 Sleeve Gun	4 x 40cuin (Total Array volume 160 cuin)	2000psi	Kabler	1	1200	2011-03-18	2011-03-21	2011-04-30	2011-04-29	500	200	500	200	\N	Område inkludert snuområde	660
bg1101	7384	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7384	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7384	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4 Sleeve Gun	4 x 40cuin (Total Array volume 160 cuin)	2000psi	Kabler	1	1200	2011-03-18	2011-03-21	2011-04-30	2011-04-29	500	200	500	200	\N	Område unntatt snuområde	661
BPN11101	7385	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7385	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7385	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	BP Norge AS	Seismisk kilde	2	314 kubikk tommer/51.6 l	2000psi	Kabler	8	6000m	2011-04-10	2011-04-19	2011-05-31	2011-05-18	12710	15585	1059	1298	296.660000	Område unntatt snuområde	662
BPN11101	7385	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7385	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7385	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	BP Norge AS	Seismisk kilde	2	314 kubikk tommer/51.6 l	2000psi	Kabler	8	6000m	2011-04-10	2011-04-19	2011-05-31	2011-05-18	12710	15585	1059	1298	296.660000	Område inkludert snuområde	663
ST11453	7386	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7386	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7386	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	0	2011-04-01	2011-05-17	2011-07-01	2011-05-19	\N	\N	\N	\N	\N	Område inkludert snuområde	664
ST11453	7386	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7386	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7386	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	0	2011-04-01	2011-05-17	2011-07-01	2011-05-19	\N	\N	\N	\N	\N	Område unntatt snuområde	665
FP1150	7387	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7387	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7387	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Faroe Petroleum plc	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-03-31	2011-03-31	2011-04-24	2011-04-17	250	145	250	145	\N	Område unntatt snuområde	666
FP1150	7387	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7387	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7387	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Faroe Petroleum plc	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-03-31	2011-03-31	2011-04-24	2011-04-17	250	145	250	145	\N	Område inkludert snuområde	667
WIN1103	7388	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7388	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7388	Ferdig	Norskehavet	Ja	Grunnundersøkelser	Ikke seismikk	Wintershall Norge ASA	\N	\N	\N	\N	\N	\N	\N	2011-02-13	2011-03-02	2011-04-30	2011-04-26	120	400	120	400	\N	Område unntatt snuområde	668
WIN1103	7388	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7388	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7388	Ferdig	Norskehavet	Ja	Grunnundersøkelser	Ikke seismikk	Wintershall Norge ASA	\N	\N	\N	\N	\N	\N	\N	2011-02-13	2011-03-02	2011-04-30	2011-04-26	120	400	120	400	\N	Område inkludert snuområde	669
MNR11	7389	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7389	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7389	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	5140	2000	Kabler	1	12000	2011-04-01	2011-05-08	2011-11-30	2011-11-28	15000	9636	15000	9636	\N	Område inkludert snuområde	670
bg1102	7390	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7390	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7390	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	BG Norge AS	Seismisk kilde	Up to 84 (max 14 guns per sub-array)	4480 Cuin	2000psi	Kabler	12	8000	2011-04-27	2011-05-10	2011-09-05	2011-08-25	72827	79829	3034	3760	1513.120000	Område unntatt snuområde	671
bg1102	7390	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7390	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7390	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	BG Norge AS	Seismisk kilde	Up to 84 (max 14 guns per sub-array)	4480 Cuin	2000psi	Kabler	12	8000	2011-04-27	2011-05-10	2011-09-05	2011-08-25	72827	79829	3034	3760	1513.120000	Område inkludert snuområde	672
BPN11301	7391	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7391	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7391	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40cu in	160 cu in	to be confirmed	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-03-21	2011-04-01	2011-04-07	2011-04-04	27	14	18	22	\N	Område inkludert snuområde	673
BPN11301	7391	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7391	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7391	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40cu in	160 cu in	to be confirmed	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-03-21	2011-04-01	2011-04-07	2011-04-04	27	14	18	22	\N	Område unntatt snuområde	674
BPN11302	7392	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7392	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7392	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40cu in	160 cu in	to be confirmed	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-04-29	2011-05-04	2011-05-13	2011-05-07	\N	\N	92	93	\N	Område inkludert snuområde	675
BPN11302	7392	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7392	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7392	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40cu in	160 cu in	to be confirmed	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-04-29	2011-05-04	2011-05-13	2011-05-07	\N	\N	92	93	\N	Område unntatt snuområde	676
DN1102	7393	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7393	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7393	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-05-23	2011-06-14	2011-06-30	2011-06-24	150	134	222	223	\N	Område unntatt snuområde	677
DN1102	7393	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7393	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7393	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-05-23	2011-06-14	2011-06-30	2011-06-24	150	134	222	223	\N	Område inkludert snuområde	678
LO1101	7394	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7394	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7394	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Lotos Exploration and Production Norge AS	Seismisk kilde	2	4320 cu.in	2000 psi	Kabler	6	7000 m	2011-05-01	2011-05-24	2011-08-31	2011-08-27	78000	88812	6500	7401	1568.160000	Område unntatt snuområde	679
LO1101	7394	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7394	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7394	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Lotos Exploration and Production Norge AS	Seismisk kilde	2	4320 cu.in	2000 psi	Kabler	6	7000 m	2011-05-01	2011-05-24	2011-08-31	2011-08-27	78000	88812	6500	7401	1568.160000	Område inkludert snuområde	680
MBT1b	7395	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7395	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7395	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	4200 cu.in.	2000 psi	Kabler	10	8100	2011-04-01	2011-04-27	2011-10-31	2011-08-30	90000	90514	4600	4525	2622.420000	Område inkludert snuområde	681
MBT1b	7395	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7395	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7395	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	4200 cu.in.	2000 psi	Kabler	10	8100	2011-04-01	2011-04-27	2011-10-31	2011-08-30	90000	90514	4600	4525	2622.420000	Område unntatt snuområde	682
PON1101	7396	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7396	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7396	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Premier Oil Norge AS	Seismisk kilde	4	4 x 40cuin (Total Array volume 160 cuin)	2000 psi	Kabler	1	600m	2011-04-12	2011-04-28	2011-05-31	2011-05-11	172	87	172	66	\N	Område unntatt snuområde	683
PON1101	7396	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7396	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7396	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Premier Oil Norge AS	Seismisk kilde	4	4 x 40cuin (Total Array volume 160 cuin)	2000 psi	Kabler	1	600m	2011-04-12	2011-04-28	2011-05-31	2011-05-11	172	87	172	66	\N	Område inkludert snuområde	684
ST11306	7397	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7397	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7397	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-04-05	2011-05-15	2011-06-05	2011-05-16	130	56	130	56	\N	Område unntatt snuområde	685
ST11306	7397	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7397	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7397	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-04-05	2011-05-15	2011-06-05	2011-05-16	130	56	130	56	\N	Område inkludert snuområde	686
RS1101	7398	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7398	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7398	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	Rocksource ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	120	Ikke aktuelt	2011-05-01	2011-05-06	2011-06-30	2011-06-05	350	383	350	539	10838.130000	Område inkludert snuområde	687
RS1101	7398	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7398	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7398	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	Rocksource ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	120	Ikke aktuelt	2011-05-01	2011-05-06	2011-06-30	2011-06-05	350	383	350	539	10838.130000	Område unntatt snuområde	688
ST11307	7399	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7399	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7399	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-05-11	2011-06-15	2011-07-19	2011-07-03	333	342	333	342	\N	Område unntatt snuområde	689
ST11307	7399	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7399	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7399	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-05-11	2011-06-15	2011-07-19	2011-07-03	333	342	333	342	\N	Område inkludert snuområde	690
ST11304	7401	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7401	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7401	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-05-05	2011-05-22	2011-07-07	2011-06-26	333	391	333	391	\N	Område inkludert snuområde	691
ST11304	7401	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7401	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7401	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-05-05	2011-05-22	2011-07-07	2011-06-26	333	391	333	391	\N	Område unntatt snuområde	692
bg1103	7402	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7402	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7402	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	BG Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-04-18	2011-07-24	2011-10-01	2011-09-22	500	999	500	999	\N	Område unntatt snuområde	693
bg1103	7402	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7402	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7402	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	BG Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-04-18	2011-07-24	2011-10-01	2011-09-22	500	999	500	999	\N	Område inkludert snuområde	694
ST11305	7403	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7403	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7403	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-05-04	2011-06-12	2011-07-06	2011-07-08	333	329	333	329	\N	Område unntatt snuområde	695
ST11305	7403	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7403	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7403	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-05-04	2011-06-12	2011-07-06	2011-07-08	333	329	333	329	\N	Område inkludert snuområde	696
Ormen Lange TLP	7404	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7404	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7404	Ferdig	Norskehavet	Ja	Grunnundersøkelser	Ikke seismikk	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2011-04-01	2011-04-05	2011-05-31	2011-05-14	100	100	10	10	\N	Område unntatt snuområde	697
Ormen Lange TLP	7404	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7404	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7404	Ferdig	Norskehavet	Ja	Grunnundersøkelser	Ikke seismikk	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2011-04-01	2011-04-05	2011-05-31	2011-05-14	100	100	10	10	\N	Område inkludert snuområde	698
TE1101	7405	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7405	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7405	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3	UNKNOWN	Kabler	1	1200	2011-04-18	2011-05-09	2011-06-13	2011-06-04	150	30	150	369	\N	Område unntatt snuområde	699
TE1101	7405	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7405	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7405	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3	UNKNOWN	Kabler	1	1200	2011-04-18	2011-05-09	2011-06-13	2011-06-04	150	30	150	369	\N	Område inkludert snuområde	700
MBT2	7406	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max 5100 cu.in.	2000 psi	Kabler	12	8000 m	2011-04-20	9999-12-31	2011-07-31	9999-12-31	74000	\N	3700	\N	1774.160000	Område inkludert snuområde	701
MBT2	7406	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max 5100 cu.in.	2000 psi	Kabler	12	8000 m	2011-04-20	9999-12-31	2011-07-31	9999-12-31	74000	\N	3700	\N	1774.160000	Område unntatt snuområde	702
CE1101	7407	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7407	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7407	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Centrica Energi	Seismisk kilde	1	4 x 40 cu in	2000 psi	Kabler	1	1200	2011-04-15	2011-05-11	2011-06-20	2011-06-10	350	410	350	410	\N	Område unntatt snuområde	703
CE1101	7407	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7407	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7407	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Centrica Energi	Seismisk kilde	1	4 x 40 cu in	2000 psi	Kabler	1	1200	2011-04-15	2011-05-11	2011-06-20	2011-06-10	350	410	350	410	\N	Område inkludert snuområde	704
NBR11	7408	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7408	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7408	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	Max 4500 cu.in.	2000 psi	Kabler	1	12000	2011-04-22	2011-04-30	2011-11-15	2011-11-07	12000	8761	12000	8761	\N	Område inkludert snuområde	705
BG1104	7409	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7409	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7409	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4	4 x 40	2000 psi	Kabler	1	1200	2011-05-23	2011-06-18	2011-07-22	2011-07-22	320	974	320	975	\N	Område unntatt snuområde	706
BG1104	7409	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7409	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7409	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4	4 x 40	2000 psi	Kabler	1	1200	2011-05-23	2011-06-18	2011-07-22	2011-07-22	320	974	320	975	\N	Område inkludert snuområde	707
ST11009	7410	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7410	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7410	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	3147	2000	Kabler	12	4000	2011-04-26	2011-04-26	2011-07-31	2011-06-14	69600	68720	2900	2863	1230.430000	Område unntatt snuområde	708
ST11009	7410	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7410	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7410	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	3147	2000	Kabler	12	4000	2011-04-26	2011-04-26	2011-07-31	2011-06-14	69600	68720	2900	2863	1230.430000	Område inkludert snuområde	709
WIN1101	7411	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7411	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7411	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200m	2011-06-01	2011-07-21	2011-08-31	2011-08-06	250	707	250	707	\N	Område inkludert snuområde	710
WIN1101	7411	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7411	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7411	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200m	2011-06-01	2011-07-21	2011-08-31	2011-08-06	250	707	250	707	\N	Område unntatt snuområde	711
CP11L02	7412	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7412	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7412	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3060 cuin	2000	Kabler	4000	200	2011-05-14	2011-05-14	2011-06-25	2011-06-20	3000	3066	3000	3066	0.410000	Område unntatt snuområde	712
CP11L02	7412	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7412	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7412	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3060 cuin	2000	Kabler	4000	200	2011-05-14	2011-05-14	2011-06-25	2011-06-20	3000	3066	3000	3066	0.410000	Område inkludert snuområde	713
DN1103	7413	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7413	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7413	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	0	\N	\N	\N	\N	\N	2011-04-10	2011-04-19	2011-05-05	2011-04-21	\N	\N	20	34	\N	Område inkludert snuområde	714
DN1103	7413	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7413	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7413	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	0	\N	\N	\N	\N	\N	2011-04-10	2011-04-19	2011-05-05	2011-04-21	\N	\N	20	34	\N	Område unntatt snuområde	715
SUN11NO01	7414	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7414	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7414	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Suncor Energy Norge AS	Seismisk kilde	1	180cu in	2000psi	Kabler	1	1200	2011-05-09	2011-05-10	2011-06-20	2011-05-18	290	306	300	346	\N	Område unntatt snuområde	716
SUN11NO01	7414	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7414	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7414	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Suncor Energy Norge AS	Seismisk kilde	1	180cu in	2000psi	Kabler	1	1200	2011-05-09	2011-05-10	2011-06-20	2011-05-18	290	306	300	346	\N	Område inkludert snuområde	717
ST11005	7415	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7415	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7415	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	3090	2000 psi	Kabler	12	6000 m	2011-11-01	2011-11-05	2011-11-30	2011-11-17	4000	37044	200	3087	725.310000	Område inkludert snuområde	718
ST11005	7415	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7415	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7415	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	3090	2000 psi	Kabler	12	6000 m	2011-11-01	2011-11-05	2011-11-30	2011-11-17	4000	37044	200	3087	725.310000	Område unntatt snuområde	719
RD1101	7416	\N	\N	Avlyst	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	Seismisk kilde	opp til 84 kanoner fordelt på 6 sub-array, flip flop	4480 cuin	2000 psi	Kabler	12	8 km, 6 km aktiv	2011-08-20	9999-12-31	2011-10-01	9999-12-31	13000	\N	700	\N	215.710000	Område unntatt snuområde	720
RD1101	7416	\N	\N	Avlyst	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	Seismisk kilde	opp til 84 kanoner fordelt på 6 sub-array, flip flop	4480 cuin	2000 psi	Kabler	12	8 km, 6 km aktiv	2011-08-20	9999-12-31	2011-10-01	9999-12-31	13000	\N	700	\N	215.710000	Område inkludert snuområde	721
EMGS1101	7417	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7417	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7417	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	Opptil 120	UNKNOWN	2011-05-12	2011-06-05	2011-07-01	2011-06-26	310	299	310	299	\N	Område unntatt snuområde	722
EMGS1101	7417	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7417	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7417	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	Opptil 120	UNKNOWN	2011-05-12	2011-06-05	2011-07-01	2011-06-26	310	299	310	299	\N	Område inkludert snuområde	723
MCG1101	7419	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7419	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7419	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	1	4000inch3	2000psi	Kabler	1	10000	2011-06-23	2011-07-10	2011-11-30	2011-11-01	8500	8649	8500	8649	\N	Område inkludert snuområde	724
CVX1101	7420	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7420	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7420	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	Chevron Norge AS	Seismisk kilde	2	4980cui	2000 psi	Kabler	12	7950m	2011-06-13	2011-06-27	2011-09-15	2011-09-05	135408	135936	6158	5664	2787.380000	Område inkludert snuområde	725
CVX1101	7420	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7420	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7420	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	Chevron Norge AS	Seismisk kilde	2	4980cui	2000 psi	Kabler	12	7950m	2011-06-13	2011-06-27	2011-09-15	2011-09-05	135408	135936	6158	5664	2787.380000	Område unntatt snuområde	726
SWB	7421	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7421	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7421	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max. 5100 cu.in.	2000 psi	Kabler	max 12	max 8100 m	2011-05-10	2011-06-09	2011-10-15	2011-09-30	7400	243004	148000	10125	3406.720000	Område inkludert snuområde	727
SWB	7421	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7421	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7421	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max. 5100 cu.in.	2000 psi	Kabler	max 12	max 8100 m	2011-05-10	2011-06-09	2011-10-15	2011-09-30	7400	243004	148000	10125	3406.720000	Område unntatt snuområde	728
NSR11 WOS	7422	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7422	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7422	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	4100 cu.inch	2000 psi	Kabler	1	8000	2011-05-01	2011-05-25	2011-08-15	2011-07-28	3000	361	3000	361	\N	Område inkludert snuområde	729
ST11011	7423	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7423	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7423	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	1	5085 cu.in.	2000 psi	Kabler	6	3800	2011-06-02	2011-05-20	2011-06-30	2011-06-26	3630	3630	605	605	140.640000	Område inkludert snuområde	730
ST11011	7423	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7423	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7423	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	1	5085 cu.in.	2000 psi	Kabler	6	3800	2011-06-02	2011-05-20	2011-06-30	2011-06-26	3630	3630	605	605	140.640000	Område unntatt snuområde	731
Hoop 11	7424	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7424	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7424	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460	2000 psi	Kabler	10	6000	2011-05-01	2011-05-18	2011-09-30	2011-09-30	75000	351000	7500	17550	3663.350000	Område unntatt snuområde	732
Hoop 11	7424	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7424	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7424	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460	2000 psi	Kabler	10	6000	2011-05-01	2011-05-18	2011-09-30	2011-09-30	75000	351000	7500	17550	3663.350000	Område inkludert snuområde	733
ST11002	7425	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7425	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7425	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	3390 cu.in	2000 psi	Kabler	8	3000	2011-06-10	2011-07-03	2011-07-31	2011-07-20	14608	12894	913	806	140.960000	Område inkludert snuområde	734
ST11002	7425	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7425	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7425	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	3390 cu.in	2000 psi	Kabler	8	3000	2011-06-10	2011-07-03	2011-07-31	2011-07-20	14608	12894	913	806	140.960000	Område unntatt snuområde	735
MCG1102	7426	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7426	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7426	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	1	4000	2000	Kabler	1	8100	2011-05-15	2011-05-19	2011-08-31	2011-07-28	6426	6464	6426	6464	\N	Område inkludert snuområde	736
ST11008 SN	7427	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7427	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7427	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	3210	2000	Kabler	8	4000	2011-06-07	2011-06-12	2011-08-10	2011-07-28	13000	11076	814	692	118.470000	Område unntatt snuområde	737
ST11008 SN	7427	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7427	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7427	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	Seismisk kilde	2	3210	2000	Kabler	8	4000	2011-06-07	2011-06-12	2011-08-10	2011-07-28	13000	11076	814	692	118.470000	Område inkludert snuområde	738
LN11001	7428	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7428	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7428	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	3400 cu inch	2000 psi	Kabler	12	6000	2011-05-25	2011-05-27	2011-06-10	2011-06-04	3480	4514	220	163	249.050000	Område unntatt snuområde	739
LN11001	7428	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7428	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7428	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	3400 cu inch	2000 psi	Kabler	12	6000	2011-05-25	2011-05-27	2011-06-10	2011-06-04	3480	4514	220	163	249.050000	Område inkludert snuområde	740
NE-2011-01	7429	\N	\N	Avlyst	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	North Energy ASA	Elektromagnetisk kilde	1	120kv	UNKNOWN	Noder	opp til 120	UNKNOWN	2011-05-21	9999-12-31	2012-05-01	9999-12-31	300	\N	300	\N	401.480000	Område inkludert snuområde	741
NE-2011-01	7429	\N	\N	Avlyst	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	North Energy ASA	Elektromagnetisk kilde	1	120kv	UNKNOWN	Noder	opp til 120	UNKNOWN	2011-05-21	9999-12-31	2012-05-01	9999-12-31	300	\N	300	\N	401.480000	Område unntatt snuområde	742
NPD-JM-11	7430	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7430	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7430	Ferdig	Jan Mayen	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	4135  cu. in	2000psi	Kabler	1	8100 meter	2011-06-06	2011-06-18	2011-09-01	2011-07-05	11800	3062	11800	3062	\N	Område inkludert snuområde	743
SS1101	7431	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7431	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7431	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	Searcher Seismic Pty Ltd	Seismisk kilde	1	1030 cu inch	2000 psi	Kabler	1	5000	2011-05-09	2011-10-21	2011-12-30	2011-11-20	24890	9639	24890	9639	\N	Område inkludert snuområde	744
no1101	7432	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7432	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7432	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	2D	Norwegian Energy Company AS	Seismisk kilde	4	40 cu.in. each (total 160 cu.in.)	2000 psi	Kabler	96	1200m	2011-08-15	2011-10-28	2011-12-31	2011-12-14	250	147	250	147	\N	Område unntatt snuområde	745
no1101	7432	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7432	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7432	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	2D	Norwegian Energy Company AS	Seismisk kilde	4	40 cu.in. each (total 160 cu.in.)	2000 psi	Kabler	96	1200m	2011-08-15	2011-10-28	2011-12-31	2011-12-14	250	147	250	147	\N	Område inkludert snuområde	746
OMV11300	7433	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7433	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7433	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	Seismisk kilde	4	4 x 40cuin (Total Array volume 160 cuin)	160 cu in @ 2000psi	Kabler	1	600	2011-06-05	2011-12-16	2012-03-31	2012-02-27	683	225	1092	277	\N	Område unntatt snuområde	747
OMV11300	7433	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7433	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7433	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	Seismisk kilde	4	4 x 40cuin (Total Array volume 160 cuin)	160 cu in @ 2000psi	Kabler	1	600	2011-06-05	2011-12-16	2012-03-31	2012-02-27	683	225	1092	277	\N	Område inkludert snuområde	748
MAE11301	7434	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7434	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7434	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Maersk Oil Norway AS	Seismisk kilde	6x Sercel Mini G guns	140 cu inch	207 bar	Kabler	1	800	2011-07-08	2011-07-03	2011-08-03	2011-08-01	450	792	450	792	\N	Område unntatt snuområde	749
MAE11301	7434	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7434	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7434	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Maersk Oil Norway AS	Seismisk kilde	6x Sercel Mini G guns	140 cu inch	207 bar	Kabler	1	800	2011-07-08	2011-07-03	2011-08-03	2011-08-01	450	792	450	792	\N	Område inkludert snuområde	750
WIN1106	7435	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7435	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7435	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2011-06-01	2011-08-10	2011-09-30	2011-08-23	400	227	400	227	25.040000	Område inkludert snuområde	751
WIN1106	7435	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7435	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7435	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	Seismisk kilde	1	160cuin	2000psi	Kabler	1	1200	2011-06-01	2011-08-10	2011-09-30	2011-08-23	400	227	400	227	25.040000	Område unntatt snuområde	752
BE1101	7437	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7437	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7437	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Bridge Energy Norge AS	Seismisk kilde	1	140 Cu in	2000 psi	Kabler	1	1200	2011-06-30	2011-08-19	2011-08-25	2011-08-20	800	\N	800	\N	\N	Område inkludert snuområde	753
BE1101	7437	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7437	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7437	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Bridge Energy Norge AS	Seismisk kilde	1	140 Cu in	2000 psi	Kabler	1	1200	2011-06-30	2011-08-19	2011-08-25	2011-08-20	800	\N	800	\N	\N	Område unntatt snuområde	754
MC2D-AMG2011	7438	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7438	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7438	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	1	8100	2011-05-15	2011-05-15	2011-07-20	2011-07-07	5000	3182	5000	3182	\N	Område inkludert snuområde	755
DN1104	7439	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-05-20	9999-12-31	2011-06-20	9999-12-31	150	\N	150	\N	\N	Område unntatt snuområde	756
DN1104	7439	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-05-20	9999-12-31	2011-06-20	9999-12-31	150	\N	150	\N	\N	Område inkludert snuområde	757
RPS 1101	7440	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7440	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7440	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	1	4 x 4 cu in	2000 psi	Kabler	1	1200	2011-05-16	2011-05-16	2011-06-11	2011-06-05	90	105	90	105	\N	Område inkludert snuområde	758
RPS 1101	7440	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7440	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7440	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	1	4 x 4 cu in	2000 psi	Kabler	1	1200	2011-05-16	2011-05-16	2011-06-11	2011-06-05	90	105	90	105	\N	Område unntatt snuområde	759
LN11301	7441	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7441	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7441	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-07-29	2011-08-06	2011-08-31	2011-08-21	150	163	150	170	\N	Område inkludert snuområde	760
LN11301	7441	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7441	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7441	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-07-29	2011-08-06	2011-08-31	2011-08-21	150	163	150	170	\N	Område unntatt snuområde	761
LN11302	7442	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7442	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7442	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-08-06	2011-08-16	2011-09-01	2011-09-02	150	72	150	72	\N	Område unntatt snuområde	762
LN11302	7442	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7442	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7442	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-08-06	2011-08-16	2011-09-01	2011-09-02	150	72	150	72	\N	Område inkludert snuområde	763
SEN1101	7443	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7443	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7443	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Spring Energy Norway AS	Seismisk kilde	2	2940 cu.in	2000 psi	Kabler	12	6000	2011-07-11	2011-07-18	2011-08-16	2011-08-08	56400	46248	2078	1927	1584.820000	Område inkludert snuområde	764
SEN1101	7443	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7443	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7443	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Spring Energy Norway AS	Seismisk kilde	2	2940 cu.in	2000 psi	Kabler	12	6000	2011-07-11	2011-07-18	2011-08-16	2011-08-08	56400	46248	2078	1927	1584.820000	Område unntatt snuområde	765
LN11303	7444	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7444	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7444	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-09-01	2011-09-03	2011-10-17	2011-10-26	350	479	350	479	\N	Område unntatt snuområde	766
LN11303	7444	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7444	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7444	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-09-01	2011-09-03	2011-10-17	2011-10-26	350	479	350	479	\N	Område inkludert snuområde	767
LN11304	7445	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7445	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7445	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-08-05	2011-08-04	2011-09-01	2011-08-24	150	140	150	150	\N	Område inkludert snuområde	768
LN11304	7445	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7445	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7445	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-08-05	2011-08-04	2011-09-01	2011-08-24	150	140	150	150	\N	Område unntatt snuområde	769
LN11305	7446	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7446	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7446	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-09-01	2011-09-05	2011-10-28	2011-09-21	150	115	150	115	\N	Område unntatt snuområde	770
LN11305	7446	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7446	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7446	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-09-01	2011-09-05	2011-10-28	2011-09-21	150	115	150	115	\N	Område inkludert snuområde	771
LN11307	7447	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7447	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7447	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-10-25	2011-12-18	2012-01-10	2011-12-23	200	180	200	180	\N	Område inkludert snuområde	772
LN11307	7447	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7447	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7447	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-10-25	2011-12-18	2012-01-10	2011-12-23	200	180	200	180	\N	Område unntatt snuområde	773
LN11306	7448	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7448	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7448	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-10-18	2011-12-03	2011-12-31	2011-12-18	200	225	200	225	\N	Område inkludert snuområde	774
LN11306	7448	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7448	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7448	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2011-10-18	2011-12-03	2011-12-31	2011-12-18	200	225	200	225	\N	Område unntatt snuområde	775
ST11463	7449	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7449	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7449	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2011-06-05	2011-06-05	2011-07-31	2011-06-08	\N	\N	\N	\N	\N	Område inkludert snuområde	776
ST11463	7449	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7449	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7449	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2011-06-05	2011-06-05	2011-07-31	2011-06-08	\N	\N	\N	\N	\N	Område unntatt snuområde	777
GN1101	7450	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7450	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7450	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	GASSNOVA SF	Seismisk kilde	2	2940 in.	2000 psi	Kabler	12	4200	2011-07-22	2011-07-22	2011-08-19	2011-08-10	14000	13920	580	600	348.960000	Område unntatt snuområde	778
GN1101	7450	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7450	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7450	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	GASSNOVA SF	Seismisk kilde	2	2940 in.	2000 psi	Kabler	12	4200	2011-07-22	2011-07-22	2011-08-19	2011-08-10	14000	13920	580	600	348.960000	Område inkludert snuområde	779
NPD-MB-11	7451	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7451	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7451	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	3111  cu. in	2000psi	Kabler	1	8100 meter	2011-06-01	2011-06-01	2011-06-07	2011-06-07	225	265	225	265	\N	Område inkludert snuområde	780
ST11459	7452	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	0	2011-06-09	9999-12-31	2011-07-31	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	781
ST11459	7452	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	0	2011-06-09	9999-12-31	2011-07-31	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	782
WG1101	7453	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7453	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7453	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085 cu.in	2000psi	Kabler	10	7000m	2011-07-03	2011-07-10	2011-09-16	2011-09-10	91800	98864	4590	4950	2240.870000	Område unntatt snuområde	783
WG1101	7453	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7453	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7453	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085 cu.in	2000psi	Kabler	10	7000m	2011-07-03	2011-07-10	2011-09-16	2011-09-10	91800	98864	4590	4950	2240.870000	Område inkludert snuområde	784
LN11003	7454	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7454	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7454	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	4330 cu inch	2000	Kabler	6	6000 m	2011-09-01	2011-09-05	2011-11-07	2011-10-30	18000	27883	3000	2363	576.310000	Område unntatt snuområde	785
LN11003	7454	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7454	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7454	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	4330 cu inch	2000	Kabler	6	6000 m	2011-09-01	2011-09-05	2011-11-07	2011-10-30	18000	27883	3000	2363	576.310000	Område inkludert snuområde	786
LN11002	7455	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7455	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7455	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	Lundin Norway AS	Seismisk kilde	1	4100 cu. inch	2000 psi	Kabler	1	8100	2011-07-15	2011-08-18	2011-09-15	2011-08-20	116	115	116	115	687.500000	Område inkludert snuområde	787
EMGS1102	7456	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7456	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7456	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	3D	Statoil ASA	Elektromagnetisk kilde	1	12kW	UNKNOWN	Noder	opptil 120	UNKNOWN	2011-06-10	2011-06-25	2011-07-08	2011-07-14	2000	637	2000	637	1873.420000	Område unntatt snuområde	788
EMGS1102	7456	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7456	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7456	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	3D	Statoil ASA	Elektromagnetisk kilde	1	12kW	UNKNOWN	Noder	opptil 120	UNKNOWN	2011-06-10	2011-06-25	2011-07-08	2011-07-14	2000	637	2000	637	1873.420000	Område inkludert snuområde	789
WG1102	7457	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085 cu.in	2000 psi	Kabler	10	8000m	2011-07-08	9999-12-31	2011-08-25	9999-12-31	26000	\N	1300	\N	\N	Område unntatt snuområde	790
WG1102	7457	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085 cu.in	2000 psi	Kabler	10	8000m	2011-07-08	9999-12-31	2011-08-25	9999-12-31	26000	\N	1300	\N	\N	Område inkludert snuområde	791
ST11464 TPC34	7458	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7458	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7458	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2011-06-08	2011-06-09	2011-07-01	2011-06-12	\N	\N	\N	\N	\N	Område inkludert snuområde	792
ST11464 TPC34	7458	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7458	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7458	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2011-06-08	2011-06-09	2011-07-01	2011-06-12	\N	\N	\N	\N	\N	Område unntatt snuområde	793
BPN0301_14	7459	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7459	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7459	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	4D	BP Norge AS	Seismisk kilde	3 sub-arrays with 20 individual cannons	total volume equals 2000 cu.in	2000psi	\N	2500 4-component instrumental (modules)	125 km of active sub-sea cable	2011-08-01	2011-08-27	2011-10-15	2011-09-25	2600	\N	\N	2566	142.360000	Område unntatt snuområde	794
BPN0301_14	7459	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7459	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7459	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	4D	BP Norge AS	Seismisk kilde	3 sub-arrays with 20 individual cannons	total volume equals 2000 cu.in	2000psi	\N	2500 4-component instrumental (modules)	125 km of active sub-sea cable	2011-08-01	2011-08-27	2011-10-15	2011-09-25	2600	\N	\N	2566	142.360000	Område inkludert snuområde	795
IPN1101	7460	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7460	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7460	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Idemitsu Petroleum Norge AS	Seismisk kilde	2 med 3 arrayer	60 - 250 cu. inch	138 bar = 2000 psi til 207 bar = 3000 psi	Kabler	14	5500 m	2011-07-09	2011-07-15	2011-08-31	2011-08-04	85960	25196	3070	908	\N	Område inkludert snuområde	796
IPN1101	7460	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7460	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7460	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Idemitsu Petroleum Norge AS	Seismisk kilde	2 med 3 arrayer	60 - 250 cu. inch	138 bar = 2000 psi til 207 bar = 3000 psi	Kabler	14	5500 m	2011-07-09	2011-07-15	2011-08-31	2011-08-04	85960	25196	3070	908	\N	Område unntatt snuområde	797
RD1102	7461	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7461	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7461	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	RWE Dea Norge AS	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-10-19	2011-11-03	2011-12-31	2011-12-31	635	542	635	542	\N	Område unntatt snuområde	798
RD1102	7461	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7461	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7461	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	RWE Dea Norge AS	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-10-19	2011-11-03	2011-12-31	2011-12-31	635	542	635	542	\N	Område inkludert snuområde	799
ST11312	7462	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7462	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7462	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-06-25	2011-07-14	2011-08-04	2011-07-31	350	275	350	275	\N	Område inkludert snuområde	800
ST11312	7462	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7462	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7462	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-06-25	2011-07-14	2011-08-04	2011-07-31	350	275	350	275	\N	Område unntatt snuområde	801
LO1102	7463	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7463	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7463	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Lotos Exploration and Production Norge AS	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-07-20	2011-08-03	2011-08-20	2011-08-07	125	126	125	126	\N	Område inkludert snuområde	802
LO1102	7463	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7463	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7463	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Lotos Exploration and Production Norge AS	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2011-07-20	2011-08-03	2011-08-20	2011-08-07	125	126	125	126	\N	Område unntatt snuområde	803
NPD-BA-11	7464	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7464	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7464	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	4135 cu. in.	2000 psi	Kabler	1	8100 meter	2011-07-07	2011-07-08	2011-10-15	2011-09-13	12700	11543	12700	11543	\N	Område inkludert snuområde	804
FPN1101	7465	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7465	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7465	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	Ikke seismikk	Faroe Petroleum Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-08-07	2011-08-06	2011-08-14	2011-08-12	\N	\N	\N	\N	\N	Område inkludert snuområde	805
CGGV1113	7542	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	2	4980 cu.in.	2000 psi	Kabler	1	6000	2011-11-01	9999-12-31	2011-12-15	9999-12-31	34	\N	34	\N	\N	Område inkludert snuområde	942
FPN1101	7465	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7465	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7465	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	Ikke seismikk	Faroe Petroleum Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-08-07	2011-08-06	2011-08-14	2011-08-12	\N	\N	\N	\N	\N	Område unntatt snuområde	806
ST11007 Grane 4D	7466	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7466	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7466	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	1	3345 cu. in.	2000 psi	Kabler	10	2400	2011-07-17	2011-07-24	2011-09-01	2011-08-24	5940	6040	495	604	106.460000	Område inkludert snuområde	807
ST11007 Grane 4D	7466	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7466	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7466	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	1	3345 cu. in.	2000 psi	Kabler	10	2400	2011-07-17	2011-07-24	2011-09-01	2011-08-24	5940	6040	495	604	106.460000	Område unntatt snuområde	808
ST11012-Lupin West	7467	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7467	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7467	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	3111	2000	Kabler	12	6000	2011-08-08	2011-08-17	2011-11-30	2011-11-04	52500	44331	2650	2217	1015.000000	Område inkludert snuområde	809
ST11012-Lupin West	7467	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7467	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7467	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	3111	2000	Kabler	12	6000	2011-08-08	2011-08-17	2011-11-30	2011-11-04	52500	44331	2650	2217	1015.000000	Område unntatt snuområde	810
EOTW MC3D	7468	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7468	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7468	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cui	2000 psi	Kabler	8	6000	2011-07-01	2011-07-04	2011-09-25	2011-09-20	44000	20000	2750	1250	1303.720000	Område inkludert snuområde	811
EOTW MC3D	7468	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7468	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7468	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cui	2000 psi	Kabler	8	6000	2011-07-01	2011-07-04	2011-09-25	2011-09-20	44000	20000	2750	1250	1303.720000	Område unntatt snuområde	812
ED1101	7469	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Edison International Norway Branch	Seismisk kilde	UNKNOWN	UNKNOWN	UNKNOWN	Kabler	UNKNOWN	UNKNOWN	2011-08-01	9999-12-31	2011-09-30	9999-12-31	12600	\N	630	\N	252.610000	Område unntatt snuområde	813
ED1101	7469	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Edison International Norway Branch	Seismisk kilde	UNKNOWN	UNKNOWN	UNKNOWN	Kabler	UNKNOWN	UNKNOWN	2011-08-01	9999-12-31	2011-09-30	9999-12-31	12600	\N	630	\N	252.610000	Område inkludert snuområde	814
ED1102	7470	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Edison International Norway Branch	Seismisk kilde	UNKNOWN	UNKNOWN	UNKNOWN	Kabler	UNKNOWN	UNKNOWN	2011-08-01	9999-12-31	2011-09-30	9999-12-31	30000	\N	1500	\N	598.440000	Område inkludert snuområde	815
ED1102	7470	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Edison International Norway Branch	Seismisk kilde	UNKNOWN	UNKNOWN	UNKNOWN	Kabler	UNKNOWN	UNKNOWN	2011-08-01	9999-12-31	2011-09-30	9999-12-31	30000	\N	1500	\N	598.440000	Område unntatt snuområde	816
CGGV11001	7471	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services (UK) Limited	Seismisk kilde	1	4450	2000	Kabler	1	8000	2011-07-14	9999-12-31	2011-07-31	9999-12-31	40	\N	40	\N	\N	Område inkludert snuområde	817
ST11015	7472	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7472	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7472	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	1	3400	2000 psi	Kabler	8	500	2011-08-05	2011-08-17	2011-09-15	2011-09-06	2000	613	250	395	64.000000	Område inkludert snuområde	818
ST11015	7472	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7472	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7472	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	1	3400	2000 psi	Kabler	8	500	2011-08-05	2011-08-17	2011-09-15	2011-09-06	2000	613	250	395	64.000000	Område unntatt snuområde	819
SBX1101	7473	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7473	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7473	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	3D	Seabird Technologies AS	Seismisk kilde	2	5220	P-P 122 Barm (0-28 Hz); 12 m tow depth	Noder	Max. 800	Size of NODE assembly is 1 m  x 1m	2011-08-01	2011-08-23	2011-10-01	2011-09-05	5000	4000	4000	555	3406.720000	Område unntatt snuområde	820
SBX1101	7473	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7473	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7473	Ferdig	Norskehavet	Ja	Havbunnseismisk undersøkelse	3D	Seabird Technologies AS	Seismisk kilde	2	5220	P-P 122 Barm (0-28 Hz); 12 m tow depth	Noder	Max. 800	Size of NODE assembly is 1 m  x 1m	2011-08-01	2011-08-23	2011-10-01	2011-09-05	5000	4000	4000	555	3406.720000	Område inkludert snuområde	821
ST11303	7474	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7474	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7474	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-07-17	2011-07-31	2011-09-08	2011-09-02	700	665	700	665	\N	Område inkludert snuområde	822
ST11303	7474	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7474	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7474	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-07-17	2011-07-31	2011-09-08	2011-09-02	700	665	700	665	\N	Område unntatt snuområde	823
DG1103	7475	\N	\N	Avlyst	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	DONG E&P Norge AS	Seismisk kilde	2	UNKNOWN	UNKNOWN	Kabler	UNKNOWN	60000	2011-07-25	9999-12-31	2011-09-30	9999-12-31	62000	\N	3100	\N	1172.380000	Område inkludert snuområde	824
DG1103	7475	\N	\N	Avlyst	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	DONG E&P Norge AS	Seismisk kilde	2	UNKNOWN	UNKNOWN	Kabler	UNKNOWN	60000	2011-07-25	9999-12-31	2011-09-30	9999-12-31	62000	\N	3100	\N	1172.380000	Område unntatt snuområde	825
TE1102	7476	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7476	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7476	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3	UNKNOWN	Kabler	1	1200	2011-10-12	2011-11-22	2012-01-31	2012-01-19	150	130	150	130	\N	Område inkludert snuområde	826
TE1102	7476	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7476	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7476	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3	UNKNOWN	Kabler	1	1200	2011-10-12	2011-11-22	2012-01-31	2012-01-19	150	130	150	130	\N	Område unntatt snuområde	827
DN1105	7480	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7480	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7480	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-07-30	2011-07-22	2011-08-02	2011-07-25	\N	\N	\N	\N	\N	Område inkludert snuområde	832
DN1105	7480	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7480	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7480	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-07-30	2011-07-22	2011-08-02	2011-07-25	\N	\N	\N	\N	\N	Område unntatt snuområde	833
SH1105	7481	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7481	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7481	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	Seismisk kilde	1	140 cu.in	2000 psi	Kabler	1	1200m	2011-09-06	2011-10-02	2011-10-15	2011-10-02	60	48	60	48	\N	Område unntatt snuområde	834
SH1105	7481	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7481	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7481	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	Seismisk kilde	1	140 cu.in	2000 psi	Kabler	1	1200m	2011-09-06	2011-10-02	2011-10-15	2011-10-02	60	48	60	48	\N	Område inkludert snuområde	835
DN1107	7482	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7482	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7482	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	0	0	0	\N	0	0	2011-07-22	2011-08-03	2011-08-30	2011-08-07	\N	\N	\N	\N	\N	Område unntatt snuområde	836
DN1107	7482	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7482	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7482	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	0	0	0	\N	0	0	2011-07-22	2011-08-03	2011-08-30	2011-08-07	\N	\N	\N	\N	\N	Område inkludert snuområde	837
DN1106	7483	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7483	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7483	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	0	0	2011-07-22	2011-07-25	2011-08-25	2011-08-03	\N	\N	\N	\N	\N	Område unntatt snuområde	838
DN1106	7483	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7483	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7483	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	0	0	2011-07-22	2011-07-25	2011-08-25	2011-08-03	\N	\N	\N	\N	\N	Område inkludert snuområde	839
CP11101	7484	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7484	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7484	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	ConocoPhillips Skandinavia AS	Seismisk kilde	2	4240 cu in	2000	Kabler	10	8000	2011-08-12	2011-08-12	2011-09-20	2011-09-10	1200	33963	24000	1698	519.610000	Område inkludert snuområde	840
CP11101	7484	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7484	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7484	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	ConocoPhillips Skandinavia AS	Seismisk kilde	2	4240 cu in	2000	Kabler	10	8000	2011-08-12	2011-08-12	2011-09-20	2011-09-10	1200	33963	24000	1698	519.610000	Område unntatt snuområde	841
BPN11303	7485	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7485	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7485	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40cu in	160 cu in	2000psi	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-08-29	2011-08-31	2011-10-03	2011-10-03	\N	50	50	50	\N	Område inkludert snuområde	842
BPN11303	7485	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7485	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7485	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40cu in	160 cu in	2000psi	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-08-29	2011-08-31	2011-10-03	2011-10-03	\N	50	50	50	\N	Område unntatt snuområde	843
BPN11304	7486	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7486	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7486	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	160 cu in	2000psi	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-08-07	2011-09-06	2011-09-18	2011-09-12	\N	48	122	72	\N	Område unntatt snuområde	844
BPN11304	7486	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7486	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7486	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	160 cu in	2000psi	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-08-07	2011-09-06	2011-09-18	2011-09-12	\N	48	122	72	\N	Område inkludert snuområde	845
SH1106	7487	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7487	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7487	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	Seismisk kilde	1	140 cu.in	2000 psi	Kabler	1	1200	2011-10-16	2011-09-10	2011-12-31	2011-12-26	60	58	60	58	\N	Område unntatt snuområde	846
SH1106	7487	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7487	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7487	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	Seismisk kilde	1	140 cu.in	2000 psi	Kabler	1	1200	2011-10-16	2011-09-10	2011-12-31	2011-12-26	60	58	60	58	\N	Område inkludert snuområde	847
ST11006	7488	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7488	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7488	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2 (dual - flip-flop)	2400 cu.in	2000 psi	Noder	Opptil 1800 sensorer pr kabelutlegg	45 km	2011-09-26	2011-09-28	2012-03-13	2012-03-13	1350	1397	1350	1397	51.890000	Område unntatt snuområde	848
ST11006	7488	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7488	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7488	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2 (dual - flip-flop)	2400 cu.in	2000 psi	Noder	Opptil 1800 sensorer pr kabelutlegg	45 km	2011-09-26	2011-09-28	2012-03-13	2012-03-13	1350	1397	1350	1397	51.890000	Område inkludert snuområde	849
ST11308	7489	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-07-27	9999-12-31	2011-08-27	9999-12-31	333	\N	333	\N	\N	Område inkludert snuområde	850
ST11308	7489	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-07-27	9999-12-31	2011-08-27	9999-12-31	333	\N	333	\N	\N	Område unntatt snuområde	851
CGGV1103	7490	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7490	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7490	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-13	2011-09-30	2011-08-15	180	180	180	180	\N	Område inkludert snuområde	852
CGGV1104	7491	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7491	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7491	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-14	2011-09-30	2011-08-16	60	60	60	60	\N	Område inkludert snuområde	853
CGGV1105	7492	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7492	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7492	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-12	2011-09-30	2011-08-13	50	50	50	50	\N	Område inkludert snuområde	854
MC3D-GES2011	7493	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7493	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7493	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4135 cuin source	2000 psi	Kabler	10	7000m	2011-08-15	2011-08-22	2011-09-15	2011-09-02	10200	7584	510	438	600.650000	Område inkludert snuområde	855
MC3D-GES2011	7493	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7493	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7493	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4135 cuin source	2000 psi	Kabler	10	7000m	2011-08-15	2011-08-22	2011-09-15	2011-09-02	10200	7584	510	438	600.650000	Område unntatt snuområde	856
CGGV1106	7494	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7494	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7494	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-11	2011-09-30	2011-08-11	480	120	480	120	\N	Område inkludert snuområde	857
BPN11102	7495	\N	\N	Avlyst	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	BP Norge AS	Seismisk kilde	2	3147 cu inh/ 51,6 l	2000 psi	Noder	2400 4 component	6000m	2011-08-15	9999-12-31	2011-09-30	9999-12-31	\N	\N	1688	\N	105.500000	Område inkludert snuområde	858
BPN11102	7495	\N	\N	Avlyst	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	BP Norge AS	Seismisk kilde	2	3147 cu inh/ 51,6 l	2000 psi	Noder	2400 4 component	6000m	2011-08-15	9999-12-31	2011-09-30	9999-12-31	\N	\N	1688	\N	105.500000	Område unntatt snuområde	859
CGGV1107	7496	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	9999-12-31	2011-09-30	9999-12-31	58	\N	58	\N	\N	Område inkludert snuområde	860
CGGV1108	7497	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7497	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7497	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-21	2011-09-30	2011-08-24	54	54	54	54	\N	Område inkludert snuområde	861
CGGV1109	7498	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7498	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7498	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-24	2011-09-30	2011-08-23	109	164	109	164	\N	Område inkludert snuområde	862
ST11456 Dagny	7499	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7499	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7499	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-10-20	2011-10-20	2011-11-30	2011-11-08	\N	\N	\N	\N	\N	Område unntatt snuområde	863
ST11456 Dagny	7499	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7499	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7499	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-10-20	2011-10-20	2011-11-30	2011-11-08	\N	\N	\N	\N	\N	Område inkludert snuområde	864
MC2D-BS2011	7500	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7500	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7500	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	1	4130 cu in	2000 psi	Kabler	1	8000	2011-09-10	2011-09-13	2011-10-20	2011-10-13	1253	2544	1253	2544	\N	Område inkludert snuområde	865
ST11455 Eirin	7501	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7501	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7501	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-11-09	2011-11-08	2011-11-30	2011-11-17	\N	\N	\N	\N	\N	Område inkludert snuområde	866
ST11455 Eirin	7501	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7501	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7501	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-11-09	2011-11-08	2011-11-30	2011-11-17	\N	\N	\N	\N	\N	Område unntatt snuområde	867
BPB11305	7502	\N	\N	Avlyst	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	160 cu in	2000 psi	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-08-14	9999-12-31	2011-09-18	9999-12-31	\N	\N	39	\N	\N	Område unntatt snuområde	868
BPB11305	7502	\N	\N	Avlyst	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	160 cu in	2000 psi	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-08-14	9999-12-31	2011-09-18	9999-12-31	\N	\N	39	\N	\N	Område inkludert snuområde	869
NKFE11	7503	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7503	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7503	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2011-09-25	2011-10-01	2011-11-16	2011-10-31	30000	56260	1500	2813	1640.780000	Område unntatt snuområde	870
NKFE11	7503	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7503	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7503	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2011-09-25	2011-10-01	2011-11-16	2011-10-31	30000	56260	1500	2813	1640.780000	Område inkludert snuområde	871
LO1103	7504	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7504	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7504	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lotos Exploration and Production Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-09-20	2011-09-27	2011-10-20	2011-09-30	\N	\N	\N	\N	\N	Område unntatt snuområde	872
LO1103	7504	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7504	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7504	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lotos Exploration and Production Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-09-20	2011-09-27	2011-10-20	2011-09-30	\N	\N	\N	\N	\N	Område inkludert snuområde	873
POL1101	7505	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7505	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7505	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	Seismisk kilde	2	2940 cu. in	2000 psi	Kabler	8	6000	2011-08-07	2011-08-08	2011-10-15	2011-09-28	71769	77392	4486	4837	1347.150000	Område unntatt snuområde	874
POL1101	7505	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7505	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7505	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	Seismisk kilde	2	2940 cu. in	2000 psi	Kabler	8	6000	2011-08-07	2011-08-08	2011-10-15	2011-09-28	71769	77392	4486	4837	1347.150000	Område inkludert snuområde	875
Veslemoy	7506	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7506	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7506	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	1	4 x 40 cu in	2000 psi	Kabler	1	1200	2011-08-24	2011-10-13	2011-10-24	2011-10-30	350	113	350	268	\N	Område inkludert snuområde	876
Veslemoy	7506	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7506	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7506	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	Seismisk kilde	1	4 x 40 cu in	2000 psi	Kabler	1	1200	2011-08-24	2011-10-13	2011-10-24	2011-10-30	350	113	350	268	\N	Område unntatt snuområde	877
PM01-2011	7507	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7507	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7507	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2011-08-15	2011-08-27	2011-09-15	2011-08-30	\N	\N	20	20	\N	Område inkludert snuområde	878
PM01-2011	7507	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7507	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7507	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2011-08-15	2011-08-27	2011-09-15	2011-08-30	\N	\N	20	20	\N	Område unntatt snuområde	879
PM1101	7508	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7508	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7508	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2011-08-20	2011-08-20	2011-09-10	2011-08-25	\N	10	10	\N	\N	Område unntatt snuområde	880
PM1101	7508	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7508	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7508	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2011-08-20	2011-08-20	2011-09-10	2011-08-25	\N	10	10	\N	\N	Område inkludert snuområde	881
PM03-2011	7509	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2011-09-30	9999-12-31	2011-10-31	9999-12-31	\N	\N	30	\N	\N	Område inkludert snuområde	882
PM03-2011	7509	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2011-09-30	9999-12-31	2011-10-31	9999-12-31	\N	\N	30	\N	\N	Område unntatt snuområde	883
PM04-2011	7510	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2011-09-28	9999-12-31	2011-10-31	9999-12-31	\N	\N	30	\N	\N	Område inkludert snuområde	884
PM04-2011	7510	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	\N	2011-09-28	9999-12-31	2011-10-31	9999-12-31	\N	\N	30	\N	\N	Område unntatt snuområde	885
PM02-2011	7511	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	10	2011-08-20	9999-12-31	2011-09-15	9999-12-31	\N	\N	25	\N	\N	Område inkludert snuområde	886
PM02-2011	7511	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	5	10	2011-08-20	9999-12-31	2011-09-15	9999-12-31	\N	\N	25	\N	\N	Område unntatt snuområde	887
BPN11305	7512	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7512	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7512	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	160 cu in	2000 psi	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-08-14	2011-09-06	2011-09-18	2011-09-13	\N	12	39	18	\N	Område inkludert snuområde	888
BPN11305	7512	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7512	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7512	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	160 cu in	2000 psi	Kabler	96 12,5m gruppe	1 x 1200 m streamer	2011-08-14	2011-09-06	2011-09-18	2011-09-13	\N	12	39	18	\N	Område unntatt snuområde	889
BBE	7513	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max. 5100 cu.in	2000 psi	Kabler	max 12	max 8100 m	2011-08-29	9999-12-31	2011-12-31	9999-12-31	220000	\N	10600	\N	6311.020000	Område inkludert snuområde	890
BBE	7513	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max. 5100 cu.in	2000 psi	Kabler	max 12	max 8100 m	2011-08-29	9999-12-31	2011-12-31	9999-12-31	220000	\N	10600	\N	6311.020000	Område unntatt snuområde	891
HBW	7514	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max. 5100 cu.in.	2000 psi	Kabler	max 12	max 8100 m	2011-08-29	9999-12-31	2011-12-31	9999-12-31	31000	\N	1600	\N	903.780000	Område unntatt snuområde	892
HBW	7514	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max. 5100 cu.in.	2000 psi	Kabler	max 12	max 8100 m	2011-08-29	9999-12-31	2011-12-31	9999-12-31	31000	\N	1600	\N	903.780000	Område inkludert snuområde	893
ST11016	7515	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7515	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7515	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	4240 cu in	2000 psi	Kabler	10	8000	2011-09-07	2011-09-10	2011-09-14	2011-09-13	1400	78	70	1560	22.900000	Område unntatt snuområde	894
ST11016	7515	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7515	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7515	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	4240 cu in	2000 psi	Kabler	10	8000	2011-09-07	2011-09-10	2011-09-14	2011-09-13	1400	78	70	1560	22.900000	Område inkludert snuområde	895
CGGV1114	7543	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	2	4980 cu.in.	2000 psi	Kabler	1	6000	2011-11-01	9999-12-31	2011-12-15	9999-12-31	43	\N	43	\N	\N	Område inkludert snuområde	943
PM05	7516	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7516	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7516	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2011-09-25	2011-09-30	2011-10-31	2011-10-09	\N	24	30	24	\N	Område inkludert snuområde	896
PM05	7516	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7516	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7516	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2011-09-25	2011-09-30	2011-10-31	2011-10-09	\N	24	30	24	\N	Område unntatt snuområde	897
PM06-2011	7517	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7517	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7517	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2011-08-29	2011-08-30	2011-09-30	2011-09-06	\N	\N	35	35	\N	Område inkludert snuområde	898
PM06-2011	7517	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7517	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7517	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2011-08-29	2011-08-30	2011-09-30	2011-09-06	\N	\N	35	35	\N	Område unntatt snuområde	899
ST11311	7518	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7518	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7518	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-12-07	2011-11-05	2011-12-20	2011-12-01	333	266	333	266	\N	Område unntatt snuområde	900
ST11311	7518	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7518	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7518	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-12-07	2011-11-05	2011-12-20	2011-12-01	333	266	333	266	\N	Område inkludert snuområde	901
ST11466	7519	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7519	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7519	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2011-09-20	2011-10-02	2011-12-01	2011-10-19	\N	\N	\N	\N	\N	Område unntatt snuområde	902
ST11466	7519	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7519	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7519	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2011-09-20	2011-10-02	2011-12-01	2011-10-19	\N	\N	\N	\N	\N	Område inkludert snuområde	903
Hild	7520	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7520	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7520	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	1 mini air gun or 1 hull mounted pinger	10 or 20 cu inch sleeve gun	Not known	Kabler	1	75m	2011-11-10	2011-11-13	2011-12-10	2011-11-14	11	10	15	18	\N	Område inkludert snuområde	904
Hild	7520	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7520	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7520	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	1 mini air gun or 1 hull mounted pinger	10 or 20 cu inch sleeve gun	Not known	Kabler	1	75m	2011-11-10	2011-11-13	2011-12-10	2011-11-14	11	10	15	18	\N	Område unntatt snuområde	905
CP11L03	7521	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7521	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7521	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3060 cuin	2000 psi	Kabler	4000	200000	2011-09-24	2011-09-25	2011-11-30	2011-11-08	3000	3120	3000	3120	191.170000	Område inkludert snuområde	906
CP11L03	7521	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7521	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7521	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3060 cuin	2000 psi	Kabler	4000	200000	2011-09-24	2011-09-25	2011-11-30	2011-11-08	3000	3120	3000	3120	191.170000	Område unntatt snuområde	907
PM07-2011	7522	\N	\N	Avlyst	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2011-10-05	9999-12-31	2011-10-31	9999-12-31	\N	\N	30	\N	\N	Område unntatt snuområde	908
PM07-2011	7522	\N	\N	Avlyst	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2011-10-05	9999-12-31	2011-10-31	9999-12-31	\N	\N	30	\N	\N	Område inkludert snuområde	909
PM08-2011	7523	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7523	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7523	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2011-09-07	2011-09-25	2011-10-31	2011-10-01	\N	12	30	13	\N	Område unntatt snuområde	910
PM08-2011	7523	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7523	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7523	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500A	\N	Noder	5	\N	2011-09-07	2011-09-25	2011-10-31	2011-10-01	\N	12	30	13	\N	Område inkludert snuområde	911
LN11004	7525	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7525	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7525	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	4480 cuinch	2000 psi	Kabler	10	7500	2011-10-13	2011-10-14	2011-11-30	2011-11-18	12000	16402	500	820	300.730000	Område unntatt snuområde	912
LN11004	7525	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7525	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7525	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	4480 cuinch	2000 psi	Kabler	10	7500	2011-10-13	2011-10-14	2011-11-30	2011-11-18	12000	16402	500	820	300.730000	Område inkludert snuområde	913
ST11460 - Fulla SI	7526	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7526	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7526	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-10-18	2011-11-19	2011-11-30	2011-11-23	\N	\N	\N	\N	\N	Område inkludert snuområde	914
ST11460 - Fulla SI	7526	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7526	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7526	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-10-18	2011-11-19	2011-11-30	2011-11-23	\N	\N	\N	\N	\N	Område unntatt snuområde	915
Ormen LMN	7527	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7527	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7527	Ferdig	Norskehavet	Ja	Grunnundersøkelser	Ikke seismikk	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2011-09-15	2011-09-17	2011-10-07	2011-09-22	10	10	10	10	\N	Område unntatt snuområde	916
Ormen LMN	7527	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7527	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7527	Ferdig	Norskehavet	Ja	Grunnundersøkelser	Ikke seismikk	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2011-09-15	2011-09-17	2011-10-07	2011-09-22	10	10	10	10	\N	Område inkludert snuområde	917
DN1108	7528	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7528	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7528	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	150 Cu in	2000 psi	Kabler	1	1200	2011-11-23	2011-10-27	2012-01-31	2012-01-18	150	149	150	149	\N	Område unntatt snuområde	918
DN1108	7528	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7528	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7528	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	150 Cu in	2000 psi	Kabler	1	1200	2011-11-23	2011-10-27	2012-01-31	2012-01-18	150	149	150	149	\N	Område inkludert snuområde	919
EM-GRANE-2011	7529	\N	\N	Avlyst	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	Elektromagnetisk kilde	1	360 kw	2000 psi	Kabler	1	8000	2011-10-15	9999-12-31	2011-12-15	9999-12-31	500	\N	500	\N	2118.620000	Område inkludert snuområde	920
EM-GRANE-2011	7529	\N	\N	Avlyst	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	Elektromagnetisk kilde	1	360 kw	2000 psi	Kabler	1	8000	2011-10-15	9999-12-31	2011-12-15	9999-12-31	500	\N	500	\N	2118.620000	Område unntatt snuområde	921
ST11465 Linnorm	7530	\N	\N	Avlyst	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-10-26	9999-12-31	2011-12-31	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	922
ST11465 Linnorm	7530	\N	\N	Avlyst	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-10-26	9999-12-31	2011-12-31	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	923
ST11462 NSGI	7531	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7531	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7531	Ferdig	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-10-26	2011-12-07	2012-02-01	2012-01-25	\N	\N	\N	\N	\N	Område unntatt snuområde	924
ST11462 NSGI	7531	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7531	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7531	Ferdig	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2011-10-26	2011-12-07	2012-02-01	2012-01-25	\N	\N	\N	\N	\N	Område inkludert snuområde	925
LN11006	7532	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	Lundin Norway AS	Seismisk kilde	1	4480 cuinch	2000 psi	Kabler	1	6000 m	2011-10-15	9999-12-31	2011-12-15	2011-12-14	133	\N	133	\N	\N	Område inkludert snuområde	926
ST11314	7533	\N	\N	Avlyst	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-10-27	9999-12-31	2011-12-31	9999-12-31	333	\N	333	\N	\N	Område unntatt snuområde	927
ST11314	7533	\N	\N	Avlyst	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 PSI	Kabler	1	1200	2011-10-27	9999-12-31	2011-12-31	9999-12-31	333	\N	333	\N	\N	Område inkludert snuområde	928
ST11464	7534	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7534	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7534	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2011-11-10	2011-11-26	2011-12-15	2011-12-07	\N	\N	\N	\N	\N	Område unntatt snuområde	929
ST11464	7534	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7534	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7534	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2011-11-10	2011-11-26	2011-12-15	2011-12-07	\N	\N	\N	\N	\N	Område inkludert snuområde	930
PGS1101	7535	\N	\N	Avlyst	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	3600 cu in	2000 psi	Kabler	6	6000	2011-12-15	9999-12-31	2011-12-31	9999-12-31	2700	\N	450	\N	116.020000	Område inkludert snuområde	931
PGS1101	7535	\N	\N	Avlyst	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	3600 cu in	2000 psi	Kabler	6	6000	2011-12-15	9999-12-31	2011-12-31	9999-12-31	2700	\N	450	\N	116.020000	Område unntatt snuområde	932
ST11313	7536	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7536	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7536	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2011-11-02	2011-12-19	2012-03-13	2012-03-01	350	346	350	346	\N	Område inkludert snuområde	933
ST11313	7536	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7536	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7536	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2011-11-02	2011-12-19	2012-03-13	2012-03-01	350	346	350	346	\N	Område unntatt snuområde	934
EMGS1103	7537	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7537	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7537	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120KW	UNKNOWN	Noder	168	ikke aktuelt	2011-11-15	2011-12-07	2012-01-23	2012-01-22	910	\N	910	\N	6535.820000	Område inkludert snuområde	935
EMGS1103	7537	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7537	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7537	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120KW	UNKNOWN	Noder	168	ikke aktuelt	2011-11-15	2011-12-07	2012-01-23	2012-01-22	910	\N	910	\N	6535.820000	Område unntatt snuområde	936
ST11467	7538	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7538	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7538	Ferdig	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2011-11-24	2011-12-19	2012-02-01	2012-01-25	\N	\N	\N	\N	\N	Område inkludert snuområde	937
ST11467	7538	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7538	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7538	Ferdig	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2011-11-24	2011-12-19	2012-02-01	2012-01-25	\N	\N	\N	\N	\N	Område unntatt snuområde	938
CGGV1110	7539	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	2	4980	2000 psi	Kabler	1	6000	2011-11-01	9999-12-31	2011-12-15	9999-12-31	262	\N	262	\N	\N	Område inkludert snuområde	939
CGGV1111	7540	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	2	4980 cu.in.	2000 psi	Kabler	1	6000	2011-11-01	9999-12-31	2011-12-15	9999-12-31	84	\N	84	\N	\N	Område inkludert snuområde	940
CGGV1112	7541	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	2	4980 cu.in.	2000 psi	Kabler	1	6000	2011-11-01	9999-12-31	2011-12-15	9999-12-31	105	\N	105	\N	\N	Område inkludert snuområde	941
PGS1102	7544	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7544	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7544	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	Elektromagnetisk kilde	1	360 kw	2000 psi	Kabler	1	8000	2011-11-15	2011-11-16	2011-12-20	2011-11-26	600	20	600	20	15225.830000	Område inkludert snuområde	944
PGS1102	7544	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7544	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7544	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	Elektromagnetisk kilde	1	360 kw	2000 psi	Kabler	1	8000	2011-11-15	2011-11-16	2011-12-20	2011-11-26	600	20	600	20	15225.830000	Område unntatt snuområde	945
ST12301	7546	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7546	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7546	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2011-12-30	2012-03-24	2012-04-25	2012-04-25	312	406	312	406	\N	Område unntatt snuområde	946
ST12301	7546	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7546	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7546	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2011-12-30	2012-03-24	2012-04-25	2012-04-25	312	406	312	406	\N	Område inkludert snuområde	947
ST12302	7547	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2011-11-30	9999-12-31	2012-01-31	9999-12-31	313	\N	313	\N	\N	Område unntatt snuområde	948
ST12302	7547	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2011-11-30	9999-12-31	2012-01-31	9999-12-31	313	\N	313	\N	\N	Område inkludert snuområde	949
SWB1102	7548	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7548	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7548	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max 4200 cu.in.	2000 psi	Kabler	max 6	max 8100	2011-11-09	2011-11-11	2011-12-31	2011-12-05	1500	\N	460	\N	180.410000	Område unntatt snuområde	950
SWB1102	7548	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7548	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7548	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max 4200 cu.in.	2000 psi	Kabler	max 6	max 8100	2011-11-09	2011-11-11	2011-12-31	2011-12-05	1500	\N	460	\N	180.410000	Område inkludert snuområde	951
TO-Hild-1101	7549	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7549	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7549	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Total E&P Norge AS	Seismisk kilde	2	4480 cuinch	2000 psi	Kabler	10	6400	2011-11-18	2011-11-21	2012-02-15	2011-11-22	500	633	600	32	126.480000	Område unntatt snuområde	952
TO-Hild-1101	7549	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7549	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7549	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Total E&P Norge AS	Seismisk kilde	2	4480 cuinch	2000 psi	Kabler	10	6400	2011-11-18	2011-11-21	2012-02-15	2011-11-22	500	633	600	32	126.480000	Område inkludert snuområde	953
ST11469	7550	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7550	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7550	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2012-01-01	2012-01-26	2012-02-29	2012-02-07	\N	\N	\N	\N	\N	Område inkludert snuområde	954
ST11469	7550	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7550	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7550	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2012-01-01	2012-01-26	2012-02-29	2012-02-07	\N	\N	\N	\N	\N	Område unntatt snuområde	955
ST12303	7551	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7551	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7551	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2011-12-28	2012-03-01	2012-04-16	2012-03-24	333	242	333	242	\N	Område unntatt snuområde	956
ST12303	7551	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7551	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7551	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2011-12-28	2012-03-01	2012-04-16	2012-03-24	333	242	333	242	\N	Område inkludert snuområde	957
PGS1201	7552	\N	\N	Avlyst	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	3600	2000 psi	Kabler	6	6000	2012-01-01	9999-12-31	2012-02-01	9999-12-31	2700	\N	450	\N	116.020000	Område unntatt snuområde	958
PGS1201	7552	\N	\N	Avlyst	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	3600	2000 psi	Kabler	6	6000	2012-01-01	9999-12-31	2012-02-01	9999-12-31	2700	\N	450	\N	116.020000	Område inkludert snuområde	959
MC3D-SVG11-EXT	7553	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000	2012-01-01	9999-12-31	2012-03-01	9999-12-31	8100	\N	1350	\N	2027.160000	Område inkludert snuområde	960
MC3D-SVG11-EXT	7553	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000	2012-01-01	9999-12-31	2012-03-01	9999-12-31	8100	\N	1350	\N	2027.160000	Område unntatt snuområde	961
ST11468	7554	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7554	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7554	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2012-01-10	2012-01-30	2012-03-10	2012-01-30	\N	\N	\N	\N	\N	Område inkludert snuområde	962
ST11468	7554	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7554	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7554	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2012-01-10	2012-01-30	2012-03-10	2012-01-30	\N	\N	\N	\N	\N	Område unntatt snuområde	963
LN11308	7555	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-01-09	9999-12-31	2012-03-09	9999-12-31	400	\N	400	\N	\N	Område unntatt snuområde	964
LN11308	7555	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-01-09	9999-12-31	2012-03-09	9999-12-31	400	\N	400	\N	\N	Område inkludert snuområde	965
WIN12301	7556	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7556	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7556	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge ASA	Seismisk kilde	1	140 cu in	2000 PSI	Kabler	1	1200 m	2012-02-25	2012-03-04	2012-05-15	2012-05-09	270	245	270	245	\N	Område inkludert snuområde	966
WIN12301	7556	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7556	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7556	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge ASA	Seismisk kilde	1	140 cu in	2000 PSI	Kabler	1	1200 m	2012-02-25	2012-03-04	2012-05-15	2012-05-09	270	245	270	245	\N	Område unntatt snuområde	967
MC3D-CGR2012	7557	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7557	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7557	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135 cuin source	2000 psi	Kabler	6	6000	2012-01-15	2012-02-04	2012-03-31	2012-03-05	67200	21845	5600	1819	1123.340000	Område inkludert snuområde	968
MC3D-CGR2012	7557	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7557	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7557	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135 cuin source	2000 psi	Kabler	6	6000	2012-01-15	2012-02-04	2012-03-31	2012-03-05	67200	21845	5600	1819	1123.340000	Område unntatt snuområde	969
EMGS1201	7558	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7558	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7558	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	UNKNOWN	UNKNOWN	2012-03-01	2012-03-05	2012-09-30	2012-09-17	4000	\N	4000	\N	50608.730000	Område inkludert snuområde	970
EMGS1201	7558	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7558	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7558	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	UNKNOWN	UNKNOWN	2012-03-01	2012-03-05	2012-09-30	2012-09-17	4000	\N	4000	\N	50608.730000	Område unntatt snuområde	971
EMGS1202	7559	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7559	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7559	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	UNKNOWN	UNKNOWN	2012-03-01	2012-04-26	2012-09-30	2012-09-17	4000	\N	4000	\N	53193.330000	Område unntatt snuområde	972
EMGS1202	7559	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7559	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7559	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	UNKNOWN	UNKNOWN	2012-03-01	2012-04-26	2012-09-30	2012-09-17	4000	\N	4000	\N	53193.330000	Område inkludert snuområde	973
EMGS1203	7560	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7560	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7560	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	UNKNOWN	UNKNOWN	2012-03-01	2012-07-25	2012-09-30	2012-09-17	4000	\N	4000	\N	55072.830000	Område unntatt snuområde	974
EMGS1203	7560	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7560	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7560	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	UNKNOWN	UNKNOWN	2012-03-01	2012-07-25	2012-09-30	2012-09-17	4000	\N	4000	\N	55072.830000	Område inkludert snuområde	975
NKFE12	7561	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7561	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7561	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2012-04-01	2012-04-14	2012-05-01	2012-04-23	100000	20045	5000	1002	2405.880000	Område unntatt snuområde	976
NKFE12	7561	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7561	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7561	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2012-04-01	2012-04-14	2012-05-01	2012-04-23	100000	20045	5000	1002	2405.880000	Område inkludert snuområde	977
LLD12	7562	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	12	6000	2012-06-01	9999-12-31	2012-09-01	9999-12-31	120000	\N	5000	\N	5301.690000	Område unntatt snuområde	978
LLD12	7562	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	12	6000	2012-06-01	9999-12-31	2012-09-01	9999-12-31	120000	\N	5000	\N	5301.690000	Område inkludert snuområde	979
NKFS12	7563	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7563	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7563	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2012-04-15	2012-04-17	2012-06-01	2012-05-19	100000	6160	5000	308	\N	Område inkludert snuområde	980
NKFS12	7563	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7563	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7563	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2012-04-15	2012-04-17	2012-06-01	2012-05-19	100000	6160	5000	308	\N	Område unntatt snuområde	981
NKFN12	7564	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2012-05-01	9999-12-31	2012-07-15	9999-12-31	40000	\N	2000	\N	850.470000	Område unntatt snuområde	982
NKFN12	7564	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2012-05-01	9999-12-31	2012-07-15	9999-12-31	40000	\N	2000	\N	850.470000	Område inkludert snuområde	983
IPN1201	7565	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7565	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7565	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Idemitsu Petroleum Norge AS	Seismisk kilde	2 med 3 arrayer	60 - 250 cu. inch	138 bar = 2000 psi til 207 bar = 3000 psi	Kabler	14	5500 m	2012-04-07	2012-04-22	2012-05-16	2012-05-29	60514	69444	2161	2487	1066.210000	Område inkludert snuområde	984
IPN1201	7565	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7565	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7565	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Idemitsu Petroleum Norge AS	Seismisk kilde	2 med 3 arrayer	60 - 250 cu. inch	138 bar = 2000 psi til 207 bar = 3000 psi	Kabler	14	5500 m	2012-04-07	2012-04-22	2012-05-16	2012-05-29	60514	69444	2161	2487	1066.210000	Område unntatt snuområde	985
ST12251	7566	\N	\N	Avlyst	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Statoil ASA	Elektromagnetisk kilde	1	12kW	UNKNOWN	Noder	120	UNKNOWN	2012-02-17	9999-12-31	2012-03-26	9999-12-31	450	\N	450	\N	\N	Område unntatt snuområde	986
ST12251	7566	\N	\N	Avlyst	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Statoil ASA	Elektromagnetisk kilde	1	12kW	UNKNOWN	Noder	120	UNKNOWN	2012-02-17	9999-12-31	2012-03-26	9999-12-31	450	\N	450	\N	\N	Område inkludert snuområde	987
WG1201	7567	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085	2000psi	Kabler	10	7000m	2012-07-19	9999-12-31	2012-07-20	9999-12-31	80000	\N	4000	\N	4305.660000	Område unntatt snuområde	988
WG1201	7567	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085	2000psi	Kabler	10	7000m	2012-07-19	9999-12-31	2012-07-20	9999-12-31	80000	\N	4000	\N	4305.660000	Område inkludert snuområde	989
DN1201	7568	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7568	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7568	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	Ikke seismikk	Det norske oljeselskap ASA	\N	0	0	0	\N	0	0	2012-01-18	2012-01-19	2012-02-10	2012-01-29	\N	\N	\N	\N	\N	Område unntatt snuområde	990
DN1201	7568	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7568	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7568	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	Ikke seismikk	Det norske oljeselskap ASA	\N	0	0	0	\N	0	0	2012-01-18	2012-01-19	2012-02-10	2012-01-29	\N	\N	\N	\N	\N	Område inkludert snuområde	991
SWB12	7569	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7569	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7569	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max 5100 cu.in.	2000 psi	Kabler	max 12	max 8100 m	2012-02-20	2012-03-03	2012-11-30	2012-10-23	300000	9604	15000	16030	8949.210000	Område inkludert snuområde	992
SWB12	7569	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7569	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7569	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max 5100 cu.in.	2000 psi	Kabler	max 12	max 8100 m	2012-02-20	2012-03-03	2012-11-30	2012-10-23	300000	9604	15000	16030	8949.210000	Område unntatt snuområde	993
LN12301	7570	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7570	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7570	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-03-01	2012-03-12	2012-04-01	2012-03-18	120	207	120	207	\N	Område unntatt snuområde	994
LN12301	7570	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7570	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7570	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-03-01	2012-03-12	2012-04-01	2012-03-18	120	207	120	207	\N	Område inkludert snuområde	995
MC3D-Q16UK2012	7571	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7571	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7571	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2	Kabler	6	6000	2012-01-15	2012-03-06	2012-04-30	2012-04-23	5000	3672	500	306	1667.860000	Område unntatt snuområde	996
MC3D-Q16UK2012	7571	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7571	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7571	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2	Kabler	6	6000	2012-01-15	2012-03-06	2012-04-30	2012-04-23	5000	3672	500	306	1667.860000	Område inkludert snuområde	997
ST12305	7572	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7572	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7572	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-03-28	2012-06-25	2012-07-27	2012-07-14	350	334	350	334	\N	Område inkludert snuområde	998
ST12305	7572	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7572	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7572	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-03-28	2012-06-25	2012-07-27	2012-07-14	350	334	350	334	\N	Område unntatt snuområde	999
ST12308	7573	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7573	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7573	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-04-04	2012-05-31	2012-07-27	2012-06-25	350	300	350	300	\N	Område inkludert snuområde	1000
ST12308	7573	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7573	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7573	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-04-04	2012-05-31	2012-07-27	2012-06-25	350	300	350	300	\N	Område unntatt snuområde	1001
ST12309	7574	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7574	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7574	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-02-14	2012-04-16	2012-04-19	2012-04-17	48	16	48	16	\N	Område unntatt snuområde	1002
ST12309	7574	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7574	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7574	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-02-14	2012-04-16	2012-04-19	2012-04-17	48	16	48	16	\N	Område inkludert snuområde	1003
ST12001	7575	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7575	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7575	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	4600	2000	Kabler	13	3600	2012-05-13	2012-05-24	2012-08-07	2012-08-02	43500	32994	1673	1269	528.040000	Område inkludert snuområde	1004
ST12001	7575	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7575	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7575	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	4600	2000	Kabler	13	3600	2012-05-13	2012-05-24	2012-08-07	2012-08-02	43500	32994	1673	1269	528.040000	Område unntatt snuområde	1005
SU1201	7576	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7576	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7576	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Suncor Energy Norge AS	Seismisk kilde	2	5085 cubic inch	2000 psi	Kabler	12	6000	2012-05-21	2012-05-28	2012-09-30	2012-07-09	21000	91595	2100	3818	2003.600000	Område inkludert snuområde	1006
ST12256	7750	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	1	3090 cu. in.	2000 psi	Kabler	1	3000m	2012-10-10	9999-12-31	2012-11-09	2012-10-24	125	\N	125	\N	62.900000	Område inkludert snuområde	1338
SU1201	7576	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7576	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7576	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Suncor Energy Norge AS	Seismisk kilde	2	5085 cubic inch	2000 psi	Kabler	12	6000	2012-05-21	2012-05-28	2012-09-30	2012-07-09	21000	91595	2100	3818	2003.600000	Område unntatt snuområde	1007
LN12302	7577	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-02-02	9999-12-31	2012-02-06	9999-12-31	5	\N	5	\N	\N	Område inkludert snuområde	1008
LN12302	7577	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-02-02	9999-12-31	2012-02-06	9999-12-31	5	\N	5	\N	\N	Område unntatt snuområde	1009
CP12201	7578	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7578	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7578	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3990 cuin	2000 psi	Kabler	6 kabler per patch og 7 patcher	10 km per kabel	2012-03-21	2012-04-14	2012-11-30	2012-05-21	6000	1175	6000	1175	306.170000	Område inkludert snuområde	1010
CP12201	7578	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7578	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7578	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3990 cuin	2000 psi	Kabler	6 kabler per patch og 7 patcher	10 km per kabel	2012-03-21	2012-04-14	2012-11-30	2012-05-21	6000	1175	6000	1175	306.170000	Område unntatt snuområde	1011
NBR12	7579	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7579	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7579	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	max 4500 cu.in.	2000 psi	Kabler	1	12000	2012-03-15	2012-03-26	2012-09-30	2012-09-30	12000	14643	12000	14643	\N	Område inkludert snuområde	1012
MCG1201	7580	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7580	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7580	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	1	4000	2000	Kabler	1	9000	2012-03-15	2012-03-21	2012-06-30	2012-06-29	6392	5847	6392	5847	\N	Område inkludert snuområde	1013
RD1201	7581	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7581	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7581	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	Seismisk kilde	6 sub arrays	4050 cu in flip-flop	2000 psi	Kabler	10	6000	2012-04-01	2012-04-04	2012-06-15	2012-05-10	18000	24074	900	1200	183.800000	Område unntatt snuområde	1014
RD1201	7581	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7581	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7581	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	Seismisk kilde	6 sub arrays	4050 cu in flip-flop	2000 psi	Kabler	10	6000	2012-04-01	2012-04-04	2012-06-15	2012-05-10	18000	24074	900	1200	183.800000	Område inkludert snuområde	1015
Linnorm	7582	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7582	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7582	Ferdig	Norskehavet	Ja	Grunnundersøkelser	Ikke seismikk	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2012-03-12	2012-03-14	2012-05-31	2012-05-30	10	10	10	10	\N	Område unntatt snuområde	1016
Linnorm	7582	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7582	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7582	Ferdig	Norskehavet	Ja	Grunnundersøkelser	Ikke seismikk	A/S Norske Shell	\N	\N	\N	\N	\N	\N	\N	2012-03-12	2012-03-14	2012-05-31	2012-05-30	10	10	10	10	\N	Område inkludert snuområde	1017
EMGS1204	7583	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7583	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7583	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	200	ikke aktuelt	2012-10-20	2012-10-30	2012-12-20	2012-11-29	1200	30	1200	30	30920.650000	Område inkludert snuområde	1018
EMGS1204	7583	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7583	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7583	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	200	ikke aktuelt	2012-10-20	2012-10-30	2012-12-20	2012-11-29	1200	30	1200	30	30920.650000	Område unntatt snuområde	1019
LN12303	7584	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7584	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7584	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	Seismisk kilde	1	10	10	\N	1	1	2012-03-05	2012-03-03	2012-04-05	2012-05-29	1000	2133	1000	2133	\N	Område unntatt snuområde	1020
LN12303	7584	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7584	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7584	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	Seismisk kilde	1	10	10	\N	1	1	2012-03-05	2012-03-03	2012-04-05	2012-05-29	1000	2133	1000	2133	\N	Område inkludert snuområde	1021
LN12304	7585	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-03-22	9999-12-31	2012-07-19	9999-12-31	100	\N	100	\N	\N	Område unntatt snuområde	1022
LN12304	7585	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-03-22	9999-12-31	2012-07-19	9999-12-31	100	\N	100	\N	\N	Område inkludert snuområde	1023
EM1201	7586	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7586	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7586	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	4D	ExxonMobil Exploration & Production Norway AS	Seismisk kilde	2 arrays med 24 kanoner, Dual kilde/ flip flop skyting	totalt array volume: 3683 kubikk tommer	2000 psi	Kabler	10	2600m	2012-05-17	2012-05-20	2012-09-01	2012-08-02	25766	35477	2147	2956	321.830000	Område unntatt snuområde	1024
EM1201	7586	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7586	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7586	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	4D	ExxonMobil Exploration & Production Norway AS	Seismisk kilde	2 arrays med 24 kanoner, Dual kilde/ flip flop skyting	totalt array volume: 3683 kubikk tommer	2000 psi	Kabler	10	2600m	2012-05-17	2012-05-20	2012-09-01	2012-08-02	25766	35477	2147	2956	321.830000	Område inkludert snuområde	1025
EM1202	7587	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7587	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7587	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ExxonMobil Exploration & Production Norway AS	Seismisk kilde	Single source Array, 96 source lines centered around FPSO	3683 cubic inches	UNKNOWN	Kabler	4	6000m	2012-09-01	2012-09-12	2012-10-15	2012-09-28	288	1052	1152	1052	26.970000	Område unntatt snuområde	1026
ST12256	7750	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	1	3090 cu. in.	2000 psi	Kabler	1	3000m	2012-10-10	9999-12-31	2012-11-09	2012-10-24	125	\N	125	\N	62.900000	Område unntatt snuområde	1339
EM1202	7587	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7587	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7587	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ExxonMobil Exploration & Production Norway AS	Seismisk kilde	Single source Array, 96 source lines centered around FPSO	3683 cubic inches	UNKNOWN	Kabler	4	6000m	2012-09-01	2012-09-12	2012-10-15	2012-09-28	288	1052	1152	1052	26.970000	Område inkludert snuområde	1027
CGGVMCNV1201	7588	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4450 cu.in.	2000 psi	Kabler	12	8100	2012-05-01	9999-12-31	2012-10-15	9999-12-31	264433	\N	11018	\N	5866.550000	Område unntatt snuområde	1028
CGGVMCNV1201	7588	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4450 cu.in.	2000 psi	Kabler	12	8100	2012-05-01	9999-12-31	2012-10-15	9999-12-31	264433	\N	11018	\N	5866.550000	Område inkludert snuområde	1029
ST12310	7589	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7589	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7589	Ferdig	Nordsjøen	Ja	Grunnundersøkelser	2D	Statoil ASA	Seismisk kilde	1	10 kubikk tommer /  0.17 Liter	2000 PSI	Kabler	1	240	2012-03-27	2012-05-21	2012-05-27	2012-05-25	300	274	300	274	\N	Område inkludert snuområde	1030
ST12310	7589	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7589	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7589	Ferdig	Nordsjøen	Ja	Grunnundersøkelser	2D	Statoil ASA	Seismisk kilde	1	10 kubikk tommer /  0.17 Liter	2000 PSI	Kabler	1	240	2012-03-27	2012-05-21	2012-05-27	2012-05-25	300	274	300	274	\N	Område unntatt snuområde	1031
ST12311	7590	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7590	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7590	Ferdig	Nordsjøen	Ja	Grunnundersøkelser	2D	Statoil ASA	Seismisk kilde	1	10 kubikk tommer /  0.17 Liter	2000 PSI	Kabler	1	240	2012-03-27	2012-04-22	2012-05-24	2012-05-25	190	124	190	124	\N	Område inkludert snuområde	1032
ST12311	7590	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7590	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7590	Ferdig	Nordsjøen	Ja	Grunnundersøkelser	2D	Statoil ASA	Seismisk kilde	1	10 kubikk tommer /  0.17 Liter	2000 PSI	Kabler	1	240	2012-03-27	2012-04-22	2012-05-24	2012-05-25	190	124	190	124	\N	Område unntatt snuområde	1033
DN1202	7591	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7591	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7591	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	0	0	0	\N	0	0	2012-03-30	2012-05-04	2012-06-10	2012-05-29	\N	\N	300	300	\N	Område inkludert snuområde	1034
DN1202	7591	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7591	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7591	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	0	0	0	\N	0	0	2012-03-30	2012-05-04	2012-06-10	2012-05-29	\N	\N	300	300	\N	Område unntatt snuområde	1035
SH1201	7592	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7592	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7592	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	1	4600 cu.in.	2000 psi	Kabler	12	6500	2012-04-16	2012-05-16	2012-08-15	2012-07-19	115000	108546	6750	4523	2061.730000	Område inkludert snuområde	1036
SH1201	7592	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7592	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7592	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	Seismisk kilde	1	4600 cu.in.	2000 psi	Kabler	12	6500	2012-04-16	2012-05-16	2012-08-15	2012-07-19	115000	108546	6750	4523	2061.730000	Område unntatt snuområde	1037
GDF1201	7593	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7593	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7593	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	GDF SUEZ E&P Norge AS	Seismisk kilde	2	3460 cuin	2000psi	Kabler	10	6000	2012-04-01	2012-06-01	2012-09-01	2012-06-26	38574	42210	1929	2110	949.960000	Område inkludert snuområde	1038
GDF1201	7593	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7593	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7593	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	GDF SUEZ E&P Norge AS	Seismisk kilde	2	3460 cuin	2000psi	Kabler	10	6000	2012-04-01	2012-06-01	2012-09-01	2012-06-26	38574	42210	1929	2110	949.960000	Område unntatt snuområde	1039
LN12309	7594	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7594	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7594	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	2D	Lundin Norway AS	Seismisk kilde	2	40	140	Kabler	1	25	2012-03-29	2012-04-18	2012-05-04	2012-05-01	100	1	250	1	\N	Område unntatt snuområde	1040
LN12309	7594	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7594	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7594	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	2D	Lundin Norway AS	Seismisk kilde	2	40	140	Kabler	1	25	2012-03-29	2012-04-18	2012-05-04	2012-05-01	100	1	250	1	\N	Område inkludert snuområde	1041
LN12310	7595	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7595	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7595	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	2D	Lundin Norway AS	Seismisk kilde	2	40	140	Kabler	1	25	2012-03-29	2012-04-18	2012-05-30	2012-05-01	100	1	250	1	\N	Område inkludert snuområde	1042
LN12310	7595	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7595	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7595	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	2D	Lundin Norway AS	Seismisk kilde	2	40	140	Kabler	1	25	2012-03-29	2012-04-18	2012-05-30	2012-05-01	100	1	250	1	\N	Område unntatt snuområde	1043
LN12401	7596	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-03-28	9999-12-31	2012-04-09	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1044
LN12401	7596	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-03-28	9999-12-31	2012-04-09	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1045
LN12402	7597	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-03-28	9999-12-31	2012-04-24	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1046
LN12402	7597	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-03-28	9999-12-31	2012-04-24	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1047
ST12451-UHPH	7598	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-09-01	9999-12-31	2012-10-10	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1048
ST12451-UHPH	7598	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-09-01	9999-12-31	2012-10-10	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1049
ST12005	7599	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7599	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7599	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	1	5245	2000	Kabler	12	3600	2012-05-15	2012-05-28	2012-08-31	2012-08-15	41280	39036	3440	3253	544.860000	Område unntatt snuområde	1050
ST12005	7599	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7599	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7599	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	1	5245	2000	Kabler	12	3600	2012-05-15	2012-05-28	2012-08-31	2012-08-15	41280	39036	3440	3253	544.860000	Område inkludert snuområde	1051
MC3D-LIN2012	7600	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135 cuin source	2000 psi	Kabler	6	6000	2012-03-20	9999-12-31	2012-05-31	9999-12-31	67200	\N	5600	\N	880.700000	Område unntatt snuområde	1052
MC3D-LIN2012	7600	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135 cuin source	2000 psi	Kabler	6	6000	2012-03-20	9999-12-31	2012-05-31	9999-12-31	67200	\N	5600	\N	880.700000	Område inkludert snuområde	1053
BPN0301-15	7601	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7601	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7601	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	4D	BP Norge AS	Seismisk kilde	3 sub-arrays with 20 individual cannons	total volume equals 2000 cu.in	2000psi	\N	2500 4-component instrumental (modules)	125 km of active sub-sea cable	2012-05-01	2012-05-13	2012-06-30	2012-06-17	\N	\N	2600	2555	142.360000	Område inkludert snuområde	1054
BPN0301-15	7601	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7601	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7601	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	4D	BP Norge AS	Seismisk kilde	3 sub-arrays with 20 individual cannons	total volume equals 2000 cu.in	2000psi	\N	2500 4-component instrumental (modules)	125 km of active sub-sea cable	2012-05-01	2012-05-13	2012-06-30	2012-06-17	\N	\N	2600	2555	142.360000	Område unntatt snuområde	1055
WIN12001	7602	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7602	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7602	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	Seismisk kilde	2	2940 cu in	2000 PSI	Kabler	12	4050	2012-06-05	2012-06-29	2012-07-25	2012-07-17	34080	31320	1420	1305	497.650000	Område inkludert snuområde	1056
WIN12001	7602	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7602	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7602	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	Seismisk kilde	2	2940 cu in	2000 PSI	Kabler	12	4050	2012-06-05	2012-06-29	2012-07-25	2012-07-17	34080	31320	1420	1305	497.650000	Område unntatt snuområde	1057
MC3D-SVG12	7603	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7603	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7603	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000	2012-04-23	2012-04-23	2012-06-15	2012-05-08	1350	22744	8100	1894	695.320000	Område inkludert snuområde	1058
MC3D-SVG12	7603	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7603	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7603	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000	2012-04-23	2012-04-23	2012-06-15	2012-05-08	1350	22744	8100	1894	695.320000	Område unntatt snuområde	1059
LN12502	7604	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7604	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7604	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-03-09	2012-05-11	2012-05-31	2012-05-18	1	117	1	117	\N	Område inkludert snuområde	1060
LN12502	7604	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7604	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7604	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-03-09	2012-05-11	2012-05-31	2012-05-18	1	117	1	117	\N	Område unntatt snuområde	1061
EOTW12	7605	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7605	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7605	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4240 cu in	2000 psi	Kabler	12	6000	2012-05-10	2012-05-20	2012-09-20	2012-09-20	151200	194304	6300	8096	5085.910000	Område inkludert snuområde	1062
EOTW12	7605	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7605	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7605	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4240 cu in	2000 psi	Kabler	12	6000	2012-05-10	2012-05-20	2012-09-20	2012-09-20	151200	194304	6300	8096	5085.910000	Område unntatt snuområde	1063
LN12306	7606	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7606	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7606	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-04-01	2012-06-15	2012-07-10	2012-06-18	200	56	200	56	\N	Område inkludert snuområde	1064
LN12306	7606	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7606	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7606	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-04-01	2012-06-15	2012-07-10	2012-06-18	200	56	200	56	\N	Område unntatt snuområde	1065
HF12	7607	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2012-06-01	9999-12-31	2012-10-01	9999-12-31	96000	\N	4800	\N	2078.290000	Område inkludert snuområde	1066
HF12	7607	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2012-06-01	9999-12-31	2012-10-01	9999-12-31	96000	\N	4800	\N	2078.290000	Område unntatt snuområde	1067
LN12305	7608	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7608	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7608	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-05-27	2012-06-05	2012-08-01	2012-06-11	120	84	120	84	\N	Område unntatt snuområde	1068
LN12305	7608	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7608	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7608	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-05-27	2012-06-05	2012-08-01	2012-06-11	120	84	120	84	\N	Område inkludert snuområde	1069
ST13462	7804	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7804	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7804	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-04-01	9999-12-31	2013-06-28	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1442
WIN12002	7609	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7609	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7609	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	Seismisk kilde	2	4240 cu in	2000 PSI	Kabler	10	7050	2012-05-10	2012-05-15	2012-06-30	2012-06-17	36000	31380	1800	1569	548.220000	Område inkludert snuområde	1070
WIN12002	7609	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7609	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7609	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	Seismisk kilde	2	4240 cu in	2000 PSI	Kabler	10	7050	2012-05-10	2012-05-15	2012-06-30	2012-06-17	36000	31380	1800	1569	548.220000	Område unntatt snuområde	1071
LN12001	7610	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7610	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7610	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	4500 cu. inch	2000 psi	Kabler	10	6000	2012-04-20	2012-05-26	2012-07-01	2012-06-16	27315	27320	1470	1366	687.460000	Område inkludert snuområde	1072
LN12001	7610	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7610	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7610	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	4500 cu. inch	2000 psi	Kabler	10	6000	2012-04-20	2012-05-26	2012-07-01	2012-06-16	27315	27320	1470	1366	687.460000	Område unntatt snuområde	1073
FP12	7611	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7611	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7611	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2012-05-01	2012-04-24	2012-08-31	2012-06-30	128000	128240	6400	6412	2309.560000	Område inkludert snuområde	1074
FP12	7611	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7611	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7611	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cu in	2000 psi	Kabler	10	6000	2012-05-01	2012-04-24	2012-08-31	2012-06-30	128000	128240	6400	6412	2309.560000	Område unntatt snuområde	1075
ST12304	7612	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-04-08	9999-12-31	2012-05-19	9999-12-31	300	\N	300	\N	\N	Område unntatt snuområde	1076
ST12304	7612	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-04-08	9999-12-31	2012-05-19	9999-12-31	300	\N	300	\N	\N	Område inkludert snuområde	1077
ST12312	7613	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7613	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7613	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-04-08	2012-04-29	2012-05-17	2012-05-13	300	268	300	268	\N	Område inkludert snuområde	1078
ST12312	7613	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7613	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7613	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-04-08	2012-04-29	2012-05-17	2012-05-13	300	268	300	268	\N	Område unntatt snuområde	1079
DA1201	7614	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7614	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7614	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	2D	Dana Petroleum Norway AS	Seismisk kilde	1	160 cu in3	2000 psi	Kabler	1	1200	2012-04-22	2012-05-23	2012-07-01	2012-06-28	3000	3469	5000	3485	\N	Område inkludert snuområde	1080
WIN12003	7615	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7615	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7615	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	Seismisk kilde	2	4240 cu in	2000 PSI	Kabler	10	5100	2012-06-15	2012-06-22	2012-08-31	2012-08-09	102300	91460	5115	4573	2044.250000	Område unntatt snuområde	1081
WIN12003	7615	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7615	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7615	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	Seismisk kilde	2	4240 cu in	2000 PSI	Kabler	10	5100	2012-06-15	2012-06-22	2012-08-31	2012-08-09	102300	91460	5115	4573	2044.250000	Område inkludert snuområde	1082
MC3D-HVG2012	7616	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7616	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7616	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135 cuin	2000 psi	Kabler	14	7000	2012-05-15	2012-06-09	2012-10-01	2012-08-30	185976	102776	6642	4041	2979.470000	Område inkludert snuområde	1083
MC3D-HVG2012	7616	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7616	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7616	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135 cuin	2000 psi	Kabler	14	7000	2012-05-15	2012-06-09	2012-10-01	2012-08-30	185976	102776	6642	4041	2979.470000	Område unntatt snuområde	1084
BG27-03-2012	7617	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7617	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7617	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	BG Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-05-04	2012-05-14	2012-07-31	2012-05-28	9	9	9	9	\N	Område inkludert snuområde	1085
BG27-03-2012	7617	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7617	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7617	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	BG Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-05-04	2012-05-14	2012-07-31	2012-05-28	9	9	9	9	\N	Område unntatt snuområde	1086
LN12002	7618	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7618	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7618	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	4900 cuinch	2000 psi	Kabler	10	6000	2012-05-15	2012-05-15	2012-10-01	2012-08-19	127000	125718	6350	62896	2361.490000	Område inkludert snuområde	1087
LN12002	7618	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7618	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7618	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	4900 cuinch	2000 psi	Kabler	10	6000	2012-05-15	2012-05-15	2012-10-01	2012-08-19	127000	125718	6350	62896	2361.490000	Område unntatt snuområde	1088
ST12313	7619	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7619	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7619	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-05-05	2012-07-18	2012-09-09	2012-07-30	380	260	380	260	\N	Område inkludert snuområde	1089
ST12313	7619	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7619	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7619	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-05-05	2012-07-18	2012-09-09	2012-07-30	380	260	380	260	\N	Område unntatt snuområde	1090
NPD1201	7620	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7620	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7620	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	4330 cu. in.	2000 psi	Kabler	1	8000 meter	2012-04-22	2012-04-26	2012-06-30	2012-07-06	6000	6766	6000	6766	54370.820000	Område inkludert snuområde	1091
BG1201	7621	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7621	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7621	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4	4 x 40	2000 psi	Kabler	1	1200	2012-06-14	2012-07-21	2012-07-31	2012-07-27	320	66	320	66	\N	Område unntatt snuområde	1092
BG1201	7621	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7621	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7621	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4	4 x 40	2000 psi	Kabler	1	1200	2012-06-14	2012-07-21	2012-07-31	2012-07-27	320	66	320	66	\N	Område inkludert snuområde	1093
ST12316	7622	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7622	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7622	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-05-14	2012-08-18	2012-10-04	2012-10-02	380	306	380	306	\N	Område inkludert snuområde	1094
ST12316	7622	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7622	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7622	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-05-14	2012-08-18	2012-10-04	2012-10-02	380	306	380	306	\N	Område unntatt snuområde	1095
ST12012	7623	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7623	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7623	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2 (dual - flip-flop)	2400 cu.in	2000 psi	Noder	Opptil 2200	55 km	2012-05-15	2012-06-01	2012-07-10	2012-06-30	1276	1271	1276	1271	112.570000	Område unntatt snuområde	1096
ST12012	7623	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7623	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7623	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2 (dual - flip-flop)	2400 cu.in	2000 psi	Noder	Opptil 2200	55 km	2012-05-15	2012-06-01	2012-07-10	2012-06-30	1276	1271	1276	1271	112.570000	Område inkludert snuområde	1097
BG1202	7624	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7624	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7624	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4	4 x 40	2000 psi	Kabler	1	1200	2012-05-27	2012-06-25	2012-07-31	2012-07-27	320	299	320	299	\N	Område inkludert snuområde	1098
BG1202	7624	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7624	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7624	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	Seismisk kilde	4	4 x 40	2000 psi	Kabler	1	1200	2012-05-27	2012-06-25	2012-07-31	2012-07-27	320	299	320	299	\N	Område unntatt snuområde	1099
ST12006	7625	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7625	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7625	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	1	3990 cu. in	2000 psi	Kabler	10	6000	2012-05-15	2012-05-21	2013-02-28	2013-02-12	5233	4933	5233	4933	173.300000	Område inkludert snuområde	1100
ST12006	7625	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7625	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7625	Ferdig	Nordsjøen	Ja	Havbunnseismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	1	3990 cu. in	2000 psi	Kabler	10	6000	2012-05-15	2012-05-21	2013-02-28	2013-02-12	5233	4933	5233	4933	173.300000	Område unntatt snuområde	1101
BGN1201	7626	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7626	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7626	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Bayerngas Norge AS	Seismisk kilde	2 med 3 arrayer	4150 cu.in.	2000 psi	Kabler	14	6000	2012-05-28	2012-05-29	2012-06-20	2012-06-08	16276	17527	581	626	182.370000	Område unntatt snuområde	1102
BGN1201	7626	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7626	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7626	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Bayerngas Norge AS	Seismisk kilde	2 med 3 arrayer	4150 cu.in.	2000 psi	Kabler	14	6000	2012-05-28	2012-05-29	2012-06-20	2012-06-08	16276	17527	581	626	182.370000	Område inkludert snuområde	1103
EO12001	7627	\N	\N	Avlyst	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	Seismisk kilde	2	3460 cu.in.	2000 psi	Kabler	8	6000m	2012-05-01	9999-12-31	2012-07-10	9999-12-31	42776	\N	2281	\N	750.610000	Område unntatt snuområde	1104
EO12001	7627	\N	\N	Avlyst	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	Seismisk kilde	2	3460 cu.in.	2000 psi	Kabler	8	6000m	2012-05-01	9999-12-31	2012-07-10	9999-12-31	42776	\N	2281	\N	750.610000	Område inkludert snuområde	1105
GRANE-PRM	7628	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	\N	\N	NA	\N	0	0	2012-05-06	9999-12-31	2012-06-30	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1106
GRANE-PRM	7628	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	\N	\N	NA	\N	0	0	2012-05-06	9999-12-31	2012-06-30	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1107
NSH12	7629	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7629	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7629	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	4200 cu.in.	2000 psi	Kabler	8	max 8100 m	2012-05-01	2012-05-01	2012-09-30	2012-08-01	10000	92605	243000	5792	1431.840000	Område inkludert snuområde	1108
NSH12	7629	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7629	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7629	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	4200 cu.in.	2000 psi	Kabler	8	max 8100 m	2012-05-01	2012-05-01	2012-09-30	2012-08-01	10000	92605	243000	5792	1431.840000	Område unntatt snuområde	1109
CGGVMCNV1202	7630	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4600 cu.in.	2000 psi	Kabler	10	8100	2012-08-01	9999-12-31	2012-11-30	9999-12-31	90508	\N	3771	\N	2259.180000	Område unntatt snuområde	1110
CGGVMCNV1202	7630	\N	\N	Avlyst	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4600 cu.in.	2000 psi	Kabler	10	8100	2012-08-01	9999-12-31	2012-11-30	9999-12-31	90508	\N	3771	\N	2259.180000	Område inkludert snuområde	1111
EO12301	7631	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7631	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7631	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	E.ON E&P Norge AS	Seismisk kilde	1	160	UNKNOWN	Kabler	1	1200	2012-07-27	2012-08-10	2012-08-31	2012-08-26	240	302	240	302	\N	Område inkludert snuområde	1112
EO12301	7631	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7631	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7631	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	E.ON E&P Norge AS	Seismisk kilde	1	160	UNKNOWN	Kabler	1	1200	2012-07-27	2012-08-10	2012-08-31	2012-08-26	240	302	240	302	\N	Område unntatt snuområde	1113
POL1201	7632	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	Seismisk kilde	2	4240 cu. in	2000 psi	Kabler	8	6000	2012-05-01	9999-12-31	2012-07-15	9999-12-31	109840	\N	6865	\N	2051.240000	Område unntatt snuområde	1114
POL1201	7632	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	Seismisk kilde	2	4240 cu. in	2000 psi	Kabler	8	6000	2012-05-01	9999-12-31	2012-07-15	9999-12-31	109840	\N	6865	\N	2051.240000	Område inkludert snuområde	1115
POL1202	7633	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	Seismisk kilde	2	4240 cu. in	2000 psi	Kabler	6	8000	2012-05-01	9999-12-31	2012-07-15	9999-12-31	47712	\N	3976	\N	1768.640000	Område inkludert snuområde	1116
POL1202	7633	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	Seismisk kilde	2	4240 cu. in	2000 psi	Kabler	6	8000	2012-05-01	9999-12-31	2012-07-15	9999-12-31	47712	\N	3976	\N	1768.640000	Område unntatt snuområde	1117
POL1203	7634	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	Seismisk kilde	2	4240 cu. in	2000 psi	Kabler	6	8000	2012-05-01	9999-12-31	2012-07-15	9999-12-31	63840	\N	5320	\N	2359.610000	Område inkludert snuområde	1118
POL1203	7634	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	Seismisk kilde	2	4240 cu. in	2000 psi	Kabler	6	8000	2012-05-01	9999-12-31	2012-07-15	9999-12-31	63840	\N	5320	\N	2359.610000	Område unntatt snuområde	1119
RD1203	7635	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7635	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7635	Ferdig	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-05-01	2012-05-05	2012-06-30	2012-05-21	\N	\N	\N	\N	\N	Område unntatt snuområde	1120
RD1203	7635	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7635	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7635	Ferdig	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-05-01	2012-05-05	2012-06-30	2012-05-21	\N	\N	\N	\N	\N	Område inkludert snuområde	1121
RD1204	7636	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7636	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7636	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-05-01	2012-05-23	2012-07-15	2012-06-13	\N	\N	\N	\N	\N	Område inkludert snuområde	1122
RD1204	7636	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7636	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7636	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-05-01	2012-05-23	2012-07-15	2012-06-13	\N	\N	\N	\N	\N	Område unntatt snuområde	1123
ST12011	7637	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7637	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7637	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	5085	2000	Kabler	12	4000	2012-07-20	2012-08-11	2012-10-10	2012-08-31	16200	20078	675	836	458.470000	Område unntatt snuområde	1124
ST12011	7637	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7637	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7637	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	5085	2000	Kabler	12	4000	2012-07-20	2012-08-11	2012-10-10	2012-08-31	16200	20078	675	836	458.470000	Område inkludert snuområde	1125
BPN12001	7638	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7638	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7638	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	BP Norge AS	Seismisk kilde	2 x 24	3147 cu.in	2000 psi	Kabler	3240	4050m	2012-07-30	2012-08-05	2012-09-30	2012-09-05	27008	16050	1688	1605	231.190000	Område inkludert snuområde	1126
BPN12001	7638	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7638	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7638	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	BP Norge AS	Seismisk kilde	2 x 24	3147 cu.in	2000 psi	Kabler	3240	4050m	2012-07-30	2012-08-05	2012-09-30	2012-09-05	27008	16050	1688	1605	231.190000	Område unntatt snuområde	1127
BPN12301	7639	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7639	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7639	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 X 40 cu in	160 cu in	2000 psi	Kabler	96 channels	1200 m	2012-06-30	2012-07-04	2012-07-30	2012-07-06	\N	\N	35	18	\N	Område unntatt snuområde	1128
BPN12301	7639	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7639	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7639	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 X 40 cu in	160 cu in	2000 psi	Kabler	96 channels	1200 m	2012-06-30	2012-07-04	2012-07-30	2012-07-06	\N	\N	35	18	\N	Område inkludert snuområde	1129
CP12L04	7640	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7640	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7640	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3060 cuin	2000 psi	Kabler	4000	200000	2012-06-01	2012-06-12	2012-07-28	2012-07-21	3000	3171	3000	3171	191.170000	Område unntatt snuområde	1130
CP12L04	7640	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7640	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7640	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3060 cuin	2000 psi	Kabler	4000	200000	2012-06-01	2012-06-12	2012-07-28	2012-07-21	3000	3171	3000	3171	191.170000	Område inkludert snuområde	1131
PPT12	7641	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cui	2000 psi	Kabler	10	6000	2012-05-02	9999-12-31	2012-05-09	9999-12-31	5000	\N	250	\N	\N	Område inkludert snuområde	1132
NPD1202	7642	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7642	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7642	Ferdig	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	3090 cu in eller 4130 cu in	2000 psi	Kabler	1	8100 meter	2012-05-29	2012-06-05	2012-08-20	2012-08-09	8500	9507	8500	9507	\N	Område inkludert snuområde	1133
ST12315	7643	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7643	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7643	Ferdig	Barentshavet - Sør	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	\N	\N	\N	Prøvetager	0	2012-05-15	2012-06-17	2012-07-18	2012-06-21	\N	\N	\N	\N	\N	Område inkludert snuområde	1134
ST12315	7643	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7643	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7643	Ferdig	Barentshavet - Sør	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	\N	\N	\N	Prøvetager	0	2012-05-15	2012-06-17	2012-07-18	2012-06-21	\N	\N	\N	\N	\N	Område unntatt snuområde	1135
ST12319	7644	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7644	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7644	Ferdig	Barentshavet - Sør	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	Havbunnsprøver	0	0	\N	Prøvetager	0	2012-05-15	2012-06-28	2012-07-18	2012-07-06	\N	\N	\N	\N	\N	Område unntatt snuområde	1136
ST12319	7644	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7644	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7644	Ferdig	Barentshavet - Sør	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	Havbunnsprøver	0	0	\N	Prøvetager	0	2012-05-15	2012-06-28	2012-07-18	2012-07-06	\N	\N	\N	\N	\N	Område inkludert snuområde	1137
GORE-01	7645	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7645	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7645	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	0	2012-05-07	2012-06-03	2012-06-30	2012-06-16	\N	\N	\N	\N	\N	Område inkludert snuområde	1138
GORE-01	7645	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7645	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7645	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	0	2012-05-07	2012-06-03	2012-06-30	2012-06-16	\N	\N	\N	\N	\N	Område unntatt snuområde	1139
CVX1201	7646	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7646	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7646	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	Chevron Norge AS	Seismisk kilde	2	4980cui	2000 psi	Kabler	12	8000m	2012-06-10	2012-06-26	2012-10-10	2012-09-29	102831	\N	4582	4568	2583.940000	Område unntatt snuområde	1140
CVX1201	7646	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7646	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7646	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	Chevron Norge AS	Seismisk kilde	2	4980cui	2000 psi	Kabler	12	8000m	2012-06-10	2012-06-26	2012-10-10	2012-09-29	102831	\N	4582	4568	2583.940000	Område inkludert snuområde	1141
SSBJ12	7647	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	Searcher Seismic Pty Ltd	Seismisk kilde	1	1300 cu.inch	2000psi	Kabler	1	7000 meter	2012-05-13	9999-12-31	2012-10-31	9999-12-31	11000	\N	11000	\N	\N	Område inkludert snuområde	1142
WIN12302	7648	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7648	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7648	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge AS	Seismisk kilde	1	140 cu in	2000 PSI	Kabler	1	1200	2012-07-05	2012-07-10	2012-08-05	2012-08-06	1280	1227	1280	1227	\N	Område unntatt snuområde	1143
WIN12302	7648	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7648	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7648	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge AS	Seismisk kilde	1	140 cu in	2000 PSI	Kabler	1	1200	2012-07-05	2012-07-10	2012-08-05	2012-08-06	1280	1227	1280	1227	\N	Område inkludert snuområde	1144
GDF-GORE12-1	7649	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7649	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7649	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	GDF SUEZ E&P Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-06-21	2012-06-25	2012-07-25	2012-06-27	\N	\N	\N	\N	\N	Område inkludert snuområde	1145
GDF-GORE12-1	7649	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7649	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7649	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	GDF SUEZ E&P Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-06-21	2012-06-25	2012-07-25	2012-06-27	\N	\N	\N	\N	\N	Område unntatt snuområde	1146
GDF-GORE12-2	7650	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7650	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7650	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	GDF SUEZ E&P Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-06-21	2012-06-28	2012-07-25	2012-06-28	\N	\N	\N	\N	\N	Område unntatt snuområde	1147
GDF-GORE12-2	7650	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7650	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7650	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	GDF SUEZ E&P Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-06-21	2012-06-28	2012-07-25	2012-06-28	\N	\N	\N	\N	\N	Område inkludert snuområde	1148
GDF-GORE12-3	7651	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7651	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7651	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	GDF SUEZ E&P Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-06-21	2012-06-28	2012-07-25	2012-06-28	\N	\N	\N	\N	\N	Område unntatt snuområde	1149
GDF-GORE12-3	7651	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7651	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7651	Ferdig	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	GDF SUEZ E&P Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-06-21	2012-06-28	2012-07-25	2012-06-28	\N	\N	\N	\N	\N	Område inkludert snuområde	1150
VNG12301	7652	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7652	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7652	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	VNG Norge AS	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2012-07-20	2012-08-01	2012-08-31	2012-08-13	600	599	600	599	\N	Område unntatt snuområde	1151
VNG12301	7652	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7652	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7652	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	VNG Norge AS	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2012-07-20	2012-08-01	2012-08-31	2012-08-13	600	599	600	599	\N	Område inkludert snuområde	1152
MC3D-LIN12	7653	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7653	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7653	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130 cuin	2000 psi	Kabler	10	6000	2012-06-01	2012-06-17	2012-08-01	2012-07-18	67200	36065	5600	1802	555.890000	Område inkludert snuområde	1153
ST12454-JH	7686	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7686	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7686	Ferdig	Nordsjøen	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-07-18	2012-07-18	2012-08-31	2012-07-30	\N	\N	\N	\N	\N	Område inkludert snuområde	1215
MC3D-LIN12	7653	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7653	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7653	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130 cuin	2000 psi	Kabler	10	6000	2012-06-01	2012-06-17	2012-08-01	2012-07-18	67200	36065	5600	1802	555.890000	Område unntatt snuområde	1154
CE1201	7654	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7654	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7654	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Centrica Energi	Seismisk kilde	1	4 x 40 cu in	2000 psi	Kabler	1	1200	2012-06-15	2012-07-14	2012-08-31	2012-08-07	450	650	450	655	\N	Område inkludert snuområde	1155
CE1201	7654	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7654	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7654	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Centrica Energi	Seismisk kilde	1	4 x 40 cu in	2000 psi	Kabler	1	1200	2012-06-15	2012-07-14	2012-08-31	2012-08-07	450	650	450	655	\N	Område unntatt snuområde	1156
ST12454-AAH	7655	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7655	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7655	Ferdig	Norskehavet	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-06-12	2012-07-07	2012-07-31	2012-07-14	\N	\N	\N	\N	\N	Område inkludert snuområde	1157
ST12454-AAH	7655	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7655	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7655	Ferdig	Norskehavet	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-06-12	2012-07-07	2012-07-31	2012-07-14	\N	\N	\N	\N	\N	Område unntatt snuområde	1158
LN12307	7656	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7656	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7656	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-09-01	2012-10-24	2012-12-01	2012-11-06	200	202	200	202	\N	Område inkludert snuområde	1159
LN12307	7656	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7656	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7656	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-09-01	2012-10-24	2012-12-01	2012-11-06	200	202	200	202	\N	Område unntatt snuområde	1160
LN12308	7657	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-07-01	9999-12-31	2012-09-28	9999-12-31	200	\N	200	\N	\N	Område unntatt snuområde	1161
LN12308	7657	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-07-01	9999-12-31	2012-09-28	9999-12-31	200	\N	200	\N	\N	Område inkludert snuområde	1162
LN12311	7658	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7658	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7658	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-06-10	2012-06-19	2012-08-10	2012-06-23	250	39	250	113	\N	Område inkludert snuområde	1163
LN12311	7658	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7658	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7658	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-06-10	2012-06-19	2012-08-10	2012-06-23	250	39	250	113	\N	Område unntatt snuområde	1164
NPD1204	7659	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7659	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7659	Ferdig	Barentshavet - Nord	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	4330 cu. in.	2000 psi	Kabler	1	8000	2012-06-15	2012-06-15	2012-10-25	2012-10-10	16000	13745	16000	13740	\N	Område inkludert snuområde	1165
TO1201-ML	7660	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7660	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7660	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Total E&P Norge AS	Seismisk kilde	2	4980 cu-inch	2000 psi	Kabler	12	9047.5 m	2012-09-23	2012-10-04	2012-12-31	2012-10-24	60225	18670	2509	778	558.410000	Område unntatt snuområde	1166
TO1201-ML	7660	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7660	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7660	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Total E&P Norge AS	Seismisk kilde	2	4980 cu-inch	2000 psi	Kabler	12	9047.5 m	2012-09-23	2012-10-04	2012-12-31	2012-10-24	60225	18670	2509	778	558.410000	Område inkludert snuområde	1167
FIN12	7661	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7661	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7661	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max 5100 cu.in.	2000 psi	Kabler	max 12	6000	2012-06-05	2012-06-09	2012-08-31	2012-08-08	4860	47968	1782	2998	1049.590000	Område inkludert snuområde	1168
FIN12	7661	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7661	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7661	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	Seismisk kilde	2	max 5100 cu.in.	2000 psi	Kabler	max 12	6000	2012-06-05	2012-06-09	2012-08-31	2012-08-08	4860	47968	1782	2998	1049.590000	Område unntatt snuområde	1169
EN1201	7662	\N	\N	Avlyst	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Eni Norge AS	\N	0	0	0	\N	0	0	2012-06-21	9999-12-31	2012-08-21	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1170
EN1201	7662	\N	\N	Avlyst	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Eni Norge AS	\N	0	0	0	\N	0	0	2012-06-21	9999-12-31	2012-08-21	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1171
ST12320	7663	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7663	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7663	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-09	2012-08-01	2012-09-13	2012-08-01	95	69	95	69	\N	Område inkludert snuområde	1172
ST12320	7663	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7663	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7663	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-09	2012-08-01	2012-09-13	2012-08-01	95	69	95	69	\N	Område unntatt snuområde	1173
ST12321	7664	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7664	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7664	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-09	2012-08-01	2012-09-13	2012-08-03	94	65	94	65	\N	Område inkludert snuområde	1174
ST12321	7664	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7664	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7664	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-09	2012-08-01	2012-09-13	2012-08-03	94	65	94	65	\N	Område unntatt snuområde	1175
NO1201	7665	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7665	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7665	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Norwegian Energy Company AS	Seismisk kilde	4	40 cu.in. each (total 160 cu.in.)	2000 psi	Kabler	1	1200m	2012-07-06	2012-07-07	2012-08-15	2012-07-31	300	172	300	172	\N	Område unntatt snuområde	1176
NO1201	7665	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7665	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7665	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Norwegian Energy Company AS	Seismisk kilde	4	40 cu.in. each (total 160 cu.in.)	2000 psi	Kabler	1	1200m	2012-07-06	2012-07-07	2012-08-15	2012-07-31	300	172	300	172	\N	Område inkludert snuområde	1177
SEN1201	7666	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7666	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7666	Ferdig	Barentshavet - Sør	Ja	Grunnundersøkelser	2D	Spring Energy Norway AS	Seismisk kilde	1	100 cu.inch	2000 psi	Kabler	14	25	2012-06-01	2012-06-16	2012-09-30	2012-09-30	5000	1532	5000	1532	\N	Område unntatt snuområde	1178
SEN1201	7666	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7666	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7666	Ferdig	Barentshavet - Sør	Ja	Grunnundersøkelser	2D	Spring Energy Norway AS	Seismisk kilde	1	100 cu.inch	2000 psi	Kabler	14	25	2012-06-01	2012-06-16	2012-09-30	2012-09-30	5000	1532	5000	1532	\N	Område inkludert snuområde	1179
NPD1203	7667	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7667	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7667	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	4330 cu. in.	2000 psi	Kabler	1	6000 meter	2012-07-01	2012-07-10	2012-08-12	2012-08-07	3000	3373	3000	3373	\N	Område inkludert snuområde	1180
ST12307	7668	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7668	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7668	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-05	2012-08-04	2012-09-19	2012-08-24	800	760	800	760	\N	Område unntatt snuområde	1181
ST12307	7668	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7668	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7668	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-05	2012-08-04	2012-09-19	2012-08-24	800	760	800	760	\N	Område inkludert snuområde	1182
MC3D-BERYL12	7670	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7670	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7670	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135 cu in	2000 psi	Kabler	12	6000	2012-06-15	2012-08-07	2012-09-30	2012-09-27	133200	34597	5550	1439	1668.240000	Område inkludert snuområde	1183
MC3D-BERYL12	7670	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7670	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7670	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135 cu in	2000 psi	Kabler	12	6000	2012-06-15	2012-08-07	2012-09-30	2012-09-27	133200	34597	5550	1439	1668.240000	Område unntatt snuområde	1184
PON1201	7671	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Premier Oil Norge AS	Seismisk kilde	4	40 cu in	2000 psi	Kabler	1	1300	2012-06-20	9999-12-31	2012-08-04	9999-12-31	127	\N	497	\N	\N	Område inkludert snuområde	1185
PON1201	7671	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Premier Oil Norge AS	Seismisk kilde	4	40 cu in	2000 psi	Kabler	1	1300	2012-06-20	9999-12-31	2012-08-04	9999-12-31	127	\N	497	\N	\N	Område unntatt snuområde	1186
WG1202	7672	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7672	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7672	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085 cu.in	2000psi	Kabler	8	3000m	2012-07-19	2012-07-20	2012-08-15	2012-08-02	16000	1510	1000	197	286.830000	Område inkludert snuområde	1187
WG1202	7672	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7672	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7672	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085 cu.in	2000psi	Kabler	8	3000m	2012-07-19	2012-07-20	2012-08-15	2012-08-02	16000	1510	1000	197	286.830000	Område unntatt snuområde	1188
ST12325	7673	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7673	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7673	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-13	2012-08-09	2012-10-04	2012-09-14	338	271	338	271	\N	Område inkludert snuområde	1189
ST12325	7673	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7673	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7673	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-13	2012-08-09	2012-10-04	2012-09-14	338	271	338	271	\N	Område unntatt snuområde	1190
ST12323	7674	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7674	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7674	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-06-29	9999-12-31	2012-08-29	2012-07-02	32	8	32	8	\N	Område inkludert snuområde	1191
ST12323	7674	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7674	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7674	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-06-29	9999-12-31	2012-08-29	2012-07-02	32	8	32	8	\N	Område unntatt snuområde	1192
ST12322	7675	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7675	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7675	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-06-29	2012-08-02	2012-08-29	2012-08-08	338	266	338	266	\N	Område unntatt snuområde	1193
ST12317	7738	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7738	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7738	Ferdig	Nordsjøen	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	0	2012-09-17	2012-10-04	2013-02-27	2013-01-23	\N	286	\N	286	\N	Område inkludert snuområde	1315
ST12322	7675	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7675	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7675	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-06-29	2012-08-02	2012-08-29	2012-08-08	338	266	338	266	\N	Område inkludert snuområde	1194
RD1205	7676	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7676	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7676	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	RWE Dea Norge AS	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2012-07-01	2012-07-10	2012-07-31	2012-07-31	410	422	410	460	\N	Område unntatt snuområde	1195
RD1205	7676	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7676	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7676	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	RWE Dea Norge AS	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2012-07-01	2012-07-10	2012-07-31	2012-07-31	410	422	410	460	\N	Område inkludert snuområde	1196
ST12324	7677	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7677	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7677	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-06-29	2012-07-14	2012-08-29	2012-07-18	112	69	112	69	\N	Område inkludert snuområde	1197
ST12324	7677	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7677	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7677	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-06-29	2012-07-14	2012-08-29	2012-07-18	112	69	112	69	\N	Område unntatt snuområde	1198
CE1203	7678	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Centrica Energi	Seismisk kilde	1	4 x 40 cu in	2000 psi	Kabler	1	1200m	2012-07-10	9999-12-31	2012-08-31	9999-12-31	400	\N	400	\N	\N	Område inkludert snuområde	1199
CE1203	7678	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Centrica Energi	Seismisk kilde	1	4 x 40 cu in	2000 psi	Kabler	1	1200m	2012-07-10	9999-12-31	2012-08-31	9999-12-31	400	\N	400	\N	\N	Område unntatt snuområde	1200
RD1202	7679	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7679	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7679	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	Seismisk kilde	2	4135 cu in	2000 psi	Kabler	14	7050	2012-06-20	2012-07-07	2012-09-01	2012-08-04	64745	69969	2312	2498	1200.230000	Område unntatt snuområde	1201
RD1202	7679	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7679	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7679	Ferdig	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	Seismisk kilde	2	4135 cu in	2000 psi	Kabler	14	7050	2012-06-20	2012-07-07	2012-09-01	2012-08-04	64745	69969	2312	2498	1200.230000	Område inkludert snuområde	1202
ST12453	7680	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7680	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7680	Ferdig	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	0	2012-08-20	2012-08-28	2012-09-30	2012-09-01	\N	\N	\N	\N	\N	Område unntatt snuområde	1203
ST12453	7680	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7680	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7680	Ferdig	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	0	2012-08-20	2012-08-28	2012-09-30	2012-09-01	\N	\N	\N	\N	\N	Område inkludert snuområde	1204
ST12326	7681	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7681	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7681	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-04	2012-08-15	2012-09-24	2012-08-20	333	278	333	278	\N	Område inkludert snuområde	1205
ST12326	7681	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7681	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7681	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-04	2012-08-15	2012-09-24	2012-08-20	333	278	333	278	\N	Område unntatt snuområde	1206
LN12312	7682	\N	\N	Avlyst	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	0	0	0	\N	1	1200	2012-08-15	9999-12-31	2012-09-01	9999-12-31	\N	\N	300	\N	\N	Område unntatt snuområde	1207
LN12312	7682	\N	\N	Avlyst	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	0	0	0	\N	1	1200	2012-08-15	9999-12-31	2012-09-01	9999-12-31	\N	\N	300	\N	\N	Område inkludert snuområde	1208
ST12318	7683	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7683	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7683	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-12	2012-08-08	2012-09-12	2012-08-15	350	269	350	269	\N	Område unntatt snuområde	1209
ST12318	7683	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7683	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7683	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-12	2012-08-08	2012-09-12	2012-08-15	350	269	350	269	\N	Område inkludert snuområde	1210
PM01-2012	7684	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7684	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7684	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500	\N	Noder	5	\N	2012-07-01	2012-07-18	2012-07-31	2012-07-22	\N	5	20	43	\N	Område inkludert snuområde	1211
PM01-2012	7684	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7684	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7684	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500	\N	Noder	5	\N	2012-07-01	2012-07-18	2012-07-31	2012-07-22	\N	5	20	43	\N	Område unntatt snuområde	1212
PM02-2012	7685	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7685	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7685	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500	\N	Noder	5	\N	2012-07-01	2012-07-22	2012-07-31	2012-07-28	\N	\N	20	100	\N	Område inkludert snuområde	1213
PM02-2012	7685	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7685	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7685	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500	\N	Noder	5	\N	2012-07-01	2012-07-22	2012-07-31	2012-07-28	\N	\N	20	100	\N	Område unntatt snuområde	1214
ST12454-JH	7686	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7686	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7686	Ferdig	Nordsjøen	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-07-18	2012-07-18	2012-08-31	2012-07-30	\N	\N	\N	\N	\N	Område unntatt snuområde	1216
PM05-2012	7687	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7687	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7687	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500	\N	Noder	5	\N	2012-07-05	2012-07-12	2012-08-05	2012-07-16	\N	8892	20	8892	\N	Område inkludert snuområde	1217
PM05-2012	7687	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7687	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7687	Ferdig	Norskehavet	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500	\N	Noder	5	\N	2012-07-05	2012-07-12	2012-08-05	2012-07-16	\N	8892	20	8892	\N	Område unntatt snuområde	1218
CE1202	7688	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7688	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7688	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Centrica Resources (Norge) AS	Seismisk kilde	2	4010	2000 psi	Kabler	8	6750	2012-08-10	2012-08-11	2012-11-01	2012-10-24	34413	45302	2151	2831	606.620000	Område unntatt snuområde	1219
CE1202	7688	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7688	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7688	Ferdig	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Centrica Resources (Norge) AS	Seismisk kilde	2	4010	2000 psi	Kabler	8	6750	2012-08-10	2012-08-11	2012-11-01	2012-10-24	34413	45302	2151	2831	606.620000	Område inkludert snuområde	1220
PM06-2012	7689	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7689	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7689	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500	\N	Noder	5	\N	2012-07-05	2012-07-28	2012-08-17	2012-07-31	\N	\N	30	64	\N	Område inkludert snuområde	1221
PM06-2012	7689	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7689	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7689	Ferdig	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500	\N	Noder	5	\N	2012-07-05	2012-07-28	2012-08-17	2012-07-31	\N	\N	30	64	\N	Område unntatt snuområde	1222
PM09-2012	7690	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7690	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7690	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500	\N	Noder	5	\N	2012-07-05	2012-07-05	2012-08-31	2012-07-10	\N	10	30	10	\N	Område unntatt snuområde	1223
PM09-2012	7690	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7690	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7690	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500	\N	Noder	5	\N	2012-07-05	2012-07-05	2012-08-31	2012-07-10	\N	10	30	10	\N	Område inkludert snuområde	1224
LN12313	7691	\N	\N	Avlyst	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-09-01	9999-12-31	2012-11-01	9999-12-31	300	\N	300	\N	\N	Område unntatt snuområde	1225
LN12313	7691	\N	\N	Avlyst	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-09-01	9999-12-31	2012-11-01	9999-12-31	300	\N	300	\N	\N	Område inkludert snuområde	1226
RS1201	7693	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7693	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7693	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Rocksource ASA	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2012-06-23	2012-06-27	2012-07-25	2012-07-07	250	241	250	241	\N	Område unntatt snuområde	1227
RS1201	7693	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7693	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7693	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Rocksource ASA	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2012-06-23	2012-06-27	2012-07-25	2012-07-07	250	241	250	241	\N	Område inkludert snuområde	1228
ST12328	7694	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7694	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7694	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-19	2012-10-14	2012-12-19	2012-12-01	450	626	450	626	\N	Område unntatt snuområde	1229
ST12328	7694	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7694	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7694	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-19	2012-10-14	2012-12-19	2012-12-01	450	626	450	626	\N	Område inkludert snuområde	1230
DN1203	7695	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7695	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7695	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2012-06-30	2012-07-19	2012-08-15	2012-07-28	200	86	200	114	\N	Område inkludert snuområde	1231
DN1203	7695	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7695	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7695	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2012-06-30	2012-07-19	2012-08-15	2012-07-28	200	86	200	114	\N	Område unntatt snuområde	1232
ST12329	7696	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7696	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7696	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-26	2012-08-24	2012-10-17	2012-09-25	500	266	500	266	\N	Område inkludert snuområde	1233
ST12329	7696	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7696	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7696	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-07-26	2012-08-24	2012-10-17	2012-09-25	500	266	500	266	\N	Område unntatt snuområde	1234
SH12301	7697	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7697	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7697	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	Seismisk kilde	1	140 cu.in.	2000 psi	Kabler	1	800m	2012-07-20	2012-08-11	2012-09-15	2012-08-14	50	82	50	82	\N	Område unntatt snuområde	1235
SH12301	7697	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7697	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7697	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	Seismisk kilde	1	140 cu.in.	2000 psi	Kabler	1	800m	2012-07-20	2012-08-11	2012-09-15	2012-08-14	50	82	50	82	\N	Område inkludert snuområde	1236
FP12300	7698	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7698	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7698	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Faroe Petroleum Norge AS	Seismisk kilde	1	140cu in	N/A	Kabler	1	1200	2012-08-09	9999-12-31	2012-09-30	2012-08-24	530	315	740	315	\N	Område inkludert snuområde	1237
FP12300	7698	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7698	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7698	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Faroe Petroleum Norge AS	Seismisk kilde	1	140cu in	N/A	Kabler	1	1200	2012-08-09	9999-12-31	2012-09-30	2012-08-24	530	315	740	315	\N	Område unntatt snuområde	1238
SSG1201	7699	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7699	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7699	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Searcher Seismic Pty Ltd	Seismisk kilde	2	1310	2000	Kabler	12	6000	2012-06-29	2012-06-29	2012-08-31	2012-08-09	39993	110689	2000	4612	1988.780000	Område inkludert snuområde	1239
SSG1201	7699	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7699	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7699	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Searcher Seismic Pty Ltd	Seismisk kilde	2	1310	2000	Kabler	12	6000	2012-06-29	2012-06-29	2012-08-31	2012-08-09	39993	110689	2000	4612	1988.780000	Område unntatt snuområde	1240
MCG1202	7700	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7700	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7700	Ferdig	Norskehavet	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	1	4000	2	Kabler	1	8100	2012-07-10	2012-07-14	2012-08-15	2012-08-08	1329	1333	1329	1333	\N	Område inkludert snuområde	1241
EM-NVG1	7701	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7701	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7701	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Multiklient Invest AS	Elektromagnetisk kilde	1	1,2 Mega Amp Meter	360 KW	Kabler	1	6000	2012-09-21	2012-10-03	2012-11-20	2012-10-18	1000	473	1000	473	11591.090000	Område inkludert snuområde	1242
EM-NVG1	7701	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7701	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7701	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Multiklient Invest AS	Elektromagnetisk kilde	1	1,2 Mega Amp Meter	360 KW	Kabler	1	6000	2012-09-21	2012-10-03	2012-11-20	2012-10-18	1000	473	1000	473	11591.090000	Område unntatt snuområde	1243
EM-NVG2	7702	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7702	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7702	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Multiklient Invest AS	Elektromagnetisk kilde	1	1,2 Mega Amp Meter	360KW	Kabler	1	6000	2012-09-21	2012-10-19	2012-11-20	2012-10-26	1000	32	1000	32	5213.450000	Område unntatt snuområde	1244
EM-NVG2	7702	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7702	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7702	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Multiklient Invest AS	Elektromagnetisk kilde	1	1,2 Mega Amp Meter	360KW	Kabler	1	6000	2012-09-21	2012-10-19	2012-11-20	2012-10-26	1000	32	1000	32	5213.450000	Område inkludert snuområde	1245
CGGVMCNV1203	7703	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7703	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7703	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4600 cu.in.	2000 psi	Kabler	10	6000	2012-08-15	2012-08-19	2012-10-31	2012-08-23	3077	6533	253	327	586.250000	Område inkludert snuområde	1246
CGGVMCNV1203	7703	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7703	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7703	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4600 cu.in.	2000 psi	Kabler	10	6000	2012-08-15	2012-08-19	2012-10-31	2012-08-23	3077	6533	253	327	586.250000	Område unntatt snuområde	1247
DG12-301	7704	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7704	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7704	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	DONG E&P Norge AS	Seismisk kilde	1	140 cu. inch	135 bar max pressure	Kabler	1	1200	2012-08-22	2012-08-22	2012-09-10	2012-09-05	192	192	512	512	\N	Område inkludert snuområde	1248
DG12-301	7704	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7704	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7704	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	DONG E&P Norge AS	Seismisk kilde	1	140 cu. inch	135 bar max pressure	Kabler	1	1200	2012-08-22	2012-08-22	2012-09-10	2012-09-05	192	192	512	512	\N	Område unntatt snuområde	1249
DG12-302	7705	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7705	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7705	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	DONG E&P Norge AS	Seismisk kilde	1	140.cu.inch	135 bar max pressure	Kabler	1	1200	2012-08-13	2012-08-22	2012-09-30	2012-09-23	192	192	512	181	\N	Område unntatt snuområde	1250
DG12-302	7705	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7705	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7705	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	DONG E&P Norge AS	Seismisk kilde	1	140.cu.inch	135 bar max pressure	Kabler	1	1200	2012-08-13	2012-08-22	2012-09-30	2012-09-23	192	192	512	181	\N	Område inkludert snuområde	1251
ST12330	7706	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7706	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7706	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-08-06	9999-12-31	2012-09-29	2012-08-29	150	258	150	300	\N	Område unntatt snuområde	1252
ST12330	7706	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7706	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7706	Ferdig	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-08-06	9999-12-31	2012-09-29	2012-08-29	150	258	150	300	\N	Område inkludert snuområde	1253
ST12331	7707	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7707	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7707	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-19	2012-10-10	2012-11-29	2012-10-31	312	281	312	281	\N	Område unntatt snuområde	1254
ST12331	7707	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7707	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7707	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-19	2012-10-10	2012-11-29	2012-10-31	312	281	312	281	\N	Område inkludert snuområde	1255
LN12314	7708	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7708	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7708	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-08-01	2012-08-28	2012-11-01	2012-09-18	200	331	200	331	\N	Område unntatt snuområde	1256
LN12314	7708	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7708	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7708	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-08-01	2012-08-28	2012-11-01	2012-09-18	200	331	200	331	\N	Område inkludert snuområde	1257
PM10-2012	7709	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7709	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7709	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	4	\N	2012-07-26	2012-08-04	2012-08-31	2012-08-06	\N	8	30	65	\N	Område inkludert snuområde	1258
PM10-2012	7709	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7709	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7709	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	4	\N	2012-07-26	2012-08-04	2012-08-31	2012-08-06	\N	8	30	65	\N	Område unntatt snuområde	1259
MC3D-Q16UKEX	7710	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7710	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7710	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000	2012-07-19	2012-07-19	2012-12-31	2012-11-12	7200	75371	600	6125	1140.020000	Område inkludert snuområde	1260
MC3D-Q16UKEX	7710	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7710	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7710	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000	2012-07-19	2012-07-19	2012-12-31	2012-11-12	7200	75371	600	6125	1140.020000	Område unntatt snuområde	1261
JACKDAW-OBS	7711	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7711	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7711	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	4140 cui	2000 psi	Noder	UNKNOWN	UNKNOWN	2012-10-24	2012-10-29	2012-11-24	2012-11-11	1	\N	1	\N	\N	Område unntatt snuområde	1262
JACKDAW-OBS	7711	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7711	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7711	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	4140 cui	2000 psi	Noder	UNKNOWN	UNKNOWN	2012-10-24	2012-10-29	2012-11-24	2012-11-11	1	\N	1	\N	\N	Område inkludert snuområde	1263
SEN12301	7712	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7712	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7712	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Spring Energy Norway AS	Seismisk kilde	1	UNKNOWN	UNKNOWN	Kabler	96	1200	2012-08-09	2012-08-12	2012-09-29	2012-08-19	300	261	400	350	\N	Område inkludert snuområde	1264
SEN12301	7712	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7712	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7712	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Spring Energy Norway AS	Seismisk kilde	1	UNKNOWN	UNKNOWN	Kabler	96	1200	2012-08-09	2012-08-12	2012-09-29	2012-08-19	300	261	400	350	\N	Område unntatt snuområde	1265
EMGS1205	7713	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7713	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7713	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	125	UNKNOWN	2012-08-10	2012-08-25	2012-10-01	2012-09-18	400	750	400	750	1871.660000	Område inkludert snuområde	1266
EMGS1205	7713	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7713	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7713	Ferdig	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	125	UNKNOWN	2012-08-10	2012-08-25	2012-10-01	2012-09-18	400	750	400	750	1871.660000	Område unntatt snuområde	1267
CP12301	7714	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7714	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7714	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	160 cuin	2000 psi	Kabler	1	600	2012-08-20	2012-09-07	2012-09-30	2012-09-28	150	224	150	224	\N	Område unntatt snuområde	1268
CP12301	7714	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7714	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7714	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	160 cuin	2000 psi	Kabler	1	600	2012-08-20	2012-09-07	2012-09-30	2012-09-28	150	224	150	224	\N	Område inkludert snuområde	1269
MC2D-WBGS12	7715	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7715	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7715	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	Multiklient Invest AS	Seismisk kilde	1	7200 cu in	2000 psi	Kabler	1	8000	2012-08-08	2012-08-12	2012-09-30	2012-09-24	5000	4874	5000	4874	\N	Område inkludert snuområde	1270
PM11-2012	7716	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	4	\N	2012-07-22	9999-12-31	2012-08-25	9999-12-31	\N	\N	30	\N	\N	Område inkludert snuområde	1271
PM11-2012	7716	\N	\N	Avlyst	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	2D	Petromarker AS	Elektromagnetisk kilde	2	2500 A	\N	Noder	4	\N	2012-07-22	9999-12-31	2012-08-25	9999-12-31	\N	\N	30	\N	\N	Område unntatt snuområde	1272
ORG-1201	7717	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7717	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7717	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	300kw	UNKNOWN	Kabler	1	2200	2012-08-04	2012-08-06	2012-08-27	2012-08-13	1000	335	1200	415	\N	Område inkludert snuområde	1273
ORG-1201	7717	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7717	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7717	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	300kw	UNKNOWN	Kabler	1	2200	2012-08-04	2012-08-06	2012-08-27	2012-08-13	1000	335	1200	415	\N	Område unntatt snuområde	1274
ORG-1202	7718	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7718	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7718	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	300Kw	UNKNOWN	Kabler	1	2200	2012-08-04	2012-08-13	2012-08-27	2012-08-15	300	157	400	180	\N	Område unntatt snuområde	1275
ORG-1202	7718	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7718	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7718	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	300Kw	UNKNOWN	Kabler	1	2200	2012-08-04	2012-08-13	2012-08-27	2012-08-15	300	157	400	180	\N	Område inkludert snuområde	1276
ORG-1203	7719	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7719	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7719	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	300Kw	UNKNOWN	Kabler	1	2200	2012-08-15	2012-08-16	2012-08-23	2012-08-20	400	333	500	424	\N	Område inkludert snuområde	1277
ORG-1203	7719	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7719	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7719	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	300Kw	UNKNOWN	Kabler	1	2200	2012-08-15	2012-08-16	2012-08-23	2012-08-20	400	333	500	424	\N	Område unntatt snuområde	1278
ST12332	7720	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7720	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7720	Pågående	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	Ikke seismikk	Statoil ASA	\N	0	Ingen.  Dette er  CPT arbeid	Ingen	\N	0	0	2012-09-19	2012-10-22	2013-06-19	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1279
ST12332	7720	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7720	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7720	Pågående	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	Ikke seismikk	Statoil ASA	\N	0	Ingen.  Dette er  CPT arbeid	Ingen	\N	0	0	2012-09-19	2012-10-22	2013-06-19	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1280
ST12333	7721	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-19	9999-12-31	2012-12-12	9999-12-31	300	\N	300	\N	\N	Område inkludert snuområde	1281
ST12333	7721	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-19	9999-12-31	2012-12-12	9999-12-31	300	\N	300	\N	\N	Område unntatt snuområde	1282
SEN12302	7722	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7722	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7722	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Spring Energy Norway AS	Seismisk kilde	UNKNOWN	UNKNOWN	UNKNOWN	Kabler	1	1200	2012-08-09	2012-08-19	2012-09-30	2012-08-24	200	176	300	250	\N	Område inkludert snuområde	1283
SEN12302	7722	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7722	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7722	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Spring Energy Norway AS	Seismisk kilde	UNKNOWN	UNKNOWN	UNKNOWN	Kabler	1	1200	2012-08-09	2012-08-19	2012-09-30	2012-08-24	200	176	300	250	\N	Område unntatt snuområde	1284
DG1203	7723	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7723	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7723	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	Ikke seismikk	DONG E&P Norge AS	\N	0	0	0	\N	0	0	2012-09-16	2012-09-16	2012-09-30	2012-09-21	\N	\N	\N	\N	\N	Område unntatt snuområde	1285
DG1203	7723	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7723	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7723	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	Ikke seismikk	DONG E&P Norge AS	\N	0	0	0	\N	0	0	2012-09-16	2012-09-16	2012-09-30	2012-09-21	\N	\N	\N	\N	\N	Område inkludert snuområde	1286
DG1204	7724	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7724	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7724	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	Ikke seismikk	DONG E&P Norge AS	\N	0	0	0	\N	0	0	2012-09-16	2012-09-16	2012-09-30	2012-09-21	\N	\N	\N	\N	\N	Område inkludert snuområde	1287
DG1204	7724	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7724	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7724	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	Ikke seismikk	DONG E&P Norge AS	\N	0	0	0	\N	0	0	2012-09-16	2012-09-16	2012-09-30	2012-09-21	\N	\N	\N	\N	\N	Område unntatt snuområde	1288
ST12457-ODS2	7725	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7725	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7725	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	\N	\N	n/a	\N	UNKNOWN	UNKNOWN	2012-12-09	2012-12-15	2013-01-31	2012-12-24	\N	\N	\N	\N	\N	Område unntatt snuområde	1289
ST12457-ODS2	7725	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7725	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7725	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	\N	\N	n/a	\N	UNKNOWN	UNKNOWN	2012-12-09	2012-12-15	2013-01-31	2012-12-24	\N	\N	\N	\N	\N	Område inkludert snuområde	1290
RE12300	7726	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7726	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7726	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Repsol Exploration Norge AS	Seismisk kilde	1	2x40 cuin, 2x20 cuin, 2x10 cuin	138.5 bar / 2000 psi	Kabler	1	1200	2012-09-18	2012-09-25	2012-10-15	2012-10-08	111	113	155	113	\N	Område unntatt snuområde	1291
RE12300	7726	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7726	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7726	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Repsol Exploration Norge AS	Seismisk kilde	1	2x40 cuin, 2x20 cuin, 2x10 cuin	138.5 bar / 2000 psi	Kabler	1	1200	2012-09-18	2012-09-25	2012-10-15	2012-10-08	111	113	155	113	\N	Område inkludert snuområde	1292
TEPN--12-1	7727	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7727	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7727	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	40 cubic inch	Not known	Kabler	1	1500m	2012-09-16	2012-09-19	2012-10-31	2012-11-08	2500	2690	2500	1314	\N	Område inkludert snuområde	1293
TEPN--12-1	7727	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7727	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7727	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	40 cubic inch	Not known	Kabler	1	1500m	2012-09-16	2012-09-19	2012-10-31	2012-11-08	2500	2690	2500	1314	\N	Område unntatt snuområde	1294
ST12317	7738	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7738	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7738	Ferdig	Nordsjøen	Ja	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	0	2012-09-17	2012-10-04	2013-02-27	2013-01-23	\N	286	\N	286	\N	Område unntatt snuområde	1316
TEPN-12-2	7728	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7728	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7728	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	4 x 40cu inch sleeve gun	Not known	Kabler	1	1200m	2012-09-07	2012-09-08	2012-11-20	2012-11-19	1978	1723	2000	1723	\N	Område unntatt snuområde	1295
TEPN-12-2	7728	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7728	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7728	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	4 x 40cu inch sleeve gun	Not known	Kabler	1	1200m	2012-09-07	2012-09-08	2012-11-20	2012-11-19	1978	1723	2000	1723	\N	Område inkludert snuområde	1296
TEPN-12-3	7729	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7729	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7729	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	4 x 40cu inch sleeve gun	Not known	Kabler	1	1200m	2012-09-20	2012-09-20	2012-11-18	2012-10-31	2500	\N	2500	\N	\N	Område inkludert snuområde	1297
TEPN-12-3	7729	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7729	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7729	Ferdig	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	4 x 40cu inch sleeve gun	Not known	Kabler	1	1200m	2012-09-20	2012-09-20	2012-11-18	2012-10-31	2500	\N	2500	\N	\N	Område unntatt snuområde	1298
ST12314	7730	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7730	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7730	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-08-27	2012-10-02	2012-11-03	2012-10-08	335	\N	335	\N	\N	Område unntatt snuområde	1299
ST12314	7730	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7730	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7730	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-08-27	2012-10-02	2012-11-03	2012-10-08	335	\N	335	\N	\N	Område inkludert snuområde	1300
GDF12303	7731	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7731	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7731	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	3D	GDF SUEZ E&P Norge AS	Seismisk kilde	6	2 x 10, 2 x 20, 2 x 40 cu in	2000 psi	Kabler	1	1200	2012-10-19	2012-10-20	2012-11-23	2012-11-16	313	202	471	376	43.400000	Område inkludert snuområde	1301
GDF12303	7731	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7731	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7731	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	3D	GDF SUEZ E&P Norge AS	Seismisk kilde	6	2 x 10, 2 x 20, 2 x 40 cu in	2000 psi	Kabler	1	1200	2012-10-19	2012-10-20	2012-11-23	2012-11-16	313	202	471	376	43.400000	Område unntatt snuområde	1302
GDF12304	7732	\N	\N	Avlyst	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	3D	GDF SUEZ E&P Norge AS	Seismisk kilde	6	2 x 10, 2 x 20, 2 x 40 cu in	2000 psi	Kabler	1	1200	2012-11-11	9999-12-31	2012-11-30	9999-12-31	233	\N	370	\N	22.400000	Område unntatt snuområde	1303
GDF12304	7732	\N	\N	Avlyst	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	3D	GDF SUEZ E&P Norge AS	Seismisk kilde	6	2 x 10, 2 x 20, 2 x 40 cu in	2000 psi	Kabler	1	1200	2012-11-11	9999-12-31	2012-11-30	9999-12-31	233	\N	370	\N	22.400000	Område inkludert snuområde	1304
GDF12301	7733	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7733	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7733	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	GDF SUEZ E&P Norge AS	Seismisk kilde	6	2 x 10, 2 x 20, 2 x 40 cu in	2000 psi	Kabler	1	1200	2012-09-13	2012-09-17	2012-09-25	2012-09-28	78	90	156	230	\N	Område unntatt snuområde	1305
GDF12301	7733	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7733	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7733	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	GDF SUEZ E&P Norge AS	Seismisk kilde	6	2 x 10, 2 x 20, 2 x 40 cu in	2000 psi	Kabler	1	1200	2012-09-13	2012-09-17	2012-09-25	2012-09-28	78	90	156	230	\N	Område inkludert snuområde	1306
GDF12302	7734	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7734	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7734	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	GDF SUEZ E&P Norge AS	Seismisk kilde	6	2 x 10, 2 x 20, 2 x 40 cu in	2000 psi	Kabler	1	1200	2012-09-22	2012-09-28	2012-10-17	2012-10-17	160	160	300	350	\N	Område unntatt snuområde	1307
GDF12302	7734	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7734	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7734	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	GDF SUEZ E&P Norge AS	Seismisk kilde	6	2 x 10, 2 x 20, 2 x 40 cu in	2000 psi	Kabler	1	1200	2012-09-22	2012-09-28	2012-10-17	2012-10-17	160	160	300	350	\N	Område inkludert snuområde	1308
WG1203	7735	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7735	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7735	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085 cu.in.	2000 psi	Kabler	8	7000m	2012-09-04	2012-09-06	2012-10-31	2012-10-04	80000	63755	5000	3985	1417.320000	Område inkludert snuområde	1309
WG1203	7735	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7735	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7735	Ferdig	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085 cu.in.	2000 psi	Kabler	8	7000m	2012-09-04	2012-09-06	2012-10-31	2012-10-04	80000	63755	5000	3985	1417.320000	Område unntatt snuområde	1310
ORG1204	7736	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7736	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7736	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	300kw	UNKNOWN	Kabler	1	2200	2012-08-20	2012-08-21	2012-08-23	2012-08-22	200	130	245	155	\N	Område unntatt snuområde	1311
ORG1204	7736	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7736	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7736	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	300kw	UNKNOWN	Kabler	1	2200	2012-08-20	2012-08-21	2012-08-23	2012-08-22	200	130	245	155	\N	Område inkludert snuområde	1312
ST12334	7737	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-17	9999-12-31	2013-01-29	9999-12-31	350	\N	350	\N	\N	Område inkludert snuområde	1313
ST12334	7737	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-17	9999-12-31	2013-01-29	9999-12-31	350	\N	350	\N	\N	Område unntatt snuområde	1314
ST12337	7739	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7739	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7739	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-04	2012-09-30	2012-10-09	2012-10-01	50	69	50	69	\N	Område inkludert snuområde	1317
ST12337	7739	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7739	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7739	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-04	2012-09-30	2012-10-09	2012-10-01	50	69	50	69	\N	Område unntatt snuområde	1318
DN1204	7740	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7740	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7740	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-08-30	2012-09-08	2012-09-30	2012-09-09	\N	1	1	1	\N	Område inkludert snuområde	1319
DN1204	7740	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7740	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7740	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-08-30	2012-09-08	2012-09-30	2012-09-09	\N	1	1	1	\N	Område unntatt snuområde	1320
NSRD12	7741	\N	\N	Avlyst	Nordsjøen	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	ca 4200 cu.inch	2000 psi	Kabler	1	8000 m	2012-09-14	9999-12-31	2012-11-30	9999-12-31	90	\N	90	\N	\N	Område inkludert snuområde	1321
LN12311-2	7742	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7742	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7742	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-09-15	2012-10-13	2012-11-15	2012-10-22	220	278	220	278	\N	Område inkludert snuområde	1322
LN12311-2	7742	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7742	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7742	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-09-15	2012-10-13	2012-11-15	2012-10-22	220	278	220	278	\N	Område unntatt snuområde	1323
LN12315	7743	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7743	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7743	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-10-01	2012-09-28	2012-12-31	2012-10-06	150	47	150	47	\N	Område unntatt snuområde	1324
LN12315	7743	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7743	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7743	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-10-01	2012-09-28	2012-12-31	2012-10-06	150	47	150	47	\N	Område inkludert snuområde	1325
LN12316	7744	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7744	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7744	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-09-26	2012-10-06	2012-12-31	2012-10-18	150	271	150	271	\N	Område inkludert snuområde	1326
LN12316	7744	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7744	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7744	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2012-09-26	2012-10-06	2012-12-31	2012-10-18	150	271	150	271	\N	Område unntatt snuområde	1327
ST12336	7745	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7745	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7745	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-16	2012-10-01	2012-10-24	2012-10-01	20	10	20	10	\N	Område inkludert snuområde	1328
ST12336	7745	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7745	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7745	Ferdig	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-09-16	2012-10-01	2012-10-24	2012-10-01	20	10	20	10	\N	Område unntatt snuområde	1329
ST12335	7746	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-10-04	9999-12-31	2013-01-31	9999-12-31	380	\N	380	\N	\N	Område inkludert snuområde	1330
ST12335	7746	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-10-04	9999-12-31	2013-01-31	9999-12-31	380	\N	380	\N	\N	Område unntatt snuområde	1331
ST12339	7747	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7747	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7747	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-10-04	2012-12-05	2013-01-31	2013-01-31	530	446	530	446	\N	Område inkludert snuområde	1332
ST12339	7747	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7747	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7747	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-10-04	2012-12-05	2013-01-31	2013-01-31	530	446	530	446	\N	Område unntatt snuområde	1333
TEPN-12-4	7748	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7748	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7748	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	40 cu inch	Not known	Kabler	1	1500m	2012-11-19	2012-11-26	2012-12-31	2012-12-13	700	450	700	485	\N	Område inkludert snuområde	1334
TEPN-12-4	7748	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7748	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7748	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	40 cu inch	Not known	Kabler	1	1500m	2012-11-19	2012-11-26	2012-12-31	2012-12-13	700	450	700	485	\N	Område unntatt snuområde	1335
ST12340	7749	\N	\N	Avlyst	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-10-10	9999-12-31	2012-11-03	9999-12-31	70	\N	70	\N	\N	Område inkludert snuområde	1336
ST12340	7749	\N	\N	Avlyst	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-10-10	9999-12-31	2012-11-03	9999-12-31	70	\N	70	\N	\N	Område unntatt snuområde	1337
ST12257	7751	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7751	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7751	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Statoil ASA	Elektromagnetisk kilde	1	1200kAm	UNKNOWN	Kabler	1	8700m	2012-10-10	2012-10-21	2012-11-06	2012-10-23	135	172	135	172	500.790000	Område unntatt snuområde	1340
ST12257	7751	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7751	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7751	Ferdig	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Statoil ASA	Elektromagnetisk kilde	1	1200kAm	UNKNOWN	Kabler	1	8700m	2012-10-10	2012-10-21	2012-11-06	2012-10-23	135	172	135	172	500.790000	Område inkludert snuområde	1341
DA1202	7752	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7752	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7752	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Dana Petroleum Norway AS	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2012-10-24	2012-11-08	2012-11-30	2012-11-18	200	94	200	160	\N	Område unntatt snuområde	1342
DA1202	7752	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7752	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7752	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Dana Petroleum Norway AS	Seismisk kilde	1	140 cu in	2000 psi	Kabler	1	1200	2012-10-24	2012-11-08	2012-11-30	2012-11-18	200	94	200	160	\N	Område inkludert snuområde	1343
TE1201	7753	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	4 guns	40cuin	2000 psi	Kabler	1 streamer	600m	2012-11-12	9999-12-31	2012-12-12	9999-12-31	200	\N	200	\N	\N	Område unntatt snuområde	1344
TE1201	7753	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	4 guns	40cuin	2000 psi	Kabler	1 streamer	600m	2012-11-12	9999-12-31	2012-12-12	9999-12-31	200	\N	200	\N	\N	Område inkludert snuområde	1345
ORG-1205	7754	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7754	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7754	Ferdig	Norskehavet	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	150kw	UNKNOWN	Kabler	1	2200	2012-10-28	2012-12-03	2012-12-07	2012-12-05	150	88	200	95	\N	Område inkludert snuområde	1346
ORG-1205	7754	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7754	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7754	Ferdig	Norskehavet	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	150kw	UNKNOWN	Kabler	1	2200	2012-10-28	2012-12-03	2012-12-07	2012-12-05	150	88	200	95	\N	Område unntatt snuområde	1347
ORG-1206	7755	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7755	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7755	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	150kw	UNKNOWN	Kabler	1	2200	2012-11-03	2012-11-04	2012-11-04	2012-11-06	150	23	200	30	\N	Område unntatt snuområde	1348
ORG-1206	7755	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7755	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7755	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	150kw	UNKNOWN	Kabler	1	2200	2012-11-03	2012-11-04	2012-11-04	2012-11-06	150	23	200	30	\N	Område inkludert snuområde	1349
ORG-1207	7756	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7756	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7756	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	150kw	UNKNOWN	Kabler	1	2200	2012-11-03	2012-11-05	2012-12-07	2012-12-01	450	462	600	574	\N	Område unntatt snuområde	1350
ORG-1207	7756	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7756	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7756	Ferdig	Barentshavet - Sør	Ja	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	Elektromagnetisk kilde	1	150kw	UNKNOWN	Kabler	1	2200	2012-11-03	2012-11-05	2012-12-07	2012-12-01	450	462	600	574	\N	Område inkludert snuområde	1351
EM-NVG3	7757	\N	\N	Avlyst	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Multiklient Invest AS	Elektromagnetisk kilde	1	1,2 Mega Amp Meter	360 KW	Kabler	1	6000	2012-10-15	9999-12-31	2012-11-10	9999-12-31	1000	\N	1000	\N	1441.300000	Område unntatt snuområde	1352
EM-NVG3	7757	\N	\N	Avlyst	Nordsjøen	Ja	Elektromagnetisk undersøkelse	3D	Multiklient Invest AS	Elektromagnetisk kilde	1	1,2 Mega Amp Meter	360 KW	Kabler	1	6000	2012-10-15	9999-12-31	2012-11-10	9999-12-31	1000	\N	1000	\N	1441.300000	Område inkludert snuområde	1353
RE12400	7758	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7758	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7758	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	Ikke seismikk	Repsol Exploration Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-12-05	2012-12-05	2012-12-23	2012-12-14	\N	\N	\N	\N	\N	Område unntatt snuområde	1354
RE12400	7758	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7758	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7758	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	Ikke seismikk	Repsol Exploration Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-12-05	2012-12-05	2012-12-23	2012-12-14	\N	\N	\N	\N	\N	Område inkludert snuområde	1355
TEPN-12-5	7759	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7759	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7759	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	40 cubic inch	Not known	Kabler	1	1500m	2012-11-20	2012-11-29	2013-03-04	2013-03-25	2700	2700	3000	3000	\N	Område unntatt snuområde	1356
TEPN-12-5	7759	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7759	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7759	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	40 cubic inch	Not known	Kabler	1	1500m	2012-11-20	2012-11-29	2013-03-04	2013-03-25	2700	2700	3000	3000	\N	Område inkludert snuområde	1357
DG1204-2	7760	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7760	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7760	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	4D	DONG E&P Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-11-13	2012-11-16	2012-11-27	2012-11-19	\N	\N	\N	\N	9.010000	Område unntatt snuområde	1358
DG1204-2	7760	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7760	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7760	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	4D	DONG E&P Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-11-13	2012-11-16	2012-11-27	2012-11-19	\N	\N	\N	\N	9.010000	Område inkludert snuområde	1359
ELDFISK-RW-1	7761	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7761	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7761	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	ConocoPhillips Skandinavia AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-11-21	2012-11-21	2012-11-28	2012-11-24	\N	\N	\N	\N	\N	Område inkludert snuområde	1360
ELDFISK-RW-1	7761	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7761	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7761	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	ConocoPhillips Skandinavia AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-11-21	2012-11-21	2012-11-28	2012-11-24	\N	\N	\N	\N	\N	Område unntatt snuområde	1361
ELDFISK-RW-2	7762	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7762	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7762	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	ConocoPhillips Skandinavia AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-11-21	2012-11-24	2012-11-28	2012-11-27	\N	\N	\N	\N	\N	Område inkludert snuområde	1362
ELDFISK-RW-2	7762	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7762	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7762	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	ConocoPhillips Skandinavia AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-11-21	2012-11-24	2012-11-28	2012-11-27	\N	\N	\N	\N	\N	Område unntatt snuområde	1363
HAVEN-GR	7763	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7763	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7763	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	ConocoPhillips Skandinavia AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-11-29	2012-11-28	2012-12-06	2012-11-30	\N	\N	\N	\N	\N	Område unntatt snuområde	1364
HAVEN-GR	7763	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7763	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7763	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	ConocoPhillips Skandinavia AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-11-29	2012-11-28	2012-12-06	2012-11-30	\N	\N	\N	\N	\N	Område inkludert snuområde	1365
DA1203	7764	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7764	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7764	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Dana Petroleum Norway ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-11-25	2012-12-28	2013-01-10	2013-01-02	1	1	1	1	\N	Område inkludert snuområde	1366
DA1203	7764	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7764	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7764	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Dana Petroleum Norway ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2012-11-25	2012-12-28	2013-01-10	2013-01-02	1	1	1	1	\N	Område unntatt snuområde	1367
ST13303	7765	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7765	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7765	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-12-20	2013-01-24	2013-02-28	2013-02-25	400	521	400	521	\N	Område unntatt snuområde	1368
ST13303	7765	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7765	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7765	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2012-12-20	2013-01-24	2013-02-28	2013-02-25	400	521	400	521	\N	Område inkludert snuområde	1369
ST12018	7766	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7766	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7766	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	4130 cu in	2000	Kabler	10	5100	2012-12-19	2013-01-02	2013-01-31	2013-01-19	3410	4890	170	305	27.940000	Område inkludert snuområde	1370
ST12018	7766	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7766	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7766	Ferdig	Nordsjøen	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	4130 cu in	2000	Kabler	10	5100	2012-12-19	2013-01-02	2013-01-31	2013-01-19	3410	4890	170	305	27.940000	Område unntatt snuområde	1371
TO1301-ML	7767	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7767	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7767	Planlagt	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Total E&P Norge AS	Seismisk kilde	2	4980 cu-inch	2000 psi	Kabler	12	9500 m	2013-05-10	9999-12-31	2013-08-01	9999-12-31	33583	\N	1399	\N	558.410000	Område inkludert snuområde	1372
TO1301-ML	7767	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7767	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7767	Planlagt	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Total E&P Norge AS	Seismisk kilde	2	4980 cu-inch	2000 psi	Kabler	12	9500 m	2013-05-10	9999-12-31	2013-08-01	9999-12-31	33583	\N	1399	\N	558.410000	Område unntatt snuområde	1373
LN12503	7768	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7768	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7768	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	CPT	CPT	CPT	\N	UNKNOWN	UNKNOWN	2012-12-11	2012-12-16	2012-12-20	2012-12-19	1	1	1	1	\N	Område inkludert snuområde	1374
LN12503	7768	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7768	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7768	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	CPT	CPT	CPT	\N	UNKNOWN	UNKNOWN	2012-12-11	2012-12-16	2012-12-20	2012-12-19	1	1	1	1	\N	Område unntatt snuområde	1375
CGGV1301	7769	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7769	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7769	Pågående	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4600 cu.in.	2000 psi	Kabler	10	8100	2013-01-20	2013-02-20	2013-06-30	9999-12-31	90508	\N	3771	\N	3496.200000	Område inkludert snuområde	1376
CGGV1301	7769	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7769	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7769	Pågående	Norskehavet	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4600 cu.in.	2000 psi	Kabler	10	8100	2013-01-20	2013-02-20	2013-06-30	9999-12-31	90508	\N	3771	\N	3496.200000	Område unntatt snuområde	1377
CE13300	7770	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7770	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7770	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	Ikke seismikk	Centrica Energi	\N	0	0	0	\N	0	0	2013-03-15	9999-12-31	2013-08-15	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1378
CE13300	7770	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7770	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7770	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	Ikke seismikk	Centrica Energi	\N	0	0	0	\N	0	0	2013-03-15	9999-12-31	2013-08-15	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1379
ST13305	7771	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7771	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7771	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-01-24	2013-02-26	2013-05-08	2013-04-25	500	281	500	281	\N	Område inkludert snuområde	1380
ST13305	7771	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7771	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7771	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-01-24	2013-02-26	2013-05-08	2013-04-25	500	281	500	281	\N	Område unntatt snuområde	1381
EMGS1301	7772	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7772	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7772	Pågående	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	1400	UNKNOWN	2013-03-01	2013-04-15	2013-09-30	9999-12-31	4000	\N	4000	\N	201294.430000	Område unntatt snuområde	1382
EMGS1301	7772	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7772	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7772	Pågående	Barentshavet - Sør	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	1400	UNKNOWN	2013-03-01	2013-04-15	2013-09-30	9999-12-31	4000	\N	4000	\N	201294.430000	Område inkludert snuområde	1383
ST13003	7773	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7773	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7773	Pågående	Nordsjøen	Nei	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	3147 cu in	2000 psi	Kabler	10	2400	2013-04-01	2013-04-03	2013-07-10	9999-12-31	3500	\N	70000	\N	583.090000	Område inkludert snuområde	1384
ST13003	7773	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7773	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7773	Pågående	Nordsjøen	Nei	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	3147 cu in	2000 psi	Kabler	10	2400	2013-04-01	2013-04-03	2013-07-10	9999-12-31	3500	\N	70000	\N	583.090000	Område unntatt snuområde	1385
FP13	7774	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7774	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7774	Pågående	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4200 cu.inch	2000 psi	Kabler	8	6000	2013-03-01	2013-03-09	2013-06-30	9999-12-31	150000	\N	9300	\N	3647.320000	Område unntatt snuområde	1386
FP13	7774	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7774	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7774	Pågående	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4200 cu.inch	2000 psi	Kabler	8	6000	2013-03-01	2013-03-09	2013-06-30	9999-12-31	150000	\N	9300	\N	3647.320000	Område inkludert snuområde	1387
HBW13	7775	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7775	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7775	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4200 cu.inch	2000 psi	Kabler	12	6000	2013-03-01	9999-12-31	2013-05-31	9999-12-31	110000	\N	4500	\N	2001.060000	Område inkludert snuområde	1388
HBW13	7775	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7775	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7775	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4200 cu.inch	2000 psi	Kabler	12	6000	2013-03-01	9999-12-31	2013-05-31	9999-12-31	110000	\N	4500	\N	2001.060000	Område unntatt snuområde	1389
SS1301	7776	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Searcher Seismic Pty Ltd	Seismisk kilde	2	3460 cu inch	2000 psi	Kabler	12	7000m	2013-04-01	9999-12-31	2013-09-30	9999-12-31	150000	\N	7300	\N	2880.270000	Område inkludert snuområde	1390
SS1301	7776	\N	\N	Avlyst	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Searcher Seismic Pty Ltd	Seismisk kilde	2	3460 cu inch	2000 psi	Kabler	12	7000m	2013-04-01	9999-12-31	2013-09-30	9999-12-31	150000	\N	7300	\N	2880.270000	Område unntatt snuområde	1391
TRIII13	7777	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7777	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7777	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4200 cu.inch	2000 psi	Kabler	8	6000	2013-04-15	9999-12-31	2013-09-30	9999-12-31	327000	\N	20500	\N	6889.390000	Område inkludert snuområde	1392
TRIII13	7777	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7777	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7777	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4200 cu.inch	2000 psi	Kabler	8	6000	2013-04-15	9999-12-31	2013-09-30	9999-12-31	327000	\N	20500	\N	6889.390000	Område unntatt snuområde	1393
DN1301	7778	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7778	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7778	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 ci in	2000 psi	Kabler	1	1200	2013-01-18	2013-01-23	2013-02-15	2013-02-03	250	140	250	180	\N	Område inkludert snuområde	1394
DN1301	7778	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7778	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7778	Ferdig	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	Seismisk kilde	1	140 ci in	2000 psi	Kabler	1	1200	2013-01-18	2013-01-23	2013-02-15	2013-02-03	250	140	250	180	\N	Område unntatt snuområde	1395
SS1302	7779	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7779	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7779	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	Searcher Seismic Pty Ltd	Seismisk kilde	1	1260	2000	Kabler	1	7000	2013-03-01	9999-12-31	2013-06-30	9999-12-31	12000	\N	12000	\N	\N	Område inkludert snuområde	1396
TEPN-13-1	7780	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7780	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7780	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	40 cubic inches	UNKNOWN	Kabler	1	1500m	2013-03-01	2013-03-11	2013-05-01	2013-04-02	659	659	659	659	\N	Område unntatt snuområde	1397
TEPN-13-1	7780	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7780	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7780	Ferdig	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	40 cubic inches	UNKNOWN	Kabler	1	1500m	2013-03-01	2013-03-11	2013-05-01	2013-04-02	659	659	659	659	\N	Område inkludert snuområde	1398
WG1301	7781	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7781	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7781	Pågående	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	Air Guns	5085 cu.in.	2000 psi	Kabler	10	8000m	2013-03-01	2013-03-30	2013-08-31	9999-12-31	260360	\N	13018	\N	16314.670000	Område unntatt snuområde	1399
ST13465	7835	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7835	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7835	Pågående	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	\N	\N	2013-04-25	2013-05-07	2013-05-15	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1504
WG1301	7781	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7781	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7781	Pågående	Barentshavet - Sør	Nei	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	Air Guns	5085 cu.in.	2000 psi	Kabler	10	8000m	2013-03-01	2013-03-30	2013-08-31	9999-12-31	260360	\N	13018	\N	16314.670000	Område inkludert snuområde	1400
MC3D-Q162013	7782	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7782	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7782	Pågående	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000 m	2013-03-20	2013-03-22	2013-10-15	9999-12-31	139636	\N	9307	\N	1218.160000	Område inkludert snuområde	1401
MC3D-Q162013	7782	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7782	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7782	Pågående	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	6	6000 m	2013-03-20	2013-03-22	2013-10-15	9999-12-31	139636	\N	9307	\N	1218.160000	Område unntatt snuområde	1402
LN13301	7783	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7783	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7783	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	0	0	0	\N	0	0	2013-02-01	2013-02-19	2013-03-31	2013-03-16	\N	\N	\N	\N	\N	Område inkludert snuområde	1403
LN13301	7783	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7783	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7783	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	0	0	0	\N	0	0	2013-02-01	2013-02-19	2013-03-31	2013-03-16	\N	\N	\N	\N	\N	Område unntatt snuområde	1404
LN13302	7784	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7784	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7784	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	0	0	0	\N	0	0	2013-02-01	2013-02-21	2013-03-31	2013-03-15	\N	\N	\N	\N	\N	Område unntatt snuområde	1405
LN13302	7784	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7784	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7784	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	0	0	0	\N	0	0	2013-02-01	2013-02-21	2013-03-31	2013-03-15	\N	\N	\N	\N	\N	Område inkludert snuområde	1406
HFCN13	7786	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7786	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7786	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4200	2000	Kabler	12	6000	2013-03-01	9999-12-31	2013-09-30	9999-12-31	106000	\N	53000	\N	1939.650000	Område unntatt snuområde	1407
HFCN13	7786	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7786	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7786	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4200	2000	Kabler	12	6000	2013-03-01	9999-12-31	2013-09-30	9999-12-31	106000	\N	53000	\N	1939.650000	Område inkludert snuområde	1408
MC3D-CGR2013	7787	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7787	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7787	Planlagt	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130 cu in	2000 PSI	Kabler	10	8000 m	2013-07-01	9999-12-31	2013-12-31	9999-12-31	66800	\N	3340	\N	1256.350000	Område inkludert snuområde	1409
MC3D-CGR2013	7787	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7787	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7787	Planlagt	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130 cu in	2000 PSI	Kabler	10	8000 m	2013-07-01	9999-12-31	2013-12-31	9999-12-31	66800	\N	3340	\N	1256.350000	Område unntatt snuområde	1410
ST13309	7788	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-02-09	9999-12-31	2013-02-28	9999-12-31	9	\N	9	\N	\N	Område unntatt snuområde	1411
ST13309	7788	\N	\N	Avlyst	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-02-09	9999-12-31	2013-02-28	9999-12-31	9	\N	9	\N	\N	Område inkludert snuområde	1412
SUN13001	7789	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7789	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7789	Pågående	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Suncor Energy Norge AS	Seismisk kilde	2	4980 cu.in.	2000 psi	Kabler	12	7950	2013-04-01	2013-04-05	2013-06-30	9999-12-31	65520	\N	5460	\N	1038.680000	Område inkludert snuområde	1413
SUN13001	7789	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7789	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7789	Pågående	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Suncor Energy Norge AS	Seismisk kilde	2	4980 cu.in.	2000 psi	Kabler	12	7950	2013-04-01	2013-04-05	2013-06-30	9999-12-31	65520	\N	5460	\N	1038.680000	Område unntatt snuområde	1414
CP13L05	7790	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7790	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7790	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3060 cuin	2000 psi	Kabler	4000	200000	2013-03-10	2013-03-13	2013-04-30	2013-04-30	3000	2840	3000	2840	191.170000	Område inkludert snuområde	1415
CP13L05	7790	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7790	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7790	Ferdig	Nordsjøen	Nei	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	3060 cuin	2000 psi	Kabler	4000	200000	2013-03-10	2013-03-13	2013-04-30	2013-04-30	3000	2840	3000	2840	191.170000	Område unntatt snuområde	1416
HF13	7791	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7791	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7791	Pågående	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4200	2000	Kabler	10	6000	2013-03-01	2013-04-15	2013-09-30	9999-12-31	658000	\N	32900	\N	12273.180000	Område inkludert snuområde	1417
HF13	7791	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7791	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7791	Pågående	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	4200	2000	Kabler	10	6000	2013-03-01	2013-04-15	2013-09-30	9999-12-31	658000	\N	32900	\N	12273.180000	Område unntatt snuområde	1418
ST13451-MAR	7792	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	\N	\N	N/A	\N	\N	\N	2013-03-15	9999-12-31	2013-04-15	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1419
ST13451-MAR	7792	\N	\N	Avlyst	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	\N	\N	N/A	\N	\N	\N	2013-03-15	9999-12-31	2013-04-15	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1420
SS1303	7793	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7793	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7793	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Searcher Seismic Pty Ltd	Seismisk kilde	2	4000	2000	Kabler	12	7000	2013-03-15	9999-12-31	2013-08-30	9999-12-31	62342	\N	5195	\N	4282.050000	Område inkludert snuområde	1421
SS1303	7793	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7793	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7793	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	Searcher Seismic Pty Ltd	Seismisk kilde	2	4000	2000	Kabler	12	7000	2013-03-15	9999-12-31	2013-08-30	9999-12-31	62342	\N	5195	\N	4282.050000	Område unntatt snuområde	1422
LN13001	7794	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7794	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7794	Planlagt	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	5085 cu-inch	2000 psi	Kabler	10	6000	2013-04-01	9999-12-31	2013-06-01	9999-12-31	2800	\N	140	\N	39.750000	Område inkludert snuområde	1423
LN13001	7794	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7794	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7794	Planlagt	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	Seismisk kilde	2	5085 cu-inch	2000 psi	Kabler	10	6000	2013-04-01	9999-12-31	2013-06-01	9999-12-31	2800	\N	140	\N	39.750000	Område unntatt snuområde	1424
ST13314	7795	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7795	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7795	Pågående	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-03-13	2013-04-21	2013-06-07	9999-12-31	590	\N	590	\N	\N	Område unntatt snuområde	1425
ST13314	7795	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7795	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7795	Pågående	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-03-13	2013-04-21	2013-06-07	9999-12-31	590	\N	590	\N	\N	Område inkludert snuområde	1426
MCG1301	7796	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7796	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7796	Pågående	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	1	4000	2000	Kabler	1	10050	2013-03-19	2013-03-22	2013-06-30	9999-12-31	8373	\N	8373	\N	\N	Område inkludert snuområde	1427
EMGS1302	7797	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7797	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7797	Pågående	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	200	ikke aktuelt	2013-03-01	2013-03-09	2013-09-01	9999-12-31	1200	\N	1200	\N	39953.690000	Område unntatt snuområde	1428
EMGS1302	7797	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7797	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7797	Pågående	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	1200kW	UNKNOWN	Noder	200	ikke aktuelt	2013-03-01	2013-03-09	2013-09-01	9999-12-31	1200	\N	1200	\N	39953.690000	Område inkludert snuområde	1429
ST13315	7798	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7798	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7798	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	400 meter bak fartøy ca 25-30 meter over havbunnen	2013-02-19	2013-02-24	2013-02-28	2013-02-25	\N	17	13	17	\N	Område unntatt snuområde	1430
ST13315	7798	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7798	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7798	Ferdig	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	Ikke seismikk	Statoil ASA	\N	0	0	0	\N	0	400 meter bak fartøy ca 25-30 meter over havbunnen	2013-02-19	2013-02-24	2013-02-28	2013-02-25	\N	17	13	17	\N	Område inkludert snuområde	1431
ST13456	7799	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7799	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7799	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-03-27	2013-04-15	2013-05-07	2013-04-28	\N	\N	\N	\N	\N	Område inkludert snuområde	1432
ST13456	7799	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7799	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7799	Ferdig	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-03-27	2013-04-15	2013-05-07	2013-04-28	\N	\N	\N	\N	\N	Område unntatt snuområde	1433
ST13455	7800	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7800	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7800	Pågående	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-04-29	2013-04-29	2013-05-20	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1434
ST13455	7800	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7800	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7800	Pågående	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-04-29	2013-04-29	2013-05-20	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1435
MARIA-SBS	7801	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7801	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7801	Pågående	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Wintershall Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-04-01	2013-05-02	2013-09-30	9999-12-31	1	\N	900	\N	\N	Område unntatt snuområde	1436
MARIA-SBS	7801	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7801	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7801	Pågående	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Wintershall Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-04-01	2013-05-02	2013-09-30	9999-12-31	1	\N	900	\N	\N	Område inkludert snuområde	1437
WIN13301	7802	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7802	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7802	Pågående	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge AS	Seismisk kilde	1	120 cu in	2000 PSI	Kabler	1	1200	2013-03-26	2013-04-13	2013-05-31	9999-12-31	200	\N	200	\N	\N	Område unntatt snuområde	1438
WIN13301	7802	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7802	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7802	Pågående	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge AS	Seismisk kilde	1	120 cu in	2000 PSI	Kabler	1	1200	2013-03-26	2013-04-13	2013-05-31	9999-12-31	200	\N	200	\N	\N	Område inkludert snuområde	1439
ST13304	7803	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7803	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7803	Planlagt	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-03-16	9999-12-31	2013-06-19	9999-12-31	380	\N	380	\N	\N	Område unntatt snuområde	1440
ST13304	7803	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7803	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7803	Planlagt	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-03-16	9999-12-31	2013-06-19	9999-12-31	380	\N	380	\N	\N	Område inkludert snuområde	1441
ST13462	7804	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7804	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7804	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-04-01	9999-12-31	2013-06-28	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1443
ST13461	7805	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7805	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7805	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-04-01	9999-12-31	2013-06-28	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1444
ST13461	7805	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7805	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7805	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-04-01	9999-12-31	2013-06-28	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1445
ST13459	7806	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7806	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7806	Pågående	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-04-01	2013-05-06	2013-07-20	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1446
ST13459	7806	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7806	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7806	Pågående	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-04-01	2013-05-06	2013-07-20	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1447
ST13460	7807	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7807	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7807	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-05-01	9999-12-31	2013-07-20	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1448
ST13460	7807	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7807	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7807	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-05-01	9999-12-31	2013-07-20	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1449
ST13312	7808	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7808	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7808	Pågående	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-04-22	2013-04-26	2013-05-18	9999-12-31	60	\N	60	\N	\N	Område unntatt snuområde	1450
ST13312	7808	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7808	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7808	Pågående	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-04-22	2013-04-26	2013-05-18	9999-12-31	60	\N	60	\N	\N	Område inkludert snuområde	1451
PL692GORE	7809	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7809	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7809	Planlagt	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Repsol Exploration Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-04-30	9999-12-31	2013-07-31	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1452
PL692GORE	7809	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7809	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7809	Planlagt	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Repsol Exploration Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-04-30	9999-12-31	2013-07-31	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1453
DOLPH-13013D	7810	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7810	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7810	Planlagt	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Dolphin Geophysical AS	Seismisk kilde	2	4100 cu in	2000 psi	Kabler	10	6500	2013-03-05	9999-12-31	2013-05-31	9999-12-31	14000	\N	700	\N	9040.190000	Område inkludert snuområde	1454
DOLPH-13013D	7810	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7810	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7810	Planlagt	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Dolphin Geophysical AS	Seismisk kilde	2	4100 cu in	2000 psi	Kabler	10	6500	2013-03-05	9999-12-31	2013-05-31	9999-12-31	14000	\N	700	\N	9040.190000	Område unntatt snuområde	1455
MC3D-BYL2013	7811	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7811	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7811	Planlagt	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135 cu in	2000 PSI	Kabler	10	6000	2013-05-01	9999-12-31	2013-08-31	9999-12-31	5320	\N	266	\N	63.240000	Område unntatt snuområde	1456
MC3D-BYL2013	7811	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7811	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7811	Planlagt	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135 cu in	2000 PSI	Kabler	10	6000	2013-05-01	9999-12-31	2013-08-31	9999-12-31	5320	\N	266	\N	63.240000	Område inkludert snuområde	1457
TRO13	7812	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7812	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7812	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4600 cu.in.	2000 psi	Kabler	12	8000	2013-05-10	9999-12-31	2013-10-15	9999-12-31	7000	\N	11000	\N	6394.190000	Område unntatt snuområde	1458
TRO13	7812	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7812	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7812	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4600 cu.in.	2000 psi	Kabler	12	8000	2013-05-10	9999-12-31	2013-10-15	9999-12-31	7000	\N	11000	\N	6394.190000	Område inkludert snuområde	1459
MAE13301	7813	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7813	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7813	Pågående	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Maersk Oil Norway AS	Seismisk kilde	6x Sercel Mini G guns	140 cu inch	207 bar	Kabler	1	800	2013-04-10	2013-04-10	2013-05-17	9999-12-31	800	\N	800	\N	\N	Område inkludert snuområde	1460
MAE13301	7813	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7813	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7813	Pågående	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Maersk Oil Norway AS	Seismisk kilde	6x Sercel Mini G guns	140 cu inch	207 bar	Kabler	1	800	2013-04-10	2013-04-10	2013-05-17	9999-12-31	800	\N	800	\N	\N	Område unntatt snuområde	1461
SWB13	7814	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7814	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7814	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4600 cu.in.	2000 psi	Kabler	12	8000	2013-04-01	9999-12-31	2013-10-15	9999-12-31	7000	\N	11370	\N	6784.990000	Område inkludert snuområde	1462
SWB13	7814	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7814	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7814	Planlagt	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	Seismisk kilde	2	4600 cu.in.	2000 psi	Kabler	12	8000	2013-04-01	9999-12-31	2013-10-15	9999-12-31	7000	\N	11370	\N	6784.990000	Område unntatt snuområde	1463
RD1302	7815	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7815	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7815	Pågående	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-04-15	2013-04-19	2013-07-31	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1464
RD1302	7815	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7815	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7815	Pågående	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-04-15	2013-04-19	2013-07-31	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1465
RD1303	7816	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7816	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7816	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-04-15	9999-12-31	2013-07-31	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1466
RD1303	7816	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7816	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7816	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-04-15	9999-12-31	2013-07-31	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1467
EMGS1303	7817	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7817	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7817	Planlagt	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	200	UNKNOWN	2013-03-14	9999-12-31	2013-09-01	9999-12-31	400	\N	400	\N	21328.170000	Område unntatt snuområde	1468
EMGS1303	7817	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7817	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7817	Planlagt	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	200	UNKNOWN	2013-03-14	9999-12-31	2013-09-01	9999-12-31	400	\N	400	\N	21328.170000	Område inkludert snuområde	1469
ST13316	7818	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7818	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7818	Planlagt	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-04-08	9999-12-31	2013-06-28	9999-12-31	250	\N	250	\N	\N	Område unntatt snuområde	1470
ST13316	7818	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7818	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7818	Planlagt	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-04-08	9999-12-31	2013-06-28	9999-12-31	250	\N	250	\N	\N	Område inkludert snuområde	1471
EMGS1304	7819	\N	\N	Avlyst	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	200	UNKNOWN	2013-04-01	9999-12-31	2013-05-31	9999-12-31	400	\N	400	\N	2845.740000	Område unntatt snuområde	1472
EMGS1304	7819	\N	\N	Avlyst	Nordsjøen	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	200	UNKNOWN	2013-04-01	9999-12-31	2013-05-31	9999-12-31	400	\N	400	\N	2845.740000	Område inkludert snuområde	1473
EMGS1305	7820	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7820	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7820	Planlagt	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	100	UNKNOWN	2013-04-01	9999-12-31	2013-09-01	9999-12-31	400	\N	400	\N	6388.250000	Område unntatt snuområde	1474
EMGS1305	7820	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7820	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7820	Planlagt	Norskehavet	Nei	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	Elektromagnetisk kilde	1	120kW	UNKNOWN	Noder	100	UNKNOWN	2013-04-01	9999-12-31	2013-09-01	9999-12-31	400	\N	400	\N	6388.250000	Område inkludert snuområde	1475
TUN13301	7821	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7821	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7821	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	Seismisk kilde	1	ca 160 cu in	UNKNOWN	Kabler	1	1200m	2013-04-28	9999-12-31	2013-06-09	9999-12-31	250	\N	500	\N	\N	Område inkludert snuområde	1476
TUN13301	7821	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7821	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7821	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	Seismisk kilde	1	ca 160 cu in	UNKNOWN	Kabler	1	1200m	2013-04-28	9999-12-31	2013-06-09	9999-12-31	250	\N	500	\N	\N	Område unntatt snuområde	1477
TUN13302	7822	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7822	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7822	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	Seismisk kilde	1	160	UNKNOWN	Kabler	1	1200	2013-05-20	9999-12-31	2013-06-30	9999-12-31	280	\N	500	\N	\N	Område unntatt snuområde	1478
TUN13302	7822	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7822	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7822	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	Seismisk kilde	1	160	UNKNOWN	Kabler	1	1200	2013-05-20	9999-12-31	2013-06-30	9999-12-31	280	\N	500	\N	\N	Område inkludert snuområde	1479
LN13303	7823	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7823	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7823	Under behandling	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2013-05-01	9999-12-31	2013-05-22	9999-12-31	300	\N	300	\N	\N	Område inkludert snuområde	1480
LN13303	7823	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7823	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7823	Under behandling	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	6	140	140	Kabler	1	1200	2013-05-01	9999-12-31	2013-05-22	9999-12-31	300	\N	300	\N	\N	Område unntatt snuområde	1481
CP13301	7824	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7824	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7824	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	160 cuin	2000 psi	Kabler	1	600	2013-05-01	9999-12-31	2013-05-31	9999-12-31	250	\N	250	\N	\N	Område unntatt snuområde	1482
CP13301	7824	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7824	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7824	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	ConocoPhillips Skandinavia AS	Seismisk kilde	1	160 cuin	2000 psi	Kabler	1	600	2013-05-01	9999-12-31	2013-05-31	9999-12-31	250	\N	250	\N	\N	Område inkludert snuområde	1483
RD1304	7825	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7825	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7825	Ferdig	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	0	0	0	\N	0	0	2013-03-21	2013-03-28	2013-04-20	2013-04-09	\N	187	151	187	\N	Område inkludert snuområde	1484
RD1304	7825	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7825	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2013&nav3=7825	Ferdig	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	0	0	0	\N	0	0	2013-03-21	2013-03-28	2013-04-20	2013-04-09	\N	187	151	187	\N	Område unntatt snuområde	1485
LN13501	7826	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7826	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7826	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-03-25	9999-12-31	2013-04-15	9999-12-31	100	\N	100	\N	\N	Område unntatt snuområde	1486
LN13501	7826	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7826	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7826	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-03-25	9999-12-31	2013-04-15	9999-12-31	100	\N	100	\N	\N	Område inkludert snuområde	1487
RD1305	7827	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7827	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7827	Planlagt	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-05-01	9999-12-31	2013-07-31	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1488
RD1305	7827	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7827	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7827	Planlagt	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	UNKNOWN	UNKNOWN	2013-05-01	9999-12-31	2013-07-31	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1489
TUN13303	7828	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7828	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7828	Planlagt	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	Seismisk kilde	1	160 cuin	UNKNOWN	Kabler	1	1200 m	2013-05-05	9999-12-31	2013-06-16	9999-12-31	300	\N	500	\N	\N	Område unntatt snuområde	1490
TUN13303	7828	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7828	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7828	Planlagt	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	Seismisk kilde	1	160 cuin	UNKNOWN	Kabler	1	1200 m	2013-05-05	9999-12-31	2013-06-16	9999-12-31	300	\N	500	\N	\N	Område inkludert snuområde	1491
SUN13002	7829	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Suncor Energy Norge AS	Seismisk kilde	4	40	2000	Kabler	1	1200	2013-06-10	9999-12-31	2013-07-31	9999-12-31	690	\N	1480	\N	\N	Område unntatt snuområde	1492
SUN13002	7829	\N	\N	Avlyst	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Suncor Energy Norge AS	Seismisk kilde	4	40	2000	Kabler	1	1200	2013-06-10	9999-12-31	2013-07-31	9999-12-31	690	\N	1480	\N	\N	Område inkludert snuområde	1493
ST13464	7830	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7830	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7830	Planlagt	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-04-24	9999-12-31	2013-07-15	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1494
ST13464	7830	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7830	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7830	Planlagt	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-04-24	9999-12-31	2013-07-15	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1495
SUN13302	7831	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7831	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7831	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Suncor Energy Norge AS	Seismisk kilde	1	160	2000	Kabler	1	1200	2013-06-01	9999-12-31	2013-07-31	9999-12-31	690	\N	1480	\N	\N	Område inkludert snuområde	1496
SUN13302	7831	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7831	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7831	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Suncor Energy Norge AS	Seismisk kilde	1	160	2000	Kabler	1	1200	2013-06-01	9999-12-31	2013-07-31	9999-12-31	690	\N	1480	\N	\N	Område unntatt snuområde	1497
ST13006	7832	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7832	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7832	Planlagt	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	5000 cu. in	2000 psi	Kabler	12	5000	2013-05-18	9999-12-31	2013-07-10	9999-12-31	23371	\N	23371	\N	278.870000	Område inkludert snuområde	1498
ST13006	7832	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7832	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7832	Planlagt	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	Statoil ASA	Seismisk kilde	2	5000 cu. in	2000 psi	Kabler	12	5000	2013-05-18	9999-12-31	2013-07-10	9999-12-31	23371	\N	23371	\N	278.870000	Område unntatt snuområde	1499
ST13001	7833	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7833	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7833	Planlagt	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	4135 cu in	2000 psi	Kabler	12	7050	2013-05-10	9999-12-31	2013-07-31	9999-12-31	1254	\N	3344	\N	1253.860000	Område unntatt snuområde	1500
ST13001	7833	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7833	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7833	Planlagt	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	Statoil ASA	Seismisk kilde	2	4135 cu in	2000 psi	Kabler	12	7050	2013-05-10	9999-12-31	2013-07-31	9999-12-31	1254	\N	3344	\N	1253.860000	Område inkludert snuområde	1501
MC3D-DUN2013	7834	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7834	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7834	Planlagt	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135	2000PSI	Kabler	10	6000	2013-05-15	9999-12-31	2013-10-30	9999-12-31	1068	\N	89	\N	20.540000	Område unntatt snuområde	1502
MC3D-DUN2013	7834	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7834	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7834	Planlagt	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4135	2000PSI	Kabler	10	6000	2013-05-15	9999-12-31	2013-10-30	9999-12-31	1068	\N	89	\N	20.540000	Område inkludert snuområde	1503
ST13465	7835	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7835	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7835	Pågående	Norskehavet	Nei	Grunnundersøkelser	Ikke seismikk	Statoil ASA	\N	UNKNOWN	UNKNOWN	UNKNOWN	\N	\N	\N	2013-04-25	2013-05-07	2013-05-15	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1505
TEPN-13-2	7836	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7836	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7836	Pågående	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	160 cubic inches in total	Not Known	Kabler	1	1500	2013-04-03	2013-04-04	2013-05-31	9999-12-31	250	\N	500	\N	\N	Område inkludert snuområde	1506
TEPN-13-2	7836	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7836	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7836	Pågående	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	160 cubic inches in total	Not Known	Kabler	1	1500	2013-04-03	2013-04-04	2013-05-31	9999-12-31	250	\N	500	\N	\N	Område unntatt snuområde	1507
TEPN-13-3	7837	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7837	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7837	Under behandling	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	160 Cubic Inches in total	Not known	Kabler	1	1500	2013-04-04	9999-12-31	2013-05-31	9999-12-31	1859	\N	1859	\N	\N	Område inkludert snuområde	1508
TEPN-13-3	7837	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7837	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7837	Under behandling	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4 sleeve gun cluster	160 Cubic Inches in total	Not known	Kabler	1	1500	2013-04-04	9999-12-31	2013-05-31	9999-12-31	1859	\N	1859	\N	\N	Område unntatt snuområde	1509
SH13301	7838	\N	\N	Avlyst	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	Seismisk kilde	1	160 cu inch	UNKNOWN	Kabler	1	1200	2013-05-10	9999-12-31	2013-05-31	9999-12-31	248	\N	248	\N	\N	Område unntatt snuområde	1510
SH13301	7838	\N	\N	Avlyst	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	Seismisk kilde	1	160 cu inch	UNKNOWN	Kabler	1	1200	2013-05-10	9999-12-31	2013-05-31	9999-12-31	248	\N	248	\N	\N	Område inkludert snuområde	1511
ST13455-2	7839	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7839	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7839	Planlagt	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-08-20	9999-12-31	2013-09-20	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1512
ST13455-2	7839	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7839	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7839	Planlagt	Nordsjøen	Nei	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	\N	0	0	0	\N	0	0	2013-08-20	9999-12-31	2013-09-20	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1513
EN1301	7840	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7840	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7840	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Eni Norge AS	\N	0	0	0	\N	0	0	2013-05-08	9999-12-31	2013-07-31	9999-12-31	\N	\N	\N	\N	\N	Område unntatt snuområde	1514
EN1301	7840	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7840	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7840	Planlagt	Barentshavet - Sør	Nei	Grunnundersøkelser	Ikke seismikk	Eni Norge AS	\N	0	0	0	\N	0	0	2013-05-08	9999-12-31	2013-07-31	9999-12-31	\N	\N	\N	\N	\N	Område inkludert snuområde	1515
TEPN-13-4	7841	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7841	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7841	Planlagt	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4	160 kubikktommer totalt.	UNKNOWN	Kabler	1	1500	2013-04-19	9999-12-31	2013-06-04	9999-12-31	966	\N	966	\N	\N	Område unntatt snuområde	1516
TEPN-13-4	7841	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7841	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7841	Planlagt	Norskehavet	Nei	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	Seismisk kilde	4	160 kubikktommer totalt.	UNKNOWN	Kabler	1	1500	2013-04-19	9999-12-31	2013-06-04	9999-12-31	966	\N	966	\N	\N	Område inkludert snuområde	1517
OMV003	7842	\N	\N	Avlyst	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	Seismisk kilde	4	40cuin	2000 psi	Kabler	1	1200	2013-05-10	9999-12-31	2013-06-28	9999-12-31	200	\N	200	\N	\N	Område inkludert snuområde	1518
OMV003	7842	\N	\N	Avlyst	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	Seismisk kilde	4	40cuin	2000 psi	Kabler	1	1200	2013-05-10	9999-12-31	2013-06-28	9999-12-31	200	\N	200	\N	\N	Område unntatt snuområde	1519
TUN13304	7843	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7843	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7843	Under behandling	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	Seismisk kilde	1	160 cuin	UNKNOWN	Kabler	1	1200m	2013-05-06	9999-12-31	2013-07-22	9999-12-31	300	\N	500	\N	\N	Område inkludert snuområde	1520
TUN13304	7843	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7843	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7843	Under behandling	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	Seismisk kilde	1	160 cuin	UNKNOWN	Kabler	1	1200m	2013-05-06	9999-12-31	2013-07-22	9999-12-31	300	\N	500	\N	\N	Område unntatt snuområde	1521
SH13001	7844	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7844	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7844	Planlagt	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	A/S Norske Shell	Seismisk kilde	2	3150 cu.in.	2000 psi	Kabler	6	6000m	2013-05-21	9999-12-31	2013-07-20	9999-12-31	27732	\N	2311	\N	302.250000	Område inkludert snuområde	1522
SH13001	7844	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7844	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7844	Planlagt	Norskehavet	Ja	Ordinær seismisk undersøkelse	4D	A/S Norske Shell	Seismisk kilde	2	3150 cu.in.	2000 psi	Kabler	6	6000m	2013-05-21	9999-12-31	2013-07-20	9999-12-31	27732	\N	2311	\N	302.250000	Område unntatt snuområde	1523
BPN13301	7845	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7845	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7845	Pågående	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x40 cu in	160 cu in	2000 psi	Kabler	96 channels 12,5m group interval	1200m	2013-04-28	2013-05-05	2013-08-30	9999-12-31	160	\N	160	\N	\N	Område unntatt snuområde	1524
BPN13301	7845	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7845	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7845	Pågående	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x40 cu in	160 cu in	2000 psi	Kabler	96 channels 12,5m group interval	1200m	2013-04-28	2013-05-05	2013-08-30	9999-12-31	160	\N	160	\N	\N	Område inkludert snuområde	1525
RD1301	7846	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7846	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7846	Planlagt	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	Seismisk kilde	2	5085 cu.in.	2000 psi	Kabler	10	7000	2013-06-01	9999-12-31	2013-08-01	9999-12-31	71000	\N	3600	\N	1252.460000	Område unntatt snuområde	1526
RD1301	7846	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7846	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7846	Planlagt	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	Seismisk kilde	2	5085 cu.in.	2000 psi	Kabler	10	7000	2013-06-01	9999-12-31	2013-08-01	9999-12-31	71000	\N	3600	\N	1252.460000	Område inkludert snuområde	1527
BPN13201	7847	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7847	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7847	Under behandling	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	BP Norge AS	Seismisk kilde	dual source with 14 individual canons	2740 cu in	2000 psi	Kabler	4 cables of 30 km 4 component	120 km	2013-06-24	9999-12-31	2013-09-15	9999-12-31	\N	\N	2784	\N	313.870000	Område unntatt snuområde	1528
BPN13201	7847	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7847	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7847	Under behandling	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	BP Norge AS	Seismisk kilde	dual source with 14 individual canons	2740 cu in	2000 psi	Kabler	4 cables of 30 km 4 component	120 km	2013-06-24	9999-12-31	2013-09-15	9999-12-31	\N	\N	2784	\N	313.870000	Område inkludert snuområde	1529
BPN13302	7848	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7848	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7848	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	160 cu in	2000 psi	Kabler	96 channels 12.5m group interval	1200m	2013-06-01	9999-12-31	2013-09-15	9999-12-31	\N	\N	108	\N	\N	Område inkludert snuområde	1530
BPN13302	7848	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7848	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7848	Planlagt	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	Seismisk kilde	4 x 40 cu in	160 cu in	2000 psi	Kabler	96 channels 12.5m group interval	1200m	2013-06-01	9999-12-31	2013-09-15	9999-12-31	\N	\N	108	\N	\N	Område unntatt snuområde	1531
FP13001	7849	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7849	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7849	Under behandling	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Faroe Petroleum Norge AS	Seismisk kilde	2	3090 cu. in.	2000 psi	Kabler	12	8100	2013-05-27	9999-12-31	2013-07-29	9999-12-31	149200	\N	6217	\N	1870.130000	Område inkludert snuområde	1532
FP13001	7849	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7849	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7849	Under behandling	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Faroe Petroleum Norge AS	Seismisk kilde	2	3090 cu. in.	2000 psi	Kabler	12	8100	2013-05-27	9999-12-31	2013-07-29	9999-12-31	149200	\N	6217	\N	1870.130000	Område unntatt snuområde	1533
FP13002	7850	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7850	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7850	Under behandling	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Faroe Petroleum Norge AS	Seismisk kilde	2	3090 cu. in.	2000 psi	Kabler	12	8100	2013-07-30	9999-12-31	2013-08-20	9999-12-31	24000	\N	1000	\N	300.530000	Område inkludert snuområde	1534
FP13002	7850	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7850	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7850	Under behandling	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Faroe Petroleum Norge AS	Seismisk kilde	2	3090 cu. in.	2000 psi	Kabler	12	8100	2013-07-30	9999-12-31	2013-08-20	9999-12-31	24000	\N	1000	\N	300.530000	Område unntatt snuområde	1535
EO13001	7851	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7851	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7851	Under behandling	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	Seismisk kilde	2	4100 cu in	2000 psi	Kabler	10	6000	2013-05-27	9999-12-31	2013-07-15	9999-12-31	51000	\N	3178	\N	1272.430000	Område inkludert snuområde	1536
EO13001	7851	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7851	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7851	Under behandling	Nordsjøen	Nei	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	Seismisk kilde	2	4100 cu in	2000 psi	Kabler	10	6000	2013-05-27	9999-12-31	2013-07-15	9999-12-31	51000	\N	3178	\N	1272.430000	Område unntatt snuområde	1537
DN1302	7852	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7852	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7852	Under behandling	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	Det Norske Oljeselskap AS	Seismisk kilde	1	4116 cu.in	UNKNOWN	Kabler	4	32000	2013-08-28	9999-12-31	2013-09-30	9999-12-31	1285	\N	1285	\N	264.490000	Område unntatt snuområde	1538
DN1302	7852	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7852	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7852	Under behandling	Nordsjøen	Nei	Havbunnseismisk undersøkelse	3D	Det Norske Oljeselskap AS	Seismisk kilde	1	4116 cu.in	UNKNOWN	Kabler	4	32000	2013-08-28	9999-12-31	2013-09-30	9999-12-31	1285	\N	1285	\N	264.490000	Område inkludert snuområde	1539
OMV13301	7853	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7853	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7853	Under behandling	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	Seismisk kilde	4	40cuin	2000 psi	Kabler	1	1200	2013-05-10	9999-12-31	2013-06-28	9999-12-31	200	\N	200	\N	\N	Område unntatt snuområde	1540
OMV13301	7853	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7853	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7853	Under behandling	Barentshavet - Sør	Nei	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	Seismisk kilde	4	40cuin	2000 psi	Kabler	1	1200	2013-05-10	9999-12-31	2013-06-28	9999-12-31	200	\N	200	\N	\N	Område inkludert snuområde	1541
EO13002	7854	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7854	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7854	Planlagt	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	Seismisk kilde	2	4330	2000 psi	Kabler	8	6000	2013-06-25	9999-12-31	2013-08-10	9999-12-31	40960	\N	2560	\N	993.160000	Område inkludert snuområde	1542
EO13002	7854	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7854	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7854	Planlagt	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	Seismisk kilde	2	4330	2000 psi	Kabler	8	6000	2013-06-25	9999-12-31	2013-08-10	9999-12-31	40960	\N	2560	\N	993.160000	Område unntatt snuområde	1543
EO13003	7855	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7855	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7855	Planlagt	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	Seismisk kilde	2	4100 cubic inches	2000 psi	Kabler	12	7950	2013-07-05	9999-12-31	2013-08-25	9999-12-31	51223	\N	2135	\N	1259.400000	Område unntatt snuområde	1544
EO13003	7855	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7855	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7855	Planlagt	Norskehavet	Nei	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	Seismisk kilde	2	4100 cubic inches	2000 psi	Kabler	12	7950	2013-07-05	9999-12-31	2013-08-25	9999-12-31	51223	\N	2135	\N	1259.400000	Område inkludert snuområde	1545
ST13306	7856	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7856	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7856	Under behandling	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-05-29	9999-12-31	2013-07-03	9999-12-31	270	\N	270	\N	\N	Område unntatt snuområde	1546
ST13306	7856	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7856	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7856	Under behandling	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-05-29	9999-12-31	2013-07-03	9999-12-31	270	\N	270	\N	\N	Område inkludert snuområde	1547
FH2D-13	7857	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7857	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7857	Under behandling	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	2D	Spectrum ASA	Seismisk kilde	1	4130 cu in	2000 psi	Kabler	1	8000 m	2013-06-01	9999-12-31	2013-08-20	9999-12-31	8500	\N	8500	\N	\N	Område inkludert snuområde	1548
WG1303	7858	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7858	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7858	Under behandling	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085 cu.in	2000 psi	Kabler	10	8000m	2013-06-07	9999-12-31	2013-09-30	9999-12-31	290000	\N	14500	\N	7332.730000	Område unntatt snuområde	1549
WG1303	7858	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7858	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7858	Under behandling	Barentshavet - Sør	Ja	Ordinær seismisk undersøkelse	3D	WesternGeco AS	Seismisk kilde	2	5085 cu.in	2000 psi	Kabler	10	8000m	2013-06-07	9999-12-31	2013-09-30	9999-12-31	290000	\N	14500	\N	7332.730000	Område inkludert snuområde	1550
ST13311	7859	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7859	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7859	Under behandling	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-06-05	9999-12-31	2013-08-29	9999-12-31	400	\N	400	\N	\N	Område unntatt snuområde	1551
ST13311	7859	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7859	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7859	Under behandling	Barentshavet - Sør	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-06-05	9999-12-31	2013-08-29	9999-12-31	400	\N	400	\N	\N	Område inkludert snuområde	1552
TE1301	7860	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7860	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7860	Under behandling	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3	UNKNOWN	Kabler	1	1200	2013-06-10	9999-12-31	2013-07-10	9999-12-31	300	\N	300	\N	\N	Område inkludert snuområde	1553
TE1301	7860	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7860	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7860	Under behandling	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	Seismisk kilde	6	160 in3	UNKNOWN	Kabler	1	1200	2013-06-10	9999-12-31	2013-07-10	9999-12-31	300	\N	300	\N	\N	Område unntatt snuområde	1554
ST13308	7861	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7861	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7861	Under behandling	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-06-05	9999-12-31	2013-08-31	9999-12-31	350	\N	350	\N	\N	Område unntatt snuområde	1555
ST13308	7861	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7861	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7861	Under behandling	Norskehavet	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-06-05	9999-12-31	2013-08-31	9999-12-31	350	\N	350	\N	\N	Område inkludert snuområde	1556
MC3D-DPT2013	7862	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7862	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7862	Under behandling	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130	2000PSI	Kabler	10	6000	2013-06-07	9999-12-31	2013-10-31	9999-12-31	10620	\N	531	\N	239.550000	Område unntatt snuområde	1557
MC3D-DPT2013	7862	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7862	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7862	Under behandling	Nordsjøen	Ja	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	Seismisk kilde	2	4130	2000PSI	Kabler	10	6000	2013-06-07	9999-12-31	2013-10-31	9999-12-31	10620	\N	531	\N	239.550000	Område inkludert snuområde	1558
ST13307	7863	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7863	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7863	Under behandling	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-05-28	9999-12-31	2013-08-15	9999-12-31	380	\N	380	\N	\N	Område unntatt snuområde	1559
ST13307	7863	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7863	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7863	Under behandling	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-05-28	9999-12-31	2013-08-15	9999-12-31	380	\N	380	\N	\N	Område inkludert snuområde	1560
ST13301	7864	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7864	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7864	Under behandling	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-06-19	9999-12-31	2013-09-26	9999-12-31	800	\N	800	\N	\N	Område unntatt snuområde	1561
ST13301	7864	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7864	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7864	Under behandling	Nordsjøen	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer eller ca. 2.6 liter	2000 PSI	Kabler	1	1200	2013-06-19	9999-12-31	2013-09-26	9999-12-31	800	\N	800	\N	\N	Område inkludert snuområde	1562
LN13304	7865	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7865	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7865	Under behandling	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	1	140	140	Kabler	1	1200	2013-06-05	9999-12-31	2013-06-18	9999-12-31	300	\N	300	\N	\N	Område inkludert snuområde	1563
LN13304	7865	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7865	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7865	Under behandling	Nordsjøen	Nei	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	Seismisk kilde	1	140	140	Kabler	1	1200	2013-06-05	9999-12-31	2013-06-18	9999-12-31	300	\N	300	\N	\N	Område unntatt snuområde	1564
\.



COPY seamultiline (seasurveyname, seafactmapurl, seafactpageurl, seastatus, seamarketavailable, seasurveytypemain, seasurveytypepart, seacompanyreported, seasourcetype, seasourcenumber, seasourcesize, seasourcepressure, seasensortype, seasensornumbers, seasensorlength, seaplanfromdate, seadatestarting, seaplantodate, seadatefinalized, seaplancdpkm, seacdptotalkm, seaplanboatkm, seaboattotalkm) FROM stdin;
AX0901	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7145	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7145	Ferdig	Nei	Borestedundersøkelse / sitesurvey	2D	Aker Exploration AS	Seismisk kilde	En rekke 4 kanoner	4 x 40 cu in (Totalt 160 cu in.)	2000	Kabler	1	1200	2009-10-01	2009-10-13	2009-11-30	2009-10-27	179	441	104	441
CGGV-11-01	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7380	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7380	Ferdig	Nei	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	3600	2000	Kabler	1	8100	2011-04-01	2011-04-15	2011-04-30	2011-04-16	42	83	42	90
CGGV11001	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services (UK) Limited	Seismisk kilde	1	4450	2000	Kabler	1	8000	2011-07-14	9999-12-31	2011-07-31	9999-12-31	40	\N	40	\N
CGGV1103	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7490	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7490	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-13	2011-09-30	2011-08-15	180	180	180	180
CGGV1104	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7491	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7491	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-14	2011-09-30	2011-08-16	60	60	60	60
CGGV1105	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7492	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7492	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-12	2011-09-30	2011-08-13	50	50	50	50
CGGV1106	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7494	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7494	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-11	2011-09-30	2011-08-11	480	120	480	120
CGGV1107	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	9999-12-31	2011-09-30	9999-12-31	58	\N	58	\N
CGGV1108	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7497	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7497	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-21	2011-09-30	2011-08-24	54	54	54	54
CGGV1109	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7498	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7498	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-29	2011-08-24	2011-09-30	2011-08-23	109	164	109	164
CGGV1110	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	2	4980	2000 psi	Kabler	1	6000	2011-11-01	9999-12-31	2011-12-15	9999-12-31	262	\N	262	\N
CGGV1111	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	2	4980 cu.in.	2000 psi	Kabler	1	6000	2011-11-01	9999-12-31	2011-12-15	9999-12-31	84	\N	84	\N
CGGV1112	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	2	4980 cu.in.	2000 psi	Kabler	1	6000	2011-11-01	9999-12-31	2011-12-15	9999-12-31	105	\N	105	\N
CGGV1113	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	2	4980 cu.in.	2000 psi	Kabler	1	6000	2011-11-01	9999-12-31	2011-12-15	9999-12-31	34	\N	34	\N
CGGV1114	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	Seismisk kilde	2	4980 cu.in.	2000 psi	Kabler	1	6000	2011-11-01	9999-12-31	2011-12-15	9999-12-31	43	\N	43	\N
CVX0901	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7106	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7106	Ferdig	Nei	Ordinær seismisk undersøkelse	2D	Chevron Norge AS	Seismisk kilde	1  kj&ring	4820 cu.in.	2000 psi	Kabler	1	12 km	2009-08-13	2009-08-16	2009-09-30	2009-09-06	1200	1124	1500	1124
DA1201	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7614	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7614	Ferdig	Nei	Ordinær seismisk undersøkelse	2D	Dana Petroleum Norway AS	Seismisk kilde	1	160 cu in3	2000 psi	Kabler	1	1200	2012-04-22	2012-05-23	2012-07-01	2012-06-28	3000	3469	5000	3485
DN0903	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7068	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7068	Ferdig	Nei	Ordinær seismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	150 cu.in	UNKNOWN	Kabler	1	1200	2009-05-20	2009-06-05	2009-06-28	2009-06-14	150	354	150	354
DN0904	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7062	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7062	Ferdig	Nei	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	150 cu. in.	UNKNOWN	Kabler	1	2400	2009-07-01	2009-07-04	2009-08-15	2009-07-18	600	970	600	970
DN0906	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7083	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7083	Ferdig	Nei	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2009-08-11	2009-09-06	2009-09-20	2009-09-11	130	160	130	160
DN0907	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7084	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7084	Ferdig	Nei	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2009-08-11	2009-08-19	2009-09-10	2009-09-03	70	84	70	84
DN0909	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7105	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7105	Ferdig	Nei	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	150 cu. in	200psi	Kabler	1	2400	2009-07-01	2009-07-06	2009-08-25	2009-08-16	2000	1961	2000	1961
DN0912	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7139	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7139	Ferdig	Nei	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	Seismisk kilde	1	150 cu in	2000psi	Kabler	1	1200	2009-09-22	2009-10-19	2009-11-15	2009-11-01	220	200	220	270
FH2D-13	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7857	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Pending&nav3=7857	Under behandling	Ja	Ordinær seismisk undersøkelse	2D	Spectrum ASA	Seismisk kilde	1	4130 cu in	2000 psi	Kabler	1	8000 m	2013-06-01	9999-12-31	2013-08-20	9999-12-31	8500	\N	8500	\N
FMC0903	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7095	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7095	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	UNKNOWN	5000 cu.in.	UNKNOWN	Kabler	1	8000	2009-04-15	2009-06-10	2009-11-30	2009-11-02	12000	10550	12000	10550
GDF0901	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7127	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7127	Ferdig	Nei	Borestedundersøkelse / sitesurvey	2D	GDF SUEZ E&P Norge AS	Seismisk kilde	4	40 cubic inch	1800 - 2000 psi	Kabler	1	1200	2009-10-10	2009-11-01	2009-12-01	2009-11-06	80	80	80	80
ION09	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	ION Geophysical	Seismisk kilde	1	4330 cu in	2000 psi	Kabler	1	8000	2009-07-20	2009-07-26	2009-07-31	9999-12-31	910	\N	910	\N
LN0958	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7179	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7179	Ferdig	Nei	Havbunnseismisk undersøkelse	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200	2009-11-28	2009-12-19	2010-01-30	2010-01-04	400	287	400	288
LN0959	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7180	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7180	Ferdig	Nei	Havbunnseismisk undersøkelse	2D	Lundin Norway AS	Seismisk kilde	6	140 cu inch	140	Kabler	1	1200	2009-11-29	2010-01-06	2010-01-30	2010-01-10	100	\N	100	82
LN11002	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7455	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7455	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Lundin Norway AS	Seismisk kilde	1	4100 cu. inch	2000 psi	Kabler	1	8100	2011-07-15	2011-08-18	2011-09-15	2011-08-20	116	115	116	115
LN11006	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	Lundin Norway AS	Seismisk kilde	1	4480 cuinch	2000 psi	Kabler	1	6000 m	2011-10-15	9999-12-31	2011-12-15	2011-12-14	133	\N	133	\N
MC2D-AMG2011	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7438	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7438	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	2	4130 cu in	2000 psi	Kabler	1	8100	2011-05-15	2011-05-15	2011-07-20	2011-07-07	5000	3182	5000	3182
MC2D-BS2011	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7500	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7500	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	1	4130 cu in	2000 psi	Kabler	1	8000	2011-09-10	2011-09-13	2011-10-20	2011-10-13	1253	2544	1253	2544
MC2D-CNS2011	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7370	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7370	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	1	4130	2000 psi	Kabler	1	8000	2011-01-01	2011-02-12	2011-03-10	2011-03-07	1780	807	1780	807
MC2D-CR2009	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7130	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7130	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	Seismisk kilde	1	4130 cu in	2000 psi	Kabler	1	8000	2009-08-10	2009-08-13	2009-10-31	2009-09-18	6000	3639	6000	3639
MC2D-WBGS12	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7715	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7715	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Multiklient Invest AS	Seismisk kilde	1	7200 cu in	2000 psi	Kabler	1	8000	2012-08-08	2012-08-12	2012-09-30	2012-09-24	5000	4874	5000	4874
MCG0901	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7075	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7075	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	32	4258	4258	Kabler	1	8100	2009-05-25	2009-07-12	2009-08-30	2009-09-01	3250	3515	3250	3515
MCG1001	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7209	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7209	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	32	4230inch3	2000psi	Kabler	1	8100	2010-03-25	2010-04-04	2010-06-30	2010-05-25	3000	2883	3000	2883
MCG1002	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7225	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7225	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	36	4504	2000	Kabler	1	8100	2010-04-29	2010-05-02	2010-06-30	2010-06-15	4500	3380	4500	3380
MCG1101	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7419	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7419	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	1	4000inch3	2000psi	Kabler	1	10000	2011-06-23	2011-07-10	2011-11-30	2011-11-01	8500	8649	8500	8649
MCG1102	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7426	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7426	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	1	4000	2000	Kabler	1	8100	2011-05-15	2011-05-19	2011-08-31	2011-07-28	6426	6464	6426	6464
MCG1201	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7580	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7580	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	1	4000	2000	Kabler	1	9000	2012-03-15	2012-03-21	2012-06-30	2012-06-29	6392	5847	6392	5847
MCG1202	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7700	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7700	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	1	4000	2	Kabler	1	8100	2012-07-10	2012-07-14	2012-08-15	2012-08-08	1329	1333	1329	1333
MCG1301	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7796	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Ongoing&nav3=7796	Pågående	Ja	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	Seismisk kilde	1	4000	2000	Kabler	1	10050	2013-03-19	2013-03-22	2013-06-30	9999-12-31	8373	\N	8373	\N
MNDW2010	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7280	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7280	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Spec Partners Ltd	Seismisk kilde	1	6300 kubikktommer	2000 psi	Kabler	1	12000	2010-05-20	2010-05-26	2010-07-30	2010-07-22	3745	3956	3745	3956
MNR09	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7001	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7001	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	UNKNOWN	5869 Cu. Inc	Kabler	1	10000	2009-04-06	9999-12-31	2010-01-31	2009-12-05	13000	20229	13000	20229
MNR10	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7224	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7224	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	5860	2000 psi	Kabler	1	10000	2010-05-03	2010-05-07	2010-12-31	2010-10-12	13000	13892	13000	13892
MNR11	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7389	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7389	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	5140	2000	Kabler	1	12000	2011-04-01	2011-05-08	2011-11-30	2011-11-28	15000	9636	15000	9636
NBR10	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7219	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7219	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	max. 4500	2000 psi	Kabler	1	8000	2010-04-26	2010-05-18	2010-09-30	2010-09-25	12000	11988	12000	11988
NBR11	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7408	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7408	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	Max 4500 cu.in.	2000 psi	Kabler	1	12000	2011-04-22	2011-04-30	2011-11-15	2011-11-07	12000	8761	12000	8761
NBR12	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7579	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7579	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	Seismisk kilde	1	max 4500 cu.in.	2000 psi	Kabler	1	12000	2012-03-15	2012-03-26	2012-09-30	2012-09-30	12000	14643	12000	14643
NPD-BA-11	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7464	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7464	Ferdig	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	4135 cu. in.	2000 psi	Kabler	1	8100 meter	2011-07-07	2011-07-08	2011-10-15	2011-09-13	12700	11543	12700	11543
NPD-JM-11	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7430	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7430	Ferdig	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	4135  cu. in	2000psi	Kabler	1	8100 meter	2011-06-06	2011-06-18	2011-09-01	2011-07-05	11800	3062	11800	3062
NPD-MB-11	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7451	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7451	Ferdig	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	3111  cu. in	2000psi	Kabler	1	8100 meter	2011-06-01	2011-06-01	2011-06-07	2011-06-07	225	265	225	265
NPD1201	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7620	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7620	Ferdig	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	4330 cu. in.	2000 psi	Kabler	1	8000 meter	2012-04-22	2012-04-26	2012-06-30	2012-07-06	6000	6766	6000	6766
NPD1202	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7642	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7642	Ferdig	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	3090 cu in eller 4130 cu in	2000 psi	Kabler	1	8100 meter	2012-05-29	2012-06-05	2012-08-20	2012-08-09	8500	9507	8500	9507
NPD1203	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7667	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7667	Ferdig	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	4330 cu. in.	2000 psi	Kabler	1	6000 meter	2012-07-01	2012-07-10	2012-08-12	2012-08-07	3000	3373	3000	3373
NPD1204	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7659	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2012&nav3=7659	Ferdig	Nei	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	Seismisk kilde	1	4330 cu. in.	2000 psi	Kabler	1	8000	2012-06-15	2012-06-15	2012-10-25	2012-10-10	16000	13745	16000	13740
NSR09 VG	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7104	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7104	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	4100 cu.inch	2000 psi	Kabler	1	8000 m	2009-06-25	2009-07-11	2009-09-30	2009-09-11	9000	2958	9000	2958
NSR10 FR	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	3200 cu.in.	2000 psi	Kabler	1	8000	2010-06-27	9999-12-31	2010-10-31	9999-12-31	1600	\N	1600	\N
NSR10 VG	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7242	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7242	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	4100 cu.inch	2000 psi	Kabler	1	8000	2010-05-15	2010-05-14	2010-08-31	2010-06-27	3000	3021	3000	3021
NSR11 WOS	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7422	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7422	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	4100 cu.inch	2000 psi	Kabler	1	8000	2011-05-01	2011-05-25	2011-08-15	2011-07-28	3000	361	3000	361
NSRD12	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	ca 4200 cu.inch	2000 psi	Kabler	1	8000 m	2012-09-14	9999-12-31	2012-11-30	9999-12-31	90	\N	90	\N
NX0903	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7128	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7128	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Nexen Exploration Norge AS	Seismisk kilde	1	2120 cu.inch	2000 psi	Kabler	1	5000	2009-07-29	2009-07-30	2009-08-19	2009-08-04	300	275	300	275
PPT12	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	2	3460 cui	2000 psi	Kabler	10	6000	2012-05-02	9999-12-31	2012-05-09	9999-12-31	5000	\N	250	\N
RD0901	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7092	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7092	Ferdig	Nei	Havbunnseismisk undersøkelse	2D	RWE Dea Norge AS	Seismisk kilde	1	2x40 , 2x20, 2x10 cu in	2000psi	Kabler	1	1200	2009-06-25	2009-07-02	2009-07-25	2009-07-14	100	91	100	91
RD0902	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7093	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7093	Ferdig	Nei	Havbunnseismisk undersøkelse	2D	RWE Dea Norge AS	Seismisk kilde	1	2x40 , 2x20, 2x10 cu in	2000psi	Kabler	1	1200	2009-06-25	2009-07-15	2009-07-25	2009-07-24	140	257	140	257
SH1003	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7322	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7322	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	2	6000	2010-08-03	2010-08-12	2010-08-31	2010-08-16	105	218	105	218
SH1004	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7337	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7337	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	2	6000 - 10000	2010-08-03	2010-08-13	2010-08-31	2010-08-14	80	72	80	72
SH1101	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	8000	2011-07-17	9999-12-31	2011-09-15	9999-12-31	180	\N	180	\N
SH1102	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	Seismisk kilde	1	4450 cu.in.	2000 psi	Kabler	1	12000	2011-07-17	9999-12-31	2011-09-15	9999-12-31	60	\N	60	\N
SS1101	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7431	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2011&nav3=7431	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	Searcher Seismic Pty Ltd	Seismisk kilde	1	1030 cu inch	2000 psi	Kabler	1	5000	2011-05-09	2011-10-21	2011-12-30	2011-11-20	24890	9639	24890	9639
SS1302	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7779	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Planned&nav3=7779	Planlagt	Ja	Ordinær seismisk undersøkelse	2D	Searcher Seismic Pty Ltd	Seismisk kilde	1	1260	2000	Kabler	1	7000	2013-03-01	9999-12-31	2013-06-30	9999-12-31	12000	\N	12000	\N
SSBJ12	\N	\N	Avlyst	Ja	Ordinær seismisk undersøkelse	2D	Searcher Seismic Pty Ltd	Seismisk kilde	1	1300 cu.inch	2000psi	Kabler	1	7000 meter	2012-05-13	9999-12-31	2012-10-31	9999-12-31	11000	\N	11000	\N
ST09315	\N	\N	Avlyst	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-11-18	9999-12-31	2010-01-14	9999-12-31	285	\N	285	\N
ST09319	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7094	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7094	Ferdig	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-06-27	2009-06-29	2009-08-24	2009-07-05	253	179	253	179
ST09320	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7096	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7096	Ferdig	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-07-02	2009-07-22	2009-08-27	2009-07-29	262	320	262	320
ST09321	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7099	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7099	Ferdig	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-07-15	2009-08-20	2009-09-15	2009-09-06	177	173	177	173
ST09322	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7111	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7111	Ferdig	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-07-23	2009-08-05	2009-09-09	2009-08-19	233	290	233	290
ST09323	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7134	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7134	Ferdig	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-08-20	2009-09-12	2009-11-10	2009-10-27	542	357	542	357
ST09324	\N	\N	Avlyst	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-10-29	9999-12-31	2009-11-29	9999-12-31	25	\N	25	\N
St09326	\N	\N	Avlyst	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-11-29	9999-12-31	2010-01-29	9999-12-31	25	\N	25	\N
ST09327	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7142	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7142	Ferdig	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-11-29	2009-12-10	2010-01-29	2009-12-14	295	325	295	325
ST09328	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7143	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7143	Ferdig	Ja	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2009-11-29	2010-01-07	2010-01-29	2010-01-15	134	219	134	219
ST10301	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7217	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7217	Ferdig	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-04-07	2010-04-20	2010-06-02	2010-05-30	156	171	156	171
ST10304	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7204	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7204	Ferdig	Ja	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-05-01	2010-05-03	2010-07-01	2010-05-08	245	226	245	226
ST10316	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7218	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7218	Ferdig	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-04-07	2010-04-20	2010-06-02	2010-05-27	157	172	157	172
ST10317	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7221	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7221	Ferdig	Ja	Havbunnseismisk undersøkelse	2D	Statoil ASA	Seismisk kilde	1	160 kubikk tommer / 2.6 liter	2000 psi	Kabler	1	1200	2010-04-09	2010-05-24	2010-06-04	2010-05-30	25	35	25	35
TGS0902	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7073	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2009&nav3=7073	Ferdig	Ja	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	Seismisk kilde	1	4100 cu.inch	2000 psi	Kabler	1	8000 m	2009-05-23	2009-05-25	2009-11-01	2009-09-23	9000	3301	9000	3301
VNG0902	http://www.npd.no/FactMapSearch?NPDID_seis_acquisition=7136	http://factpages.npd.no/FactPages/default.aspx?nav1=seis_acquisition&nav2=PageView|Finished|2010&nav3=7136	Ferdig	Nei	Havbunnseismisk undersøkelse	2D	VNG Norge AS	Seismisk kilde	1	140 cu in	2000psi	Kabler	1	1200	2009-12-15	2009-12-22	2010-02-01	2010-01-10	446	446	446	446
\.



COPY seis_acquisition (seaname, seaplanfromdate, seanpdidsurvey, seastatus, seageographicalarea, seasurveytypemain, seasurveytypepart, seacompanyreported, seaplantodate, seadatestarting, seadatefinalized, seacdptotalkm, seaboattotalkm, sea3dkm2, seasampling, seashallowdrilling, seageotechnical, datesyncnpd) FROM stdin;
CSSC-65	1965-01-01	2000	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1965-12-31	1965-01-01	1965-12-31	2338	\N	\N	\N	\N	\N	2013-05-08
ANO-66	1966-01-01	2001	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1966-12-31	1966-01-01	1966-12-31	466	\N	\N	\N	\N	\N	2013-05-08
CSSC-66	1966-01-01	2002	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1966-12-31	1966-01-01	1966-12-31	1512	\N	\N	\N	\N	\N	2013-05-08
CSSC-66-1	1966-01-01	2003	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1966-12-31	1966-01-01	1966-12-31	960	\N	\N	\N	\N	\N	2013-05-08
NJV-66	1966-01-01	2004	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1966-12-31	1966-01-01	1966-12-31	387	\N	\N	\N	\N	\N	2013-05-08
ANO-67	1967-01-01	2005	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1967-12-31	1967-01-01	1967-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PG-1611-67	1967-01-01	2006	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1967-12-31	1967-01-01	1967-12-31	48	\N	\N	\N	\N	\N	2013-05-08
CSSC-68	1968-01-01	2007	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1968-12-31	1968-01-01	1968-12-31	1143	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-69	1969-01-01	2008	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1969-12-31	1969-01-01	1969-12-31	632	\N	\N	\N	\N	\N	2013-05-08
SYRA-69	1969-01-01	2009	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Syracuse Oils Norge A/S	1969-12-31	1969-01-01	1969-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
N2-70	1970-01-01	2010	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1970-12-31	1970-01-01	1970-12-31	226	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-70	1970-01-01	2011	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1970-12-31	1970-01-01	1970-12-31	836	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-70	1970-01-01	2012	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1970-12-31	1970-01-01	1970-12-31	909	\N	\N	\N	\N	\N	2013-05-08
OC-NY-70	1970-01-01	2013	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	\N	OCCIDENTAL	1970-12-31	1970-01-01	1970-12-31	963	\N	\N	\N	\N	\N	2013-05-08
SH7001	1970-01-01	2014	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1970-12-31	1970-01-01	1970-12-31	121	\N	\N	\N	\N	\N	2013-05-08
C3-71	1971-01-01	2015	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1971-12-31	1971-01-01	1971-12-31	47	\N	\N	\N	\N	\N	2013-05-08
C8-71	1971-01-01	2016	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1971-12-31	1971-01-01	1971-12-31	180	\N	\N	\N	\N	\N	2013-05-08
C9-71	1971-01-01	2017	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1971-12-31	1971-01-01	1971-12-31	84	\N	\N	\N	\N	\N	2013-05-08
M-71	1971-01-01	2018	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1971-12-31	1971-01-01	1971-12-31	5196	\N	\N	\N	\N	\N	2013-05-08
N10-71	1971-01-01	2019	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1971-12-31	1971-01-01	1971-12-31	33	\N	\N	\N	\N	\N	2013-05-08
N7-71	1971-01-01	2020	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1971-12-31	1971-01-01	1971-12-31	202	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-71	1971-01-01	2021	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1971-12-31	1971-01-01	1971-12-31	1400	\N	\N	\N	\N	\N	2013-05-08
NPD-SV-71	1971-01-01	2022	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1971-12-31	1971-01-01	1971-12-31	396	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-71	1971-01-01	2023	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1971-12-31	1971-01-01	1971-12-31	699	\N	\N	\N	\N	\N	2013-05-08
SH7101	1971-01-01	2024	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1971-12-31	1971-01-01	1971-12-31	2797	\N	\N	\N	\N	\N	2013-05-08
SH7102	1971-01-01	2025	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1971-12-31	1971-01-01	1971-12-31	75	\N	\N	\N	\N	\N	2013-05-08
SH7103	1971-01-01	2026	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1971-12-31	1971-01-01	1971-12-31	37	\N	\N	\N	\N	\N	2013-05-08
SH7104	1971-01-01	2027	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1971-12-31	1971-01-01	1971-12-31	20	\N	\N	\N	\N	\N	2013-05-08
SSL-71	1971-01-01	2028	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	SEISMOGRAPHH SERVICE (ENGLAND) LTD	1971-12-31	1971-01-01	1971-12-31	5932	\N	\N	\N	\N	\N	2013-05-08
SSL-7172	1971-01-01	2029	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	SEISMOGRAPHH SERVICE (ENGLAND) LTD	1971-12-31	1971-01-01	1971-12-31	3251	\N	\N	\N	\N	\N	2013-05-08
WG-71	1971-01-01	2030	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1971-12-31	1971-01-01	1971-12-31	5355	\N	\N	\N	\N	\N	2013-05-08
ANO-72	1972-01-01	2031	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1972-12-31	1972-01-01	1972-12-31	1442	\N	\N	\N	\N	\N	2013-05-08
CN29-72	1972-01-01	2032	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1972-12-31	1972-01-01	1972-12-31	38	\N	\N	\N	\N	\N	2013-05-08
CN30-72	1972-01-01	2033	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1972-12-31	1972-01-01	1972-12-31	36	\N	\N	\N	\N	\N	2013-05-08
CN33-72	1972-01-01	2034	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1972-12-31	1972-01-01	1972-12-31	101	\N	\N	\N	\N	\N	2013-05-08
CN34-72	1972-01-01	2035	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1972-12-31	1972-01-01	1972-12-31	348	\N	\N	\N	\N	\N	2013-05-08
CN9-72	1972-01-01	2036	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1972-12-31	1972-01-01	1972-12-31	304	\N	\N	\N	\N	\N	2013-05-08
CSSC-72	1972-01-01	2037	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1972-12-31	1972-01-01	1972-12-31	666	\N	\N	\N	\N	\N	2013-05-08
CSSC-72-1	1972-01-01	2038	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1972-12-31	1972-01-01	1972-12-31	857	\N	\N	\N	\N	\N	2013-05-08
CSSC-72-2	1972-01-01	2039	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1972-12-31	1972-01-01	1972-12-31	130	\N	\N	\N	\N	\N	2013-05-08
CSSC-72-3	1972-01-01	2040	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1972-12-31	1972-01-01	1972-12-31	624	\N	\N	\N	\N	\N	2013-05-08
D-72	1972-01-01	2041	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Seiscom Delta Exploration INC	1972-12-31	1972-01-01	1972-12-31	5609	\N	\N	\N	\N	\N	2013-05-08
EL-720	1972-01-01	2042	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1972-12-31	1972-01-01	1972-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
M-72	1972-01-01	2043	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1972-12-31	1972-01-01	1972-12-31	4711	\N	\N	\N	\N	\N	2013-05-08
M-72-1	1972-01-01	2044	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1972-12-31	1972-01-01	1972-12-31	90	\N	\N	\N	\N	\N	2013-05-08
NM-72	1972-01-01	2045	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1972-12-31	1972-01-01	1972-12-31	793	\N	\N	\N	\N	\N	2013-05-08
NPD-ML01-72	1972-01-01	2046	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1972-12-31	1972-01-01	1972-12-31	1985	\N	\N	\N	\N	\N	2013-05-08
NPD-ML02-72	1972-01-01	2047	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1972-12-31	1972-01-01	1972-12-31	1871	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-72	1972-01-01	2048	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1972-12-31	1972-01-01	1972-12-31	297	\N	\N	\N	\N	\N	2013-05-08
NPD-TRBA-72	1972-01-01	2049	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1972-12-31	1972-01-01	1972-12-31	852	\N	\N	\N	\N	\N	2013-05-08
OCCI-72	1972-01-01	2050	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	OCCIDENTAL	1972-12-31	1972-01-01	1972-12-31	2836	\N	\N	\N	\N	\N	2013-05-08
PG-020772	1972-01-01	2051	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1972-12-31	1972-01-01	1972-12-31	22	\N	\N	\N	\N	\N	2013-05-08
PG-1611-72	1972-01-01	2052	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1972-12-31	1972-01-01	1972-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PG-8/10-72	1972-01-01	2053	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1972-12-31	1972-01-01	1972-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PG72	1972-01-01	2054	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1972-12-31	1972-01-01	1972-12-31	265	\N	\N	\N	\N	\N	2013-05-08
SH7201	1972-01-01	2055	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1972-12-31	1972-01-01	1972-12-31	91	\N	\N	\N	\N	\N	2013-05-08
SH7202	1972-01-01	2056	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1972-12-31	1972-01-01	1972-12-31	431	\N	\N	\N	\N	\N	2013-05-08
SH7203	1972-01-01	2057	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1972-12-31	1972-01-01	1972-12-31	189	\N	\N	\N	\N	\N	2013-05-08
SH7204	1972-01-01	2058	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1972-12-31	1972-01-01	1972-12-31	120	\N	\N	\N	\N	\N	2013-05-08
SH7205	1972-01-01	2059	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1972-12-31	1972-01-01	1972-12-31	83	\N	\N	\N	\N	\N	2013-05-08
SH7206	1972-01-01	2060	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1972-12-31	1972-01-01	1972-12-31	96	\N	\N	\N	\N	\N	2013-05-08
SSL-72	1972-01-01	2061	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	SEISMOGRAPHH SERVICE (ENGLAND) LTD	1972-12-31	1972-01-01	1972-12-31	120	\N	\N	\N	\N	\N	2013-05-08
SSL-72-1	1972-01-01	2062	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	SEISMOGRAPHH SERVICE (ENGLAND) LTD	1972-12-31	1972-01-01	1972-12-31	3971	\N	\N	\N	\N	\N	2013-05-08
UN-72	1972-01-01	2063	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Unocal Norge A/S	1972-12-31	1972-01-01	1972-12-31	4325	\N	\N	\N	\N	\N	2013-05-08
WG-72	1972-01-01	2064	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1972-12-31	1972-01-01	1972-12-31	1783	\N	\N	\N	\N	\N	2013-05-08
ANO-73	1973-01-01	2065	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1973-12-31	1973-01-01	1973-12-31	264	\N	\N	\N	\N	\N	2013-05-08
CN16-73	1973-01-01	2066	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1973-12-31	1973-01-01	1973-12-31	526	\N	\N	\N	\N	\N	2013-05-08
CN2-73	1973-01-01	2067	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1973-12-31	1973-01-01	1973-12-31	639	\N	\N	\N	\N	\N	2013-05-08
CN7-73	1973-01-01	2068	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1973-12-31	1973-01-01	1973-12-31	478	\N	\N	\N	\N	\N	2013-05-08
CSSC-73	1973-01-01	2069	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1973-12-31	1973-01-01	1973-12-31	459	\N	\N	\N	\N	\N	2013-05-08
CSSC-73-1	1973-01-01	2070	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1973-12-31	1973-01-01	1973-12-31	101	\N	\N	\N	\N	\N	2013-05-08
CSSC-73-2	1973-01-01	2071	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1973-12-31	1973-01-01	1973-12-31	697	\N	\N	\N	\N	\N	2013-05-08
CSSC-73-3	1973-01-01	2072	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1973-12-31	1973-01-01	1973-12-31	2134	\N	\N	\N	\N	\N	2013-05-08
CSSC-73-4	1973-01-01	2073	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1973-12-31	1973-01-01	1973-12-31	111	\N	\N	\N	\N	\N	2013-05-08
CSSC-73-5	1973-01-01	2074	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1973-12-31	1973-01-01	1973-12-31	1215	\N	\N	\N	\N	\N	2013-05-08
ELF-73	1973-01-01	2075	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1973-12-31	1973-01-01	1973-12-31	1751	\N	\N	\N	\N	\N	2013-05-08
MNG-73	1973-01-01	2076	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1973-12-31	1973-01-01	1973-12-31	1305	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-73	1973-01-01	2077	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1973-12-31	1973-01-01	1973-12-31	3174	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-73	1973-01-01	2078	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1973-12-31	1973-01-01	1973-12-31	6239	\N	\N	\N	\N	\N	2013-05-08
PG-020473	1973-01-01	2079	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1973-12-31	1973-01-01	1973-12-31	124	\N	\N	\N	\N	\N	2013-05-08
PG-020773	1973-01-01	2080	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1973-12-31	1973-01-01	1973-12-31	106	\N	\N	\N	\N	\N	2013-05-08
PG-081073	1973-01-01	2081	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1973-12-31	1973-01-01	1973-12-31	215	\N	\N	\N	\N	\N	2013-05-08
PG03	1973-01-01	2082	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1973-12-31	1973-01-01	1973-12-31	124	\N	\N	\N	\N	\N	2013-05-08
SH7301	1973-01-01	2083	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1973-12-31	1973-01-01	1973-12-31	36	\N	\N	\N	\N	\N	2013-05-08
ANO-74	1974-01-01	2084	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1974-12-31	1974-01-01	1974-12-31	1486	\N	\N	\N	\N	\N	2013-05-08
C10-12-74	1974-01-01	2087	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1974-12-31	1974-01-01	1974-12-31	66	\N	\N	\N	\N	\N	2013-05-08
C10-5-74	1974-01-01	2088	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1974-12-31	1974-01-01	1974-12-31	145	\N	\N	\N	\N	\N	2013-05-08
C3-74	1974-01-01	2089	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1974-12-31	1974-01-01	1974-12-31	173	\N	\N	\N	\N	\N	2013-05-08
C8-74	1974-01-01	2090	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1974-12-31	1974-01-01	1974-12-31	351	\N	\N	\N	\N	\N	2013-05-08
C9-11-74	1974-01-01	2091	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1974-12-31	1974-01-01	1974-12-31	66	\N	\N	\N	\N	\N	2013-05-08
C9-9-74	1974-01-01	2092	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1974-12-31	1974-01-01	1974-12-31	175	\N	\N	\N	\N	\N	2013-05-08
CH-431	1974-01-01	2093	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Chevron Petroleum Company of Norway	1974-12-31	1974-01-01	1974-12-31	1005	\N	\N	\N	\N	\N	2013-05-08
CN24-74	1974-01-01	2094	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1974-12-31	1974-01-01	1974-12-31	608	\N	\N	\N	\N	\N	2013-05-08
CNG-74	1974-01-01	2095	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1974-12-31	1974-01-01	1974-12-31	796	\N	\N	\N	\N	\N	2013-05-08
DROPCORES74-76	1974-01-01	2096	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Geophysical Company of Norway A/S	1974-12-31	1974-01-01	1974-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EL-740	1974-01-01	2097	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1974-12-31	1974-01-01	1974-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GTA-74	1974-01-01	2098	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1974-12-31	1974-01-01	1974-12-31	106	\N	\N	\N	\N	\N	2013-05-08
MNG-74	1974-01-01	2099	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1974-12-31	1974-01-01	1974-12-31	709	\N	\N	\N	\N	\N	2013-05-08
NPD-BA-74	1974-01-01	2100	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1974-12-31	1974-01-01	1974-12-31	3091	\N	\N	\N	\N	\N	2013-05-08
NPD-FI-74	1974-01-01	2101	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1974-12-31	1974-01-01	1974-12-31	3322	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-74	1974-01-01	2102	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1974-12-31	1974-01-01	1974-12-31	2588	\N	\N	\N	\N	\N	2013-05-08
NPD-TA-74	1974-01-01	2103	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1974-12-31	1974-01-01	1974-12-31	385	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-74	1974-01-01	2104	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1974-12-31	1974-01-01	1974-12-31	2953	\N	\N	\N	\N	\N	2013-05-08
NPD-TR02-74	1974-01-01	2105	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1974-12-31	1974-01-01	1974-12-31	848	\N	\N	\N	\N	\N	2013-05-08
PG-74	1974-01-01	2106	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1974-12-31	1974-01-01	1974-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PG1611-74	1974-01-01	2107	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1974-12-31	1974-01-01	1974-12-31	34	\N	\N	\N	\N	\N	2013-05-08
SH7401	1974-01-01	2108	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1974-12-31	1974-01-01	1974-12-31	140	\N	\N	\N	\N	\N	2013-05-08
SH7402	1974-01-01	2109	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1974-12-31	1974-01-01	1974-12-31	436	\N	\N	\N	\N	\N	2013-05-08
SH7403	1974-01-01	2110	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1974-12-31	1974-01-01	1974-12-31	450	\N	\N	\N	\N	\N	2013-05-08
SH7404	1974-01-01	2111	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1974-12-31	1974-01-01	1974-12-31	760	\N	\N	\N	\N	\N	2013-05-08
ST403	1974-01-01	2112	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1974-12-31	1974-01-01	1974-12-31	465	\N	\N	\N	\N	\N	2013-05-08
ST404	1974-01-01	2113	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1974-12-31	1974-01-01	1974-12-31	529	\N	\N	\N	\N	\N	2013-05-08
ST74-1	1974-01-01	2114	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1974-12-31	1974-01-01	1974-12-31	2044	\N	\N	\N	\N	\N	2013-05-08
AM-540	1975-01-01	2115	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1975-12-31	1975-01-01	1975-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ANO-75	1975-01-01	2116	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1975-12-31	1975-01-01	1975-12-31	286	\N	\N	\N	\N	\N	2013-05-08
BGR-75	1975-01-01	2117	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	BUNDESANSTALT FUR GEOWISSENSHAFTEN UND ROHSTOFFE	1975-12-31	1975-01-01	1975-12-31	1513	\N	\N	\N	\N	\N	2013-05-08
CSSC-75	1975-01-01	2120	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1975-12-31	1975-01-01	1975-12-31	1237	\N	\N	\N	\N	\N	2013-05-08
CSSC-75-1	1975-01-01	2121	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1975-12-31	1975-01-01	1975-12-31	813	\N	\N	\N	\N	\N	2013-05-08
CSSC-75-2	1975-01-01	2122	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1975-12-31	1975-01-01	1975-12-31	907	\N	\N	\N	\N	\N	2013-05-08
E-570	1975-01-01	2123	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1975-12-31	1975-01-01	1975-12-31	583	\N	\N	\N	\N	\N	2013-05-08
EL-580	1975-01-01	2124	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1975-12-31	1975-01-01	1975-12-31	1120	\N	\N	\N	\N	\N	2013-05-08
EL-582	1975-01-01	2125	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1975-12-31	1975-01-01	1975-12-31	275	\N	\N	\N	\N	\N	2013-05-08
ELF-75-1	1975-01-01	2126	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1975-12-31	1975-01-01	1975-12-31	660	\N	\N	\N	\N	\N	2013-05-08
GSI-MØRE-75	1975-01-01	2127	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOPHYSICAL SERVICES	1975-12-31	1975-01-01	1975-12-31	920	\N	\N	\N	\N	\N	2013-05-08
MNG-75	1975-01-01	2128	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	210	\N	\N	\N	\N	\N	2013-05-08
MOB75	1975-01-01	2129	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1975-12-31	1975-01-01	1975-12-31	2616	\N	\N	\N	\N	\N	2013-05-08
NH550	1975-01-01	2130	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1975-12-31	1975-01-01	1975-12-31	2171	\N	\N	\N	\N	\N	2013-05-08
NPD-BA-75	1975-01-01	2131	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1975-12-31	1975-01-01	1975-12-31	6185	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-75	1975-01-01	2132	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1975-12-31	1975-01-01	1975-12-31	3084	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-75	1975-01-01	2133	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1975-12-31	1975-01-01	1975-12-31	945	\N	\N	\N	\N	\N	2013-05-08
SA-530	1975-01-01	2134	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1975-12-31	1975-01-01	1975-12-31	1229	\N	\N	\N	\N	\N	2013-05-08
SH7501	1975-01-01	2135	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1975-12-31	1975-01-01	1975-12-31	361	\N	\N	\N	\N	\N	2013-05-08
SH7502	1975-01-01	2136	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1975-12-31	1975-01-01	1975-12-31	356	\N	\N	\N	\N	\N	2013-05-08
ST501	1975-01-01	2137	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	1141	\N	\N	\N	\N	\N	2013-05-08
ST502	1975-01-01	2138	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	1182	\N	\N	\N	\N	\N	2013-05-08
ST503	1975-01-01	2139	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	1487	\N	\N	\N	\N	\N	2013-05-08
ST504	1975-01-01	2140	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	898	\N	\N	\N	\N	\N	2013-05-08
ST505	1975-01-01	2141	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	339	\N	\N	\N	\N	\N	2013-05-08
ST506	1975-01-01	2142	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	969	\N	\N	\N	\N	\N	2013-05-08
ST507	1975-01-01	2143	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	244	\N	\N	\N	\N	\N	2013-05-08
ST508	1975-01-01	2144	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	289	\N	\N	\N	\N	\N	2013-05-08
ST509	1975-01-01	2145	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	215	\N	\N	\N	\N	\N	2013-05-08
ST510	1975-01-01	2146	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	792	\N	\N	\N	\N	\N	2013-05-08
ST511	1975-01-01	2147	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	1350	\N	\N	\N	\N	\N	2013-05-08
ST512	1975-01-01	2148	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	211	\N	\N	\N	\N	\N	2013-05-08
ST513	1975-01-01	2149	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	3953	\N	\N	\N	\N	\N	2013-05-08
ST515	1975-01-01	2150	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	1431	\N	\N	\N	\N	\N	2013-05-08
ST516	1975-01-01	2151	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	3245	\N	\N	\N	\N	\N	2013-05-08
ST517	1975-01-01	2152	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	4158	\N	\N	\N	\N	\N	2013-05-08
ST519	1975-01-01	2153	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1975-12-31	1975-01-01	1975-12-31	121	\N	\N	\N	\N	\N	2013-05-08
ANO-76	1976-01-01	2154	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1976-12-31	1976-01-01	1976-12-31	251	\N	\N	\N	\N	\N	2013-05-08
ANO-76-1	1976-01-01	2155	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1976-12-31	1976-01-01	1976-12-31	38	\N	\N	\N	\N	\N	2013-05-08
ANO-76-2	1976-01-01	2156	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1976-12-31	1976-01-01	1976-12-31	276	\N	\N	\N	\N	\N	2013-05-08
AUK-76	1976-01-01	2157	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1976-12-31	1976-01-01	1976-12-31	17	\N	\N	\N	\N	\N	2013-05-08
CN2-76	1976-01-01	2159	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1976-12-31	1976-01-01	1976-12-31	430	\N	\N	\N	\N	\N	2013-05-08
CN7-76	1976-01-01	2160	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1976-12-31	1976-01-01	1976-12-31	1123	\N	\N	\N	\N	\N	2013-05-08
E-570-76	1976-01-01	2161	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1976-12-31	1976-01-01	1976-12-31	403	\N	\N	\N	\N	\N	2013-05-08
EL-680	1976-01-01	2162	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1976-12-31	1976-01-01	1976-12-31	932	\N	\N	\N	\N	\N	2013-05-08
EL-681	1976-01-01	2163	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1976-12-31	1976-01-01	1976-12-31	107	\N	\N	\N	\N	\N	2013-05-08
EL-682	1976-01-01	2164	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1976-12-31	1976-01-01	1976-12-31	113	\N	\N	\N	\N	\N	2013-05-08
EL-683	1976-01-01	2165	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1976-12-31	1976-01-01	1976-12-31	34	\N	\N	\N	\N	\N	2013-05-08
EL-684	1976-01-01	2166	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1976-12-31	1976-01-01	1976-12-31	47	\N	\N	\N	\N	\N	2013-05-08
EL-685	1976-01-01	2167	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1976-12-31	1976-01-01	1976-12-31	55	\N	\N	\N	\N	\N	2013-05-08
EL-686	1976-01-01	2168	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1976-12-31	1976-01-01	1976-12-31	205	\N	\N	\N	\N	\N	2013-05-08
EL-687	1976-01-01	2169	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1976-12-31	1976-01-01	1976-12-31	413	\N	\N	\N	\N	\N	2013-05-08
EL-687EX	1976-01-01	2170	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1976-12-31	1976-01-01	1976-12-31	186	\N	\N	\N	\N	\N	2013-05-08
MNG-76	1976-01-01	2171	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	257	\N	\N	\N	\N	\N	2013-05-08
MOB76	1976-01-01	2172	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1976-12-31	1976-01-01	1976-12-31	583	\N	\N	\N	\N	\N	2013-05-08
N26-76	1976-01-01	2173	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1976-12-31	1976-01-01	1976-12-31	1568	\N	\N	\N	\N	\N	2013-05-08
NH600	1976-01-01	2174	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1976-12-31	1976-01-01	1976-12-31	284	\N	\N	\N	\N	\N	2013-05-08
NH651	1976-01-01	2175	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1976-12-31	1976-01-01	1976-12-31	24	\N	\N	\N	\N	\N	2013-05-08
NH652	1976-01-01	2176	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1976-12-31	1976-01-01	1976-12-31	80	\N	\N	\N	\N	\N	2013-05-08
NH653	1976-01-01	2177	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1976-12-31	1976-01-01	1976-12-31	286	\N	\N	\N	\N	\N	2013-05-08
NPD-BA01-76	1976-01-01	2178	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1976-12-31	1976-01-01	1976-12-31	4077	\N	\N	\N	\N	\N	2013-05-08
NPD-BA02-76	1976-01-01	2179	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1976-12-31	1976-01-01	1976-12-31	1692	\N	\N	\N	\N	\N	2013-05-08
NPD-BA03-76	1976-01-01	2180	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1976-12-31	1976-01-01	1976-12-31	2917	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-76	1976-01-01	2181	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1976-12-31	1976-01-01	1976-12-31	1334	\N	\N	\N	\N	\N	2013-05-08
NPD-SLAG-76	1976-01-01	2182	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1976-12-31	1976-01-01	1976-12-31	929	\N	\N	\N	\N	\N	2013-05-08
NS-76	1976-01-01	2183	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1976-12-31	1976-01-01	1976-12-31	3569	\N	\N	\N	\N	\N	2013-05-08
OS-76	1976-01-01	2184	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1976-12-31	1976-01-01	1976-12-31	3273	\N	\N	\N	\N	\N	2013-05-08
PGE0711	1976-01-01	2185	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1976-12-31	1976-01-01	1976-12-31	114	\N	\N	\N	\N	\N	2013-05-08
SAG-609	1976-01-01	2186	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1976-12-31	1976-01-01	1976-12-31	161	\N	\N	\N	\N	\N	2013-05-08
SAG-76	1976-01-01	2187	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1976-12-31	1976-01-01	1976-12-31	274	\N	\N	\N	\N	\N	2013-05-08
SH7601	1976-01-01	2188	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1976-12-31	1976-01-01	1976-12-31	301	\N	\N	\N	\N	\N	2013-05-08
SH7602	1976-01-01	2189	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1976-12-31	1976-01-01	1976-12-31	257	\N	\N	\N	\N	\N	2013-05-08
ST600-GE	1976-01-01	2190	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	1654	\N	\N	\N	\N	\N	2013-05-08
ST600-WE	1976-01-01	2191	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	1280	\N	\N	\N	\N	\N	2013-05-08
ST601	1976-01-01	2192	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	124	\N	\N	\N	\N	\N	2013-05-08
ST602	1976-01-01	2193	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	472	\N	\N	\N	\N	\N	2013-05-08
ST603	1976-01-01	2194	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	447	\N	\N	\N	\N	\N	2013-05-08
ST606	1976-01-01	2195	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	1113	\N	\N	\N	\N	\N	2013-05-08
ST607	1976-01-01	2196	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	22	\N	\N	\N	\N	\N	2013-05-08
ST608	1976-01-01	2197	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	311	\N	\N	\N	\N	\N	2013-05-08
ST609	1976-01-01	2198	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	325	\N	\N	\N	\N	\N	2013-05-08
ST610	1976-01-01	2199	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	449	\N	\N	\N	\N	\N	2013-05-08
ST611	1976-01-01	2200	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	37	\N	\N	\N	\N	\N	2013-05-08
ST612	1976-01-01	2201	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	194	\N	\N	\N	\N	\N	2013-05-08
ST614	1976-01-01	2202	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	1413	\N	\N	\N	\N	\N	2013-05-08
ST619	1976-01-01	2203	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	2085	\N	\N	\N	\N	\N	2013-05-08
ST633	1976-01-01	2204	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	1007	\N	\N	\N	\N	\N	2013-05-08
ST636	1976-01-01	2205	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	424	\N	\N	\N	\N	\N	2013-05-08
ST639	1976-01-01	2206	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	129	\N	\N	\N	\N	\N	2013-05-08
ST640-WE	1976-01-01	2207	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	1517	\N	\N	\N	\N	\N	2013-05-08
ST641-GE	1976-01-01	2208	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	212	\N	\N	\N	\N	\N	2013-05-08
ST7601	1976-01-01	2209	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1976-12-31	1976-01-01	1976-12-31	1663	\N	\N	\N	\N	\N	2013-05-08
AN30-77	1977-01-01	2211	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Arco Norge A/S	1977-12-31	1977-01-01	1977-12-31	835	\N	\N	\N	\N	\N	2013-05-08
ANO-77	1977-01-01	2212	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1977-12-31	1977-01-01	1977-12-31	195	\N	\N	\N	\N	\N	2013-05-08
ANO-77-1	1977-01-01	2213	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1977-12-31	1977-01-01	1977-12-31	357	\N	\N	\N	\N	\N	2013-05-08
ANO-77-2	1977-01-01	2214	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1977-12-31	1977-01-01	1977-12-31	43	\N	\N	\N	\N	\N	2013-05-08
C9-18-77	1977-01-01	2215	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1977-12-31	1977-01-01	1977-12-31	37	\N	\N	\N	\N	\N	2013-05-08
CBG-211-77	1977-01-01	2216	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1977-12-31	1977-01-01	1977-12-31	319	\N	\N	\N	\N	\N	2013-05-08
CN2-77	1977-01-01	2217	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1977-12-31	1977-01-01	1977-12-31	357	\N	\N	\N	\N	\N	2013-05-08
CN7-77	1977-01-01	2218	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1977-12-31	1977-01-01	1977-12-31	341	\N	\N	\N	\N	\N	2013-05-08
CSSC-77	1977-01-01	2219	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1977-12-31	1977-01-01	1977-12-31	503	\N	\N	\N	\N	\N	2013-05-08
EL-780	1977-01-01	2220	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1977-12-31	1977-01-01	1977-12-31	366	\N	\N	\N	\N	\N	2013-05-08
EL-781	1977-01-01	2221	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1977-12-31	1977-01-01	1977-12-31	62	\N	\N	\N	\N	\N	2013-05-08
EL-782	1977-01-01	2222	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1977-12-31	1977-01-01	1977-12-31	167	\N	\N	\N	\N	\N	2013-05-08
EL-783	1977-01-01	2223	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1977-12-31	1977-01-01	1977-12-31	68	\N	\N	\N	\N	\N	2013-05-08
HB-77	1977-01-01	2224	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norske Hudbay A/S	1977-12-31	1977-01-01	1977-12-31	977	\N	\N	\N	\N	\N	2013-05-08
MNG-77	1977-01-01	2225	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1977-12-31	1977-01-01	1977-12-31	178	\N	\N	\N	\N	\N	2013-05-08
N34-2-77	1977-01-01	2226	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1977-12-31	1977-01-01	1977-12-31	505	\N	\N	\N	\N	\N	2013-05-08
NE-77	1977-01-01	2227	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1977-12-31	1977-01-01	1977-12-31	3799	\N	\N	\N	\N	\N	2013-05-08
NH752	1977-01-01	2228	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1977-12-31	1977-01-01	1977-12-31	663	\N	\N	\N	\N	\N	2013-05-08
NH753	1977-01-01	2229	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1977-12-31	1977-01-01	1977-12-31	769	\N	\N	\N	\N	\N	2013-05-08
NH754	1977-01-01	2230	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1977-12-31	1977-01-01	1977-12-31	336	\N	\N	\N	\N	\N	2013-05-08
NH755	1977-01-01	2231	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1977-12-31	1977-01-01	1977-12-31	259	\N	\N	\N	\N	\N	2013-05-08
NH760	1977-01-01	2232	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1977-12-31	1977-01-01	1977-12-31	72	\N	\N	\N	\N	\N	2013-05-08
NH761	1977-01-01	2233	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1977-12-31	1977-01-01	1977-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NPD-BA01-77	1977-01-01	2234	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1977-12-31	1977-01-01	1977-12-31	1563	\N	\N	\N	\N	\N	2013-05-08
NPD-BA02-77	1977-01-01	2235	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1977-12-31	1977-01-01	1977-12-31	5769	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-77	1977-01-01	2236	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1977-12-31	1977-01-01	1977-12-31	1687	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-77	1977-01-01	2237	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1977-12-31	1977-01-01	1977-12-31	1337	\N	\N	\N	\N	\N	2013-05-08
NPD-TR01-77	1977-01-01	2238	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1977-12-31	1977-01-01	1977-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NPD-TRBA-77	1977-01-01	2239	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1977-12-31	1977-01-01	1977-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NPD-VF-77	1977-01-01	2240	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1977-12-31	1977-01-01	1977-12-31	466	\N	\N	\N	\N	\N	2013-05-08
PG-77	1977-01-01	2241	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1977-12-31	1977-01-01	1977-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PG0210	1977-01-01	2242	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1977-12-31	1977-01-01	1977-12-31	213	\N	\N	\N	\N	\N	2013-05-08
PG1611-77	1977-01-01	2243	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1977-12-31	1977-01-01	1977-12-31	201	\N	\N	\N	\N	\N	2013-05-08
PGO-2/7-77	1977-01-01	2244	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1977-12-31	1977-01-01	1977-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SF-77	1977-01-01	2245	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1977-12-31	1977-01-01	1977-12-31	769	\N	\N	\N	\N	\N	2013-05-08
SH7701	1977-01-01	2246	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1977-12-31	1977-01-01	1977-12-31	83	\N	\N	\N	\N	\N	2013-05-08
SH7702	1977-01-01	2247	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1977-12-31	1977-01-01	1977-12-31	74	\N	\N	\N	\N	\N	2013-05-08
SH7703	1977-01-01	2248	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1977-12-31	1977-01-01	1977-12-31	117	\N	\N	\N	\N	\N	2013-05-08
SH7705	1977-01-01	2249	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1977-12-31	1977-01-01	1977-12-31	135	\N	\N	\N	\N	\N	2013-05-08
SH7708	1977-01-01	2250	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1977-12-31	1977-01-01	1977-12-31	48	\N	\N	\N	\N	\N	2013-05-08
SH7709	1977-01-01	2251	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1977-12-31	1977-01-01	1977-12-31	54	\N	\N	\N	\N	\N	2013-05-08
SH7710	1977-01-01	2252	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1977-12-31	1977-01-01	1977-12-31	140	\N	\N	\N	\N	\N	2013-05-08
ST700	1977-01-01	2253	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1977-12-31	1977-01-01	1977-12-31	3764	\N	\N	\N	\N	\N	2013-05-08
ST700-ML	1977-01-01	2254	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1977-12-31	1977-01-01	1977-12-31	4200	\N	\N	\N	\N	\N	2013-05-08
ST700-TR	1977-01-01	2255	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1977-12-31	1977-01-01	1977-12-31	1629	\N	\N	\N	\N	\N	2013-05-08
ST708	1977-01-01	2256	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1977-12-31	1977-01-01	1977-12-31	89	\N	\N	\N	\N	\N	2013-05-08
ST709	1977-01-01	2257	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1977-12-31	1977-01-01	1977-12-31	218	\N	\N	\N	\N	\N	2013-05-08
ST743	1977-01-01	2258	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1977-12-31	1977-01-01	1977-12-31	387	\N	\N	\N	\N	\N	2013-05-08
ST7701	1977-01-01	2259	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1977-12-31	1977-01-01	1977-12-31	4242	\N	\N	\N	\N	\N	2013-05-08
TO-774	1977-01-01	2260	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1977-12-31	1977-01-01	1977-12-31	1380	\N	\N	\N	\N	\N	2013-05-08
ANO-78-1	1978-01-01	2262	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1978-12-31	1978-01-01	1978-12-31	731	\N	\N	\N	\N	\N	2013-05-08
ANO-78-2	1978-01-01	2263	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1978-12-31	1978-01-01	1978-12-31	1598	\N	\N	\N	\N	\N	2013-05-08
ANO-78-3	1978-01-01	2264	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1978-12-31	1978-01-01	1978-12-31	390	\N	\N	\N	\N	\N	2013-05-08
CSSC-78	1978-01-01	2268	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1978-12-31	1978-01-01	1978-12-31	436	\N	\N	\N	\N	\N	2013-05-08
CSSC-78-1	1978-01-01	2269	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1978-12-31	1978-01-01	1978-12-31	189	\N	\N	\N	\N	\N	2013-05-08
CSSC-78-2	1978-01-01	2270	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1978-12-31	1978-01-01	1978-12-31	62	\N	\N	\N	\N	\N	2013-05-08
CSSC-78-3	1978-01-01	2271	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1978-12-31	1978-01-01	1978-12-31	52	\N	\N	\N	\N	\N	2013-05-08
CSSC-78-4	1978-01-01	2272	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1978-12-31	1978-01-01	1978-12-31	90	\N	\N	\N	\N	\N	2013-05-08
EL-580-78	1978-01-01	2273	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1978-12-31	1978-01-01	1978-12-31	21	\N	\N	\N	\N	\N	2013-05-08
EL-881	1978-01-01	2274	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1978-12-31	1978-01-01	1978-12-31	534	\N	\N	\N	\N	\N	2013-05-08
EL-882	1978-01-01	2275	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1978-12-31	1978-01-01	1978-12-31	328	\N	\N	\N	\N	\N	2013-05-08
EL-883	1978-01-01	2276	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1978-12-31	1978-01-01	1978-12-31	20	\N	\N	\N	\N	\N	2013-05-08
EL-883-PV	1978-01-01	2277	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1978-12-31	1978-01-01	1978-12-31	16	\N	\N	\N	\N	\N	2013-05-08
EL-884	1978-01-01	2278	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1978-12-31	1978-01-01	1978-12-31	101	\N	\N	\N	\N	\N	2013-05-08
EL-885	1978-01-01	2279	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1978-12-31	1978-01-01	1978-12-31	21	\N	\N	\N	\N	\N	2013-05-08
EL-885-PV	1978-01-01	2280	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1978-12-31	1978-01-01	1978-12-31	20	\N	\N	\N	\N	\N	2013-05-08
EL-886	1978-01-01	2281	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1978-12-31	1978-01-01	1978-12-31	833	\N	\N	\N	\N	\N	2013-05-08
EL-887	1978-01-01	2282	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1978-12-31	1978-01-01	1978-12-31	93	\N	\N	\N	\N	\N	2013-05-08
MOB-78	1978-01-01	2285	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1978-12-31	1978-01-01	1978-12-31	483	\N	\N	\N	\N	\N	2013-05-08
NAG-78	1978-01-01	2286	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1978-12-31	1978-01-01	1978-12-31	201	\N	\N	\N	\N	\N	2013-05-08
NH851	1978-01-01	2287	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1978-12-31	1978-01-01	1978-12-31	140	\N	\N	\N	\N	\N	2013-05-08
NH852	1978-01-01	2288	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1978-12-31	1978-01-01	1978-12-31	522	\N	\N	\N	\N	\N	2013-05-08
NPD-BA-78	1978-01-01	2289	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1978-12-31	1978-01-01	1978-12-31	1673	\N	\N	\N	\N	\N	2013-05-08
NPD-HALT-78	1978-01-01	2290	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1978-12-31	1978-01-01	1978-12-31	362	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-78	1978-01-01	2291	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1978-12-31	1978-01-01	1978-12-31	594	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-78	1978-01-01	2292	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1978-12-31	1978-01-01	1978-12-31	43	\N	\N	\N	\N	\N	2013-05-08
NPD-TR01-78	1978-01-01	2293	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1978-12-31	1978-01-01	1978-12-31	26	\N	\N	\N	\N	\N	2013-05-08
NPD-TR02-78	1978-01-01	2294	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1978-12-31	1978-01-01	1978-12-31	73	\N	\N	\N	\N	\N	2013-05-08
NPD-TRÆN-78	1978-01-01	2295	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1978-12-31	1978-01-01	1978-12-31	575	\N	\N	\N	\N	\N	2013-05-08
NPD-VF-78	1978-01-01	2296	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1978-12-31	1978-01-01	1978-12-31	400	\N	\N	\N	\N	\N	2013-05-08
NS-78	1978-01-01	2297	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1978-12-31	1978-01-01	1978-12-31	4555	\N	\N	\N	\N	\N	2013-05-08
PSE171278	1978-01-01	2298	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1978-12-31	1978-01-01	1978-12-31	380	\N	\N	\N	\N	\N	2013-05-08
PSE78	1978-01-01	2299	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1978-12-31	1978-01-01	1978-12-31	46	\N	\N	\N	\N	\N	2013-05-08
SAG-78	1978-01-01	2300	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1978-12-31	1978-01-01	1978-12-31	186	\N	\N	\N	\N	\N	2013-05-08
SAG-78-1	1978-01-01	2301	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1978-12-31	1978-01-01	1978-12-31	110	\N	\N	\N	\N	\N	2013-05-08
SAG-78-2	1978-01-01	2302	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1978-12-31	1978-01-01	1978-12-31	94	\N	\N	\N	\N	\N	2013-05-08
ST800-ML	1978-01-01	2303	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1978-12-31	1978-01-01	1978-12-31	1232	\N	\N	\N	\N	\N	2013-05-08
ST805	1978-01-01	2304	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1978-12-31	1978-01-01	1978-12-31	2682	\N	\N	\N	\N	\N	2013-05-08
ST806	1978-01-01	2305	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1978-12-31	1978-01-01	1978-12-31	17	\N	\N	\N	\N	\N	2013-05-08
ST807	1978-01-01	2306	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1978-12-31	1978-01-01	1978-12-31	22	\N	\N	\N	\N	\N	2013-05-08
ST807-1	1978-01-01	2307	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1978-12-31	1978-01-01	1978-12-31	22	\N	\N	\N	\N	\N	2013-05-08
ST807-2	1978-01-01	2308	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1978-12-31	1978-01-01	1978-12-31	42	\N	\N	\N	\N	\N	2013-05-08
ST808	1978-01-01	2309	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1978-12-31	1978-01-01	1978-12-31	35	\N	\N	\N	\N	\N	2013-05-08
ST809	1978-01-01	2310	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1978-12-31	1978-01-01	1978-12-31	28	\N	\N	\N	\N	\N	2013-05-08
ST810	1978-01-01	2311	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1978-12-31	1978-01-01	1978-12-31	28	\N	\N	\N	\N	\N	2013-05-08
ST814	1978-01-01	2312	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1978-12-31	1978-01-01	1978-12-31	12	\N	\N	\N	\N	\N	2013-05-08
TLGS-78	1978-01-01	2313	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1978-12-31	1978-01-01	1978-12-31	3699	\N	\N	\N	\N	\N	2013-05-08
TO-802	1978-01-01	2314	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1978-12-31	1978-01-01	1978-12-31	1324	\N	\N	\N	\N	\N	2013-05-08
A79	1979-01-01	2316	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1979-12-31	1979-01-01	1979-12-31	344	\N	\N	\N	\N	\N	2013-05-08
ANO-79	1979-01-01	2317	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1979-12-31	1979-01-01	1979-12-31	921	\N	\N	\N	\N	\N	2013-05-08
ANO-79-1	1979-01-01	2318	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1979-12-31	1979-01-01	1979-12-31	89	\N	\N	\N	\N	\N	2013-05-08
CA-79	1979-01-01	2320	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1979-12-31	1979-01-01	1979-12-31	2361	\N	\N	\N	\N	\N	2013-05-08
E3D-79	1979-01-01	2321	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	1979-12-31	1979-01-01	1979-12-31	1200	\N	\N	\N	\N	\N	2013-05-08
EL-980	1979-01-01	2322	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1979-12-31	1979-01-01	1979-12-31	327	\N	\N	\N	\N	\N	2013-05-08
EL-981	1979-01-01	2323	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1979-12-31	1979-01-01	1979-12-31	256	\N	\N	\N	\N	\N	2013-05-08
GULF-79	1979-01-01	2324	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norwegian Gulf Exploration Company AS	1979-12-31	1979-01-01	1979-12-31	406	\N	\N	\N	\N	\N	2013-05-08
GULF-79-2	1979-01-01	2325	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norwegian Gulf Exploration Company AS	1979-12-31	1979-01-01	1979-12-31	994	\N	\N	\N	\N	\N	2013-05-08
M3D-79	1979-01-01	2326	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	932	\N	\N	\N	\N	\N	2013-05-08
MOB-79	1979-01-01	2327	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1979-12-31	1979-01-01	1979-12-31	443	\N	\N	\N	\N	\N	2013-05-08
MOB-79-1	1979-01-01	2328	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1979-12-31	1979-01-01	1979-12-31	268	\N	\N	\N	\N	\N	2013-05-08
NH954	1979-01-01	2329	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1979-12-31	1979-01-01	1979-12-31	1065	\N	\N	\N	\N	\N	2013-05-08
NPD-BA-79	1979-01-01	2330	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1979-12-31	1979-01-01	1979-12-31	6818	\N	\N	\N	\N	\N	2013-05-08
NPD-JM-79	1979-01-01	2331	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1979-12-31	1979-01-01	1979-12-31	613	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-79	1979-01-01	2332	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1979-12-31	1979-01-01	1979-12-31	698	\N	\N	\N	\N	\N	2013-05-08
NPD-NH-79	1979-01-01	2333	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1979-12-31	1979-01-01	1979-12-31	1699	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-79	1979-01-01	2334	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1979-12-31	1979-01-01	1979-12-31	934	\N	\N	\N	\N	\N	2013-05-08
NS-79	1979-01-01	2335	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1979-12-31	1979-01-01	1979-12-31	3709	\N	\N	\N	\N	\N	2013-05-08
OGD-79	1979-01-01	2336	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1979-12-31	1979-01-01	1979-12-31	99	\N	\N	\N	\N	\N	2013-05-08
PGE79	1979-01-01	2337	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1979-12-31	1979-01-01	1979-12-31	119	\N	\N	\N	\N	\N	2013-05-08
S3D79	1979-01-01	2338	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	2391	\N	\N	\N	\N	\N	2013-05-08
SAG-79	1979-01-01	2339	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1979-12-31	1979-01-01	1979-12-31	1633	\N	\N	\N	\N	\N	2013-05-08
SAG-7935	1979-01-01	2340	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1979-12-31	1979-01-01	1979-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SH7901	1979-01-01	2341	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1979-12-31	1979-01-01	1979-12-31	594	\N	\N	\N	\N	\N	2013-05-08
SH7902	1979-01-01	2342	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1979-12-31	1979-01-01	1979-12-31	234	\N	\N	\N	\N	\N	2013-05-08
SH7903	1979-01-01	2343	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1979-12-31	1979-01-01	1979-12-31	86	\N	\N	\N	\N	\N	2013-05-08
SH7904	1979-01-01	2344	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1979-12-31	1979-01-01	1979-12-31	508	\N	\N	\N	\N	\N	2013-05-08
ST901	1979-01-01	2345	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST905	1979-01-01	2346	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	45	\N	\N	\N	\N	\N	2013-05-08
ST906	1979-01-01	2347	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	489	\N	\N	\N	\N	\N	2013-05-08
ST907	1979-01-01	2348	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	592	\N	\N	\N	\N	\N	2013-05-08
ST908	1979-01-01	2349	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	446	\N	\N	\N	\N	\N	2013-05-08
ST909	1979-01-01	2350	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	1060	\N	\N	\N	\N	\N	2013-05-08
ST910	1979-01-01	2351	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	586	\N	\N	\N	\N	\N	2013-05-08
ST911	1979-01-01	2352	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	1185	\N	\N	\N	\N	\N	2013-05-08
ST912	1979-01-01	2353	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	1314	\N	\N	\N	\N	\N	2013-05-08
ST913	1979-01-01	2354	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1979-12-31	1979-01-01	1979-12-31	274	\N	\N	\N	\N	\N	2013-05-08
A80	1980-01-01	2356	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1980-12-31	1980-01-01	1980-12-31	76	\N	\N	\N	\N	\N	2013-05-08
ANO-80	1980-01-01	2357	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1980-12-31	1980-01-01	1980-12-31	72	\N	\N	\N	\N	\N	2013-05-08
ANO-80-1	1980-01-01	2358	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1980-12-31	1980-01-01	1980-12-31	198	\N	\N	\N	\N	\N	2013-05-08
ANO-80-2	1980-01-01	2359	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1980-12-31	1980-01-01	1980-12-31	120	\N	\N	\N	\N	\N	2013-05-08
ANO-80-3	1980-01-01	2360	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1980-12-31	1980-01-01	1980-12-31	252	\N	\N	\N	\N	\N	2013-05-08
ANO-80-W	1980-01-01	2361	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1980-12-31	1980-01-01	1980-12-31	90	\N	\N	\N	\N	\N	2013-05-08
ANO80-2	1980-01-01	2362	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1980-12-31	1980-01-01	1980-12-31	120	\N	\N	\N	\N	\N	2013-05-08
BP80-043	1980-01-01	2363	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1980-12-31	1980-01-01	1980-12-31	142	\N	\N	\N	\N	\N	2013-05-08
BP80019	1980-01-01	2364	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1980-12-31	1980-01-01	1980-12-31	981	\N	\N	\N	\N	\N	2013-05-08
CA-80	1980-01-01	2365	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1980-12-31	1980-01-01	1980-12-31	1646	\N	\N	\N	\N	\N	2013-05-08
EL-8081	1980-01-01	2366	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Elf Petroleum Norge AS	1980-12-31	1980-01-01	1980-12-31	860	\N	\N	\N	\N	\N	2013-05-08
EL-8082	1980-01-01	2367	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1980-12-31	1980-01-01	1980-12-31	1231	\N	\N	\N	\N	\N	2013-05-08
EL-8083	1980-01-01	2368	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1980-12-31	1980-01-01	1980-12-31	130	\N	\N	\N	\N	\N	2013-05-08
EL-8084	1980-01-01	2369	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1980-12-31	1980-01-01	1980-12-31	140	\N	\N	\N	\N	\N	2013-05-08
EL-8086	1980-01-01	2370	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1980-12-31	1980-01-01	1980-12-31	191	\N	\N	\N	\N	\N	2013-05-08
GULF-80-1	1980-01-01	2371	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norwegian Gulf Exploration Company AS	1980-12-31	1980-01-01	1980-12-31	1376	\N	\N	\N	\N	\N	2013-05-08
M3D-80	1980-01-01	2372	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1980-12-31	1980-01-01	1980-12-31	1737	\N	\N	\N	\N	\N	2013-05-08
NAG-80	1980-01-01	2373	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1980-12-31	1980-01-01	1980-12-31	493	\N	\N	\N	\N	\N	2013-05-08
NH80-04	1980-01-01	2374	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1980-12-31	1980-01-01	1980-12-31	135	\N	\N	\N	\N	\N	2013-05-08
NH80-05	1980-01-01	2375	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1980-12-31	1980-01-01	1980-12-31	950	\N	\N	\N	\N	\N	2013-05-08
NH8001	1980-01-01	2376	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1980-12-31	1980-01-01	1980-12-31	291	\N	\N	\N	\N	\N	2013-05-08
NH8002	1980-01-01	2377	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1980-12-31	1980-01-01	1980-12-31	63	\N	\N	\N	\N	\N	2013-05-08
NH8003	1980-01-01	2378	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1980-12-31	1980-01-01	1980-12-31	532	\N	\N	\N	\N	\N	2013-05-08
NH8004	1980-01-01	2379	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1980-12-31	1980-01-01	1980-12-31	128	\N	\N	\N	\N	\N	2013-05-08
NH8005	1980-01-01	2380	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1980-12-31	1980-01-01	1980-12-31	92	\N	\N	\N	\N	\N	2013-05-08
NH8006	1980-01-01	2381	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1980-12-31	1980-01-01	1980-12-31	470	\N	\N	\N	\N	\N	2013-05-08
NH8007	1980-01-01	2382	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1980-12-31	1980-01-01	1980-12-31	231	\N	\N	\N	\N	\N	2013-05-08
NH8008	1980-01-01	2383	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1980-12-31	1980-01-01	1980-12-31	654	\N	\N	\N	\N	\N	2013-05-08
NH8010	1980-01-01	2384	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1980-12-31	1980-01-01	1980-12-31	1869	\N	\N	\N	\N	\N	2013-05-08
NPD-BA-80	1980-01-01	2385	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1980-12-31	1980-01-01	1980-12-31	5964	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-80	1980-01-01	2386	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1980-12-31	1980-01-01	1980-12-31	150	\N	\N	\N	\N	\N	2013-05-08
NSE-80	1980-01-01	2387	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1980-12-31	1980-01-01	1980-12-31	1498	\N	\N	\N	\N	\N	2013-05-08
PGE80	1980-01-01	2388	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1980-12-31	1980-01-01	1980-12-31	604	\N	\N	\N	\N	\N	2013-05-08
PGE80GE	1980-01-01	2389	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1980-12-31	1980-01-01	1980-12-31	25	\N	\N	\N	\N	\N	2013-05-08
PW8303	1980-01-01	2390	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1980-12-31	1980-01-01	1980-12-31	131	\N	\N	\N	\N	\N	2013-05-08
SG8020	1980-01-01	2391	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1980-12-31	1980-01-01	1980-12-31	861	\N	\N	\N	\N	\N	2013-05-08
SG8020-1	1980-01-01	2392	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1980-12-31	1980-01-01	1980-12-31	64	\N	\N	\N	\N	\N	2013-05-08
SG8045	1980-01-01	2393	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1980-12-31	1980-01-01	1980-12-31	585	\N	\N	\N	\N	\N	2013-05-08
SG8048	1980-01-01	2394	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1980-12-31	1980-01-01	1980-12-31	689	\N	\N	\N	\N	\N	2013-05-08
SG8052	1980-01-01	2395	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1980-12-31	1980-01-01	1980-12-31	541	\N	\N	\N	\N	\N	2013-05-08
SH8001	1980-01-01	2396	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1980-12-31	1980-01-01	1980-12-31	3950	\N	\N	\N	\N	\N	2013-05-08
SH8002	1980-01-01	2397	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1980-12-31	1980-01-01	1980-12-31	233	\N	\N	\N	\N	\N	2013-05-08
SH8003	1980-01-01	2398	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1980-12-31	1980-01-01	1980-12-31	77	\N	\N	\N	\N	\N	2013-05-08
ST8001	1980-01-01	2399	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1980-12-31	1980-01-01	1980-12-31	610	\N	\N	\N	\N	\N	2013-05-08
ST8002	1980-01-01	2400	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1980-12-31	1980-01-01	1980-12-31	208	\N	\N	\N	\N	\N	2013-05-08
ST8004	1980-01-01	2401	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1980-12-31	1980-01-01	1980-12-31	293	\N	\N	\N	\N	\N	2013-05-08
ST8006	1980-01-01	2402	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1980-12-31	1980-01-01	1980-12-31	1933	\N	\N	\N	\N	\N	2013-05-08
ST8007	1980-01-01	2403	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1980-12-31	1980-01-01	1980-12-31	445	\N	\N	\N	\N	\N	2013-05-08
ST8008	1980-01-01	2404	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1980-12-31	1980-01-01	1980-12-31	576	\N	\N	\N	\N	\N	2013-05-08
ST8009	1980-01-01	2405	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1980-12-31	1980-01-01	1980-12-31	405	\N	\N	\N	\N	\N	2013-05-08
ST8010	1980-01-01	2406	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1980-12-31	1980-01-01	1980-12-31	2418	\N	\N	\N	\N	\N	2013-05-08
ST8014	1980-01-01	2407	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1980-12-31	1980-01-01	1980-12-31	12	\N	\N	\N	\N	\N	2013-05-08
TLGS80	1980-01-01	2408	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1980-12-31	1980-01-01	1980-12-31	3938	\N	\N	\N	\N	\N	2013-05-08
UN-80	1980-01-01	2409	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Unocal Norge A/S	1980-12-31	1980-01-01	1980-12-31	153	\N	\N	\N	\N	\N	2013-05-08
UN-80-1	1980-01-01	2410	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Unocal Norge A/S	1980-12-31	1980-01-01	1980-12-31	153	\N	\N	\N	\N	\N	2013-05-08
ANO-81	1981-01-01	2411	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1981-12-31	1981-01-01	1981-12-31	260	\N	\N	\N	\N	\N	2013-05-08
ANO-81-C	1981-01-01	2412	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1981-12-31	1981-01-01	1981-12-31	196	\N	\N	\N	\N	\N	2013-05-08
BP81-019	1981-01-01	2413	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1981-12-31	1981-01-01	1981-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BP81043	1981-01-01	2414	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1981-12-31	1981-01-01	1981-12-31	457	\N	\N	\N	\N	\N	2013-05-08
CA-81	1981-01-01	2415	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1981-12-31	1981-01-01	1981-12-31	518	\N	\N	\N	\N	\N	2013-05-08
CGT-81	1981-01-01	2416	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1981-12-31	1981-01-01	1981-12-31	4377	\N	\N	\N	\N	\N	2013-05-08
CSSC-81	1981-01-01	2417	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1981-12-31	1981-01-01	1981-12-31	1272	\N	\N	\N	\N	\N	2013-05-08
DK-81	1981-01-01	2418	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Chevron Petroleum Company of Norway	1981-12-31	1981-01-01	1981-12-31	1533	\N	\N	\N	\N	\N	2013-05-08
EL-8180	1981-01-01	2419	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1981-12-31	1981-01-01	1981-12-31	1020	\N	\N	\N	\N	\N	2013-05-08
EL-8181	1981-01-01	2420	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1981-12-31	1981-01-01	1981-12-31	334	\N	\N	\N	\N	\N	2013-05-08
EL-8182	1981-01-01	2421	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1981-12-31	1981-01-01	1981-12-31	4572	\N	\N	\N	\N	\N	2013-05-08
EL-8183	1981-01-01	2422	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1981-12-31	1981-01-01	1981-12-31	575	\N	\N	\N	\N	\N	2013-05-08
EL-8184	1981-01-01	2423	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1981-12-31	1981-01-01	1981-12-31	471	\N	\N	\N	\N	\N	2013-05-08
EL-8186	1981-01-01	2424	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1981-12-31	1981-01-01	1981-12-31	1857	\N	\N	\N	\N	\N	2013-05-08
G-81	1981-01-01	2425	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NORSKE GETTY EXPLORATION A/S	1981-12-31	1981-01-01	1981-12-31	519	\N	\N	\N	\N	\N	2013-05-08
G-8101	1981-01-01	2426	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NORSKE GETTY EXPLORATION A/S	1981-12-31	1981-01-01	1981-12-31	844	\N	\N	\N	\N	\N	2013-05-08
GU-81	1981-01-01	2427	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norwegian Gulf Exploration Company AS	1981-12-31	1981-01-01	1981-12-31	373	\N	\N	\N	\N	\N	2013-05-08
MOB-81	1981-01-01	2428	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1981-12-31	1981-01-01	1981-12-31	174	\N	\N	\N	\N	\N	2013-05-08
MOB-81-1	1981-01-01	2429	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1981-12-31	1981-01-01	1981-12-31	370	\N	\N	\N	\N	\N	2013-05-08
MOB-81-2	1981-01-01	2430	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1981-12-31	1981-01-01	1981-12-31	103	\N	\N	\N	\N	\N	2013-05-08
MOB-81-3	1981-01-01	2431	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1981-12-31	1981-01-01	1981-12-31	511	\N	\N	\N	\N	\N	2013-05-08
MOB-81-4	1981-01-01	2432	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1981-12-31	1981-01-01	1981-12-31	69	\N	\N	\N	\N	\N	2013-05-08
MOB-81-5	1981-01-01	2433	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1981-12-31	1981-01-01	1981-12-31	306	\N	\N	\N	\N	\N	2013-05-08
NH8006-1	1981-01-01	2434	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1981-12-31	1981-01-01	1981-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH8101	1981-01-01	2435	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1981-12-31	1981-01-01	1981-12-31	2553	\N	\N	\N	\N	\N	2013-05-08
NH8102	1981-01-01	2436	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1981-12-31	1981-01-01	1981-12-31	4082	\N	\N	\N	\N	\N	2013-05-08
NH8103	1981-01-01	2437	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1981-12-31	1981-01-01	1981-12-31	1682	\N	\N	\N	\N	\N	2013-05-08
NH8104	1981-01-01	2438	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1981-12-31	1981-01-01	1981-12-31	1920	\N	\N	\N	\N	\N	2013-05-08
NH8105	1981-01-01	2439	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1981-12-31	1981-01-01	1981-12-31	1217	\N	\N	\N	\N	\N	2013-05-08
NH8106	1981-01-01	2440	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1981-12-31	1981-01-01	1981-12-31	1404	\N	\N	\N	\N	\N	2013-05-08
NH8107	1981-01-01	2441	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1981-12-31	1981-01-01	1981-12-31	47	\N	\N	\N	\N	\N	2013-05-08
NPD-BA-81	1981-01-01	2442	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1981-12-31	1981-01-01	1981-12-31	7738	\N	\N	\N	\N	\N	2013-05-08
NPD-VØ-81	1981-01-01	2443	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1981-12-31	1981-01-01	1981-12-31	2752	\N	\N	\N	\N	\N	2013-05-08
NS-81	1981-01-01	2444	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1981-12-31	1981-01-01	1981-12-31	3444	\N	\N	\N	\N	\N	2013-05-08
NSE-81	1981-01-01	2445	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1981-12-31	1981-01-01	1981-12-31	1251	\N	\N	\N	\N	\N	2013-05-08
P-171281	1981-01-01	2446	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1981-12-31	1981-01-01	1981-12-31	207	\N	\N	\N	\N	\N	2013-05-08
PC81	1981-01-01	2447	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1981-12-31	1981-01-01	1981-12-31	207	\N	\N	\N	\N	\N	2013-05-08
RTD-81	1981-01-01	2448	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOGEC	1981-12-31	1981-01-01	1981-12-31	6934	\N	\N	\N	\N	\N	2013-05-08
SB-81	1981-01-01	2449	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1981-12-31	1981-01-01	1981-12-31	2314	\N	\N	\N	\N	\N	2013-05-08
SG8127	1981-01-01	2450	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1981-12-31	1981-01-01	1981-12-31	807	\N	\N	\N	\N	\N	2013-05-08
SG8130	1981-01-01	2451	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1981-12-31	1981-01-01	1981-12-31	772	\N	\N	\N	\N	\N	2013-05-08
SG8133	1981-01-01	2452	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1981-12-31	1981-01-01	1981-12-31	347	\N	\N	\N	\N	\N	2013-05-08
SG8146	1981-01-01	2453	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1981-12-31	1981-01-01	1981-12-31	2063	\N	\N	\N	\N	\N	2013-05-08
SG8158	1981-01-01	2454	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1981-12-31	1981-01-01	1981-12-31	266	\N	\N	\N	\N	\N	2013-05-08
SH8101	1981-01-01	2455	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1981-12-31	1981-01-01	1981-12-31	576	\N	\N	\N	\N	\N	2013-05-08
SH8102	1981-01-01	2456	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1981-12-31	1981-01-01	1981-12-31	339	\N	\N	\N	\N	\N	2013-05-08
SH8107	1981-01-01	2457	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1981-12-31	1981-01-01	1981-12-31	166	\N	\N	\N	\N	\N	2013-05-08
ST8013-81	1981-01-01	2458	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	128	\N	\N	\N	\N	\N	2013-05-08
ST8101	1981-01-01	2459	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	778	\N	\N	\N	\N	\N	2013-05-08
ST8102	1981-01-01	2460	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	885	\N	\N	\N	\N	\N	2013-05-08
ST8103	1981-01-01	2461	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	317	\N	\N	\N	\N	\N	2013-05-08
ST8104	1981-01-01	2462	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	75	\N	\N	\N	\N	\N	2013-05-08
ST8105	1981-01-01	2463	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	48	\N	\N	\N	\N	\N	2013-05-08
ST8106	1981-01-01	2464	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	1685	\N	\N	\N	\N	\N	2013-05-08
ST8107-GE	1981-01-01	2465	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	2024	\N	\N	\N	\N	\N	2013-05-08
ST8107-WE	1981-01-01	2466	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	935	\N	\N	\N	\N	\N	2013-05-08
ST8109	1981-01-01	2467	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	1318	\N	\N	\N	\N	\N	2013-05-08
ST8110	1981-01-01	2468	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	276	\N	\N	\N	\N	\N	2013-05-08
ST8111	1981-01-01	2469	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	345	\N	\N	\N	\N	\N	2013-05-08
ST8112	1981-01-01	2470	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	367	\N	\N	\N	\N	\N	2013-05-08
ST8114	1981-01-01	2471	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	31	\N	\N	\N	\N	\N	2013-05-08
ST8115	1981-01-01	2472	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	2734	\N	\N	\N	\N	\N	2013-05-08
ST8116	1981-01-01	2473	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	2195	\N	\N	\N	\N	\N	2013-05-08
ST8118	1981-01-01	2474	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	356	\N	\N	\N	\N	\N	2013-05-08
ST8121	1981-01-01	2475	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	19	\N	\N	\N	\N	\N	2013-05-08
ST8122	1981-01-01	2476	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	1014	\N	\N	\N	\N	\N	2013-05-08
ST8123	1981-01-01	2477	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	47	\N	\N	\N	\N	\N	2013-05-08
ST8125	1981-01-01	2478	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	252	\N	\N	\N	\N	\N	2013-05-08
ST8134	1981-01-01	2479	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1981-12-31	1981-01-01	1981-12-31	2522	\N	\N	\N	\N	\N	2013-05-08
UH-81	1981-01-01	2480	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1981-12-31	1981-01-01	1981-12-31	881	\N	\N	\N	\N	\N	2013-05-08
BN16-82	1982-01-01	2482	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BRITOIL	1982-12-31	1982-01-01	1982-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
C211-82	1982-01-01	2483	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1982-12-31	1982-01-01	1982-12-31	66	\N	\N	\N	\N	\N	2013-05-08
CNST-82	1982-01-01	2484	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1982-12-31	1982-01-01	1982-12-31	6228	\N	\N	\N	\N	\N	2013-05-08
E-82	1982-01-01	2485	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1982-12-31	1982-01-01	1982-12-31	308	\N	\N	\N	\N	\N	2013-05-08
EL-8186-82	1982-01-01	2486	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1982-12-31	1982-01-01	1982-12-31	158	\N	\N	\N	\N	\N	2013-05-08
EL-8201	1982-01-01	2487	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1982-12-31	1982-01-01	1982-12-31	660	\N	\N	\N	\N	\N	2013-05-08
EL-8202	1982-01-01	2488	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1982-12-31	1982-01-01	1982-12-31	429	\N	\N	\N	\N	\N	2013-05-08
EL-8204	1982-01-01	2489	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1982-12-31	1982-01-01	1982-12-31	2814	\N	\N	\N	\N	\N	2013-05-08
EL-8205	1982-01-01	2490	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1982-12-31	1982-01-01	1982-12-31	1022	\N	\N	\N	\N	\N	2013-05-08
EL-8206	1982-01-01	2491	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1982-12-31	1982-01-01	1982-12-31	1534	\N	\N	\N	\N	\N	2013-05-08
EL-8284	1982-01-01	2492	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1982-12-31	1982-01-01	1982-12-31	374	\N	\N	\N	\N	\N	2013-05-08
G-8102-82	1982-01-01	2493	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NORSKE GETTY EXPLORATION A/S	1982-12-31	1982-01-01	1982-12-31	36	\N	\N	\N	\N	\N	2013-05-08
GT-82	1982-01-01	2494	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1982-12-31	1982-01-01	1982-12-31	2311	\N	\N	\N	\N	\N	2013-05-08
GU-82	1982-01-01	2495	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norwegian Gulf Exploration Company AS	1982-12-31	1982-01-01	1982-12-31	681	\N	\N	\N	\N	\N	2013-05-08
M-82	1982-01-01	2497	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1982-12-31	1982-01-01	1982-12-31	425	\N	\N	\N	\N	\N	2013-05-08
N9-1-82	1982-01-01	2498	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1982-12-31	1982-01-01	1982-12-31	432	\N	\N	\N	\N	\N	2013-05-08
NH8201	1982-01-01	2499	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1982-12-31	1982-01-01	1982-12-31	1131	\N	\N	\N	\N	\N	2013-05-08
NH8202	1982-01-01	2500	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1982-12-31	1982-01-01	1982-12-31	2067	\N	\N	\N	\N	\N	2013-05-08
NH8204	1982-01-01	2501	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1982-12-31	1982-01-01	1982-12-31	209	\N	\N	\N	\N	\N	2013-05-08
NH8205	1982-01-01	2502	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1982-12-31	1982-01-01	1982-12-31	651	\N	\N	\N	\N	\N	2013-05-08
NH8206	1982-01-01	2503	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1982-12-31	1982-01-01	1982-12-31	7972	\N	\N	\N	\N	\N	2013-05-08
NH8250	1982-01-01	2504	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1982-12-31	1982-01-01	1982-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NHCN82	1982-01-01	2505	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1982-12-31	1982-01-01	1982-12-31	1400	\N	\N	\N	\N	\N	2013-05-08
NPD-BA-82	1982-01-01	2506	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1982-12-31	1982-01-01	1982-12-31	4095	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-82	1982-01-01	2507	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1982-12-31	1982-01-01	1982-12-31	3152	\N	\N	\N	\N	\N	2013-05-08
NSE-82	1982-01-01	2508	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1982-12-31	1982-01-01	1982-12-31	1130	\N	\N	\N	\N	\N	2013-05-08
PGE82	1982-01-01	2509	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1982-12-31	1982-01-01	1982-12-31	749	\N	\N	\N	\N	\N	2013-05-08
SG8220	1982-01-01	2510	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1982-12-31	1982-01-01	1982-12-31	45	\N	\N	\N	\N	\N	2013-05-08
SG8232	1982-01-01	2511	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1982-12-31	1982-01-01	1982-12-31	1590	\N	\N	\N	\N	\N	2013-05-08
SG8252	1982-01-01	2512	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1982-12-31	1982-01-01	1982-12-31	1115	\N	\N	\N	\N	\N	2013-05-08
SG8258	1982-01-01	2513	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1982-12-31	1982-01-01	1982-12-31	438	\N	\N	\N	\N	\N	2013-05-08
SG8271	1982-01-01	2514	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1982-12-31	1982-01-01	1982-12-31	643	\N	\N	\N	\N	\N	2013-05-08
SG8278	1982-01-01	2515	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1982-12-31	1982-01-01	1982-12-31	569	\N	\N	\N	\N	\N	2013-05-08
SH8201	1982-01-01	2516	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1982-12-31	1982-01-01	1982-12-31	871	\N	\N	\N	\N	\N	2013-05-08
SH8202	1982-01-01	2517	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1982-12-31	1982-01-01	1982-12-31	353	\N	\N	\N	\N	\N	2013-05-08
SH8203	1982-01-01	2518	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1982-12-31	1982-01-01	1982-12-31	69	\N	\N	\N	\N	\N	2013-05-08
ST8108	1982-01-01	2519	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	1866	\N	\N	\N	\N	\N	2013-05-08
ST8201	1982-01-01	2520	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	5191	\N	\N	\N	\N	\N	2013-05-08
ST8202	1982-01-01	2521	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	258	\N	\N	\N	\N	\N	2013-05-08
ST8205	1982-01-01	2522	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	29	\N	\N	\N	\N	\N	2013-05-08
ST8209	1982-01-01	2523	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	540	\N	\N	\N	\N	\N	2013-05-08
ST8213	1982-01-01	2524	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	378	\N	\N	\N	\N	\N	2013-05-08
ST8214	1982-01-01	2525	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	283	\N	\N	\N	\N	\N	2013-05-08
ST8215-2D	1982-01-01	2526	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	317	\N	\N	\N	\N	\N	2013-05-08
ST8215	1982-01-01	2527	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	8463	\N	\N	\N	\N	\N	2013-05-08
ST8216	1982-01-01	2528	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	1209	\N	\N	\N	\N	\N	2013-05-08
ST8217	1982-01-01	2529	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	460	\N	\N	\N	\N	\N	2013-05-08
ST8218	1982-01-01	2530	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	132	\N	\N	\N	\N	\N	2013-05-08
ST8219	1982-01-01	2531	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	124	\N	\N	\N	\N	\N	2013-05-08
ST8220	1982-01-01	2532	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	103	\N	\N	\N	\N	\N	2013-05-08
ST8221	1982-01-01	2533	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	39	\N	\N	\N	\N	\N	2013-05-08
ST8230	1982-01-01	2534	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	90	\N	\N	\N	\N	\N	2013-05-08
ST8236	1982-01-01	2535	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1982-12-31	1982-01-01	1982-12-31	49	\N	\N	\N	\N	\N	2013-05-08
UH-82	1982-01-01	2537	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1982-12-31	1982-01-01	1982-12-31	1039	\N	\N	\N	\N	\N	2013-05-08
A35-10-83	1983-01-01	2539	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Arco Norge A/S	1983-12-31	1983-01-01	1983-12-31	373	\N	\N	\N	\N	\N	2013-05-08
ANO-83	1983-01-01	2540	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1983-12-31	1983-01-01	1983-12-31	391	\N	\N	\N	\N	\N	2013-05-08
ANO-83-1	1983-01-01	2541	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1983-12-31	1983-01-01	1983-12-31	55	\N	\N	\N	\N	\N	2013-05-08
ARCO-83	1983-01-01	2542	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Arco Norge A/S	1983-12-31	1983-01-01	1983-12-31	605	\N	\N	\N	\N	\N	2013-05-08
BP83	1983-01-01	2543	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1983-12-31	1983-01-01	1983-12-31	917	\N	\N	\N	\N	\N	2013-05-08
E-83	1983-01-01	2544	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1983-12-31	1983-01-01	1983-12-31	455	\N	\N	\N	\N	\N	2013-05-08
EL-8301	1983-01-01	2545	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1983-12-31	1983-01-01	1983-12-31	542	\N	\N	\N	\N	\N	2013-05-08
EL-8302	1983-01-01	2546	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1983-12-31	1983-01-01	1983-12-31	528	\N	\N	\N	\N	\N	2013-05-08
EL-8303	1983-01-01	2547	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1983-12-31	1983-01-01	1983-12-31	556	\N	\N	\N	\N	\N	2013-05-08
EL-8304	1983-01-01	2548	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1983-12-31	1983-01-01	1983-12-31	478	\N	\N	\N	\N	\N	2013-05-08
EL-8305	1983-01-01	2549	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1983-12-31	1983-01-01	1983-12-31	363	\N	\N	\N	\N	\N	2013-05-08
EL83-4	1983-01-01	2550	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1983-12-31	1983-01-01	1983-12-31	11	\N	\N	\N	\N	\N	2013-05-08
F-83	1983-01-01	2551	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1983-12-31	1983-01-01	1983-12-31	417	\N	\N	\N	\N	\N	2013-05-08
G/E-83-3D	1983-01-01	2552	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	1983-12-31	1983-01-01	1983-12-31	5761	\N	\N	\N	\N	\N	2013-05-08
HBGS83	1983-01-01	2553	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	3598	\N	\N	\N	\N	\N	2013-05-08
MN83	1983-01-01	2555	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1983-12-31	1983-01-01	1983-12-31	555	\N	\N	\N	\N	\N	2013-05-08
MN83-1	1983-01-01	2556	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1983-12-31	1983-01-01	1983-12-31	155	\N	\N	\N	\N	\N	2013-05-08
N16-5-83	1983-01-01	2557	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1983-12-31	1983-01-01	1983-12-31	1102	\N	\N	\N	\N	\N	2013-05-08
N25-83	1983-01-01	2558	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1983-12-31	1983-01-01	1983-12-31	1338	\N	\N	\N	\N	\N	2013-05-08
N31-1	1983-01-01	2559	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1983-12-31	1983-01-01	1983-12-31	554	\N	\N	\N	\N	\N	2013-05-08
N35-10-83	1983-01-01	2560	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1983-12-31	1983-01-01	1983-12-31	594	\N	\N	\N	\N	\N	2013-05-08
N35-36-83	1983-01-01	2561	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1983-12-31	1983-01-01	1983-12-31	1021	\N	\N	\N	\N	\N	2013-05-08
N7-83	1983-01-01	2562	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1983-12-31	1983-01-01	1983-12-31	742	\N	\N	\N	\N	\N	2013-05-08
NH8301	1983-01-01	2564	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1983-12-31	1983-01-01	1983-12-31	933	\N	\N	\N	\N	\N	2013-05-08
NH8302	1983-01-01	2565	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1983-12-31	1983-01-01	1983-12-31	349	\N	\N	\N	\N	\N	2013-05-08
NH8306	1983-01-01	2566	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1983-12-31	1983-01-01	1983-12-31	1512	\N	\N	\N	\N	\N	2013-05-08
NH8308	1983-01-01	2567	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1983-12-31	1983-01-01	1983-12-31	61	\N	\N	\N	\N	\N	2013-05-08
NH8366	1983-01-01	2568	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1983-12-31	1983-01-01	1983-12-31	117	\N	\N	\N	\N	\N	2013-05-08
NNS-83	1983-01-01	2569	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	BRITOIL	1983-12-31	1983-01-01	1983-12-31	2392	\N	\N	\N	\N	\N	2013-05-08
NPD-FI-83	1983-01-01	2570	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1983-12-31	1983-01-01	1983-12-31	1082	\N	\N	\N	\N	\N	2013-05-08
NPD-NR-83	1983-01-01	2571	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1983-12-31	1983-01-01	1983-12-31	4745	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-83	1983-01-01	2572	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1983-12-31	1983-01-01	1983-12-31	2559	\N	\N	\N	\N	\N	2013-05-08
PW83	1983-01-01	2573	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1983-12-31	1983-01-01	1983-12-31	1057	\N	\N	\N	\N	\N	2013-05-08
SG8231	1983-01-01	2574	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1983-12-31	1983-01-01	1983-12-31	1310	\N	\N	\N	\N	\N	2013-05-08
SG8320	1983-01-01	2575	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1983-12-31	1983-01-01	1983-12-31	555	\N	\N	\N	\N	\N	2013-05-08
SG8325	1983-01-01	2576	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1983-12-31	1983-01-01	1983-12-31	114	\N	\N	\N	\N	\N	2013-05-08
SG8330	1983-01-01	2577	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1983-12-31	1983-01-01	1983-12-31	67	\N	\N	\N	\N	\N	2013-05-08
SG8374	1983-01-01	2578	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1983-12-31	1983-01-01	1983-12-31	686	\N	\N	\N	\N	\N	2013-05-08
SH7982-83	1983-01-01	2579	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1983-12-31	1983-01-01	1983-12-31	38	\N	\N	\N	\N	\N	2013-05-08
SH8301	1983-01-01	2580	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1983-12-31	1983-01-01	1983-12-31	561	\N	\N	\N	\N	\N	2013-05-08
SH8302	1983-01-01	2581	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1983-12-31	1983-01-01	1983-12-31	360	\N	\N	\N	\N	\N	2013-05-08
ST8301	1983-01-01	2582	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	987	\N	\N	\N	\N	\N	2013-05-08
ST8302	1983-01-01	2583	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	1969	\N	\N	\N	\N	\N	2013-05-08
ST8306	1983-01-01	2584	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	303	\N	\N	\N	\N	\N	2013-05-08
ST8310	1983-01-01	2585	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	1156	\N	\N	\N	\N	\N	2013-05-08
ST8312	1983-01-01	2586	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	65	\N	\N	\N	\N	\N	2013-05-08
ST8313	1983-01-01	2587	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	276	\N	\N	\N	\N	\N	2013-05-08
ST8315	1983-01-01	2588	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	689	\N	\N	\N	\N	\N	2013-05-08
ST8316	1983-01-01	2589	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	255	\N	\N	\N	\N	\N	2013-05-08
ST8317	1983-01-01	2590	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	57	\N	\N	\N	\N	\N	2013-05-08
ST8320	1983-01-01	2591	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	15929	\N	\N	\N	\N	\N	2013-05-08
ST8330	1983-01-01	2592	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	6251	\N	\N	\N	\N	\N	2013-05-08
SVT-83	1983-01-01	2593	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1983-12-31	1983-01-01	1983-12-31	5415	\N	\N	\N	\N	\N	2013-05-08
T-8301	1983-01-01	2594	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1983-12-31	1983-01-01	1983-12-31	277	\N	\N	\N	\N	\N	2013-05-08
T-8302	1983-01-01	2595	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1983-12-31	1983-01-01	1983-12-31	37	\N	\N	\N	\N	\N	2013-05-08
TNGS-83	1983-01-01	2596	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1983-12-31	1983-01-01	1983-12-31	4756	\N	\N	\N	\N	\N	2013-05-08
ADK-84	1984-01-01	2597	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1984-12-31	1984-01-01	1984-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BN16-84	1984-01-01	2598	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Britoil Norge A/S	1984-12-31	1984-01-01	1984-12-31	68	\N	\N	\N	\N	\N	2013-05-08
BP-84-3D	1984-01-01	2599	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1984-12-31	1984-01-01	1984-12-31	3439	\N	\N	\N	\N	\N	2013-05-08
E-841	1984-01-01	2600	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1984-12-31	1984-01-01	1984-12-31	583	\N	\N	\N	\N	\N	2013-05-08
EL-8307	1984-01-01	2601	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1984-12-31	1984-01-01	1984-12-31	2352	\N	\N	\N	\N	\N	2013-05-08
EL-8401	1984-01-01	2602	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1984-12-31	1984-01-01	1984-12-31	236	\N	\N	\N	\N	\N	2013-05-08
EL-8402	1984-01-01	2603	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1984-12-31	1984-01-01	1984-12-31	379	\N	\N	\N	\N	\N	2013-05-08
EL84	1984-01-01	2604	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1984-12-31	1984-01-01	1984-12-31	20	\N	\N	\N	\N	\N	2013-05-08
EL84-TF	1984-01-01	2605	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1984-12-31	1984-01-01	1984-12-31	30	\N	\N	\N	\N	\N	2013-05-08
FWGS-84	1984-01-01	2606	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	3907	\N	\N	\N	\N	\N	2013-05-08
GFB-84	1984-01-01	2607	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1984-12-31	1984-01-01	1984-12-31	2697	\N	\N	\N	\N	\N	2013-05-08
GHW-8494	1984-01-01	2608	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1984-12-31	1984-01-01	1984-12-31	971	\N	\N	\N	\N	\N	2013-05-08
GMT-84	1984-01-01	2609	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1984-12-31	1984-01-01	1984-12-31	4876	\N	\N	\N	\N	\N	2013-05-08
GTII-84	1984-01-01	2610	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1984-12-31	1984-01-01	1984-12-31	230	\N	\N	\N	\N	\N	2013-05-08
M84-0916	1984-01-01	2613	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Marathon Petroleum Norge AS	1984-12-31	1984-01-01	1984-12-31	18	\N	\N	\N	\N	\N	2013-05-08
MN84	1984-01-01	2614	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	161	\N	\N	\N	\N	\N	2013-05-08
MN84-1	1984-01-01	2615	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1984-12-31	1984-01-01	1984-12-31	299	\N	\N	\N	\N	\N	2013-05-08
MN84-2	1984-01-01	2616	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1984-12-31	1984-01-01	1984-12-31	686	\N	\N	\N	\N	\N	2013-05-08
MN84-3	1984-01-01	2617	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1984-12-31	1984-01-01	1984-12-31	646	\N	\N	\N	\N	\N	2013-05-08
MND-84	1984-01-01	2618	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1984-12-31	1984-01-01	1984-12-31	3824	\N	\N	\N	\N	\N	2013-05-08
MP-N2-84	1984-01-01	2619	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1984-12-31	1984-01-01	1984-12-31	2116	\N	\N	\N	\N	\N	2013-05-08
N-84	1984-01-01	2620	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1984-12-31	1984-01-01	1984-12-31	642	\N	\N	\N	\N	\N	2013-05-08
NA-84	1984-01-01	2621	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1984-12-31	1984-01-01	1984-12-31	372	\N	\N	\N	\N	\N	2013-05-08
NAG-84	1984-01-01	2622	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1984-12-31	1984-01-01	1984-12-31	225	\N	\N	\N	\N	\N	2013-05-08
NH8401	1984-01-01	2623	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	2120	\N	\N	\N	\N	\N	2013-05-08
NH8402	1984-01-01	2624	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	772	\N	\N	\N	\N	\N	2013-05-08
NH8403	1984-01-01	2625	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	1636	\N	\N	\N	\N	\N	2013-05-08
NH8404	1984-01-01	2626	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	1383	\N	\N	\N	\N	\N	2013-05-08
NH8405	1984-01-01	2627	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	227	\N	\N	\N	\N	\N	2013-05-08
NH8406	1984-01-01	2628	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	67	\N	\N	\N	\N	\N	2013-05-08
NH8407	1984-01-01	2629	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	35	\N	\N	\N	\N	\N	2013-05-08
NH8408	1984-01-01	2630	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	525	\N	\N	\N	\N	\N	2013-05-08
NH8409	1984-01-01	2631	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	423	\N	\N	\N	\N	\N	2013-05-08
NH8411	1984-01-01	2632	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	289	\N	\N	\N	\N	\N	2013-05-08
NH8412	1984-01-01	2633	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	444	\N	\N	\N	\N	\N	2013-05-08
NH8413	1984-01-01	2634	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	348	\N	\N	\N	\N	\N	2013-05-08
NH8414	1984-01-01	2635	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	744	\N	\N	\N	\N	\N	2013-05-08
NH8415	1984-01-01	2636	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	242	\N	\N	\N	\N	\N	2013-05-08
NH8417	1984-01-01	2637	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1984-12-31	1984-01-01	1984-12-31	46	\N	\N	\N	\N	\N	2013-05-08
NNST-84	1984-01-01	2638	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1984-12-31	1984-01-01	1984-12-31	5378	\N	\N	\N	\N	\N	2013-05-08
NOD1-84	1984-01-01	2639	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1984-12-31	1984-01-01	1984-12-31	1583	\N	\N	\N	\N	\N	2013-05-08
NOD2-84	1984-01-01	2640	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1984-12-31	1984-01-01	1984-12-31	1383	\N	\N	\N	\N	\N	2013-05-08
NOD3-84	1984-01-01	2641	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1984-12-31	1984-01-01	1984-12-31	3943	\N	\N	\N	\N	\N	2013-05-08
NOD4-84	1984-01-01	2642	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1984-12-31	1984-01-01	1984-12-31	6201	\N	\N	\N	\N	\N	2013-05-08
NPD-BJRE-84	1984-01-01	2643	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1984-12-31	1984-01-01	1984-12-31	6380	\N	\N	\N	\N	\N	2013-05-08
NPD-BJSY-84	1984-01-01	2644	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1984-12-31	1984-01-01	1984-12-31	4014	\N	\N	\N	\N	\N	2013-05-08
NPD-FB-84	1984-01-01	2645	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1984-12-31	1984-01-01	1984-12-31	1739	\N	\N	\N	\N	\N	2013-05-08
NPD-FI-84	1984-01-01	2646	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1984-12-31	1984-01-01	1984-12-31	2437	\N	\N	\N	\N	\N	2013-05-08
NPD-HB-84	1984-01-01	2647	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1984-12-31	1984-01-01	1984-12-31	1313	\N	\N	\N	\N	\N	2013-05-08
NPD-ML-84	1984-01-01	2648	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1984-12-31	1984-01-01	1984-12-31	1132	\N	\N	\N	\N	\N	2013-05-08
NPD-SV-84	1984-01-01	2649	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1984-12-31	1984-01-01	1984-12-31	2058	\N	\N	\N	\N	\N	2013-05-08
NPD-TB-84	1984-01-01	2650	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1984-12-31	1984-01-01	1984-12-31	1240	\N	\N	\N	\N	\N	2013-05-08
NPD-TES1-84	1984-01-01	2651	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1984-12-31	1984-01-01	1984-12-31	111	\N	\N	\N	\N	\N	2013-05-08
NPD-TES2-84	1984-01-01	2652	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1984-12-31	1984-01-01	1984-12-31	36	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-84	1984-01-01	2653	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1984-12-31	1984-01-01	1984-12-31	893	\N	\N	\N	\N	\N	2013-05-08
NRGS84	1984-01-01	2654	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	7845	\N	\N	\N	\N	\N	2013-05-08
NSDP-84	1984-01-01	2655	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1984-12-31	1984-01-01	1984-12-31	1689	\N	\N	\N	\N	\N	2013-05-08
PSL84	1984-01-01	2656	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1984-12-31	1984-01-01	1984-12-31	611	\N	\N	\N	\N	\N	2013-05-08
PSL84-1	1984-01-01	2657	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1984-12-31	1984-01-01	1984-12-31	561	\N	\N	\N	\N	\N	2013-05-08
PSL84-2	1984-01-01	2658	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1984-12-31	1984-01-01	1984-12-31	234	\N	\N	\N	\N	\N	2013-05-08
PSL84-3	1984-01-01	2659	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1984-12-31	1984-01-01	1984-12-31	439	\N	\N	\N	\N	\N	2013-05-08
SG8420	1984-01-01	2660	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1984-12-31	1984-01-01	1984-12-31	6456	\N	\N	\N	\N	\N	2013-05-08
SG8425	1984-01-01	2661	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1984-12-31	1984-01-01	1984-12-31	429	\N	\N	\N	\N	\N	2013-05-08
SG8431	1984-01-01	2662	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1984-12-31	1984-01-01	1984-12-31	4539	\N	\N	\N	\N	\N	2013-05-08
SG8445	1984-01-01	2663	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1984-12-31	1984-01-01	1984-12-31	93	\N	\N	\N	\N	\N	2013-05-08
SG8458	1984-01-01	2664	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1984-12-31	1984-01-01	1984-12-31	162	\N	\N	\N	\N	\N	2013-05-08
SH8401	1984-01-01	2665	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1984-12-31	1984-01-01	1984-12-31	957	\N	\N	\N	\N	\N	2013-05-08
SH8402	1984-01-01	2666	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1984-12-31	1984-01-01	1984-12-31	807	\N	\N	\N	\N	\N	2013-05-08
SH8403	1984-01-01	2667	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1984-12-31	1984-01-01	1984-12-31	1238	\N	\N	\N	\N	\N	2013-05-08
ST8305	1984-01-01	2668	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	99	\N	\N	\N	\N	\N	2013-05-08
ST8318	1984-01-01	2669	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	431	\N	\N	\N	\N	\N	2013-05-08
ST8401	1984-01-01	2670	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	651	\N	\N	\N	\N	\N	2013-05-08
ST8402	1984-01-01	2671	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	950	\N	\N	\N	\N	\N	2013-05-08
ST8403	1984-01-01	2672	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	1767	\N	\N	\N	\N	\N	2013-05-08
ST8404	1984-01-01	2673	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	1004	\N	\N	\N	\N	\N	2013-05-08
ST8405	1984-01-01	2674	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	240	\N	\N	\N	\N	\N	2013-05-08
ST8406	1984-01-01	2675	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	24	\N	\N	\N	\N	\N	2013-05-08
ST8407	1984-01-01	2676	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	421	\N	\N	\N	\N	\N	2013-05-08
ST8408	1984-01-01	2677	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	4261	\N	\N	\N	\N	\N	2013-05-08
ST8409	1984-01-01	2678	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	706	\N	\N	\N	\N	\N	2013-05-08
ST8410	1984-01-01	2679	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	589	\N	\N	\N	\N	\N	2013-05-08
ST8411	1984-01-01	2680	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	22	\N	\N	\N	\N	\N	2013-05-08
ST8412	1984-01-01	2681	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	33	\N	\N	\N	\N	\N	2013-05-08
ST8413	1984-01-01	2682	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	69	\N	\N	\N	\N	\N	2013-05-08
ST8414	1984-01-01	2683	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	284	\N	\N	\N	\N	\N	2013-05-08
ST8415	1984-01-01	2684	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	10	\N	\N	\N	\N	\N	2013-05-08
ST8417	1984-01-01	2685	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	162	\N	\N	\N	\N	\N	2013-05-08
ST8418	1984-01-01	2686	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	422	\N	\N	\N	\N	\N	2013-05-08
ST8419	1984-01-01	2687	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	197	\N	\N	\N	\N	\N	2013-05-08
ST8421	1984-01-01	2688	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	576	\N	\N	\N	\N	\N	2013-05-08
ST8422	1984-01-01	2689	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	93	\N	\N	\N	\N	\N	2013-05-08
ST8423	1984-01-01	2690	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	38	\N	\N	\N	\N	\N	2013-05-08
ST8424	1984-01-01	2691	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1984-12-31	1984-01-01	1984-12-31	20	\N	\N	\N	\N	\N	2013-05-08
TO8401	1984-01-01	2692	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1984-12-31	1984-01-01	1984-12-31	275	\N	\N	\N	\N	\N	2013-05-08
TO8403	1984-01-01	2693	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1984-12-31	1984-01-01	1984-12-31	107	\N	\N	\N	\N	\N	2013-05-08
TO8403-1	1984-01-01	2694	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1984-12-31	1984-01-01	1984-12-31	52	\N	\N	\N	\N	\N	2013-05-08
TO8404	1984-01-01	2695	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1984-12-31	1984-01-01	1984-12-31	110	\N	\N	\N	\N	\N	2013-05-08
BE-85A	1985-01-01	2696	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1985-12-31	1985-01-01	1985-12-31	2217	\N	\N	\N	\N	\N	2013-05-08
BE-85C	1985-01-01	2697	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1985-12-31	1985-01-01	1985-12-31	86	\N	\N	\N	\N	\N	2013-05-08
BPN8501	1985-01-01	2698	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1985-12-31	1985-01-01	1985-12-31	414	\N	\N	\N	\N	\N	2013-05-08
BPN8502	1985-01-01	2699	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1985-12-31	1985-01-01	1985-12-31	290	\N	\N	\N	\N	\N	2013-05-08
BPN8503	1985-01-01	2700	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1985-12-31	1985-01-01	1985-12-31	565	\N	\N	\N	\N	\N	2013-05-08
BVI-85	1985-01-01	2701	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Bow Valley Exploration Norge A/S	1985-12-31	1985-01-01	1985-12-31	302	\N	\N	\N	\N	\N	2013-05-08
CGD-85	1985-01-01	2702	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1985-12-31	1985-01-01	1985-12-31	3748	\N	\N	\N	\N	\N	2013-05-08
CGDI-85	1985-01-01	2703	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1985-12-31	1985-01-01	1985-12-31	4160	\N	\N	\N	\N	\N	2013-05-08
CN-8502	1985-01-01	2704	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1985-12-31	1985-01-01	1985-12-31	1021	\N	\N	\N	\N	\N	2013-05-08
CN-8525	1985-01-01	2705	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1985-12-31	1985-01-01	1985-12-31	1158	\N	\N	\N	\N	\N	2013-05-08
CNST-86	1985-01-01	2706	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1985-12-31	1985-01-01	1985-12-31	5758	\N	\N	\N	\N	\N	2013-05-08
CON-85	1985-01-01	2707	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1985-12-31	1985-01-01	1985-12-31	45	\N	\N	\N	\N	\N	2013-05-08
EL-8501	1985-01-01	2708	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Elf Petroleum Norge AS	1985-12-31	1985-01-01	1985-12-31	19599	\N	\N	\N	\N	\N	2013-05-08
EL-8501-2D	1985-01-01	2709	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1985-12-31	1985-01-01	1985-12-31	2047	\N	\N	\N	\N	\N	2013-05-08
EL-8502	1985-01-01	2710	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1985-12-31	1985-01-01	1985-12-31	652	\N	\N	\N	\N	\N	2013-05-08
EL-8503	1985-01-01	2711	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1985-12-31	1985-01-01	1985-12-31	1652	\N	\N	\N	\N	\N	2013-05-08
EL-8504	1985-01-01	2712	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1985-12-31	1985-01-01	1985-12-31	962	\N	\N	\N	\N	\N	2013-05-08
EL-8505	1985-01-01	2713	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1985-12-31	1985-01-01	1985-12-31	322	\N	\N	\N	\N	\N	2013-05-08
EL-8506	1985-01-01	2714	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1985-12-31	1985-01-01	1985-12-31	157	\N	\N	\N	\N	\N	2013-05-08
EL-T-85	1985-01-01	2715	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1985-12-31	1985-01-01	1985-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EL85-TF	1985-01-01	2716	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1985-12-31	1985-01-01	1985-12-31	22	\N	\N	\N	\N	\N	2013-05-08
GE8501	1985-01-01	2717	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1985-12-31	1985-01-01	1985-12-31	1431	\N	\N	\N	\N	\N	2013-05-08
GFD-85	1985-01-01	2718	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	1123	\N	\N	\N	\N	\N	2013-05-08
GFI-85	1985-01-01	2719	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	1471	\N	\N	\N	\N	\N	2013-05-08
GFW-85	1985-01-01	2720	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	436	\N	\N	\N	\N	\N	2013-05-08
GFW2-85	1985-01-01	2721	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	1829	\N	\N	\N	\N	\N	2013-05-08
GFW3-85	1985-01-01	2722	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	1721	\N	\N	\N	\N	\N	2013-05-08
GHI-85	1985-01-01	2723	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	982	\N	\N	\N	\N	\N	2013-05-08
GM1I-85	1985-01-01	2724	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	1210	\N	\N	\N	\N	\N	2013-05-08
GMDA-85	1985-01-01	2725	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	369	\N	\N	\N	\N	\N	2013-05-08
GMDC-85	1985-01-01	2726	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	247	\N	\N	\N	\N	\N	2013-05-08
GMS-85	1985-01-01	2727	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	2171	\N	\N	\N	\N	\N	2013-05-08
GSB-85	1985-01-01	2728	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	4082	\N	\N	\N	\N	\N	2013-05-08
M85-16	1985-01-01	2731	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Marathon Petroleum Norge AS	1985-12-31	1985-01-01	1985-12-31	50	\N	\N	\N	\N	\N	2013-05-08
MN85	1985-01-01	2732	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	587	\N	\N	\N	\N	\N	2013-05-08
MN85-1	1985-01-01	2733	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1985-12-31	1985-01-01	1985-12-31	575	\N	\N	\N	\N	\N	2013-05-08
MN85-2	1985-01-01	2734	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1985-12-31	1985-01-01	1985-12-31	567	\N	\N	\N	\N	\N	2013-05-08
MNTE85	1985-01-01	2735	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1985-12-31	1985-01-01	1985-12-31	588	\N	\N	\N	\N	\N	2013-05-08
MS-85	1985-01-01	2736	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	2321	\N	\N	\N	\N	\N	2013-05-08
NA-85	1985-01-01	2737	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1985-12-31	1985-01-01	1985-12-31	460	\N	\N	\N	\N	\N	2013-05-08
NE-85A	1985-01-01	2738	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1985-12-31	1985-01-01	1985-12-31	773	\N	\N	\N	\N	\N	2013-05-08
NH8501-2D	1985-01-01	2739	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	1732	\N	\N	\N	\N	\N	2013-05-08
NH8501	1985-01-01	2740	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	7165	\N	\N	\N	\N	\N	2013-05-08
NH8502-2D	1985-01-01	2741	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	1256	\N	\N	\N	\N	\N	2013-05-08
NH8502	1985-01-01	2742	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	22433	\N	\N	\N	\N	\N	2013-05-08
NH8503	1985-01-01	2743	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	25	\N	\N	\N	\N	\N	2013-05-08
NH8504	1985-01-01	2744	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	421	\N	\N	\N	\N	\N	2013-05-08
NH8505	1985-01-01	2745	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	138	\N	\N	\N	\N	\N	2013-05-08
NH8506	1985-01-01	2746	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	2908	\N	\N	\N	\N	\N	2013-05-08
NH8507	1985-01-01	2747	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	658	\N	\N	\N	\N	\N	2013-05-08
NH8509	1985-01-01	2748	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	564	\N	\N	\N	\N	\N	2013-05-08
NH8510	1985-01-01	2749	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	74	\N	\N	\N	\N	\N	2013-05-08
NH8511	1985-01-01	2750	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	302	\N	\N	\N	\N	\N	2013-05-08
NH8512	1985-01-01	2751	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	73	\N	\N	\N	\N	\N	2013-05-08
NH8513	1985-01-01	2752	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	122	\N	\N	\N	\N	\N	2013-05-08
NH8514	1985-01-01	2753	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1985-12-31	1985-01-01	1985-12-31	907	\N	\N	\N	\N	\N	2013-05-08
NM1-85	1985-01-01	2754	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	2677	\N	\N	\N	\N	\N	2013-05-08
NOD5-85	1985-01-01	2755	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1985-12-31	1985-01-01	1985-12-31	762	\N	\N	\N	\N	\N	2013-05-08
NP-85C	1985-01-01	2756	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1985-12-31	1985-01-01	1985-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NPD-JM-85	1985-01-01	2757	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1985-12-31	1985-01-01	1985-12-31	4271	\N	\N	\N	\N	\N	2013-05-08
NPD-NOLO-85	1985-01-01	2758	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1985-12-31	1985-01-01	1985-12-31	10363	\N	\N	\N	\N	\N	2013-05-08
NPD-NOR2-85	1985-01-01	2759	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1985-12-31	1985-01-01	1985-12-31	153	\N	\N	\N	\N	\N	2013-05-08
NPD-NR-85	1985-01-01	2760	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1985-12-31	1985-01-01	1985-12-31	1517	\N	\N	\N	\N	\N	2013-05-08
NPD-STOR-85	1985-01-01	2761	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1985-12-31	1985-01-01	1985-12-31	1211	\N	\N	\N	\N	\N	2013-05-08
NPD-SVBJ-85	1985-01-01	2762	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1985-12-31	1985-01-01	1985-12-31	290	\N	\N	\N	\N	\N	2013-05-08
NPD-TB-85	1985-01-01	2763	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1985-12-31	1985-01-01	1985-12-31	498	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-85	1985-01-01	2764	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1985-12-31	1985-01-01	1985-12-31	3457	\N	\N	\N	\N	\N	2013-05-08
NPD-VØRB-85	1985-01-01	2765	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1985-12-31	1985-01-01	1985-12-31	608	\N	\N	\N	\N	\N	2013-05-08
Q3-85	1985-01-01	2766	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Total Norge AS	1985-12-31	1985-01-01	1985-12-31	519	\N	\N	\N	\N	\N	2013-05-08
Q3-85-2D	1985-01-01	2767	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1985-12-31	1985-01-01	1985-12-31	265	\N	\N	\N	\N	\N	2013-05-08
SG85	1985-01-01	2768	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1985-12-31	1985-01-01	1985-12-31	27	\N	\N	\N	\N	\N	2013-05-08
SG8558	1985-01-01	2769	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1985-12-31	1985-01-01	1985-12-31	144	\N	\N	\N	\N	\N	2013-05-08
SG8558-1	1985-01-01	2770	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1985-12-31	1985-01-01	1985-12-31	92	\N	\N	\N	\N	\N	2013-05-08
SG8571	1985-01-01	2771	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1985-12-31	1985-01-01	1985-12-31	3859	\N	\N	\N	\N	\N	2013-05-08
SG8595	1985-01-01	2772	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1985-12-31	1985-01-01	1985-12-31	741	\N	\N	\N	\N	\N	2013-05-08
SH8501	1985-01-01	2773	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1985-12-31	1985-01-01	1985-12-31	864	\N	\N	\N	\N	\N	2013-05-08
SH8502	1985-01-01	2774	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1985-12-31	1985-01-01	1985-12-31	1420	\N	\N	\N	\N	\N	2013-05-08
SH8503	1985-01-01	2775	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1985-12-31	1985-01-01	1985-12-31	558	\N	\N	\N	\N	\N	2013-05-08
SH8504	1985-01-01	2776	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1985-12-31	1985-01-01	1985-12-31	192	\N	\N	\N	\N	\N	2013-05-08
ST8501	1985-01-01	2777	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	4705	\N	\N	\N	\N	\N	2013-05-08
ST8502	1985-01-01	2778	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	504	\N	\N	\N	\N	\N	2013-05-08
ST8503	1985-01-01	2779	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	2761	\N	\N	\N	\N	\N	2013-05-08
ST8504	1985-01-01	2780	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	186	\N	\N	\N	\N	\N	2013-05-08
ST8505	1985-01-01	2781	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	28	\N	\N	\N	\N	\N	2013-05-08
ST8506	1985-01-01	2782	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	39	\N	\N	\N	\N	\N	2013-05-08
ST8508	1985-01-01	2783	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	50	\N	\N	\N	\N	\N	2013-05-08
ST8509	1985-01-01	2784	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	108	\N	\N	\N	\N	\N	2013-05-08
ST8511	1985-01-01	2785	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	9454	\N	\N	\N	\N	\N	2013-05-08
ST8512	1985-01-01	2786	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	48	\N	\N	\N	\N	\N	2013-05-08
ST8513	1985-01-01	2787	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	4799	\N	\N	\N	\N	\N	2013-05-08
ST8515	1985-01-01	2788	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	1132	\N	\N	\N	\N	\N	2013-05-08
ST8516	1985-01-01	2789	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	569	\N	\N	\N	\N	\N	2013-05-08
ST8517	1985-01-01	2790	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	706	\N	\N	\N	\N	\N	2013-05-08
ST8521	1985-01-01	2791	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	348	\N	\N	\N	\N	\N	2013-05-08
ST8522	1985-01-01	2792	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	293	\N	\N	\N	\N	\N	2013-05-08
ST8523	1985-01-01	2793	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1985-12-31	1985-01-01	1985-12-31	117	\N	\N	\N	\N	\N	2013-05-08
STT-85	1985-01-01	2794	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1985-12-31	1985-01-01	1985-12-31	547	\N	\N	\N	\N	\N	2013-05-08
SVA-FO-85	1985-01-01	2795	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1985-12-31	1985-01-01	1985-12-31	574	\N	\N	\N	\N	\N	2013-05-08
SVA-IS-85	1985-01-01	2796	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1985-12-31	1985-01-01	1985-12-31	475	\N	\N	\N	\N	\N	2013-05-08
SVA-ST-85	1985-01-01	2797	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1985-12-31	1985-01-01	1985-12-31	113	\N	\N	\N	\N	\N	2013-05-08
SVA-VK-85	1985-01-01	2798	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1985-12-31	1985-01-01	1985-12-31	51	\N	\N	\N	\N	\N	2013-05-08
SVA-VM-85	1985-01-01	2799	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1985-12-31	1985-01-01	1985-12-31	378	\N	\N	\N	\N	\N	2013-05-08
TO8506	1985-01-01	2801	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1985-12-31	1985-01-01	1985-12-31	396	\N	\N	\N	\N	\N	2013-05-08
TO8510	1985-01-01	2802	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1985-12-31	1985-01-01	1985-12-31	331	\N	\N	\N	\N	\N	2013-05-08
TO8511	1985-01-01	2803	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1985-12-31	1985-01-01	1985-12-31	75	\N	\N	\N	\N	\N	2013-05-08
TO8513	1985-01-01	2804	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1985-12-31	1985-01-01	1985-12-31	25	\N	\N	\N	\N	\N	2013-05-08
TO8514	1985-01-01	2805	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1985-12-31	1985-01-01	1985-12-31	33	\N	\N	\N	\N	\N	2013-05-08
TO8515	1985-01-01	2806	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Total Norge AS	1985-12-31	1985-01-01	1985-12-31	261	\N	\N	\N	\N	\N	2013-05-08
UK-85	1985-01-01	2807	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1985-12-31	1985-01-01	1985-12-31	67	\N	\N	\N	\N	\N	2013-05-08
WL-85-3D	1985-01-01	2808	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Maersk Olie og Gass  A/S	1985-12-31	1985-01-01	1985-12-31	8233	\N	\N	\N	\N	\N	2013-05-08
AE-86	1986-01-01	2809	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1986-12-31	1986-01-01	1986-12-31	679	\N	\N	\N	\N	\N	2013-05-08
BE-86A	1986-01-01	2810	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1986-12-31	1986-01-01	1986-12-31	906	\N	\N	\N	\N	\N	2013-05-08
BE-86B	1986-01-01	2811	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1986-12-31	1986-01-01	1986-12-31	1975	\N	\N	\N	\N	\N	2013-05-08
BE-86C	1986-01-01	2812	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1986-12-31	1986-01-01	1986-12-31	260	\N	\N	\N	\N	\N	2013-05-08
BN16-86	1986-01-01	2813	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Britoil Norge A/S	1986-12-31	1986-01-01	1986-12-31	331	\N	\N	\N	\N	\N	2013-05-08
BP-86	1986-01-01	2814	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1986-12-31	1986-01-01	1986-12-31	119	\N	\N	\N	\N	\N	2013-05-08
BP-86-1	1986-01-01	2815	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1986-12-31	1986-01-01	1986-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CN-86	1986-01-01	2816	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Conoco Norway Inc.	1986-12-31	1986-01-01	1986-12-31	7030	\N	\N	\N	\N	\N	2013-05-08
DGM1-86	1986-01-01	2817	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	3117	\N	\N	\N	\N	\N	2013-05-08
DK-86	1986-01-01	2818	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mærsk Contractors	1986-12-31	1986-01-01	1986-12-31	88	\N	\N	\N	\N	\N	2013-05-08
DK-86-1	1986-01-01	2819	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mærsk Contractors	1986-12-31	1986-01-01	1986-12-31	127	\N	\N	\N	\N	\N	2013-05-08
E86	1986-01-01	2820	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	5091	\N	\N	\N	\N	\N	2013-05-08
EL-8601	1986-01-01	2821	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Elf Petroleum Norge AS	1986-12-31	1986-01-01	1986-12-31	5449	\N	\N	\N	\N	\N	2013-05-08
EL-8602	1986-01-01	2822	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1986-12-31	1986-01-01	1986-12-31	235	\N	\N	\N	\N	\N	2013-05-08
EL-8603	1986-01-01	2823	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1986-12-31	1986-01-01	1986-12-31	138	\N	\N	\N	\N	\N	2013-05-08
EL8601	1986-01-01	2824	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1986-12-31	1986-01-01	1986-12-31	120	\N	\N	\N	\N	\N	2013-05-08
ESP-86	1986-01-01	2825	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1986-12-31	1986-01-01	1986-12-31	856	\N	\N	\N	\N	\N	2013-05-08
F-86	1986-01-01	2826	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1986-12-31	1986-01-01	1986-12-31	521	\N	\N	\N	\N	\N	2013-05-08
FW-86	1986-01-01	2827	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	1382	\N	\N	\N	\N	\N	2013-05-08
GE8601	1986-01-01	2828	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1986-12-31	1986-01-01	1986-12-31	1631	\N	\N	\N	\N	\N	2013-05-08
GLR1-86	1986-01-01	2829	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1986-12-31	1986-01-01	1986-12-31	3091	\N	\N	\N	\N	\N	2013-05-08
GLR2-86	1986-01-01	2830	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1986-12-31	1986-01-01	1986-12-31	2272	\N	\N	\N	\N	\N	2013-05-08
GM1E-86	1986-01-01	2831	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1986-12-31	1986-01-01	1986-12-31	804	\N	\N	\N	\N	\N	2013-05-08
GMTE-86	1986-01-01	2832	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1986-12-31	1986-01-01	1986-12-31	817	\N	\N	\N	\N	\N	2013-05-08
GQ10-86	1986-01-01	2833	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1986-12-31	1986-01-01	1986-12-31	257	\N	\N	\N	\N	\N	2013-05-08
GS-TR-86	1986-01-01	2834	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	GEOPHYSICAL SERVICES	1986-12-31	1986-01-01	1986-12-31	432	\N	\N	\N	\N	\N	2013-05-08
IFP-86	1986-01-01	2835	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1986-12-31	1986-01-01	1986-12-31	625	\N	\N	\N	\N	\N	2013-05-08
LRE-86	1986-01-01	2836	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	221	\N	\N	\N	\N	\N	2013-05-08
MG86	1986-01-01	2837	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	155	\N	\N	\N	\N	\N	2013-05-08
MNT-86	1986-01-01	2838	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	784	\N	\N	\N	\N	\N	2013-05-08
N3-86	1986-01-01	2839	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	2013	\N	\N	\N	\N	\N	2013-05-08
N4-86	1986-01-01	2840	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	2187	\N	\N	\N	\N	\N	2013-05-08
NDB-86	1986-01-01	2841	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	3020	\N	\N	\N	\N	\N	2013-05-08
NH8601-2D	1986-01-01	2842	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1986-12-31	1986-01-01	1986-12-31	43	\N	\N	\N	\N	\N	2013-05-08
NH8601	1986-01-01	2843	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1986-12-31	1986-01-01	1986-12-31	6529	\N	\N	\N	\N	\N	2013-05-08
NH8603	1986-01-01	2844	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1986-12-31	1986-01-01	1986-12-31	338	\N	\N	\N	\N	\N	2013-05-08
NH8604	1986-01-01	2845	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1986-12-31	1986-01-01	1986-12-31	35673	\N	\N	\N	\N	\N	2013-05-08
NH8606-2D	1986-01-01	2846	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1986-12-31	1986-01-01	1986-12-31	449	\N	\N	\N	\N	\N	2013-05-08
NH8606	1986-01-01	2847	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1986-12-31	1986-01-01	1986-12-31	4437	\N	\N	\N	\N	\N	2013-05-08
NH8609	1986-01-01	2848	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1986-12-31	1986-01-01	1986-12-31	171	\N	\N	\N	\N	\N	2013-05-08
NH8610	1986-01-01	2849	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1986-12-31	1986-01-01	1986-12-31	395	\N	\N	\N	\N	\N	2013-05-08
NH8611	1986-01-01	2850	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1986-12-31	1986-01-01	1986-12-31	228	\N	\N	\N	\N	\N	2013-05-08
NOD6-86	1986-01-01	2851	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	1404	\N	\N	\N	\N	\N	2013-05-08
NOD7-86	1986-01-01	2852	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	633	\N	\N	\N	\N	\N	2013-05-08
NPD-BJV1-86	1986-01-01	2853	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	1894	\N	\N	\N	\N	\N	2013-05-08
NPD-BJV2-86	1986-01-01	2854	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	3812	\N	\N	\N	\N	\N	2013-05-08
NPD-BJØ1-86	1986-01-01	2855	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	64	\N	\N	\N	\N	\N	2013-05-08
NPD-BJØ2-86	1986-01-01	2856	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	201	\N	\N	\N	\N	\N	2013-05-08
NPD-BJØ3-86	1986-01-01	2857	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	59	\N	\N	\N	\N	\N	2013-05-08
NPD-FIØ1-86	1986-01-01	2858	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	3628	\N	\N	\N	\N	\N	2013-05-08
NPD-FIØ2-86	1986-01-01	2859	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	2689	\N	\N	\N	\N	\N	2013-05-08
NPD-LOF1-86	1986-01-01	2860	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	136	\N	\N	\N	\N	\N	2013-05-08
NPD-LOF2-86	1986-01-01	2861	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	1853	\N	\N	\N	\N	\N	2013-05-08
NPD-NOK1-86	1986-01-01	2862	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	2891	\N	\N	\N	\N	\N	2013-05-08
NPD-NOK2-86	1986-01-01	2863	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	1604	\N	\N	\N	\N	\N	2013-05-08
NPD-NOK3-86	1986-01-01	2864	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	404	\N	\N	\N	\N	\N	2013-05-08
NPD-SENT-86	1986-01-01	2865	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	1791	\N	\N	\N	\N	\N	2013-05-08
NPD-VØRB-86	1986-01-01	2866	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1986-12-31	1986-01-01	1986-12-31	1261	\N	\N	\N	\N	\N	2013-05-08
PG86	1986-01-01	2867	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1986-12-31	1986-01-01	1986-12-31	544	\N	\N	\N	\N	\N	2013-05-08
PW85	1986-01-01	2868	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1986-12-31	1986-01-01	1986-12-31	687	\N	\N	\N	\N	\N	2013-05-08
SBB-86	1986-01-01	2869	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1986-12-31	1986-01-01	1986-12-31	2986	\N	\N	\N	\N	\N	2013-05-08
SBL-86	1986-01-01	2870	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1986-12-31	1986-01-01	1986-12-31	4449	\N	\N	\N	\N	\N	2013-05-08
SEH-86	1986-01-01	2871	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	1073	\N	\N	\N	\N	\N	2013-05-08
SG8603	1986-01-01	2872	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1986-12-31	1986-01-01	1986-12-31	1404	\N	\N	\N	\N	\N	2013-05-08
SG8603-1	1986-01-01	2873	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1986-12-31	1986-01-01	1986-12-31	89	\N	\N	\N	\N	\N	2013-05-08
SG8607	1986-01-01	2874	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1986-12-31	1986-01-01	1986-12-31	462	\N	\N	\N	\N	\N	2013-05-08
SG8608	1986-01-01	2875	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1986-12-31	1986-01-01	1986-12-31	379	\N	\N	\N	\N	\N	2013-05-08
SG8609	1986-01-01	2876	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1986-12-31	1986-01-01	1986-12-31	676	\N	\N	\N	\N	\N	2013-05-08
SG8610	1986-01-01	2877	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1986-12-31	1986-01-01	1986-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG8652-WE	1986-01-01	2878	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1986-12-31	1986-01-01	1986-12-31	62	\N	\N	\N	\N	\N	2013-05-08
SG8658	1986-01-01	2879	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1986-12-31	1986-01-01	1986-12-31	173	\N	\N	\N	\N	\N	2013-05-08
SGT-8606	1986-01-01	2880	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1986-12-31	1986-01-01	1986-12-31	1894	\N	\N	\N	\N	\N	2013-05-08
SH-86-5	1986-01-01	2881	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1986-12-31	1986-01-01	1986-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SH8601	1986-01-01	2882	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1986-12-31	1986-01-01	1986-12-31	223	\N	\N	\N	\N	\N	2013-05-08
SH8602	1986-01-01	2883	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1986-12-31	1986-01-01	1986-12-31	440	\N	\N	\N	\N	\N	2013-05-08
SH8603	1986-01-01	2884	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1986-12-31	1986-01-01	1986-12-31	432	\N	\N	\N	\N	\N	2013-05-08
SH8604	1986-01-01	2885	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1986-12-31	1986-01-01	1986-12-31	2658	\N	\N	\N	\N	\N	2013-05-08
SH8605	1986-01-01	2886	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1986-12-31	1986-01-01	1986-12-31	153	\N	\N	\N	\N	\N	2013-05-08
SH8606	1986-01-01	2887	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1986-12-31	1986-01-01	1986-12-31	194	\N	\N	\N	\N	\N	2013-05-08
SH8607	1986-01-01	2888	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1986-12-31	1986-01-01	1986-12-31	80	\N	\N	\N	\N	\N	2013-05-08
SKAG-86	1986-01-01	2889	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	2728	\N	\N	\N	\N	\N	2013-05-08
SKAGRE96	1986-01-01	2890	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	2604	\N	\N	\N	\N	\N	2013-05-08
ST8518	1986-01-01	2891	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	925	\N	\N	\N	\N	\N	2013-05-08
ST8602	1986-01-01	2892	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	519	\N	\N	\N	\N	\N	2013-05-08
ST8603	1986-01-01	2893	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	613	\N	\N	\N	\N	\N	2013-05-08
ST8604	1986-01-01	2894	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	3574	\N	\N	\N	\N	\N	2013-05-08
ST8605	1986-01-01	2895	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	188	\N	\N	\N	\N	\N	2013-05-08
ST8606	1986-01-01	2896	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	887	\N	\N	\N	\N	\N	2013-05-08
ST8607	1986-01-01	2897	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	241	\N	\N	\N	\N	\N	2013-05-08
ST8608	1986-01-01	2898	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	3192	\N	\N	\N	\N	\N	2013-05-08
ST8609	1986-01-01	2899	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	71	\N	\N	\N	\N	\N	2013-05-08
ST8611	1986-01-01	2900	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	3870	\N	\N	\N	\N	\N	2013-05-08
ST8613	1986-01-01	2901	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	47	\N	\N	\N	\N	\N	2013-05-08
ST8614	1986-01-01	2902	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	44	\N	\N	\N	\N	\N	2013-05-08
ST8615	1986-01-01	2903	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	50	\N	\N	\N	\N	\N	2013-05-08
ST8616	1986-01-01	2904	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	202	\N	\N	\N	\N	\N	2013-05-08
ST8618	1986-01-01	2905	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	534	\N	\N	\N	\N	\N	2013-05-08
ST8619	1986-01-01	2906	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	78	\N	\N	\N	\N	\N	2013-05-08
ST8620	1986-01-01	2907	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	704	\N	\N	\N	\N	\N	2013-05-08
ST8621	1986-01-01	2908	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	299	\N	\N	\N	\N	\N	2013-05-08
ST8624	1986-01-01	2909	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	245	\N	\N	\N	\N	\N	2013-05-08
ST8625	1986-01-01	2910	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	246	\N	\N	\N	\N	\N	2013-05-08
ST8626	1986-01-01	2911	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	489	\N	\N	\N	\N	\N	2013-05-08
ST8629	1986-01-01	2912	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	1032	\N	\N	\N	\N	\N	2013-05-08
ST8630	1986-01-01	2913	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	306	\N	\N	\N	\N	\N	2013-05-08
ST8631	1986-01-01	2914	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	14	\N	\N	\N	\N	\N	2013-05-08
ST8634	1986-01-01	2915	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	240	\N	\N	\N	\N	\N	2013-05-08
ST8637	1986-01-01	2916	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	110	\N	\N	\N	\N	\N	2013-05-08
ST8689	1986-01-01	2917	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1986-12-31	1986-01-01	1986-12-31	18	\N	\N	\N	\N	\N	2013-05-08
STR-86-1	1986-01-01	2918	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	1701	\N	\N	\N	\N	\N	2013-05-08
STR-86-2	1986-01-01	2919	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	1786	\N	\N	\N	\N	\N	2013-05-08
STR-86-3	1986-01-01	2920	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1986-12-31	1986-01-01	1986-12-31	908	\N	\N	\N	\N	\N	2013-05-08
TO8604	1986-01-01	2921	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Total Norge AS	1986-12-31	1986-01-01	1986-12-31	318	\N	\N	\N	\N	\N	2013-05-08
TO8605	1986-01-01	2922	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1986-12-31	1986-01-01	1986-12-31	562	\N	\N	\N	\N	\N	2013-05-08
AHN8702	1987-01-01	2924	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1987-12-31	1987-01-01	1987-12-31	345	\N	\N	\N	\N	\N	2013-05-08
AHN8703	1987-01-01	2925	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1987-12-31	1987-01-01	1987-12-31	112	\N	\N	\N	\N	\N	2013-05-08
AHN8707	1987-01-01	2926	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1987-12-31	1987-01-01	1987-12-31	366	\N	\N	\N	\N	\N	2013-05-08
ANO-8701	1987-01-01	2927	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1987-12-31	1987-01-01	1987-12-31	1327	\N	\N	\N	\N	\N	2013-05-08
B6-87	1987-01-01	2929	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1987-12-31	1987-01-01	1987-12-31	42	\N	\N	\N	\N	\N	2013-05-08
BAL-87	1987-01-01	2930	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1987-12-31	1987-01-01	1987-12-31	24	\N	\N	\N	\N	\N	2013-05-08
BB-87	1987-01-01	2931	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1987-12-31	1987-01-01	1987-12-31	3259	\N	\N	\N	\N	\N	2013-05-08
BP-87-1	1987-01-01	2932	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1987-12-31	1987-01-01	1987-12-31	398	\N	\N	\N	\N	\N	2013-05-08
BP-87-4	1987-01-01	2933	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1987-12-31	1987-01-01	1987-12-31	748	\N	\N	\N	\N	\N	2013-05-08
BP-87-5	1987-01-01	2934	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1987-12-31	1987-01-01	1987-12-31	13	\N	\N	\N	\N	\N	2013-05-08
BP-87-6	1987-01-01	2935	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1987-12-31	1987-01-01	1987-12-31	236	\N	\N	\N	\N	\N	2013-05-08
BP87-3	1987-01-01	2936	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1987-12-31	1987-01-01	1987-12-31	170	\N	\N	\N	\N	\N	2013-05-08
BPGC-87	1987-01-01	2937	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1987-12-31	1987-01-01	1987-12-31	1148	\N	\N	\N	\N	\N	2013-05-08
BPN8702	1987-01-01	2938	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1987-12-31	1987-01-01	1987-12-31	137	\N	\N	\N	\N	\N	2013-05-08
BPN8703	1987-01-01	2939	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1987-12-31	1987-01-01	1987-12-31	12140	\N	\N	\N	\N	\N	2013-05-08
BPN8704	1987-01-01	2940	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1987-12-31	1987-01-01	1987-12-31	371	\N	\N	\N	\N	\N	2013-05-08
CN87-6408	1987-01-01	2941	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1987-12-31	1987-01-01	1987-12-31	640	\N	\N	\N	\N	\N	2013-05-08
DGM2-88	1987-01-01	2942	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	NOPEC A/S	1987-12-31	1987-01-01	1987-12-31	1912	\N	\N	\N	\N	\N	2013-05-08
DGM2-88-2D	1987-01-01	2943	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1987-12-31	1987-01-01	1987-12-31	1975	\N	\N	\N	\N	\N	2013-05-08
EL-8701	1987-01-01	2944	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1987-12-31	1987-01-01	1987-12-31	1085	\N	\N	\N	\N	\N	2013-05-08
EL-8702	1987-01-01	2945	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1987-12-31	1987-01-01	1987-12-31	12	\N	\N	\N	\N	\N	2013-05-08
EL-8703	1987-01-01	2946	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1987-12-31	1987-01-01	1987-12-31	2041	\N	\N	\N	\N	\N	2013-05-08
EL-8704	1987-01-01	2947	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1987-12-31	1987-01-01	1987-12-31	313	\N	\N	\N	\N	\N	2013-05-08
EL-8705	1987-01-01	2948	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1987-12-31	1987-01-01	1987-12-31	84	\N	\N	\N	\N	\N	2013-05-08
EL-8706-2D	1987-01-01	2949	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1987-12-31	1987-01-01	1987-12-31	1368	\N	\N	\N	\N	\N	2013-05-08
EL-8706	1987-01-01	2950	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Elf Petroleum Norge AS	1987-12-31	1987-01-01	1987-12-31	2395	\N	\N	\N	\N	\N	2013-05-08
EL-8707	1987-01-01	2951	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1987-12-31	1987-01-01	1987-12-31	1689	\N	\N	\N	\N	\N	2013-05-08
EL-8708	1987-01-01	2952	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1987-12-31	1987-01-01	1987-12-31	88	\N	\N	\N	\N	\N	2013-05-08
EL-8709	1987-01-01	2953	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1987-12-31	1987-01-01	1987-12-31	111	\N	\N	\N	\N	\N	2013-05-08
ELD87	1987-01-01	2954	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1987-12-31	1987-01-01	1987-12-31	51	\N	\N	\N	\N	\N	2013-05-08
EU-87	1987-01-01	2955	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1987-12-31	1987-01-01	1987-12-31	430	\N	\N	\N	\N	\N	2013-05-08
EU-87B	1987-01-01	2956	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1987-12-31	1987-01-01	1987-12-31	1424	\N	\N	\N	\N	\N	2013-05-08
F87-15	1987-01-01	2957	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1987-12-31	1987-01-01	1987-12-31	222	\N	\N	\N	\N	\N	2013-05-08
F87-25	1987-01-01	2958	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1987-12-31	1987-01-01	1987-12-31	56	\N	\N	\N	\N	\N	2013-05-08
F87-30	1987-01-01	2959	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1987-12-31	1987-01-01	1987-12-31	69	\N	\N	\N	\N	\N	2013-05-08
F87-33	1987-01-01	2960	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1987-12-31	1987-01-01	1987-12-31	215	\N	\N	\N	\N	\N	2013-05-08
GE8701	1987-01-01	2961	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1987-12-31	1987-01-01	1987-12-31	261	\N	\N	\N	\N	\N	2013-05-08
GFNS-87	1987-01-01	2962	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1987-12-31	1987-01-01	1987-12-31	1014	\N	\N	\N	\N	\N	2013-05-08
GFW1-I87	1987-01-01	2963	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1987-12-31	1987-01-01	1987-12-31	486	\N	\N	\N	\N	\N	2013-05-08
GLR3-87	1987-01-01	2964	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1987-12-31	1987-01-01	1987-12-31	2566	\N	\N	\N	\N	\N	2013-05-08
GNB-87	1987-01-01	2965	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1987-12-31	1987-01-01	1987-12-31	5246	\N	\N	\N	\N	\N	2013-05-08
IKU-87-FI	1987-01-01	2966	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	1987-12-31	1987-01-01	1987-12-31	698	\N	\N	\N	\N	\N	2013-05-08
IKU-87-MT	1987-01-01	2967	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	1987-12-31	1987-01-01	1987-12-31	771	\N	\N	\N	\N	\N	2013-05-08
IKU-87-NK	1987-01-01	2968	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	1987-12-31	1987-01-01	1987-12-31	579	\N	\N	\N	\N	\N	2013-05-08
MN87	1987-01-01	2969	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1987-12-31	1987-01-01	1987-12-31	339	\N	\N	\N	\N	\N	2013-05-08
MN87-1	1987-01-01	2970	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1987-12-31	1987-01-01	1987-12-31	251	\N	\N	\N	\N	\N	2013-05-08
MN87-2	1987-01-01	2971	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1987-12-31	1987-01-01	1987-12-31	630	\N	\N	\N	\N	\N	2013-05-08
MN87-3	1987-01-01	2972	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1987-12-31	1987-01-01	1987-12-31	232	\N	\N	\N	\N	\N	2013-05-08
MN87-4	1987-01-01	2973	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1987-12-31	1987-01-01	1987-12-31	2119	\N	\N	\N	\N	\N	2013-05-08
MN87-5	1987-01-01	2974	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1987-12-31	1987-01-01	1987-12-31	605	\N	\N	\N	\N	\N	2013-05-08
MN87-6	1987-01-01	2975	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1987-12-31	1987-01-01	1987-12-31	650	\N	\N	\N	\N	\N	2013-05-08
MN87-7	1987-01-01	2976	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1987-12-31	1987-01-01	1987-12-31	290	\N	\N	\N	\N	\N	2013-05-08
NA-87	1987-01-01	2977	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1987-12-31	1987-01-01	1987-12-31	59	\N	\N	\N	\N	\N	2013-05-08
NA-87-1	1987-01-01	2978	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1987-12-31	1987-01-01	1987-12-31	387	\N	\N	\N	\N	\N	2013-05-08
NA-87-2	1987-01-01	2979	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1987-12-31	1987-01-01	1987-12-31	397	\N	\N	\N	\N	\N	2013-05-08
NA-87-3	1987-01-01	2980	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1987-12-31	1987-01-01	1987-12-31	448	\N	\N	\N	\N	\N	2013-05-08
NA-87-4	1987-01-01	2981	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1987-12-31	1987-01-01	1987-12-31	256	\N	\N	\N	\N	\N	2013-05-08
NH8702-2D	1987-01-01	2982	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1987-12-31	1987-01-01	1987-12-31	316	\N	\N	\N	\N	\N	2013-05-08
NH8702	1987-01-01	2983	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Amerada Hess Norge AS	1987-12-31	1987-01-01	1987-12-31	25566	\N	\N	\N	\N	\N	2013-05-08
NH8703	1987-01-01	2984	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1987-12-31	1987-01-01	1987-12-31	97	\N	\N	\N	\N	\N	2013-05-08
NH8704	1987-01-01	2985	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1987-12-31	1987-01-01	1987-12-31	109	\N	\N	\N	\N	\N	2013-05-08
NH8705	1987-01-01	2986	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1987-12-31	1987-01-01	1987-12-31	572	\N	\N	\N	\N	\N	2013-05-08
NH8706	1987-01-01	2987	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1987-12-31	1987-01-01	1987-12-31	291	\N	\N	\N	\N	\N	2013-05-08
NH8707	1987-01-01	2988	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1987-12-31	1987-01-01	1987-12-31	653	\N	\N	\N	\N	\N	2013-05-08
NH8708	1987-01-01	2989	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1987-12-31	1987-01-01	1987-12-31	47	\N	\N	\N	\N	\N	2013-05-08
NH8805	1987-01-01	2990	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1987-12-31	1987-01-01	1987-12-31	322	\N	\N	\N	\N	\N	2013-05-08
NM1-87	1987-01-01	2991	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1987-12-31	1987-01-01	1987-12-31	1043	\N	\N	\N	\N	\N	2013-05-08
NOD6-87	1987-01-01	2992	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1987-12-31	1987-01-01	1987-12-31	253	\N	\N	\N	\N	\N	2013-05-08
NOD8-87	1987-01-01	2993	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1987-12-31	1987-01-01	1987-12-31	500	\N	\N	\N	\N	\N	2013-05-08
NPD-BV-87	1987-01-01	2994	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	4307	\N	\N	\N	\N	\N	2013-05-08
NPD-BVRE-87	1987-01-01	2995	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	114	\N	\N	\N	\N	\N	2013-05-08
NPD-FIØS-87	1987-01-01	2996	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	129	\N	\N	\N	\N	\N	2013-05-08
NPD-LOFO-87	1987-01-01	2997	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	2247	\N	\N	\N	\N	\N	2013-05-08
NPD-LOT-87	1987-01-01	2998	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	230	\N	\N	\N	\N	\N	2013-05-08
NPD-NOK1-87	1987-01-01	2999	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	213	\N	\N	\N	\N	\N	2013-05-08
NPD-NOK2-87	1987-01-01	3000	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NPD-NOK3-87	1987-01-01	3001	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	102	\N	\N	\N	\N	\N	2013-05-08
NPD-SB-87	1987-01-01	3002	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	4063	\N	\N	\N	\N	\N	2013-05-08
NPD-SBSW-87	1987-01-01	3003	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	1812	\N	\N	\N	\N	\N	2013-05-08
NPD-SM-87	1987-01-01	3004	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	1368	\N	\N	\N	\N	\N	2013-05-08
NPD-TB-87	1987-01-01	3005	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	1789	\N	\N	\N	\N	\N	2013-05-08
NPD-TB01-87	1987-01-01	3006	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	694	\N	\N	\N	\N	\N	2013-05-08
NPD-VØRB-87	1987-01-01	3007	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1987-12-31	1987-01-01	1987-12-31	2757	\N	\N	\N	\N	\N	2013-05-08
NS-87	1987-01-01	3009	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1987-12-31	1987-01-01	1987-12-31	2064	\N	\N	\N	\N	\N	2013-05-08
NS-87-EX	1987-01-01	3010	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1987-12-31	1987-01-01	1987-12-31	486	\N	\N	\N	\N	\N	2013-05-08
PG87	1987-01-01	3012	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Phillips Petroleum Company Norway	1987-12-31	1987-01-01	1987-12-31	3932	\N	\N	\N	\N	\N	2013-05-08
PGVIBR87	1987-01-01	3013	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1987-12-31	1987-01-01	1987-12-31	35	\N	\N	\N	\N	\N	2013-05-08
PR87C	1987-01-01	3014	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1987-12-31	1987-01-01	1987-12-31	319	\N	\N	\N	\N	\N	2013-05-08
PW-EKO-87	1987-01-01	3015	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1987-12-31	1987-01-01	1987-12-31	244	\N	\N	\N	\N	\N	2013-05-08
R-87	1987-01-01	3016	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Ranger Oil (UK) Ltd	1987-12-31	1987-01-01	1987-12-31	49	\N	\N	\N	\N	\N	2013-05-08
SBGS-87	1987-01-01	3017	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1987-12-31	1987-01-01	1987-12-31	2578	\N	\N	\N	\N	\N	2013-05-08
SBGS-87-RE	1987-01-01	3018	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1987-12-31	1987-01-01	1987-12-31	2577	\N	\N	\N	\N	\N	2013-05-08
SG8652-GE	1987-01-01	3019	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	50	\N	\N	\N	\N	\N	2013-05-08
SG8710	1987-01-01	3020	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	826	\N	\N	\N	\N	\N	2013-05-08
SG8714	1987-01-01	3021	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	1336	\N	\N	\N	\N	\N	2013-05-08
SG8718	1987-01-01	3022	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	1842	\N	\N	\N	\N	\N	2013-05-08
SG8726	1987-01-01	3023	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	1864	\N	\N	\N	\N	\N	2013-05-08
SG8730	1987-01-01	3024	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	82	\N	\N	\N	\N	\N	2013-05-08
SG8730-WE	1987-01-01	3025	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	65	\N	\N	\N	\N	\N	2013-05-08
SG8733	1987-01-01	3026	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	712	\N	\N	\N	\N	\N	2013-05-08
SG8735	1987-01-01	3027	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	418	\N	\N	\N	\N	\N	2013-05-08
SG8736	1987-01-01	3028	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	236	\N	\N	\N	\N	\N	2013-05-08
SG8737	1987-01-01	3029	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	1048	\N	\N	\N	\N	\N	2013-05-08
SG8752	1987-01-01	3030	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	393	\N	\N	\N	\N	\N	2013-05-08
SG8758	1987-01-01	3031	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1987-12-31	1987-01-01	1987-12-31	9030	\N	\N	\N	\N	\N	2013-05-08
SH8701	1987-01-01	3032	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	147	\N	\N	\N	\N	\N	2013-05-08
SH8702	1987-01-01	3033	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	631	\N	\N	\N	\N	\N	2013-05-08
SH8703	1987-01-01	3034	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	75	\N	\N	\N	\N	\N	2013-05-08
SH8704	1987-01-01	3035	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	232	\N	\N	\N	\N	\N	2013-05-08
SH8705	1987-01-01	3036	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	391	\N	\N	\N	\N	\N	2013-05-08
SH8706	1987-01-01	3037	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	1472	\N	\N	\N	\N	\N	2013-05-08
SH8707	1987-01-01	3038	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	546	\N	\N	\N	\N	\N	2013-05-08
SH8708	1987-01-01	3039	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	228	\N	\N	\N	\N	\N	2013-05-08
SH8709	1987-01-01	3040	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	320	\N	\N	\N	\N	\N	2013-05-08
SH8710	1987-01-01	3041	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	235	\N	\N	\N	\N	\N	2013-05-08
SH8711	1987-01-01	3042	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	86	\N	\N	\N	\N	\N	2013-05-08
SH8712	1987-01-01	3043	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1987-12-31	1987-01-01	1987-12-31	813	\N	\N	\N	\N	\N	2013-05-08
ST8701	1987-01-01	3045	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	19819	\N	\N	\N	\N	\N	2013-05-08
ST8702	1987-01-01	3046	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	46	\N	\N	\N	\N	\N	2013-05-08
ST8703	1987-01-01	3047	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	455	\N	\N	\N	\N	\N	2013-05-08
ST8704	1987-01-01	3048	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	562	\N	\N	\N	\N	\N	2013-05-08
ST8705	1987-01-01	3049	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	1106	\N	\N	\N	\N	\N	2013-05-08
ST8706	1987-01-01	3050	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	384	\N	\N	\N	\N	\N	2013-05-08
ST8707	1987-01-01	3051	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	1465	\N	\N	\N	\N	\N	2013-05-08
ST8708	1987-01-01	3052	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	2561	\N	\N	\N	\N	\N	2013-05-08
ST8709	1987-01-01	3053	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	156	\N	\N	\N	\N	\N	2013-05-08
ST8710	1987-01-01	3054	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	194	\N	\N	\N	\N	\N	2013-05-08
ST8711	1987-01-01	3055	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	445	\N	\N	\N	\N	\N	2013-05-08
ST8712	1987-01-01	3056	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	1172	\N	\N	\N	\N	\N	2013-05-08
ST8713	1987-01-01	3057	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	82	\N	\N	\N	\N	\N	2013-05-08
ST8715	1987-01-01	3058	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	125	\N	\N	\N	\N	\N	2013-05-08
ST8716	1987-01-01	3059	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	761	\N	\N	\N	\N	\N	2013-05-08
ST8717	1987-01-01	3060	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	1105	\N	\N	\N	\N	\N	2013-05-08
ST8718	1987-01-01	3061	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	343	\N	\N	\N	\N	\N	2013-05-08
ST8719	1987-01-01	3062	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	146	\N	\N	\N	\N	\N	2013-05-08
ST8723	1987-01-01	3063	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	16	\N	\N	\N	\N	\N	2013-05-08
ST8724	1987-01-01	3064	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	28	\N	\N	\N	\N	\N	2013-05-08
ST8725	1987-01-01	3065	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1987-12-31	1987-01-01	1987-12-31	101	\N	\N	\N	\N	\N	2013-05-08
TO8701	1987-01-01	3066	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1987-12-31	1987-01-01	1987-12-31	132	\N	\N	\N	\N	\N	2013-05-08
TO8702	1987-01-01	3067	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1987-12-31	1987-01-01	1987-12-31	633	\N	\N	\N	\N	\N	2013-05-08
TO8714	1987-01-01	3068	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1987-12-31	1987-01-01	1987-12-31	294	\N	\N	\N	\N	\N	2013-05-08
TO8717	1987-01-01	3069	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1987-12-31	1987-01-01	1987-12-31	313	\N	\N	\N	\N	\N	2013-05-08
XB-87	1987-01-01	3077	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1987-12-31	1987-01-01	1987-12-31	210	\N	\N	\N	\N	\N	2013-05-08
XU-87	1987-01-01	3078	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1987-12-31	1987-01-01	1987-12-31	107	\N	\N	\N	\N	\N	2013-05-08
AHL8822	1988-01-01	3079	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1988-12-31	1988-01-01	1988-12-31	165	\N	\N	\N	\N	\N	2013-05-08
AN88-9Q6-1	1988-01-01	3080	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1988-12-31	1988-01-01	1988-12-31	617	\N	\N	\N	\N	\N	2013-05-08
AN88-9Q6-2	1988-01-01	3081	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1988-12-31	1988-01-01	1988-12-31	121	\N	\N	\N	\N	\N	2013-05-08
AN88-9Q6-3	1988-01-01	3082	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1988-12-31	1988-01-01	1988-12-31	140	\N	\N	\N	\N	\N	2013-05-08
AN88-9Q6-4	1988-01-01	3083	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1988-12-31	1988-01-01	1988-12-31	1166	\N	\N	\N	\N	\N	2013-05-08
B-88	1988-01-01	3084	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	1988-12-31	1988-01-01	1988-12-31	6594	\N	\N	\N	\N	\N	2013-05-08
BP-88	1988-01-01	3085	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1988-12-31	1988-01-01	1988-12-31	428	\N	\N	\N	\N	\N	2013-05-08
BP-88-2	1988-01-01	3086	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1988-12-31	1988-01-01	1988-12-31	472	\N	\N	\N	\N	\N	2013-05-08
BPN8801	1988-01-01	3087	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1988-12-31	1988-01-01	1988-12-31	917	\N	\N	\N	\N	\N	2013-05-08
BPN8802	1988-01-01	3088	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1988-12-31	1988-01-01	1988-12-31	1830	\N	\N	\N	\N	\N	2013-05-08
BPN8804	1988-01-01	3089	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1988-12-31	1988-01-01	1988-12-31	340	\N	\N	\N	\N	\N	2013-05-08
CN1-88	1988-01-01	3090	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1988-12-31	1988-01-01	1988-12-31	1381	\N	\N	\N	\N	\N	2013-05-08
EB-88	1988-01-01	3091	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1988-12-31	1988-01-01	1988-12-31	673	\N	\N	\N	\N	\N	2013-05-08
EL-88	1988-01-01	3092	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	26	\N	\N	\N	\N	\N	2013-05-08
EL-8801	1988-01-01	3093	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	5299	\N	\N	\N	\N	\N	2013-05-08
EL-8802	1988-01-01	3094	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	250	\N	\N	\N	\N	\N	2013-05-08
EL-8803	1988-01-01	3095	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	950	\N	\N	\N	\N	\N	2013-05-08
EL-8804	1988-01-01	3096	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	863	\N	\N	\N	\N	\N	2013-05-08
EL-8806	1988-01-01	3097	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	148	\N	\N	\N	\N	\N	2013-05-08
EL-8807-2D	1988-01-01	3098	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	222	\N	\N	\N	\N	\N	2013-05-08
EL-8807	1988-01-01	3099	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	5307	\N	\N	\N	\N	\N	2013-05-08
EL-8808	1988-01-01	3100	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	659	\N	\N	\N	\N	\N	2013-05-08
EL-8809	1988-01-01	3101	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	330	\N	\N	\N	\N	\N	2013-05-08
EL-8811	1988-01-01	3102	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	90	\N	\N	\N	\N	\N	2013-05-08
EL88	1988-01-01	3103	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	26	\N	\N	\N	\N	\N	2013-05-08
EU-88	1988-01-01	3104	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1988-12-31	1988-01-01	1988-12-31	195	\N	\N	\N	\N	\N	2013-05-08
F88-24-9	1988-01-01	3105	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1988-12-31	1988-01-01	1988-12-31	178	\N	\N	\N	\N	\N	2013-05-08
F88-24-9-1	1988-01-01	3106	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1988-12-31	1988-01-01	1988-12-31	68	\N	\N	\N	\N	\N	2013-05-08
F88-24-9-2	1988-01-01	3107	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1988-12-31	1988-01-01	1988-12-31	66	\N	\N	\N	\N	\N	2013-05-08
F88-3	1988-01-01	3108	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1988-12-31	1988-01-01	1988-12-31	493	\N	\N	\N	\N	\N	2013-05-08
F88-30	1988-01-01	3109	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1988-12-31	1988-01-01	1988-12-31	248	\N	\N	\N	\N	\N	2013-05-08
FRD-88	1988-01-01	3110	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1988-12-31	1988-01-01	1988-12-31	1633	\N	\N	\N	\N	\N	2013-05-08
FSB-88	1988-01-01	3111	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1988-12-31	1988-01-01	1988-12-31	2206	\N	\N	\N	\N	\N	2013-05-08
G2/6-88	1988-01-01	3112	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1988-12-31	1988-01-01	1988-12-31	617	\N	\N	\N	\N	\N	2013-05-08
GBW-88	1988-01-01	3113	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1988-12-31	1988-01-01	1988-12-31	4957	\N	\N	\N	\N	\N	2013-05-08
GEBB-88	1988-01-01	3114	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1988-12-31	1988-01-01	1988-12-31	1510	\N	\N	\N	\N	\N	2013-05-08
GUH-88	1988-01-01	3115	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1988-12-31	1988-01-01	1988-12-31	993	\N	\N	\N	\N	\N	2013-05-08
GVW-88	1988-01-01	3116	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1988-12-31	1988-01-01	1988-12-31	257	\N	\N	\N	\N	\N	2013-05-08
HD1-88	1988-01-01	3117	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1988-12-31	1988-01-01	1988-12-31	223	\N	\N	\N	\N	\N	2013-05-08
HR-89	1988-01-01	3118	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1988-12-31	1988-01-01	1988-12-31	1343	\N	\N	\N	\N	\N	2013-05-08
MD-88	1988-01-01	3119	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1988-12-31	1988-01-01	1988-12-31	256	\N	\N	\N	\N	\N	2013-05-08
MN88	1988-01-01	3120	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1988-12-31	1988-01-01	1988-12-31	999	\N	\N	\N	\N	\N	2013-05-08
MN88-1	1988-01-01	3121	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1988-12-31	1988-01-01	1988-12-31	331	\N	\N	\N	\N	\N	2013-05-08
MN88-2	1988-01-01	3122	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1988-12-31	1988-01-01	1988-12-31	1354	\N	\N	\N	\N	\N	2013-05-08
MN88-3	1988-01-01	3123	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1988-12-31	1988-01-01	1988-12-31	1060	\N	\N	\N	\N	\N	2013-05-08
MN88-4	1988-01-01	3124	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1988-12-31	1988-01-01	1988-12-31	295	\N	\N	\N	\N	\N	2013-05-08
MN88-5	1988-01-01	3125	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1988-12-31	1988-01-01	1988-12-31	1320	\N	\N	\N	\N	\N	2013-05-08
MN88-6	1988-01-01	3126	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1988-12-31	1988-01-01	1988-12-31	114	\N	\N	\N	\N	\N	2013-05-08
MNT-88	1988-01-01	3127	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1988-12-31	1988-01-01	1988-12-31	1055	\N	\N	\N	\N	\N	2013-05-08
NG26-88	1988-01-01	3128	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1988-12-31	1988-01-01	1988-12-31	1277	\N	\N	\N	\N	\N	2013-05-08
NH8801-2D	1988-01-01	3129	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1988-12-31	1988-01-01	1988-12-31	51	\N	\N	\N	\N	\N	2013-05-08
NH8801	1988-01-01	3130	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1988-12-31	1988-01-01	1988-12-31	2340	\N	\N	\N	\N	\N	2013-05-08
NH8802	1988-01-01	3131	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1988-12-31	1988-01-01	1988-12-31	291	\N	\N	\N	\N	\N	2013-05-08
NH8803	1988-01-01	3132	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1988-12-31	1988-01-01	1988-12-31	113	\N	\N	\N	\N	\N	2013-05-08
NH8804	1988-01-01	3133	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1988-12-31	1988-01-01	1988-12-31	119	\N	\N	\N	\N	\N	2013-05-08
NH8806	1988-01-01	3134	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1988-12-31	1988-01-01	1988-12-31	326	\N	\N	\N	\N	\N	2013-05-08
NH8807	1988-01-01	3135	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1988-12-31	1988-01-01	1988-12-31	63	\N	\N	\N	\N	\N	2013-05-08
NH8831	1988-01-01	3136	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1988-12-31	1988-01-01	1988-12-31	3078	\N	\N	\N	\N	\N	2013-05-08
NOD10-88	1988-01-01	3137	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1988-12-31	1988-01-01	1988-12-31	561	\N	\N	\N	\N	\N	2013-05-08
NOD9-88	1988-01-01	3138	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1988-12-31	1988-01-01	1988-12-31	331	\N	\N	\N	\N	\N	2013-05-08
NPD-BA-88	1988-01-01	3139	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1988-12-31	1988-01-01	1988-12-31	6786	\N	\N	\N	\N	\N	2013-05-08
NPD-HOP-88	1988-01-01	3140	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1988-12-31	1988-01-01	1988-12-31	188	\N	\N	\N	\N	\N	2013-05-08
NPD-JM-88	1988-01-01	3141	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1988-12-31	1988-01-01	1988-12-31	990	\N	\N	\N	\N	\N	2013-05-08
NPD-LOFO-88	1988-01-01	3142	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1988-12-31	1988-01-01	1988-12-31	2476	\N	\N	\N	\N	\N	2013-05-08
NPD-MB-88	1988-01-01	3143	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1988-12-31	1988-01-01	1988-12-31	603	\N	\N	\N	\N	\N	2013-05-08
NPD-TR-88	1988-01-01	3144	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1988-12-31	1988-01-01	1988-12-31	56	\N	\N	\N	\N	\N	2013-05-08
NPD-VØRB-88	1988-01-01	3145	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1988-12-31	1988-01-01	1988-12-31	680	\N	\N	\N	\N	\N	2013-05-08
NVGT-88	1988-01-01	3146	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1988-12-31	1988-01-01	1988-12-31	3611	\N	\N	\N	\N	\N	2013-05-08
PC-88	1988-01-01	3147	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1988-12-31	1988-01-01	1988-12-31	2201	\N	\N	\N	\N	\N	2013-05-08
PC88	1988-01-01	3148	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Phillips Petroleum Company Norway	1988-12-31	1988-01-01	1988-12-31	5095	\N	\N	\N	\N	\N	2013-05-08
SG8803	1988-01-01	3150	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1988-12-31	1988-01-01	1988-12-31	415	\N	\N	\N	\N	\N	2013-05-08
SG8820	1988-01-01	3151	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1988-12-31	1988-01-01	1988-12-31	296	\N	\N	\N	\N	\N	2013-05-08
SG8821	1988-01-01	3152	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1988-12-31	1988-01-01	1988-12-31	183	\N	\N	\N	\N	\N	2013-05-08
SG8837	1988-01-01	3153	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1988-12-31	1988-01-01	1988-12-31	1179	\N	\N	\N	\N	\N	2013-05-08
SG8848	1988-01-01	3154	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1988-12-31	1988-01-01	1988-12-31	185	\N	\N	\N	\N	\N	2013-05-08
SG8851	1988-01-01	3155	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1988-12-31	1988-01-01	1988-12-31	575	\N	\N	\N	\N	\N	2013-05-08
SG8871	1988-01-01	3156	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1988-12-31	1988-01-01	1988-12-31	584	\N	\N	\N	\N	\N	2013-05-08
SH-88-9	1988-01-01	3157	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SH8801	1988-01-01	3158	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	405	\N	\N	\N	\N	\N	2013-05-08
SH8802	1988-01-01	3159	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	82	\N	\N	\N	\N	\N	2013-05-08
SH8803	1988-01-01	3160	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	461	\N	\N	\N	\N	\N	2013-05-08
SH8804	1988-01-01	3161	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	263	\N	\N	\N	\N	\N	2013-05-08
SH8805	1988-01-01	3162	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	98	\N	\N	\N	\N	\N	2013-05-08
SH8806	1988-01-01	3163	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	1180	\N	\N	\N	\N	\N	2013-05-08
SH8807	1988-01-01	3164	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	337	\N	\N	\N	\N	\N	2013-05-08
SH8808	1988-01-01	3165	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	403	\N	\N	\N	\N	\N	2013-05-08
SH8809	1988-01-01	3166	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	759	\N	\N	\N	\N	\N	2013-05-08
SH8810	1988-01-01	3167	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	585	\N	\N	\N	\N	\N	2013-05-08
SH8811	1988-01-01	3168	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1988-12-31	1988-01-01	1988-12-31	235	\N	\N	\N	\N	\N	2013-05-08
ST8720	1988-01-01	3169	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	16706	\N	\N	\N	\N	\N	2013-05-08
ST8801	1988-01-01	3170	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	12580	\N	\N	\N	\N	\N	2013-05-08
ST8802	1988-01-01	3171	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	21595	\N	\N	\N	\N	\N	2013-05-08
ST8803	1988-01-01	3172	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	185	\N	\N	\N	\N	\N	2013-05-08
ST8804	1988-01-01	3173	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	2038	\N	\N	\N	\N	\N	2013-05-08
ST8805	1988-01-01	3174	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	183	\N	\N	\N	\N	\N	2013-05-08
ST8806	1988-01-01	3175	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	204	\N	\N	\N	\N	\N	2013-05-08
ST8807	1988-01-01	3176	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	30	\N	\N	\N	\N	\N	2013-05-08
ST8808	1988-01-01	3177	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	1193	\N	\N	\N	\N	\N	2013-05-08
ST8809	1988-01-01	3178	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	63	\N	\N	\N	\N	\N	2013-05-08
ST8810	1988-01-01	3179	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	478	\N	\N	\N	\N	\N	2013-05-08
ST8811	1988-01-01	3180	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	61	\N	\N	\N	\N	\N	2013-05-08
ST8812	1988-01-01	3181	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	108	\N	\N	\N	\N	\N	2013-05-08
ST8813	1988-01-01	3182	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	566	\N	\N	\N	\N	\N	2013-05-08
ST8814	1988-01-01	3183	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	289	\N	\N	\N	\N	\N	2013-05-08
ST8815	1988-01-01	3184	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	740	\N	\N	\N	\N	\N	2013-05-08
ST8817	1988-01-01	3185	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	2105	\N	\N	\N	\N	\N	2013-05-08
ST8818	1988-01-01	3186	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	114	\N	\N	\N	\N	\N	2013-05-08
ST8819	1988-01-01	3187	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	245	\N	\N	\N	\N	\N	2013-05-08
ST8820	1988-01-01	3188	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	363	\N	\N	\N	\N	\N	2013-05-08
ST8821	1988-01-01	3189	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	217	\N	\N	\N	\N	\N	2013-05-08
ST8822	1988-01-01	3190	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	576	\N	\N	\N	\N	\N	2013-05-08
ST8823	1988-01-01	3191	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	742	\N	\N	\N	\N	\N	2013-05-08
ST8825	1988-01-01	3192	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	554	\N	\N	\N	\N	\N	2013-05-08
ST8826	1988-01-01	3193	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1988-12-31	1988-01-01	1988-12-31	1348	\N	\N	\N	\N	\N	2013-05-08
TO-8813-3D	1988-01-01	3194	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Total Norge AS	1988-12-31	1988-01-01	1988-12-31	9713	\N	\N	\N	\N	\N	2013-05-08
AHN8930	1989-01-01	3196	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1989-12-31	1989-01-01	1989-12-31	330	\N	\N	\N	\N	\N	2013-05-08
AMGC-189	1989-01-01	3197	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	403	\N	\N	\N	\N	\N	2013-05-08
AMGC-289	1989-01-01	3198	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	106	\N	\N	\N	\N	\N	2013-05-08
AMGC-389	1989-01-01	3199	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	373	\N	\N	\N	\N	\N	2013-05-08
ANO-8901	1989-01-01	3200	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1989-12-31	1989-01-01	1989-12-31	674	\N	\N	\N	\N	\N	2013-05-08
AWI-ANT89	1989-01-01	3201	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	ALFRED WEGENER INSTITUT FUR POLAR UND MEERESFORSHNUG	1989-12-31	1989-01-01	1989-12-31	269	\N	\N	\N	\N	\N	2013-05-08
BPCNS-89	1989-01-01	3202	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1989-12-31	1989-01-01	1989-12-31	354	\N	\N	\N	\N	\N	2013-05-08
BPN8803	1989-01-01	3203	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1989-12-31	1989-01-01	1989-12-31	1059	\N	\N	\N	\N	\N	2013-05-08
BPN8901	1989-01-01	3204	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1989-12-31	1989-01-01	1989-12-31	475	\N	\N	\N	\N	\N	2013-05-08
BPN8902	1989-01-01	3205	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1989-12-31	1989-01-01	1989-12-31	2268	\N	\N	\N	\N	\N	2013-05-08
CA-89	1989-01-01	3206	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1989-12-31	1989-01-01	1989-12-31	654	\N	\N	\N	\N	\N	2013-05-08
CAST-89	1989-01-01	3207	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1989-12-31	1989-01-01	1989-12-31	6293	\N	\N	\N	\N	\N	2013-05-08
CBP-1689	1989-01-01	3208	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1989-12-31	1989-01-01	1989-12-31	1242	\N	\N	\N	\N	\N	2013-05-08
CGDT-89	1989-01-01	3209	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	1154	\N	\N	\N	\N	\N	2013-05-08
CGDT-TEST	1989-01-01	3210	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	1154	\N	\N	\N	\N	\N	2013-05-08
E-89I	1989-01-01	3211	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Enterprise Oil Norwegian AS	1989-12-31	1989-01-01	1989-12-31	86	\N	\N	\N	\N	\N	2013-05-08
EL-8902	1989-01-01	3212	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1989-12-31	1989-01-01	1989-12-31	830	\N	\N	\N	\N	\N	2013-05-08
EN-8901	1989-01-01	3213	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Enterprise Oil Norwegian AS	1989-12-31	1989-01-01	1989-12-31	536	\N	\N	\N	\N	\N	2013-05-08
ESBT-89	1989-01-01	3214	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1989-12-31	1989-01-01	1989-12-31	3012	\N	\N	\N	\N	\N	2013-05-08
EU-89	1989-01-01	3215	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1989-12-31	1989-01-01	1989-12-31	485	\N	\N	\N	\N	\N	2013-05-08
EU-89-1	1989-01-01	3216	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1989-12-31	1989-01-01	1989-12-31	53	\N	\N	\N	\N	\N	2013-05-08
FEC89	1989-01-01	3217	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1989-12-31	1989-01-01	1989-12-31	1223	\N	\N	\N	\N	\N	2013-05-08
FI-89	1989-01-01	3218	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1989-12-31	1989-01-01	1989-12-31	685	\N	\N	\N	\N	\N	2013-05-08
FI-UK89-3D	1989-01-01	3219	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Fina Production Licenses AS	1989-12-31	1989-01-01	1989-12-31	2892	\N	\N	\N	\N	\N	2013-05-08
FI89	1989-01-01	3220	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Fina Production Licenses AS	1989-12-31	1989-01-01	1989-12-31	3267	\N	\N	\N	\N	\N	2013-05-08
FIUK89	1989-01-01	3221	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Fina Production Licenses AS	1989-12-31	1989-01-01	1989-12-31	2892	\N	\N	\N	\N	\N	2013-05-08
FSB-89	1989-01-01	3222	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1989-12-31	1989-01-01	1989-12-31	846	\N	\N	\N	\N	\N	2013-05-08
FTD-89	1989-01-01	3223	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1989-12-31	1989-01-01	1989-12-31	804	\N	\N	\N	\N	\N	2013-05-08
GBWI-89	1989-01-01	3224	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	1645	\N	\N	\N	\N	\N	2013-05-08
GBWI-E89	1989-01-01	3225	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	410	\N	\N	\N	\N	\N	2013-05-08
GE8901	1989-01-01	3226	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1989-12-31	1989-01-01	1989-12-31	723	\N	\N	\N	\N	\N	2013-05-08
GE8902	1989-01-01	3227	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1989-12-31	1989-01-01	1989-12-31	674	\N	\N	\N	\N	\N	2013-05-08
GES-89	1989-01-01	3228	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	793	\N	\N	\N	\N	\N	2013-05-08
LHSG-89	1989-01-01	3229	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1989-12-31	1989-01-01	1989-12-31	1802	\N	\N	\N	\N	\N	2013-05-08
MD-89	1989-01-01	3230	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1989-12-31	1989-01-01	1989-12-31	559	\N	\N	\N	\N	\N	2013-05-08
MN89	1989-01-01	3231	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	2430	\N	\N	\N	\N	\N	2013-05-08
MN89-1	1989-01-01	3232	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	2221	\N	\N	\N	\N	\N	2013-05-08
MN89-10	1989-01-01	3233	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	463	\N	\N	\N	\N	\N	2013-05-08
MN89-11	1989-01-01	3234	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	187	\N	\N	\N	\N	\N	2013-05-08
MN89-12	1989-01-01	3235	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1989-12-31	1989-01-01	1989-12-31	147	\N	\N	\N	\N	\N	2013-05-08
MN89-13	1989-01-01	3236	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	421	\N	\N	\N	\N	\N	2013-05-08
MN89-14	1989-01-01	3237	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	497	\N	\N	\N	\N	\N	2013-05-08
MN89-2	1989-01-01	3238	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	755	\N	\N	\N	\N	\N	2013-05-08
MN89-3	1989-01-01	3239	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	320	\N	\N	\N	\N	\N	2013-05-08
MN89-4	1989-01-01	3240	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	303	\N	\N	\N	\N	\N	2013-05-08
MN89-5	1989-01-01	3241	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	254	\N	\N	\N	\N	\N	2013-05-08
MN89-6	1989-01-01	3242	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	73	\N	\N	\N	\N	\N	2013-05-08
MN89-7	1989-01-01	3243	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	71	\N	\N	\N	\N	\N	2013-05-08
MN89-8	1989-01-01	3244	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	76	\N	\N	\N	\N	\N	2013-05-08
MN89-9	1989-01-01	3245	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1989-12-31	1989-01-01	1989-12-31	35	\N	\N	\N	\N	\N	2013-05-08
NBNC90	1989-01-01	3246	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1989-12-31	1989-01-01	1989-12-31	2003	\N	\N	\N	\N	\N	2013-05-08
NEB-89	1989-01-01	3247	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	2119	\N	\N	\N	\N	\N	2013-05-08
NH8901	1989-01-01	3248	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1989-12-31	1989-01-01	1989-12-31	14024	\N	\N	\N	\N	\N	2013-05-08
NH8902-2D	1989-01-01	3249	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1989-12-31	1989-01-01	1989-12-31	1181	\N	\N	\N	\N	\N	2013-05-08
NH8902	1989-01-01	3250	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1989-12-31	1989-01-01	1989-12-31	22958	\N	\N	\N	\N	\N	2013-05-08
NH8903	1989-01-01	3251	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1989-12-31	1989-01-01	1989-12-31	100	\N	\N	\N	\N	\N	2013-05-08
NH8904	1989-01-01	3252	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1989-12-31	1989-01-01	1989-12-31	132	\N	\N	\N	\N	\N	2013-05-08
NH8906	1989-01-01	3253	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1989-12-31	1989-01-01	1989-12-31	1342	\N	\N	\N	\N	\N	2013-05-08
NH8907	1989-01-01	3254	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1989-12-31	1989-01-01	1989-12-31	104	\N	\N	\N	\N	\N	2013-05-08
NH8908	1989-01-01	3255	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1989-12-31	1989-01-01	1989-12-31	119	\N	\N	\N	\N	\N	2013-05-08
NNS-89	1989-01-01	3256	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1989-12-31	1989-01-01	1989-12-31	1629	\N	\N	\N	\N	\N	2013-05-08
NPD-LOFO-89	1989-01-01	3257	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1989-12-31	1989-01-01	1989-12-31	1093	\N	\N	\N	\N	\N	2013-05-08
NPD-MOFF-89	1989-01-01	3258	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1989-12-31	1989-01-01	1989-12-31	573	\N	\N	\N	\N	\N	2013-05-08
NPD-NS-89	1989-01-01	3259	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1989-12-31	1989-01-01	1989-12-31	127	\N	\N	\N	\N	\N	2013-05-08
NPD-SB-89	1989-01-01	3260	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1989-12-31	1989-01-01	1989-12-31	35	\N	\N	\N	\N	\N	2013-05-08
NPD-SPIB-89	1989-01-01	3261	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1989-12-31	1989-01-01	1989-12-31	1287	\N	\N	\N	\N	\N	2013-05-08
NPD-STOB-89	1989-01-01	3262	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1989-12-31	1989-01-01	1989-12-31	2874	\N	\N	\N	\N	\N	2013-05-08
NPD-VØRB-89	1989-01-01	3263	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1989-12-31	1989-01-01	1989-12-31	3717	\N	\N	\N	\N	\N	2013-05-08
NQ9-89	1989-01-01	3264	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	1136	\N	\N	\N	\N	\N	2013-05-08
NVGP-89	1989-01-01	3265	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	579	\N	\N	\N	\N	\N	2013-05-08
PC8802	1989-01-01	3266	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Phillips Petroleum Company Norway	1989-12-31	1989-01-01	1989-12-31	11862	\N	\N	\N	\N	\N	2013-05-08
SE-89	1989-01-01	3267	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Sevoteam	1989-12-31	1989-01-01	1989-12-31	1009	\N	\N	\N	\N	\N	2013-05-08
SG8910	1989-01-01	3268	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1989-12-31	1989-01-01	1989-12-31	314	\N	\N	\N	\N	\N	2013-05-08
SG8952	1989-01-01	3269	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1989-12-31	1989-01-01	1989-12-31	313	\N	\N	\N	\N	\N	2013-05-08
SG8956	1989-01-01	3270	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1989-12-31	1989-01-01	1989-12-31	228	\N	\N	\N	\N	\N	2013-05-08
SG8962	1989-01-01	3271	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1989-12-31	1989-01-01	1989-12-31	418	\N	\N	\N	\N	\N	2013-05-08
SG8964	1989-01-01	3272	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1989-12-31	1989-01-01	1989-12-31	49	\N	\N	\N	\N	\N	2013-05-08
SG8965	1989-01-01	3273	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1989-12-31	1989-01-01	1989-12-31	233	\N	\N	\N	\N	\N	2013-05-08
SG8967	1989-01-01	3274	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1989-12-31	1989-01-01	1989-12-31	814	\N	\N	\N	\N	\N	2013-05-08
SG8970	1989-01-01	3275	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1989-12-31	1989-01-01	1989-12-31	123	\N	\N	\N	\N	\N	2013-05-08
SG8971	1989-01-01	3276	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1989-12-31	1989-01-01	1989-12-31	124	\N	\N	\N	\N	\N	2013-05-08
SH8901	1989-01-01	3277	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1989-12-31	1989-01-01	1989-12-31	82	\N	\N	\N	\N	\N	2013-05-08
SH8902	1989-01-01	3278	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1989-12-31	1989-01-01	1989-12-31	649	\N	\N	\N	\N	\N	2013-05-08
SH8903	1989-01-01	3279	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1989-12-31	1989-01-01	1989-12-31	318	\N	\N	\N	\N	\N	2013-05-08
SH8904	1989-01-01	3280	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1989-12-31	1989-01-01	1989-12-31	264	\N	\N	\N	\N	\N	2013-05-08
SH8905	1989-01-01	3281	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1989-12-31	1989-01-01	1989-12-31	870	\N	\N	\N	\N	\N	2013-05-08
SH8906	1989-01-01	3282	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1989-12-31	1989-01-01	1989-12-31	138	\N	\N	\N	\N	\N	2013-05-08
SH8907	1989-01-01	3283	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1989-12-31	1989-01-01	1989-12-31	355	\N	\N	\N	\N	\N	2013-05-08
SH8908	1989-01-01	3284	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1989-12-31	1989-01-01	1989-12-31	346	\N	\N	\N	\N	\N	2013-05-08
SH8909	1989-01-01	3285	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1989-12-31	1989-01-01	1989-12-31	385	\N	\N	\N	\N	\N	2013-05-08
SH8910	1989-01-01	3286	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1989-12-31	1989-01-01	1989-12-31	1526	\N	\N	\N	\N	\N	2013-05-08
SH8911	1989-01-01	3287	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1989-12-31	1989-01-01	1989-12-31	123	\N	\N	\N	\N	\N	2013-05-08
SMB-88	1989-01-01	3288	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1989-12-31	1989-01-01	1989-12-31	2346	\N	\N	\N	\N	\N	2013-05-08
SOTD-90	1989-01-01	3289	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1989-12-31	1989-01-01	1989-12-31	608	\N	\N	\N	\N	\N	2013-05-08
SSD-89	1989-01-01	3290	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1989-12-31	1989-01-01	1989-12-31	557	\N	\N	\N	\N	\N	2013-05-08
ST8901	1989-01-01	3291	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1989-12-31	1989-01-01	1989-12-31	253	\N	\N	\N	\N	\N	2013-05-08
ST8902	1989-01-01	3292	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1989-12-31	1989-01-01	1989-12-31	234	\N	\N	\N	\N	\N	2013-05-08
ST8903	1989-01-01	3293	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1989-12-31	1989-01-01	1989-12-31	23	\N	\N	\N	\N	\N	2013-05-08
ST8904	1989-01-01	3294	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1989-12-31	1989-01-01	1989-12-31	54	\N	\N	\N	\N	\N	2013-05-08
ST8905	1989-01-01	3295	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1989-12-31	1989-01-01	1989-12-31	2936	\N	\N	\N	\N	\N	2013-05-08
ST8906	1989-01-01	3296	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1989-12-31	1989-01-01	1989-12-31	845	\N	\N	\N	\N	\N	2013-05-08
ST8907	1989-01-01	3297	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1989-12-31	1989-01-01	1989-12-31	17	\N	\N	\N	\N	\N	2013-05-08
ST8908	1989-01-01	3298	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1989-12-31	1989-01-01	1989-12-31	196	\N	\N	\N	\N	\N	2013-05-08
T-89	1989-01-01	3299	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	2085	\N	\N	\N	\N	\N	2013-05-08
TSE-89	1989-01-01	3300	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1989-12-31	1989-01-01	1989-12-31	1486	\N	\N	\N	\N	\N	2013-05-08
UK-89	1989-01-01	3301	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1989-12-31	1989-01-01	1989-12-31	68	\N	\N	\N	\N	\N	2013-05-08
VGD-89	1989-01-01	3302	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1989-12-31	1989-01-01	1989-12-31	3951	\N	\N	\N	\N	\N	2013-05-08
VGST-89	1989-01-01	3303	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1989-12-31	1989-01-01	1989-12-31	3188	\N	\N	\N	\N	\N	2013-05-08
AHN9002	1990-01-01	3304	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1990-12-31	1990-01-01	1990-12-31	436	\N	\N	\N	\N	\N	2013-05-08
AHN9035	1990-01-01	3305	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1990-12-31	1990-01-01	1990-12-31	308	\N	\N	\N	\N	\N	2013-05-08
ANO-9001	1990-01-01	3306	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1990-12-31	1990-01-01	1990-12-31	894	\N	\N	\N	\N	\N	2013-05-08
CAST-90	1990-01-01	3309	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1990-12-31	1990-01-01	1990-12-31	2986	\N	\N	\N	\N	\N	2013-05-08
EB90	1990-01-01	3310	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1990-12-31	1990-01-01	1990-12-31	11261	\N	\N	\N	\N	\N	2013-05-08
EL-9001	1990-01-01	3311	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1990-12-31	1990-01-01	1990-12-31	30	\N	\N	\N	\N	\N	2013-05-08
EU-90	1990-01-01	3312	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1990-12-31	1990-01-01	1990-12-31	2083	\N	\N	\N	\N	\N	2013-05-08
FEC-IKU-90	1990-01-01	3313	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1990-12-31	1990-01-01	1990-12-31	235	\N	\N	\N	\N	\N	2013-05-08
FEC90	1990-01-01	3314	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1990-12-31	1990-01-01	1990-12-31	1945	\N	\N	\N	\N	\N	2013-05-08
FRDE-90	1990-01-01	3315	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1990-12-31	1990-01-01	1990-12-31	1084	\N	\N	\N	\N	\N	2013-05-08
FTDE-91	1990-01-01	3316	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1990-12-31	1990-01-01	1990-12-31	1043	\N	\N	\N	\N	\N	2013-05-08
GSD-90	1990-01-01	3317	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1990-12-31	1990-01-01	1990-12-31	744	\N	\N	\N	\N	\N	2013-05-08
GVH-90	1990-01-01	3318	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1990-12-31	1990-01-01	1990-12-31	3045	\N	\N	\N	\N	\N	2013-05-08
IKU-LO-90	1990-01-01	3319	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	1990-12-31	1990-01-01	1990-12-31	958	\N	\N	\N	\N	\N	2013-05-08
MM90	1990-01-01	3320	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1990-12-31	1990-01-01	1990-12-31	548	\N	\N	\N	\N	\N	2013-05-08
MN9001	1990-01-01	3321	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1990-12-31	1990-01-01	1990-12-31	189	\N	\N	\N	\N	\N	2013-05-08
MN9002	1990-01-01	3322	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1990-12-31	1990-01-01	1990-12-31	138	\N	\N	\N	\N	\N	2013-05-08
MN9003	1990-01-01	3323	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1990-12-31	1990-01-01	1990-12-31	376	\N	\N	\N	\N	\N	2013-05-08
MN9004	1990-01-01	3324	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1990-12-31	1990-01-01	1990-12-31	270	\N	\N	\N	\N	\N	2013-05-08
NBGS-90	1990-01-01	3325	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1990-12-31	1990-01-01	1990-12-31	1220	\N	\N	\N	\N	\N	2013-05-08
NEST-90	1990-01-01	3326	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1990-12-31	1990-01-01	1990-12-31	1167	\N	\N	\N	\N	\N	2013-05-08
NH9001-2D	1990-01-01	3327	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1990-12-31	1990-01-01	1990-12-31	444	\N	\N	\N	\N	\N	2013-05-08
NH9001	1990-01-01	3328	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1990-12-31	1990-01-01	1990-12-31	28386	\N	\N	\N	\N	\N	2013-05-08
NH9005	1990-01-01	3329	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1990-12-31	1990-01-01	1990-12-31	138	\N	\N	\N	\N	\N	2013-05-08
NH9008	1990-01-01	3330	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1990-12-31	1990-01-01	1990-12-31	168	\N	\N	\N	\N	\N	2013-05-08
NH9009	1990-01-01	3331	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1990-12-31	1990-01-01	1990-12-31	129	\N	\N	\N	\N	\N	2013-05-08
NH9010	1990-01-01	3332	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1990-12-31	1990-01-01	1990-12-31	99	\N	\N	\N	\N	\N	2013-05-08
NH9101	1990-01-01	3333	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1990-12-31	1990-01-01	1990-12-31	34792	\N	\N	\N	\N	\N	2013-05-08
NPD-MB-90	1990-01-01	3334	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1990-12-31	1990-01-01	1990-12-31	207	\N	\N	\N	\N	\N	2013-05-08
NPD-MOFF-90	1990-01-01	3335	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1990-12-31	1990-01-01	1990-12-31	1472	\N	\N	\N	\N	\N	2013-05-08
NPD-NS-90	1990-01-01	3336	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1990-12-31	1990-01-01	1990-12-31	196	\N	\N	\N	\N	\N	2013-05-08
NPD-STOB-90	1990-01-01	3337	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1990-12-31	1990-01-01	1990-12-31	2865	\N	\N	\N	\N	\N	2013-05-08
NPD-VØRB-90	1990-01-01	3338	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1990-12-31	1990-01-01	1990-12-31	3880	\N	\N	\N	\N	\N	2013-05-08
PH-90	1990-01-01	3339	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1990-12-31	1990-01-01	1990-12-31	1145	\N	\N	\N	\N	\N	2013-05-08
RITA-90	1990-01-01	3340	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Mærsk Contractors	1990-12-31	1990-01-01	1990-12-31	5312	\N	\N	\N	\N	\N	2013-05-08
SG9009	1990-01-01	3341	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1990-12-31	1990-01-01	1990-12-31	567	\N	\N	\N	\N	\N	2013-05-08
SH-8912-3D	1990-01-01	3342	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1990-12-31	1990-01-01	1990-12-31	11436	\N	\N	\N	\N	\N	2013-05-08
SH9002-2D	1990-01-01	3343	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1990-12-31	1990-01-01	1990-12-31	91	\N	\N	\N	\N	\N	2013-05-08
SH9002	1990-01-01	3344	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1990-12-31	1990-01-01	1990-12-31	16073	\N	\N	\N	\N	\N	2013-05-08
SH9003	1990-01-01	3345	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1990-12-31	1990-01-01	1990-12-31	11785	\N	\N	\N	\N	\N	2013-05-08
SH9004	1990-01-01	3346	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1990-12-31	1990-01-01	1990-12-31	42396	\N	\N	\N	\N	\N	2013-05-08
SSE-91	1990-01-01	3347	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1990-12-31	1990-01-01	1990-12-31	750	\N	\N	\N	\N	\N	2013-05-08
ST9002-2D	1990-01-01	3348	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1990-12-31	1990-01-01	1990-12-31	80	\N	\N	\N	\N	\N	2013-05-08
ST9002	1990-01-01	3349	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1990-12-31	1990-01-01	1990-12-31	11264	\N	\N	\N	\N	\N	2013-05-08
ST9006	1990-01-01	3350	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1990-12-31	1990-01-01	1990-12-31	625	\N	\N	\N	\N	\N	2013-05-08
ST9007	1990-01-01	3351	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1990-12-31	1990-01-01	1990-12-31	228	\N	\N	\N	\N	\N	2013-05-08
ST9008	1990-01-01	3352	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1990-12-31	1990-01-01	1990-12-31	523	\N	\N	\N	\N	\N	2013-05-08
ST9009	1990-01-01	3353	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1990-12-31	1990-01-01	1990-12-31	20	\N	\N	\N	\N	\N	2013-05-08
TE90	1990-01-01	3354	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1990-12-31	1990-01-01	1990-12-31	1814	\N	\N	\N	\N	\N	2013-05-08
TGS90	1990-01-01	3355	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1990-12-31	1990-01-01	1990-12-31	972	\N	\N	\N	\N	\N	2013-05-08
TO9000	1990-01-01	3356	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1990-12-31	1990-01-01	1990-12-31	1071	\N	\N	\N	\N	\N	2013-05-08
UK-90	1990-01-01	3357	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1990-12-31	1990-01-01	1990-12-31	76	\N	\N	\N	\N	\N	2013-05-08
AHN9102	1991-01-01	3358	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1991-12-31	1991-01-01	1991-12-31	526	\N	\N	\N	\N	\N	2013-05-08
AHN9133	1991-01-01	3359	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1991-12-31	1991-01-01	1991-12-31	391	\N	\N	\N	\N	\N	2013-05-08
ANO-9101	1991-01-01	3360	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1991-12-31	1991-01-01	1991-12-31	1068	\N	\N	\N	\N	\N	2013-05-08
BBI-91	1991-01-01	3362	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	383	\N	\N	\N	\N	\N	2013-05-08
BPN7-91	1991-01-01	3363	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1991-12-31	1991-01-01	1991-12-31	126	\N	\N	\N	\N	\N	2013-05-08
BPN8-91	1991-01-01	3364	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1991-12-31	1991-01-01	1991-12-31	606	\N	\N	\N	\N	\N	2013-05-08
BPN8401	1991-01-01	3365	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1991-12-31	1991-01-01	1991-12-31	10310	\N	\N	\N	\N	\N	2013-05-08
BPN9102	1991-01-01	3366	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1991-12-31	1991-01-01	1991-12-31	17635	\N	\N	\N	\N	\N	2013-05-08
BPN9104	1991-01-01	3367	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1991-12-31	1991-01-01	1991-12-31	280	\N	\N	\N	\N	\N	2013-05-08
BPN9111-2D	1991-01-01	3368	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1991-12-31	1991-01-01	1991-12-31	273	\N	\N	\N	\N	\N	2013-05-08
BPN9111	1991-01-01	3369	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1991-12-31	1991-01-01	1991-12-31	20310	\N	\N	\N	\N	\N	2013-05-08
BSD91	1991-01-01	3370	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1991-12-31	1991-01-01	1991-12-31	407	\N	\N	\N	\N	\N	2013-05-08
CT-91	1991-01-01	3371	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Sevoteam	1991-12-31	1991-01-01	1991-12-31	2246	\N	\N	\N	\N	\N	2013-05-08
DG-91	1991-01-01	3372	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	1170	\N	\N	\N	\N	\N	2013-05-08
DG-91-3D	1991-01-01	3373	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	1111	\N	\N	\N	\N	\N	2013-05-08
DX91-156	1991-01-01	3374	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Deminex Norge AS	1991-12-31	1991-01-01	1991-12-31	163	\N	\N	\N	\N	\N	2013-05-08
DX91-156-1	1991-01-01	3375	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Deminex Norge AS	1991-12-31	1991-01-01	1991-12-31	1099	\N	\N	\N	\N	\N	2013-05-08
EL-9101	1991-01-01	3376	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1991-12-31	1991-01-01	1991-12-31	642	\N	\N	\N	\N	\N	2013-05-08
EL-9102	1991-01-01	3377	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1991-12-31	1991-01-01	1991-12-31	88	\N	\N	\N	\N	\N	2013-05-08
EL-9103	1991-01-01	3378	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1991-12-31	1991-01-01	1991-12-31	42	\N	\N	\N	\N	\N	2013-05-08
EL-9104	1991-01-01	3379	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1991-12-31	1991-01-01	1991-12-31	46	\N	\N	\N	\N	\N	2013-05-08
EL-9105	1991-01-01	3380	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1991-12-31	1991-01-01	1991-12-31	695	\N	\N	\N	\N	\N	2013-05-08
EL-9106	1991-01-01	3381	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1991-12-31	1991-01-01	1991-12-31	250	\N	\N	\N	\N	\N	2013-05-08
EP-91	1991-01-01	3382	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1991-12-31	1991-01-01	1991-12-31	153	\N	\N	\N	\N	\N	2013-05-08
EP-91-1	1991-01-01	3383	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1991-12-31	1991-01-01	1991-12-31	264	\N	\N	\N	\N	\N	2013-05-08
FH-91	1991-01-01	3384	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	1732	\N	\N	\N	\N	\N	2013-05-08
FHM-91	1991-01-01	3385	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	1320	\N	\N	\N	\N	\N	2013-05-08
G-3/4-91	1991-01-01	3386	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	621	\N	\N	\N	\N	\N	2013-05-08
G-9/4-91	1991-01-01	3387	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	749	\N	\N	\N	\N	\N	2013-05-08
GGE-91	1991-01-01	3388	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	1003	\N	\N	\N	\N	\N	2013-05-08
GGW-91	1991-01-01	3389	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	1679	\N	\N	\N	\N	\N	2013-05-08
GMSI-91	1991-01-01	3390	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	2147	\N	\N	\N	\N	\N	2013-05-08
GNSR-91	1991-01-01	3391	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	11322	\N	\N	\N	\N	\N	2013-05-08
HRT91	1991-01-01	3392	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1991-12-31	1991-01-01	1991-12-31	1968	\N	\N	\N	\N	\N	2013-05-08
HT91	1991-01-01	3393	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1991-12-31	1991-01-01	1991-12-31	224	\N	\N	\N	\N	\N	2013-05-08
HW-91	1991-01-01	3394	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	1312	\N	\N	\N	\N	\N	2013-05-08
MN9101	1991-01-01	3395	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1991-12-31	1991-01-01	1991-12-31	335	\N	\N	\N	\N	\N	2013-05-08
MN9102	1991-01-01	3396	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1991-12-31	1991-01-01	1991-12-31	140	\N	\N	\N	\N	\N	2013-05-08
MN9103	1991-01-01	3397	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1991-12-31	1991-01-01	1991-12-31	1018	\N	\N	\N	\N	\N	2013-05-08
MN9104	1991-01-01	3398	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1991-12-31	1991-01-01	1991-12-31	514	\N	\N	\N	\N	\N	2013-05-08
MN9105	1991-01-01	3399	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1991-12-31	1991-01-01	1991-12-31	861	\N	\N	\N	\N	\N	2013-05-08
MN9106	1991-01-01	3400	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1991-12-31	1991-01-01	1991-12-31	863	\N	\N	\N	\N	\N	2013-05-08
MNTST91	1991-01-01	3401	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1991-12-31	1991-01-01	1991-12-31	118	\N	\N	\N	\N	\N	2013-05-08
N6D-92	1991-01-01	3402	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	115	\N	\N	\N	\N	\N	2013-05-08
N7D-92	1991-01-01	3403	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	267	\N	\N	\N	\N	\N	2013-05-08
NH9102	1991-01-01	3404	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1991-12-31	1991-01-01	1991-12-31	1460	\N	\N	\N	\N	\N	2013-05-08
NH9103	1991-01-01	3405	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1991-12-31	1991-01-01	1991-12-31	393	\N	\N	\N	\N	\N	2013-05-08
NH9106	1991-01-01	3406	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1991-12-31	1991-01-01	1991-12-31	16762	\N	\N	\N	\N	\N	2013-05-08
NH9107	1991-01-01	3407	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1991-12-31	1991-01-01	1991-12-31	384	\N	\N	\N	\N	\N	2013-05-08
NH9109	1991-01-01	3408	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1991-12-31	1991-01-01	1991-12-31	1122	\N	\N	\N	\N	\N	2013-05-08
NH9110	1991-01-01	3409	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1991-12-31	1991-01-01	1991-12-31	542	\N	\N	\N	\N	\N	2013-05-08
NH9111-2D	1991-01-01	3410	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1991-12-31	1991-01-01	1991-12-31	92	\N	\N	\N	\N	\N	2013-05-08
NH9111	1991-01-01	3411	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1991-12-31	1991-01-01	1991-12-31	8593	\N	\N	\N	\N	\N	2013-05-08
NHP-91	1991-01-01	3412	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	1846	\N	\N	\N	\N	\N	2013-05-08
NOD6I-91	1991-01-01	3413	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	477	\N	\N	\N	\N	\N	2013-05-08
NPD-MB-91	1991-01-01	3414	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1991-12-31	1991-01-01	1991-12-31	2772	\N	\N	\N	\N	\N	2013-05-08
NPD-NF-91	1991-01-01	3415	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1991-12-31	1991-01-01	1991-12-31	1125	\N	\N	\N	\N	\N	2013-05-08
NPD-NS-91	1991-01-01	3416	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1991-12-31	1991-01-01	1991-12-31	269	\N	\N	\N	\N	\N	2013-05-08
NPD-SPIB-91	1991-01-01	3417	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1991-12-31	1991-01-01	1991-12-31	1746	\N	\N	\N	\N	\N	2013-05-08
NPD-STOB-91	1991-01-01	3418	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1991-12-31	1991-01-01	1991-12-31	780	\N	\N	\N	\N	\N	2013-05-08
NPD-VØRB-91	1991-01-01	3419	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1991-12-31	1991-01-01	1991-12-31	76	\N	\N	\N	\N	\N	2013-05-08
NPTN92	1991-01-01	3420	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1991-12-31	1991-01-01	1991-12-31	735	\N	\N	\N	\N	\N	2013-05-08
NPTS92	1991-01-01	3421	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1991-12-31	1991-01-01	1991-12-31	426	\N	\N	\N	\N	\N	2013-05-08
NSB-91	1991-01-01	3422	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	805	\N	\N	\N	\N	\N	2013-05-08
NVG-91-3D	1991-01-01	3423	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	10601	\N	\N	\N	\N	\N	2013-05-08
NVGTI-92	1991-01-01	3424	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	1510	\N	\N	\N	\N	\N	2013-05-08
ORYX-91	1991-01-01	3425	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oryx (UK) Energy Company	1991-12-31	1991-01-01	1991-12-31	65	\N	\N	\N	\N	\N	2013-05-08
PG91	1991-01-01	3426	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Phillips Petroleum Company Norway	1991-12-31	1991-01-01	1991-12-31	12358	\N	\N	\N	\N	\N	2013-05-08
SG9101	1991-01-01	3427	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	199	\N	\N	\N	\N	\N	2013-05-08
SG9102	1991-01-01	3428	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	88	\N	\N	\N	\N	\N	2013-05-08
SG9105	1991-01-01	3429	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	55	\N	\N	\N	\N	\N	2013-05-08
SG9106	1991-01-01	3430	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	1432	\N	\N	\N	\N	\N	2013-05-08
SG9107-2D	1991-01-01	3431	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	262	\N	\N	\N	\N	\N	2013-05-08
SG9107	1991-01-01	3432	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	20518	\N	\N	\N	\N	\N	2013-05-08
SG9110	1991-01-01	3433	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	530	\N	\N	\N	\N	\N	2013-05-08
SG9111	1991-01-01	3434	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	51058	\N	\N	\N	\N	\N	2013-05-08
SG9113	1991-01-01	3435	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	282	\N	\N	\N	\N	\N	2013-05-08
SG9115	1991-01-01	3436	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	250	\N	\N	\N	\N	\N	2013-05-08
SH-9106-3D	1991-01-01	3437	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1991-12-31	1991-01-01	1991-12-31	18547	\N	\N	\N	\N	\N	2013-05-08
SH9001	1991-01-01	3438	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1991-12-31	1991-01-01	1991-12-31	20176	\N	\N	\N	\N	\N	2013-05-08
SH9101	1991-01-01	3439	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1991-12-31	1991-01-01	1991-12-31	705	\N	\N	\N	\N	\N	2013-05-08
SH9102-2D	1991-01-01	3440	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1991-12-31	1991-01-01	1991-12-31	460	\N	\N	\N	\N	\N	2013-05-08
SH9102	1991-01-01	3441	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1991-12-31	1991-01-01	1991-12-31	20725	\N	\N	\N	\N	\N	2013-05-08
SH9103	1991-01-01	3442	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1991-12-31	1991-01-01	1991-12-31	179	\N	\N	\N	\N	\N	2013-05-08
SH9104	1991-01-01	3443	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1991-12-31	1991-01-01	1991-12-31	28589	\N	\N	\N	\N	\N	2013-05-08
SH9106	1991-01-01	3444	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1991-12-31	1991-01-01	1991-12-31	18664	\N	\N	\N	\N	\N	2013-05-08
SHN-91	1991-01-01	3445	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	945	\N	\N	\N	\N	\N	2013-05-08
SHP-91	1991-01-01	3446	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	2494	\N	\N	\N	\N	\N	2013-05-08
SS91	1991-01-01	3447	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1991-12-31	1991-01-01	1991-12-31	1684	\N	\N	\N	\N	\N	2013-05-08
SSI-91	1991-01-01	3448	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	1144	\N	\N	\N	\N	\N	2013-05-08
SSW-91	1991-01-01	3449	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	619	\N	\N	\N	\N	\N	2013-05-08
ST9101	1991-01-01	3450	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	16865	\N	\N	\N	\N	\N	2013-05-08
ST9102	1991-01-01	3451	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	23252	\N	\N	\N	\N	\N	2013-05-08
ST9103	1991-01-01	3452	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	561	\N	\N	\N	\N	\N	2013-05-08
ST9104	1991-01-01	3453	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	1633	\N	\N	\N	\N	\N	2013-05-08
ST9105	1991-01-01	3454	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	18611	\N	\N	\N	\N	\N	2013-05-08
ST9106	1991-01-01	3455	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	901	\N	\N	\N	\N	\N	2013-05-08
ST9107	1991-01-01	3456	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	1116	\N	\N	\N	\N	\N	2013-05-08
ST9108	1991-01-01	3457	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	613	\N	\N	\N	\N	\N	2013-05-08
ST9109	1991-01-01	3458	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	961	\N	\N	\N	\N	\N	2013-05-08
ST9111	1991-01-01	3459	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	44	\N	\N	\N	\N	\N	2013-05-08
ST9112	1991-01-01	3460	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	33	\N	\N	\N	\N	\N	2013-05-08
ST9113	1991-01-01	3461	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	42	\N	\N	\N	\N	\N	2013-05-08
ST9114	1991-01-01	3462	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	152	\N	\N	\N	\N	\N	2013-05-08
SVA-91	1991-01-01	3463	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1991-12-31	1991-01-01	1991-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TFE-91	1991-01-01	3464	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	652	\N	\N	\N	\N	\N	2013-05-08
TFE-91-3D	1991-01-01	3465	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1991-12-31	1991-01-01	1991-12-31	28011	\N	\N	\N	\N	\N	2013-05-08
TO-9101-3D	1991-01-01	3466	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Total Norge AS	1991-12-31	1991-01-01	1991-12-31	10315	\N	\N	\N	\N	\N	2013-05-08
TO9102	1991-01-01	3467	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	1991-12-31	1991-01-01	1991-12-31	221	\N	\N	\N	\N	\N	2013-05-08
TS91	1991-01-01	3468	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1991-12-31	1991-01-01	1991-12-31	378	\N	\N	\N	\N	\N	2013-05-08
TSD-91	1991-01-01	3469	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	713	\N	\N	\N	\N	\N	2013-05-08
TSN-91	1991-01-01	3470	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	651	\N	\N	\N	\N	\N	2013-05-08
TW-91	1991-01-01	3471	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1991-12-31	1991-01-01	1991-12-31	908	\N	\N	\N	\N	\N	2013-05-08
TW91GE	1991-01-01	3472	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1991-12-31	1991-01-01	1991-12-31	803	\N	\N	\N	\N	\N	2013-05-08
UHP-91	1991-01-01	3473	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	1290	\N	\N	\N	\N	\N	2013-05-08
VG-91-3D	1991-01-01	3474	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	9195	\N	\N	\N	\N	\N	2013-05-08
VGI-91	1991-01-01	3475	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1991-12-31	1991-01-01	1991-12-31	792	\N	\N	\N	\N	\N	2013-05-08
5CCG-92-S	1992-01-01	3476	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	2487	\N	\N	\N	\N	\N	2013-05-08
AHN9207	1992-01-01	3477	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1992-12-31	1992-01-01	1992-12-31	155	\N	\N	\N	\N	\N	2013-05-08
AHN9234	1992-01-01	3478	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1992-12-31	1992-01-01	1992-12-31	264	\N	\N	\N	\N	\N	2013-05-08
AHN9235	1992-01-01	3479	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1992-12-31	1992-01-01	1992-12-31	103	\N	\N	\N	\N	\N	2013-05-08
ANO-9203	1992-01-01	3480	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1992-12-31	1992-01-01	1992-12-31	384	\N	\N	\N	\N	\N	2013-05-08
ANO-9204	1992-01-01	3481	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1992-12-31	1992-01-01	1992-12-31	155	\N	\N	\N	\N	\N	2013-05-08
ANO1-9201	1992-01-01	3482	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Amoco Norway Oil Company	1992-12-31	1992-01-01	1992-12-31	17011	\N	\N	\N	\N	\N	2013-05-08
ANO9201	1992-01-01	3483	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Amoco Norway Oil Company	1992-12-31	1992-01-01	1992-12-31	15952	\N	\N	\N	\N	\N	2013-05-08
ARM-92	1992-01-01	3484	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	British Gas	1992-12-31	1992-01-01	1992-12-31	17241	\N	\N	\N	\N	\N	2013-05-08
BI92	1992-01-01	3486	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1992-12-31	1992-01-01	1992-12-31	668	\N	\N	\N	\N	\N	2013-05-08
BPN9201	1992-01-01	3487	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1992-12-31	1992-01-01	1992-12-31	211	\N	\N	\N	\N	\N	2013-05-08
BPN9202	1992-01-01	3488	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1992-12-31	1992-01-01	1992-12-31	72318	\N	\N	\N	\N	\N	2013-05-08
CN-92	1992-01-01	3489	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1992-12-31	1992-01-01	1992-12-31	602	\N	\N	\N	\N	\N	2013-05-08
CN-9202	1992-01-01	3490	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	1992-12-31	1992-01-01	1992-12-31	70	\N	\N	\N	\N	\N	2013-05-08
EL-9201	1992-01-01	3491	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Elf Petroleum Norge AS	1992-12-31	1992-01-01	1992-12-31	51553	\N	\N	\N	\N	\N	2013-05-08
EL-9202	1992-01-01	3492	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1992-12-31	1992-01-01	1992-12-31	306	\N	\N	\N	\N	\N	2013-05-08
EN-9201	1992-01-01	3493	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Enterprise Oil Norwegian AS	1992-12-31	1992-01-01	1992-12-31	191	\N	\N	\N	\N	\N	2013-05-08
ET-92	1992-01-01	3494	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1992-12-31	1992-01-01	1992-12-31	163	\N	\N	\N	\N	\N	2013-05-08
EU-92	1992-01-01	3495	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1992-12-31	1992-01-01	1992-12-31	515	\N	\N	\N	\N	\N	2013-05-08
FB92	1992-01-01	3496	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1992-12-31	1992-01-01	1992-12-31	2302	\N	\N	\N	\N	\N	2013-05-08
FH-92	1992-01-01	3497	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	330	\N	\N	\N	\N	\N	2013-05-08
FI-92	1992-01-01	3498	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Fina Production Licenses AS	1992-12-31	1992-01-01	1992-12-31	636	\N	\N	\N	\N	\N	2013-05-08
FTDE-92	1992-01-01	3499	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	414	\N	\N	\N	\N	\N	2013-05-08
FTDEI-92	1992-01-01	3500	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	1033	\N	\N	\N	\N	\N	2013-05-08
G-33/6-92	1992-01-01	3501	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	664	\N	\N	\N	\N	\N	2013-05-08
GFED-92	1992-01-01	3502	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	2176	\N	\N	\N	\N	\N	2013-05-08
GHFC-92	1992-01-01	3503	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	570	\N	\N	\N	\N	\N	2013-05-08
GLD-92	1992-01-01	3504	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	1287	\N	\N	\N	\N	\N	2013-05-08
GLDI-92	1992-01-01	3505	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	1145	\N	\N	\N	\N	\N	2013-05-08
GMH-92	1992-01-01	3506	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	1132	\N	\N	\N	\N	\N	2013-05-08
GNRM-92	1992-01-01	3507	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	1380	\N	\N	\N	\N	\N	2013-05-08
GNRW-92	1992-01-01	3508	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	1586	\N	\N	\N	\N	\N	2013-05-08
GNVG-92	1992-01-01	3509	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	928	\N	\N	\N	\N	\N	2013-05-08
GQ30-92	1992-01-01	3510	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	1533	\N	\N	\N	\N	\N	2013-05-08
GSD-92	1992-01-01	3511	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	111	\N	\N	\N	\N	\N	2013-05-08
GUHI-92	1992-01-01	3512	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	542	\N	\N	\N	\N	\N	2013-05-08
GVN-92	1992-01-01	3513	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	2719	\N	\N	\N	\N	\N	2013-05-08
L92-211	1992-01-01	3514	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Lasmo Norge A/S	1992-12-31	1992-01-01	1992-12-31	878	\N	\N	\N	\N	\N	2013-05-08
MA-92	1992-01-01	3515	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	1067	\N	\N	\N	\N	\N	2013-05-08
MDI-92	1992-01-01	3516	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	564	\N	\N	\N	\N	\N	2013-05-08
MN9201-2D	1992-01-01	3517	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1992-12-31	1992-01-01	1992-12-31	231	\N	\N	\N	\N	\N	2013-05-08
MN9202	1992-01-01	3518	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1992-12-31	1992-01-01	1992-12-31	180	\N	\N	\N	\N	\N	2013-05-08
MN9203	1992-01-01	3519	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1992-12-31	1992-01-01	1992-12-31	438	\N	\N	\N	\N	\N	2013-05-08
MN9205	1992-01-01	3520	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1992-12-31	1992-01-01	1992-12-31	845	\N	\N	\N	\N	\N	2013-05-08
MN9206	1992-01-01	3521	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1992-12-31	1992-01-01	1992-12-31	1167	\N	\N	\N	\N	\N	2013-05-08
MNT-92	1992-01-01	3522	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	2149	\N	\N	\N	\N	\N	2013-05-08
MT-92	1992-01-01	3523	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	911	\N	\N	\N	\N	\N	2013-05-08
N4-92	1992-01-01	3524	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
N6-92	1992-01-01	3525	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	2546	\N	\N	\N	\N	\N	2013-05-08
N6T-92	1992-01-01	3526	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	1313	\N	\N	\N	\N	\N	2013-05-08
N7-92	1992-01-01	3527	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	949	\N	\N	\N	\N	\N	2013-05-08
NH9201	1992-01-01	3528	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1992-12-31	1992-01-01	1992-12-31	27373	\N	\N	\N	\N	\N	2013-05-08
NH9202	1992-01-01	3529	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1992-12-31	1992-01-01	1992-12-31	22091	\N	\N	\N	\N	\N	2013-05-08
NH9202RS	1992-01-01	3530	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1992-12-31	1992-01-01	1992-12-31	11045	\N	\N	\N	\N	\N	2013-05-08
NH9203	1992-01-01	3531	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1992-12-31	1992-01-01	1992-12-31	741	\N	\N	\N	\N	\N	2013-05-08
NH9204	1992-01-01	3532	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1992-12-31	1992-01-01	1992-12-31	47289	\N	\N	\N	\N	\N	2013-05-08
NH9205	1992-01-01	3533	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1992-12-31	1992-01-01	1992-12-31	2037	\N	\N	\N	\N	\N	2013-05-08
NH9207	1992-01-01	3534	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1992-12-31	1992-01-01	1992-12-31	40	\N	\N	\N	\N	\N	2013-05-08
NH9208	1992-01-01	3535	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1992-12-31	1992-01-01	1992-12-31	756	\N	\N	\N	\N	\N	2013-05-08
NH9209	1992-01-01	3536	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1992-12-31	1992-01-01	1992-12-31	221	\N	\N	\N	\N	\N	2013-05-08
NH9210	1992-01-01	3537	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1992-12-31	1992-01-01	1992-12-31	395	\N	\N	\N	\N	\N	2013-05-08
NOA-92	1992-01-01	3538	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	2351	\N	\N	\N	\N	\N	2013-05-08
NPD-MB-92	1992-01-01	3539	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1992-12-31	1992-01-01	1992-12-31	3472	\N	\N	\N	\N	\N	2013-05-08
NPD-NF-92	1992-01-01	3540	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1992-12-31	1992-01-01	1992-12-31	1707	\N	\N	\N	\N	\N	2013-05-08
NPD-NOR2-92	1992-01-01	3541	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1992-12-31	1992-01-01	1992-12-31	88	\N	\N	\N	\N	\N	2013-05-08
NPD-SPIB-92	1992-01-01	3542	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1992-12-31	1992-01-01	1992-12-31	1425	\N	\N	\N	\N	\N	2013-05-08
NRT92	1992-01-01	3543	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1992-12-31	1992-01-01	1992-12-31	1378	\N	\N	\N	\N	\N	2013-05-08
NVGTI-2-92	1992-01-01	3544	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	654	\N	\N	\N	\N	\N	2013-05-08
NVGTI-3-92	1992-01-01	3545	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	993	\N	\N	\N	\N	\N	2013-05-08
OW92	1992-01-01	3546	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1992-12-31	1992-01-01	1992-12-31	1106	\N	\N	\N	\N	\N	2013-05-08
SG9201	1992-01-01	3547	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1992-12-31	1992-01-01	1992-12-31	22292	\N	\N	\N	\N	\N	2013-05-08
SG9202	1992-01-01	3548	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1992-12-31	1992-01-01	1992-12-31	69829	\N	\N	\N	\N	\N	2013-05-08
SG9205	1992-01-01	3549	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1992-12-31	1992-01-01	1992-12-31	249	\N	\N	\N	\N	\N	2013-05-08
SG9206	1992-01-01	3550	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1992-12-31	1992-01-01	1992-12-31	800	\N	\N	\N	\N	\N	2013-05-08
SG9208	1992-01-01	3551	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1992-12-31	1992-01-01	1992-12-31	283	\N	\N	\N	\N	\N	2013-05-08
SG9209	1992-01-01	3552	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1992-12-31	1992-01-01	1992-12-31	440	\N	\N	\N	\N	\N	2013-05-08
SGT-92	1992-01-01	3553	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	431	\N	\N	\N	\N	\N	2013-05-08
SH9202	1992-01-01	3554	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1992-12-31	1992-01-01	1992-12-31	411	\N	\N	\N	\N	\N	2013-05-08
SH9203	1992-01-01	3555	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1992-12-31	1992-01-01	1992-12-31	138	\N	\N	\N	\N	\N	2013-05-08
SH9204	1992-01-01	3556	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1992-12-31	1992-01-01	1992-12-31	26614	\N	\N	\N	\N	\N	2013-05-08
SHN-92	1992-01-01	3557	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	93	\N	\N	\N	\N	\N	2013-05-08
SSI-92	1992-01-01	3558	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	254	\N	\N	\N	\N	\N	2013-05-08
ST9201	1992-01-01	3559	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1992-12-31	1992-01-01	1992-12-31	194	\N	\N	\N	\N	\N	2013-05-08
ST9202	1992-01-01	3560	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1992-12-31	1992-01-01	1992-12-31	18564	\N	\N	\N	\N	\N	2013-05-08
ST9203	1992-01-01	3561	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1992-12-31	1992-01-01	1992-12-31	54311	\N	\N	\N	\N	\N	2013-05-08
ST9206	1992-01-01	3562	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1992-12-31	1992-01-01	1992-12-31	27989	\N	\N	\N	\N	\N	2013-05-08
ST9207	1992-01-01	3563	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1992-12-31	1992-01-01	1992-12-31	32952	\N	\N	\N	\N	\N	2013-05-08
ST9208	1992-01-01	3564	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1992-12-31	1992-01-01	1992-12-31	144	\N	\N	\N	\N	\N	2013-05-08
ST9208-TEST	1992-01-01	3565	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1992-12-31	1992-01-01	1992-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST9211	1992-01-01	3566	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1992-12-31	1992-01-01	1992-12-31	353	\N	\N	\N	\N	\N	2013-05-08
ST9215	1992-01-01	3567	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1992-12-31	1992-01-01	1992-12-31	15	\N	\N	\N	\N	\N	2013-05-08
ST9216	1992-01-01	3568	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1992-12-31	1992-01-01	1992-12-31	685	\N	\N	\N	\N	\N	2013-05-08
TE93	1992-01-01	3569	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1992-12-31	1992-01-01	1992-12-31	1151	\N	\N	\N	\N	\N	2013-05-08
TNW-92	1992-01-01	3570	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1992-12-31	1992-01-01	1992-12-31	931	\N	\N	\N	\N	\N	2013-05-08
TO-9201-3D	1992-01-01	3571	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Total Norge AS	1992-12-31	1992-01-01	1992-12-31	11371	\N	\N	\N	\N	\N	2013-05-08
UHP-92	1992-01-01	3572	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	1081	\N	\N	\N	\N	\N	2013-05-08
VG-92	1992-01-01	3574	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	1296	\N	\N	\N	\N	\N	2013-05-08
WGS-24-12	1992-01-01	3575	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	38665	\N	\N	\N	\N	\N	2013-05-08
WGS-24/12	1992-01-01	3576	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1992-12-31	1992-01-01	1992-12-31	38665	\N	\N	\N	\N	\N	2013-05-08
CN193	1993-01-01	3577	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Conoco Norway Inc.	1993-12-31	1993-01-01	1993-12-31	127703	\N	\N	\N	\N	\N	2013-05-08
CN25_93	1993-01-01	3578	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Conoco Norway Inc.	1993-12-31	1993-01-01	1993-12-31	59000	\N	\N	\N	\N	\N	2013-05-08
CVGT-93	1993-01-01	3579	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1993-12-31	1993-01-01	1993-12-31	249	\N	\N	\N	\N	\N	2013-05-08
EL-9301	1993-01-01	3580	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1993-12-31	1993-01-01	1993-12-31	294	\N	\N	\N	\N	\N	2013-05-08
EL-9302	1993-01-01	3581	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1993-12-31	1993-01-01	1993-12-31	135	\N	\N	\N	\N	\N	2013-05-08
EL-9303	1993-01-01	3582	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1993-12-31	1993-01-01	1993-12-31	74	\N	\N	\N	\N	\N	2013-05-08
GA-2DX-93	1993-01-01	3583	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1993-12-31	1993-01-01	1993-12-31	153	\N	\N	\N	\N	\N	2013-05-08
GA3D-93	1993-01-01	3584	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Amoco Norway Oil Company	1993-12-31	1993-01-01	1993-12-31	37520	\N	\N	\N	\N	\N	2013-05-08
GFR-93	1993-01-01	3585	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1993-12-31	1993-01-01	1993-12-31	1595	\N	\N	\N	\N	\N	2013-05-08
GMA-92	1993-01-01	3586	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1993-12-31	1993-01-01	1993-12-31	1411	\N	\N	\N	\N	\N	2013-05-08
GP3D93	1993-01-01	3587	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1993-12-31	1993-01-01	1993-12-31	30051	\N	\N	\N	\N	\N	2013-05-08
GP3D93-EW	1993-01-01	3588	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1993-12-31	1993-01-01	1993-12-31	1917	\N	\N	\N	\N	\N	2013-05-08
GSDT-93	1993-01-01	3589	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1993-12-31	1993-01-01	1993-12-31	865	\N	\N	\N	\N	\N	2013-05-08
GVGS-93	1993-01-01	3590	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1993-12-31	1993-01-01	1993-12-31	2383	\N	\N	\N	\N	\N	2013-05-08
HGST-93	1993-01-01	3591	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1993-12-31	1993-01-01	1993-12-31	1674	\N	\N	\N	\N	\N	2013-05-08
HNW-93	1993-01-01	3592	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1993-12-31	1993-01-01	1993-12-31	862	\N	\N	\N	\N	\N	2013-05-08
HRT93	1993-01-01	3593	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1993-12-31	1993-01-01	1993-12-31	1390	\N	\N	\N	\N	\N	2013-05-08
JHS-93	1993-01-01	3594	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1993-12-31	1993-01-01	1993-12-31	965	\N	\N	\N	\N	\N	2013-05-08
LTM-93	1993-01-01	3595	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1993-12-31	1993-01-01	1993-12-31	939	\N	\N	\N	\N	\N	2013-05-08
MN9201	1993-01-01	3596	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1993-12-31	1993-01-01	1993-12-31	43682	\N	\N	\N	\N	\N	2013-05-08
N4PZ93	1993-01-01	3597	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1993-12-31	1993-01-01	1993-12-31	1640	\N	\N	\N	\N	\N	2013-05-08
N6SD-93	1993-01-01	3598	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG NORGE A/S	1993-12-31	1993-01-01	1993-12-31	1786	\N	\N	\N	\N	\N	2013-05-08
NH9301	1993-01-01	3599	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1993-12-31	1993-01-01	1993-12-31	42841	\N	\N	\N	\N	\N	2013-05-08
NH9302	1993-01-01	3600	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1993-12-31	1993-01-01	1993-12-31	53077	\N	\N	\N	\N	\N	2013-05-08
NH9303	1993-01-01	3601	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1993-12-31	1993-01-01	1993-12-31	583	\N	\N	\N	\N	\N	2013-05-08
NH9304	1993-01-01	3602	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1993-12-31	1993-01-01	1993-12-31	79974	\N	\N	\N	\N	\N	2013-05-08
NPD-MOFF-93	1993-01-01	3603	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1993-12-31	1993-01-01	1993-12-31	779	\N	\N	\N	\N	\N	2013-05-08
NPD-NF-93	1993-01-01	3604	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1993-12-31	1993-01-01	1993-12-31	1723	\N	\N	\N	\N	\N	2013-05-08
NPD-SB2-93	1993-01-01	3605	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1993-12-31	1993-01-01	1993-12-31	1129	\N	\N	\N	\N	\N	2013-05-08
NPD-SENT-93	1993-01-01	3606	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1993-12-31	1993-01-01	1993-12-31	781	\N	\N	\N	\N	\N	2013-05-08
NPD-SPIB-93	1993-01-01	3607	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1993-12-31	1993-01-01	1993-12-31	2797	\N	\N	\N	\N	\N	2013-05-08
NPD-STOB-93	1993-01-01	3608	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1993-12-31	1993-01-01	1993-12-31	1601	\N	\N	\N	\N	\N	2013-05-08
NPD-VB-93	1993-01-01	3609	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1993-12-31	1993-01-01	1993-12-31	211	\N	\N	\N	\N	\N	2013-05-08
NRI-93	1993-01-01	3610	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1993-12-31	1993-01-01	1993-12-31	1208	\N	\N	\N	\N	\N	2013-05-08
OWI93	1993-01-01	3611	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1993-12-31	1993-01-01	1993-12-31	1476	\N	\N	\N	\N	\N	2013-05-08
PG93	1993-01-01	3612	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Phillips Petroleum Company Norway	1993-12-31	1993-01-01	1993-12-31	7124	\N	\N	\N	\N	\N	2013-05-08
RB-93	1993-01-01	3613	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1993-12-31	1993-01-01	1993-12-31	1428	\N	\N	\N	\N	\N	2013-05-08
SE-93	1993-01-01	3614	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1993-12-31	1993-01-01	1993-12-31	2516	\N	\N	\N	\N	\N	2013-05-08
SG9304	1993-01-01	3615	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1993-12-31	1993-01-01	1993-12-31	1806	\N	\N	\N	\N	\N	2013-05-08
SG9308	1993-01-01	3616	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1993-12-31	1993-01-01	1993-12-31	624	\N	\N	\N	\N	\N	2013-05-08
SG9309	1993-01-01	3617	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1993-12-31	1993-01-01	1993-12-31	1889	\N	\N	\N	\N	\N	2013-05-08
SG9312	1993-01-01	3618	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1993-12-31	1993-01-01	1993-12-31	28257	\N	\N	\N	\N	\N	2013-05-08
SG9312S	1993-01-01	3619	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1993-12-31	1993-01-01	1993-12-31	23303	\N	\N	\N	\N	\N	2013-05-08
SH9301	1993-01-01	3620	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1993-12-31	1993-01-01	1993-12-31	10818	\N	\N	\N	\N	\N	2013-05-08
SH9302	1993-01-01	3621	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1993-12-31	1993-01-01	1993-12-31	26578	\N	\N	\N	\N	\N	2013-05-08
SH9303	1993-01-01	3622	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1993-12-31	1993-01-01	1993-12-31	27935	\N	\N	\N	\N	\N	2013-05-08
SPT-93	1993-01-01	3623	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	SIMON PETROLEUM TECHNOLOGY LTD	1993-12-31	1993-01-01	1993-12-31	2422	\N	\N	\N	\N	\N	2013-05-08
ST9301-2D	1993-01-01	3624	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1993-12-31	1993-01-01	1993-12-31	531	\N	\N	\N	\N	\N	2013-05-08
ST9301	1993-01-01	3625	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1993-12-31	1993-01-01	1993-12-31	46654	\N	\N	\N	\N	\N	2013-05-08
ST9302	1993-01-01	3626	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1993-12-31	1993-01-01	1993-12-31	51398	\N	\N	\N	\N	\N	2013-05-08
ST9303	1993-01-01	3627	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1993-12-31	1993-01-01	1993-12-31	73464	\N	\N	\N	\N	\N	2013-05-08
ST9304	1993-01-01	3628	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1993-12-31	1993-01-01	1993-12-31	16726	\N	\N	\N	\N	\N	2013-05-08
ST9305	1993-01-01	3629	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1993-12-31	1993-01-01	1993-12-31	37515	\N	\N	\N	\N	\N	2013-05-08
ST9313	1993-01-01	3630	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1993-12-31	1993-01-01	1993-12-31	5213	\N	\N	\N	\N	\N	2013-05-08
TBM93	1993-01-01	3631	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1993-12-31	1993-01-01	1993-12-31	649	\N	\N	\N	\N	\N	2013-05-08
VIWT93	1993-01-01	3632	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1993-12-31	1993-01-01	1993-12-31	1109	\N	\N	\N	\N	\N	2013-05-08
ANO-9401	1994-01-01	3633	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1994-12-31	1994-01-01	1994-12-31	193	\N	\N	\N	\N	\N	2013-05-08
ANO9403	1994-01-01	3634	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Amoco Norway Oil Company	1994-12-31	1994-01-01	1994-12-31	43497	\N	\N	\N	\N	\N	2013-05-08
BPN9301	1994-01-01	3635	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1994-12-31	1994-01-01	1994-12-31	69705	\N	\N	\N	\N	\N	2013-05-08
BPN9401	1994-01-01	3636	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1994-12-31	1994-01-01	1994-12-31	119735	\N	\N	\N	\N	\N	2013-05-08
CN-6306-2D	1994-01-01	3637	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1994-12-31	1994-01-01	1994-12-31	815	\N	\N	\N	\N	\N	2013-05-08
CN-6306	1994-01-01	3638	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Conoco Norway Inc.	1994-12-31	1994-01-01	1994-12-31	46822	\N	\N	\N	\N	\N	2013-05-08
CN-6507-94	1994-01-01	3639	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Conoco Norway Inc.	1994-12-31	1994-01-01	1994-12-31	23930	\N	\N	\N	\N	\N	2013-05-08
CTM94	1994-01-01	3640	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1994-12-31	1994-01-01	1994-12-31	47837	\N	\N	\N	\N	\N	2013-05-08
EL-9401	1994-01-01	3641	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1994-12-31	1994-01-01	1994-12-31	995	\N	\N	\N	\N	\N	2013-05-08
ES9401	1994-01-01	3642	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	1994-12-31	1994-01-01	1994-12-31	32414	\N	\N	\N	\N	\N	2013-05-08
ES9402	1994-01-01	3643	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	1994-12-31	1994-01-01	1994-12-31	27539	\N	\N	\N	\N	\N	2013-05-08
ES9403	1994-01-01	3644	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	1994-12-31	1994-01-01	1994-12-31	26188	\N	\N	\N	\N	\N	2013-05-08
GGR-94	1994-01-01	3645	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1994-12-31	1994-01-01	1994-12-31	1693	\N	\N	\N	\N	\N	2013-05-08
GGRI-94	1994-01-01	3646	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1994-12-31	1994-01-01	1994-12-31	262	\N	\N	\N	\N	\N	2013-05-08
GMM-94	1994-01-01	3647	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1994-12-31	1994-01-01	1994-12-31	3456	\N	\N	\N	\N	\N	2013-05-08
GMME-94	1994-01-01	3648	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1994-12-31	1994-01-01	1994-12-31	1767	\N	\N	\N	\N	\N	2013-05-08
GMME-94-2	1994-01-01	3649	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1994-12-31	1994-01-01	1994-12-31	531	\N	\N	\N	\N	\N	2013-05-08
GMNR-94	1994-01-01	3650	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1994-12-31	1994-01-01	1994-12-31	5647	\N	\N	\N	\N	\N	2013-05-08
GUGM-94	1994-01-01	3651	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1994-12-31	1994-01-01	1994-12-31	1002	\N	\N	\N	\N	\N	2013-05-08
HHA94	1994-01-01	3652	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1994-12-31	1994-01-01	1994-12-31	2340	\N	\N	\N	\N	\N	2013-05-08
HWM94	1994-01-01	3653	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	121145	\N	\N	\N	\N	\N	2013-05-08
MC3D-34-06	1994-01-01	3654	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	27803	\N	\N	\N	\N	\N	2013-05-08
MC3D-35/7	1994-01-01	3655	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	9540	\N	\N	\N	\N	\N	2013-05-08
MC3D-35/7N	1994-01-01	3656	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	17122	\N	\N	\N	\N	\N	2013-05-08
MC3D-CGM-Q7	1994-01-01	3657	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	267150	\N	\N	\N	\N	\N	2013-05-08
MC3D-CGMNOR-94	1994-01-01	3658	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	170576	\N	\N	\N	\N	\N	2013-05-08
MC3D-Q15	1994-01-01	3659	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	116099	\N	\N	\N	\N	\N	2013-05-08
MCQ3-94-3D	1994-01-01	3660	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG NORGE A/S	1994-12-31	1994-01-01	1994-12-31	27936	\N	\N	\N	\N	\N	2013-05-08
MN9401	1994-01-01	3661	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Mobil Exploration Norway INC	1994-12-31	1994-01-01	1994-12-31	91778	\N	\N	\N	\N	\N	2013-05-08
MN9401-Q	1994-01-01	3662	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Mobil Exploration Norway INC	1994-12-31	1994-01-01	1994-12-31	2429	\N	\N	\N	\N	\N	2013-05-08
MS-94	1994-01-01	3663	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG NORGE A/S	1994-12-31	1994-01-01	1994-12-31	2382	\N	\N	\N	\N	\N	2013-05-08
N1P-94	1994-01-01	3664	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG NORGE A/S	1994-12-31	1994-01-01	1994-12-31	590	\N	\N	\N	\N	\N	2013-05-08
N3-94	1994-01-01	3665	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	1261	\N	\N	\N	\N	\N	2013-05-08
N4RE-94	1994-01-01	3666	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	655	\N	\N	\N	\N	\N	2013-05-08
N5-94	1994-01-01	3667	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	399	\N	\N	\N	\N	\N	2013-05-08
N6RE-94	1994-01-01	3668	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	614	\N	\N	\N	\N	\N	2013-05-08
N6SDI-94	1994-01-01	3669	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG NORGE A/S	1994-12-31	1994-01-01	1994-12-31	461	\N	\N	\N	\N	\N	2013-05-08
N6ST-94	1994-01-01	3670	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	480	\N	\N	\N	\N	\N	2013-05-08
NA-94-3D	1994-01-01	3671	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Norsk Agip  AS	1994-12-31	1994-01-01	1994-12-31	48191	\N	\N	\N	\N	\N	2013-05-08
NDBT-94	1994-01-01	3672	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	CGG NORGE A/S	1994-12-31	1994-01-01	1994-12-31	1113	\N	\N	\N	\N	\N	2013-05-08
NH81-RE94	1994-01-01	3673	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	2046	\N	\N	\N	\N	\N	2013-05-08
NH9401	1994-01-01	3674	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1994-12-31	1994-01-01	1994-12-31	96489	\N	\N	\N	\N	\N	2013-05-08
NH9402	1994-01-01	3675	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1994-12-31	1994-01-01	1994-12-31	109536	\N	\N	\N	\N	\N	2013-05-08
NH9405	1994-01-01	3676	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1994-12-31	1994-01-01	1994-12-31	36033	\N	\N	\N	\N	\N	2013-05-08
NH9406	1994-01-01	3677	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1994-12-31	1994-01-01	1994-12-31	264	\N	\N	\N	\N	\N	2013-05-08
NPD-BA-94	1994-01-01	3678	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1994-12-31	1994-01-01	1994-12-31	4722	\N	\N	\N	\N	\N	2013-05-08
NRT94	1994-01-01	3679	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG NORGE A/S	1994-12-31	1994-01-01	1994-12-31	498	\N	\N	\N	\N	\N	2013-05-08
SG9401	1994-01-01	3680	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1994-12-31	1994-01-01	1994-12-31	474	\N	\N	\N	\N	\N	2013-05-08
SG9404	1994-01-01	3681	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1994-12-31	1994-01-01	1994-12-31	376	\N	\N	\N	\N	\N	2013-05-08
SG9405-2D	1994-01-01	3682	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1994-12-31	1994-01-01	1994-12-31	32	\N	\N	\N	\N	\N	2013-05-08
SG9405	1994-01-01	3683	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1994-12-31	1994-01-01	1994-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SPT-MBR-94	1994-01-01	3684	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	SIMON PETROLEUM TECHNOLOGY LTD	1994-12-31	1994-01-01	1994-12-31	3035	\N	\N	\N	\N	\N	2013-05-08
ST9403	1994-01-01	3685	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	77578	\N	\N	\N	\N	\N	2013-05-08
ST9404	1994-01-01	3686	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	72917	\N	\N	\N	\N	\N	2013-05-08
ST9405	1994-01-01	3687	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	59093	\N	\N	\N	\N	\N	2013-05-08
ST9406	1994-01-01	3688	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	37116	\N	\N	\N	\N	\N	2013-05-08
ST9407	1994-01-01	3689	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	24273	\N	\N	\N	\N	\N	2013-05-08
ST9409	1994-01-01	3690	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	379	\N	\N	\N	\N	\N	2013-05-08
ST9410	1994-01-01	3691	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	289	\N	\N	\N	\N	\N	2013-05-08
ST9411	1994-01-01	3692	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	669	\N	\N	\N	\N	\N	2013-05-08
ST9413	1994-01-01	3693	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	24529	\N	\N	\N	\N	\N	2013-05-08
ST9414	1994-01-01	3694	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	1106	\N	\N	\N	\N	\N	2013-05-08
ST9415	1994-01-01	3695	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1994-12-31	1994-01-01	1994-12-31	6602	\N	\N	\N	\N	\N	2013-05-08
STT-94	1994-01-01	3696	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Amoco Norway Oil Company	1994-12-31	1994-01-01	1994-12-31	21521	\N	\N	\N	\N	\N	2013-05-08
SVG-TQ3D	1994-01-01	3697	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1994-12-31	1994-01-01	1994-12-31	103064	\N	\N	\N	\N	\N	2013-05-08
TPNE-94	1994-01-01	3698	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	287	\N	\N	\N	\N	\N	2013-05-08
TQ65-94	1994-01-01	3699	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Geophysical Company of Norway A/S	1994-12-31	1994-01-01	1994-12-31	13294	\N	\N	\N	\N	\N	2013-05-08
UH-94	1994-01-01	3700	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	1308	\N	\N	\N	\N	\N	2013-05-08
VBT-94	1994-01-01	3701	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	1718	\N	\N	\N	\N	\N	2013-05-08
VEMA94	1994-01-01	3702	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1994-12-31	1994-01-01	1994-12-31	668	\N	\N	\N	\N	\N	2013-05-08
VH-94	1994-01-01	3703	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	849	\N	\N	\N	\N	\N	2013-05-08
VRN-94	1994-01-01	3704	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1994-12-31	1994-01-01	1994-12-31	1180	\N	\N	\N	\N	\N	2013-05-08
BPN9501	1995-01-01	3706	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1995-12-31	1995-01-01	1995-12-31	36994	\N	\N	\N	\N	\N	2013-05-08
DG-95	1995-01-01	3707	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	NORWEGIAN EXPLORATION SERVICES	1995-12-31	1995-01-01	1995-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EL9501	1995-01-01	3708	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Elf Petroleum Norge AS	1995-12-31	1995-01-01	1995-12-31	11444	\N	\N	\N	\N	\N	2013-05-08
ES9501	1995-01-01	3709	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1995-12-31	1995-01-01	1995-12-31	564	\N	\N	\N	\N	\N	2013-05-08
FFC95	1995-01-01	3710	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1995-12-31	1995-01-01	1995-12-31	3769	\N	\N	\N	\N	\N	2013-05-08
FI9501	1995-01-01	3711	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Fina Production Licenses AS	1995-12-31	1995-01-01	1995-12-31	38501	\N	\N	\N	\N	\N	2013-05-08
GOM-95	1995-01-01	3712	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1995-12-31	1995-01-01	1995-12-31	3022	\N	\N	\N	\N	\N	2013-05-08
GSES-95	1995-01-01	3713	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1995-12-31	1995-01-01	1995-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
HWE95	1995-01-01	3714	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1995-12-31	1995-01-01	1995-12-31	2140	\N	\N	\N	\N	\N	2013-05-08
MC3D-Q34	1995-01-01	3715	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	NOPEC A/S	1995-12-31	1995-01-01	1995-12-31	55782	\N	\N	\N	\N	\N	2013-05-08
MCQ9-95-3D	1995-01-01	3716	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG NORGE A/S	1995-12-31	1995-01-01	1995-12-31	31591	\N	\N	\N	\N	\N	2013-05-08
MCQ9E-95-3D	1995-01-01	3717	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG NORGE A/S	1995-12-31	1995-01-01	1995-12-31	31691	\N	\N	\N	\N	\N	2013-05-08
MM95	1995-01-01	3718	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1995-12-31	1995-01-01	1995-12-31	2847	\N	\N	\N	\N	\N	2013-05-08
NLGS-95	1995-01-01	3719	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1995-12-31	1995-01-01	1995-12-31	90108	\N	\N	\N	\N	\N	2013-05-08
NPD-LISTA/JAEREN-95	1995-01-01	3720	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1995-12-31	1995-01-01	1995-12-31	41	\N	\N	\N	\N	\N	2013-05-08
NPD-NS-95	1995-01-01	3721	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1995-12-31	1995-01-01	1995-12-31	905	\N	\N	\N	\N	\N	2013-05-08
NPD-SK-95	1995-01-01	3722	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1995-12-31	1995-01-01	1995-12-31	1175	\N	\N	\N	\N	\N	2013-05-08
NYKE95	1995-01-01	3723	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG NORGE A/S	1995-12-31	1995-01-01	1995-12-31	283	\N	\N	\N	\N	\N	2013-05-08
PAG95	1995-01-01	3724	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Phillips Petroleum Company Norway	1995-12-31	1995-01-01	1995-12-31	59196	\N	\N	\N	\N	\N	2013-05-08
PPCO-2/10	1995-01-01	3725	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Geophysical Company of Norway A/S	1995-12-31	1995-01-01	1995-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
RSD95	1995-01-01	3726	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1995-12-31	1995-01-01	1995-12-31	1638	\N	\N	\N	\N	\N	2013-05-08
SBD95	1995-01-01	3727	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	1995-12-31	1995-01-01	1995-12-31	1454	\N	\N	\N	\N	\N	2013-05-08
SBT95	1995-01-01	3728	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1995-12-31	1995-01-01	1995-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9406	1995-01-01	3729	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1995-12-31	1995-01-01	1995-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9501	1995-01-01	3730	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1995-12-31	1995-01-01	1995-12-31	10740	\N	\N	\N	\N	\N	2013-05-08
SG9502	1995-01-01	3731	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1995-12-31	1995-01-01	1995-12-31	14170	\N	\N	\N	\N	\N	2013-05-08
SG9507-2D	1995-01-01	3732	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1995-12-31	1995-01-01	1995-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9507	1995-01-01	3733	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1995-12-31	1995-01-01	1995-12-31	526	\N	\N	\N	\N	\N	2013-05-08
SG9514	1995-01-01	3734	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1995-12-31	1995-01-01	1995-12-31	1345	\N	\N	\N	\N	\N	2013-05-08
SG9516	1995-01-01	3735	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1995-12-31	1995-01-01	1995-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SH9501	1995-01-01	3736	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1995-12-31	1995-01-01	1995-12-31	137	\N	\N	\N	\N	\N	2013-05-08
SH9502	1995-01-01	3737	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1995-12-31	1995-01-01	1995-12-31	127	\N	\N	\N	\N	\N	2013-05-08
SH9503	1995-01-01	3738	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1995-12-31	1995-01-01	1995-12-31	114	\N	\N	\N	\N	\N	2013-05-08
SH9506	1995-01-01	3739	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1995-12-31	1995-01-01	1995-12-31	79	\N	\N	\N	\N	\N	2013-05-08
ST9503	1995-01-01	3740	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1995-12-31	1995-01-01	1995-12-31	33101	\N	\N	\N	\N	\N	2013-05-08
ST9508	1995-01-01	3741	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1995-12-31	1995-01-01	1995-12-31	7038	\N	\N	\N	\N	\N	2013-05-08
ST9511	1995-01-01	3742	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1995-12-31	1995-01-01	1995-12-31	24169	\N	\N	\N	\N	\N	2013-05-08
TBN96	1995-01-01	3743	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1995-12-31	1995-01-01	1995-12-31	2107	\N	\N	\N	\N	\N	2013-05-08
TQ3D BLOCK 24/9	1995-01-01	3744	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1995-12-31	1995-01-01	1995-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
UH3D95	1995-01-01	3745	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	NORWEGIAN EXPLORATION SERVICES	1995-12-31	1995-01-01	1995-12-31	51910	\N	\N	\N	\N	\N	2013-05-08
VDS95	1995-01-01	3746	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1995-12-31	1995-01-01	1995-12-31	129	\N	\N	\N	\N	\N	2013-05-08
VGET-95	1995-01-01	3747	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	\N	Amarok A.S	1995-12-31	1995-01-01	1995-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VHM95	1995-01-01	3748	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Amoco Norway Oil Company	1995-12-31	1995-01-01	1995-12-31	31820	\N	\N	\N	\N	\N	2013-05-08
VMT95	1995-01-01	3749	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1995-12-31	1995-01-01	1995-12-31	2346	\N	\N	\N	\N	\N	2013-05-08
AMN9601	1996-01-01	3751	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Amerada Hess Norge AS	1996-12-31	1996-01-01	1996-12-31	105	\N	\N	\N	\N	\N	2013-05-08
ANO9601	1996-01-01	3752	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ANO9602	1996-01-01	3753	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Amoco Norway Oil Company	1996-12-31	1996-01-01	1996-12-31	19790	\N	\N	\N	\N	\N	2013-05-08
BPN9601	1996-01-01	3755	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1996-12-31	1996-01-01	1996-12-31	72512	\N	\N	\N	\N	\N	2013-05-08
BPN9602	1996-01-01	3756	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1996-12-31	1996-01-01	1996-12-31	190015	\N	\N	\N	\N	\N	2013-05-08
BPN9603	1996-01-01	3757	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1996-12-31	1996-01-01	1996-12-31	75	\N	\N	\N	\N	\N	2013-05-08
CGME96	1996-01-01	3758	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	3944	\N	\N	\N	\N	\N	2013-05-08
DT97	1996-01-01	3759	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EC4C-2D 1996	1996-01-01	3760	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMW96	1996-01-01	3761	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ES9601	1996-01-01	3762	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	1996-12-31	1996-01-01	1996-12-31	3452	\N	\N	\N	\N	\N	2013-05-08
G-9603	1996-01-01	3763	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1996-12-31	1996-01-01	1996-12-31	54376	\N	\N	\N	\N	\N	2013-05-08
GVIB96	1996-01-01	3764	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
HWE96	1996-01-01	3765	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	10420	\N	\N	\N	\N	\N	2013-05-08
JS-TESS96	1996-01-01	3766	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	R & R Geo Tech AS	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D 34_1	1996-01-01	3767	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-211-19	1996-01-01	3768	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG NORGE A/S	1996-12-31	1996-01-01	1996-12-31	14977	\N	\N	\N	\N	\N	2013-05-08
MC3D-BLOCK 16_1	1996-01-01	3769	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	6999	\N	\N	\N	\N	\N	2013-05-08
MC3D-Q4	1996-01-01	3770	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	131046	\N	\N	\N	\N	\N	2013-05-08
MCQ3N PHASE C	1996-01-01	3771	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG NORGE A/S	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MN96	1996-01-01	3773	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MN9601	1996-01-01	3774	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Mobil Exploration Norway INC	1996-12-31	1996-01-01	1996-12-31	26560	\N	\N	\N	\N	\N	2013-05-08
MN9602	1996-01-01	3775	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Amoco Norway Oil Company	1996-12-31	1996-01-01	1996-12-31	42245	\N	\N	\N	\N	\N	2013-05-08
MN9604	1996-01-01	3776	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1996-12-31	1996-01-01	1996-12-31	298	\N	\N	\N	\N	\N	2013-05-08
MWT96	1996-01-01	3777	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	2815	\N	\N	\N	\N	\N	2013-05-08
N2N3T96	1996-01-01	3778	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	1864	\N	\N	\N	\N	\N	2013-05-08
N3RE96	1996-01-01	3779	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	1360	\N	\N	\N	\N	\N	2013-05-08
NBS96	1996-01-01	3780	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NDBRE96	1996-01-01	3781	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	2906	\N	\N	\N	\N	\N	2013-05-08
NDT96	1996-01-01	3782	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1996-12-31	1996-01-01	1996-12-31	1805	\N	\N	\N	\N	\N	2013-05-08
NH9601	1996-01-01	3783	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH9602	1996-01-01	3784	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1996-12-31	1996-01-01	1996-12-31	82663	\N	\N	\N	\N	\N	2013-05-08
NH9603	1996-01-01	3785	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1996-12-31	1996-01-01	1996-12-31	123626	\N	\N	\N	\N	\N	2013-05-08
NH9604	1996-01-01	3786	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1996-12-31	1996-01-01	1996-12-31	54875	\N	\N	\N	\N	\N	2013-05-08
NH9605	1996-01-01	3787	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1996-12-31	1996-01-01	1996-12-31	14841	\N	\N	\N	\N	\N	2013-05-08
NH9607	1996-01-01	3788	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH9608	1996-01-01	3789	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH9611	1996-01-01	3790	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NHE96	1996-01-01	3791	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1996-12-31	1996-01-01	1996-12-31	1176	\N	\N	\N	\N	\N	2013-05-08
NPD-HB-96	1996-01-01	3792	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1996-12-31	1996-01-01	1996-12-31	2195	\N	\N	\N	\N	\N	2013-05-08
NPD-HV-96	1996-01-01	3793	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1996-12-31	1996-01-01	1996-12-31	1822	\N	\N	\N	\N	\N	2013-05-08
NPD-KONG-96	1996-01-01	3794	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1996-12-31	1996-01-01	1996-12-31	1516	\N	\N	\N	\N	\N	2013-05-08
NPD-KYST-96	1996-01-01	3795	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1996-12-31	1996-01-01	1996-12-31	1192	\N	\N	\N	\N	\N	2013-05-08
NRM96	1996-01-01	3796	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PGS9601N	1996-01-01	3797	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
RHW96	1996-01-01	3798	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1996-12-31	1996-01-01	1996-12-31	2171	\N	\N	\N	\N	\N	2013-05-08
SAS-96	1996-01-01	3799	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norges Geologiske Undersøkelse	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SBDE96	1996-01-01	3800	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	1398	\N	\N	\N	\N	\N	2013-05-08
SBDF96	1996-01-01	3801	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SET96	1996-01-01	3802	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	2703	\N	\N	\N	\N	\N	2013-05-08
SG-9608	1996-01-01	3803	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9601	1996-01-01	3804	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9604-2D	1996-01-01	3805	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	666	\N	\N	\N	\N	\N	2013-05-08
SG9604	1996-01-01	3806	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	97471	\N	\N	\N	\N	\N	2013-05-08
SG9605	1996-01-01	3807	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9606	1996-01-01	3808	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9608	1996-01-01	3809	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9613	1996-01-01	3810	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	1059	\N	\N	\N	\N	\N	2013-05-08
SG9614	1996-01-01	3811	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	233	\N	\N	\N	\N	\N	2013-05-08
SG9615	1996-01-01	3812	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9616	1996-01-01	3813	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9617	1996-01-01	3814	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	1273	\N	\N	\N	\N	\N	2013-05-08
SG9618	1996-01-01	3815	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	389	\N	\N	\N	\N	\N	2013-05-08
SG9619	1996-01-01	3816	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9620	1996-01-01	3817	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	225	\N	\N	\N	\N	\N	2013-05-08
SG9621	1996-01-01	3818	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9623	1996-01-01	3819	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	293	\N	\N	\N	\N	\N	2013-05-08
SG9624	1996-01-01	3820	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9629	1996-01-01	3821	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9706	1996-01-01	3822	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1996-12-31	1996-01-01	1996-12-31	556	\N	\N	\N	\N	\N	2013-05-08
SH9601	1996-01-01	3823	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1996-12-31	1996-01-01	1996-12-31	1104	\N	\N	\N	\N	\N	2013-05-08
SH9602	1996-01-01	3824	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1996-12-31	1996-01-01	1996-12-31	67239	\N	\N	\N	\N	\N	2013-05-08
SH9603	1996-01-01	3825	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	1996-12-31	1996-01-01	1996-12-31	191	\N	\N	\N	\N	\N	2013-05-08
SIRI-RCM	1996-01-01	3826	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SKH96	1996-01-01	3827	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	59759	\N	\N	\N	\N	\N	2013-05-08
ST9601	1996-01-01	3828	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1996-12-31	1996-01-01	1996-12-31	594	\N	\N	\N	\N	\N	2013-05-08
ST9602	1996-01-01	3829	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1996-12-31	1996-01-01	1996-12-31	103637	\N	\N	\N	\N	\N	2013-05-08
ST9603	1996-01-01	3830	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1996-12-31	1996-01-01	1996-12-31	96634	\N	\N	\N	\N	\N	2013-05-08
ST9604	1996-01-01	3831	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1996-12-31	1996-01-01	1996-12-31	85149	\N	\N	\N	\N	\N	2013-05-08
ST9607	1996-01-01	3832	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1996-12-31	1996-01-01	1996-12-31	71331	\N	\N	\N	\N	\N	2013-05-08
SYDPOL96	1996-01-01	3833	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1996-12-31	1996-01-01	1996-12-31	4179	\N	\N	\N	\N	\N	2013-05-08
UP96	1996-01-01	3835	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1996-12-31	1996-01-01	1996-12-31	39946	\N	\N	\N	\N	\N	2013-05-08
V2R96	1996-01-01	3836	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	4895	\N	\N	\N	\N	\N	2013-05-08
VDS96	1996-01-01	3837	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	1996-12-31	1996-01-01	1996-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
WG96GNH	1996-01-01	3838	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1996-12-31	1996-01-01	1996-12-31	518	\N	\N	\N	\N	\N	2013-05-08
WG96GRH	1996-01-01	3839	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1996-12-31	1996-01-01	1996-12-31	563	\N	\N	\N	\N	\N	2013-05-08
WG96ONH	1996-01-01	3840	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1996-12-31	1996-01-01	1996-12-31	980	\N	\N	\N	\N	\N	2013-05-08
WG96VOR	1996-01-01	3841	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1996-12-31	1996-01-01	1996-12-31	1115	\N	\N	\N	\N	\N	2013-05-08
ANO9706	1997-01-01	3842	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Amoco Norway Oil Company	1997-12-31	1997-01-01	1997-12-31	14892	\N	\N	\N	\N	\N	2013-05-08
CGG-ORYX UK 9/5	1997-01-01	3844	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	CGG NORGE A/S	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
E97IE06	1997-01-01	3845	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Enterprise Oil Norge AS	1997-12-31	1997-01-01	1997-12-31	133	\N	\N	\N	\N	\N	2013-05-08
EL9701	1997-01-01	3846	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	1997-12-31	1997-01-01	1997-12-31	2751	\N	\N	\N	\N	\N	2013-05-08
FBI97	1997-01-01	3847	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GSP97	1997-01-01	3848	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1997-12-31	1997-01-01	1997-12-31	3640	\N	\N	\N	\N	\N	2013-05-08
HT97	1997-01-01	3849	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1997-12-31	1997-01-01	1997-12-31	1768	\N	\N	\N	\N	\N	2013-05-08
JMF97	1997-01-01	3850	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1997-12-31	1997-01-01	1997-12-31	4020	\N	\N	\N	\N	\N	2013-05-08
MC3D-JHT98	1997-01-01	3851	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	NOPEC A/S	1997-12-31	1997-01-01	1997-12-31	51946	\N	\N	\N	\N	\N	2013-05-08
MMI97	1997-01-01	3852	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1997-12-31	1997-01-01	1997-12-31	717	\N	\N	\N	\N	\N	2013-05-08
MN9704	1997-01-01	3853	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MN9705	1997-01-01	3854	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MS97	1997-01-01	3855	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1997-12-31	1997-01-01	1997-12-31	38381	\N	\N	\N	\N	\N	2013-05-08
NA9701	1997-01-01	3856	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1997-12-31	1997-01-01	1997-12-31	633	\N	\N	\N	\N	\N	2013-05-08
NA9702	1997-01-01	3857	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Agip  AS	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NGI98	1997-01-01	3858	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1997-12-31	1997-01-01	1997-12-31	2125	\N	\N	\N	\N	\N	2013-05-08
NH9701	1997-01-01	3859	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1997-12-31	1997-01-01	1997-12-31	18896	\N	\N	\N	\N	\N	2013-05-08
NH9702	1997-01-01	3860	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1997-12-31	1997-01-01	1997-12-31	5699	\N	\N	\N	\N	\N	2013-05-08
NH9703	1997-01-01	3861	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1997-12-31	1997-01-01	1997-12-31	6445	\N	\N	\N	\N	\N	2013-05-08
NH9704	1997-01-01	3862	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1997-12-31	1997-01-01	1997-12-31	3750	\N	\N	\N	\N	\N	2013-05-08
NH9706	1997-01-01	3863	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1997-12-31	1997-01-01	1997-12-31	1083	\N	\N	\N	\N	\N	2013-05-08
NODAB-97	1997-01-01	3864	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG NORGE A/S	1997-12-31	1997-01-01	1997-12-31	44233	\N	\N	\N	\N	\N	2013-05-08
NP97	1997-01-01	3865	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1997-12-31	1997-01-01	1997-12-31	1941	\N	\N	\N	\N	\N	2013-05-08
NPD-KYST-97	1997-01-01	3866	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1997-12-31	1997-01-01	1997-12-31	881	\N	\N	\N	\N	\N	2013-05-08
NPD-MOFF-97	1997-01-01	3867	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1997-12-31	1997-01-01	1997-12-31	2748	\N	\N	\N	\N	\N	2013-05-08
NPD-NF-97	1997-01-01	3868	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1997-12-31	1997-01-01	1997-12-31	284	\N	\N	\N	\N	\N	2013-05-08
Q497	1997-01-01	3869	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	NOPEC A/S	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SB-4C	1997-01-01	3870	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9701	1997-01-01	3871	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1997-12-31	1997-01-01	1997-12-31	149690	\N	\N	\N	\N	\N	2013-05-08
SG9703	1997-01-01	3872	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1997-12-31	1997-01-01	1997-12-31	28737	\N	\N	\N	\N	\N	2013-05-08
SG9707	1997-01-01	3873	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1997-12-31	1997-01-01	1997-12-31	16	\N	\N	\N	\N	\N	2013-05-08
SG9711	1997-01-01	3874	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1997-12-31	1997-01-01	1997-12-31	4239	\N	\N	\N	\N	\N	2013-05-08
SG9714	1997-01-01	3875	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1997-12-31	1997-01-01	1997-12-31	603	\N	\N	\N	\N	\N	2013-05-08
SG9715	1997-01-01	3876	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1997-12-31	1997-01-01	1997-12-31	488	\N	\N	\N	\N	\N	2013-05-08
SG9717	1997-01-01	3877	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9718	1997-01-01	3878	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SHD97	1997-01-01	3879	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1997-12-31	1997-01-01	1997-12-31	5264	\N	\N	\N	\N	\N	2013-05-08
SPB97	1997-01-01	3880	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1997-12-31	1997-01-01	1997-12-31	5325	\N	\N	\N	\N	\N	2013-05-08
ST9702	1997-01-01	3881	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	55333	\N	\N	\N	\N	\N	2013-05-08
ST9703	1997-01-01	3882	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	26175	\N	\N	\N	\N	\N	2013-05-08
ST9704	1997-01-01	3883	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST9705	1997-01-01	3884	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	36149	\N	\N	\N	\N	\N	2013-05-08
ST9706	1997-01-01	3885	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	109	\N	\N	\N	\N	\N	2013-05-08
ST9707	1997-01-01	3886	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	92605	\N	\N	\N	\N	\N	2013-05-08
ST9711	1997-01-01	3887	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	16257	\N	\N	\N	\N	\N	2013-05-08
ST9712	1997-01-01	3888	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST9713	1997-01-01	3889	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	166	\N	\N	\N	\N	\N	2013-05-08
ST9714	1997-01-01	3890	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST9715	1997-01-01	3891	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	3267	\N	\N	\N	\N	\N	2013-05-08
ST9717	1997-01-01	3892	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	59343	\N	\N	\N	\N	\N	2013-05-08
ST9718	1997-01-01	3893	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	21564	\N	\N	\N	\N	\N	2013-05-08
ST9718RS	1997-01-01	3894	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	10328	\N	\N	\N	\N	\N	2013-05-08
ST9719	1997-01-01	3895	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	1761	\N	\N	\N	\N	\N	2013-05-08
STAR97	1997-01-01	3896	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1997-12-31	1997-01-01	1997-12-31	1803	\N	\N	\N	\N	\N	2013-05-08
UG97	1997-01-01	3897	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1997-12-31	1997-01-01	1997-12-31	3529	\N	\N	\N	\N	\N	2013-05-08
UGI98	1997-01-01	3898	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1997-12-31	1997-01-01	1997-12-31	5542	\N	\N	\N	\N	\N	2013-05-08
WESTERN 24/12	1997-01-01	3899	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1997-12-31	1997-01-01	1997-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ANO9801	1998-01-01	3902	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Amoco Norway Oil Company	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BB98	1998-01-01	3903	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DTN98	1998-01-01	3904	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	1998-12-31	1998-01-01	1998-12-31	41446	\N	\N	\N	\N	\N	2013-05-08
FLES98	1998-01-01	3905	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
FLESQ6605	1998-01-01	3906	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
FW98	1998-01-01	3907	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1998-12-31	1998-01-01	1998-12-31	1514	\N	\N	\N	\N	\N	2013-05-08
GRS99	1998-01-01	3908	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	7059	\N	\N	\N	\N	\N	2013-05-08
GSB-98	1998-01-01	3909	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
HPS98	1998-01-01	3910	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	2644	\N	\N	\N	\N	\N	2013-05-08
JMW99	1998-01-01	3911	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1998-12-31	1998-01-01	1998-12-31	234	\N	\N	\N	\N	\N	2013-05-08
KFW98	1998-01-01	3912	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	4146	\N	\N	\N	\N	\N	2013-05-08
MC3D-FLES98	1998-01-01	3913	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	124843	\N	\N	\N	\N	\N	2013-05-08
MC3D-MGW98	1998-01-01	3914	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	72034	\N	\N	\N	\N	\N	2013-05-08
MC3D-OLSE98	1998-01-01	3915	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	113539	\N	\N	\N	\N	\N	2013-05-08
MN4C-98-3	1998-01-01	3916	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	29	\N	\N	\N	\N	\N	2013-05-08
MNW99	1998-01-01	3917	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	3029	\N	\N	\N	\N	\N	2013-05-08
MRR98	1998-01-01	3918	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1998-12-31	1998-01-01	1998-12-31	2406	\N	\N	\N	\N	\N	2013-05-08
MS99	1998-01-01	3919	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	7205	\N	\N	\N	\N	\N	2013-05-08
NA9801	1998-01-01	3920	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Norsk Agip  AS	1998-12-31	1998-01-01	1998-12-31	15102	\N	\N	\N	\N	\N	2013-05-08
NDC98	1998-01-01	3921	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1998-12-31	1998-01-01	1998-12-31	606	\N	\N	\N	\N	\N	2013-05-08
NF-98	1998-01-01	3922	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG NORGE A/S	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH9801-GECO	1998-01-01	3923	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	20879	\N	\N	\N	\N	\N	2013-05-08
NH9801-PGS	1998-01-01	3924	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	9255	\N	\N	\N	\N	\N	2013-05-08
NH9802-GECO	1998-01-01	3925	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	69802	\N	\N	\N	\N	\N	2013-05-08
NH9802-PGS	1998-01-01	3926	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	35158	\N	\N	\N	\N	\N	2013-05-08
NH9803	1998-01-01	3927	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	109250	\N	\N	\N	\N	\N	2013-05-08
NH9804	1998-01-01	3928	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	7515	\N	\N	\N	\N	\N	2013-05-08
NH9805	1998-01-01	3929	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	18921	\N	\N	\N	\N	\N	2013-05-08
NH9806	1998-01-01	3930	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH9807	1998-01-01	3931	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	1284	\N	\N	\N	\N	\N	2013-05-08
NH9808	1998-01-01	3932	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	14	\N	\N	\N	\N	\N	2013-05-08
Q6305	1998-01-01	3935	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
RHS98	1998-01-01	3936	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1998-12-31	1998-01-01	1998-12-31	665	\N	\N	\N	\N	\N	2013-05-08
RSW98	1998-01-01	3937	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	2471	\N	\N	\N	\N	\N	2013-05-08
SBM98	1998-01-01	3938	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1998-12-31	1998-01-01	1998-12-31	25701	\N	\N	\N	\N	\N	2013-05-08
SG9801	1998-01-01	3939	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1998-12-31	1998-01-01	1998-12-31	4081	\N	\N	\N	\N	\N	2013-05-08
SG9803	1998-01-01	3940	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1998-12-31	1998-01-01	1998-12-31	70632	\N	\N	\N	\N	\N	2013-05-08
SG9804	1998-01-01	3941	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1998-12-31	1998-01-01	1998-12-31	81258	\N	\N	\N	\N	\N	2013-05-08
SG9810	1998-01-01	3942	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Saga Petroleum ASA	1998-12-31	1998-01-01	1998-12-31	93572	\N	\N	\N	\N	\N	2013-05-08
SG9811	1998-01-01	3943	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1998-12-31	1998-01-01	1998-12-31	2184	\N	\N	\N	\N	\N	2013-05-08
SG9815	1998-01-01	3944	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SG9817	1998-01-01	3945	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Saga Petroleum ASA	1998-12-31	1998-01-01	1998-12-31	63	\N	\N	\N	\N	\N	2013-05-08
SH9801	1998-01-01	3946	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	1998-12-31	1998-01-01	1998-12-31	50341	\N	\N	\N	\N	\N	2013-05-08
SHDE98	1998-01-01	3947	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	2936	\N	\N	\N	\N	\N	2013-05-08
SHDEI98	1998-01-01	3948	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	2010	\N	\N	\N	\N	\N	2013-05-08
SKH-II-98	1998-01-01	3949	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SL98	1998-01-01	3950	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST98	1998-01-01	3951	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1998-12-31	1998-01-01	1998-12-31	3141	\N	\N	\N	\N	\N	2013-05-08
ST9802	1998-01-01	3952	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1998-12-31	1998-01-01	1998-12-31	123591	\N	\N	\N	\N	\N	2013-05-08
ST9804	1998-01-01	3953	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST9807	1998-01-01	3954	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1998-12-31	1998-01-01	1998-12-31	41832	\N	\N	\N	\N	\N	2013-05-08
ST9811	1998-01-01	3955	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1998-12-31	1998-01-01	1998-12-31	1638	\N	\N	\N	\N	\N	2013-05-08
ST9811-1001	1998-01-01	3956	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1998-12-31	1998-01-01	1998-12-31	786	\N	\N	\N	\N	\N	2013-05-08
ST9811-4001	1998-01-01	3957	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1998-12-31	1998-01-01	1998-12-31	818	\N	\N	\N	\N	\N	2013-05-08
ST9818	1998-01-01	3958	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
STREAMER-TEST-98	1998-01-01	3959	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TQ-34/12	1998-01-01	3960	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1998-12-31	1998-01-01	1998-12-31	54959	\N	\N	\N	\N	\N	2013-05-08
TT98	1998-01-01	3961	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	581	\N	\N	\N	\N	\N	2013-05-08
UGX98	1998-01-01	3962	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1998-12-31	1998-01-01	1998-12-31	1006	\N	\N	\N	\N	\N	2013-05-08
UHN98	1998-01-01	3963	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1998-12-31	1998-01-01	1998-12-31	137870	\N	\N	\N	\N	\N	2013-05-08
V2M98	1998-01-01	3964	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VGNT98	1998-01-01	3965	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1998-12-31	1998-01-01	1998-12-31	896	\N	\N	\N	\N	\N	2013-05-08
AG-TBN99	1999-01-01	3967	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	GEOTEAM AS	1999-12-31	1999-01-01	1999-12-31	83138	\N	\N	\N	\N	\N	2013-05-08
B9/24-99	1999-01-01	3969	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPA9901	1999-01-01	3970	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	1999-12-31	1999-01-01	1999-12-31	65648	\N	\N	\N	\N	\N	2013-05-08
BPN9902	1999-01-01	3971	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	BP Norway Limited  U.A.	1999-12-31	1999-01-01	1999-12-31	1046	\N	\N	\N	\N	\N	2013-05-08
DW99	1999-01-01	3972	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	3538	\N	\N	\N	\N	\N	2013-05-08
G4CTP-TQ3D1999	1999-01-01	3973	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GJN99	1999-01-01	3974	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	629	\N	\N	\N	\N	\N	2013-05-08
GJS99	1999-01-01	3975	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GNNR-TQ3D-1999	1999-01-01	3976	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GNNR99	1999-01-01	3977	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1999-12-31	1999-01-01	1999-12-31	47258	\N	\N	\N	\N	\N	2013-05-08
GRN-TQ3D-1999	1999-01-01	3978	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GRSI99	1999-01-01	3979	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	849	\N	\N	\N	\N	\N	2013-05-08
GVLO99	1999-01-01	3980	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	1999-12-31	1999-01-01	1999-12-31	1569	\N	\N	\N	\N	\N	2013-05-08
HPSE99	1999-01-01	3981	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	\N	NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
HTE99	1999-01-01	3982	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	2038	\N	\N	\N	\N	\N	2013-05-08
HTM99	1999-01-01	3983	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	1099	\N	\N	\N	\N	\N	2013-05-08
HTS99	1999-01-01	3984	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1999-12-31	1999-01-01	1999-12-31	22886	\N	\N	\N	\N	\N	2013-05-08
KFWI99	1999-01-01	3985	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	\N	NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-JHUN99	1999-01-01	3986	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	148223	\N	\N	\N	\N	\N	2013-05-08
MC3D-RHD99	1999-01-01	3987	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	106815	\N	\N	\N	\N	\N	2013-05-08
MD99	1999-01-01	3988	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1999-12-31	1999-01-01	1999-12-31	30828	\N	\N	\N	\N	\N	2013-05-08
MI99	1999-01-01	3989	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1999-12-31	1999-01-01	1999-12-31	11703	\N	\N	\N	\N	\N	2013-05-08
MIKKEL EAST	1999-01-01	3990	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MN9902	1999-01-01	3991	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Mobil Exploration Norway INC	1999-12-31	1999-01-01	1999-12-31	1177	\N	\N	\N	\N	\N	2013-05-08
MNWI99	1999-01-01	3992	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	1078	\N	\N	\N	\N	\N	2013-05-08
MR3D99	1999-01-01	3993	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MRD99	1999-01-01	3994	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	1143	\N	\N	\N	\N	\N	2013-05-08
MSI99	1999-01-01	3995	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	1352	\N	\N	\N	\N	\N	2013-05-08
NH9902	1999-01-01	3996	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	1999-12-31	1999-01-01	1999-12-31	1811	\N	\N	\N	\N	\N	2013-05-08
NPD-LOS-99	1999-01-01	3997	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1999-12-31	1999-01-01	1999-12-31	3071	\N	\N	\N	\N	\N	2013-05-08
NX3D99	1999-01-01	4000	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
OBS99	1999-01-01	4001	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	1999-12-31	1999-01-01	1999-12-31	1502	\N	\N	\N	\N	\N	2013-05-08
PAM99-2D	1999-01-01	4002	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PAM99	1999-01-01	4003	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Phillips Petroleum Company Norway	1999-12-31	1999-01-01	1999-12-31	195601	\N	\N	\N	\N	\N	2013-05-08
PG99	1999-01-01	4004	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Phillips Petroleum Company Norway	1999-12-31	1999-01-01	1999-12-31	28974	\N	\N	\N	\N	\N	2013-05-08
PGS-15/12	1999-01-01	4005	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PGS-17/12	1999-01-01	4006	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PGS-3/6	1999-01-01	4007	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
Q24-99	1999-01-01	4008	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
Q899	1999-01-01	4009	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SL99	1999-01-01	4011	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	2210	\N	\N	\N	\N	\N	2013-05-08
SLI99	1999-01-01	4012	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	1117	\N	\N	\N	\N	\N	2013-05-08
SRNE99	1999-01-01	4013	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SST2000	1999-01-01	4014	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	51524	\N	\N	\N	\N	\N	2013-05-08
ST9901	1999-01-01	4015	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1999-12-31	1999-01-01	1999-12-31	20711	\N	\N	\N	\N	\N	2013-05-08
ST9902	1999-01-01	4016	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST9903-2D	1999-01-01	4017	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	1999-12-31	1999-01-01	1999-12-31	106	\N	\N	\N	\N	\N	2013-05-08
ST9904	1999-01-01	4018	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST9905	1999-01-01	4019	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1999-12-31	1999-01-01	1999-12-31	92368	\N	\N	\N	\N	\N	2013-05-08
ST9906	1999-01-01	4020	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ULE99	1999-01-01	4022	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	50386	\N	\N	\N	\N	\N	2013-05-08
VSS99	1999-01-01	4023	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	1677	\N	\N	\N	\N	\N	2013-05-08
YE99	1999-01-01	4024	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	1999-12-31	1999-01-01	1999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
YFZ99	1999-01-01	4025	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	1999-12-31	1999-01-01	1999-12-31	1475	\N	\N	\N	\N	\N	2013-05-08
AG-MC3D-MBSF-00	2000-01-01	4026	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Aker Geo ASA	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BE2000	2000-01-01	4028	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0001	2000-01-01	4029	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Amoco Norge AS	2000-12-31	2000-01-01	2000-12-31	6109	\N	\N	\N	\N	\N	2013-05-08
BPN0002	2000-01-01	4030	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BP Amoco Norge AS	2000-12-31	2000-01-01	2000-12-31	56701	\N	\N	\N	\N	\N	2013-05-08
BPN0003	2000-01-01	4031	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BP Amoco Norge AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CGWT00	2000-01-01	4032	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Det Norske Veritas	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CHEV01	2000-01-01	4033	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DTW2000	2000-01-01	4034	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	31846	\N	\N	\N	\N	\N	2013-05-08
EBN00	2000-01-01	4035	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EBS00	2000-01-01	4036	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	2054	\N	\N	\N	\N	\N	2013-05-08
EL0001	2000-01-01	4037	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Elf Petroleum Norge AS	2000-12-31	2000-01-01	2000-12-31	75038	\N	\N	\N	\N	\N	2013-05-08
EL0001-2D	2000-01-01	4038	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	TOTAL FINA ELF	2000-12-31	2000-01-01	2000-12-31	219	\N	\N	\N	\N	\N	2013-05-08
EL0002	2000-01-01	4039	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Elf Petroleum Norge AS	2000-12-31	2000-01-01	2000-12-31	979	\N	\N	\N	\N	\N	2013-05-08
EM00-01	2000-01-01	4040	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	2000-12-31	2000-01-01	2000-12-31	70784	\N	\N	\N	\N	\N	2013-05-08
FSB00	2000-01-01	4041	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GP-QMT	2000-01-01	4042	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	WesternGeco AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GPQM	2000-01-01	4043	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GVF2000	2000-01-01	4044	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	2000-12-31	2000-01-01	2000-12-31	3033	\N	\N	\N	\N	\N	2013-05-08
HB00	2000-01-01	4045	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	1433	\N	\N	\N	\N	\N	2013-05-08
KFW100	2000-01-01	4046	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	1026	\N	\N	\N	\N	\N	2013-05-08
MC3D-DTW2000	2000-01-01	4047	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	189906	\N	\N	\N	\N	\N	2013-05-08
MC3D-FS2000	2000-01-01	4048	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	161850	\N	\N	\N	\N	\N	2013-05-08
MC3D-NNE2000	2000-01-01	4049	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	118780	\N	\N	\N	\N	\N	2013-05-08
N7I00	2000-01-01	4051	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	1951	\N	\N	\N	\N	\N	2013-05-08
NEW DUNBAR	2000-01-01	4052	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Elf Petroleum Norge AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0001	2000-01-01	4053	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0002	2000-01-01	4054	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2000-12-31	2000-01-01	2000-12-31	7196	\N	\N	\N	\N	\N	2013-05-08
NH0003	2000-01-01	4055	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2000-12-31	2000-01-01	2000-12-31	83384	\N	\N	\N	\N	\N	2013-05-08
NH0004	2000-01-01	4056	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0005	2000-01-01	4057	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH9901	2000-01-01	4058	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2000-12-31	2000-01-01	2000-12-31	18843	\N	\N	\N	\N	\N	2013-05-08
NPD-LOS-00	2000-01-01	4059	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2000-12-31	2000-01-01	2000-12-31	4084	\N	\N	\N	\N	\N	2013-05-08
NVG2000	2000-01-01	4061	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	2000-12-31	2000-01-01	2000-12-31	44941	\N	\N	\N	\N	\N	2013-05-08
SH0001	2000-01-01	4064	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	2000-12-31	2000-01-01	2000-12-31	51	\N	\N	\N	\N	\N	2013-05-08
SSB-2000	2000-01-01	4065	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SSE2000	2000-01-01	4066	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0002	2000-01-01	4067	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2000-12-31	2000-01-01	2000-12-31	252	\N	\N	\N	\N	\N	2013-05-08
ST0003	2000-01-01	4068	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0004	2000-01-01	4069	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0005	2000-01-01	4070	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2000-12-31	2000-01-01	2000-12-31	655	\N	\N	\N	\N	\N	2013-05-08
ST9403-TIME	2000-01-01	4071	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2000-12-31	2000-01-01	2000-12-31	38797	\N	\N	\N	\N	\N	2013-05-08
SVN00	2000-01-01	4072	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SVS00	2000-01-01	4073	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	1014	\N	\N	\N	\N	\N	2013-05-08
SWF2000	2000-01-01	4074	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	2000-12-31	2000-01-01	2000-12-31	2956	\N	\N	\N	\N	\N	2013-05-08
TBS2000	2000-01-01	4075	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	2000-12-31	2000-01-01	2000-12-31	3051	\N	\N	\N	\N	\N	2013-05-08
TNE2000	2000-01-01	4076	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TQ3D-STORD	2000-01-01	4077	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TQ4C-Q24/25	2000-01-01	4078	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TR00	2000-01-01	4079	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VSS00	2000-01-01	4080	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2000-12-31	2000-01-01	2000-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BP0103	2001-01-01	4088	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0101	2001-01-01	4089	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0102	2001-01-01	4090	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BSS01	2001-01-01	4091	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2001-12-31	2001-01-01	2001-12-31	4967	\N	\N	\N	\N	\N	2013-05-08
BSSD01	2001-01-01	4092	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2001-12-31	2001-01-01	2001-12-31	502	\N	\N	\N	\N	\N	2013-05-08
CGAM-01	2001-01-01	4093	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CN0101	2001-01-01	4094	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Conoco Norway Inc.	2001-12-31	2001-01-01	2001-12-31	329	\N	\N	\N	\N	\N	2013-05-08
EBN01	2001-01-01	4095	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM01-01_BALDER	2001-01-01	4096	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM0101	2001-01-01	4097	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	2001-12-31	2001-01-01	2001-12-31	35685	\N	\N	\N	\N	\N	2013-05-08
EN0101	2001-01-01	4098	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Enterprise Oil Norwegian AS	2001-12-31	2001-01-01	2001-12-31	149306	\N	\N	\N	\N	\N	2013-05-08
IS-CNB-01	2001-01-01	4099	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	INSEIS AS	2001-12-31	2001-01-01	2001-12-31	3619	\N	\N	\N	\N	\N	2013-05-08
IS-FST-01	2001-01-01	4100	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	INSEIS AS	2001-12-31	2001-01-01	2001-12-31	2147	\N	\N	\N	\N	\N	2013-05-08
IS-HB-01	2001-01-01	4101	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	INSEIS AS	2001-12-31	2001-01-01	2001-12-31	1258	\N	\N	\N	\N	\N	2013-05-08
IS-HW-01	2001-01-01	4102	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	INSEIS AS	2001-12-31	2001-01-01	2001-12-31	1215	\N	\N	\N	\N	\N	2013-05-08
IS-JMR-01	2001-01-01	4103	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	INSEIS AS	2001-12-31	2001-01-01	2001-12-31	2864	\N	\N	\N	\N	\N	2013-05-08
IS-OVULO 2001	2001-01-01	4104	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	INSEIS AS	2001-12-31	2001-01-01	2001-12-31	481	\N	\N	\N	\N	\N	2013-05-08
IS-RHW-01	2001-01-01	4105	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	INSEIS AS	2001-12-31	2001-01-01	2001-12-31	813	\N	\N	\N	\N	\N	2013-05-08
IS-YDHS-01	2001-01-01	4106	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	INSEIS AS	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-GH2001	2001-01-01	4107	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2001-12-31	2001-01-01	2001-12-31	45159	\N	\N	\N	\N	\N	2013-05-08
MC3D-MGS2001	2001-01-01	4108	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-MOERE	2001-01-01	4109	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	CGG NORGE A/S	2001-12-31	2001-01-01	2001-12-31	403788	\N	\N	\N	\N	\N	2013-05-08
MC3D-RIBBAN2001	2001-01-01	4110	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NA0102	2001-01-01	4112	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Norsk Agip  AS	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NBE-01	2001-01-01	4113	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	INSEIS AS	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0101	2001-01-01	4114	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2001-12-31	2001-01-01	2001-12-31	1899	\N	\N	\N	\N	\N	2013-05-08
NH0102	2001-01-01	4115	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2001-12-31	2001-01-01	2001-12-31	23871	\N	\N	\N	\N	\N	2013-05-08
NH0103	2001-01-01	4116	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0104	2001-01-01	4117	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2001-12-31	2001-01-01	2001-12-31	6569	\N	\N	\N	\N	\N	2013-05-08
NH0105	2001-01-01	4118	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2001-12-31	2001-01-01	2001-12-31	10991	\N	\N	\N	\N	\N	2013-05-08
NH0106	2001-01-01	4119	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	2001-12-31	2001-01-01	2001-12-31	17	\N	\N	\N	\N	\N	2013-05-08
NH0107	2001-01-01	4120	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NPD-ODEN-01	2001-01-01	4121	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2001-12-31	2001-01-01	2001-12-31	1335	\N	\N	\N	\N	\N	2013-05-08
NPD-POLAR-01	2001-01-01	4122	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2001-12-31	2001-01-01	2001-12-31	860	\N	\N	\N	\N	\N	2013-05-08
OLW02	2001-01-01	4123	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	2001-12-31	2001-01-01	2001-12-31	4673	\N	\N	\N	\N	\N	2013-05-08
OLWI01	2001-01-01	4124	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PG01-2D	2001-01-01	4125	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Phillips Petroleum Company Norway	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PG01	2001-01-01	4126	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Phillips Petroleum Company Norway	2001-12-31	2001-01-01	2001-12-31	4817	\N	\N	\N	\N	\N	2013-05-08
SH0101	2001-01-01	4127	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2001-12-31	2001-01-01	2001-12-31	12210	\N	\N	\N	\N	\N	2013-05-08
SH01S1	2001-01-01	4128	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	2001-12-31	2001-01-01	2001-12-31	60	\N	\N	\N	\N	\N	2013-05-08
SL-SLIRE01	2001-01-01	4129	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GEOTEAM EXPLORATION AS	2001-12-31	2001-01-01	2001-12-31	3298	\N	\N	\N	\N	\N	2013-05-08
ST0101	2001-01-01	4130	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	4253	\N	\N	\N	\N	\N	2013-05-08
ST0102	2001-01-01	4131	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	1256	\N	\N	\N	\N	\N	2013-05-08
ST0103	2001-01-01	4132	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	28429	\N	\N	\N	\N	\N	2013-05-08
ST0104	2001-01-01	4133	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	5374	\N	\N	\N	\N	\N	2013-05-08
ST0105	2001-01-01	4134	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	128870	\N	\N	\N	\N	\N	2013-05-08
ST0106	2001-01-01	4135	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0109	2001-01-01	4136	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0110	2001-01-01	4137	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	6942	\N	\N	\N	\N	\N	2013-05-08
ST0113	2001-01-01	4138	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0114	2001-01-01	4139	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	51707	\N	\N	\N	\N	\N	2013-05-08
ST0115	2001-01-01	4140	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0116	2001-01-01	4141	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0117	2001-01-01	4142	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0118	2001-01-01	4143	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TFE0101	2001-01-01	4144	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	TOTAL FINA ELF	2001-12-31	2001-01-01	2001-12-31	37	\N	\N	\N	\N	\N	2013-05-08
TNE01	2001-01-01	4145	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GEOTEAM EXPLORATION AS	2001-12-31	2001-01-01	2001-12-31	32296	\N	\N	\N	\N	\N	2013-05-08
VBRE01	2001-01-01	4147	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VERITAS	2001-01-01	4148	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2001-12-31	2001-01-01	2001-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0201	2002-01-01	4151	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0202	2002-01-01	4152	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DSC-2002	2002-01-01	4153	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Chevron Petroleum Company of Norway	2002-12-31	2002-01-01	2002-12-31	120594	\N	\N	\N	\N	\N	2013-05-08
EM02-05_FORSETI_OBS	2002-01-01	4154	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM0201_	2002-01-01	4155	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM0202_	2002-01-01	4156	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM0203_JOTUN_3D_STREAMER	2002-01-01	4157	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM0204 BALDER 3D STREAMER	2002-01-01	4158	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GRE02	2002-01-01	4159	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2002-12-31	2002-01-01	2002-12-31	65805	\N	\N	\N	\N	\N	2013-05-08
GRN-2002	2002-01-01	4160	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
HSW/MS-2002	2002-01-01	4161	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ICE02	2002-01-01	4162	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	NOPEC A/S	2002-12-31	2002-01-01	2002-12-31	821	\N	\N	\N	\N	\N	2013-05-08
IST-OL-02 MCSBL	2002-01-01	4163	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	INSEIS AS	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
IST-SE-02	2002-01-01	4164	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	INSEIS AS	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC2D-MG2002	2002-01-01	4166	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2002-12-31	2002-01-01	2002-12-31	1185	\N	\N	\N	\N	\N	2013-05-08
MC2D-SH0201	2002-01-01	4167	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2002-12-31	2002-01-01	2002-12-31	229	\N	\N	\N	\N	\N	2013-05-08
MC2D-SH2002	2002-01-01	4168	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC2D-SOLE2002	2002-01-01	4169	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2002-12-31	2002-01-01	2002-12-31	509	\N	\N	\N	\N	\N	2013-05-08
MC3D-MFZ02	2002-01-01	4170	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2002-12-31	2002-01-01	2002-12-31	46644	\N	\N	\N	\N	\N	2013-05-08
MC3D-MGS2002	2002-01-01	4171	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2002-12-31	2002-01-01	2002-12-31	182846	\N	\N	\N	\N	\N	2013-05-08
MC3D-VARG2002	2002-01-01	4172	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2002-12-31	2002-01-01	2002-12-31	7178	\N	\N	\N	\N	\N	2013-05-08
MC3D-WHH2002	2002-01-01	4173	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2002-12-31	2002-01-01	2002-12-31	110024	\N	\N	\N	\N	\N	2013-05-08
MF-2002	2002-01-01	4174	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MFW-2002	2002-01-01	4175	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0201	2002-01-01	4176	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2002-12-31	2002-01-01	2002-12-31	38277	\N	\N	\N	\N	\N	2013-05-08
NH0202	2002-01-01	4177	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2002-12-31	2002-01-01	2002-12-31	299930	\N	\N	\N	\N	\N	2013-05-08
NH0203	2002-01-01	4178	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0204	2002-01-01	4179	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PEN02	2002-01-01	4181	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SB0201	2002-01-01	4183	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	SeaBed Geophysical AS	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SBL02	2002-01-01	4184	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2002-12-31	2002-01-01	2002-12-31	488	\N	\N	\N	\N	\N	2013-05-08
ST0201	2002-01-01	4185	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0202	2002-01-01	4186	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2002-12-31	2002-01-01	2002-12-31	3464	\N	\N	\N	\N	\N	2013-05-08
ST0203	2002-01-01	4187	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2002-12-31	2002-01-01	2002-12-31	2320	\N	\N	\N	\N	\N	2013-05-08
ST0204	2002-01-01	4188	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0205	2002-01-01	4189	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2002-12-31	2002-01-01	2002-12-31	32	\N	\N	\N	\N	\N	2013-05-08
ST0206	2002-01-01	4190	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0207	2002-01-01	4191	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2002-12-31	2002-01-01	2002-12-31	17539	\N	\N	\N	\N	\N	2013-05-08
ST0208	2002-01-01	4192	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2002-12-31	2002-01-01	2002-12-31	29434	\N	\N	\N	\N	\N	2013-05-08
ST0209	2002-01-01	4193	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
UH02	2002-01-01	4194	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2002-12-31	2002-01-01	2002-12-31	70473	\N	\N	\N	\N	\N	2013-05-08
UW02	2002-01-01	4195	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2002-12-31	2002-01-01	2002-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VGUH0201	2002-01-01	4196	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2002-12-31	2002-01-01	2002-12-31	70473	\N	\N	\N	\N	\N	2013-05-08
2003 PIERCE 4D	2003-01-01	4197	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
2DQTIE-2003	2003-01-01	4198	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BALQ-02	2003-01-01	4199	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_1.LOFS-4D	2003-01-01	4200	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2003-12-31	2003-01-01	2003-12-31	5801	\N	\N	\N	\N	\N	2013-05-08
CENTRAL GRABEN QUAD 30 2003 3D SURVEY	2003-01-01	4201	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CP0301	2003-01-01	4202	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	ConocoPhillips Norge	2003-12-31	2003-01-01	2003-12-31	8518	\N	\N	\N	\N	\N	2013-05-08
CP0302	2003-01-01	4203	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	ConocoPhillips Norge	2003-12-31	2003-01-01	2003-12-31	15011	\N	\N	\N	\N	\N	2013-05-08
GRN-2003	2003-01-01	4204	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GRS-2003	2003-01-01	4205	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC2D-FAB2003	2003-01-01	4206	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2003-12-31	2003-01-01	2003-12-31	2266	\N	\N	\N	\N	\N	2013-05-08
MC2D-OLE2003	2003-01-01	4207	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2003-12-31	2003-01-01	2003-12-31	2492	\N	\N	\N	\N	\N	2013-05-08
MC2D-OV2003	2003-01-01	4208	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2003-12-31	2003-01-01	2003-12-31	638	\N	\N	\N	\N	\N	2013-05-08
MC3D-EW2003	2003-01-01	4209	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2003-12-31	2003-01-01	2003-12-31	43512	\N	\N	\N	\N	\N	2013-05-08
NE03	2003-01-01	4210	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Fugro-Geoteam AS	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0301	2003-01-01	4211	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2003-12-31	2003-01-01	2003-12-31	57233	\N	\N	\N	\N	\N	2013-05-08
NH0302	2003-01-01	4212	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2003-12-31	2003-01-01	2003-12-31	21105	\N	\N	\N	\N	\N	2013-05-08
NH0302-FT	2003-01-01	4213	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2003-12-31	2003-01-01	2003-12-31	10554	\N	\N	\N	\N	\N	2013-05-08
NH0303	2003-01-01	4214	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0304	2003-01-01	4215	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	2003-12-31	2003-01-01	2003-12-31	2709	\N	\N	\N	\N	\N	2013-05-08
NH0311	2003-01-01	4216	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NSR-1VOL1NO	2003-01-01	4218	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NVI MC-2003	2003-01-01	4219	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PENGUIN CLUSTER Q211	2003-01-01	4220	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
Q3 HILD 03	2003-01-01	4221	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	TOTAL FINA ELF	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SKENE_UK_OBC	2003-01-01	4222	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0301	2003-01-01	4223	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	7825	\N	\N	\N	\N	\N	2013-05-08
ST0302	2003-01-01	4224	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	3660	\N	\N	\N	\N	\N	2013-05-08
ST0303	2003-01-01	4225	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	1689	\N	\N	\N	\N	\N	2013-05-08
ST0304	2003-01-01	4226	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	19230	\N	\N	\N	\N	\N	2013-05-08
ST0305	2003-01-01	4227	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	8020	\N	\N	\N	\N	\N	2013-05-08
ST0306	2003-01-01	4228	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	83293	\N	\N	\N	\N	\N	2013-05-08
ST0307	2003-01-01	4229	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	8762	\N	\N	\N	\N	\N	2013-05-08
ST0309	2003-01-01	4230	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	123893	\N	\N	\N	\N	\N	2013-05-08
ST0311	2003-01-01	4231	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0312	2003-01-01	4232	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	2655	\N	\N	\N	\N	\N	2013-05-08
ST0313	2003-01-01	4233	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	7547	\N	\N	\N	\N	\N	2013-05-08
ST0314	2003-01-01	4234	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0315	2003-01-01	4235	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0316	2003-01-01	4236	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	107	\N	\N	\N	\N	\N	2013-05-08
ST0318	2003-01-01	4237	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2003-12-31	2003-01-01	2003-12-31	20	\N	\N	\N	\N	\N	2013-05-08
UIO-OBS-03	2003-01-01	4238	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	UNIVERSITETET I OSLO	2003-12-31	2003-01-01	2003-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VGUH0301	2003-01-01	4239	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2003-12-31	2003-01-01	2003-12-31	72631	\N	\N	\N	\N	\N	2013-05-08
BP0409	2004-01-01	4240	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2004-12-31	2004-01-01	2004-12-31	37	\N	\N	\N	\N	\N	2013-05-08
BP043D0002	2004-01-01	4241	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_2.LOFS-4D	2004-01-01	4242	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_3.LOFS-4D	2004-01-01	4243	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_4.LOFS-4D	2004-01-01	4244	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM04-02	2004-01-01	4245	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Esso Exploration and Production Norway A/S	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-EGB2004	2004-01-01	4246	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2004-12-31	2004-01-01	2004-12-31	22831	\N	\N	\N	\N	\N	2013-05-08
MC3D-FH2004	2004-01-01	4247	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-LGW2004	2004-01-01	4248	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2004-12-31	2004-01-01	2004-12-31	16025	\N	\N	\N	\N	\N	2013-05-08
MCEM-GS04	2004-01-01	4249	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MCEM-MB04	2004-01-01	4250	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MCEM-RK04	2004-01-01	4251	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MNR04	2004-01-01	4252	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Fugro-Geoteam AS	2004-12-31	2004-01-01	2004-12-31	3583	\N	\N	\N	\N	\N	2013-05-08
NE04	2004-01-01	4253	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Fugro-Geoteam AS	2004-12-31	2004-01-01	2004-12-31	48674	\N	\N	\N	\N	\N	2013-05-08
NH0401	2004-01-01	4255	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0402	2004-01-01	4256	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2004-12-31	2004-01-01	2004-12-31	55776	\N	\N	\N	\N	\N	2013-05-08
NH0403	2004-01-01	4257	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2004-12-31	2004-01-01	2004-12-31	17682	\N	\N	\N	\N	\N	2013-05-08
NPD-LOS-04	2004-01-01	4258	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2004-12-31	2004-01-01	2004-12-31	99	\N	\N	\N	\N	\N	2013-05-08
NSR04	2004-01-01	4260	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2004-12-31	2004-01-01	2004-12-31	17908	\N	\N	\N	\N	\N	2013-05-08
SH0401	2004-01-01	4261	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2004-12-31	2004-01-01	2004-12-31	9734	\N	\N	\N	\N	\N	2013-05-08
SH0402	2004-01-01	4262	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2004-12-31	2004-01-01	2004-12-31	34165	\N	\N	\N	\N	\N	2013-05-08
ST0402	2004-01-01	4263	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	6785	\N	\N	\N	\N	\N	2013-05-08
ST0403	2004-01-01	4264	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	20116	\N	\N	\N	\N	\N	2013-05-08
ST0404	2004-01-01	4265	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	44848	\N	\N	\N	\N	\N	2013-05-08
ST0405	2004-01-01	4266	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	6942	\N	\N	\N	\N	\N	2013-05-08
ST0406	2004-01-01	4267	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	4762	\N	\N	\N	\N	\N	2013-05-08
ST0407	2004-01-01	4268	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	20177	\N	\N	\N	\N	\N	2013-05-08
ST0408	2004-01-01	4269	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	14073	\N	\N	\N	\N	\N	2013-05-08
ST0409R04A	2004-01-01	4270	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	14022	\N	\N	\N	\N	\N	2013-05-08
ST0410	2004-01-01	4271	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	75904	\N	\N	\N	\N	\N	2013-05-08
ST0411	2004-01-01	4272	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0412	2004-01-01	4273	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	5189	\N	\N	\N	\N	\N	2013-05-08
ST0413	2004-01-01	4274	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	183	\N	\N	\N	\N	\N	2013-05-08
ST0451	2004-01-01	4275	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0452	2004-01-01	4276	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0453	2004-01-01	4277	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0454	2004-01-01	4278	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0455	2004-01-01	4279	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VERQ30	2004-01-01	4280	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2004-12-31	2004-01-01	2004-12-31	4893	\N	\N	\N	\N	\N	2013-05-08
VGCNS0401	2004-01-01	4281	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2004-12-31	2004-01-01	2004-12-31	114904	\N	\N	\N	\N	\N	2013-05-08
VGCNS0402	2004-01-01	4282	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2004-12-31	2004-01-01	2004-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_5.LOFS-4D	2005-01-01	4283	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_6.LOFS-4D	2005-01-01	4284	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0501	2005-01-01	4285	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2005-12-31	2005-01-01	2005-12-31	43449	\N	\N	\N	\N	\N	2013-05-08
CP0501	2005-01-01	4286	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	ConocoPhillips Norge	2005-12-31	2005-01-01	2005-12-31	7937	\N	\N	\N	\N	\N	2013-05-08
GOLIA-PL229 SBL	2005-01-01	4287	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Eni Norge AS	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC2D-DFB2005	2005-01-01	4289	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2005-12-31	2005-01-01	2005-12-31	2307	\N	\N	\N	\N	\N	2013-05-08
MC2D-HDV2005	2005-01-01	4290	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC2D-NH0508	2005-01-01	4291	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2005-12-31	2005-01-01	2005-12-31	579	\N	\N	\N	\N	\N	2013-05-08
MC2D-NH0509	2005-01-01	4292	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2005-12-31	2005-01-01	2005-12-31	81	\N	\N	\N	\N	\N	2013-05-08
MC3D-BLOCK 7/4	2005-01-01	4293	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-EGB2005	2005-01-01	4294	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2005-12-31	2005-01-01	2005-12-31	139219	\N	\N	\N	\N	\N	2013-05-08
MC3D-FH2005	2005-01-01	4295	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-NVG2005	2005-01-01	4296	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2005-12-31	2005-01-01	2005-12-31	72901	\N	\N	\N	\N	\N	2013-05-08
MCEM-TE05	2005-01-01	4297	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MNR05	2005-01-01	4298	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Fugro-Geoteam AS	2005-12-31	2005-01-01	2005-12-31	5855	\N	\N	\N	\N	\N	2013-05-08
NH0501	2005-01-01	4299	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0502	2005-01-01	4300	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2005-12-31	2005-01-01	2005-12-31	37319	\N	\N	\N	\N	\N	2013-05-08
NH0503	2005-01-01	4301	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2005-12-31	2005-01-01	2005-12-31	27240	\N	\N	\N	\N	\N	2013-05-08
NH0504	2005-01-01	4302	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2005-12-31	2005-01-01	2005-12-31	71161	\N	\N	\N	\N	\N	2013-05-08
NH0505	2005-01-01	4303	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2005-12-31	2005-01-01	2005-12-31	4409	\N	\N	\N	\N	\N	2013-05-08
NH0506	2005-01-01	4304	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2005-12-31	2005-01-01	2005-12-31	2086	\N	\N	\N	\N	\N	2013-05-08
NH0507	2005-01-01	4305	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0531	2005-01-01	4306	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0533	2005-01-01	4307	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NSR05	2005-01-01	4308	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2005-12-31	2005-01-01	2005-12-31	12986	\N	\N	\N	\N	\N	2013-05-08
SH0402-2D	2005-01-01	4309	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SH0501	2005-01-01	4310	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SH0503	2005-01-01	4311	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2005-12-31	2005-01-01	2005-12-31	3216	\N	\N	\N	\N	\N	2013-05-08
ST0503	2005-01-01	4312	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	39028	\N	\N	\N	\N	\N	2013-05-08
ST0504	2005-01-01	4313	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	77565	\N	\N	\N	\N	\N	2013-05-08
ST0505	2005-01-01	4314	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	20449	\N	\N	\N	\N	\N	2013-05-08
ST0506	2005-01-01	4315	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	10313	\N	\N	\N	\N	\N	2013-05-08
ST0507	2005-01-01	4316	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0508	2005-01-01	4317	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	3095	\N	\N	\N	\N	\N	2013-05-08
ST0509	2005-01-01	4318	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0509/ST0515	2005-01-01	4319	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0511	2005-01-01	4320	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0515	2005-01-01	4321	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0516	2005-01-01	4322	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	22178	\N	\N	\N	\N	\N	2013-05-08
ST0521-SMØRBUKK OBS TEST	2005-01-01	4323	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0551	2005-01-01	4324	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0552	2005-01-01	4325	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0553	2005-01-01	4326	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0554/ST0556	2005-01-01	4327	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0555	2005-01-01	4328	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TO0501	2005-01-01	4329	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Total Norge AS	2005-12-31	2005-01-01	2005-12-31	8522	\N	\N	\N	\N	\N	2013-05-08
TOMMELITEN ALPHA 3D 4C	2005-01-01	4330	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	ConocoPhillips Norge	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VERNQ08-05	2005-01-01	4331	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	ConocoPhillips Norge	2005-12-31	2005-01-01	2005-12-31	8706	\N	\N	\N	\N	\N	2013-05-08
VERQ22	2005-01-01	4332	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VGCNS0401/VGCNS0501	2005-01-01	4333	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2005-12-31	2005-01-01	2005-12-31	577443	\N	\N	\N	\N	\N	2013-05-08
VGCNS0501	2005-01-01	4334	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VGCNS0502	2005-01-01	4335	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2005-12-31	2005-01-01	2005-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BG0601	2006-01-01	4336	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BG Norge AS	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BG0602	2006-01-01	4337	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BG Norge AS	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_7.LOFS-4D	2006-01-01	4338	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CP0601	2006-01-01	4339	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	ConocoPhillips Norge	2006-12-31	2006-01-01	2006-12-31	8130	\N	\N	\N	\N	\N	2013-05-08
CVX0601	2006-01-01	4340	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Chevron Petroleum Company of Norway	2006-12-31	2006-01-01	2006-12-31	36202	\N	\N	\N	\N	\N	2013-05-08
DN0601	2006-01-01	4341	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	DONG Etterforskning og Produktion AS	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DNO-0601	2006-01-01	4342	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	DNO Olje A/S	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EBW06	2006-01-01	4343	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Fugro-Geoteam AS	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EKOFISK 3D 4D SURVEY	2006-01-01	4344	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Conoco Norway Inc.	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM0601	2006-01-01	4345	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Esso Exploration and Production Norway A/S	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
IPN0601	2006-01-01	4346	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Idemitsu Petroleum Norge AS	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
IS-CNBE-06-MC2D	2006-01-01	4347	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	INSEIS AS	2006-12-31	2006-01-01	2006-12-31	2574	\N	\N	\N	\N	\N	2013-05-08
IS-DTCNS-06-MC2D	2006-01-01	4348	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	INSEIS AS	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC2D-HDV2006	2006-01-01	4349	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC2D-MNR2006	2006-01-01	4350	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2006-12-31	2006-01-01	2006-12-31	1348	\N	\N	\N	\N	\N	2013-05-08
MC2D-MS06	2006-01-01	4351	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-FH2006	2006-01-01	4352	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2006-12-31	2006-01-01	2006-12-31	145715	\N	\N	\N	\N	\N	2013-05-08
MC3D-GRANAT06	2006-01-01	4353	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2006-12-31	2006-01-01	2006-12-31	8959	\N	\N	\N	\N	\N	2013-05-08
MC3D-JHT2006	2006-01-01	4354	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2006-12-31	2006-01-01	2006-12-31	47921	\N	\N	\N	\N	\N	2013-05-08
MC3D-NVG2006	2006-01-01	4355	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-STRATIC2006	2006-01-01	4356	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MCEM-GRS06	2006-01-01	4357	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MCEM-MS06	2006-01-01	4358	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MCEM-NH06	2006-01-01	4359	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MCEM-SWN606	2006-01-01	4360	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MCEM-TBN06	2006-01-01	4361	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MCEM-TR0306	2006-01-01	4362	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MCEM-VS06	2006-01-01	4363	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MNR06	2006-01-01	4364	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Fugro-Geoteam AS	2006-12-31	2006-01-01	2006-12-31	8997	\N	\N	\N	\N	\N	2013-05-08
NBR06	2006-01-01	4365	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Fugro-Geoteam AS	2006-12-31	2006-01-01	2006-12-31	4796	\N	\N	\N	\N	\N	2013-05-08
NH0602	2006-01-01	4366	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NH0608	2006-01-01	4367	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2006-12-31	2006-01-01	2006-12-31	49473	\N	\N	\N	\N	\N	2013-05-08
NH0609	2006-01-01	4368	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2006-12-31	2006-01-01	2006-12-31	31362	\N	\N	\N	\N	\N	2013-05-08
NH0631	2006-01-01	4369	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Norsk Hydro Produksjon AS	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NPD-EMGS-TR-06	2006-01-01	4370	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	2D	Oljedirektoratet	2006-12-31	2006-01-01	2006-12-31	153	\N	\N	\N	\N	\N	2013-05-08
NSR06	2006-01-01	4373	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2006-12-31	2006-01-01	2006-12-31	28122	\N	\N	\N	\N	\N	2013-05-08
PER0601	2006-01-01	4374	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Pertra AS (OLD)	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PR0601	2006-01-01	4375	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Pertra AS (OLD)	2006-12-31	2006-01-01	2006-12-31	11955	\N	\N	\N	\N	\N	2013-05-08
RD0601	2006-01-01	4376	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SH063DPIER	2006-01-01	4377	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0601	2006-01-01	4378	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	8578	\N	\N	\N	\N	\N	2013-05-08
ST0602	2006-01-01	4379	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	402	\N	\N	\N	\N	\N	2013-05-08
ST0603	2006-01-01	4380	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	1777	\N	\N	\N	\N	\N	2013-05-08
ST0604	2006-01-01	4381	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	24302	\N	\N	\N	\N	\N	2013-05-08
ST0605	2006-01-01	4382	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	10616	\N	\N	\N	\N	\N	2013-05-08
ST0606	2006-01-01	4383	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0607	2006-01-01	4384	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	8415	\N	\N	\N	\N	\N	2013-05-08
ST0608	2006-01-01	4385	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0609	2006-01-01	4386	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	1356	\N	\N	\N	\N	\N	2013-05-08
ST0610	2006-01-01	4387	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0611	2006-01-01	4388	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	117437	\N	\N	\N	\N	\N	2013-05-08
ST0612	2006-01-01	4389	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0613	2006-01-01	4390	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	6620	\N	\N	\N	\N	\N	2013-05-08
ST0614	2006-01-01	4391	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	32939	\N	\N	\N	\N	\N	2013-05-08
ST0615	2006-01-01	4392	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	23161	\N	\N	\N	\N	\N	2013-05-08
ST0616	2006-01-01	4393	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0617	2006-01-01	4394	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	1019	\N	\N	\N	\N	\N	2013-05-08
ST0621	2006-01-01	4395	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0623	2006-01-01	4396	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	5856	\N	\N	\N	\N	\N	2013-05-08
ST0624	2006-01-01	4397	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	41062	\N	\N	\N	\N	\N	2013-05-08
ST0625	2006-01-01	4398	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	35	\N	\N	\N	\N	\N	2013-05-08
ST0651	2006-01-01	4399	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0652	2006-01-01	4400	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0653	2006-01-01	4401	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TO0601	2006-01-01	4402	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Total Norge AS	2006-12-31	2006-01-01	2006-12-31	39	\N	\N	\N	\N	\N	2013-05-08
VGCNS0601	2006-01-01	4403	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2006-12-31	2006-01-01	2006-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VGCNS06NQ2PSDM	2006-01-01	4404	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2006-12-31	2006-01-01	2006-12-31	36108	\N	\N	\N	\N	\N	2013-05-08
VGCNS06NQ8	2006-01-01	4405	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2006-12-31	2006-01-01	2006-12-31	749589	\N	\N	\N	\N	\N	2013-05-08
BG0701	2007-01-01	4406	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BG Norge Limited	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BG0702	2007-01-01	4407	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BG Norge Limited	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BG0703	2007-01-01	4408	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	BG Norge Limited	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_8.LOFS-4D	2007-01-01	4409	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_9.LOFS-4D	2007-01-01	4410	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BRAE 3D SEISMIC SURVEY	2007-01-01	4411	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Marathon Petroleum Norge AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DG0701	2007-01-01	4412	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	DONG Etterforskning og Produktion AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DN0701	2007-01-01	4413	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	DNO Olje A/S	2007-12-31	2007-01-01	2007-12-31	27882	\N	\N	\N	\N	\N	2013-05-08
DP0701	2007-01-01	4414	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0702	2007-01-01	4415	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0703	2007-01-01	4416	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0704	2007-01-01	4417	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0700	2007-01-01	4418	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0701	2007-01-01	4419	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0702	2007-01-01	4420	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0703	2007-01-01	4421	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0704	2007-01-01	4422	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0705	2007-01-01	4423	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0706	2007-01-01	4424	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0707	2007-01-01	4425	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0708	2007-01-01	4426	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0709	2007-01-01	4427	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0710	2007-01-01	4428	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EN0701	2007-01-01	4429	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Eni Norge AS	2007-12-31	2007-01-01	2007-12-31	46765	\N	\N	\N	\N	\N	2013-05-08
EN0702	2007-01-01	4430	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Eni Norge AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EN0703	2007-01-01	4431	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Eni Norge AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
FRUHOLMEN	2007-01-01	4435	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	2007-12-31	2007-01-01	2007-12-31	198	\N	\N	\N	\N	\N	2013-05-08
FRUHOLMEN EM	2007-01-01	4436	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	WesternGeco AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
FRUHOLMEN-3D	2007-01-01	4437	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2007-12-31	2007-01-01	2007-12-31	27247	\N	\N	\N	\N	\N	2013-05-08
GDF0701	2007-01-01	4438	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Gaz de France Norge AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
GXT NORWAY SPAN TM	2007-01-01	4439	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	GX Technology	2007-12-31	2007-01-01	2007-12-31	645	\N	\N	\N	\N	\N	2013-05-08
HT07	2007-01-01	4440	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Fugro-Geoteam AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
LN0703	2007-01-01	4441	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2007-12-31	2007-01-01	2007-12-31	5323	\N	\N	\N	\N	\N	2013-05-08
LN0704	2007-01-01	4442	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
LN0705	2007-01-01	4443	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
LN0706	2007-01-01	4444	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2007-12-31	2007-01-01	2007-12-31	4701	\N	\N	\N	\N	\N	2013-05-08
MC2D-MS2007	2007-01-01	4445	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC2D-NOR2007	2007-01-01	4446	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-HT2007	2007-01-01	4447	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2007-12-31	2007-01-01	2007-12-31	45243	\N	\N	\N	\N	\N	2013-05-08
MC3D-MOS2007	2007-01-01	4448	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2007-12-31	2007-01-01	2007-12-31	60075	\N	\N	\N	\N	\N	2013-05-08
MC3D-Q32007	2007-01-01	4449	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MNR07	2007-01-01	4450	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Fugro-Geoteam AS	2007-12-31	2007-01-01	2007-12-31	11656	\N	\N	\N	\N	\N	2013-05-08
NBR07	2007-01-01	4451	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Fugro-Geoteam AS	2007-12-31	2007-01-01	2007-12-31	8515	\N	\N	\N	\N	\N	2013-05-08
NH0701	2007-01-01	4452	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2007-12-31	2007-01-01	2007-12-31	30346	\N	\N	\N	\N	\N	2013-05-08
NH0702	2007-01-01	4453	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2007-12-31	2007-01-01	2007-12-31	4878	\N	\N	\N	\N	\N	2013-05-08
NH0703	2007-01-01	4454	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2007-12-31	2007-01-01	2007-12-31	12192	\N	\N	\N	\N	\N	2013-05-08
NH0704	2007-01-01	4455	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2007-12-31	2007-01-01	2007-12-31	7265	\N	\N	\N	\N	\N	2013-05-08
NH0705	2007-01-01	4456	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2007-12-31	2007-01-01	2007-12-31	15779	\N	\N	\N	\N	\N	2013-05-08
NH0712	2007-01-01	4457	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2007-12-31	2007-01-01	2007-12-31	23120	\N	\N	\N	\N	\N	2013-05-08
NPD-LOF1-07	2007-01-01	4459	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2007-12-31	2007-01-01	2007-12-31	2693	\N	\N	\N	\N	\N	2013-05-08
NPD-NF-07	2007-01-01	4460	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NSR-HIGH-RES-TROLL	2007-01-01	4461	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2007-12-31	2007-01-01	2007-12-31	716	\N	\N	\N	\N	\N	2013-05-08
NSR07 BA TEST	2007-01-01	4462	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NSR07 M	2007-01-01	4463	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NSR07 N	2007-01-01	4464	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NSR07 NO	2007-01-01	4465	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2007-12-31	2007-01-01	2007-12-31	17255	\N	\N	\N	\N	\N	2013-05-08
NX0701	2007-01-01	4466	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Nexen Exploration Norge AS	2007-12-31	2007-01-01	2007-12-31	37834	\N	\N	\N	\N	\N	2013-05-08
OHM PN372 VORING BASIN	2007-01-01	4467	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Offshore Hydrocarbon Mapping	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
OHM PN379 KRAKEN	2007-01-01	4468	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Offshore Hydrocarbon Mapping	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
OMV0702	2007-01-01	4469	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	OMV (Norge) AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
OMV2007	2007-01-01	4470	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	OMV (Norge) AS	2007-12-31	2007-01-01	2007-12-31	8187	\N	\N	\N	\N	\N	2013-05-08
PC07NO23	2007-01-01	4471	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Petro-Canada Norge AS	2007-12-31	2007-01-01	2007-12-31	44817	\N	\N	\N	\N	\N	2013-05-08
RV0701	2007-01-01	4476	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Revus Energy AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SH0701	2007-01-01	4477	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2007-12-31	2007-01-01	2007-12-31	53879	\N	\N	\N	\N	\N	2013-05-08
SH0702	2007-01-01	4478	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SH0703	2007-01-01	4479	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SH0703-2D	2007-01-01	4480	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	2007-12-31	2007-01-01	2007-12-31	1060	\N	\N	\N	\N	\N	2013-05-08
SH0704	2007-01-01	4481	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2007-12-31	2007-01-01	2007-12-31	352	\N	\N	\N	\N	\N	2013-05-08
ST0701	2007-01-01	4482	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	9984	\N	\N	\N	\N	\N	2013-05-08
ST0702	2007-01-01	4483	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	40629	\N	\N	\N	\N	\N	2013-05-08
ST0703	2007-01-01	4484	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	36295	\N	\N	\N	\N	\N	2013-05-08
ST0705	2007-01-01	4485	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0706-ASKELADD	2007-01-01	4486	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	23845	\N	\N	\N	\N	\N	2013-05-08
ST0709	2007-01-01	4487	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0710	2007-01-01	4488	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	74691	\N	\N	\N	\N	\N	2013-05-08
ST0712	2007-01-01	4489	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0714-HAMMERFESTBASSENGET VEST	2007-01-01	4490	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0715	2007-01-01	4491	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0718	2007-01-01	4492	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	97	\N	\N	\N	\N	\N	2013-05-08
ST0725	2007-01-01	4493	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0726	2007-01-01	4494	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0729-ALKE	2007-01-01	4495	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0730	2007-01-01	4496	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	30305	\N	\N	\N	\N	\N	2013-05-08
ST0750	2007-01-01	4497	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0751	2007-01-01	4498	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0752	2007-01-01	4499	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0753	2007-01-01	4500	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0754	2007-01-01	4501	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST9713R00	2007-01-01	4502	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Den norske stats oljeselskap a.s	2007-12-31	2007-01-01	2007-12-31	106	\N	\N	\N	\N	\N	2013-05-08
TA0701	2007-01-01	4503	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Talisman Energy Norge AS	2007-12-31	2007-01-01	2007-12-31	30211	\N	\N	\N	\N	\N	2013-05-08
VGCNS0701	2007-01-01	4504	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
VGCNS0702	2007-01-01	4505	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
WI-Q25-07	2007-01-01	4506	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Wavefield Inseis AS	2007-12-31	2007-01-01	2007-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
AX0801	2008-01-01	4507	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Aker Exploration AS	2008-12-31	2008-01-01	2008-12-31	14377	\N	\N	\N	\N	\N	2013-05-08
BG0801	2008-01-01	4508	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BG Norge AS	2008-12-31	2008-01-01	2008-12-31	25933	\N	\N	\N	\N	\N	2013-05-08
BG0802	2008-01-01	4509	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BG Norge AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BG0803	2008-01-01	4510	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BG Norge AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BG0804	2008-01-01	4511	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	BG Norge AS	2008-12-31	2008-01-01	2008-12-31	25521	\N	\N	\N	\N	\N	2013-05-08
BG0805	2008-01-01	4512	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BG Norge AS	2008-12-31	2008-01-01	2008-12-31	78804	\N	\N	\N	\N	\N	2013-05-08
BG0806	2008-01-01	4513	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BG Norge AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_10.LOFS-4D	2008-01-01	4514	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_11.LOFS-4D	2008-01-01	4515	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norway Limited  U.A.	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CE0801	2008-01-01	4516	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Centrica Energi	2008-12-31	2008-01-01	2008-12-31	166964	\N	\N	\N	\N	\N	2013-05-08
CGGV0801	2008-01-01	4517	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Det Norske Veritas	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CGGV0802	2008-01-01	4518	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	VERITAS DGC LTD	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CP0802 EKOFISK 4D SURVEY	2008-01-01	4519	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	ConocoPhillips Norge	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CSEM-2008	2008-01-01	4520	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DA0801	2008-01-01	4521	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Dana Petroleum Norway AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0801	2008-01-01	4522	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0802	2008-01-01	4523	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0803-EM	2008-01-01	4524	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0804-EM	2008-01-01	4525	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0805-EM	2008-01-01	4526	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0806-EM-MØRE ØST	2008-01-01	4527	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0807-EM-HELGELANDSBASSENGET	2008-01-01	4528	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0808-EM-NORSKEHAVET NORD	2008-01-01	4529	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0809-EM	2008-01-01	4530	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0810-EM-VØRING	2008-01-01	4531	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0811-EM-DØNNATERASSEN	2008-01-01	4532	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0812-EM-NYKHØGDA	2008-01-01	4533	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0813-EM-FINNMARK ØST	2008-01-01	4534	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Discover Petroleum AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EEN0801	2008-01-01	4535	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Endeavour Energy Norge AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EKOFISK TEST AV PERMANENT KABEL SYSTEM	2008-01-01	4536	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	ConocoPhillips Skandinavia AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM-FRIGG2008	2008-01-01	4537	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM-HEIMDAL2008	2008-01-01	4538	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM-TROLL2008	2008-01-01	4539	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS NOPEC A/S	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM105 BARENTS SEA MULTICLIENT BJORNOYA S	2008-01-01	4540	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Offshore Hydrocarbon Mapping	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM106 NORSKEHAVET NORDLAND II	2008-01-01	4541	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Offshore Hydrocarbon Mapping	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0800	2008-01-01	4542	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0801	2008-01-01	4543	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0802	2008-01-01	4544	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0803	2008-01-01	4545	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0804	2008-01-01	4546	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0805	2008-01-01	4547	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0806	2008-01-01	4548	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0807	2008-01-01	4549	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Electromagnetic Geoservices ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EN0804	2008-01-01	4551	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Eni Norge AS	2008-12-31	2008-01-01	2008-12-31	71239	\N	\N	\N	\N	\N	2013-05-08
EN0805	2008-01-01	4552	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Eni Norge AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EO0801	2008-01-01	4553	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	E.ON Ruhrgas Norge AS	2008-12-31	2008-01-01	2008-12-31	18077	\N	\N	\N	\N	\N	2013-05-08
EO0802	2008-01-01	4554	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	E.ON Ruhrgas Norge AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
JMR08	2008-01-01	4555	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	INSEIS AS	2008-12-31	2008-01-01	2008-12-31	871	\N	\N	\N	\N	\N	2013-05-08
LN0801	2008-01-01	4556	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2008-12-31	2008-01-01	2008-12-31	20686	\N	\N	\N	\N	\N	2013-05-08
LN0802	2008-01-01	4557	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
LN0803	2008-01-01	4558	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
LOPPA WEST	2008-01-01	4559	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D HR08	2008-01-01	4560	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-BP08	2008-01-01	4561	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-EGB2008	2008-01-01	4562	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2008-12-31	2008-01-01	2008-12-31	44487	\N	\N	\N	\N	\N	2013-05-08
MC3D-EGBEXT2008	2008-01-01	4563	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-HT2008	2008-01-01	4564	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-NDB2008	2008-01-01	4565	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2008-12-31	2008-01-01	2008-12-31	63178	\N	\N	\N	\N	\N	2013-05-08
MC3D-OS2008	2008-01-01	4566	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-Q82008	2008-01-01	4567	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-SBF2008	2008-01-01	4568	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-SWN2008	2008-01-01	4569	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	PGS NOPEC A/S	2008-12-31	2008-01-01	2008-12-31	14049	\N	\N	\N	\N	\N	2013-05-08
MC3D-TRIII08	2008-01-01	4570	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2008-12-31	2008-01-01	2008-12-31	64640	\N	\N	\N	\N	\N	2013-05-08
MNR08	2008-01-01	4571	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Fugro-Geoteam AS	2008-12-31	2008-01-01	2008-12-31	7943	\N	\N	\N	\N	\N	2013-05-08
MØRE NORD 0408	2008-01-01	4572	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Bergen Oilfield Services AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NBR08	2008-01-01	4573	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Fugro-Geoteam AS	2008-12-31	2008-01-01	2008-12-31	10178	\N	\N	\N	\N	\N	2013-05-08
NH0711	2008-01-01	4574	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Norsk Hydro Produksjon AS	2008-12-31	2008-01-01	2008-12-31	33652	\N	\N	\N	\N	\N	2013-05-08
NPD-LOF1-08	2008-01-01	4575	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2008-12-31	2008-01-01	2008-12-31	11781	\N	\N	\N	\N	\N	2013-05-08
NPD-LOF2-08	2008-01-01	4576	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Oljedirektoratet	2008-12-31	2008-01-01	2008-12-31	27928	\N	\N	\N	\N	\N	2013-05-08
NPD-LOF2-08-SP-LINES	2008-01-01	4577	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Oljedirektoratet	2008-12-31	2008-01-01	2008-12-31	2772	\N	\N	\N	\N	\N	2013-05-08
NPD-TW-08	2008-01-01	4579	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	13658	\N	\N	\N	\N	\N	2013-05-08
NSM08	2008-01-01	4581	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Offshore Hydrocarbon Mapping	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NSR08 SB	2008-01-01	4582	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2008-12-31	2008-01-01	2008-12-31	12562	\N	\N	\N	\N	\N	2013-05-08
NSR08 VGN	2008-01-01	4583	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NX0802	2008-01-01	4584	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Nexen Exploration Norge AS	2008-12-31	2008-01-01	2008-12-31	71182	\N	\N	\N	\N	\N	2013-05-08
NXN0801	2008-01-01	4585	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Nexen Exploration Norge AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NXN0802	2008-01-01	4586	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Nexen Exploration Norge AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NXN0803	2008-01-01	4587	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Nexen Exploration Norge AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
OMV0801	2008-01-01	4588	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	OMV (Norge) AS	2008-12-31	2008-01-01	2008-12-31	22587	\N	\N	\N	\N	\N	2013-05-08
OMV0802	2008-01-01	4589	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	OMV (Norge) AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
Q17 2D 2008	2008-01-01	4592	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Bergen Oilfield Services AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
RV0801	2008-01-01	4593	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Revus Energy AS	2008-12-31	2008-01-01	2008-12-31	2351	\N	\N	\N	\N	\N	2013-05-08
SH0801	2008-01-01	4594	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2008-12-31	2008-01-01	2008-12-31	46225	\N	\N	\N	\N	\N	2013-05-08
ST0755	2008-01-01	4595	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0803 TROLL	2008-01-01	4596	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0804	2008-01-01	4597	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	39685	\N	\N	\N	\N	\N	2013-05-08
ST0806	2008-01-01	4598	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	18144	\N	\N	\N	\N	\N	2013-05-08
ST0807	2008-01-01	4599	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0808-MORVIN	2008-01-01	4600	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0809	2008-01-01	4601	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0810 LAVRANS	2008-01-01	4602	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0811	2008-01-01	4603	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	76843	\N	\N	\N	\N	\N	2013-05-08
ST0812	2008-01-01	4604	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0814	2008-01-01	4605	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0815	2008-01-01	4606	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	19233	\N	\N	\N	\N	\N	2013-05-08
ST0816	2008-01-01	4607	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	16299	\N	\N	\N	\N	\N	2013-05-08
ST0816-2D	2008-01-01	4608	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0817	2008-01-01	4609	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0822 GLITNE	2008-01-01	4610	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0823	2008-01-01	4611	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	64489	\N	\N	\N	\N	\N	2013-05-08
ST0824-ASKELADD	2008-01-01	4612	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0825	2008-01-01	4613	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0827	2008-01-01	4614	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0828	2008-01-01	4615	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	81004	\N	\N	\N	\N	\N	2013-05-08
ST0829	2008-01-01	4616	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	1338	\N	\N	\N	\N	\N	2013-05-08
ST0830-2D	2008-01-01	4617	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0830 NE FRIGG	2008-01-01	4618	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0833	2008-01-01	4619	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0836 KRISTIN OU 2D TEST	2008-01-01	4620	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0837-HEIDRUN TEST LINES	2008-01-01	4621	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0838-TEST	2008-01-01	4622	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0850	2008-01-01	4623	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0851	2008-01-01	4624	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0852 TROLL EM	2008-01-01	4625	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0853-EM SLEIPNER CO2	2008-01-01	4626	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST0854 - EM PEON	2008-01-01	4627	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	StatoilHydro ASA	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
WGEM0801N	2008-01-01	4628	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	WesternGeco AS	2008-12-31	2008-01-01	2008-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
MNR09	2009-04-06	7001	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	2010-01-31	9999-12-31	2009-12-05	20229	20229	\N	\N	\N	\N	2013-05-08
LN0901	2009-04-20	7003	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2009-05-31	2009-04-20	2009-05-15	11314	787	\N	\N	\N	\N	2013-05-08
LN0902	2009-04-01	7004	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	\N	Lundin Norway AS	2009-07-01	2009-04-01	2009-06-20	66432	5536	\N	\N	\N	\N	2013-05-08
NX0901	2009-06-09	7005	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Nexen Exploration Norge AS	2009-07-30	2009-06-09	2009-07-02	49119	2456	\N	\N	\N	\N	2013-05-08
NX0902	2009-05-31	7006	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Nexen Exploration Norge AS	2009-06-09	2009-05-30	2009-07-14	7858	392	\N	\N	\N	\N	2013-05-08
MC3D-SBS2009	2009-04-15	7008	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2009-06-15	9999-12-31	2009-07-16	48271	4023	\N	\N	\N	\N	2013-05-08
ST09001	2009-07-01	7010	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	StatoilHydro ASA	2009-10-15	2009-06-29	2009-10-05	39828	3319	\N	\N	\N	\N	2013-05-08
WIN0901	2009-05-08	7015	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Wintershall Norge AS (old)	2009-07-04	2009-05-15	2009-06-16	13223	1102	\N	\N	\N	\N	2013-05-08
WIN0902	2009-06-01	7016	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	\N	Wintershall Norge ASA	2009-08-31	2009-07-13	2009-07-22	84	84	\N	\N	\N	\N	2013-05-08
LN0955	2009-06-15	7017	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	2009-06-29	2009-06-19	2009-06-24	121	121	\N	\N	\N	\N	2013-05-08
LN0956	2009-06-15	7018	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	2009-06-29	2009-06-25	2009-06-30	129	129	\N	\N	\N	\N	2013-05-08
ST0893	2009-05-01	7019	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-06-29	2009-06-08	2009-06-17	67	67	\N	\N	\N	\N	2013-05-08
ST09301	2009-01-02	7020	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-06-09	2009-05-17	2009-05-23	145	145	\N	\N	\N	\N	2013-05-08
ST09302	2009-04-17	7021	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-05-20	2009-04-17	2009-05-12	125	125	\N	\N	\N	\N	2013-05-08
ST09304	2009-05-15	7022	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-07-15	2009-05-15	2009-05-16	45	45	\N	\N	\N	\N	2013-05-08
ST09307	2009-06-15	7023	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-08-15	2009-07-07	2009-07-17	202	202	\N	\N	\N	\N	2013-05-08
ST09309	2009-04-29	7024	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-05-15	2009-05-11	2009-05-14	\N	\N	\N	\N	\N	\N	2013-05-08
ST09310	2009-05-20	7025	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	StatoilHydro ASA	2009-07-31	2009-05-24	2009-07-29	33072	1378	\N	\N	\N	\N	2013-05-08
ST09312	2009-05-15	7026	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-08-15	2009-05-23	2009-06-15	290	290	\N	\N	\N	\N	2013-05-08
ST09313	2009-05-15	7027	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-08-15	2009-06-17	2009-06-29	187	187	\N	\N	\N	\N	2013-05-08
ST09318	2009-06-15	7028	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-08-15	2009-06-15	2009-06-16	65	65	\N	\N	\N	\N	2013-05-08
WIN0903	2009-05-01	7029	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	Wintershall Norge ASA	2009-07-31	2009-06-11	2009-06-18	256	256	\N	\N	\N	\N	2013-05-08
WIN0904	2009-05-22	7030	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	Wintershall Norge ASA	2009-07-31	2009-06-19	2009-06-24	220	220	\N	\N	\N	\N	2013-05-08
BP083D004	2009-05-01	7035	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	\N	BP Norge AS	2009-07-31	2009-05-05	2009-06-21	2413	516	\N	\N	\N	\N	2013-05-08
CGGV0902	2009-07-28	7036	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	2009-09-14	2009-08-23	2009-09-02	2687	134	\N	\N	\N	\N	2013-05-08
CGGV0903	2009-08-22	7037	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	2009-10-14	2009-08-27	2009-09-11	7237	724	\N	\N	\N	\N	2013-05-08
SH0901	2009-06-20	7038	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2009-08-10	2009-06-21	2009-07-24	16884	1407	\N	\N	\N	\N	2013-05-08
SH0902	2009-07-15	7039	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2009-08-31	2009-07-26	2009-08-10	7512	626	\N	\N	\N	\N	2013-05-08
Pierce09	2009-05-20	7040	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2009-07-15	2009-06-02	2009-07-01	2700	178	\N	\N	\N	\N	2013-05-08
BG0901	2009-04-17	7041	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	BG Norge AS	2009-07-01	2009-04-17	2009-06-30	1452	1452	\N	\N	\N	\N	2013-05-08
BG0902	2009-04-17	7042	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	BG Norge AS	2009-06-15	2009-04-17	2009-06-20	77	77	\N	\N	\N	\N	2013-05-08
BG0903	2009-05-20	7043	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	BG Norge AS	2009-06-15	2009-06-12	2009-06-28	700	700	\N	\N	\N	\N	2013-05-08
DN0902	2009-05-22	7044	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Det norske oljeselskap ASA (old)	2009-07-22	2009-05-22	2009-07-14	29403	1716	\N	\N	\N	\N	2013-05-08
DP0901	2009-05-15	7045	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	Discover Petroleum AS	2009-07-01	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0902	2009-04-23	7046	Avlyst	Nordsjøen	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	2009-05-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0903	2009-04-28	7047	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	2009-06-10	2009-05-24	2009-06-10	9	9	\N	\N	\N	\N	2013-05-08
DP0904	2009-05-01	7048	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	2009-06-30	2009-06-03	2009-06-22	25	25	\N	\N	\N	\N	2013-05-08
DP0905	2009-06-25	7049	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	2009-08-15	2009-07-03	2009-07-20	23	23	\N	\N	\N	\N	2013-05-08
DP0906	2009-06-15	7050	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	2009-08-15	2009-06-22	2009-07-19	23	23	\N	\N	\N	\N	2013-05-08
DP0907	2009-05-15	7051	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	2009-06-30	2009-05-20	2009-05-24	2	2	\N	\N	\N	\N	2013-05-08
DP0908	2009-06-20	7052	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	2009-08-15	2009-07-13	2009-07-26	15	15	\N	\N	\N	\N	2013-05-08
DG0901	2009-05-18	7053	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	DONG E&P Norge AS	2009-06-26	2009-05-18	2009-06-23	60088	2146	\N	\N	\N	\N	2013-05-08
PON0901	2009-05-18	7054	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	\N	Premier Oil Norge AS	2009-06-18	2009-05-22	2009-05-30	52	250	\N	\N	\N	\N	2013-05-08
PGS0902	2009-05-15	7055	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2009-06-30	2009-05-20	2009-07-14	77017	6418	\N	\N	\N	\N	2013-05-08
PGS0903	2009-06-15	7056	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2009-10-15	2009-06-26	2009-07-23	32335	2694	\N	\N	\N	\N	2013-05-08
WG0901	2009-05-20	7057	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2009-10-15	2009-06-03	2009-10-08	146374	7417	\N	\N	\N	\N	2013-05-08
WG0902	2009-08-01	7058	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2009-09-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
WG0903	2009-08-01	7059	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2009-10-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TGS0901	2009-05-01	7060	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2009-11-01	2009-06-02	2009-10-11	142003	8901	\N	\N	\N	\N	2013-05-08
FMCS0904	2009-04-15	7061	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2009-06-30	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DN0904	2009-07-01	7062	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	2009-08-15	2009-07-04	2009-07-18	970	970	\N	\N	\N	\N	2013-05-08
ST09314	2009-05-02	7063	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-06-02	2009-05-11	2009-05-13	\N	\N	\N	\N	\N	\N	2013-05-08
CoPh0901	2009-05-14	7064	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	3D	ConocoPhillips Norge	2009-05-31	2009-05-18	2009-05-23	122	122	\N	\N	\N	\N	2013-05-08
ST09251	2009-06-01	7065	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	\N	StatoilHydro ASA	2009-07-10	2009-06-01	2009-07-05	\N	\N	\N	\N	\N	\N	2013-05-08
DN0903	2009-05-20	7068	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	2009-06-28	2009-06-05	2009-06-14	354	354	\N	\N	\N	\N	2013-05-08
PGS0904	2009-06-15	7069	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	2009-08-15	2009-06-22	2009-06-27	250	360	\N	\N	\N	\N	2013-05-08
EN0901	2009-06-18	7070	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Eni Norge AS	2009-09-30	2009-06-19	2009-09-16	30727	3153	\N	\N	\N	\N	2013-05-08
ST09452	2009-06-20	7071	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-07-31	2009-06-20	2009-07-03	\N	\N	\N	\N	\N	\N	2013-05-08
ST09002	2009-07-10	7072	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	StatoilHydro ASA	2009-09-15	2009-07-17	2009-08-12	7305	608	\N	\N	\N	\N	2013-05-08
TGS0902	2009-05-23	7073	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2009-11-01	2009-05-25	2009-09-23	3301	3301	\N	\N	\N	\N	2013-05-08
BG0904	2009-07-01	7074	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	BG Norge AS	2009-09-15	2009-07-01	2009-08-25	56768	3548	\N	\N	\N	\N	2013-05-08
MCG0901	2009-05-25	7075	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	2009-08-30	2009-07-12	2009-09-01	3515	3515	\N	\N	\N	\N	2013-05-08
OD0902	2009-06-29	7076	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Oljedirektoratet	2009-08-10	2009-06-29	2009-08-06	63236	3952	\N	\N	\N	\N	2013-05-08
OD0901	2009-06-29	7077	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Oljedirektoratet	2009-08-10	2009-06-30	2009-08-02	47616	3968	\N	\N	\N	\N	2013-05-08
ST09253	2009-07-06	7078	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro Petroleum AS	2009-07-11	2009-07-06	2009-07-13	\N	\N	\N	\N	\N	\N	2013-05-08
OD0903	2009-06-29	7079	Avlyst	Norskehavet	Elektromagnetisk undersøkelse	3D	Oljedirektoratet	2009-08-10	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST09453	2009-06-29	7080	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-07-31	2009-07-06	2009-07-09	\N	\N	\N	\N	\N	\N	2013-05-08
DN0906	2009-08-11	7083	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	2009-09-20	2009-09-06	2009-09-11	160	160	\N	\N	\N	\N	2013-05-08
DN0907	2009-08-11	7084	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	2009-09-10	2009-08-19	2009-09-03	84	84	\N	\N	\N	\N	2013-05-08
PGS0905	2009-06-20	7085	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	PGS Geophysical AS	2009-07-07	2009-06-20	2009-06-23	1448	120	\N	\N	\N	\N	2013-05-08
OD0904	2009-06-29	7086	Avlyst	Norskehavet	Elektromagnetisk undersøkelse	3D	Oljedirektoratet	2009-08-10	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EO0901	2009-07-03	7087	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	E.ON Ruhrgas Norge AS	2009-07-31	2009-07-06	2009-07-25	22283	1113	\N	\N	\N	\N	2013-05-08
ST09252	2009-07-06	7088	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	StatoilHydro Petroleum AS	2009-07-11	2009-07-06	2009-07-21	\N	\N	\N	\N	\N	\N	2013-05-08
ST09454	2009-07-03	7089	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	StatoilHydro Petroleum AS	2009-07-31	2009-07-12	2009-07-19	\N	\N	\N	\N	\N	\N	2013-05-08
FMC0905	2009-07-03	7090	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2009-09-30	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM0109	2009-07-09	7091	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	ExxonMobil Exploration & Production Norway AS	2009-10-25	2009-07-09	2009-10-18	36457	3038	\N	\N	\N	\N	2013-05-08
RD0901	2009-06-25	7092	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	RWE Dea Norge AS	2009-07-25	2009-07-02	2009-07-14	91	91	\N	\N	\N	\N	2013-05-08
RD0902	2009-06-25	7093	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	2D	RWE Dea Norge AS	2009-07-25	2009-07-15	2009-07-24	257	257	\N	\N	\N	\N	2013-05-08
ST09319	2009-06-27	7094	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	2009-08-24	2009-06-29	2009-07-05	179	179	\N	\N	\N	\N	2013-05-08
FMC0903	2009-04-15	7095	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	2009-11-30	2009-06-10	2009-11-02	10550	10550	\N	\N	\N	\N	2013-05-08
ST09320	2009-07-02	7096	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	2009-08-27	2009-07-22	2009-07-29	320	320	\N	\N	\N	\N	2013-05-08
TO-EM0901	2009-09-10	7097	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	\N	Total E&P Norge AS	2009-10-10	2009-09-13	2009-09-25	106	300	\N	\N	\N	\N	2013-05-08
ST09254	2009-07-20	7098	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	\N	StatoilHydro Petroleum AS	2009-07-25	2009-07-13	2009-07-23	\N	\N	\N	\N	\N	\N	2013-05-08
ST09321	2009-07-15	7099	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	2009-09-15	2009-08-20	2009-09-06	173	173	\N	\N	\N	\N	2013-05-08
DP0909	2009-07-15	7100	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	\N	Discover Petroleum AS	2009-08-15	2009-07-18	2009-08-05	20	20	\N	\N	\N	\N	2013-05-08
LOTUS0901	2009-07-12	7101	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Lotos Exploration and Production Norge AS	2009-07-25	2009-07-14	2009-07-23	\N	\N	\N	\N	\N	\N	2013-05-08
SH0903	2009-07-26	7102	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2009-09-30	2009-08-08	2009-09-14	38169	1982	\N	\N	\N	\N	2013-05-08
SH0904	2009-07-20	7103	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2009-09-30	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NSR09 VG	2009-06-25	7104	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2009-09-30	2009-07-11	2009-09-11	2958	2958	\N	\N	\N	\N	2013-05-08
DN0909	2009-07-01	7105	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	2009-08-25	2009-07-06	2009-08-16	1961	1961	\N	\N	\N	\N	2013-05-08
CVX0901	2009-08-13	7106	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Chevron Norge AS	2009-09-30	2009-08-16	2009-09-06	1124	1124	\N	\N	\N	\N	2013-05-08
EMGS0905	2009-07-24	7107	Avlyst	Nordsjøen	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	2009-08-21	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
FMCS0906	2009-07-15	7108	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2009-09-15	2009-07-18	2009-08-07	32304	1346	\N	\N	\N	\N	2013-05-08
DN0910	2009-08-28	7109	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Det norske oljeselskap ASA (old)	2009-10-09	2009-09-24	2009-09-25	\N	\N	\N	\N	\N	\N	2013-05-08
FMCS0907	2009-08-15	7110	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2009-10-01	2009-08-24	2009-09-04	10306	644	\N	\N	\N	\N	2013-05-08
ST09322	2009-07-23	7111	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	2009-09-09	2009-08-05	2009-08-19	290	290	\N	\N	\N	\N	2013-05-08
ION09	2009-07-20	7112	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	2D	ION Geophysical	2009-07-31	2009-07-26	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PGS0906	2009-08-10	7113	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2009-10-10	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EM0209	2009-08-14	7114	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	\N	ExxonMobil Exploration & Production Norway AS	2009-09-21	2009-08-14	2009-09-20	1030	1030	\N	\N	\N	\N	2013-05-08
RS0901	2009-08-15	7115	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	3D	Rocksource ASA	2009-10-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DP0910	2009-08-10	7116	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Discover Petroleum AS	2009-09-30	2009-08-15	2009-09-19	14280	1190	\N	\N	\N	\N	2013-05-08
EMGS 0906	2009-08-01	7117	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	2009-09-30	2009-08-01	2009-08-11	\N	120	\N	\N	\N	\N	2013-05-08
CGGV0904	2009-08-01	7118	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	2009-09-30	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST09455	2009-08-28	7119	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-10-30	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST09456	2009-08-28	7120	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-10-09	2009-09-28	2009-10-10	\N	\N	\N	\N	\N	\N	2013-05-08
CE0901	2009-08-14	7121	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	2009-11-13	2009-08-20	2009-10-25	293	600	\N	\N	\N	\N	2013-05-08
CE0902	2009-09-04	7122	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	2009-11-20	2009-09-04	2009-10-25	325	475	\N	\N	\N	\N	2013-05-08
ST09457	2009-08-28	7123	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-10-31	2009-10-11	2009-10-14	\N	\N	\N	\N	\N	\N	2013-05-08
ST09458B	2009-08-01	7124	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-08-19	9999-12-31	2009-08-19	\N	\N	\N	\N	\N	\N	2013-05-08
ST09458	2009-08-01	7125	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-08-19	2009-07-31	2009-08-19	\N	\N	\N	\N	\N	\N	2013-05-08
ST09005	2009-08-14	7126	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	4D	StatoilHydro Petroleum AS	2009-09-12	2009-08-16	2009-09-09	8879	575	\N	\N	\N	\N	2013-05-08
GDF0901	2009-10-10	7127	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	GDF SUEZ E&P Norge AS	2009-12-01	2009-11-01	2009-11-06	80	80	\N	\N	\N	\N	2013-05-08
NX0903	2009-07-29	7128	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	Nexen Exploration Norge AS	2009-08-19	2009-07-30	2009-08-04	275	275	\N	\N	\N	\N	2013-05-08
MC2D-CR2009	2009-08-10	7130	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	2009-10-31	2009-08-13	2009-09-18	3639	3639	\N	\N	\N	\N	2013-05-08
CP0902	2009-10-03	7131	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	\N	ConocoPhillips Norge	2009-10-20	2009-10-05	2009-10-09	200	200	\N	\N	\N	\N	2013-05-08
BG0905	2009-08-26	7132	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	\N	BG Norge Limited	2009-10-31	2009-10-09	2009-10-15	78	78	\N	\N	\N	\N	2013-05-08
CVX0902	2009-09-17	7133	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	\N	Chevron Norge AS	2009-10-15	2009-10-01	2009-10-04	318	438	\N	\N	\N	\N	2013-05-08
ST09323	2009-08-20	7134	Ferdig	Barentshavet - Sør	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	2009-11-10	2009-09-12	2009-10-27	357	357	\N	\N	\N	\N	2013-05-08
NX904	2009-10-08	7135	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Nexen Exploration Norge AS	2009-11-30	2009-10-18	2009-10-28	180	180	\N	\N	\N	\N	2013-05-08
VNG0902	2009-12-15	7136	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	VNG Norge AS	2010-02-01	2009-12-22	2010-01-10	446	446	\N	\N	\N	\N	2013-05-08
ST09324	2009-10-29	7137	Avlyst	Nordsjøen	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	2009-11-29	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
St09326	2009-11-29	7138	Avlyst	Nordsjøen	Havbunnseismisk undersøkelse	2D	Statoil ASA	2010-01-29	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
DN0912	2009-09-22	7139	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	2D	Det norske oljeselskap ASA (old)	2009-11-15	2009-10-19	2009-11-01	200	270	\N	\N	\N	\N	2013-05-08
SH0905EM	2009-08-25	7140	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	\N	A/S Norske Shell	2009-09-10	2009-08-26	2009-09-06	14	14	\N	\N	\N	\N	2013-05-08
ST09327	2009-11-29	7142	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	2010-01-29	2009-12-10	2009-12-14	325	325	\N	\N	\N	\N	2013-05-08
ST09328	2009-11-29	7143	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	2D	StatoilHydro ASA	2010-01-29	2010-01-07	2010-01-15	219	219	\N	\N	\N	\N	2013-05-08
EN0902	2009-10-20	7144	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	\N	Eni Norge AS	2009-12-13	2009-10-21	2009-11-11	\N	100	\N	\N	\N	\N	2013-05-08
AX0901	2009-10-01	7145	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Aker Exploration AS	2009-11-30	2009-10-13	2009-10-27	441	441	\N	\N	\N	\N	2013-05-08
ST09566	2009-09-21	7146	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	\N	StatoilHydro ASA	2009-10-05	2009-09-25	2009-10-25	100	110	\N	\N	\N	\N	2013-05-08
AX0902	2009-10-10	7147	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Aker Exploration AS	2009-11-30	2009-11-08	2009-11-10	\N	\N	\N	\N	\N	\N	2013-05-08
ST09329	2009-10-04	7148	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	StatoilHydro ASA	2009-11-09	2009-10-22	2009-10-27	\N	\N	\N	\N	\N	\N	2013-05-08
ST09330	2009-10-08	7149	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	\N	StatoilHydro ASA	2009-11-24	2009-11-05	2009-11-07	\N	\N	\N	\N	\N	\N	2013-05-08
DN0901	2009-02-23	7150	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	3D	Det norske oljeselskap ASA (old)	2009-04-16	2009-04-06	2009-04-16	225	225	\N	\N	\N	\N	2013-05-08
PL143 Pelikan	2009-05-01	7151	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	ConocoPhillips Norge	2009-05-03	2009-05-01	2009-05-03	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0990	2009-04-20	7152	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BP Norge AS	2009-05-31	2009-05-02	2009-05-04	169	169	\N	\N	\N	\N	2013-05-08
DONG0901	2009-03-01	7153	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	DONG Norge AS	2009-05-01	2009-03-01	2009-04-09	\N	\N	\N	\N	\N	\N	2013-05-08
MC3D-Q82009	2009-04-01	7154	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	PGS Geophysical AS	2009-06-15	2009-04-01	2009-04-18	10615	550	\N	\N	\N	\N	2013-05-08
EMGS0902	2009-03-15	7155	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	2009-04-30	2009-04-15	2009-04-27	341	341	\N	\N	\N	\N	2013-05-08
EMGS0903	2009-03-30	7156	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	2009-05-01	2009-04-05	2009-04-16	126	126	\N	\N	\N	\N	2013-05-08
EEN0901	2009-01-03	7157	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Endeavour Energy Norge AS	2009-02-08	2009-01-03	2009-02-03	165	165	\N	\N	\N	\N	2013-05-08
LN0951	2009-02-05	7158	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	2009-03-01	2009-01-05	2009-03-01	87	87	\N	\N	\N	\N	2013-05-08
NSR09 VGadd	2009-10-26	7160	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2009-12-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
WG09Test	2009-10-16	7161	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	3D	WesternGeco AS	2009-10-23	2009-10-16	2009-10-18	200	50	\N	\N	\N	\N	2013-05-08
Dong0902	2009-10-12	7162	Ferdig	Nordsjøen	Traseundersøkelser	\N	DONG E&P Norge AS	2009-11-15	2009-10-30	2009-11-10	\N	\N	\N	\N	\N	\N	2013-05-08
TO-David09	2009-10-19	7163	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	3D	Total E&P Norge AS	2009-12-16	2009-10-27	2009-12-12	122	24	\N	\N	\N	\N	2013-05-08
TO-AlveNorth09	2009-11-02	7164	Avlyst	Norskehavet	Borestedundersøkelse / sitesurvey	3D	Total E&P Norge AS	2009-11-16	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0808	2008-11-19	7165	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	2009-01-25	2009-01-01	2009-01-25	296	296	\N	\N	\N	\N	2013-05-08
LN0952/LN0953	2009-01-01	7166	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2009-03-01	2009-01-05	2009-02-19	461	461	\N	\N	\N	\N	2013-05-08
LN0954	2009-02-06	7167	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2009-03-01	2009-02-06	2009-05-04	374	374	\N	\N	\N	\N	2013-05-08
ST09303	2009-03-11	7168	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	StatoilHydro ASA	2009-06-11	2009-03-11	2009-04-15	208	208	\N	\N	\N	\N	2013-05-08
TE0902	2009-02-12	7169	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	2009-03-22	2009-02-16	2009-03-20	249	623	\N	\N	\N	\N	2013-05-08
WIN0906	2009-11-15	7170	Avlyst	Nordsjøen	Havbunnseismisk undersøkelse	2D	Wintershall Norge ASA	2010-01-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
WIN0907	2009-11-15	7171	Avlyst	Nordsjøen	Havbunnseismisk undersøkelse	2D	Wintershall Norge ASA	2010-01-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS0907	2009-11-06	7172	Avlyst	Nordsjøen	Elektromagnetisk undersøkelse	\N	Electromagnetic Geoservices ASA	2009-11-27	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TE903	2009-12-07	7173	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	3D	Talisman Energy Norge AS	2010-02-12	2009-12-15	2010-02-04	29	29	\N	\N	\N	\N	2013-05-08
ST09325	2009-12-15	7174	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	2010-01-31	2009-11-12	2010-01-19	\N	\N	\N	\N	\N	\N	2013-05-08
ST09315	2009-11-18	7176	Avlyst	Nordsjøen	Havbunnseismisk undersøkelse	2D	Statoil ASA	2010-01-14	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
LN0958	2009-11-28	7179	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	Lundin Norway AS	2010-01-30	2009-12-19	2010-01-04	287	288	\N	\N	\N	\N	2013-05-08
LN0959	2009-11-29	7180	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	Lundin Norway AS	2010-01-30	2010-01-06	2010-01-10	\N	82	\N	\N	\N	\N	2013-05-08
LN0960	2009-11-14	7181	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	\N	Lundin Norway AS	2009-11-28	2009-11-14	2009-11-27	100	100	\N	\N	\N	\N	2013-05-08
WIN0908	2009-12-01	7182	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Wintershall Norge ASA	2010-03-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS-0908	2009-12-02	7184	Avlyst	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-01-10	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
RS1001	2010-05-10	7186	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Rocksource ASA	2010-07-10	2010-05-10	2010-06-11	50860	2543	1115.300000	\N	\N	\N	2013-05-08
EMGS0909	2010-01-10	7187	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-02-28	2010-01-10	2010-02-22	750	750	\N	\N	\N	\N	2013-05-08
RS1002	2010-05-01	7188	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Rocksource ASA	2010-07-01	2010-05-10	2010-06-11	44040	2202	886.980000	\N	\N	\N	2013-05-08
MC3D-NVG10	2010-09-15	7189	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2010-11-01	2010-05-01	2010-09-29	172088	14527	\N	\N	\N	\N	2013-05-08
MC3D-CGR-2010	2010-06-15	7190	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2010-09-15	2010-07-07	2010-09-06	131699	6555	3585.400000	\N	\N	\N	2013-05-08
EMGS1001	2010-02-22	7191	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-09-01	2010-04-03	2010-08-13	6000	6000	121099.540000	\N	\N	\N	2013-05-08
ST10451	2010-04-01	7192	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	2010-04-30	2010-04-18	2010-04-23	\N	\N	\N	\N	\N	\N	2013-05-08
NO1001	2010-03-25	7193	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	3D	Norwegian Energy Company AS	2010-04-30	2010-03-22	2010-04-09	150	150	\N	\N	\N	\N	2013-05-08
EMGS1002	2010-02-15	7194	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-03-01	2010-02-22	2010-02-28	122	122	\N	\N	\N	\N	2013-05-08
ST10303	2010-03-15	7195	Ferdig	Barentshavet - Sør	Havbunnseismisk undersøkelse	2D	Statoil ASA	2010-05-17	2010-03-28	2010-04-06	227	227	\N	\N	\N	\N	2013-05-08
VBT1	2010-05-08	7196	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2010-09-15	2010-05-08	2010-08-30	128890	6444	7610.590000	\N	\N	\N	2013-05-08
LN1051	2010-03-15	7197	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	2010-03-22	2010-03-15	2010-03-22	100	100	\N	\N	\N	\N	2013-05-08
CGGV-10-01	2010-04-19	7198	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG Veritas Services (UK) Limited	2010-05-31	2010-04-19	2010-05-03	7098	355	606.960000	\N	\N	\N	2013-05-08
nx1051	2010-09-22	7199	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Nexen Exploration Norge AS	2010-12-31	2010-10-17	2010-12-04	232	232	\N	\N	\N	\N	2013-05-08
EMGS1003	2010-02-22	7200	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-03-07	2010-02-28	2010-03-04	131	131	\N	\N	\N	\N	2013-05-08
NX1052	2010-09-07	7201	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Nexen Exploration Norge AS	2010-10-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS1004	2010-03-31	7202	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-05-06	2010-03-31	2010-04-01	41	41	2364.630000	\N	\N	\N	2013-05-08
EMGS1005	2010-03-05	7203	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-03-24	2010-03-05	2010-03-20	157	157	\N	\N	\N	\N	2013-05-08
ST10304	2010-05-01	7204	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-07-01	2010-05-03	2010-05-08	226	226	\N	\N	\N	\N	2013-05-08
EMGS1007	2010-03-16	7205	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-04-06	2010-03-20	2010-03-22	71	71	\N	\N	\N	\N	2013-05-08
EMGS1006	2010-03-18	7206	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-04-06	2010-03-25	2010-03-28	90	90	\N	\N	\N	\N	2013-05-08
CGGV1002	2010-04-28	7207	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	2010-08-28	2010-05-10	2010-07-25	115626	6328	1876.470000	\N	\N	\N	2013-05-08
WG1001	2010-04-15	7208	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2010-09-30	2010-04-23	2010-09-06	111908	6341	3177.870000	\N	\N	\N	2013-05-08
MCG1001	2010-03-25	7209	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	2010-06-30	2010-04-04	2010-05-25	2883	2883	\N	\N	\N	\N	2013-05-08
WIN1002	2010-04-12	7210	Avlyst	Nordsjøen	Havbunnseismisk undersøkelse	3D	Wintershall Norge ASA	2010-09-30	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
WIN1003	2010-06-01	7211	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	2010-09-30	2010-06-04	2010-06-18	250	250	\N	Nei	Nei	Nei	2013-05-08
MAE10301	2010-07-13	7212	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Maersk Oil Norway AS	2010-08-01	2010-07-17	2010-07-26	600	600	\N	\N	\N	\N	2013-05-08
SH1001	2010-06-03	7213	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2010-08-31	2010-07-12	2010-08-10	41943	2097	2072.100000	\N	\N	\N	2013-05-08
SH1002	2010-06-20	7214	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2010-08-31	2010-06-12	2010-07-12	37948	1897	705.440000	\N	\N	\N	2013-05-08
BST6	2010-04-01	7215	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2010-05-31	9999-12-31	9999-12-31	\N	\N	681.800000	\N	\N	\N	2013-05-08
TO-AlveN10	2010-05-05	7216	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	3D	Total E&P Norge AS	2010-05-19	2010-05-12	2010-05-27	232	442	\N	\N	\N	\N	2013-05-08
ST10301	2010-04-07	7217	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	2D	Statoil ASA	2010-06-02	2010-04-20	2010-05-30	171	171	\N	\N	\N	\N	2013-05-08
ST10316	2010-04-07	7218	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	2D	Statoil ASA	2010-06-02	2010-04-20	2010-05-27	172	172	\N	\N	\N	\N	2013-05-08
NBR10	2010-04-26	7219	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	2010-09-30	2010-05-18	2010-09-25	11988	11988	\N	\N	\N	\N	2013-05-08
ST09455-1	2010-04-12	7220	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	2010-05-31	2010-04-24	2010-04-29	\N	\N	\N	\N	\N	\N	2013-05-08
ST10317	2010-04-09	7221	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	2D	Statoil ASA	2010-06-04	2010-05-24	2010-05-30	35	35	\N	\N	\N	\N	2013-05-08
ST10309	2010-03-18	7222	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-04-18	2010-04-12	2010-04-15	156	156	\N	Nei	Nei	Nei	2013-05-08
ST10011 N	2010-05-15	7223	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Statoil ASA	2010-07-25	2010-05-21	2010-07-12	58100	3631	1067.050000	\N	\N	\N	2013-05-08
MNR10	2010-05-03	7224	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	2010-12-31	2010-05-07	2010-10-12	13892	13892	\N	\N	\N	\N	2013-05-08
MCG1002	2010-04-29	7225	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	2010-06-30	2010-05-02	2010-06-15	3380	3380	\N	\N	\N	\N	2013-05-08
TO-Norvarg10	2010-05-31	7226	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	2010-07-08	2010-05-30	2010-07-04	994	398	\N	\N	\N	\N	2013-05-08
ST10005	2010-05-25	7227	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	2010-08-31	2010-06-02	2010-08-30	74840	3742	583.090000	\N	\N	\N	2013-05-08
ST10003	2010-05-28	7228	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	4D	Statoil ASA	2010-07-10	2010-05-29	2010-07-08	1775	1775	168.060000	\N	\N	\N	2013-05-08
IPN1001	2010-05-05	7229	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Idemitsu Petroleum Norge AS	2010-07-01	2010-06-16	2010-06-25	235	235	\N	\N	\N	Ja	2013-05-08
EO1001	2010-04-25	7230	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	E.ON Ruhrgas Norge AS	2010-05-20	2010-05-03	2010-05-08	126	126	\N	Ja	Nei	Ja	2013-05-08
EO1002	2010-04-25	7231	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	E.ON Ruhrgas Norge AS	2010-05-20	2010-05-03	2010-05-08	30	30	\N	Nei	Nei	Nei	2013-05-08
DN1001	2010-05-15	7233	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	2010-06-10	2010-06-01	2010-06-07	300	300	\N	\N	\N	\N	2013-05-08
ST10004	2010-05-21	7234	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Statoil ASA	2010-08-15	2010-05-27	2010-06-08	12305	513	306.640000	\N	\N	\N	2013-05-08
ST10020	2010-04-01	7235	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Statoil ASA	2010-09-30	2010-04-06	2010-09-17	31816	1590	681.800000	\N	\N	\N	2013-05-08
ST10305	2010-05-15	7236	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-07-10	2010-06-08	2010-06-24	246	246	\N	\N	\N	\N	2013-05-08
ST10016	2010-05-25	7237	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	2010-07-20	2010-05-26	2010-07-15	8614	1077	150.240000	\N	\N	\N	2013-05-08
MC3D-NON2010	2010-06-13	7238	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2010-08-01	2010-06-19	2010-07-17	28790	1439	473.930000	\N	\N	\N	2013-05-08
BG1001	2010-05-21	7239	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BG Norge Limited	2010-08-28	2010-07-03	2010-08-02	\N	847	\N	\N	\N	\N	2013-05-08
PC10NO01	2010-05-27	7240	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Petro-Canada Norge AS	2010-08-31	2010-06-12	2010-08-05	49729	2529	1064.700000	\N	\N	\N	2013-05-08
Penguin 2010 4D	2010-05-20	7241	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	A/S Norske Shell	2010-07-15	2010-06-07	2010-06-30	13051	1232	46.940000	\N	\N	\N	2013-05-08
NSR10 VG	2010-05-15	7242	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2010-08-31	2010-05-14	2010-06-27	3021	3021	\N	\N	\N	\N	2013-05-08
ST10307	2010-05-18	7243	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-07-18	2010-05-31	2010-06-07	195	195	\N	Ja	\N	\N	2013-05-08
ST10453	2010-04-12	7245	Ferdig	Nordsjøen	Annen undersøkelse	\N	Statoil ASA	2010-05-12	2010-04-18	2010-04-23	\N	\N	\N	\N	\N	\N	2013-05-08
ST10014VN	2010-05-25	7246	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	Statoil ASA	2010-07-22	9999-12-31	9999-12-31	\N	\N	1491.220000	\N	\N	\N	2013-05-08
Caterpillar2010	2010-05-17	7247	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	2010-06-20	2010-05-19	2010-06-18	499	499	\N	\N	\N	\N	2013-05-08
Marihøne2010	2010-05-17	7248	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	2010-06-20	2010-05-19	2010-06-18	154	154	\N	\N	\N	\N	2013-05-08
East Kameleon2010	2010-05-17	7249	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	2010-06-20	2010-05-19	2010-06-18	118	118	\N	\N	\N	\N	2013-05-08
Earb2010	2010-05-17	7250	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	2010-06-20	2010-05-19	2010-06-18	417	417	\N	\N	\N	\N	2013-05-08
GN1001	2010-06-03	7251	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GASSNOVA SF	2010-07-15	2010-06-09	2010-07-04	16692	1043	417.040000	\N	\N	\N	2013-05-08
PGSTesting2010	2010-05-01	7252	Ferdig	Nordsjøen	Annen undersøkelse	\N	PGS Geophysical AS	2010-05-20	2010-05-07	2010-05-11	\N	\N	\N	\N	\N	\N	2013-05-08
LN1052	2010-05-06	7253	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2010-05-17	2010-05-09	2010-05-15	182	183	\N	\N	\N	\N	2013-05-08
WIN1004	2010-06-01	7255	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	2010-07-31	2010-06-19	2010-06-25	250	250	\N	Nei	Nei	Nei	2013-05-08
ST10312	2010-06-01	7256	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-08-08	2010-06-27	2010-07-02	202	202	\N	\N	\N	\N	2013-05-08
ST10008	2010-08-24	7257	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	3D	Statoil ASA	2010-10-10	2010-08-25	2010-09-23	1782	1782	219.130000	\N	\N	\N	2013-05-08
RWE1001	2010-05-15	7258	Ferdig	Norskehavet	Annen undersøkelse	\N	RWE Dea Norge AS	2010-09-01	2010-06-15	2010-06-17	\N	\N	\N	\N	\N	\N	2013-05-08
RWE1002	2010-05-15	7259	Ferdig	Norskehavet	Annen undersøkelse	\N	RWE Dea Norge AS	2010-09-01	2010-07-16	2010-08-02	\N	\N	\N	\N	\N	\N	2013-05-08
RWE1003	2010-05-15	7260	Ferdig	Barentshavet - Sør	Annen undersøkelse	\N	RWE Dea Norge AS	2010-09-01	2010-07-02	2010-07-15	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS1008	2010-05-26	7261	Avlyst	Nordsjøen	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-07-27	9999-12-31	9999-12-31	\N	\N	526.350000	\N	\N	\N	2013-05-08
EM-Test-Troll	2010-06-20	7262	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	2010-07-20	2010-07-01	2010-07-10	306	306	792.760000	\N	\N	\N	2013-05-08
TE1002	2010-06-07	7263	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	2010-07-07	9999-12-31	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
MC2D-CRRG2010	2010-05-17	7264	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	2010-07-01	2010-05-27	2010-07-01	2430	2430	\N	\N	\N	\N	2013-05-08
MC2D-VIC2010	2010-05-17	7265	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	2010-07-01	2010-06-17	2010-06-23	865	865	\N	\N	\N	\N	2013-05-08
ST10315	2010-10-23	7266	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-12-23	2010-10-31	2010-11-15	223	223	\N	\N	\N	\N	2013-05-08
MC2D-EGGA2010	2010-05-17	7267	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	2010-07-01	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST10013 HUSVÆR	2010-06-01	7268	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Statoil ASA	2010-08-31	2010-06-09	2010-07-28	67131	2797	1342.450000	\N	\N	\N	2013-05-08
FRØY 2010-1	2010-05-15	7269	Ferdig	Nordsjøen	Annen undersøkelse	\N	Det norske oljeselskap ASA	2010-05-23	2010-05-15	2010-05-18	\N	\N	\N	\N	\N	\N	2013-05-08
ST10319	2010-08-13	7270	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-10-09	2010-09-03	2010-09-07	201	201	\N	\N	\N	\N	2013-05-08
ST10007	2010-09-20	7272	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	3D	Statoil ASA	2010-12-31	2010-09-20	2010-11-27	5501	5501	508.010000	\N	\N	\N	2013-05-08
EMGS1009	2010-06-07	7273	Avlyst	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-08-31	9999-12-31	9999-12-31	\N	\N	7224.420000	\N	\N	\N	2013-05-08
ST10015	2010-07-08	7274	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	2010-09-02	2010-07-15	2010-08-24	1340	32200	410.850000	\N	\N	\N	2013-05-08
ST10318	2010-06-17	7275	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-08-31	2010-08-02	2010-08-03	66	66	\N	\N	\N	\N	2013-05-08
BG1002	2010-07-15	7276	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	BG Norge AS	2010-10-01	2010-07-18	2010-08-31	45746	2287	1059.820000	\N	\N	\N	2013-05-08
ST10012-E	2010-07-08	7277	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Statoil Petroleum AS	2010-09-30	2010-07-13	2010-09-10	40350	2521	612.620000	\N	\N	\N	2013-05-08
OMV1002	2010-06-21	7278	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	2010-08-31	2010-07-19	2010-08-06	264	558	\N	\N	\N	\N	2013-05-08
OMV1001	2010-06-21	7279	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	2010-08-31	2010-06-28	2010-07-18	146	525	\N	\N	\N	\N	2013-05-08
MNDW2010	2010-05-20	7280	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Spec Partners Ltd	2010-07-30	2010-05-26	2010-07-22	3956	3956	\N	\N	\N	\N	2013-05-08
NSR10 FR	2010-06-27	7281	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2010-10-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EN1001	2010-07-07	7282	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Eni Norge AS	2010-08-15	2010-07-26	2010-07-31	60	60	\N	\N	\N	\N	2013-05-08
EN1002	2010-07-07	7283	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Eni Norge AS	2010-08-15	2010-07-14	2010-07-26	181	181	\N	Ja	\N	\N	2013-05-08
LN1002	2010-08-21	7284	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2010-11-01	2010-09-08	2010-10-17	20151	1007	588.720000	\N	\N	\N	2013-05-08
LN1001	2010-09-01	7285	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2010-11-10	2010-09-10	2010-11-02	8841	552	249.050000	\N	\N	\N	2013-05-08
ST10457	2010-08-01	7286	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	2010-10-31	2010-08-21	2010-08-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST10314	2010-07-04	7287	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-09-23	2010-07-07	2010-08-01	771	771	\N	\N	\N	Ja	2013-05-08
ST10458	2010-08-30	7288	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	2010-10-20	2010-10-03	2010-10-08	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST10009	2010-08-13	7289	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	3D	Statoil Petroleum AS	2010-09-30	2010-08-15	2010-09-25	16034	2139	158.880000	\N	\N	\N	2013-05-08
BG1003	2010-08-13	7290	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	2010-09-30	2010-08-13	2010-09-09	108	520	\N	\N	\N	\N	2013-05-08
TE1001	2010-05-21	7291	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	2010-06-18	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
OMV1003	2010-08-01	7292	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	OMV (Norge) AS	2010-09-30	2010-08-23	2010-09-21	2650	42400	768.910000	\N	\N	\N	2013-05-08
EO1003	2010-07-12	7293	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	E.ON Ruhrgas Norge AS	2010-09-10	2010-07-12	2010-08-16	66280	3314	1353.470000	\N	\N	\N	2013-05-08
OMV1004	2010-08-01	7294	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	OMV (Norge) AS	2010-09-30	2010-08-06	2010-08-26	2234	1108	508.150000	\N	\N	\N	2013-05-08
WIN1005	2010-08-01	7295	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	2010-10-31	9999-12-31	9999-12-31	\N	\N	25.020000	Nei	Nei	Ja	2013-05-08
EM-3D-Peon	2010-07-08	7296	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	2010-07-20	2010-07-11	2010-07-15	306	306	527.570000	\N	\N	\N	2013-05-08
PM 01-2010	2010-07-25	7297	Avlyst	Barentshavet - Sør	Elektromagnetisk undersøkelse	\N	Petromarker AS	2010-08-25	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PM 02-2010	2010-07-25	7298	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	\N	Petromarker AS	2010-08-25	2010-08-08	2010-08-17	18	\N	\N	\N	\N	\N	2013-05-08
PM 03-2010	2010-07-25	7299	Avlyst	Barentshavet - Sør	Elektromagnetisk undersøkelse	\N	Petromarker AS	2010-08-25	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN0301_12	2010-07-15	7300	Ferdig	Nordsjøen	Annen undersøkelse	\N	BP Norge AS	2010-08-31	2010-08-01	2010-09-04	103360	2584	142.360000	\N	\N	\N	2013-05-08
EO1004	2010-10-06	7301	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	E.ON Ruhrgas Norge AS	2010-12-06	2010-10-06	2010-11-19	217	217	\N	\N	\N	\N	2013-05-08
PM 04-2010	2010-07-15	7302	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	\N	Petromarker AS	2010-08-15	2010-07-21	2010-07-27	\N	30	\N	\N	\N	\N	2013-05-08
Ormen Lange Geotech	2010-10-14	7303	Avlyst	Norskehavet	Annen undersøkelse	\N	A/S Norske Shell	2010-11-12	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CP1099	2010-07-22	7304	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	ConocoPhillips Skandinavia AS	2010-08-31	2010-08-11	2010-08-20	135	135	\N	\N	\N	\N	2013-05-08
LN1053	2010-08-03	7305	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2010-09-12	2010-08-03	2010-08-07	177	180	\N	\N	\N	\N	2013-05-08
MC2D-CNS2010	2010-07-01	7306	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	2010-08-15	2010-07-03	2010-07-08	265	265	\N	\N	\N	\N	2013-05-08
PM 05-2010	2010-07-20	7307	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	\N	Petromarker AS	2010-08-20	2010-07-28	2010-08-01	\N	30	\N	\N	\N	\N	2013-05-08
ST10308	2010-09-21	7308	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-11-21	2010-09-28	2010-10-13	230	230	\N	\N	\N	\N	2013-05-08
ST10302	2010-08-03	7309	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-10-08	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	Ja	2013-05-08
PM 06-2010	2010-07-20	7310	Avlyst	Barentshavet - Sør	Elektromagnetisk undersøkelse	\N	Petromarker AS	2010-08-20	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PM 07-2010	2010-07-20	7311	Avlyst	Barentshavet - Sør	Elektromagnetisk undersøkelse	\N	Petromarker AS	2010-08-20	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST10456	2010-10-15	7312	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	2010-12-15	2010-10-18	2010-10-28	\N	\N	\N	Ja	Ja	Ja	2013-05-08
DN1002	2010-07-28	7313	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Det norske oljeselskap ASA	2010-08-15	2010-08-06	2010-08-09	150	150	\N	\N	\N	\N	2013-05-08
ST10454	2010-08-15	7314	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	Statoil Petroleum AS	2010-12-01	2010-09-26	2010-10-02	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST10459	2010-08-15	7315	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	\N	Statoil Petroleum AS	2010-12-01	2010-09-17	2010-09-26	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST10017	2010-09-03	7316	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil ASA	2010-10-15	2010-09-05	2010-09-27	10240	511	136.810000	\N	\N	\N	2013-05-08
DN1003	2010-08-01	7317	Avlyst	Norskehavet	Borestedundersøkelse / sitesurvey	\N	Det norske oljeselskap ASA	2010-08-15	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
CE1001	2010-06-16	7318	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	2010-08-16	2010-07-25	2010-08-04	169	266	\N	\N	\N	\N	2013-05-08
ST10306	2010-08-04	7319	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-10-04	2010-08-11	2010-09-27	247	247	\N	\N	\N	\N	2013-05-08
NX1053	2010-09-07	7320	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Nexen Exploration Norge AS	2010-10-31	2010-09-14	2010-10-17	185	185	\N	\N	\N	\N	2013-05-08
Ormen L-Geodesy	2010-11-12	7321	Ferdig	Norskehavet	Annen undersøkelse	\N	A/S Norske Shell	2010-12-12	2010-10-05	2010-11-22	100	10	\N	\N	\N	\N	2013-05-08
SH1003	2010-08-03	7322	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	2010-08-31	2010-08-12	2010-08-16	218	218	\N	\N	\N	\N	2013-05-08
ST10010	2010-09-25	7323	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	4D	Statoil Petroleum AS	2010-11-30	2010-09-26	2010-11-06	936	936	71.290000	\N	\N	\N	2013-05-08
PM 08-2010	2010-08-01	7324	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	\N	Petromarker AS	2010-08-31	2010-08-05	2010-08-08	\N	30	\N	\N	\N	\N	2013-05-08
BPN10301	2010-10-04	7325	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2010-10-16	2010-10-04	2010-10-08	37	56	\N	\N	\N	\N	2013-05-08
BPN10302	2010-10-04	7326	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2010-10-16	2010-10-04	2010-10-07	64	97	\N	\N	\N	\N	2013-05-08
BPN10303	2010-10-04	7327	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2010-10-16	2010-10-04	2010-10-08	12	18	\N	\N	\N	\N	2013-05-08
EMGS1010	2010-08-09	7328	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-09-30	2010-08-29	2010-09-30	380	380	1307.210000	\N	\N	\N	2013-05-08
EMGS1011	2010-08-09	7329	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-09-30	2010-09-12	2010-09-27	480	480	12886.600000	\N	\N	\N	2013-05-08
ST10310	2010-10-19	7330	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-12-19	2010-11-20	2010-11-22	20	20	\N	\N	\N	\N	2013-05-08
ST10321	2010-10-19	7331	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-12-19	2010-11-10	2010-11-20	50	50	\N	\N	\N	\N	2013-05-08
BG1004	2010-09-26	7332	Avlyst	Norskehavet	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	2010-10-16	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Nei	2013-05-08
WGEM1001	2010-08-23	7333	Avlyst	Barentshavet - Sør	Elektromagnetisk undersøkelse	3D	WesternGeco AS	2010-10-23	9999-12-31	9999-12-31	\N	\N	3177.870000	\N	\N	\N	2013-05-08
ST10320	2010-08-19	7334	Avlyst	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-10-22	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST10461	2010-08-25	7335	Ferdig	Nordsjøen	Annen undersøkelse	\N	Statoil Petroleum AS	2010-12-01	2010-10-08	2010-10-12	\N	\N	\N	\N	\N	\N	2013-05-08
ST10462	2010-08-25	7336	Ferdig	Nordsjøen	Annen undersøkelse	\N	Statoil Petroleum AS	2010-12-01	2010-10-14	2010-10-18	\N	\N	\N	\N	\N	\N	2013-05-08
SH1004	2010-08-03	7337	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	2010-08-31	2010-08-13	2010-08-14	72	72	\N	\N	\N	\N	2013-05-08
PM 09-2010	2010-08-15	7338	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	\N	Petromarker AS	2010-09-15	2010-08-19	2010-08-24	\N	30	\N	\N	\N	\N	2013-05-08
ST10322	2010-08-24	7339	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-10-24	2010-09-20	2010-09-22	80	80	\N	\N	\N	\N	2013-05-08
Ormen L Mid	2010-10-12	7340	Ferdig	Norskehavet	Annen undersøkelse	\N	A/S Norske Shell	2010-11-12	2010-10-18	2010-11-12	100	10	\N	\N	\N	\N	2013-05-08
CGR2010P2	2010-09-01	7341	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2010-10-20	9999-12-31	9999-12-31	\N	\N	3463.170000	\N	\N	\N	2013-05-08
CGR2010P3	2010-09-01	7342	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2010-10-20	2010-09-07	2010-10-15	32838	1641	1307.210000	\N	\N	\N	2013-05-08
ST10021	2010-08-20	7343	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	2010-10-10	2010-08-26	2010-09-09	15240	635	176.570000	\N	\N	\N	2013-05-08
ST10323	2010-11-15	7344	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-01-15	2010-11-25	2010-12-25	243	243	\N	\N	\N	\N	2013-05-08
DN1004	2010-08-27	7345	Ferdig	Nordsjøen	Annen undersøkelse	\N	Det norske oljeselskap ASA	2010-09-07	2010-09-03	2010-09-05	\N	\N	\N	\N	\N	\N	2013-05-08
GN1002	2010-09-01	7346	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	3D	GASSNOVA SF	2010-10-01	9999-12-31	9999-12-31	\N	\N	323.770000	\N	\N	\N	2013-05-08
MBT1	2010-09-22	7347	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2010-12-31	2010-09-22	2010-10-17	20866	1043	1692.730000	\N	\N	\N	2013-05-08
PM 10-2010	2010-08-22	7348	Avlyst	Barentshavet - Sør	Elektromagnetisk undersøkelse	\N	Petromarker AS	2010-09-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CP10L01	2010-10-25	7349	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	2011-01-31	2010-11-10	2011-01-23	2873	2873	191.170000	\N	\N	\N	2013-05-08
ST10018	2010-10-05	7350	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	2010-10-26	2010-10-15	2010-10-17	1402	70	27.880000	\N	\N	\N	2013-05-08
LN1056	2010-10-11	7351	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2011-01-07	2010-11-10	2010-12-26	940	940	\N	\N	\N	\N	2013-05-08
MC3D-NONEXT2010	2010-09-15	7352	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2010-10-28	9999-12-31	9999-12-31	\N	\N	355.530000	\N	\N	\N	2013-05-08
LN1055	2010-10-18	7353	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2010-12-19	2010-10-28	2010-11-10	\N	50	\N	\N	\N	\N	2013-05-08
CGGV-10-03	2010-12-01	7354	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2010-12-22	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST10324	2010-10-27	7355	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2010-12-29	2010-11-16	2010-12-03	380	380	\N	\N	\N	\N	2013-05-08
ST10325	2010-12-30	7356	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-01-29	2010-12-03	2010-12-22	214	214	\N	\N	\N	\N	2013-05-08
LN1057	2010-12-23	7357	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2011-01-31	2010-12-26	2010-12-31	88	88	\N	\N	\N	\N	2013-05-08
EMGS1012	2010-10-19	7358	Avlyst	Nordsjøen	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2010-10-31	9999-12-31	9999-12-31	\N	\N	2119.530000	\N	\N	\N	2013-05-08
ST10467	2010-11-15	7359	Ferdig	Nordsjøen	Annen undersøkelse	\N	Statoil ASA	2010-11-30	2010-11-21	2010-11-23	\N	\N	\N	\N	\N	\N	2013-05-08
RS1003	2010-12-15	7360	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Rocksource ASA	2011-01-31	2010-12-22	2011-01-14	403	403	\N	\N	\N	\N	2013-05-08
CE1002	2010-11-22	7361	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Centrica Energi	2010-11-29	2010-11-24	2010-11-26	\N	2	\N	\N	\N	Ja	2013-05-08
ST10326	2010-12-02	7362	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	\N	Statoil ASA	2011-01-19	2011-01-04	2011-01-05	\N	\N	\N	\N	\N	\N	2013-05-08
ST10327	2010-12-08	7363	Ferdig	Nordsjøen	Annen undersøkelse	\N	Statoil ASA	2011-01-27	2011-01-05	2011-01-13	\N	\N	\N	\N	\N	\N	2013-05-08
ST10328	2010-12-01	7364	Ferdig	Norskehavet	Annen undersøkelse	\N	Statoil ASA	2011-01-27	2010-12-26	2010-12-28	\N	\N	\N	\N	\N	\N	2013-05-08
Dg 1101	2011-01-10	7365	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	DONG E&P Norge AS	2011-04-08	2011-01-20	2011-03-13	367	440	\N	Ja	Nei	Ja	2013-05-08
WIN1102	2011-01-10	7366	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge AS (old)	2011-04-30	2011-02-19	2011-04-26	400	400	\N	Nei	Nei	Nei	2013-05-08
ST10330	2010-12-24	7367	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-04-28	2010-12-24	2011-04-11	327	327	\N	Nei	Nei	Nei	2013-05-08
ST10329	2011-01-20	7368	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-04-07	2011-01-20	2011-03-30	303	303	\N	Nei	Nei	Ja	2013-05-08
ST10331	2011-02-28	7369	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-03-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	Ja	2013-05-08
MC2D-CNS2011	2011-01-01	7370	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	2011-03-10	2011-02-12	2011-03-07	807	807	\N	\N	\N	\N	2013-05-08
LN1151	2011-02-14	7371	Ferdig	Barentshavet - Sør	Annen undersøkelse	\N	Lundin Norway AS	2011-02-28	2011-02-09	2011-02-24	1	1	\N	\N	\N	\N	2013-05-08
ST11301	2011-04-03	7372	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2011-06-28	2011-05-10	2011-05-14	\N	\N	\N	Nei	Nei	Ja	2013-05-08
LN1152	2011-02-15	7373	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2011-04-03	2011-02-25	2011-02-28	57	57	\N	\N	\N	\N	2013-05-08
ST11302	2011-02-04	7374	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-06-24	2011-05-05	2011-05-14	253	253	\N	Nei	Nei	Ja	2013-05-08
DN1101	2011-04-01	7375	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	2011-05-10	2011-04-21	2011-05-07	333	333	\N	Nei	Nei	Ja	2013-05-08
BPN0301_13	2011-03-13	7376	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	BP Norge AS	2011-05-26	2011-03-31	2011-05-01	\N	2597	142.360000	\N	\N	\N	2013-05-08
MC3D-NVG11	2011-04-01	7377	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2011-10-01	2011-05-16	2011-07-04	32860	2431	658.030000	\N	\N	\N	2013-05-08
MC3D-SVG11	2011-12-20	7378	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2011-12-31	2011-03-29	2011-12-31	109352	7636	3325.690000	\N	\N	\N	2013-05-08
MC3D-HVG2011	2011-06-01	7379	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2011-09-30	2011-06-01	2011-08-25	155691	7849	5742.470000	\N	\N	\N	2013-05-08
CGGV-11-01	2011-04-01	7380	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-04-30	2011-04-15	2011-04-16	83	90	\N	\N	\N	\N	2013-05-08
ST11001	2011-04-15	7382	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	4D	Statoil ASA	2011-06-30	2011-04-27	2011-06-30	8322	1387	169.230000	\N	\N	\N	2013-05-08
WIN1104	2011-07-10	7383	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	2011-08-15	9999-12-31	9999-12-31	\N	\N	497.650000	\N	\N	\N	2013-05-08
bg1101	2011-03-18	7384	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	2011-04-30	2011-03-21	2011-04-29	200	200	\N	Ja	Nei	Nei	2013-05-08
BPN11101	2011-04-10	7385	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	BP Norge AS	2011-05-31	2011-04-19	2011-05-18	15585	1298	296.660000	\N	\N	\N	2013-05-08
ST11453	2011-04-01	7386	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2011-07-01	2011-05-17	2011-05-19	\N	\N	\N	Ja	Ja	Ja	2013-05-08
FP1150	2011-03-31	7387	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Faroe Petroleum plc	2011-04-24	2011-03-31	2011-04-17	145	145	\N	Ja	Nei	Ja	2013-05-08
WIN1103	2011-02-13	7388	Ferdig	Norskehavet	Grunnundersøkelser	Ikke seismikk	Wintershall Norge ASA	2011-04-30	2011-03-02	2011-04-26	400	400	\N	Nei	Nei	Nei	2013-05-08
MNR11	2011-04-01	7389	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	2011-11-30	2011-05-08	2011-11-28	9636	9636	\N	\N	\N	\N	2013-05-08
bg1102	2011-04-27	7390	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	BG Norge AS	2011-09-05	2011-05-10	2011-08-25	79829	3760	1513.120000	\N	\N	\N	2013-05-08
BPN11301	2011-03-21	7391	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2011-04-07	2011-04-01	2011-04-04	14	22	\N	Nei	Nei	Nei	2013-05-08
BPN11302	2011-04-29	7392	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2011-05-13	2011-05-04	2011-05-07	\N	93	\N	Nei	Nei	Nei	2013-05-08
DN1102	2011-05-23	7393	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	2011-06-30	2011-06-14	2011-06-24	134	223	\N	Nei	Nei	Ja	2013-05-08
LO1101	2011-05-01	7394	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Lotos Exploration and Production Norge AS	2011-08-31	2011-05-24	2011-08-27	88812	7401	1568.160000	\N	\N	\N	2013-05-08
MBT1b	2011-04-01	7395	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2011-10-31	2011-04-27	2011-08-30	90514	4525	2622.420000	\N	\N	\N	2013-05-08
PON1101	2011-04-12	7396	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Premier Oil Norge AS	2011-05-31	2011-04-28	2011-05-11	87	66	\N	Nei	Nei	Nei	2013-05-08
ST11306	2011-04-05	7397	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-06-05	2011-05-15	2011-05-16	56	56	\N	Nei	Nei	Ja	2013-05-08
RS1101	2011-05-01	7398	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	3D	Rocksource ASA	2011-06-30	2011-05-06	2011-06-05	383	539	10838.130000	\N	\N	\N	2013-05-08
ST11307	2011-05-11	7399	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-07-19	2011-06-15	2011-07-03	342	342	\N	Nei	Nei	Ja	2013-05-08
ST11304	2011-05-05	7401	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-07-07	2011-05-22	2011-06-26	391	391	\N	Nei	Nei	Ja	2013-05-08
bg1103	2011-04-18	7402	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	BG Norge AS	2011-10-01	2011-07-24	2011-09-22	999	999	\N	Ja	Ja	Ja	2013-05-08
ST11305	2011-05-04	7403	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-07-06	2011-06-12	2011-07-08	329	329	\N	Nei	Nei	Ja	2013-05-08
Ormen Lange TLP	2011-04-01	7404	Ferdig	Norskehavet	Grunnundersøkelser	Ikke seismikk	A/S Norske Shell	2011-05-31	2011-04-05	2011-05-14	100	10	\N	Nei	Ja	Ja	2013-05-08
TE1101	2011-04-18	7405	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	2011-06-13	2011-05-09	2011-06-04	30	369	\N	Nei	Nei	Ja	2013-05-08
MBT2	2011-04-20	7406	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2011-07-31	9999-12-31	9999-12-31	\N	\N	1774.160000	\N	\N	\N	2013-05-08
CE1101	2011-04-15	7407	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Centrica Energi	2011-06-20	2011-05-11	2011-06-10	410	410	\N	Ja	Nei	Ja	2013-05-08
NBR11	2011-04-22	7408	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	2011-11-15	2011-04-30	2011-11-07	8761	8761	\N	\N	\N	\N	2013-05-08
BG1104	2011-05-23	7409	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	2011-07-22	2011-06-18	2011-07-22	974	975	\N	Nei	Nei	Nei	2013-05-08
ST11009	2011-04-26	7410	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Statoil ASA	2011-07-31	2011-04-26	2011-06-14	68720	2863	1230.430000	\N	\N	\N	2013-05-08
WIN1101	2011-06-01	7411	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	2011-08-31	2011-07-21	2011-08-06	707	707	\N	Nei	Nei	Nei	2013-05-08
CP11L02	2011-05-14	7412	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	2011-06-25	2011-05-14	2011-06-20	3066	3066	0.410000	\N	\N	\N	2013-05-08
DN1103	2011-04-10	7413	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	2011-05-05	2011-04-19	2011-04-21	\N	34	\N	Nei	Nei	Ja	2013-05-08
SUN11NO01	2011-05-09	7414	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Suncor Energy Norge AS	2011-06-20	2011-05-10	2011-05-18	306	346	\N	Nei	Nei	Ja	2013-05-08
ST11005	2011-11-01	7415	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil ASA	2011-11-30	2011-11-05	2011-11-17	37044	3087	725.310000	\N	\N	\N	2013-05-08
RD1101	2011-08-20	7416	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	2011-10-01	9999-12-31	9999-12-31	\N	\N	215.710000	\N	\N	\N	2013-05-08
EMGS1101	2011-05-12	7417	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2011-07-01	2011-06-05	2011-06-26	299	299	\N	\N	\N	\N	2013-05-08
MCG1101	2011-06-23	7419	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	2011-11-30	2011-07-10	2011-11-01	8649	8649	\N	\N	\N	\N	2013-05-08
CVX1101	2011-06-13	7420	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Chevron Norge AS	2011-09-15	2011-06-27	2011-09-05	135936	5664	2787.380000	\N	\N	\N	2013-05-08
SWB	2011-05-10	7421	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2011-10-15	2011-06-09	2011-09-30	243004	10125	3406.720000	\N	\N	\N	2013-05-08
NSR11 WOS	2011-05-01	7422	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2011-08-15	2011-05-25	2011-07-28	361	361	\N	\N	\N	\N	2013-05-08
ST11011	2011-06-02	7423	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	2011-06-30	2011-05-20	2011-06-26	3630	605	140.640000	\N	\N	\N	2013-05-08
Hoop 11	2011-05-01	7424	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2011-09-30	2011-05-18	2011-09-30	351000	17550	3663.350000	\N	\N	\N	2013-05-08
ST11002	2011-06-10	7425	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil ASA	2011-07-31	2011-07-03	2011-07-20	12894	806	140.960000	\N	\N	\N	2013-05-08
MCG1102	2011-05-15	7426	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	2011-08-31	2011-05-19	2011-07-28	6464	6464	\N	\N	\N	\N	2013-05-08
ST11008 SN	2011-06-07	7427	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil Petroleum AS	2011-08-10	2011-06-12	2011-07-28	11076	692	118.470000	\N	\N	\N	2013-05-08
LN11001	2011-05-25	7428	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2011-06-10	2011-05-27	2011-06-04	4514	163	249.050000	\N	\N	\N	2013-05-08
NE-2011-01	2011-05-21	7429	Avlyst	Norskehavet	Elektromagnetisk undersøkelse	3D	North Energy ASA	2012-05-01	9999-12-31	9999-12-31	\N	\N	401.480000	\N	\N	\N	2013-05-08
NPD-JM-11	2011-06-06	7430	Ferdig	Jan Mayen	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2011-09-01	2011-06-18	2011-07-05	3062	3062	\N	\N	\N	\N	2013-05-08
SS1101	2011-05-09	7431	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Searcher Seismic Pty Ltd	2011-12-30	2011-10-21	2011-11-20	9639	9639	\N	\N	\N	\N	2013-05-08
NO1101	2011-08-15	7432	Ferdig	Barentshavet - Sør	Grunnundersøkelser	2D	Norwegian Energy Company AS	2011-12-31	2011-10-28	2011-12-14	147	147	\N	Ja	Ja	Ja	2013-05-08
OMV11300	2011-06-05	7433	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	2012-03-31	2011-12-16	2012-02-27	225	277	\N	Ja	Nei	Ja	2013-05-08
MAE11301	2011-07-08	7434	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Maersk Oil Norway AS	2011-08-03	2011-07-03	2011-08-01	792	792	\N	Ja	Ja	Ja	2013-05-08
WIN1106	2011-06-01	7435	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	3D	Wintershall Norge ASA	2011-09-30	2011-08-10	2011-08-23	227	227	25.040000	Nei	Nei	Nei	2013-05-08
BE1101	2011-06-30	7437	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Bridge Energy Norge AS	2011-08-25	2011-08-19	2011-08-20	\N	\N	\N	Nei	Nei	Ja	2013-05-08
MC2D-AMG2011	2011-05-15	7438	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	2011-07-20	2011-05-15	2011-07-07	3182	3182	\N	\N	\N	\N	2013-05-08
DN1104	2011-05-20	7439	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	2011-06-20	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
RPS 1101	2011-05-16	7440	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	2011-06-11	2011-05-16	2011-06-05	105	105	\N	Ja	Ja	Ja	2013-05-08
LN11301	2011-07-29	7441	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2011-08-31	2011-08-06	2011-08-21	163	170	\N	Nei	Nei	Ja	2013-05-08
LN11302	2011-08-06	7442	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2011-09-01	2011-08-16	2011-09-02	72	72	\N	Nei	Nei	Ja	2013-05-08
SEN1101	2011-07-11	7443	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Spring Energy Norway AS	2011-08-16	2011-07-18	2011-08-08	46248	1927	1584.820000	\N	\N	\N	2013-05-08
LN11303	2011-09-01	7444	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2011-10-17	2011-09-03	2011-10-26	479	479	\N	Nei	Nei	Ja	2013-05-08
LN11304	2011-08-05	7445	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2011-09-01	2011-08-04	2011-08-24	140	150	\N	Nei	Nei	Ja	2013-05-08
LN11305	2011-09-01	7446	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2011-10-28	2011-09-05	2011-09-21	115	115	\N	Nei	Nei	Ja	2013-05-08
LN11307	2011-10-25	7447	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-01-10	2011-12-18	2011-12-23	180	180	\N	Nei	Nei	Ja	2013-05-08
LN11306	2011-10-18	7448	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2011-12-31	2011-12-03	2011-12-18	225	225	\N	Nei	Nei	Ja	2013-05-08
ST11463	2011-06-05	7449	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2011-07-31	2011-06-05	2011-06-08	\N	\N	\N	Ja	Ja	Ja	2013-05-08
GN1101	2011-07-22	7450	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	GASSNOVA SF	2011-08-19	2011-07-22	2011-08-10	13920	600	348.960000	\N	\N	\N	2013-05-08
NPD-MB-11	2011-06-01	7451	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2011-06-07	2011-06-01	2011-06-07	265	265	\N	\N	\N	\N	2013-05-08
ST11459	2011-06-09	7452	Avlyst	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2011-07-31	9999-12-31	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
WG1101	2011-07-03	7453	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2011-09-16	2011-07-10	2011-09-10	98864	4950	2240.870000	\N	\N	\N	2013-05-08
LN11003	2011-09-01	7454	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2011-11-07	2011-09-05	2011-10-30	27883	2363	576.310000	\N	\N	\N	2013-05-08
LN11002	2011-07-15	7455	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Lundin Norway AS	2011-09-15	2011-08-18	2011-08-20	115	115	687.500000	\N	\N	\N	2013-05-08
EMGS1102	2011-06-10	7456	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	3D	Statoil ASA	2011-07-08	2011-06-25	2011-07-14	637	637	1873.420000	\N	\N	\N	2013-05-08
WG1102	2011-07-08	7457	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2011-08-25	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST11464 TPC34	2011-06-08	7458	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2011-07-01	2011-06-09	2011-06-12	\N	\N	\N	Ja	Ja	Ja	2013-05-08
BPN0301_14	2011-08-01	7459	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	4D	BP Norge AS	2011-10-15	2011-08-27	2011-09-25	\N	2566	142.360000	\N	\N	\N	2013-05-08
IPN1101	2011-07-09	7460	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Idemitsu Petroleum Norge AS	2011-08-31	2011-07-15	2011-08-04	25196	908	\N	\N	\N	\N	2013-05-08
RD1102	2011-10-19	7461	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	RWE Dea Norge AS	2011-12-31	2011-11-03	2011-12-31	542	542	\N	Nei	Nei	Ja	2013-05-08
ST11312	2011-06-25	7462	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-08-04	2011-07-14	2011-07-31	275	275	\N	Nei	Nei	Ja	2013-05-08
LO1102	2011-07-20	7463	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lotos Exploration and Production Norge AS	2011-08-20	2011-08-03	2011-08-07	126	126	\N	Nei	Nei	Ja	2013-05-08
NPD-BA-11	2011-07-07	7464	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2011-10-15	2011-07-08	2011-09-13	11543	11543	\N	\N	\N	\N	2013-05-08
FPN1101	2011-08-07	7465	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	Ikke seismikk	Faroe Petroleum Norge AS	2011-08-14	2011-08-06	2011-08-12	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST11007 Grane 4D	2011-07-17	7466	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil ASA	2011-09-01	2011-07-24	2011-08-24	6040	604	106.460000	\N	\N	\N	2013-05-08
ST11012-Lupin West	2011-08-08	7467	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Statoil ASA	2011-11-30	2011-08-17	2011-11-04	44331	2217	1015.000000	\N	\N	\N	2013-05-08
EOTW MC3D	2011-07-01	7468	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2011-09-25	2011-07-04	2011-09-20	20000	1250	1303.720000	\N	\N	\N	2013-05-08
ED1101	2011-08-01	7469	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	Edison International Norway Branch	2011-09-30	9999-12-31	9999-12-31	\N	\N	252.610000	\N	\N	\N	2013-05-08
ED1102	2011-08-01	7470	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Edison International Norway Branch	2011-09-30	9999-12-31	9999-12-31	\N	\N	598.440000	\N	\N	\N	2013-05-08
CGGV11001	2011-07-14	7471	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	2D	CGG Veritas Services (UK) Limited	2011-07-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ST11015	2011-08-05	7472	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil ASA	2011-09-15	2011-08-17	2011-09-06	613	395	64.000000	\N	\N	\N	2013-05-08
SBX1101	2011-08-01	7473	Ferdig	Norskehavet	Havbunnseismisk undersøkelse	3D	Seabird Technologies AS	2011-10-01	2011-08-23	2011-09-05	4000	555	3406.720000	\N	\N	\N	2013-05-08
ST11303	2011-07-17	7474	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-09-08	2011-07-31	2011-09-02	665	665	\N	Nei	Nei	Ja	2013-05-08
DG1103	2011-07-25	7475	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	DONG E&P Norge AS	2011-09-30	9999-12-31	9999-12-31	\N	\N	1172.380000	\N	\N	\N	2013-05-08
TE1102	2011-10-12	7476	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	2012-01-31	2011-11-22	2012-01-19	130	130	\N	Nei	Nei	Ja	2013-05-08
SH1101	2011-07-17	7477	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	2011-09-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
SH1102	2011-07-17	7478	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	2D	A/S Norske Shell	2011-09-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TE1103	2012-04-01	7479	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	2012-05-01	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
DN1105	2011-07-30	7480	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	2011-08-02	2011-07-22	2011-07-25	\N	\N	\N	Ja	Ja	Ja	2013-05-08
SH1105	2011-09-06	7481	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	2011-10-15	2011-10-02	2011-10-02	48	48	\N	Nei	Nei	Nei	2013-05-08
DN1107	2011-07-22	7482	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	2011-08-30	2011-08-03	2011-08-07	\N	\N	\N	Ja	Ja	Ja	2013-05-08
DN1106	2011-07-22	7483	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	2011-08-25	2011-07-25	2011-08-03	\N	\N	\N	Ja	Ja	Ja	2013-05-08
CP11101	2011-08-12	7484	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	ConocoPhillips Skandinavia AS	2011-09-20	2011-08-12	2011-09-10	33963	1698	519.610000	\N	\N	\N	2013-05-08
BPN11303	2011-08-29	7485	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2011-10-03	2011-08-31	2011-10-03	50	50	\N	Nei	Nei	Nei	2013-05-08
BPN11304	2011-08-07	7486	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2011-09-18	2011-09-06	2011-09-12	48	72	\N	Nei	Nei	Nei	2013-05-08
SH1106	2011-10-16	7487	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	2011-12-31	2011-09-10	2011-12-26	58	58	\N	Nei	Nei	Nei	2013-05-08
ST11006	2011-09-26	7488	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	4D	Statoil ASA	2012-03-13	2011-09-28	2012-03-13	1397	1397	51.890000	\N	\N	\N	2013-05-08
ST11308	2011-07-27	7489	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-08-27	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
CGGV1103	2011-07-29	7490	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-09-30	2011-08-13	2011-08-15	180	180	\N	\N	\N	\N	2013-05-08
CGGV1104	2011-07-29	7491	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-09-30	2011-08-14	2011-08-16	60	60	\N	\N	\N	\N	2013-05-08
CGGV1105	2011-07-29	7492	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-09-30	2011-08-12	2011-08-13	50	50	\N	\N	\N	\N	2013-05-08
MC3D-GES2011	2011-08-15	7493	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2011-09-15	2011-08-22	2011-09-02	7584	438	600.650000	\N	\N	\N	2013-05-08
CGGV1106	2011-07-29	7494	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-09-30	2011-08-11	2011-08-11	120	120	\N	\N	\N	\N	2013-05-08
BPN11102	2011-08-15	7495	Avlyst	Nordsjøen	Havbunnseismisk undersøkelse	3D	BP Norge AS	2011-09-30	9999-12-31	9999-12-31	\N	\N	105.500000	\N	\N	\N	2013-05-08
CGGV1107	2011-07-29	7496	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-09-30	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CGGV1108	2011-07-29	7497	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-09-30	2011-08-21	2011-08-24	54	54	\N	\N	\N	\N	2013-05-08
CGGV1109	2011-07-29	7498	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-09-30	2011-08-24	2011-08-23	164	164	\N	\N	\N	\N	2013-05-08
ST11456 Dagny	2011-10-20	7499	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2011-11-30	2011-10-20	2011-11-08	\N	\N	\N	Ja	Ja	Ja	2013-05-08
MC2D-BS2011	2011-09-10	7500	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	PGS Geophysical AS	2011-10-20	2011-09-13	2011-10-13	2544	2544	\N	\N	\N	\N	2013-05-08
ST11455 Eirin	2011-11-09	7501	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2011-11-30	2011-11-08	2011-11-17	\N	\N	\N	Ja	Ja	Ja	2013-05-08
BPB11305	2011-08-14	7502	Avlyst	Norskehavet	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2011-09-18	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
NKFE11	2011-09-25	7503	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2011-11-16	2011-10-01	2011-10-31	56260	2813	1640.780000	\N	\N	\N	2013-05-08
LO1103	2011-09-20	7504	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Lotos Exploration and Production Norge AS	2011-10-20	2011-09-27	2011-09-30	\N	\N	\N	Ja	Ja	Ja	2013-05-08
POL1101	2011-08-07	7505	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	2011-10-15	2011-08-08	2011-09-28	77392	4837	1347.150000	\N	\N	\N	2013-05-08
Veslemoy	2011-08-24	7506	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Marathon Petroleum Norge AS	2011-10-24	2011-10-13	2011-10-30	113	268	\N	Ja	Nei	Ja	2013-05-08
PM01-2011	2011-08-15	7507	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	2D	Petromarker AS	2011-09-15	2011-08-27	2011-08-30	\N	20	\N	\N	\N	\N	2013-05-08
PM1101	2011-08-20	7508	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	2D	Petromarker AS	2011-09-10	2011-08-20	2011-08-25	10	\N	\N	\N	\N	\N	2013-05-08
PM03-2011	2011-09-30	7509	Avlyst	Barentshavet - Sør	Elektromagnetisk undersøkelse	2D	Petromarker AS	2011-10-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PM04-2011	2011-09-28	7510	Avlyst	Barentshavet - Sør	Elektromagnetisk undersøkelse	2D	Petromarker AS	2011-10-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PM02-2011	2011-08-20	7511	Avlyst	Barentshavet - Sør	Elektromagnetisk undersøkelse	2D	Petromarker AS	2011-09-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
BPN11305	2011-08-14	7512	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2011-09-18	2011-09-06	2011-09-13	12	18	\N	Nei	Nei	Nei	2013-05-08
BBE	2011-08-29	7513	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2011-12-31	9999-12-31	9999-12-31	\N	\N	6311.020000	\N	\N	\N	2013-05-08
HBW	2011-08-29	7514	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2011-12-31	9999-12-31	9999-12-31	\N	\N	903.780000	\N	\N	\N	2013-05-08
ST11016	2011-09-07	7515	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	4D	Statoil ASA	2011-09-14	2011-09-10	2011-09-13	78	1560	22.900000	\N	\N	\N	2013-05-08
PM05	2011-09-25	7516	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	2D	Petromarker AS	2011-10-31	2011-09-30	2011-10-09	24	24	\N	\N	\N	\N	2013-05-08
PM06-2011	2011-08-29	7517	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	2D	Petromarker AS	2011-09-30	2011-08-30	2011-09-06	\N	35	\N	\N	\N	\N	2013-05-08
ST11311	2011-12-07	7518	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-12-20	2011-11-05	2011-12-01	266	266	\N	Nei	Nei	Ja	2013-05-08
ST11466	2011-09-20	7519	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2011-12-01	2011-10-02	2011-10-19	\N	\N	\N	Ja	Ja	Ja	2013-05-08
Hild	2011-11-10	7520	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	2011-12-10	2011-11-13	2011-11-14	10	18	\N	Ja	Nei	Ja	2013-05-08
CP11L03	2011-09-24	7521	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	2011-11-30	2011-09-25	2011-11-08	3120	3120	191.170000	\N	\N	\N	2013-05-08
PM07-2011	2011-10-05	7522	Avlyst	Norskehavet	Elektromagnetisk undersøkelse	2D	Petromarker AS	2011-10-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PM08-2011	2011-09-07	7523	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	2D	Petromarker AS	2011-10-31	2011-09-25	2011-10-01	12	13	\N	\N	\N	\N	2013-05-08
LN11004	2011-10-13	7525	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2011-11-30	2011-10-14	2011-11-18	16402	820	300.730000	\N	\N	\N	2013-05-08
ST11460 - Fulla SI	2011-10-18	7526	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2011-11-30	2011-11-19	2011-11-23	\N	\N	\N	Ja	Ja	Ja	2013-05-08
Ormen LMN	2011-09-15	7527	Ferdig	Norskehavet	Grunnundersøkelser	Ikke seismikk	A/S Norske Shell	2011-10-07	2011-09-17	2011-09-22	10	10	\N	Ja	Nei	Ja	2013-05-08
DN1108	2011-11-23	7528	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	2012-01-31	2011-10-27	2012-01-18	149	149	\N	Ja	Nei	Ja	2013-05-08
EM-GRANE-2011	2011-10-15	7529	Avlyst	Nordsjøen	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	2011-12-15	9999-12-31	9999-12-31	\N	\N	2118.620000	\N	\N	\N	2013-05-08
ST11465 Linnorm	2011-10-26	7530	Avlyst	Norskehavet	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2011-12-31	9999-12-31	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST11462 NSGI	2011-10-26	7531	Ferdig	Norskehavet	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2012-02-01	2011-12-07	2012-01-25	\N	\N	\N	Ja	Ja	Ja	2013-05-08
LN11006	2011-10-15	7532	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	2D	Lundin Norway AS	2011-12-15	9999-12-31	2011-12-14	\N	\N	\N	\N	\N	\N	2013-05-08
ST11314	2011-10-27	7533	Avlyst	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2011-12-31	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
ST11464	2011-11-10	7534	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2011-12-15	2011-11-26	2011-12-07	\N	\N	\N	Ja	Ja	Nei	2013-05-08
PGS1101	2011-12-15	7535	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2011-12-31	9999-12-31	9999-12-31	\N	\N	116.020000	\N	\N	\N	2013-05-08
ST11313	2011-11-02	7536	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-03-13	2011-12-19	2012-03-01	346	346	\N	Nei	Nei	Ja	2013-05-08
EMGS1103	2011-11-15	7537	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2012-01-23	2011-12-07	2012-01-22	\N	\N	6535.820000	\N	\N	\N	2013-05-08
ST11467	2011-11-24	7538	Ferdig	Norskehavet	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2012-02-01	2011-12-19	2012-01-25	\N	\N	\N	Ja	Ja	Ja	2013-05-08
CGGV1110	2011-11-01	7539	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-12-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CGGV1111	2011-11-01	7540	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-12-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CGGV1112	2011-11-01	7541	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-12-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CGGV1113	2011-11-01	7542	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-12-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
CGGV1114	2011-11-01	7543	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	2D	CGG Veritas Services SA	2011-12-15	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
PGS1102	2011-11-15	7544	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	3D	PGS Geophysical AS	2011-12-20	2011-11-16	2011-11-26	20	20	15225.830000	\N	\N	\N	2013-05-08
ST12301	2011-12-30	7546	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-04-25	2012-03-24	2012-04-25	406	406	\N	Nei	Nei	Ja	2013-05-08
ST12302	2011-11-30	7547	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-01-31	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
SWB1102	2011-11-09	7548	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2011-12-31	2011-11-11	2011-12-05	\N	\N	180.410000	\N	\N	\N	2013-05-08
TO-Hild-1101	2011-11-18	7549	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Total E&P Norge AS	2012-02-15	2011-11-21	2011-11-22	633	32	126.480000	\N	\N	\N	2013-05-08
ST11469	2012-01-01	7550	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2012-02-29	2012-01-26	2012-02-07	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST12303	2011-12-28	7551	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-04-16	2012-03-01	2012-03-24	242	242	\N	Nei	Nei	Ja	2013-05-08
PGS1201	2012-01-01	7552	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2012-02-01	9999-12-31	9999-12-31	\N	\N	116.020000	\N	\N	\N	2013-05-08
MC3D-SVG11-EXT	2012-01-01	7553	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2012-03-01	9999-12-31	9999-12-31	\N	\N	2027.160000	\N	\N	\N	2013-05-08
ST11468	2012-01-10	7554	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2012-03-10	2012-01-30	2012-01-30	\N	\N	\N	Ja	Ja	Ja	2013-05-08
LN11308	2012-01-09	7555	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-03-09	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
WIN12301	2012-02-25	7556	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge ASA	2012-05-15	2012-03-04	2012-05-09	245	245	\N	Nei	Nei	Nei	2013-05-08
MC3D-CGR2012	2012-01-15	7557	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2012-03-31	2012-02-04	2012-03-05	21845	1819	1123.340000	\N	\N	\N	2013-05-08
EMGS1201	2012-03-01	7558	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2012-09-30	2012-03-05	2012-09-17	\N	\N	50608.730000	\N	\N	\N	2013-05-08
EMGS1202	2012-03-01	7559	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2012-09-30	2012-04-26	2012-09-17	\N	\N	53193.330000	\N	\N	\N	2013-05-08
EMGS1203	2012-03-01	7560	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2012-09-30	2012-07-25	2012-09-17	\N	\N	55072.830000	\N	\N	\N	2013-05-08
NKFE12	2012-04-01	7561	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2012-05-01	2012-04-14	2012-04-23	20045	1002	2405.880000	\N	\N	\N	2013-05-08
LLD12	2012-06-01	7562	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2012-09-01	9999-12-31	9999-12-31	\N	\N	5301.690000	\N	\N	\N	2013-05-08
NKFS12	2012-04-15	7563	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2012-06-01	2012-04-17	2012-05-19	6160	308	\N	\N	\N	\N	2013-05-08
NKFN12	2012-05-01	7564	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2012-07-15	9999-12-31	9999-12-31	\N	\N	850.470000	\N	\N	\N	2013-05-08
IPN1201	2012-04-07	7565	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Idemitsu Petroleum Norge AS	2012-05-16	2012-04-22	2012-05-29	69444	2487	1066.210000	\N	\N	\N	2013-05-08
ST12251	2012-02-17	7566	Avlyst	Nordsjøen	Elektromagnetisk undersøkelse	3D	Statoil ASA	2012-03-26	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
WG1201	2012-07-19	7567	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2012-07-20	9999-12-31	9999-12-31	\N	\N	4305.660000	\N	\N	\N	2013-05-08
DN1201	2012-01-18	7568	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	Ikke seismikk	Det norske oljeselskap ASA	2012-02-10	2012-01-19	2012-01-29	\N	\N	\N	Nei	Nei	Ja	2013-05-08
SWB12	2012-02-20	7569	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2012-11-30	2012-03-03	2012-10-23	9604	16030	8949.210000	\N	\N	\N	2013-05-08
LN12301	2012-03-01	7570	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-04-01	2012-03-12	2012-03-18	207	207	\N	Nei	Nei	Ja	2013-05-08
MC3D-Q16UK2012	2012-01-15	7571	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	PGS Geophysical AS	2012-04-30	2012-03-06	2012-04-23	3672	306	1667.860000	\N	\N	\N	2013-05-08
ST12305	2012-03-28	7572	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-07-27	2012-06-25	2012-07-14	334	334	\N	Nei	Nei	Ja	2013-05-08
ST12308	2012-04-04	7573	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-07-27	2012-05-31	2012-06-25	300	300	\N	Nei	Nei	Ja	2013-05-08
ST12309	2012-02-14	7574	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-04-19	2012-04-16	2012-04-17	16	16	\N	Nei	Nei	Ja	2013-05-08
ST12001	2012-05-13	7575	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil ASA	2012-08-07	2012-05-24	2012-08-02	32994	1269	528.040000	\N	\N	\N	2013-05-08
SU1201	2012-05-21	7576	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Suncor Energy Norge AS	2012-09-30	2012-05-28	2012-07-09	91595	3818	2003.600000	\N	\N	\N	2013-05-08
LN12302	2012-02-02	7577	Avlyst	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	2012-02-06	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
CP12201	2012-03-21	7578	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	3D	ConocoPhillips Skandinavia AS	2012-11-30	2012-04-14	2012-05-21	1175	1175	306.170000	\N	\N	\N	2013-05-08
NBR12	2012-03-15	7579	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Fugro Multi Client Services AS	2012-09-30	2012-03-26	2012-09-30	14643	14643	\N	\N	\N	\N	2013-05-08
MCG1201	2012-03-15	7580	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	2012-06-30	2012-03-21	2012-06-29	5847	5847	\N	\N	\N	\N	2013-05-08
RD1201	2012-04-01	7581	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	2012-06-15	2012-04-04	2012-05-10	24074	1200	183.800000	\N	\N	\N	2013-05-08
Linnorm	2012-03-12	7582	Ferdig	Norskehavet	Grunnundersøkelser	Ikke seismikk	A/S Norske Shell	2012-05-31	2012-03-14	2012-05-30	10	10	\N	Ja	Nei	Ja	2013-05-08
EMGS1204	2012-10-20	7583	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2012-12-20	2012-10-30	2012-11-29	30	30	30920.650000	\N	\N	\N	2013-05-08
LN12303	2012-03-05	7584	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	2012-04-05	2012-03-03	2012-05-29	2133	2133	\N	Ja	Nei	Ja	2013-05-08
LN12304	2012-03-22	7585	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-07-19	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
EM1201	2012-05-17	7586	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	ExxonMobil Exploration & Production Norway AS	2012-09-01	2012-05-20	2012-08-02	35477	2956	321.830000	\N	\N	\N	2013-05-08
EM1202	2012-09-01	7587	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	4D	ExxonMobil Exploration & Production Norway AS	2012-10-15	2012-09-12	2012-09-28	1052	1052	26.970000	\N	\N	\N	2013-05-08
CGGVMCNV1201	2012-05-01	7588	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	2012-10-15	9999-12-31	9999-12-31	\N	\N	5866.550000	\N	\N	\N	2013-05-08
ST12310	2012-03-27	7589	Ferdig	Nordsjøen	Grunnundersøkelser	2D	Statoil ASA	2012-05-27	2012-05-21	2012-05-25	274	274	\N	Nei	Nei	Ja	2013-05-08
ST12311	2012-03-27	7590	Ferdig	Nordsjøen	Grunnundersøkelser	2D	Statoil ASA	2012-05-24	2012-04-22	2012-05-25	124	124	\N	Nei	Nei	Ja	2013-05-08
DN1202	2012-03-30	7591	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	2012-06-10	2012-05-04	2012-05-29	\N	300	\N	Ja	Nei	Ja	2013-05-08
SH1201	2012-04-16	7592	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	A/S Norske Shell	2012-08-15	2012-05-16	2012-07-19	108546	4523	2061.730000	\N	\N	\N	2013-05-08
GDF1201	2012-04-01	7593	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	GDF SUEZ E&P Norge AS	2012-09-01	2012-06-01	2012-06-26	42210	2110	949.960000	\N	\N	\N	2013-05-08
LN12309	2012-03-29	7594	Ferdig	Barentshavet - Sør	Grunnundersøkelser	2D	Lundin Norway AS	2012-05-04	2012-04-18	2012-05-01	1	1	\N	Ja	Nei	Ja	2013-05-08
LN12310	2012-03-29	7595	Ferdig	Barentshavet - Sør	Grunnundersøkelser	2D	Lundin Norway AS	2012-05-30	2012-04-18	2012-05-01	1	1	\N	Ja	Nei	Ja	2013-05-08
LN12401	2012-03-28	7596	Avlyst	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	2012-04-09	9999-12-31	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
LN12402	2012-03-28	7597	Avlyst	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	2012-04-24	9999-12-31	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST12451-UHPH	2012-09-01	7598	Avlyst	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2012-10-10	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
ST12005	2012-05-15	7599	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil ASA	2012-08-31	2012-05-28	2012-08-15	39036	3253	544.860000	\N	\N	\N	2013-05-08
MC3D-LIN2012	2012-03-20	7600	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2012-05-31	9999-12-31	9999-12-31	\N	\N	880.700000	\N	\N	\N	2013-05-08
BPN0301-15	2012-05-01	7601	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	4D	BP Norge AS	2012-06-30	2012-05-13	2012-06-17	\N	2555	142.360000	\N	\N	\N	2013-05-08
WIN12001	2012-06-05	7602	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	2012-07-25	2012-06-29	2012-07-17	31320	1305	497.650000	\N	\N	\N	2013-05-08
MC3D-SVG12	2012-04-23	7603	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2012-06-15	2012-04-23	2012-05-08	22744	1894	695.320000	\N	\N	\N	2013-05-08
LN12502	2012-03-09	7604	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	2012-05-31	2012-05-11	2012-05-18	117	117	\N	Ja	Nei	Ja	2013-05-08
EOTW12	2012-05-10	7605	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2012-09-20	2012-05-20	2012-09-20	194304	8096	5085.910000	\N	\N	\N	2013-05-08
LN12306	2012-04-01	7606	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-07-10	2012-06-15	2012-06-18	56	56	\N	Nei	Nei	Ja	2013-05-08
HF12	2012-06-01	7607	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2012-10-01	9999-12-31	9999-12-31	\N	\N	2078.290000	\N	\N	\N	2013-05-08
LN12305	2012-05-27	7608	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-08-01	2012-06-05	2012-06-11	84	84	\N	Nei	Nei	Ja	2013-05-08
WIN12002	2012-05-10	7609	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	2012-06-30	2012-05-15	2012-06-17	31380	1569	548.220000	\N	\N	\N	2013-05-08
LN12001	2012-04-20	7610	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2012-07-01	2012-05-26	2012-06-16	27320	1366	687.460000	\N	\N	\N	2013-05-08
FP12	2012-05-01	7611	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2012-08-31	2012-04-24	2012-06-30	128240	6412	2309.560000	\N	\N	\N	2013-05-08
ST12304	2012-04-08	7612	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-05-19	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
ST12312	2012-04-08	7613	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-05-17	2012-04-29	2012-05-13	268	268	\N	Nei	Nei	Ja	2013-05-08
DA1201	2012-04-22	7614	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Dana Petroleum Norway AS	2012-07-01	2012-05-23	2012-06-28	3469	3485	\N	\N	\N	\N	2013-05-08
WIN12003	2012-06-15	7615	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Wintershall Norge ASA	2012-08-31	2012-06-22	2012-08-09	91460	4573	2044.250000	\N	\N	\N	2013-05-08
MC3D-HVG2012	2012-05-15	7616	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2012-10-01	2012-06-09	2012-08-30	102776	4041	2979.470000	\N	\N	\N	2013-05-08
BG27-03-2012	2012-05-04	7617	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	BG Norge AS	2012-07-31	2012-05-14	2012-05-28	9	9	\N	Ja	Ja	Nei	2013-05-08
LN12002	2012-05-15	7618	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2012-10-01	2012-05-15	2012-08-19	125718	62896	2361.490000	\N	\N	\N	2013-05-08
ST12313	2012-05-05	7619	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-09-09	2012-07-18	2012-07-30	260	260	\N	Nei	Nei	Ja	2013-05-08
NPD1201	2012-04-22	7620	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2012-06-30	2012-04-26	2012-07-06	6766	6766	54370.820000	\N	\N	\N	2013-05-08
BG1201	2012-06-14	7621	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	2012-07-31	2012-07-21	2012-07-27	66	66	\N	Nei	Nei	Nei	2013-05-08
ST12316	2012-05-14	7622	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-10-04	2012-08-18	2012-10-02	306	306	\N	Nei	Nei	Ja	2013-05-08
ST12012	2012-05-15	7623	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	3D	Statoil ASA	2012-07-10	2012-06-01	2012-06-30	1271	1271	112.570000	\N	\N	\N	2013-05-08
BG1202	2012-05-27	7624	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BG Norge AS	2012-07-31	2012-06-25	2012-07-27	299	299	\N	Nei	Nei	Nei	2013-05-08
ST12006	2012-05-15	7625	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	3D	Statoil ASA	2013-02-28	2012-05-21	2013-02-12	4933	4933	173.300000	\N	\N	\N	2013-05-08
BGN1201	2012-05-28	7626	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Bayerngas Norge AS	2012-06-20	2012-05-29	2012-06-08	17527	626	182.370000	\N	\N	\N	2013-05-08
EO12001	2012-05-01	7627	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	2012-07-10	9999-12-31	9999-12-31	\N	\N	750.610000	\N	\N	\N	2013-05-08
GRANE-PRM	2012-05-06	7628	Avlyst	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2012-06-30	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
NSH12	2012-05-01	7629	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2012-09-30	2012-05-01	2012-08-01	92605	5792	1431.840000	\N	\N	\N	2013-05-08
CGGVMCNV1202	2012-08-01	7630	Avlyst	Norskehavet	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	2012-11-30	9999-12-31	9999-12-31	\N	\N	2259.180000	\N	\N	\N	2013-05-08
EO12301	2012-07-27	7631	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	E.ON E&P Norge AS	2012-08-31	2012-08-10	2012-08-26	302	302	\N	Nei	Nei	Ja	2013-05-08
POL1201	2012-05-01	7632	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	2012-07-15	9999-12-31	9999-12-31	\N	\N	2051.240000	\N	\N	\N	2013-05-08
POL1202	2012-05-01	7633	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	2012-07-15	9999-12-31	9999-12-31	\N	\N	1768.640000	\N	\N	\N	2013-05-08
POL1203	2012-05-01	7634	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Polarcus Seismic Limited	2012-07-15	9999-12-31	9999-12-31	\N	\N	2359.610000	\N	\N	\N	2013-05-08
RD1203	2012-05-01	7635	Ferdig	Norskehavet	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	2012-06-30	2012-05-05	2012-05-21	\N	\N	\N	Ja	Nei	Nei	2013-05-08
RD1204	2012-05-01	7636	Ferdig	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	2012-07-15	2012-05-23	2012-06-13	\N	\N	\N	Ja	Nei	Nei	2013-05-08
ST12011	2012-07-20	7637	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	4D	Statoil ASA	2012-10-10	2012-08-11	2012-08-31	20078	836	458.470000	\N	\N	\N	2013-05-08
BPN12001	2012-07-30	7638	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	BP Norge AS	2012-09-30	2012-08-05	2012-09-05	16050	1605	231.190000	\N	\N	\N	2013-05-08
BPN12301	2012-06-30	7639	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2012-07-30	2012-07-04	2012-07-06	\N	18	\N	Nei	Nei	Nei	2013-05-08
CP12L04	2012-06-01	7640	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	2012-07-28	2012-06-12	2012-07-21	3171	3171	191.170000	\N	\N	\N	2013-05-08
PPT12	2012-05-02	7641	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2012-05-09	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
NPD1202	2012-05-29	7642	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2012-08-20	2012-06-05	2012-08-09	9507	9507	\N	\N	\N	\N	2013-05-08
ST12315	2012-05-15	7643	Ferdig	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2012-07-18	2012-06-17	2012-06-21	\N	\N	\N	Ja	Nei	Nei	2013-05-08
ST12319	2012-05-15	7644	Ferdig	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2012-07-18	2012-06-28	2012-07-06	\N	\N	\N	Ja	Nei	Nei	2013-05-08
GORE-01	2012-05-07	7645	Ferdig	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2012-06-30	2012-06-03	2012-06-16	\N	\N	\N	Ja	Nei	Nei	2013-05-08
CVX1201	2012-06-10	7646	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	Chevron Norge AS	2012-10-10	2012-06-26	2012-09-29	\N	4568	2583.940000	\N	\N	\N	2013-05-08
SSBJ12	2012-05-13	7647	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Searcher Seismic Pty Ltd	2012-10-31	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
WIN12302	2012-07-05	7648	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge AS	2012-08-05	2012-07-10	2012-08-06	1227	1227	\N	Nei	Nei	Nei	2013-05-08
GDF-GORE12-1	2012-06-21	7649	Ferdig	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	GDF SUEZ E&P Norge AS	2012-07-25	2012-06-25	2012-06-27	\N	\N	\N	Ja	Ja	Nei	2013-05-08
GDF-GORE12-2	2012-06-21	7650	Ferdig	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	GDF SUEZ E&P Norge AS	2012-07-25	2012-06-28	2012-06-28	\N	\N	\N	Ja	Ja	Nei	2013-05-08
GDF-GORE12-3	2012-06-21	7651	Ferdig	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	GDF SUEZ E&P Norge AS	2012-07-25	2012-06-28	2012-06-28	\N	\N	\N	Ja	Ja	Nei	2013-05-08
VNG12301	2012-07-20	7652	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	VNG Norge AS	2012-08-31	2012-08-01	2012-08-13	599	599	\N	Nei	Nei	Ja	2013-05-08
MC3D-LIN12	2012-06-01	7653	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2012-08-01	2012-06-17	2012-07-18	36065	1802	555.890000	\N	\N	\N	2013-05-08
CE1201	2012-06-15	7654	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Centrica Energi	2012-08-31	2012-07-14	2012-08-07	650	655	\N	Ja	Nei	Ja	2013-05-08
ST12454-AAH	2012-06-12	7655	Ferdig	Norskehavet	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2012-07-31	2012-07-07	2012-07-14	\N	\N	\N	Nei	Nei	Ja	2013-05-08
LN12307	2012-09-01	7656	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-12-01	2012-10-24	2012-11-06	202	202	\N	Nei	Nei	Ja	2013-05-08
LN12308	2012-07-01	7657	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-09-28	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
LN12311	2012-06-10	7658	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-08-10	2012-06-19	2012-06-23	39	113	\N	Nei	Nei	Ja	2013-05-08
NPD1204	2012-06-15	7659	Ferdig	Barentshavet - Nord	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2012-10-25	2012-06-15	2012-10-10	13745	13740	\N	\N	\N	\N	2013-05-08
TO1201-ML	2012-09-23	7660	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Total E&P Norge AS	2012-12-31	2012-10-04	2012-10-24	18670	778	558.410000	\N	\N	\N	2013-05-08
FIN12	2012-06-05	7661	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Fugro Multi Client Services AS	2012-08-31	2012-06-09	2012-08-08	47968	2998	1049.590000	\N	\N	\N	2013-05-08
EN1201	2012-06-21	7662	Avlyst	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	Eni Norge AS	2012-08-21	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Nei	2013-05-08
ST12320	2012-07-09	7663	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-09-13	2012-08-01	2012-08-01	69	69	\N	Nei	Nei	Ja	2013-05-08
ST12321	2012-07-09	7664	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-09-13	2012-08-01	2012-08-03	65	65	\N	Nei	Nei	Ja	2013-05-08
NO1201	2012-07-06	7665	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Norwegian Energy Company AS	2012-08-15	2012-07-07	2012-07-31	172	172	\N	Ja	Nei	Ja	2013-05-08
SEN1201	2012-06-01	7666	Ferdig	Barentshavet - Sør	Grunnundersøkelser	2D	Spring Energy Norway AS	2012-09-30	2012-06-16	2012-09-30	1532	1532	\N	Nei	Nei	Nei	2013-05-08
NPD1203	2012-07-01	7667	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	Oljedirektoratet	2012-08-12	2012-07-10	2012-08-07	3373	3373	\N	\N	\N	\N	2013-05-08
ST12307	2012-07-05	7668	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-09-19	2012-08-04	2012-08-24	760	760	\N	Nei	Nei	Ja	2013-05-08
MC3D-BERYL12	2012-06-15	7670	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2012-09-30	2012-08-07	2012-09-27	34597	1439	1668.240000	\N	\N	\N	2013-05-08
PON1201	2012-06-20	7671	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Premier Oil Norge AS	2012-08-04	9999-12-31	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
WG1202	2012-07-19	7672	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2012-08-15	2012-07-20	2012-08-02	1510	197	286.830000	\N	\N	\N	2013-05-08
ST12325	2012-07-13	7673	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-10-04	2012-08-09	2012-09-14	271	271	\N	Nei	Nei	Ja	2013-05-08
ST12323	2012-06-29	7674	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-08-29	9999-12-31	2012-07-02	8	8	\N	Nei	Nei	Nei	2013-05-08
ST12322	2012-06-29	7675	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-08-29	2012-08-02	2012-08-08	266	266	\N	Nei	Nei	Ja	2013-05-08
RD1205	2012-07-01	7676	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	RWE Dea Norge AS	2012-07-31	2012-07-10	2012-07-31	422	460	\N	Nei	Nei	Ja	2013-05-08
ST12324	2012-06-29	7677	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-08-29	2012-07-14	2012-07-18	69	69	\N	Nei	Nei	Ja	2013-05-08
CE1203	2012-07-10	7678	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Centrica Energi	2012-08-31	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
RD1202	2012-06-20	7679	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	2012-09-01	2012-07-07	2012-08-04	69969	2498	1200.230000	\N	\N	\N	2013-05-08
ST12453	2012-08-20	7680	Ferdig	Norskehavet	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2012-09-30	2012-08-28	2012-09-01	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST12326	2012-07-04	7681	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-09-24	2012-08-15	2012-08-20	278	278	\N	Nei	Nei	Ja	2013-05-08
LN12312	2012-08-15	7682	Avlyst	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	2012-09-01	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
ST12318	2012-07-12	7683	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-09-12	2012-08-08	2012-08-15	269	269	\N	Nei	Nei	Ja	2013-05-08
PM01-2012	2012-07-01	7684	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	2D	Petromarker AS	2012-07-31	2012-07-18	2012-07-22	5	43	\N	\N	\N	\N	2013-05-08
PM02-2012	2012-07-01	7685	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	2D	Petromarker AS	2012-07-31	2012-07-22	2012-07-28	\N	100	\N	\N	\N	\N	2013-05-08
ST12454-JH	2012-07-18	7686	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2012-08-31	2012-07-18	2012-07-30	\N	\N	\N	Ja	Ja	Ja	2013-05-08
PM05-2012	2012-07-05	7687	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	2D	Petromarker AS	2012-08-05	2012-07-12	2012-07-16	8892	8892	\N	\N	\N	\N	2013-05-08
CE1202	2012-08-10	7688	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Centrica Resources (Norge) AS	2012-11-01	2012-08-11	2012-10-24	45302	2831	606.620000	\N	\N	\N	2013-05-08
PM06-2012	2012-07-05	7689	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	2D	Petromarker AS	2012-08-17	2012-07-28	2012-07-31	\N	64	\N	\N	\N	\N	2013-05-08
PM09-2012	2012-07-05	7690	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	2D	Petromarker AS	2012-08-31	2012-07-05	2012-07-10	10	10	\N	\N	\N	\N	2013-05-08
LN12313	2012-09-01	7691	Avlyst	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-11-01	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
RS1201	2012-06-23	7693	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Rocksource ASA	2012-07-25	2012-06-27	2012-07-07	241	241	\N	Nei	Nei	Ja	2013-05-08
ST12328	2012-09-19	7694	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-12-19	2012-10-14	2012-12-01	626	626	\N	Nei	Nei	Ja	2013-05-08
DN1203	2012-06-30	7695	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	2012-08-15	2012-07-19	2012-07-28	86	114	\N	Nei	Nei	Ja	2013-05-08
ST12329	2012-07-26	7696	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-10-17	2012-08-24	2012-09-25	266	266	\N	Nei	Nei	Ja	2013-05-08
SH12301	2012-07-20	7697	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	2012-09-15	2012-08-11	2012-08-14	82	82	\N	Nei	Nei	Nei	2013-05-08
FP12300	2012-08-09	7698	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Faroe Petroleum Norge AS	2012-09-30	9999-12-31	2012-08-24	315	315	\N	Ja	Nei	Ja	2013-05-08
SSG1201	2012-06-29	7699	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Searcher Seismic Pty Ltd	2012-08-31	2012-06-29	2012-08-09	110689	4612	1988.780000	\N	\N	\N	2013-05-08
MCG1202	2012-07-10	7700	Ferdig	Norskehavet	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	2012-08-15	2012-07-14	2012-08-08	1333	1333	\N	\N	\N	\N	2013-05-08
EM-NVG1	2012-09-21	7701	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	3D	Multiklient Invest AS	2012-11-20	2012-10-03	2012-10-18	473	473	11591.090000	\N	\N	\N	2013-05-08
EM-NVG2	2012-09-21	7702	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	3D	Multiklient Invest AS	2012-11-20	2012-10-19	2012-10-26	32	32	5213.450000	\N	\N	\N	2013-05-08
CGGVMCNV1203	2012-08-15	7703	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	2012-10-31	2012-08-19	2012-08-23	6533	327	586.250000	\N	\N	\N	2013-05-08
DG12-301	2012-08-22	7704	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	DONG E&P Norge AS	2012-09-10	2012-08-22	2012-09-05	192	512	\N	Ja	Nei	Nei	2013-05-08
DG12-302	2012-08-13	7705	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	DONG E&P Norge AS	2012-09-30	2012-08-22	2012-09-23	192	181	\N	Ja	Nei	Nei	2013-05-08
ST12330	2012-08-06	7706	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-09-29	9999-12-31	2012-08-29	258	300	\N	Nei	Nei	Ja	2013-05-08
ST12331	2012-09-19	7707	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-11-29	2012-10-10	2012-10-31	281	281	\N	Nei	Nei	Ja	2013-05-08
LN12314	2012-08-01	7708	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-11-01	2012-08-28	2012-09-18	331	331	\N	Ja	Nei	Ja	2013-05-08
PM10-2012	2012-07-26	7709	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	2D	Petromarker AS	2012-08-31	2012-08-04	2012-08-06	8	65	\N	\N	\N	\N	2013-05-08
MC3D-Q16UKEX	2012-07-19	7710	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2012-12-31	2012-07-19	2012-11-12	75371	6125	1140.020000	\N	\N	\N	2013-05-08
JACKDAW-OBS	2012-10-24	7711	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2012-11-24	2012-10-29	2012-11-11	\N	\N	\N	\N	\N	\N	2013-05-08
SEN12301	2012-08-09	7712	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Spring Energy Norway AS	2012-09-29	2012-08-12	2012-08-19	261	350	\N	Ja	Nei	Ja	2013-05-08
EMGS1205	2012-08-10	7713	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2012-10-01	2012-08-25	2012-09-18	750	750	1871.660000	\N	\N	\N	2013-05-08
CP12301	2012-08-20	7714	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	ConocoPhillips Skandinavia AS	2012-09-30	2012-09-07	2012-09-28	224	224	\N	Nei	Nei	Nei	2013-05-08
MC2D-WBGS12	2012-08-08	7715	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Multiklient Invest AS	2012-09-30	2012-08-12	2012-09-24	4874	4874	\N	\N	\N	\N	2013-05-08
PM11-2012	2012-07-22	7716	Avlyst	Barentshavet - Sør	Elektromagnetisk undersøkelse	2D	Petromarker AS	2012-08-25	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
ORG-1201	2012-08-04	7717	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	2012-08-27	2012-08-06	2012-08-13	335	415	\N	\N	\N	\N	2013-05-08
ORG-1202	2012-08-04	7718	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	2012-08-27	2012-08-13	2012-08-15	157	180	\N	\N	\N	\N	2013-05-08
ORG-1203	2012-08-15	7719	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	2012-08-23	2012-08-16	2012-08-20	333	424	\N	\N	\N	\N	2013-05-08
ST12332	2012-09-19	7720	Pågående	Nordsjøen	Borestedundersøkelse / sitesurvey	Ikke seismikk	Statoil ASA	2013-06-19	2012-10-22	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
ST12333	2012-09-19	7721	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-12-12	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
SEN12302	2012-08-09	7722	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Spring Energy Norway AS	2012-09-30	2012-08-19	2012-08-24	176	250	\N	Ja	Nei	Ja	2013-05-08
DG1203	2012-09-16	7723	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	Ikke seismikk	DONG E&P Norge AS	2012-09-30	2012-09-16	2012-09-21	\N	\N	\N	Ja	Ja	Ja	2013-05-08
DG1204	2012-09-16	7724	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	Ikke seismikk	DONG E&P Norge AS	2012-09-30	2012-09-16	2012-09-21	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST12457-ODS2	2012-12-09	7725	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2013-01-31	2012-12-15	2012-12-24	\N	\N	\N	Ja	Ja	Ja	2013-05-08
RE12300	2012-09-18	7726	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Repsol Exploration Norge AS	2012-10-15	2012-09-25	2012-10-08	113	113	\N	Ja	Nei	Ja	2013-05-08
TEPN--12-1	2012-09-16	7727	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	2012-10-31	2012-09-19	2012-11-08	2690	1314	\N	Ja	Nei	Ja	2013-05-08
TEPN-12-2	2012-09-07	7728	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	2012-11-20	2012-09-08	2012-11-19	1723	1723	\N	Nei	Nei	Ja	2013-05-08
TEPN-12-3	2012-09-20	7729	Ferdig	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	2012-11-18	2012-09-20	2012-10-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
ST12314	2012-08-27	7730	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-11-03	2012-10-02	2012-10-08	\N	\N	\N	Nei	Nei	Ja	2013-05-08
GDF12303	2012-10-19	7731	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	3D	GDF SUEZ E&P Norge AS	2012-11-23	2012-10-20	2012-11-16	202	376	43.400000	Ja	Nei	Ja	2013-05-08
GDF12304	2012-11-11	7732	Avlyst	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	3D	GDF SUEZ E&P Norge AS	2012-11-30	9999-12-31	9999-12-31	\N	\N	22.400000	Ja	Nei	Ja	2013-05-08
GDF12301	2012-09-13	7733	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	GDF SUEZ E&P Norge AS	2012-09-25	2012-09-17	2012-09-28	90	230	\N	Ja	Nei	Ja	2013-05-08
GDF12302	2012-09-22	7734	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	GDF SUEZ E&P Norge AS	2012-10-17	2012-09-28	2012-10-17	160	350	\N	Ja	Nei	Ja	2013-05-08
WG1203	2012-09-04	7735	Ferdig	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2012-10-31	2012-09-06	2012-10-04	63755	3985	1417.320000	\N	\N	\N	2013-05-08
ORG1204	2012-08-20	7736	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	2012-08-23	2012-08-21	2012-08-22	130	155	\N	\N	\N	\N	2013-05-08
ST12334	2012-09-17	7737	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-01-29	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
ST12317	2012-09-17	7738	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2013-02-27	2012-10-04	2013-01-23	286	286	\N	Nei	Nei	Ja	2013-05-08
ST12337	2012-09-04	7739	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-10-09	2012-09-30	2012-10-01	69	69	\N	Nei	Nei	Ja	2013-05-08
DN1204	2012-08-30	7740	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Det norske oljeselskap ASA	2012-09-30	2012-09-08	2012-09-09	1	1	\N	Ja	Ja	Ja	2013-05-08
NSRD12	2012-09-14	7741	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	2D	TGS Nopec Geophysical Company  ASA	2012-11-30	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
LN12311-2	2012-09-15	7742	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-11-15	2012-10-13	2012-10-22	278	278	\N	Nei	Nei	Nei	2013-05-08
LN12315	2012-10-01	7743	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-12-31	2012-09-28	2012-10-06	47	47	\N	Nei	Nei	Ja	2013-05-08
LN12316	2012-09-26	7744	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2012-12-31	2012-10-06	2012-10-18	271	271	\N	Nei	Nei	Ja	2013-05-08
ST12336	2012-09-16	7745	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-10-24	2012-10-01	2012-10-01	10	10	\N	Nei	Nei	Nei	2013-05-08
ST12335	2012-10-04	7746	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-01-31	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
ST12339	2012-10-04	7747	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-01-31	2012-12-05	2013-01-31	446	446	\N	Nei	Nei	Ja	2013-05-08
TEPN-12-4	2012-11-19	7748	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	2012-12-31	2012-11-26	2012-12-13	450	485	\N	Nei	Nei	Ja	2013-05-08
ST12340	2012-10-10	7749	Avlyst	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2012-11-03	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
ST12256	2012-10-10	7750	Avlyst	Nordsjøen	Ordinær seismisk undersøkelse	3D	Statoil ASA	2012-11-09	9999-12-31	2012-10-24	\N	\N	62.900000	\N	\N	\N	2013-05-08
ST12257	2012-10-10	7751	Ferdig	Nordsjøen	Elektromagnetisk undersøkelse	3D	Statoil ASA	2012-11-06	2012-10-21	2012-10-23	172	172	500.790000	\N	\N	\N	2013-05-08
DA1202	2012-10-24	7752	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Dana Petroleum Norway AS	2012-11-30	2012-11-08	2012-11-18	94	160	\N	Nei	Nei	Ja	2013-05-08
TE1201	2012-11-12	7753	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	2012-12-12	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
ORG-1205	2012-10-28	7754	Ferdig	Norskehavet	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	2012-12-07	2012-12-03	2012-12-05	88	95	\N	\N	\N	\N	2013-05-08
ORG-1206	2012-11-03	7755	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	2012-11-04	2012-11-04	2012-11-06	23	30	\N	\N	\N	\N	2013-05-08
ORG-1207	2012-11-03	7756	Ferdig	Barentshavet - Sør	Elektromagnetisk undersøkelse	2D	ORG Geophysical As	2012-12-07	2012-11-05	2012-12-01	462	574	\N	\N	\N	\N	2013-05-08
EM-NVG3	2012-10-15	7757	Avlyst	Nordsjøen	Elektromagnetisk undersøkelse	3D	Multiklient Invest AS	2012-11-10	9999-12-31	9999-12-31	\N	\N	1441.300000	\N	\N	\N	2013-05-08
RE12400	2012-12-05	7758	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	Ikke seismikk	Repsol Exploration Norge AS	2012-12-23	2012-12-05	2012-12-14	\N	\N	\N	Ja	Ja	Ja	2013-05-08
TEPN-12-5	2012-11-20	7759	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	2013-03-04	2012-11-29	2013-03-25	2700	3000	\N	Ja	Nei	Ja	2013-05-08
DG1204-2	2012-11-13	7760	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	4D	DONG E&P Norge AS	2012-11-27	2012-11-16	2012-11-19	\N	\N	9.010000	Ja	Ja	Ja	2013-05-08
ELDFISK-RW-1	2012-11-21	7761	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	ConocoPhillips Skandinavia AS	2012-11-28	2012-11-21	2012-11-24	\N	\N	\N	Ja	Ja	Nei	2013-05-08
ELDFISK-RW-2	2012-11-21	7762	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	ConocoPhillips Skandinavia AS	2012-11-28	2012-11-24	2012-11-27	\N	\N	\N	Ja	Ja	Nei	2013-05-08
HAVEN-GR	2012-11-29	7763	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	ConocoPhillips Skandinavia AS	2012-12-06	2012-11-28	2012-11-30	\N	\N	\N	Ja	Ja	Nei	2013-05-08
DA1203	2012-11-25	7764	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Dana Petroleum Norway ASA	2013-01-10	2012-12-28	2013-01-02	1	1	\N	Ja	Ja	Ja	2013-05-08
ST13303	2012-12-20	7765	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-02-28	2013-01-24	2013-02-25	521	521	\N	Nei	Nei	Ja	2013-05-08
ST12018	2012-12-19	7766	Ferdig	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil ASA	2013-01-31	2013-01-02	2013-01-19	4890	305	27.940000	\N	\N	\N	2013-05-08
TO1301-ML	2013-05-10	7767	Planlagt	Nordsjøen	Ordinær seismisk undersøkelse	3D	Total E&P Norge AS	2013-08-01	9999-12-31	9999-12-31	\N	\N	558.410000	\N	\N	\N	2013-05-08
LN12503	2012-12-11	7768	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	2012-12-20	2012-12-16	2012-12-19	1	1	\N	Nei	Nei	Ja	2013-05-08
CGGV1301	2013-01-20	7769	Pågående	Norskehavet	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	2013-06-30	2013-02-20	9999-12-31	\N	\N	3496.200000	\N	\N	\N	2013-05-08
CE13300	2013-03-15	7770	Planlagt	Nordsjøen	Borestedundersøkelse / sitesurvey	Ikke seismikk	Centrica Energi	2013-08-15	9999-12-31	9999-12-31	\N	\N	\N	Nei	Ja	Ja	2013-05-08
ST13305	2013-01-24	7771	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-05-08	2013-02-26	2013-04-25	281	281	\N	Nei	Nei	Ja	2013-05-08
EMGS1301	2013-03-01	7772	Pågående	Barentshavet - Sør	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2013-09-30	2013-04-15	9999-12-31	\N	\N	201294.430000	\N	\N	\N	2013-05-08
ST13003	2013-04-01	7773	Pågående	Nordsjøen	Ordinær seismisk undersøkelse	4D	Statoil ASA	2013-07-10	2013-04-03	9999-12-31	\N	\N	583.090000	\N	\N	\N	2013-05-08
FP13	2013-03-01	7774	Pågående	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2013-06-30	2013-03-09	9999-12-31	\N	\N	3647.320000	\N	\N	\N	2013-05-08
HBW13	2013-03-01	7775	Planlagt	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2013-05-31	9999-12-31	9999-12-31	\N	\N	2001.060000	\N	\N	\N	2013-05-08
SS1301	2013-04-01	7776	Avlyst	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Searcher Seismic Pty Ltd	2013-09-30	9999-12-31	9999-12-31	\N	\N	2880.270000	\N	\N	\N	2013-05-08
TRIII13	2013-04-15	7777	Planlagt	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2013-09-30	9999-12-31	9999-12-31	\N	\N	6889.390000	\N	\N	\N	2013-05-08
DN1301	2013-01-18	7778	Ferdig	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Det norske oljeselskap ASA	2013-02-15	2013-01-23	2013-02-03	140	180	\N	Nei	Nei	Ja	2013-05-08
SS1302	2013-03-01	7779	Planlagt	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Searcher Seismic Pty Ltd	2013-06-30	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
TEPN-13-1	2013-03-01	7780	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	2013-05-01	2013-03-11	2013-04-02	659	659	\N	Ja	Nei	Ja	2013-05-08
WG1301	2013-03-01	7781	Pågående	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2013-08-31	2013-03-30	9999-12-31	\N	\N	16314.670000	\N	\N	\N	2013-05-08
MC3D-Q162013	2013-03-20	7782	Pågående	Nordsjøen	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2013-10-15	2013-03-22	9999-12-31	\N	\N	1218.160000	\N	\N	\N	2013-05-08
LN13301	2013-02-01	7783	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	2013-03-31	2013-02-19	2013-03-16	\N	\N	\N	Ja	Nei	Ja	2013-05-08
LN13302	2013-02-01	7784	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	2013-03-31	2013-02-21	2013-03-15	\N	\N	\N	Ja	Nei	Ja	2013-05-08
HFCN13	2013-03-01	7786	Planlagt	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2013-09-30	9999-12-31	9999-12-31	\N	\N	1939.650000	\N	\N	\N	2013-05-08
MC3D-CGR2013	2013-07-01	7787	Planlagt	Nordsjøen	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2013-12-31	9999-12-31	9999-12-31	\N	\N	1256.350000	\N	\N	\N	2013-05-08
ST13309	2013-02-09	7788	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-02-28	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
SUN13001	2013-04-01	7789	Pågående	Nordsjøen	Ordinær seismisk undersøkelse	3D	Suncor Energy Norge AS	2013-06-30	2013-04-05	9999-12-31	\N	\N	1038.680000	\N	\N	\N	2013-05-08
CP13L05	2013-03-10	7790	Ferdig	Nordsjøen	Havbunnseismisk undersøkelse	4D	ConocoPhillips Skandinavia AS	2013-04-30	2013-03-13	2013-04-30	2840	2840	191.170000	\N	\N	\N	2013-05-08
HF13	2013-03-01	7791	Pågående	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	TGS Nopec Geophysical Company  ASA	2013-09-30	2013-04-15	9999-12-31	\N	\N	12273.180000	\N	\N	\N	2013-05-08
ST13451-MAR	2013-03-15	7792	Avlyst	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2013-04-15	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
SS1303	2013-03-15	7793	Planlagt	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	Searcher Seismic Pty Ltd	2013-08-30	9999-12-31	9999-12-31	\N	\N	4282.050000	\N	\N	\N	2013-05-08
LN13001	2013-04-01	7794	Planlagt	Nordsjøen	Ordinær seismisk undersøkelse	3D	Lundin Norway AS	2013-06-01	9999-12-31	9999-12-31	\N	\N	39.750000	\N	\N	\N	2013-05-08
ST13314	2013-03-13	7795	Pågående	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-06-07	2013-04-21	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
MCG1301	2013-03-19	7796	Pågående	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	MultiClient Geophysical AS	2013-06-30	2013-03-22	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
EMGS1302	2013-03-01	7797	Pågående	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2013-09-01	2013-03-09	9999-12-31	\N	\N	39953.690000	\N	\N	\N	2013-05-08
ST13315	2013-02-19	7798	Ferdig	Nordsjøen	Borestedundersøkelse / sitesurvey	Ikke seismikk	Statoil ASA	2013-02-28	2013-02-24	2013-02-25	17	17	\N	Nei	Nei	Nei	2013-05-08
ST13456	2013-03-27	7799	Ferdig	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2013-05-07	2013-04-15	2013-04-28	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST13455	2013-04-29	7800	Pågående	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2013-05-20	2013-04-29	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
MARIA-SBS	2013-04-01	7801	Pågående	Norskehavet	Grunnundersøkelser	Ikke seismikk	Wintershall Norge AS	2013-09-30	2013-05-02	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
WIN13301	2013-03-26	7802	Pågående	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Wintershall Norge AS	2013-05-31	2013-04-13	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
ST13304	2013-03-16	7803	Planlagt	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-06-19	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
ST13462	2013-04-01	7804	Planlagt	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2013-06-28	9999-12-31	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST13461	2013-04-01	7805	Planlagt	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2013-06-28	9999-12-31	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST13459	2013-04-01	7806	Pågående	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2013-07-20	2013-05-06	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST13460	2013-05-01	7807	Planlagt	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2013-07-20	9999-12-31	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
ST13312	2013-04-22	7808	Pågående	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-05-18	2013-04-26	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
PL692GORE	2013-04-30	7809	Planlagt	Norskehavet	Grunnundersøkelser	Ikke seismikk	Repsol Exploration Norge AS	2013-07-31	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Nei	2013-05-08
DOLPH-13013D	2013-03-05	7810	Planlagt	Nordsjøen	Ordinær seismisk undersøkelse	3D	Dolphin Geophysical AS	2013-05-31	9999-12-31	9999-12-31	\N	\N	9040.190000	\N	\N	\N	2013-05-08
MC3D-BYL2013	2013-05-01	7811	Planlagt	Nordsjøen	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2013-08-31	9999-12-31	9999-12-31	\N	\N	63.240000	\N	\N	\N	2013-05-08
TRO13	2013-05-10	7812	Planlagt	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	2013-10-15	9999-12-31	9999-12-31	\N	\N	6394.190000	\N	\N	\N	2013-05-08
MAE13301	2013-04-10	7813	Pågående	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Maersk Oil Norway AS	2013-05-17	2013-04-10	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
SWB13	2013-04-01	7814	Planlagt	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	CGG Veritas Services SA	2013-10-15	9999-12-31	9999-12-31	\N	\N	6784.990000	\N	\N	\N	2013-05-08
RD1302	2013-04-15	7815	Pågående	Nordsjøen	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	2013-07-31	2013-04-19	9999-12-31	\N	\N	\N	Ja	Nei	Nei	2013-05-08
RD1303	2013-04-15	7816	Planlagt	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	2013-07-31	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Nei	2013-05-08
EMGS1303	2013-03-14	7817	Planlagt	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2013-09-01	9999-12-31	9999-12-31	\N	\N	21328.170000	\N	\N	\N	2013-05-08
ST13316	2013-04-08	7818	Planlagt	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-06-28	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
EMGS1304	2013-04-01	7819	Avlyst	Nordsjøen	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2013-05-31	9999-12-31	9999-12-31	\N	\N	2845.740000	\N	\N	\N	2013-05-08
EMGS1305	2013-04-01	7820	Planlagt	Norskehavet	Elektromagnetisk undersøkelse	3D	Electromagnetic Geoservices ASA	2013-09-01	9999-12-31	9999-12-31	\N	\N	6388.250000	\N	\N	\N	2013-05-08
TUN13301	2013-04-28	7821	Planlagt	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	2013-06-09	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
TUN13302	2013-05-20	7822	Planlagt	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	2013-06-30	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
LN13303	2013-05-01	7823	Under behandling	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2013-05-22	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
CP13301	2013-05-01	7824	Planlagt	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	ConocoPhillips Skandinavia AS	2013-05-31	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
RD1304	2013-03-21	7825	Ferdig	Norskehavet	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	2013-04-20	2013-03-28	2013-04-09	187	187	\N	Nei	Nei	Nei	2013-05-08
LN13501	2013-03-25	7826	Planlagt	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	Lundin Norway AS	2013-04-15	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Nei	2013-05-08
RD1305	2013-05-01	7827	Planlagt	Norskehavet	Grunnundersøkelser	Ikke seismikk	RWE Dea Norge AS	2013-07-31	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Nei	2013-05-08
TUN13303	2013-05-05	7828	Planlagt	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	2013-06-16	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
SUN13002	2013-06-10	7829	Avlyst	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Suncor Energy Norge AS	2013-07-31	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
ST13464	2013-04-24	7830	Planlagt	Norskehavet	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2013-07-15	9999-12-31	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
SUN13302	2013-06-01	7831	Planlagt	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Suncor Energy Norge AS	2013-07-31	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
ST13006	2013-05-18	7832	Planlagt	Norskehavet	Ordinær seismisk undersøkelse	4D	Statoil ASA	2013-07-10	9999-12-31	9999-12-31	\N	\N	278.870000	\N	\N	\N	2013-05-08
ST13001	2013-05-10	7833	Planlagt	Nordsjøen	Ordinær seismisk undersøkelse	3D	Statoil ASA	2013-07-31	9999-12-31	9999-12-31	\N	\N	1253.860000	\N	\N	\N	2013-05-08
MC3D-DUN2013	2013-05-15	7834	Planlagt	Nordsjøen	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2013-10-30	9999-12-31	9999-12-31	\N	\N	20.540000	\N	\N	\N	2013-05-08
ST13465	2013-04-25	7835	Pågående	Norskehavet	Grunnundersøkelser	Ikke seismikk	Statoil ASA	2013-05-15	2013-05-07	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
TEPN-13-2	2013-04-03	7836	Pågående	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	2013-05-31	2013-04-04	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
TEPN-13-3	2013-04-04	7837	Under behandling	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	2013-05-31	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
SH13301	2013-05-10	7838	Avlyst	Norskehavet	Borestedundersøkelse / sitesurvey	2D	A/S Norske Shell	2013-05-31	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
ST13455-2	2013-08-20	7839	Planlagt	Nordsjøen	Grunnundersøkelser	Ikke seismikk	Statoil Petroleum AS	2013-09-20	9999-12-31	9999-12-31	\N	\N	\N	Ja	Ja	Ja	2013-05-08
EN1301	2013-05-08	7840	Planlagt	Barentshavet - Sør	Grunnundersøkelser	Ikke seismikk	Eni Norge AS	2013-07-31	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Nei	2013-05-08
TEPN-13-4	2013-04-19	7841	Planlagt	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Total E&P Norge AS	2013-06-04	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
OMV003	2013-05-10	7842	Avlyst	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	2013-06-28	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
TUN13304	2013-05-06	7843	Under behandling	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Tullow Oil Norge AS	2013-07-22	9999-12-31	9999-12-31	\N	\N	\N	Ja	Nei	Ja	2013-05-08
SH13001	2013-05-21	7844	Planlagt	Norskehavet	Ordinær seismisk undersøkelse	4D	A/S Norske Shell	2013-07-20	9999-12-31	9999-12-31	\N	\N	302.250000	\N	\N	\N	2013-05-08
BPN13301	2013-04-28	7845	Pågående	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2013-08-30	2013-05-05	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
RD1301	2013-06-01	7846	Planlagt	Norskehavet	Ordinær seismisk undersøkelse	3D	RWE Dea Norge AS	2013-08-01	9999-12-31	9999-12-31	\N	\N	1252.460000	\N	\N	\N	2013-05-08
BPN13201	2013-06-24	7847	Under behandling	Nordsjøen	Havbunnseismisk undersøkelse	3D	BP Norge AS	2013-09-15	9999-12-31	9999-12-31	\N	\N	313.870000	\N	\N	\N	2013-05-08
BPN13302	2013-06-01	7848	Planlagt	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	BP Norge AS	2013-09-15	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
FP13001	2013-05-27	7849	Under behandling	Nordsjøen	Ordinær seismisk undersøkelse	3D	Faroe Petroleum Norge AS	2013-07-29	9999-12-31	9999-12-31	\N	\N	1870.130000	\N	\N	\N	2013-05-08
FP13002	2013-07-30	7850	Under behandling	Nordsjøen	Ordinær seismisk undersøkelse	3D	Faroe Petroleum Norge AS	2013-08-20	9999-12-31	9999-12-31	\N	\N	300.530000	\N	\N	\N	2013-05-08
EO13001	2013-05-27	7851	Under behandling	Nordsjøen	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	2013-07-15	9999-12-31	9999-12-31	\N	\N	1272.430000	\N	\N	\N	2013-05-08
DN1302	2013-08-28	7852	Under behandling	Nordsjøen	Havbunnseismisk undersøkelse	3D	Det Norske Oljeselskap AS	2013-09-30	9999-12-31	9999-12-31	\N	\N	264.490000	\N	\N	\N	2013-05-08
OMV13301	2013-05-10	7853	Under behandling	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	OMV (Norge) AS	2013-06-28	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
EO13002	2013-06-25	7854	Planlagt	Norskehavet	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	2013-08-10	9999-12-31	9999-12-31	\N	\N	993.160000	\N	\N	\N	2013-05-08
EO13003	2013-07-05	7855	Planlagt	Norskehavet	Ordinær seismisk undersøkelse	3D	E.ON E&P Norge AS	2013-08-25	9999-12-31	9999-12-31	\N	\N	1259.400000	\N	\N	\N	2013-05-08
ST13306	2013-05-29	7856	Under behandling	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-07-03	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
FH2D-13	2013-06-01	7857	Under behandling	Barentshavet - Sør	Ordinær seismisk undersøkelse	2D	Spectrum ASA	2013-08-20	9999-12-31	9999-12-31	\N	\N	\N	\N	\N	\N	2013-05-08
WG1303	2013-06-07	7858	Under behandling	Barentshavet - Sør	Ordinær seismisk undersøkelse	3D	WesternGeco AS	2013-09-30	9999-12-31	9999-12-31	\N	\N	7332.730000	\N	\N	\N	2013-05-08
ST13311	2013-06-05	7859	Under behandling	Barentshavet - Sør	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-08-29	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
TE1301	2013-06-10	7860	Under behandling	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Talisman Energy Norge AS	2013-07-10	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
ST13308	2013-06-05	7861	Under behandling	Norskehavet	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-08-31	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
MC3D-DPT2013	2013-06-07	7862	Under behandling	Nordsjøen	Ordinær seismisk undersøkelse	3D	Multiklient Invest AS	2013-10-31	9999-12-31	9999-12-31	\N	\N	239.550000	\N	\N	\N	2013-05-08
ST13307	2013-05-28	7863	Under behandling	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-08-15	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
ST13301	2013-06-19	7864	Under behandling	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Statoil ASA	2013-09-26	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Ja	2013-05-08
LN13304	2013-06-05	7865	Under behandling	Nordsjøen	Borestedundersøkelse / sitesurvey	2D	Lundin Norway AS	2013-06-18	9999-12-31	9999-12-31	\N	\N	\N	Nei	Nei	Nei	2013-05-08
\.



COPY seis_acquisition_coordinates_inc_turnarea (seasurveyname, seanpdidsurvey, seapolygonpointnumber, seapolygonnsdeg, seapolygonnsmin, seapolygonnssec, seapolygonewdeg, seapolygonewmin, seapolygonewsec, datesyncnpd) FROM stdin;
AX0901	7145	1	63	29	4.470000	5	43	35.690000	2013-05-08
AX0901	7145	2	63	32	4.310000	5	50	31.040000	2013-05-08
AX0901	7145	3	63	26	30.780000	6	2	30.830000	2013-05-08
AX0901	7145	4	63	23	31.520000	5	55	35.540000	2013-05-08
AX0902	7147	1	59	13	13.000000	2	13	36.000000	2013-05-08
AX0902	7147	2	59	13	16.000000	2	22	0.000000	2013-05-08
AX0902	7147	3	59	8	57.000000	2	22	5.000000	2013-05-08
AX0902	7147	4	59	8	55.000000	2	13	42.000000	2013-05-08
BBE	7513	1	74	17	36.300000	21	57	41.500000	2013-05-08
BBE	7513	2	73	49	1.800000	25	46	19.200000	2013-05-08
BBE	7513	3	72	21	51.800000	23	14	54.200000	2013-05-08
BBE	7513	4	72	53	12.800000	19	29	29.000000	2013-05-08
BE1101	7437	1	61	39	1.130000	2	43	48.710000	2013-05-08
BE1101	7437	2	61	36	50.010000	2	53	9.090000	2013-05-08
BE1101	7437	3	61	32	19.890000	2	48	12.250000	2013-05-08
BE1101	7437	4	61	34	29.900000	2	38	38.360000	2013-05-08
BG0901	7041	1	61	46	39.400000	2	31	17.900000	2013-05-08
BG0901	7041	2	61	46	2.600000	2	43	23.100000	2013-05-08
BG0901	7041	3	61	41	44.800000	2	43	27.300000	2013-05-08
BG0901	7041	4	61	41	41.500000	2	31	25.000000	2013-05-08
BG0902	7042	1	61	49	23.700000	2	49	4.000000	2013-05-08
BG0902	7042	2	61	48	49.600000	2	51	9.400000	2013-05-08
BG0902	7042	3	61	48	36.200000	2	49	57.000000	2013-05-08
BG0902	7042	4	61	49	7.600000	2	48	35.900000	2013-05-08
BG0903	7043	1	61	49	3.790000	2	47	19.850000	2013-05-08
BG0903	7043	2	61	49	47.200000	2	41	24.650000	2013-05-08
BG0903	7043	3	61	46	34.160000	2	39	39.660000	2013-05-08
BG0903	7043	4	61	45	50.830000	2	45	34.280000	2013-05-08
BG0904	7074	1	65	58	7.000000	3	45	55.000000	2013-05-08
BG0904	7074	2	65	59	40.000000	3	38	38.000000	2013-05-08
BG0904	7074	3	66	30	10.000000	4	24	29.000000	2013-05-08
BG0904	7074	4	66	37	45.000000	3	44	35.000000	2013-05-08
BG0904	7074	5	66	43	49.000000	3	52	4.000000	2013-05-08
BG0904	7074	6	66	55	20.000000	4	1	0.000000	2013-05-08
BG0904	7074	7	66	45	49.000000	4	50	42.000000	2013-05-08
BG0904	7074	8	67	10	44.000000	5	30	59.000000	2013-05-08
BG0904	7074	9	67	10	35.000000	5	40	0.000000	2013-05-08
BG0904	7074	10	66	55	37.000000	5	40	0.000000	2013-05-08
BG0904	7074	11	66	44	2.000000	5	0	9.000000	2013-05-08
BG0904	7074	12	66	40	24.000000	5	18	39.000000	2013-05-08
BG0904	7074	13	66	27	31.000000	5	14	7.000000	2013-05-08
BG0904	7074	14	66	21	45.000000	5	7	59.000000	2013-05-08
BG0904	7074	15	66	28	42.000000	4	31	59.000000	2013-05-08
BG0905	7132	1	57	57	30.890000	1	50	2.540000	2013-05-08
BG0905	7132	2	57	59	4.010000	1	51	12.570000	2013-05-08
BG0905	7132	3	58	1	2.720000	1	55	35.060000	2013-05-08
BG0905	7132	4	58	0	11.640000	1	56	54.560000	2013-05-08
BG0905	7132	5	57	59	5.020000	1	54	20.660000	2013-05-08
BG0905	7132	6	57	57	43.440000	1	56	41.860000	2013-05-08
BG0905	7132	7	57	57	13.800000	1	55	37.650000	2013-05-08
BG1001	7239	1	58	3	29.500000	1	59	49.000000	2013-05-08
BG1001	7239	2	58	3	10.300000	1	50	11.100000	2013-05-08
BG1001	7239	3	57	54	59.400000	1	51	13.700000	2013-05-08
BG1001	7239	4	57	55	17.200000	2	0	47.400000	2013-05-08
BG1002	7276	1	72	5	31.730000	25	10	32.690000	2013-05-08
BG1002	7276	2	72	0	7.330000	24	14	50.670000	2013-05-08
BG1002	7276	3	72	28	31.760000	23	44	20.310000	2013-05-08
BG1002	7276	4	72	34	4.510000	24	41	21.370000	2013-05-08
BG1003	7290	1	66	41	46.830000	4	38	56.110000	2013-05-08
BG1003	7290	2	66	45	10.230000	4	21	32.750000	2013-05-08
BG1003	7290	3	66	51	57.950000	4	29	46.350000	2013-05-08
BG1003	7290	4	66	48	35.020000	4	47	28.730000	2013-05-08
BG1003	7290	5	66	41	46.830000	4	38	56.110000	2013-05-08
BG1004	7332	1	66	37	1.460000	4	45	4.610000	2013-05-08
BG1004	7332	2	66	30	42.360000	4	37	25.240000	2013-05-08
BG1004	7332	3	66	34	19.710000	4	18	51.170000	2013-05-08
BG1004	7332	4	66	40	40.260000	4	26	17.910000	2013-05-08
BG1004	7332	5	66	37	1.460000	4	45	4.610000	2013-05-08
bg1101	7384	1	61	52	51.200000	2	54	53.530000	2013-05-08
bg1101	7384	2	61	42	33.630000	2	54	55.240000	2013-05-08
bg1101	7384	3	61	42	31.170000	2	33	29.520000	2013-05-08
bg1101	7384	4	61	52	48.710000	2	33	20.630000	2013-05-08
bg1102	7390	1	61	38	46.160000	3	11	25.600000	2013-05-08
bg1102	7390	2	61	42	21.500000	3	24	46.220000	2013-05-08
bg1102	7390	3	61	46	57.900000	3	30	17.400000	2013-05-08
bg1102	7390	4	62	5	4.010000	2	21	28.550000	2013-05-08
bg1102	7390	5	61	54	57.770000	2	9	41.780000	2013-05-08
bg1102	7390	6	61	47	37.140000	2	1	16.130000	2013-05-08
bg1102	7390	7	61	31	29.330000	3	2	49.780000	2013-05-08
bg1103	7402	1	61	44	34.930000	2	51	18.510000	2013-05-08
bg1103	7402	2	61	41	57.030000	2	44	4.180000	2013-05-08
bg1103	7402	3	61	35	48.510000	2	34	34.480000	2013-05-08
bg1103	7402	4	61	23	46.470000	2	16	1.440000	2013-05-08
bg1103	7402	5	61	15	12.920000	2	3	3.540000	2013-05-08
bg1103	7402	6	61	2	57.760000	1	47	33.130000	2013-05-08
bg1103	7402	7	61	2	21.560000	1	46	18.600000	2013-05-08
bg1103	7402	8	61	0	56.880000	1	41	46.680000	2013-05-08
bg1103	7402	9	61	1	10.830000	1	41	29.120000	2013-05-08
bg1103	7402	10	61	2	34.970000	1	45	59.880000	2013-05-08
bg1103	7402	11	61	3	7.470000	1	47	6.490000	2013-05-08
bg1103	7402	12	61	15	21.380000	2	2	34.830000	2013-05-08
bg1103	7402	13	61	23	55.720000	2	15	33.250000	2013-05-08
bg1103	7402	14	61	36	0.220000	2	34	5.890000	2013-05-08
bg1103	7402	15	61	42	6.260000	2	43	27.830000	2013-05-08
bg1103	7402	16	61	43	47.230000	2	41	9.670000	2013-05-08
bg1103	7402	17	61	49	9.110000	2	39	16.340000	2013-05-08
bg1103	7402	18	61	49	56.940000	2	49	26.970000	2013-05-08
BG1104	7409	1	58	14	28.120000	3	50	11.600000	2013-05-08
BG1104	7409	2	58	14	23.650000	4	0	30.290000	2013-05-08
BG1104	7409	3	58	8	4.760000	4	0	19.580000	2013-05-08
BG1104	7409	4	58	8	9.210000	3	50	2.720000	2013-05-08
BG1201	7621	1	61	43	14.080000	2	46	25.810000	2013-05-08
BG1201	7621	2	61	47	24.970000	2	58	58.820000	2013-05-08
BG1201	7621	3	61	51	36.260000	2	52	45.890000	2013-05-08
BG1201	7621	4	61	47	24.800000	2	40	12.020000	2013-05-08
BG1202	7624	1	61	50	4.700000	2	44	36.270000	2013-05-08
BG1202	7624	2	61	50	23.220000	2	48	15.450000	2013-05-08
BG1202	7624	3	61	48	22.760000	2	52	36.010000	2013-05-08
BG1202	7624	4	61	45	58.520000	2	53	32.930000	2013-05-08
BG1202	7624	5	61	40	25.140000	2	42	23.920000	2013-05-08
BG1202	7624	6	61	20	58.200000	2	12	7.460000	2013-05-08
BG1202	7624	7	61	13	10.940000	2	0	56.510000	2013-05-08
BG1202	7624	8	61	13	26.500000	1	59	47.310000	2013-05-08
BG1202	7624	9	61	17	59.840000	2	4	7.440000	2013-05-08
BG1202	7624	10	61	21	17.090000	2	11	11.310000	2013-05-08
BG27-03-2012	7617	1	58	9	4.140000	3	50	58.010000	2013-05-08
BG27-03-2012	7617	2	58	13	22.780000	3	51	4.180000	2013-05-08
BG27-03-2012	7617	3	58	13	19.010000	3	59	45.010000	2013-05-08
BG27-03-2012	7617	4	58	9	0.380000	3	59	37.780000	2013-05-08
BGN1201	7626	1	61	14	6.000000	3	21	0.000000	2013-05-08
BGN1201	7626	2	61	55	2.000000	3	20	36.000000	2013-05-08
BGN1201	7626	3	61	55	2.000000	3	46	53.000000	2013-05-08
BGN1201	7626	4	61	14	5.000000	3	46	42.000000	2013-05-08
BP083D004	7035	1	58	20	36.470000	1	33	49.690000	2013-05-08
BP083D004	7035	2	58	20	40.130000	1	39	26.640000	2013-05-08
BP083D004	7035	3	58	18	45.480000	1	39	30.990000	2013-05-08
BP083D004	7035	4	58	18	47.840000	1	43	21.320000	2013-05-08
BP083D004	7035	5	58	11	15.290000	1	43	37.570000	2013-05-08
BP083D004	7035	6	58	11	14.600000	1	42	28.430000	2013-05-08
BPB11305	7502	1	65	47	18.000000	7	36	54.000000	2013-05-08
BPB11305	7502	2	65	50	30.000000	7	41	44.000000	2013-05-08
BPB11305	7502	3	65	50	27.000000	7	41	59.000000	2013-05-08
BPB11305	7502	4	65	58	46.000000	7	40	2.000000	2013-05-08
BPB11305	7502	5	65	58	46.000000	7	41	21.000000	2013-05-08
BPB11305	7502	6	65	50	5.000000	7	43	23.000000	2013-05-08
BPB11305	7502	7	65	48	31.000000	7	49	33.000000	2013-05-08
BPB11305	7502	8	65	45	19.000000	7	44	42.000000	2013-05-08
BPN0301-15	7601	1	56	11	20.000000	3	24	10.000000	2013-05-08
BPN0301-15	7601	2	56	19	38.000000	3	17	18.000000	2013-05-08
BPN0301-15	7601	3	56	21	38.000000	3	25	9.000000	2013-05-08
BPN0301-15	7601	4	56	13	20.000000	3	31	59.000000	2013-05-08
BPN0301_12	7300	1	56	11	20.000000	3	24	10.000000	2013-05-08
BPN0301_12	7300	2	56	19	38.000000	3	17	18.000000	2013-05-08
BPN0301_12	7300	3	56	21	38.000000	3	25	9.000000	2013-05-08
BPN0301_12	7300	4	56	13	20.000000	3	31	59.000000	2013-05-08
BPN0301_13	7376	1	56	11	20.000000	3	24	10.000000	2013-05-08
BPN0301_13	7376	2	56	19	38.000000	3	17	18.000000	2013-05-08
BPN0301_13	7376	3	56	21	38.000000	3	25	9.000000	2013-05-08
BPN0301_13	7376	4	56	13	20.000000	3	31	59.000000	2013-05-08
BPN0301_14	7459	1	56	11	20.000000	3	24	10.000000	2013-05-08
BPN0301_14	7459	2	56	19	38.000000	3	17	18.000000	2013-05-08
BPN0301_14	7459	3	56	21	38.000000	3	25	9.000000	2013-05-08
BPN0301_14	7459	4	56	13	20.000000	3	31	59.000000	2013-05-08
BPN0990	7152	1	56	18	50.000000	3	21	0.000000	2013-05-08
BPN0990	7152	2	56	18	50.000000	3	26	50.000000	2013-05-08
BPN0990	7152	3	56	15	0.000000	3	26	50.000000	2013-05-08
BPN0990	7152	4	56	15	0.000000	3	21	50.000000	2013-05-08
BPN10301	7325	1	56	17	39.000000	3	18	2.000000	2013-05-08
BPN10301	7325	2	56	17	38.000000	3	24	14.000000	2013-05-08
BPN10301	7325	3	56	21	15.000000	3	24	16.000000	2013-05-08
BPN10301	7325	4	56	21	16.000000	3	18	4.000000	2013-05-08
BPN10302	7326	1	56	11	46.000000	3	22	14.000000	2013-05-08
BPN10302	7326	2	56	11	44.000000	3	29	47.000000	2013-05-08
BPN10302	7326	3	56	15	24.000000	3	29	50.000000	2013-05-08
BPN10302	7326	4	56	15	26.000000	3	22	16.000000	2013-05-08
BPN10303	7327	1	56	9	4.000000	3	24	49.000000	2013-05-08
BPN10303	7327	2	56	9	2.000000	3	30	19.000000	2013-05-08
BPN10303	7327	3	56	12	10.000000	3	30	22.000000	2013-05-08
BPN10303	7327	4	56	12	11.000000	3	24	51.000000	2013-05-08
BPN11101	7385	1	57	14	2.330000	2	25	8.590000	2013-05-08
BPN11101	7385	2	57	21	46.890000	2	50	47.660000	2013-05-08
BPN11101	7385	3	57	2	39.060000	3	16	8.070000	2013-05-08
BPN11101	7385	4	56	53	37.750000	2	45	58.320000	2013-05-08
BPN11102	7495	1	56	20	36.000000	3	9	33.000000	2013-05-08
BPN11102	7495	2	56	24	23.000000	3	24	22.000000	2013-05-08
BPN11102	7495	3	56	11	55.000000	3	34	38.000000	2013-05-08
BPN11102	7495	4	56	8	9.000000	3	19	53.000000	2013-05-08
BPN11301	7391	1	56	17	39.000000	3	18	2.000000	2013-05-08
BPN11301	7391	2	56	17	38.000000	3	24	14.000000	2013-05-08
BPN11301	7391	3	56	21	15.000000	3	24	16.000000	2013-05-08
BPN11301	7391	4	56	21	16.000000	3	18	4.000000	2013-05-08
BPN11302	7392	1	56	12	54.230000	3	21	28.600000	2013-05-08
BPN11302	7392	2	56	15	36.300000	3	29	53.290000	2013-05-08
BPN11302	7392	3	56	10	33.880000	3	34	39.580000	2013-05-08
BPN11302	7392	4	56	7	35.000000	3	26	15.590000	2013-05-08
BPN11303	7485	1	56	12	20.000000	3	23	7.000000	2013-05-08
BPN11303	7485	2	56	14	20.000000	3	29	26.000000	2013-05-08
BPN11303	7485	3	56	10	49.000000	3	33	0.000000	2013-05-08
BPN11303	7485	4	56	8	49.000000	3	26	42.000000	2013-05-08
BPN11304	7486	1	65	56	59.000000	7	49	26.000000	2013-05-08
BPN11304	7486	2	65	53	18.000000	7	41	45.000000	2013-05-08
BPN11304	7486	3	65	56	25.000000	7	32	42.000000	2013-05-08
BPN11304	7486	4	66	0	7.000000	7	40	22.000000	2013-05-08
BPN11304	7486	5	65	58	36.000000	7	50	0.000000	2013-05-08
BPN11305	7512	1	65	47	18.000000	7	36	54.000000	2013-05-08
BPN11305	7512	2	65	50	30.000000	7	41	44.000000	2013-05-08
BPN11305	7512	3	65	50	27.000000	7	41	59.000000	2013-05-08
BPN11305	7512	4	65	58	46.000000	7	40	2.000000	2013-05-08
BPN11305	7512	5	65	58	46.000000	7	41	21.000000	2013-05-08
BPN11305	7512	6	65	50	5.000000	7	43	23.000000	2013-05-08
BPN11305	7512	7	65	48	31.000000	7	49	33.000000	2013-05-08
BPN11305	7512	8	65	45	19.000000	7	44	42.000000	2013-05-08
BPN12001	7638	1	56	15	43.000000	3	3	41.000000	2013-05-08
BPN12001	7638	2	56	24	0.000000	3	3	51.000000	2013-05-08
BPN12001	7638	3	56	31	32.000000	3	23	20.000000	2013-05-08
BPN12001	7638	4	56	10	5.000000	3	49	21.000000	2013-05-08
BPN12001	7638	5	56	5	27.000000	3	36	36.000000	2013-05-08
BPN12001	7638	6	56	1	41.000000	3	23	50.000000	2013-05-08
BPN12301	7639	1	56	11	53.000000	3	27	1.000000	2013-05-08
BPN12301	7639	2	56	20	55.000000	3	19	33.000000	2013-05-08
BPN12301	7639	3	56	21	10.000000	3	20	37.000000	2013-05-08
BPN12301	7639	4	56	12	9.000000	3	28	4.000000	2013-05-08
BPN13201	7847	1	56	20	57.000000	3	6	9.000000	2013-05-08
BPN13201	7847	2	56	26	36.000000	3	28	13.000000	2013-05-08
BPN13201	7847	3	56	8	41.000000	3	42	53.000000	2013-05-08
BPN13201	7847	4	56	3	5.000000	3	20	58.000000	2013-05-08
BPN13301	7845	1	56	22	9.000000	3	22	40.000000	2013-05-08
BPN13301	7845	2	56	18	16.000000	3	27	32.000000	2013-05-08
BPN13301	7845	3	56	18	15.000000	3	33	56.000000	2013-05-08
BPN13301	7845	4	56	14	55.000000	3	33	53.000000	2013-05-08
BPN13301	7845	5	56	14	56.000000	3	30	30.000000	2013-05-08
BPN13301	7845	6	56	14	9.000000	3	31	12.000000	2013-05-08
BPN13301	7845	7	56	11	50.000000	3	30	5.000000	2013-05-08
BPN13301	7845	8	56	10	49.000000	3	27	7.000000	2013-05-08
BPN13301	7845	9	56	11	31.000000	3	23	17.000000	2013-05-08
BPN13301	7845	10	56	14	12.000000	3	18	15.000000	2013-05-08
BPN13301	7845	11	56	21	3.000000	3	17	14.000000	2013-05-08
BPN13302	7848	1	56	6	47.000000	3	27	26.000000	2013-05-08
BPN13302	7848	2	56	10	40.000000	3	20	46.000000	2013-05-08
BPN13302	7848	3	56	14	24.000000	3	27	45.000000	2013-05-08
BPN13302	7848	4	56	10	29.000000	3	34	25.000000	2013-05-08
BST6	7215	1	73	12	28.490000	22	56	56.950000	2013-05-08
BST6	7215	2	72	57	5.150000	21	28	23.320000	2013-05-08
BST6	7215	3	72	49	17.820000	21	27	49.030000	2013-05-08
BST6	7215	4	72	42	22.680000	21	44	15.950000	2013-05-08
BST6	7215	5	73	2	45.570000	23	34	55.220000	2013-05-08
BST6	7215	6	73	12	1.510000	23	16	2.530000	2013-05-08
BST6	7215	7	73	12	28.490000	22	56	56.950000	2013-05-08
Caterpillar2010	7247	1	59	17	19.000000	1	51	29.000000	2013-05-08
Caterpillar2010	7247	2	59	18	42.000000	1	54	42.000000	2013-05-08
Caterpillar2010	7247	3	59	16	24.000000	1	59	8.000000	2013-05-08
Caterpillar2010	7247	4	59	15	0.000000	1	55	54.000000	2013-05-08
CE0901	7121	1	65	15	54.230000	6	35	39.130000	2013-05-08
CE0901	7121	2	65	19	6.740000	6	48	36.050000	2013-05-08
CE0901	7121	3	65	15	32.740000	6	53	38.660000	2013-05-08
CE0901	7121	4	65	12	20.660000	6	40	42.870000	2013-05-08
CE0902	7122	1	64	17	49.910000	7	51	13.790000	2013-05-08
CE0902	7122	2	64	13	37.130000	7	56	44.010000	2013-05-08
CE0902	7122	3	64	11	13.410000	7	47	3.990000	2013-05-08
CE0902	7122	4	64	15	25.820000	7	41	32.780000	2013-05-08
CE1001	7318	1	57	6	7.770000	3	3	24.440000	2013-05-08
CE1001	7318	2	57	3	19.740000	3	7	16.330000	2013-05-08
CE1001	7318	3	57	1	23.150000	3	2	31.820000	2013-05-08
CE1001	7318	4	57	4	11.040000	2	58	39.770000	2013-05-08
CE1001	7318	5	57	6	7.850000	2	50	37.680000	2013-05-08
CE1001	7318	6	57	4	32.000000	3	1	50.000000	2013-05-08
CE1001	7318	7	57	8	16.760000	3	3	59.090000	2013-05-08
CE1002	7361	1	57	4	10.000000	3	2	15.000000	2013-05-08
CE1002	7361	2	57	4	10.000000	3	2	50.000000	2013-05-08
CE1002	7361	3	57	3	25.000000	3	2	50.000000	2013-05-08
CE1002	7361	4	57	3	25.000000	3	2	15.000000	2013-05-08
CE1101	7407	1	65	13	20.660000	6	33	51.810000	2013-05-08
CE1101	7407	2	65	11	53.810000	6	41	0.130000	2013-05-08
CE1101	7407	3	65	13	35.070000	6	45	13.850000	2013-05-08
CE1101	7407	4	65	13	32.020000	6	45	21.370000	2013-05-08
CE1101	7407	5	65	11	46.200000	6	41	37.540000	2013-05-08
CE1101	7407	6	65	11	7.080000	6	44	49.550000	2013-05-08
CE1101	7407	7	65	5	46.090000	6	38	40.440000	2013-05-08
CE1101	7407	8	65	7	59.110000	6	27	43.970000	2013-05-08
CE1101	7407	9	65	9	55.340000	6	29	56.620000	2013-05-08
CE1101	7407	10	65	10	12.580000	6	25	39.510000	2013-05-08
CE1101	7407	11	65	10	17.210000	6	25	40.910000	2013-05-08
CE1101	7407	12	65	10	6.390000	6	30	9.240000	2013-05-08
CE1201	7654	1	57	9	20.390000	3	0	20.890000	2013-05-08
CE1201	7654	2	57	9	20.000000	3	9	48.700000	2013-05-08
CE1201	7654	3	57	0	56.590000	3	9	46.490000	2013-05-08
CE1201	7654	4	57	0	56.970000	3	0	20.810000	2013-05-08
CE1201	7654	5	57	3	49.140000	3	0	20.840000	2013-05-08
CE1201	7654	6	57	4	19.730000	2	50	56.620000	2013-05-08
CE1201	7654	7	57	4	33.440000	2	50	58.460000	2013-05-08
CE1201	7654	8	57	4	13.810000	3	0	20.840000	2013-05-08
CE1201	7654	9	57	6	55.770000	3	0	20.860000	2013-05-08
CE1201	7654	10	57	7	12.140000	2	48	20.510000	2013-05-08
CE1201	7654	11	57	7	23.880000	2	48	20.210000	2013-05-08
CE1201	7654	12	57	7	20.890000	3	0	20.870000	2013-05-08
CE1202	7688	1	57	16	22.000000	2	40	28.000000	2013-05-08
CE1202	7688	2	56	54	39.000000	2	40	34.000000	2013-05-08
CE1202	7688	3	56	54	17.000000	3	24	42.000000	2013-05-08
CE1202	7688	4	57	16	3.000000	3	24	20.000000	2013-05-08
CE1202	7688	5	57	16	22.000000	2	40	28.000000	2013-05-08
CE1203	7678	1	60	2	41.380000	2	17	2.740000	2013-05-08
CE1203	7678	2	60	2	44.440000	2	27	48.970000	2013-05-08
CE1203	7678	3	59	57	21.210000	2	27	54.200000	2013-05-08
CE1203	7678	4	59	54	32.390000	2	31	45.340000	2013-05-08
CE1203	7678	5	59	54	36.330000	2	40	6.040000	2013-05-08
CE1203	7678	6	59	50	3.130000	2	40	8.760000	2013-05-08
CE1203	7678	7	59	36	59.850000	3	11	46.930000	2013-05-08
CE1203	7678	8	59	36	22.990000	3	10	44.970000	2013-05-08
CE1203	7678	9	59	49	13.010000	2	39	38.640000	2013-05-08
CE1203	7678	10	59	49	9.280000	2	22	36.580000	2013-05-08
CE1203	7678	11	59	51	26.580000	2	22	34.010000	2013-05-08
CE1203	7678	12	59	52	25.810000	2	3	9.120000	2013-05-08
CE1203	7678	13	59	53	14.100000	2	3	12.890000	2013-05-08
CE1203	7678	14	59	52	40.120000	2	22	32.630000	2013-05-08
CE1203	7678	15	59	57	19.770000	2	22	27.380000	2013-05-08
CE1203	7678	16	59	57	18.160000	2	17	9.710000	2013-05-08
CE13300	7770	1	57	5	1.000000	3	2	29.100000	2013-05-08
CE13300	7770	2	57	5	0.700000	3	8	54.000000	2013-05-08
CE13300	7770	3	57	1	25.700000	3	8	53.100000	2013-05-08
CE13300	7770	4	57	1	25.900000	3	2	28.900000	2013-05-08
CGGV-10-01	7198	1	57	54	56.000000	1	46	45.000000	2013-05-08
CGGV-10-01	7198	2	57	54	51.000000	2	6	56.000000	2013-05-08
CGGV-10-01	7198	3	57	51	37.000000	2	7	10.000000	2013-05-08
CGGV-10-01	7198	4	57	38	16.000000	2	18	31.000000	2013-05-08
CGGV-10-01	7198	5	57	25	43.000000	2	18	7.000000	2013-05-08
CGGV-10-01	7198	6	57	25	55.000000	1	42	40.000000	2013-05-08
CGGV-10-01	7198	7	57	48	37.000000	1	42	55.000000	2013-05-08
CGGV-10-01	7198	8	57	51	42.000000	1	46	44.000000	2013-05-08
CGGV-10-01	7198	9	57	54	56.000000	1	46	45.000000	2013-05-08
CGGV-10-03	7354	1	59	0	53.000000	2	46	11.000000	2013-05-08
CGGV-10-03	7354	2	59	5	43.000000	2	36	36.000000	2013-05-08
CGGV-10-03	7354	3	58	41	26.000000	1	47	50.000000	2013-05-08
CGGV-10-03	7354	4	58	36	23.000000	1	56	22.000000	2013-05-08
CGGV-11-01	7380	1	59	0	53.000000	2	46	11.000000	2013-05-08
CGGV-11-01	7380	2	59	5	43.000000	2	36	36.000000	2013-05-08
CGGV-11-01	7380	3	58	41	26.000000	1	47	50.000000	2013-05-08
CGGV-11-01	7380	4	58	36	23.000000	1	56	22.000000	2013-05-08
CGGV0902	7036	1	57	12	23.000000	2	34	34.000000	2013-05-08
CGGV0902	7036	2	56	54	36.000000	2	35	42.000000	2013-05-08
CGGV0902	7036	3	56	54	36.000000	2	17	13.000000	2013-05-08
CGGV0902	7036	4	57	12	23.000000	2	16	49.000000	2013-05-08
CGGV0902	7036	5	57	12	23.000000	2	34	34.000000	2013-05-08
CGGV0903	7037	1	57	29	6.430000	1	42	33.500000	2013-05-08
CGGV0903	7037	2	57	48	34.450000	1	42	49.330000	2013-05-08
CGGV0903	7037	3	57	51	40.200000	1	46	37.850000	2013-05-08
CGGV0903	7037	4	57	54	54.200000	1	46	39.410000	2013-05-08
CGGV0903	7037	5	57	54	46.170000	2	14	43.520000	2013-05-08
CGGV0903	7037	6	57	43	10.470000	2	14	33.110000	2013-05-08
CGGV0903	7037	7	57	43	10.070000	2	18	34.850000	2013-05-08
CGGV0903	7037	8	57	25	40.280000	2	18	1.210000	2013-05-08
CGGV0903	7037	9	57	25	52.410000	1	42	34.570000	2013-05-08
CGGV0903	7037	10	57	29	6.430000	1	42	33.500000	2013-05-08
CGGV0904	7118	1	56	35	32.070000	3	38	23.650000	2013-05-08
CGGV0904	7118	2	56	3	30.820000	3	36	21.470000	2013-05-08
CGGV0904	7118	3	55	55	48.040000	3	8	2.370000	2013-05-08
CGGV0904	7118	4	56	35	30.960000	3	10	4.240000	2013-05-08
CGGV0904	7118	5	56	35	32.070000	3	38	23.650000	2013-05-08
CGGV1002	7207	1	66	8	58.700000	3	10	39.780000	2013-05-08
CGGV1002	7207	2	66	7	29.370000	3	58	40.850000	2013-05-08
CGGV1002	7207	3	65	53	7.070000	3	58	21.600000	2013-05-08
CGGV1002	7207	4	65	27	21.180000	3	11	45.610000	2013-05-08
CGGV1002	7207	5	65	27	37.240000	2	22	52.650000	2013-05-08
CGGV1002	7207	6	65	42	1.320000	2	23	6.570000	2013-05-08
CGGV1002	7207	7	66	8	58.700000	3	10	39.780000	2013-05-08
CGGV11001	7471	1	58	15	0.000000	1	38	54.500000	2013-05-08
CGGV11001	7471	2	58	25	36.300000	2	9	31.300000	2013-05-08
CGGV11001	7471	3	58	10	45.300000	2	19	54.100000	2013-05-08
CGGV11001	7471	4	58	3	16.000000	1	49	40.400000	2013-05-08
CGGV1103	7490	1	64	35	0.000000	6	38	0.000000	2013-05-08
CGGV1103	7490	2	64	15	43.000000	7	22	0.000000	2013-05-08
CGGV1103	7490	3	64	11	0.000000	7	13	0.000000	2013-05-08
CGGV1103	7490	4	64	30	0.000000	6	30	0.000000	2013-05-08
CGGV1104	7491	1	64	30	0.000000	7	32	0.000000	2013-05-08
CGGV1104	7491	2	64	30	0.000000	8	0	0.000000	2013-05-08
CGGV1104	7491	3	64	0	0.000000	8	0	0.000000	2013-05-08
CGGV1104	7491	4	64	0	0.000000	7	32	0.000000	2013-05-08
CGGV1105	7492	1	63	55	0.000000	5	40	0.000000	2013-05-08
CGGV1105	7492	2	63	7	0.000000	5	40	0.000000	2013-05-08
CGGV1105	7492	3	63	7	0.000000	5	0	0.000000	2013-05-08
CGGV1105	7492	4	63	55	0.000000	5	0	0.000000	2013-05-08
CGGV1106	7494	1	63	22	0.000000	-2	-10	0.000000	2013-05-08
CGGV1106	7494	2	63	22	0.000000	3	35	0.000000	2013-05-08
CGGV1106	7494	3	61	11	0.000000	3	33	0.000000	2013-05-08
CGGV1106	7494	4	61	6	30.000000	1	0	0.000000	2013-05-08
CGGV1107	7496	1	64	22	0.000000	5	31	0.000000	2013-05-08
CGGV1107	7496	2	64	24	0.000000	6	8	0.000000	2013-05-08
CGGV1107	7496	3	64	7	0.000000	6	20	0.000000	2013-05-08
CGGV1107	7496	4	64	0	0.000000	5	40	0.000000	2013-05-08
CGGV1108	7497	1	58	12	0.000000	1	42	0.000000	2013-05-08
CGGV1108	7497	2	58	16	0.000000	1	55	0.000000	2013-05-08
CGGV1108	7497	3	58	13	0.000000	1	58	0.000000	2013-05-08
CGGV1108	7497	4	58	9	0.000000	1	44	0.000000	2013-05-08
CGGV1109	7498	1	60	21	0.000000	1	59	0.000000	2013-05-08
CGGV1109	7498	2	60	21	0.000000	2	20	0.000000	2013-05-08
CGGV1109	7498	3	60	7	0.000000	2	20	0.000000	2013-05-08
CGGV1109	7498	4	60	7	0.000000	2	2	0.000000	2013-05-08
CGGV1110	7539	1	67	4	36.860000	1	33	6.310000	2013-05-08
CGGV1110	7539	2	66	28	54.740000	4	5	39.330000	2013-05-08
CGGV1110	7539	3	65	55	41.360000	4	31	31.770000	2013-05-08
CGGV1110	7539	4	66	43	31.270000	1	33	12.300000	2013-05-08
CGGV1111	7540	1	64	39	31.010000	7	57	11.030000	2013-05-08
CGGV1111	7540	2	64	37	54.830000	6	0	3.740000	2013-05-08
CGGV1111	7540	3	64	43	17.410000	5	59	28.010000	2013-05-08
CGGV1111	7540	4	64	44	53.980000	7	56	58.540000	2013-05-08
CGGV1112	7541	1	67	41	5.870000	6	33	32.270000	2013-05-08
CGGV1112	7541	2	67	41	19.660000	6	47	41.030000	2013-05-08
CGGV1112	7541	3	67	19	56.600000	7	14	40.270000	2013-05-08
CGGV1112	7541	4	66	58	37.160000	7	9	28.460000	2013-05-08
CGGV1112	7541	5	66	55	37.400000	6	52	25.770000	2013-05-08
CGGV1112	7541	6	66	55	24.110000	6	38	43.490000	2013-05-08
CGGV1113	7542	1	61	8	35.780000	3	51	18.820000	2013-05-08
CGGV1113	7542	2	61	2	31.940000	3	4	33.770000	2013-05-08
CGGV1113	7542	3	61	7	43.580000	3	1	37.000000	2013-05-08
CGGV1113	7542	4	61	13	48.410000	3	48	29.200000	2013-05-08
CGGV1114	7543	1	60	15	1.510000	2	18	57.910000	2013-05-08
CGGV1114	7543	2	60	4	15.790000	2	17	10.010000	2013-05-08
CGGV1114	7543	3	60	4	42.110000	2	6	25.330000	2013-05-08
CGGV1114	7543	4	60	15	32.060000	2	8	10.400000	2013-05-08
CGGV1114	7543	5	60	19	5.410000	2	8	45.130000	2013-05-08
CGGV1114	7543	6	60	20	2.920000	2	14	57.590000	2013-05-08
CGGV1114	7543	7	60	22	11.090000	2	28	57.020000	2013-05-08
CGGV1114	7543	8	60	23	41.890000	2	43	41.690000	2013-05-08
CGGV1114	7543	9	60	18	25.230000	2	45	52.510000	2013-05-08
CGGV1114	7543	10	60	16	57.860000	2	31	39.230000	2013-05-08
CGGV1301	7769	1	65	11	4.010000	4	59	15.850000	2013-05-08
CGGV1301	7769	2	65	11	25.850000	6	30	20.050000	2013-05-08
CGGV1301	7769	3	64	57	25.830000	6	30	21.530000	2013-05-08
CGGV1301	7769	4	64	57	20.930000	6	54	4.760000	2013-05-08
CGGV1301	7769	5	64	18	40.480000	6	54	0.860000	2013-05-08
CGGV1301	7769	6	64	18	28.130000	5	25	7.510000	2013-05-08
CGGV1301	7769	7	64	44	18.900000	5	24	45.930000	2013-05-08
CGGV1301	7769	8	64	44	4.240000	5	0	14.690000	2013-05-08
CGGVMCNV1201	7588	1	62	31	19.700000	0	59	4.910000	2013-05-08
CGGVMCNV1201	7588	2	62	31	0.630000	2	56	56.200000	2013-05-08
CGGVMCNV1201	7588	3	61	38	39.710000	2	57	1.400000	2013-05-08
CGGVMCNV1201	7588	4	61	33	2.520000	2	9	3.280000	2013-05-08
CGGVMCNV1201	7588	5	61	33	8.500000	1	40	17.600000	2013-05-08
CGGVMCNV1201	7588	6	61	54	9.560000	1	26	19.400000	2013-05-08
CGGVMCNV1201	7588	7	62	2	34.940000	1	26	21.010000	2013-05-08
CGGVMCNV1201	7588	8	62	2	35.420000	1	20	28.760000	2013-05-08
CGGVMCNV1201	7588	9	62	25	57.710000	1	3	35.810000	2013-05-08
CGGVMCNV1202	7630	1	64	57	10.100000	5	24	18.750000	2013-05-08
CGGVMCNV1202	7630	2	64	57	20.930000	6	54	4.760000	2013-05-08
CGGVMCNV1202	7630	3	64	18	40.480000	6	54	0.860000	2013-05-08
CGGVMCNV1202	7630	4	64	18	28.130000	5	25	7.510000	2013-05-08
CGGVMCNV1203	7703	1	59	46	15.440000	2	39	28.940000	2013-05-08
CGGVMCNV1203	7703	2	59	47	18.970000	3	4	44.750000	2013-05-08
CGGVMCNV1203	7703	3	59	12	18.760000	2	49	51.520000	2013-05-08
CGGVMCNV1203	7703	4	59	14	0.170000	2	34	8.030000	2013-05-08
CGGVMCNV1203	7703	5	59	18	4.210000	2	14	7.810000	2013-05-08
CGR2010P2	7341	0	56	35	4.560000	2	37	2.020000	2013-05-08
CGR2010P2	7341	1	56	56	55.590000	2	26	28.550000	2013-05-08
CGR2010P2	7341	2	57	5	47.250000	3	32	54.150000	2013-05-08
CGR2010P2	7341	3	56	44	13.530000	3	51	54.100000	2013-05-08
CGR2010P2	7341	4	56	31	22.350000	2	42	21.000000	2013-05-08
CGR2010P3	7342	1	58	20	11.240000	1	33	59.900000	2013-05-08
CGR2010P3	7342	2	58	27	56.880000	2	19	57.450000	2013-05-08
CGR2010P3	7342	3	58	8	58.610000	2	19	58.950000	2013-05-08
CGR2010P3	7342	4	58	4	16.000000	1	48	41.500000	2013-05-08
CoPh0901	7064	1	56	29	22.640000	3	9	57.640000	2013-05-08
CoPh0901	7064	2	56	32	4.350000	3	9	58.350000	2013-05-08
CoPh0901	7064	3	56	32	3.860000	3	14	51.000000	2013-05-08
CoPh0901	7064	4	56	29	22.160000	3	14	49.940000	2013-05-08
CP0902	7131	1	56	36	16.600000	3	11	35.740000	2013-05-08
CP0902	7131	2	56	36	31.510000	3	13	29.880000	2013-05-08
CP0902	7131	3	56	32	13.410000	3	15	20.380000	2013-05-08
CP0902	7131	4	56	31	58.530000	3	13	26.450000	2013-05-08
CP1099	7304	1	57	2	9.720000	2	30	19.830000	2013-05-08
CP1099	7304	2	56	57	41.590000	2	33	47.270000	2013-05-08
CP1099	7304	3	56	59	15.650000	2	40	36.640000	2013-05-08
CP1099	7304	4	57	3	43.970000	2	37	9.880000	2013-05-08
CP10L01	7349	1	56	36	52.870000	3	5	46.070000	2013-05-08
CP10L01	7349	2	56	38	17.600000	3	16	37.780000	2013-05-08
CP10L01	7349	3	56	27	21.960000	3	21	10.460000	2013-05-08
CP10L01	7349	4	56	25	59.230000	3	10	27.550000	2013-05-08
CP11101	7484	1	71	55	52.000000	18	53	50.000000	2013-05-08
CP11101	7484	2	71	55	11.000000	20	41	10.000000	2013-05-08
CP11101	7484	3	71	42	18.000000	20	39	45.000000	2013-05-08
CP11101	7484	4	71	42	56.000000	18	53	36.000000	2013-05-08
CP11L02	7412	1	56	36	52.870000	3	5	46.070000	2013-05-08
CP11L02	7412	2	56	38	17.600000	3	16	37.780000	2013-05-08
CP11L02	7412	3	56	27	21.960000	3	21	10.460000	2013-05-08
CP11L02	7412	4	56	25	59.230000	3	10	27.550000	2013-05-08
CP11L03	7521	1	56	36	52.870000	3	5	46.670000	2013-05-08
CP11L03	7521	2	56	38	17.600000	3	16	37.780000	2013-05-08
CP11L03	7521	3	56	27	21.960000	3	21	10.460000	2013-05-08
CP11L03	7521	4	56	25	59.230000	3	10	27.550000	2013-05-08
CP12201	7578	1	56	32	16.000000	3	12	58.000000	2013-05-08
CP12201	7578	2	56	20	53.000000	3	28	32.000000	2013-05-08
CP12201	7578	3	56	16	2.000000	3	17	0.000000	2013-05-08
CP12201	7578	4	56	27	24.000000	3	1	24.000000	2013-05-08
CP12301	7714	1	56	22	17.000000	3	10	16.000000	2013-05-08
CP12301	7714	2	56	19	22.000000	3	15	28.000000	2013-05-08
CP12301	7714	3	56	22	2.000000	3	20	17.000000	2013-05-08
CP12301	7714	4	56	24	56.000000	3	15	5.000000	2013-05-08
CP12L04	7640	1	56	36	52.870000	3	5	46.670000	2013-05-08
CP12L04	7640	2	56	38	17.600000	3	16	37.780000	2013-05-08
CP12L04	7640	3	56	27	21.960000	3	21	10.460000	2013-05-08
CP12L04	7640	4	56	25	59.230000	3	10	27.550000	2013-05-08
CP13301	7824	1	56	41	17.640000	3	15	57.040000	2013-05-08
CP13301	7824	2	56	40	17.680000	3	21	53.300000	2013-05-08
CP13301	7824	3	56	36	7.350000	3	19	37.490000	2013-05-08
CP13301	7824	4	56	37	19.030000	3	13	26.470000	2013-05-08
CP13L05	7790	1	56	36	52.870000	3	5	46.670000	2013-05-08
CP13L05	7790	2	56	38	17.600000	3	16	37.780000	2013-05-08
CP13L05	7790	3	56	27	21.960000	3	21	10.460000	2013-05-08
CP13L05	7790	4	56	25	59.230000	3	10	27.550000	2013-05-08
CVX0901	7106	1	66	42	25.000000	2	0	0.000000	2013-05-08
CVX0901	7106	2	66	47	48.000000	5	21	27.000000	2013-05-08
CVX0901	7106	3	67	57	29.000000	5	13	49.000000	2013-05-08
CVX0901	7106	4	67	46	3.000000	2	26	47.000000	2013-05-08
CVX0902	7133	1	67	39	13.400000	3	18	52.000000	2013-05-08
CVX0902	7133	2	67	35	56.600000	3	6	27.300000	2013-05-08
CVX0902	7133	3	66	45	48.400000	4	31	3.400000	2013-05-08
CVX0902	7133	4	66	48	19.600000	4	41	12.500000	2013-05-08
CVX1101	7420	1	67	41	50.730000	4	41	48.280000	2013-05-08
CVX1101	7420	2	67	15	56.670000	5	15	4.310000	2013-05-08
CVX1101	7420	3	66	48	8.180000	2	56	44.320000	2013-05-08
CVX1101	7420	4	67	13	33.010000	2	21	6.250000	2013-05-08
CVX1201	7646	1	66	2	28.130000	2	47	11.270000	2013-05-08
CVX1201	7646	2	65	59	9.580000	1	27	41.020000	2013-05-08
CVX1201	7646	3	66	49	29.540000	1	14	18.570000	2013-05-08
CVX1201	7646	4	66	52	56.890000	2	36	25.870000	2013-05-08
DA1201	7614	0	62	21	22.680000	3	8	13.000000	2013-05-08
DA1201	7614	1	62	23	18.730000	3	47	40.490000	2013-05-08
DA1201	7614	2	61	56	45.510000	3	55	27.300000	2013-05-08
DA1201	7614	3	61	49	29.600000	3	26	0.270000	2013-05-08
DA1201	7614	4	61	49	29.600000	3	17	24.820000	2013-05-08
DA1201	7614	5	62	3	46.850000	2	52	29.800000	2013-05-08
DA1201	7614	6	62	11	7.060000	2	50	47.360000	2013-05-08
DA1202	7752	1	56	26	19.000000	3	45	47.000000	2013-05-08
DA1202	7752	2	56	28	53.000000	3	54	28.000000	2013-05-08
DA1202	7752	3	56	25	15.000000	3	59	48.000000	2013-05-08
DA1202	7752	4	56	20	23.000000	3	59	53.000000	2013-05-08
DA1202	7752	5	56	20	20.000000	3	55	13.000000	2013-05-08
DA1202	7752	6	56	22	6.000000	3	55	1.000000	2013-05-08
DA1202	7752	7	56	25	6.000000	3	50	10.000000	2013-05-08
DA1203	7764	1	56	25	24.000000	3	53	59.000000	2013-05-08
DA1203	7764	2	56	24	19.000000	3	53	57.000000	2013-05-08
DA1203	7764	3	56	24	19.000000	3	55	54.000000	2013-05-08
DA1203	7764	4	56	25	23.000000	3	55	56.000000	2013-05-08
Dg 1101	7365	1	71	12	14.000000	21	41	20.000000	2013-05-08
Dg 1101	7365	2	71	14	44.000000	21	53	26.000000	2013-05-08
Dg 1101	7365	3	71	18	37.000000	21	45	40.000000	2013-05-08
Dg 1101	7365	4	71	16	7.000000	21	33	33.000000	2013-05-08
DG0901	7053	1	71	13	33.000000	22	6	1.000000	2013-05-08
DG0901	7053	2	71	21	37.000000	22	40	22.000000	2013-05-08
DG0901	7053	3	71	36	14.000000	22	2	4.000000	2013-05-08
DG0901	7053	4	71	9	34.000000	20	13	11.000000	2013-05-08
DG0901	7053	5	70	59	52.000000	20	41	29.000000	2013-05-08
DG0901	7053	6	71	3	36.000000	21	16	0.000000	2013-05-08
DG0901	7053	7	71	4	18.000000	21	22	24.000000	2013-05-08
DG1103	7475	1	72	51	14.000000	23	0	21.000000	2013-05-08
DG1103	7475	2	73	21	21.000000	23	1	4.000000	2013-05-08
DG1103	7475	3	73	21	51.000000	21	47	53.000000	2013-05-08
DG1103	7475	4	72	51	44.000000	21	47	26.000000	2013-05-08
DG12-301	7704	1	56	25	21.000000	4	9	42.000000	2013-05-08
DG12-301	7704	2	56	21	3.000000	4	9	35.000000	2013-05-08
DG12-301	7704	3	56	20	58.000000	4	17	20.000000	2013-05-08
DG12-301	7704	4	56	25	17.000000	4	17	29.000000	2013-05-08
DG12-302	7705	1	56	27	4.000000	4	8	15.000000	2013-05-08
DG12-302	7705	2	56	25	27.000000	4	8	12.000000	2013-05-08
DG12-302	7705	3	56	25	25.000000	4	11	7.000000	2013-05-08
DG12-302	7705	4	56	27	2.000000	4	11	10.000000	2013-05-08
DG1203	7723	1	56	23	59.000000	4	12	6.000000	2013-05-08
DG1203	7723	2	56	22	22.000000	4	12	3.000000	2013-05-08
DG1203	7723	3	56	22	21.000000	4	14	58.000000	2013-05-08
DG1203	7723	4	56	23	58.000000	4	15	1.000000	2013-05-08
DG1204	7724	1	56	27	4.000000	4	8	15.000000	2013-05-08
DG1204	7724	2	56	25	27.000000	4	8	12.000000	2013-05-08
DG1204	7724	3	56	25	25.000000	4	11	7.000000	2013-05-08
DG1204	7724	4	56	27	2.000000	4	11	10.000000	2013-05-08
DG1204-2	7760	1	56	27	4.000000	4	8	15.000000	2013-05-08
DG1204-2	7760	2	56	25	27.000000	4	8	12.000000	2013-05-08
DG1204-2	7760	3	56	25	25.000000	4	11	7.000000	2013-05-08
DG1204-2	7760	4	56	27	2.000000	4	11	10.000000	2013-05-08
DN0901	7150	1	56	32	0.000000	4	18	0.000000	2013-05-08
DN0901	7150	2	56	36	0.000000	4	22	0.000000	2013-05-08
DN0901	7150	3	56	37	0.000000	3	58	0.000000	2013-05-08
DN0901	7150	4	56	42	0.000000	4	3	0.000000	2013-05-08
DN0902	7044	1	64	31	38.960000	7	7	11.240000	2013-05-08
DN0902	7044	2	64	30	36.840000	7	41	47.860000	2013-05-08
DN0902	7044	3	63	53	50.360000	7	18	2.560000	2013-05-08
DN0902	7044	4	63	53	54.900000	6	57	41.300000	2013-05-08
DN0902	7044	5	63	55	14.290000	6	44	16.190000	2013-05-08
DN0902	7044	6	64	31	38.960000	7	7	11.240000	2013-05-08
DN0903	7068	1	58	19	0.000000	1	45	0.000000	2013-05-08
DN0903	7068	2	58	19	0.000000	2	4	0.000000	2013-05-08
DN0903	7068	3	58	9	0.000000	2	4	0.000000	2013-05-08
DN0903	7068	4	58	9	0.000000	1	45	0.000000	2013-05-08
DN0904	7062	1	60	58	28.500000	2	18	32.290000	2013-05-08
DN0904	7062	2	60	58	26.980000	2	32	54.690000	2013-05-08
DN0904	7062	3	60	56	43.780000	2	33	9.420000	2013-05-08
DN0904	7062	4	60	52	53.060000	2	38	5.070000	2013-05-08
DN0904	7062	5	60	51	19.770000	2	37	57.090000	2013-05-08
DN0904	7062	6	60	50	41.910000	2	39	34.640000	2013-05-08
DN0904	7062	7	60	45	45.920000	2	39	37.780000	2013-05-08
DN0904	7062	8	60	36	58.990000	2	10	39.220000	2013-05-08
DN0904	7062	9	60	36	52.910000	1	56	15.990000	2013-05-08
DN0904	7062	10	60	40	46.650000	1	55	34.160000	2013-05-08
DN0904	7062	11	60	51	28.000000	1	55	34.390000	2013-05-08
DN0904	7062	12	60	58	28.500000	2	18	32.290000	2013-05-08
DN0906	7083	1	57	4	13.000000	2	46	7.000000	2013-05-08
DN0906	7083	2	57	4	14.000000	2	55	2.000000	2013-05-08
DN0906	7083	3	56	59	23.000000	2	54	57.000000	2013-05-08
DN0906	7083	4	56	59	22.000000	2	46	9.000000	2013-05-08
DN0907	7084	1	58	57	56.000000	2	6	13.000000	2013-05-08
DN0907	7084	2	58	57	59.000000	2	15	3.000000	2013-05-08
DN0907	7084	3	58	54	8.000000	2	15	8.000000	2013-05-08
DN0907	7084	4	58	54	5.000000	2	6	19.000000	2013-05-08
DN0909	7105	1	60	34	0.000000	3	56	11.000000	2013-05-08
DN0909	7105	2	60	28	10.000000	3	56	4.000000	2013-05-08
DN0909	7105	3	60	27	19.000000	3	59	22.000000	2013-05-08
DN0909	7105	4	60	24	30.000000	4	12	4.000000	2013-05-08
DN0909	7105	5	60	34	30.000000	4	20	57.000000	2013-05-08
DN0909	7105	6	60	36	10.000000	4	13	22.000000	2013-05-08
DN0909	7105	7	60	37	22.000000	4	14	37.000000	2013-05-08
DN0909	7105	8	60	40	39.000000	4	1	45.000000	2013-05-08
DN0910	7109	1	56	38	55.000000	4	5	48.000000	2013-05-08
DN0910	7109	2	56	38	35.000000	4	5	48.000000	2013-05-08
DN0910	7109	3	56	38	35.000000	4	5	25.000000	2013-05-08
DN0910	7109	4	56	38	55.000000	4	5	25.000000	2013-05-08
DN0912	7139	1	63	40	0.000000	6	30	0.000000	2013-05-08
DN0912	7139	2	63	50	4.000000	6	30	0.000000	2013-05-08
DN0912	7139	3	63	50	0.000000	6	39	11.000000	2013-05-08
DN0912	7139	4	63	54	3.000000	6	39	23.000000	2013-05-08
DN0912	7139	5	63	53	40.000000	7	0	0.000000	2013-05-08
DN0912	7139	6	63	45	0.000000	7	0	0.000000	2013-05-08
DN0912	7139	7	63	45	0.000000	6	41	12.000000	2013-05-08
DN0912	7139	8	63	40	0.000000	6	41	0.000000	2013-05-08
DN1001	7233	1	59	45	50.000000	2	33	28.000000	2013-05-08
DN1001	7233	2	59	44	20.000000	2	43	30.000000	2013-05-08
DN1001	7233	3	59	43	18.000000	2	48	42.000000	2013-05-08
DN1001	7233	4	59	43	19.000000	2	57	14.000000	2013-05-08
DN1001	7233	5	59	39	1.000000	2	57	15.000000	2013-05-08
DN1001	7233	6	59	39	0.000000	2	48	44.000000	2013-05-08
DN1001	7233	7	59	39	56.000000	2	40	54.000000	2013-05-08
DN1001	7233	8	59	41	27.000000	2	30	53.000000	2013-05-08
DN1002	7313	1	59	55	21.480000	2	9	5.690000	2013-05-08
DN1002	7313	2	59	52	39.980000	2	19	15.960000	2013-05-08
DN1002	7313	3	59	47	23.200000	2	13	43.980000	2013-05-08
DN1002	7313	4	59	50	4.280000	2	3	34.880000	2013-05-08
DN1003	7317	1	65	58	37.530000	7	54	9.630000	2013-05-08
DN1003	7317	2	65	58	43.300000	8	9	25.030000	2013-05-08
DN1003	7317	3	65	52	45.500000	8	9	36.780000	2013-05-08
DN1003	7317	4	65	52	39.750000	7	54	24.920000	2013-05-08
DN1004	7345	1	57	1	15.600000	2	51	17.800000	2013-05-08
DN1004	7345	2	57	1	15.600000	2	51	36.500000	2013-05-08
DN1004	7345	3	57	1	24.600000	2	51	36.500000	2013-05-08
DN1004	7345	4	57	1	24.600000	2	51	17.800000	2013-05-08
DN1101	7375	1	59	2	50.000000	2	10	22.000000	2013-05-08
DN1101	7375	2	59	2	50.000000	2	14	58.000000	2013-05-08
DN1101	7375	3	59	1	15.000000	2	14	51.000000	2013-05-08
DN1101	7375	4	58	59	53.000000	2	10	38.000000	2013-05-08
DN1101	7375	5	58	56	50.000000	2	10	41.000000	2013-05-08
DN1101	7375	6	58	56	50.000000	2	13	45.000000	2013-05-08
DN1101	7375	7	58	54	0.000000	2	13	51.000000	2013-05-08
DN1101	7375	8	58	54	0.000000	2	8	27.000000	2013-05-08
DN1101	7375	9	58	56	50.000000	2	8	27.000000	2013-05-08
DN1101	7375	10	58	56	50.000000	2	10	22.000000	2013-05-08
DN1102	7393	1	57	13	0.000000	2	22	0.000000	2013-05-08
DN1102	7393	2	57	16	15.000000	2	22	0.000000	2013-05-08
DN1102	7393	3	57	16	15.000000	2	29	0.000000	2013-05-08
DN1102	7393	4	57	13	0.000000	2	29	0.000000	2013-05-08
DN1103	7413	1	59	27	27.300000	2	22	17.800000	2013-05-08
DN1103	7413	2	59	26	58.000000	2	22	44.500000	2013-05-08
DN1103	7413	3	59	26	51.340000	2	22	16.400000	2013-05-08
DN1103	7413	4	59	24	23.500000	2	22	35.800000	2013-05-08
DN1103	7413	5	59	23	58.800000	2	22	36.300000	2013-05-08
DN1103	7413	6	59	23	58.500000	2	21	32.900000	2013-05-08
DN1103	7413	7	59	24	22.200000	2	21	32.450000	2013-05-08
DN1103	7413	8	59	27	11.340000	2	21	10.130000	2013-05-08
DN1103	7413	9	59	27	27.300000	2	22	17.800000	2013-05-08
DN1104	7439	1	59	41	41.000000	2	46	18.000000	2013-05-08
DN1104	7439	2	59	45	43.000000	2	46	16.000000	2013-05-08
DN1104	7439	3	59	45	44.000000	2	54	17.000000	2013-05-08
DN1104	7439	4	59	41	41.000000	2	54	17.000000	2013-05-08
DN1105	7480	1	59	24	14.000000	2	22	6.000000	2013-05-08
DN1105	7480	2	59	24	13.000000	2	22	7.000000	2013-05-08
DN1105	7480	3	59	24	13.000000	2	22	6.000000	2013-05-08
DN1105	7480	4	59	24	13.000000	2	22	6.000000	2013-05-08
DN1106	7483	1	58	55	10.000000	2	11	35.000000	2013-05-08
DN1106	7483	2	58	55	10.000000	2	11	59.000000	2013-05-08
DN1106	7483	3	59	2	50.000000	2	13	0.000000	2013-05-08
DN1106	7483	4	59	2	50.000000	2	11	30.000000	2013-05-08
DN1107	7482	1	57	14	32.000000	2	26	27.000000	2013-05-08
DN1107	7482	2	57	14	32.000000	2	26	40.000000	2013-05-08
DN1107	7482	3	57	14	22.000000	2	26	40.000000	2013-05-08
DN1107	7482	4	57	14	22.000000	2	26	27.000000	2013-05-08
DN1108	7528	1	59	27	27.000000	2	20	36.000000	2013-05-08
DN1108	7528	2	59	25	0.000000	2	28	27.000000	2013-05-08
DN1108	7528	3	59	21	0.000000	2	23	39.000000	2013-05-08
DN1108	7528	4	59	23	26.000000	2	15	48.000000	2013-05-08
DN1201	7568	1	57	14	11.500000	2	26	0.400000	2013-05-08
DN1201	7568	2	57	14	44.000000	2	26	0.000000	2013-05-08
DN1201	7568	3	57	14	44.000000	2	27	0.000000	2013-05-08
DN1201	7568	4	57	14	12.000000	2	27	0.000000	2013-05-08
DN1202	7591	1	59	4	48.800000	2	13	25.000000	2013-05-08
DN1202	7591	2	59	4	8.160000	2	17	31.000000	2013-05-08
DN1202	7591	3	58	55	15.600000	2	13	37.000000	2013-05-08
DN1202	7591	4	58	50	2.500000	2	16	51.600000	2013-05-08
DN1202	7591	5	58	49	18.000000	2	12	25.000000	2013-05-08
DN1202	7591	6	58	55	13.400000	2	8	43.200000	2013-05-08
DN1203	7695	1	56	54	37.810000	3	8	31.330000	2013-05-08
DN1203	7695	2	56	54	37.680000	3	16	2.220000	2013-05-08
DN1203	7695	3	56	51	20.940000	3	16	1.700000	2013-05-08
DN1203	7695	4	56	51	21.070000	3	8	31.460000	2013-05-08
DN1204	7740	1	56	53	30.000000	3	13	50.000000	2013-05-08
DN1204	7740	2	56	52	30.000000	3	13	50.000000	2013-05-08
DN1204	7740	3	56	52	30.000000	3	11	50.000000	2013-05-08
DN1204	7740	4	56	53	30.000000	3	11	50.000000	2013-05-08
DN1301	7778	1	72	8	20.000000	22	29	42.000000	2013-05-08
DN1301	7778	2	72	8	13.000000	22	42	58.000000	2013-05-08
DN1301	7778	3	72	4	25.000000	22	42	37.000000	2013-05-08
DN1301	7778	4	72	4	20.000000	22	29	24.000000	2013-05-08
DN1302	7852	1	58	49	55.000000	2	1	30.000000	2013-05-08
DN1302	7852	2	58	50	1.000000	2	17	43.000000	2013-05-08
DN1302	7852	3	58	51	1.000000	2	24	7.000000	2013-05-08
DN1302	7852	4	58	58	39.000000	2	24	3.000000	2013-05-08
DN1302	7852	5	59	0	27.000000	2	21	22.000000	2013-05-08
DN1302	7852	6	59	0	21.000000	2	1	11.000000	2013-05-08
DOLPH-13013D	7810	1	56	37	28.340000	0	35	47.380000	2013-05-08
DOLPH-13013D	7810	2	56	37	13.000000	2	47	3.180000	2013-05-08
DOLPH-13013D	7810	3	56	2	38.150000	3	30	0.000000	2013-05-08
DOLPH-13013D	7810	4	55	50	0.000000	3	30	0.000000	2013-05-08
DOLPH-13013D	7810	5	55	49	52.020000	1	59	47.070000	2013-05-08
DOLPH-13013D	7810	6	55	49	52.270000	0	35	50.310000	2013-05-08
DOLPH-13013D	7810	7	56	37	28.340000	0	35	47.380000	2013-05-08
DONG0901	7153	1	56	23	49.140000	4	14	47.090000	2013-05-08
DONG0901	7153	2	56	22	37.020000	4	15	53.000000	2013-05-08
DONG0901	7153	3	56	22	0.450000	4	13	43.070000	2013-05-08
DONG0901	7153	4	56	23	12.550000	4	12	37.110000	2013-05-08
Dong0902	7162	1	56	55	59.000000	2	39	18.000000	2013-05-08
Dong0902	7162	2	56	56	0.000000	2	43	14.000000	2013-05-08
Dong0902	7162	3	57	6	48.000000	2	53	4.000000	2013-05-08
Dong0902	7162	4	57	6	47.000000	2	47	7.000000	2013-05-08
DP0901	7045	1	66	0	0.000000	8	0	0.000000	2013-05-08
DP0901	7045	2	66	0	0.000000	10	0	0.000000	2013-05-08
DP0901	7045	3	65	15	0.000000	10	0	0.000000	2013-05-08
DP0901	7045	4	65	15	0.000000	8	0	0.000000	2013-05-08
DP0902	7046	1	59	15	0.000000	3	20	0.000000	2013-05-08
DP0902	7046	2	59	45	0.000000	3	20	0.000000	2013-05-08
DP0902	7046	3	59	45	0.000000	3	40	0.000000	2013-05-08
DP0902	7046	4	59	15	0.000000	3	40	0.000000	2013-05-08
DP0903	7047	1	64	0	0.000000	7	40	0.000000	2013-05-08
DP0903	7047	2	64	15	0.000000	7	40	0.000000	2013-05-08
DP0903	7047	3	64	15	0.000000	8	0	0.000000	2013-05-08
DP0903	7047	4	64	0	0.000000	8	0	0.000000	2013-05-08
DP0904	7048	1	65	57	0.000000	8	52	0.000000	2013-05-08
DP0904	7048	2	66	15	0.000000	8	52	0.000000	2013-05-08
DP0904	7048	3	66	15	0.000000	9	40	0.000000	2013-05-08
DP0904	7048	4	65	57	0.000000	9	40	0.000000	2013-05-08
DP0905	7049	1	72	45	0.000000	28	0	0.000000	2013-05-08
DP0905	7049	2	73	0	0.000000	28	0	0.000000	2013-05-08
DP0905	7049	3	73	0	0.000000	28	40	0.000000	2013-05-08
DP0905	7049	4	72	45	0.000000	28	40	0.000000	2013-05-08
DP0906	7050	1	72	30	0.000000	19	20	0.000000	2013-05-08
DP0906	7050	2	73	15	0.000000	19	20	0.000000	2013-05-08
DP0906	7050	3	73	15	0.000000	20	40	0.000000	2013-05-08
DP0906	7050	4	72	45	0.000000	20	40	0.000000	2013-05-08
DP0906	7050	5	72	45	0.000000	20	0	0.000000	2013-05-08
DP0906	7050	6	72	35	0.000000	20	0	0.000000	2013-05-08
DP0907	7051	1	65	30	0.000000	8	20	0.000000	2013-05-08
DP0907	7051	2	65	45	0.000000	8	20	0.000000	2013-05-08
DP0907	7051	3	65	45	0.000000	9	40	0.000000	2013-05-08
DP0907	7051	4	65	30	0.000000	9	40	0.000000	2013-05-08
DP0908	7052	1	71	43	0.000000	21	40	0.000000	2013-05-08
DP0908	7052	2	72	0	0.000000	21	40	0.000000	2013-05-08
DP0908	7052	3	72	0	0.000000	22	20	0.000000	2013-05-08
DP0908	7052	4	71	43	0.000000	22	20	0.000000	2013-05-08
DP0909	7100	1	65	30	0.000000	8	20	0.000000	2013-05-08
DP0909	7100	2	65	45	0.000000	8	20	0.000000	2013-05-08
DP0909	7100	3	65	45	0.000000	9	40	0.000000	2013-05-08
DP0909	7100	4	65	30	0.000000	9	40	0.000000	2013-05-08
DP0910	7116	1	65	22	48.000000	8	26	6.000000	2013-05-08
DP0910	7116	2	65	36	17.000000	9	22	12.000000	2013-05-08
DP0910	7116	3	65	45	10.000000	9	9	54.000000	2013-05-08
DP0910	7116	4	65	31	36.000000	8	13	36.000000	2013-05-08
Earb2010	7250	1	59	14	33.000000	2	6	3.790000	2013-05-08
Earb2010	7250	2	59	13	54.000000	2	9	36.890000	2013-05-08
Earb2010	7250	3	59	11	4.000000	2	7	39.890000	2013-05-08
Earb2010	7250	4	59	11	42.000000	2	4	6.910000	2013-05-08
East Kameleon2010	7249	1	59	35	58.000000	2	6	38.000000	2013-05-08
East Kameleon2010	7249	2	59	35	57.000000	2	4	43.000000	2013-05-08
East Kameleon2010	7249	3	59	34	20.000000	2	4	46.000000	2013-05-08
East Kameleon2010	7249	4	59	34	21.000000	2	6	41.000000	2013-05-08
ED1101	7469	1	64	38	5.000000	7	38	19.000000	2013-05-08
ED1101	7469	2	64	33	51.000000	7	52	2.000000	2013-05-08
ED1101	7469	3	64	27	24.000000	7	41	14.000000	2013-05-08
ED1101	7469	4	64	27	50.000000	7	56	14.000000	2013-05-08
ED1101	7469	5	64	26	45.000000	7	56	23.000000	2013-05-08
ED1101	7469	6	64	26	16.000000	7	39	21.000000	2013-05-08
ED1101	7469	7	64	19	8.000000	7	27	31.000000	2013-05-08
ED1101	7469	8	64	16	52.000000	7	29	52.000000	2013-05-08
ED1101	7469	9	64	16	25.000000	7	27	36.000000	2013-05-08
ED1101	7469	10	64	18	7.000000	7	25	51.000000	2013-05-08
ED1101	7469	11	64	15	28.000000	7	21	30.000000	2013-05-08
ED1101	7469	12	64	19	40.000000	7	7	51.000000	2013-05-08
ED1101	7469	13	64	25	36.000000	7	17	38.000000	2013-05-08
ED1101	7469	14	64	24	42.000000	6	50	22.000000	2013-05-08
ED1101	7469	15	64	25	46.000000	6	50	10.000000	2013-05-08
ED1101	7469	16	64	26	40.000000	7	16	57.000000	2013-05-08
ED1101	7469	17	64	42	24.000000	7	0	17.000000	2013-05-08
ED1101	7469	18	64	42	50.000000	7	2	34.000000	2013-05-08
ED1101	7469	19	64	27	47.000000	7	19	34.000000	2013-05-08
ED1102	7470	1	72	5	22.000000	23	53	47.000000	2013-05-08
ED1102	7470	2	72	5	25.000000	24	39	39.000000	2013-05-08
ED1102	7470	3	71	47	33.000000	24	39	24.000000	2013-05-08
ED1102	7470	4	71	42	10.000000	25	9	4.000000	2013-05-08
ED1102	7470	5	71	41	14.000000	25	7	20.000000	2013-05-08
ED1102	7470	6	71	46	19.000000	24	39	23.000000	2013-05-08
ED1102	7470	7	71	39	37.000000	24	39	18.000000	2013-05-08
ED1102	7470	8	71	39	37.000000	23	54	28.000000	2013-05-08
EEN0901	7157	1	61	54	19.600000	3	41	6.600000	2013-05-08
EEN0901	7157	2	61	54	12.900000	3	59	22.700000	2013-05-08
EEN0901	7157	3	61	45	35.900000	3	59	6.100000	2013-05-08
EEN0901	7157	4	61	45	42.600000	3	40	55.100000	2013-05-08
ELDFISK-RW-1	7761	1	56	22	20.000000	3	14	30.000000	2013-05-08
ELDFISK-RW-1	7761	2	56	22	20.000000	3	14	45.000000	2013-05-08
ELDFISK-RW-1	7761	3	56	22	35.000000	3	14	45.000000	2013-05-08
ELDFISK-RW-1	7761	4	56	22	35.000000	3	14	30.000000	2013-05-08
ELDFISK-RW-2	7762	1	56	22	0.000000	3	16	30.000000	2013-05-08
ELDFISK-RW-2	7762	2	56	22	0.000000	3	16	50.000000	2013-05-08
ELDFISK-RW-2	7762	3	56	22	5.000000	3	16	50.000000	2013-05-08
ELDFISK-RW-2	7762	4	56	22	5.000000	3	16	30.000000	2013-05-08
EM-3D-Peon	7296	1	62	6	1.650000	3	0	29.720000	2013-05-08
EM-3D-Peon	7296	2	62	6	1.650000	3	36	58.850000	2013-05-08
EM-3D-Peon	7296	3	61	49	5.350000	3	36	58.850000	2013-05-08
EM-3D-Peon	7296	4	61	49	5.350000	3	0	29.720000	2013-05-08
EM-GRANE-2011	7529	1	59	38	2.040000	1	55	3.720000	2013-05-08
EM-GRANE-2011	7529	2	59	38	2.760000	2	20	1.320000	2013-05-08
EM-GRANE-2011	7529	3	59	30	3.600000	2	19	58.800000	2013-05-08
EM-GRANE-2011	7529	4	59	30	0.000000	2	46	32.160000	2013-05-08
EM-GRANE-2011	7529	5	59	0	0.720000	2	47	7.440000	2013-05-08
EM-GRANE-2011	7529	6	59	0	1.080000	2	10	10.560000	2013-05-08
EM-GRANE-2011	7529	7	59	25	57.330000	2	9	38.520000	2013-05-08
EM-GRANE-2011	7529	8	59	25	56.280000	1	47	54.240000	2013-05-08
EM-GRANE-2011	7529	9	59	32	32.640000	1	51	33.120000	2013-05-08
EM-NVG1	7701	1	61	3	0.000000	1	51	0.000000	2013-05-08
EM-NVG1	7701	2	61	17	8.000000	4	31	23.000000	2013-05-08
EM-NVG1	7701	3	61	1	0.000000	4	27	52.000000	2013-05-08
EM-NVG1	7701	4	60	25	4.000000	4	46	17.000000	2013-05-08
EM-NVG1	7701	5	60	22	38.000000	1	58	58.000000	2013-05-08
EM-NVG2	7702	1	60	6	59.000000	2	2	22.000000	2013-05-08
EM-NVG2	7702	2	60	6	1.000000	2	36	4.000000	2013-05-08
EM-NVG2	7702	3	59	2	40.000000	3	5	12.000000	2013-05-08
EM-NVG2	7702	4	59	3	43.000000	1	39	0.000000	2013-05-08
EM-NVG2	7702	5	59	17	0.000000	1	42	30.000000	2013-05-08
EM-NVG2	7702	6	59	53	39.000000	2	4	30.000000	2013-05-08
EM-NVG3	7757	1	61	0	0.950000	1	51	37.370000	2013-05-08
EM-NVG3	7757	2	60	59	59.520000	2	19	58.650000	2013-05-08
EM-NVG3	7757	3	60	25	58.180000	2	20	0.290000	2013-05-08
EM-NVG3	7757	4	60	25	48.830000	1	58	17.660000	2013-05-08
EM-NVG3	7757	5	60	37	54.160000	1	55	56.680000	2013-05-08
EM-Test-Troll	7262	1	60	59	17.160000	3	19	27.120000	2013-05-08
EM-Test-Troll	7262	2	60	59	13.920000	3	43	57.000000	2013-05-08
EM-Test-Troll	7262	3	60	39	57.960000	3	43	25.680000	2013-05-08
EM-Test-Troll	7262	4	60	39	58.680000	3	19	10.560000	2013-05-08
EM0109	7091	1	59	13	55.380000	2	4	51.050000	2013-05-08
EM0109	7091	2	59	28	49.560000	2	21	32.030000	2013-05-08
EM0109	7091	3	59	28	2.290000	2	24	16.410000	2013-05-08
EM0109	7091	4	59	33	26.500000	2	30	32.630000	2013-05-08
EM0109	7091	5	59	26	22.860000	2	54	50.550000	2013-05-08
EM0109	7091	6	59	20	52.730000	2	48	48.310000	2013-05-08
EM0109	7091	7	59	19	52.350000	2	52	15.040000	2013-05-08
EM0109	7091	8	58	55	6.580000	2	24	30.200000	2013-05-08
EM0109	7091	9	59	1	55.250000	2	1	0.990000	2013-05-08
EM0109	7091	10	59	13	55.380000	2	4	51.050000	2013-05-08
EM0209	7114	1	59	15	10.090000	2	24	31.510000	2013-05-08
EM0209	7114	2	59	13	58.660000	2	28	37.050000	2013-05-08
EM0209	7114	3	59	7	51.020000	2	21	53.110000	2013-05-08
EM0209	7114	4	59	9	2.330000	2	17	48.060000	2013-05-08
EM0209	7114	5	59	15	10.090000	2	24	31.510000	2013-05-08
EM1201	7586	1	59	13	55.380000	2	4	51.050000	2013-05-08
EM1201	7586	2	59	28	49.560000	2	21	32.030000	2013-05-08
EM1201	7586	3	59	28	2.290000	2	24	16.410000	2013-05-08
EM1201	7586	4	59	33	26.500000	2	30	32.630000	2013-05-08
EM1201	7586	5	59	26	22.860000	2	54	50.550000	2013-05-08
EM1201	7586	6	59	20	52.730000	2	48	48.310000	2013-05-08
EM1201	7586	7	59	19	52.350000	2	52	15.040000	2013-05-08
EM1201	7586	8	58	55	6.580000	2	24	30.200000	2013-05-08
EM1201	7586	9	59	1	55.250000	2	1	0.990000	2013-05-08
EM1201	7586	10	59	13	55.380000	2	4	51.050000	2013-05-08
EM1202	7587	1	59	15	10.090000	2	24	31.510000	2013-05-08
EM1202	7587	2	59	13	58.660000	2	28	37.050000	2013-05-08
EM1202	7587	3	59	7	51.020000	2	21	53.110000	2013-05-08
EM1202	7587	4	59	9	2.330000	2	17	48.060000	2013-05-08
EM1202	7587	5	59	15	10.090000	2	24	31.510000	2013-05-08
EMGS 0906	7117	1	65	31	33.000000	6	56	23.000000	2013-05-08
EMGS 0906	7117	2	65	8	38.000000	7	8	39.000000	2013-05-08
EMGS 0906	7117	3	65	14	9.000000	8	9	4.000000	2013-05-08
EMGS 0906	7117	4	65	38	8.000000	7	54	57.000000	2013-05-08
EMGS-0908	7184	1	63	46	0.000000	2	59	0.000000	2013-05-08
EMGS-0908	7184	2	63	46	0.000000	3	41	0.000000	2013-05-08
EMGS-0908	7184	3	62	59	0.000000	3	41	0.000000	2013-05-08
EMGS-0908	7184	4	62	59	0.000000	2	59	0.000000	2013-05-08
EMGS0808	7165	1	64	9	30.000000	7	38	0.000000	2013-05-08
EMGS0808	7165	2	64	36	0.000000	7	38	0.000000	2013-05-08
EMGS0808	7165	3	64	36	30.000000	8	14	0.000000	2013-05-08
EMGS0808	7165	4	64	9	30.000000	8	14	0.000000	2013-05-08
EMGS0902	7155	1	63	50	0.000000	6	50	0.000000	2013-05-08
EMGS0902	7155	2	64	22	0.000000	6	50	0.000000	2013-05-08
EMGS0902	7155	3	64	22	0.000000	7	30	0.000000	2013-05-08
EMGS0902	7155	4	63	50	0.000000	7	30	0.000000	2013-05-08
EMGS0903	7156	1	65	45	0.000000	8	0	0.000000	2013-05-08
EMGS0903	7156	2	66	15	0.000000	8	0	0.000000	2013-05-08
EMGS0903	7156	3	66	15	0.000000	9	0	0.000000	2013-05-08
EMGS0903	7156	4	65	45	0.000000	9	0	0.000000	2013-05-08
EMGS0905	7107	1	59	48	33.000000	2	49	53.000000	2013-05-08
EMGS0905	7107	2	59	48	18.000000	1	53	55.000000	2013-05-08
EMGS0905	7107	3	60	12	13.000000	1	53	5.000000	2013-05-08
EMGS0905	7107	4	60	12	26.000000	2	49	39.000000	2013-05-08
EMGS0907	7172	1	60	31	0.000000	4	27	0.000000	2013-05-08
EMGS0907	7172	2	60	31	0.000000	3	24	0.000000	2013-05-08
EMGS0907	7172	3	61	6	0.000000	3	24	0.000000	2013-05-08
EMGS0907	7172	4	61	5	0.000000	4	29	0.000000	2013-05-08
EMGS0909	7187	1	67	16	0.000000	4	59	0.000000	2013-05-08
EMGS0909	7187	2	67	16	0.000000	7	1	0.000000	2013-05-08
EMGS0909	7187	3	66	39	0.000000	7	1	0.000000	2013-05-08
EMGS0909	7187	4	66	39	0.000000	4	59	0.000000	2013-05-08
EMGS1001	7191	1	71	45	0.000000	17	20	0.000000	2013-05-08
EMGS1001	7191	2	72	35	0.000000	17	21	0.000000	2013-05-08
EMGS1001	7191	3	72	35	0.000000	15	40	0.000000	2013-05-08
EMGS1001	7191	4	73	45	0.000000	15	40	0.000000	2013-05-08
EMGS1001	7191	5	73	45	0.000000	20	20	0.000000	2013-05-08
EMGS1001	7191	6	74	30	0.000000	23	0	0.000000	2013-05-08
EMGS1001	7191	7	74	30	0.000000	27	0	0.000000	2013-05-08
EMGS1001	7191	8	73	15	0.000000	27	0	0.000000	2013-05-08
EMGS1001	7191	9	73	15	0.000000	32	0	0.000000	2013-05-08
EMGS1001	7191	10	71	45	0.000000	32	0	0.000000	2013-05-08
EMGS1001	7191	11	71	45	0.000000	25	20	0.000000	2013-05-08
EMGS1001	7191	12	71	37	0.000000	25	20	0.000000	2013-05-08
EMGS1001	7191	13	71	37	0.000000	17	40	0.000000	2013-05-08
EMGS1001	7191	14	71	45	0.000000	17	40	0.000000	2013-05-08
EMGS1002	7194	1	67	31	0.000000	5	59	0.000000	2013-05-08
EMGS1002	7194	2	67	31	0.000000	7	21	0.000000	2013-05-08
EMGS1002	7194	3	66	51	0.000000	7	21	0.000000	2013-05-08
EMGS1002	7194	4	66	51	0.000000	5	59	0.000000	2013-05-08
EMGS1003	7200	1	66	1	0.000000	6	1	0.000000	2013-05-08
EMGS1003	7200	2	66	1	0.000000	3	59	0.000000	2013-05-08
EMGS1003	7200	3	64	44	0.000000	3	59	0.000000	2013-05-08
EMGS1003	7200	4	64	44	0.000000	6	1	0.000000	2013-05-08
EMGS1004	7202	1	64	46	0.000000	8	21	0.000000	2013-05-08
EMGS1004	7202	2	64	14	0.000000	8	21	0.000000	2013-05-08
EMGS1004	7202	3	64	14	0.000000	7	26	0.000000	2013-05-08
EMGS1004	7202	4	64	46	0.000000	7	26	0.000000	2013-05-08
EMGS1005	7203	1	66	31	0.000000	10	1	0.000000	2013-05-08
EMGS1005	7203	2	65	44	0.000000	10	1	0.000000	2013-05-08
EMGS1005	7203	3	65	44	0.000000	7	39	0.000000	2013-05-08
EMGS1005	7203	4	66	31	0.000000	7	39	0.000000	2013-05-08
EMGS1006	7206	1	57	0	0.000000	6	20	0.000000	2013-05-08
EMGS1006	7206	2	57	16	0.000000	6	21	0.000000	2013-05-08
EMGS1006	7206	3	57	16	0.000000	5	19	0.000000	2013-05-08
EMGS1006	7206	4	56	41	0.000000	5	20	0.000000	2013-05-08
EMGS1007	7205	1	67	0	0.000000	8	59	0.000000	2013-05-08
EMGS1007	7205	2	67	0	0.000000	11	1	0.000000	2013-05-08
EMGS1007	7205	3	66	44	0.000000	11	1	0.000000	2013-05-08
EMGS1007	7205	4	66	44	0.000000	8	59	0.000000	2013-05-08
EMGS1008	7261	1	59	22	0.000000	1	54	0.000000	2013-05-08
EMGS1008	7261	2	59	22	0.000000	2	8	0.000000	2013-05-08
EMGS1008	7261	3	59	31	0.000000	2	17	0.000000	2013-05-08
EMGS1008	7261	4	59	40	0.000000	2	14	0.000000	2013-05-08
EMGS1008	7261	5	59	41	0.000000	1	59	0.000000	2013-05-08
EMGS1008	7261	6	59	34	0.000000	1	53	30.000000	2013-05-08
EMGS1009	7273	1	67	15	30.000000	5	27	30.000000	2013-05-08
EMGS1009	7273	2	66	30	30.000000	5	27	30.000000	2013-05-08
EMGS1009	7273	3	66	30	30.000000	7	29	30.000000	2013-05-08
EMGS1009	7273	4	67	15	30.000000	7	29	30.000000	2013-05-08
EMGS1010	7328	1	66	30	0.000000	7	39	0.000000	2013-05-08
EMGS1010	7328	2	66	30	0.000000	9	0	0.000000	2013-05-08
EMGS1010	7328	3	65	50	0.000000	9	0	0.000000	2013-05-08
EMGS1010	7328	4	65	50	0.000000	7	39	0.000000	2013-05-08
EMGS1011	7329	1	72	0	0.000000	19	0	0.000000	2013-05-08
EMGS1011	7329	2	72	0	0.000000	22	59	50.000000	2013-05-08
EMGS1011	7329	3	71	28	40.000000	22	25	50.000000	2013-05-08
EMGS1011	7329	4	71	15	40.000000	22	4	50.000000	2013-05-08
EMGS1011	7329	5	71	8	30.000000	21	35	0.000000	2013-05-08
EMGS1011	7329	6	71	0	59.990000	20	36	10.000000	2013-05-08
EMGS1011	7329	7	71	0	59.990000	19	0	0.000000	2013-05-08
EMGS1011	7329	8	72	0	0.000000	19	0	0.000000	2013-05-08
EMGS1012	7358	1	56	57	49.000000	2	52	8.500000	2013-05-08
EMGS1012	7358	2	56	24	11.000000	2	51	50.000000	2013-05-08
EMGS1012	7358	3	56	24	13.000000	3	25	40.000000	2013-05-08
EMGS1012	7358	4	56	57	26.000000	3	25	5.500000	2013-05-08
EMGS1101	7417	1	62	31	0.000000	3	45	0.000000	2013-05-08
EMGS1101	7417	2	62	31	0.000000	3	15	0.000000	2013-05-08
EMGS1101	7417	3	61	54	0.000000	3	15	0.000000	2013-05-08
EMGS1101	7417	4	61	54	0.000000	3	45	0.000000	2013-05-08
EMGS1102	7456	1	72	14	30.000000	19	39	30.000000	2013-05-08
EMGS1102	7456	2	72	14	30.000000	20	40	30.000000	2013-05-08
EMGS1102	7456	3	72	45	30.000000	20	40	30.000000	2013-05-08
EMGS1102	7456	4	72	45	30.000000	19	39	30.000000	2013-05-08
EMGS1103	7537	1	63	35	0.000000	3	20	0.000000	2013-05-08
EMGS1103	7537	2	63	35	0.000000	1	20	0.000000	2013-05-08
EMGS1103	7537	3	64	25	0.000000	1	20	0.000000	2013-05-08
EMGS1103	7537	4	64	25	0.000000	3	20	0.000000	2013-05-08
EMGS1201	7558	1	74	8	27.000000	17	0	0.000000	2013-05-08
EMGS1201	7558	2	74	6	59.000000	17	2	36.000000	2013-05-08
EMGS1201	7558	3	74	5	40.000000	17	5	15.000000	2013-05-08
EMGS1201	7558	4	74	0	44.000000	17	18	23.000000	2013-05-08
EMGS1201	7558	5	73	57	46.000000	17	27	5.000000	2013-05-08
EMGS1201	7558	6	73	52	37.000000	17	47	16.000000	2013-05-08
EMGS1201	7558	7	73	46	46.000000	18	31	5.000000	2013-05-08
EMGS1201	7558	8	73	46	12.000000	18	59	56.000000	2013-05-08
EMGS1201	7558	9	73	45	51.000000	19	19	57.000000	2013-05-08
EMGS1201	7558	10	73	49	36.000000	20	4	58.000000	2013-05-08
EMGS1201	7558	11	73	53	26.000000	20	26	28.000000	2013-05-08
EMGS1201	7558	12	74	0	1.000000	20	51	51.000000	2013-05-08
EMGS1201	7558	13	74	15	30.000000	21	22	27.000000	2013-05-08
EMGS1201	7558	14	74	20	30.000000	21	59	50.000000	2013-05-08
EMGS1201	7558	15	71	3	32.000000	21	59	52.000000	2013-05-08
EMGS1201	7558	16	71	0	0.000000	21	43	28.000000	2013-05-08
EMGS1201	7558	17	70	59	59.000000	19	59	52.000000	2013-05-08
EMGS1201	7558	18	70	59	59.000000	18	59	52.000000	2013-05-08
EMGS1201	7558	19	70	59	59.000000	17	59	52.000000	2013-05-08
EMGS1201	7558	20	70	59	59.000000	16	59	52.000000	2013-05-08
EMGS1201	7558	21	71	28	16.000000	17	26	7.000000	2013-05-08
EMGS1201	7558	22	71	30	18.000000	17	38	47.000000	2013-05-08
EMGS1201	7558	23	71	37	25.000000	17	18	33.000000	2013-05-08
EMGS1201	7558	24	71	58	5.000000	17	7	48.000000	2013-05-08
EMGS1201	7558	25	72	25	31.000000	17	0	0.000000	2013-05-08
EMGS1201	7558	26	74	8	27.000000	17	0	0.000000	2013-05-08
EMGS1202	7559	1	74	20	30.000000	21	59	50.000000	2013-05-08
EMGS1202	7559	2	74	21	8.000000	22	5	37.000000	2013-05-08
EMGS1202	7559	3	74	26	12.000000	22	37	5.000000	2013-05-08
EMGS1202	7559	4	74	30	0.000000	22	55	57.000000	2013-05-08
EMGS1202	7559	5	74	30	0.000000	24	0	0.000000	2013-05-08
EMGS1202	7559	6	74	30	0.000000	25	0	0.000000	2013-05-08
EMGS1202	7559	7	74	30	0.000000	26	0	0.000000	2013-05-08
EMGS1202	7559	8	74	30	0.000000	27	0	0.000000	2013-05-08
EMGS1202	7559	9	71	27	57.000000	26	59	59.000000	2013-05-08
EMGS1202	7559	10	71	29	27.000000	25	59	59.000000	2013-05-08
EMGS1202	7559	11	71	29	55.000000	25	39	2.000000	2013-05-08
EMGS1202	7559	12	71	29	27.000000	25	26	55.000000	2013-05-08
EMGS1202	7559	13	71	27	33.000000	25	0	15.000000	2013-05-08
EMGS1202	7559	14	71	25	36.000000	24	34	29.000000	2013-05-08
EMGS1202	7559	15	71	24	53.000000	23	59	59.000000	2013-05-08
EMGS1202	7559	16	71	24	14.000000	23	47	42.000000	2013-05-08
EMGS1202	7559	17	71	22	43.000000	23	32	31.000000	2013-05-08
EMGS1202	7559	18	71	16	12.000000	22	59	59.000000	2013-05-08
EMGS1202	7559	19	71	3	32.000000	21	59	59.000000	2013-05-08
EMGS1202	7559	20	74	20	30.000000	21	59	50.000000	2013-05-08
EMGS1203	7560	1	74	30	0.000000	27	0	1.000000	2013-05-08
EMGS1203	7560	2	74	30	0.000000	31	21	27.000000	2013-05-08
EMGS1203	7560	3	74	24	57.000000	31	31	44.000000	2013-05-08
EMGS1203	7560	4	74	16	13.000000	31	59	59.000000	2013-05-08
EMGS1203	7560	5	71	0	4.000000	32	0	2.000000	2013-05-08
EMGS1203	7560	6	71	0	4.000000	30	25	5.000000	2013-05-08
EMGS1203	7560	7	71	7	35.000000	29	43	58.000000	2013-05-08
EMGS1203	7560	8	71	13	57.000000	29	13	50.000000	2013-05-08
EMGS1203	7560	9	71	20	58.000000	28	45	17.000000	2013-05-08
EMGS1203	7560	10	71	23	8.000000	28	34	19.000000	2013-05-08
EMGS1203	7560	11	71	24	29.000000	28	22	5.000000	2013-05-08
EMGS1203	7560	12	71	25	56.000000	28	0	32.000000	2013-05-08
EMGS1203	7560	13	71	26	53.000000	27	42	10.000000	2013-05-08
EMGS1203	7560	14	71	27	32.000000	27	20	6.000000	2013-05-08
EMGS1203	7560	15	71	28	2.000000	27	0	1.000000	2013-05-08
EMGS1203	7560	16	74	30	0.000000	27	0	1.000000	2013-05-08
EMGS1204	7583	1	66	0	0.000000	1	20	0.000000	2013-05-08
EMGS1204	7583	2	67	0	0.000000	1	20	0.000000	2013-05-08
EMGS1204	7583	3	67	45	0.000000	3	0	0.000000	2013-05-08
EMGS1204	7583	4	68	15	0.000000	5	0	0.000000	2013-05-08
EMGS1204	7583	5	67	0	0.000000	6	0	0.000000	2013-05-08
EMGS1204	7583	6	66	4	42.000000	2	54	45.000000	2013-05-08
EMGS1204	7583	7	65	42	33.000000	3	26	57.000000	2013-05-08
EMGS1204	7583	8	65	38	27.000000	3	11	0.000000	2013-05-08
EMGS1204	7583	9	66	0	0.000000	2	40	0.000000	2013-05-08
EMGS1205	7713	1	59	7	0.000000	1	40	0.000000	2013-05-08
EMGS1205	7713	2	59	17	14.000000	1	42	36.000000	2013-05-08
EMGS1205	7713	3	59	46	3.000000	2	0	0.000000	2013-05-08
EMGS1205	7713	4	59	46	3.000000	2	16	0.000000	2013-05-08
EMGS1205	7713	5	59	7	0.000000	2	16	0.000000	2013-05-08
EMGS1301	7772	1	74	30	0.000000	15	0	0.000000	2013-05-08
EMGS1301	7772	2	74	30	0.000000	16	37	23.560000	2013-05-08
EMGS1301	7772	3	74	23	31.890000	16	36	39.730000	2013-05-08
EMGS1301	7772	4	74	12	16.720000	16	50	27.930000	2013-05-08
EMGS1301	7772	5	74	5	40.260000	17	5	15.560000	2013-05-08
EMGS1301	7772	6	73	57	58.070000	17	25	47.500000	2013-05-08
EMGS1301	7772	7	73	52	37.110000	17	47	16.810000	2013-05-08
EMGS1301	7772	8	73	46	39.470000	18	31	1.550000	2013-05-08
EMGS1301	7772	9	73	45	51.660000	19	19	57.340000	2013-05-08
EMGS1301	7772	10	73	49	36.360000	20	4	58.040000	2013-05-08
EMGS1301	7772	11	73	53	26.620000	20	26	28.540000	2013-05-08
EMGS1301	7772	12	74	0	1.170000	20	51	51.420000	2013-05-08
EMGS1301	7772	13	74	15	30.680000	21	22	27.200000	2013-05-08
EMGS1301	7772	14	74	20	17.260000	21	59	59.990000	2013-05-08
EMGS1301	7772	15	74	26	12.570000	22	37	5.020000	2013-05-08
EMGS1301	7772	16	74	30	0.000000	22	55	57.330000	2013-05-08
EMGS1301	7772	17	74	30	0.000000	31	21	26.970000	2013-05-08
EMGS1301	7772	18	74	24	57.650000	31	31	44.130000	2013-05-08
EMGS1301	7772	19	74	16	13.230000	31	59	59.970000	2013-05-08
EMGS1301	7772	20	70	29	18.290000	31	59	54.900000	2013-05-08
EMGS1301	7772	21	70	29	15.810000	31	57	5.590000	2013-05-08
EMGS1301	7772	22	70	34	46.330000	31	49	16.630000	2013-05-08
EMGS1301	7772	23	70	39	41.450000	31	39	59.920000	2013-05-08
EMGS1301	7772	24	70	57	27.730000	30	39	59.950000	2013-05-08
EMGS1301	7772	25	71	7	35.630000	29	43	58.220000	2013-05-08
EMGS1301	7772	26	71	23	52.270000	28	31	56.090000	2013-05-08
EMGS1301	7772	27	71	26	8.470000	27	59	59.950000	2013-05-08
EMGS1301	7772	28	71	30	12.950000	25	40	0.000000	2013-05-08
EMGS1301	7772	29	71	25	56.110000	24	34	30.460000	2013-05-08
EMGS1301	7772	30	71	24	24.220000	23	40	4.130000	2013-05-08
EMGS1301	7772	31	70	57	36.960000	21	32	8.930000	2013-05-08
EMGS1301	7772	32	70	35	20.210000	18	40	0.000000	2013-05-08
EMGS1301	7772	33	70	30	0.000000	18	11	3.280000	2013-05-08
EMGS1301	7772	34	70	24	50.080000	17	53	30.950000	2013-05-08
EMGS1301	7772	35	70	15	0.000000	17	33	20.680000	2013-05-08
EMGS1301	7772	36	70	15	0.000000	16	0	0.000000	2013-05-08
EMGS1301	7772	37	72	0	0.000000	16	0	0.000000	2013-05-08
EMGS1301	7772	38	72	0	0.000000	15	0	0.000000	2013-05-08
EMGS1302	7797	1	66	0	0.000000	1	20	0.000000	2013-05-08
EMGS1302	7797	2	67	0	0.000000	1	20	0.000000	2013-05-08
EMGS1302	7797	3	67	45	0.000000	3	0	0.000000	2013-05-08
EMGS1302	7797	4	68	15	0.000000	5	0	0.000000	2013-05-08
EMGS1302	7797	5	67	45	0.000000	7	40	0.000000	2013-05-08
EMGS1302	7797	6	67	0	0.000000	7	40	0.000000	2013-05-08
EMGS1302	7797	7	67	0	0.000000	6	0	0.000000	2013-05-08
EMGS1302	7797	8	66	0	0.000000	2	40	0.000000	2013-05-08
EMGS1303	7817	1	66	0	0.000000	6	0	0.000000	2013-05-08
EMGS1303	7817	2	66	0	0.000000	8	40	0.000000	2013-05-08
EMGS1303	7817	3	65	0	0.000000	8	40	0.000000	2013-05-08
EMGS1303	7817	4	65	0	0.000000	8	20	0.000000	2013-05-08
EMGS1303	7817	5	65	15	0.000000	8	20	0.000000	2013-05-08
EMGS1303	7817	6	65	15	0.000000	8	0	0.000000	2013-05-08
EMGS1303	7817	7	64	15	0.000000	8	0	0.000000	2013-05-08
EMGS1303	7817	8	64	15	0.000000	6	0	0.000000	2013-05-08
EMGS1304	7819	1	59	26	0.000000	1	59	0.000000	2013-05-08
EMGS1304	7819	2	59	29	0.000000	2	58	0.000000	2013-05-08
EMGS1304	7819	3	59	58	0.000000	2	53	0.000000	2013-05-08
EMGS1304	7819	4	59	55	11.000000	2	4	33.000000	2013-05-08
EMGS1304	7819	5	59	54	10.000000	2	4	44.000000	2013-05-08
EMGS1304	7819	6	59	40	27.000000	1	56	13.000000	2013-05-08
EMGS1305	7820	1	61	40	0.000000	3	0	0.000000	2013-05-08
EMGS1305	7820	2	61	40	0.000000	4	20	0.000000	2013-05-08
EMGS1305	7820	3	62	20	0.000000	4	20	0.000000	2013-05-08
EMGS1305	7820	4	62	30	0.000000	4	10	0.000000	2013-05-08
EMGS1305	7820	5	62	30	0.000000	3	0	0.000000	2013-05-08
EN0901	7070	1	71	13	43.000000	22	48	20.000000	2013-05-08
EN0901	7070	2	71	18	52.000000	23	1	15.000000	2013-05-08
EN0901	7070	3	71	30	53.000000	22	13	57.000000	2013-05-08
EN0901	7070	4	71	13	16.000000	21	31	5.000000	2013-05-08
EN0901	7070	5	71	4	40.000000	22	5	27.000000	2013-05-08
EN0901	7070	6	71	7	16.000000	22	17	16.000000	2013-05-08
EN0902	7144	1	71	12	0.000000	22	0	0.000000	2013-05-08
EN0902	7144	2	71	25	0.000000	22	0	0.000000	2013-05-08
EN0902	7144	3	71	25	0.000000	22	30	0.000000	2013-05-08
EN0902	7144	4	71	12	0.000000	22	30	0.000000	2013-05-08
EN1001	7282	1	70	45	0.000000	16	10	0.000000	2013-05-08
EN1001	7282	2	70	45	0.000000	16	53	0.000000	2013-05-08
EN1001	7282	3	70	57	0.000000	16	53	0.000000	2013-05-08
EN1001	7282	4	70	57	0.000000	16	10	0.000000	2013-05-08
EN1002	7283	1	71	56	18.000000	20	1	15.000000	2013-05-08
EN1002	7283	2	71	57	45.000000	20	7	59.000000	2013-05-08
EN1002	7283	3	71	53	4.000000	20	19	37.000000	2013-05-08
EN1002	7283	4	71	53	59.000000	20	23	54.000000	2013-05-08
EN1002	7283	5	71	58	40.000000	20	12	16.000000	2013-05-08
EN1002	7283	6	71	59	59.000000	20	18	23.000000	2013-05-08
EN1002	7283	7	72	6	10.000000	20	4	30.000000	2013-05-08
EN1002	7283	8	72	2	29.000000	19	47	19.000000	2013-05-08
EN1201	7662	1	71	58	30.000000	20	9	0.000000	2013-05-08
EN1201	7662	2	72	9	0.000000	20	9	0.000000	2013-05-08
EN1201	7662	3	72	9	0.000000	19	53	0.000000	2013-05-08
EN1201	7662	4	71	58	30.000000	19	53	0.000000	2013-05-08
EN1301	7840	1	71	59	0.000000	20	25	0.000000	2013-05-08
EN1301	7840	2	72	34	30.000000	20	25	0.000000	2013-05-08
EN1301	7840	3	72	34	30.000000	19	35	0.000000	2013-05-08
EN1301	7840	4	71	59	0.000000	19	35	0.000000	2013-05-08
EO0901	7087	1	65	56	12.000000	5	31	40.000000	2013-05-08
EO0901	7087	2	65	54	49.000000	5	55	56.000000	2013-05-08
EO0901	7087	3	66	21	29.000000	6	5	30.000000	2013-05-08
EO0901	7087	4	66	22	55.000000	5	40	49.000000	2013-05-08
EO1001	7230	1	60	24	28.000000	3	36	34.000000	2013-05-08
EO1001	7230	2	60	19	53.000000	3	36	29.000000	2013-05-08
EO1001	7230	3	60	19	55.000000	3	31	36.000000	2013-05-08
EO1001	7230	4	60	24	29.000000	3	31	40.000000	2013-05-08
EO1002	7231	1	60	22	11.000000	3	34	5.000000	2013-05-08
EO1002	7231	2	60	30	38.000000	4	1	46.000000	2013-05-08
EO1002	7231	3	60	30	38.000000	4	1	47.000000	2013-05-08
EO1002	7231	4	60	22	11.000000	3	34	6.000000	2013-05-08
EO1003	7293	1	66	14	56.700000	8	56	1.200000	2013-05-08
EO1003	7293	2	66	22	25.100000	9	39	30.100000	2013-05-08
EO1003	7293	3	66	29	58.600000	10	26	22.700000	2013-05-08
EO1003	7293	4	66	31	46.800000	10	25	54.300000	2013-05-08
EO1003	7293	5	66	45	0.000000	10	21	49.200000	2013-05-08
EO1003	7293	6	66	30	34.800000	8	48	52.900000	2013-05-08
EO1004	7301	1	65	34	55.100000	7	45	30.100000	2013-05-08
EO1004	7301	2	65	39	43.400000	7	51	23.800000	2013-05-08
EO1004	7301	3	65	42	9.400000	7	39	45.000000	2013-05-08
EO1004	7301	4	65	37	20.900000	7	33	52.900000	2013-05-08
EO12001	7627	1	67	3	3.200000	11	4	53.300000	2013-05-08
EO12001	7627	2	67	3	2.600000	11	43	29.100000	2013-05-08
EO12001	7627	3	66	41	57.000000	11	24	35.200000	2013-05-08
EO12001	7627	4	66	41	56.300000	10	46	33.800000	2013-05-08
EO12301	7631	1	65	28	20.600000	7	36	58.500000	2013-05-08
EO12301	7631	2	65	37	51.200000	7	51	43.300000	2013-05-08
EO12301	7631	3	65	41	10.300000	7	39	12.800000	2013-05-08
EO12301	7631	4	65	31	38.500000	7	24	30.700000	2013-05-08
EO13001	7851	1	59	10	46.000000	2	33	34.000000	2013-05-08
EO13001	7851	2	59	15	22.000000	2	58	3.000000	2013-05-08
EO13001	7851	3	58	55	7.000000	3	13	14.000000	2013-05-08
EO13001	7851	4	58	55	4.000000	3	54	16.000000	2013-05-08
EO13001	7851	5	58	43	12.000000	3	54	11.000000	2013-05-08
EO13001	7851	6	58	43	16.000000	3	21	33.000000	2013-05-08
EO13001	7851	7	58	35	53.000000	3	26	56.000000	2013-05-08
EO13001	7851	8	58	31	12.000000	3	3	24.000000	2013-05-08
EO13002	7854	1	66	43	12.000000	10	36	25.000000	2013-05-08
EO13002	7854	2	66	46	7.000000	10	42	3.000000	2013-05-08
EO13002	7854	3	67	5	6.000000	10	58	28.000000	2013-05-08
EO13002	7854	4	67	5	5.000000	11	44	39.000000	2013-05-08
EO13002	7854	5	66	36	14.000000	11	18	53.000000	2013-05-08
EO13002	7854	6	66	36	25.000000	10	59	9.000000	2013-05-08
EO13002	7854	7	66	40	28.000000	10	36	11.000000	2013-05-08
EO13003	7855	1	62	9	56.000000	3	40	35.000000	2013-05-08
EO13003	7855	2	62	46	34.000000	4	48	56.000000	2013-05-08
EO13003	7855	3	62	56	8.000000	4	24	58.000000	2013-05-08
EO13003	7855	4	62	19	18.000000	3	16	45.000000	2013-05-08
EOTW MC3D	7468	1	62	0	0.000000	0	54	0.000000	2013-05-08
EOTW MC3D	7468	2	62	0	0.000000	1	6	0.000000	2013-05-08
EOTW MC3D	7468	3	61	54	0.000000	1	6	0.000000	2013-05-08
EOTW MC3D	7468	4	61	54	0.000000	1	50	0.000000	2013-05-08
EOTW MC3D	7468	5	61	41	0.000000	1	50	0.000000	2013-05-08
EOTW MC3D	7468	6	61	41	0.000000	0	54	0.000000	2013-05-08
EOTW12	7605	1	62	23	0.000000	1	6	0.000000	2013-05-08
EOTW12	7605	2	62	20	0.000000	2	40	0.000000	2013-05-08
EOTW12	7605	3	61	37	0.000000	2	40	0.000000	2013-05-08
EOTW12	7605	4	61	37	0.000000	1	36	0.000000	2013-05-08
EOTW12	7605	5	61	45	0.000000	1	34	0.000000	2013-05-08
EOTW12	7605	6	61	45	0.000000	1	40	0.000000	2013-05-08
EOTW12	7605	7	62	5	0.000000	1	40	0.000000	2013-05-08
EOTW12	7605	8	62	7	0.000000	1	17	0.000000	2013-05-08
FH2D-13	7857	0	74	30	0.000000	28	0	0.000000	2013-05-08
FH2D-13	7857	1	74	30	0.000000	28	0	0.000000	2013-05-08
FH2D-13	7857	2	72	15	0.000000	26	0	0.000000	2013-05-08
FH2D-13	7857	3	72	15	0.000000	20	40	0.000000	2013-05-08
FH2D-13	7857	4	74	40	0.000000	20	40	0.000000	2013-05-08
FIN12	7661	1	71	28	38.610000	26	48	39.400000	2013-05-08
FIN12	7661	2	71	46	45.310000	26	49	22.930000	2013-05-08
FIN12	7661	3	71	46	27.310000	28	52	4.560000	2013-05-08
FIN12	7661	4	71	26	16.440000	28	50	6.840000	2013-05-08
FIN12	7661	5	71	26	38.300000	27	51	40.050000	2013-05-08
FIN12	7661	6	71	28	9.680000	27	7	23.420000	2013-05-08
FIN12	7661	7	71	28	21.750000	26	58	53.450000	2013-05-08
FMC0903	7095	1	74	15	0.000000	32	0	0.000000	2013-05-08
FMC0903	7095	2	73	0	0.000000	32	0	0.000000	2013-05-08
FMC0903	7095	3	72	0	0.000000	32	0	0.000000	2013-05-08
FMC0903	7095	4	70	43	57.640000	32	0	0.000000	2013-05-08
FMC0903	7095	5	70	58	22.440000	31	23	2.370000	2013-05-08
FMC0903	7095	6	71	30	6.360000	28	56	10.610000	2013-05-08
FMC0903	7095	7	71	34	6.660000	28	10	11.750000	2013-05-08
FMC0903	7095	8	71	38	29.640000	25	30	9.700000	2013-05-08
FMC0903	7095	9	71	33	58.840000	24	17	21.580000	2013-05-08
FMC0903	7095	10	71	33	2.730000	23	43	35.380000	2013-05-08
FMC0903	7095	11	71	29	52.930000	23	18	23.460000	2013-05-08
FMC0903	7095	12	71	21	57.110000	22	39	6.910000	2013-05-08
FMC0903	7095	13	71	13	7.270000	22	2	2.780000	2013-05-08
FMC0903	7095	14	71	4	50.790000	21	20	57.870000	2013-05-08
FMC0903	7095	15	70	43	7.580000	18	31	7.130000	2013-05-08
FMC0903	7095	16	70	34	8.350000	17	41	7.430000	2013-05-08
FMC0903	7095	17	70	15	5.820000	17	3	32.010000	2013-05-08
FMC0903	7095	18	70	15	0.000000	16	0	0.000000	2013-05-08
FMC0903	7095	19	71	0	0.000000	16	0	0.000000	2013-05-08
FMC0903	7095	20	71	45	0.000000	16	0	0.000000	2013-05-08
FMC0903	7095	21	71	27	12.970000	16	39	18.200000	2013-05-08
FMC0903	7095	22	71	0	0.000000	17	2	50.140000	2013-05-08
FMC0903	7095	23	71	27	58.450000	17	26	31.890000	2013-05-08
FMC0903	7095	24	71	30	8.270000	17	42	35.230000	2013-05-08
FMC0903	7095	25	71	37	26.830000	17	19	3.780000	2013-05-08
FMC0903	7095	26	72	0	5.980000	17	9	16.930000	2013-05-08
FMC0903	7095	27	72	14	56.800000	17	4	0.450000	2013-05-08
FMC0903	7095	28	72	31	2.620000	17	0	14.970000	2013-05-08
FMC0903	7095	29	72	32	3.230000	15	59	44.730000	2013-05-08
FMC0903	7095	30	72	29	39.370000	15	41	26.340000	2013-05-08
FMC0903	7095	31	72	18	27.340000	15	36	35.370000	2013-05-08
FMC0903	7095	32	71	59	55.570000	15	39	50.610000	2013-05-08
FMC0903	7095	33	72	0	0.000000	15	0	0.000000	2013-05-08
FMC0903	7095	34	73	0	0.000000	15	0	0.000000	2013-05-08
FMC0903	7095	35	74	0	0.000000	15	0	0.000000	2013-05-08
FMC0903	7095	36	74	30	0.000000	15	0	0.000000	2013-05-08
FMC0903	7095	37	74	30	0.000000	16	34	23.090000	2013-05-08
FMC0903	7095	38	74	23	11.030000	16	30	6.960000	2013-05-08
FMC0903	7095	39	74	7	19.170000	16	55	49.850000	2013-05-08
FMC0903	7095	40	73	50	10.060000	17	42	47.120000	2013-05-08
FMC0903	7095	41	73	45	41.400000	18	30	51.370000	2013-05-08
FMC0903	7095	42	73	45	25.460000	19	17	57.810000	2013-05-08
FMC0903	7095	43	73	48	32.620000	19	59	19.750000	2013-05-08
FMC0903	7095	44	73	51	28.480000	20	19	2.320000	2013-05-08
FMC0903	7095	45	73	59	31.880000	20	51	43.960000	2013-05-08
FMC0903	7095	46	74	15	0.000000	21	20	45.350000	2013-05-08
FMC0903	7095	47	74	21	54.650000	22	12	24.650000	2013-05-08
FMC0903	7095	48	74	30	0.000000	23	0	0.000000	2013-05-08
FMC0903	7095	49	74	30	0.000000	24	0	0.000000	2013-05-08
FMC0903	7095	50	74	30	0.000000	25	0	0.000000	2013-05-08
FMC0903	7095	51	74	30	0.000000	26	0	0.000000	2013-05-08
FMC0903	7095	52	74	30	0.000000	27	0	0.000000	2013-05-08
FMC0903	7095	53	74	30	0.000000	28	0	0.000000	2013-05-08
FMC0903	7095	54	74	30	0.000000	29	0	0.450000	2013-05-08
FMC0903	7095	55	74	30	0.000000	30	0	0.000000	2013-05-08
FMC0903	7095	56	74	30	0.000000	31	20	0.000000	2013-05-08
FMC0903	7095	57	74	22	41.760000	31	36	3.040000	2013-05-08
FMC0903	7095	58	74	15	0.000000	32	0	0.000000	2013-05-08
FMC0905	7090	1	65	59	4.000000	2	5	46.000000	2013-05-08
FMC0905	7090	2	66	14	15.000000	3	0	51.000000	2013-05-08
FMC0905	7090	3	65	43	0.000000	4	1	0.000000	2013-05-08
FMC0905	7090	4	65	24	6.000000	3	9	3.000000	2013-05-08
FMCS0904	7061	1	72	51	50.850000	18	29	16.110000	2013-05-08
FMCS0904	7061	2	72	51	19.790000	20	51	59.440000	2013-05-08
FMCS0904	7061	3	72	14	46.580000	20	22	59.650000	2013-05-08
FMCS0904	7061	4	72	13	42.050000	20	56	39.470000	2013-05-08
FMCS0904	7061	5	72	0	15.070000	20	53	21.580000	2013-05-08
FMCS0904	7061	6	72	0	58.570000	17	48	36.700000	2013-05-08
FMCS0906	7108	1	72	51	57.000000	24	29	28.000000	2013-05-08
FMCS0906	7108	2	72	28	38.000000	25	45	31.000000	2013-05-08
FMCS0906	7108	3	72	56	5.000000	27	15	58.000000	2013-05-08
FMCS0906	7108	4	73	18	20.000000	25	56	5.000000	2013-05-08
FMCS0907	7110	1	73	41	10.000000	19	16	6.000000	2013-05-08
FMCS0907	7110	2	72	33	55.630000	21	3	8.170000	2013-05-08
FMCS0907	7110	3	72	49	16.910000	23	41	13.610000	2013-05-08
FMCS0907	7110	4	74	5	40.010000	21	51	7.970000	2013-05-08
FP1150	7387	1	56	22	41.000000	3	19	26.000000	2013-05-08
FP1150	7387	2	56	25	45.000000	3	24	57.000000	2013-05-08
FP1150	7387	3	56	23	14.000000	3	29	49.000000	2013-05-08
FP1150	7387	4	56	20	11.600000	3	23	45.000000	2013-05-08
FP12	7611	1	70	39	9.000000	19	7	7.000000	2013-05-08
FP12	7611	2	70	41	26.000000	19	23	23.000000	2013-05-08
FP12	7611	3	70	53	27.000000	18	42	42.000000	2013-05-08
FP12	7611	4	70	40	9.000000	17	28	28.000000	2013-05-08
FP12	7611	5	70	17	39.000000	16	42	42.000000	2013-05-08
FP12	7611	6	70	9	40.000000	16	33	33.000000	2013-05-08
FP12	7611	7	70	8	41.000000	17	27	27.000000	2013-05-08
FP12	7611	8	70	15	42.000000	17	33	55.000000	2013-05-08
FP12	7611	9	70	19	43.000000	17	42	0.000000	2013-05-08
FP12	7611	10	70	23	44.000000	17	50	45.000000	2013-05-08
FP12	7611	11	70	25	45.000000	17	56	29.000000	2013-05-08
FP12	7611	12	70	27	46.000000	18	1	51.000000	2013-05-08
FP12	7611	13	70	29	47.000000	18	8	11.000000	2013-05-08
FP12	7611	14	70	30	48.000000	18	14	12.000000	2013-05-08
FP12	7611	15	70	32	49.000000	18	22	5.000000	2013-05-08
FP12	7611	16	70	33	50.000000	18	31	36.000000	2013-05-08
FP12	7611	17	70	39	51.000000	19	7	32.000000	2013-05-08
FP12300	7698	1	65	15	44.440000	7	14	0.190000	2013-05-08
FP12300	7698	2	65	14	24.430000	7	19	55.020000	2013-05-08
FP12300	7698	3	65	17	9.930000	7	25	38.540000	2013-05-08
FP12300	7698	4	65	16	59.330000	7	26	7.630000	2013-05-08
FP12300	7698	5	65	14	16.580000	7	20	29.760000	2013-05-08
FP12300	7698	6	65	13	38.870000	7	23	16.370000	2013-05-08
FP12300	7698	7	65	11	36.890000	7	20	39.550000	2013-05-08
FP12300	7698	8	65	10	48.840000	7	22	33.530000	2013-05-08
FP12300	7698	9	65	10	37.440000	7	22	6.320000	2013-05-08
FP12300	7698	10	65	11	22.040000	7	20	20.500000	2013-05-08
FP12300	7698	11	65	9	51.450000	7	18	24.360000	2013-05-08
FP12300	7698	12	65	11	56.730000	7	9	9.130000	2013-05-08
FP13	7774	1	71	25	12.230000	24	19	59.980000	2013-05-08
FP13	7774	2	71	24	46.410000	23	59	37.200000	2013-05-08
FP13	7774	3	71	24	30.090000	23	52	57.750000	2013-05-08
FP13	7774	4	71	24	11.820000	23	47	54.140000	2013-05-08
FP13	7774	5	71	22	43.900000	23	33	33.680000	2013-05-08
FP13	7774	6	71	21	37.520000	23	27	25.280000	2013-05-08
FP13	7774	7	71	11	56.780000	22	39	59.990000	2013-05-08
FP13	7774	8	71	7	14.110000	22	17	19.220000	2013-05-08
FP13	7774	9	70	57	13.840000	21	32	23.850000	2013-05-08
FP13	7774	10	70	53	9.670000	21	0	0.000000	2013-05-08
FP13	7774	11	70	48	8.990000	20	19	59.900000	2013-05-08
FP13	7774	12	70	40	31.200000	19	20	0.010000	2013-05-08
FP13	7774	13	70	35	38.780000	18	43	59.780000	2013-05-08
FP13	7774	14	70	34	59.310000	18	40	0.020000	2013-05-08
FP13	7774	15	70	44	1.410000	18	0	52.840000	2013-05-08
FP13	7774	16	71	8	24.080000	21	9	5.220000	2013-05-08
FP13	7774	17	71	37	0.390000	24	0	0.000000	2013-05-08
FP13001	7849	1	57	1	23.740000	2	54	12.940000	2013-05-08
FP13001	7849	2	56	33	35.130000	4	8	21.290000	2013-05-08
FP13001	7849	3	56	46	0.010000	4	24	7.660000	2013-05-08
FP13001	7849	4	57	13	57.900000	3	9	46.340000	2013-05-08
FP13002	7850	1	57	36	15.440000	4	27	3.410000	2013-05-08
FP13002	7850	2	57	23	59.970000	5	0	43.510000	2013-05-08
FP13002	7850	3	57	31	20.220000	5	10	2.280000	2013-05-08
FP13002	7850	4	57	43	38.170000	4	36	18.610000	2013-05-08
FPN1101	7465	1	56	22	37.000000	3	22	25.000000	2013-05-08
FPN1101	7465	2	56	22	37.000000	3	22	36.000000	2013-05-08
FPN1101	7465	3	56	22	25.000000	3	22	36.000000	2013-05-08
FPN1101	7465	4	56	22	25.000000	3	22	25.000000	2013-05-08
FRØY 2010-1	7269	1	59	44	20.480000	2	34	1.380000	2013-05-08
FRØY 2010-1	7269	2	59	44	21.420000	2	34	3.220000	2013-05-08
FRØY 2010-1	7269	3	59	44	22.360000	2	34	1.360000	2013-05-08
FRØY 2010-1	7269	4	59	44	21.410000	2	33	59.510000	2013-05-08
GDF-GORE12-1	7649	1	72	24	14.650000	18	14	34.870000	2013-05-08
GDF-GORE12-1	7649	2	72	24	43.240000	19	7	16.290000	2013-05-08
GDF-GORE12-1	7649	3	72	13	24.680000	19	8	35.220000	2013-05-08
GDF-GORE12-1	7649	4	72	13	49.170000	18	14	44.220000	2013-05-08
GDF-GORE12-2	7650	1	72	23	17.330000	19	18	35.910000	2013-05-08
GDF-GORE12-2	7650	2	72	23	27.780000	19	24	2.350000	2013-05-08
GDF-GORE12-2	7650	3	72	21	57.720000	19	23	23.400000	2013-05-08
GDF-GORE12-2	7650	4	72	21	42.790000	19	18	41.490000	2013-05-08
GDF-GORE12-3	7651	1	72	29	49.370000	20	18	51.040000	2013-05-08
GDF-GORE12-3	7651	2	72	29	49.540000	20	20	49.320000	2013-05-08
GDF-GORE12-3	7651	3	72	29	11.100000	20	20	49.960000	2013-05-08
GDF-GORE12-3	7651	4	72	29	11.630000	20	18	48.720000	2013-05-08
GDF0901	7127	1	71	32	14.920000	23	58	51.150000	2013-05-08
GDF0901	7127	2	71	32	40.790000	24	14	54.420000	2013-05-08
GDF0901	7127	3	71	37	46.010000	24	13	34.640000	2013-05-08
GDF0901	7127	4	71	37	20.050000	23	57	27.110000	2013-05-08
GDF1201	7593	1	73	9	10.000000	23	23	48.000000	2013-05-08
GDF1201	7593	2	72	57	27.000000	23	40	20.000000	2013-05-08
GDF1201	7593	3	72	50	4.120000	23	36	54.270000	2013-05-08
GDF1201	7593	4	72	41	23.240000	22	55	24.780000	2013-05-08
GDF1201	7593	5	72	30	36.570000	23	7	15.040000	2013-05-08
GDF1201	7593	6	72	29	57.260000	23	0	14.790000	2013-05-08
GDF1201	7593	7	72	40	9.020000	22	49	22.190000	2013-05-08
GDF1201	7593	8	72	37	21.680000	22	30	39.190000	2013-05-08
GDF1201	7593	9	72	34	56.500000	21	19	54.000000	2013-05-08
GDF1201	7593	10	72	44	5.060000	21	3	10.800000	2013-05-08
GDF12301	7733	1	61	25	50.850000	3	52	41.190000	2013-05-08
GDF12301	7733	2	61	25	48.070000	3	59	25.970000	2013-05-08
GDF12301	7733	3	61	22	34.190000	3	59	19.830000	2013-05-08
GDF12301	7733	4	61	22	36.970000	3	52	35.750000	2013-05-08
GDF12302	7734	1	61	20	27.920000	3	56	4.090000	2013-05-08
GDF12302	7734	2	61	20	23.350000	4	6	12.860000	2013-05-08
GDF12302	7734	3	61	16	11.320000	4	6	4.020000	2013-05-08
GDF12302	7734	4	61	16	15.870000	3	55	56.600000	2013-05-08
GDF12303	7731	1	72	22	26.050000	18	22	19.070000	2013-05-08
GDF12303	7731	2	72	18	4.640000	18	22	35.420000	2013-05-08
GDF12303	7731	3	72	18	13.330000	18	42	55.270000	2013-05-08
GDF12303	7731	4	72	22	34.770000	18	42	43.780000	2013-05-08
GDF12304	7732	1	72	18	54.900000	18	46	5.550000	2013-05-08
GDF12304	7732	2	72	14	17.340000	18	46	19.200000	2013-05-08
GDF12304	7732	3	72	14	21.450000	18	58	39.230000	2013-05-08
GDF12304	7732	4	72	18	59.010000	18	58	27.640000	2013-05-08
GN1001	7251	1	60	34	26.850000	3	9	12.060000	2013-05-08
GN1001	7251	2	60	34	17.180000	3	49	32.180000	2013-05-08
GN1001	7251	3	60	20	18.520000	3	49	10.970000	2013-05-08
GN1001	7251	4	60	20	27.300000	3	9	8.120000	2013-05-08
GN1002	7346	1	60	44	19.660000	3	50	2.670000	2013-05-08
GN1002	7346	2	60	57	37.640000	3	51	2.100000	2013-05-08
GN1002	7346	3	60	57	2.830000	4	32	40.240000	2013-05-08
GN1002	7346	4	60	43	50.290000	4	32	31.820000	2013-05-08
GN1101	7450	1	60	43	49.000000	3	42	17.000000	2013-05-08
GN1101	7450	2	60	54	31.000000	4	34	29.000000	2013-05-08
GN1101	7450	3	60	39	19.000000	4	42	17.000000	2013-05-08
GN1101	7450	4	60	27	13.000000	3	49	17.000000	2013-05-08
GORE-01	7645	1	74	10	0.000000	22	0	0.000000	2013-05-08
GORE-01	7645	2	74	10	0.000000	26	0	0.000000	2013-05-08
GORE-01	7645	3	74	0	0.000000	26	0	0.000000	2013-05-08
GORE-01	7645	4	72	15	0.000000	21	0	0.000000	2013-05-08
GORE-01	7645	5	72	15	0.000000	18	0	0.000000	2013-05-08
GORE-01	7645	6	73	0	0.000000	18	0	0.000000	2013-05-08
GRANE-PRM	7628	1	59	6	50.000000	2	24	33.000000	2013-05-08
GRANE-PRM	7628	2	59	6	13.000000	2	27	55.000000	2013-05-08
GRANE-PRM	7628	3	60	12	25.000000	2	33	48.000000	2013-05-08
GRANE-PRM	7628	4	60	13	58.000000	2	29	21.000000	2013-05-08
HAVEN-GR	7763	1	56	22	29.660000	3	15	39.610000	2013-05-08
HAVEN-GR	7763	2	56	22	22.780000	3	15	49.470000	2013-05-08
HAVEN-GR	7763	3	56	22	17.340000	3	15	36.670000	2013-05-08
HAVEN-GR	7763	4	56	22	24.440000	3	15	27.330000	2013-05-08
HBW	7514	1	71	44	59.300000	18	59	44.500000	2013-05-08
HBW	7514	2	71	45	2.600000	20	40	4.200000	2013-05-08
HBW	7514	3	71	3	2.700000	21	6	28.400000	2013-05-08
HBW	7514	4	70	47	48.100000	18	59	53.700000	2013-05-08
HBW13	7775	1	71	44	20.000000	20	2	45.000000	2013-05-08
HBW13	7775	2	71	44	15.000000	20	27	20.000000	2013-05-08
HBW13	7775	3	71	7	50.000000	20	4	0.000000	2013-05-08
HBW13	7775	4	71	7	50.000000	19	42	45.000000	2013-05-08
HBW13	7775	5	70	48	45.000000	19	32	30.000000	2013-05-08
HBW13	7775	6	70	50	10.000000	18	44	30.000000	2013-05-08
HBW13	7775	7	71	56	43.000000	19	23	30.000000	2013-05-08
HBW13	7775	8	71	56	35.000000	20	12	10.000000	2013-05-08
HF12	7607	1	73	35	0.000000	22	6	0.000000	2013-05-08
HF12	7607	2	74	14	0.000000	23	6	0.000000	2013-05-08
HF12	7607	3	74	14	0.000000	24	6	0.000000	2013-05-08
HF12	7607	4	73	40	0.000000	23	9	0.000000	2013-05-08
HF12	7607	5	73	35	0.000000	22	32	0.000000	2013-05-08
HF13	7791	1	74	27	30.000000	23	18	55.000000	2013-05-08
HF13	7791	2	74	26	25.000000	24	25	26.000000	2013-05-08
HF13	7791	3	72	59	26.000000	22	4	15.000000	2013-05-08
HF13	7791	4	72	59	18.000000	18	41	30.000000	2013-05-08
HF13	7791	5	73	20	40.000000	17	42	58.000000	2013-05-08
HF13	7791	6	74	1	20.000000	20	56	3.000000	2013-05-08
HFCN13	7786	1	73	58	45.000000	24	3	28.000000	2013-05-08
HFCN13	7786	2	74	39	28.000000	25	9	10.000000	2013-05-08
HFCN13	7786	3	74	37	20.000000	27	16	4.000000	2013-05-08
HFCN13	7786	4	73	35	32.000000	25	21	20.000000	2013-05-08
HFCN13	7786	5	73	36	8.000000	24	53	0.000000	2013-05-08
HFCN13	7786	6	73	57	0.000000	25	25	13.000000	2013-05-08
Hild	7520	1	60	30	52.000000	2	0	17.000000	2013-05-08
Hild	7520	2	60	30	35.000000	2	1	53.000000	2013-05-08
Hild	7520	3	60	29	48.000000	2	1	17.000000	2013-05-08
Hild	7520	4	60	30	6.000000	1	59	42.000000	2013-05-08
Hoop 11	7424	1	74	0	8.000000	24	40	7.000000	2013-05-08
Hoop 11	7424	2	74	8	51.000000	25	24	30.000000	2013-05-08
Hoop 11	7424	3	74	32	53.000000	26	9	1.000000	2013-05-08
Hoop 11	7424	4	74	34	57.000000	26	22	51.000000	2013-05-08
Hoop 11	7424	5	74	34	32.000000	26	39	52.000000	2013-05-08
Hoop 11	7424	6	74	30	26.000000	26	44	21.000000	2013-05-08
Hoop 11	7424	7	73	52	44.000000	25	34	43.000000	2013-05-08
Hoop 11	7424	8	73	52	8.000000	26	20	55.000000	2013-05-08
Hoop 11	7424	9	73	9	48.000000	25	9	27.000000	2013-05-08
Hoop 11	7424	10	73	9	0.000000	24	16	0.000000	2013-05-08
Hoop 11	7424	11	73	30	0.000000	24	51	0.000000	2013-05-08
Hoop 11	7424	12	73	38	0.000000	24	2	0.000000	2013-05-08
Hoop 11	7424	13	72	56	22.000000	22	55	59.000000	2013-05-08
Hoop 11	7424	14	72	56	44.000000	21	23	55.000000	2013-05-08
Hoop 11	7424	15	74	24	48.000000	23	47	41.000000	2013-05-08
Hoop 11	7424	16	74	15	16.000000	25	3	52.000000	2013-05-08
Hoop 11	7424	17	74	0	8.000000	24	40	7.000000	2013-05-08
ION09	7112	1	63	0	0.000000	0	0	0.000000	2013-05-08
ION09	7112	2	69	0	0.000000	0	0	0.000000	2013-05-08
ION09	7112	3	69	0	0.000000	7	0	0.000000	2013-05-08
ION09	7112	4	63	0	0.000000	7	0	0.000000	2013-05-08
IPN1001	7229	1	61	11	40.000000	2	59	1.000000	2013-05-08
IPN1001	7229	2	61	12	35.000000	2	56	42.000000	2013-05-08
IPN1001	7229	3	61	19	7.000000	3	7	54.000000	2013-05-08
IPN1001	7229	4	61	24	0.000000	3	7	55.000000	2013-05-08
IPN1001	7229	5	61	24	0.000000	3	16	54.000000	2013-05-08
IPN1001	7229	6	61	22	0.000000	3	16	54.000000	2013-05-08
IPN1001	7229	7	61	22	0.000000	3	24	30.000000	2013-05-08
IPN1001	7229	8	61	20	40.000000	3	24	29.000000	2013-05-08
IPN1001	7229	9	61	20	40.000000	3	16	53.000000	2013-05-08
IPN1001	7229	10	61	19	10.000000	3	16	52.000000	2013-05-08
IPN1001	7229	11	61	19	10.000000	3	12	13.000000	2013-05-08
IPN1101	7460	1	62	4	7.000000	3	32	12.000000	2013-05-08
IPN1101	7460	2	62	4	4.000000	4	6	59.000000	2013-05-08
IPN1101	7460	3	61	19	54.000000	4	6	20.000000	2013-05-08
IPN1101	7460	4	61	19	57.000000	3	32	22.000000	2013-05-08
IPN1201	7565	1	62	4	7.000000	3	32	12.000000	2013-05-08
IPN1201	7565	2	62	4	4.000000	4	6	59.000000	2013-05-08
IPN1201	7565	3	61	19	54.000000	4	6	20.000000	2013-05-08
IPN1201	7565	4	61	19	57.000000	3	32	22.000000	2013-05-08
JACKDAW-OBS	7711	1	56	59	10.000000	2	19	13.000000	2013-05-08
JACKDAW-OBS	7711	2	56	58	43.000000	2	28	6.000000	2013-05-08
JACKDAW-OBS	7711	3	56	49	46.000000	2	26	29.000000	2013-05-08
JACKDAW-OBS	7711	4	56	50	14.000000	2	17	38.000000	2013-05-08
Linnorm	7582	1	64	29	30.000000	6	47	0.000000	2013-05-08
Linnorm	7582	2	64	29	30.000000	7	49	0.000000	2013-05-08
Linnorm	7582	3	64	15	0.000000	7	49	0.000000	2013-05-08
Linnorm	7582	4	64	11	39.000000	7	14	0.000000	2013-05-08
Linnorm	7582	5	64	13	34.000000	7	14	0.000000	2013-05-08
Linnorm	7582	6	64	17	0.000000	7	40	30.000000	2013-05-08
Linnorm	7582	7	64	20	0.000000	7	40	30.000000	2013-05-08
Linnorm	7582	8	64	20	0.000000	6	47	0.000000	2013-05-08
LLD12	7562	1	66	13	0.000000	7	44	0.000000	2013-05-08
LLD12	7562	2	66	49	0.000000	9	0	0.000000	2013-05-08
LLD12	7562	3	67	1	0.000000	10	20	0.000000	2013-05-08
LLD12	7562	4	67	1	0.000000	11	4	0.000000	2013-05-08
LLD12	7562	5	66	50	0.000000	11	3	0.000000	2013-05-08
LLD12	7562	6	66	31	0.000000	9	22	0.000000	2013-05-08
LLD12	7562	7	66	4	0.000000	8	16	0.000000	2013-05-08
LN0901	7003	1	71	49	26.000000	21	26	10.000000	2013-05-08
LN0901	7003	2	71	33	23.000000	21	25	43.000000	2013-05-08
LN0901	7003	3	71	29	19.000000	19	40	35.000000	2013-05-08
LN0901	7003	4	71	45	33.000000	19	40	38.000000	2013-05-08
LN0901	7003	5	71	49	26.000000	21	26	10.000000	2013-05-08
LN0902	7004	1	58	53	45.000000	2	0	13.000000	2013-05-08
LN0902	7004	2	59	3	19.000000	2	19	37.000000	2013-05-08
LN0902	7004	3	59	2	50.000000	2	28	8.000000	2013-05-08
LN0902	7004	4	59	1	39.000000	2	30	25.000000	2013-05-08
LN0902	7004	5	59	1	33.000000	2	51	51.000000	2013-05-08
LN0902	7004	6	58	50	33.000000	2	52	4.000000	2013-05-08
LN0902	7004	7	58	47	52.000000	2	57	20.000000	2013-05-08
LN0902	7004	8	58	32	58.000000	2	26	40.000000	2013-05-08
LN0902	7004	9	58	36	3.000000	2	10	26.000000	2013-05-08
LN0902	7004	10	58	41	54.000000	1	59	23.000000	2013-05-08
LN0902	7004	11	58	53	45.000000	2	0	13.000000	2013-05-08
LN0951	7158	1	58	44	26.000000	2	5	41.000000	2013-05-08
LN0951	7158	2	58	41	31.000000	2	7	20.000000	2013-05-08
LN0951	7158	3	58	43	19.000000	2	20	31.000000	2013-05-08
LN0951	7158	4	58	46	6.000000	2	18	41.000000	2013-05-08
LN0952/LN0953	7166	1	58	27	15.000000	2	4	47.000000	2013-05-08
LN0952/LN0953	7166	2	58	16	29.000000	2	5	4.000000	2013-05-08
LN0952/LN0953	7166	3	58	16	34.000000	2	18	22.000000	2013-05-08
LN0952/LN0953	7166	4	58	27	20.000000	2	18	9.000000	2013-05-08
LN0954	7167	1	58	47	50.000000	2	14	35.000000	2013-05-08
LN0954	7167	2	58	48	54.000000	2	14	35.000000	2013-05-08
LN0954	7167	3	58	48	54.000000	2	16	41.000000	2013-05-08
LN0954	7167	4	58	47	50.000000	2	16	41.000000	2013-05-08
LN0955	7017	1	56	29	27.320000	4	22	11.490000	2013-05-08
LN0955	7017	2	56	29	22.760000	4	28	48.910000	2013-05-08
LN0955	7017	3	56	25	46.140000	4	28	40.490000	2013-05-08
LN0955	7017	4	56	25	50.690000	4	22	7.700000	2013-05-08
LN0956	7018	1	58	43	37.870000	2	23	12.480000	2013-05-08
LN0956	7018	2	58	43	37.990000	2	27	55.530000	2013-05-08
LN0956	7018	3	58	41	21.250000	2	27	57.630000	2013-05-08
LN0956	7018	4	58	41	21.670000	2	23	16.070000	2013-05-08
LN0958	7179	0	58	52	13.400000	2	41	47.520000	2013-05-08
LN0958	7179	1	58	47	13.000000	2	50	58.000000	2013-05-08
LN0958	7179	2	58	45	59.840000	2	46	8.660000	2013-05-08
LN0958	7179	3	58	43	13.630000	2	33	58.110000	2013-05-08
LN0958	7179	4	58	51	10.040000	2	34	5.450000	2013-05-08
LN0959	7180	1	58	16	58.150000	2	18	15.300000	2013-05-08
LN0959	7180	2	58	16	7.140000	2	20	0.100000	2013-05-08
LN0959	7180	3	58	14	59.000000	2	20	0.000000	2013-05-08
LN0959	7180	4	58	15	0.060000	2	14	49.200000	2013-05-08
LN0960	7181	1	71	45	0.000000	19	20	0.000000	2013-05-08
LN0960	7181	2	72	29	0.000000	19	20	0.000000	2013-05-08
LN0960	7181	3	72	29	0.000000	21	0	0.000000	2013-05-08
LN0960	7181	4	71	45	0.000000	21	0	0.000000	2013-05-08
LN1001	7285	1	71	31	33.000000	19	49	51.000000	2013-05-08
LN1001	7285	2	71	27	45.000000	18	56	25.000000	2013-05-08
LN1001	7285	3	71	33	58.000000	19	8	14.000000	2013-05-08
LN1001	7285	4	71	35	52.000000	19	10	4.000000	2013-05-08
LN1001	7285	5	71	39	42.000000	19	18	32.000000	2013-05-08
LN1001	7285	6	71	41	15.000000	19	41	29.000000	2013-05-08
LN1001	7285	7	71	43	28.000000	19	40	52.000000	2013-05-08
LN1001	7285	8	71	45	55.000000	20	27	58.000000	2013-05-08
LN1001	7285	9	71	37	23.000000	20	29	14.000000	2013-05-08
LN1001	7285	10	71	36	31.000000	20	14	43.000000	2013-05-08
LN1001	7285	11	71	32	48.000000	20	14	50.000000	2013-05-08
LN1001	7285	12	71	31	33.000000	19	49	51.000000	2013-05-08
LN1002	7284	1	59	17	0.000000	2	39	41.000000	2013-05-08
LN1002	7284	2	59	16	48.000000	3	0	42.000000	2013-05-08
LN1002	7284	3	59	0	11.490000	2	53	12.990000	2013-05-08
LN1002	7284	4	58	50	28.000000	2	38	12.000000	2013-05-08
LN1002	7284	5	58	58	40.000000	2	23	10.000000	2013-05-08
LN1002	7284	6	59	17	0.000000	2	39	41.000000	2013-05-08
LN1051	7197	1	73	0	0.000000	19	40	0.000000	2013-05-08
LN1051	7197	2	73	0	0.000000	21	20	0.000000	2013-05-08
LN1051	7197	3	71	30	0.000000	21	20	0.000000	2013-05-08
LN1051	7197	4	71	30	0.000000	19	40	0.000000	2013-05-08
LN1052	7253	1	58	51	16.300000	2	22	1.970000	2013-05-08
LN1052	7253	2	58	51	10.900000	2	6	47.240000	2013-05-08
LN1052	7253	3	58	55	2.340000	2	6	41.310000	2013-05-08
LN1052	7253	4	58	55	7.740000	2	21	57.730000	2013-05-08
LN1053	7305	1	62	4	50.000000	1	24	22.000000	2013-05-08
LN1053	7305	2	62	4	57.000000	1	34	42.000000	2013-05-08
LN1053	7305	3	62	0	38.000000	1	34	54.000000	2013-05-08
LN1053	7305	4	62	0	31.000000	1	24	35.000000	2013-05-08
LN1055	7353	1	58	55	0.000000	2	13	0.000000	2013-05-08
LN1055	7353	2	58	52	0.000000	2	13	0.000000	2013-05-08
LN1055	7353	3	58	52	0.000000	2	20	0.000000	2013-05-08
LN1055	7353	4	58	55	0.000000	2	20	0.000000	2013-05-08
LN1056	7351	1	58	50	0.000000	2	33	0.000000	2013-05-08
LN1056	7351	2	58	44	0.000000	2	33	0.000000	2013-05-08
LN1056	7351	3	58	44	0.000000	2	48	0.000000	2013-05-08
LN1056	7351	4	58	51	0.000000	2	48	0.000000	2013-05-08
LN1057	7357	1	58	58	58.000000	2	19	16.000000	2013-05-08
LN1057	7357	2	58	59	0.000000	2	29	42.000000	2013-05-08
LN1057	7357	3	58	53	37.000000	2	29	47.000000	2013-05-08
LN1057	7357	4	58	53	35.000000	2	19	22.000000	2013-05-08
LN11001	7428	1	71	31	33.000000	19	49	51.000000	2013-05-08
LN11001	7428	2	71	27	45.000000	18	56	25.000000	2013-05-08
LN11001	7428	3	71	33	58.000000	19	8	14.000000	2013-05-08
LN11001	7428	4	71	35	52.000000	19	10	4.000000	2013-05-08
LN11001	7428	5	71	39	42.000000	19	18	32.000000	2013-05-08
LN11001	7428	6	71	41	15.000000	19	41	29.000000	2013-05-08
LN11001	7428	7	71	43	28.000000	19	40	52.000000	2013-05-08
LN11001	7428	8	71	45	55.000000	20	27	58.000000	2013-05-08
LN11001	7428	9	71	37	23.000000	20	29	14.000000	2013-05-08
LN11001	7428	10	71	36	31.000000	20	14	43.000000	2013-05-08
LN11001	7428	11	71	32	48.000000	20	14	50.000000	2013-05-08
LN11001	7428	12	71	31	33.000000	19	49	51.000000	2013-05-08
LN11002	7455	1	64	23	58.000000	6	5	14.000000	2013-05-08
LN11002	7455	2	63	52	46.000000	6	19	2.000000	2013-05-08
LN11002	7455	3	63	50	12.000000	5	45	49.000000	2013-05-08
LN11002	7455	4	64	21	18.000000	5	31	26.000000	2013-05-08
LN11002	7455	5	64	23	58.000000	6	5	14.000000	2013-05-08
LN11003	7454	1	72	52	35.000000	20	30	54.000000	2013-05-08
LN11003	7454	2	72	52	40.000000	21	24	47.000000	2013-05-08
LN11003	7454	3	72	8	54.000000	21	12	31.000000	2013-05-08
LN11003	7454	4	71	39	2.000000	20	55	28.000000	2013-05-08
LN11003	7454	5	71	56	34.000000	20	2	2.000000	2013-05-08
LN11003	7454	6	72	52	35.000000	20	30	54.000000	2013-05-08
LN11004	7525	1	59	9	22.000000	2	45	30.000000	2013-05-08
LN11004	7525	2	58	52	4.570000	3	14	7.510000	2013-05-08
LN11004	7525	3	58	26	17.870000	2	21	35.670000	2013-05-08
LN11004	7525	4	58	42	45.000000	1	51	0.000000	2013-05-08
LN11006	7532	1	67	0	0.000000	9	32	3.000000	2013-05-08
LN11006	7532	2	66	53	34.000000	9	31	55.000000	2013-05-08
LN11006	7532	3	66	53	38.000000	9	25	39.000000	2013-05-08
LN11006	7532	4	66	50	29.000000	9	25	27.000000	2013-05-08
LN11006	7532	5	66	50	28.000000	9	15	28.000000	2013-05-08
LN11006	7532	6	66	41	40.000000	9	7	2.000000	2013-05-08
LN11006	7532	7	66	50	23.000000	8	7	48.000000	2013-05-08
LN11006	7532	8	66	50	4.000000	7	26	55.000000	2013-05-08
LN11006	7532	9	66	56	12.000000	7	26	32.000000	2013-05-08
LN11006	7532	10	66	56	11.000000	7	24	47.000000	2013-05-08
LN11006	7532	11	67	0	0.000000	7	24	17.000000	2013-05-08
LN11006	7532	12	67	0	0.000000	7	40	0.000000	2013-05-08
LN11006	7532	13	67	0	0.000000	8	0	0.000000	2013-05-08
LN11006	7532	14	67	0	0.000000	8	20	0.000000	2013-05-08
LN11006	7532	15	67	0	0.000000	8	40	0.000000	2013-05-08
LN11006	7532	16	67	0	0.000000	9	0	0.000000	2013-05-08
LN11006	7532	17	67	0	0.000000	9	20	0.000000	2013-05-08
LN11301	7441	1	57	37	37.000000	3	38	57.000000	2013-05-08
LN11301	7441	2	57	33	43.000000	3	26	31.000000	2013-05-08
LN11301	7441	3	57	24	27.760000	3	53	5.820000	2013-05-08
LN11301	7441	4	57	36	11.800000	4	4	32.090000	2013-05-08
LN11302	7442	1	58	33	31.000000	2	7	14.000000	2013-05-08
LN11302	7442	2	58	33	31.000000	2	11	41.000000	2013-05-08
LN11302	7442	3	58	30	2.000000	2	11	41.000000	2013-05-08
LN11302	7442	4	58	30	2.000000	2	7	14.000000	2013-05-08
LN11303	7444	1	58	48	59.000000	1	59	58.000000	2013-05-08
LN11303	7444	2	58	48	58.000000	2	4	58.000000	2013-05-08
LN11303	7444	3	58	44	58.000000	2	5	4.000000	2013-05-08
LN11303	7444	4	58	44	59.000000	2	16	32.000000	2013-05-08
LN11303	7444	5	58	37	31.000000	2	16	38.000000	2013-05-08
LN11303	7444	6	58	37	29.000000	2	0	8.000000	2013-05-08
LN11304	7445	1	57	43	24.000000	2	13	10.000000	2013-05-08
LN11304	7445	2	57	40	59.000000	2	14	40.000000	2013-05-08
LN11304	7445	3	57	40	20.000000	2	10	46.000000	2013-05-08
LN11304	7445	4	57	43	3.000000	2	9	41.000000	2013-05-08
LN11305	7446	1	57	30	39.000000	2	19	50.000000	2013-05-08
LN11305	7446	2	57	30	38.000000	2	15	50.000000	2013-05-08
LN11305	7446	3	57	28	28.000000	2	15	53.000000	2013-05-08
LN11305	7446	4	57	28	29.000000	2	19	53.000000	2013-05-08
LN11306	7448	1	71	45	23.000000	20	42	49.750000	2013-05-08
LN11306	7448	2	71	41	5.540000	20	56	34.730000	2013-05-08
LN11306	7448	3	71	37	51.160000	20	42	56.540000	2013-05-08
LN11306	7448	4	71	41	3.100000	20	29	12.590000	2013-05-08
LN11307	7447	1	71	57	37.110000	20	0	58.780000	2013-05-08
LN11307	7447	2	71	57	43.270000	20	27	0.960000	2013-05-08
LN11307	7447	3	71	50	11.460000	20	27	14.170000	2013-05-08
LN11307	7447	4	71	50	5.340000	20	1	22.410000	2013-05-08
LN11308	7555	1	58	38	36.020000	2	33	58.750000	2013-05-08
LN11308	7555	2	58	54	35.180000	2	33	59.920000	2013-05-08
LN11308	7555	3	58	54	41.090000	2	53	32.810000	2013-05-08
LN11308	7555	4	58	38	40.810000	2	53	53.410000	2013-05-08
LN1151	7371	1	70	47	15.000000	18	41	1.000000	2013-05-08
LN1151	7371	2	71	54	57.000000	26	38	47.000000	2013-05-08
LN1151	7371	3	72	45	23.000000	26	39	57.000000	2013-05-08
LN1151	7371	4	72	44	55.000000	18	40	49.000000	2013-05-08
LN1152	7373	1	58	51	37.000000	2	12	59.000000	2013-05-08
LN1152	7373	2	58	51	38.000000	2	17	9.000000	2013-05-08
LN1152	7373	3	58	49	29.000000	2	17	11.000000	2013-05-08
LN1152	7373	4	58	49	27.000000	2	13	2.000000	2013-05-08
LN12001	7610	1	64	23	58.000000	6	5	14.000000	2013-05-08
LN12001	7610	2	63	52	46.000000	6	19	2.000000	2013-05-08
LN12001	7610	3	63	50	12.000000	5	45	49.000000	2013-05-08
LN12001	7610	4	64	21	18.000000	5	31	26.000000	2013-05-08
LN12001	7610	5	64	23	58.000000	6	5	14.000000	2013-05-08
LN12002	7618	1	59	23	34.700000	2	21	45.800000	2013-05-08
LN12002	7618	2	58	49	3.400000	3	24	17.000000	2013-05-08
LN12002	7618	3	58	13	58.900000	2	11	55.900000	2013-05-08
LN12002	7618	4	58	38	25.700000	1	27	6.600000	2013-05-08
LN12002	7618	5	59	0	26.400000	1	33	53.200000	2013-05-08
LN12002	7618	6	59	23	34.700000	2	21	45.800000	2013-05-08
LN12301	7570	1	58	54	3.690000	2	33	58.410000	2013-05-08
LN12301	7570	2	58	40	29.930000	2	33	59.280000	2013-05-08
LN12301	7570	3	58	40	28.830000	2	48	56.510000	2013-05-08
LN12301	7570	4	58	40	59.890000	2	48	56.350000	2013-05-08
LN12301	7570	5	58	41	0.270000	2	54	56.360000	2013-05-08
LN12301	7570	6	58	48	56.930000	2	54	55.210000	2013-05-08
LN12301	7570	7	58	48	57.500000	2	48	51.980000	2013-05-08
LN12301	7570	8	58	54	2.710000	2	48	57.690000	2013-05-08
LN12302	7577	1	57	30	39.000000	2	19	50.000000	2013-05-08
LN12302	7577	2	57	30	38.000000	2	15	50.000000	2013-05-08
LN12302	7577	3	57	28	28.000000	2	15	53.000000	2013-05-08
LN12302	7577	4	57	28	29.000000	2	19	53.000000	2013-05-08
LN12303	7584	1	58	41	5.000000	1	59	59.000000	2013-05-08
LN12303	7584	2	58	41	36.000000	2	47	2.000000	2013-05-08
LN12303	7584	3	59	24	4.000000	2	39	12.000000	2013-05-08
LN12303	7584	4	59	23	39.000000	1	59	51.000000	2013-05-08
LN12304	7585	1	58	48	59.000000	1	59	58.000000	2013-05-08
LN12304	7585	2	58	48	58.000000	2	4	58.000000	2013-05-08
LN12304	7585	3	58	44	58.000000	2	5	4.000000	2013-05-08
LN12304	7585	4	58	44	59.000000	2	16	32.000000	2013-05-08
LN12304	7585	5	58	37	31.000000	2	16	38.000000	2013-05-08
LN12304	7585	6	58	37	29.000000	2	0	8.000000	2013-05-08
LN12305	7608	1	58	51	11.000000	2	16	46.000000	2013-05-08
LN12305	7608	2	58	49	27.000000	2	16	50.000000	2013-05-08
LN12305	7608	3	58	49	28.000000	2	19	59.000000	2013-05-08
LN12305	7608	4	58	51	12.000000	2	19	59.000000	2013-05-08
LN12306	7606	1	58	54	0.000000	2	13	6.000000	2013-05-08
LN12306	7606	2	58	52	54.000000	2	13	7.000000	2013-05-08
LN12306	7606	3	58	52	54.000000	2	15	37.000000	2013-05-08
LN12306	7606	4	58	54	0.000000	2	15	35.000000	2013-05-08
LN12307	7656	1	62	1	59.000000	1	36	30.000000	2013-05-08
LN12307	7656	2	62	0	25.000000	1	18	31.000000	2013-05-08
LN12307	7656	3	61	55	13.000000	1	20	37.000000	2013-05-08
LN12307	7656	4	61	56	45.000000	1	38	28.000000	2013-05-08
LN12308	7657	1	60	26	59.000000	3	0	1.000000	2013-05-08
LN12308	7657	2	60	26	56.000000	3	5	30.000000	2013-05-08
LN12308	7657	3	60	23	27.000000	3	5	29.000000	2013-05-08
LN12308	7657	4	60	23	29.000000	3	0	0.000000	2013-05-08
LN12309	7594	1	73	0	0.000000	17	20	0.000000	2013-05-08
LN12309	7594	2	73	0	0.000000	21	20	0.000000	2013-05-08
LN12309	7594	3	71	30	0.000000	21	20	0.000000	2013-05-08
LN12309	7594	4	71	30	0.000000	17	20	0.000000	2013-05-08
LN12310	7595	1	71	45	0.000000	26	40	0.000000	2013-05-08
LN12310	7595	2	72	15	0.000000	27	40	0.000000	2013-05-08
LN12310	7595	3	71	30	0.000000	31	20	0.000000	2013-05-08
LN12310	7595	4	71	0	0.000000	30	20	0.000000	2013-05-08
LN12311	7658	1	59	4	24.000000	2	16	1.000000	2013-05-08
LN12311	7658	2	59	0	2.000000	2	16	4.000000	2013-05-08
LN12311	7658	3	59	0	2.000000	2	17	55.000000	2013-05-08
LN12311	7658	4	59	1	3.000000	2	17	56.000000	2013-05-08
LN12311	7658	5	59	1	3.000000	2	19	49.000000	2013-05-08
LN12311	7658	6	59	2	57.000000	2	19	48.000000	2013-05-08
LN12311	7658	7	59	2	58.000000	2	17	56.000000	2013-05-08
LN12311	7658	8	59	4	25.000000	2	17	57.000000	2013-05-08
LN12311-2	7742	1	59	4	24.000000	2	16	1.000000	2013-05-08
LN12311-2	7742	2	59	0	2.000000	2	16	4.000000	2013-05-08
LN12311-2	7742	3	59	0	2.000000	2	17	55.000000	2013-05-08
LN12311-2	7742	4	59	1	3.000000	2	17	56.000000	2013-05-08
LN12311-2	7742	5	59	1	3.000000	2	19	49.000000	2013-05-08
LN12311-2	7742	6	59	2	57.000000	2	19	48.000000	2013-05-08
LN12311-2	7742	7	59	2	58.000000	2	17	56.000000	2013-05-08
LN12311-2	7742	8	59	4	25.000000	2	17	57.000000	2013-05-08
LN12312	7682	1	71	29	28.950000	26	16	5.950000	2013-05-08
LN12312	7682	2	72	13	26.000000	27	25	27.000000	2013-05-08
LN12312	7682	3	71	33	51.000000	31	24	28.000000	2013-05-08
LN12312	7682	4	70	50	56.890000	31	2	7.610000	2013-05-08
LN12312	7682	5	70	57	18.510000	30	40	14.660000	2013-05-08
LN12312	7682	6	71	23	28.280000	28	32	18.690000	2013-05-08
LN12312	7682	7	71	26	25.000000	27	55	47.560000	2013-05-08
LN12313	7691	1	71	34	56.210000	19	23	1.210000	2013-05-08
LN12313	7691	2	71	38	50.490000	21	13	32.350000	2013-05-08
LN12313	7691	3	73	0	2.280000	21	17	16.270000	2013-05-08
LN12313	7691	4	72	59	43.850000	19	31	26.200000	2013-05-08
LN12314	7708	1	71	51	31.460000	20	2	59.380000	2013-05-08
LN12314	7708	2	71	51	36.350000	20	43	48.170000	2013-05-08
LN12314	7708	3	71	44	25.410000	20	43	50.670000	2013-05-08
LN12314	7708	4	71	44	22.260000	20	3	13.630000	2013-05-08
LN12315	7743	1	58	49	21.890000	2	16	40.560000	2013-05-08
LN12315	7743	2	58	49	21.480000	2	18	4.600000	2013-05-08
LN12315	7743	3	58	50	1.120000	2	18	4.360000	2013-05-08
LN12315	7743	4	58	50	0.460000	2	16	40.190000	2013-05-08
LN12316	7744	1	58	53	10.890000	2	34	2.570000	2013-05-08
LN12316	7744	2	58	53	15.370000	2	48	40.610000	2013-05-08
LN12316	7744	3	58	44	11.450000	2	48	37.250000	2013-05-08
LN12316	7744	4	58	44	11.450000	2	40	22.500000	2013-05-08
LN12316	7744	5	58	40	35.550000	2	40	26.030000	2013-05-08
LN12316	7744	6	58	40	33.640000	2	34	3.090000	2013-05-08
LN12401	7596	1	57	30	39.000000	2	19	50.000000	2013-05-08
LN12401	7596	2	57	30	38.000000	2	15	50.000000	2013-05-08
LN12401	7596	3	57	28	28.000000	2	15	53.000000	2013-05-08
LN12401	7596	4	57	28	29.000000	2	19	53.000000	2013-05-08
LN12402	7597	1	58	51	37.000000	2	12	59.000000	2013-05-08
LN12402	7597	2	58	51	38.000000	2	17	9.000000	2013-05-08
LN12402	7597	3	58	49	29.000000	2	17	11.000000	2013-05-08
LN12402	7597	4	58	49	27.000000	2	12	2.000000	2013-05-08
LN12502	7604	1	57	30	0.000000	2	18	0.000000	2013-05-08
LN12502	7604	2	57	15	35.000000	2	17	25.000000	2013-05-08
LN12502	7604	3	57	10	14.000000	2	17	10.000000	2013-05-08
LN12502	7604	4	57	10	14.000000	2	16	0.000000	2013-05-08
LN12502	7604	5	57	17	44.000000	2	16	20.000000	2013-05-08
LN12502	7604	6	57	30	0.000000	2	16	50.000000	2013-05-08
LN12503	7768	1	57	30	39.000000	2	19	50.000000	2013-05-08
LN12503	7768	2	57	30	38.000000	2	15	50.000000	2013-05-08
LN12503	7768	3	57	28	28.000000	2	15	53.000000	2013-05-08
LN12503	7768	4	57	28	29.000000	2	19	53.000000	2013-05-08
LN13001	7794	1	58	38	7.150000	1	48	44.450000	2013-05-08
LN13001	7794	2	59	0	27.490000	2	33	49.250000	2013-05-08
LN13001	7794	3	58	59	40.560000	2	35	16.810000	2013-05-08
LN13001	7794	4	58	37	20.810000	1	50	9.590000	2013-05-08
LN13301	7783	1	59	33	33.610000	1	52	19.230000	2013-05-08
LN13301	7783	2	59	29	55.920000	2	0	0.170000	2013-05-08
LN13301	7783	3	59	26	0.550000	2	0	2.070000	2013-05-08
LN13301	7783	4	59	26	0.480000	2	5	45.460000	2013-05-08
LN13301	7783	5	59	13	56.410000	2	6	2.130000	2013-05-08
LN13301	7783	6	59	13	44.030000	1	41	41.710000	2013-05-08
LN13301	7783	7	59	17	16.860000	1	42	38.940000	2013-05-08
LN13302	7784	1	59	7	40.740000	2	17	37.960000	2013-05-08
LN13302	7784	2	58	46	36.730000	2	55	52.780000	2013-05-08
LN13302	7784	3	58	27	26.380000	2	16	18.000000	2013-05-08
LN13302	7784	4	58	48	24.180000	1	37	33.520000	2013-05-08
LN13303	7823	1	58	40	25.000000	2	34	1.000000	2013-05-08
LN13303	7823	2	58	40	25.000000	2	40	57.000000	2013-05-08
LN13303	7823	3	58	42	28.000000	2	41	34.000000	2013-05-08
LN13303	7823	4	58	42	28.000000	2	52	59.000000	2013-05-08
LN13303	7823	5	58	48	49.000000	2	52	59.000000	2013-05-08
LN13303	7823	6	58	48	49.000000	2	41	34.000000	2013-05-08
LN13303	7823	7	58	46	58.000000	2	40	57.000000	2013-05-08
LN13303	7823	8	58	46	58.000000	2	34	1.000000	2013-05-08
LN13304	7865	1	58	49	0.000000	2	0	0.000000	2013-05-08
LN13304	7865	2	58	49	0.000000	2	4	59.900000	2013-05-08
LN13304	7865	3	58	45	0.000000	2	4	59.900000	2013-05-08
LN13304	7865	4	58	45	0.000000	2	7	59.900000	2013-05-08
LN13304	7865	5	58	45	0.000000	2	19	59.900000	2013-05-08
LN13304	7865	6	58	37	30.000000	2	19	59.900000	2013-05-08
LN13304	7865	7	58	37	30.000000	2	0	0.000000	2013-05-08
LN13304	7865	8	58	43	59.000000	2	0	0.000000	2013-05-08
LN13304	7865	9	58	45	0.000000	2	0	0.000000	2013-05-08
LN13304	7865	10	58	49	0.000000	2	0	0.000000	2013-05-08
LN13501	7826	1	71	54	21.820000	20	15	41.570000	2013-05-08
LN13501	7826	2	71	54	21.270000	20	16	30.780000	2013-05-08
LN13501	7826	3	71	54	4.990000	20	16	28.860000	2013-05-08
LN13501	7826	4	71	54	5.550000	20	15	39.660000	2013-05-08
LO1101	7394	1	58	25	6.000000	2	53	19.000000	2013-05-08
LO1101	7394	2	58	35	6.000000	3	12	22.000000	2013-05-08
LO1101	7394	3	58	40	52.000000	3	6	44.000000	2013-05-08
LO1101	7394	4	58	42	28.000000	3	13	59.000000	2013-05-08
LO1101	7394	5	58	37	30.000000	3	18	42.000000	2013-05-08
LO1101	7394	6	58	43	10.000000	3	32	32.000000	2013-05-08
LO1101	7394	7	58	42	59.000000	4	3	42.000000	2013-05-08
LO1101	7394	8	58	26	17.000000	3	56	46.000000	2013-05-08
LO1101	7394	9	58	12	53.000000	3	43	57.000000	2013-05-08
LO1101	7394	10	58	2	52.000000	3	52	48.000000	2013-05-08
LO1101	7394	11	58	1	34.000000	3	43	41.000000	2013-05-08
LO1101	7394	12	58	5	27.000000	3	39	41.000000	2013-05-08
LO1101	7394	13	58	5	33.000000	2	47	10.000000	2013-05-08
LO1102	7463	1	57	20	41.000000	2	24	3.000000	2013-05-08
LO1102	7463	2	57	20	42.000000	2	30	1.000000	2013-05-08
LO1102	7463	3	57	14	14.000000	2	30	7.000000	2013-05-08
LO1102	7463	4	57	14	13.000000	2	24	9.000000	2013-05-08
LO1103	7504	1	57	17	51.000000	2	27	8.000000	2013-05-08
LO1103	7504	2	57	18	0.000000	2	27	8.000000	2013-05-08
LO1103	7504	3	57	18	0.000000	2	27	26.000000	2013-05-08
LO1103	7504	4	57	17	51.000000	2	27	26.000000	2013-05-08
LOTUS0901	7101	1	58	23	22.000000	3	5	43.000000	2013-05-08
LOTUS0901	7101	2	58	28	43.000000	3	14	48.000000	2013-05-08
LOTUS0901	7101	3	58	29	57.000000	3	26	46.000000	2013-05-08
LOTUS0901	7101	4	58	28	42.000000	3	39	39.000000	2013-05-08
LOTUS0901	7101	5	58	23	47.000000	3	33	22.000000	2013-05-08
LOTUS0901	7101	6	58	19	44.000000	3	22	37.000000	2013-05-08
LOTUS0901	7101	7	58	20	55.000000	3	8	3.000000	2013-05-08
MAE10301	7212	1	64	55	53.120000	6	34	13.090000	2013-05-08
MAE10301	7212	2	64	58	39.780000	6	34	12.150000	2013-05-08
MAE10301	7212	3	65	1	23.250000	6	37	11.840000	2013-05-08
MAE10301	7212	4	64	58	36.870000	6	49	40.530000	2013-05-08
MAE10301	7212	5	64	53	41.080000	6	43	38.850000	2013-05-08
MAE11301	7434	1	65	37	3.490000	6	39	36.990000	2013-05-08
MAE11301	7434	2	65	42	25.540000	6	50	13.220000	2013-05-08
MAE11301	7434	3	65	39	28.620000	6	59	26.900000	2013-05-08
MAE11301	7434	4	65	34	4.820000	6	48	22.840000	2013-05-08
MAE13301	7813	1	64	42	7.900000	6	47	32.860000	2013-05-08
MAE13301	7813	2	64	43	24.550000	6	53	35.420000	2013-05-08
MAE13301	7813	3	64	39	17.580000	6	58	14.320000	2013-05-08
MAE13301	7813	4	64	36	2.150000	6	51	29.590000	2013-05-08
MAE13301	7813	5	64	34	37.410000	6	45	5.700000	2013-05-08
MAE13301	7813	6	64	39	10.340000	6	40	11.660000	2013-05-08
MAE13301	7813	7	64	42	7.900000	6	47	32.860000	2013-05-08
MARIA-SBS	7801	1	65	19	39.000000	7	19	3.000000	2013-05-08
MARIA-SBS	7801	2	64	59	45.000000	6	33	7.000000	2013-05-08
MARIA-SBS	7801	3	64	46	53.000000	6	59	26.000000	2013-05-08
MARIA-SBS	7801	4	64	46	53.000000	6	59	27.000000	2013-05-08
Marihøne2010	7248	1	59	20	42.000000	1	48	21.000000	2013-05-08
Marihøne2010	7248	2	59	20	47.000000	1	50	10.000000	2013-05-08
Marihøne2010	7248	3	59	20	1.000000	1	50	19.000000	2013-05-08
Marihøne2010	7248	4	59	19	55.000000	1	48	30.000000	2013-05-08
MBT1	7347	1	64	0	0.120000	1	23	45.950000	2013-05-08
MBT1	7347	2	63	41	48.400000	2	42	6.140000	2013-05-08
MBT1	7347	3	62	36	41.400000	1	52	17.890000	2013-05-08
MBT1	7347	4	62	51	2.770000	0	40	51.050000	2013-05-08
MBT1	7347	5	63	4	42.980000	0	26	37.420000	2013-05-08
MBT1	7347	6	64	0	0.250000	1	9	50.630000	2013-05-08
MBT1	7347	7	63	59	59.910000	1	19	59.680000	2013-05-08
MBT1b	7395	1	64	0	0.120000	1	23	45.950000	2013-05-08
MBT1b	7395	2	63	41	48.400000	2	42	6.140000	2013-05-08
MBT1b	7395	3	62	24	21.750000	1	43	19.590000	2013-05-08
MBT1b	7395	4	62	34	0.320000	0	57	17.540000	2013-05-08
MBT1b	7395	5	63	16	3.340000	0	14	21.620000	2013-05-08
MBT1b	7395	6	63	59	59.170000	0	47	7.600000	2013-05-08
MBT1b	7395	7	63	59	59.910000	1	19	59.680000	2013-05-08
MBT2	7406	1	64	42	56.000000	3	41	13.000000	2013-05-08
MBT2	7406	2	64	36	5.000000	4	37	40.000000	2013-05-08
MBT2	7406	3	63	48	29.000000	4	13	9.000000	2013-05-08
MBT2	7406	4	63	55	40.000000	3	15	34.000000	2013-05-08
MC2D-AMG2011	7438	1	67	27	25.200000	1	2	6.000000	2013-05-08
MC2D-AMG2011	7438	2	67	24	7.200000	6	30	10.800000	2013-05-08
MC2D-AMG2011	7438	3	65	55	30.000000	8	35	16.800000	2013-05-08
MC2D-AMG2011	7438	4	64	28	1.200000	7	53	52.800000	2013-05-08
MC2D-AMG2011	7438	5	62	23	20.400000	2	52	30.000000	2013-05-08
MC2D-AMG2011	7438	6	62	26	27.600000	0	9	7.200000	2013-05-08
MC2D-AMG2011	7438	7	63	7	48.000000	-2	-9	-43.200000	2013-05-08
MC2D-AMG2011	7438	8	65	21	54.000000	1	7	4.800000	2013-05-08
MC2D-BS2011	7500	1	72	31	40.800000	17	31	30.000000	2013-05-08
MC2D-BS2011	7500	2	73	0	0.000000	19	29	34.800000	2013-05-08
MC2D-BS2011	7500	3	72	36	28.800000	22	36	32.400000	2013-05-08
MC2D-BS2011	7500	4	73	21	28.800000	24	3	0.000000	2013-05-08
MC2D-BS2011	7500	5	72	37	12.000000	28	39	3.600000	2013-05-08
MC2D-BS2011	7500	6	73	6	0.000000	31	39	28.800000	2013-05-08
MC2D-BS2011	7500	7	72	58	37.200000	31	51	10.800000	2013-05-08
MC2D-BS2011	7500	8	71	48	3.600000	28	0	36.000000	2013-05-08
MC2D-BS2011	7500	9	72	16	33.600000	25	4	40.800000	2013-05-08
MC2D-BS2011	7500	10	71	51	21.600000	23	51	32.400000	2013-05-08
MC2D-BS2011	7500	11	71	55	12.000000	21	58	51.600000	2013-05-08
MC2D-BS2011	7500	12	71	18	25.200000	22	0	46.800000	2013-05-08
MC2D-BS2011	7500	13	71	23	49.200000	19	0	0.000000	2013-05-08
MC2D-BS2011	7500	14	72	31	55.200000	17	31	22.800000	2013-05-08
MC2D-CNS2010	7306	1	59	8	31.200000	1	30	21.600000	2013-05-08
MC2D-CNS2010	7306	2	59	9	0.000000	2	11	42.000000	2013-05-08
MC2D-CNS2010	7306	3	58	6	21.600000	2	13	8.400000	2013-05-08
MC2D-CNS2010	7306	4	58	5	56.400000	1	33	10.800000	2013-05-08
MC2D-CNS2011	7370	1	58	25	48.000000	1	0	36.000000	2013-05-08
MC2D-CNS2011	7370	2	58	22	48.000000	6	27	0.000000	2013-05-08
MC2D-CNS2011	7370	3	56	10	48.000000	6	18	36.000000	2013-05-08
MC2D-CNS2011	7370	4	56	10	48.000000	1	6	0.000000	2013-05-08
MC2D-CR2009	7130	1	65	58	19.200000	0	29	38.400000	2013-05-08
MC2D-CR2009	7130	2	65	58	37.200000	0	49	1.200000	2013-05-08
MC2D-CR2009	7130	3	65	59	34.800000	1	8	24.000000	2013-05-08
MC2D-CR2009	7130	4	65	59	49.200000	1	31	8.400000	2013-05-08
MC2D-CR2009	7130	5	65	59	42.000000	1	53	56.400000	2013-05-08
MC2D-CR2009	7130	6	65	59	31.200000	2	33	36.000000	2013-05-08
MC2D-CR2009	7130	7	65	59	34.800000	2	54	43.200000	2013-05-08
MC2D-CR2009	7130	8	65	59	52.800000	3	24	14.400000	2013-05-08
MC2D-CR2009	7130	9	65	59	49.200000	3	44	31.200000	2013-05-08
MC2D-CR2009	7130	10	65	59	42.000000	3	59	42.000000	2013-05-08
MC2D-CR2009	7130	11	65	52	8.400000	3	58	33.600000	2013-05-08
MC2D-CR2009	7130	12	65	39	25.200000	3	59	45.600000	2013-05-08
MC2D-CR2009	7130	13	65	23	38.400000	4	0	0.000000	2013-05-08
MC2D-CR2009	7130	14	65	6	46.800000	3	58	33.600000	2013-05-08
MC2D-CR2009	7130	15	64	43	22.800000	3	59	20.400000	2013-05-08
MC2D-CR2009	7130	16	64	19	40.800000	3	59	16.800000	2013-05-08
MC2D-CR2009	7130	17	63	58	40.800000	3	59	16.800000	2013-05-08
MC2D-CR2009	7130	18	63	35	38.400000	3	59	16.800000	2013-05-08
MC2D-CR2009	7130	19	63	10	12.000000	3	59	9.600000	2013-05-08
MC2D-CR2009	7130	20	62	45	25.200000	3	59	6.000000	2013-05-08
MC2D-CR2009	7130	21	62	27	14.400000	3	59	13.200000	2013-05-08
MC2D-CR2009	7130	22	62	13	8.400000	3	59	31.200000	2013-05-08
MC2D-CR2009	7130	23	62	3	28.800000	3	59	9.600000	2013-05-08
MC2D-CR2009	7130	24	62	2	56.400000	3	36	28.800000	2013-05-08
MC2D-CR2009	7130	25	62	2	38.400000	3	19	37.200000	2013-05-08
MC2D-CR2009	7130	26	61	54	43.200000	3	20	13.200000	2013-05-08
MC2D-CR2009	7130	27	61	44	45.600000	3	19	22.800000	2013-05-08
MC2D-CR2009	7130	28	61	39	36.000000	3	9	57.600000	2013-05-08
MC2D-CR2009	7130	29	61	31	1.200000	2	51	54.000000	2013-05-08
MC2D-CR2009	7130	30	61	21	39.600000	2	32	34.800000	2013-05-08
MC2D-CR2009	7130	31	61	15	25.200000	2	19	8.400000	2013-05-08
MC2D-CR2009	7130	32	61	15	18.000000	2	0	32.400000	2013-05-08
MC2D-CR2009	7130	33	61	15	54.000000	1	47	38.400000	2013-05-08
MC2D-CR2009	7130	34	61	22	4.800000	1	46	1.200000	2013-05-08
MC2D-CR2009	7130	35	61	25	51.600000	1	45	7.200000	2013-05-08
MC2D-CR2009	7130	36	61	35	24.000000	1	38	13.200000	2013-05-08
MC2D-CR2009	7130	37	61	45	21.600000	1	31	15.600000	2013-05-08
MC2D-CR2009	7130	38	61	57	18.000000	1	23	24.000000	2013-05-08
MC2D-CR2009	7130	39	62	8	52.800000	1	14	42.000000	2013-05-08
MC2D-CR2009	7130	40	62	21	28.800000	1	5	49.200000	2013-05-08
MC2D-CR2009	7130	41	62	36	7.200000	0	53	42.000000	2013-05-08
MC2D-CR2009	7130	42	62	48	18.000000	0	43	1.200000	2013-05-08
MC2D-CR2009	7130	43	63	0	50.400000	0	29	9.600000	2013-05-08
MC2D-CR2009	7130	44	63	11	16.800000	0	18	21.600000	2013-05-08
MC2D-CR2009	7130	45	63	21	3.600000	0	7	30.000000	2013-05-08
MC2D-CR2009	7130	46	63	25	26.400000	0	2	27.600000	2013-05-08
MC2D-CR2009	7130	47	63	31	22.800000	0	8	45.600000	2013-05-08
MC2D-CR2009	7130	48	63	39	50.400000	0	17	13.200000	2013-05-08
MC2D-CR2009	7130	49	63	47	13.200000	0	25	4.800000	2013-05-08
MC2D-CR2009	7130	50	63	51	46.800000	0	30	7.200000	2013-05-08
MC2D-CR2009	7130	51	64	5	9.600000	0	29	42.000000	2013-05-08
MC2D-CR2009	7130	52	64	21	21.600000	0	29	49.200000	2013-05-08
MC2D-CR2009	7130	53	64	38	31.200000	0	29	2.400000	2013-05-08
MC2D-CR2009	7130	54	65	1	33.600000	0	29	16.800000	2013-05-08
MC2D-CR2009	7130	55	65	16	44.400000	0	29	31.200000	2013-05-08
MC2D-CR2009	7130	56	65	32	13.200000	0	28	51.600000	2013-05-08
MC2D-CR2009	7130	57	65	44	34.800000	0	29	20.400000	2013-05-08
MC2D-CR2009	7130	58	65	54	54.000000	0	29	9.600000	2013-05-08
MC2D-CRRG2010	7264	1	64	31	12.000000	0	29	27.600000	2013-05-08
MC2D-CRRG2010	7264	2	64	29	38.400000	3	59	45.600000	2013-05-08
MC2D-CRRG2010	7264	3	62	39	7.200000	3	58	48.000000	2013-05-08
MC2D-CRRG2010	7264	4	60	29	24.000000	3	58	1.200000	2013-05-08
MC2D-CRRG2010	7264	5	60	32	13.200000	1	55	33.600000	2013-05-08
MC2D-CRRG2010	7264	6	61	22	44.400000	1	47	9.600000	2013-05-08
MC2D-CRRG2010	7264	7	62	16	19.200000	1	10	15.600000	2013-05-08
MC2D-CRRG2010	7264	8	63	13	19.200000	0	17	20.400000	2013-05-08
MC2D-CRRG2010	7264	9	63	53	20.400000	0	30	32.400000	2013-05-08
MC2D-EGGA2010	7267	1	64	28	33.600000	4	25	58.800000	2013-05-08
MC2D-EGGA2010	7267	2	64	32	6.000000	7	0	39.600000	2013-05-08
MC2D-EGGA2010	7267	3	63	13	58.800000	7	5	52.800000	2013-05-08
MC2D-EGGA2010	7267	4	63	10	51.600000	4	38	6.000000	2013-05-08
MC2D-VIC2010	7265	1	65	48	43.200000	6	3	39.600000	2013-05-08
MC2D-VIC2010	7265	2	65	49	51.600000	7	36	50.400000	2013-05-08
MC2D-VIC2010	7265	3	65	12	0.000000	7	38	34.800000	2013-05-08
MC2D-VIC2010	7265	4	65	10	48.000000	6	8	16.800000	2013-05-08
MC2D-WBGS12	7715	1	73	39	7.200000	15	12	3.600000	2013-05-08
MC2D-WBGS12	7715	2	70	43	19.200000	15	45	39.600000	2013-05-08
MC2D-WBGS12	7715	3	71	7	33.600000	22	19	51.600000	2013-05-08
MC2D-WBGS12	7715	4	72	18	46.800000	23	43	1.200000	2013-05-08
MC2D-WBGS12	7715	5	73	43	37.200000	21	6	50.400000	2013-05-08
MC3D-BERYL12	7670	1	59	47	34.800000	0	58	19.200000	2013-05-08
MC3D-BERYL12	7670	2	59	47	20.400000	2	2	9.600000	2013-05-08
MC3D-BERYL12	7670	3	59	24	43.200000	2	2	16.800000	2013-05-08
MC3D-BERYL12	7670	4	59	13	12.000000	1	55	4.800000	2013-05-08
MC3D-BERYL12	7670	5	59	12	57.600000	0	58	8.400000	2013-05-08
MC3D-BYL2013	7811	1	59	12	55.130000	1	41	29.000000	2013-05-08
MC3D-BYL2013	7811	2	59	17	23.990000	1	42	42.000000	2013-05-08
MC3D-BYL2013	7811	3	59	44	21.450000	1	58	50.380000	2013-05-08
MC3D-BYL2013	7811	4	59	35	52.910000	1	58	41.160000	2013-05-08
MC3D-BYL2013	7811	5	59	31	56.180000	2	1	57.090000	2013-05-08
MC3D-BYL2013	7811	6	59	25	57.270000	2	1	49.020000	2013-05-08
MC3D-BYL2013	7811	7	59	21	28.240000	1	59	31.470000	2013-05-08
MC3D-BYL2013	7811	8	59	13	2.340000	1	54	19.220000	2013-05-08
MC3D-CGR-2010	7190	1	56	5	16.800000	3	14	56.400000	2013-05-08
MC3D-CGR-2010	7190	2	56	19	55.200000	2	56	42.000000	2013-05-08
MC3D-CGR-2010	7190	3	56	48	57.600000	4	38	56.400000	2013-05-08
MC3D-CGR-2010	7190	4	56	33	54.000000	4	55	40.800000	2013-05-08
MC3D-CGR2012	7557	1	56	28	30.000000	2	45	57.600000	2013-05-08
MC3D-CGR2012	7557	2	56	33	57.600000	3	30	25.200000	2013-05-08
MC3D-CGR2012	7557	3	56	14	56.400000	3	48	54.000000	2013-05-08
MC3D-CGR2012	7557	4	56	5	20.400000	3	14	56.400000	2013-05-08
MC3D-CGR2013	7787	1	56	44	15.850000	2	32	41.960000	2013-05-08
MC3D-CGR2013	7787	2	57	12	15.020000	2	19	4.190000	2013-05-08
MC3D-CGR2013	7787	3	57	23	27.430000	2	56	0.970000	2013-05-08
MC3D-CGR2013	7787	4	56	58	53.420000	3	20	53.490000	2013-05-08
MC3D-DPT2013	7862	1	61	50	26.170000	1	50	17.770000	2013-05-08
MC3D-DPT2013	7862	2	61	16	25.390000	2	4	10.140000	2013-05-08
MC3D-DPT2013	7862	3	61	16	20.580000	1	48	23.580000	2013-05-08
MC3D-DPT2013	7862	4	61	21	24.000000	1	47	24.000000	2013-05-08
MC3D-DPT2013	7862	5	61	40	0.000000	1	36	8.520000	2013-05-08
MC3D-DPT2013	7862	6	61	50	18.330000	1	28	59.640000	2013-05-08
MC3D-DUN2013	7834	1	61	4	40.240000	1	50	41.140000	2013-05-08
MC3D-DUN2013	7834	2	61	21	24.000000	1	47	24.000000	2013-05-08
MC3D-DUN2013	7834	3	61	27	13.950000	1	43	52.240000	2013-05-08
MC3D-DUN2013	7834	4	61	27	21.750000	1	59	40.870000	2013-05-08
MC3D-DUN2013	7834	5	61	4	40.240000	1	50	41.140000	2013-05-08
MC3D-GES2011	7493	1	64	27	32.760000	6	58	41.520000	2013-05-08
MC3D-GES2011	7493	2	64	27	51.620000	7	13	35.910000	2013-05-08
MC3D-GES2011	7493	3	64	40	3.550000	7	0	8.360000	2013-05-08
MC3D-GES2011	7493	4	64	40	1.630000	7	7	52.890000	2013-05-08
MC3D-GES2011	7493	5	64	27	54.960000	7	20	9.450000	2013-05-08
MC3D-GES2011	7493	6	64	28	18.480000	8	13	14.160000	2013-05-08
MC3D-GES2011	7493	7	64	13	3.360000	8	13	32.880000	2013-05-08
MC3D-GES2011	7493	8	64	12	20.880000	6	59	40.920000	2013-05-08
MC3D-HVG2011	7379	1	65	58	30.000000	6	12	25.200000	2013-05-08
MC3D-HVG2011	7379	2	65	34	40.800000	8	19	48.000000	2013-05-08
MC3D-HVG2011	7379	3	65	21	14.400000	8	5	24.000000	2013-05-08
MC3D-HVG2011	7379	4	65	0	25.200000	8	4	44.400000	2013-05-08
MC3D-HVG2011	7379	5	64	53	9.600000	7	56	16.800000	2013-05-08
MC3D-HVG2011	7379	6	65	8	20.400000	6	46	12.000000	2013-05-08
MC3D-HVG2011	7379	7	65	18	54.000000	6	46	15.600000	2013-05-08
MC3D-HVG2011	7379	8	65	32	16.800000	5	41	9.600000	2013-05-08
MC3D-HVG2012	7616	1	65	47	31.200000	6	31	12.000000	2013-05-08
MC3D-HVG2012	7616	2	65	27	10.800000	8	0	21.600000	2013-05-08
MC3D-HVG2012	7616	3	66	5	38.400000	8	55	51.600000	2013-05-08
MC3D-HVG2012	7616	4	66	21	57.600000	7	39	46.800000	2013-05-08
MC3D-LIN12	7653	1	58	8	35.880000	1	44	44.520000	2013-05-08
MC3D-LIN12	7653	2	58	20	21.840000	2	25	22.440000	2013-05-08
MC3D-LIN12	7653	3	58	10	4.440000	2	34	53.760000	2013-05-08
MC3D-LIN12	7653	4	57	59	3.120000	1	53	33.000000	2013-05-08
MC3D-LIN2012	7600	1	58	7	31.080000	1	45	42.120000	2013-05-08
MC3D-LIN2012	7600	2	58	19	5.160000	2	24	55.800000	2013-05-08
MC3D-LIN2012	7600	3	58	8	49.920000	2	33	19.800000	2013-05-08
MC3D-LIN2012	7600	4	57	57	56.520000	1	54	28.800000	2013-05-08
MC3D-NON2010	7238	1	66	20	56.400000	7	43	19.200000	2013-05-08
MC3D-NON2010	7238	2	66	17	13.200000	8	42	50.400000	2013-05-08
MC3D-NON2010	7238	3	65	54	0.000000	8	33	32.400000	2013-05-08
MC3D-NON2010	7238	4	65	57	46.800000	7	35	2.400000	2013-05-08
MC3D-NONEXT2010	7352	1	66	26	45.600000	7	39	57.600000	2013-05-08
MC3D-NONEXT2010	7352	2	66	22	48.000000	8	59	52.800000	2013-05-08
MC3D-NONEXT2010	7352	3	66	2	45.600000	8	59	52.800000	2013-05-08
MC3D-NONEXT2010	7352	4	66	7	58.800000	7	39	54.000000	2013-05-08
MC3D-NVG10	7189	1	60	10	12.000000	2	1	30.000000	2013-05-08
MC3D-NVG10	7189	2	59	57	28.800000	3	0	3.600000	2013-05-08
MC3D-NVG10	7189	3	59	30	0.000000	2	59	49.200000	2013-05-08
MC3D-NVG10	7189	4	59	0	0.000000	2	28	58.800000	2013-05-08
MC3D-NVG10	7189	5	59	0	14.400000	1	37	58.800000	2013-05-08
MC3D-NVG10	7189	6	59	15	7.200000	1	41	49.200000	2013-05-08
MC3D-NVG10	7189	7	59	54	18.000000	2	4	33.600000	2013-05-08
MC3D-NVG11	7377	1	60	0	6.480000	2	3	23.040000	2013-05-08
MC3D-NVG11	7377	2	59	49	11.640000	2	54	0.360000	2013-05-08
MC3D-NVG11	7377	3	59	36	38.160000	2	53	48.120000	2013-05-08
MC3D-NVG11	7377	4	59	48	27.360000	2	1	26.760000	2013-05-08
MC3D-NVG11	7377	5	59	54	0.360000	2	4	36.120000	2013-05-08
MC3D-Q162013	7782	1	58	35	7.030000	1	31	28.390000	2013-05-08
MC3D-Q162013	7782	2	59	15	55.260000	1	42	18.410000	2013-05-08
MC3D-Q162013	7782	3	59	16	5.590000	2	1	56.330000	2013-05-08
MC3D-Q162013	7782	4	59	5	33.560000	1	59	12.100000	2013-05-08
MC3D-Q162013	7782	5	59	5	42.790000	2	15	46.110000	2013-05-08
MC3D-Q162013	7782	6	58	35	28.880000	2	16	28.500000	2013-05-08
MC3D-Q162013	7782	7	58	35	28.880000	2	16	28.500000	2013-05-08
MC3D-Q162013	7782	8	58	35	28.880000	2	16	28.500000	2013-05-08
MC3D-Q16UK2012	7571	1	58	45	21.350000	0	39	43.160000	2013-05-08
MC3D-Q16UK2012	7571	2	58	45	21.300000	1	44	39.730000	2013-05-08
MC3D-Q16UK2012	7571	3	58	12	58.040000	1	35	40.830000	2013-05-08
MC3D-Q16UK2012	7571	4	58	13	25.820000	0	33	14.250000	2013-05-08
MC3D-Q16UKEX	7710	1	58	48	10.800000	1	34	55.200000	2013-05-08
MC3D-Q16UKEX	7710	2	58	47	51.000000	2	33	56.160000	2013-05-08
MC3D-Q16UKEX	7710	3	58	26	52.080000	2	35	36.960000	2013-05-08
MC3D-Q16UKEX	7710	4	58	27	7.200000	1	29	16.800000	2013-05-08
MC3D-Q16UKEX	7710	5	58	39	39.600000	1	32	34.800000	2013-05-08
MC3D-Q82009	7154	1	57	14	57.840000	3	35	11.040000	2013-05-08
MC3D-Q82009	7154	2	57	14	59.280000	4	6	49.320000	2013-05-08
MC3D-Q82009	7154	3	57	1	0.480000	4	7	28.920000	2013-05-08
MC3D-Q82009	7154	4	57	1	2.640000	3	34	28.560000	2013-05-08
MC3D-SBS2009	7008	1	59	9	40.680000	2	49	45.480000	2013-05-08
MC3D-SBS2009	7008	2	59	9	41.040000	3	27	0.000000	2013-05-08
MC3D-SBS2009	7008	3	58	59	20.400000	3	27	25.920000	2013-05-08
MC3D-SBS2009	7008	4	58	59	0.600000	3	53	13.920000	2013-05-08
MC3D-SBS2009	7008	5	58	51	18.360000	3	52	50.520000	2013-05-08
MC3D-SBS2009	7008	6	58	51	31.680000	2	49	0.120000	2013-05-08
MC3D-SVG11	7378	1	59	28	15.600000	1	49	19.200000	2013-05-08
MC3D-SVG11	7378	2	59	11	49.200000	2	59	49.200000	2013-05-08
MC3D-SVG11	7378	3	58	30	3.600000	2	59	42.000000	2013-05-08
MC3D-SVG11	7378	4	58	52	33.600000	1	36	10.800000	2013-05-08
MC3D-SVG11	7378	5	59	5	24.000000	1	39	21.600000	2013-05-08
MC3D-SVG11	7378	6	59	17	27.600000	1	42	28.800000	2013-05-08
MC3D-SVG11-EXT	7553	1	59	24	54.360000	1	42	3.600000	2013-05-08
MC3D-SVG11-EXT	7553	2	59	7	8.400000	3	2	38.400000	2013-05-08
MC3D-SVG11-EXT	7553	3	58	53	26.880000	3	1	28.200000	2013-05-08
MC3D-SVG11-EXT	7553	4	59	13	33.240000	1	33	26.280000	2013-05-08
MC3D-SVG11-EXT	7553	5	59	17	20.040000	1	42	34.920000	2013-05-08
MC3D-SVG12	7603	1	59	23	32.130000	1	34	8.720000	2013-05-08
MC3D-SVG12	7603	2	59	2	52.530000	3	6	36.550000	2013-05-08
MC3D-SVG12	7603	3	58	53	52.290000	3	6	19.330000	2013-05-08
MC3D-SVG12	7603	4	59	15	49.110000	1	29	36.060000	2013-05-08
MCG0901	7075	1	71	52	42.000000	17	34	38.000000	2013-05-08
MCG0901	7075	2	71	39	56.000000	17	42	5.000000	2013-05-08
MCG0901	7075	3	71	36	30.000000	17	50	45.000000	2013-05-08
MCG0901	7075	4	71	36	18.000000	20	14	56.000000	2013-05-08
MCG0901	7075	5	71	45	11.000000	20	48	57.000000	2013-05-08
MCG0901	7075	6	72	59	49.000000	22	24	7.000000	2013-05-08
MCG0901	7075	7	73	27	15.000000	22	25	30.000000	2013-05-08
MCG0901	7075	8	73	27	37.000000	17	12	4.000000	2013-05-08
MCG0901	7075	9	72	38	37.000000	17	4	11.000000	2013-05-08
MCG0901	7075	10	72	38	27.000000	17	27	36.000000	2013-05-08
MCG0901	7075	11	71	52	42.000000	17	34	38.000000	2013-05-08
MCG1001	7209	1	73	5	48.700000	20	46	35.700000	2013-05-08
MCG1001	7209	2	73	7	32.300000	15	32	45.700000	2013-05-08
MCG1001	7209	3	72	43	46.500000	15	32	1.200000	2013-05-08
MCG1001	7209	4	72	31	12.800000	17	1	6.200000	2013-05-08
MCG1001	7209	5	72	3	2.600000	17	8	0.600000	2013-05-08
MCG1001	7209	6	71	53	23.800000	17	12	30.600000	2013-05-08
MCG1001	7209	7	71	31	2.700000	17	52	34.300000	2013-05-08
MCG1001	7209	8	71	30	25.000000	20	7	59.200000	2013-05-08
MCG1001	7209	9	71	44	48.800000	21	1	25.200000	2013-05-08
MCG1001	7209	10	73	5	48.700000	20	46	35.700000	2013-05-08
MCG1002	7225	1	66	59	36.900000	11	32	13.700000	2013-05-08
MCG1002	7225	2	66	59	52.500000	10	13	57.700000	2013-05-08
MCG1002	7225	3	66	59	50.000000	9	0	18.200000	2013-05-08
MCG1002	7225	4	66	59	49.940000	8	0	10.610000	2013-05-08
MCG1002	7225	5	67	11	46.710000	7	51	40.440000	2013-05-08
MCG1002	7225	6	67	11	42.130000	6	53	46.360000	2013-05-08
MCG1002	7225	7	66	36	10.810000	6	53	49.950000	2013-05-08
MCG1002	7225	8	65	50	33.850000	8	15	56.080000	2013-05-08
MCG1002	7225	9	66	15	36.520000	9	53	8.800000	2013-05-08
MCG1002	7225	10	66	14	4.660000	10	23	46.600000	2013-05-08
MCG1002	7225	11	66	25	4.430000	10	58	4.220000	2013-05-08
MCG1002	7225	12	66	36	35.190000	11	17	47.750000	2013-05-08
MCG1002	7225	13	66	52	1.160000	11	31	55.210000	2013-05-08
MCG1002	7225	14	66	59	40.520000	11	32	26.390000	2013-05-08
MCG1101	7419	1	71	39	14.540000	18	51	9.180000	2013-05-08
MCG1101	7419	2	72	17	48.520000	18	35	12.880000	2013-05-08
MCG1101	7419	3	73	18	26.680000	20	59	21.520000	2013-05-08
MCG1101	7419	4	73	42	16.670000	19	34	8.220000	2013-05-08
MCG1101	7419	5	73	45	34.920000	15	54	45.360000	2013-05-08
MCG1101	7419	6	73	21	59.690000	14	46	10.310000	2013-05-08
MCG1101	7419	7	72	46	7.500000	14	41	51.290000	2013-05-08
MCG1101	7419	8	72	30	48.380000	14	49	48.940000	2013-05-08
MCG1101	7419	9	72	19	43.100000	14	57	8.530000	2013-05-08
MCG1101	7419	10	72	8	0.710000	15	4	28.520000	2013-05-08
MCG1101	7419	11	71	42	44.530000	15	25	10.740000	2013-05-08
MCG1101	7419	12	71	39	14.540000	18	51	9.180000	2013-05-08
MCG1102	7426	1	70	20	52.220000	15	33	43.200000	2013-05-08
MCG1102	7426	2	70	18	8.420000	17	9	23.940000	2013-05-08
MCG1102	7426	3	70	31	10.960000	18	1	8.830000	2013-05-08
MCG1102	7426	4	70	51	8.820000	20	25	43.430000	2013-05-08
MCG1102	7426	5	70	56	36.820000	21	29	32.350000	2013-05-08
MCG1102	7426	6	71	22	19.090000	23	9	28.400000	2013-05-08
MCG1102	7426	7	71	29	24.940000	24	1	11.420000	2013-05-08
MCG1102	7426	8	71	30	14.650000	25	8	12.160000	2013-05-08
MCG1102	7426	9	71	31	57.220000	25	55	59.160000	2013-05-08
MCG1102	7426	10	71	26	11.870000	28	27	49.860000	2013-05-08
MCG1102	7426	11	71	15	17.500000	29	16	20.030000	2013-05-08
MCG1102	7426	12	71	2	32.780000	30	19	13.690000	2013-05-08
MCG1102	7426	13	71	18	23.980000	32	2	3.620000	2013-05-08
MCG1102	7426	14	72	0	51.230000	31	59	13.450000	2013-05-08
MCG1102	7426	15	73	1	25.930000	29	38	59.280000	2013-05-08
MCG1102	7426	16	74	7	17.000000	26	5	43.010000	2013-05-08
MCG1102	7426	17	73	59	18.310000	20	50	11.440000	2013-05-08
MCG1102	7426	18	73	48	30.490000	20	4	28.880000	2013-05-08
MCG1102	7426	19	73	45	20.200000	19	18	31.280000	2013-05-08
MCG1102	7426	20	73	46	25.790000	18	28	11.030000	2013-05-08
MCG1102	7426	21	73	52	18.880000	17	44	24.860000	2013-05-08
MCG1102	7426	22	74	1	47.100000	17	11	25.010000	2013-05-08
MCG1102	7426	23	74	1	19.270000	14	58	12.250000	2013-05-08
MCG1102	7426	24	72	27	23.080000	15	7	48.830000	2013-05-08
MCG1102	7426	25	72	17	16.480000	15	7	37.310000	2013-05-08
MCG1102	7426	26	72	1	59.740000	15	2	36.060000	2013-05-08
MCG1102	7426	27	71	39	51.880000	15	1	57.070000	2013-05-08
MCG1102	7426	28	71	29	0.240000	15	3	38.200000	2013-05-08
MCG1102	7426	29	71	22	25.430000	15	4	36.840000	2013-05-08
MCG1102	7426	30	71	17	8.700000	15	4	19.420000	2013-05-08
MCG1102	7426	31	71	9	55.330000	15	6	22.900000	2013-05-08
MCG1102	7426	32	71	1	53.580000	15	6	24.590000	2013-05-08
MCG1102	7426	33	70	20	52.220000	15	33	43.200000	2013-05-08
MCG1201	7580	1	74	3	13.720000	14	57	58.790000	2013-05-08
MCG1201	7580	2	72	1	8.470000	15	3	19.980000	2013-05-08
MCG1201	7580	3	71	19	21.900000	16	57	3.060000	2013-05-08
MCG1201	7580	4	71	19	47.930000	20	1	35.080000	2013-05-08
MCG1201	7580	5	72	29	37.900000	23	27	15.840000	2013-05-08
MCG1201	7580	6	72	53	6.040000	24	34	26.900000	2013-05-08
MCG1201	7580	7	74	16	54.980000	25	17	4.130000	2013-05-08
MCG1201	7580	8	74	11	13.880000	21	15	57.240000	2013-05-08
MCG1201	7580	9	73	59	23.320000	20	56	2.290000	2013-05-08
MCG1201	7580	10	73	51	45.540000	20	28	27.230000	2013-05-08
MCG1201	7580	11	73	48	3.740000	20	6	1.940000	2013-05-08
MCG1201	7580	12	73	44	16.220000	19	24	29.160000	2013-05-08
MCG1201	7580	13	73	45	28.870000	18	31	53.330000	2013-05-08
MCG1201	7580	14	73	51	41.580000	17	47	51.540000	2013-05-08
MCG1201	7580	15	73	56	57.700000	17	27	49.970000	2013-05-08
MCG1201	7580	16	74	3	13.720000	14	57	58.790000	2013-05-08
MCG1202	7700	1	66	53	57.520000	11	32	22.960000	2013-05-08
MCG1202	7700	2	66	58	39.070000	11	10	8.800000	2013-05-08
MCG1202	7700	3	66	30	59.290000	9	18	11.840000	2013-05-08
MCG1202	7700	4	65	57	38.700000	9	51	5.900000	2013-05-08
MCG1202	7700	5	65	57	32.580000	11	1	49.620000	2013-05-08
MCG1202	7700	6	66	37	21.180000	11	35	52.690000	2013-05-08
MCG1301	7796	1	70	15	17.030000	17	33	53.350000	2013-05-08
MCG1301	7796	2	70	24	31.970000	17	53	15.250000	2013-05-08
MCG1301	7796	3	70	30	9.040000	18	11	43.080000	2013-05-08
MCG1301	7796	4	70	35	35.630000	18	42	22.540000	2013-05-08
MCG1301	7796	5	70	44	15.900000	19	47	11.580000	2013-05-08
MCG1301	7796	6	70	57	13.970000	21	30	26.820000	2013-05-08
MCG1301	7796	7	71	12	57.020000	22	39	43.700000	2013-05-08
MCG1301	7796	8	71	46	56.100000	22	43	9.550000	2013-05-08
MCG1301	7796	9	71	53	28.390000	20	12	19.260000	2013-05-08
MCG1301	7796	10	72	17	11.580000	18	31	6.530000	2013-05-08
MCG1301	7796	11	72	16	5.810000	15	24	25.920000	2013-05-08
MCG1301	7796	12	70	15	7.630000	15	34	13.550000	2013-05-08
MCG1301	7796	13	70	15	17.030000	17	33	53.350000	2013-05-08
MNDW2010	7280	1	63	12	58.160000	5	40	0.550000	2013-05-08
MNDW2010	7280	2	63	13	48.030000	1	25	4.660000	2013-05-08
MNDW2010	7280	3	66	47	26.280000	1	1	12.710000	2013-05-08
MNDW2010	7280	4	67	30	29.610000	2	45	32.050000	2013-05-08
MNDW2010	7280	5	67	54	55.650000	7	40	0.000000	2013-05-08
MNDW2010	7280	6	67	0	0.000000	7	40	0.000000	2013-05-08
MNDW2010	7280	7	67	0	0.000000	11	38	55.750000	2013-05-08
MNDW2010	7280	8	66	45	2.610000	11	25	45.470000	2013-05-08
MNDW2010	7280	9	66	34	48.390000	9	47	11.730000	2013-05-08
MNDW2010	7280	10	64	52	8.050000	5	50	21.490000	2013-05-08
MNDW2010	7280	11	63	12	58.160000	5	40	0.550000	2013-05-08
MNR09	7001	0	64	9	57.330000	0	-51	-24.100000	2013-05-08
MNR09	7001	1	64	9	57.330000	0	51	24.100000	2013-05-08
MNR09	7001	2	64	9	54.270000	0	57	21.030000	2013-05-08
MNR09	7001	3	67	9	5.040000	0	52	13.860000	2013-05-08
MNR09	7001	4	67	10	52.290000	2	32	14.060000	2013-05-08
MNR09	7001	5	67	54	42.150000	2	30	33.040000	2013-05-08
MNR09	7001	6	67	55	28.120000	4	33	28.460000	2013-05-08
MNR09	7001	7	68	9	31.160000	4	33	37.570000	2013-05-08
MNR09	7001	8	68	9	58.100000	8	0	6.220000	2013-05-08
MNR09	7001	9	67	0	0.000000	8	0	0.000000	2013-05-08
MNR09	7001	10	67	0	0.000000	9	59	9.990000	2013-05-08
MNR09	7001	11	67	0	0.310000	10	31	28.280000	2013-05-08
MNR09	7001	12	67	0	4.840000	12	8	34.180000	2013-05-08
MNR09	7001	13	64	50	9.240000	10	17	5.720000	2013-05-08
MNR09	7001	14	64	34	6.600000	10	0	0.000000	2013-05-08
MNR09	7001	15	64	13	24.260000	9	17	55.040000	2013-05-08
MNR09	7001	16	63	54	42.120000	8	27	42.010000	2013-05-08
MNR09	7001	17	63	30	0.000000	7	46	36.980000	2013-05-08
MNR09	7001	18	63	7	5.880000	7	9	54.000000	2013-05-08
MNR09	7001	19	62	48	54.000000	6	15	54.000000	2013-05-08
MNR09	7001	20	62	20	12.220000	5	16	12.000000	2013-05-08
MNR09	7001	21	62	11	12.120000	5	3	42.010000	2013-05-08
MNR09	7001	22	61	38	46.180000	4	33	6.910000	2013-05-08
MNR09	7001	23	61	35	15.580000	4	32	54.770000	2013-05-08
MNR09	7001	24	61	35	3.580000	1	46	54.980000	2013-05-08
MNR09	7001	25	61	34	43.110000	1	17	14.240000	2013-05-08
MNR09	7001	26	62	41	29.330000	0	25	45.120000	2013-05-08
MNR09	7001	27	63	50	3.570000	0	-51	-5.950000	2013-05-08
MNR10	7224	1	64	9	57.000000	0	-51	-24.000000	2013-05-08
MNR10	7224	2	64	9	54.000000	0	57	21.000000	2013-05-08
MNR10	7224	3	67	9	5.000000	0	52	13.000000	2013-05-08
MNR10	7224	4	67	10	52.000000	2	32	14.000000	2013-05-08
MNR10	7224	5	67	54	42.000000	2	30	33.000000	2013-05-08
MNR10	7224	6	67	55	28.000000	4	33	28.000000	2013-05-08
MNR10	7224	7	68	9	31.000000	4	33	37.000000	2013-05-08
MNR10	7224	8	68	9	58.000000	8	0	6.000000	2013-05-08
MNR10	7224	9	67	0	0.000000	8	0	0.000000	2013-05-08
MNR10	7224	10	67	0	0.000000	9	19	59.000000	2013-05-08
MNR10	7224	11	67	0	0.000000	10	31	28.000000	2013-05-08
MNR10	7224	12	67	0	4.000000	12	8	34.000000	2013-05-08
MNR10	7224	13	64	50	9.000000	10	17	5.000000	2013-05-08
MNR10	7224	14	64	34	6.000000	10	0	0.000000	2013-05-08
MNR10	7224	15	64	13	24.000000	9	17	55.000000	2013-05-08
MNR10	7224	16	63	54	42.000000	8	27	42.000000	2013-05-08
MNR10	7224	17	63	30	0.000000	7	46	37.000000	2013-05-08
MNR10	7224	18	63	7	5.000000	7	9	54.000000	2013-05-08
MNR10	7224	19	62	48	54.000000	6	15	54.000000	2013-05-08
MNR10	7224	20	62	20	12.000000	5	16	12.000000	2013-05-08
MNR10	7224	21	62	11	12.000000	5	3	42.000000	2013-05-08
MNR10	7224	22	61	38	46.000000	4	33	6.000000	2013-05-08
MNR10	7224	23	61	35	15.000000	4	32	54.000000	2013-05-08
MNR10	7224	24	61	35	3.000000	1	46	54.000000	2013-05-08
MNR10	7224	25	61	34	43.000000	1	17	14.000000	2013-05-08
MNR10	7224	26	62	41	29.000000	0	25	45.000000	2013-05-08
MNR10	7224	27	63	50	3.000000	0	-51	-5.000000	2013-05-08
MNR10	7224	28	64	9	57.000000	0	-51	-24.000000	2013-05-08
MNR11	7389	1	64	9	57.000000	0	-51	-24.000000	2013-05-08
MNR11	7389	2	64	9	54.000000	0	57	21.000000	2013-05-08
MNR11	7389	3	67	9	5.000000	0	52	13.000000	2013-05-08
MNR11	7389	4	67	10	52.000000	2	32	14.000000	2013-05-08
MNR11	7389	5	67	54	42.000000	2	30	33.000000	2013-05-08
MNR11	7389	6	67	55	28.000000	4	33	28.000000	2013-05-08
MNR11	7389	7	68	9	31.000000	4	33	37.000000	2013-05-08
MNR11	7389	8	68	9	58.000000	8	0	6.000000	2013-05-08
MNR11	7389	9	67	0	0.000000	8	0	0.000000	2013-05-08
MNR11	7389	10	67	0	0.000000	9	19	59.000000	2013-05-08
MNR11	7389	11	67	0	0.000000	10	31	28.000000	2013-05-08
MNR11	7389	12	67	0	4.000000	12	8	34.000000	2013-05-08
MNR11	7389	13	64	50	9.000000	10	17	5.000000	2013-05-08
MNR11	7389	14	64	34	6.000000	10	0	0.000000	2013-05-08
MNR11	7389	15	64	13	24.000000	9	17	55.000000	2013-05-08
MNR11	7389	16	63	54	42.000000	8	27	42.000000	2013-05-08
MNR11	7389	17	63	30	0.000000	7	46	37.000000	2013-05-08
MNR11	7389	18	63	7	5.000000	7	9	54.000000	2013-05-08
MNR11	7389	19	62	48	54.000000	6	15	54.000000	2013-05-08
MNR11	7389	20	62	20	12.000000	5	16	12.000000	2013-05-08
MNR11	7389	21	62	11	12.000000	5	3	42.000000	2013-05-08
MNR11	7389	22	61	38	46.000000	4	33	6.000000	2013-05-08
MNR11	7389	23	61	35	15.000000	4	32	54.000000	2013-05-08
MNR11	7389	24	61	35	3.000000	1	46	54.000000	2013-05-08
MNR11	7389	25	61	34	43.000000	1	17	14.000000	2013-05-08
MNR11	7389	26	62	41	29.000000	0	25	45.000000	2013-05-08
MNR11	7389	27	63	50	3.000000	0	-51	-5.000000	2013-05-08
MNR11	7389	28	64	9	57.000000	0	-51	-24.000000	2013-05-08
NBR10	7219	1	74	7	41.000000	32	29	41.000000	2013-05-08
NBR10	7219	2	70	43	31.000000	32	24	41.000000	2013-05-08
NBR10	7219	3	70	43	58.000000	31	59	40.000000	2013-05-08
NBR10	7219	4	70	49	48.000000	31	40	44.000000	2013-05-08
NBR10	7219	5	71	4	9.000000	30	52	55.000000	2013-05-08
NBR10	7219	6	71	15	9.000000	29	56	5.000000	2013-05-08
NBR10	7219	7	71	29	34.000000	28	55	39.000000	2013-05-08
NBR10	7219	8	71	34	47.000000	28	9	41.000000	2013-05-08
NBR10	7219	9	71	38	30.000000	25	30	10.000000	2013-05-08
NBR10	7219	10	71	34	7.000000	24	24	39.000000	2013-05-08
NBR10	7219	11	71	32	53.000000	23	44	21.000000	2013-05-08
NBR10	7219	12	71	29	53.000000	23	18	23.000000	2013-05-08
NBR10	7219	13	71	21	57.000000	22	39	7.000000	2013-05-08
NBR10	7219	14	71	13	7.000000	22	2	3.000000	2013-05-08
NBR10	7219	15	71	4	51.000000	21	20	58.000000	2013-05-08
NBR10	7219	16	70	43	8.000000	18	31	7.000000	2013-05-08
NBR10	7219	17	70	34	8.000000	17	41	7.000000	2013-05-08
NBR10	7219	18	70	15	6.000000	17	3	32.000000	2013-05-08
NBR10	7219	19	70	15	9.000000	15	36	16.000000	2013-05-08
NBR10	7219	20	71	52	2.000000	15	33	59.000000	2013-05-08
NBR10	7219	21	71	49	53.000000	15	53	45.000000	2013-05-08
NBR10	7219	22	71	27	13.000000	16	39	18.000000	2013-05-08
NBR10	7219	23	70	59	57.000000	17	2	50.000000	2013-05-08
NBR10	7219	24	71	27	58.000000	17	26	32.000000	2013-05-08
NBR10	7219	25	71	30	8.000000	17	42	35.000000	2013-05-08
NBR10	7219	26	71	37	39.000000	17	20	47.000000	2013-05-08
NBR10	7219	27	72	0	6.000000	17	9	17.000000	2013-05-08
NBR10	7219	28	72	14	57.000000	17	4	0.000000	2013-05-08
NBR10	7219	29	72	31	3.000000	17	0	15.000000	2013-05-08
NBR10	7219	30	72	31	40.000000	16	9	13.000000	2013-05-08
NBR10	7219	31	72	29	40.000000	15	41	26.000000	2013-05-08
NBR10	7219	32	72	18	27.000000	15	36	35.000000	2013-05-08
NBR10	7219	33	72	0	5.000000	15	44	17.000000	2013-05-08
NBR10	7219	34	71	59	42.000000	14	32	2.000000	2013-05-08
NBR10	7219	35	74	37	49.000000	14	29	59.000000	2013-05-08
NBR10	7219	36	74	38	7.000000	16	33	53.000000	2013-05-08
NBR10	7219	37	74	23	28.000000	16	32	34.000000	2013-05-08
NBR10	7219	38	74	7	56.000000	16	53	47.000000	2013-05-08
NBR10	7219	39	73	51	29.000000	17	42	2.000000	2013-05-08
NBR10	7219	40	73	46	8.000000	18	30	8.000000	2013-05-08
NBR10	7219	41	73	45	6.000000	19	17	33.000000	2013-05-08
NBR10	7219	42	73	48	33.000000	19	59	20.000000	2013-05-08
NBR10	7219	43	73	51	23.000000	20	21	26.000000	2013-05-08
NBR10	7219	44	73	59	56.000000	20	54	58.000000	2013-05-08
NBR10	7219	45	74	14	53.000000	21	22	45.000000	2013-05-08
NBR10	7219	46	74	23	49.000000	22	30	52.000000	2013-05-08
NBR10	7219	47	74	38	8.000000	23	40	58.000000	2013-05-08
NBR10	7219	48	74	38	26.000000	27	25	50.000000	2013-05-08
NBR10	7219	49	74	38	29.000000	31	1	52.000000	2013-05-08
NBR10	7219	50	74	23	31.000000	31	32	13.000000	2013-05-08
NBR10	7219	51	74	7	41.000000	32	29	41.000000	2013-05-08
NBR11	7408	1	74	15	27.140000	31	59	22.280000	2013-05-08
NBR11	7408	2	74	8	14.550000	32	48	55.870000	2013-05-08
NBR11	7408	3	70	46	29.380000	32	38	40.640000	2013-05-08
NBR11	7408	4	70	29	38.190000	32	18	23.130000	2013-05-08
NBR11	7408	5	70	57	8.720000	30	41	37.260000	2013-05-08
NBR11	7408	6	71	8	48.110000	29	38	24.470000	2013-05-08
NBR11	7408	7	71	21	19.580000	28	44	15.220000	2013-05-08
NBR11	7408	8	71	23	40.790000	28	31	12.380000	2013-05-08
NBR11	7408	9	71	24	56.320000	28	21	9.350000	2013-05-08
NBR11	7408	10	71	26	56.340000	27	46	18.080000	2013-05-08
NBR11	7408	11	71	30	20.650000	25	37	18.550000	2013-05-08
NBR11	7408	12	71	28	15.860000	25	4	51.490000	2013-05-08
NBR11	7408	13	71	25	58.320000	24	31	22.840000	2013-05-08
NBR11	7408	14	71	24	55.300000	23	49	21.810000	2013-05-08
NBR11	7408	15	71	23	13.750000	23	31	24.450000	2013-05-08
NBR11	7408	16	71	13	0.530000	22	40	58.270000	2013-05-08
NBR11	7408	17	70	57	44.800000	21	29	41.140000	2013-05-08
NBR11	7408	18	70	34	58.380000	18	37	0.040000	2013-05-08
NBR11	7408	19	70	29	57.650000	18	9	2.440000	2013-05-08
NBR11	7408	20	70	24	25.420000	17	50	42.510000	2013-05-08
NBR11	7408	21	70	15	6.020000	17	32	19.190000	2013-05-08
NBR11	7408	22	70	14	56.370000	15	20	19.080000	2013-05-08
NBR11	7408	23	71	46	21.980000	15	16	39.610000	2013-05-08
NBR11	7408	24	71	46	21.910000	14	16	33.710000	2013-05-08
NBR11	7408	25	74	42	29.980000	14	6	4.970000	2013-05-08
NBR11	7408	26	74	43	18.020000	16	35	27.760000	2013-05-08
NBR11	7408	27	74	23	22.420000	16	33	40.750000	2013-05-08
NBR11	7408	28	74	7	21.480000	16	57	13.290000	2013-05-08
NBR11	7408	29	73	59	52.980000	17	17	26.120000	2013-05-08
NBR11	7408	30	73	52	21.610000	17	43	49.380000	2013-05-08
NBR11	7408	31	73	46	28.100000	18	30	11.370000	2013-05-08
NBR11	7408	32	73	45	27.400000	19	19	53.180000	2013-05-08
NBR11	7408	33	73	48	52.550000	20	3	58.520000	2013-05-08
NBR11	7408	34	73	53	31.800000	20	29	9.780000	2013-05-08
NBR11	7408	35	73	59	36.490000	20	52	40.210000	2013-05-08
NBR11	7408	36	74	14	17.100000	21	23	35.140000	2013-05-08
NBR11	7408	37	74	25	46.850000	22	38	10.640000	2013-05-08
NBR11	7408	38	74	34	14.800000	23	18	42.210000	2013-05-08
NBR11	7408	39	74	43	45.770000	23	59	15.400000	2013-05-08
NBR11	7408	40	74	43	5.480000	27	18	35.050000	2013-05-08
NBR11	7408	41	74	43	35.850000	30	50	57.770000	2013-05-08
NBR11	7408	42	74	24	35.240000	31	27	28.860000	2013-05-08
NBR11	7408	43	74	15	27.140000	31	59	22.280000	2013-05-08
NBR12	7579	1	74	15	27.000000	31	59	22.000000	2013-05-08
NBR12	7579	2	74	8	14.000000	32	48	55.000000	2013-05-08
NBR12	7579	3	70	46	29.000000	32	38	40.000000	2013-05-08
NBR12	7579	4	70	29	38.000000	32	18	23.000000	2013-05-08
NBR12	7579	5	70	57	8.000000	30	41	37.000000	2013-05-08
NBR12	7579	6	71	8	48.000000	29	38	24.000000	2013-05-08
NBR12	7579	7	71	21	19.580000	28	44	15.000000	2013-05-08
NBR12	7579	8	71	23	40.790000	28	31	12.000000	2013-05-08
NBR12	7579	9	71	24	56.000000	28	21	9.350000	2013-05-08
NBR12	7579	10	71	26	56.000000	27	46	18.000000	2013-05-08
NBR12	7579	11	71	30	20.650000	25	37	18.550000	2013-05-08
NBR12	7579	12	71	28	15.860000	25	4	51.490000	2013-05-08
NBR12	7579	13	71	25	58.320000	24	31	22.840000	2013-05-08
NBR12	7579	14	71	24	55.000000	23	49	21.810000	2013-05-08
NBR12	7579	15	71	23	13.750000	23	31	24.000000	2013-05-08
NBR12	7579	16	71	13	0.530000	22	40	58.000000	2013-05-08
NBR12	7579	17	70	57	44.800000	21	29	41.000000	2013-05-08
NBR12	7579	18	70	34	58.380000	18	37	0.000000	2013-05-08
NBR12	7579	19	70	29	57.650000	18	9	2.440000	2013-05-08
NBR12	7579	20	70	24	25.000000	17	50	42.000000	2013-05-08
NBR12	7579	21	70	15	6.000000	17	32	19.000000	2013-05-08
NBR12	7579	22	70	14	56.370000	15	20	19.000000	2013-05-08
NBR12	7579	23	71	46	21.980000	15	16	39.610000	2013-05-08
NBR12	7579	24	71	46	21.910000	14	16	33.710000	2013-05-08
NBR12	7579	25	74	42	29.980000	14	6	4.970000	2013-05-08
NBR12	7579	26	74	43	18.000000	16	35	27.760000	2013-05-08
NBR12	7579	27	74	23	22.420000	16	33	40.750000	2013-05-08
NBR12	7579	28	74	7	21.480000	16	57	13.290000	2013-05-08
NBR12	7579	29	73	59	52.980000	17	17	26.000000	2013-05-08
NBR12	7579	30	73	52	21.600000	17	43	49.000000	2013-05-08
NBR12	7579	31	73	46	28.000000	18	30	11.000000	2013-05-08
NBR12	7579	32	73	45	27.000000	19	19	53.000000	2013-05-08
NBR12	7579	33	73	48	52.550000	20	3	58.520000	2013-05-08
NBR12	7579	34	73	53	31.800000	20	29	9.780000	2013-05-08
NBR12	7579	35	73	59	36.490000	20	52	40.000000	2013-05-08
NBR12	7579	36	74	14	17.000000	21	23	35.000000	2013-05-08
NBR12	7579	37	74	25	46.850000	22	38	10.640000	2013-05-08
NBR12	7579	38	74	34	14.800000	23	18	42.000000	2013-05-08
NBR12	7579	39	74	43	45.770000	23	59	15.400000	2013-05-08
NBR12	7579	40	74	43	5.480000	27	18	35.000000	2013-05-08
NBR12	7579	41	74	43	35.850000	30	50	57.770000	2013-05-08
NBR12	7579	42	74	24	35.000000	31	27	28.860000	2013-05-08
NBR12	7579	43	74	15	27.000000	31	59	22.000000	2013-05-08
NE-2011-01	7429	1	66	54	0.000000	9	34	0.000000	2013-05-08
NE-2011-01	7429	2	66	49	0.000000	9	44	0.000000	2013-05-08
NE-2011-01	7429	3	66	32	0.000000	9	3	0.000000	2013-05-08
NE-2011-01	7429	4	66	37	0.000000	8	54	0.000000	2013-05-08
NKFE11	7503	0	72	41	0.000000	28	2	0.000000	2013-05-08
NKFE11	7503	1	72	31	0.000000	30	44	0.000000	2013-05-08
NKFE11	7503	2	72	46	0.000000	32	0	0.000000	2013-05-08
NKFE11	7503	3	72	37	0.000000	32	0	0.000000	2013-05-08
NKFE11	7503	4	72	23	0.000000	30	44	0.000000	2013-05-08
NKFE11	7503	5	72	33	0.000000	28	44	0.000000	2013-05-08
NKFE12	7561	1	72	33	0.000000	27	48	0.000000	2013-05-08
NKFE12	7561	2	72	41	0.000000	27	58	0.000000	2013-05-08
NKFE12	7561	3	72	31	0.000000	30	44	0.000000	2013-05-08
NKFE12	7561	4	72	46	0.000000	32	1	0.000000	2013-05-08
NKFE12	7561	5	72	37	0.000000	32	2	0.000000	2013-05-08
NKFE12	7561	6	72	24	0.000000	30	57	0.000000	2013-05-08
NKFE12	7561	7	72	22	0.000000	30	26	0.000000	2013-05-08
NKFN12	7564	1	72	22	0.000000	26	55	0.000000	2013-05-08
NKFN12	7564	2	72	45	0.000000	27	57	0.000000	2013-05-08
NKFN12	7564	3	72	43	0.000000	28	21	0.000000	2013-05-08
NKFN12	7564	4	72	25	0.000000	27	40	0.000000	2013-05-08
NKFN12	7564	5	72	17	0.000000	27	9	0.000000	2013-05-08
NKFS12	7563	1	71	42	0.000000	25	30	0.000000	2013-05-08
NKFS12	7563	2	71	50	0.000000	26	4	0.000000	2013-05-08
NKFS12	7563	3	71	56	0.000000	26	59	0.000000	2013-05-08
NKFS12	7563	4	72	10	0.000000	28	11	0.000000	2013-05-08
NKFS12	7563	5	72	21	0.000000	28	25	0.000000	2013-05-08
NKFS12	7563	6	72	34	0.000000	28	26	0.000000	2013-05-08
NKFS12	7563	7	72	33	0.000000	28	48	0.000000	2013-05-08
NKFS12	7563	8	72	13	0.000000	28	45	0.000000	2013-05-08
NKFS12	7563	9	72	3	0.000000	28	20	0.000000	2013-05-08
NKFS12	7563	10	71	50	0.000000	27	14	0.000000	2013-05-08
NKFS12	7563	11	71	37	0.000000	25	40	0.000000	2013-05-08
NO1001	7193	1	58	47	38.000000	3	54	43.000000	2013-05-08
NO1001	7193	2	58	44	16.000000	4	1	20.000000	2013-05-08
NO1001	7193	3	58	40	45.000000	3	54	30.000000	2013-05-08
NO1001	7193	4	58	44	15.000000	3	48	0.000000	2013-05-08
NO1001	7193	5	58	47	0.000000	3	53	15.000000	2013-05-08
NO1001	7193	6	58	57	0.000000	3	44	20.000000	2013-05-08
NO1001	7193	7	58	58	1.000000	3	49	17.000000	2013-05-08
no1101	7432	1	72	48	0.000000	28	9	0.000000	2013-05-08
no1101	7432	2	72	48	0.000000	28	29	0.000000	2013-05-08
no1101	7432	3	72	50	10.000000	28	29	0.000000	2013-05-08
no1101	7432	4	72	50	10.000000	28	35	0.000000	2013-05-08
no1101	7432	5	72	52	0.000000	28	35	40.000000	2013-05-08
no1101	7432	6	72	52	0.000000	28	29	40.000000	2013-05-08
no1101	7432	7	72	54	0.000000	28	29	40.000000	2013-05-08
no1101	7432	8	72	54	0.000000	28	9	40.000000	2013-05-08
no1101	7432	9	72	48	0.000000	28	9	0.000000	2013-05-08
NO1201	7665	1	66	4	35.000000	7	53	28.200000	2013-05-08
NO1201	7665	2	66	15	9.400000	8	5	6.400000	2013-05-08
NO1201	7665	3	66	14	34.000000	8	14	49.000000	2013-05-08
NO1201	7665	4	66	11	49.800000	8	14	2.000000	2013-05-08
NO1201	7665	5	66	11	27.900000	8	19	3.600000	2013-05-08
NO1201	7665	6	66	9	18.700000	8	17	59.500000	2013-05-08
NO1201	7665	7	66	9	53.800000	8	10	23.400000	2013-05-08
NO1201	7665	8	66	4	2.000000	8	3	28.700000	2013-05-08
NPD-BA-11	7464	1	70	17	30.000000	32	10	0.000000	2013-05-08
NPD-BA-11	7464	2	73	41	10.000000	37	7	0.000000	2013-05-08
NPD-BA-11	7464	3	74	33	15.000000	37	7	0.000000	2013-05-08
NPD-BA-11	7464	4	74	33	15.000000	33	4	22.000000	2013-05-08
NPD-BA-11	7464	5	74	1	41.000000	31	14	34.000000	2013-05-08
NPD-BA-11	7464	6	70	17	0.000000	31	45	2.000000	2013-05-08
NPD-JM-11	7430	1	68	2	30.000000	-7	-10	0.000000	2013-05-08
NPD-JM-11	7430	2	68	6	0.000000	-5	-29	0.000000	2013-05-08
NPD-JM-11	7430	3	68	27	19.000000	-5	-6	0.000000	2013-05-08
NPD-JM-11	7430	4	69	1	0.000000	-5	-10	0.000000	2013-05-08
NPD-JM-11	7430	5	70	41	0.000000	-5	-10	0.000000	2013-05-08
NPD-JM-11	7430	6	70	54	30.000000	-6	-23	0.000000	2013-05-08
NPD-JM-11	7430	7	71	6	30.000000	-9	-18	0.000000	2013-05-08
NPD-JM-11	7430	8	71	7	30.000000	-13	-50	0.000000	2013-05-08
NPD-JM-11	7430	9	70	0	0.000000	-11	-40	0.000000	2013-05-08
NPD-JM-11	7430	10	69	30	0.000000	-11	-40	0.000000	2013-05-08
NPD-JM-11	7430	11	68	47	0.000000	-10	-50	0.000000	2013-05-08
NPD-MB-11	7451	1	64	35	0.000000	2	20	0.000000	2013-05-08
NPD-MB-11	7451	2	64	30	0.000000	4	0	0.000000	2013-05-08
NPD-MB-11	7451	3	65	0	0.000000	4	0	0.000000	2013-05-08
NPD-MB-11	7451	4	65	0	0.000000	2	20	0.000000	2013-05-08
NPD1201	7620	1	70	17	30.000000	32	10	0.000000	2013-05-08
NPD1201	7620	2	73	41	10.000000	37	7	0.000000	2013-05-08
NPD1201	7620	3	74	34	15.000000	37	7	0.000000	2013-05-08
NPD1201	7620	4	74	34	15.000000	30	50	0.000000	2013-05-08
NPD1201	7620	5	70	17	0.000000	31	30	0.000000	2013-05-08
NPD1202	7642	1	68	2	30.000000	-7	-10	0.000000	2013-05-08
NPD1202	7642	2	68	6	0.000000	-5	-29	0.000000	2013-05-08
NPD1202	7642	3	68	27	19.000000	-5	-6	0.000000	2013-05-08
NPD1202	7642	4	69	1	0.000000	-5	0	0.000000	2013-05-08
NPD1202	7642	5	70	41	0.000000	-5	0	0.000000	2013-05-08
NPD1202	7642	6	70	54	30.000000	-6	-23	0.000000	2013-05-08
NPD1202	7642	7	70	46	30.000000	-9	-18	0.000000	2013-05-08
NPD1202	7642	8	70	47	30.000000	-10	-50	0.000000	2013-05-08
NPD1202	7642	9	70	0	0.000000	-11	-40	0.000000	2013-05-08
NPD1202	7642	10	69	30	0.000000	-11	-40	0.000000	2013-05-08
NPD1202	7642	11	68	0	0.000000	-10	-50	0.000000	2013-05-08
NPD1203	7667	1	67	25	30.000000	11	58	0.000000	2013-05-08
NPD1203	7667	2	66	45	55.000000	12	35	20.000000	2013-05-08
NPD1203	7667	3	66	34	0.000000	12	8	55.000000	2013-05-08
NPD1203	7667	4	66	22	0.000000	11	56	40.000000	2013-05-08
NPD1203	7667	5	66	19	30.000000	12	3	40.000000	2013-05-08
NPD1203	7667	6	66	13	10.000000	11	57	0.000000	2013-05-08
NPD1203	7667	7	66	15	40.000000	11	50	10.000000	2013-05-08
NPD1203	7667	8	66	6	30.000000	11	40	45.000000	2013-05-08
NPD1203	7667	9	65	37	40.000000	11	23	25.000000	2013-05-08
NPD1203	7667	10	65	22	20.000000	11	8	35.000000	2013-05-08
NPD1203	7667	11	64	53	37.000000	10	38	45.000000	2013-05-08
NPD1203	7667	12	64	48	56.000000	10	35	0.000000	2013-05-08
NPD1203	7667	13	64	45	45.000000	10	34	10.000000	2013-05-08
NPD1203	7667	14	64	31	6.000000	10	3	30.000000	2013-05-08
NPD1203	7667	15	64	31	6.000000	9	52	20.000000	2013-05-08
NPD1203	7667	16	64	48	10.000000	9	52	20.000000	2013-05-08
NPD1203	7667	17	64	53	12.000000	9	38	0.000000	2013-05-08
NPD1203	7667	18	65	9	15.000000	9	38	0.000000	2013-05-08
NPD1203	7667	19	65	11	2.000000	9	52	12.000000	2013-05-08
NPD1203	7667	20	65	28	0.000000	10	9	10.000000	2013-05-08
NPD1203	7667	21	65	41	0.000000	10	20	0.000000	2013-05-08
NPD1203	7667	22	65	45	10.000000	10	11	10.000000	2013-05-08
NPD1203	7667	23	65	51	36.000000	10	14	30.000000	2013-05-08
NPD1203	7667	24	65	52	46.000000	10	27	40.000000	2013-05-08
NPD1203	7667	25	66	14	45.000000	10	46	20.000000	2013-05-08
NPD1203	7667	26	66	18	45.000000	10	48	50.000000	2013-05-08
NPD1203	7667	27	66	33	50.000000	11	2	35.000000	2013-05-08
NPD1203	7667	28	66	37	10.000000	11	1	20.000000	2013-05-08
NPD1203	7667	29	66	44	0.000000	11	1	0.000000	2013-05-08
NPD1203	7667	30	66	56	15.000000	11	8	30.000000	2013-05-08
NPD1203	7667	31	66	57	25.000000	10	55	15.000000	2013-05-08
NPD1203	7667	32	67	1	0.000000	10	44	10.000000	2013-05-08
NPD1203	7667	33	67	25	30.000000	11	38	35.000000	2013-05-08
NPD1204	7659	1	73	41	9.000000	37	0	2.000000	2013-05-08
NPD1204	7659	2	75	11	39.000000	37	0	2.000000	2013-05-08
NPD1204	7659	3	75	47	59.000000	38	0	2.000000	2013-05-08
NPD1204	7659	4	78	37	27.000000	38	0	2.000000	2013-05-08
NPD1204	7659	5	79	17	2.000000	35	0	0.000000	2013-05-08
NPD1204	7659	6	79	28	50.000000	35	0	6.000000	2013-05-08
NPD1204	7659	7	83	20	0.000000	35	0	0.000000	2013-05-08
NPD1204	7659	8	83	20	0.000000	20	0	0.000000	2013-05-08
NPD1204	7659	9	79	0	0.000000	29	0	0.000000	2013-05-08
NPD1204	7659	10	77	33	53.000000	27	14	53.000000	2013-05-08
NPD1204	7659	11	76	56	54.000000	30	21	7.000000	2013-05-08
NPD1204	7659	12	73	33	18.000000	27	37	4.000000	2013-05-08
NSH12	7629	1	72	56	11.420000	26	7	5.330000	2013-05-08
NSH12	7629	2	72	56	13.300000	27	35	12.550000	2013-05-08
NSH12	7629	3	72	2	35.850000	27	32	39.360000	2013-05-08
NSH12	7629	4	72	2	19.220000	26	8	36.280000	2013-05-08
NSR09 VG	7104	1	64	0	0.000000	0	-30	0.000000	2013-05-08
NSR09 VG	7104	2	64	15	0.000000	0	0	0.000000	2013-05-08
NSR09 VG	7104	3	64	0	0.000000	1	20	0.000000	2013-05-08
NSR09 VG	7104	4	63	45	0.000000	3	40	0.000000	2013-05-08
NSR09 VG	7104	5	63	15	0.000000	3	0	0.000000	2013-05-08
NSR09 VG	7104	6	62	45	0.000000	0	45	0.000000	2013-05-08
NSR09 VGadd	7160	1	61	50	0.000000	1	30	0.000000	2013-05-08
NSR09 VGadd	7160	2	62	20	0.000000	3	30	0.000000	2013-05-08
NSR09 VGadd	7160	3	62	5	0.000000	4	30	0.000000	2013-05-08
NSR09 VGadd	7160	4	61	0	0.000000	4	25	0.000000	2013-05-08
NSR09 VGadd	7160	5	60	25	0.000000	4	45	0.000000	2013-05-08
NSR09 VGadd	7160	6	60	25	0.000000	2	0	0.000000	2013-05-08
NSR10 FR	7281	0	63	30	0.000000	1	40	0.000000	2013-05-08
NSR10 FR	7281	1	62	50	0.000000	0	41	0.000000	2013-05-08
NSR10 FR	7281	2	63	53	0.000000	0	-30	0.000000	2013-05-08
NSR10 FR	7281	3	64	27	0.000000	0	-30	0.000000	2013-05-08
NSR10 FR	7281	4	64	0	0.000000	2	0	0.000000	2013-05-08
NSR10 VG	7242	1	61	37	0.000000	1	38	0.000000	2013-05-08
NSR10 VG	7242	2	62	5	0.000000	2	25	0.000000	2013-05-08
NSR10 VG	7242	3	62	25	0.000000	3	25	0.000000	2013-05-08
NSR10 VG	7242	4	62	8	0.000000	4	23	0.000000	2013-05-08
NSR10 VG	7242	5	61	10	0.000000	4	25	0.000000	2013-05-08
NSR10 VG	7242	6	60	25	0.000000	4	43	0.000000	2013-05-08
NSR10 VG	7242	7	60	25	0.000000	1	58	0.000000	2013-05-08
NSR11 WOS	7422	1	63	53	13.000000	0	-29	-26.000000	2013-05-08
NSR11 WOS	7422	2	64	16	25.000000	0	9	39.000000	2013-05-08
NSR11 WOS	7422	3	64	0	0.000000	2	8	37.000000	2013-05-08
NSR11 WOS	7422	4	63	29	40.000000	3	0	0.000000	2013-05-08
NSR11 WOS	7422	5	62	44	58.000000	0	46	38.000000	2013-05-08
NSRD12	7741	1	56	15	0.000000	3	2	0.000000	2013-05-08
NSRD12	7741	2	56	35	0.000000	4	20	0.000000	2013-05-08
NSRD12	7741	3	56	50	0.000000	5	50	0.000000	2013-05-08
NSRD12	7741	4	56	35	0.000000	5	0	0.000000	2013-05-08
NSRD12	7741	5	56	5	0.000000	3	14	0.000000	2013-05-08
NX0901	7005	1	61	2	41.210000	1	51	11.990000	2013-05-08
NX0901	7005	2	60	48	4.470000	1	47	53.860000	2013-05-08
NX0901	7005	3	60	47	52.260000	2	35	0.000000	2013-05-08
NX0901	7005	4	60	49	59.930000	2	34	59.920000	2013-05-08
NX0901	7005	5	60	49	59.610000	2	35	59.920000	2013-05-08
NX0901	7005	6	60	58	0.390000	2	35	59.990000	2013-05-08
NX0901	7005	7	60	57	59.860000	2	39	58.940000	2013-05-08
NX0901	7005	8	61	2	36.200000	2	39	59.950000	2013-05-08
NX0902	7006	1	60	35	16.990000	1	54	26.160000	2013-05-08
NX0902	7006	2	60	30	0.390000	2	6	0.030000	2013-05-08
NX0902	7006	3	60	29	56.620000	2	19	59.980000	2013-05-08
NX0902	7006	4	60	35	14.190000	2	19	57.910000	2013-05-08
NX0903	7128	1	61	33	16.000000	3	33	36.000000	2013-05-08
NX0903	7128	2	61	12	10.000000	4	18	12.000000	2013-05-08
NX0903	7128	3	60	57	53.000000	3	48	43.000000	2013-05-08
NX0903	7128	4	61	18	47.000000	3	4	7.000000	2013-05-08
nx1051	7199	1	60	56	44.170000	2	49	56.320000	2013-05-08
nx1051	7199	2	60	54	4.900000	2	59	34.090000	2013-05-08
nx1051	7199	3	60	48	27.500000	2	53	2.020000	2013-05-08
nx1051	7199	4	60	51	6.300000	2	43	25.410000	2013-05-08
NX1052	7201	1	61	33	20.910000	2	46	57.480000	2013-05-08
NX1052	7201	2	61	29	32.930000	2	54	57.130000	2013-05-08
NX1052	7201	3	61	25	43.890000	2	47	0.660000	2013-05-08
NX1052	7201	4	61	29	31.410000	2	39	1.040000	2013-05-08
NX1053	7320	1	61	19	48.380000	3	42	21.850000	2013-05-08
NX1053	7320	2	61	15	6.670000	3	47	50.990000	2013-05-08
NX1053	7320	3	61	12	28.160000	3	38	6.750000	2013-05-08
NX1053	7320	4	61	17	9.480000	3	32	36.620000	2013-05-08
NX904	7135	1	61	21	53.120000	3	44	6.200000	2013-05-08
NX904	7135	2	61	17	2.300000	3	43	59.400000	2013-05-08
NX904	7135	3	61	16	59.100000	3	52	56.600000	2013-05-08
NX904	7135	4	61	21	50.000000	3	53	4.700000	2013-05-08
OD0901	7077	1	69	35	6.000000	16	58	5.000000	2013-05-08
OD0901	7077	2	70	12	20.000000	18	2	30.000000	2013-05-08
OD0901	7077	3	70	18	35.000000	17	31	50.000000	2013-05-08
OD0901	7077	4	69	46	30.000000	16	37	45.000000	2013-05-08
OD0901	7077	5	69	42	0.000000	16	50	0.000000	2013-05-08
OD0902	7076	1	68	53	31.400000	13	20	12.030000	2013-05-08
OD0902	7076	2	68	49	54.410000	13	29	34.770000	2013-05-08
OD0902	7076	3	68	40	37.350000	13	18	7.110000	2013-05-08
OD0902	7076	4	68	35	9.380000	13	33	34.140000	2013-05-08
OD0902	7076	5	69	21	27.510000	16	0	48.710000	2013-05-08
OD0902	7076	6	69	34	34.760000	15	31	5.280000	2013-05-08
OD0902	7076	7	68	53	31.400000	13	20	12.030000	2013-05-08
OD0903	7079	1	68	28	34.310000	13	55	1.950000	2013-05-08
OD0903	7079	2	68	30	0.000000	13	57	20.390000	2013-05-08
OD0903	7079	3	68	31	37.230000	14	0	0.000000	2013-05-08
OD0903	7079	4	68	34	39.990000	14	5	0.000000	2013-05-08
OD0903	7079	5	68	35	0.000000	14	5	34.350000	2013-05-08
OD0903	7079	6	68	37	40.260000	14	10	0.000000	2013-05-08
OD0903	7079	7	68	39	22.580000	14	12	50.260000	2013-05-08
OD0903	7079	8	68	40	0.000000	14	13	33.330000	2013-05-08
OD0903	7079	9	68	41	15.180000	14	15	0.000000	2013-05-08
OD0903	7079	10	68	44	42.260000	14	18	59.650000	2013-05-08
OD0903	7079	11	68	45	0.000000	14	19	40.920000	2013-05-08
OD0903	7079	12	68	45	8.200000	14	20	0.000000	2013-05-08
OD0903	7079	13	68	47	16.800000	14	25	0.000000	2013-05-08
OD0903	7079	14	68	49	24.840000	14	30	0.000000	2013-05-08
OD0903	7079	15	68	50	0.000000	14	31	22.620000	2013-05-08
OD0903	7079	16	68	51	32.320000	14	35	0.000000	2013-05-08
OD0903	7079	17	68	53	39.250000	14	40	0.000000	2013-05-08
OD0903	7079	18	68	55	0.000000	14	43	11.520000	2013-05-08
OD0903	7079	19	68	55	45.630000	14	45	0.000000	2013-05-08
OD0903	7079	20	68	57	51.470000	14	50	0.000000	2013-05-08
OD0903	7079	21	68	59	13.670000	14	53	27.610000	2013-05-08
OD0903	7079	22	69	7	38.080000	14	4	5.750000	2013-05-08
OD0903	7079	23	68	46	20.000000	13	17	30.000000	2013-05-08
OD0903	7079	24	68	46	0.000000	13	10	0.000000	2013-05-08
OD0903	7079	25	68	39	44.430000	12	58	46.270000	2013-05-08
OD0904	7086	1	67	53	12.230000	12	38	0.420000	2013-05-08
OD0904	7086	2	68	4	45.660000	12	45	35.060000	2013-05-08
OD0904	7086	3	68	1	56.190000	12	54	19.160000	2013-05-08
OD0904	7086	4	68	3	1.750000	12	55	48.260000	2013-05-08
OD0904	7086	5	68	6	4.340000	12	46	34.900000	2013-05-08
OD0904	7086	6	68	16	47.420000	12	53	23.800000	2013-05-08
OD0904	7086	7	68	17	2.960000	12	50	40.480000	2013-05-08
OD0904	7086	8	68	7	10.290000	12	43	17.220000	2013-05-08
OD0904	7086	9	68	18	59.650000	12	7	8.880000	2013-05-08
OD0904	7086	10	68	18	19.110000	12	5	29.120000	2013-05-08
OD0904	7086	11	68	5	40.590000	12	42	18.140000	2013-05-08
OD0904	7086	12	67	53	30.840000	12	34	20.070000	2013-05-08
OMV003	7842	1	72	51	57.800000	16	15	13.800000	2013-05-08
OMV003	7842	2	72	53	18.600000	16	20	44.900000	2013-05-08
OMV003	7842	3	72	50	39.300000	16	27	17.700000	2013-05-08
OMV003	7842	4	72	49	29.700000	16	21	18.900000	2013-05-08
OMV1001	7279	1	64	35	31.000000	7	35	28.000000	2013-05-08
OMV1001	7279	2	64	35	33.000000	7	37	58.000000	2013-05-08
OMV1001	7279	3	64	34	28.000000	7	38	1.000000	2013-05-08
OMV1001	7279	4	64	34	27.000000	7	35	31.000000	2013-05-08
OMV1002	7278	1	64	43	13.000000	7	28	56.000000	2013-05-08
OMV1002	7278	2	64	38	36.000000	7	25	31.000000	2013-05-08
OMV1002	7278	3	64	37	59.000000	7	30	20.000000	2013-05-08
OMV1002	7278	4	64	42	37.000000	7	33	45.000000	2013-05-08
OMV1003	7292	1	64	33	11.800000	6	5	3.150000	2013-05-08
OMV1003	7292	2	64	54	21.020000	6	23	57.560000	2013-05-08
OMV1003	7292	3	65	15	25.580000	6	43	22.020000	2013-05-08
OMV1003	7292	4	65	17	4.540000	6	33	8.980000	2013-05-08
OMV1003	7292	5	65	21	58.170000	6	3	10.270000	2013-05-08
OMV1003	7292	6	65	11	44.960000	5	53	35.070000	2013-05-08
OMV1003	7292	7	65	3	32.950000	5	45	45.580000	2013-05-08
OMV1003	7292	8	64	46	56.060000	5	32	8.370000	2013-05-08
OMV1003	7292	9	64	36	42.530000	5	44	24.120000	2013-05-08
OMV1004	7294	1	71	49	31.440000	23	10	2.190000	2013-05-08
OMV1004	7294	2	71	50	9.740000	23	43	27.860000	2013-05-08
OMV1004	7294	3	71	47	10.090000	23	53	46.530000	2013-05-08
OMV1004	7294	4	71	41	24.330000	23	53	29.660000	2013-05-08
OMV1004	7294	5	71	26	39.270000	23	0	48.910000	2013-05-08
OMV1004	7294	6	71	38	45.350000	22	31	20.340000	2013-05-08
OMV11300	7433	1	73	33	5.000000	24	1	50.000000	2013-05-08
OMV11300	7433	2	73	32	20.000000	24	48	15.000000	2013-05-08
OMV11300	7433	3	73	18	59.000000	24	45	17.000000	2013-05-08
OMV11300	7433	4	73	19	44.000000	23	59	28.000000	2013-05-08
OMV13301	7853	1	72	51	57.800000	16	15	13.800000	2013-05-08
OMV13301	7853	2	72	53	18.600000	16	20	44.900000	2013-05-08
OMV13301	7853	3	72	50	39.300000	16	27	17.700000	2013-05-08
OMV13301	7853	4	72	49	29.700000	16	21	18.900000	2013-05-08
ORG-1201	7717	1	57	14	56.000000	3	12	16.000000	2013-05-08
ORG-1201	7717	2	56	44	52.000000	4	9	24.000000	2013-05-08
ORG-1201	7717	3	56	29	2.000000	4	9	11.000000	2013-05-08
ORG-1201	7717	4	56	28	18.000000	3	27	31.000000	2013-05-08
ORG-1201	7717	5	56	51	38.000000	2	29	16.000000	2013-05-08
ORG-1201	7717	6	57	14	52.000000	2	29	12.000000	2013-05-08
ORG-1202	7718	1	58	38	8.000000	4	4	23.000000	2013-05-08
ORG-1202	7718	2	58	8	29.000000	4	4	43.000000	2013-05-08
ORG-1202	7718	3	58	8	18.000000	3	10	4.000000	2013-05-08
ORG-1202	7718	4	58	38	6.000000	3	10	3.000000	2013-05-08
ORG-1203	7719	1	60	14	55.000000	3	16	0.000000	2013-05-08
ORG-1203	7719	2	59	33	26.000000	3	16	0.000000	2013-05-08
ORG-1203	7719	3	59	33	23.000000	2	19	52.000000	2013-05-08
ORG-1203	7719	4	60	15	1.000000	2	19	51.000000	2013-05-08
ORG-1205	7754	1	65	30	0.000000	7	40	0.000000	2013-05-08
ORG-1205	7754	2	64	45	0.000000	7	40	0.000000	2013-05-08
ORG-1205	7754	3	64	45	0.000000	6	0	0.000000	2013-05-08
ORG-1205	7754	4	65	30	0.000000	6	0	0.000000	2013-05-08
ORG-1206	7755	1	70	12	0.000000	17	47	0.000000	2013-05-08
ORG-1206	7755	2	70	10	0.000000	16	48	0.000000	2013-05-08
ORG-1206	7755	3	70	34	0.000000	16	41	0.000000	2013-05-08
ORG-1206	7755	4	70	35	0.000000	17	43	0.000000	2013-05-08
ORG-1207	7756	1	72	40	0.000000	27	30	0.000000	2013-05-08
ORG-1207	7756	2	71	55	0.000000	25	0	0.000000	2013-05-08
ORG-1207	7756	3	71	55	0.000000	17	20	0.000000	2013-05-08
ORG-1207	7756	4	73	45	0.000000	17	20	0.000000	2013-05-08
ORG-1207	7756	5	73	45	0.000000	23	0	0.000000	2013-05-08
ORG-1207	7756	6	73	15	0.000000	27	30	0.000000	2013-05-08
ORG1204	7736	1	61	5	0.000000	3	50	10.000000	2013-05-08
ORG1204	7736	2	60	53	10.000000	3	50	10.000000	2013-05-08
ORG1204	7736	3	60	53	10.000000	3	15	0.000000	2013-05-08
ORG1204	7736	4	61	5	0.000000	3	15	0.000000	2013-05-08
Ormen L Mid	7340	1	63	34	35.600000	5	20	42.230000	2013-05-08
Ormen L Mid	7340	2	63	34	33.510000	5	22	49.000000	2013-05-08
Ormen L Mid	7340	3	63	30	47.560000	5	22	30.170000	2013-05-08
Ormen L Mid	7340	4	63	30	49.640000	5	20	23.680000	2013-05-08
Ormen L-Geodesy	7321	1	63	23	50.600000	5	18	58.980000	2013-05-08
Ormen L-Geodesy	7321	2	63	19	0.920000	5	15	3.500000	2013-05-08
Ormen L-Geodesy	7321	3	63	19	20.070000	5	13	31.140000	2013-05-08
Ormen L-Geodesy	7321	4	63	23	59.790000	5	17	14.980000	2013-05-08
Ormen L-Geodesy	7321	5	63	29	47.170000	5	20	21.050000	2013-05-08
Ormen L-Geodesy	7321	6	63	31	56.720000	5	13	44.450000	2013-05-08
Ormen L-Geodesy	7321	7	63	34	30.920000	5	12	57.920000	2013-05-08
Ormen L-Geodesy	7321	8	63	36	51.720000	5	13	2.610000	2013-05-08
Ormen L-Geodesy	7321	9	63	38	27.400000	5	17	5.030000	2013-05-08
Ormen L-Geodesy	7321	10	63	38	58.060000	5	19	53.920000	2013-05-08
Ormen L-Geodesy	7321	11	63	36	10.360000	5	28	13.860000	2013-05-08
Ormen L-Geodesy	7321	12	63	32	22.860000	5	27	25.750000	2013-05-08
Ormen L-Geodesy	7321	13	63	29	47.630000	5	22	45.610000	2013-05-08
Ormen L-Geodesy	7321	14	63	23	50.600000	5	18	58.980000	2013-05-08
Ormen Lange Geotech	7303	1	63	35	35.600000	5	19	42.230000	2013-05-08
Ormen Lange Geotech	7303	2	63	35	33.510000	5	23	49.000000	2013-05-08
Ormen Lange Geotech	7303	3	63	29	47.560000	5	23	30.170000	2013-05-08
Ormen Lange Geotech	7303	4	63	29	49.640000	5	19	23.680000	2013-05-08
Ormen Lange TLP	7404	1	63	30	52.310000	5	22	12.760000	2013-05-08
Ormen Lange TLP	7404	2	63	30	51.950000	5	22	34.440000	2013-05-08
Ormen Lange TLP	7404	3	63	30	42.260000	5	22	33.640000	2013-05-08
Ormen Lange TLP	7404	4	63	30	42.620000	5	22	11.950000	2013-05-08
Ormen LMN	7527	1	63	39	0.000000	5	17	0.000000	2013-05-08
Ormen LMN	7527	2	63	39	0.000000	5	25	0.000000	2013-05-08
Ormen LMN	7527	3	63	31	0.000000	5	25	0.000000	2013-05-08
Ormen LMN	7527	4	63	31	0.000000	5	17	0.000000	2013-05-08
PC10NO01	7240	1	67	0	0.000000	6	40	0.000000	2013-05-08
PC10NO01	7240	2	67	0	0.000000	8	0	0.000000	2013-05-08
PC10NO01	7240	3	67	38	0.000000	8	0	0.000000	2013-05-08
PC10NO01	7240	4	67	38	0.000000	6	40	0.000000	2013-05-08
PC10NO01	7240	5	67	35	9.000000	6	40	0.000000	2013-05-08
PC10NO01	7240	6	67	40	56.000000	6	15	3.000000	2013-05-08
PC10NO01	7240	7	67	39	6.000000	6	12	7.000000	2013-05-08
PC10NO01	7240	8	67	32	37.000000	6	40	0.000000	2013-05-08
Penguin 2010 4D	7241	1	61	41	50.950000	1	35	2.300000	2013-05-08
Penguin 2010 4D	7241	2	61	41	41.930000	1	47	15.380000	2013-05-08
Penguin 2010 4D	7241	3	61	40	1.030000	1	47	41.450000	2013-05-08
Penguin 2010 4D	7241	4	61	33	59.670000	1	51	31.160000	2013-05-08
Penguin 2010 4D	7241	5	61	29	37.670000	1	51	21.000000	2013-05-08
Penguin 2010 4D	7241	6	61	29	44.700000	1	42	23.340000	2013-05-08
PGS0902	7055	1	57	21	28.800000	3	55	26.400000	2013-05-08
PGS0902	7055	2	57	21	57.600000	5	25	51.600000	2013-05-08
PGS0902	7055	3	57	0	7.200000	5	26	13.200000	2013-05-08
PGS0902	7055	4	57	0	3.600000	3	55	19.200000	2013-05-08
PGS0903	7056	1	60	11	31.200000	2	1	22.800000	2013-05-08
PGS0903	7056	2	60	2	16.800000	2	45	39.600000	2013-05-08
PGS0903	7056	3	59	26	52.800000	2	46	40.800000	2013-05-08
PGS0903	7056	4	59	36	36.000000	1	54	10.800000	2013-05-08
PGS0903	7056	5	59	54	21.600000	2	4	51.600000	2013-05-08
PGS0904	7069	1	62	3	33.480000	3	2	49.200000	2013-05-08
PGS0904	7069	2	62	3	33.480000	3	39	25.200000	2013-05-08
PGS0904	7069	3	61	47	27.960000	3	39	4.680000	2013-05-08
PGS0904	7069	4	61	47	30.480000	3	2	41.640000	2013-05-08
PGS0905	7085	1	59	10	13.800000	2	43	59.160000	2013-05-08
PGS0905	7085	2	59	10	4.080000	3	32	34.080000	2013-05-08
PGS0905	7085	3	58	56	31.560000	3	32	17.160000	2013-05-08
PGS0905	7085	4	58	56	34.800000	2	43	57.000000	2013-05-08
PGS0906	7113	1	73	9	32.400000	25	20	9.600000	2013-05-08
PGS0906	7113	2	73	8	49.200000	26	40	1.200000	2013-05-08
PGS0906	7113	3	72	35	24.000000	26	39	32.400000	2013-05-08
PGS0906	7113	4	72	35	16.800000	25	20	6.000000	2013-05-08
PGS1101	7535	1	59	0	10.080000	2	41	14.280000	2013-05-08
PGS1101	7535	2	58	52	10.920000	2	55	21.360000	2013-05-08
PGS1101	7535	3	58	39	28.440000	2	28	29.280000	2013-05-08
PGS1101	7535	4	58	48	12.600000	2	14	35.880000	2013-05-08
PGS1102	7544	1	62	45	3.600000	2	19	55.200000	2013-05-08
PGS1102	7544	2	62	44	56.400000	4	0	0.000000	2013-05-08
PGS1102	7544	3	60	30	18.000000	4	0	0.000000	2013-05-08
PGS1102	7544	4	60	30	10.800000	3	0	3.600000	2013-05-08
PGS1102	7544	5	62	14	52.800000	3	0	3.600000	2013-05-08
PGS1102	7544	6	62	14	56.400000	2	19	51.600000	2013-05-08
PGS1201	7552	1	59	0	10.080000	2	41	14.280000	2013-05-08
PGS1201	7552	2	58	52	10.920000	2	55	21.360000	2013-05-08
PGS1201	7552	3	58	39	28.440000	2	28	29.280000	2013-05-08
PGS1201	7552	4	58	48	12.600000	2	14	35.880000	2013-05-08
PGSTesting2010	7252	1	59	45	18.000000	3	0	7.200000	2013-05-08
PGSTesting2010	7252	2	59	44	56.400000	4	0	0.000000	2013-05-08
PGSTesting2010	7252	3	59	15	7.200000	3	59	38.400000	2013-05-08
PGSTesting2010	7252	4	59	15	14.400000	2	59	52.800000	2013-05-08
Pierce09	7040	1	57	7	57.300000	2	23	17.400000	2013-05-08
Pierce09	7040	2	57	6	56.000000	2	21	41.000000	2013-05-08
Pierce09	7040	3	57	14	13.800000	2	18	3.900000	2013-05-08
Pierce09	7040	4	57	10	27.300000	2	23	16.100000	2013-05-08
PL143 Pelikan	7151	1	56	56	56.130000	2	27	9.320000	2013-05-08
PL143 Pelikan	7151	2	56	56	56.120000	2	27	9.310000	2013-05-08
PL143 Pelikan	7151	3	56	56	56.110000	2	27	9.300000	2013-05-08
PL143 Pelikan	7151	4	56	56	56.100000	2	27	9.290000	2013-05-08
PL692GORE	7809	1	66	5	0.000000	8	15	0.000000	2013-05-08
PL692GORE	7809	2	66	5	0.000000	10	40	0.000000	2013-05-08
PL692GORE	7809	3	65	35	0.000000	10	40	0.000000	2013-05-08
PL692GORE	7809	4	65	35	0.000000	8	15	0.000000	2013-05-08
PM 01-2010	7297	1	72	29	57.000000	17	0	0.000000	2013-05-08
PM 01-2010	7297	2	72	30	2.000000	19	39	50.000000	2013-05-08
PM 01-2010	7297	3	72	15	8.000000	19	40	8.000000	2013-05-08
PM 01-2010	7297	4	72	14	55.000000	17	40	13.000000	2013-05-08
PM 01-2010	7297	5	72	0	7.000000	17	40	13.000000	2013-05-08
PM 01-2010	7297	6	72	0	4.000000	17	6	47.000000	2013-05-08
PM 02-2010	7298	1	73	15	10.000000	19	19	54.000000	2013-05-08
PM 02-2010	7298	2	73	15	5.000000	20	39	41.000000	2013-05-08
PM 02-2010	7298	3	73	0	10.000000	20	40	1.000000	2013-05-08
PM 02-2010	7298	4	73	0	0.000000	20	20	0.000000	2013-05-08
PM 02-2010	7298	5	72	50	0.000000	20	20	0.000000	2013-05-08
PM 02-2010	7298	6	72	50	0.000000	19	20	0.000000	2013-05-08
PM 02-2010	7298	7	73	15	10.000000	19	19	54.000000	2013-05-08
PM 03-2010	7299	1	73	15	2.000000	21	59	59.000000	2013-05-08
PM 03-2010	7299	2	73	14	58.000000	22	39	44.000000	2013-05-08
PM 03-2010	7299	3	73	0	2.000000	22	39	59.000000	2013-05-08
PM 03-2010	7299	4	73	0	1.000000	22	59	52.000000	2013-05-08
PM 03-2010	7299	5	72	45	2.000000	22	59	49.000000	2013-05-08
PM 03-2010	7299	6	72	45	6.000000	22	19	54.000000	2013-05-08
PM 03-2010	7299	7	73	0	4.000000	22	19	56.000000	2013-05-08
PM 03-2010	7299	8	73	0	7.000000	22	0	16.000000	2013-05-08
PM 04-2010	7302	1	59	39	0.000000	2	9	0.000000	2013-05-08
PM 04-2010	7302	2	59	39	0.000000	2	24	0.000000	2013-05-08
PM 04-2010	7302	3	59	46	49.000000	2	24	0.000000	2013-05-08
PM 04-2010	7302	4	59	46	49.000000	2	9	0.000000	2013-05-08
PM 05-2010	7307	1	58	45	0.000000	3	20	0.000000	2013-05-08
PM 05-2010	7307	2	58	45	0.000000	3	0	0.000000	2013-05-08
PM 05-2010	7307	3	59	0	0.000000	3	0	0.000000	2013-05-08
PM 05-2010	7307	4	59	0	0.000000	3	20	0.000000	2013-05-08
PM 06-2010	7310	1	73	45	0.000000	24	0	0.000000	2013-05-08
PM 06-2010	7310	2	73	45	0.000000	25	20	0.000000	2013-05-08
PM 06-2010	7310	3	74	0	0.000000	25	20	0.000000	2013-05-08
PM 06-2010	7310	4	74	0	0.000000	24	0	0.000000	2013-05-08
PM 07-2010	7311	1	62	0	0.000000	2	40	0.000000	2013-05-08
PM 07-2010	7311	2	62	0	0.000000	3	0	0.000000	2013-05-08
PM 07-2010	7311	3	62	30	0.000000	3	0	0.000000	2013-05-08
PM 07-2010	7311	4	62	30	0.000000	2	0	0.000000	2013-05-08
PM 07-2010	7311	5	62	15	0.000000	2	0	0.000000	2013-05-08
PM 07-2010	7311	6	62	15	0.000000	2	40	0.000000	2013-05-08
PM 08-2010	7324	1	72	15	0.000000	18	20	0.000000	2013-05-08
PM 08-2010	7324	2	72	15	0.000000	19	40	0.000000	2013-05-08
PM 08-2010	7324	3	72	30	0.000000	19	40	0.000000	2013-05-08
PM 08-2010	7324	4	72	30	0.000000	18	20	0.000000	2013-05-08
PM 09-2010	7338	1	71	30	0.000000	20	40	0.000000	2013-05-08
PM 09-2010	7338	2	71	30	0.000000	22	0	0.000000	2013-05-08
PM 09-2010	7338	3	71	45	0.000000	22	0	0.000000	2013-05-08
PM 09-2010	7338	4	71	45	0.000000	21	0	0.000000	2013-05-08
PM 09-2010	7338	5	71	41	3.000000	21	0	0.000000	2013-05-08
PM 09-2010	7338	6	71	41	3.000000	20	52	39.000000	2013-05-08
PM 09-2010	7338	7	71	37	53.000000	20	52	39.000000	2013-05-08
PM 09-2010	7338	8	71	37	53.000000	20	40	0.000000	2013-05-08
PM 10-2010	7348	1	72	45	0.000000	28	0	0.000000	2013-05-08
PM 10-2010	7348	2	73	0	0.000000	28	0	0.000000	2013-05-08
PM 10-2010	7348	3	73	0	0.000000	28	40	0.000000	2013-05-08
PM 10-2010	7348	4	72	45	0.000000	28	40	0.000000	2013-05-08
PM01-2011	7507	1	66	15	0.000000	8	10	4.000000	2013-05-08
PM01-2011	7507	2	66	16	0.000000	8	10	2.000000	2013-05-08
PM01-2011	7507	3	66	16	0.000000	8	12	3.000000	2013-05-08
PM01-2011	7507	4	66	17	0.000000	8	12	0.000000	2013-05-08
PM01-2011	7507	5	66	17	0.000000	8	15	0.000000	2013-05-08
PM01-2011	7507	6	66	18	0.000000	8	14	55.000000	2013-05-08
PM01-2011	7507	7	66	18	0.000000	8	20	0.000000	2013-05-08
PM01-2011	7507	8	66	15	3.000000	8	20	5.000000	2013-05-08
PM01-2012	7684	1	72	2	26.000000	18	9	6.000000	2013-05-08
PM01-2012	7684	2	72	8	53.000000	18	8	6.000000	2013-05-08
PM01-2012	7684	3	72	9	18.000000	18	38	56.000000	2013-05-08
PM01-2012	7684	4	72	2	51.000000	18	39	45.000000	2013-05-08
PM02-2011	7511	1	73	15	0.000000	25	20	0.000000	2013-05-08
PM02-2011	7511	2	73	15	0.000000	26	20	0.000000	2013-05-08
PM02-2011	7511	3	72	30	0.000000	26	20	0.000000	2013-05-08
PM02-2011	7511	4	72	30	0.000000	25	20	0.000000	2013-05-08
PM02-2012	7685	1	72	45	36.000000	20	27	21.000000	2013-05-08
PM02-2012	7685	2	72	50	58.000000	20	27	11.000000	2013-05-08
PM02-2012	7685	3	72	51	0.000000	20	45	25.000000	2013-05-08
PM02-2012	7685	4	72	45	38.000000	20	45	29.000000	2013-05-08
PM03-2011	7509	1	72	2	26.000000	18	9	6.000000	2013-05-08
PM03-2011	7509	2	72	8	53.000000	18	8	6.000000	2013-05-08
PM03-2011	7509	3	72	9	18.000000	18	38	56.000000	2013-05-08
PM03-2011	7509	4	72	2	51.000000	18	39	45.000000	2013-05-08
PM04-2011	7510	1	72	45	36.000000	20	27	21.000000	2013-05-08
PM04-2011	7510	2	72	50	58.000000	20	27	11.000000	2013-05-08
PM04-2011	7510	3	72	51	0.000000	20	45	25.000000	2013-05-08
PM04-2011	7510	4	72	45	38.000000	20	45	29.000000	2013-05-08
PM05	7516	1	66	4	0.000000	8	15	0.000000	2013-05-08
PM05	7516	2	66	15	0.000000	8	15	0.000000	2013-05-08
PM05	7516	3	66	15	0.000000	8	25	0.000000	2013-05-08
PM05	7516	4	66	17	0.000000	8	25	0.000000	2013-05-08
PM05	7516	5	66	17	0.000000	8	40	0.000000	2013-05-08
PM05	7516	6	66	4	0.000000	8	40	0.000000	2013-05-08
PM05-2012	7687	1	65	15	0.000000	7	27	0.000000	2013-05-08
PM05-2012	7687	2	65	15	0.000000	7	33	0.000000	2013-05-08
PM05-2012	7687	3	65	22	0.000000	7	33	0.000000	2013-05-08
PM05-2012	7687	4	65	22	0.000000	7	27	0.000000	2013-05-08
PM06-2011	7517	1	66	30	0.000000	9	0	0.000000	2013-05-08
PM06-2011	7517	2	67	0	0.000000	9	0	0.000000	2013-05-08
PM06-2011	7517	3	67	0	0.000000	9	40	0.000000	2013-05-08
PM06-2011	7517	4	66	30	0.000000	9	40	0.000000	2013-05-08
PM06-2012	7689	1	74	15	0.000000	23	40	0.000000	2013-05-08
PM06-2012	7689	2	74	15	0.000000	25	40	0.000000	2013-05-08
PM06-2012	7689	3	74	0	0.000000	25	40	0.000000	2013-05-08
PM06-2012	7689	4	74	0	0.000000	24	0	0.000000	2013-05-08
PM06-2012	7689	5	73	45	0.000000	24	0	0.000000	2013-05-08
PM06-2012	7689	6	73	45	0.000000	23	40	0.000000	2013-05-08
PM07-2011	7522	1	67	8	8.000000	7	2	42.000000	2013-05-08
PM07-2011	7522	2	67	21	3.000000	7	2	42.000000	2013-05-08
PM07-2011	7522	3	67	21	3.000000	7	47	22.000000	2013-05-08
PM07-2011	7522	4	67	8	8.000000	7	47	22.000000	2013-05-08
PM08-2011	7523	1	65	45	0.000000	10	0	0.000000	2013-05-08
PM08-2011	7523	2	65	45	0.000000	10	20	0.000000	2013-05-08
PM08-2011	7523	3	65	30	0.000000	10	20	0.000000	2013-05-08
PM08-2011	7523	4	65	30	0.000000	10	0	0.000000	2013-05-08
PM09-2012	7690	1	60	51	25.000000	3	20	0.000000	2013-05-08
PM09-2012	7690	2	60	51	25.000000	3	50	0.000000	2013-05-08
PM09-2012	7690	3	61	3	55.000000	3	50	0.000000	2013-05-08
PM09-2012	7690	4	61	3	55.000000	3	20	0.000000	2013-05-08
PM10-2012	7709	1	60	40	0.000000	3	59	0.000000	2013-05-08
PM10-2012	7709	2	60	40	0.000000	4	20	0.000000	2013-05-08
PM10-2012	7709	3	60	20	0.000000	4	20	0.000000	2013-05-08
PM10-2012	7709	4	60	20	0.000000	3	59	0.000000	2013-05-08
PM11-2012	7716	1	72	45	0.000000	21	0	0.000000	2013-05-08
PM11-2012	7716	2	72	45	0.000000	21	45	0.000000	2013-05-08
PM11-2012	7716	3	72	30	0.000000	21	45	0.000000	2013-05-08
PM11-2012	7716	4	72	30	0.000000	21	0	0.000000	2013-05-08
PM1101	7508	1	58	52	0.000000	3	0	0.000000	2013-05-08
PM1101	7508	2	58	52	0.000000	3	20	0.000000	2013-05-08
PM1101	7508	3	59	13	0.000000	3	20	0.000000	2013-05-08
PM1101	7508	4	59	13	0.000000	3	0	0.000000	2013-05-08
POL1101	7505	1	72	5	23.000000	23	39	3.000000	2013-05-08
POL1101	7505	2	72	5	23.000000	25	37	28.000000	2013-05-08
POL1101	7505	3	71	39	40.000000	25	37	28.000000	2013-05-08
POL1101	7505	4	71	39	40.000000	23	39	3.000000	2013-05-08
POL1201	7632	1	70	35	4.750000	16	43	49.970000	2013-05-08
POL1201	7632	2	70	50	21.570000	17	33	35.460000	2013-05-08
POL1201	7632	3	70	50	19.380000	18	56	22.550000	2013-05-08
POL1201	7632	4	70	36	54.040000	18	56	11.710000	2013-05-08
POL1201	7632	5	70	9	36.820000	17	26	10.330000	2013-05-08
POL1201	7632	6	70	9	35.720000	16	44	9.480000	2013-05-08
POL1202	7633	1	73	50	16.380000	16	40	49.070000	2013-05-08
POL1202	7633	2	73	50	16.360000	18	19	25.770000	2013-05-08
POL1202	7633	3	73	9	31.100000	18	18	40.020000	2013-05-08
POL1202	7633	4	73	9	31.200000	16	41	34.220000	2013-05-08
POL1203	7634	1	73	50	16.320000	20	20	48.050000	2013-05-08
POL1203	7634	2	73	50	16.260000	22	19	24.950000	2013-05-08
POL1203	7634	3	73	9	30.970000	22	18	39.280000	2013-05-08
POL1203	7634	4	73	9	34.210000	20	21	33.170000	2013-05-08
PON0901	7054	1	57	55	26.390000	3	58	14.070000	2013-05-08
PON0901	7054	2	57	55	23.460000	4	4	18.640000	2013-05-08
PON0901	7054	3	57	52	9.490000	4	4	12.870000	2013-05-08
PON0901	7054	4	57	52	12.410000	3	58	8.840000	2013-05-08
PON1101	7396	1	57	54	59.790000	3	57	25.690000	2013-05-08
PON1101	7396	2	57	54	56.510000	4	4	16.750000	2013-05-08
PON1101	7396	3	57	52	13.620000	4	4	11.910000	2013-05-08
PON1101	7396	4	57	52	16.900000	3	57	21.370000	2013-05-08
PON1201	7671	1	58	6	3.000000	4	5	19.000000	2013-05-08
PON1201	7671	2	58	0	40.000000	4	5	10.000000	2013-05-08
PON1201	7671	3	58	0	34.000000	4	15	19.000000	2013-05-08
PON1201	7671	4	58	5	57.000000	4	15	30.000000	2013-05-08
PPT12	7641	1	71	42	10.000000	25	39	10.000000	2013-05-08
PPT12	7641	2	71	41	27.000000	25	39	8.000000	2013-05-08
PPT12	7641	3	70	42	19.000000	18	47	25.000000	2013-05-08
PPT12	7641	4	70	42	56.000000	18	46	42.000000	2013-05-08
RD0901	7092	1	61	25	1.000000	3	36	7.000000	2013-05-08
RD0901	7092	2	61	24	58.000000	3	47	8.000000	2013-05-08
RD0901	7092	3	61	19	41.000000	3	47	0.000000	2013-05-08
RD0901	7092	4	61	19	44.000000	3	36	7.000000	2013-05-08
RD0902	7093	1	65	29	50.000000	7	8	0.000000	2013-05-08
RD0902	7093	2	65	28	0.000000	7	19	54.000000	2013-05-08
RD0902	7093	3	65	21	56.000000	7	14	28.000000	2013-05-08
RD0902	7093	4	65	23	46.000000	7	2	36.000000	2013-05-08
RD1101	7416	1	61	31	50.000000	3	12	40.000000	2013-05-08
RD1101	7416	2	61	31	50.000000	4	14	25.000000	2013-05-08
RD1101	7416	3	61	12	0.000000	4	14	25.000000	2013-05-08
RD1101	7416	4	61	12	0.000000	3	12	40.000000	2013-05-08
RD1102	7461	1	67	1	1.200000	8	17	4.390000	2013-05-08
RD1102	7461	2	67	1	4.300000	8	30	51.080000	2013-05-08
RD1102	7461	3	66	55	55.900000	8	30	57.200000	2013-05-08
RD1102	7461	4	66	55	55.040000	8	26	33.760000	2013-05-08
RD1102	7461	5	66	52	16.940000	8	26	38.730000	2013-05-08
RD1102	7461	6	66	52	11.900000	8	7	47.340000	2013-05-08
RD1102	7461	7	66	37	55.010000	7	31	55.530000	2013-05-08
RD1102	7461	8	66	37	59.280000	7	31	44.690000	2013-05-08
RD1102	7461	9	66	54	11.500000	8	12	32.210000	2013-05-08
RD1102	7461	10	66	56	30.390000	8	12	27.710000	2013-05-08
RD1102	7461	11	66	56	31.030000	8	14	39.480000	2013-05-08
RD1102	7461	12	66	59	25.050000	8	14	34.080000	2013-05-08
RD1102	7461	13	66	59	25.760000	8	17	7.730000	2013-05-08
RD1201	7581	1	61	32	25.000000	3	36	49.000000	2013-05-08
RD1201	7581	2	61	32	9.000000	3	53	5.000000	2013-05-08
RD1201	7581	3	61	7	54.000000	3	52	29.000000	2013-05-08
RD1201	7581	4	61	8	6.000000	3	35	6.000000	2013-05-08
RD1202	7679	1	66	39	19.000000	6	48	35.000000	2013-05-08
RD1202	7679	2	66	59	37.000000	7	22	33.000000	2013-05-08
RD1202	7679	3	66	59	36.000000	9	22	57.000000	2013-05-08
RD1202	7679	4	66	39	43.000000	8	34	19.000000	2013-05-08
RD1203	7635	1	62	13	0.000000	4	22	0.000000	2013-05-08
RD1203	7635	2	62	13	0.000000	4	30	0.000000	2013-05-08
RD1203	7635	3	62	0	0.000000	4	30	0.000000	2013-05-08
RD1203	7635	4	62	0	0.000000	4	6	0.000000	2013-05-08
RD1203	7635	5	62	11	0.000000	4	6	0.000000	2013-05-08
RD1203	7635	6	62	11	0.000000	4	22	0.000000	2013-05-08
RD1203	7635	7	62	13	0.000000	4	22	0.000000	2013-05-08
RD1204	7636	1	74	4	0.000000	21	0	0.000000	2013-05-08
RD1204	7636	2	74	4	0.000000	22	0	0.000000	2013-05-08
RD1204	7636	3	72	45	0.000000	22	0	0.000000	2013-05-08
RD1204	7636	4	72	45	0.000000	20	0	0.000000	2013-05-08
RD1204	7636	5	72	30	0.000000	20	0	0.000000	2013-05-08
RD1204	7636	6	72	30	0.000000	17	0	0.000000	2013-05-08
RD1204	7636	7	73	45	0.000000	17	0	0.000000	2013-05-08
RD1204	7636	8	73	45	0.000000	20	20	0.000000	2013-05-08
RD1204	7636	9	74	4	0.000000	21	0	0.000000	2013-05-08
RD1205	7676	1	61	22	46.860000	3	47	15.470000	2013-05-08
RD1205	7676	2	61	18	57.260000	3	47	5.370000	2013-05-08
RD1205	7676	3	61	18	55.690000	3	49	19.810000	2013-05-08
RD1205	7676	4	61	15	9.540000	3	49	8.330000	2013-05-08
RD1205	7676	5	61	15	14.840000	3	41	18.820000	2013-05-08
RD1205	7676	6	61	18	11.610000	3	41	27.060000	2013-05-08
RD1205	7676	7	61	18	12.910000	3	39	14.190000	2013-05-08
RD1205	7676	8	61	18	57.200000	3	34	29.850000	2013-05-08
RD1205	7676	9	61	22	52.440000	3	34	36.850000	2013-05-08
RD1301	7846	1	66	46	50.000000	6	43	21.000000	2013-05-08
RD1301	7846	2	66	27	34.000000	6	18	55.000000	2013-05-08
RD1301	7846	3	66	28	23.000000	8	17	25.000000	2013-05-08
RD1301	7846	4	66	47	19.000000	8	45	22.000000	2013-05-08
RD1302	7815	1	62	13	0.000000	4	30	0.000000	2013-05-08
RD1302	7815	2	62	0	0.000000	4	30	0.000000	2013-05-08
RD1302	7815	3	62	0	0.000000	4	0	0.000000	2013-05-08
RD1302	7815	4	61	45	0.000000	4	0	0.000000	2013-05-08
RD1302	7815	5	61	45	0.000000	3	34	0.000000	2013-05-08
RD1302	7815	6	62	5	0.000000	3	34	0.000000	2013-05-08
RD1302	7815	7	62	5	0.000000	3	45	0.000000	2013-05-08
RD1302	7815	8	62	8	0.000000	3	45	0.000000	2013-05-08
RD1302	7815	9	62	8	0.000000	4	6	0.000000	2013-05-08
RD1302	7815	10	62	11	0.000000	4	6	0.000000	2013-05-08
RD1302	7815	11	62	11	0.000000	4	22	0.000000	2013-05-08
RD1302	7815	12	62	13	0.000000	4	22	0.000000	2013-05-08
RD1303	7816	1	74	20	0.000000	22	0	0.000000	2013-05-08
RD1303	7816	2	72	45	0.000000	22	0	0.000000	2013-05-08
RD1303	7816	3	72	45	0.000000	18	40	0.000000	2013-05-08
RD1303	7816	4	70	36	0.000000	18	40	0.000000	2013-05-08
RD1303	7816	5	70	30	0.000000	18	0	0.000000	2013-05-08
RD1303	7816	6	70	15	0.000000	17	30	0.000000	2013-05-08
RD1303	7816	7	70	15	0.000000	16	0	0.000000	2013-05-08
RD1303	7816	8	71	25	0.000000	16	0	0.000000	2013-05-08
RD1303	7816	9	71	4	0.000000	17	0	0.000000	2013-05-08
RD1303	7816	10	71	30	0.000000	17	40	0.000000	2013-05-08
RD1303	7816	11	72	30	0.000000	17	0	0.000000	2013-05-08
RD1303	7816	12	73	45	0.000000	17	0	0.000000	2013-05-08
RD1303	7816	13	73	45	0.000000	20	20	0.000000	2013-05-08
RD1303	7816	14	74	0	0.000000	21	0	0.000000	2013-05-08
RD1303	7816	15	74	15	0.000000	21	20	0.000000	2013-05-08
RD1304	7825	1	65	25	43.770000	7	8	6.310000	2013-05-08
RD1304	7825	2	65	26	50.860000	7	12	7.460000	2013-05-08
RD1304	7825	3	65	20	29.600000	7	22	58.660000	2013-05-08
RD1304	7825	4	65	17	39.300000	7	18	53.160000	2013-05-08
RD1304	7825	5	65	18	8.600000	7	9	57.740000	2013-05-08
RD1305	7827	1	67	45	0.000000	8	0	0.000000	2013-05-08
RD1305	7827	2	66	15	0.000000	8	0	0.000000	2013-05-08
RD1305	7827	3	66	15	0.000000	6	0	0.000000	2013-05-08
RD1305	7827	4	67	45	0.000000	6	0	0.000000	2013-05-08
RE12300	7726	1	56	40	11.100000	5	3	57.400000	2013-05-08
RE12300	7726	2	56	40	2.600000	5	11	58.600000	2013-05-08
RE12300	7726	3	56	38	20.200000	5	11	52.500000	2013-05-08
RE12300	7726	4	56	38	4.400000	5	13	20.900000	2013-05-08
RE12300	7726	5	56	36	32.100000	5	12	26.500000	2013-05-08
RE12300	7726	6	56	36	54.700000	5	10	20.100000	2013-05-08
RE12300	7726	7	56	34	6.000000	5	11	44.800000	2013-05-08
RE12300	7726	8	56	33	40.000000	5	8	55.500000	2013-05-08
RE12300	7726	9	56	36	16.800000	5	7	36.600000	2013-05-08
RE12300	7726	10	56	35	50.200000	5	5	58.700000	2013-05-08
RE12300	7726	11	56	35	52.500000	5	3	42.800000	2013-05-08
RE12400	7758	1	56	38	0.000000	5	8	20.000000	2013-05-08
RE12400	7758	2	56	38	0.000000	5	8	3.000000	2013-05-08
RE12400	7758	3	56	38	15.000000	5	8	3.000000	2013-05-08
RE12400	7758	4	56	38	15.000000	5	8	20.000000	2013-05-08
RPS 1101	7440	1	59	21	57.000000	1	46	0.000000	2013-05-08
RPS 1101	7440	2	59	22	16.000000	1	52	36.000000	2013-05-08
RPS 1101	7440	3	59	19	14.000000	1	53	12.000000	2013-05-08
RPS 1101	7440	4	59	18	55.000000	1	47	7.000000	2013-05-08
RS0901	7115	1	59	51	14.000000	3	17	25.000000	2013-05-08
RS0901	7115	2	59	51	7.000000	3	46	20.000000	2013-05-08
RS0901	7115	3	59	8	14.000000	3	45	22.000000	2013-05-08
RS0901	7115	4	59	8	21.000000	3	17	3.000000	2013-05-08
RS1001	7186	1	59	51	13.000000	3	17	28.000000	2013-05-08
RS1001	7186	2	59	51	6.000000	3	46	21.000000	2013-05-08
RS1001	7186	3	59	16	19.000000	3	45	38.000000	2013-05-08
RS1001	7186	4	59	16	26.000000	3	17	10.000000	2013-05-08
RS1001	7186	5	59	43	49.000000	3	17	24.000000	2013-05-08
RS1001	7186	6	59	43	50.000000	2	52	41.000000	2013-05-08
RS1001	7186	7	59	44	54.000000	2	52	41.000000	2013-05-08
RS1001	7186	8	59	44	53.000000	3	17	25.000000	2013-05-08
RS1002	7188	1	65	47	0.000000	7	53	56.000000	2013-05-08
RS1002	7188	2	66	23	42.000000	8	37	31.000000	2013-05-08
RS1002	7188	3	66	18	13.000000	9	5	11.000000	2013-05-08
RS1002	7188	4	65	56	9.000000	8	38	18.000000	2013-05-08
RS1002	7188	5	65	48	29.000000	9	12	42.000000	2013-05-08
RS1002	7188	6	65	47	13.000000	9	10	56.000000	2013-05-08
RS1002	7188	7	65	54	57.000000	8	36	49.000000	2013-05-08
RS1002	7188	8	65	46	15.000000	8	26	26.000000	2013-05-08
RS1002	7188	9	65	36	13.000000	8	37	13.000000	2013-05-08
RS1002	7188	10	65	35	38.000000	8	34	14.000000	2013-05-08
RS1002	7188	11	65	44	47.000000	8	25	3.000000	2013-05-08
RS1002	7188	12	65	41	39.000000	8	21	5.000000	2013-05-08
RS1003	7360	1	66	8	10.000000	8	21	55.000000	2013-05-08
RS1003	7360	2	66	16	41.000000	8	21	43.000000	2013-05-08
RS1003	7360	3	66	16	44.000000	8	39	5.000000	2013-05-08
RS1003	7360	4	66	8	13.000000	8	39	12.000000	2013-05-08
RS1101	7398	1	59	8	0.000000	2	47	59.000000	2013-05-08
RS1101	7398	2	59	8	0.000000	4	3	59.000000	2013-05-08
RS1101	7398	3	60	30	0.000000	4	3	59.000000	2013-05-08
RS1101	7398	4	60	30	0.000000	2	47	59.000000	2013-05-08
RS1201	7693	1	59	43	2.250000	3	32	14.860000	2013-05-08
RS1201	7693	2	59	42	58.850000	3	43	58.730000	2013-05-08
RS1201	7693	3	59	37	35.620000	3	43	51.690000	2013-05-08
RS1201	7693	4	59	37	39.010000	3	32	9.690000	2013-05-08
RWE1001	7258	1	62	30	0.000000	3	40	0.000000	2013-05-08
RWE1001	7258	2	62	30	0.000000	4	10	0.000000	2013-05-08
RWE1001	7258	3	62	15	0.000000	4	10	0.000000	2013-05-08
RWE1001	7258	4	62	15	0.000000	4	25	0.000000	2013-05-08
RWE1001	7258	5	62	0	0.000000	4	25	0.000000	2013-05-08
RWE1001	7258	6	62	0	0.000000	3	40	0.000000	2013-05-08
RWE1002	7259	1	67	10	0.000000	6	40	0.000000	2013-05-08
RWE1002	7259	2	67	10	0.000000	7	20	0.000000	2013-05-08
RWE1002	7259	3	67	0	0.000000	7	20	0.000000	2013-05-08
RWE1002	7259	4	67	0	0.000000	11	15	0.000000	2013-05-08
RWE1002	7259	5	66	45	0.000000	11	15	0.000000	2013-05-08
RWE1002	7259	6	66	0	0.000000	10	0	0.000000	2013-05-08
RWE1002	7259	7	66	0	0.000000	6	40	0.000000	2013-05-08
RWE1003	7260	1	73	15	0.000000	16	0	0.000000	2013-05-08
RWE1003	7260	2	73	15	0.000000	21	20	0.000000	2013-05-08
RWE1003	7260	3	71	15	0.000000	21	20	0.000000	2013-05-08
RWE1003	7260	4	70	45	0.000000	17	40	0.000000	2013-05-08
RWE1003	7260	5	70	15	0.000000	16	40	0.000000	2013-05-08
RWE1003	7260	6	70	15	0.000000	16	20	0.000000	2013-05-08
RWE1003	7260	7	71	0	0.000000	16	20	0.000000	2013-05-08
RWE1003	7260	8	71	0	0.000000	17	40	0.000000	2013-05-08
RWE1003	7260	9	72	0	0.000000	17	40	0.000000	2013-05-08
RWE1003	7260	10	72	0	0.000000	17	20	0.000000	2013-05-08
RWE1003	7260	11	72	30	0.000000	17	20	0.000000	2013-05-08
RWE1003	7260	12	72	30	0.000000	16	0	0.000000	2013-05-08
SBX1101	7473	1	63	40	0.000000	1	40	0.000000	2013-05-08
SBX1101	7473	2	64	20	0.000000	1	40	0.000000	2013-05-08
SBX1101	7473	3	64	20	0.000000	3	5	0.000000	2013-05-08
SBX1101	7473	4	63	40	0.000000	3	5	0.000000	2013-05-08
SEN1101	7443	1	63	30	57.000000	5	53	5.000000	2013-05-08
SEN1101	7443	2	63	17	19.000000	5	53	10.000000	2013-05-08
SEN1101	7443	3	63	17	7.000000	7	12	21.000000	2013-05-08
SEN1101	7443	4	63	35	21.000000	7	12	21.000000	2013-05-08
SEN1101	7443	5	63	46	59.000000	7	22	3.000000	2013-05-08
SEN1101	7443	6	63	46	58.000000	6	40	49.000000	2013-05-08
SEN1101	7443	7	63	38	40.000000	6	28	32.000000	2013-05-08
SEN1101	7443	8	63	31	8.000000	6	20	43.000000	2013-05-08
SEN1201	7666	1	73	15	0.000000	16	55	0.000000	2013-05-08
SEN1201	7666	2	73	50	0.000000	16	55	0.000000	2013-05-08
SEN1201	7666	3	74	20	0.000000	23	40	0.000000	2013-05-08
SEN1201	7666	4	74	20	0.000000	25	45	0.000000	2013-05-08
SEN1201	7666	5	73	50	0.000000	25	45	0.000000	2013-05-08
SEN1201	7666	6	71	50	0.000000	23	5	0.000000	2013-05-08
SEN1201	7666	7	71	45	0.000000	20	35	0.000000	2013-05-08
SEN1201	7666	8	72	45	0.000000	19	35	0.000000	2013-05-08
SEN12301	7712	1	60	55	6.000000	3	35	24.000000	2013-05-08
SEN12301	7712	2	60	59	57.000000	3	35	30.000000	2013-05-08
SEN12301	7712	3	61	1	29.000000	3	51	4.000000	2013-05-08
SEN12301	7712	4	60	55	33.000000	3	50	55.000000	2013-05-08
SEN12302	7722	1	60	57	12.200000	3	19	28.200000	2013-05-08
SEN12302	7722	2	60	53	43.200000	3	27	51.900000	2013-05-08
SEN12302	7722	3	60	58	59.800000	3	37	9.300000	2013-05-08
SEN12302	7722	4	61	2	29.400000	3	28	45.200000	2013-05-08
SH0901	7038	1	64	12	58.520000	7	28	22.120000	2013-05-08
SH0901	7038	2	64	28	25.630000	7	45	57.550000	2013-05-08
SH0901	7038	3	64	25	26.670000	7	59	48.640000	2013-05-08
SH0901	7038	4	64	10	1.210000	7	42	7.330000	2013-05-08
SH0902	7039	1	64	18	3.910000	6	43	9.200000	2013-05-08
SH0902	7039	2	64	23	26.900000	6	43	11.100000	2013-05-08
SH0902	7039	3	64	23	22.870000	7	9	18.300000	2013-05-08
SH0902	7039	4	64	17	59.880000	7	9	11.330000	2013-05-08
SH0903	7102	1	66	30	0.000000	3	55	0.000000	2013-05-08
SH0903	7102	2	66	30	0.000000	4	35	0.000000	2013-05-08
SH0903	7102	3	65	55	0.000000	4	35	0.000000	2013-05-08
SH0903	7102	4	65	55	0.000000	3	55	0.000000	2013-05-08
SH0904	7103	1	67	22	0.000000	5	10	0.000000	2013-05-08
SH0904	7103	2	67	22	0.000000	6	28	0.000000	2013-05-08
SH0904	7103	3	66	53	0.000000	6	28	0.000000	2013-05-08
SH0904	7103	4	66	53	0.000000	5	10	0.000000	2013-05-08
SH0905EM	7140	1	61	45	0.000000	1	33	0.000000	2013-05-08
SH0905EM	7140	2	61	45	0.000000	1	52	0.000000	2013-05-08
SH0905EM	7140	3	61	33	0.000000	1	52	0.000000	2013-05-08
SH0905EM	7140	4	61	33	0.000000	1	41	0.000000	2013-05-08
SH1001	7213	1	66	41	0.000000	3	58	0.000000	2013-05-08
SH1001	7213	2	66	41	0.000000	4	3	0.000000	2013-05-08
SH1001	7213	3	66	36	0.000000	4	3	0.000000	2013-05-08
SH1001	7213	4	66	36	0.000000	4	58	0.000000	2013-05-08
SH1001	7213	5	66	11	0.000000	4	58	0.000000	2013-05-08
SH1001	7213	6	65	52	0.000000	3	58	0.000000	2013-05-08
SH1002	7214	1	66	55	33.400000	5	15	57.390000	2013-05-08
SH1002	7214	2	67	20	10.170000	6	3	26.330000	2013-05-08
SH1002	7214	3	67	14	17.800000	6	23	16.880000	2013-05-08
SH1002	7214	4	66	49	45.060000	5	35	45.530000	2013-05-08
SH1003	7322	1	66	34	0.000000	1	30	0.000000	2013-05-08
SH1003	7322	2	66	40	0.000000	4	0	0.000000	2013-05-08
SH1003	7322	3	66	34	0.000000	4	0	0.000000	2013-05-08
SH1003	7322	4	66	28	0.000000	1	30	0.000000	2013-05-08
SH1004	7337	1	67	32	0.000000	4	3	0.000000	2013-05-08
SH1004	7337	2	67	2	0.000000	4	55	0.000000	2013-05-08
SH1004	7337	3	66	58	0.000000	4	55	0.000000	2013-05-08
SH1004	7337	4	67	28	0.000000	4	3	0.000000	2013-05-08
SH1101	7477	1	64	35	0.000000	6	38	0.000000	2013-05-08
SH1101	7477	2	64	15	43.000000	7	22	0.000000	2013-05-08
SH1101	7477	3	64	11	0.000000	7	13	0.000000	2013-05-08
SH1101	7477	4	64	30	0.000000	6	30	0.000000	2013-05-08
SH1102	7478	1	64	30	0.000000	7	32	0.000000	2013-05-08
SH1102	7478	2	64	30	0.000000	8	0	0.000000	2013-05-08
SH1102	7478	3	64	0	0.000000	8	0	0.000000	2013-05-08
SH1102	7478	4	64	0	0.000000	7	32	0.000000	2013-05-08
SH1105	7481	1	64	30	0.000000	6	43	0.000000	2013-05-08
SH1105	7481	2	64	30	0.000000	7	5	0.000000	2013-05-08
SH1105	7481	3	64	22	0.000000	7	5	0.000000	2013-05-08
SH1105	7481	4	64	22	0.000000	6	43	0.000000	2013-05-08
SH1106	7487	1	64	25	0.000000	7	37	0.000000	2013-05-08
SH1106	7487	2	64	25	0.000000	8	1	0.000000	2013-05-08
SH1106	7487	3	64	13	0.000000	8	1	0.000000	2013-05-08
SH1106	7487	4	64	13	0.000000	7	37	0.000000	2013-05-08
SH1201	7592	1	64	43	40.870000	6	14	46.580000	2013-05-08
SH1201	7592	2	64	43	38.010000	6	31	15.580000	2013-05-08
SH1201	7592	3	64	44	58.560000	6	31	20.000000	2013-05-08
SH1201	7592	4	64	45	0.980000	6	59	33.700000	2013-05-08
SH1201	7592	5	64	41	7.780000	7	10	23.250000	2013-05-08
SH1201	7592	6	64	32	47.270000	7	19	23.020000	2013-05-08
SH1201	7592	7	64	25	31.680000	7	19	23.480000	2013-05-08
SH1201	7592	8	64	19	56.470000	7	11	42.800000	2013-05-08
SH1201	7592	9	64	13	7.250000	6	59	39.870000	2013-05-08
SH1201	7592	10	64	13	3.640000	6	14	57.260000	2013-05-08
SH12301	7697	1	64	30	0.000000	6	43	0.000000	2013-05-08
SH12301	7697	2	64	30	0.000000	7	3	0.000000	2013-05-08
SH12301	7697	3	64	22	0.000000	7	3	0.000000	2013-05-08
SH12301	7697	4	64	22	0.000000	6	43	0.000000	2013-05-08
SH13001	7844	1	64	37	7.900000	7	49	43.450000	2013-05-08
SH13001	7844	2	64	7	42.690000	7	16	37.410000	2013-05-08
SH13001	7844	3	63	59	49.460000	7	50	4.780000	2013-05-08
SH13001	7844	4	64	7	5.610000	7	58	9.760000	2013-05-08
SH13001	7844	5	64	13	7.030000	8	4	55.220000	2013-05-08
SH13001	7844	6	64	12	29.560000	8	7	47.790000	2013-05-08
SH13001	7844	7	64	21	18.100000	8	17	56.720000	2013-05-08
SH13001	7844	8	64	33	4.950000	8	20	7.960000	2013-05-08
SH13001	7844	9	64	38	58.200000	7	55	58.520000	2013-05-08
SH13301	7838	1	64	18	50.040000	7	40	41.930000	2013-05-08
SH13301	7838	2	64	18	54.490000	7	49	22.860000	2013-05-08
SH13301	7838	3	64	15	8.410000	7	49	32.480000	2013-05-08
SH13301	7838	4	64	15	3.980000	7	40	52.740000	2013-05-08
SS1101	7431	1	70	23	19.270000	17	19	55.540000	2013-05-08
SS1101	7431	2	70	57	54.570000	17	2	43.030000	2013-05-08
SS1101	7431	3	71	8	42.030000	17	14	31.030000	2013-05-08
SS1101	7431	4	71	22	32.010000	17	29	59.010000	2013-05-08
SS1101	7431	5	71	57	12.490000	17	24	14.820000	2013-05-08
SS1101	7431	6	72	32	34.420000	17	21	24.920000	2013-05-08
SS1101	7431	7	72	32	41.460000	14	14	12.580000	2013-05-08
SS1101	7431	8	72	42	30.000000	14	5	59.990000	2013-05-08
SS1101	7431	9	74	43	18.000000	16	35	27.000000	2013-05-08
SS1101	7431	10	74	37	26.980000	16	34	55.180000	2013-05-08
SS1101	7431	11	74	23	22.000000	16	33	40.000000	2013-05-08
SS1101	7431	12	74	7	21.000000	16	57	13.000000	2013-05-08
SS1101	7431	13	73	56	56.210000	17	27	49.390000	2013-05-08
SS1101	7431	14	73	49	53.480000	18	3	25.290000	2013-05-08
SS1101	7431	15	73	46	28.000000	18	30	11.000000	2013-05-08
SS1101	7431	16	73	45	27.000000	19	19	53.000000	2013-05-08
SS1101	7431	17	73	46	21.010000	19	31	15.130000	2013-05-08
SS1101	7431	18	73	48	52.550000	20	3	58.520000	2013-05-08
SS1101	7431	19	73	56	20.080000	20	39	58.010000	2013-05-08
SS1101	7431	20	74	3	5.490000	20	59	55.250000	2013-05-08
SS1101	7431	21	74	14	17.000000	21	23	35.000000	2013-05-08
SS1101	7431	22	74	17	23.410000	21	43	17.950000	2013-05-08
SS1101	7431	23	74	23	15.060000	22	21	22.330000	2013-05-08
SS1101	7431	24	74	28	59.980000	22	53	25.850000	2013-05-08
SS1101	7431	25	74	34	14.800000	23	18	42.000000	2013-05-08
SS1101	7431	26	74	43	45.770000	23	59	15.000000	2013-05-08
SS1101	7431	27	74	43	52.150000	24	53	28.470000	2013-05-08
SS1101	7431	28	74	43	32.100000	26	27	54.640000	2013-05-08
SS1101	7431	29	74	43	14.880000	27	35	37.960000	2013-05-08
SS1101	7431	30	74	43	37.330000	28	28	35.800000	2013-05-08
SS1101	7431	31	74	43	47.740000	29	30	10.300000	2013-05-08
SS1101	7431	32	74	43	35.850000	30	50	57.890000	2013-05-08
SS1101	7431	33	74	24	35.000000	31	27	29.050000	2013-05-08
SS1101	7431	34	74	17	13.190000	31	53	15.550000	2013-05-08
SS1101	7431	35	74	12	29.350000	32	19	56.730000	2013-05-08
SS1101	7431	36	74	11	55.000000	32	23	53.040000	2013-05-08
SS1101	7431	37	74	8	13.990000	32	48	55.450000	2013-05-08
SS1101	7431	38	70	46	29.000000	32	38	40.390000	2013-05-08
SS1101	7431	39	70	33	38.490000	32	32	14.510000	2013-05-08
SS1101	7431	40	70	30	59.810000	32	1	19.490000	2013-05-08
SS1101	7431	41	70	35	15.120000	31	52	22.450000	2013-05-08
SS1101	7431	42	70	52	14.630000	30	56	4.920000	2013-05-08
SS1101	7431	43	71	0	47.990000	30	18	10.820000	2013-05-08
SS1101	7431	44	71	5	3.580000	29	55	24.530000	2013-05-08
SS1101	7431	45	71	9	54.570000	29	32	17.730000	2013-05-08
SS1101	7431	46	71	19	29.490000	28	52	3.500000	2013-05-08
SS1101	7431	47	71	23	16.910000	28	33	30.170000	2013-05-08
SS1101	7431	48	71	25	51.650000	28	0	0.040000	2013-05-08
SS1101	7431	49	71	28	24.650000	26	42	11.320000	2013-05-08
SS1101	7431	50	71	29	34.740000	25	35	35.940000	2013-05-08
SS1101	7431	51	71	28	16.330000	25	17	4.590000	2013-05-08
SS1101	7431	52	71	25	58.960000	24	50	31.690000	2013-05-08
SS1101	7431	53	71	25	19.330000	24	26	16.680000	2013-05-08
SS1101	7431	54	71	24	33.620000	24	0	25.490000	2013-05-08
SS1101	7431	55	71	22	37.470000	23	35	48.520000	2013-05-08
SS1101	7431	56	71	16	23.500000	23	4	10.670000	2013-05-08
SS1101	7431	57	71	12	44.200000	22	46	39.060000	2013-05-08
SS1101	7431	58	71	5	52.560000	22	14	23.050000	2013-05-08
SS1101	7431	59	71	0	37.230000	21	53	58.360000	2013-05-08
SS1101	7431	60	70	57	7.500000	21	34	22.010000	2013-05-08
SS1101	7431	61	70	51	53.240000	20	50	31.420000	2013-05-08
SS1101	7431	62	70	45	31.010000	19	59	31.520000	2013-05-08
SS1101	7431	63	70	39	13.210000	19	11	21.700000	2013-05-08
SS1101	7431	64	70	30	17.840000	18	13	25.690000	2013-05-08
SS1101	7431	65	70	25	42.820000	17	57	56.630000	2013-05-08
SS1101	7431	66	70	18	36.910000	17	43	52.980000	2013-05-08
SS1101	7431	67	70	23	19.270000	17	19	55.540000	2013-05-08
SS1301	7776	1	71	7	5.010000	22	19	59.870000	2013-05-08
SS1301	7776	2	71	6	54.380000	22	19	10.270000	2013-05-08
SS1301	7776	3	70	57	7.060000	21	34	19.220000	2013-05-08
SS1301	7776	4	70	44	8.530000	19	48	49.180000	2013-05-08
SS1301	7776	5	70	35	29.830000	18	43	50.280000	2013-05-08
SS1301	7776	6	70	30	17.850000	18	13	25.740000	2013-05-08
SS1301	7776	7	70	25	42.820000	17	57	56.700000	2013-05-08
SS1301	7776	8	70	15	13.790000	17	37	14.840000	2013-05-08
SS1301	7776	9	70	15	8.830000	16	5	12.470000	2013-05-08
SS1301	7776	10	69	56	13.280000	14	3	54.000000	2013-05-08
SS1301	7776	11	70	56	41.530000	12	29	27.500000	2013-05-08
SS1301	7776	12	71	23	59.490000	16	20	0.780000	2013-05-08
SS1301	7776	13	71	4	33.890000	16	40	50.400000	2013-05-08
SS1301	7776	14	71	5	50.030000	17	13	50.220000	2013-05-08
SS1301	7776	15	71	37	55.190000	17	44	18.640000	2013-05-08
SS1301	7776	16	72	13	52.430000	23	56	50.750000	2013-05-08
SS1301	7776	17	71	47	43.950000	24	23	41.670000	2013-05-08
SS1301	7776	18	71	25	58.960000	24	50	31.700000	2013-05-08
SS1301	7776	19	71	23	54.780000	23	45	41.430000	2013-05-08
SS1301	7776	20	71	7	5.010000	22	19	59.870000	2013-05-08
SS1302	7779	1	72	0	18.400000	21	59	47.310000	2013-05-08
SS1302	7779	2	74	43	10.760000	22	1	50.100000	2013-05-08
SS1302	7779	3	74	43	19.570000	32	57	47.960000	2013-05-08
SS1302	7779	4	72	16	43.770000	32	45	28.230000	2013-05-08
SS1302	7779	5	71	29	24.270000	25	30	31.180000	2013-05-08
SS1302	7779	6	72	0	18.400000	21	59	47.310000	2013-05-08
SS1303	7793	1	72	25	4.800000	28	53	3.710000	2013-05-08
SS1303	7793	2	71	50	32.270000	28	52	50.760000	2013-05-08
SS1303	7793	3	71	28	58.830000	26	17	44.800000	2013-05-08
SS1303	7793	4	71	29	54.580000	25	42	43.700000	2013-05-08
SS1303	7793	5	71	29	31.020000	25	31	10.830000	2013-05-08
SS1303	7793	6	71	26	4.880000	24	50	45.280000	2013-05-08
SS1303	7793	7	71	24	42.910000	24	3	32.030000	2013-05-08
SS1303	7793	8	71	42	22.480000	23	56	35.760000	2013-05-08
SS1303	7793	9	72	25	4.800000	28	53	3.710000	2013-05-08
SSBJ12	7647	1	72	0	18.400000	21	59	47.310000	2013-05-08
SSBJ12	7647	2	74	43	10.760000	22	1	50.100000	2013-05-08
SSBJ12	7647	3	74	43	19.570000	32	57	47.960000	2013-05-08
SSBJ12	7647	4	72	16	43.770000	32	45	28.230000	2013-05-08
SSBJ12	7647	5	71	11	7.860000	32	42	8.320000	2013-05-08
SSBJ12	7647	6	70	33	26.440000	32	13	22.780000	2013-05-08
SSBJ12	7647	7	70	30	59.810000	32	1	19.490000	2013-05-08
SSBJ12	7647	8	70	35	15.120000	31	52	22.450000	2013-05-08
SSBJ12	7647	9	70	37	53.870000	31	44	40.230000	2013-05-08
SSBJ12	7647	10	70	39	27.760000	31	40	5.470000	2013-05-08
SSBJ12	7647	11	70	49	21.920000	31	5	58.360000	2013-05-08
SSBJ12	7647	12	70	56	55.220000	30	39	50.760000	2013-05-08
SSBJ12	7647	13	71	3	16.710000	30	4	8.230000	2013-05-08
SSBJ12	7647	14	71	4	26.870000	29	58	24.840000	2013-05-08
SSBJ12	7647	15	71	7	19.440000	29	44	13.610000	2013-05-08
SSBJ12	7647	16	71	11	15.310000	29	26	2.480000	2013-05-08
SSBJ12	7647	17	71	12	47.650000	29	18	51.120000	2013-05-08
SSBJ12	7647	18	71	18	36.460000	28	55	37.580000	2013-05-08
SSBJ12	7647	19	71	22	1.050000	28	41	48.350000	2013-05-08
SSBJ12	7647	20	71	23	46.200000	28	30	16.930000	2013-05-08
SSBJ12	7647	21	71	26	20.580000	27	52	49.770000	2013-05-08
SSBJ12	7647	22	71	29	48.720000	25	42	29.800000	2013-05-08
SSBJ12	7647	23	71	29	24.270000	25	30	31.180000	2013-05-08
SSBJ12	7647	24	72	0	18.400000	21	59	47.310000	2013-05-08
SSG1201	7699	1	73	36	20.200000	21	22	58.180000	2013-05-08
SSG1201	7699	2	73	35	45.230000	23	3	43.940000	2013-05-08
SSG1201	7699	3	72	31	0.300000	21	4	46.740000	2013-05-08
SSG1201	7699	4	72	30	41.400000	19	30	7.220000	2013-05-08
ST0893	7019	1	61	14	0.000000	2	3	0.000000	2013-05-08
ST0893	7019	2	61	18	0.000000	2	3	0.000000	2013-05-08
ST0893	7019	3	61	18	0.000000	2	11	0.000000	2013-05-08
ST0893	7019	4	61	14	0.000000	2	11	0.000000	2013-05-08
ST09001	7010	1	61	37	12.000000	2	0	45.000000	2013-05-08
ST09001	7010	2	61	37	11.000000	2	31	18.000000	2013-05-08
ST09001	7010	3	61	30	0.000000	2	31	13.000000	2013-05-08
ST09001	7010	4	61	21	50.000000	2	22	17.000000	2013-05-08
ST09001	7010	5	61	12	50.000000	2	27	1.000000	2013-05-08
ST09001	7010	6	61	12	48.000000	1	49	25.000000	2013-05-08
ST09001	7010	7	61	25	4.000000	1	44	55.000000	2013-05-08
ST09001	7010	8	61	37	12.000000	2	0	45.000000	2013-05-08
ST09002	7072	1	58	59	42.000000	2	26	2.000000	2013-05-08
ST09002	7072	2	59	2	13.000000	2	15	50.000000	2013-05-08
ST09002	7072	3	59	20	42.000000	2	32	25.000000	2013-05-08
ST09002	7072	4	59	18	16.000000	2	42	58.000000	2013-05-08
ST09005	7126	1	71	48	0.000000	20	29	0.000000	2013-05-08
ST09005	7126	2	71	48	0.000000	21	40	0.000000	2013-05-08
ST09005	7126	3	71	25	0.000000	21	40	0.000000	2013-05-08
ST09005	7126	4	71	25	0.000000	20	29	0.000000	2013-05-08
ST09251	7065	1	60	59	0.000000	4	7	0.000000	2013-05-08
ST09251	7065	2	60	27	0.000000	4	5	0.000000	2013-05-08
ST09251	7065	3	60	27	0.000000	3	16	0.000000	2013-05-08
ST09251	7065	4	60	59	0.000000	3	17	0.000000	2013-05-08
ST09252	7088	1	64	51	0.000000	7	18	0.000000	2013-05-08
ST09252	7088	2	65	8	0.000000	7	16	0.000000	2013-05-08
ST09252	7088	3	65	8	0.000000	7	52	0.000000	2013-05-08
ST09252	7088	4	64	51	0.000000	7	53	0.000000	2013-05-08
ST09253	7078	1	58	25	0.000000	2	2	0.000000	2013-05-08
ST09253	7078	2	58	21	0.000000	2	2	0.000000	2013-05-08
ST09253	7078	3	58	21	0.000000	1	54	0.000000	2013-05-08
ST09253	7078	4	58	25	0.000000	1	54	0.000000	2013-05-08
ST09254	7098	1	63	19	0.000000	5	10	0.000000	2013-05-08
ST09254	7098	2	63	32	0.000000	5	10	0.000000	2013-05-08
ST09254	7098	3	63	32	0.000000	5	32	0.000000	2013-05-08
ST09254	7098	4	63	19	0.000000	5	32	0.000000	2013-05-08
ST09301	7020	1	61	8	0.000000	2	19	0.000000	2013-05-08
ST09301	7020	2	60	57	0.000000	2	19	0.000000	2013-05-08
ST09301	7020	3	60	57	0.000000	1	52	30.000000	2013-05-08
ST09301	7020	4	61	8	0.000000	1	50	30.000000	2013-05-08
ST09302	7021	1	66	3	0.000000	8	8	0.000000	2013-05-08
ST09302	7021	2	65	55	0.000000	8	8	0.000000	2013-05-08
ST09302	7021	3	65	55	0.000000	7	51	0.000000	2013-05-08
ST09302	7021	4	66	3	0.000000	7	51	0.000000	2013-05-08
ST09303	7168	1	65	3	0.000000	6	41	0.000000	2013-05-08
ST09303	7168	2	64	46	0.000000	6	41	0.000000	2013-05-08
ST09303	7168	3	64	46	0.000000	6	9	0.000000	2013-05-08
ST09303	7168	4	65	3	0.000000	6	9	0.000000	2013-05-08
ST09304	7022	1	60	32	0.000000	2	50	0.000000	2013-05-08
ST09304	7022	2	60	25	0.000000	2	50	0.000000	2013-05-08
ST09304	7022	3	60	25	0.000000	2	35	0.000000	2013-05-08
ST09304	7022	4	60	32	0.000000	2	35	0.000000	2013-05-08
ST09307	7023	1	61	58	0.000000	3	22	0.000000	2013-05-08
ST09307	7023	2	61	46	0.000000	3	22	0.000000	2013-05-08
ST09307	7023	3	61	46	0.000000	2	45	0.000000	2013-05-08
ST09307	7023	4	61	58	0.000000	2	45	0.000000	2013-05-08
ST09309	7024	1	58	52	0.000000	4	8	0.000000	2013-05-08
ST09309	7024	2	58	58	0.000000	4	25	0.000000	2013-05-08
ST09309	7024	3	59	40	0.000000	4	35	0.000000	2013-05-08
ST09309	7024	4	59	40	0.000000	4	8	0.000000	2013-05-08
ST09310	7025	1	62	5	0.000000	3	35	0.000000	2013-05-08
ST09310	7025	2	61	40	0.000000	3	35	0.000000	2013-05-08
ST09310	7025	3	61	40	0.000000	3	5	0.000000	2013-05-08
ST09310	7025	4	62	5	0.000000	3	5	0.000000	2013-05-08
ST09312	7026	1	61	36	0.000000	2	24	0.000000	2013-05-08
ST09312	7026	2	61	30	0.000000	2	24	0.000000	2013-05-08
ST09312	7026	3	61	30	0.000000	2	10	0.000000	2013-05-08
ST09312	7026	4	61	36	0.000000	2	10	0.000000	2013-05-08
ST09313	7027	1	61	30	0.000000	2	45	0.000000	2013-05-08
ST09313	7027	2	61	22	0.000000	2	45	0.000000	2013-05-08
ST09313	7027	3	61	22	0.000000	2	25	0.000000	2013-05-08
ST09313	7027	4	61	30	0.000000	2	25	0.000000	2013-05-08
ST09314	7063	1	66	4	0.000000	8	30	0.000000	2013-05-08
ST09314	7063	2	65	57	0.000000	8	30	0.000000	2013-05-08
ST09314	7063	3	65	57	0.000000	8	10	0.000000	2013-05-08
ST09314	7063	4	66	4	0.000000	8	10	0.000000	2013-05-08
ST09315	7176	1	60	49	32.000000	2	51	16.000000	2013-05-08
ST09315	7176	2	60	48	45.000000	2	58	32.000000	2013-05-08
ST09315	7176	3	60	44	24.000000	2	56	29.000000	2013-05-08
ST09315	7176	4	60	45	10.000000	2	49	12.000000	2013-05-08
ST09318	7028	1	61	22	0.000000	2	32	0.000000	2013-05-08
ST09318	7028	2	61	12	0.000000	2	32	0.000000	2013-05-08
ST09318	7028	3	61	12	0.000000	2	10	0.000000	2013-05-08
ST09318	7028	4	61	22	0.000000	2	10	0.000000	2013-05-08
ST09319	7094	1	60	17	0.000000	2	40	0.000000	2013-05-08
ST09319	7094	2	60	0	0.000000	2	40	0.000000	2013-05-08
ST09319	7094	3	60	0	0.000000	2	20	20.000000	2013-05-08
ST09319	7094	4	60	17	0.000000	2	20	0.000000	2013-05-08
ST09320	7096	1	65	55	0.000000	7	27	0.000000	2013-05-08
ST09320	7096	2	66	1	0.000000	7	34	0.000000	2013-05-08
ST09320	7096	3	65	59	30.000000	7	41	30.000000	2013-05-08
ST09320	7096	4	65	53	30.000000	7	35	30.000000	2013-05-08
ST09321	7099	1	66	11	0.000000	7	40	0.000000	2013-05-08
ST09321	7099	2	66	15	0.000000	7	46	0.000000	2013-05-08
ST09321	7099	3	66	7	30.000000	8	13	30.000000	2013-05-08
ST09321	7099	4	66	4	0.000000	8	6	30.000000	2013-05-08
ST09322	7111	1	56	43	13.000000	3	4	38.000000	2013-05-08
ST09322	7111	2	56	43	13.000000	3	12	52.000000	2013-05-08
ST09322	7111	3	56	38	41.000000	3	12	50.000000	2013-05-08
ST09322	7111	4	56	38	37.000000	3	4	37.000000	2013-05-08
ST09323	7134	1	72	38	0.000000	19	53	0.000000	2013-05-08
ST09323	7134	2	72	38	0.000000	20	25	0.000000	2013-05-08
ST09323	7134	3	72	47	0.000000	20	33	23.000000	2013-05-08
ST09323	7134	4	72	47	0.000000	20	36	54.000000	2013-05-08
ST09323	7134	5	72	38	0.000000	20	29	40.000000	2013-05-08
ST09323	7134	6	72	38	0.000000	21	2	0.000000	2013-05-08
ST09323	7134	7	72	22	0.000000	21	2	0.000000	2013-05-08
ST09323	7134	8	72	22	0.000000	19	53	0.000000	2013-05-08
ST09324	7137	1	61	16	20.000000	2	18	30.000000	2013-05-08
ST09324	7137	2	61	19	40.000000	2	18	30.000000	2013-05-08
ST09324	7137	3	61	19	40.000000	2	25	0.000000	2013-05-08
ST09324	7137	4	61	16	20.000000	2	25	0.000000	2013-05-08
ST09325	7174	1	61	3	18.000000	2	9	30.000000	2013-05-08
ST09325	7174	2	61	5	18.000000	2	9	30.000000	2013-05-08
ST09325	7174	3	61	5	18.000000	2	13	30.000000	2013-05-08
ST09325	7174	4	61	3	18.000000	2	13	30.000000	2013-05-08
St09326	7138	1	61	23	20.000000	2	30	30.000000	2013-05-08
St09326	7138	2	61	26	40.000000	2	30	30.000000	2013-05-08
St09326	7138	3	61	26	40.000000	2	37	30.000000	2013-05-08
St09326	7138	4	61	23	20.000000	2	37	30.000000	2013-05-08
ST09327	7142	1	58	34	3.000000	1	36	45.000000	2013-05-08
ST09327	7142	2	58	34	12.000000	1	49	52.000000	2013-05-08
ST09327	7142	3	58	41	1.000000	1	49	38.000000	2013-05-08
ST09327	7142	4	58	40	54.000000	1	36	30.000000	2013-05-08
ST09328	7143	1	64	33	26.000000	7	4	31.000000	2013-05-08
ST09328	7143	2	64	33	35.000000	7	16	57.000000	2013-05-08
ST09328	7143	3	64	38	25.000000	7	16	39.000000	2013-05-08
ST09328	7143	4	64	38	16.000000	7	4	10.000000	2013-05-08
ST09329	7148	1	66	10	0.000000	8	11	30.000000	2013-05-08
ST09329	7148	2	66	10	0.000000	8	15	30.000000	2013-05-08
ST09329	7148	3	66	7	50.000000	8	15	30.000000	2013-05-08
ST09329	7148	4	66	7	50.000000	8	11	30.000000	2013-05-08
ST09330	7149	1	60	31	21.000000	4	45	9.000000	2013-05-08
ST09330	7149	2	60	31	21.000000	4	46	40.000000	2013-05-08
ST09330	7149	3	60	30	41.000000	4	46	40.000000	2013-05-08
ST09330	7149	4	60	30	41.000000	4	45	9.000000	2013-05-08
ST09452	7071	1	61	2	34.400000	2	19	32.200000	2013-05-08
ST09452	7071	2	61	5	20.000000	2	29	19.700000	2013-05-08
ST09452	7071	3	61	3	57.800000	2	32	8.600000	2013-05-08
ST09452	7071	4	61	2	24.100000	2	20	54.700000	2013-05-08
ST09452	7071	5	60	50	55.200000	2	39	11.000000	2013-05-08
ST09452	7071	6	60	50	42.800000	2	38	37.500000	2013-05-08
ST09453	7080	1	64	59	39.650000	6	33	8.210000	2013-05-08
ST09453	7080	2	64	52	52.190000	6	26	5.780000	2013-05-08
ST09453	7080	3	64	56	22.590000	6	25	42.000000	2013-05-08
ST09453	7080	4	64	59	39.650000	6	33	8.210000	2013-05-08
ST09454	7089	0	65	59	57.000000	7	34	4.000000	2013-05-08
ST09454	7089	1	65	54	47.000000	7	28	46.000000	2013-05-08
ST09454	7089	2	65	54	52.000000	7	37	0.000000	2013-05-08
ST09454	7089	3	66	2	12.000000	8	4	24.000000	2013-05-08
ST09454	7089	4	66	3	17.000000	8	4	22.000000	2013-05-08
ST09455	7119	1	56	41	30.000000	3	7	45.000000	2013-05-08
ST09455	7119	2	56	41	30.000000	3	9	50.000000	2013-05-08
ST09455	7119	3	56	40	20.000000	3	9	50.000000	2013-05-08
ST09455	7119	4	56	40	20.000000	3	7	45.000000	2013-05-08
ST09455-1	7220	1	56	43	30.000000	3	7	45.000000	2013-05-08
ST09455-1	7220	2	56	43	30.000000	3	9	50.000000	2013-05-08
ST09455-1	7220	3	56	40	20.000000	3	9	50.000000	2013-05-08
ST09455-1	7220	4	56	40	20.000000	3	7	45.000000	2013-05-08
ST09456	7120	1	61	26	10.800000	2	34	1.600000	2013-05-08
ST09456	7120	2	61	25	22.700000	2	35	30.400000	2013-05-08
ST09456	7120	3	61	17	37.500000	2	22	7.900000	2013-05-08
ST09456	7120	4	61	18	0.100000	2	21	2.400000	2013-05-08
ST09456	7120	5	61	22	28.100000	2	26	47.400000	2013-05-08
ST09457	7123	1	65	0	30.000000	7	32	50.000000	2013-05-08
ST09457	7123	2	65	0	30.000000	7	34	0.000000	2013-05-08
ST09457	7123	3	65	0	4.000000	7	34	0.000000	2013-05-08
ST09457	7123	4	65	0	4.000000	7	32	50.000000	2013-05-08
ST09458	7125	1	67	0	0.000000	6	48	0.000000	2013-05-08
ST09458	7125	2	67	0	0.000000	7	10	0.000000	2013-05-08
ST09458	7125	3	67	15	5.000000	7	25	40.000000	2013-05-08
ST09458	7125	4	67	15	21.000000	7	25	40.000000	2013-05-08
ST09458	7125	5	67	15	21.000000	7	24	57.000000	2013-05-08
ST09458	7125	6	67	8	30.000000	6	27	0.000000	2013-05-08
ST09458	7125	7	67	8	10.000000	6	27	0.000000	2013-05-08
ST09458B	7124	1	66	55	0.000000	7	10	0.000000	2013-05-08
ST09458B	7124	2	66	55	0.000000	7	12	0.000000	2013-05-08
ST09458B	7124	3	66	37	32.000000	7	13	40.000000	2013-05-08
ST09458B	7124	4	66	20	23.000000	7	13	50.000000	2013-05-08
ST09458B	7124	5	65	50	0.000000	7	12	50.000000	2013-05-08
ST09458B	7124	6	65	50	0.000000	7	11	20.000000	2013-05-08
ST09458B	7124	7	66	20	23.000000	7	12	30.000000	2013-05-08
ST09458B	7124	8	66	37	32.000000	7	12	20.000000	2013-05-08
ST09566	7146	1	65	4	4.800000	7	29	26.700000	2013-05-08
ST09566	7146	2	65	3	28.000000	7	25	46.100000	2013-05-08
ST09566	7146	3	65	0	14.700000	7	30	16.800000	2013-05-08
ST09566	7146	4	65	58	50.000000	7	23	32.100000	2013-05-08
ST09566	7146	5	65	57	57.200000	7	27	1.900000	2013-05-08
ST09566	7146	6	65	58	27.500000	7	33	39.800000	2013-05-08
ST09566	7146	7	65	58	12.300000	7	37	26.500000	2013-05-08
ST09566	7146	8	65	59	59.200000	7	36	44.100000	2013-05-08
ST09566	7146	9	65	0	26.200000	7	34	2.800000	2013-05-08
ST10003	7228	1	60	27	35.000000	2	40	31.000000	2013-05-08
ST10003	7228	2	60	27	36.000000	2	55	57.000000	2013-05-08
ST10003	7228	3	60	24	55.000000	2	59	4.000000	2013-05-08
ST10003	7228	4	60	18	20.000000	2	59	5.000000	2013-05-08
ST10003	7228	5	60	18	19.000000	2	40	38.000000	2013-05-08
ST10004	7234	1	66	59	10.000000	6	6	15.000000	2013-05-08
ST10004	7234	2	66	59	10.000000	7	10	48.000000	2013-05-08
ST10004	7234	3	66	50	54.000000	7	10	31.000000	2013-05-08
ST10004	7234	4	66	50	53.000000	6	6	20.000000	2013-05-08
ST10005	7227	1	60	49	20.000000	3	12	4.000000	2013-05-08
ST10005	7227	2	61	3	31.000000	3	46	10.000000	2013-05-08
ST10005	7227	3	60	55	1.000000	3	55	8.000000	2013-05-08
ST10005	7227	4	60	49	45.000000	3	57	50.000000	2013-05-08
ST10005	7227	5	60	44	0.000000	3	56	25.000000	2013-05-08
ST10005	7227	6	60	34	54.000000	3	34	42.000000	2013-05-08
ST10005	7227	7	60	35	15.000000	3	28	13.000000	2013-05-08
ST10005	7227	8	60	36	50.000000	3	18	19.000000	2013-05-08
ST10005	7227	9	60	41	48.000000	3	11	55.000000	2013-05-08
ST10005	7227	10	60	49	20.000000	3	12	4.000000	2013-05-08
ST10007	7272	1	60	33	12.000000	2	34	11.000000	2013-05-08
ST10007	7272	2	60	33	14.000000	2	49	15.000000	2013-05-08
ST10007	7272	3	60	25	46.000000	2	58	6.000000	2013-05-08
ST10007	7272	4	60	20	12.000000	2	59	17.000000	2013-05-08
ST10007	7272	5	60	13	48.000000	2	50	43.000000	2013-05-08
ST10007	7272	6	60	13	46.000000	2	34	26.000000	2013-05-08
ST10008	7257	1	60	33	58.000000	2	31	2.000000	2013-05-08
ST10008	7257	2	60	45	39.000000	2	30	52.000000	2013-05-08
ST10008	7257	3	60	45	42.000000	2	48	53.000000	2013-05-08
ST10008	7257	4	60	34	1.000000	2	48	57.000000	2013-05-08
ST10009	7289	1	64	16	57.000000	6	46	12.000000	2013-05-08
ST10009	7289	2	64	26	53.000000	7	8	8.000000	2013-05-08
ST10009	7289	3	64	16	25.000000	7	33	18.000000	2013-05-08
ST10009	7289	4	64	6	29.000000	7	11	16.000000	2013-05-08
ST10010	7323	1	58	30	51.770000	1	45	6.700000	2013-05-08
ST10010	7323	2	58	28	40.090000	2	3	7.200000	2013-05-08
ST10010	7323	3	58	22	24.130000	2	0	20.130000	2013-05-08
ST10010	7323	4	58	24	35.430000	1	42	22.640000	2013-05-08
ST10011 N	7223	1	71	41	55.000000	25	22	14.000000	2013-05-08
ST10011 N	7223	2	72	5	32.000000	28	1	12.000000	2013-05-08
ST10011 N	7223	3	72	26	26.000000	27	28	6.000000	2013-05-08
ST10011 N	7223	4	71	54	19.000000	25	11	49.000000	2013-05-08
ST10012-E	7277	1	72	21	34.000000	28	19	45.000000	2013-05-08
ST10012-E	7277	2	72	21	23.000000	28	36	57.000000	2013-05-08
ST10012-E	7277	3	72	30	12.000000	28	39	5.000000	2013-05-08
ST10012-E	7277	4	72	29	45.000000	28	47	58.000000	2013-05-08
ST10012-E	7277	5	72	21	11.000000	28	45	35.000000	2013-05-08
ST10012-E	7277	6	72	20	46.000000	29	4	59.000000	2013-05-08
ST10012-E	7277	7	72	13	47.000000	29	3	35.000000	2013-05-08
ST10012-E	7277	8	72	13	3.000000	29	49	12.000000	2013-05-08
ST10012-E	7277	9	72	12	28.000000	29	49	5.000000	2013-05-08
ST10012-E	7277	10	72	13	15.000000	29	3	29.000000	2013-05-08
ST10012-E	7277	11	71	55	57.000000	29	0	7.000000	2013-05-08
ST10012-E	7277	12	71	56	42.000000	28	11	36.000000	2013-05-08
ST10012-E	7277	13	72	15	10.000000	28	13	37.000000	2013-05-08
ST10012-E	7277	14	72	15	17.000000	27	58	54.000000	2013-05-08
ST10012-E	7277	15	72	15	45.000000	27	58	57.000000	2013-05-08
ST10012-E	7277	16	72	15	37.000000	28	13	40.000000	2013-05-08
ST10012-E	7277	17	72	18	39.000000	28	14	0.000000	2013-05-08
ST10012-E	7277	18	72	21	0.000000	28	19	0.000000	2013-05-08
ST10013 HUSVÆR	7268	1	65	29	38.000000	8	14	50.000000	2013-05-08
ST10013 HUSVÆR	7268	2	65	56	55.000000	10	10	28.000000	2013-05-08
ST10013 HUSVÆR	7268	3	65	42	55.000000	10	29	26.000000	2013-05-08
ST10013 HUSVÆR	7268	4	65	15	49.000000	8	34	22.000000	2013-05-08
ST10014VN	7246	1	67	12	41.000000	5	50	13.000000	2013-05-08
ST10014VN	7246	2	67	30	20.000000	5	50	0.000000	2013-05-08
ST10014VN	7246	3	67	30	20.000000	7	30	24.000000	2013-05-08
ST10014VN	7246	4	67	12	41.000000	7	30	16.000000	2013-05-08
ST10015	7274	1	61	20	42.000000	1	59	26.000000	2013-05-08
ST10015	7274	2	61	35	58.000000	2	27	28.000000	2013-05-08
ST10015	7274	3	61	23	28.000000	2	56	16.000000	2013-05-08
ST10015	7274	4	61	8	19.000000	2	28	11.000000	2013-05-08
ST10016	7237	1	66	12	35.000000	8	19	51.000000	2013-05-08
ST10016	7237	2	66	8	20.000000	8	31	48.000000	2013-05-08
ST10016	7237	3	65	52	34.000000	7	57	59.000000	2013-05-08
ST10016	7237	4	65	56	46.000000	7	46	4.000000	2013-05-08
ST10017	7316	1	61	8	59.000000	3	23	19.000000	2013-05-08
ST10017	7316	2	61	1	57.000000	3	53	49.000000	2013-05-08
ST10017	7316	3	60	53	36.000000	3	45	38.000000	2013-05-08
ST10017	7316	4	61	0	37.000000	3	15	11.000000	2013-05-08
ST10018	7350	1	58	30	15.000000	1	53	16.000000	2013-05-08
ST10018	7350	2	58	30	15.000000	2	1	29.000000	2013-05-08
ST10018	7350	3	58	15	42.000000	2	1	28.000000	2013-05-08
ST10018	7350	4	58	15	42.000000	1	53	19.000000	2013-05-08
ST10020	7235	1	73	12	28.490000	22	56	56.950000	2013-05-08
ST10020	7235	2	72	57	5.150000	21	28	23.320000	2013-05-08
ST10020	7235	3	72	49	17.820000	21	27	49.030000	2013-05-08
ST10020	7235	4	72	42	22.680000	21	44	15.950000	2013-05-08
ST10020	7235	5	73	2	45.570000	23	34	55.220000	2013-05-08
ST10020	7235	6	73	12	1.510000	23	16	2.530000	2013-05-08
ST10020	7235	7	73	12	28.490000	22	56	56.950000	2013-05-08
ST10021	7343	1	64	20	33.000000	7	6	36.000000	2013-05-08
ST10021	7343	2	64	29	21.000000	7	16	41.000000	2013-05-08
ST10021	7343	3	64	21	52.000000	7	52	33.000000	2013-05-08
ST10021	7343	4	64	13	2.000000	7	42	43.000000	2013-05-08
ST10301	7217	1	66	7	20.000000	8	12	0.000000	2013-05-08
ST10301	7217	2	66	10	24.000000	8	19	20.000000	2013-05-08
ST10301	7217	3	66	7	40.000000	8	27	20.000000	2013-05-08
ST10301	7217	4	66	4	36.000000	8	20	0.000000	2013-05-08
ST10302	7309	1	60	45	40.000000	2	51	40.000000	2013-05-08
ST10302	7309	2	60	48	20.000000	2	51	40.000000	2013-05-08
ST10302	7309	3	60	48	20.000000	2	55	20.000000	2013-05-08
ST10302	7309	4	60	45	40.000000	2	55	20.000000	2013-05-08
ST10303	7195	1	71	7	20.000000	19	41	0.000000	2013-05-08
ST10303	7195	2	71	7	20.000000	20	3	0.000000	2013-05-08
ST10303	7195	3	70	59	23.000000	20	3	0.000000	2013-05-08
ST10303	7195	4	70	59	23.000000	19	41	0.000000	2013-05-08
ST10304	7204	1	58	31	26.000000	1	37	15.000000	2013-05-08
ST10304	7204	2	58	36	44.000000	1	37	15.000000	2013-05-08
ST10304	7204	3	58	36	44.000000	1	47	11.000000	2013-05-08
ST10304	7204	4	58	31	26.000000	1	47	11.000000	2013-05-08
ST10305	7236	1	60	15	25.000000	2	35	0.000000	2013-05-08
ST10305	7236	2	60	20	10.000000	2	35	0.000000	2013-05-08
ST10305	7236	3	60	20	10.000000	2	49	0.000000	2013-05-08
ST10305	7236	4	60	15	25.000000	2	49	0.000000	2013-05-08
ST10306	7319	1	64	16	30.000000	7	26	0.000000	2013-05-08
ST10306	7319	2	64	25	0.000000	7	26	0.000000	2013-05-08
ST10306	7319	3	64	25	0.000000	7	41	0.000000	2013-05-08
ST10306	7319	4	64	16	30.000000	7	41	0.000000	2013-05-08
ST10307	7243	1	61	46	13.000000	3	28	52.000000	2013-05-08
ST10307	7243	2	61	51	47.000000	3	28	52.000000	2013-05-08
ST10307	7243	3	61	51	47.000000	3	41	32.000000	2013-05-08
ST10307	7243	4	61	46	13.000000	3	41	32.000000	2013-05-08
ST10308	7308	1	58	20	0.000000	1	27	0.000000	2013-05-08
ST10308	7308	2	58	28	0.000000	1	27	0.000000	2013-05-08
ST10308	7308	3	58	28	0.000000	1	41	0.000000	2013-05-08
ST10308	7308	4	58	20	0.000000	1	41	0.000000	2013-05-08
ST10309	7222	1	56	39	45.000000	3	3	0.000000	2013-05-08
ST10309	7222	2	56	45	0.000000	3	3	0.000000	2013-05-08
ST10309	7222	3	56	45	0.000000	3	14	0.000000	2013-05-08
ST10309	7222	4	56	39	45.000000	3	14	0.000000	2013-05-08
ST10310	7330	1	61	4	0.000000	1	56	0.000000	2013-05-08
ST10310	7330	2	61	12	0.000000	1	56	0.000000	2013-05-08
ST10310	7330	3	61	12	0.000000	2	6	0.000000	2013-05-08
ST10310	7330	4	61	4	0.000000	2	6	0.000000	2013-05-08
ST10312	7256	1	66	11	12.000000	9	58	38.000000	2013-05-08
ST10312	7256	2	66	15	20.000000	9	54	44.000000	2013-05-08
ST10312	7256	3	66	17	0.000000	10	5	12.000000	2013-05-08
ST10312	7256	4	66	19	8.000000	10	19	0.000000	2013-05-08
ST10312	7256	5	66	17	56.000000	10	21	30.000000	2013-05-08
ST10312	7256	6	66	12	50.000000	10	9	20.000000	2013-05-08
ST10314	7287	1	58	30	12.000000	1	34	2.000000	2013-05-08
ST10314	7287	2	58	41	53.000000	1	33	38.000000	2013-05-08
ST10314	7287	3	58	41	53.000000	1	43	38.000000	2013-05-08
ST10314	7287	4	58	40	3.000000	1	43	45.000000	2013-05-08
ST10314	7287	5	58	40	3.000000	1	50	57.000000	2013-05-08
ST10314	7287	6	58	37	26.000000	1	51	3.000000	2013-05-08
ST10314	7287	7	58	35	17.000000	1	54	40.000000	2013-05-08
ST10314	7287	8	58	30	18.000000	1	43	49.000000	2013-05-08
ST10315	7266	1	58	20	40.000000	2	20	0.000000	2013-05-08
ST10315	7266	2	58	25	8.000000	2	26	55.000000	2013-05-08
ST10315	7266	3	58	18	8.000000	2	41	44.000000	2013-05-08
ST10315	7266	4	58	13	38.000000	2	35	15.000000	2013-05-08
ST10316	7218	1	66	5	24.000000	8	9	19.000000	2013-05-08
ST10316	7218	2	66	10	15.000000	8	19	49.000000	2013-05-08
ST10316	7218	3	66	7	19.000000	8	28	7.000000	2013-05-08
ST10316	7218	4	66	2	26.000000	8	18	2.000000	2013-05-08
ST10317	7221	1	66	11	53.000000	8	13	40.000000	2013-05-08
ST10317	7221	2	66	16	34.000000	8	13	40.000000	2013-05-08
ST10317	7221	3	66	16	34.000000	8	26	0.000000	2013-05-08
ST10317	7221	4	66	11	53.000000	8	26	0.000000	2013-05-08
ST10318	7275	1	59	6	30.000000	2	19	57.000000	2013-05-08
ST10318	7275	2	59	10	6.000000	2	20	40.000000	2013-05-08
ST10318	7275	3	59	9	52.000000	2	26	22.000000	2013-05-08
ST10318	7275	4	59	6	17.000000	2	25	41.000000	2013-05-08
ST10319	7270	1	61	55	45.000000	3	7	3.000000	2013-05-08
ST10319	7270	2	62	8	45.000000	3	7	3.000000	2013-05-08
ST10319	7270	3	62	8	45.000000	3	31	45.000000	2013-05-08
ST10319	7270	4	61	55	45.000000	3	31	45.000000	2013-05-08
ST10320	7334	1	66	52	0.000000	6	29	0.000000	2013-05-08
ST10320	7334	2	67	2	0.000000	6	29	0.000000	2013-05-08
ST10320	7334	3	67	2	0.000000	6	52	0.000000	2013-05-08
ST10320	7334	4	66	52	0.000000	6	52	0.000000	2013-05-08
ST10321	7331	1	61	3	0.000000	2	11	30.000000	2013-05-08
ST10321	7331	2	61	9	20.000000	2	11	30.000000	2013-05-08
ST10321	7331	3	61	9	20.000000	2	20	30.000000	2013-05-08
ST10321	7331	4	61	3	0.000000	2	20	30.000000	2013-05-08
ST10322	7339	1	66	4	37.000000	8	14	0.000000	2013-05-08
ST10322	7339	2	66	8	37.000000	8	5	0.000000	2013-05-08
ST10322	7339	3	66	12	37.000000	8	14	0.000000	2013-05-08
ST10322	7339	4	66	8	37.000000	8	23	0.000000	2013-05-08
ST10323	7344	1	64	40	39.000000	7	32	37.000000	2013-05-08
ST10323	7344	2	64	49	48.000000	7	32	8.000000	2013-05-08
ST10323	7344	3	64	49	58.000000	7	51	5.000000	2013-05-08
ST10323	7344	4	64	40	49.000000	7	51	29.000000	2013-05-08
ST10324	7355	1	58	45	47.000000	2	27	21.000000	2013-05-08
ST10324	7355	2	58	48	25.000000	2	27	21.000000	2013-05-08
ST10324	7355	3	58	48	25.000000	2	18	36.000000	2013-05-08
ST10324	7355	4	58	49	15.000000	2	18	36.000000	2013-05-08
ST10324	7355	5	58	49	15.000000	2	27	21.000000	2013-05-08
ST10324	7355	6	58	54	5.000000	2	27	21.000000	2013-05-08
ST10324	7355	7	58	54	5.000000	2	38	0.000000	2013-05-08
ST10324	7355	8	58	50	1.000000	2	38	0.000000	2013-05-08
ST10324	7355	9	58	50	1.000000	2	40	28.000000	2013-05-08
ST10324	7355	10	58	49	7.000000	2	40	28.000000	2013-05-08
ST10324	7355	11	58	49	7.000000	2	38	0.000000	2013-05-08
ST10324	7355	12	58	45	47.000000	2	38	0.000000	2013-05-08
ST10325	7356	1	58	50	19.000000	2	20	1.000000	2013-05-08
ST10325	7356	2	58	57	42.000000	2	20	1.000000	2013-05-08
ST10325	7356	3	58	57	42.000000	2	32	0.000000	2013-05-08
ST10325	7356	4	58	50	19.000000	2	32	0.000000	2013-05-08
ST10326	7362	1	58	46	50.000000	2	28	0.000000	2013-05-08
ST10326	7362	2	58	53	21.000000	2	28	0.000000	2013-05-08
ST10326	7362	3	58	53	21.000000	2	37	0.000000	2013-05-08
ST10326	7362	4	58	46	50.000000	2	37	0.000000	2013-05-08
ST10327	7363	1	58	52	59.000000	2	22	42.000000	2013-05-08
ST10327	7363	2	58	56	25.000000	2	22	42.000000	2013-05-08
ST10327	7363	3	58	56	25.000000	2	28	18.000000	2013-05-08
ST10327	7363	4	58	52	59.000000	2	28	18.000000	2013-05-08
ST10328	7364	1	65	54	0.000000	7	28	30.000000	2013-05-08
ST10328	7364	2	66	0	38.000000	7	28	30.000000	2013-05-08
ST10328	7364	3	66	0	38.000000	7	39	55.000000	2013-05-08
ST10328	7364	4	65	54	0.000000	7	39	55.000000	2013-05-08
ST10329	7368	1	60	30	30.000000	2	39	0.000000	2013-05-08
ST10329	7368	2	60	37	30.000000	2	39	0.000000	2013-05-08
ST10329	7368	3	60	37	30.000000	2	50	0.000000	2013-05-08
ST10329	7368	4	60	30	30.000000	2	50	0.000000	2013-05-08
ST10330	7367	1	61	14	40.000000	2	6	0.000000	2013-05-08
ST10330	7367	2	61	22	0.000000	2	6	0.000000	2013-05-08
ST10330	7367	3	61	22	0.000000	2	18	0.000000	2013-05-08
ST10330	7367	4	61	14	40.000000	2	18	0.000000	2013-05-08
ST10331	7369	1	61	15	42.000000	2	5	5.000000	2013-05-08
ST10331	7369	2	61	23	0.000000	2	5	5.000000	2013-05-08
ST10331	7369	3	61	23	0.000000	2	17	5.000000	2013-05-08
ST10331	7369	4	61	15	42.000000	2	17	5.000000	2013-05-08
ST10451	7192	1	61	5	43.000000	2	11	20.000000	2013-05-08
ST10451	7192	2	61	5	55.000000	2	11	20.000000	2013-05-08
ST10451	7192	3	61	5	55.000000	2	11	40.000000	2013-05-08
ST10451	7192	4	61	5	43.000000	2	11	40.000000	2013-05-08
ST10453	7245	1	61	4	11.000000	2	11	24.000000	2013-05-08
ST10453	7245	2	61	4	19.000000	2	11	24.000000	2013-05-08
ST10453	7245	3	61	4	19.000000	2	11	38.000000	2013-05-08
ST10453	7245	4	61	4	11.000000	2	11	38.000000	2013-05-08
ST10454	7314	1	64	17	49.000000	7	12	8.000000	2013-05-08
ST10454	7314	2	64	22	38.000000	7	33	35.000000	2013-05-08
ST10454	7314	3	64	22	45.000000	7	46	38.000000	2013-05-08
ST10454	7314	4	64	20	35.000000	7	46	44.000000	2013-05-08
ST10454	7314	5	64	18	51.000000	7	33	46.000000	2013-05-08
ST10454	7314	6	64	16	28.000000	7	12	13.000000	2013-05-08
ST10456	7312	1	58	32	30.000000	1	37	30.000000	2013-05-08
ST10456	7312	2	58	40	40.000000	1	37	15.000000	2013-05-08
ST10456	7312	3	58	40	40.000000	1	47	30.000000	2013-05-08
ST10456	7312	4	58	32	30.000000	1	42	40.000000	2013-05-08
ST10457	7286	1	65	6	0.000000	7	12	0.000000	2013-05-08
ST10457	7286	2	65	6	0.000000	7	44	0.000000	2013-05-08
ST10457	7286	3	64	57	0.000000	7	44	0.000000	2013-05-08
ST10457	7286	4	64	57	0.000000	7	12	0.000000	2013-05-08
ST10458	7288	1	61	27	23.000000	2	7	37.000000	2013-05-08
ST10458	7288	2	61	27	23.500000	2	9	39.000000	2013-05-08
ST10458	7288	3	61	23	30.500000	2	9	47.000000	2013-05-08
ST10458	7288	4	61	18	55.000000	2	5	8.500000	2013-05-08
ST10458	7288	5	61	18	55.500000	2	2	32.000000	2013-05-08
ST10459	7315	1	65	59	44.000000	7	56	33.000000	2013-05-08
ST10459	7315	2	66	15	59.000000	8	16	35.000000	2013-05-08
ST10459	7315	3	66	16	3.000000	8	31	57.000000	2013-05-08
ST10459	7315	4	66	7	56.000000	8	18	48.000000	2013-05-08
ST10459	7315	5	66	5	14.000000	8	18	53.000000	2013-05-08
ST10459	7315	6	65	59	48.000000	8	8	27.000000	2013-05-08
ST10461	7335	1	59	9	54.000000	2	28	50.000000	2013-05-08
ST10461	7335	2	59	9	54.000000	2	29	28.000000	2013-05-08
ST10461	7335	3	59	9	38.000000	2	29	28.000000	2013-05-08
ST10461	7335	4	59	8	4.000000	2	25	56.000000	2013-05-08
ST10461	7335	5	59	8	16.000000	2	23	56.000000	2013-05-08
ST10461	7335	6	59	8	29.000000	2	23	56.000000	2013-05-08
ST10461	7335	7	59	8	59.000000	2	24	52.000000	2013-05-08
ST10461	7335	8	59	9	38.000000	2	28	44.000000	2013-05-08
ST10462	7336	1	60	23	30.000000	2	47	9.000000	2013-05-08
ST10462	7336	2	60	23	30.000000	2	48	34.000000	2013-05-08
ST10462	7336	3	60	17	59.000000	2	44	42.000000	2013-05-08
ST10462	7336	4	60	15	44.000000	2	46	53.000000	2013-05-08
ST10462	7336	5	60	17	4.000000	2	39	10.000000	2013-05-08
ST10462	7336	6	60	18	9.000000	2	39	9.000000	2013-05-08
ST10467	7359	1	61	3	56.710000	2	7	17.240000	2013-05-08
ST10467	7359	2	61	4	12.870000	2	7	16.790000	2013-05-08
ST10467	7359	3	61	4	12.650000	2	6	43.440000	2013-05-08
ST10467	7359	4	61	3	56.490000	2	6	43.890000	2013-05-08
ST11001	7382	1	65	19	49.000000	6	57	29.000000	2013-05-08
ST11001	7382	2	65	29	50.000000	7	9	4.000000	2013-05-08
ST11001	7382	3	65	24	0.000000	7	43	35.000000	2013-05-08
ST11001	7382	4	65	12	50.000000	7	33	27.000000	2013-05-08
ST11001	7382	5	65	16	16.000000	7	12	31.000000	2013-05-08
ST11001	7382	6	65	19	49.000000	6	57	29.000000	2013-05-08
ST11002	7425	1	60	37	34.000000	3	24	54.000000	2013-05-08
ST11002	7425	2	60	29	3.000000	3	19	40.000000	2013-05-08
ST11002	7425	3	60	33	50.000000	2	46	56.000000	2013-05-08
ST11002	7425	4	60	42	23.000000	2	52	2.000000	2013-05-08
ST11005	7415	1	60	57	45.400000	1	38	31.300000	2013-05-08
ST11005	7415	2	61	18	14.600000	1	50	43.500000	2013-05-08
ST11005	7415	3	61	18	13.600000	2	35	5.200000	2013-05-08
ST11005	7415	4	60	57	44.800000	2	34	56.900000	2013-05-08
ST11005	7415	5	60	57	45.400000	1	38	31.300000	2013-05-08
ST11006	7488	0	61	14	25.000000	2	0	24.000000	2013-05-08
ST11006	7488	1	61	14	25.000000	2	23	53.000000	2013-05-08
ST11006	7488	2	61	9	44.000000	2	23	52.000000	2013-05-08
ST11006	7488	3	61	9	44.000000	2	0	25.000000	2013-05-08
ST11006	7488	4	61	14	25.000000	2	0	24.000000	2013-05-08
ST11007 Grane 4D	7466	1	58	59	42.000000	2	26	2.000000	2013-05-08
ST11007 Grane 4D	7466	2	59	2	13.000000	2	15	50.000000	2013-05-08
ST11007 Grane 4D	7466	3	59	20	42.000000	2	32	25.000000	2013-05-08
ST11007 Grane 4D	7466	4	59	18	16.000000	2	42	58.000000	2013-05-08
ST11008 SN	7427	1	61	25	32.000000	1	35	52.000000	2013-05-08
ST11008 SN	7427	2	61	31	23.000000	1	39	9.000000	2013-05-08
ST11008 SN	7427	3	61	33	45.000000	1	48	10.000000	2013-05-08
ST11008 SN	7427	4	61	30	0.000000	2	14	57.000000	2013-05-08
ST11008 SN	7427	5	61	26	11.000000	2	15	39.000000	2013-05-08
ST11008 SN	7427	6	61	21	11.000000	2	7	0.000000	2013-05-08
ST11008 SN	7427	7	61	25	32.000000	1	35	52.000000	2013-05-08
ST11009	7410	1	62	43	15.000000	3	16	52.000000	2013-05-08
ST11009	7410	2	62	9	5.000000	3	16	28.000000	2013-05-08
ST11009	7410	3	62	9	6.000000	2	39	14.000000	2013-05-08
ST11009	7410	4	62	43	15.000000	2	38	56.000000	2013-05-08
ST11011	7423	1	66	1	44.000000	8	7	17.000000	2013-05-08
ST11011	7423	2	66	6	26.000000	7	53	56.000000	2013-05-08
ST11011	7423	3	66	20	42.000000	8	24	45.000000	2013-05-08
ST11011	7423	4	66	15	59.000000	8	38	5.000000	2013-05-08
ST11012-Lupin West	7467	1	58	12	39.000000	2	17	59.000000	2013-05-08
ST11012-Lupin West	7467	2	58	26	26.000000	2	7	40.000000	2013-05-08
ST11012-Lupin West	7467	3	58	52	10.000000	3	0	3.000000	2013-05-08
ST11012-Lupin West	7467	4	58	41	44.000000	3	17	15.000000	2013-05-08
ST11015	7472	1	60	28	23.000000	2	32	27.000000	2013-05-08
ST11015	7472	2	60	43	28.000000	2	32	14.000000	2013-05-08
ST11015	7472	3	60	43	30.000000	3	3	1.000000	2013-05-08
ST11015	7472	4	60	28	25.000000	3	3	0.000000	2013-05-08
ST11016	7515	1	71	24	41.000000	20	52	54.000000	2013-05-08
ST11016	7515	2	71	24	41.000000	21	11	33.000000	2013-05-08
ST11016	7515	3	71	48	58.000000	21	11	45.000000	2013-05-08
ST11016	7515	4	71	48	58.000000	20	52	46.000000	2013-05-08
ST11301	7372	1	61	14	40.000000	2	6	0.000000	2013-05-08
ST11301	7372	2	61	22	0.000000	2	6	0.000000	2013-05-08
ST11301	7372	3	61	22	0.000000	2	18	0.000000	2013-05-08
ST11301	7372	4	61	14	40.000000	2	18	0.000000	2013-05-08
ST11302	7374	1	61	19	21.000000	2	0	48.000000	2013-05-08
ST11302	7374	2	61	27	21.000000	2	0	48.000000	2013-05-08
ST11302	7374	3	61	27	21.000000	2	15	28.000000	2013-05-08
ST11302	7374	4	61	19	21.000000	2	15	28.000000	2013-05-08
ST11303	7474	1	59	12	21.600000	2	24	6.490000	2013-05-08
ST11303	7474	2	59	18	53.210000	2	30	8.620000	2013-05-08
ST11303	7474	3	59	15	24.170000	2	44	18.560000	2013-05-08
ST11303	7474	4	59	8	52.150000	2	38	15.440000	2013-05-08
ST11304	7401	1	72	28	48.000000	20	11	12.000000	2013-05-08
ST11304	7401	2	72	33	51.000000	20	13	48.000000	2013-05-08
ST11304	7401	3	72	33	6.000000	20	29	44.000000	2013-05-08
ST11304	7401	4	72	28	3.000000	20	27	4.000000	2013-05-08
ST11305	7403	1	72	25	23.000000	19	59	38.000000	2013-05-08
ST11305	7403	2	72	30	58.000000	20	2	26.000000	2013-05-08
ST11305	7403	3	72	30	6.000000	20	21	0.000000	2013-05-08
ST11305	7403	4	72	24	31.000000	20	18	5.000000	2013-05-08
ST11306	7397	1	61	23	0.000000	2	30	0.000000	2013-05-08
ST11306	7397	2	61	29	16.000000	2	30	0.000000	2013-05-08
ST11306	7397	3	61	29	16.000000	2	39	59.000000	2013-05-08
ST11306	7397	4	61	23	0.000000	2	39	59.000000	2013-05-08
ST11307	7399	1	71	27	48.030000	25	5	28.490000	2013-05-08
ST11307	7399	2	71	32	50.000000	25	1	17.000000	2013-05-08
ST11307	7399	3	71	34	35.000000	25	19	10.000000	2013-05-08
ST11307	7399	4	71	29	10.000000	25	24	20.000000	2013-05-08
ST11308	7489	1	59	37	5.200000	2	8	4.610000	2013-05-08
ST11308	7489	2	59	43	46.800000	2	12	9.430000	2013-05-08
ST11308	7489	3	59	41	42.100000	2	25	23.750000	2013-05-08
ST11308	7489	4	59	35	0.940000	2	21	16.550000	2013-05-08
ST11311	7518	1	61	3	5.870000	3	27	15.010000	2013-05-08
ST11311	7518	2	61	10	22.640000	3	23	10.900000	2013-05-08
ST11311	7518	3	61	12	20.140000	3	38	16.120000	2013-05-08
ST11311	7518	4	61	5	2.920000	3	42	17.010000	2013-05-08
ST11312	7462	1	59	7	1.770000	2	17	8.280000	2013-05-08
ST11312	7462	2	59	12	22.920000	2	22	5.540000	2013-05-08
ST11312	7462	3	59	9	49.650000	2	32	30.780000	2013-05-08
ST11312	7462	4	59	4	28.900000	2	27	32.260000	2013-05-08
ST11313	7536	1	58	47	15.790000	2	22	38.090000	2013-05-08
ST11313	7536	2	58	56	34.030000	2	22	28.040000	2013-05-08
ST11313	7536	3	58	56	37.050000	2	34	58.670000	2013-05-08
ST11313	7536	4	58	47	18.800000	2	35	5.370000	2013-05-08
ST11314	7533	1	67	0	0.000000	6	48	0.000000	2013-05-08
ST11314	7533	2	67	16	0.000000	6	48	0.000000	2013-05-08
ST11314	7533	3	67	16	0.000000	7	9	0.000000	2013-05-08
ST11314	7533	4	67	0	0.000000	7	9	0.000000	2013-05-08
ST11453	7386	1	58	17	25.000000	2	30	40.000000	2013-05-08
ST11453	7386	2	58	19	50.000000	2	34	35.000000	2013-05-08
ST11453	7386	3	58	17	50.000000	2	39	10.000000	2013-05-08
ST11453	7386	4	58	15	25.000000	2	35	20.000000	2013-05-08
ST11455 Eirin	7501	1	58	39	50.000000	1	36	25.000000	2013-05-08
ST11455 Eirin	7501	2	58	39	50.000000	1	40	34.000000	2013-05-08
ST11455 Eirin	7501	3	58	37	40.000000	1	40	40.000000	2013-05-08
ST11455 Eirin	7501	4	58	37	40.000000	1	36	30.000000	2013-05-08
ST11456 Dagny	7499	1	58	35	30.000000	1	39	30.000000	2013-05-08
ST11456 Dagny	7499	2	58	35	30.000000	1	44	2.000000	2013-05-08
ST11456 Dagny	7499	3	58	33	10.000000	1	44	7.000000	2013-05-08
ST11456 Dagny	7499	4	58	33	7.000000	1	39	30.000000	2013-05-08
ST11459	7452	1	61	26	55.000000	2	34	7.000000	2013-05-08
ST11459	7452	2	61	26	23.000000	2	37	30.000000	2013-05-08
ST11459	7452	3	61	21	31.000000	2	29	42.000000	2013-05-08
ST11459	7452	4	61	22	34.000000	2	26	19.000000	2013-05-08
ST11460 - Fulla SI	7526	1	60	0	57.000000	2	20	38.000000	2013-05-08
ST11460 - Fulla SI	7526	2	59	59	7.000000	2	20	38.000000	2013-05-08
ST11460 - Fulla SI	7526	3	59	59	7.000000	2	24	21.000000	2013-05-08
ST11460 - Fulla SI	7526	4	60	0	57.000000	2	24	21.000000	2013-05-08
ST11462 NSGI	7531	1	62	53	2.000000	6	58	17.000000	2013-05-08
ST11462 NSGI	7531	2	62	50	25.000000	6	57	53.000000	2013-05-08
ST11462 NSGI	7531	3	62	54	6.000000	6	44	56.000000	2013-05-08
ST11462 NSGI	7531	4	63	0	39.000000	6	44	56.000000	2013-05-08
ST11462 NSGI	7531	5	63	8	55.000000	6	59	1.000000	2013-05-08
ST11462 NSGI	7531	6	64	16	31.000000	7	15	53.000000	2013-05-08
ST11462 NSGI	7531	7	65	14	6.000000	7	10	9.000000	2013-05-08
ST11462 NSGI	7531	8	66	27	30.000000	7	12	36.000000	2013-05-08
ST11462 NSGI	7531	9	66	59	52.000000	7	9	32.000000	2013-05-08
ST11462 NSGI	7531	10	67	3	55.000000	7	5	51.000000	2013-05-08
ST11462 NSGI	7531	11	67	2	23.000000	7	10	42.000000	2013-05-08
ST11462 NSGI	7531	12	66	26	53.000000	7	13	57.000000	2013-05-08
ST11462 NSGI	7531	13	65	14	15.000000	7	11	38.000000	2013-05-08
ST11462 NSGI	7531	14	64	16	26.000000	7	17	2.000000	2013-05-08
ST11462 NSGI	7531	15	63	8	21.000000	7	0	35.000000	2013-05-08
ST11462 NSGI	7531	16	62	59	44.000000	6	46	54.000000	2013-05-08
ST11462 NSGI	7531	17	62	55	31.000000	6	46	54.000000	2013-05-08
ST11463	7449	1	56	42	44.000000	3	6	51.000000	2013-05-08
ST11463	7449	2	56	42	44.000000	3	10	17.000000	2013-05-08
ST11463	7449	3	56	41	7.000000	3	10	17.000000	2013-05-08
ST11463	7449	4	56	41	7.000000	3	6	51.000000	2013-05-08
ST11464	7534	1	60	30	16.800000	4	30	42.000000	2013-05-08
ST11464	7534	2	60	29	55.000000	4	30	37.800000	2013-05-08
ST11464	7534	3	60	29	6.900000	4	42	37.500000	2013-05-08
ST11464	7534	4	60	29	53.900000	4	42	47.200000	2013-05-08
ST11464 TPC34	7458	1	60	40	42.300000	3	42	27.650000	2013-05-08
ST11464 TPC34	7458	2	60	34	33.030000	3	42	18.550000	2013-05-08
ST11464 TPC34	7458	3	60	30	49.000000	4	11	11.970000	2013-05-08
ST11464 TPC34	7458	4	60	29	14.220000	4	36	23.690000	2013-05-08
ST11464 TPC34	7458	5	60	29	1.440000	4	52	42.580000	2013-05-08
ST11464 TPC34	7458	6	60	33	45.450000	4	52	58.940000	2013-05-08
ST11464 TPC34	7458	7	60	34	19.660000	4	28	10.960000	2013-05-08
ST11465 Linnorm	7530	1	64	28	39.000000	6	49	6.000000	2013-05-08
ST11465 Linnorm	7530	2	64	25	37.000000	6	49	20.000000	2013-05-08
ST11465 Linnorm	7530	3	64	25	23.000000	7	8	34.000000	2013-05-08
ST11465 Linnorm	7530	4	64	21	46.000000	7	47	29.000000	2013-05-08
ST11465 Linnorm	7530	5	64	21	14.000000	7	47	31.000000	2013-05-08
ST11465 Linnorm	7530	6	64	25	25.000000	6	48	5.000000	2013-05-08
ST11465 Linnorm	7530	7	64	28	38.000000	6	47	49.000000	2013-05-08
ST11466	7519	1	59	9	15.630000	2	29	34.740000	2013-05-08
ST11466	7519	2	59	9	15.380000	2	28	31.810000	2013-05-08
ST11466	7519	3	59	7	28.040000	2	25	56.230000	2013-05-08
ST11466	7519	4	59	7	27.030000	2	22	16.150000	2013-05-08
ST11466	7519	5	59	9	46.030000	2	22	13.600000	2013-05-08
ST11466	7519	6	59	10	13.820000	2	29	33.880000	2013-05-08
ST11467	7538	1	65	7	35.200000	6	48	57.000000	2013-05-08
ST11467	7538	2	65	1	20.200000	7	27	40.500000	2013-05-08
ST11467	7538	3	65	4	17.800000	7	27	30.200000	2013-05-08
ST11467	7538	4	65	4	19.700000	7	30	41.500000	2013-05-08
ST11467	7538	5	64	58	10.000000	7	39	33.100000	2013-05-08
ST11467	7538	6	64	55	25.600000	7	34	21.500000	2013-05-08
ST11467	7538	7	64	58	56.500000	7	30	29.000000	2013-05-08
ST11467	7538	8	65	2	52.700000	6	58	53.900000	2013-05-08
ST11467	7538	9	65	3	35.200000	6	40	51.500000	2013-05-08
ST11467	7538	10	65	5	2.300000	6	40	43.900000	2013-05-08
ST11468	7554	1	61	8	58.500000	3	30	45.200000	2013-05-08
ST11468	7554	2	61	8	57.400000	3	35	12.700000	2013-05-08
ST11468	7554	3	61	7	4.300000	3	35	10.600000	2013-05-08
ST11468	7554	4	61	4	55.800000	3	31	48.000000	2013-05-08
ST11468	7554	5	61	4	56.200000	3	30	7.900000	2013-05-08
ST11469	7550	1	61	3	46.210000	2	12	59.000000	2013-05-08
ST11469	7550	2	61	3	47.680000	2	17	25.730000	2013-05-08
ST11469	7550	3	61	5	56.940000	2	17	22.840000	2013-05-08
ST11469	7550	4	61	5	56.590000	2	16	16.080000	2013-05-08
ST11469	7550	5	61	5	56.110000	2	14	49.290000	2013-05-08
ST11469	7550	6	61	6	44.950000	2	15	54.920000	2013-05-08
ST11469	7550	7	61	10	45.910000	2	11	41.650000	2013-05-08
ST11469	7550	8	61	10	45.710000	2	11	8.180000	2013-05-08
ST11469	7550	9	61	7	3.170000	2	12	27.400000	2013-05-08
ST11469	7550	10	61	5	48.410000	2	11	15.830000	2013-05-08
ST11469	7550	11	61	5	42.110000	2	11	42.690000	2013-05-08
ST11469	7550	12	61	6	43.820000	2	12	34.560000	2013-05-08
ST11469	7550	13	61	5	55.470000	2	12	55.800000	2013-05-08
ST11469	7550	14	61	3	46.210000	2	12	59.000000	2013-05-08
ST12001	7575	1	60	20	23.000000	2	26	11.000000	2013-05-08
ST12001	7575	2	60	35	17.000000	2	25	56.000000	2013-05-08
ST12001	7575	3	60	43	7.000000	2	29	7.000000	2013-05-08
ST12001	7575	4	60	43	10.000000	3	0	49.000000	2013-05-08
ST12001	7575	5	60	34	39.000000	3	7	37.000000	2013-05-08
ST12001	7575	6	60	24	38.000000	3	7	32.000000	2013-05-08
ST12001	7575	7	60	20	27.000000	3	1	32.000000	2013-05-08
ST12005	7599	1	61	12	47.000000	1	43	26.000000	2013-05-08
ST12005	7599	2	61	27	52.000000	1	45	47.000000	2013-05-08
ST12005	7599	3	61	37	12.000000	1	59	46.000000	2013-05-08
ST12005	7599	4	61	37	11.000000	2	31	17.000000	2013-05-08
ST12005	7599	5	61	28	41.000000	2	31	12.000000	2013-05-08
ST12005	7599	6	61	21	11.000000	2	22	58.000000	2013-05-08
ST12005	7599	7	61	12	50.000000	2	27	21.000000	2013-05-08
ST12005	7599	8	61	12	47.000000	1	43	26.000000	2013-05-08
ST12006	7625	1	61	2	14.000000	2	31	17.000000	2013-05-08
ST12006	7625	2	61	9	41.000000	2	28	32.000000	2013-05-08
ST12006	7625	3	61	11	15.000000	2	46	32.000000	2013-05-08
ST12006	7625	4	61	3	50.000000	2	49	16.000000	2013-05-08
ST12006	7625	5	61	2	14.000000	2	31	17.000000	2013-05-08
ST12011	7637	1	71	29	4.000000	20	3	28.000000	2013-05-08
ST12011	7637	2	71	38	24.000000	20	3	0.000000	2013-05-08
ST12011	7637	3	71	47	59.000000	20	47	56.000000	2013-05-08
ST12011	7637	4	71	47	59.000000	21	16	39.000000	2013-05-08
ST12011	7637	5	71	39	42.000000	21	57	7.000000	2013-05-08
ST12011	7637	6	71	29	4.000000	21	56	35.000000	2013-05-08
ST12012	7623	0	61	15	48.000000	2	0	24.000000	2013-05-08
ST12012	7623	1	61	15	48.000000	2	0	24.000000	2013-05-08
ST12012	7623	2	61	15	48.000000	2	2	38.000000	2013-05-08
ST12012	7623	3	61	15	46.000000	2	29	31.000000	2013-05-08
ST12012	7623	4	61	9	11.000000	2	29	26.000000	2013-05-08
ST12012	7623	5	61	9	12.000000	2	0	26.000000	2013-05-08
ST12018	7766	1	58	15	42.000000	1	53	19.000000	2013-05-08
ST12018	7766	2	58	30	15.000000	1	53	16.000000	2013-05-08
ST12018	7766	3	58	30	15.000000	2	1	29.000000	2013-05-08
ST12018	7766	4	58	15	42.000000	2	1	28.000000	2013-05-08
ST12251	7566	1	62	40	40.000000	2	22	31.000000	2013-05-08
ST12251	7566	2	62	40	42.000000	3	26	57.000000	2013-05-08
ST12251	7566	3	62	11	37.000000	3	26	31.000000	2013-05-08
ST12251	7566	4	62	11	35.000000	2	23	7.000000	2013-05-08
ST12256	7750	1	56	50	35.000000	2	55	47.000000	2013-05-08
ST12256	7750	2	56	46	42.000000	3	23	16.000000	2013-05-08
ST12256	7750	3	56	31	0.000000	3	22	39.000000	2013-05-08
ST12256	7750	4	56	35	30.000000	2	55	33.000000	2013-05-08
ST12257	7751	1	61	39	37.000000	3	4	58.000000	2013-05-08
ST12257	7751	2	61	58	36.000000	3	5	16.000000	2013-05-08
ST12257	7751	3	61	58	30.000000	3	39	7.000000	2013-05-08
ST12257	7751	4	61	39	26.000000	3	38	50.000000	2013-05-08
ST12301	7546	1	58	38	38.000000	2	25	0.000000	2013-05-08
ST12301	7546	2	58	47	32.000000	2	24	51.000000	2013-05-08
ST12301	7546	3	58	47	35.000000	2	40	23.000000	2013-05-08
ST12301	7546	4	58	38	41.000000	2	40	28.000000	2013-05-08
ST12302	7547	1	58	42	46.220000	2	26	2.450000	2013-05-08
ST12302	7547	2	58	50	18.820000	2	25	55.070000	2013-05-08
ST12302	7547	3	58	50	21.840000	2	40	28.180000	2013-05-08
ST12302	7547	4	58	42	49.230000	2	40	32.400000	2013-05-08
ST12303	7551	1	58	46	0.000000	2	22	58.000000	2013-05-08
ST12303	7551	2	58	54	54.000000	2	22	48.000000	2013-05-08
ST12303	7551	3	58	54	57.000000	2	37	36.000000	2013-05-08
ST12303	7551	4	58	46	4.000000	2	37	42.000000	2013-05-08
ST12304	7612	1	58	42	50.000000	2	25	56.000000	2013-05-08
ST12304	7612	2	58	51	6.000000	2	25	48.000000	2013-05-08
ST12304	7612	3	58	51	9.000000	2	40	36.000000	2013-05-08
ST12304	7612	4	58	42	53.000000	2	40	40.000000	2013-05-08
ST12305	7572	1	72	23	51.000000	20	5	57.000000	2013-05-08
ST12305	7572	2	72	33	6.000000	20	10	41.000000	2013-05-08
ST12305	7572	3	72	31	55.000000	20	35	27.000000	2013-05-08
ST12305	7572	4	72	22	41.000000	20	30	32.000000	2013-05-08
ST12307	7668	1	74	1	46.000000	24	0	22.000000	2013-05-08
ST12307	7668	2	73	57	48.000000	24	56	57.000000	2013-05-08
ST12307	7668	3	73	48	19.000000	25	15	21.000000	2013-05-08
ST12307	7668	4	73	41	29.000000	24	16	58.000000	2013-05-08
ST12307	7668	5	73	51	24.000000	24	0	12.000000	2013-05-08
ST12308	7573	1	72	29	16.000000	20	8	56.000000	2013-05-08
ST12308	7573	2	72	37	27.000000	20	13	10.000000	2013-05-08
ST12308	7573	3	72	36	26.000000	20	34	29.000000	2013-05-08
ST12308	7573	4	72	28	16.000000	20	30	6.000000	2013-05-08
ST12309	7574	1	58	42	36.000000	2	31	56.000000	2013-05-08
ST12309	7574	2	58	51	13.000000	2	31	49.000000	2013-05-08
ST12309	7574	3	58	51	13.000000	2	33	54.000000	2013-05-08
ST12309	7574	4	58	42	36.000000	2	34	0.000000	2013-05-08
ST12310	7589	1	58	50	57.960000	2	27	45.850000	2013-05-08
ST12310	7589	2	58	53	7.990000	2	32	40.360000	2013-05-08
ST12310	7589	3	58	48	40.730000	2	39	58.590000	2013-05-08
ST12310	7589	4	58	46	30.980000	2	35	4.260000	2013-05-08
ST12311	7590	1	58	48	7.770000	2	35	54.440000	2013-05-08
ST12311	7590	2	58	50	24.790000	2	39	51.980000	2013-05-08
ST12311	7590	3	58	47	28.030000	2	46	9.980000	2013-05-08
ST12311	7590	4	58	45	11.200000	2	42	12.360000	2013-05-08
ST12312	7613	1	58	44	11.000000	2	24	11.000000	2013-05-08
ST12312	7613	2	58	51	5.000000	2	24	4.000000	2013-05-08
ST12312	7613	3	58	51	8.000000	2	37	54.000000	2013-05-08
ST12312	7613	4	58	44	14.000000	2	37	58.000000	2013-05-08
ST12313	7619	1	72	16	6.000000	19	21	21.000000	2013-05-08
ST12313	7619	2	72	23	33.000000	19	24	49.000000	2013-05-08
ST12313	7619	3	72	22	28.000000	19	49	25.000000	2013-05-08
ST12313	7619	4	72	15	1.000000	19	45	48.000000	2013-05-08
ST12314	7730	1	71	19	1.000000	20	19	0.000000	2013-05-08
ST12314	7730	2	71	26	35.000000	20	35	40.000000	2013-05-08
ST12314	7730	3	71	26	37.000000	20	59	19.000000	2013-05-08
ST12314	7730	4	71	19	5.000000	20	59	19.000000	2013-05-08
ST12315	7643	1	72	13	15.000000	19	19	4.000000	2013-05-08
ST12315	7643	2	72	47	12.000000	19	15	52.000000	2013-05-08
ST12315	7643	3	72	47	39.000000	21	5	59.000000	2013-05-08
ST12315	7643	4	72	13	41.000000	21	5	48.000000	2013-05-08
ST12316	7622	1	72	20	53.000000	19	53	31.000000	2013-05-08
ST12316	7622	2	72	28	20.000000	19	57	13.000000	2013-05-08
ST12316	7622	3	72	27	11.000000	20	21	54.000000	2013-05-08
ST12316	7622	4	72	19	44.000000	20	18	3.000000	2013-05-08
ST12317	7738	1	59	19	40.000000	2	37	30.000000	2013-05-08
ST12317	7738	2	59	29	13.000000	2	37	30.000000	2013-05-08
ST12317	7738	3	59	29	14.000000	2	54	49.000000	2013-05-08
ST12317	7738	4	59	19	41.000000	2	54	50.000000	2013-05-08
ST12318	7683	1	64	56	18.000000	6	40	5.000000	2013-05-08
ST12318	7683	2	65	7	4.000000	6	39	9.000000	2013-05-08
ST12318	7683	3	65	7	26.000000	7	4	42.000000	2013-05-08
ST12318	7683	4	64	56	40.000000	7	5	28.000000	2013-05-08
ST12319	7644	1	72	36	57.000000	21	30	20.000000	2013-05-08
ST12319	7644	2	73	18	21.000000	21	31	33.000000	2013-05-08
ST12319	7644	3	73	17	43.000000	23	10	10.000000	2013-05-08
ST12319	7644	4	72	36	21.000000	23	5	10.000000	2013-05-08
ST12320	7663	1	74	7	47.000000	24	47	43.000000	2013-05-08
ST12320	7663	2	74	14	38.000000	25	18	50.000000	2013-05-08
ST12320	7663	3	74	4	49.000000	25	49	33.000000	2013-05-08
ST12320	7663	4	73	48	25.000000	25	4	16.000000	2013-05-08
ST12321	7664	1	74	3	0.000000	23	41	33.000000	2013-05-08
ST12321	7664	2	74	14	31.000000	24	4	29.000000	2013-05-08
ST12321	7664	3	74	0	56.000000	24	47	7.000000	2013-05-08
ST12321	7664	4	73	47	2.000000	24	21	40.000000	2013-05-08
ST12322	7675	1	65	13	13.000000	6	42	49.000000	2013-05-08
ST12322	7675	2	65	20	13.000000	6	49	26.000000	2013-05-08
ST12322	7675	3	65	17	26.000000	7	6	11.000000	2013-05-08
ST12322	7675	4	65	10	26.000000	6	59	29.000000	2013-05-08
ST12323	7674	1	72	26	19.340000	20	23	48.640000	2013-05-08
ST12323	7674	2	72	27	45.370000	20	3	22.900000	2013-05-08
ST12323	7674	3	72	28	16.830000	20	3	46.860000	2013-05-08
ST12323	7674	4	72	26	50.750000	20	24	13.160000	2013-05-08
ST12324	7677	1	72	30	2.000000	20	15	53.000000	2013-05-08
ST12324	7677	2	72	52	50.000000	20	25	53.000000	2013-05-08
ST12324	7677	3	72	50	58.000000	20	49	33.000000	2013-05-08
ST12324	7677	4	72	30	1.000000	20	26	8.000000	2013-05-08
ST12325	7673	1	72	32	11.000000	19	59	47.000000	2013-05-08
ST12325	7673	2	72	39	37.000000	20	3	34.000000	2013-05-08
ST12325	7673	3	72	38	28.000000	20	28	30.000000	2013-05-08
ST12325	7673	4	72	31	1.000000	20	24	33.000000	2013-05-08
ST12326	7681	1	64	19	14.000000	7	14	13.000000	2013-05-08
ST12326	7681	2	64	27	1.000000	7	22	47.000000	2013-05-08
ST12326	7681	3	64	23	10.000000	7	41	18.000000	2013-05-08
ST12326	7681	4	64	15	24.000000	7	32	40.000000	2013-05-08
ST12328	7694	1	60	20	13.000000	2	32	37.000000	2013-05-08
ST12328	7694	2	60	31	10.000000	2	32	28.000000	2013-05-08
ST12328	7694	3	60	31	12.000000	2	49	19.000000	2013-05-08
ST12328	7694	4	60	20	15.000000	2	49	23.000000	2013-05-08
ST12329	7696	1	74	0	34.000000	24	57	30.000000	2013-05-08
ST12329	7696	2	73	56	46.000000	25	27	52.000000	2013-05-08
ST12329	7696	3	73	49	0.000000	25	14	46.000000	2013-05-08
ST12329	7696	4	73	52	58.000000	24	44	20.000000	2013-05-08
ST12330	7706	1	65	55	6.000000	7	40	26.000000	2013-05-08
ST12330	7706	2	66	0	53.000000	7	52	17.000000	2013-05-08
ST12330	7706	3	65	56	2.000000	8	6	26.000000	2013-05-08
ST12330	7706	4	65	50	16.000000	7	54	34.000000	2013-05-08
ST12331	7707	1	60	16	19.000000	2	40	14.000000	2013-05-08
ST12331	7707	2	60	23	52.000000	2	40	9.000000	2013-05-08
ST12331	7707	3	60	23	53.000000	2	55	24.000000	2013-05-08
ST12331	7707	4	60	16	21.000000	2	55	25.000000	2013-05-08
ST12332	7720	1	61	3	42.000000	2	11	6.000000	2013-05-08
ST12332	7720	2	61	11	15.000000	2	10	54.000000	2013-05-08
ST12332	7720	3	61	11	19.000000	2	26	32.000000	2013-05-08
ST12332	7720	4	61	3	47.000000	2	26	39.000000	2013-05-08
ST12333	7721	1	61	1	41.000000	2	27	8.000000	2013-05-08
ST12333	7721	2	61	9	14.000000	2	27	1.000000	2013-05-08
ST12333	7721	3	61	9	16.000000	2	42	37.000000	2013-05-08
ST12333	7721	4	61	1	44.000000	2	42	41.000000	2013-05-08
ST12334	7737	1	61	2	22.000000	3	10	12.000000	2013-05-08
ST12334	7737	2	61	10	27.000000	3	10	15.000000	2013-05-08
ST12334	7737	3	61	10	25.000000	3	26	59.000000	2013-05-08
ST12334	7737	4	61	2	20.000000	3	26	52.000000	2013-05-08
ST12335	7746	1	61	0	51.000000	3	20	11.000000	2013-05-08
ST12335	7746	2	61	8	39.000000	3	27	46.000000	2013-05-08
ST12335	7746	3	61	4	56.000000	3	43	51.000000	2013-05-08
ST12335	7746	4	60	57	10.000000	3	36	13.000000	2013-05-08
ST12336	7745	1	72	26	19.340000	20	23	48.640000	2013-05-08
ST12336	7745	2	72	27	45.370000	20	3	22.900000	2013-05-08
ST12336	7745	3	72	28	16.830000	20	3	46.860000	2013-05-08
ST12336	7745	4	72	26	50.750000	20	24	13.160000	2013-05-08
ST12337	7739	1	72	23	51.000000	20	5	57.000000	2013-05-08
ST12337	7739	2	72	33	6.000000	20	10	41.000000	2013-05-08
ST12337	7739	3	72	31	55.000000	20	35	27.000000	2013-05-08
ST12337	7739	4	72	22	41.000000	20	30	32.000000	2013-05-08
ST12339	7747	1	61	3	27.000000	3	26	46.000000	2013-05-08
ST12339	7747	2	61	12	12.000000	3	21	12.000000	2013-05-08
ST12339	7747	3	61	14	24.000000	3	36	10.000000	2013-05-08
ST12339	7747	4	61	5	39.000000	3	41	39.000000	2013-05-08
ST12340	7749	1	73	10	30.000000	24	17	0.000000	2013-05-08
ST12340	7749	2	73	38	30.000000	25	47	30.000000	2013-05-08
ST12340	7749	3	73	35	0.000000	26	1	0.000000	2013-05-08
ST12340	7749	4	73	13	0.000000	25	14	0.000000	2013-05-08
ST12451-UHPH	7598	1	59	16	17.000000	5	33	26.000000	2013-05-08
ST12451-UHPH	7598	2	59	14	22.000000	5	35	46.000000	2013-05-08
ST12451-UHPH	7598	3	59	7	12.000000	5	29	17.000000	2013-05-08
ST12451-UHPH	7598	4	59	4	43.000000	5	9	48.000000	2013-05-08
ST12451-UHPH	7598	5	59	3	54.000000	4	44	12.000000	2013-05-08
ST12451-UHPH	7598	6	58	50	37.000000	2	32	8.000000	2013-05-08
ST12451-UHPH	7598	7	58	54	46.000000	2	12	1.000000	2013-05-08
ST12451-UHPH	7598	8	58	50	1.000000	2	14	10.000000	2013-05-08
ST12451-UHPH	7598	9	58	34	18.000000	1	41	43.000000	2013-05-08
ST12451-UHPH	7598	10	58	47	25.000000	2	29	35.000000	2013-05-08
ST12451-UHPH	7598	11	59	1	10.000000	4	44	12.000000	2013-05-08
ST12451-UHPH	7598	12	59	3	16.000000	5	10	1.000000	2013-05-08
ST12451-UHPH	7598	13	59	7	12.000000	5	29	17.000000	2013-05-08
ST12453	7680	1	65	2	2.260000	6	52	35.430000	2013-05-08
ST12453	7680	2	65	2	2.260000	6	52	5.910000	2013-05-08
ST12453	7680	3	65	2	48.910000	6	52	5.910000	2013-05-08
ST12453	7680	4	65	2	48.910000	6	52	35.430000	2013-05-08
ST12454-AAH	7655	1	66	5	0.000000	8	30	0.000000	2013-05-08
ST12454-AAH	7655	2	67	0	0.000000	7	10	0.000000	2013-05-08
ST12454-AAH	7655	3	67	10	0.000000	7	10	0.000000	2013-05-08
ST12454-AAH	7655	4	67	10	0.000000	6	50	0.000000	2013-05-08
ST12454-AAH	7655	5	67	0	0.000000	6	50	0.000000	2013-05-08
ST12454-JH	7686	1	58	52	0.000000	2	33	0.000000	2013-05-08
ST12454-JH	7686	2	58	47	20.000000	2	45	50.000000	2013-05-08
ST12454-JH	7686	3	58	47	0.000000	2	31	0.000000	2013-05-08
ST12454-JH	7686	4	58	52	0.000000	2	31	0.000000	2013-05-08
ST12457-ODS2	7725	1	60	23	45.000000	2	38	27.000000	2013-05-08
ST12457-ODS2	7725	2	60	29	54.000000	2	38	23.000000	2013-05-08
ST12457-ODS2	7725	3	60	29	55.000000	2	50	30.000000	2013-05-08
ST12457-ODS2	7725	4	60	23	46.000000	2	50	32.000000	2013-05-08
ST13001	7833	1	61	13	40.000000	1	48	59.000000	2013-05-08
ST13001	7833	2	61	18	50.000000	1	48	56.000000	2013-05-08
ST13001	7833	3	61	18	39.000000	3	1	12.000000	2013-05-08
ST13001	7833	4	60	56	24.000000	3	0	33.000000	2013-05-08
ST13001	7833	5	60	56	35.000000	1	52	26.000000	2013-05-08
ST13001	7833	6	61	13	40.000000	1	48	59.000000	2013-05-08
ST13003	7773	1	60	49	20.000000	3	12	4.000000	2013-05-08
ST13003	7773	2	61	3	31.000000	3	46	10.000000	2013-05-08
ST13003	7773	3	60	55	1.000000	3	55	8.000000	2013-05-08
ST13003	7773	4	60	49	45.000000	3	57	50.000000	2013-05-08
ST13003	7773	5	60	44	0.000000	3	56	25.000000	2013-05-08
ST13003	7773	6	60	34	54.000000	3	34	42.000000	2013-05-08
ST13003	7773	7	60	35	15.000000	3	28	13.000000	2013-05-08
ST13003	7773	8	60	36	50.000000	3	18	19.000000	2013-05-08
ST13003	7773	9	60	41	48.000000	3	11	55.000000	2013-05-08
ST13003	7773	10	60	49	20.000000	3	12	4.000000	2013-05-08
ST13006	7832	1	64	45	43.000000	6	40	14.000000	2013-05-08
ST13006	7832	2	64	51	8.000000	6	39	20.000000	2013-05-08
ST13006	7832	3	64	58	5.000000	6	46	58.000000	2013-05-08
ST13006	7832	4	65	0	59.000000	6	53	7.000000	2013-05-08
ST13006	7832	5	64	54	50.000000	7	22	21.000000	2013-05-08
ST13006	7832	6	64	44	41.000000	7	22	9.000000	2013-05-08
ST13006	7832	7	64	38	59.000000	7	10	45.000000	2013-05-08
ST13006	7832	8	64	45	43.000000	6	40	14.000000	2013-05-08
ST13301	7864	1	58	38	7.000000	2	17	25.000000	2013-05-08
ST13301	7864	2	58	54	24.000000	2	17	5.000000	2013-05-08
ST13301	7864	3	58	54	29.000000	2	34	28.000000	2013-05-08
ST13301	7864	4	58	38	11.000000	2	34	40.000000	2013-05-08
ST13303	7765	1	60	4	17.000000	2	25	41.000000	2013-05-08
ST13303	7765	2	60	11	11.000000	2	31	47.000000	2013-05-08
ST13303	7765	3	60	8	7.000000	2	45	37.000000	2013-05-08
ST13303	7765	4	60	1	14.000000	2	39	28.000000	2013-05-08
ST13304	7803	1	71	35	39.000000	20	52	10.000000	2013-05-08
ST13304	7803	2	71	43	11.000000	20	52	7.000000	2013-05-08
ST13304	7803	3	71	43	11.000000	21	16	7.000000	2013-05-08
ST13304	7803	4	71	35	39.000000	21	16	0.000000	2013-05-08
ST13305	7771	1	56	37	52.000000	2	58	42.000000	2013-05-08
ST13305	7771	2	56	47	34.000000	2	59	18.000000	2013-05-08
ST13305	7771	3	56	47	12.000000	3	16	58.000000	2013-05-08
ST13305	7771	4	56	37	30.000000	3	16	17.000000	2013-05-08
ST13306	7856	1	56	38	0.000000	2	59	29.000000	2013-05-08
ST13306	7856	2	56	45	32.000000	2	59	58.000000	2013-05-08
ST13306	7856	3	56	45	18.000000	3	11	44.000000	2013-05-08
ST13306	7856	4	56	37	46.000000	3	11	13.000000	2013-05-08
ST13307	7863	1	61	1	43.000000	3	21	36.000000	2013-05-08
ST13307	7863	2	61	8	33.000000	3	28	15.000000	2013-05-08
ST13307	7863	3	61	5	18.000000	3	42	19.000000	2013-05-08
ST13307	7863	4	60	58	30.000000	3	35	38.000000	2013-05-08
ST13308	7861	1	64	57	30.000000	6	54	5.000000	2013-05-08
ST13308	7861	2	65	6	7.000000	6	54	5.000000	2013-05-08
ST13308	7861	3	65	6	6.000000	7	14	31.000000	2013-05-08
ST13308	7861	4	64	57	29.000000	7	14	24.000000	2013-05-08
ST13309	7788	1	60	4	3.440000	2	34	12.790000	2013-05-08
ST13309	7788	2	60	11	45.170000	2	38	30.280000	2013-05-08
ST13309	7788	3	60	11	41.700000	2	38	55.290000	2013-05-08
ST13309	7788	4	60	3	59.980000	2	34	37.710000	2013-05-08
ST13311	7859	1	72	4	2.000000	27	9	46.000000	2013-05-08
ST13311	7859	2	72	11	45.000000	26	57	26.000000	2013-05-08
ST13311	7859	3	72	15	32.000000	27	22	45.000000	2013-05-08
ST13311	7859	4	72	7	47.000000	27	34	58.000000	2013-05-08
ST13312	7808	1	58	47	13.000000	2	22	38.000000	2013-05-08
ST13312	7808	2	58	52	36.000000	2	22	32.000000	2013-05-08
ST13312	7808	3	58	52	38.000000	2	30	21.000000	2013-05-08
ST13312	7808	4	58	47	15.000000	2	30	25.000000	2013-05-08
ST13314	7795	1	72	22	21.000000	19	58	30.000000	2013-05-08
ST13314	7795	2	72	38	29.000000	19	57	35.000000	2013-05-08
ST13314	7795	3	72	38	38.000000	20	40	26.000000	2013-05-08
ST13314	7795	4	72	22	29.000000	20	40	43.000000	2013-05-08
ST13315	7798	1	60	5	28.000000	2	34	39.000000	2013-05-08
ST13315	7798	2	60	13	50.000000	2	27	31.000000	2013-05-08
ST13315	7798	3	60	14	15.000000	2	29	31.000000	2013-05-08
ST13315	7798	4	60	5	54.000000	2	36	38.000000	2013-05-08
ST13316	7818	1	58	43	32.000000	2	23	1.000000	2013-05-08
ST13316	7818	2	58	51	4.000000	2	22	53.000000	2013-05-08
ST13316	7818	3	58	51	8.000000	2	36	24.000000	2013-05-08
ST13316	7818	4	58	43	35.000000	2	36	29.000000	2013-05-08
ST13451-MAR	7792	1	59	34	23.000000	2	14	55.000000	2013-05-08
ST13451-MAR	7792	2	59	35	6.000000	2	10	11.000000	2013-05-08
ST13451-MAR	7792	3	59	36	30.000000	2	5	39.000000	2013-05-08
ST13451-MAR	7792	4	59	37	27.000000	2	0	45.000000	2013-05-08
ST13451-MAR	7792	5	59	37	50.000000	1	55	32.000000	2013-05-08
ST13451-MAR	7792	6	59	37	45.000000	1	50	13.000000	2013-05-08
ST13451-MAR	7792	7	59	37	37.000000	1	50	13.000000	2013-05-08
ST13451-MAR	7792	8	59	37	41.000000	1	55	32.000000	2013-05-08
ST13451-MAR	7792	9	59	37	18.000000	2	0	45.000000	2013-05-08
ST13451-MAR	7792	10	59	36	21.000000	2	5	39.000000	2013-05-08
ST13451-MAR	7792	11	59	34	56.000000	2	10	11.000000	2013-05-08
ST13451-MAR	7792	12	59	34	15.000000	2	14	55.000000	2013-05-08
ST13455	7800	1	56	37	52.000000	2	58	42.000000	2013-05-08
ST13455	7800	2	56	47	34.000000	2	59	18.000000	2013-05-08
ST13455	7800	3	56	47	12.000000	3	16	58.000000	2013-05-08
ST13455	7800	4	56	37	30.000000	3	16	17.000000	2013-05-08
ST13455-2	7839	1	56	37	52.000000	2	58	42.000000	2013-05-08
ST13455-2	7839	2	56	47	34.000000	2	59	18.000000	2013-05-08
ST13455-2	7839	3	56	47	12.000000	3	16	58.000000	2013-05-08
ST13455-2	7839	4	56	37	30.000000	3	16	17.000000	2013-05-08
ST13456	7799	1	61	11	7.500000	2	8	53.700000	2013-05-08
ST13456	7799	2	61	10	20.700000	2	13	36.100000	2013-05-08
ST13456	7799	3	61	3	38.200000	2	8	52.400000	2013-05-08
ST13456	7799	4	61	4	8.800000	2	4	25.000000	2013-05-08
ST13459	7806	1	72	29	11.000000	20	31	16.000000	2013-05-08
ST13459	7806	2	72	27	11.000000	20	43	15.000000	2013-05-08
ST13459	7806	3	72	24	32.000000	20	54	42.000000	2013-05-08
ST13459	7806	4	71	13	41.000000	25	2	27.000000	2013-05-08
ST13459	7806	5	71	9	27.000000	25	12	56.000000	2013-05-08
ST13459	7806	6	71	2	8.000000	25	11	31.000000	2013-05-08
ST13459	7806	7	70	58	50.000000	25	25	45.000000	2013-05-08
ST13459	7806	8	70	55	40.000000	25	38	26.000000	2013-05-08
ST13459	7806	9	70	58	21.000000	25	46	36.000000	2013-05-08
ST13459	7806	10	70	56	33.000000	25	52	45.000000	2013-05-08
ST13459	7806	11	70	54	34.000000	25	52	42.000000	2013-05-08
ST13459	7806	12	70	55	13.000000	25	31	52.000000	2013-05-08
ST13459	7806	13	70	59	23.000000	25	20	47.000000	2013-05-08
ST13459	7806	14	70	59	29.000000	25	14	27.000000	2013-05-08
ST13459	7806	15	71	1	48.000000	25	9	10.000000	2013-05-08
ST13459	7806	16	71	13	4.000000	25	1	12.000000	2013-05-08
ST13459	7806	17	72	21	52.000000	21	0	46.000000	2013-05-08
ST13459	7806	18	72	25	27.000000	20	45	48.000000	2013-05-08
ST13459	7806	19	72	28	18.000000	20	32	21.000000	2013-05-08
ST13459	7806	20	71	12	53.000000	23	30	5.000000	2013-05-08
ST13459	7806	21	71	7	51.000000	23	46	51.000000	2013-05-08
ST13459	7806	22	71	3	41.000000	23	49	39.000000	2013-05-08
ST13459	7806	23	70	53	41.000000	23	33	28.000000	2013-05-08
ST13459	7806	24	70	47	5.000000	23	41	55.000000	2013-05-08
ST13459	7806	25	70	40	28.000000	23	33	55.000000	2013-05-08
ST13459	7806	26	70	42	43.000000	23	29	17.000000	2013-05-08
ST13459	7806	27	70	47	8.000000	23	33	42.000000	2013-05-08
ST13459	7806	28	70	53	36.000000	23	26	54.000000	2013-05-08
ST13459	7806	29	71	4	37.000000	23	43	1.000000	2013-05-08
ST13459	7806	30	71	12	2.000000	23	26	29.000000	2013-05-08
ST13459	7806	31	72	27	50.000000	20	31	18.000000	2013-05-08
ST13459	7806	32	72	22	48.000000	20	31	26.000000	2013-05-08
ST13459	7806	33	72	22	41.000000	20	0	56.000000	2013-05-08
ST13459	7806	34	72	37	39.000000	20	0	7.000000	2013-05-08
ST13459	7806	35	72	37	45.000000	20	31	2.000000	2013-05-08
ST13459	7806	36	72	29	11.000000	20	31	16.000000	2013-05-08
ST13460	7807	1	72	29	11.000000	20	31	16.000000	2013-05-08
ST13460	7807	2	72	27	11.000000	20	43	15.000000	2013-05-08
ST13460	7807	3	72	24	32.000000	20	54	42.000000	2013-05-08
ST13460	7807	4	71	13	41.000000	25	2	27.000000	2013-05-08
ST13460	7807	5	71	9	27.000000	25	12	56.000000	2013-05-08
ST13460	7807	6	71	2	8.000000	25	11	31.000000	2013-05-08
ST13460	7807	7	70	58	50.000000	25	25	45.000000	2013-05-08
ST13460	7807	8	70	55	40.000000	25	38	26.000000	2013-05-08
ST13460	7807	9	70	58	21.000000	25	46	36.000000	2013-05-08
ST13460	7807	10	70	56	33.000000	25	52	45.000000	2013-05-08
ST13460	7807	11	70	54	34.000000	25	52	42.000000	2013-05-08
ST13460	7807	12	70	55	13.000000	25	31	52.000000	2013-05-08
ST13460	7807	13	70	59	23.000000	25	20	47.000000	2013-05-08
ST13460	7807	14	70	59	29.000000	25	14	27.000000	2013-05-08
ST13460	7807	15	71	1	48.000000	25	9	10.000000	2013-05-08
ST13460	7807	16	71	13	4.000000	25	1	12.000000	2013-05-08
ST13460	7807	17	72	21	52.000000	21	0	46.000000	2013-05-08
ST13460	7807	18	72	25	27.000000	20	45	48.000000	2013-05-08
ST13460	7807	19	72	28	18.000000	20	32	21.000000	2013-05-08
ST13460	7807	20	71	12	53.000000	23	30	5.000000	2013-05-08
ST13460	7807	21	71	7	51.000000	23	46	51.000000	2013-05-08
ST13460	7807	22	71	3	41.000000	23	49	39.000000	2013-05-08
ST13460	7807	23	70	53	41.000000	23	33	28.000000	2013-05-08
ST13460	7807	24	70	47	5.000000	23	41	55.000000	2013-05-08
ST13460	7807	25	70	40	28.000000	23	33	55.000000	2013-05-08
ST13460	7807	26	70	42	43.000000	23	29	17.000000	2013-05-08
ST13460	7807	27	70	47	8.000000	23	33	42.000000	2013-05-08
ST13460	7807	28	70	53	36.000000	23	26	54.000000	2013-05-08
ST13460	7807	29	71	4	37.000000	23	43	1.000000	2013-05-08
ST13460	7807	30	71	12	2.000000	23	26	29.000000	2013-05-08
ST13460	7807	31	72	27	50.000000	20	31	18.000000	2013-05-08
ST13460	7807	32	72	22	48.000000	20	31	26.000000	2013-05-08
ST13460	7807	33	72	22	41.000000	20	0	56.000000	2013-05-08
ST13460	7807	34	72	37	39.000000	20	0	7.000000	2013-05-08
ST13460	7807	35	72	37	45.000000	20	31	2.000000	2013-05-08
ST13460	7807	36	72	29	11.000000	20	31	16.000000	2013-05-08
ST13461	7805	1	71	40	22.000000	21	1	44.000000	2013-05-08
ST13461	7805	2	71	40	22.000000	21	19	33.000000	2013-05-08
ST13461	7805	3	71	33	27.000000	21	19	33.000000	2013-05-08
ST13461	7805	4	71	33	27.000000	21	1	44.000000	2013-05-08
ST13462	7804	1	71	40	22.000000	21	1	44.000000	2013-05-08
ST13462	7804	2	71	40	22.000000	21	19	33.000000	2013-05-08
ST13462	7804	3	71	33	27.000000	21	19	33.000000	2013-05-08
ST13462	7804	4	71	33	27.000000	21	1	44.000000	2013-05-08
ST13464	7830	1	65	21	23.000000	7	19	32.000000	2013-05-08
ST13464	7830	2	65	21	23.000000	7	23	42.000000	2013-05-08
ST13464	7830	3	65	19	55.000000	7	23	42.000000	2013-05-08
ST13464	7830	4	65	19	55.000000	7	19	30.000000	2013-05-08
ST13465	7835	1	66	30	0.000000	7	0	0.000000	2013-05-08
ST13465	7835	2	66	30	0.000000	7	30	0.000000	2013-05-08
ST13465	7835	3	64	30	0.000000	7	30	0.000000	2013-05-08
ST13465	7835	4	64	30	0.000000	7	0	0.000000	2013-05-08
SU1201	7576	1	67	36	17.710000	5	47	29.050000	2013-05-08
SU1201	7576	2	67	12	54.950000	5	48	53.020000	2013-05-08
SU1201	7576	3	67	13	18.500000	7	32	19.130000	2013-05-08
SU1201	7576	4	67	36	42.800000	7	30	59.230000	2013-05-08
SUN11NO01	7414	1	61	31	0.000000	1	51	0.000000	2013-05-08
SUN11NO01	7414	2	61	42	0.000000	1	51	0.000000	2013-05-08
SUN11NO01	7414	3	61	42	0.000000	2	11	0.000000	2013-05-08
SUN11NO01	7414	4	61	31	0.000000	2	11	0.000000	2013-05-08
SUN13001	7789	1	61	38	28.830000	1	17	14.970000	2013-05-08
SUN13001	7789	2	61	57	55.700000	2	20	50.420000	2013-05-08
SUN13001	7789	3	61	38	18.590000	2	45	52.350000	2013-05-08
SUN13001	7789	4	61	19	20.670000	1	43	52.300000	2013-05-08
SUN13002	7829	1	61	40	15.000000	1	52	53.000000	2013-05-08
SUN13002	7829	2	61	33	36.000000	2	3	1.000000	2013-05-08
SUN13002	7829	3	61	38	50.000000	2	18	18.000000	2013-05-08
SUN13002	7829	4	61	45	31.000000	2	8	11.000000	2013-05-08
SUN13302	7831	1	61	40	15.000000	1	52	53.000000	2013-05-08
SUN13302	7831	2	61	33	36.000000	2	3	1.000000	2013-05-08
SUN13302	7831	3	61	38	50.000000	2	18	18.000000	2013-05-08
SUN13302	7831	4	61	45	31.000000	2	8	11.000000	2013-05-08
SWB	7421	1	73	15	57.710000	15	33	23.590000	2013-05-08
SWB	7421	2	72	44	15.400000	20	44	46.040000	2013-05-08
SWB	7421	3	71	54	58.650000	19	5	8.060000	2013-05-08
SWB	7421	4	72	9	27.320000	17	7	12.310000	2013-05-08
SWB	7421	5	72	33	39.200000	14	58	38.400000	2013-05-08
SWB1102	7548	1	72	43	2.000000	18	31	28.000000	2013-05-08
SWB1102	7548	2	72	31	35.000000	20	5	23.000000	2013-05-08
SWB1102	7548	3	72	18	30.000000	19	47	28.000000	2013-05-08
SWB1102	7548	4	72	30	17.000000	18	15	11.000000	2013-05-08
SWB12	7569	1	72	42	15.560000	21	44	47.810000	2013-05-08
SWB12	7569	2	72	17	25.790000	19	9	47.350000	2013-05-08
SWB12	7569	3	73	41	40.020000	15	38	3.440000	2013-05-08
SWB12	7569	4	74	1	2.720000	17	14	53.560000	2013-05-08
SWB12	7569	5	73	53	25.810000	17	34	45.390000	2013-05-08
SWB12	7569	6	73	54	24.870000	17	39	54.000000	2013-05-08
SWB12	7569	7	73	43	16.950000	18	9	29.760000	2013-05-08
SWB12	7569	8	73	44	3.310000	19	23	20.470000	2013-05-08
SWB12	7569	9	72	42	15.560000	21	44	47.810000	2013-05-08
SWB13	7814	1	74	11	11.280000	21	16	58.280000	2013-05-08
SWB13	7814	2	73	37	17.480000	22	31	50.130000	2013-05-08
SWB13	7814	3	73	26	26.040000	22	54	34.620000	2013-05-08
SWB13	7814	4	72	41	27.250000	18	52	7.720000	2013-05-08
SWB13	7814	5	73	26	5.210000	17	3	50.970000	2013-05-08
SWB13	7814	6	73	37	1.430000	17	57	28.170000	2013-05-08
SWB13	7814	7	73	46	12.080000	18	44	16.790000	2013-05-08
SWB13	7814	8	73	45	27.400000	19	19	53.180000	2013-05-08
SWB13	7814	9	73	48	52.560000	20	3	58.520000	2013-05-08
SWB13	7814	10	73	53	31.800000	20	29	9.780000	2013-05-08
SWB13	7814	11	73	59	36.490000	20	52	40.210000	2013-05-08
SWB13	7814	12	74	11	11.280000	21	16	58.280000	2013-05-08
TE0902	7169	1	57	33	18.860000	4	53	43.230000	2013-05-08
TE0902	7169	2	57	31	18.470000	4	51	11.280000	2013-05-08
TE0902	7169	3	57	34	11.760000	4	42	55.660000	2013-05-08
TE0902	7169	4	57	36	12.970000	4	45	24.130000	2013-05-08
TE1001	7291	1	58	14	18.400000	1	51	36.900000	2013-05-08
TE1001	7291	2	58	13	1.400000	1	54	4.800000	2013-05-08
TE1001	7291	3	58	12	5.500000	1	52	22.200000	2013-05-08
TE1001	7291	4	58	13	22.400000	1	49	50.300000	2013-05-08
TE1002	7263	1	58	5	23.600000	1	48	59.990000	2013-05-08
TE1002	7263	2	58	5	25.110000	1	51	46.020000	2013-05-08
TE1002	7263	3	58	4	7.530000	1	51	48.490000	2013-05-08
TE1002	7263	4	58	4	6.020000	1	49	2.550000	2013-05-08
TE1101	7405	1	58	0	43.370000	2	6	36.380000	2013-05-08
TE1101	7405	2	58	0	44.950000	2	8	52.750000	2013-05-08
TE1101	7405	3	57	59	29.760000	2	8	55.210000	2013-05-08
TE1101	7405	4	57	59	29.760000	2	6	44.110000	2013-05-08
TE1102	7476	1	56	51	31.780000	3	18	10.540000	2013-05-08
TE1102	7476	2	56	51	5.370000	3	19	59.890000	2013-05-08
TE1102	7476	3	56	49	53.970000	3	19	2.030000	2013-05-08
TE1102	7476	4	56	50	20.410000	3	17	13.020000	2013-05-08
TE1103	7479	1	57	44	35.460000	4	20	34.640000	2013-05-08
TE1103	7479	2	57	44	33.500000	4	23	36.000000	2013-05-08
TE1103	7479	3	57	46	10.480000	4	23	39.730000	2013-05-08
TE1103	7479	4	57	46	12.440000	4	20	38.240000	2013-05-08
TE1201	7753	1	56	51	59.040000	3	7	7.310000	2013-05-08
TE1201	7753	2	56	54	40.020000	3	6	39.490000	2013-05-08
TE1201	7753	3	56	54	27.770000	3	2	44.090000	2013-05-08
TE1201	7753	4	56	51	46.810000	3	3	12.190000	2013-05-08
TE1301	7860	1	58	8	0.000000	1	55	0.000000	2013-05-08
TE1301	7860	2	58	7	0.000000	1	55	0.000000	2013-05-08
TE1301	7860	3	58	7	0.000000	2	0	0.000000	2013-05-08
TE1301	7860	4	58	8	0.000000	2	0	0.000000	2013-05-08
TE903	7173	1	58	12	0.090000	1	50	4.720000	2013-05-08
TE903	7173	2	58	14	4.640000	1	50	0.640000	2013-05-08
TE903	7173	3	58	14	7.800000	1	54	36.820000	2013-05-08
TE903	7173	4	58	12	2.520000	1	54	40.630000	2013-05-08
TEPN--12-1	7727	1	64	28	53.000000	6	26	29.000000	2013-05-08
TEPN--12-1	7727	2	64	25	28.000000	6	37	19.000000	2013-05-08
TEPN--12-1	7727	3	64	15	46.000000	6	21	1.000000	2013-05-08
TEPN--12-1	7727	4	64	19	10.000000	6	10	12.000000	2013-05-08
TEPN-12-2	7728	1	72	59	55.000000	26	12	45.000000	2013-05-08
TEPN-12-2	7728	2	72	59	47.000000	25	45	43.000000	2013-05-08
TEPN-12-2	7728	3	72	48	44.000000	25	46	29.000000	2013-05-08
TEPN-12-2	7728	4	72	48	52.000000	26	13	15.000000	2013-05-08
TEPN-12-3	7729	1	66	4	1.000000	7	58	14.000000	2013-05-08
TEPN-12-3	7729	2	66	3	55.000000	7	45	36.000000	2013-05-08
TEPN-12-3	7729	3	65	59	27.000000	7	45	49.000000	2013-05-08
TEPN-12-3	7729	4	65	59	33.000000	7	58	25.000000	2013-05-08
TEPN-12-4	7748	1	56	45	7.000000	2	41	47.000000	2013-05-08
TEPN-12-4	7748	2	56	45	6.000000	2	36	47.000000	2013-05-08
TEPN-12-4	7748	3	56	42	14.000000	2	36	49.000000	2013-05-08
TEPN-12-4	7748	4	56	42	15.000000	2	41	49.000000	2013-05-08
TEPN-12-5	7759	1	61	42	10.000000	2	44	31.000000	2013-05-08
TEPN-12-5	7759	2	61	39	16.000000	2	56	17.000000	2013-05-08
TEPN-12-5	7759	3	61	25	40.000000	2	41	57.000000	2013-05-08
TEPN-12-5	7759	4	61	28	5.000000	2	32	5.000000	2013-05-08
TEPN-13-1	7780	1	59	39	23.000000	2	23	36.000000	2013-05-08
TEPN-13-1	7780	2	59	36	51.000000	2	28	41.000000	2013-05-08
TEPN-13-1	7780	3	59	34	7.000000	2	23	22.000000	2013-05-08
TEPN-13-1	7780	4	59	36	38.000000	2	18	17.000000	2013-05-08
TEPN-13-2	7836	1	64	24	48.000000	6	30	17.000000	2013-05-08
TEPN-13-2	7836	2	64	24	35.000000	6	17	36.000000	2013-05-08
TEPN-13-2	7836	3	64	17	52.000000	6	18	15.000000	2013-05-08
TEPN-13-2	7836	4	64	18	5.000000	6	30	53.000000	2013-05-08
TEPN-13-3	7837	1	61	35	33.000000	2	40	23.000000	2013-05-08
TEPN-13-3	7837	2	61	33	5.000000	2	49	58.000000	2013-05-08
TEPN-13-3	7837	3	61	25	39.000000	2	41	51.000000	2013-05-08
TEPN-13-3	7837	4	61	28	4.000000	2	31	59.000000	2013-05-08
TEPN-13-4	7841	1	66	3	55.000000	7	45	36.000000	2013-05-08
TEPN-13-4	7841	2	66	4	0.000000	7	58	14.000000	2013-05-08
TEPN-13-4	7841	3	65	59	32.000000	7	58	24.000000	2013-05-08
TEPN-13-4	7841	4	65	59	26.000000	7	45	49.000000	2013-05-08
TGS0901	7060	1	73	10	0.000000	24	20	0.000000	2013-05-08
TGS0901	7060	2	73	15	0.000000	24	0	0.000000	2013-05-08
TGS0901	7060	3	73	30	0.000000	23	55	0.000000	2013-05-08
TGS0901	7060	4	74	30	0.000000	25	40	0.000000	2013-05-08
TGS0901	7060	5	74	30	0.000000	26	45	0.000000	2013-05-08
TGS0901	7060	6	73	10	0.000000	24	20	0.000000	2013-05-08
TGS0902	7073	1	61	45	0.000000	1	30	0.000000	2013-05-08
TGS0902	7073	2	61	40	0.000000	1	40	0.000000	2013-05-08
TGS0902	7073	3	61	33	0.000000	1	50	0.000000	2013-05-08
TGS0902	7073	4	61	30	1.000000	1	40	0.000000	2013-05-08
TO-AlveN10	7216	1	66	4	15.000000	7	44	36.000000	2013-05-08
TO-AlveN10	7216	2	66	4	15.000000	7	58	30.000000	2013-05-08
TO-AlveN10	7216	3	65	58	30.000000	7	58	30.000000	2013-05-08
TO-AlveN10	7216	4	65	58	30.000000	7	44	36.000000	2013-05-08
TO-AlveNorth09	7164	1	66	4	15.000000	7	44	36.000000	2013-05-08
TO-AlveNorth09	7164	2	66	4	15.000000	7	58	30.000000	2013-05-08
TO-AlveNorth09	7164	3	65	58	30.000000	7	58	30.000000	2013-05-08
TO-AlveNorth09	7164	4	65	58	30.000000	7	44	36.000000	2013-05-08
TO-David09	7163	1	59	42	10.000000	2	29	8.000000	2013-05-08
TO-David09	7163	2	59	42	10.000000	2	39	15.000000	2013-05-08
TO-David09	7163	3	59	36	54.000000	2	39	15.000000	2013-05-08
TO-David09	7163	4	59	36	54.000000	2	29	8.000000	2013-05-08
TO-EM0901	7097	1	60	1	33.000000	2	0	0.000000	2013-05-08
TO-EM0901	7097	2	60	1	34.000000	2	9	34.000000	2013-05-08
TO-EM0901	7097	3	59	45	0.000000	2	9	35.000000	2013-05-08
TO-EM0901	7097	4	59	45	0.000000	2	0	0.000000	2013-05-08
TO-Hild-1101	7549	1	60	37	52.000000	1	44	46.000000	2013-05-08
TO-Hild-1101	7549	2	60	38	7.000000	2	20	24.000000	2013-05-08
TO-Hild-1101	7549	3	60	21	44.000000	2	20	44.000000	2013-05-08
TO-Hild-1101	7549	4	60	21	29.000000	1	45	24.000000	2013-05-08
TO-Norvarg10	7226	1	72	57	8.000000	25	46	6.000000	2013-05-08
TO-Norvarg10	7226	2	72	57	15.000000	26	0	0.000000	2013-05-08
TO-Norvarg10	7226	3	72	52	32.000000	26	0	0.000000	2013-05-08
TO-Norvarg10	7226	4	72	52	27.000000	25	46	21.000000	2013-05-08
TO1201-ML	7660	1	60	41	11.500000	1	39	39.480000	2013-05-08
TO1201-ML	7660	2	60	45	36.140000	2	8	15.950000	2013-05-08
TO1201-ML	7660	3	60	35	5.350000	2	30	30.830000	2013-05-08
TO1201-ML	7660	4	60	22	5.870000	2	26	16.210000	2013-05-08
TO1201-ML	7660	5	60	11	40.760000	1	45	30.260000	2013-05-08
TO1201-ML	7660	6	60	23	48.240000	1	31	29.120000	2013-05-08
TO1301-ML	7767	1	60	41	11.500000	1	39	39.480000	2013-05-08
TO1301-ML	7767	2	60	45	36.140000	2	8	15.950000	2013-05-08
TO1301-ML	7767	3	60	35	5.350000	2	30	30.830000	2013-05-08
TO1301-ML	7767	4	60	22	5.870000	2	26	16.210000	2013-05-08
TO1301-ML	7767	5	60	11	40.760000	1	45	30.260000	2013-05-08
TO1301-ML	7767	6	60	23	48.240000	1	31	29.120000	2013-05-08
TRIII13	7777	1	71	41	16.000000	16	17	50.000000	2013-05-08
TRIII13	7777	2	72	10	38.000000	17	9	27.000000	2013-05-08
TRIII13	7777	3	72	11	16.000000	17	39	36.000000	2013-05-08
TRIII13	7777	4	71	8	14.000000	18	19	37.000000	2013-05-08
TRIII13	7777	5	70	49	20.000000	19	15	53.000000	2013-05-08
TRIII13	7777	6	70	9	3.000000	17	17	0.000000	2013-05-08
TRIII13	7777	7	70	11	10.000000	15	35	0.000000	2013-05-08
TRIII13	7777	8	70	33	37.000000	15	58	2.000000	2013-05-08
TRIII13	7777	9	70	56	46.000000	16	38	30.000000	2013-05-08
TRO13	7812	1	71	13	18.740000	16	10	51.330000	2013-05-08
TRO13	7812	2	71	10	54.180000	16	45	55.160000	2013-05-08
TRO13	7812	3	70	43	38.040000	16	27	54.610000	2013-05-08
TRO13	7812	4	70	35	52.020000	18	10	41.970000	2013-05-08
TRO13	7812	5	72	25	48.970000	19	39	17.550000	2013-05-08
TRO13	7812	6	72	36	56.340000	17	9	3.150000	2013-05-08
TRO13	7812	7	71	13	18.740000	16	10	51.330000	2013-05-08
TUN13301	7821	1	60	56	7.000000	3	8	35.000000	2013-05-08
TUN13301	7821	2	61	3	43.000000	3	20	56.000000	2013-05-08
TUN13301	7821	3	61	0	10.000000	3	31	55.000000	2013-05-08
TUN13301	7821	4	60	52	3.000000	3	20	13.000000	2013-05-08
TUN13302	7822	1	60	55	41.000000	3	45	42.000000	2013-05-08
TUN13302	7822	2	61	1	53.000000	3	38	23.000000	2013-05-08
TUN13302	7822	3	61	6	25.000000	3	54	53.000000	2013-05-08
TUN13302	7822	4	60	59	44.000000	4	1	49.000000	2013-05-08
TUN13303	7828	1	65	24	59.000000	7	23	4.000000	2013-05-08
TUN13303	7828	2	65	25	9.000000	7	41	9.000000	2013-05-08
TUN13303	7828	3	65	11	10.000000	7	41	51.000000	2013-05-08
TUN13303	7828	4	65	10	59.000000	7	23	54.000000	2013-05-08
TUN13304	7843	1	60	8	30.000000	3	0	0.000000	2013-05-08
TUN13304	7843	2	60	4	0.000000	3	6	0.000000	2013-05-08
TUN13304	7843	3	59	59	30.000000	2	56	0.000000	2013-05-08
TUN13304	7843	4	60	3	0.000000	2	48	0.000000	2013-05-08
VBT1	7196	0	67	19	55.000000	4	35	21.000000	2013-05-08
VBT1	7196	1	67	19	55.000000	4	35	21.000000	2013-05-08
VBT1	7196	2	66	12	16.000000	4	46	42.000000	2013-05-08
VBT1	7196	3	66	15	31.000000	7	45	53.000000	2013-05-08
VBT1	7196	4	67	23	26.000000	7	43	13.000000	2013-05-08
Veslemoy	7506	1	72	8	12.000000	18	17	56.000000	2013-05-08
Veslemoy	7506	2	72	8	24.000000	18	33	54.000000	2013-05-08
Veslemoy	7506	3	72	2	42.000000	18	34	38.000000	2013-05-08
Veslemoy	7506	4	72	2	30.000000	18	18	45.000000	2013-05-08
VNG0902	7136	1	61	50	37.000000	3	40	13.000000	2013-05-08
VNG0902	7136	2	61	50	48.000000	3	40	9.000000	2013-05-08
VNG0902	7136	3	61	55	57.000000	3	50	30.000000	2013-05-08
VNG0902	7136	4	61	51	45.000000	3	59	40.000000	2013-05-08
VNG0902	7136	5	61	50	32.000000	3	59	40.000000	2013-05-08
VNG0902	7136	6	61	48	34.000000	3	55	49.000000	2013-05-08
VNG0902	7136	7	61	49	45.000000	3	51	55.000000	2013-05-08
VNG0902	7136	8	61	47	38.000000	3	47	19.000000	2013-05-08
VNG12301	7652	1	64	5	55.000000	6	34	27.000000	2013-05-08
VNG12301	7652	2	64	5	57.000000	6	52	1.000000	2013-05-08
VNG12301	7652	3	63	58	55.000000	6	52	4.000000	2013-05-08
VNG12301	7652	4	63	58	54.000000	6	34	35.000000	2013-05-08
WG0901	7057	1	71	55	0.000000	19	8	0.000000	2013-05-08
WG0901	7057	2	71	52	0.000000	20	16	0.000000	2013-05-08
WG0901	7057	3	72	22	0.000000	20	34	0.000000	2013-05-08
WG0901	7057	4	72	34	0.000000	20	37	0.000000	2013-05-08
WG0901	7057	5	73	2	0.000000	20	53	0.000000	2013-05-08
WG0901	7057	6	73	4	0.000000	20	20	0.000000	2013-05-08
WG0901	7057	7	72	42	0.000000	20	8	0.000000	2013-05-08
WG0901	7057	8	72	44	0.000000	19	31	0.000000	2013-05-08
WG0902	7058	1	72	53	3.000000	23	52	24.000000	2013-05-08
WG0902	7058	2	72	39	32.000000	23	52	50.000000	2013-05-08
WG0902	7058	3	72	34	24.000000	24	34	42.000000	2013-05-08
WG0902	7058	4	72	40	0.000000	26	30	0.000000	2013-05-08
WG0902	7058	5	73	10	0.000000	26	30	0.000000	2013-05-08
WG0902	7058	6	73	16	0.000000	25	35	42.000000	2013-05-08
WG0902	7058	7	73	20	50.000000	24	50	48.000000	2013-05-08
WG0903	7059	1	67	0	0.000000	3	0	0.000000	2013-05-08
WG0903	7059	2	66	15	0.000000	3	0	0.000000	2013-05-08
WG0903	7059	3	66	15	0.000000	2	0	0.000000	2013-05-08
WG0903	7059	4	65	0	0.000000	2	0	0.000000	2013-05-08
WG0903	7059	5	65	0	0.000000	5	0	0.000000	2013-05-08
WG0903	7059	6	67	0	0.000000	5	0	0.000000	2013-05-08
WG09Test	7161	1	60	15	0.000000	4	0	0.000000	2013-05-08
WG09Test	7161	2	60	15	0.000000	4	40	0.000000	2013-05-08
WG09Test	7161	3	60	25	0.000000	4	40	0.000000	2013-05-08
WG09Test	7161	4	60	25	0.000000	4	0	0.000000	2013-05-08
WG1001	7208	1	72	45	0.000000	17	20	0.000000	2013-05-08
WG1001	7208	2	72	45	0.000000	20	0	0.000000	2013-05-08
WG1001	7208	3	72	7	30.000000	20	0	0.000000	2013-05-08
WG1001	7208	4	72	7	30.000000	21	40	0.000000	2013-05-08
WG1001	7208	5	71	37	30.000000	21	40	0.000000	2013-05-08
WG1001	7208	6	71	37	30.000000	18	0	0.000000	2013-05-08
WG1001	7208	7	72	0	0.000000	18	0	0.000000	2013-05-08
WG1001	7208	8	72	0	0.000000	17	20	0.000000	2013-05-08
WG1101	7453	1	73	30	0.000000	19	0	0.000000	2013-05-08
WG1101	7453	2	73	30	0.000000	22	0	0.000000	2013-05-08
WG1101	7453	3	72	45	0.000000	22	0	0.000000	2013-05-08
WG1101	7453	4	72	45	0.000000	19	0	0.000000	2013-05-08
WG1102	7457	1	72	7	30.000000	18	40	0.000000	2013-05-08
WG1102	7457	2	72	7	30.000000	20	40	0.000000	2013-05-08
WG1102	7457	3	71	37	30.000000	20	40	0.000000	2013-05-08
WG1102	7457	4	71	37	30.000000	18	40	0.000000	2013-05-08
WG1201	7567	1	73	52	30.000000	20	40	0.000000	2013-05-08
WG1201	7567	2	73	52	30.000000	23	6	0.000000	2013-05-08
WG1201	7567	3	73	7	30.000000	23	6	0.000000	2013-05-08
WG1201	7567	4	73	7	30.000000	19	20	0.000000	2013-05-08
WG1201	7567	5	73	45	0.000000	19	20	0.000000	2013-05-08
WG1201	7567	6	73	47	30.000000	20	0	0.000000	2013-05-08
WG1202	7672	1	59	18	15.000000	1	43	8.000000	2013-05-08
WG1202	7672	2	59	18	15.000000	2	0	0.000000	2013-05-08
WG1202	7672	3	58	57	0.000000	2	0	0.000000	2013-05-08
WG1202	7672	4	58	57	0.000000	1	40	0.000000	2013-05-08
WG1202	7672	5	59	7	45.000000	1	40	0.000000	2013-05-08
WG1202	7672	6	59	17	18.000000	1	42	37.000000	2013-05-08
WG1203	7735	1	73	9	0.000000	31	0	0.000000	2013-05-08
WG1203	7735	2	73	9	0.000000	32	0	0.000000	2013-05-08
WG1203	7735	3	72	35	0.000000	32	0	0.000000	2013-05-08
WG1203	7735	4	72	35	0.000000	31	40	0.000000	2013-05-08
WG1203	7735	5	72	28	0.000000	31	40	0.000000	2013-05-08
WG1203	7735	6	72	28	0.000000	30	30	0.000000	2013-05-08
WG1203	7735	7	72	50	0.000000	30	30	0.000000	2013-05-08
WG1203	7735	8	72	50	0.000000	31	0	0.000000	2013-05-08
WG1301	7781	1	72	38	23.760000	17	38	21.810000	2013-05-08
WG1301	7781	2	73	53	53.610000	17	36	51.310000	2013-05-08
WG1301	7781	3	73	46	36.070000	18	31	10.150000	2013-05-08
WG1301	7781	4	73	45	38.070000	19	19	44.590000	2013-05-08
WG1301	7781	5	73	49	29.530000	20	5	21.170000	2013-05-08
WG1301	7781	6	73	53	9.010000	20	25	34.030000	2013-05-08
WG1301	7781	7	73	54	1.140000	20	29	23.120000	2013-05-08
WG1301	7781	8	73	59	44.720000	20	51	29.870000	2013-05-08
WG1301	7781	9	74	6	29.670000	21	4	52.560000	2013-05-08
WG1301	7781	10	74	6	21.040000	23	23	20.130000	2013-05-08
WG1301	7781	11	72	56	53.600000	23	22	1.150000	2013-05-08
WG1301	7781	12	72	57	6.000000	19	54	51.480000	2013-05-08
WG1301	7781	13	72	52	54.260000	19	50	7.010000	2013-05-08
WG1301	7781	14	72	38	24.660000	19	49	55.480000	2013-05-08
WG1303	7858	1	73	30	0.000000	28	0	0.000000	2013-05-08
WG1303	7858	2	73	30	0.000000	32	0	0.000000	2013-05-08
WG1303	7858	3	72	15	0.000000	32	0	0.000000	2013-05-08
WG1303	7858	4	72	15	0.000000	28	0	0.000000	2013-05-08
WGEM1001	7333	1	72	45	0.000000	17	20	0.000000	2013-05-08
WGEM1001	7333	2	72	45	0.000000	20	0	0.000000	2013-05-08
WGEM1001	7333	3	72	7	30.000000	20	0	0.000000	2013-05-08
WGEM1001	7333	4	72	7	30.000000	20	40	0.000000	2013-05-08
WGEM1001	7333	5	71	37	30.000000	20	40	0.000000	2013-05-08
WGEM1001	7333	6	71	37	30.000000	18	0	0.000000	2013-05-08
WGEM1001	7333	7	72	0	0.000000	18	0	0.000000	2013-05-08
WGEM1001	7333	8	72	0	0.000000	17	20	0.000000	2013-05-08
WIN0901	7015	1	60	59	46.000000	1	41	27.000000	2013-05-08
WIN0901	7015	2	60	57	42.000000	1	52	17.000000	2013-05-08
WIN0901	7015	3	61	20	13.000000	2	10	50.000000	2013-05-08
WIN0901	7015	4	61	22	19.000000	1	59	54.000000	2013-05-08
WIN0902	7016	1	61	40	32.000000	1	32	16.000000	2013-05-08
WIN0902	7016	2	61	37	44.000000	1	52	11.000000	2013-05-08
WIN0902	7016	3	61	37	31.000000	1	52	33.000000	2013-05-08
WIN0902	7016	4	61	40	22.000000	1	32	7.000000	2013-05-08
WIN0903	7029	1	65	0	16.270000	6	53	36.900000	2013-05-08
WIN0903	7029	2	64	57	39.500000	7	6	9.900000	2013-05-08
WIN0903	7029	3	64	52	20.800000	6	59	59.880000	2013-05-08
WIN0903	7029	4	64	54	57.090000	6	47	28.820000	2013-05-08
WIN0904	7030	1	65	15	32.670000	7	16	1.040000	2013-05-08
WIN0904	7030	2	65	20	50.690000	7	22	19.640000	2013-05-08
WIN0904	7030	3	65	18	11.520000	7	34	59.570000	2013-05-08
WIN0904	7030	4	65	12	54.030000	7	28	39.060000	2013-05-08
WIN0906	7170	1	61	15	12.000000	3	35	42.000000	2013-05-08
WIN0906	7170	2	61	15	8.000000	3	46	53.000000	2013-05-08
WIN0906	7170	3	61	9	45.000000	3	46	45.000000	2013-05-08
WIN0906	7170	4	61	9	49.000000	3	35	36.000000	2013-05-08
WIN0907	7171	1	61	41	49.000000	1	48	5.000000	2013-05-08
WIN0907	7171	2	61	36	26.000000	1	48	18.000000	2013-05-08
WIN0907	7171	3	61	36	19.000000	1	36	59.000000	2013-05-08
WIN0907	7171	4	61	41	42.000000	1	36	45.000000	2013-05-08
WIN0908	7182	1	61	6	41.000000	3	42	34.000000	2013-05-08
WIN0908	7182	2	61	6	39.000000	3	48	8.000000	2013-05-08
WIN0908	7182	3	61	3	57.000000	3	48	4.000000	2013-05-08
WIN0908	7182	4	61	3	59.000000	3	42	31.000000	2013-05-08
WIN1002	7210	1	61	15	12.000000	3	35	42.000000	2013-05-08
WIN1002	7210	2	61	15	8.000000	3	46	53.000000	2013-05-08
WIN1002	7210	3	61	9	45.000000	3	46	45.000000	2013-05-08
WIN1002	7210	4	61	9	49.000000	3	35	36.000000	2013-05-08
WIN1003	7211	1	64	37	6.000000	6	52	0.000000	2013-05-08
WIN1003	7211	2	64	37	16.000000	7	4	31.000000	2013-05-08
WIN1003	7211	3	64	31	54.000000	7	4	54.000000	2013-05-08
WIN1003	7211	4	64	31	44.000000	6	52	24.000000	2013-05-08
WIN1004	7255	1	58	57	37.000000	2	10	34.000000	2013-05-08
WIN1004	7255	2	58	57	40.000000	2	21	0.000000	2013-05-08
WIN1004	7255	3	58	52	17.000000	2	21	6.000000	2013-05-08
WIN1004	7255	4	58	52	13.000000	2	10	42.000000	2013-05-08
WIN1005	7295	1	61	41	49.000000	1	48	5.000000	2013-05-08
WIN1005	7295	2	61	36	26.000000	1	48	18.000000	2013-05-08
WIN1005	7295	3	61	36	19.000000	1	36	59.000000	2013-05-08
WIN1005	7295	4	61	41	42.000000	1	36	45.000000	2013-05-08
WIN1101	7411	1	61	38	58.640000	1	32	38.160000	2013-05-08
WIN1101	7411	2	61	43	53.560000	1	48	25.850000	2013-05-08
WIN1101	7411	3	61	38	39.920000	1	55	36.880000	2013-05-08
WIN1101	7411	4	61	33	36.180000	1	39	37.110000	2013-05-08
WIN1102	7366	1	65	3	48.190000	6	58	37.830000	2013-05-08
WIN1102	7366	2	64	57	12.450000	6	49	52.820000	2013-05-08
WIN1102	7366	3	64	53	53.830000	7	3	45.590000	2013-05-08
WIN1102	7366	4	65	0	28.760000	7	12	32.970000	2013-05-08
WIN1103	7388	1	65	1	25.000000	7	1	30.000000	2013-05-08
WIN1103	7388	2	65	19	1.000000	7	18	34.000000	2013-05-08
WIN1103	7388	3	65	19	2.000000	7	18	27.000000	2013-05-08
WIN1103	7388	4	65	1	26.000000	7	1	23.000000	2013-05-08
WIN1104	7383	1	61	15	50.000000	4	16	23.000000	2013-05-08
WIN1104	7383	2	61	5	58.000000	4	21	29.000000	2013-05-08
WIN1104	7383	3	60	48	16.000000	4	18	8.000000	2013-05-08
WIN1104	7383	4	60	47	24.000000	4	8	3.000000	2013-05-08
WIN1104	7383	5	61	14	13.000000	3	56	9.000000	2013-05-08
WIN1104	7383	6	61	14	43.000000	4	2	19.000000	2013-05-08
WIN1104	7383	7	61	28	48.000000	3	55	49.000000	2013-05-08
WIN1104	7383	8	61	29	15.000000	3	59	19.000000	2013-05-08
WIN1104	7383	9	61	14	57.000000	4	5	40.000000	2013-05-08
WIN1106	7435	1	64	43	30.000000	6	20	9.500000	2013-05-08
WIN1106	7435	2	64	48	55.000000	6	26	56.000000	2013-05-08
WIN1106	7435	3	64	45	44.000000	6	41	10.000000	2013-05-08
WIN1106	7435	4	64	40	20.000000	6	34	27.000000	2013-05-08
WIN12001	7602	1	61	15	50.000000	4	16	23.000000	2013-05-08
WIN12001	7602	2	61	5	58.000000	4	21	29.000000	2013-05-08
WIN12001	7602	3	60	48	16.000000	4	18	8.000000	2013-05-08
WIN12001	7602	4	60	47	24.000000	4	8	3.000000	2013-05-08
WIN12001	7602	5	61	14	13.000000	3	56	9.000000	2013-05-08
WIN12001	7602	6	61	14	43.000000	4	2	19.000000	2013-05-08
WIN12001	7602	7	61	28	48.000000	3	55	49.000000	2013-05-08
WIN12001	7602	8	61	29	15.000000	3	59	19.000000	2013-05-08
WIN12001	7602	9	61	14	57.000000	4	5	40.000000	2013-05-08
WIN12002	7609	1	67	0	0.000000	9	20	53.000000	2013-05-08
WIN12002	7609	2	66	59	43.000000	10	38	57.000000	2013-05-08
WIN12002	7609	3	66	45	9.000000	10	43	22.000000	2013-05-08
WIN12002	7609	4	66	49	16.000000	10	16	41.000000	2013-05-08
WIN12002	7609	5	66	49	19.000000	9	20	39.000000	2013-05-08
WIN12003	7615	1	72	45	21.000000	22	55	6.000000	2013-05-08
WIN12003	7615	2	72	27	2.000000	23	38	0.000000	2013-05-08
WIN12003	7615	3	72	49	58.000000	25	26	12.000000	2013-05-08
WIN12003	7615	4	72	49	58.000000	25	26	12.000000	2013-05-08
WIN12003	7615	5	72	56	30.000000	26	28	4.000000	2013-05-08
WIN12003	7615	6	73	14	52.000000	25	21	46.000000	2013-05-08
WIN12301	7556	1	65	0	22.000000	7	4	38.000000	2013-05-08
WIN12301	7556	2	64	57	35.000000	7	17	42.000000	2013-05-08
WIN12301	7556	3	64	52	47.000000	7	11	58.000000	2013-05-08
WIN12301	7556	4	64	55	33.000000	6	58	57.000000	2013-05-08
WIN12301	7556	5	64	55	27.000000	6	51	32.000000	2013-05-08
WIN12301	7556	6	64	56	38.000000	6	51	26.000000	2013-05-08
WIN12301	7556	7	64	56	45.000000	7	0	8.000000	2013-05-08
WIN12302	7648	1	61	11	10.000000	3	55	16.000000	2013-05-08
WIN12302	7648	2	61	22	21.000000	3	41	47.000000	2013-05-08
WIN12302	7648	3	61	18	49.000000	3	29	12.000000	2013-05-08
WIN12302	7648	4	61	7	39.000000	3	42	45.000000	2013-05-08
WIN13301	7802	1	65	1	20.000000	7	11	15.000000	2013-05-08
WIN13301	7802	2	64	58	55.000000	7	22	36.000000	2013-05-08
WIN13301	7802	3	64	52	54.000000	7	15	26.000000	2013-05-08
WIN13301	7802	4	64	55	20.000000	7	4	7.000000	2013-05-08
\.



COPY seis_acquisition_progress (seaprogressdate, seaprogresstext2, seaprogresstext, seaprogressdescription, seanpdidsurvey, seis_acquisition_progress_id) FROM stdin;
2013-05-07	TEPN-13-4	Melding - endringsmelding	Endring av fiskerikyndig representant.	7841	1
2013-05-07	FP13	Melding - ukemelding	\N	7774	2
2013-05-07	EMGS1302	Melding - ukemelding	\N	7797	3
2013-05-07	EMGS1301	Melding - ukemelding	\N	7772	4
2013-05-07	HF13	Melding - ukemelding	Ukemelding, samt oppdatert kalle signal for Oceanic Challenger	7791	5
2013-05-07	MARIA-SBS	Melding - ukemelding	\N	7801	6
2013-05-07	ST13003	Melding - ukemelding	\N	7773	7
2013-05-07	MAE13301	Melding - endringsmelding	Grunnet særdeles mye dårlig vær og noen tekniske problemer vil denne borestedsundersøkelsen vare to uker lengre enn planlagt.	7813	8
2013-05-07	TRO13	Status - satt av OD	Planlagt	7812	9
2013-05-07	LN13304	Status - satt av OD	Under behandling	7865	10
2013-05-07	MC3D-DPT2013	Melding - endringsmelding	2 Feil i tidligere versjion:-Kontraktør som utfører innsamlingen er PGS Geophysical AS -Inmarsat-C og programvare for fiskerisporingssystem: JA	7862	11
2013-05-07	ST13465	Melding - oppstartsmelding	\N	7835	12
2013-05-07	ST13465	Status - satt av OD	Pågående	7835	13
2013-05-07	ST13314	Melding - ukemelding	\N	7795	14
2013-05-07	RD1302	Melding - ukemelding	Kjernetatt bunnsedimenter vest av bremangerlandet. En del WOW.	7815	15
2013-05-06	SUN13302	Status - satt av OD	Planlagt	7831	16
2013-05-06	WG1301	Melding - ukemelding	\N	7781	17
2013-05-06	ST13301	Status - satt av OD	Under behandling	7864	18
2013-05-06	ST13307	Status - satt av OD	Under behandling	7863	19
2013-05-06	ST13001	Melding - endringsmelding	(1) Oppstartstidspkt endret fra 15.05 til 10.05, (2) lagt inn navn på fiskerikyndige, (3) lagt til navn på følgefartøy, (4) Endret type fra 4D til 3D	7833	20
2013-05-06	MCG1301	Melding - ukemelding	\N	7796	21
2013-05-06	WIN13301	Melding - ukemelding	\N	7802	22
2013-05-06	ST13312	Melding - ukemelding	\N	7808	23
2013-05-06	ST12332	Melding - ukemelding	\N	7720	24
2013-05-06	SUN13001	Melding - ukemelding	\N	7789	25
2013-05-06	MC3D-Q162013	Melding - ukemelding	Ukemelding for uke 18.	7782	26
2013-05-06	CGGV1301	Melding - ukemelding	\N	7769	27
2013-05-06	MC3D-DPT2013	Status - satt av OD	Under behandling	7862	28
2013-05-06	MAE13301	Melding - ukemelding	Mye dårlig vær og noen tekniske problemer har gitt lite produksjon siste uke.	7813	29
2013-05-06	MAE13301	Melding - endringsmelding	Grunnet særdeles mye dårlig vær og noen tekniske problemer vil denne borestedsundersøkelsen vare to uker lengre enn planlagt.	7813	30
2013-05-06	ST13459	Melding - oppstartsmelding	Fartøyet Deep Cygnus starter mobiliseringen i Hammerfest 06.05.2013. Mobiliseringen forventes å ta 1 til 2 dager og deretter vil fartøyet seile ut til Skrugard området (Skrugard har skiftet navn til Johan Castberg) og starte grunnundersøkelsen ST13459 (OD nr 7806)	7806	31
2013-05-06	ST13459	Status - satt av OD	Pågående	7806	32
2013-05-06	BPN13301	Status - satt av OD	Pågående	7845	33
2013-05-06	BPN13301	Melding - oppstartsmelding	\N	7845	34
2013-05-03	EO13002	Status - satt av OD	Planlagt	7854	35
2013-05-03	ST13308	Status - satt av OD	Under behandling	7861	36
2013-05-03	TE1301	Status - satt av OD	Under behandling	7860	37
2013-05-03	ST13311	Status - satt av OD	Under behandling	7859	38
2013-05-03	FP13001	Melding - endringsmelding	Fiskerikyndige lagt til	7849	39
2013-05-03	EO13003	Status - satt av OD	Planlagt	7855	40
2013-05-02	EO13003	Status - satt av OD	Under behandling	7855	41
2013-05-02	EO13003	Status - satt av OD	Planlagt	7855	42
2013-05-02	ST13304	Melding - endringsmelding	Endring består av;Anmodning om forlenget innsamlings periode. Sluttdato var satt til 16 Mai, vi er heldige om vi  klarer å begynne til denne dato. Ny slutt dato er nå satt til 19 Juni.Justering av antall linje kilometer fra ca. 350 til ca. 380 km.Informasjon om Fiskerikyndig og Utvinningstillatelser oppdatert.Det vil sannsynligvis bli fartøyet M/V Sea Explorer som kommer til å samle inn ST13304 Undersøkelsen.Utover dette, Ingen endringer.	7803	43
2013-05-02	WG1301	Melding - endringsmelding	Change of FLO from 02 May 2013.	7781	44
2013-05-02	TO1301-ML	Melding - endringsmelding	Endret oppstartsdato og navn på FLO/MMO	7767	45
2013-05-02	ST13312	Melding - ukemelding	\N	7808	46
2013-05-02	ST13304	Melding - endringsmelding	Endring består av;Anmodning om forlenget innsamlings periode. Sluttdato var satt til 16 Mai, vi er heldige om vi  klarer å begynne til denne dato. Ny slutt dato er nå satt til 19 Juni.Justering av antall linje kilometer fra ca. 350 til ca. 380 km.Informasjon om Fiskerikyndig og Utvinningstillatelser oppdatert.Det vil sannsynligvis bli fartøyet M/V Sea Explorer som kommer til å samle inn ST13304 Undersøkelsen.Utover dette, Ingen endringer.	7803	47
2013-05-02	MC3D-DUN2013	Status - satt av OD	Planlagt	7834	48
2013-05-02	SH13001	Status - satt av OD	Planlagt	7844	49
2013-05-02	CP13L05	Status - satt av OD	Ferdig	7790	50
2013-05-02	CP13L05	Melding - sluttmelding	\N	7790	51
2013-05-02	BPN13301	Melding - endringsmelding	Utvidelse av to linjer på 5km hver.	7845	52
2013-04-30	ST13314	Melding - ukemelding	\N	7795	53
2013-04-30	ST12332	Melding - ukemelding	\N	7720	54
2013-04-30	WG1303	Status - satt av OD	Under behandling	7858	55
2013-04-30	PL692GORE	Melding - endringsmelding	we ask to: - extend validity until July 31st, 2013 due to delays- include larger area, in order to sample around location of dry well 6508/5-1	7809	56
2013-04-30	TUN13302	Melding - endringsmelding	Utsatt oppstart.mindre endring i netto område.Lagt inn mer info om båt.	7822	57
2013-04-30	FH2D-13	Status - satt av OD	Under behandling	7857	58
2013-04-30	MARIA-SBS	Melding - oppstartsmelding	\N	7801	59
2013-04-30	MARIA-SBS	Status - satt av OD	Pågående	7801	60
2013-04-30	RD1301	Status - satt av OD	Planlagt	7846	61
2013-04-30	EN1301	Status - satt av OD	Planlagt	7840	62
2013-04-30	FP13	Melding - ukemelding	\N	7774	63
2013-04-30	WG1301	Melding - ukemelding	\N	7781	64
2013-04-30	EMGS1301	Melding - ukemelding	\N	7772	65
2013-04-30	EMGS1302	Melding - ukemelding	\N	7797	66
2013-04-30	ST13455	Melding - oppstartsmelding	\N	7800	67
2013-04-30	ST13455	Status - satt av OD	Pågående	7800	68
2013-04-29	ST13456	Melding - sluttmelding	Avsluttet atbeidet på feltet 28. april. Ankom Stavanger 29. april for demobilisering.	7799	69
2013-04-29	ST13456	Status - satt av OD	Ferdig	7799	70
2013-04-29	CP13L05	Melding - ukemelding	\N	7790	71
2013-04-29	EO13002	Melding - endringsmelding	Endret fra full fold til arbeidsområde med skudd i nord.	7854	72
2013-04-29	WIN13301	Melding - ukemelding	\N	7802	73
2013-04-29	SUN13001	Melding - ukemelding	Ny Fiskerikyndig Svein P. Torrissen fra 1. mai.	7789	74
2013-04-29	MC3D-Q162013	Melding - ukemelding	Ukemelding for uke 17.	7782	75
2013-04-29	MCG1301	Melding - ukemelding	\N	7796	76
2013-04-29	CGGV1301	Melding - ukemelding	\N	7769	77
2013-04-29	ST13306	Status - satt av OD	Under behandling	7856	78
2013-04-29	ST13312	Melding - oppstartsmelding	M/V Sea Explorer har vært i arbeidsområdet men forholdene var for røffe til å begynne arbeid. Det ligger derfor an til en Haugesundstur for dem i helgen i stedet for.	7808	79
2013-04-26	ST13305	Melding - sluttmelding	Vi er egentlig ikke ferdige med denne undersøkelsen. En snau halvpart er igjen. Men siden det er arbeider som haster mer, har vi valgt å sende fartøyet til disse områdene. Vi kommer derfor til å søke om tillatelse til å samle inn det resterde i Blokk 2/4 i løpet av kort tid.	7771	80
2013-04-26	ST13305	Status - satt av OD	Ferdig	7771	81
2013-04-26	ST13312	Status - satt av OD	Pågående	7808	82
2013-04-26	EMGS1305	Melding - endringsmelding	Endring av tidsrom	7820	83
2013-04-26	EMGS1303	Melding - endringsmelding	Endring av tidsrom	7817	84
2013-04-26	EMGS1302	Melding - endringsmelding	Endring av tidsrom	7797	85
2013-04-26	MAE13301	Melding - ukemelding	\N	7813	86
2013-04-26	RD1302	Melding - ukemelding	Uke 18.4.-25.4.2013:Stort sett WOW siden oppstart med fartøyet liggende til kai i Måløy.	7815	87
2013-04-26	ST13455	Melding - endringsmelding	Update of the starting and ending dates.	7800	88
2013-04-26	EO13003	Status - satt av OD	Under behandling	7855	89
2013-04-25	MC3D-Q162013	Melding - endringsmelding	Endring av den fiskerikyndige.	7782	90
2013-04-25	EO13002	Status - satt av OD	Under behandling	7854	91
2013-04-25	OMV13301	Status - satt av OD	Under behandling	7853	92
2013-04-25	ST13464	Status - satt av OD	Planlagt	7830	93
2013-04-25	ST13006	Status - satt av OD	Planlagt	7832	94
2013-04-25	ST13001	Status - satt av OD	Planlagt	7833	95
2013-04-25	BPN13302	Status - satt av OD	Planlagt	7848	96
2013-04-25	BPN13301	Status - satt av OD	Planlagt	7845	97
2013-04-25	ST13456	Melding - ukemelding	\N	7799	98
2013-04-24	SH13001	Melding - endringsmelding	Ved en feiltagelse ble det innmeldt feil periode for undersøkelsen. Den korrekte perioden er 21.5.2013 - 20.7.2013.	7844	99
2013-04-24	ST13314	Melding - endringsmelding	Grunner til Endringmelding;1. Noen biter av linjene i øst gikk utover først oppgitte netto område2. Området noe utvidet i sørøst,vi ønsker å samle inn noe mer Multistråle Ekkolodd data her.3. Noen seismikk linjer er lagt til, undersøkelsen er øket med ca. 260 km seismikk, 30 km med vanlig site survey kilde 160 kubikk tommer, og 230 km med en liten kilde på 10 kubikk tommer, UHRS data (Ultra High Resolution )4. Sålangt en lite produktiv start, vi antar at vi derfor kommer til å holde på noe lenger enn 23 mai. Vi anmoder derfor om en forlenget innsamlings periode til 7 Juni.Vi holder oss til den tillatelsen vi har inntil vi har fått et OK for denne endrings melding.	7795	100
2013-04-24	WIN13301	Melding - endringsmelding	Endringsmelding gjelder utvidelse av innsamlingsperioden til 31.05 pga mye dårlig vær. Samt utvidelse av brutto området med 2,5 km i sydvestlig rettning.	7802	101
2013-04-23	DN1302	Status - satt av OD	Under behandling	7852	102
2013-04-22	FP13	Melding - ukemelding	\N	7774	103
2013-04-22	ST13003	Melding - ukemelding	\N	7773	104
2013-04-22	EMGS1302	Melding - ukemelding	\N	7797	105
2013-04-22	EMGS1301	Melding - ukemelding	\N	7772	106
2013-04-22	WIN13301	Melding - ukemelding	\N	7802	107
2013-04-22	MC3D-Q162013	Melding - ukemelding	Ukemelding for uke 16.	7782	108
2013-04-22	ST13314	Melding - ukemelding	\N	7795	109
2013-04-22	MCG1301	Melding - ukemelding	\N	7796	110
2013-04-22	EO13001	Status - satt av OD	Under behandling	7851	111
2013-04-22	ST12332	Melding - ukemelding	\N	7720	112
2013-04-22	ST13305	Melding - ukemelding	\N	7771	113
2013-04-22	CP13L05	Melding - ukemelding	\N	7790	114
2013-04-22	CGGV1301	Melding - ukemelding	\N	7769	115
2013-04-22	SUN13001	Melding - ukemelding	\N	7789	116
2013-04-22	ST13465	Status - satt av OD	Planlagt	7835	117
2013-04-22	WG1301	Melding - ukemelding	\N	7781	118
2013-04-22	MAE13301	Melding - ukemelding	Mye dårlig vær og tidsdeling med andre seismiske fartøyer.	7813	119
2013-04-20	RD1302	Melding - oppstartsmelding	\N	7815	120
2013-04-20	RD1302	Status - satt av OD	Pågående	7815	121
2013-04-19	FP13002	Status - satt av OD	Under behandling	7850	122
2013-04-19	FP13001	Status - satt av OD	Under behandling	7849	123
2013-04-19	ST13314	Status - satt av OD	Pågående	7795	124
2013-04-18	SUN13302	Melding - endringsmelding	Updating of vessel.Earliest start date is no 01-Jun-2013.	7831	125
2013-04-18	ST13312	Melding - endringsmelding	Statoil har ikke kommet i gang med denne innsamlingen. Vi anmoder derfor om endret innsamlingsperiode 22. April til 18 Mai.  Slik det ser ut i dag, vil 22.April være den tidligste oppstartsdato. Realistisk sett blir det nok en noen senere oppstartsdato.	7808	126
2013-04-18	BPN13302	Status - satt av OD	Under behandling	7848	127
2013-04-18	ST13314	Melding - oppstartsmelding	Vi har mobilisert og betaler for fartøyet. Værmeldingene gir i midlertid ikke noen godt håp om arbeid for etter helgen. Vi har derfor satt 21. April som oppstartsdato.	7795	128
2013-04-18	ST12332	Melding - ukemelding	\N	7720	129
2013-04-18	ST12332	Melding - ukemelding	\N	7720	130
2013-04-18	ST13305	Melding - ukemelding	\N	7771	131
2013-04-18	ST13305	Melding - endringsmelding	I tilfelle det skulle bli nødvendig, Statoil andmoder om forlenget tidsperiode for innsamling av undersøkelse ST13305 til 08. Mai. Utover dette, ingen endringer.	7771	132
2013-04-18	BPN13201	Status - satt av OD	Under behandling	7847	133
2013-04-18	EMGS1303	Status - satt av OD	Planlagt	7817	134
2013-04-18	ST13316	Status - satt av OD	Planlagt	7818	135
2013-04-17	TRO13	Melding - endringsmelding	Surveyområdet (både gross og netto) er endret pga tilbakemelding fra industrien. Både netto- og bruttoområdet er redusert. Oppstart er utsatt til ca. 10 mai.	7812	136
2013-04-17	CE13300	Melding - endringsmelding	Survey for acquisiton of up to 21 geotechnical boreholes (soil samples & CPTs) for the Maersk Guardian Jack-up rig	7770	137
2012-06-19	DA1201	Melding - ukemelding	\N	7614	1800
2013-04-17	HF13	Melding - oppstartsmelding	Endring av oppstartsmelding. Ett hovedfartøy fjernet. Mobil telefon til Fiskerikyndig lagt til.	7791	138
2013-04-16	FP13	Melding - ukemelding	\N	7774	139
2013-04-16	RD1301	Status - satt av OD	Under behandling	7846	140
2013-04-16	TEPN-13-4	Melding - endringsmelding	Søker på bakgrunn av positivt svar fra Fiskeridirektorat ang tidligere oppstart, om oppstart 19.april.Har også oppdatert mob.nr for fiskerikyndig representant.	7841	141
2013-04-16	WIN13301	Melding - ukemelding	\N	7802	142
2013-04-16	CGGV1301	Melding - ukemelding	\N	7769	143
2013-04-16	CP13L05	Melding - ukemelding	\N	7790	144
2013-04-16	HF13	Status - satt av OD	Pågående	7791	145
2013-04-16	HF13	Melding - oppstartsmelding	\N	7791	146
2013-04-15	HF13	Melding - endringsmelding	Endret kontaktperson og lagt til fiskerikyndig.	7791	147
2013-04-15	MCG1301	Melding - ukemelding	\N	7796	148
2013-04-15	TEPN-13-4	Status - satt av OD	Planlagt	7841	149
2013-04-15	BPN13301	Status - satt av OD	Under behandling	7845	150
2013-04-15	MC3D-Q162013	Melding - ukemelding	Ukemelding for uke 15.	7782	151
2013-04-15	WG1301	Melding - ukemelding	\N	7781	152
2013-04-15	SUN13001	Melding - ukemelding	\N	7789	153
2013-04-15	ST13003	Melding - ukemelding	\N	7773	154
2013-04-15	MC3D-DUN2013	Melding - endringsmelding	Endringsmelding: Endring av starttidspunkt. Det nye starttidspunktet er 15 Mai 2013.	7834	155
2013-04-15	ST13455-2	Status - satt av OD	Planlagt	7839	156
2013-04-15	EMGS1302	Melding - ukemelding	\N	7797	157
2013-04-15	EMGS1301	Status - satt av OD	Pågående	7772	158
2013-04-15	EMGS1301	Melding - oppstartsmelding	\N	7772	159
2013-04-15	ST13456	Melding - endringsmelding	En av de planlagte boringene ligger litt utenfor området vi har fått tillatelse for. Endrer derfor pkt 3 som beskriver området.	7799	160
2013-04-15	ST13456	Status - satt av OD	Pågående	7799	161
2013-04-15	ST13456	Melding - oppstartsmelding	\N	7799	162
2013-04-15	TUN13301	Melding - endringsmelding	FLO lagt inn	7821	163
2013-04-15	TUN13302	Melding - endringsmelding	Lakt til FLO	7822	164
2013-04-15	TUN13304	Melding - endringsmelding	FLO lagt til	7843	165
2013-04-15	TUN13303	Melding - endringsmelding	Lakt til FLO	7828	166
2013-04-12	SH13001	Status - satt av OD	Under behandling	7844	167
2013-04-12	MC3D-BYL2013	Status - satt av OD	Planlagt	7811	168
2013-04-11	TUN13304	Status - satt av OD	Under behandling	7843	169
2013-04-11	TUN13303	Status - satt av OD	Planlagt	7828	170
2013-04-11	TUN13302	Status - satt av OD	Planlagt	7822	171
2013-04-11	TUN13301	Status - satt av OD	Planlagt	7821	172
2013-04-11	TEPN-13-2	Melding - endringsmelding	Ny fiskerikyndig representant ombord på Kommandor etter mannskapskifte 10.april: Ingen Kjerringvåg(Utsira Servicesenter)	7836	173
2013-04-11	ST13314	Melding - endringsmelding	Statoil kommer til å mobilisere denne undersøkelsen ca. 15 April, og det er ca. en mnd senere enn planlagt.Vi anmoder derfor om å få forlenge innsamlings periode til 23 Mai.Undersøkelsen ble meldt med sea Explorer som innsamlingsfartøy, det blir i stedet for fartøyet M/S Birkeland fra Fugro Survey som skal samle inn undersøkelsen. Informasjonen er oppdatert i henhold til dette.Informasjon om Fiskerikyndig er lagt inn i endringsmelding.	7795	174
2013-04-11	WIN13301	Status - satt av OD	Pågående	7802	175
2013-04-11	WIN13301	Melding - oppstartsmelding	Fartøyet forventer å starte innsamlingen 13.04	7802	176
2013-04-11	WIN13301	Melding - endringsmelding	Endringsmeldingen gjeder opplysninger om fiskerikyndig person og oppdatering av fartøysinformasjon.Oppstart er nå planlagt til siste halvdel av uke 14.	7802	177
2013-04-10	RD1304	Status - satt av OD	Ferdig	7825	178
2013-04-10	RD1304	Melding - sluttmelding	\N	7825	179
2013-04-09	TEPN-13-1	Status - satt av OD	Ferdig	7780	180
2013-04-09	TEPN-13-1	Melding - sluttmelding	\N	7780	181
2013-04-09	SUN13001	Melding - ukemelding	\N	7789	182
2013-04-09	SWB13	Status - satt av OD	Planlagt	7814	183
2013-04-09	ST12332	Melding - ukemelding	\N	7720	184
2013-04-09	ST13305	Melding - ukemelding	\N	7771	185
2013-04-09	ST13003	Melding - ukemelding	\N	7773	186
2013-04-09	MCG1301	Melding - ukemelding	\N	7796	187
2013-04-09	WG1301	Melding - ukemelding	\N	7781	188
2013-04-09	EMGS1302	Melding - ukemelding	\N	7797	189
2013-04-09	FP13	Melding - ukemelding	\N	7774	190
2013-04-09	MC3D-Q162013	Melding - ukemelding	Ukemelding uke 14.	7782	191
2013-04-09	MC3D-Q162013	Melding - ukemelding	Ukemelding. Uke 13.	7782	192
2013-04-09	MAE13301	Melding - oppstartsmelding	Borestedsundersøkelsen er planlagt å starte ca kl 2100 den 10. april.	7813	193
2013-04-09	MAE13301	Status - satt av OD	Pågående	7813	194
2013-04-09	CP13L05	Melding - ukemelding	\N	7790	195
2013-04-08	CGGV1301	Melding - ukemelding	\N	7769	196
2013-04-08	TUN13303	Melding - endringsmelding	Båt er lagt tilKilde og kabel lagt til	7828	197
2013-04-08	TUN13302	Melding - endringsmelding	Båt lagt til	7822	198
2013-04-08	TUN13301	Melding - endringsmelding	Båt er lagt til	7821	199
2013-04-08	RD1305	Status - satt av OD	Planlagt	7827	200
2013-04-08	RD1302	Status - satt av OD	Planlagt	7815	201
2013-04-08	ST13312	Status - satt av OD	Planlagt	7808	202
2013-04-08	EMGS1305	Status - satt av OD	Planlagt	7820	203
2013-04-08	ST13460	Status - satt av OD	Planlagt	7807	204
2013-04-05	ST13459	Melding - endringsmelding	Byttet kontraktaktør til Canyon Offshore Limited	7806	205
2013-04-05	ST13461	Melding - endringsmelding	Byttet kontraktør til Canyon Offshore.	7805	206
2013-04-05	ST13305	Melding - oppstartsmelding	\N	7771	207
2013-04-05	TEPN-13-2	Melding - oppstartsmelding	Det blir ny fiskerikyndig representant fra Utsira Servicesenter ifm mannskapskiftet som er planlagt 10.april. Ny representant blir Inge Kjerringvåg.Sender endringsmelding når mannskapskiftet er utført.	7836	208
2013-04-04	TEPN-13-2	Status - satt av OD	Pågående	7836	209
2013-04-04	TO1301-ML	Melding - endringsmelding	Tidligere oppstart grunnet god seismikkinnsamling for CGGVeritas  (CGGV1301) på Haltenbanken. Samme fartøy skal benyttes på Martin Linge-innsamlingen.	7767	210
2013-04-04	RD1303	Status - satt av OD	Planlagt	7816	211
2013-04-04	TEPN-13-2	Status - satt av OD	Planlagt	7836	212
2013-04-04	SUN13001	Status - satt av OD	Pågående	7789	213
2013-04-03	SUN13001	Melding - oppstartsmelding	\N	7789	214
2012-06-04	NSH12	Melding - ukemelding	\N	7629	1946
2013-04-03	CP13301	Status - satt av OD	Planlagt	7824	215
2013-04-03	MAE13301	Status - satt av OD	Planlagt	7813	216
2013-04-03	RD1304	Melding - ukemelding	\N	7825	217
2013-04-03	ST13459	Status - satt av OD	Planlagt	7806	218
2013-04-03	ST13305	Melding - ukemelding	\N	7771	219
2013-04-03	ST12332	Melding - ukemelding	\N	7720	220
2013-04-03	WG1301	Melding - ukemelding	\N	7781	221
2013-04-03	ST12332	Status - satt av OD	Pågående	7720	222
2013-04-03	TEPN-13-3	Melding - endringsmelding	Undersøkelsen vil starte ca. 20.4.2013. Beklager kort tidsfrist. Perioden blir da ca. 20.4. - 31.5.13.	7837	223
2013-04-03	TEPN-13-4	Status - satt av OD	Under behandling	7841	224
2013-04-02	EN1301	Status - satt av OD	Under behandling	7840	225
2013-04-02	ST13003	Melding - oppstartsmelding	\N	7773	226
2013-04-02	ST13003	Status - satt av OD	Pågående	7773	227
2013-04-02	ST13455-2	Status - satt av OD	Under behandling	7839	228
2013-04-02	CGGV1301	Melding - ukemelding	\N	7769	229
2013-04-02	EMGS1302	Melding - ukemelding	\N	7797	230
2013-04-02	MCG1301	Melding - ukemelding	\N	7796	231
2013-04-02	TEPN-13-3	Status - satt av OD	Under behandling	7837	232
2013-04-02	TEPN-13-2	Status - satt av OD	Under behandling	7836	233
2013-04-02	CP13L05	Melding - ukemelding	\N	7790	234
2013-03-27	CGGV1301	Melding - endringsmelding	Utvidet netto og brutto område i NW retning.	7769	235
2013-03-27	RD1304	Melding - oppstartsmelding	\N	7825	236
2013-03-27	RD1304	Status - satt av OD	Pågående	7825	237
2013-03-27	WIN13301	Status - satt av OD	Planlagt	7802	238
2013-03-27	WG1301	Status - satt av OD	Pågående	7781	239
2013-03-26	ST12332	Melding - endringsmelding	Statoil har enda ikke fått tatt CPT Målingene av havbunnen. Vi håper å få utført dette arbeid ved anleding i løpet av de kommende månedene. Ny slutt dato er 19 Juni. Rest delen av ST12332 undersøkelsen innebærer ikke bruk av seismiske kilder. Men normalt vil det bli brukt sidesøkende sonar og Multistråle Ekkolodd en kort meriode for å sjekke at det ikke er noe på havbunnen som kan skade måle utstyret for CPT målingene.	7720	240
2013-03-26	ST12332	Status - satt av OD	Pause	7720	241
2013-03-26	WG1301	Melding - oppstartsmelding	Survey startet.	7781	242
2013-03-26	ST12332	Melding - ukemelding	\N	7720	243
2013-03-26	ST13305	Melding - ukemelding	\N	7771	244
2013-03-26	MCG1301	Melding - ukemelding	\N	7796	245
2013-03-26	EMGS1302	Melding - ukemelding	\N	7797	246
2013-03-25	CP13L05	Melding - ukemelding	\N	7790	247
2013-03-25	CGGV1301	Melding - ukemelding	\N	7769	248
2013-03-25	ST13465	Status - satt av OD	Under behandling	7835	249
2013-03-25	MC3D-DUN2013	Status - satt av OD	Under behandling	7834	250
2013-03-22	MCG1301	Melding - oppstartsmelding	\N	7796	251
2013-03-22	MCG1301	Status - satt av OD	Pågående	7796	252
2013-03-22	ST13455	Melding - endringsmelding	Planning modification. Soil campaign split in two campaign, one in April, one in autumn 2013.	7800	253
2013-03-22	TRO13	Melding - endringsmelding	Surveyområdet (både gross og netto) er endret pga tilbakemelding fra industrien. Både netto- og bruttoområdet er redusert. Oppstart er utsatt til ca. 10 mai.	7812	254
2013-03-22	EMGS1302	Melding - endringsmelding	Endring av området og tidsrommet.	7797	255
2013-03-22	LN13501	Status - satt av OD	Planlagt	7826	256
2013-03-22	ST13001	Status - satt av OD	Under behandling	7833	257
2013-03-22	DOLPH-13013D	Status - satt av OD	Planlagt	7810	258
2013-03-22	SUN13001	Melding - endringsmelding	Endring av - Hovedfartøy- Fiskerikyndig- Innsamlet km	7789	259
2013-03-21	ST13006	Status - satt av OD	Under behandling	7832	260
2013-03-21	MC3D-Q162013	Status - satt av OD	Pågående	7782	261
2013-03-21	SUN13302	Status - satt av OD	Under behandling	7831	262
2013-03-21	ST13464	Status - satt av OD	Under behandling	7830	263
2013-03-20	ST13312	Melding - endringsmelding	Vi anmoder om forlenget periode. Undersøkelsen er ikke påbegynt, og fartøyet er for tiden i tørr dokk. Nåværende utløpsfrist for tillatelse er 8 April, og vi er heldige om vi har fått fartøyet tilbake til den datoen. Vi anmoder derfor om forlenget innsamlingsperiode frem til 08. Mai. Utover dette ingen endringer.	7808	264
2013-03-20	ST13461	Status - satt av OD	Planlagt	7805	265
2013-03-20	ST13462	Status - satt av OD	Planlagt	7804	266
2013-03-20	ST13455	Melding - endringsmelding	Changing time schedule	7800	267
2013-03-19	MC3D-Q162013	Melding - oppstartsmelding	\N	7782	268
2013-03-19	MC3D-Q162013	Status - satt av OD	Planlagt	7782	269
2013-03-19	MC3D-Q162013	Status - satt av OD	Pågående	7782	270
2013-03-19	MC3D-Q162013	Melding - oppstartsmelding	\N	7782	271
2013-03-19	FP13	Melding - ukemelding	\N	7774	272
2013-03-19	TUN13303	Status - satt av OD	Under behandling	7828	273
2013-03-19	RD1305	Status - satt av OD	Under behandling	7827	274
2013-03-19	ST12332	Melding - ukemelding	\N	7720	275
2013-03-19	ST13305	Melding - ukemelding	\N	7771	276
2013-03-18	LN13501	Status - satt av OD	Under behandling	7826	277
2013-03-18	ST13305	Melding - endringsmelding	Siden fartøyet vårt, M/V Sea Explorer er gått i tørrdokk i Polen vil vi ikke bli ferdige med ST13305 innsamlingen til 24 mars. Vi anmoder derfor om forlenget innsamlings periode, til 24 April. Statoil vil komme med informasjon om hvem som blir ny fiskerikyndig når fartøyet er klart til begynne arbeid etter tørrdokk opphold.	7771	278
2013-03-18	EMGS1302	Melding - ukemelding	\N	7797	279
2013-03-18	PL692GORE	Status - satt av OD	Planlagt	7809	280
2013-03-18	LN13302	Melding - sluttmelding	Hvbunnsundersøkelsen er avsluttet.	7784	281
2013-03-18	LN13301	Melding - sluttmelding	Havbunnsundersøkelsen er avsluttet	7783	282
2013-03-18	LN13302	Status - satt av OD	Ferdig	7784	283
2013-03-18	LN13301	Status - satt av OD	Ferdig	7783	284
2013-03-18	CP13L05	Melding - ukemelding	\N	7790	285
2013-03-18	CGGV1301	Melding - ukemelding	\N	7769	286
2013-03-18	RD1302	Melding - endringsmelding	Endret sørgrense fra 61grader 48minutter ned til 61grader og 45minutter.	7815	287
2013-03-18	WG1301	Melding - endringsmelding	Fartøyet endring og Fiskerikyndig	7781	288
2013-03-18	MCG1301	Melding - endringsmelding	infomation omtrent fiskerikyndigereduksjon av størrelse, ny p190	7796	289
2013-03-15	RD1304	Status - satt av OD	Planlagt	7825	290
2013-03-15	WIN13301	Status - satt av OD	Under behandling	7802	291
2012-05-21	SWB12	Melding - ukemelding	\N	7569	2025
2013-03-15	WIN13301	Status - satt av OD	Planlagt	7802	292
2013-03-15	MARIA-SBS	Status - satt av OD	Planlagt	7801	293
2013-03-15	RD1304	Status - satt av OD	Under behandling	7825	294
2013-03-14	CP13301	Status - satt av OD	Under behandling	7824	295
2013-03-14	HF13	Status - satt av OD	Planlagt	7791	296
2013-03-14	ST13456	Melding - endringsmelding	Informasjon om hvilket fartøy og selskap som skal benyttes for innsamling av geotekniske data.	7799	297
2013-03-13	SS1303	Status - satt av OD	Planlagt	7793	298
2013-03-13	CP13L05	Melding - oppstartsmelding	\N	7790	299
2013-03-13	CP13L05	Status - satt av OD	Pågående	7790	300
2013-03-13	MC3D-Q162013	Melding - endringsmelding	Undersøkelsen starter 20.3.13 på engelsk side.	7782	301
2013-03-13	ST13314	Status - satt av OD	Planlagt	7795	302
2013-03-13	ST13304	Status - satt av OD	Planlagt	7803	303
2013-03-13	TEPN-13-1	Melding - endringsmelding	kontakt nr fiskerikyndig	7780	304
2013-03-13	LN13001	Status - satt av OD	Planlagt	7794	305
2013-03-13	MCG1301	Status - satt av OD	Planlagt	7796	306
2013-03-12	LN13303	Status - satt av OD	Under behandling	7823	307
2013-03-12	CGGV1301	Melding - ukemelding	\N	7769	308
2013-03-12	TO1301-ML	Melding - endringsmelding	Oppstartsdato og fartøy	7767	309
2013-03-11	TUN13302	Status - satt av OD	Under behandling	7822	310
2013-03-11	TUN13301	Status - satt av OD	Under behandling	7821	311
2013-03-11	EMGS1305	Status - satt av OD	Under behandling	7820	312
2013-03-11	EMGS1302	Melding - ukemelding	\N	7797	313
2013-03-11	EMGS1302	Melding - oppstartsmelding	\N	7797	314
2013-03-11	EMGS1302	Status - satt av OD	Pågående	7797	315
2013-03-11	ST13305	Melding - ukemelding	\N	7771	316
2013-03-11	TEPN-13-1	Status - satt av OD	Pågående	7780	317
2013-03-11	TEPN-13-1	Melding - oppstartsmelding	\N	7780	318
2013-03-08	ST13316	Status - satt av OD	Under behandling	7818	319
2013-03-08	ST13315	Status - satt av OD	Ferdig	7798	320
2013-03-08	ST13315	Melding - sluttmelding	\N	7798	321
2013-03-08	ST13315	Melding - oppstartsmelding	\N	7798	322
2013-03-08	ST13315	Status - satt av OD	Pågående	7798	323
2013-03-08	ST13315	Status - satt av OD	Avlyst	7798	324
2013-03-08	ST13455	Status - satt av OD	Planlagt	7800	325
2013-03-08	ST13456	Status - satt av OD	Planlagt	7799	326
2013-03-08	FP13	Status - satt av OD	Pågående	7774	327
2013-03-07	FP13	Melding - oppstartsmelding	\N	7774	328
2013-03-07	EMGS1303	Status - satt av OD	Under behandling	7817	329
2013-03-07	RD1303	Status - satt av OD	Under behandling	7816	330
2013-03-07	RD1302	Melding - endringsmelding	Lagt inn nummer på undersøkelsestillatelsen.	7815	331
2013-03-06	TEPN-12-5	Melding - sluttmelding	Borestedsundersøkelsen anses pr.idag avsluttet mandag 25.februar grunnet at fartøyet måtte gå i dokk og vil gå videre til TRELL(TEPN-13-1) etter at det er ferdig i dokk.	7759	332
2013-03-06	TEPN-12-5	Status - satt av OD	Ferdig	7759	333
2013-03-06	ST13315	Status - satt av OD	Planlagt	7798	334
2013-03-06	RD1302	Melding - endringsmelding	Lagt inn nummer på undersøkelsestillatelsen.	7815	335
2013-03-05	RD1302	Status - satt av OD	Under behandling	7815	336
2013-03-05	MARIA-SBS	Melding - endringsmelding	Rettet navn på kontraktør.	7801	337
2013-03-05	MC3D-Q162013	Melding - endringsmelding	Endringsmelding.PGS ønsker å endre tidsperioden for denne undersøkelsen i fra 24 Mars til 15 Oktober 2013. PGS ønsker også å endre den fiskerikyndige til Arnulf Svendsen.PGS øsnker også å endre innsamlingsområdet, på grunn av merknader i fra Havforskningsinstituttet.Håper at Havforskningsinstituttet kan være så snill og se på dette igjen. PGS kommer til å starte å samle inn den nordlige delen først, slik at ikke den sørlige delen blir samlet inn etter at gytingen er ferdig der 30 April.	7782	338
2013-03-04	MC3D-CGR2013	Status - satt av OD	Planlagt	7787	339
2013-03-04	SWB13	Status - satt av OD	Under behandling	7814	340
2013-03-04	MAE13301	Status - satt av OD	Under behandling	7813	341
2013-03-04	CGGV1301	Melding - ukemelding	\N	7769	342
2013-03-04	TRO13	Status - satt av OD	Under behandling	7812	343
2013-03-04	ST13305	Melding - ukemelding	\N	7771	344
2013-03-04	ST13305	Status - satt av OD	Pågående	7771	345
2013-03-04	ST12332	Melding - ukemelding	\N	7720	346
2013-03-01	MC3D-BYL2013	Status - satt av OD	Under behandling	7811	347
2013-03-01	CP13L05	Status - satt av OD	Planlagt	7790	348
2013-03-01	SS1302	Status - satt av OD	Planlagt	7779	349
2013-03-01	SUN13001	Status - satt av OD	Planlagt	7789	350
2013-02-28	DOLPH-13013D	Status - satt av OD	Under behandling	7810	351
2013-02-28	PL692GORE	Status - satt av OD	Under behandling	7809	352
2013-02-28	SS1302	Status - satt av OD	Under behandling	7779	353
2013-02-28	SS1302	Status - satt av OD	Planlagt	7779	354
2013-02-28	ST13312	Status - satt av OD	Under behandling	7808	355
2013-02-28	ST13460	Status - satt av OD	Under behandling	7807	356
2013-02-28	ST13459	Status - satt av OD	Under behandling	7806	357
2013-02-28	TRIII13	Status - satt av OD	Planlagt	7777	358
2013-02-28	HF13	Status - satt av OD	Under behandling	7791	359
2013-02-28	HF13	Status - satt av OD	Planlagt	7791	360
2013-02-28	HFCN13	Status - satt av OD	Planlagt	7786	361
2013-02-28	EMGS1302	Status - satt av OD	Planlagt	7797	362
2013-02-27	ST13461	Status - satt av OD	Under behandling	7805	363
2013-02-27	ST13462	Status - satt av OD	Under behandling	7804	364
2013-02-27	ST13303	Melding - sluttmelding	Undersøkelsen ble ferdig om ettermiddagen 25 Februar.	7765	365
2013-02-27	ST13303	Status - satt av OD	Ferdig	7765	366
2013-02-26	EMGS1301	Status - satt av OD	Planlagt	7772	367
2013-02-26	FP13	Melding - endringsmelding	Justering av programmet	7774	368
2013-02-26	ST12332	Melding - ukemelding	\N	7720	369
2013-02-26	WG1301	Status - satt av OD	Planlagt	7781	370
2013-02-25	ST13303	Melding - ukemelding	\N	7765	371
2013-02-25	CGGV1301	Melding - ukemelding	\N	7769	372
2013-02-25	HBW13	Status - satt av OD	Planlagt	7775	373
2013-02-22	MC3D-Q162013	Status - satt av OD	Planlagt	7782	374
2013-02-22	TEPN-13-1	Status - satt av OD	Planlagt	7780	375
2013-02-21	ST13304	Status - satt av OD	Under behandling	7803	376
2013-02-20	TEPN-12-5	Melding - endringsmelding	Endring av tidsrom. Vi ønsker å utvide tidsrommet til å gjelde til og med 3.mars.	7759	377
2013-02-20	WIN13301	Status - satt av OD	Under behandling	7802	378
2013-02-20	MARIA-SBS	Status - satt av OD	Under behandling	7801	379
2013-02-20	FP13	Status - satt av OD	Planlagt	7774	380
2013-02-20	CGGV1301	Status - satt av OD	Pågående	7769	381
2013-02-20	CGGV1301	Melding - oppstartsmelding	\N	7769	382
2013-02-19	LN13302	Melding - oppstartsmelding	\N	7784	383
2013-02-19	LN13301	Melding - endringsmelding	Call sign og IMO nummer for HU Sverdrup 2 er lagt inn	7783	384
2013-02-19	LN13301	Melding - oppstartsmelding	\N	7783	385
2013-02-19	LN13301	Status - satt av OD	Pågående	7783	386
2013-02-19	LN13302	Status - satt av OD	Pågående	7784	387
2013-02-19	ST13455	Status - satt av OD	Under behandling	7800	388
2013-02-18	ST13456	Status - satt av OD	Under behandling	7799	389
2013-02-18	ST12332	Melding - ukemelding	\N	7720	390
2013-02-18	ST13303	Melding - ukemelding	\N	7765	391
2013-02-18	CGGV1301	Melding - endringsmelding	Melding om fiskerikyndig for undersøkelsen.	7769	392
2013-02-15	ST12006	Status - satt av OD	Ferdig	7625	393
2013-02-15	ST12006	Melding - sluttmelding	Ferdig seismikkinsamling 12.2.2013Avsluttning/demob møte i Bergen 14.2.2013	7625	394
2013-02-14	ST13315	Status - satt av OD	Under behandling	7798	395
2013-02-14	ST13305	Status - satt av OD	Planlagt	7771	396
2013-02-14	EMGS1302	Status - satt av OD	Under behandling	7797	397
2013-02-14	MCG1301	Status - satt av OD	Under behandling	7796	398
2013-02-13	ST13314	Status - satt av OD	Under behandling	7795	399
2013-02-12	ST13305	Status - satt av OD	Under behandling	7771	400
2013-02-12	ST13305	Status - satt av OD	Planlagt	7771	401
2013-02-11	LN13001	Status - satt av OD	Under behandling	7794	402
2013-02-11	ST12006	Melding - ukemelding	En god uke produkjsjon.Forventet avsluttning av jobb 12.2.13	7625	403
2013-02-11	SS1303	Status - satt av OD	Under behandling	7793	404
2013-02-11	ST13303	Melding - ukemelding	\N	7765	405
2013-02-11	ST12332	Melding - endringsmelding	Endring består i at vi anmoder om forlenget innsamlings periode til innhenting av CPT Målinger. Det gjenstående Arbeidet innebærer ingen bruk av seismiske kilder.	7720	406
2013-02-11	ST12332	Melding - ukemelding	\N	7720	407
2013-02-06	ST13003	Status - satt av OD	Planlagt	7773	408
2013-02-05	ST13003	Status - satt av OD	Pågående	7773	409
2013-02-05	ST12006	Melding - ukemelding	Uken preget av dårlig vær (venting på vær)	7625	410
2013-02-05	ST13303	Melding - endringsmelding	Vi har sålangt bare fått en dag med brukbart vær for denne innsamlingen. Vi ser derfor at det er lite sannsynlig at vi blir ferdig med innsamlingen før 12 Februar, og anmoder derfor om å få holde på til slutten av måneden, 28 Februar.	7765	411
2013-02-05	ST12332	Melding - ukemelding	\N	7720	412
2013-02-05	ST13303	Melding - ukemelding	\N	7765	413
2013-02-04	HF13	Status - satt av OD	Under behandling	7791	414
2013-02-04	DN1301	Status - satt av OD	Ferdig	7778	415
2013-02-04	DN1301	Melding - sluttmelding	\N	7778	416
2013-02-04	CE13300	Status - satt av OD	Planlagt	7770	417
2013-02-01	ST12339	Status - satt av OD	Ferdig	7747	418
2013-02-01	ST12332	Status - satt av OD	Pågående	7720	419
2013-02-01	ST12339	Melding - sluttmelding	\N	7747	420
2013-02-01	ST12332	Status - satt av OD	Ferdig	7720	421
2013-02-01	LN13301	Status - satt av OD	Planlagt	7783	422
2013-02-01	LN13302	Status - satt av OD	Planlagt	7784	423
2013-01-30	CP13L05	Status - satt av OD	Under behandling	7790	424
2013-01-30	DN1301	Melding - ukemelding	\N	7778	425
2013-01-28	CE13300	Status - satt av OD	Planlagt	7770	426
2013-01-28	CE13300	Status - satt av OD	Under behandling	7770	427
2013-01-28	SUN13001	Status - satt av OD	Under behandling	7789	428
2013-01-28	ST13303	Melding - ukemelding	\N	7765	429
2013-01-28	ST12332	Melding - ukemelding	\N	7720	430
2013-01-28	ST12339	Melding - ukemelding	\N	7747	431
2013-01-28	ST12006	Melding - ukemelding	Ukemelding preget av dårlig vær	7625	432
2013-01-25	TEPN-12-5	Melding - endringsmelding	Endring av fiskerikyndig representant.Fra 26.januar 2013 vil fiskerikyndig representant ombord på KOMMANDOR være Ronald Hansen. Han tar over for Tor Bang.	7759	433
2013-01-25	LN13302	Melding - endringsmelding	Dette er et samarbeidsprosjekt med FFI og utføres med marinens båt. Pga. båttilgjengelighet meldes det om endret tidsperiode, tidligere oppstart. Ny periode er fra 1.2.2013 til 31.3.2013.	7784	434
2013-01-25	ST12006	Melding - endringsmelding	Denne endringsmelding gjelder:Utlegg av 5 ekstra kabelutlegg i NØ med økt avstand (600m seperasjon i stedet for 300m) Dette vil øke migrasjon aperture inn mot allerede innsamlet data og øke datakvaliteten. Dette ekstra kabelutlegget vil økekildeområdet noe i NØ retning. (justerte koordinater er oppgitt i denne meldingen)90% av redusert innsamlingsprogram er pr 25.1.2013 samlet inn.Resterende innsamling er beregnet å ta 7 dagerDersom værsituasjonen gjør det mulig ønsker Statoil å ha mulighet å fortsette med 5 ekstra kabelutlegg i NØ som nevnt over.Dette for å få samlet arealet mot NQ tilsvarende det opprinnelige innsamlignsarealet.(Ref oppstartsmelding 30.03.2012)Dersom værsituasjonen ikke sansynligjør at de ekstra 5 linjene kan samles inn innenfor et rimelig tidsrom etter de resterende 10% vil dette utgå.Endringen gjelder også:Utvidet periode til 28.2.2012(ref endringsmelding 25.1.2012)Endring gjelder også:Oppdatert Fiskerikyndige detaljer	7625	435
2013-01-25	LN13301	Melding - endringsmelding	Dette er et samarbeidsprosjekt med FFI og utføres med marinens båt. Pga. båttilgjengelighet meldes det om endret tidsperiode, tidligere oppstart. Ny periode er fra 1.2.2013 til 31.3.2013.	7783	436
2013-01-25	ST13303	Melding - oppstartsmelding	Undersøkelsen ble startet i de tidlige morgentimenen av 24 Januar. Det ble samlet inn ca. 77 km data i løpet av dagen. Mot slutten av den 24 ende kom været opp, og en måtte ta opp utstyret.	7765	437
2013-01-25	ST13303	Status - satt av OD	Pågående	7765	438
2013-01-25	ST12317	Melding - sluttmelding	M/V Sea Explorer ble Onsdag kveld 23 Januar ferdig med å utføre CPT Målinger av Havbunnen for ST12317 Undersøkelsen. Selve seismikk innsamlingen ble avsluttet for noen uker siden med fartøyet M/V Ocean Observer	7738	439
2013-01-25	ST12317	Status - satt av OD	Ferdig	7738	440
2013-01-25	MC3D-CGR2013	Status - satt av OD	Under behandling	7787	441
2013-01-02	TEPN-12-5	Melding - ukemelding	\N	7759	500
2013-01-25	WG1301	Melding - endringsmelding	Good afternoon,With this change we will extend the survey by approximately 8km only to half of the southern edge.Best regards,George	7781	442
2013-01-24	HFCN13	Status - satt av OD	Under behandling	7786	443
2013-01-24	LN13302	Status - satt av OD	Under behandling	7784	444
2013-01-24	LN13301	Status - satt av OD	Under behandling	7783	445
2013-01-23	ST12317	Melding - endringsmelding	Endring består i at vi anmoder utvidet periode for å kunne utføre CPT målinger av Havbunnen. Vi er ferdig med seismikk innsamlingen, så det vil ikke bli bruk av seismisk utstyr for det resterende arbeidet.	7738	446
2013-01-22	DN1301	Melding - oppstartsmelding	\N	7778	447
2013-01-22	DN1301	Status - satt av OD	Pågående	7778	448
2013-01-22	ST12332	Melding - endringsmelding	Endring består i at vi ber om utvidet tidsperiode. Seismikk delen av Undersøkelse ST12332 er ferdig, dette gjelder bare CPT arbeidet, som ikke innbærer bruk av seismiske kilder. 9 CPTer er planlagt.	7720	449
2013-01-21	ST12339	Melding - ukemelding	\N	7747	450
2013-01-21	MC3D-Q162013	Status - satt av OD	Under behandling	7782	451
2013-01-21	DN1301	Status - satt av OD	Planlagt	7778	452
2013-01-21	ST12317	Melding - ukemelding	\N	7738	453
2013-01-21	ST12332	Melding - ukemelding	\N	7720	454
2013-01-21	ST12006	Melding - ukemelding	Sigma er pr 18.1.13 ikke lenger i bruk under innsamling. Malene Østervold har nå overtatt.Mannskapsbytte i Bergen 23.1.13Dvs. nye Fiskerikyndige blir fra denne dato:Inge Kjerringvåg (Vikland) +47 99046290Svein Davidsen (Ocean Pearl)  +47 41445091	7625	455
2013-01-21	ST12018	Melding - sluttmelding	\N	7766	456
2013-01-21	ST12018	Status - satt av OD	Ferdig	7766	457
2013-01-21	WG1301	Status - satt av OD	Under behandling	7781	458
2013-01-18	TEPN-13-1	Status - satt av OD	Under behandling	7780	459
2013-01-16	ST12006	Melding - endringsmelding	Endringsmelding gjelder:Utvidelse av innsamlingstidsrom til 28 Februar 2013.Statoil ønsker å utvide innsamlingstidsrommet p.g.a. at kun 9 dager i Desember 2012 var brukbare værmessig til innsamling.Prosjektet har nå også fått styrket seg på fartøysiden med ekstra kabelhåndteringsfartøy (Ocean Pearl) for å få en bedre utnyttelse av værvinduer og bli mer effektive teknisk. Statoil antar at gjenstående innsamlingsprogram vil være avsluttet  i god tid før utgangen av Februar, forutsatt at de væroperative forhold gjør det mulig.Vi antar at 20 døgn med innsamling gjenstår. Innsamlet total  KM i det samme operasjonsområde er planlagt til 5233 KM  i forhold til tidligere redusert program på 4933 Km  Operasjonsområde forblir uendret.Sigma vil utgå som kildefartøy senest 23.1.13, Malene Østervold vil overta så snart det er operasjonelt hensiktsmessig.	7625	460
2013-01-16	CGGV1301	Status - satt av OD	Planlagt	7769	461
2013-01-15	SS1302	Status - satt av OD	Under behandling	7779	462
2013-01-15	TRIII13	Melding - endringsmelding	Endring av omriss og volum	7777	463
2013-01-15	ST12018	Melding - ukemelding	\N	7766	464
2013-01-14	ST12317	Melding - ukemelding	\N	7738	465
2013-01-14	ST12332	Melding - ukemelding	\N	7720	466
2013-01-14	ST12339	Melding - ukemelding	\N	7747	467
2013-01-14	ST12006	Melding - ukemelding	Gode værforhold på feltet, har gjenopptatt innsamlingprogrammet 8 Januar. Forsatt ikke oppe i forventet antall KM pr uke noes som skyldes tekniske utfordringer.Ingen fiskeriaktivitet av betydning på feltet	7625	468
2013-01-11	ST12018	Melding - endringsmelding	Vi søker herved om forlemgelse av undersøkelsen. Vi har blitt forsinket på grunn av dårlig vær on tekniske problemer.	7766	469
2013-01-11	ST13303	Melding - endringsmelding	Endring består i at vi har meldt inn et mindre Netto område enn sist.Antall km er noe endret siden vi må dekke to lokasjoner.Tidsperiode er endret siden vi enda ikke har startet	7765	470
2013-01-11	HBW13	Melding - endringsmelding	Justering av innsamlings- og snuområdene og datatettheten	7775	471
2013-01-11	ST12006	Melding - endringsmelding	Denne endringsmelding gjelder ekstra fartøy Sigma som forsatt vil inngå i flåten som kildefartøy.Pga gode værforhold i uke 2 og 3 vil Statoil unngå teknisk nedetid i 24timer ifm med at Malene Østervold skal overta Sigmas oppgaver. Vi beholder derfor begge fartøy inntil Malene Østervold kan overta for Sigma. Malene Østervold fungerer som vaktfartøy inntil videre.Viser også til endringsmelding 07.01.2013	7625	472
2013-01-11	TO1301-ML	Status - satt av OD	Planlagt	7767	473
2013-01-11	DN1301	Status - satt av OD	Under behandling	7778	474
2013-01-11	FP13	Melding - endringsmelding	Polygonet er tilpasset restriksjoner i nærliggende område	7774	475
2013-01-10	TEPN-12-5	Melding - ukemelding	\N	7759	476
2013-01-10	TRIII13	Status - satt av OD	Under behandling	7777	477
2013-01-10	ST12018	Melding - ukemelding	\N	7766	478
2013-01-08	ST12317	Melding - ukemelding	\N	7738	479
2013-01-08	ST12006	Melding - ukemelding	Vi planlegger bytte av fartøy egen endringsmelding komme med detaljer.	7625	480
2013-01-08	ST12006	Melding - endringsmelding	Endringsmelding gjelder:Ny undersøkelsestillatelsnr.for 2013 : 424Bytte av fartøy:Sigma erstattes av Malene Østervoldestimert bytte dato:8.1.2013Morning Dawn erstattes av Ocean Pearl pr.6.1.2013Fiskerikyndig bytter fartøyArnfinn Eriksen bytter fartøy fra Sigma til Ocean Pearl fra 7.1.2012	7625	481
2013-01-08	HBW13	Status - satt av OD	Under behandling	7775	482
2013-01-07	FP13	Status - satt av OD	Under behandling	7774	483
2013-01-07	TE1102	Melding - sluttmelding	\N	7476	484
2013-01-07	ST11464	Melding - sluttmelding	Denne grunnundersøkelsen er nå ferdig og ble avsluttet kl. 12:00 i dag onsdag 07.12.2011 uten uønskede hendelser av noe slag.	7534	485
2013-01-07	ST12332	Melding - ukemelding	\N	7720	486
2013-01-07	ST12339	Melding - ukemelding	\N	7747	487
2013-01-07	LN12503	Status - satt av OD	Ferdig	7768	488
2013-01-07	LN12503	Melding - sluttmelding	\N	7768	489
2013-01-07	LN12503	Melding - oppstartsmelding	\N	7768	490
2013-01-07	LN12503	Melding - endringsmelding	Forlengelse av tidsperioden til 20.12.12	7768	491
2013-01-07	LN12503	Status - satt av OD	Pause	7768	492
2013-01-04	ST13003	Status - satt av OD	Under behandling	7773	493
2013-01-04	EMGS1301	Status - satt av OD	Under behandling	7772	494
2013-01-03	ST12018	Melding - endringsmelding	Kallesignal og flaggstat har vært oppgitt feil for hovedfartøy.	7766	495
2013-01-03	ST12006	Melding - ukemelding	ingen innsamling i uke 52	7625	496
2013-01-03	ST12018	Status - satt av OD	Pågående	7766	497
2013-01-03	ST12018	Melding - oppstartsmelding	Båten har ligget ved havn siden 19 desember grunnet dårlig vær.	7766	498
2013-01-02	ST12339	Melding - ukemelding	\N	7747	499
2012-05-03	SWB12	Melding - ukemelding	\N	7569	2163
2013-01-02	ST12317	Melding - ukemelding	\N	7738	501
2013-01-02	ST12332	Melding - ukemelding	\N	7720	502
2013-01-02	DA1203	Melding - sluttmelding	\N	7764	503
2013-01-02	DA1203	Status - satt av OD	Ferdig	7764	504
2012-12-28	ST12339	Melding - ukemelding	\N	7747	505
2012-12-28	ST12332	Melding - ukemelding	\N	7720	506
2012-12-28	ST13305	Status - satt av OD	Under behandling	7771	507
2012-12-28	DA1203	Melding - oppstartsmelding	\N	7764	508
2012-12-28	ST12457-ODS2	Melding - sluttmelding	\N	7725	509
2012-12-28	DA1203	Status - satt av OD	Pågående	7764	510
2012-12-28	ST12457-ODS2	Status - satt av OD	Ferdig	7725	511
2012-12-28	ST12006	Melding - ukemelding	\N	7625	512
2012-12-21	ST12332	Melding - endringsmelding	Endring består at vi anmoder om forlenget innsamlings periode til 31 Januar 13. Statoil er ferdig med seismikk innsamlingen, men har 9 CPT målinger som ikke er utført. Det vil ikke bli brukt seismisk utstyr ved utførelse av CPT målingene.	7720	513
2012-12-21	ST13303	Status - satt av OD	Planlagt	7765	514
2012-12-21	CE13300	Status - satt av OD	Under behandling	7770	515
2012-12-19	TO1301-ML	Melding - endringsmelding	Ikke markedstilgjengelig	7767	516
2012-12-19	CGGV1301	Melding - endringsmelding	Lagt inn undersøkelsestillatelse nr. for 2013	7769	517
2012-12-18	ST12006	Melding - endringsmelding	Viser til tidligere endringsmelding av 4.12.2012 på undersøkelsen ST12006.Utført innsamling av planlagt    redusert program er nå 78%.Denne endringsmelding omfatter kun det resterende areal, 169km2, som gjenstår.Dette er mindre areal enn det som ble meldt inn i endringsmelding datert 4.12. Basert på tilbakemeldingen fra Havforskning på forrige endringsmelding håper vi at dette reduserte areal vil kunne bidra til at en kan få fortsette innsamlingsprogrammet fra 1 Januar 2013 Denne endringsmelding omfatter også bytte av Fiskerikyndige fra 19.12.2012Viser også til siste ukerapport hvor det nevnes at Sigma har tekniske problem med kompressor ombord, vi vurderer nå om ny kildefartøy må benyttes. Dersom det blir aktuelt vil ny endringsmelding bli sendt inn.	7625	518
2012-12-18	ST12018	Melding - endringsmelding	1) Endret tidsrom2) Detaljer om fiskerikyndig	7766	519
2012-12-17	LN12503	Status - satt av OD	Pågående	7768	520
2012-12-17	ST12006	Melding - ukemelding	Mannskapsbytte 19.12.2012Nye fiskerikyndige blir fra denne dato:Vikland: Jan I Markussen  +4790169002Sigma: Arnfinn Eriksen+4799736951	7625	521
2012-12-17	ST12317	Melding - ukemelding	\N	7738	522
2012-12-17	ST12339	Melding - ukemelding	\N	7747	523
2012-12-17	ST12332	Melding - ukemelding	\N	7720	524
2012-12-17	TEPN-12-5	Melding - ukemelding	\N	7759	525
2012-12-17	TEPN-12-5	Melding - oppstartsmelding	\N	7759	526
2012-12-17	TEPN-12-4	Melding - sluttmelding	\N	7748	527
2012-12-17	TEPN-12-5	Status - satt av OD	Pågående	7759	528
2012-12-17	TEPN-12-4	Status - satt av OD	Ferdig	7748	529
2012-12-17	ST12457-ODS2	Melding - oppstartsmelding	\N	7725	530
2012-12-17	ST12457-ODS2	Status - satt av OD	Pågående	7725	531
2012-12-14	RE12400	Status - satt av OD	Ferdig	7758	532
2012-12-14	RE12400	Melding - sluttmelding	\N	7758	533
2012-12-14	ST13303	Melding - endringsmelding	Hei, Grunnet endringer i rigg planene, ønsker vi å starte ST13303 innsamlingen når seismikk delen av ST12317 undersøkelsen i blokk 25/9 er ferdig. Dette kan skje i neste uke, værvarselene indikerer brukbart vær ut i uken. Ny dato for oppstart vil da bli 20. Desember, dersom vi er heldige med været på ST12317 innsamlingen i Blokk 25/9.	7765	534
2012-12-13	RE12400	Melding - ukemelding	\N	7758	535
2012-12-12	ST12018	Status - satt av OD	Planlagt	7766	536
2012-12-10	CGGV1301	Status - satt av OD	Under behandling	7769	537
2012-12-10	LN12503	Status - satt av OD	Under behandling	7768	538
2012-12-10	ST12332	Melding - ukemelding	\N	7720	539
2012-12-10	ST12339	Melding - ukemelding	I løpet av Uke 49 ble det samlet inn ca 47 km data, alt 6-7 Desember. Siden har det ikke vært arbeids vær, og Sea Explorer har i Bergen. Ved mannskapskiftet i dag får Odd Johan Horremsbakk avløsning som Fiskerikyndig av Perry Urkedal.	7747	540
2012-12-10	ST12317	Melding - ukemelding	\N	7738	541
2012-12-10	DA1203	Melding - endringsmelding	Innsamlingen utsatt grunnet endret prioritering og dårlig vær	7764	542
2012-12-10	ST12332	Melding - ukemelding	\N	7720	543
2012-12-06	ST12339	Status - satt av OD	Pågående	7747	544
2012-12-06	ST12339	Melding - oppstartsmelding	M/V Sea Explorer begynte innsamling av ST12339 sent i går kveld. De vil nok måtte stoppe arbeidet senere i dag, da været er meldt å ta seg opp.	7747	545
2012-12-06	RE12400	Status - satt av OD	Pågående	7758	546
2012-12-06	RE12400	Melding - oppstartsmelding	\N	7758	547
2012-12-05	TO1301-ML	Status - satt av OD	Under behandling	7767	548
2012-12-05	ORG-1205	Status - satt av OD	Ferdig	7754	549
2012-12-05	ORG-1205	Melding - sluttmelding	\N	7754	550
2012-12-05	ST12339	Melding - endringsmelding	Endring består av at vi anmoder om mer innsamlings tid. Ny avslutningsdato nå satt til 31. Januar 2013. Navn på Fiskerikyndige er lagt inn i melding. Utover dette, ingen endringer.	7747	551
2012-12-04	ST12006	Melding - endringsmelding	ENDRING I INNSAMLINGSPERIODEInnsamlingen på Kvitebjørn (ST12006)har pr idag nådd 73% av planlagt program.I hovedsak har tekniske problem med utstyr, dårlig vær samt noe timeshare med nærliggende aktiviteter gjort at dette har tatt mye lengre tid en planlagt.En må derfor be om forlengelse av innsamlingsperioden på grunn av stor usikkerhet med været fremover, så har en nå satt 31 Januar 2013 som sluttdato.Denne endringsmelding har også korrigert antall Båt km fra 6294 km til 4933km dette km tall ble ikke korrigert i forrige endringsmelding datert 21.09.2012 da innsamlingsområde ble justert ned.	7625	552
2012-12-04	ST12317	Melding - ukemelding	\N	7738	553
2012-12-04	ST12328	Melding - sluttmelding	Vi sier oss ferdig med innsamlingen av ST12328 undersøkelsen. Neste hoved arbeid for M/V Sea Explorer blir ST12339 undersøkelse i Blokk 35/11.	7694	554
2012-12-04	ST12328	Status - satt av OD	Ferdig	7694	555
2012-12-04	ST12018	Status - satt av OD	Under behandling	7766	556
2012-12-03	ST13303	Status - satt av OD	Under behandling	7765	557
2012-12-03	ORG-1205	Melding - oppstartsmelding	\N	7754	558
2012-12-03	ORG-1205	Status - satt av OD	Pågående	7754	559
2012-12-03	EMGS1204	Melding - sluttmelding	\N	7583	560
2012-12-03	EMGS1204	Status - satt av OD	Ferdig	7583	561
2012-12-03	ST12006	Melding - ukemelding	Ukemelding, ingen fiskeriaktivitet til hinder for innsamlingen	7625	562
2012-12-03	HAVEN-GR	Status - satt av OD	Ferdig	7763	563
2012-12-03	HAVEN-GR	Melding - sluttmelding	Grunnundersøkelsene for fremtidig plassering av boligriggen HAVEN ved 2/7S plattformen ble avsluttet 30. november.	7763	564
2012-12-03	ORG-1207	Melding - sluttmelding	\N	7756	565
2012-12-03	ORG-1207	Melding - ukemelding	\N	7756	566
2012-12-03	ORG-1207	Status - satt av OD	Ferdig	7756	567
2012-11-29	HAVEN-GR	Status - satt av OD	Pågående	7763	568
2012-11-29	HAVEN-GR	Melding - oppstartsmelding	Oppstart av grunnundersøkelser for oppjekkbar boligrigg HAVEN på NV siden av fremtidig 2/7-S plattform startet allerede onsdag 28.11.2012.Med gode værutsikter antaes arbeidet å være avsluttet 30.11.2012.	7763	569
2012-11-29	DA1203	Status - satt av OD	Planlagt	7764	570
2012-11-29	ELDFISK-RW-2	Status - satt av OD	Ferdig	7762	571
2012-11-29	ELDFISK-RW-1	Status - satt av OD	Ferdig	7761	572
2012-11-29	ELDFISK-RW-2	Melding - sluttmelding	Arbeidet med grunnundersøkelser i ELDFISK-RW-2 ble avsluttet tirsdag 27.11.2012.	7762	573
2012-11-29	ELDFISK-RW-1	Melding - sluttmelding	Grunnundersøkelsene gjort i ELFISK-RW-1 området ble avsluttett lørdag 24.11.2012.	7761	574
2012-11-29	CP12201	Melding - sluttmelding	Fase 1 av undersøkelsen CP12201 er sluttført. Fase 1 ble avsluttet den 18. mai 2012 da kablene var plukket opp. Fase 2 er forsinket og antas ikke å kunne starte opp før i 2013.	7578	575
2012-11-29	CP12201	Status - satt av OD	Ferdig	7578	576
2012-11-29	CP12201	Melding - sluttmelding	Fase 1 av undersøkelsen CP12201 er sluttført. Fase 1 ble avsluttet den 18. mai 2012 da kablene var plukket opp. Fase 2 er forsinket og antas ikke å kunne starte opp før i 2013.	7578	577
2012-11-28	EMGS1204	Melding - ukemelding	\N	7583	578
2012-11-27	HAVEN-GR	Status - satt av OD	Planlagt	7763	579
2012-11-27	TEPN-12-4	Melding - oppstartsmelding	\N	7748	580
2012-11-27	TEPN-12-4	Status - satt av OD	Pågående	7748	581
2012-11-27	ST12006	Melding - ukemelding	Mannskapsbytte 21.11.2012.Fiskerikyndige er endret på begge fartøy	7625	582
2012-11-26	ST12332	Melding - ukemelding	\N	7720	583
2012-11-26	ST12328	Melding - ukemelding	\N	7694	584
2012-11-26	ST12317	Melding - ukemelding	\N	7738	585
2012-11-26	DA1203	Status - satt av OD	Under behandling	7764	586
2012-11-26	HAVEN-GR	Status - satt av OD	Under behandling	7763	587
2012-11-26	ORG-1207	Melding - ukemelding	\N	7756	588
2012-11-22	ELDFISK-RW-2	Melding - oppstartsmelding	Bucentaur ankom Eldfisk RW1 lokasjone i går 21.11.12 kl 13:50 fra Egersund.En likelydende oppstartsmeling er gitt for  OD nummer 7761 som er en del av samme oppdrag. Bucentaur vi starte denne delen umiddelbart etter ferdigstilling av boreprøver i RW1 området ca. 24.11.2012.For ConocoPhillips Scandinavia Ref. No.: Not. 15094725.	7762	589
2012-11-22	ELDFISK-RW-2	Status - satt av OD	Pågående	7762	590
2012-11-22	ELDFISK-RW-1	Status - satt av OD	Pågående	7761	591
2012-11-22	ELDFISK-RW-1	Melding - oppstartsmelding	Bucentaur ankom Eldfisk RW1 lokasjone i går 21.11.12 kl 13:50 fra Egersund.For ConocoPhillips Scandinavia Ref. No.: Not. 15094725.	7761	592
2012-11-22	ST12457-ODS2	Melding - endringsmelding	The timeframe for the survey has been updated to reflect changes in the schedule.	7725	593
2012-11-22	JACKDAW-OBS	Melding - sluttmelding	\N	7711	594
2012-11-22	JACKDAW-OBS	Status - satt av OD	Ferdig	7711	595
2012-11-21	TEPN-12-2	Status - satt av OD	Ferdig	7728	596
2012-11-21	TEPN-12-2	Melding - sluttmelding	\N	7728	597
2012-11-20	ELDFISK-RW-1	Status - satt av OD	Planlagt	7761	598
2012-11-20	ELDFISK-RW-2	Status - satt av OD	Planlagt	7762	599
2012-11-20	ELDFISK-RW-2	Status - satt av OD	Under behandling	7762	600
2012-11-20	ELDFISK-RW-1	Status - satt av OD	Under behandling	7761	601
2012-11-20	TEPN-12-5	Status - satt av OD	Planlagt	7759	602
2012-11-19	EMGS1204	Melding - ukemelding	\N	7583	603
2012-11-19	ST12332	Melding - endringsmelding	Mye dårlig vær har gjort at vi kanskje kommer til å holde på lenger med ST12332 undersøkelsen enn til vår angitte slutt dato, 05. Desember. Vi anmoder om forlenget periode til 24 Desember. Undersøkelsen kommer også til å bli noe mindre enn først innmeldt grunnet oppankrede rigger i det sydvestlige hjørnet av arbeidsområdet. Utover dette , ingen endringer.	7720	604
2012-11-19	ST12332	Melding - ukemelding	\N	7720	605
2012-11-19	ST12006	Melding - ukemelding	Bytte Fiskerikyndig fra 21.11.2012:Nye vil bli:Inge Kjerringvåg (Vikland)  +47 99046290Svein Davidsen (Sigma)  +47 41445091	7625	606
2012-11-19	GDF12303	Melding - sluttmelding	\N	7731	607
2012-11-19	DG1204-2	Status - satt av OD	Ferdig	7760	608
2012-11-19	DG1204-2	Melding - sluttmelding	\N	7760	609
2012-11-19	DG1204-2	Status - satt av OD	Pågående	7760	610
2012-11-19	DG1204-2	Melding - oppstartsmelding	\N	7760	611
2012-11-19	ORG-1207	Melding - ukemelding	\N	7756	612
2012-11-19	ST12317	Melding - ukemelding	\N	7738	613
2012-11-19	ST12328	Melding - ukemelding	\N	7694	614
2012-11-19	DA1202	Status - satt av OD	Ferdig	7752	615
2012-11-19	DA1202	Melding - sluttmelding	\N	7752	616
2012-11-19	GDF12303	Melding - sluttmelding	\N	7731	617
2012-11-19	GDF12303	Status - satt av OD	Ferdig	7731	618
2012-11-16	TEPN--12-1	Melding - sluttmelding	\N	7727	619
2012-11-16	TEPN-12-4	Melding - endringsmelding	Delay in start due to serious weather delays at previous sites	7748	620
2012-11-16	TEPN-12-2	Melding - endringsmelding	Weather delay in operations at the site. TEPN has reduced scope, but still requires additional time to complete this work	7728	621
2012-11-16	TEPN-12-3	Melding - sluttmelding	Stopped without attending the site. This is now removed from 2012 and will be postponed until spring / summer 2013	7729	622
2012-11-16	TEPN-12-3	Status - satt av OD	Ferdig	7729	623
2012-11-16	TEPN--12-1	Melding - sluttmelding	\N	7727	624
2012-11-16	TEPN--12-1	Status - satt av OD	Ferdig	7727	625
2012-11-16	TEPN-12-2	Status - satt av OD	Pågående	7728	626
2012-11-15	ST12317	Melding - endringsmelding	Endring består i at vi søker om utvidet innsamlings periode. Forlenget til 31 desember. Utover dette, ingen endringer.	7738	627
2012-11-15	TEPN-12-2	Status - satt av OD	Pause	7728	628
2012-11-15	TEPN--12-1	Status - satt av OD	Pause	7727	629
2012-11-14	MC3D-Q16UKEX	Status - satt av OD	Ferdig	7710	630
2012-11-14	MC3D-Q16UKEX	Melding - sluttmelding	Sluttmelding.	7710	631
2012-11-14	DA1202	Melding - ukemelding	\N	7752	632
2012-11-13	ST12328	Melding - ukemelding	\N	7694	633
2012-11-13	ST12332	Melding - ukemelding	\N	7720	634
2012-11-13	ST12317	Melding - ukemelding	\N	7738	635
2012-11-13	DG1204-2	Status - satt av OD	Planlagt	7760	636
2012-11-13	RE12400	Status - satt av OD	Planlagt	7758	637
2012-11-12	EMGS1204	Melding - ukemelding	\N	7583	638
2012-11-12	EMGS1204	Melding - oppstartsmelding	\N	7583	639
2012-11-12	EMGS1204	Status - satt av OD	Pågående	7583	640
2012-11-12	ST12006	Melding - ukemelding	\N	7625	641
2012-11-12	ORG-1206	Status - satt av OD	Ferdig	7755	642
2012-11-12	MC3D-Q16UKEX	Melding - ukemelding	Ukemelding for uke 45.	7710	643
2012-11-12	ORG-1207	Melding - ukemelding	\N	7756	644
2012-11-09	TEPN-12-5	Melding - endringsmelding	Oppstart blir tidligere enn innmeldt. Oppstart ca.20.11.2012.	7759	645
2012-11-09	TEPN-12-5	Melding - endringsmelding	Oppstart blir tidligere enn innmeldt. Oppstart ca.20.11.2012.	7759	646
2012-11-08	ORG-1206	Melding - sluttmelding	\N	7755	647
2012-11-08	DG1204-2	Status - satt av OD	Under behandling	7760	648
2012-11-07	DA1202	Status - satt av OD	Pågående	7752	649
2012-11-07	DA1202	Melding - oppstartsmelding	\N	7752	650
2012-11-07	ORG-1206	Status - satt av OD	Pause	7755	651
2012-11-06	LN12307	Status - satt av OD	Ferdig	7656	652
2012-11-06	LN12307	Melding - sluttmelding	På grunn av meget dårlige værutsikter avbrytes innsamlingen.Innsamlede data ansees som tilstrekkelige.	7656	653
2012-11-06	EM-NVG1	Status - satt av OD	Ferdig	7701	654
2012-11-06	EM-NVG1	Melding - sluttmelding	Sluttmeding.	7701	655
2012-11-06	MC3D-Q16UKEX	Melding - ukemelding	Ukemelding for uke 43.	7710	656
2012-11-06	MC3D-Q16UKEX	Melding - ukemelding	Ukemelding uke 44.	7710	657
2012-11-06	EM-NVG1	Status - satt av OD	Pågående	7701	658
2012-11-05	EM-NVG1	Status - satt av OD	Ferdig	7701	659
2012-11-05	EM-NVG1	Melding - sluttmelding	Sluttmeding.	7701	660
2012-11-05	EM-NVG2	Status - satt av OD	Ferdig	7702	661
2012-11-05	EM-NVG2	Melding - sluttmelding	Sluttmelding.	7702	662
2012-11-05	ST12332	Melding - ukemelding	\N	7720	663
2012-11-05	ST12317	Melding - ukemelding	\N	7738	664
2012-11-05	ST12006	Melding - ukemelding	\N	7625	665
2012-11-05	LN12307	Melding - ukemelding	Denne erstatter tidligere innsendt ukemelding på grunn av feil dato.	7656	666
2012-11-05	ST12328	Melding - ukemelding	\N	7694	667
2012-11-05	LN12307	Melding - ukemelding	\N	7656	668
2012-11-05	ORG-1206	Status - satt av OD	Ferdig	7755	669
2012-11-05	ORG-1207	Melding - oppstartsmelding	\N	7756	670
2012-11-05	ORG-1207	Status - satt av OD	Pågående	7756	671
2012-11-05	ORG-1206	Melding - oppstartsmelding	\N	7755	672
2012-11-05	ORG-1206	Melding - oppstartsmelding	\N	7755	673
2012-11-02	ORG-1206	Melding - endringsmelding	Tidsperioden blir 1 dag. Området er redusert til kun en linje.	7755	674
2012-11-02	ORG-1206	Status - satt av OD	Pågående	7755	675
2012-11-01	ST12331	Melding - sluttmelding	\N	7707	676
2012-11-01	ST12331	Status - satt av OD	Ferdig	7707	677
2012-10-31	ORG-1206	Status - satt av OD	Planlagt	7755	678
2012-10-31	ORG-1207	Status - satt av OD	Planlagt	7756	679
2012-10-29	LN12307	Melding - ukemelding	\N	7656	680
2012-10-29	ST12332	Melding - ukemelding	\N	7720	681
2012-10-29	ST12331	Melding - ukemelding	\N	7707	682
2012-10-29	ST12328	Melding - ukemelding	\N	7694	683
2012-10-29	ST12317	Melding - ukemelding	\N	7738	684
2012-10-29	ST12006	Melding - ukemelding	Kommentar:Oppdatert fiskerikyndige kontaktinfo pga manskapsbytte 25.10.2012	7625	685
2012-10-29	JACKDAW-OBS	Status - satt av OD	Pågående	7711	686
2012-10-29	JACKDAW-OBS	Melding - oppstartsmelding	\N	7711	687
2012-10-29	TO1201-ML	Melding - sluttmelding	\N	7660	688
2012-10-29	TO1201-ML	Status - satt av OD	Ferdig	7660	689
2012-10-25	TEPN--12-1	Melding - oppstartsmelding	\N	7727	690
2012-10-24	TEPN-12-5	Status - satt av OD	Under behandling	7759	691
2012-10-24	RE12400	Status - satt av OD	Under behandling	7758	692
2012-10-24	ST12257	Melding - sluttmelding	\N	7751	693
2012-10-24	ST12257	Status - satt av OD	Ferdig	7751	694
2012-10-24	ST12257	Status - satt av OD	Pågående	7751	695
2012-10-24	SWB12	Melding - sluttmelding	\N	7569	696
2012-10-24	SWB12	Status - satt av OD	Ferdig	7569	697
2012-10-24	ST12257	Melding - oppstartsmelding	Navn på Fiskerikyndig: Edmund Pedersen	7751	698
2012-10-24	CE1202	Status - satt av OD	Ferdig	7688	699
2012-10-24	CE1202	Melding - sluttmelding	\N	7688	700
2012-10-24	MC3D-Q16UKEX	Melding - ukemelding	Ukemelding uke 42.	7710	701
2012-10-24	EM-NVG1	Melding - ukemelding	Ukemelding uke 42.	7701	702
2012-10-23	ST12332	Melding - oppstartsmelding	Det er Ocean Observer som samler inn seismikken for denne undersøkelsen. M/V Sea Explorer vil sannsynligvis utføre CPT målinger av havbunnen.	7720	703
2012-10-23	ST12332	Status - satt av OD	Pågående	7720	704
2012-10-23	ST12006	Melding - ukemelding	I forbindelse med mannskapsbytte 25.10.12 i Bergen vil Fiskerikyndige bli byttet:Kai Leithe vil mønstre på Vikland (tlf +47 98884242)Arnfinn Eriksen vil mønstre på Sigma (tlf 99736951)	7625	705
2012-10-23	LN12307	Melding - oppstartsmelding	Navn på fiskerikyndig. Rettet opp Call sign og IMO nummer	7656	706
2012-10-23	LN12307	Status - satt av OD	Pågående	7656	707
2012-10-23	LN12307	Status - satt av OD	Pågående	7656	708
2012-10-23	LN12311-2	Melding - sluttmelding	Meget bra vær har gitt god produksjon, så søknad om utvidelse av tidsperiode annuleres.	7742	709
2012-10-23	LN12311-2	Status - satt av OD	Ferdig	7742	710
2012-10-23	ORG-1205	Status - satt av OD	Planlagt	7754	711
2012-10-22	SWB12	Melding - ukemelding	\N	7569	712
2012-10-22	ST12331	Melding - ukemelding	\N	7707	713
2012-10-22	ST12317	Melding - ukemelding	\N	7738	714
2012-10-22	EMGS1204	Melding - endringsmelding	Endring av Området	7583	715
2012-10-22	CE1202	Melding - ukemelding	\N	7688	716
2012-10-22	GDF12303	Status - satt av OD	Pågående	7731	717
2012-10-22	GDF12303	Melding - oppstartsmelding	\N	7731	718
2012-10-19	TEPN--12-1	Status - satt av OD	Pågående	7727	719
2012-10-19	TO1201-ML	Melding - endringsmelding	Lengden på aktiv streamer er 7950m.Total lengde på slepet er 9047.5 m.Planlagt seilt båtkm er 2509 kmPlanlagt seilt CDP km er 60225 kmDersom været tillater fortsatt innsamling vil vi fortsette med azimuth 2 og 3 utover i november og desember.	7660	720
2012-10-19	TO1201-ML	Melding - ukemelding	\N	7660	721
2012-10-19	LN12316	Melding - sluttmelding	\N	7744	722
2012-10-19	LN12316	Status - satt av OD	Ferdig	7744	723
2012-10-19	LN12307	Melding - endringsmelding	Meldingen gjelder utvidelse av tidsperiode på grunn av at mye dårlig vær har gjort at Fugro Meridian er sterkt forsinket. Det søkes om utvidelse til 01-12-2012	7656	724
2012-10-19	ST12339	Melding - endringsmelding	Statoil ønsker å inkludere data innsamling for en Template i området, og ST12339 undersøkelsen er derved øket i område mot NNV. I tillegg er det muligheter for at fartøyet M/V Ocean Observer benyttes i stedet for M/V Sea Explorer	7747	725
2012-10-18	EM-NVG2	Melding - oppstartsmelding	Oppstartsmelding.	7702	726
2012-10-18	EM-NVG2	Status - satt av OD	Pågående	7702	727
2012-10-17	ORG-1207	Melding - endringsmelding	Extension of survey areaSurvey vessel name and call signal,tlf and IMO	7756	728
2012-10-17	NPD1204	Melding - sluttmelding	\N	7659	729
2012-10-17	GDF12302	Melding - sluttmelding	\N	7734	730
2012-10-17	GDF12302	Status - satt av OD	Ferdig	7734	731
2012-10-17	NPD1204	Status - satt av OD	Ferdig	7659	732
2012-10-16	MC3D-Q16UKEX	Melding - endringsmelding	Endringsmelding: Endring av det området som er inklusiv snuing.Utvidelse av området til øst for poligonet. Utvidelsen er på ca 10km.	7710	733
2012-10-16	GDF12302	Melding - endringsmelding	På grunn av 10 dager med dårlig vær i begynnelsen av oktober vil det ta 2 dager ekstra for å ferdigstille borestedsundersøkelsen.	7734	734
2012-10-16	EMGS1204	Melding - endringsmelding	Endring av tidsrom og områder	7583	735
2012-10-15	MC3D-Q16UKEX	Melding - ukemelding	Ukemelding uke 41.	7710	736
2012-10-15	SWB12	Melding - ukemelding	\N	7569	737
2012-10-15	EM-NVG1	Melding - ukemelding	Ukemelding for uke 41.	7701	738
2012-10-15	ST12328	Melding - oppstartsmelding	\N	7694	739
2012-10-15	ST12328	Status - satt av OD	Pågående	7694	740
2012-10-15	LN12316	Melding - ukemelding	Mye dårlig vær har forsinket ferdigstillelsen av surveyen.Kallesignal oppdatert for Fugro Meridian	7744	741
2012-10-15	ST12006	Melding - ukemelding	\N	7625	742
2012-10-15	ST12331	Melding - ukemelding	\N	7707	743
2012-10-15	GDF12302	Melding - ukemelding	\N	7734	744
2012-10-15	CE1202	Melding - ukemelding	\N	7688	745
2012-10-15	CE1202	Melding - endringsmelding	Pga lengre perioder med dårlig vær ønsker Centrica Resources (Norge) AS, som operatør for PL 405, å forlenge innsamlingsperioden for CE1202 frem til 1. November 2012, for å få fullført det innmeldte programmet. Wilhelm Magne Klovning vil være fiskerikyndig for den resterende delen av programmet.	7688	746
2012-10-15	ST12317	Melding - ukemelding	\N	7738	747
2012-10-15	TO1201-ML	Melding - ukemelding	\N	7660	748
2012-10-12	ORG-1207	Status - satt av OD	Under behandling	7756	749
2012-10-12	ORG-1206	Status - satt av OD	Under behandling	7755	750
2012-10-12	ORG-1205	Status - satt av OD	Under behandling	7754	751
2012-10-12	LN12311-2	Melding - oppstartsmelding	Surveyen vil starte med Fugro Meridian så snart den er ferdig med å samle inn LN12316. Flexibelt oppstart-tidspunkt på grun av usikkert vær.Fiskerikyndig på plass	7742	752
2012-10-12	LN12311-2	Status - satt av OD	Pågående	7742	753
2012-10-10	DA1202	Status - satt av OD	Planlagt	7752	754
2012-10-10	ST12257	Status - satt av OD	Planlagt	7751	755
2012-10-10	ST12006	Melding - ukemelding	Lite produksjon denne uka grunnet flytting av bunnkabler fra sørvestlig del til nordvestlige delogså Fiskeristopp fra 3.10 kl 1330 opphevet Fredag 5.10 kl 12. samt HSE pause.	7625	756
2012-10-10	ST12331	Status - satt av OD	Pågående	7707	757
2012-10-10	ST12331	Melding - oppstartsmelding	\N	7707	758
2012-10-10	GDF12302	Melding - ukemelding	\N	7734	759
2012-10-10	EM-NVG1	Melding - ukemelding	Ukemelding uke 40.	7701	760
2012-10-09	ST12314	Status - satt av OD	Ferdig	7730	761
2012-10-09	ST12314	Melding - sluttmelding	\N	7730	762
2012-10-09	LN12315	Status - satt av OD	Ferdig	7743	763
2012-10-09	LN12315	Melding - sluttmelding	\N	7743	764
2012-10-09	TEPN-12-2	Melding - ukemelding	\N	7728	765
2012-10-09	TEPN-12-3	Melding - ukemelding	\N	7729	766
2012-10-09	TEPN-12-2	Melding - endringsmelding	FLO change	7728	767
2012-10-09	TEPN-12-3	Melding - endringsmelding	Change of FLO and start date	7729	768
2012-10-09	TEPN-12-3	Melding - oppstartsmelding	\N	7729	769
2012-10-09	TEPN-12-3	Status - satt av OD	Pågående	7729	770
2012-10-08	RE12300	Status - satt av OD	Ferdig	7726	771
2012-10-08	RE12300	Melding - sluttmelding	\N	7726	772
2012-10-08	RE12300	Melding - ukemelding	Kort uke siden surveyet ble avsluttet noe før estimert dato.	7726	773
2012-10-08	ST12317	Melding - ukemelding	\N	7738	774
2012-10-08	ST12314	Melding - ukemelding	\N	7730	775
2012-10-08	CE1202	Melding - ukemelding	\N	7688	776
2012-10-08	WG1203	Status - satt av OD	Ferdig	7735	777
2012-10-08	WG1203	Melding - sluttmelding	Survey completed on 4 October 2012. Vessel has left the area.Undersøkelse gjennomført den 4. oktober 2012. Fartøyet har forlatt området.	7735	778
2012-10-08	WG1203	Melding - ukemelding	Survey completed. Vessel has left the area.Undersøkelse gjennomført. Fartøyet har forlatt området.	7735	779
2012-10-05	WG1203	Status - satt av OD	Pause	7735	780
2012-10-05	JACKDAW-OBS	Melding - endringsmelding	Oppstart utsatt til 24 Oktober 2012	7711	781
2012-10-05	GDF12303	Melding - endringsmelding	På grunn av dårlig vær blir oppstart forsinket. Endringen gjelder tidsrom	7731	782
2012-10-05	ST12314	Melding - endringsmelding	Endring består av at vi ber om en forlenget innsamlings periode. Slik det ser ut nå, vil vi ikke bli ferdige med innsamlingen til 10 Oktober. Vi anmoder derfor om forlenget periode til 03. November. Informasjon om ny Fiskerikyndig som kommer til å avløse Ståle Johannessen som er ombord nå er gitt. Utover dette, ingen endringer.	7730	783
2012-10-05	LN12316	Status - satt av OD	Pågående	7744	784
2012-10-04	LN12316	Melding - oppstartsmelding	Innsamlingen starter med Fugro Meridian umiddelbart etter at LN12315 er ferdig innsamlet, noe som er planlagt til 05.10.2012.Dårlig vær i området kan forskyve oppstarten.	7744	785
2012-10-04	TO1201-ML	Melding - oppstartsmelding	Oppstartsmelding og kontakt tlf nr. til alle 3 fartøyene og FLOene	7660	786
2012-10-04	TO1201-ML	Status - satt av OD	Pågående	7660	787
2012-10-04	ST12317	Status - satt av OD	Pågående	7738	788
2012-10-04	ST12317	Melding - oppstartsmelding	M/V Ocean Observer ankom arbeidsområdet i Blokk 25/9 i morges, men grunnet ugunstig vær er ikke seismikk innsamlingen startet.	7738	789
2012-10-03	EM-NVG1	Melding - oppstartsmelding	\N	7701	790
2012-10-03	EM-NVG1	Status - satt av OD	Pågående	7701	791
2012-10-03	ST12328	Melding - endringsmelding	Endring består i at vi det er en mulighet for at vi kan bruke M/V Ocean Observer for denne innsamlingen. dette fartøyet er lagt inn i meldingen.I tillegg,  siden vi enda ikke har startet innsamlingen, kan det være at vi trenger noe tid utover 19 November, så vi anmoder om å få holde på til 19 desember om det skulle bli nødvendig.	7694	792
2012-10-03	ST12339	Status - satt av OD	Planlagt	7747	793
2012-10-03	RE12300	Melding - ukemelding	\N	7726	794
2012-10-02	ST12316	Melding - sluttmelding	\N	7622	795
2012-10-02	ST12316	Status - satt av OD	Ferdig	7622	796
2012-10-02	ST12314	Melding - oppstartsmelding	M/V Sea Explorer er på vei til Arbeidsområdet ST12314 i Blokk 7120/9 nå, og vil trolig ankomme omtrent klokken 17:00 i dag.	7730	797
2012-10-02	ST12314	Status - satt av OD	Pågående	7730	798
2012-10-02	ST12337	Melding - sluttmelding	\N	7739	799
2012-10-02	ST12337	Melding - oppstartsmelding	\N	7739	800
2012-10-02	ST12336	Melding - sluttmelding	\N	7745	801
2012-10-02	ST12336	Melding - oppstartsmelding	\N	7745	802
2012-10-02	ST12337	Status - satt av OD	Ferdig	7739	803
2012-10-02	ST12336	Status - satt av OD	Ferdig	7745	804
2012-10-02	MC3D-BERYL12	Melding - sluttmelding	Sluttmelding.	7670	805
2012-10-02	MC3D-BERYL12	Melding - ukemelding	Ukemelding uke 39.	7670	806
2012-10-02	MC3D-BERYL12	Status - satt av OD	Ferdig	7670	807
2012-10-02	WG1203	Melding - ukemelding	Vessel in production all week.Fartøy i produksjon hele uken.	7735	808
2012-10-02	MC3D-Q16UKEX	Melding - ukemelding	Ukemelding uke 39.	7710	809
2012-10-02	CE1202	Melding - ukemelding	\N	7688	810
2012-10-01	NBR12	Melding - sluttmelding	\N	7579	811
2012-10-01	NBR12	Status - satt av OD	Ferdig	7579	812
2012-10-01	FP12300	Melding - sluttmelding	\N	7698	813
2012-10-01	DA1202	Status - satt av OD	Under behandling	7752	814
2012-10-01	LN12315	Melding - ukemelding	\N	7743	815
2012-10-01	ST12006	Melding - ukemelding	\N	7625	816
2012-10-01	SWB12	Melding - ukemelding	\N	7569	817
2012-10-01	NBR12	Melding - ukemelding	\N	7579	818
2012-10-01	SEN1201	Status - satt av OD	Ferdig	7666	819
2012-10-01	SEN1201	Melding - sluttmelding	Seismikk programmet ferdig.	7666	820
2012-10-01	CVX1201	Melding - sluttmelding	The Oceanic Champion has completed acquisition work on the PL598 2012 3D NATS survey. Last shot was at 14:26 29-Sep and the Champion began recovering streamers and exited the area of operations at 20:14 29-Sep-2012 completing its demobilisation. Total acquisition for project was 4568.250 km and 109,638 CMP km Project compkleted safely with no recordable incidents	7646	821
2012-10-01	CVX1201	Melding - sluttmelding	The Oceanic Champion has completed acquisition work on the PL598 2012 3D NATS survey. Last shot was at 14:26 29-Sep and the Champion began recovering streamers and exited the area of operations at 20:14 29-Sep-2012 completing its demobilisation.Total acquisition for project was 4568.250 km and 109,638 CMP kmProject compkleted safely with no recordable incidents	7646	822
2012-10-01	EM1202	Melding - sluttmelding	\N	7587	823
2012-10-01	EM1202	Melding - ukemelding	\N	7587	824
2012-10-01	CP12301	Melding - sluttmelding	\N	7714	825
2012-10-01	CP12301	Melding - ukemelding	\N	7714	826
2012-10-01	EM1202	Status - satt av OD	Ferdig	7587	827
2012-10-01	CP12301	Status - satt av OD	Ferdig	7714	828
2012-10-01	CVX1201	Status - satt av OD	Ferdig	7646	829
2012-09-28	GDF12302	Melding - endringsmelding	På grunn av forsinkelser på GDF12301 ble oppstartdato til GDF12302 forskjøvet til 28.09.12 og sluttdato til 15.10.12.	7734	830
2012-09-28	WG1203	Melding - endringsmelding	Extend survey area to the south-west. Later completion date.Utvide undersøkelsesområdet i sør-vest. Senere ferdigstillelse dato.	7735	831
2012-09-28	GDF12302	Status - satt av OD	Pågående	7734	832
2012-09-28	GDF12302	Melding - oppstartsmelding	Forsinket oppstart på GDF12302 på grunn av dårlige vær og problemer med utsyr på GDF12301. Avslutning GDF12302 forventes før 15.10.2012.	7734	833
2012-09-28	GDF12301	Melding - sluttmelding	\N	7733	834
2012-09-28	GDF12301	Status - satt av OD	Ferdig	7733	835
2012-09-28	ST12326	Melding - sluttmelding	Statoil beklager at det ble sendt Ukemelding for denne undersøkelsen i stedet for Sluttmelding 23 August.	7681	836
2012-09-28	ST12326	Status - satt av OD	Ferdig	7681	837
2012-09-28	ST12257	Status - satt av OD	Under behandling	7751	838
2012-09-27	LN12315	Status - satt av OD	Pågående	7743	839
2012-09-26	EM-NVG2	Melding - endringsmelding	Endringsmelding.Endring av den fiskerikyndige til Edmund Pedersen.	7702	840
2012-09-26	EM-NVG1	Melding - endringsmelding	Endringsmelding. Endring av fiskerikyndig til Edmund Pedersen.	7701	841
2012-09-26	ST12317	Melding - endringsmelding	Endring består av tre saker. Endring av Fartøy, det blir M/V Ocean Observer som samler inn ST12317 undersøkelsen. Området er utvidet noe mot vest for å kunne snu fartøet ved innsamling av seismikk til tie brønner.Informasjon om Fiskerikyndig er lagt inn.	7738	842
2012-09-26	LN12315	Melding - oppstartsmelding	På grunn av tilgjengelighet på båt er oppstarten 2 dager tidligere enn tidligere meldt.Fiskerikyndig er lagt til.	7743	843
2012-09-26	ST12329	Melding - sluttmelding	\N	7696	844
2012-09-26	ST12329	Status - satt av OD	Ferdig	7696	845
2012-09-25	DG1204	Status - satt av OD	Ferdig	7724	846
2012-09-25	DG1204	Melding - sluttmelding	\N	7724	847
2012-09-25	DG1203	Status - satt av OD	Ferdig	7723	848
2012-09-25	DG1203	Melding - sluttmelding	\N	7723	849
2012-09-25	DG12-302	Status - satt av OD	Ferdig	7705	850
2012-09-25	DG12-302	Melding - sluttmelding	\N	7705	851
2012-09-25	RE12300	Melding - oppstartsmelding	\N	7726	852
2012-09-25	RE12300	Status - satt av OD	Pågående	7726	853
2012-09-25	SWB12	Melding - endringsmelding	Denne endringsmeldinga erstattar endringsmelding sendt tidlegare i dag. Området er utvida meir mot nordaust og innsamlingperioden er forlenga tom 30.november. Me ber om at rask tilbakemelding, då båten snart er ferdig i nåverande området!	7569	854
2012-09-25	CP12301	Melding - ukemelding	\N	7714	855
2012-09-24	MC3D-Q16UKEX	Melding - endringsmelding	Endringsmelding. Endring av den fiskerikyndige til Arnulf Svendsen.	7710	856
2012-09-24	EM-NVG2	Melding - endringsmelding	Endringsmelding. endring av den fiskerikyndige til Svein Landro.	7702	857
2012-09-24	EM-NVG1	Melding - endringsmelding	Endringsmelding. Endring av fiskerikyndig til Svein Landro.	7701	858
2012-09-24	CVX1201	Melding - ukemelding	Production to date:4018.675 boat km96448.2 CMP kmThe Champion departed Kristiansund on 16 September, redeployed streamers en route to survey area, and returned to production on evening of 19th September. Weather conditions have remained very good since 17th, Made steady progress during week to filling in gap area on western side of survey between racetracks. As of report date, gap area has been closed and remaining 6-1/2 lines on western edge are being acquired. May be able to finish survey by end of coming week if no extended downtime.	7646	859
2012-09-24	MC3D-Q16UKEX	Melding - ukemelding	Ukemelding uke 38.	7710	860
2012-09-24	ST12316	Melding - ukemelding	\N	7622	861
2012-09-24	ST12329	Melding - ukemelding	\N	7696	862
2012-09-24	MC3D-BERYL12	Melding - ukemelding	Ukemelding uke 38.	7670	863
2012-09-24	ST12006	Melding - ukemelding	Ukemelding Mannskapsbytter 26.9 planlagt i Bergen. Det vil da bli byttet Fiskerikyndige som er nevnt i denne melding.	7625	864
2012-09-24	GDF12301	Melding - ukemelding	På grunn av meld dårlig vær vil borestedsundersøkelsen ta lengre tid en planlagt.	7733	865
2012-09-24	MC2D-WBGS12	Status - satt av OD	Ferdig	7715	866
2012-09-24	MC2D-WBGS12	Melding - sluttmelding	\N	7715	867
2012-09-24	MC2D-WBGS12	Melding - ukemelding	Ukemelding for uke 38.	7715	868
2012-09-24	NBR12	Melding - ukemelding	\N	7579	869
2012-09-24	SWB12	Melding - ukemelding	\N	7569	870
2012-09-24	WG1203	Melding - ukemelding	Vessel in production.Fartøy i produksjon.	7735	871
2012-09-24	EMGS1205	Status - satt av OD	Ferdig	7713	872
2012-09-24	EMGS1204	Melding - endringsmelding	Endring av Tidsrom	7583	873
2012-09-24	EMGS1205	Melding - sluttmelding	\N	7713	874
2012-09-24	CE1202	Melding - ukemelding	\N	7688	875
2012-09-24	EM1202	Melding - ukemelding	\N	7587	876
2012-09-24	EOTW12	Status - satt av OD	Ferdig	7605	877
2012-09-24	EOTW12	Melding - sluttmelding	\N	7605	878
2012-09-24	LN12316	Status - satt av OD	Planlagt	7744	879
2012-09-24	LN12316	Melding - endringsmelding	På grunn av tidligere tilgang til båten enn forventet meldes om tidligere oppstart	7744	880
2012-09-24	GDF12301	Melding - endringsmelding	På grunn av dårlig kommer borestedsundersøkelsen å ta 3 dager lengre en planlagt.	7733	881
2012-09-24	RE12300	Melding - endringsmelding	Endret start og slutt tidspunkt pga fortsatt dårlig vær. Nytt tidsrom: 24/9 - 15/10.	7726	882
2012-09-24	SWB12	Melding - endringsmelding	Vi ber om forlenging av innsamlingperioden og utviding av området mot nordaust.	7569	883
2012-09-21	ST12329	Melding - endringsmelding	Grunnen til Endring er at vi sannsynligvis trenger noe mer tid til å avslutte denne undersøkelsen. Derfor er ny sluttdato 17 Oktober.	7696	884
2012-09-21	ST12006	Melding - endringsmelding	Bytte av Fiskerikyndige.Redusering av innsamlingsområde og antall insamlings Km. Øket innsamlingsperiode fra 31.10.2012 til 31.12.2012, p.g.a lav produksjon så langt grunnet tekniske problemer, forventer også forholdsvis lav produksjon fremover pga høst og vintervær.	7625	885
2012-09-21	VNG12301	Status - satt av OD	Ferdig	7652	886
2012-09-20	LN12314	Status - satt av OD	Ferdig	7708	887
2012-09-20	LN12314	Melding - sluttmelding	\N	7708	888
2012-09-20	EOTW12	Melding - ukemelding	\N	7605	889
2012-09-19	TEPN-12-4	Status - satt av OD	Planlagt	7748	890
2012-09-19	CP12301	Melding - ukemelding	\N	7714	891
2012-09-18	ST12329	Melding - ukemelding	Ikke samlet inn seismikk på ST12329 i perioden, pga vær samt CPT innsamling  ST12325	7696	892
2012-09-18	MC3D-Q16UKEX	Melding - ukemelding	Ukemelding uke 37.	7710	893
2012-09-18	CVX1201	Melding - ukemelding	After remobilisation from port for engine repair the previous week, Champion was able to acquire ~ 1-1/2 sail lines before needing to pick up gun-strings and 4 central streamers due to severe weather forecast. Weather subsequently prevented helicopters from making schedule crew change and so Champion picked up the rest of its streamers and made port on Friday (14th)in Kristiansund for crew change and bunkering. As of the 17th Champion is remobilising to survey area and expects to be back in production towards end of week.	7646	894
2012-09-18	MC2D-WBGS12	Melding - ukemelding	Ukemelding for uke 37.	7715	895
2012-09-17	MC3D-BERYL12	Melding - ukemelding	Ukemelding for uke 37.	7670	896
2012-09-17	ST12325	Status - satt av OD	Ferdig	7673	897
2012-09-17	ST12325	Melding - sluttmelding	Innsamling av CPT er nå avsluttet av Sea Explorer og survey ferdigstilt pr. 14/9	7673	898
2012-09-17	ST12329	Melding - endringsmelding	Fiskerikyndig	7696	899
2012-09-17	EMGS1205	Melding - ukemelding	\N	7713	900
2012-09-17	EMGS1203	Status - satt av OD	Ferdig	7560	901
2012-09-17	EMGS1203	Melding - sluttmelding	\N	7560	902
2012-09-17	EMGS1202	Status - satt av OD	Ferdig	7559	903
2012-09-17	EMGS1202	Melding - sluttmelding	\N	7559	904
2012-09-17	EMGS1201	Status - satt av OD	Ferdig	7558	905
2012-09-17	EMGS1201	Melding - sluttmelding	\N	7558	906
2012-09-17	NBR12	Melding - ukemelding	\N	7579	907
2012-09-17	LN12314	Melding - ukemelding	Seismikkdelen ble ferdig den 14. sept. Fortsetter med ROV delen.	7708	908
2012-09-17	SWB12	Melding - ukemelding	\N	7569	909
2012-09-17	ST12006	Melding - ukemelding	\N	7625	910
2012-09-17	WG1203	Melding - ukemelding	Vessel has been in production since 7 September 2012Skipet har vært i produksjon siden 7 september 2012	7735	911
2012-09-17	GDF12301	Status - satt av OD	Pågående	7733	912
2012-09-17	GDF12301	Melding - oppstartsmelding	\N	7733	913
2012-09-17	SEN1201	Melding - ukemelding	Båten har vært værfast i Hammefast i lengre tid. Vil prøve å samle inn data ca 1-2 uker. Før demobilisering for sesongen.	7666	914
2012-09-17	SEN1201	Melding - ukemelding	Båten har vært værfast i Hammefast i lengre tid. Vil prøve å samle inn data ca 1-2 uker. Før demobilisering for sesongen.	7666	915
2012-09-17	SEN1201	Melding - ukemelding	Båten har vært værfast i Hammefast i lengre tid. Vil prøve å samle inn data ca 1-2 uker. Før demobilisering for sesongen.	7666	916
2012-09-17	CE1202	Melding - ukemelding	\N	7688	917
2012-09-17	EM1202	Melding - ukemelding	\N	7587	918
2012-09-14	GDF12303	Melding - endringsmelding	Endringen gjelder endret oppstartsdato på grunn av dårlig vær. Arealet er også justert.	7731	919
2012-09-14	GDF12303	Melding - endringsmelding	Endringen gjelder forsinket oppstart på grunn av dårlig vær ved Shetland. Det er også gjort en justering av arealet av surveyen.	7731	920
2012-09-14	MC2D-WBGS12	Melding - ukemelding	Ukemelding uke 36.	7715	921
2012-09-14	MC3D-Q16UKEX	Melding - ukemelding	Ukemelding uke 36.	7710	922
2012-09-14	MC3D-BERYL12	Melding - ukemelding	Ukemelding uke 36.	7670	923
2012-09-14	DG1203	Status - satt av OD	Pågående	7723	924
2012-09-14	DG1204	Status - satt av OD	Pågående	7724	925
2012-09-14	DG12-301	Status - satt av OD	Ferdig	7704	926
2012-09-14	DG12-302	Melding - endringsmelding	Undersøkelsen er ikke ferdig på grunn av værforhold, så tidsrommet er utvidet til 30.9.12	7705	927
2012-09-14	DG12-301	Melding - sluttmelding	\N	7704	928
2012-09-13	EM1202	Melding - oppstartsmelding	\N	7587	929
2012-09-13	EM1202	Melding - oppstartsmelding	\N	7587	930
2012-09-13	RE12300	Melding - endringsmelding	Endret start og slutt tidspunkt pga dårlig vær. Nytt tidsrom: 18/9 - 5/10.	7726	931
2012-09-13	TEPN-12-3	Melding - endringsmelding	Updates covers: change of company name, change of contact, change of planned start / end dates, revision of outer corners of survey area and vessel km	7729	932
2012-09-13	TEPN--12-1	Melding - endringsmelding	Changes cover the following: Contact detail, License company name (typo before), outer coordinates of survey area (slight variation) and vessel km to run.	7727	933
2012-09-13	TEPN-12-2	Melding - endringsmelding	Update cover: change of company name (typo earlier), change of contact, fishing rep name / tel, adjustment of outer points of survey area and vessel km.	7728	934
2012-09-13	TEPN-12-4	Status - satt av OD	Under behandling	7748	935
2012-09-12	TEPN--12-1	Melding - endringsmelding	Korrigert selskapsnavn	7727	936
2012-09-12	TEPN-12-3	Melding - endringsmelding	Korrigert selskapsnavn	7729	937
2012-09-12	TEPN-12-2	Melding - endringsmelding	korrigert selskapsnavn	7728	938
2012-09-12	DG1204	Melding - endringsmelding	Endret tidsrom, fartøy og lagt inn informasjon om fiskerikyndig	7724	939
2012-09-12	DG1203	Melding - endringsmelding	Endret tidsrom, fartøy og informasjon om fiskerikyndig er lagt inn	7723	940
2012-09-12	ST12336	Status - satt av OD	Planlagt	7745	941
2012-09-12	DG1203	Melding - oppstartsmelding	\N	7723	942
2012-09-12	DG1204	Melding - oppstartsmelding	\N	7724	943
2012-09-12	TEPN--12-1	Melding - endringsmelding	Contact detail and satrt date	7727	944
2012-09-12	ST12316	Melding - endringsmelding	fiskerikyndig	7622	945
2012-09-12	EOTW12	Melding - ukemelding	\N	7605	946
2012-09-11	TEPN-12-2	Status - satt av OD	Pågående	7728	947
2012-09-11	TEPN-12-2	Melding - oppstartsmelding	\N	7728	948
2012-09-11	RE12300	Melding - endringsmelding	Korrigert faks nummer til kontaktperson.Oppstart er utsatt til 13 September.	7726	949
2012-09-10	CP12301	Melding - ukemelding	\N	7714	950
2012-09-10	NPD1204	Melding - endringsmelding	På grun av sykdom vil Trond Roaldseth være fiskerikyndig fra 11.09.12 til avsluttet undersøkelse (ca. 20.10.12)	7659	951
2012-09-10	EMGS1202	Melding - ukemelding	\N	7559	952
2012-09-10	EMGS1203	Melding - ukemelding	\N	7560	953
2012-09-10	EMGS1201	Melding - ukemelding	\N	7558	954
2012-09-10	EMGS1205	Melding - ukemelding	\N	7713	955
2012-09-10	CVX1201	Melding - ukemelding	No incidents and no concerns from an HSE perspective to report. All work was conducted safely.In this last week no acquisition due to weather standby, with no helicopter operations possible.Streamer deployment until September 4th, when the operation had to be halted.Victory-G re-joined Oceanic Champion Sunday, 9th at the acquisition area after having spend most of the week in Krisiansund. Shannon on the way out on 9th after most of the week in Kristiansund.Total Production to date:3502.825 boat km 84067.800 boat CDP	7646	956
2012-09-10	ST12316	Melding - ukemelding	\N	7622	957
2012-09-10	ST12329	Melding - ukemelding	\N	7696	958
2012-09-10	ST12314	Melding - endringsmelding	Statoil har enda ikke fått startet opp ST12314 Undersøkelsen. Undersøkelsen var tenkt utført med M/V Birkeland fra Fugro, men dette fartøyet skal gjøres om til fiskefartøy igjen, så det kommer til å bli M/V Sea Explorer som vil samle inn denne undersøkelsen. Endringer er derfor forlenget innsamlings periode + endring av fartøy.	7730	959
2012-09-10	CE1202	Melding - endringsmelding	Meldingen gjelder endring av fiskerikyndig for neste periode som følge av sykdom	7688	960
2012-09-10	ST12006	Melding - ukemelding	\N	7625	961
2012-09-10	DN1204	Status - satt av OD	Ferdig	7740	962
2012-09-10	CE1202	Melding - ukemelding	\N	7688	963
2012-09-10	SWB12	Melding - ukemelding	\N	7569	964
2012-09-10	NBR12	Melding - ukemelding	\N	7579	965
2012-09-10	DN1204	Melding - sluttmelding	\N	7740	966
2012-09-10	BPN12001	Status - satt av OD	Ferdig	7638	967
2012-09-10	BPN12001	Melding - sluttmelding	Geco Triton avsluttet innsamlingen 5.9.12 arbeidet med å ta inn kablene vil bli avsluttet i dag.Båten vil gå til IJmuiden i Nederland	7638	968
2012-09-07	ST12339	Status - satt av OD	Under behandling	7747	969
2012-09-07	SWB12	Melding - endringsmelding	Vi ber om ein månad forlenging av innsamlingperioden, (tom. 31.oktober) og melder inn fiskerikyndig.	7569	970
2012-09-07	EM1202	Melding - oppstartsmelding	Merk- dato for avgift betalt ikke fylt ut. Har mottatt bekreftelse på at avgift er betalt og mottatt.	7587	971
2012-09-07	EM1202	Status - satt av OD	Pågående	7587	972
2012-09-06	TO1201-ML	Melding - endringsmelding	FLO og MMO	7660	973
2012-09-06	MC3D-Q16UKEX	Melding - endringsmelding	Endring av den fiskerikyndige til Rolf Kåre Jensen.	7710	974
2012-09-06	NPD1204	Melding - endringsmelding	Fire eksta linjer vil bli samlet inn mellom 78 og 83 grader nord. Vi regner med å starte opp med innsamling av disse ekstra linjene fra ca. 16.09.12 med en varighet fra 4 til 7 dager avhengig av værforholdene. Hele undersøkelsen forventes å være avsluttet innen 25.10.12	7659	975
2012-09-06	CP12301	Status - satt av OD	Pågående	7714	976
2012-09-06	CP12301	Melding - oppstartsmelding	\N	7714	977
2012-09-06	MC3D-HVG2012	Melding - sluttmelding	Sluttmelding. Survey ble avsluttet 30 August 2012.	7616	978
2012-09-06	MC3D-HVG2012	Status - satt av OD	Ferdig	7616	979
2012-09-06	FP12300	Melding - sluttmelding	\N	7698	980
2012-09-06	FP12	Melding - oppstartsmelding	\N	7611	981
2012-09-06	FP12300	Status - satt av OD	Ferdig	7698	982
2012-09-06	ST12329	Melding - ukemelding	\N	7696	983
2012-09-06	ST12316	Melding - ukemelding	For ST12316 undersøkelsen brukes fartøyet M/V Birkeland til innsamling av seismikk, mens fartøyet M/V Sea Explorer skal utføre CPT målingene.	7622	984
2012-09-06	DN1204	Status - satt av OD	Pågående	7740	985
2012-09-06	ST12006	Melding - ukemelding	\N	7625	986
2012-09-06	DN1204	Melding - oppstartsmelding	\N	7740	987
2012-09-05	ST12314	Status - satt av OD	Planlagt	7730	988
2012-09-05	ST12336	Status - satt av OD	Under behandling	7745	989
2011-07-04	LO1101	Melding - ukemelding	\N	7394	3688
2012-09-05	ST12314	Melding - endringsmelding	Endring består i at vi utvider området i nederste vestligste hjørnet mot vest for å få med en brønn tie linje. Utover dette, ingen endringer. Vi bruker den tillatelsen vi allerede har for resten av linjene.	7730	990
2012-09-05	TO1201-ML	Melding - endringsmelding	Endring av oppstartsdato	7660	991
2012-09-05	MC3D-HVG2012	Melding - ukemelding	Ukemelding for uke 35.	7616	992
2012-09-05	MC3D-BERYL12	Melding - ukemelding	Ukemelding uke 35.	7670	993
2012-09-05	MC2D-WBGS12	Melding - ukemelding	Ukemelding uke 35.	7715	994
2012-09-05	MC2D-WBGS12	Melding - ukemelding	Ukemelding uke 34.	7715	995
2012-09-05	MC3D-Q16UKEX	Melding - ukemelding	Uke melding uke 35.	7710	996
2012-09-05	MC3D-Q16UKEX	Melding - endringsmelding	Utvidelse av området og tidspunkt.Utvidelse av området opå norsk side og nytt avsluttningstidspunkt til 31.12.2012.	7710	997
2012-09-05	GDF12302	Melding - endringsmelding	På grunn av dårlig vær ved Shetland har mobiliseringsdato for borestedsundersøkelse blitt utsatt. Ny startdato vil mest sannsynlig redusere potensielle ulemper for mulig fiskeaktivitet i området.Innsamlingsområdet har blitt oppdatert for å forbedre dekning rundt mulig brønnlokasjon i PL636. Snuområde inkluderer tieline til 35/9-4 S.	7734	998
2012-09-05	WG1203	Status - satt av OD	Pågående	7735	999
2012-09-05	CVX1201	Melding - ukemelding	There were no recordable HES incidents during the past week, all work was conducted safely.No production was completed due to port enginge problems on the main vessel Oceanic Champion. Repairs were planned at sea, but it turned out that a port call was necessary due to safety concerns.The vessel arrived in Bergen on 27th August and repairs lasted til August 29 when at 9am the vessel left port to conduct offshore sea trials which were successful. The vessel headed to Alesund next arriving on 30th August (crew change). The vessel sailed for the prospect location on PL598 the same day. Currently the vessel is on weather standby with deployed streamers south of the license.Production to date: 3502.825 boat km 84067.800 boat CDP.	7646	1000
2012-09-05	BPN12001	Melding - ukemelding	\N	7638	1001
2012-09-03	NBR12	Melding - ukemelding	\N	7579	1002
2012-09-03	ST12316	Melding - endringsmelding	Statoil anmoder om forlenget innsamlings periode for ST12316 undersøkelsen. Vi regner med at fartøyet M/V Birkeland blir ferdig med ST12316 undersøkelsen før fartøyet blir konvertert til fiskerfartøy igjen. Men i tilfelle vi ikke klarer å bli ferdige, vil det bli M/V Sea Explorer som kommer til å ferdigstille ST12316 undersøkelsen. M/V Sea Explorer vil likevel bli benyttet til å foreta 9 til 13 CPT målinger for ST12316 undersøkelsen. Utover dette, ingen endringer.	7622	1003
2012-09-03	ST12325	Melding - endringsmelding	Den seismiske delen av ST12325 undersøkelsen er utført av M/V Birkeland. Det som gjenstår, er 9 til 13 CPT målinger av havbunnen. Dette arbeidet kommer til å bli utført av M/V Sea Explorer når dette fartøyet er ferdig med ST12329 og ST12314 undersøkelsene, eventuelt innimellom undersøkelsene. Vi anmoder derfor om forlenget periode for ST12325 til å foreta CPT målingene av havbunnen. Det vil ikke bli brukt noe seismisk utstyr for å utføre denne delen av arbeidet. Utover dette, ingen endringer.	7673	1004
2012-09-03	ST12011	Melding - sluttmelding	\N	7637	1005
2012-09-03	ST12011	Status - satt av OD	Ferdig	7637	1006
2012-09-03	EMGS1203	Melding - ukemelding	\N	7560	1007
2012-09-03	EMGS1205	Melding - ukemelding	\N	7713	1008
2012-09-03	EMGS1201	Melding - ukemelding	\N	7558	1009
2012-09-03	EMGS1202	Melding - ukemelding	\N	7559	1010
2012-09-03	ST12457-ODS2	Melding - endringsmelding	I would like to apply for the following change: The date for this soil investigation has changed to 5th November (earliest start date) to 15th December (latest completion date).	7725	1011
2012-09-03	SWB12	Melding - ukemelding	\N	7569	1012
2012-09-03	WG1203	Melding - oppstartsmelding	Start-up notice with fish-rep name and contact details.Oppstart varsel med fisk-rep navn og kontaktinformasjon.	7735	1013
2012-09-03	LN12314	Melding - ukemelding	\N	7708	1014
2012-09-03	CE1202	Melding - ukemelding	\N	7688	1015
2012-09-03	LN12314	Melding - oppstartsmelding	Vi beklager at på grunn av intern misforståelse ble ikke oppstartmelding sendt innen fristen.	7708	1016
2012-09-03	ST12314	Status - satt av OD	Pågående	7730	1017
2012-09-03	ST12453	Melding - sluttmelding	Grunnundersøkelsen på Smørbukk Sør er nå avsluttet	7680	1018
2012-09-03	ST12453	Status - satt av OD	Ferdig	7680	1019
2012-09-03	WG1203	Melding - endringsmelding	Updated contact details for the FLO	7735	1020
2012-08-31	RE12300	Melding - endringsmelding	Korrigert tlf til KontaktpersonInfo om dataformaterEndret båthavnInfo om fiskerikyndig	7726	1021
2012-08-31	GDF12301	Melding - endringsmelding	På grunn av dårlig vær ved Shetland har mobiliseringsdato for borestedsundersøkelse blitt utsatt.Ny startdato vil mest sannsynlig redusere potentiele ulemper for mulig fiskeaktivitet i området.	7733	1022
2012-08-31	LN12316	Status - satt av OD	Under behandling	7744	1023
2012-08-31	WG1203	Melding - endringsmelding	Rettet opp navn på kontraktør.	7735	1024
2012-08-31	ST12330	Melding - sluttmelding	\N	7706	1025
2012-08-31	ST12330	Status - satt av OD	Ferdig	7706	1026
2012-08-30	EOTW12	Melding - endringsmelding	Kun endring av båt - Polarcus Adira blir byttet ut med Polar Duchess. Specs, program og fiskerikyndig forblir de samme.	7605	1027
2012-08-30	EOTW12	Melding - ukemelding	\N	7605	1028
2012-08-30	LN12315	Status - satt av OD	Planlagt	7743	1029
2012-08-30	ST12337	Status - satt av OD	Planlagt	7739	1030
2012-08-29	LN12311-2	Status - satt av OD	Planlagt	7742	1031
2012-08-28	LN12315	Status - satt av OD	Under behandling	7743	1032
2012-08-28	ST12453	Melding - oppstartsmelding	Arbeidet startet på Smørbukk Sør 28. August 2012	7680	1033
2012-08-28	ST12453	Status - satt av OD	Pågående	7680	1034
2012-08-28	MC3D-HVG2012	Melding - ukemelding	Ukemelding uke 34.	7616	1035
2012-08-28	ST12006	Melding - ukemelding	\N	7625	1036
2012-08-28	ST12307	Melding - sluttmelding	\N	7668	1037
2012-08-28	ST12307	Status - satt av OD	Ferdig	7668	1038
2012-08-28	BPN12001	Melding - ukemelding	\N	7638	1039
2012-08-21	ST12011	Melding - ukemelding	\N	7637	1104
2012-08-21	ST12005	Melding - sluttmelding	\N	7599	1105
2012-08-21	ST12005	Status - satt av OD	Ferdig	7599	1106
2012-08-21	EO12301	Melding - ukemelding	\N	7631	1107
2012-08-21	ORG-1203	Melding - sluttmelding	\N	7719	1108
2012-08-21	ORG-1203	Status - satt av OD	Ferdig	7719	1109
2012-08-14	SSG1201	Melding - sluttmelding	\N	7699	1178
2012-08-14	SSG1201	Status - satt av OD	Ferdig	7699	1179
2012-08-14	ORG-1202	Melding - oppstartsmelding	\N	7718	1180
2012-08-28	CVX1201	Melding - ukemelding	Weekly Production:434.275 boat km10422.600 boat CDPTo date:3502.825 boat km84067.800 boat CDPThree days of production during week, then port main engine failed and production halted. Initial inspection showed damage to cylinder head, piston, piston rod, liner, and turbocharger. Replacement parts and service engineers mobilised but determined too many logistical and HSE problems for repair at sea with worsening weather and Champion picked up streamers and headed for port Bergen for repairs. In addition Fishing Officer was released 24 August due to death of his mother.  Champion expected to make port on 27th August where it will be met by eplacement FLO. Anticipate engine repairs and sea trial 27-29th August, then crew change and sailing again for PL598 survey on 30th. Redeployment of streamers and guns anticipated to take 4-6 days. 17 prime sail lines remain plus reshoots for gaps in incomplete lines to complete survey.	7646	1040
2012-08-28	ST12307	Status - satt av OD	Pause	7668	1041
2012-08-27	MC3D-BERYL12	Melding - ukemelding	Ukemelding for uke 34.	7670	1042
2012-08-27	ST12316	Melding - ukemelding	\N	7622	1043
2012-08-27	ST12330	Melding - ukemelding	\N	7706	1044
2012-08-27	ST12329	Melding - ukemelding	\N	7696	1045
2012-08-27	EMGS1202	Melding - ukemelding	\N	7559	1046
2012-08-27	EMGS1203	Melding - ukemelding	\N	7560	1047
2012-08-27	EMGS1205	Melding - ukemelding	\N	7713	1048
2012-08-27	EMGS1201	Melding - ukemelding	\N	7558	1049
2012-08-27	CVX1201	Melding - endringsmelding	Changes: - New fishing officer Johannes Sævik - New survey completion date 10th OctoberChampion has experienced multiple engine failures and is expected to make port in Bergen today to effect repairs. Due to late mobilisation, and extensive weather and technical downtime survey will not be completed by original expected date of 31 August. After repairs Champion will return to PL598 survey around end of the month to finish acquisition. Approximately 7 days to redeploy streamers expected, then 10 days of primary production remaining but more seasonal weather downtime may be aniticpated.	7646	1050
2012-08-27	ST12011	Melding - ukemelding	\N	7637	1051
2012-08-27	ST12329	Melding - oppstartsmelding	Survey start var 24 august	7696	1052
2012-08-27	ST12329	Status - satt av OD	Pågående	7696	1053
2012-08-27	SWB12	Melding - ukemelding	\N	7569	1054
2012-08-27	NBR12	Melding - ukemelding	\N	7579	1055
2012-08-27	CE1202	Melding - ukemelding	\N	7688	1056
2012-08-27	EO12301	Melding - sluttmelding	\N	7631	1057
2012-08-27	EO12301	Status - satt av OD	Ferdig	7631	1058
2012-08-27	VNG12301	Melding - sluttmelding	\N	7652	1059
2012-08-27	EMGS1205	Status - satt av OD	Pågående	7713	1060
2012-08-27	EMGS1205	Melding - oppstartsmelding	\N	7713	1061
2012-08-24	SEN12302	Melding - sluttmelding	Seismikk programmet er ferdig - det gjenstår noe prøvetaking ca 24 timers arbeid	7722	1062
2012-08-24	SEN12302	Status - satt av OD	Ferdig	7722	1063
2012-08-24	GDF12301	Status - satt av OD	Planlagt	7733	1064
2012-08-24	GDF12301	Status - satt av OD	Pågående	7733	1065
2012-08-24	ST12320	Melding - oppstartsmelding	På vei til arbeidsområdet. Regner med oppstart i morgen, 01. August.	7663	1066
2012-08-24	ST12316	Melding - oppstartsmelding	\N	7622	1067
2012-08-24	ST12330	Status - satt av OD	Pågående	7706	1068
2012-08-24	GDF12303	Status - satt av OD	Planlagt	7731	1069
2012-08-24	ST12316	Status - satt av OD	Pågående	7622	1070
2012-08-24	CGGVMCNV1203	Melding - sluttmelding	\N	7703	1071
2012-08-24	CGGVMCNV1203	Status - satt av OD	Ferdig	7703	1072
2012-08-24	ST12307	Melding - ukemelding	\N	7668	1073
2012-08-24	LN12311-2	Status - satt av OD	Under behandling	7742	1074
2012-08-24	ST12316	Melding - ukemelding	\N	7622	1075
2012-08-24	LN12307	Melding - endringsmelding	Innsamlingen er forsinket. Endringen gjelder forlengelse av surveyperioden.	7656	1076
2012-08-24	ST12326	Melding - ukemelding	\N	7681	1077
2012-08-24	ST12325	Melding - ukemelding	\N	7673	1078
2012-08-23	ORG1204	Melding - sluttmelding	\N	7736	1079
2012-08-23	TEPN-12-2	Status - satt av OD	Planlagt	7728	1080
2012-08-23	ORG1204	Status - satt av OD	Ferdig	7736	1081
2012-08-23	WG1203	Status - satt av OD	Planlagt	7735	1082
2012-08-23	BG27-03-2012	Status - satt av OD	Ferdig	7617	1083
2012-08-23	BG27-03-2012	Melding - sluttmelding	\N	7617	1084
2012-08-23	JACKDAW-OBS	Status - satt av OD	Planlagt	7711	1085
2012-08-23	SEN1201	Status - satt av OD	Pågående	7666	1086
2012-08-23	ST12317	Status - satt av OD	Planlagt	7738	1087
2012-08-23	JACKDAW-OBS	Status - satt av OD	Pågående	7711	1088
2012-08-22	DN1204	Status - satt av OD	Planlagt	7740	1089
2012-08-22	BPN12001	Melding - endringsmelding	På grunn av dykker operasjoner og annen aktivitet på Valhall har måtte gjøre endringer i innsamlingen av BPN12001. Disse aktivitetene skulle i utgangspunktet ikke kollidere.Vi oppga 1135 båt km og 22700 CDP km i vår melding. På grunn av endringene blir det nå 1688 båt km og 27008 CDP km.Dette medfører ingen endring i oppgitt område for undersøkelsen. Hoveddelen av utestående innsamling vil være i området nærmest plattformene. Da 50% av innsamlingen er gjennomført fra oppstart 9.8 til dags dato regner vi med å avslutte innen god tid for oppgitt dato 30.9.	7638	1090
2012-08-22	MC3D-Q16UKEX	Melding - ukemelding	Ukemelding uke 33.	7710	1091
2012-08-22	MC3D-HVG2012	Melding - ukemelding	Ukemelding uke 33.	7616	1092
2012-08-22	MC3D-BERYL12	Melding - ukemelding	Ukemelding uke 33.	7670	1093
2012-08-22	EOTW12	Melding - ukemelding	\N	7605	1094
2012-08-22	MC2D-WBGS12	Melding - ukemelding	Ukemelding uke 33.	7715	1095
2012-08-22	LN12002	Melding - sluttmelding	Innsamlingen ble avsluttet den 19. august kl 12:07 lokal tid, og CGG Symphony med følgebåter har forlatt området.Symphony vil komme tilbake for å teste nytt utstyr om ca. 8 dager, en test som vil vare mindre enn 1 dag. I denne testen vil ikke kablene være ute.	7618	1096
2012-08-22	LN12002	Status - satt av OD	Ferdig	7618	1097
2012-08-21	TO1201-ML	Melding - endringsmelding	Nye koordinater på UK siden (pkt 5 og 6)pluss endring av koordinatene i snuområdet (pkt 1-6)Estimert oppstart tidspunkt	7660	1098
2012-08-21	ST12314	Status - satt av OD	Planlagt	7730	1099
2012-08-21	ORG1204	Melding - oppstartsmelding	\N	7736	1100
2012-08-21	ST12006	Melding - ukemelding	Innsamling program gjenopptatt etter samråd med Statoil og Fiskeriorganisasjoner Fred 17.8.12 kl 15 lokal tid. Da det ikke var fikserier på Kvitebjørn feltet.Noe tekniske problem med overflatebøyer i oppstartsfasen.	7625	1101
2012-08-21	WG1203	Melding - endringsmelding	Updated with earlier start date due to vessel ahead of schedule on current survey.	7735	1102
2012-08-21	ORG1204	Melding - oppstartsmelding	\N	7736	1103
2012-08-21	CVX1201	Melding - ukemelding	Champion engine repair completed on the 13th. Additional technical downtime during week due to gun-positioning issues and a broken air-hose. Good weather for week. 46 of 67 prime sail lines acquired with 6 incomplete due to shotpoint gaps. Weekly production:Boat km 657.550Boat CDP 15781.200Total Boat km to date: 3068.550Toal Boat CDP to date: 73645.200	7646	1110
2012-08-21	ORG1204	Status - satt av OD	Pågående	7736	1111
2012-08-21	ORG1204	Status - satt av OD	Planlagt	7736	1112
2012-08-21	BPN12001	Melding - ukemelding	\N	7638	1113
2012-08-21	DG12-302	Melding - endringsmelding	Endring av kontaktperson i selskapet. Kontaktinformasjon angående fiskerikyndig person	7705	1114
2012-08-21	DG12-301	Melding - endringsmelding	Ny kontaktperson hos DONG E&P Norge. I tillegg er navn på FLO lagt inn i meldingen	7704	1115
2012-08-21	DG12-302	Status - satt av OD	Pågående	7705	1116
2012-08-21	DG12-301	Status - satt av OD	Pågående	7704	1117
2012-08-21	DG12-302	Melding - oppstartsmelding	\N	7705	1118
2012-08-21	DG12-301	Melding - oppstartsmelding	\N	7704	1119
2012-08-21	ST12457-ODS2	Status - satt av OD	Planlagt	7725	1120
2012-08-20	CGGVMCNV1203	Melding - oppstartsmelding	\N	7703	1121
2012-08-20	CE1202	Melding - ukemelding	\N	7688	1122
2012-08-20	EMGS1202	Melding - ukemelding	\N	7559	1123
2012-08-20	EMGS1203	Melding - ukemelding	\N	7560	1124
2012-08-20	EMGS1201	Melding - ukemelding	\N	7558	1125
2012-08-20	ORG-1203	Status - satt av OD	Pause	7719	1126
2012-08-20	NBR12	Melding - ukemelding	\N	7579	1127
2012-08-20	SWB12	Melding - ukemelding	\N	7569	1128
2012-08-20	SEN12301	Melding - sluttmelding	\N	7712	1129
2012-08-20	SEN12301	Status - satt av OD	Ferdig	7712	1130
2012-08-20	CGGVMCNV1203	Melding - oppstartsmelding	Survey started on the 19th August, at 10:07 UTC.The permit fee payment will be made today.Best regards,George	7703	1131
2012-08-20	SEN1201	Status - satt av OD	Ferdig	7666	1132
2012-08-20	ST12332	Status - satt av OD	Planlagt	7720	1133
2012-08-20	CGGVMCNV1203	Status - satt av OD	Pågående	7703	1134
2012-08-20	DN1204	Status - satt av OD	Under behandling	7740	1135
2012-08-20	GDF12302	Status - satt av OD	Planlagt	7734	1136
2012-08-20	ORG-1203	Melding - ukemelding	\N	7719	1137
2012-08-17	ST12337	Status - satt av OD	Under behandling	7739	1138
2012-08-17	ST12317	Status - satt av OD	Under behandling	7738	1139
2012-08-17	SEN12302	Status - satt av OD	Pågående	7722	1140
2012-08-17	SEN12302	Melding - oppstartsmelding	\N	7722	1141
2012-08-17	SEN12301	Melding - ukemelding	Det ser ike ut til at info som er lagt tidliger er på plass, oppdaterer derfor.	7712	1142
2012-08-17	SEN12301	Status - satt av OD	Pågående	7712	1143
2012-08-17	SEN12301	Melding - oppstartsmelding	\N	7712	1144
2012-08-17	EOTW12	Melding - endringsmelding	Vi ønsker å utvide den sydligste delen av undersøkelsen mot vest til grensen mot UK, og utvide undersøkelsesområdet med 5 linjer, 3 km, mot syd. Vi vil kunne starte i syd så snart en eventuell tillatelse foreligger for å bli ferdig der før et eventuelt makrellfiske kommer dit.	7605	1145
2012-08-16	JACKDAW-OBS	Melding - endringsmelding	Endret sluttdato til 1 November	7711	1146
2012-08-16	ORG1204	Melding - endringsmelding	Opårettet feil i rapporten angående kontraktør som utfører surveyet	7736	1147
2012-08-16	ORG-1202	Status - satt av OD	Ferdig	7718	1148
2012-08-16	ORG-1202	Melding - sluttmelding	\N	7718	1149
2012-08-16	ORG-1203	Melding - oppstartsmelding	\N	7719	1150
2012-08-16	EOTW12	Melding - ukemelding	\N	7605	1151
2012-08-16	JACKDAW-OBS	Melding - endringsmelding	Forventet oppstart endret fra 15 August til 1 Oktober	7711	1152
2012-08-16	EM1202	Melding - endringsmelding	Informasjon om seismisk kilde.	7587	1153
2012-08-16	NPD1202	Melding - sluttmelding	\N	7642	1154
2012-08-16	NPD1202	Status - satt av OD	Ferdig	7642	1155
2012-08-16	ORG-1203	Status - satt av OD	Pågående	7719	1156
2012-08-15	ST12318	Melding - sluttmelding	\N	7683	1157
2012-08-15	ST12318	Status - satt av OD	Ferdig	7683	1158
2012-08-15	ST12326	Status - satt av OD	Pågående	7681	1159
2012-08-15	ST12326	Melding - oppstartsmelding	ST12326 innmeldt med M/V Sea Explorer som hovedfartøy, men det er M/V Kommandor som gjør arbeidet.	7681	1160
2012-08-15	SH12301	Status - satt av OD	Ferdig	7697	1161
2012-08-15	SH12301	Melding - sluttmelding	\N	7697	1162
2012-08-15	MC3D-Q16UKEX	Melding - ukemelding	Ukemelding uke 32.	7710	1163
2012-08-15	ORG1204	Status - satt av OD	Under behandling	7736	1164
2012-08-14	ORG-1203	Melding - endringsmelding	Reduksjon av surveyområde, nye koordinater, nytt linje km estimat og ny tidsplan.Resten av planlagt survey vil bli rapportert som to nye surveyområder,hhv ORG1204 og ORG1205	7719	1165
2012-08-14	ST12316	Melding - endringsmelding	I stedet for at det blir M/V Sea Explorer som skal samle inn undersøkelse ST12316, blir det i stedet for M/V Birkeland Likevel, M/V Sea Explorer vil samle inn CPT delen av Undersøkelse ST12316, da dette ikke kan utføres av M/V Birkeland. Vi har derfor i denne endringsmeldingen lagt til fartøyet M/S Birkeland, og selskapet Fugro.	7622	1166
2012-08-14	ST12325	Melding - endringsmelding	Siden fartøyet som samler inn Borestedsundersøkelse ST12325, M/V Birkeland, ikke kan utføre CPT målinger av havbunnen, vil det derfor bli M/V Sea Explorer som kommer til å gjøre denne delen av ST12325undersøkelsen. Denne meldingen er derfor oppdatert med et fartøy til, M/V Sea Explorer.  Vi opplyser på vanlig måte hvem som er fiskerikyndig på M/V Sea Explorer under CPT målingene. Utover dette, ingen endringer.	7673	1167
2012-08-14	BPN12001	Melding - ukemelding	\N	7638	1168
2012-08-14	NPD1203	Status - satt av OD	Ferdig	7667	1169
2012-08-14	NPD1203	Melding - sluttmelding	\N	7667	1170
2012-08-14	LN12311	Melding - sluttmelding	\N	7658	1171
2012-08-14	LN12311	Status - satt av OD	Ferdig	7658	1172
2012-08-14	ORG-1201	Melding - sluttmelding	\N	7717	1173
2012-08-14	ORG-1201	Status - satt av OD	Ferdig	7717	1174
2012-08-14	CVX1201	Melding - ukemelding	Production for week:178 boat km, 4272 CDP kmTotal production to date:2411 boat km, 57864 CDP km32 of 67 sail lines completed.Champion on technical downtime for most of week due to propulsion problems. Rolls Royce service engineers were helicoptered out to vessel on 9th and diagnosed fractured cam shaft on starboard engine. Replacement parts were brought out by Victory-G on the 11th and repairs and sea trial were completed on the 13th.	7646	1175
2012-08-14	LN12311	Status - satt av OD	Pause	7658	1176
2012-08-14	ST12006	Melding - ukemelding	Fartøy standby på feltet pga forventet makrellfiske	7625	1177
2012-08-14	ORG-1202	Status - satt av OD	Pågående	7718	1181
2012-08-13	MC2D-WBGS12	Melding - ukemelding	Uke melding uke 32.	7715	1182
2012-08-13	MC3D-HVG2012	Melding - ukemelding	Ukemelding uke 32.	7616	1183
2012-08-13	EOTW12	Melding - ukemelding	\N	7605	1184
2012-08-13	ST12325	Melding - oppstartsmelding	\N	7673	1185
2012-08-13	ST12325	Status - satt av OD	Pågående	7673	1186
2012-08-13	ST12325	Melding - ukemelding	\N	7673	1187
2012-08-13	LN12002	Melding - ukemelding	Ubetydelig fiskeri aktivitet i området, så ingen konflikter. 92,4 % av surveyen er samlet inn. totalt så langt 2180 kv.km.	7618	1188
2012-08-13	ST12005	Melding - ukemelding	\N	7599	1189
2012-08-13	SWB12	Melding - ukemelding	\N	7569	1190
2012-08-13	EMGS1202	Melding - ukemelding	\N	7559	1191
2012-08-13	EMGS1203	Melding - ukemelding	\N	7560	1192
2012-08-13	NBR12	Melding - ukemelding	\N	7579	1193
2012-08-13	EMGS1201	Melding - ukemelding	\N	7558	1194
2012-08-13	WG1203	Status - satt av OD	Under behandling	7735	1195
2012-08-13	ST12307	Melding - ukemelding	\N	7668	1196
2012-08-13	ST12318	Melding - ukemelding	\N	7683	1197
2012-08-13	NPD1202	Status - satt av OD	Pause	7642	1198
2012-08-13	WIN12003	Melding - sluttmelding	\N	7615	1199
2012-08-13	WIN12003	Status - satt av OD	Ferdig	7615	1200
2012-08-13	CE1202	Melding - ukemelding	\N	7688	1201
2012-08-13	CE1202	Melding - oppstartsmelding	\N	7688	1202
2012-08-13	CE1202	Status - satt av OD	Pågående	7688	1203
2012-08-13	SH12301	Melding - oppstartsmelding	\N	7697	1204
2012-08-13	SH12301	Status - satt av OD	Pågående	7697	1205
2012-08-13	ORG-1201	Melding - ukemelding	\N	7717	1206
2012-08-13	ST12011	Melding - oppstartsmelding	\N	7637	1207
2012-08-13	ST12011	Status - satt av OD	Pågående	7637	1208
2012-08-13	EO12301	Melding - oppstartsmelding	\N	7631	1209
2012-08-13	EO12301	Status - satt av OD	Pågående	7631	1210
2012-08-10	SSG1201	Status - satt av OD	Pause	7699	1211
2012-08-10	MC2D-WBGS12	Status - satt av OD	Pågående	7715	1212
2012-08-09	GDF12302	Status - satt av OD	Under behandling	7734	1213
2012-08-09	GDF12301	Status - satt av OD	Under behandling	7733	1214
2012-08-09	RE12300	Status - satt av OD	Planlagt	7726	1215
2012-08-09	MC2D-WBGS12	Status - satt av OD	Planlagt	7715	1216
2012-08-09	MC2D-WBGS12	Status - satt av OD	Pågående	7715	1217
2012-08-09	MC2D-WBGS12	Melding - oppstartsmelding	Oppstartsmelding. Oppstart 12.08.2012.	7715	1218
2012-08-09	FIN12	Melding - sluttmelding	\N	7661	1219
2012-08-09	FIN12	Status - satt av OD	Ferdig	7661	1220
2012-08-09	ST12318	Melding - oppstartsmelding	Fartøyet er på vei til Undersøkelses område ST12318. Vi venter ankomst senere i ettermiddag med påfølgende oppstart i kveld.	7683	1221
2012-08-09	ST12318	Status - satt av OD	Pågående	7683	1222
2012-08-09	WG1202	Melding - sluttmelding	Acquired two 2D lines of IsoMetrix data.Kjøpte to 2D linjer IsoMetrix data.	7672	1223
2012-08-09	WG1202	Status - satt av OD	Ferdig	7672	1224
2012-08-09	ST12322	Melding - sluttmelding	\N	7675	1225
2012-08-09	ST12322	Status - satt av OD	Ferdig	7675	1226
2012-08-09	NPD1203	Status - satt av OD	Pause	7667	1227
2012-08-08	NPD1203	Status - satt av OD	Ferdig	7667	1228
2012-08-08	ST12006	Melding - ukemelding	\N	7625	1229
2012-08-08	MCG1202	Status - satt av OD	Ferdig	7700	1230
2012-08-08	MCG1202	Melding - sluttmelding	Survey completed.Demobilising in Tromsø	7700	1231
2012-08-08	GDF12303	Status - satt av OD	Under behandling	7731	1232
2012-08-07	CE1201	Status - satt av OD	Ferdig	7654	1233
2012-08-07	CE1201	Melding - sluttmelding	\N	7654	1234
2012-08-07	ST12005	Melding - ukemelding	\N	7599	1235
2012-08-07	WIN12302	Melding - sluttmelding	Innsamling ble avsluttet rett over midtnatt 5.-6. august og fartøyet ankom Bergen midt på dagen 6. august.	7648	1236
2012-08-07	WIN12302	Status - satt av OD	Ferdig	7648	1237
2012-08-06	MC3D-HVG2012	Melding - ukemelding	Uke 31.	7616	1238
2012-08-06	MC3D-Q16UKEX	Melding - ukemelding	Uke 31.	7710	1239
2012-08-06	MC2D-WBGS12	Melding - endringsmelding	Endringsmelding: Endring av den fiskerikyndige til Bjørn Jens Borgan Hanssen.	7715	1240
2012-08-06	ORG-1201	Status - satt av OD	Pågående	7717	1241
2012-08-06	ORG-1201	Melding - oppstartsmelding	\N	7717	1242
2012-08-06	EMGS1202	Melding - ukemelding	\N	7559	1243
2012-08-06	EMGS1203	Melding - ukemelding	\N	7560	1244
2012-08-06	EMGS1201	Melding - ukemelding	\N	7558	1245
2012-08-06	WIN12003	Melding - ukemelding	\N	7615	1246
2012-08-06	MCG1202	Melding - ukemelding	\N	7700	1247
2012-08-06	MC3D-Q16UKEX	Melding - endringsmelding	Endring av den Fiskerikyndige til Ståle Rabben.	7710	1248
2012-08-06	RD1202	Status - satt av OD	Ferdig	7679	1249
2012-08-06	RD1202	Melding - sluttmelding	\N	7679	1250
2012-08-06	NBR12	Melding - ukemelding	\N	7579	1251
2012-08-06	FIN12	Melding - ukemelding	\N	7661	1252
2012-08-06	SWB12	Melding - ukemelding	\N	7569	1253
2012-08-06	WG1202	Melding - ukemelding	\N	7672	1254
2012-08-06	NPD1202	Melding - ukemelding	\N	7642	1255
2012-08-06	ST12322	Melding - ukemelding	\N	7675	1256
2012-08-06	LN12002	Melding - ukemelding	Ingen fiskeriaktivitet i området denne uke.Totalt innsamlet 1995 sq. km. det vil si 84,6 % av survey	7618	1257
2012-08-06	ST12307	Melding - ukemelding	\N	7668	1258
2012-08-06	BPN12001	Melding - oppstartsmelding	Geco Triton har ankommet Valhall, utlegging av kablene vil starte.	7638	1259
2012-08-06	BPN12001	Status - satt av OD	Pågående	7638	1260
2012-08-06	MC2D-WBGS12	Status - satt av OD	Planlagt	7715	1261
2012-08-06	MC3D-BERYL12	Status - satt av OD	Pågående	7670	1262
2012-07-31	ST12005	Melding - ukemelding	\N	7599	1328
2012-07-31	ST12001	Melding - ukemelding	\N	7575	1329
2012-07-31	SEN1201	Melding - ukemelding	\N	7666	1330
2012-07-31	RD1205	Melding - ukemelding	\N	7676	1331
2012-07-31	ST12006	Melding - ukemelding	Lite innsamlings produksjon grunnet tekniske utfordringer med kilde fartøy. (Luftkompressorer)Ingen fiskeriaktivitet av betydning for innsamlingsprogrammet	7625	1332
2012-07-30	NPD1202	Melding - ukemelding	Good production throughout week.	7642	1333
2012-07-30	RD1202	Melding - ukemelding	\N	7679	1334
2012-07-30	ST12313	Melding - ukemelding	\N	7619	1335
2012-07-30	EM1201	Melding - ukemelding	\N	7586	1336
2012-07-30	FIN12	Melding - ukemelding	\N	7661	1337
2012-08-06	CVX1201	Melding - ukemelding	1. No Recordable HES Incidents and all work conducted safely.2. Good safety behavior of the crew, and good use of the SMS (hazard reports, TOP observations).3. HES targets and KPIs achieved for the week4. A total of 873.175 prime sail km completed this week (sequences 22-34).5. Completed the first racetrack (lines 1012-1780) with sequence 33 on August 4th. 6. At the end of this racetrack there were 11 lines marked as incomplete7. Three of these 11 lines were completed with sequence 34.8. Two further passes are planned (Sequence 35 and 36) which will clean up another 5 of the lines marked as incomplete. 9. The lines that will remain incomplete following sequence 35 and 36 are Sequences 9, 14, 25, and 28.10. Sequences 9 and 14 are considered very low priority as these lines each have only 5 consecutive missed SP’s.11. There was no weather standby for the week.12. The Victory G was sent off of the survey to Kristiansund for engine repair on August 3rd due to failure of its port engine.	7646	1263
2012-08-06	ORG-1202	Melding - endringsmelding	Ny fiskerikyndigTelefonnummer,kallesignal og IMO nummer for båtStørrelse på survey (km)	7718	1264
2012-08-06	ORG-1201	Melding - endringsmelding	Ny fiskerikyndig Telefonnummer,kallesignal og IMO nummer for båt	7717	1265
2012-08-06	ST12307	Melding - oppstartsmelding	\N	7668	1266
2012-08-06	ST12307	Status - satt av OD	Pågående	7668	1267
2012-08-06	ST12321	Melding - sluttmelding	\N	7664	1268
2012-08-06	ST12321	Status - satt av OD	Ferdig	7664	1269
2012-08-06	PM10-2012	Melding - sluttmelding	\N	7709	1270
2012-08-06	PM10-2012	Status - satt av OD	Ferdig	7709	1271
2012-08-06	CE1201	Melding - ukemelding	\N	7654	1272
2012-08-06	SH12301	Melding - endringsmelding	Fiskerikyndig og tidsrom	7697	1273
2012-08-03	EM1202	Melding - endringsmelding	Endring gjelder navn på fiskerikyndig - fra 1. sept 2012	7587	1274
2012-08-03	EM1201	Melding - sluttmelding	\N	7586	1275
2012-08-03	EM1201	Status - satt av OD	Ferdig	7586	1276
2012-08-03	ST12332	Melding - endringsmelding	Grunnet makrell fiske i nordlige Nordsjøen, ønsker Statoil å endre innsamlings perioden for ST12332 undersøkelsen til et noe senere tidspunkt. I tillegg vil vi helt sikkert benytte et annet fartøy enn opprinnelig planlagt. Nå blir det sannsynligvis M/V Sea Explorer som blir benyttet til innsamlingen. Utover dette, ingen endringer.	7720	1277
2012-08-03	ST12331	Melding - endringsmelding	Grunnet makrellfisket som kommer i August og September,ønsker vi å endre innsamlings perioden til noe senere på høsten. I tillegg må vi nok bruke et annet fartøy, sannsynligvis M/V Sea Explorer. Utover dette ingen endringer.	7707	1278
2012-08-03	ST12328	Melding - endringsmelding	Statoil utsetter denne undersøkelsen til en tid hvor makrell fisket har avtatt. Vi søker derfor om en innsamlings periode senere på høsten. Da blir det sannsynligvis fartøyet M/V Sea Explorer som blir benyttet til innsamlingen. Utove dette ingen endringer.	7694	1279
2012-08-03	LN12002	Melding - endringsmelding	Meldingen gjelder forandring av netto surveyområde pluss mengder, og forlengelse av tidsrom for fiskerikyndig.	7618	1280
2012-08-03	PM10-2012	Melding - oppstartsmelding	\N	7709	1281
2012-08-03	PM10-2012	Status - satt av OD	Pågående	7709	1282
2012-08-03	ST12001	Melding - sluttmelding	Undersøkelsen ble avsluttet på ettermiddagen 2. aug. 12.Fartøyene er ute av området og på vei til neste prosjekt.	7575	1283
2012-08-03	ST12001	Status - satt av OD	Ferdig	7575	1284
2012-08-03	TEPN-12-3	Status - satt av OD	Planlagt	7729	1285
2012-08-03	TEPN-12-2	Status - satt av OD	Under behandling	7728	1286
2012-08-03	TEPN--12-1	Status - satt av OD	Planlagt	7727	1287
2012-08-03	TEPN-12-2	Status - satt av OD	Planlagt	7728	1288
2012-08-03	SSG1201	Melding - ukemelding	\N	7699	1289
2012-08-02	NSH12	Melding - sluttmelding	\N	7629	1290
2012-08-02	NSH12	Status - satt av OD	Ferdig	7629	1291
2012-08-02	CGGVMCNV1203	Melding - endringsmelding	A small change to update the start date to the 15th August 2012.Best regards,George	7703	1292
2012-08-02	ST12321	Status - satt av OD	Pågående	7664	1293
2012-08-02	ST12321	Melding - oppstartsmelding	\N	7664	1294
2012-08-02	VNG12301	Melding - oppstartsmelding	\N	7652	1295
2012-08-02	VNG12301	Status - satt av OD	Pågående	7652	1296
2012-08-02	ST12320	Melding - sluttmelding	\N	7663	1297
2012-08-02	ST12320	Status - satt av OD	Ferdig	7663	1298
2012-08-02	RD1205	Melding - sluttmelding	\N	7676	1299
2012-08-02	RD1205	Status - satt av OD	Ferdig	7676	1300
2012-08-02	ST12322	Melding - oppstartsmelding	Vi har skiftet fartøy fra Sea EXplorer til M/V Kommandor for denne undersøkelsen. Fartøyet mobiliserte i går, i Kristiansund N	7675	1301
2012-08-02	ST12322	Status - satt av OD	Pågående	7675	1302
2012-08-02	DG1204	Status - satt av OD	Planlagt	7724	1303
2012-08-02	DG1203	Status - satt av OD	Planlagt	7723	1304
2012-08-01	MC3D-BERYL12	Melding - oppstartsmelding	\N	7670	1305
2012-08-01	SEN12302	Status - satt av OD	Planlagt	7722	1306
2012-08-01	ORG-1202	Status - satt av OD	Planlagt	7718	1307
2012-08-01	ORG-1201	Status - satt av OD	Planlagt	7717	1308
2012-08-01	WIN12302	Melding - ukemelding	\N	7648	1309
2012-08-01	NO1201	Melding - sluttmelding	\N	7665	1310
2012-08-01	NO1201	Status - satt av OD	Ferdig	7665	1311
2012-08-01	VNG12301	Melding - endringsmelding	Endringsmeldingen gjelder ny endring av fiskerikyndig. ny fiskerikyndig er Tony Wik Silden.	7652	1312
2012-08-01	ST12320	Status - satt av OD	Pågående	7663	1313
2012-08-01	ST12320	Melding - oppstartsmelding	På vei til arbeidsområdet. Regner med oppstart i morgen, 01. August.	7663	1314
2012-08-01	ST12313	Melding - sluttmelding	\N	7619	1315
2012-08-01	ST12313	Status - satt av OD	Ferdig	7619	1316
2012-07-31	MC3D-Q16UKEX	Melding - ukemelding	Uke 30.	7710	1317
2012-07-31	MC3D-HVG2012	Melding - ukemelding	Uke 30.	7616	1318
2012-07-31	MC3D-LIN12	Melding - ukemelding	Uke 29.	7653	1319
2012-07-31	MC3D-LIN12	Status - satt av OD	Ferdig	7653	1320
2012-07-31	MC3D-LIN12	Melding - sluttmelding	\N	7653	1321
2012-07-31	PM06-2012	Melding - sluttmelding	\N	7689	1322
2012-07-31	PM06-2012	Status - satt av OD	Ferdig	7689	1323
2012-07-31	ST12314	Status - satt av OD	Under behandling	7730	1324
2012-07-31	SEN12302	Melding - endringsmelding	Oppstart dato endret til 12-08-09Snuområde (brutto) 2.5km i både inline/xline riktning	7722	1325
2012-07-31	SEN12301	Melding - endringsmelding	Oppstart dato endret til 2012.08.09	7712	1326
2012-07-31	EO12301	Melding - endringsmelding	Endringsmeldingen gjelder skifte av fiskerikyndig på grunn av forsinket oppstart. Jens Thorsteinsen blir nå meldt som fiskerikyndig.	7631	1327
2012-07-30	EMGS1203	Melding - ukemelding	\N	7560	1338
2012-07-30	NBR12	Melding - ukemelding	\N	7579	1339
2012-07-30	SEN12302	Melding - endringsmelding	Oppstart dato endret til 12-08-09	7722	1340
2012-07-30	ST12454-JH	Melding - oppstartsmelding	\N	7686	1341
2012-07-30	ST12454-JH	Status - satt av OD	Ferdig	7686	1342
2012-07-30	ST12454-JH	Melding - sluttmelding	\N	7686	1343
2012-07-30	EMGS1201	Melding - ukemelding	\N	7558	1344
2012-07-30	EMGS1202	Melding - ukemelding	\N	7559	1345
2012-07-30	SWB12	Melding - ukemelding	\N	7569	1346
2012-07-30	NSH12	Melding - ukemelding	\N	7629	1347
2012-07-30	LN12002	Melding - ukemelding	Ingen fiskeriaktivitet denne uken	7618	1348
2012-07-30	WG1202	Melding - ukemelding	Vessel in production.Fartøy i produksjon.	7672	1349
2012-07-30	CVX1201	Melding - ukemelding	The week was completed without HES incidents and all work was conducted safely.223 prime line kilometers were completed (5366 CMP km).A storm fron which lasted from the 22nd to the 25th resulted in  123.7 hours standby.Supply vessel Shannon was off location from 22nd to 26th to shelter.No cetaceans sighted during the week.	7646	1350
2012-07-30	DN1203	Status - satt av OD	Ferdig	7695	1351
2012-07-30	DN1203	Melding - sluttmelding	\N	7695	1352
2012-07-30	SSG1201	Melding - ukemelding	\N	7699	1353
2012-07-30	PM02-2012	Melding - sluttmelding	\N	7685	1354
2012-07-30	PM02-2012	Status - satt av OD	Ferdig	7685	1355
2012-07-30	SEN12301	Melding - endringsmelding	Endringer gjelder tidsrom.Det er mulig å fremskynde oppstart til 9. august.	7712	1356
2012-07-30	BG1202	Melding - sluttmelding	\N	7624	1357
2012-07-30	BG1202	Status - satt av OD	Ferdig	7624	1358
2012-07-30	BG1201	Melding - sluttmelding	\N	7621	1359
2012-07-30	BG1201	Status - satt av OD	Ferdig	7621	1360
2012-07-27	PM06-2012	Status - satt av OD	Pågående	7689	1361
2012-07-27	PM06-2012	Melding - oppstartsmelding	\N	7689	1362
2012-07-27	MCG1202	Melding - endringsmelding	ny Fiskerikyndige	7700	1363
2012-07-27	CE1201	Melding - ukemelding	\N	7654	1364
2012-07-27	DN1203	Melding - ukemelding	\N	7695	1365
2012-07-27	EOTW12	Melding - ukemelding	\N	7605	1366
2012-07-27	ST12005	Melding - endringsmelding	Nye fiskeriekyndige ombord på WG Amundsen på Snorre ST12005	7599	1367
2012-07-27	FP12300	Melding - endringsmelding	Change to Personel of Fiskerikyndige (FLO)	7698	1368
2012-07-26	TEPN-12-3	Status - satt av OD	Under behandling	7729	1369
2012-07-26	TEPN-12-2	Status - satt av OD	Under behandling	7728	1370
2012-07-26	TEPN--12-1	Status - satt av OD	Under behandling	7727	1371
2012-07-26	BG1201	Status - satt av OD	Pågående	7621	1372
2012-07-25	CE1202	Melding - endringsmelding	Forsinkelse fra foregående jobb er hovedårsak til endringemeldingen. I tillegg er endel tilleggsinformasjon lagt til denne endringsmeldingen som ikke var med i den opprinnelige meldingen.	7688	1373
2012-07-25	ST12001	Melding - endringsmelding	Søker herved om forlengelse av undersøkelsen. Vi har blitt noe forsinket på grunn av tekniske problemer og mye dårlig vær. Vi  har igjen 7 dagers produksjon, men forventer noe vær dødtid fra helgen.	7575	1374
2012-07-24	EO12301	Melding - endringsmelding	Endringsmeldingen gjelder utvidelse av innsamlingsperiode pga forsinket oppstart.	7631	1375
2012-07-24	RD1205	Melding - ukemelding	\N	7676	1376
2012-07-24	MCG1202	Melding - ukemelding	\N	7700	1377
2012-07-24	EMGS1202	Melding - ukemelding	\N	7559	1378
2012-07-24	RE12300	Status - satt av OD	Under behandling	7726	1379
2012-07-24	MCG1202	Melding - ukemelding	\N	7700	1380
2012-07-24	RD1205	Melding - ukemelding	\N	7676	1381
2012-07-24	CVX1201	Melding - ukemelding	For past week 681 km prime sail lines acquired (16344 CDP km). Project total to date is 1125 boat km (27000 CDP km). Vessel went on weather standby Jul 21 and began picking up streamers in anticipation of severe wave conditions (10 m wave heights forecast). Potentially may resume acquisition enar end of coming week.	7646	1382
2012-07-24	ST12457-ODS2	Status - satt av OD	Under behandling	7725	1383
2012-07-24	CE1201	Melding - endringsmelding	Change to survey end date due to survey start-up being later than expected and prolonged poor weather	7654	1384
2012-07-24	ST12011	Melding - endringsmelding	Omsøkt område minskes noe. Tall for CDP km, båt km og netto område inneholder også 2D linjene. Se nye koordinater.Navn på fiskerikyndi satt inn.	7637	1385
2012-07-24	EMGS1203	Melding - oppstartsmelding	\N	7560	1386
2012-07-24	EMGS1203	Status - satt av OD	Pågående	7560	1387
2012-07-24	CP12L04	Melding - sluttmelding	\N	7640	1388
2012-07-24	CP12L04	Status - satt av OD	Ferdig	7640	1389
2012-07-24	CP12L04	Melding - ukemelding	\N	7640	1390
2012-07-24	NPD1202	Melding - ukemelding	\N	7642	1391
2012-07-24	NBR12	Melding - ukemelding	\N	7579	1392
2012-07-24	ST12006	Melding - ukemelding	\N	7625	1393
2012-07-24	SWB12	Melding - ukemelding	\N	7569	1394
2012-07-24	EMGS1201	Melding - ukemelding	\N	7558	1395
2012-07-23	WIN12302	Melding - ukemelding	\N	7648	1396
2012-07-23	WIN12003	Melding - ukemelding	\N	7615	1397
2012-07-23	WIN12302	Melding - endringsmelding	Endringsmeldingen gjelder utvidelse av innsamlingsperioden fra 31. juli til 5. august. Dette pga mer dårlig vær og seismisk interferens enn planlagt samt at værmeldingene ikke ser så bra ut for de nærmeste dagene.	7648	1398
2012-07-23	CE1201	Melding - endringsmelding	Change to survey end date due to survey start-up being later than expected and prolonged poor weather	7654	1399
2012-07-23	ST12313	Melding - ukemelding	\N	7619	1400
2012-07-23	BG1201	Melding - oppstartsmelding	\N	7621	1401
2012-07-23	BG1201	Melding - endringsmelding	Change notification - an extension to the survey period, new end date 31/07/2012	7621	1402
2012-07-23	BG1201	Melding - oppstartsmelding	\N	7621	1403
2012-07-23	FIN12	Melding - endringsmelding	Bytte av fiskerikyndig.	7661	1404
2012-07-23	LN12002	Melding - ukemelding	Ingen fiskeriaktivitet i perioden.	7618	1405
2012-07-23	EM1201	Melding - ukemelding	\N	7586	1406
2012-07-23	FIN12	Melding - ukemelding	\N	7661	1407
2012-07-23	RD1202	Melding - ukemelding	Oppdatert ukerapport.	7679	1408
2012-07-23	ST12005	Melding - ukemelding	\N	7599	1409
2012-07-23	BG1201	Status - satt av OD	Pågående	7621	1410
2012-07-23	BG1201	Status - satt av OD	Planlagt	7621	1411
2012-07-23	NO1201	Melding - ukemelding	\N	7665	1412
2012-07-10	NPD1203	Status - satt av OD	Pågående	7667	1571
2012-07-10	MC3D-LIN12	Melding - ukemelding	\N	7653	1572
2012-07-23	ST12006	Melding - endringsmelding	Denne endringsmelding gjelder skifte av fiskerikyndige. Antall km som det planleggges å samle inn er også økt. I tidligere estimat hadde en ikke tatt med at en i tilleg til de km som skal samles inn som 3D data også skal samle inn 2D data over kablene. En får derfor 1557 km i tillegg til det som tidligere er meld inn	7625	1413
2012-07-23	ST12001	Melding - ukemelding	Det har desverre vært en del tekniske problemer og dårli vær denne uken.	7575	1414
2012-07-23	NSH12	Melding - ukemelding	\N	7629	1415
2012-07-23	PM02-2012	Status - satt av OD	Pågående	7685	1416
2012-07-23	PM02-2012	Melding - oppstartsmelding	\N	7685	1417
2012-07-23	PM01-2012	Melding - sluttmelding	\N	7684	1418
2012-07-23	PM01-2012	Status - satt av OD	Ferdig	7684	1419
2012-07-20	DG1204	Status - satt av OD	Under behandling	7724	1420
2012-07-20	DG1203	Status - satt av OD	Under behandling	7723	1421
2012-07-20	VNG12301	Melding - endringsmelding	Endringen gjelder skifte av fiskerikyndig av logistikkmessige årsaker.	7652	1422
2012-07-20	DN1203	Status - satt av OD	Pågående	7695	1423
2012-07-20	DN1203	Melding - oppstartsmelding	\N	7695	1424
2012-07-20	LN12002	Melding - endringsmelding	Melding om ny fiskerikyndig fra 25. juli:Arne Hestvik6590 TustnaTlf.: 93001722	7618	1425
2012-07-20	CE1201	Melding - ukemelding	\N	7654	1426
2012-07-20	SEN12302	Status - satt av OD	Under behandling	7722	1427
2012-07-20	ST12001	Melding - endringsmelding	Ny fiskeri kyndig om bord.	7575	1428
2012-07-20	SH1201	Melding - sluttmelding	Siste seismiske skudd: 19. juliFartøyet forlater området senest fredag 20.7.2012.	7592	1429
2012-07-20	SH1201	Status - satt av OD	Ferdig	7592	1430
2012-07-19	FP12300	Melding - endringsmelding	Changes have been made to the start and end dates of the survey	7698	1431
2012-07-19	LN12002	Melding - endringsmelding	Utvidelse av tidsrom til 1. oktober grunnet sen fremdrift på grunn av mye time-sharing.Ny følgebåt.	7618	1432
2012-07-19	WIN12001	Melding - sluttmelding	\N	7602	1433
2012-07-19	WIN12001	Status - satt av OD	Ferdig	7602	1434
2012-07-19	WG1202	Status - satt av OD	Pågående	7672	1435
2012-07-18	MC3D-HVG2012	Melding - ukemelding	Uke 28.	7616	1436
2012-07-18	ST12001	Melding - ukemelding	\N	7575	1437
2012-07-18	ST12313	Melding - oppstartsmelding	\N	7619	1438
2012-07-18	ST12313	Status - satt av OD	Pågående	7619	1439
2012-07-18	ST12332	Status - satt av OD	Under behandling	7720	1440
2012-07-18	ORG-1203	Status - satt av OD	Under behandling	7719	1441
2012-07-18	ORG-1202	Status - satt av OD	Under behandling	7718	1442
2012-07-18	ORG-1201	Status - satt av OD	Under behandling	7717	1443
2012-07-18	ST12324	Melding - sluttmelding	\N	7677	1444
2012-07-18	ST12324	Status - satt av OD	Ferdig	7677	1445
2012-07-18	PM01-2012	Status - satt av OD	Pågående	7684	1446
2012-07-18	PM01-2012	Melding - oppstartsmelding	\N	7684	1447
2012-07-18	ST12454-AAH	Melding - oppstartsmelding	\N	7655	1448
2012-07-18	ST12454-JH	Status - satt av OD	Pågående	7686	1449
2012-07-18	MC3D-Q16UKEX	Status - satt av OD	Pågående	7710	1450
2012-07-18	CP12301	Status - satt av OD	Planlagt	7714	1451
2012-07-18	EMGS1205	Status - satt av OD	Planlagt	7713	1452
2012-07-18	SEN12301	Status - satt av OD	Planlagt	7712	1453
2012-07-17	ST12005	Melding - endringsmelding	Nye fiskerikyndige ombord!	7599	1454
2012-07-17	WIN12003	Melding - ukemelding	\N	7615	1455
2012-07-17	WIN12001	Melding - ukemelding	\N	7602	1456
2012-07-17	WIN12302	Melding - ukemelding	\N	7648	1457
2012-07-17	CP12L04	Melding - ukemelding	\N	7640	1458
2012-07-17	NPD1202	Melding - ukemelding	\N	7642	1459
2012-07-17	VNG12301	Melding - endringsmelding	Endringsmeldingen gjelder utvidelse av innsamlingsperiode pga forsinket oppstart.	7652	1460
2012-07-17	RD1205	Melding - ukemelding	\N	7676	1461
2012-07-17	MC3D-Q16UKEX	Melding - oppstartsmelding	\N	7710	1462
2012-07-17	MC3D-Q16UKEX	Melding - endringsmelding	Ønsker oppstart 6 dager før innmeldt - 19.7.2012 - da båten er klar da.	7710	1463
2012-07-17	MC2D-WBGS12	Melding - endringsmelding	Endring av linjene og endring av kilde størrelse	7715	1464
2012-07-17	MC3D-LIN12	Melding - ukemelding	Uke 28.	7653	1465
2012-07-17	EM1201	Melding - ukemelding	\N	7586	1466
2012-07-17	NSH12	Melding - ukemelding	\N	7629	1467
2012-07-17	FIN12	Melding - ukemelding	\N	7661	1468
2012-07-17	NBR12	Melding - ukemelding	\N	7579	1469
2012-07-17	SWB12	Melding - ukemelding	\N	7569	1470
2012-07-17	MCG1202	Melding - endringsmelding	New version of preplot showing detail of more closely spaced lines within permit area. Total line kms is now smaller at 1329 line kilometers	7700	1471
2012-07-17	ST12319	Status - satt av OD	Ferdig	7644	1472
2012-07-17	ST12319	Melding - sluttmelding	\N	7644	1473
2012-07-17	ST12319	Melding - oppstartsmelding	\N	7644	1474
2012-07-17	ST12319	Melding - endringsmelding	Endringer gjelder båter. MV Neptune er brukt i stedet av MV Kommandor.Dermed vil GORE(?) eller Neptune EHF(?) være kontraktor som utfører innsamling (Se også GORE-01, OD-ID: 7645). Men dette kan jeg ikke forandre her.	7644	1475
2012-07-16	ST12315	Status - satt av OD	Ferdig	7643	1476
2012-07-16	ST12315	Melding - sluttmelding	\N	7643	1477
2012-07-16	ST12315	Melding - oppstartsmelding	\N	7643	1478
2012-07-16	ST12005	Melding - ukemelding	\N	7599	1479
2012-07-16	ST12315	Melding - endringsmelding	Endringer gjelder båter. MV Neptune er brukt i stedet av MV Kommandor.Dermed vil GORE være kontraktor som utfører innsamling (Se også GORE-01, OD-ID: 7645). Men dette kan jeg ikke forandre her.	7643	1480
2012-07-16	ST12005	Melding - endringsmelding	Nye fiskerikyndige ombord!	7599	1481
2012-07-16	GORE-01	Status - satt av OD	Ferdig	7645	1482
2012-07-16	GORE-01	Melding - sluttmelding	\N	7645	1483
2012-07-16	PM05-2012	Melding - sluttmelding	\N	7687	1484
2012-07-16	PM05-2012	Status - satt av OD	Ferdig	7687	1485
2012-07-16	ST12305	Melding - sluttmelding	\N	7572	1486
2012-07-16	ST12305	Status - satt av OD	Ferdig	7572	1487
2012-07-16	ST12324	Status - satt av OD	Pågående	7677	1488
2012-07-16	ST12324	Melding - oppstartsmelding	\N	7677	1489
2012-07-16	NO1201	Melding - ukemelding	\N	7665	1490
2012-07-16	LN12002	Melding - ukemelding	Ingen fiskeriaktivitet i området	7618	1491
2012-07-16	ST12006	Melding - ukemelding	\N	7625	1492
2012-07-16	EOTW12	Melding - ukemelding	Polarcus Amani er ferdig med sin del undersøkelsen på EOTW. Polarcus Adira fortsetter	7605	1493
2012-07-16	CVX1201	Melding - ukemelding	Technical problems extended the mobilisation period to 11th of July. First production shot at 16:08 GMT on the 11th of July.Total production to date (2012-07-14):Boat km 443.725CDP km 10649.4The supply vessel Victory G made a port call at Kristiansundon the 12th of July for a crew change and supplies.	7646	1494
2012-07-16	EMGS1202	Melding - ukemelding	\N	7559	1495
2012-07-16	ST12331	Status - satt av OD	Planlagt	7707	1496
2012-07-16	MC3D-Q16UKEX	Status - satt av OD	Planlagt	7710	1497
2012-07-16	MCG1202	Status - satt av OD	Pågående	7700	1498
2012-07-16	MCG1202	Melding - oppstartsmelding	Oppstartmelding: seismic vessel left Kristiansund early this morning for prospect area.	7700	1499
2012-07-16	CE1201	Melding - oppstartsmelding	\N	7654	1500
2012-07-16	CE1201	Status - satt av OD	Pågående	7654	1501
2012-07-16	RD1202	Melding - ukemelding	\N	7679	1502
2012-07-16	ST12454-AAH	Melding - sluttmelding	\N	7655	1503
2012-07-16	ST12454-AAH	Status - satt av OD	Ferdig	7655	1504
2012-07-13	MC2D-WBGS12	Status - satt av OD	Under behandling	7715	1505
2012-07-13	SH1201	Melding - ukemelding	Fullført totalt:  88%	7592	1506
2012-07-13	PM10-2012	Status - satt av OD	Planlagt	7709	1507
2012-07-13	WG1202	Melding - oppstartsmelding	Note that payment of the survey fee will be made early in week 29	7672	1508
2012-07-13	NKFS12	Status - satt av OD	Ferdig	7563	1509
2012-07-13	NKFS12	Melding - sluttmelding	NKFS12 har stått på pause siden 19 mai. Det er nå besluttet at vi ikke kommer til å gjenoppta innsamlingen i år.	7563	1510
2012-07-13	SSG1201	Melding - ukemelding	\N	7699	1511
2012-07-13	CP12301	Status - satt av OD	Under behandling	7714	1512
2012-07-13	EMGS1205	Status - satt av OD	Under behandling	7713	1513
2012-07-13	NPD1201	Status - satt av OD	Ferdig	7620	1514
2012-07-13	NPD1201	Melding - sluttmelding	\N	7620	1515
2012-07-12	DG12-301	Status - satt av OD	Planlagt	7704	1516
2012-07-12	GORE-01	Status - satt av OD	Pause	7645	1517
2012-07-12	NKFS12	Status - satt av OD	Under behandling	7563	1518
2012-07-12	NPD1201	Status - satt av OD	Under behandling	7620	1519
2012-07-12	NPD1201	Status - satt av OD	Pause	7620	1520
2012-07-12	PM05-2012	Melding - oppstartsmelding	\N	7687	1521
2012-07-12	PM05-2012	Status - satt av OD	Pågående	7687	1522
2012-07-12	ST12328	Melding - endringsmelding	Vedlagt Endringmelding for Undersøkelse ST12328. Følgende endringer er gjort.1. Skifte av Fartøy fra Sea Explorer til Birkeland. Det medfører også endring av kontraktør fra Gardline til Fugro.2. Birkeland kan vi får kanskje to uker tidligere enn anntatt, og vi ønsker derfor mulighet til å kunne starte opp to uker tidligere, 27 Juli i stedet for 12 August.	7694	1523
2012-07-12	PM05-2012	Melding - endringsmelding	Ny fiskerikyndig	7687	1524
2012-07-12	PM02-2012	Melding - endringsmelding	Ny fiskerikyndig	7685	1525
2012-07-12	PM09-2012	Melding - sluttmelding	\N	7690	1526
2012-07-12	PM09-2012	Status - satt av OD	Ferdig	7690	1527
2012-07-12	SEN12301	Status - satt av OD	Under behandling	7712	1528
2012-07-12	PM01-2012	Melding - endringsmelding	Ny fiskerirepresentant	7684	1529
2012-07-12	ST12454-AAH	Melding - ukemelding	\N	7655	1530
2012-07-12	EMGS1204	Status - satt av OD	Planlagt	7583	1531
2012-07-12	EMGS1204	Melding - endringsmelding	endring av tid, område,nummer av noder og mengder CDP og Båt km.	7583	1532
2012-07-11	GORE-01	Status - satt av OD	Ferdig	7645	1533
2012-07-11	NPD1201	Status - satt av OD	Ferdig	7620	1534
2012-07-11	NKFS12	Status - satt av OD	Ferdig	7563	1535
2012-07-11	Linnorm	Status - satt av OD	Ferdig	7582	1536
2012-07-11	Linnorm	Melding - sluttmelding	Undersøkelsen er avsluttet, men ikke helt fullført. Det vil sendes ut ny melding når det beslttes å gjennomføre resten av undersøkelsen.Det ble sendt inn en sluttmelding i slutten av mai 2012, men en mottok ikke kopi av denne, hvilket vi antok skyldtes den pågående streiken i OD på det tidspunktet.	7582	1537
2012-07-11	BG1202	Melding - endringsmelding	The survey is still ongoing due the very poor weather conditions currently found at site	7624	1538
2012-07-11	NKFS12	Status - satt av OD	Pågående	7563	1539
2012-07-11	BG1202	Status - satt av OD	Pågående	7624	1540
2012-07-11	ST12311	Status - satt av OD	Ferdig	7590	1541
2012-07-11	NPD1201	Status - satt av OD	Pause	7620	1542
2012-07-11	Linnorm	Status - satt av OD	Pause	7582	1543
2012-07-11	BG1202	Status - satt av OD	Pause	7624	1544
2012-07-11	GORE-01	Status - satt av OD	Pause	7645	1545
2012-07-11	ST12005	Melding - ukemelding	\N	7599	1546
2012-07-11	ST12328	Status - satt av OD	Planlagt	7694	1547
2012-07-10	EMGS1204	Status - satt av OD	Under behandling	7583	1548
2012-07-10	ST12305	Melding - endringsmelding	Grunnet dårlig og ugunstig vær den siste tiden, er det en mulighet for at Statoil ikke klarer å bli ferdig med den planlagte ST12305 undersøkelsen før 17 Juli. Endringsmeldingen er derfor en anmoding om å få holde på 10 dager mer, i tilfelle vi skulle ha bruk for dette. Utover dette, ingen endringer.	7572	1549
2012-07-10	JACKDAW-OBS	Status - satt av OD	Under behandling	7711	1550
2012-07-10	SU1201	Melding - sluttmelding	\N	7576	1551
2012-07-10	MC3D-HVG2012	Melding - endringsmelding	Endringsmelding: Endring av fiskerikyndig til Rolf Kåre Jensen.	7616	1552
2012-07-10	WG1202	Melding - endringsmelding	Updated with fisheries representative details.Oppdatert med fiskeri representative detaljer.Updated start date.Oppdatert startdato.	7672	1553
2012-07-10	MC3D-Q16UKEX	Status - satt av OD	Under behandling	7710	1554
2012-07-10	WIN12003	Melding - ukemelding	\N	7615	1555
2012-07-10	WIN12001	Melding - ukemelding	\N	7602	1556
2012-07-10	ST12001	Melding - ukemelding	\N	7575	1557
2012-07-10	ST12006	Melding - ukemelding	\N	7625	1558
2012-07-10	NPD1202	Melding - ukemelding	\N	7642	1559
2012-07-10	WIN12302	Melding - oppstartsmelding	\N	7648	1560
2012-07-10	SU1201	Status - satt av OD	Ferdig	7576	1561
2012-07-10	WIN12302	Status - satt av OD	Pågående	7648	1562
2012-07-10	RD1205	Melding - oppstartsmelding	\N	7676	1563
2012-07-10	RD1205	Status - satt av OD	Pågående	7676	1564
2012-07-10	ST12330	Status - satt av OD	Planlagt	7706	1565
2012-07-10	LN12314	Status - satt av OD	Planlagt	7708	1566
2012-07-10	CP12L04	Melding - ukemelding	\N	7640	1567
2012-07-10	RS1201	Melding - sluttmelding	\N	7693	1568
2012-07-10	RS1201	Status - satt av OD	Ferdig	7693	1569
2012-07-10	NPD1203	Melding - oppstartsmelding	\N	7667	1570
2012-07-10	MC3D-LIN12	Melding - ukemelding	\N	7653	1573
2012-07-10	SWB12	Melding - ukemelding	\N	7569	1574
2012-07-10	EOTW12	Melding - ukemelding	\N	7605	1575
2012-07-10	MC3D-HVG2012	Melding - ukemelding	\N	7616	1576
2012-07-10	BG1202	Melding - ukemelding	\N	7624	1577
2012-07-10	SU1201	Melding - ukemelding	\N	7576	1578
2012-07-09	EM1201	Melding - ukemelding	\N	7586	1579
2012-07-09	FIN12	Melding - ukemelding	\N	7661	1580
2012-07-09	NBR12	Melding - ukemelding	\N	7579	1581
2012-07-09	EMGS1201	Melding - ukemelding	\N	7558	1582
2012-07-09	EMGS1202	Melding - ukemelding	\N	7559	1583
2012-07-09	NSH12	Melding - ukemelding	\N	7629	1584
2012-07-09	CVX1201	Melding - ukemelding	Main vessel Oceanic Champion left port with supply and chase vessels 29th June and began deploying streamerss the following day. Telemetry problems with several cables required trouble-shooting and change-outs of sections, extending the mobilisation period. Streamers now fully deployed, guns being deployed today, and first production shot is anticipated late evening today.	7646	1585
2012-07-09	LN12002	Melding - ukemelding	Noe fiskeriaktivitet i området, men ingen konflikter.Totalt innsamlet 1202 kvkm av 2750	7618	1586
2012-07-09	BPN12301	Melding - sluttmelding	\N	7639	1587
2012-07-09	BPN12301	Status - satt av OD	Ferdig	7639	1588
2012-07-09	ST12305	Melding - ukemelding	\N	7572	1589
2012-07-09	EOTW12	Melding - ukemelding	\N	7605	1590
2012-07-09	PM10-2012	Status - satt av OD	Under behandling	7709	1591
2012-07-09	LN12314	Status - satt av OD	Under behandling	7708	1592
2012-07-09	EO12301	Melding - endringsmelding	Justering av områdeJustering av tidsromInnmelding av havn og FLO.	7631	1593
2012-07-09	NO1201	Melding - oppstartsmelding	\N	7665	1594
2012-07-09	NO1201	Status - satt av OD	Pågående	7665	1595
2012-07-06	SH1201	Melding - ukemelding	77% fullført	7592	1596
2012-07-06	ST12331	Status - satt av OD	Under behandling	7707	1597
2012-07-06	EM-NVG1	Status - satt av OD	Planlagt	7701	1598
2012-07-06	CGGVMCNV1203	Status - satt av OD	Planlagt	7703	1599
2012-07-06	DG12-302	Status - satt av OD	Planlagt	7705	1600
2012-07-06	RD1202	Status - satt av OD	Pågående	7679	1601
2012-07-06	SSG1201	Melding - ukemelding	\N	7699	1602
2012-07-06	RD1202	Melding - oppstartsmelding	\N	7679	1603
2012-07-05	MCG1202	Melding - endringsmelding	Innmelding av fiskerikyndige Øystein Korneliussen. tlf 414 61 806	7700	1604
2012-07-05	DN1203	Melding - endringsmelding	Endringer:Bytte av båt ogForlenget tidsrom for innsamling	7695	1605
2012-07-05	BPN12301	Status - satt av OD	Pågående	7639	1606
2012-07-05	BPN12301	Melding - oppstartsmelding	13.5km ble samlet inn før midnattmellom plattformene Flanke nord og Flanke Sør venter på riktig værforhold for den siste del	7639	1607
2012-07-05	ST12454-AAH	Status - satt av OD	Pågående	7655	1608
2012-07-05	ST12454-AAH	Melding - oppstartsmelding	\N	7655	1609
2012-07-05	PM09-2012	Status - satt av OD	Pågående	7690	1610
2012-07-05	PM09-2012	Melding - oppstartsmelding	\N	7690	1611
2012-07-05	NO1201	Melding - endringsmelding	Søker om godkjennelse av fiskerikyndig	7665	1612
2012-07-05	EM1201	Melding - endringsmelding	Nr 2 fiskerikyndig på Geco Triton er Johannes Sævik	7586	1613
2012-07-03	TO1201-ML	Status - satt av OD	Planlagt	7660	1614
2012-07-03	BG1202	Melding - endringsmelding	I have updated the details for the fisheries rep, apolologies for the oversight in the startup mail,alan	7624	1615
2012-07-03	EM1202	Melding - endringsmelding	ny planlagt oppstartsdato for OBC surveyen er nå 1. september 2012, mest sannsynlig vil den vare 14 dager.	7587	1616
2012-07-03	RS1201	Melding - ukemelding	Ny fiskerirepresentant	7693	1617
2012-07-03	ST12005	Melding - ukemelding	\N	7599	1618
2012-07-03	SWB12	Melding - ukemelding	\N	7569	1619
2012-07-03	FIN12	Melding - ukemelding	\N	7661	1620
2012-07-03	NBR12	Melding - ukemelding	\N	7579	1621
2012-07-03	NSH12	Melding - ukemelding	\N	7629	1622
2012-07-03	SEN1201	Melding - ukemelding	Mobil nummer til Atlantic Wind var feil ved tidligere melding.Riktig nummer er:+47 85001242	7666	1623
2012-07-03	ST12001	Melding - ukemelding	Det har vært bytte av fiskerikyndige i forbindelse med c rew skifte på båten.	7575	1624
2012-07-03	CP12L04	Melding - ukemelding	\N	7640	1625
2012-07-03	RD1205	Melding - endringsmelding	Endringsmelding gjelder utvidet område og byttet båt.	7676	1626
2012-07-03	ST12330	Status - satt av OD	Under behandling	7706	1627
2012-07-03	FP12300	Status - satt av OD	Planlagt	7698	1628
2012-07-03	EM-NVG2	Status - satt av OD	Planlagt	7702	1629
2012-07-02	LN12002	Melding - ukemelding	Ingen fiskeriaktivitet er rapportert siste uke.	7618	1630
2012-07-02	ST12305	Melding - ukemelding	\N	7572	1631
2012-07-02	ST12012	Melding - ukemelding	\N	7623	1632
2012-07-02	WIN12003	Melding - ukemelding	\N	7615	1633
2012-07-02	WIN12001	Melding - ukemelding	\N	7602	1634
2012-07-02	EMGS1201	Melding - ukemelding	\N	7558	1635
2012-07-02	EMGS1202	Melding - ukemelding	\N	7559	1636
2012-07-02	ST12006	Melding - ukemelding	\N	7625	1637
2012-07-02	ST12012	Melding - sluttmelding	\N	7623	1638
2012-07-02	ST12012	Status - satt av OD	Ferdig	7623	1639
2012-07-02	ST12320	Melding - endringsmelding	Endret klassifisering til ikke markedstilgjengelig	7663	1640
2012-07-02	ST12321	Melding - endringsmelding	Endret klassifisering til ikke markedstilgjengelig	7664	1641
2012-07-02	ST12324	Melding - endringsmelding	Endret klassifisering til ikke markedstilgjengelig	7677	1642
2012-07-02	ST12318	Status - satt av OD	Planlagt	7683	1643
2012-07-02	ST12453	Status - satt av OD	Planlagt	7680	1644
2012-07-02	MCG1201	Melding - sluttmelding	Vessel demobilised in Kirkenes.Change in actual kilometers from planned kilometers is due to last minute changes to line program.	7580	1645
2012-07-02	NKFS12	Status - satt av OD	Ferdig	7563	1646
2012-07-02	DN1203	Status - satt av OD	Planlagt	7695	1647
2012-07-02	DA1201	Status - satt av OD	Ferdig	7614	1648
2012-07-02	DA1201	Melding - sluttmelding	\N	7614	1649
2012-07-02	MCG1201	Melding - sluttmelding	Vessel demobilised in Kirkenes.Change in actual kilometers from planned kilometers is due to last minute changes to line program.	7580	1650
2012-07-02	MCG1201	Status - satt av OD	Ferdig	7580	1651
2012-07-02	ST12323	Melding - sluttmelding	\N	7674	1652
2012-07-02	ST12303	Melding - oppstartsmelding	\N	7551	1653
2012-07-02	ST12323	Status - satt av OD	Ferdig	7674	1654
2012-07-02	SH12301	Status - satt av OD	Planlagt	7697	1655
2012-07-02	NKFS12	Status - satt av OD	Pågående	7563	1656
2012-07-02	NKFS12	Status - satt av OD	Pause	7563	1657
2012-07-02	EM1201	Melding - ukemelding	\N	7586	1658
2012-07-02	FP12	Melding - sluttmelding	\N	7611	1659
2012-07-02	FP12	Status - satt av OD	Ferdig	7611	1660
2012-07-02	FP12	Melding - ukemelding	FP12 innsamlingen ferdigstillt 30 Juni kl 18:00 UTC.	7611	1661
2012-07-02	SU1201	Melding - ukemelding	\N	7576	1662
2012-07-02	EOTW12	Melding - endringsmelding	Ønsker å benytte begge båtene Polarcus Adira og Polarcus Amani i en uke ca. 5.7- - 12.7.12 for å  ferdigstille så mye som mulig før makrellsesongen starter.	7605	1663
2012-07-02	NPD1202	Melding - ukemelding	\N	7642	1664
2012-07-02	GDF1201	Status - satt av OD	Ferdig	7593	1665
2012-07-02	EM-NVG2	Melding - endringsmelding	Endringsmelding.	7702	1666
2012-07-02	PM06-2012	Melding - endringsmelding	Endringer: telefonummer båt, fiskerikyndig	7689	1667
2012-07-02	PM01-2012	Melding - endringsmelding	Endringer: Telefonnr. til båten, fiskerikyndig	7684	1668
2012-07-02	PM02-2012	Melding - endringsmelding	Endringer: telefonnr. til båten, fiskerikyndig	7685	1669
2012-07-02	PM09-2012	Melding - endringsmelding	Endringer:Telfonnummer til båten lagt tilNy fiskerikyndig	7690	1670
2012-07-02	PM05-2012	Status - satt av OD	Planlagt	7687	1671
2012-06-29	MCG1202	Status - satt av OD	Planlagt	7700	1672
2012-06-29	EOTW12	Melding - endringsmelding	Polarcus Amani avslutter og Polarcus Adira overtar undersøkelsen mellom 7. og 15. juli.Ny fiskerikyndig.	7605	1673
2012-06-29	EOTW12	Melding - ukemelding	\N	7605	1674
2012-06-29	DG12-302	Status - satt av OD	Under behandling	7705	1675
2012-06-29	FP12	Melding - ukemelding	\N	7611	1676
2012-06-29	WIN12001	Status - satt av OD	Pågående	7602	1677
2012-06-29	WIN12001	Melding - oppstartsmelding	Forventer å starte innsamlingen i løpet av dagen	7602	1678
2012-06-29	DG12-301	Status - satt av OD	Under behandling	7704	1679
2012-06-29	SH1201	Melding - ukemelding	\N	7592	1680
2012-06-29	NPD1203	Melding - endringsmelding	Området har blitt litt utvidet i vest mellom breddegradene 65°28’00’’N og 66°14’45’’N. Undersøkelsen vil starte opp etter at makrell-tellingen er avlsuttet i områder ca. 10. juli	7667	1681
2012-06-29	GDF-GORE12-3	Melding - sluttmelding	\N	7651	1682
2012-06-29	GDF-GORE12-3	Status - satt av OD	Ferdig	7651	1683
2012-06-29	GDF-GORE12-2	Melding - sluttmelding	\N	7650	1684
2012-06-29	GDF-GORE12-2	Status - satt av OD	Ferdig	7650	1685
2012-06-29	GDF-GORE12-1	Melding - sluttmelding	\N	7649	1686
2012-06-29	GDF-GORE12-1	Status - satt av OD	Ferdig	7649	1687
2012-06-29	SSG1201	Melding - oppstartsmelding	\N	7699	1688
2012-06-29	SSG1201	Status - satt av OD	Pågående	7699	1689
2012-06-28	NPD1204	Melding - endringsmelding	Jan Markussen er fiskerikyndig fra 15.6. - 4.7.2012.	7659	1690
2012-06-28	CE1202	Status - satt av OD	Planlagt	7688	1691
2012-06-28	CGGVMCNV1203	Status - satt av OD	Under behandling	7703	1692
2012-06-28	PM06-2012	Status - satt av OD	Planlagt	7689	1693
2012-06-28	GDF-GORE12-3	Status - satt av OD	Pågående	7651	1694
2012-06-28	GDF-GORE12-3	Melding - oppstartsmelding	\N	7651	1695
2012-06-28	GDF-GORE12-2	Melding - oppstartsmelding	\N	7650	1696
2012-06-28	GDF-GORE12-2	Status - satt av OD	Pågående	7650	1697
2012-06-28	WIN12003	Melding - ukemelding	\N	7615	1698
2012-06-28	WIN12302	Melding - endringsmelding	Det er blitt endring av fiskeri kyndig. Ny fiskeri kyndig person erSvein P. Torissen	7648	1699
2012-06-28	ST12454-JH	Status - satt av OD	Planlagt	7686	1700
2012-06-28	PM02-2012	Status - satt av OD	Planlagt	7685	1701
2012-06-28	PM01-2012	Status - satt av OD	Planlagt	7684	1702
2012-06-27	ST12329	Status - satt av OD	Planlagt	7696	1703
2012-06-27	GDF1201	Status - satt av OD	Planlagt	7593	1704
2012-06-27	GDF1201	Melding - sluttmelding	\N	7593	1705
2012-06-27	SSG1201	Melding - endringsmelding	Modified Gross Area and Net Area due to survey design change. Same net area but different polygon shape.Added Telephone Number for second FLO.	7699	1706
2012-06-27	ST12325	Status - satt av OD	Planlagt	7673	1707
2012-06-27	ST12326	Status - satt av OD	Planlagt	7681	1708
2012-06-27	RS1201	Melding - oppstartsmelding	\N	7693	1709
2012-06-27	EM-NVG2	Status - satt av OD	Under behandling	7702	1710
2012-06-27	EM-NVG1	Status - satt av OD	Under behandling	7701	1711
2012-06-27	RS1201	Status - satt av OD	Pågående	7693	1712
2012-06-27	NSH12	Melding - endringsmelding	Bytte av fiskrikyndig	7629	1713
2012-06-26	MC3D-HVG2012	Melding - ukemelding	Ukemelding	7616	1714
2012-06-26	MC3D-LIN12	Melding - ukemelding	Ukemelding	7653	1715
2012-06-26	SWB12	Melding - endringsmelding	Bytte av fiskerikyndig	7569	1716
2012-06-26	FIN12	Melding - endringsmelding	Bytte av fiskerikyndig.	7661	1717
2012-06-26	NBR12	Melding - endringsmelding	Bytte av fiskerikyndig.	7579	1718
2012-06-26	CP12L04	Melding - ukemelding	\N	7640	1719
2012-06-26	EMGS1201	Melding - ukemelding	\N	7558	1720
2012-06-26	EMGS1202	Melding - ukemelding	\N	7559	1721
2012-06-26	ST12006	Melding - ukemelding	Under mannskapsbytte 22.6 er det 1 fiskerirep. ombord M/V Vikland vi jobber med å få 1 rep til ombord M/V Sigma ved første anledning.2-3 fiskefartøy  i området god kommunikasjon med aktørene.	7625	1722
2012-06-26	ST12012	Melding - ukemelding	Forsatt timeshare med aktører i området. Ingen spesiell stor fiskeriaktivitet.	7623	1723
2012-06-26	LN12311	Melding - endringsmelding	Opprettet kallesignal på båten.	7658	1724
2012-06-26	SSG1201	Melding - endringsmelding	Added FLO Names and dates. Amended Source volume.	7699	1725
2012-06-26	PM09-2012	Status - satt av OD	Planlagt	7690	1726
2012-06-26	NPD1202	Melding - ukemelding	\N	7642	1727
2012-06-26	DA1201	Melding - ukemelding	\N	7614	1728
2012-06-26	GDF-GORE12-1	Melding - oppstartsmelding	\N	7649	1729
2012-06-26	GDF-GORE12-1	Status - satt av OD	Pågående	7649	1730
2012-06-26	BG1202	Melding - oppstartsmelding	Navn på fiskerikyndig manglet på forrige oppstartsmelding.	7624	1731
2012-06-25	MCG1202	Status - satt av OD	Under behandling	7700	1732
2012-06-25	MC3D-HVG2012	Melding - ukemelding	Ukemelding uke 24.	7616	1733
2012-06-25	LN12002	Melding - ukemelding	\N	7618	1734
2012-06-25	SU1201	Melding - ukemelding	\N	7576	1735
2012-06-25	ST12005	Melding - ukemelding	\N	7599	1736
2012-06-25	BG1202	Status - satt av OD	Pågående	7624	1737
2012-06-25	FIN12	Melding - ukemelding	\N	7661	1738
2012-06-25	EM1201	Melding - ukemelding	\N	7586	1739
2012-06-25	ST12001	Melding - ukemelding	\N	7575	1740
2012-06-25	FP12	Melding - ukemelding	\N	7611	1741
2012-06-25	MCG1201	Melding - ukemelding	\N	7580	1742
2012-06-25	NBR12	Melding - ukemelding	\N	7579	1743
2012-06-25	NSH12	Melding - ukemelding	\N	7629	1744
2012-06-25	SWB12	Melding - ukemelding	\N	7569	1745
2012-06-25	ST12305	Status - satt av OD	Pågående	7572	1746
2012-06-25	ST12305	Melding - oppstartsmelding	M/V Sea Explorer er på vei til ST12305 området. Vi kommer til å starte med et par CPT målinger, før seismikk innsamling begynner.	7572	1747
2012-06-25	ST12308	Melding - sluttmelding	\N	7573	1748
2012-06-25	ST12308	Status - satt av OD	Ferdig	7573	1749
2012-06-25	MC3D-BERYL12	Status - satt av OD	Planlagt	7670	1750
2012-06-25	RS1201	Status - satt av OD	Planlagt	7693	1751
2012-06-25	CVX1201	Status - satt av OD	Pågående	7646	1752
2012-06-22	GDF1201	Melding - ukemelding	\N	7593	1753
2012-06-22	SSG1201	Status - satt av OD	Planlagt	7699	1754
2012-06-22	SSG1201	Status - satt av OD	Under behandling	7699	1755
2012-06-22	SH1201	Melding - ukemelding	\N	7592	1756
2012-06-22	CE1202	Melding - endringsmelding	Lagt inn undersøkelsestillatelse nr. 454	7688	1757
2012-06-21	WIN12003	Status - satt av OD	Pågående	7615	1758
2012-06-21	WIN12003	Melding - oppstartsmelding	Polarcus naila forventer å ankomme surevy området i løpet av dagen. Innsamlingen forventes å starte 22. juni	7615	1759
2012-06-21	FP12300	Status - satt av OD	Under behandling	7698	1760
2012-06-21	LN12306	Melding - sluttmelding	\N	7606	1761
2012-06-21	LN12306	Status - satt av OD	Ferdig	7606	1762
2012-06-21	BPN12301	Melding - endringsmelding	BP søker om forlengelse av tidsrommet for innsamling til 30.07.12 selve innsamlingen vil kun ta noen få timer.	7639	1763
2012-06-21	NKFS12	Status - satt av OD	Ferdig	7563	1764
2012-06-21	LN12311	Melding - oppstartsmelding	\N	7658	1765
2012-06-21	LN12311	Status - satt av OD	Pågående	7658	1766
2012-06-21	BPN12001	Melding - endringsmelding	Feil dato i gårsdagens melding Planlagt oppstarts dato skal være 30.07.2012	7638	1767
2012-06-21	SH12301	Status - satt av OD	Under behandling	7697	1768
2012-06-21	GDF-GORE12-1	Melding - endringsmelding	Sender Endringsmelding siden det kan hende at båten begynner et par dager tidliger en antatt.Tidligst mulig oppstartdato blir derfor justert fra 25.06.2012 til 21.06.2012.	7649	1769
2012-06-21	GDF-GORE12-2	Melding - endringsmelding	Sender Endringsmelding siden det kan hende at båten begynner et par dager tidliger en antatt. Tidligstmulig oppstartdato blir derfor justert fra 25.06.2012 til 21.06.2012.	7650	1770
2012-06-21	GDF-GORE12-3	Melding - endringsmelding	Sender Endringsmelding siden det kan hende at båten begynner et par dager tidliger en antatt. Tidligstmulig oppstartdato blir derfor justert fra 25.06.2012 til 21.06.2012.	7651	1771
2012-06-21	ST12329	Status - satt av OD	Under behandling	7696	1772
2012-06-21	ST12313	Melding - endringsmelding	Endringer; Vi anmoder om en forlenget tidsperiode da arbeidet i bBarentsahvet har tatt noe lenger tid enn beregnet. I tillegg vi har noen arebeider på Midt-Norge som vi trenger å få utført med M/V Sea Explorer. I tillegg har satt netto og brutto Områder like.	7619	1773
2012-06-21	ST12316	Melding - endringsmelding	Endring består at vi anmoder om forlenget tidsperiode. Arbeidet sålangt hat tatt noe lenger tid en anntatt, men vigtigste grunn er at Statoil trenger fartøyet, M/V Sea Explorer til noen Haste Arbeider på Midt-Norge. Netto og Brutto Områder er satt likt.	7622	1774
2012-06-21	NPD1203	Status - satt av OD	Planlagt	7667	1775
2012-06-20	ST12313	Melding - endringsmelding	Endringer; Vi anmoder om en forlenget tidsperiode da arbeidet i bBarentsahvet har tatt noe lenger tid enn beregnet. I tillegg vi har noen arebeider på Midt-Norge som vi trenger å få utført med M/V Sea Explorer. I tillegg har satt netto og brutto Områder like.	7619	1776
2012-06-20	ST12316	Melding - endringsmelding	Endring består at vi anmoder om forlenget tidsperiode. Arbeidet sålangt hat tatt noe lenger tid en anntatt, men vigtigste grunn er at Statoil trenger fartøyet, M/V Sea Explorer til noen Haste Arbeider på Midt-Norge. Netto og Brutto Områder er satt likt.	7622	1777
2012-06-20	DN1203	Status - satt av OD	Under behandling	7695	1778
2012-06-20	SEN1201	Melding - oppstartsmelding	Det er blitt gjort en endring av fiskerikyndig på grunn av at surveyet ble en uke forsinket. Den nye fiskeri kyndig er Steinar Bastsen. Surveyt ble mibilisert i Tromsø lørdag 16.juni 2012	7666	1779
2012-06-20	SEN1201	Status - satt av OD	Pågående	7666	1780
2012-06-20	CVX1201	Status - satt av OD	Planlagt	7646	1781
2012-06-20	CVX1201	Melding - oppstartsmelding	Date of mobilisation from Bergen has been delayed from 21st to 26th June due to extension of work on prior job in North Sea for CGGV seismic vessel Oceanic Champion. Starting date for Fishing Liaison Officer is likewise revised to 26 June 2012	7646	1782
2012-06-20	ST12321	Status - satt av OD	Planlagt	7664	1783
2012-06-20	ST12320	Status - satt av OD	Planlagt	7663	1784
2012-06-20	ST12307	Status - satt av OD	Planlagt	7668	1785
2012-06-20	ST12328	Status - satt av OD	Under behandling	7694	1786
2012-06-20	RS1201	Status - satt av OD	Under behandling	7693	1787
2012-06-20	CVX1201	Status - satt av OD	Pågående	7646	1788
2012-06-19	WIN12302	Melding - endringsmelding	Endringsmeldingen gjelder utvidelse av innsamlingsområdet, oppdatering av innsamlingsperioden samt navn på fiskerikyndig person	7648	1789
2012-06-19	LN12311	Melding - endringsmelding	Melder navn på fiskerikyndig	7658	1790
2012-06-19	WIN12003	Melding - endringsmelding	Endringsmeldingen gjelder oppdatering av tidsperioder for fiskerikyndige personer. Undersøkelsen forventes å starte ca 22. juni	7615	1791
2012-06-19	BPN12001	Melding - endringsmelding	På grunn av endringer i innsamlingsprogrammer og timeshare i området må BPN12001 forskyves og planlagt oppstart er satt til 30.08.2012 avslutningsdato 30.09.2012. Uten uforutsette hendelser er innsamlingen estimert til å ta 45 dager innenfor denne tidsperioden.	7638	1792
2012-06-19	SU1201	Melding - ukemelding	\N	7576	1793
2012-06-19	SU1201	Melding - ukemelding	\N	7576	1794
2012-06-19	WIN12002	Melding - sluttmelding	\N	7609	1795
2012-06-19	WIN12002	Status - satt av OD	Ferdig	7609	1796
2012-06-19	WIN12002	Melding - ukemelding	\N	7609	1797
2012-06-19	VNG12301	Melding - endringsmelding	Oppdatering gjelder fiskerikyndig	7652	1798
2012-06-19	LN12002	Melding - endringsmelding	Ny fiskerikyndig: Leif kristian Lønning	7618	1799
2012-06-19	CP12L04	Melding - ukemelding	\N	7640	1801
2012-06-19	BPN0301-15	Status - satt av OD	Ferdig	7601	1802
2012-06-19	BPN0301-15	Melding - sluttmelding	\N	7601	1803
2012-06-19	ST12012	Melding - ukemelding	Innsamlingen har gått noe saktere enn forventet grunnet værforhold, Timeshare og tilpassing til andre aktører på feltet(installasjonsarbeid)Ingen fiskeriaktiviteter rapportert i området	7623	1804
2012-06-19	ST12006	Melding - ukemelding	Innsamling går saktere enn beregnetforårsaket av Værforhold,Tekniske utfordringer og Timeshare med andre seimsikkprogram i nærheten.Gullfaks innsamlingen har fått prioritet siste del av uka av operasjonsmessige årsaker.2 Trålere i området i slutten på forrige uke,en del ringnottrålere har passert området,god kommunikasjon mellom fartøy.	7625	1805
2012-06-19	ST12005	Melding - ukemelding	\N	7599	1806
2012-06-18	NPD1202	Melding - ukemelding	\N	7642	1807
2012-06-18	LN12002	Melding - ukemelding	Konflikt med fiskebåt Gunnar Angva som to ganger krysset kursen til CGG Symphony med en avstand mindre enn 1 nM. Kunne blitt meget farlig hvis den f.eks. hadde fått motorstopp. Symphony ville ikke hatt mulihet ti å svinge unna	7618	1808
2012-06-18	LN12001	Melding - sluttmelding	\N	7610	1809
2012-06-18	LN12001	Status - satt av OD	Ferdig	7610	1810
2012-06-18	EMGS1202	Melding - ukemelding	\N	7559	1811
2012-06-18	EMGS1201	Melding - ukemelding	\N	7558	1812
2012-06-18	NSH12	Melding - ukemelding	\N	7629	1813
2012-06-18	FIN12	Melding - ukemelding	\N	7661	1814
2012-06-18	LN12305	Melding - sluttmelding	\N	7608	1815
2012-06-18	LN12305	Status - satt av OD	Ferdig	7608	1816
2012-06-18	EM1201	Melding - ukemelding	\N	7586	1817
2012-06-18	ST12308	Melding - ukemelding	\N	7573	1818
2012-06-18	ST12308	Melding - ukemelding	\N	7573	1819
2012-06-18	MCG1201	Melding - ukemelding	\N	7580	1820
2012-06-18	SWB12	Melding - ukemelding	\N	7569	1821
2012-06-18	NBR12	Melding - ukemelding	\N	7579	1822
2012-06-18	RD1204	Melding - sluttmelding	\N	7636	1823
2012-06-18	RD1204	Status - satt av OD	Ferdig	7636	1824
2012-06-18	LN12306	Melding - oppstartsmelding	Acquisition started around midnight June 15th.	7606	1825
2012-06-18	LN12306	Status - satt av OD	Pågående	7606	1826
2012-06-18	ST12001	Melding - ukemelding	\N	7575	1827
2012-06-18	NPD1204	Melding - oppstartsmelding	\N	7659	1828
2012-06-18	SH1201	Melding - ukemelding	\N	7592	1829
2012-06-18	GDF1201	Melding - ukemelding	\N	7593	1830
2012-06-18	ST12324	Status - satt av OD	Planlagt	7677	1831
2012-06-15	NPD1204	Status - satt av OD	Pågående	7659	1832
2012-06-15	MC3D-LIN12	Status - satt av OD	Pågående	7653	1833
2012-06-15	MC3D-LIN12	Melding - oppstartsmelding	\N	7653	1834
2012-06-15	EOTW12	Melding - endringsmelding	Polarcus Amani avslutter og Polarcus Adira overtar undersøkelsen mellom 7. og 15. juli.Ny fiskerikyndig.	7605	1835
2012-06-15	CVX1201	Status - satt av OD	Planlagt	7646	1836
2012-06-15	CVX1201	Melding - oppstartsmelding	Oceanic Champion is expected to  mobilise from Bergen late on the 21st of June 2012 or the following morning (22 Jun)and take 2 days to reach PL598 survey area. After deploying streamers and testing guns first shot is expected around the 28th of June 2012.Starting date for Fishing Liaison Officer has been amended here to 21 June 2012	7646	1837
2012-06-15	CVX1201	Status - satt av OD	Pågående	7646	1838
2012-06-15	ST12322	Status - satt av OD	Planlagt	7675	1839
2012-06-15	ST12323	Status - satt av OD	Planlagt	7674	1840
2012-06-14	FP12	Melding - ukemelding	\N	7611	1841
2012-06-14	DA1201	Melding - endringsmelding	Brutto området er oppdatertSeismisk del type er endret fra 3D til 2D, UKOOA P1/90 fil er lagt til.Kilde og sensor data er lagt til.	7614	1842
2012-06-14	RD1202	Melding - endringsmelding	Endring av kontraktør som utfører innsamlingen. Riktig kontraktør er PGS.	7679	1843
2012-06-14	RD1201	Melding - oppstartsmelding	SRV Viking Vanquish går fra Bergen 1. april og forventer å være klar på feltet 4. april.	7581	1844
2012-06-14	RD1202	Status - satt av OD	Planlagt	7679	1845
2012-06-14	SH1201	Melding - endringsmelding	Ny fiskerikyndig	7592	1846
2012-06-14	DA1201	Melding - ukemelding	\N	7614	1847
2012-06-13	NBR12	Melding - endringsmelding	Ekstra fiskerikyndig tatt vekk. Står ikke på listen.	7579	1848
2012-06-13	ST12305	Status - satt av OD	Planlagt	7572	1849
2012-06-13	BGN1201	Status - satt av OD	Ferdig	7626	1850
2012-06-13	BGN1201	Melding - sluttmelding	\N	7626	1851
2012-06-12	WG1202	Status - satt av OD	Planlagt	7672	1852
2012-06-12	PM09-2012	Status - satt av OD	Under behandling	7690	1853
2012-06-12	PM06-2012	Status - satt av OD	Under behandling	7689	1854
2012-06-12	LN12306	Melding - endringsmelding	Herved meldes navn på fartøy og fiskerikyndig, ellers ingen endring.	7606	1855
2012-06-12	CE1202	Status - satt av OD	Under behandling	7688	1856
2012-06-12	PM05-2012	Status - satt av OD	Under behandling	7687	1857
2012-06-12	CP12L04	Status - satt av OD	Pågående	7640	1858
2012-06-12	CP12L04	Melding - oppstartsmelding	\N	7640	1859
2012-06-12	ST12006	Melding - ukemelding	Produksjon og timeshare med andre undersøkelser i nærheten. Noe tråleraktivitet men ingen hindringer for innsamlingen go kontakt mellom Fiskerirep og aktuelle fiskefartøy.	7625	1860
2012-06-12	EOTW12	Melding - ukemelding	\N	7605	1861
2012-06-12	ST12012	Melding - ukemelding	Timeshare utfordringer i området.Ingen spesilell fiskeriaktivitet er rapportert.	7623	1862
2012-06-12	NPD1202	Melding - ukemelding	\N	7642	1863
2012-06-12	MCG1201	Melding - endringsmelding	Addition of well tie line in NE	7580	1864
2012-06-12	BPN0301-15	Melding - ukemelding	\N	7601	1865
2012-06-11	LN12001	Melding - ukemelding	\N	7610	1866
2012-06-11	LN12002	Melding - ukemelding	\N	7618	1867
2012-06-11	ST12454-JH	Status - satt av OD	Under behandling	7686	1868
2012-06-11	WIN12002	Melding - ukemelding	\N	7609	1869
2012-06-11	NO1201	Status - satt av OD	Planlagt	7665	1870
2012-06-11	FIN12	Melding - ukemelding	\N	7661	1871
2012-06-11	EMGS1201	Melding - ukemelding	\N	7558	1872
2012-06-11	EMGS1202	Melding - ukemelding	\N	7559	1873
2012-06-11	EM1201	Melding - ukemelding	\N	7586	1874
2012-06-11	ST12001	Melding - ukemelding	\N	7575	1875
2012-06-11	ST12005	Melding - ukemelding	\N	7599	1876
2012-06-11	NSH12	Melding - ukemelding	\N	7629	1877
2012-06-11	NBR12	Melding - ukemelding	\N	7579	1878
2012-06-11	SWB12	Melding - ukemelding	\N	7569	1879
2011-07-04	MNR11	Melding - ukemelding	\N	7389	3689
2012-06-11	LN12305	Melding - ukemelding	Acquiered 72km of integrated seismic this week.  Ca 12 km left.  Now waiting on weather.	7608	1880
2012-06-11	GORE-01	Melding - endringsmelding	Rettet opp kallesignal på båten MV Neptune.	7645	1881
2012-06-11	MCG1201	Melding - ukemelding	\N	7580	1882
2012-06-11	ST12012	Melding - endringsmelding	Denne endringsmeldingen gjelder utvideles av undersøkelsen ST12012.En vil utvide undersøkelsen ved å gjenta utlegg av 4 mottakerlinjer som også ble samlet inn i 2011 for å sjekke 4D effekten over dette området i forhold til 2011 dataene, ST11006. Disse linjene dekker et område på 5 km x 1.2 km og det planlegges å skyte 36 kildelinjer @ 11 km i forbindelse med dette utlegget.Undersøkelsen er tidligere meld skal vare til 1. juli. Denne utvidelsen vil kunne føre til en forlengelse av innsamlingen til 10 juli, avhemngig av vær og time-share	7623	1883
2012-06-08	PM02-2012	Status - satt av OD	Under behandling	7685	1884
2012-06-08	PM01-2012	Status - satt av OD	Under behandling	7684	1885
2012-06-08	GDF1201	Melding - ukemelding	\N	7593	1886
2012-06-08	FIN12	Status - satt av OD	Pågående	7661	1887
2012-06-08	FIN12	Melding - oppstartsmelding	\N	7661	1888
2012-06-08	ST12318	Status - satt av OD	Under behandling	7683	1889
2012-06-08	SH1201	Melding - ukemelding	\N	7592	1890
2012-06-07	GDF-GORE12-1	Status - satt av OD	Planlagt	7649	1891
2012-06-07	GDF-GORE12-2	Status - satt av OD	Planlagt	7650	1892
2012-06-07	GDF-GORE12-3	Status - satt av OD	Planlagt	7651	1893
2012-06-07	NPD1204	Status - satt av OD	Planlagt	7659	1894
2012-06-07	RD1205	Status - satt av OD	Planlagt	7676	1895
2012-06-07	LN12305	Melding - oppstartsmelding	Innsamlingen startet ca kl. 12 5. juni 2012	7608	1896
2012-06-07	NPD1201	Melding - ukemelding	\N	7620	1897
2012-06-07	FP12	Melding - ukemelding	På grunn av høy fiskeriaktivitet ( blåkveite) i innsamlingsområdet er alle seillinjer samlet inn i perioden delt i to. Dette for å unngå konflikt med fiskeriene.	7611	1898
2012-06-07	MC3D-LIN12	Melding - endringsmelding	Endring av Fiskerikyndig til Inge Forland.	7653	1899
2012-06-07	ST12005	Melding - ukemelding	P.g.a. installasjons-aktivitet sør i området, har vi startet innsamlingen med linjer i den nord. Så fort det er operasjonelt mulig vil vi flytte oss ned i den sørlige delen i henhold til hovedintensjonen vår om å bygge dekning fra sør og nordover.	7599	1900
2012-06-07	MC3D-HVG2012	Status - satt av OD	Pågående	7616	1901
2012-06-07	MC3D-HVG2012	Melding - oppstartsmelding	\N	7616	1902
2012-06-07	BGN1201	Melding - endringsmelding	Bytte av fiskerikyndig	7626	1903
2012-06-07	BGN1201	Melding - ukemelding	\N	7626	1904
2012-06-07	LN12305	Melding - oppstartsmelding	Innsamlingen startet ca kl. 12 5. juni 2012	7608	1905
2012-06-07	LN12305	Status - satt av OD	Pågående	7608	1906
2012-06-07	NPD1202	Melding - endringsmelding	rettet navn fiskerikyndig	7642	1907
2012-06-06	SEN1201	Status - satt av OD	Planlagt	7666	1908
2012-06-06	FIN12	Status - satt av OD	Planlagt	7661	1909
2012-06-06	NPD1201	Melding - oppstartsmelding	\N	7620	1910
2012-06-06	NPD1202	Melding - oppstartsmelding	\N	7642	1911
2012-06-06	NPD1202	Status - satt av OD	Pågående	7642	1912
2012-06-06	ST12011	Status - satt av OD	Planlagt	7637	1913
2012-06-05	ST12326	Status - satt av OD	Under behandling	7681	1914
2012-06-05	NPD1204	Melding - endringsmelding	Endringen gjelder: UKKOOA navigasjonsfil er nå lagt inn. I tillegg er det lagt inn fiskerikyndige. Det vil sannsynligvis bli etopphold i innsamlingen fra ca. 10. juli til ca. 10. august.	7659	1915
2012-06-05	FIN12	Melding - endringsmelding	Melding om fiskerikyndig.	7661	1916
2012-06-05	DA1201	Melding - ukemelding	\N	7614	1917
2012-06-05	BPN0301-15	Melding - ukemelding	\N	7601	1918
2012-06-05	BPN12001	Melding - endringsmelding	Registrering av fiskerikyndig	7638	1919
2012-06-05	LN12305	Melding - endringsmelding	Endringen består i at båten nå er Fugro Meridian og fiskerirepresentanten er Arnfin Eriksen	7608	1920
2012-06-05	SU1201	Melding - ukemelding	\N	7576	1921
2012-06-04	WIN12002	Melding - ukemelding	\N	7609	1922
2012-06-04	ST12006	Melding - ukemelding	Status pr 4-6-2012.M/V Vikland har nå lagt ut 10 registreringskabler på havbunn.Mobilisering/oppstartsmøte 3.6.2012P.g.a. forsinkelse på kildebåt (M/V Sigma) vil M/V Vikland  brukes som kildebåt ca 14 dager fremover, inntil M/V Sigma blir klar som skytebåt.M/V Vikland forlot Bergen havn kl 00:30 4.6.2012. Antatt oppstart for innsamling ca Torsdag 7.6.2012	7625	1923
2012-06-04	LN12002	Melding - ukemelding	Ingen fiskeriaktivitet i området som har skapt noen konflikt.	7618	1924
2012-06-04	MCG1201	Melding - ukemelding	\N	7580	1925
2012-06-04	NBR12	Melding - ukemelding	\N	7579	1926
2012-06-04	NSH12	Melding - ukemelding	\N	7629	1927
2012-06-04	SWB12	Melding - ukemelding	\N	7569	1928
2012-06-04	EMGS1202	Melding - ukemelding	\N	7559	1929
2012-06-04	LN12001	Melding - ukemelding	Ingen fiskeriaktivitet i området.Nye fartøyer ble meldt inn i midten av mai, men det er enda ikke oppdatert av NPD.Innsamlingen utføres nå av Viking VanquishFiskerikyndig er Hilmar Svendsen	7610	1930
2012-06-04	ST12012	Melding - ukemelding	Status pr. 4.6.2012Mob/Oppstartsmøte i Aberdeen 28.5.2012.	7623	1931
2012-06-04	NBR12	Melding - endringsmelding	Vi vil ha en ekstra fiskerikyndig for denne innsamlingen.	7579	1932
2012-06-04	ST12453	Status - satt av OD	Under behandling	7680	1933
2012-06-04	RD1202	Status - satt av OD	Under behandling	7679	1934
2012-06-04	ST12012	Status - satt av OD	Pågående	7623	1935
2012-06-04	ST12311	Melding - sluttmelding	Undersøkelsen opprinnelig meldt avsluttet 21, mai. Se kommentar under Detaljer.	7590	1936
2012-06-04	ST12310	Status - satt av OD	Ferdig	7589	1937
2012-06-04	ST12310	Melding - sluttmelding	\N	7589	1938
2012-06-04	ST12005	Status - satt av OD	Pågående	7599	1939
2012-06-04	SU1201	Melding - oppstartsmelding	Endrengsmelding	7576	1940
2012-06-04	SU1201	Status - satt av OD	Pågående	7576	1941
2012-06-04	ST12005	Melding - oppstartsmelding	WG Amunsen vil starte seismisk 4D survey over Snorre fra mandag 28.05.12	7599	1942
2012-06-04	ST12006	Melding - ukemelding	Dette er en OBS undersøkelse. En har startet med utlegg av  kabler, men en er ikke startet med noen innsamling ennå. En planlegger å ha mobiliseringsmøte i Bergen ca 4 juni og vil starte innsamlingen så fort som mulig etter det. En vil starte innsmling med M/V Vikland som skytebåt, men så snart M/V Sigma er klar så vil den overta som skytebåt, sannsynligvis fra ca midten av juni.	7625	1943
2012-06-04	EMGS1201	Melding - ukemelding	\N	7558	1944
2012-06-04	EMGS1202	Melding - ukemelding	\N	7559	1945
2012-06-04	MCG1201	Melding - ukemelding	\N	7580	1947
2012-06-04	NBR12	Melding - ukemelding	\N	7579	1948
2012-06-04	LN12303	Status - satt av OD	Ferdig	7584	1949
2012-06-04	LN12303	Melding - sluttmelding	\N	7584	1950
2012-06-04	GORE-01	Status - satt av OD	Pågående	7645	1951
2012-06-04	GORE-01	Melding - oppstartsmelding	\N	7645	1952
2012-06-04	SH1201	Melding - ukemelding	\N	7592	1953
2012-06-04	ST12324	Status - satt av OD	Under behandling	7677	1954
2012-06-04	ST12001	Melding - endringsmelding	Bytte av fiskerikyndig.Oddmund Helberg reiser ut 30.05.12	7575	1955
2012-06-04	FP12	Melding - ukemelding	\N	7611	1956
2012-06-04	SWB12	Melding - ukemelding	\N	7569	1957
2012-06-04	DA1201	Melding - ukemelding	\N	7614	1958
2012-06-04	WIN12002	Melding - ukemelding	\N	7609	1959
2012-06-04	EO12301	Melding - endringsmelding	Delay due to vessel availability	7631	1960
2012-06-04	RD1205	Status - satt av OD	Under behandling	7676	1961
2012-06-04	ST12322	Status - satt av OD	Under behandling	7675	1962
2012-06-04	ST12323	Status - satt av OD	Under behandling	7674	1963
2012-06-04	NSH12	Melding - endringsmelding	New FLO.	7629	1964
2012-06-04	EM1201	Melding - ukemelding	\N	7586	1965
2012-06-04	ST12308	Melding - oppstartsmelding	\N	7573	1966
2012-06-04	EM1201	Melding - ukemelding	\N	7586	1967
2012-06-04	LN12001	Melding - ukemelding	\N	7610	1968
2012-06-04	IPN1201	Status - satt av OD	Ferdig	7565	1969
2012-06-04	IPN1201	Melding - sluttmelding	\N	7565	1970
2012-06-04	ST12325	Status - satt av OD	Under behandling	7673	1971
2012-06-04	BPN0301-15	Melding - ukemelding	\N	7601	1972
2012-06-04	BG1201	Melding - endringsmelding	The scope of the survey has changed in order to facilitate a change in well planning within the license.  All work will still remain only in the Jordbaer license	7621	1973
2012-06-04	WG1202	Status - satt av OD	Under behandling	7672	1974
2012-06-04	GDF1201	Melding - oppstartsmelding	\N	7593	1975
2012-06-04	GDF1201	Status - satt av OD	Pågående	7593	1976
2012-06-04	LN12002	Melding - ukemelding	\N	7618	1977
2012-06-04	DN1202	Status - satt av OD	Ferdig	7591	1978
2012-06-04	DN1202	Melding - sluttmelding	\N	7591	1979
2012-06-04	BGN1201	Status - satt av OD	Pågående	7626	1980
2012-06-04	ST12308	Melding - ukemelding	\N	7573	1981
2012-06-04	BGN1201	Melding - oppstartsmelding	\N	7626	1982
2012-05-25	SH1201	Melding - ukemelding	\N	7592	1983
2012-05-25	ST12305	Status - satt av OD	Pågående	7572	1984
2012-05-25	ST12308	Status - satt av OD	Pågående	7573	1985
2012-05-25	DN1202	Melding - endringsmelding	Endringer: 1: Oppstart etter pause. Fugro Meridian vil starte geoteknikk mandag 28.52: Ny båt, Fugro Meridian3: Ny fiskerikyndig, Arnfinn Eriksen,997 36 951 4: Ber om forlengelse av innsamlingsperiode til 10.6.Fugro Survey AS håndterer prosessen med meldinger på vegne av Detnorske, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244	7591	1986
2012-05-25	DN1202	Status - satt av OD	Pågående	7591	1987
2012-05-24	RD1204	Melding - oppstartsmelding	\N	7636	1988
2012-05-24	RD1204	Status - satt av OD	Pågående	7636	1989
2012-05-24	IPN1201	Melding - ukemelding	\N	7565	1990
2012-05-24	ST12012	Status - satt av OD	Planlagt	7623	1991
2012-05-24	ST12012	Melding - oppstartsmelding	Denne undersøkelsen har blitt noe forsinket i forhold til tidligere innmelding.Grunnen til dette er forsinket avsluttning av undersøkelsen forrut.Mobilisering av undøersøkelsen vil foregå i Aberdeen (UK) Tirsdag 29 Mai 2012. Vi forventer at fartøyer ankommer Gullfaksfeltet Ca fredag 1 juni 2012 for start av utlegging av registreringsnoder.	7623	1992
2012-05-24	DA1201	Melding - oppstartsmelding	\N	7614	1993
2012-05-24	ST12012	Status - satt av OD	Pågående	7623	1994
2012-05-24	DA1201	Status - satt av OD	Pågående	7614	1995
2012-05-24	EOTW12	Melding - ukemelding	\N	7605	1996
2012-05-24	EOTW12	Melding - oppstartsmelding	\N	7605	1997
2012-05-24	EOTW12	Status - satt av OD	Pågående	7605	1998
2012-05-24	EOTW12	Melding - endringsmelding	Endret kontaktperson.Navn på fiskerikyndig.	7605	1999
2012-05-24	NPD1202	Status - satt av OD	Planlagt	7642	2000
2012-05-24	ST12454-AAH	Status - satt av OD	Planlagt	7655	2001
2012-05-24	NPD1202	Melding - endringsmelding	Endringen gjelder: UKOOA navigasjonsfil er nå lagt inn. I tillegg er det lagt inn fiskerikyndige.	7642	2002
2012-05-24	MC3D-BERYL12	Status - satt av OD	Under behandling	7670	2003
2012-05-23	FP12	Melding - endringsmelding	Byttet fiskerikyndige ved mannskapsskifte 23 Mai.	7611	2004
2012-05-23	FP12	Melding - ukemelding	\N	7611	2005
2012-05-23	LN12001	Melding - oppstartsmelding	Oppstart igjen etter at surveyen ble utsatt.Bytte av båter ble sendt på endringsmelding av 15.05.2012Dette er ikke oppdatert av OD	7610	2006
2012-05-23	LN12001	Melding - endringsmelding	Meldingen gjelder tidsrom. Det søkes om utvidelse til 01.07.2012Bytte av fartøyer ble sendt i endringsmelding av 15.05.2012	7610	2007
2012-05-23	BPN0301-15	Melding - ukemelding	Tananger havn for mannskapsbytte 20.05.2012	7601	2008
2012-05-23	ST12001	Melding - oppstartsmelding	Navn på fiskerikyndige	7575	2009
2012-05-23	ST12001	Status - satt av OD	Pågående	7575	2010
2012-05-23	ST12311	Status - satt av OD	Pågående	7590	2011
2012-05-23	LN12305	Melding - endringsmelding	Båten er forsinket på LN12303 men vil starte opp straks den er ferdig.	7608	2012
2012-05-23	SEN1201	Melding - endringsmelding	Navn og adresse for fiskeri kyndig er lagt inn.Endret navn på Contractor	7666	2013
2012-05-23	RD1203	Melding - sluttmelding	Toktet vellykket.	7635	2014
2012-05-23	RD1203	Status - satt av OD	Ferdig	7635	2015
2012-05-23	BG1202	Melding - endringsmelding	The Knarr partnership wishes to extend the scope of work as defined by permit 1202 to include pipeline routing work within the newly defined polygon. The extra work is defined as bathymetric survey and CPT acquisition, no additional seismic will be acquired as part of this scope change.	7624	2016
2012-05-21	ST12307	Status - satt av OD	Under behandling	7668	2017
2012-05-21	NPD1203	Status - satt av OD	Under behandling	7667	2018
2012-05-21	VNG12301	Status - satt av OD	Planlagt	7652	2019
2012-05-21	SEN1201	Status - satt av OD	Under behandling	7666	2020
2012-05-21	LN12001	Melding - ukemelding	Nye båter og fiskerikyndig er meldt tidligere	7610	2021
2012-05-21	MCG1201	Melding - ukemelding	\N	7580	2022
2012-05-21	NBR12	Melding - ukemelding	\N	7579	2023
2012-05-21	WIN12002	Melding - ukemelding	\N	7609	2024
2012-05-21	EMGS1201	Melding - ukemelding	\N	7558	2026
2012-05-21	NSH12	Melding - ukemelding	\N	7629	2027
2012-05-21	EMGS1202	Melding - ukemelding	\N	7559	2028
2012-05-21	LN12002	Melding - ukemelding	\N	7618	2029
2012-05-21	NO1201	Status - satt av OD	Under behandling	7665	2030
2012-05-21	EM1201	Melding - oppstartsmelding	\N	7586	2031
2012-05-21	EM1201	Status - satt av OD	Pågående	7586	2032
2012-05-21	ST12310	Status - satt av OD	Pågående	7589	2033
2012-05-21	ST12310	Melding - oppstartsmelding	Undersøkelse ST12310 akkurat påbegynt i dagmorges.	7589	2034
2012-05-21	ST12311	Melding - sluttmelding	\N	7590	2035
2012-05-21	ST12311	Status - satt av OD	Ferdig	7590	2036
2012-05-21	LN12502	Melding - ukemelding	det har vært en del venting på været, men nå er surveyen i gang	7604	2037
2012-05-21	LN12502	Melding - sluttmelding	\N	7604	2038
2012-05-21	LN12502	Melding - oppstartsmelding	\N	7604	2039
2012-05-21	LN12502	Status - satt av OD	Ferdig	7604	2040
2012-05-21	CP12201	Status - satt av OD	Pause	7578	2041
2012-05-21	CP12201	Melding - ukemelding	\N	7578	2042
2012-05-21	CP12201	Melding - endringsmelding	Phase 1 av surveyen ble avsluttet 18. mai. Phase 2 er planlagt å starte ca. 15 september.	7578	2043
2012-05-21	DA1201	Melding - endringsmelding	Brutto området, inklusiv snuområdet er nå oppdatert, i tillegg er navn og telefonnummer til fikserikyndig lagt til.	7614	2044
2012-05-21	IPN1201	Melding - ukemelding	\N	7565	2045
2012-05-21	Linnorm	Melding - ukemelding	Ingen progresjon sist uke. Aventer hva som skal gjøres for å samle inn siste del av dataene.	7582	2046
2012-05-18	DA1201	Melding - endringsmelding	Informasjon om båt, dataformat, kilde, sensorer og område for innsamlingen er blitt oppdatert	7614	2047
2012-05-18	BGN1201	Melding - endringsmelding	Starttidspunkt er forskjøvet 8 dager	7626	2048
2012-05-18	BG27-03-2012	Melding - oppstartsmelding	\N	7617	2049
2012-05-18	BG27-03-2012	Status - satt av OD	Pågående	7617	2050
2012-05-18	LN12502	Status - satt av OD	Pågående	7604	2051
2012-05-18	LN12303	Melding - ukemelding	\N	7584	2052
2012-05-18	BPN12001	Status - satt av OD	Planlagt	7638	2053
2012-05-18	BPN12001	Melding - endringsmelding	Endring av klassifisering til 4DPlanlagt oppstart var i meldingen satt til 07.07.2012. Da det er mulig at Western Geco kan være klarfor oppstart 30.06.2012 ber vi om å få endret mulighet for oppstart til denne dato. Videre er lengdenpå seismisk sensor endret fra 4050m til 4100m Følgefartøy nr. 1 er Mariska-G hjemmehørende iPanama tlf +31 (0) 762010014 Følgefartøy nr 2 er Fanny hjemmehørende i Vanuatu tlf +87 007 31550 79	7638	2054
2012-05-16	MC3D-HVG2012	Melding - endringsmelding	Endring av fisekrikyndig.	7616	2055
2012-05-16	SU1201	Melding - endringsmelding	Endringsmelding	7576	2056
2012-05-16	ST12321	Status - satt av OD	Under behandling	7664	2057
2012-05-16	ST12320	Status - satt av OD	Under behandling	7663	2058
2012-05-16	CP12L04	Status - satt av OD	Planlagt	7640	2059
2012-05-16	WIN12001	Melding - endringsmelding	Endringsmeldingen gjelder revidert innsamlingsperiode(pga forsinket oppstart), oppdatering av fartøys informasjon samt navn på fiskeri kyndig person	7602	2060
2012-05-16	TO1201-ML	Melding - endringsmelding	Endring av kontraktør for innsamling og kilder	7660	2061
2012-05-16	ST12006	Status - satt av OD	Pågående	7625	2062
2012-05-16	ST12006	Melding - oppstartsmelding	Dette er en OBS undersøkelse hvor en legger registreringskabler på bunnen. Det brukes 3 fartøy, ett fartøy for kabelutlegg, ett kilde fartøy og ett følge fartøy.Undersøkelsen består av 3 områder-Tiers. Område 1 (Tier 1 og 2 består av utlegg av 62 kabler @ 6 km. Område 3 (Tier 3) består av utlegg av 49 kabler @ 6 km. Områdene ligger ved siden av hverandre. Det legges ut 10 kabler @ 6 km som det så blir skutt 4 linjer @ 9,7 km (normalt på kablene)over. En flytter (ruller) så en kabel og skyter nye 4 linjer @ 10 km. Dette gjøres kontinuerlig, og en planlegger å gjøre ferdig ett område (Tier) før en starter på neste område.En vil ikke starte selve innsamling av data før ca 28 mai. En planlegger imidlertid å starte med utlegg av ca 8 kabler fra ca mandag 21 mai. Grunnen til dette er at kildebåten M/V Sigma ikke blir klar til å starte før ca 28 mai. Etter at kablene er lagt ut vil M/V Vikland gå til Bergen for mobilisering og bl.a å overføre kilder til kildebåten M/V Sigma. En antar  at både M/V Vikland og M/V Sigma vil kunne være på feltet ca 28 - 29 mai.Denne OBS operasjonen er fleksibel siden kildebåten bare tauer en kilde (og ikke kabler) og dermed har muligheten til rask forflyttning om det skulle være nødvendig, f. eks på grun av fiskefartøy etc.Selv om en i utgangspunktet ønsker  å gjøre fedig ett område av gangen på grunn av mest efektiv operasjon, så vil en kunne flytte operasjonen innenfor de planlagte kabelområdene.	7625	2063
2012-05-16	EMGS1203	Melding - endringsmelding	Endring av kilde størelsen	7560	2064
2012-05-16	EMGS1202	Melding - endringsmelding	Endring av kilde størelsen	7559	2065
2012-05-16	EMGS1201	Melding - endringsmelding	Endring av kilde størelsen	7558	2066
2012-05-16	LN12001	Status - satt av OD	Pågående	7610	2067
2012-05-16	ST12311	Melding - ukemelding	\N	7590	2068
2012-05-16	NSH12	Melding - ukemelding	\N	7629	2069
2012-05-16	SWB12	Melding - ukemelding	\N	7569	2070
2012-05-16	MCG1201	Melding - ukemelding	\N	7580	2071
2012-05-16	NBR12	Melding - ukemelding	\N	7579	2072
2012-05-16	LN12001	Melding - ukemelding	Midlertidig stoppet.	7610	2073
2012-05-16	EMGS1201	Melding - ukemelding	\N	7558	2074
2012-05-16	EMGS1202	Melding - ukemelding	\N	7559	2075
2012-05-16	FIN12	Status - satt av OD	Under behandling	7661	2076
2012-05-15	LN12307	Status - satt av OD	Planlagt	7656	2077
2012-05-15	SH1201	Status - satt av OD	Pågående	7592	2078
2012-05-15	SH1201	Melding - oppstartsmelding	Fartøyet har vært i nærheten av surveyområdet noen dager og ventet på vær. Regner med å komme inn igang i onsdag 16 mai.Perioden for Fiskerikyndige er utvidet til slutten av Juni for å passe med mannskapsskifte.	7592	2079
2012-05-15	LN12311	Status - satt av OD	Planlagt	7658	2080
2012-05-15	GORE-01	Status - satt av OD	Planlagt	7645	2081
2012-05-15	TO1201-ML	Melding - endringsmelding	Korrigert område	7660	2082
2012-05-15	LN12001	Melding - endringsmelding	Surveyen vil bli gjenopptatt med andre båter og ny fiskerikyndig.Mobilisering 17. mai fra BergenMengder er også oppdatert	7610	2083
2012-05-15	WIN12002	Melding - oppstartsmelding	Fartøyet forventer å ankomme området i løpet av dagen. Utlegg av utstyret vil starte så snart været tillater det	7609	2084
2012-05-15	WIN12002	Status - satt av OD	Pågående	7609	2085
2012-05-15	RD1201	Melding - sluttmelding	\N	7581	2086
2012-05-15	RD1201	Status - satt av OD	Ferdig	7581	2087
2012-05-15	ST12312	Melding - sluttmelding	\N	7613	2088
2012-05-15	CP12201	Melding - ukemelding	\N	7578	2089
2012-05-14	TO1201-ML	Status - satt av OD	Under behandling	7660	2090
2012-05-14	DN1202	Status - satt av OD	Pause	7591	2091
2012-05-14	DN1202	Melding - endringsmelding	Endringer: PAUSE . Birkeland fredigstilte geofysisk innsamling 11.5. Meridian vil starte geoteknikk om ca to uker.  Fugro Survey AS håndterer prosessen med meldinger på vegne av Detnorske, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244	7591	2092
2012-05-14	ST12312	Status - satt av OD	Ferdig	7613	2093
2012-05-14	NPD1204	Status - satt av OD	Under behandling	7659	2094
2012-05-14	CVX1201	Status - satt av OD	Planlagt	7646	2095
2012-05-14	CVX1201	Status - satt av OD	Planlagt	7646	2096
2012-05-14	LN12002	Status - satt av OD	Pågående	7618	2097
2012-05-11	BPN0301-15	Status - satt av OD	Pågående	7601	2098
2012-05-11	BPN0301-15	Melding - oppstartsmelding	\N	7601	2099
2012-05-11	IPN1201	Melding - ukemelding	\N	7565	2100
2012-05-11	LN12002	Melding - oppstartsmelding	\N	7618	2101
2012-05-11	BPN12301	Melding - endringsmelding	Vi ønsker å forhøre oss om det er mulig med en oppstartdato 14.5 dette pga det vil gi oss fleksibilitet og mulighet til å flytte BPN12301 fremover kun i tilfellet av dårlig vær på UK sektor. Vi forventer å bruke 156 timer.  Innsamlingen en del av et prosjektet med 13 survey.	7639	2102
2012-05-11	BPN12301	Melding - endringsmelding	Vi ønsker å forhøre oss om det er mulig med en oppstartdato 14.5 dette pga det vil gi oss fleksibilitet og mulighet til å flytte BPN12301 fremover kun i tilfellet av dårlig vær på UK sektor. Vi forventer å bruke 156 timer.  Innsamlingen en del av et prosjektet med 13 survey.	7639	2103
2012-05-11	LN12311	Status - satt av OD	Under behandling	7658	2104
2012-05-10	MC3D-SVG12	Status - satt av OD	Ferdig	7603	2105
2012-05-10	MC3D-SVG12	Melding - sluttmelding	Sluttmelding for surveyen MC3D-SVG12.	7603	2106
2012-05-10	DN1202	Melding - ukemelding	\N	7591	2107
2012-05-10	CE1201	Melding - endringsmelding	lagt inn areal	7654	2108
2012-05-10	LN12307	Status - satt av OD	Under behandling	7656	2109
2012-05-10	LN12001	Status - satt av OD	Pause	7610	2110
2012-05-10	LN12001	Melding - endringsmelding	Innsamlingen er midlertidig stoppet på grunn av omprioritering av fartøyet CGG Symphony.Fartøyet er nå på vei sydover for å starte innsamling av LN12002.	7610	2111
2012-05-10	LN12001	Melding - endringsmelding	Innsamlingen er midlertidig stoppet på grunn av omprioritering av fartøyet CGG Symphony.Fartøyet er nå på vei sydover for å starte innsamling av LN12002.	7610	2112
2012-05-10	CE1201	Status - satt av OD	Planlagt	7654	2113
2012-05-09	WIN12301	Melding - sluttmelding	\N	7556	2114
2012-05-09	WIN12301	Status - satt av OD	Ferdig	7556	2115
2012-05-09	ST12454-AAH	Status - satt av OD	Under behandling	7655	2116
2012-05-09	MC3D-LIN12	Status - satt av OD	Planlagt	7653	2117
2012-05-09	ST12311	Melding - ukemelding	\N	7590	2118
2012-05-09	ST12311	Status - satt av OD	Pågående	7590	2119
2012-05-09	LN12002	Melding - endringsmelding	2 nye følgebåter Ny fiskerikyndig. Justering av survey-området, men dette er innenfor tidligere meldte område bortsett fra helt i nord.Området som skal dekkes av surveyen er 2.819,7 kvadrat km.Tidsrom er også justert.	7618	2120
2012-05-09	ST12312	Melding - ukemelding	\N	7613	2121
2012-05-09	EO12301	Status - satt av OD	Planlagt	7631	2122
2012-05-08	WIN12302	Status - satt av OD	Under behandling	7648	2123
2012-05-08	WIN12302	Status - satt av OD	Planlagt	7648	2124
2012-05-08	ST12319	Status - satt av OD	Planlagt	7644	2125
2012-05-08	MC3D-SVG12	Melding - ukemelding	Ukemelding uke 18.	7603	2126
2012-05-08	WIN12003	Status - satt av OD	Planlagt	7615	2127
2012-05-08	ST12315	Status - satt av OD	Planlagt	7643	2128
2012-05-08	ST12316	Status - satt av OD	Planlagt	7622	2129
2012-05-08	MCG1201	Melding - ukemelding	\N	7580	2130
2012-05-08	CP12201	Melding - ukemelding	\N	7578	2131
2012-05-07	FP12	Melding - ukemelding	\N	7611	2132
2012-05-07	EMGS1201	Melding - ukemelding	\N	7558	2133
2012-05-07	EMGS1202	Melding - ukemelding	\N	7559	2134
2012-05-07	CE1201	Status - satt av OD	Under behandling	7654	2135
2012-05-07	WIN12003	Melding - endringsmelding	Endringsmeldingen gjelder utvidelse av området. Samt oppdatering av fartøysinformasjon og navn på fiskerikyndige person.	7615	2136
2012-05-07	ST12005	Status - satt av OD	Planlagt	7599	2137
2012-05-07	ST12006	Status - satt av OD	Planlagt	7625	2138
2012-05-07	LN12001	Status - satt av OD	Pågående	7610	2139
2012-05-07	LN12303	Melding - endringsmelding	Vi har kun skifte av fiskerirep	7584	2140
2012-05-07	LN12502	Melding - endringsmelding	Det som er endret er at tidspunktet går frem til slutten av mai og det har kommet på hvilken båt og fiskerirep som skal brukes.Tidspunktet i søknaden gikk ut 1 mai, men det ser ikke ut som vi får startet før i srundt 9.	7604	2141
2012-05-07	IPN1201	Melding - ukemelding	\N	7565	2142
2012-05-07	LN12001	Melding - ukemelding	CGG Symphony med følgebåter har ankommet survey området og har startet utlegg av streamere. Dette arbeidet vil ta 5 - 6 dager. Mulig start av produksjon rundt 13. mai.	7610	2143
2012-05-07	NBR12	Melding - ukemelding	\N	7579	2144
2012-05-07	RD1203	Melding - oppstartsmelding	\N	7635	2145
2012-05-07	RD1203	Status - satt av OD	Pågående	7635	2146
2012-05-07	LN12310	Melding - sluttmelding	\N	7595	2147
2012-05-07	LN12309	Melding - sluttmelding	\N	7594	2148
2012-05-07	LN12310	Status - satt av OD	Ferdig	7595	2149
2012-05-07	LN12309	Status - satt av OD	Ferdig	7594	2150
2012-05-07	NSH12	Melding - ukemelding	\N	7629	2151
2012-05-07	SWB12	Melding - ukemelding	\N	7569	2152
2012-05-07	LN12303	Melding - ukemelding	\N	7584	2153
2012-05-07	LN12303	Melding - ukemelding	\N	7584	2154
2012-05-04	BGN1201	Status - satt av OD	Planlagt	7626	2155
2012-05-04	EM1201	Melding - endringsmelding	jeg vil forandre oppstartsdato til 17. mai, men programmet vil ikke ta imot den datoen.	7586	2156
2012-05-04	MC3D-LIN12	Status - satt av OD	Under behandling	7653	2157
2012-05-04	RD1201	Melding - ukemelding	\N	7581	2158
2012-05-04	LN12002	Status - satt av OD	Planlagt	7618	2159
2012-05-03	FP12	Melding - ukemelding	\N	7611	2160
2012-05-03	NBR12	Melding - ukemelding	\N	7579	2161
2012-05-03	WIN12301	Melding - ukemelding	\N	7556	2162
2012-05-03	MC3D-SVG12	Melding - ukemelding	Ukemelding uke 17.	7603	2164
2012-05-03	ST12311	Melding - endringsmelding	Endringmelding består i at vi ønsker å forlenge innsamlings perioden med 8 dager til 24 Mai.Utover dette, ingen endringer.	7590	2165
2012-05-03	WIN12002	Melding - endringsmelding	Enringsmelding gjelder litt utvidelse av brutto området mot sydøst. Videre oppdatering av fiskeri kyndige personer og tilleggs opplysninger for hjelpefartøy.	7609	2166
2012-05-03	ST12310	Melding - endringsmelding	Endring består i at vi anmoder å få forlenge innsamlingsperioden til 27 Mai. Utover dette, ingen endringer.	7589	2167
2012-05-03	ST12308	Melding - endringsmelding	Endring betår i at vi anmoder om en lenger periode for innsamlingen av ST12308 undersøkelsen. Det ser ut til at vi kan komme i gang med innsamlingen i Juni, og da kommer vi til å trenge en annen tidsperiode tid enn det vi opprinnelig søkte om. Ellers har Leiv R. Stensen erstattet Marisol Montoya som en av våre kontakt personer for undersøkelsen. Ut over dette, ingen endringer.	7573	2168
2012-05-03	ST12305	Melding - endringsmelding	Endring består at vi kommer til å be om en forlenget periode for innsamling av ST12305 Undersøkelsen, siden vi ikke regner med å kunne starte opp før ca. slutten av Mai 2012. Ellers har vi gjort en endring når det gjelder kontakt personer; Leiv R. Stensen erstatter Marisol Montoya. Utover dette, ingen endringer.	7572	2169
2012-05-03	GDF1201	Melding - endringsmelding	Endringen gjelder Fiskerikyndige og en ny følgefartøy (Octopus).	7593	2170
2012-05-03	BG1202	Status - satt av OD	Planlagt	7624	2171
2012-05-03	VNG12301	Status - satt av OD	Under behandling	7652	2172
2012-05-03	BG1201	Status - satt av OD	Planlagt	7621	2173
2012-05-03	DN1202	Melding - oppstartsmelding	MS Birkeland starter geofysisk innsamling fredag 4.5. Kopi av kommunikasjon bes også sendt til Kjell Berg, kjell.berg@detnor.no. Fugro Survey AS håndterer prosessen med meldinger på vegne av Detnorske, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244	7591	2174
2012-05-03	DN1202	Status - satt av OD	Pågående	7591	2175
2012-05-03	LN12001	Melding - oppstartsmelding	Oppdatert med nye følgebåter	7610	2176
2012-05-03	MC3D-Q16UK2012	Melding - sluttmelding	Sluttmelding. Survey ferdig 23 April 2012 på norsk sektor.	7571	2177
2012-05-03	MC3D-Q16UK2012	Status - satt av OD	Ferdig	7571	2178
2012-05-02	CP12201	Melding - ukemelding	\N	7578	2179
2012-04-30	CVX1201	Melding - endringsmelding	The following changes have been made:Victory-G substituted for Marianne-G as Supply vesselNew telephone contact numbers are provided for Oceanic champion and Shannon vesselsPorts are provided for vesselsCorrection made to SW cornerpoint for Eksklusiv snuområde (netto)	7646	2180
2012-04-30	EOTW12	Status - satt av OD	Planlagt	7605	2181
2012-04-30	EMGS1202	Melding - ukemelding	\N	7559	2182
2012-04-30	EMGS1201	Melding - ukemelding	\N	7558	2183
2012-04-30	ST12311	Status - satt av OD	Pause	7590	2184
2012-04-30	ST12311	Melding - ukemelding	\N	7590	2185
2012-04-30	ST12312	Status - satt av OD	Pågående	7613	2186
2012-04-30	ST12312	Melding - oppstartsmelding	\N	7613	2187
2012-04-30	GDF-GORE12-3	Status - satt av OD	Under behandling	7651	2188
2012-04-30	GDF-GORE12-2	Status - satt av OD	Under behandling	7650	2189
2012-04-30	GDF-GORE12-1	Status - satt av OD	Under behandling	7649	2190
2012-04-30	IPN1201	Melding - ukemelding	\N	7565	2191
2012-04-30	MCG1201	Melding - ukemelding	\N	7580	2192
2012-04-30	NSH12	Melding - oppstartsmelding	\N	7629	2193
2012-04-30	NSH12	Status - satt av OD	Pågående	7629	2194
2012-04-27	LN12303	Melding - ukemelding	\N	7584	2195
2012-04-27	LN12309	Melding - ukemelding	Har gjort EM710 og Hugin kartlegging, pluss pinger. det er også tat bunnprøver.	7594	2196
2012-04-27	LN12310	Melding - ukemelding	Har gjort EM710 og Hugin kartlegging, pluss pinger. Det er også tatt bunnprøver.	7595	2197
2012-04-27	WIN12301	Melding - endringsmelding	For infoInnsamling av de seismiske data er nå ferdig. Gjennstående arbeid er observasjoner av havbunn vha. ROV/kamera. Antar at ROV/kamera arbeidet vil effektivt ta 1,5-2 dager med godt vær.Ber derfor om at feltararbeid perioden forlenges til 15.mai.	7556	2198
2012-04-27	RD1201	Melding - endringsmelding	Undersøkelsen kom igang senere enn planlagt pga tekniske problemer. I tillegg er det noe time sharing og derfor er det behov å utvide perioden til 15/6	7581	2199
2012-04-27	WIN12302	Status - satt av OD	Under behandling	7648	2200
2012-04-27	RD1201	Melding - ukemelding	\N	7581	2201
2012-04-27	ST12301	Melding - sluttmelding	\N	7546	2202
2012-04-27	Linnorm	Melding - ukemelding	Aktiviteten er forsinket grunnet værforhold. Det gjenstår mindre enn en ukes arbeid, og det er vanskelig å estimere en sluttdato.	7582	2203
2012-04-27	Linnorm	Melding - endringsmelding	Endringen gjelder endret varighet som skyldes forsinkelser pga dårlig vær.	7582	2204
2012-04-27	DN1202	Melding - endringsmelding	Endringer:Ny kontaktperson i Detnorske.Endret klassifisering til ikke seismikk. To båter vil utføre arbeidet, Birkeland geofysisk innsamling. Meridian geoteknikkForlenget periode til 31.5 pga båttilgjengelighet Kopi av kommunikasjon bes også sendt til Kjell Berg, kjell.berg@detnor.no. Fugro Survey AS håndterer prosessen med meldinger på vegne av Detnorske, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244,	7591	2205
2012-04-27	MC3D-HVG2012	Status - satt av OD	Planlagt	7616	2206
2012-04-27	RD1203	Status - satt av OD	Planlagt	7635	2207
2012-04-26	CVX1201	Status - satt av OD	Under behandling	7646	2208
2012-04-26	ST12301	Status - satt av OD	Ferdig	7546	2209
2012-04-26	ST12313	Status - satt av OD	Planlagt	7619	2210
2012-04-26	RD1204	Status - satt av OD	Planlagt	7636	2211
2012-04-26	MCG1201	Melding - endringsmelding	Forespørsel å forlenge gyldigheten av tillatelse til 30.06.2012	7580	2212
2012-04-25	EMGS1202	Status - satt av OD	Pågående	7559	2213
2012-04-25	EM1202	Status - satt av OD	Pågående	7587	2214
2012-04-25	EM1202	Status - satt av OD	Planlagt	7587	2215
2012-04-25	EMGS1202	Melding - oppstartsmelding	\N	7559	2216
2012-04-25	MC3D-Q16UK2012	Melding - ukemelding	Ukemelding for uke 16.	7571	2217
2012-04-25	ST12012	Status - satt av OD	Planlagt	7623	2218
2012-04-25	WIN12301	Melding - ukemelding	\N	7556	2219
2012-04-25	EMGS1201	Melding - ukemelding	\N	7558	2220
2012-04-25	EMGS1201	Melding - ukemelding	\N	7558	2221
2012-04-25	GORE-01	Status - satt av OD	Under behandling	7645	2222
2012-04-24	SWB12	Melding - endringsmelding	Ny fiskerikyndig.	7569	2223
2012-04-24	NSH12	Melding - endringsmelding	Bytte av fiskerikyndig.	7629	2224
2012-04-24	NPD1201	Status - satt av OD	Pågående	7620	2225
2012-04-24	NPD1201	Melding - oppstartsmelding	\N	7620	2226
2012-04-24	NKFS12	Status - satt av OD	Pause	7563	2227
2012-04-24	NKFS12	Melding - endringsmelding	innsamlingen stoppet, vil bli gjennopptatt senere.(satt på pause)	7563	2228
2012-04-24	NBR12	Melding - ukemelding	\N	7579	2229
2012-04-24	SWB12	Melding - ukemelding	\N	7569	2230
2012-04-24	NKFE12	Status - satt av OD	Ferdig	7561	2231
2012-04-24	NKFE12	Melding - sluttmelding	\N	7561	2232
2012-04-24	NKFS12	Melding - ukemelding	\N	7563	2233
2012-04-24	SH1201	Status - satt av OD	Planlagt	7592	2234
2012-04-24	ST12312	Status - satt av OD	Planlagt	7613	2235
2012-04-24	EO12301	Status - satt av OD	Under behandling	7631	2236
2012-04-24	EO12301	Status - satt av OD	Planlagt	7631	2237
2012-04-24	EO12301	Status - satt av OD	Planlagt	7631	2238
2012-04-23	MCG1201	Melding - ukemelding	\N	7580	2239
2012-04-23	ST12311	Melding - oppstartsmelding	\N	7590	2240
2012-04-23	ST12311	Status - satt av OD	Pågående	7590	2241
2012-04-23	MC3D-SVG12	Melding - oppstartsmelding	\N	7603	2242
2012-04-23	MC3D-SVG12	Status - satt av OD	Pågående	7603	2243
2012-04-23	CP12201	Melding - ukemelding	\N	7578	2244
2012-04-23	DA1201	Status - satt av OD	Planlagt	7614	2245
2012-04-23	BPN12301	Status - satt av OD	Planlagt	7639	2246
2012-04-23	NKFE12	Melding - ukemelding	\N	7561	2247
2012-04-23	FP12	Melding - oppstartsmelding	\N	7611	2248
2012-04-23	FP12	Status - satt av OD	Pågående	7611	2249
2012-04-23	IPN1201	Melding - oppstartsmelding	IPN1201 samler inn med 6000 meters kabler.	7565	2250
2012-04-23	IPN1201	Status - satt av OD	Pågående	7565	2251
2012-04-23	NPD1201	Status - satt av OD	Planlagt	7620	2252
2012-04-23	MCG1201	Melding - ukemelding	\N	7580	2253
2012-04-20	LN12306	Melding - endringsmelding	Dette gjelder kun endring av tidsrom i og med at det har blitt store forsinkelser på båten	7606	2254
2012-04-20	ST12319	Status - satt av OD	Under behandling	7644	2255
2012-04-20	ST12315	Status - satt av OD	Under behandling	7643	2256
2012-04-20	EM1201	Melding - endringsmelding	Planlagt oppstarts-dato er forandret til 13. mai, fra tidligere rapportert 1. mai.  Navn på fiskerikyndige, og havn for følgebåtene er Stavanger.	7586	2257
2012-04-20	FP12	Status - satt av OD	Planlagt	7611	2258
2012-04-20	LN12001	Status - satt av OD	Planlagt	7610	2259
2012-04-20	LN12306	Status - satt av OD	Planlagt	7606	2260
2012-04-20	LN12001	Status - satt av OD	Pågående	7610	2261
2012-04-20	FP12	Status - satt av OD	Pågående	7611	2262
2012-04-20	NPD1202	Status - satt av OD	Under behandling	7642	2263
2012-04-20	ST12309	Melding - sluttmelding	\N	7574	2264
2012-04-20	ST12309	Status - satt av OD	Ferdig	7574	2265
2012-04-19	ST12310	Status - satt av OD	Planlagt	7589	2266
2012-04-19	LN12309	Status - satt av OD	Pågående	7594	2267
2012-04-19	LN12310	Status - satt av OD	Pågående	7595	2268
2012-04-19	ST12309	Melding - oppstartsmelding	\N	7574	2269
2012-04-19	LN12309	Melding - oppstartsmelding	\N	7594	2270
2012-04-19	LN12310	Melding - oppstartsmelding	Surveyen vil gå litt frem og tilbak emelleom 7594 og 7595	7595	2271
2012-04-18	ST12309	Status - satt av OD	Pågående	7574	2272
2012-04-18	ST12310	Status - satt av OD	Pågående	7589	2273
2012-04-18	LN12001	Melding - endringsmelding	Spesifikasjon av fartøyer, og navn på fiskerikyndig	7610	2274
2012-04-18	EO12301	Melding - endringsmelding	Fiskerisporingsystem	7631	2275
2012-04-18	RD1201	Melding - ukemelding	Innsamlingen har ikke startet enda pga dårlig vær og noe tekniske problemer.	7581	2276
2012-04-18	MC3D-Q16UK2012	Melding - ukemelding	Ukemelding for uke 15.	7571	2277
2012-04-18	MC3D-Q16UK2012	Melding - ukemelding	Ukmelding for uke 14.	7571	2278
2012-04-18	NKFS12	Status - satt av OD	Pågående	7563	2279
2012-04-18	NKFS12	Melding - oppstartsmelding	\N	7563	2280
2012-04-18	NSH12	Melding - endringsmelding	Grunna tilbakemelding frå industrien og OD sitt val av blokker som er sendt på høyring for 22.runde, ynskjer me å utvida arbeidsområdet noko mot nord og sør. Arbeidsområdet er krympa i vest og aust, slik at totalt antall km2 er redusert med meir enn 50%.  Kontaktdetaljer for fartøyet og fiskerikyndig er no lagt inn.	7629	2281
2012-04-17	WIN12301	Melding - ukemelding	\N	7556	2282
2012-04-17	CP12L04	Status - satt av OD	Under behandling	7640	2283
2012-04-17	NPD1201	Melding - endringsmelding	Forventet oppstart for undersøkelsen blir først 26/4/12	7620	2284
2012-04-16	WIN12002	Status - satt av OD	Planlagt	7609	2285
2012-04-16	WIN12001	Status - satt av OD	Planlagt	7602	2286
2012-04-16	NBR12	Melding - ukemelding	\N	7579	2287
2012-04-16	SWB12	Melding - ukemelding	\N	7569	2288
2012-04-16	LN12305	Status - satt av OD	Planlagt	7608	2289
2012-04-16	BPN12301	Status - satt av OD	Under behandling	7639	2290
2012-04-16	BPN12001	Status - satt av OD	Under behandling	7638	2291
2012-04-16	BPN0301-15	Status - satt av OD	Planlagt	7601	2292
2012-04-16	SWB12	Melding - endringsmelding	Området er noe endret mot nord vest. Brutto og netto polygon er utvidet noe i forhold til tidligere endringsmelding.	7569	2293
2012-04-16	Linnorm	Melding - ukemelding	Den siste uka har to fartøy, Fugro Galaxy og Acergy Viking, holdt på med denne jobben. Acergy Viking vil fullføre sin del denne helgen (14-15 april), mens Fugro Galaxy vil jobbe ca. 5 dager til.	7582	2294
2012-04-16	NKFE12	Status - satt av OD	Pågående	7561	2295
2012-04-16	NKFE12	Melding - oppstartsmelding	\N	7561	2296
2012-04-16	CP12201	Melding - oppstartsmelding	\N	7578	2297
2012-04-16	CP12201	Melding - endringsmelding	Navn på Chase fartøy	7578	2298
2012-04-16	CP12201	Status - satt av OD	Pågående	7578	2299
2012-04-13	ST12308	Status - satt av OD	Planlagt	7573	2300
2012-04-13	ST12305	Status - satt av OD	Planlagt	7572	2301
2012-04-13	ST12011	Status - satt av OD	Under behandling	7637	2302
2012-04-12	RD1204	Status - satt av OD	Under behandling	7636	2303
2012-04-12	MC3D-SVG12	Status - satt av OD	Planlagt	7603	2304
2012-04-11	BG27-03-2012	Status - satt av OD	Planlagt	7617	2305
2012-04-11	ST12301	Melding - ukemelding	\N	7546	2306
2012-04-11	ST12301	Melding - ukemelding	\N	7546	2307
2012-04-11	MCG1201	Melding - ukemelding	\N	7580	2308
2012-03-19	DA1201	Status - satt av OD	Under behandling	7614	2382
2012-04-11	FP12	Melding - endringsmelding	endret kordinater for netto og brutto område.	7611	2309
2012-04-11	EMGS1201	Melding - ukemelding	\N	7558	2310
2012-04-11	WIN12301	Melding - ukemelding	\N	7556	2311
2012-04-11	WIN12301	Melding - endringsmelding	Grunnet svært mye dårlig vær ber vi om å få forlenget innsamlingsperioden til 30. april. Inge Kjerringvåg vil fortsette som fiskerikyndig i samme periode.	7556	2312
2012-04-11	RD1203	Status - satt av OD	Under behandling	7635	2313
2012-04-11	EM1201	Status - satt av OD	Planlagt	7586	2314
2012-04-11	EM1202	Status - satt av OD	Planlagt	7587	2315
2012-04-10	GDF1201	Status - satt av OD	Planlagt	7593	2316
2012-04-10	NBR12	Melding - ukemelding	\N	7579	2317
2012-04-10	SWB12	Melding - ukemelding	\N	7569	2318
2012-04-10	MCG1201	Melding - ukemelding	\N	7580	2319
2012-04-10	EO12301	Status - satt av OD	Under behandling	7631	2320
2012-04-03	NSH12	Status - satt av OD	Under behandling	7629	2321
2012-04-03	RD1201	Status - satt av OD	Pågående	7581	2322
2012-04-03	RD1201	Melding - endringsmelding	Skyteretningen er endret fra Ø-V til N-S for en mer effektiv innsamling. I tillegg er båt endret til SRV Viking Vanquish. Liten utvidelse av survey i syd vest.	7581	2323
2012-04-03	SWB12	Melding - ukemelding	\N	7569	2324
2012-04-03	WIN12301	Melding - ukemelding	\N	7556	2325
2012-04-03	NBR12	Melding - ukemelding	\N	7579	2326
2012-04-02	Linnorm	Melding - endringsmelding	Det er satt inn ekstra båt - Acegy Viking - i tillegg til båten Fugro Galaxy.	7582	2327
2012-04-02	Linnorm	Melding - endringsmelding	Det er satt inn ekstra båt - Acegy Viking - i tillegg til båten Fugro Galaxy.	7582	2328
2012-04-02	BGN1201	Status - satt av OD	Under behandling	7626	2329
2012-03-30	LN12502	Status - satt av OD	Planlagt	7604	2330
2012-03-30	ST12006	Status - satt av OD	Under behandling	7625	2331
2012-03-30	SH1201	Melding - endringsmelding	Denne endringsmeldingen gjelder to ting:1. En liten endring i oppstarttidspunkt til ca. 20 april (selv om 25 april er enda mer sannsynlig). Dette medfører at avslutningen strekkes ut til 15 august.2. Redusert område. Den østlige delen blir betydelig redusert slik at avtand til gyteområder og noen fiskeriområder økes.	7592	2332
2012-03-30	Linnorm	Melding - endringsmelding	Pga av værforsinkelser er det behov for å sette inn et fartøy til for å fullføre dette arbeidet i tide. Dette fartøyet er Acergy Viking	7582	2333
2012-03-30	BG1201	Melding - endringsmelding	Korrekt navn på rettighetshaver er BG Norge AS	7621	2334
2012-03-29	RD1201	Melding - endringsmelding	Skyteretningen er endret fra Ø-V til N-S for en mer effektiv innsamling. I tillegg er båt endret til SRV Viking Vanquish.	7581	2335
2012-03-29	BG1202	Status - satt av OD	Under behandling	7624	2336
2012-03-29	ST12012	Status - satt av OD	Under behandling	7623	2337
2012-03-29	ST12316	Status - satt av OD	Under behandling	7622	2338
2012-03-29	BG1201	Status - satt av OD	Under behandling	7621	2339
2012-03-29	NPD1201	Status - satt av OD	Under behandling	7620	2340
2012-03-28	ST12313	Status - satt av OD	Under behandling	7619	2341
2012-03-28	LN12310	Status - satt av OD	Planlagt	7595	2342
2012-03-28	ST12309	Status - satt av OD	Planlagt	7574	2343
2012-03-28	LN12002	Status - satt av OD	Under behandling	7618	2344
2012-03-28	ST12310	Status - satt av OD	Planlagt	7589	2345
2012-03-28	ST12311	Status - satt av OD	Planlagt	7590	2346
2012-03-28	LN12309	Status - satt av OD	Planlagt	7594	2347
2012-03-27	BG27-03-2012	Status - satt av OD	Under behandling	7617	2348
2012-03-27	EMGS1201	Melding - ukemelding	\N	7558	2349
2012-03-27	EMGS1201	Melding - ukemelding	\N	7558	2350
2012-03-27	DN1202	Status - satt av OD	Planlagt	7591	2351
2012-03-27	MC3D-HVG2012	Status - satt av OD	Under behandling	7616	2352
2012-03-27	MCG1201	Melding - ukemelding	\N	7580	2353
2012-03-27	MCG1201	Melding - endringsmelding	Justering av brutto areal for å unngå konflikt med Bjørnøya eksklusjon sonen; justering av survey linjer innenfor området	7580	2354
2012-03-27	NBR12	Melding - oppstartsmelding	\N	7579	2355
2012-03-27	MC3D-Q16UK2012	Melding - ukemelding	\N	7571	2356
2012-03-26	NBR12	Status - satt av OD	Pågående	7579	2357
2012-03-26	NBR12	Melding - ukemelding	\N	7579	2358
2012-03-26	SWB12	Melding - ukemelding	\N	7569	2359
2012-03-26	ST12301	Melding - ukemelding	\N	7546	2360
2012-03-26	Linnorm	Melding - ukemelding	\N	7582	2361
2012-03-26	ST12301	Melding - ukemelding	\N	7546	2362
2012-03-26	DN1202	Melding - endringsmelding	kallesignal båt	7591	2363
2012-03-26	LN12303	Melding - endringsmelding	Rettet kallesignal og IMO nummer på båten Fugro Meridian.	7584	2364
2012-03-26	ST12301	Status - satt av OD	Pågående	7546	2365
2012-03-26	ST12303	Melding - sluttmelding	\N	7551	2366
2012-03-26	ST12301	Melding - oppstartsmelding	Undersøkelse startet opp Tidlig Lørdag 24. Mars. 78 km seismikk samlet inn sålangt	7546	2367
2012-03-26	ST12303	Status - satt av OD	Ferdig	7551	2368
2012-03-26	LN12303	Melding - endringsmelding	Routsurveyen vil ta lenger tid enn omsøkt. Det er ikke noen endringer i datinnsamlingen.	7584	2369
2012-03-23	LN12303	Melding - ukemelding	\N	7584	2370
2012-03-22	ST11006	Status - satt av OD	Ferdig	7488	2371
2012-03-22	ST11006	Melding - sluttmelding	Denne surveyen ble dessverre ikke fullført slik som planlagt. På grunn av gyting i området så ble vi anbefalt å avslutte surveyen nå og den ble avslutttet 13 mars etter at vestlig del av undersøkelsen var ferdig.Det som gjenstår av surveyen vil en forsøke å samle inn når området åpnes igjen for seismikk 15 mai.Denne delen vil da bli å betrakte som en ny survey med nytt prosjektnavn	7488	2372
2012-03-21	GDF1201	Melding - endringsmelding	Endringen gjelder båter, tidsrom og fiskerikyndige.	7593	2373
2012-03-21	MC3D-Q16UK2012	Melding - endringsmelding	Endring av fiskerikyndig til Oddmund Helberg.	7571	2374
2012-03-21	MC3D-Q16UK2012	Melding - ukemelding	Ukemelding for Uke 11.	7571	2375
2012-03-21	MCG1201	Melding - oppstartsmelding	Vessel mobilized in Kirkenes and sailed for northern part of survey area today 21st March 2012	7580	2376
2012-03-21	MCG1201	Status - satt av OD	Pågående	7580	2377
2012-03-21	WIN12003	Status - satt av OD	Under behandling	7615	2378
2012-03-21	WIN12301	Melding - ukemelding	\N	7556	2379
2012-03-20	MC3D-SVG12	Melding - endringsmelding	Endring av oppstarts tidspunktet til 23.04.2012.	7603	2380
2012-03-20	MC3D-SVG12	Melding - endringsmelding	Endring av oppstarts tidspunktet til 23.04.2012.	7603	2381
2012-03-19	ST12312	Status - satt av OD	Under behandling	7613	2383
2012-03-19	ST12303	Melding - ukemelding	\N	7551	2384
2012-03-19	LN12301	Melding - sluttmelding	\N	7570	2385
2012-03-19	LN12301	Status - satt av OD	Ferdig	7570	2386
2012-03-19	SWB12	Melding - ukemelding	\N	7569	2387
2012-03-19	SU1201	Melding - endringsmelding	The source size and number were incorrect in the last notification and have now been corrected.	7576	2388
2012-03-16	FP12	Melding - endringsmelding	Områdeoppdatering	7611	2389
2012-03-16	LN12303	Melding - ukemelding	\N	7584	2390
2012-03-16	LN12301	Melding - ukemelding	\N	7570	2391
2012-03-15	SU1201	Melding - endringsmelding	The earliest expected start date for the survey is now July 1st, however this form does not allow me the change the earlier submitted start date.	7576	2392
2012-03-15	FP12	Status - satt av OD	Under behandling	7611	2393
2012-03-15	ST12301	Melding - endringsmelding	Endringsmelding består at Statoil anmoder om å få forlenge tidsperioden for innsamling av ST12301 undersøkelsen til 25. April. Grunnet dårlig vær har vi ennå ikke startet denne undersøkelsen. Har lagt til Erling Skåtøy som Fiskerikyndig i tilfelle vi får startet undersøkelsen. Brutto området mot vest er utvidet noe for å ha mer plass for å snu fartøyet. Utover dette, ingen endringer.	7546	2394
2012-03-15	LN12001	Status - satt av OD	Under behandling	7610	2395
2012-03-15	EM1201	Melding - endringsmelding	kommer med navn på følgebåter og volum på kilder	7586	2396
2012-03-15	ST11006	Melding - endringsmelding	Statoil ble endelig ferdig med den første delen av denne innsamlingen 13/3-2012 kl 17:56. Målet er nå at vi starter opp igjen så fort gyteperioden i dette området er over i midten av mai. Vi vil komme tilbake med detaljer så fort dette blir avklart.	7488	2397
2012-03-15	Linnorm	Melding - oppstartsmelding	\N	7582	2398
2012-03-15	SU1201	Status - satt av OD	Planlagt	7576	2399
2012-03-15	Linnorm	Status - satt av OD	Pågående	7582	2400
2012-03-14	ST11006	Status - satt av OD	Pause	7488	2401
2012-03-14	NKFS12	Status - satt av OD	Planlagt	7563	2402
2012-03-14	SU1201	Status - satt av OD	Pågående	7576	2403
2012-03-14	NBR12	Status - satt av OD	Planlagt	7579	2404
2012-03-14	ST12001	Status - satt av OD	Planlagt	7575	2405
2012-03-13	ST12309	Melding - endringsmelding	Endringene består av;Statoil ønsker å forlenge tidsperioden for innsamling av denne undersøkelsen til 19 April. I tillegg har leiv R. Stensen erstattet Marisol Montoya som en av våre kontakt personer. Utover dette er det ingen endringer.	7574	2406
2012-03-13	ST12303	Melding - endringsmelding	Endring består i at vi ønsker en lenger periode for innsamlingen, til 16 April om det skulle bli nødvendig. Utover forlengelse av tidsperide for innsamling, er det ingen endringer.	7551	2407
2012-03-13	WIN12002	Status - satt av OD	Under behandling	7609	2408
2012-03-13	LN12305	Status - satt av OD	Under behandling	7608	2409
2012-03-13	ST11006	Melding - ukemelding	\N	7488	2410
2012-03-13	MC3D-Q16UK2012	Melding - ukemelding	Ukemelding for uke 10.	7571	2411
2012-03-12	LN12301	Status - satt av OD	Pågående	7570	2412
2012-03-12	LN12301	Melding - oppstartsmelding	\N	7570	2413
2012-03-12	ST12303	Melding - ukemelding	\N	7551	2414
2012-03-12	EMGS1201	Melding - ukemelding	\N	7558	2415
2012-03-12	WIN12301	Melding - ukemelding	\N	7556	2416
2012-03-12	SWB12	Melding - ukemelding	\N	7569	2417
2012-03-12	MCG1201	Status - satt av OD	Planlagt	7580	2418
2012-03-12	IPN1201	Melding - endringsmelding	Planlagt gjennomføring ønskes fremskyndet fra perioden 01.05.2012 -09.06.2012 til perioden 7.4.2012 – 16.05.2012. Det er koordinering med 3 andre planlagte seismiske undersøkelser i området som er bakgrunn for denne fremskyndelsen.(NB: Eksisterende Fra dato og Til dato under feltet Planlagt periode er per idag ikke redigerbare via ODs seismikk portal. Datoene står derfor foreløpig uendret.)	7565	2419
2012-03-12	CP12201	Melding - endringsmelding	Grunnet forsinkelse er start nå satt til 10. april. Navn på fiskerikyndig.	7578	2420
2012-03-12	CP12201	Melding - endringsmelding	Grunnet forsinkelse er start nå satt til 10. april. Navn på fiskerikyndig.	7578	2421
2012-03-12	LN12306	Status - satt av OD	Under behandling	7606	2422
2012-03-12	LN12303	Melding - ukemelding	Båten ligger nå vær standby i Stavanger. Slik det ser ut pr i dag ser det ikke ut som det er arbeidsvær før mandag/tirsdag og d akan det være at vi må starte opp LN12301 grunnet at der går tillatelsen ut 1 april.	7584	2423
2012-03-09	EOTW12	Status - satt av OD	Under behandling	7605	2424
2012-03-09	LN12303	Melding - endringsmelding	Korrigerte koordinater	7584	2425
2012-03-09	LN12303	Melding - endringsmelding	Korrigerte koordinater	7584	2426
2012-03-08	CP12201	Status - satt av OD	Planlagt	7578	2427
2012-03-08	EMGS1203	Melding - endringsmelding	Endring av området	7560	2428
2012-03-08	RD1201	Status - satt av OD	Planlagt	7581	2429
2012-03-08	LN12502	Status - satt av OD	Under behandling	7604	2430
2012-03-08	MC3D-SVG12	Status - satt av OD	Under behandling	7603	2431
2012-03-08	WIN12001	Status - satt av OD	Under behandling	7602	2432
2012-03-07	BPN0301-15	Status - satt av OD	Under behandling	7601	2433
2012-03-06	OMV11300	Melding - sluttmelding	\N	7433	2434
2012-03-06	OMV11300	Melding - sluttmelding	\N	7433	2435
2012-03-06	OMV11300	Status - satt av OD	Ferdig	7433	2436
2012-03-06	ST11006	Melding - endringsmelding	Denne endringsmelding gjelder skifte av skytebåt.I januar i år ble New Venture erstattet med Harrier Explorer som skytebåt for denne undersøkelsen siden New Venture måtte inn til klassing og sertifisering. New Venture er nå klar igjen og en har derfor skiftet skytebåt tilbake til New Venture igjen. Når båtene i følge planen går ut i morgen tidlig fra Bergen så vil det være New Ventuer som vil være skytebåt.	7488	2437
2012-03-06	WIN12301	Melding - ukemelding	\N	7556	2438
2012-03-06	ST12005	Status - satt av OD	Under behandling	7599	2439
2012-03-05	MC3D-CGR2012	Melding - sluttmelding	Sluttmelding.	7557	2440
2012-03-05	ST11006	Melding - ukemelding	\N	7488	2441
2012-03-05	Linnorm	Status - satt av OD	Planlagt	7582	2442
2012-03-05	MC3D-CGR2012	Status - satt av OD	Ferdig	7557	2443
2012-03-05	ST12303	Melding - ukemelding	\N	7551	2444
2012-03-05	EMGS1201	Status - satt av OD	Pågående	7558	2445
2012-03-05	EMGS1201	Melding - oppstartsmelding	\N	7558	2446
2012-03-05	EMGS1204	Status - satt av OD	Avlyst	7583	2447
2012-03-05	LN12303	Melding - oppstartsmelding	Båten regner med å starte opp i morgen kveld	7584	2448
2012-03-05	LN12303	Status - satt av OD	Pågående	7584	2449
2012-03-05	MC3D-Q16UK2012	Status - satt av OD	Pågående	7571	2450
2012-03-02	WIN12301	Status - satt av OD	Pågående	7556	2451
2012-03-02	WIN12301	Melding - oppstartsmelding	Fartøyet forventer å ankomme survey området i løpet av lørdag 3. mars	7556	2452
2012-03-02	MC3D-Q16UK2012	Melding - oppstartsmelding	\N	7571	2453
2012-03-02	LN12303	Status - satt av OD	Planlagt	7584	2454
2012-03-02	SWB12	Status - satt av OD	Pågående	7569	2455
2012-03-02	NBR12	Melding - endringsmelding	Melding om fiskerikyndig.	7579	2456
2012-03-01	LN12310	Status - satt av OD	Under behandling	7595	2457
2012-03-01	LN12309	Status - satt av OD	Under behandling	7594	2458
2012-03-01	SWB12	Status - satt av OD	Planlagt	7569	2459
2012-03-01	SWB12	Melding - oppstartsmelding	\N	7569	2460
2012-03-01	SWB12	Status - satt av OD	Pågående	7569	2461
2012-03-01	ST12303	Melding - oppstartsmelding	\N	7551	2462
2012-03-01	ST11313	Melding - sluttmelding	\N	7536	2463
2012-03-01	ST11313	Status - satt av OD	Ferdig	7536	2464
2012-03-01	ST12303	Status - satt av OD	Pågående	7551	2465
2012-02-29	GDF1201	Status - satt av OD	Under behandling	7593	2466
2012-02-29	LN12301	Melding - endringsmelding	Netto areal fra kart	7570	2467
2012-02-29	DN1202	Melding - endringsmelding	Lagt inn netto areal	7591	2468
2012-02-29	Linnorm	Melding - endringsmelding	.	7582	2469
2012-02-28	LN12301	Status - satt av OD	Planlagt	7570	2470
2012-02-28	LN12301	Melding - endringsmelding	Endringen består i at området er blitt noe mindre og nå kun dekker innenfor lisensene til Lundin	7570	2471
2012-02-28	LN1051	Melding - ukemelding	\N	7197	2472
2012-02-28	NKFE12	Status - satt av OD	Planlagt	7561	2473
2012-02-28	IPN1201	Status - satt av OD	Planlagt	7565	2474
2012-02-28	MC3D-CGR2012	Melding - ukemelding	Ukemelding uke 8	7557	2475
2012-02-27	ST11006	Melding - ukemelding	\N	7488	2476
2012-02-27	OMV11300	Melding - ukemelding	\N	7433	2477
2012-02-27	ST11313	Melding - ukemelding	\N	7536	2478
2012-02-27	MC3D-Q16UK2012	Melding - endringsmelding	Endringsmelding for endring av båt, antall kabler, område.	7571	2479
2012-02-27	OMV11300	Melding - endringsmelding	Endring av tidsrom. Pga dårlig vær har vi ikke fått fullført innsamlingen. OMV sin kontaktperson er nå Geir Tangen	7433	2480
2012-02-24	ST11006	Melding - endringsmelding	Denne endringsmelding gjelder skifte av skytebåt.I januar i år ble New Venture erstattet med Harrier Explorer som skytebåt for denne undersøkelsen siden New Venture måtte inn til klassing og sertifisering. New Venture er nå klar igjen og en har derfor skiftet skytebåt tilbake til New Venture igjen. Når båtene i følge planen går ut i morgen tidlig fra Bergen så vil det være New Ventuer som vil være skytebåt.	7488	2481
2012-02-24	SH1201	Status - satt av OD	Under behandling	7592	2482
2012-02-23	DN1202	Status - satt av OD	Under behandling	7591	2483
2012-02-23	ST12311	Status - satt av OD	Under behandling	7590	2484
2012-02-23	ST12310	Status - satt av OD	Under behandling	7589	2485
2012-02-22	MC3D-CGR2012	Melding - endringsmelding	Utvidelse av tidsrommet til 31.03.2012.	7557	2486
2012-02-22	EM1202	Status - satt av OD	Under behandling	7587	2487
2012-02-22	EM1201	Status - satt av OD	Under behandling	7586	2488
2012-02-22	ST12303	Melding - endringsmelding	Endringen gjelder følgende;Vi har endret litt på området, og gitt netto område (hvor vi bruker luft kanoner) og brutto området (inkludert snuing av fartøy).Vi har bedt om endret innsamlings periode, siden vi ligger litt på etterskudd med det vi hadde håpet å klare. Så ny avslutnings dato er 24 Mars.En ny kontakt person.	7551	2489
2012-02-21	OMV11300	Melding - ukemelding	\N	7433	2490
2012-02-21	SWB12	Status - satt av OD	Planlagt	7569	2491
2012-02-21	MC3D-CGR2012	Melding - ukemelding	Ukemelding uke 8.	7557	2492
2012-02-21	EMGS1204	Status - satt av OD	Planlagt	7583	2493
2012-02-21	ST11006	Melding - endringsmelding	Vi har nå en tillatelse til innsamling som gjelder til og med 29 februar. I forbindelse med godkjenning av siste endringsmelding nevnte Havforskningsinstituttet at de ville frarå innsamling fra ca 1. mars. Basert på denne uttalelsen har en nå kuttet ut å samle inn østlig del av området i perioden hvor gyting pågår, slik at det kun er et begrenset område som nå gjenstår. Det området som gjenstår ligger mellom 2 områder som allerede er ferdig og det vil ha stor betydning for oss om en kan få fullført dette gjenværende område slik at en får et kontinuerlig og sammenhengende  datasett. Skyteområdet som gjenstår er ca 52 kvkm og en vil trenge ca 4 produksjonsdager for å bli ferdig med innsamlingen av dette området. Både C-Pacer og Harrier vil gå ut til Gullfaks i kveld for å starte nedlegging av nodelinjer og deretter starte innsamling. Været skal være brukbart i morgen, men utover uka ser det dårligere ut. Vi kan derfor ikke være sikker på at vi blir ferdig til 29 februar som er den dato nåværende tillatelse gjelder til. Vi ber derfor om en utvidelse av tillatelsen til å gjelde fram til 10 mars. En har nå lagt inn nye koordinater som spesifiserer det området som nå gjenstår slik at det skal være i samsvar med det aktivitetsområdet som nå vil være aktuelt for resten av undersøkelsen. Selv om vi nå har satt 10 mars som sluttdato i meldingen håper vi at en skal være ferdig i god tid før det, men erfaring fra hele vinteren har vist at det ikke er noe som er sikkert når det gjelder vær. På grunn av at det er begrenset område og antall km som gjenstår, håper en at en får godkjenning til å fortsette utover 1 mars slik at en kan få gjort ferdig det som gjenstår av det reduserte området.	7488	2494
2012-02-20	LN12303	Status - satt av OD	Under behandling	7584	2495
2012-02-20	ST11313	Melding - ukemelding	\N	7536	2496
2012-02-20	ST11006	Melding - ukemelding	\N	7488	2497
2012-02-20	EMGS1204	Status - satt av OD	Under behandling	7583	2498
2012-02-20	ST12303	Status - satt av OD	Planlagt	7551	2499
2012-02-20	EMGS1201	Status - satt av OD	Planlagt	7558	2500
2012-02-20	EMGS1202	Status - satt av OD	Planlagt	7559	2501
2012-02-20	EMGS1203	Status - satt av OD	Planlagt	7560	2502
2012-02-20	ST12301	Melding - endringsmelding	Vi har gjort to endringer;1. Grunnet ugunstig vær, anmoder vi om forlenget innsamlingsperiode til 27 mars. Vi har enda ikke fått startet på denne undersøkelsen.2. Leiv R. Stensen erstatter Marisol Montoya som en av kontaktpersonene for undersøkelsen.Utover dette, ingen endringer.	7546	2503
2012-02-20	WIN12301	Melding - endringsmelding	Endringsmeldingen gjelder justering av området, nytt innsamlingstidsrom, oppdatering av fartøy informasjon samt navn på fiskerikyndig	7556	2504
2012-02-15	Linnorm	Status - satt av OD	Under behandling	7582	2505
2012-02-15	MC3D-Q16UK2012	Melding - endringsmelding	Endring av båt, antall kabler og periode.	7571	2506
2012-02-15	ST11313	Melding - endringsmelding	Tre endringer; 1.Slik værmeldingen er for den nære fremtid; Ser det ikke ut til at vi vil kunne avslutte Borestedsundersøkelse ST11313 den 23. Februar slik vi hadde håpet. Statoil anmoder derfor om å få holde på med ST11313 innsamlingen til 13 Mars.2. Leif R. Stensen overtar som av kontaktperson etter Marisol Montoya3. Ny fiskerikyndig er ombord.	7536	2507
2012-02-13	MC3D-CGR2012	Melding - ukemelding	Ukemelding uke 6.	7557	2508
2012-02-13	ST11006	Melding - ukemelding	\N	7488	2509
2012-02-13	ST11313	Melding - ukemelding	\N	7536	2510
2012-02-13	OMV11300	Melding - ukemelding	\N	7433	2511
2012-02-10	RD1201	Status - satt av OD	Under behandling	7581	2512
2012-02-10	ST12303	Melding - endringsmelding	Endringen gjelder følgende;Vi har endret litt på området, og gitt netto område (hvor vi bruker luft kanoner) og brutto området (inkludert snuing av fartøy).Vi har bedt om endret innsamlings periode, siden vi ligger litt på etterskudd med det vi hadde håpet å klare. Så ny avslutnings dato er 24 Mars.En ny kontakt person.	7551	2513
2012-02-09	MCG1201	Status - satt av OD	Under behandling	7580	2514
2012-02-08	bg1102	Melding - sluttmelding	\N	7390	2515
2012-02-08	NBR12	Status - satt av OD	Under behandling	7579	2516
2012-02-08	ST11469	Melding - sluttmelding	\N	7550	2517
2012-02-08	ST11469	Status - satt av OD	Ferdig	7550	2518
2012-02-07	ST11006	Melding - ukemelding	\N	7488	2519
2012-02-07	ST11313	Melding - ukemelding	\N	7536	2520
2012-02-07	ST11313	Melding - ukemelding	\N	7536	2521
2012-02-06	OMV11300	Melding - ukemelding	\N	7433	2522
2012-02-06	CP12201	Status - satt av OD	Under behandling	7578	2523
2012-02-06	ST11006	Melding - endringsmelding	Denne endringsmeldig gjelder følgende:- Ny fiskerikyndig i tllegg ti den som er der- Søknad om utvidelse av tillatelse dersom en ikke blir ferdig til 15 februar.På grunn av økt fiskeaktivitet vil vi fra nå av ha 2 fiskerikyndige på denne surveyen. Harald Simonsen vil fortsatt være fiskerikyndig og være på Harrier Explorer, og en vil fra nå av også ha Kai Leithe som fiskerikyndig, men vi planlegger at han skal være på følgebåten BB Hunter. Grunnen til dette er at en da vil være mer fleksible med tanke på at en alltid, dersom været tillater det, vil kunne ha en fiskerikyndig på feltet og overvåke nodene som ligger på bunnen. Eksisterende tillatelse gjelder til 15 februar. Det er fortsatt en mulighet for å bli ferdig til 15 februar, men det betinger at en får operassjonsvær de neste ukene og og at operasjonen går svært bra.Med det været vi har hatt og fortsatt kan få framover vil det kunne  bli vanskelig å bli ferdig til 15 februar og en trenger derfor tillatelse til å fortsette utover 15 februar om nødvendig for å bli ferdig.	7488	2524
2012-02-06	ST11006	Melding - endringsmelding	Denne endringsmeldig gjelder følgende:- Ny fiskerikyndig i tllegg ti den som er der- Søknad om utvidelse av tillatelse dersom en ikke blir ferdig til 15 februar.På grunn av økt fiskeaktivitet vil vi fra nå av ha 2 fiskerikyndige på denne surveyen. Harald Simonsen vil fortsatt være fiskerikyndig og være på Harrier Explorer, og en vil fra nå av også ha Kai Leithe som fiskerikyndig, men vi planlegger at han skal være på følgebåten BB Hunter. Grunnen til dette er at en da vil være mer fleksible med tanke på at en alltid, dersom været tillater det, vil kunne ha en fiskerikyndig på feltet og overvåke nodene som ligger på bunnen. Eksisterende tillatelse gjelder til 15 februar. Det er fortsatt en mulighet for å bli ferdig til 15 februar, men det betinger at en får operassjonsvær de neste ukene og og at operasjonen går svært bra.Med det været vi har hatt og fortsatt kan få framover vil det kunne  bli vanskelig å bli ferdig til 15 februar og en trenger derfor tillatelse til å fortsette utover 15 februar om nødvendig for å bli ferdig.	7488	2525
2012-02-03	MC3D-CGR2012	Status - satt av OD	Pågående	7557	2526
2012-02-03	MC3D-CGR2012	Melding - oppstartsmelding	\N	7557	2527
2012-02-03	MC3D-CGR2012	Melding - endringsmelding	Endring av den fiskerikyndige til Perry Urkedal.	7557	2528
2012-02-03	SWB12	Melding - endringsmelding	Området er noko endra. Brutto polygon er redusert og innsamling er lenger sørøst. I tillegg melder vi inn fiskerikyndig og kontakt-infomasjon til fartøyet.	7569	2529
2012-02-03	ST12301	Melding - endringsmelding	Vi har spesifisert området hvor det blir brukt air guns under Områder. I dette tilfelle er det relevant å oppgi netto område selv om dette dreier seg om 2D lett seismikk. Netto området er halvert i forhold til tidligere innmeldinger. Bortsett fra denne presiseringen, og at vi har fått Fiskerikyndig for undersøkelsen er de andre opplysningene som tidligere.	7546	2530
2012-02-02	SU1201	Status - satt av OD	Under behandling	7576	2531
2012-02-01	ST12001	Status - satt av OD	Under behandling	7575	2532
2012-01-30	ST11468	Status - satt av OD	Ferdig	7554	2533
2012-01-30	ST11468	Melding - sluttmelding	\N	7554	2534
2012-01-30	ST11313	Melding - endringsmelding	Endringen består i at vi anmoder om å få forlenge tidsperioden med 2 uker for ST11313 undersøkelsen i tilfelle det skulle være behov for det. Vi har tillatelse til 09. Februar, men ønsker dette forlenget til 23 Februar. Utover dette, ingen endringer. Det er det ugunstige været i Desember og Januar som er årsaken til at vi er på etterskudd med ST11313 undersøkelsen.	7536	2535
2012-01-30	DN1201	Status - satt av OD	Ferdig	7568	2536
2012-01-30	DN1201	Melding - sluttmelding	\N	7568	2537
2012-01-30	ST11006	Melding - ukemelding	\N	7488	2538
2012-01-30	ST11313	Melding - ukemelding	\N	7536	2539
2012-01-30	EMGS1203	Melding - endringsmelding	Endring av området	7560	2540
2012-01-30	OMV11300	Melding - endringsmelding	Ronald Hansen er ny fiskerikyndig	7433	2541
2012-01-30	EMGS1202	Melding - endringsmelding	Endring av Området	7559	2542
2012-01-30	OMV11300	Melding - ukemelding	\N	7433	2543
2012-01-30	ST11468	Melding - oppstartsmelding	Eksagt oppstartsdag er væravhengig, men kan bli oppstart fra 30.01.2012	7554	2544
2012-01-30	ST11468	Status - satt av OD	Pågående	7554	2545
2012-01-27	ST12309	Status - satt av OD	Under behandling	7574	2546
2012-01-27	EMGS1201	Melding - endringsmelding	Endring av området koordinatorEndring av tilatelse navn	7558	2547
2012-01-27	OMV11300	Melding - ukemelding	\N	7433	2548
2012-01-27	OMV11300	Melding - endringsmelding	Endring av tidsrom. Pga dårlig vær blir vi sannsynligvis ikke ferdig i januar.	7433	2549
2012-01-27	ST12308	Status - satt av OD	Under behandling	7573	2550
2012-01-26	ST12305	Status - satt av OD	Under behandling	7572	2551
2012-01-26	ST11467	Melding - sluttmelding	Denne grunnundersøkelsen er nå helt avsluttet.	7538	2552
2012-01-26	ST11467	Melding - ukemelding	\N	7538	2553
2012-01-26	ST11462 NSGI	Melding - sluttmelding	Denne grunnundersøkelsen er nå helt avsluttet	7531	2554
2011-12-08	ST11462 NSGI	Melding - oppstartsmelding	\N	7531	2675
2012-01-26	ST11462 NSGI	Melding - ukemelding	Siste uke er følgende utført:6 Vibrocorere, 3 trykksonderinger og 2 boringer. Gjenstående er: 3 Boxcorere, 4 Gravitycorere, 5 Vibrocorere og ett borhull.	7531	2555
2012-01-26	ST11462 NSGI	Status - satt av OD	Ferdig	7531	2556
2012-01-26	ST11467	Status - satt av OD	Ferdig	7538	2557
2012-01-25	DN1201	Melding - endringsmelding	Ber om  periode for innsamling forlengettil 10.2 på grunn av dårlig vær	7568	2558
2012-01-25	ST12301	Melding - endringsmelding	Endring består i større område mot nord for at fartøyet skal kunne snu skikkelig. Ingen økning av linjeprogram.	7546	2559
2012-01-25	ST11469	Melding - oppstartsmelding	Bucentaur vil i kveld onsdag 25.01.12 seile fra Åsgard til Oseberg Sør for å starte planlagt arbeid der. P.g.a. dårlig værmelding antas ikke arbeidet å starte opp før lørdag 28.01, men hvis det skulle bli bedre vær vil arbeidet kunne starte opp sent torsdag 26.01.	7550	2560
2012-01-25	ST11469	Status - satt av OD	Pågående	7550	2561
2012-01-24	MC3D-Q16UK2012	Status - satt av OD	Planlagt	7571	2562
2012-01-24	MC3D-CGR2012	Status - satt av OD	Planlagt	7557	2563
2012-01-24	EMGS1103	Melding - sluttmelding	The EM Express MT survey is complete, the vessel has left the survey area and heading to port (Bergen)	7537	2564
2012-01-24	EMGS1103	Status - satt av OD	Ferdig	7537	2565
2012-01-23	ST11006	Melding - ukemelding	\N	7488	2566
2012-01-23	ST11313	Melding - ukemelding	\N	7536	2567
2012-01-23	MC3D-Q16UK2012	Status - satt av OD	Under behandling	7571	2568
2012-01-23	WIN12301	Status - satt av OD	Planlagt	7556	2569
2012-01-23	ST11006	Melding - endringsmelding	Denne endrings melding gjelder 2 forhold.1)På grunn av bytting av skytebåt fra New Venture til Harrier Explorer (ref. tidligere meldinger) og mye dårlig vær siden nyttår så ser det dessverre ut som om det kan bli problem med å bli ferdig innen 31.01.12 som tidligere meldt som forventet avslutningsdato. En må derfor be om forlengelse av innsamlingsperioden. Dersom været blir bra framover vil en kunne bli ferdig i løpet av ca 14 dager, men på grunn av usikkerhet med været så har i denne endringmeldinga satt 15. februar 2012 som avslutningsdato, men håper at en vil bli ferdig før denne dato.2) En har til nå bruket BB Server som følgebåt for denne surveyen. Denne blir nå byttet ut med BB Hunter som følgebåt. Det er planen at C-Pacer og Harrier Explorer, som nå ligger i Bergen på grunn av dårlig vær, vil gå til Gullfaks for å fortsett operasjonen i morgen lørdag 21 januar, og BB Hunter vil da dra ut samtidig og være følgebåt. Detaljer om BB Hunter er gitt under fanen båter.	7488	2570
2012-01-20	TE1102	Status - satt av OD	Ferdig	7476	2571
2012-01-19	DN1201	Status - satt av OD	Pågående	7568	2572
2012-01-19	DN1201	Melding - oppstartsmelding	\N	7568	2573
2012-01-18	TE1102	Melding - ukemelding	Port of calls: Stavanger 11th. to 13th. of  January.	7476	2574
2012-01-18	DN1108	Status - satt av OD	Ferdig	7528	2575
2012-01-18	DN1108	Melding - sluttmelding	\N	7528	2576
2012-01-18	ST11462 NSGI	Melding - ukemelding	Pga. dårlig vær er bare 3 boxcorere utført.Gjenstående er: 3 boxcorere, 4gravitycorere, 11 vibrocorere, 3 trykksonderinger og 3 boringer. Antall gravitycorere og vibrocorere er justert ut fra at det var lite recovery på en del av stasjonene som allerede var tatt, slik at noen av disse vil bli prøvetatt en gang til.	7531	2577
2012-01-18	LN12301	Status - satt av OD	Under behandling	7570	2578
2012-01-18	DN1201	Status - satt av OD	Planlagt	7568	2579
2012-01-17	EMGS1103	Melding - endringsmelding	Due to bad weather, the survey has been extended a few more days to the 23.01.2012.	7537	2580
2012-01-17	OMV11300	Melding - ukemelding	\N	7433	2581
2012-01-16	SWB12	Status - satt av OD	Under behandling	7569	2582
2012-01-16	ST11006	Melding - ukemelding	\N	7488	2583
2012-01-16	ST11313	Melding - ukemelding	M/V Sea Explorer gikk fra Haugesund Fredag 13ende. Arbeidet med CPT målinger startet Lørdag 14ende, og Søndag var forholdene gode nok for seismikk innsamling.	7536	2584
2012-01-13	DN1108	Melding - ukemelding	Meridian har samlet inn noe sonar- og ekkoloddata siste uke. Ingen seismikk.	7528	2585
2012-01-12	DN1201	Status - satt av OD	Under behandling	7568	2586
2012-01-11	TE1102	Melding - ukemelding	Boat en route to Stavanger to shelter from weather	7476	2587
2012-01-10	ST11467	Melding - ukemelding	Det er ikke utført arbeid uke 1-2012.Det gjenstår fortsatt 9 (10) VC/GC (vibro-/gravitasjonsprøvetakinger).	7538	2588
2012-01-10	ST11462 NSGI	Melding - ukemelding	Det er i perioden utført:1 CPTU4 Trykksonderinger3 Boxcorere8 T-barGjenstående er:6 CPTU6 Boxcorere6 Vibrocorere6 Gravitycorere3 Trykksonderinger3 Boringer	7531	2589
2012-01-10	TE1102	Melding - endringsmelding	Må forlenge tidsperioden pga dårlig vær som medfører forlenget operasjonstid.	7476	2590
2012-01-10	IPN1201	Status - satt av OD	Under behandling	7565	2591
2012-01-10	ST11006	Melding - ukemelding	\N	7488	2592
2012-01-09	ST11313	Melding - ukemelding	\N	7536	2593
2012-01-09	ST11313	Melding - ukemelding	\N	7536	2594
2012-01-09	ST11313	Melding - ukemelding	M/V Sea Explorer var ute i Blokk 16/2 tidlig i Uke 51, men fikk ikke utført noe arbeid.	7536	2595
2012-01-09	OMV11300	Melding - ukemelding	\N	7433	2596
2012-01-09	ST11006	Melding - endringsmelding	Denne endrigsdmelding gjelder skifte av skytebåt. New-Venture som har vært skytebåt fram til nå skal inn på en større klassing og Harrier Explorer vil erstatte New-Venture som skytebåt. New-Veture har allerede reist til Hull for klassing, men Harrier Explorer vil ikke komme som erstatning før ca 14 - 15 januar.	7488	2597
2012-01-09	DN1108	Melding - ukemelding	På grunn av dårlig vær har Meridian ligget ved kai hele uken.	7528	2598
2012-01-06	MC3D-SVG11	Melding - sluttmelding	Sluttmelding 31.12.2011.	7378	2599
2012-01-05	ST11313	Melding - endringsmelding	Bytte av fiskerikyndig.	7536	2600
2012-01-05	OMV11300	Melding - ukemelding	\N	7433	2601
2012-01-05	TE1102	Melding - ukemelding	\N	7476	2602
2012-01-04	IPN1101	Melding - sluttmelding	Undersøkelsen måtte avslutte 4.8.2011 pga stor fiskeaktivitet - makrellfisket.	7460	2603
2012-01-03	NKFS12	Status - satt av OD	Under behandling	7563	2604
2012-01-03	RD1102	Melding - sluttmelding	\N	7461	2605
2012-01-03	RD1102	Status - satt av OD	Ferdig	7461	2606
2012-01-03	NKFE12	Status - satt av OD	Under behandling	7561	2607
2012-01-03	ST11006	Melding - ukemelding	\N	7488	2608
2012-01-03	ST11467	Melding - ukemelding	Alle trykksonderingene (CPTU)og mesteparten av arbeidet er utført.Det gjenstår fortsatt 9 VC/GC (vibro-/gravitasjonsprøvetakinger).	7538	2609
2012-01-03	ST11006	Status - satt av OD	Pågående	7488	2610
2012-01-03	ST11006	Status - satt av OD	Pause	7488	2611
2011-12-08	ST11462 NSGI	Status - satt av OD	Pågående	7531	2676
2012-01-02	ST11462 NSGI	Melding - ukemelding	Det er i perioden utført 15 trykksonderingene (CPTU)og 1 gravitasjonsprøvetaking (GC).Det gjenstår fortsatt arbeid:22 prøvetakingslokasjoner9 trykksonderinslokasjoner3 boringer	7531	2612
2012-01-02	ST11313	Melding - endringsmelding	Endring består at at vi trenger en lenger periode til å gjøre undersøkelsen ferdig. De siste tre ukene har det ikke vært mulig å arbeide pga. vær. Vi regner med at effektiv innsamlings tid for Borestedsundersøkelse ST11313 er ca. 5 til 7 døgn. Utover forlengelse av innsamlings periode er det ingen endringer av det som ble meldt inn 11 Oktober.	7536	2613
2012-01-02	MC3D-SVG11	Status - satt av OD	Ferdig	7378	2614
2012-01-02	TE1102	Melding - ukemelding	\N	7476	2615
2012-01-02	EMGS1203	Status - satt av OD	Under behandling	7560	2616
2012-01-02	EMGS1202	Status - satt av OD	Under behandling	7559	2617
2012-01-02	EMGS1201	Status - satt av OD	Under behandling	7558	2618
2012-01-02	DN1108	Status - satt av OD	Pågående	7528	2619
2011-12-29	EMGS1103	Melding - endringsmelding	Progress on the survey slow due to poor weather conditions. Estimated completion date is now 17.01.2012.	7537	2620
2011-12-29	ST11313	Melding - ukemelding	M/V Sea Explorer var ute i Blokk 16/2 tidlig i Uke 51, men fikk ikke utført noe arbeid.	7536	2621
2011-12-28	MC3D-CGR2012	Status - satt av OD	Under behandling	7557	2622
2011-12-28	ST11468	Status - satt av OD	Planlagt	7554	2623
2011-12-28	SH1106	Status - satt av OD	Ferdig	7487	2624
2011-12-28	SH1106	Melding - sluttmelding	Survey er avsluttet på grunn av dårlig vær. Det gjenstår noen km innsamling i forhold til det planlagte program, og dette vil bli virdert gjenopptatt ved en senere anledning.	7487	2625
2011-12-28	ST11462 NSGI	Melding - ukemelding	Det er ikke utført arbeid i uke 51. Dersom været tillater det, vil vi fortsette arbeidet i slutten av uke 52.	7531	2626
2011-12-28	OMV11300	Melding - ukemelding	\N	7433	2627
2011-12-28	ST11006	Melding - ukemelding	\N	7488	2628
2011-12-28	LN11307	Melding - sluttmelding	\N	7447	2629
2011-12-28	LN11307	Status - satt av OD	Ferdig	7447	2630
2011-12-22	ST11467	Melding - ukemelding	\N	7538	2631
2011-12-22	ST11462 NSGI	Melding - endringsmelding	Slutt tidspunktet for innsamling av data ønskes endret pga av sen oppstart og mye værevente	7531	2632
2011-12-22	ST11462 NSGI	Melding - ukemelding	\N	7531	2633
2011-12-22	ST11462 NSGI	Melding - ukemelding	\N	7531	2634
2011-12-22	MC3D-SVG11	Melding - ukemelding	Ukemelding uke 50	7378	2635
2011-12-22	OMV11300	Melding - ukemelding	\N	7433	2636
2011-12-22	WIN12301	Status - satt av OD	Under behandling	7556	2637
2011-12-21	ST12301	Melding - endringsmelding	Endring består i at lokasjon er flyttet mot Sørvest, etter partner møte i lisensen. I tillegg er tidsperioden flyttet med en måned.NB! Der søkt om ny / forlenget Undesøkelsestillatelse. I mellomtiden viser vi fortsatt til vår eksisterende Tillatelse No 398.	7546	2638
2011-12-20	SS1101	Melding - sluttmelding	\N	7431	2639
2011-12-19	SS1101	Status - satt av OD	Ferdig	7431	2640
2011-12-19	ST11313	Melding - oppstartsmelding	M/V Sea Explorer gikk fra Bergen mot arbeidsområdet ST11313 i Blokk 16/2 rundt klokken 08:00 i dag 19 Desember.  Værmeldigen gir et lite håp om arbeidsvær i perioden 20-21 Desember.Neste Havneanløp blir Haugesund.En God Jul ønskes dere alle!	7536	2641
2011-12-19	ST11313	Status - satt av OD	Pågående	7536	2642
2011-12-19	TE1102	Melding - ukemelding	\N	7476	2643
2011-12-19	LN11306	Status - satt av OD	Ferdig	7448	2644
2011-12-19	LN11306	Melding - sluttmelding	\N	7448	2645
2011-12-19	ST11467	Status - satt av OD	Pågående	7538	2646
2011-12-19	ST11467	Melding - oppstartsmelding	\N	7538	2647
2011-12-19	LN11307	Melding - oppstartsmelding	\N	7447	2648
2011-12-19	LN11307	Status - satt av OD	Pågående	7447	2649
2011-12-19	ST11006	Melding - endringsmelding	På grunn av dårlig vær i de siste ukene så er en dessverre ikke blitt ferdig med surveyen innen 31 desember slik som tidligere meldt. En må derfor be om forlengelse av innsamlingsperioden. På runn av stor usikkerhet med været så har en nå satt 31. januar som sluttdato, men en håper at en vil bli ferdig i god tid før denne dato.	7488	2650
2011-12-19	ST11006	Melding - ukemelding	\N	7488	2651
2011-12-16	ST11313	Melding - endringsmelding	Endring består at at vi trenger en lenger periode til å gjøre undersøkelsen ferdig. De siste tre ukene har det ikke vært mulig å arbeide pga. vær. Vi regner med at effektiv innsamlings tid for Borestedsundersøkelse ST11313 er ca. 5 til 7 døgn. Utover forlengelse av innsamlings periode er det ingen endringer av det som ble meldt inn 11 Oktober.	7536	2652
2011-12-16	OMV11300	Melding - oppstartsmelding	\N	7433	2653
2011-12-16	OMV11300	Status - satt av OD	Pågående	7433	2654
2011-12-16	OMV11300	Melding - endringsmelding	Bjørn Jens Borgan Hanssen will be the fishing rep.We will most likely do digital acquisition with exactly the same setup as during the first phase.Depending on the weather, we will start as soon as possible but will not be on site before the 15th of December. We have also extended the period to 31/1-2012.	7433	2655
2011-12-16	DN1108	Melding - endringsmelding	Søker forlenget periode for innsamling til 31.1 2012 pga mye dårlig vær og båtmangel.Ny båt : Fugro Meridian,Fugro Survey AS håndterer prosessen med meldinger på vegne av Detnorske, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244	7528	2656
2011-12-15	no1101	Melding - sluttmelding	\N	7432	2657
2011-12-15	no1101	Status - satt av OD	Ferdig	7432	2658
2011-12-14	ST11462 NSGI	Melding - ukemelding	\N	7531	2659
2011-12-13	EMGS1103	Melding - oppstartsmelding	Beklager å ha glemt å sende oppstartsmelding i rett tid.	7537	2660
2011-12-13	TE1102	Melding - ukemelding	\N	7476	2661
2011-12-13	DN1108	Melding - endringsmelding	Innsamlingen er midlertidig stoppet	7528	2662
2011-12-13	DN1108	Status - satt av OD	Pause	7528	2663
2011-12-12	MC3D-SVG11	Melding - ukemelding	Ukemelding for uke 49.	7378	2664
2011-12-12	MC3D-SVG11	Melding - ukemelding	Ukemelding for uke 48.	7378	2665
2011-12-12	NO1101	Melding - ukemelding	\N	7432	2666
2011-12-12	NO1101	Melding - ukemelding	\N	7432	2667
2011-12-12	NO1101	Melding - ukemelding	\N	7432	2668
2011-12-12	EMGS1103	Status - satt av OD	Pågående	7537	2669
2011-12-12	ST11006	Melding - ukemelding	\N	7488	2670
2011-12-12	ST11313	Melding - endringsmelding	Ny fiskerikyndig fra 14.12.2011.	7536	2671
2011-12-09	LN11306	Melding - ukemelding	\N	7448	2672
2011-12-09	ST11468	Status - satt av OD	Under behandling	7554	2673
2011-12-08	ST11006	Status - satt av OD	Pågående	7488	2674
2011-07-04	NBR11	Melding - ukemelding	\N	7408	3690
2011-12-07	ST11006	Status - satt av OD	Planlagt	7488	2677
2011-12-07	ST11464	Status - satt av OD	Ferdig	7534	2678
2011-12-07	DN1108	Melding - ukemelding	\N	7528	2679
2011-12-06	TE1102	Melding - ukemelding	The planned period has been extended to 15th Jan 2012 because of bad weather conditions (ref.Endringsmelding 5th. Dec 2011).	7476	2680
2011-12-05	MC3D-SVG11	Melding - endringsmelding	Endring av tidsrommet. Søker om utvidelse av tidsperioden til 31.12.2010. Dette skyldes dårlig vær.Endrer også fiskerikyndig person til Arnulf Svendsen.	7378	2681
2011-12-05	TE1102	Melding - endringsmelding	Har endret tidsrommet for aktivet pga dårlig vær og forsinkelse i operasjonen.	7476	2682
2011-12-05	ST11006	Melding - ukemelding	\N	7488	2683
2011-12-05	SWB1102	Melding - ukemelding	\N	7548	2684
2011-12-05	SWB1102	Status - satt av OD	Ferdig	7548	2685
2011-12-05	SWB1102	Melding - sluttmelding	\N	7548	2686
2011-12-05	ST11006	Melding - endringsmelding	Ved mannskapsskifte onsdag 7 desember vil det bli skifte av fiskerikyndige. Vi har til nå hatt 2 stk fiskerikyndige på denne surveyen, men vil fra nå av forsøke med å bare ha en fiskerikyndig ombord. Grunnen til dette er at det for tiden ikke pågår så mye fiske som tidligere i høst, og vi tror at det er tilstrekkelig med en fiskerikyndig for resten av surveyen. Dette er dikutert med de som nå er ombord og de støtter dette forslaget.Dersom det imidlertid skulle vise seg at det er behov for 2 fiskerikyndige vil vi sørge for at vi en får en fiskerikyngiig til ombord.Det er Harald Simonsen som overtar som fiskerikyndig fra 7 desember.På grunn av at en må samle inn noen linjer 2 ganger - overlapp av skytelinjer- så er antall km som en planlegger å samle inn økt til 2240.	7488	2687
2011-12-02	LN11306	Status - satt av OD	Pågående	7448	2688
2011-12-02	ST12303	Status - satt av OD	Under behandling	7551	2689
2011-12-02	LN11306	Melding - oppstartsmelding	Vi går ut fra Tromsø i kveld og håper å starte sent lørdag 3 desember hvis været er på vår side.	7448	2690
2011-12-02	ST11311	Status - satt av OD	Ferdig	7518	2691
2011-12-02	ST11311	Melding - oppstartsmelding	Det er til nå samlet inn ca. 36 km seismikk + at det er foretatt 4 CPT Målinger av Havbunnen. Fartøyet er i øyeblikket nede for vær.	7518	2692
2011-12-02	ST11311	Melding - sluttmelding	Statoil har valgt å avslutte Innsamlingen av ST11311 i Blokk 35/11. Vi mangler fremdeles noen seismiske linjer som vi ønsket å samle inn på nytt, men det får i tilfelle vente til våren. Neste arbeid blir ST11313 undersøkelsen i Blokk 16/2. Med værmedlingen som er gitt for Blokk 16/2 blir det ikke oppstart før etter helgen. Vi avventer derfor oppstarts melding for ST11313. M/V Sea Explorer blir liggende i Bergen intil været bedrer seg.	7518	2693
2011-12-01	MC3D-SVG11	Melding - endringsmelding	Endring av tidsrommet. Søker herved omutvidelse av tidsperioden til 1 Februar 2012. Denne utvidelsen skyldes dårlig vær.	7378	2694
2011-12-01	NO1101	Melding - endringsmelding	Vi har nå samlet inn nok seismiske data for brønnlokkasjonen, men, grunnet dårlig vær, utestår det enda analoge data, geotekniske prøvetakinger og sjekk av sjøbunnanomalier med kamera.	7432	2695
2011-11-30	DN1108	Melding - ukemelding	\N	7528	2696
2011-11-30	TE1102	Melding - ukemelding	\N	7476	2697
2011-11-29	RD1102	Status - satt av OD	Pause	7461	2698
2011-11-29	RD1102	Melding - endringsmelding	Borestedundersøkelse RD1102 i PL330 blir satt på pause. Årsaken er vedvarende dårlige vær og værutsikter i området. Fugro Survey AS håndterer prosessen med meldinger på vegne av RWE Dea Norge AS, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7461	2699
2011-11-29	PGS1102	Melding - sluttmelding	\N	7544	2700
2011-11-29	PGS1102	Status - satt av OD	Ferdig	7544	2701
2011-11-28	MC3D-SVG11	Melding - ukemelding	Ukemelding for uke 47.	7378	2702
2011-11-28	MNR11	Melding - sluttmelding	\N	7389	2703
2011-11-28	MNR11	Status - satt av OD	Ferdig	7389	2704
2011-11-28	ST11006	Melding - ukemelding	\N	7488	2705
2011-11-28	ST11460 - Fulla SI	Status - satt av OD	Ferdig	7526	2706
2011-11-28	ST11460 - Fulla SI	Melding - sluttmelding	\N	7526	2707
2011-11-28	ST11311	Melding - ukemelding	\N	7518	2708
2011-11-28	SWB1102	Melding - ukemelding	\N	7548	2709
2011-11-28	NO1101	Melding - ukemelding	\N	7432	2710
2011-11-28	SH1106	Status - satt av OD	Pause	7487	2711
2011-11-28	ST11464	Melding - oppstartsmelding	Oppstartsmelding	7534	2712
2011-11-28	ST11464	Status - satt av OD	Pågående	7534	2713
2011-11-25	RD1102	Melding - ukemelding	\N	7461	2714
2011-11-25	SH1106	Status - satt av OD	Pågående	7487	2715
2011-11-25	SH1106	Melding - ukemelding	\N	7487	2716
2011-11-24	ST11006	Melding - endringsmelding	Denne surveyen er tidliger antatt å være ferdig innen 30 november. En ser at dette ikke vil være mulig og en må derfor be om at innsamlingsperioden forlenges utover 30 novembe som er gjeldende insamlingsperiode. Side været er svært usikkert framover vil en be om en forlengelse av innsamlingen fram til 31 desember, men en regner med å kunne være ferdig i god tid før det dersom en ikke får store problem med vær eller andre uforutsatte ting framover.	7488	2717
2011-11-24	MC3D-SVG11	Melding - oppstartsmelding	\N	7378	2718
2011-11-24	ST11311	Status - satt av OD	Planlagt	7518	2719
2011-11-23	TE1102	Melding - endringsmelding	Oppdatert område koordinater	7476	2720
2011-11-23	EMGS1103	Melding - endringsmelding	Endret oppstartsdato til 25.November 2011Fartøydata oppdatert.Navn på fiskerikyndig.	7537	2721
2011-11-23	ST11311	Melding - endringsmelding	Endringen består at vi anmoder om å få holde på med innsamlingen til 20 December i tilfelle det skulle bli nødvendig. Vi har samlet inn dataene, men det som ble samlet inn sist helg viste seg ikke å være brukendes til å lete etter anomalier i dataene. Vi må derfor samle inn 7-9 linjer på nytt. Vi håper i det lengste på at vi unngår å måtte bruke mer tid enn opprinnelig planlagt.	7518	2722
2011-11-23	TO-Hild-1101	Melding - sluttmelding	\N	7549	2723
2011-11-23	TO-Hild-1101	Status - satt av OD	Ferdig	7549	2724
2011-11-23	MC3D-SVG11	Melding - ukemelding	Ukemelding uke 46.	7378	2725
2011-11-22	DN1108	Status - satt av OD	Pågående	7528	2726
2011-11-22	DN1108	Melding - endringsmelding	Undersøkelsen starter opp igjen.Ny båt: Fugro Galaxy	7528	2727
2011-11-22	ST11469	Status - satt av OD	Planlagt	7550	2728
2011-11-21	TE1102	Melding - oppstartsmelding	\N	7476	2729
2011-11-21	TE1102	Status - satt av OD	Pågående	7476	2730
2011-11-21	LN11004	Melding - sluttmelding	\N	7525	2731
2011-11-21	LN11004	Status - satt av OD	Ferdig	7525	2732
2011-11-21	SH1106	Status - satt av OD	Pause	7487	2733
2011-11-21	TO-Hild-1101	Melding - oppstartsmelding	\N	7549	2734
2011-11-21	TO-Hild-1101	Status - satt av OD	Pågående	7549	2735
2011-11-21	RD1102	Melding - ukemelding	\N	7461	2736
2011-11-21	ST11311	Melding - ukemelding	\N	7518	2737
2011-11-21	ST11006	Melding - endringsmelding	Denne surveyen er tidliger antatt å være ferdig innen 30 november. En ser at dette ikke vil være mulig og en må derfor be om at innsamlingsperioden forlenges utover 30 novembe som er gjeldende insamlingsperiode. Side været er svært usikkert framover vil en be om en forlengelse av innsamlingen fram til 31 desember, men en regner med å kunne være ferdig i god tid før det dersom en ikke får store problem med vær eller andre uforutsatte ting framover.	7488	2738
2011-11-21	ST11455 Eirin	Melding - sluttmelding	\N	7501	2739
2011-11-21	ST11006	Melding - ukemelding	\N	7488	2740
2011-11-21	SWB1102	Melding - ukemelding	\N	7548	2741
2011-11-21	ST11460 - Fulla SI	Melding - oppstartsmelding	\N	7526	2742
2011-11-21	ST11455 Eirin	Status - satt av OD	Ferdig	7501	2743
2011-11-21	ST11460 - Fulla SI	Status - satt av OD	Pågående	7526	2744
2011-11-18	ST11005	Status - satt av OD	Ferdig	7415	2745
2011-11-18	ST11005	Melding - sluttmelding	\N	7415	2746
2011-11-18	TO-Hild-1101	Status - satt av OD	Planlagt	7549	2747
2011-11-18	SS1101	Melding - ukemelding	Porject temporarily suspended.	7431	2748
2011-11-18	SS1101	Status - satt av OD	Pause	7431	2749
2011-11-18	ST11469	Status - satt av OD	Under behandling	7550	2750
2011-11-18	ST11313	Melding - endringsmelding	Navn Fiskerikyndig	7536	2751
2011-11-17	LN11306	Melding - endringsmelding	Da har vi fått på plass fiskeri representant og området for surveyen er utvidet noe. Vi regner med oppstart slutten av november/tidlig desember.	7448	2752
2011-11-17	LN11307	Melding - endringsmelding	Da har vi fått på plass fiskeri representant og området for surveyen er utvidet noe. Vi regner med oppstart desember.	7447	2753
2011-11-17	TO-Hild-1101	Melding - endringsmelding	Lagt inn undersøkelsestillatelse	7549	2754
2011-11-16	PGS1102	Melding - oppstartsmelding	\N	7544	2755
2011-11-16	ST12301	Status - satt av OD	Planlagt	7546	2756
2011-11-16	PGS1102	Status - satt av OD	Pågående	7544	2757
2011-11-16	MC3D-SVG11	Melding - ukemelding	Ukemelding for uke 45.	7378	2758
2011-11-15	NO1101	Melding - ukemelding	\N	7432	2759
2011-11-15	PGS1102	Status - satt av OD	Planlagt	7544	2760
2011-11-15	Hild	Melding - sluttmelding	\N	7520	2761
2011-11-15	Hild	Melding - oppstartsmelding	\N	7520	2762
2011-11-15	Hild	Melding - endringsmelding	Shallow Seismic Survey started and completed. The vessel KOMMANDOR continues with bathymetry / side scan / geotech / EBS work in the area and towards Kårstø	7520	2763
2011-11-15	Hild	Status - satt av OD	Ferdig	7520	2764
2011-11-15	SH1106	Melding - endringsmelding	Meldingen gjelder ny fiskerikyndig.En tar sikte på å gjennoppta SH1106 innen få dager.	7487	2765
2011-11-14	ST11005	Melding - ukemelding	\N	7415	2766
2011-11-14	ST11311	Melding - ukemelding	\N	7518	2767
2011-11-14	SWB1102	Melding - ukemelding	\N	7548	2768
2011-11-14	LN11004	Melding - ukemelding	\N	7525	2769
2011-11-14	ST11006	Melding - ukemelding	\N	7488	2770
2011-11-14	SWB1102	Melding - endringsmelding	Bytte av fiskerikyndig. Det har vært dårlig vær i området og båten har derfor ikke fått samlet inn noe ennå.	7548	2771
2011-11-14	MNR11	Status - satt av OD	Pause	7389	2772
2011-11-14	ST11311	Melding - endringsmelding	Ny fiskerikyndig	7518	2773
2011-11-14	PGS1102	Melding - endringsmelding	Endre fiskerikyndig	7544	2774
2011-11-11	MC3D-SVG11	Melding - endringsmelding	Forlengelse for fiskerikyndig	7378	2775
2011-11-11	RD1102	Melding - ukemelding	\N	7461	2776
2011-11-11	SH1106	Melding - endringsmelding	Fugro Searcher har nå vært på verksted, og vil bevege seg nordover for å få fullført borestedsundersøkelse på Draugen så snart som mulig. Derfor utvides varighet til ut desember.	7487	2777
2011-11-11	TO-Hild-1101	Melding - endringsmelding	Oppdatering av ny oppstartsdato, fisekrirep og mulig nytt fartøy (som skal erstatte MV Ocean Prince følgefartøy).	7549	2778
2011-11-11	NO1101	Melding - endringsmelding	Grunnet meget dårlig vær i området har vi kun samlet inn 124 av estimerte 250 km med digital seismikk. Det analoge programmet er heller ikke påbegynt.	7432	2779
2011-11-11	SWB1102	Melding - oppstartsmelding	\N	7548	2780
2011-11-11	NPD-MB-11	Melding - sluttmelding	\N	7451	2781
2011-11-11	SWB1102	Status - satt av OD	Pågående	7548	2782
2011-11-11	NPD-JM-11	Melding - sluttmelding	\N	7430	2783
2011-11-11	NPD-BA-11	Melding - sluttmelding	\N	7464	2784
2011-11-10	TO-Hild-1101	Melding - endringsmelding	Endring av koordinater	7549	2785
2011-11-10	SWB1102	Status - satt av OD	Planlagt	7548	2786
2011-11-10	SS1101	Melding - ukemelding	\N	7431	2787
2011-11-10	SS1101	Melding - ukemelding	\N	7431	2788
2011-11-10	CP11L03	Status - satt av OD	Ferdig	7521	2789
2011-11-10	CP11L03	Melding - sluttmelding	\N	7521	2790
2011-11-10	MBT1b	Melding - sluttmelding	\N	7395	2791
2011-11-10	ST11456 Dagny	Melding - sluttmelding	\N	7499	2792
2011-11-10	ST11455 Eirin	Melding - oppstartsmelding	\N	7501	2793
2011-11-09	MBT1b	Status - satt av OD	Ferdig	7395	2794
2011-11-09	ST11455 Eirin	Status - satt av OD	Pågående	7501	2795
2011-11-09	IPN1101	Status - satt av OD	Ferdig	7460	2796
2011-11-09	ST11456 Dagny	Status - satt av OD	Ferdig	7499	2797
2011-11-08	DN1108	Melding - endringsmelding	Innsamlingen er midlertidig stanset	7528	2798
2011-11-08	MC3D-SVG11	Melding - ukemelding	Ukemelding for uke 44.	7378	2799
2011-11-08	DN1108	Status - satt av OD	Pause	7528	2800
2011-11-08	CP11L03	Melding - ukemelding	\N	7521	2801
2011-11-07	ST11311	Status - satt av OD	Pågående	7518	2802
2011-11-07	NBR11	Melding - sluttmelding	\N	7408	2803
2011-11-07	NBR11	Status - satt av OD	Ferdig	7408	2804
2011-11-07	LN11004	Melding - ukemelding	\N	7525	2805
2011-11-07	MNR11	Melding - ukemelding	\N	7389	2806
2011-11-07	NO1101	Melding - ukemelding	\N	7432	2807
2011-11-07	ST11006	Melding - ukemelding	\N	7488	2808
2011-11-07	NBR11	Melding - ukemelding	\N	7408	2809
2011-11-07	ST11005	Melding - ukemelding	\N	7415	2810
2011-11-07	ST11467	Status - satt av OD	Planlagt	7538	2811
2011-10-21	MCG1101	Melding - endringsmelding	Forespørsel om forlengelse av gyldigheten av tillatelsen utover 30.11.2011	7419	2875
2011-10-21	SS1101	Melding - oppstartsmelding	\N	7431	2876
2011-10-20	SS1101	Status - satt av OD	Pågående	7431	2877
2011-11-04	ST11005	Melding - oppstartsmelding	Denne surveyen startet i slutten av mai med båten Ramform Vanguard og ble midlertidig avsluttet ca 15 august. Det gjensto da noe linjer som en ikke fikk samlet inn på grunn av at det låg en rig i veien. Ramform Vanguard gikk da til en annen survey, Lupin Vest, ST11012. Denne er nå avsluttet og Ramform Vanguard er på vei til Gullfaks for å samle inn de resterende linjene og en regner med å ankomme Gullfaks søndag kveld.	7415	2812
2011-11-04	ST11012-Lupin West	Melding - sluttmelding	Surveyet avsluttet.Båten har gått videre til Gullfaks-feltet for neste undersøkelse.	7467	2813
2011-11-04	TO-Hild-1101	Status - satt av OD	Under behandling	7549	2814
2011-11-04	ST11012-Lupin West	Status - satt av OD	Ferdig	7467	2815
2011-11-04	SWB1102	Status - satt av OD	Under behandling	7548	2816
2011-11-03	MC3D-SVG11	Melding - ukemelding	Ukemelding uke 43.	7378	2817
2011-11-03	LN11004	Melding - endringsmelding	Gjelder nytt følgefartøy. MV Mainport Oak erstatter MV Ocean Prince	7525	2818
2011-11-03	RD1102	Status - satt av OD	Pågående	7461	2819
2011-11-03	RD1102	Melding - oppstartsmelding	\N	7461	2820
2011-11-03	OMV11300	Melding - endringsmelding	Utvidelse av tidsrom. Vi venter enda på avklaring ang. båt.	7433	2821
2011-11-03	Hoop 11	Melding - sluttmelding	\N	7424	2822
2011-11-02	LN11004	Melding - ukemelding	\N	7525	2823
2011-11-02	ST12301	Status - satt av OD	Under behandling	7546	2824
2011-11-02	Hild	Melding - endringsmelding	Change of vessel due to weather delays on other survey work. Change of dates for the operation	7520	2825
2011-11-02	MCG1101	Status - satt av OD	Ferdig	7419	2826
2011-11-02	MCG1101	Melding - sluttmelding	Vessel demobilised in Tromsø on 1st November 2011	7419	2827
2011-11-02	SS1101	Melding - ukemelding	\N	7431	2828
2011-11-01	PGS1102	Status - satt av OD	Under behandling	7544	2829
2011-11-01	LN11303	Melding - endringsmelding	Vi har utvidet program med ca 200 linje km innenfor omsøkte område. Survet har itillegg tatt lengre tid enn plannlaget grunnet stor seismisk aktivitet i området samt at det også har vært en del dårlig vær.Vi skifter også ut FLO	7444	2830
2011-11-01	Veslemoy	Melding - sluttmelding	Acquisition is now complete and the vessel is currently heading to Stavanger for demobilisation.	7506	2831
2011-11-01	Veslemoy	Status - satt av OD	Ferdig	7506	2832
2011-11-01	CP11L03	Melding - ukemelding	\N	7521	2833
2011-11-01	Veslemoy	Melding - sluttmelding	Acquisition is now complete and the vessel is currently heading to Stavanger for demobilisation.	7506	2834
2011-11-01	ST11455 Eirin	Melding - endringsmelding	Arbeidet forsinket på grunn av dårlig vær og forsinket oppstart	7501	2835
2011-10-31	LN11003	Status - satt av OD	Ferdig	7454	2836
2011-10-31	LN11003	Melding - sluttmelding	Survey avsluttet. Artemis Arctic har tatt inn alt utstyr og er på vei til Haugesund.	7454	2837
2011-10-31	NKFE11	Status - satt av OD	Ferdig	7503	2838
2011-10-31	NKFE11	Melding - sluttmelding	\N	7503	2839
2011-10-31	NKFE11	Melding - ukemelding	\N	7503	2840
2011-10-31	MCG1101	Melding - ukemelding	\N	7419	2841
2011-10-31	MNR11	Melding - ukemelding	\N	7389	2842
2011-10-31	NBR11	Melding - ukemelding	\N	7408	2843
2011-10-31	ST11012-Lupin West	Melding - ukemelding	Dårlig vær (mandag til fredag) og linjeavbrudd (søndag) for å unngå fiskebåter har gitt lave produksjonstall denne uken.	7467	2844
2011-10-31	ST11006	Melding - ukemelding	\N	7488	2845
2011-10-31	NO1101	Melding - oppstartsmelding	\N	7432	2846
2011-10-31	ST11005	Status - satt av OD	Pågående	7415	2847
2011-10-31	LN11303	Melding - sluttmelding	Surveyen ble terminert grunnet mye dårlig vær og stor aktivitet av 3D båter. Det gjennstår 142 km integrete linjer km, 8 km analoge linje km og 5 CPTer.	7444	2848
2011-10-28	MNR11	Melding - endringsmelding	Vi ber om utvidelse av innsamlingsperioden. Der er bare en båt som vil fortsette.	7389	2849
2011-10-28	LN11303	Status - satt av OD	Ferdig	7444	2850
2011-10-28	DN1108	Melding - oppstartsmelding	\N	7528	2851
2011-10-28	DN1108	Status - satt av OD	Pågående	7528	2852
2011-10-27	ST11313	Status - satt av OD	Planlagt	7536	2853
2011-10-27	ST11005	Melding - endringsmelding	Denne surveyen har vært satt på pause sidem midten av august. På grunn av en rig i området fikk en ikke fullført surveyen som planlagt og en gikk derfor til et annet prosjekt. En er nå i ferd med å avslutte dette prosjektet og vil da gå tilbake til Gullfaks for å samle inn den resterende delen.Det vil bli benyttet en annen konfigurasjon, 12 kabler og 6000 m kabler for å unngå kostbar rekonfigureringDet vil også bli en annen Fiskerikyndig ombord nå, og det vil bare bli en fiskerikyndig, Leif Kristian Lønning.	7415	2854
2011-10-27	ST11456 Dagny	Melding - endringsmelding	På grunn av dårlig i vær siste måned har produksjonen vært betydelig lavere enn planlagt. Oppstarten på arbeidet var også noe senere enn planlagt. Arbeidet er nå i gang og forventes å være ferdig innen utgangen av november	7499	2855
2011-10-27	ST11456 Dagny	Melding - ukemelding	Arbeidet er i gang og er er forsinket pga dårlig vær	7499	2856
2011-10-26	Veslemoy	Melding - ukemelding	Up to 2400 on 25th October:~ 59 hours standby weather (41%)~ 54 hours analogue data acquisition (37.5%)~ 31 hours transit to/from port (21.5%)	7506	2857
2011-10-26	MC3D-SVG11	Melding - ukemelding	Ukemelding uke 42.	7378	2858
2011-10-25	LN11004	Melding - ukemelding	\N	7525	2859
2011-10-25	LN11003	Melding - ukemelding	\N	7454	2860
2011-10-25	LN11003	Melding - endringsmelding	Endringen gjelder utvidelse av tidsperiode med en uke på grunn av veldig mye dårlig vær	7454	2861
2011-10-25	CP11L03	Melding - ukemelding	\N	7521	2862
2011-10-25	MNR11	Melding - ukemelding	23.10.11 – under søkelsen fortsetter med båten Geo Pacific, Akademik Lazarev er tatt av pga brann.	7389	2863
2011-10-25	MNR11	Status - satt av OD	Pågående	7389	2864
2011-10-25	NO1101	Melding - oppstartsmelding	Oppdatert feil angitt kallesignal for fartøyet.Start-opp møte i Tromsø 25/10 - til site 26/10 avhengig av vær.	7432	2865
2011-10-25	NO1101	Melding - endringsmelding	Endring av kallesignal på fartøyet Ocean Observer - der det var feil i tidligere rapportering. Ingen andre endringer.	7432	2866
2011-10-25	no1101	Status - satt av OD	Pågående	7432	2867
2011-10-24	MNR11	Melding - ukemelding	\N	7389	2868
2011-10-24	NBR11	Melding - ukemelding	\N	7408	2869
2011-10-24	NKFE11	Melding - ukemelding	\N	7503	2870
2011-10-24	MCG1101	Melding - ukemelding	\N	7419	2871
2011-10-24	ST11006	Melding - ukemelding	\N	7488	2872
2011-10-24	ST11012-Lupin West	Melding - ukemelding	\N	7467	2873
2011-10-24	EMGS1103	Status - satt av OD	Planlagt	7537	2874
2011-10-20	ST11456 Dagny	Melding - oppstartsmelding	\N	7499	2878
2011-10-20	LN11307	Melding - endringsmelding	Mye dårlig vær har forsinket innsamlingen.	7447	2879
2011-10-20	ST11456 Dagny	Status - satt av OD	Pågående	7499	2880
2011-10-20	ST11466	Status - satt av OD	Ferdig	7519	2881
2011-10-20	ST11466	Melding - sluttmelding	\N	7519	2882
2011-10-20	RD1102	Melding - endringsmelding	Endret tidsrom for undersøkelsen. . .  Fugro Survey AS håndterer prosessen med meldinger på vegne av RWE Dea Norge AS, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7461	2883
2011-10-20	Veslemoy	Melding - oppstartsmelding	The vessel arrived on site on 13th October but no seismic acquisition has yet commenced. The vessel has since been in and out on port due to deteriorating weather conditions.	7506	2884
2011-10-20	Veslemoy	Melding - endringsmelding	We kindly request an extension to the permit which is due to expire 24th October, for another 2 weeks, as no useable data has yet been acquired due to adverse weather conditions.	7506	2885
2011-10-19	Veslemoy	Status - satt av OD	Pågående	7506	2886
2011-10-19	ST11012-Lupin West	Melding - endringsmelding	Søker om utvidet periode, fram til 30.november, til å samle inn siste del av surveyet. Været har vært dårligere enn forventet og innsamlingen tar derfor lengere tid enn først planlagt.	7467	2887
2011-10-18	ST11467	Status - satt av OD	Under behandling	7538	2888
2011-10-18	ST11466	Melding - ukemelding	\N	7519	2889
2011-10-18	ST11466	Melding - ukemelding	\N	7519	2890
2011-10-18	CP11L03	Melding - ukemelding	\N	7521	2891
2011-10-17	NKFE11	Melding - ukemelding	\N	7503	2892
2011-10-17	NKFE11	Melding - ukemelding	\N	7503	2893
2011-10-17	NKFE11	Melding - ukemelding	\N	7503	2894
2011-10-17	ST11012-Lupin West	Melding - ukemelding	\N	7467	2895
2011-10-17	MC3D-SVG11	Melding - ukemelding	Ukemelding for uke 41.	7378	2896
2011-10-17	MC3D-SVG11	Melding - endringsmelding	Forlengelse for fiskerikyndig	7378	2897
2011-10-17	EMGS1103	Melding - endringsmelding	Endring av området	7537	2898
2011-10-17	MC2D-BS2011	Melding - sluttmelding	Sluttmelding	7500	2899
2011-10-17	MC2D-BS2011	Melding - ukemelding	Ukemelding for uke 41.	7500	2900
2011-10-17	MC2D-BS2011	Status - satt av OD	Ferdig	7500	2901
2011-10-17	LN11004	Melding - endringsmelding	Til informasjon:På denne innsamlingen vurderes det å bruke en ny kildekonfigurasjon. For å få testet denne kilden vil det bli skutt langs en linje som ligger utenfor 3D området, men innenfor brutto-området. Dette er en ren test, og ikke en produksjonslinje.	7525	2902
2011-10-17	ST11006	Melding - ukemelding	\N	7488	2903
2011-10-17	LN11003	Melding - ukemelding	Ingen produksjon grunnet dårlig vær	7454	2904
2011-10-17	LN11004	Melding - ukemelding	Oceanic Sirius mobiliserte i Ulsteinvik den 14.10.2011	7525	2905
2011-10-17	MCG1101	Melding - ukemelding	\N	7419	2906
2011-10-17	NBR11	Melding - ukemelding	\N	7408	2907
2011-10-17	SS1101	Melding - endringsmelding	Det søkes om et utvidet lete område og tillatelse til å samle inn flere line linjer. De nye linjene ligger et godt stykke ut fra kystnære områder.Totalt leteprogram er nå 24890km.Max kilde størrelse er redusert fra 1130 cu.inch til 1030 cu.inch	7431	2908
2011-10-17	ST11466	Melding - ukemelding	\N	7519	2909
2011-10-17	POL1101	Melding - sluttmelding	Survey completed 28th September 2011.	7505	2910
2011-10-17	POL1101	Status - satt av OD	Ferdig	7505	2911
2011-10-14	NBR11	Melding - endringsmelding	Undersøkelsen har startet opp igjen.	7408	2912
2011-10-14	TE1102	Melding - endringsmelding	Oppdatert med riktig tlf på fiskerikyndige person.	7476	2913
2011-10-14	NBR11	Status - satt av OD	Pågående	7408	2914
2011-10-14	SS1101	Melding - endringsmelding	Navn på fiskerikyndig meldes	7431	2915
2011-10-14	EMGS1103	Status - satt av OD	Under behandling	7537	2916
2011-10-13	LN11306	Melding - endringsmelding	Grunnet dårlig vær er surveyet forsinket.	7448	2917
2011-10-13	LN11004	Status - satt av OD	Pågående	7525	2918
2011-10-13	NO1101	Melding - endringsmelding	Endringsmelding. Fartøy.Fiskerirep.Utvida tidsrom.På grunn av ektremt vanskelige forhold i Nordsjøen blir planlagt fartøy ikkje klar for jobben. RV Osean Observer kjem frå dock og klassifisering i Hull, UK. Den går nordover for Noreco frå 17.10. Gitt vinterforhold så må me forvente vær problem i området. Vårt program er ca. 2 dager lett seismikk, og ca. 3 dager sidescan sonar og prøvetaking. Me håper å vere ferdig til midten av November seinest.	7432	2919
2011-10-12	LN11004	Status - satt av OD	Planlagt	7525	2920
2011-10-12	LN11004	Melding - oppstartsmelding	Start dato 14. oktober 2011Nye båter er lagt til	7525	2921
2011-10-12	LN11004	Melding - endringsmelding	Informasjon om Fiskerikyndig lagt til.	7525	2922
2011-10-12	SS1101	Melding - endringsmelding	Undersøkelse er planlagt oppstartet etter pause i ca 7 uker. Det søkes om tillatelse til å starte surveyet 20 oktober og samle inn data til 5 desember. Et par linjer i Ø del av survey området har blitt forandret men er ikke lokalisert utenfor tidligere godkjent survey område. Total planlagt km lengde er 17765km.Seismisk fartøy og mobiliseringhavener er det samme som tidligere benyttet for denne undersøkelsen.	7431	2923
2011-10-12	ST11462 NSGI	Melding - endringsmelding	korrigert feil vedr. område koordinat	7531	2924
2011-10-12	LN11004	Status - satt av OD	Pågående	7525	2925
2011-10-12	SWB	Melding - sluttmelding	\N	7421	2926
2011-10-12	SWB	Status - satt av OD	Ferdig	7421	2927
2011-10-11	ST11313	Status - satt av OD	Under behandling	7536	2928
2011-10-11	BPN11303	Status - satt av OD	Ferdig	7485	2929
2011-10-11	BPN11303	Melding - sluttmelding	Det vil ikke bli samlet inn mer seismikk enn de 50 km som ble rapportert 6.09.2011. Ocean Seeker vil returnere til området for å foreta seabed clerance og geo teknisk undersøkelse langs planlagt rørledning til Valhall. Oppstart er satt til 21.10 og varight er 6 dager. Dette er vær avhengig.	7485	2930
2011-10-11	BPN11303	Melding - sluttmelding	Det vil ikke bli samlet inn mer seismikk enn de 50 km som ble rapportert 6.09.2011. Ocean Seeker vil returnere til området for å foreta seabed clerance og geo teknisk undersøkelse langs planlagt rørledning til Valhall. Oppstart er satt til 21.10 og varight er 6 dager. Dette er vær avhengig.	7485	2931
2011-10-11	LN11003	Melding - endringsmelding	Endring av tidsrom for fiskerikyndig. Egil Kongshaug  vil stå ombord inntil surveyen er ferdig.	7454	2932
2011-10-11	ST11464	Status - satt av OD	Planlagt	7534	2933
2011-10-11	CP11L03	Melding - ukemelding	\N	7521	2934
2011-09-26	PM08-2011	Melding - oppstartsmelding	\N	7523	3012
2011-09-26	LN11305	Melding - sluttmelding	\N	7446	3013
2011-10-11	MC3D-SVG11	Melding - endringsmelding	Endringsmeldingen gjelder endring av tidsrommet for undersøkelsen. PGS Geophysical AS søker herved om utvidelse av tidsrommet til 20.12.2011.	7378	2935
2011-10-11	MCG1101	Melding - ukemelding	\N	7419	2936
2011-10-11	MC3D-SVG11	Melding - ukemelding	Ukemelding for uke 40.	7378	2937
2011-10-11	MC2D-BS2011	Melding - ukemelding	Ukemelding for uke 40.	7500	2938
2011-10-11	MC3D-SVG11	Melding - endringsmelding	Endringsmeldingen gjelder endring av tidsrommet for undersøkelsen. PGS Geophysical AS søker herved om utvidelse av tidsrommet til 20.12.2011.	7378	2939
2011-10-11	LN11004	Status - satt av OD	Planlagt	7525	2940
2011-10-10	LN11004	Status - satt av OD	Pågående	7525	2941
2011-10-10	MNR11	Status - satt av OD	Pause	7389	2942
2011-10-10	MNR11	Melding - ukemelding	\N	7389	2943
2011-10-10	NBR11	Melding - ukemelding	\N	7408	2944
2011-10-10	LN11003	Melding - ukemelding	\N	7454	2945
2011-10-10	NSR11 WOS	Melding - sluttmelding	\N	7422	2946
2011-10-10	LN11004	Melding - endringsmelding	Informasjon om Fiskerikyndig lagt til.	7525	2947
2011-10-10	ST11006	Melding - ukemelding	\N	7488	2948
2011-10-10	ST11466	Melding - ukemelding	\N	7519	2949
2011-10-10	PM05	Melding - sluttmelding	\N	7516	2950
2011-10-10	PM05	Status - satt av OD	Ferdig	7516	2951
2011-10-07	ST11311	Melding - endringsmelding	Gjelder navn på fiskerikyndig	7518	2952
2011-10-07	LN11003	Melding - endringsmelding	Endringen gjelder utvidelse av tidsrom. Dårlig vær og mye tekniske problemer gjør at det er lite sannsynlig at innsamlingen er ferdig innen 15. oktober.	7454	2953
2011-10-07	SH1106	Melding - endringsmelding	- Ny fiskerikyndig- Utvidelse av tidsrom grunnet dårlig vær	7487	2954
2011-10-06	ST11012-Lupin West	Melding - endringsmelding	Ny fiskerikyndig fra 6.oktober.Nytt hjelpefartøy er lagt til. Dette kommer PGS til å bruke på alle sine fire operasjoner i Nordsjøen, så det vil ikke bli tilknyttet Ramform Vanguard på ST11012-Lupin Vest hele tiden.	7467	2955
2011-10-06	ST11462 NSGI	Status - satt av OD	Planlagt	7531	2956
2011-10-06	ST11460 - Fulla SI	Status - satt av OD	Planlagt	7526	2957
2011-10-05	LN11004	Melding - endringsmelding	Meldingen gjelder utvidelse av snuområde	7525	2958
2011-10-05	SH1105	Status - satt av OD	Ferdig	7481	2959
2011-10-05	SH1105	Melding - sluttmelding	Undersøkelsen ble avbrutt grunnet dårlig vær og værutsikter, men vurderes gjennopptatt våren 2012.	7481	2960
2011-10-05	MC3D-SVG11	Melding - ukemelding	Ukemelding for uke 39.	7378	2961
2011-10-05	MC2D-BS2011	Melding - ukemelding	Ukemelding for uke 39.	7500	2962
2011-10-05	CP11L03	Melding - ukemelding	\N	7521	2963
2011-10-04	DN1108	Status - satt av OD	Planlagt	7528	2964
2011-10-04	Hoop 11	Status - satt av OD	Ferdig	7424	2965
2011-10-03	LO1103	Status - satt av OD	Ferdig	7504	2966
2011-10-03	LO1103	Melding - sluttmelding	\N	7504	2967
2011-10-03	LO1103	Melding - oppstartsmelding	\N	7504	2968
2011-10-03	ST11006	Melding - ukemelding	\N	7488	2969
2011-10-03	ST11012-Lupin West	Melding - ukemelding	\N	7467	2970
2011-10-03	MCG1101	Melding - ukemelding	\N	7419	2971
2011-10-03	LN11003	Melding - ukemelding	\N	7454	2972
2011-10-03	SWB	Melding - ukemelding	\N	7421	2973
2011-10-03	MNR11	Melding - ukemelding	\N	7389	2974
2011-10-03	ST11466	Status - satt av OD	Pågående	7519	2975
2011-10-03	ST11466	Melding - oppstartsmelding	MV Bucentaur seiler fra Stavanger i morgentimene 02.10.2011	7519	2976
2011-10-03	PM08-2011	Melding - sluttmelding	\N	7523	2977
2011-10-03	PM08-2011	Status - satt av OD	Ferdig	7523	2978
2011-10-03	NKFE11	Melding - oppstartsmelding	\N	7503	2979
2011-10-03	NKFE11	Status - satt av OD	Pågående	7503	2980
2011-10-03	SH1105	Status - satt av OD	Pågående	7481	2981
2011-10-03	SH1106	Melding - ukemelding	Vurderer å avbryte og utsette resten til 2012.	7487	2982
2011-10-03	SH1105	Melding - oppstartsmelding	\N	7481	2983
2011-09-30	ST11464	Status - satt av OD	Under behandling	7534	2984
2011-09-30	CP11L03	Melding - ukemelding	\N	7521	2985
2011-09-30	PM05	Status - satt av OD	Pågående	7516	2986
2011-09-30	PM05	Melding - oppstartsmelding	\N	7516	2987
2011-09-28	LN11004	Status - satt av OD	Planlagt	7525	2988
2011-09-27	ST11006	Melding - oppstartsmelding	Ref oppstartsmelding sendt tidligere i dag. Har fått melding om at det er brukt feit Call sign for fartøyet C-Pacer. Rett Call sign er WDF8627. Dette er nå rettet opp undr fanen Båter.	7488	2989
2011-09-27	TE1102	Melding - endringsmelding	Fiskerikyndig representant oppdatert.	7476	2990
2011-09-27	ST11006	Status - satt av OD	Pågående	7488	2991
2011-09-27	ST11006	Melding - oppstartsmelding	Det er planen at båtene C-Pacer og New Venture fra selskapet Fairfield Nodal forlater Aberdeen på ettermiddag/kveld 27 september og ankommer Gullfaks onsdag kveld 28 september.	7488	2992
2011-09-27	POL1101	Melding - ukemelding	\N	7505	2993
2011-09-27	BPN0301_14	Status - satt av OD	Ferdig	7459	2994
2011-09-27	BPN0301_14	Melding - sluttmelding	\N	7459	2995
2011-09-27	MC3D-SVG11	Melding - ukemelding	Ukemelding for uke 38.	7378	2996
2011-09-27	MC2D-BS2011	Melding - ukemelding	Ukemelding for uke 38.	7500	2997
2011-09-26	ST11012-Lupin West	Melding - ukemelding	\N	7467	2998
2011-09-26	MC3D-SVG11	Melding - endringsmelding	sletting av båt	7378	2999
2011-09-26	NKFE11	Melding - endringsmelding	Redusert brutto område. Pga forventet fiskeriaktivitet vil de bli brukt 2 fiskerirepresentater	7503	3000
2011-09-26	CP11L03	Melding - oppstartsmelding	\N	7521	3001
2011-09-26	CP11L03	Status - satt av OD	Pågående	7521	3002
2011-09-26	MCG1101	Melding - ukemelding	\N	7419	3003
2011-09-26	SWB	Melding - ukemelding	\N	7421	3004
2011-09-26	MNR11	Melding - ukemelding	\N	7389	3005
2011-09-26	LN11003	Melding - ukemelding	72% av survey er ferdig innsamlet. Det vil si inntil nå 470 sqkm.1795 km gravity innsamlet pr dato.	7454	3006
2011-09-26	LN11303	Melding - endringsmelding	Vi har utvidet program med ca 200 linje km innenfor omsøkte område. Survet har itillegg tatt lengre tid enn plannlaget grunnet stor seismisk aktivitet i området samt at det også har vært en del dårlig vær.Vi skifter også ut FLO	7444	3007
2011-09-26	bg1103	Status - satt av OD	Ferdig	7402	3008
2011-09-26	bg1103	Melding - sluttmelding	Both boats are now demobilized. The project is considered complete as at 23:30 gmt on 22nd September.	7402	3009
2011-09-26	PM08-2011	Status - satt av OD	Pågående	7523	3010
2011-09-26	LN11305	Status - satt av OD	Ferdig	7446	3011
2011-09-26	LN11302	Status - satt av OD	Ferdig	7442	3014
2011-09-26	LN11302	Melding - sluttmelding	\N	7442	3015
2011-09-23	BPN0301_14	Melding - ukemelding	Crew change Tananger 13.09.11	7459	3016
2011-09-23	MNR11	Melding - endringsmelding	Vi vil melde inn et ekstra fartøy og FLO på denne båten.	7389	3017
2011-09-23	SH1106	Melding - ukemelding	\N	7487	3018
2011-09-23	Ormen LMN	Status - satt av OD	Ferdig	7527	3019
2011-09-23	Ormen LMN	Melding - sluttmelding	\N	7527	3020
2011-09-23	TE1102	Melding - endringsmelding	Har oppdatert fartøyets IMO nummer og telefon nummer	7476	3021
2011-09-22	Veslemoy	Melding - endringsmelding	The M/V Geo Prospector which is schedule to carry out the survey work has experienced weather downtime and as a consequence the survey is likely to start around the 30th September. Therefore we would like to kindly request an extension to the current permit until 24th October.	7506	3022
2011-09-22	TE1102	Melding - endringsmelding	Endring av fartøy og forflyttelse av område Nord/Øst ca. 500 m	7476	3023
2011-09-21	ST11462 NSGI	Status - satt av OD	Under behandling	7531	3024
2011-09-21	EOTW MC3D	Status - satt av OD	Ferdig	7468	3025
2011-09-21	EOTW MC3D	Melding - sluttmelding	\N	7468	3026
2011-09-20	MCG1101	Melding - endringsmelding	Forespørsel om forlengelse av gyldigheten av tillatelsen utover 31.10.2011Og ny fiskerikundige etter 28-09-2011	7419	3027
2011-09-20	ST11006	Melding - endringsmelding	Denne endringsmelding gjelder bytte av følgebåt. fairfield vil bruke BB Server som følgebåt i stedet for de som ble innmeldt tidligere, BB Coaster og BB Hunter	7488	3028
2011-09-20	MC3D-SVG11	Melding - ukemelding	Ukemelding for uke 37.	7378	3029
2011-09-20	MC2D-BS2011	Melding - ukemelding	Ukemelding for uke 37.	7500	3030
2011-09-20	MC2D-BS2011	Melding - endringsmelding	Endring av den fiskerikyndige til Odd Johan Horremsbakk.	7500	3031
2011-09-20	Ormen LMN	Melding - endringsmelding	Endringen gjelder navn på kontraktørselskap	7527	3032
2011-09-20	POL1101	Melding - ukemelding	\N	7505	3033
2011-09-19	RD1102	Melding - endringsmelding	Endret tidsrom, mengde og område/fasong på undersøkelsen. ..Fugro Survey AS håndterer prosessen med meldinger på vegne av RWE Dea Norge AS, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7461	3034
2011-09-19	LN11003	Melding - ukemelding	\N	7454	3035
2011-09-19	bg1103	Melding - ukemelding	\N	7402	3036
2011-09-19	MNR11	Melding - ukemelding	\N	7389	3037
2011-09-19	SWB	Melding - ukemelding	\N	7421	3038
2011-09-19	ST11012-Lupin West	Melding - ukemelding	Dårlig vær og mannskapsbytte i Stavanger har ført til null produksjon denne uken.	7467	3039
2011-09-19	MCG1101	Melding - ukemelding	\N	7419	3040
2011-09-19	Ormen LMN	Status - satt av OD	Pågående	7527	3041
2011-09-19	Ormen LMN	Melding - oppstartsmelding	\N	7527	3042
2011-09-19	SH1106	Melding - ukemelding	\N	7487	3043
2011-09-16	EOTW MC3D	Melding - endringsmelding	Grunnet dårlig vær er innsamlingen ennå ikke ferdig. Innsamlingen antaes ferdigstillet uke 39	7468	3044
2011-09-16	PM05	Melding - endringsmelding	ENDRINGER:1.Ny fiskerikyndig.2.Tidsrom for undersøkelse.3.Mengder or undersøkelse (båt km)	7516	3045
2011-09-16	PM08-2011	Melding - endringsmelding	ENDRINGER:Ny fiskerikyndig.	7523	3046
2011-09-16	MC2D-BS2011	Melding - endringsmelding	Denne endringsmeldingen gjelder søknad om endring av antall 2D linjer og område. Dette har blitt gjort på grunn av vi skal ha alternativer når vi må forlate et området og gå til et annet på grunn av at det er fiskeri i området.	7500	3047
2011-09-16	OMV11300	Melding - endringsmelding	Endring av tidsrom. Det er usikkert når/om innsamlingen vil fortsette	7433	3048
2011-09-16	LO1103	Melding - endringsmelding	Oppstart av undersøkelsen vil bli påbegyndt mot slutten av uke 38.Området for undersøkelsen er flyttet ca 300m i sydøstlig retning.	7504	3049
2011-09-16	IPN1101	Status - satt av OD	Avbrutt	7460	3050
2011-09-15	ST11006	Melding - endringsmelding	Denne endringsmelding gjelder følgende:- Ny planlagt oppstartsdato. På grunn av forsinkelser på pågående prosjekt vil en ikke kunne starte denne undersøkelsen som tidligere meldt. Det planlegges nå mobilisering i Aberdeen for denne surveyen mandag 26 september. - Skifte av fiskerikydigePå grunn av de forsinkelsene som har vært så blir det 2 nye fiskerikyndige i forhold til det som er meldt tidligere - Melding om følgebåterI tillagg til båtene C-Pacer og New Venture vil det også bli brukt en følgefartøy. Til dette formålet planlegges det å bruke enten BB Coaster eller BB HunterNew Venture er tidligere meldt som følgefartøy. New Ventuer blir brukt som kildebåt og ikke som vanlig følgefartøy. En har derfor reklassifisert New Venture som Annet fartøy i stedet for følgefartøy.	7488	3051
2011-09-15	MC3D-SVG11	Melding - ukemelding	Ukemelding for uke 36.	7378	3052
2011-09-15	BPN11304	Status - satt av OD	Ferdig	7486	3053
2011-09-15	BPN11305	Status - satt av OD	Ferdig	7512	3054
2011-09-15	BPN11305	Melding - sluttmelding	\N	7512	3055
2011-09-15	BPN11305	Melding - sluttmelding	\N	7512	3056
2011-09-15	BPN11304	Melding - sluttmelding	\N	7486	3057
2011-09-15	BPN0301_14	Melding - ukemelding	\N	7459	3058
2011-09-15	NPD-BA-11	Melding - sluttmelding	\N	7464	3059
2011-09-15	ST11311	Melding - endringsmelding	Endring består at vi ber om endret periode, siden det ble anbefalt en senere oppstart fra Fiskeridirektoratet.	7518	3060
2011-09-15	ST11012-Lupin West	Melding - ukemelding	\N	7467	3061
2011-09-14	MCG1101	Melding - ukemelding	\N	7419	3062
2011-09-14	MCG1101	Melding - ukemelding	\N	7419	3063
2011-09-14	SWB	Melding - ukemelding	\N	7421	3064
2011-09-14	NBR11	Melding - endringsmelding	Vi vil fortsette innsamlingen med en ny båt, estimert oppstart siste uke i September. Vi ønsker også å utvide innsamlingsperioden til 15.november.Fiskerikyndig vil bli meldt inn snarest.	7408	3065
2011-09-14	NKFE11	Melding - endringsmelding	Byttet hovedfartøy og oppdatert oppstartsdato	7503	3066
2011-09-14	Hild	Melding - endringsmelding	Utvidelse av området + utsettelse av undersøkelsen - ny tidsperiode.	7520	3067
2011-09-14	DN1108	Status - satt av OD	Under behandling	7528	3068
2011-09-14	NPD-BA-11	Melding - ukemelding	\N	7464	3069
2011-09-14	NPD-BA-11	Status - satt av OD	Ferdig	7464	3070
2011-09-14	WG1101	Melding - sluttmelding	The survey has been completed.Undersøkelsen er gjennomført.	7453	3071
2011-09-14	WG1101	Status - satt av OD	Ferdig	7453	3072
2011-09-14	Ormen LMN	Status - satt av OD	Planlagt	7527	3073
2011-09-14	Ormen LMN	Status - satt av OD	Under behandling	7527	3074
2011-09-14	ST11016	Status - satt av OD	Ferdig	7515	3075
2011-09-14	ST11016	Melding - sluttmelding	Båten avsluttet undersøkelsen kl 00:40 local tid i dag morges. De tar nå inn utstyret og er på vei til Hammerfest hvor båten vil bli demobilisert.	7515	3076
2011-09-14	LN11003	Melding - ukemelding	\N	7454	3077
2011-09-14	NPD-BA-11	Melding - ukemelding	\N	7464	3078
2011-09-14	WG1101	Melding - ukemelding	The survey has been completed. Undersøkelsen er gjennomført.	7453	3079
2011-09-14	MC2D-BS2011	Status - satt av OD	Pågående	7500	3080
2011-09-14	POL1101	Melding - ukemelding	\N	7505	3081
2011-09-14	MC2D-BS2011	Melding - oppstartsmelding	\N	7500	3082
2011-09-14	ST11460 - Fulla SI	Status - satt av OD	Under behandling	7526	3083
2011-09-14	MNR11	Melding - endringsmelding	Ak. Lazarev vil starte opp igjen innsamlingen, estimert oppstart 15.september.Vi ber om utvidelse av innsamlings-perioden tom 31.oktober.	7389	3084
2011-09-14	SWB	Melding - endringsmelding	Ak. Lazarev er fjernet fra dette surveyet.	7421	3085
2011-09-14	ST11012-Lupin West	Melding - endringsmelding	Følgebåtene er endret.	7467	3086
2011-09-14	ST11016	Status - satt av OD	Pågående	7515	3087
2011-09-14	ST11016	Melding - oppstartsmelding	Båten er i ferd med å avslutte sitt forrige prosjekt, og er derfor forventet å starte ST11016 undersøkelsen 10/9.	7515	3088
2011-09-14	TE1102	Melding - endringsmelding	Endringsmelding gjelder endring av tidsrom på grunn av endring i vår boreplan. Aktiviteten er fremskyndet.	7476	3089
2011-09-14	MC3D-SVG11	Melding - endringsmelding	PGS Geophyiscal AS søker herved om utvidelse av tidsrommet til 20.11.2011.	7378	3090
2011-09-14	LN11004	Status - satt av OD	Under behandling	7525	3091
2011-09-14	MC2D-BS2011	Melding - endringsmelding	Endringsmeldin. Endring av den fiskerikyndige på surveyen til Jan J Markussen.	7500	3092
2011-09-14	BPN0301_14	Melding - ukemelding	\N	7459	3093
2011-09-14	BPN0301_14	Melding - ukemelding	\N	7459	3094
2011-09-14	CP11101	Status - satt av OD	Ferdig	7484	3095
2011-09-14	CP11101	Melding - sluttmelding	\N	7484	3096
2011-09-14	CP11101	Melding - ukemelding	\N	7484	3097
2011-09-14	bg1103	Melding - ukemelding	\N	7402	3098
2011-09-14	SH1106	Status - satt av OD	Pågående	7487	3099
2011-09-14	SH1106	Melding - oppstartsmelding	\N	7487	3100
2011-09-08	bg1103	Melding - endringsmelding	Due to delays and poor weather in the area, BG Norge would like to apply for a permit extension to October 1st 2011.The shallow borehole survey with the Bucentaur will be finished by 15th Sept. However, more time is needed for the seabed survey with Ocean Observer.	7402	3101
2011-09-08	SH1106	Melding - endringsmelding	Survey området utvides noe østover for å få med en tie-linje til brønn 6407/9c (Husmus.Oppstart er også forsinket grunnet dårlig vær.	7487	3102
2011-09-07	PM08-2011	Status - satt av OD	Planlagt	7523	3103
2011-09-07	PM08-2011	Melding - endringsmelding	Endringer:1.Startdato framskyndet	7523	3104
2011-09-06	LN11003	Melding - endringsmelding	Endringen gjelder utvidet innsamlingsperiode på grunn av sen oppstart. Gjelder også justering av mengder - fortsatt innen samme surveyområde	7454	3105
2011-09-06	MC3D-SVG11	Melding - ukemelding	Uke melding for uke 35.	7378	3106
2011-09-06	WG1101	Melding - ukemelding	Vessel continues in production. Vessel fortsetter i produksjonen.	7453	3107
2011-09-06	ST11015	Status - satt av OD	Ferdig	7472	3108
2011-09-06	ST11015	Melding - sluttmelding	\N	7472	3109
2011-09-06	ST11015	Melding - sluttmelding	\N	7472	3110
2011-09-06	CVX1101	Status - satt av OD	Ferdig	7420	3111
2011-09-06	CVX1101	Melding - sluttmelding	11 out of 15 NATS extension lines were acquired. That includes all 9 lines on SE side of the main survey and 2 lines of 6 on NW side of the main survey.No HSE incidents were recorded.	7420	3112
2011-09-06	BPN11304	Melding - oppstartsmelding	\N	7486	3113
2011-09-06	bg1103	Melding - ukemelding	\N	7402	3114
2011-09-06	BPN11303	Melding - ukemelding	\N	7485	3115
2011-09-06	BPN11305	Status - satt av OD	Pågående	7512	3116
2011-09-06	CP11101	Melding - ukemelding	\N	7484	3117
2011-09-06	BPN11304	Status - satt av OD	Pågående	7486	3118
2011-09-06	BPN11305	Melding - oppstartsmelding	\N	7512	3119
2011-09-06	BPN11305	Status - satt av OD	Ferdig	7512	3120
2011-09-06	BPN11304	Melding - oppstartsmelding	\N	7486	3121
2011-09-06	MC3D-GES2011	Status - satt av OD	Ferdig	7493	3122
2011-09-06	MC3D-GES2011	Melding - sluttmelding	Sluttmelding.	7493	3123
2011-09-06	MC3D-GES2011	Melding - ukemelding	Ukemelding for uke 37.	7493	3124
2011-09-06	SBX1101	Melding - sluttmelding	\N	7473	3125
2011-09-06	SBX1101	Melding - sluttmelding	\N	7473	3126
2011-09-06	SBX1101	Status - satt av OD	Ferdig	7473	3127
2011-09-06	PM06-2011	Melding - sluttmelding	\N	7517	3128
2011-09-06	PM06-2011	Status - satt av OD	Ferdig	7517	3129
2011-09-05	MC3D-HVG2011	Status - satt av OD	Ferdig	7379	3130
2011-09-05	MC3D-HVG2011	Melding - sluttmelding	Sluttmelding.	7379	3131
2011-09-05	MC3D-HVG2011	Melding - ukemelding	Ukemelding for uke 34.	7379	3132
2011-09-05	SWB	Melding - ukemelding	\N	7421	3133
2011-09-05	POL1101	Melding - ukemelding	\N	7505	3134
2011-09-05	MCG1101	Melding - ukemelding	\N	7419	3135
2011-09-05	ST11015	Melding - ukemelding	\N	7472	3136
2011-09-05	ST11012-Lupin West	Melding - ukemelding	\N	7467	3137
2011-09-05	NPD-BA-11	Melding - ukemelding	\N	7464	3138
2011-09-02	PM08-2011	Status - satt av OD	Under behandling	7523	3139
2011-09-02	ST11015	Melding - endringsmelding	På grunn av dårllig vær i området ønskes forlengelse til 15.9.2011 for å ferdigstille undersøkelsen.	7472	3140
2011-09-02	ST11303	Melding - sluttmelding	M/V Sea Explorer tar opp utstyret nå. Forventet ankomst Aberdeen blir i morgen tidlig.	7474	3141
2011-09-02	ST11012-Lupin West	Melding - endringsmelding	Ny fiskerikyndig.Lønning måtte i land p.g.a sykdom i familien, og Dønheim kommer istedet.	7467	3142
2011-09-02	ST11303	Status - satt av OD	Ferdig	7474	3143
2011-09-02	LN11304	Melding - sluttmelding	\N	7445	3144
2011-09-02	LN11304	Status - satt av OD	Ferdig	7445	3145
2011-09-02	LN11301	Melding - sluttmelding	\N	7441	3146
2011-09-02	LN11301	Status - satt av OD	Ferdig	7441	3147
2011-09-02	LN11303	Melding - oppstartsmelding	Det kan være at denne surveyen får korte avbrudd grunnet timeshare med en 3D båt. Vi vil da skifte mellom LN11303 og LN11305.	7444	3148
2011-09-02	LN11303	Status - satt av OD	Pågående	7444	3149
2011-09-02	LN11305	Status - satt av OD	Pågående	7446	3150
2011-09-02	LN11305	Melding - oppstartsmelding	Denne surveyen vil kunne få korte avbrudd da vi har time share med en 3D båt. Vi vil da skifte mellom denn og LN11303.	7446	3151
2011-09-02	ST11016	Status - satt av OD	Planlagt	7515	3152
2011-09-02	Hild	Status - satt av OD	Planlagt	7520	3153
2011-09-02	ST11311	Status - satt av OD	Planlagt	7518	3154
2011-09-02	LN11003	Status - satt av OD	Pågående	7454	3155
2011-09-01	MC2D-BS2011	Status - satt av OD	Planlagt	7500	3156
2011-09-01	SH1105	Melding - endringsmelding	Skifte av fartøy fra Fugro Galaxy til Fugro Searcher.Rettelse på tidsrom for melding sendt tidligere idag 1.9.2011.	7481	3157
2011-09-01	SH1106	Melding - endringsmelding	Skifte av fartøy fra Fugro Galaxy til Fugro Searcher	7487	3158
2011-09-01	ST11466	Status - satt av OD	Planlagt	7519	3159
2011-09-01	LN11003	Melding - oppstartsmelding	\N	7454	3160
2011-09-01	LN11003	Melding - endringsmelding	Endringen gjelder utvidet innsamlingsperiode på grunn av sen oppstart. Gjelder også justering av mengder - fortsatt innen samme surveyområde	7454	3161
2011-09-01	NPD-BA-11	Melding - ukemelding	\N	7464	3162
2011-09-01	EOTW MC3D	Melding - endringsmelding	Innsamling er forsiket grunnet dårlig vær og 3 andre seismiske operasjoner i området. Forventet ferdigstillelse er 18 September.	7468	3163
2011-09-01	SS1101	Melding - endringsmelding	Due to vessel availability the survey has temporarily been suspended. We will at later date advice when the survey can start again	7431	3164
2011-09-01	ST11016	Melding - endringsmelding	Denne undersøkelsen skal utføres av Polarcus Alima umiddelbart etter avslutningen av ConocoPhillips sin CP11101 undersøkelse. CP11101 ser nå ut til å gå fortere enn planlagt, og forventet oppstart for ST11016 er derfor per i dag 7-9 september. Søker om perioden 7-14/9 for å ta høyde for eventuelle forsinkelser, mens programmet for vår undersøkelse utgjør nå maksimalt 48 timers innsamling.	7515	3165
2011-09-01	LN11305	Melding - endringsmelding	Grunnet mye dårlig vær og reperasjon av båten har denne blitt forsinket.	7446	3166
2011-08-31	EOTW MC3D	Melding - ukemelding	\N	7468	3167
2011-08-31	Hoop 11	Melding - endringsmelding	Bytte av fiskerikyndig. Bengt Hanssen mønstrer av, Arne Bye mønstrer på	7424	3168
2011-08-31	Hoop 11	Melding - ukemelding	\N	7424	3169
2011-08-31	Hoop 11	Melding - ukemelding	\N	7424	3170
2011-08-31	Hoop 11	Melding - ukemelding	\N	7424	3171
2011-08-31	Hoop 11	Melding - ukemelding	\N	7424	3172
2011-08-31	LN11303	Melding - endringsmelding	Grunnet mye dårlig vær og litt reperasjoner på båten har denne blitt litt forsinket.	7444	3173
2011-08-31	CGGV1109	Status - satt av OD	Ferdig	7498	3174
2011-08-31	CGGV1108	Status - satt av OD	Ferdig	7497	3175
2011-08-31	CGGV1109	Melding - sluttmelding	\N	7498	3176
2011-08-31	CGGV1108	Melding - sluttmelding	\N	7497	3177
2011-08-31	CP11L03	Status - satt av OD	Planlagt	7521	3178
2011-08-31	SH1105	Melding - endringsmelding	Utsatt oppstart grunnet dårlig vær i Nordsjøen	7481	3179
2011-08-31	SH1106	Melding - endringsmelding	Forsinket oppstart grunnet dårlig vær i Nordsjøen.	7487	3180
2011-08-31	DN1107	Melding - sluttmelding	\N	7482	3181
2011-08-31	DN1106	Melding - sluttmelding	\N	7483	3182
2011-08-31	DN1105	Melding - sluttmelding	\N	7480	3183
2011-08-31	DN1107	Melding - oppstartsmelding	\N	7482	3184
2011-08-31	DN1106	Melding - oppstartsmelding	\N	7483	3185
2011-08-31	DN1105	Melding - oppstartsmelding	\N	7480	3186
2011-08-31	MC3D-SVG11	Melding - endringsmelding	Endringsmeldingen gjelder skifte av den fiskerikyndige til Perry Urkedal.	7378	3187
2011-08-31	BPN11303	Status - satt av OD	Pågående	7485	3188
2011-08-31	BPN11303	Melding - oppstartsmelding	Ocean Seeker ankommer Hod 31.08 og planlegger oppstart samme dag	7485	3189
2011-08-30	DN1105	Status - satt av OD	Ferdig	7480	3190
2011-08-30	DN1106	Status - satt av OD	Ferdig	7483	3191
2011-08-30	DN1107	Status - satt av OD	Ferdig	7482	3192
2011-08-30	PM01-2011	Melding - sluttmelding	\N	7507	3193
2011-08-30	PM01-2011	Status - satt av OD	Ferdig	7507	3194
2011-08-30	bg1103	Melding - ukemelding	\N	7402	3195
2011-08-29	PM06-2011	Melding - oppstartsmelding	\N	7517	3196
2011-08-29	WIN1106	Melding - sluttmelding	\N	7435	3197
2011-08-29	MCG1101	Melding - endringsmelding	Fiskerikundige ombord lenger	7419	3198
2011-08-29	SWB	Melding - ukemelding	\N	7421	3199
2011-08-29	WG1101	Melding - ukemelding	\N	7453	3200
2011-08-29	ST11012-Lupin West	Melding - ukemelding	\N	7467	3201
2011-08-29	ST11015	Melding - ukemelding	\N	7472	3202
2011-08-29	WIN1106	Melding - ukemelding	\N	7435	3203
2011-08-29	POL1101	Melding - ukemelding	\N	7505	3204
2011-08-29	PM06-2011	Status - satt av OD	Pågående	7517	3205
2011-08-29	WIN1106	Status - satt av OD	Ferdig	7435	3206
2011-08-29	CP11101	Melding - ukemelding	\N	7484	3207
2011-08-29	MCG1101	Melding - ukemelding	\N	7419	3208
2011-08-29	ST11303	Melding - ukemelding	\N	7474	3209
2011-08-29	FPN1101	Melding - sluttmelding	Det gjøres oppmerksom på at undersøkelsen nå er avsluttet, med godt bresultat.	7465	3210
2011-08-29	FPN1101	Status - satt av OD	Ferdig	7465	3211
2011-08-29	NO1101	Melding - endringsmelding	Endring av fartøy for operasjonen. Forventer oppstart ca. 20september.	7432	3212
2011-08-29	LO1101	Melding - sluttmelding	\N	7394	3213
2011-08-29	LO1101	Status - satt av OD	Ferdig	7394	3214
2011-08-26	BPN0301_14	Melding - oppstartsmelding	Oppstart vil skje lørdag kveld 27, natt til søndag 28.08.11	7459	3215
2011-08-26	BPN0301_14	Status - satt av OD	Pågående	7459	3216
2011-08-26	PM01-2011	Status - satt av OD	Pågående	7507	3217
2011-08-26	PM01-2011	Melding - oppstartsmelding	\N	7507	3218
2011-08-26	ST11006	Melding - endringsmelding	Denne endringsmelding gjelder følgende endringer:- Denne undersøkelsen var planlagt å starte 20 August, men oppstart er blitt forsinket. Ny oppstartsdato forventes 15 September. Dette vil også føre til ny estimert sluttdato - 15 november.- I forbindelse med denne undersøkelsen ønsker en også å forlenge en av skytelinjene med 10 km i hver retning utenfor kabel/nodeutlegget  nærheten av Gullfaks A plattformen. En må derfor utvide surveyområdet og aktivitetsområdet for å kunne samle inn denne linjen. Denne testlinjen, totalt 25 km lang planlegges å skytes 3- 4 ganger. Denne utvidelsen er vist på områdekartet.	7488	3219
2011-08-26	SS1101	Melding - ukemelding	Survey is temporarily suspended and will recommence at a later date	7431	3220
2011-08-26	SS1101	Status - satt av OD	Pause	7431	3221
2011-08-26	bg1102	Melding - sluttmelding	\N	7390	3222
2011-08-26	ST11007 Grane 4D	Melding - sluttmelding	Da er Grane surveiet ferdig og båten er på vei sydover.	7466	3223
2011-08-26	ST11007 Grane 4D	Status - satt av OD	Ferdig	7466	3224
2011-08-25	PM1101	Melding - sluttmelding	\N	7508	3225
2011-08-25	PM1101	Status - satt av OD	Ferdig	7508	3226
2011-08-25	MBT1b	Status - satt av OD	Pause	7395	3227
2011-08-25	LO1103	Status - satt av OD	Planlagt	7504	3228
2011-08-25	CGGV1109	Melding - oppstartsmelding	\N	7498	3229
2011-08-25	CVX1101	Melding - ukemelding	Completed WATS production this week, switched back to NATS.Total to date (NATS+WTS):Boat km 4541 CDP km 108984NATS 88% completeWATS 100% completeOriginal planned survey expected to be completed by the 26th -- have filed amended notification of intent to extend survey in area, and through 15th September, contingent on weather and budget	7420	3230
2011-08-25	SBX1101	Melding - oppstartsmelding	Denne oppstartsmeldingeen er oppdatert med at  hovedfartøyet er Munin Explorer.	7473	3231
2011-08-25	SWB	Melding - endringsmelding	Vi vil melde inn et ekstra fartøy, Ak. Lazarev, pga en test. Estimert oppstart 25.august og varighet ca. 1 uke.	7421	3232
2011-08-24	SWB	Melding - endringsmelding	Vi vil melde inn et ekstra fartøy, Ak. Lazarev, pga en test. Estimert oppstart 25.august og varighet ca. 1 uke.	7421	3233
2011-08-24	PM06-2011	Melding - endringsmelding	Endringer:1:Surveystart framskyndet til 29.08.2011, surveyslutt senest 30.09.2011	7517	3234
2011-08-24	BPN11303	Melding - endringsmelding	Innsamlingen er som tidligre søkt om i to deler. På grunn av endringer har planlagt oppstart for første del blitt forskjøvet til 29.08.2011 med varighet til 31.08.2011. Del 2 er planlagt oppstart 27.09.2011 med varighet i 6 dager til 03.10.2011.	7485	3235
2011-08-24	CVX1101	Melding - endringsmelding	2nd source vessel Malene Ostervold returned to port 22nd August at completion of WATS part of program.Operator plans enlargement of NATS net survey area (within the same gross operating area)to allow additional lines to be acquired, contingent on weather and remaining budget. Program completion date changed to 15th September to allow additional acquisition. Planned Boat and CDP km updated to reflect enlarged survey. New fishery officer, Tor Bang, relieved Ronald Hansen on 27th July.	7420	3236
2011-08-23	TE1102	Melding - endringsmelding	Endring av tidsrom. Ny oppstart 1. desember 2011.	7476	3237
2011-08-23	WIN1106	Melding - ukemelding	\N	7435	3238
2011-08-23	bg1102	Status - satt av OD	Ferdig	7390	3239
2011-08-23	MC3D-HVG2011	Melding - ukemelding	\N	7379	3240
2011-08-23	Veslemoy	Status - satt av OD	Planlagt	7506	3241
2011-08-23	SWB	Melding - endringsmelding	På grunn av mye aktivitet i området, blir vi sannsynligvis ikke ferdig med undersøkelsen innen 10.september og ber derfor  om forlengelse tom. 15.oktober.I tillegg er det ny fiskerikyndig.	7421	3242
2011-08-23	POL1101	Melding - ukemelding	\N	7505	3243
2011-08-23	WG1101	Melding - ukemelding	\N	7453	3244
2011-08-23	LN11002	Melding - sluttmelding	Innsamlingen er komplett. Det var ingen problemer med fiskebåter.	7455	3245
2011-08-23	NPD-BA-11	Melding - ukemelding	\N	7464	3246
2011-08-23	ST11007 Grane 4D	Melding - ukemelding	\N	7466	3247
2011-08-22	LN11002	Status - satt av OD	Ferdig	7455	3248
2011-08-22	ST11303	Melding - ukemelding	\N	7474	3249
2011-08-22	ST11015	Melding - ukemelding	\N	7472	3250
2011-08-22	ST11012-Lupin West	Melding - ukemelding	Ramform Vanguard har holdt på med rekonfigurering hele uken,	7467	3251
2011-08-22	MCG1101	Melding - ukemelding	\N	7419	3252
2011-08-22	SS1101	Melding - ukemelding	\N	7431	3253
2011-08-22	MBT1b	Melding - ukemelding	\N	7395	3254
2011-08-22	NBR11	Melding - ukemelding	\N	7408	3255
2011-08-22	SWB	Melding - ukemelding	\N	7421	3256
2011-08-22	LO1101	Melding - ukemelding	\N	7394	3257
2011-08-22	MNR11	Melding - ukemelding	\N	7389	3258
2011-08-22	bg1103	Melding - ukemelding	\N	7402	3259
2011-08-22	CP11101	Melding - ukemelding	\N	7484	3260
2011-08-22	bg1102	Melding - ukemelding	\N	7390	3261
2011-08-22	SBX1101	Melding - oppstartsmelding	\N	7473	3262
2011-08-22	SBX1101	Status - satt av OD	Pågående	7473	3263
2011-08-22	BE1101	Melding - sluttmelding	Geotekniske undersøkelser er ferdig	7437	3264
2011-08-22	CGGV1109	Melding - oppstartsmelding	\N	7498	3265
2011-08-22	CGGV1108	Melding - oppstartsmelding	\N	7497	3266
2011-08-22	PM1101	Melding - oppstartsmelding	\N	7508	3267
2011-08-22	BE1101	Status - satt av OD	Ferdig	7437	3268
2011-08-22	CGGV1108	Status - satt av OD	Pågående	7497	3269
2011-08-22	CGGV1109	Status - satt av OD	Pågående	7498	3270
2011-08-22	PM1101	Status - satt av OD	Pågående	7508	3271
2011-08-19	SH1106	Melding - endringsmelding	Navn Fiskerikyndig	7487	3272
2011-08-19	SH1105	Melding - endringsmelding	Navn Fiskerikyndig	7481	3273
2011-08-19	CP11L03	Status - satt av OD	Under behandling	7521	3274
2011-08-19	CP11101	Melding - endringsmelding	Navn på fiskerikyndig for perioden 14. august til 28. september.	7484	3275
2011-08-19	BE1101	Melding - oppstartsmelding	Gjelder gjenstående 18 geoteknikkprøver med penetrering til ca 5m. All innsamling av seismikk er ferdig. Fugro Survey AS håndterer prosessen med meldinger på vegne av Bridge Energy , derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7437	3276
2011-08-19	POL1101	Melding - endringsmelding	Change of fisheries expert.	7505	3277
2011-08-19	ST11303	Melding - endringsmelding	Statoil anmoder om forlengelse av innsamlings perioden for undersøkelse ST11303. Vi håper at vi skal klare å bli ferdige med undersøkelsen til 29 August, men er ikke sikre. Derfor anmoder vi om utvidet tillatelse frem til 8 September. Antall CPT målinger av havbunnen blir ca 45. Utover dette er det ingen endringer.	7474	3278
2011-08-19	MC3D-GES2011	Melding - oppstartsmelding	Oppstartsmelding	7493	3279
2011-08-19	MC3D-GES2011	Status - satt av OD	Pågående	7493	3280
2011-08-18	Hild	Status - satt av OD	Under behandling	7520	3281
2011-08-18	LN11002	Melding - oppstartsmelding	\N	7455	3282
2011-08-18	CVX1101	Melding - ukemelding	Total to date (NATS+WATS):CDP km 92373 Boat km 3849NATS 75% completeWATS 83% completeAnticipate completion of WATS in coming week, then reconfiguring back to NATS acquisition. 7-day weather forecasts remains good.	7420	3283
2011-08-18	BE1101	Melding - endringsmelding	Endringer gjelder: Utvidelse av innsamlingsperiode.  Det gjenstår 18 geoteknikkprøver med penetrering til ca 5m. All innsamling av seismikk er ferdig. Fugro Survey AS håndterer prosessen med meldinger på vegne av Bridge Energy , derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7437	3284
2011-07-12	MCG1102	Melding - ukemelding	\N	7426	3610
2011-08-18	MNR11	Melding - endringsmelding	Det blir bytte av båt. Akademik Shatskiy avslutter nå innsamlingen og forlater området. Lazarev vil starte innsamling tidlig neste uke. Fiskerikyndig ombord i denne båten er Trond Roaldseth.	7389	3285
2011-08-18	CGGV1106	Melding - sluttmelding	\N	7494	3286
2011-08-18	CGGV1105	Melding - sluttmelding	\N	7492	3287
2011-08-18	CGGV1104	Melding - sluttmelding	\N	7491	3288
2011-08-18	CGGV1103	Melding - sluttmelding	\N	7490	3289
2011-08-18	LN11002	Status - satt av OD	Pågående	7455	3290
2011-08-18	ST11455 Eirin	Status - satt av OD	Planlagt	7501	3291
2011-08-18	ST11456 Dagny	Status - satt av OD	Planlagt	7499	3292
2011-08-18	CGGV1104	Status - satt av OD	Ferdig	7491	3293
2011-08-18	BE1101	Status - satt av OD	Pågående	7437	3294
2011-08-17	CP11101	Melding - oppstartsmelding	\N	7484	3295
2011-08-17	CP11101	Status - satt av OD	Pågående	7484	3296
2011-08-17	ST11466	Status - satt av OD	Under behandling	7519	3297
2011-08-17	ST11303	Melding - endringsmelding	Statoil anmoder om forlengelse av innsamlings perioden for undersøkelse ST11303. Vi håper at vi skal klare å bli ferdige med undersøkelsen til 29 August, men er ikke sikre. Derfor anmoder vi om utvidet tillatelse frem til 8 September. Antall CPT målinger av havbunnen blir ca 45. Utover dette er det ingen endringer.	7474	3298
2011-08-17	NBR11	Status - satt av OD	Pause	7408	3299
2011-08-17	WIN1106	Melding - ukemelding	\N	7435	3300
2011-08-17	MC3D-HVG2011	Melding - ukemelding	\N	7379	3301
2011-08-17	ST11012-Lupin West	Melding - oppstartsmelding	\N	7467	3302
2011-08-17	ST11012-Lupin West	Status - satt av OD	Pågående	7467	3303
2011-08-17	ST11015	Melding - oppstartsmelding	Fartøyet mobilisert i Beregn på lørdag/søndag og er i gang med å legge ut kabler i OSeberg området.	7472	3304
2011-08-17	ST11015	Status - satt av OD	Pågående	7472	3305
2011-08-17	bg1103	Melding - endringsmelding	Due to delays and poor weather in the area, BG Norge would like to apply for a permit extension to September 15th 2011.	7402	3306
2011-08-17	CGGV1109	Status - satt av OD	Planlagt	7498	3307
2011-08-17	CGGV1108	Status - satt av OD	Planlagt	7497	3308
2011-08-16	MBT1b	Melding - endringsmelding	Vi ønsker å forlenge innsamlingsperioden tom 31.oktober og samtidig utvide området mot vest og sør.	7395	3309
2011-08-16	CP11101	Melding - ukemelding	\N	7484	3310
2011-08-16	bg1103	Melding - ukemelding	\N	7402	3311
2011-08-16	CGGV1106	Status - satt av OD	Ferdig	7494	3312
2011-08-16	CGGV1103	Status - satt av OD	Ferdig	7490	3313
2011-08-16	CGGV1105	Status - satt av OD	Ferdig	7492	3314
2011-08-16	LN11302	Melding - oppstartsmelding	Surveyet starter 16/17 august	7442	3315
2011-08-16	MBT1b	Melding - ukemelding	\N	7395	3316
2011-08-16	WG1101	Melding - ukemelding	\N	7453	3317
2011-08-16	ST11005	Melding - ukemelding	\N	7415	3318
2011-08-16	LN11302	Status - satt av OD	Pågående	7442	3319
2011-08-16	ST11303	Melding - ukemelding	\N	7474	3320
2011-08-16	SWB	Melding - ukemelding	\N	7421	3321
2011-08-16	bg1102	Melding - ukemelding	\N	7390	3322
2011-08-16	LO1101	Melding - ukemelding	\N	7394	3323
2011-08-16	MNR11	Melding - ukemelding	\N	7389	3324
2011-08-16	NBR11	Melding - ukemelding	\N	7408	3325
2011-08-16	ST11007 Grane 4D	Melding - ukemelding	\N	7466	3326
2011-08-16	POL1101	Melding - ukemelding	\N	7505	3327
2011-08-16	SS1101	Melding - ukemelding	\N	7431	3328
2011-08-16	MCG1101	Melding - ukemelding	\N	7419	3329
2011-08-15	PM1101	Melding - endringsmelding	Endringer:1.Generll info: Rettighetshaver, Kontaktperson2.Tillatelser: Undersøkelsestillatelse 4213.Dataformater: fylt inn4.Båter: ny båt5.Fiskerikyndig: fylt inn6.Kilder: fylt inn7.Sensorer: fylt inn8.Tidsrom og mengder: Framskyndet	7508	3330
2011-08-15	PM06-2011	Status - satt av OD	Planlagt	7517	3331
2011-08-15	PM05	Status - satt av OD	Planlagt	7516	3332
2011-08-15	PM05	Melding - endringsmelding	Endringer:1.Generell info: Faksnummer2.Områder: Mindre område definert-nye koordinater	7516	3333
2011-08-15	bg1102	Melding - endringsmelding	Ved en feiltagelse ble det lagt ut på ODs nettside opplysninger om feil hovedfartøy. Det korrekte er M/V Oceanic Phoenix	7390	3334
2011-08-15	CGGV1106	Melding - oppstartsmelding	\N	7494	3335
2011-08-15	CGGV1105	Melding - oppstartsmelding	\N	7492	3336
2011-08-15	CGGV1104	Melding - oppstartsmelding	\N	7491	3337
2011-08-15	CGGV1104	Status - satt av OD	Pågående	7491	3338
2011-08-15	CGGV1103	Melding - oppstartsmelding	\N	7490	3339
2011-08-15	CGGV1103	Status - satt av OD	Pågående	7490	3340
2011-08-15	ST11311	Status - satt av OD	Under behandling	7518	3341
2011-08-15	ST11005	Melding - endringsmelding	Denne undersøkelsen er i dag suspendert. Undersøkelsen er nesten ferdig, men har et dekningshull i et område hvor riggen Deep Sea Atlantic sitter. Riggen vil forbli på lokasjon lengre enn forutsatt. Ramform Vanguard går nå videre til undersøkelsen ST11012, men intensjonen er at båten skal komme tilbake til Gullfaks for å dekke dette hullet etter at at ST11012 er avsluttet, noe som p.t. er forventet å være første halvdel av oktober. Det gjenstår ca 4 dagers produksjon på ST11005.	7415	3342
2011-08-15	ST11005	Status - satt av OD	Pause	7415	3343
2011-08-12	CGGV1105	Status - satt av OD	Pågående	7492	3344
2011-08-12	bg1103	Melding - ukemelding	\N	7402	3345
2011-08-12	PM06-2011	Status - satt av OD	Under behandling	7517	3346
2011-08-12	WG1101	Melding - endringsmelding	Planned change of Fisheries Representative. Planlagt endring av Fiskeridirektoratet representant.	7453	3347
2011-08-12	WIN1106	Status - satt av OD	Pågående	7435	3348
2011-08-12	WIN1106	Melding - oppstartsmelding	\N	7435	3349
2011-08-11	PM05	Status - satt av OD	Under behandling	7516	3350
2011-08-11	ST11016	Status - satt av OD	Under behandling	7515	3351
2011-08-11	CP11101	Melding - endringsmelding	To båter lagt til. Fiskerikyndig frem 24. august. Start dato satt til 12. august.	7484	3352
2011-08-11	GN1101	Melding - sluttmelding	\N	7450	3353
2011-08-11	CVX1101	Melding - ukemelding	Total to date:CDP km 81528  Boat km 339775% complete for NATS45% complete for WATS4 days weather standby last week; switched temporarily back to NATS before weather put both vessels on standby. Back on WATS acquisition starting today (after this reporting period)	7420	3354
2011-08-11	GN1101	Status - satt av OD	Ferdig	7450	3355
2011-08-10	MC3D-GES2011	Status - satt av OD	Planlagt	7493	3356
2011-08-10	LN11301	Melding - endringsmelding	Utvidelse av surveyområdet på grunn av 2 tie linjer. Ellers ingen endring.	7441	3357
2011-08-10	MC3D-SVG11	Melding - endringsmelding	Endringsmeldingen gjelder skifte av  den fiskerrikyndig til Arnulf Hjalmar Svendsen.	7378	3358
2011-08-10	MC3D-GES2011	Melding - oppstartsmelding	Oppstartsmelding	7493	3359
2011-08-10	MC3D-GES2011	Melding - oppstartsmelding	Oppstartsmelding	7493	3360
2011-08-10	MC3D-GES2011	Status - satt av OD	Pågående	7493	3361
2011-08-10	bg1102	Melding - ukemelding	\N	7390	3362
2011-08-10	MC3D-GES2011	Melding - endringsmelding	Endring av Fiskerikyndig person	7493	3363
2011-08-10	POL1101	Melding - oppstartsmelding	Ved en feiltagelse ble det krysset nei for Inmarsat - det skal være Ja.	7505	3364
2011-08-10	ST11005	Melding - ukemelding	\N	7415	3365
2011-08-10	ST11005	Melding - ukemelding	\N	7415	3366
2011-08-09	POL1101	Status - satt av OD	Pågående	7505	3367
2011-08-09	BPN11305	Melding - endringsmelding	Undersøkelsen blir utført av Skarv Unit som omfatter PL159B. BP Norge AS er operatør for Skarv UnitUndersøkelsen vil starte etter BPN11304 er avsluttet og er beregnet til 2 dager	7512	3368
2011-08-09	BPN11305	Melding - endringsmelding	Undersøkelsen blir utført av Skarv Unit som omfatter PL159B. BP Norge AS er operatør for Skarv UnitUndersøkelsen vil starte etter BPN11304 er avsluttet og er beregnet til 2 dager	7512	3369
2011-08-09	CP11101	Melding - endringsmelding	Start av survey er forandret 11.august 2011. Oppdatert med navn på fiskerikyndig. Navn på fiskerikyndig for perioden etter 17. august vil bli oppdatert senere.	7484	3370
2011-08-09	WIN1101	Melding - sluttmelding	\N	7411	3371
2011-08-09	GN1101	Melding - ukemelding	\N	7450	3372
2011-08-09	MC3D-SVG11	Melding - ukemelding	UKE 31.	7378	3373
2011-08-09	MC3D-SVG11	Melding - ukemelding	UKE 29.	7378	3374
2011-08-09	MC3D-SVG11	Melding - ukemelding	UKE 30.	7378	3375
2011-08-09	MC3D-HVG2011	Melding - ukemelding	UKE 31.	7379	3376
2011-08-09	MC3D-HVG2011	Melding - ukemelding	UKE 30.	7379	3377
2011-08-09	WIN1101	Status - satt av OD	Ferdig	7411	3378
2011-08-08	LO1101	Melding - ukemelding	\N	7394	3379
2011-08-08	SEN1101	Melding - sluttmelding	Surveyet er ferdig innsamlet og fartøyet har startet å ta ombord utstyret	7443	3380
2011-08-08	WG1101	Melding - ukemelding	Vessel is in production. Fartøyet er i produksjon	7453	3381
2011-08-08	WIN1101	Melding - ukemelding	\N	7411	3382
2011-08-08	SWB	Melding - ukemelding	\N	7421	3383
2011-08-08	ST11007 Grane 4D	Melding - ukemelding	\N	7466	3384
2011-08-08	MNR11	Melding - ukemelding	\N	7389	3385
2011-08-08	NBR11	Melding - ukemelding	\N	7408	3386
2011-08-08	BPN11305	Status - satt av OD	Planlagt	7512	3387
2011-08-08	SEN1101	Status - satt av OD	Ferdig	7443	3388
2011-08-08	BPN11305	Status - satt av OD	Under behandling	7512	3389
2011-08-08	MC3D-HVG2011	Melding - ukemelding	UKE 29.	7379	3390
2011-08-08	SS1101	Melding - ukemelding	\N	7431	3391
2011-08-08	MCG1101	Melding - ukemelding	\N	7419	3392
2011-08-08	NPD-BA-11	Melding - ukemelding	\N	7464	3393
2011-08-08	ST11303	Melding - ukemelding	\N	7474	3394
2011-08-08	LO1102	Status - satt av OD	Ferdig	7463	3395
2011-08-08	LO1102	Melding - sluttmelding	\N	7463	3396
2011-08-08	LO1102	Melding - ukemelding	\N	7463	3397
2011-08-05	MC3D-GES2011	Melding - endringsmelding	Endringen gjelder utvidelse av området. Utvidelsen gjort er allerede meldt inn som del av ED1101. ED1101 og MC3D-GES2011 vil bli slått sammen til en survey, og de gamle innmeldingene tilsammen dekker denne endringsmeldingen som meldes inn her.	7493	3398
2011-08-05	FPN1101	Melding - endringsmelding	Revised time schedule.Was 1-8th AugustNow plan is to mobilize Sunday 7th. August.Estimated finished at 14th August	7465	3399
2011-08-05	LN11301	Melding - oppstartsmelding	Surveyen vil starte opp lørdag eller søndag (6/7) august.	7441	3400
2011-08-05	LN11301	Status - satt av OD	Pågående	7441	3401
2011-08-05	MC3D-NVG11	Status - satt av OD	Ferdig	7377	3402
2011-08-05	NSR11 WOS	Status - satt av OD	Ferdig	7422	3403
2011-08-05	LN11002	Melding - endringsmelding	Endringen gjelder:Kontraktor CGG greier ikke å utføre oppdraget innenfor akseptebelt tidsromm i år. Derfor er 3D innsamlingen utsatt til 2012.I stedet vil det bli samlet inn 2 2D testlinjer innenfor samme område som meldt tidligere. Endelig tidsrom er ikke fastsatt men det vil være innenfor samme tidsramme som meldt tidligere.Dette medfører endring av sensorer og kilder pluss mengder.	7455	3404
2011-08-05	PM01-2011	Status - satt av OD	Planlagt	7507	3405
2011-08-05	IPN1101	Melding - ukemelding	Den seismiske undersøkelsen er satt i pause.	7460	3406
2011-08-05	CVX1101	Melding - ukemelding	Total to date:CDP km 72,624Boat km 302672% complete for NATS38% complete for WATSCurrently acquiring WATS program but possibility of reconfiguring Endeavour for a day or two of NATS acquisition in coming week if Malene Ostervold, as predicted, goes on weather standby.	7420	3407
2011-08-05	WIN1101	Melding - ukemelding	\N	7411	3408
2011-08-05	MBT1b	Status - satt av OD	Pågående	7395	3409
2011-08-05	MBT1b	Melding - endringsmelding	Vi planlegger å starte opp igjen undersøkelsen, estimert oppstart 8.august. Det blir bytte av fartøy til Geo Caspian og ny fiskerikyndig.	7395	3410
2011-08-05	FPN1101	Melding - oppstartsmelding	\N	7465	3411
2011-08-05	FPN1101	Status - satt av OD	Pågående	7465	3412
2011-08-04	PM01-2011	Melding - endringsmelding	1. Genrell info (ny kontaktperson)2. Fartøy (nytt fartøy)3. Fiskerykyndige (ny fiskerirep. +  dato)4. Tidsrom og mengder (nye datoer)	7507	3413
2011-08-04	IPN1101	Status - satt av OD	Pause	7460	3414
2011-08-03	bg1102	Melding - endringsmelding	The permit for the 3D seismic survey BG1102 expires on 15 August 2011.  BG Norge as operator kindly request from the NPD an extension for the permit to 5th September 2011 so that the 3D survey may be completed.  RegardsTim Pointer	7390	3415
2011-08-03	BE1101	Melding - sluttmelding	All seismikk er ferdig, men 18 CPT prøver gjenstår, vil gjøres ca 12 August.	7437	3416
2011-08-03	Hoop 11	Melding - endringsmelding	Fiskerikyndig Bengt Hanssen står ombord til mannskapskifte 31 August.	7424	3417
2011-08-03	LO1102	Melding - oppstartsmelding	\N	7463	3418
2011-08-03	LO1102	Status - satt av OD	Pågående	7463	3419
2011-08-03	BE1101	Status - satt av OD	Ferdig	7437	3420
2011-08-03	LN11304	Melding - oppstartsmelding	Vi har  skiftet litt på rekkefølgen av surveyene og regner med å starte opp denne surveyen i morgen.	7445	3421
2011-08-03	LN11304	Status - satt av OD	Pågående	7445	3422
2011-08-03	CGGV1106	Status - satt av OD	Planlagt	7494	3423
2011-08-03	CP11101	Melding - endringsmelding	Rettighetshaver ansvarlig for innsamling har blitt forandret til ConocoPhillips Scandinavia AS.	7484	3424
2011-08-03	EOTW MC3D	Melding - endringsmelding	På grunn av stor seismikk aktivitet i området er EOTW11 innsamlingen forsinket. Beregnet sluttdato er nå 5.September	7468	3425
2011-08-03	MAE11301	Melding - sluttmelding	Undersøkelsen ble avsluttet kl 2155 den 1. august.Båten er nå på vei til Bergen med ankomst kl 1950 den 2. august.	7434	3426
2011-08-03	bg1102	Melding - ukemelding	\N	7390	3427
2011-08-03	BPN11304	Melding - endringsmelding	På grunn av forskyvininger i programmet søker vi om folengelse av tillatelsen til 18.09.2011.	7486	3428
2011-08-02	MAE11301	Status - satt av OD	Ferdig	7434	3429
2011-08-02	ST11007 Grane 4D	Melding - ukemelding	\N	7466	3430
2011-08-02	PM1101	Status - satt av OD	Under behandling	7508	3431
2011-08-02	GN1101	Melding - ukemelding	Gassnova rapporterer produksjon hver mandag gjennom undersøkelses perioden, dette vil da omfatte produksjon frem til midnatt hver søndag. Opprinnelig ble melding om oppstart meldt for 22. Juli, men pga forsinkelser fra foregående oppdrag ble mobilisering først påbegynt torsdag 28. Juli. Da mobilisering ikke var fullt ut gjennomført ved midnatt søndag er det derfor ingen produksjon i denne ukemelding.	7450	3432
2011-08-02	LO1101	Melding - ukemelding	\N	7394	3433
2011-08-02	NPD-BA-11	Melding - ukemelding	\N	7464	3434
2011-08-02	MBT1b	Status - satt av OD	Pause	7395	3435
2011-08-02	BPN11303	Melding - endringsmelding	Undersøkelsen må foretas i 2 omganger. UHR delen vil foregå i søkt periode med planlagt oppstart 16.08. Det søkes om tillatelse å foreta site survey delen i perioden 10-24.09.2011. Planlagt oppstart er 14.09 avhengig av forutgående program og vær forhold, innsamlingen vil ta 3 dager	7485	3436
2011-08-02	ST11012-Lupin West	Melding - endringsmelding	Følgende endring har blitt gjort:1) Oppstartsdato er nå satt til 8.august.2) Følgebåtene til Ramform Vanguard er lagt til. 3) Navnet på fiskerikyndig er lagt til.4) kilde er korrigert fra 3090 til 3111 cu.in.	7467	3437
2011-08-02	MCG1101	Melding - endringsmelding	Forespørsel om forlengelse av gyldigheten av tillatelsen utover 15.08.2011	7419	3438
2011-08-02	SEN1101	Melding - ukemelding	\N	7443	3439
2011-08-02	WG1101	Melding - ukemelding	Vessel is in production.Fartøyet er i produksjon	7453	3440
2011-08-02	MCG1101	Melding - ukemelding	\N	7419	3441
2011-08-02	MNR11	Melding - ukemelding	\N	7389	3442
2011-08-02	SWB	Melding - ukemelding	\N	7421	3443
2011-08-01	ST11312	Melding - sluttmelding	\N	7462	3444
2011-08-01	ST11303	Melding - oppstartsmelding	\N	7474	3445
2011-08-01	ST11303	Status - satt av OD	Pågående	7474	3446
2011-08-01	ST11303	Status - satt av OD	Planlagt	7474	3447
2011-08-01	POL1101	Status - satt av OD	Planlagt	7505	3448
2011-08-01	ST11312	Status - satt av OD	Ferdig	7462	3449
2011-08-01	ST11303	Status - satt av OD	Pågående	7474	3450
2011-08-01	NKFE11	Status - satt av OD	Planlagt	7503	3451
2011-08-01	SS1101	Melding - ukemelding	\N	7431	3452
2011-08-01	IPN1101	Melding - ukemelding	\N	7460	3453
2011-08-01	MCG1102	Melding - sluttmelding	\N	7426	3454
2011-08-01	MCG1102	Status - satt av OD	Ferdig	7426	3455
2011-07-29	Hoop 11	Melding - endringsmelding	Oppdatert sluttdato for undersøkelse: 30.09.2011	7424	3456
2011-07-29	ST11008 SN	Melding - sluttmelding	Surveyet er ferdig og båten har gått videre til Gassnova.	7427	3457
2011-07-29	CP11101	Status - satt av OD	Planlagt	7484	3458
2011-07-29	ST11008 SN	Status - satt av OD	Ferdig	7427	3459
2011-07-29	BG1104	Melding - sluttmelding	Alternativ kontaktpersonen kan være alastair.welbon@bg-group.com	7409	3460
2011-07-29	LN11002	Melding - endringsmelding	Endringen gjelder:Kontraktor CGG greier ikke å utføre oppdraget innenfor akseptebelt tidsromm i år. Derfor er 3D innsamlingen utsatt til 2012.I stedet vil det bli samlet inn 2 2D testlinjer innenfor samme område som meldt tidligere. Endelig tidsrom er ikke fastsatt men det vil være innenfor samme tidsramme som meldt tidligere.Dette medfører endring av sensorer og kilder pluss mengder.	7455	3461
2011-07-28	LO1101	Melding - endringsmelding	Fiskerikyndig H. Bastesen avsluttet sitt skift 23.07.2011	7394	3462
2011-07-28	ST11015	Melding - endringsmelding	Tidsrom er endret. Detaljer om følgebåt er oppdatert.	7472	3463
2011-07-28	PM01-2011	Status - satt av OD	Under behandling	7507	3464
2011-07-28	EMGS1101	Melding - sluttmelding	\N	7417	3465
2011-07-28	EMGS1101	Status - satt av OD	Ferdig	7417	3466
2011-07-28	LN11301	Melding - endringsmelding	Grunnet store forsinkelser på pågående surveyer ser det ut som vi blir forsinket med 1 til 2 uker med oppstart. Siste oppstartsdato er 1-3 august, men det kan bli noe senere. Det er også i denne meldingen lagt inn hvem som blir vår fiskerirepresentant på de første surveyene. Oppstartsmelding kommer når vi vet mer.	7441	3467
2011-07-28	CVX1101	Melding - ukemelding	Total to date:CDP km 63081Boat km 2628No Recordable HES Incidents and all work conducted safely.WATS was mobilised on July 24 at 02:22 with sequence 1 started.Crew change on July 27th with first helicopters cancelled with fog conditions on shoresideWeather standby - 45.633 hoursWeather with sea states coming up on Saturday the 23rd evening with high swell conditions to 4 + meters and winds from 30 to 40 knots until early Tuesday morning. The forecast has a decrease from Wednesday the 27th to late on Friday the 29th.	7420	3468
2011-07-28	IPN1101	Melding - endringsmelding	Fiskerikyndig, Roy Sebulonsen, avløses av Trond Jacobsen.	7460	3469
2011-07-27	BG1104	Status - satt av OD	Ferdig	7409	3470
2011-07-27	LN11306	Melding - endringsmelding	Grunnet store forsinkelser på pågående surveyer og at RWE skal skyte en hastesurvey før vi kan starte i Barentshavet ser det ut som vi blir forsinket med 2 til 4 uker med oppstart.	7448	3471
2011-07-27	LN11307	Melding - endringsmelding	Grunnet store forsinkelser på pågående surveyer og at RWE skal kjøre en haste survey før vi begynner i Barentshavet ser det ut som vi blir forsinket med 2 til 4 uker med oppstart.	7447	3472
2011-07-27	LN11304	Melding - endringsmelding	Grunnet store forsinkelser på pågående surveyer ser det ut som vi blir forsinket med 1 til 2 uker med oppstart. Det er også i denne meldingen lagt inn hvem som blir vår fiskerirepresentant på de første surveyene. Oppstartsmelding kommer når vi vet mer.	7445	3473
2011-07-27	LN11305	Melding - endringsmelding	Grunnet store forsinkelser på pågående surveyer ser det ut som vi blir forsinket med 1 til 2 uker med oppstart. Det er også i denne meldingen lagt inn hvem som blir vår fiskerirepresentant på de første surveyene. Oppstartsmelding kommer når vi vet mer.	7446	3474
2011-07-27	LN11303	Melding - endringsmelding	Grunnet store forsinkelser på pågående surveyer ser det ut som vi blir forsinket med 1 til 2 uker med oppstart. Det er også i denne meldingen lagt inn hvem som blir vår fiskerirepresentant på de første surveyene. Oppstartsmelding kommer når vi vet mer.	7444	3475
2011-07-27	LN11301	Melding - endringsmelding	Endringen går på tidsrom	7441	3476
2011-07-27	LN11302	Melding - endringsmelding	Grunnet store forsinkelser på pågående surveyer ser det ut som vi blir forsinket med 1 til 2 uker med oppstart.  Det er også i denne meldingen lagt inn hvem som blir vår fiskerirepresentant på de første surveyene. Oppstartsmelding kommer når vi vet mer.	7442	3477
2011-07-27	BE1101	Melding - ukemelding	\N	7437	3478
2011-07-27	LN11301	Melding - endringsmelding	Grunnet store forsinkelser på pågående surveyer ser det ut som vi blir forsinket med 1 til 2 uker med oppstart. Siste oppstartsdato er 1-3 august, men det kan bli noe senere. Det er også i denne meldingen lagt inn hvem som blir vår fiskerirepresentant på de første surveyene. Oppstartsmelding kommer når vi vet mer.	7441	3479
2011-07-27	ST11303	Melding - endringsmelding	Endring består at vi anmoder om mer tid til å få samlet inn undersøkelsen.  Grunnen til at vi trenger å forlenge perioden er ugunstig vær og at vi må dele tid med andre seismiske fartøyer i området.	7474	3480
2011-07-26	NPD-BA-11	Melding - ukemelding	\N	7464	3481
2011-07-26	OMV11300	Melding - endringsmelding	OMV11300 er midlertidig avsluttet av årsaker utenfor OMVs kontroll. Vi regner med å starte opp igjen undersøkelsen i september med ett annet fartøy. Vi vil sende inn ny endringsmelding når vi vet mer.	7433	3482
2011-07-26	WIN1101	Melding - ukemelding	\N	7411	3483
2011-07-26	ST11007 Grane 4D	Melding - ukemelding	\N	7466	3484
2011-07-26	ST11008 SN	Melding - ukemelding	\N	7427	3485
2011-07-26	NBR11	Melding - ukemelding	\N	7408	3486
2011-07-25	Veslemoy	Status - satt av OD	Under behandling	7506	3487
2011-07-25	MCG1102	Melding - ukemelding	\N	7426	3488
2011-07-25	MCG1101	Melding - ukemelding	\N	7419	3489
2011-07-25	OMV11300	Status - satt av OD	Pause	7433	3490
2011-07-25	LO1101	Melding - ukemelding	\N	7394	3491
2011-07-25	MNR11	Melding - ukemelding	\N	7389	3492
2011-07-25	OMV11300	Melding - ukemelding	\N	7433	3493
2011-07-25	WG1101	Melding - ukemelding	Vessel in production.Fartøy i produksjon.	7453	3494
2011-07-25	SWB	Melding - ukemelding	\N	7421	3495
2011-07-25	SEN1101	Melding - ukemelding	\N	7443	3496
2011-07-25	ST11312	Melding - ukemelding	\N	7462	3497
2011-07-25	ST11005	Melding - ukemelding	\N	7415	3498
2011-07-25	EOTW MC3D	Melding - endringsmelding	Sørenden av innsamlingsområdet er flytte til 61,41 N (fra 61,43) for å gi rom til 2 ekstra seil linjer/ south end of prospect moved to 61,41 N (from 61,43) to allow for 2 extra sail lines.	7468	3499
2011-07-25	bg1102	Melding - ukemelding	\N	7390	3500
2011-07-25	BE1101	Melding - endringsmelding	Endringer gjelder: Forlenget innsamlingsperiode på grunn av dårlig vær. Fugro Survey AS håndterer prosessen med meldinger på vegne av Bridge Energy , derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt k.c.stenseth@fugro.no og r.wiik@fugro.no , tel 92805244, fax 22134646	7437	3501
2011-07-25	SS1101	Melding - ukemelding	\N	7431	3502
2011-07-25	POL1101	Status - satt av OD	Under behandling	7505	3503
2011-07-25	bg1103	Status - satt av OD	Pågående	7402	3504
2011-07-25	bg1103	Melding - oppstartsmelding	BG Norge does not plan to have an FLO onboard as this is not a seismic survey	7402	3505
2011-07-25	MAE11301	Melding - endringsmelding	Grunnet dårlig vær, tur til land for å hente CPR utstyr samt et forstående mannskapsbytte i kommende uke antas nå at undersøkelsen vil vare frem til 3. august. Jeg beklager sen melding om dette.	7434	3506
2011-07-22	LO1103	Status - satt av OD	Under behandling	7504	3507
2011-07-22	IPN1101	Melding - ukemelding	\N	7460	3508
2011-07-22	LO1101	Melding - endringsmelding	Harry Nelson Johansen vil være fiskerirepresentant dag mens Kåre Andersen vil være fiskerirepresentant natt	7394	3509
2011-07-22	MC3D-HVG2011	Melding - endringsmelding	Endringsmeldingen gjelder skifte av fiskerikyndig den 3August 2011. Den nye fiskerikyndige blir Hans Kristian Augustinussen.	7379	3510
2011-07-22	NKFE11	Status - satt av OD	Under behandling	7503	3511
2011-07-22	WG1101	Melding - endringsmelding	Change of fisheries representative.Endring av fiskeri representative	7453	3512
2011-07-22	ST11007 Grane 4D	Status - satt av OD	Pågående	7466	3513
2011-07-21	LO1101	Melding - endringsmelding	Endringen gjelder fiskerikyndig person.Måtte sende hjem tidligere registrert fiskerirepresentant. Melding oppdatert med 2 nye navn. Sistnevnte skal ut den 23.07 for å overta etter Bastesen som da skal hjem	7394	3514
2011-07-21	ST11007 Grane 4D	Melding - oppstartsmelding	\N	7466	3515
2011-07-21	ST11007 Grane 4D	Melding - endringsmelding	Oppdatert med navn på fiskerikyndig og navn på følgebåter; samt redusert antall kabler fra 12 til 10.	7466	3516
2011-07-21	ST11002	Status - satt av OD	Ferdig	7425	3517
2011-07-21	ST11002	Melding - sluttmelding	\N	7425	3518
2011-07-21	WIN1101	Status - satt av OD	Pågående	7411	3519
2011-07-21	WIN1101	Melding - oppstartsmelding	\N	7411	3520
2011-07-21	BPN11304	Melding - endringsmelding	Navn på fiskerikyndig lagt inn	7486	3521
2011-07-21	GN1101	Status - satt av OD	Pågående	7450	3522
2011-07-20	BE1101	Melding - ukemelding	\N	7437	3523
2011-07-20	ST11455 Eirin	Status - satt av OD	Under behandling	7501	3524
2011-07-20	CVX1101	Melding - ukemelding	Total to date: CDP km 63081Boat km 2628Plan to shoot some infill and reshoot 2 lines for NATS survey. The second source vessel, Malene Ostervold, will arrive on site on the 21st, will reconfigure Oceanic Endeavour and begin WATS in coming week.	7420	3525
2011-07-20	MC3D-SVG11	Melding - endringsmelding	Endringsmeldingen gjelder skifte av fiskerikyndig den 3 August 2011.Den nye fiskerikyndige blir Hans-Kristian Augustinussen.	7378	3526
2011-07-20	MC3D-SVG11	Melding - endringsmelding	Endringsmeldingen gjelder skifte av fiskerikyndig den 3 August 2011.Den nye fiskerikyndige blir Hans-Kristian Augustinussen.	7378	3527
2011-07-20	MC2D-BS2011	Status - satt av OD	Under behandling	7500	3528
2011-07-20	ST11456 Dagny	Status - satt av OD	Under behandling	7499	3529
2011-07-20	MC3D-GES2011	Status - satt av OD	Planlagt	7493	3530
2011-07-20	CGGV1105	Status - satt av OD	Planlagt	7492	3531
2011-07-20	Hoop 11	Melding - ukemelding	\N	7424	3532
2011-07-20	Hoop 11	Melding - ukemelding	\N	7424	3533
2011-07-20	Hoop 11	Melding - ukemelding	\N	7424	3534
2011-07-20	SWB	Melding - endringsmelding	Endringsmelding gjelder utvidelse av netto og brutto områdene.	7421	3535
2011-07-12	MC3D-HVG2011	Melding - ukemelding	Ukemelding Uke 27.	7379	3611
2011-07-12	ST11008 SN	Melding - ukemelding	\N	7427	3612
2011-07-04	ST11305	Melding - ukemelding	\N	7403	3685
2011-07-04	ST11005	Melding - ukemelding	\N	7415	3686
2011-07-20	RD1102	Melding - endringsmelding	Utvidelse av området for undersøkelsen. Endret tid for gjennomføring av undersøkelsen.Fugro Survey AS håndterer prosessen med meldinger på vegne av RWE Dea Norge AS, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7461	3536
2011-07-19	GN1101	Melding - oppstartsmelding	Ved en feiltagelse ble det krysset nei for Innmarcat C ved den forrige oppstartsmeldingen. Båten har Innnmarcat C.Sender defor oppstartsmeldingen på ny.	7450	3537
2011-07-19	MC3D-SVG11	Melding - ukemelding	Ukemelding uke 28.	7378	3538
2011-07-19	MC3D-HVG2011	Melding - ukemelding	Ukemelding for uke 28.	7379	3539
2011-07-19	GN1101	Melding - endringsmelding	Endringen skyldes forsinket oppstart av GN1101 som følge av forsinkelser på foregående prosjekt. I tillegg vil det være 150 meter ekstra med kabel lengde pr kabel for å unngå for mye tid til rekonfigurering for GN1101 og for den påfølgende undersøkelsen.	7450	3540
2011-07-19	MNR11	Melding - endringsmelding	Endring av Fiskerikyndig	7389	3541
2011-07-19	ST11002	Melding - ukemelding	\N	7425	3542
2011-07-19	ST11008 SN	Melding - ukemelding	\N	7427	3543
2011-07-19	EMGS1102	Melding - sluttmelding	\N	7456	3544
2011-07-19	EOTW MC3D	Melding - endringsmelding	Sørenden av innsamlingsområdet er flytte til 61,41 N (fra 61,43) for å gi rom til 2 ekstra seil linjer/ south end of prospect moved to 61,41 N (from 61,43) to allow for 2 extra sail lines.	7468	3545
2011-07-19	EOTW MC3D	Melding - endringsmelding	Sørenden av innsamlingsområdet er flytte til 61,41 N (fra 61,43) for å gi rom til 2 ekstra seil linjer/ south end of prospect moved to 61,41 N (from 61,43) to allow for 2 extra sail lines.	7468	3546
2011-07-19	LO1101	Melding - ukemelding	\N	7394	3547
2011-07-18	MCG1102	Melding - ukemelding	\N	7426	3548
2011-07-18	CGGV1109	Status - satt av OD	Under behandling	7498	3549
2011-07-18	WG1101	Melding - ukemelding	Vessel on prospect in production.	7453	3550
2011-07-18	CGGV1108	Status - satt av OD	Under behandling	7497	3551
2011-07-18	LN11003	Status - satt av OD	Planlagt	7454	3552
2011-07-18	SWB	Melding - ukemelding	\N	7421	3553
2011-07-18	MNR11	Melding - ukemelding	\N	7389	3554
2011-07-18	NBR11	Melding - ukemelding	\N	7408	3555
2011-07-18	OMV11300	Melding - ukemelding	\N	7433	3556
2011-07-18	NPD-BA-11	Melding - ukemelding	\N	7464	3557
2011-07-18	NBR11	Melding - endringsmelding	Endring av Fiskerikyndig.	7408	3558
2011-07-18	bg1102	Melding - ukemelding	\N	7390	3559
2011-07-18	LO1101	Melding - ukemelding	\N	7394	3560
2011-07-18	ST11006	Melding - endringsmelding	Navn kontraktør.	7488	3561
2011-07-18	SS1101	Melding - ukemelding	\N	7431	3562
2011-07-18	ST11005	Melding - ukemelding	\N	7415	3563
2011-07-18	ST11312	Melding - ukemelding	\N	7462	3564
2011-07-15	SEN1101	Status - satt av OD	Pågående	7443	3565
2011-07-15	SEN1101	Melding - oppstartsmelding	Forventer å starte utlegg av utstyret i løpet av lørdag 16. juli	7443	3566
2011-07-15	CGGV1106	Status - satt av OD	Under behandling	7494	3567
2011-07-15	LN11003	Melding - endringsmelding	Gjelder følgebåt og supportbåt.Oppdatering av fiskerikyndig og mengder.	7454	3568
2011-07-14	MC3D-GES2011	Status - satt av OD	Under behandling	7493	3569
2011-07-14	LN11003	Melding - endringsmelding	Navn på fiskerikyndig.Mengder er oppdatert.Anløpshavn er oppdatert.Hovedfartøy har skiftet navn.	7454	3570
2011-07-14	NSR11 WOS	Melding - endringsmelding	gjelder forlengelse av tidsperioden til 2011-08-15	7422	3571
2011-07-14	CVX1101	Melding - endringsmelding	Mobilisation notification for the Malene Ostervoid, the second source vessel, to participate in the wide azimuth pilot test (WATS) which is part of this overall program. The Malene Ostervoid is scheduled to leave port in Bergen for the site area on Tuesday July 19	7420	3572
2011-07-14	CGGV1105	Status - satt av OD	Under behandling	7492	3573
2011-07-14	ST11312	Melding - oppstartsmelding	\N	7462	3574
2011-07-14	ST11312	Status - satt av OD	Pågående	7462	3575
2011-07-14	NSR11 WOS	Melding - ukemelding	\N	7422	3576
2011-07-14	NSR11 WOS	Melding - ukemelding	\N	7422	3577
2011-07-14	NSR11 WOS	Melding - ukemelding	\N	7422	3578
2011-07-14	NSR11 WOS	Melding - ukemelding	\N	7422	3579
2011-07-14	NSR11 WOS	Melding - ukemelding	\N	7422	3580
2011-07-14	NSR11 WOS	Melding - ukemelding	\N	7422	3581
2011-07-14	NSR11 WOS	Melding - endringsmelding	ny fiskerikyndig	7422	3582
2011-07-14	IPN1101	Status - satt av OD	Pågående	7460	3583
2011-07-13	CGGV1103	Status - satt av OD	Planlagt	7490	3584
2011-07-13	CGGV1104	Status - satt av OD	Planlagt	7491	3585
2011-07-13	CGGV1104	Status - satt av OD	Under behandling	7491	3586
2011-07-13	CGGV1103	Status - satt av OD	Under behandling	7490	3587
2011-07-13	BE1101	Melding - ukemelding	\N	7437	3588
2011-07-13	CVX1101	Melding - ukemelding	Total to date:CDP km 40999Boat km 170845% complete for NATS32% complete for NATS+WATSSecond source vessel Malene Ostervoid will mobilize from Bergen on 19th for WATS acquisition	7420	3589
2011-07-13	ST11006	Status - satt av OD	Planlagt	7488	3590
2011-07-13	SS1101	Melding - endringsmelding	The enclosed UKOOA file is applicable for the “Endringmelding” issued 4th July 2011.	7431	3591
2011-07-13	MNR11	Melding - endringsmelding	Forlengelse av fiskerikyndig.	7389	3592
2011-07-13	BPN11304	Status - satt av OD	Planlagt	7486	3593
2011-07-13	LO1102	Melding - endringsmelding	Fiskerikyndig lagt til.	7463	3594
2011-07-13	MC3D-SVG11	Melding - ukemelding	Ukemelding	7378	3595
2011-07-13	BPN11304	Melding - endringsmelding	innsamlingsområde endret, tielinje til brønnene 6507/2-4 og 6507/3-1 er lagt inn	7486	3596
2011-07-13	EMGS1102	Melding - sluttmelding	\N	7456	3597
2011-07-13	MC2D-AMG2011	Melding - sluttmelding	Sluttmelding	7438	3598
2011-07-13	MC2D-AMG2011	Melding - ukemelding	Ukemelding uke 27	7438	3599
2011-07-13	EMGS1102	Status - satt av OD	Ferdig	7456	3600
2011-07-13	MC2D-AMG2011	Status - satt av OD	Ferdig	7438	3601
2011-07-12	SH1105	Status - satt av OD	Planlagt	7481	3602
2011-07-12	SH1106	Status - satt av OD	Planlagt	7487	3603
2011-07-12	EOTW MC3D	Melding - ukemelding	\N	7468	3604
2011-07-12	IPN1101	Melding - oppstartsmelding	\N	7460	3605
2011-07-12	MC2D-AMG2011	Status - satt av OD	Pågående	7438	3606
2011-07-12	MCG1101	Melding - oppstartsmelding	Oppdatert oppstartsmelding - var feil i den som ble sendt 10.7.2011.	7419	3607
2011-07-12	MCG1101	Melding - oppstartsmelding	\N	7419	3608
2011-07-12	SBX1101	Status - satt av OD	Planlagt	7473	3609
2011-07-12	WG1101	Melding - ukemelding	Geco Eagle arrived in survey area and began production on 10 July 2011Geco Eagle ankom i undersøkelsen området og startet produksjon i 10 juli 2011	7453	3613
2011-07-11	NPD-BA-11	Melding - ukemelding	\N	7464	3614
2011-07-11	SWB	Melding - ukemelding	\N	7421	3615
2011-07-11	MNR11	Melding - ukemelding	\N	7389	3616
2011-07-11	NBR11	Melding - ukemelding	\N	7408	3617
2011-07-11	ST11002	Melding - ukemelding	Morten Handegaard følger opp denne undersøkelsen.	7425	3618
2011-07-11	SWB	Melding - endringsmelding	Endring av Fiskerikyndig.	7421	3619
2011-07-11	MAE11301	Melding - endringsmelding	Forsinket ankomst til området samt marginalt vær gjør at undersøkelsen vil bli forlenget inntil 22 juli. Tidsdeling med PGS og mulig havneanløp for å hente CPT utstyr vil også spille inn.	7434	3620
2011-07-11	MAE11301	Melding - ukemelding	Fugro Galaxy ankom området den 8 juli, fire dager etter opprinnelig plan.	7434	3621
2011-07-11	OMV11300	Melding - ukemelding	\N	7433	3622
2011-07-11	EMGS1102	Melding - ukemelding	\N	7456	3623
2011-07-11	ST11005	Melding - ukemelding	\N	7415	3624
2011-07-11	LO1101	Melding - ukemelding	\N	7394	3625
2011-07-11	SS1101	Melding - ukemelding	Crew change was made on July 7th	7431	3626
2011-07-11	BPN11303	Status - satt av OD	Planlagt	7485	3627
2011-07-11	ST11006	Status - satt av OD	Under behandling	7488	3628
2011-07-11	ST11303	Melding - endringsmelding	Endring består at vi prøver å få dekket to områder innen for undersøkelsen noe med et tettere grid. Det med fører noe mer kilometer seismikk, pluss at vi tar høide for noe mer seismikk til  avlastingsbrønner. Derfor er områdets størrelse justert noe.	7474	3629
2011-07-11	bg1102	Melding - ukemelding	\N	7390	3630
2011-07-11	BG1104	Melding - endringsmelding	The survey has been extended due to poor weather conditions and operational issues with the vessel	7409	3631
2011-07-11	MCG1101	Status - satt av OD	Pågående	7419	3632
2011-07-08	ST11305	Melding - sluttmelding	\N	7403	3633
2011-07-08	ST11305	Status - satt av OD	Ferdig	7403	3634
2011-07-08	SH1106	Status - satt av OD	Under behandling	7487	3635
2011-07-08	ST11015	Status - satt av OD	Planlagt	7472	3636
2011-07-08	WG1101	Status - satt av OD	Pågående	7453	3637
2011-07-07	NPD-BA-11	Melding - oppstartsmelding	\N	7464	3638
2011-07-07	NPD-BA-11	Melding - oppstartsmelding	\N	7464	3639
2011-07-07	NPD-JM-11	Melding - sluttmelding	\N	7430	3640
2011-07-07	NPD-BA-11	Melding - oppstartsmelding	\N	7464	3641
2011-07-07	CVX1101	Melding - ukemelding	First production shot 22:21 30th June. Sea conditions generally good with swells 1-2 meters height. Two Russian trawlers tuna fishing in area; in good communication, generally keeping out of the way	7420	3642
2011-07-07	MCG1101	Melding - endringsmelding	Det gjelder en forespørselom å utvide undersøkelsen til områder nylig åpnet som: Stortinget Vedtak 630 Melding St. 10 (2010–2011) – om oppdatering av forvaltningsplanen for det marine miljø i Barentshavet og havområdeneutenfor Lofoten.	7419	3643
2011-07-07	ST11008 SN	Melding - endringsmelding	Oppdatering av følge fartøy	7427	3644
2011-07-07	DN1106	Status - satt av OD	Planlagt	7483	3645
2011-07-07	DN1107	Status - satt av OD	Planlagt	7482	3646
2011-07-07	NPD-BA-11	Status - satt av OD	Pågående	7464	3647
2011-07-06	LO1102	Status - satt av OD	Planlagt	7463	3648
2011-07-06	WG1101	Status - satt av OD	Planlagt	7453	3649
2011-07-06	WG1101	Melding - oppstartsmelding	Vessel Geco Eagle is in transit to the survey area. It will arrive and begin deploying equipment on 8 July. We hope to start work on 10 July.Skipet er i transitt til undersøkelsen området. Det vil komme og begynne distribusjon utstyr 8. juli. Vi håper å starte arbeidet med 10. juli.	7453	3650
2011-07-06	WG1101	Status - satt av OD	Pågående	7453	3651
2011-07-06	ST11007 Grane 4D	Status - satt av OD	Planlagt	7466	3652
2011-07-06	NPD-BA-11	Status - satt av OD	Planlagt	7464	3653
2011-07-06	BE1101	Melding - oppstartsmelding	\N	7437	3654
2011-07-06	NPD-BA-11	Status - satt av OD	Pågående	7464	3655
2011-07-06	BE1101	Status - satt av OD	Pågående	7437	3656
2011-07-06	BE1101	Melding - oppstartsmelding	\N	7437	3657
2011-07-06	NPD-JM-11	Status - satt av OD	Ferdig	7430	3658
2011-07-05	ST11012-Lupin West	Status - satt av OD	Planlagt	7467	3659
2011-07-05	FPN1101	Status - satt av OD	Planlagt	7465	3660
2011-07-05	ST11303	Status - satt av OD	Planlagt	7474	3661
2011-07-05	TE1102	Status - satt av OD	Planlagt	7476	3662
2011-07-05	BPN11304	Status - satt av OD	Under behandling	7486	3663
2011-07-05	MC3D-NVG11	Melding - sluttmelding	\N	7377	3664
2011-07-05	MC3D-NVG11	Melding - ukemelding	Ukkemelding uke 26.	7377	3665
2011-07-05	NO1101	Melding - endringsmelding	Endring av tidsrom då fartøyet ikkje vart ferdig med pågående jobber i UK. Må rekne med at det kan komme endring av fartøy seinere når me får avklart situasjonen.Sannsynlig oppstart er nå ca. 1.september.	7432	3666
2011-07-05	OMV11300	Melding - endringsmelding	Oppdatert cdp- og båtkilometer.CDP km = digital acquisition Boat km = Analogue acquisition	7433	3667
2011-07-05	NBR11	Melding - endringsmelding	Endringsmelding: Viser til Stortingsmelding nr 10 i år, hvor områdene i Barentshavet er vedtatt åpnet. Endringen gjelder utvidelse av området etter åpning av Eggakanten og kystbeltet inn mot land.	7408	3668
2011-07-05	ST11008 SN	Melding - ukemelding	\N	7427	3669
2011-07-05	OMV11300	Melding - ukemelding	\N	7433	3670
2011-07-05	bg1102	Melding - ukemelding	\N	7390	3671
2011-07-05	BPN11303	Status - satt av OD	Under behandling	7485	3672
2011-07-05	EOTW MC3D	Melding - oppstartsmelding	\N	7468	3673
2011-07-05	EOTW MC3D	Status - satt av OD	Pågående	7468	3674
2011-07-04	NPD-BA-11	Status - satt av OD	Planlagt	7464	3675
2011-07-04	NPD-BA-11	Status - satt av OD	Planlagt	7464	3676
2011-07-04	EMGS1102	Melding - ukemelding	\N	7456	3677
2011-07-04	NSR11 WOS	Melding - endringsmelding	7 nye linjer legges til	7422	3678
2011-07-04	SS1101	Melding - endringsmelding	Alteration to survey area to now include area opened in marine protection area	7431	3679
2011-07-04	SS1101	Melding - endringsmelding	Alteration to survey area to now include area opened in marine protection area	7431	3680
2011-07-04	ST11307	Status - satt av OD	Ferdig	7399	3681
2011-07-04	NSR11 WOS	Melding - endringsmelding	7 nye linjer legges til	7422	3682
2011-07-04	MCG1102	Melding - ukemelding	\N	7426	3683
2011-07-04	ST11307	Melding - sluttmelding	\N	7399	3684
2011-07-04	SWB	Melding - ukemelding	\N	7421	3687
2011-07-04	ST11001	Melding - sluttmelding	Western Regent er nå på vei til Brage feltet hvor den vil starte opp en 4D survey over helgen.	7382	3691
2011-07-04	DN1105	Status - satt av OD	Planlagt	7480	3692
2011-07-04	ST11002	Melding - oppstartsmelding	\N	7425	3693
2011-07-04	SS1101	Melding - ukemelding	Crew change at Kirkenes from July 4th	7431	3694
2011-07-04	NPD-JM-11	Melding - ukemelding	\N	7430	3695
2011-07-04	ST11005	Melding - endringsmelding	Denne endringsmeldig gjelder følgende:- Skifte av Fiskerikyndige i forbindelse med mannskapsskifte 6 juli.- PGS vil erstsatte følgebåten Sanco Sea med følgebåten Thor Server for en kortere periode.	7415	3696
2011-07-04	ST11001	Status - satt av OD	Ferdig	7382	3697
2011-07-04	ST11002	Status - satt av OD	Pågående	7425	3698
2011-07-01	OMV11300	Melding - oppstartsmelding	\N	7433	3699
2011-07-01	CVX1101	Melding - ukemelding	Main vessel Oceanic Endeavour left port 21st Jun, transited to survey area and began deploying cables and guns. Telemetry problems with several cables required change-outs of section, delaying first production shot. Full deployment on 30th Jun, shot 10 km of test lines, and then began production acquisition at 22:21 30th of Jun.	7420	3700
2011-07-01	CP11101	Status - satt av OD	Under behandling	7484	3701
2011-07-01	LN11003	Melding - endringsmelding	Endringsmeldingen gjelder forandring i tidsrom for undersøkelsen.	7454	3702
2011-07-01	DN1106	Status - satt av OD	Under behandling	7483	3703
2011-07-01	IPN1101	Status - satt av OD	Planlagt	7460	3704
2011-07-01	DN1107	Status - satt av OD	Under behandling	7482	3705
2011-06-30	OMV11300	Melding - endringsmelding	Endring av tidsrom	7433	3706
2011-06-30	OMV11300	Melding - oppstartsmelding	\N	7433	3707
2011-06-30	OMV11300	Status - satt av OD	Pågående	7433	3708
2011-06-30	WG1101	Melding - endringsmelding	Fisheries Liaison Officer name and contact details added. Fiskeri Liaison Officer navn og kontaktinformasjon lagt til.	7453	3709
2011-06-30	MAE11301	Status - satt av OD	Pågående	7434	3710
2011-06-30	ST11008 SN	Melding - endringsmelding	Skifte av fiskerikyndig fra 02.07.11	7427	3711
2011-06-30	SH1105	Status - satt av OD	Under behandling	7481	3712
2011-06-29	MAE11301	Melding - oppstartsmelding	Dette er oppstartsmelding for MAE11301. Fiskerikyndig er spesifisert.	7434	3713
2011-06-29	MCG1102	Melding - endringsmelding	Dette er en egen endring fra Endringsmelding MCG 1102-17-06-2011 og bekymringer en forespørsel om å utvide undersøkelsen til områder nylig åpnet som:Stortinget Vedtak 630Melding St. 10 (2010–2011) – om oppdatering av forvaltningsplanen for det marine miljø i Barentshavet og havområdene utenfor Lofoten – vedlegges protokollen.	7426	3714
2011-06-29	Hoop 11	Melding - ukemelding	\N	7424	3715
2011-06-28	ST11305	Melding - endringsmelding	Skifte av fiskerikyndig	7403	3716
2011-06-28	ST11307	Melding - endringsmelding	Skifte av fiskerikyndig	7399	3717
2011-06-28	RD1102	Status - satt av OD	Planlagt	7461	3718
2011-06-28	DN1105	Status - satt av OD	Under behandling	7480	3719
2011-06-28	MC3D-SVG11	Status - satt av OD	Pågående	7378	3720
2011-06-28	ST11305	Melding - endringsmelding	Vi søker om en forlenget tidsperiode for innsamlingen, i tilfelle det skulle behøves. Vi håper ikke det, men det er annen innsamling i området, og været kan også hindre oss. Vi har bedt om 13 dager forlengelse.	7403	3721
2011-06-28	ST11011	Melding - sluttmelding	Western Regent har nå gått tilbake til Heidrun (ST11001) for å skyte de resterende linjene der.	7423	3722
2011-06-28	ST11011	Status - satt av OD	Ferdig	7423	3723
2011-06-27	MC3D-SVG11	Melding - endringsmelding	Endringsmeldingen gjelder oppstart av surveyen igjen den 1 Juli og endring av fiskerikyndig til Perry Urkedal og endring av båt til M/V Atlantic Explorer.	7378	3724
2011-06-27	MCG1102	Melding - ukemelding	\N	7426	3725
2011-06-27	MC3D-HVG2011	Melding - ukemelding	Uke melding for uke 25	7379	3726
2011-06-27	MC3D-NVG11	Melding - ukemelding	Uke melding for uke 25	7377	3727
2011-06-27	ST11305	Melding - ukemelding	\N	7403	3728
2011-06-27	ST11307	Melding - ukemelding	\N	7399	3729
2011-06-27	NBR11	Melding - ukemelding	\N	7408	3730
2011-06-27	MNR11	Melding - ukemelding	\N	7389	3731
2011-06-27	ST11304	Status - satt av OD	Ferdig	7401	3732
2011-06-27	ST11304	Melding - sluttmelding	\N	7401	3733
2011-06-27	bg1102	Melding - ukemelding	\N	7390	3734
2011-06-27	NPD-JM-11	Melding - oppstartsmelding	\N	7430	3735
2011-06-27	ST11005	Melding - ukemelding	\N	7415	3736
2011-06-27	ST11008 SN	Melding - ukemelding	Morten Handegaard vil følge opp denne undersøkelsen fremover.	7427	3737
2011-06-27	SS1101	Melding - ukemelding	Shooting approval extended until August 31st	7431	3738
2011-06-27	SWB	Melding - ukemelding	\N	7421	3739
2011-06-27	LO1101	Melding - ukemelding	\N	7394	3740
2011-06-27	TE1102	Status - satt av OD	Under behandling	7476	3741
2011-06-27	IPN1101	Melding - endringsmelding	Endringen gjelder navn på to fiskerikyndige samt kommentarer relatert til fiske i dette området: Idemitsu Petroleum Norge (IPN) tar sikte på å minimalisere konflikt mellom makrellfiske og seismisk innsamling.Vår plan er å starte så tidlig som mulig for å samle inn så mye data som mulig i Juli måned. IPN vil samle inn de viktige dataene i det nordlige området (PL270) så tidlig som mulig i innsamlingsfasen.Dersom interessekonflikt mellom makrellfiskere og seismisk innsamling oppstår i PL270 etter første August, vil IPN forsøke å begrense innsamlingen til sørlige del av innsamlingsområdet (PL578). Dette vil være for å tilpasse seg fiskeriinteresser i det nordlige området. IPN har engasjert to fiskerikyndige om bord på det seismiske fartøyet. IPN vil også leie inn et ekstra hjelpefartøy.	7460	3742
2011-06-27	SEN1101	Melding - endringsmelding	Denne endringsmeldingen gjelder ny oppstartsdato samt nytt fartøy. På grunn av tekniske problemer er Ocean Phoenix blitt forsinket i sitt program. For ikke å komme i konflikt med økende fiske aktivitet utover sensommer/høsten har Spring Energy valgt å inngå kontrakt med Polarcus Alima som har mulighet til å starte innsamling i juli.I samarbeid med Polarcus og våre fiskerikyndige har vi lagt opp til å gjennomføre innsamlingen i henhold til følgende plan:a) Juli - samle inn det sydligste området først (syd for 63grad 32N).b) August – den nordlige del av det omsøkte området (nord for63grad 32N )Vi vil benytte to fiskerikyndige ombord hovedfartøyet.	7443	3743
2011-06-27	EMGS1102	Melding - oppstartsmelding	\N	7456	3744
2011-06-27	EMGS1102	Status - satt av OD	Pågående	7456	3745
2011-06-27	EOTW MC3D	Status - satt av OD	Planlagt	7468	3746
2011-06-27	CVX1101	Status - satt av OD	Pågående	7420	3747
2011-06-24	DN1102	Melding - sluttmelding	\N	7393	3748
2011-06-24	DN1102	Status - satt av OD	Ferdig	7393	3749
2011-06-24	EMGS1102	Melding - endringsmelding	Statoil ASA overtar opperatøransvaret for denne undersøkelsen.	7456	3750
2011-06-24	ST11303	Status - satt av OD	Under behandling	7474	3751
2011-06-24	MBT1b	Status - satt av OD	Pågående	7395	3752
2011-06-23	MC2D-AMG2011	Melding - endringsmelding	Endringsmelding.Søknad om utvidelse av tidsrommet for skytetillatelsen til 20 Juli.Endring av fiskerikyndig til Hans-Kristian Augustinussen.	7438	3753
2011-06-23	ST11312	Status - satt av OD	Planlagt	7462	3754
2011-06-23	ST11312	Melding - endringsmelding	Endringene består av;Det var usikkerhet rundt lokasjonen som gjør at vi sender endringsmelding, på ny lokasjon. Ny antatt oppstarts dato.	7462	3755
2011-06-23	SBX1101	Status - satt av OD	Under behandling	7473	3756
2011-06-22	CVX1101	Melding - oppstartsmelding	The following information has been updated:• Date when data collection begins: 27 June 2011• Call Sign for Mare Verde: HO4735• Port of Departure for Oceanic Endeavour and Mare Verde vessels :  Hanøytangen• Confirmation that Oceanic Endeavour and Malene Ostervoid have Immarsat-C on board• Start and end date for Fishery Representative: 21 June 2011 to 22 September 2011Note: The Malene Ostervoid will not be part of the initial acquisition but is expected to depart Bergen for the survey area 19 July 2011 to take part in the wide azimuth pilot test as the second source vessel for this part of the acquisition program.	7420	3757
2011-06-22	BE1101	Melding - endringsmelding	Enringer gjelder: Ny oppstartdato og forlenget periode for innsamling.  Antall CDP km økt . Fugro Survey AS håndterer prosessen med meldinger på vegne av Bridge Energy , derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7437	3758
2011-06-22	CP11L02	Status - satt av OD	Ferdig	7412	3759
2011-06-22	CP11L02	Melding - sluttmelding	\N	7412	3760
2011-06-22	DN1102	Melding - ukemelding	\N	7393	3761
2011-06-21	MC3D-HVG2011	Melding - ukemelding	Ukemelding uke 24.	7379	3762
2011-06-21	MC3D-NVG11	Melding - ukemelding	Ukemelding uke 24.	7377	3763
2011-06-21	MCG1102	Melding - ukemelding	\N	7426	3764
2011-06-21	ST11011	Melding - ukemelding	\N	7423	3765
2011-06-21	bg1102	Melding - ukemelding	\N	7390	3766
2011-06-21	SS1101	Melding - endringsmelding	Endringsmelding:Advice about new company contact name (beign changed from Odd Arne Larsen to Ian Hay).	7431	3767
2011-06-21	ST11015	Status - satt av OD	Under behandling	7472	3768
2011-06-21	CP11L02	Melding - ukemelding	\N	7412	3769
2011-06-20	MBT1b	Melding - endringsmelding	Vi planlegger å starte opp igjen undersøkelsen, estimert oppstart 26.juni. Det blir bytte av fartøy til Geo Pacific og ny fiskerikyndig.	7395	3770
2011-06-20	ST11005	Melding - ukemelding	\N	7415	3771
2011-06-20	ST11307	Melding - ukemelding	\N	7399	3772
2011-06-20	ST11305	Melding - ukemelding	\N	7403	3773
2011-06-20	LO1101	Melding - ukemelding	\N	7394	3774
2011-06-20	ST11304	Melding - ukemelding	\N	7401	3775
2011-06-20	NBR11	Melding - ukemelding	\N	7408	3776
2011-06-20	SWB	Melding - ukemelding	\N	7421	3777
2011-06-20	MNR11	Melding - ukemelding	\N	7389	3778
2011-06-20	LO1101	Melding - endringsmelding	Ref. OD 11/585- /WeS 05.04.2011: Endringsmeldingen gjelder utvidet innsamlingsperiode som forventes å pågå til slutten av august, samt ny fiskerikyndig.	7394	3779
2011-06-20	LO1101	Melding - endringsmelding	Ref. OD 11/585- /WeS 05.04.2011: Endringsmeldingen gjelder utvidet innsamlingsperiode som forventes å pågå til slutten av august, samt ny fiskerikyndig.	7394	3780
2011-06-20	DN1102	Melding - endringsmelding	Tidsrom for undersøkelsen ønskes forlenget fordi en seismisk undersøkelse ( 3D) på engelsk sektor forsinker fremdrift.           Fugro Survey AS håndterer prosessen med meldinger på vegne av Detnorske, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7393	3781
2011-06-20	NPD-MB-11	Melding - oppstartsmelding	\N	7451	3782
2011-06-20	SS1101	Melding - ukemelding	\N	7431	3783
2011-06-20	NPD-JM-11	Status - satt av OD	Pågående	7430	3784
2011-06-20	NPD-MB-11	Status - satt av OD	Ferdig	7451	3785
2011-06-17	BG1104	Melding - oppstartsmelding	Oppstart forsinket pa grunn av darlig vaer.Fiskerrep navnene er lagt til.	7409	3786
2011-06-17	BG1104	Status - satt av OD	Pågående	7409	3787
2011-06-17	MCG1102	Melding - endringsmelding	Utvidelse av tillate varighet til 31.08.2011	7426	3788
2011-06-17	EMGS1102	Melding - endringsmelding	Denne endringsmeldingen gjelder en forandring av området. Denne forandringen kommer fordi vi har et lite vindu på 2-3 uker før Guardian går over Atlanteren. Dette er siste sjanse til å gjøre EM på norsk sokkel i år, og Statoil har ønsker å bruke denne muligheten til å kartlegge grundigere PL532. Det vil ikke være andre muligheter før tidligst 2012.Denne forandringen kommer på svært kort varsel. Dette er dels fordi interessen for det opprinnelige området ikke meldte seg og vi fikk beskjed fra statoil først denne uken at de ønsker å se grundigere på PL532.	7456	3789
2011-06-17	GN1101	Melding - endringsmelding	Endringsmeldingen gjelder endring av fiskerikyndig, endring av oppstarts dato og reduksjon av datamengde. I datamengde har vi lagt til grunn båt km og CDP km uten run-outs.	7450	3790
2011-06-17	CE1101	Melding - sluttmelding	The site survey has been completed and the Fugro Meridian demobilised in Bergen on 14/06/2011.	7407	3791
2011-06-17	CE1101	Status - satt av OD	Ferdig	7407	3792
2011-06-17	CE1101	Melding - sluttmelding	The site survey has been completed and the Fugro Meridian demobilised in Bergen on 14/06/2011.	7407	3793
2011-06-16	WG1101	Melding - endringsmelding	Change of survey outline.Endring av undersøkelsen disposisjon.New start date.Ny startdatoChange of source size.Endring av kilden størrelseChange of cable length.Endring av kabellengde	7453	3794
2011-06-15	EOTW MC3D	Status - satt av OD	Under behandling	7468	3795
2011-06-15	ST11012-Lupin West	Status - satt av OD	Under behandling	7467	3796
2011-06-15	EMGS1102	Status - satt av OD	Planlagt	7456	3797
2011-06-15	ST11307	Status - satt av OD	Pågående	7399	3798
2011-06-15	ST11307	Melding - oppstartsmelding	Siden det er mye aktivitet i ST11305 området rundt Blokk 7220/7, har vi besluttet å gå til Blokkene 7125/4 og 5 og vente noe med fortsettelsen av ST11305 undersøkelsen.	7399	3799
2011-06-15	LO1101	Melding - ukemelding	\N	7394	3800
2011-06-15	CP11L02	Melding - ukemelding	\N	7412	3801
2011-06-15	ST11011	Status - satt av OD	Pågående	7423	3802
2011-06-15	ST11011	Melding - ukemelding	\N	7423	3803
2011-06-15	ST11011	Melding - endringsmelding	Meldingen gjelder skifte av fiskeri kyndige.	7423	3804
2011-06-15	OMV11300	Melding - endringsmelding	Egil Kongshaug er nå satt som fiskerikyndig	7433	3805
2011-06-15	MC2D-AMG2011	Status - satt av OD	Pause	7438	3806
2011-06-14	MC3D-HVG2011	Melding - ukemelding	Ukemelding for uke 23.	7379	3807
2011-06-14	MC3D-NVG11	Melding - ukemelding	Ukemelding for uke 23.	7377	3808
2011-06-14	LN11306	Status - satt av OD	Planlagt	7448	3809
2011-06-14	ST11007 Grane 4D	Status - satt av OD	Under behandling	7466	3810
2011-06-14	ST11005	Melding - ukemelding	Det er blitt nye forasndringer ang følgebåt. M/V North Star som overtok etter Sanco Sea skulle etter planen bare være noen få dager mens M/V Sanco Sea var til reparasjon. Det viser seg at reparasjonen av Sanco Sea tar lenger tid enn først planlagt og Sanco Sea vil ikke komme tilbake før ca 19 Juni. M/V Marianne G vil fra i dag erstatt M/V North Star som følgebåt inntil M/V Sanco Sea er tilbake. M/V Marianne G er tidligere meldt som aktuell følgebåt.	7415	3811
2011-06-14	bg1102	Melding - ukemelding	\N	7390	3812
2011-06-14	ST11009	Status - satt av OD	Ferdig	7410	3813
2011-06-14	ST11009	Melding - sluttmelding	\N	7410	3814
2011-06-14	ST11305	Status - satt av OD	Pågående	7403	3815
2011-06-14	ST11305	Melding - oppstartsmelding	\N	7403	3816
2011-06-14	SWB	Melding - ukemelding	\N	7421	3817
2011-06-14	MNR11	Melding - ukemelding	\N	7389	3818
2011-06-14	NBR11	Melding - ukemelding	\N	7408	3819
2011-06-14	ST11304	Melding - ukemelding	\N	7401	3820
2011-06-14	MCG1102	Melding - ukemelding	\N	7426	3821
2011-06-14	EMGS1101	Melding - ukemelding	\N	7417	3822
2011-06-14	SS1101	Melding - ukemelding	\N	7431	3823
2011-06-14	CE1101	Melding - ukemelding	\N	7407	3824
2011-06-14	DN1102	Status - satt av OD	Pågående	7393	3825
2011-06-14	DN1102	Melding - oppstartsmelding	\N	7393	3826
2011-06-14	ST11464 TPC34	Status - satt av OD	Ferdig	7458	3827
2011-06-14	ST11464 TPC34	Melding - sluttmelding	\N	7458	3828
2011-06-14	ST11008 SN	Status - satt av OD	Pågående	7427	3829
2011-06-14	ST11008 SN	Melding - oppstartsmelding	Antatt start utlegg av utstyr i vannet på søndag 12.06.11.Ny følgebåt.	7427	3830
2011-06-10	FPN1101	Status - satt av OD	Under behandling	7465	3831
2011-06-10	LN11307	Status - satt av OD	Planlagt	7447	3832
2011-06-10	WG1101	Status - satt av OD	Planlagt	7453	3833
2011-06-10	RS1101	Status - satt av OD	Ferdig	7398	3834
2011-06-10	RS1101	Melding - sluttmelding	\N	7398	3835
2011-06-10	MAE11301	Melding - endringsmelding	Av operasjonelle forsinkelser utenfor Maersk Oil Norways kontroll er borestedsundersøkelsen MAE11301 utsatt.Forventet oppstart er nå ca 3. juli.	7434	3836
2011-06-10	ST11464 TPC34	Status - satt av OD	Pågående	7458	3837
2011-06-10	SWB	Melding - oppstartsmelding	\N	7421	3838
2011-06-10	ST11464 TPC34	Melding - oppstartsmelding	\N	7458	3839
2011-06-09	NPD-BA-11	Status - satt av OD	Under behandling	7464	3840
2011-06-09	ST11463	Status - satt av OD	Ferdig	7449	3841
2011-06-09	ST11463	Melding - sluttmelding	\N	7449	3842
2011-06-08	ST11005	Melding - endringsmelding	Denne endringsmelding gjelder midlertidig skifte av følgebåt. Følgebåten M/V Sanco Sea som PGS nå briuker vil i dag onsdag 8. juni gå inn til Bergen for reparasjon. Som erstatningsfølgebåt kommer M/V Marja som vil være følgebåt fra i dag inntil i morgen torsdag 9 juni hvor M/V North Star vil overta som følgebåt inntil Sanco Sea er tilbake fra reparasjon. Sanco Sea vil sannsynligvis være tilbake fra reparasjon og være følgebåt fra ca lørdag 11. juni.	7415	3843
2011-06-08	MC2D-AMG2011	Melding - ukemelding	UKe22	7438	3844
2011-06-08	MC3D-NVG11	Melding - ukemelding	Uke 22	7377	3845
2011-06-08	SS1101	Melding - endringsmelding	Endringsmelding:9 linjer er foranderet slik at disse nå tier med griddet i NV. Total km planlagt innsamlet er redusert fra 16771km til 14192km.	7431	3846
2011-06-07	CP11L02	Melding - ukemelding	\N	7412	3847
2011-06-07	CE1101	Melding - endringsmelding	Due to prolonged periods of poor weather the survey progress has been very slow and it is now unlikely the Fugro Meridian will be able to complete by the 10th June.  We have approximately 4 days of work remaining (1 day of seismic and 3 days of environmental and CPT).  Based on the current forecast,we expect to complete the seismic within the next few days.	7407	3848
2011-06-07	LO1102	Status - satt av OD	Under behandling	7463	3849
2011-06-07	LN11002	Status - satt av OD	Planlagt	7455	3850
2011-06-07	SWB	Status - satt av OD	Pågående	7421	3851
2011-06-07	ST11001	Melding - endringsmelding	Endringen gjelder ferdig dato.Som meldt i ukemelding er denne undersøkelsen midlitidig stanset pga en rigg i området som gjør at vi ikke får samlet inn de siste 6 linjene. Disse vil bli samlet inn etter at ST11011 er ferdig.	7382	3852
2011-06-06	ST11011	Melding - ukemelding	Western Regen ankom området 2 juni, men ennå ingen produksjon pga dårlig vær.	7423	3853
2011-06-06	ST11001	Melding - ukemelding	På grunn av en rigg i innsamlingsområdet har vi ikke fått samlet inn 6 linjer av denne undersøklesen. Western Regent har gått til ST11011 ved Norne og etter at denne undersøklesen er samlet inn, vil skipet gå tilbake til Heidrun ST11001 og skyte de manglende linjene.	7382	3854
2011-06-06	LO1101	Melding - ukemelding	\N	7394	3855
2011-06-06	CE1101	Melding - ukemelding	\N	7407	3856
2011-06-06	ST11005	Melding - ukemelding	\N	7415	3857
2011-06-06	ST11312	Status - satt av OD	Under behandling	7462	3858
2011-06-06	SS1101	Melding - ukemelding	\N	7431	3859
2011-06-06	TE1101	Status - satt av OD	Ferdig	7405	3860
2011-06-06	TE1101	Melding - sluttmelding	\N	7405	3861
2011-06-06	TE1101	Melding - ukemelding	\N	7405	3862
2011-06-06	ST11304	Melding - ukemelding	\N	7401	3863
2011-06-06	BPN0301_14	Status - satt av OD	Planlagt	7459	3864
2011-06-06	MNR11	Melding - ukemelding	\N	7389	3865
2011-06-06	NBR11	Melding - ukemelding	\N	7408	3866
2011-06-06	ST11009	Melding - ukemelding	\N	7410	3867
2011-06-06	MCG1102	Melding - ukemelding	\N	7426	3868
2011-06-06	bg1102	Melding - ukemelding	\N	7390	3869
2011-06-06	LN11001	Status - satt av OD	Ferdig	7428	3870
2011-06-06	LN11001	Melding - sluttmelding	\N	7428	3871
2011-06-06	RPS 1101	Status - satt av OD	Ferdig	7440	3872
2011-06-06	RPS 1101	Melding - sluttmelding	\N	7440	3873
2011-06-06	ST11463	Status - satt av OD	Pågående	7449	3874
2011-06-06	ST11463	Melding - oppstartsmelding	\N	7449	3875
2011-06-06	EMGS1101	Status - satt av OD	Pågående	7417	3876
2011-06-06	EMGS1101	Melding - oppstartsmelding	\N	7417	3877
2011-06-06	RD1102	Status - satt av OD	Under behandling	7461	3878
2011-06-06	NPD-JM-11	Status - satt av OD	Planlagt	7430	3879
2011-06-03	SWB	Melding - endringsmelding	Endringen gjelder innsamling av elektromagnetiske data. Vi ønsker å samle inn EM data i tillegg til 3D seismikk. Dette vil skje innenfor samme område og tidsperiode som vi tidligere har  fått tillatelse for. Det blir ingen ekstra fartøy, men andre sensorer (12 OBS noder) i tillegg til det vi bruker ved 3D seismisk innsamling.	7421	3880
2011-06-03	MCG1101	Melding - endringsmelding	endring av tidsrom og endring av båt.	7419	3881
2011-06-01	bg1102	Melding - endringsmelding	Tillatelse forlengelse forespørsel:På grunn av dårlig vær og tekniske problemer, vil BG1102 undersøkelsen ikke være ferdig før 22. juni. Derfor, ber BG Norge om en forlengelse av tillatelsen til 15 August 2011.	7390	3882
2011-06-01	bg1102	Melding - endringsmelding	Tillatelse forlengelse forespørsel:På grunn av dårlig vær og tekniske problemer, vil BG1102 undersøkelsen ikke være ferdig før 22. juni. Derfor, ber BG Norge om en forlengelse av tillatelsen til 15 August 2011.	7390	3883
2011-06-01	ST11464 TPC34	Melding - endringsmelding	Endringsmelding gjelder tidligere oppstart av undersøkelse p.g.a. kansellering av andre undersøkelser som resulterer i tidligere oppstart av TPC34 (Troll Power Cable) undersøkelse. Oppstart er ønsket flyttet fra 14 til 8 juni.	7458	3884
2011-06-01	EMGS1101	Melding - endringsmelding	Endring av slutt datoen fra 16. juni til 1. july på grunn av forskinkelse med en survey som foregår nå med Atlantic Guardian.	7417	3885
2011-06-01	bg1102	Melding - endringsmelding	Inkludert ekstra detaljer om to annet fartøy.	7390	3886
2011-06-01	IPN1101	Status - satt av OD	Under behandling	7460	3887
2011-06-01	SS1101	Melding - endringsmelding	Endringsmelding: Gross survey område utvides med 14% mot NV med et seismisk gridd av 3121km som i dette området er lagt til surveyet.	7431	3888
2011-06-01	LN11001	Melding - ukemelding	\N	7428	3889
2011-06-01	bg1102	Melding - ukemelding	\N	7390	3890
2011-06-01	bg1102	Melding - ukemelding	\N	7390	3891
2011-06-01	bg1102	Melding - ukemelding	\N	7390	3892
2011-05-31	ST11011	Melding - endringsmelding	Fanen Tidsrom og mengder er oppdatert.	7423	3893
2011-05-31	MC2D-AMG2011	Melding - ukemelding	UKE 21	7438	3894
2011-05-31	MC3D-NVG11	Melding - ukemelding	UKE 21	7377	3895
2011-05-31	SWB	Melding - oppstartsmelding	Estimert oppstart 8.juni.	7421	3896
2011-05-31	SWB	Melding - endringsmelding	Raportering om fiskerikyndig og informasjon om fartøyet.Arnulf Svendsen (FLO) er ombord i båten allerede. Planlagt oppstart er 8.juni.	7421	3897
2011-05-31	MC3D-SVG11	Status - satt av OD	Pause	7378	3898
2011-05-31	ST11463	Melding - endringsmelding	Pga redusert arbeidsomfang i grunnundersøkelsen som MV Bucentaur nå utfører på Mariner, ligger det an til at vi kan starte på ST11463 King Lear på søndag 5. juni (endret fra 8. juni 2011).Vi ber derfor om aksept til å begynne 5. juni hvis MV Bucentaur er klar til det!	7449	3899
2011-05-31	CP11L02	Melding - ukemelding	\N	7412	3900
2011-05-31	WIN1101	Melding - endringsmelding	Periode, juli-augustKoordinate justering /arbeids områdetBekreftelse av fartøyet	7411	3901
2011-05-31	MC3D-HVG2011	Status - satt av OD	Pågående	7379	3902
2011-05-30	bg1102	Melding - endringsmelding	Info fiskerikyndig	7390	3903
2011-05-30	CE1101	Melding - ukemelding	\N	7407	3904
2011-05-30	ST11001	Melding - ukemelding	\N	7382	3905
2011-05-30	ST11011	Melding - ukemelding	Pga dårlig vær på Heidrun hvor Western Regent skyter for tiden har vi ikke startet denne undersøkelsen ennå. Regner med å komme i gang i løpet av uken.	7423	3906
2011-05-30	bg1102	Status - satt av OD	Pågående	7390	3907
2011-05-30	bg1102	Melding - oppstartsmelding	\N	7390	3908
2011-05-30	RPS 1101	Melding - endringsmelding	Pga vaerforsinkelse soekes om utvidelse av vaart tidsvindu med 1 uke, fra 04.06.2011 - 11.06.2011. Omraade og aktivitet er som tidligere anonsert.	7440	3909
2011-05-30	NBR11	Melding - ukemelding	\N	7408	3910
2011-05-30	RPS 1101	Melding - ukemelding	\N	7440	3911
2011-05-30	MCG1102	Melding - ukemelding	\N	7426	3912
2011-05-30	ST11304	Melding - ukemelding	\N	7401	3913
2011-05-30	ST11005	Melding - ukemelding	\N	7415	3914
2011-05-30	MNR11	Melding - ukemelding	\N	7389	3915
2011-05-30	SS1101	Melding - ukemelding	\N	7431	3916
2011-05-30	ST11009	Melding - ukemelding	Grunnet værsituasjonen i området har det vært minimal produksjon siste uke.	7410	3917
2011-05-30	TE1101	Melding - endringsmelding	Forlengelse av tidsrom.Site survey er forsinket pga dårlig vær. Forventer 2 dagers ekstra arbeid når været blir OK.	7405	3918
2011-05-30	TE1101	Melding - ukemelding	\N	7405	3919
2011-05-27	ST11307	Melding - endringsmelding	Endringen består i at det er gjort en justering av område oppgitt i endringmelding datert 20 Mai. Dette for å unngå området hvor det ikke skal i gangsettes Petroleums virksomhet.	7399	3920
2011-05-27	MC3D-HVG2011	Melding - oppstartsmelding	\N	7379	3921
2011-05-27	GN1101	Status - satt av OD	Planlagt	7450	3922
2011-05-26	ST11464 TPC34	Status - satt av OD	Planlagt	7458	3923
2011-05-26	BE1101	Status - satt av OD	Planlagt	7437	3924
2011-05-26	BPN0301_14	Status - satt av OD	Under behandling	7459	3925
2011-05-26	NPD-MB-11	Melding - endringsmelding	Endringsmeldingen gjelder navn på Fiskerikyndig.	7451	3926
2011-05-26	LN11001	Status - satt av OD	Pågående	7428	3927
2011-05-26	ST11005	Status - satt av OD	Pågående	7415	3928
2011-05-25	OMV11300	Melding - endringsmelding	Endring i tidsperiode pga av dårlig vær. Det er usikkert når båten vil gjøre ferdig prosjektet den nå er på og vi ønsker derfor å utvide tidsvinduet for OMV11300.	7433	3929
2011-05-25	WIN1101	Status - satt av OD	Planlagt	7411	3930
2011-05-25	MC3D-HVG2011	Melding - endringsmelding	Endringsmelding av båten når det gjelder Land og Kallesignal.	7379	3931
2011-05-25	LN11001	Melding - oppstartsmelding	Call sign for Geo Coral er rettet opp	7428	3932
2011-05-25	OMV11300	Status - satt av OD	Planlagt	7433	3933
2011-05-25	CE1101	Melding - endringsmelding	Due to a prolonged period of bad weather, the vessel will be unable to complete the survey by 30th May.  We have approximately 7.5 days of work remaining (4.5 days of seismic and 3 days of environmental and CPT).  Based on the current weather forecast, we expect to complete the seismic work during June 1st.	7407	3934
2011-05-25	CVX1101	Melding - endringsmelding	The following information has been updated: • Seismic contractor (Kontraktør som utførerer innsamlingen)• Boats (Båter)—all entries on tab• Fisheries Officer (Fiskerikyndige) – all entries on tab• Source size (Kilder størrelse)• Streamer cable length (Sensorer Lengde)• Start-up and shut-down dates of survey (Oppstart og avslutning av undersøkelsen)• Net and gross areas of operations (Områder netto og brutto) – all corner points	7420	3935
2011-05-24	LO1101	Melding - oppstartsmelding	Vi har endret fiskerikyndig nr 2 til: Tony Wik Silden6718 DeknapollenTlf 908 65 543	7394	3936
2011-05-24	MC3D-NVG11	Melding - ukemelding	UKE 20	7377	3937
2011-05-24	TE1101	Melding - ukemelding	\N	7405	3938
2011-05-24	MC2D-AMG2011	Melding - ukemelding	UKE 20.	7438	3939
2011-05-24	MC3D-SVG11	Melding - ukemelding	UKE 20	7378	3940
2011-05-24	LO1101	Status - satt av OD	Pågående	7394	3941
2011-05-24	LO1101	Melding - oppstartsmelding	Vi har endret fiskerikyndig nr 2 til: Tony Wik Silden6718 DeknapollenTlf 908 65 543	7394	3942
2011-05-24	CP11L02	Melding - ukemelding	\N	7412	3943
2011-05-24	SS1101	Melding - ukemelding	\N	7431	3944
2011-05-24	SS1101	Melding - endringsmelding	Endringsmelding:Innsamlinstillatelse har av OD blitt utstedt til 30 juni 2011 tiltross for at opprinnelig søknad stadfested estimert slutt av data undersøkelsen til 30 oktober 2011.Innsamlinstilattelsen stadfester at dersom innsamlinsperioden ønskes forlenget etter 30 juni 2011 må beskjed om dette gies i god tid. På grunn av stor data mengder som skal innsamles vil det ikke bli mulig å avslutte innen 30 Juni 2011 og vi søker derfor om tillatelse til å samle inn dataene til 30 oktober 2011 slik som opprinnelig søkt om.	7431	3945
2011-05-24	NPD-MB-11	Status - satt av OD	Planlagt	7451	3946
2011-05-23	SEN1101	Status - satt av OD	Planlagt	7443	3947
2011-05-23	CE1101	Melding - ukemelding	\N	7407	3948
2011-05-23	ST11005	Melding - oppstartsmelding	Mobiliseringsmøte i Holland 24 mai. Forventer ankomst og oppstart av innsamlingen 27 - 28 mai.Når det gjelder følgefartøy så vil Marianne-G være følgefartøy fram til mannskapsskifte 1 juni og fra 1 juni vil Sanco Sea være følgefartøy.	7415	3949
2011-05-23	ST11009	Melding - ukemelding	\N	7410	3950
2011-05-23	MBT1b	Melding - ukemelding	\N	7395	3951
2011-05-23	MNR11	Melding - ukemelding	\N	7389	3952
2011-05-23	RPS 1101	Melding - ukemelding	\N	7440	3953
2011-05-23	MBT1b	Status - satt av OD	Pause	7395	3954
2011-05-23	MCG1102	Melding - ukemelding	\N	7426	3955
2011-05-23	NBR11	Melding - ukemelding	\N	7408	3956
2011-05-23	ST11001	Melding - ukemelding	\N	7382	3957
2011-05-23	ST11304	Status - satt av OD	Pågående	7401	3958
2011-05-23	BE1101	Melding - endringsmelding	Enringer gjelder: noe utvidet område for innsamling, antall CDP km økt, ny oppstartdato. Fugro Survey AS håndterer prosessen med meldinger på vegne av Bridge Energy , derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7437	3959
2011-05-23	ST11463	Status - satt av OD	Planlagt	7449	3960
2011-05-23	LN11304	Status - satt av OD	Planlagt	7445	3961
2011-05-20	ST11464 TPC34	Status - satt av OD	Under behandling	7458	3962
2011-05-20	MAE11301	Status - satt av OD	Planlagt	7434	3963
2011-05-20	WIN1106	Status - satt av OD	Planlagt	7435	3964
2011-05-20	ST11307	Melding - endringsmelding	Ending melding består at vi at forskjøvet det ønskede arbeidområdet mot sør-sørøst, Areaet er blitt noe mindre. Ellers ber vi ogå om perioden blir en uke linger, endret fra 11 Juli til 19 Juli. en uke lenger	7399	3965
2011-05-20	ST11453	Melding - sluttmelding	\N	7386	3966
2011-05-20	ST11453	Status - satt av OD	Ferdig	7386	3967
2011-05-20	NSR11 WOS	Melding - oppstartsmelding	\N	7422	3968
2011-05-20	NSR11 WOS	Status - satt av OD	Pågående	7422	3969
2011-05-20	RPS 1101	Melding - endringsmelding	Due to the current weather coditions offshore we kindly request an extension to the survey permit to the 3rd June 2011	7440	3970
2011-05-19	EMGS1102	Status - satt av OD	Under behandling	7456	3971
2011-05-19	SS1101	Melding - endringsmelding	Kabellengde øket fra 4000 meter til 5000 meter.	7431	3972
2011-05-19	RPS 1101	Melding - endringsmelding	Due to the current weather coditions offshore we kindly request an extension to the survey permit to the 3rd June 2011	7440	3973
2011-05-19	RPS 1101	Melding - endringsmelding	Due to the current weather coditions offshore we kindly request an extension to the survey permit to the 3rd June 2011	7440	3974
2011-05-19	ST11008 SN	Melding - endringsmelding	Navn på fiskerikyndig og følgebåt er lagt til, samt oppstartsdatoen er korrigert.	7427	3975
2011-05-19	MCG1102	Melding - oppstartsmelding	vessel is R/V Geolog Dmitriy Nalivkinfish rep is Trond Roaldsethvessel departed Kirkenes en route to prospect	7426	3976
2011-05-19	MCG1102	Status - satt av OD	Pågående	7426	3977
2011-05-19	BPN11101	Status - satt av OD	Ferdig	7385	3978
2011-05-19	BPN11101	Melding - sluttmelding	\N	7385	3979
2011-05-19	SUN11NO01	Melding - sluttmelding	\N	7414	3980
2011-05-19	SUN11NO01	Status - satt av OD	Ferdig	7414	3981
2011-05-19	Hoop 11	Melding - oppstartsmelding	\N	7424	3982
2011-05-19	Hoop 11	Status - satt av OD	Pågående	7424	3983
2011-05-19	ST11011	Melding - oppstartsmelding	Oppstart noe usikker pga av progresjonen på Heidrun feltet hvor fartøyet kommer fra.	7423	3984
2011-05-18	LN11002	Status - satt av OD	Under behandling	7455	3985
2011-05-18	Hoop 11	Melding - endringsmelding	Survey area extended in SW direction	7424	3986
2011-05-18	ST11005	Melding - endringsmelding	Denne melding gjelder følgende endringer:- Oppstart av survey forventes nå ca 25 mai - Mobilisering i Holland 25 mai.- Området er redusert fra ca 825 km2 til ca 725 km2- Følgebåt er lagt inn. Det planleggges at Marianne-G, vil være følgebåt fra oppstart til mannskapsskifte 1 juni. Fra 1 juni vil M/V Sanco Sea være følgebåt. Dersom M/V Sanco Sea er klar fra oppstart vil en imidlertid bruke M/V Sanco Sea som følgebåt fra starten. Dette vil sannsynligvis være klart når oppstartsmelding sendes.- Ny fiskerikyndig.	7415	3987
2011-05-18	LN11003	Status - satt av OD	Under behandling	7454	3988
2011-05-18	LN11303	Status - satt av OD	Planlagt	7444	3989
2011-05-18	LN11305	Status - satt av OD	Planlagt	7446	3990
2011-05-18	LN11302	Status - satt av OD	Planlagt	7442	3991
2011-05-18	TE1101	Melding - ukemelding	\N	7405	3992
2011-05-18	ST11001	Melding - ukemelding	\N	7382	3993
2011-05-18	CP11L02	Melding - ukemelding	\N	7412	3994
2011-05-16	CE1101	Melding - ukemelding	\N	7407	3995
2011-05-16	BPN11101	Melding - ukemelding	\N	7385	3996
2011-05-16	MC3D-SVG11	Melding - ukemelding	UKE MELDING. UKE 19.	7378	3997
2011-05-16	Ormen Lange TLP	Status - satt av OD	Ferdig	7404	3998
2011-05-16	Ormen Lange TLP	Melding - sluttmelding	\N	7404	3999
2011-05-16	WG1101	Status - satt av OD	Under behandling	7453	4000
2011-05-16	SUN11NO01	Melding - ukemelding	\N	7414	4001
2011-03-31	ST10329	Melding - endringsmelding	Opprinnelig periode fra oppstart 20.1.11 til 30.3.11.	7368	4271
2011-05-16	ST11463	Melding - endringsmelding	ENDRING: Kontraktør som utfører innsamlingen.Vi planlegger å utføre grunnundersøkelser for å framskaffe geotekniske parametre på to områder for å vurdere fundamenter for jack-up rigg. På hvert av de to områdene planlegger vi å utføre 3 boringer til maksimum 40 m dybde med nedhullsprøvetaking og nedhullstrykksonderinger. Det vil ikke bli benyttet noen form for seismiske kilder.	7449	4002
2011-05-16	ST11453	Melding - oppstartsmelding	\N	7386	4003
2011-05-16	ST11453	Status - satt av OD	Pågående	7386	4004
2011-05-16	ST11306	Melding - sluttmelding	\N	7397	4005
2011-05-16	ST11306	Status - satt av OD	Ferdig	7397	4006
2011-05-16	ST11306	Melding - oppstartsmelding	\N	7397	4007
2011-05-16	ST11302	Melding - ukemelding	\N	7374	4008
2011-05-16	NBR11	Melding - ukemelding	\N	7408	4009
2011-05-16	MNR11	Melding - ukemelding	\N	7389	4010
2011-05-16	MBT1b	Melding - ukemelding	\N	7395	4011
2011-05-16	ST11009	Melding - ukemelding	\N	7410	4012
2011-05-16	ST11306	Status - satt av OD	Pågående	7397	4013
2011-05-16	SS1101	Melding - ukemelding	\N	7431	4014
2011-05-16	ST11301	Status - satt av OD	Ferdig	7372	4015
2011-05-16	ST11301	Melding - sluttmelding	\N	7372	4016
2011-05-16	ST11302	Melding - sluttmelding	\N	7374	4017
2011-05-16	ST11302	Status - satt av OD	Ferdig	7374	4018
2011-05-16	CP11L02	Melding - oppstartsmelding	\N	7412	4019
2011-05-16	CP11L02	Status - satt av OD	Pågående	7412	4020
2011-05-16	RPS 1101	Melding - oppstartsmelding	Har i forkant av seismikk survey gjennomført CPT, bunnprøver og rørtrase"med sidesøkende sonar.	7440	4021
2011-05-16	RPS 1101	Status - satt av OD	Pågående	7440	4022
2011-05-13	NPD-MB-11	Status - satt av OD	Under behandling	7451	4023
2011-05-13	MC2D-AMG2011	Status - satt av OD	Pågående	7438	4024
2011-05-13	MC2D-AMG2011	Status - satt av OD	Pågående	7438	4025
2011-05-13	MC2D-AMG2011	Melding - oppstartsmelding	\N	7438	4026
2011-05-13	Ormen Lange TLP	Melding - ukemelding	\N	7404	4027
2011-05-13	LO1101	Melding - endringsmelding	BOS har blitt erklært konkurs, og BOS Arctic (fartøyet) ble tatt over av Artemis, og skiftet således navn til Artemis Arctic.	7394	4028
2011-05-13	LN11301	Status - satt av OD	Planlagt	7441	4029
2011-05-13	MC2D-AMG2011	Status - satt av OD	Planlagt	7438	4030
2011-05-13	LN11001	Status - satt av OD	Planlagt	7428	4031
2011-05-13	NO1101	Status - satt av OD	Planlagt	7432	4032
2011-05-13	GN1101	Status - satt av OD	Under behandling	7450	4033
2011-05-13	MC3D-NVG11	Melding - oppstartsmelding	\N	7377	4034
2011-05-13	MC3D-NVG11	Status - satt av OD	Pågående	7377	4035
2011-05-13	MC3D-HVG2011	Status - satt av OD	Planlagt	7379	4036
2011-05-13	MC3D-HVG2011	Status - satt av OD	Pågående	7379	4037
2011-05-12	OMV11300	Melding - endringsmelding	Dette er en oppdatering for melding sendt tidligere for OMV1006. Surveyen er nå kalt OMV11300 etter de nye navnreglene.Området er og oppdatert.	7433	4038
2011-05-12	MC3D-NVG11	Status - satt av OD	Planlagt	7377	4039
2011-05-12	MC3D-NVG11	Melding - oppstartsmelding	\N	7377	4040
2011-05-12	MC3D-NVG11	Status - satt av OD	Pågående	7377	4041
2011-05-12	PON1101	Melding - sluttmelding	\N	7396	4042
2011-05-12	PON1101	Status - satt av OD	Ferdig	7396	4043
2011-05-11	ST11463	Status - satt av OD	Under behandling	7449	4044
2011-05-11	MC3D-NVG11	Melding - endringsmelding	Endring av Fiskerikyndig.	7377	4045
2011-05-10	ST11301	Melding - oppstartsmelding	Siden det ikke er godt nok vær for innsamling av seismikk, har vi begynt CPT undersøkelse ST11301. 7 CPT målinger er utført til nå.	7372	4046
2011-05-10	RPS 1101	Status - satt av OD	Pågående	7440	4047
2011-05-10	RPS 1101	Status - satt av OD	Planlagt	7440	4048
2011-05-10	ST11301	Status - satt av OD	Pågående	7372	4049
2011-05-10	CE1101	Status - satt av OD	Pågående	7407	4050
2011-05-10	CE1101	Melding - oppstartsmelding	Fartoey mobiliserer i Kristiansund 10.05 og forventet oppstart av innsamling 11.05	7407	4051
2011-05-10	RPS 1101	Status - satt av OD	Planlagt	7440	4052
2011-05-10	MC3D-SVG11	Melding - ukemelding	UKE 18.	7378	4053
2011-05-10	MNR11	Melding - ukemelding	\N	7389	4054
2011-05-10	SUN11NO01	Melding - oppstartsmelding	\N	7414	4055
2011-05-10	SUN11NO01	Status - satt av OD	Pågående	7414	4056
2011-05-10	MCG1102	Status - satt av OD	Planlagt	7426	4057
2011-05-10	BPN11101	Melding - ukemelding	\N	7385	4058
2011-05-10	ST11002	Status - satt av OD	Planlagt	7425	4059
2011-05-10	ST11008 SN	Status - satt av OD	Planlagt	7427	4060
2011-05-10	ST11011	Status - satt av OD	Planlagt	7423	4061
2011-05-10	LN11306	Melding - endringsmelding	Endringen består i at det ble en skrivefeil på koordiatene.	7448	4062
2011-05-09	ST11001	Melding - ukemelding	\N	7382	4063
2011-05-09	LN11306	Status - satt av OD	Under behandling	7448	4064
2011-05-09	ST11009	Melding - ukemelding	\N	7410	4065
2011-05-09	ST11302	Melding - ukemelding	\N	7374	4066
2011-05-09	PON1101	Melding - ukemelding	\N	7396	4067
2011-05-09	MBT1b	Melding - ukemelding	\N	7395	4068
2011-05-09	NBR11	Melding - ukemelding	\N	7408	4069
2011-05-09	LN11001	Melding - endringsmelding	Meldingen gjelder Ny båt og nytt tidsrom	7428	4070
2011-05-09	LN11307	Status - satt av OD	Under behandling	7447	4071
2011-05-09	LN11305	Status - satt av OD	Under behandling	7446	4072
2011-05-09	LN11304	Status - satt av OD	Under behandling	7445	4073
2011-05-09	SWB	Status - satt av OD	Planlagt	7421	4074
2011-05-09	BPN11302	Status - satt av OD	Ferdig	7392	4075
2011-05-09	BPN11302	Melding - sluttmelding	\N	7392	4076
2011-05-09	BPN11101	Melding - oppstartsmelding	dato for betalingsgebyr lagt inn	7385	4077
2011-05-09	DN1101	Status - satt av OD	Ferdig	7375	4078
2011-05-09	DN1101	Melding - sluttmelding	\N	7375	4079
2011-05-09	SS1101	Melding - oppstartsmelding	Endringsmelding:Kontaktperson er enderet til Odd Arne LarsenFiskerikyndig personnel: Jens Thorsteinsen	7431	4080
2011-05-09	TE1101	Melding - oppstartsmelding	\N	7405	4081
2011-05-09	TE1101	Status - satt av OD	Pågående	7405	4082
2011-05-09	SS1101	Status - satt av OD	Pågående	7431	4083
2011-05-07	LN11303	Status - satt av OD	Under behandling	7444	4084
2011-05-06	ST11005	Status - satt av OD	Planlagt	7415	4085
2011-03-31	ST10329	Melding - sluttmelding	\N	7368	4272
2011-03-31	ST10329	Status - satt av OD	Ferdig	7368	4273
2011-05-06	RPS 1101	Melding - endringsmelding	Vi soker unntak i forhold til § 30 forste ledd anganende 5 uker varsling for traseundersokelser og grunnundersokelser. Paa grunn av forandring i fartoyplan onsker vi aa starte opp kartlegging av omraade fra 16. Mai 2011.Vi har hatt muntlig kontakt med John Dalen hos Havforskningsinstituttet i Bergen som har gitt aksept for Seismikkskyting i omraadet etter 15. Mai. Ogsaa Kari Grundvig hos Fiskeridirektoratet Sor har ingen kommentar til undersokelsen i tidsrommet angitt over.Vi haaper dere kan imotese denne endringen.Mvh,Malachy McKibbinMarathon Petroleum Norge	7440	4086
2011-05-06	CVX1101	Status - satt av OD	Planlagt	7420	4087
2011-05-06	SEN1101	Status - satt av OD	Under behandling	7443	4088
2011-05-06	Ormen Lange TLP	Melding - ukemelding	\N	7404	4089
2011-05-06	BPN11302	Status - satt av OD	Pågående	7392	4090
2011-05-06	BPN11302	Melding - oppstartsmelding	\N	7392	4091
2011-05-06	MC3D-SVG11	Melding - endringsmelding	Endringsmelding.Endring av Båt og Fiskerikyndig	7378	4092
2011-05-06	LN11302	Status - satt av OD	Under behandling	7442	4093
2011-05-06	LN11301	Status - satt av OD	Under behandling	7441	4094
2011-05-06	MNR11	Melding - oppstartsmelding	\N	7389	4095
2011-05-06	MNR11	Status - satt av OD	Pågående	7389	4096
2011-05-06	SS1101	Status - satt av OD	Planlagt	7431	4097
2011-05-06	DN1101	Melding - ukemelding	\N	7375	4098
2011-05-05	MC2D-AMG2011	Melding - endringsmelding	Endringsmelding.Endring av bruttoområdet.	7438	4099
2011-05-05	MC2D-AMG2011	Melding - endringsmelding	Endringsmelding.Endring av bruttoområdet.	7438	4100
2011-05-05	RPS 1101	Status - satt av OD	Under behandling	7440	4101
2011-05-05	RS1101	Melding - oppstartsmelding	\N	7398	4102
2011-05-05	RS1101	Status - satt av OD	Pågående	7398	4103
2011-05-05	ST11302	Melding - oppstartsmelding	Hei, M/V Sea Explorer er ankommet ST11302 arbeidsområdet i Blokk 34/7, og været tilsier at de skal kunne begynne arbeidet i løpet av dagen.	7374	4104
2011-05-05	ST11302	Status - satt av OD	Pågående	7374	4105
2011-05-05	BE1101	Melding - endringsmelding	Undersøkelsestillatelses nr 415 lagt inn.	7437	4106
2011-05-04	SS1101	Melding - endringsmelding	a) Linjer tidligere lokalisert innenfor områder stengt for innsamling har blitt fjernet og er blitt flyttet til østlig del av programmet.b)Antall km har blitt redusert	7431	4107
2011-05-04	MC2D-AMG2011	Status - satt av OD	Under behandling	7438	4108
2011-05-04	Ormen Lange TLP	Melding - endringsmelding	Endringsmelding gjelder utvidet varighet grunnet tekniske problemer.	7404	4109
2011-05-03	PON1101	Melding - ukemelding	\N	7396	4110
2011-05-03	SWB	Melding - endringsmelding	Utvidet området (både brutto og netto).	7421	4111
2011-05-03	Hoop 11	Melding - endringsmelding	Kontaktperson for TGS byttet.Navn på fiskerikyndig lagt til	7424	4112
2011-05-03	BPN0301_13	Status - satt av OD	Ferdig	7376	4113
2011-05-03	BPN0301_13	Melding - sluttmelding	\N	7376	4114
2011-05-03	BPN11101	Melding - ukemelding	\N	7385	4115
2011-05-03	MCG1101	Status - satt av OD	Planlagt	7419	4116
2011-05-03	MC3D-SVG11	Melding - ukemelding	UKE 17	7378	4117
2011-05-03	MNR11	Status - satt av OD	Planlagt	7389	4118
2011-05-03	MBT1b	Melding - ukemelding	\N	7395	4119
2011-05-03	ST11001	Melding - ukemelding	\N	7382	4120
2011-05-03	NBR11	Melding - ukemelding	\N	7408	4121
2011-05-03	WIN1101	Status - satt av OD	Pågående	7411	4122
2011-05-03	SUN11NO01	Status - satt av OD	Planlagt	7414	4123
2011-05-03	EMGS1101	Status - satt av OD	Planlagt	7417	4124
2011-05-02	NSR11 WOS	Status - satt av OD	Planlagt	7422	4125
2011-05-02	Hoop 11	Status - satt av OD	Planlagt	7424	4126
2011-05-02	BE1101	Status - satt av OD	Under behandling	7437	4127
2011-05-02	MNR11	Status - satt av OD	Pågående	7389	4128
2011-05-02	CP11L02	Status - satt av OD	Planlagt	7412	4129
2011-05-02	bg1101	Status - satt av OD	Ferdig	7384	4130
2011-05-02	BG1104	Melding - endringsmelding	Båten er forsinket på grunn av dårlig vær. Vi forventer å overta båten mot slutten av mai.	7409	4131
2011-05-02	bg1101	Melding - sluttmelding	\N	7384	4132
2011-05-02	ST11009	Melding - ukemelding	\N	7410	4133
2011-05-02	WIN1106	Status - satt av OD	Under behandling	7435	4134
2011-05-02	MAE11301	Status - satt av OD	Under behandling	7434	4135
2011-04-29	SS1101	Melding - endringsmelding	a) Linjer tidligere lokalisert innenfor områder stengt for innsamling har blitt fjernet og er blitt flyttet til østlig del av programmet.b)Antall km har blitt redusert	7431	4136
2011-04-29	Ormen Lange TLP	Melding - ukemelding	Operasjonen er nå igang. Boret et hull. Antatt varighet: 2 uker til.	7404	4137
2011-04-29	OMV11300	Status - satt av OD	Under behandling	7433	4138
2011-04-29	NO1101	Status - satt av OD	Under behandling	7432	4139
2011-04-29	CP11L02	Melding - endringsmelding	Mobiliseringen av fartøyet har blitt utsatt. Forventet start av skyteoperasjonen på feltet er nå 14. mai.	7412	4140
2011-04-29	NBR11	Status - satt av OD	Pågående	7408	4141
2011-04-28	DN1101	Melding - ukemelding	\N	7375	4142
2011-04-28	SS1101	Status - satt av OD	Under behandling	7431	4143
2011-04-28	MC3D-SVG11	Melding - ukemelding	UKE 16	7378	4144
2011-04-28	MC3D-SVG11	Melding - ukemelding	UKE 15	7378	4145
2011-04-28	ST11001	Melding - ukemelding	\N	7382	4146
2011-04-28	WIN1102	Melding - sluttmelding	\N	7366	4147
2011-04-28	WIN1103	Melding - sluttmelding	\N	7388	4148
2011-04-28	WIN1103	Melding - sluttmelding	\N	7388	4149
2011-04-28	WIN1102	Melding - sluttmelding	\N	7366	4150
2011-04-28	PON1101	Status - satt av OD	Pågående	7396	4151
2011-04-28	PON1101	Melding - endringsmelding	Opplysninger om fiskerikyndig	7396	4152
2011-04-28	PON1101	Melding - oppstartsmelding	\N	7396	4153
2011-04-28	RS1101	Melding - endringsmelding	Rocksource ønsker å utvide området for denne undersøkelsen mot nord. Det østlige og vestlige grensafor permit området er uendra. Rocksource ber om å flytte den nordlige grensa for dette området til 60grader 30 min NordBåde brutto og netto området skal endrast. I meldinga som blei sendt tidlegare i dag var bare brutto-området endra.	7398	4154
2011-04-28	SUN11NO01	Melding - endringsmelding	Exclusive area increased to the west.  Inclusive area remains unchanged.  Higher line density has lead to an increase in boat and CDP km.	7414	4155
2011-03-31	FP1150	Melding - oppstartsmelding	\N	7387	4274
2011-03-31	FP1150	Status - satt av OD	Pågående	7387	4275
2011-03-29	ST10329	Melding - endringsmelding	Ny fiskerikyndig.	7368	4276
2011-04-28	ST11302	Melding - endringsmelding	Endring gjelder;Det er ønske om å samle inn noen seismiske linjer for et par ekstra Avlastingsbrønner til Template H på Vigdis Nordøst. Derfor har vi lagt til noen linjer til dette programmet, slik at området blir noe større og antall km øker med ca. 50 kilometer. Vi kommer sannsynligvis til å starte opp denne undersøkelsen i neste uke, og da bruker vi den tillatelsen vi allerede har fått. Det er stort sett bare noen linje biter som gjør at området må utvides noe for run in og out. Slik det ser ut nå, vil vi mobilisere i Hull, og er nok ikke i Blokk 34/7 før om 8-9 dager.	7374	4156
2011-04-28	NPD-JM-11	Status - satt av OD	Under behandling	7430	4157
2011-04-27	LN11001	Status - satt av OD	Under behandling	7428	4158
2011-04-27	BPN0301_13	Melding - ukemelding	Mannskapsskifte, Tananger 26.04.	7376	4159
2011-04-27	bg1101	Melding - ukemelding	\N	7384	4160
2011-04-27	BPN11101	Melding - ukemelding	\N	7385	4161
2011-04-27	BPN11101	Melding - oppstartsmelding	\N	7385	4162
2011-04-27	BPN11101	Status - satt av OD	Pågående	7385	4163
2011-04-27	WIN1103	Melding - sluttmelding	\N	7388	4164
2011-04-27	WIN1102	Melding - sluttmelding	\N	7366	4165
2011-04-26	WIN1102	Melding - ukemelding	\N	7366	4166
2011-04-26	WIN1103	Melding - ukemelding	\N	7388	4167
2011-04-26	WIN1102	Status - satt av OD	Ferdig	7366	4168
2011-04-26	WIN1103	Status - satt av OD	Ferdig	7388	4169
2011-04-26	SUN11NO01	Melding - endringsmelding	Start date expected to change from 16/05 to 09/05.  Fishery rep change from Eirik Johnsen to Johannes Sævik	7414	4170
2011-04-26	ST11008 SN	Status - satt av OD	Under behandling	7427	4171
2011-04-26	ST11009	Melding - endringsmelding	Tidligere oppstart.	7410	4172
2011-04-26	MCG1102	Melding - endringsmelding	Adjustment of area to avoid exclusion zones	7426	4173
2011-04-26	MBT1b	Status - satt av OD	Pågående	7395	4174
2011-04-26	NBR11	Status - satt av OD	Pågående	7408	4175
2011-04-26	NBR11	Status - satt av OD	Planlagt	7408	4176
2011-04-26	MBT1b	Melding - oppstartsmelding	\N	7395	4177
2011-04-26	NBR11	Melding - oppstartsmelding	\N	7408	4178
2011-04-26	BG1104	Status - satt av OD	Planlagt	7409	4179
2011-04-26	DN1101	Status - satt av OD	Pågående	7375	4180
2011-04-26	DN1103	Status - satt av OD	Ferdig	7413	4181
2011-04-26	DN1103	Melding - sluttmelding	\N	7413	4182
2011-04-26	DN1101	Melding - oppstartsmelding	Fugro Meridian vestes avslutte feltarbeid på DN1103 natt til torsdag 21.4 og ankommer DN1101 21.4 på ettermiddagen	7375	4183
2011-04-26	ST11001	Status - satt av OD	Pågående	7382	4184
2011-04-26	ST11001	Melding - oppstartsmelding	Mobiliseringen vil foregå på Shetland 16-17 april, hvoretter Western Regen og følgefartøy Alida Natascha vil gå mot Heidrun.	7382	4185
2011-04-26	ST11009	Status - satt av OD	Pågående	7410	4186
2011-04-26	ST11009	Melding - oppstartsmelding	\N	7410	4187
2011-04-20	Ormen Lange TLP	Melding - ukemelding	Arbeidet er forsinket av tekniske årsaker.	7404	4188
2011-04-19	BPN11302	Melding - endringsmelding	Endringsmeldingen gjelder området og tidspunkt for innsamlingen.Innsamlingen vil ta 2 dager, men eksakt tidsrom er vanskelig pga BPN0301_13 og PGS innsamlingen i samme område. Kart over innsamlingen vil sendes separat.	7392	4189
2011-04-19	MCG1102	Status - satt av OD	Under behandling	7426	4190
2011-04-19	Hoop 11	Melding - endringsmelding	oppdatering av nettoområde	7424	4191
2011-04-19	BPN0301_13	Melding - endringsmelding	BP søker om tillatelse til forlengelse av innsamlingen BPN0301_13 til 26.05.2010.Som fiskerikyndig for denne perioden vil vi benytte Egil Kongshaug, 6530 Averøy. phone. 71 51 32 39, mob. 971 83 019	7376	4192
2011-04-18	ST11009	Status - satt av OD	Planlagt	7410	4193
2011-04-18	WIN1103	Melding - ukemelding	Ca. 50% ferdigstilt	7388	4194
2011-04-18	WIN1102	Melding - ukemelding	Ca. 75% ferdigstilt.	7366	4195
2011-04-18	DN1102	Melding - endringsmelding	Meldingen omfatter: Ny periode for innsamling, liten endring i område og antall CDP/båt km.Fugro Survey AS håndterer prosessen med meldinger på vegne av Detnor, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7393	4196
2011-04-18	TE1101	Status - satt av OD	Planlagt	7405	4197
2011-04-18	ST11002	Status - satt av OD	Under behandling	7425	4198
2011-04-18	ST11001	Melding - oppstartsmelding	Mobiliseringen vil foregå på Shetland 16-17 april, hvoretter Western Regen og følgefartøy Alida Natascha vil gå mot Heidrun.	7382	4199
2011-04-18	FP1150	Melding - sluttmelding	\N	7387	4200
2011-04-18	FP1150	Status - satt av OD	Ferdig	7387	4201
2011-04-18	DN1103	Status - satt av OD	Pågående	7413	4202
2011-04-18	DN1103	Melding - oppstartsmelding	Fugro Meridian ventes ankomme innsamlingsområdet natt til tirsdag 19.4.Denne  meldingen inkluderer også navn på fiskrikyndig	7413	4203
2011-04-18	CGGV-11-01	Status - satt av OD	Ferdig	7380	4204
2011-04-18	CGGV-11-01	Melding - sluttmelding	The job was completed 06:00Hrs UTC on the 16th April 2011.	7380	4205
2011-04-15	MBT1b	Melding - endringsmelding	Informasjon om fartøy og fiskerikyndig	7395	4206
2011-04-15	CGGV-11-01	Status - satt av OD	Pågående	7380	4207
2011-04-15	CGGV-11-01	Melding - oppstartsmelding	The MV Bergen Surveyor commenced production on the survey at 07:38UTC 15th April 2011	7380	4208
2011-04-14	FP1150	Melding - endringsmelding	14.4 2011: På sen fremrift på denne innsamlingen ber vi om forlengelset tillatelse til 24.4.Fugro Survey AS håndterer prosessen med meldinger på vegne av Faroe, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7387	4209
2011-04-14	FP1150	Melding - ukemelding	\N	7387	4210
2011-04-14	RS1101	Melding - endringsmelding	TidsromBåtPlanlagte mengder innsamletÆndringen i antal sensorer	7398	4211
2011-04-14	NBR11	Status - satt av OD	Planlagt	7408	4212
2011-04-14	RS1101	Status - satt av OD	Planlagt	7398	4213
2011-04-14	ST11304	Status - satt av OD	Planlagt	7401	4214
2011-04-14	ST11305	Status - satt av OD	Planlagt	7403	4215
2011-04-14	Hoop 11	Status - satt av OD	Under behandling	7424	4216
2011-04-14	bg1101	Melding - ukemelding	\N	7384	4217
2011-04-14	BPN0301_13	Melding - ukemelding	\N	7376	4218
2011-04-13	Ormen Lange TLP	Melding - ukemelding	Arvbeidet er forsinket grunnet vær- og tekniske problemer.	7404	4219
2011-03-29	SUN11NO01	Status - satt av OD	Under behandling	7414	4277
2011-03-29	ST10330	Melding - ukemelding	\N	7367	4278
2011-03-29	ST10329	Melding - ukemelding	\N	7368	4279
2011-04-12	DN1101	Melding - endringsmelding	Endring gjelder: Forlengelse av tidsrom for innsamling pga forsinkelse i båtens program og utvidelse av linjeprogram.Det vil også bli utført grunn geoteknikk til ca 5m dyp. Fugro Survey AS håndterer prosessen med meldinger på vegne av Detnor, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7375	4220
2011-04-12	MCG1101	Melding - endringsmelding	endring of området	7419	4221
2011-04-12	ST10330	Melding - sluttmelding	\N	7367	4222
2011-04-12	ST10330	Status - satt av OD	Ferdig	7367	4223
2011-04-12	ST11011	Status - satt av OD	Under behandling	7423	4224
2011-04-11	MC3D-SVG11	Melding - ukemelding	Uke 14.	7378	4225
2011-04-11	NSR11 WOS	Status - satt av OD	Under behandling	7422	4226
2011-04-11	DN1103	Status - satt av OD	Planlagt	7413	4227
2011-04-11	ST10330	Melding - ukemelding	\N	7367	4228
2011-04-11	WIN1102	Melding - ukemelding	\N	7366	4229
2011-04-11	WIN1103	Melding - ukemelding	\N	7388	4230
2011-04-11	SWB	Status - satt av OD	Under behandling	7421	4231
2011-04-11	BPN11302	Melding - endringsmelding	Mer nøyaktig spesifisering av områder av survey, inklusive/ekslusiv snuområder, pluss ny CDP og båt km.	7392	4232
2011-04-11	CVX1101	Status - satt av OD	Under behandling	7420	4233
2011-04-11	MCG1101	Status - satt av OD	Under behandling	7419	4234
2011-04-11	ST11302	Melding - endringsmelding	Endring består i at vi ønsker utvidet periode for innsamling av undersøkelsen. Siden fartøyet, M/V Sea Explorer, nå er i tørrdokk kommer vi ikke til å kunne starte innsamling igjen før rundt Påske. Vi søker derfor om utvidet innsamlings periode fra 20 April til 24 Juni.	7374	4235
2011-04-08	CE1101	Status - satt av OD	Planlagt	7407	4236
2011-04-08	MC3D-SVG11	Melding - ukemelding	\N	7378	4237
2011-04-08	ST11001	Melding - endringsmelding	Endringsmelding gjelder chase boat, kilde fartøy for underskyting samt fiskerikyndig.	7382	4238
2011-04-07	bg1102	Melding - endringsmelding	Følgende element er nå endret sammenlignet med den opprinnelige søknaden:• Arealstørrelse – vi har nå redusert arealet med 75 % i forhold til det opprinnelige omsøkte arealet, dette er vist på kartet. Vi har hatt en runde hvor vi har utfordret geopfysikerne på hvor stort området må være for å få teknisk tilfredsstillende kvalitet. Vi er selvfølgelig oppmerksomme på at det er reduksjonen sørvest som er relevant i forbindelse med gytingen.• Retning på sesmikklinjene – vi vil nå skyte langs retningen NW – SE, dette for senest mulig å komme i konflikt med gyteområdet• Geografisk startpunkt – vi vil starte skytingen fra nord for på et senest mulig tidspunkt eventuelt å komme i konflikt med hysens gyteområder• Tidspunkt for oppstart –  i søknaden til OD var oppstart satt til 15 april, denne har vi nå klart å forsinke slik at tidligste oppstart nå blir 27. april med sannsynlig oppstart etter 1 mai. Vi vil da foreslå følgende scenario:1. Fase 1 (punkt 7,1,2,3,4)  vil starte skyting  sannsynligvis rundt eller like etter 1 mai. Dette vil være området lengst vekk fra gytefeltet.2. Fase 2 (punkt 4,5,6,7) vil starte skyting etter 15. mai, dette området vil være nærmest gyteområdene• Vanndyp – ifølge Havforskningsinstituttet har hysen oppvekstområde  bl.a. langs Eggakanten på ca 200 meters dyp. Seismikkskytingen vil i all hovedsak finne sted på dyp > 350 m og det vil på det nærmeste være ca 23 km inn til 300 m isolinje. • Navn på fiskerikyndige• Kun Pl373S søker tillatelse.	7390	4239
2011-04-07	FP1150	Melding - ukemelding	\N	7387	4240
2011-04-07	ST11301	Melding - endringsmelding	Denne undersøkelsen som ikke bærer bruk av airgun, er ikke utført enda, og vi anmoder om utvidet periode for å utføre arbeidet. Ellers er det ingen endringer. Fartøyet vi bruker, M/V Sea Explorer er nå i tørrdokk, og vi håper på at det er klart igjen i slutten av April. Vi har bedt om forlengelse til 28 Juni.	7372	4241
2011-04-07	EMGS1101	Status - satt av OD	Under behandling	7417	4242
2011-04-07	MNR11	Melding - endringsmelding	Informasjon om fartøy og fiskerikyndig.Oppstart er forsinket, nå estimert til 4.mai.	7389	4243
2011-04-07	ST11307	Status - satt av OD	Planlagt	7399	4244
2011-04-07	BPN11301	Status - satt av OD	Ferdig	7391	4245
2011-04-07	BPN11301	Melding - sluttmelding	\N	7391	4246
2011-04-07	NBR11	Melding - endringsmelding	Vi meldte inn samme arbeidsområdet som vi fikk godkjent i fjor, men pga lengre kabel i år, trenger vi større snu-sone der det er mulig (dvs. der snusonen grenser mot områder uten restriksjoner).Linjeprogrammet er det samme som meldt tidligere.Informasjon om båten og fiskerikyndig er også lagt inn nå.	7408	4247
2011-04-06	MNR11	Status - satt av OD	Planlagt	7389	4248
2011-04-05	LO1101	Status - satt av OD	Planlagt	7394	4249
2011-04-05	MBT1b	Status - satt av OD	Planlagt	7395	4250
2011-04-05	PON1101	Status - satt av OD	Planlagt	7396	4251
2011-04-05	ST11001	Status - satt av OD	Planlagt	7382	4252
2011-04-05	ST11306	Status - satt av OD	Planlagt	7397	4253
2011-04-05	Ormen Lange TLP	Status - satt av OD	Pågående	7404	4254
2011-04-05	Ormen Lange TLP	Melding - oppstartsmelding	Fartøyet er er i området og klar til oppstart, men venter på bedre vær.	7404	4255
2011-04-05	bg1101	Melding - ukemelding	\N	7384	4256
2011-04-04	ST11009	Melding - endringsmelding	Ny fiskerikyndig fra oppstart av letingen.Justerte koordinater for området og snuområdet.	7410	4257
2011-04-04	ST10330	Melding - ukemelding	\N	7367	4258
2011-04-04	WIN1103	Melding - ukemelding	\N	7388	4259
2011-04-04	WIN1102	Melding - ukemelding	\N	7366	4260
2011-04-04	BPN11301	Status - satt av OD	Pågående	7391	4261
2011-04-04	BPN11301	Melding - oppstartsmelding	\N	7391	4262
2011-04-04	bg1102	Status - satt av OD	Planlagt	7390	4263
2011-04-04	DN1102	Status - satt av OD	Planlagt	7393	4264
2011-04-04	ST11005	Status - satt av OD	Under behandling	7415	4265
2011-04-04	BPN0301_13	Status - satt av OD	Pågående	7376	4266
2011-04-04	BPN0301_13	Melding - oppstartsmelding	\N	7376	4267
2011-04-01	ST10330	Melding - endringsmelding	Tidperioden.	7367	4268
2011-04-01	DN1103	Melding - endringsmelding	Sørligste punkt for omsøkt område er flyttet noe mot øst. Kartlegging av rørtrasè på 6km.Det planlegges 3 surveylinjer, totalt 18-20 båtkm. Utstyr vil være skrogmontert multistråleekkolodd og bunnpenetrerende ekkolodd samt tauet sidesøkende sonar. Vanndyp er ca 130m , så sonaren vil taues 3-400m bak båten.I tillegg planlegges 1 grunn CPT per km, totalt 6stk. Vi bruker en CPT med 5cm2 cone , 3.5tonn push som penetrer 5-8m avhengig av sedimentene Innsamlingen vil ta ca 5timer og geoteknikk ca 10 timer. Fugro Survey AS håndterer prosessen med meldinger på vegne av Detnor, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7413	4269
2011-03-31	BPN11101	Status - satt av OD	Planlagt	7385	4270
2011-03-29	FP1150	Melding - endringsmelding	Endring av fiskerikyndig på grunn av sykdom	7387	4280
2011-03-29	ST10330	Melding - endringsmelding	Bytta av fiskerikyndig.	7367	4281
2011-03-28	DN1103	Status - satt av OD	Under behandling	7413	4282
2011-03-28	MC3D-HVG2011	Status - satt av OD	Planlagt	7379	4283
2011-03-28	MC3D-SVG11	Melding - endringsmelding	Oppstart 29.3.2011.	7378	4284
2011-03-28	MC3D-SVG11	Status - satt av OD	Pågående	7378	4285
2011-03-28	WIN1103	Melding - ukemelding	\N	7388	4286
2011-03-28	WIN1102	Melding - ukemelding	\N	7366	4287
2011-03-25	CP11L02	Status - satt av OD	Under behandling	7412	4288
2011-03-25	WIN1101	Status - satt av OD	Under behandling	7411	4289
2011-03-25	ST11009	Melding - endringsmelding	I første melding var det oppført feil kontraktør. Riktig kontraktør skal være WesternGeco AS.I tillegg var ett koordinatpunkt feil. dette er nå rettet.	7410	4290
2011-03-25	ST11009	Status - satt av OD	Under behandling	7410	4291
2011-03-25	FP1150	Melding - endringsmelding	24.3 2011: Melding om fiskerirepresentantOmrådet for innsamlingen er utvidet litt mot øst.Oppstartdato ønskes flyttet frem til 25.3Antall CDP km økes.Fugro Survey AS håndterer prosessen med meldinger på vegne av Faroe, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7387	4292
2011-03-25	ST10329	Melding - endringsmelding	Endringmelding gjelder ny utvidelse av tidsrom for undersøkelse. Vi har 16 Mars søkt om tilatelse frem tilogmed 07 April. Vi håper at vi er ferdige til den 7 April, men sålangt har vi ikke hatt værgudene med oss i Blokk 30/6, og vi søker derfor om utvidet periode fra 8 April tilog med 26 April.	7368	4293
2011-03-25	CGGV-11-01	Melding - endringsmelding	Mest sansynlig oppstarts dato er nå estimert til memllom 15 April- 30 April.Det kan også bli før dette, men det vil være avhengig av gjennomføringen av foregående prosjekt.Merk:Selve skytingen er estimert til kun 12 timer og båten vil være i området i max 36 timer.	7380	4294
2011-03-25	CGGV-11-01	Melding - endringsmelding	Mest sansynlig oppstarts dato er nå estimert til memllom 15 April- 30 April.Det kan også bli før dette, men det vil være avhengig av gjennomføringen av foregående prosjekt.Merk:Selve skytingen er estimert til kun 12 timer og båten vil være i området i max 36 timer.	7380	4295
2011-03-25	BPN11302	Melding - endringsmelding	På grunn av endringer i programmet må BPN11302 utsettes muligens til mid mai. Vi vil komme tilbake med ny informasjon så snart som mulig	7392	4296
2011-03-22	ST11301	Melding - endringsmelding	Søknad gjelder utvidelse av Tidsperiode. Anmoder om utvidet periode fra 3 til 28 April. Vi håper det ikke blir nødvendig med sålang utvidelse, men sålangt har alle våre tidsfrister blitt innhentet av ugunstig vær. Gjenstående arbeid er anslått til 36 til 48 timers effektivt arbeide.	7372	4297
2011-03-22	ST10330	Melding - endringsmelding	Søknad gjelder utvidelse av tidsperiode. Anmoder om utvidet periode fra 3 April til 28 April. Vi håper ikke at det blir nødvendig med utvidet periode,men at ugusntig vær har innhentet våre tidsfrister sålnagt i 2011 sesongen.	7367	4298
2011-03-22	NBR11	Melding - endringsmelding	Endring i koordinater for søknadspolygonet (inkl.snusone).	7408	4299
2011-03-22	Ormen Lange TLP	Status - satt av OD	Planlagt	7404	4300
2011-03-21	FP1150	Melding - endringsmelding	Området for innsamlingen er utvidet litt mot øst.Oppstartdato ønskes flyttet frem til 25.3Antall CDP km økes.Fugro Survey AS håndterer prosessen med meldinger på vegne av Faroe, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7387	4301
2011-03-21	FP1150	Status - satt av OD	Planlagt	7387	4302
2011-03-21	BPN11301	Status - satt av OD	Planlagt	7391	4303
2011-03-21	BPN11302	Status - satt av OD	Planlagt	7392	4304
2011-03-21	ST10329	Melding - ukemelding	\N	7368	4305
2011-03-21	ST10330	Melding - ukemelding	\N	7367	4306
2011-03-21	WIN1102	Melding - ukemelding	\N	7366	4307
2011-03-21	WIN1103	Melding - ukemelding	\N	7388	4308
2011-03-21	bg1101	Melding - oppstartsmelding	\N	7384	4309
2011-03-21	bg1103	Status - satt av OD	Under behandling	7402	4310
2011-03-21	bg1103	Status - satt av OD	Planlagt	7402	4311
2011-03-18	bg1101	Melding - oppstartsmelding	\N	7384	4312
2011-03-18	bg1101	Status - satt av OD	Pågående	7384	4313
2011-03-18	BG1104	Status - satt av OD	Under behandling	7409	4314
2011-03-18	NBR11	Status - satt av OD	Under behandling	7408	4315
2011-03-17	CE1101	Status - satt av OD	Under behandling	7407	4316
2011-03-17	Dg 1101	Melding - sluttmelding	Den seismiske innsamlingen er nå ferdig. Takk for tillatelsen og samarbeidet	7365	4317
2011-03-17	Dg 1101	Status - satt av OD	Ferdig	7365	4318
2011-03-15	MC3D-SVG11	Melding - endringsmelding	Endring av fiskerikyndig.	7378	4319
2011-03-15	MC3D-SVG11	Melding - endringsmelding	Endringsmelding for bytte av båt og fiskerikyndig.	7378	4320
2011-03-14	MC2D-CNS2011	Melding - ukemelding	UKEMELDING FOR UKE 9.	7370	4321
2011-03-14	MC2D-CNS2011	Status - satt av OD	Ferdig	7370	4322
2011-03-14	MC2D-CNS2011	Melding - sluttmelding	\N	7370	4323
2011-03-14	bg1101	Melding - endringsmelding	Endringsmeldingen gjelder:Navn på fiskerirepresentatnter, endring av båt ogseinere oppstart	7384	4324
2011-03-14	TE1101	Status - satt av OD	Under behandling	7405	4325
2011-03-14	WIN1103	Melding - ukemelding	\N	7388	4326
2011-03-14	MC3D-NVG11	Status - satt av OD	Planlagt	7377	4327
2011-03-14	ST10329	Melding - ukemelding	\N	7368	4328
2011-03-14	ST10330	Melding - ukemelding	\N	7367	4329
2011-03-14	WIN1102	Melding - ukemelding	\N	7366	4330
2011-03-14	WIN1103	Melding - endringsmelding	Paa grunn av daarlig vaer gjelder det ny dato for oppstart. Oppstart vil bli 2011-03-13	7388	4331
2011-03-10	bg1103	Status - satt av OD	Planlagt	7402	4332
2011-03-10	ST11301	Melding - endringsmelding	Vi er forsinket på grunn av dårlig vær, og det ser i dag ikke ut til at vi klarer å få gjennomført CPT målingene til 17 Mars. derfor anmoder vi om forlenget periode. Ved denne type undersøkelse benyttes ikke airguns.	7372	4333
2011-03-10	Dg 1101	Melding - ukemelding	\N	7365	4334
2011-03-10	bg1101	Status - satt av OD	Planlagt	7384	4335
2011-03-10	Ormen Lange TLP	Status - satt av OD	Under behandling	7404	4336
2011-03-09	ST11305	Status - satt av OD	Under behandling	7403	4337
2011-03-08	ST11453	Status - satt av OD	Planlagt	7386	4338
2011-03-08	bg1103	Status - satt av OD	Under behandling	7402	4339
2011-03-08	ST11304	Status - satt av OD	Under behandling	7401	4340
2011-03-08	ST11302	Status - satt av OD	Planlagt	7374	4341
2011-03-07	ST11307	Status - satt av OD	Under behandling	7399	4342
2011-03-07	ST10330	Melding - endringsmelding	Det er ikke så mye som gjenstår av ST10330 Undersøkelsen, men med værmeldingene for kommende uke, er det det sjanser for at vi ikke kommer til å bli ferdig til 16 mars som tidligrere innmeldt. Vi anmoder derfor å få holde med innsamlingen til 2 April i tilfelle det skulle bli nødvendig.	7367	4343
2011-03-07	BPN0301_13	Status - satt av OD	Planlagt	7376	4344
2011-03-07	ST10329	Melding - ukemelding	\N	7368	4345
2011-03-07	ST10330	Melding - ukemelding	\N	7367	4346
2011-03-07	WIN1102	Melding - ukemelding	\N	7366	4347
2011-03-07	RS1101	Status - satt av OD	Under behandling	7398	4348
2011-03-03	Dg 1101	Melding - ukemelding	Ingen datainnsamling siste uke pga av vær. Vi har søkt om forlengelse av undersøkelsesperioden. Lite seismikkinnsamling gjenstår.	7365	4349
2011-03-02	CGGV-11-01	Status - satt av OD	Planlagt	7380	4350
2011-03-02	ST11306	Status - satt av OD	Under behandling	7397	4351
2011-03-02	WIN1103	Status - satt av OD	Pågående	7388	4352
2011-03-02	WIN1103	Melding - oppstartsmelding	\N	7388	4353
2011-03-01	MC2D-CNS2011	Melding - ukemelding	Ukemelding for Uke 8.	7370	4354
2011-03-01	LN1152	Melding - sluttmelding	\N	7373	4355
2011-03-01	LN1152	Status - satt av OD	Ferdig	7373	4356
2011-03-01	PON1101	Status - satt av OD	Under behandling	7396	4357
2011-03-01	MBT1b	Status - satt av OD	Under behandling	7395	4358
2011-03-01	LO1101	Status - satt av OD	Under behandling	7394	4359
2011-02-28	DN1102	Status - satt av OD	Under behandling	7393	4360
2011-02-28	Dg 1101	Melding - endringsmelding	DONG E&P Norge søker om forlengelse av undersøkelsesperioden til 8. april 2011 (nåværende utgår 8. mars). Håper på rask tilbakemelding. Grunnet dårlig vær er undersøkelsen desverre ikke blitt ferdig. Det gjenstår imidlertid kun 30 CDP km med analoge linjer (mini luftkanon og sonar). Det er forventet å ta ca 10-12 timer med effektiv innsamling. I tillegg gjenstår CPTer og miljøundersøkelse, men dette arbeidet krever ikke tillatelse slik vi ser det. Det totale antall CDP km for undersøkelsen er redusert fra 500 km til 371. Vi vil også skifte ut fiskerikyndige ombord. Fra ca 6. mars blir det en person. Mest sannsynlig Rolf Jensen, alternativt Roger Sørensen.Det har ikke vært konflikter med fiskeri. Fisket har hovedsaklig foregått 15-20 nm sør for seismikkområdet. En autolinebåt var nærmere, men i god dialog med fiskerikyndige ombord.	7365	4361
2011-02-28	WIN1103	Status - satt av OD	Planlagt	7388	4362
2011-02-28	BPN11302	Status - satt av OD	Under behandling	7392	4363
2011-02-28	BPN11301	Status - satt av OD	Under behandling	7391	4364
2011-02-28	bg1102	Status - satt av OD	Under behandling	7390	4365
2011-02-28	MNR11	Status - satt av OD	Under behandling	7389	4366
2011-02-28	WIN1103	Status - satt av OD	Under behandling	7388	4367
2011-02-25	FP1150	Status - satt av OD	Under behandling	7387	4368
2011-02-25	DN1101	Melding - endringsmelding	Endring gjelder: Ny oppstartdato.Området er kartlagt i 2009 og 2010. Det skal foretas noe ekstra kartlegging ifbm planlegging av utbygging. Fugro Survey AS håndterer prosessen med meldinger på vegne av Detnor, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646.	7375	4369
2011-02-25	LN1151	Melding - sluttmelding	\N	7371	4370
2011-02-24	LN1151	Status - satt av OD	Ferdig	7371	4371
2011-02-24	LN1152	Status - satt av OD	Pågående	7373	4372
2011-02-24	LN1152	Melding - oppstartsmelding	Båten er på vei ut og vi håper å kunne starte i dag/morgen. Vi har redusert surveyen med ca 40%.	7373	4373
2011-02-23	WIN1102	Melding - endringsmelding	Endring av området.	7366	4374
2011-02-23	Dg 1101	Melding - ukemelding	\N	7365	4375
2011-02-23	bg1101	Melding - endringsmelding	\N	7384	4376
2011-02-21	ST11453	Status - satt av OD	Under behandling	7386	4377
2011-02-21	BPN11101	Status - satt av OD	Under behandling	7385	4378
2011-02-21	ST10330	Melding - ukemelding	\N	7367	4379
2011-02-21	ST10329	Melding - ukemelding	\N	7368	4380
2011-02-21	bg1101	Melding - endringsmelding	\N	7384	4381
2011-02-21	CGGV-11-01	Melding - endringsmelding	Endringsmelding gjelder ny tidsperiode, undersøkelsen er estimert til kun å ta 2 dager.	7380	4382
2011-02-21	Dg 1101	Melding - ukemelding	\N	7365	4383
2011-02-18	WIN1102	Melding - oppstartsmelding	\N	7366	4384
2011-02-18	MC2D-CNS2011	Melding - endringsmelding	Navn på fiskerikyndig.	7370	4385
2011-02-18	WIN1102	Status - satt av OD	Pågående	7366	4386
2011-02-15	WIN1102	Melding - endringsmelding	Det er 2-D undersøkelse	7366	4387
2011-02-14	LN1152	Melding - endringsmelding	Denne meldingen gjelder kun fiskerikyndig person.	7373	4388
2011-02-14	ST10329	Melding - ukemelding	\N	7368	4389
2011-02-14	ST10330	Melding - ukemelding	\N	7367	4390
2011-02-14	WIN1102	Melding - endringsmelding	Fiskerikyndige	7366	4391
2011-02-14	ST10329	Melding - endringsmelding	Det kan være at ST10329 innsamlingen ikke er ferdig til 1 Mars. Vi anmoder derfor om utvidet tidsperiode i tilfelle vi skulle trenge det. Undersøkelsen er også økt med ca 55 km for å kunne dekke flere Avlastnings Brønn lokasjoner i større avstand fra Hovedbrønnen. Ny Fiskerikyndig fra ca. 24 Februar er oppført.	7368	4392
2011-02-11	MC2D-CNS2011	Melding - endringsmelding	Endrings melding:Utvidelse av innsamlingsperioden til 10 Mars 2011.	7370	4393
2011-02-10	bg1101	Status - satt av OD	Under behandling	7384	4394
2011-02-10	LN1152	Status - satt av OD	Planlagt	7373	4395
2011-02-10	LN1151	Melding - oppstartsmelding	\N	7371	4396
2011-02-10	LN1151	Status - satt av OD	Pågående	7371	4397
2011-02-10	ST10330	Melding - endringsmelding	Ny fiskerikyndig	7367	4398
2011-02-10	ST10329	Melding - endringsmelding	Ny fiskerikyndig	7368	4399
2011-02-10	WIN1102	Melding - endringsmelding	FiskerikyndigBåtTilleggs linje, 2D	7366	4400
2011-02-10	ST11001	Status - satt av OD	Under behandling	7382	4401
2011-02-10	Dg 1101	Melding - ukemelding	\N	7365	4402
2011-02-10	MC2D-CNS2011	Status - satt av OD	Pågående	7370	4403
2011-02-08	CGGV-11-01	Status - satt av OD	Under behandling	7380	4404
2011-02-08	MC3D-SVG11	Status - satt av OD	Planlagt	7378	4405
2011-02-08	DN1101	Status - satt av OD	Planlagt	7375	4406
2011-02-07	MC3D-HVG2011	Status - satt av OD	Under behandling	7379	4407
2011-02-07	ST10329	Melding - ukemelding	\N	7368	4408
2011-02-07	ST10330	Melding - ukemelding	\N	7367	4409
2011-02-02	MC2D-CNS2011	Melding - oppstartsmelding	\N	7370	4410
2010-12-22	ST10327	Melding - endringsmelding	Fiskerikyndig	7363	4490
2011-02-02	MC2D-CNS2011	Melding - endringsmelding	Endring av Fiskerikyndig Person.Den nye fiskerikyndige for innsamlingen er Rolf Kåre Jensen.	7370	4411
2011-02-01	Dg 1101	Melding - ukemelding	\N	7365	4412
2011-02-01	LN1151	Status - satt av OD	Planlagt	7371	4413
2011-01-31	ST10329	Melding - ukemelding	\N	7368	4414
2011-01-31	ST10330	Melding - ukemelding	\N	7367	4415
2011-01-27	ST10330	Melding - endringsmelding	Grunnet dårlig vær er det sjanser for at vi ikke kommer til å bli ferdig med ST10330 innsamlingen til 16 Februar som planlagt. Vi anmoder derfor om utvidet innsamlins periode frem til 16 Mars,om det skulle behøves. I tillegg er antall linje km øket for å kunne dekke opp for Avlastningsbrønner i varierende avstander fra Hovedbrønnen.	7367	4416
2011-01-26	Dg 1101	Melding - ukemelding	\N	7365	4417
2011-01-25	CP10L01	Status - satt av OD	Ferdig	7349	4418
2011-01-25	CP10L01	Melding - sluttmelding	\N	7349	4419
2011-01-25	CP10L01	Melding - ukemelding	\N	7349	4420
2011-01-24	MC3D-SVG11	Status - satt av OD	Under behandling	7378	4421
2011-01-24	MC3D-NVG11	Status - satt av OD	Under behandling	7377	4422
2011-01-24	BPN0301_13	Status - satt av OD	Under behandling	7376	4423
2011-01-24	ST10329	Melding - endringsmelding	Fiskerikyndig	7368	4424
2011-01-24	ST10329	Melding - ukemelding	\N	7368	4425
2011-01-24	ST10330	Melding - ukemelding	\N	7367	4426
2011-01-24	ST10329	Melding - oppstartsmelding	Det er samlet inn ca 19 km seismikk og foretatt 2 CPT Målinger. fartøy på vei til Bergen (22.Januar)	7368	4427
2011-01-24	ST10329	Status - satt av OD	Pågående	7368	4428
2011-01-21	MC2D-CNS2011	Melding - endringsmelding	Oppdatering av området	7370	4429
2011-01-21	Dg 1101	Melding - endringsmelding	Fartøyet er nå på plass og har fått satt ut en strømmåler. Det er for tiden for høy sjø til å foreta datainnsamling. Basert på bølgebegrensninger for utstyret og værforholdene ser vi det som nødvendig å forlenge søknaden for innsamlingsperiode til 8. mars 2011. Totalt effektiv innsamlingstid er fremdeles stipulert til ca 10 dager. CPD km og båt km er oppgitt med nye anslag (redusert).	7365	4430
2011-01-20	Dg 1101	Status - satt av OD	Pågående	7365	4431
2011-01-20	Dg 1101	Melding - oppstartsmelding	Oppstart er avhengig av været, men vi håper å kunne starte en periode med analoge linjer.	7365	4432
2011-01-19	RS1003	Melding - sluttmelding	Undersøkelsen ble avsluttet fredag 14. januar 2011	7360	4433
2011-01-18	ST11301	Status - satt av OD	Planlagt	7372	4434
2011-01-18	CP10L01	Melding - ukemelding	\N	7349	4435
2011-01-17	ST10330	Melding - ukemelding	\N	7367	4436
2011-01-17	RS1003	Status - satt av OD	Ferdig	7360	4437
2011-01-14	LN1151	Melding - endringsmelding	Koordinatene på boksen vi vil jobbe innefor er endret noe	7371	4438
2011-01-14	DN1101	Status - satt av OD	Under behandling	7375	4439
2011-01-14	ST11302	Status - satt av OD	Under behandling	7374	4440
2011-01-14	ST10327	Melding - sluttmelding	\N	7363	4441
2011-01-14	ST10327	Status - satt av OD	Ferdig	7363	4442
2011-01-14	BPN0301_12	Melding - endringsmelding	Klassifisering endret vedr deltype = ikke relevant	7300	4443
2011-01-13	ST10330	Melding - endringsmelding	Navn på fiskerikyndig	7367	4444
2011-01-12	LN1152	Status - satt av OD	Under behandling	7373	4445
2011-01-11	RS1003	Melding - endringsmelding	Endringsmeldingen gjelder bytte av båt til Fugro Searcher. Surveyen plannlegges oppstartet igjen 12. januar 2011	7360	4446
2011-01-11	RS1003	Status - satt av OD	Pågående	7360	4447
2011-01-11	CP10L01	Melding - ukemelding	\N	7349	4448
2011-01-10	ST10330	Melding - ukemelding	\N	7367	4449
2011-01-10	ST10327	Melding - ukemelding	\N	7363	4450
2011-01-10	MC2D-CNS2011	Status - satt av OD	Planlagt	7370	4451
2011-01-05	ST10326	Melding - sluttmelding	\N	7362	4452
2011-01-05	ST10327	Status - satt av OD	Pågående	7363	4453
2011-01-05	ST10327	Melding - oppstartsmelding	På grunn av vær er ikke noe arbeid utført enda. M/V Sea Explorer er på vei til Haugesund.	7363	4454
2011-01-05	ST10326	Melding - oppstartsmelding	\N	7362	4455
2011-01-05	ST10326	Status - satt av OD	Ferdig	7362	4456
2011-01-04	ST10328	Melding - sluttmelding	\N	7364	4457
2011-01-04	ST10330	Melding - ukemelding	\N	7367	4458
2011-01-04	ST10328	Status - satt av OD	Ferdig	7364	4459
2011-01-04	RS1003	Melding - ukemelding	Borestedundersøkelsen er midlertidig avsluttet. Planlegges oppstartet igjen ca 8.-10. januar med båten Fugro Searcher.	7360	4460
2011-01-04	CP10L01	Melding - ukemelding	\N	7349	4461
2011-01-04	LN1057	Melding - sluttmelding	\N	7357	4462
2011-01-04	LN1057	Status - satt av OD	Ferdig	7357	4463
2011-01-03	LN1057	Melding - endringsmelding	Navn på fiskerikyndig.	7357	4464
2011-01-03	LN1057	Melding - oppstartsmelding	\N	7357	4465
2011-01-03	LN1057	Status - satt av OD	Pågående	7357	4466
2011-01-03	LN1056	Melding - sluttmelding	\N	7351	4467
2011-01-03	LN1056	Status - satt av OD	Ferdig	7351	4468
2011-01-03	RS1003	Status - satt av OD	Pause	7360	4469
2011-01-03	Dg 1101	Status - satt av OD	Planlagt	7365	4470
2010-12-30	WIN1102	Status - satt av OD	Planlagt	7366	4471
2010-12-29	ST10329	Melding - endringsmelding	Navn få Fiskerikyndig	7368	4472
2010-12-29	ST11301	Status - satt av OD	Under behandling	7372	4473
2010-12-28	CP10L01	Melding - ukemelding	\N	7349	4474
2010-12-27	ST10328	Melding - oppstartsmelding	Startet opp i går, 26 December. Har fått utført 6 av 9 CPT målinger. Været er nå så dårlig at M/V Sea Explorer ligger i Kristiansund N.	7364	4475
2010-12-27	ST10328	Status - satt av OD	Pågående	7364	4476
2010-12-27	RS1003	Melding - ukemelding	\N	7360	4477
2010-12-27	ST10330	Melding - ukemelding	\N	7367	4478
2010-12-27	ST10325	Melding - sluttmelding	\N	7356	4479
2010-12-27	ST10325	Status - satt av OD	Ferdig	7356	4480
2010-12-27	ST10323	Melding - sluttmelding	\N	7344	4481
2010-12-27	ST10323	Status - satt av OD	Ferdig	7344	4482
2010-12-27	ST10330	Melding - oppstartsmelding	\N	7367	4483
2010-12-27	ST10330	Status - satt av OD	Pågående	7367	4484
2010-12-23	ST10329	Status - satt av OD	Planlagt	7368	4485
2010-12-23	LN1151	Status - satt av OD	Under behandling	7371	4486
2010-12-23	ST10330	Status - satt av OD	Planlagt	7367	4487
2010-12-22	RS1003	Status - satt av OD	Pågående	7360	4488
2010-12-22	RS1003	Melding - oppstartsmelding	Fartøyet ankommer surveyområdet i løpet av dagen	7360	4489
2010-12-22	ST10326	Melding - endringsmelding	Fiskerikyndig	7362	4491
2010-12-21	ST10330	Melding - endringsmelding	Bytte av båt	7367	4492
2010-12-21	ST10328	Melding - endringsmelding	Navn på fiskerikyndig	7364	4493
2010-12-21	ST10323	Melding - endringsmelding	Skifte av fiskerikyndig	7344	4494
2010-12-21	CP10L01	Melding - ukemelding	\N	7349	4495
2010-12-21	ST10325	Melding - ukemelding	\N	7356	4496
2010-12-21	ST10325	Melding - ukemelding	\N	7356	4497
2010-12-21	ST10325	Melding - ukemelding	\N	7356	4498
2010-12-20	ST10325	Melding - ukemelding	\N	7356	4499
2010-12-20	MC2D-CNS2011	Status - satt av OD	Under behandling	7370	4500
2010-12-20	ST10330	Melding - endringsmelding	Navn på fiskerikyndig	7367	4501
2010-12-20	ST10323	Melding - ukemelding	\N	7344	4502
2010-12-17	LN1056	Melding - ukemelding	\N	7351	4503
2010-12-17	RS1003	Melding - endringsmelding	Utvidet gross området noe samt skifte av hovedfartøy og fartøyets relevante informasjon	7360	4504
2010-12-15	ST10327	Status - satt av OD	Planlagt	7363	4505
2010-12-15	LN1057	Melding - endringsmelding	Grunnet store forsinkelser på LN1056 vil denne surveyen også bli veldig forsinket. Vi søker om utvidelse fra 19 desember til 30 januar. Vi tror vi vil være ferdig lenge før dette, men for å være på den sikkre siden søker vi om et litt lengre tidsrom. Det gjennstår 4 dager effektivt arbeid på LN1056 og 2-3 dager på LN1057.	7357	4506
2010-12-15	LN1056	Melding - endringsmelding	Vi har nå igjen ca 35% av arbeidet på LN1056 og grunnet mye dårlig vær så må vi søke om forlengelse av arbeidsperioden frem til 7 januar. Vi tror vi er ferdig før det, men skulle det bli mye forsinkelser går dagen raskt mot 7 januar.	7351	4507
2010-12-14	CP10L01	Melding - endringsmelding	Grunnet dårlig vær og tekniske problemer med skyteutstyret er det forventet at undersøkelsen først vil være avsluttet i andre havdel av januar 2011.	7349	4508
2010-12-14	CP10L01	Melding - ukemelding	\N	7349	4509
2010-12-13	ST10325	Melding - endringsmelding	Vi søker om forlengelse av innsamlings periode, da det kan bli nødvendig. Opplysinger om fartøy er også oppdatert da vi ikke bruker Fugro Discovery, men Ocean Observer for denne innsamlingen. Bortsett fra dette, ingen endringer.	7356	4510
2010-12-13	ST10325	Melding - endringsmelding	Ny fiskerikyndig fra 20.12.2010	7356	4511
2010-12-13	ST10323	Melding - ukemelding	\N	7344	4512
2010-12-13	ST10325	Melding - ukemelding	\N	7356	4513
2010-12-10	LN1056	Melding - ukemelding	Dette blir en oppdatering fra vi startet surveyet og frem til i dag. Vi har glemt å sende inn for de tidligere ukene.	7351	4514
2010-12-08	ST10329	Status - satt av OD	Under behandling	7368	4515
2010-12-07	CP10L01	Melding - ukemelding	\N	7349	4516
2010-12-07	LN1056	Melding - endringsmelding	Surveyet er i full gang, men grunnet mye dårlig vær og at surveyet har blitt betydlig større så er vi litt forsinket. Vi har tillatelse frem til 10 desember men vil nok trenge ca 1 til 2 uker ekstra. Vi kjører et stort CPT program også, men dette er ferdig i løpet av denne uken.	7351	4517
2010-12-07	ST10323	Melding - ukemelding	\N	7344	4518
2010-12-06	nx1051	Melding - sluttmelding	Innsamlingen ble avsluttet 0630 lørdag 4. desember og fartøyet forlot lokasjone 1230 samme dag.	7199	4519
2010-12-06	nx1051	Status - satt av OD	Ferdig	7199	4520
2010-12-06	ST10325	Melding - ukemelding	\N	7356	4521
2010-12-06	ST10324	Melding - sluttmelding	Undersøkelsen ble avsluttet i dag	7355	4522
2010-12-06	ST10330	Status - satt av OD	Under behandling	7367	4523
2010-12-06	RS1003	Melding - endringsmelding	Endringene gjelder litt forandring på området, navn på fiskerirep samt oppdatering av fartøynavn, etc, etc	7360	4524
2010-12-06	ST10325	Melding - oppstartsmelding	M/V Ocean Observer er på vei til ST10325 området.	7356	4525
2010-12-06	WIN1102	Status - satt av OD	Under behandling	7366	4526
2010-12-06	ST10324	Status - satt av OD	Ferdig	7355	4527
2010-12-06	ST10325	Status - satt av OD	Pågående	7356	4528
2010-12-02	ST10325	Melding - endringsmelding	Navn på fiskerikyndig	7356	4529
2010-12-02	Dg 1101	Status - satt av OD	Under behandling	7365	4530
2010-12-02	ST10328	Melding - endringsmelding	Navn på fiskerikyndig	7364	4531
2010-11-30	CP10L01	Melding - ukemelding	\N	7349	4532
2010-11-29	nx1051	Melding - ukemelding	Our digital acquisition might not be completely finished when our permits expire on Nov.30 so I submitted an Endringsmelding asking for an extension to the end of December.  Please let me know if we may continue to acquire into December.	7199	4533
2010-11-29	ST10326	Status - satt av OD	Planlagt	7362	4534
2010-11-29	ST10328	Status - satt av OD	Planlagt	7364	4535
2010-11-29	ST10324	Melding - ukemelding	\N	7355	4536
2010-11-29	ST10323	Melding - ukemelding	\N	7344	4537
2010-11-29	ST10007	Status - satt av OD	Ferdig	7272	4538
2010-11-29	ST10007	Melding - sluttmelding	\N	7272	4539
2010-11-29	ST10007	Melding - ukemelding	\N	7272	4540
2010-11-29	CE1002	Status - satt av OD	Ferdig	7361	4541
2010-11-29	CE1002	Melding - sluttmelding	MV Bucentaur has completed its work on site and started sailing to Newcastle at 15:30 today.	7361	4542
2010-11-26	ST10323	Melding - endringsmelding	Navn på fiskerikyndig	7344	4543
2010-11-26	ST10323	Melding - endringsmelding	Navn på fisekrikyndig	7344	4544
2010-11-25	ST10328	Status - satt av OD	Under behandling	7364	4545
2010-11-25	ST10323	Melding - oppstartsmelding	Undersøkelsen startet opp kort tid etter midnatt 24/25 November.	7344	4546
2010-11-25	ST10323	Status - satt av OD	Pågående	7344	4547
2010-11-25	EMGS1004	Melding - endringsmelding	Feil i systemet - er rettet opp til elektromagnetisk udnersøkelse.	7202	4548
2010-11-24	PM 05-2010	Melding - endringsmelding	PGA sykdom endres fiskerikyndig	7307	4549
2010-11-24	CE1002	Status - satt av OD	Pågående	7361	4550
2010-11-24	CE1002	Melding - oppstartsmelding	Bucentaur is departing Bergen this evening.  ETA on location in Block 8/10 is 22:00hrs 24th November.	7361	4551
2010-11-24	nx1051	Melding - endringsmelding	Continuing bad weather has delayed the survey further. It is unlikely we can finish by November 30 as planned. Requesting a further extension until December 31, 2010	7199	4552
2010-11-23	ST10327	Status - satt av OD	Under behandling	7363	4553
2010-11-23	ST10310	Status - satt av OD	Ferdig	7330	4554
2010-11-23	ST10310	Melding - sluttmelding	\N	7330	4555
2010-11-23	CP10L01	Melding - ukemelding	\N	7349	4556
2010-11-23	ST10467	Status - satt av OD	Ferdig	7359	4557
2010-11-23	ST10467	Melding - sluttmelding	\N	7359	4558
2010-11-22	nx1051	Melding - ukemelding	373 km analoge data samlet inn siste uke. Hele den analoge delen på 476 km er nå ferdigstilt.Det er også gjennomført 4 av 5 CPT.	7199	4559
2010-11-22	Ormen L-Geodesy	Status - satt av OD	Ferdig	7321	4560
2010-11-22	Ormen L-Geodesy	Melding - sluttmelding	\N	7321	4561
2010-11-22	ST10007	Melding - ukemelding	\N	7272	4562
2010-11-22	ST10324	Melding - ukemelding	\N	7355	4563
2010-11-22	ST10321	Status - satt av OD	Ferdig	7331	4564
2010-11-22	ST10321	Melding - sluttmelding	\N	7331	4565
2010-11-22	ST10310	Melding - oppstartsmelding	Undersøkelsen startet opp kort tid etter at undersøkelse ST10321 i samme Blokk ble avsluttet.	7330	4566
2010-11-22	ST10310	Status - satt av OD	Pågående	7330	4567
2010-11-22	CE1002	Status - satt av OD	Planlagt	7361	4568
2010-11-22	ST10467	Melding - oppstartsmelding	\N	7359	4569
2010-11-22	ST10467	Status - satt av OD	Pågående	7359	4570
2010-11-19	ST10324	Melding - endringsmelding	Navn på fiskerikyndig	7355	4571
2010-11-19	ST10323	Melding - endringsmelding	Navn på fisekrikyndig	7344	4572
2010-11-19	MCG1001	Melding - endringsmelding	presisering og prioritering av området;endring av båt;endring av feskerikundige	7209	4573
2010-11-19	MCG1001	Melding - endringsmelding	presisering og prioritering av området;endring av båt;endring av feskerikundige	7209	4574
2010-11-19	EO1004	Melding - ukemelding	\N	7301	4575
2010-11-19	EO1004	Melding - sluttmelding	\N	7301	4576
2010-11-19	EO1004	Status - satt av OD	Ferdig	7301	4577
2010-11-19	Ormen L Mid	Status - satt av OD	Ferdig	7340	4578
2010-11-19	Ormen L Mid	Melding - sluttmelding	\N	7340	4579
2010-11-19	MCG1001	Melding - endringsmelding	Lagt inn UKOOA fil - korrigert	7209	4580
2010-11-17	ST10326	Status - satt av OD	Under behandling	7362	4581
2010-11-16	ST10324	Melding - oppstartsmelding	M/V Ocean Observer ankom Blokk 16/2 i løpet av morgenen idag. Seismikk innsamling er ikke kommet i gang enda.	7355	4582
2010-11-16	ST10324	Status - satt av OD	Pågående	7355	4583
2010-11-16	ST10315	Status - satt av OD	Ferdig	7266	4584
2010-11-16	ST10315	Melding - sluttmelding	\N	7266	4585
2010-11-15	ST10321	Melding - ukemelding	\N	7331	4586
2010-11-15	CP10L01	Melding - ukemelding	\N	7349	4587
2010-11-15	ST10315	Melding - ukemelding	\N	7266	4588
2010-11-15	nx1051	Melding - ukemelding	Analogue survey 80.4% completeDigital Survey 0 % complete	7199	4589
2010-11-15	ST10007	Melding - ukemelding	\N	7272	4590
2010-11-15	CE1002	Status - satt av OD	Under behandling	7361	4591
2010-11-15	Ormen L Mid	Status - satt av OD	Pause	7340	4592
2010-11-15	Ormen L-Geodesy	Status - satt av OD	Pågående	7321	4593
2010-11-11	ST10324	Melding - endringsmelding	Navn på fiskerikyndig	7355	4594
2010-11-11	ST10321	Melding - oppstartsmelding	Undersøkelsen startet opp rett etter Midnatt 09/10 November. På grunn av forventet dårlig vær, er nå M/V Sea Explorer på vei inn til Bergen. Tross det, ca halvparten av ST10321 ble ferdig 10 November.	7331	4595
2010-11-11	ST10321	Status - satt av OD	Pågående	7331	4596
2010-11-11	EO1004	Melding - ukemelding	\N	7301	4597
2010-11-11	CP10L01	Status - satt av OD	Pågående	7349	4598
2010-11-11	CP10L01	Melding - oppstartsmelding	\N	7349	4599
2010-11-10	LN1056	Melding - endringsmelding	Dette er endring på fiskerikyndig	7351	4600
2010-11-10	LN1056	Melding - endringsmelding	Dette er endring på fiskerikyndig	7351	4601
2010-11-10	LN1056	Status - satt av OD	Pågående	7351	4602
2010-11-10	LN1056	Melding - oppstartsmelding	Det vil være samme fiskerikyndig frem til 24 november, Jan Helge Williksen så tar Per H. Jensen over. Det kommer en endringsmelding på dette.	7351	4603
2010-11-10	LN1055	Status - satt av OD	Ferdig	7353	4604
2010-11-10	LN1055	Melding - sluttmelding	\N	7353	4605
2010-11-10	ST10007	Melding - endringsmelding	Gjeldende tillatelse går ut 30 november og det gjenstår nå 2 Patcher på denne undersøkelsen. På grunn av ustabile værforhold er det vanskelig å vite når denne surveyen blir ferdig, og en må derfor be om utvidelse av tillatelsen en har i tilfelle en ikke blir ferdig til 30 november.For å være på den sikre siden ber vi nå om utvidelse til 31 Desember, men regner med å være ferdig i god tid før det.	7272	4606
2010-11-09	ST10323	Melding - endringsmelding	På grunn av dårlig vær har vi ikke kunne starte undersøkelsen, søker derfor om utvidet periode for innsamling.	7344	4607
2010-11-09	Ormen L Mid	Melding - ukemelding	Ved slutten av Uke 44 var 25% av planlagt arbeid fullført. Arbeidet vil nå bli redusert til ca. 50% av opprinnelig plan, og en regner med å avslutte operasjonen 11.11.2010.	7340	4608
2010-11-09	Ormen L Mid	Melding - oppstartsmelding	\N	7340	4609
2010-11-08	Ormen L Mid	Status - satt av OD	Pågående	7340	4610
2010-11-08	Ormen L Mid	Status - satt av OD	Pågående	7340	4611
2010-11-08	ST10315	Melding - ukemelding	Ocean Observer fikk arbeidet noe i løpet av Helgen.	7266	4612
2010-11-08	Ormen L-Geodesy	Melding - endringsmelding	Ormen L-Geodesy er blitt utsatt fordi fartøyet Normand Subsea måtte benyttes til Ormen Lange Mid (OD ref 7340).	7321	4613
2010-11-08	ST10010	Melding - sluttmelding	\N	7323	4614
2010-11-08	ST10010	Melding - ukemelding	\N	7323	4615
2010-11-08	nx1051	Melding - ukemelding	Vessel on location Friday 5th November. No acquisition due to bad weather.	7199	4616
2010-11-08	ST10007	Melding - ukemelding	\N	7272	4617
2010-11-08	ST10010	Status - satt av OD	Ferdig	7323	4618
2010-11-05	EO1004	Melding - endringsmelding	Utvidelse av tidsperioden til 06.12.10 grunnet værforhold.	7301	4619
2010-11-05	LN1001	Melding - sluttmelding	På grunn av meget dårlig vær i området er innsamlingen midlertidig stoppet. Planen er å fullføre våren 2011.	7285	4620
2010-11-04	LN1001	Status - satt av OD	Ferdig	7285	4621
2010-11-03	RS1003	Status - satt av OD	Planlagt	7360	4622
2010-11-02	nx1051	Melding - ukemelding	\N	7199	4623
2010-11-01	ST10315	Melding - oppstartsmelding	Vi fikk startet opp denne undersøkelsen i går, 31 Okt. Så langt er det bare analoge data som er blitt samlet inn, 22 km til midnatt 31 Okt / 01 Nov. Det er dårlige varsel for området,så de går sannsynlig til Haugesund i løpet av kvelden.	7266	4624
2010-11-01	ST10315	Status - satt av OD	Pågående	7266	4625
2010-11-01	ST10010	Melding - ukemelding	\N	7323	4626
2010-11-01	ST10007	Melding - ukemelding	\N	7272	4627
2010-11-01	LN1001	Melding - ukemelding	\N	7285	4628
2010-11-01	Ormen L-Geodesy	Status - satt av OD	Pause	7321	4629
2010-10-29	ST10456	Status - satt av OD	Ferdig	7312	4630
2010-10-29	ST10456	Melding - sluttmelding	\N	7312	4631
2010-10-28	EO1004	Melding - endringsmelding	New fishery expert arriving onboard in Sandnessjøen.	7301	4632
2010-10-28	ST10321	Melding - endringsmelding	Navn på fiskerikyndig	7331	4633
2010-10-28	ST10310	Melding - endringsmelding	Navn på fiskerikyndig	7330	4634
2010-10-28	LN1055	Status - satt av OD	Pågående	7353	4635
2010-10-28	LN1055	Melding - oppstartsmelding	Jan Helge Williksen, Postboks 239,  7901 Rørvik. Mob 977 29 843. Nærmeste pårørende: Hustru Norunn Andrea Williksen, samme adr. Hennes mob. 473 34 179	7353	4636
2010-10-28	LN1055	Melding - endringsmelding	Endringen er kun en oppdatering på fiskerikyndig. Oppstartsmelding laget og vil bli sendt	7353	4637
2010-10-26	EO1004	Melding - ukemelding	\N	7301	4638
2010-10-26	nx1051	Status - satt av OD	Pågående	7199	4639
2010-10-26	nx1051	Melding - oppstartsmelding	Survey actually started upon completion of NX1053 (Skarfjell) on October 17, but vessel has been in port (Bergen) since that time sheltering from weather and we dont know when it will be able to start acquiring data.	7199	4640
2010-10-26	ST10324	Melding - endringsmelding	Endring gjelder utvidelse av området, for å kunne dekke en ny brønnlokasjon. Området økes med 2 bredde minutt i nord. Andre endringer; Antall km økes, og vi skifter til et fartøy vi kan få ganske snart.	7355	4641
2010-10-26	nx1051	Melding - ukemelding	The vessel (Ocean Researcher) is waiting in Bergen - sheltering from bad weather. Will begin survey as soon as weather permits.	7199	4642
2010-10-25	ST10010	Melding - ukemelding	\N	7323	4643
2010-10-25	LN1001	Melding - ukemelding	\N	7285	4644
2010-10-25	ST10007	Melding - ukemelding	\N	7272	4645
2010-10-25	LN1001	Melding - endringsmelding	Bytte av Fiskerikyndig til Øystein Korneliussen	7285	4646
2010-10-25	ST10456	Melding - endringsmelding	Fartøyet Bucentaur har i dag 24.10.10 midlertidig avsluttet grunnundersøkelsen på Dagny feltet og seiler nå til Stavanger, fordi boreriggen Ocean Vanguard har fått prioritet til å jobbe på det området som omfattes av grunnundersøkelsen.Statoil vil nå undersøke muligheten for at Bucentaur kan gjennoppta og fullføre grunnundersøkelsen på Dagny fra ca. 08.11.10. etter at Bucentaur har utført en annen grunnundersøkelse for Statoil på Mariner&Bressay feltet.	7312	4647
2010-10-25	nx1051	Melding - endringsmelding	Because of ongoing weather delays, I must extend the possible ending date until the end of November. The vessel is in port in Bergen and will sail as soon as the weather conditions permit. Also, the Fishing Observer (FLO) has changed - new FLO came onboard on Wednesday October 20.	7199	4648
2010-10-25	ST10456	Status - satt av OD	Pause	7312	4649
2010-10-22	ST10315	Melding - endringsmelding	Endring besår i at det blir skifte av fartøy for innsamlingen, ikke noe annet.	7266	4650
2010-10-22	LN1001	Melding - endringsmelding	På grunn av ekstremt dårlig vær i Barentshavet søkes det om forlengelse av surveyperioden til 10.11.2010	7285	4651
2010-10-22	ST10010	Melding - endringsmelding	Denne endringsmeldingen gjelder ny ferdigstillelsesdato. På grunn av vær situasjonen en nå har er det svært vanskelig å estimere avslutningsdato for undersøkelsen. Det gjenstår ca 3 dagers effektivt arbeid før en er ferdig. Tillatelsen en har i dag gjelder til 1 November, men en kan ikke være sikre på at en er ferdig til den tid. For å slippe stadige endringsmeldinger har jeg  derfor satt ny dato til 30 November, men forhåentligvis er vi ferdige i god tid før denne dato.	7323	4652
2010-10-20	CGR2010P3	Melding - sluttmelding	\N	7342	4653
2010-10-20	CGR2010P3	Status - satt av OD	Ferdig	7342	4654
2010-10-19	MBT1	Status - satt av OD	Ferdig	7347	4655
2010-10-19	MBT1	Melding - sluttmelding	\N	7347	4656
2010-10-19	MBT1	Melding - ukemelding	\N	7347	4657
2010-10-19	EO1004	Melding - ukemelding	\N	7301	4658
2010-10-19	NX1053	Melding - sluttmelding	Analog acquisition on this survey was completed on October 17 and the vessel transited to Bergen to shelter from bad weather	7320	4659
2010-10-19	NX1053	Status - satt av OD	Ferdig	7320	4660
2010-10-18	ST10310	Melding - endringsmelding	Endret Område	7330	4661
2010-10-18	ST10018	Status - satt av OD	Ferdig	7350	4662
2010-10-18	ST10018	Melding - sluttmelding	\N	7350	4663
2010-10-18	CGR2010P3	Melding - ukemelding	Ukemelding for uke 41.	7342	4664
2010-10-18	ST10007	Melding - ukemelding	\N	7272	4665
2010-10-18	MNR10	Melding - sluttmelding	\N	7224	4666
2010-10-18	MNR10	Melding - ukemelding	\N	7224	4667
2010-10-18	ST10325	Status - satt av OD	Planlagt	7356	4668
2010-10-18	ST10467	Status - satt av OD	Planlagt	7359	4669
2010-10-18	LN1001	Melding - ukemelding	Ingen innsamling på grunn av vær	7285	4670
2010-10-18	ST10456	Melding - oppstartsmelding	\N	7312	4671
2010-10-18	ST10462	Melding - sluttmelding	\N	7336	4672
2010-10-18	LN1002	Melding - sluttmelding	\N	7284	4673
2010-10-18	LN1002	Status - satt av OD	Ferdig	7284	4674
2010-10-18	MNR10	Status - satt av OD	Ferdig	7224	4675
2010-10-18	ST10456	Status - satt av OD	Pågående	7312	4676
2010-10-18	ST10462	Status - satt av OD	Ferdig	7336	4677
2010-10-15	ST10018	Status - satt av OD	Pågående	7350	4678
2010-10-15	ST10018	Melding - oppstartsmelding	Undersøkelsen er forventet å starte opp på ettermiddagen/kvelden 15/10-2010	7350	4679
2010-10-15	Ormen L-Geodesy	Melding - ukemelding	Operasjonen er midlertidig stoppet fordi fartøyet skal benyttes til Ormen Lange Mid Geoteknisk (OD ref 7340). Arbeidet gjenopptas når 7340 er fullført. Antatt varighet for 7340 er 2-3 uker.	7321	4680
2010-10-14	ST10308	Melding - sluttmelding	Undersøkelsen ble ferdig kort tid etter midnatt 13 Oktober. M/V Sea Explorer ligger nå ved kai i Bergen.	7308	4681
2010-10-14	ST10308	Status - satt av OD	Ferdig	7308	4682
2010-10-14	ST10462	Melding - oppstartsmelding	\N	7336	4683
2010-10-14	ST10462	Status - satt av OD	Pågående	7336	4684
2010-10-13	RS1003	Status - satt av OD	Under behandling	7360	4685
2010-10-13	ST10010	Melding - endringsmelding	Denne endringsmeldig gjelder forlengelse av tidsrom for undersøkelsen. På grunn av mye timeshare har undersøkelsen tatt mer tid enn tidligere planlagt. En hadde planlagt at en var ferdig til 20 oktober. Dette kan bli vanskelig, så en ber nå om en forlengelse til 1. november.Det er også lagt inn forlengelse av tidsrom for fiskerikyndig,Odd Johan Horremsbakk til 1 November	7323	4686
2010-10-13	ST10467	Status - satt av OD	Under behandling	7359	4687
2010-10-13	ST10461	Status - satt av OD	Ferdig	7335	4688
2010-10-13	ST10461	Melding - sluttmelding	\N	7335	4689
2010-10-12	BPN10303	Status - satt av OD	Ferdig	7327	4690
2010-10-12	BPN10301	Status - satt av OD	Ferdig	7325	4691
2010-10-12	BPN10302	Status - satt av OD	Ferdig	7326	4692
2010-10-12	BPN10303	Melding - sluttmelding	\N	7327	4693
2010-10-12	BPN10301	Melding - sluttmelding	\N	7325	4694
2010-10-12	BPN10302	Melding - sluttmelding	\N	7326	4695
2010-10-12	ST10308	Melding - ukemelding	\N	7308	4696
2010-10-11	NX1053	Melding - ukemelding	Digital program finished, proceeding with analog data acquisition.	7320	4697
2010-10-11	LN1002	Melding - ukemelding	\N	7284	4698
2010-10-11	LN1001	Melding - ukemelding	\N	7285	4699
2010-10-11	MBT1	Melding - ukemelding	\N	7347	4700
2010-10-11	MNR10	Melding - ukemelding	\N	7224	4701
2010-10-11	ST10007	Melding - endringsmelding	Denne endringsmeldig gjelder informasjon om bytte av fiskerikyndig og en mulig utvidelse av ferdigstillelse av prosjektet. Det er tidligere meldt at en regner med å være ferdig 15 november, og det er ikke umulig at en blir ferdig til den tid, med det vil være avhengig av været framover, For å ta høyde for en del dårlig vær framover foreslår en at forventet sluttdato utvides fra 15 november til 30 november.	7272	4702
2010-10-11	CGR2010P3	Melding - ukemelding	Uke melding for uke 41.	7342	4703
2010-10-11	ST10010	Melding - ukemelding	\N	7323	4704
2010-10-11	ST10007	Melding - ukemelding	\N	7272	4705
2010-10-08	ST10321	Melding - endringsmelding	Navn på fiskerikyndig	7331	4706
2010-10-08	ST10461	Status - satt av OD	Pågående	7335	4707
2010-10-08	ST10461	Melding - oppstartsmelding	\N	7335	4708
2010-10-08	ST10458	Status - satt av OD	Ferdig	7288	4709
2010-10-08	ST10458	Melding - sluttmelding	Gjelder avsluttet grunnundersøkelse på Vigdis NE med fartøyet Bucentaur.	7288	4710
2010-10-07	LN1057	Status - satt av OD	Planlagt	7357	4711
2010-10-07	ST10324	Status - satt av OD	Planlagt	7355	4712
2010-10-06	CP10L01	Melding - endringsmelding	Nytt tidspunkt for start av undersøkelse	7349	4713
2010-10-06	ST10458	Melding - oppstartsmelding	Undersøkelsen er geotekniske boringer til ca 25m under sjøbunnen. Undersøkelsen inneholder ikke noen form for seismikk.	7288	4714
2010-10-06	CGR2010P3	Melding - ukemelding	Ukemelding for uke 39.	7342	4715
2010-10-06	ST10458	Status - satt av OD	Pågående	7288	4716
2010-10-06	BPN10303	Melding - endringsmelding	På grunn av stor aktivitet i området må vi utsette oppstart avBPN10303. Innsamlingen er en del av et større program bestående av 7 survey på norsk og engelsk sokkel.Vi planlegger å få utført innsamlingen når PGS2010 og BPN0301_12 er avsluttet og før oppstart av ConocoPhillips LoFS på Ekofisk antatt15.09 – 1.10.10. Innsamlingen vil også være avhengig av været ogperioden 09-16.10 vil være en mulighetIMO nummer for Ocean Seeker er 7012179Utvinningstillatelsens navn skal være 033	7327	4717
2010-10-06	BPN10301	Melding - endringsmelding	På grunn av stor aktivitet i området må vi utsette oppstart avBPN10301. Innsamlingen er en del av et større program bestående av 7 survey på norsk og engelsk sokkel.Vi planlegger å få utført innsamlingen når PGS2010 og BPN0301_12 er avsluttet og før oppstart av ConocoPhillips LoFS på Ekofisk15.09 – 1.10.10. Innsamlingen vil også være avhengig av været ogperioden 09-16.10 vil være en mulighetIMO nummer for Ocean Seeker er 7012179	7325	4718
2010-10-06	BPN10302	Melding - endringsmelding	På grunn av stor aktivitet i området må vi utsette oppstart avBPN10302. Innsamlingen er en del av et større program bestående av 7 survey på norsk og engelsk sokkel.Vi planlegger å få utført innsamlingen når PGS2010 og BPN0301_12 er avsluttet og før oppstart av ConocoPhillips LoFS på Ekofisk antatt15.09 – 1.10.10. Innsamlingen vil også være avhengig av været ogperioden 09-16.10 vil være en mulighetIMO nummer for Ocean Seeker er 7012179	7326	4719
2010-10-06	Ormen L-Geodesy	Status - satt av OD	Pågående	7321	4720
2010-10-06	Ormen L-Geodesy	Melding - oppstartsmelding	\N	7321	4721
2010-10-06	EO1004	Melding - oppstartsmelding	\N	7301	4722
2010-10-06	EO1004	Status - satt av OD	Pågående	7301	4723
2010-10-05	BPN10301	Status - satt av OD	Pågående	7325	4724
2010-10-05	BPN10302	Status - satt av OD	Pågående	7326	4725
2010-10-05	BPN10303	Status - satt av OD	Pågående	7327	4726
2010-10-05	BPN10303	Melding - oppstartsmelding	\N	7327	4727
2010-10-05	BPN10302	Melding - oppstartsmelding	\N	7326	4728
2010-10-05	BPN10301	Melding - oppstartsmelding	\N	7325	4729
2010-10-05	EO1004	Melding - endringsmelding	Boat further delayed due to bad weather on previous survey. Boat will now mobilize from Aberdeen.	7301	4730
2010-10-05	LN1001	Melding - ukemelding	\N	7285	4731
2010-10-05	ST10308	Melding - endringsmelding	Navn, telefonnummer og tidsepriode for fiskerikyndig.	7308	4732
2010-10-04	ST10308	Melding - endringsmelding	Skifte av fiskerikyndig.	7308	4733
2010-10-04	NX1053	Melding - ukemelding	\N	7320	4734
2010-10-04	ST10308	Melding - ukemelding	Stort sett har M/V Sea Explorer vært ved kai etter gjenoppstart av ST10308 undersøkelsen. Fiskerikyndig Jens Thorsteinsen blir ved mannskapskiftet i dag avløst av Kjell Arne Husevåg.	7308	4735
2010-10-04	ST10454	Melding - sluttmelding	\N	7314	4736
2010-10-04	ST10458	Melding - endringsmelding	Endringen gjelder utvidet periode(forskjøvet ut i tid) for grunnundersøkelsen grunnet forsinket oppstart.	7288	4737
2010-10-04	LN1002	Melding - endringsmelding	På grunn av vedvarende dårlig vær i Nordsjøen har ikke Geo Coral lenger muligheter til å ferdigstille surveyen innenfor tidligere angitte tidsrom. Ny antatt dato for ferdigstillelse er: 01.11.2010.Fra båten rapporteres det om ingen eller meget liten fiskeriaktivitet i innsamlingsområdet.	7284	4738
2010-10-04	LN1001	Melding - endringsmelding	På grunn av tekniske problemer med Geo Pacific ser det vanskelig ut å bli ferdig med innsamlingen til tidligere gitte tidspunkt. Ny antatt dato for ferdigstillelse er 20. oktober 2010	7285	4739
2010-10-04	LN1002	Melding - ukemelding	\N	7284	4740
2010-10-04	ST10010	Melding - ukemelding	\N	7323	4741
2010-10-04	MBT1	Melding - ukemelding	\N	7347	4742
2010-10-04	ST10007	Melding - ukemelding	\N	7272	4743
2010-10-04	MNR10	Melding - ukemelding	\N	7224	4744
2010-10-04	ST10454	Status - satt av OD	Ferdig	7314	4745
2010-10-01	Ormen L Mid	Melding - endringsmelding	Endringen skyldes forsinket oppstart, og gjelder start- og sluttdato	7340	4746
2010-10-01	Ormen L-Geodesy	Melding - endringsmelding	Endring av start- og sluttdato. Endringen skyldes forsinket mobilisering.	7321	4747
2010-10-01	MC3D-NVG10	Melding - sluttmelding	Sluttmelding for surveyen MC3D-NVG10.	7189	4748
2010-10-01	MC3D-NVG10	Melding - ukemelding	Ukerapport for uke 39.	7189	4749
2010-10-01	EMGS1010	Melding - sluttmelding	\N	7328	4750
2010-09-30	EMGS1011	Melding - sluttmelding	\N	7329	4751
2010-09-30	MC3D-NVG10	Status - satt av OD	Ferdig	7189	4752
2010-09-30	EMGS1011	Status - satt av OD	Ferdig	7329	4753
2010-09-30	EMGS1010	Status - satt av OD	Ferdig	7328	4754
2010-09-30	LN1057	Status - satt av OD	Under behandling	7357	4755
2010-09-30	ST10325	Status - satt av OD	Under behandling	7356	4756
2010-09-30	ST10324	Status - satt av OD	Under behandling	7355	4757
2010-09-30	ST10018	Melding - endringsmelding	Været har nå vært dårlig i søndre del av Nordsjøen, og båten har nå en ukes forsinkelse i forventet ankomst. I og med at været også framover er svært usikkert velger vi nå å søke om en lengre undersøkelsesperiode for å ta høyde for eventuelle framtidige forsinkelser. Det er ingen fornadring i undersøkelsens reelle omfang. Den utgjør ca. 3 dager aktiv innsamling.	7350	4758
2010-09-29	MBT1	Melding - endringsmelding	Ny fiskerikyndig.	7347	4759
2010-09-29	ST10308	Melding - oppstartsmelding	Vi regner med å ankomme arbeidsstedet i Blokk 15/8 litt senere i ettermiddag, ev tidlig kvelding. Fra før av, 6-8 August, ble det samlet inn 69 km seismikk av denne undersøkelsen.	7308	4760
2010-09-29	ST10308	Status - satt av OD	Pågående	7308	4761
2010-09-29	LN1001	Melding - ukemelding	\N	7285	4762
2010-09-29	LN1002	Melding - ukemelding	\N	7284	4763
2010-09-29	ST10017	Melding - sluttmelding	Western Regent er på vei ut av norsk sektor mens den tar inn utstyr.	7316	4764
2010-09-28	ST10010	Melding - endringsmelding	Endringen gjelder utvidelse av aktivitetsområdet for surveyen	7323	4765
2010-09-28	ST10315	Melding - endringsmelding	Vi har tillatelse frem til 22. Oktober. Derfor ønsker å forlenge dette tidsrommet da vi sannsynligvis ikke kommer til å være i stand til starte innsamlingen før Okt/Nov.	7266	4766
2010-09-28	ST10321	Melding - endringsmelding	Endring består i at vi ønsker å forlenge innsamlingsperioden, siden vi enda ikke er begynt innsamlingen. I tillegg har vi utvidet området noe med tanke på run in og run out for noen av linjene. I hoved sak vil undersøkelsen bestå av analoge data for nedsetting av Jack-up rigg.	7331	4767
2010-09-28	ST10310	Melding - endringsmelding	Endring består i at vi har gjort området noe større, og at vi har bedt om mer tid til å gjennomføre undersøkelsen.	7330	4768
2010-09-28	LN1056	Status - satt av OD	Planlagt	7351	4769
2010-09-28	ST10009	Status - satt av OD	Ferdig	7289	4770
2010-09-28	ST10009	Melding - sluttmelding	\N	7289	4771
2010-09-28	ST10306	Status - satt av OD	Ferdig	7319	4772
2010-09-28	ST10306	Melding - sluttmelding	ST10306 undersøkelsen ble ferdig klokken 03:00 i dagmorges.	7319	4773
2010-09-28	NX1053	Melding - ukemelding	First weekly Report.  Vessel arrived onsite on Sept.19, 2010.	7320	4774
2010-09-28	ST10017	Melding - ukemelding	\N	7316	4775
2010-09-27	MC3D-NVG10	Melding - ukemelding	Ukemelding for uke 38.	7189	4776
2010-09-27	CGR2010P3	Melding - ukemelding	Ukemelding for uke 38.	7342	4777
2010-09-27	EMGS1011	Melding - ukemelding	\N	7329	4778
2010-09-27	ST10017	Status - satt av OD	Ferdig	7316	4779
2010-09-27	NBR10	Status - satt av OD	Ferdig	7219	4780
2010-09-27	NBR10	Melding - sluttmelding	\N	7219	4781
2010-09-27	ST10007	Melding - ukemelding	\N	7272	4782
2010-09-27	MNR10	Melding - ukemelding	\N	7224	4783
2010-09-27	ST10010	Melding - ukemelding	Denne undersøkelsen, ST10110 på volve var planlagt å starte sist uke,uke 37, men på grunn av forsinkelser med avvslutning av Njord undersøkelsen vil ikke Vikland ankomme Volve før i dag, 27 september.	7323	4784
2010-09-27	NBR10	Melding - ukemelding	\N	7219	4785
2010-09-27	ST10008	Melding - ukemelding	\N	7257	4786
2010-09-27	MBT1	Melding - ukemelding	\N	7347	4787
2010-09-27	ST10454	Melding - oppstartsmelding	\N	7314	4788
2010-09-27	ST10454	Status - satt av OD	Pågående	7314	4789
2010-09-27	ST10459	Status - satt av OD	Ferdig	7315	4790
2010-09-27	ST10459	Melding - sluttmelding	\N	7315	4791
2010-09-24	ST10010	Status - satt av OD	Pågående	7323	4792
2010-09-24	ST10010	Melding - oppstartsmelding	Denne survyen, ST10010, vil kunne starte søndag 26 september. Dette er en OBS undersøkelse og båtene Vikland og Sanco Spirit vil sannsynligvis ankomme Volve seint søndag 26 septmber, litt avhengig av når de forlater Njord området og været de vil få under transit til Volve. De vil da starte med utlegg av kabler, så skyting vil tidligest starte mandag 27/9	7323	4793
2010-09-24	ST10008	Melding - sluttmelding	\N	7257	4794
2010-09-23	LN1055	Status - satt av OD	Planlagt	7353	4795
2010-09-23	ST10008	Status - satt av OD	Pågående	7257	4796
2010-09-23	ST10008	Status - satt av OD	Ferdig	7257	4797
2010-09-23	ST10008	Status - satt av OD	Ferdig	7257	4798
2010-09-22	ST10322	Status - satt av OD	Ferdig	7339	4799
2010-09-22	ST10306	Melding - ukemelding	\N	7319	4800
2010-09-22	ST10322	Melding - sluttmelding	Undersøkelsen ble avsluttet ca klokken 09:00 i dag. neste arbeid blir ferdigstillelse av ST10308 innsamlingen i Blokk 15/8 hvor ca 2/3 av arbeidet gjenstår.	7339	4801
2010-09-22	OMV1003	Status - satt av OD	Ferdig	7292	4802
2010-09-22	OMV1003	Melding - sluttmelding	\N	7292	4803
2010-09-22	MBT1	Melding - endringsmelding	Navn og tlf nr på Fiskerikyndig	7347	4804
2010-09-21	MBT1	Status - satt av OD	Pågående	7347	4805
2010-09-21	MBT1	Melding - oppstartsmelding	\N	7347	4806
2010-09-21	LN1001	Melding - ukemelding	På grunn av dårlig vær er ikke innsamling kommet igang.	7285	4807
2010-09-21	LN1002	Melding - ukemelding	\N	7284	4808
2010-09-21	MC3D-NVG10	Melding - ukemelding	Ukemelding for uke 37.	7189	4809
2010-09-21	MC3D-NVG10	Melding - ukemelding	Ukemelding for Uke 36.	7189	4810
2010-09-21	CGR2010P3	Melding - ukemelding	Ukemelding for uke 37.	7342	4811
2010-09-21	CGR2010P3	Melding - ukemelding	Ukemelding for Uke 36.	7342	4812
2010-09-21	ST10308	Melding - endringsmelding	Endringen består i at vi ønsker forlenge tidsperioden for innsamlingen siden vi bare har samlet inn 1/3 av det planlagte programmet. Når det gjelder Fiskerikyndig for dette arbeidet, vet vi ikke enda hvem det blir. Det vil også bli foretatt mellom 9 og 17 CPT målinger.	7308	4813
2010-09-21	ST10322	Status - satt av OD	Pågående	7339	4814
2010-09-21	ST10322	Melding - oppstartsmelding	M/V Sea Explorer ankom Arbeidstedet sent i går.	7339	4815
2010-09-21	MC3D-NVG10	Melding - endringsmelding	Fiskerikyndig	7189	4816
2010-09-20	ST10018	Melding - endringsmelding	Start-up date, source volume and Fishery representative is updated in this change.	7350	4817
2010-09-20	OMV1003	Melding - ukemelding	\N	7292	4818
2010-09-20	LN1002	Melding - endringsmelding	På grunn av sen oppstart må det søkes om forlengelse av surveyperioden til 10.10.2010	7284	4819
2010-09-20	EMGS1011	Melding - ukemelding	\N	7329	4820
2010-09-20	NBR10	Melding - ukemelding	\N	7219	4821
2010-09-20	MNR10	Melding - ukemelding	\N	7224	4822
2010-09-20	ST10017	Melding - ukemelding	\N	7316	4823
2010-09-20	ST10008	Melding - ukemelding	\N	7257	4824
2010-09-17	NX1053	Status - satt av OD	Pågående	7320	4825
2010-09-17	NX1053	Melding - oppstartsmelding	The vessel Ocean Researcher began mobilizing on Tuesday Sept.14 and sailed to-day, Friday Sept.17. Weather is not good at the moment but we are hopeful the catual survey can commence on Sunday or possibly Monday.	7320	4826
2010-09-17	ST10007	Status - satt av OD	Pågående	7272	4827
2010-09-17	ST10007	Melding - oppstartsmelding	Denne undersøkelsen, ST10007 ble midlertidig avbrutt 25 August for å starte på undersøkelse ST10008.(Corvus)Dersom alt går etter planen vil en kunne være ferdig med pågående undersøkelse (Corvus,ST10009) mandag 20 septmber og vil da starte opp igjen på ST10007 undersøkelsen fra 20 september.	7272	4828
2010-09-17	ST10020	Status - satt av OD	Ferdig	7235	4829
2010-09-17	ST10020	Melding - sluttmelding	\N	7235	4830
2010-09-17	LN1055	Status - satt av OD	Under behandling	7353	4831
2010-09-16	CGR2010P3	Melding - ukemelding	Ukemelding for Uke 37.	7342	4832
2010-09-16	MC3D-NVG10	Melding - ukemelding	Ukemelding for Uke 37.	7189	4833
2010-09-16	ST10459	Status - satt av OD	Pågående	7315	4834
2010-09-16	ST10459	Melding - oppstartsmelding	\N	7315	4835
2010-09-15	ST10306	Melding - ukemelding	Undersøkelsen ble gjenopptatt 9 September, etter at M/V Sea Explorer har samlet inn undersøkelse ST10319 i Blokkene 35/1 & 2 og Blokkene 6203/10 & 11. I tillegg har det også vært utført reparasjoner av fartøyet	7319	4836
2010-09-14	ST10306	Status - satt av OD	Pågående	7319	4837
2010-09-14	ST10319	Status - satt av OD	Ferdig	7270	4838
2010-09-14	ST10319	Melding - sluttmelding	Undersøkelse avsluttet ettermiddag 07 Sept. M/V Sea Explorer gikk deretter til Blokk 6407/8 for å fortsette ST10306 undersøkelsen.	7270	4839
2010-09-14	ST10012-E	Status - satt av OD	Ferdig	7277	4840
2010-09-14	ST10009	Melding - ukemelding	\N	7289	4841
2010-09-14	ST10012-E	Melding - sluttmelding	\N	7277	4842
2010-09-14	ST10020	Melding - ukemelding	\N	7235	4843
2010-09-13	MNR10	Melding - ukemelding	\N	7224	4844
2010-09-13	NBR10	Melding - ukemelding	\N	7219	4845
2010-09-13	ST10017	Melding - ukemelding	\N	7316	4846
2010-09-13	ST10008	Melding - ukemelding	\N	7257	4847
2010-09-13	EMGS1010	Melding - ukemelding	\N	7328	4848
2010-09-13	OMV1003	Melding - ukemelding	\N	7292	4849
2010-09-13	ST10021	Melding - sluttmelding	\N	7343	4850
2010-09-13	BG1003	Melding - sluttmelding	\N	7290	4851
2010-09-13	BG1003	Status - satt av OD	Ferdig	7290	4852
2010-09-13	ST10021	Status - satt av OD	Ferdig	7343	4853
2010-09-10	EMGS1011	Melding - oppstartsmelding	\N	7329	4854
2010-09-10	EMGS1011	Status - satt av OD	Pågående	7329	4855
2010-09-10	WG1001	Status - satt av OD	Ferdig	7208	4856
2010-09-10	WG1001	Melding - ukemelding	\N	7208	4857
2010-09-10	WG1001	Melding - sluttmelding	Survey completed.	7208	4858
2010-09-09	ST10010	Melding - endringsmelding	Denne endrigsmeldinggjelder:- Forsinket oppstart av ST10010 i  forhold til tidligere meldt.Forsinkelsen i oppstart skyldes seinere oppstart enn planlagt for ST10009 på Norne og mer timesharing enn antatt.- Melding om fiskerikyndig som vil være ombord I Vikland. Fiskerikyndig vil være ombord fra 15 September da det er mannskapskift i Kristiansund, og han vi være med på avslutning av Njord surveyen, ST10009 og deretter være på hele Volve surveyen, ST10010.	7323	4859
2010-09-09	LN1001	Status - satt av OD	Pågående	7285	4860
2010-09-08	DN1004	Melding - sluttmelding	\N	7345	4861
2010-09-08	DN1004	Melding - oppstartsmelding	\N	7345	4862
2010-09-08	DN1004	Status - satt av OD	Ferdig	7345	4863
2010-09-07	LN1056	Status - satt av OD	Under behandling	7351	4864
2010-09-07	CGR2010P3	Melding - endringsmelding	Endringsmeldingen gjelder endring av båt for innsamlingen til Ramform Valiant.	7342	4865
2010-09-07	EO1004	Melding - endringsmelding	Boat further delayed due to bad weather on previous surveys, new fisheries represenatative identified, boat will now mobilise from Bergen	7301	4866
2010-09-07	BPN0301_12	Status - satt av OD	Ferdig	7300	4867
2010-09-07	BPN0301_12	Melding - sluttmelding	\N	7300	4868
2010-09-07	WG1001	Melding - ukemelding	\N	7208	4869
2010-09-07	CGR2010P3	Melding - endringsmelding	Endringsmeldingen gjelder endring av båt for innsamlingen til Ramform Valiant.	7342	4870
2010-09-07	LN1002	Status - satt av OD	Pågående	7284	4871
2010-09-07	ST10009	Melding - endringsmelding	Ny fiskerikyndig fra 14.september	7289	4872
2010-09-07	ST10009	Melding - ukemelding	\N	7289	4873
2010-09-07	ST10020	Melding - ukemelding	\N	7235	4874
2010-09-07	CGR2010P3	Status - satt av OD	Pågående	7342	4875
2010-09-07	ST10012-E	Melding - ukemelding	\N	7277	4876
2010-09-07	CGR2010P3	Melding - oppstartsmelding	Oppstartsmelding	7342	4877
2010-09-07	MC3D-CGR-2010	Status - satt av OD	Ferdig	7190	4878
2010-09-07	MC3D-CGR-2010	Melding - ukemelding	Ukemelding for uke 35.	7190	4879
2010-09-07	MC3D-CGR-2010	Melding - sluttmelding	Sluttmelding for surveyen MC3D-CGR-2010.	7190	4880
2010-09-07	MC3D-NVG10	Melding - ukemelding	Ukemelding for uke 35.	7189	4881
2010-09-06	ST10322	Melding - endringsmelding	Fiskerikyndig	7339	4882
2010-09-06	ST10306	Melding - endringsmelding	Fiskerikyndig	7319	4883
2010-09-06	ST10308	Melding - endringsmelding	Fiskerikyndig	7308	4884
2010-09-06	ST10315	Melding - endringsmelding	Fiskerikyndig	7266	4885
2010-09-06	ST10008	Melding - ukemelding	\N	7257	4886
2010-09-06	ST10017	Melding - ukemelding	\N	7316	4887
2010-09-06	MNR10	Melding - ukemelding	\N	7224	4888
2010-09-06	EMGS1010	Melding - ukemelding	\N	7328	4889
2010-09-06	NBR10	Melding - ukemelding	\N	7219	4890
2010-09-06	OMV1003	Melding - ukemelding	\N	7292	4891
2010-09-06	ST10021	Melding - ukemelding	\N	7343	4892
2010-09-06	NX1053	Melding - endringsmelding	Ny fiskerikyndig. Den opprinnelig oppsatte måtte trekke seg fra oppdraget	7320	4893
2010-09-06	nx1051	Melding - endringsmelding	Ny fiskerikyndig. Den opprinnelige oppsatte måtte trekke seg fra oppdraget	7199	4894
2010-09-06	NX1053	Melding - endringsmelding	Survey Dates ChangedDue to weather delays on the  preceding surveys , the mobilization date has slipped so I have adjusted the survey dates accordingly .	7320	4895
2010-09-06	nx1051	Melding - endringsmelding	Survey Dates ChangedDue to weather delays on the preceding surveys , the mobilization date has slipped so I have adjusted the survey dates accordingly .	7199	4896
2010-08-30	MC3D-NVG10	Melding - ukemelding	Ukemelding for uke 34.	7189	4941
2010-09-06	NX1053	Melding - endringsmelding	Survey Dates ChangedDue to weather delays on the  preceding surveys , the mobilization date has slipped so I have adjusted the survey dates accordingly .	7320	4897
2010-09-06	NX1053	Melding - endringsmelding	Survey Dates ChangedDue to weather delays on the  preceding surveys , the mobilization date has slipped so I have adjusted the survey dates accordingly .	7320	4898
2010-09-03	MBT1	Status - satt av OD	Planlagt	7347	4899
2010-09-03	CP10L01	Status - satt av OD	Planlagt	7349	4900
2010-09-03	LN1001	Melding - oppstartsmelding	MV Geo Pacific er forventet å starte seismisk innsamling for Lundin Survey LN1001 den 10.09.2010	7285	4901
2010-09-03	LN1002	Melding - oppstartsmelding	MV Geo Coral og følgebåt MV Tenor seilte ut fra Askøy i dag tidlig med kurs for innsamlingsområdet. Første skudd er beregnet til onsdag den 8.09.2010	7284	4902
2010-09-03	BPN10303	Melding - endringsmelding	På grunn av stor aktivitet i området må vi utsette oppstart avBPN10303. Innsamlingen er en del av et større program bestående av 7 survey på norsk og engelsk sokkel.Vi planlegger å få utført innsamlingen når PGS2010 og BPN0301_12 er avsluttet og før oppstart av ConocoPhillips LoFS på Ekofisk antatt15.09 – 1.10.10. Innsamlingen vil også være avhengig av været ogperioden 09-16.10 vil være en mulighetIMO nummer for Ocean Seeker er 7012179Utvinningstillatelsens navn skal være 033	7327	4903
2010-09-03	BPN10302	Melding - endringsmelding	På grunn av stor aktivitet i området må vi utsette oppstart avBPN10302. Innsamlingen er en del av et større program bestående av 7 survey på norsk og engelsk sokkel.Vi planlegger å få utført innsamlingen når PGS2010 og BPN0301_12 er avsluttet og før oppstart av ConocoPhillips LoFS på Ekofisk antatt15.09 – 1.10.10. Innsamlingen vil også være avhengig av været ogperioden 09-16.10 vil være en mulighetIMO nummer for Ocean Seeker er 7012179	7326	4904
2010-09-03	BPN10301	Melding - endringsmelding	På grunn av stor aktivitet i området må vi utsette oppstart avBPN10301. Innsamlingen er en del av et større program bestående av 7 survey på norsk og engelsk sokkel.Vi planlegger å få utført innsamlingen når PGS2010 og BPN0301_12 er avsluttet og før oppstart av ConocoPhillips LoFS på Ekofisk15.09 – 1.10.10. Innsamlingen vil også være avhengig av været ogperioden 09-16.10 vil være en mulighetIMO nummer for Ocean Seeker er 7012179	7325	4905
2010-09-03	ST10017	Status - satt av OD	Pågående	7316	4906
2010-09-03	ST10319	Melding - oppstartsmelding	\N	7270	4907
2010-09-03	ST10306	Status - satt av OD	Pause	7319	4908
2010-09-02	ST10018	Status - satt av OD	Planlagt	7350	4909
2010-09-02	ST10018	Status - satt av OD	Planlagt	7350	4910
2010-09-02	BG1003	Melding - endringsmelding	Estimert avsluttings tidspktendret til 30.09	7290	4911
2010-09-02	ST10319	Status - satt av OD	Pågående	7270	4912
2010-09-02	CGGV1002	Melding - sluttmelding	\N	7207	4913
2010-09-02	CGGV1002	Status - satt av OD	Ferdig	7207	4914
2010-09-02	ST10017	Melding - oppstartsmelding	Fram 4d survey vil bli startet etter at Troll 4D er gjort ferdig og utstyret rekonfigurert.	7316	4915
2010-09-02	ST10317	Status - satt av OD	Planlagt	7221	4916
2010-09-02	ST10317	Status - satt av OD	Ferdig	7221	4917
2010-09-02	ST10020	Melding - ukemelding	Undersøkelsen starter opp igjen 3.september. Geo Caspian vil da være i transit fra forrige jobb og ha noen dager med kabel arbeid før de kommer i produksjon.	7235	4918
2010-09-02	ST10009	Melding - ukemelding	\N	7289	4919
2010-09-01	ST10020	Status - satt av OD	Pågående	7235	4920
2010-09-01	WG1001	Melding - endringsmelding	Vi vil utvide surveyet for å inkludere to brønn tie linjer.	7208	4921
2010-09-01	ST10017	Status - satt av OD	Planlagt	7316	4922
2010-09-01	ST10007	Melding - endringsmelding	Denne endringsmelding gjelder midlertidig avbrudd i innsamlingen av ST10007 surveyen. I utgangspunktet var ST10007 undersøkelsen melt til å vare fra 1/7 - 31/10. På grunn av den lange perioden ble det i første omgang gitt tillatese fram til 31/8, og ny melding måtte sendes ved eventuell fortsettelse utover 31/8. 25/8 avsluttet vi midlertidig ST10007 for å starte på Corvus undersøkelsen ST10008.Det er usikkert når Corvus vil være ferdig innsamlet, men en antar at en vil kunne fortsette ST10007 surveyen fra ca 20 september.Vi trenger derfor en ny uttalelse fra fiskeridirektoratyet på denne fortsettelsen.	7272	4923
2010-09-01	ST10017	Melding - endringsmelding	Endringsmelding gjelder utsatt oppstartsdato samt navn på en av de to fiskerikyndige.	7316	4924
2010-09-01	ST10005	Melding - sluttmelding	ST10005 Troll 4D er nå ferdig, og Western Regent gjør nå rekonfigurering av utstyr før den begynner på ST10017 Fram 4D til helgen.	7227	4925
2010-09-01	ST10005	Status - satt av OD	Ferdig	7227	4926
2010-09-01	BG1002	Status - satt av OD	Ferdig	7276	4927
2010-09-01	BG1002	Melding - sluttmelding	\N	7276	4928
2010-08-31	ST10457	Status - satt av OD	Ferdig	7286	4929
2010-08-31	ST10457	Melding - sluttmelding	Fartøyet Bucentaur har nå avsluttet og er helt ferdig med grunnundersøkelsen på Åsgard Minimum Flow.	7286	4930
2010-08-31	VBT1	Status - satt av OD	Ferdig	7196	4931
2010-08-31	VBT1	Melding - sluttmelding	\N	7196	4932
2010-08-31	BPN10303	Melding - endringsmelding	På grunn av stor aktivitet i området må vi utsette oppstart avBPN10303. Innsamlingen er en del av et større program bestående av 7 survey på norsk og engelsk sokkel.Vi planlegger å få utført innsamlingen når PGS2010 og BPN0301_12 er avsluttet og før oppstart av ConocoPhillips LoFS på Ekofisk antatt15.09 – 1.10.10. Innsamlingen vil også være avhengig av været ogperioden 09-16.10 vil være en mulighetIMO nummer for Ocean Seeker er 7012179Utvinningstillatelsens navn skal være 033	7327	4933
2010-08-31	BPN10301	Melding - endringsmelding	På grunn av stor aktivitet i området må vi utsette oppstart avBPN10301. Innsamlingen er en del av et større program bestående av 7 survey på norsk og engelsk sokkel.Vi planlegger å få utført innsamlingen når PGS2010 og BPN0301_12 er avsluttet og før oppstart av ConocoPhillips LoFS på Ekofisk15.09 – 1.10.10. Innsamlingen vil også være avhengig av været ogperioden 09-16.10 vil være en mulighetIMO nummer for Ocean Seeker er 7012179	7325	4934
2010-08-31	BPN10302	Melding - endringsmelding	På grunn av stor aktivitet i området må vi utsette oppstart avBPN10302. Innsamlingen er en del av et større program bestående av 7 survey på norsk og engelsk sokkel.Vi planlegger å få utført innsamlingen når PGS2010 og BPN0301_12 er avsluttet og før oppstart av ConocoPhillips LoFS på Ekofisk antatt15.09 – 1.10.10. Innsamlingen vil også være avhengig av været ogperioden 09-16.10 vil være en mulighetIMO nummer for Ocean Seeker er 7012179	7326	4935
2010-08-31	BPN0301_12	Melding - ukemelding	\N	7300	4936
2010-08-31	BG1003	Melding - ukemelding	\N	7290	4937
2010-08-31	ST10005	Melding - ukemelding	\N	7227	4938
2010-08-31	ST10012-E	Melding - ukemelding	\N	7277	4939
2010-08-30	MC3D-CGR-2010	Melding - ukemelding	Ukemelding for uke 34.	7190	4940
2010-08-30	ST10007	Melding - ukemelding	\N	7272	4942
2010-08-30	BG1002	Melding - ukemelding	\N	7276	4943
2010-08-30	WG1001	Melding - ukemelding	\N	7208	4944
2010-08-30	ST10008	Melding - ukemelding	\N	7257	4945
2010-08-30	OMV1003	Melding - ukemelding	\N	7292	4946
2010-08-30	MNR10	Melding - ukemelding	\N	7224	4947
2010-08-30	NBR10	Melding - ukemelding	\N	7219	4948
2010-08-30	ST10021	Melding - ukemelding	\N	7343	4949
2010-08-30	VBT1	Melding - ukemelding	\N	7196	4950
2010-08-30	EMGS1010	Melding - ukemelding	\N	7328	4951
2010-08-30	NBR10	Melding - endringsmelding	Tor Bang er tilbake som fiskerikyndig (han var FLO i første del av surveyet).	7219	4952
2010-08-27	EMGS1010	Melding - endringsmelding	Navn og dato for fiskerikyndig.	7328	4953
2010-08-27	EMGS1010	Melding - endringsmelding	Navn og dato for fiskerikyndig.	7328	4954
2010-08-27	OMV1004	Melding - sluttmelding	\N	7294	4955
2010-08-27	OMV1004	Status - satt av OD	Ferdig	7294	4956
2010-08-27	ST10021	Status - satt av OD	Pågående	7343	4957
2010-08-27	ST10021	Melding - oppstartsmelding	Morten Handegaard overtar oppfølgingen av Gygrid innsamlingen	7343	4958
2010-08-27	EMGS1010	Status - satt av OD	Pågående	7328	4959
2010-08-27	EMGS1010	Melding - oppstartsmelding	Vi forventer oppstart på EMGS1010 søndag 29.	7328	4960
2010-08-27	MNR10	Melding - endringsmelding	Vi ber om forlengelse av innsamlingperiodenog melder inn ny fiskerikyndige.	7224	4961
2010-08-26	Ormen L-Geodesy	Melding - endringsmelding	Melding om fiskerikyndig, samt noe endring av start og sluttdato. Dette skyldes utsatt oppstart.	7321	4962
2010-08-26	OMV1003	Melding - endringsmelding	Endring av fiskerikyndig: Roger Sørensen er stand-in for Roy Sebulonsen inntil mannskapsbytte erfullført fredag 27 august.	7292	4963
2010-08-26	BPN0301_12	Melding - ukemelding	\N	7300	4964
2010-08-26	BPN0301_12	Melding - ukemelding	\N	7300	4965
2010-08-26	BPN0301_12	Melding - ukemelding	\N	7300	4966
2010-08-26	OMV1003	Melding - endringsmelding	Endring av fiskerikyndig:Roger Sørensen er stand-in for Roy Sebulonsen inntil mannskapsbytte er fullført i morgen 26 august.	7292	4967
2010-08-25	LN1002	Melding - endringsmelding	Ny følgebåt: MV Tenor ( se under båter)	7284	4968
2010-08-25	ST10009	Melding - ukemelding	\N	7289	4969
2010-08-25	ST10015	Status - satt av OD	Ferdig	7274	4970
2010-08-25	ST10015	Melding - sluttmelding	\N	7274	4971
2010-08-25	PM 09-2010	Melding - sluttmelding	\N	7338	4972
2010-08-25	ST10015	Melding - ukemelding	\N	7274	4973
2010-08-25	PM 09-2010	Status - satt av OD	Ferdig	7338	4974
2010-08-25	ST10018	Status - satt av OD	Under behandling	7350	4975
2010-08-24	BG1003	Melding - ukemelding	\N	7290	4976
2010-08-24	ST10012-E	Melding - ukemelding	\N	7277	4977
2010-08-24	EMGS1010	Melding - endringsmelding	La til Odd Johan som reserve fiskerep. Det er litt uvisst om Per Hilmar kan stille.	7328	4978
2010-08-24	EMGS1011	Melding - endringsmelding	Jeg har lagt til nye fiskerikyndige. I utgangspunktet skal Per Hilmar ut, men jeg har registrert Odd Johan og, som reserve.	7329	4979
2010-08-24	ST10017	Status - satt av OD	Pågående	7316	4980
2010-08-24	ST10008	Status - satt av OD	Pågående	7257	4981
2010-08-24	ST10008	Melding - oppstartsmelding	\N	7257	4982
2010-08-23	ST10306	Melding - ukemelding	\N	7319	4983
2010-08-23	ST10007	Status - satt av OD	Pause	7272	4984
2010-08-23	ST10007	Melding - ukemelding	En regner med å avslutte patch 05 av denne sutveyen ST10007 i morgen 24.08. En vil da ta en pause fra  og gå til Corvus, ST10008. En regner med Corvus vil ta ca 5 - 6 uker. Når Corvus er ferdig vil en gå tilbake og gjøre ferdig ST10007. Det vil bli sendt egen oppstartsmelding for Corvus, ST10008	7272	4985
2010-08-23	ST10005	Melding - ukemelding	\N	7227	4986
2010-08-23	BG1002	Melding - ukemelding	\N	7276	4987
2010-08-23	WG1001	Melding - ukemelding	\N	7208	4988
2010-08-23	NBR10	Melding - ukemelding	\N	7219	4989
2010-08-23	VBT1	Melding - ukemelding	\N	7196	4990
2010-08-23	MNR10	Melding - ukemelding	\N	7224	4991
2010-08-23	MC3D-CGR-2010	Melding - ukemelding	UKE MELDING FOR UKE 33.	7190	4992
2010-08-23	MC3D-NVG10	Melding - ukemelding	UKEMELDING FOR UKE33.	7189	4993
2010-08-23	CP1099	Status - satt av OD	Ferdig	7304	4994
2010-08-23	CP1099	Melding - sluttmelding	\N	7304	4995
2010-08-23	CP1099	Melding - ukemelding	\N	7304	4996
2010-08-23	CP1099	Melding - ukemelding	\N	7304	4997
2010-08-23	OMV1003	Melding - oppstartsmelding	\N	7292	4998
2010-08-23	OMV1003	Status - satt av OD	Pågående	7292	4999
2010-08-23	OMV1004	Melding - ukemelding	\N	7294	5000
2010-08-23	EMGS1010	Melding - endringsmelding	Endringsmeldingen gjelder ny fiskerikyndig.	7328	5001
2010-08-23	ST10323	Status - satt av OD	Planlagt	7344	5002
2010-08-23	Ormen L Mid	Status - satt av OD	Planlagt	7340	5003
2010-08-20	ST10457	Melding - oppstartsmelding	Mobilisering av det dynamisk posisjonerte grunnboringsfartøyet “MS Bucentaur” starter i Bergen kl 0800 onsdag 18. august.Vi forventer å gå fra havn ca kl 1200 torsdag 19. august og forventer ankomst Åsgardfeltet ca kl 2400 fredag 20. august. Undersøkelsene forventes gjennomført i løpet av inntil 7 døgn.	7286	5004
2010-08-20	ST10457	Status - satt av OD	Pågående	7286	5005
2010-08-20	BPN0301_12	Melding - ukemelding	\N	7300	5006
2010-08-20	MC3D-NVG10	Melding - endringsmelding	Endringsmelding.Søknad om utvide innsamlingsundersøkelsen til 01.11.2010.	7189	5007
2010-08-20	ST10020	Melding - endringsmelding	Undersøkelsen vil starte opp igjen ca. 27.august. Ny fiskerikyndige og hjelpefartøy lagt til.	7235	5008
2010-08-19	CP10L01	Status - satt av OD	Under behandling	7349	5009
2010-08-19	ST10008	Melding - endringsmelding	Endreingsmeldingen gjelder:- Opplysning om noe forsinket oppstart i forhold til tidligere meldt- Informasjon om fiskerikyndige	7257	5010
2010-08-19	ST10017	Status - satt av OD	Planlagt	7316	5011
2010-08-19	ST10017	Status - satt av OD	Pågående	7316	5012
2010-08-19	ST10017	Melding - oppstartsmelding	Fram 4d survey vil bli startet etter at Troll 4D er gjort ferdig og utstyret rekonfigurert.	7316	5013
2010-08-19	ST10017	Melding - endringsmelding	Endringsmeldingen gjelder navn på fisekrikyndige.	7316	5014
2010-08-19	ST10012-E	Melding - endringsmelding	Ny antatt avsluttingsdato.Nytt hjelpefartøy.	7277	5015
2010-08-19	MBT1	Status - satt av OD	Under behandling	7347	5016
2010-08-18	ST10021	Status - satt av OD	Planlagt	7343	5017
2010-08-18	EO1003	Melding - sluttmelding	\N	7293	5018
2010-08-18	PM 09-2010	Status - satt av OD	Pågående	7338	5019
2010-08-18	PM 09-2010	Melding - oppstartsmelding	\N	7338	5020
2010-08-18	EO1003	Status - satt av OD	Ferdig	7293	5021
2010-08-18	CP1099	Melding - endringsmelding	Ny fiskerikyndig	7304	5022
2010-08-18	CP1099	Status - satt av OD	Pågående	7304	5023
2010-08-18	CP1099	Melding - oppstartsmelding	\N	7304	5024
2010-08-17	PM 02-2010	Melding - sluttmelding	\N	7298	5025
2010-08-17	PM 02-2010	Status - satt av OD	Ferdig	7298	5026
2010-08-17	DN1004	Status - satt av OD	Under behandling	7345	5027
2010-08-17	ST10322	Melding - endringsmelding	Navn på fiskerikyndig	7339	5028
2010-08-17	WG1001	Status - satt av OD	Pågående	7208	5029
2010-08-17	ST10013 HUSVÆR	Status - satt av OD	Ferdig	7268	5030
2010-08-17	ST10013 HUSVÆR	Melding - sluttmelding	\N	7268	5031
2010-08-17	OMV1004	Melding - ukemelding	\N	7294	5032
2010-08-17	WG1001	Melding - ukemelding	\N	7208	5033
2010-08-17	VBT1	Melding - ukemelding	\N	7196	5034
2010-08-17	VBT1	Melding - ukemelding	\N	7196	5035
2010-08-16	ST10005	Melding - ukemelding	\N	7227	5036
2010-08-16	EO1003	Melding - ukemelding	\N	7293	5037
2010-08-16	ST10012-E	Melding - ukemelding	\N	7277	5038
2010-08-16	ST10015	Melding - ukemelding	\N	7274	5039
2010-08-16	ST10007	Melding - ukemelding	\N	7272	5040
2010-08-16	ST10009	Melding - endringsmelding	Koordinater for det inklusive snuområdet er endret	7289	5041
2010-08-16	ST10021	Melding - endringsmelding	Oppstartsdato er endret	7343	5042
2010-08-16	ST10009	Melding - oppstartsmelding	\N	7289	5043
2010-08-16	ST10009	Status - satt av OD	Pågående	7289	5044
2010-08-16	ST10319	Melding - endringsmelding	Navn på fiskerikyndig	7270	5045
2010-08-16	ST10306	Melding - ukemelding	For tiden er M/V Sea Explorer i ST10306 området og venter på bedre vær. Men alt i alt, produksjonen i uke 32 er vi fornøyd med.	7319	5046
2010-08-16	MNR10	Melding - ukemelding	\N	7224	5047
2010-08-16	NBR10	Melding - ukemelding	\N	7219	5048
2010-08-16	MC3D-CGR-2010	Melding - ukemelding	uke 32	7190	5049
2010-08-16	MC3D-NVG10	Melding - ukemelding	uke 32	7189	5050
2010-08-16	BG1002	Melding - ukemelding	\N	7276	5051
2010-08-16	WG1001	Status - satt av OD	Pause	7208	5052
2010-08-16	WG1001	Status - satt av OD	Pågående	7208	5053
2010-08-16	WG1001	Melding - ukemelding	Production has resumed with vessel WG Amundsen	7208	5054
2010-08-16	BG1002	Melding - ukemelding	\N	7276	5055
2010-08-16	PM 02-2010	Melding - ukemelding	\N	7298	5056
2010-08-16	SH1004	Melding - ukemelding	Production completed on Aug 14th 2010	7337	5057
2010-08-16	SH1004	Melding - sluttmelding	\N	7337	5058
2010-08-16	SH1003	Melding - sluttmelding	\N	7322	5059
2010-08-16	SH1003	Melding - ukemelding	Production completed on Aug 16th 2010	7322	5060
2010-08-16	EMGS1001	Melding - sluttmelding	\N	7191	5061
2010-08-16	EMGS1001	Status - satt av OD	Ferdig	7191	5062
2010-08-16	SH1003	Status - satt av OD	Ferdig	7322	5063
2010-08-16	SH1004	Status - satt av OD	Ferdig	7337	5064
2010-08-16	OMV1003	Melding - endringsmelding	Endringer i Fiskerikyndig	7292	5065
2010-08-16	BG1003	Melding - oppstartsmelding	\N	7290	5066
2010-08-16	BG1003	Status - satt av OD	Pågående	7290	5067
2010-08-12	EO1004	Melding - endringsmelding	Boat delayed by 1 month due to bad weather on previous surveys	7301	5068
2010-08-12	PM 09-2010	Status - satt av OD	Planlagt	7338	5069
2010-08-12	SH1003	Status - satt av OD	Pågående	7322	5070
2010-08-12	SH1004	Status - satt av OD	Pågående	7337	5071
2010-08-12	ST10322	Status - satt av OD	Planlagt	7339	5072
2010-08-12	CGR2010P3	Status - satt av OD	Planlagt	7342	5073
2010-08-11	SH1001	Melding - sluttmelding	\N	7213	5074
2010-08-11	SH1001	Melding - ukemelding	Production completed on Aug 10th 2010	7213	5075
2010-08-11	SH1001	Status - satt av OD	Ferdig	7213	5076
2010-08-10	BG1003	Melding - endringsmelding	Endringsmeldingen gjelder tidsrom,oppstart og avsluttning av undersøkelse.	7290	5077
2010-08-10	BPN0301_12	Melding - ukemelding	\N	7300	5078
2010-08-10	ST10323	Status - satt av OD	Under behandling	7344	5079
2010-08-10	ST10306	Melding - oppstartsmelding	Vi forventer at M/V Sea Explorer starter opp innsamling av ST10306 Boreundersøkelse en av dagene. Fartøyet er nå i Kristiansund N for mannskap skifte.	7319	5080
2010-08-10	ST10306	Status - satt av OD	Pågående	7319	5081
2010-08-10	DN1002	Melding - sluttmelding	CPT kampanje	7313	5082
2010-08-10	DN1002	Status - satt av OD	Ferdig	7313	5083
2010-08-10	OMV1004	Melding - ukemelding	\N	7294	5084
2010-08-10	ST10007	Melding - ukemelding	\N	7272	5085
2010-08-10	ST10005	Melding - ukemelding	\N	7227	5086
2010-08-10	MNR10	Melding - ukemelding	\N	7224	5087
2010-08-10	NBR10	Melding - ukemelding	\N	7219	5088
2010-08-10	LN1002	Melding - endringsmelding	På grunn av at ferdigstillelsen av Fugo Geoteams båt Geo Coral er forsinket, vil oppstarttidspunkt bli forskjøvet med ca. 3 uker.Av samme grunn så vil det også være andre fiskerikyndige enn tidligere meldt ombord. (se skjema)Følgebåt blir også byttet ,men info om ny båt er ikke tilgjengelig for øyeblikket. Info om nytt følgefartøy vil bli gitt så snart den foreligger	7284	5089
2010-08-10	EO1003	Melding - ukemelding	\N	7293	5090
2010-08-09	ST10319	Melding - endringsmelding	Endringsmelding av periode, da det er usikkert om vi klarer å få samlet inn ST10319 undersøkelsen innen for den perioden vi først  søkte om.	7270	5091
2010-08-09	MC3D-NVG10	Melding - ukemelding	uke 31	7189	5092
2010-08-09	MC3D-CGR-2010	Melding - ukemelding	uke 31	7190	5093
2010-08-09	SH1003	Melding - oppstartsmelding	I would like to inform you that the Geo Challenger should start to acquire the 2D line around August 12th.	7322	5094
2010-08-09	SH1004	Melding - oppstartsmelding	I would like to inform you that the Geo Challenger should start to acquire the 2D line around August 13th.	7337	5095
2010-08-09	PM 09-2010	Melding - endringsmelding	Grunnet sykdom endres fiskerikyndig	7338	5096
2010-08-09	EMGS1001	Melding - ukemelding	\N	7191	5097
2010-08-09	ST10015	Melding - ukemelding	\N	7274	5098
2010-08-09	ST10012-E	Melding - ukemelding	\N	7277	5099
2010-08-09	LN1053	Melding - sluttmelding	Surveyet var ferdig lørdag 7 August	7305	5100
2010-08-09	SH1001	Melding - ukemelding	Production ongoing, Expected to complete the survey on Aug 10th 2010	7213	5101
2010-08-09	CGGV1002	Melding - ukemelding	\N	7207	5102
2010-08-02	EN1001	Status - satt av OD	Ferdig	7282	5182
2010-08-09	NX1053	Melding - endringsmelding	Minor adjustment to the well positioning resulted in very slight shift of survey area.Decision to pre-set anchors has eliminated the need for Geotechnical sampling so that work has been removed from this application.	7320	5103
2010-08-09	PM 02-2010	Melding - oppstartsmelding	\N	7298	5104
2010-08-09	PM 02-2010	Status - satt av OD	Pågående	7298	5105
2010-08-09	PM 08-2010	Status - satt av OD	Ferdig	7324	5106
2010-08-09	PM 08-2010	Melding - sluttmelding	\N	7324	5107
2010-08-09	LN1053	Status - satt av OD	Ferdig	7305	5108
2010-08-06	OMV1002	Status - satt av OD	Ferdig	7278	5109
2010-08-06	OMV1002	Melding - sluttmelding	\N	7278	5110
2010-08-06	EMGS1011	Status - satt av OD	Planlagt	7329	5111
2010-08-06	OMV1004	Status - satt av OD	Pågående	7294	5112
2010-08-06	OMV1004	Melding - oppstartsmelding	\N	7294	5113
2010-08-06	ST10009	Melding - endringsmelding	Tidsrom endret grunnet forsinkelser på andre prosjekter.Annet fartøy endret til Sanco Spirit. Navn på Fiskerikyndig oppdatert.Størrelse på kilder endret.	7289	5114
2010-08-06	ST10306	Melding - endringsmelding	Navn på fiskerikyndig	7319	5115
2010-08-06	ST10315	Melding - endringsmelding	Vi trenger et litt større område for run in og run out på linjene som er i retning NE-SW. I tillegg tror vi at undersøkelsen kan komme noe senere enn planlagt.	7266	5116
2010-08-05	CE1001	Melding - sluttmelding	\N	7318	5117
2010-08-05	CE1001	Status - satt av OD	Ferdig	7318	5118
2010-08-05	BG1003	Melding - endringsmelding	Endrings melding gjeldertids rom og mengder.	7290	5119
2010-08-05	RWE1002	Melding - sluttmelding	Operation finsihed according to plan.	7259	5120
2010-08-05	ST10318	Melding - sluttmelding	Planen fremover; Siden det er mye som haster så samler vi inn de viktigste linjene av Undersøkelse ST10308 i Blokk 15/8. Deretter steamer vi til Blokk 6407/8 for å samle inn Borestedsundersøkelse ST10306 i Blokk 6407/8. Det gjenværende for undersøkelse ST10308 gjøres når det er gitt tillatelse fra britiske myndigheter og lisenser.	7275	5121
2010-08-05	ST10318	Status - satt av OD	Ferdig	7275	5122
2010-08-05	RWE1002	Status - satt av OD	Ferdig	7259	5123
2010-08-05	PC10NO01	Status - satt av OD	Ferdig	7240	5124
2010-08-05	PC10NO01	Melding - sluttmelding	Demobilisation completed 5th August 2010.	7240	5125
2010-08-05	PM 08-2010	Melding - oppstartsmelding	\N	7324	5126
2010-08-05	ST10015	Melding - endringsmelding	Info om fiskerikyndige er oppdatert.Navn på følgebåt er endret	7274	5127
2010-08-05	PM 08-2010	Status - satt av OD	Pågående	7324	5128
2010-08-05	DN1002	Status - satt av OD	Pågående	7313	5129
2010-08-04	ST10021	Status - satt av OD	Under behandling	7343	5130
2010-08-04	LN1053	Melding - oppstartsmelding	\N	7305	5131
2010-08-04	LN1053	Status - satt av OD	Pågående	7305	5132
2010-08-04	DN1002	Status - satt av OD	Pause	7313	5133
2010-08-04	DN1002	Melding - oppstartsmelding	CPT kampanje	7313	5134
2010-08-04	LN1053	Status - satt av OD	Planlagt	7305	5135
2010-08-04	NX1053	Status - satt av OD	Planlagt	7320	5136
2010-08-03	ST10015	Melding - ukemelding	\N	7274	5137
2010-08-03	Ormen L-Geodesy	Status - satt av OD	Planlagt	7321	5138
2010-08-03	CGR2010P3	Status - satt av OD	Under behandling	7342	5139
2010-08-03	ST10005	Melding - ukemelding	\N	7227	5140
2010-08-03	ST10007	Melding - ukemelding	\N	7272	5141
2010-08-03	BG1001	Status - satt av OD	Ferdig	7239	5142
2010-08-03	BG1001	Melding - sluttmelding	\N	7239	5143
2010-08-03	ST10318	Melding - endringsmelding	Navn på fiskerikyndig	7275	5144
2010-08-03	EMGS1001	Melding - ukemelding	\N	7191	5145
2010-08-03	ST10318	Melding - oppstartsmelding	Ankom Arbeids Området i dagtidlig 02 August.	7275	5146
2010-08-03	EN1001	Melding - ukemelding	Borestedsundersøkelsen ble avsluttet den 31. juli 2010. Sea Surveyor ankom Tromsø den 1. august 2010.	7282	5147
2010-08-03	PC10NO01	Melding - ukemelding	\N	7240	5148
2010-08-03	PM 05-2010	Melding - sluttmelding	\N	7307	5149
2010-08-02	BG1002	Melding - ukemelding	\N	7276	5150
2010-08-02	OMV1002	Melding - ukemelding	\N	7278	5151
2010-08-02	ST10318	Status - satt av OD	Pågående	7275	5152
2010-08-02	EN1002	Melding - ukemelding	Borestedsundersøkelsen ble avsluttet den 26. juli 2010.	7283	5153
2010-08-02	LN1053	Melding - endringsmelding	End.meldingen gjelder bytte av båt og tidligere oppstart.	7305	5154
2010-08-02	PM 05-2010	Status - satt av OD	Ferdig	7307	5155
2010-08-02	ST10314	Melding - sluttmelding	I løpet av Uke 30 ble det samlet inn 400 km seismikk og 6 CPTer slik at vi har en total på 771 km seismikk og 36 CPTer	7287	5156
2010-08-02	DN1002	Status - satt av OD	Ferdig	7313	5157
2010-08-02	ST10314	Status - satt av OD	Ferdig	7287	5158
2010-08-02	BPN0301_12	Status - satt av OD	Pågående	7300	5159
2010-08-02	BPN0301_12	Melding - oppstartsmelding	\N	7300	5160
2010-08-02	MNR10	Melding - ukemelding	\N	7224	5161
2010-08-02	NBR10	Melding - ukemelding	\N	7219	5162
2010-08-02	EO1003	Melding - ukemelding	\N	7293	5163
2010-08-02	WG1001	Melding - ukemelding	Vessel WG Amundsen is now in transit to survey area and will be deploying equipment in the next day or two. Fisheries rep Ragnvald Dahl is onboard.	7208	5164
2010-08-02	LN1053	Status - satt av OD	Pågående	7305	5165
2010-08-02	BPN10303	Status - satt av OD	Planlagt	7327	5166
2010-08-02	BPN10301	Status - satt av OD	Planlagt	7325	5167
2010-08-02	BPN10302	Status - satt av OD	Planlagt	7326	5168
2010-08-02	SH1003	Status - satt av OD	Planlagt	7322	5169
2010-08-02	SH1004	Status - satt av OD	Planlagt	7337	5170
2010-08-02	ST10308	Melding - endringsmelding	Endring består i at vi trenger noe mer område mot vest. Det viser seg at en en mindre del av undersøkelsen kommer utenfor området det er søkt for.	7308	5171
2010-08-02	MC3D-CGR-2010	Melding - ukemelding	uke 30	7190	5172
2010-08-02	MC3D-NVG10	Melding - ukemelding	uke 30	7189	5173
2010-08-02	ST10012-E	Melding - ukemelding	\N	7277	5174
2010-08-02	SH1004	Melding - endringsmelding	Meldingen gjelder endring av dato for oppstart og avslutning	7337	5175
2010-08-02	SH1001	Melding - ukemelding	Production ongoing	7213	5176
2010-08-02	CGGV1002	Melding - ukemelding	\N	7207	5177
2010-08-02	CE1001	Melding - ukemelding	\N	7318	5178
2010-08-02	Ormen L Mid	Status - satt av OD	Under behandling	7340	5179
2010-08-02	DN1002	Melding - ukemelding	\N	7313	5180
2010-08-02	EN1001	Melding - sluttmelding	Det antas at Sea Surveyor vil ankomme Tromsø den 1. august 2010.	7282	5181
2010-08-02	SH1003	Melding - endringsmelding	Meldingen gjelder dato for oppstart og avslutning av undersøkelsen	7322	5183
2010-07-30	BG1001	Melding - ukemelding	\N	7239	5184
2010-07-30	EMGS1010	Status - satt av OD	Planlagt	7328	5185
2010-07-30	ST10306	Status - satt av OD	Planlagt	7319	5186
2010-07-30	ST10462	Status - satt av OD	Planlagt	7336	5187
2010-07-30	ST10461	Status - satt av OD	Planlagt	7335	5188
2010-07-30	ST10310	Status - satt av OD	Planlagt	7330	5189
2010-07-30	ST10321	Status - satt av OD	Planlagt	7331	5190
2010-07-30	PM 02-2010	Melding - endringsmelding	Revidert survey plan.Endring i hjørnekoordinatene, deler av survey linje kom utenfor godkjent undersøkelsesområde.	7298	5191
2010-07-29	RWE1002	Melding - ukemelding	.	7259	5192
2010-07-29	OMV1002	Melding - endringsmelding	Navn på fiskerikyndig	7278	5193
2010-07-27	DN1002	Melding - endringsmelding	Endringen gjelder utnevnelse av Fiskerikyndig.	7313	5194
2010-07-27	ST10322	Status - satt av OD	Under behandling	7339	5195
2010-07-27	MAE10301	Melding - sluttmelding	Ny innsamling av side-scan sonar data er nå avsluttet. Dette betyr at alt offshore arbeid med denne undersøkelsen nå er avsluttet.Maersk Oil Norway takker alle involverte parter for tolmodigheten i denne saken.Med hilsenJan Strømmen	7212	5196
2010-07-27	MAE10301	Status - satt av OD	Ferdig	7212	5197
2010-07-27	DN1002	Status - satt av OD	Pågående	7313	5198
2010-07-27	DN1002	Melding - oppstartsmelding	\N	7313	5199
2010-07-27	PM 04-2010	Status - satt av OD	Ferdig	7302	5200
2010-07-27	PM 04-2010	Melding - sluttmelding	\N	7302	5201
2010-07-27	PM 05-2010	Status - satt av OD	Pågående	7307	5202
2010-07-27	PM 05-2010	Melding - oppstartsmelding	\N	7307	5203
2010-07-27	ST10005	Melding - ukemelding	\N	7227	5204
2010-07-27	OMV1002	Melding - ukemelding	\N	7278	5205
2010-07-27	ST10015	Melding - ukemelding	\N	7274	5206
2010-07-27	WG1001	Melding - ukemelding	Survey is paused. Resumption with WG Amundsen now expected 1st week of August	7208	5207
2010-07-27	ST10314	Melding - ukemelding	Det er i løpet av Uke 29 samlet inn 222 km seismikk + 12 CPTer, slik at vi totalt har 371 km seismikk og 30 CPTer.	7287	5208
2010-07-26	PM 04-2010	Melding - oppstartsmelding	\N	7302	5209
2010-07-26	PM 04-2010	Status - satt av OD	Pågående	7302	5210
2010-07-26	PC10NO01	Melding - ukemelding	\N	7240	5211
2010-07-26	EO1003	Melding - ukemelding	\N	7293	5212
2010-07-26	ST10007	Melding - ukemelding	\N	7272	5213
2010-07-26	ST10012-E	Melding - ukemelding	\N	7277	5214
2010-07-26	PM 04-2010	Melding - ukemelding	\N	7302	5215
2010-07-26	PM 09-2010	Status - satt av OD	Under behandling	7338	5216
2010-07-26	MC3D-NVG10	Melding - ukemelding	uke 29	7189	5217
2010-07-26	EN1002	Melding - ukemelding	\N	7283	5218
2010-07-26	ST10013 HUSVÆR	Melding - ukemelding	\N	7268	5219
2010-07-26	BG1002	Melding - ukemelding	Innsamlingen er ennå ikke startet. Holder på med klargjøring og testing av utstyr. Innsamlingen starter opp i løpet av de nærmeste dagene.	7276	5220
2010-07-26	SH1001	Melding - ukemelding	Production ongoing	7213	5221
2010-07-26	EMGS1001	Melding - ukemelding	\N	7191	5222
2010-07-26	BG1001	Melding - ukemelding	\N	7239	5223
2010-07-26	MNR10	Melding - ukemelding	\N	7224	5224
2010-07-26	MC3D-CGR-2010	Melding - ukemelding	uke 29	7190	5225
2010-07-26	NBR10	Melding - ukemelding	\N	7219	5226
2010-07-26	CGGV1002	Melding - ukemelding	\N	7207	5227
2010-07-26	VBT1	Melding - ukemelding	\N	7196	5228
2010-07-26	EN1001	Melding - oppstartsmelding	\N	7282	5229
2010-07-26	EN1001	Status - satt av OD	Pågående	7282	5230
2010-07-26	EN1002	Melding - sluttmelding	\N	7283	5231
2010-07-26	EN1002	Status - satt av OD	Ferdig	7283	5232
2010-07-23	EMGS1011	Melding - endringsmelding	Nye koordinater over området.	7329	5233
2010-07-23	OMV1004	Status - satt av OD	Planlagt	7294	5234
2010-07-23	MNDW2010	Melding - sluttmelding	\N	7280	5235
2010-07-23	SH1004	Status - satt av OD	Under behandling	7337	5236
2010-07-23	MNDW2010	Status - satt av OD	Ferdig	7280	5237
2010-07-23	PM 08-2010	Status - satt av OD	Planlagt	7324	5238
2010-07-23	CE1001	Melding - oppstartsmelding	\N	7318	5239
2010-07-23	CE1001	Status - satt av OD	Pågående	7318	5240
2010-07-23	RWE1002	Melding - ukemelding	15.7.-21.7.2010:Good production of cores taken, some technical problems with the vibro coring tool (electrical circuit). and some bent barrels due to hard seabed. Presently ship in Sandnessjøen for supplies, barrels and spare parts for coring equipment.	7259	5241
2010-07-22	LN1002	Melding - endringsmelding	Innsamling av en 2D linje for å tie til brønn 25/12-1. Dette medfører en utvidelse av survey-området mot øst som vist på vedlagte kartskisse.	7284	5242
2010-07-22	MAE10301	Melding - ukemelding	Omskytingen av side-scan sonar data er nå halvferdig. Hvis været tillater antas det at denne undersøkelsen kan være avsluttet på kommende søndag eller mandag.Sluttmelding vil da bli sendt.	7212	5243
2010-07-22	ST10462	Status - satt av OD	Under behandling	7336	5244
2010-07-22	ST10461	Status - satt av OD	Under behandling	7335	5245
2010-07-22	MC3D-NVG10	Melding - endringsmelding	Endring av fiskerikyndig person til Oddmund Hellberg i fra 11 August 2010.	7189	5246
2010-07-22	MC3D-CGR-2010	Melding - endringsmelding	Endring av den fiskerikyndige til Perry Urkedal fra den 11 August 2010.	7190	5247
2010-07-22	PM 02-2010	Status - satt av OD	Planlagt	7298	5248
2010-07-22	OMV1002	Status - satt av OD	Pågående	7278	5249
2010-07-22	OMV1002	Melding - oppstartsmelding	\N	7278	5250
2010-07-22	WG1001	Melding - ukemelding	\N	7208	5251
2010-07-21	OMV1001	Status - satt av OD	Ferdig	7279	5252
2010-07-21	OMV1001	Melding - sluttmelding	\N	7279	5253
2010-07-21	ST10321	Status - satt av OD	Under behandling	7331	5254
2010-07-21	ST10310	Status - satt av OD	Under behandling	7330	5255
2010-07-21	BG1003	Melding - endringsmelding	Endringene gjelder: Klassifisering, type av prøvetaking, Båter, telefon-nummer og havn, Tidsrom, oppstartsdato, Områder, brutto og netto	7290	5256
2010-07-21	EMGS1011	Status - satt av OD	Under behandling	7329	5257
2010-07-21	EMGS1010	Status - satt av OD	Under behandling	7328	5258
2010-07-20	OMV1001	Melding - ukemelding	\N	7279	5259
2010-07-20	EO1003	Melding - ukemelding	\N	7293	5260
2010-07-20	EM-3D-Peon	Status - satt av OD	Ferdig	7296	5261
2010-07-20	EM-3D-Peon	Melding - sluttmelding	\N	7296	5262
2010-07-20	EM-3D-Peon	Melding - ukemelding	\N	7296	5263
2010-07-20	EM-Test-Troll	Status - satt av OD	Ferdig	7262	5264
2010-07-20	EM-Test-Troll	Melding - sluttmelding	\N	7262	5265
2010-07-20	EM-Test-Troll	Melding - ukemelding	\N	7262	5266
2010-07-20	CE1001	Melding - endringsmelding	korrigert dato fiskerikyndig	7318	5267
2010-07-20	ST10010	Status - satt av OD	Planlagt	7323	5268
2010-07-19	MC3D-NON2010	Melding - sluttmelding	Sluttmelding for surveyenMC3D-NON-2010.	7238	5269
2010-07-19	ST10012-E	Melding - ukemelding	\N	7277	5270
2010-07-19	ST10005	Melding - ukemelding	\N	7227	5271
2010-07-19	ST10015	Melding - ukemelding	\N	7274	5272
2010-07-19	MC3D-CGR-2010	Melding - ukemelding	Ukemelding for uke 28.	7190	5273
2010-07-19	MC3D-NON2010	Melding - ukemelding	Ukemelding for uke 28.	7238	5274
2010-07-19	MC3D-NVG10	Melding - ukemelding	Ukemelding for uke 28.	7189	5275
2010-07-19	ST10013 HUSVÆR	Melding - ukemelding	\N	7268	5276
2010-07-19	MNR10	Melding - ukemelding	\N	7224	5277
2010-07-19	NBR10	Melding - ukemelding	\N	7219	5278
2010-07-19	PC10NO01	Melding - ukemelding	\N	7240	5279
2010-07-19	VBT1	Melding - ukemelding	\N	7196	5280
2010-07-19	MC3D-NON2010	Status - satt av OD	Ferdig	7238	5281
2010-07-19	WG1001	Melding - ukemelding	\N	7208	5282
2010-07-19	ST10007	Melding - ukemelding	\N	7272	5283
2010-07-19	EN1002	Melding - ukemelding	Uke 28Analoge data: 120,0 km	7283	5284
2010-07-19	BPN10302	Status - satt av OD	Under behandling	7326	5285
2010-07-19	BPN10303	Status - satt av OD	Under behandling	7327	5286
2010-07-19	BPN10301	Status - satt av OD	Under behandling	7325	5287
2010-07-19	ST10314	Melding - ukemelding	I løpet av sist uke ble det samlet inn ca 29 km seismikk og 9 CPTer. ved mannskapskifte i Risavikå utenfor Stvg ble Harald Simonsen avløst av Steinar Bastesen som Fiskerikyndig. Ellers er det dårlig med skikkelig kaiplass i Stvg, og Sea Explorer gikk derfor til Haugesund et par dager.	7287	5288
2010-07-19	EMGS1001	Melding - ukemelding	Due to re-towing we have exceeded the planned total CDP km. The planned area is the same.	7191	5289
2010-07-19	WG1001	Melding - endringsmelding	Adjustment to the Inklusiv snuomrade to avoid no exploration area. New estimated re-start date.	7208	5290
2010-07-19	SH1001	Melding - ukemelding	Production was resumed after completion of PL538 [SH1002]	7213	5291
2010-07-19	CGGV1002	Melding - ukemelding	\N	7207	5292
2010-07-19	BG1001	Melding - ukemelding	\N	7239	5293
2010-07-16	DN1002	Melding - endringsmelding	Endringen gjelder: Fugro Mercator skal gjøre geoteknisk undersøkelse rett etter MS Birkeland har gjort seismisk undersøkelse.Fugro Survey AS håndterer prosessen med meldinger på vegne av Detnor, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7313	5294
2010-07-16	MAE10301	Melding - oppstartsmelding	Fugro Searcher mobiliserer i Kristiansund i dag og skulle være i undersøkelsesområdet på lørdag 17 juli.	7212	5295
2010-07-16	MAE10301	Status - satt av OD	Pågående	7212	5296
2010-07-16	LN1002	Melding - endringsmelding	Innsamling av en 2D linje for å tie til brønn 25/12-1	7284	5297
2010-07-16	ST10015	Melding - oppstartsmelding	Båten Western Monarch er underveis fra forrige survey område, mens den holder på med re-konfigurering. Forventet start for innsamling av data på Visund er søndag 18.juli 2010.	7274	5298
2010-07-16	ST10015	Status - satt av OD	Pågående	7274	5299
2010-07-16	ST10016	Melding - sluttmelding	\N	7237	5300
2010-07-16	ST10016	Status - satt av OD	Ferdig	7237	5301
2010-07-16	BG1002	Status - satt av OD	Pågående	7276	5302
2010-07-16	BG1002	Melding - oppstartsmelding	\N	7276	5303
2010-07-16	BG1003	Melding - endringsmelding	Endringen gjelder klassifisering,dataformat,båter,fiskerikyndig,tidsrom og mengder	7290	5304
2010-07-15	BG1002	Melding - endringsmelding	Endring gjelder IMO nummer, kallesignal, telefonnummer og havn for båter	7276	5305
2010-07-15	BG1002	Melding - endringsmelding	Fiskerikyndige lagt til. Området for den seismisk innsamlingen er økt noe i vest. Følgefartøy er ogsålagt til.	7276	5306
2010-07-15	BG1001	Melding - endringsmelding	Gjelder navn på fiskerikynding	7239	5307
2010-07-15	PM 08-2010	Status - satt av OD	Under behandling	7324	5308
2010-07-15	CE1001	Melding - endringsmelding	Oppdatert linjeplan.	7318	5309
2010-07-14	ST10010	Status - satt av OD	Under behandling	7323	5310
2010-07-14	SH1003	Status - satt av OD	Under behandling	7322	5311
2010-07-14	MNDW2010	Melding - endringsmelding	Utvidelse av innsamlingsperiode med 10 dager for det tilfelle at vær og time-sharing kan medføre at innsamlingen ikke ferdigstilles innen opprinelig planlagt avslutningsdato.	7280	5312
2010-07-14	RWE1003	Melding - sluttmelding	The last of the Barents seabed cores was collected 03:02 today, bringing this part of the 2010 programme to a successful and timely conclusion without accident or injury. The crew have performed well. Elisabeth has commenced the passage south. She will stop briefly in Tromsø mid afternoon  July 14th to refuel and disembark the MicroPro crewman before continuing to Sandnesjøn ETA late evening July 15th or early  July 16th.	7260	5313
2010-07-14	RWE1003	Status - satt av OD	Ferdig	7260	5314
2010-07-14	RWE1002	Melding - oppstartsmelding	Elisabeth has commenced the passage south from Barents Sea. She will stop briefly in Tromsø mid afternoon  July 14th to refuel, before continuing to Sandnesjøn ETA late evening July 15th or early  July 16th. We will there change the coring equipment, to put onboard the Vibrocorer. Then continue our coring programme in the Norwegian Sea, that was temporarily discontinued due to problems with the Vibro-corer.	7259	5315
2010-07-14	ST10007	Melding - endringsmelding	Endringen gjelde skifte av Fiskerikyndig-FLO	7272	5316
2010-07-14	EN1002	Melding - oppstartsmelding	Forventet ankomsttid i undersøkelsesområdet er 13:00, den 14. juli 2010.	7283	5317
2010-07-14	EN1002	Status - satt av OD	Pågående	7283	5318
2010-07-13	ST10454	Status - satt av OD	Planlagt	7314	5319
2010-07-13	ST10459	Status - satt av OD	Planlagt	7315	5320
2010-07-13	Ormen L-Geodesy	Status - satt av OD	Under behandling	7321	5321
2010-07-13	NX1053	Status - satt av OD	Under behandling	7320	5322
2010-07-13	SH1002	Status - satt av OD	Ferdig	7214	5323
2010-07-13	SH1002	Melding - sluttmelding	\N	7214	5324
2010-07-13	ST10012-E	Melding - oppstartsmelding	\N	7277	5325
2010-07-13	ST10012-E	Status - satt av OD	Pågående	7277	5326
2010-07-13	ST10011 N	Melding - sluttmelding	\N	7223	5327
2010-07-13	ST10011 N	Status - satt av OD	Ferdig	7223	5328
2010-07-13	ST10012-E	Melding - endringsmelding	Kilden endert til 3310 cu.in.Området utvidet til å inkludere brønn tie-linjer til brønnene 7228/7-1A og 7229/11-1Q	7277	5329
2010-07-13	ST10005	Melding - ukemelding	\N	7227	5330
2010-07-13	CGGV1002	Melding - endringsmelding	Skifte av fiskerikynding	7207	5331
2010-07-12	EMGS1001	Melding - ukemelding	\N	7191	5332
2010-07-12	OMV1001	Melding - ukemelding	\N	7279	5333
2010-07-12	SH1001	Melding - endringsmelding	Grunnet sykdom kan ikke Albert Sejnes være fiskerikyndig. Istedet blir det Leif Kristian Lønning	7213	5334
2010-07-12	MC2D-CNS2010	Melding - sluttmelding	\N	7306	5335
2010-07-12	MC2D-CNS2010	Status - satt av OD	Ferdig	7306	5336
2010-07-12	MC2D-CNS2010	Melding - ukemelding	Ukemelding for uke 27.	7306	5337
2010-07-12	MC3D-NON2010	Melding - ukemelding	Ukemelding for uke 27.	7238	5338
2010-07-12	MC3D-NVG10	Melding - ukemelding	Ukemelding for uke 27	7189	5339
2010-07-12	ST10013 HUSVÆR	Melding - ukemelding	\N	7268	5340
2010-07-12	ST10016	Melding - ukemelding	\N	7237	5341
2010-07-12	ST10011 N	Melding - ukemelding	\N	7223	5342
2010-07-12	ST10306	Status - satt av OD	Under behandling	7319	5343
2010-07-12	CE1001	Status - satt av OD	Planlagt	7318	5344
2010-07-12	CE1001	Status - satt av OD	Under behandling	7318	5345
2010-07-12	ST10007	Melding - ukemelding	\N	7272	5346
2010-07-12	ST10003	Melding - ukemelding	\N	7228	5347
2010-07-12	ST10314	Melding - ukemelding	Fartøyet ankom arbeidsområdet 07. Juli. Arbeid med CPT målinger startet 09. Juli, og seismikk 10. Juli. For øyeblikket venter M/V Sea Explorer på bedre vær.	7287	5348
2010-07-12	CGGV1002	Melding - ukemelding	\N	7207	5349
2010-07-12	SH1002	Melding - ukemelding	In production for the majority of the week, although in continued time share with both the WG Vespucci and Geo Caspian. Shut down for weather on 8th/9th and resumed production later afternoon on the 10th – experienced gale force winds (peaking 40kts) and seas around 4-6m. Expect to complete survey around 13th July and then move back down to the Gro East block	7214	5350
2010-07-12	MNDW2010	Melding - ukemelding	\N	7280	5351
2010-07-12	PC10NO01	Melding - ukemelding	\N	7240	5352
2010-07-12	VBT1	Melding - ukemelding	\N	7196	5353
2010-07-12	BG1001	Melding - endringsmelding	Grunnet sen oppstart og dårlige værforhold antas at site surveyet vil vare til ut i august. Derfor ber vi om en forlengelse til 28. august.	7239	5354
2010-07-12	SH1001	Melding - oppstartsmelding	I would like to inform you that the Geo Challenger should be completing the current survey (PL538) later this morning and then we will be transiting back to our original survey Gro East (PL328) and resuming production around 18.00hrs UTC, 12th July.	7213	5355
2010-07-12	NBR10	Melding - ukemelding	\N	7219	5356
2010-07-12	MNR10	Melding - ukemelding	\N	7224	5357
2010-07-12	ST10017	Status - satt av OD	Planlagt	7316	5358
2010-07-09	MAE10301	Melding - endringsmelding	Dessverre har det vist seg at side-scan sonar dataene som ble samlet inn av Fugro Meridian har storemangler og feil i posisjoneringen. Fugro er derfor nødt til å samle inn denne type data på nytt.Maersk Oil Norway ber derfor om at undersøkelses-perioden forlenges frem til 1. august. Fugro har nå valgt SV Fugro Searcher for denne jobben. Det vil også være en ny fiskerikyndig om bord på båten. Båten vil sannsynligvis mobilisere fra Kristiansund rundt den 15 juli og det antas at arbeidet vil ta ca en uke hvis været tillater.	7212	5359
2010-07-09	EO1003	Melding - oppstartsmelding	\N	7293	5360
2010-07-09	EO1003	Status - satt av OD	Pågående	7293	5361
2010-07-09	VBT1	Melding - endringsmelding	Melding om utvidelse av tidsperioden for tillatt ElektroMagnetisk innsamling til å sammenfalle med perioden for 3D innsamling (15/9-2010).	7196	5362
2010-07-09	ST10314	Melding - oppstartsmelding	Innsamlingen er ikke startet riktig enda. M/V Sea Explorer ankom området 7 Juli, men har sålangt ikke kunne samle inn seismikk pga. bølgehøiden. 4 CPT målinger er gjort.	7287	5363
2010-07-09	ST10314	Status - satt av OD	Pågående	7287	5364
2010-07-09	BG1001	Melding - ukemelding	\N	7239	5365
2010-07-09	EM-3D-Peon	Melding - endringsmelding	ENDRINGSMELDING.Endring av den fiskerikyndige til Perry Urkedal.	7296	5366
2010-07-09	EM-3D-Peon	Status - satt av OD	Pågående	7296	5367
2010-07-09	EM-3D-Peon	Melding - oppstartsmelding	\N	7296	5368
2010-07-09	MAE10301	Melding - endringsmelding	Dessverre har det vist seg at side-scan sonar dataene som ble samlet inn av Fugro Meridian har storemangler og feil i posisjoneringen. Fugro er derfor nødt til å samle inn denne type data på nytt og de har nå valgt SV Fugro Searcher for denne jobben. Det vil også være en ny fiskerikyndig om bord på båten.Båten vil sannsynligvis mobilisere fra Kristiansund rundt den 15 juli.	7212	5369
2010-07-09	ST10016	Melding - endringsmelding	Oppdatert med navn på fiskerikyndige fra 7.juli	7237	5370
2010-07-08	ST10003	Melding - sluttmelding	\N	7228	5371
2010-07-08	ST10003	Status - satt av OD	Ferdig	7228	5372
2010-07-08	RWE1003	Melding - ukemelding	\N	7260	5373
2010-07-08	MNR10	Melding - endringsmelding	Endring av Fiskerikyndig fra 14 juli 2010	7224	5374
2010-07-08	ST10017	Status - satt av OD	Under behandling	7316	5375
2010-07-07	DN1002	Status - satt av OD	Planlagt	7313	5376
2010-07-07	PM 04-2010	Melding - endringsmelding	PGA sykdon endres fiskerikyndig	7302	5377
2010-07-07	PM 05-2010	Melding - endringsmelding	PGA sykdom endres fiskerikyndig	7307	5378
2010-07-07	PM 02-2010	Melding - endringsmelding	PGA sykdom endres fiskerikyndig	7298	5379
2010-07-07	ST10314	Melding - endringsmelding	Det viser seg at litt av undersøkelsen kom på utsiden av det området vi har oppgitt. Vi har derfor endret området noe mot Nord i den Nordvestlige delen. Ellers er Fiskerikyndige kjent, og vi kommer til å gjøre 20-30 CPT målinger.	7287	5380
2010-07-07	ST10007	Melding - oppstartsmelding	\N	7272	5381
2010-07-07	ST10007	Status - satt av OD	Pågående	7272	5382
2010-07-07	MC2D-CRRG2010	Status - satt av OD	Ferdig	7264	5383
2010-07-07	MC2D-CRRG2010	Melding - sluttmelding	Sluttmelding for surveyen MC2D-CRRG2010.	7264	5384
2010-07-06	EMGS1001	Melding - endringsmelding	Utvider innsamlingstiden til 1 september, samt oppdaterer planlagte tauede kilometer.	7191	5385
2010-07-06	RWE1003	Melding - endringsmelding	Utvidelse av området for å muliggjøre prøvetaking i konsesjonsrundeområdene NV i Barentshavet.	7260	5386
2010-07-06	WG1001	Melding - ukemelding	The Geco Eagle has completed the original survey area. The survey is now paused until the Amundsen resumes the survey in mid_July as previously notified.	7208	5387
2010-07-06	ST10459	Status - satt av OD	Under behandling	7315	5388
2010-07-06	EO1003	Status - satt av OD	Planlagt	7293	5389
2010-07-06	EO1003	Melding - endringsmelding	Apologies, wrong fish rep change over date on previous endringsmelding	7293	5390
2010-07-06	PC10NO01	Melding - endringsmelding	Fishery reps to change 14th July.  Jens Thorsteinsen, 8064  Roest is to replace Kai Lenthe.	7240	5391
2010-07-06	WG1001	Melding - ukemelding	The survey is now paused until the Amundsen resumes the survey in mid_July as previously notified.	7208	5392
2010-07-06	WG1001	Status - satt av OD	Pause	7208	5393
2010-07-06	ST10456	Status - satt av OD	Planlagt	7312	5394
2010-07-06	OMV1001	Melding - ukemelding	\N	7279	5395
2010-07-06	ST10454	Status - satt av OD	Under behandling	7314	5396
2010-07-06	Earb2010	Melding - sluttmelding	Project completed 18 June - demobilised in Aberdeen.	7250	5397
2010-07-06	East Kameleon2010	Melding - sluttmelding	Project completed 18 June. Vessel demobilised in Aberdeen	7249	5398
2010-07-06	Caterpillar2010	Melding - sluttmelding	Project completed 18 June 2010 - vessel demobilised in Aberdeen.	7247	5399
2010-07-06	Marihøne2010	Melding - sluttmelding	Site survey programme completed 18th June 2010	7248	5400
2010-07-06	GN1001	Melding - sluttmelding	\N	7251	5401
2010-07-06	GN1001	Melding - ukemelding	Dette er siste ukemelding for GN1001, sluttemelding sendes separat	7251	5402
2010-07-06	MC2D-CNS2010	Melding - ukemelding	Ukemelding for uke 26.	7306	5403
2010-07-06	MC2D-CRRG2010	Melding - ukemelding	Ukemelding for uke 26.	7264	5404
2010-07-06	TO-Norvarg10	Melding - sluttmelding	\N	7226	5405
2010-07-06	MC3D-CGR-2010	Melding - oppstartsmelding	\N	7190	5406
2010-07-06	MC3D-CGR-2010	Status - satt av OD	Pågående	7190	5407
2010-07-06	GN1001	Status - satt av OD	Ferdig	7251	5408
2010-07-05	ST10011 N	Melding - ukemelding	\N	7223	5409
2010-07-05	MC3D-NON2010	Melding - ukemelding	Ukemelding for uke 26.	7238	5410
2010-07-05	MC3D-NVG10	Melding - ukemelding	Ukemelding for uke 26.	7189	5411
2010-07-05	EMGS1001	Melding - ukemelding	\N	7191	5412
2010-07-05	ST10005	Melding - ukemelding	\N	7227	5413
2010-07-05	ST10003	Melding - ukemelding	\N	7228	5414
2010-07-05	ST10013 HUSVÆR	Melding - ukemelding	\N	7268	5415
2010-07-05	ST10016	Melding - ukemelding	\N	7237	5416
2010-07-05	ST10312	Melding - sluttmelding	M/V Sea Explorer er nå på vei til Blokkene 15/5 og 6 i Nordsjøen.	7256	5417
2010-07-05	ST10312	Status - satt av OD	Ferdig	7256	5418
2010-07-05	ST10003	Melding - ukemelding	\N	7228	5419
2010-07-05	ST10013 HUSVÆR	Melding - ukemelding	\N	7268	5420
2010-07-05	ST10016	Melding - ukemelding	\N	7237	5421
2010-07-05	MC3D-CGR-2010	Melding - endringsmelding	Endringsmelding. Endring av Fiskerikyndig til Roy Sebulonsen.	7190	5422
2010-07-05	NBR10	Melding - ukemelding	\N	7219	5423
2010-07-05	MNR10	Melding - ukemelding	\N	7224	5424
2010-07-05	PC10NO01	Melding - ukemelding	\N	7240	5425
2010-07-05	MNDW2010	Melding - ukemelding	\N	7280	5426
2010-07-05	VBT1	Melding - ukemelding	\N	7196	5427
2010-07-05	ST10456	Melding - endringsmelding	Dato for perioden er rettet opp da den var skrevet feil inn.	7312	5428
2010-07-05	TO-Norvarg10	Status - satt av OD	Ferdig	7226	5429
2010-07-05	ST10308	Status - satt av OD	Planlagt	7308	5430
2010-07-05	LN1001	Status - satt av OD	Planlagt	7285	5431
2010-07-05	PM 05-2010	Status - satt av OD	Planlagt	7307	5432
2010-07-05	CGGV1002	Melding - ukemelding	\N	7207	5433
2010-07-05	SH1002	Melding - ukemelding	Continued in production on the PL538 survey. Encounter with dead sperm whale carcass on the 29th – drifting carcass caught in gear, report issued by vessel and onboard FLO representative. Continued in time share with the Geo Caspian and WG Vespucci. Munin Explorer departed immediate area on the 2nd July, due back in approx 1 week	7214	5434
2010-07-02	EN1002	Melding - endringsmelding	Oppdatering av bruttoområdet for å inkludere 2D linjen til brønn 7120/1-1 som ble nevnt i den opprinnelige meldingen datert 28. mai 2010.Det antas at det tidligst kan bli oppstart i undersøkelsesområdet den 7. juli 2010.	7283	5435
2010-07-02	EN1001	Melding - endringsmelding	Oppstart blir noen dager forsinket. Det antas at det tidligst kan bli oppstart i undersøkelsesområdet den 7. juli 2010.	7282	5436
2010-07-02	PC10NO01	Melding - endringsmelding	Request extension of acquisition period to 31st August 2010.Fishery reps expected to change 14th July 2010	7240	5437
2010-07-02	PM 04-2010	Melding - endringsmelding	Nye koordinater for undersøkelses område.	7302	5438
2010-07-02	EM-3D-Peon	Status - satt av OD	Planlagt	7296	5439
2010-07-02	MC2D-CNS2010	Melding - oppstartsmelding	\N	7306	5440
2010-07-02	DN1002	Status - satt av OD	Under behandling	7313	5441
2010-07-02	BG1001	Status - satt av OD	Pågående	7239	5442
2010-07-02	BG1001	Melding - oppstartsmelding	Vessel left Aberdeen 1st July, expected to start acquisition 3rd July.	7239	5443
2010-07-02	CP1099	Melding - endringsmelding	På grunn ulike operasjoner er det litt usikkert når vi kommer i gang med undersøkelsen. Vi ber derfor om å få utvidet tillatelsen til å gjelde ut august måned. Mvh. Arne Solberg	7304	5444
2010-07-01	MC2D-CNS2010	Status - satt av OD	Pågående	7306	5445
2010-07-01	ST10456	Status - satt av OD	Under behandling	7312	5446
2010-07-01	VBT1	Melding - endringsmelding	Bytte av fiskerikyndig pga medesinske årsaker.	7196	5447
2010-07-01	RWE1002	Melding - ukemelding	\N	7259	5448
2010-07-01	RWE1003	Melding - oppstartsmelding	\N	7260	5449
2010-07-01	RWE1003	Status - satt av OD	Pågående	7260	5450
2010-07-01	NSR10 VG	Status - satt av OD	Ferdig	7242	5451
2010-07-01	NSR10 VG	Melding - sluttmelding	\N	7242	5452
2010-07-01	NSR10 VG	Melding - ukemelding	\N	7242	5453
2010-06-30	PC10NO01	Melding - ukemelding	\N	7240	5454
2010-06-30	PC10NO01	Melding - ukemelding	\N	7240	5455
2010-06-30	EM-Test-Troll	Melding - oppstartsmelding	Har sendt endringsmelding når det gjelder den nye fieskerikyndigePerry Urkedal.	7262	5456
2010-06-30	EM-Test-Troll	Status - satt av OD	Pågående	7262	5457
2010-06-30	EM-Test-Troll	Melding - endringsmelding	Endring av Fiskerikyndig.Ny fiskerikyndig er Perry Urkedal.	7262	5458
2010-06-30	Penguin 2010 4D	Status - satt av OD	Ferdig	7241	5459
2010-06-30	Penguin 2010 4D	Melding - sluttmelding	End of survey.	7241	5460
2010-06-30	RWE1002	Melding - ukemelding	\N	7259	5461
2010-06-29	ST10005	Melding - ukemelding	\N	7227	5462
2010-06-22	ST10013 HUSVÆR	Melding - endringsmelding	Ny fiskerikyndig etter mannskapsbytte 30-06-2010 blir Trond Roaldseth	7268	5524
2010-06-15	RWE1001	Melding - oppstartsmelding	\N	7258	5600
2010-06-29	ST10005	Melding - endringsmelding	Endringsmeldingen gjelder skifte av fiskerikyndige 23.06.10, samt skifte av støttefartøy.De nye fiskerikyndige er:Egil Sørensen og Ronald Hansen.Storm West har erstattet Calvin som støttefartøy.	7227	5463
2010-06-29	VBT1	Melding - endringsmelding	Vi ønsker å forlenge innsamlingsperiode t.o.m 15.september.	7196	5464
2010-06-29	NBR10	Melding - endringsmelding	Ny fiskerikyndig.	7219	5465
2010-06-29	ST10308	Status - satt av OD	Under behandling	7308	5466
2010-06-29	PM 05-2010	Status - satt av OD	Under behandling	7307	5467
2010-06-29	MNR10	Melding - endringsmelding	Ny fiskerikyndig fra 14.juli.	7224	5468
2010-06-29	VBT1	Melding - endringsmelding	Ny fiskerikyndig.	7196	5469
2010-06-29	EO1003	Melding - endringsmelding	Ny opplysninger om fikerikyndig og følgefartøy	7293	5470
2010-06-29	MC2D-VIC2010	Melding - ukemelding	UKEMELDING FOR UKE 25.	7265	5471
2010-06-29	MC3D-NVG10	Melding - ukemelding	Ukemelding for uke 25.	7189	5472
2010-06-29	MC3D-NON2010	Melding - ukemelding	Ukemelding for uke 25.	7238	5473
2010-06-29	MC2D-VIC2010	Melding - ukemelding	UKEMELDING FOR UKE 25.	7265	5474
2010-06-29	LN1053	Status - satt av OD	Planlagt	7305	5475
2010-06-29	OMV1001	Melding - endringsmelding	Endringsmelding gjelder navn på Fiskerikyndig person.	7279	5476
2010-06-29	MC2D-VIC2010	Melding - sluttmelding	Sluttmelding	7265	5477
2010-06-29	MC2D-VIC2010	Status - satt av OD	Ferdig	7265	5478
2010-06-29	OMV1001	Melding - endringsmelding	Dette er melding av 21.5.2010.	7279	5479
2010-06-28	EMGS1001	Melding - ukemelding	\N	7191	5480
2010-06-28	OMV1001	Melding - oppstartsmelding	Date of startup on the first weekly report	7279	5481
2010-06-28	OMV1001	Status - satt av OD	Pågående	7279	5482
2010-06-28	CP1099	Melding - endringsmelding	Endringsmelding gjelder navn på fiskerikyndig	7304	5483
2010-06-28	BPN0301_12	Status - satt av OD	Planlagt	7300	5484
2010-06-28	TO-Norvarg10	Melding - ukemelding	\N	7226	5485
2010-06-28	ST10013 HUSVÆR	Melding - ukemelding	\N	7268	5486
2010-06-28	ST10016	Melding - ukemelding	\N	7237	5487
2010-06-28	ST10003	Melding - ukemelding	\N	7228	5488
2010-06-28	ST10011 N	Melding - ukemelding	\N	7223	5489
2010-06-28	GN1001	Melding - ukemelding	\N	7251	5490
2010-06-28	NBR10	Melding - ukemelding	\N	7219	5491
2010-06-28	VBT1	Melding - ukemelding	\N	7196	5492
2010-06-28	MNR10	Melding - ukemelding	\N	7224	5493
2010-06-28	ST10312	Status - satt av OD	Pågående	7256	5494
2010-06-28	ST10312	Melding - oppstartsmelding	M/V Sea Explorer ankom arbeidsområdet tidlig morgen 27 Juni. Arbeidet er ennå ikke pågynt.	7256	5495
2010-06-28	SH1002	Melding - ukemelding	Continued in production on the PL538 survey. Shut down for weather on the 22nd & resumed production on the 23rd June. Continued in time share with the Geo Caspian, WG Vespucci and Munin Explorer	7214	5496
2010-06-28	Penguin 2010 4D	Melding - ukemelding	Survey in progress.	7241	5497
2010-06-28	CGGV1002	Melding - ukemelding	\N	7207	5498
2010-06-28	WIN1004	Melding - sluttmelding	\N	7255	5499
2010-06-28	WIN1004	Status - satt av OD	Ferdig	7255	5500
2010-06-28	IPN1001	Status - satt av OD	Ferdig	7229	5501
2010-06-28	IPN1001	Melding - sluttmelding	\N	7229	5502
2010-06-25	ST10003	Melding - endringsmelding	Endringen gjelder ny slutt dato. På grunn av mye time-share foreslås at ny sluttdato for surveyen settes til 10 juli. Dersomm en får mindre time sharing er der imidlertid mulighet for at en er ferdig tidligere.Antall planlagte km er økt fra 1525 til 1772. Dette skyldes at innsamling av 2D data over kablene ikke var tatt med tidligere.	7228	5503
2010-06-25	VBT1	Melding - endringsmelding	Vi ønsker å samle inn elektromagnetiske data i tillegg til 3D seismikk. Dette vil skje innenfor samme område og tidsperiode som vi tidligere har søkt og fått tillatelse for. Det blir ingen ekstra fartøy, men andre sensorer (noder) og annen kilde (elektromagnetisk) i tillegg til det vi bruker ved 3D seismisk innsamling.	7196	5504
2010-06-25	ST10008	Melding - endringsmelding	Endringsmeldingen gjelder foeandring av oppstart og sluttdato og valg av fiskerikyndigPå grunn av mer time-sharing enn forventet har ST10003 tatt lenger tid enn planlagt. Tidligere var det usikkert om en skulle samle inn ST10008 før ST10007, men det er nå bestemt at deler av ST10007, 30 - 50 %, skal samles inn før ST10008. En vil derfor sannsynligvis ikke kunne starte innsamling av ST10008 før ca 15 august, og den vil sannsynligvis vare til 20 september.Når det gjelder fiskerikyndig var Inge Kjerringvåg meldt inn, men på grunn av forsinkelse og forandring i planer for oppstart vil det sannsynligvis være en annen som vil være fiskerikyndig, men hvem er ennå ikke bestemt.	7257	5505
2010-06-25	ST10007	Melding - endringsmelding	Endringen gjelder ny oppstartsdato og info om fiskerikyndigPå grunn av mye time-share har ST10003 surveyen tatt lenger tid enn forventet. En regner derfor ikke med å begynne på denne surveyen før ca 10 juli, kanskje før dersom en får noe mindre timesharing. En vil ikke samle inn hele surveyen som en kontinuerlig survey, men kun samle inn sørligst del, 30 - 50% av surveyen først og deretter gå til survey ST10008 og samle den inn i sin helhet, for deretter å samle inn resten av ST10007. Som sluttdato har en satt opp forventet sluttdato for hele surveyen ST10007Endringsmeldingen gjelder også informasjon om fiskerikyndig.	7272	5506
2010-06-25	MNDW2010	Melding - endringsmelding	Program adjustment. One line extended.	7280	5507
2010-06-25	MNDW2010	Melding - ukemelding	\N	7280	5508
2010-06-24	ST10305	Melding - sluttmelding	M/V Sea Explorer ble ferdig med arbeidet rett over midnatt til 24 Juni. Fartøyet er nå på vei til bergen før det skal videre til neste arbeid i Blokk 6610/10.	7236	5509
2010-06-24	ST10305	Status - satt av OD	Ferdig	7236	5510
2010-06-24	NSR10 VG	Melding - ukemelding	\N	7242	5511
2010-06-24	ST10016	Melding - endringsmelding	Oppdatert med navn på fiskerikyndige fra 7.juli	7237	5512
2010-06-24	ST10015	Melding - endringsmelding	Grunnet forsinkelser er tidsrom for undersøkelsen endret.Navn på fiskerikyndige er oppdatert	7274	5513
2010-06-24	PM 04-2010	Status - satt av OD	Planlagt	7302	5514
2010-06-24	CP1099	Status - satt av OD	Planlagt	7304	5515
2010-06-24	EN1002	Melding - endringsmelding	Navn på fiskerikyndig	7283	5516
2010-06-24	EN1001	Melding - endringsmelding	Navn på fiskerikyndig	7282	5517
2010-06-23	EO1004	Status - satt av OD	Planlagt	7301	5518
2010-06-23	ST10314	Status - satt av OD	Planlagt	7287	5519
2010-06-23	ST10458	Status - satt av OD	Planlagt	7288	5520
2010-06-23	RWE1001	Status - satt av OD	Ferdig	7258	5521
2010-06-23	RWE1001	Melding - sluttmelding	\N	7258	5522
2010-06-22	EMGS1001	Melding - ukemelding	\N	7191	5523
2010-06-22	ST10457	Melding - endringsmelding	Pga en rigg er forventet å ankomme området i begynnelsen av juli kommer vi ikke til på hele undersøkelsesområdet. Sannsynlig oppstarttidspunkt er dermed flyttet til august.Vi forventer at undersøkelsen utføres en gang i period mellom 1. august og 31. oktober 2010.	7286	5525
2010-06-22	MC2D-CNS2010	Status - satt av OD	Under behandling	7306	5526
2010-06-22	LN1053	Status - satt av OD	Under behandling	7305	5527
2010-06-22	TO-Norvarg10	Melding - endringsmelding	På grunn av reparasjon av akslings lager og venting på vær, ønsker vi å forlenge undersøkelsen til 8.7.2010	7226	5528
2010-06-22	GN1001	Melding - ukemelding	\N	7251	5529
2010-06-22	IPN1001	Melding - ukemelding	\N	7229	5530
2010-06-22	ST10016	Melding - ukemelding	\N	7237	5531
2010-06-22	OMV1004	Status - satt av OD	Under behandling	7294	5532
2010-06-22	OMV1003	Status - satt av OD	Planlagt	7292	5533
2010-06-22	OMV1004	Status - satt av OD	Planlagt	7294	5534
2010-06-21	MC3D-NVG10	Melding - ukemelding	Ukemelding for uke 24.	7189	5535
2010-06-21	MC2D-CRRG2010	Melding - ukemelding	Ukemelding for uke 24.	7264	5536
2010-06-21	MC2D-VIC2010	Melding - ukemelding	Ukemelding for uke 24.	7265	5537
2010-06-21	NBR10	Melding - ukemelding	\N	7219	5538
2010-06-21	ST10003	Melding - ukemelding	\N	7228	5539
2010-06-21	ST10011 N	Melding - ukemelding	\N	7223	5540
2010-06-21	VBT1	Melding - ukemelding	\N	7196	5541
2010-06-21	WG1001	Melding - ukemelding	The Geco Eagle has been in producion all week.	7208	5542
2010-06-21	CGGV1002	Melding - ukemelding	\N	7207	5543
2010-06-21	MCG1002	Status - satt av OD	Ferdig	7225	5544
2010-06-21	MCG1002	Melding - sluttmelding	\N	7225	5545
2010-06-21	ST10305	Melding - ukemelding	\N	7236	5546
2010-06-21	TO-Norvarg10	Melding - ukemelding	\N	7226	5547
2010-06-21	ST10013 HUSVÆR	Melding - ukemelding	\N	7268	5548
2010-06-21	MNR10	Melding - ukemelding	\N	7224	5549
2010-06-21	SH1002	Melding - ukemelding	Continued in production on the PL538 survey. Shut down for weather on the 18th & 19th June – Winds of N40knts and seas 4-5m’s reported. In time share with the Geo Caspian and WG VEspucci	7214	5550
2010-06-21	SH1002	Melding - ukemelding	Completed previous prospect (Gro West) on 11th June and proceeded to PL538, arriving 12th June. Current waiting on weather but hoping to resume production late 13th/early 14th. Production will be weather dependent and fcst is to pick up again wednesday/thursday of teh coming week	7214	5551
2010-06-21	Penguin 2010 4D	Melding - ukemelding	Survey in progress.	7241	5552
2010-06-21	TO-Norvarg10	Melding - endringsmelding	Bytte av fiskerikyndig fra 18.6.2010	7226	5553
2010-06-21	ST10305	Melding - ukemelding	Denne Rapporten går frem til 13. Juni. Ved mannskap skiftet 14. Juni avløste Harald Simonsen Bjørn Nornes som Fiskerikyndig.	7236	5554
2010-06-18	MAE10301	Status - satt av OD	Pause	7212	5555
2010-06-18	BG1001	Melding - endringsmelding	Site surveyet er forsinket og vil starte opp mellom 24-28. juni 2010. Jobben vil bli utført fra denne dato og bli avsluttet innen 30 dager, 28. juli 2010.	7239	5556
2010-06-18	CP1099	Status - satt av OD	Under behandling	7304	5557
2010-06-18	MNDW2010	Melding - ukemelding	\N	7280	5558
2010-06-18	PM 04-2010	Status - satt av OD	Under behandling	7302	5559
2010-06-18	NSR10 VG	Melding - ukemelding	\N	7242	5560
2010-06-18	WIN1003	Melding - sluttmelding	\N	7211	5561
2010-06-18	WIN1003	Status - satt av OD	Ferdig	7211	5562
2010-06-18	WIN1004	Status - satt av OD	Pågående	7255	5563
2010-06-18	WIN1004	Melding - oppstartsmelding	\N	7255	5564
2010-06-18	MC3D-NON2010	Status - satt av OD	Pågående	7238	5565
2010-06-17	EO1003	Status - satt av OD	Pågående	7293	5566
2010-06-17	EO1004	Status - satt av OD	Under behandling	7301	5567
2010-06-17	ST10009	Status - satt av OD	Planlagt	7289	5568
2010-06-17	ST10457	Status - satt av OD	Planlagt	7286	5569
2010-06-17	Marihøne2010	Status - satt av OD	Ferdig	7248	5570
2010-06-17	MC3D-NON2010	Melding - oppstartsmelding	\N	7238	5571
2010-06-17	MCG1002	Melding - ukemelding	\N	7225	5572
2010-06-17	BPN0301_12	Status - satt av OD	Under behandling	7300	5573
2010-06-17	RWE1002	Status - satt av OD	Pågående	7259	5574
2010-06-17	RWE1002	Melding - oppstartsmelding	\N	7259	5575
2010-06-16	PM 02-2010	Status - satt av OD	Under behandling	7298	5576
2010-06-16	MC2D-VIC2010	Status - satt av OD	Pågående	7265	5577
2010-06-16	EM-Test-Troll	Status - satt av OD	Planlagt	7262	5578
2010-06-16	IPN1001	Melding - endringsmelding	Undersøkelsen er forsinket, ber om forlenget tillatelse til 1. juli.Fugro Survey AS håndterer prosessen med meldinger på vegne av Idemitsu, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7229	5579
2010-06-15	EMGS1001	Melding - endringsmelding	Endringsmeldingen gjelder utbytting av fiskerikyndige på Mollie og Thalassa.	7191	5580
2010-06-15	MAE10301	Melding - sluttmelding	De gjenstående fire CPT testene ble avsluttet kl 1800 den 14 juni og båten satte da kursen for Ålesund for demobilisering.	7212	5581
2010-06-15	MAE10301	Status - satt av OD	Ferdig	7212	5582
2010-06-15	MAE10301	Melding - sluttmelding	De gjenstående fire CPT testene ble avsluttet kl 1800 den 14 juni og båten satte da kursen for Ålesund for demobilisering.	7212	5583
2010-06-15	MC2D-VIC2010	Melding - oppstartsmelding	\N	7265	5584
2010-06-15	MC2D-VIC2010	Melding - endringsmelding	Endringsmelding.Endring av Fiskerikyndig til Oddmund Helberg.	7265	5585
2010-06-15	BG1003	Status - satt av OD	Planlagt	7290	5586
2010-06-15	TO-Norvarg10	Melding - ukemelding	\N	7226	5587
2010-06-15	OMV1004	Melding - endringsmelding	Endret antall båt kilometer og CDP kilometer	7294	5588
2010-06-15	EM-3D-Peon	Status - satt av OD	Under behandling	7296	5589
2010-06-15	GN1001	Melding - ukemelding	GN1001 mobiliserte 7. Juni. Ukemeldingene vil da omfatte all aktivitet frem til kl 24:00 hver søndag.	7251	5590
2010-06-15	Marihøne2010	Melding - ukemelding	Weekly report number 4	7248	5591
2010-06-15	EMGS1001	Melding - ukemelding	\N	7191	5592
2010-06-15	ST10005	Melding - ukemelding	\N	7227	5593
2010-06-15	Earb2010	Status - satt av OD	Ferdig	7250	5594
2010-06-15	East Kameleon2010	Status - satt av OD	Ferdig	7249	5595
2010-06-15	Caterpillar2010	Status - satt av OD	Ferdig	7247	5596
2010-06-15	IPN1001	Melding - oppstartsmelding	\N	7229	5597
2010-06-15	IPN1001	Status - satt av OD	Pågående	7229	5598
2010-06-15	RWE1001	Status - satt av OD	Pågående	7258	5599
2010-06-14	ST10011 N	Melding - ukemelding	\N	7223	5601
2010-06-14	WG1001	Melding - ukemelding	Production continuing with no problems.	7208	5602
2010-06-14	CGGV1002	Melding - ukemelding	\N	7207	5603
2010-06-14	WIN1003	Melding - ukemelding	\N	7211	5604
2010-06-14	VBT1	Melding - ukemelding	\N	7196	5605
2010-06-14	ST10003	Melding - ukemelding	\N	7228	5606
2010-06-14	ST10013 HUSVÆR	Melding - ukemelding	\N	7268	5607
2010-06-14	PC10NO01	Melding - ukemelding	\N	7240	5608
2010-06-14	MC3D-NVG10	Melding - ukemelding	Ukemelding for uke 23.	7189	5609
2010-06-14	MC2D-CRRG2010	Melding - ukemelding	Ukemelding for uke 23	7264	5610
2010-06-14	MCG1002	Melding - ukemelding	\N	7225	5611
2010-06-14	MCG1002	Melding - ukemelding	\N	7225	5612
2010-06-14	NBR10	Melding - ukemelding	\N	7219	5613
2010-06-14	OMV1004	Status - satt av OD	Under behandling	7294	5614
2010-06-14	MNR10	Melding - ukemelding	\N	7224	5615
2010-06-14	RS1002	Melding - sluttmelding	\N	7188	5616
2010-06-14	RS1002	Melding - ukemelding	\N	7188	5617
2010-06-14	RS1002	Status - satt av OD	Ferdig	7188	5618
2010-06-14	RS1001	Melding - sluttmelding	\N	7186	5619
2010-06-14	RS1001	Melding - ukemelding	\N	7186	5620
2010-06-14	RS1001	Status - satt av OD	Ferdig	7186	5621
2010-06-14	PC10NO01	Status - satt av OD	Pågående	7240	5622
2010-06-14	PC10NO01	Melding - oppstartsmelding	Vessel enroute to location from 00:00 12th June 2010.	7240	5623
2010-06-14	Penguin 2010 4D	Melding - ukemelding	Start of survey.	7241	5624
2010-06-11	EO1003	Status - satt av OD	Under behandling	7293	5625
2010-06-11	VBT1	Melding - endringsmelding	Ny FLO.	7196	5626
2010-06-11	ST10312	Melding - endringsmelding	Endringen gjelder navn på fiskerikyndig	7256	5627
2010-06-11	ST10315	Melding - endringsmelding	Endringen gjelder navn på fiskerikyndig	7266	5628
2010-06-11	ST10305	Melding - endringsmelding	Endringsmelding gjelder navn på fiskerikyndig	7236	5629
2010-06-11	TO-Norvarg10	Melding - endringsmelding	Endringsmelding gjelder forlengelse til ca. 28. juni pga. mye dårlig vær i området.	7226	5630
2010-06-10	OMV1003	Status - satt av OD	Under behandling	7292	5631
2010-06-10	ST10315	Melding - endringsmelding	Navn på fiskerikyndig	7266	5632
2010-06-10	ST10008	Melding - endringsmelding	Denne endringen gjelder endring i planlagt oppstartstidspunkt og melding om fiskertikyndig.Oppstartstidspunkt er usikkert da en ennå ikke har bestemt om en skal starte på denne undersøkelsen etter at ST10003 undersøkelsen (OD nr 7228) er ferdig eller gjøre deler av ST10007 (OD nr 7272) før en går til denne undersøkelsen. Avgjørelsen tas i neste uke. Dersom en velger å gjøre denne undersøkelsen rett etter ST10003 er ferdig, regner en ikke med å kunne begynne før tidligst 20 juni, sannsynligvis seinere avhengig av timeshare og vær	7257	5633
2010-06-10	MNDW2010	Melding - ukemelding	\N	7280	5634
2010-06-10	SH1002	Status - satt av OD	Pågående	7214	5635
2010-06-10	SH1002	Melding - oppstartsmelding	We are estimating to start on SH1002 project on June 12th 2010.We should by then have completed the GRO West, part of the SH1001. We will return to the GRO East later on.	7214	5636
2010-06-10	BG1003	Status - satt av OD	Under behandling	7290	5637
2010-06-09	ST10009	Status - satt av OD	Under behandling	7289	5638
2010-06-09	ST10013 HUSVÆR	Melding - oppstartsmelding	\N	7268	5639
2010-06-09	ST10013 HUSVÆR	Status - satt av OD	Pågående	7268	5640
2010-06-09	MC3D-NON2010	Melding - endringsmelding	Tidligere oppstart	7238	5641
2010-06-09	CGGV1002	Melding - endringsmelding	New fishing rep	7207	5642
2010-06-09	ST10458	Status - satt av OD	Under behandling	7288	5643
2010-06-09	ST10004	Status - satt av OD	Ferdig	7234	5644
2010-06-09	EN1001	Status - satt av OD	Planlagt	7282	5645
2010-06-09	EN1002	Status - satt av OD	Planlagt	7283	5646
2010-06-09	ST10004	Melding - sluttmelding	Luva Extension undersøkelsen er ferdig og avsluttet.	7234	5647
2010-06-09	MAE10301	Status - satt av OD	Pågående	7212	5648
2010-06-08	BG1002	Melding - endringsmelding	meldingen gjelder navn på kontraktør og navn på båt	7276	5649
2010-06-08	NSR10 VG	Melding - ukemelding	\N	7242	5650
2010-06-08	ST10307	Status - satt av OD	Ferdig	7243	5651
2010-06-08	ST10307	Melding - sluttmelding	\N	7243	5652
2010-06-08	GN1001	Status - satt av OD	Pågående	7251	5653
2010-06-08	GN1001	Melding - oppstartsmelding	Mobilisering fant sted mandag 7. Juni i Bergen. Fartøyet er nå nord for arbeidsområdet og har begynt å sette ut kablene.	7251	5654
2010-06-08	ST10305	Status - satt av OD	Pågående	7236	5655
2010-06-08	ST10305	Melding - oppstartsmelding	M/V Sea Explorer ankommer arbeidsområdet ST10305 i ettermiddag. Marginalt vær i området gjør at de kanskje tar en tur til Bergen for forsyninger.	7236	5656
2010-06-08	ST10314	Status - satt av OD	Under behandling	7287	5657
2010-06-08	LN1002	Status - satt av OD	Planlagt	7284	5658
2010-06-08	BG1002	Status - satt av OD	Planlagt	7276	5659
2010-06-08	OMV1002	Status - satt av OD	Planlagt	7278	5660
2010-06-08	OMV1001	Status - satt av OD	Planlagt	7279	5661
2010-06-08	ST10005	Melding - ukemelding	\N	7227	5662
2010-06-07	RS1002	Melding - ukemelding	\N	7188	5663
2010-06-07	RS1001	Melding - ukemelding	\N	7186	5664
2010-06-07	MAE10301	Melding - oppstartsmelding	Det er forventet at skaden på kranen som brukes til manøvrering av CPT modul blir reparert og at båten vil forlate Bergen onsdag 9. juni. Ankomst i området som skal undersøkes er forventet torsdag 10 juni. Hvis været tillater, skulle de fire manglende CPT være gjort i løpet av 24 timer.Merk at båten ikke vil ha fiskerikyndig ombord etter at NPD ga fritak for dette kravet pr fax den 7. juni.	7212	5665
2010-06-07	ST10016	Melding - ukemelding	\N	7237	5666
2010-06-07	MC2D-CRRG2010	Melding - ukemelding	UKEMELDING FOR UKE 22.	7264	5667
2010-06-07	ST10011 N	Melding - ukemelding	\N	7223	5668
2010-06-07	Caterpillar2010	Melding - ukemelding	Weekly report Number 3	7247	5669
2010-06-07	Earb2010	Melding - ukemelding	Weekly Report Number 3	7250	5670
2010-06-07	Marihøne2010	Melding - ukemelding	Weekly report Number 3	7248	5671
2010-06-07	East Kameleon2010	Melding - ukemelding	Weekly Report number 3	7249	5672
2010-06-07	VBT1	Melding - ukemelding	\N	7196	5673
2010-06-07	MC3D-NVG10	Melding - ukemelding	UKEMELDING FOR UKE 22.	7189	5674
2010-06-07	MNR10	Melding - ukemelding	\N	7224	5675
2010-06-07	NBR10	Melding - ukemelding	\N	7219	5676
2010-05-21	OMV1001	Status - satt av OD	Under behandling	7279	5808
2010-06-07	DN1001	Melding - sluttmelding	Undersøkelsen er ferdig og Meridian ankommer Bergen mandag 7.6 kl 14	7233	5677
2010-06-07	DN1001	Status - satt av OD	Ferdig	7233	5678
2010-06-07	CGGV1002	Melding - ukemelding	\N	7207	5679
2010-06-07	EMGS1001	Melding - ukemelding	\N	7191	5680
2010-06-07	ST10004	Melding - ukemelding	\N	7234	5681
2010-06-07	ST10307	Melding - ukemelding	\N	7243	5682
2010-06-07	TO-Norvarg10	Melding - ukemelding	Vessel waiting on weather at Hammerfest 6-7-6. 2010	7226	5683
2010-06-07	ST10003	Melding - ukemelding	\N	7228	5684
2010-06-07	WG1001	Melding - ukemelding	\N	7208	5685
2010-06-07	ST10012-E	Status - satt av OD	Planlagt	7277	5686
2010-06-07	ST10319	Status - satt av OD	Planlagt	7270	5687
2010-06-07	ST10318	Status - satt av OD	Planlagt	7275	5688
2010-06-07	ST10015	Status - satt av OD	Planlagt	7274	5689
2010-06-07	ST10007	Status - satt av OD	Planlagt	7272	5690
2010-06-07	SH1001	Melding - ukemelding	Testing of the source was performed on June 6th. Acquisition should start June 7th if all goes well.	7213	5691
2010-06-07	MC3D-NVG10	Melding - endringsmelding	ENDRING AV FISKERIKYNDIG I FRA 11.06.2010. DEN NYE FISKERIKYNDIGE ER JAN SVERRE TRULSEN.	7189	5692
2010-06-07	Penguin 2010 4D	Status - satt av OD	Pågående	7241	5693
2010-06-07	Penguin 2010 4D	Melding - oppstartsmelding	\N	7241	5694
2010-06-04	MC2D-CRRG2010	Melding - ukemelding	UKE MELDING FOR UKE 21.	7264	5695
2010-06-04	ST10013 HUSVÆR	Status - satt av OD	Planlagt	7268	5696
2010-06-04	ST10315	Status - satt av OD	Planlagt	7266	5697
2010-06-04	MNDW2010	Melding - ukemelding	\N	7280	5698
2010-06-04	NSR10 VG	Melding - endringsmelding	Endring av fiskerikyndig	7242	5699
2010-06-03	IPN1001	Melding - endringsmelding	Omsøkt område er utvidet ca 1km mot nord. Totalt linjeprogram utvidet med ca 30km. Fugro Survey AS håndterer prosessen med meldinger på vegne av Idemitsu, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7229	5700
2010-06-03	GN1001	Status - satt av OD	Planlagt	7251	5701
2010-06-03	ST10305	Melding - endringsmelding	Navn på Fiskerikyndig	7236	5702
2010-06-03	ST10457	Status - satt av OD	Under behandling	7286	5703
2010-06-03	ST10013 HUSVÆR	Melding - endringsmelding	navn fiskerikyndig	7268	5704
2010-06-03	PC10NO01	Melding - endringsmelding	Jeg vil informere om at vi har en oppdatering når det gjelder fiskerikyndige.	7240	5705
2010-06-03	WIN1003	Melding - oppstartsmelding	\N	7211	5706
2010-06-03	WIN1003	Status - satt av OD	Pågående	7211	5707
2010-06-02	LN1001	Status - satt av OD	Under behandling	7285	5708
2010-06-02	LN1002	Status - satt av OD	Under behandling	7284	5709
2010-06-02	Caterpillar2010	Melding - ukemelding	Weekly Report Number 2Portcalls in Peterhead 25/5/2010 and Lerwick 30/5/2010No seismic acquisition this week.	7247	5710
2010-06-02	Earb2010	Melding - ukemelding	Weekly Report Number 2Portcalls in Peterhead 25/5/2010 and Lerwick 30/5/2010No seismic acquisition this week.	7250	5711
2010-06-02	Marihøne2010	Melding - ukemelding	Weekly Report Number 2Portcalls in Peterhead 25/5/2010 and Lerwick 30/5/2010No seismic acquisition this week.	7248	5712
2010-06-02	East Kameleon2010	Melding - ukemelding	Weekly Report Number 2Portcalls in Peterhead 25/5/2010 and Lerwick 30/5/2010No seismic acquisition this week.	7249	5713
2010-06-02	SH1001	Status - satt av OD	Pågående	7213	5714
2010-06-02	SH1001	Melding - oppstartsmelding	The vessel will start deploying of gear late evening of June 1st far South of the area. We expect to start testing and production on June 4th.	7213	5715
2010-06-01	TO-Norvarg10	Melding - oppstartsmelding	\N	7226	5716
2010-06-01	TO-Norvarg10	Status - satt av OD	Pågående	7226	5717
2010-06-01	TO-AlveN10	Melding - sluttmelding	\N	7216	5718
2010-06-01	NSR10 VG	Melding - ukemelding	\N	7242	5719
2010-06-01	EMGS1001	Melding - ukemelding	\N	7191	5720
2010-06-01	GN1001	Melding - endringsmelding	Som følge av endringsmelding sendt 20. mai, hvor økning i kabel lengde på hydrofonkablene ble meldt, ønsker Gassnova å melde at brutto område for den seismiske undersøkelsen vil bli økt. Netto område (full fold) for undersøkelsen vil forbli uendret.	7251	5721
2010-06-01	ST10016	Melding - ukemelding	\N	7237	5722
2010-06-01	ST10005	Status - satt av OD	Pågående	7227	5723
2010-05-31	MC3D-NON2010	Melding - endringsmelding	PGS Geophysical AS ønsker å endre oppstarten for denne surveyen i fra 20 Juni til 13 Juni. Dette på grunn av at båten ble tidligere ferdig av en annen jobb og er klar til å starte denne surveyen 13 Juni. PGS Geophyiscal AS ønsker også å endre den fiskerikyndige. Den nye firkerikyndige vil bli Olav-Asgeir Giske.PGS Geophysical AS håper på et positivt svar på disse endringene.På forhånd takk.Vennlig hilsenPGS Geophysical ASMorten Pedersen	7238	5724
2010-05-31	DN1001	Melding - endringsmelding	Fiskerikyndig	7233	5725
2010-05-31	DN1001	Melding - oppstartsmelding	Undersøkelsen starter 1.6	7233	5726
2010-05-31	DN1001	Status - satt av OD	Pågående	7233	5727
2010-05-31	ST10011 N	Melding - ukemelding	\N	7223	5728
2010-05-31	MC3D-NVG10	Melding - ukemelding	UKEMELDING FOR UKE 21.	7189	5729
2010-05-31	ST10004	Melding - ukemelding	\N	7234	5730
2010-05-31	RS1001	Melding - ukemelding	\N	7186	5731
2010-05-31	RS1002	Melding - ukemelding	\N	7188	5732
2010-05-31	ST10307	Status - satt av OD	Pågående	7243	5733
2010-05-31	ST10307	Melding - oppstartsmelding	Vi regner med ankomst til Arbeidstedet i Blokkene 35/2 i ettermiddag.	7243	5734
2010-05-31	ST10301	Status - satt av OD	Ferdig	7217	5735
2010-05-31	ST10317	Status - satt av OD	Ferdig	7221	5736
2010-05-31	MCG1002	Melding - ukemelding	\N	7225	5737
2010-05-31	ST10301	Melding - sluttmelding	Seismikk innsamlingen ferdig 24. Mai. Siste CDP målingen ble ferdig natt til 30 Mai.	7217	5738
2010-05-31	ST10317	Melding - sluttmelding	Seismikk delen av ST10317 ble ferdig 28 Mai, siste CPT måling var ferdig rett overmidnatt til 30 Mai.	7221	5739
2010-05-31	WG1001	Melding - ukemelding	\N	7208	5740
2010-05-31	ST10003	Melding - ukemelding	\N	7228	5741
2010-05-31	MNR10	Melding - ukemelding	\N	7224	5742
2010-05-31	VBT1	Melding - ukemelding	\N	7196	5743
2010-05-31	NBR10	Melding - ukemelding	\N	7219	5744
2010-05-31	MCG1001	Melding - sluttmelding	\N	7209	5745
2010-05-31	MCG1001	Status - satt av OD	Ferdig	7209	5746
2010-05-31	EN1002	Status - satt av OD	Under behandling	7283	5747
2010-05-21	GN1001	Status - satt av OD	Planlagt	7251	5809
2010-05-21	OMV1002	Status - satt av OD	Under behandling	7278	5810
2010-05-31	MAE10301	Melding - endringsmelding	Endring gjelder pause i innsamling av data.Innsamling av analoge og digitale data er komplett. Det gjenstår kun fire CPT tester av havbunnen, men disse må utsettes pga skade på kran og nødvendig reparasjon ved verksted. Båt vil ankomme Bergen i løpet av helgen. Det antas at MAE10301 feltarbeid kan gjenopptas en gang i perioden 12. til 18 juni, og da med en varighet på ca 24 timer hvis været tillater.Oppstartmelding vil bli sendt når dato er kjent.Maersk Oil søker også med dette om det kan gjøres fritak for fiskerikyndig ombord i neste periode, da båten ikke vil slepe noe utstyr. CPT utstyr senkes kun vertikalt ned under båten til havbunnen.	7212	5748
2010-05-31	CGGV1002	Melding - ukemelding	\N	7207	5749
2010-05-31	MAE10301	Status - satt av OD	Pause	7212	5750
2010-05-28	ST10316	Status - satt av OD	Ferdig	7218	5751
2010-05-28	ST10316	Melding - sluttmelding	Siste CDP måling ble gjort i går, 27 mai.	7218	5752
2010-05-28	WIN1004	Melding - endringsmelding	Vessel DetailsFLO	7255	5753
2010-05-28	WIN1003	Melding - endringsmelding	Vessel detailsFLO	7211	5754
2010-05-28	ST10005	Melding - oppstartsmelding	\N	7227	5755
2010-05-28	EN1001	Status - satt av OD	Under behandling	7282	5756
2010-05-27	TO-AlveN10	Status - satt av OD	Ferdig	7216	5757
2010-05-27	IPN1001	Melding - endringsmelding	Undersøkelsen er forsinket, ber om forlenget tillatelse til 20. juni.Fugro Survey AS håndterer prosessen med meldinger på vegne av Idemitsu, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7229	5758
2010-05-27	WG1001	Melding - endringsmelding	We plan to extend the survey to the south-west. Please see updated inclusive and exclusive polygons.	7208	5759
2010-05-27	Caterpillar2010	Melding - ukemelding	\N	7247	5760
2010-05-27	Earb2010	Melding - ukemelding	\N	7250	5761
2010-05-27	ST10016	Status - satt av OD	Pågående	7237	5762
2010-05-27	ST10016	Melding - oppstartsmelding	Western Monarck forlot Lerwick kl. 18.15 den 26.05.2010. Forventes å være i surveyområdet 30.05.2010	7237	5763
2010-05-27	ST10003	Status - satt av OD	Pågående	7228	5764
2010-05-26	TO-Norvarg10	Melding - endringsmelding	Updated of survey area with turns included	7226	5765
2010-05-26	SH1001	Melding - endringsmelding	- Navn på fiskerikyndig- oppstartdato	7213	5766
2010-05-26	SH1002	Melding - endringsmelding	- Navn på fiskerikyndig- Forventet oppstartdato	7214	5767
2010-05-26	MC3D-NVG10	Melding - endringsmelding	Denne Endringsdmeldingen gjelderbytte av fiskerikyndig.Den nye fiskerikyndige i fra 2 Juni vil bli Per Hilmar Jensen.	7189	5768
2010-05-26	MC2D-CRRG2010	Status - satt av OD	Pågående	7264	5769
2010-05-26	MC2D-CRRG2010	Melding - oppstartsmelding	\N	7264	5770
2010-05-26	WG1001	Melding - ukemelding	Geco Eagle has been in production all week.	7208	5771
2010-05-26	RS1002	Melding - ukemelding	\N	7188	5772
2010-05-26	RS1001	Melding - ukemelding	\N	7186	5773
2010-05-26	ST10003	Melding - oppstartsmelding	\N	7228	5774
2010-05-26	ST10301	Melding - endringsmelding	Endring består i at vi kanskje trenger et par dager til å å få gjennomørt de gjenværende CPT målingene.Vi anmoder derfor om å få utvidet tidsperioden fra 27. Mai til 2 Juni. det vil ikke bli samlet inn noe mer seismikk i ST10301 undersøkelsen	7217	5775
2010-05-26	ST10317	Melding - endringsmelding	Endringen består i at vi ønsker å strekke avslutningsdato for Undersøkelsen fra 29 Mai til 4 Juni. Det kan være at vi for bruk for dette, i og med at fartøyet nå er inne for reparasjon og at det er annen seismisk aktivitet i området som gjør at innsamlingen ikke blir så effektiv som vi håpet.Fiskerikyndig er oppdatert.	7221	5776
2010-05-26	ST10004	Status - satt av OD	Pågående	7234	5777
2010-05-25	ST10316	Melding - endringsmelding	Endringen består i at vi muligens trenger et par dager ekstra for å få gjennomført de siste CPT målingene. Vi ønsker derfor å utvide tidsperioden fra 27 Mai til 2 Juni. Det er ikke snakk om å samle mer seismikk for ST10316 undersøkelsen.	7218	5778
2010-05-25	EMGS1001	Melding - endringsmelding	Endringsmeldingen gjelder forlengelse av innsamlingsperioden	7191	5779
2010-05-25	ST10316	Melding - ukemelding	Seismikk for ST10316 er ferdig innsamlet. 4 CPT målinger gjenstår, disse kan i midlertid ikke utføres før dørenen i Moonpoolen er reparert. Reparasjoner utføres nå i Sandnessjøen.	7218	5780
2010-05-25	ST10301	Melding - ukemelding	Seismikk ferdig innsamlet. 3 CPT målinger gjestår. Fartøyet er i Sandnessjøen får å reparere dører til Moonpool. Før det er i orden kan det ikke gjøres CPT målinger.	7217	5781
2010-05-25	NBR10	Melding - ukemelding	\N	7219	5782
2010-05-25	VBT1	Melding - ukemelding	\N	7196	5783
2010-05-25	ST10317	Melding - endringsmelding	Fiskerikyndig er Bjørn Nordnes	7221	5784
2010-05-25	ST10317	Melding - oppstartsmelding	Oppstart 24 mai. Fartøy inne i Sandnessjøen for reparasjoner i dag.	7221	5785
2010-05-25	ST10317	Status - satt av OD	Pågående	7221	5786
2010-05-25	EMGS1001	Melding - ukemelding	\N	7191	5787
2010-05-25	MC3D-NVG10	Melding - ukemelding	UKE RAPPORT FOR UKE  20.	7189	5788
2010-05-25	MCG1002	Melding - ukemelding	\N	7225	5789
2010-05-25	MCG1001	Melding - ukemelding	\N	7209	5790
2010-05-25	ST10011 N	Melding - ukemelding	\N	7223	5791
2010-05-25	MAE10301	Melding - endringsmelding	Endringen gjelder en tidsforlengelse av undersøkelsen grunnet vær og noen tekniske problemer.Det som gjenstår er reshoot av noen side scan sonar profiler samt CPT og ROV-kamera inspeksjon av utvalgte lokasjoner.Spesiellt CPT er følsomt for dønninger.	7212	5792
2010-05-25	MNDW2010	Status - satt av OD	Pågående	7280	5793
2010-05-25	MNDW2010	Melding - oppstartsmelding	\N	7280	5794
2010-05-25	MNDW2010	Melding - endringsmelding	Navn på fiskerikyndig	7280	5795
2010-05-25	OMV1002	Melding - endringsmelding	Endring i koorinatene for det seismiske området	7278	5796
2010-05-25	MNDW2010	Status - satt av OD	Planlagt	7280	5797
2010-05-25	CGGV1002	Melding - ukemelding	\N	7207	5798
2010-05-25	MNDW2010	Status - satt av OD	Under behandling	7280	5799
2010-05-25	GN1001	Status - satt av OD	Under behandling	7251	5800
2010-05-25	MAE10301	Melding - ukemelding	\N	7212	5801
2010-05-25	ST10004	Status - satt av OD	Planlagt	7234	5802
2010-05-25	ST10004	Melding - endringsmelding	Navn på fiskerikyndig.Trygve R. Nilsen.Justering av kulde størrelse til PGS standrd på 3111 cu. in.	7234	5803
2010-05-25	ST10004	Melding - oppstartsmelding	\N	7234	5804
2010-05-25	ST10004	Status - satt av OD	Pågående	7234	5805
2010-05-21	EMGS1001	Melding - endringsmelding	Lagt til Albert Sejnes som fiskerikyndig	7191	5806
2010-05-21	OMV1001	Melding - endringsmelding	Koordinater endret for området	7279	5807
2010-05-21	GN1001	Melding - endringsmelding	Endringsmeldingen gjelder økning av lengden på antall kabler. Lengden på disse vil bli økt til 5100 m for hver av de 10 kablene. Meldingen er også en bekreftelse på at Øystein Korneliussen kommer til å være fiskerikyndig i de første fem ukene av undersøkelsen. Ved opprinnelig melding ble tre navn meldt hvor han var et av dem.	7251	5811
2010-05-20	ST10012-E	Status - satt av OD	Under behandling	7277	5812
2010-05-20	BG1002	Status - satt av OD	Under behandling	7276	5813
2010-05-20	ST10011 N	Status - satt av OD	Pågående	7223	5814
2010-05-20	ST10011 N	Melding - oppstartsmelding	\N	7223	5815
2010-05-20	ST10004	Status - satt av OD	Planlagt	7234	5816
2010-05-20	ST10312	Status - satt av OD	Planlagt	7256	5817
2010-05-20	RWE1001	Status - satt av OD	Planlagt	7258	5818
2010-05-20	RWE1002	Status - satt av OD	Planlagt	7259	5819
2010-05-20	RWE1003	Status - satt av OD	Planlagt	7260	5820
2010-05-19	ST10318	Status - satt av OD	Under behandling	7275	5821
2010-05-19	CGGV1002	Melding - ukemelding	\N	7207	5822
2010-05-19	Marihøne2010	Melding - endringsmelding	Navn på fiskerikyndig og utvidelse av tidsperioden til 20.6.2010	7248	5823
2010-05-19	FRØY 2010-1	Status - satt av OD	Ferdig	7269	5824
2010-05-19	FRØY 2010-1	Melding - sluttmelding	\N	7269	5825
2010-05-19	FRØY 2010-1	Melding - oppstartsmelding	\N	7269	5826
2010-05-19	Marihøne2010	Melding - oppstartsmelding	\N	7248	5827
2010-05-19	East Kameleon2010	Melding - oppstartsmelding	\N	7249	5828
2010-05-19	East Kameleon2010	Melding - endringsmelding	New fish Rep added og utvidelse av tidsperioden til 20.6.10	7249	5829
2010-05-19	Caterpillar2010	Melding - oppstartsmelding	\N	7247	5830
2010-05-19	Caterpillar2010	Melding - endringsmelding	Ny Fiskerikyndig bekreftes og utvidelse av tidsperioden til 20.6.10	7247	5831
2010-05-19	Earb2010	Melding - oppstartsmelding	Bekreftelse pa ny fiskerikyndig	7250	5832
2010-05-19	Earb2010	Melding - endringsmelding	Ny Fiskerikyndig og utvidelse av tidsperioden	7250	5833
2010-05-19	Earb2010	Status - satt av OD	Pågående	7250	5834
2010-05-19	East Kameleon2010	Status - satt av OD	Pågående	7249	5835
2010-05-19	Marihøne2010	Status - satt av OD	Pågående	7248	5836
2010-05-19	Caterpillar2010	Status - satt av OD	Pågående	7247	5837
2010-05-18	ST10003	Melding - endringsmelding	Denne engringsmeldig gjelder:Navn på fiskerikyndigInfo om tilleggsfartøyInfo om havnerNy dato for oppstart/avslutning	7228	5838
2010-05-18	ST10016	Melding - endringsmelding	Antall kabler endret fra 6 til 8	7237	5839
2010-05-18	ST10015	Status - satt av OD	Under behandling	7274	5840
2010-05-18	MAE10301	Melding - ukemelding	The vessel completed the mobilisation for the Site Survey on Wednesday 12th, then had to take slight detour to Kristiansund on Thursday 13th to finish calibration of Gyro Compass. On 5 pm Friday 14th the Vessel commenced the survey of the digital high resolution (HR) area, due to the excellent weather conditions. The work has been ongoing without incident, and the plan is to continue acquiring the HR area while weather and sea is calm.	7212	5841
2010-05-18	MCG1002	Melding - endringsmelding	liten linje utvidelser til NW	7225	5842
2010-05-18	ST10301	Melding - endringsmelding	Bytte av fiskerikyndig 20.5.10	7217	5843
2010-05-18	ST10316	Melding - endringsmelding	Bytte av fiskerikyndig	7218	5844
2010-05-18	ST10316	Melding - ukemelding	\N	7218	5845
2010-05-18	ST10301	Melding - ukemelding	\N	7217	5846
2010-05-18	EMGS1001	Melding - ukemelding	\N	7191	5847
2010-05-18	VBT1	Melding - ukemelding	\N	7196	5848
2010-05-18	MC3D-NVG10	Melding - ukemelding	Ukemelding uke 19.	7189	5849
2010-05-18	RS1001	Melding - ukemelding	\N	7186	5850
2010-05-18	RS1002	Melding - ukemelding	\N	7188	5851
2010-05-18	FRØY 2010-1	Melding - endringsmelding	korrigert dato felt	7269	5852
2010-05-18	Caterpillar2010	Status - satt av OD	Planlagt	7247	5853
2010-05-18	East Kameleon2010	Status - satt av OD	Planlagt	7249	5854
2010-05-18	Marihøne2010	Status - satt av OD	Planlagt	7248	5855
2010-05-18	Earb2010	Status - satt av OD	Planlagt	7250	5856
2010-05-18	BG1001	Status - satt av OD	Planlagt	7239	5857
2010-05-18	MCG1001	Melding - ukemelding	\N	7209	5858
2010-05-18	MCG1002	Melding - ukemelding	\N	7225	5859
2010-05-18	WG1001	Melding - ukemelding	In production with frequent periods of weather downtime	7208	5860
2010-05-18	LN1052	Melding - sluttmelding	\N	7253	5861
2010-05-18	LN1052	Status - satt av OD	Ferdig	7253	5862
2010-05-14	NBR10	Melding - oppstartsmelding	\N	7219	5863
2010-05-14	NBR10	Status - satt av OD	Pågående	7219	5864
2010-05-14	EMGS1001	Melding - endringsmelding	Lagt til Asbjørn Krogh som fiskerikyndig på Mollie istedefor odd.	7191	5865
2010-05-14	NSR10 VG	Melding - endringsmelding	Endring av fiskerikyndig	7242	5866
2010-05-14	ST10016	Melding - endringsmelding	Oppstart skjøvet frem med to dager fra 27. mai til 25.mai.Følgebåt endretAnnen båt endretNavn på fyskerikyndig er nå inkludert	7237	5867
2010-05-14	NSR10 VG	Melding - oppstartsmelding	\N	7242	5868
2010-05-14	NSR10 VG	Status - satt av OD	Pågående	7242	5869
2010-05-12	MC2D-CRRG2010	Status - satt av OD	Planlagt	7264	5870
2010-05-12	MC2D-VIC2010	Status - satt av OD	Planlagt	7265	5871
2010-05-12	MCG1001	Melding - ukemelding	\N	7209	5872
2010-05-12	MCG1002	Melding - ukemelding	\N	7225	5873
2010-05-12	EMGS1001	Melding - ukemelding	\N	7191	5874
2010-05-11	PGSTesting2010	Melding - sluttmelding	Testing av kanoner	7252	5875
2010-05-11	PGSTesting2010	Status - satt av OD	Ferdig	7252	5876
2010-05-11	TO-AlveN10	Melding - oppstartsmelding	\N	7216	5877
2010-05-11	TO-AlveN10	Status - satt av OD	Pågående	7216	5878
2010-05-11	RS1002	Melding - ukemelding	WG Vespucci er i området og legger ut det seismiske utstyret. Forventer at innsamlingen starter i løpet av uken	7188	5879
2010-05-11	MC3D-NVG10	Melding - ukemelding	UKERAPPORT FOR UKE 18.	7189	5880
2010-05-11	NSR10 VG	Status - satt av OD	Planlagt	7242	5881
2010-05-10	ST10007	Status - satt av OD	Under behandling	7272	5882
2010-05-10	MAE10301	Melding - oppstartsmelding	Fugro Meridian vil mobilisere fra Bergen mandag 10 mai og vil være på feltet i løpet av tirsdag 11 mai.	7212	5883
2010-05-10	MAE10301	Status - satt av OD	Pågående	7212	5884
2010-05-10	WG1001	Melding - ukemelding	Geco Eagle is on prospect and in production	7208	5885
2010-04-29	ST09455-1	Melding - sluttmelding	\N	7220	5956
2010-04-19	ST10451	Melding - oppstartsmelding	\N	7192	6025
2010-05-10	ST10301	Melding - ukemelding	M/V Sea Explorer er tilbake i Kristiansund N etter å tatt en pause i innsamlingen for ST10301 for å samle inn undersøkelse ST10304 i Blokkene 15/5 & 6 Nordsjøen.	7217	5886
2010-05-10	ST10316	Melding - ukemelding	M/V Sea Explorer er i Kristiansund N, etter en pause med ST103016 innsamlingen for å samle inn undersøkelse ST10304 i Blokkene 15/5 & 6 i Nordsjøen.	7218	5887
2010-05-10	ST10304	Status - satt av OD	Ferdig	7204	5888
2010-05-10	ST10304	Melding - sluttmelding	Innsamlinen ble avsluttet kort tid etter midnatt 7/8 Mai.	7204	5889
2010-05-10	MAE10301	Melding - endringsmelding	Endringen gjelder en mindre justering av undersøkelsesområdet, dette for å optimalisere i forhold til all infrastruktur på havbunnen innenfor lisensen.Denne meldingen kommer rett i forkant av oppstartsmeldingen, da båten vil mobilisere fra Bergen som planlagt den 10 mai.	7212	5890
2010-05-10	EO1001	Status - satt av OD	Ferdig	7230	5891
2010-05-10	EO1002	Status - satt av OD	Ferdig	7231	5892
2010-05-10	EO1001	Melding - sluttmelding	\N	7230	5893
2010-05-10	EO1002	Melding - sluttmelding	\N	7231	5894
2010-05-10	VBT1	Melding - oppstartsmelding	\N	7196	5895
2010-05-10	VBT1	Status - satt av OD	Pågående	7196	5896
2010-05-10	MNR10	Melding - oppstartsmelding	\N	7224	5897
2010-05-10	MNR10	Status - satt av OD	Pågående	7224	5898
2010-05-07	ST10319	Status - satt av OD	Under behandling	7270	5899
2010-05-07	ST10008	Status - satt av OD	Planlagt	7257	5900
2010-05-07	ST10307	Status - satt av OD	Planlagt	7243	5901
2010-05-07	FRØY 2010-1	Status - satt av OD	Under behandling	7269	5902
2010-05-07	WIN1004	Status - satt av OD	Planlagt	7255	5903
2010-05-07	Penguin 2010 4D	Status - satt av OD	Planlagt	7241	5904
2010-05-07	LN1052	Status - satt av OD	Pågående	7253	5905
2010-05-07	LN1052	Melding - oppstartsmelding	\N	7253	5906
2010-05-07	NSR10 VG	Status - satt av OD	Pågående	7242	5907
2010-05-07	WIN1004	Status - satt av OD	Pågående	7255	5908
2010-05-07	RS1002	Melding - oppstartsmelding	Fartøyet WG Vespucci er på vei til survey området og forventer å ankomme og begynne å legge ut det seismiske utstyret 3.mai. Fiskeri representanten vil være om bord når fartøyet ankommer området. Forventet oppstart av surveyen vil være ca 10.-11. Mai.	7188	5909
2010-05-07	RS1002	Status - satt av OD	Pågående	7188	5910
2010-05-07	RS1001	Melding - oppstartsmelding	Fartøyet PGS Apollo er i området og forventer å starte innsamlingen ca 10.eller 11.mai	7186	5911
2010-05-07	RS1001	Status - satt av OD	Pågående	7186	5912
2010-05-07	CGGV1002	Status - satt av OD	Pågående	7207	5913
2010-05-06	PC10NO01	Status - satt av OD	Planlagt	7240	5914
2010-05-06	ST10005	Status - satt av OD	Planlagt	7227	5915
2010-05-06	PGSTesting2010	Status - satt av OD	Pågående	7252	5916
2010-05-06	PGSTesting2010	Melding - oppstartsmelding	\N	7252	5917
2010-05-06	ST10013 HUSVÆR	Status - satt av OD	Under behandling	7268	5918
2010-05-05	CGGV1002	Melding - oppstartsmelding	\N	7207	5919
2010-05-05	ST10315	Status - satt av OD	Under behandling	7266	5920
2010-05-05	CGGV-10-01	Melding - sluttmelding	\N	7198	5921
2010-05-05	CGGV-10-01	Status - satt av OD	Ferdig	7198	5922
2010-05-04	MC2D-VIC2010	Status - satt av OD	Under behandling	7265	5923
2010-05-04	MC2D-CRRG2010	Status - satt av OD	Under behandling	7264	5924
2010-05-04	ST10020	Melding - endringsmelding	Ny sluttdato p.g.a. pause i innsamlingen.Fugro har tatt en pause i innsamlingen av data for å gjøre et annet survey. De vil returnere i løpet av sesongen for å gjøre ST10020-Aurelia surveyet ferdig.	7235	5925
2010-05-04	MCG1002	Melding - ukemelding	\N	7225	5926
2010-05-04	MCG1001	Melding - ukemelding	\N	7209	5927
2010-05-04	ST10020	Status - satt av OD	Pause	7235	5928
2010-05-04	EO1002	Melding - oppstartsmelding	\N	7231	5929
2010-05-04	EO1002	Status - satt av OD	Pågående	7231	5930
2010-05-04	EO1001	Status - satt av OD	Pågående	7230	5931
2010-05-04	EO1001	Melding - oppstartsmelding	\N	7230	5932
2010-05-03	MNR10	Melding - endringsmelding	Vi ønsker å benytte et ekstra fartøty (Geo Caspian i tillegg til Geo Arctic, fram til Geo Caspian begynner å samle inn VBT1 dvs. 8.mai).  Kjell Arne Husevåg vil være fiskerikyndig ombord i Geo Caspian.	7224	5933
2010-05-03	ST10020	Melding - ukemelding	\N	7235	5934
2010-05-03	EMGS1001	Melding - ukemelding	\N	7191	5935
2010-05-03	LN1052	Melding - endringsmelding	Navn på fiskerikyndig	7253	5936
2010-05-03	WG1001	Melding - ukemelding	The vessel is on prospect - back into production on 30 April after a winter storm.	7208	5937
2010-05-03	ST10304	Status - satt av OD	Pågående	7204	5938
2010-05-03	ST10304	Melding - oppstartsmelding	M/V Sea Explorer er på vei til Arbeidsområdet ST10304 i Blokkene 15/5 & 6. Vi regner med at den ankommer i kveld / natt 3/4 Mai.	7204	5939
2010-05-03	ST10316	Melding - ukemelding	På grunn av at det haster med Borestedsundersøkelse i Blokkenen 15/5 i Nordsjøen, har vi tatt midliertigig pause fra ST10316 arbeidet. M/V Sea Explorer er ventet å ankomme Blokkene 15/5 & 6 i kveld / natt.	7218	5940
2010-05-03	ST10301	Melding - ukemelding	På grunn av at det haster med en Borestedsundersøkelse i Blokkene 15/5 i Nordsjøen, har vi tatt midlertidig pause fra ST10301 arbeidet. M/V Sea Explorer er ventet å ankomme Blokkene 15/5 & 6 i kveld/natt.	7217	5941
2010-05-03	ST10304	Melding - endringsmelding	Endringsmelding gjelder navn på fiskerikyndig.	7204	5942
2010-05-03	MCG1002	Status - satt av OD	Pågående	7225	5943
2010-05-03	MCG1002	Melding - oppstartsmelding	mobilised i Kristiansund i dag	7225	5944
2010-04-30	MC3D-NVG10	Status - satt av OD	Pågående	7189	5945
2010-04-30	MC3D-NVG10	Melding - oppstartsmelding	\N	7189	5946
2010-04-30	IPN1001	Status - satt av OD	Planlagt	7229	5947
2010-04-30	LN1052	Status - satt av OD	Planlagt	7253	5948
2010-04-30	EM-Test-Troll	Status - satt av OD	Under behandling	7262	5949
2010-04-30	VBT1	Melding - endringsmelding	Melding om fiskerikyndig for VBT1.Next of kin:Odny Husevåg (wife)6293 LongvaTel. 90 07 59 44	7196	5950
2010-04-29	TO-Norvarg10	Melding - endringsmelding	Ny oppstartsdato og fiskerikyndigperson	7226	5951
2010-04-29	TO-AlveN10	Melding - endringsmelding	Ny oppstartsdato og navn på fiskerikyndig person	7216	5952
2010-04-29	ST10011 N	Melding - endringsmelding	Navn på fiskerikyndig er lagt til.Oppstartsdatoen er utsatt 10 dager.	7223	5953
2010-04-29	ST10005	Melding - endringsmelding	melding inneholder navn på de fiskerikyndige og navn støtte fartøy	7227	5954
2010-04-29	ST09455-1	Status - satt av OD	Ferdig	7220	5955
2010-04-28	PGSTesting2010	Melding - endringsmelding	Endring gjelder Fiskerikyndig	7252	5957
2010-04-28	EO1002	Status - satt av OD	Planlagt	7231	5958
2010-04-27	PGSTesting2010	Status - satt av OD	Planlagt	7252	5959
2010-04-27	ST10011 N	Status - satt av OD	Planlagt	7223	5960
2010-04-27	RWE1003	Status - satt av OD	Under behandling	7260	5961
2010-04-27	RWE1002	Status - satt av OD	Under behandling	7259	5962
2010-04-27	RWE1001	Status - satt av OD	Under behandling	7258	5963
2010-04-27	MCG1001	Melding - ukemelding	\N	7209	5964
2010-04-27	ST10020	Melding - ukemelding	\N	7235	5965
2010-04-26	ST10008	Status - satt av OD	Under behandling	7257	5966
2010-04-26	ST10316	Melding - ukemelding	Ved mannskaps skifte 23 April fikk Fiskerikyndig Svein Daviden avløsing av Jan Sverre Trulssen	7218	5967
2010-04-26	ST10301	Melding - ukemelding	Ved Mannskaps skifte 23 April fikk Svein Daviden avløsing av Jan Sverre Trulssen som Fiskerikyndig.	7217	5968
2010-04-26	EMGS1001	Melding - ukemelding	\N	7191	5969
2010-04-26	ST10312	Status - satt av OD	Under behandling	7256	5970
2010-04-26	CGGV-10-01	Melding - ukemelding	\N	7198	5971
2010-04-26	WG1001	Melding - ukemelding	The vessel got into production on 23 April in marginal weather. Three lines acquired. Currently down for weather avoiding a winter storm.	7208	5972
2010-04-26	CGGV1002	Melding - endringsmelding	CGGVeritas Services SA	7207	5973
2010-04-26	WIN1004	Status - satt av OD	Under behandling	7255	5974
2010-04-26	ST09455-1	Status - satt av OD	Pågående	7220	5975
2010-04-26	ST09455-1	Melding - oppstartsmelding	Vi går fra havn Mekjarvik ca kl 1900 fredag 23. april og forventer ankomst King Lear -området (tidligere benevnt Romeo & Julius) ca kl 1300 lørdag 24. april 2010	7220	5976
2010-04-26	ST09455-1	Status - satt av OD	Planlagt	7220	5977
2010-04-23	ST10453	Melding - sluttmelding	\N	7245	5978
2010-04-23	ST10451	Status - satt av OD	Ferdig	7192	5979
2010-04-23	ST10451	Melding - sluttmelding	Ingen borhol djupare enn 25 meter	7192	5980
2010-04-23	ST10453	Status - satt av OD	Ferdig	7245	5981
2010-04-23	MAE10301	Melding - endringsmelding	Meldingen gjelder utsettelse av oppstart grunnet vedvarende dårlig vær ifm prosjekt som kontraktør er engasjert i nå.Nytt estimat for oppstart er nå 10 mai.	7212	5982
2010-04-23	ST10004	Melding - endringsmelding	Statoil ønsker fleksibillitet til evt. å starte opp ST10004 LUVA før ST10014 Vema Nord av operasjonelle grunner. Derfor søker vi om tidligere oppstart for denne undersøkelsen.	7234	5983
2010-04-23	ST10016	Status - satt av OD	Planlagt	7237	5984
2010-04-23	MC3D-NON2010	Status - satt av OD	Planlagt	7238	5985
2010-04-22	ST10004	Melding - endringsmelding	Statoil ønsker fleksibillitet til evt. å starte opp ST10004 LUVA før ST10014 Vema Nord av operasjonelle grunner. Derfor søker vi om tidligere oppstart for denne undersøkelsen.	7234	5986
2010-04-22	TO-Norvarg10	Status - satt av OD	Planlagt	7226	5987
2010-04-22	WG1001	Status - satt av OD	Pågående	7208	5988
2010-04-22	NBR10	Status - satt av OD	Planlagt	7219	5989
2010-04-22	ST10003	Status - satt av OD	Planlagt	7228	5990
2010-04-22	ST10305	Status - satt av OD	Planlagt	7236	5991
2010-04-22	EMGS1001	Melding - endringsmelding	Denne endringen gjelder at vi tar ibruk MS Siem Mollie i Barentshavet ifra 06.05.2010. Vi har registrert fiskerikyndig Odd Terje Dybos ombord Siem Mollie.	7191	5992
2010-04-22	LN1052	Status - satt av OD	Under behandling	7253	5993
2010-04-21	PC10NO01	Melding - endringsmelding	Undersøkelsetillatelse added to Tillatelser field.	7240	5994
2010-04-21	Earb2010	Melding - endringsmelding	Undersokelses omrade har blitt redusert til a bare omfatte lisens PL505	7250	5995
2010-04-21	ST10317	Melding - endringsmelding	Navn på fiskerikyndig	7221	5996
2010-04-21	ST10301	Melding - endringsmelding	Navn på fiskerikyndig	7217	5997
2010-04-21	ST10316	Melding - endringsmelding	Navn på fisekrikyndig	7218	5998
2010-04-20	ST10301	Melding - oppstartsmelding	Vi regner med oppstart senere i dag, eller tidlig morgen. Undersøkelsen vil bli samlet inn sammen med nabo undersøkelse ST10316.	7217	5999
2010-04-20	ST10316	Melding - oppstartsmelding	Vi regner med oppstart senere i dag eller tidlig morgen. Undersøkelsen vil bli samlet inn sammen med nabo undersøkelse ST10301.	7218	6000
2010-04-20	NBR10	Melding - endringsmelding	Informasjon om fartøy.	7219	6001
2010-04-20	ST10316	Melding - endringsmelding	Navn på fiskerikyndig.	7218	6002
2010-04-20	ST10316	Status - satt av OD	Pågående	7218	6003
2010-04-20	ST10301	Status - satt av OD	Pågående	7217	6004
2010-04-20	ST10020	Melding - ukemelding	\N	7235	6005
2010-04-20	MCG1002	Melding - endringsmelding	endring af båt og feskerikundigepreciesering af dato	7225	6006
2010-04-20	EMGS1001	Melding - ukemelding	\N	7191	6007
2010-04-20	MCG1001	Melding - ukemelding	\N	7209	6008
2010-04-20	RS1001	Melding - endringsmelding	Endring av fiskerikyndig	7186	6009
2010-04-20	PGSTesting2010	Status - satt av OD	Under behandling	7252	6010
2010-04-20	DN1001	Status - satt av OD	Planlagt	7233	6011
2010-04-20	GN1001	Status - satt av OD	Under behandling	7251	6012
2010-04-20	WG1001	Melding - oppstartsmelding	The survey vessel, Geco Eagle is in transit to the survey area and will arrive and start deploying equipment on 16 April. The fish rep Ragnvald Dahl is on board. Expected start of acquisition is 23 April 2010	7208	6013
2010-04-20	IPN1001	Melding - endringsmelding	Omsøkt område utvides 1km mot vest.Geoteknikk: CPT til maks 8m , ca 9 prøver. Fugro Survey AS håndterer prosessen med meldinger på vegne av Idemitsu, derfor ønskes henvendelser vedr melding, samt kopi av skytetillatelse sendt r.wiik@fugro.no , tel 92805244, fax 22134646	7229	6014
2010-04-20	ST10453	Melding - oppstartsmelding	\N	7245	6015
2010-04-19	Earb2010	Status - satt av OD	Under behandling	7250	6016
2010-04-19	East Kameleon2010	Status - satt av OD	Under behandling	7249	6017
2010-04-19	Marihøne2010	Status - satt av OD	Under behandling	7248	6018
2010-04-19	Caterpillar2010	Status - satt av OD	Under behandling	7247	6019
2010-04-19	ST10305	Melding - endringsmelding	Endringen består i at Statoil ønsker å legge til en del linjer i programmet mot øst, for å dekke en østlig Template i Katla området, Blokk 30/9	7236	6020
2010-04-19	CGGV1002	Melding - endringsmelding	Meldingen gjelder navn på fiskerikyndig.	7207	6021
2010-04-19	ST10453	Status - satt av OD	Pågående	7245	6022
2010-04-19	ST10453	Status - satt av OD	Pågående	7245	6023
2010-04-19	ST10453	Status - satt av OD	Under behandling	7245	6024
2010-04-19	ST10451	Status - satt av OD	Pågående	7192	6026
2010-04-19	EO1001	Status - satt av OD	Planlagt	7230	6027
2010-04-16	RS1002	Melding - endringsmelding	Endringsmeldingen gjelder utvidelse av området mot nord og vestover samt to tie-linjer østover ref vedlagte kart.	7188	6028
2010-04-16	ST10307	Status - satt av OD	Under behandling	7243	6029
2010-04-16	ST10309	Melding - sluttmelding	ST10309 undersøkelsen ble ferdig i går. Det ble samlet inn 108 km seismikk + 48 km analog data.(Uten seismisk kilde) M/V Sea Explorer er nå på vei til arbeidsområdene ST10301, ST10316 og ST10317 i Blokkene 6608/10 og 11. Det er meldt dårlig vær, og vi forventer ikke oppstart før i kommende uke.	7222	6030
2010-04-16	ST10309	Status - satt av OD	Ferdig	7222	6031
2010-04-16	CGGV-10-01	Status - satt av OD	Pågående	7198	6032
2010-04-16	CGGV-10-01	Melding - oppstartsmelding	Oppstartsdato edret fra 18 til 19 april.	7198	6033
2010-04-16	CGGV-10-01	Melding - endringsmelding	Navn på fiskerikyndig.	7198	6034
2010-04-15	NSR10 VG	Status - satt av OD	Under behandling	7242	6035
2010-04-15	MCG1002	Status - satt av OD	Planlagt	7225	6036
2010-04-15	WG1001	Status - satt av OD	Planlagt	7208	6037
2010-04-15	WG1001	Status - satt av OD	Pågående	7208	6038
2010-04-14	WG1001	Status - satt av OD	Planlagt	7208	6039
2010-04-14	RS1001	Melding - endringsmelding	Endringsmelding gjelder tillegg for en enkel tielinje vestover som vist på gross area.	7186	6040
2010-04-14	MC3D-NVG10	Melding - endringsmelding	Endringen gjelder fiskerikyndig.Bytte av fiskerikyndig.	7189	6041
2010-04-14	Penguin 2010 4D	Status - satt av OD	Under behandling	7241	6042
2010-04-14	ST10309	Melding - oppstartsmelding	Fartøyet ankom arbeidsområdet ST10309 Søndag 11 April klokken 17:00. Innsamlingen startet tidlig morgen, 12 April.	7222	6043
2010-04-14	EMGS1001	Melding - ukemelding	\N	7191	6044
2010-04-13	MNR10	Status - satt av OD	Planlagt	7224	6045
2010-04-13	PC10NO01	Status - satt av OD	Under behandling	7240	6046
2010-04-13	MAE10301	Melding - endringsmelding	Endringsmelding gjelder utsettelse av oppstart på grunn av værproblemer for forutgående undersøkelse for kontraktør. I tillegg er nå oppgitt navn på fiskerikyndig.	7212	6047
2010-04-13	ST10020	Melding - ukemelding	\N	7235	6048
2010-04-13	MCG1001	Melding - ukemelding	\N	7209	6049
2010-04-12	ST10301	Melding - endringsmelding	Navn på fiskerikyndig.	7217	6050
2010-04-12	ST10316	Melding - endringsmelding	Navn på fiskerikyndig	7218	6051
2010-04-12	ST10317	Melding - endringsmelding	Navn på fiskerikyndig	7221	6052
2010-04-12	BG1001	Status - satt av OD	Under behandling	7239	6053
2010-04-12	CGGV1002	Melding - endringsmelding	Endring gjelder reduksjon av tidligere innmeldt område	7207	6054
2010-04-12	ST10309	Melding - endringsmelding	Navn på fiskerikyndig.	7222	6055
2010-04-12	ST10309	Status - satt av OD	Pågående	7222	6056
2010-04-12	NO1001	Status - satt av OD	Ferdig	7193	6057
2010-04-12	NO1001	Melding - sluttmelding	\N	7193	6058
2010-04-09	MC3D-NON2010	Status - satt av OD	Under behandling	7238	6059
2010-04-09	ST10016	Melding - endringsmelding	Har lagt til Statoils undersøkelsestillatelse nr. 363.	7237	6060
2010-04-09	MAE10301	Status - satt av OD	Planlagt	7212	6061
2010-04-08	ST10304	Melding - endringsmelding	2 Endringer;1. Tidperiode, pga gytetid2. Endring av innsamlingsfartøy	7204	6062
2010-04-08	ST10016	Status - satt av OD	Under behandling	7237	6063
2010-04-08	ST10305	Status - satt av OD	Under behandling	7236	6064
2010-04-08	ST10303	Melding - endringsmelding	Navn på fiskerikyndig	7195	6065
2010-04-08	ST10303	Melding - sluttmelding	M/V Sea Explorer er ventet inn til Tromsø om kort tid. Undersøkelse ST10303 ble besluttet avsluttet i går. Neste Undersøkelse blir ST10309 i Blokk 2/4, sydlige Nordsjø. En mulighet for at Undersøkelse ST10317 i Blokk 6608/10, Norne samles inn på vei sydover. ST10317 består av 4 linjer på ca 5 km hver.	7195	6066
2010-04-08	SH1002	Status - satt av OD	Planlagt	7214	6067
2010-04-08	ST10020	Melding - ukemelding	\N	7235	6068
2010-04-08	ST10020	Melding - oppstartsmelding	\N	7235	6069
2010-04-07	MAE10301	Melding - endringsmelding	Endringsmelding for denne borestedsundersøkelsen gjelder opplysninger om kontraktører, fartøy, utstyr, seismisk kilde og oppstartsdato	7212	6070
2010-04-07	ST10303	Status - satt av OD	Ferdig	7195	6071
2010-04-07	ST10020	Status - satt av OD	Pågående	7235	6072
2010-04-06	EMGS1001	Melding - ukemelding	\N	7191	6073
2010-04-06	NO1001	Melding - ukemelding	\N	7193	6074
2010-04-06	MCG1001	Status - satt av OD	Pågående	7209	6075
2010-04-06	MCG1001	Melding - oppstartsmelding	Start dato for fiskerikyndig må korrigeres til 4 April 2010	7209	6076
2010-04-06	EMGS1001	Melding - oppstartsmelding	\N	7191	6077
2010-04-06	EMGS1001	Status - satt av OD	Pågående	7191	6078
2010-04-06	EMGS1004	Melding - sluttmelding	\N	7202	6079
2010-04-06	EMGS1004	Status - satt av OD	Ferdig	7202	6080
2010-04-06	ST10020	Status - satt av OD	Planlagt	7235	6081
2010-04-06	ST10020	Status - satt av OD	Under behandling	7235	6082
2010-03-31	ST10004	Status - satt av OD	Under behandling	7234	6083
2010-03-30	MCG1001	Melding - endringsmelding	presisering og prioritering av området;endring av båt;endring av feskerikundige	7209	6084
2010-03-30	NO1001	Melding - ukemelding	\N	7193	6085
2010-03-30	EMGS1001	Melding - endringsmelding	Arnt Kristian Simonsen er registrert som Fiskerikynding frem til 21.april.	7191	6086
2010-03-30	SH1001	Status - satt av OD	Planlagt	7213	6087
2010-03-30	EMGS1004	Melding - endringsmelding	Tidsperiode for undersøkelsen er endret med oppstart 31.3.2010	7202	6088
2010-03-30	DN1001	Status - satt av OD	Under behandling	7233	6089
2010-03-30	EMGS1004	Status - satt av OD	Pågående	7202	6090
2010-03-30	EMGS1004	Melding - oppstartsmelding	\N	7202	6091
2010-03-29	EO1002	Status - satt av OD	Under behandling	7231	6092
2010-03-29	EO1001	Status - satt av OD	Under behandling	7230	6093
2010-03-29	IPN1001	Status - satt av OD	Under behandling	7229	6094
2010-03-29	EMGS1007	Melding - sluttmelding	\N	7205	6095
2010-03-29	EMGS1006	Melding - sluttmelding	\N	7206	6096
2010-03-29	CGGV1002	Status - satt av OD	Planlagt	7207	6097
2010-03-29	EMGS1006	Status - satt av OD	Ferdig	7206	6098
2010-03-29	EMGS1007	Status - satt av OD	Ferdig	7205	6099
2010-03-01	CGGV1002	Status - satt av OD	Under behandling	7207	6183
2010-03-01	WG1001	Status - satt av OD	Under behandling	7208	6184
2010-02-26	EMGS1003	Melding - endringsmelding	\N	7200	6185
2010-03-26	ST10303	Melding - oppstartsmelding	FiskeriKyndig er Svein Daviden, 9194 Lauksletta, Mobil No. 414 45 091.M/V Sea Explorer Mobiliserte i Aberdeen Mandag 23 Mars, og er for tiden i Transit til Blokk 7119/12. Vi regner med ankomst 28 Mars, om været er OK.	7195	6100
2010-03-26	EMGS1003	Melding - oppstartsmelding	\N	7200	6101
2010-03-26	ST10303	Status - satt av OD	Pågående	7195	6102
2010-03-26	MCG1001	Status - satt av OD	Planlagt	7209	6103
2010-03-26	ST10309	Status - satt av OD	Planlagt	7222	6104
2010-03-25	SH1002	Melding - endringsmelding	endringsmelding gjelder klassifisering, rettet markedstilgjengelig til ja	7214	6105
2010-03-25	SH1001	Melding - endringsmelding	endringsmelding gjelder klassifisering, rettet markedstilgjengelig til ja	7213	6106
2010-03-25	WG1001	Melding - endringsmelding	The name and contact details for the Fisheries Representative have now been added.	7208	6107
2010-03-25	CGGV-10-01	Melding - endringsmelding	Søknad om unntak for fra Havforskningsinstituttets anbefalinger,men kun for den siste delen av gyteperioden for Øyepål. Vi søker om å kunne få starte opp ca 19 April på Norsk side, eller før hvis mulig. Den  engelske delen av prosjektet er estimert ferdigstilt ca 10 April.	7198	6108
2010-03-24	EMGS1006	Status - satt av OD	Pågående	7206	6109
2010-03-24	EMGS1006	Melding - oppstartsmelding	\N	7206	6110
2010-03-24	ST10003	Status - satt av OD	Under behandling	7228	6111
2010-03-24	TO-AlveN10	Status - satt av OD	Planlagt	7216	6112
2010-03-23	ST10005	Status - satt av OD	Under behandling	7227	6113
2010-03-23	TO-Norvarg10	Status - satt av OD	Under behandling	7226	6114
2010-03-23	NBR10	Melding - endringsmelding	Informasjon om kilde og navn på FLO.	7219	6115
2010-03-23	WIN1003	Status - satt av OD	Planlagt	7211	6116
2010-03-23	ST10301	Status - satt av OD	Planlagt	7217	6117
2010-03-23	ST10316	Status - satt av OD	Planlagt	7218	6118
2010-03-23	ST10317	Status - satt av OD	Planlagt	7221	6119
2010-03-23	MCG1002	Status - satt av OD	Under behandling	7225	6120
2010-03-23	LN1051	Melding - sluttmelding	Sverdrup avsluttet surveyet 22.3.2010	7197	6121
2010-03-23	LN1051	Status - satt av OD	Ferdig	7197	6122
2010-03-22	MNR10	Status - satt av OD	Under behandling	7224	6123
2010-03-22	EMGS1007	Melding - ukemelding	\N	7205	6124
2010-03-22	EMGS1005	Status - satt av OD	Ferdig	7203	6125
2010-03-22	EMGS1005	Melding - sluttmelding	\N	7203	6126
2010-03-22	EMGS1006	Status - satt av OD	Planlagt	7206	6127
2010-03-22	EMGS1007	Melding - oppstartsmelding	\N	7205	6128
2010-03-22	EMGS1007	Status - satt av OD	Pågående	7205	6129
2010-03-22	NO1001	Melding - endringsmelding	Navn på fiskerikyndig.	7193	6130
2010-03-22	NO1001	Melding - oppstartsmelding	No Seismic Surveys will be conducted before the 25th March 2010.	7193	6131
2010-03-22	NO1001	Status - satt av OD	Pågående	7193	6132
2010-03-22	CGGV-10-01	Status - satt av OD	Planlagt	7198	6133
2010-03-19	ST10011 N	Status - satt av OD	Under behandling	7223	6134
2010-03-18	ST10304	Status - satt av OD	Planlagt	7204	6135
2010-03-18	ST10309	Status - satt av OD	Under behandling	7222	6136
2010-03-18	WG1001	Melding - endringsmelding	This updates the planned start date for the survey to 15 April 2010 and corrects the Licence number. The WesternGeco survey name is West Loppa Phase 3 3D	7208	6137
2010-03-18	VBT1	Melding - endringsmelding	I tilrådinga frå Havforskningsinsituttet vert ein fraråda å samla inn seismikk i blokkene 6606/1-9 i perioden ca. 1.april til ca 15.mai. I møtet med Havforskningsinstituttet 16.mars, vart det indikert at ein kunne starta opp noko tidlegare. Me ber derfor om få ny vurdering og starta ei veke tidlegare.	7196	6138
2010-03-16	CGGV1002	Melding - endringsmelding	\N	7207	6139
2010-03-16	ST10304	Melding - endringsmelding	\N	7204	6140
2010-03-16	EMGS1007	Status - satt av OD	Planlagt	7205	6141
2010-03-16	ST10317	Status - satt av OD	Under behandling	7221	6142
2010-03-16	ST10451	Status - satt av OD	Planlagt	7192	6143
2010-03-15	EMGS1005	Melding - ukemelding	\N	7203	6144
2010-03-15	LN1051	Melding - oppstartsmelding	\N	7197	6145
2010-03-15	LN1051	Status - satt av OD	Pågående	7197	6146
2010-03-15	MC3D-CGR-2010	Status - satt av OD	Planlagt	7190	6147
2010-03-15	MC3D-NVG10	Status - satt av OD	Planlagt	7189	6148
2010-03-15	NBR10	Status - satt av OD	Under behandling	7219	6149
2010-03-15	nx1051	Status - satt av OD	Planlagt	7199	6150
2010-03-15	ST09455-1	Status - satt av OD	Under behandling	7220	6151
2010-03-12	ST10301	Status - satt av OD	Under behandling	7217	6152
2010-03-12	ST10316	Status - satt av OD	Under behandling	7218	6153
2010-03-10	TO-AlveN10	Status - satt av OD	Under behandling	7216	6154
2010-03-09	ST10304	Melding - endringsmelding	\N	7204	6155
2010-03-09	CGGV-10-01	Melding - endringsmelding	\N	7198	6156
2010-03-09	RS1001	Melding - endringsmelding	\N	7186	6157
2010-03-09	RS1002	Melding - endringsmelding	\N	7188	6158
2010-03-09	LN1051	Status - satt av OD	Planlagt	7197	6159
2010-03-09	ST10303	Status - satt av OD	Planlagt	7195	6160
2010-03-08	EMGS1005	Melding - ukemelding	\N	7203	6161
2010-03-08	EMGS1004	Status - satt av OD	Planlagt	7202	6162
2010-03-05	NO1001	Melding - endringsmelding	\N	7193	6163
2010-03-05	EMGS1005	Melding - endringsmelding	\N	7203	6164
2010-03-05	EMGS1005	Melding - oppstartsmelding	\N	7203	6165
2010-03-05	EMGS1003	Melding - sluttmelding	\N	7200	6166
2010-03-05	EMGS1001	Status - satt av OD	Planlagt	7191	6167
2010-03-05	EMGS1003	Status - satt av OD	Ferdig	7200	6168
2010-03-05	EMGS1005	Status - satt av OD	Pågående	7203	6169
2010-03-05	MAE10301	Status - satt av OD	Under behandling	7212	6170
2010-03-05	SH1001	Status - satt av OD	Under behandling	7213	6171
2010-03-05	SH1002	Status - satt av OD	Under behandling	7214	6172
2010-03-05	VBT1	Status - satt av OD	Planlagt	7196	6173
2010-03-04	EMGS1005	Status - satt av OD	Planlagt	7203	6174
2010-03-04	NO1001	Status - satt av OD	Planlagt	7193	6175
2010-03-04	RS1002	Status - satt av OD	Planlagt	7188	6176
2010-03-02	EMGS1002	Melding - sluttmelding	\N	7194	6177
2010-03-02	EMGS1003	Melding - ukemelding	\N	7200	6178
2010-03-02	EMGS1002	Status - satt av OD	Ferdig	7194	6179
2010-03-02	MCG1001	Status - satt av OD	Under behandling	7209	6180
2010-03-02	RS1001	Status - satt av OD	Planlagt	7186	6181
2010-03-02	WIN1003	Status - satt av OD	Under behandling	7211	6182
2010-02-26	EMGS1003	Status - satt av OD	Pågående	7200	6186
2010-02-26	EMGS1006	Status - satt av OD	Under behandling	7206	6187
2010-02-24	EMGS1003	Melding - oppstartsmelding	\N	7200	6188
2010-02-24	EMGS1003	Status - satt av OD	Planlagt	7200	6189
2010-02-24	EMGS1003	Status - satt av OD	Pågående	7200	6190
2010-02-24	EMGS1007	Status - satt av OD	Under behandling	7205	6191
2010-02-23	EMGS1004	Melding - endringsmelding	\N	7202	6192
2010-02-23	EMGS1005	Melding - endringsmelding	\N	7203	6193
2010-02-22	EMGS1004	Melding - endringsmelding	\N	7202	6194
2010-02-22	EMGS0909	Melding - sluttmelding	\N	7187	6195
2010-02-22	EMGS1002	Melding - endringsmelding	\N	7194	6196
2010-02-22	EMGS1002	Melding - oppstartsmelding	\N	7194	6197
2010-02-22	EMGS0909	Status - satt av OD	Ferdig	7187	6198
2010-02-22	EMGS1002	Status - satt av OD	Pause	7194	6199
2010-02-22	EMGS1002	Status - satt av OD	Pågående	7194	6200
2010-02-22	EMGS1004	Status - satt av OD	Under behandling	7202	6201
2010-02-18	EMGS1003	Melding - endringsmelding	\N	7200	6202
2010-02-18	ST10304	Status - satt av OD	Under behandling	7204	6203
2010-02-17	EMGS0909	Melding - endringsmelding	\N	7187	6204
2010-02-17	EMGS1003	Status - satt av OD	Planlagt	7200	6205
2010-02-17	EMGS1004	Status - satt av OD	Planlagt	7202	6206
2010-02-16	EMGS0909	Melding - ukemelding	\N	7187	6207
2010-02-16	EMGS1004	Melding - endringsmelding	\N	7202	6208
2010-02-15	nx1051	Melding - endringsmelding	\N	7199	6209
2010-02-15	EMGS1004	Status - satt av OD	Under behandling	7202	6210
2010-02-15	EMGS1005	Status - satt av OD	Under behandling	7203	6211
2010-02-11	EMGS0909	Melding - endringsmelding	\N	7187	6212
2010-02-11	EMGS0909	Melding - ukemelding	\N	7187	6213
2010-02-11	EMGS1003	Status - satt av OD	Under behandling	7200	6214
2010-02-09	LN1051	Melding - endringsmelding	\N	7197	6215
2010-02-09	CGGV-10-01	Status - satt av OD	Under behandling	7198	6216
2010-02-09	nx1051	Status - satt av OD	Under behandling	7199	6217
2010-02-08	LN1051	Status - satt av OD	Under behandling	7197	6218
2010-02-05	VBT1	Status - satt av OD	Under behandling	7196	6219
2010-02-04	TE903	Melding - sluttmelding	\N	7173	6220
2010-02-04	ST10303	Status - satt av OD	Under behandling	7195	6221
2010-02-04	TE903	Status - satt av OD	Ferdig	7173	6222
2010-02-03	EMGS0909	Melding - ukemelding	\N	7187	6223
2010-02-03	EMGS1002	Status - satt av OD	Under behandling	7194	6224
2010-02-02	TE903	Melding - ukemelding	\N	7173	6225
2010-02-02	NO1001	Status - satt av OD	Under behandling	7193	6226
2010-01-29	ST10451	Status - satt av OD	Under behandling	7192	6227
2010-01-27	TE903	Melding - ukemelding	\N	7173	6228
2010-01-26	EMGS1001	Status - satt av OD	Under behandling	7191	6229
2010-01-25	ST09318	Melding - endringsmelding	\N	7028	6230
2010-01-25	ST09313	Melding - endringsmelding	\N	7027	6231
2010-01-25	EMGS0909	Melding - ukemelding	\N	7187	6232
2010-01-22	MC3D-CGR-2010	Status - satt av OD	Under behandling	7190	6233
2010-01-21	MC3D-NVG10	Status - satt av OD	Under behandling	7189	6234
2010-01-20	TE903	Melding - endringsmelding	\N	7173	6235
2010-01-20	EMGS0909	Melding - ukemelding	\N	7187	6236
2010-01-19	TE903	Melding - ukemelding	\N	7173	6237
2010-01-19	ST09325	Melding - sluttmelding	\N	7174	6238
2010-01-19	ST09325	Status - satt av OD	Ferdig	7174	6239
2010-01-18	ST09328	Melding - sluttmelding	\N	7143	6240
2010-01-18	ST09328	Status - satt av OD	Ferdig	7143	6241
2010-01-15	RS1002	Status - satt av OD	Under behandling	7188	6242
2010-01-12	TE903	Melding - ukemelding	\N	7173	6243
2010-01-12	LN0959	Melding - sluttmelding	\N	7180	6244
2010-01-12	ST09328	Melding - ukemelding	\N	7143	6245
2010-01-12	LN0959	Status - satt av OD	Ferdig	7180	6246
2010-01-11	TO-David09	Melding - sluttmelding	\N	7163	6247
2010-01-11	VNG0902	Melding - sluttmelding	\N	7136	6248
2010-01-11	VNG0902	Status - satt av OD	Ferdig	7136	6249
2010-01-08	EMGS0909	Melding - oppstartsmelding	\N	7187	6250
2010-01-08	VNG0902	Melding - ukemelding	\N	7136	6251
2010-01-08	ST09328	Melding - endringsmelding	\N	7143	6252
2010-01-08	ST09328	Melding - oppstartsmelding	\N	7143	6253
2010-01-08	EMGS0909	Status - satt av OD	Pågående	7187	6254
2010-01-08	ST09325	Status - satt av OD	Pause	7174	6255
2010-01-08	ST09328	Status - satt av OD	Pågående	7143	6256
2010-01-07	EMGS0909	Status - satt av OD	Planlagt	7187	6257
2010-01-06	LN0959	Melding - oppstartsmelding	\N	7180	6258
2010-01-06	LN0959	Status - satt av OD	Pågående	7180	6259
2010-01-05	EMGS0909	Melding - endringsmelding	\N	7187	6260
2010-01-05	TE903	Melding - ukemelding	\N	7173	6261
2010-01-05	LN0958	Melding - sluttmelding	\N	7179	6262
2010-01-05	ST09325	Melding - ukemelding	\N	7174	6263
2010-01-05	VNG0902	Melding - ukemelding	\N	7136	6264
2010-01-05	LN0958	Status - satt av OD	Ferdig	7179	6265
2009-12-29	TE903	Melding - ukemelding	\N	7173	6266
2009-12-28	ST09325	Melding - ukemelding	\N	7174	6267
2009-12-22	TE903	Melding - ukemelding	\N	7173	6268
2009-12-22	VNG0902	Melding - oppstartsmelding	\N	7136	6269
2009-12-22	EMGS0909	Status - satt av OD	Under behandling	7187	6270
2009-12-22	VNG0902	Status - satt av OD	Pågående	7136	6271
2009-12-21	ST09325	Melding - ukemelding	\N	7174	6272
2009-12-21	VNG0902	Melding - endringsmelding	\N	7136	6273
2009-12-21	LN0958	Melding - oppstartsmelding	\N	7179	6274
2009-12-21	LN0958	Status - satt av OD	Pågående	7179	6275
2009-12-21	TO-David09	Status - satt av OD	Ferdig	7163	6276
2009-12-17	LN0959	Melding - endringsmelding	\N	7180	6277
2009-12-17	LN0958	Melding - endringsmelding	\N	7179	6278
2009-12-17	RS1001	Status - satt av OD	Under behandling	7186	6279
2009-12-15	TE903	Melding - oppstartsmelding	\N	7173	6280
2009-12-15	TE903	Status - satt av OD	Pågående	7173	6281
2009-12-14	ST09325	Melding - ukemelding	\N	7174	6282
2009-12-14	ST09327	Melding - sluttmelding	\N	7142	6283
2009-12-14	ST09327	Status - satt av OD	Ferdig	7142	6284
2009-12-11	ST09325	Melding - endringsmelding	\N	7174	6285
2009-12-11	LN0958	Status - satt av OD	Planlagt	7179	6286
2009-12-11	LN0959	Status - satt av OD	Planlagt	7180	6287
2009-06-10	LN0902	Melding - ukemelding	\N	7004	7453
2009-12-10	ST09325	Melding - ukemelding	\N	7174	6288
2009-12-10	ST09327	Melding - oppstartsmelding	\N	7142	6289
2009-12-10	ST09327	Status - satt av OD	Pågående	7142	6290
2009-12-08	ST09327	Melding - endringsmelding	\N	7142	6291
2009-12-08	TE903	Melding - endringsmelding	\N	7173	6292
2009-12-07	MNR09	Melding - sluttmelding	\N	7001	6293
2009-12-07	MNR09	Melding - ukemelding	\N	7001	6294
2009-12-07	MNR09	Status - satt av OD	Ferdig	7001	6295
2009-12-01	TO-David09	Melding - endringsmelding	\N	7163	6296
2009-11-30	MNR09	Melding - ukemelding	\N	7001	6297
2009-11-30	ST09325	Melding - ukemelding	\N	7174	6298
2009-11-30	LN0958	Melding - endringsmelding	\N	7179	6299
2009-11-30	LN0959	Melding - endringsmelding	\N	7180	6300
2009-11-30	LN0960	Melding - sluttmelding	\N	7181	6301
2009-11-30	LN0960	Status - satt av OD	Ferdig	7181	6302
2009-11-27	LN0960	Melding - ukemelding	\N	7181	6303
2009-11-27	ST09327	Melding - endringsmelding	\N	7142	6304
2009-11-27	ST09328	Melding - endringsmelding	\N	7143	6305
2009-11-27	ST09325	Melding - endringsmelding	\N	7174	6306
2009-11-27	TE903	Status - satt av OD	Planlagt	7173	6307
2009-11-25	TGS0902	Melding - sluttmelding	\N	7073	6308
2009-11-24	ST09325	Melding - ukemelding	\N	7174	6309
2009-11-24	MNR09	Melding - endringsmelding	\N	7001	6310
2009-11-24	MNR09	Melding - ukemelding	\N	7001	6311
2009-11-20	TO-David09	Melding - endringsmelding	\N	7163	6312
2009-11-20	TO-David09	Melding - endringsmelding	\N	7163	6313
2009-11-20	LN0960	Melding - oppstartsmelding	\N	7181	6314
2009-11-20	LN0960	Melding - ukemelding	\N	7181	6315
2009-11-20	LN0960	Status - satt av OD	Pågående	7181	6316
2009-11-20	TO-David09	Status - satt av OD	Pause	7163	6317
2009-11-20	TO-David09	Status - satt av OD	Pågående	7163	6318
2009-11-19	Dong0902	Melding - sluttmelding	\N	7162	6319
2009-11-19	Dong0902	Status - satt av OD	Pause	7162	6320
2009-11-19	Dong0902	Status - satt av OD	Ferdig	7162	6321
2009-11-17	ST09325	Melding - ukemelding	\N	7174	6322
2009-11-17	LN0960	Status - satt av OD	Under behandling	7181	6323
2009-11-17	LN0960	Status - satt av OD	Planlagt	7181	6324
2009-11-17	TGS0902	Status - satt av OD	Ferdig	7073	6325
2009-11-16	MNR09	Melding - ukemelding	\N	7001	6326
2009-11-16	MNR09	Melding - endringsmelding	\N	7001	6327
2009-11-16	TO-David09	Melding - endringsmelding	\N	7163	6328
2009-11-16	ST09325	Melding - oppstartsmelding	\N	7174	6329
2009-11-16	ST09325	Status - satt av OD	Pågående	7174	6330
2009-11-13	ST09325	Status - satt av OD	Planlagt	7174	6331
2009-11-12	EN0902	Melding - sluttmelding	\N	7144	6332
2009-11-12	EN0902	Status - satt av OD	Ferdig	7144	6333
2009-11-12	LN0958	Status - satt av OD	Under behandling	7179	6334
2009-11-12	LN0959	Status - satt av OD	Under behandling	7180	6335
2009-11-11	DN0912	Melding - sluttmelding	\N	7139	6336
2009-11-11	AX0902	Melding - sluttmelding	\N	7147	6337
2009-11-11	AX0902	Status - satt av OD	Ferdig	7147	6338
2009-11-11	DN0912	Status - satt av OD	Ferdig	7139	6339
2009-11-09	EN0902	Melding - ukemelding	\N	7144	6340
2009-11-09	ST09330	Melding - sluttmelding	\N	7149	6341
2009-11-09	AX0902	Melding - oppstartsmelding	\N	7147	6342
2009-11-09	TO-David09	Melding - endringsmelding	\N	7163	6343
2009-11-09	MNR09	Melding - endringsmelding	\N	7001	6344
2009-11-09	MNR09	Melding - endringsmelding	\N	7001	6345
2009-11-09	AX0902	Status - satt av OD	Pågående	7147	6346
2009-11-09	ST09325	Status - satt av OD	Planlagt	7174	6347
2009-11-09	ST09325	Status - satt av OD	Pågående	7174	6348
2009-11-09	ST09330	Status - satt av OD	Ferdig	7149	6349
2009-11-06	GDF0901	Melding - sluttmelding	\N	7127	6350
2009-11-06	ST09330	Melding - oppstartsmelding	\N	7149	6351
2009-11-06	GDF0901	Status - satt av OD	Ferdig	7127	6352
2009-11-06	ST09325	Status - satt av OD	Under behandling	7174	6353
2009-11-06	ST09325	Status - satt av OD	Pågående	7174	6354
2009-11-06	ST09325	Status - satt av OD	Planlagt	7174	6355
2009-11-06	ST09330	Status - satt av OD	Pågående	7149	6356
2009-11-04	TE0902	Melding - endringsmelding	\N	7169	6357
2009-11-04	ST09303	Melding - endringsmelding	\N	7168	6358
2009-11-04	ST09303	Melding - endringsmelding	\N	7168	6359
2009-11-04	LN0954	Melding - endringsmelding	\N	7167	6360
2009-11-04	LN0952/LN0953	Melding - endringsmelding	\N	7166	6361
2009-11-04	MNR09	Melding - ukemelding	\N	7001	6362
2009-11-03	FMC0903	Melding - sluttmelding	\N	7095	6363
2009-11-03	FMC0903	Melding - ukemelding	\N	7095	6364
2009-11-03	FMC0903	Status - satt av OD	Ferdig	7095	6365
2009-11-03	TE903	Status - satt av OD	Under behandling	7173	6366
2009-11-02	EN0902	Melding - ukemelding	\N	7144	6367
2009-11-02	NX904	Melding - sluttmelding	\N	7135	6368
2009-11-02	NX904	Status - satt av OD	Ferdig	7135	6369
2009-10-30	BG0901	Melding - endringsmelding	\N	7041	6370
2009-10-30	BG0903	Melding - endringsmelding	\N	7043	6371
2009-10-30	BG0902	Melding - endringsmelding	\N	7042	6372
2009-10-30	BG0903	Melding - endringsmelding	\N	7043	6373
2009-10-30	NX904	Melding - endringsmelding	\N	7135	6374
2009-10-30	Dong0902	Melding - oppstartsmelding	\N	7162	6375
2009-10-30	Dong0902	Status - satt av OD	Pågående	7162	6376
2009-10-30	GDF0901	Status - satt av OD	Pågående	7127	6377
2009-10-28	VNG0902	Melding - endringsmelding	\N	7136	6378
2009-10-28	ST09327	Melding - endringsmelding	\N	7142	6379
2009-10-28	ST09330	Melding - endringsmelding	\N	7149	6380
2009-10-28	ST09323	Melding - sluttmelding	\N	7134	6381
2009-10-28	ST09329	Melding - sluttmelding	\N	7148	6382
2009-10-28	ST09566	Melding - sluttmelding	\N	7146	6383
2009-10-28	DN0912	Melding - oppstartsmelding	\N	7139	6384
2009-10-28	AX0901	Melding - sluttmelding	\N	7145	6385
2009-10-28	AX0901	Status - satt av OD	Ferdig	7145	6386
2009-10-28	DN0912	Status - satt av OD	Pågående	7139	6387
2009-10-28	ST09323	Status - satt av OD	Ferdig	7134	6388
2009-10-28	ST09327	Status - satt av OD	Planlagt	7142	6389
2009-10-28	ST09329	Status - satt av OD	Ferdig	7148	6390
2009-10-27	SH0902	Melding - sluttmelding	\N	7039	6391
2009-10-27	SH0901	Melding - sluttmelding	\N	7038	6392
2009-10-27	TO-David09	Melding - oppstartsmelding	\N	7163	6393
2009-10-27	ST09330	Status - satt av OD	Planlagt	7149	6394
2009-10-26	EN0902	Melding - ukemelding	\N	7144	6395
2009-10-26	ST09329	Melding - ukemelding	\N	7148	6396
2009-10-26	ST09323	Melding - ukemelding	\N	7134	6397
2009-10-26	NX904	Melding - ukemelding	\N	7135	6398
2009-10-26	FMC0903	Melding - ukemelding	\N	7095	6399
2009-10-26	MNR09	Melding - ukemelding	\N	7001	6400
2009-10-26	ST09566	Melding - sluttmelding	\N	7146	6401
2009-10-26	CE0902	Melding - sluttmelding	\N	7122	6402
2009-10-26	CE0901	Melding - sluttmelding	\N	7121	6403
2009-10-26	Dong0902	Melding - endringsmelding	\N	7162	6404
2009-10-26	CE0901	Status - satt av OD	Ferdig	7121	6405
2009-10-26	CE0902	Status - satt av OD	Ferdig	7122	6406
2009-10-23	ST09329	Melding - oppstartsmelding	\N	7148	6407
2009-10-23	GDF0901	Melding - oppstartsmelding	\N	7127	6408
2009-10-23	GDF0901	Status - satt av OD	Planlagt	7127	6409
2009-10-23	ST09329	Status - satt av OD	Pågående	7148	6410
2009-10-22	TE0902	Melding - sluttmelding	\N	7169	6411
2009-10-22	TE0902	Melding - oppstartsmelding	\N	7169	6412
2009-10-22	ST09303	Melding - sluttmelding	\N	7168	6413
2009-10-22	ST09303	Melding - oppstartsmelding	\N	7168	6414
2009-10-22	LN0952/LN0953	Melding - oppstartsmelding	\N	7166	6415
2009-10-22	LN0952/LN0953	Melding - sluttmelding	\N	7166	6416
2009-10-22	LN0954	Melding - oppstartsmelding	\N	7167	6417
2009-10-22	LN0954	Melding - sluttmelding	\N	7167	6418
2009-10-22	LN0954	Melding - oppstartsmelding	\N	7167	6419
2009-10-22	EMGS0808	Melding - sluttmelding	\N	7165	6420
2009-10-22	EMGS0808	Melding - oppstartsmelding	\N	7165	6421
2009-10-22	TO-David09	Melding - oppstartsmelding	\N	7163	6422
2009-10-22	CE0902	Melding - endringsmelding	\N	7122	6423
2009-10-22	EMGS0808	Status - satt av OD	Under behandling	7165	6424
2009-10-22	EMGS0808	Status - satt av OD	Ferdig	7165	6425
2009-10-22	EMGS0808	Status - satt av OD	Ferdig	7165	6426
2009-10-22	GDF0901	Status - satt av OD	Pågående	7127	6427
2009-10-22	LN0952/LN0953	Status - satt av OD	Ferdig	7166	6428
2009-10-22	LN0954	Status - satt av OD	Ferdig	7167	6429
2009-10-22	ST09303	Status - satt av OD	Ferdig	7168	6430
2009-10-22	TE0902	Status - satt av OD	Ferdig	7169	6431
2009-10-21	CE0901	Melding - endringsmelding	\N	7121	6432
2009-10-21	EMGS0808	Status - satt av OD	Under behandling	7165	6433
2009-10-21	EN0902	Status - satt av OD	Pågående	7144	6434
2009-10-21	LN0952/LN0953	Status - satt av OD	Under behandling	7166	6435
2009-10-21	LN0954	Status - satt av OD	Under behandling	7167	6436
2009-10-21	ST09303	Status - satt av OD	Under behandling	7168	6437
2009-10-21	TE0902	Status - satt av OD	Under behandling	7169	6438
2009-10-21	TO-David09	Status - satt av OD	Under behandling	7163	6439
2009-10-21	TO-David09	Status - satt av OD	Pågående	7163	6440
2009-10-20	EM0109	Melding - sluttmelding	\N	7091	6441
2009-10-20	EM0109	Melding - ukemelding	\N	7091	6442
2009-10-20	AX0901	Melding - ukemelding	\N	7145	6443
2009-10-20	TGS0902	Melding - endringsmelding	\N	7073	6444
2009-10-20	FMC0903	Melding - ukemelding	\N	7095	6445
2009-10-20	MNR09	Melding - ukemelding	\N	7001	6446
2009-10-20	EM0109	Status - satt av OD	Ferdig	7091	6447
2009-10-19	CE0902	Melding - ukemelding	\N	7122	6448
2009-10-19	CE0901	Melding - ukemelding	\N	7121	6449
2009-10-19	TGS0902	Melding - endringsmelding	\N	7073	6450
2009-10-19	ST09329	Melding - endringsmelding	\N	7148	6451
2009-10-19	ST09323	Melding - ukemelding	\N	7134	6452
2009-10-19	EN0902	Melding - oppstartsmelding	\N	7144	6453
2009-10-19	OD0902	Melding - sluttmelding	\N	7076	6454
2009-10-19	WG09Test	Melding - sluttmelding	\N	7161	6455
2009-10-19	NX904	Melding - oppstartsmelding	\N	7135	6456
2009-10-19	EEN0901	Melding - sluttmelding	\N	7157	6457
2009-10-19	EEN0901	Melding - oppstartsmelding	\N	7157	6458
2009-10-19	EEN0901	Melding - oppstartsmelding	\N	7157	6459
2009-10-19	Dong0902	Status - satt av OD	Under behandling	7162	6460
2009-10-19	Dong0902	Status - satt av OD	Planlagt	7162	6461
2009-10-19	EN0902	Status - satt av OD	Pågående	7144	6462
2009-10-19	EN0902	Status - satt av OD	Planlagt	7144	6463
2009-10-19	NX904	Status - satt av OD	Pågående	7135	6464
2009-10-19	WG09Test	Status - satt av OD	Ferdig	7161	6465
2009-10-16	LN0951	Melding - sluttmelding	\N	7158	6466
2009-10-16	LN0951	Melding - oppstartsmelding	\N	7158	6467
2009-10-16	BG0905	Melding - sluttmelding	\N	7132	6468
2009-10-16	FMC0903	Melding - endringsmelding	\N	7095	6469
2009-10-16	WG09Test	Melding - oppstartsmelding	\N	7161	6470
2009-10-16	BG0905	Status - satt av OD	Ferdig	7132	6471
2009-10-16	WG09Test	Status - satt av OD	Pågående	7161	6472
2009-10-15	MCG0901	Melding - endringsmelding	\N	7075	6473
2009-10-15	DN0912	Status - satt av OD	Pause	7139	6474
2009-10-15	EEN0901	Status - satt av OD	Ferdig	7157	6475
2009-10-15	LN0951	Status - satt av OD	Ferdig	7158	6476
2009-10-14	AX0901	Melding - oppstartsmelding	\N	7145	6477
2009-10-14	BPN0990	Melding - sluttmelding	\N	7152	6478
2009-10-14	ST09457	Melding - sluttmelding	\N	7123	6479
2009-10-14	ST09457	Melding - sluttmelding	\N	7123	6480
2009-10-14	AX0901	Status - satt av OD	Pågående	7145	6481
2009-10-14	ST09457	Status - satt av OD	Ferdig	7123	6482
2009-10-13	BG0905	Melding - endringsmelding	\N	7132	6483
2009-10-13	WG0901	Melding - oppstartsmelding	\N	7057	6484
2009-10-13	WG09Test	Melding - endringsmelding	\N	7161	6485
2009-10-13	AX0902	Melding - endringsmelding	\N	7147	6486
2009-10-13	NSR09 VG	Melding - sluttmelding	\N	7104	6487
2009-10-13	EM0109	Melding - ukemelding	\N	7091	6488
2009-10-13	TGS0901	Melding - sluttmelding	\N	7060	6489
2009-10-13	TGS0901	Melding - ukemelding	\N	7060	6490
2009-10-13	AX0902	Status - satt av OD	Planlagt	7147	6491
2009-10-13	EEN0901	Status - satt av OD	Planlagt	7157	6492
2009-10-13	NSR09 VG	Status - satt av OD	Ferdig	7104	6493
2009-10-13	TGS0901	Status - satt av OD	Ferdig	7060	6494
2009-10-13	WG09Test	Status - satt av OD	Under behandling	7161	6495
2009-10-13	WG09Test	Status - satt av OD	Planlagt	7161	6496
2009-10-12	CP0902	Melding - sluttmelding	\N	7131	6497
2009-10-12	CE0901	Melding - ukemelding	\N	7121	6498
2009-10-12	CE0902	Melding - ukemelding	\N	7122	6499
2009-10-12	WG0901	Melding - ukemelding	\N	7057	6500
2009-10-12	WG0901	Melding - sluttmelding	\N	7057	6501
2009-10-12	FMC0903	Melding - ukemelding	\N	7095	6502
2009-10-12	MNR09	Melding - ukemelding	\N	7001	6503
2009-10-12	ST09323	Melding - ukemelding	\N	7134	6504
2009-10-12	ST09456	Melding - sluttmelding	\N	7120	6505
2009-10-12	MC2D-CR2009	Melding - sluttmelding	\N	7130	6506
2009-10-12	CP0902	Status - satt av OD	Ferdig	7131	6507
2009-10-12	MC2D-CR2009	Status - satt av OD	Ferdig	7130	6508
2009-10-12	ST09456	Status - satt av OD	Ferdig	7120	6509
2009-10-12	WG0901	Status - satt av OD	Ferdig	7057	6510
2009-10-09	ST09566	Melding - ukemelding	\N	7146	6511
2009-10-09	AX0901	Melding - endringsmelding	\N	7145	6512
2009-10-09	CVX0902	Melding - sluttmelding	\N	7133	6513
2009-10-09	CVX0902	Melding - oppstartsmelding	\N	7133	6514
2009-10-09	CVX0902	Status - satt av OD	Pågående	7133	6515
2009-10-09	CVX0902	Status - satt av OD	Ferdig	7133	6516
2009-10-09	ST09457	Status - satt av OD	Pågående	7123	6517
2009-10-08	ST09323	Melding - endringsmelding	\N	7134	6518
2009-10-08	BG0905	Melding - oppstartsmelding	\N	7132	6519
2009-10-08	ST09457	Melding - oppstartsmelding	\N	7123	6520
2009-10-08	BG0905	Status - satt av OD	Pågående	7132	6521
2009-10-07	EMGS0903	Melding - sluttmelding	\N	7156	6522
2009-10-07	EMGS0903	Melding - ukemelding	\N	7156	6523
2009-10-07	EMGS0903	Melding - oppstartsmelding	\N	7156	6524
2009-10-07	EMGS0902	Melding - sluttmelding	\N	7155	6525
2009-10-07	EMGS0902	Melding - oppstartsmelding	\N	7155	6526
2009-10-07	GDF0901	Melding - endringsmelding	\N	7127	6527
2009-10-07	EM0109	Melding - endringsmelding	\N	7091	6528
2009-10-07	MC3D-Q82009	Melding - ukemelding	\N	7154	6529
2009-10-07	MC3D-Q82009	Melding - sluttmelding	\N	7154	6530
2009-10-07	MC3D-Q82009	Melding - oppstartsmelding	\N	7154	6531
2009-10-07	EEN0901	Status - satt av OD	Under behandling	7157	6532
2009-10-07	EMGS0902	Status - satt av OD	Ferdig	7155	6533
2009-10-07	EMGS0903	Status - satt av OD	Ferdig	7156	6534
2009-10-07	LN0951	Status - satt av OD	Under behandling	7158	6535
2009-10-07	MC3D-Q82009	Status - satt av OD	Ferdig	7154	6536
2009-10-06	CGGV0903	Melding - sluttmelding	\N	7037	6537
2009-10-06	WG0901	Melding - ukemelding	\N	7057	6538
2009-10-06	TGS0901	Melding - ukemelding	\N	7060	6539
2009-10-06	EM0109	Melding - ukemelding	\N	7091	6540
2009-10-06	NX904	Melding - endringsmelding	\N	7135	6541
2009-10-06	ST09001	Melding - sluttmelding	\N	7010	6542
2009-10-06	PL143 Pelikan	Melding - sluttmelding	\N	7151	6543
2009-10-06	PL143 Pelikan	Melding - oppstartsmelding	\N	7151	6544
2009-10-06	DONG0901	Melding - sluttmelding	\N	7153	6545
2009-10-06	DONG0901	Melding - oppstartsmelding	\N	7153	6546
2009-10-06	CP0902	Melding - oppstartsmelding	\N	7131	6547
2009-10-06	DN0912	Melding - endringsmelding	\N	7139	6548
2009-10-06	DN0901	Melding - sluttmelding	\N	7150	6549
2009-10-06	DN0901	Melding - oppstartsmelding	\N	7150	6550
2009-10-06	BPN0990	Melding - oppstartsmelding	\N	7152	6551
2009-10-06	BPN0990	Status - satt av OD	Ferdig	7152	6552
2009-10-06	CGGV0903	Status - satt av OD	Ferdig	7037	6553
2009-10-06	CP0902	Status - satt av OD	Pågående	7131	6554
2009-10-06	DN0901	Status - satt av OD	Ferdig	7150	6555
2009-10-06	DONG0901	Status - satt av OD	Ferdig	7153	6556
2009-10-06	EMGS0902	Status - satt av OD	Under behandling	7155	6557
2009-10-06	EMGS0903	Status - satt av OD	Under behandling	7156	6558
2009-10-06	MC3D-Q82009	Status - satt av OD	Under behandling	7154	6559
2009-10-06	PL143 Pelikan	Status - satt av OD	Ferdig	7151	6560
2009-10-06	ST09001	Status - satt av OD	Ferdig	7010	6561
2009-10-05	FMCS0907	Melding - sluttmelding	\N	7110	6562
2009-10-05	ST09001	Melding - ukemelding	\N	7010	6563
2009-10-05	ST09323	Melding - ukemelding	\N	7134	6564
2009-10-05	MNR09	Melding - ukemelding	\N	7001	6565
2009-10-05	FMC0903	Melding - ukemelding	\N	7095	6566
2009-10-05	CE0901	Melding - ukemelding	\N	7121	6567
2009-10-05	ST09456	Melding - ukemelding	\N	7120	6568
2009-10-05	TGS0902	Melding - endringsmelding	\N	7073	6569
2009-10-05	CE0902	Melding - ukemelding	\N	7122	6570
2009-10-05	BPN0990	Status - satt av OD	Under behandling	7152	6571
2009-10-05	DN0901	Status - satt av OD	Under behandling	7150	6572
2009-10-05	DN0901	Status - satt av OD	Ferdig	7150	6573
2009-10-05	DN0901	Status - satt av OD	Under behandling	7150	6574
2009-10-05	DONG0901	Status - satt av OD	Under behandling	7153	6575
2009-10-05	PL143 Pelikan	Status - satt av OD	Under behandling	7151	6576
2009-10-05	ST09566	Status - satt av OD	Ferdig	7146	6577
2009-10-02	BG0904	Melding - sluttmelding	\N	7074	6578
2009-10-02	CE0901	Melding - endringsmelding	\N	7121	6579
2009-10-02	CE0902	Melding - endringsmelding	\N	7122	6580
2009-10-02	CE0901	Status - satt av OD	Pågående	7121	6581
2009-10-02	FMCS0907	Status - satt av OD	Ferdig	7110	6582
2009-10-02	NSR09 VG	Status - satt av OD	Pause	7104	6583
2009-10-02	TGS0902	Status - satt av OD	Pause	7073	6584
2009-10-01	TGS0901	Melding - ukemelding	\N	7060	6585
2009-10-01	TGS0901	Melding - ukemelding	\N	7060	6586
2009-10-01	TGS0901	Melding - ukemelding	\N	7060	6587
2009-10-01	ST09323	Melding - endringsmelding	\N	7134	6588
2009-10-01	TGS0901	Melding - endringsmelding	\N	7060	6589
2009-10-01	EN0902	Melding - endringsmelding	\N	7144	6590
2009-10-01	NSR09 VG	Status - satt av OD	Ferdig	7104	6591
2009-10-01	TGS0902	Status - satt av OD	Ferdig	7073	6592
2009-09-30	WG0901	Melding - endringsmelding	\N	7057	6593
2009-09-30	ST09328	Status - satt av OD	Planlagt	7143	6594
2009-09-30	ST09329	Status - satt av OD	Planlagt	7148	6595
2009-09-29	DN0910	Melding - sluttmelding	\N	7109	6596
2009-09-29	DN0910	Melding - oppstartsmelding	\N	7109	6597
2009-09-29	ST09001	Melding - endringsmelding	\N	7010	6598
2009-09-29	EM0109	Melding - ukemelding	\N	7091	6599
2009-09-29	ST09323	Melding - ukemelding	\N	7134	6600
2009-09-29	ST09001	Melding - ukemelding	\N	7010	6601
2009-09-29	ST09456	Melding - endringsmelding	\N	7120	6602
2009-09-29	DN0910	Melding - endringsmelding	\N	7109	6603
2009-09-29	WG0901	Melding - ukemelding	\N	7057	6604
2009-09-29	CE0901	Melding - ukemelding	\N	7121	6605
2009-09-29	AX0901	Status - satt av OD	Planlagt	7145	6606
2009-09-29	DN0910	Status - satt av OD	Ferdig	7109	6607
2009-09-28	DN0912	Melding - oppstartsmelding	\N	7139	6608
2009-09-28	FMC0903	Melding - ukemelding	\N	7095	6609
2009-09-28	MNR09	Melding - ukemelding	\N	7001	6610
2009-09-28	DN0912	Status - satt av OD	Pågående	7139	6611
2009-09-25	TO-EM0901	Melding - sluttmelding	\N	7097	6612
2009-09-25	CE0902	Melding - ukemelding	\N	7122	6613
2009-09-25	ST09566	Melding - oppstartsmelding	\N	7146	6614
2009-09-25	ST09458B	Melding - sluttmelding	\N	7124	6615
2009-09-25	ST09458	Melding - sluttmelding	\N	7125	6616
2009-09-25	MC2D-CR2009	Melding - ukemelding	\N	7130	6617
2009-09-25	ST09456	Melding - oppstartsmelding	\N	7120	6618
2009-09-25	DP0910	Melding - sluttmelding	\N	7116	6619
2009-09-25	DP0910	Status - satt av OD	Ferdig	7116	6620
2009-09-25	ST09456	Status - satt av OD	Pågående	7120	6621
2009-09-25	ST09458B	Status - satt av OD	Ferdig	7124	6622
2009-09-25	ST09566	Status - satt av OD	Pågående	7146	6623
2009-09-25	TO-EM0901	Status - satt av OD	Ferdig	7097	6624
2009-09-25	TO-EM0901	Status - satt av OD	Pågående	7097	6625
2009-09-25	TO-EM0901	Status - satt av OD	Ferdig	7097	6626
2009-09-23	DP0910	Melding - ukemelding	\N	7116	6627
2009-09-23	ST09566	Status - satt av OD	Planlagt	7146	6628
2009-09-22	EM0109	Melding - endringsmelding	\N	7091	6629
2009-09-22	EM0109	Melding - ukemelding	\N	7091	6630
2009-09-22	CE0901	Melding - ukemelding	\N	7121	6631
2009-09-22	CE0901	Melding - endringsmelding	\N	7121	6632
2009-09-22	ST09001	Melding - endringsmelding	\N	7010	6633
2009-09-22	CE0902	Melding - endringsmelding	\N	7122	6634
2009-09-22	EN0902	Status - satt av OD	Planlagt	7144	6635
2009-09-22	ST09330	Status - satt av OD	Under behandling	7149	6636
2009-09-21	AX0901	Melding - endringsmelding	\N	7145	6637
2009-09-21	WG0901	Melding - ukemelding	\N	7057	6638
2009-09-21	ST09001	Melding - ukemelding	\N	7010	6639
2009-09-21	ST09323	Melding - ukemelding	\N	7134	6640
2009-09-21	EN0901	Melding - ukemelding	\N	7070	6641
2009-09-21	EM0209	Melding - sluttmelding	\N	7114	6642
2009-09-21	MNR09	Melding - ukemelding	\N	7001	6643
2009-09-21	FMC0903	Melding - ukemelding	\N	7095	6644
2009-09-21	EM0209	Status - satt av OD	Ferdig	7114	6645
2009-09-21	ST09329	Status - satt av OD	Under behandling	7148	6646
2009-09-18	CE0902	Melding - ukemelding	\N	7122	6647
2009-09-18	TO-EM0901	Melding - ukemelding	\N	7097	6648
2009-09-18	CVX0902	Melding - endringsmelding	\N	7133	6649
2009-09-18	CP0902	Melding - endringsmelding	\N	7131	6650
2009-09-18	AX0902	Status - satt av OD	Under behandling	7147	6651
2009-09-17	EN0901	Melding - sluttmelding	\N	7070	6652
2009-09-17	NX904	Melding - endringsmelding	\N	7135	6653
2009-09-17	EN0902	Melding - endringsmelding	\N	7144	6654
2009-09-17	DN0912	Melding - endringsmelding	\N	7139	6655
2009-09-17	EN0901	Status - satt av OD	Ferdig	7070	6656
2009-09-16	TGS0902	Melding - ukemelding	\N	7073	6657
2009-09-16	DP0910	Melding - ukemelding	\N	7116	6658
2009-09-15	EM0109	Melding - endringsmelding	\N	7091	6659
2009-09-15	EM0209	Melding - endringsmelding	\N	7114	6660
2009-09-15	EM0109	Melding - ukemelding	\N	7091	6661
2009-09-15	EM0209	Melding - ukemelding	\N	7114	6662
2009-09-15	EN0901	Melding - ukemelding	\N	7070	6663
2009-09-15	WG0901	Melding - ukemelding	\N	7057	6664
2009-09-15	SH0903	Melding - sluttmelding	\N	7102	6665
2009-09-15	SH0903	Status - satt av OD	Ferdig	7102	6666
2009-09-15	ST09566	Status - satt av OD	Under behandling	7146	6667
2009-09-14	AX0901	Melding - endringsmelding	\N	7145	6668
2009-09-14	ST09001	Melding - ukemelding	\N	7010	6669
2009-09-14	MC2D-CR2009	Melding - ukemelding	\N	7130	6670
2009-09-14	CE0901	Melding - ukemelding	\N	7121	6671
2009-09-14	EM0109	Melding - endringsmelding	\N	7091	6672
2009-09-14	FMC0903	Melding - ukemelding	\N	7095	6673
2009-09-14	MNR09	Melding - ukemelding	\N	7001	6674
2009-09-14	ST09323	Melding - oppstartsmelding	\N	7134	6675
2009-09-14	CGGV0903	Melding - ukemelding	\N	7037	6676
2009-09-14	DN0906	Melding - sluttmelding	\N	7083	6677
2009-09-14	CGGV0903	Status - satt av OD	Pause	7037	6678
2009-09-14	DN0906	Status - satt av OD	Ferdig	7083	6679
2009-09-14	ST09323	Status - satt av OD	Pågående	7134	6680
2009-09-11	CE0902	Melding - ukemelding	\N	7122	6681
2009-09-11	TO-EM0901	Melding - oppstartsmelding	\N	7097	6682
2009-09-11	SH0903	Melding - endringsmelding	\N	7102	6683
2009-09-11	CP0902	Melding - endringsmelding	\N	7131	6684
2009-09-11	AX0901	Status - satt av OD	Under behandling	7145	6685
2009-09-11	EN0901	Status - satt av OD	Pågående	7070	6686
2009-09-11	TO-EM0901	Status - satt av OD	Pågående	7097	6687
2009-09-10	TGS0901	Melding - ukemelding	\N	7060	6688
2009-09-10	TGS0901	Melding - ukemelding	\N	7060	6689
2009-09-10	ST09005	Melding - sluttmelding	\N	7126	6690
2009-09-10	EM0209	Melding - endringsmelding	\N	7114	6691
2009-09-10	EM0109	Melding - endringsmelding	\N	7091	6692
2009-09-10	MC2D-CR2009	Melding - endringsmelding	\N	7130	6693
2009-09-10	ST09005	Status - satt av OD	Ferdig	7126	6694
2009-09-09	ST09321	Melding - sluttmelding	\N	7099	6695
2009-09-09	GDF0901	Melding - endringsmelding	\N	7127	6696
2009-09-09	CE0901	Melding - endringsmelding	\N	7121	6697
2009-09-09	ST09321	Status - satt av OD	Ferdig	7099	6698
2009-09-08	EM0209	Melding - ukemelding	\N	7114	6699
2009-09-08	EM0109	Melding - ukemelding	\N	7091	6700
2009-09-08	SH0905EM	Melding - sluttmelding	\N	7140	6701
2009-09-08	SH0903	Melding - ukemelding	\N	7102	6702
2009-09-08	DP0910	Melding - ukemelding	\N	7116	6703
2009-09-08	WG0901	Melding - ukemelding	\N	7057	6704
2009-09-08	SH0905EM	Status - satt av OD	Ferdig	7140	6705
2009-09-07	EN0901	Melding - ukemelding	\N	7070	6706
2009-09-07	ST09005	Melding - ukemelding	\N	7126	6707
2009-09-07	ST09001	Melding - ukemelding	\N	7010	6708
2009-09-07	TGS0902	Melding - ukemelding	\N	7073	6709
2009-09-07	EN0901	Melding - endringsmelding	\N	7070	6710
2009-09-07	CE0901	Melding - ukemelding	\N	7121	6711
2009-09-07	CVX0901	Melding - sluttmelding	\N	7106	6712
2009-09-07	CVX0901	Melding - ukemelding	\N	7106	6713
2009-09-07	CE0901	Status - satt av OD	Pause	7121	6714
2009-09-07	CVX0901	Status - satt av OD	Ferdig	7106	6715
2009-09-07	DN0912	Status - satt av OD	Planlagt	7139	6716
2009-09-07	VNG0902	Status - satt av OD	Planlagt	7136	6717
2009-09-04	MCG0901	Melding - ukemelding	\N	7075	6718
2009-09-04	MCG0901	Melding - ukemelding	\N	7075	6719
2009-09-04	MCG0901	Melding - ukemelding	\N	7075	6720
2009-09-04	MCG0901	Melding - sluttmelding	\N	7075	6721
2009-09-04	FMC0903	Melding - endringsmelding	\N	7095	6722
2009-09-04	MNR09	Melding - endringsmelding	\N	7001	6723
2009-09-04	ST09005	Melding - endringsmelding	\N	7126	6724
2009-09-04	ST09001	Melding - endringsmelding	\N	7010	6725
2009-09-04	MCG0901	Melding - ukemelding	\N	7075	6726
2009-09-04	FMCS0907	Melding - endringsmelding	\N	7110	6727
2009-09-04	TGS0901	Melding - endringsmelding	\N	7060	6728
2009-09-04	CE0902	Melding - oppstartsmelding	\N	7122	6729
2009-09-04	CGGV0903	Melding - ukemelding	\N	7037	6730
2009-09-04	CGGV0902	Melding - ukemelding	\N	7036	6731
2009-09-04	DN0906	Melding - oppstartsmelding	\N	7083	6732
2009-09-04	CGGV0902	Melding - sluttmelding	\N	7036	6733
2009-09-04	DN0907	Melding - sluttmelding	\N	7084	6734
2009-09-04	CE0902	Status - satt av OD	Pågående	7122	6735
2009-09-04	CGGV0902	Status - satt av OD	Ferdig	7036	6736
2009-09-04	CP0902	Status - satt av OD	Planlagt	7131	6737
2009-09-04	DN0906	Status - satt av OD	Pågående	7083	6738
2009-09-04	DN0907	Status - satt av OD	Ferdig	7084	6739
2009-09-04	EN0901	Status - satt av OD	Pause	7070	6740
2009-09-04	EN0902	Status - satt av OD	Under behandling	7144	6741
2009-09-04	FMCS0907	Status - satt av OD	Pause	7110	6742
2009-09-04	ST09327	Status - satt av OD	Under behandling	7142	6743
2009-09-04	ST09328	Status - satt av OD	Under behandling	7143	6744
2009-09-02	ST09302	Melding - oppstartsmelding	\N	7021	6745
2009-09-02	TO-EM0901	Melding - endringsmelding	\N	7097	6746
2009-09-02	MNR09	Melding - endringsmelding	\N	7001	6747
2009-09-02	EM0209	Melding - ukemelding	\N	7114	6748
2009-09-02	WG0901	Melding - ukemelding	\N	7057	6749
2009-09-02	CE0901	Melding - endringsmelding	\N	7121	6750
2009-09-02	ST09323	Melding - endringsmelding	\N	7134	6751
2009-09-02	CVX0902	Status - satt av OD	Planlagt	7133	6752
2009-09-02	GDF0901	Status - satt av OD	Planlagt	7127	6753
2009-09-02	GDF0901	Status - satt av OD	Pågående	7127	6754
2009-09-02	ST09323	Status - satt av OD	Planlagt	7134	6755
2009-09-01	DN0906	Melding - endringsmelding	\N	7083	6756
2009-09-01	TO-EM0901	Melding - endringsmelding	\N	7097	6757
2009-09-01	EM0109	Melding - endringsmelding	\N	7091	6758
2009-09-01	TGS0902	Melding - ukemelding	\N	7073	6759
2009-09-01	ST09321	Melding - ukemelding	\N	7099	6760
2009-09-01	EM0109	Melding - ukemelding	\N	7091	6761
2009-09-01	DN0907	Melding - ukemelding	\N	7084	6762
2009-09-01	DP0910	Melding - ukemelding	\N	7116	6763
2009-09-01	MCG0901	Status - satt av OD	Ferdig	7075	6764
2009-09-01	NX904	Status - satt av OD	Planlagt	7135	6765
2009-08-31	ST09005	Melding - ukemelding	\N	7126	6766
2009-08-31	MC2D-CR2009	Melding - ukemelding	\N	7130	6767
2009-08-31	MC2D-CR2009	Melding - ukemelding	\N	7130	6768
2009-08-31	EN0901	Melding - ukemelding	\N	7070	6769
2009-08-31	FMC0903	Melding - ukemelding	\N	7095	6770
2009-08-31	FMCS0907	Melding - ukemelding	\N	7110	6771
2009-08-31	MNR09	Melding - ukemelding	\N	7001	6772
2009-08-31	ST09001	Melding - ukemelding	\N	7010	6773
2009-08-31	SH0903	Melding - ukemelding	\N	7102	6774
2009-08-31	CVX0901	Melding - ukemelding	\N	7106	6775
2009-08-31	CE0901	Melding - ukemelding	\N	7121	6776
2009-08-31	BG0905	Status - satt av OD	Planlagt	7132	6777
2009-08-28	EM0209	Melding - endringsmelding	\N	7114	6778
2009-08-28	BG0904	Status - satt av OD	Ferdig	7074	6779
2009-08-27	CP0902	Melding - endringsmelding	\N	7131	6780
2009-08-27	CVX0902	Melding - endringsmelding	\N	7133	6781
2009-08-27	ST09005	Melding - endringsmelding	\N	7126	6782
2009-08-27	CVX0902	Melding - endringsmelding	\N	7133	6783
2009-08-26	CP0902	Melding - endringsmelding	\N	7131	6784
2009-08-26	TGS0901	Melding - ukemelding	\N	7060	6785
2009-08-26	ST09005	Melding - endringsmelding	\N	7126	6786
2009-08-26	SH0905EM	Melding - oppstartsmelding	\N	7140	6787
2009-08-26	TGS0902	Melding - ukemelding	\N	7073	6788
2009-08-26	DN0907	Melding - ukemelding	\N	7084	6789
2009-08-26	EM0109	Melding - ukemelding	\N	7091	6790
2009-08-26	EM0209	Melding - ukemelding	\N	7114	6791
2009-08-26	ST09005	Melding - ukemelding	\N	7126	6792
2009-08-26	CE0902	Melding - endringsmelding	\N	7122	6793
2009-08-26	GDF0901	Melding - endringsmelding	\N	7127	6794
2009-08-26	CVX0901	Melding - ukemelding	\N	7106	6795
2009-08-26	CGGV0903	Status - satt av OD	Pågående	7037	6796
2009-08-26	CP0902	Status - satt av OD	Planlagt	7131	6797
2009-08-26	CP0902	Status - satt av OD	Under behandling	7131	6798
2009-08-26	GDF0901	Status - satt av OD	Planlagt	7127	6799
2009-08-26	GDF0901	Status - satt av OD	Planlagt	7127	6800
2009-08-26	GDF0901	Status - satt av OD	Planlagt	7127	6801
2009-08-26	GDF0901	Status - satt av OD	Pågående	7127	6802
2009-08-26	GDF0901	Status - satt av OD	Pause	7127	6803
2009-08-26	SH0905EM	Status - satt av OD	Pågående	7140	6804
2009-08-25	EN0901	Melding - ukemelding	\N	7070	6805
2009-08-25	FMC0903	Melding - ukemelding	\N	7095	6806
2009-08-25	ST09001	Melding - ukemelding	\N	7010	6807
2009-08-25	MNR09	Melding - ukemelding	\N	7001	6808
2009-08-24	CE0901	Melding - ukemelding	\N	7121	6809
2009-08-24	FMCS0907	Melding - oppstartsmelding	\N	7110	6810
2009-08-24	FMCS0907	Melding - endringsmelding	\N	7110	6811
2009-08-24	FMC0903	Melding - endringsmelding	\N	7095	6812
2009-08-24	MCG0901	Melding - ukemelding	\N	7075	6813
2009-08-24	SH0903	Melding - ukemelding	\N	7102	6814
2009-08-24	WG0901	Melding - ukemelding	\N	7057	6815
2009-08-24	DP0910	Melding - ukemelding	\N	7116	6816
2009-08-24	CGGV0903	Melding - oppstartsmelding	\N	7037	6817
2009-08-24	CGGV0903	Status - satt av OD	Pågående	7037	6818
2009-08-24	CGGV0903	Status - satt av OD	Pause	7037	6819
2009-08-24	FMCS0907	Status - satt av OD	Pågående	7110	6820
2009-08-24	SH0905EM	Status - satt av OD	Planlagt	7140	6821
2009-08-21	CGGV0903	Melding - endringsmelding	\N	7037	6822
2009-08-21	MC2D-CR2009	Melding - ukemelding	\N	7130	6823
2009-08-21	TGS0902	Melding - endringsmelding	\N	7073	6824
2009-08-21	ST09321	Melding - endringsmelding	\N	7099	6825
2009-08-21	CGGV0902	Status - satt av OD	Pågående	7036	6826
2009-08-20	DN0912	Melding - endringsmelding	\N	7139	6827
2009-08-20	CE0901	Melding - oppstartsmelding	\N	7121	6828
2009-08-20	ST09321	Melding - oppstartsmelding	\N	7099	6829
2009-08-20	ST09322	Melding - sluttmelding	\N	7111	6830
2009-08-20	ST09313	Melding - sluttmelding	\N	7027	6831
2009-08-20	EMGS 0906	Melding - sluttmelding	\N	7117	6832
2009-08-20	GDF0901	Melding - endringsmelding	\N	7127	6833
2009-08-20	CE0901	Status - satt av OD	Pågående	7121	6834
2009-08-20	SH0905EM	Status - satt av OD	Under behandling	7140	6835
2009-08-20	ST09321	Status - satt av OD	Pågående	7099	6836
2009-08-20	ST09322	Status - satt av OD	Ferdig	7111	6837
2009-08-20	ST09458	Status - satt av OD	Ferdig	7125	6838
2009-08-19	CGGV0902	Melding - oppstartsmelding	\N	7036	6839
2009-08-19	DN0907	Melding - oppstartsmelding	\N	7084	6840
2009-08-19	TGS0901	Melding - endringsmelding	\N	7060	6841
2009-08-19	EM0209	Melding - ukemelding	\N	7114	6842
2009-08-19	EM0109	Melding - ukemelding	\N	7091	6843
2009-08-19	TGS0902	Melding - ukemelding	\N	7073	6844
2009-08-19	TGS0901	Melding - ukemelding	\N	7060	6845
2009-08-19	DN0907	Status - satt av OD	Pågående	7084	6846
2009-08-19	DN0912	Status - satt av OD	Under behandling	7139	6847
2009-08-18	PGS0903	Melding - sluttmelding	\N	7056	6848
2009-08-18	EN0901	Melding - ukemelding	\N	7070	6849
2009-08-18	BG0904	Melding - ukemelding	\N	7074	6850
2009-08-18	EMGS 0906	Status - satt av OD	Ferdig	7117	6851
2009-08-18	PGS0903	Status - satt av OD	Ferdig	7056	6852
2009-08-18	ST09313	Status - satt av OD	Ferdig	7027	6853
2009-08-17	ST09001	Melding - ukemelding	\N	7010	6854
2009-08-17	DN0907	Melding - endringsmelding	\N	7084	6855
2009-08-17	DN0906	Melding - endringsmelding	\N	7083	6856
2009-08-17	MCG0901	Melding - ukemelding	\N	7075	6857
2009-08-17	WG0901	Melding - ukemelding	\N	7057	6858
2009-08-17	ST09322	Melding - ukemelding	\N	7111	6859
2009-08-17	FMC0903	Melding - ukemelding	\N	7095	6860
2009-08-17	MNR09	Melding - ukemelding	\N	7001	6861
2009-08-17	SH0903	Melding - ukemelding	\N	7102	6862
2009-08-17	EM0209	Melding - endringsmelding	\N	7114	6863
2009-08-17	CVX0901	Melding - oppstartsmelding	\N	7106	6864
2009-08-17	DN0909	Melding - sluttmelding	\N	7105	6865
2009-08-17	ST09005	Melding - oppstartsmelding	\N	7126	6866
2009-08-17	CVX0901	Status - satt av OD	Pågående	7106	6867
2009-08-17	DN0909	Status - satt av OD	Ferdig	7105	6868
2009-08-17	VNG0902	Status - satt av OD	Under behandling	7136	6869
2009-08-14	CGGV0902	Melding - endringsmelding	\N	7036	6870
2009-08-14	DN0909	Melding - ukemelding	\N	7105	6871
2009-08-14	TGS0901	Melding - endringsmelding	\N	7060	6872
2009-08-14	ST09002	Melding - sluttmelding	\N	7072	6873
2009-08-14	ST09002	Melding - ukemelding	\N	7072	6874
2009-08-14	DP0910	Melding - oppstartsmelding	\N	7116	6875
2009-08-14	DP0910	Status - satt av OD	Pågående	7116	6876
2009-08-14	ST09005	Status - satt av OD	Pågående	7126	6877
2009-08-13	ST09005	Melding - endringsmelding	\N	7126	6878
2009-08-13	EM0209	Status - satt av OD	Pågående	7114	6879
2009-08-13	ST09002	Status - satt av OD	Ferdig	7072	6880
2009-08-12	TGS0902	Melding - ukemelding	\N	7073	6881
2009-08-12	TGS0901	Melding - ukemelding	\N	7060	6882
2009-08-12	ST09001	Melding - endringsmelding	\N	7010	6883
2009-08-12	EM0209	Melding - oppstartsmelding	\N	7114	6884
2009-08-12	MC2D-CR2009	Melding - oppstartsmelding	\N	7130	6885
2009-08-12	MC2D-CR2009	Melding - endringsmelding	\N	7130	6886
2009-08-12	MC2D-CR2009	Melding - endringsmelding	\N	7130	6887
2009-08-12	MC2D-CR2009	Status - satt av OD	Pågående	7130	6888
2009-08-11	NX0903	Melding - sluttmelding	\N	7128	6889
2009-08-11	WG0901	Melding - endringsmelding	\N	7057	6890
2009-08-11	FMCS0907	Melding - endringsmelding	\N	7110	6891
2009-08-11	MCG0901	Melding - ukemelding	\N	7075	6892
2009-08-11	CE0902	Melding - endringsmelding	\N	7122	6893
2009-08-11	CE0901	Melding - endringsmelding	\N	7121	6894
2009-08-11	SH0902	Melding - ukemelding	\N	7039	6895
2009-08-11	SH0903	Melding - oppstartsmelding	\N	7102	6896
2009-08-11	SH0903	Melding - ukemelding	\N	7102	6897
2009-08-11	MC2D-CR2009	Status - satt av OD	Planlagt	7130	6898
2009-08-11	NX0903	Status - satt av OD	Ferdig	7128	6899
2009-08-11	OD0902	Status - satt av OD	Ferdig	7076	6900
2009-08-11	SH0902	Status - satt av OD	Ferdig	7039	6901
2009-08-11	SH0903	Status - satt av OD	Pågående	7102	6902
2009-08-10	WG0901	Melding - ukemelding	\N	7057	6903
2009-08-10	ST09001	Melding - ukemelding	\N	7010	6904
2009-08-10	EN0901	Melding - ukemelding	\N	7070	6905
2009-08-10	FMCS0906	Melding - sluttmelding	\N	7108	6906
2009-08-10	FMCS0906	Melding - ukemelding	\N	7108	6907
2009-08-10	DP0909	Melding - sluttmelding	\N	7100	6908
2009-08-10	DP0909	Melding - ukemelding	\N	7100	6909
2009-08-10	FMC0903	Melding - ukemelding	\N	7095	6910
2009-08-10	BG0904	Melding - ukemelding	\N	7074	6911
2009-08-10	MNR09	Melding - ukemelding	\N	7001	6912
2009-08-10	EM0109	Melding - ukemelding	\N	7091	6913
2009-08-10	ST09322	Melding - ukemelding	\N	7111	6914
2009-08-10	DP0909	Melding - ukemelding	\N	7100	6915
2009-08-10	DP0909	Status - satt av OD	Ferdig	7100	6916
2009-08-10	FMCS0906	Status - satt av OD	Ferdig	7108	6917
2009-08-10	TO-EM0901	Status - satt av OD	Planlagt	7097	6918
2009-08-07	DN0909	Melding - endringsmelding	\N	7105	6919
2009-08-07	DN0909	Melding - ukemelding	\N	7105	6920
2009-08-07	EN0901	Melding - endringsmelding	\N	7070	6921
2009-08-07	ST09001	Melding - endringsmelding	\N	7010	6922
2009-08-07	DP0910	Melding - endringsmelding	\N	7116	6923
2009-08-07	CVX0901	Melding - endringsmelding	\N	7106	6924
2009-08-07	CVX0901	Status - satt av OD	Planlagt	7106	6925
2009-08-07	NX904	Status - satt av OD	Under behandling	7135	6926
2009-08-07	ST09323	Status - satt av OD	Under behandling	7134	6927
2009-08-05	CGGV0903	Melding - ukemelding	\N	7037	6928
2009-08-05	FMCS0906	Melding - ukemelding	\N	7108	6929
2009-08-05	FMC0903	Melding - ukemelding	\N	7095	6930
2009-08-05	MNR09	Melding - ukemelding	\N	7001	6931
2009-08-05	CGGV0903	Status - satt av OD	Pause	7037	6932
2009-08-05	DP0910	Status - satt av OD	Planlagt	7116	6933
2009-08-04	TGS0901	Melding - ukemelding	\N	7060	6934
2009-08-04	EM0109	Melding - ukemelding	\N	7091	6935
2009-08-04	TGS0902	Melding - ukemelding	\N	7073	6936
2009-08-04	WG0901	Melding - ukemelding	\N	7057	6937
2009-08-04	FMCS0907	Melding - endringsmelding	\N	7110	6938
2009-08-04	OD0902	Melding - ukemelding	\N	7076	6939
2009-08-04	ST09001	Melding - ukemelding	\N	7010	6940
2009-08-04	ST09322	Melding - endringsmelding	\N	7111	6941
2009-08-04	CE0901	Melding - endringsmelding	\N	7121	6942
2009-08-04	CE0902	Melding - endringsmelding	\N	7122	6943
2009-08-04	SH0902	Melding - ukemelding	\N	7039	6944
2009-08-04	CVX0902	Status - satt av OD	Under behandling	7133	6945
2009-08-04	ST09322	Status - satt av OD	Pågående	7111	6946
2009-08-03	CVX0901	Melding - endringsmelding	\N	7106	6947
2009-08-03	ST09322	Melding - oppstartsmelding	\N	7111	6948
2009-08-03	ST09002	Melding - ukemelding	\N	7072	6949
2009-08-03	EN0901	Melding - ukemelding	\N	7070	6950
2009-08-03	BG0904	Melding - ukemelding	\N	7074	6951
2009-08-03	OD0901	Melding - sluttmelding	\N	7077	6952
2009-08-03	CGGV0902	Status - satt av OD	Pause	7036	6953
2009-08-03	OD0901	Status - satt av OD	Ferdig	7077	6954
2009-07-31	DN0909	Melding - ukemelding	\N	7105	6955
2009-07-31	DN0909	Melding - endringsmelding	\N	7105	6956
2009-07-31	DN0907	Melding - endringsmelding	\N	7084	6957
2009-07-31	DN0906	Melding - endringsmelding	\N	7083	6958
2009-07-31	BG0905	Status - satt av OD	Under behandling	7132	6959
2009-07-31	EMGS 0906	Status - satt av OD	Pågående	7117	6960
2009-07-30	ST09458	Melding - oppstartsmelding	\N	7125	6961
2009-07-30	ST09320	Melding - sluttmelding	\N	7096	6962
2009-07-30	ST09310	Melding - sluttmelding	\N	7025	6963
2009-07-30	NX0903	Melding - endringsmelding	\N	7128	6964
2009-07-30	NX0903	Melding - oppstartsmelding	\N	7128	6965
2009-07-30	CGGV0903	Melding - oppstartsmelding	\N	7037	6966
2009-07-30	EMGS 0906	Melding - oppstartsmelding	\N	7117	6967
2009-07-30	NX0903	Status - satt av OD	Pågående	7128	6968
2009-07-30	NX0903	Status - satt av OD	Pågående	7128	6969
2009-07-30	ST09310	Status - satt av OD	Ferdig	7025	6970
2009-07-30	ST09320	Status - satt av OD	Ferdig	7096	6971
2009-07-30	ST09458	Status - satt av OD	Pågående	7125	6972
2009-07-29	DP0908	Melding - endringsmelding	\N	7052	6973
2009-07-29	TO-EM0901	Melding - endringsmelding	\N	7097	6974
2009-07-29	CGGV0902	Status - satt av OD	Pågående	7036	6975
2009-07-29	CGGV0903	Status - satt av OD	Pågående	7037	6976
2009-07-29	CP0902	Status - satt av OD	Under behandling	7131	6977
2009-07-28	TGS0901	Melding - ukemelding	\N	7060	6978
2009-07-28	EM0109	Melding - ukemelding	\N	7091	6979
2009-07-28	ST09001	Melding - ukemelding	\N	7010	6980
2009-07-28	WG0901	Melding - ukemelding	\N	7057	6981
2009-07-28	FMCS0906	Melding - ukemelding	\N	7108	6982
2009-07-28	TGS0902	Melding - ukemelding	\N	7073	6983
2009-07-28	FMC0903	Melding - ukemelding	\N	7095	6984
2009-07-28	EN0901	Melding - ukemelding	\N	7070	6985
2009-07-28	ST09002	Melding - ukemelding	\N	7072	6986
2009-07-28	MNR09	Melding - ukemelding	\N	7001	6987
2009-07-28	ST09310	Melding - ukemelding	\N	7025	6988
2009-07-28	ST09320	Melding - ukemelding	\N	7096	6989
2009-07-27	SH0902	Melding - oppstartsmelding	\N	7039	6990
2009-07-27	OD0902	Melding - ukemelding	\N	7076	6991
2009-07-27	DP0905	Melding - sluttmelding	\N	7049	6992
2009-07-27	DP0908	Melding - sluttmelding	\N	7052	6993
2009-07-27	DP0909	Melding - ukemelding	\N	7100	6994
2009-07-27	DP0905	Melding - ukemelding	\N	7049	6995
2009-07-27	DP0908	Melding - ukemelding	\N	7052	6996
2009-07-27	BG0904	Melding - ukemelding	\N	7074	6997
2009-07-27	EO0901	Melding - sluttmelding	\N	7087	6998
2009-07-27	DP0905	Status - satt av OD	Ferdig	7049	6999
2009-07-27	DP0908	Status - satt av OD	Ferdig	7052	7000
2009-07-27	EO0901	Status - satt av OD	Ferdig	7087	7001
2009-07-27	SH0901	Status - satt av OD	Ferdig	7038	7002
2009-07-27	SH0902	Status - satt av OD	Pågående	7039	7003
2009-07-24	RD0902	Melding - sluttmelding	\N	7093	7004
2009-07-24	DN0909	Melding - ukemelding	\N	7105	7005
2009-07-24	EMGS 0906	Melding - endringsmelding	\N	7117	7006
2009-07-24	LOTUS0901	Melding - sluttmelding	\N	7101	7007
2009-07-24	LOTUS0901	Melding - sluttmelding	\N	7101	7008
2009-07-24	LOTUS0901	Status - satt av OD	Ferdig	7101	7009
2009-07-24	RD0902	Status - satt av OD	Ferdig	7093	7010
2009-07-23	ST09313	Melding - endringsmelding	\N	7027	7011
2009-07-23	ST09254	Melding - sluttmelding	\N	7098	7012
2009-07-23	WIN0902	Melding - sluttmelding	\N	7016	7013
2009-07-23	CGGV0902	Melding - oppstartsmelding	\N	7036	7014
2009-07-23	CGGV0902	Melding - endringsmelding	\N	7036	7015
2009-07-23	ST09320	Melding - oppstartsmelding	\N	7096	7016
2009-07-23	ST09254	Status - satt av OD	Ferdig	7098	7017
2009-07-23	ST09320	Status - satt av OD	Pågående	7096	7018
2009-07-23	WIN0902	Status - satt av OD	Ferdig	7016	7019
2009-07-22	ST09252	Melding - sluttmelding	\N	7088	7020
2009-07-22	TGS0902	Melding - ukemelding	\N	7073	7021
2009-07-22	CGGV0903	Melding - oppstartsmelding	\N	7037	7022
2009-07-22	CGGV0903	Melding - endringsmelding	\N	7037	7023
2009-07-22	EMGS 0906	Melding - endringsmelding	\N	7117	7024
2009-07-22	ST09002	Melding - endringsmelding	\N	7072	7025
2009-07-22	OD0901	Melding - oppstartsmelding	\N	7077	7026
2009-07-22	CGGV0902	Status - satt av OD	Pause	7036	7027
2009-07-22	DN0910	Status - satt av OD	Planlagt	7109	7028
2009-07-22	MC2D-CR2009	Status - satt av OD	Under behandling	7130	7029
2009-07-22	ST09252	Status - satt av OD	Ferdig	7088	7030
2009-07-21	FMCS0906	Melding - endringsmelding	\N	7108	7031
2009-07-21	FMC0903	Melding - ukemelding	\N	7095	7032
2009-07-21	MCG0901	Melding - ukemelding	\N	7075	7033
2009-07-21	SH0901	Melding - endringsmelding	\N	7038	7034
2009-07-21	EM0209	Melding - endringsmelding	\N	7114	7035
2009-07-21	EM0109	Melding - ukemelding	\N	7091	7036
2009-07-21	ST09310	Melding - ukemelding	\N	7025	7037
2009-07-21	ST09001	Melding - ukemelding	\N	7010	7038
2009-07-21	OD0902	Melding - ukemelding	\N	7076	7039
2009-07-21	MNR09	Melding - ukemelding	\N	7001	7040
2009-07-21	EO0901	Melding - ukemelding	\N	7087	7041
2009-07-21	BG0904	Melding - ukemelding	\N	7074	7042
2009-07-20	SH0901	Melding - ukemelding	\N	7038	7043
2009-07-20	EN0901	Melding - ukemelding	\N	7070	7044
2009-07-20	ST09002	Melding - ukemelding	\N	7072	7045
2009-07-20	WG0901	Melding - ukemelding	\N	7057	7046
2009-07-20	PGS0903	Melding - ukemelding	\N	7056	7047
2009-07-20	ST09252	Melding - ukemelding	\N	7088	7048
2009-07-20	DP0908	Melding - ukemelding	\N	7052	7049
2009-07-20	DP0909	Melding - ukemelding	\N	7100	7050
2009-07-20	DP0905	Melding - ukemelding	\N	7049	7051
2009-07-20	DP0906	Melding - ukemelding	\N	7050	7052
2009-07-20	DN0904	Melding - sluttmelding	\N	7062	7053
2009-07-20	DP0906	Melding - sluttmelding	\N	7050	7054
2009-07-20	DN0902	Melding - sluttmelding	\N	7044	7055
2009-07-20	WIN0902	Melding - ukemelding	\N	7016	7056
2009-07-20	DN0902	Status - satt av OD	Ferdig	7044	7057
2009-07-20	DN0904	Status - satt av OD	Ferdig	7062	7058
2009-07-20	DP0906	Status - satt av OD	Ferdig	7050	7059
2009-07-20	OD0901	Status - satt av OD	Pågående	7077	7060
2009-07-20	SH0901	Status - satt av OD	Pågående	7038	7061
2009-07-19	MC3D-SBS2009	Melding - sluttmelding	\N	7008	7062
2009-07-19	ST09307	Melding - sluttmelding	\N	7023	7063
2009-07-19	ST09454	Melding - sluttmelding	\N	7089	7064
2009-07-19	FMCS0906	Melding - oppstartsmelding	\N	7108	7065
2009-07-19	LOTUS0901	Melding - ukemelding	\N	7101	7066
2009-07-19	RD0902	Melding - ukemelding	\N	7093	7067
2009-07-19	NX0902	Melding - sluttmelding	\N	7006	7068
2009-07-19	EM0209	Status - satt av OD	Planlagt	7114	7069
2009-07-19	FMCS0906	Status - satt av OD	Pågående	7108	7070
2009-07-19	NX0902	Status - satt av OD	Ferdig	7006	7071
2009-07-19	NX0903	Status - satt av OD	Under behandling	7128	7072
2009-07-19	ST09307	Status - satt av OD	Ferdig	7023	7073
2009-07-19	ST09322	Status - satt av OD	Planlagt	7111	7074
2009-07-19	ST09454	Status - satt av OD	Ferdig	7089	7075
2009-07-19	ST09456	Status - satt av OD	Planlagt	7120	7076
2009-07-19	ST09457	Status - satt av OD	Planlagt	7123	7077
2009-07-19	ST09458	Status - satt av OD	Planlagt	7125	7078
2009-07-19	ST09458B	Status - satt av OD	Planlagt	7124	7079
2009-07-17	SH0903	Melding - endringsmelding	\N	7102	7080
2009-07-17	DN0909	Melding - ukemelding	\N	7105	7081
2009-07-17	DN0904	Melding - ukemelding	\N	7062	7082
2009-07-17	ST09002	Melding - oppstartsmelding	\N	7072	7083
2009-07-17	PGS0902	Melding - sluttmelding	\N	7055	7084
2009-07-17	DP0909	Status - satt av OD	Pågående	7100	7085
2009-07-17	MC3D-SBS2009	Status - satt av OD	Ferdig	7008	7086
2009-07-17	PGS0902	Status - satt av OD	Ferdig	7055	7087
2009-07-17	ST09002	Status - satt av OD	Pågående	7072	7088
2009-07-16	CE0901	Status - satt av OD	Planlagt	7121	7089
2009-07-16	CE0902	Status - satt av OD	Planlagt	7122	7090
2009-07-16	GDF0901	Status - satt av OD	Under behandling	7127	7091
2009-07-15	RD0902	Melding - oppstartsmelding	\N	7093	7092
2009-07-15	RD0901	Melding - sluttmelding	\N	7092	7093
2009-07-15	CGGV0902	Status - satt av OD	Planlagt	7036	7094
2009-07-15	EMGS 0906	Status - satt av OD	Planlagt	7117	7095
2009-07-15	RD0901	Status - satt av OD	Ferdig	7092	7096
2009-07-15	RD0902	Status - satt av OD	Pågående	7093	7097
2009-07-15	SH0901	Status - satt av OD	Ferdig	7038	7098
2009-07-15	ST09005	Status - satt av OD	Under behandling	7126	7099
2009-07-14	FMCS0906	Melding - endringsmelding	\N	7108	7100
2009-07-14	EO0901	Melding - ukemelding	\N	7087	7101
2009-07-14	ST09001	Melding - ukemelding	\N	7010	7102
2009-07-14	EM0109	Melding - ukemelding	\N	7091	7103
2009-07-14	LOTUS0901	Melding - oppstartsmelding	\N	7101	7104
2009-07-14	SH0901	Melding - ukemelding	\N	7038	7105
2009-07-14	EN0901	Melding - ukemelding	\N	7070	7106
2009-07-14	EN0901	Melding - ukemelding	\N	7070	7107
2009-07-14	EN0901	Melding - ukemelding	\N	7070	7108
2009-07-14	EN0901	Melding - ukemelding	\N	7070	7109
2009-07-14	FMCS0907	Status - satt av OD	Planlagt	7110	7110
2009-07-14	ST09458	Status - satt av OD	Under behandling	7125	7111
2009-07-14	ST09458B	Status - satt av OD	Under behandling	7124	7112
2009-07-13	MNR09	Melding - ukemelding	\N	7001	7113
2009-07-13	EN0901	Melding - ukemelding	\N	7070	7114
2009-07-13	FMC0903	Melding - ukemelding	\N	7095	7115
2009-07-13	WG0901	Melding - ukemelding	\N	7057	7116
2009-07-13	PGS0903	Melding - ukemelding	\N	7056	7117
2009-07-13	ST09310	Melding - ukemelding	\N	7025	7118
2009-07-13	ST09307	Melding - ukemelding	\N	7023	7119
2009-07-13	ST09253	Melding - sluttmelding	\N	7078	7120
2009-07-13	ST09253	Melding - ukemelding	\N	7078	7121
2009-07-13	BG0904	Melding - ukemelding	\N	7074	7122
2009-07-13	PGS0902	Melding - ukemelding	\N	7055	7123
2009-07-13	ST09251	Melding - ukemelding	\N	7065	7124
2009-07-13	ST09251	Melding - ukemelding	\N	7065	7125
2009-07-13	ST09251	Melding - sluttmelding	\N	7065	7126
2009-07-13	ST09453	Melding - sluttmelding	\N	7080	7127
2009-07-13	WIN0902	Melding - oppstartsmelding	\N	7016	7128
2009-07-13	ST09454	Melding - oppstartsmelding	\N	7089	7129
2009-07-13	ST09254	Melding - oppstartsmelding	\N	7098	7130
2009-07-13	ST09252	Melding - oppstartsmelding	\N	7088	7131
2009-07-13	DP0905	Melding - ukemelding	\N	7049	7132
2009-07-13	DP0906	Melding - ukemelding	\N	7050	7133
2009-07-13	DN0906	Melding - endringsmelding	\N	7083	7134
2009-07-13	DN0907	Melding - endringsmelding	\N	7084	7135
2009-07-13	CE0901	Status - satt av OD	Under behandling	7121	7136
2009-07-13	CE0902	Status - satt av OD	Under behandling	7122	7137
2009-07-13	FMCS0906	Status - satt av OD	Planlagt	7108	7138
2009-07-13	ST09252	Status - satt av OD	Pågående	7088	7139
2009-07-13	ST09253	Status - satt av OD	Ferdig	7078	7140
2009-07-13	ST09254	Status - satt av OD	Pågående	7098	7141
2009-07-13	ST09453	Status - satt av OD	Ferdig	7080	7142
2009-07-13	ST09454	Status - satt av OD	Pågående	7089	7143
2009-07-13	ST09457	Status - satt av OD	Under behandling	7123	7144
2009-07-13	WIN0902	Status - satt av OD	Pågående	7016	7145
2009-07-10	FMCS0906	Melding - endringsmelding	\N	7108	7146
2009-07-10	NSR09 VG	Melding - endringsmelding	\N	7104	7147
2009-07-10	NSR09 VG	Melding - oppstartsmelding	\N	7104	7148
2009-07-10	TGS0902	Melding - endringsmelding	\N	7073	7149
2009-07-10	RD0901	Melding - ukemelding	\N	7092	7150
2009-07-10	DN0904	Melding - ukemelding	\N	7062	7151
2009-07-10	DN0909	Melding - ukemelding	\N	7105	7152
2009-07-10	OD0902	Melding - ukemelding	\N	7076	7153
2009-07-10	DP0910	Melding - endringsmelding	\N	7116	7154
2009-07-10	MCG0901	Melding - oppstartsmelding	\N	7075	7155
2009-07-10	DP0908	Status - satt av OD	Pågående	7052	7156
2009-07-10	LOTUS0901	Status - satt av OD	Pågående	7101	7157
2009-07-10	MCG0901	Status - satt av OD	Pågående	7075	7158
2009-07-10	NSR09 VG	Status - satt av OD	Pågående	7104	7159
2009-07-10	ST09251	Status - satt av OD	Ferdig	7065	7160
2009-07-10	ST09456	Status - satt av OD	Under behandling	7120	7161
2009-07-09	ST09320	Melding - endringsmelding	\N	7096	7162
2009-07-09	DP0909	Melding - oppstartsmelding	\N	7100	7163
2009-07-09	DP0908	Melding - oppstartsmelding	\N	7052	7164
2009-07-09	EM0209	Melding - endringsmelding	\N	7114	7165
2009-07-09	EN0901	Melding - endringsmelding	\N	7070	7166
2009-07-09	DP0910	Status - satt av OD	Under behandling	7116	7167
2009-07-09	EMGS 0906	Status - satt av OD	Under behandling	7117	7168
2009-07-08	EM0209	Melding - endringsmelding	\N	7114	7169
2009-07-08	EM0109	Status - satt av OD	Pågående	7091	7170
2009-07-07	ST09254	Melding - endringsmelding	\N	7098	7171
2009-07-07	TGS0902	Melding - ukemelding	\N	7073	7172
2009-07-07	ST09310	Melding - endringsmelding	\N	7025	7173
2009-07-07	ST09001	Melding - oppstartsmelding	\N	7010	7174
2009-07-07	TGS0901	Melding - ukemelding	\N	7060	7175
2009-07-07	ST09252	Melding - endringsmelding	\N	7088	7176
2009-07-07	ST09307	Melding - oppstartsmelding	\N	7023	7177
2009-07-07	EM0109	Melding - oppstartsmelding	\N	7091	7178
2009-07-07	EM0109	Melding - endringsmelding	\N	7091	7179
2009-07-07	LOTUS0901	Melding - endringsmelding	\N	7101	7180
2009-07-07	NX0901	Melding - sluttmelding	\N	7005	7181
2009-07-07	NX0902	Melding - ukemelding	\N	7006	7182
2009-07-07	ST09001	Melding - ukemelding	\N	7010	7183
2009-07-07	ST09319	Melding - sluttmelding	\N	7094	7184
2009-07-07	ST09319	Melding - oppstartsmelding	\N	7094	7185
2009-07-07	PGS0903	Melding - ukemelding	\N	7056	7186
2009-07-07	PGS0902	Melding - ukemelding	\N	7055	7187
2009-07-07	ST09310	Melding - ukemelding	\N	7025	7188
2009-07-07	WG0901	Melding - ukemelding	\N	7057	7189
2009-07-07	MNR09	Melding - ukemelding	\N	7001	7190
2009-07-07	CGGV0902	Melding - endringsmelding	\N	7036	7191
2009-07-07	WIN0902	Melding - endringsmelding	\N	7016	7192
2009-07-07	EM0209	Status - satt av OD	Under behandling	7114	7193
2009-07-07	MCG0901	Status - satt av OD	Planlagt	7075	7194
2009-07-07	NX0901	Status - satt av OD	Ferdig	7005	7195
2009-07-07	ST09001	Status - satt av OD	Pågående	7010	7196
2009-07-07	ST09307	Status - satt av OD	Pågående	7023	7197
2009-07-07	ST09319	Status - satt av OD	Pågående	7094	7198
2009-07-07	ST09319	Status - satt av OD	Ferdig	7094	7199
2009-07-06	SH0901	Melding - ukemelding	\N	7038	7200
2009-07-06	LOTUS0901	Melding - endringsmelding	\N	7101	7201
2009-07-06	EO0901	Melding - oppstartsmelding	\N	7087	7202
2009-07-06	MCG0901	Melding - oppstartsmelding	\N	7075	7203
2009-07-06	BG0904	Melding - ukemelding	\N	7074	7204
2009-07-06	DP0906	Melding - ukemelding	\N	7050	7205
2009-07-06	DN0909	Melding - oppstartsmelding	\N	7105	7206
2009-07-06	ST09253	Melding - endringsmelding	\N	7078	7207
2009-07-06	ST09453	Melding - oppstartsmelding	\N	7080	7208
2009-07-06	RD0901	Melding - oppstartsmelding	\N	7092	7209
2009-07-06	ST09452	Melding - sluttmelding	\N	7071	7210
2009-07-06	DN0904	Melding - oppstartsmelding	\N	7062	7211
2009-07-06	DN0904	Status - satt av OD	Pågående	7062	7212
2009-07-06	DN0909	Status - satt av OD	Pågående	7105	7213
2009-07-06	DN0909	Status - satt av OD	Planlagt	7105	7214
2009-07-06	EO0901	Status - satt av OD	Pågående	7087	7215
2009-07-06	MCG0901	Status - satt av OD	Pågående	7075	7216
2009-07-06	RD0901	Status - satt av OD	Pågående	7092	7217
2009-07-06	ST09452	Status - satt av OD	Ferdig	7071	7218
2009-07-06	ST09453	Status - satt av OD	Pågående	7080	7219
2009-07-03	WG0901	Melding - endringsmelding	\N	7057	7220
2009-07-03	ST09253	Melding - oppstartsmelding	\N	7078	7221
2009-07-03	OD0902	Melding - ukemelding	\N	7076	7222
2009-07-03	ST09452	Melding - ukemelding	\N	7071	7223
2009-07-03	CGGV0902	Status - satt av OD	Pause	7036	7224
2009-07-03	ST09253	Status - satt av OD	Pågående	7078	7225
2009-07-02	DP0905	Melding - oppstartsmelding	\N	7049	7226
2009-07-02	SH0902	Melding - endringsmelding	\N	7039	7227
2009-07-02	DN0910	Melding - endringsmelding	\N	7109	7228
2009-07-02	TGS0901	Melding - ukemelding	\N	7060	7229
2009-07-02	TGS0902	Melding - ukemelding	\N	7073	7230
2009-07-02	Pierce09	Melding - sluttmelding	\N	7040	7231
2009-07-02	DP0905	Status - satt av OD	Pågående	7049	7232
2009-07-02	Pierce09	Status - satt av OD	Ferdig	7040	7233
2009-07-02	ST09322	Status - satt av OD	Under behandling	7111	7234
2009-07-01	MC3D-SBS2009	Melding - endringsmelding	\N	7008	7235
2009-07-01	BG0901	Melding - sluttmelding	\N	7041	7236
2009-07-01	SH0903	Melding - endringsmelding	\N	7102	7237
2009-07-01	SH0902	Melding - endringsmelding	\N	7039	7238
2009-07-01	SH0901	Melding - endringsmelding	\N	7038	7239
2009-07-01	NX0901	Melding - ukemelding	\N	7005	7240
2009-07-01	PGS0905	Melding - sluttmelding	\N	7085	7241
2009-07-01	PGS0905	Melding - ukemelding	\N	7085	7242
2009-07-01	BG0901	Status - satt av OD	Ferdig	7041	7243
2009-07-01	DN0904	Status - satt av OD	Planlagt	7062	7244
2009-07-01	DP0909	Status - satt av OD	Planlagt	7100	7245
2009-07-01	PGS0905	Status - satt av OD	Ferdig	7085	7246
2009-07-01	SH0903	Status - satt av OD	Planlagt	7102	7247
2009-07-01	SH0903	Status - satt av OD	Under behandling	7102	7248
2009-07-01	SH0903	Status - satt av OD	Planlagt	7102	7249
2009-07-01	ST09453	Status - satt av OD	Planlagt	7080	7250
2009-07-01	ST09454	Status - satt av OD	Planlagt	7089	7251
2009-06-30	PGS0902	Melding - ukemelding	\N	7055	7252
2009-06-30	MC3D-SBS2009	Melding - ukemelding	\N	7008	7253
2009-06-30	PGS0904	Melding - sluttmelding	\N	7069	7254
2009-06-30	PGS0904	Melding - ukemelding	\N	7069	7255
2009-06-30	MNR09	Melding - ukemelding	\N	7001	7256
2009-06-30	LN0956	Melding - sluttmelding	\N	7018	7257
2009-06-30	SH0901	Melding - ukemelding	\N	7038	7258
2009-06-30	DN0902	Melding - endringsmelding	\N	7044	7259
2009-06-30	Pierce09	Melding - ukemelding	\N	7040	7260
2009-06-30	WG0901	Melding - ukemelding	\N	7057	7261
2009-06-30	BG0904	Status - satt av OD	Pågående	7074	7262
2009-06-30	EO0901	Status - satt av OD	Planlagt	7087	7263
2009-06-30	LN0956	Status - satt av OD	Ferdig	7018	7264
2009-06-30	LOTUS0901	Status - satt av OD	Planlagt	7101	7265
2009-06-30	PGS0904	Status - satt av OD	Ferdig	7069	7266
2009-06-30	ST09320	Status - satt av OD	Planlagt	7096	7267
2009-06-30	ST09321	Status - satt av OD	Planlagt	7099	7268
2009-06-29	ST09310	Melding - ukemelding	\N	7025	7269
2009-06-29	BP083D004	Melding - sluttmelding	\N	7035	7270
2009-06-29	ST09307	Melding - endringsmelding	\N	7023	7271
2009-06-29	ST09319	Melding - endringsmelding	\N	7094	7272
2009-06-29	ST09313	Melding - ukemelding	\N	7027	7273
2009-06-29	BG0901	Melding - ukemelding	\N	7041	7274
2009-06-29	BG0903	Melding - sluttmelding	\N	7043	7275
2009-06-29	ST09251	Melding - ukemelding	\N	7065	7276
2009-06-29	DP0906	Melding - ukemelding	\N	7050	7277
2009-06-29	FMC0903	Melding - ukemelding	\N	7095	7278
2009-06-29	DN0904	Melding - endringsmelding	\N	7062	7279
2009-06-29	RD0901	Melding - endringsmelding	\N	7092	7280
2009-06-29	RD0902	Melding - endringsmelding	\N	7093	7281
2009-06-29	DN0909	Melding - endringsmelding	\N	7105	7282
2009-06-29	OD0902	Melding - oppstartsmelding	\N	7076	7283
2009-06-29	BG0903	Status - satt av OD	Ferdig	7043	7284
2009-06-29	BP083D004	Status - satt av OD	Ferdig	7035	7285
2009-06-29	DN0910	Status - satt av OD	Under behandling	7109	7286
2009-06-29	FMCS0906	Status - satt av OD	Under behandling	7108	7287
2009-06-29	FMCS0907	Status - satt av OD	Under behandling	7110	7288
2009-06-29	OD0902	Status - satt av OD	Pågående	7076	7289
2009-06-26	WIN0902	Melding - endringsmelding	\N	7016	7290
2009-06-26	BG0901	Melding - endringsmelding	\N	7041	7291
2009-06-26	ST09002	Melding - endringsmelding	\N	7072	7292
2009-06-26	EO0901	Melding - endringsmelding	\N	7087	7293
2009-06-26	ST09452	Melding - ukemelding	\N	7071	7294
2009-06-26	NSR09 VG	Status - satt av OD	Planlagt	7104	7295
2009-06-26	ST09252	Status - satt av OD	Planlagt	7088	7296
2009-06-26	ST09254	Status - satt av OD	Planlagt	7098	7297
2009-06-26	ST09319	Status - satt av OD	Planlagt	7094	7298
2009-06-25	MNR09	Melding - endringsmelding	\N	7001	7299
2009-06-25	ST09251	Melding - endringsmelding	\N	7065	7300
2009-06-25	WIN0904	Melding - sluttmelding	\N	7030	7301
2009-06-25	DG0901	Melding - sluttmelding	\N	7053	7302
2009-06-25	DG0901	Status - satt av OD	Ferdig	7053	7303
2009-06-25	PGS0903	Status - satt av OD	Pågående	7056	7304
2009-06-25	WIN0904	Status - satt av OD	Ferdig	7030	7305
2009-06-24	LN0956	Melding - oppstartsmelding	\N	7018	7306
2009-06-24	LN0955	Melding - sluttmelding	\N	7017	7307
2009-06-24	BG0904	Melding - oppstartsmelding	\N	7074	7308
2009-06-24	BG0904	Melding - endringsmelding	\N	7074	7309
2009-06-24	BG0903	Melding - ukemelding	\N	7043	7310
2009-06-24	BG0901	Melding - ukemelding	\N	7041	7311
2009-06-24	BG0902	Melding - sluttmelding	\N	7042	7312
2009-06-24	BG0901	Status - satt av OD	Pågående	7041	7313
2009-06-24	CVX0901	Status - satt av OD	Under behandling	7106	7314
2009-06-24	LN0955	Status - satt av OD	Ferdig	7017	7315
2009-06-24	LN0956	Status - satt av OD	Pågående	7018	7316
2009-06-23	DN0907	Melding - endringsmelding	\N	7084	7317
2009-06-23	DN0906	Melding - endringsmelding	\N	7083	7318
2009-06-23	PGS0903	Melding - oppstartsmelding	\N	7056	7319
2009-06-23	PGS0903	Melding - endringsmelding	\N	7056	7320
2009-06-23	ST09310	Melding - ukemelding	\N	7025	7321
2009-06-23	DN0902	Melding - ukemelding	\N	7044	7322
2009-06-23	ST09251	Melding - ukemelding	\N	7065	7323
2009-06-22	WG0901	Melding - ukemelding	\N	7057	7324
2009-06-22	DN0904	Melding - endringsmelding	\N	7062	7325
2009-06-22	DP0904	Melding - sluttmelding	\N	7048	7326
2009-06-22	PGS0902	Melding - ukemelding	\N	7055	7327
2009-06-22	MC3D-SBS2009	Melding - ukemelding	\N	7008	7328
2009-06-22	DP0904	Melding - ukemelding	\N	7048	7329
2009-06-22	FMC0903	Melding - ukemelding	\N	7095	7330
2009-06-22	MNR09	Melding - ukemelding	\N	7001	7331
2009-06-22	LN0902	Melding - sluttmelding	\N	7004	7332
2009-06-22	ST09313	Melding - ukemelding	\N	7027	7333
2009-06-22	DP0906	Melding - endringsmelding	\N	7050	7334
2009-06-22	DP0908	Melding - endringsmelding	\N	7052	7335
2009-06-22	TGS0902	Melding - ukemelding	\N	7073	7336
2009-06-22	TGS0901	Melding - ukemelding	\N	7060	7337
2009-06-22	DG0901	Melding - ukemelding	\N	7053	7338
2009-06-22	Pierce09	Melding - ukemelding	\N	7040	7339
2009-06-22	SH0901	Melding - oppstartsmelding	\N	7038	7340
2009-06-22	DN0909	Status - satt av OD	Under behandling	7105	7341
2009-06-22	DP0904	Status - satt av OD	Ferdig	7048	7342
2009-06-22	LN0902	Status - satt av OD	Ferdig	7004	7343
2009-06-22	NSR09 VG	Status - satt av OD	Under behandling	7104	7344
2009-06-22	SH0901	Status - satt av OD	Pågående	7038	7345
2009-06-19	RD0902	Melding - endringsmelding	\N	7093	7346
2009-06-19	RD0901	Melding - endringsmelding	\N	7092	7347
2009-06-19	SH0902	Melding - endringsmelding	\N	7039	7348
2009-06-19	DP0906	Melding - oppstartsmelding	\N	7050	7349
2009-06-19	WIN0903	Melding - sluttmelding	\N	7029	7350
2009-06-19	WIN0904	Melding - oppstartsmelding	\N	7030	7351
2009-06-19	LN0956	Melding - endringsmelding	\N	7018	7352
2009-06-19	LN0955	Melding - endringsmelding	\N	7017	7353
2009-06-19	LN0955	Melding - oppstartsmelding	\N	7017	7354
2009-06-19	DN0906	Status - satt av OD	Planlagt	7083	7355
2009-06-19	DP0906	Status - satt av OD	Pågående	7050	7356
2009-06-19	LN0955	Status - satt av OD	Pågående	7017	7357
2009-06-19	OD0901	Status - satt av OD	Planlagt	7077	7358
2009-06-19	OD0902	Status - satt av OD	Planlagt	7076	7359
2009-06-19	PGS0905	Status - satt av OD	Pågående	7085	7360
2009-06-19	SH0903	Status - satt av OD	Under behandling	7102	7361
2009-06-19	ST09452	Status - satt av OD	Pågående	7071	7362
2009-06-19	WIN0903	Status - satt av OD	Ferdig	7029	7363
2009-06-19	WIN0904	Status - satt av OD	Pågående	7030	7364
2009-06-18	EN0901	Melding - oppstartsmelding	\N	7070	7365
2009-06-18	PGS0905	Melding - oppstartsmelding	\N	7085	7366
2009-06-18	PGS0905	Melding - endringsmelding	\N	7085	7367
2009-06-18	DP0905	Melding - endringsmelding	\N	7049	7368
2009-06-18	WIN0901	Melding - sluttmelding	\N	7015	7369
2009-06-18	WIN0901	Melding - ukemelding	\N	7015	7370
2009-06-18	ST09310	Melding - endringsmelding	\N	7025	7371
2009-06-18	EM0109	Melding - endringsmelding	\N	7091	7372
2009-06-18	ST09001	Melding - endringsmelding	\N	7010	7373
2009-06-18	EN0901	Melding - endringsmelding	\N	7070	7374
2009-06-18	WIN0902	Melding - endringsmelding	\N	7016	7375
2009-06-18	BG0903	Melding - endringsmelding	\N	7043	7376
2009-06-18	ST09452	Melding - oppstartsmelding	\N	7071	7377
2009-06-18	DP0909	Status - satt av OD	Under behandling	7100	7378
2009-06-18	EN0901	Status - satt av OD	Pågående	7070	7379
2009-06-18	LN0956	Status - satt av OD	Planlagt	7018	7380
2009-06-18	LOTUS0901	Status - satt av OD	Under behandling	7101	7381
2009-06-18	ST09321	Status - satt av OD	Under behandling	7099	7382
2009-06-18	WIN0901	Status - satt av OD	Ferdig	7015	7383
2009-06-17	WIN0901	Melding - ukemelding	\N	7015	7384
2009-06-17	ST09318	Melding - sluttmelding	\N	7028	7385
2009-06-17	ST09312	Melding - sluttmelding	\N	7026	7386
2009-06-17	ST0893	Melding - sluttmelding	\N	7019	7387
2009-06-17	ST09318	Melding - oppstartsmelding	\N	7028	7388
2009-06-17	ST09313	Melding - oppstartsmelding	\N	7027	7389
2009-06-17	BG0902	Melding - ukemelding	\N	7042	7390
2009-06-17	BG0901	Melding - ukemelding	\N	7041	7391
2009-06-17	BG0903	Melding - ukemelding	\N	7043	7392
2009-06-17	NX0901	Melding - oppstartsmelding	\N	7005	7393
2009-06-17	ST09002	Melding - endringsmelding	\N	7072	7394
2009-06-17	ST09002	Melding - endringsmelding	\N	7072	7395
2009-06-17	PGS0904	Melding - oppstartsmelding	\N	7069	7396
2009-06-17	BP083D004	Melding - ukemelding	\N	7035	7397
2009-06-17	PGS0902	Melding - ukemelding	\N	7055	7398
2009-06-17	MC3D-SBS2009	Melding - ukemelding	\N	7008	7399
2009-06-17	WG0901	Melding - ukemelding	\N	7057	7400
2009-06-17	TGS0902	Melding - ukemelding	\N	7073	7401
2009-06-17	WG0901	Melding - ukemelding	\N	7057	7402
2009-06-17	NX0901	Melding - ukemelding	\N	7005	7403
2009-06-17	NX0901	Melding - ukemelding	\N	7005	7404
2009-06-17	FMC0903	Melding - ukemelding	\N	7095	7405
2009-06-17	MNR09	Melding - ukemelding	\N	7001	7406
2009-06-17	LN0902	Melding - ukemelding	\N	7004	7407
2009-06-17	BG0901	Status - satt av OD	Ferdig	7041	7408
2009-06-17	BG0902	Status - satt av OD	Ferdig	7042	7409
2009-06-17	NX0901	Status - satt av OD	Pågående	7005	7410
2009-06-17	NX0902	Status - satt av OD	Pause	7006	7411
2009-06-17	ST0893	Status - satt av OD	Ferdig	7019	7412
2009-06-17	ST09312	Status - satt av OD	Ferdig	7026	7413
2009-06-17	ST09313	Status - satt av OD	Pågående	7027	7414
2009-06-17	ST09318	Status - satt av OD	Ferdig	7028	7415
2009-06-17	ST09318	Status - satt av OD	Pågående	7028	7416
2009-06-16	WIN0903	Melding - ukemelding	\N	7029	7417
2009-06-16	ST09251	Melding - ukemelding	\N	7065	7418
2009-06-16	ST09312	Melding - ukemelding	\N	7026	7419
2009-06-16	ST0893	Melding - ukemelding	\N	7019	7420
2009-06-16	ST09310	Melding - ukemelding	\N	7025	7421
2009-06-16	DG0901	Melding - ukemelding	\N	7053	7422
2009-06-16	Pierce09	Melding - ukemelding	\N	7040	7423
2009-06-16	DN0902	Melding - ukemelding	\N	7044	7424
2009-06-16	DN0903	Melding - sluttmelding	\N	7068	7425
2009-06-16	DN0903	Status - satt av OD	Ferdig	7068	7426
2009-06-16	DN0907	Status - satt av OD	Planlagt	7084	7427
2009-06-16	DP0904	Status - satt av OD	Planlagt	7048	7428
2009-06-16	DP0904	Status - satt av OD	Pågående	7048	7429
2009-06-16	EM0109	Status - satt av OD	Planlagt	7091	7430
2009-06-16	PGS0905	Status - satt av OD	Planlagt	7085	7431
2009-06-16	RD0901	Status - satt av OD	Planlagt	7092	7432
2009-06-16	RD0902	Status - satt av OD	Planlagt	7093	7433
2009-06-16	ST09002	Status - satt av OD	Planlagt	7072	7434
2009-06-16	ST09253	Status - satt av OD	Planlagt	7078	7435
2009-06-16	ST09254	Status - satt av OD	Under behandling	7098	7436
2009-06-16	ST09307	Status - satt av OD	Planlagt	7023	7437
2009-06-15	EN0901	Melding - endringsmelding	\N	7070	7438
2009-06-15	DN0903	Melding - ukemelding	\N	7068	7439
2009-06-15	BG0903	Melding - endringsmelding	\N	7043	7440
2009-06-15	BG0903	Status - satt av OD	Pågående	7043	7441
2009-06-15	EN0901	Status - satt av OD	Planlagt	7070	7442
2009-06-15	ST09001	Status - satt av OD	Planlagt	7010	7443
2009-06-12	PGS0904	Melding - endringsmelding	\N	7069	7444
2009-06-12	BG0903	Melding - oppstartsmelding	\N	7043	7445
2009-06-12	BG0901	Melding - endringsmelding	\N	7041	7446
2009-06-11	MNR09	Melding - ukemelding	\N	7001	7447
2009-06-10	DN0903	Melding - endringsmelding	\N	7068	7448
2009-06-10	WIN0901	Melding - endringsmelding	\N	7015	7449
2009-06-10	WIN0901	Melding - ukemelding	\N	7015	7450
2009-06-10	DP0903	Melding - sluttmelding	\N	7047	7451
2009-06-10	TO-EM0901	Melding - endringsmelding	\N	7097	7452
2009-06-10	MC3D-SBS2009	Melding - ukemelding	\N	7008	7454
2009-06-10	PGS0902	Melding - ukemelding	\N	7055	7455
2009-06-10	WIN0904	Melding - endringsmelding	\N	7030	7456
2009-06-10	WIN0903	Melding - endringsmelding	\N	7029	7457
2009-06-10	LN0901	Melding - sluttmelding	\N	7003	7458
2009-06-10	LN0901	Melding - ukemelding	\N	7003	7459
2009-06-10	LN0901	Melding - ukemelding	\N	7003	7460
2009-06-10	LN0901	Melding - ukemelding	\N	7003	7461
2009-06-10	LN0901	Melding - ukemelding	\N	7003	7462
2009-06-10	MNR09	Melding - ukemelding	\N	7001	7463
2009-06-10	FMC0903	Melding - oppstartsmelding	\N	7095	7464
2009-06-10	ST09309	Melding - endringsmelding	\N	7024	7465
2009-06-10	ST09310	Melding - endringsmelding	\N	7025	7466
2009-06-10	ST0893	Melding - oppstartsmelding	\N	7019	7467
2009-06-10	ST09251	Melding - ukemelding	\N	7065	7468
2009-06-10	ST09312	Melding - ukemelding	\N	7026	7469
2009-06-10	ST09310	Melding - ukemelding	\N	7025	7470
2009-06-10	DP0903	Status - satt av OD	Ferdig	7047	7471
2009-06-10	FMC0903	Status - satt av OD	Pågående	7095	7472
2009-06-10	PGS0904	Status - satt av OD	Pågående	7069	7473
2009-06-10	ST0893	Status - satt av OD	Pågående	7019	7474
2009-06-10	ST09320	Status - satt av OD	Under behandling	7096	7475
2009-06-10	TO-EM0901	Status - satt av OD	Under behandling	7097	7476
2009-06-09	WG0901	Melding - endringsmelding	\N	7057	7477
2009-06-09	WG0901	Melding - oppstartsmelding	\N	7057	7478
2009-06-09	FMC0903	Melding - endringsmelding	\N	7095	7479
2009-06-09	DG0901	Melding - endringsmelding	\N	7053	7480
2009-06-09	WIN0903	Melding - oppstartsmelding	\N	7029	7481
2009-06-09	BG0902	Melding - ukemelding	\N	7042	7482
2009-06-09	BG0904	Status - satt av OD	Planlagt	7074	7483
2009-06-09	CGGV0903	Status - satt av OD	Planlagt	7037	7484
2009-06-09	FMC0903	Status - satt av OD	Under behandling	7095	7485
2009-06-09	FMC0903	Status - satt av OD	Planlagt	7095	7486
2009-06-09	WIN0903	Status - satt av OD	Pågående	7029	7487
2009-06-08	DP0903	Melding - ukemelding	\N	7047	7488
2009-06-08	BG0901	Melding - ukemelding	\N	7041	7489
2009-06-08	MNR09	Melding - endringsmelding	\N	7001	7490
2009-06-08	BP083D004	Melding - ukemelding	\N	7035	7491
2009-06-08	DG0901	Melding - ukemelding	\N	7053	7492
2009-06-08	Pierce09	Melding - ukemelding	\N	7040	7493
2009-06-08	BG0902	Melding - endringsmelding	\N	7042	7494
2009-06-08	BG0901	Melding - endringsmelding	\N	7041	7495
2009-06-08	DN0902	Melding - ukemelding	\N	7044	7496
2009-06-07	LN0901	Melding - oppstartsmelding	\N	7003	7497
2009-06-07	MNR09	Melding - ukemelding	\N	7001	7498
2009-06-07	LN0902	Melding - ukemelding	\N	7004	7499
2009-06-07	LN0901	Status - satt av OD	Ferdig	7003	7500
2009-06-05	RD0902	Melding - endringsmelding	\N	7093	7501
2009-06-05	RD0901	Melding - endringsmelding	\N	7092	7502
2009-06-05	WIN0904	Melding - endringsmelding	\N	7030	7503
2009-06-05	WIN0903	Melding - endringsmelding	\N	7029	7504
2009-06-05	RD0901	Status - satt av OD	Under behandling	7092	7505
2009-06-05	RD0902	Status - satt av OD	Under behandling	7093	7506
2009-06-05	ST09313	Status - satt av OD	Planlagt	7027	7507
2009-06-05	ST09319	Status - satt av OD	Under behandling	7094	7508
2009-06-05	WIN0903	Status - satt av OD	Planlagt	7029	7509
2009-06-05	WIN0904	Status - satt av OD	Planlagt	7030	7510
2009-06-04	ST09313	Melding - endringsmelding	\N	7027	7511
2009-06-04	ST09318	Melding - endringsmelding	\N	7028	7512
2009-06-04	TGS0902	Melding - endringsmelding	\N	7073	7513
2009-06-04	TGS0902	Melding - ukemelding	\N	7073	7514
2009-06-04	TGS0902	Melding - endringsmelding	\N	7073	7515
2009-06-04	WIN0901	Melding - ukemelding	\N	7015	7516
2009-06-04	MNR09	Melding - ukemelding	\N	7001	7517
2009-06-04	WIN0901	Melding - endringsmelding	\N	7015	7518
2009-06-04	DN0903	Melding - oppstartsmelding	\N	7068	7519
2009-06-04	DN0903	Status - satt av OD	Pågående	7068	7520
2009-06-04	MCG0901	Status - satt av OD	Planlagt	7075	7521
2009-06-03	DP0903	Melding - endringsmelding	\N	7047	7522
2009-06-03	DP0904	Melding - endringsmelding	\N	7048	7523
2009-06-03	DP0903	Melding - ukemelding	\N	7047	7524
2009-06-03	PON0901	Melding - ukemelding	\N	7054	7525
2009-06-03	WG0901	Melding - oppstartsmelding	\N	7057	7526
2009-06-03	WG0901	Melding - endringsmelding	\N	7057	7527
2009-06-03	BG0901	Melding - oppstartsmelding	\N	7041	7528
2009-06-03	BG0902	Melding - oppstartsmelding	\N	7042	7529
2009-06-03	Pierce09	Melding - endringsmelding	\N	7040	7530
2009-06-03	Pierce09	Melding - oppstartsmelding	\N	7040	7531
2009-06-03	BP083D004	Melding - oppstartsmelding	\N	7035	7532
2009-06-03	BP083D004	Melding - ukemelding	\N	7035	7533
2009-06-03	BP083D004	Melding - ukemelding	\N	7035	7534
2009-06-03	ST0893	Melding - endringsmelding	\N	7019	7535
2009-06-03	OD0901	Melding - endringsmelding	\N	7077	7536
2009-06-03	OD0902	Melding - endringsmelding	\N	7076	7537
2009-06-03	Pierce09	Status - satt av OD	Pågående	7040	7538
2009-06-03	ST0893	Status - satt av OD	Planlagt	7019	7539
2009-06-03	WG0901	Status - satt av OD	Pågående	7057	7540
2009-06-03	WG0901	Status - satt av OD	Planlagt	7057	7541
2009-06-02	LN0902	Melding - ukemelding	\N	7004	7542
2009-06-02	MC3D-SBS2009	Melding - ukemelding	\N	7008	7543
2009-06-02	PGS0902	Melding - ukemelding	\N	7055	7544
2009-06-02	ST09310	Melding - ukemelding	\N	7025	7545
2009-06-02	ST09312	Melding - ukemelding	\N	7026	7546
2009-06-02	PON0901	Melding - sluttmelding	\N	7054	7547
2009-06-02	DG0901	Melding - ukemelding	\N	7053	7548
2009-06-02	CGGV0902	Melding - ukemelding	\N	7036	7549
2009-06-02	DN0902	Melding - ukemelding	\N	7044	7550
2009-06-02	TGS0901	Melding - oppstartsmelding	\N	7060	7551
2009-06-02	DP0904	Status - satt av OD	Pågående	7048	7552
2009-06-02	EM0109	Status - satt av OD	Under behandling	7091	7553
2009-06-02	PON0901	Status - satt av OD	Ferdig	7054	7554
2009-06-02	TGS0901	Status - satt av OD	Pågående	7060	7555
2009-05-29	LN0902	Melding - endringsmelding	\N	7004	7556
2009-05-29	DP0904	Melding - oppstartsmelding	\N	7048	7557
2009-05-29	ST09454	Melding - endringsmelding	\N	7089	7558
2009-05-29	DP0904	Melding - endringsmelding	\N	7048	7559
2009-05-29	WIN0901	Melding - endringsmelding	\N	7015	7560
2009-05-29	LN0956	Melding - endringsmelding	\N	7018	7561
2009-05-29	LN0955	Melding - endringsmelding	\N	7017	7562
2009-05-29	ST09251	Melding - oppstartsmelding	\N	7065	7563
2009-05-29	NX0902	Melding - oppstartsmelding	\N	7006	7564
2009-05-29	DN0903	Melding - endringsmelding	\N	7068	7565
2009-05-29	EO0901	Status - satt av OD	Under behandling	7087	7566
2009-05-29	NX0902	Status - satt av OD	Pågående	7006	7567
2009-05-29	ST09251	Status - satt av OD	Pågående	7065	7568
2009-05-29	ST09252	Status - satt av OD	Under behandling	7088	7569
2009-05-29	ST09454	Status - satt av OD	Under behandling	7089	7570
2009-05-28	LN0902	Melding - oppstartsmelding	\N	7004	7571
2009-05-28	NX0902	Melding - endringsmelding	\N	7006	7572
2009-05-28	ST09312	Melding - endringsmelding	\N	7026	7573
2009-05-28	PGS0902	Melding - endringsmelding	\N	7055	7574
2009-05-28	MNR09	Melding - ukemelding	\N	7001	7575
2009-05-28	WIN0901	Melding - ukemelding	\N	7015	7576
2009-05-28	MC3D-SBS2009	Melding - endringsmelding	\N	7008	7577
2009-05-28	MC3D-SBS2009	Melding - endringsmelding	\N	7008	7578
2009-05-28	DN0904	Melding - endringsmelding	\N	7062	7579
2009-05-28	TGS0901	Melding - endringsmelding	\N	7060	7580
2009-05-28	MC3D-SBS2009	Melding - ukemelding	\N	7008	7581
2009-05-28	PGS0902	Melding - ukemelding	\N	7055	7582
2009-05-28	DN0904	Status - satt av OD	Pause	7062	7583
2009-05-28	DN0906	Status - satt av OD	Under behandling	7083	7584
2009-05-28	DN0907	Status - satt av OD	Under behandling	7084	7585
2009-05-28	DP0908	Status - satt av OD	Planlagt	7052	7586
2009-05-28	PGS0905	Status - satt av OD	Under behandling	7085	7587
2009-05-28	TGS0901	Status - satt av OD	Planlagt	7060	7588
2009-05-28	WG0901	Status - satt av OD	Pågående	7057	7589
2009-05-27	PGS0902	Melding - endringsmelding	\N	7055	7590
2009-05-27	SH0902	Melding - endringsmelding	\N	7039	7591
2009-05-27	SH0901	Melding - endringsmelding	\N	7038	7592
2009-05-27	LN0902	Melding - oppstartsmelding	\N	7004	7593
2009-05-27	LN0902	Melding - endringsmelding	\N	7004	7594
2009-05-27	NX0901	Status - satt av OD	Planlagt	7005	7595
2009-05-27	NX0902	Status - satt av OD	Planlagt	7006	7596
2009-05-27	PGS0903	Status - satt av OD	Planlagt	7056	7597
2009-05-27	ST09251	Status - satt av OD	Planlagt	7065	7598
2009-05-27	ST09318	Status - satt av OD	Planlagt	7028	7599
2009-05-27	ST09452	Status - satt av OD	Planlagt	7071	7600
2009-05-27	ST09453	Status - satt av OD	Under behandling	7080	7601
2009-05-26	ST09310	Melding - endringsmelding	\N	7025	7602
2009-05-26	ST09310	Melding - oppstartsmelding	\N	7025	7603
2009-05-26	ST09301	Melding - sluttmelding	\N	7020	7604
2009-05-26	ST09312	Melding - oppstartsmelding	\N	7026	7605
2009-05-26	DP0906	Status - satt av OD	Planlagt	7050	7606
2009-05-26	ST09301	Status - satt av OD	Ferdig	7020	7607
2009-05-26	ST09310	Status - satt av OD	Pågående	7025	7608
2009-05-26	ST09312	Status - satt av OD	Planlagt	7026	7609
2009-05-26	ST09312	Status - satt av OD	Pågående	7026	7610
2009-05-25	DP0904	Melding - endringsmelding	\N	7048	7611
2009-05-25	DP0903	Melding - endringsmelding	\N	7047	7612
2009-05-25	DP0907	Melding - sluttmelding	\N	7051	7613
2009-05-25	CoPh0901	Melding - ukemelding	\N	7064	7614
2009-05-25	CoPh0901	Melding - sluttmelding	\N	7064	7615
2009-05-25	CoPh0901	Melding - oppstartsmelding	\N	7064	7616
2009-05-25	TGS0902	Melding - oppstartsmelding	\N	7073	7617
2009-05-25	CGGV0902	Melding - ukemelding	\N	7036	7618
2009-05-25	PON0901	Melding - endringsmelding	\N	7054	7619
2009-05-25	DN0904	Melding - ukemelding	\N	7062	7620
2009-05-25	DG0901	Melding - ukemelding	\N	7053	7621
2009-05-25	NX0902	Melding - endringsmelding	\N	7006	7622
2009-05-25	DP0903	Melding - oppstartsmelding	\N	7047	7623
2009-05-25	MNR09	Melding - ukemelding	\N	7001	7624
2009-05-25	MNR09	Melding - ukemelding	\N	7001	7625
2009-05-25	CoPh0901	Status - satt av OD	Pågående	7064	7626
2009-05-25	CoPh0901	Status - satt av OD	Ferdig	7064	7627
2009-05-25	DP0907	Status - satt av OD	Ferdig	7051	7628
2009-05-25	ST09253	Status - satt av OD	Under behandling	7078	7629
2009-05-22	NX0901	Melding - endringsmelding	\N	7005	7630
2009-05-22	MNR09	Melding - ukemelding	\N	7001	7631
2009-05-22	MNR09	Melding - ukemelding	\N	7001	7632
2009-05-22	NX0902	Melding - endringsmelding	\N	7006	7633
2009-05-22	CGGV0902	Melding - ukemelding	\N	7036	7634
2009-05-22	CGGV0902	Melding - ukemelding	\N	7036	7635
2009-05-22	DN0902	Melding - oppstartsmelding	\N	7044	7636
2009-05-22	DN0902	Status - satt av OD	Pågående	7044	7637
2009-05-22	DP0903	Status - satt av OD	Pågående	7047	7638
2009-05-22	MC3D-SBS2009	Status - satt av OD	Pågående	7008	7639
2009-05-22	Pierce09	Status - satt av OD	Planlagt	7040	7640
2009-05-22	PON0901	Status - satt av OD	Pågående	7054	7641
2009-05-22	TGS0902	Status - satt av OD	Pågående	7073	7642
2009-05-22	WIN0902	Status - satt av OD	Planlagt	7016	7643
2009-05-20	PON0901	Melding - oppstartsmelding	\N	7054	7644
2009-05-20	OD0901	Melding - endringsmelding	\N	7077	7645
2009-05-20	OD0902	Melding - endringsmelding	\N	7076	7646
2009-05-20	DN0904	Melding - oppstartsmelding	\N	7062	7647
2009-05-20	OD0902	Melding - endringsmelding	\N	7076	7648
2009-05-20	LN0902	Melding - ukemelding	\N	7004	7649
2009-05-20	OD0901	Status - satt av OD	Under behandling	7077	7650
2009-05-20	OD0902	Status - satt av OD	Under behandling	7076	7651
2009-05-19	WIN0901	Melding - oppstartsmelding	\N	7015	7652
2009-05-19	WIN0901	Melding - oppstartsmelding	\N	7015	7653
2009-05-19	PGS0902	Melding - ukemelding	\N	7055	7654
2009-05-19	MCG0901	Melding - endringsmelding	\N	7075	7655
2009-05-19	ST09301	Melding - oppstartsmelding	\N	7020	7656
2009-05-19	ST09304	Melding - sluttmelding	\N	7022	7657
2009-05-19	ST09304	Melding - oppstartsmelding	\N	7022	7658
2009-05-19	ST09304	Melding - endringsmelding	\N	7022	7659
2009-05-19	DG0901	Melding - oppstartsmelding	\N	7053	7660
2009-05-19	DG0901	Status - satt av OD	Pågående	7053	7661
2009-05-19	MCG0901	Status - satt av OD	Under behandling	7075	7662
2009-05-19	ST09304	Status - satt av OD	Ferdig	7022	7663
2009-05-19	ST09304	Status - satt av OD	Planlagt	7022	7664
2009-05-19	ST09304	Status - satt av OD	Pågående	7022	7665
2009-05-18	DN0902	Melding - endringsmelding	\N	7044	7666
2009-05-18	DP0907	Melding - oppstartsmelding	\N	7051	7667
2009-05-18	ST09309	Melding - sluttmelding	\N	7024	7668
2009-05-18	ST09314	Melding - sluttmelding	\N	7063	7669
2009-05-18	DN0904	Melding - oppstartsmelding	\N	7062	7670
2009-05-18	ST09302	Melding - sluttmelding	\N	7021	7671
2009-05-18	LN0902	Melding - ukemelding	\N	7004	7672
2009-05-18	BG0904	Status - satt av OD	Under behandling	7074	7673
2009-05-18	DN0904	Status - satt av OD	Pågående	7062	7674
2009-05-18	DP0907	Status - satt av OD	Pågående	7051	7675
2009-05-18	ST09302	Status - satt av OD	Ferdig	7021	7676
2009-05-18	ST09309	Status - satt av OD	Ferdig	7024	7677
2009-05-18	ST09314	Status - satt av OD	Ferdig	7063	7678
2009-05-15	EN0901	Status - satt av OD	Under behandling	7070	7679
2009-05-15	PGS0904	Status - satt av OD	Under behandling	7069	7680
2009-05-15	ST09002	Status - satt av OD	Under behandling	7072	7681
2009-05-15	ST09452	Status - satt av OD	Under behandling	7071	7682
2009-05-15	TGS0902	Status - satt av OD	Under behandling	7073	7683
2009-05-14	PGS0902	Melding - endringsmelding	\N	7055	7684
2009-05-14	PGS0902	Melding - endringsmelding	\N	7055	7685
2009-05-14	DN0902	Melding - endringsmelding	\N	7044	7686
2009-05-14	DN0903	Status - satt av OD	Under behandling	7068	7687
2009-05-14	DN0903	Status - satt av OD	Planlagt	7068	7688
2009-05-14	DN0904	Melding - endringsmelding	\N	7062	7689
2009-05-14	PGS0902	Melding - oppstartsmelding	\N	7055	7690
2009-05-14	PGS0902	Status - satt av OD	Pågående	7055	7691
2009-05-14	ST09309	Status - satt av OD	Pågående	7024	7692
2009-05-14	ST09309	Melding - oppstartsmelding	\N	7024	7693
2009-05-14	ST09314	Melding - endringsmelding	\N	7063	7694
2009-05-14	ST09314	Melding - oppstartsmelding	\N	7063	7695
2009-05-13	CoPh0901	Status - satt av OD	Planlagt	7064	7696
2009-05-13	DG0901	Melding - endringsmelding	\N	7053	7697
2009-05-13	DN0904	Status - satt av OD	Planlagt	7062	7698
2009-05-13	DN0904	Melding - endringsmelding	\N	7062	7699
2009-05-13	LN0955	Melding - endringsmelding	\N	7017	7700
2009-05-13	MNR09	Melding - endringsmelding	\N	7001	7701
2009-05-13	ST09251	Status - satt av OD	Under behandling	7065	7702
2009-05-12	BG0901	Melding - endringsmelding	\N	7041	7703
2009-05-12	BG0902	Melding - endringsmelding	\N	7042	7704
2009-05-12	BG0903	Status - satt av OD	Planlagt	7043	7705
2009-05-12	CoPh0901	Melding - endringsmelding	\N	7064	7706
2009-05-12	CoPh0901	Status - satt av OD	Under behandling	7064	7707
2009-05-12	DG0901	Status - satt av OD	Planlagt	7053	7708
2009-05-12	DG0901	Melding - endringsmelding	\N	7053	7709
2009-05-12	DN0902	Status - satt av OD	Planlagt	7044	7710
2009-05-12	DN0904	Status - satt av OD	Under behandling	7062	7711
2009-05-12	DP0903	Status - satt av OD	Planlagt	7047	7712
2009-05-12	DP0904	Status - satt av OD	Planlagt	7048	7713
2009-05-12	DP0905	Status - satt av OD	Planlagt	7049	7714
2009-05-12	DP0907	Status - satt av OD	Planlagt	7051	7715
2009-05-12	LN0955	Status - satt av OD	Planlagt	7017	7716
2009-05-12	PON0901	Status - satt av OD	Planlagt	7054	7717
2009-05-12	SH0901	Status - satt av OD	Planlagt	7038	7718
2009-05-12	SH0902	Status - satt av OD	Planlagt	7039	7719
2009-05-12	ST09302	Melding - ukemelding	\N	7021	7720
2009-05-12	ST09314	Status - satt av OD	Under behandling	7063	7721
2009-05-12	ST09314	Status - satt av OD	Pågående	7063	7722
2009-05-12	WIN0901	Status - satt av OD	Pågående	7015	7723
2009-05-12	WIN0901	Melding - ukemelding	\N	7015	7724
2009-05-11	BG0901	Status - satt av OD	Under behandling	7041	7725
2009-05-11	BG0901	Status - satt av OD	Pågående	7041	7726
2009-05-11	BG0902	Status - satt av OD	Under behandling	7042	7727
2009-05-11	BG0902	Status - satt av OD	Pågående	7042	7728
2009-05-11	BG0903	Status - satt av OD	Under behandling	7043	7729
2009-05-11	BP083D004	Status - satt av OD	Pågående	7035	7730
2009-05-11	BP083D004	Status - satt av OD	Under behandling	7035	7731
2009-05-11	CGGV0902	Status - satt av OD	Pågående	7036	7732
2009-05-11	CGGV0902	Status - satt av OD	Under behandling	7036	7733
2009-05-11	CGGV0903	Melding - endringsmelding	\N	7037	7734
2009-05-11	CGGV0903	Status - satt av OD	Under behandling	7037	7735
2009-05-11	DG0901	Status - satt av OD	Under behandling	7053	7736
2009-05-11	DN0902	Status - satt av OD	Under behandling	7044	7737
2009-05-11	DP0903	Status - satt av OD	Under behandling	7047	7738
2009-05-11	DP0904	Status - satt av OD	Under behandling	7048	7739
2009-05-11	DP0905	Status - satt av OD	Under behandling	7049	7740
2009-05-11	DP0906	Status - satt av OD	Under behandling	7050	7741
2009-05-11	DP0907	Status - satt av OD	Under behandling	7051	7742
2009-05-11	DP0908	Status - satt av OD	Under behandling	7052	7743
2009-05-11	LN0901	Status - satt av OD	Pågående	7003	7744
2009-05-11	LN0902	Status - satt av OD	Pågående	7004	7745
2009-05-11	MNR09	Status - satt av OD	Pågående	7001	7746
2009-05-11	PGS0902	Status - satt av OD	Under behandling	7055	7747
2009-05-11	PGS0903	Status - satt av OD	Under behandling	7056	7748
2009-05-11	Pierce09	Status - satt av OD	Under behandling	7040	7749
2009-05-11	PON0901	Melding - endringsmelding	\N	7054	7750
2009-05-11	PON0901	Status - satt av OD	Under behandling	7054	7751
2009-05-11	SH0901	Melding - endringsmelding	\N	7038	7752
2009-05-11	SH0901	Status - satt av OD	Under behandling	7038	7753
2009-05-11	SH0902	Status - satt av OD	Under behandling	7039	7754
2009-05-11	SH0902	Melding - endringsmelding	\N	7039	7755
2009-05-11	ST09301	Status - satt av OD	Pågående	7020	7756
2009-05-11	ST09302	Status - satt av OD	Pågående	7021	7757
2009-05-11	TGS0901	Status - satt av OD	Under behandling	7060	7758
2009-05-11	WG0901	Status - satt av OD	Under behandling	7057	7759
2009-05-10	LN0901	Melding - endringsmelding	\N	7003	7760
2009-05-10	LN0901	Status - satt av OD	Under behandling	7003	7761
2009-05-10	LN0902	Status - satt av OD	Under behandling	7004	7762
2009-05-10	LN0955	Status - satt av OD	Under behandling	7017	7763
2009-05-10	LN0956	Status - satt av OD	Under behandling	7018	7764
2009-05-10	MC3D-SBS2009	Status - satt av OD	Under behandling	7008	7765
2009-05-10	MNR09	Status - satt av OD	Under behandling	7001	7766
2009-05-10	NX0901	Status - satt av OD	Under behandling	7005	7767
2009-05-10	NX0902	Status - satt av OD	Under behandling	7006	7768
2009-05-10	ST0893	Status - satt av OD	Under behandling	7019	7769
2009-05-10	ST09001	Status - satt av OD	Under behandling	7010	7770
2009-05-10	ST09301	Status - satt av OD	Under behandling	7020	7771
2009-05-10	ST09302	Status - satt av OD	Under behandling	7021	7772
2009-05-10	ST09304	Status - satt av OD	Under behandling	7022	7773
2009-05-10	ST09307	Status - satt av OD	Under behandling	7023	7774
2009-05-10	ST09309	Status - satt av OD	Under behandling	7024	7775
2009-05-10	ST09310	Status - satt av OD	Under behandling	7025	7776
2009-05-10	ST09312	Status - satt av OD	Under behandling	7026	7777
2009-05-10	ST09313	Status - satt av OD	Under behandling	7027	7778
2009-05-10	ST09318	Status - satt av OD	Under behandling	7028	7779
2009-05-10	WIN0901	Status - satt av OD	Under behandling	7015	7780
2009-05-10	WIN0902	Status - satt av OD	Under behandling	7016	7781
2009-05-10	WIN0902	Melding - endringsmelding	\N	7016	7782
2009-05-10	WIN0903	Status - satt av OD	Under behandling	7029	7783
2009-05-10	WIN0904	Status - satt av OD	Under behandling	7030	7784
2008-01-01	AX0801	Status - satt av OD	Ferdig	4507	7785
2008-01-01	BG0801	Status - satt av OD	Ferdig	4508	7786
2008-01-01	BG0802	Status - satt av OD	Ferdig	4509	7787
2008-01-01	BG0803	Status - satt av OD	Ferdig	4510	7788
2008-01-01	BG0804	Status - satt av OD	Ferdig	4511	7789
2008-01-01	BG0805	Status - satt av OD	Ferdig	4512	7790
2008-01-01	BG0806	Status - satt av OD	Ferdig	4513	7791
2008-01-01	BPN0301_10.LOFS-4D	Status - satt av OD	Ferdig	4514	7792
2008-01-01	BPN0301_11.LOFS-4D	Status - satt av OD	Ferdig	4515	7793
2008-01-01	CE0801	Status - satt av OD	Ferdig	4516	7794
2008-01-01	CGGV0801	Status - satt av OD	Ferdig	4517	7795
2008-01-01	CGGV0802	Status - satt av OD	Ferdig	4518	7796
2008-01-01	CP0802 EKOFISK 4D SURVEY	Status - satt av OD	Ferdig	4519	7797
2008-01-01	CSEM-2008	Status - satt av OD	Ferdig	4520	7798
2008-01-01	DA0801	Status - satt av OD	Ferdig	4521	7799
2008-01-01	DP0801	Status - satt av OD	Ferdig	4522	7800
2008-01-01	DP0802	Status - satt av OD	Ferdig	4523	7801
2008-01-01	DP0803-EM	Status - satt av OD	Ferdig	4524	7802
2008-01-01	DP0804-EM	Status - satt av OD	Ferdig	4525	7803
2008-01-01	DP0805-EM	Status - satt av OD	Ferdig	4526	7804
2008-01-01	DP0806-EM-MØRE ØST	Status - satt av OD	Ferdig	4527	7805
2008-01-01	DP0807-EM-HELGELANDSBASSENGET	Status - satt av OD	Ferdig	4528	7806
2008-01-01	DP0808-EM-NORSKEHAVET NORD	Status - satt av OD	Ferdig	4529	7807
2008-01-01	DP0809-EM	Status - satt av OD	Ferdig	4530	7808
2008-01-01	DP0810-EM-VØRING	Status - satt av OD	Ferdig	4531	7809
2008-01-01	DP0811-EM-DØNNATERASSEN	Status - satt av OD	Ferdig	4532	7810
2008-01-01	DP0812-EM-NYKHØGDA	Status - satt av OD	Ferdig	4533	7811
2008-01-01	DP0813-EM-FINNMARK ØST	Status - satt av OD	Ferdig	4534	7812
2008-01-01	EEN0801	Status - satt av OD	Ferdig	4535	7813
2008-01-01	EKOFISK TEST AV PERMANENT KABEL SYSTEM	Status - satt av OD	Ferdig	4536	7814
2008-01-01	EM105 BARENTS SEA MULTICLIENT BJORNOYA S	Status - satt av OD	Ferdig	4540	7815
2008-01-01	EM106 NORSKEHAVET NORDLAND II	Status - satt av OD	Ferdig	4541	7816
2008-01-01	EM-FRIGG2008	Status - satt av OD	Ferdig	4537	7817
2008-01-01	EMGS0800	Status - satt av OD	Ferdig	4542	7818
2008-01-01	EMGS0801	Status - satt av OD	Ferdig	4543	7819
2008-01-01	EMGS0802	Status - satt av OD	Ferdig	4544	7820
2008-01-01	EMGS0803	Status - satt av OD	Ferdig	4545	7821
2008-01-01	EMGS0804	Status - satt av OD	Ferdig	4546	7822
2008-01-01	EMGS0805	Status - satt av OD	Ferdig	4547	7823
2008-01-01	EMGS0806	Status - satt av OD	Ferdig	4548	7824
2008-01-01	EMGS0807	Status - satt av OD	Ferdig	4549	7825
2008-01-01	EM-HEIMDAL2008	Status - satt av OD	Ferdig	4538	7826
2008-01-01	EM-TROLL2008	Status - satt av OD	Ferdig	4539	7827
2008-01-01	EN0804	Status - satt av OD	Ferdig	4551	7828
2008-01-01	EN0805	Status - satt av OD	Ferdig	4552	7829
2008-01-01	EO0801	Status - satt av OD	Ferdig	4553	7830
2008-01-01	EO0802	Status - satt av OD	Ferdig	4554	7831
2008-01-01	JMR08	Status - satt av OD	Ferdig	4555	7832
2008-01-01	LN0801	Status - satt av OD	Ferdig	4556	7833
2008-01-01	LN0802	Status - satt av OD	Ferdig	4557	7834
2008-01-01	LN0803	Status - satt av OD	Ferdig	4558	7835
2008-01-01	LOPPA WEST	Status - satt av OD	Ferdig	4559	7836
2008-01-01	MC3D HR08	Status - satt av OD	Ferdig	4560	7837
2008-01-01	MC3D-BP08	Status - satt av OD	Ferdig	4561	7838
2008-01-01	MC3D-EGB2008	Status - satt av OD	Ferdig	4562	7839
2008-01-01	MC3D-EGBEXT2008	Status - satt av OD	Ferdig	4563	7840
2008-01-01	MC3D-HT2008	Status - satt av OD	Ferdig	4564	7841
2008-01-01	MC3D-NDB2008	Status - satt av OD	Ferdig	4565	7842
2008-01-01	MC3D-OS2008	Status - satt av OD	Ferdig	4566	7843
2008-01-01	MC3D-Q82008	Status - satt av OD	Ferdig	4567	7844
2008-01-01	MC3D-SBF2008	Status - satt av OD	Ferdig	4568	7845
2008-01-01	MC3D-SWN2008	Status - satt av OD	Ferdig	4569	7846
2008-01-01	MC3D-TRIII08	Status - satt av OD	Ferdig	4570	7847
2008-01-01	MNR08	Status - satt av OD	Ferdig	4571	7848
2008-01-01	MØRE NORD 0408	Status - satt av OD	Ferdig	4572	7849
2008-01-01	NBR08	Status - satt av OD	Ferdig	4573	7850
2008-01-01	NH0711	Status - satt av OD	Ferdig	4574	7851
2008-01-01	NPD-LOF1-08	Status - satt av OD	Ferdig	4575	7852
2008-01-01	NPD-LOF2-08	Status - satt av OD	Ferdig	4576	7853
2008-01-01	NPD-LOF2-08-SP-LINES	Status - satt av OD	Ferdig	4577	7854
2008-01-01	NPD-TW-08	Status - satt av OD	Ferdig	4579	7855
2008-01-01	NSM08	Status - satt av OD	Ferdig	4581	7856
2008-01-01	NSR08 SB	Status - satt av OD	Ferdig	4582	7857
2008-01-01	NSR08 VGN	Status - satt av OD	Ferdig	4583	7858
2008-01-01	NX0802	Status - satt av OD	Ferdig	4584	7859
2008-01-01	NXN0801	Status - satt av OD	Ferdig	4585	7860
2008-01-01	NXN0802	Status - satt av OD	Ferdig	4586	7861
2008-01-01	NXN0803	Status - satt av OD	Ferdig	4587	7862
2008-01-01	OMV0801	Status - satt av OD	Ferdig	4588	7863
2008-01-01	OMV0802	Status - satt av OD	Ferdig	4589	7864
2008-01-01	Q17 2D 2008	Status - satt av OD	Ferdig	4592	7865
2008-01-01	RV0801	Status - satt av OD	Ferdig	4593	7866
2008-01-01	SH0801	Status - satt av OD	Ferdig	4594	7867
2008-01-01	ST0755	Status - satt av OD	Ferdig	4595	7868
2008-01-01	ST0803 TROLL	Status - satt av OD	Ferdig	4596	7869
2008-01-01	ST0804	Status - satt av OD	Ferdig	4597	7870
2008-01-01	ST0806	Status - satt av OD	Ferdig	4598	7871
2008-01-01	ST0807	Status - satt av OD	Ferdig	4599	7872
2008-01-01	ST0808-MORVIN	Status - satt av OD	Ferdig	4600	7873
2008-01-01	ST0809	Status - satt av OD	Ferdig	4601	7874
2008-01-01	ST0810 LAVRANS	Status - satt av OD	Ferdig	4602	7875
2008-01-01	ST0811	Status - satt av OD	Ferdig	4603	7876
2008-01-01	ST0812	Status - satt av OD	Ferdig	4604	7877
2008-01-01	ST0814	Status - satt av OD	Ferdig	4605	7878
2008-01-01	ST0815	Status - satt av OD	Ferdig	4606	7879
2008-01-01	ST0816	Status - satt av OD	Ferdig	4607	7880
2008-01-01	ST0816-2D	Status - satt av OD	Ferdig	4608	7881
2008-01-01	ST0817	Status - satt av OD	Ferdig	4609	7882
2008-01-01	ST0822 GLITNE	Status - satt av OD	Ferdig	4610	7883
2008-01-01	ST0823	Status - satt av OD	Ferdig	4611	7884
2008-01-01	ST0824-ASKELADD	Status - satt av OD	Ferdig	4612	7885
2008-01-01	ST0825	Status - satt av OD	Ferdig	4613	7886
2008-01-01	ST0827	Status - satt av OD	Ferdig	4614	7887
2008-01-01	ST0828	Status - satt av OD	Ferdig	4615	7888
2008-01-01	ST0829	Status - satt av OD	Ferdig	4616	7889
2008-01-01	ST0830 NE FRIGG	Status - satt av OD	Ferdig	4618	7890
2008-01-01	ST0830-2D	Status - satt av OD	Ferdig	4617	7891
2008-01-01	ST0833	Status - satt av OD	Ferdig	4619	7892
2008-01-01	ST0836 KRISTIN OU 2D TEST	Status - satt av OD	Ferdig	4620	7893
2008-01-01	ST0837-HEIDRUN TEST LINES	Status - satt av OD	Ferdig	4621	7894
2008-01-01	ST0838-TEST	Status - satt av OD	Ferdig	4622	7895
2008-01-01	ST0850	Status - satt av OD	Ferdig	4623	7896
2008-01-01	ST0851	Status - satt av OD	Ferdig	4624	7897
2008-01-01	ST0852 TROLL EM	Status - satt av OD	Ferdig	4625	7898
2008-01-01	ST0853-EM SLEIPNER CO2	Status - satt av OD	Ferdig	4626	7899
2008-01-01	ST0854 - EM PEON	Status - satt av OD	Ferdig	4627	7900
2008-01-01	WGEM0801N	Status - satt av OD	Ferdig	4628	7901
2007-01-01	BG0701	Status - satt av OD	Ferdig	4406	7902
2007-01-01	BG0702	Status - satt av OD	Ferdig	4407	7903
2007-01-01	BG0703	Status - satt av OD	Ferdig	4408	7904
2007-01-01	BPN0301_8.LOFS-4D	Status - satt av OD	Ferdig	4409	7905
2007-01-01	BPN0301_9.LOFS-4D	Status - satt av OD	Ferdig	4410	7906
2007-01-01	BRAE 3D SEISMIC SURVEY	Status - satt av OD	Ferdig	4411	7907
2007-01-01	DG0701	Status - satt av OD	Ferdig	4412	7908
2007-01-01	DN0701	Status - satt av OD	Ferdig	4413	7909
2007-01-01	DP0701	Status - satt av OD	Ferdig	4414	7910
2007-01-01	DP0702	Status - satt av OD	Ferdig	4415	7911
2007-01-01	DP0703	Status - satt av OD	Ferdig	4416	7912
2007-01-01	DP0704	Status - satt av OD	Ferdig	4417	7913
2007-01-01	EMGS0700	Status - satt av OD	Ferdig	4418	7914
2007-01-01	EMGS0701	Status - satt av OD	Ferdig	4419	7915
2007-01-01	EMGS0702	Status - satt av OD	Ferdig	4420	7916
2007-01-01	EMGS0703	Status - satt av OD	Ferdig	4421	7917
2007-01-01	EMGS0704	Status - satt av OD	Ferdig	4422	7918
2007-01-01	EMGS0705	Status - satt av OD	Ferdig	4423	7919
2007-01-01	EMGS0706	Status - satt av OD	Ferdig	4424	7920
2007-01-01	EMGS0707	Status - satt av OD	Ferdig	4425	7921
2007-01-01	EMGS0708	Status - satt av OD	Ferdig	4426	7922
2007-01-01	EMGS0709	Status - satt av OD	Ferdig	4427	7923
2007-01-01	EMGS0710	Status - satt av OD	Ferdig	4428	7924
2007-01-01	EN0701	Status - satt av OD	Ferdig	4429	7925
2007-01-01	EN0702	Status - satt av OD	Ferdig	4430	7926
2007-01-01	EN0703	Status - satt av OD	Ferdig	4431	7927
2007-01-01	FRUHOLMEN	Status - satt av OD	Ferdig	4435	7928
2007-01-01	FRUHOLMEN EM	Status - satt av OD	Ferdig	4436	7929
2007-01-01	FRUHOLMEN-3D	Status - satt av OD	Ferdig	4437	7930
2007-01-01	GDF0701	Status - satt av OD	Ferdig	4438	7931
2007-01-01	GXT NORWAY SPAN TM	Status - satt av OD	Ferdig	4439	7932
2007-01-01	HT07	Status - satt av OD	Ferdig	4440	7933
2007-01-01	LN0703	Status - satt av OD	Ferdig	4441	7934
2007-01-01	LN0704	Status - satt av OD	Ferdig	4442	7935
2007-01-01	LN0705	Status - satt av OD	Ferdig	4443	7936
2007-01-01	LN0706	Status - satt av OD	Ferdig	4444	7937
2007-01-01	MC2D-MS2007	Status - satt av OD	Ferdig	4445	7938
2007-01-01	MC2D-NOR2007	Status - satt av OD	Ferdig	4446	7939
2007-01-01	MC3D-HT2007	Status - satt av OD	Ferdig	4447	7940
2007-01-01	MC3D-MOS2007	Status - satt av OD	Ferdig	4448	7941
2007-01-01	MC3D-Q32007	Status - satt av OD	Ferdig	4449	7942
2007-01-01	MNR07	Status - satt av OD	Ferdig	4450	7943
2007-01-01	NBR07	Status - satt av OD	Ferdig	4451	7944
2007-01-01	NH0701	Status - satt av OD	Ferdig	4452	7945
2007-01-01	NH0702	Status - satt av OD	Ferdig	4453	7946
2007-01-01	NH0703	Status - satt av OD	Ferdig	4454	7947
2007-01-01	NH0704	Status - satt av OD	Ferdig	4455	7948
2007-01-01	NH0705	Status - satt av OD	Ferdig	4456	7949
2007-01-01	NH0712	Status - satt av OD	Ferdig	4457	7950
2007-01-01	NPD-LOF1-07	Status - satt av OD	Ferdig	4459	7951
2007-01-01	NPD-NF-07	Status - satt av OD	Ferdig	4460	7952
2007-01-01	NSR07 BA TEST	Status - satt av OD	Ferdig	4462	7953
2007-01-01	NSR07 M	Status - satt av OD	Ferdig	4463	7954
2007-01-01	NSR07 N	Status - satt av OD	Ferdig	4464	7955
2007-01-01	NSR07 NO	Status - satt av OD	Ferdig	4465	7956
2007-01-01	NSR-HIGH-RES-TROLL	Status - satt av OD	Ferdig	4461	7957
2007-01-01	NX0701	Status - satt av OD	Ferdig	4466	7958
2007-01-01	OHM PN372 VORING BASIN	Status - satt av OD	Ferdig	4467	7959
2007-01-01	OHM PN379 KRAKEN	Status - satt av OD	Ferdig	4468	7960
2007-01-01	OMV0702	Status - satt av OD	Ferdig	4469	7961
2007-01-01	OMV2007	Status - satt av OD	Ferdig	4470	7962
2007-01-01	PC07NO23	Status - satt av OD	Ferdig	4471	7963
2007-01-01	RV0701	Status - satt av OD	Ferdig	4476	7964
2007-01-01	SH0701	Status - satt av OD	Ferdig	4477	7965
2007-01-01	SH0702	Status - satt av OD	Ferdig	4478	7966
2007-01-01	SH0703	Status - satt av OD	Ferdig	4479	7967
2007-01-01	SH0703-2D	Status - satt av OD	Ferdig	4480	7968
2007-01-01	SH0704	Status - satt av OD	Ferdig	4481	7969
2007-01-01	ST0701	Status - satt av OD	Ferdig	4482	7970
2007-01-01	ST0702	Status - satt av OD	Ferdig	4483	7971
2007-01-01	ST0703	Status - satt av OD	Ferdig	4484	7972
2007-01-01	ST0705	Status - satt av OD	Ferdig	4485	7973
2007-01-01	ST0706-ASKELADD	Status - satt av OD	Ferdig	4486	7974
2007-01-01	ST0709	Status - satt av OD	Ferdig	4487	7975
2007-01-01	ST0710	Status - satt av OD	Ferdig	4488	7976
2007-01-01	ST0712	Status - satt av OD	Ferdig	4489	7977
2007-01-01	ST0714-HAMMERFESTBASSENGET VEST	Status - satt av OD	Ferdig	4490	7978
2007-01-01	ST0715	Status - satt av OD	Ferdig	4491	7979
2007-01-01	ST0718	Status - satt av OD	Ferdig	4492	7980
2007-01-01	ST0725	Status - satt av OD	Ferdig	4493	7981
2007-01-01	ST0726	Status - satt av OD	Ferdig	4494	7982
2007-01-01	ST0729-ALKE	Status - satt av OD	Ferdig	4495	7983
2007-01-01	ST0730	Status - satt av OD	Ferdig	4496	7984
2007-01-01	ST0750	Status - satt av OD	Ferdig	4497	7985
2007-01-01	ST0751	Status - satt av OD	Ferdig	4498	7986
2007-01-01	ST0752	Status - satt av OD	Ferdig	4499	7987
2007-01-01	ST0753	Status - satt av OD	Ferdig	4500	7988
2007-01-01	ST0754	Status - satt av OD	Ferdig	4501	7989
2007-01-01	ST9713R00	Status - satt av OD	Ferdig	4502	7990
2007-01-01	TA0701	Status - satt av OD	Ferdig	4503	7991
2007-01-01	VGCNS0701	Status - satt av OD	Ferdig	4504	7992
2007-01-01	VGCNS0702	Status - satt av OD	Ferdig	4505	7993
2007-01-01	WI-Q25-07	Status - satt av OD	Ferdig	4506	7994
2006-01-01	BG0601	Status - satt av OD	Ferdig	4336	7995
2006-01-01	BG0602	Status - satt av OD	Ferdig	4337	7996
2006-01-01	BPN0301_7.LOFS-4D	Status - satt av OD	Ferdig	4338	7997
2006-01-01	CP0601	Status - satt av OD	Ferdig	4339	7998
2006-01-01	CVX0601	Status - satt av OD	Ferdig	4340	7999
2006-01-01	DN0601	Status - satt av OD	Ferdig	4341	8000
2006-01-01	DNO-0601	Status - satt av OD	Ferdig	4342	8001
2006-01-01	EBW06	Status - satt av OD	Ferdig	4343	8002
2006-01-01	EKOFISK 3D 4D SURVEY	Status - satt av OD	Ferdig	4344	8003
2006-01-01	EM0601	Status - satt av OD	Ferdig	4345	8004
2006-01-01	IPN0601	Status - satt av OD	Ferdig	4346	8005
2006-01-01	IS-CNBE-06-MC2D	Status - satt av OD	Ferdig	4347	8006
2006-01-01	IS-DTCNS-06-MC2D	Status - satt av OD	Ferdig	4348	8007
2006-01-01	MC2D-HDV2006	Status - satt av OD	Ferdig	4349	8008
2006-01-01	MC2D-MNR2006	Status - satt av OD	Ferdig	4350	8009
2006-01-01	MC2D-MS06	Status - satt av OD	Ferdig	4351	8010
2006-01-01	MC3D-FH2006	Status - satt av OD	Ferdig	4352	8011
2006-01-01	MC3D-GRANAT06	Status - satt av OD	Ferdig	4353	8012
2006-01-01	MC3D-JHT2006	Status - satt av OD	Ferdig	4354	8013
2006-01-01	MC3D-NVG2006	Status - satt av OD	Ferdig	4355	8014
2006-01-01	MC3D-STRATIC2006	Status - satt av OD	Ferdig	4356	8015
2006-01-01	MCEM-GRS06	Status - satt av OD	Ferdig	4357	8016
2006-01-01	MCEM-MS06	Status - satt av OD	Ferdig	4358	8017
2006-01-01	MCEM-NH06	Status - satt av OD	Ferdig	4359	8018
2006-01-01	MCEM-SWN606	Status - satt av OD	Ferdig	4360	8019
2006-01-01	MCEM-TBN06	Status - satt av OD	Ferdig	4361	8020
2006-01-01	MCEM-TR0306	Status - satt av OD	Ferdig	4362	8021
2006-01-01	MCEM-VS06	Status - satt av OD	Ferdig	4363	8022
2006-01-01	MNR06	Status - satt av OD	Ferdig	4364	8023
2006-01-01	NBR06	Status - satt av OD	Ferdig	4365	8024
2006-01-01	NH0602	Status - satt av OD	Ferdig	4366	8025
2006-01-01	NH0608	Status - satt av OD	Ferdig	4367	8026
2006-01-01	NH0609	Status - satt av OD	Ferdig	4368	8027
2006-01-01	NH0631	Status - satt av OD	Ferdig	4369	8028
2006-01-01	NPD-EMGS-TR-06	Status - satt av OD	Ferdig	4370	8029
2006-01-01	NSR06	Status - satt av OD	Ferdig	4373	8030
2006-01-01	PER0601	Status - satt av OD	Ferdig	4374	8031
2006-01-01	PR0601	Status - satt av OD	Ferdig	4375	8032
2006-01-01	RD0601	Status - satt av OD	Ferdig	4376	8033
2006-01-01	SH063DPIER	Status - satt av OD	Ferdig	4377	8034
2006-01-01	ST0601	Status - satt av OD	Ferdig	4378	8035
2006-01-01	ST0602	Status - satt av OD	Ferdig	4379	8036
2006-01-01	ST0603	Status - satt av OD	Ferdig	4380	8037
2006-01-01	ST0604	Status - satt av OD	Ferdig	4381	8038
2006-01-01	ST0605	Status - satt av OD	Ferdig	4382	8039
2006-01-01	ST0606	Status - satt av OD	Ferdig	4383	8040
2006-01-01	ST0607	Status - satt av OD	Ferdig	4384	8041
2006-01-01	ST0608	Status - satt av OD	Ferdig	4385	8042
2006-01-01	ST0609	Status - satt av OD	Ferdig	4386	8043
2006-01-01	ST0610	Status - satt av OD	Ferdig	4387	8044
2006-01-01	ST0611	Status - satt av OD	Ferdig	4388	8045
2006-01-01	ST0612	Status - satt av OD	Ferdig	4389	8046
2006-01-01	ST0613	Status - satt av OD	Ferdig	4390	8047
2006-01-01	ST0614	Status - satt av OD	Ferdig	4391	8048
2006-01-01	ST0615	Status - satt av OD	Ferdig	4392	8049
2006-01-01	ST0616	Status - satt av OD	Ferdig	4393	8050
2006-01-01	ST0617	Status - satt av OD	Ferdig	4394	8051
2006-01-01	ST0621	Status - satt av OD	Ferdig	4395	8052
2006-01-01	ST0623	Status - satt av OD	Ferdig	4396	8053
2006-01-01	ST0624	Status - satt av OD	Ferdig	4397	8054
2006-01-01	ST0625	Status - satt av OD	Ferdig	4398	8055
2006-01-01	ST0651	Status - satt av OD	Ferdig	4399	8056
2006-01-01	ST0652	Status - satt av OD	Ferdig	4400	8057
2006-01-01	ST0653	Status - satt av OD	Ferdig	4401	8058
2006-01-01	TO0601	Status - satt av OD	Ferdig	4402	8059
2006-01-01	VGCNS0601	Status - satt av OD	Ferdig	4403	8060
2006-01-01	VGCNS06NQ2PSDM	Status - satt av OD	Ferdig	4404	8061
2006-01-01	VGCNS06NQ8	Status - satt av OD	Ferdig	4405	8062
2005-01-01	BPN0301_5.LOFS-4D	Status - satt av OD	Ferdig	4283	8063
2005-01-01	BPN0301_6.LOFS-4D	Status - satt av OD	Ferdig	4284	8064
2005-01-01	BPN0501	Status - satt av OD	Ferdig	4285	8065
2005-01-01	CP0501	Status - satt av OD	Ferdig	4286	8066
2005-01-01	GOLIA-PL229 SBL	Status - satt av OD	Ferdig	4287	8067
2005-01-01	MC2D-DFB2005	Status - satt av OD	Ferdig	4289	8068
2005-01-01	MC2D-HDV2005	Status - satt av OD	Ferdig	4290	8069
2005-01-01	MC2D-NH0508	Status - satt av OD	Ferdig	4291	8070
2005-01-01	MC2D-NH0509	Status - satt av OD	Ferdig	4292	8071
2005-01-01	MC3D-BLOCK 7/4	Status - satt av OD	Ferdig	4293	8072
2005-01-01	MC3D-EGB2005	Status - satt av OD	Ferdig	4294	8073
2005-01-01	MC3D-FH2005	Status - satt av OD	Ferdig	4295	8074
2005-01-01	MC3D-NVG2005	Status - satt av OD	Ferdig	4296	8075
2005-01-01	MCEM-TE05	Status - satt av OD	Ferdig	4297	8076
2005-01-01	MNR05	Status - satt av OD	Ferdig	4298	8077
2005-01-01	NH0501	Status - satt av OD	Ferdig	4299	8078
2005-01-01	NH0502	Status - satt av OD	Ferdig	4300	8079
2005-01-01	NH0503	Status - satt av OD	Ferdig	4301	8080
2005-01-01	NH0504	Status - satt av OD	Ferdig	4302	8081
2005-01-01	NH0505	Status - satt av OD	Ferdig	4303	8082
2005-01-01	NH0506	Status - satt av OD	Ferdig	4304	8083
2005-01-01	NH0507	Status - satt av OD	Ferdig	4305	8084
2005-01-01	NH0531	Status - satt av OD	Ferdig	4306	8085
2005-01-01	NH0533	Status - satt av OD	Ferdig	4307	8086
2005-01-01	NSR05	Status - satt av OD	Ferdig	4308	8087
2005-01-01	SH0402-2D	Status - satt av OD	Ferdig	4309	8088
2005-01-01	SH0501	Status - satt av OD	Ferdig	4310	8089
2005-01-01	SH0503	Status - satt av OD	Ferdig	4311	8090
2005-01-01	ST0503	Status - satt av OD	Ferdig	4312	8091
2005-01-01	ST0504	Status - satt av OD	Ferdig	4313	8092
2005-01-01	ST0505	Status - satt av OD	Ferdig	4314	8093
2005-01-01	ST0506	Status - satt av OD	Ferdig	4315	8094
2005-01-01	ST0507	Status - satt av OD	Ferdig	4316	8095
2005-01-01	ST0508	Status - satt av OD	Ferdig	4317	8096
2005-01-01	ST0509	Status - satt av OD	Ferdig	4318	8097
2005-01-01	ST0509/ST0515	Status - satt av OD	Ferdig	4319	8098
2005-01-01	ST0511	Status - satt av OD	Ferdig	4320	8099
2005-01-01	ST0515	Status - satt av OD	Ferdig	4321	8100
2005-01-01	ST0516	Status - satt av OD	Ferdig	4322	8101
2005-01-01	ST0521-SMØRBUKK OBS TEST	Status - satt av OD	Ferdig	4323	8102
2005-01-01	ST0551	Status - satt av OD	Ferdig	4324	8103
2005-01-01	ST0552	Status - satt av OD	Ferdig	4325	8104
2005-01-01	ST0553	Status - satt av OD	Ferdig	4326	8105
2005-01-01	ST0554/ST0556	Status - satt av OD	Ferdig	4327	8106
2005-01-01	ST0555	Status - satt av OD	Ferdig	4328	8107
2005-01-01	TO0501	Status - satt av OD	Ferdig	4329	8108
2005-01-01	TOMMELITEN ALPHA 3D 4C	Status - satt av OD	Ferdig	4330	8109
2005-01-01	VERNQ08-05	Status - satt av OD	Ferdig	4331	8110
2005-01-01	VERQ22	Status - satt av OD	Ferdig	4332	8111
2005-01-01	VGCNS0401/VGCNS0501	Status - satt av OD	Ferdig	4333	8112
2005-01-01	VGCNS0501	Status - satt av OD	Ferdig	4334	8113
2005-01-01	VGCNS0502	Status - satt av OD	Ferdig	4335	8114
2004-01-01	BP0409	Status - satt av OD	Ferdig	4240	8115
2004-01-01	BP043D0002	Status - satt av OD	Ferdig	4241	8116
2004-01-01	BPN0301_2.LOFS-4D	Status - satt av OD	Ferdig	4242	8117
2004-01-01	BPN0301_3.LOFS-4D	Status - satt av OD	Ferdig	4243	8118
2004-01-01	BPN0301_4.LOFS-4D	Status - satt av OD	Ferdig	4244	8119
2004-01-01	EM04-02	Status - satt av OD	Ferdig	4245	8120
2004-01-01	MC3D-EGB2004	Status - satt av OD	Ferdig	4246	8121
2004-01-01	MC3D-FH2004	Status - satt av OD	Ferdig	4247	8122
2004-01-01	MC3D-LGW2004	Status - satt av OD	Ferdig	4248	8123
2004-01-01	MCEM-GS04	Status - satt av OD	Ferdig	4249	8124
2004-01-01	MCEM-MB04	Status - satt av OD	Ferdig	4250	8125
2004-01-01	MCEM-RK04	Status - satt av OD	Ferdig	4251	8126
2004-01-01	MNR04	Status - satt av OD	Ferdig	4252	8127
2004-01-01	NE04	Status - satt av OD	Ferdig	4253	8128
2004-01-01	NH0401	Status - satt av OD	Ferdig	4255	8129
2004-01-01	NH0402	Status - satt av OD	Ferdig	4256	8130
2004-01-01	NH0403	Status - satt av OD	Ferdig	4257	8131
2004-01-01	NPD-LOS-04	Status - satt av OD	Ferdig	4258	8132
2004-01-01	NSR04	Status - satt av OD	Ferdig	4260	8133
2004-01-01	SH0401	Status - satt av OD	Ferdig	4261	8134
2004-01-01	SH0402	Status - satt av OD	Ferdig	4262	8135
2004-01-01	ST0402	Status - satt av OD	Ferdig	4263	8136
2004-01-01	ST0403	Status - satt av OD	Ferdig	4264	8137
2004-01-01	ST0404	Status - satt av OD	Ferdig	4265	8138
2004-01-01	ST0405	Status - satt av OD	Ferdig	4266	8139
2004-01-01	ST0406	Status - satt av OD	Ferdig	4267	8140
2004-01-01	ST0407	Status - satt av OD	Ferdig	4268	8141
2004-01-01	ST0408	Status - satt av OD	Ferdig	4269	8142
2004-01-01	ST0409R04A	Status - satt av OD	Ferdig	4270	8143
2004-01-01	ST0410	Status - satt av OD	Ferdig	4271	8144
2004-01-01	ST0411	Status - satt av OD	Ferdig	4272	8145
2004-01-01	ST0412	Status - satt av OD	Ferdig	4273	8146
2004-01-01	ST0413	Status - satt av OD	Ferdig	4274	8147
2004-01-01	ST0451	Status - satt av OD	Ferdig	4275	8148
2004-01-01	ST0452	Status - satt av OD	Ferdig	4276	8149
2004-01-01	ST0453	Status - satt av OD	Ferdig	4277	8150
2004-01-01	ST0454	Status - satt av OD	Ferdig	4278	8151
2004-01-01	ST0455	Status - satt av OD	Ferdig	4279	8152
2004-01-01	VERQ30	Status - satt av OD	Ferdig	4280	8153
2004-01-01	VGCNS0401	Status - satt av OD	Ferdig	4281	8154
2004-01-01	VGCNS0402	Status - satt av OD	Ferdig	4282	8155
2003-01-01	2003 PIERCE 4D	Status - satt av OD	Ferdig	4197	8156
2003-01-01	2DQTIE-2003	Status - satt av OD	Ferdig	4198	8157
2003-01-01	BALQ-02	Status - satt av OD	Ferdig	4199	8158
2003-01-01	BPN0301_1.LOFS-4D	Status - satt av OD	Ferdig	4200	8159
2003-01-01	CENTRAL GRABEN QUAD 30 2003 3D SURVEY	Status - satt av OD	Ferdig	4201	8160
2003-01-01	CP0301	Status - satt av OD	Ferdig	4202	8161
2003-01-01	CP0302	Status - satt av OD	Ferdig	4203	8162
2003-01-01	GRN-2003	Status - satt av OD	Ferdig	4204	8163
2003-01-01	GRS-2003	Status - satt av OD	Ferdig	4205	8164
2003-01-01	MC2D-FAB2003	Status - satt av OD	Ferdig	4206	8165
2003-01-01	MC2D-OLE2003	Status - satt av OD	Ferdig	4207	8166
2003-01-01	MC2D-OV2003	Status - satt av OD	Ferdig	4208	8167
2003-01-01	MC3D-EW2003	Status - satt av OD	Ferdig	4209	8168
2003-01-01	NE03	Status - satt av OD	Ferdig	4210	8169
2003-01-01	NH0301	Status - satt av OD	Ferdig	4211	8170
2003-01-01	NH0302	Status - satt av OD	Ferdig	4212	8171
2003-01-01	NH0302-FT	Status - satt av OD	Ferdig	4213	8172
2003-01-01	NH0303	Status - satt av OD	Ferdig	4214	8173
2003-01-01	NH0304	Status - satt av OD	Ferdig	4215	8174
2003-01-01	NH0311	Status - satt av OD	Ferdig	4216	8175
2003-01-01	NSR-1VOL1NO	Status - satt av OD	Ferdig	4218	8176
2003-01-01	NVI MC-2003	Status - satt av OD	Ferdig	4219	8177
2003-01-01	PENGUIN CLUSTER Q211	Status - satt av OD	Ferdig	4220	8178
2003-01-01	Q3 HILD 03	Status - satt av OD	Ferdig	4221	8179
2003-01-01	SKENE_UK_OBC	Status - satt av OD	Ferdig	4222	8180
2003-01-01	ST0301	Status - satt av OD	Ferdig	4223	8181
2003-01-01	ST0302	Status - satt av OD	Ferdig	4224	8182
2003-01-01	ST0303	Status - satt av OD	Ferdig	4225	8183
2003-01-01	ST0304	Status - satt av OD	Ferdig	4226	8184
2003-01-01	ST0305	Status - satt av OD	Ferdig	4227	8185
2003-01-01	ST0306	Status - satt av OD	Ferdig	4228	8186
2003-01-01	ST0307	Status - satt av OD	Ferdig	4229	8187
2003-01-01	ST0309	Status - satt av OD	Ferdig	4230	8188
2003-01-01	ST0311	Status - satt av OD	Ferdig	4231	8189
2003-01-01	ST0312	Status - satt av OD	Ferdig	4232	8190
2003-01-01	ST0313	Status - satt av OD	Ferdig	4233	8191
2003-01-01	ST0314	Status - satt av OD	Ferdig	4234	8192
2003-01-01	ST0315	Status - satt av OD	Ferdig	4235	8193
2003-01-01	ST0316	Status - satt av OD	Ferdig	4236	8194
2003-01-01	ST0318	Status - satt av OD	Ferdig	4237	8195
2003-01-01	UIO-OBS-03	Status - satt av OD	Ferdig	4238	8196
2003-01-01	VGUH0301	Status - satt av OD	Ferdig	4239	8197
2002-01-01	BPN0201	Status - satt av OD	Ferdig	4151	8198
2002-01-01	BPN0202	Status - satt av OD	Ferdig	4152	8199
2002-01-01	DSC-2002	Status - satt av OD	Ferdig	4153	8200
2002-01-01	EM0201_	Status - satt av OD	Ferdig	4155	8201
2002-01-01	EM0202_	Status - satt av OD	Ferdig	4156	8202
2002-01-01	EM0203_JOTUN_3D_STREAMER	Status - satt av OD	Ferdig	4157	8203
2002-01-01	EM0204 BALDER 3D STREAMER	Status - satt av OD	Ferdig	4158	8204
2002-01-01	EM02-05_FORSETI_OBS	Status - satt av OD	Ferdig	4154	8205
2002-01-01	GRE02	Status - satt av OD	Ferdig	4159	8206
2002-01-01	GRN-2002	Status - satt av OD	Ferdig	4160	8207
2002-01-01	HSW/MS-2002	Status - satt av OD	Ferdig	4161	8208
2002-01-01	ICE02	Status - satt av OD	Ferdig	4162	8209
2002-01-01	IST-OL-02 MCSBL	Status - satt av OD	Ferdig	4163	8210
2002-01-01	IST-SE-02	Status - satt av OD	Ferdig	4164	8211
2002-01-01	MC2D-MG2002	Status - satt av OD	Ferdig	4166	8212
2002-01-01	MC2D-SH0201	Status - satt av OD	Ferdig	4167	8213
2002-01-01	MC2D-SH2002	Status - satt av OD	Ferdig	4168	8214
2002-01-01	MC2D-SOLE2002	Status - satt av OD	Ferdig	4169	8215
2002-01-01	MC3D-MFZ02	Status - satt av OD	Ferdig	4170	8216
2002-01-01	MC3D-MGS2002	Status - satt av OD	Ferdig	4171	8217
2002-01-01	MC3D-VARG2002	Status - satt av OD	Ferdig	4172	8218
2002-01-01	MC3D-WHH2002	Status - satt av OD	Ferdig	4173	8219
2002-01-01	MF-2002	Status - satt av OD	Ferdig	4174	8220
2002-01-01	MFW-2002	Status - satt av OD	Ferdig	4175	8221
2002-01-01	NH0201	Status - satt av OD	Ferdig	4176	8222
2002-01-01	NH0202	Status - satt av OD	Ferdig	4177	8223
2002-01-01	NH0203	Status - satt av OD	Ferdig	4178	8224
2002-01-01	NH0204	Status - satt av OD	Ferdig	4179	8225
2002-01-01	PEN02	Status - satt av OD	Ferdig	4181	8226
2002-01-01	SB0201	Status - satt av OD	Ferdig	4183	8227
2002-01-01	SBL02	Status - satt av OD	Ferdig	4184	8228
2002-01-01	ST0201	Status - satt av OD	Ferdig	4185	8229
2002-01-01	ST0202	Status - satt av OD	Ferdig	4186	8230
2002-01-01	ST0203	Status - satt av OD	Ferdig	4187	8231
2002-01-01	ST0204	Status - satt av OD	Ferdig	4188	8232
2002-01-01	ST0205	Status - satt av OD	Ferdig	4189	8233
2002-01-01	ST0206	Status - satt av OD	Ferdig	4190	8234
2002-01-01	ST0207	Status - satt av OD	Ferdig	4191	8235
2002-01-01	ST0208	Status - satt av OD	Ferdig	4192	8236
2002-01-01	ST0209	Status - satt av OD	Ferdig	4193	8237
2002-01-01	UH02	Status - satt av OD	Ferdig	4194	8238
2002-01-01	UW02	Status - satt av OD	Ferdig	4195	8239
2002-01-01	VGUH0201	Status - satt av OD	Ferdig	4196	8240
2001-01-01	BP0103	Status - satt av OD	Ferdig	4088	8241
2001-01-01	BPN0101	Status - satt av OD	Ferdig	4089	8242
2001-01-01	BPN0102	Status - satt av OD	Ferdig	4090	8243
2001-01-01	BSS01	Status - satt av OD	Ferdig	4091	8244
2001-01-01	BSSD01	Status - satt av OD	Ferdig	4092	8245
2001-01-01	CGAM-01	Status - satt av OD	Ferdig	4093	8246
2001-01-01	CN0101	Status - satt av OD	Ferdig	4094	8247
2001-01-01	EBN01	Status - satt av OD	Ferdig	4095	8248
2001-01-01	EM0101	Status - satt av OD	Ferdig	4097	8249
2001-01-01	EM01-01_BALDER	Status - satt av OD	Ferdig	4096	8250
2001-01-01	EN0101	Status - satt av OD	Ferdig	4098	8251
2001-01-01	IS-CNB-01	Status - satt av OD	Ferdig	4099	8252
2001-01-01	IS-FST-01	Status - satt av OD	Ferdig	4100	8253
2001-01-01	IS-HB-01	Status - satt av OD	Ferdig	4101	8254
2001-01-01	IS-HW-01	Status - satt av OD	Ferdig	4102	8255
2001-01-01	IS-JMR-01	Status - satt av OD	Ferdig	4103	8256
2001-01-01	IS-OVULO 2001	Status - satt av OD	Ferdig	4104	8257
2001-01-01	IS-RHW-01	Status - satt av OD	Ferdig	4105	8258
2001-01-01	IS-YDHS-01	Status - satt av OD	Ferdig	4106	8259
2001-01-01	MC3D-GH2001	Status - satt av OD	Ferdig	4107	8260
2001-01-01	MC3D-MGS2001	Status - satt av OD	Ferdig	4108	8261
2001-01-01	MC3D-MOERE	Status - satt av OD	Ferdig	4109	8262
2001-01-01	MC3D-RIBBAN2001	Status - satt av OD	Ferdig	4110	8263
2001-01-01	NA0102	Status - satt av OD	Ferdig	4112	8264
2001-01-01	NBE-01	Status - satt av OD	Ferdig	4113	8265
2001-01-01	NH0101	Status - satt av OD	Ferdig	4114	8266
2001-01-01	NH0102	Status - satt av OD	Ferdig	4115	8267
2001-01-01	NH0103	Status - satt av OD	Ferdig	4116	8268
2001-01-01	NH0104	Status - satt av OD	Ferdig	4117	8269
2001-01-01	NH0105	Status - satt av OD	Ferdig	4118	8270
2001-01-01	NH0106	Status - satt av OD	Ferdig	4119	8271
2001-01-01	NH0107	Status - satt av OD	Ferdig	4120	8272
2001-01-01	NPD-ODEN-01	Status - satt av OD	Ferdig	4121	8273
2001-01-01	NPD-POLAR-01	Status - satt av OD	Ferdig	4122	8274
2001-01-01	OLW02	Status - satt av OD	Ferdig	4123	8275
2001-01-01	OLWI01	Status - satt av OD	Ferdig	4124	8276
2001-01-01	PG01	Status - satt av OD	Ferdig	4126	8277
2001-01-01	PG01-2D	Status - satt av OD	Ferdig	4125	8278
2001-01-01	SH0101	Status - satt av OD	Ferdig	4127	8279
2001-01-01	SH01S1	Status - satt av OD	Ferdig	4128	8280
2001-01-01	SL-SLIRE01	Status - satt av OD	Ferdig	4129	8281
2001-01-01	ST0101	Status - satt av OD	Ferdig	4130	8282
2001-01-01	ST0102	Status - satt av OD	Ferdig	4131	8283
2001-01-01	ST0103	Status - satt av OD	Ferdig	4132	8284
2001-01-01	ST0104	Status - satt av OD	Ferdig	4133	8285
2001-01-01	ST0105	Status - satt av OD	Ferdig	4134	8286
2001-01-01	ST0106	Status - satt av OD	Ferdig	4135	8287
2001-01-01	ST0109	Status - satt av OD	Ferdig	4136	8288
2001-01-01	ST0110	Status - satt av OD	Ferdig	4137	8289
2001-01-01	ST0113	Status - satt av OD	Ferdig	4138	8290
2001-01-01	ST0114	Status - satt av OD	Ferdig	4139	8291
2001-01-01	ST0115	Status - satt av OD	Ferdig	4140	8292
2001-01-01	ST0116	Status - satt av OD	Ferdig	4141	8293
2001-01-01	ST0117	Status - satt av OD	Ferdig	4142	8294
2001-01-01	ST0118	Status - satt av OD	Ferdig	4143	8295
2001-01-01	TFE0101	Status - satt av OD	Ferdig	4144	8296
2001-01-01	TNE01	Status - satt av OD	Ferdig	4145	8297
2001-01-01	VBRE01	Status - satt av OD	Ferdig	4147	8298
2001-01-01	VERITAS	Status - satt av OD	Ferdig	4148	8299
2000-01-01	AG-MC3D-MBSF-00	Status - satt av OD	Ferdig	4026	8300
2000-01-01	BE2000	Status - satt av OD	Ferdig	4028	8301
2000-01-01	BPN0001	Status - satt av OD	Ferdig	4029	8302
2000-01-01	BPN0002	Status - satt av OD	Ferdig	4030	8303
2000-01-01	BPN0003	Status - satt av OD	Ferdig	4031	8304
2000-01-01	CGWT00	Status - satt av OD	Ferdig	4032	8305
2000-01-01	CHEV01	Status - satt av OD	Ferdig	4033	8306
2000-01-01	DTW2000	Status - satt av OD	Ferdig	4034	8307
2000-01-01	EBN00	Status - satt av OD	Ferdig	4035	8308
2000-01-01	EBS00	Status - satt av OD	Ferdig	4036	8309
2000-01-01	EL0001	Status - satt av OD	Ferdig	4037	8310
2000-01-01	EL0001-2D	Status - satt av OD	Ferdig	4038	8311
2000-01-01	EL0002	Status - satt av OD	Ferdig	4039	8312
2000-01-01	EM00-01	Status - satt av OD	Ferdig	4040	8313
2000-01-01	FSB00	Status - satt av OD	Ferdig	4041	8314
2000-01-01	GPQM	Status - satt av OD	Ferdig	4043	8315
2000-01-01	GP-QMT	Status - satt av OD	Ferdig	4042	8316
2000-01-01	GVF2000	Status - satt av OD	Ferdig	4044	8317
2000-01-01	HB00	Status - satt av OD	Ferdig	4045	8318
2000-01-01	KFW100	Status - satt av OD	Ferdig	4046	8319
2000-01-01	MC3D-DTW2000	Status - satt av OD	Ferdig	4047	8320
2000-01-01	MC3D-FS2000	Status - satt av OD	Ferdig	4048	8321
2000-01-01	MC3D-NNE2000	Status - satt av OD	Ferdig	4049	8322
2000-01-01	N7I00	Status - satt av OD	Ferdig	4051	8323
2000-01-01	NEW DUNBAR	Status - satt av OD	Ferdig	4052	8324
2000-01-01	NH0001	Status - satt av OD	Ferdig	4053	8325
2000-01-01	NH0002	Status - satt av OD	Ferdig	4054	8326
2000-01-01	NH0003	Status - satt av OD	Ferdig	4055	8327
2000-01-01	NH0004	Status - satt av OD	Ferdig	4056	8328
2000-01-01	NH0005	Status - satt av OD	Ferdig	4057	8329
2000-01-01	NH9901	Status - satt av OD	Ferdig	4058	8330
2000-01-01	NPD-LOS-00	Status - satt av OD	Ferdig	4059	8331
2000-01-01	NVG2000	Status - satt av OD	Ferdig	4061	8332
2000-01-01	SH0001	Status - satt av OD	Ferdig	4064	8333
2000-01-01	SSB-2000	Status - satt av OD	Ferdig	4065	8334
2000-01-01	SSE2000	Status - satt av OD	Ferdig	4066	8335
2000-01-01	ST0002	Status - satt av OD	Ferdig	4067	8336
2000-01-01	ST0003	Status - satt av OD	Ferdig	4068	8337
2000-01-01	ST0004	Status - satt av OD	Ferdig	4069	8338
2000-01-01	ST0005	Status - satt av OD	Ferdig	4070	8339
2000-01-01	ST9403-TIME	Status - satt av OD	Ferdig	4071	8340
2000-01-01	SVN00	Status - satt av OD	Ferdig	4072	8341
2000-01-01	SVS00	Status - satt av OD	Ferdig	4073	8342
2000-01-01	SWF2000	Status - satt av OD	Ferdig	4074	8343
2000-01-01	TBS2000	Status - satt av OD	Ferdig	4075	8344
2000-01-01	TNE2000	Status - satt av OD	Ferdig	4076	8345
2000-01-01	TQ3D-STORD	Status - satt av OD	Ferdig	4077	8346
2000-01-01	TQ4C-Q24/25	Status - satt av OD	Ferdig	4078	8347
2000-01-01	TR00	Status - satt av OD	Ferdig	4079	8348
2000-01-01	VSS00	Status - satt av OD	Ferdig	4080	8349
1999-01-01	AG-TBN99	Status - satt av OD	Ferdig	3967	8350
1999-01-01	B9/24-99	Status - satt av OD	Ferdig	3969	8351
1999-01-01	BPA9901	Status - satt av OD	Ferdig	3970	8352
1999-01-01	BPN9902	Status - satt av OD	Ferdig	3971	8353
1999-01-01	DW99	Status - satt av OD	Ferdig	3972	8354
1999-01-01	G4CTP-TQ3D1999	Status - satt av OD	Ferdig	3973	8355
1999-01-01	GJN99	Status - satt av OD	Ferdig	3974	8356
1999-01-01	GJS99	Status - satt av OD	Ferdig	3975	8357
1999-01-01	GNNR99	Status - satt av OD	Ferdig	3977	8358
1999-01-01	GNNR-TQ3D-1999	Status - satt av OD	Ferdig	3976	8359
1999-01-01	GRN-TQ3D-1999	Status - satt av OD	Ferdig	3978	8360
1999-01-01	GRSI99	Status - satt av OD	Ferdig	3979	8361
1999-01-01	GVLO99	Status - satt av OD	Ferdig	3980	8362
1999-01-01	HPSE99	Status - satt av OD	Ferdig	3981	8363
1999-01-01	HTE99	Status - satt av OD	Ferdig	3982	8364
1999-01-01	HTM99	Status - satt av OD	Ferdig	3983	8365
1999-01-01	HTS99	Status - satt av OD	Ferdig	3984	8366
1999-01-01	KFWI99	Status - satt av OD	Ferdig	3985	8367
1999-01-01	MC3D-JHUN99	Status - satt av OD	Ferdig	3986	8368
1999-01-01	MC3D-RHD99	Status - satt av OD	Ferdig	3987	8369
1999-01-01	MD99	Status - satt av OD	Ferdig	3988	8370
1999-01-01	MI99	Status - satt av OD	Ferdig	3989	8371
1999-01-01	MIKKEL EAST	Status - satt av OD	Ferdig	3990	8372
1999-01-01	MN9902	Status - satt av OD	Ferdig	3991	8373
1999-01-01	MNWI99	Status - satt av OD	Ferdig	3992	8374
1999-01-01	MR3D99	Status - satt av OD	Ferdig	3993	8375
1999-01-01	MRD99	Status - satt av OD	Ferdig	3994	8376
1999-01-01	MSI99	Status - satt av OD	Ferdig	3995	8377
1999-01-01	NH9902	Status - satt av OD	Ferdig	3996	8378
1999-01-01	NPD-LOS-99	Status - satt av OD	Ferdig	3997	8379
1999-01-01	NX3D99	Status - satt av OD	Ferdig	4000	8380
1999-01-01	OBS99	Status - satt av OD	Ferdig	4001	8381
1999-01-01	PAM99	Status - satt av OD	Ferdig	4003	8382
1999-01-01	PAM99-2D	Status - satt av OD	Ferdig	4002	8383
1999-01-01	PG99	Status - satt av OD	Ferdig	4004	8384
1999-01-01	PGS-15/12	Status - satt av OD	Ferdig	4005	8385
1999-01-01	PGS-17/12	Status - satt av OD	Ferdig	4006	8386
1999-01-01	PGS-3/6	Status - satt av OD	Ferdig	4007	8387
1999-01-01	Q24-99	Status - satt av OD	Ferdig	4008	8388
1999-01-01	Q899	Status - satt av OD	Ferdig	4009	8389
1999-01-01	SL99	Status - satt av OD	Ferdig	4011	8390
1999-01-01	SLI99	Status - satt av OD	Ferdig	4012	8391
1999-01-01	SRNE99	Status - satt av OD	Ferdig	4013	8392
1999-01-01	SST2000	Status - satt av OD	Ferdig	4014	8393
1999-01-01	ST9901	Status - satt av OD	Ferdig	4015	8394
1999-01-01	ST9902	Status - satt av OD	Ferdig	4016	8395
1999-01-01	ST9903-2D	Status - satt av OD	Ferdig	4017	8396
1999-01-01	ST9904	Status - satt av OD	Ferdig	4018	8397
1999-01-01	ST9905	Status - satt av OD	Ferdig	4019	8398
1999-01-01	ST9906	Status - satt av OD	Ferdig	4020	8399
1999-01-01	ULE99	Status - satt av OD	Ferdig	4022	8400
1999-01-01	VSS99	Status - satt av OD	Ferdig	4023	8401
1999-01-01	YE99	Status - satt av OD	Ferdig	4024	8402
1999-01-01	YFZ99	Status - satt av OD	Ferdig	4025	8403
1998-01-01	ANO9801	Status - satt av OD	Ferdig	3902	8404
1998-01-01	BB98	Status - satt av OD	Ferdig	3903	8405
1998-01-01	DTN98	Status - satt av OD	Ferdig	3904	8406
1998-01-01	FLES98	Status - satt av OD	Ferdig	3905	8407
1998-01-01	FLESQ6605	Status - satt av OD	Ferdig	3906	8408
1998-01-01	FW98	Status - satt av OD	Ferdig	3907	8409
1998-01-01	GRS99	Status - satt av OD	Ferdig	3908	8410
1998-01-01	GSB-98	Status - satt av OD	Ferdig	3909	8411
1998-01-01	HPS98	Status - satt av OD	Ferdig	3910	8412
1998-01-01	JMW99	Status - satt av OD	Ferdig	3911	8413
1998-01-01	KFW98	Status - satt av OD	Ferdig	3912	8414
1998-01-01	MC3D-FLES98	Status - satt av OD	Ferdig	3913	8415
1998-01-01	MC3D-MGW98	Status - satt av OD	Ferdig	3914	8416
1998-01-01	MC3D-OLSE98	Status - satt av OD	Ferdig	3915	8417
1998-01-01	MN4C-98-3	Status - satt av OD	Ferdig	3916	8418
1998-01-01	MNW99	Status - satt av OD	Ferdig	3917	8419
1998-01-01	MRR98	Status - satt av OD	Ferdig	3918	8420
1998-01-01	MS99	Status - satt av OD	Ferdig	3919	8421
1998-01-01	NA9801	Status - satt av OD	Ferdig	3920	8422
1998-01-01	NDC98	Status - satt av OD	Ferdig	3921	8423
1998-01-01	NF-98	Status - satt av OD	Ferdig	3922	8424
1998-01-01	NH9801-GECO	Status - satt av OD	Ferdig	3923	8425
1998-01-01	NH9801-PGS	Status - satt av OD	Ferdig	3924	8426
1998-01-01	NH9802-GECO	Status - satt av OD	Ferdig	3925	8427
1998-01-01	NH9802-PGS	Status - satt av OD	Ferdig	3926	8428
1998-01-01	NH9803	Status - satt av OD	Ferdig	3927	8429
1998-01-01	NH9804	Status - satt av OD	Ferdig	3928	8430
1998-01-01	NH9805	Status - satt av OD	Ferdig	3929	8431
1998-01-01	NH9806	Status - satt av OD	Ferdig	3930	8432
1998-01-01	NH9807	Status - satt av OD	Ferdig	3931	8433
1998-01-01	NH9808	Status - satt av OD	Ferdig	3932	8434
1998-01-01	Q6305	Status - satt av OD	Ferdig	3935	8435
1998-01-01	RHS98	Status - satt av OD	Ferdig	3936	8436
1998-01-01	RSW98	Status - satt av OD	Ferdig	3937	8437
1998-01-01	SBM98	Status - satt av OD	Ferdig	3938	8438
1998-01-01	SG9801	Status - satt av OD	Ferdig	3939	8439
1998-01-01	SG9803	Status - satt av OD	Ferdig	3940	8440
1998-01-01	SG9804	Status - satt av OD	Ferdig	3941	8441
1998-01-01	SG9810	Status - satt av OD	Ferdig	3942	8442
1998-01-01	SG9811	Status - satt av OD	Ferdig	3943	8443
1998-01-01	SG9815	Status - satt av OD	Ferdig	3944	8444
1998-01-01	SG9817	Status - satt av OD	Ferdig	3945	8445
1998-01-01	SH9801	Status - satt av OD	Ferdig	3946	8446
1998-01-01	SHDE98	Status - satt av OD	Ferdig	3947	8447
1998-01-01	SHDEI98	Status - satt av OD	Ferdig	3948	8448
1998-01-01	SKH-II-98	Status - satt av OD	Ferdig	3949	8449
1998-01-01	SL98	Status - satt av OD	Ferdig	3950	8450
1998-01-01	ST98	Status - satt av OD	Ferdig	3951	8451
1998-01-01	ST9802	Status - satt av OD	Ferdig	3952	8452
1998-01-01	ST9804	Status - satt av OD	Ferdig	3953	8453
1998-01-01	ST9807	Status - satt av OD	Ferdig	3954	8454
1998-01-01	ST9811	Status - satt av OD	Ferdig	3955	8455
1998-01-01	ST9811-1001	Status - satt av OD	Ferdig	3956	8456
1998-01-01	ST9811-4001	Status - satt av OD	Ferdig	3957	8457
1998-01-01	ST9818	Status - satt av OD	Ferdig	3958	8458
1998-01-01	STREAMER-TEST-98	Status - satt av OD	Ferdig	3959	8459
1998-01-01	TQ-34/12	Status - satt av OD	Ferdig	3960	8460
1998-01-01	TT98	Status - satt av OD	Ferdig	3961	8461
1998-01-01	UGX98	Status - satt av OD	Ferdig	3962	8462
1998-01-01	UHN98	Status - satt av OD	Ferdig	3963	8463
1998-01-01	V2M98	Status - satt av OD	Ferdig	3964	8464
1998-01-01	VGNT98	Status - satt av OD	Ferdig	3965	8465
1997-01-01	ANO9706	Status - satt av OD	Ferdig	3842	8466
1997-01-01	CGG-ORYX UK 9/5	Status - satt av OD	Ferdig	3844	8467
1997-01-01	E97IE06	Status - satt av OD	Ferdig	3845	8468
1997-01-01	EL9701	Status - satt av OD	Ferdig	3846	8469
1997-01-01	FBI97	Status - satt av OD	Ferdig	3847	8470
1997-01-01	GSP97	Status - satt av OD	Ferdig	3848	8471
1997-01-01	HT97	Status - satt av OD	Ferdig	3849	8472
1997-01-01	JMF97	Status - satt av OD	Ferdig	3850	8473
1997-01-01	MC3D-JHT98	Status - satt av OD	Ferdig	3851	8474
1997-01-01	MMI97	Status - satt av OD	Ferdig	3852	8475
1997-01-01	MN9704	Status - satt av OD	Ferdig	3853	8476
1997-01-01	MN9705	Status - satt av OD	Ferdig	3854	8477
1997-01-01	MS97	Status - satt av OD	Ferdig	3855	8478
1997-01-01	NA9701	Status - satt av OD	Ferdig	3856	8479
1997-01-01	NA9702	Status - satt av OD	Ferdig	3857	8480
1997-01-01	NGI98	Status - satt av OD	Ferdig	3858	8481
1997-01-01	NH9701	Status - satt av OD	Ferdig	3859	8482
1997-01-01	NH9702	Status - satt av OD	Ferdig	3860	8483
1997-01-01	NH9703	Status - satt av OD	Ferdig	3861	8484
1997-01-01	NH9704	Status - satt av OD	Ferdig	3862	8485
1997-01-01	NH9706	Status - satt av OD	Ferdig	3863	8486
1997-01-01	NODAB-97	Status - satt av OD	Ferdig	3864	8487
1997-01-01	NP97	Status - satt av OD	Ferdig	3865	8488
1997-01-01	NPD-KYST-97	Status - satt av OD	Ferdig	3866	8489
1997-01-01	NPD-MOFF-97	Status - satt av OD	Ferdig	3867	8490
1997-01-01	NPD-NF-97	Status - satt av OD	Ferdig	3868	8491
1997-01-01	Q497	Status - satt av OD	Ferdig	3869	8492
1997-01-01	SB-4C	Status - satt av OD	Ferdig	3870	8493
1997-01-01	SG9701	Status - satt av OD	Ferdig	3871	8494
1997-01-01	SG9703	Status - satt av OD	Ferdig	3872	8495
1997-01-01	SG9707	Status - satt av OD	Ferdig	3873	8496
1997-01-01	SG9711	Status - satt av OD	Ferdig	3874	8497
1997-01-01	SG9714	Status - satt av OD	Ferdig	3875	8498
1997-01-01	SG9715	Status - satt av OD	Ferdig	3876	8499
1997-01-01	SG9717	Status - satt av OD	Ferdig	3877	8500
1997-01-01	SG9718	Status - satt av OD	Ferdig	3878	8501
1997-01-01	SHD97	Status - satt av OD	Ferdig	3879	8502
1997-01-01	SPB97	Status - satt av OD	Ferdig	3880	8503
1997-01-01	ST9702	Status - satt av OD	Ferdig	3881	8504
1997-01-01	ST9703	Status - satt av OD	Ferdig	3882	8505
1997-01-01	ST9704	Status - satt av OD	Ferdig	3883	8506
1997-01-01	ST9705	Status - satt av OD	Ferdig	3884	8507
1997-01-01	ST9706	Status - satt av OD	Ferdig	3885	8508
1997-01-01	ST9707	Status - satt av OD	Ferdig	3886	8509
1997-01-01	ST9711	Status - satt av OD	Ferdig	3887	8510
1997-01-01	ST9712	Status - satt av OD	Ferdig	3888	8511
1997-01-01	ST9713	Status - satt av OD	Ferdig	3889	8512
1997-01-01	ST9714	Status - satt av OD	Ferdig	3890	8513
1997-01-01	ST9715	Status - satt av OD	Ferdig	3891	8514
1997-01-01	ST9717	Status - satt av OD	Ferdig	3892	8515
1997-01-01	ST9718	Status - satt av OD	Ferdig	3893	8516
1997-01-01	ST9718RS	Status - satt av OD	Ferdig	3894	8517
1997-01-01	ST9719	Status - satt av OD	Ferdig	3895	8518
1997-01-01	STAR97	Status - satt av OD	Ferdig	3896	8519
1997-01-01	UG97	Status - satt av OD	Ferdig	3897	8520
1997-01-01	UGI98	Status - satt av OD	Ferdig	3898	8521
1997-01-01	WESTERN 24/12	Status - satt av OD	Ferdig	3899	8522
1996-01-01	AMN9601	Status - satt av OD	Ferdig	3751	8523
1996-01-01	ANO9601	Status - satt av OD	Ferdig	3752	8524
1996-01-01	ANO9602	Status - satt av OD	Ferdig	3753	8525
1996-01-01	BPN9601	Status - satt av OD	Ferdig	3755	8526
1996-01-01	BPN9602	Status - satt av OD	Ferdig	3756	8527
1996-01-01	BPN9603	Status - satt av OD	Ferdig	3757	8528
1996-01-01	CGME96	Status - satt av OD	Ferdig	3758	8529
1996-01-01	DT97	Status - satt av OD	Ferdig	3759	8530
1996-01-01	EC4C-2D 1996	Status - satt av OD	Ferdig	3760	8531
1996-01-01	EMW96	Status - satt av OD	Ferdig	3761	8532
1996-01-01	ES9601	Status - satt av OD	Ferdig	3762	8533
1996-01-01	G-9603	Status - satt av OD	Ferdig	3763	8534
1996-01-01	GVIB96	Status - satt av OD	Ferdig	3764	8535
1996-01-01	HWE96	Status - satt av OD	Ferdig	3765	8536
1996-01-01	JS-TESS96	Status - satt av OD	Ferdig	3766	8537
1996-01-01	MC3D 34_1	Status - satt av OD	Ferdig	3767	8538
1996-01-01	MC3D-211-19	Status - satt av OD	Ferdig	3768	8539
1996-01-01	MC3D-BLOCK 16_1	Status - satt av OD	Ferdig	3769	8540
1996-01-01	MC3D-Q4	Status - satt av OD	Ferdig	3770	8541
1996-01-01	MCQ3N PHASE C	Status - satt av OD	Ferdig	3771	8542
1996-01-01	MN96	Status - satt av OD	Ferdig	3773	8543
1996-01-01	MN9601	Status - satt av OD	Ferdig	3774	8544
1996-01-01	MN9602	Status - satt av OD	Ferdig	3775	8545
1996-01-01	MN9604	Status - satt av OD	Ferdig	3776	8546
1996-01-01	MWT96	Status - satt av OD	Ferdig	3777	8547
1996-01-01	N2N3T96	Status - satt av OD	Ferdig	3778	8548
1996-01-01	N3RE96	Status - satt av OD	Ferdig	3779	8549
1996-01-01	NBS96	Status - satt av OD	Ferdig	3780	8550
1996-01-01	NDBRE96	Status - satt av OD	Ferdig	3781	8551
1996-01-01	NDT96	Status - satt av OD	Ferdig	3782	8552
1996-01-01	NH9601	Status - satt av OD	Ferdig	3783	8553
1996-01-01	NH9602	Status - satt av OD	Ferdig	3784	8554
1996-01-01	NH9603	Status - satt av OD	Ferdig	3785	8555
1996-01-01	NH9604	Status - satt av OD	Ferdig	3786	8556
1996-01-01	NH9605	Status - satt av OD	Ferdig	3787	8557
1996-01-01	NH9607	Status - satt av OD	Ferdig	3788	8558
1996-01-01	NH9608	Status - satt av OD	Ferdig	3789	8559
1996-01-01	NH9611	Status - satt av OD	Ferdig	3790	8560
1996-01-01	NHE96	Status - satt av OD	Ferdig	3791	8561
1996-01-01	NPD-HB-96	Status - satt av OD	Ferdig	3792	8562
1996-01-01	NPD-HV-96	Status - satt av OD	Ferdig	3793	8563
1996-01-01	NPD-KONG-96	Status - satt av OD	Ferdig	3794	8564
1996-01-01	NPD-KYST-96	Status - satt av OD	Ferdig	3795	8565
1996-01-01	NRM96	Status - satt av OD	Ferdig	3796	8566
1996-01-01	PGS9601N	Status - satt av OD	Ferdig	3797	8567
1996-01-01	RHW96	Status - satt av OD	Ferdig	3798	8568
1996-01-01	SAS-96	Status - satt av OD	Ferdig	3799	8569
1996-01-01	SBDE96	Status - satt av OD	Ferdig	3800	8570
1996-01-01	SBDF96	Status - satt av OD	Ferdig	3801	8571
1996-01-01	SET96	Status - satt av OD	Ferdig	3802	8572
1996-01-01	SG9601	Status - satt av OD	Ferdig	3804	8573
1996-01-01	SG9604	Status - satt av OD	Ferdig	3806	8574
1996-01-01	SG9604-2D	Status - satt av OD	Ferdig	3805	8575
1996-01-01	SG9605	Status - satt av OD	Ferdig	3807	8576
1996-01-01	SG9606	Status - satt av OD	Ferdig	3808	8577
1996-01-01	SG9608	Status - satt av OD	Ferdig	3809	8578
1996-01-01	SG-9608	Status - satt av OD	Ferdig	3803	8579
1996-01-01	SG9613	Status - satt av OD	Ferdig	3810	8580
1996-01-01	SG9614	Status - satt av OD	Ferdig	3811	8581
1996-01-01	SG9615	Status - satt av OD	Ferdig	3812	8582
1996-01-01	SG9616	Status - satt av OD	Ferdig	3813	8583
1996-01-01	SG9617	Status - satt av OD	Ferdig	3814	8584
1996-01-01	SG9618	Status - satt av OD	Ferdig	3815	8585
1996-01-01	SG9619	Status - satt av OD	Ferdig	3816	8586
1996-01-01	SG9620	Status - satt av OD	Ferdig	3817	8587
1996-01-01	SG9621	Status - satt av OD	Ferdig	3818	8588
1996-01-01	SG9623	Status - satt av OD	Ferdig	3819	8589
1996-01-01	SG9624	Status - satt av OD	Ferdig	3820	8590
1996-01-01	SG9629	Status - satt av OD	Ferdig	3821	8591
1996-01-01	SG9706	Status - satt av OD	Ferdig	3822	8592
1996-01-01	SH9601	Status - satt av OD	Ferdig	3823	8593
1996-01-01	SH9602	Status - satt av OD	Ferdig	3824	8594
1996-01-01	SH9603	Status - satt av OD	Ferdig	3825	8595
1996-01-01	SIRI-RCM	Status - satt av OD	Ferdig	3826	8596
1996-01-01	SKH96	Status - satt av OD	Ferdig	3827	8597
1996-01-01	ST9601	Status - satt av OD	Ferdig	3828	8598
1996-01-01	ST9602	Status - satt av OD	Ferdig	3829	8599
1996-01-01	ST9603	Status - satt av OD	Ferdig	3830	8600
1996-01-01	ST9604	Status - satt av OD	Ferdig	3831	8601
1996-01-01	ST9607	Status - satt av OD	Ferdig	3832	8602
1996-01-01	SYDPOL96	Status - satt av OD	Ferdig	3833	8603
1996-01-01	UP96	Status - satt av OD	Ferdig	3835	8604
1996-01-01	V2R96	Status - satt av OD	Ferdig	3836	8605
1996-01-01	VDS96	Status - satt av OD	Ferdig	3837	8606
1996-01-01	WG96GNH	Status - satt av OD	Ferdig	3838	8607
1996-01-01	WG96GRH	Status - satt av OD	Ferdig	3839	8608
1996-01-01	WG96ONH	Status - satt av OD	Ferdig	3840	8609
1996-01-01	WG96VOR	Status - satt av OD	Ferdig	3841	8610
1995-01-01	BPN9501	Status - satt av OD	Ferdig	3706	8611
1995-01-01	DG-95	Status - satt av OD	Ferdig	3707	8612
1995-01-01	EL9501	Status - satt av OD	Ferdig	3708	8613
1995-01-01	ES9501	Status - satt av OD	Ferdig	3709	8614
1995-01-01	FFC95	Status - satt av OD	Ferdig	3710	8615
1995-01-01	FI9501	Status - satt av OD	Ferdig	3711	8616
1995-01-01	GOM-95	Status - satt av OD	Ferdig	3712	8617
1995-01-01	GSES-95	Status - satt av OD	Ferdig	3713	8618
1995-01-01	HWE95	Status - satt av OD	Ferdig	3714	8619
1995-01-01	MC3D-Q34	Status - satt av OD	Ferdig	3715	8620
1995-01-01	MCQ9-95-3D	Status - satt av OD	Ferdig	3716	8621
1995-01-01	MCQ9E-95-3D	Status - satt av OD	Ferdig	3717	8622
1995-01-01	MM95	Status - satt av OD	Ferdig	3718	8623
1995-01-01	NLGS-95	Status - satt av OD	Ferdig	3719	8624
1995-01-01	NPD-LISTA/JAEREN-95	Status - satt av OD	Ferdig	3720	8625
1995-01-01	NPD-NS-95	Status - satt av OD	Ferdig	3721	8626
1995-01-01	NPD-SK-95	Status - satt av OD	Ferdig	3722	8627
1995-01-01	NYKE95	Status - satt av OD	Ferdig	3723	8628
1995-01-01	PAG95	Status - satt av OD	Ferdig	3724	8629
1995-01-01	PPCO-2/10	Status - satt av OD	Ferdig	3725	8630
1995-01-01	RSD95	Status - satt av OD	Ferdig	3726	8631
1995-01-01	SBD95	Status - satt av OD	Ferdig	3727	8632
1995-01-01	SBT95	Status - satt av OD	Ferdig	3728	8633
1995-01-01	SG9406	Status - satt av OD	Ferdig	3729	8634
1995-01-01	SG9501	Status - satt av OD	Ferdig	3730	8635
1995-01-01	SG9502	Status - satt av OD	Ferdig	3731	8636
1995-01-01	SG9507	Status - satt av OD	Ferdig	3733	8637
1995-01-01	SG9507-2D	Status - satt av OD	Ferdig	3732	8638
1995-01-01	SG9514	Status - satt av OD	Ferdig	3734	8639
1995-01-01	SG9516	Status - satt av OD	Ferdig	3735	8640
1995-01-01	SH9501	Status - satt av OD	Ferdig	3736	8641
1995-01-01	SH9502	Status - satt av OD	Ferdig	3737	8642
1995-01-01	SH9503	Status - satt av OD	Ferdig	3738	8643
1995-01-01	SH9506	Status - satt av OD	Ferdig	3739	8644
1995-01-01	ST9503	Status - satt av OD	Ferdig	3740	8645
1995-01-01	ST9508	Status - satt av OD	Ferdig	3741	8646
1995-01-01	ST9511	Status - satt av OD	Ferdig	3742	8647
1995-01-01	TBN96	Status - satt av OD	Ferdig	3743	8648
1995-01-01	TQ3D BLOCK 24/9	Status - satt av OD	Ferdig	3744	8649
1995-01-01	UH3D95	Status - satt av OD	Ferdig	3745	8650
1995-01-01	VDS95	Status - satt av OD	Ferdig	3746	8651
1995-01-01	VGET-95	Status - satt av OD	Ferdig	3747	8652
1995-01-01	VHM95	Status - satt av OD	Ferdig	3748	8653
1995-01-01	VMT95	Status - satt av OD	Ferdig	3749	8654
1994-01-01	ANO-9401	Status - satt av OD	Ferdig	3633	8655
1994-01-01	ANO9403	Status - satt av OD	Ferdig	3634	8656
1994-01-01	BPN9301	Status - satt av OD	Ferdig	3635	8657
1994-01-01	BPN9401	Status - satt av OD	Ferdig	3636	8658
1994-01-01	CN-6306	Status - satt av OD	Ferdig	3638	8659
1994-01-01	CN-6306-2D	Status - satt av OD	Ferdig	3637	8660
1994-01-01	CN-6507-94	Status - satt av OD	Ferdig	3639	8661
1994-01-01	CTM94	Status - satt av OD	Ferdig	3640	8662
1994-01-01	EL-9401	Status - satt av OD	Ferdig	3641	8663
1994-01-01	ES9401	Status - satt av OD	Ferdig	3642	8664
1994-01-01	ES9402	Status - satt av OD	Ferdig	3643	8665
1994-01-01	ES9403	Status - satt av OD	Ferdig	3644	8666
1994-01-01	GGR-94	Status - satt av OD	Ferdig	3645	8667
1994-01-01	GGRI-94	Status - satt av OD	Ferdig	3646	8668
1994-01-01	GMM-94	Status - satt av OD	Ferdig	3647	8669
1994-01-01	GMME-94	Status - satt av OD	Ferdig	3648	8670
1994-01-01	GMME-94-2	Status - satt av OD	Ferdig	3649	8671
1994-01-01	GMNR-94	Status - satt av OD	Ferdig	3650	8672
1994-01-01	GUGM-94	Status - satt av OD	Ferdig	3651	8673
1994-01-01	HHA94	Status - satt av OD	Ferdig	3652	8674
1994-01-01	HWM94	Status - satt av OD	Ferdig	3653	8675
1994-01-01	MC3D-34-06	Status - satt av OD	Ferdig	3654	8676
1994-01-01	MC3D-35/7	Status - satt av OD	Ferdig	3655	8677
1994-01-01	MC3D-35/7N	Status - satt av OD	Ferdig	3656	8678
1994-01-01	MC3D-CGMNOR-94	Status - satt av OD	Ferdig	3658	8679
1994-01-01	MC3D-CGM-Q7	Status - satt av OD	Ferdig	3657	8680
1994-01-01	MC3D-Q15	Status - satt av OD	Ferdig	3659	8681
1994-01-01	MCQ3-94-3D	Status - satt av OD	Ferdig	3660	8682
1994-01-01	MN9401	Status - satt av OD	Ferdig	3661	8683
1994-01-01	MN9401-Q	Status - satt av OD	Ferdig	3662	8684
1994-01-01	MS-94	Status - satt av OD	Ferdig	3663	8685
1994-01-01	N1P-94	Status - satt av OD	Ferdig	3664	8686
1994-01-01	N3-94	Status - satt av OD	Ferdig	3665	8687
1994-01-01	N4RE-94	Status - satt av OD	Ferdig	3666	8688
1994-01-01	N5-94	Status - satt av OD	Ferdig	3667	8689
1994-01-01	N6RE-94	Status - satt av OD	Ferdig	3668	8690
1994-01-01	N6SDI-94	Status - satt av OD	Ferdig	3669	8691
1994-01-01	N6ST-94	Status - satt av OD	Ferdig	3670	8692
1994-01-01	NA-94-3D	Status - satt av OD	Ferdig	3671	8693
1994-01-01	NDBT-94	Status - satt av OD	Ferdig	3672	8694
1994-01-01	NH81-RE94	Status - satt av OD	Ferdig	3673	8695
1994-01-01	NH9401	Status - satt av OD	Ferdig	3674	8696
1994-01-01	NH9402	Status - satt av OD	Ferdig	3675	8697
1994-01-01	NH9405	Status - satt av OD	Ferdig	3676	8698
1994-01-01	NH9406	Status - satt av OD	Ferdig	3677	8699
1994-01-01	NPD-BA-94	Status - satt av OD	Ferdig	3678	8700
1994-01-01	NRT94	Status - satt av OD	Ferdig	3679	8701
1994-01-01	SG9401	Status - satt av OD	Ferdig	3680	8702
1994-01-01	SG9404	Status - satt av OD	Ferdig	3681	8703
1994-01-01	SG9405	Status - satt av OD	Ferdig	3683	8704
1994-01-01	SG9405-2D	Status - satt av OD	Ferdig	3682	8705
1994-01-01	SPT-MBR-94	Status - satt av OD	Ferdig	3684	8706
1994-01-01	ST9403	Status - satt av OD	Ferdig	3685	8707
1994-01-01	ST9404	Status - satt av OD	Ferdig	3686	8708
1994-01-01	ST9405	Status - satt av OD	Ferdig	3687	8709
1994-01-01	ST9406	Status - satt av OD	Ferdig	3688	8710
1994-01-01	ST9407	Status - satt av OD	Ferdig	3689	8711
1994-01-01	ST9409	Status - satt av OD	Ferdig	3690	8712
1994-01-01	ST9410	Status - satt av OD	Ferdig	3691	8713
1994-01-01	ST9411	Status - satt av OD	Ferdig	3692	8714
1994-01-01	ST9413	Status - satt av OD	Ferdig	3693	8715
1994-01-01	ST9414	Status - satt av OD	Ferdig	3694	8716
1994-01-01	ST9415	Status - satt av OD	Ferdig	3695	8717
1994-01-01	STT-94	Status - satt av OD	Ferdig	3696	8718
1994-01-01	SVG-TQ3D	Status - satt av OD	Ferdig	3697	8719
1994-01-01	TPNE-94	Status - satt av OD	Ferdig	3698	8720
1994-01-01	TQ65-94	Status - satt av OD	Ferdig	3699	8721
1994-01-01	UH-94	Status - satt av OD	Ferdig	3700	8722
1994-01-01	VBT-94	Status - satt av OD	Ferdig	3701	8723
1994-01-01	VEMA94	Status - satt av OD	Ferdig	3702	8724
1994-01-01	VH-94	Status - satt av OD	Ferdig	3703	8725
1994-01-01	VRN-94	Status - satt av OD	Ferdig	3704	8726
1993-01-01	CN193	Status - satt av OD	Ferdig	3577	8727
1993-01-01	CN25_93	Status - satt av OD	Ferdig	3578	8728
1993-01-01	CVGT-93	Status - satt av OD	Ferdig	3579	8729
1993-01-01	EL-9301	Status - satt av OD	Ferdig	3580	8730
1993-01-01	EL-9302	Status - satt av OD	Ferdig	3581	8731
1993-01-01	EL-9303	Status - satt av OD	Ferdig	3582	8732
1993-01-01	GA-2DX-93	Status - satt av OD	Ferdig	3583	8733
1993-01-01	GA3D-93	Status - satt av OD	Ferdig	3584	8734
1993-01-01	GFR-93	Status - satt av OD	Ferdig	3585	8735
1993-01-01	GMA-92	Status - satt av OD	Ferdig	3586	8736
1993-01-01	GP3D93	Status - satt av OD	Ferdig	3587	8737
1993-01-01	GP3D93-EW	Status - satt av OD	Ferdig	3588	8738
1993-01-01	GSDT-93	Status - satt av OD	Ferdig	3589	8739
1993-01-01	GVGS-93	Status - satt av OD	Ferdig	3590	8740
1993-01-01	HGST-93	Status - satt av OD	Ferdig	3591	8741
1993-01-01	HNW-93	Status - satt av OD	Ferdig	3592	8742
1993-01-01	HRT93	Status - satt av OD	Ferdig	3593	8743
1993-01-01	JHS-93	Status - satt av OD	Ferdig	3594	8744
1993-01-01	LTM-93	Status - satt av OD	Ferdig	3595	8745
1993-01-01	MN9201	Status - satt av OD	Ferdig	3596	8746
1993-01-01	N4PZ93	Status - satt av OD	Ferdig	3597	8747
1993-01-01	N6SD-93	Status - satt av OD	Ferdig	3598	8748
1993-01-01	NH9301	Status - satt av OD	Ferdig	3599	8749
1993-01-01	NH9302	Status - satt av OD	Ferdig	3600	8750
1993-01-01	NH9303	Status - satt av OD	Ferdig	3601	8751
1993-01-01	NH9304	Status - satt av OD	Ferdig	3602	8752
1993-01-01	NPD-MOFF-93	Status - satt av OD	Ferdig	3603	8753
1993-01-01	NPD-NF-93	Status - satt av OD	Ferdig	3604	8754
1993-01-01	NPD-SB2-93	Status - satt av OD	Ferdig	3605	8755
1993-01-01	NPD-SENT-93	Status - satt av OD	Ferdig	3606	8756
1993-01-01	NPD-SPIB-93	Status - satt av OD	Ferdig	3607	8757
1993-01-01	NPD-STOB-93	Status - satt av OD	Ferdig	3608	8758
1993-01-01	NPD-VB-93	Status - satt av OD	Ferdig	3609	8759
1993-01-01	NRI-93	Status - satt av OD	Ferdig	3610	8760
1993-01-01	OWI93	Status - satt av OD	Ferdig	3611	8761
1993-01-01	PG93	Status - satt av OD	Ferdig	3612	8762
1993-01-01	RB-93	Status - satt av OD	Ferdig	3613	8763
1993-01-01	SE-93	Status - satt av OD	Ferdig	3614	8764
1993-01-01	SG9304	Status - satt av OD	Ferdig	3615	8765
1993-01-01	SG9308	Status - satt av OD	Ferdig	3616	8766
1993-01-01	SG9309	Status - satt av OD	Ferdig	3617	8767
1993-01-01	SG9312	Status - satt av OD	Ferdig	3618	8768
1993-01-01	SG9312S	Status - satt av OD	Ferdig	3619	8769
1993-01-01	SH9301	Status - satt av OD	Ferdig	3620	8770
1993-01-01	SH9302	Status - satt av OD	Ferdig	3621	8771
1993-01-01	SH9303	Status - satt av OD	Ferdig	3622	8772
1993-01-01	SPT-93	Status - satt av OD	Ferdig	3623	8773
1993-01-01	ST9301	Status - satt av OD	Ferdig	3625	8774
1993-01-01	ST9301-2D	Status - satt av OD	Ferdig	3624	8775
1993-01-01	ST9302	Status - satt av OD	Ferdig	3626	8776
1993-01-01	ST9303	Status - satt av OD	Ferdig	3627	8777
1993-01-01	ST9304	Status - satt av OD	Ferdig	3628	8778
1993-01-01	ST9305	Status - satt av OD	Ferdig	3629	8779
1993-01-01	ST9313	Status - satt av OD	Ferdig	3630	8780
1993-01-01	TBM93	Status - satt av OD	Ferdig	3631	8781
1993-01-01	VIWT93	Status - satt av OD	Ferdig	3632	8782
1992-01-01	5CCG-92-S	Status - satt av OD	Ferdig	3476	8783
1992-01-01	AHN9207	Status - satt av OD	Ferdig	3477	8784
1992-01-01	AHN9234	Status - satt av OD	Ferdig	3478	8785
1992-01-01	AHN9235	Status - satt av OD	Ferdig	3479	8786
1992-01-01	ANO1-9201	Status - satt av OD	Ferdig	3482	8787
1992-01-01	ANO9201	Status - satt av OD	Ferdig	3483	8788
1992-01-01	ANO-9203	Status - satt av OD	Ferdig	3480	8789
1992-01-01	ANO-9204	Status - satt av OD	Ferdig	3481	8790
1992-01-01	ARM-92	Status - satt av OD	Ferdig	3484	8791
1992-01-01	BI92	Status - satt av OD	Ferdig	3486	8792
1992-01-01	BPN9201	Status - satt av OD	Ferdig	3487	8793
1992-01-01	BPN9202	Status - satt av OD	Ferdig	3488	8794
1992-01-01	CN-92	Status - satt av OD	Ferdig	3489	8795
1992-01-01	CN-9202	Status - satt av OD	Ferdig	3490	8796
1992-01-01	EL-9201	Status - satt av OD	Ferdig	3491	8797
1992-01-01	EL-9202	Status - satt av OD	Ferdig	3492	8798
1992-01-01	EN-9201	Status - satt av OD	Ferdig	3493	8799
1992-01-01	ET-92	Status - satt av OD	Ferdig	3494	8800
1992-01-01	EU-92	Status - satt av OD	Ferdig	3495	8801
1992-01-01	FB92	Status - satt av OD	Ferdig	3496	8802
1992-01-01	FH-92	Status - satt av OD	Ferdig	3497	8803
1992-01-01	FI-92	Status - satt av OD	Ferdig	3498	8804
1992-01-01	FTDE-92	Status - satt av OD	Ferdig	3499	8805
1992-01-01	FTDEI-92	Status - satt av OD	Ferdig	3500	8806
1992-01-01	G-33/6-92	Status - satt av OD	Ferdig	3501	8807
1992-01-01	GFED-92	Status - satt av OD	Ferdig	3502	8808
1992-01-01	GHFC-92	Status - satt av OD	Ferdig	3503	8809
1992-01-01	GLD-92	Status - satt av OD	Ferdig	3504	8810
1992-01-01	GLDI-92	Status - satt av OD	Ferdig	3505	8811
1992-01-01	GMH-92	Status - satt av OD	Ferdig	3506	8812
1992-01-01	GNRM-92	Status - satt av OD	Ferdig	3507	8813
1992-01-01	GNRW-92	Status - satt av OD	Ferdig	3508	8814
1992-01-01	GNVG-92	Status - satt av OD	Ferdig	3509	8815
1992-01-01	GQ30-92	Status - satt av OD	Ferdig	3510	8816
1992-01-01	GSD-92	Status - satt av OD	Ferdig	3511	8817
1992-01-01	GUHI-92	Status - satt av OD	Ferdig	3512	8818
1992-01-01	GVN-92	Status - satt av OD	Ferdig	3513	8819
1992-01-01	L92-211	Status - satt av OD	Ferdig	3514	8820
1992-01-01	MA-92	Status - satt av OD	Ferdig	3515	8821
1992-01-01	MDI-92	Status - satt av OD	Ferdig	3516	8822
1992-01-01	MN9201-2D	Status - satt av OD	Ferdig	3517	8823
1992-01-01	MN9202	Status - satt av OD	Ferdig	3518	8824
1992-01-01	MN9203	Status - satt av OD	Ferdig	3519	8825
1992-01-01	MN9205	Status - satt av OD	Ferdig	3520	8826
1992-01-01	MN9206	Status - satt av OD	Ferdig	3521	8827
1992-01-01	MNT-92	Status - satt av OD	Ferdig	3522	8828
1992-01-01	MT-92	Status - satt av OD	Ferdig	3523	8829
1992-01-01	N4-92	Status - satt av OD	Ferdig	3524	8830
1992-01-01	N6-92	Status - satt av OD	Ferdig	3525	8831
1992-01-01	N6T-92	Status - satt av OD	Ferdig	3526	8832
1992-01-01	N7-92	Status - satt av OD	Ferdig	3527	8833
1992-01-01	NH9201	Status - satt av OD	Ferdig	3528	8834
1992-01-01	NH9202	Status - satt av OD	Ferdig	3529	8835
1992-01-01	NH9202RS	Status - satt av OD	Ferdig	3530	8836
1992-01-01	NH9203	Status - satt av OD	Ferdig	3531	8837
1992-01-01	NH9204	Status - satt av OD	Ferdig	3532	8838
1992-01-01	NH9205	Status - satt av OD	Ferdig	3533	8839
1992-01-01	NH9207	Status - satt av OD	Ferdig	3534	8840
1992-01-01	NH9208	Status - satt av OD	Ferdig	3535	8841
1992-01-01	NH9209	Status - satt av OD	Ferdig	3536	8842
1992-01-01	NH9210	Status - satt av OD	Ferdig	3537	8843
1992-01-01	NOA-92	Status - satt av OD	Ferdig	3538	8844
1992-01-01	NPD-MB-92	Status - satt av OD	Ferdig	3539	8845
1992-01-01	NPD-NF-92	Status - satt av OD	Ferdig	3540	8846
1992-01-01	NPD-NOR2-92	Status - satt av OD	Ferdig	3541	8847
1992-01-01	NPD-SPIB-92	Status - satt av OD	Ferdig	3542	8848
1992-01-01	NRT92	Status - satt av OD	Ferdig	3543	8849
1992-01-01	NVGTI-2-92	Status - satt av OD	Ferdig	3544	8850
1992-01-01	NVGTI-3-92	Status - satt av OD	Ferdig	3545	8851
1992-01-01	OW92	Status - satt av OD	Ferdig	3546	8852
1992-01-01	SG9201	Status - satt av OD	Ferdig	3547	8853
1992-01-01	SG9202	Status - satt av OD	Ferdig	3548	8854
1992-01-01	SG9205	Status - satt av OD	Ferdig	3549	8855
1992-01-01	SG9206	Status - satt av OD	Ferdig	3550	8856
1992-01-01	SG9208	Status - satt av OD	Ferdig	3551	8857
1992-01-01	SG9209	Status - satt av OD	Ferdig	3552	8858
1992-01-01	SGT-92	Status - satt av OD	Ferdig	3553	8859
1992-01-01	SH9202	Status - satt av OD	Ferdig	3554	8860
1992-01-01	SH9203	Status - satt av OD	Ferdig	3555	8861
1992-01-01	SH9204	Status - satt av OD	Ferdig	3556	8862
1992-01-01	SHN-92	Status - satt av OD	Ferdig	3557	8863
1992-01-01	SSI-92	Status - satt av OD	Ferdig	3558	8864
1992-01-01	ST9201	Status - satt av OD	Ferdig	3559	8865
1992-01-01	ST9202	Status - satt av OD	Ferdig	3560	8866
1992-01-01	ST9203	Status - satt av OD	Ferdig	3561	8867
1992-01-01	ST9206	Status - satt av OD	Ferdig	3562	8868
1992-01-01	ST9207	Status - satt av OD	Ferdig	3563	8869
1992-01-01	ST9208	Status - satt av OD	Ferdig	3564	8870
1992-01-01	ST9208-TEST	Status - satt av OD	Ferdig	3565	8871
1992-01-01	ST9211	Status - satt av OD	Ferdig	3566	8872
1992-01-01	ST9215	Status - satt av OD	Ferdig	3567	8873
1992-01-01	ST9216	Status - satt av OD	Ferdig	3568	8874
1992-01-01	TE93	Status - satt av OD	Ferdig	3569	8875
1992-01-01	TNW-92	Status - satt av OD	Ferdig	3570	8876
1992-01-01	TO-9201-3D	Status - satt av OD	Ferdig	3571	8877
1992-01-01	UHP-92	Status - satt av OD	Ferdig	3572	8878
1992-01-01	VG-92	Status - satt av OD	Ferdig	3574	8879
1992-01-01	WGS-24/12	Status - satt av OD	Ferdig	3576	8880
1992-01-01	WGS-24-12	Status - satt av OD	Ferdig	3575	8881
1991-01-01	AHN9102	Status - satt av OD	Ferdig	3358	8882
1991-01-01	AHN9133	Status - satt av OD	Ferdig	3359	8883
1991-01-01	ANO-9101	Status - satt av OD	Ferdig	3360	8884
1991-01-01	BBI-91	Status - satt av OD	Ferdig	3362	8885
1991-01-01	BPN7-91	Status - satt av OD	Ferdig	3363	8886
1991-01-01	BPN8401	Status - satt av OD	Ferdig	3365	8887
1991-01-01	BPN8-91	Status - satt av OD	Ferdig	3364	8888
1991-01-01	BPN9102	Status - satt av OD	Ferdig	3366	8889
1991-01-01	BPN9104	Status - satt av OD	Ferdig	3367	8890
1991-01-01	BPN9111	Status - satt av OD	Ferdig	3369	8891
1991-01-01	BPN9111-2D	Status - satt av OD	Ferdig	3368	8892
1991-01-01	BSD91	Status - satt av OD	Ferdig	3370	8893
1991-01-01	CT-91	Status - satt av OD	Ferdig	3371	8894
1991-01-01	DG-91	Status - satt av OD	Ferdig	3372	8895
1991-01-01	DG-91-3D	Status - satt av OD	Ferdig	3373	8896
1991-01-01	DX91-156	Status - satt av OD	Ferdig	3374	8897
1991-01-01	DX91-156-1	Status - satt av OD	Ferdig	3375	8898
1991-01-01	EL-9101	Status - satt av OD	Ferdig	3376	8899
1991-01-01	EL-9102	Status - satt av OD	Ferdig	3377	8900
1991-01-01	EL-9103	Status - satt av OD	Ferdig	3378	8901
1991-01-01	EL-9104	Status - satt av OD	Ferdig	3379	8902
1991-01-01	EL-9105	Status - satt av OD	Ferdig	3380	8903
1991-01-01	EL-9106	Status - satt av OD	Ferdig	3381	8904
1991-01-01	EP-91	Status - satt av OD	Ferdig	3382	8905
1991-01-01	EP-91-1	Status - satt av OD	Ferdig	3383	8906
1991-01-01	FH-91	Status - satt av OD	Ferdig	3384	8907
1991-01-01	FHM-91	Status - satt av OD	Ferdig	3385	8908
1991-01-01	G-3/4-91	Status - satt av OD	Ferdig	3386	8909
1991-01-01	G-9/4-91	Status - satt av OD	Ferdig	3387	8910
1991-01-01	GGE-91	Status - satt av OD	Ferdig	3388	8911
1991-01-01	GGW-91	Status - satt av OD	Ferdig	3389	8912
1991-01-01	GMSI-91	Status - satt av OD	Ferdig	3390	8913
1991-01-01	GNSR-91	Status - satt av OD	Ferdig	3391	8914
1991-01-01	HRT91	Status - satt av OD	Ferdig	3392	8915
1991-01-01	HT91	Status - satt av OD	Ferdig	3393	8916
1991-01-01	HW-91	Status - satt av OD	Ferdig	3394	8917
1991-01-01	MN9101	Status - satt av OD	Ferdig	3395	8918
1991-01-01	MN9102	Status - satt av OD	Ferdig	3396	8919
1991-01-01	MN9103	Status - satt av OD	Ferdig	3397	8920
1991-01-01	MN9104	Status - satt av OD	Ferdig	3398	8921
1991-01-01	MN9105	Status - satt av OD	Ferdig	3399	8922
1991-01-01	MN9106	Status - satt av OD	Ferdig	3400	8923
1991-01-01	MNTST91	Status - satt av OD	Ferdig	3401	8924
1991-01-01	N6D-92	Status - satt av OD	Ferdig	3402	8925
1991-01-01	N7D-92	Status - satt av OD	Ferdig	3403	8926
1991-01-01	NH9102	Status - satt av OD	Ferdig	3404	8927
1991-01-01	NH9103	Status - satt av OD	Ferdig	3405	8928
1991-01-01	NH9106	Status - satt av OD	Ferdig	3406	8929
1991-01-01	NH9107	Status - satt av OD	Ferdig	3407	8930
1991-01-01	NH9109	Status - satt av OD	Ferdig	3408	8931
1991-01-01	NH9110	Status - satt av OD	Ferdig	3409	8932
1991-01-01	NH9111	Status - satt av OD	Ferdig	3411	8933
1991-01-01	NH9111-2D	Status - satt av OD	Ferdig	3410	8934
1991-01-01	NHP-91	Status - satt av OD	Ferdig	3412	8935
1991-01-01	NOD6I-91	Status - satt av OD	Ferdig	3413	8936
1991-01-01	NPD-MB-91	Status - satt av OD	Ferdig	3414	8937
1991-01-01	NPD-NF-91	Status - satt av OD	Ferdig	3415	8938
1991-01-01	NPD-NS-91	Status - satt av OD	Ferdig	3416	8939
1991-01-01	NPD-SPIB-91	Status - satt av OD	Ferdig	3417	8940
1991-01-01	NPD-STOB-91	Status - satt av OD	Ferdig	3418	8941
1991-01-01	NPD-VØRB-91	Status - satt av OD	Ferdig	3419	8942
1991-01-01	NPTN92	Status - satt av OD	Ferdig	3420	8943
1991-01-01	NPTS92	Status - satt av OD	Ferdig	3421	8944
1991-01-01	NSB-91	Status - satt av OD	Ferdig	3422	8945
1991-01-01	NVG-91-3D	Status - satt av OD	Ferdig	3423	8946
1991-01-01	NVGTI-92	Status - satt av OD	Ferdig	3424	8947
1991-01-01	ORYX-91	Status - satt av OD	Ferdig	3425	8948
1991-01-01	PG91	Status - satt av OD	Ferdig	3426	8949
1991-01-01	SG9101	Status - satt av OD	Ferdig	3427	8950
1991-01-01	SG9102	Status - satt av OD	Ferdig	3428	8951
1991-01-01	SG9105	Status - satt av OD	Ferdig	3429	8952
1991-01-01	SG9106	Status - satt av OD	Ferdig	3430	8953
1991-01-01	SG9107	Status - satt av OD	Ferdig	3432	8954
1991-01-01	SG9107-2D	Status - satt av OD	Ferdig	3431	8955
1991-01-01	SG9110	Status - satt av OD	Ferdig	3433	8956
1991-01-01	SG9111	Status - satt av OD	Ferdig	3434	8957
1991-01-01	SG9113	Status - satt av OD	Ferdig	3435	8958
1991-01-01	SG9115	Status - satt av OD	Ferdig	3436	8959
1991-01-01	SH9001	Status - satt av OD	Ferdig	3438	8960
1991-01-01	SH9101	Status - satt av OD	Ferdig	3439	8961
1991-01-01	SH9102	Status - satt av OD	Ferdig	3441	8962
1991-01-01	SH9102-2D	Status - satt av OD	Ferdig	3440	8963
1991-01-01	SH9103	Status - satt av OD	Ferdig	3442	8964
1991-01-01	SH9104	Status - satt av OD	Ferdig	3443	8965
1991-01-01	SH9106	Status - satt av OD	Ferdig	3444	8966
1991-01-01	SH-9106-3D	Status - satt av OD	Ferdig	3437	8967
1991-01-01	SHN-91	Status - satt av OD	Ferdig	3445	8968
1991-01-01	SHP-91	Status - satt av OD	Ferdig	3446	8969
1991-01-01	SS91	Status - satt av OD	Ferdig	3447	8970
1991-01-01	SSI-91	Status - satt av OD	Ferdig	3448	8971
1991-01-01	SSW-91	Status - satt av OD	Ferdig	3449	8972
1991-01-01	ST9101	Status - satt av OD	Ferdig	3450	8973
1991-01-01	ST9102	Status - satt av OD	Ferdig	3451	8974
1991-01-01	ST9103	Status - satt av OD	Ferdig	3452	8975
1991-01-01	ST9104	Status - satt av OD	Ferdig	3453	8976
1991-01-01	ST9105	Status - satt av OD	Ferdig	3454	8977
1991-01-01	ST9106	Status - satt av OD	Ferdig	3455	8978
1991-01-01	ST9107	Status - satt av OD	Ferdig	3456	8979
1991-01-01	ST9108	Status - satt av OD	Ferdig	3457	8980
1991-01-01	ST9109	Status - satt av OD	Ferdig	3458	8981
1991-01-01	ST9111	Status - satt av OD	Ferdig	3459	8982
1991-01-01	ST9112	Status - satt av OD	Ferdig	3460	8983
1991-01-01	ST9113	Status - satt av OD	Ferdig	3461	8984
1991-01-01	ST9114	Status - satt av OD	Ferdig	3462	8985
1991-01-01	SVA-91	Status - satt av OD	Ferdig	3463	8986
1991-01-01	TFE-91	Status - satt av OD	Ferdig	3464	8987
1991-01-01	TFE-91-3D	Status - satt av OD	Ferdig	3465	8988
1991-01-01	TO-9101-3D	Status - satt av OD	Ferdig	3466	8989
1991-01-01	TO9102	Status - satt av OD	Ferdig	3467	8990
1991-01-01	TS91	Status - satt av OD	Ferdig	3468	8991
1991-01-01	TSD-91	Status - satt av OD	Ferdig	3469	8992
1991-01-01	TSN-91	Status - satt av OD	Ferdig	3470	8993
1991-01-01	TW-91	Status - satt av OD	Ferdig	3471	8994
1991-01-01	TW91GE	Status - satt av OD	Ferdig	3472	8995
1991-01-01	UHP-91	Status - satt av OD	Ferdig	3473	8996
1991-01-01	VG-91-3D	Status - satt av OD	Ferdig	3474	8997
1991-01-01	VGI-91	Status - satt av OD	Ferdig	3475	8998
1990-01-01	AHN9002	Status - satt av OD	Ferdig	3304	8999
1990-01-01	AHN9035	Status - satt av OD	Ferdig	3305	9000
1990-01-01	ANO-9001	Status - satt av OD	Ferdig	3306	9001
1990-01-01	CAST-90	Status - satt av OD	Ferdig	3309	9002
1990-01-01	EB90	Status - satt av OD	Ferdig	3310	9003
1990-01-01	EL-9001	Status - satt av OD	Ferdig	3311	9004
1990-01-01	EU-90	Status - satt av OD	Ferdig	3312	9005
1990-01-01	FEC90	Status - satt av OD	Ferdig	3314	9006
1990-01-01	FEC-IKU-90	Status - satt av OD	Ferdig	3313	9007
1990-01-01	FRDE-90	Status - satt av OD	Ferdig	3315	9008
1990-01-01	FTDE-91	Status - satt av OD	Ferdig	3316	9009
1990-01-01	GSD-90	Status - satt av OD	Ferdig	3317	9010
1990-01-01	GVH-90	Status - satt av OD	Ferdig	3318	9011
1990-01-01	IKU-LO-90	Status - satt av OD	Ferdig	3319	9012
1990-01-01	MM90	Status - satt av OD	Ferdig	3320	9013
1990-01-01	MN9001	Status - satt av OD	Ferdig	3321	9014
1990-01-01	MN9002	Status - satt av OD	Ferdig	3322	9015
1990-01-01	MN9003	Status - satt av OD	Ferdig	3323	9016
1990-01-01	MN9004	Status - satt av OD	Ferdig	3324	9017
1990-01-01	NBGS-90	Status - satt av OD	Ferdig	3325	9018
1990-01-01	NEST-90	Status - satt av OD	Ferdig	3326	9019
1990-01-01	NH9001	Status - satt av OD	Ferdig	3328	9020
1990-01-01	NH9001-2D	Status - satt av OD	Ferdig	3327	9021
1990-01-01	NH9005	Status - satt av OD	Ferdig	3329	9022
1990-01-01	NH9008	Status - satt av OD	Ferdig	3330	9023
1990-01-01	NH9009	Status - satt av OD	Ferdig	3331	9024
1990-01-01	NH9010	Status - satt av OD	Ferdig	3332	9025
1990-01-01	NH9101	Status - satt av OD	Ferdig	3333	9026
1990-01-01	NPD-MB-90	Status - satt av OD	Ferdig	3334	9027
1990-01-01	NPD-MOFF-90	Status - satt av OD	Ferdig	3335	9028
1990-01-01	NPD-NS-90	Status - satt av OD	Ferdig	3336	9029
1990-01-01	NPD-STOB-90	Status - satt av OD	Ferdig	3337	9030
1990-01-01	NPD-VØRB-90	Status - satt av OD	Ferdig	3338	9031
1990-01-01	PH-90	Status - satt av OD	Ferdig	3339	9032
1990-01-01	RITA-90	Status - satt av OD	Ferdig	3340	9033
1990-01-01	SG9009	Status - satt av OD	Ferdig	3341	9034
1990-01-01	SH-8912-3D	Status - satt av OD	Ferdig	3342	9035
1990-01-01	SH9002	Status - satt av OD	Ferdig	3344	9036
1990-01-01	SH9002-2D	Status - satt av OD	Ferdig	3343	9037
1990-01-01	SH9003	Status - satt av OD	Ferdig	3345	9038
1990-01-01	SH9004	Status - satt av OD	Ferdig	3346	9039
1990-01-01	SSE-91	Status - satt av OD	Ferdig	3347	9040
1990-01-01	ST9002	Status - satt av OD	Ferdig	3349	9041
1990-01-01	ST9002-2D	Status - satt av OD	Ferdig	3348	9042
1990-01-01	ST9006	Status - satt av OD	Ferdig	3350	9043
1990-01-01	ST9007	Status - satt av OD	Ferdig	3351	9044
1990-01-01	ST9008	Status - satt av OD	Ferdig	3352	9045
1990-01-01	ST9009	Status - satt av OD	Ferdig	3353	9046
1990-01-01	TE90	Status - satt av OD	Ferdig	3354	9047
1990-01-01	TGS90	Status - satt av OD	Ferdig	3355	9048
1990-01-01	TO9000	Status - satt av OD	Ferdig	3356	9049
1990-01-01	UK-90	Status - satt av OD	Ferdig	3357	9050
1989-01-01	AHN8930	Status - satt av OD	Ferdig	3196	9051
1989-01-01	AMGC-189	Status - satt av OD	Ferdig	3197	9052
1989-01-01	AMGC-289	Status - satt av OD	Ferdig	3198	9053
1989-01-01	AMGC-389	Status - satt av OD	Ferdig	3199	9054
1989-01-01	ANO-8901	Status - satt av OD	Ferdig	3200	9055
1989-01-01	AWI-ANT89	Status - satt av OD	Ferdig	3201	9056
1989-01-01	BPCNS-89	Status - satt av OD	Ferdig	3202	9057
1989-01-01	BPN8803	Status - satt av OD	Ferdig	3203	9058
1989-01-01	BPN8901	Status - satt av OD	Ferdig	3204	9059
1989-01-01	BPN8902	Status - satt av OD	Ferdig	3205	9060
1989-01-01	CA-89	Status - satt av OD	Ferdig	3206	9061
1989-01-01	CAST-89	Status - satt av OD	Ferdig	3207	9062
1989-01-01	CBP-1689	Status - satt av OD	Ferdig	3208	9063
1989-01-01	CGDT-89	Status - satt av OD	Ferdig	3209	9064
1989-01-01	CGDT-TEST	Status - satt av OD	Ferdig	3210	9065
1989-01-01	E-89I	Status - satt av OD	Ferdig	3211	9066
1989-01-01	EL-8902	Status - satt av OD	Ferdig	3212	9067
1989-01-01	EN-8901	Status - satt av OD	Ferdig	3213	9068
1989-01-01	ESBT-89	Status - satt av OD	Ferdig	3214	9069
1989-01-01	EU-89	Status - satt av OD	Ferdig	3215	9070
1989-01-01	EU-89-1	Status - satt av OD	Ferdig	3216	9071
1989-01-01	FEC89	Status - satt av OD	Ferdig	3217	9072
1989-01-01	FI89	Status - satt av OD	Ferdig	3220	9073
1989-01-01	FI-89	Status - satt av OD	Ferdig	3218	9074
1989-01-01	FIUK89	Status - satt av OD	Ferdig	3221	9075
1989-01-01	FI-UK89-3D	Status - satt av OD	Ferdig	3219	9076
1989-01-01	FSB-89	Status - satt av OD	Ferdig	3222	9077
1989-01-01	FTD-89	Status - satt av OD	Ferdig	3223	9078
1989-01-01	GBWI-89	Status - satt av OD	Ferdig	3224	9079
1989-01-01	GBWI-E89	Status - satt av OD	Ferdig	3225	9080
1989-01-01	GE8901	Status - satt av OD	Ferdig	3226	9081
1989-01-01	GE8902	Status - satt av OD	Ferdig	3227	9082
1989-01-01	GES-89	Status - satt av OD	Ferdig	3228	9083
1989-01-01	LHSG-89	Status - satt av OD	Ferdig	3229	9084
1989-01-01	MD-89	Status - satt av OD	Ferdig	3230	9085
1989-01-01	MN89	Status - satt av OD	Ferdig	3231	9086
1989-01-01	MN89-1	Status - satt av OD	Ferdig	3232	9087
1989-01-01	MN89-10	Status - satt av OD	Ferdig	3233	9088
1989-01-01	MN89-11	Status - satt av OD	Ferdig	3234	9089
1989-01-01	MN89-12	Status - satt av OD	Ferdig	3235	9090
1989-01-01	MN89-13	Status - satt av OD	Ferdig	3236	9091
1989-01-01	MN89-14	Status - satt av OD	Ferdig	3237	9092
1989-01-01	MN89-2	Status - satt av OD	Ferdig	3238	9093
1989-01-01	MN89-3	Status - satt av OD	Ferdig	3239	9094
1989-01-01	MN89-4	Status - satt av OD	Ferdig	3240	9095
1989-01-01	MN89-5	Status - satt av OD	Ferdig	3241	9096
1989-01-01	MN89-6	Status - satt av OD	Ferdig	3242	9097
1989-01-01	MN89-7	Status - satt av OD	Ferdig	3243	9098
1989-01-01	MN89-8	Status - satt av OD	Ferdig	3244	9099
1989-01-01	MN89-9	Status - satt av OD	Ferdig	3245	9100
1989-01-01	NBNC90	Status - satt av OD	Ferdig	3246	9101
1989-01-01	NEB-89	Status - satt av OD	Ferdig	3247	9102
1989-01-01	NH8901	Status - satt av OD	Ferdig	3248	9103
1989-01-01	NH8902	Status - satt av OD	Ferdig	3250	9104
1989-01-01	NH8902-2D	Status - satt av OD	Ferdig	3249	9105
1989-01-01	NH8903	Status - satt av OD	Ferdig	3251	9106
1989-01-01	NH8904	Status - satt av OD	Ferdig	3252	9107
1989-01-01	NH8906	Status - satt av OD	Ferdig	3253	9108
1989-01-01	NH8907	Status - satt av OD	Ferdig	3254	9109
1989-01-01	NH8908	Status - satt av OD	Ferdig	3255	9110
1989-01-01	NNS-89	Status - satt av OD	Ferdig	3256	9111
1989-01-01	NPD-LOFO-89	Status - satt av OD	Ferdig	3257	9112
1989-01-01	NPD-MOFF-89	Status - satt av OD	Ferdig	3258	9113
1989-01-01	NPD-NS-89	Status - satt av OD	Ferdig	3259	9114
1989-01-01	NPD-SB-89	Status - satt av OD	Ferdig	3260	9115
1989-01-01	NPD-SPIB-89	Status - satt av OD	Ferdig	3261	9116
1989-01-01	NPD-STOB-89	Status - satt av OD	Ferdig	3262	9117
1989-01-01	NPD-VØRB-89	Status - satt av OD	Ferdig	3263	9118
1989-01-01	NQ9-89	Status - satt av OD	Ferdig	3264	9119
1989-01-01	NVGP-89	Status - satt av OD	Ferdig	3265	9120
1989-01-01	PC8802	Status - satt av OD	Ferdig	3266	9121
1989-01-01	SE-89	Status - satt av OD	Ferdig	3267	9122
1989-01-01	SG8910	Status - satt av OD	Ferdig	3268	9123
1989-01-01	SG8952	Status - satt av OD	Ferdig	3269	9124
1989-01-01	SG8956	Status - satt av OD	Ferdig	3270	9125
1989-01-01	SG8962	Status - satt av OD	Ferdig	3271	9126
1989-01-01	SG8964	Status - satt av OD	Ferdig	3272	9127
1989-01-01	SG8965	Status - satt av OD	Ferdig	3273	9128
1989-01-01	SG8967	Status - satt av OD	Ferdig	3274	9129
1989-01-01	SG8970	Status - satt av OD	Ferdig	3275	9130
1989-01-01	SG8971	Status - satt av OD	Ferdig	3276	9131
1989-01-01	SH8901	Status - satt av OD	Ferdig	3277	9132
1989-01-01	SH8902	Status - satt av OD	Ferdig	3278	9133
1989-01-01	SH8903	Status - satt av OD	Ferdig	3279	9134
1989-01-01	SH8904	Status - satt av OD	Ferdig	3280	9135
1989-01-01	SH8905	Status - satt av OD	Ferdig	3281	9136
1989-01-01	SH8906	Status - satt av OD	Ferdig	3282	9137
1989-01-01	SH8907	Status - satt av OD	Ferdig	3283	9138
1989-01-01	SH8908	Status - satt av OD	Ferdig	3284	9139
1989-01-01	SH8909	Status - satt av OD	Ferdig	3285	9140
1989-01-01	SH8910	Status - satt av OD	Ferdig	3286	9141
1989-01-01	SH8911	Status - satt av OD	Ferdig	3287	9142
1989-01-01	SMB-88	Status - satt av OD	Ferdig	3288	9143
1989-01-01	SOTD-90	Status - satt av OD	Ferdig	3289	9144
1989-01-01	SSD-89	Status - satt av OD	Ferdig	3290	9145
1989-01-01	ST8901	Status - satt av OD	Ferdig	3291	9146
1989-01-01	ST8902	Status - satt av OD	Ferdig	3292	9147
1989-01-01	ST8903	Status - satt av OD	Ferdig	3293	9148
1989-01-01	ST8904	Status - satt av OD	Ferdig	3294	9149
1989-01-01	ST8905	Status - satt av OD	Ferdig	3295	9150
1989-01-01	ST8906	Status - satt av OD	Ferdig	3296	9151
1989-01-01	ST8907	Status - satt av OD	Ferdig	3297	9152
1989-01-01	ST8908	Status - satt av OD	Ferdig	3298	9153
1989-01-01	T-89	Status - satt av OD	Ferdig	3299	9154
1989-01-01	TSE-89	Status - satt av OD	Ferdig	3300	9155
1989-01-01	UK-89	Status - satt av OD	Ferdig	3301	9156
1989-01-01	VGD-89	Status - satt av OD	Ferdig	3302	9157
1989-01-01	VGST-89	Status - satt av OD	Ferdig	3303	9158
1988-01-01	AHL8822	Status - satt av OD	Ferdig	3079	9159
1988-01-01	AN88-9Q6-1	Status - satt av OD	Ferdig	3080	9160
1988-01-01	AN88-9Q6-2	Status - satt av OD	Ferdig	3081	9161
1988-01-01	AN88-9Q6-3	Status - satt av OD	Ferdig	3082	9162
1988-01-01	AN88-9Q6-4	Status - satt av OD	Ferdig	3083	9163
1988-01-01	B-88	Status - satt av OD	Ferdig	3084	9164
1988-01-01	BP-88	Status - satt av OD	Ferdig	3085	9165
1988-01-01	BP-88-2	Status - satt av OD	Ferdig	3086	9166
1988-01-01	BPN8801	Status - satt av OD	Ferdig	3087	9167
1988-01-01	BPN8802	Status - satt av OD	Ferdig	3088	9168
1988-01-01	BPN8804	Status - satt av OD	Ferdig	3089	9169
1988-01-01	CN1-88	Status - satt av OD	Ferdig	3090	9170
1988-01-01	EB-88	Status - satt av OD	Ferdig	3091	9171
1988-01-01	EL88	Status - satt av OD	Ferdig	3103	9172
1988-01-01	EL-88	Status - satt av OD	Ferdig	3092	9173
1988-01-01	EL-8801	Status - satt av OD	Ferdig	3093	9174
1988-01-01	EL-8802	Status - satt av OD	Ferdig	3094	9175
1988-01-01	EL-8803	Status - satt av OD	Ferdig	3095	9176
1988-01-01	EL-8804	Status - satt av OD	Ferdig	3096	9177
1988-01-01	EL-8806	Status - satt av OD	Ferdig	3097	9178
1988-01-01	EL-8807	Status - satt av OD	Ferdig	3099	9179
1988-01-01	EL-8807-2D	Status - satt av OD	Ferdig	3098	9180
1988-01-01	EL-8808	Status - satt av OD	Ferdig	3100	9181
1988-01-01	EL-8809	Status - satt av OD	Ferdig	3101	9182
1988-01-01	EL-8811	Status - satt av OD	Ferdig	3102	9183
1988-01-01	EU-88	Status - satt av OD	Ferdig	3104	9184
1988-01-01	F88-24-9	Status - satt av OD	Ferdig	3105	9185
1988-01-01	F88-24-9-1	Status - satt av OD	Ferdig	3106	9186
1988-01-01	F88-24-9-2	Status - satt av OD	Ferdig	3107	9187
1988-01-01	F88-3	Status - satt av OD	Ferdig	3108	9188
1988-01-01	F88-30	Status - satt av OD	Ferdig	3109	9189
1988-01-01	FRD-88	Status - satt av OD	Ferdig	3110	9190
1988-01-01	FSB-88	Status - satt av OD	Ferdig	3111	9191
1988-01-01	G2/6-88	Status - satt av OD	Ferdig	3112	9192
1988-01-01	GBW-88	Status - satt av OD	Ferdig	3113	9193
1988-01-01	GEBB-88	Status - satt av OD	Ferdig	3114	9194
1988-01-01	GUH-88	Status - satt av OD	Ferdig	3115	9195
1988-01-01	GVW-88	Status - satt av OD	Ferdig	3116	9196
1988-01-01	HD1-88	Status - satt av OD	Ferdig	3117	9197
1988-01-01	HR-89	Status - satt av OD	Ferdig	3118	9198
1988-01-01	MD-88	Status - satt av OD	Ferdig	3119	9199
1988-01-01	MN88	Status - satt av OD	Ferdig	3120	9200
1988-01-01	MN88-1	Status - satt av OD	Ferdig	3121	9201
1988-01-01	MN88-2	Status - satt av OD	Ferdig	3122	9202
1988-01-01	MN88-3	Status - satt av OD	Ferdig	3123	9203
1988-01-01	MN88-4	Status - satt av OD	Ferdig	3124	9204
1988-01-01	MN88-5	Status - satt av OD	Ferdig	3125	9205
1988-01-01	MN88-6	Status - satt av OD	Ferdig	3126	9206
1988-01-01	MNT-88	Status - satt av OD	Ferdig	3127	9207
1988-01-01	NG26-88	Status - satt av OD	Ferdig	3128	9208
1988-01-01	NH8801	Status - satt av OD	Ferdig	3130	9209
1988-01-01	NH8801-2D	Status - satt av OD	Ferdig	3129	9210
1988-01-01	NH8802	Status - satt av OD	Ferdig	3131	9211
1988-01-01	NH8803	Status - satt av OD	Ferdig	3132	9212
1988-01-01	NH8804	Status - satt av OD	Ferdig	3133	9213
1988-01-01	NH8806	Status - satt av OD	Ferdig	3134	9214
1988-01-01	NH8807	Status - satt av OD	Ferdig	3135	9215
1988-01-01	NH8831	Status - satt av OD	Ferdig	3136	9216
1988-01-01	NOD10-88	Status - satt av OD	Ferdig	3137	9217
1988-01-01	NOD9-88	Status - satt av OD	Ferdig	3138	9218
1988-01-01	NPD-BA-88	Status - satt av OD	Ferdig	3139	9219
1988-01-01	NPD-HOP-88	Status - satt av OD	Ferdig	3140	9220
1988-01-01	NPD-JM-88	Status - satt av OD	Ferdig	3141	9221
1988-01-01	NPD-LOFO-88	Status - satt av OD	Ferdig	3142	9222
1988-01-01	NPD-MB-88	Status - satt av OD	Ferdig	3143	9223
1988-01-01	NPD-TR-88	Status - satt av OD	Ferdig	3144	9224
1988-01-01	NPD-VØRB-88	Status - satt av OD	Ferdig	3145	9225
1988-01-01	NVGT-88	Status - satt av OD	Ferdig	3146	9226
1988-01-01	PC88	Status - satt av OD	Ferdig	3148	9227
1988-01-01	PC-88	Status - satt av OD	Ferdig	3147	9228
1988-01-01	SG8803	Status - satt av OD	Ferdig	3150	9229
1988-01-01	SG8820	Status - satt av OD	Ferdig	3151	9230
1988-01-01	SG8821	Status - satt av OD	Ferdig	3152	9231
1988-01-01	SG8837	Status - satt av OD	Ferdig	3153	9232
1988-01-01	SG8848	Status - satt av OD	Ferdig	3154	9233
1988-01-01	SG8851	Status - satt av OD	Ferdig	3155	9234
1988-01-01	SG8871	Status - satt av OD	Ferdig	3156	9235
1988-01-01	SH8801	Status - satt av OD	Ferdig	3158	9236
1988-01-01	SH8802	Status - satt av OD	Ferdig	3159	9237
1988-01-01	SH8803	Status - satt av OD	Ferdig	3160	9238
1988-01-01	SH8804	Status - satt av OD	Ferdig	3161	9239
1988-01-01	SH8805	Status - satt av OD	Ferdig	3162	9240
1988-01-01	SH8806	Status - satt av OD	Ferdig	3163	9241
1988-01-01	SH8807	Status - satt av OD	Ferdig	3164	9242
1988-01-01	SH8808	Status - satt av OD	Ferdig	3165	9243
1988-01-01	SH8809	Status - satt av OD	Ferdig	3166	9244
1988-01-01	SH8810	Status - satt av OD	Ferdig	3167	9245
1988-01-01	SH8811	Status - satt av OD	Ferdig	3168	9246
1988-01-01	SH-88-9	Status - satt av OD	Ferdig	3157	9247
1988-01-01	ST8720	Status - satt av OD	Ferdig	3169	9248
1988-01-01	ST8801	Status - satt av OD	Ferdig	3170	9249
1988-01-01	ST8802	Status - satt av OD	Ferdig	3171	9250
1988-01-01	ST8803	Status - satt av OD	Ferdig	3172	9251
1988-01-01	ST8804	Status - satt av OD	Ferdig	3173	9252
1988-01-01	ST8805	Status - satt av OD	Ferdig	3174	9253
1988-01-01	ST8806	Status - satt av OD	Ferdig	3175	9254
1988-01-01	ST8807	Status - satt av OD	Ferdig	3176	9255
1988-01-01	ST8808	Status - satt av OD	Ferdig	3177	9256
1988-01-01	ST8809	Status - satt av OD	Ferdig	3178	9257
1988-01-01	ST8810	Status - satt av OD	Ferdig	3179	9258
1988-01-01	ST8811	Status - satt av OD	Ferdig	3180	9259
1988-01-01	ST8812	Status - satt av OD	Ferdig	3181	9260
1988-01-01	ST8813	Status - satt av OD	Ferdig	3182	9261
1988-01-01	ST8814	Status - satt av OD	Ferdig	3183	9262
1988-01-01	ST8815	Status - satt av OD	Ferdig	3184	9263
1988-01-01	ST8817	Status - satt av OD	Ferdig	3185	9264
1988-01-01	ST8818	Status - satt av OD	Ferdig	3186	9265
1988-01-01	ST8819	Status - satt av OD	Ferdig	3187	9266
1988-01-01	ST8820	Status - satt av OD	Ferdig	3188	9267
1988-01-01	ST8821	Status - satt av OD	Ferdig	3189	9268
1988-01-01	ST8822	Status - satt av OD	Ferdig	3190	9269
1988-01-01	ST8823	Status - satt av OD	Ferdig	3191	9270
1988-01-01	ST8825	Status - satt av OD	Ferdig	3192	9271
1988-01-01	ST8826	Status - satt av OD	Ferdig	3193	9272
1988-01-01	TO-8813-3D	Status - satt av OD	Ferdig	3194	9273
1987-01-01	AHN8702	Status - satt av OD	Ferdig	2924	9274
1987-01-01	AHN8703	Status - satt av OD	Ferdig	2925	9275
1987-01-01	AHN8707	Status - satt av OD	Ferdig	2926	9276
1987-01-01	ANO-8701	Status - satt av OD	Ferdig	2927	9277
1987-01-01	B6-87	Status - satt av OD	Ferdig	2929	9278
1987-01-01	BAL-87	Status - satt av OD	Ferdig	2930	9279
1987-01-01	BB-87	Status - satt av OD	Ferdig	2931	9280
1987-01-01	BP-87-1	Status - satt av OD	Ferdig	2932	9281
1987-01-01	BP87-3	Status - satt av OD	Ferdig	2936	9282
1987-01-01	BP-87-4	Status - satt av OD	Ferdig	2933	9283
1987-01-01	BP-87-5	Status - satt av OD	Ferdig	2934	9284
1987-01-01	BP-87-6	Status - satt av OD	Ferdig	2935	9285
1987-01-01	BPGC-87	Status - satt av OD	Ferdig	2937	9286
1987-01-01	BPN8702	Status - satt av OD	Ferdig	2938	9287
1987-01-01	BPN8703	Status - satt av OD	Ferdig	2939	9288
1987-01-01	BPN8704	Status - satt av OD	Ferdig	2940	9289
1987-01-01	CN87-6408	Status - satt av OD	Ferdig	2941	9290
1987-01-01	DGM2-88	Status - satt av OD	Ferdig	2942	9291
1987-01-01	DGM2-88-2D	Status - satt av OD	Ferdig	2943	9292
1987-01-01	EL-8701	Status - satt av OD	Ferdig	2944	9293
1987-01-01	EL-8702	Status - satt av OD	Ferdig	2945	9294
1987-01-01	EL-8703	Status - satt av OD	Ferdig	2946	9295
1987-01-01	EL-8704	Status - satt av OD	Ferdig	2947	9296
1987-01-01	EL-8705	Status - satt av OD	Ferdig	2948	9297
1987-01-01	EL-8706	Status - satt av OD	Ferdig	2950	9298
1987-01-01	EL-8706-2D	Status - satt av OD	Ferdig	2949	9299
1987-01-01	EL-8707	Status - satt av OD	Ferdig	2951	9300
1987-01-01	EL-8708	Status - satt av OD	Ferdig	2952	9301
1987-01-01	EL-8709	Status - satt av OD	Ferdig	2953	9302
1987-01-01	ELD87	Status - satt av OD	Ferdig	2954	9303
1987-01-01	EU-87	Status - satt av OD	Ferdig	2955	9304
1987-01-01	EU-87B	Status - satt av OD	Ferdig	2956	9305
1987-01-01	F87-15	Status - satt av OD	Ferdig	2957	9306
1987-01-01	F87-25	Status - satt av OD	Ferdig	2958	9307
1987-01-01	F87-30	Status - satt av OD	Ferdig	2959	9308
1987-01-01	F87-33	Status - satt av OD	Ferdig	2960	9309
1987-01-01	GE8701	Status - satt av OD	Ferdig	2961	9310
1987-01-01	GFNS-87	Status - satt av OD	Ferdig	2962	9311
1987-01-01	GFW1-I87	Status - satt av OD	Ferdig	2963	9312
1987-01-01	GLR3-87	Status - satt av OD	Ferdig	2964	9313
1987-01-01	GNB-87	Status - satt av OD	Ferdig	2965	9314
1987-01-01	IKU-87-FI	Status - satt av OD	Ferdig	2966	9315
1987-01-01	IKU-87-MT	Status - satt av OD	Ferdig	2967	9316
1987-01-01	IKU-87-NK	Status - satt av OD	Ferdig	2968	9317
1987-01-01	MN87	Status - satt av OD	Ferdig	2969	9318
1987-01-01	MN87-1	Status - satt av OD	Ferdig	2970	9319
1987-01-01	MN87-2	Status - satt av OD	Ferdig	2971	9320
1987-01-01	MN87-3	Status - satt av OD	Ferdig	2972	9321
1987-01-01	MN87-4	Status - satt av OD	Ferdig	2973	9322
1987-01-01	MN87-5	Status - satt av OD	Ferdig	2974	9323
1987-01-01	MN87-6	Status - satt av OD	Ferdig	2975	9324
1987-01-01	MN87-7	Status - satt av OD	Ferdig	2976	9325
1987-01-01	NA-87	Status - satt av OD	Ferdig	2977	9326
1987-01-01	NA-87-1	Status - satt av OD	Ferdig	2978	9327
1987-01-01	NA-87-2	Status - satt av OD	Ferdig	2979	9328
1987-01-01	NA-87-3	Status - satt av OD	Ferdig	2980	9329
1987-01-01	NA-87-4	Status - satt av OD	Ferdig	2981	9330
1987-01-01	NH8702	Status - satt av OD	Ferdig	2983	9331
1987-01-01	NH8702-2D	Status - satt av OD	Ferdig	2982	9332
1987-01-01	NH8703	Status - satt av OD	Ferdig	2984	9333
1987-01-01	NH8704	Status - satt av OD	Ferdig	2985	9334
1987-01-01	NH8705	Status - satt av OD	Ferdig	2986	9335
1987-01-01	NH8706	Status - satt av OD	Ferdig	2987	9336
1987-01-01	NH8707	Status - satt av OD	Ferdig	2988	9337
1987-01-01	NH8708	Status - satt av OD	Ferdig	2989	9338
1987-01-01	NH8805	Status - satt av OD	Ferdig	2990	9339
1987-01-01	NM1-87	Status - satt av OD	Ferdig	2991	9340
1987-01-01	NOD6-87	Status - satt av OD	Ferdig	2992	9341
1987-01-01	NOD8-87	Status - satt av OD	Ferdig	2993	9342
1987-01-01	NPD-BV-87	Status - satt av OD	Ferdig	2994	9343
1987-01-01	NPD-BVRE-87	Status - satt av OD	Ferdig	2995	9344
1987-01-01	NPD-FIØS-87	Status - satt av OD	Ferdig	2996	9345
1987-01-01	NPD-LOFO-87	Status - satt av OD	Ferdig	2997	9346
1987-01-01	NPD-LOT-87	Status - satt av OD	Ferdig	2998	9347
1987-01-01	NPD-NOK1-87	Status - satt av OD	Ferdig	2999	9348
1987-01-01	NPD-NOK2-87	Status - satt av OD	Ferdig	3000	9349
1987-01-01	NPD-NOK3-87	Status - satt av OD	Ferdig	3001	9350
1987-01-01	NPD-SB-87	Status - satt av OD	Ferdig	3002	9351
1987-01-01	NPD-SBSW-87	Status - satt av OD	Ferdig	3003	9352
1987-01-01	NPD-SM-87	Status - satt av OD	Ferdig	3004	9353
1987-01-01	NPD-TB01-87	Status - satt av OD	Ferdig	3006	9354
1987-01-01	NPD-TB-87	Status - satt av OD	Ferdig	3005	9355
1987-01-01	NPD-VØRB-87	Status - satt av OD	Ferdig	3007	9356
1987-01-01	NS-87	Status - satt av OD	Ferdig	3009	9357
1987-01-01	NS-87-EX	Status - satt av OD	Ferdig	3010	9358
1987-01-01	PG87	Status - satt av OD	Ferdig	3012	9359
1987-01-01	PGVIBR87	Status - satt av OD	Ferdig	3013	9360
1987-01-01	PR87C	Status - satt av OD	Ferdig	3014	9361
1987-01-01	PW-EKO-87	Status - satt av OD	Ferdig	3015	9362
1987-01-01	R-87	Status - satt av OD	Ferdig	3016	9363
1987-01-01	SBGS-87	Status - satt av OD	Ferdig	3017	9364
1987-01-01	SBGS-87-RE	Status - satt av OD	Ferdig	3018	9365
1987-01-01	SG8652-GE	Status - satt av OD	Ferdig	3019	9366
1987-01-01	SG8710	Status - satt av OD	Ferdig	3020	9367
1987-01-01	SG8714	Status - satt av OD	Ferdig	3021	9368
1987-01-01	SG8718	Status - satt av OD	Ferdig	3022	9369
1987-01-01	SG8726	Status - satt av OD	Ferdig	3023	9370
1987-01-01	SG8730	Status - satt av OD	Ferdig	3024	9371
1987-01-01	SG8730-WE	Status - satt av OD	Ferdig	3025	9372
1987-01-01	SG8733	Status - satt av OD	Ferdig	3026	9373
1987-01-01	SG8735	Status - satt av OD	Ferdig	3027	9374
1987-01-01	SG8736	Status - satt av OD	Ferdig	3028	9375
1987-01-01	SG8737	Status - satt av OD	Ferdig	3029	9376
1987-01-01	SG8752	Status - satt av OD	Ferdig	3030	9377
1987-01-01	SG8758	Status - satt av OD	Ferdig	3031	9378
1987-01-01	SH8701	Status - satt av OD	Ferdig	3032	9379
1987-01-01	SH8702	Status - satt av OD	Ferdig	3033	9380
1987-01-01	SH8703	Status - satt av OD	Ferdig	3034	9381
1987-01-01	SH8704	Status - satt av OD	Ferdig	3035	9382
1987-01-01	SH8705	Status - satt av OD	Ferdig	3036	9383
1987-01-01	SH8706	Status - satt av OD	Ferdig	3037	9384
1987-01-01	SH8707	Status - satt av OD	Ferdig	3038	9385
1987-01-01	SH8708	Status - satt av OD	Ferdig	3039	9386
1987-01-01	SH8709	Status - satt av OD	Ferdig	3040	9387
1987-01-01	SH8710	Status - satt av OD	Ferdig	3041	9388
1987-01-01	SH8711	Status - satt av OD	Ferdig	3042	9389
1987-01-01	SH8712	Status - satt av OD	Ferdig	3043	9390
1987-01-01	ST8701	Status - satt av OD	Ferdig	3045	9391
1987-01-01	ST8702	Status - satt av OD	Ferdig	3046	9392
1987-01-01	ST8703	Status - satt av OD	Ferdig	3047	9393
1987-01-01	ST8704	Status - satt av OD	Ferdig	3048	9394
1987-01-01	ST8705	Status - satt av OD	Ferdig	3049	9395
1987-01-01	ST8706	Status - satt av OD	Ferdig	3050	9396
1987-01-01	ST8707	Status - satt av OD	Ferdig	3051	9397
1987-01-01	ST8708	Status - satt av OD	Ferdig	3052	9398
1987-01-01	ST8709	Status - satt av OD	Ferdig	3053	9399
1987-01-01	ST8710	Status - satt av OD	Ferdig	3054	9400
1987-01-01	ST8711	Status - satt av OD	Ferdig	3055	9401
1987-01-01	ST8712	Status - satt av OD	Ferdig	3056	9402
1987-01-01	ST8713	Status - satt av OD	Ferdig	3057	9403
1987-01-01	ST8715	Status - satt av OD	Ferdig	3058	9404
1987-01-01	ST8716	Status - satt av OD	Ferdig	3059	9405
1987-01-01	ST8717	Status - satt av OD	Ferdig	3060	9406
1987-01-01	ST8718	Status - satt av OD	Ferdig	3061	9407
1987-01-01	ST8719	Status - satt av OD	Ferdig	3062	9408
1987-01-01	ST8723	Status - satt av OD	Ferdig	3063	9409
1987-01-01	ST8724	Status - satt av OD	Ferdig	3064	9410
1987-01-01	ST8725	Status - satt av OD	Ferdig	3065	9411
1987-01-01	TO8701	Status - satt av OD	Ferdig	3066	9412
1987-01-01	TO8702	Status - satt av OD	Ferdig	3067	9413
1987-01-01	TO8714	Status - satt av OD	Ferdig	3068	9414
1987-01-01	TO8717	Status - satt av OD	Ferdig	3069	9415
1987-01-01	XB-87	Status - satt av OD	Ferdig	3077	9416
1987-01-01	XU-87	Status - satt av OD	Ferdig	3078	9417
1986-01-01	AE-86	Status - satt av OD	Ferdig	2809	9418
1986-01-01	BE-86A	Status - satt av OD	Ferdig	2810	9419
1986-01-01	BE-86B	Status - satt av OD	Ferdig	2811	9420
1986-01-01	BE-86C	Status - satt av OD	Ferdig	2812	9421
1986-01-01	BN16-86	Status - satt av OD	Ferdig	2813	9422
1986-01-01	BP-86	Status - satt av OD	Ferdig	2814	9423
1986-01-01	BP-86-1	Status - satt av OD	Ferdig	2815	9424
1986-01-01	CN-86	Status - satt av OD	Ferdig	2816	9425
1986-01-01	DGM1-86	Status - satt av OD	Ferdig	2817	9426
1986-01-01	DK-86	Status - satt av OD	Ferdig	2818	9427
1986-01-01	DK-86-1	Status - satt av OD	Ferdig	2819	9428
1986-01-01	E86	Status - satt av OD	Ferdig	2820	9429
1986-01-01	EL8601	Status - satt av OD	Ferdig	2824	9430
1986-01-01	EL-8601	Status - satt av OD	Ferdig	2821	9431
1986-01-01	EL-8602	Status - satt av OD	Ferdig	2822	9432
1986-01-01	EL-8603	Status - satt av OD	Ferdig	2823	9433
1986-01-01	ESP-86	Status - satt av OD	Ferdig	2825	9434
1986-01-01	F-86	Status - satt av OD	Ferdig	2826	9435
1986-01-01	FW-86	Status - satt av OD	Ferdig	2827	9436
1986-01-01	GE8601	Status - satt av OD	Ferdig	2828	9437
1986-01-01	GLR1-86	Status - satt av OD	Ferdig	2829	9438
1986-01-01	GLR2-86	Status - satt av OD	Ferdig	2830	9439
1986-01-01	GM1E-86	Status - satt av OD	Ferdig	2831	9440
1986-01-01	GMTE-86	Status - satt av OD	Ferdig	2832	9441
1986-01-01	GQ10-86	Status - satt av OD	Ferdig	2833	9442
1986-01-01	GS-TR-86	Status - satt av OD	Ferdig	2834	9443
1986-01-01	IFP-86	Status - satt av OD	Ferdig	2835	9444
1986-01-01	LRE-86	Status - satt av OD	Ferdig	2836	9445
1986-01-01	MG86	Status - satt av OD	Ferdig	2837	9446
1986-01-01	MNT-86	Status - satt av OD	Ferdig	2838	9447
1986-01-01	N3-86	Status - satt av OD	Ferdig	2839	9448
1986-01-01	N4-86	Status - satt av OD	Ferdig	2840	9449
1986-01-01	NDB-86	Status - satt av OD	Ferdig	2841	9450
1986-01-01	NH8601	Status - satt av OD	Ferdig	2843	9451
1986-01-01	NH8601-2D	Status - satt av OD	Ferdig	2842	9452
1986-01-01	NH8603	Status - satt av OD	Ferdig	2844	9453
1986-01-01	NH8604	Status - satt av OD	Ferdig	2845	9454
1986-01-01	NH8606	Status - satt av OD	Ferdig	2847	9455
1986-01-01	NH8606-2D	Status - satt av OD	Ferdig	2846	9456
1986-01-01	NH8609	Status - satt av OD	Ferdig	2848	9457
1986-01-01	NH8610	Status - satt av OD	Ferdig	2849	9458
1986-01-01	NH8611	Status - satt av OD	Ferdig	2850	9459
1986-01-01	NOD6-86	Status - satt av OD	Ferdig	2851	9460
1986-01-01	NOD7-86	Status - satt av OD	Ferdig	2852	9461
1986-01-01	NPD-BJV1-86	Status - satt av OD	Ferdig	2853	9462
1986-01-01	NPD-BJV2-86	Status - satt av OD	Ferdig	2854	9463
1986-01-01	NPD-BJØ1-86	Status - satt av OD	Ferdig	2855	9464
1986-01-01	NPD-BJØ2-86	Status - satt av OD	Ferdig	2856	9465
1986-01-01	NPD-BJØ3-86	Status - satt av OD	Ferdig	2857	9466
1986-01-01	NPD-FIØ1-86	Status - satt av OD	Ferdig	2858	9467
1986-01-01	NPD-FIØ2-86	Status - satt av OD	Ferdig	2859	9468
1986-01-01	NPD-LOF1-86	Status - satt av OD	Ferdig	2860	9469
1986-01-01	NPD-LOF2-86	Status - satt av OD	Ferdig	2861	9470
1986-01-01	NPD-NOK1-86	Status - satt av OD	Ferdig	2862	9471
1986-01-01	NPD-NOK2-86	Status - satt av OD	Ferdig	2863	9472
1986-01-01	NPD-NOK3-86	Status - satt av OD	Ferdig	2864	9473
1986-01-01	NPD-SENT-86	Status - satt av OD	Ferdig	2865	9474
1986-01-01	NPD-VØRB-86	Status - satt av OD	Ferdig	2866	9475
1986-01-01	PG86	Status - satt av OD	Ferdig	2867	9476
1986-01-01	PW85	Status - satt av OD	Ferdig	2868	9477
1986-01-01	SBB-86	Status - satt av OD	Ferdig	2869	9478
1986-01-01	SBL-86	Status - satt av OD	Ferdig	2870	9479
1986-01-01	SEH-86	Status - satt av OD	Ferdig	2871	9480
1986-01-01	SG8603	Status - satt av OD	Ferdig	2872	9481
1986-01-01	SG8603-1	Status - satt av OD	Ferdig	2873	9482
1986-01-01	SG8607	Status - satt av OD	Ferdig	2874	9483
1986-01-01	SG8608	Status - satt av OD	Ferdig	2875	9484
1986-01-01	SG8609	Status - satt av OD	Ferdig	2876	9485
1986-01-01	SG8610	Status - satt av OD	Ferdig	2877	9486
1986-01-01	SG8652-WE	Status - satt av OD	Ferdig	2878	9487
1986-01-01	SG8658	Status - satt av OD	Ferdig	2879	9488
1986-01-01	SGT-8606	Status - satt av OD	Ferdig	2880	9489
1986-01-01	SH8601	Status - satt av OD	Ferdig	2882	9490
1986-01-01	SH8602	Status - satt av OD	Ferdig	2883	9491
1986-01-01	SH8603	Status - satt av OD	Ferdig	2884	9492
1986-01-01	SH8604	Status - satt av OD	Ferdig	2885	9493
1986-01-01	SH8605	Status - satt av OD	Ferdig	2886	9494
1986-01-01	SH8606	Status - satt av OD	Ferdig	2887	9495
1986-01-01	SH8607	Status - satt av OD	Ferdig	2888	9496
1986-01-01	SH-86-5	Status - satt av OD	Ferdig	2881	9497
1986-01-01	SKAG-86	Status - satt av OD	Ferdig	2889	9498
1986-01-01	SKAGRE96	Status - satt av OD	Ferdig	2890	9499
1986-01-01	ST8518	Status - satt av OD	Ferdig	2891	9500
1986-01-01	ST8602	Status - satt av OD	Ferdig	2892	9501
1986-01-01	ST8603	Status - satt av OD	Ferdig	2893	9502
1986-01-01	ST8604	Status - satt av OD	Ferdig	2894	9503
1986-01-01	ST8605	Status - satt av OD	Ferdig	2895	9504
1986-01-01	ST8606	Status - satt av OD	Ferdig	2896	9505
1986-01-01	ST8607	Status - satt av OD	Ferdig	2897	9506
1986-01-01	ST8608	Status - satt av OD	Ferdig	2898	9507
1986-01-01	ST8609	Status - satt av OD	Ferdig	2899	9508
1986-01-01	ST8611	Status - satt av OD	Ferdig	2900	9509
1986-01-01	ST8613	Status - satt av OD	Ferdig	2901	9510
1986-01-01	ST8614	Status - satt av OD	Ferdig	2902	9511
1986-01-01	ST8615	Status - satt av OD	Ferdig	2903	9512
1986-01-01	ST8616	Status - satt av OD	Ferdig	2904	9513
1986-01-01	ST8618	Status - satt av OD	Ferdig	2905	9514
1986-01-01	ST8619	Status - satt av OD	Ferdig	2906	9515
1986-01-01	ST8620	Status - satt av OD	Ferdig	2907	9516
1986-01-01	ST8621	Status - satt av OD	Ferdig	2908	9517
1986-01-01	ST8624	Status - satt av OD	Ferdig	2909	9518
1986-01-01	ST8625	Status - satt av OD	Ferdig	2910	9519
1986-01-01	ST8626	Status - satt av OD	Ferdig	2911	9520
1986-01-01	ST8629	Status - satt av OD	Ferdig	2912	9521
1986-01-01	ST8630	Status - satt av OD	Ferdig	2913	9522
1986-01-01	ST8631	Status - satt av OD	Ferdig	2914	9523
1986-01-01	ST8634	Status - satt av OD	Ferdig	2915	9524
1986-01-01	ST8637	Status - satt av OD	Ferdig	2916	9525
1986-01-01	ST8689	Status - satt av OD	Ferdig	2917	9526
1986-01-01	STR-86-1	Status - satt av OD	Ferdig	2918	9527
1986-01-01	STR-86-2	Status - satt av OD	Ferdig	2919	9528
1986-01-01	STR-86-3	Status - satt av OD	Ferdig	2920	9529
1986-01-01	TO8604	Status - satt av OD	Ferdig	2921	9530
1986-01-01	TO8605	Status - satt av OD	Ferdig	2922	9531
1985-01-01	BE-85A	Status - satt av OD	Ferdig	2696	9532
1985-01-01	BE-85C	Status - satt av OD	Ferdig	2697	9533
1985-01-01	BPN8501	Status - satt av OD	Ferdig	2698	9534
1985-01-01	BPN8502	Status - satt av OD	Ferdig	2699	9535
1985-01-01	BPN8503	Status - satt av OD	Ferdig	2700	9536
1985-01-01	BVI-85	Status - satt av OD	Ferdig	2701	9537
1985-01-01	CGD-85	Status - satt av OD	Ferdig	2702	9538
1985-01-01	CGDI-85	Status - satt av OD	Ferdig	2703	9539
1985-01-01	CN-8502	Status - satt av OD	Ferdig	2704	9540
1985-01-01	CN-8525	Status - satt av OD	Ferdig	2705	9541
1985-01-01	CNST-86	Status - satt av OD	Ferdig	2706	9542
1985-01-01	CON-85	Status - satt av OD	Ferdig	2707	9543
1985-01-01	EL-8501	Status - satt av OD	Ferdig	2708	9544
1985-01-01	EL-8501-2D	Status - satt av OD	Ferdig	2709	9545
1985-01-01	EL-8502	Status - satt av OD	Ferdig	2710	9546
1985-01-01	EL-8503	Status - satt av OD	Ferdig	2711	9547
1985-01-01	EL-8504	Status - satt av OD	Ferdig	2712	9548
1985-01-01	EL-8505	Status - satt av OD	Ferdig	2713	9549
1985-01-01	EL-8506	Status - satt av OD	Ferdig	2714	9550
1985-01-01	EL85-TF	Status - satt av OD	Ferdig	2716	9551
1985-01-01	EL-T-85	Status - satt av OD	Ferdig	2715	9552
1985-01-01	GE8501	Status - satt av OD	Ferdig	2717	9553
1985-01-01	GFD-85	Status - satt av OD	Ferdig	2718	9554
1985-01-01	GFI-85	Status - satt av OD	Ferdig	2719	9555
1985-01-01	GFW2-85	Status - satt av OD	Ferdig	2721	9556
1985-01-01	GFW3-85	Status - satt av OD	Ferdig	2722	9557
1985-01-01	GFW-85	Status - satt av OD	Ferdig	2720	9558
1985-01-01	GHI-85	Status - satt av OD	Ferdig	2723	9559
1985-01-01	GM1I-85	Status - satt av OD	Ferdig	2724	9560
1985-01-01	GMDA-85	Status - satt av OD	Ferdig	2725	9561
1985-01-01	GMDC-85	Status - satt av OD	Ferdig	2726	9562
1985-01-01	GMS-85	Status - satt av OD	Ferdig	2727	9563
1985-01-01	GSB-85	Status - satt av OD	Ferdig	2728	9564
1985-01-01	M85-16	Status - satt av OD	Ferdig	2731	9565
1985-01-01	MN85	Status - satt av OD	Ferdig	2732	9566
1985-01-01	MN85-1	Status - satt av OD	Ferdig	2733	9567
1985-01-01	MN85-2	Status - satt av OD	Ferdig	2734	9568
1985-01-01	MNTE85	Status - satt av OD	Ferdig	2735	9569
1985-01-01	MS-85	Status - satt av OD	Ferdig	2736	9570
1985-01-01	NA-85	Status - satt av OD	Ferdig	2737	9571
1985-01-01	NE-85A	Status - satt av OD	Ferdig	2738	9572
1985-01-01	NH8501	Status - satt av OD	Ferdig	2740	9573
1985-01-01	NH8501-2D	Status - satt av OD	Ferdig	2739	9574
1985-01-01	NH8502	Status - satt av OD	Ferdig	2742	9575
1985-01-01	NH8502-2D	Status - satt av OD	Ferdig	2741	9576
1985-01-01	NH8503	Status - satt av OD	Ferdig	2743	9577
1985-01-01	NH8504	Status - satt av OD	Ferdig	2744	9578
1985-01-01	NH8505	Status - satt av OD	Ferdig	2745	9579
1985-01-01	NH8506	Status - satt av OD	Ferdig	2746	9580
1985-01-01	NH8507	Status - satt av OD	Ferdig	2747	9581
1985-01-01	NH8509	Status - satt av OD	Ferdig	2748	9582
1985-01-01	NH8510	Status - satt av OD	Ferdig	2749	9583
1985-01-01	NH8511	Status - satt av OD	Ferdig	2750	9584
1985-01-01	NH8512	Status - satt av OD	Ferdig	2751	9585
1985-01-01	NH8513	Status - satt av OD	Ferdig	2752	9586
1985-01-01	NH8514	Status - satt av OD	Ferdig	2753	9587
1985-01-01	NM1-85	Status - satt av OD	Ferdig	2754	9588
1985-01-01	NOD5-85	Status - satt av OD	Ferdig	2755	9589
1985-01-01	NP-85C	Status - satt av OD	Ferdig	2756	9590
1985-01-01	NPD-JM-85	Status - satt av OD	Ferdig	2757	9591
1985-01-01	NPD-NOLO-85	Status - satt av OD	Ferdig	2758	9592
1985-01-01	NPD-NOR2-85	Status - satt av OD	Ferdig	2759	9593
1985-01-01	NPD-NR-85	Status - satt av OD	Ferdig	2760	9594
1985-01-01	NPD-STOR-85	Status - satt av OD	Ferdig	2761	9595
1985-01-01	NPD-SVBJ-85	Status - satt av OD	Ferdig	2762	9596
1985-01-01	NPD-TB-85	Status - satt av OD	Ferdig	2763	9597
1985-01-01	NPD-TR-85	Status - satt av OD	Ferdig	2764	9598
1985-01-01	NPD-VØRB-85	Status - satt av OD	Ferdig	2765	9599
1985-01-01	Q3-85	Status - satt av OD	Ferdig	2766	9600
1985-01-01	Q3-85-2D	Status - satt av OD	Ferdig	2767	9601
1985-01-01	SG85	Status - satt av OD	Ferdig	2768	9602
1985-01-01	SG8558	Status - satt av OD	Ferdig	2769	9603
1985-01-01	SG8558-1	Status - satt av OD	Ferdig	2770	9604
1985-01-01	SG8571	Status - satt av OD	Ferdig	2771	9605
1985-01-01	SG8595	Status - satt av OD	Ferdig	2772	9606
1985-01-01	SH8501	Status - satt av OD	Ferdig	2773	9607
1985-01-01	SH8502	Status - satt av OD	Ferdig	2774	9608
1985-01-01	SH8503	Status - satt av OD	Ferdig	2775	9609
1985-01-01	SH8504	Status - satt av OD	Ferdig	2776	9610
1985-01-01	ST8501	Status - satt av OD	Ferdig	2777	9611
1985-01-01	ST8502	Status - satt av OD	Ferdig	2778	9612
1985-01-01	ST8503	Status - satt av OD	Ferdig	2779	9613
1985-01-01	ST8504	Status - satt av OD	Ferdig	2780	9614
1985-01-01	ST8505	Status - satt av OD	Ferdig	2781	9615
1985-01-01	ST8506	Status - satt av OD	Ferdig	2782	9616
1985-01-01	ST8508	Status - satt av OD	Ferdig	2783	9617
1985-01-01	ST8509	Status - satt av OD	Ferdig	2784	9618
1985-01-01	ST8511	Status - satt av OD	Ferdig	2785	9619
1985-01-01	ST8512	Status - satt av OD	Ferdig	2786	9620
1985-01-01	ST8513	Status - satt av OD	Ferdig	2787	9621
1985-01-01	ST8515	Status - satt av OD	Ferdig	2788	9622
1985-01-01	ST8516	Status - satt av OD	Ferdig	2789	9623
1985-01-01	ST8517	Status - satt av OD	Ferdig	2790	9624
1985-01-01	ST8521	Status - satt av OD	Ferdig	2791	9625
1985-01-01	ST8522	Status - satt av OD	Ferdig	2792	9626
1985-01-01	ST8523	Status - satt av OD	Ferdig	2793	9627
1985-01-01	STT-85	Status - satt av OD	Ferdig	2794	9628
1985-01-01	SVA-FO-85	Status - satt av OD	Ferdig	2795	9629
1985-01-01	SVA-IS-85	Status - satt av OD	Ferdig	2796	9630
1985-01-01	SVA-ST-85	Status - satt av OD	Ferdig	2797	9631
1985-01-01	SVA-VK-85	Status - satt av OD	Ferdig	2798	9632
1985-01-01	SVA-VM-85	Status - satt av OD	Ferdig	2799	9633
1985-01-01	TO8506	Status - satt av OD	Ferdig	2801	9634
1985-01-01	TO8510	Status - satt av OD	Ferdig	2802	9635
1985-01-01	TO8511	Status - satt av OD	Ferdig	2803	9636
1985-01-01	TO8513	Status - satt av OD	Ferdig	2804	9637
1985-01-01	TO8514	Status - satt av OD	Ferdig	2805	9638
1985-01-01	TO8515	Status - satt av OD	Ferdig	2806	9639
1985-01-01	UK-85	Status - satt av OD	Ferdig	2807	9640
1985-01-01	WL-85-3D	Status - satt av OD	Ferdig	2808	9641
1984-01-01	ADK-84	Status - satt av OD	Ferdig	2597	9642
1984-01-01	BN16-84	Status - satt av OD	Ferdig	2598	9643
1984-01-01	BP-84-3D	Status - satt av OD	Ferdig	2599	9644
1984-01-01	E-841	Status - satt av OD	Ferdig	2600	9645
1984-01-01	EL-8307	Status - satt av OD	Ferdig	2601	9646
1984-01-01	EL84	Status - satt av OD	Ferdig	2604	9647
1984-01-01	EL-8401	Status - satt av OD	Ferdig	2602	9648
1984-01-01	EL-8402	Status - satt av OD	Ferdig	2603	9649
1984-01-01	EL84-TF	Status - satt av OD	Ferdig	2605	9650
1984-01-01	FWGS-84	Status - satt av OD	Ferdig	2606	9651
1984-01-01	GFB-84	Status - satt av OD	Ferdig	2607	9652
1984-01-01	GHW-8494	Status - satt av OD	Ferdig	2608	9653
1984-01-01	GMT-84	Status - satt av OD	Ferdig	2609	9654
1984-01-01	GTII-84	Status - satt av OD	Ferdig	2610	9655
1984-01-01	M84-0916	Status - satt av OD	Ferdig	2613	9656
1984-01-01	MN84	Status - satt av OD	Ferdig	2614	9657
1984-01-01	MN84-1	Status - satt av OD	Ferdig	2615	9658
1984-01-01	MN84-2	Status - satt av OD	Ferdig	2616	9659
1984-01-01	MN84-3	Status - satt av OD	Ferdig	2617	9660
1984-01-01	MND-84	Status - satt av OD	Ferdig	2618	9661
1984-01-01	MP-N2-84	Status - satt av OD	Ferdig	2619	9662
1984-01-01	N-84	Status - satt av OD	Ferdig	2620	9663
1984-01-01	NA-84	Status - satt av OD	Ferdig	2621	9664
1984-01-01	NAG-84	Status - satt av OD	Ferdig	2622	9665
1984-01-01	NH8401	Status - satt av OD	Ferdig	2623	9666
1984-01-01	NH8402	Status - satt av OD	Ferdig	2624	9667
1984-01-01	NH8403	Status - satt av OD	Ferdig	2625	9668
1984-01-01	NH8404	Status - satt av OD	Ferdig	2626	9669
1984-01-01	NH8405	Status - satt av OD	Ferdig	2627	9670
1984-01-01	NH8406	Status - satt av OD	Ferdig	2628	9671
1984-01-01	NH8407	Status - satt av OD	Ferdig	2629	9672
1984-01-01	NH8408	Status - satt av OD	Ferdig	2630	9673
1984-01-01	NH8409	Status - satt av OD	Ferdig	2631	9674
1984-01-01	NH8411	Status - satt av OD	Ferdig	2632	9675
1984-01-01	NH8412	Status - satt av OD	Ferdig	2633	9676
1984-01-01	NH8413	Status - satt av OD	Ferdig	2634	9677
1984-01-01	NH8414	Status - satt av OD	Ferdig	2635	9678
1984-01-01	NH8415	Status - satt av OD	Ferdig	2636	9679
1984-01-01	NH8417	Status - satt av OD	Ferdig	2637	9680
1984-01-01	NNST-84	Status - satt av OD	Ferdig	2638	9681
1984-01-01	NOD1-84	Status - satt av OD	Ferdig	2639	9682
1984-01-01	NOD2-84	Status - satt av OD	Ferdig	2640	9683
1984-01-01	NOD3-84	Status - satt av OD	Ferdig	2641	9684
1984-01-01	NOD4-84	Status - satt av OD	Ferdig	2642	9685
1984-01-01	NPD-BJRE-84	Status - satt av OD	Ferdig	2643	9686
1984-01-01	NPD-BJSY-84	Status - satt av OD	Ferdig	2644	9687
1984-01-01	NPD-FB-84	Status - satt av OD	Ferdig	2645	9688
1984-01-01	NPD-FI-84	Status - satt av OD	Ferdig	2646	9689
1984-01-01	NPD-HB-84	Status - satt av OD	Ferdig	2647	9690
1984-01-01	NPD-ML-84	Status - satt av OD	Ferdig	2648	9691
1984-01-01	NPD-SV-84	Status - satt av OD	Ferdig	2649	9692
1984-01-01	NPD-TB-84	Status - satt av OD	Ferdig	2650	9693
1984-01-01	NPD-TES1-84	Status - satt av OD	Ferdig	2651	9694
1984-01-01	NPD-TES2-84	Status - satt av OD	Ferdig	2652	9695
1984-01-01	NPD-TR-84	Status - satt av OD	Ferdig	2653	9696
1984-01-01	NRGS84	Status - satt av OD	Ferdig	2654	9697
1984-01-01	NSDP-84	Status - satt av OD	Ferdig	2655	9698
1984-01-01	PSL84	Status - satt av OD	Ferdig	2656	9699
1984-01-01	PSL84-1	Status - satt av OD	Ferdig	2657	9700
1984-01-01	PSL84-2	Status - satt av OD	Ferdig	2658	9701
1984-01-01	PSL84-3	Status - satt av OD	Ferdig	2659	9702
1984-01-01	SG8420	Status - satt av OD	Ferdig	2660	9703
1984-01-01	SG8425	Status - satt av OD	Ferdig	2661	9704
1984-01-01	SG8431	Status - satt av OD	Ferdig	2662	9705
1984-01-01	SG8445	Status - satt av OD	Ferdig	2663	9706
1984-01-01	SG8458	Status - satt av OD	Ferdig	2664	9707
1984-01-01	SH8401	Status - satt av OD	Ferdig	2665	9708
1984-01-01	SH8402	Status - satt av OD	Ferdig	2666	9709
1984-01-01	SH8403	Status - satt av OD	Ferdig	2667	9710
1984-01-01	ST8305	Status - satt av OD	Ferdig	2668	9711
1984-01-01	ST8318	Status - satt av OD	Ferdig	2669	9712
1984-01-01	ST8401	Status - satt av OD	Ferdig	2670	9713
1984-01-01	ST8402	Status - satt av OD	Ferdig	2671	9714
1984-01-01	ST8403	Status - satt av OD	Ferdig	2672	9715
1984-01-01	ST8404	Status - satt av OD	Ferdig	2673	9716
1984-01-01	ST8405	Status - satt av OD	Ferdig	2674	9717
1984-01-01	ST8406	Status - satt av OD	Ferdig	2675	9718
1984-01-01	ST8407	Status - satt av OD	Ferdig	2676	9719
1984-01-01	ST8408	Status - satt av OD	Ferdig	2677	9720
1984-01-01	ST8409	Status - satt av OD	Ferdig	2678	9721
1984-01-01	ST8410	Status - satt av OD	Ferdig	2679	9722
1984-01-01	ST8411	Status - satt av OD	Ferdig	2680	9723
1984-01-01	ST8412	Status - satt av OD	Ferdig	2681	9724
1984-01-01	ST8413	Status - satt av OD	Ferdig	2682	9725
1984-01-01	ST8414	Status - satt av OD	Ferdig	2683	9726
1984-01-01	ST8415	Status - satt av OD	Ferdig	2684	9727
1984-01-01	ST8417	Status - satt av OD	Ferdig	2685	9728
1984-01-01	ST8418	Status - satt av OD	Ferdig	2686	9729
1984-01-01	ST8419	Status - satt av OD	Ferdig	2687	9730
1984-01-01	ST8421	Status - satt av OD	Ferdig	2688	9731
1984-01-01	ST8422	Status - satt av OD	Ferdig	2689	9732
1984-01-01	ST8423	Status - satt av OD	Ferdig	2690	9733
1984-01-01	ST8424	Status - satt av OD	Ferdig	2691	9734
1984-01-01	TO8401	Status - satt av OD	Ferdig	2692	9735
1984-01-01	TO8403	Status - satt av OD	Ferdig	2693	9736
1984-01-01	TO8403-1	Status - satt av OD	Ferdig	2694	9737
1984-01-01	TO8404	Status - satt av OD	Ferdig	2695	9738
1983-01-01	A35-10-83	Status - satt av OD	Ferdig	2539	9739
1983-01-01	ANO-83	Status - satt av OD	Ferdig	2540	9740
1983-01-01	ANO-83-1	Status - satt av OD	Ferdig	2541	9741
1983-01-01	ARCO-83	Status - satt av OD	Ferdig	2542	9742
1983-01-01	BP83	Status - satt av OD	Ferdig	2543	9743
1983-01-01	E-83	Status - satt av OD	Ferdig	2544	9744
1983-01-01	EL-8301	Status - satt av OD	Ferdig	2545	9745
1983-01-01	EL-8302	Status - satt av OD	Ferdig	2546	9746
1983-01-01	EL-8303	Status - satt av OD	Ferdig	2547	9747
1983-01-01	EL-8304	Status - satt av OD	Ferdig	2548	9748
1983-01-01	EL-8305	Status - satt av OD	Ferdig	2549	9749
1983-01-01	EL83-4	Status - satt av OD	Ferdig	2550	9750
1983-01-01	F-83	Status - satt av OD	Ferdig	2551	9751
1983-01-01	G/E-83-3D	Status - satt av OD	Ferdig	2552	9752
1983-01-01	HBGS83	Status - satt av OD	Ferdig	2553	9753
1983-01-01	MN83	Status - satt av OD	Ferdig	2555	9754
1983-01-01	MN83-1	Status - satt av OD	Ferdig	2556	9755
1983-01-01	N16-5-83	Status - satt av OD	Ferdig	2557	9756
1983-01-01	N25-83	Status - satt av OD	Ferdig	2558	9757
1983-01-01	N31-1	Status - satt av OD	Ferdig	2559	9758
1983-01-01	N35-10-83	Status - satt av OD	Ferdig	2560	9759
1983-01-01	N35-36-83	Status - satt av OD	Ferdig	2561	9760
1983-01-01	N7-83	Status - satt av OD	Ferdig	2562	9761
1983-01-01	NH8301	Status - satt av OD	Ferdig	2564	9762
1983-01-01	NH8302	Status - satt av OD	Ferdig	2565	9763
1983-01-01	NH8306	Status - satt av OD	Ferdig	2566	9764
1983-01-01	NH8308	Status - satt av OD	Ferdig	2567	9765
1983-01-01	NH8366	Status - satt av OD	Ferdig	2568	9766
1983-01-01	NNS-83	Status - satt av OD	Ferdig	2569	9767
1983-01-01	NPD-FI-83	Status - satt av OD	Ferdig	2570	9768
1983-01-01	NPD-NR-83	Status - satt av OD	Ferdig	2571	9769
1983-01-01	NPD-TR-83	Status - satt av OD	Ferdig	2572	9770
1983-01-01	PW83	Status - satt av OD	Ferdig	2573	9771
1983-01-01	SG8231	Status - satt av OD	Ferdig	2574	9772
1983-01-01	SG8320	Status - satt av OD	Ferdig	2575	9773
1983-01-01	SG8325	Status - satt av OD	Ferdig	2576	9774
1983-01-01	SG8330	Status - satt av OD	Ferdig	2577	9775
1983-01-01	SG8374	Status - satt av OD	Ferdig	2578	9776
1983-01-01	SH7982-83	Status - satt av OD	Ferdig	2579	9777
1983-01-01	SH8301	Status - satt av OD	Ferdig	2580	9778
1983-01-01	SH8302	Status - satt av OD	Ferdig	2581	9779
1983-01-01	ST8301	Status - satt av OD	Ferdig	2582	9780
1983-01-01	ST8302	Status - satt av OD	Ferdig	2583	9781
1983-01-01	ST8306	Status - satt av OD	Ferdig	2584	9782
1983-01-01	ST8310	Status - satt av OD	Ferdig	2585	9783
1983-01-01	ST8312	Status - satt av OD	Ferdig	2586	9784
1983-01-01	ST8313	Status - satt av OD	Ferdig	2587	9785
1983-01-01	ST8315	Status - satt av OD	Ferdig	2588	9786
1983-01-01	ST8316	Status - satt av OD	Ferdig	2589	9787
1983-01-01	ST8317	Status - satt av OD	Ferdig	2590	9788
1983-01-01	ST8320	Status - satt av OD	Ferdig	2591	9789
1983-01-01	ST8330	Status - satt av OD	Ferdig	2592	9790
1983-01-01	SVT-83	Status - satt av OD	Ferdig	2593	9791
1983-01-01	T-8301	Status - satt av OD	Ferdig	2594	9792
1983-01-01	T-8302	Status - satt av OD	Ferdig	2595	9793
1983-01-01	TNGS-83	Status - satt av OD	Ferdig	2596	9794
1982-01-01	BN16-82	Status - satt av OD	Ferdig	2482	9795
1982-01-01	C211-82	Status - satt av OD	Ferdig	2483	9796
1982-01-01	CNST-82	Status - satt av OD	Ferdig	2484	9797
1982-01-01	E-82	Status - satt av OD	Ferdig	2485	9798
1982-01-01	EL-8186-82	Status - satt av OD	Ferdig	2486	9799
1982-01-01	EL-8201	Status - satt av OD	Ferdig	2487	9800
1982-01-01	EL-8202	Status - satt av OD	Ferdig	2488	9801
1982-01-01	EL-8204	Status - satt av OD	Ferdig	2489	9802
1982-01-01	EL-8205	Status - satt av OD	Ferdig	2490	9803
1982-01-01	EL-8206	Status - satt av OD	Ferdig	2491	9804
1982-01-01	EL-8284	Status - satt av OD	Ferdig	2492	9805
1982-01-01	G-8102-82	Status - satt av OD	Ferdig	2493	9806
1982-01-01	GT-82	Status - satt av OD	Ferdig	2494	9807
1982-01-01	GU-82	Status - satt av OD	Ferdig	2495	9808
1982-01-01	M-82	Status - satt av OD	Ferdig	2497	9809
1982-01-01	N9-1-82	Status - satt av OD	Ferdig	2498	9810
1982-01-01	NH8201	Status - satt av OD	Ferdig	2499	9811
1982-01-01	NH8202	Status - satt av OD	Ferdig	2500	9812
1982-01-01	NH8204	Status - satt av OD	Ferdig	2501	9813
1982-01-01	NH8205	Status - satt av OD	Ferdig	2502	9814
1982-01-01	NH8206	Status - satt av OD	Ferdig	2503	9815
1982-01-01	NH8250	Status - satt av OD	Ferdig	2504	9816
1982-01-01	NHCN82	Status - satt av OD	Ferdig	2505	9817
1982-01-01	NPD-BA-82	Status - satt av OD	Ferdig	2506	9818
1982-01-01	NPD-TR-82	Status - satt av OD	Ferdig	2507	9819
1982-01-01	NSE-82	Status - satt av OD	Ferdig	2508	9820
1982-01-01	PGE82	Status - satt av OD	Ferdig	2509	9821
1982-01-01	SG8220	Status - satt av OD	Ferdig	2510	9822
1982-01-01	SG8232	Status - satt av OD	Ferdig	2511	9823
1982-01-01	SG8252	Status - satt av OD	Ferdig	2512	9824
1982-01-01	SG8258	Status - satt av OD	Ferdig	2513	9825
1982-01-01	SG8271	Status - satt av OD	Ferdig	2514	9826
1982-01-01	SG8278	Status - satt av OD	Ferdig	2515	9827
1982-01-01	SH8201	Status - satt av OD	Ferdig	2516	9828
1982-01-01	SH8202	Status - satt av OD	Ferdig	2517	9829
1982-01-01	SH8203	Status - satt av OD	Ferdig	2518	9830
1982-01-01	ST8108	Status - satt av OD	Ferdig	2519	9831
1982-01-01	ST8201	Status - satt av OD	Ferdig	2520	9832
1982-01-01	ST8202	Status - satt av OD	Ferdig	2521	9833
1982-01-01	ST8205	Status - satt av OD	Ferdig	2522	9834
1982-01-01	ST8209	Status - satt av OD	Ferdig	2523	9835
1982-01-01	ST8213	Status - satt av OD	Ferdig	2524	9836
1982-01-01	ST8214	Status - satt av OD	Ferdig	2525	9837
1982-01-01	ST8215	Status - satt av OD	Ferdig	2527	9838
1982-01-01	ST8215-2D	Status - satt av OD	Ferdig	2526	9839
1982-01-01	ST8216	Status - satt av OD	Ferdig	2528	9840
1982-01-01	ST8217	Status - satt av OD	Ferdig	2529	9841
1982-01-01	ST8218	Status - satt av OD	Ferdig	2530	9842
1982-01-01	ST8219	Status - satt av OD	Ferdig	2531	9843
1982-01-01	ST8220	Status - satt av OD	Ferdig	2532	9844
1982-01-01	ST8221	Status - satt av OD	Ferdig	2533	9845
1982-01-01	ST8230	Status - satt av OD	Ferdig	2534	9846
1982-01-01	ST8236	Status - satt av OD	Ferdig	2535	9847
1982-01-01	UH-82	Status - satt av OD	Ferdig	2537	9848
1981-01-01	ANO-81	Status - satt av OD	Ferdig	2411	9849
1981-01-01	ANO-81-C	Status - satt av OD	Ferdig	2412	9850
1981-01-01	BP81-019	Status - satt av OD	Ferdig	2413	9851
1981-01-01	BP81043	Status - satt av OD	Ferdig	2414	9852
1981-01-01	CA-81	Status - satt av OD	Ferdig	2415	9853
1981-01-01	CGT-81	Status - satt av OD	Ferdig	2416	9854
1981-01-01	CSSC-81	Status - satt av OD	Ferdig	2417	9855
1981-01-01	DK-81	Status - satt av OD	Ferdig	2418	9856
1981-01-01	EL-8180	Status - satt av OD	Ferdig	2419	9857
1981-01-01	EL-8181	Status - satt av OD	Ferdig	2420	9858
1981-01-01	EL-8182	Status - satt av OD	Ferdig	2421	9859
1981-01-01	EL-8183	Status - satt av OD	Ferdig	2422	9860
1981-01-01	EL-8184	Status - satt av OD	Ferdig	2423	9861
1981-01-01	EL-8186	Status - satt av OD	Ferdig	2424	9862
1981-01-01	G-81	Status - satt av OD	Ferdig	2425	9863
1981-01-01	G-8101	Status - satt av OD	Ferdig	2426	9864
1981-01-01	GU-81	Status - satt av OD	Ferdig	2427	9865
1981-01-01	MOB-81	Status - satt av OD	Ferdig	2428	9866
1981-01-01	MOB-81-1	Status - satt av OD	Ferdig	2429	9867
1981-01-01	MOB-81-2	Status - satt av OD	Ferdig	2430	9868
1981-01-01	MOB-81-3	Status - satt av OD	Ferdig	2431	9869
1981-01-01	MOB-81-4	Status - satt av OD	Ferdig	2432	9870
1981-01-01	MOB-81-5	Status - satt av OD	Ferdig	2433	9871
1981-01-01	NH8006-1	Status - satt av OD	Ferdig	2434	9872
1981-01-01	NH8101	Status - satt av OD	Ferdig	2435	9873
1981-01-01	NH8102	Status - satt av OD	Ferdig	2436	9874
1981-01-01	NH8103	Status - satt av OD	Ferdig	2437	9875
1981-01-01	NH8104	Status - satt av OD	Ferdig	2438	9876
1981-01-01	NH8105	Status - satt av OD	Ferdig	2439	9877
1981-01-01	NH8106	Status - satt av OD	Ferdig	2440	9878
1981-01-01	NH8107	Status - satt av OD	Ferdig	2441	9879
1981-01-01	NPD-BA-81	Status - satt av OD	Ferdig	2442	9880
1981-01-01	NPD-VØ-81	Status - satt av OD	Ferdig	2443	9881
1981-01-01	NS-81	Status - satt av OD	Ferdig	2444	9882
1981-01-01	NSE-81	Status - satt av OD	Ferdig	2445	9883
1981-01-01	P-171281	Status - satt av OD	Ferdig	2446	9884
1981-01-01	PC81	Status - satt av OD	Ferdig	2447	9885
1981-01-01	RTD-81	Status - satt av OD	Ferdig	2448	9886
1981-01-01	SB-81	Status - satt av OD	Ferdig	2449	9887
1981-01-01	SG8127	Status - satt av OD	Ferdig	2450	9888
1981-01-01	SG8130	Status - satt av OD	Ferdig	2451	9889
1981-01-01	SG8133	Status - satt av OD	Ferdig	2452	9890
1981-01-01	SG8146	Status - satt av OD	Ferdig	2453	9891
1981-01-01	SG8158	Status - satt av OD	Ferdig	2454	9892
1981-01-01	SH8101	Status - satt av OD	Ferdig	2455	9893
1981-01-01	SH8102	Status - satt av OD	Ferdig	2456	9894
1981-01-01	SH8107	Status - satt av OD	Ferdig	2457	9895
1981-01-01	ST8013-81	Status - satt av OD	Ferdig	2458	9896
1981-01-01	ST8101	Status - satt av OD	Ferdig	2459	9897
1981-01-01	ST8102	Status - satt av OD	Ferdig	2460	9898
1981-01-01	ST8103	Status - satt av OD	Ferdig	2461	9899
1981-01-01	ST8104	Status - satt av OD	Ferdig	2462	9900
1981-01-01	ST8105	Status - satt av OD	Ferdig	2463	9901
1981-01-01	ST8106	Status - satt av OD	Ferdig	2464	9902
1981-01-01	ST8107-GE	Status - satt av OD	Ferdig	2465	9903
1981-01-01	ST8107-WE	Status - satt av OD	Ferdig	2466	9904
1981-01-01	ST8109	Status - satt av OD	Ferdig	2467	9905
1981-01-01	ST8110	Status - satt av OD	Ferdig	2468	9906
1981-01-01	ST8111	Status - satt av OD	Ferdig	2469	9907
1981-01-01	ST8112	Status - satt av OD	Ferdig	2470	9908
1981-01-01	ST8114	Status - satt av OD	Ferdig	2471	9909
1981-01-01	ST8115	Status - satt av OD	Ferdig	2472	9910
1981-01-01	ST8116	Status - satt av OD	Ferdig	2473	9911
1981-01-01	ST8118	Status - satt av OD	Ferdig	2474	9912
1981-01-01	ST8121	Status - satt av OD	Ferdig	2475	9913
1981-01-01	ST8122	Status - satt av OD	Ferdig	2476	9914
1981-01-01	ST8123	Status - satt av OD	Ferdig	2477	9915
1981-01-01	ST8125	Status - satt av OD	Ferdig	2478	9916
1981-01-01	ST8134	Status - satt av OD	Ferdig	2479	9917
1981-01-01	UH-81	Status - satt av OD	Ferdig	2480	9918
1980-01-01	A80	Status - satt av OD	Ferdig	2356	9919
1980-01-01	ANO-80	Status - satt av OD	Ferdig	2357	9920
1980-01-01	ANO-80-1	Status - satt av OD	Ferdig	2358	9921
1980-01-01	ANO-80-2	Status - satt av OD	Ferdig	2359	9922
1980-01-01	ANO80-2	Status - satt av OD	Ferdig	2362	9923
1980-01-01	ANO-80-3	Status - satt av OD	Ferdig	2360	9924
1980-01-01	ANO-80-W	Status - satt av OD	Ferdig	2361	9925
1980-01-01	BP80019	Status - satt av OD	Ferdig	2364	9926
1980-01-01	BP80-043	Status - satt av OD	Ferdig	2363	9927
1980-01-01	CA-80	Status - satt av OD	Ferdig	2365	9928
1980-01-01	EL-8081	Status - satt av OD	Ferdig	2366	9929
1980-01-01	EL-8082	Status - satt av OD	Ferdig	2367	9930
1980-01-01	EL-8083	Status - satt av OD	Ferdig	2368	9931
1980-01-01	EL-8084	Status - satt av OD	Ferdig	2369	9932
1980-01-01	EL-8086	Status - satt av OD	Ferdig	2370	9933
1980-01-01	GULF-80-1	Status - satt av OD	Ferdig	2371	9934
1980-01-01	M3D-80	Status - satt av OD	Ferdig	2372	9935
1980-01-01	NAG-80	Status - satt av OD	Ferdig	2373	9936
1980-01-01	NH8001	Status - satt av OD	Ferdig	2376	9937
1980-01-01	NH8002	Status - satt av OD	Ferdig	2377	9938
1980-01-01	NH8003	Status - satt av OD	Ferdig	2378	9939
1980-01-01	NH8004	Status - satt av OD	Ferdig	2379	9940
1980-01-01	NH80-04	Status - satt av OD	Ferdig	2374	9941
1980-01-01	NH8005	Status - satt av OD	Ferdig	2380	9942
1980-01-01	NH80-05	Status - satt av OD	Ferdig	2375	9943
1980-01-01	NH8006	Status - satt av OD	Ferdig	2381	9944
1980-01-01	NH8007	Status - satt av OD	Ferdig	2382	9945
1980-01-01	NH8008	Status - satt av OD	Ferdig	2383	9946
1980-01-01	NH8010	Status - satt av OD	Ferdig	2384	9947
1980-01-01	NPD-BA-80	Status - satt av OD	Ferdig	2385	9948
1980-01-01	NPD-ML-80	Status - satt av OD	Ferdig	2386	9949
1980-01-01	NSE-80	Status - satt av OD	Ferdig	2387	9950
1980-01-01	PGE80	Status - satt av OD	Ferdig	2388	9951
1980-01-01	PGE80GE	Status - satt av OD	Ferdig	2389	9952
1980-01-01	PW8303	Status - satt av OD	Ferdig	2390	9953
1980-01-01	SG8020	Status - satt av OD	Ferdig	2391	9954
1980-01-01	SG8020-1	Status - satt av OD	Ferdig	2392	9955
1980-01-01	SG8045	Status - satt av OD	Ferdig	2393	9956
1980-01-01	SG8048	Status - satt av OD	Ferdig	2394	9957
1980-01-01	SG8052	Status - satt av OD	Ferdig	2395	9958
1980-01-01	SH8001	Status - satt av OD	Ferdig	2396	9959
1980-01-01	SH8002	Status - satt av OD	Ferdig	2397	9960
1980-01-01	SH8003	Status - satt av OD	Ferdig	2398	9961
1980-01-01	ST8001	Status - satt av OD	Ferdig	2399	9962
1980-01-01	ST8002	Status - satt av OD	Ferdig	2400	9963
1980-01-01	ST8004	Status - satt av OD	Ferdig	2401	9964
1980-01-01	ST8006	Status - satt av OD	Ferdig	2402	9965
1980-01-01	ST8007	Status - satt av OD	Ferdig	2403	9966
1980-01-01	ST8008	Status - satt av OD	Ferdig	2404	9967
1980-01-01	ST8009	Status - satt av OD	Ferdig	2405	9968
1980-01-01	ST8010	Status - satt av OD	Ferdig	2406	9969
1980-01-01	ST8014	Status - satt av OD	Ferdig	2407	9970
1980-01-01	TLGS80	Status - satt av OD	Ferdig	2408	9971
1980-01-01	UN-80	Status - satt av OD	Ferdig	2409	9972
1980-01-01	UN-80-1	Status - satt av OD	Ferdig	2410	9973
1979-01-01	A79	Status - satt av OD	Ferdig	2316	9974
1979-01-01	ANO-79	Status - satt av OD	Ferdig	2317	9975
1979-01-01	ANO-79-1	Status - satt av OD	Ferdig	2318	9976
1979-01-01	CA-79	Status - satt av OD	Ferdig	2320	9977
1979-01-01	E3D-79	Status - satt av OD	Ferdig	2321	9978
1979-01-01	EL-980	Status - satt av OD	Ferdig	2322	9979
1979-01-01	EL-981	Status - satt av OD	Ferdig	2323	9980
1979-01-01	GULF-79	Status - satt av OD	Ferdig	2324	9981
1979-01-01	GULF-79-2	Status - satt av OD	Ferdig	2325	9982
1979-01-01	M3D-79	Status - satt av OD	Ferdig	2326	9983
1979-01-01	MOB-79	Status - satt av OD	Ferdig	2327	9984
1979-01-01	MOB-79-1	Status - satt av OD	Ferdig	2328	9985
1979-01-01	NH954	Status - satt av OD	Ferdig	2329	9986
1979-01-01	NPD-BA-79	Status - satt av OD	Ferdig	2330	9987
1979-01-01	NPD-JM-79	Status - satt av OD	Ferdig	2331	9988
1979-01-01	NPD-ML-79	Status - satt av OD	Ferdig	2332	9989
1979-01-01	NPD-NH-79	Status - satt av OD	Ferdig	2333	9990
1979-01-01	NPD-TR-79	Status - satt av OD	Ferdig	2334	9991
1979-01-01	NS-79	Status - satt av OD	Ferdig	2335	9992
1979-01-01	OGD-79	Status - satt av OD	Ferdig	2336	9993
1979-01-01	PGE79	Status - satt av OD	Ferdig	2337	9994
1979-01-01	S3D79	Status - satt av OD	Ferdig	2338	9995
1979-01-01	SAG-79	Status - satt av OD	Ferdig	2339	9996
1979-01-01	SAG-7935	Status - satt av OD	Ferdig	2340	9997
1979-01-01	SH7901	Status - satt av OD	Ferdig	2341	9998
1979-01-01	SH7902	Status - satt av OD	Ferdig	2342	9999
1979-01-01	SH7903	Status - satt av OD	Ferdig	2343	10000
1979-01-01	SH7904	Status - satt av OD	Ferdig	2344	10001
1979-01-01	ST901	Status - satt av OD	Ferdig	2345	10002
1979-01-01	ST905	Status - satt av OD	Ferdig	2346	10003
1979-01-01	ST906	Status - satt av OD	Ferdig	2347	10004
1979-01-01	ST907	Status - satt av OD	Ferdig	2348	10005
1979-01-01	ST908	Status - satt av OD	Ferdig	2349	10006
1979-01-01	ST909	Status - satt av OD	Ferdig	2350	10007
1979-01-01	ST910	Status - satt av OD	Ferdig	2351	10008
1979-01-01	ST911	Status - satt av OD	Ferdig	2352	10009
1979-01-01	ST912	Status - satt av OD	Ferdig	2353	10010
1979-01-01	ST913	Status - satt av OD	Ferdig	2354	10011
1978-01-01	ANO-78-1	Status - satt av OD	Ferdig	2262	10012
1978-01-01	ANO-78-2	Status - satt av OD	Ferdig	2263	10013
1978-01-01	ANO-78-3	Status - satt av OD	Ferdig	2264	10014
1978-01-01	CSSC-78	Status - satt av OD	Ferdig	2268	10015
1978-01-01	CSSC-78-1	Status - satt av OD	Ferdig	2269	10016
1978-01-01	CSSC-78-2	Status - satt av OD	Ferdig	2270	10017
1978-01-01	CSSC-78-3	Status - satt av OD	Ferdig	2271	10018
1978-01-01	CSSC-78-4	Status - satt av OD	Ferdig	2272	10019
1978-01-01	EL-580-78	Status - satt av OD	Ferdig	2273	10020
1978-01-01	EL-881	Status - satt av OD	Ferdig	2274	10021
1978-01-01	EL-882	Status - satt av OD	Ferdig	2275	10022
1978-01-01	EL-883	Status - satt av OD	Ferdig	2276	10023
1978-01-01	EL-883-PV	Status - satt av OD	Ferdig	2277	10024
1978-01-01	EL-884	Status - satt av OD	Ferdig	2278	10025
1978-01-01	EL-885	Status - satt av OD	Ferdig	2279	10026
1978-01-01	EL-885-PV	Status - satt av OD	Ferdig	2280	10027
1978-01-01	EL-886	Status - satt av OD	Ferdig	2281	10028
1978-01-01	EL-887	Status - satt av OD	Ferdig	2282	10029
1978-01-01	MOB-78	Status - satt av OD	Ferdig	2285	10030
1978-01-01	NAG-78	Status - satt av OD	Ferdig	2286	10031
1978-01-01	NH851	Status - satt av OD	Ferdig	2287	10032
1978-01-01	NH852	Status - satt av OD	Ferdig	2288	10033
1978-01-01	NPD-BA-78	Status - satt av OD	Ferdig	2289	10034
1978-01-01	NPD-HALT-78	Status - satt av OD	Ferdig	2290	10035
1978-01-01	NPD-ML-78	Status - satt av OD	Ferdig	2291	10036
1978-01-01	NPD-TR01-78	Status - satt av OD	Ferdig	2293	10037
1978-01-01	NPD-TR02-78	Status - satt av OD	Ferdig	2294	10038
1978-01-01	NPD-TR-78	Status - satt av OD	Ferdig	2292	10039
1978-01-01	NPD-TRÆN-78	Status - satt av OD	Ferdig	2295	10040
1978-01-01	NPD-VF-78	Status - satt av OD	Ferdig	2296	10041
1978-01-01	NS-78	Status - satt av OD	Ferdig	2297	10042
1978-01-01	PSE171278	Status - satt av OD	Ferdig	2298	10043
1978-01-01	PSE78	Status - satt av OD	Ferdig	2299	10044
1978-01-01	SAG-78	Status - satt av OD	Ferdig	2300	10045
1978-01-01	SAG-78-1	Status - satt av OD	Ferdig	2301	10046
1978-01-01	SAG-78-2	Status - satt av OD	Ferdig	2302	10047
1978-01-01	ST800-ML	Status - satt av OD	Ferdig	2303	10048
1978-01-01	ST805	Status - satt av OD	Ferdig	2304	10049
1978-01-01	ST806	Status - satt av OD	Ferdig	2305	10050
1978-01-01	ST807	Status - satt av OD	Ferdig	2306	10051
1978-01-01	ST807-1	Status - satt av OD	Ferdig	2307	10052
1978-01-01	ST807-2	Status - satt av OD	Ferdig	2308	10053
1978-01-01	ST808	Status - satt av OD	Ferdig	2309	10054
1978-01-01	ST809	Status - satt av OD	Ferdig	2310	10055
1978-01-01	ST810	Status - satt av OD	Ferdig	2311	10056
1978-01-01	ST814	Status - satt av OD	Ferdig	2312	10057
1978-01-01	TLGS-78	Status - satt av OD	Ferdig	2313	10058
1978-01-01	TO-802	Status - satt av OD	Ferdig	2314	10059
1977-01-01	AN30-77	Status - satt av OD	Ferdig	2211	10060
1977-01-01	ANO-77	Status - satt av OD	Ferdig	2212	10061
1977-01-01	ANO-77-1	Status - satt av OD	Ferdig	2213	10062
1977-01-01	ANO-77-2	Status - satt av OD	Ferdig	2214	10063
1977-01-01	C9-18-77	Status - satt av OD	Ferdig	2215	10064
1977-01-01	CBG-211-77	Status - satt av OD	Ferdig	2216	10065
1977-01-01	CN2-77	Status - satt av OD	Ferdig	2217	10066
1977-01-01	CN7-77	Status - satt av OD	Ferdig	2218	10067
1977-01-01	CSSC-77	Status - satt av OD	Ferdig	2219	10068
1977-01-01	EL-780	Status - satt av OD	Ferdig	2220	10069
1977-01-01	EL-781	Status - satt av OD	Ferdig	2221	10070
1977-01-01	EL-782	Status - satt av OD	Ferdig	2222	10071
1977-01-01	EL-783	Status - satt av OD	Ferdig	2223	10072
1977-01-01	HB-77	Status - satt av OD	Ferdig	2224	10073
1977-01-01	MNG-77	Status - satt av OD	Ferdig	2225	10074
1977-01-01	N34-2-77	Status - satt av OD	Ferdig	2226	10075
1977-01-01	NE-77	Status - satt av OD	Ferdig	2227	10076
1977-01-01	NH752	Status - satt av OD	Ferdig	2228	10077
1977-01-01	NH753	Status - satt av OD	Ferdig	2229	10078
1977-01-01	NH754	Status - satt av OD	Ferdig	2230	10079
1977-01-01	NH755	Status - satt av OD	Ferdig	2231	10080
1977-01-01	NH760	Status - satt av OD	Ferdig	2232	10081
1977-01-01	NH761	Status - satt av OD	Ferdig	2233	10082
1977-01-01	NPD-BA01-77	Status - satt av OD	Ferdig	2234	10083
1977-01-01	NPD-BA02-77	Status - satt av OD	Ferdig	2235	10084
1977-01-01	NPD-ML-77	Status - satt av OD	Ferdig	2236	10085
1977-01-01	NPD-TR01-77	Status - satt av OD	Ferdig	2238	10086
1977-01-01	NPD-TR-77	Status - satt av OD	Ferdig	2237	10087
1977-01-01	NPD-TRBA-77	Status - satt av OD	Ferdig	2239	10088
1977-01-01	NPD-VF-77	Status - satt av OD	Ferdig	2240	10089
1977-01-01	PG0210	Status - satt av OD	Ferdig	2242	10090
1977-01-01	PG1611-77	Status - satt av OD	Ferdig	2243	10091
1977-01-01	PG-77	Status - satt av OD	Ferdig	2241	10092
1977-01-01	PGO-2/7-77	Status - satt av OD	Ferdig	2244	10093
1977-01-01	SF-77	Status - satt av OD	Ferdig	2245	10094
1977-01-01	SH7701	Status - satt av OD	Ferdig	2246	10095
1977-01-01	SH7702	Status - satt av OD	Ferdig	2247	10096
1977-01-01	SH7703	Status - satt av OD	Ferdig	2248	10097
1977-01-01	SH7705	Status - satt av OD	Ferdig	2249	10098
1977-01-01	SH7708	Status - satt av OD	Ferdig	2250	10099
1977-01-01	SH7709	Status - satt av OD	Ferdig	2251	10100
1977-01-01	SH7710	Status - satt av OD	Ferdig	2252	10101
1977-01-01	ST700	Status - satt av OD	Ferdig	2253	10102
1977-01-01	ST700-ML	Status - satt av OD	Ferdig	2254	10103
1977-01-01	ST700-TR	Status - satt av OD	Ferdig	2255	10104
1977-01-01	ST708	Status - satt av OD	Ferdig	2256	10105
1977-01-01	ST709	Status - satt av OD	Ferdig	2257	10106
1977-01-01	ST743	Status - satt av OD	Ferdig	2258	10107
1977-01-01	ST7701	Status - satt av OD	Ferdig	2259	10108
1977-01-01	TO-774	Status - satt av OD	Ferdig	2260	10109
1976-01-01	ANO-76	Status - satt av OD	Ferdig	2154	10110
1976-01-01	ANO-76-1	Status - satt av OD	Ferdig	2155	10111
1976-01-01	ANO-76-2	Status - satt av OD	Ferdig	2156	10112
1976-01-01	AUK-76	Status - satt av OD	Ferdig	2157	10113
1976-01-01	CN2-76	Status - satt av OD	Ferdig	2159	10114
1976-01-01	CN7-76	Status - satt av OD	Ferdig	2160	10115
1976-01-01	E-570-76	Status - satt av OD	Ferdig	2161	10116
1976-01-01	EL-680	Status - satt av OD	Ferdig	2162	10117
1976-01-01	EL-681	Status - satt av OD	Ferdig	2163	10118
1976-01-01	EL-682	Status - satt av OD	Ferdig	2164	10119
1976-01-01	EL-683	Status - satt av OD	Ferdig	2165	10120
1976-01-01	EL-684	Status - satt av OD	Ferdig	2166	10121
1976-01-01	EL-685	Status - satt av OD	Ferdig	2167	10122
1976-01-01	EL-686	Status - satt av OD	Ferdig	2168	10123
1976-01-01	EL-687	Status - satt av OD	Ferdig	2169	10124
1976-01-01	EL-687EX	Status - satt av OD	Ferdig	2170	10125
1976-01-01	MNG-76	Status - satt av OD	Ferdig	2171	10126
1976-01-01	MOB76	Status - satt av OD	Ferdig	2172	10127
1976-01-01	N26-76	Status - satt av OD	Ferdig	2173	10128
1976-01-01	NH600	Status - satt av OD	Ferdig	2174	10129
1976-01-01	NH651	Status - satt av OD	Ferdig	2175	10130
1976-01-01	NH652	Status - satt av OD	Ferdig	2176	10131
1976-01-01	NH653	Status - satt av OD	Ferdig	2177	10132
1976-01-01	NPD-BA01-76	Status - satt av OD	Ferdig	2178	10133
1976-01-01	NPD-BA02-76	Status - satt av OD	Ferdig	2179	10134
1976-01-01	NPD-BA03-76	Status - satt av OD	Ferdig	2180	10135
1976-01-01	NPD-ML-76	Status - satt av OD	Ferdig	2181	10136
1976-01-01	NPD-SLAG-76	Status - satt av OD	Ferdig	2182	10137
1976-01-01	NS-76	Status - satt av OD	Ferdig	2183	10138
1976-01-01	OS-76	Status - satt av OD	Ferdig	2184	10139
1976-01-01	PGE0711	Status - satt av OD	Ferdig	2185	10140
1976-01-01	SAG-609	Status - satt av OD	Ferdig	2186	10141
1976-01-01	SAG-76	Status - satt av OD	Ferdig	2187	10142
1976-01-01	SH7601	Status - satt av OD	Ferdig	2188	10143
1976-01-01	SH7602	Status - satt av OD	Ferdig	2189	10144
1976-01-01	ST600-GE	Status - satt av OD	Ferdig	2190	10145
1976-01-01	ST600-WE	Status - satt av OD	Ferdig	2191	10146
1976-01-01	ST601	Status - satt av OD	Ferdig	2192	10147
1976-01-01	ST602	Status - satt av OD	Ferdig	2193	10148
1976-01-01	ST603	Status - satt av OD	Ferdig	2194	10149
1976-01-01	ST606	Status - satt av OD	Ferdig	2195	10150
1976-01-01	ST607	Status - satt av OD	Ferdig	2196	10151
1976-01-01	ST608	Status - satt av OD	Ferdig	2197	10152
1976-01-01	ST609	Status - satt av OD	Ferdig	2198	10153
1976-01-01	ST610	Status - satt av OD	Ferdig	2199	10154
1976-01-01	ST611	Status - satt av OD	Ferdig	2200	10155
1976-01-01	ST612	Status - satt av OD	Ferdig	2201	10156
1976-01-01	ST614	Status - satt av OD	Ferdig	2202	10157
1976-01-01	ST619	Status - satt av OD	Ferdig	2203	10158
1976-01-01	ST633	Status - satt av OD	Ferdig	2204	10159
1976-01-01	ST636	Status - satt av OD	Ferdig	2205	10160
1976-01-01	ST639	Status - satt av OD	Ferdig	2206	10161
1976-01-01	ST640-WE	Status - satt av OD	Ferdig	2207	10162
1976-01-01	ST641-GE	Status - satt av OD	Ferdig	2208	10163
1976-01-01	ST7601	Status - satt av OD	Ferdig	2209	10164
1975-01-01	AM-540	Status - satt av OD	Ferdig	2115	10165
1975-01-01	ANO-75	Status - satt av OD	Ferdig	2116	10166
1975-01-01	BGR-75	Status - satt av OD	Ferdig	2117	10167
1975-01-01	CSSC-75	Status - satt av OD	Ferdig	2120	10168
1975-01-01	CSSC-75-1	Status - satt av OD	Ferdig	2121	10169
1975-01-01	CSSC-75-2	Status - satt av OD	Ferdig	2122	10170
1975-01-01	E-570	Status - satt av OD	Ferdig	2123	10171
1975-01-01	EL-580	Status - satt av OD	Ferdig	2124	10172
1975-01-01	EL-582	Status - satt av OD	Ferdig	2125	10173
1975-01-01	ELF-75-1	Status - satt av OD	Ferdig	2126	10174
1975-01-01	GSI-MØRE-75	Status - satt av OD	Ferdig	2127	10175
1975-01-01	MNG-75	Status - satt av OD	Ferdig	2128	10176
1975-01-01	MOB75	Status - satt av OD	Ferdig	2129	10177
1975-01-01	NH550	Status - satt av OD	Ferdig	2130	10178
1975-01-01	NPD-BA-75	Status - satt av OD	Ferdig	2131	10179
1975-01-01	NPD-ML-75	Status - satt av OD	Ferdig	2132	10180
1975-01-01	NPD-TR-75	Status - satt av OD	Ferdig	2133	10181
1975-01-01	SA-530	Status - satt av OD	Ferdig	2134	10182
1975-01-01	SH7501	Status - satt av OD	Ferdig	2135	10183
1975-01-01	SH7502	Status - satt av OD	Ferdig	2136	10184
1975-01-01	ST501	Status - satt av OD	Ferdig	2137	10185
1975-01-01	ST502	Status - satt av OD	Ferdig	2138	10186
1975-01-01	ST503	Status - satt av OD	Ferdig	2139	10187
1975-01-01	ST504	Status - satt av OD	Ferdig	2140	10188
1975-01-01	ST505	Status - satt av OD	Ferdig	2141	10189
1975-01-01	ST506	Status - satt av OD	Ferdig	2142	10190
1975-01-01	ST507	Status - satt av OD	Ferdig	2143	10191
1975-01-01	ST508	Status - satt av OD	Ferdig	2144	10192
1975-01-01	ST509	Status - satt av OD	Ferdig	2145	10193
1975-01-01	ST510	Status - satt av OD	Ferdig	2146	10194
1975-01-01	ST511	Status - satt av OD	Ferdig	2147	10195
1975-01-01	ST512	Status - satt av OD	Ferdig	2148	10196
1975-01-01	ST513	Status - satt av OD	Ferdig	2149	10197
1975-01-01	ST515	Status - satt av OD	Ferdig	2150	10198
1975-01-01	ST516	Status - satt av OD	Ferdig	2151	10199
1975-01-01	ST517	Status - satt av OD	Ferdig	2152	10200
1975-01-01	ST519	Status - satt av OD	Ferdig	2153	10201
1974-01-01	ANO-74	Status - satt av OD	Ferdig	2084	10202
1974-01-01	C10-12-74	Status - satt av OD	Ferdig	2087	10203
1974-01-01	C10-5-74	Status - satt av OD	Ferdig	2088	10204
1974-01-01	C3-74	Status - satt av OD	Ferdig	2089	10205
1974-01-01	C8-74	Status - satt av OD	Ferdig	2090	10206
1974-01-01	C9-11-74	Status - satt av OD	Ferdig	2091	10207
1974-01-01	C9-9-74	Status - satt av OD	Ferdig	2092	10208
1974-01-01	CH-431	Status - satt av OD	Ferdig	2093	10209
1974-01-01	CN24-74	Status - satt av OD	Ferdig	2094	10210
1974-01-01	CNG-74	Status - satt av OD	Ferdig	2095	10211
1974-01-01	DROPCORES74-76	Status - satt av OD	Ferdig	2096	10212
1974-01-01	EL-740	Status - satt av OD	Ferdig	2097	10213
1974-01-01	GTA-74	Status - satt av OD	Ferdig	2098	10214
1974-01-01	MNG-74	Status - satt av OD	Ferdig	2099	10215
1974-01-01	NPD-BA-74	Status - satt av OD	Ferdig	2100	10216
1974-01-01	NPD-FI-74	Status - satt av OD	Ferdig	2101	10217
1974-01-01	NPD-ML-74	Status - satt av OD	Ferdig	2102	10218
1974-01-01	NPD-TA-74	Status - satt av OD	Ferdig	2103	10219
1974-01-01	NPD-TR02-74	Status - satt av OD	Ferdig	2105	10220
1974-01-01	NPD-TR-74	Status - satt av OD	Ferdig	2104	10221
1974-01-01	PG1611-74	Status - satt av OD	Ferdig	2107	10222
1974-01-01	PG-74	Status - satt av OD	Ferdig	2106	10223
1974-01-01	SH7401	Status - satt av OD	Ferdig	2108	10224
1974-01-01	SH7402	Status - satt av OD	Ferdig	2109	10225
1974-01-01	SH7403	Status - satt av OD	Ferdig	2110	10226
1974-01-01	SH7404	Status - satt av OD	Ferdig	2111	10227
1974-01-01	ST403	Status - satt av OD	Ferdig	2112	10228
1974-01-01	ST404	Status - satt av OD	Ferdig	2113	10229
1974-01-01	ST74-1	Status - satt av OD	Ferdig	2114	10230
1973-01-01	ANO-73	Status - satt av OD	Ferdig	2065	10231
1973-01-01	CN16-73	Status - satt av OD	Ferdig	2066	10232
1973-01-01	CN2-73	Status - satt av OD	Ferdig	2067	10233
1973-01-01	CN7-73	Status - satt av OD	Ferdig	2068	10234
1973-01-01	CSSC-73	Status - satt av OD	Ferdig	2069	10235
1973-01-01	CSSC-73-1	Status - satt av OD	Ferdig	2070	10236
1973-01-01	CSSC-73-2	Status - satt av OD	Ferdig	2071	10237
1973-01-01	CSSC-73-3	Status - satt av OD	Ferdig	2072	10238
1973-01-01	CSSC-73-4	Status - satt av OD	Ferdig	2073	10239
1973-01-01	CSSC-73-5	Status - satt av OD	Ferdig	2074	10240
1973-01-01	ELF-73	Status - satt av OD	Ferdig	2075	10241
1973-01-01	MNG-73	Status - satt av OD	Ferdig	2076	10242
1973-01-01	NPD-ML-73	Status - satt av OD	Ferdig	2077	10243
1973-01-01	NPD-TR-73	Status - satt av OD	Ferdig	2078	10244
1973-01-01	PG-020473	Status - satt av OD	Ferdig	2079	10245
1973-01-01	PG-020773	Status - satt av OD	Ferdig	2080	10246
1973-01-01	PG03	Status - satt av OD	Ferdig	2082	10247
1973-01-01	PG-081073	Status - satt av OD	Ferdig	2081	10248
1973-01-01	SH7301	Status - satt av OD	Ferdig	2083	10249
1972-01-01	ANO-72	Status - satt av OD	Ferdig	2031	10250
1972-01-01	CN29-72	Status - satt av OD	Ferdig	2032	10251
1972-01-01	CN30-72	Status - satt av OD	Ferdig	2033	10252
1972-01-01	CN33-72	Status - satt av OD	Ferdig	2034	10253
1972-01-01	CN34-72	Status - satt av OD	Ferdig	2035	10254
1972-01-01	CN9-72	Status - satt av OD	Ferdig	2036	10255
1972-01-01	CSSC-72	Status - satt av OD	Ferdig	2037	10256
1972-01-01	CSSC-72-1	Status - satt av OD	Ferdig	2038	10257
1972-01-01	CSSC-72-2	Status - satt av OD	Ferdig	2039	10258
1972-01-01	CSSC-72-3	Status - satt av OD	Ferdig	2040	10259
1972-01-01	D-72	Status - satt av OD	Ferdig	2041	10260
1972-01-01	EL-720	Status - satt av OD	Ferdig	2042	10261
1972-01-01	M-72	Status - satt av OD	Ferdig	2043	10262
1972-01-01	M-72-1	Status - satt av OD	Ferdig	2044	10263
1972-01-01	NM-72	Status - satt av OD	Ferdig	2045	10264
1972-01-01	NPD-ML01-72	Status - satt av OD	Ferdig	2046	10265
1972-01-01	NPD-ML02-72	Status - satt av OD	Ferdig	2047	10266
1972-01-01	NPD-TR-72	Status - satt av OD	Ferdig	2048	10267
1972-01-01	NPD-TRBA-72	Status - satt av OD	Ferdig	2049	10268
1972-01-01	OCCI-72	Status - satt av OD	Ferdig	2050	10269
1972-01-01	PG-020772	Status - satt av OD	Ferdig	2051	10270
1972-01-01	PG-1611-72	Status - satt av OD	Ferdig	2052	10271
1972-01-01	PG72	Status - satt av OD	Ferdig	2054	10272
1972-01-01	PG-8/10-72	Status - satt av OD	Ferdig	2053	10273
1972-01-01	SH7201	Status - satt av OD	Ferdig	2055	10274
1972-01-01	SH7202	Status - satt av OD	Ferdig	2056	10275
1972-01-01	SH7203	Status - satt av OD	Ferdig	2057	10276
1972-01-01	SH7204	Status - satt av OD	Ferdig	2058	10277
1972-01-01	SH7205	Status - satt av OD	Ferdig	2059	10278
1972-01-01	SH7206	Status - satt av OD	Ferdig	2060	10279
1972-01-01	SSL-72	Status - satt av OD	Ferdig	2061	10280
1972-01-01	SSL-72-1	Status - satt av OD	Ferdig	2062	10281
1972-01-01	UN-72	Status - satt av OD	Ferdig	2063	10282
1972-01-01	WG-72	Status - satt av OD	Ferdig	2064	10283
1971-01-01	C3-71	Status - satt av OD	Ferdig	2015	10284
1971-01-01	C8-71	Status - satt av OD	Ferdig	2016	10285
1971-01-01	C9-71	Status - satt av OD	Ferdig	2017	10286
1971-01-01	M-71	Status - satt av OD	Ferdig	2018	10287
1971-01-01	N10-71	Status - satt av OD	Ferdig	2019	10288
1971-01-01	N7-71	Status - satt av OD	Ferdig	2020	10289
1971-01-01	NPD-ML-71	Status - satt av OD	Ferdig	2021	10290
1971-01-01	NPD-SV-71	Status - satt av OD	Ferdig	2022	10291
1971-01-01	NPD-TR-71	Status - satt av OD	Ferdig	2023	10292
1971-01-01	SH7101	Status - satt av OD	Ferdig	2024	10293
1971-01-01	SH7102	Status - satt av OD	Ferdig	2025	10294
1971-01-01	SH7103	Status - satt av OD	Ferdig	2026	10295
1971-01-01	SH7104	Status - satt av OD	Ferdig	2027	10296
1971-01-01	SSL-71	Status - satt av OD	Ferdig	2028	10297
1971-01-01	SSL-7172	Status - satt av OD	Ferdig	2029	10298
1971-01-01	WG-71	Status - satt av OD	Ferdig	2030	10299
1970-01-01	N2-70	Status - satt av OD	Ferdig	2010	10300
1970-01-01	NPD-ML-70	Status - satt av OD	Ferdig	2011	10301
1970-01-01	NPD-TR-70	Status - satt av OD	Ferdig	2012	10302
1970-01-01	OC-NY-70	Status - satt av OD	Ferdig	2013	10303
1970-01-01	SH7001	Status - satt av OD	Ferdig	2014	10304
1969-01-01	NPD-ML-69	Status - satt av OD	Ferdig	2008	10305
1969-01-01	SYRA-69	Status - satt av OD	Ferdig	2009	10306
1968-01-01	CSSC-68	Status - satt av OD	Ferdig	2007	10307
1967-01-01	ANO-67	Status - satt av OD	Ferdig	2005	10308
1967-01-01	PG-1611-67	Status - satt av OD	Ferdig	2006	10309
1966-01-01	ANO-66	Status - satt av OD	Ferdig	2001	10310
1966-01-01	CSSC-66	Status - satt av OD	Ferdig	2002	10311
1966-01-01	CSSC-66-1	Status - satt av OD	Ferdig	2003	10312
1966-01-01	NJV-66	Status - satt av OD	Ferdig	2004	10313
1965-01-01	CSSC-65	Status - satt av OD	Ferdig	2000	10314
\.



COPY strat_litho_wellbore (wlbname, lsutopdepth, lsubottomdepth, lsuname, lsulevel, lsunpdidlithostrat, wlbcompletiondate, wlbnpdidwellbore, lsuwellboreupdateddate, datesyncnpd) FROM stdin;
1/3-4	2617.000000	2629.000000	BALDER FM	FORMATION	6	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	2754.000000	2797.000000	EKOFISK FM	FORMATION	33	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	3123.000000	3160.000000	HOD FM	FORMATION	66	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	1580.000000	2617.000000	HORDALAND GP	GROUP	67	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	2647.000000	2676.000000	LISTA FM	FORMATION	95	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	2688.000000	2724.000000	LISTA FM	FORMATION	95	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	97.000000	1580.000000	NORDLAND GP	GROUP	113	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	2617.000000	2754.000000	ROGALAND GP	GROUP	131	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	2629.000000	2647.000000	SELE FM	FORMATION	142	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	2754.000000	3160.000000	SHETLAND GP	GROUP	143	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	2797.000000	3123.000000	TOR FM	FORMATION	171	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	2676.000000	2688.000000	VIDAR FM	FORMATION	187	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	2724.000000	2754.000000	VÅLE FM	FORMATION	190	1983-05-08	2	9999-12-31	2013-05-08
1/3-4	3160.000000	3198.000000	ZECHSTEIN GP	GROUP	194	1983-05-08	2	9999-12-31	2013-05-08
2/2-3	2827.000000	2855.000000	BALDER FM	FORMATION	6	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3494.000000	3523.000000	CROMER KNOLL GP	GROUP	23	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	2965.000000	3090.000000	EKOFISK FM	FORMATION	33	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3527.000000	3880.000000	FARSUND FM	FORMATION	39	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3442.000000	3494.000000	HOD FM	FORMATION	66	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	1543.000000	2827.000000	HORDALAND GP	GROUP	67	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	2906.000000	2947.000000	LISTA FM	FORMATION	95	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3523.000000	3527.000000	MANDAL FM	FORMATION	101	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	2947.000000	2965.000000	MAUREEN FM	FORMATION	102	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	92.000000	1543.000000	NORDLAND GP	GROUP	113	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	2827.000000	2965.000000	ROGALAND GP	GROUP	131	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3494.000000	3499.000000	RØDBY FM	FORMATION	137	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	2855.000000	2906.000000	SELE FM	FORMATION	142	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	2965.000000	3494.000000	SHETLAND GP	GROUP	143	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3930.000000	4100.000000	SMITH BANK FM	FORMATION	149	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3499.000000	3523.000000	SOLA FM	FORMATION	152	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3090.000000	3442.000000	TOR FM	FORMATION	171	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3523.000000	3880.000000	TYNE GP	GROUP	177	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3880.000000	3930.000000	ULA FM	FORMATION	179	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3880.000000	3930.000000	VESTLAND GP	GROUP	186	1983-05-11	3	9999-12-31	2013-05-08
2/2-3	3930.000000	4100.000000	NO GROUP DEFINED	GROUP	208	1983-05-11	3	9999-12-31	2013-05-08
30/6-12	129.000000	615.000000	NORDLAND GP	GROUP	113	1983-03-09	4	9999-12-31	2013-05-08
34/10-17	3267.000000	3422.000000	AMUNDSEN FM	FORMATION	4	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1762.000000	1837.000000	BALDER FM	FORMATION	6	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	2685.000000	3000.000000	BRENT GP	GROUP	16	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	3220.000000	3267.000000	BURTON FM	FORMATION	20	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	2587.000000	2590.000000	CROMER KNOLL GP	GROUP	23	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	3108.000000	3220.000000	COOK FM	FORMATION	24	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	3000.000000	3108.000000	DRAKE FM	FORMATION	27	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	3000.000000	3422.000000	DUNLIN GP	GROUP	29	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	2934.000000	2937.000000	ETIVE FM	FORMATION	35	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	2590.000000	2685.000000	HEATHER FM	FORMATION	60	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	980.000000	1762.000000	HORDALAND GP	GROUP	67	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1983.000000	2295.000000	JORSALFARE FM	FORMATION	74	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	2295.000000	2587.000000	KYRRE FM	FORMATION	92	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1837.000000	1983.000000	LISTA FM	FORMATION	95	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	2717.000000	2934.000000	NESS FM	FORMATION	110	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	948.000000	980.000000	NO FORMAL NAME	FORMATION	111	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1060.000000	1167.000000	NO FORMAL NAME	FORMATION	111	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1167.000000	1194.000000	NO FORMAL NAME	FORMATION	111	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1194.000000	1357.000000	NO FORMAL NAME	FORMATION	111	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1357.000000	1376.000000	NO FORMAL NAME	FORMATION	111	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1376.000000	1565.000000	NO FORMAL NAME	FORMATION	111	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1565.000000	1679.000000	NO FORMAL NAME	FORMATION	111	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1679.000000	1714.000000	NO FORMAL NAME	FORMATION	111	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1714.000000	1762.000000	NO FORMAL NAME	FORMATION	111	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	160.000000	980.000000	NORDLAND GP	GROUP	113	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	2937.000000	3000.000000	RANNOCH FM	FORMATION	126	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1762.000000	1983.000000	ROGALAND GP	GROUP	131	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	1983.000000	2587.000000	SHETLAND GP	GROUP	143	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	3422.000000	3466.000000	STATFJORD FM	FORMATION	157	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	2685.000000	2717.000000	TARBERT FM	FORMATION	162	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	826.000000	948.000000	UTSIRA FM	FORMATION	183	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	2590.000000	2685.000000	VIKING GP	GROUP	188	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	2587.000000	2590.000000	ÅSGARD FM	FORMATION	198	1983-07-08	5	9999-12-31	2013-05-08
34/10-17	3422.000000	3466.000000	NO GROUP DEFINED	GROUP	208	1983-07-08	5	9999-12-31	2013-05-08
31/2-11	1342.000000	1408.000000	BALDER FM	FORMATION	6	1983-05-25	6	9999-12-31	2013-05-08
31/2-11	1550.000000	1558.000000	CROMER KNOLL GP	GROUP	23	1983-05-25	6	9999-12-31	2013-05-08
31/2-11	1678.000000	1744.000000	FENSFJORD FM	FORMATION	40	1983-05-25	6	9999-12-31	2013-05-08
31/2-11	1611.000000	1678.000000	HEATHER FM	FORMATION	60	1983-05-25	6	9999-12-31	2013-05-08
31/2-11	788.000000	1342.000000	HORDALAND GP	GROUP	67	1983-05-25	6	9999-12-31	2013-05-08
31/2-11	1443.000000	1537.000000	LISTA FM	FORMATION	95	1983-05-25	6	9999-12-31	2013-05-08
31/2-11	361.000000	788.000000	NORDLAND GP	GROUP	113	1983-05-25	6	9999-12-31	2013-05-08
31/2-11	1342.000000	1537.000000	ROGALAND GP	GROUP	131	1983-05-25	6	9999-12-31	2013-05-08
31/2-11	1408.000000	1443.000000	SELE FM	FORMATION	142	1983-05-25	6	9999-12-31	2013-05-08
31/2-11	1537.000000	1550.000000	SHETLAND GP	GROUP	143	1983-05-25	6	9999-12-31	2013-05-08
31/2-11	1558.000000	1611.000000	SOGNEFJORD FM	FORMATION	151	1983-05-25	6	9999-12-31	2013-05-08
31/2-11	1558.000000	1744.000000	VIKING GP	GROUP	188	1983-05-25	6	9999-12-31	2013-05-08
30/6-13	2036.000000	2091.000000	BALDER FM	FORMATION	6	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2571.000000	2671.000000	BRENT GP	GROUP	16	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2387.000000	2401.000000	CROMER KNOLL GP	GROUP	23	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2671.000000	2775.000000	DRAKE FM	FORMATION	27	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2401.000000	2424.000000	DRAUPNE FM	FORMATION	28	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2671.000000	2775.000000	DUNLIN GP	GROUP	29	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2628.000000	2671.000000	ETIVE FM	FORMATION	35	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2288.000000	2375.000000	HARDRÅDE FM	FORMATION	56	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2424.000000	2571.000000	HEATHER FM	FORMATION	60	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	904.000000	2036.000000	HORDALAND GP	GROUP	67	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2375.000000	2387.000000	KYRRE FM	FORMATION	92	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2164.000000	2260.000000	LISTA FM	FORMATION	95	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2571.000000	2628.000000	NESS FM	FORMATION	110	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	1080.000000	1410.000000	NO FORMAL NAME	FORMATION	111	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	1528.000000	2036.000000	NO FORMAL NAME	FORMATION	111	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	130.000000	904.000000	NORDLAND GP	GROUP	113	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2036.000000	2288.000000	ROGALAND GP	GROUP	131	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2387.000000	2394.000000	RØDBY FM	FORMATION	137	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2091.000000	2164.000000	SELE FM	FORMATION	142	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2288.000000	2387.000000	SHETLAND GP	GROUP	143	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	1032.000000	1080.000000	SKADE FM	FORMATION	145	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	1410.000000	1528.000000	SKADE FM	FORMATION	145	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	705.000000	904.000000	UTSIRA FM	FORMATION	183	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2401.000000	2571.000000	VIKING GP	GROUP	188	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2260.000000	2288.000000	VÅLE FM	FORMATION	190	1983-05-14	7	9999-12-31	2013-05-08
30/6-13	2394.000000	2401.000000	ÅSGARD FM	FORMATION	198	1983-05-14	7	9999-12-31	2013-05-08
7120/12-3	864.000000	2158.000000	ADVENTDALEN GP	GROUP	1	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	2395.000000	2523.000000	FRUHOLMEN FM	FORMATION	46	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	2142.000000	2158.000000	FUGLEN FM	FORMATION	47	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	1946.000000	2142.000000	HEKKINGEN FM	FORMATION	63	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	2158.000000	2523.000000	KAPP TOSCANA GP	GROUP	79	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	1778.000000	1946.000000	KNURR FM	FORMATION	82	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	1422.000000	1778.000000	KOLJE FM	FORMATION	84	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	864.000000	1422.000000	KOLMULE FM	FORMATION	85	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	738.000000	864.000000	KVEITE FM	FORMATION	89	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	208.000000	387.000000	NORDLAND GP	GROUP	113	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	2220.000000	2342.000000	NORDMELA FM	FORMATION	118	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	738.000000	864.000000	NYGRUNNEN GP	GROUP	122	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	387.000000	738.000000	SOTBAKKEN GP	GROUP	154	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	2158.000000	2220.000000	STØ FM	FORMATION	159	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	387.000000	738.000000	TORSK FM	FORMATION	172	1983-05-05	8	9999-12-31	2013-05-08
7120/12-3	2342.000000	2395.000000	TUBÅEN FM	FORMATION	174	1983-05-05	8	9999-12-31	2013-05-08
7120/8-3	1200.000000	2192.000000	ADVENTDALEN GP	GROUP	1	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	2187.000000	2192.000000	FUGLEN FM	FORMATION	47	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	2104.000000	2187.000000	HEKKINGEN FM	FORMATION	63	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	2192.000000	2335.000000	KAPP TOSCANA GP	GROUP	79	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	2055.000000	2104.000000	KNURR FM	FORMATION	82	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	1962.000000	2055.000000	KOLJE FM	FORMATION	84	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	1200.000000	1962.000000	KOLMULE FM	FORMATION	85	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	1067.000000	1200.000000	KVITING FM	FORMATION	90	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	303.000000	605.000000	NORDLAND GP	GROUP	113	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	2277.000000	2335.000000	NORDMELA FM	FORMATION	118	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	1067.000000	1200.000000	NYGRUNNEN GP	GROUP	122	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	605.000000	1067.000000	SOTBAKKEN GP	GROUP	154	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	2192.000000	2277.000000	STØ FM	FORMATION	159	1983-05-24	9	9999-12-31	2013-05-08
7120/8-3	605.000000	1067.000000	TORSK FM	FORMATION	172	1983-05-24	9	9999-12-31	2013-05-08
30/9-2	2014.000000	2084.000000	BALDER FM	FORMATION	6	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2578.000000	2767.000000	BRENT GP	GROUP	16	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2507.000000	2509.000000	CROMER KNOLL GP	GROUP	23	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2767.000000	2830.000000	DRAKE FM	FORMATION	27	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2767.000000	2830.000000	DUNLIN GP	GROUP	29	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2698.000000	2767.000000	ETIVE FM	FORMATION	35	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2303.000000	2420.000000	HARDRÅDE FM	FORMATION	56	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2509.000000	2578.000000	HEATHER FM	FORMATION	60	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	867.000000	2014.000000	HORDALAND GP	GROUP	67	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2420.000000	2505.000000	KYRRE FM	FORMATION	92	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2199.000000	2290.000000	LISTA FM	FORMATION	95	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2578.000000	2698.000000	NESS FM	FORMATION	110	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	1155.000000	1167.000000	NO FORMAL NAME	FORMATION	111	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	1180.000000	1233.000000	NO FORMAL NAME	FORMATION	111	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	1244.000000	1269.000000	NO FORMAL NAME	FORMATION	111	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	1359.000000	2014.000000	NO FORMAL NAME	FORMATION	111	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	129.000000	867.000000	NORDLAND GP	GROUP	113	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2014.000000	2303.000000	ROGALAND GP	GROUP	131	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2084.000000	2199.000000	SELE FM	FORMATION	142	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2303.000000	2507.000000	SHETLAND GP	GROUP	143	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	1114.000000	1155.000000	SKADE FM	FORMATION	145	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	1167.000000	1180.000000	SKADE FM	FORMATION	145	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	1233.000000	1244.000000	SKADE FM	FORMATION	145	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	1269.000000	1359.000000	SKADE FM	FORMATION	145	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2505.000000	2507.000000	TRYGGVASON FM	FORMATION	173	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	641.000000	867.000000	UTSIRA FM	FORMATION	183	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2509.000000	2578.000000	VIKING GP	GROUP	188	1983-07-12	11	9999-12-31	2013-05-08
30/9-2	2290.000000	2303.000000	VÅLE FM	FORMATION	190	1983-07-12	11	9999-12-31	2013-05-08
6610/7-1	952.000000	1121.000000	BRYGGE FM	FORMATION	18	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2679.000000	3193.000000	BÅT GP	GROUP	22	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	1620.000000	2271.000000	CROMER KNOLL GP	GROUP	23	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2606.000000	2679.000000	FANGST GP	GROUP	38	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	3193.000000	3237.000000	GREY BEDS (INFORMAL)	GROUP	52	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	952.000000	1121.000000	HORDALAND GP	GROUP	67	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2658.000000	2679.000000	ILE FM	FORMATION	70	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	1620.000000	2177.000000	LANGE FM	FORMATION	94	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2190.000000	2271.000000	LANGE FM	FORMATION	94	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2315.000000	2606.000000	MELKE FM	FORMATION	105	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	290.000000	890.000000	NAUST FM	FORMATION	109	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	1290.000000	1312.000000	NO FORMAL NAME	FORMATION	111	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2177.000000	2190.000000	NO FORMAL NAME	FORMATION	111	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	290.000000	952.000000	NORDLAND GP	GROUP	113	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2606.000000	2658.000000	NOT FM	FORMATION	120	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	3237.000000	3333.000000	RED BEDS (INFORMAL)	GROUP	129	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	1121.000000	1335.000000	ROGALAND GP	GROUP	131	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2679.000000	2746.000000	ROR FM	FORMATION	135	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	1335.000000	1620.000000	SHETLAND GP	GROUP	143	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2271.000000	2315.000000	SPEKK FM	FORMATION	155	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	1335.000000	1620.000000	SPRINGAR FM	FORMATION	156	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	1250.000000	1290.000000	TANG FM	FORMATION	161	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	1312.000000	1335.000000	TANG FM	FORMATION	161	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	1121.000000	1250.000000	TARE FM	FORMATION	163	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2746.000000	2855.000000	TILJE FM	FORMATION	169	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2271.000000	2606.000000	VIKING GP	GROUP	188	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	2855.000000	3193.000000	ÅRE FM	FORMATION	197	1983-06-19	12	9999-12-31	2013-05-08
6610/7-1	890.000000	952.000000	MOLO FM	FORMATION	209	1983-06-19	12	9999-12-31	2013-05-08
7117/9-2	1393.000000	5000.000000	ADVENTDALEN GP	GROUP	1	1983-09-09	13	9999-12-31	2013-05-08
7117/9-2	1393.000000	5000.000000	KOLMULE FM	FORMATION	85	1983-09-09	13	9999-12-31	2013-05-08
7117/9-2	1375.000000	1393.000000	KVEITE FM	FORMATION	89	1983-09-09	13	9999-12-31	2013-05-08
7117/9-2	294.000000	1092.000000	NORDLAND GP	GROUP	113	1983-09-09	13	9999-12-31	2013-05-08
7117/9-2	1375.000000	1393.000000	NYGRUNNEN GP	GROUP	122	1983-09-09	13	9999-12-31	2013-05-08
7117/9-2	1092.000000	1375.000000	SOTBAKKEN GP	GROUP	154	1983-09-09	13	9999-12-31	2013-05-08
7117/9-2	1092.000000	1375.000000	TORSK FM	FORMATION	172	1983-09-09	13	9999-12-31	2013-05-08
31/2-12	1181.000000	1234.000000	BALDER FM	FORMATION	6	1983-09-08	14	9999-12-31	2013-05-08
31/2-12	1541.000000	1615.000000	FENSFJORD FM	FORMATION	40	1983-09-08	14	9999-12-31	2013-05-08
31/2-12	1487.000000	1541.000000	HEATHER FM	FORMATION	60	1983-09-08	14	9999-12-31	2013-05-08
31/2-12	730.000000	1181.000000	HORDALAND GP	GROUP	67	1983-09-08	14	9999-12-31	2013-05-08
31/2-12	1258.000000	1354.000000	LISTA FM	FORMATION	95	1983-09-08	14	9999-12-31	2013-05-08
31/2-12	359.000000	730.000000	NORDLAND GP	GROUP	113	1983-09-08	14	9999-12-31	2013-05-08
31/2-12	1181.000000	1365.000000	ROGALAND GP	GROUP	131	1983-09-08	14	9999-12-31	2013-05-08
31/2-12	1234.000000	1258.000000	SELE FM	FORMATION	142	1983-09-08	14	9999-12-31	2013-05-08
31/2-12	1365.000000	1487.000000	SOGNEFJORD FM	FORMATION	151	1983-09-08	14	9999-12-31	2013-05-08
31/2-12	1365.000000	1615.000000	VIKING GP	GROUP	188	1983-09-08	14	9999-12-31	2013-05-08
31/2-12	1354.000000	1365.000000	VÅLE FM	FORMATION	190	1983-09-08	14	9999-12-31	2013-05-08
6609/11-1	1255.000000	1479.000000	BRYGGE FM	FORMATION	18	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	2467.000000	3068.000000	BÅT GP	GROUP	22	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	1830.000000	2069.000000	CROMER KNOLL GP	GROUP	23	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	1255.000000	1479.000000	HORDALAND GP	GROUP	67	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	530.000000	1255.000000	KAI FM	FORMATION	77	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	1830.000000	2022.000000	LANGE FM	FORMATION	94	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	2022.000000	2069.000000	LYR FM	FORMATION	98	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	2226.000000	2467.000000	MELKE FM	FORMATION	105	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	263.000000	530.000000	NAUST FM	FORMATION	109	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	263.000000	1255.000000	NORDLAND GP	GROUP	113	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	1479.000000	1640.000000	ROGALAND GP	GROUP	131	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	2467.000000	2546.000000	ROR FM	FORMATION	135	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	1640.000000	1830.000000	SHETLAND GP	GROUP	143	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	2069.000000	2226.000000	SPEKK FM	FORMATION	155	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	1640.000000	1830.000000	SPRINGAR FM	FORMATION	156	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	1548.000000	1640.000000	TANG FM	FORMATION	161	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	1479.000000	1548.000000	TARE FM	FORMATION	163	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	2546.000000	2735.000000	TILJE FM	FORMATION	169	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	2069.000000	2467.000000	VIKING GP	GROUP	188	1983-07-07	15	9999-12-31	2013-05-08
6609/11-1	2735.000000	3068.000000	ÅRE FM	FORMATION	197	1983-07-07	15	9999-12-31	2013-05-08
6407/2-2	1555.000000	1955.000000	BRYGGE FM	FORMATION	18	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2602.000000	3275.000000	BÅT GP	GROUP	22	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2328.000000	2410.000000	CROMER KNOLL GP	GROUP	23	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2461.000000	2602.000000	FANGST GP	GROUP	38	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2461.000000	2515.000000	GARN FM	FORMATION	48	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	3275.000000	3351.000000	GREY BEDS (INFORMAL)	GROUP	52	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	1555.000000	1955.000000	HORDALAND GP	GROUP	67	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2527.000000	2602.000000	ILE FM	FORMATION	70	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	1384.000000	1555.000000	KAI FM	FORMATION	77	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2328.000000	2395.000000	LANGE FM	FORMATION	94	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2395.000000	2410.000000	LYR FM	FORMATION	98	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2417.000000	2461.000000	MELKE FM	FORMATION	105	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	284.000000	1384.000000	NAUST FM	FORMATION	109	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2149.000000	2328.000000	NISE FM	FORMATION	112	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	284.000000	1555.000000	NORDLAND GP	GROUP	113	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2515.000000	2527.000000	NOT FM	FORMATION	120	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	1955.000000	2088.000000	ROGALAND GP	GROUP	131	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2602.000000	2709.000000	ROR FM	FORMATION	135	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2088.000000	2328.000000	SHETLAND GP	GROUP	143	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2410.000000	2417.000000	SPEKK FM	FORMATION	155	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2088.000000	2149.000000	SPRINGAR FM	FORMATION	156	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2035.000000	2088.000000	TANG FM	FORMATION	161	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	1955.000000	2035.000000	TARE FM	FORMATION	163	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2709.000000	2892.000000	TILJE FM	FORMATION	169	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2410.000000	2461.000000	VIKING GP	GROUP	188	1983-07-31	16	9999-12-31	2013-05-08
6407/2-2	2892.000000	3275.000000	ÅRE FM	FORMATION	197	1983-07-31	16	9999-12-31	2013-05-08
7119/12-3	1456.000000	3144.000000	ADVENTDALEN GP	GROUP	1	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	3107.000000	3144.000000	FUGLEN FM	FORMATION	47	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	3026.000000	3107.000000	HEKKINGEN FM	FORMATION	63	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	3144.000000	3314.000000	KAPP TOSCANA GP	GROUP	79	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	2953.000000	3026.000000	KNURR FM	FORMATION	82	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	2715.000000	2953.000000	KOLJE FM	FORMATION	84	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	1456.000000	2715.000000	KOLMULE FM	FORMATION	85	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	1202.000000	1456.000000	KVEITE FM	FORMATION	89	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	240.000000	442.000000	NORDLAND GP	GROUP	113	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	3299.000000	3314.000000	NORDMELA FM	FORMATION	118	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	1202.000000	1456.000000	NYGRUNNEN GP	GROUP	122	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	442.000000	1202.000000	SOTBAKKEN GP	GROUP	154	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	3144.000000	3299.000000	STØ FM	FORMATION	159	1983-09-12	17	9999-12-31	2013-05-08
7119/12-3	442.000000	1202.000000	TORSK FM	FORMATION	172	1983-09-12	17	9999-12-31	2013-05-08
7120/7-2	1092.000000	2150.000000	ADVENTDALEN GP	GROUP	1	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	2435.000000	2523.000000	FRUHOLMEN FM	FORMATION	46	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	2141.000000	2150.000000	FUGLEN FM	FORMATION	47	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	2017.000000	2141.000000	HEKKINGEN FM	FORMATION	63	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	2150.000000	2523.000000	KAPP TOSCANA GP	GROUP	79	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	1987.000000	2017.000000	KNURR FM	FORMATION	82	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	1666.000000	1987.000000	KOLJE FM	FORMATION	84	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	1092.000000	1666.000000	KOLMULE FM	FORMATION	85	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	947.000000	1092.000000	KVEITE FM	FORMATION	89	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	263.000000	380.000000	NORDLAND GP	GROUP	113	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	2256.000000	2387.000000	NORDMELA FM	FORMATION	118	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	947.000000	1092.000000	NYGRUNNEN GP	GROUP	122	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	380.000000	947.000000	SOTBAKKEN GP	GROUP	154	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	2150.000000	2256.000000	STØ FM	FORMATION	159	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	380.000000	947.000000	TORSK FM	FORMATION	172	1983-08-21	18	9999-12-31	2013-05-08
7120/7-2	2387.000000	2435.000000	TUBÅEN FM	FORMATION	174	1983-08-21	18	9999-12-31	2013-05-08
6609/7-1	1912.000000	1969.000000	BASEMENT	GROUP	10	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1460.000000	1500.000000	BRYGGE FM	FORMATION	18	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1820.000000	1876.000000	CROMER KNOLL GP	GROUP	23	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1460.000000	1500.000000	HORDALAND GP	GROUP	67	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1400.000000	1460.000000	KAI FM	FORMATION	77	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1820.000000	1876.000000	LANGE FM	FORMATION	94	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	275.000000	1400.000000	NAUST FM	FORMATION	109	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1680.000000	1820.000000	NISE FM	FORMATION	112	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	275.000000	1460.000000	NORDLAND GP	GROUP	113	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1500.000000	1609.000000	ROGALAND GP	GROUP	131	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1609.000000	1820.000000	SHETLAND GP	GROUP	143	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1609.000000	1680.000000	SPRINGAR FM	FORMATION	156	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1582.000000	1609.000000	TANG FM	FORMATION	161	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1500.000000	1582.000000	TARE FM	FORMATION	163	1983-08-03	19	9999-12-31	2013-05-08
6609/7-1	1876.000000	1912.000000	ZECHSTEIN GP	GROUP	194	1983-08-03	19	9999-12-31	2013-05-08
31/3-1	1992.000000	2001.000000	AMUNDSEN FM	FORMATION	4	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	2088.000000	2105.000000	AMUNDSEN FM	FORMATION	4	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	931.000000	1038.000000	BALDER FM	FORMATION	6	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1796.000000	1844.000000	BRENT GP	GROUP	16	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1273.000000	1320.000000	CROMER KNOLL GP	GROUP	23	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1945.000000	1992.000000	COOK FM	FORMATION	24	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1844.000000	1945.000000	DRAKE FM	FORMATION	27	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1320.000000	1352.000000	DRAUPNE FM	FORMATION	28	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1844.000000	2105.000000	DUNLIN GP	GROUP	29	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1516.000000	1668.000000	FENSFJORD FM	FORMATION	40	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1497.000000	1516.000000	HEATHER FM	FORMATION	60	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1779.000000	1796.000000	HEATHER FM	FORMATION	60	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	2160.000000	2374.000000	HEGRE GP	GROUP	61	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	531.000000	931.000000	HORDALAND GP	GROUP	67	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	2001.000000	2088.000000	JOHANSEN FM	FORMATION	73	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1668.000000	1779.000000	KROSSFJORD FM	FORMATION	87	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1136.000000	1225.000000	LISTA FM	FORMATION	95	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	357.000000	531.000000	NORDLAND GP	GROUP	113	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	931.000000	1235.000000	ROGALAND GP	GROUP	131	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1273.000000	1320.000000	RØDBY FM	FORMATION	137	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1038.000000	1136.000000	SELE FM	FORMATION	142	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1235.000000	1273.000000	SHETLAND GP	GROUP	143	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1352.000000	1497.000000	SOGNEFJORD FM	FORMATION	151	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	2105.000000	2160.000000	STATFJORD FM	FORMATION	157	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1320.000000	1796.000000	VIKING GP	GROUP	188	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	1225.000000	1235.000000	VÅLE FM	FORMATION	190	1983-10-13	20	9999-12-31	2013-05-08
31/3-1	2105.000000	2160.000000	NO GROUP DEFINED	GROUP	208	1983-10-13	20	9999-12-31	2013-05-08
7119/7-1	2815.000000	3075.000000	ADVENTDALEN GP	GROUP	1	1983-09-11	21	9999-12-31	2013-05-08
7119/7-1	2815.000000	3075.000000	KOLMULE FM	FORMATION	85	1983-09-11	21	9999-12-31	2013-05-08
7119/7-1	1332.000000	2815.000000	KVEITE FM	FORMATION	89	1983-09-11	21	9999-12-31	2013-05-08
7119/7-1	263.000000	440.000000	NORDLAND GP	GROUP	113	1983-09-11	21	9999-12-31	2013-05-08
7119/7-1	1332.000000	2815.000000	NYGRUNNEN GP	GROUP	122	1983-09-11	21	9999-12-31	2013-05-08
7119/7-1	440.000000	1332.000000	SOTBAKKEN GP	GROUP	154	1983-09-11	21	9999-12-31	2013-05-08
7119/7-1	440.000000	1332.000000	TORSK FM	FORMATION	172	1983-09-11	21	9999-12-31	2013-05-08
7119/7-1	3075.000000	3095.000000	UNDEFINED GP	GROUP	191	1983-09-11	21	9999-12-31	2013-05-08
7119/7-1	3095.000000	3167.000000	UNDEFINED GP	GROUP	191	1983-09-11	21	9999-12-31	2013-05-08
31/6-1	2083.000000	2111.000000	AMUNDSEN FM	FORMATION	4	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	972.000000	1084.000000	BALDER FM	FORMATION	6	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	4014.000000	4070.000000	BASEMENT	GROUP	10	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1805.000000	1835.000000	BRENT GP	GROUP	16	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1304.000000	1313.000000	CROMER KNOLL GP	GROUP	23	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1962.000000	1981.000000	COOK FM	FORMATION	24	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1835.000000	1962.000000	DRAKE FM	FORMATION	27	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1313.000000	1335.000000	DRAUPNE FM	FORMATION	28	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1835.000000	2111.000000	DUNLIN GP	GROUP	29	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1518.000000	1720.000000	FENSFJORD FM	FORMATION	40	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1232.000000	1236.000000	HARDRÅDE FM	FORMATION	56	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1335.000000	1352.000000	HEATHER FM	FORMATION	60	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1488.000000	1518.000000	HEATHER FM	FORMATION	60	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1776.000000	1805.000000	HEATHER FM	FORMATION	60	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	2156.000000	3978.000000	HEGRE GP	GROUP	61	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	531.000000	972.000000	HORDALAND GP	GROUP	67	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1981.000000	2083.000000	JOHANSEN FM	FORMATION	73	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1720.000000	1776.000000	KROSSFJORD FM	FORMATION	87	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1194.000000	1232.000000	LISTA FM	FORMATION	95	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	531.000000	579.000000	NO FORMAL NAME	FORMATION	111	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	579.000000	972.000000	NO FORMAL NAME	FORMATION	111	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	327.000000	531.000000	NORDLAND GP	GROUP	113	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	972.000000	1232.000000	ROGALAND GP	GROUP	131	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1084.000000	1194.000000	SELE FM	FORMATION	142	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1232.000000	1304.000000	SHETLAND GP	GROUP	143	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1352.000000	1488.000000	SOGNEFJORD FM	FORMATION	151	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	2111.000000	2156.000000	STATFJORD FM	FORMATION	157	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1236.000000	1304.000000	UNDIFFERENTIATED	FORMATION	182	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	1313.000000	1805.000000	VIKING GP	GROUP	188	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	3978.000000	4014.000000	UNDEFINED GP	GROUP	191	1983-10-28	22	9999-12-31	2013-05-08
31/6-1	2111.000000	2156.000000	NO GROUP DEFINED	GROUP	208	1983-10-28	22	9999-12-31	2013-05-08
34/10-18	2843.000000	2978.000000	AMUNDSEN FM	FORMATION	4	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	1690.000000	1750.000000	BALDER FM	FORMATION	6	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2373.000000	2604.000000	BRENT GP	GROUP	16	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2595.000000	2604.000000	BROOM FM	FORMATION	17	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2785.000000	2843.000000	BURTON FM	FORMATION	20	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2337.000000	2351.000000	CROMER KNOLL GP	GROUP	23	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2688.000000	2785.000000	COOK FM	FORMATION	24	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2604.000000	2688.000000	DRAKE FM	FORMATION	27	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2351.000000	2355.000000	DRAUPNE FM	FORMATION	28	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2604.000000	2978.000000	DUNLIN GP	GROUP	29	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2495.000000	2524.000000	ETIVE FM	FORMATION	35	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2355.000000	2373.000000	HEATHER FM	FORMATION	60	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	902.000000	1690.000000	HORDALAND GP	GROUP	67	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	1878.000000	2107.000000	JORSALFARE FM	FORMATION	74	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2107.000000	2337.000000	KYRRE FM	FORMATION	92	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	1750.000000	1878.000000	LISTA FM	FORMATION	95	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2340.000000	2351.000000	MIME FM	FORMATION	106	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2412.000000	2495.000000	NESS FM	FORMATION	110	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	858.000000	902.000000	NO FORMAL NAME	FORMATION	111	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	1180.000000	1246.000000	NO FORMAL NAME	FORMATION	111	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	1246.000000	1406.000000	NO FORMAL NAME	FORMATION	111	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	1406.000000	1470.000000	NO FORMAL NAME	FORMATION	111	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	1470.000000	1690.000000	NO FORMAL NAME	FORMATION	111	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	163.000000	902.000000	NORDLAND GP	GROUP	113	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2524.000000	2595.000000	RANNOCH FM	FORMATION	126	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	1690.000000	1878.000000	ROGALAND GP	GROUP	131	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2337.000000	2340.000000	RØDBY FM	FORMATION	137	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	1878.000000	2337.000000	SHETLAND GP	GROUP	143	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2978.000000	3025.000000	STATFJORD FM	FORMATION	157	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2373.000000	2412.000000	TARBERT FM	FORMATION	162	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	822.000000	858.000000	UTSIRA FM	FORMATION	183	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2351.000000	2373.000000	VIKING GP	GROUP	188	1983-08-30	23	9999-12-31	2013-05-08
34/10-18	2978.000000	3025.000000	NO GROUP DEFINED	GROUP	208	1983-08-30	23	9999-12-31	2013-05-08
6609/10-1	1367.000000	1405.000000	BRYGGE FM	FORMATION	18	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1605.000000	1993.000000	BÅT GP	GROUP	22	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1993.000000	2102.000000	GREY BEDS (INFORMAL)	GROUP	52	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1367.000000	1405.000000	HORDALAND GP	GROUP	67	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1312.000000	1367.000000	KAI FM	FORMATION	77	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	288.000000	1312.000000	NAUST FM	FORMATION	109	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	288.000000	1367.000000	NORDLAND GP	GROUP	113	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	2102.000000	2167.000000	RED BEDS (INFORMAL)	GROUP	129	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1405.000000	1509.000000	ROGALAND GP	GROUP	131	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1605.000000	1642.000000	ROR FM	FORMATION	135	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1509.000000	1605.000000	SHETLAND GP	GROUP	143	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1509.000000	1605.000000	SPRINGAR FM	FORMATION	156	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1473.000000	1509.000000	TANG FM	FORMATION	161	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1405.000000	1473.000000	TARE FM	FORMATION	163	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1642.000000	1733.000000	TILJE FM	FORMATION	169	1983-08-29	24	9999-12-31	2013-05-08
6609/10-1	1733.000000	1993.000000	ÅRE FM	FORMATION	197	1983-08-29	24	9999-12-31	2013-05-08
2/5-7	3028.000000	3038.000000	BALDER FM	FORMATION	6	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	4087.000000	4108.000000	CROMER KNOLL GP	GROUP	23	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	3204.000000	3289.000000	EKOFISK FM	FORMATION	33	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	4120.000000	4347.000000	FARSUND FM	FORMATION	39	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	3726.000000	4087.000000	HOD FM	FORMATION	66	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	1548.000000	3028.000000	HORDALAND GP	GROUP	67	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	3047.000000	3143.000000	LISTA FM	FORMATION	95	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	4108.000000	4120.000000	MANDAL FM	FORMATION	101	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	100.000000	1548.000000	NORDLAND GP	GROUP	113	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	3028.000000	3204.000000	ROGALAND GP	GROUP	131	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	3038.000000	3047.000000	SELE FM	FORMATION	142	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	3204.000000	4087.000000	SHETLAND GP	GROUP	143	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	4387.000000	4531.000000	SKAGERRAK FM	FORMATION	146	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	3289.000000	3726.000000	TOR FM	FORMATION	171	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	4108.000000	4347.000000	TYNE GP	GROUP	177	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	4347.000000	4387.000000	VESTLAND GP	GROUP	186	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	3143.000000	3204.000000	VÅLE FM	FORMATION	190	1984-02-24	25	9999-12-31	2013-05-08
2/5-7	4387.000000	4531.000000	NO GROUP DEFINED	GROUP	208	1984-02-24	25	9999-12-31	2013-05-08
6610/7-2	993.000000	1039.000000	BRYGGE FM	FORMATION	18	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1487.000000	1726.000000	BÅT GP	GROUP	22	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1455.000000	1487.000000	CROMER KNOLL GP	GROUP	23	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1726.000000	4215.000000	GREY BEDS (INFORMAL)	GROUP	52	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	993.000000	1039.000000	HORDALAND GP	GROUP	67	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1455.000000	1487.000000	LANGE FM	FORMATION	94	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	257.000000	993.000000	NAUST FM	FORMATION	109	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1166.000000	1197.000000	NO FORMAL NAME	FORMATION	111	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	257.000000	993.000000	NORDLAND GP	GROUP	113	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1039.000000	1262.000000	ROGALAND GP	GROUP	131	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1262.000000	1455.000000	SHETLAND GP	GROUP	143	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1262.000000	1455.000000	SPRINGAR FM	FORMATION	156	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1126.000000	1166.000000	TANG FM	FORMATION	161	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1197.000000	1262.000000	TANG FM	FORMATION	161	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1039.000000	1126.000000	TARE FM	FORMATION	163	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1487.000000	1533.000000	TILJE FM	FORMATION	169	1984-03-14	26	9999-12-31	2013-05-08
6610/7-2	1533.000000	1726.000000	ÅRE FM	FORMATION	197	1984-03-14	26	9999-12-31	2013-05-08
31/5-1	670.000000	860.000000	HORDALAND GP	GROUP	67	1983-09-30	27	9999-12-31	2013-05-08
31/5-1	342.000000	670.000000	NORDLAND GP	GROUP	113	1983-09-30	27	9999-12-31	2013-05-08
7/8-3	2717.000000	2753.000000	BALDER FM	FORMATION	6	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3361.000000	3367.000000	BLODØKS FM	FORMATION	13	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3393.000000	3639.000000	CROMER KNOLL GP	GROUP	23	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	2858.000000	3024.000000	EKOFISK FM	FORMATION	33	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3675.000000	3724.000000	FARSUND FM	FORMATION	39	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3367.000000	3393.000000	HIDRA FM	FORMATION	65	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3275.000000	3361.000000	HOD FM	FORMATION	66	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	1334.000000	2717.000000	HORDALAND GP	GROUP	67	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	2778.000000	2831.000000	LISTA FM	FORMATION	95	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3639.000000	3675.000000	MANDAL FM	FORMATION	101	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	2831.000000	2858.000000	MAUREEN FM	FORMATION	102	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	106.000000	1334.000000	NORDLAND GP	GROUP	113	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	2717.000000	2858.000000	ROGALAND GP	GROUP	131	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3393.000000	3639.000000	RØDBY FM	FORMATION	137	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	2753.000000	2778.000000	SELE FM	FORMATION	142	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	2858.000000	3393.000000	SHETLAND GP	GROUP	143	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3767.000000	4237.000000	SMITH BANK FM	FORMATION	149	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3024.000000	3275.000000	TOR FM	FORMATION	171	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3639.000000	3724.000000	TYNE GP	GROUP	177	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3724.000000	3767.000000	ULA FM	FORMATION	179	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3724.000000	3767.000000	VESTLAND GP	GROUP	186	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	4237.000000	4320.000000	ZECHSTEIN GP	GROUP	194	1983-12-12	28	9999-12-31	2013-05-08
7/8-3	3767.000000	4237.000000	NO GROUP DEFINED	GROUP	208	1983-12-12	28	9999-12-31	2013-05-08
6407/1-3	1763.000000	2213.000000	BRYGGE FM	FORMATION	18	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3813.000000	4455.000000	BÅT GP	GROUP	22	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	2601.000000	3521.000000	CROMER KNOLL GP	GROUP	23	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3600.000000	3813.000000	FANGST GP	GROUP	38	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3600.000000	3704.000000	GARN FM	FORMATION	48	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	4455.000000	4469.000000	GREY BEDS (INFORMAL)	GROUP	52	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	1763.000000	2213.000000	HORDALAND GP	GROUP	67	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3741.000000	3813.000000	ILE FM	FORMATION	70	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	1449.000000	1763.000000	KAI FM	FORMATION	77	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	2601.000000	3466.000000	LANGE FM	FORMATION	94	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3470.000000	3500.000000	LANGE FM	FORMATION	94	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3500.000000	3521.000000	LYR FM	FORMATION	98	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3545.000000	3600.000000	MELKE FM	FORMATION	105	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	315.000000	1449.000000	NAUST FM	FORMATION	109	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3466.000000	3470.000000	NO FORMAL NAME	FORMATION	111	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	2448.000000	2601.000000	NISE FM	FORMATION	112	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	315.000000	1763.000000	NORDLAND GP	GROUP	113	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3704.000000	3741.000000	NOT FM	FORMATION	120	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	2213.000000	2346.000000	ROGALAND GP	GROUP	131	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3813.000000	3950.000000	ROR FM	FORMATION	135	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	2346.000000	2601.000000	SHETLAND GP	GROUP	143	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3521.000000	3545.000000	SPEKK FM	FORMATION	155	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	2346.000000	2448.000000	SPRINGAR FM	FORMATION	156	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	2300.000000	2346.000000	TANG FM	FORMATION	161	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	2213.000000	2300.000000	TARE FM	FORMATION	163	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3950.000000	4150.000000	TILJE FM	FORMATION	169	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	3521.000000	3600.000000	VIKING GP	GROUP	188	1984-01-16	29	9999-12-31	2013-05-08
6407/1-3	4150.000000	4455.000000	ÅRE FM	FORMATION	197	1984-01-16	29	9999-12-31	2013-05-08
7/11-8	2899.000000	2932.000000	BALDER FM	FORMATION	6	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	3676.000000	3725.000000	CROMER KNOLL GP	GROUP	23	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	3039.000000	3168.000000	EKOFISK FM	FORMATION	33	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	3655.000000	3676.000000	HIDRA FM	FORMATION	65	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	3504.000000	3655.000000	HOD FM	FORMATION	66	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	1404.000000	2899.000000	HORDALAND GP	GROUP	67	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	2977.000000	3028.000000	LISTA FM	FORMATION	95	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	102.000000	1404.000000	NORDLAND GP	GROUP	113	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	2899.000000	3039.000000	ROGALAND GP	GROUP	131	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	3676.000000	3725.000000	RØDBY FM	FORMATION	137	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	2932.000000	2977.000000	SELE FM	FORMATION	142	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	3039.000000	3676.000000	SHETLAND GP	GROUP	143	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	3725.000000	4750.000000	SMITH BANK FM	FORMATION	149	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	3168.000000	3504.000000	TOR FM	FORMATION	171	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	3028.000000	3039.000000	VÅLE FM	FORMATION	190	1983-12-12	30	9999-12-31	2013-05-08
7/11-8	3725.000000	4750.000000	NO GROUP DEFINED	GROUP	208	1983-12-12	30	9999-12-31	2013-05-08
29/9-1	4562.000000	4640.000000	AMUNDSEN FM	FORMATION	4	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	3770.000000	3785.000000	BLODØKS FM	FORMATION	13	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4387.000000	4421.000000	BRENT GP	GROUP	16	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4415.000000	4421.000000	BROOM FM	FORMATION	17	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4530.000000	4562.000000	BURTON FM	FORMATION	20	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	3906.000000	3980.000000	CROMER KNOLL GP	GROUP	23	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4487.000000	4530.000000	COOK FM	FORMATION	24	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4421.000000	4487.000000	DRAKE FM	FORMATION	27	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	3980.000000	4049.000000	DRAUPNE FM	FORMATION	28	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4421.000000	4640.000000	DUNLIN GP	GROUP	29	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	2355.000000	2398.000000	EKOFISK FM	FORMATION	33	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4394.000000	4406.000000	ETIVE FM	FORMATION	35	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	1782.000000	1981.000000	FRIGG FM	FORMATION	45	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	1303.000000	1399.000000	GRID FM	FORMATION	53	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4049.000000	4387.000000	HEATHER FM	FORMATION	60	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	2074.000000	2151.000000	HEIMDAL FM	FORMATION	62	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	859.000000	1981.000000	HORDALAND GP	GROUP	67	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	2398.000000	2633.000000	JORSALFARE FM	FORMATION	74	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	2633.000000	3604.000000	KYRRE FM	FORMATION	92	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	2015.000000	2074.000000	LISTA FM	FORMATION	95	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	2151.000000	2310.000000	LISTA FM	FORMATION	95	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4387.000000	4394.000000	NESS FM	FORMATION	110	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	840.000000	859.000000	NO FORMAL NAME	FORMATION	111	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	935.000000	1303.000000	NO FORMAL NAME	FORMATION	111	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	1399.000000	1782.000000	NO FORMAL NAME	FORMATION	111	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	129.000000	859.000000	NORDLAND GP	GROUP	113	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4406.000000	4415.000000	RANNOCH FM	FORMATION	126	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	1981.000000	2355.000000	ROGALAND GP	GROUP	131	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	3906.000000	3980.000000	RØDBY FM	FORMATION	137	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	2355.000000	3906.000000	SHETLAND GP	GROUP	143	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	859.000000	935.000000	SKADE FM	FORMATION	145	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4640.000000	4703.000000	STATFJORD FM	FORMATION	157	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	3785.000000	3906.000000	SVARTE FM	FORMATION	160	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	3604.000000	3770.000000	TRYGGVASON FM	FORMATION	173	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	1981.000000	2015.000000	UNDIFFERENTIATED	FORMATION	182	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	264.000000	840.000000	UTSIRA FM	FORMATION	183	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	3980.000000	4387.000000	VIKING GP	GROUP	188	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	2310.000000	2355.000000	VÅLE FM	FORMATION	190	1984-02-24	31	9999-12-31	2013-05-08
29/9-1	4640.000000	4703.000000	NO GROUP DEFINED	GROUP	208	1984-02-24	31	9999-12-31	2013-05-08
31/5-2	2194.000000	2225.000000	AMUNDSEN FM	FORMATION	4	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	2323.000000	2336.000000	AMUNDSEN FM	FORMATION	4	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1210.000000	1286.000000	BALDER FM	FORMATION	6	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1957.000000	2036.000000	BRENT GP	GROUP	16	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1450.000000	1475.000000	CROMER KNOLL GP	GROUP	23	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	2176.000000	2194.000000	COOK FM	FORMATION	24	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1516.000000	1521.000000	INTRA DRAUPNE FM SS	FORMATION	26	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	2036.000000	2176.000000	DRAKE FM	FORMATION	27	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1475.000000	1516.000000	DRAUPNE FM	FORMATION	28	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	2036.000000	2336.000000	DUNLIN GP	GROUP	29	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1674.000000	1826.000000	FENSFJORD FM	FORMATION	40	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1432.000000	1441.000000	HARDRÅDE FM	FORMATION	56	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1642.000000	1674.000000	HEATHER FM	FORMATION	60	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1908.000000	1957.000000	HEATHER FM	FORMATION	60	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	2393.000000	2500.000000	HEGRE GP	GROUP	61	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	670.000000	1210.000000	HORDALAND GP	GROUP	67	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	2225.000000	2323.000000	JOHANSEN FM	FORMATION	73	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1826.000000	1908.000000	KROSSFJORD FM	FORMATION	87	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1382.000000	1432.000000	LISTA FM	FORMATION	95	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	342.000000	670.000000	NORDLAND GP	GROUP	113	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1210.000000	1432.000000	ROGALAND GP	GROUP	131	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1450.000000	1465.000000	RØDBY FM	FORMATION	137	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1286.000000	1382.000000	SELE FM	FORMATION	142	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1432.000000	1450.000000	SHETLAND GP	GROUP	143	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1521.000000	1642.000000	SOGNEFJORD FM	FORMATION	151	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	2336.000000	2393.000000	STATFJORD FM	FORMATION	157	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1441.000000	1450.000000	UNDIFFERENTIATED	FORMATION	182	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1475.000000	1957.000000	VIKING GP	GROUP	188	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	1465.000000	1475.000000	ÅSGARD FM	FORMATION	198	1983-11-11	32	9999-12-31	2013-05-08
31/5-2	2336.000000	2393.000000	NO GROUP DEFINED	GROUP	208	1983-11-11	32	9999-12-31	2013-05-08
31/6-2	626.000000	776.000000	BALDER FM	FORMATION	6	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1931.000000	1975.000000	BRENT GP	GROUP	16	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1128.000000	1322.000000	CROMER KNOLL GP	GROUP	23	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1975.000000	2020.000000	DRAKE FM	FORMATION	27	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1322.000000	1435.000000	DRAUPNE FM	FORMATION	28	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1975.000000	2020.000000	DUNLIN GP	GROUP	29	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1642.000000	1875.000000	FENSFJORD FM	FORMATION	40	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	968.000000	978.000000	HARDRÅDE FM	FORMATION	56	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1435.000000	1460.000000	HEATHER FM	FORMATION	60	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1625.000000	1642.000000	HEATHER FM	FORMATION	60	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1910.000000	1931.000000	HEATHER FM	FORMATION	60	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	505.000000	626.000000	HORDALAND GP	GROUP	67	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1875.000000	1910.000000	KROSSFJORD FM	FORMATION	87	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	885.000000	968.000000	LISTA FM	FORMATION	95	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	326.000000	505.000000	NORDLAND GP	GROUP	113	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	626.000000	968.000000	ROGALAND GP	GROUP	131	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1128.000000	1223.000000	RØDBY FM	FORMATION	137	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	776.000000	885.000000	SELE FM	FORMATION	142	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	968.000000	1128.000000	SHETLAND GP	GROUP	143	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1460.000000	1625.000000	SOGNEFJORD FM	FORMATION	151	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	978.000000	1128.000000	UNDIFFERENTIATED	FORMATION	182	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1322.000000	1931.000000	VIKING GP	GROUP	188	1983-12-11	34	9999-12-31	2013-05-08
31/6-2	1223.000000	1322.000000	ÅSGARD FM	FORMATION	198	1983-12-11	34	9999-12-31	2013-05-08
31/6-3	2125.000000	2143.000000	AMUNDSEN FM	FORMATION	4	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	508.000000	550.000000	BALDER FM	FORMATION	6	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	1932.000000	1974.000000	BRENT GP	GROUP	16	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	998.000000	1370.000000	CROMER KNOLL GP	GROUP	23	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	1974.000000	2042.000000	DRAKE FM	FORMATION	27	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	1370.000000	1495.000000	DRAUPNE FM	FORMATION	28	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	1974.000000	2143.000000	DUNLIN GP	GROUP	29	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	1669.000000	1756.000000	FENSFJORD FM	FORMATION	40	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	808.000000	823.000000	HARDRÅDE FM	FORMATION	56	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	1495.000000	1511.000000	HEATHER FM	FORMATION	60	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	2195.000000	2250.000000	HEGRE GP	GROUP	61	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	2042.000000	2125.000000	JOHANSEN FM	FORMATION	73	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	1756.000000	1932.000000	KROSSFJORD FM	FORMATION	87	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	702.000000	808.000000	LISTA FM	FORMATION	95	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	326.000000	508.000000	NORDLAND GP	GROUP	113	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	508.000000	808.000000	ROGALAND GP	GROUP	131	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	998.000000	1058.000000	RØDBY FM	FORMATION	137	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	550.000000	702.000000	SELE FM	FORMATION	142	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	808.000000	998.000000	SHETLAND GP	GROUP	143	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	1511.000000	1669.000000	SOGNEFJORD FM	FORMATION	151	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	1058.000000	1130.000000	SOLA FM	FORMATION	152	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	2143.000000	2195.000000	STATFJORD FM	FORMATION	157	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	823.000000	998.000000	UNDIFFERENTIATED	FORMATION	182	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	1370.000000	1932.000000	VIKING GP	GROUP	188	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	1130.000000	1370.000000	ÅSGARD FM	FORMATION	198	1983-12-26	35	9999-12-31	2013-05-08
31/6-3	2143.000000	2195.000000	NO GROUP DEFINED	GROUP	208	1983-12-26	35	9999-12-31	2013-05-08
15/9-18	2291.000000	2338.000000	BALDER FM	FORMATION	6	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2931.000000	2993.000000	BLODØKS FM	FORMATION	13	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3013.000000	3108.000000	CROMER KNOLL GP	GROUP	23	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3108.000000	3213.000000	DRAUPNE FM	FORMATION	28	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2702.000000	2706.000000	EKOFISK FM	FORMATION	33	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3213.000000	3237.000000	HEATHER FM	FORMATION	60	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2465.000000	2665.000000	HEIMDAL FM	FORMATION	62	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2843.000000	2931.000000	HOD FM	FORMATION	66	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	1210.000000	2291.000000	HORDALAND GP	GROUP	67	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3237.000000	3410.000000	HUGIN FM	FORMATION	69	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2405.000000	2465.000000	LISTA FM	FORMATION	95	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	1254.000000	2071.000000	NO FORMAL NAME	FORMATION	111	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2071.000000	2291.000000	NO FORMAL NAME	FORMATION	111	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	120.000000	1210.000000	NORDLAND GP	GROUP	113	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2291.000000	2702.000000	ROGALAND GP	GROUP	131	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3013.000000	3061.000000	RØDBY FM	FORMATION	137	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2338.000000	2405.000000	SELE FM	FORMATION	142	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2702.000000	3013.000000	SHETLAND GP	GROUP	143	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3420.000000	3593.000000	SKAGERRAK FM	FORMATION	146	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3410.000000	3420.000000	SLEIPNER FM	FORMATION	148	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3593.000000	3622.000000	SMITH BANK FM	FORMATION	149	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3061.000000	3076.000000	SOLA FM	FORMATION	152	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2993.000000	3013.000000	SVARTE FM	FORMATION	160	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2706.000000	2843.000000	TOR FM	FORMATION	171	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	2665.000000	2702.000000	TY FM	FORMATION	176	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	866.000000	1210.000000	UTSIRA FM	FORMATION	183	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3237.000000	3420.000000	VESTLAND GP	GROUP	186	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3108.000000	3237.000000	VIKING GP	GROUP	188	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3076.000000	3108.000000	ÅSGARD FM	FORMATION	198	1984-03-02	36	9999-12-31	2013-05-08
15/9-18	3420.000000	3622.000000	NO GROUP DEFINED	GROUP	208	1984-03-02	36	9999-12-31	2013-05-08
34/4-5	3520.000000	3559.000000	AMUNDSEN FM	FORMATION	4	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	1805.000000	1838.000000	BALDER FM	FORMATION	6	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3235.000000	3245.000000	CROMER KNOLL GP	GROUP	23	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3416.000000	3520.000000	COOK FM	FORMATION	24	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3266.000000	3416.000000	DRAKE FM	FORMATION	27	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3266.000000	3559.000000	DUNLIN GP	GROUP	29	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3245.000000	3266.000000	HEATHER FM	FORMATION	60	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3599.000000	3917.000000	HEGRE GP	GROUP	61	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	1332.000000	1805.000000	HORDALAND GP	GROUP	67	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	1925.000000	2145.000000	JORSALFARE FM	FORMATION	74	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	2145.000000	3015.000000	KYRRE FM	FORMATION	92	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	1838.000000	1925.000000	LISTA FM	FORMATION	95	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3599.000000	3917.000000	LUNDE FM	FORMATION	97	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	405.000000	1332.000000	NORDLAND GP	GROUP	113	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	1805.000000	1925.000000	ROGALAND GP	GROUP	131	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3235.000000	3241.000000	RØDBY FM	FORMATION	137	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	1925.000000	3235.000000	SHETLAND GP	GROUP	143	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3559.000000	3599.000000	STATFJORD FM	FORMATION	157	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3015.000000	3235.000000	TRYGGVASON FM	FORMATION	173	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	1240.000000	1332.000000	UTSIRA FM	FORMATION	183	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3245.000000	3266.000000	VIKING GP	GROUP	188	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3241.000000	3245.000000	ÅSGARD FM	FORMATION	198	1984-04-06	37	9999-12-31	2013-05-08
34/4-5	3559.000000	3599.000000	NO GROUP DEFINED	GROUP	208	1984-04-06	37	9999-12-31	2013-05-08
15/6-6	2205.000000	2260.000000	BALDER FM	FORMATION	6	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3290.000000	3354.000000	BLODØKS FM	FORMATION	13	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3377.000000	3398.000000	CROMER KNOLL GP	GROUP	23	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3398.000000	3418.000000	DRAUPNE FM	FORMATION	28	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	2740.000000	2778.000000	EKOFISK FM	FORMATION	33	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	1917.000000	1971.000000	GRID FM	FORMATION	53	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3418.000000	3563.000000	HEATHER FM	FORMATION	60	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	2353.000000	2647.000000	HEIMDAL FM	FORMATION	62	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3050.000000	3290.000000	HOD FM	FORMATION	66	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	1043.000000	2205.000000	HORDALAND GP	GROUP	67	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3563.000000	3621.000000	HUGIN FM	FORMATION	69	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	2329.000000	2353.000000	LISTA FM	FORMATION	95	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	2647.000000	2740.000000	LISTA FM	FORMATION	95	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	1202.000000	1917.000000	NO FORMAL NAME	FORMATION	111	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	1971.000000	2205.000000	NO FORMAL NAME	FORMATION	111	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	135.000000	1043.000000	NORDLAND GP	GROUP	113	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	2205.000000	2740.000000	ROGALAND GP	GROUP	131	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	2260.000000	2329.000000	SELE FM	FORMATION	142	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	2740.000000	3377.000000	SHETLAND GP	GROUP	143	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	1185.000000	1202.000000	SKADE FM	FORMATION	145	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3655.000000	3760.000000	SKAGERRAK FM	FORMATION	146	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3621.000000	3655.000000	SLEIPNER FM	FORMATION	148	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3354.000000	3377.000000	SVARTE FM	FORMATION	160	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	2778.000000	3050.000000	TOR FM	FORMATION	171	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	812.000000	1043.000000	UTSIRA FM	FORMATION	183	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3563.000000	3655.000000	VESTLAND GP	GROUP	186	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3398.000000	3563.000000	VIKING GP	GROUP	188	1982-06-09	38	9999-12-31	2013-05-08
15/6-6	3655.000000	3760.000000	NO GROUP DEFINED	GROUP	208	1982-06-09	38	9999-12-31	2013-05-08
16/7-2	2148.000000	2204.000000	BALDER FM	FORMATION	6	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2579.000000	2668.000000	DRAUPNE FM	FORMATION	28	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2339.000000	2423.000000	HEIMDAL FM	FORMATION	62	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2535.000000	2579.000000	HOD FM	FORMATION	66	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	1096.000000	2148.000000	HORDALAND GP	GROUP	67	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2668.000000	2692.000000	HUGIN FM	FORMATION	69	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	3112.000000	3117.000000	KUPFERSCHIEFER FM	FORMATION	88	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2268.000000	2339.000000	LISTA FM	FORMATION	95	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2423.000000	2435.000000	MAUREEN FM	FORMATION	102	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	108.000000	1096.000000	NORDLAND GP	GROUP	113	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2148.000000	2435.000000	ROGALAND GP	GROUP	131	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	3117.000000	3146.000000	ROTLIEGEND GP	GROUP	136	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2204.000000	2268.000000	SELE FM	FORMATION	142	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2435.000000	2579.000000	SHETLAND GP	GROUP	143	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2692.000000	3010.000000	SMITH BANK FM	FORMATION	149	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2435.000000	2535.000000	TOR FM	FORMATION	171	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	3010.000000	3112.000000	UNDIFFERENTIATED	FORMATION	182	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	794.000000	1096.000000	UTSIRA FM	FORMATION	183	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2668.000000	2692.000000	VESTLAND GP	GROUP	186	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2579.000000	2668.000000	VIKING GP	GROUP	188	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	3010.000000	3117.000000	ZECHSTEIN GP	GROUP	194	1982-03-30	40	9999-12-31	2013-05-08
16/7-2	2692.000000	3010.000000	NO GROUP DEFINED	GROUP	208	1982-03-30	40	9999-12-31	2013-05-08
34/4-4	1634.000000	1670.000000	BALDER FM	FORMATION	6	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	2414.000000	2425.000000	CROMER KNOLL GP	GROUP	23	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	2425.000000	3800.000000	HEGRE GP	GROUP	61	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	1158.000000	1634.000000	HORDALAND GP	GROUP	67	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	1787.000000	1943.000000	JORSALFARE FM	FORMATION	74	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	1943.000000	2414.000000	KYRRE FM	FORMATION	92	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	1670.000000	1787.000000	LISTA FM	FORMATION	95	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	3143.000000	3228.000000	LOMVI FM	FORMATION	96	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	2425.000000	3143.000000	LUNDE FM	FORMATION	97	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	1086.000000	1158.000000	NO FORMAL NAME	FORMATION	111	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	370.000000	1158.000000	NORDLAND GP	GROUP	113	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	1634.000000	1787.000000	ROGALAND GP	GROUP	131	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	1787.000000	2414.000000	SHETLAND GP	GROUP	143	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	3228.000000	3800.000000	TEIST FM (INFORMAL)	FORMATION	166	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	1045.000000	1086.000000	UTSIRA FM	FORMATION	183	1983-02-03	41	9999-12-31	2013-05-08
34/4-4	2414.000000	2425.000000	ÅSGARD FM	FORMATION	198	1983-02-03	41	9999-12-31	2013-05-08
7/11-5	3022.000000	3052.000000	BALDER FM	FORMATION	6	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3860.000000	3865.000000	BLODØKS FM	FORMATION	13	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3928.000000	4024.000000	CROMER KNOLL GP	GROUP	23	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3231.000000	3310.000000	EKOFISK FM	FORMATION	33	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	4057.000000	4155.000000	FARSUND FM	FORMATION	39	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3865.000000	3928.000000	HIDRA FM	FORMATION	65	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3683.000000	3860.000000	HOD FM	FORMATION	66	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	1497.000000	3022.000000	HORDALAND GP	GROUP	67	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3078.000000	3104.000000	LISTA FM	FORMATION	95	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	4024.000000	4057.000000	MANDAL FM	FORMATION	101	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3104.000000	3231.000000	MAUREEN FM	FORMATION	102	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	105.000000	1497.000000	NORDLAND GP	GROUP	113	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3022.000000	3231.000000	ROGALAND GP	GROUP	131	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3928.000000	4024.000000	RØDBY FM	FORMATION	137	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3052.000000	3078.000000	SELE FM	FORMATION	142	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3231.000000	3928.000000	SHETLAND GP	GROUP	143	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	4241.000000	4478.000000	SMITH BANK FM	FORMATION	149	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	3310.000000	3683.000000	TOR FM	FORMATION	171	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	4024.000000	4155.000000	TYNE GP	GROUP	177	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	4155.000000	4241.000000	ULA FM	FORMATION	179	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	4155.000000	4241.000000	VESTLAND GP	GROUP	186	1982-06-10	42	9999-12-31	2013-05-08
7/11-5	4241.000000	4478.000000	NO GROUP DEFINED	GROUP	208	1982-06-10	42	9999-12-31	2013-05-08
1/9-6 S	3242.000000	3275.000000	BALDER FM	FORMATION	6	1982-12-01	44	9999-12-31	2013-05-08
1/9-6 S	3411.000000	3516.000000	EKOFISK FM	FORMATION	33	1982-12-01	44	9999-12-31	2013-05-08
1/9-6 S	3781.000000	3880.000000	HOD FM	FORMATION	66	1982-12-01	44	9999-12-31	2013-05-08
1/9-6 S	1755.000000	3242.000000	HORDALAND GP	GROUP	67	1982-12-01	44	9999-12-31	2013-05-08
1/9-6 S	3322.000000	3400.000000	LISTA FM	FORMATION	95	1982-12-01	44	9999-12-31	2013-05-08
1/9-6 S	102.000000	1755.000000	NORDLAND GP	GROUP	113	1982-12-01	44	9999-12-31	2013-05-08
1/9-6 S	3242.000000	3411.000000	ROGALAND GP	GROUP	131	1982-12-01	44	9999-12-31	2013-05-08
1/9-6 S	3275.000000	3322.000000	SELE FM	FORMATION	142	1982-12-01	44	9999-12-31	2013-05-08
1/9-6 S	3411.000000	3880.000000	SHETLAND GP	GROUP	143	1982-12-01	44	9999-12-31	2013-05-08
1/9-6 S	3516.000000	3781.000000	TOR FM	FORMATION	171	1982-12-01	44	9999-12-31	2013-05-08
1/9-6 S	3400.000000	3411.000000	VÅLE FM	FORMATION	190	1982-12-01	44	9999-12-31	2013-05-08
2/2-1	2658.000000	2678.000000	BALDER FM	FORMATION	6	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	3752.000000	3820.000000	BRYNE FM	FORMATION	19	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	3225.000000	3314.000000	CROMER KNOLL GP	GROUP	23	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	3322.000000	3357.000000	FARSUND FM	FORMATION	39	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	3128.000000	3225.000000	HOD FM	FORMATION	66	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	1600.000000	2658.000000	HORDALAND GP	GROUP	67	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	2730.000000	2781.000000	LISTA FM	FORMATION	95	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	3314.000000	3322.000000	MANDAL FM	FORMATION	101	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	2781.000000	2815.000000	MAUREEN FM	FORMATION	102	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	2172.000000	2658.000000	NO FORMAL NAME	FORMATION	111	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	84.000000	1600.000000	NORDLAND GP	GROUP	113	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	2658.000000	2815.000000	ROGALAND GP	GROUP	131	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	2678.000000	2730.000000	SELE FM	FORMATION	142	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	2815.000000	3225.000000	SHETLAND GP	GROUP	143	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	3820.000000	3947.000000	SKAGERRAK FM	FORMATION	146	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	2815.000000	3128.000000	TOR FM	FORMATION	171	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	3314.000000	3357.000000	TYNE GP	GROUP	177	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	3357.000000	3752.000000	ULA FM	FORMATION	179	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	2100.000000	2172.000000	VADE FM	FORMATION	184	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	3357.000000	3820.000000	VESTLAND GP	GROUP	186	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	3947.000000	4003.000000	ZECHSTEIN GP	GROUP	194	1982-07-03	46	9999-12-31	2013-05-08
2/2-1	3820.000000	3947.000000	NO GROUP DEFINED	GROUP	208	1982-07-03	46	9999-12-31	2013-05-08
25/2-7	2149.000000	2189.000000	BALDER FM	FORMATION	6	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	3205.000000	3263.000000	CROMER KNOLL GP	GROUP	23	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	3263.000000	3275.000000	DRAUPNE FM	FORMATION	28	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	3628.000000	4110.000000	DUNLIN GP	GROUP	29	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	2023.000000	2149.000000	FRIGG FM	FORMATION	45	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	3275.000000	3406.000000	HEATHER FM	FORMATION	60	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	2194.000000	2318.000000	HEIMDAL FM	FORMATION	62	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	1049.000000	2149.000000	HORDALAND GP	GROUP	67	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	3406.000000	3418.000000	HUGIN FM	FORMATION	69	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	2318.000000	2475.000000	LISTA FM	FORMATION	95	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	141.000000	1049.000000	NORDLAND GP	GROUP	113	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	2149.000000	2589.000000	ROGALAND GP	GROUP	131	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	2189.000000	2194.000000	SELE FM	FORMATION	142	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	2589.000000	3205.000000	SHETLAND GP	GROUP	143	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	3418.000000	3628.000000	SLEIPNER FM	FORMATION	148	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	3406.000000	3628.000000	VESTLAND GP	GROUP	186	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	3263.000000	3406.000000	VIKING GP	GROUP	188	1982-07-12	47	9999-12-31	2013-05-08
25/2-7	2475.000000	2589.000000	VÅLE FM	FORMATION	190	1982-07-12	47	9999-12-31	2013-05-08
2/1-4	2917.000000	2932.000000	BALDER FM	FORMATION	6	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3710.000000	3723.000000	BLODØKS FM	FORMATION	13	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	4261.000000	4346.000000	BRYNE FM	FORMATION	19	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3741.000000	4004.000000	CROMER KNOLL GP	GROUP	23	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3174.000000	3190.000000	EKOFISK FM	FORMATION	33	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	4135.000000	4164.000000	FARSUND FM	FORMATION	39	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	4164.000000	4251.000000	HAUGESUND FM	FORMATION	57	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3723.000000	3741.000000	HIDRA FM	FORMATION	65	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3623.000000	3710.000000	HOD FM	FORMATION	66	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	1715.000000	2917.000000	HORDALAND GP	GROUP	67	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	2944.000000	3075.000000	LISTA FM	FORMATION	95	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3136.000000	3174.000000	LISTA FM	FORMATION	95	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	4004.000000	4135.000000	MANDAL FM	FORMATION	101	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	91.000000	1715.000000	NORDLAND GP	GROUP	113	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	2917.000000	3174.000000	ROGALAND GP	GROUP	131	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3741.000000	3775.000000	RØDBY FM	FORMATION	137	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	2932.000000	2944.000000	SELE FM	FORMATION	142	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3174.000000	3741.000000	SHETLAND GP	GROUP	143	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	4346.000000	4470.000000	SKAGERRAK FM	FORMATION	146	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	4470.000000	4485.000000	SMITH BANK FM	FORMATION	149	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3775.000000	3785.000000	SOLA FM	FORMATION	152	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3190.000000	3623.000000	TOR FM	FORMATION	171	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3785.000000	3825.000000	TUXEN FM	FORMATION	175	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	4004.000000	4251.000000	TYNE GP	GROUP	177	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	4251.000000	4261.000000	ULA FM	FORMATION	179	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	4251.000000	4485.000000	VESTLAND GP	GROUP	186	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3075.000000	3136.000000	VIDAR FM	FORMATION	187	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	4485.000000	4525.000000	ZECHSTEIN GP	GROUP	194	1982-08-03	48	9999-12-31	2013-05-08
2/1-4	3825.000000	4004.000000	ÅSGARD FM	FORMATION	198	1982-08-03	48	9999-12-31	2013-05-08
7117/9-1	1875.000000	3200.000000	ADVENTDALEN GP	GROUP	1	1982-07-16	49	9999-12-31	2013-05-08
7117/9-1	1875.000000	3200.000000	KOLMULE FM	FORMATION	85	1982-07-16	49	9999-12-31	2013-05-08
7117/9-1	1809.000000	1875.000000	KVEITE FM	FORMATION	89	1982-07-16	49	9999-12-31	2013-05-08
7117/9-1	284.000000	1139.000000	NORDLAND GP	GROUP	113	1982-07-16	49	9999-12-31	2013-05-08
7117/9-1	1809.000000	1875.000000	NYGRUNNEN GP	GROUP	122	1982-07-16	49	9999-12-31	2013-05-08
7117/9-1	1139.000000	1809.000000	SOTBAKKEN GP	GROUP	154	1982-07-16	49	9999-12-31	2013-05-08
7117/9-1	1139.000000	1809.000000	TORSK FM	FORMATION	172	1982-07-16	49	9999-12-31	2013-05-08
7120/8-2	961.000000	2081.000000	ADVENTDALEN GP	GROUP	1	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	2455.000000	2590.000000	FRUHOLMEN FM	FORMATION	46	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	2078.000000	2081.000000	FUGLEN FM	FORMATION	47	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	1955.000000	2078.000000	HEKKINGEN FM	FORMATION	63	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	2081.000000	2590.000000	KAPP TOSCANA GP	GROUP	79	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	1869.000000	1955.000000	KNURR FM	FORMATION	82	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	1552.000000	1869.000000	KOLJE FM	FORMATION	84	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	961.000000	1552.000000	KOLMULE FM	FORMATION	85	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	877.000000	961.000000	KVEITE FM	FORMATION	89	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	270.000000	558.000000	NORDLAND GP	GROUP	113	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	2190.000000	2375.000000	NORDMELA FM	FORMATION	118	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	877.000000	961.000000	NYGRUNNEN GP	GROUP	122	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	558.000000	877.000000	SOTBAKKEN GP	GROUP	154	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	2081.000000	2190.000000	STØ FM	FORMATION	159	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	558.000000	877.000000	TORSK FM	FORMATION	172	1982-07-29	50	9999-12-31	2013-05-08
7120/8-2	2375.000000	2455.000000	TUBÅEN FM	FORMATION	174	1982-07-29	50	9999-12-31	2013-05-08
6507/11-2	1380.000000	1791.000000	BRYGGE FM	FORMATION	18	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	2040.000000	2761.000000	BÅT GP	GROUP	22	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	1892.000000	1898.000000	CROMER KNOLL GP	GROUP	23	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	1948.000000	2040.000000	FANGST GP	GROUP	38	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	2761.000000	2905.000000	GREY BEDS (INFORMAL)	GROUP	52	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	1380.000000	1791.000000	HORDALAND GP	GROUP	67	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	1948.000000	2040.000000	ILE FM	FORMATION	70	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	1908.000000	1948.000000	MELKE FM	FORMATION	105	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	276.000000	1380.000000	NORDLAND GP	GROUP	113	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	1791.000000	1864.000000	ROGALAND GP	GROUP	131	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	2040.000000	2117.000000	ROR FM	FORMATION	135	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	1864.000000	1892.000000	SHETLAND GP	GROUP	143	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	1898.000000	1908.000000	SPEKK FM	FORMATION	155	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	1838.000000	1864.000000	TANG FM	FORMATION	161	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	1791.000000	1838.000000	TARE FM	FORMATION	163	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	2117.000000	2290.000000	TILJE FM	FORMATION	169	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	1898.000000	1948.000000	VIKING GP	GROUP	188	1982-05-30	51	9999-12-31	2013-05-08
6507/11-2	2290.000000	2761.000000	ÅRE FM	FORMATION	197	1982-05-30	51	9999-12-31	2013-05-08
30/9-3	2051.000000	2131.000000	BALDER FM	FORMATION	6	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2677.000000	3045.000000	BRENT GP	GROUP	16	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	3045.000000	3113.000000	DRAKE FM	FORMATION	27	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	3045.000000	3113.000000	DUNLIN GP	GROUP	29	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2971.000000	3045.000000	ETIVE FM	FORMATION	35	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2354.000000	2578.000000	HARDRÅDE FM	FORMATION	56	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2655.000000	2677.000000	HEATHER FM	FORMATION	60	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	843.000000	2051.000000	HORDALAND GP	GROUP	67	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2578.000000	2655.000000	KYRRE FM	FORMATION	92	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2220.000000	2344.000000	LISTA FM	FORMATION	95	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2712.000000	2971.000000	NESS FM	FORMATION	110	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	135.000000	843.000000	NORDLAND GP	GROUP	113	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2051.000000	2354.000000	ROGALAND GP	GROUP	131	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2131.000000	2220.000000	SELE FM	FORMATION	142	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2354.000000	2655.000000	SHETLAND GP	GROUP	143	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	994.000000	2051.000000	SKADE FM	FORMATION	145	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	594.000000	843.000000	UTSIRA FM	FORMATION	183	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2655.000000	2677.000000	VIKING GP	GROUP	188	1984-02-26	55	9999-12-31	2013-05-08
30/9-3	2344.000000	2354.000000	VÅLE FM	FORMATION	190	1984-02-26	55	9999-12-31	2013-05-08
7/11-7	3133.000000	3146.000000	BALDER FM	FORMATION	6	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4318.000000	4405.000000	CROMER KNOLL GP	GROUP	23	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	3390.000000	3468.000000	EKOFISK FM	FORMATION	33	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4448.000000	4527.000000	FARSUND FM	FORMATION	39	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	3185.000000	3377.000000	FORTIES FM	FORMATION	44	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4208.000000	4318.000000	HIDRA FM	FORMATION	65	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	3874.000000	4208.000000	HOD FM	FORMATION	66	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	1615.000000	3133.000000	HORDALAND GP	GROUP	67	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4405.000000	4448.000000	MANDAL FM	FORMATION	101	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	3377.000000	3390.000000	MAUREEN FM	FORMATION	102	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	112.000000	1615.000000	NORDLAND GP	GROUP	113	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	3133.000000	3390.000000	ROGALAND GP	GROUP	131	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4318.000000	4360.000000	RØDBY FM	FORMATION	137	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	3146.000000	3185.000000	SELE FM	FORMATION	142	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	3390.000000	4318.000000	SHETLAND GP	GROUP	143	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4566.000000	4856.000000	SKAGERRAK FM	FORMATION	146	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	3468.000000	3874.000000	TOR FM	FORMATION	171	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4405.000000	4527.000000	TYNE GP	GROUP	177	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4527.000000	4566.000000	ULA FM	FORMATION	179	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4527.000000	4566.000000	VESTLAND GP	GROUP	186	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4856.000000	4927.000000	ZECHSTEIN GP	GROUP	194	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4360.000000	4405.000000	ÅSGARD FM	FORMATION	198	1983-12-25	57	9999-12-31	2013-05-08
7/11-7	4566.000000	4856.000000	NO GROUP DEFINED	GROUP	208	1983-12-25	57	9999-12-31	2013-05-08
34/10-16	3625.000000	3798.000000	AMUNDSEN FM	FORMATION	4	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	1855.000000	1928.000000	BALDER FM	FORMATION	6	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3171.000000	3475.000000	BRENT GP	GROUP	16	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3602.000000	3625.000000	BURTON FM	FORMATION	20	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	2978.000000	3017.000000	CROMER KNOLL GP	GROUP	23	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3556.000000	3602.000000	COOK FM	FORMATION	24	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3475.000000	3556.000000	DRAKE FM	FORMATION	27	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3017.000000	3030.000000	DRAUPNE FM	FORMATION	28	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3475.000000	3798.000000	DUNLIN GP	GROUP	29	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3399.000000	3412.000000	ETIVE FM	FORMATION	35	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3030.000000	3171.000000	HEATHER FM	FORMATION	60	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	4010.000000	4042.000000	HEGRE GP	GROUP	61	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	1045.000000	1855.000000	HORDALAND GP	GROUP	67	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	2062.000000	2355.000000	JORSALFARE FM	FORMATION	74	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	2355.000000	2978.000000	KYRRE FM	FORMATION	92	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	1928.000000	2062.000000	LISTA FM	FORMATION	95	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	4010.000000	4042.000000	LUNDE FM	FORMATION	97	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3217.000000	3399.000000	NESS FM	FORMATION	110	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	1002.000000	1045.000000	NO FORMAL NAME	FORMATION	111	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	1168.000000	1187.000000	NO FORMAL NAME	FORMATION	111	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	1187.000000	1223.000000	NO FORMAL NAME	FORMATION	111	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	1223.000000	1600.000000	NO FORMAL NAME	FORMATION	111	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	1600.000000	1855.000000	NO FORMAL NAME	FORMATION	111	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	163.000000	1045.000000	NORDLAND GP	GROUP	113	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3412.000000	3475.000000	RANNOCH FM	FORMATION	126	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	1855.000000	2062.000000	ROGALAND GP	GROUP	131	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	2978.000000	2984.000000	RØDBY FM	FORMATION	137	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	2062.000000	2978.000000	SHETLAND GP	GROUP	143	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	2984.000000	2990.000000	SOLA FM	FORMATION	152	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3798.000000	4010.000000	STATFJORD FM	FORMATION	157	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3171.000000	3217.000000	TARBERT FM	FORMATION	162	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	858.000000	1002.000000	UTSIRA FM	FORMATION	183	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3017.000000	3171.000000	VIKING GP	GROUP	188	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	2990.000000	3017.000000	ÅSGARD FM	FORMATION	198	1983-04-11	59	9999-12-31	2013-05-08
34/10-16	3798.000000	4010.000000	NO GROUP DEFINED	GROUP	208	1983-04-11	59	9999-12-31	2013-05-08
6407/1-2	1690.000000	2189.000000	BRYGGE FM	FORMATION	18	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3907.000000	4548.000000	BÅT GP	GROUP	22	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3048.000000	3526.000000	CROMER KNOLL GP	GROUP	23	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3659.000000	3907.000000	FANGST GP	GROUP	38	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3659.000000	3771.000000	GARN FM	FORMATION	48	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	4548.000000	4560.000000	GREY BEDS (INFORMAL)	GROUP	52	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	1690.000000	2189.000000	HORDALAND GP	GROUP	67	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3815.000000	3907.000000	ILE FM	FORMATION	70	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	1419.000000	1690.000000	KAI FM	FORMATION	77	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	2900.000000	3048.000000	KVITNOS FM	FORMATION	91	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3082.000000	3510.000000	LANGE FM	FORMATION	94	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3510.000000	3526.000000	LYR FM	FORMATION	98	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3048.000000	3082.000000	LYSING FM	FORMATION	99	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3575.000000	3659.000000	MELKE FM	FORMATION	105	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	302.000000	1419.000000	NAUST FM	FORMATION	109	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	2403.000000	2900.000000	NISE FM	FORMATION	112	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	302.000000	1690.000000	NORDLAND GP	GROUP	113	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3771.000000	3815.000000	NOT FM	FORMATION	120	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	2189.000000	2320.000000	ROGALAND GP	GROUP	131	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3907.000000	4050.000000	ROR FM	FORMATION	135	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	2320.000000	3048.000000	SHETLAND GP	GROUP	143	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3526.000000	3575.000000	SPEKK FM	FORMATION	155	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	2320.000000	2403.000000	SPRINGAR FM	FORMATION	156	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	2253.000000	2320.000000	TANG FM	FORMATION	161	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	2189.000000	2253.000000	TARE FM	FORMATION	163	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	4050.000000	4220.000000	TILJE FM	FORMATION	169	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	3526.000000	3659.000000	VIKING GP	GROUP	188	1983-05-15	61	9999-12-31	2013-05-08
6407/1-2	4220.000000	4548.000000	ÅRE FM	FORMATION	197	1983-05-15	61	9999-12-31	2013-05-08
2/1-5	2886.000000	2907.000000	BALDER FM	FORMATION	6	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3741.000000	3758.000000	BLODØKS FM	FORMATION	13	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	4199.000000	4454.000000	BRYNE FM	FORMATION	19	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3768.000000	3882.000000	CROMER KNOLL GP	GROUP	23	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3136.000000	3237.000000	EKOFISK FM	FORMATION	33	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3914.000000	4053.000000	FARSUND FM	FORMATION	39	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	2929.000000	2961.000000	FORTIES FM	FORMATION	44	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	4053.000000	4193.000000	HAUGESUND FM	FORMATION	57	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3758.000000	3768.000000	HIDRA FM	FORMATION	65	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3597.000000	3741.000000	HOD FM	FORMATION	66	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	1785.000000	2886.000000	HORDALAND GP	GROUP	67	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	2961.000000	3002.000000	LISTA FM	FORMATION	95	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3882.000000	3914.000000	MANDAL FM	FORMATION	101	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	90.000000	1785.000000	NORDLAND GP	GROUP	113	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	2886.000000	3136.000000	ROGALAND GP	GROUP	131	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3768.000000	3790.000000	RØDBY FM	FORMATION	137	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	2907.000000	2929.000000	SELE FM	FORMATION	142	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3136.000000	3768.000000	SHETLAND GP	GROUP	143	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3790.000000	3797.000000	SOLA FM	FORMATION	152	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3237.000000	3597.000000	TOR FM	FORMATION	171	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3797.000000	3833.000000	TUXEN FM	FORMATION	175	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3882.000000	4193.000000	TYNE GP	GROUP	177	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	4193.000000	4199.000000	ULA FM	FORMATION	179	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	4193.000000	4454.000000	VESTLAND GP	GROUP	186	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3002.000000	3101.000000	VIDAR FM	FORMATION	187	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3101.000000	3136.000000	VÅLE FM	FORMATION	190	1983-04-05	63	9999-12-31	2013-05-08
2/1-5	3833.000000	3882.000000	ÅSGARD FM	FORMATION	198	1983-04-05	63	9999-12-31	2013-05-08
2/6-3	2818.000000	2827.000000	BALDER FM	FORMATION	6	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3918.000000	4060.000000	BASEMENT	GROUP	10	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3545.000000	3638.000000	BRYNE FM	FORMATION	19	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	2940.000000	3020.000000	EKOFISK FM	FORMATION	33	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3427.000000	3545.000000	FARSUND FM	FORMATION	39	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3225.000000	3391.000000	HOD FM	FORMATION	66	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	1530.000000	2818.000000	HORDALAND GP	GROUP	67	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	2870.000000	2918.000000	LISTA FM	FORMATION	95	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3391.000000	3427.000000	MANDAL FM	FORMATION	101	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3790.000000	3918.000000	NO FORMAL NAME	FORMATION	111	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	96.000000	1530.000000	NORDLAND GP	GROUP	113	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	2818.000000	2940.000000	ROGALAND GP	GROUP	131	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	2827.000000	2870.000000	SELE FM	FORMATION	142	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	2940.000000	3391.000000	SHETLAND GP	GROUP	143	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3638.000000	3729.000000	SMITH BANK FM	FORMATION	149	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3020.000000	3225.000000	TOR FM	FORMATION	171	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3391.000000	3545.000000	TYNE GP	GROUP	177	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3545.000000	3638.000000	VESTLAND GP	GROUP	186	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	2918.000000	2940.000000	VÅLE FM	FORMATION	190	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3729.000000	3918.000000	ZECHSTEIN GP	GROUP	194	1983-02-25	64	9999-12-31	2013-05-08
2/6-3	3638.000000	3729.000000	NO GROUP DEFINED	GROUP	208	1983-02-25	64	9999-12-31	2013-05-08
6407/1-1	302.000000	900.000000	NAUST FM	FORMATION	109	1982-11-13	66	9999-12-31	2013-05-08
6407/1-1	302.000000	900.000000	NORDLAND GP	GROUP	113	1982-11-13	66	9999-12-31	2013-05-08
6507/11-1	1614.000000	2010.000000	BRYGGE FM	FORMATION	18	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2410.000000	3074.000000	BÅT GP	GROUP	22	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2358.000000	2410.000000	FANGST GP	GROUP	38	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	3074.000000	3139.000000	GREY BEDS (INFORMAL)	GROUP	52	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	1614.000000	2010.000000	HORDALAND GP	GROUP	67	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2358.000000	2410.000000	ILE FM	FORMATION	70	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	1407.000000	1614.000000	KAI FM	FORMATION	77	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2351.000000	2358.000000	MELKE FM	FORMATION	105	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	331.000000	1407.000000	NAUST FM	FORMATION	109	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	331.000000	1614.000000	NORDLAND GP	GROUP	113	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2010.000000	2125.000000	ROGALAND GP	GROUP	131	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2410.000000	2498.000000	ROR FM	FORMATION	135	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2125.000000	2351.000000	SHETLAND GP	GROUP	143	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2125.000000	2351.000000	SPRINGAR FM	FORMATION	156	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2080.000000	2125.000000	TANG FM	FORMATION	161	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2010.000000	2080.000000	TARE FM	FORMATION	163	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2498.000000	2596.000000	TILJE FM	FORMATION	169	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2351.000000	2358.000000	VIKING GP	GROUP	188	1981-12-10	68	9999-12-31	2013-05-08
6507/11-1	2596.000000	3074.000000	ÅRE FM	FORMATION	197	1981-12-10	68	9999-12-31	2013-05-08
15/9-10	2300.000000	2335.000000	BALDER FM	FORMATION	6	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2871.000000	2924.000000	BLODØKS FM	FORMATION	13	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2955.000000	3004.000000	CROMER KNOLL GP	GROUP	23	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	3004.000000	3059.000000	DRAUPNE FM	FORMATION	28	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2667.000000	2671.000000	EKOFISK FM	FORMATION	33	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2049.000000	2079.000000	GRID FM	FORMATION	53	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	3059.000000	3070.000000	HEATHER FM	FORMATION	60	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2547.000000	2596.000000	HEIMDAL FM	FORMATION	62	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2733.000000	2871.000000	HOD FM	FORMATION	66	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	1102.000000	2300.000000	HORDALAND GP	GROUP	67	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	3070.000000	3127.000000	HUGIN FM	FORMATION	69	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2410.000000	2547.000000	LISTA FM	FORMATION	95	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2596.000000	2597.000000	LISTA FM	FORMATION	95	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	1335.000000	2049.000000	NO FORMAL NAME	FORMATION	111	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2079.000000	2300.000000	NO FORMAL NAME	FORMATION	111	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	123.000000	1102.000000	NORDLAND GP	GROUP	113	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2300.000000	2667.000000	ROGALAND GP	GROUP	131	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2955.000000	2982.000000	RØDBY FM	FORMATION	137	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2335.000000	2410.000000	SELE FM	FORMATION	142	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2667.000000	2955.000000	SHETLAND GP	GROUP	143	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	1316.000000	1335.000000	SKADE FM	FORMATION	145	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	3183.000000	3241.000000	SKAGERRAK FM	FORMATION	146	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	3127.000000	3183.000000	SLEIPNER FM	FORMATION	148	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	3241.000000	3289.000000	SMITH BANK FM	FORMATION	149	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2982.000000	2991.000000	SOLA FM	FORMATION	152	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2924.000000	2955.000000	SVARTE FM	FORMATION	160	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2671.000000	2733.000000	TOR FM	FORMATION	171	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2597.000000	2667.000000	TY FM	FORMATION	176	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	884.000000	1102.000000	UTSIRA FM	FORMATION	183	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	3070.000000	3183.000000	VESTLAND GP	GROUP	186	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	3004.000000	3070.000000	VIKING GP	GROUP	188	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	2991.000000	3004.000000	ÅSGARD FM	FORMATION	198	1981-11-07	69	9999-12-31	2013-05-08
15/9-10	3183.000000	3289.000000	NO GROUP DEFINED	GROUP	208	1981-11-07	69	9999-12-31	2013-05-08
31/2-7	1304.000000	1366.000000	BALDER FM	FORMATION	6	1982-06-14	70	9999-12-31	2013-05-08
31/2-7	1531.000000	1535.000000	CROMER KNOLL GP	GROUP	23	1982-06-14	70	9999-12-31	2013-05-08
31/2-7	1535.000000	1546.000000	DRAUPNE FM	FORMATION	28	1982-06-14	70	9999-12-31	2013-05-08
31/2-7	1601.000000	1660.000000	HEATHER FM	FORMATION	60	1982-06-14	70	9999-12-31	2013-05-08
31/2-7	776.000000	1304.000000	HORDALAND GP	GROUP	67	1982-06-14	70	9999-12-31	2013-05-08
31/2-7	1406.000000	1524.000000	LISTA FM	FORMATION	95	1982-06-14	70	9999-12-31	2013-05-08
31/2-7	363.000000	776.000000	NORDLAND GP	GROUP	113	1982-06-14	70	9999-12-31	2013-05-08
31/2-7	1304.000000	1531.000000	ROGALAND GP	GROUP	131	1982-06-14	70	9999-12-31	2013-05-08
31/2-7	1366.000000	1406.000000	SELE FM	FORMATION	142	1982-06-14	70	9999-12-31	2013-05-08
31/2-7	1546.000000	1601.000000	SOGNEFJORD FM	FORMATION	151	1982-06-14	70	9999-12-31	2013-05-08
31/2-7	1535.000000	1660.000000	VIKING GP	GROUP	188	1982-06-14	70	9999-12-31	2013-05-08
31/2-7	1524.000000	1531.000000	VÅLE FM	FORMATION	190	1982-06-14	70	9999-12-31	2013-05-08
15/9-14	2387.000000	2427.000000	BALDER FM	FORMATION	6	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3040.000000	3075.000000	BLODØKS FM	FORMATION	13	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3082.000000	3176.000000	CROMER KNOLL GP	GROUP	23	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3176.000000	3212.000000	DRAUPNE FM	FORMATION	28	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	2756.000000	2765.000000	EKOFISK FM	FORMATION	33	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3212.000000	3226.000000	HEATHER FM	FORMATION	60	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	2623.000000	2698.000000	HEIMDAL FM	FORMATION	62	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	2889.000000	3040.000000	HOD FM	FORMATION	66	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	1078.000000	2387.000000	HORDALAND GP	GROUP	67	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3226.000000	3254.000000	HUGIN FM	FORMATION	69	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	2484.000000	2623.000000	LISTA FM	FORMATION	95	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	1260.000000	2048.000000	NO FORMAL NAME	FORMATION	111	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	2048.000000	2387.000000	NO FORMAL NAME	FORMATION	111	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	128.000000	1078.000000	NORDLAND GP	GROUP	113	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	2387.000000	2756.000000	ROGALAND GP	GROUP	131	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3082.000000	3131.000000	RØDBY FM	FORMATION	137	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	2427.000000	2484.000000	SELE FM	FORMATION	142	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	2756.000000	3082.000000	SHETLAND GP	GROUP	143	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3360.000000	3543.000000	SKAGERRAK FM	FORMATION	146	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3254.000000	3360.000000	SLEIPNER FM	FORMATION	148	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3543.000000	3563.000000	SMITH BANK FM	FORMATION	149	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3131.000000	3142.000000	SOLA FM	FORMATION	152	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3075.000000	3082.000000	SVARTE FM	FORMATION	160	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	2765.000000	2889.000000	TOR FM	FORMATION	171	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	2698.000000	2756.000000	TY FM	FORMATION	176	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	925.000000	1078.000000	UTSIRA FM	FORMATION	183	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3226.000000	3360.000000	VESTLAND GP	GROUP	186	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3176.000000	3226.000000	VIKING GP	GROUP	188	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3142.000000	3176.000000	ÅSGARD FM	FORMATION	198	1982-06-27	71	9999-12-31	2013-05-08
15/9-14	3360.000000	3563.000000	NO GROUP DEFINED	GROUP	208	1982-06-27	71	9999-12-31	2013-05-08
30/2-1	1917.000000	1993.000000	BALDER FM	FORMATION	6	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	3675.000000	3793.000000	BRENT GP	GROUP	16	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	4000.000000	4110.000000	BURTON FM	FORMATION	20	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	3605.000000	3636.000000	CROMER KNOLL GP	GROUP	23	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	3962.000000	4000.000000	COOK FM	FORMATION	24	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	3793.000000	3962.000000	DRAKE FM	FORMATION	27	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	3636.000000	3657.000000	DRAUPNE FM	FORMATION	28	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	3793.000000	4110.000000	DUNLIN GP	GROUP	29	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	3720.000000	3778.000000	ETIVE FM	FORMATION	35	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	3657.000000	3675.000000	HEATHER FM	FORMATION	60	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	957.000000	1917.000000	HORDALAND GP	GROUP	67	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	2105.000000	2159.000000	LISTA FM	FORMATION	95	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	3675.000000	3720.000000	NESS FM	FORMATION	110	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	155.000000	957.000000	NORDLAND GP	GROUP	113	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	3778.000000	3793.000000	RANNOCH FM	FORMATION	126	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	1917.000000	2159.000000	ROGALAND GP	GROUP	131	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	1993.000000	2105.000000	SELE FM	FORMATION	142	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	2159.000000	3605.000000	SHETLAND GP	GROUP	143	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	4110.000000	4243.000000	STATFJORD FM	FORMATION	157	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	847.000000	957.000000	UTSIRA FM	FORMATION	183	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	3636.000000	3675.000000	VIKING GP	GROUP	188	1982-10-12	72	9999-12-31	2013-05-08
30/2-1	4110.000000	4243.000000	NO GROUP DEFINED	GROUP	208	1982-10-12	72	9999-12-31	2013-05-08
30/6-7	3023.000000	3152.000000	AMUNDSEN FM	FORMATION	4	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2010.000000	2083.000000	BALDER FM	FORMATION	6	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2632.000000	2786.000000	BRENT GP	GROUP	16	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2975.000000	3023.000000	COOK FM	FORMATION	24	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2786.000000	2975.000000	DRAKE FM	FORMATION	27	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2786.000000	3152.000000	DUNLIN GP	GROUP	29	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2727.000000	2737.000000	ETIVE FM	FORMATION	35	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2560.000000	2632.000000	HEATHER FM	FORMATION	60	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	893.000000	2010.000000	HORDALAND GP	GROUP	67	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2290.000000	2360.000000	JORSALFARE FM	FORMATION	74	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2360.000000	2560.000000	KYRRE FM	FORMATION	92	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2192.000000	2272.000000	LISTA FM	FORMATION	95	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2646.000000	2727.000000	NESS FM	FORMATION	110	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	1344.000000	1376.000000	NO FORMAL NAME	FORMATION	111	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	1376.000000	2010.000000	NO FORMAL NAME	FORMATION	111	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	139.000000	893.000000	NORDLAND GP	GROUP	113	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2739.000000	2786.000000	OSEBERG FM	FORMATION	123	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2737.000000	2739.000000	RANNOCH FM	FORMATION	126	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2010.000000	2290.000000	ROGALAND GP	GROUP	131	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2083.000000	2192.000000	SELE FM	FORMATION	142	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2290.000000	2560.000000	SHETLAND GP	GROUP	143	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	3152.000000	3236.000000	STATFJORD FM	FORMATION	157	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2632.000000	2646.000000	TARBERT FM	FORMATION	162	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	704.000000	893.000000	UTSIRA FM	FORMATION	183	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2560.000000	2632.000000	VIKING GP	GROUP	188	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	2272.000000	2290.000000	VÅLE FM	FORMATION	190	1982-08-24	73	9999-12-31	2013-05-08
30/6-7	3152.000000	3236.000000	NO GROUP DEFINED	GROUP	208	1982-08-24	73	9999-12-31	2013-05-08
16/7-3	2000.000000	2048.000000	BALDER FM	FORMATION	6	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2332.000000	2333.000000	DRAUPNE FM	FORMATION	28	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2258.000000	2265.000000	EKOFISK FM	FORMATION	33	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2333.000000	2344.000000	HEATHER FM	FORMATION	60	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2311.000000	2332.000000	HOD FM	FORMATION	66	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	1194.000000	2000.000000	HORDALAND GP	GROUP	67	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2344.000000	2385.000000	HUGIN FM	FORMATION	69	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2857.000000	2859.000000	KUPFERSCHIEFER FM	FORMATION	88	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2107.000000	2244.000000	LISTA FM	FORMATION	95	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	110.000000	1194.000000	NORDLAND GP	GROUP	113	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2000.000000	2258.000000	ROGALAND GP	GROUP	131	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2859.000000	3141.000000	ROTLIEGEND GP	GROUP	136	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2048.000000	2107.000000	SELE FM	FORMATION	142	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2258.000000	2332.000000	SHETLAND GP	GROUP	143	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2385.000000	2795.000000	SMITH BANK FM	FORMATION	149	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2265.000000	2311.000000	TOR FM	FORMATION	171	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2795.000000	2857.000000	UNDIFFERENTIATED	FORMATION	182	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	835.000000	1194.000000	UTSIRA FM	FORMATION	183	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2344.000000	2385.000000	VESTLAND GP	GROUP	186	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2332.000000	2344.000000	VIKING GP	GROUP	188	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2244.000000	2258.000000	VÅLE FM	FORMATION	190	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2795.000000	2859.000000	ZECHSTEIN GP	GROUP	194	1982-07-27	75	9999-12-31	2013-05-08
16/7-3	2385.000000	2795.000000	NO GROUP DEFINED	GROUP	208	1982-07-27	75	9999-12-31	2013-05-08
6407/2-1	1650.000000	1997.000000	BRYGGE FM	FORMATION	18	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	3072.000000	3723.000000	BÅT GP	GROUP	22	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2535.000000	2843.000000	CROMER KNOLL GP	GROUP	23	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2939.000000	3072.000000	FANGST GP	GROUP	38	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2939.000000	2984.000000	GARN FM	FORMATION	48	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	3723.000000	3830.000000	GREY BEDS (INFORMAL)	GROUP	52	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	1650.000000	1997.000000	HORDALAND GP	GROUP	67	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	3015.000000	3072.000000	ILE FM	FORMATION	70	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	1392.000000	1650.000000	KAI FM	FORMATION	77	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2424.000000	2535.000000	KVITNOS FM	FORMATION	91	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2535.000000	2827.000000	LANGE FM	FORMATION	94	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2827.000000	2843.000000	LYR FM	FORMATION	98	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2908.000000	2939.000000	MELKE FM	FORMATION	105	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	299.000000	1392.000000	NAUST FM	FORMATION	109	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2255.000000	2424.000000	NISE FM	FORMATION	112	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	299.000000	1650.000000	NORDLAND GP	GROUP	113	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2984.000000	3015.000000	NOT FM	FORMATION	120	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	3830.000000	3870.000000	RED BEDS (INFORMAL)	GROUP	129	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	1997.000000	2147.000000	ROGALAND GP	GROUP	131	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	3072.000000	3176.000000	ROR FM	FORMATION	135	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2147.000000	2535.000000	SHETLAND GP	GROUP	143	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2843.000000	2908.000000	SPEKK FM	FORMATION	155	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2147.000000	2255.000000	SPRINGAR FM	FORMATION	156	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2096.000000	2147.000000	TANG FM	FORMATION	161	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	1997.000000	2096.000000	TARE FM	FORMATION	163	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	3176.000000	3345.000000	TILJE FM	FORMATION	169	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	2843.000000	2939.000000	VIKING GP	GROUP	188	1982-08-06	76	9999-12-31	2013-05-08
6407/2-1	3345.000000	3723.000000	ÅRE FM	FORMATION	197	1982-08-06	76	9999-12-31	2013-05-08
31/2-8	2896.000000	2967.000000	AMUNDSEN FM	FORMATION	4	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	3035.000000	3048.000000	AMUNDSEN FM	FORMATION	4	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	1428.000000	1472.000000	BALDER FM	FORMATION	6	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	2517.000000	2720.000000	BRENT GP	GROUP	16	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	2825.000000	2896.000000	COOK FM	FORMATION	24	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	2720.000000	2825.000000	DRAKE FM	FORMATION	27	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	1821.000000	1837.000000	DRAUPNE FM	FORMATION	28	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	2720.000000	3048.000000	DUNLIN GP	GROUP	29	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	2189.000000	2254.000000	FENSFJORD FM	FORMATION	40	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	1999.000000	2189.000000	HEATHER FM	FORMATION	60	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	2266.000000	2517.000000	HEATHER FM	FORMATION	60	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	3274.000000	3375.000000	HEGRE GP	GROUP	61	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	772.000000	1428.000000	HORDALAND GP	GROUP	67	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	2967.000000	3035.000000	JOHANSEN FM	FORMATION	73	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	2254.000000	2266.000000	KROSSFJORD FM	FORMATION	87	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	1514.000000	1808.000000	LISTA FM	FORMATION	95	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	371.000000	772.000000	NORDLAND GP	GROUP	113	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	1428.000000	1808.000000	ROGALAND GP	GROUP	131	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	1472.000000	1514.000000	SELE FM	FORMATION	142	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	1808.000000	1821.000000	SHETLAND GP	GROUP	143	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	1837.000000	1999.000000	SOGNEFJORD FM	FORMATION	151	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	3048.000000	3274.000000	STATFJORD FM	FORMATION	157	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	1821.000000	2517.000000	VIKING GP	GROUP	188	1982-08-18	78	9999-12-31	2013-05-08
31/2-8	3048.000000	3274.000000	NO GROUP DEFINED	GROUP	208	1982-08-18	78	9999-12-31	2013-05-08
2/2-2	2326.000000	2358.000000	BALDER FM	FORMATION	6	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2917.000000	2995.000000	BRYNE FM	FORMATION	19	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2754.000000	2908.000000	CROMER KNOLL GP	GROUP	23	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2639.000000	2754.000000	HOD FM	FORMATION	66	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	1502.000000	2326.000000	HORDALAND GP	GROUP	67	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2389.000000	2512.000000	LISTA FM	FORMATION	95	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2908.000000	2917.000000	MANDAL FM	FORMATION	101	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2057.000000	2326.000000	NO FORMAL NAME	FORMATION	111	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	91.000000	1502.000000	NORDLAND GP	GROUP	113	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2326.000000	2512.000000	ROGALAND GP	GROUP	131	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2358.000000	2389.000000	SELE FM	FORMATION	142	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2512.000000	2754.000000	SHETLAND GP	GROUP	143	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2995.000000	3105.000000	SMITH BANK FM	FORMATION	149	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2512.000000	2639.000000	TOR FM	FORMATION	171	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2908.000000	2917.000000	TYNE GP	GROUP	177	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	1978.000000	2057.000000	VADE FM	FORMATION	184	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2917.000000	2995.000000	VESTLAND GP	GROUP	186	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	3105.000000	3127.000000	ZECHSTEIN GP	GROUP	194	1982-08-27	80	9999-12-31	2013-05-08
2/2-2	2995.000000	3105.000000	NO GROUP DEFINED	GROUP	208	1982-08-27	80	9999-12-31	2013-05-08
6507/10-1	1439.000000	1980.000000	BRYGGE FM	FORMATION	18	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2994.000000	3693.000000	BÅT GP	GROUP	22	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2725.000000	2781.000000	CROMER KNOLL GP	GROUP	23	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2881.000000	2994.000000	FANGST GP	GROUP	38	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	1439.000000	1980.000000	HORDALAND GP	GROUP	67	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2881.000000	2994.000000	ILE FM	FORMATION	70	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2660.000000	2725.000000	KVITNOS FM	FORMATION	91	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2728.000000	2770.000000	LANGE FM	FORMATION	94	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2770.000000	2781.000000	LYR FM	FORMATION	98	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2725.000000	2728.000000	LYSING FM	FORMATION	99	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2835.000000	2881.000000	MELKE FM	FORMATION	105	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2550.000000	2660.000000	NISE FM	FORMATION	112	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	322.000000	1439.000000	NORDLAND GP	GROUP	113	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	1980.000000	2088.000000	ROGALAND GP	GROUP	131	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2994.000000	3081.000000	ROR FM	FORMATION	135	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2088.000000	2725.000000	SHETLAND GP	GROUP	143	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2781.000000	2835.000000	SPEKK FM	FORMATION	155	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2088.000000	2550.000000	SPRINGAR FM	FORMATION	156	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2040.000000	2088.000000	TANG FM	FORMATION	161	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	1980.000000	2040.000000	TARE FM	FORMATION	163	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	3081.000000	3226.000000	TILJE FM	FORMATION	169	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	2781.000000	2881.000000	VIKING GP	GROUP	188	1982-10-31	81	9999-12-31	2013-05-08
6507/10-1	3226.000000	3693.000000	ÅRE FM	FORMATION	197	1982-10-31	81	9999-12-31	2013-05-08
7120/9-1	984.000000	1840.000000	ADVENTDALEN GP	GROUP	1	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	2077.000000	2173.000000	FRUHOLMEN FM	FORMATION	46	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	1813.000000	1840.000000	HEKKINGEN FM	FORMATION	63	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	1840.000000	2300.000000	KAPP TOSCANA GP	GROUP	79	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	1761.000000	1813.000000	KNURR FM	FORMATION	82	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	1607.000000	1761.000000	KOLJE FM	FORMATION	84	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	984.000000	1607.000000	KOLMULE FM	FORMATION	85	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	965.000000	984.000000	KVEITE FM	FORMATION	89	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	343.000000	590.000000	NORDLAND GP	GROUP	113	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	1896.000000	1986.000000	NORDMELA FM	FORMATION	118	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	965.000000	984.000000	NYGRUNNEN GP	GROUP	122	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	2173.000000	2300.000000	SNADD FM	FORMATION	150	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	590.000000	965.000000	SOTBAKKEN GP	GROUP	154	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	1840.000000	1896.000000	STØ FM	FORMATION	159	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	590.000000	965.000000	TORSK FM	FORMATION	172	1982-09-26	82	9999-12-31	2013-05-08
7120/9-1	1986.000000	2077.000000	TUBÅEN FM	FORMATION	174	1982-09-26	82	9999-12-31	2013-05-08
16/1-3	2125.000000	2168.000000	BALDER FM	FORMATION	6	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	3440.000000	3498.000000	BASEMENT	GROUP	10	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2603.000000	2707.000000	CROMER KNOLL GP	GROUP	23	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	1610.000000	1760.000000	GRID FM	FORMATION	53	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	1834.000000	1893.000000	GRID FM	FORMATION	53	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2707.000000	2730.000000	HEATHER FM	FORMATION	60	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2423.000000	2458.000000	HEIMDAL FM	FORMATION	62	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	951.000000	2125.000000	HORDALAND GP	GROUP	67	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	3227.000000	3230.000000	KUPFERSCHIEFER FM	FORMATION	88	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2219.000000	2423.000000	LISTA FM	FORMATION	95	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2423.000000	2458.000000	MEILE MBR (INFORMAL)	MEMBER	103	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	1234.000000	1610.000000	NO FORMAL NAME	FORMATION	111	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	1760.000000	1834.000000	NO FORMAL NAME	FORMATION	111	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	1893.000000	2125.000000	NO FORMAL NAME	FORMATION	111	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	133.000000	951.000000	NORDLAND GP	GROUP	113	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2125.000000	2458.000000	ROGALAND GP	GROUP	131	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	3230.000000	3440.000000	ROTLIEGEND GP	GROUP	136	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2168.000000	2219.000000	SELE FM	FORMATION	142	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2458.000000	2603.000000	SHETLAND GP	GROUP	143	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	1043.000000	1234.000000	SKADE FM	FORMATION	145	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2730.000000	2754.000000	SLEIPNER FM	FORMATION	148	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2840.000000	3082.000000	SMITH BANK FM	FORMATION	149	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2754.000000	2840.000000	UNDIFFERENTIATED	FORMATION	182	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	3082.000000	3227.000000	UNDIFFERENTIATED	FORMATION	182	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	732.000000	951.000000	UTSIRA FM	FORMATION	183	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2730.000000	2840.000000	VESTLAND GP	GROUP	186	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2707.000000	2730.000000	VIKING GP	GROUP	188	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	3082.000000	3230.000000	ZECHSTEIN GP	GROUP	194	1982-09-27	84	9999-12-31	2013-05-08
16/1-3	2840.000000	3082.000000	NO GROUP DEFINED	GROUP	208	1982-09-27	84	9999-12-31	2013-05-08
7120/7-1	1170.000000	2408.000000	ADVENTDALEN GP	GROUP	1	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	2390.000000	2408.000000	FUGLEN FM	FORMATION	47	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	2248.000000	2390.000000	HEKKINGEN FM	FORMATION	63	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	2408.000000	2839.000000	KAPP TOSCANA GP	GROUP	79	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	1746.000000	2248.000000	KOLJE FM	FORMATION	84	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	1170.000000	1746.000000	KOLMULE FM	FORMATION	85	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	992.000000	1170.000000	KVEITE FM	FORMATION	89	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	258.000000	645.000000	NORDLAND GP	GROUP	113	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	2522.000000	2650.000000	NORDMELA FM	FORMATION	118	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	992.000000	1170.000000	NYGRUNNEN GP	GROUP	122	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	645.000000	992.000000	SOTBAKKEN GP	GROUP	154	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	2408.000000	2522.000000	STØ FM	FORMATION	159	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	645.000000	992.000000	TORSK FM	FORMATION	172	1982-10-08	85	9999-12-31	2013-05-08
7120/7-1	2650.000000	2839.000000	TUBÅEN FM	FORMATION	174	1982-10-08	85	9999-12-31	2013-05-08
7/11-6	3015.000000	3044.000000	BALDER FM	FORMATION	6	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	3895.000000	4008.000000	CROMER KNOLL GP	GROUP	23	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	4036.000000	4098.000000	FARSUND FM	FORMATION	39	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	3821.000000	3895.000000	HIDRA FM	FORMATION	65	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	3694.000000	3821.000000	HOD FM	FORMATION	66	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	1498.000000	3015.000000	HORDALAND GP	GROUP	67	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	3086.000000	3151.000000	LISTA FM	FORMATION	95	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	4008.000000	4036.000000	MANDAL FM	FORMATION	101	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	3151.000000	3225.000000	MAUREEN FM	FORMATION	102	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	96.000000	1498.000000	NORDLAND GP	GROUP	113	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	3015.000000	3225.000000	ROGALAND GP	GROUP	131	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	3895.000000	3945.000000	RØDBY FM	FORMATION	137	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	3044.000000	3086.000000	SELE FM	FORMATION	142	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	3225.000000	3895.000000	SHETLAND GP	GROUP	143	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	4145.000000	4500.000000	SMITH BANK FM	FORMATION	149	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	3290.000000	3694.000000	TOR FM	FORMATION	171	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	4008.000000	4098.000000	TYNE GP	GROUP	177	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	4098.000000	4145.000000	ULA FM	FORMATION	179	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	4098.000000	4145.000000	VESTLAND GP	GROUP	186	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	3945.000000	4008.000000	ÅSGARD FM	FORMATION	198	1982-10-20	86	9999-12-31	2013-05-08
7/11-6	4145.000000	4500.000000	NO GROUP DEFINED	GROUP	208	1982-10-20	86	9999-12-31	2013-05-08
1/3-3	2936.000000	2984.000000	BALDER FM	FORMATION	6	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	3852.000000	3887.000000	BLODØKS FM	FORMATION	13	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	4542.000000	4620.000000	BRYNE FM	FORMATION	19	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	3887.000000	4043.000000	CROMER KNOLL GP	GROUP	23	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	3201.000000	3288.000000	EKOFISK FM	FORMATION	33	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	4112.000000	4178.000000	FARSUND FM	FORMATION	39	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	3803.000000	3852.000000	HOD FM	FORMATION	66	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	1647.000000	2936.000000	HORDALAND GP	GROUP	67	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	2991.000000	3059.000000	LISTA FM	FORMATION	95	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	3148.000000	3180.000000	LISTA FM	FORMATION	95	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	4043.000000	4112.000000	MANDAL FM	FORMATION	101	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	4324.000000	4435.000000	NO FORMAL NAME	FORMATION	111	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	93.000000	1647.000000	NORDLAND GP	GROUP	113	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	2936.000000	3201.000000	ROGALAND GP	GROUP	131	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	3887.000000	4043.000000	RØDBY FM	FORMATION	137	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	2984.000000	2991.000000	SELE FM	FORMATION	142	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	3201.000000	3887.000000	SHETLAND GP	GROUP	143	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	4620.000000	4820.000000	SMITH BANK FM	FORMATION	149	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	3288.000000	3803.000000	TOR FM	FORMATION	171	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	4043.000000	4178.000000	TYNE GP	GROUP	177	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	4178.000000	4324.000000	ULA FM	FORMATION	179	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	4435.000000	4542.000000	ULA FM	FORMATION	179	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	4178.000000	4620.000000	VESTLAND GP	GROUP	186	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	3059.000000	3148.000000	VIDAR FM	FORMATION	187	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	3180.000000	3201.000000	VÅLE FM	FORMATION	190	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	4820.000000	4876.000000	ZECHSTEIN GP	GROUP	194	1983-03-24	87	9999-12-31	2013-05-08
1/3-3	4620.000000	4820.000000	NO GROUP DEFINED	GROUP	208	1983-03-24	87	9999-12-31	2013-05-08
31/2-9	1292.000000	1356.000000	BALDER FM	FORMATION	6	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	1540.000000	1544.000000	CROMER KNOLL GP	GROUP	23	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	1544.000000	1549.000000	DRAUPNE FM	FORMATION	28	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	1708.000000	1770.000000	FENSFJORD FM	FORMATION	40	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	1600.000000	1708.000000	HEATHER FM	FORMATION	60	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	767.000000	1292.000000	HORDALAND GP	GROUP	67	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	1402.000000	1526.000000	LISTA FM	FORMATION	95	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	364.000000	767.000000	NORDLAND GP	GROUP	113	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	1292.000000	1540.000000	ROGALAND GP	GROUP	131	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	1356.000000	1402.000000	SELE FM	FORMATION	142	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	1549.000000	1600.000000	SOGNEFJORD FM	FORMATION	151	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	1544.000000	1770.000000	VIKING GP	GROUP	188	1982-10-01	88	9999-12-31	2013-05-08
31/2-9	1526.000000	1540.000000	VÅLE FM	FORMATION	190	1982-10-01	88	9999-12-31	2013-05-08
8/3-2	1017.000000	1039.000000	BALDER FM	FORMATION	6	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	2025.000000	2375.000000	BOKNFJORD GP	GROUP	15	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	2375.000000	2417.000000	BRYNE FM	FORMATION	19	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	1604.000000	2025.000000	CROMER KNOLL GP	GROUP	23	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	2290.000000	2375.000000	EGERSUND FM	FORMATION	30	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	1115.000000	1152.000000	EKOFISK FM	FORMATION	33	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	2025.000000	2075.000000	FLEKKEFJORD FM	FORMATION	43	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	486.000000	1017.000000	HORDALAND GP	GROUP	67	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	1050.000000	1115.000000	LISTA FM	FORMATION	95	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	100.000000	486.000000	NORDLAND GP	GROUP	113	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	1017.000000	1115.000000	ROGALAND GP	GROUP	131	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	2075.000000	2200.000000	SAUDA FM	FORMATION	141	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	1039.000000	1050.000000	SELE FM	FORMATION	142	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	1115.000000	1604.000000	SHETLAND GP	GROUP	143	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	2417.000000	2657.000000	SKAGERRAK FM	FORMATION	146	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	1604.000000	1650.000000	SOLA FM	FORMATION	152	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	2200.000000	2290.000000	TAU FM	FORMATION	164	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	1152.000000	1604.000000	TOR FM	FORMATION	171	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	2375.000000	2417.000000	VESTLAND GP	GROUP	186	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	1650.000000	2025.000000	ÅSGARD FM	FORMATION	198	1982-12-04	89	9999-12-31	2013-05-08
8/3-2	2417.000000	2657.000000	NO GROUP DEFINED	GROUP	208	1982-12-04	89	9999-12-31	2013-05-08
31/2-10	1279.000000	1363.000000	BALDER FM	FORMATION	6	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1555.000000	1565.000000	CROMER KNOLL GP	GROUP	23	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1565.000000	1600.000000	DRAUPNE FM	FORMATION	28	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1535.000000	1539.000000	EKOFISK FM	FORMATION	33	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1793.000000	1833.000000	FENSFJORD FM	FORMATION	40	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1539.000000	1555.000000	HARDRÅDE FM	FORMATION	56	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1733.000000	1793.000000	HEATHER FM	FORMATION	60	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	739.000000	1279.000000	HORDALAND GP	GROUP	67	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1388.000000	1535.000000	LISTA FM	FORMATION	95	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	356.000000	739.000000	NORDLAND GP	GROUP	113	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1279.000000	1535.000000	ROGALAND GP	GROUP	131	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1363.000000	1388.000000	SELE FM	FORMATION	142	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1535.000000	1555.000000	SHETLAND GP	GROUP	143	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1600.000000	1733.000000	SOGNEFJORD FM	FORMATION	151	1982-10-31	90	9999-12-31	2013-05-08
31/2-10	1565.000000	1833.000000	VIKING GP	GROUP	188	1982-10-31	90	9999-12-31	2013-05-08
16/7-4	2052.000000	2099.000000	BALDER FM	FORMATION	6	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2465.000000	2493.000000	BLODØKS FM	FORMATION	13	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2493.000000	2520.000000	CROMER KNOLL GP	GROUP	23	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2520.000000	2521.000000	DRAUPNE FM	FORMATION	28	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2229.000000	2238.000000	EKOFISK FM	FORMATION	33	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2408.000000	2465.000000	HOD FM	FORMATION	66	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	1061.000000	2052.000000	HORDALAND GP	GROUP	67	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2166.000000	2220.000000	LISTA FM	FORMATION	95	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	103.000000	1061.000000	NORDLAND GP	GROUP	113	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2052.000000	2229.000000	ROGALAND GP	GROUP	131	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2099.000000	2166.000000	SELE FM	FORMATION	142	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2229.000000	2493.000000	SHETLAND GP	GROUP	143	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2520.000000	2521.000000	SHETLAND GP	GROUP	143	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2521.000000	2781.000000	SKAGERRAK FM	FORMATION	146	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2238.000000	2408.000000	TOR FM	FORMATION	171	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	848.000000	1061.000000	UTSIRA FM	FORMATION	183	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2220.000000	2229.000000	VÅLE FM	FORMATION	190	1982-12-06	91	9999-12-31	2013-05-08
16/7-4	2521.000000	2781.000000	NO GROUP DEFINED	GROUP	208	1982-12-06	91	9999-12-31	2013-05-08
31/2-13 S	1460.000000	1540.000000	BALDER FM	FORMATION	6	1984-03-15	93	9999-12-31	2013-05-08
31/2-13 S	1934.000000	2010.000000	FENSFJORD FM	FORMATION	40	1984-03-15	93	9999-12-31	2013-05-08
31/2-13 S	1855.000000	1934.000000	HEATHER FM	FORMATION	60	1984-03-15	93	9999-12-31	2013-05-08
31/2-13 S	783.000000	1460.000000	HORDALAND GP	GROUP	67	1984-03-15	93	9999-12-31	2013-05-08
31/2-13 S	1577.000000	1718.000000	LISTA FM	FORMATION	95	1984-03-15	93	9999-12-31	2013-05-08
31/2-13 S	358.000000	783.000000	NORDLAND GP	GROUP	113	1984-03-15	93	9999-12-31	2013-05-08
31/2-13 S	1460.000000	1728.000000	ROGALAND GP	GROUP	131	1984-03-15	93	9999-12-31	2013-05-08
31/2-13 S	1540.000000	1577.000000	SELE FM	FORMATION	142	1984-03-15	93	9999-12-31	2013-05-08
31/2-13 S	1728.000000	1732.000000	SHETLAND GP	GROUP	143	1984-03-15	93	9999-12-31	2013-05-08
31/2-13 S	1732.000000	1855.000000	SOGNEFJORD FM	FORMATION	151	1984-03-15	93	9999-12-31	2013-05-08
31/2-13 S	1732.000000	2010.000000	VIKING GP	GROUP	188	1984-03-15	93	9999-12-31	2013-05-08
31/2-13 S	1718.000000	1728.000000	VÅLE FM	FORMATION	190	1984-03-15	93	9999-12-31	2013-05-08
15/12-1	2395.000000	2425.000000	BALDER FM	FORMATION	6	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2954.000000	2961.000000	BLODØKS FM	FORMATION	13	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2992.000000	3006.000000	CROMER KNOLL GP	GROUP	23	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	3006.000000	3027.000000	DRAUPNE FM	FORMATION	28	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2643.000000	2738.000000	EKOFISK FM	FORMATION	33	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2256.000000	2277.000000	GRID FM	FORMATION	53	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	3027.000000	3123.000000	HEATHER FM	FORMATION	60	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2884.000000	2954.000000	HOD FM	FORMATION	66	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	1277.000000	2395.000000	HORDALAND GP	GROUP	67	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	3123.000000	3152.000000	HUGIN FM	FORMATION	69	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2490.000000	2634.000000	LISTA FM	FORMATION	95	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2634.000000	2643.000000	MAUREEN FM	FORMATION	102	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2277.000000	2395.000000	NO FORMAL NAME	FORMATION	111	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	119.000000	1277.000000	NORDLAND GP	GROUP	113	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2395.000000	2643.000000	ROGALAND GP	GROUP	131	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2992.000000	3006.000000	RØDBY FM	FORMATION	137	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2425.000000	2490.000000	SELE FM	FORMATION	142	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2643.000000	2992.000000	SHETLAND GP	GROUP	143	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	3204.000000	3269.000000	SKAGERRAK FM	FORMATION	146	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	3152.000000	3204.000000	SLEIPNER FM	FORMATION	148	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2961.000000	2992.000000	SVARTE FM	FORMATION	160	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	2738.000000	2884.000000	TOR FM	FORMATION	171	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	955.000000	1277.000000	UTSIRA FM	FORMATION	183	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	3123.000000	3204.000000	VESTLAND GP	GROUP	186	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	3006.000000	3123.000000	VIKING GP	GROUP	188	1975-09-06	94	9999-12-31	2013-05-08
15/12-1	3204.000000	3269.000000	NO GROUP DEFINED	GROUP	208	1975-09-06	94	9999-12-31	2013-05-08
2/11-4	2543.000000	2550.000000	BALDER FM	FORMATION	6	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	2811.000000	2815.000000	BLODØKS FM	FORMATION	13	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	2840.000000	2858.000000	CROMER KNOLL GP	GROUP	23	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	2815.000000	2840.000000	HIDRA FM	FORMATION	65	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	2604.000000	2811.000000	HOD FM	FORMATION	66	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	1407.000000	2543.000000	HORDALAND GP	GROUP	67	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	2565.000000	2587.000000	LISTA FM	FORMATION	95	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	103.000000	1407.000000	NORDLAND GP	GROUP	113	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	2543.000000	2587.000000	ROGALAND GP	GROUP	131	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	2840.000000	2858.000000	RØDBY FM	FORMATION	137	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	2550.000000	2565.000000	SELE FM	FORMATION	142	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	2587.000000	2840.000000	SHETLAND GP	GROUP	143	1978-05-18	96	9999-12-31	2013-05-08
2/11-4	2587.000000	2604.000000	TOR FM	FORMATION	171	1978-05-18	96	9999-12-31	2013-05-08
2/4-3	2960.000000	2969.000000	BALDER FM	FORMATION	6	1970-05-31	97	9999-12-31	2013-05-08
2/4-3	3090.000000	3253.000000	EKOFISK FM	FORMATION	33	1970-05-31	97	9999-12-31	2013-05-08
2/4-3	1730.000000	2960.000000	HORDALAND GP	GROUP	67	1970-05-31	97	9999-12-31	2013-05-08
2/4-3	2976.000000	3005.000000	LISTA FM	FORMATION	95	1970-05-31	97	9999-12-31	2013-05-08
2/4-3	3023.000000	3076.000000	LISTA FM	FORMATION	95	1970-05-31	97	9999-12-31	2013-05-08
2/4-3	124.000000	1730.000000	NORDLAND GP	GROUP	113	1970-05-31	97	9999-12-31	2013-05-08
2/4-3	2960.000000	3090.000000	ROGALAND GP	GROUP	131	1970-05-31	97	9999-12-31	2013-05-08
2/4-3	2969.000000	2976.000000	SELE FM	FORMATION	142	1970-05-31	97	9999-12-31	2013-05-08
2/4-3	3090.000000	3431.000000	SHETLAND GP	GROUP	143	1970-05-31	97	9999-12-31	2013-05-08
2/4-3	3253.000000	3431.000000	TOR FM	FORMATION	171	1970-05-31	97	9999-12-31	2013-05-08
2/4-3	3005.000000	3023.000000	VIDAR FM	FORMATION	187	1970-05-31	97	9999-12-31	2013-05-08
2/4-3	3076.000000	3090.000000	VÅLE FM	FORMATION	190	1970-05-31	97	9999-12-31	2013-05-08
7120/12-4	2118.000000	2199.000000	GIPSDALEN GP	GROUP	51	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	992.000000	1366.000000	HAVERT FM	FORMATION	58	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	435.000000	485.000000	KAPP TOSCANA GP	GROUP	79	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	685.000000	992.000000	KLAPPMYSS FM	FORMATION	80	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	485.000000	685.000000	KOBBE FM	FORMATION	83	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	175.000000	435.000000	NORDLAND GP	GROUP	113	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	1469.000000	1502.000000	RØYE FM	FORMATION	138	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	1648.000000	1688.000000	RØYE FM	FORMATION	138	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	1700.000000	1728.000000	RØYE FM	FORMATION	138	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	2003.000000	2118.000000	RØYE FM	FORMATION	138	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	485.000000	1366.000000	SASSENDALEN GP	GROUP	140	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	435.000000	485.000000	SNADD FM	FORMATION	150	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	1366.000000	2118.000000	TEMPELFJORDEN GP	GROUP	167	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	2118.000000	2199.000000	UGLE FM	FORMATION	178	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	1366.000000	1469.000000	ØRRET FM	FORMATION	196	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	1502.000000	1648.000000	ØRRET FM	FORMATION	196	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	1688.000000	1700.000000	ØRRET FM	FORMATION	196	1984-04-16	99	9999-12-31	2013-05-08
7120/12-4	1728.000000	2003.000000	ØRRET FM	FORMATION	196	1984-04-16	99	9999-12-31	2013-05-08
31/3-2	1121.000000	1194.000000	BALDER FM	FORMATION	6	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1939.000000	2006.000000	BRENT GP	GROUP	16	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1533.000000	1541.000000	CROMER KNOLL GP	GROUP	23	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	2006.000000	2090.000000	DRAKE FM	FORMATION	27	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1541.000000	1567.000000	DRAUPNE FM	FORMATION	28	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	2006.000000	2090.000000	DUNLIN GP	GROUP	29	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1966.000000	2006.000000	ETIVE FM	FORMATION	35	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1725.000000	1851.000000	FENSFJORD FM	FORMATION	40	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1706.000000	1725.000000	HEATHER FM	FORMATION	60	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1929.000000	1939.000000	HEATHER FM	FORMATION	60	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	540.000000	1121.000000	HORDALAND GP	GROUP	67	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1851.000000	1929.000000	KROSSFJORD FM	FORMATION	87	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1280.000000	1452.000000	LISTA FM	FORMATION	95	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1533.000000	1541.000000	MIME FM	FORMATION	106	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1952.000000	1966.000000	NESS FM	FORMATION	110	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	540.000000	605.000000	NO FORMAL NAME	FORMATION	111	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	605.000000	1121.000000	NO FORMAL NAME	FORMATION	111	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	365.000000	540.000000	NORDLAND GP	GROUP	113	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1121.000000	1471.000000	ROGALAND GP	GROUP	131	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1194.000000	1280.000000	SELE FM	FORMATION	142	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1471.000000	1533.000000	SHETLAND GP	GROUP	143	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1567.000000	1706.000000	SOGNEFJORD FM	FORMATION	151	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1939.000000	1952.000000	TARBERT FM	FORMATION	162	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1541.000000	1939.000000	VIKING GP	GROUP	188	1984-04-30	100	9999-12-31	2013-05-08
31/3-2	1452.000000	1471.000000	VÅLE FM	FORMATION	190	1984-04-30	100	9999-12-31	2013-05-08
31/5-3	1340.000000	1402.000000	BALDER FM	FORMATION	6	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	1992.000000	2103.000000	BRENT GP	GROUP	16	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	2103.000000	2250.000000	DRAKE FM	FORMATION	27	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	1547.000000	1555.000000	DRAUPNE FM	FORMATION	28	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	2103.000000	2250.000000	DUNLIN GP	GROUP	29	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	1718.000000	1848.000000	FENSFJORD FM	FORMATION	40	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	1666.000000	1718.000000	HEATHER FM	FORMATION	60	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	1905.000000	1992.000000	HEATHER FM	FORMATION	60	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	780.000000	1340.000000	HORDALAND GP	GROUP	67	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	1848.000000	1905.000000	KROSSFJORD FM	FORMATION	87	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	1477.000000	1547.000000	LISTA FM	FORMATION	95	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	353.000000	780.000000	NORDLAND GP	GROUP	113	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	1340.000000	1547.000000	ROGALAND GP	GROUP	131	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	1402.000000	1477.000000	SELE FM	FORMATION	142	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	1555.000000	1666.000000	SOGNEFJORD FM	FORMATION	151	1984-06-09	101	9999-12-31	2013-05-08
31/5-3	1547.000000	1992.000000	VIKING GP	GROUP	188	1984-06-09	101	9999-12-31	2013-05-08
30/9-3 A	3565.000000	3679.000000	AMUNDSEN FM	FORMATION	4	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	2076.000000	2170.000000	BALDER FM	FORMATION	6	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	2853.000000	3133.000000	BRENT GP	GROUP	16	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	3466.000000	3565.000000	BURTON FM	FORMATION	20	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	3455.000000	3466.000000	COOK FM	FORMATION	24	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	3133.000000	3455.000000	DRAKE FM	FORMATION	27	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	3133.000000	4249.000000	DUNLIN GP	GROUP	29	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	3059.000000	3133.000000	ETIVE FM	FORMATION	35	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	4249.000000	4300.000000	HEGRE GP	GROUP	61	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	843.000000	2076.000000	HORDALAND GP	GROUP	67	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	2271.000000	2410.000000	LISTA FM	FORMATION	95	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	4249.000000	4300.000000	LUNDE FM	FORMATION	97	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	2853.000000	3059.000000	NESS FM	FORMATION	110	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	135.000000	843.000000	NORDLAND GP	GROUP	113	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	4161.000000	4249.000000	RAUDE MBR	MEMBER	127	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	2076.000000	2424.000000	ROGALAND GP	GROUP	131	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	2170.000000	2271.000000	SELE FM	FORMATION	142	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	2424.000000	2853.000000	SHETLAND GP	GROUP	143	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	3679.000000	4249.000000	STATFJORD FM	FORMATION	157	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	594.000000	843.000000	UTSIRA FM	FORMATION	183	1984-05-20	102	9999-12-31	2013-05-08
30/9-3 A	2410.000000	2424.000000	VÅLE FM	FORMATION	190	1984-05-20	102	9999-12-31	2013-05-08
33/5-1	1495.000000	1565.000000	BALDER FM	FORMATION	6	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	2672.000000	2692.000000	CROMER KNOLL GP	GROUP	23	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	2692.000000	3829.000000	HEGRE GP	GROUP	61	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	1064.000000	1495.000000	HORDALAND GP	GROUP	67	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	1650.000000	2054.000000	JORSALFARE FM	FORMATION	74	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	2054.000000	2650.000000	KYRRE FM	FORMATION	92	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	1565.000000	1630.000000	LISTA FM	FORMATION	95	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	3220.000000	3298.000000	LOMVI FM	FORMATION	96	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	2692.000000	3220.000000	LUNDE FM	FORMATION	97	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	365.000000	1064.000000	NORDLAND GP	GROUP	113	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	1495.000000	1650.000000	ROGALAND GP	GROUP	131	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	2672.000000	2692.000000	RØDBY FM	FORMATION	137	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	1650.000000	2672.000000	SHETLAND GP	GROUP	143	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	3298.000000	3829.000000	TEIST FM (INFORMAL)	FORMATION	166	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	2650.000000	2672.000000	TRYGGVASON FM	FORMATION	173	1979-10-18	103	9999-12-31	2013-05-08
33/5-1	1630.000000	1650.000000	VÅLE FM	FORMATION	190	1979-10-18	103	9999-12-31	2013-05-08
7120/7-3	1496.000000	2889.000000	ADVENTDALEN GP	GROUP	1	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	2863.000000	2889.000000	FUGLEN FM	FORMATION	47	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	2759.000000	2863.000000	HEKKINGEN FM	FORMATION	63	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	2889.000000	3062.000000	KAPP TOSCANA GP	GROUP	79	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	2679.000000	2759.000000	KNURR FM	FORMATION	82	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	2570.000000	2679.000000	KOLJE FM	FORMATION	84	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	1496.000000	2570.000000	KOLMULE FM	FORMATION	85	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	1312.000000	1496.000000	KVEITE FM	FORMATION	89	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	281.000000	380.000000	NORDLAND GP	GROUP	113	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	2969.000000	3062.000000	NORDMELA FM	FORMATION	118	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	1312.000000	1496.000000	NYGRUNNEN GP	GROUP	122	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	380.000000	1312.000000	SOTBAKKEN GP	GROUP	154	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	2889.000000	2969.000000	STØ FM	FORMATION	159	1984-06-09	104	9999-12-31	2013-05-08
7120/7-3	380.000000	1312.000000	TORSK FM	FORMATION	172	1984-06-09	104	9999-12-31	2013-05-08
31/6-5	816.000000	960.000000	BALDER FM	FORMATION	6	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1999.000000	2035.000000	BRENT GP	GROUP	16	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1256.000000	1388.000000	CROMER KNOLL GP	GROUP	23	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	2035.000000	2082.000000	DRAKE FM	FORMATION	27	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1388.000000	1480.000000	DRAUPNE FM	FORMATION	28	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	2035.000000	2082.000000	DUNLIN GP	GROUP	29	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1702.000000	1937.000000	FENSFJORD FM	FORMATION	40	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1144.000000	1157.000000	HARDRÅDE FM	FORMATION	56	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1480.000000	1518.000000	HEATHER FM	FORMATION	60	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1677.000000	1702.000000	HEATHER FM	FORMATION	60	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1972.000000	1999.000000	HEATHER FM	FORMATION	60	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	455.000000	816.000000	HORDALAND GP	GROUP	67	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1937.000000	1972.000000	KROSSFJORD FM	FORMATION	87	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1080.000000	1144.000000	LISTA FM	FORMATION	95	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	327.000000	455.000000	NORDLAND GP	GROUP	113	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	816.000000	1144.000000	ROGALAND GP	GROUP	131	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1256.000000	1312.000000	RØDBY FM	FORMATION	137	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	960.000000	1080.000000	SELE FM	FORMATION	142	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1144.000000	1256.000000	SHETLAND GP	GROUP	143	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1518.000000	1677.000000	SOGNEFJORD FM	FORMATION	151	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1312.000000	1347.000000	SOLA FM	FORMATION	152	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1157.000000	1256.000000	UNDIFFERENTIATED	FORMATION	182	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1388.000000	1999.000000	VIKING GP	GROUP	188	1984-05-21	105	9999-12-31	2013-05-08
31/6-5	1347.000000	1388.000000	ÅSGARD FM	FORMATION	198	1984-05-21	105	9999-12-31	2013-05-08
31/2-14	1326.000000	1375.000000	BALDER FM	FORMATION	6	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	1532.000000	1533.000000	DRAUPNE FM	FORMATION	28	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	1685.000000	1725.000000	FENSFJORD FM	FORMATION	40	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	1595.000000	1685.000000	HEATHER FM	FORMATION	60	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	799.000000	1326.000000	HORDALAND GP	GROUP	67	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	1421.000000	1526.000000	LISTA FM	FORMATION	95	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	365.000000	799.000000	NORDLAND GP	GROUP	113	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	1326.000000	1530.000000	ROGALAND GP	GROUP	131	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	1375.000000	1421.000000	SELE FM	FORMATION	142	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	1530.000000	1532.000000	SHETLAND GP	GROUP	143	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	1533.000000	1595.000000	SOGNEFJORD FM	FORMATION	151	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	1532.000000	1725.000000	VIKING GP	GROUP	188	1984-06-21	106	9999-12-31	2013-05-08
31/2-14	1526.000000	1530.000000	VÅLE FM	FORMATION	190	1984-06-21	106	9999-12-31	2013-05-08
7120/9-2	1097.000000	1971.000000	ADVENTDALEN GP	GROUP	1	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	2290.000000	2552.000000	FRUHOLMEN FM	FORMATION	46	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	1965.000000	1971.000000	FUGLEN FM	FORMATION	47	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	4806.000000	4844.000000	HAVERT FM	FORMATION	58	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	1906.000000	1965.000000	HEKKINGEN FM	FORMATION	63	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	1971.000000	3962.000000	KAPP TOSCANA GP	GROUP	79	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	4245.000000	4806.000000	KLAPPMYSS FM	FORMATION	80	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	1871.000000	1906.000000	KNURR FM	FORMATION	82	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	3962.000000	4245.000000	KOBBE FM	FORMATION	83	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	1847.000000	1871.000000	KOLJE FM	FORMATION	84	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	1097.000000	1847.000000	KOLMULE FM	FORMATION	85	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	1072.000000	1097.000000	KVITING FM	FORMATION	90	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	316.000000	380.000000	NORDLAND GP	GROUP	113	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	2048.000000	2156.000000	NORDMELA FM	FORMATION	118	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	1072.000000	1097.000000	NYGRUNNEN GP	GROUP	122	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	4956.000000	5072.000000	RØYE FM	FORMATION	138	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	3962.000000	4844.000000	SASSENDALEN GP	GROUP	140	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	2552.000000	3962.000000	SNADD FM	FORMATION	150	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	380.000000	1072.000000	SOTBAKKEN GP	GROUP	154	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	1971.000000	2048.000000	STØ FM	FORMATION	159	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	4844.000000	5072.000000	TEMPELFJORDEN GP	GROUP	167	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	380.000000	1072.000000	TORSK FM	FORMATION	172	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	2156.000000	2290.000000	TUBÅEN FM	FORMATION	174	1984-10-20	107	9999-12-31	2013-05-08
7120/9-2	4844.000000	4956.000000	ØRRET FM	FORMATION	196	1984-10-20	107	9999-12-31	2013-05-08
6406/3-1	1996.000000	2279.000000	BRYGGE FM	FORMATION	18	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	4012.000000	4758.000000	BÅT GP	GROUP	22	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	3196.000000	3662.000000	CROMER KNOLL GP	GROUP	23	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	3782.000000	4012.000000	FANGST GP	GROUP	38	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	3782.000000	3901.000000	GARN FM	FORMATION	48	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	4758.000000	4864.000000	GREY BEDS (INFORMAL)	GROUP	52	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	1996.000000	2279.000000	HORDALAND GP	GROUP	67	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	3934.000000	4012.000000	ILE FM	FORMATION	70	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	1450.000000	1996.000000	KAI FM	FORMATION	77	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	3685.000000	3782.000000	MELKE FM	FORMATION	105	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	278.000000	1450.000000	NAUST FM	FORMATION	109	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	278.000000	1996.000000	NORDLAND GP	GROUP	113	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	3901.000000	3934.000000	NOT FM	FORMATION	120	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	4864.000000	4902.000000	RED BEDS (INFORMAL)	GROUP	129	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	2279.000000	2410.000000	ROGALAND GP	GROUP	131	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	4012.000000	4177.000000	ROR FM	FORMATION	135	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	2410.000000	3196.000000	SHETLAND GP	GROUP	143	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	3662.000000	3685.000000	SPEKK FM	FORMATION	155	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	2347.000000	2410.000000	TANG FM	FORMATION	161	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	2279.000000	2347.000000	TARE FM	FORMATION	163	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	4177.000000	4380.000000	TILJE FM	FORMATION	169	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	3662.000000	3782.000000	VIKING GP	GROUP	188	1984-08-14	108	9999-12-31	2013-05-08
6406/3-1	4380.000000	4758.000000	ÅRE FM	FORMATION	197	1984-08-14	108	9999-12-31	2013-05-08
2/1-6	2947.000000	2970.000000	BALDER FM	FORMATION	6	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3788.000000	3806.000000	BLODØKS FM	FORMATION	13	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	4566.000000	4587.000000	BRYNE FM	FORMATION	19	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3825.000000	4104.000000	CROMER KNOLL GP	GROUP	23	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3215.000000	3312.000000	EKOFISK FM	FORMATION	33	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	4165.000000	4426.000000	FARSUND FM	FORMATION	39	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	2987.000000	3033.000000	FORTIES FM	FORMATION	44	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	4426.000000	4560.000000	HAUGESUND FM	FORMATION	57	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3806.000000	3825.000000	HIDRA FM	FORMATION	65	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3660.000000	3788.000000	HOD FM	FORMATION	66	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	1793.000000	2947.000000	HORDALAND GP	GROUP	67	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3033.000000	3128.000000	LISTA FM	FORMATION	95	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3173.000000	3196.000000	LISTA FM	FORMATION	95	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	4104.000000	4165.000000	MANDAL FM	FORMATION	101	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	91.000000	1793.000000	NORDLAND GP	GROUP	113	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	2947.000000	3215.000000	ROGALAND GP	GROUP	131	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3825.000000	3853.000000	RØDBY FM	FORMATION	137	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	2970.000000	2987.000000	SELE FM	FORMATION	142	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3215.000000	3825.000000	SHETLAND GP	GROUP	143	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	4587.000000	4588.000000	SKAGERRAK FM	FORMATION	146	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3312.000000	3660.000000	TOR FM	FORMATION	171	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3853.000000	3897.000000	TUXEN FM	FORMATION	175	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	4104.000000	4560.000000	TYNE GP	GROUP	177	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	4560.000000	4566.000000	ULA FM	FORMATION	179	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	4560.000000	4587.000000	VESTLAND GP	GROUP	186	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3128.000000	3173.000000	VIDAR FM	FORMATION	187	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3196.000000	3215.000000	VÅLE FM	FORMATION	190	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	3897.000000	4104.000000	ÅSGARD FM	FORMATION	198	1984-08-12	109	9999-12-31	2013-05-08
2/1-6	4587.000000	4588.000000	NO GROUP DEFINED	GROUP	208	1984-08-12	109	9999-12-31	2013-05-08
34/7-1	1673.000000	1696.000000	BALDER FM	FORMATION	6	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	2387.000000	2392.000000	CROMER KNOLL GP	GROUP	23	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	2392.000000	2905.000000	HEGRE GP	GROUP	61	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	1166.000000	1673.000000	HORDALAND GP	GROUP	67	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	1823.000000	1933.000000	JORSALFARE FM	FORMATION	74	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	1933.000000	2387.000000	KYRRE FM	FORMATION	92	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	1696.000000	1823.000000	LISTA FM	FORMATION	95	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	2392.000000	2905.000000	LUNDE FM	FORMATION	97	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	2387.000000	2392.000000	MIME FM	FORMATION	106	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	353.000000	1166.000000	NORDLAND GP	GROUP	113	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	1673.000000	1823.000000	ROGALAND GP	GROUP	131	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	1823.000000	2387.000000	SHETLAND GP	GROUP	143	1984-07-24	111	9999-12-31	2013-05-08
34/7-1	1028.000000	1166.000000	UTSIRA FM	FORMATION	183	1984-07-24	111	9999-12-31	2013-05-08
16/11-1 S	1500.000000	1535.000000	BALDER FM	FORMATION	6	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2124.000000	2165.000000	BOKNFJORD GP	GROUP	15	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2006.000000	2124.000000	CROMER KNOLL GP	GROUP	23	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	1625.000000	1642.000000	EKOFISK FM	FORMATION	33	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	1660.000000	2006.000000	HOD FM	FORMATION	66	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	960.000000	1500.000000	HORDALAND GP	GROUP	67	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	1567.000000	1625.000000	LISTA FM	FORMATION	95	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2142.000000	2152.000000	NO FORMAL NAME	FORMATION	111	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	94.000000	960.000000	NORDLAND GP	GROUP	113	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	1500.000000	1625.000000	ROGALAND GP	GROUP	131	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2006.000000	2025.000000	RØDBY FM	FORMATION	137	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2165.000000	2236.000000	SANDNES FM	FORMATION	139	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	1535.000000	1567.000000	SELE FM	FORMATION	142	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	1625.000000	2006.000000	SHETLAND GP	GROUP	143	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2236.000000	2255.000000	SMITH BANK FM	FORMATION	149	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2025.000000	2040.000000	SOLA FM	FORMATION	152	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2124.000000	2142.000000	TAU FM	FORMATION	164	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2152.000000	2165.000000	TAU FM	FORMATION	164	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	1642.000000	1660.000000	TOR FM	FORMATION	171	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2165.000000	2236.000000	VESTLAND GP	GROUP	186	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2255.000000	3050.000000	ZECHSTEIN GP	GROUP	194	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2040.000000	2124.000000	ÅSGARD FM	FORMATION	198	1967-10-31	112	9999-12-31	2013-05-08
16/11-1 S	2236.000000	2255.000000	NO GROUP DEFINED	GROUP	208	1967-10-31	112	9999-12-31	2013-05-08
7119/12-2	452.000000	1372.000000	ADVENTDALEN GP	GROUP	1	1981-06-26	114	9999-12-31	2013-05-08
7119/12-2	1855.000000	1902.000000	FRUHOLMEN FM	FORMATION	46	1981-06-26	114	9999-12-31	2013-05-08
7119/12-2	1322.000000	1372.000000	FUGLEN FM	FORMATION	47	1981-06-26	114	9999-12-31	2013-05-08
7119/12-2	1163.000000	1322.000000	HEKKINGEN FM	FORMATION	63	1981-06-26	114	9999-12-31	2013-05-08
7119/12-2	1372.000000	1902.000000	KAPP TOSCANA GP	GROUP	79	1981-06-26	114	9999-12-31	2013-05-08
7119/12-2	1087.000000	1163.000000	KNURR FM	FORMATION	82	1981-06-26	114	9999-12-31	2013-05-08
7119/12-2	990.000000	1087.000000	KOLJE FM	FORMATION	84	1981-06-26	114	9999-12-31	2013-05-08
7119/12-2	452.000000	990.000000	KOLMULE FM	FORMATION	85	1981-06-26	114	9999-12-31	2013-05-08
7119/12-2	205.000000	452.000000	NORDLAND GP	GROUP	113	1981-06-26	114	9999-12-31	2013-05-08
7119/12-2	1517.000000	1719.000000	NORDMELA FM	FORMATION	118	1981-06-26	114	9999-12-31	2013-05-08
7119/12-2	1372.000000	1517.000000	STØ FM	FORMATION	159	1981-06-26	114	9999-12-31	2013-05-08
7119/12-2	1719.000000	1855.000000	TUBÅEN FM	FORMATION	174	1981-06-26	114	9999-12-31	2013-05-08
2/7-14	3002.000000	3018.000000	BALDER FM	FORMATION	6	1980-01-20	116	9999-12-31	2013-05-08
2/7-14	3146.000000	3257.000000	EKOFISK FM	FORMATION	33	1980-01-20	116	9999-12-31	2013-05-08
2/7-14	1783.000000	3002.000000	HORDALAND GP	GROUP	67	1980-01-20	116	9999-12-31	2013-05-08
2/7-14	3033.000000	3134.000000	LISTA FM	FORMATION	95	1980-01-20	116	9999-12-31	2013-05-08
2/7-14	96.000000	1783.000000	NORDLAND GP	GROUP	113	1980-01-20	116	9999-12-31	2013-05-08
2/7-14	3002.000000	3146.000000	ROGALAND GP	GROUP	131	1980-01-20	116	9999-12-31	2013-05-08
2/7-14	3018.000000	3033.000000	SELE FM	FORMATION	142	1980-01-20	116	9999-12-31	2013-05-08
2/7-14	3146.000000	3390.000000	SHETLAND GP	GROUP	143	1980-01-20	116	9999-12-31	2013-05-08
2/7-14	3257.000000	3390.000000	TOR FM	FORMATION	171	1980-01-20	116	9999-12-31	2013-05-08
2/7-14	3134.000000	3146.000000	VÅLE FM	FORMATION	190	1980-01-20	116	9999-12-31	2013-05-08
2/8-3	2725.000000	2738.000000	BALDER FM	FORMATION	6	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	3167.000000	3169.000000	BLODØKS FM	FORMATION	13	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	3192.000000	3537.000000	CROMER KNOLL GP	GROUP	23	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	3594.000000	3761.000000	FARSUND FM	FORMATION	39	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	3761.000000	4115.000000	HAUGESUND FM	FORMATION	57	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	3169.000000	3192.000000	HIDRA FM	FORMATION	65	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	2850.000000	3167.000000	HOD FM	FORMATION	66	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	1596.000000	2725.000000	HORDALAND GP	GROUP	67	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	2756.000000	2771.000000	LISTA FM	FORMATION	95	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	3537.000000	3594.000000	MANDAL FM	FORMATION	101	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	103.000000	1596.000000	NORDLAND GP	GROUP	113	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	2725.000000	2780.000000	ROGALAND GP	GROUP	131	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	2738.000000	2756.000000	SELE FM	FORMATION	142	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	2780.000000	3192.000000	SHETLAND GP	GROUP	143	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	3209.000000	3250.000000	SOLA FM	FORMATION	152	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	2780.000000	2850.000000	TOR FM	FORMATION	171	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	3537.000000	4115.000000	TYNE GP	GROUP	177	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	2771.000000	2780.000000	VÅLE FM	FORMATION	190	1972-09-03	117	9999-12-31	2013-05-08
2/8-3	3250.000000	3537.000000	ÅSGARD FM	FORMATION	198	1972-09-03	117	9999-12-31	2013-05-08
7120/8-1	1150.000000	2092.000000	ADVENTDALEN GP	GROUP	1	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	2462.000000	2610.000000	FRUHOLMEN FM	FORMATION	46	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	2086.000000	2092.000000	FUGLEN FM	FORMATION	47	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	1990.000000	2086.000000	HEKKINGEN FM	FORMATION	63	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	2092.000000	2610.000000	KAPP TOSCANA GP	GROUP	79	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	1942.000000	1990.000000	KNURR FM	FORMATION	82	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	1650.000000	1942.000000	KOLJE FM	FORMATION	84	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	1150.000000	1650.000000	KOLMULE FM	FORMATION	85	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	1056.000000	1150.000000	KVEITE FM	FORMATION	89	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	295.000000	603.000000	NORDLAND GP	GROUP	113	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	2190.000000	2330.000000	NORDMELA FM	FORMATION	118	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	1056.000000	1150.000000	NYGRUNNEN GP	GROUP	122	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	603.000000	1056.000000	SOTBAKKEN GP	GROUP	154	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	2092.000000	2190.000000	STØ FM	FORMATION	159	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	603.000000	1056.000000	TORSK FM	FORMATION	172	1981-09-10	120	9999-12-31	2013-05-08
7120/8-1	2330.000000	2462.000000	TUBÅEN FM	FORMATION	174	1981-09-10	120	9999-12-31	2013-05-08
7119/12-1	1058.000000	2658.000000	ADVENTDALEN GP	GROUP	1	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	2610.000000	2658.000000	FUGLEN FM	FORMATION	47	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	2498.000000	2610.000000	HEKKINGEN FM	FORMATION	63	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	2658.000000	3088.000000	KAPP TOSCANA GP	GROUP	79	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	2441.000000	2498.000000	KNURR FM	FORMATION	82	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	2004.000000	2441.000000	KOLJE FM	FORMATION	84	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	1058.000000	2004.000000	KOLMULE FM	FORMATION	85	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	810.000000	1058.000000	KVEITE FM	FORMATION	89	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	225.000000	465.000000	NORDLAND GP	GROUP	113	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	810.000000	1058.000000	NYGRUNNEN GP	GROUP	122	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	465.000000	810.000000	SOTBAKKEN GP	GROUP	154	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	2658.000000	3088.000000	STØ FM	FORMATION	159	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	465.000000	810.000000	TORSK FM	FORMATION	172	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	2574.000000	2610.000000	ALGE MBR	MEMBER	202	1980-10-10	121	9999-12-31	2013-05-08
7119/12-1	2498.000000	2574.000000	KRILL MBR	MEMBER	203	1980-10-10	121	9999-12-31	2013-05-08
7120/12-2	745.000000	1892.000000	ADVENTDALEN GP	GROUP	1	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	4664.000000	4680.000000	BASEMENT	GROUP	10	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	2234.000000	2354.000000	FRUHOLMEN FM	FORMATION	46	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	1875.000000	1892.000000	FUGLEN FM	FORMATION	47	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	4558.000000	4664.000000	GIPSDALEN GP	GROUP	51	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	3552.000000	3657.000000	HAVERT FM	FORMATION	58	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	1700.000000	1875.000000	HEKKINGEN FM	FORMATION	63	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	1892.000000	2927.000000	KAPP TOSCANA GP	GROUP	79	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	3095.000000	3552.000000	KLAPPMYSS FM	FORMATION	80	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	1455.000000	1700.000000	KNURR FM	FORMATION	82	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	2927.000000	3095.000000	KOBBE FM	FORMATION	83	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	1309.000000	1455.000000	KOLJE FM	FORMATION	84	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	745.000000	1309.000000	KOLMULE FM	FORMATION	85	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	701.000000	745.000000	KVITING FM	FORMATION	90	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	189.000000	463.000000	NORDLAND GP	GROUP	113	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	1978.000000	2152.000000	NORDMELA FM	FORMATION	118	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	701.000000	745.000000	NYGRUNNEN GP	GROUP	122	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	3920.000000	3975.000000	RØYE FM	FORMATION	138	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	4031.000000	4076.000000	RØYE FM	FORMATION	138	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	4485.000000	4558.000000	RØYE FM	FORMATION	138	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	2927.000000	3657.000000	SASSENDALEN GP	GROUP	140	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	2354.000000	2927.000000	SNADD FM	FORMATION	150	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	463.000000	701.000000	SOTBAKKEN GP	GROUP	154	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	1892.000000	1978.000000	STØ FM	FORMATION	159	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	3657.000000	4558.000000	TEMPELFJORDEN GP	GROUP	167	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	463.000000	701.000000	TORSK FM	FORMATION	172	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	2152.000000	2234.000000	TUBÅEN FM	FORMATION	174	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	4558.000000	4664.000000	UGLE FM	FORMATION	178	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	3657.000000	3920.000000	ØRRET FM	FORMATION	196	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	3975.000000	4031.000000	ØRRET FM	FORMATION	196	1981-09-11	122	9999-12-31	2013-05-08
7120/12-2	4076.000000	4485.000000	ØRRET FM	FORMATION	196	1981-09-11	122	9999-12-31	2013-05-08
7120/12-1	742.000000	2047.000000	ADVENTDALEN GP	GROUP	1	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	2497.000000	2535.000000	AKKAR MBR	MEMBER	3	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	2337.000000	2535.000000	FRUHOLMEN FM	FORMATION	46	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	2019.000000	2047.000000	FUGLEN FM	FORMATION	47	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	1660.000000	2019.000000	HEKKINGEN FM	FORMATION	63	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	2047.000000	3474.000000	KAPP TOSCANA GP	GROUP	79	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	1375.000000	1660.000000	KNURR FM	FORMATION	82	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	3474.000000	3573.000000	KOBBE FM	FORMATION	83	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	1272.000000	1375.000000	KOLJE FM	FORMATION	84	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	742.000000	1272.000000	KOLMULE FM	FORMATION	85	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	2337.000000	2413.000000	KRABBE MBR	MEMBER	86	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	725.000000	742.000000	KVITING FM	FORMATION	90	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	192.000000	462.000000	NORDLAND GP	GROUP	113	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	2152.000000	2250.000000	NORDMELA FM	FORMATION	118	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	725.000000	742.000000	NYGRUNNEN GP	GROUP	122	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	2413.000000	2497.000000	REKE MBR	MEMBER	130	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	3474.000000	3573.000000	SASSENDALEN GP	GROUP	140	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	2535.000000	3474.000000	SNADD FM	FORMATION	150	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	462.000000	725.000000	SOTBAKKEN GP	GROUP	154	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	2047.000000	2152.000000	STØ FM	FORMATION	159	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	462.000000	725.000000	TORSK FM	FORMATION	172	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	2250.000000	2337.000000	TUBÅEN FM	FORMATION	174	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	1969.000000	2019.000000	ALGE MBR	MEMBER	202	1980-10-12	123	9999-12-31	2013-05-08
7120/12-1	1660.000000	1969.000000	KRILL MBR	MEMBER	203	1980-10-12	123	9999-12-31	2013-05-08
2/8-1	1105.000000	2595.000000	HORDALAND GP	GROUP	67	1968-07-02	124	9999-12-31	2013-05-08
2/8-1	87.000000	1105.000000	NORDLAND GP	GROUP	113	1968-07-02	124	9999-12-31	2013-05-08
31/6-6	2193.000000	2225.000000	AMUNDSEN FM	FORMATION	4	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	650.000000	798.000000	BALDER FM	FORMATION	6	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	2008.000000	2045.000000	BRENT GP	GROUP	16	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1204.000000	1392.000000	CROMER KNOLL GP	GROUP	23	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	2045.000000	2122.000000	DRAKE FM	FORMATION	27	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1392.000000	1515.000000	DRAUPNE FM	FORMATION	28	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	2045.000000	2225.000000	DUNLIN GP	GROUP	29	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1719.000000	1947.000000	FENSFJORD FM	FORMATION	40	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1018.000000	1025.000000	HARDRÅDE FM	FORMATION	56	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1515.000000	1561.000000	HEATHER FM	FORMATION	60	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1706.000000	1719.000000	HEATHER FM	FORMATION	60	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1976.000000	2008.000000	HEATHER FM	FORMATION	60	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	2277.000000	2293.000000	HEGRE GP	GROUP	61	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	531.000000	650.000000	HORDALAND GP	GROUP	67	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	2122.000000	2193.000000	JOHANSEN FM	FORMATION	73	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1947.000000	1976.000000	KROSSFJORD FM	FORMATION	87	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	949.000000	1018.000000	LISTA FM	FORMATION	95	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	336.000000	531.000000	NORDLAND GP	GROUP	113	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	650.000000	1018.000000	ROGALAND GP	GROUP	131	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1204.000000	1340.000000	RØDBY FM	FORMATION	137	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	798.000000	949.000000	SELE FM	FORMATION	142	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1018.000000	1204.000000	SHETLAND GP	GROUP	143	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1561.000000	1706.000000	SOGNEFJORD FM	FORMATION	151	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	2225.000000	2277.000000	STATFJORD FM	FORMATION	157	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1025.000000	1204.000000	UNDIFFERENTIATED	FORMATION	182	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1392.000000	2008.000000	VIKING GP	GROUP	188	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	1340.000000	1392.000000	ÅSGARD FM	FORMATION	198	1984-07-29	127	9999-12-31	2013-05-08
31/6-6	2225.000000	2277.000000	NO GROUP DEFINED	GROUP	208	1984-07-29	127	9999-12-31	2013-05-08
35/11-1	2684.000000	2764.000000	AMUNDSEN FM	FORMATION	4	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	1307.000000	1368.000000	BALDER FM	FORMATION	6	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2469.000000	2583.000000	BRENT GP	GROUP	16	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2648.000000	2684.000000	COOK FM	FORMATION	24	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2583.000000	2648.000000	DRAKE FM	FORMATION	27	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2583.000000	2995.000000	DUNLIN GP	GROUP	29	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2534.000000	2557.000000	ETIVE FM	FORMATION	35	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2113.000000	2180.000000	FENSFJORD FM	FORMATION	40	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2018.000000	2113.000000	HEATHER FM	FORMATION	60	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2180.000000	2233.000000	HEATHER FM	FORMATION	60	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	3265.000000	3361.000000	HEGRE GP	GROUP	61	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	697.000000	1307.000000	HORDALAND GP	GROUP	67	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2764.000000	2995.000000	JOHANSEN FM	FORMATION	73	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2233.000000	2469.000000	KROSSFJORD FM	FORMATION	87	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	1454.000000	1739.000000	LISTA FM	FORMATION	95	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2469.000000	2534.000000	NESS FM	FORMATION	110	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	385.000000	697.000000	NORDLAND GP	GROUP	113	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2557.000000	2583.000000	RANNOCH FM	FORMATION	126	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	1307.000000	1765.000000	ROGALAND GP	GROUP	131	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	1368.000000	1454.000000	SELE FM	FORMATION	142	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	1765.000000	2018.000000	SHETLAND GP	GROUP	143	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2995.000000	3265.000000	STATFJORD FM	FORMATION	157	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	548.000000	697.000000	UTSIRA FM	FORMATION	183	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2018.000000	2469.000000	VIKING GP	GROUP	188	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	1739.000000	1765.000000	VÅLE FM	FORMATION	190	1984-08-06	128	9999-12-31	2013-05-08
35/11-1	2995.000000	3265.000000	NO GROUP DEFINED	GROUP	208	1984-08-06	128	9999-12-31	2013-05-08
2/3-4	2527.000000	2548.000000	BALDER FM	FORMATION	6	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	3215.000000	3332.000000	BRYNE FM	FORMATION	19	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	2925.000000	3006.000000	CROMER KNOLL GP	GROUP	23	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	2719.000000	2796.000000	EKOFISK FM	FORMATION	33	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	1434.000000	2527.000000	HORDALAND GP	GROUP	67	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	2592.000000	2613.000000	LISTA FM	FORMATION	95	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	3006.000000	3006.000000	MANDAL FM	FORMATION	101	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	2613.000000	2719.000000	MAUREEN FM	FORMATION	102	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	96.000000	1434.000000	NORDLAND GP	GROUP	113	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	2527.000000	2719.000000	ROGALAND GP	GROUP	131	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	2925.000000	2930.000000	RØDBY FM	FORMATION	137	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	2548.000000	2592.000000	SELE FM	FORMATION	142	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	2719.000000	2925.000000	SHETLAND GP	GROUP	143	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	3332.000000	3377.000000	SMITH BANK FM	FORMATION	149	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	2930.000000	3006.000000	SOLA FM	FORMATION	152	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	2796.000000	2925.000000	TOR FM	FORMATION	171	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	3006.000000	3006.000000	TYNE GP	GROUP	177	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	3006.000000	3215.000000	ULA FM	FORMATION	179	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	3006.000000	3332.000000	VESTLAND GP	GROUP	186	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	3377.000000	3386.000000	ZECHSTEIN GP	GROUP	194	1984-07-24	129	9999-12-31	2013-05-08
2/3-4	3332.000000	3377.000000	NO GROUP DEFINED	GROUP	208	1984-07-24	129	9999-12-31	2013-05-08
7121/7-1	931.000000	1849.000000	ADVENTDALEN GP	GROUP	1	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	2045.000000	2160.000000	FRUHOLMEN FM	FORMATION	46	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	1848.000000	1849.000000	FUGLEN FM	FORMATION	47	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	1793.000000	1848.000000	HEKKINGEN FM	FORMATION	63	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	1849.000000	2160.000000	KAPP TOSCANA GP	GROUP	79	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	1732.000000	1793.000000	KNURR FM	FORMATION	82	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	1588.000000	1732.000000	KOLJE FM	FORMATION	84	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	931.000000	1588.000000	KOLMULE FM	FORMATION	85	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	894.000000	931.000000	KVEITE FM	FORMATION	89	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	351.000000	442.000000	NORDLAND GP	GROUP	113	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	1908.000000	2001.000000	NORDMELA FM	FORMATION	118	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	894.000000	931.000000	NYGRUNNEN GP	GROUP	122	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	442.000000	894.000000	SOTBAKKEN GP	GROUP	154	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	1849.000000	1908.000000	STØ FM	FORMATION	159	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	442.000000	894.000000	TORSK FM	FORMATION	172	1984-08-05	130	9999-12-31	2013-05-08
7121/7-1	2001.000000	2045.000000	TUBÅEN FM	FORMATION	174	1984-08-05	130	9999-12-31	2013-05-08
25/2-8	2201.000000	2202.000000	BALDER FM	FORMATION	6	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2206.000000	2222.000000	BALDER FM	FORMATION	6	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2229.000000	2232.000000	BALDER FM	FORMATION	6	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2242.000000	2257.000000	BALDER FM	FORMATION	6	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2271.000000	2278.000000	BALDER FM	FORMATION	6	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2202.000000	2206.000000	INTRA BALDER FM SS	FORMATION	7	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2222.000000	2229.000000	INTRA BALDER FM SS	FORMATION	7	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2232.000000	2242.000000	INTRA BALDER FM SS	FORMATION	7	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2257.000000	2271.000000	INTRA BALDER FM SS	FORMATION	7	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2278.000000	2294.000000	INTRA BALDER FM SS	FORMATION	7	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	1918.000000	2201.000000	FRIGG FM	FORMATION	45	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	1015.000000	1125.000000	GRID FM	FORMATION	53	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	951.000000	2201.000000	HORDALAND GP	GROUP	67	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2306.000000	2380.000000	LISTA FM	FORMATION	95	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	1125.000000	1918.000000	NO FORMAL NAME	FORMATION	111	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	118.000000	951.000000	NORDLAND GP	GROUP	113	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2201.000000	2380.000000	ROGALAND GP	GROUP	131	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	2294.000000	2306.000000	SELE FM	FORMATION	142	1984-08-01	131	9999-12-31	2013-05-08
25/2-8	217.000000	951.000000	UTSIRA FM	FORMATION	183	1984-08-01	131	9999-12-31	2013-05-08
7119/9-1	1585.000000	2748.000000	ADVENTDALEN GP	GROUP	1	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	3185.000000	3248.000000	FRUHOLMEN FM	FORMATION	46	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	2719.000000	2748.000000	FUGLEN FM	FORMATION	47	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	2702.000000	2719.000000	HEKKINGEN FM	FORMATION	63	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	2748.000000	3248.000000	KAPP TOSCANA GP	GROUP	79	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	2648.000000	2702.000000	KNURR FM	FORMATION	82	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	2550.000000	2648.000000	KOLJE FM	FORMATION	84	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	1585.000000	2550.000000	KOLMULE FM	FORMATION	85	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	1447.000000	1585.000000	KVEITE FM	FORMATION	89	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	226.000000	1015.000000	NORDLAND GP	GROUP	113	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	2868.000000	3027.000000	NORDMELA FM	FORMATION	118	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	1447.000000	1585.000000	NYGRUNNEN GP	GROUP	122	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	1015.000000	1447.000000	SOTBAKKEN GP	GROUP	154	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	2748.000000	2868.000000	STØ FM	FORMATION	159	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	1015.000000	1447.000000	TORSK FM	FORMATION	172	1984-09-25	132	9999-12-31	2013-05-08
7119/9-1	3027.000000	3185.000000	TUBÅEN FM	FORMATION	174	1984-09-25	132	9999-12-31	2013-05-08
6407/9-1	825.000000	1340.000000	BRYGGE FM	FORMATION	18	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1783.000000	2357.000000	BÅT GP	GROUP	22	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1563.000000	1591.000000	CROMER KNOLL GP	GROUP	23	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1673.000000	1783.000000	FANGST GP	GROUP	38	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1673.000000	1746.000000	GARN FM	FORMATION	48	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	825.000000	1340.000000	HORDALAND GP	GROUP	67	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1563.000000	1583.000000	LANGE FM	FORMATION	94	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1583.000000	1591.000000	LYR FM	FORMATION	98	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	273.000000	762.000000	NAUST FM	FORMATION	109	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	273.000000	825.000000	NORDLAND GP	GROUP	113	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1746.000000	1783.000000	NOT FM	FORMATION	120	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	2357.000000	2500.000000	RED BEDS (INFORMAL)	GROUP	129	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1340.000000	1533.000000	ROGALAND GP	GROUP	131	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1621.000000	1670.000000	ROGN FM	FORMATION	134	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1783.000000	1839.000000	ROR FM	FORMATION	135	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1900.000000	1968.000000	ROR FM	FORMATION	135	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1533.000000	1563.000000	SHETLAND GP	GROUP	143	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1591.000000	1621.000000	SPEKK FM	FORMATION	155	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1670.000000	1673.000000	SPEKK FM	FORMATION	155	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1533.000000	1563.000000	SPRINGAR FM	FORMATION	156	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1377.000000	1533.000000	TANG FM	FORMATION	161	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1340.000000	1377.000000	TARE FM	FORMATION	163	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1968.000000	2073.000000	TILJE FM	FORMATION	169	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1839.000000	1900.000000	TOFTE FM	FORMATION	170	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	1591.000000	1673.000000	VIKING GP	GROUP	188	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	2073.000000	2357.000000	ÅRE FM	FORMATION	197	1984-09-07	133	9999-12-31	2013-05-08
6407/9-1	762.000000	825.000000	MOLO FM	FORMATION	209	1984-09-07	133	9999-12-31	2013-05-08
16/7-5	2075.000000	2141.000000	BALDER FM	FORMATION	6	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2536.000000	2568.000000	BLODØKS FM	FORMATION	13	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2568.000000	2593.000000	CROMER KNOLL GP	GROUP	23	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2593.000000	2594.000000	DRAUPNE FM	FORMATION	28	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2310.000000	2328.000000	EKOFISK FM	FORMATION	33	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2467.000000	2536.000000	HOD FM	FORMATION	66	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	1015.000000	2075.000000	HORDALAND GP	GROUP	67	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2216.000000	2293.000000	LISTA FM	FORMATION	95	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	1170.000000	2075.000000	NO FORMAL NAME	FORMATION	111	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	107.000000	1015.000000	NORDLAND GP	GROUP	113	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2075.000000	2310.000000	ROGALAND GP	GROUP	131	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2568.000000	2575.000000	RØDBY FM	FORMATION	137	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2141.000000	2216.000000	SELE FM	FORMATION	142	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2310.000000	2568.000000	SHETLAND GP	GROUP	143	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	1105.000000	1170.000000	SKADE FM	FORMATION	145	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2594.000000	2775.000000	SKAGERRAK FM	FORMATION	146	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2775.000000	2900.000000	SMITH BANK FM	FORMATION	149	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2575.000000	2583.000000	SOLA FM	FORMATION	152	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2328.000000	2467.000000	TOR FM	FORMATION	171	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	868.000000	1015.000000	UTSIRA FM	FORMATION	183	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2593.000000	2594.000000	VIKING GP	GROUP	188	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2293.000000	2310.000000	VÅLE FM	FORMATION	190	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2583.000000	2593.000000	ÅSGARD FM	FORMATION	198	1984-08-03	134	9999-12-31	2013-05-08
16/7-5	2594.000000	2900.000000	NO GROUP DEFINED	GROUP	208	1984-08-03	134	9999-12-31	2013-05-08
7121/4-1	1052.000000	2318.000000	ADVENTDALEN GP	GROUP	1	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	2532.000000	2609.000000	FRUHOLMEN FM	FORMATION	46	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	2307.000000	2318.000000	FUGLEN FM	FORMATION	47	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	2237.000000	2307.000000	HEKKINGEN FM	FORMATION	63	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	2318.000000	2609.000000	KAPP TOSCANA GP	GROUP	79	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	2136.000000	2237.000000	KNURR FM	FORMATION	82	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	1817.000000	2136.000000	KOLJE FM	FORMATION	84	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	1052.000000	1817.000000	KOLMULE FM	FORMATION	85	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	1016.000000	1052.000000	KVEITE FM	FORMATION	89	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	357.000000	447.000000	NORDLAND GP	GROUP	113	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	2396.000000	2469.000000	NORDMELA FM	FORMATION	118	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	1016.000000	1052.000000	NYGRUNNEN GP	GROUP	122	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	447.000000	1016.000000	SOTBAKKEN GP	GROUP	154	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	2318.000000	2396.000000	STØ FM	FORMATION	159	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	447.000000	1016.000000	TORSK FM	FORMATION	172	1984-10-27	135	9999-12-31	2013-05-08
7121/4-1	2469.000000	2532.000000	TUBÅEN FM	FORMATION	174	1984-10-27	135	9999-12-31	2013-05-08
35/3-2	3528.000000	3722.000000	AGAT FM	FORMATION	2	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	3975.000000	4143.000000	AMUNDSEN FM	FORMATION	4	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	1332.000000	1348.000000	BALDER FM	FORMATION	6	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	4167.000000	4400.000000	BASEMENT	GROUP	10	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	3190.000000	3207.000000	BLODØKS FM	FORMATION	13	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	3946.000000	3975.000000	BURTON FM	FORMATION	20	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	3447.000000	3819.000000	CROMER KNOLL GP	GROUP	23	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	3920.000000	3946.000000	COOK FM	FORMATION	24	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	3819.000000	3920.000000	DRAKE FM	FORMATION	27	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	3819.000000	4143.000000	DUNLIN GP	GROUP	29	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	975.000000	1332.000000	HORDALAND GP	GROUP	67	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	1520.000000	1665.000000	JORSALFARE FM	FORMATION	74	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	1665.000000	2864.000000	KYRRE FM	FORMATION	92	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	1348.000000	1520.000000	LISTA FM	FORMATION	95	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	975.000000	1332.000000	NO FORMAL NAME	FORMATION	111	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	297.000000	975.000000	NORDLAND GP	GROUP	113	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	1332.000000	1520.000000	ROGALAND GP	GROUP	131	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	3447.000000	3528.000000	RØDBY FM	FORMATION	137	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	1520.000000	3447.000000	SHETLAND GP	GROUP	143	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	4143.000000	4167.000000	STATFJORD FM	FORMATION	157	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	3207.000000	3447.000000	SVARTE FM	FORMATION	160	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	2864.000000	3190.000000	TRYGGVASON FM	FORMATION	173	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	3722.000000	3819.000000	ÅSGARD FM	FORMATION	198	1980-10-26	136	9999-12-31	2013-05-08
35/3-2	4143.000000	4167.000000	NO GROUP DEFINED	GROUP	208	1980-10-26	136	9999-12-31	2013-05-08
2/1-7	3066.000000	3102.000000	ANDREW FM	FORMATION	5	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	2917.000000	2939.000000	BALDER FM	FORMATION	6	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	4061.000000	4105.000000	BRYNE FM	FORMATION	19	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3802.000000	3974.000000	CROMER KNOLL GP	GROUP	23	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3187.000000	3275.000000	EKOFISK FM	FORMATION	33	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	2948.000000	3018.000000	FORTIES FM	FORMATION	44	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3996.000000	4024.000000	HAUGESUND FM	FORMATION	57	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3786.000000	3802.000000	HIDRA FM	FORMATION	65	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3648.000000	3786.000000	HOD FM	FORMATION	66	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	1830.000000	2917.000000	HORDALAND GP	GROUP	67	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	5083.000000	5084.000000	KUPFERSCHIEFER FM	FORMATION	88	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3018.000000	3066.000000	LISTA FM	FORMATION	95	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3157.000000	3173.000000	LISTA FM	FORMATION	95	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3974.000000	3996.000000	MANDAL FM	FORMATION	101	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	106.000000	1830.000000	NORDLAND GP	GROUP	113	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	2917.000000	3187.000000	ROGALAND GP	GROUP	131	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	5084.000000	5464.000000	ROTLIEGEND GP	GROUP	136	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3802.000000	3886.000000	RØDBY FM	FORMATION	137	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	2939.000000	2948.000000	SELE FM	FORMATION	142	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3187.000000	3802.000000	SHETLAND GP	GROUP	143	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	4105.000000	4332.000000	SMITH BANK FM	FORMATION	149	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3275.000000	3648.000000	TOR FM	FORMATION	171	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3974.000000	4024.000000	TYNE GP	GROUP	177	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	4024.000000	4061.000000	ULA FM	FORMATION	179	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	4332.000000	5083.000000	UNDIFFERENTIATED	FORMATION	182	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	4024.000000	4105.000000	VESTLAND GP	GROUP	186	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3102.000000	3157.000000	VIDAR FM	FORMATION	187	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3173.000000	3187.000000	VÅLE FM	FORMATION	190	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	4332.000000	5084.000000	ZECHSTEIN GP	GROUP	194	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	3886.000000	3974.000000	ÅSGARD FM	FORMATION	198	1985-03-06	137	9999-12-31	2013-05-08
2/1-7	4105.000000	4332.000000	NO GROUP DEFINED	GROUP	208	1985-03-06	137	9999-12-31	2013-05-08
6507/7-1	1906.000000	2053.000000	BRYGGE FM	FORMATION	18	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	4478.000000	4825.000000	BÅT GP	GROUP	22	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	2926.000000	3680.000000	CROMER KNOLL GP	GROUP	23	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	4338.000000	4478.000000	FANGST GP	GROUP	38	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	1906.000000	2053.000000	HORDALAND GP	GROUP	67	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	4338.000000	4478.000000	ILE FM	FORMATION	70	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	1483.000000	1906.000000	KAI FM	FORMATION	77	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	2824.000000	2926.000000	KVITNOS FM	FORMATION	91	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	3000.000000	3495.000000	LANGE FM	FORMATION	94	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	3645.000000	3680.000000	LYR FM	FORMATION	98	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	2926.000000	3000.000000	LYSING FM	FORMATION	99	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	3785.000000	4338.000000	MELKE FM	FORMATION	105	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	392.000000	1483.000000	NAUST FM	FORMATION	109	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	3495.000000	3645.000000	NO FORMAL NAME	FORMATION	111	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	2400.000000	2824.000000	NISE FM	FORMATION	112	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	392.000000	1906.000000	NORDLAND GP	GROUP	113	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	2053.000000	2159.000000	ROGALAND GP	GROUP	131	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	4478.000000	4586.000000	ROR FM	FORMATION	135	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	2159.000000	2926.000000	SHETLAND GP	GROUP	143	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	3680.000000	3785.000000	SPEKK FM	FORMATION	155	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	2159.000000	2400.000000	SPRINGAR FM	FORMATION	156	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	2102.000000	2159.000000	TANG FM	FORMATION	161	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	2053.000000	2102.000000	TARE FM	FORMATION	163	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	4586.000000	4825.000000	TILJE FM	FORMATION	169	1984-12-01	138	9999-12-31	2013-05-08
6507/7-1	3680.000000	4338.000000	VIKING GP	GROUP	188	1984-12-01	138	9999-12-31	2013-05-08
34/10-9	2214.000000	2375.000000	AMUNDSEN FM	FORMATION	4	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1510.000000	1575.000000	BALDER FM	FORMATION	6	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1833.000000	1957.000000	BRENT GP	GROUP	16	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1945.000000	1957.000000	BROOM FM	FORMATION	17	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	2203.000000	2214.000000	BURTON FM	FORMATION	20	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	2083.000000	2203.000000	COOK FM	FORMATION	24	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1957.000000	2083.000000	DRAKE FM	FORMATION	27	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1957.000000	2375.000000	DUNLIN GP	GROUP	29	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1836.000000	1867.000000	ETIVE FM	FORMATION	35	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	990.000000	1510.000000	HORDALAND GP	GROUP	67	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1696.000000	1767.000000	JORSALFARE FM	FORMATION	74	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1767.000000	1833.000000	KYRRE FM	FORMATION	92	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1575.000000	1696.000000	LISTA FM	FORMATION	95	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	2375.000000	2200.000000	NANSEN MBR	MEMBER	108	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1833.000000	1836.000000	NESS FM	FORMATION	110	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	945.000000	990.000000	NO FORMAL NAME	FORMATION	111	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1163.000000	1362.000000	NO FORMAL NAME	FORMATION	111	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1362.000000	1510.000000	NO FORMAL NAME	FORMATION	111	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	227.000000	990.000000	NORDLAND GP	GROUP	113	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1867.000000	1945.000000	RANNOCH FM	FORMATION	126	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1510.000000	1696.000000	ROGALAND GP	GROUP	131	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	1696.000000	1833.000000	SHETLAND GP	GROUP	143	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	2375.000000	2200.000000	STATFJORD FM	FORMATION	157	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	921.000000	945.000000	UTSIRA FM	FORMATION	183	1980-05-09	140	9999-12-31	2013-05-08
34/10-9	2375.000000	2200.000000	NO GROUP DEFINED	GROUP	208	1980-05-09	140	9999-12-31	2013-05-08
31/6-7	540.000000	698.000000	HORDALAND GP	GROUP	67	1985-04-13	141	9999-12-31	2013-05-08
31/6-7	540.000000	698.000000	NO FORMAL NAME	FORMATION	111	1985-04-13	141	9999-12-31	2013-05-08
31/6-7	325.000000	540.000000	NORDLAND GP	GROUP	113	1985-04-13	141	9999-12-31	2013-05-08
8/3-1	930.000000	955.000000	BALDER FM	FORMATION	6	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	2965.000000	3015.000000	BASEMENT	GROUP	10	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	1628.000000	2040.000000	BOKNFJORD GP	GROUP	15	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	1315.000000	1628.000000	CROMER KNOLL GP	GROUP	23	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	1890.000000	2040.000000	EGERSUND FM	FORMATION	30	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	1040.000000	1090.000000	EKOFISK FM	FORMATION	33	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	1628.000000	1658.000000	FLEKKEFJORD FM	FORMATION	43	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	475.000000	930.000000	HORDALAND GP	GROUP	67	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	975.000000	1030.000000	LISTA FM	FORMATION	95	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	120.000000	475.000000	NORDLAND GP	GROUP	113	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	930.000000	1040.000000	ROGALAND GP	GROUP	131	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	2040.000000	2113.000000	SANDNES FM	FORMATION	139	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	1658.000000	1831.000000	SAUDA FM	FORMATION	141	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	955.000000	975.000000	SELE FM	FORMATION	142	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	1040.000000	1315.000000	SHETLAND GP	GROUP	143	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	2113.000000	2205.000000	SKAGERRAK FM	FORMATION	146	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	1831.000000	1890.000000	TAU FM	FORMATION	164	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	1090.000000	1315.000000	TOR FM	FORMATION	171	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	2040.000000	2113.000000	VESTLAND GP	GROUP	186	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	1030.000000	1040.000000	VÅLE FM	FORMATION	190	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	2205.000000	2965.000000	ZECHSTEIN GP	GROUP	194	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	1315.000000	1628.000000	ÅSGARD FM	FORMATION	198	1966-10-10	142	9999-12-31	2013-05-08
8/3-1	2113.000000	2205.000000	NO GROUP DEFINED	GROUP	208	1966-10-10	142	9999-12-31	2013-05-08
25/11-1	1698.000000	1753.000000	BALDER FM	FORMATION	6	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1768.000000	1778.000000	BALDER FM	FORMATION	6	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1753.000000	1768.000000	INTRA BALDER FM SS	FORMATION	7	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	2391.000000	2459.000000	BASEMENT	GROUP	10	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1920.000000	1980.000000	CROMER KNOLL GP	GROUP	23	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1980.000000	1988.000000	DRAUPNE FM	FORMATION	28	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1895.000000	1920.000000	EKOFISK FM	FORMATION	33	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1794.000000	1817.000000	HERMOD FM	FORMATION	64	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	758.000000	1698.000000	HORDALAND GP	GROUP	67	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1821.000000	1868.000000	LISTA FM	FORMATION	95	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	731.000000	758.000000	NO FORMAL NAME	FORMATION	111	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	976.000000	1085.000000	NO FORMAL NAME	FORMATION	111	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1110.000000	1698.000000	NO FORMAL NAME	FORMATION	111	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	154.000000	758.000000	NORDLAND GP	GROUP	113	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1698.000000	1895.000000	ROGALAND GP	GROUP	131	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1920.000000	1938.000000	RØDBY FM	FORMATION	137	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1778.000000	1794.000000	SELE FM	FORMATION	142	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1817.000000	1821.000000	SELE FM	FORMATION	142	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1895.000000	1920.000000	SHETLAND GP	GROUP	143	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	758.000000	976.000000	SKADE FM	FORMATION	145	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1085.000000	1110.000000	SKADE FM	FORMATION	145	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	2109.000000	2391.000000	SKAGERRAK FM	FORMATION	146	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1938.000000	1980.000000	SOLA FM	FORMATION	152	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1988.000000	2109.000000	STATFJORD FM	FORMATION	157	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1868.000000	1895.000000	TY FM	FORMATION	176	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	615.000000	731.000000	UTSIRA FM	FORMATION	183	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1980.000000	1988.000000	VIKING GP	GROUP	188	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	1988.000000	2109.000000	NO GROUP DEFINED	GROUP	208	1967-07-09	143	9999-12-31	2013-05-08
25/11-1	2109.000000	2391.000000	NO GROUP DEFINED	GROUP	208	1967-07-09	143	9999-12-31	2013-05-08
16/2-1	1625.000000	1645.000000	BALDER FM	FORMATION	6	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1873.000000	1906.000000	BASEMENT	GROUP	10	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1850.000000	1873.000000	CROMER KNOLL GP	GROUP	23	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1838.000000	1850.000000	HOD FM	FORMATION	66	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	939.000000	1625.000000	HORDALAND GP	GROUP	67	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1669.000000	1732.000000	LISTA FM	FORMATION	95	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	866.000000	939.000000	NO FORMAL NAME	FORMATION	111	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1015.000000	1053.000000	NO FORMAL NAME	FORMATION	111	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1154.000000	1625.000000	NO FORMAL NAME	FORMATION	111	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	139.000000	939.000000	NORDLAND GP	GROUP	113	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1625.000000	1732.000000	ROGALAND GP	GROUP	131	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1850.000000	1858.000000	RØDBY FM	FORMATION	137	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1645.000000	1669.000000	SELE FM	FORMATION	142	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1732.000000	1850.000000	SHETLAND GP	GROUP	143	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	939.000000	1015.000000	SKADE FM	FORMATION	145	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1053.000000	1154.000000	SKADE FM	FORMATION	145	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1858.000000	1873.000000	SOLA FM	FORMATION	152	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	1732.000000	1838.000000	TOR FM	FORMATION	171	1967-08-09	144	9999-12-31	2013-05-08
16/2-1	797.000000	866.000000	UTSIRA FM	FORMATION	183	1967-08-09	144	9999-12-31	2013-05-08
9/8-1	1120.000000	1140.000000	BALDER FM	FORMATION	6	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1597.000000	1625.000000	BLODØKS FM	FORMATION	13	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1777.000000	1922.000000	BOKNFJORD GP	GROUP	15	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1777.000000	1825.000000	BØRGLUM UNIT	FORMATION	21	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1625.000000	1777.000000	CROMER KNOLL GP	GROUP	23	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1825.000000	1922.000000	EGERSUND FM	FORMATION	30	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1275.000000	1300.000000	EKOFISK FM	FORMATION	33	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1530.000000	1597.000000	HOD FM	FORMATION	66	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	568.000000	1120.000000	HORDALAND GP	GROUP	67	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1177.000000	1233.000000	LISTA FM	FORMATION	95	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	98.000000	568.000000	NORDLAND GP	GROUP	113	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1120.000000	1275.000000	ROGALAND GP	GROUP	131	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1625.000000	1695.000000	RØDBY FM	FORMATION	137	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1922.000000	2109.000000	SANDNES FM	FORMATION	139	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1140.000000	1177.000000	SELE FM	FORMATION	142	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1275.000000	1625.000000	SHETLAND GP	GROUP	143	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1300.000000	1530.000000	TOR FM	FORMATION	171	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1922.000000	2109.000000	VESTLAND GP	GROUP	186	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1233.000000	1275.000000	VÅLE FM	FORMATION	190	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	2109.000000	2176.000000	ZECHSTEIN GP	GROUP	194	1968-06-29	145	9999-12-31	2013-05-08
9/8-1	1695.000000	1777.000000	ÅSGARD FM	FORMATION	198	1968-06-29	145	9999-12-31	2013-05-08
16/7-1	1670.000000	1711.000000	BALDER FM	FORMATION	6	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	1995.000000	2085.000000	CROMER KNOLL GP	GROUP	23	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	1955.000000	1995.000000	HOD FM	FORMATION	66	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	1017.000000	1670.000000	HORDALAND GP	GROUP	67	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	1734.000000	1846.000000	LISTA FM	FORMATION	95	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	106.000000	1017.000000	NORDLAND GP	GROUP	113	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	1670.000000	1856.000000	ROGALAND GP	GROUP	131	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	1995.000000	2016.000000	RØDBY FM	FORMATION	137	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	1711.000000	1734.000000	SELE FM	FORMATION	142	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	1856.000000	1995.000000	SHETLAND GP	GROUP	143	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	2016.000000	2040.000000	SOLA FM	FORMATION	152	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	1856.000000	1955.000000	TOR FM	FORMATION	171	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	808.000000	1017.000000	UTSIRA FM	FORMATION	183	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	1846.000000	1856.000000	VÅLE FM	FORMATION	190	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	2085.000000	2781.000000	ZECHSTEIN GP	GROUP	194	1967-09-24	146	9999-12-31	2013-05-08
16/7-1	2040.000000	2085.000000	ÅSGARD FM	FORMATION	198	1967-09-24	146	9999-12-31	2013-05-08
16/1-1	2207.000000	2259.000000	BALDER FM	FORMATION	6	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	2734.000000	2763.000000	EKOFISK FM	FORMATION	33	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	1854.000000	1942.000000	GRID FM	FORMATION	53	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	2402.000000	2646.000000	HEIMDAL FM	FORMATION	62	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	2316.000000	2355.000000	HERMOD FM	FORMATION	64	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	2926.000000	3203.000000	HOD FM	FORMATION	66	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	908.000000	2207.000000	HORDALAND GP	GROUP	67	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	2361.000000	2402.000000	LISTA FM	FORMATION	95	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	813.000000	908.000000	NO FORMAL NAME	FORMATION	111	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	1127.000000	1222.000000	NO FORMAL NAME	FORMATION	111	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	1254.000000	1854.000000	NO FORMAL NAME	FORMATION	111	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	1942.000000	2207.000000	NO FORMAL NAME	FORMATION	111	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	140.000000	908.000000	NORDLAND GP	GROUP	113	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	2207.000000	2734.000000	ROGALAND GP	GROUP	131	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	2259.000000	2316.000000	SELE FM	FORMATION	142	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	2355.000000	2361.000000	SELE FM	FORMATION	142	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	2734.000000	3203.000000	SHETLAND GP	GROUP	143	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	908.000000	1127.000000	SKADE FM	FORMATION	145	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	1222.000000	1254.000000	SKADE FM	FORMATION	145	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	2763.000000	2926.000000	TOR FM	FORMATION	171	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	748.000000	813.000000	UTSIRA FM	FORMATION	183	1967-12-10	147	9999-12-31	2013-05-08
16/1-1	2646.000000	2734.000000	VÅLE FM	FORMATION	190	1967-12-10	147	9999-12-31	2013-05-08
16/6-1	1255.000000	1292.000000	BALDER FM	FORMATION	6	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	2055.000000	2061.000000	BASEMENT	GROUP	10	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1654.000000	1734.000000	BLODØKS FM	FORMATION	13	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1771.000000	2019.000000	CROMER KNOLL GP	GROUP	23	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	2019.000000	2051.000000	DRAUPNE FM	FORMATION	28	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1344.000000	1362.000000	EKOFISK FM	FORMATION	33	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1548.000000	1654.000000	HOD FM	FORMATION	66	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	769.000000	1255.000000	HORDALAND GP	GROUP	67	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1307.000000	1335.000000	LISTA FM	FORMATION	95	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	145.000000	769.000000	NORDLAND GP	GROUP	113	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1255.000000	1344.000000	ROGALAND GP	GROUP	131	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1771.000000	1894.000000	RØDBY FM	FORMATION	137	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1292.000000	1307.000000	SELE FM	FORMATION	142	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1344.000000	1771.000000	SHETLAND GP	GROUP	143	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1894.000000	1925.000000	SOLA FM	FORMATION	152	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1734.000000	1771.000000	SVARTE FM	FORMATION	160	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1362.000000	1548.000000	TOR FM	FORMATION	171	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	722.000000	769.000000	UTSIRA FM	FORMATION	183	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	2019.000000	2051.000000	VIKING GP	GROUP	188	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1335.000000	1344.000000	VÅLE FM	FORMATION	190	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	2051.000000	2055.000000	UNDEFINED GP	GROUP	191	1968-01-19	148	9999-12-31	2013-05-08
16/6-1	1925.000000	2019.000000	ÅSGARD FM	FORMATION	198	1968-01-19	148	9999-12-31	2013-05-08
7/11-1	2868.000000	2883.000000	BALDER FM	FORMATION	6	1968-06-15	149	9999-12-31	2013-05-08
7/11-1	3700.000000	3703.000000	BLODØKS FM	FORMATION	13	1968-06-15	149	9999-12-31	2013-05-08
7/11-1	2904.000000	3069.000000	FORTIES FM	FORMATION	44	1968-06-15	149	9999-12-31	2013-05-08
7/11-1	3703.000000	3740.000000	HIDRA FM	FORMATION	65	1968-06-15	149	9999-12-31	2013-05-08
7/11-1	3454.000000	3700.000000	HOD FM	FORMATION	66	1968-06-15	149	9999-12-31	2013-05-08
7/11-1	1527.000000	2868.000000	HORDALAND GP	GROUP	67	1968-06-15	149	9999-12-31	2013-05-08
7/11-1	3069.000000	3173.000000	MAUREEN FM	FORMATION	102	1968-06-15	149	9999-12-31	2013-05-08
7/11-1	105.000000	1527.000000	NORDLAND GP	GROUP	113	1968-06-15	149	2013-02-15	2013-05-08
7/11-1	2868.000000	3173.000000	ROGALAND GP	GROUP	131	1968-06-15	149	9999-12-31	2013-05-08
7/11-1	2883.000000	2904.000000	SELE FM	FORMATION	142	1968-06-15	149	9999-12-31	2013-05-08
7/11-1	3173.000000	3740.000000	SHETLAND GP	GROUP	143	1968-06-15	149	2013-02-15	2013-05-08
7/11-1	3173.000000	3454.000000	TOR FM	FORMATION	171	1968-06-15	149	2013-02-15	2013-05-08
7/11-1	3740.000000	3974.000000	ZECHSTEIN GP	GROUP	194	1968-06-15	149	9999-12-31	2013-05-08
9/4-1	1127.000000	1154.000000	BALDER FM	FORMATION	6	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1804.000000	1811.000000	BLODØKS FM	FORMATION	13	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1985.000000	2288.000000	BOKNFJORD GP	GROUP	15	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	2319.000000	2329.000000	BRYNE FM	FORMATION	19	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1811.000000	1985.000000	CROMER KNOLL GP	GROUP	23	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	2251.000000	2288.000000	EGERSUND FM	FORMATION	30	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1336.000000	1365.000000	EKOFISK FM	FORMATION	33	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1174.000000	1230.000000	FISKEBANK FM	FORMATION	41	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1985.000000	2047.000000	FLEKKEFJORD FM	FORMATION	43	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1690.000000	1804.000000	HOD FM	FORMATION	66	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	518.000000	1127.000000	HORDALAND GP	GROUP	67	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1230.000000	1269.000000	LISTA FM	FORMATION	95	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	97.000000	518.000000	NORDLAND GP	GROUP	113	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1127.000000	1336.000000	ROGALAND GP	GROUP	131	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1811.000000	1822.000000	RØDBY FM	FORMATION	137	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	2288.000000	2319.000000	SANDNES FM	FORMATION	139	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	2047.000000	2200.000000	SAUDA FM	FORMATION	141	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1154.000000	1174.000000	SELE FM	FORMATION	142	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1336.000000	1811.000000	SHETLAND GP	GROUP	143	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	2329.000000	2590.000000	SKAGERRAK FM	FORMATION	146	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	2590.000000	2939.000000	SMITH BANK FM	FORMATION	149	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1822.000000	1847.000000	SOLA FM	FORMATION	152	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	2200.000000	2251.000000	TAU FM	FORMATION	164	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1365.000000	1690.000000	TOR FM	FORMATION	171	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	2288.000000	2329.000000	VESTLAND GP	GROUP	186	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1269.000000	1336.000000	VÅLE FM	FORMATION	190	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	2939.000000	2963.000000	ZECHSTEIN GP	GROUP	194	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	1847.000000	1985.000000	ÅSGARD FM	FORMATION	198	1968-05-19	150	9999-12-31	2013-05-08
9/4-1	2329.000000	2939.000000	NO GROUP DEFINED	GROUP	208	1968-05-19	150	9999-12-31	2013-05-08
16/9-1	1310.000000	1336.000000	BALDER FM	FORMATION	6	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	1829.000000	2295.000000	CROMER KNOLL GP	GROUP	23	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	2295.000000	2360.000000	DRAUPNE FM	FORMATION	28	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	1393.000000	1425.000000	EKOFISK FM	FORMATION	33	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	1600.000000	1829.000000	HOD FM	FORMATION	66	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	825.000000	1310.000000	HORDALAND GP	GROUP	67	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	1354.000000	1393.000000	LISTA FM	FORMATION	95	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	98.000000	825.000000	NORDLAND GP	GROUP	113	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	1310.000000	1393.000000	ROGALAND GP	GROUP	131	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	1829.000000	1919.000000	RØDBY FM	FORMATION	137	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	1336.000000	1354.000000	SELE FM	FORMATION	142	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	1393.000000	1829.000000	SHETLAND GP	GROUP	143	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	2464.000000	3074.000000	SKAGERRAK FM	FORMATION	146	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	3074.000000	3199.000000	SMITH BANK FM	FORMATION	149	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	1425.000000	1600.000000	TOR FM	FORMATION	171	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	2360.000000	2464.000000	VESTLAND GP	GROUP	186	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	2295.000000	2360.000000	VIKING GP	GROUP	188	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	3199.000000	3655.000000	ZECHSTEIN GP	GROUP	194	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	1919.000000	2295.000000	ÅSGARD FM	FORMATION	198	1968-07-12	151	9999-12-31	2013-05-08
16/9-1	2464.000000	3199.000000	NO GROUP DEFINED	GROUP	208	1968-07-12	151	9999-12-31	2013-05-08
9/4-3	1092.000000	1114.000000	BALDER FM	FORMATION	6	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1935.000000	1958.000000	BLODØKS FM	FORMATION	13	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	2200.000000	2490.000000	BOKNFJORD GP	GROUP	15	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	2508.000000	2613.000000	BRYNE FM	FORMATION	19	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1967.000000	2200.000000	CROMER KNOLL GP	GROUP	23	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	2437.000000	2490.000000	EGERSUND FM	FORMATION	30	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1305.000000	1328.000000	EKOFISK FM	FORMATION	33	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1150.000000	1200.000000	FISKEBANK FM	FORMATION	41	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	2200.000000	2250.000000	FLEKKEFJORD FM	FORMATION	43	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1958.000000	1967.000000	HIDRA FM	FORMATION	65	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1730.000000	1935.000000	HOD FM	FORMATION	66	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	520.000000	1092.000000	HORDALAND GP	GROUP	67	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1250.000000	1286.000000	LISTA FM	FORMATION	95	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	100.000000	520.000000	NORDLAND GP	GROUP	113	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1092.000000	1305.000000	ROGALAND GP	GROUP	131	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1967.000000	1983.000000	RØDBY FM	FORMATION	137	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	2490.000000	2508.000000	SANDNES FM	FORMATION	139	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	2250.000000	2400.000000	SAUDA FM	FORMATION	141	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1114.000000	1150.000000	SELE FM	FORMATION	142	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1200.000000	1250.000000	SELE FM	FORMATION	142	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1305.000000	1967.000000	SHETLAND GP	GROUP	143	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	2613.000000	2682.000000	SKAGERRAK FM	FORMATION	146	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1983.000000	2059.000000	SOLA FM	FORMATION	152	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	2400.000000	2437.000000	TAU FM	FORMATION	164	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1328.000000	1730.000000	TOR FM	FORMATION	171	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	2490.000000	2613.000000	VESTLAND GP	GROUP	186	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	1286.000000	1305.000000	VÅLE FM	FORMATION	190	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	2059.000000	2200.000000	ÅSGARD FM	FORMATION	198	1972-08-19	152	9999-12-31	2013-05-08
9/4-3	2613.000000	2682.000000	NO GROUP DEFINED	GROUP	208	1972-08-19	152	9999-12-31	2013-05-08
17/4-1	1041.000000	1080.000000	BALDER FM	FORMATION	6	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1408.000000	1438.000000	BLODØKS FM	FORMATION	13	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1444.000000	2122.000000	CROMER KNOLL GP	GROUP	23	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	2122.000000	2217.000000	DRAUPNE FM	FORMATION	28	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	2217.000000	2265.000000	HEATHER FM	FORMATION	60	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1438.000000	1444.000000	HIDRA FM	FORMATION	65	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1370.000000	1408.000000	HOD FM	FORMATION	66	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	544.000000	1041.000000	HORDALAND GP	GROUP	67	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	3834.000000	3834.000000	KUPFERSCHIEFER FM	FORMATION	88	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1108.000000	1150.000000	LISTA FM	FORMATION	95	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	2080.000000	2122.000000	MIME FM	FORMATION	106	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	132.000000	544.000000	NORDLAND GP	GROUP	113	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1041.000000	1163.000000	ROGALAND GP	GROUP	131	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	3834.000000	3997.000000	ROTLIEGEND GP	GROUP	136	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1444.000000	1706.000000	RØDBY FM	FORMATION	137	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1080.000000	1108.000000	SELE FM	FORMATION	142	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1163.000000	1444.000000	SHETLAND GP	GROUP	143	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	2352.000000	2532.000000	SKAGERRAK FM	FORMATION	146	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	2532.000000	2665.000000	SMITH BANK FM	FORMATION	149	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1163.000000	1370.000000	TOR FM	FORMATION	171	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	2665.000000	3834.000000	UNDIFFERENTIATED	FORMATION	182	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	2265.000000	2352.000000	VESTLAND GP	GROUP	186	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	2122.000000	2265.000000	VIKING GP	GROUP	188	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1150.000000	1163.000000	VÅLE FM	FORMATION	190	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	2665.000000	3834.000000	ZECHSTEIN GP	GROUP	194	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	1706.000000	2080.000000	ÅSGARD FM	FORMATION	198	1968-08-26	153	9999-12-31	2013-05-08
17/4-1	2352.000000	2665.000000	NO GROUP DEFINED	GROUP	208	1968-08-26	153	9999-12-31	2013-05-08
1/3-1	2995.000000	3006.000000	BALDER FM	FORMATION	6	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	4343.000000	4371.000000	BLODØKS FM	FORMATION	13	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	4441.000000	4671.000000	CROMER KNOLL GP	GROUP	23	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	3258.000000	3354.000000	EKOFISK FM	FORMATION	33	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	4371.000000	4441.000000	HIDRA FM	FORMATION	65	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	3828.000000	4343.000000	HOD FM	FORMATION	66	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	3013.000000	3095.000000	LISTA FM	FORMATION	95	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	3147.000000	3209.000000	LISTA FM	FORMATION	95	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	97.000000	2995.000000	NORDLAND GP	GROUP	113	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	2995.000000	3258.000000	ROGALAND GP	GROUP	131	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	4441.000000	4482.000000	RØDBY FM	FORMATION	137	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	3006.000000	3013.000000	SELE FM	FORMATION	142	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	3258.000000	4441.000000	SHETLAND GP	GROUP	143	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	4482.000000	4671.000000	SOLA FM	FORMATION	152	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	3354.000000	3828.000000	TOR FM	FORMATION	171	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	3095.000000	3147.000000	VIDAR FM	FORMATION	187	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	3209.000000	3258.000000	VÅLE FM	FORMATION	190	1968-11-11	154	9999-12-31	2013-05-08
1/3-1	4671.000000	4877.000000	ZECHSTEIN GP	GROUP	194	1968-11-11	154	9999-12-31	2013-05-08
2/8-2	2823.000000	2844.000000	BALDER FM	FORMATION	6	1970-07-30	155	9999-12-31	2013-05-08
2/8-2	3227.000000	3246.000000	CROMER KNOLL GP	GROUP	23	1970-07-30	155	9999-12-31	2013-05-08
2/8-2	2950.000000	3044.000000	EKOFISK FM	FORMATION	33	1970-07-30	155	9999-12-31	2013-05-08
2/8-2	1540.000000	2823.000000	HORDALAND GP	GROUP	67	1970-07-30	155	9999-12-31	2013-05-08
2/8-2	2893.000000	2932.000000	LISTA FM	FORMATION	95	1970-07-30	155	9999-12-31	2013-05-08
2/8-2	2932.000000	2950.000000	MAUREEN FM	FORMATION	102	1970-07-30	155	9999-12-31	2013-05-08
2/8-2	95.000000	1540.000000	NORDLAND GP	GROUP	113	1970-07-30	155	9999-12-31	2013-05-08
2/8-2	2823.000000	2950.000000	ROGALAND GP	GROUP	131	1970-07-30	155	9999-12-31	2013-05-08
2/8-2	3227.000000	3246.000000	RØDBY FM	FORMATION	137	1970-07-30	155	9999-12-31	2013-05-08
2/8-2	2844.000000	2893.000000	SELE FM	FORMATION	142	1970-07-30	155	9999-12-31	2013-05-08
2/8-2	2950.000000	3227.000000	SHETLAND GP	GROUP	143	1970-07-30	155	9999-12-31	2013-05-08
2/8-2	3044.000000	3227.000000	TOR FM	FORMATION	171	1970-07-30	155	9999-12-31	2013-05-08
7/11-2	2981.000000	2997.000000	BALDER FM	FORMATION	6	1968-10-14	156	9999-12-31	2013-05-08
7/11-2	3220.000000	3346.000000	EKOFISK FM	FORMATION	33	1968-10-14	156	9999-12-31	2013-05-08
7/11-2	3025.000000	3175.000000	FORTIES FM	FORMATION	44	1968-10-14	156	9999-12-31	2013-05-08
7/11-2	1549.000000	2981.000000	HORDALAND GP	GROUP	67	1968-10-14	156	9999-12-31	2013-05-08
7/11-2	3175.000000	3220.000000	MAUREEN FM	FORMATION	102	1968-10-14	156	9999-12-31	2013-05-08
7/11-2	109.000000	1549.000000	NORDLAND GP	GROUP	113	1968-10-14	156	9999-12-31	2013-05-08
7/11-2	2981.000000	3220.000000	ROGALAND GP	GROUP	131	1968-10-14	156	9999-12-31	2013-05-08
7/11-2	2997.000000	3025.000000	SELE FM	FORMATION	142	1968-10-14	156	9999-12-31	2013-05-08
7/11-2	3220.000000	3427.000000	SHETLAND GP	GROUP	143	1968-10-14	156	9999-12-31	2013-05-08
7/11-2	3346.000000	3427.000000	TOR FM	FORMATION	171	1968-10-14	156	9999-12-31	2013-05-08
7/8-1	2435.000000	2464.000000	BALDER FM	FORMATION	6	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	3230.000000	3275.000000	BRYNE FM	FORMATION	19	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	3135.000000	3201.000000	CROMER KNOLL GP	GROUP	23	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	2669.000000	2730.000000	EKOFISK FM	FORMATION	33	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	3275.000000	3334.000000	GASSUM FM	FORMATION	49	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	3095.000000	3135.000000	HIDRA FM	FORMATION	65	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	2955.000000	3095.000000	HOD FM	FORMATION	66	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	1275.000000	2435.000000	HORDALAND GP	GROUP	67	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	2529.000000	2602.000000	LISTA FM	FORMATION	95	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	3201.000000	3219.000000	MANDAL FM	FORMATION	101	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	2602.000000	2669.000000	MAUREEN FM	FORMATION	102	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	109.000000	1275.000000	NORDLAND GP	GROUP	113	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	2435.000000	2669.000000	ROGALAND GP	GROUP	131	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	3219.000000	3230.000000	SANDNES FM	FORMATION	139	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	2464.000000	2529.000000	SELE FM	FORMATION	142	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	2669.000000	3135.000000	SHETLAND GP	GROUP	143	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	2730.000000	2955.000000	TOR FM	FORMATION	171	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	3219.000000	3275.000000	VESTLAND GP	GROUP	186	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	3201.000000	3219.000000	VIKING GP	GROUP	188	1969-02-05	158	9999-12-31	2013-05-08
7/8-1	3275.000000	3334.000000	NO GROUP DEFINED	GROUP	208	1969-02-05	158	9999-12-31	2013-05-08
7/11-3	3032.000000	3044.000000	BALDER FM	FORMATION	6	1969-02-07	159	9999-12-31	2013-05-08
7/11-3	3333.000000	3350.000000	EKOFISK FM	FORMATION	33	1969-02-07	159	9999-12-31	2013-05-08
7/11-3	3084.000000	3286.000000	FORTIES FM	FORMATION	44	1969-02-07	159	9999-12-31	2013-05-08
7/11-3	1584.000000	3032.000000	HORDALAND GP	GROUP	67	1969-02-07	159	9999-12-31	2013-05-08
7/11-3	3286.000000	3333.000000	MAUREEN FM	FORMATION	102	1969-02-07	159	2013-02-19	2013-05-08
7/11-3	124.000000	1584.000000	NORDLAND GP	GROUP	113	1969-02-07	159	9999-12-31	2013-05-08
7/11-3	3032.000000	3333.000000	ROGALAND GP	GROUP	131	1969-02-07	159	2013-02-19	2013-05-08
7/11-3	3044.000000	3084.000000	SELE FM	FORMATION	142	1969-02-07	159	9999-12-31	2013-05-08
7/11-3	3333.000000	3350.000000	SHETLAND GP	GROUP	143	1969-02-07	159	9999-12-31	2013-05-08
2/6-1	2531.000000	2546.000000	BALDER FM	FORMATION	6	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	3233.000000	3256.000000	BRYNE FM	FORMATION	19	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	3056.000000	3102.000000	CROMER KNOLL GP	GROUP	23	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	2644.000000	2719.000000	EKOFISK FM	FORMATION	33	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	2950.000000	3056.000000	HOD FM	FORMATION	66	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	1400.000000	2531.000000	HORDALAND GP	GROUP	67	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	2579.000000	2627.000000	LISTA FM	FORMATION	95	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	3102.000000	3217.000000	MANDAL FM	FORMATION	101	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	98.000000	1400.000000	NORDLAND GP	GROUP	113	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	2531.000000	2644.000000	ROGALAND GP	GROUP	131	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	3056.000000	3102.000000	RØDBY FM	FORMATION	137	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	2546.000000	2579.000000	SELE FM	FORMATION	142	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	2644.000000	3056.000000	SHETLAND GP	GROUP	143	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	3256.000000	3302.000000	SMITH BANK FM	FORMATION	149	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	2719.000000	2950.000000	TOR FM	FORMATION	171	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	3102.000000	3217.000000	TYNE GP	GROUP	177	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	3217.000000	3233.000000	ULA FM	FORMATION	179	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	3217.000000	3256.000000	VESTLAND GP	GROUP	186	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	2627.000000	2644.000000	VÅLE FM	FORMATION	190	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	3302.000000	3336.000000	ZECHSTEIN GP	GROUP	194	1969-05-30	160	9999-12-31	2013-05-08
2/6-1	3256.000000	3302.000000	NO GROUP DEFINED	GROUP	208	1969-05-30	160	9999-12-31	2013-05-08
17/10-1	1324.000000	1358.000000	BALDER FM	FORMATION	6	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	2515.000000	2682.000000	BOKNFJORD GP	GROUP	15	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1880.000000	2515.000000	CROMER KNOLL GP	GROUP	23	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	2675.000000	2682.000000	EGERSUND FM	FORMATION	30	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1525.000000	1557.000000	EKOFISK FM	FORMATION	33	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	2515.000000	2544.000000	FLEKKEFJORD FM	FORMATION	43	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	2682.000000	2825.000000	GASSUM FM	FORMATION	49	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1805.000000	1880.000000	HOD FM	FORMATION	66	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	612.000000	1324.000000	HORDALAND GP	GROUP	67	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1403.000000	1500.000000	LISTA FM	FORMATION	95	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	114.000000	612.000000	NORDLAND GP	GROUP	113	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1880.000000	1902.000000	RAN SANDSTONE UNITS	FORMATION	125	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1324.000000	1525.000000	ROGALAND GP	GROUP	131	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1902.000000	1945.000000	RØDBY FM	FORMATION	137	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	2544.000000	2640.000000	SAUDA FM	FORMATION	141	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1358.000000	1403.000000	SELE FM	FORMATION	142	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1525.000000	1880.000000	SHETLAND GP	GROUP	143	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	2825.000000	3398.000000	SKAGERRAK FM	FORMATION	146	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	3398.000000	3591.000000	SMITH BANK FM	FORMATION	149	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1945.000000	1985.000000	SOLA FM	FORMATION	152	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	2640.000000	2675.000000	TAU FM	FORMATION	164	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1557.000000	1805.000000	TOR FM	FORMATION	171	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1985.000000	2005.000000	TUXEN FM	FORMATION	175	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	1500.000000	1525.000000	VÅLE FM	FORMATION	190	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	2005.000000	2515.000000	ÅSGARD FM	FORMATION	198	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	2682.000000	2825.000000	NO GROUP DEFINED	GROUP	208	1969-03-24	161	9999-12-31	2013-05-08
17/10-1	2825.000000	3591.000000	NO GROUP DEFINED	GROUP	208	1969-03-24	161	9999-12-31	2013-05-08
2/3-1	2135.000000	2153.000000	BALDER FM	FORMATION	6	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	2359.000000	2563.000000	CROMER KNOLL GP	GROUP	23	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	1330.000000	2135.000000	HORDALAND GP	GROUP	67	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	2175.000000	2243.000000	LISTA FM	FORMATION	95	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	84.000000	1330.000000	NORDLAND GP	GROUP	113	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	2135.000000	2243.000000	ROGALAND GP	GROUP	131	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	2153.000000	2175.000000	SELE FM	FORMATION	142	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	2243.000000	2359.000000	SHETLAND GP	GROUP	143	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	2580.000000	2832.000000	SKAGERRAK FM	FORMATION	146	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	2832.000000	2917.000000	SMITH BANK FM	FORMATION	149	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	2243.000000	2359.000000	TOR FM	FORMATION	171	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	2563.000000	2580.000000	VESTLAND GP	GROUP	186	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	2917.000000	2934.000000	ZECHSTEIN GP	GROUP	194	1969-04-03	162	9999-12-31	2013-05-08
2/3-1	2580.000000	2917.000000	NO GROUP DEFINED	GROUP	208	1969-04-03	162	9999-12-31	2013-05-08
9/12-1	987.000000	1011.000000	BALDER FM	FORMATION	6	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1525.000000	1530.000000	BLODØKS FM	FORMATION	13	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1905.000000	2038.000000	BOKNFJORD GP	GROUP	15	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	2050.000000	2107.000000	BRYNE FM	FORMATION	19	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	2005.000000	2038.000000	BØRGLUM UNIT	FORMATION	21	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1550.000000	1905.000000	CROMER KNOLL GP	GROUP	23	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1167.000000	1222.000000	EKOFISK FM	FORMATION	33	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1011.000000	1085.000000	FISKEBANK FM	FORMATION	41	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1905.000000	1948.000000	FLEKKEFJORD FM	FORMATION	43	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1530.000000	1550.000000	HIDRA FM	FORMATION	65	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1445.000000	1525.000000	HOD FM	FORMATION	66	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	400.000000	987.000000	HORDALAND GP	GROUP	67	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1085.000000	1138.000000	LISTA FM	FORMATION	95	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	87.000000	400.000000	NORDLAND GP	GROUP	113	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	987.000000	1167.000000	ROGALAND GP	GROUP	131	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1550.000000	1609.000000	RØDBY FM	FORMATION	137	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	2038.000000	2050.000000	SANDNES FM	FORMATION	139	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1948.000000	2005.000000	SAUDA FM	FORMATION	141	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1167.000000	1550.000000	SHETLAND GP	GROUP	143	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	2107.000000	2417.000000	SKAGERRAK FM	FORMATION	146	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	2417.000000	2698.000000	SMITH BANK FM	FORMATION	149	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1222.000000	1445.000000	TOR FM	FORMATION	171	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1615.000000	1645.000000	TUXEN FM	FORMATION	175	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	2038.000000	2107.000000	VESTLAND GP	GROUP	186	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1138.000000	1167.000000	VÅLE FM	FORMATION	190	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1609.000000	1615.000000	ÅSGARD FM	FORMATION	198	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	1645.000000	1905.000000	ÅSGARD FM	FORMATION	198	1969-05-06	163	9999-12-31	2013-05-08
9/12-1	2107.000000	2698.000000	NO GROUP DEFINED	GROUP	208	1969-05-06	163	9999-12-31	2013-05-08
7/3-1	1712.000000	1758.000000	BALDER FM	FORMATION	6	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2598.000000	2655.000000	BOKNFJORD GP	GROUP	15	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2386.000000	2598.000000	CROMER KNOLL GP	GROUP	23	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	1882.000000	1890.000000	EKOFISK FM	FORMATION	33	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2598.000000	2643.000000	FLEKKEFJORD FM	FORMATION	43	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2260.000000	2386.000000	HOD FM	FORMATION	66	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	881.000000	1712.000000	HORDALAND GP	GROUP	67	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	4402.000000	4406.000000	KUPFERSCHIEFER FM	FORMATION	88	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	1820.000000	1845.000000	LISTA FM	FORMATION	95	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	95.000000	881.000000	NORDLAND GP	GROUP	113	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2396.000000	2412.000000	RAN SANDSTONE UNITS	FORMATION	125	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	1712.000000	1882.000000	ROGALAND GP	GROUP	131	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	4406.000000	4692.000000	ROTLIEGEND GP	GROUP	136	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2386.000000	2396.000000	RØDBY FM	FORMATION	137	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2655.000000	2696.000000	SANDNES FM	FORMATION	139	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2643.000000	2655.000000	SAUDA FM	FORMATION	141	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	1758.000000	1820.000000	SELE FM	FORMATION	142	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	1882.000000	2386.000000	SHETLAND GP	GROUP	143	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2412.000000	2419.000000	SOLA FM	FORMATION	152	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	1890.000000	2260.000000	TOR FM	FORMATION	171	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2696.000000	4402.000000	UNDIFFERENTIATED	FORMATION	182	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2655.000000	2696.000000	VESTLAND GP	GROUP	186	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	1845.000000	1882.000000	VÅLE FM	FORMATION	190	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	4692.000000	4700.000000	UNDEFINED GP	GROUP	191	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2696.000000	4406.000000	ZECHSTEIN GP	GROUP	194	1969-06-10	164	9999-12-31	2013-05-08
7/3-1	2419.000000	2598.000000	ÅSGARD FM	FORMATION	198	1969-06-10	164	9999-12-31	2013-05-08
1/3-2	2964.000000	2978.000000	BALDER FM	FORMATION	6	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	4024.000000	4060.000000	BLODØKS FM	FORMATION	13	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	4131.000000	4297.000000	CROMER KNOLL GP	GROUP	23	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	3207.000000	3270.000000	EKOFISK FM	FORMATION	33	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	4060.000000	4131.000000	HIDRA FM	FORMATION	65	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	3729.000000	4024.000000	HOD FM	FORMATION	66	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	1533.000000	2964.000000	HORDALAND GP	GROUP	67	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	3067.000000	3136.000000	LISTA FM	FORMATION	95	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	98.000000	1533.000000	NORDLAND GP	GROUP	113	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	2964.000000	3207.000000	ROGALAND GP	GROUP	131	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	4131.000000	4229.000000	RØDBY FM	FORMATION	137	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	2978.000000	3067.000000	SELE FM	FORMATION	142	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	3207.000000	4131.000000	SHETLAND GP	GROUP	143	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	4229.000000	4297.000000	SOLA FM	FORMATION	152	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	3270.000000	3729.000000	TOR FM	FORMATION	171	1969-07-27	165	9999-12-31	2013-05-08
1/3-2	3136.000000	3207.000000	VÅLE FM	FORMATION	190	1969-07-27	165	9999-12-31	2013-05-08
8/10-1	2181.000000	2195.000000	BALDER FM	FORMATION	6	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2775.000000	2793.000000	BOKNFJORD GP	GROUP	15	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2580.000000	2775.000000	CROMER KNOLL GP	GROUP	23	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2397.000000	2441.000000	EKOFISK FM	FORMATION	33	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2775.000000	2793.000000	FLEKKEFJORD FM	FORMATION	43	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2570.000000	2580.000000	HIDRA FM	FORMATION	65	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2560.000000	2570.000000	HOD FM	FORMATION	66	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	1220.000000	2181.000000	HORDALAND GP	GROUP	67	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2270.000000	2385.000000	LISTA FM	FORMATION	95	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	93.000000	1220.000000	NORDLAND GP	GROUP	113	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2181.000000	2397.000000	ROGALAND GP	GROUP	131	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2580.000000	2610.000000	RØDBY FM	FORMATION	137	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2793.000000	2833.000000	SANDNES FM	FORMATION	139	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2195.000000	2270.000000	SELE FM	FORMATION	142	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2397.000000	2580.000000	SHETLAND GP	GROUP	143	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2833.000000	2866.000000	SKAGERRAK FM	FORMATION	146	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2866.000000	3081.000000	SMITH BANK FM	FORMATION	149	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2610.000000	2679.000000	SOLA FM	FORMATION	152	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2441.000000	2560.000000	TOR FM	FORMATION	171	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2679.000000	2700.000000	TUXEN FM	FORMATION	175	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2793.000000	2833.000000	VESTLAND GP	GROUP	186	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2385.000000	2397.000000	VÅLE FM	FORMATION	190	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	3081.000000	3089.000000	ZECHSTEIN GP	GROUP	194	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2700.000000	2775.000000	ÅSGARD FM	FORMATION	198	1969-07-01	166	9999-12-31	2013-05-08
8/10-1	2833.000000	3081.000000	NO GROUP DEFINED	GROUP	208	1969-07-01	166	9999-12-31	2013-05-08
7/11-4	3017.000000	3036.000000	BALDER FM	FORMATION	6	1969-07-31	167	9999-12-31	2013-05-08
7/11-4	3183.000000	3311.000000	EKOFISK FM	FORMATION	33	1969-07-31	167	9999-12-31	2013-05-08
7/11-4	3042.000000	3107.000000	FORTIES FM	FORMATION	44	1969-07-31	167	9999-12-31	2013-05-08
7/11-4	1545.000000	3017.000000	HORDALAND GP	GROUP	67	1969-07-31	167	9999-12-31	2013-05-08
7/11-4	3107.000000	3167.000000	LISTA FM	FORMATION	95	1969-07-31	167	9999-12-31	2013-05-08
7/11-4	3167.000000	3183.000000	MAUREEN FM	FORMATION	102	1969-07-31	167	9999-12-31	2013-05-08
7/11-4	106.000000	1545.000000	NORDLAND GP	GROUP	113	1969-07-31	167	9999-12-31	2013-05-08
7/11-4	3017.000000	3183.000000	ROGALAND GP	GROUP	131	1969-07-31	167	9999-12-31	2013-05-08
7/11-4	3036.000000	3042.000000	SELE FM	FORMATION	142	1969-07-31	167	9999-12-31	2013-05-08
7/11-4	3183.000000	3322.000000	SHETLAND GP	GROUP	143	1969-07-31	167	9999-12-31	2013-05-08
7/11-4	3311.000000	3322.000000	TOR FM	FORMATION	171	1969-07-31	167	9999-12-31	2013-05-08
2/11-1	2590.000000	2600.000000	BALDER FM	FORMATION	6	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2860.000000	2863.000000	BLODØKS FM	FORMATION	13	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2887.000000	3555.000000	CROMER KNOLL GP	GROUP	23	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	3728.000000	4075.000000	FARSUND FM	FORMATION	39	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	4075.000000	4691.000000	HAUGESUND FM	FORMATION	57	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2863.000000	2887.000000	HIDRA FM	FORMATION	65	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2662.000000	2860.000000	HOD FM	FORMATION	66	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	1136.000000	2590.000000	HORDALAND GP	GROUP	67	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2610.000000	2635.000000	LISTA FM	FORMATION	95	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	3555.000000	3728.000000	MANDAL FM	FORMATION	101	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	95.000000	1136.000000	NORDLAND GP	GROUP	113	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2590.000000	2635.000000	ROGALAND GP	GROUP	131	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2887.000000	2910.000000	RØDBY FM	FORMATION	137	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2600.000000	2610.000000	SELE FM	FORMATION	142	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2635.000000	2887.000000	SHETLAND GP	GROUP	143	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2910.000000	2988.000000	SOLA FM	FORMATION	152	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2635.000000	2662.000000	TOR FM	FORMATION	171	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	2988.000000	3063.000000	TUXEN FM	FORMATION	175	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	3555.000000	4691.000000	TYNE GP	GROUP	177	1969-10-03	168	9999-12-31	2013-05-08
2/11-1	3063.000000	3555.000000	ÅSGARD FM	FORMATION	198	1969-10-03	168	9999-12-31	2013-05-08
2/3-2	2186.000000	2212.000000	BALDER FM	FORMATION	6	1969-08-13	169	9999-12-31	2013-05-08
2/3-2	2212.000000	2290.000000	FISKEBANK FM	FORMATION	41	1969-08-13	169	9999-12-31	2013-05-08
2/3-2	1250.000000	2186.000000	HORDALAND GP	GROUP	67	1969-08-13	169	9999-12-31	2013-05-08
2/3-2	1855.000000	2186.000000	NO FORMAL NAME	FORMATION	111	1969-08-13	169	9999-12-31	2013-05-08
2/3-2	85.000000	1250.000000	NORDLAND GP	GROUP	113	1969-08-13	169	9999-12-31	2013-05-08
2/3-2	2186.000000	2297.000000	ROGALAND GP	GROUP	131	1969-08-13	169	9999-12-31	2013-05-08
2/3-2	1795.000000	1855.000000	VADE FM	FORMATION	184	1969-08-13	169	9999-12-31	2013-05-08
2/3-2	2290.000000	2297.000000	VIDAR FM	FORMATION	187	1969-08-13	169	9999-12-31	2013-05-08
11/10-1	1023.000000	1039.000000	BALDER FM	FORMATION	6	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1455.000000	1493.000000	BLODØKS FM	FORMATION	13	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1655.000000	1860.000000	BOKNFJORD GP	GROUP	15	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1750.000000	1860.000000	BØRGLUM UNIT	FORMATION	21	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1493.000000	1655.000000	CROMER KNOLL GP	GROUP	23	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1048.000000	1110.000000	EKOFISK FM	FORMATION	33	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1655.000000	1672.000000	FLEKKEFJORD FM	FORMATION	43	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1860.000000	1900.000000	GASSUM FM	FORMATION	49	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1356.000000	1455.000000	HOD FM	FORMATION	66	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	430.000000	1023.000000	HORDALAND GP	GROUP	67	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1043.000000	1045.000000	LISTA FM	FORMATION	95	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	223.000000	430.000000	NO FORMAL NAME	FORMATION	111	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	90.000000	430.000000	NORDLAND GP	GROUP	113	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1023.000000	1048.000000	ROGALAND GP	GROUP	131	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1493.000000	1510.000000	RØDBY FM	FORMATION	137	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1672.000000	1750.000000	SAUDA FM	FORMATION	141	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1039.000000	1043.000000	SELE FM	FORMATION	142	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1048.000000	1493.000000	SHETLAND GP	GROUP	143	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1900.000000	2430.000000	SKAGERRAK FM	FORMATION	146	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1110.000000	1356.000000	TOR FM	FORMATION	171	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1045.000000	1048.000000	VÅLE FM	FORMATION	190	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1510.000000	1655.000000	ÅSGARD FM	FORMATION	198	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1860.000000	1900.000000	NO GROUP DEFINED	GROUP	208	1969-08-19	170	9999-12-31	2013-05-08
11/10-1	1900.000000	2430.000000	NO GROUP DEFINED	GROUP	208	1969-08-19	170	9999-12-31	2013-05-08
2/4-2	2904.000000	2911.000000	BALDER FM	FORMATION	6	1969-12-24	172	9999-12-31	2013-05-08
2/4-2	3050.000000	3203.000000	EKOFISK FM	FORMATION	33	1969-12-24	172	9999-12-31	2013-05-08
2/4-2	1682.000000	2904.000000	HORDALAND GP	GROUP	67	1969-12-24	172	9999-12-31	2013-05-08
2/4-2	2970.000000	3017.000000	LISTA FM	FORMATION	95	1969-12-24	172	9999-12-31	2013-05-08
2/4-2	98.000000	1682.000000	NORDLAND GP	GROUP	113	1969-12-24	172	9999-12-31	2013-05-08
2/4-2	2904.000000	3050.000000	ROGALAND GP	GROUP	131	1969-12-24	172	9999-12-31	2013-05-08
2/4-2	2911.000000	2970.000000	SELE FM	FORMATION	142	1969-12-24	172	9999-12-31	2013-05-08
2/4-2	3050.000000	3305.000000	SHETLAND GP	GROUP	143	1969-12-24	172	9999-12-31	2013-05-08
2/4-2	3203.000000	3305.000000	TOR FM	FORMATION	171	1969-12-24	172	9999-12-31	2013-05-08
2/4-2	3017.000000	3050.000000	VÅLE FM	FORMATION	190	1969-12-24	172	9999-12-31	2013-05-08
25/8-1	1665.000000	1736.000000	BALDER FM	FORMATION	6	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1915.000000	1923.000000	BLODØKS FM	FORMATION	13	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1936.000000	1981.000000	CROMER KNOLL GP	GROUP	23	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1981.000000	1987.000000	DRAUPNE FM	FORMATION	28	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1846.000000	1853.000000	EKOFISK FM	FORMATION	33	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1777.000000	1812.000000	HEIMDAL FM	FORMATION	62	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1754.000000	1763.000000	HERMOD FM	FORMATION	64	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1923.000000	1936.000000	HIDRA FM	FORMATION	65	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1897.000000	1915.000000	HOD FM	FORMATION	66	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	750.000000	1665.000000	HORDALAND GP	GROUP	67	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1767.000000	1777.000000	LISTA FM	FORMATION	95	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1812.000000	1841.000000	LISTA FM	FORMATION	95	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	716.000000	750.000000	NO FORMAL NAME	FORMATION	111	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	970.000000	991.000000	NO FORMAL NAME	FORMATION	111	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1015.000000	1062.000000	NO FORMAL NAME	FORMATION	111	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1093.000000	1663.000000	NO FORMAL NAME	FORMATION	111	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1663.000000	1665.000000	NO FORMAL NAME	FORMATION	111	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	138.000000	750.000000	NORDLAND GP	GROUP	113	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1665.000000	1846.000000	ROGALAND GP	GROUP	131	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	2317.000000	2606.000000	ROTLIEGEND GP	GROUP	136	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1736.000000	1754.000000	SELE FM	FORMATION	142	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1763.000000	1767.000000	SELE FM	FORMATION	142	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1846.000000	1936.000000	SHETLAND GP	GROUP	143	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	750.000000	970.000000	SKADE FM	FORMATION	145	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	991.000000	1015.000000	SKADE FM	FORMATION	145	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1062.000000	1093.000000	SKADE FM	FORMATION	145	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1987.000000	2158.000000	STATFJORD FM	FORMATION	157	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1853.000000	1897.000000	TOR FM	FORMATION	171	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	607.000000	716.000000	UTSIRA FM	FORMATION	183	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1981.000000	1987.000000	VIKING GP	GROUP	188	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1841.000000	1846.000000	VÅLE FM	FORMATION	190	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	1987.000000	2158.000000	NO GROUP DEFINED	GROUP	208	1970-07-04	173	9999-12-31	2013-05-08
25/8-1	2158.000000	2317.000000	NO GROUP DEFINED	GROUP	208	1970-07-04	173	9999-12-31	2013-05-08
2/4-4	2978.000000	2989.000000	BALDER FM	FORMATION	6	1970-08-01	174	9999-12-31	2013-05-08
2/4-4	3116.000000	3259.000000	EKOFISK FM	FORMATION	33	1970-08-01	174	9999-12-31	2013-05-08
2/4-4	1736.000000	2978.000000	HORDALAND GP	GROUP	67	1970-08-01	174	9999-12-31	2013-05-08
2/4-4	2994.000000	3116.000000	LISTA FM	FORMATION	95	1970-08-01	174	9999-12-31	2013-05-08
2/4-4	98.000000	1736.000000	NORDLAND GP	GROUP	113	1970-08-01	174	9999-12-31	2013-05-08
2/4-4	2978.000000	3116.000000	ROGALAND GP	GROUP	131	1970-08-01	174	9999-12-31	2013-05-08
2/4-4	2989.000000	2994.000000	SELE FM	FORMATION	142	1970-08-01	174	9999-12-31	2013-05-08
2/4-4	3116.000000	3424.000000	SHETLAND GP	GROUP	143	1970-08-01	174	9999-12-31	2013-05-08
2/4-4	3259.000000	3424.000000	TOR FM	FORMATION	171	1970-08-01	174	9999-12-31	2013-05-08
10/8-1	516.000000	527.000000	BALDER FM	FORMATION	6	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1153.000000	1157.000000	BLODØKS FM	FORMATION	13	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1367.000000	1494.000000	BOKNFJORD GP	GROUP	15	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1183.000000	1367.000000	CROMER KNOLL GP	GROUP	23	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1464.000000	1494.000000	EGERSUND FM	FORMATION	30	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	656.000000	748.000000	EKOFISK FM	FORMATION	33	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	542.000000	569.000000	FISKEBANK FM	FORMATION	41	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1367.000000	1393.000000	FLEKKEFJORD FM	FORMATION	43	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1494.000000	1567.000000	GASSUM FM	FORMATION	49	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1157.000000	1183.000000	HIDRA FM	FORMATION	65	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1021.000000	1153.000000	HOD FM	FORMATION	66	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	220.000000	516.000000	HORDALAND GP	GROUP	67	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	569.000000	621.000000	LISTA FM	FORMATION	95	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	105.000000	220.000000	NORDLAND GP	GROUP	113	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	516.000000	656.000000	ROGALAND GP	GROUP	131	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1183.000000	1201.000000	RØDBY FM	FORMATION	137	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1393.000000	1451.000000	SAUDA FM	FORMATION	141	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	527.000000	542.000000	SELE FM	FORMATION	142	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	656.000000	1183.000000	SHETLAND GP	GROUP	143	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1567.000000	2749.000000	SKAGERRAK FM	FORMATION	146	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	2749.000000	2825.000000	SMITH BANK FM	FORMATION	149	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1201.000000	1326.000000	SOLA FM	FORMATION	152	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1451.000000	1464.000000	TAU FM	FORMATION	164	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	748.000000	1021.000000	TOR FM	FORMATION	171	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	621.000000	656.000000	VÅLE FM	FORMATION	190	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	2825.000000	2861.000000	ZECHSTEIN GP	GROUP	194	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1326.000000	1367.000000	ÅSGARD FM	FORMATION	198	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1494.000000	1567.000000	NO GROUP DEFINED	GROUP	208	1971-01-17	175	9999-12-31	2013-05-08
10/8-1	1567.000000	2825.000000	NO GROUP DEFINED	GROUP	208	1971-01-17	175	9999-12-31	2013-05-08
9/4-2	1141.000000	1161.000000	BALDER FM	FORMATION	6	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1936.000000	1950.000000	BLODØKS FM	FORMATION	13	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	2155.000000	2490.000000	BOKNFJORD GP	GROUP	15	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	2540.000000	2633.000000	BRYNE FM	FORMATION	19	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1952.000000	2155.000000	CROMER KNOLL GP	GROUP	23	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	2435.000000	2490.000000	EGERSUND FM	FORMATION	30	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1323.000000	1365.000000	EKOFISK FM	FORMATION	33	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1184.000000	1241.000000	FISKEBANK FM	FORMATION	41	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	2155.000000	2208.000000	FLEKKEFJORD FM	FORMATION	43	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1950.000000	1952.000000	HIDRA FM	FORMATION	65	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	503.000000	1141.000000	HORDALAND GP	GROUP	67	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1241.000000	1281.000000	LISTA FM	FORMATION	95	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	99.000000	503.000000	NORDLAND GP	GROUP	113	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1141.000000	1323.000000	ROGALAND GP	GROUP	131	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1952.000000	1975.000000	RØDBY FM	FORMATION	137	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	2490.000000	2540.000000	SANDNES FM	FORMATION	139	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	2208.000000	2396.000000	SAUDA FM	FORMATION	141	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1161.000000	1184.000000	SELE FM	FORMATION	142	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1323.000000	1952.000000	SHETLAND GP	GROUP	143	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	2633.000000	3025.000000	SKAGERRAK FM	FORMATION	146	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1975.000000	1998.000000	SOLA FM	FORMATION	152	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	2396.000000	2435.000000	TAU FM	FORMATION	164	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1365.000000	1936.000000	TOR FM	FORMATION	171	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	2490.000000	2633.000000	VESTLAND GP	GROUP	186	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1281.000000	1323.000000	VÅLE FM	FORMATION	190	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	1998.000000	2155.000000	ÅSGARD FM	FORMATION	198	1970-08-29	176	9999-12-31	2013-05-08
9/4-2	2633.000000	3025.000000	NO GROUP DEFINED	GROUP	208	1970-08-29	176	9999-12-31	2013-05-08
2/4-5	2905.000000	2914.000000	BALDER FM	FORMATION	6	1970-08-27	177	9999-12-31	2013-05-08
2/4-5	3037.000000	3164.000000	EKOFISK FM	FORMATION	33	1970-08-27	177	9999-12-31	2013-05-08
2/4-5	1716.000000	2905.000000	HORDALAND GP	GROUP	67	1970-08-27	177	9999-12-31	2013-05-08
2/4-5	2950.000000	3024.000000	LISTA FM	FORMATION	95	1970-08-27	177	9999-12-31	2013-05-08
2/4-5	91.000000	1716.000000	NORDLAND GP	GROUP	113	1970-08-27	177	9999-12-31	2013-05-08
2/4-5	2905.000000	3037.000000	ROGALAND GP	GROUP	131	1970-08-27	177	9999-12-31	2013-05-08
2/4-5	2914.000000	2950.000000	SELE FM	FORMATION	142	1970-08-27	177	9999-12-31	2013-05-08
2/4-5	3037.000000	3320.000000	SHETLAND GP	GROUP	143	1970-08-27	177	9999-12-31	2013-05-08
2/4-5	3164.000000	3320.000000	TOR FM	FORMATION	171	1970-08-27	177	9999-12-31	2013-05-08
2/4-5	3024.000000	3037.000000	VÅLE FM	FORMATION	190	1970-08-27	177	9999-12-31	2013-05-08
2/5-1	2920.000000	2929.000000	BALDER FM	FORMATION	6	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	3551.000000	3594.000000	BLODØKS FM	FORMATION	13	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	3635.000000	3839.000000	CROMER KNOLL GP	GROUP	23	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	3041.000000	3132.000000	EKOFISK FM	FORMATION	33	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	3839.000000	3972.000000	FARSUND FM	FORMATION	39	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	3594.000000	3635.000000	HIDRA FM	FORMATION	65	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	3475.000000	3551.000000	HOD FM	FORMATION	66	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	1704.000000	2920.000000	HORDALAND GP	GROUP	67	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	2933.000000	3034.000000	LISTA FM	FORMATION	95	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	95.000000	1704.000000	NORDLAND GP	GROUP	113	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	2920.000000	3041.000000	ROGALAND GP	GROUP	131	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	3635.000000	3839.000000	RØDBY FM	FORMATION	137	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	2929.000000	2933.000000	SELE FM	FORMATION	142	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	3041.000000	3635.000000	SHETLAND GP	GROUP	143	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	3132.000000	3475.000000	TOR FM	FORMATION	171	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	3839.000000	3972.000000	TYNE GP	GROUP	177	1970-11-22	178	9999-12-31	2013-05-08
2/5-1	3034.000000	3041.000000	VÅLE FM	FORMATION	190	1970-11-22	178	9999-12-31	2013-05-08
25/10-2	1935.000000	1975.000000	BALDER FM	FORMATION	6	1970-08-25	180	9999-12-31	2013-05-08
25/10-2	2085.000000	2146.000000	HEIMDAL FM	FORMATION	62	1970-08-25	180	9999-12-31	2013-05-08
25/10-2	755.000000	1935.000000	HORDALAND GP	GROUP	67	1970-08-25	180	9999-12-31	2013-05-08
25/10-2	2050.000000	2085.000000	LISTA FM	FORMATION	95	1970-08-25	180	9999-12-31	2013-05-08
25/10-2	2146.000000	2191.000000	LISTA FM	FORMATION	95	1970-08-25	180	9999-12-31	2013-05-08
25/10-2	731.000000	755.000000	NO FORMAL NAME	FORMATION	111	1970-08-25	180	9999-12-31	2013-05-08
25/10-2	130.000000	755.000000	NORDLAND GP	GROUP	113	1970-08-25	180	9999-12-31	2013-05-08
25/10-2	1935.000000	2191.000000	ROGALAND GP	GROUP	131	1970-08-25	180	9999-12-31	2013-05-08
25/10-2	1975.000000	2050.000000	SELE FM	FORMATION	142	1970-08-25	180	9999-12-31	2013-05-08
25/10-2	755.000000	1935.000000	SKADE FM	FORMATION	145	1970-08-25	180	9999-12-31	2013-05-08
25/10-2	505.000000	731.000000	UTSIRA FM	FORMATION	183	1970-08-25	180	9999-12-31	2013-05-08
2/4-6	2958.000000	2966.000000	BALDER FM	FORMATION	6	1970-12-10	181	9999-12-31	2013-05-08
2/4-6	3110.000000	3270.000000	EKOFISK FM	FORMATION	33	1970-12-10	181	9999-12-31	2013-05-08
2/4-6	1768.000000	2958.000000	HORDALAND GP	GROUP	67	1970-12-10	181	9999-12-31	2013-05-08
2/4-6	2971.000000	3091.000000	LISTA FM	FORMATION	95	1970-12-10	181	9999-12-31	2013-05-08
2/4-6	93.000000	1768.000000	NORDLAND GP	GROUP	113	1970-12-10	181	9999-12-31	2013-05-08
2/4-6	2958.000000	3110.000000	ROGALAND GP	GROUP	131	1970-12-10	181	9999-12-31	2013-05-08
2/4-6	2966.000000	2971.000000	SELE FM	FORMATION	142	1970-12-10	181	9999-12-31	2013-05-08
2/4-6	3110.000000	3411.000000	SHETLAND GP	GROUP	143	1970-12-10	181	9999-12-31	2013-05-08
2/4-6	3270.000000	3411.000000	TOR FM	FORMATION	171	1970-12-10	181	9999-12-31	2013-05-08
2/4-6	3091.000000	3110.000000	VÅLE FM	FORMATION	190	1970-12-10	181	9999-12-31	2013-05-08
25/10-3	1711.000000	1750.000000	BALDER FM	FORMATION	6	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1753.000000	1769.000000	BALDER FM	FORMATION	6	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1750.000000	1753.000000	INTRA BALDER FM SS	FORMATION	7	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1911.000000	1921.000000	EKOFISK FM	FORMATION	33	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1401.000000	1410.000000	GRID FM	FORMATION	53	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1841.000000	1879.000000	HEIMDAL FM	FORMATION	62	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1900.000000	1909.000000	HEIMDAL FM	FORMATION	62	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1808.000000	1837.000000	HERMOD FM	FORMATION	64	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	738.000000	1711.000000	HORDALAND GP	GROUP	67	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1841.000000	1841.000000	LISTA FM	FORMATION	95	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1879.000000	1900.000000	LISTA FM	FORMATION	95	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1909.000000	1911.000000	LISTA FM	FORMATION	95	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	689.000000	738.000000	NO FORMAL NAME	FORMATION	111	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	941.000000	1122.000000	NO FORMAL NAME	FORMATION	111	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1229.000000	1401.000000	NO FORMAL NAME	FORMATION	111	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1410.000000	1711.000000	NO FORMAL NAME	FORMATION	111	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	136.000000	738.000000	NORDLAND GP	GROUP	113	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1711.000000	1911.000000	ROGALAND GP	GROUP	131	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1769.000000	1808.000000	SELE FM	FORMATION	142	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1837.000000	1841.000000	SELE FM	FORMATION	142	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1911.000000	1921.000000	SHETLAND GP	GROUP	143	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	738.000000	941.000000	SKADE FM	FORMATION	145	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	1122.000000	1229.000000	SKADE FM	FORMATION	145	1970-09-13	182	9999-12-31	2013-05-08
25/10-3	533.000000	689.000000	UTSIRA FM	FORMATION	183	1970-09-13	182	9999-12-31	2013-05-08
9/10-1	1874.000000	1884.000000	BALDER FM	FORMATION	6	1970-09-18	183	9999-12-31	2013-05-08
9/10-1	2112.000000	2116.000000	EKOFISK FM	FORMATION	33	1970-09-18	183	9999-12-31	2013-05-08
9/10-1	1884.000000	1957.000000	FISKEBANK FM	FORMATION	41	1970-09-18	183	9999-12-31	2013-05-08
9/10-1	948.000000	1874.000000	HORDALAND GP	GROUP	67	1970-09-18	183	9999-12-31	2013-05-08
9/10-1	1957.000000	2112.000000	LISTA FM	FORMATION	95	1970-09-18	183	9999-12-31	2013-05-08
9/10-1	88.000000	948.000000	NORDLAND GP	GROUP	113	1970-09-18	183	9999-12-31	2013-05-08
9/10-1	1874.000000	2112.000000	ROGALAND GP	GROUP	131	1970-09-18	183	9999-12-31	2013-05-08
9/10-1	2112.000000	2205.000000	SHETLAND GP	GROUP	143	1970-09-18	183	9999-12-31	2013-05-08
9/10-1	2116.000000	2205.000000	TOR FM	FORMATION	171	1970-09-18	183	9999-12-31	2013-05-08
25/11-2	1699.000000	1727.000000	BALDER FM	FORMATION	6	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	1734.000000	1765.000000	BALDER FM	FORMATION	6	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	1727.000000	1734.000000	INTRA BALDER FM SS	FORMATION	7	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	1780.000000	1817.000000	HERMOD FM	FORMATION	64	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	747.000000	1699.000000	HORDALAND GP	GROUP	67	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	716.000000	747.000000	NO FORMAL NAME	FORMATION	111	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	939.000000	997.000000	NO FORMAL NAME	FORMATION	111	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	1015.000000	1086.000000	NO FORMAL NAME	FORMATION	111	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	1092.000000	1699.000000	NO FORMAL NAME	FORMATION	111	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	140.000000	747.000000	NORDLAND GP	GROUP	113	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	1699.000000	1824.000000	ROGALAND GP	GROUP	131	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	1765.000000	1780.000000	SELE FM	FORMATION	142	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	1817.000000	1824.000000	SELE FM	FORMATION	142	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	747.000000	939.000000	SKADE FM	FORMATION	145	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	997.000000	1015.000000	SKADE FM	FORMATION	145	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	1086.000000	1092.000000	SKADE FM	FORMATION	145	1970-09-24	184	9999-12-31	2013-05-08
25/11-2	582.000000	716.000000	UTSIRA FM	FORMATION	183	1970-09-24	184	9999-12-31	2013-05-08
25/11-3	1711.000000	1747.000000	BALDER FM	FORMATION	6	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1852.000000	1858.000000	EKOFISK FM	FORMATION	33	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1782.000000	1783.000000	HEIMDAL FM	FORMATION	62	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	772.000000	1711.000000	HORDALAND GP	GROUP	67	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1757.000000	1782.000000	LISTA FM	FORMATION	95	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1783.000000	1817.000000	LISTA FM	FORMATION	95	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	732.000000	772.000000	NO FORMAL NAME	FORMATION	111	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	978.000000	1003.000000	NO FORMAL NAME	FORMATION	111	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1120.000000	1711.000000	NO FORMAL NAME	FORMATION	111	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	137.000000	772.000000	NORDLAND GP	GROUP	113	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1711.000000	1852.000000	ROGALAND GP	GROUP	131	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1747.000000	1757.000000	SELE FM	FORMATION	142	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1852.000000	1858.000000	SHETLAND GP	GROUP	143	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	772.000000	978.000000	SKADE FM	FORMATION	145	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1003.000000	1120.000000	SKADE FM	FORMATION	145	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1824.000000	1844.000000	TY FM	FORMATION	176	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	622.000000	732.000000	UTSIRA FM	FORMATION	183	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1817.000000	1824.000000	VÅLE FM	FORMATION	190	1970-10-14	185	9999-12-31	2013-05-08
25/11-3	1844.000000	1852.000000	VÅLE FM	FORMATION	190	1970-10-14	185	9999-12-31	2013-05-08
25/11-4	1695.000000	1740.000000	BALDER FM	FORMATION	6	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	1742.000000	1776.000000	BALDER FM	FORMATION	6	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	1740.000000	1742.000000	INTRA BALDER FM SS	FORMATION	7	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	1874.000000	1896.000000	EKOFISK FM	FORMATION	33	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	1792.000000	1816.000000	HERMOD FM	FORMATION	64	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	792.000000	1695.000000	HORDALAND GP	GROUP	67	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	1820.000000	1874.000000	LISTA FM	FORMATION	95	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	766.000000	792.000000	NO FORMAL NAME	FORMATION	111	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	1203.000000	1695.000000	NO FORMAL NAME	FORMATION	111	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	137.000000	792.000000	NORDLAND GP	GROUP	113	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	1695.000000	1874.000000	ROGALAND GP	GROUP	131	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	1776.000000	1792.000000	SELE FM	FORMATION	142	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	1816.000000	1820.000000	SELE FM	FORMATION	142	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	1874.000000	1896.000000	SHETLAND GP	GROUP	143	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	792.000000	1203.000000	SKADE FM	FORMATION	145	1970-11-20	186	9999-12-31	2013-05-08
25/11-4	636.000000	766.000000	UTSIRA FM	FORMATION	183	1970-11-20	186	9999-12-31	2013-05-08
2/7-2	2856.000000	2871.000000	BALDER FM	FORMATION	6	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	3743.000000	3745.000000	BLODØKS FM	FORMATION	13	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	3752.000000	3862.000000	CROMER KNOLL GP	GROUP	23	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	2966.000000	3005.000000	EKOFISK FM	FORMATION	33	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	3745.000000	3752.000000	HIDRA FM	FORMATION	65	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	3194.000000	3743.000000	HOD FM	FORMATION	66	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	1478.000000	2856.000000	HORDALAND GP	GROUP	67	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	2905.000000	2940.000000	LISTA FM	FORMATION	95	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	3862.000000	3875.000000	MANDAL FM	FORMATION	101	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	98.000000	1478.000000	NORDLAND GP	GROUP	113	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	2856.000000	2966.000000	ROGALAND GP	GROUP	131	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	3875.000000	3964.000000	ROTLIEGEND GP	GROUP	136	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	3752.000000	3758.000000	RØDBY FM	FORMATION	137	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	2871.000000	2905.000000	SELE FM	FORMATION	142	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	2966.000000	3752.000000	SHETLAND GP	GROUP	143	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	3758.000000	3791.000000	SOLA FM	FORMATION	152	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	3005.000000	3194.000000	TOR FM	FORMATION	171	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	3862.000000	3875.000000	TYNE GP	GROUP	177	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	2940.000000	2966.000000	VÅLE FM	FORMATION	190	1971-03-02	187	9999-12-31	2013-05-08
2/7-2	3791.000000	3862.000000	ÅSGARD FM	FORMATION	198	1971-03-02	187	9999-12-31	2013-05-08
2/5-2	2978.000000	2996.000000	BALDER FM	FORMATION	6	1971-04-20	188	9999-12-31	2013-05-08
2/5-2	3118.000000	3360.000000	EKOFISK FM	FORMATION	33	1971-04-20	188	9999-12-31	2013-05-08
2/5-2	1712.000000	2978.000000	HORDALAND GP	GROUP	67	1971-04-20	188	9999-12-31	2013-05-08
2/5-2	3005.000000	3102.000000	LISTA FM	FORMATION	95	1971-04-20	188	9999-12-31	2013-05-08
2/5-2	101.000000	1712.000000	NORDLAND GP	GROUP	113	1971-04-20	188	9999-12-31	2013-05-08
2/5-2	2978.000000	3118.000000	ROGALAND GP	GROUP	131	1971-04-20	188	9999-12-31	2013-05-08
2/5-2	2996.000000	3005.000000	SELE FM	FORMATION	142	1971-04-20	188	9999-12-31	2013-05-08
2/5-2	3118.000000	3597.000000	SHETLAND GP	GROUP	143	1971-04-20	188	9999-12-31	2013-05-08
2/5-2	3360.000000	3597.000000	TOR FM	FORMATION	171	1971-04-20	188	9999-12-31	2013-05-08
2/5-2	3102.000000	3118.000000	VÅLE FM	FORMATION	190	1971-04-20	188	9999-12-31	2013-05-08
16/5-1	1527.000000	1557.000000	BALDER FM	FORMATION	6	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1925.000000	1943.000000	BASEMENT	GROUP	10	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1859.000000	1925.000000	CROMER KNOLL GP	GROUP	23	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1662.000000	1699.000000	EKOFISK FM	FORMATION	33	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1756.000000	1848.000000	HOD FM	FORMATION	66	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1012.000000	1527.000000	HORDALAND GP	GROUP	67	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1580.000000	1648.000000	LISTA FM	FORMATION	95	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	127.000000	1012.000000	NORDLAND GP	GROUP	113	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1527.000000	1662.000000	ROGALAND GP	GROUP	131	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1557.000000	1580.000000	SELE FM	FORMATION	142	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1662.000000	1859.000000	SHETLAND GP	GROUP	143	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1859.000000	1923.000000	SOLA FM	FORMATION	152	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1848.000000	1859.000000	SVARTE FM	FORMATION	160	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1699.000000	1756.000000	TOR FM	FORMATION	171	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	754.000000	1012.000000	UTSIRA FM	FORMATION	183	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1648.000000	1662.000000	VÅLE FM	FORMATION	190	1971-02-08	189	9999-12-31	2013-05-08
16/5-1	1923.000000	1925.000000	ÅSGARD FM	FORMATION	198	1971-02-08	189	9999-12-31	2013-05-08
25/1-1	2115.000000	2145.000000	BALDER FM	FORMATION	6	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	2145.000000	2195.000000	INTRA BALDER FM SS	FORMATION	7	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	3790.000000	3807.000000	BLODØKS FM	FORMATION	13	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	3995.000000	4203.000000	CROMER KNOLL GP	GROUP	23	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	4203.000000	4280.000000	DRAUPNE FM	FORMATION	28	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	1836.000000	2115.000000	FRIGG FM	FORMATION	45	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	4280.000000	4560.000000	HEATHER FM	FORMATION	60	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	2245.000000	2389.000000	HEIMDAL FM	FORMATION	62	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	2195.000000	2218.000000	HERMOD FM	FORMATION	64	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	2228.000000	2245.000000	HERMOD FM	FORMATION	64	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	731.000000	2115.000000	HORDALAND GP	GROUP	67	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	4560.000000	4570.000000	HUGIN FM	FORMATION	69	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	2711.000000	2997.000000	JORSALFARE FM	FORMATION	74	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	2997.000000	3582.000000	KYRRE FM	FORMATION	92	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	2389.000000	2711.000000	LISTA FM	FORMATION	95	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	125.000000	731.000000	NORDLAND GP	GROUP	113	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	2115.000000	2711.000000	ROGALAND GP	GROUP	131	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	3995.000000	4065.000000	RØDBY FM	FORMATION	137	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	2218.000000	2228.000000	SELE FM	FORMATION	142	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	2711.000000	3995.000000	SHETLAND GP	GROUP	143	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	4065.000000	4135.000000	SOLA FM	FORMATION	152	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	3807.000000	3995.000000	SVARTE FM	FORMATION	160	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	3582.000000	3790.000000	TRYGGVASON FM	FORMATION	173	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	4560.000000	4570.000000	VESTLAND GP	GROUP	186	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	4203.000000	4560.000000	VIKING GP	GROUP	188	1971-07-22	190	9999-12-31	2013-05-08
25/1-1	4135.000000	4203.000000	ÅSGARD FM	FORMATION	198	1971-07-22	190	9999-12-31	2013-05-08
7/9-1	2079.000000	2088.000000	BALDER FM	FORMATION	6	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2495.000000	2524.000000	BRYNE FM	FORMATION	19	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2378.000000	2453.000000	CROMER KNOLL GP	GROUP	23	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2207.000000	2254.000000	EKOFISK FM	FORMATION	33	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2524.000000	2601.000000	FJERRITSLEV FM	FORMATION	42	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2601.000000	2609.000000	GASSUM FM	FORMATION	49	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2335.000000	2378.000000	HOD FM	FORMATION	66	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	1088.000000	2079.000000	HORDALAND GP	GROUP	67	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2148.000000	2180.000000	LISTA FM	FORMATION	95	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2453.000000	2487.000000	MANDAL FM	FORMATION	101	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	101.000000	1088.000000	NORDLAND GP	GROUP	113	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2079.000000	2207.000000	ROGALAND GP	GROUP	131	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2088.000000	2148.000000	SELE FM	FORMATION	142	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2207.000000	2378.000000	SHETLAND GP	GROUP	143	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2609.000000	2811.000000	SKAGERRAK FM	FORMATION	146	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2382.000000	2406.000000	SOLA FM	FORMATION	152	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2254.000000	2335.000000	TOR FM	FORMATION	171	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2453.000000	2487.000000	TYNE GP	GROUP	177	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2487.000000	2495.000000	ULA FM	FORMATION	179	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2487.000000	2524.000000	VESTLAND GP	GROUP	186	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2180.000000	2207.000000	VÅLE FM	FORMATION	190	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2811.000000	2931.000000	ZECHSTEIN GP	GROUP	194	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2406.000000	2453.000000	ÅSGARD FM	FORMATION	198	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2524.000000	2609.000000	NO GROUP DEFINED	GROUP	208	1971-05-29	191	9999-12-31	2013-05-08
7/9-1	2609.000000	2811.000000	NO GROUP DEFINED	GROUP	208	1971-05-29	191	9999-12-31	2013-05-08
7/1-1	2085.000000	2098.000000	BALDER FM	FORMATION	6	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	2634.000000	2661.000000	CROMER KNOLL GP	GROUP	23	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	2390.000000	2634.000000	HOD FM	FORMATION	66	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	1088.000000	2085.000000	HORDALAND GP	GROUP	67	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	2109.000000	2224.000000	LISTA FM	FORMATION	95	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	116.000000	1088.000000	NORDLAND GP	GROUP	113	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	2085.000000	2224.000000	ROGALAND GP	GROUP	131	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	2634.000000	2661.000000	RØDBY FM	FORMATION	137	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	2098.000000	2109.000000	SELE FM	FORMATION	142	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	2224.000000	2634.000000	SHETLAND GP	GROUP	143	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	2661.000000	2808.000000	SKAGERRAK FM	FORMATION	146	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	2224.000000	2390.000000	TOR FM	FORMATION	171	1971-08-05	192	9999-12-31	2013-05-08
7/1-1	2661.000000	2808.000000	NO GROUP DEFINED	GROUP	208	1971-08-05	192	9999-12-31	2013-05-08
8/12-1	1595.000000	1604.000000	BALDER FM	FORMATION	6	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2293.000000	2300.000000	BLODØKS FM	FORMATION	13	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2574.000000	2663.000000	BOKNFJORD GP	GROUP	15	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2711.000000	2813.000000	BRYNE FM	FORMATION	19	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2340.000000	2574.000000	CROMER KNOLL GP	GROUP	23	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1894.000000	1927.000000	EKOFISK FM	FORMATION	33	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1604.000000	1694.000000	FISKEBANK FM	FORMATION	41	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2574.000000	2607.000000	FLEKKEFJORD FM	FORMATION	43	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2300.000000	2340.000000	HIDRA FM	FORMATION	65	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2262.000000	2293.000000	HOD FM	FORMATION	66	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1040.000000	1595.000000	HORDALAND GP	GROUP	67	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1694.000000	1822.000000	LISTA FM	FORMATION	95	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1091.000000	1289.000000	NO FORMAL NAME	FORMATION	111	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1291.000000	1303.000000	NO FORMAL NAME	FORMATION	111	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1305.000000	1595.000000	NO FORMAL NAME	FORMATION	111	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	97.000000	1040.000000	NORDLAND GP	GROUP	113	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1595.000000	1894.000000	ROGALAND GP	GROUP	131	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2340.000000	2368.000000	RØDBY FM	FORMATION	137	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2663.000000	2711.000000	SANDNES FM	FORMATION	139	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2607.000000	2661.000000	SAUDA FM	FORMATION	141	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1894.000000	2340.000000	SHETLAND GP	GROUP	143	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2813.000000	2875.000000	SKAGERRAK FM	FORMATION	146	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2368.000000	2423.000000	SOLA FM	FORMATION	152	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2661.000000	2663.000000	TAU FM	FORMATION	164	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1927.000000	2262.000000	TOR FM	FORMATION	171	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1089.000000	1091.000000	VADE FM	FORMATION	184	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1289.000000	1291.000000	VADE FM	FORMATION	184	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1303.000000	1305.000000	VADE FM	FORMATION	184	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2663.000000	2813.000000	VESTLAND GP	GROUP	186	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	1822.000000	1894.000000	VÅLE FM	FORMATION	190	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2423.000000	2574.000000	ÅSGARD FM	FORMATION	198	1971-07-23	193	9999-12-31	2013-05-08
8/12-1	2813.000000	2875.000000	NO GROUP DEFINED	GROUP	208	1971-07-23	193	9999-12-31	2013-05-08
9/11-1	1326.000000	1335.000000	BALDER FM	FORMATION	6	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1766.000000	1768.000000	BLODØKS FM	FORMATION	13	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1957.000000	2040.000000	BOKNFJORD GP	GROUP	15	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	2040.000000	2082.000000	BRYNE FM	FORMATION	19	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1768.000000	1957.000000	CROMER KNOLL GP	GROUP	23	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	2005.000000	2040.000000	EGERSUND FM	FORMATION	30	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1335.000000	1483.000000	FISKEBANK FM	FORMATION	41	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1957.000000	1966.000000	FLEKKEFJORD FM	FORMATION	43	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	2082.000000	2121.000000	GASSUM FM	FORMATION	49	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1745.000000	1766.000000	HOD FM	FORMATION	66	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	651.000000	1326.000000	HORDALAND GP	GROUP	67	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1483.000000	1629.000000	LISTA FM	FORMATION	95	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	90.000000	651.000000	NORDLAND GP	GROUP	113	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1326.000000	1629.000000	ROGALAND GP	GROUP	131	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1768.000000	1790.000000	RØDBY FM	FORMATION	137	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1966.000000	1993.000000	SAUDA FM	FORMATION	141	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1629.000000	1768.000000	SHETLAND GP	GROUP	143	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	2121.000000	2196.000000	SKAGERRAK FM	FORMATION	146	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1790.000000	1859.000000	SOLA FM	FORMATION	152	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1993.000000	2005.000000	TAU FM	FORMATION	164	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1629.000000	1745.000000	TOR FM	FORMATION	171	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	2040.000000	2082.000000	VESTLAND GP	GROUP	186	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	1859.000000	1957.000000	ÅSGARD FM	FORMATION	198	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	2082.000000	2121.000000	NO GROUP DEFINED	GROUP	208	1971-08-19	194	9999-12-31	2013-05-08
9/11-1	2121.000000	2196.000000	NO GROUP DEFINED	GROUP	208	1971-08-19	194	9999-12-31	2013-05-08
2/4-7	3048.000000	3060.000000	BALDER FM	FORMATION	6	1971-10-08	196	9999-12-31	2013-05-08
2/4-7	3175.000000	3304.000000	EKOFISK FM	FORMATION	33	1971-10-08	196	9999-12-31	2013-05-08
2/4-7	1736.000000	3048.000000	HORDALAND GP	GROUP	67	1971-10-08	196	9999-12-31	2013-05-08
2/4-7	3070.000000	3162.000000	LISTA FM	FORMATION	95	1971-10-08	196	9999-12-31	2013-05-08
2/4-7	102.000000	1736.000000	NORDLAND GP	GROUP	113	1971-10-08	196	9999-12-31	2013-05-08
2/4-7	3048.000000	3175.000000	ROGALAND GP	GROUP	131	1971-10-08	196	9999-12-31	2013-05-08
2/4-7	3060.000000	3070.000000	SELE FM	FORMATION	142	1971-10-08	196	9999-12-31	2013-05-08
2/4-7	3175.000000	3494.000000	SHETLAND GP	GROUP	143	1971-10-08	196	9999-12-31	2013-05-08
2/4-7	3304.000000	3494.000000	TOR FM	FORMATION	171	1971-10-08	196	9999-12-31	2013-05-08
2/4-7	3162.000000	3175.000000	VÅLE FM	FORMATION	190	1971-10-08	196	9999-12-31	2013-05-08
15/6-1	996.000000	1679.000000	HORDALAND GP	GROUP	67	1971-09-08	197	9999-12-31	2013-05-08
15/6-1	125.000000	996.000000	NORDLAND GP	GROUP	113	1971-09-08	197	9999-12-31	2013-05-08
15/6-1	768.000000	996.000000	UTSIRA FM	FORMATION	183	1971-09-08	197	9999-12-31	2013-05-08
2/3-3	2267.000000	2283.000000	BALDER FM	FORMATION	6	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2678.000000	2825.000000	CROMER KNOLL GP	GROUP	23	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2443.000000	2484.000000	EKOFISK FM	FORMATION	33	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2850.000000	2875.000000	FARSUND FM	FORMATION	39	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2630.000000	2678.000000	HOD FM	FORMATION	66	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	1060.000000	2267.000000	HORDALAND GP	GROUP	67	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2340.000000	2443.000000	LISTA FM	FORMATION	95	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2825.000000	2850.000000	MANDAL FM	FORMATION	101	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	88.000000	1060.000000	NORDLAND GP	GROUP	113	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2267.000000	2443.000000	ROGALAND GP	GROUP	131	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2678.000000	2710.000000	RØDBY FM	FORMATION	137	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2283.000000	2340.000000	SELE FM	FORMATION	142	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2443.000000	2678.000000	SHETLAND GP	GROUP	143	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2875.000000	2930.000000	SKAGERRAK FM	FORMATION	146	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2710.000000	2825.000000	SOLA FM	FORMATION	152	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2484.000000	2630.000000	TOR FM	FORMATION	171	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2825.000000	2875.000000	TYNE GP	GROUP	177	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2930.000000	2973.000000	ZECHSTEIN GP	GROUP	194	1971-11-20	198	9999-12-31	2013-05-08
2/3-3	2875.000000	2930.000000	NO GROUP DEFINED	GROUP	208	1971-11-20	198	9999-12-31	2013-05-08
15/12-3	2285.000000	2348.000000	BALDER FM	FORMATION	6	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2752.000000	2791.000000	BLODØKS FM	FORMATION	13	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2791.000000	2998.000000	CROMER KNOLL GP	GROUP	23	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2998.000000	3142.000000	DRAUPNE FM	FORMATION	28	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2472.000000	2479.000000	EKOFISK FM	FORMATION	33	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2076.000000	2106.000000	GRID FM	FORMATION	53	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	3142.000000	3238.000000	HEATHER FM	FORMATION	60	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2675.000000	2752.000000	HOD FM	FORMATION	66	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	1317.000000	2285.000000	HORDALAND GP	GROUP	67	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2401.000000	2472.000000	LISTA FM	FORMATION	95	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2977.000000	2998.000000	MIME FM	FORMATION	106	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2106.000000	2285.000000	NO FORMAL NAME	FORMATION	111	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	111.000000	1317.000000	NORDLAND GP	GROUP	113	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2285.000000	2472.000000	ROGALAND GP	GROUP	131	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	4392.000000	4450.000000	ROTLIEGEND GP	GROUP	136	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2791.000000	2830.000000	RØDBY FM	FORMATION	137	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2348.000000	2401.000000	SELE FM	FORMATION	142	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2472.000000	2791.000000	SHETLAND GP	GROUP	143	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2830.000000	2865.000000	SOLA FM	FORMATION	152	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2479.000000	2675.000000	TOR FM	FORMATION	171	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	908.000000	1317.000000	UTSIRA FM	FORMATION	183	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2998.000000	3238.000000	VIKING GP	GROUP	188	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	3238.000000	4392.000000	ZECHSTEIN GP	GROUP	194	1980-12-22	199	9999-12-31	2013-05-08
15/12-3	2865.000000	2977.000000	ÅSGARD FM	FORMATION	198	1980-12-22	199	9999-12-31	2013-05-08
2/7-17	98.000000	1600.000000	NORDLAND GP	GROUP	113	1980-07-12	200	9999-12-31	2013-05-08
25/4-5	1998.000000	2033.000000	BALDER FM	FORMATION	6	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3376.000000	3379.000000	BLODØKS FM	FORMATION	13	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3479.000000	3592.000000	CROMER KNOLL GP	GROUP	23	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3592.000000	3619.000000	DRAUPNE FM	FORMATION	28	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3820.000000	3949.000000	DUNLIN GP	GROUP	29	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	993.000000	1090.000000	GRID FM	FORMATION	53	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	1343.000000	1372.000000	GRID FM	FORMATION	53	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3619.000000	3692.000000	HEATHER FM	FORMATION	60	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	2150.000000	2347.000000	HEIMDAL FM	FORMATION	62	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	775.000000	1998.000000	HORDALAND GP	GROUP	67	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3692.000000	3730.000000	HUGIN FM	FORMATION	69	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	2659.000000	2960.000000	JORSALFARE FM	FORMATION	74	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	2960.000000	3258.000000	KYRRE FM	FORMATION	92	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	2090.000000	2150.000000	LISTA FM	FORMATION	95	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	2347.000000	2550.000000	LISTA FM	FORMATION	95	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	925.000000	993.000000	NO FORMAL NAME	FORMATION	111	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	1090.000000	1343.000000	NO FORMAL NAME	FORMATION	111	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	1372.000000	1998.000000	NO FORMAL NAME	FORMATION	111	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	146.000000	775.000000	NORDLAND GP	GROUP	113	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	1998.000000	2659.000000	ROGALAND GP	GROUP	131	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3479.000000	3507.000000	RØDBY FM	FORMATION	137	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	2033.000000	2090.000000	SELE FM	FORMATION	142	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	2659.000000	3479.000000	SHETLAND GP	GROUP	143	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	870.000000	925.000000	SKADE FM	FORMATION	145	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	4127.000000	4207.000000	SKAGERRAK FM	FORMATION	146	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3730.000000	3820.000000	SLEIPNER FM	FORMATION	148	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	4207.000000	4355.000000	SMITH BANK FM	FORMATION	149	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3507.000000	3574.000000	SOLA FM	FORMATION	152	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3949.000000	4127.000000	STATFJORD FM	FORMATION	157	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3379.000000	3479.000000	SVARTE FM	FORMATION	160	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3258.000000	3376.000000	TRYGGVASON FM	FORMATION	173	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	2550.000000	2659.000000	TY FM	FORMATION	176	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	480.000000	775.000000	UTSIRA FM	FORMATION	183	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3692.000000	3820.000000	VESTLAND GP	GROUP	186	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3592.000000	3692.000000	VIKING GP	GROUP	188	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3574.000000	3592.000000	ÅSGARD FM	FORMATION	198	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	3949.000000	4127.000000	NO GROUP DEFINED	GROUP	208	1981-03-26	201	9999-12-31	2013-05-08
25/4-5	4127.000000	4355.000000	NO GROUP DEFINED	GROUP	208	1981-03-26	201	9999-12-31	2013-05-08
6507/12-1	1495.000000	1826.000000	BRYGGE FM	FORMATION	18	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2213.000000	2920.000000	BÅT GP	GROUP	22	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2012.000000	2032.000000	CROMER KNOLL GP	GROUP	23	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2094.000000	2213.000000	FANGST GP	GROUP	38	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2094.000000	2128.000000	GARN FM	FORMATION	48	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2920.000000	3060.000000	GREY BEDS (INFORMAL)	GROUP	52	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	1495.000000	1826.000000	HORDALAND GP	GROUP	67	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2143.000000	2213.000000	ILE FM	FORMATION	70	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	1342.000000	1495.000000	KAI FM	FORMATION	77	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2012.000000	2032.000000	LYR FM	FORMATION	98	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2052.000000	2094.000000	MELKE FM	FORMATION	105	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	250.000000	1342.000000	NAUST FM	FORMATION	109	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	250.000000	1495.000000	NORDLAND GP	GROUP	113	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2128.000000	2143.000000	NOT FM	FORMATION	120	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	3060.000000	3720.000000	RED BEDS (INFORMAL)	GROUP	129	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	1826.000000	1929.000000	ROGALAND GP	GROUP	131	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2213.000000	2303.000000	ROR FM	FORMATION	135	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	1929.000000	2012.000000	SHETLAND GP	GROUP	143	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2032.000000	2052.000000	SPEKK FM	FORMATION	155	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	1929.000000	2012.000000	SPRINGAR FM	FORMATION	156	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	1884.000000	1929.000000	TANG FM	FORMATION	161	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	1826.000000	1884.000000	TARE FM	FORMATION	163	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2303.000000	2412.000000	TILJE FM	FORMATION	169	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2032.000000	2094.000000	VIKING GP	GROUP	188	1980-10-26	202	9999-12-31	2013-05-08
6507/12-1	2412.000000	2920.000000	ÅRE FM	FORMATION	197	1980-10-26	202	9999-12-31	2013-05-08
30/3-2	894.000000	955.000000	HORDALAND GP	GROUP	67	1980-08-15	203	9999-12-31	2013-05-08
30/3-2	211.000000	894.000000	NORDLAND GP	GROUP	113	1980-08-15	203	9999-12-31	2013-05-08
30/3-2	753.000000	894.000000	UTSIRA FM	FORMATION	183	1980-08-15	203	9999-12-31	2013-05-08
35/8-1	3995.000000	4093.000000	AMUNDSEN FM	FORMATION	4	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	1683.000000	1745.000000	BALDER FM	FORMATION	6	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3170.000000	3172.000000	BLODØKS FM	FORMATION	13	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3516.000000	3744.000000	BRENT GP	GROUP	16	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3743.000000	3744.000000	BROOM FM	FORMATION	17	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3982.000000	3995.000000	BURTON FM	FORMATION	20	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3180.000000	3186.000000	CROMER KNOLL GP	GROUP	23	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3831.000000	3982.000000	COOK FM	FORMATION	24	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3744.000000	3831.000000	DRAKE FM	FORMATION	27	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3186.000000	3200.000000	DRAUPNE FM	FORMATION	28	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3744.000000	4093.000000	DUNLIN GP	GROUP	29	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3628.000000	3680.000000	ETIVE FM	FORMATION	35	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3219.000000	3258.000000	INTRA HEATHER FM SS	FORMATION	59	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3200.000000	3219.000000	HEATHER FM	FORMATION	60	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3258.000000	3516.000000	HEATHER FM	FORMATION	60	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	964.000000	1683.000000	HORDALAND GP	GROUP	67	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	1893.000000	2102.000000	JORSALFARE FM	FORMATION	74	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	2102.000000	3047.000000	KYRRE FM	FORMATION	92	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	1754.000000	1870.000000	LISTA FM	FORMATION	95	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3578.000000	3628.000000	NESS FM	FORMATION	110	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	1218.000000	1620.000000	NO FORMAL NAME	FORMATION	111	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	1620.000000	1683.000000	NO FORMAL NAME	FORMATION	111	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	402.000000	964.000000	NORDLAND GP	GROUP	113	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3680.000000	3743.000000	RANNOCH FM	FORMATION	126	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	1683.000000	1893.000000	ROGALAND GP	GROUP	131	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	1745.000000	1754.000000	SELE FM	FORMATION	142	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	1893.000000	3180.000000	SHETLAND GP	GROUP	143	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	4093.000000	4345.000000	STATFJORD FM	FORMATION	157	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3172.000000	3180.000000	SVARTE FM	FORMATION	160	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3516.000000	3578.000000	TARBERT FM	FORMATION	162	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3047.000000	3170.000000	TRYGGVASON FM	FORMATION	173	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	818.000000	964.000000	UTSIRA FM	FORMATION	183	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3186.000000	3516.000000	VIKING GP	GROUP	188	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	1870.000000	1893.000000	VÅLE FM	FORMATION	190	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	3180.000000	3186.000000	ÅSGARD FM	FORMATION	198	1981-01-24	205	9999-12-31	2013-05-08
35/8-1	4093.000000	4345.000000	NO GROUP DEFINED	GROUP	208	1981-01-24	205	9999-12-31	2013-05-08
2/7-18	98.000000	601.000000	NORDLAND GP	GROUP	113	1980-08-31	206	9999-12-31	2013-05-08
31/2-4	724.000000	815.000000	HORDALAND GP	GROUP	67	1980-09-13	208	9999-12-31	2013-05-08
31/2-4	494.000000	528.000000	NO FORMAL NAME	FORMATION	111	1980-09-13	208	9999-12-31	2013-05-08
31/2-4	528.000000	724.000000	NO FORMAL NAME	FORMATION	111	1980-09-13	208	9999-12-31	2013-05-08
31/2-4	361.000000	724.000000	NORDLAND GP	GROUP	113	1980-09-13	208	9999-12-31	2013-05-08
31/2-5	2277.000000	2308.000000	AMUNDSEN FM	FORMATION	4	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	2387.000000	2404.000000	AMUNDSEN FM	FORMATION	4	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1346.000000	1396.000000	BALDER FM	FORMATION	6	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1957.000000	2070.000000	BRENT GP	GROUP	16	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	2201.000000	2277.000000	COOK FM	FORMATION	24	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	2070.000000	2201.000000	DRAKE FM	FORMATION	27	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	2070.000000	2404.000000	DUNLIN GP	GROUP	29	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1693.000000	1789.000000	FENSFJORD FM	FORMATION	40	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1617.000000	1693.000000	HEATHER FM	FORMATION	60	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1860.000000	1957.000000	HEATHER FM	FORMATION	60	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	2471.000000	2532.000000	HEGRE GP	GROUP	61	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	788.000000	1346.000000	HORDALAND GP	GROUP	67	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	2308.000000	2387.000000	JOHANSEN FM	FORMATION	73	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1789.000000	1860.000000	KROSSFJORD FM	FORMATION	87	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1426.000000	1533.000000	LISTA FM	FORMATION	95	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	788.000000	815.000000	NO FORMAL NAME	FORMATION	111	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	815.000000	1346.000000	NO FORMAL NAME	FORMATION	111	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	365.000000	788.000000	NORDLAND GP	GROUP	113	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1346.000000	1533.000000	ROGALAND GP	GROUP	131	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1396.000000	1426.000000	SELE FM	FORMATION	142	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1533.000000	1536.000000	SHETLAND GP	GROUP	143	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1536.000000	1617.000000	SOGNEFJORD FM	FORMATION	151	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	2404.000000	2471.000000	STATFJORD FM	FORMATION	157	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	1536.000000	1957.000000	VIKING GP	GROUP	188	1980-12-21	210	9999-12-31	2013-05-08
31/2-5	2404.000000	2471.000000	NO GROUP DEFINED	GROUP	208	1980-12-21	210	9999-12-31	2013-05-08
25/11-9	1670.000000	1713.000000	BALDER FM	FORMATION	6	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1741.000000	1768.000000	BALDER FM	FORMATION	6	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1713.000000	1741.000000	INTRA BALDER FM SS	FORMATION	7	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1887.000000	1902.000000	EKOFISK FM	FORMATION	33	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1855.000000	1863.000000	HEIMDAL FM	FORMATION	62	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1782.000000	1783.000000	HERMOD FM	FORMATION	64	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1789.000000	1818.000000	HERMOD FM	FORMATION	64	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	770.000000	1670.000000	HORDALAND GP	GROUP	67	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1825.000000	1855.000000	LISTA FM	FORMATION	95	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1863.000000	1882.000000	LISTA FM	FORMATION	95	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	745.000000	770.000000	NO FORMAL NAME	FORMATION	111	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	935.000000	1000.000000	NO FORMAL NAME	FORMATION	111	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1022.000000	1040.000000	NO FORMAL NAME	FORMATION	111	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1045.000000	1077.000000	NO FORMAL NAME	FORMATION	111	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1112.000000	1670.000000	NO FORMAL NAME	FORMATION	111	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	151.000000	770.000000	NORDLAND GP	GROUP	113	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1670.000000	1887.000000	ROGALAND GP	GROUP	131	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1768.000000	1782.000000	SELE FM	FORMATION	142	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1783.000000	1789.000000	SELE FM	FORMATION	142	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1818.000000	1825.000000	SELE FM	FORMATION	142	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1887.000000	1910.000000	SHETLAND GP	GROUP	143	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	770.000000	935.000000	SKADE FM	FORMATION	145	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1000.000000	1022.000000	SKADE FM	FORMATION	145	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1040.000000	1045.000000	SKADE FM	FORMATION	145	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1077.000000	1112.000000	SKADE FM	FORMATION	145	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1902.000000	1910.000000	TOR FM	FORMATION	171	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	620.000000	745.000000	UTSIRA FM	FORMATION	183	1980-12-07	213	9999-12-31	2013-05-08
25/11-9	1882.000000	1887.000000	VÅLE FM	FORMATION	190	1980-12-07	213	9999-12-31	2013-05-08
31/4-4	1796.000000	1853.000000	BALDER FM	FORMATION	6	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2680.000000	2798.000000	BRENT GP	GROUP	16	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2195.000000	2300.000000	CROMER KNOLL GP	GROUP	23	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2935.000000	2956.000000	COOK FM	FORMATION	24	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2300.000000	2365.000000	DRAUPNE FM	FORMATION	28	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2798.000000	2956.000000	DUNLIN GP	GROUP	29	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2956.000000	3087.000000	DUNLIN GP	GROUP	29	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2721.000000	2798.000000	ETIVE FM	FORMATION	35	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2482.000000	2527.000000	FENSFJORD FM	FORMATION	40	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2402.000000	2482.000000	HEATHER FM	FORMATION	60	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2527.000000	2680.000000	HEATHER FM	FORMATION	60	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	890.000000	1796.000000	HORDALAND GP	GROUP	67	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	1893.000000	2050.000000	LISTA FM	FORMATION	95	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2695.000000	2721.000000	NESS FM	FORMATION	110	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	239.000000	890.000000	NORDLAND GP	GROUP	113	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	1796.000000	2067.000000	ROGALAND GP	GROUP	131	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	1853.000000	1893.000000	SELE FM	FORMATION	142	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2067.000000	2195.000000	SHETLAND GP	GROUP	143	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2365.000000	2402.000000	SOGNEFJORD FM	FORMATION	151	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	3087.000000	3150.000000	STATFJORD FM	FORMATION	157	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2680.000000	2695.000000	TARBERT FM	FORMATION	162	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	733.000000	890.000000	UTSIRA FM	FORMATION	183	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2300.000000	2680.000000	VIKING GP	GROUP	188	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	2050.000000	2067.000000	VÅLE FM	FORMATION	190	1981-02-17	214	9999-12-31	2013-05-08
31/4-4	3087.000000	3150.000000	NO GROUP DEFINED	GROUP	208	1981-02-17	214	9999-12-31	2013-05-08
34/2-2	412.000000	513.000000	NORDLAND GP	GROUP	113	1980-12-12	215	9999-12-31	2013-05-08
25/10-4	1682.000000	1720.000000	BALDER FM	FORMATION	6	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1963.000000	1982.000000	INTRA DRAUPNE FM SS	FORMATION	26	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1961.000000	1963.000000	DRAUPNE FM	FORMATION	28	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1982.000000	1985.000000	DRAUPNE FM	FORMATION	28	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1418.000000	1487.000000	GRID FM	FORMATION	53	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1985.000000	2003.000000	HEATHER FM	FORMATION	60	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1760.000000	1874.000000	HEIMDAL FM	FORMATION	62	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	740.000000	1682.000000	HORDALAND GP	GROUP	67	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1747.000000	1760.000000	LISTA FM	FORMATION	95	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1874.000000	1950.000000	LISTA FM	FORMATION	95	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	693.000000	740.000000	NO FORMAL NAME	FORMATION	111	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	920.000000	1058.000000	NO FORMAL NAME	FORMATION	111	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1109.000000	1203.000000	NO FORMAL NAME	FORMATION	111	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1219.000000	1418.000000	NO FORMAL NAME	FORMATION	111	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1487.000000	1682.000000	NO FORMAL NAME	FORMATION	111	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	151.000000	740.000000	NORDLAND GP	GROUP	113	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1682.000000	1950.000000	ROGALAND GP	GROUP	131	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1720.000000	1747.000000	SELE FM	FORMATION	142	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1950.000000	1961.000000	SHETLAND GP	GROUP	143	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	740.000000	920.000000	SKADE FM	FORMATION	145	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1058.000000	1109.000000	SKADE FM	FORMATION	145	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1203.000000	1219.000000	SKADE FM	FORMATION	145	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	2003.000000	2154.000000	STATFJORD FM	FORMATION	157	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	569.000000	693.000000	UTSIRA FM	FORMATION	183	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	1961.000000	2003.000000	VIKING GP	GROUP	188	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	2314.000000	2349.000000	ZECHSTEIN GP	GROUP	194	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	2003.000000	2154.000000	NO GROUP DEFINED	GROUP	208	1981-01-18	217	9999-12-31	2013-05-08
25/10-4	2154.000000	2314.000000	NO GROUP DEFINED	GROUP	208	1981-01-18	217	9999-12-31	2013-05-08
35/3-4	3345.000000	3583.000000	AGAT FM	FORMATION	2	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	1162.000000	1177.000000	BALDER FM	FORMATION	6	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	4069.000000	4089.000000	BASEMENT	GROUP	10	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	3040.000000	3088.000000	BLODØKS FM	FORMATION	13	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	3345.000000	3667.000000	CROMER KNOLL GP	GROUP	23	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	3963.000000	4069.000000	COOK FM	FORMATION	24	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	3800.000000	3963.000000	DRAKE FM	FORMATION	27	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	3800.000000	4069.000000	DUNLIN GP	GROUP	29	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	3667.000000	3800.000000	HEATHER FM	FORMATION	60	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	575.000000	1162.000000	HORDALAND GP	GROUP	67	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	1470.000000	1561.000000	JORSALFARE FM	FORMATION	74	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	1561.000000	2714.000000	KYRRE FM	FORMATION	92	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	1177.000000	1327.000000	LISTA FM	FORMATION	95	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	1356.000000	1401.000000	LISTA FM	FORMATION	95	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	575.000000	1162.000000	NO FORMAL NAME	FORMATION	111	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	1327.000000	1356.000000	NO FORMAL NAME	FORMATION	111	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	1401.000000	1457.000000	NO FORMAL NAME	FORMATION	111	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	283.000000	575.000000	NORDLAND GP	GROUP	113	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	1162.000000	1470.000000	ROGALAND GP	GROUP	131	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	1470.000000	3345.000000	SHETLAND GP	GROUP	143	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	3088.000000	3345.000000	SVARTE FM	FORMATION	160	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	2714.000000	3040.000000	TRYGGVASON FM	FORMATION	173	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	3667.000000	3800.000000	VIKING GP	GROUP	188	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	1457.000000	1470.000000	VÅLE FM	FORMATION	190	1981-06-06	219	9999-12-31	2013-05-08
35/3-4	3583.000000	3667.000000	ÅSGARD FM	FORMATION	198	1981-06-06	219	9999-12-31	2013-05-08
3/7-2	2456.000000	2487.000000	BALDER FM	FORMATION	6	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2799.000000	2830.000000	CROMER KNOLL GP	GROUP	23	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2558.000000	2596.000000	EKOFISK FM	FORMATION	33	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	1403.000000	2456.000000	HORDALAND GP	GROUP	67	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2507.000000	2545.000000	LISTA FM	FORMATION	95	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2545.000000	2558.000000	MAUREEN FM	FORMATION	102	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	77.000000	1403.000000	NORDLAND GP	GROUP	113	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2456.000000	2558.000000	ROGALAND GP	GROUP	131	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	4166.000000	4330.000000	ROTLIEGEND GP	GROUP	136	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2487.000000	2507.000000	SELE FM	FORMATION	142	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2558.000000	2799.000000	SHETLAND GP	GROUP	143	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2945.000000	2998.000000	SKAGERRAK FM	FORMATION	146	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2596.000000	2799.000000	TOR FM	FORMATION	171	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2830.000000	2907.000000	TYNE GP	GROUP	177	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2907.000000	2945.000000	VESTLAND GP	GROUP	186	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2998.000000	4166.000000	ZECHSTEIN GP	GROUP	194	1981-06-20	220	9999-12-31	2013-05-08
3/7-2	2945.000000	2998.000000	NO GROUP DEFINED	GROUP	208	1981-06-20	220	9999-12-31	2013-05-08
34/10-7	1945.000000	2053.000000	AMUNDSEN FM	FORMATION	4	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1515.000000	1568.000000	BALDER FM	FORMATION	6	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1937.000000	1945.000000	BURTON FM	FORMATION	20	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1810.000000	1937.000000	COOK FM	FORMATION	24	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1810.000000	2053.000000	DUNLIN GP	GROUP	29	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	2180.000000	2250.000000	HEGRE GP	GROUP	61	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	965.000000	1515.000000	HORDALAND GP	GROUP	67	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1666.000000	1750.000000	JORSALFARE FM	FORMATION	74	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1750.000000	1810.000000	KYRRE FM	FORMATION	92	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1568.000000	1666.000000	LISTA FM	FORMATION	95	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	2180.000000	2250.000000	LUNDE FM	FORMATION	97	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	2053.000000	2140.000000	NANSEN MBR	MEMBER	108	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	934.000000	965.000000	NO FORMAL NAME	FORMATION	111	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1015.000000	1063.000000	NO FORMAL NAME	FORMATION	111	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1063.000000	1100.000000	NO FORMAL NAME	FORMATION	111	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1100.000000	1130.000000	NO FORMAL NAME	FORMATION	111	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1130.000000	1180.000000	NO FORMAL NAME	FORMATION	111	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1180.000000	1308.000000	NO FORMAL NAME	FORMATION	111	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1308.000000	1515.000000	NO FORMAL NAME	FORMATION	111	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	229.000000	965.000000	NORDLAND GP	GROUP	113	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	2140.000000	2180.000000	RAUDE MBR	MEMBER	127	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1515.000000	1666.000000	ROGALAND GP	GROUP	131	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	1666.000000	1810.000000	SHETLAND GP	GROUP	143	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	2053.000000	2180.000000	STATFJORD FM	FORMATION	157	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	895.000000	934.000000	UTSIRA FM	FORMATION	183	1980-03-23	222	9999-12-31	2013-05-08
34/10-7	2053.000000	2180.000000	NO GROUP DEFINED	GROUP	208	1980-03-23	222	9999-12-31	2013-05-08
1/3-5	3062.000000	3070.000000	BALDER FM	FORMATION	6	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	4580.000000	4734.000000	CROMER KNOLL GP	GROUP	23	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	3288.000000	3384.000000	EKOFISK FM	FORMATION	33	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	4568.000000	4580.000000	HIDRA FM	FORMATION	65	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	3858.000000	4568.000000	HOD FM	FORMATION	66	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	1075.000000	3062.000000	HORDALAND GP	GROUP	67	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	3078.000000	3153.000000	LISTA FM	FORMATION	95	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	3206.000000	3245.000000	LISTA FM	FORMATION	95	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	106.000000	1075.000000	NORDLAND GP	GROUP	113	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	3062.000000	3288.000000	ROGALAND GP	GROUP	131	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	4769.000000	4850.000000	ROTLIEGEND GP	GROUP	136	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	4580.000000	4604.000000	RØDBY FM	FORMATION	137	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	3070.000000	3078.000000	SELE FM	FORMATION	142	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	3288.000000	4580.000000	SHETLAND GP	GROUP	143	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	4604.000000	4625.000000	SOLA FM	FORMATION	152	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	3384.000000	3858.000000	TOR FM	FORMATION	171	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	3153.000000	3206.000000	VIDAR FM	FORMATION	187	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	3245.000000	3288.000000	VÅLE FM	FORMATION	190	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	4734.000000	4769.000000	ZECHSTEIN GP	GROUP	194	1985-02-11	223	9999-12-31	2013-05-08
1/3-5	4625.000000	4734.000000	ÅSGARD FM	FORMATION	198	1985-02-11	223	9999-12-31	2013-05-08
2/6-2	3018.000000	3035.000000	BALDER FM	FORMATION	6	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	4560.000000	4723.000000	BRYNE FM	FORMATION	19	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3812.000000	4118.000000	CROMER KNOLL GP	GROUP	23	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3185.000000	3248.000000	EKOFISK FM	FORMATION	33	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	4149.000000	4236.000000	FARSUND FM	FORMATION	39	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	4236.000000	4560.000000	HAUGESUND FM	FORMATION	57	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3672.000000	3812.000000	HOD FM	FORMATION	66	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	1634.000000	3018.000000	HORDALAND GP	GROUP	67	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3077.000000	3147.000000	LISTA FM	FORMATION	95	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	4118.000000	4149.000000	MANDAL FM	FORMATION	101	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	95.000000	1634.000000	NORDLAND GP	GROUP	113	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3018.000000	3185.000000	ROGALAND GP	GROUP	131	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3812.000000	3864.000000	RØDBY FM	FORMATION	137	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3035.000000	3077.000000	SELE FM	FORMATION	142	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3185.000000	3812.000000	SHETLAND GP	GROUP	143	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3248.000000	3672.000000	TOR FM	FORMATION	171	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3864.000000	3935.000000	TUXEN FM	FORMATION	175	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	4118.000000	4560.000000	TYNE GP	GROUP	177	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	4560.000000	4723.000000	VESTLAND GP	GROUP	186	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3147.000000	3185.000000	VÅLE FM	FORMATION	190	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	4723.000000	4760.000000	ZECHSTEIN GP	GROUP	194	1980-05-25	224	9999-12-31	2013-05-08
2/6-2	3935.000000	4118.000000	ÅSGARD FM	FORMATION	198	1980-05-25	224	9999-12-31	2013-05-08
2/7-15	2898.000000	2911.000000	BALDER FM	FORMATION	6	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3368.000000	3372.000000	BLODØKS FM	FORMATION	13	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3419.000000	3584.000000	CROMER KNOLL GP	GROUP	23	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3008.000000	3029.000000	EKOFISK FM	FORMATION	33	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	4133.000000	4181.000000	ELDFISK FM	FORMATION	34	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3606.000000	4133.000000	FARSUND FM	FORMATION	39	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	4181.000000	4423.000000	HAUGESUND FM	FORMATION	57	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3372.000000	3419.000000	HIDRA FM	FORMATION	65	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3136.000000	3368.000000	HOD FM	FORMATION	66	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	1689.000000	2898.000000	HORDALAND GP	GROUP	67	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	2950.000000	2982.000000	LISTA FM	FORMATION	95	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3584.000000	3606.000000	MANDAL FM	FORMATION	101	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	94.000000	1689.000000	NORDLAND GP	GROUP	113	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3450.000000	3498.000000	RAN SANDSTONE UNITS	FORMATION	125	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	2898.000000	3008.000000	ROGALAND GP	GROUP	131	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3419.000000	3450.000000	RØDBY FM	FORMATION	137	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	2911.000000	2950.000000	SELE FM	FORMATION	142	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3008.000000	3419.000000	SHETLAND GP	GROUP	143	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3029.000000	3136.000000	TOR FM	FORMATION	171	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3584.000000	4423.000000	TYNE GP	GROUP	177	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	2982.000000	3008.000000	VÅLE FM	FORMATION	190	1980-06-02	225	9999-12-31	2013-05-08
2/7-15	3498.000000	3584.000000	ÅSGARD FM	FORMATION	198	1980-06-02	225	9999-12-31	2013-05-08
8/10-2	2158.000000	2166.000000	BALDER FM	FORMATION	6	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2657.000000	2667.000000	BOKNFJORD GP	GROUP	15	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2513.000000	2657.000000	CROMER KNOLL GP	GROUP	23	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2365.000000	2385.000000	EKOFISK FM	FORMATION	33	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2657.000000	2667.000000	FLEKKEFJORD FM	FORMATION	43	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2510.000000	2513.000000	HIDRA FM	FORMATION	65	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2471.000000	2510.000000	HOD FM	FORMATION	66	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	1265.000000	2158.000000	HORDALAND GP	GROUP	67	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2316.000000	2348.000000	LISTA FM	FORMATION	95	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	91.000000	1265.000000	NORDLAND GP	GROUP	113	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2158.000000	2365.000000	ROGALAND GP	GROUP	131	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2513.000000	2540.000000	RØDBY FM	FORMATION	137	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2667.000000	2752.000000	SANDNES FM	FORMATION	139	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2166.000000	2316.000000	SELE FM	FORMATION	142	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2365.000000	2513.000000	SHETLAND GP	GROUP	143	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2752.000000	2795.000000	SKAGERRAK FM	FORMATION	146	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2795.000000	2880.000000	SMITH BANK FM	FORMATION	149	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2540.000000	2599.000000	SOLA FM	FORMATION	152	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2385.000000	2471.000000	TOR FM	FORMATION	171	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2599.000000	2626.000000	TUXEN FM	FORMATION	175	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2667.000000	2752.000000	VESTLAND GP	GROUP	186	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2348.000000	2365.000000	VÅLE FM	FORMATION	190	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2880.000000	2997.000000	ZECHSTEIN GP	GROUP	194	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2626.000000	2657.000000	ÅSGARD FM	FORMATION	198	1980-03-17	226	9999-12-31	2013-05-08
8/10-2	2752.000000	2880.000000	NO GROUP DEFINED	GROUP	208	1980-03-17	226	9999-12-31	2013-05-08
31/2-2	1124.000000	1205.000000	BALDER FM	FORMATION	6	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1424.000000	1470.000000	CROMER KNOLL GP	GROUP	23	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1470.000000	1545.000000	DRAUPNE FM	FORMATION	28	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1700.000000	1848.000000	FENSFJORD FM	FORMATION	40	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1665.000000	1700.000000	HEATHER FM	FORMATION	60	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	650.000000	1124.000000	HORDALAND GP	GROUP	67	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1848.000000	1857.000000	KROSSFJORD FM	FORMATION	87	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1303.000000	1374.000000	LISTA FM	FORMATION	95	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	650.000000	703.000000	NO FORMAL NAME	FORMATION	111	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	703.000000	1124.000000	NO FORMAL NAME	FORMATION	111	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	355.000000	650.000000	NORDLAND GP	GROUP	113	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1124.000000	1374.000000	ROGALAND GP	GROUP	131	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1424.000000	1431.000000	RØDBY FM	FORMATION	137	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1205.000000	1303.000000	SELE FM	FORMATION	142	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1374.000000	1424.000000	SHETLAND GP	GROUP	143	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1545.000000	1665.000000	SOGNEFJORD FM	FORMATION	151	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1470.000000	1857.000000	VIKING GP	GROUP	188	1980-04-23	227	9999-12-31	2013-05-08
31/2-2	1431.000000	1470.000000	ÅSGARD FM	FORMATION	198	1980-04-23	227	9999-12-31	2013-05-08
34/4-2	2584.000000	2597.000000	AMUNDSEN FM	FORMATION	4	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	1650.000000	1678.000000	BALDER FM	FORMATION	6	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	2566.000000	2584.000000	CROMER KNOLL GP	GROUP	23	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	2584.000000	2597.000000	DUNLIN GP	GROUP	29	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	2697.000000	3599.000000	HEGRE GP	GROUP	61	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	1151.000000	1650.000000	HORDALAND GP	GROUP	67	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	1809.000000	2127.000000	JORSALFARE FM	FORMATION	74	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	2127.000000	2566.000000	KYRRE FM	FORMATION	92	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	1678.000000	1809.000000	LISTA FM	FORMATION	95	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	2697.000000	3599.000000	LUNDE FM	FORMATION	97	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	347.000000	1151.000000	NORDLAND GP	GROUP	113	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	1650.000000	1809.000000	ROGALAND GP	GROUP	131	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	1809.000000	2566.000000	SHETLAND GP	GROUP	143	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	2597.000000	2697.000000	STATFJORD FM	FORMATION	157	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	1020.000000	1151.000000	UTSIRA FM	FORMATION	183	1980-05-24	228	9999-12-31	2013-05-08
34/4-2	2597.000000	2697.000000	NO GROUP DEFINED	GROUP	208	1980-05-24	228	9999-12-31	2013-05-08
16/4-1	1989.000000	2011.000000	BALDER FM	FORMATION	6	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2885.000000	2909.000000	BASEMENT	GROUP	10	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2315.000000	2333.000000	CROMER KNOLL GP	GROUP	23	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2333.000000	2337.000000	INTRA DRAUPNE FM SS	FORMATION	26	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2142.000000	2277.000000	HEIMDAL FM	FORMATION	62	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	998.000000	1989.000000	HORDALAND GP	GROUP	67	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2619.000000	2621.000000	KUPFERSCHIEFER FM	FORMATION	88	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2036.000000	2142.000000	LISTA FM	FORMATION	95	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	1180.000000	1280.000000	NO FORMAL NAME	FORMATION	111	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	1311.000000	1989.000000	NO FORMAL NAME	FORMATION	111	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2394.000000	2430.000000	NO FORMAL NAME	FORMATION	111	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	121.000000	998.000000	NORDLAND GP	GROUP	113	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	1989.000000	2285.000000	ROGALAND GP	GROUP	131	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2621.000000	2885.000000	ROTLIEGEND GP	GROUP	136	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2011.000000	2036.000000	SELE FM	FORMATION	142	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2285.000000	2315.000000	SHETLAND GP	GROUP	143	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	1147.000000	1180.000000	SKADE FM	FORMATION	145	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	1280.000000	1311.000000	SKADE FM	FORMATION	145	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2337.000000	2394.000000	SMITH BANK FM	FORMATION	149	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2315.000000	2325.000000	SOLA FM	FORMATION	152	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2430.000000	2619.000000	UNDIFFERENTIATED	FORMATION	182	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	761.000000	998.000000	UTSIRA FM	FORMATION	183	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2333.000000	2337.000000	VIKING GP	GROUP	188	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2277.000000	2285.000000	VÅLE FM	FORMATION	190	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2430.000000	2621.000000	ZECHSTEIN GP	GROUP	194	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2325.000000	2333.000000	ÅSGARD FM	FORMATION	198	1984-11-18	229	9999-12-31	2013-05-08
16/4-1	2337.000000	2430.000000	NO GROUP DEFINED	GROUP	208	1984-11-18	229	9999-12-31	2013-05-08
34/10-8	1534.000000	1575.000000	BALDER FM	FORMATION	6	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	1821.000000	2054.000000	BRENT GP	GROUP	16	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	2040.000000	2054.000000	BROOM FM	FORMATION	17	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	2133.000000	2214.000000	COOK FM	FORMATION	24	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	2054.000000	2133.000000	DRAKE FM	FORMATION	27	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	2054.000000	2214.000000	DUNLIN GP	GROUP	29	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	1975.000000	2005.000000	ETIVE FM	FORMATION	35	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	946.000000	1534.000000	HORDALAND GP	GROUP	67	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	1719.000000	1821.000000	JORSALFARE FM	FORMATION	74	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	1575.000000	1719.000000	LISTA FM	FORMATION	95	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	1853.000000	1975.000000	NESS FM	FORMATION	110	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	930.000000	946.000000	NO FORMAL NAME	FORMATION	111	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	1096.000000	1365.000000	NO FORMAL NAME	FORMATION	111	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	1365.000000	1534.000000	NO FORMAL NAME	FORMATION	111	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	158.000000	946.000000	NORDLAND GP	GROUP	113	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	2005.000000	2040.000000	RANNOCH FM	FORMATION	126	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	1534.000000	1719.000000	ROGALAND GP	GROUP	131	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	1719.000000	1821.000000	SHETLAND GP	GROUP	143	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	1821.000000	1853.000000	TARBERT FM	FORMATION	162	1980-05-25	230	9999-12-31	2013-05-08
34/10-8	867.000000	930.000000	UTSIRA FM	FORMATION	183	1980-05-25	230	9999-12-31	2013-05-08
2/7-16	2995.000000	3012.000000	BALDER FM	FORMATION	6	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	3967.000000	3975.000000	BLODØKS FM	FORMATION	13	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	4271.000000	4818.000000	CROMER KNOLL GP	GROUP	23	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	3182.000000	3264.000000	EKOFISK FM	FORMATION	33	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	3975.000000	4271.000000	HIDRA FM	FORMATION	65	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	3500.000000	3967.000000	HOD FM	FORMATION	66	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	1714.000000	2995.000000	HORDALAND GP	GROUP	67	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	3080.000000	3150.000000	LISTA FM	FORMATION	95	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	96.000000	1714.000000	NORDLAND GP	GROUP	113	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	2995.000000	3182.000000	ROGALAND GP	GROUP	131	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	4271.000000	4359.000000	RØDBY FM	FORMATION	137	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	3012.000000	3080.000000	SELE FM	FORMATION	142	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	3182.000000	4271.000000	SHETLAND GP	GROUP	143	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	4359.000000	4533.000000	SOLA FM	FORMATION	152	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	3264.000000	3500.000000	TOR FM	FORMATION	171	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	3150.000000	3182.000000	VÅLE FM	FORMATION	190	1980-07-12	232	9999-12-31	2013-05-08
2/7-16	4533.000000	4818.000000	ÅSGARD FM	FORMATION	198	1980-07-12	232	9999-12-31	2013-05-08
34/7-2	2085.000000	2152.000000	AMUNDSEN FM	FORMATION	4	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1640.000000	1647.000000	BALDER FM	FORMATION	6	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	2085.000000	2152.000000	DUNLIN GP	GROUP	29	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	2271.000000	2475.000000	HEGRE GP	GROUP	61	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1035.000000	1640.000000	HORDALAND GP	GROUP	67	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1757.000000	1842.000000	JORSALFARE FM	FORMATION	74	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1842.000000	2085.000000	KYRRE FM	FORMATION	92	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1647.000000	1757.000000	LISTA FM	FORMATION	95	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	2271.000000	2475.000000	LUNDE FM	FORMATION	97	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1227.000000	1282.000000	NO FORMAL NAME	FORMATION	111	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1282.000000	1375.000000	NO FORMAL NAME	FORMATION	111	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1375.000000	1415.000000	NO FORMAL NAME	FORMATION	111	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1415.000000	1640.000000	NO FORMAL NAME	FORMATION	111	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	271.000000	1035.000000	NORDLAND GP	GROUP	113	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1640.000000	1757.000000	ROGALAND GP	GROUP	131	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1757.000000	2085.000000	SHETLAND GP	GROUP	143	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	2152.000000	2271.000000	STATFJORD FM	FORMATION	157	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	1026.000000	1035.000000	UTSIRA FM	FORMATION	183	1984-10-10	233	9999-12-31	2013-05-08
34/7-2	2152.000000	2271.000000	NO GROUP DEFINED	GROUP	208	1984-10-10	233	9999-12-31	2013-05-08
16/8-2	1525.000000	1571.000000	BALDER FM	FORMATION	6	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1900.000000	2187.000000	CROMER KNOLL GP	GROUP	23	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	2187.000000	2238.000000	DRAUPNE FM	FORMATION	28	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1763.000000	1795.000000	EKOFISK FM	FORMATION	33	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	2248.000000	2250.000000	INTRA HEATHER FM SS	FORMATION	59	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	2238.000000	2248.000000	HEATHER FM	FORMATION	60	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	2250.000000	2254.000000	HEATHER FM	FORMATION	60	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1850.000000	1900.000000	HOD FM	FORMATION	66	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	975.000000	1525.000000	HORDALAND GP	GROUP	67	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1625.000000	1752.000000	LISTA FM	FORMATION	95	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	103.000000	975.000000	NORDLAND GP	GROUP	113	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1525.000000	1763.000000	ROGALAND GP	GROUP	131	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1900.000000	1945.000000	RØDBY FM	FORMATION	137	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1571.000000	1625.000000	SELE FM	FORMATION	142	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1763.000000	1900.000000	SHETLAND GP	GROUP	143	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1945.000000	1972.000000	SOLA FM	FORMATION	152	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1795.000000	1850.000000	TOR FM	FORMATION	171	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	815.000000	975.000000	UTSIRA FM	FORMATION	183	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	2187.000000	2254.000000	VIKING GP	GROUP	188	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1752.000000	1763.000000	VÅLE FM	FORMATION	190	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	2254.000000	3585.000000	ZECHSTEIN GP	GROUP	194	1980-08-13	234	9999-12-31	2013-05-08
16/8-2	1972.000000	2187.000000	ÅSGARD FM	FORMATION	198	1980-08-13	234	9999-12-31	2013-05-08
31/2-3	2055.000000	2097.000000	AMUNDSEN FM	FORMATION	4	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	2176.000000	2236.000000	AMUNDSEN FM	FORMATION	4	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1145.000000	1200.000000	BALDER FM	FORMATION	6	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1812.000000	1902.000000	BRENT GP	GROUP	16	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	2010.000000	2055.000000	COOK FM	FORMATION	24	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1902.000000	2010.000000	DRAKE FM	FORMATION	27	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1902.000000	2236.000000	DUNLIN GP	GROUP	29	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1561.000000	1677.000000	FENSFJORD FM	FORMATION	40	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1508.000000	1561.000000	HEATHER FM	FORMATION	60	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1755.000000	1812.000000	HEATHER FM	FORMATION	60	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	2358.000000	2601.000000	HEGRE GP	GROUP	61	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	643.000000	1145.000000	HORDALAND GP	GROUP	67	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	2097.000000	2176.000000	JOHANSEN FM	FORMATION	73	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1677.000000	1755.000000	KROSSFJORD FM	FORMATION	87	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1242.000000	1374.000000	LISTA FM	FORMATION	95	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	359.000000	643.000000	NORDLAND GP	GROUP	113	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1145.000000	1384.000000	ROGALAND GP	GROUP	131	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1200.000000	1242.000000	SELE FM	FORMATION	142	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1384.000000	1508.000000	SOGNEFJORD FM	FORMATION	151	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	2236.000000	2358.000000	STATFJORD FM	FORMATION	157	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1384.000000	1812.000000	VIKING GP	GROUP	188	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	1374.000000	1384.000000	VÅLE FM	FORMATION	190	1980-07-20	236	9999-12-31	2013-05-08
31/2-3	2236.000000	2358.000000	NO GROUP DEFINED	GROUP	208	1980-07-20	236	9999-12-31	2013-05-08
1/5-1	97.000000	491.000000	NORDLAND GP	GROUP	113	1973-10-19	237	9999-12-31	2013-05-08
1/5-2	3922.000000	4203.000000	CROMER KNOLL GP	GROUP	23	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	3069.000000	3152.000000	EKOFISK FM	FORMATION	33	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	2832.000000	2840.000000	FORTIES FM	FORMATION	44	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	3342.000000	3922.000000	HOD FM	FORMATION	66	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	1707.000000	2831.000000	HORDALAND GP	GROUP	67	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	2848.000000	3033.000000	LISTA FM	FORMATION	95	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	3033.000000	3069.000000	MAUREEN FM	FORMATION	102	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	97.000000	1707.000000	NORDLAND GP	GROUP	113	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	2831.000000	3069.000000	ROGALAND GP	GROUP	131	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	2840.000000	2848.000000	SELE FM	FORMATION	142	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	3069.000000	3922.000000	SHETLAND GP	GROUP	143	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	3152.000000	3342.000000	TOR FM	FORMATION	171	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	4203.000000	4228.000000	TYNE GP	GROUP	177	1974-04-15	238	9999-12-31	2013-05-08
1/5-2	4228.000000	4287.000000	ZECHSTEIN GP	GROUP	194	1974-04-15	238	9999-12-31	2013-05-08
1/6-1	2942.000000	2953.000000	BALDER FM	FORMATION	6	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	4144.000000	4800.000000	CROMER KNOLL GP	GROUP	23	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	3144.000000	3247.000000	EKOFISK FM	FORMATION	33	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	3566.000000	4144.000000	HOD FM	FORMATION	66	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	1795.000000	2942.000000	HORDALAND GP	GROUP	67	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	2995.000000	3106.000000	LISTA FM	FORMATION	95	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	102.000000	1795.000000	NORDLAND GP	GROUP	113	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	2942.000000	3144.000000	ROGALAND GP	GROUP	131	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	2953.000000	2995.000000	SELE FM	FORMATION	142	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	3144.000000	4144.000000	SHETLAND GP	GROUP	143	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	3247.000000	3566.000000	TOR FM	FORMATION	171	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	3106.000000	3144.000000	VÅLE FM	FORMATION	190	1972-11-26	239	9999-12-31	2013-05-08
1/6-1	4800.000000	4822.000000	ZECHSTEIN GP	GROUP	194	1972-11-26	239	9999-12-31	2013-05-08
1/6-2	2895.000000	2902.000000	BALDER FM	FORMATION	6	1973-01-12	240	9999-12-31	2013-05-08
1/6-2	3024.000000	3090.000000	EKOFISK FM	FORMATION	33	1973-01-12	240	9999-12-31	2013-05-08
1/6-2	3295.000000	3383.000000	HOD FM	FORMATION	66	1973-01-12	240	9999-12-31	2013-05-08
1/6-2	1759.000000	2895.000000	HORDALAND GP	GROUP	67	1973-01-12	240	9999-12-31	2013-05-08
1/6-2	2906.000000	2951.000000	LISTA FM	FORMATION	95	1973-01-12	240	9999-12-31	2013-05-08
1/6-2	105.000000	1759.000000	NORDLAND GP	GROUP	113	1973-01-12	240	9999-12-31	2013-05-08
1/6-2	2895.000000	3024.000000	ROGALAND GP	GROUP	131	1973-01-12	240	9999-12-31	2013-05-08
1/6-2	2902.000000	2906.000000	SELE FM	FORMATION	142	1973-01-12	240	9999-12-31	2013-05-08
1/6-2	3024.000000	3383.000000	SHETLAND GP	GROUP	143	1973-01-12	240	9999-12-31	2013-05-08
1/6-2	3090.000000	3295.000000	TOR FM	FORMATION	171	1973-01-12	240	9999-12-31	2013-05-08
1/6-2	2951.000000	3024.000000	VÅLE FM	FORMATION	190	1973-01-12	240	9999-12-31	2013-05-08
1/6-3	2907.000000	2916.000000	BALDER FM	FORMATION	6	1974-09-11	241	9999-12-31	2013-05-08
1/6-3	3110.000000	3229.000000	EKOFISK FM	FORMATION	33	1974-09-11	241	9999-12-31	2013-05-08
1/6-3	1792.000000	2907.000000	HORDALAND GP	GROUP	67	1974-09-11	241	9999-12-31	2013-05-08
1/6-3	2947.000000	3110.000000	LISTA FM	FORMATION	95	1974-09-11	241	9999-12-31	2013-05-08
1/6-3	103.000000	1792.000000	NORDLAND GP	GROUP	113	1974-09-11	241	9999-12-31	2013-05-08
1/6-3	2907.000000	3110.000000	ROGALAND GP	GROUP	131	1974-09-11	241	9999-12-31	2013-05-08
1/6-3	2916.000000	2947.000000	SELE FM	FORMATION	142	1974-09-11	241	9999-12-31	2013-05-08
1/6-3	3110.000000	3343.000000	SHETLAND GP	GROUP	143	1974-09-11	241	9999-12-31	2013-05-08
1/6-3	3229.000000	3343.000000	TOR FM	FORMATION	171	1974-09-11	241	9999-12-31	2013-05-08
1/6-4	3197.000000	3253.000000	ANDREW FM	FORMATION	5	1976-04-09	242	9999-12-31	2013-05-08
1/6-4	3110.000000	3124.000000	BALDER FM	FORMATION	6	1976-04-09	242	9999-12-31	2013-05-08
1/6-4	3374.000000	3475.000000	EKOFISK FM	FORMATION	33	1976-04-09	242	9999-12-31	2013-05-08
1/6-4	1633.000000	3110.000000	HORDALAND GP	GROUP	67	1976-04-09	242	9999-12-31	2013-05-08
1/6-4	3130.000000	3197.000000	LISTA FM	FORMATION	95	1976-04-09	242	9999-12-31	2013-05-08
1/6-4	3253.000000	3335.000000	LISTA FM	FORMATION	95	1976-04-09	242	9999-12-31	2013-05-08
1/6-4	105.000000	1633.000000	NORDLAND GP	GROUP	113	1976-04-09	242	9999-12-31	2013-05-08
1/6-4	3110.000000	3374.000000	ROGALAND GP	GROUP	131	1976-04-09	242	9999-12-31	2013-05-08
1/6-4	3124.000000	3130.000000	SELE FM	FORMATION	142	1976-04-09	242	9999-12-31	2013-05-08
1/6-4	3374.000000	3810.000000	SHETLAND GP	GROUP	143	1976-04-09	242	9999-12-31	2013-05-08
1/6-4	3475.000000	3810.000000	TOR FM	FORMATION	171	1976-04-09	242	9999-12-31	2013-05-08
1/6-4	3335.000000	3374.000000	VÅLE FM	FORMATION	190	1976-04-09	242	9999-12-31	2013-05-08
1/9-1	2947.000000	2952.000000	ANDREW FM	FORMATION	5	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	2872.000000	2884.000000	BALDER FM	FORMATION	6	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	3648.000000	3662.000000	BLODØKS FM	FORMATION	13	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	3036.000000	3104.000000	EKOFISK FM	FORMATION	33	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	3662.000000	3703.000000	HIDRA FM	FORMATION	65	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	3312.000000	3648.000000	HOD FM	FORMATION	66	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	1572.000000	2872.000000	HORDALAND GP	GROUP	67	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	2944.000000	2947.000000	LISTA FM	FORMATION	95	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	2952.000000	3013.000000	LISTA FM	FORMATION	95	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	103.000000	1572.000000	NORDLAND GP	GROUP	113	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	2872.000000	3036.000000	ROGALAND GP	GROUP	131	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	2884.000000	2944.000000	SELE FM	FORMATION	142	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	3036.000000	3703.000000	SHETLAND GP	GROUP	143	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	3104.000000	3312.000000	TOR FM	FORMATION	171	1977-02-17	243	9999-12-31	2013-05-08
1/9-1	3013.000000	3036.000000	VÅLE FM	FORMATION	190	1977-02-17	243	9999-12-31	2013-05-08
1/9-2	3030.000000	3033.000000	ANDREW FM	FORMATION	5	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	2928.000000	2953.000000	BALDER FM	FORMATION	6	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	3120.000000	3195.000000	EKOFISK FM	FORMATION	33	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	3308.000000	3459.000000	HOD FM	FORMATION	66	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	1054.000000	2928.000000	HORDALAND GP	GROUP	67	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	3026.000000	3030.000000	LISTA FM	FORMATION	95	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	3033.000000	3096.000000	LISTA FM	FORMATION	95	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	100.000000	1054.000000	NORDLAND GP	GROUP	113	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	2928.000000	3120.000000	ROGALAND GP	GROUP	131	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	2953.000000	3026.000000	SELE FM	FORMATION	142	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	3120.000000	3459.000000	SHETLAND GP	GROUP	143	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	3195.000000	3308.000000	TOR FM	FORMATION	171	1977-08-12	244	9999-12-31	2013-05-08
1/9-2	3096.000000	3120.000000	VÅLE FM	FORMATION	190	1977-08-12	244	9999-12-31	2013-05-08
1/9-3	1150.000000	2771.000000	HORDALAND GP	GROUP	67	1977-11-27	245	9999-12-31	2013-05-08
1/9-3	1617.000000	1634.000000	NO FORMAL NAME	FORMATION	111	1977-11-27	245	9999-12-31	2013-05-08
1/9-3	1634.000000	1664.000000	NO FORMAL NAME	FORMATION	111	1977-11-27	245	9999-12-31	2013-05-08
1/9-3	1664.000000	1683.000000	NO FORMAL NAME	FORMATION	111	1977-11-27	245	9999-12-31	2013-05-08
1/9-3	1683.000000	2771.000000	NO FORMAL NAME	FORMATION	111	1977-11-27	245	9999-12-31	2013-05-08
1/9-3	111.000000	1150.000000	NORDLAND GP	GROUP	113	1977-11-27	245	9999-12-31	2013-05-08
1/9-3 R	2866.000000	2905.000000	BALDER FM	FORMATION	6	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	3651.000000	3683.000000	BLODØKS FM	FORMATION	13	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	3790.000000	4265.000000	CROMER KNOLL GP	GROUP	23	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	3081.000000	3157.000000	EKOFISK FM	FORMATION	33	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	4360.000000	4387.000000	ELDFISK FM	FORMATION	34	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	4319.000000	4360.000000	FARSUND FM	FORMATION	39	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	4387.000000	4570.000000	HAUGESUND FM	FORMATION	57	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	3683.000000	3790.000000	HIDRA FM	FORMATION	65	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	3395.000000	3651.000000	HOD FM	FORMATION	66	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	1150.000000	2866.000000	HORDALAND GP	GROUP	67	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	2943.000000	3021.000000	LISTA FM	FORMATION	95	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	4265.000000	4319.000000	MANDAL FM	FORMATION	101	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	3021.000000	3081.000000	MAUREEN FM	FORMATION	102	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	1617.000000	1634.000000	NO FORMAL NAME	FORMATION	111	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	1634.000000	1664.000000	NO FORMAL NAME	FORMATION	111	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	1664.000000	1683.000000	NO FORMAL NAME	FORMATION	111	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	1683.000000	2866.000000	NO FORMAL NAME	FORMATION	111	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	111.000000	1150.000000	NORDLAND GP	GROUP	113	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	2866.000000	3081.000000	ROGALAND GP	GROUP	131	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	3790.000000	4265.000000	RØDBY FM	FORMATION	137	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	2905.000000	2943.000000	SELE FM	FORMATION	142	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	3081.000000	3790.000000	SHETLAND GP	GROUP	143	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	3157.000000	3395.000000	TOR FM	FORMATION	171	1978-09-30	246	9999-12-31	2013-05-08
1/9-3 R	4265.000000	4570.000000	TYNE GP	GROUP	177	1978-09-30	246	9999-12-31	2013-05-08
1/9-4	2941.000000	2960.000000	BALDER FM	FORMATION	6	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3450.000000	3494.000000	BLODØKS FM	FORMATION	13	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3646.000000	3690.000000	CROMER KNOLL GP	GROUP	23	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3114.000000	3212.000000	EKOFISK FM	FORMATION	33	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3494.000000	3646.000000	HIDRA FM	FORMATION	65	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3312.000000	3450.000000	HOD FM	FORMATION	66	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	1025.000000	2941.000000	HORDALAND GP	GROUP	67	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3021.000000	3091.000000	LISTA FM	FORMATION	95	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	100.000000	1025.000000	NORDLAND GP	GROUP	113	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	2941.000000	3114.000000	ROGALAND GP	GROUP	131	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3646.000000	3665.000000	RØDBY FM	FORMATION	137	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	2960.000000	3021.000000	SELE FM	FORMATION	142	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3114.000000	3646.000000	SHETLAND GP	GROUP	143	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3212.000000	3312.000000	TOR FM	FORMATION	171	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3091.000000	3114.000000	VÅLE FM	FORMATION	190	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3690.000000	3710.000000	ZECHSTEIN GP	GROUP	194	1978-01-12	247	9999-12-31	2013-05-08
1/9-4	3665.000000	3690.000000	ÅSGARD FM	FORMATION	198	1978-01-12	247	9999-12-31	2013-05-08
1/9-5	2981.000000	3013.000000	BALDER FM	FORMATION	6	1978-12-16	248	9999-12-31	2013-05-08
1/9-5	3207.000000	3282.000000	EKOFISK FM	FORMATION	33	1978-12-16	248	9999-12-31	2013-05-08
1/9-5	3346.000000	3450.000000	HOD FM	FORMATION	66	1978-12-16	248	9999-12-31	2013-05-08
1/9-5	1766.000000	2981.000000	HORDALAND GP	GROUP	67	1978-12-16	248	9999-12-31	2013-05-08
1/9-5	3095.000000	3192.000000	LISTA FM	FORMATION	95	1978-12-16	248	9999-12-31	2013-05-08
1/9-5	112.000000	1766.000000	NORDLAND GP	GROUP	113	1978-12-16	248	9999-12-31	2013-05-08
1/9-5	2981.000000	3207.000000	ROGALAND GP	GROUP	131	1978-12-16	248	9999-12-31	2013-05-08
1/9-5	3013.000000	3095.000000	SELE FM	FORMATION	142	1978-12-16	248	9999-12-31	2013-05-08
1/9-5	3207.000000	3450.000000	SHETLAND GP	GROUP	143	1978-12-16	248	9999-12-31	2013-05-08
1/9-5	3282.000000	3346.000000	TOR FM	FORMATION	171	1978-12-16	248	9999-12-31	2013-05-08
1/9-5	3192.000000	3207.000000	VÅLE FM	FORMATION	190	1978-12-16	248	9999-12-31	2013-05-08
2/1-1	2926.000000	2937.000000	BALDER FM	FORMATION	6	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3742.000000	3886.000000	CROMER KNOLL GP	GROUP	23	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3128.000000	3246.000000	EKOFISK FM	FORMATION	33	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	1981.000000	2207.000000	FORTIES FM	FORMATION	44	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	2981.000000	3013.000000	FORTIES FM	FORMATION	44	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3600.000000	3742.000000	HOD FM	FORMATION	66	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	2207.000000	2926.000000	HORDALAND GP	GROUP	67	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	2944.000000	2981.000000	LISTA FM	FORMATION	95	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3013.000000	3039.000000	LISTA FM	FORMATION	95	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3104.000000	3128.000000	LISTA FM	FORMATION	95	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	100.000000	2207.000000	NORDLAND GP	GROUP	113	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	2926.000000	3128.000000	ROGALAND GP	GROUP	131	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3742.000000	3755.000000	RØDBY FM	FORMATION	137	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	2937.000000	2944.000000	SELE FM	FORMATION	142	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3128.000000	3742.000000	SHETLAND GP	GROUP	143	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3246.000000	3600.000000	TOR FM	FORMATION	171	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3755.000000	3775.000000	TUXEN FM	FORMATION	175	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3039.000000	3104.000000	VIDAR FM	FORMATION	187	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3775.000000	3886.000000	ÅSGARD FM	FORMATION	198	1972-11-14	249	9999-12-31	2013-05-08
2/1-1	3886.000000	4178.000000	NO DATA	GROUP	200	1972-11-14	249	9999-12-31	2013-05-08
2/1-2	2524.000000	2581.000000	BALDER FM	FORMATION	6	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	3347.000000	3384.000000	BRYNE FM	FORMATION	19	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	3122.000000	3299.000000	CROMER KNOLL GP	GROUP	23	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	3015.000000	3122.000000	HOD FM	FORMATION	66	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	1624.000000	2524.000000	HORDALAND GP	GROUP	67	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	2603.000000	2692.000000	LISTA FM	FORMATION	95	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	3299.000000	3316.000000	MANDAL FM	FORMATION	101	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	2692.000000	2744.000000	MAUREEN FM	FORMATION	102	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	94.000000	1624.000000	NORDLAND GP	GROUP	113	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	2524.000000	2744.000000	ROGALAND GP	GROUP	131	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	3122.000000	3299.000000	RØDBY FM	FORMATION	137	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	2581.000000	2603.000000	SELE FM	FORMATION	142	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	2744.000000	3122.000000	SHETLAND GP	GROUP	143	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	3384.000000	3540.000000	SMITH BANK FM	FORMATION	149	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	2744.000000	3015.000000	TOR FM	FORMATION	171	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	3299.000000	3316.000000	TYNE GP	GROUP	177	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	3316.000000	3347.000000	ULA FM	FORMATION	179	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	3316.000000	3384.000000	VESTLAND GP	GROUP	186	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	3540.000000	3556.000000	ZECHSTEIN GP	GROUP	194	1978-02-26	250	9999-12-31	2013-05-08
2/1-2	3384.000000	3540.000000	NO GROUP DEFINED	GROUP	208	1978-02-26	250	9999-12-31	2013-05-08
2/1-3	2798.000000	2845.000000	BALDER FM	FORMATION	6	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3520.000000	3524.000000	BLODØKS FM	FORMATION	13	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3991.000000	4101.000000	BRYNE FM	FORMATION	19	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3534.000000	3791.000000	CROMER KNOLL GP	GROUP	23	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	2987.000000	3000.000000	EKOFISK FM	FORMATION	33	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	2845.000000	2910.000000	FORTIES FM	FORMATION	44	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3524.000000	3534.000000	HIDRA FM	FORMATION	65	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3424.000000	3520.000000	HOD FM	FORMATION	66	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	1523.000000	2798.000000	HORDALAND GP	GROUP	67	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	2910.000000	2987.000000	LISTA FM	FORMATION	95	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3791.000000	3966.000000	MANDAL FM	FORMATION	101	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	96.000000	1523.000000	NORDLAND GP	GROUP	113	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	2798.000000	2987.000000	ROGALAND GP	GROUP	131	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3534.000000	3579.000000	RØDBY FM	FORMATION	137	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	2738.000000	2798.000000	SELE FM	FORMATION	142	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	2987.000000	3534.000000	SHETLAND GP	GROUP	143	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	4101.000000	4163.000000	SKAGERRAK FM	FORMATION	146	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	4163.000000	4219.000000	SMITH BANK FM	FORMATION	149	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3000.000000	3424.000000	TOR FM	FORMATION	171	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3579.000000	3625.000000	TUXEN FM	FORMATION	175	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3791.000000	3966.000000	TYNE GP	GROUP	177	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3966.000000	3991.000000	ULA FM	FORMATION	179	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3966.000000	4219.000000	VESTLAND GP	GROUP	186	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	4219.000000	4297.000000	ZECHSTEIN GP	GROUP	194	1980-03-29	251	9999-12-31	2013-05-08
2/1-3	3625.000000	3791.000000	ÅSGARD FM	FORMATION	198	1980-03-29	251	9999-12-31	2013-05-08
2/4-8	2882.000000	2893.000000	BALDER FM	FORMATION	6	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	3444.000000	3460.000000	BLODØKS FM	FORMATION	13	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	3484.000000	3677.000000	CROMER KNOLL GP	GROUP	23	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	2985.000000	3086.000000	EKOFISK FM	FORMATION	33	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	3460.000000	3484.000000	HIDRA FM	FORMATION	65	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	3383.000000	3444.000000	HOD FM	FORMATION	66	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	1716.000000	2882.000000	HORDALAND GP	GROUP	67	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	2920.000000	2974.000000	LISTA FM	FORMATION	95	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	3677.000000	3696.000000	MANDAL FM	FORMATION	101	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	103.000000	1716.000000	NORDLAND GP	GROUP	113	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	2882.000000	2985.000000	ROGALAND GP	GROUP	131	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	3484.000000	3677.000000	RØDBY FM	FORMATION	137	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	2893.000000	2920.000000	SELE FM	FORMATION	142	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	2985.000000	3484.000000	SHETLAND GP	GROUP	143	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	3086.000000	3383.000000	TOR FM	FORMATION	171	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	3677.000000	3696.000000	TYNE GP	GROUP	177	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	2974.000000	2985.000000	VÅLE FM	FORMATION	190	1972-03-29	252	9999-12-31	2013-05-08
2/4-8	3696.000000	4075.000000	ZECHSTEIN GP	GROUP	194	1972-03-29	252	9999-12-31	2013-05-08
2/4-9	3021.000000	3037.000000	BALDER FM	FORMATION	6	1973-10-09	253	9999-12-31	2013-05-08
2/4-9	3215.000000	3306.000000	EKOFISK FM	FORMATION	33	1973-10-09	253	9999-12-31	2013-05-08
2/4-9	3647.000000	3752.000000	HOD FM	FORMATION	66	1973-10-09	253	9999-12-31	2013-05-08
2/4-9	3042.000000	3092.000000	LISTA FM	FORMATION	95	1973-10-09	253	9999-12-31	2013-05-08
2/4-9	3118.000000	3197.000000	LISTA FM	FORMATION	95	1973-10-09	253	9999-12-31	2013-05-08
2/4-9	104.000000	3021.000000	NORDLAND GP	GROUP	113	1973-10-09	253	9999-12-31	2013-05-08
2/4-9	3021.000000	3215.000000	ROGALAND GP	GROUP	131	1973-10-09	253	9999-12-31	2013-05-08
2/4-9	3037.000000	3042.000000	SELE FM	FORMATION	142	1973-10-09	253	9999-12-31	2013-05-08
2/4-9	3215.000000	3752.000000	SHETLAND GP	GROUP	143	1973-10-09	253	9999-12-31	2013-05-08
2/4-9	3306.000000	3647.000000	TOR FM	FORMATION	171	1973-10-09	253	9999-12-31	2013-05-08
2/4-9	3092.000000	3118.000000	VIDAR FM	FORMATION	187	1973-10-09	253	9999-12-31	2013-05-08
2/4-9	3197.000000	3215.000000	VÅLE FM	FORMATION	190	1973-10-09	253	9999-12-31	2013-05-08
2/4-10	3020.000000	3033.000000	BALDER FM	FORMATION	6	1973-12-20	254	9999-12-31	2013-05-08
2/4-10	3162.000000	3293.000000	EKOFISK FM	FORMATION	33	1973-12-20	254	9999-12-31	2013-05-08
2/4-10	1798.000000	3020.000000	HORDALAND GP	GROUP	67	1973-12-20	254	9999-12-31	2013-05-08
2/4-10	3079.000000	3111.000000	LISTA FM	FORMATION	95	1973-12-20	254	9999-12-31	2013-05-08
2/4-10	3150.000000	3155.000000	LISTA FM	FORMATION	95	1973-12-20	254	9999-12-31	2013-05-08
2/4-10	102.000000	1798.000000	NORDLAND GP	GROUP	113	1973-12-20	254	9999-12-31	2013-05-08
2/4-10	3020.000000	3162.000000	ROGALAND GP	GROUP	131	1973-12-20	254	9999-12-31	2013-05-08
2/4-10	3033.000000	3079.000000	SELE FM	FORMATION	142	1973-12-20	254	9999-12-31	2013-05-08
2/4-10	3162.000000	3418.000000	SHETLAND GP	GROUP	143	1973-12-20	254	9999-12-31	2013-05-08
2/4-10	3293.000000	3418.000000	TOR FM	FORMATION	171	1973-12-20	254	9999-12-31	2013-05-08
2/4-10	3111.000000	3150.000000	VIDAR FM	FORMATION	187	1973-12-20	254	9999-12-31	2013-05-08
2/4-10	3155.000000	3162.000000	VÅLE FM	FORMATION	190	1973-12-20	254	9999-12-31	2013-05-08
2/4-11	2939.000000	2960.000000	BALDER FM	FORMATION	6	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3747.000000	3764.000000	BLODØKS FM	FORMATION	13	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3787.000000	3969.000000	CROMER KNOLL GP	GROUP	23	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3146.000000	3268.000000	EKOFISK FM	FORMATION	33	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3990.000000	4211.000000	FARSUND FM	FORMATION	39	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3764.000000	3787.000000	HIDRA FM	FORMATION	65	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3542.000000	3747.000000	HOD FM	FORMATION	66	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	1707.000000	2939.000000	HORDALAND GP	GROUP	67	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	2987.000000	3060.000000	LISTA FM	FORMATION	95	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3094.000000	3131.000000	LISTA FM	FORMATION	95	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3969.000000	3990.000000	MANDAL FM	FORMATION	101	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	101.000000	1707.000000	NORDLAND GP	GROUP	113	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	2939.000000	3146.000000	ROGALAND GP	GROUP	131	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3787.000000	3818.000000	RØDBY FM	FORMATION	137	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	2960.000000	2987.000000	SELE FM	FORMATION	142	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3146.000000	3787.000000	SHETLAND GP	GROUP	143	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3268.000000	3542.000000	TOR FM	FORMATION	171	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3969.000000	4211.000000	TYNE GP	GROUP	177	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3060.000000	3094.000000	VIDAR FM	FORMATION	187	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3131.000000	3146.000000	VÅLE FM	FORMATION	190	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	4211.000000	4281.000000	ZECHSTEIN GP	GROUP	194	1974-04-09	255	9999-12-31	2013-05-08
2/4-11	3818.000000	3969.000000	ÅSGARD FM	FORMATION	198	1974-04-09	255	9999-12-31	2013-05-08
2/4-12	3010.000000	3027.000000	BALDER FM	FORMATION	6	1975-09-08	256	9999-12-31	2013-05-08
2/4-12	3195.000000	3302.000000	EKOFISK FM	FORMATION	33	1975-09-08	256	9999-12-31	2013-05-08
2/4-12	3060.000000	3091.000000	FORTIES FM	FORMATION	44	1975-09-08	256	9999-12-31	2013-05-08
2/4-12	1758.000000	3010.000000	HORDALAND GP	GROUP	67	1975-09-08	256	9999-12-31	2013-05-08
2/4-12	3091.000000	3167.000000	LISTA FM	FORMATION	95	1975-09-08	256	9999-12-31	2013-05-08
2/4-12	97.000000	1758.000000	NORDLAND GP	GROUP	113	1975-09-08	256	9999-12-31	2013-05-08
2/4-12	3010.000000	3195.000000	ROGALAND GP	GROUP	131	1975-09-08	256	9999-12-31	2013-05-08
2/4-12	3027.000000	3060.000000	SELE FM	FORMATION	142	1975-09-08	256	9999-12-31	2013-05-08
2/4-12	3195.000000	3383.000000	SHETLAND GP	GROUP	143	1975-09-08	256	9999-12-31	2013-05-08
2/4-12	3302.000000	3383.000000	TOR FM	FORMATION	171	1975-09-08	256	9999-12-31	2013-05-08
2/4-12	3167.000000	3195.000000	VÅLE FM	FORMATION	190	1975-09-08	256	9999-12-31	2013-05-08
2/5-3	2929.000000	2943.000000	BALDER FM	FORMATION	6	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	3616.000000	3716.000000	CROMER KNOLL GP	GROUP	23	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	3037.000000	3121.000000	EKOFISK FM	FORMATION	33	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	3481.000000	3616.000000	HOD FM	FORMATION	66	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	1660.000000	2929.000000	HORDALAND GP	GROUP	67	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	2958.000000	3026.000000	LISTA FM	FORMATION	95	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	101.000000	1660.000000	NORDLAND GP	GROUP	113	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	2929.000000	3037.000000	ROGALAND GP	GROUP	131	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	2943.000000	2958.000000	SELE FM	FORMATION	142	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	3037.000000	3616.000000	SHETLAND GP	GROUP	143	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	3121.000000	3481.000000	TOR FM	FORMATION	171	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	3026.000000	3037.000000	VÅLE FM	FORMATION	190	1972-06-15	258	9999-12-31	2013-05-08
2/5-3	3716.000000	3731.000000	ZECHSTEIN GP	GROUP	194	1972-06-15	258	9999-12-31	2013-05-08
2/5-4	2928.000000	2938.000000	BALDER FM	FORMATION	6	1972-10-31	259	9999-12-31	2013-05-08
2/5-4	3039.000000	3131.000000	EKOFISK FM	FORMATION	33	1972-10-31	259	9999-12-31	2013-05-08
2/5-4	3420.000000	3490.000000	HOD FM	FORMATION	66	1972-10-31	259	9999-12-31	2013-05-08
2/5-4	1631.000000	2928.000000	HORDALAND GP	GROUP	67	1972-10-31	259	9999-12-31	2013-05-08
2/5-4	2946.000000	2988.000000	LISTA FM	FORMATION	95	1972-10-31	259	9999-12-31	2013-05-08
2/5-4	103.000000	1631.000000	NORDLAND GP	GROUP	113	1972-10-31	259	9999-12-31	2013-05-08
2/5-4	2928.000000	3039.000000	ROGALAND GP	GROUP	131	1972-10-31	259	9999-12-31	2013-05-08
2/5-4	2938.000000	2946.000000	SELE FM	FORMATION	142	1972-10-31	259	9999-12-31	2013-05-08
2/5-4	3039.000000	3490.000000	SHETLAND GP	GROUP	143	1972-10-31	259	9999-12-31	2013-05-08
2/5-4	3131.000000	3420.000000	TOR FM	FORMATION	171	1972-10-31	259	9999-12-31	2013-05-08
2/5-4	2988.000000	3039.000000	VÅLE FM	FORMATION	190	1972-10-31	259	9999-12-31	2013-05-08
2/5-5	3058.000000	3063.000000	BALDER FM	FORMATION	6	1973-02-09	260	9999-12-31	2013-05-08
2/5-5	3176.000000	3274.000000	EKOFISK FM	FORMATION	33	1973-02-09	260	9999-12-31	2013-05-08
2/5-5	1887.000000	3058.000000	HORDALAND GP	GROUP	67	1973-02-09	260	9999-12-31	2013-05-08
2/5-5	3069.000000	3161.000000	LISTA FM	FORMATION	95	1973-02-09	260	9999-12-31	2013-05-08
2/5-5	100.000000	1887.000000	NORDLAND GP	GROUP	113	1973-02-09	260	9999-12-31	2013-05-08
2/5-5	3058.000000	3176.000000	ROGALAND GP	GROUP	131	1973-02-09	260	9999-12-31	2013-05-08
2/5-5	3063.000000	3069.000000	SELE FM	FORMATION	142	1973-02-09	260	9999-12-31	2013-05-08
2/5-5	3176.000000	3456.000000	SHETLAND GP	GROUP	143	1973-02-09	260	9999-12-31	2013-05-08
2/5-5	3274.000000	3456.000000	TOR FM	FORMATION	171	1973-02-09	260	9999-12-31	2013-05-08
2/5-5	3161.000000	3176.000000	VÅLE FM	FORMATION	190	1973-02-09	260	9999-12-31	2013-05-08
2/5-6	2910.000000	2923.000000	BALDER FM	FORMATION	6	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	3048.000000	3151.000000	EKOFISK FM	FORMATION	33	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	3285.000000	3596.000000	HOD FM	FORMATION	66	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	2929.000000	3024.000000	LISTA FM	FORMATION	95	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	93.000000	2910.000000	NORDLAND GP	GROUP	113	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	2910.000000	3048.000000	ROGALAND GP	GROUP	131	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	2923.000000	2929.000000	SELE FM	FORMATION	142	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	3048.000000	3596.000000	SHETLAND GP	GROUP	143	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	4087.000000	4132.000000	SKAGERRAK FM	FORMATION	146	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	3151.000000	3285.000000	TOR FM	FORMATION	171	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	3596.000000	3946.000000	TYNE GP	GROUP	177	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	3946.000000	4087.000000	VESTLAND GP	GROUP	186	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	3024.000000	3048.000000	VÅLE FM	FORMATION	190	1978-08-16	261	9999-12-31	2013-05-08
2/5-6	4087.000000	4132.000000	NO GROUP DEFINED	GROUP	208	1978-08-16	261	9999-12-31	2013-05-08
2/7-4	2945.000000	2961.000000	BALDER FM	FORMATION	6	1972-09-03	263	9999-12-31	2013-05-08
2/7-4	3096.000000	3186.000000	EKOFISK FM	FORMATION	33	1972-09-03	263	9999-12-31	2013-05-08
2/7-4	1749.000000	2945.000000	HORDALAND GP	GROUP	67	1972-09-03	263	9999-12-31	2013-05-08
2/7-4	3008.000000	3077.000000	LISTA FM	FORMATION	95	1972-09-03	263	9999-12-31	2013-05-08
2/7-4	99.000000	1749.000000	NORDLAND GP	GROUP	113	1972-09-03	263	9999-12-31	2013-05-08
2/7-4	2945.000000	3096.000000	ROGALAND GP	GROUP	131	1972-09-03	263	9999-12-31	2013-05-08
2/7-4	2961.000000	3008.000000	SELE FM	FORMATION	142	1972-09-03	263	9999-12-31	2013-05-08
2/7-4	3096.000000	3356.000000	SHETLAND GP	GROUP	143	1972-09-03	263	9999-12-31	2013-05-08
2/7-4	3186.000000	3356.000000	TOR FM	FORMATION	171	1972-09-03	263	9999-12-31	2013-05-08
2/7-4	3077.000000	3096.000000	VÅLE FM	FORMATION	190	1972-09-03	263	9999-12-31	2013-05-08
2/7-5	2968.000000	2980.000000	BALDER FM	FORMATION	6	1973-01-01	264	9999-12-31	2013-05-08
2/7-5	3110.000000	3205.000000	EKOFISK FM	FORMATION	33	1973-01-01	264	9999-12-31	2013-05-08
2/7-5	1748.000000	2968.000000	HORDALAND GP	GROUP	67	1973-01-01	264	9999-12-31	2013-05-08
2/7-5	3033.000000	3087.000000	LISTA FM	FORMATION	95	1973-01-01	264	9999-12-31	2013-05-08
2/7-5	99.000000	1748.000000	NORDLAND GP	GROUP	113	1973-01-01	264	9999-12-31	2013-05-08
2/7-5	2968.000000	3110.000000	ROGALAND GP	GROUP	131	1973-01-01	264	9999-12-31	2013-05-08
2/7-5	2980.000000	3033.000000	SELE FM	FORMATION	142	1973-01-01	264	9999-12-31	2013-05-08
2/7-5	3110.000000	3353.000000	SHETLAND GP	GROUP	143	1973-01-01	264	9999-12-31	2013-05-08
2/7-5	3205.000000	3353.000000	TOR FM	FORMATION	171	1973-01-01	264	9999-12-31	2013-05-08
2/7-5	3087.000000	3110.000000	VÅLE FM	FORMATION	190	1973-01-01	264	9999-12-31	2013-05-08
2/7-8	2874.000000	2886.000000	BALDER FM	FORMATION	6	1973-08-12	267	9999-12-31	2013-05-08
2/7-8	2969.000000	2978.000000	EKOFISK FM	FORMATION	33	1973-08-12	267	9999-12-31	2013-05-08
2/7-8	3028.000000	3318.000000	HOD FM	FORMATION	66	1973-08-12	267	9999-12-31	2013-05-08
2/7-8	1850.000000	2874.000000	HORDALAND GP	GROUP	67	1973-08-12	267	9999-12-31	2013-05-08
2/7-8	2920.000000	2963.000000	LISTA FM	FORMATION	95	1973-08-12	267	9999-12-31	2013-05-08
2/7-8	104.000000	1850.000000	NORDLAND GP	GROUP	113	1973-08-12	267	9999-12-31	2013-05-08
2/7-8	2874.000000	2969.000000	ROGALAND GP	GROUP	131	1973-08-12	267	9999-12-31	2013-05-08
2/7-8	2886.000000	2920.000000	SELE FM	FORMATION	142	1973-08-12	267	9999-12-31	2013-05-08
2/7-8	2969.000000	3318.000000	SHETLAND GP	GROUP	143	1973-08-12	267	9999-12-31	2013-05-08
2/7-8	2978.000000	3028.000000	TOR FM	FORMATION	171	1973-08-12	267	9999-12-31	2013-05-08
2/7-8	2963.000000	2969.000000	VÅLE FM	FORMATION	190	1973-08-12	267	9999-12-31	2013-05-08
2/7-9	2949.000000	2968.000000	BALDER FM	FORMATION	6	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	3891.000000	3898.000000	BLODØKS FM	FORMATION	13	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	3962.000000	4076.000000	CROMER KNOLL GP	GROUP	23	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	3086.000000	3163.000000	EKOFISK FM	FORMATION	33	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	3898.000000	3962.000000	HIDRA FM	FORMATION	65	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	3578.000000	3891.000000	HOD FM	FORMATION	66	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	3011.000000	3086.000000	LISTA FM	FORMATION	95	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	4076.000000	4448.000000	MANDAL FM	FORMATION	101	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	108.000000	2949.000000	NORDLAND GP	GROUP	113	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	2949.000000	3086.000000	ROGALAND GP	GROUP	131	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	3962.000000	4076.000000	RØDBY FM	FORMATION	137	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	2968.000000	3011.000000	SELE FM	FORMATION	142	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	3086.000000	3962.000000	SHETLAND GP	GROUP	143	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	3163.000000	3578.000000	TOR FM	FORMATION	171	1974-04-10	268	9999-12-31	2013-05-08
2/7-9	4076.000000	4448.000000	TYNE GP	GROUP	177	1974-04-10	268	9999-12-31	2013-05-08
2/7-10	3029.000000	3043.000000	BALDER FM	FORMATION	6	1973-12-05	269	9999-12-31	2013-05-08
2/7-10	3191.000000	3281.000000	EKOFISK FM	FORMATION	33	1973-12-05	269	9999-12-31	2013-05-08
2/7-10	1774.000000	3029.000000	HORDALAND GP	GROUP	67	1973-12-05	269	9999-12-31	2013-05-08
2/7-10	3094.000000	3163.000000	LISTA FM	FORMATION	95	1973-12-05	269	9999-12-31	2013-05-08
2/7-10	109.000000	1774.000000	NORDLAND GP	GROUP	113	1973-12-05	269	9999-12-31	2013-05-08
2/7-10	3029.000000	3191.000000	ROGALAND GP	GROUP	131	1973-12-05	269	9999-12-31	2013-05-08
2/7-10	3043.000000	3094.000000	SELE FM	FORMATION	142	1973-12-05	269	9999-12-31	2013-05-08
2/7-10	3191.000000	3370.000000	SHETLAND GP	GROUP	143	1973-12-05	269	9999-12-31	2013-05-08
2/7-10	3281.000000	3370.000000	TOR FM	FORMATION	171	1973-12-05	269	9999-12-31	2013-05-08
2/7-10	3163.000000	3191.000000	VÅLE FM	FORMATION	190	1973-12-05	269	9999-12-31	2013-05-08
2/7-12	1382.000000	1679.000000	HORDALAND GP	GROUP	67	1979-01-30	271	9999-12-31	2013-05-08
2/7-12	110.000000	1382.000000	NORDLAND GP	GROUP	113	1979-01-30	271	9999-12-31	2013-05-08
2/7-12	1679.000000	1686.000000	ROGALAND GP	GROUP	131	1979-01-30	271	9999-12-31	2013-05-08
2/7-12	1686.000000	1832.000000	ZECHSTEIN GP	GROUP	194	1979-01-30	271	9999-12-31	2013-05-08
2/7-13	2481.000000	2493.000000	BALDER FM	FORMATION	6	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	3173.000000	3182.000000	BLODØKS FM	FORMATION	13	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	3274.000000	3388.000000	CROMER KNOLL GP	GROUP	23	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	2697.000000	2818.000000	EKOFISK FM	FORMATION	33	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	2536.000000	2584.000000	FORTIES FM	FORMATION	44	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	3182.000000	3274.000000	HIDRA FM	FORMATION	65	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	3002.000000	3173.000000	HOD FM	FORMATION	66	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	1565.000000	2481.000000	HORDALAND GP	GROUP	67	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	2584.000000	2658.000000	LISTA FM	FORMATION	95	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	108.000000	1565.000000	NORDLAND GP	GROUP	113	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	2481.000000	2697.000000	ROGALAND GP	GROUP	131	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	3274.000000	3305.000000	RØDBY FM	FORMATION	137	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	2493.000000	2536.000000	SELE FM	FORMATION	142	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	2697.000000	3274.000000	SHETLAND GP	GROUP	143	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	3305.000000	3388.000000	SOLA FM	FORMATION	152	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	2818.000000	3002.000000	TOR FM	FORMATION	171	1979-04-21	272	9999-12-31	2013-05-08
2/7-13	2658.000000	2697.000000	VÅLE FM	FORMATION	190	1979-04-21	272	9999-12-31	2013-05-08
2/8-4	2533.000000	2543.000000	BALDER FM	FORMATION	6	1973-06-07	273	9999-12-31	2013-05-08
2/8-4	2774.000000	2778.000000	BLODØKS FM	FORMATION	13	1973-06-07	273	9999-12-31	2013-05-08
2/8-4	2780.000000	2852.000000	CROMER KNOLL GP	GROUP	23	1973-06-07	273	9999-12-31	2013-05-08
2/8-4	2778.000000	2780.000000	HIDRA FM	FORMATION	65	1973-06-07	273	9999-12-31	2013-05-08
2/8-4	2577.000000	2774.000000	HOD FM	FORMATION	66	1973-06-07	273	9999-12-31	2013-05-08
2/8-4	104.000000	2533.000000	NORDLAND GP	GROUP	113	1973-06-07	273	9999-12-31	2013-05-08
2/8-4	2533.000000	2577.000000	ROGALAND GP	GROUP	131	1973-06-07	273	9999-12-31	2013-05-08
2/8-4	2780.000000	2852.000000	RØDBY FM	FORMATION	137	1973-06-07	273	9999-12-31	2013-05-08
2/8-4	2543.000000	2577.000000	SELE FM	FORMATION	142	1973-06-07	273	9999-12-31	2013-05-08
2/8-4	2577.000000	2780.000000	SHETLAND GP	GROUP	143	1973-06-07	273	9999-12-31	2013-05-08
7120/10-1	694.000000	1568.000000	ADVENTDALEN GP	GROUP	1	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	1914.000000	2000.000000	FRUHOLMEN FM	FORMATION	46	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	1533.000000	1568.000000	FUGLEN FM	FORMATION	47	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	1394.000000	1533.000000	HEKKINGEN FM	FORMATION	63	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	1568.000000	2000.000000	KAPP TOSCANA GP	GROUP	79	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	1353.000000	1394.000000	KNURR FM	FORMATION	82	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	1210.000000	1353.000000	KOLJE FM	FORMATION	84	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	694.000000	1210.000000	KOLMULE FM	FORMATION	85	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	531.000000	694.000000	KVITING FM	FORMATION	90	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	210.000000	444.000000	NORDLAND GP	GROUP	113	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	1655.000000	1796.000000	NORDMELA FM	FORMATION	118	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	531.000000	694.000000	NYGRUNNEN GP	GROUP	122	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	444.000000	531.000000	SOTBAKKEN GP	GROUP	154	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	1568.000000	1655.000000	STØ FM	FORMATION	159	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	444.000000	531.000000	TORSK FM	FORMATION	172	1984-09-08	274	9999-12-31	2013-05-08
7120/10-1	1796.000000	1914.000000	TUBÅEN FM	FORMATION	174	1984-09-08	274	9999-12-31	2013-05-08
2/8-5	2718.000000	2728.000000	BALDER FM	FORMATION	6	1974-05-23	275	9999-12-31	2013-05-08
2/8-5	3264.000000	3304.000000	CROMER KNOLL GP	GROUP	23	1974-05-23	275	9999-12-31	2013-05-08
2/8-5	2796.000000	2884.000000	EKOFISK FM	FORMATION	33	1974-05-23	275	9999-12-31	2013-05-08
2/8-5	1310.000000	2718.000000	HORDALAND GP	GROUP	67	1974-05-23	275	9999-12-31	2013-05-08
2/8-5	2746.000000	2779.000000	LISTA FM	FORMATION	95	1974-05-23	275	9999-12-31	2013-05-08
2/8-5	102.000000	1310.000000	NORDLAND GP	GROUP	113	1974-05-23	275	9999-12-31	2013-05-08
2/8-5	2718.000000	2796.000000	ROGALAND GP	GROUP	131	1974-05-23	275	9999-12-31	2013-05-08
2/8-5	3264.000000	3304.000000	RØDBY FM	FORMATION	137	1974-05-23	275	9999-12-31	2013-05-08
2/8-5	2728.000000	2746.000000	SELE FM	FORMATION	142	1974-05-23	275	9999-12-31	2013-05-08
2/8-5	2796.000000	3264.000000	SHETLAND GP	GROUP	143	1974-05-23	275	9999-12-31	2013-05-08
2/8-5	2884.000000	3264.000000	TOR FM	FORMATION	171	1974-05-23	275	9999-12-31	2013-05-08
2/8-5	2779.000000	2796.000000	VÅLE FM	FORMATION	190	1974-05-23	275	9999-12-31	2013-05-08
2/8-6	2422.000000	2432.000000	BALDER FM	FORMATION	6	1975-06-30	276	9999-12-31	2013-05-08
2/8-6	2603.000000	2606.000000	BLODØKS FM	FORMATION	13	1975-06-30	276	9999-12-31	2013-05-08
2/8-6	2627.000000	2669.000000	CROMER KNOLL GP	GROUP	23	1975-06-30	276	9999-12-31	2013-05-08
2/8-6	2606.000000	2627.000000	HIDRA FM	FORMATION	65	1975-06-30	276	9999-12-31	2013-05-08
2/8-6	2485.000000	2603.000000	HOD FM	FORMATION	66	1975-06-30	276	9999-12-31	2013-05-08
2/8-6	95.000000	2422.000000	NORDLAND GP	GROUP	113	1975-06-30	276	9999-12-31	2013-05-08
2/8-6	2422.000000	2463.000000	ROGALAND GP	GROUP	131	1975-06-30	276	9999-12-31	2013-05-08
2/8-6	2627.000000	2652.000000	RØDBY FM	FORMATION	137	1975-06-30	276	9999-12-31	2013-05-08
2/8-6	2432.000000	2463.000000	SELE FM	FORMATION	142	1975-06-30	276	9999-12-31	2013-05-08
2/8-6	2463.000000	2627.000000	SHETLAND GP	GROUP	143	1975-06-30	276	9999-12-31	2013-05-08
2/8-6	2652.000000	2669.000000	SOLA FM	FORMATION	152	1975-06-30	276	9999-12-31	2013-05-08
2/8-6	2463.000000	2485.000000	TOR FM	FORMATION	171	1975-06-30	276	9999-12-31	2013-05-08
2/8-7	2511.000000	2521.000000	BALDER FM	FORMATION	6	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	2819.000000	2825.000000	CROMER KNOLL GP	GROUP	23	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	2596.000000	2627.000000	EKOFISK FM	FORMATION	33	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	2739.000000	2819.000000	HOD FM	FORMATION	66	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	1360.000000	2511.000000	HORDALAND GP	GROUP	67	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	2538.000000	2582.000000	LISTA FM	FORMATION	95	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	101.000000	1360.000000	NORDLAND GP	GROUP	113	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	2511.000000	2596.000000	ROGALAND GP	GROUP	131	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	2521.000000	2538.000000	SELE FM	FORMATION	142	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	2596.000000	2819.000000	SHETLAND GP	GROUP	143	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	2627.000000	2739.000000	TOR FM	FORMATION	171	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	2582.000000	2596.000000	VÅLE FM	FORMATION	190	1975-08-24	277	9999-12-31	2013-05-08
2/8-7	2825.000000	2868.000000	ZECHSTEIN GP	GROUP	194	1975-08-24	277	9999-12-31	2013-05-08
2/8-8	2409.000000	2419.000000	BALDER FM	FORMATION	6	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	2601.000000	2603.000000	BLODØKS FM	FORMATION	13	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	2619.000000	2667.000000	CROMER KNOLL GP	GROUP	23	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	2603.000000	2619.000000	HIDRA FM	FORMATION	65	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	2494.000000	2601.000000	HOD FM	FORMATION	66	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	1536.000000	2409.000000	HORDALAND GP	GROUP	67	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	2429.000000	2447.000000	LISTA FM	FORMATION	95	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	95.000000	1536.000000	NORDLAND GP	GROUP	113	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	2409.000000	2447.000000	ROGALAND GP	GROUP	131	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	2619.000000	2667.000000	RØDBY FM	FORMATION	137	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	2419.000000	2429.000000	SELE FM	FORMATION	142	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	2447.000000	2619.000000	SHETLAND GP	GROUP	143	1976-03-15	278	9999-12-31	2013-05-08
2/8-8	2447.000000	2494.000000	TOR FM	FORMATION	171	1976-03-15	278	9999-12-31	2013-05-08
2/8-9	2493.000000	2497.000000	BALDER FM	FORMATION	6	1976-06-27	279	9999-12-31	2013-05-08
2/8-9	2637.000000	2640.000000	BLODØKS FM	FORMATION	13	1976-06-27	279	9999-12-31	2013-05-08
2/8-9	2658.000000	2703.000000	CROMER KNOLL GP	GROUP	23	1976-06-27	279	9999-12-31	2013-05-08
2/8-9	2640.000000	2658.000000	HIDRA FM	FORMATION	65	1976-06-27	279	9999-12-31	2013-05-08
2/8-9	2529.000000	2637.000000	HOD FM	FORMATION	66	1976-06-27	279	9999-12-31	2013-05-08
2/8-9	2505.000000	2524.000000	LISTA FM	FORMATION	95	1976-06-27	279	9999-12-31	2013-05-08
2/8-9	102.000000	2493.000000	NORDLAND GP	GROUP	113	1976-06-27	279	9999-12-31	2013-05-08
2/8-9	2493.000000	2524.000000	ROGALAND GP	GROUP	131	1976-06-27	279	9999-12-31	2013-05-08
2/8-9	2658.000000	2703.000000	RØDBY FM	FORMATION	137	1976-06-27	279	9999-12-31	2013-05-08
2/8-9	2497.000000	2505.000000	SELE FM	FORMATION	142	1976-06-27	279	9999-12-31	2013-05-08
2/8-9	2524.000000	2658.000000	SHETLAND GP	GROUP	143	1976-06-27	279	9999-12-31	2013-05-08
2/8-9	2524.000000	2529.000000	TOR FM	FORMATION	171	1976-06-27	279	9999-12-31	2013-05-08
2/8-10	2441.000000	2452.000000	BALDER FM	FORMATION	6	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	2636.000000	2639.000000	BLODØKS FM	FORMATION	13	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	2653.000000	2683.000000	CROMER KNOLL GP	GROUP	23	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	2639.000000	2653.000000	HIDRA FM	FORMATION	65	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	2516.000000	2636.000000	HOD FM	FORMATION	66	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	1498.000000	2441.000000	HORDALAND GP	GROUP	67	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	2462.000000	2477.000000	LISTA FM	FORMATION	95	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	102.000000	1498.000000	NORDLAND GP	GROUP	113	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	2441.000000	2477.000000	ROGALAND GP	GROUP	131	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	2653.000000	2683.000000	RØDBY FM	FORMATION	137	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	2452.000000	2462.000000	SELE FM	FORMATION	142	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	2477.000000	2653.000000	SHETLAND GP	GROUP	143	1976-08-29	280	9999-12-31	2013-05-08
2/8-10	2477.000000	2516.000000	TOR FM	FORMATION	171	1976-08-29	280	9999-12-31	2013-05-08
7/12-6	2539.000000	2564.000000	BALDER FM	FORMATION	6	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	3071.000000	3085.000000	BLODØKS FM	FORMATION	13	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	3092.000000	3292.000000	CROMER KNOLL GP	GROUP	23	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	2730.000000	2810.000000	EKOFISK FM	FORMATION	33	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	3332.000000	3406.000000	FARSUND FM	FORMATION	39	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	3085.000000	3092.000000	HIDRA FM	FORMATION	65	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	3002.000000	3071.000000	HOD FM	FORMATION	66	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	1672.000000	2539.000000	HORDALAND GP	GROUP	67	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	2605.000000	2661.000000	LISTA FM	FORMATION	95	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	2702.000000	2710.000000	LISTA FM	FORMATION	95	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	3292.000000	3332.000000	MANDAL FM	FORMATION	101	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	94.000000	1672.000000	NORDLAND GP	GROUP	113	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	2539.000000	2730.000000	ROGALAND GP	GROUP	131	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	3092.000000	3292.000000	RØDBY FM	FORMATION	137	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	2564.000000	2605.000000	SELE FM	FORMATION	142	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	2730.000000	3092.000000	SHETLAND GP	GROUP	143	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	3521.000000	3700.000000	SKAGERRAK FM	FORMATION	146	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	2810.000000	3002.000000	TOR FM	FORMATION	171	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	3292.000000	3521.000000	TYNE GP	GROUP	177	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	3406.000000	3521.000000	ULA FM	FORMATION	179	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	2661.000000	2702.000000	VIDAR FM	FORMATION	187	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	2710.000000	2730.000000	VÅLE FM	FORMATION	190	1981-07-24	281	9999-12-31	2013-05-08
7/12-6	3521.000000	3700.000000	NO GROUP DEFINED	GROUP	208	1981-07-24	281	9999-12-31	2013-05-08
2/9-1	2963.000000	2978.000000	BALDER FM	FORMATION	6	1972-12-07	282	9999-12-31	2013-05-08
2/9-1	3092.000000	3200.000000	EKOFISK FM	FORMATION	33	1972-12-07	282	9999-12-31	2013-05-08
2/9-1	3480.000000	3551.000000	HOD FM	FORMATION	66	1972-12-07	282	9999-12-31	2013-05-08
2/9-1	1636.000000	2963.000000	HORDALAND GP	GROUP	67	1972-12-07	282	9999-12-31	2013-05-08
2/9-1	3026.000000	3066.000000	LISTA FM	FORMATION	95	1972-12-07	282	9999-12-31	2013-05-08
2/9-1	3066.000000	3092.000000	MAUREEN FM	FORMATION	102	1972-12-07	282	9999-12-31	2013-05-08
2/9-1	102.000000	1636.000000	NORDLAND GP	GROUP	113	1972-12-07	282	9999-12-31	2013-05-08
2/9-1	2963.000000	3092.000000	ROGALAND GP	GROUP	131	1972-12-07	282	9999-12-31	2013-05-08
2/9-1	2978.000000	3026.000000	SELE FM	FORMATION	142	1972-12-07	282	9999-12-31	2013-05-08
2/9-1	3092.000000	3551.000000	SHETLAND GP	GROUP	143	1972-12-07	282	9999-12-31	2013-05-08
2/9-1	3200.000000	3480.000000	TOR FM	FORMATION	171	1972-12-07	282	9999-12-31	2013-05-08
2/9-2	2927.000000	2945.000000	BALDER FM	FORMATION	6	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	3471.000000	3653.000000	CROMER KNOLL GP	GROUP	23	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	3039.000000	3126.000000	EKOFISK FM	FORMATION	33	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	3755.000000	4032.000000	FARSUND FM	FORMATION	39	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	4032.000000	4292.000000	HAUGESUND FM	FORMATION	57	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	3412.000000	3471.000000	HOD FM	FORMATION	66	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	1560.000000	2927.000000	HORDALAND GP	GROUP	67	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	2982.000000	3029.000000	LISTA FM	FORMATION	95	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	3653.000000	3755.000000	MANDAL FM	FORMATION	101	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	93.000000	1560.000000	NORDLAND GP	GROUP	113	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	2927.000000	3039.000000	ROGALAND GP	GROUP	131	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	4316.000000	4367.000000	ROTLIEGEND GP	GROUP	136	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	3471.000000	3524.000000	RØDBY FM	FORMATION	137	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	2945.000000	2982.000000	SELE FM	FORMATION	142	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	3039.000000	3471.000000	SHETLAND GP	GROUP	143	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	3126.000000	3412.000000	TOR FM	FORMATION	171	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	3653.000000	4292.000000	TYNE GP	GROUP	177	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	4292.000000	4316.000000	ULA FM	FORMATION	179	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	4292.000000	4316.000000	VESTLAND GP	GROUP	186	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	3029.000000	3039.000000	VÅLE FM	FORMATION	190	1979-09-04	283	9999-12-31	2013-05-08
2/9-2	3524.000000	3653.000000	ÅSGARD FM	FORMATION	198	1979-09-04	283	9999-12-31	2013-05-08
2/10-1 S	3233.000000	3249.000000	BALDER FM	FORMATION	6	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	4091.000000	4265.000000	CROMER KNOLL GP	GROUP	23	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	3360.000000	3406.000000	EKOFISK FM	FORMATION	33	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	4058.000000	4091.000000	HIDRA FM	FORMATION	65	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	3581.000000	4058.000000	HOD FM	FORMATION	66	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	1595.000000	3233.000000	HORDALAND GP	GROUP	67	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	3294.000000	3360.000000	LISTA FM	FORMATION	95	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	4265.000000	4271.000000	MANDAL FM	FORMATION	101	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	93.000000	1595.000000	NORDLAND GP	GROUP	113	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	3233.000000	3360.000000	ROGALAND GP	GROUP	131	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	4297.000000	4529.000000	ROTLIEGEND GP	GROUP	136	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	4091.000000	4265.000000	RØDBY FM	FORMATION	137	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	3249.000000	3294.000000	SELE FM	FORMATION	142	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	3360.000000	4091.000000	SHETLAND GP	GROUP	143	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	3406.000000	3581.000000	TOR FM	FORMATION	171	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	4265.000000	4271.000000	TYNE GP	GROUP	177	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	4271.000000	4297.000000	ZECHSTEIN GP	GROUP	194	1976-04-23	284	9999-12-31	2013-05-08
2/10-1 S	4529.000000	4609.000000	NO GROUP DEFINED	GROUP	208	1976-04-23	284	9999-12-31	2013-05-08
2/11-2	2568.000000	2573.000000	BALDER FM	FORMATION	6	1974-12-29	285	9999-12-31	2013-05-08
2/11-2	2752.000000	2806.000000	CROMER KNOLL GP	GROUP	23	1974-12-29	285	9999-12-31	2013-05-08
2/11-2	2640.000000	2752.000000	HOD FM	FORMATION	66	1974-12-29	285	9999-12-31	2013-05-08
2/11-2	1457.000000	2568.000000	HORDALAND GP	GROUP	67	1974-12-29	285	9999-12-31	2013-05-08
2/11-2	2597.000000	2640.000000	LISTA FM	FORMATION	95	1974-12-29	285	9999-12-31	2013-05-08
2/11-2	102.000000	1457.000000	NORDLAND GP	GROUP	113	1974-12-29	285	9999-12-31	2013-05-08
2/11-2	2568.000000	2640.000000	ROGALAND GP	GROUP	131	1974-12-29	285	9999-12-31	2013-05-08
2/11-2	2752.000000	2806.000000	RØDBY FM	FORMATION	137	1974-12-29	285	9999-12-31	2013-05-08
2/11-2	2573.000000	2597.000000	SELE FM	FORMATION	142	1974-12-29	285	9999-12-31	2013-05-08
2/11-2	2640.000000	2752.000000	SHETLAND GP	GROUP	143	1974-12-29	285	9999-12-31	2013-05-08
2/11-3	2714.000000	2727.000000	BALDER FM	FORMATION	6	1977-12-03	286	9999-12-31	2013-05-08
2/11-3	3022.000000	3052.000000	CROMER KNOLL GP	GROUP	23	1977-12-03	286	9999-12-31	2013-05-08
2/11-3	2775.000000	3022.000000	HOD FM	FORMATION	66	1977-12-03	286	9999-12-31	2013-05-08
2/11-3	1515.000000	2714.000000	HORDALAND GP	GROUP	67	1977-12-03	286	9999-12-31	2013-05-08
2/11-3	2747.000000	2775.000000	LISTA FM	FORMATION	95	1977-12-03	286	9999-12-31	2013-05-08
2/11-3	108.000000	1515.000000	NORDLAND GP	GROUP	113	1977-12-03	286	9999-12-31	2013-05-08
2/11-3	2714.000000	2775.000000	ROGALAND GP	GROUP	131	1977-12-03	286	9999-12-31	2013-05-08
2/11-3	3022.000000	3052.000000	RØDBY FM	FORMATION	137	1977-12-03	286	9999-12-31	2013-05-08
2/11-3	2727.000000	2747.000000	SELE FM	FORMATION	142	1977-12-03	286	9999-12-31	2013-05-08
2/11-3	2775.000000	3022.000000	SHETLAND GP	GROUP	143	1977-12-03	286	9999-12-31	2013-05-08
2/11-5	2715.000000	2737.000000	BALDER FM	FORMATION	6	1979-07-05	288	9999-12-31	2013-05-08
2/11-5	2920.000000	2945.000000	CROMER KNOLL GP	GROUP	23	1979-07-05	288	9999-12-31	2013-05-08
2/11-5	2822.000000	2835.000000	EKOFISK FM	FORMATION	33	1979-07-05	288	9999-12-31	2013-05-08
2/11-5	2855.000000	2920.000000	HOD FM	FORMATION	66	1979-07-05	288	9999-12-31	2013-05-08
2/11-5	1475.000000	2715.000000	HORDALAND GP	GROUP	67	1979-07-05	288	9999-12-31	2013-05-08
2/11-5	94.000000	1475.000000	NORDLAND GP	GROUP	113	1979-07-05	288	9999-12-31	2013-05-08
2/11-5	2715.000000	2822.000000	ROGALAND GP	GROUP	131	1979-07-05	288	9999-12-31	2013-05-08
2/11-5	2920.000000	2945.000000	RØDBY FM	FORMATION	137	1979-07-05	288	9999-12-31	2013-05-08
2/11-5	2737.000000	2822.000000	SELE FM	FORMATION	142	1979-07-05	288	9999-12-31	2013-05-08
2/11-5	2822.000000	2920.000000	SHETLAND GP	GROUP	143	1979-07-05	288	9999-12-31	2013-05-08
2/11-5	2835.000000	2855.000000	TOR FM	FORMATION	171	1979-07-05	288	9999-12-31	2013-05-08
2/11-6 S	3564.000000	3690.000000	BALDER FM	FORMATION	6	1982-02-25	289	9999-12-31	2013-05-08
2/11-6 S	3716.000000	4076.000000	HOD FM	FORMATION	66	1982-02-25	289	9999-12-31	2013-05-08
2/11-6 S	1792.000000	3564.000000	HORDALAND GP	GROUP	67	1982-02-25	289	9999-12-31	2013-05-08
2/11-6 S	98.000000	1792.000000	NORDLAND GP	GROUP	113	1982-02-25	289	9999-12-31	2013-05-08
2/11-6 S	3564.000000	3690.000000	ROGALAND GP	GROUP	131	1982-02-25	289	9999-12-31	2013-05-08
2/11-6 S	3690.000000	4076.000000	SHETLAND GP	GROUP	143	1982-02-25	289	9999-12-31	2013-05-08
2/11-6 S	3690.000000	3716.000000	TOR FM	FORMATION	171	1982-02-25	289	9999-12-31	2013-05-08
3/5-1	2114.000000	2131.000000	BALDER FM	FORMATION	6	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2617.000000	2647.000000	BLODØKS FM	FORMATION	13	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2683.000000	2734.000000	CROMER KNOLL GP	GROUP	23	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2202.000000	2223.000000	EKOFISK FM	FORMATION	33	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2795.000000	2817.000000	ELDFISK FM	FORMATION	34	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2817.000000	2902.000000	HAUGESUND FM	FORMATION	57	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2647.000000	2683.000000	HIDRA FM	FORMATION	65	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2435.000000	2617.000000	HOD FM	FORMATION	66	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	993.000000	2114.000000	HORDALAND GP	GROUP	67	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	3100.000000	3103.000000	KUPFERSCHIEFER FM	FORMATION	88	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2142.000000	2150.000000	LISTA FM	FORMATION	95	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2734.000000	2795.000000	MANDAL FM	FORMATION	101	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	89.000000	993.000000	NORDLAND GP	GROUP	113	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2114.000000	2202.000000	ROGALAND GP	GROUP	131	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	3103.000000	3426.000000	ROTLIEGEND GP	GROUP	136	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2131.000000	2142.000000	SELE FM	FORMATION	142	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2202.000000	2683.000000	SHETLAND GP	GROUP	143	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2223.000000	2435.000000	TOR FM	FORMATION	171	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2683.000000	2691.000000	TUXEN FM	FORMATION	175	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2734.000000	2902.000000	TYNE GP	GROUP	177	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2902.000000	3100.000000	UNDIFFERENTIATED	FORMATION	182	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2150.000000	2202.000000	VÅLE FM	FORMATION	190	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2902.000000	3103.000000	ZECHSTEIN GP	GROUP	194	1978-06-28	290	9999-12-31	2013-05-08
3/5-1	2691.000000	2734.000000	ÅSGARD FM	FORMATION	198	1978-06-28	290	9999-12-31	2013-05-08
3/5-2	2560.000000	2579.000000	BALDER FM	FORMATION	6	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3345.000000	3575.000000	BRYNE FM	FORMATION	19	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3062.000000	3144.000000	CROMER KNOLL GP	GROUP	23	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	2627.000000	2782.000000	EKOFISK FM	FORMATION	33	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3172.000000	3183.000000	ELDFISK FM	FORMATION	34	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3170.000000	3172.000000	FARSUND FM	FORMATION	39	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3575.000000	3604.000000	GASSUM FM	FORMATION	49	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3183.000000	3345.000000	HAUGESUND FM	FORMATION	57	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3013.000000	3062.000000	HIDRA FM	FORMATION	65	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	2782.000000	3013.000000	HOD FM	FORMATION	66	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	1140.000000	2560.000000	HORDALAND GP	GROUP	67	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	2602.000000	2627.000000	LISTA FM	FORMATION	95	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3144.000000	3170.000000	MANDAL FM	FORMATION	101	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	92.000000	1140.000000	NORDLAND GP	GROUP	113	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	2560.000000	2627.000000	ROGALAND GP	GROUP	131	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3062.000000	3070.000000	RØDBY FM	FORMATION	137	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	2579.000000	2602.000000	SELE FM	FORMATION	142	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	2627.000000	3062.000000	SHETLAND GP	GROUP	143	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3604.000000	3825.000000	SMITH BANK FM	FORMATION	149	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3070.000000	3084.000000	TUXEN FM	FORMATION	175	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3144.000000	3345.000000	TYNE GP	GROUP	177	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3345.000000	3575.000000	VESTLAND GP	GROUP	186	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3084.000000	3144.000000	ÅSGARD FM	FORMATION	198	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3575.000000	3604.000000	NO GROUP DEFINED	GROUP	208	1978-08-20	291	9999-12-31	2013-05-08
3/5-2	3604.000000	3825.000000	NO GROUP DEFINED	GROUP	208	1978-08-20	291	9999-12-31	2013-05-08
3/7-1	2690.000000	2712.000000	BALDER FM	FORMATION	6	1973-09-13	292	9999-12-31	2013-05-08
3/7-1	3218.000000	3227.000000	BASEMENT	GROUP	10	1973-09-13	292	9999-12-31	2013-05-08
3/7-1	2769.000000	2852.000000	EKOFISK FM	FORMATION	33	1973-09-13	292	9999-12-31	2013-05-08
3/7-1	2985.000000	3218.000000	HOD FM	FORMATION	66	1973-09-13	292	9999-12-31	2013-05-08
3/7-1	1435.000000	2690.000000	HORDALAND GP	GROUP	67	1973-09-13	292	9999-12-31	2013-05-08
3/7-1	2728.000000	2760.000000	LISTA FM	FORMATION	95	1973-09-13	292	9999-12-31	2013-05-08
3/7-1	93.000000	1435.000000	NORDLAND GP	GROUP	113	1973-09-13	292	9999-12-31	2013-05-08
3/7-1	2690.000000	2769.000000	ROGALAND GP	GROUP	131	1973-09-13	292	9999-12-31	2013-05-08
3/7-1	2712.000000	2728.000000	SELE FM	FORMATION	142	1973-09-13	292	9999-12-31	2013-05-08
3/7-1	2769.000000	3218.000000	SHETLAND GP	GROUP	143	1973-09-13	292	9999-12-31	2013-05-08
3/7-1	2852.000000	2985.000000	TOR FM	FORMATION	171	1973-09-13	292	9999-12-31	2013-05-08
3/7-1	2760.000000	2769.000000	VÅLE FM	FORMATION	190	1973-09-13	292	9999-12-31	2013-05-08
3/7-3	2697.000000	2726.000000	BALDER FM	FORMATION	6	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	3280.000000	3432.000000	CROMER KNOLL GP	GROUP	23	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	2812.000000	2907.000000	EKOFISK FM	FORMATION	33	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	3119.000000	3280.000000	HOD FM	FORMATION	66	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	1455.000000	2697.000000	HORDALAND GP	GROUP	67	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	2761.000000	2775.000000	LISTA FM	FORMATION	95	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	3432.000000	3506.000000	MANDAL FM	FORMATION	101	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	2775.000000	2812.000000	MAUREEN FM	FORMATION	102	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	92.000000	1455.000000	NORDLAND GP	GROUP	113	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	3325.000000	3432.000000	RAN SANDSTONE UNITS	FORMATION	125	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	2697.000000	2812.000000	ROGALAND GP	GROUP	131	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	2726.000000	2761.000000	SELE FM	FORMATION	142	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	2812.000000	3280.000000	SHETLAND GP	GROUP	143	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	2907.000000	3119.000000	TOR FM	FORMATION	171	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	3432.000000	3506.000000	TYNE GP	GROUP	177	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	3506.000000	3540.000000	ZECHSTEIN GP	GROUP	194	1981-08-31	293	9999-12-31	2013-05-08
3/7-3	3280.000000	3325.000000	ÅSGARD FM	FORMATION	198	1981-08-31	293	9999-12-31	2013-05-08
7/8-2	2180.000000	2195.000000	BALDER FM	FORMATION	6	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2657.000000	2808.000000	CROMER KNOLL GP	GROUP	23	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2366.000000	2440.000000	EKOFISK FM	FORMATION	33	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	1463.000000	2180.000000	HORDALAND GP	GROUP	67	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2295.000000	2366.000000	LISTA FM	FORMATION	95	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	108.000000	1463.000000	NORDLAND GP	GROUP	113	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2180.000000	2366.000000	ROGALAND GP	GROUP	131	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2195.000000	2295.000000	SELE FM	FORMATION	142	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2366.000000	2657.000000	SHETLAND GP	GROUP	143	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2883.000000	2997.000000	SMITH BANK FM	FORMATION	149	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2440.000000	2657.000000	TOR FM	FORMATION	171	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2808.000000	2822.000000	TYNE GP	GROUP	177	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2822.000000	2883.000000	VESTLAND GP	GROUP	186	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2997.000000	3006.000000	ZECHSTEIN GP	GROUP	194	1973-08-29	294	9999-12-31	2013-05-08
7/8-2	2883.000000	2997.000000	NO GROUP DEFINED	GROUP	208	1973-08-29	294	9999-12-31	2013-05-08
6506/12-7	1856.000000	2227.000000	BRYGGE FM	FORMATION	18	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4556.000000	4840.000000	BÅT GP	GROUP	22	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	3265.000000	4042.000000	CROMER KNOLL GP	GROUP	23	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4396.000000	4556.000000	FANGST GP	GROUP	38	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4396.000000	4439.000000	GARN FM	FORMATION	48	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	1856.000000	2227.000000	HORDALAND GP	GROUP	67	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4474.000000	4556.000000	ILE FM	FORMATION	70	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	1539.000000	1856.000000	KAI FM	FORMATION	77	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	3306.000000	4042.000000	LANGE FM	FORMATION	94	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	3265.000000	3306.000000	LYSING FM	FORMATION	99	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4114.000000	4396.000000	MELKE FM	FORMATION	105	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	296.000000	1856.000000	NORDLAND GP	GROUP	113	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4439.000000	4474.000000	NOT FM	FORMATION	120	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	2227.000000	2396.000000	ROGALAND GP	GROUP	131	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4556.000000	4629.000000	ROR FM	FORMATION	135	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4675.000000	4693.000000	ROR FM	FORMATION	135	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	2396.000000	3265.000000	SHETLAND GP	GROUP	143	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4042.000000	4114.000000	SPEKK FM	FORMATION	155	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	2297.000000	2396.000000	TANG FM	FORMATION	161	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	2227.000000	2297.000000	TARE FM	FORMATION	163	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4693.000000	4840.000000	TILJE FM	FORMATION	169	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4629.000000	4675.000000	TOFTE FM	FORMATION	170	1987-08-12	300	9999-12-31	2013-05-08
6506/12-7	4042.000000	4396.000000	VIKING GP	GROUP	188	1987-08-12	300	9999-12-31	2013-05-08
8/1-1	1347.000000	1378.000000	BALDER FM	FORMATION	6	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2379.000000	2606.000000	BOKNFJORD GP	GROUP	15	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2666.000000	2680.000000	BRYNE FM	FORMATION	19	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	1899.000000	2379.000000	CROMER KNOLL GP	GROUP	23	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	1535.000000	1556.000000	EKOFISK FM	FORMATION	33	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2379.000000	2425.000000	FLEKKEFJORD FM	FORMATION	43	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2680.000000	2704.000000	GASSUM FM	FORMATION	49	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	1828.000000	1899.000000	HOD FM	FORMATION	66	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	661.000000	1347.000000	HORDALAND GP	GROUP	67	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	1408.000000	1480.000000	LISTA FM	FORMATION	95	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	98.000000	661.000000	NORDLAND GP	GROUP	113	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	1347.000000	1535.000000	ROGALAND GP	GROUP	131	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	1899.000000	1940.000000	RØDBY FM	FORMATION	137	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2606.000000	2666.000000	SANDNES FM	FORMATION	139	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2425.000000	2551.000000	SAUDA FM	FORMATION	141	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	1378.000000	1408.000000	SELE FM	FORMATION	142	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	1535.000000	1899.000000	SHETLAND GP	GROUP	143	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2704.000000	2727.000000	SKAGERRAK FM	FORMATION	146	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2727.000000	2873.000000	SMITH BANK FM	FORMATION	149	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	1940.000000	2015.000000	SOLA FM	FORMATION	152	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2551.000000	2606.000000	TAU FM	FORMATION	164	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	1556.000000	1828.000000	TOR FM	FORMATION	171	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2606.000000	2680.000000	VESTLAND GP	GROUP	186	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	1480.000000	1535.000000	VÅLE FM	FORMATION	190	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2873.000000	2971.000000	ZECHSTEIN GP	GROUP	194	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2015.000000	2379.000000	ÅSGARD FM	FORMATION	198	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2680.000000	2704.000000	NO GROUP DEFINED	GROUP	208	1972-02-07	301	9999-12-31	2013-05-08
8/1-1	2704.000000	2873.000000	NO GROUP DEFINED	GROUP	208	1972-02-07	301	9999-12-31	2013-05-08
8/4-1	1452.000000	1485.000000	BALDER FM	FORMATION	6	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	2351.000000	2397.000000	BOKNFJORD GP	GROUP	15	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	2397.000000	2513.000000	BRYNE FM	FORMATION	19	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	2114.000000	2351.000000	CROMER KNOLL GP	GROUP	23	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	1605.000000	1664.000000	EKOFISK FM	FORMATION	33	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	635.000000	1452.000000	HORDALAND GP	GROUP	67	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	1496.000000	1585.000000	LISTA FM	FORMATION	95	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	1585.000000	1605.000000	MAUREEN FM	FORMATION	102	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	88.000000	635.000000	NORDLAND GP	GROUP	113	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	1452.000000	1605.000000	ROGALAND GP	GROUP	131	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	1485.000000	1496.000000	SELE FM	FORMATION	142	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	1605.000000	2114.000000	SHETLAND GP	GROUP	143	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	2513.000000	2582.000000	SKAGERRAK FM	FORMATION	146	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	2351.000000	2397.000000	TAU FM	FORMATION	164	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	1664.000000	2114.000000	TOR FM	FORMATION	171	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	2397.000000	2513.000000	VESTLAND GP	GROUP	186	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	2582.000000	2632.000000	ZECHSTEIN GP	GROUP	194	1977-07-25	302	9999-12-31	2013-05-08
8/4-1	2513.000000	2582.000000	NO GROUP DEFINED	GROUP	208	1977-07-25	302	9999-12-31	2013-05-08
8/9-1	1286.000000	1307.000000	BALDER FM	FORMATION	6	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	2103.000000	2156.000000	BOKNFJORD GP	GROUP	15	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	2168.000000	2247.000000	BRYNE FM	FORMATION	19	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	1938.000000	2103.000000	CROMER KNOLL GP	GROUP	23	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	1492.000000	1535.000000	EKOFISK FM	FORMATION	33	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	1307.000000	1399.000000	FISKEBANK FM	FORMATION	41	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	2103.000000	2123.000000	FLEKKEFJORD FM	FORMATION	43	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	1807.000000	1938.000000	HOD FM	FORMATION	66	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	557.000000	1286.000000	HORDALAND GP	GROUP	67	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	1399.000000	1492.000000	LISTA FM	FORMATION	95	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	93.000000	557.000000	NORDLAND GP	GROUP	113	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	1286.000000	1492.000000	ROGALAND GP	GROUP	131	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	1938.000000	1953.000000	RØDBY FM	FORMATION	137	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	2156.000000	2168.000000	SANDNES FM	FORMATION	139	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	2123.000000	2156.000000	SAUDA FM	FORMATION	141	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	1492.000000	1938.000000	SHETLAND GP	GROUP	143	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	1953.000000	1980.000000	SOLA FM	FORMATION	152	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	1535.000000	1807.000000	TOR FM	FORMATION	171	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	2156.000000	2247.000000	VESTLAND GP	GROUP	186	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	2247.000000	2376.000000	ZECHSTEIN GP	GROUP	194	1976-02-10	303	9999-12-31	2013-05-08
8/9-1	1980.000000	2103.000000	ÅSGARD FM	FORMATION	198	1976-02-10	303	9999-12-31	2013-05-08
8/11-1	1968.000000	1979.000000	BALDER FM	FORMATION	6	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2509.000000	2512.000000	BLODØKS FM	FORMATION	13	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2807.000000	2835.000000	BOKNFJORD GP	GROUP	15	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2528.000000	2807.000000	CROMER KNOLL GP	GROUP	23	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2116.000000	2143.000000	EKOFISK FM	FORMATION	33	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2807.000000	2835.000000	FLEKKEFJORD FM	FORMATION	43	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2512.000000	2528.000000	HIDRA FM	FORMATION	65	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2408.000000	2509.000000	HOD FM	FORMATION	66	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	1038.000000	1968.000000	HORDALAND GP	GROUP	67	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2059.000000	2088.000000	LISTA FM	FORMATION	95	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	91.000000	1038.000000	NORDLAND GP	GROUP	113	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	1968.000000	2116.000000	ROGALAND GP	GROUP	131	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2528.000000	2574.000000	RØDBY FM	FORMATION	137	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2835.000000	2871.000000	SANDNES FM	FORMATION	139	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	1979.000000	2059.000000	SELE FM	FORMATION	142	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2116.000000	2528.000000	SHETLAND GP	GROUP	143	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2871.000000	3182.000000	SKAGERRAK FM	FORMATION	146	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	3182.000000	3810.000000	SMITH BANK FM	FORMATION	149	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2574.000000	2658.000000	SOLA FM	FORMATION	152	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2143.000000	2408.000000	TOR FM	FORMATION	171	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2835.000000	2871.000000	VESTLAND GP	GROUP	186	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2088.000000	2116.000000	VÅLE FM	FORMATION	190	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2658.000000	2807.000000	ÅSGARD FM	FORMATION	198	1975-06-29	304	9999-12-31	2013-05-08
8/11-1	2871.000000	3810.000000	NO GROUP DEFINED	GROUP	208	1975-06-29	304	9999-12-31	2013-05-08
9/4-4	1065.000000	1086.000000	BALDER FM	FORMATION	6	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1825.000000	1840.000000	BLODØKS FM	FORMATION	13	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	2310.000000	2718.000000	BOKNFJORD GP	GROUP	15	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	2814.000000	2845.000000	BRYNE FM	FORMATION	19	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1853.000000	2310.000000	CROMER KNOLL GP	GROUP	23	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	2668.000000	2718.000000	EGERSUND FM	FORMATION	30	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1260.000000	1302.000000	EKOFISK FM	FORMATION	33	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	2310.000000	2395.000000	FLEKKEFJORD FM	FORMATION	43	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1840.000000	1853.000000	HIDRA FM	FORMATION	65	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1650.000000	1825.000000	HOD FM	FORMATION	66	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	550.000000	1065.000000	HORDALAND GP	GROUP	67	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1130.000000	1243.000000	LISTA FM	FORMATION	95	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	103.000000	550.000000	NORDLAND GP	GROUP	113	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1065.000000	1260.000000	ROGALAND GP	GROUP	131	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1853.000000	1888.000000	RØDBY FM	FORMATION	137	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	2718.000000	2814.000000	SANDNES FM	FORMATION	139	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	2395.000000	2598.000000	SAUDA FM	FORMATION	141	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1086.000000	1130.000000	SELE FM	FORMATION	142	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1260.000000	1853.000000	SHETLAND GP	GROUP	143	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	2845.000000	2902.000000	SKAGERRAK FM	FORMATION	146	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1888.000000	2016.000000	SOLA FM	FORMATION	152	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	2598.000000	2668.000000	TAU FM	FORMATION	164	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1302.000000	1650.000000	TOR FM	FORMATION	171	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	2718.000000	2845.000000	VESTLAND GP	GROUP	186	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	1243.000000	1260.000000	VÅLE FM	FORMATION	190	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	2016.000000	2310.000000	ÅSGARD FM	FORMATION	198	1977-08-20	305	9999-12-31	2013-05-08
9/4-4	2845.000000	2902.000000	NO GROUP DEFINED	GROUP	208	1977-08-20	305	9999-12-31	2013-05-08
10/5-1	270.000000	290.000000	BALDER FM	FORMATION	6	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1818.000000	1843.000000	BASEMENT	GROUP	10	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1025.000000	1040.000000	BLODØKS FM	FORMATION	13	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1275.000000	1472.000000	BOKNFJORD GP	GROUP	15	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1490.000000	1524.000000	BRYNE FM	FORMATION	19	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1396.000000	1472.000000	BØRGLUM UNIT	FORMATION	21	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1046.000000	1275.000000	CROMER KNOLL GP	GROUP	23	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	335.000000	428.000000	EKOFISK FM	FORMATION	33	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1275.000000	1335.000000	FLEKKEFJORD FM	FORMATION	43	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1524.000000	1539.000000	GASSUM FM	FORMATION	49	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1040.000000	1046.000000	HIDRA FM	FORMATION	65	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	535.000000	1025.000000	HOD FM	FORMATION	66	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	190.000000	270.000000	HORDALAND GP	GROUP	67	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	290.000000	327.000000	LISTA FM	FORMATION	95	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	122.000000	190.000000	NORDLAND GP	GROUP	113	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	270.000000	335.000000	ROGALAND GP	GROUP	131	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1046.000000	1093.000000	RØDBY FM	FORMATION	137	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1472.000000	1490.000000	SANDNES FM	FORMATION	139	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1335.000000	1396.000000	SAUDA FM	FORMATION	141	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	335.000000	1046.000000	SHETLAND GP	GROUP	143	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1539.000000	1561.000000	SKAGERRAK FM	FORMATION	146	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1561.000000	1597.000000	SMITH BANK FM	FORMATION	149	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1093.000000	1139.000000	SOLA FM	FORMATION	152	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	428.000000	535.000000	TOR FM	FORMATION	171	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1472.000000	1524.000000	VESTLAND GP	GROUP	186	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	327.000000	335.000000	VÅLE FM	FORMATION	190	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1597.000000	1818.000000	ZECHSTEIN GP	GROUP	194	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1139.000000	1275.000000	ÅSGARD FM	FORMATION	198	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1524.000000	1539.000000	NO GROUP DEFINED	GROUP	208	1976-06-26	306	9999-12-31	2013-05-08
10/5-1	1539.000000	1597.000000	NO GROUP DEFINED	GROUP	208	1976-06-26	306	9999-12-31	2013-05-08
11/9-1	145.000000	644.000000	SKAGERRAK FM	FORMATION	146	1976-02-28	307	9999-12-31	2013-05-08
11/9-1	644.000000	1930.000000	SMITH BANK FM	FORMATION	149	1976-02-28	307	9999-12-31	2013-05-08
11/9-1	1930.000000	1972.000000	ZECHSTEIN GP	GROUP	194	1976-02-28	307	9999-12-31	2013-05-08
11/9-1	98.000000	145.000000	NO DATA	GROUP	200	1976-02-28	307	9999-12-31	2013-05-08
11/9-1	145.000000	1930.000000	NO GROUP DEFINED	GROUP	208	1976-02-28	307	9999-12-31	2013-05-08
15/2-1	2058.000000	2103.000000	BALDER FM	FORMATION	6	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2118.000000	2148.000000	BALDER FM	FORMATION	6	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2103.000000	2118.000000	INTRA BALDER FM SS	FORMATION	7	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	3506.000000	3551.000000	BLODØKS FM	FORMATION	13	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	3668.000000	3878.000000	CROMER KNOLL GP	GROUP	23	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	3878.000000	4211.000000	DRAUPNE FM	FORMATION	28	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2655.000000	2731.000000	EKOFISK FM	FORMATION	33	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	1428.000000	1824.000000	GRID FM	FORMATION	53	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	4211.000000	4356.000000	HEATHER FM	FORMATION	60	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2236.000000	2494.000000	HEIMDAL FM	FORMATION	62	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	3551.000000	3668.000000	HIDRA FM	FORMATION	65	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2920.000000	3506.000000	HOD FM	FORMATION	66	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	842.000000	2058.000000	HORDALAND GP	GROUP	67	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	4356.000000	4393.000000	HUGIN FM	FORMATION	69	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2178.000000	2236.000000	LISTA FM	FORMATION	95	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2494.000000	2572.000000	LISTA FM	FORMATION	95	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	1199.000000	1428.000000	NO FORMAL NAME	FORMATION	111	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	1824.000000	2058.000000	NO FORMAL NAME	FORMATION	111	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	134.000000	842.000000	NORDLAND GP	GROUP	113	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2058.000000	2655.000000	ROGALAND GP	GROUP	131	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	3668.000000	3733.000000	RØDBY FM	FORMATION	137	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2148.000000	2178.000000	SELE FM	FORMATION	142	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2655.000000	3668.000000	SHETLAND GP	GROUP	143	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	1150.000000	1199.000000	SKADE FM	FORMATION	145	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	4393.000000	4555.000000	SLEIPNER FM	FORMATION	148	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	3733.000000	3805.000000	SOLA FM	FORMATION	152	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2731.000000	2920.000000	TOR FM	FORMATION	171	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2572.000000	2640.000000	TY FM	FORMATION	176	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	706.000000	842.000000	UTSIRA FM	FORMATION	183	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	4356.000000	4555.000000	VESTLAND GP	GROUP	186	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	3878.000000	4356.000000	VIKING GP	GROUP	188	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	2640.000000	2655.000000	VÅLE FM	FORMATION	190	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	4555.000000	4600.000000	ZECHSTEIN GP	GROUP	194	1982-02-24	308	9999-12-31	2013-05-08
15/2-1	3805.000000	3878.000000	ÅSGARD FM	FORMATION	198	1982-02-24	308	9999-12-31	2013-05-08
15/3-2	2082.000000	2142.000000	BALDER FM	FORMATION	6	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	3913.000000	4236.000000	CROMER KNOLL GP	GROUP	23	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	4236.000000	4258.000000	DRAUPNE FM	FORMATION	28	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	1402.000000	1617.000000	GRID FM	FORMATION	53	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	1752.000000	1775.000000	GRID FM	FORMATION	53	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	2182.000000	2338.000000	HEIMDAL FM	FORMATION	62	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	670.000000	2082.000000	HORDALAND GP	GROUP	67	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	2338.000000	2437.000000	LISTA FM	FORMATION	95	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	643.000000	670.000000	NO FORMAL NAME	FORMATION	111	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	979.000000	1122.000000	NO FORMAL NAME	FORMATION	111	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	1122.000000	1151.000000	NO FORMAL NAME	FORMATION	111	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	1151.000000	1402.000000	NO FORMAL NAME	FORMATION	111	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	1617.000000	1752.000000	NO FORMAL NAME	FORMATION	111	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	1775.000000	2082.000000	NO FORMAL NAME	FORMATION	111	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	135.000000	670.000000	NORDLAND GP	GROUP	113	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	2082.000000	2688.000000	ROGALAND GP	GROUP	131	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	2142.000000	2182.000000	SELE FM	FORMATION	142	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	2688.000000	3913.000000	SHETLAND GP	GROUP	143	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	925.000000	979.000000	SKADE FM	FORMATION	145	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	2437.000000	2648.000000	TY FM	FORMATION	176	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	579.000000	643.000000	UTSIRA FM	FORMATION	183	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	4236.000000	4258.000000	VIKING GP	GROUP	188	1977-01-24	310	9999-12-31	2013-05-08
15/3-2	2648.000000	2688.000000	VÅLE FM	FORMATION	190	1977-01-24	310	9999-12-31	2013-05-08
15/3-2 R	2082.000000	2142.000000	BALDER FM	FORMATION	6	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	3913.000000	4236.000000	CROMER KNOLL GP	GROUP	23	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	4236.000000	4352.000000	DRAUPNE FM	FORMATION	28	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	1402.000000	1617.000000	GRID FM	FORMATION	53	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	1752.000000	1775.000000	GRID FM	FORMATION	53	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	4400.000000	4512.000000	INTRA HEATHER FM SS	FORMATION	59	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	4551.000000	4615.000000	INTRA HEATHER FM SS	FORMATION	59	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	4644.000000	4651.000000	INTRA HEATHER FM SS	FORMATION	59	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	4677.000000	4696.000000	INTRA HEATHER FM SS	FORMATION	59	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	4352.000000	4400.000000	HEATHER FM	FORMATION	60	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	4512.000000	4551.000000	HEATHER FM	FORMATION	60	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	4615.000000	4644.000000	HEATHER FM	FORMATION	60	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	4651.000000	4677.000000	HEATHER FM	FORMATION	60	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	4696.000000	4990.000000	HEATHER FM	FORMATION	60	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	2182.000000	2338.000000	HEIMDAL FM	FORMATION	62	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	670.000000	2082.000000	HORDALAND GP	GROUP	67	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	2338.000000	2437.000000	LISTA FM	FORMATION	95	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	643.000000	670.000000	NO FORMAL NAME	FORMATION	111	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	979.000000	1122.000000	NO FORMAL NAME	FORMATION	111	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	1122.000000	1151.000000	NO FORMAL NAME	FORMATION	111	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	1151.000000	1402.000000	NO FORMAL NAME	FORMATION	111	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	1617.000000	1752.000000	NO FORMAL NAME	FORMATION	111	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	1775.000000	2082.000000	NO FORMAL NAME	FORMATION	111	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	135.000000	670.000000	NORDLAND GP	GROUP	113	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	2082.000000	2688.000000	ROGALAND GP	GROUP	131	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	2142.000000	2182.000000	SELE FM	FORMATION	142	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	2688.000000	3913.000000	SHETLAND GP	GROUP	143	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	925.000000	979.000000	SKADE FM	FORMATION	145	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	2437.000000	2648.000000	TY FM	FORMATION	176	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	579.000000	643.000000	UTSIRA FM	FORMATION	183	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	4236.000000	4990.000000	VIKING GP	GROUP	188	1977-11-27	311	9999-12-31	2013-05-08
15/3-2 R	2648.000000	2688.000000	VÅLE FM	FORMATION	190	1977-11-27	311	9999-12-31	2013-05-08
15/8-1	2365.000000	2418.000000	BALDER FM	FORMATION	6	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3237.000000	3335.000000	BLODØKS FM	FORMATION	13	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3436.000000	3535.000000	CROMER KNOLL GP	GROUP	23	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3535.000000	3605.000000	DRAUPNE FM	FORMATION	28	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2830.000000	2841.000000	EKOFISK FM	FORMATION	33	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	1926.000000	2225.000000	GRID FM	FORMATION	53	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3605.000000	3643.000000	HEATHER FM	FORMATION	60	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2510.000000	2675.000000	HEIMDAL FM	FORMATION	62	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2998.000000	3237.000000	HOD FM	FORMATION	66	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	1359.000000	2365.000000	HORDALAND GP	GROUP	67	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3643.000000	3945.000000	HUGIN FM	FORMATION	69	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2463.000000	2510.000000	LISTA FM	FORMATION	95	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2675.000000	2727.000000	LISTA FM	FORMATION	95	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2727.000000	2825.000000	MAUREEN FM	FORMATION	102	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	1088.000000	1359.000000	NO FORMAL NAME	FORMATION	111	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2225.000000	2365.000000	NO FORMAL NAME	FORMATION	111	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	137.000000	1359.000000	NORDLAND GP	GROUP	113	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2365.000000	2830.000000	ROGALAND GP	GROUP	131	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3436.000000	3445.000000	RØDBY FM	FORMATION	137	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2418.000000	2463.000000	SELE FM	FORMATION	142	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2830.000000	3436.000000	SHETLAND GP	GROUP	143	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3945.000000	4162.000000	SLEIPNER FM	FORMATION	148	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3445.000000	3452.000000	SOLA FM	FORMATION	152	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3335.000000	3436.000000	SVARTE FM	FORMATION	160	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2841.000000	2998.000000	TOR FM	FORMATION	171	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	879.000000	1088.000000	UTSIRA FM	FORMATION	183	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3643.000000	4162.000000	VESTLAND GP	GROUP	186	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3535.000000	3643.000000	VIKING GP	GROUP	188	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	2825.000000	2830.000000	VÅLE FM	FORMATION	190	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	3452.000000	3535.000000	ÅSGARD FM	FORMATION	198	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	4162.000000	4300.000000	FLADEN GP	GROUP	205	1982-01-07	321	9999-12-31	2013-05-08
15/8-1	4162.000000	4300.000000	RATTRAY FM	FORMATION	206	1982-01-07	321	9999-12-31	2013-05-08
15/9-1	2227.000000	2290.000000	BALDER FM	FORMATION	6	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3006.000000	3140.000000	BLODØKS FM	FORMATION	13	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3300.000000	3377.000000	CROMER KNOLL GP	GROUP	23	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3377.000000	3485.000000	DRAUPNE FM	FORMATION	28	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2743.000000	2783.000000	EKOFISK FM	FORMATION	33	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	1808.000000	2131.000000	GRID FM	FORMATION	53	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3485.000000	3530.000000	HEATHER FM	FORMATION	60	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2391.000000	2611.000000	HEIMDAL FM	FORMATION	62	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2955.000000	3006.000000	HOD FM	FORMATION	66	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	1065.000000	2227.000000	HORDALAND GP	GROUP	67	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3530.000000	3616.000000	HUGIN FM	FORMATION	69	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2357.000000	2391.000000	LISTA FM	FORMATION	95	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2611.000000	2625.000000	LISTA FM	FORMATION	95	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	1400.000000	1808.000000	NO FORMAL NAME	FORMATION	111	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2131.000000	2227.000000	NO FORMAL NAME	FORMATION	111	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	131.000000	1065.000000	NORDLAND GP	GROUP	113	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2227.000000	2743.000000	ROGALAND GP	GROUP	131	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3300.000000	3327.000000	RØDBY FM	FORMATION	137	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2290.000000	2357.000000	SELE FM	FORMATION	142	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2743.000000	3300.000000	SHETLAND GP	GROUP	143	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	1353.000000	1400.000000	SKADE FM	FORMATION	145	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3701.000000	3734.000000	SKAGERRAK FM	FORMATION	146	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3616.000000	3701.000000	SLEIPNER FM	FORMATION	148	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3327.000000	3345.000000	SOLA FM	FORMATION	152	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3140.000000	3300.000000	SVARTE FM	FORMATION	160	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2783.000000	2955.000000	TOR FM	FORMATION	171	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2625.000000	2732.000000	TY FM	FORMATION	176	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	824.000000	1065.000000	UTSIRA FM	FORMATION	183	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3530.000000	3701.000000	VESTLAND GP	GROUP	186	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3377.000000	3530.000000	VIKING GP	GROUP	188	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	2732.000000	2743.000000	VÅLE FM	FORMATION	190	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3345.000000	3377.000000	ÅSGARD FM	FORMATION	198	1977-05-30	322	9999-12-31	2013-05-08
15/9-1	3701.000000	3734.000000	NO GROUP DEFINED	GROUP	208	1977-05-30	322	9999-12-31	2013-05-08
15/9-11	2181.000000	2304.000000	BALDER FM	FORMATION	6	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2674.000000	2700.000000	BLODØKS FM	FORMATION	13	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2705.000000	2752.000000	CROMER KNOLL GP	GROUP	23	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2752.000000	2766.000000	DRAUPNE FM	FORMATION	28	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2530.000000	2557.000000	EKOFISK FM	FORMATION	33	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2766.000000	2795.000000	HEATHER FM	FORMATION	60	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2387.000000	2530.000000	HEIMDAL FM	FORMATION	62	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2700.000000	2705.000000	HIDRA FM	FORMATION	65	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	1311.000000	2181.000000	HORDALAND GP	GROUP	67	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2795.000000	2830.000000	HUGIN FM	FORMATION	69	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2557.000000	2624.000000	JORSALFARE FM	FORMATION	74	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2624.000000	2674.000000	KYRRE FM	FORMATION	92	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2304.000000	2387.000000	LISTA FM	FORMATION	95	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	113.000000	1311.000000	NORDLAND GP	GROUP	113	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2181.000000	2530.000000	ROGALAND GP	GROUP	131	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2705.000000	2718.000000	RØDBY FM	FORMATION	137	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2530.000000	2705.000000	SHETLAND GP	GROUP	143	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2830.000000	2950.000000	SMITH BANK FM	FORMATION	149	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2718.000000	2725.000000	SOLA FM	FORMATION	152	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	823.000000	1311.000000	UTSIRA FM	FORMATION	183	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2795.000000	2950.000000	VESTLAND GP	GROUP	186	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2752.000000	2795.000000	VIKING GP	GROUP	188	1981-12-23	329	9999-12-31	2013-05-08
15/9-11	2725.000000	2752.000000	ÅSGARD FM	FORMATION	198	1981-12-23	329	9999-12-31	2013-05-08
15/12-2	1963.000000	2045.000000	BALDER FM	FORMATION	6	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2525.000000	2542.000000	BLODØKS FM	FORMATION	13	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2650.000000	2703.000000	CROMER KNOLL GP	GROUP	23	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2703.000000	2765.000000	DRAUPNE FM	FORMATION	28	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2234.000000	2268.000000	EKOFISK FM	FORMATION	33	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2765.000000	2818.000000	HEATHER FM	FORMATION	60	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2425.000000	2525.000000	HOD FM	FORMATION	66	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	1038.000000	1963.000000	HORDALAND GP	GROUP	67	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2818.000000	2868.000000	HUGIN FM	FORMATION	69	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2075.000000	2224.000000	LISTA FM	FORMATION	95	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	111.000000	1038.000000	NORDLAND GP	GROUP	113	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	1963.000000	2234.000000	ROGALAND GP	GROUP	131	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2045.000000	2075.000000	SELE FM	FORMATION	142	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2234.000000	2650.000000	SHETLAND GP	GROUP	143	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2868.000000	2888.000000	SMITH BANK FM	FORMATION	149	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2650.000000	2667.000000	SOLA FM	FORMATION	152	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2542.000000	2650.000000	SVARTE FM	FORMATION	160	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2268.000000	2425.000000	TOR FM	FORMATION	171	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	981.000000	1038.000000	UTSIRA FM	FORMATION	183	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2818.000000	2868.000000	VESTLAND GP	GROUP	186	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2703.000000	2818.000000	VIKING GP	GROUP	188	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2224.000000	2234.000000	VÅLE FM	FORMATION	190	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2888.000000	2924.000000	ZECHSTEIN GP	GROUP	194	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2667.000000	2703.000000	ÅSGARD FM	FORMATION	198	1976-02-27	331	9999-12-31	2013-05-08
15/12-2	2868.000000	2888.000000	NO GROUP DEFINED	GROUP	208	1976-02-27	331	9999-12-31	2013-05-08
16/1-2	1973.000000	2018.000000	BALDER FM	FORMATION	6	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2912.000000	2919.000000	BASEMENT	GROUP	10	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2236.000000	2242.000000	CROMER KNOLL GP	GROUP	23	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	1660.000000	1730.000000	GRID FM	FORMATION	53	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2242.000000	2283.000000	INTRA HEATHER FM SS	FORMATION	59	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2283.000000	2424.000000	HEATHER FM	FORMATION	60	1976-08-07	332	2013-02-16	2013-05-08
16/1-2	2098.000000	2138.000000	HEIMDAL FM	FORMATION	62	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	930.000000	1973.000000	HORDALAND GP	GROUP	67	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2424.000000	2443.000000	HUGIN FM	FORMATION	69	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2800.000000	2808.000000	KUPFERSCHIEFER FM	FORMATION	88	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2060.000000	2098.000000	LISTA FM	FORMATION	95	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2138.000000	2192.000000	LISTA FM	FORMATION	95	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	820.000000	930.000000	NO FORMAL NAME	FORMATION	111	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	1087.000000	1134.000000	NO FORMAL NAME	FORMATION	111	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	1222.000000	1660.000000	NO FORMAL NAME	FORMATION	111	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	1730.000000	1973.000000	NO FORMAL NAME	FORMATION	111	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	164.000000	930.000000	NORDLAND GP	GROUP	113	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	1973.000000	2192.000000	ROGALAND GP	GROUP	131	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2808.000000	2912.000000	ROTLIEGEND GP	GROUP	136	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2018.000000	2060.000000	SELE FM	FORMATION	142	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2192.000000	2236.000000	SHETLAND GP	GROUP	143	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	930.000000	1087.000000	SKADE FM	FORMATION	145	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	1134.000000	1222.000000	SKADE FM	FORMATION	145	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2443.000000	2620.000000	SKAGERRAK FM	FORMATION	146	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2620.000000	2713.000000	SMITH BANK FM	FORMATION	149	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2713.000000	2800.000000	UNDIFFERENTIATED	FORMATION	182	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	740.000000	820.000000	UTSIRA FM	FORMATION	183	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2424.000000	2443.000000	VESTLAND GP	GROUP	186	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2242.000000	2424.000000	VIKING GP	GROUP	188	1976-08-07	332	2013-02-16	2013-05-08
16/1-2	2713.000000	2808.000000	ZECHSTEIN GP	GROUP	194	1976-08-07	332	9999-12-31	2013-05-08
16/1-2	2443.000000	2713.000000	NO GROUP DEFINED	GROUP	208	1976-08-07	332	9999-12-31	2013-05-08
16/3-2	1302.000000	1344.000000	BALDER FM	FORMATION	6	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	2015.000000	2019.000000	BASEMENT	GROUP	10	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1785.000000	1955.000000	CROMER KNOLL GP	GROUP	23	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1955.000000	1975.000000	DRAUPNE FM	FORMATION	28	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1458.000000	1471.000000	EKOFISK FM	FORMATION	33	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1549.000000	1682.000000	HOD FM	FORMATION	66	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	882.000000	1302.000000	HORDALAND GP	GROUP	67	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1356.000000	1450.000000	LISTA FM	FORMATION	95	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	142.000000	882.000000	NORDLAND GP	GROUP	113	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1302.000000	1458.000000	ROGALAND GP	GROUP	131	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1785.000000	1800.000000	RØDBY FM	FORMATION	137	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1344.000000	1356.000000	SELE FM	FORMATION	142	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1458.000000	1785.000000	SHETLAND GP	GROUP	143	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1800.000000	1908.000000	SOLA FM	FORMATION	152	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1682.000000	1785.000000	SVARTE FM	FORMATION	160	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1471.000000	1549.000000	TOR FM	FORMATION	171	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	779.000000	882.000000	UTSIRA FM	FORMATION	183	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1955.000000	1975.000000	VIKING GP	GROUP	188	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1450.000000	1458.000000	VÅLE FM	FORMATION	190	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1975.000000	2006.000000	UNDEFINED GP	GROUP	191	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	2006.000000	2015.000000	UNDEFINED GP	GROUP	191	1976-03-08	334	9999-12-31	2013-05-08
16/3-2	1908.000000	1955.000000	ÅSGARD FM	FORMATION	198	1976-03-08	334	9999-12-31	2013-05-08
16/8-1	1568.000000	1608.000000	BALDER FM	FORMATION	6	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1829.000000	2041.000000	CROMER KNOLL GP	GROUP	23	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	2073.000000	2116.000000	INTRA DRAUPNE FM SS	FORMATION	26	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	2041.000000	2073.000000	DRAUPNE FM	FORMATION	28	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1750.000000	1775.000000	EKOFISK FM	FORMATION	33	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1791.000000	1829.000000	HOD FM	FORMATION	66	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	955.000000	1568.000000	HORDALAND GP	GROUP	67	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1650.000000	1740.000000	LISTA FM	FORMATION	95	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	106.000000	955.000000	NORDLAND GP	GROUP	113	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1568.000000	1750.000000	ROGALAND GP	GROUP	131	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1829.000000	1879.000000	RØDBY FM	FORMATION	137	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1608.000000	1650.000000	SELE FM	FORMATION	142	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1750.000000	1829.000000	SHETLAND GP	GROUP	143	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	2116.000000	2301.000000	SMITH BANK FM	FORMATION	149	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1879.000000	1900.000000	SOLA FM	FORMATION	152	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1775.000000	1791.000000	TOR FM	FORMATION	171	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	765.000000	955.000000	UTSIRA FM	FORMATION	183	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	2041.000000	2116.000000	VIKING GP	GROUP	188	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1740.000000	1750.000000	VÅLE FM	FORMATION	190	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	1900.000000	2041.000000	ÅSGARD FM	FORMATION	198	1976-10-29	335	9999-12-31	2013-05-08
16/8-1	2116.000000	2301.000000	NO GROUP DEFINED	GROUP	208	1976-10-29	335	9999-12-31	2013-05-08
16/11-2	1532.000000	1573.000000	BALDER FM	FORMATION	6	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	2127.000000	2202.000000	BOKNFJORD GP	GROUP	15	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1897.000000	2127.000000	CROMER KNOLL GP	GROUP	23	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1656.000000	1697.000000	EKOFISK FM	FORMATION	33	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1819.000000	1897.000000	HOD FM	FORMATION	66	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	931.000000	1532.000000	HORDALAND GP	GROUP	67	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1606.000000	1640.000000	LISTA FM	FORMATION	95	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	97.000000	931.000000	NORDLAND GP	GROUP	113	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1532.000000	1656.000000	ROGALAND GP	GROUP	131	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1897.000000	1917.000000	RØDBY FM	FORMATION	137	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	2202.000000	2269.000000	SANDNES FM	FORMATION	139	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1573.000000	1606.000000	SELE FM	FORMATION	142	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1656.000000	1897.000000	SHETLAND GP	GROUP	143	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1917.000000	1963.000000	SOLA FM	FORMATION	152	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	2127.000000	2202.000000	TAU FM	FORMATION	164	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1697.000000	1819.000000	TOR FM	FORMATION	171	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	912.000000	931.000000	UTSIRA FM	FORMATION	183	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	2202.000000	2269.000000	VESTLAND GP	GROUP	186	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1640.000000	1656.000000	VÅLE FM	FORMATION	190	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	2269.000000	2378.000000	ZECHSTEIN GP	GROUP	194	1973-07-23	336	9999-12-31	2013-05-08
16/11-2	1963.000000	2127.000000	ÅSGARD FM	FORMATION	198	1973-07-23	336	9999-12-31	2013-05-08
17/9-1	695.000000	719.000000	BALDER FM	FORMATION	6	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	1195.000000	1220.000000	BLODØKS FM	FORMATION	13	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	1933.000000	2220.000000	BOKNFJORD GP	GROUP	15	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	1220.000000	1933.000000	CROMER KNOLL GP	GROUP	23	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	2205.000000	2220.000000	EGERSUND FM	FORMATION	30	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	746.000000	789.000000	EKOFISK FM	FORMATION	33	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	1933.000000	1954.000000	FLEKKEFJORD FM	FORMATION	43	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	1085.000000	1195.000000	HOD FM	FORMATION	66	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	439.000000	695.000000	HORDALAND GP	GROUP	67	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	731.000000	738.000000	LISTA FM	FORMATION	95	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	2237.000000	2816.000000	NO FORMAL NAME	FORMATION	111	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	168.000000	439.000000	NORDLAND GP	GROUP	113	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	695.000000	746.000000	ROGALAND GP	GROUP	131	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	1220.000000	1354.000000	RØDBY FM	FORMATION	137	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	2220.000000	2237.000000	SANDNES FM	FORMATION	139	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	1954.000000	2165.000000	SAUDA FM	FORMATION	141	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	719.000000	731.000000	SELE FM	FORMATION	142	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	746.000000	1220.000000	SHETLAND GP	GROUP	143	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	1354.000000	1464.000000	SOLA FM	FORMATION	152	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	2165.000000	2205.000000	TAU FM	FORMATION	164	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	789.000000	1085.000000	TOR FM	FORMATION	171	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	2220.000000	2816.000000	VESTLAND GP	GROUP	186	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	738.000000	746.000000	VÅLE FM	FORMATION	190	1973-10-23	337	9999-12-31	2013-05-08
17/9-1	1464.000000	1933.000000	ÅSGARD FM	FORMATION	198	1973-10-23	337	9999-12-31	2013-05-08
17/11-2	1220.000000	1245.000000	BALDER FM	FORMATION	6	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	2410.000000	2521.000000	BOKNFJORD GP	GROUP	15	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1787.000000	2410.000000	CROMER KNOLL GP	GROUP	23	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	2513.000000	2521.000000	EGERSUND FM	FORMATION	30	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1323.000000	1354.000000	EKOFISK FM	FORMATION	33	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	2410.000000	2422.000000	FLEKKEFJORD FM	FORMATION	43	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1700.000000	1787.000000	HIDRA FM	FORMATION	65	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1640.000000	1700.000000	HOD FM	FORMATION	66	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	689.000000	1220.000000	HORDALAND GP	GROUP	67	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1270.000000	1310.000000	LISTA FM	FORMATION	95	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	112.000000	689.000000	NORDLAND GP	GROUP	113	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1787.000000	1802.000000	RAN SANDSTONE UNITS	FORMATION	125	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1220.000000	1323.000000	ROGALAND GP	GROUP	131	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	2422.000000	2495.000000	SAUDA FM	FORMATION	141	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1245.000000	1270.000000	SELE FM	FORMATION	142	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1323.000000	1787.000000	SHETLAND GP	GROUP	143	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	2521.000000	2608.000000	SKAGERRAK FM	FORMATION	146	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	2608.000000	2644.000000	SMITH BANK FM	FORMATION	149	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	2495.000000	2513.000000	TAU FM	FORMATION	164	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1354.000000	1640.000000	TOR FM	FORMATION	171	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1310.000000	1323.000000	VÅLE FM	FORMATION	190	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	1802.000000	2410.000000	ÅSGARD FM	FORMATION	198	1976-05-17	338	9999-12-31	2013-05-08
17/11-2	2521.000000	2644.000000	NO GROUP DEFINED	GROUP	208	1976-05-17	338	9999-12-31	2013-05-08
17/12-1	450.000000	458.000000	HORDALAND GP	GROUP	67	1971-11-01	339	9999-12-31	2013-05-08
17/12-1	142.000000	450.000000	NORDLAND GP	GROUP	113	1971-11-01	339	9999-12-31	2013-05-08
17/12-2	924.000000	951.000000	BALDER FM	FORMATION	6	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	1932.000000	2157.000000	BOKNFJORD GP	GROUP	15	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	2179.000000	2243.000000	BRYNE FM	FORMATION	19	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	1476.000000	1932.000000	CROMER KNOLL GP	GROUP	23	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	707.000000	924.000000	HORDALAND GP	GROUP	67	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	957.000000	987.000000	LISTA FM	FORMATION	95	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	987.000000	991.000000	MAUREEN FM	FORMATION	102	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	93.000000	128.000000	NORDLAND GP	GROUP	113	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	128.000000	707.000000	NORDLAND GP	GROUP	113	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	924.000000	991.000000	ROGALAND GP	GROUP	131	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	2293.000000	2300.000000	ROTLIEGEND GP	GROUP	136	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	2157.000000	2179.000000	SANDNES FM	FORMATION	139	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	951.000000	957.000000	SELE FM	FORMATION	142	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	991.000000	1476.000000	SHETLAND GP	GROUP	143	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	2157.000000	2243.000000	VESTLAND GP	GROUP	186	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	2243.000000	2293.000000	ZECHSTEIN GP	GROUP	194	1973-10-09	340	9999-12-31	2013-05-08
17/12-2	2300.000000	2334.000000	NO GROUP DEFINED	GROUP	208	1973-10-09	340	9999-12-31	2013-05-08
17/12-3	768.000000	790.000000	BALDER FM	FORMATION	6	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	1957.000000	2370.000000	BOKNFJORD GP	GROUP	15	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	2396.000000	2617.000000	BRYNE FM	FORMATION	19	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	1266.000000	1957.000000	CROMER KNOLL GP	GROUP	23	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	2288.000000	2370.000000	EGERSUND FM	FORMATION	30	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	801.000000	817.000000	EKOFISK FM	FORMATION	33	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	1957.000000	2010.000000	FLEKKEFJORD FM	FORMATION	43	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	2617.000000	2638.000000	GASSUM FM	FORMATION	49	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	1157.000000	1266.000000	HOD FM	FORMATION	66	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	528.000000	768.000000	HORDALAND GP	GROUP	67	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	794.000000	798.000000	LISTA FM	FORMATION	95	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	137.000000	528.000000	NORDLAND GP	GROUP	113	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	768.000000	801.000000	ROGALAND GP	GROUP	131	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	1266.000000	1388.000000	RØDBY FM	FORMATION	137	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	2370.000000	2396.000000	SANDNES FM	FORMATION	139	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	2010.000000	2236.000000	SAUDA FM	FORMATION	141	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	790.000000	794.000000	SELE FM	FORMATION	142	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	801.000000	1266.000000	SHETLAND GP	GROUP	143	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	2638.000000	2730.000000	SKAGERRAK FM	FORMATION	146	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	1388.000000	1555.000000	SOLA FM	FORMATION	152	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	2236.000000	2288.000000	TAU FM	FORMATION	164	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	817.000000	1157.000000	TOR FM	FORMATION	171	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	2370.000000	2617.000000	VESTLAND GP	GROUP	186	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	798.000000	801.000000	VÅLE FM	FORMATION	190	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	1555.000000	1957.000000	ÅSGARD FM	FORMATION	198	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	2617.000000	2638.000000	NO GROUP DEFINED	GROUP	208	1980-02-03	341	9999-12-31	2013-05-08
17/12-3	2638.000000	2730.000000	NO GROUP DEFINED	GROUP	208	1980-02-03	341	9999-12-31	2013-05-08
18/10-1	709.000000	729.000000	BALDER FM	FORMATION	6	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	1991.000000	2405.000000	BOKNFJORD GP	GROUP	15	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	2421.000000	2506.000000	BRYNE FM	FORMATION	19	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	1326.000000	1991.000000	CROMER KNOLL GP	GROUP	23	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	2319.000000	2405.000000	EGERSUND FM	FORMATION	30	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	744.000000	808.000000	EKOFISK FM	FORMATION	33	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	1991.000000	2046.000000	FLEKKEFJORD FM	FORMATION	43	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	1161.000000	1326.000000	HOD FM	FORMATION	66	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	369.000000	709.000000	HORDALAND GP	GROUP	67	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	737.000000	742.000000	LISTA FM	FORMATION	95	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	121.000000	369.000000	NORDLAND GP	GROUP	113	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	709.000000	744.000000	ROGALAND GP	GROUP	131	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	1326.000000	1468.000000	RØDBY FM	FORMATION	137	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	2405.000000	2421.000000	SANDNES FM	FORMATION	139	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	2046.000000	2277.000000	SAUDA FM	FORMATION	141	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	729.000000	737.000000	SELE FM	FORMATION	142	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	744.000000	1326.000000	SHETLAND GP	GROUP	143	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	2506.000000	2800.000000	SKAGERRAK FM	FORMATION	146	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	1468.000000	1573.000000	SOLA FM	FORMATION	152	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	2277.000000	2319.000000	TAU FM	FORMATION	164	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	808.000000	1161.000000	TOR FM	FORMATION	171	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	2405.000000	2506.000000	VESTLAND GP	GROUP	186	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	742.000000	744.000000	VÅLE FM	FORMATION	190	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	1573.000000	1991.000000	ÅSGARD FM	FORMATION	198	1980-01-01	342	9999-12-31	2013-05-08
18/10-1	2506.000000	2800.000000	NO GROUP DEFINED	GROUP	208	1980-01-01	342	9999-12-31	2013-05-08
18/11-1	463.000000	486.000000	BALDER FM	FORMATION	6	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	2060.000000	2086.000000	BASEMENT	GROUP	10	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	1609.000000	1878.000000	BOKNFJORD GP	GROUP	15	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	1964.000000	2060.000000	BRYNE FM	FORMATION	19	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	985.000000	1609.000000	CROMER KNOLL GP	GROUP	23	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	1800.000000	1878.000000	EGERSUND FM	FORMATION	30	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	498.000000	572.000000	EKOFISK FM	FORMATION	33	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	1609.000000	1650.000000	FLEKKEFJORD FM	FORMATION	43	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	860.000000	985.000000	HOD FM	FORMATION	66	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	373.000000	463.000000	HORDALAND GP	GROUP	67	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	492.000000	496.000000	LISTA FM	FORMATION	95	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	141.000000	373.000000	NORDLAND GP	GROUP	113	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	463.000000	498.000000	ROGALAND GP	GROUP	131	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	985.000000	1135.000000	RØDBY FM	FORMATION	137	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	1878.000000	1964.000000	SANDNES FM	FORMATION	139	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	1650.000000	1747.000000	SAUDA FM	FORMATION	141	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	486.000000	492.000000	SELE FM	FORMATION	142	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	498.000000	985.000000	SHETLAND GP	GROUP	143	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	1135.000000	1325.000000	SOLA FM	FORMATION	152	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	1747.000000	1800.000000	TAU FM	FORMATION	164	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	572.000000	860.000000	TOR FM	FORMATION	171	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	1878.000000	2060.000000	VESTLAND GP	GROUP	186	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	496.000000	498.000000	VÅLE FM	FORMATION	190	1974-03-31	343	9999-12-31	2013-05-08
18/11-1	1325.000000	1609.000000	ÅSGARD FM	FORMATION	198	1974-03-31	343	9999-12-31	2013-05-08
24/9-1	2024.000000	2098.000000	BALDER FM	FORMATION	6	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	3783.000000	3804.000000	BLODØKS FM	FORMATION	13	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	3992.000000	4330.000000	CROMER KNOLL GP	GROUP	23	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	4330.000000	4800.000000	DRAUPNE FM	FORMATION	28	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	1131.000000	1264.000000	GRID FM	FORMATION	53	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	1358.000000	1420.000000	GRID FM	FORMATION	53	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	4815.000000	4837.000000	INTRA HEATHER FM SS	FORMATION	59	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	4800.000000	4815.000000	HEATHER FM	FORMATION	60	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	4837.000000	4907.000000	HEATHER FM	FORMATION	60	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	2202.000000	2497.000000	HEIMDAL FM	FORMATION	62	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	793.000000	2024.000000	HORDALAND GP	GROUP	67	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	2752.000000	3117.000000	JORSALFARE FM	FORMATION	74	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	3117.000000	3638.000000	KYRRE FM	FORMATION	92	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	2497.000000	2545.000000	LISTA FM	FORMATION	95	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	1264.000000	1358.000000	NO FORMAL NAME	FORMATION	111	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	1420.000000	2024.000000	NO FORMAL NAME	FORMATION	111	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	143.000000	793.000000	NORDLAND GP	GROUP	113	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	2024.000000	2752.000000	ROGALAND GP	GROUP	131	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	3992.000000	4050.000000	RØDBY FM	FORMATION	137	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	2098.000000	2202.000000	SELE FM	FORMATION	142	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	2752.000000	3992.000000	SHETLAND GP	GROUP	143	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	4050.000000	4170.000000	SOLA FM	FORMATION	152	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	3804.000000	3992.000000	SVARTE FM	FORMATION	160	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	3638.000000	3783.000000	TRYGGVASON FM	FORMATION	173	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	2545.000000	2659.000000	TY FM	FORMATION	176	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	603.000000	793.000000	UTSIRA FM	FORMATION	183	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	4330.000000	4907.000000	VIKING GP	GROUP	188	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	2659.000000	2752.000000	VÅLE FM	FORMATION	190	1976-07-03	344	9999-12-31	2013-05-08
24/9-1	4170.000000	4330.000000	ÅSGARD FM	FORMATION	198	1976-07-03	344	9999-12-31	2013-05-08
24/9-2	2004.000000	2075.000000	BALDER FM	FORMATION	6	1977-07-22	345	9999-12-31	2013-05-08
24/9-2	2608.000000	2667.000000	EKOFISK FM	FORMATION	33	1977-07-22	345	9999-12-31	2013-05-08
24/9-2	2169.000000	2502.000000	HEIMDAL FM	FORMATION	62	1977-07-22	345	9999-12-31	2013-05-08
24/9-2	885.000000	2004.000000	HORDALAND GP	GROUP	67	1977-07-22	345	9999-12-31	2013-05-08
24/9-2	2502.000000	2543.000000	LISTA FM	FORMATION	95	1977-07-22	345	9999-12-31	2013-05-08
24/9-2	143.000000	885.000000	NORDLAND GP	GROUP	113	1977-07-22	345	9999-12-31	2013-05-08
24/9-2	2004.000000	2608.000000	ROGALAND GP	GROUP	131	1977-07-22	345	9999-12-31	2013-05-08
24/9-2	2075.000000	2169.000000	SELE FM	FORMATION	142	1977-07-22	345	9999-12-31	2013-05-08
24/9-2	2608.000000	2743.000000	SHETLAND GP	GROUP	143	1977-07-22	345	9999-12-31	2013-05-08
24/9-2	2667.000000	2743.000000	TOR FM	FORMATION	171	1977-07-22	345	9999-12-31	2013-05-08
24/9-2	2543.000000	2608.000000	TY FM	FORMATION	176	1977-07-22	345	9999-12-31	2013-05-08
24/9-2	304.000000	885.000000	UTSIRA FM	FORMATION	183	1977-07-22	345	9999-12-31	2013-05-08
24/9-3	1918.000000	1981.000000	BALDER FM	FORMATION	6	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	1739.000000	1831.000000	FRIGG FM	FORMATION	45	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	1201.000000	1400.000000	GRID FM	FORMATION	53	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	2215.000000	2567.000000	HEIMDAL FM	FORMATION	62	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	1981.000000	2060.000000	HERMOD FM	FORMATION	64	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	698.000000	1918.000000	HORDALAND GP	GROUP	67	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	2836.000000	3051.000000	JORSALFARE FM	FORMATION	74	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	2567.000000	2757.000000	LISTA FM	FORMATION	95	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	1146.000000	1201.000000	NO FORMAL NAME	FORMATION	111	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	1400.000000	1739.000000	NO FORMAL NAME	FORMATION	111	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	1831.000000	1918.000000	NO FORMAL NAME	FORMATION	111	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	145.000000	698.000000	NORDLAND GP	GROUP	113	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	1918.000000	2836.000000	ROGALAND GP	GROUP	131	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	2060.000000	2215.000000	SELE FM	FORMATION	142	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	2836.000000	3051.000000	SHETLAND GP	GROUP	143	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	1043.000000	1146.000000	SKADE FM	FORMATION	145	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	360.000000	698.000000	UTSIRA FM	FORMATION	183	1981-04-15	346	9999-12-31	2013-05-08
24/9-3	2757.000000	2836.000000	VÅLE FM	FORMATION	190	1981-04-15	346	9999-12-31	2013-05-08
24/12-1	2190.000000	2255.000000	BALDER FM	FORMATION	6	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	3672.000000	3681.000000	BLODØKS FM	FORMATION	13	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	3848.000000	3966.000000	CROMER KNOLL GP	GROUP	23	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	2768.000000	2784.000000	EKOFISK FM	FORMATION	33	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	1502.000000	1660.000000	GRID FM	FORMATION	53	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	2326.000000	2700.000000	HEIMDAL FM	FORMATION	62	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	3080.000000	3550.000000	HOD FM	FORMATION	66	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	850.000000	2190.000000	HORDALAND GP	GROUP	67	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	2307.000000	2326.000000	LISTA FM	FORMATION	95	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	2700.000000	2763.000000	LISTA FM	FORMATION	95	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	732.000000	850.000000	NO FORMAL NAME	FORMATION	111	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	1007.000000	1502.000000	NO FORMAL NAME	FORMATION	111	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	1660.000000	2190.000000	NO FORMAL NAME	FORMATION	111	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	138.000000	850.000000	NORDLAND GP	GROUP	113	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	2190.000000	2768.000000	ROGALAND GP	GROUP	131	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	3848.000000	3945.000000	RØDBY FM	FORMATION	137	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	2255.000000	2307.000000	SELE FM	FORMATION	142	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	2768.000000	3848.000000	SHETLAND GP	GROUP	143	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	850.000000	1007.000000	SKADE FM	FORMATION	145	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	3945.000000	3966.000000	SOLA FM	FORMATION	152	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	3681.000000	3848.000000	SVARTE FM	FORMATION	160	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	2784.000000	3080.000000	TOR FM	FORMATION	171	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	3550.000000	3672.000000	TRYGGVASON FM	FORMATION	173	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	497.000000	732.000000	UTSIRA FM	FORMATION	183	1978-04-09	347	9999-12-31	2013-05-08
24/12-1	2763.000000	2768.000000	VÅLE FM	FORMATION	190	1978-04-09	347	9999-12-31	2013-05-08
24/12-2	2052.000000	2120.000000	BALDER FM	FORMATION	6	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	3598.000000	3654.000000	BLODØKS FM	FORMATION	13	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	3840.000000	4261.000000	CROMER KNOLL GP	GROUP	23	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	4261.000000	4640.000000	DRAUPNE FM	FORMATION	28	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	1282.000000	1397.000000	GRID FM	FORMATION	53	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	4739.000000	4749.000000	INTRA HEATHER FM SS	FORMATION	59	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	4955.000000	4978.000000	INTRA HEATHER FM SS	FORMATION	59	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	4640.000000	4739.000000	HEATHER FM	FORMATION	60	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	4749.000000	4955.000000	HEATHER FM	FORMATION	60	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	4978.000000	5100.000000	HEATHER FM	FORMATION	60	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2202.000000	2407.000000	HEIMDAL FM	FORMATION	62	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	823.000000	2052.000000	HORDALAND GP	GROUP	67	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2683.000000	2902.000000	JORSALFARE FM	FORMATION	74	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2902.000000	3257.000000	KYRRE FM	FORMATION	92	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2175.000000	2202.000000	LISTA FM	FORMATION	95	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2407.000000	2490.000000	LISTA FM	FORMATION	95	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	1397.000000	2052.000000	NO FORMAL NAME	FORMATION	111	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	151.000000	823.000000	NORDLAND GP	GROUP	113	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2052.000000	2683.000000	ROGALAND GP	GROUP	131	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	3840.000000	3985.000000	RØDBY FM	FORMATION	137	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2120.000000	2175.000000	SELE FM	FORMATION	142	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2683.000000	3840.000000	SHETLAND GP	GROUP	143	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	3985.000000	4043.000000	SOLA FM	FORMATION	152	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	3654.000000	3840.000000	SVARTE FM	FORMATION	160	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	3257.000000	3598.000000	TRYGGVASON FM	FORMATION	173	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2490.000000	2512.000000	TY FM	FORMATION	176	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2567.000000	2617.000000	TY FM	FORMATION	176	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	528.000000	823.000000	UTSIRA FM	FORMATION	183	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	4261.000000	5100.000000	VIKING GP	GROUP	188	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2512.000000	2567.000000	VÅLE FM	FORMATION	190	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	2617.000000	2683.000000	VÅLE FM	FORMATION	190	1982-01-21	348	9999-12-31	2013-05-08
24/12-2	4043.000000	4261.000000	ÅSGARD FM	FORMATION	198	1982-01-21	348	9999-12-31	2013-05-08
25/1-4	2058.000000	2316.000000	BALDER FM	FORMATION	6	1974-05-30	350	9999-12-31	2013-05-08
25/1-4	1968.000000	2058.000000	FRIGG FM	FORMATION	45	1974-05-30	350	9999-12-31	2013-05-08
25/1-4	2687.000000	2795.000000	HARDRÅDE FM	FORMATION	56	1974-05-30	350	9999-12-31	2013-05-08
25/1-4	952.000000	2058.000000	HORDALAND GP	GROUP	67	1974-05-30	350	9999-12-31	2013-05-08
25/1-4	2561.000000	2643.000000	LISTA FM	FORMATION	95	1974-05-30	350	9999-12-31	2013-05-08
25/1-4	133.000000	952.000000	NORDLAND GP	GROUP	113	1974-05-30	350	9999-12-31	2013-05-08
25/1-4	2058.000000	2687.000000	ROGALAND GP	GROUP	131	1974-05-30	350	9999-12-31	2013-05-08
25/1-4	2316.000000	2561.000000	SELE FM	FORMATION	142	1974-05-30	350	9999-12-31	2013-05-08
25/1-4	2687.000000	2795.000000	SHETLAND GP	GROUP	143	1974-05-30	350	9999-12-31	2013-05-08
25/1-4	2643.000000	2687.000000	TY FM	FORMATION	176	1974-05-30	350	9999-12-31	2013-05-08
25/1-6	2150.000000	2167.000000	BALDER FM	FORMATION	6	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	2107.000000	2150.000000	FRIGG FM	FORMATION	45	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	2249.000000	2563.000000	HEIMDAL FM	FORMATION	62	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	698.000000	2150.000000	HORDALAND GP	GROUP	67	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	2799.000000	2895.000000	JORSALFARE FM	FORMATION	74	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	2195.000000	2249.000000	LISTA FM	FORMATION	95	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	2563.000000	2675.000000	LISTA FM	FORMATION	95	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	129.000000	698.000000	NORDLAND GP	GROUP	113	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	2150.000000	2799.000000	ROGALAND GP	GROUP	131	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	2167.000000	2195.000000	SELE FM	FORMATION	142	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	2799.000000	2895.000000	SHETLAND GP	GROUP	143	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	2675.000000	2799.000000	TY FM	FORMATION	176	1978-03-18	352	9999-12-31	2013-05-08
25/1-6	475.000000	698.000000	UTSIRA FM	FORMATION	183	1978-03-18	352	9999-12-31	2013-05-08
25/2-1	2146.000000	2188.000000	BALDER FM	FORMATION	6	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	2035.000000	2146.000000	INTRA BALDER FM SS	FORMATION	7	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	1915.000000	2003.000000	FRIGG FM	FORMATION	45	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	1424.000000	1442.000000	GRID FM	FORMATION	53	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	2653.000000	2740.000000	HARDRÅDE FM	FORMATION	56	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	2188.000000	2360.000000	HERMOD FM	FORMATION	64	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	1021.000000	2035.000000	HORDALAND GP	GROUP	67	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	2360.000000	2385.000000	LISTA FM	FORMATION	95	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	1089.000000	1424.000000	NO FORMAL NAME	FORMATION	111	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	1442.000000	1915.000000	NO FORMAL NAME	FORMATION	111	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	2003.000000	2035.000000	NO FORMAL NAME	FORMATION	111	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	127.000000	1021.000000	NORDLAND GP	GROUP	113	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	2035.000000	2653.000000	ROGALAND GP	GROUP	131	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	2653.000000	2740.000000	SHETLAND GP	GROUP	143	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	1085.000000	1089.000000	SKADE FM	FORMATION	145	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	2538.000000	2552.000000	TY FM	FORMATION	176	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	2557.000000	2653.000000	TY FM	FORMATION	176	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	813.000000	1021.000000	UTSIRA FM	FORMATION	183	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	2385.000000	2538.000000	VÅLE FM	FORMATION	190	1973-09-21	353	9999-12-31	2013-05-08
25/2-1	2552.000000	2557.000000	VÅLE FM	FORMATION	190	1973-09-21	353	9999-12-31	2013-05-08
25/2-2	2196.000000	2263.000000	BALDER FM	FORMATION	6	1974-07-11	354	9999-12-31	2013-05-08
25/2-2	1949.000000	2016.000000	FRIGG FM	FORMATION	45	1974-07-11	354	9999-12-31	2013-05-08
25/2-2	2703.000000	2740.000000	HARDRÅDE FM	FORMATION	56	1974-07-11	354	9999-12-31	2013-05-08
25/2-2	2269.000000	2363.000000	HERMOD FM	FORMATION	64	1974-07-11	354	9999-12-31	2013-05-08
25/2-2	887.000000	2016.000000	HORDALAND GP	GROUP	67	1974-07-11	354	9999-12-31	2013-05-08
25/2-2	2016.000000	2196.000000	HORDALAND GP	GROUP	67	1974-07-11	354	9999-12-31	2013-05-08
25/2-2	2363.000000	2563.000000	LISTA FM	FORMATION	95	1974-07-11	354	9999-12-31	2013-05-08
25/2-2	129.000000	887.000000	NORDLAND GP	GROUP	113	1974-07-11	354	9999-12-31	2013-05-08
25/2-2	2196.000000	2703.000000	ROGALAND GP	GROUP	131	1974-07-11	354	9999-12-31	2013-05-08
25/2-2	2263.000000	2269.000000	SELE FM	FORMATION	142	1974-07-11	354	9999-12-31	2013-05-08
25/2-2	2703.000000	2740.000000	SHETLAND GP	GROUP	143	1974-07-11	354	9999-12-31	2013-05-08
25/2-2	2563.000000	2703.000000	TY FM	FORMATION	176	1974-07-11	354	9999-12-31	2013-05-08
25/2-3	2211.000000	2246.000000	BALDER FM	FORMATION	6	1974-10-09	355	9999-12-31	2013-05-08
25/2-3	2073.000000	2211.000000	FRIGG FM	FORMATION	45	1974-10-09	355	9999-12-31	2013-05-08
25/2-3	2726.000000	2795.000000	HARDRÅDE FM	FORMATION	56	1974-10-09	355	9999-12-31	2013-05-08
25/2-3	2274.000000	2427.000000	HERMOD FM	FORMATION	64	1974-10-09	355	9999-12-31	2013-05-08
25/2-3	1008.000000	2211.000000	HORDALAND GP	GROUP	67	1974-10-09	355	9999-12-31	2013-05-08
25/2-3	2427.000000	2582.000000	LISTA FM	FORMATION	95	1974-10-09	355	9999-12-31	2013-05-08
25/2-3	138.000000	1008.000000	NORDLAND GP	GROUP	113	1974-10-09	355	9999-12-31	2013-05-08
25/2-3	2211.000000	2726.000000	ROGALAND GP	GROUP	131	1974-10-09	355	9999-12-31	2013-05-08
25/2-3	2246.000000	2274.000000	SELE FM	FORMATION	142	1974-10-09	355	9999-12-31	2013-05-08
25/2-3	2726.000000	2795.000000	SHETLAND GP	GROUP	143	1974-10-09	355	9999-12-31	2013-05-08
25/2-3	2582.000000	2726.000000	TY FM	FORMATION	176	1974-10-09	355	9999-12-31	2013-05-08
25/2-4	3965.000000	4084.000000	AMUNDSEN FM	FORMATION	4	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2177.000000	2208.000000	BALDER FM	FORMATION	6	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2098.000000	2177.000000	INTRA BALDER FM SS	FORMATION	7	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2208.000000	2223.000000	INTRA BALDER FM SS	FORMATION	7	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	3927.000000	3965.000000	COOK FM	FORMATION	24	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	3876.000000	3927.000000	DRAKE FM	FORMATION	27	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	3632.000000	3640.000000	DRAUPNE FM	FORMATION	28	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	3876.000000	4084.000000	DUNLIN GP	GROUP	29	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2012.000000	2061.000000	FRIGG FM	FORMATION	45	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	1213.000000	1250.000000	GRID FM	FORMATION	53	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2617.000000	2925.000000	HARDRÅDE FM	FORMATION	56	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2250.000000	2325.000000	HERMOD FM	FORMATION	64	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	1025.000000	2098.000000	HORDALAND GP	GROUP	67	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	3640.000000	3752.000000	HUGIN FM	FORMATION	69	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2925.000000	3370.000000	KYRRE FM	FORMATION	92	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2325.000000	2400.000000	LISTA FM	FORMATION	95	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	1111.000000	1213.000000	NO FORMAL NAME	FORMATION	111	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	1250.000000	2012.000000	NO FORMAL NAME	FORMATION	111	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2061.000000	2098.000000	NO FORMAL NAME	FORMATION	111	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	137.000000	1025.000000	NORDLAND GP	GROUP	113	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2098.000000	2617.000000	ROGALAND GP	GROUP	131	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2223.000000	2250.000000	SELE FM	FORMATION	142	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2617.000000	3632.000000	SHETLAND GP	GROUP	143	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	1077.000000	1111.000000	SKADE FM	FORMATION	145	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	3752.000000	3876.000000	SLEIPNER FM	FORMATION	148	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	4261.000000	4360.000000	SMITH BANK FM	FORMATION	149	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	4084.000000	4261.000000	STATFJORD FM	FORMATION	157	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	3370.000000	3632.000000	TRYGGVASON FM	FORMATION	173	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2590.000000	2606.000000	TY FM	FORMATION	176	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	812.000000	1025.000000	UTSIRA FM	FORMATION	183	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	3640.000000	3876.000000	VESTLAND GP	GROUP	186	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	3632.000000	3640.000000	VIKING GP	GROUP	188	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2400.000000	2590.000000	VÅLE FM	FORMATION	190	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	2606.000000	2617.000000	VÅLE FM	FORMATION	190	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	4084.000000	4261.000000	NO GROUP DEFINED	GROUP	208	1975-10-20	356	9999-12-31	2013-05-08
25/2-4	4261.000000	4360.000000	NO GROUP DEFINED	GROUP	208	1975-10-20	356	9999-12-31	2013-05-08
25/2-5	3605.000000	3652.000000	AMUNDSEN FM	FORMATION	4	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	2155.000000	2238.000000	BALDER FM	FORMATION	6	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3240.000000	3259.000000	BLODØKS FM	FORMATION	13	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3292.000000	3302.000000	CROMER KNOLL GP	GROUP	23	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3513.000000	3605.000000	COOK FM	FORMATION	24	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3489.000000	3513.000000	DRAKE FM	FORMATION	27	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3302.000000	3316.000000	DRAUPNE FM	FORMATION	28	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3489.000000	3652.000000	DUNLIN GP	GROUP	29	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	2702.000000	2990.000000	HARDRÅDE FM	FORMATION	56	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3316.000000	3336.000000	HEATHER FM	FORMATION	60	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	2238.000000	2374.000000	HERMOD FM	FORMATION	64	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	1055.000000	2155.000000	HORDALAND GP	GROUP	67	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3336.000000	3407.000000	HUGIN FM	FORMATION	69	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	2990.000000	3158.000000	KYRRE FM	FORMATION	92	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	2374.000000	2508.000000	LISTA FM	FORMATION	95	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	1167.000000	2155.000000	NO FORMAL NAME	FORMATION	111	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	141.000000	1055.000000	NORDLAND GP	GROUP	113	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	2155.000000	2702.000000	ROGALAND GP	GROUP	131	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3292.000000	3302.000000	RØDBY FM	FORMATION	137	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	2702.000000	3292.000000	SHETLAND GP	GROUP	143	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	1158.000000	1167.000000	SKADE FM	FORMATION	145	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3407.000000	3489.000000	SLEIPNER FM	FORMATION	148	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3847.000000	4000.000000	SMITH BANK FM	FORMATION	149	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3652.000000	3847.000000	STATFJORD FM	FORMATION	157	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3259.000000	3292.000000	SVARTE FM	FORMATION	160	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3158.000000	3240.000000	TRYGGVASON FM	FORMATION	173	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	2508.000000	2660.000000	TY FM	FORMATION	176	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	270.000000	1055.000000	UTSIRA FM	FORMATION	183	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3336.000000	3489.000000	VESTLAND GP	GROUP	186	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3302.000000	3336.000000	VIKING GP	GROUP	188	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	2660.000000	2702.000000	VÅLE FM	FORMATION	190	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3652.000000	3847.000000	NO GROUP DEFINED	GROUP	208	1976-08-04	357	9999-12-31	2013-05-08
25/2-5	3847.000000	4000.000000	NO GROUP DEFINED	GROUP	208	1976-08-04	357	9999-12-31	2013-05-08
25/2-6	2148.000000	2209.000000	BALDER FM	FORMATION	6	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3083.000000	3137.000000	DRAUPNE FM	FORMATION	28	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3317.000000	3504.000000	DUNLIN GP	GROUP	29	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	1403.000000	1491.000000	GRID FM	FORMATION	53	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	2631.000000	2931.000000	HARDRÅDE FM	FORMATION	56	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3137.000000	3241.000000	HEATHER FM	FORMATION	60	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	2221.000000	2361.000000	HERMOD FM	FORMATION	64	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	897.000000	2148.000000	HORDALAND GP	GROUP	67	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3241.000000	3257.000000	HUGIN FM	FORMATION	69	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	2931.000000	3021.000000	KYRRE FM	FORMATION	92	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	2361.000000	2463.000000	LISTA FM	FORMATION	95	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	1096.000000	1403.000000	NO FORMAL NAME	FORMATION	111	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	1491.000000	2148.000000	NO FORMAL NAME	FORMATION	111	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	141.000000	897.000000	NORDLAND GP	GROUP	113	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	2148.000000	2631.000000	ROGALAND GP	GROUP	131	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	2209.000000	2221.000000	SELE FM	FORMATION	142	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	2631.000000	3083.000000	SHETLAND GP	GROUP	143	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	926.000000	1096.000000	SKADE FM	FORMATION	145	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3257.000000	3317.000000	SLEIPNER FM	FORMATION	148	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3705.000000	3750.000000	SMITH BANK FM	FORMATION	149	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3504.000000	3705.000000	STATFJORD FM	FORMATION	157	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3021.000000	3083.000000	TRYGGVASON FM	FORMATION	173	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	2563.000000	2631.000000	TY FM	FORMATION	176	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	297.000000	897.000000	UTSIRA FM	FORMATION	183	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3241.000000	3317.000000	VESTLAND GP	GROUP	186	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3083.000000	3241.000000	VIKING GP	GROUP	188	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	2463.000000	2563.000000	VÅLE FM	FORMATION	190	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3504.000000	3705.000000	NO GROUP DEFINED	GROUP	208	1977-11-15	358	9999-12-31	2013-05-08
25/2-6	3705.000000	3750.000000	NO GROUP DEFINED	GROUP	208	1977-11-15	358	9999-12-31	2013-05-08
25/4-1	1926.000000	1972.000000	BALDER FM	FORMATION	6	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	3154.000000	3171.000000	BLODØKS FM	FORMATION	13	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	3171.000000	3185.000000	DRAUPNE FM	FORMATION	28	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	1317.000000	1330.000000	GRID FM	FORMATION	53	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	2067.000000	2423.000000	HEIMDAL FM	FORMATION	62	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	826.000000	1926.000000	HORDALAND GP	GROUP	67	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	3185.000000	3190.000000	HUGIN FM	FORMATION	69	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	2620.000000	2721.000000	JORSALFARE FM	FORMATION	74	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	2721.000000	3062.000000	KYRRE FM	FORMATION	92	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	2027.000000	2067.000000	LISTA FM	FORMATION	95	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	2423.000000	2570.000000	LISTA FM	FORMATION	95	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	1080.000000	1317.000000	NO FORMAL NAME	FORMATION	111	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	1330.000000	1926.000000	NO FORMAL NAME	FORMATION	111	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	145.000000	826.000000	NORDLAND GP	GROUP	113	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	1926.000000	2620.000000	ROGALAND GP	GROUP	131	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	1972.000000	2027.000000	SELE FM	FORMATION	142	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	2620.000000	3171.000000	SHETLAND GP	GROUP	143	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	1000.000000	1080.000000	SKADE FM	FORMATION	145	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	3190.000000	3292.000000	SLEIPNER FM	FORMATION	148	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	3513.000000	4060.000000	SMITH BANK FM	FORMATION	149	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	3292.000000	3513.000000	STATFJORD FM	FORMATION	157	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	3062.000000	3154.000000	TRYGGVASON FM	FORMATION	173	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	255.000000	826.000000	UTSIRA FM	FORMATION	183	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	3185.000000	3292.000000	VESTLAND GP	GROUP	186	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	3171.000000	3185.000000	VIKING GP	GROUP	188	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	2570.000000	2620.000000	VÅLE FM	FORMATION	190	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	3292.000000	3513.000000	NO GROUP DEFINED	GROUP	208	1972-12-09	359	9999-12-31	2013-05-08
25/4-1	3513.000000	4060.000000	NO GROUP DEFINED	GROUP	208	1972-12-09	359	9999-12-31	2013-05-08
25/4-2	2038.000000	2073.000000	BALDER FM	FORMATION	6	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	1125.000000	1200.000000	GRID FM	FORMATION	53	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	2157.000000	2561.000000	HEIMDAL FM	FORMATION	62	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	912.000000	2038.000000	HORDALAND GP	GROUP	67	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	2762.000000	2775.000000	JORSALFARE FM	FORMATION	74	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	2117.000000	2157.000000	LISTA FM	FORMATION	95	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	2723.000000	2762.000000	LISTA FM	FORMATION	95	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	1014.000000	1125.000000	NO FORMAL NAME	FORMATION	111	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	1200.000000	2038.000000	NO FORMAL NAME	FORMATION	111	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	144.000000	912.000000	NORDLAND GP	GROUP	113	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	2038.000000	2762.000000	ROGALAND GP	GROUP	131	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	2073.000000	2117.000000	SELE FM	FORMATION	142	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	2762.000000	2775.000000	SHETLAND GP	GROUP	143	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	983.000000	1014.000000	SKADE FM	FORMATION	145	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	750.000000	912.000000	UTSIRA FM	FORMATION	183	1973-12-06	360	9999-12-31	2013-05-08
25/4-2	2561.000000	2723.000000	VÅLE FM	FORMATION	190	1973-12-06	360	9999-12-31	2013-05-08
25/4-3	1965.000000	2016.000000	BALDER FM	FORMATION	6	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	1285.000000	1363.000000	GRID FM	FORMATION	53	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	2125.000000	2503.000000	HEIMDAL FM	FORMATION	62	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	740.000000	1965.000000	HORDALAND GP	GROUP	67	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	2646.000000	2714.000000	JORSALFARE FM	FORMATION	74	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	2063.000000	2125.000000	LISTA FM	FORMATION	95	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	2503.000000	2550.000000	LISTA FM	FORMATION	95	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	1065.000000	1285.000000	NO FORMAL NAME	FORMATION	111	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	1363.000000	1965.000000	NO FORMAL NAME	FORMATION	111	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	147.000000	740.000000	NORDLAND GP	GROUP	113	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	1965.000000	2646.000000	ROGALAND GP	GROUP	131	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	2016.000000	2063.000000	SELE FM	FORMATION	142	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	2646.000000	2714.000000	SHETLAND GP	GROUP	143	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	843.000000	1065.000000	SKADE FM	FORMATION	145	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	2550.000000	2646.000000	TY FM	FORMATION	176	1974-11-22	361	9999-12-31	2013-05-08
25/4-3	300.000000	740.000000	UTSIRA FM	FORMATION	183	1974-11-22	361	9999-12-31	2013-05-08
25/4-4	2012.000000	2045.000000	BALDER FM	FORMATION	6	1975-07-07	362	9999-12-31	2013-05-08
25/4-4	2133.000000	2456.000000	HEIMDAL FM	FORMATION	62	1975-07-07	362	9999-12-31	2013-05-08
25/4-4	774.000000	2012.000000	HORDALAND GP	GROUP	67	1975-07-07	362	9999-12-31	2013-05-08
25/4-4	2090.000000	2133.000000	LISTA FM	FORMATION	95	1975-07-07	362	9999-12-31	2013-05-08
25/4-4	2456.000000	2517.000000	LISTA FM	FORMATION	95	1975-07-07	362	9999-12-31	2013-05-08
25/4-4	1111.000000	2012.000000	NO FORMAL NAME	FORMATION	111	1975-07-07	362	9999-12-31	2013-05-08
25/4-4	141.000000	774.000000	NORDLAND GP	GROUP	113	1975-07-07	362	9999-12-31	2013-05-08
25/4-4	2012.000000	2681.000000	ROGALAND GP	GROUP	131	1975-07-07	362	9999-12-31	2013-05-08
25/4-4	2045.000000	2090.000000	SELE FM	FORMATION	142	1975-07-07	362	9999-12-31	2013-05-08
25/4-4	979.000000	1111.000000	SKADE FM	FORMATION	145	1975-07-07	362	9999-12-31	2013-05-08
25/4-4	2517.000000	2674.000000	TY FM	FORMATION	176	1975-07-07	362	9999-12-31	2013-05-08
25/4-4	2674.000000	2681.000000	VÅLE FM	FORMATION	190	1975-07-07	362	9999-12-31	2013-05-08
25/8-2	1919.000000	1983.000000	BALDER FM	FORMATION	6	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	2330.000000	2399.000000	DUNLIN GP	GROUP	29	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	2158.000000	2179.000000	HEIMDAL FM	FORMATION	62	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	730.000000	1919.000000	HORDALAND GP	GROUP	67	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	2032.000000	2158.000000	LISTA FM	FORMATION	95	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	680.000000	730.000000	NO FORMAL NAME	FORMATION	111	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	1030.000000	1140.000000	NO FORMAL NAME	FORMATION	111	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	1301.000000	1919.000000	NO FORMAL NAME	FORMATION	111	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	151.000000	730.000000	NORDLAND GP	GROUP	113	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	1919.000000	2288.000000	ROGALAND GP	GROUP	131	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	1983.000000	2032.000000	SELE FM	FORMATION	142	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	730.000000	1030.000000	SKADE FM	FORMATION	145	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	1140.000000	1301.000000	SKADE FM	FORMATION	145	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	2288.000000	2330.000000	SLEIPNER FM	FORMATION	148	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	2399.000000	2578.000000	STATFJORD FM	FORMATION	157	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	2210.000000	2288.000000	TY FM	FORMATION	176	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	650.000000	680.000000	UTSIRA FM	FORMATION	183	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	2288.000000	2330.000000	VESTLAND GP	GROUP	186	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	2179.000000	2210.000000	VÅLE FM	FORMATION	190	1975-10-01	363	9999-12-31	2013-05-08
25/8-2	2399.000000	2578.000000	NO GROUP DEFINED	GROUP	208	1975-10-01	363	9999-12-31	2013-05-08
25/8-3	1667.000000	1733.000000	BALDER FM	FORMATION	6	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1841.000000	1868.000000	EKOFISK FM	FORMATION	33	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1783.000000	1787.000000	HEIMDAL FM	FORMATION	62	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1794.000000	1835.000000	HEIMDAL FM	FORMATION	62	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1753.000000	1767.000000	HERMOD FM	FORMATION	64	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	750.000000	1667.000000	HORDALAND GP	GROUP	67	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1770.000000	1783.000000	LISTA FM	FORMATION	95	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1787.000000	1794.000000	LISTA FM	FORMATION	95	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1835.000000	1841.000000	LISTA FM	FORMATION	95	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	700.000000	750.000000	NO FORMAL NAME	FORMATION	111	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	945.000000	1005.000000	NO FORMAL NAME	FORMATION	111	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1031.000000	1667.000000	NO FORMAL NAME	FORMATION	111	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	155.000000	750.000000	NORDLAND GP	GROUP	113	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1667.000000	1841.000000	ROGALAND GP	GROUP	131	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1733.000000	1753.000000	SELE FM	FORMATION	142	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1767.000000	1770.000000	SELE FM	FORMATION	142	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1841.000000	1868.000000	SHETLAND GP	GROUP	143	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	750.000000	945.000000	SKADE FM	FORMATION	145	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	1005.000000	1031.000000	SKADE FM	FORMATION	145	1981-04-17	364	9999-12-31	2013-05-08
25/8-3	623.000000	700.000000	UTSIRA FM	FORMATION	183	1981-04-17	364	9999-12-31	2013-05-08
25/10-5	1804.000000	1820.000000	BALDER FM	FORMATION	6	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1733.000000	1804.000000	INTRA BALDER FM SS	FORMATION	7	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1991.000000	2001.000000	EKOFISK FM	FORMATION	33	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1399.000000	1443.000000	GRID FM	FORMATION	53	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1906.000000	1939.000000	HEIMDAL FM	FORMATION	62	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1950.000000	1955.000000	HEIMDAL FM	FORMATION	62	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1831.000000	1848.000000	HERMOD FM	FORMATION	64	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	943.000000	1733.000000	HORDALAND GP	GROUP	67	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1859.000000	1906.000000	LISTA FM	FORMATION	95	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1939.000000	1950.000000	LISTA FM	FORMATION	95	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1955.000000	1991.000000	LISTA FM	FORMATION	95	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1101.000000	1399.000000	NO FORMAL NAME	FORMATION	111	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1443.000000	1733.000000	NO FORMAL NAME	FORMATION	111	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	150.000000	943.000000	NORDLAND GP	GROUP	113	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1733.000000	1991.000000	ROGALAND GP	GROUP	131	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1820.000000	1831.000000	SELE FM	FORMATION	142	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1848.000000	1859.000000	SELE FM	FORMATION	142	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1991.000000	2001.000000	SHETLAND GP	GROUP	143	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	1077.000000	1101.000000	SKADE FM	FORMATION	145	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	578.000000	943.000000	UTSIRA FM	FORMATION	183	1981-07-17	365	9999-12-31	2013-05-08
25/10-5	2001.000000	2011.000000	VIKING GP	GROUP	188	1981-07-17	365	9999-12-31	2013-05-08
25/11-5	1661.000000	1698.000000	BALDER FM	FORMATION	6	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1701.000000	1724.000000	BALDER FM	FORMATION	6	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1698.000000	1701.000000	INTRA BALDER FM SS	FORMATION	7	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1935.000000	1950.000000	CROMER KNOLL GP	GROUP	23	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1950.000000	1955.000000	DRAUPNE FM	FORMATION	28	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1798.000000	1873.000000	HEIMDAL FM	FORMATION	62	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1731.000000	1771.000000	HERMOD FM	FORMATION	64	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	759.000000	1661.000000	HORDALAND GP	GROUP	67	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1773.000000	1798.000000	LISTA FM	FORMATION	95	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1873.000000	1917.000000	LISTA FM	FORMATION	95	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	700.000000	759.000000	NO FORMAL NAME	FORMATION	111	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	961.000000	1661.000000	NO FORMAL NAME	FORMATION	111	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	147.000000	759.000000	NORDLAND GP	GROUP	113	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1661.000000	1917.000000	ROGALAND GP	GROUP	131	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1724.000000	1731.000000	SELE FM	FORMATION	142	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1771.000000	1773.000000	SELE FM	FORMATION	142	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1917.000000	1935.000000	SHETLAND GP	GROUP	143	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	759.000000	961.000000	SKADE FM	FORMATION	145	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1955.000000	2087.000000	STATFJORD FM	FORMATION	157	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	581.000000	700.000000	UTSIRA FM	FORMATION	183	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1950.000000	1955.000000	VIKING GP	GROUP	188	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	1955.000000	2087.000000	NO GROUP DEFINED	GROUP	208	1974-05-08	366	9999-12-31	2013-05-08
25/11-5	2087.000000	2164.000000	NO GROUP DEFINED	GROUP	208	1974-05-08	366	9999-12-31	2013-05-08
25/11-6	1646.000000	1664.000000	BALDER FM	FORMATION	6	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1672.000000	1688.000000	BALDER FM	FORMATION	6	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1664.000000	1672.000000	INTRA BALDER FM SS	FORMATION	7	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1932.000000	1948.000000	CROMER KNOLL GP	GROUP	23	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1903.000000	1908.000000	EKOFISK FM	FORMATION	33	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1462.000000	1471.000000	GRID FM	FORMATION	53	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1718.000000	1848.000000	HEIMDAL FM	FORMATION	62	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	752.000000	1646.000000	HORDALAND GP	GROUP	67	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1702.000000	1718.000000	LISTA FM	FORMATION	95	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1848.000000	1864.000000	LISTA FM	FORMATION	95	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	730.000000	752.000000	NO FORMAL NAME	FORMATION	111	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1011.000000	1080.000000	NO FORMAL NAME	FORMATION	111	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1100.000000	1462.000000	NO FORMAL NAME	FORMATION	111	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1471.000000	1646.000000	NO FORMAL NAME	FORMATION	111	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	151.000000	752.000000	NORDLAND GP	GROUP	113	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1646.000000	1903.000000	ROGALAND GP	GROUP	131	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1688.000000	1702.000000	SELE FM	FORMATION	142	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1903.000000	1932.000000	SHETLAND GP	GROUP	143	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	752.000000	1011.000000	SKADE FM	FORMATION	145	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1080.000000	1100.000000	SKADE FM	FORMATION	145	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1908.000000	1932.000000	TOR FM	FORMATION	171	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1877.000000	1903.000000	TY FM	FORMATION	176	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	608.000000	730.000000	UTSIRA FM	FORMATION	183	1978-10-01	367	9999-12-31	2013-05-08
25/11-6	1864.000000	1877.000000	VÅLE FM	FORMATION	190	1978-10-01	367	9999-12-31	2013-05-08
25/11-7	1667.000000	1678.000000	BALDER FM	FORMATION	6	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1697.000000	1701.000000	BALDER FM	FORMATION	6	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1678.000000	1697.000000	INTRA BALDER FM SS	FORMATION	7	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1701.000000	1711.000000	INTRA BALDER FM SS	FORMATION	7	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1921.000000	1930.000000	EKOFISK FM	FORMATION	33	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1751.000000	1850.000000	HEIMDAL FM	FORMATION	62	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1862.000000	1875.000000	HEIMDAL FM	FORMATION	62	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	767.000000	1667.000000	HORDALAND GP	GROUP	67	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1716.000000	1751.000000	LISTA FM	FORMATION	95	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1850.000000	1862.000000	LISTA FM	FORMATION	95	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1875.000000	1918.000000	LISTA FM	FORMATION	95	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	742.000000	767.000000	NO FORMAL NAME	FORMATION	111	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	925.000000	960.000000	NO FORMAL NAME	FORMATION	111	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	975.000000	1055.000000	NO FORMAL NAME	FORMATION	111	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1087.000000	1667.000000	NO FORMAL NAME	FORMATION	111	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	149.000000	767.000000	NORDLAND GP	GROUP	113	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1711.000000	1716.000000	SELE FM	FORMATION	142	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1667.000000	1921.000000	SHETLAND GP	GROUP	143	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1921.000000	1944.000000	SHETLAND GP	GROUP	143	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	767.000000	925.000000	SKADE FM	FORMATION	145	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	960.000000	975.000000	SKADE FM	FORMATION	145	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1055.000000	1087.000000	SKADE FM	FORMATION	145	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1930.000000	1944.000000	TOR FM	FORMATION	171	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	598.000000	742.000000	UTSIRA FM	FORMATION	183	1978-10-27	368	9999-12-31	2013-05-08
25/11-7	1918.000000	1921.000000	VÅLE FM	FORMATION	190	1978-10-27	368	9999-12-31	2013-05-08
25/11-8	1655.000000	1675.000000	BALDER FM	FORMATION	6	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1677.000000	1693.000000	BALDER FM	FORMATION	6	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1698.000000	1699.000000	BALDER FM	FORMATION	6	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1675.000000	1677.000000	INTRA BALDER FM SS	FORMATION	7	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1693.000000	1698.000000	INTRA BALDER FM SS	FORMATION	7	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1925.000000	1950.000000	EKOFISK FM	FORMATION	33	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1722.000000	1895.000000	HEIMDAL FM	FORMATION	62	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	750.000000	1655.000000	HORDALAND GP	GROUP	67	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1712.000000	1722.000000	LISTA FM	FORMATION	95	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1895.000000	1915.000000	LISTA FM	FORMATION	95	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	725.000000	750.000000	NO FORMAL NAME	FORMATION	111	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	916.000000	948.000000	NO FORMAL NAME	FORMATION	111	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	968.000000	1049.000000	NO FORMAL NAME	FORMATION	111	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1072.000000	1655.000000	NO FORMAL NAME	FORMATION	111	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	151.000000	750.000000	NORDLAND GP	GROUP	113	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1655.000000	1925.000000	ROGALAND GP	GROUP	131	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1699.000000	1712.000000	SELE FM	FORMATION	142	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1925.000000	1950.000000	SHETLAND GP	GROUP	143	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	750.000000	916.000000	SKADE FM	FORMATION	145	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	948.000000	968.000000	SKADE FM	FORMATION	145	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1049.000000	1072.000000	SKADE FM	FORMATION	145	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	585.000000	725.000000	UTSIRA FM	FORMATION	183	1979-10-16	369	9999-12-31	2013-05-08
25/11-8	1915.000000	1925.000000	VÅLE FM	FORMATION	190	1979-10-16	369	9999-12-31	2013-05-08
25/11-10	1682.000000	1725.000000	BALDER FM	FORMATION	6	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1968.000000	1988.000000	EKOFISK FM	FORMATION	33	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1786.000000	1930.000000	HEIMDAL FM	FORMATION	62	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1943.000000	1958.000000	HEIMDAL FM	FORMATION	62	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	778.000000	1682.000000	HORDALAND GP	GROUP	67	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1743.000000	1786.000000	LISTA FM	FORMATION	95	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1930.000000	1943.000000	LISTA FM	FORMATION	95	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	754.000000	778.000000	NO FORMAL NAME	FORMATION	111	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1004.000000	1025.000000	NO FORMAL NAME	FORMATION	111	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1062.000000	1159.000000	NO FORMAL NAME	FORMATION	111	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1223.000000	1260.000000	NO FORMAL NAME	FORMATION	111	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1270.000000	1682.000000	NO FORMAL NAME	FORMATION	111	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	149.000000	778.000000	NORDLAND GP	GROUP	113	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1682.000000	1968.000000	ROGALAND GP	GROUP	131	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1725.000000	1743.000000	SELE FM	FORMATION	142	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1968.000000	1988.000000	SHETLAND GP	GROUP	143	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	778.000000	1004.000000	SKADE FM	FORMATION	145	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1025.000000	1062.000000	SKADE FM	FORMATION	145	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1159.000000	1223.000000	SKADE FM	FORMATION	145	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1260.000000	1270.000000	SKADE FM	FORMATION	145	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	601.000000	754.000000	UTSIRA FM	FORMATION	183	1981-02-17	370	9999-12-31	2013-05-08
25/11-10	1958.000000	1968.000000	VÅLE FM	FORMATION	190	1981-02-17	370	9999-12-31	2013-05-08
25/11-11	1655.000000	1698.000000	BALDER FM	FORMATION	6	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1698.000000	1714.000000	INTRA BALDER FM SS	FORMATION	7	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1940.000000	1960.000000	EKOFISK FM	FORMATION	33	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1218.000000	1245.000000	GRID FM	FORMATION	53	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1754.000000	1895.000000	HEIMDAL FM	FORMATION	62	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	758.000000	1655.000000	HORDALAND GP	GROUP	67	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1738.000000	1754.000000	LISTA FM	FORMATION	95	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1895.000000	1940.000000	LISTA FM	FORMATION	95	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	714.000000	758.000000	NO FORMAL NAME	FORMATION	111	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	959.000000	1068.000000	NO FORMAL NAME	FORMATION	111	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1085.000000	1218.000000	NO FORMAL NAME	FORMATION	111	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1245.000000	1655.000000	NO FORMAL NAME	FORMATION	111	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	151.000000	758.000000	NORDLAND GP	GROUP	113	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1655.000000	1940.000000	ROGALAND GP	GROUP	131	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1714.000000	1738.000000	SELE FM	FORMATION	142	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1940.000000	1960.000000	SHETLAND GP	GROUP	143	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	758.000000	959.000000	SKADE FM	FORMATION	145	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	1068.000000	1085.000000	SKADE FM	FORMATION	145	1981-03-18	371	9999-12-31	2013-05-08
25/11-11	574.000000	714.000000	UTSIRA FM	FORMATION	183	1981-03-18	371	9999-12-31	2013-05-08
25/11-12	1675.000000	1731.000000	BALDER FM	FORMATION	6	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	1904.000000	1918.000000	EKOFISK FM	FORMATION	33	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	1785.000000	1890.000000	HEIMDAL FM	FORMATION	62	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	749.000000	1675.000000	HORDALAND GP	GROUP	67	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	1751.000000	1785.000000	LISTA FM	FORMATION	95	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	726.000000	749.000000	NO FORMAL NAME	FORMATION	111	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	971.000000	994.000000	NO FORMAL NAME	FORMATION	111	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	1016.000000	1243.000000	NO FORMAL NAME	FORMATION	111	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	1290.000000	1675.000000	NO FORMAL NAME	FORMATION	111	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	152.000000	749.000000	NORDLAND GP	GROUP	113	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	1675.000000	1904.000000	ROGALAND GP	GROUP	131	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	1731.000000	1751.000000	SELE FM	FORMATION	142	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	1904.000000	1918.000000	SHETLAND GP	GROUP	143	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	749.000000	971.000000	SKADE FM	FORMATION	145	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	994.000000	1016.000000	SKADE FM	FORMATION	145	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	1243.000000	1290.000000	SKADE FM	FORMATION	145	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	589.000000	726.000000	UTSIRA FM	FORMATION	183	1981-05-07	372	9999-12-31	2013-05-08
25/11-12	1890.000000	1904.000000	VÅLE FM	FORMATION	190	1981-05-07	372	9999-12-31	2013-05-08
25/11-13	1678.000000	1728.000000	BALDER FM	FORMATION	6	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1731.000000	1737.000000	BALDER FM	FORMATION	6	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1741.000000	1744.000000	BALDER FM	FORMATION	6	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1728.000000	1731.000000	INTRA BALDER FM SS	FORMATION	7	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1737.000000	1741.000000	INTRA BALDER FM SS	FORMATION	7	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1908.000000	1920.000000	EKOFISK FM	FORMATION	33	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1442.000000	1452.000000	GRID FM	FORMATION	53	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1858.000000	1862.000000	HEIMDAL FM	FORMATION	62	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1769.000000	1817.000000	HERMOD FM	FORMATION	64	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	735.000000	1678.000000	HORDALAND GP	GROUP	67	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1820.000000	1858.000000	LISTA FM	FORMATION	95	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	695.000000	735.000000	NO FORMAL NAME	FORMATION	111	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	935.000000	978.000000	NO FORMAL NAME	FORMATION	111	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	986.000000	1064.000000	NO FORMAL NAME	FORMATION	111	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1095.000000	1202.000000	NO FORMAL NAME	FORMATION	111	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1215.000000	1442.000000	NO FORMAL NAME	FORMATION	111	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1452.000000	1678.000000	NO FORMAL NAME	FORMATION	111	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	152.000000	735.000000	NORDLAND GP	GROUP	113	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1678.000000	1908.000000	ROGALAND GP	GROUP	131	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1744.000000	1769.000000	SELE FM	FORMATION	142	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1817.000000	1820.000000	SELE FM	FORMATION	142	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1908.000000	1932.000000	SHETLAND GP	GROUP	143	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	735.000000	935.000000	SKADE FM	FORMATION	145	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	978.000000	986.000000	SKADE FM	FORMATION	145	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1064.000000	1095.000000	SKADE FM	FORMATION	145	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1202.000000	1215.000000	SKADE FM	FORMATION	145	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1920.000000	1932.000000	TOR FM	FORMATION	171	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1875.000000	1908.000000	TY FM	FORMATION	176	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	596.000000	695.000000	UTSIRA FM	FORMATION	183	1981-05-29	373	9999-12-31	2013-05-08
25/11-13	1862.000000	1875.000000	VÅLE FM	FORMATION	190	1981-05-29	373	9999-12-31	2013-05-08
25/12-1	1457.000000	1500.000000	BALDER FM	FORMATION	6	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	1908.000000	2187.000000	CROMER KNOLL GP	GROUP	23	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	2187.000000	2244.000000	DRAUPNE FM	FORMATION	28	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	1707.000000	1908.000000	HOD FM	FORMATION	66	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	902.000000	1457.000000	HORDALAND GP	GROUP	67	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	1567.000000	1597.000000	LISTA FM	FORMATION	95	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	169.000000	902.000000	NORDLAND GP	GROUP	113	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	1457.000000	1597.000000	ROGALAND GP	GROUP	131	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	1500.000000	1567.000000	SELE FM	FORMATION	142	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	1597.000000	1908.000000	SHETLAND GP	GROUP	143	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	1597.000000	1707.000000	TOR FM	FORMATION	171	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	2244.000000	2425.000000	VESTLAND GP	GROUP	186	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	2187.000000	2244.000000	VIKING GP	GROUP	188	1973-12-23	374	9999-12-31	2013-05-08
25/12-1	2425.000000	2865.000000	NO GROUP DEFINED	GROUP	208	1973-12-23	374	9999-12-31	2013-05-08
29/6-1	4645.000000	4729.000000	AMUNDSEN FM	FORMATION	4	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	1881.000000	1900.000000	BALDER FM	FORMATION	6	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	3743.000000	3777.000000	BLODØKS FM	FORMATION	13	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4205.000000	4500.000000	BRENT GP	GROUP	16	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4489.000000	4500.000000	BROOM FM	FORMATION	17	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4607.000000	4645.000000	BURTON FM	FORMATION	20	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4546.000000	4607.000000	COOK FM	FORMATION	24	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4500.000000	4546.000000	DRAKE FM	FORMATION	27	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	3807.000000	3915.000000	DRAUPNE FM	FORMATION	28	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4500.000000	4729.000000	DUNLIN GP	GROUP	29	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	2348.000000	2373.000000	EKOFISK FM	FORMATION	33	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4458.000000	4474.000000	ETIVE FM	FORMATION	35	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	1827.000000	1881.000000	FRIGG FM	FORMATION	45	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	1320.000000	1520.000000	GRID FM	FORMATION	53	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	3915.000000	4205.000000	HEATHER FM	FORMATION	60	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4786.000000	4832.000000	HEGRE GP	GROUP	61	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	1922.000000	2083.000000	HEIMDAL FM	FORMATION	62	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	890.000000	1881.000000	HORDALAND GP	GROUP	67	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	2373.000000	2678.000000	JORSALFARE FM	FORMATION	74	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	2678.000000	3632.000000	KYRRE FM	FORMATION	92	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	2083.000000	2320.000000	LISTA FM	FORMATION	95	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4786.000000	4832.000000	LUNDE FM	FORMATION	97	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4221.000000	4458.000000	NESS FM	FORMATION	110	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	865.000000	890.000000	NO FORMAL NAME	FORMATION	111	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	969.000000	1224.000000	NO FORMAL NAME	FORMATION	111	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	1224.000000	1249.000000	NO FORMAL NAME	FORMATION	111	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	1249.000000	1320.000000	NO FORMAL NAME	FORMATION	111	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	1520.000000	1827.000000	NO FORMAL NAME	FORMATION	111	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	149.000000	890.000000	NORDLAND GP	GROUP	113	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4474.000000	4489.000000	RANNOCH FM	FORMATION	126	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	1881.000000	2348.000000	ROGALAND GP	GROUP	131	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	1900.000000	1922.000000	SELE FM	FORMATION	142	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	2348.000000	3807.000000	SHETLAND GP	GROUP	143	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	890.000000	969.000000	SKADE FM	FORMATION	145	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4729.000000	4786.000000	STATFJORD FM	FORMATION	157	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	3777.000000	3807.000000	SVARTE FM	FORMATION	160	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4205.000000	4221.000000	TARBERT FM	FORMATION	162	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	3632.000000	3743.000000	TRYGGVASON FM	FORMATION	173	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	322.000000	865.000000	UTSIRA FM	FORMATION	183	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	3807.000000	4205.000000	VIKING GP	GROUP	188	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	2320.000000	2348.000000	VÅLE FM	FORMATION	190	1982-05-09	375	9999-12-31	2013-05-08
29/6-1	4729.000000	4786.000000	NO GROUP DEFINED	GROUP	208	1982-05-09	375	9999-12-31	2013-05-08
30/3-1	1930.000000	1995.000000	BALDER FM	FORMATION	6	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	3605.000000	3616.000000	BLODØKS FM	FORMATION	13	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	3616.000000	3718.000000	CROMER KNOLL GP	GROUP	23	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	1661.000000	1682.000000	GRID FM	FORMATION	53	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	950.000000	1930.000000	HORDALAND GP	GROUP	67	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	2160.000000	2472.000000	JORSALFARE FM	FORMATION	74	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	2472.000000	3410.000000	KYRRE FM	FORMATION	92	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	2016.000000	2124.000000	LISTA FM	FORMATION	95	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	1360.000000	1661.000000	NO FORMAL NAME	FORMATION	111	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	1682.000000	1930.000000	NO FORMAL NAME	FORMATION	111	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	163.000000	950.000000	NORDLAND GP	GROUP	113	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	1930.000000	2160.000000	ROGALAND GP	GROUP	131	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	3616.000000	3637.000000	RØDBY FM	FORMATION	137	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	1995.000000	2016.000000	SELE FM	FORMATION	142	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	2160.000000	3616.000000	SHETLAND GP	GROUP	143	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	1174.000000	1360.000000	SKADE FM	FORMATION	145	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	3637.000000	3673.000000	SOLA FM	FORMATION	152	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	3410.000000	3605.000000	TRYGGVASON FM	FORMATION	173	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	826.000000	950.000000	UTSIRA FM	FORMATION	183	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	2124.000000	2160.000000	VÅLE FM	FORMATION	190	1979-09-07	376	9999-12-31	2013-05-08
30/3-1	3673.000000	3718.000000	ÅSGARD FM	FORMATION	198	1979-09-07	376	9999-12-31	2013-05-08
30/4-1	1919.000000	1969.000000	BALDER FM	FORMATION	6	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	3761.000000	3770.000000	BLODØKS FM	FORMATION	13	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	5182.000000	5400.000000	BRENT GP	GROUP	16	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	3926.000000	4387.000000	CROMER KNOLL GP	GROUP	23	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	5400.000000	5454.000000	DRAKE FM	FORMATION	27	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	4387.000000	4485.000000	DRAUPNE FM	FORMATION	28	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	5400.000000	5454.000000	DUNLIN GP	GROUP	29	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	5320.000000	5340.000000	ETIVE FM	FORMATION	35	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	1648.000000	1700.000000	GRID FM	FORMATION	53	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	4485.000000	5182.000000	HEATHER FM	FORMATION	60	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	922.000000	1919.000000	HORDALAND GP	GROUP	67	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	2262.000000	3065.000000	JORSALFARE FM	FORMATION	74	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	3065.000000	3520.000000	KYRRE FM	FORMATION	92	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	2000.000000	2262.000000	LISTA FM	FORMATION	95	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	5211.000000	5320.000000	NESS FM	FORMATION	110	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	1262.000000	1648.000000	NO FORMAL NAME	FORMATION	111	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	1700.000000	1919.000000	NO FORMAL NAME	FORMATION	111	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	145.000000	922.000000	NORDLAND GP	GROUP	113	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	5359.000000	5400.000000	OSEBERG FM	FORMATION	123	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	5340.000000	5359.000000	RANNOCH FM	FORMATION	126	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	1919.000000	2262.000000	ROGALAND GP	GROUP	131	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	3926.000000	3960.000000	RØDBY FM	FORMATION	137	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	1969.000000	2000.000000	SELE FM	FORMATION	142	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	2262.000000	3926.000000	SHETLAND GP	GROUP	143	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	1050.000000	1262.000000	SKADE FM	FORMATION	145	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	3960.000000	4030.000000	SOLA FM	FORMATION	152	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	3770.000000	3926.000000	SVARTE FM	FORMATION	160	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	5182.000000	5211.000000	TARBERT FM	FORMATION	162	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	3520.000000	3761.000000	TRYGGVASON FM	FORMATION	173	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	802.000000	922.000000	UTSIRA FM	FORMATION	183	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	4387.000000	5182.000000	VIKING GP	GROUP	188	1979-05-14	377	9999-12-31	2013-05-08
30/4-1	4030.000000	4387.000000	ÅSGARD FM	FORMATION	198	1979-05-14	377	9999-12-31	2013-05-08
30/5-1	1987.000000	2045.000000	BALDER FM	FORMATION	6	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	3277.000000	3323.000000	BLODØKS FM	FORMATION	13	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	3576.000000	4124.000000	CROMER KNOLL GP	GROUP	23	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	1704.000000	1763.000000	GRID FM	FORMATION	53	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	835.000000	1987.000000	HORDALAND GP	GROUP	67	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	2304.000000	2649.000000	JORSALFARE FM	FORMATION	74	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	2649.000000	3178.000000	KYRRE FM	FORMATION	92	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	2088.000000	2283.000000	LISTA FM	FORMATION	95	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	796.000000	835.000000	NO FORMAL NAME	FORMATION	111	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	979.000000	1140.000000	NO FORMAL NAME	FORMATION	111	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	1259.000000	1704.000000	NO FORMAL NAME	FORMATION	111	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	1763.000000	1987.000000	NO FORMAL NAME	FORMATION	111	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	131.000000	835.000000	NORDLAND GP	GROUP	113	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	1987.000000	2304.000000	ROGALAND GP	GROUP	131	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	3576.000000	3889.000000	RØDBY FM	FORMATION	137	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	2045.000000	2088.000000	SELE FM	FORMATION	142	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	2304.000000	3576.000000	SHETLAND GP	GROUP	143	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	835.000000	979.000000	SKADE FM	FORMATION	145	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	1140.000000	1259.000000	SKADE FM	FORMATION	145	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	3889.000000	4094.000000	SOLA FM	FORMATION	152	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	3323.000000	3576.000000	SVARTE FM	FORMATION	160	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	3178.000000	3277.000000	TRYGGVASON FM	FORMATION	173	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	506.000000	796.000000	UTSIRA FM	FORMATION	183	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	2283.000000	2304.000000	VÅLE FM	FORMATION	190	1972-07-29	379	9999-12-31	2013-05-08
30/5-1	4094.000000	4124.000000	ÅSGARD FM	FORMATION	198	1972-07-29	379	9999-12-31	2013-05-08
30/7-1	132.000000	1007.000000	NORDLAND GP	GROUP	113	1975-08-05	384	9999-12-31	2013-05-08
30/7-1	280.000000	1007.000000	UTSIRA FM	FORMATION	183	1975-08-05	384	9999-12-31	2013-05-08
30/7-2	1909.000000	1933.000000	BALDER FM	FORMATION	6	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	1748.000000	1909.000000	FRIGG FM	FORMATION	45	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	1947.000000	2025.000000	HERMOD FM	FORMATION	64	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	2048.000000	2088.000000	HERMOD FM	FORMATION	64	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	860.000000	1909.000000	HORDALAND GP	GROUP	67	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	2371.000000	2591.000000	JORSALFARE FM	FORMATION	74	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	2088.000000	2350.000000	LISTA FM	FORMATION	95	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	655.000000	860.000000	NO FORMAL NAME	FORMATION	111	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	134.000000	860.000000	NORDLAND GP	GROUP	113	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	1909.000000	2371.000000	ROGALAND GP	GROUP	131	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	1933.000000	1947.000000	SELE FM	FORMATION	142	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	2025.000000	2048.000000	SELE FM	FORMATION	142	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	2371.000000	2591.000000	SHETLAND GP	GROUP	143	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	277.000000	655.000000	UTSIRA FM	FORMATION	183	1975-11-09	385	9999-12-31	2013-05-08
30/7-2	2350.000000	2371.000000	VÅLE FM	FORMATION	190	1975-11-09	385	9999-12-31	2013-05-08
30/7-3	2114.000000	2143.000000	BALDER FM	FORMATION	6	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2175.000000	2180.000000	BALDER FM	FORMATION	6	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2143.000000	2175.000000	INTRA BALDER FM SS	FORMATION	7	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	3633.000000	3665.000000	BLODØKS FM	FORMATION	13	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	3838.000000	4044.000000	CROMER KNOLL GP	GROUP	23	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2539.000000	2542.000000	EKOFISK FM	FORMATION	33	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	1994.000000	2018.000000	GRID FM	FORMATION	53	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2062.000000	2099.000000	GRID FM	FORMATION	53	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2187.000000	2280.000000	HERMOD FM	FORMATION	64	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	1147.000000	2114.000000	HORDALAND GP	GROUP	67	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2542.000000	2822.000000	JORSALFARE FM	FORMATION	74	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2822.000000	3475.000000	KYRRE FM	FORMATION	92	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2386.000000	2447.000000	LISTA FM	FORMATION	95	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	1247.000000	1994.000000	NO FORMAL NAME	FORMATION	111	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2018.000000	2062.000000	NO FORMAL NAME	FORMATION	111	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2099.000000	2114.000000	NO FORMAL NAME	FORMATION	111	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	124.000000	1147.000000	NORDLAND GP	GROUP	113	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2114.000000	2539.000000	ROGALAND GP	GROUP	131	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	3838.000000	4044.000000	RØDBY FM	FORMATION	137	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2180.000000	2187.000000	SELE FM	FORMATION	142	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2280.000000	2386.000000	SELE FM	FORMATION	142	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2539.000000	3838.000000	SHETLAND GP	GROUP	143	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	1165.000000	1247.000000	SKADE FM	FORMATION	145	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	3665.000000	3838.000000	SVARTE FM	FORMATION	160	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	3475.000000	3633.000000	TRYGGVASON FM	FORMATION	173	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	446.000000	1147.000000	UTSIRA FM	FORMATION	183	1976-10-25	386	9999-12-31	2013-05-08
30/7-3	2447.000000	2539.000000	VÅLE FM	FORMATION	190	1976-10-25	386	9999-12-31	2013-05-08
30/7-4	141.000000	778.000000	NORDLAND GP	GROUP	113	1977-02-05	387	9999-12-31	2013-05-08
30/7-5	141.000000	805.000000	NORDLAND GP	GROUP	113	1977-02-13	388	9999-12-31	2013-05-08
30/7-7	2150.000000	2209.000000	BALDER FM	FORMATION	6	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	3631.000000	3655.000000	BLODØKS FM	FORMATION	13	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	4801.000000	4884.000000	BURTON FM	FORMATION	20	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	3870.000000	3878.000000	CROMER KNOLL GP	GROUP	23	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	4735.000000	4801.000000	COOK FM	FORMATION	24	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	3878.000000	3924.000000	DRAUPNE FM	FORMATION	28	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	4735.000000	4884.000000	DUNLIN GP	GROUP	29	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2535.000000	2538.000000	EKOFISK FM	FORMATION	33	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2126.000000	2130.000000	GRID FM	FORMATION	53	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	3924.000000	4735.000000	HEATHER FM	FORMATION	60	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2391.000000	2404.000000	HEIMDAL FM	FORMATION	62	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2217.000000	2291.000000	HERMOD FM	FORMATION	64	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2313.000000	2320.000000	HERMOD FM	FORMATION	64	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	1047.000000	2150.000000	HORDALAND GP	GROUP	67	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2538.000000	2805.000000	JORSALFARE FM	FORMATION	74	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2805.000000	3569.000000	KYRRE FM	FORMATION	92	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2365.000000	2391.000000	LISTA FM	FORMATION	95	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2404.000000	2452.000000	LISTA FM	FORMATION	95	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	1180.000000	2126.000000	NO FORMAL NAME	FORMATION	111	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2130.000000	2150.000000	NO FORMAL NAME	FORMATION	111	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	135.000000	1047.000000	NORDLAND GP	GROUP	113	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2150.000000	2535.000000	ROGALAND GP	GROUP	131	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	3870.000000	3878.000000	RØDBY FM	FORMATION	137	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2209.000000	2217.000000	SELE FM	FORMATION	142	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2291.000000	2313.000000	SELE FM	FORMATION	142	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2320.000000	2365.000000	SELE FM	FORMATION	142	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2535.000000	3870.000000	SHETLAND GP	GROUP	143	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	1073.000000	1180.000000	SKADE FM	FORMATION	145	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	4884.000000	5127.000000	STATFJORD FM	FORMATION	157	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	3655.000000	3870.000000	SVARTE FM	FORMATION	160	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	3569.000000	3631.000000	TRYGGVASON FM	FORMATION	173	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	302.000000	1047.000000	UTSIRA FM	FORMATION	183	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	3878.000000	4735.000000	VIKING GP	GROUP	188	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	2452.000000	2535.000000	VÅLE FM	FORMATION	190	1979-07-01	390	9999-12-31	2013-05-08
30/7-7	4884.000000	5127.000000	NO GROUP DEFINED	GROUP	208	1979-07-01	390	9999-12-31	2013-05-08
30/10-1	2076.000000	2115.000000	BALDER FM	FORMATION	6	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2160.000000	2170.000000	BALDER FM	FORMATION	6	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2115.000000	2160.000000	INTRA BALDER FM SS	FORMATION	7	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2640.000000	2679.000000	EKOFISK FM	FORMATION	33	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	1960.000000	2076.000000	FRIGG FM	FORMATION	45	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2202.000000	2289.000000	HERMOD FM	FORMATION	64	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2340.000000	2374.000000	HERMOD FM	FORMATION	64	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	660.000000	2076.000000	HORDALAND GP	GROUP	67	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2679.000000	2834.000000	JORSALFARE FM	FORMATION	74	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2834.000000	2917.000000	KYRRE FM	FORMATION	92	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2460.000000	2621.000000	LISTA FM	FORMATION	95	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	842.000000	1960.000000	NO FORMAL NAME	FORMATION	111	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	129.000000	660.000000	NORDLAND GP	GROUP	113	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2076.000000	2640.000000	ROGALAND GP	GROUP	131	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2170.000000	2202.000000	SELE FM	FORMATION	142	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2289.000000	2340.000000	SELE FM	FORMATION	142	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2374.000000	2460.000000	SELE FM	FORMATION	142	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2640.000000	2917.000000	SHETLAND GP	GROUP	143	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	660.000000	842.000000	SKADE FM	FORMATION	145	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	453.000000	660.000000	UTSIRA FM	FORMATION	183	1973-07-18	391	9999-12-31	2013-05-08
30/10-1	2621.000000	2640.000000	VÅLE FM	FORMATION	190	1973-07-18	391	9999-12-31	2013-05-08
30/10-2	2067.000000	2129.000000	BALDER FM	FORMATION	6	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	2653.000000	2691.000000	EKOFISK FM	FORMATION	33	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	1997.000000	2067.000000	FRIGG FM	FORMATION	45	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	2691.000000	2755.000000	HARDRÅDE FM	FORMATION	56	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	2269.000000	2414.000000	HEIMDAL FM	FORMATION	62	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	2189.000000	2256.000000	HERMOD FM	FORMATION	64	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	914.000000	2067.000000	HORDALAND GP	GROUP	67	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	2256.000000	2269.000000	LISTA FM	FORMATION	95	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	2414.000000	2637.000000	LISTA FM	FORMATION	95	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	128.000000	914.000000	NORDLAND GP	GROUP	113	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	2067.000000	2653.000000	ROGALAND GP	GROUP	131	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	2129.000000	2189.000000	SELE FM	FORMATION	142	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	2653.000000	2755.000000	SHETLAND GP	GROUP	143	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	235.000000	914.000000	UTSIRA FM	FORMATION	183	1974-03-28	392	9999-12-31	2013-05-08
30/10-2	2637.000000	2653.000000	VÅLE FM	FORMATION	190	1974-03-28	392	9999-12-31	2013-05-08
30/10-3	2164.000000	2182.000000	BALDER FM	FORMATION	6	1974-08-31	393	9999-12-31	2013-05-08
30/10-3	2030.000000	2073.000000	FRIGG FM	FORMATION	45	1974-08-31	393	9999-12-31	2013-05-08
30/10-3	2188.000000	2255.000000	HERMOD FM	FORMATION	64	1974-08-31	393	9999-12-31	2013-05-08
30/10-3	1135.000000	2164.000000	HORDALAND GP	GROUP	67	1974-08-31	393	9999-12-31	2013-05-08
30/10-3	2073.000000	2164.000000	NO FORMAL NAME	FORMATION	111	1974-08-31	393	9999-12-31	2013-05-08
30/10-3	106.000000	1135.000000	NORDLAND GP	GROUP	113	1974-08-31	393	9999-12-31	2013-05-08
30/10-3	2164.000000	2255.000000	ROGALAND GP	GROUP	131	1974-08-31	393	9999-12-31	2013-05-08
30/10-3	2182.000000	2188.000000	SELE FM	FORMATION	142	1974-08-31	393	9999-12-31	2013-05-08
30/10-4	658.000000	758.000000	HORDALAND GP	GROUP	67	1974-09-25	394	9999-12-31	2013-05-08
30/10-4	128.000000	658.000000	NORDLAND GP	GROUP	113	1974-09-25	394	9999-12-31	2013-05-08
30/10-4	658.000000	758.000000	SKADE FM	FORMATION	145	1974-09-25	394	9999-12-31	2013-05-08
30/10-4	453.000000	658.000000	UTSIRA FM	FORMATION	183	1974-09-25	394	9999-12-31	2013-05-08
30/10-5	5010.000000	5049.000000	AMUNDSEN FM	FORMATION	4	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2075.000000	2100.000000	BALDER FM	FORMATION	6	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2150.000000	2182.000000	BALDER FM	FORMATION	6	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2100.000000	2150.000000	INTRA BALDER FM SS	FORMATION	7	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	3782.000000	3805.000000	BLODØKS FM	FORMATION	13	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	4583.000000	4860.000000	BRENT GP	GROUP	16	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	3972.000000	4162.000000	CROMER KNOLL GP	GROUP	23	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	4967.000000	5010.000000	COOK FM	FORMATION	24	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	4860.000000	4967.000000	DRAKE FM	FORMATION	27	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	4162.000000	4187.000000	DRAUPNE FM	FORMATION	28	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	4860.000000	5049.000000	DUNLIN GP	GROUP	29	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2641.000000	2683.000000	EKOFISK FM	FORMATION	33	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	1965.000000	2075.000000	FRIGG FM	FORMATION	45	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	4187.000000	4583.000000	HEATHER FM	FORMATION	60	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	5127.000000	5186.000000	HEGRE GP	GROUP	61	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2214.000000	2262.000000	HERMOD FM	FORMATION	64	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2310.000000	2371.000000	HERMOD FM	FORMATION	64	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	658.000000	2075.000000	HORDALAND GP	GROUP	67	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2683.000000	2829.000000	JORSALFARE FM	FORMATION	74	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2829.000000	3630.000000	KYRRE FM	FORMATION	92	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2447.000000	2625.000000	LISTA FM	FORMATION	95	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	880.000000	1965.000000	NO FORMAL NAME	FORMATION	111	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	129.000000	658.000000	NORDLAND GP	GROUP	113	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2075.000000	2641.000000	ROGALAND GP	GROUP	131	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	3972.000000	4046.000000	RØDBY FM	FORMATION	137	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2182.000000	2214.000000	SELE FM	FORMATION	142	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2262.000000	2310.000000	SELE FM	FORMATION	142	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2371.000000	2447.000000	SELE FM	FORMATION	142	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2641.000000	3972.000000	SHETLAND GP	GROUP	143	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	658.000000	880.000000	SKADE FM	FORMATION	145	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	4046.000000	4121.000000	SOLA FM	FORMATION	152	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	5049.000000	5127.000000	STATFJORD FM	FORMATION	157	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	3805.000000	3972.000000	SVARTE FM	FORMATION	160	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	3630.000000	3782.000000	TRYGGVASON FM	FORMATION	173	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	453.000000	658.000000	UTSIRA FM	FORMATION	183	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	4162.000000	4583.000000	VIKING GP	GROUP	188	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	2625.000000	2641.000000	VÅLE FM	FORMATION	190	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	4121.000000	4162.000000	ÅSGARD FM	FORMATION	198	1975-05-01	395	9999-12-31	2013-05-08
30/10-5	5049.000000	5127.000000	NO GROUP DEFINED	GROUP	208	1975-05-01	395	9999-12-31	2013-05-08
31/2-1	2134.000000	2176.000000	AMUNDSEN FM	FORMATION	4	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	2273.000000	2293.000000	AMUNDSEN FM	FORMATION	4	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1184.000000	1250.000000	BALDER FM	FORMATION	6	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1881.000000	1985.000000	BRENT GP	GROUP	16	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1405.000000	1414.000000	CROMER KNOLL GP	GROUP	23	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	2093.000000	2134.000000	COOK FM	FORMATION	24	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1985.000000	2093.000000	DRAKE FM	FORMATION	27	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1414.000000	1440.000000	DRAUPNE FM	FORMATION	28	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1985.000000	2293.000000	DUNLIN GP	GROUP	29	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1595.000000	1742.000000	FENSFJORD FM	FORMATION	40	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1532.000000	1595.000000	HEATHER FM	FORMATION	60	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1880.000000	1881.000000	HEATHER FM	FORMATION	60	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	2381.000000	2433.000000	HEGRE GP	GROUP	61	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	525.000000	1184.000000	HORDALAND GP	GROUP	67	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	2176.000000	2273.000000	JOHANSEN FM	FORMATION	73	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1742.000000	1880.000000	KROSSFJORD FM	FORMATION	87	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1322.000000	1393.000000	LISTA FM	FORMATION	95	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	348.000000	525.000000	NORDLAND GP	GROUP	113	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1184.000000	1405.000000	ROGALAND GP	GROUP	131	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1250.000000	1322.000000	SELE FM	FORMATION	142	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1440.000000	1532.000000	SOGNEFJORD FM	FORMATION	151	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	2293.000000	2381.000000	STATFJORD FM	FORMATION	157	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1414.000000	1881.000000	VIKING GP	GROUP	188	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	1393.000000	1405.000000	VÅLE FM	FORMATION	190	1979-11-09	398	9999-12-31	2013-05-08
31/2-1	2293.000000	2381.000000	NO GROUP DEFINED	GROUP	208	1979-11-09	398	9999-12-31	2013-05-08
31/2-6	1105.000000	1167.000000	BALDER FM	FORMATION	6	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	1476.000000	1481.000000	CROMER KNOLL GP	GROUP	23	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	1481.000000	1492.000000	DRAUPNE FM	FORMATION	28	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	1673.000000	1760.000000	FENSFJORD FM	FORMATION	40	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	1464.000000	1476.000000	HARDRÅDE FM	FORMATION	56	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	600.000000	1105.000000	HORDALAND GP	GROUP	67	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	1225.000000	1450.000000	LISTA FM	FORMATION	95	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	600.000000	698.000000	NO FORMAL NAME	FORMATION	111	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	698.000000	1105.000000	NO FORMAL NAME	FORMATION	111	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	368.000000	600.000000	NORDLAND GP	GROUP	113	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	1105.000000	1464.000000	ROGALAND GP	GROUP	131	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	1167.000000	1225.000000	SELE FM	FORMATION	142	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	1464.000000	1476.000000	SHETLAND GP	GROUP	143	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	1492.000000	1673.000000	SOGNEFJORD FM	FORMATION	151	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	1481.000000	1760.000000	VIKING GP	GROUP	188	1981-10-17	399	9999-12-31	2013-05-08
31/2-6	1450.000000	1464.000000	VÅLE FM	FORMATION	190	1981-10-17	399	9999-12-31	2013-05-08
31/4-1	848.000000	1000.000000	HORDALAND GP	GROUP	67	1979-09-25	400	9999-12-31	2013-05-08
31/4-1	169.000000	848.000000	NORDLAND GP	GROUP	113	1979-09-25	400	9999-12-31	2013-05-08
31/4-1	707.000000	848.000000	UTSIRA FM	FORMATION	183	1979-09-25	400	9999-12-31	2013-05-08
31/6-4	816.000000	820.000000	BALDER FM	FORMATION	6	1984-03-16	404	9999-12-31	2013-05-08
31/6-4	455.000000	816.000000	HORDALAND GP	GROUP	67	1984-03-16	404	9999-12-31	2013-05-08
31/6-4	327.000000	455.000000	NORDLAND GP	GROUP	113	1984-03-16	404	9999-12-31	2013-05-08
31/6-4	816.000000	820.000000	ROGALAND GP	GROUP	131	1984-03-16	404	9999-12-31	2013-05-08
33/5-2	4391.000000	4412.000000	AMUNDSEN FM	FORMATION	4	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	1558.000000	1607.000000	BALDER FM	FORMATION	6	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	3349.000000	3359.000000	BLODØKS FM	FORMATION	13	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4054.000000	4111.000000	BRENT GP	GROUP	16	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4154.000000	4176.000000	BRENT GP	GROUP	16	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4227.000000	4276.000000	BRENT GP	GROUP	16	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	3750.000000	3900.000000	CROMER KNOLL GP	GROUP	23	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4340.000000	4391.000000	COOK FM	FORMATION	24	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4276.000000	4340.000000	DRAKE FM	FORMATION	27	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	3900.000000	3997.000000	DRAUPNE FM	FORMATION	28	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4276.000000	4412.000000	DUNLIN GP	GROUP	29	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	3997.000000	4054.000000	HEATHER FM	FORMATION	60	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4111.000000	4154.000000	HEATHER FM	FORMATION	60	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4176.000000	4227.000000	HEATHER FM	FORMATION	60	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4455.000000	4520.000000	HEGRE GP	GROUP	61	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	1098.000000	1558.000000	HORDALAND GP	GROUP	67	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	1717.000000	2085.000000	JORSALFARE FM	FORMATION	74	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	2085.000000	2828.000000	KYRRE FM	FORMATION	92	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	1607.000000	1717.000000	LISTA FM	FORMATION	95	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4455.000000	4520.000000	LUNDE FM	FORMATION	97	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	335.000000	1098.000000	NORDLAND GP	GROUP	113	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4079.000000	4111.000000	RANNOCH FM	FORMATION	126	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	1558.000000	1717.000000	ROGALAND GP	GROUP	131	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	3750.000000	3821.000000	RØDBY FM	FORMATION	137	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	1717.000000	3750.000000	SHETLAND GP	GROUP	143	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	3821.000000	3858.000000	SOLA FM	FORMATION	152	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4412.000000	4455.000000	STATFJORD FM	FORMATION	157	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	3359.000000	3750.000000	SVARTE FM	FORMATION	160	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4054.000000	4079.000000	TARBERT FM	FORMATION	162	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	2828.000000	3349.000000	TRYGGVASON FM	FORMATION	173	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	1009.000000	1098.000000	UTSIRA FM	FORMATION	183	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	3900.000000	4054.000000	VIKING GP	GROUP	188	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4111.000000	4154.000000	VIKING GP	GROUP	188	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4176.000000	4227.000000	VIKING GP	GROUP	188	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	3858.000000	3900.000000	ÅSGARD FM	FORMATION	198	1981-11-18	405	9999-12-31	2013-05-08
33/5-2	4412.000000	4455.000000	NO GROUP DEFINED	GROUP	208	1981-11-18	405	9999-12-31	2013-05-08
33/6-1	3755.000000	3792.000000	AMUNDSEN FM	FORMATION	4	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	1723.000000	1768.000000	BALDER FM	FORMATION	6	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3603.000000	3647.000000	BRENT GP	GROUP	16	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3731.000000	3755.000000	BURTON FM	FORMATION	20	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3241.000000	3537.000000	CROMER KNOLL GP	GROUP	23	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3697.000000	3731.000000	COOK FM	FORMATION	24	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3647.000000	3697.000000	DRAKE FM	FORMATION	27	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3537.000000	3567.000000	DRAUPNE FM	FORMATION	28	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3647.000000	3792.000000	DUNLIN GP	GROUP	29	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3567.000000	3603.000000	HEATHER FM	FORMATION	60	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3862.000000	3900.000000	HEGRE GP	GROUP	61	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	1138.000000	1723.000000	HORDALAND GP	GROUP	67	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	1768.000000	1893.000000	LISTA FM	FORMATION	95	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3862.000000	3900.000000	LUNDE FM	FORMATION	97	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	331.000000	1138.000000	NORDLAND GP	GROUP	113	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3603.000000	3647.000000	RANNOCH FM	FORMATION	126	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	1723.000000	1893.000000	ROGALAND GP	GROUP	131	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	1893.000000	3241.000000	SHETLAND GP	GROUP	143	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3792.000000	3862.000000	STATFJORD FM	FORMATION	157	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	1072.000000	1138.000000	UTSIRA FM	FORMATION	183	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3537.000000	3603.000000	VIKING GP	GROUP	188	1979-07-06	406	9999-12-31	2013-05-08
33/6-1	3792.000000	3862.000000	NO GROUP DEFINED	GROUP	208	1979-07-06	406	9999-12-31	2013-05-08
33/9-6	3280.000000	3322.000000	AMUNDSEN FM	FORMATION	4	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	1670.000000	1760.000000	BALDER FM	FORMATION	6	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	2995.000000	3140.000000	BRENT GP	GROUP	16	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	3250.000000	3280.000000	BURTON FM	FORMATION	20	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	2871.000000	2939.000000	CROMER KNOLL GP	GROUP	23	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	3200.000000	3250.000000	COOK FM	FORMATION	24	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	3140.000000	3200.000000	DRAKE FM	FORMATION	27	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	2939.000000	2982.000000	DRAUPNE FM	FORMATION	28	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	3140.000000	3322.000000	DUNLIN GP	GROUP	29	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	3086.000000	3103.000000	ETIVE FM	FORMATION	35	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	2982.000000	2995.000000	HEATHER FM	FORMATION	60	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	993.000000	1670.000000	HORDALAND GP	GROUP	67	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	1890.000000	2100.000000	JORSALFARE FM	FORMATION	74	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	2100.000000	2871.000000	KYRRE FM	FORMATION	92	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	1760.000000	1890.000000	LISTA FM	FORMATION	95	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	2922.000000	2939.000000	MIME FM	FORMATION	106	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	3030.000000	3086.000000	NESS FM	FORMATION	110	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	972.000000	993.000000	NO FORMAL NAME	FORMATION	111	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	1194.000000	1207.000000	NO FORMAL NAME	FORMATION	111	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	1207.000000	1230.000000	NO FORMAL NAME	FORMATION	111	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	1230.000000	1248.000000	NO FORMAL NAME	FORMATION	111	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	1248.000000	1670.000000	NO FORMAL NAME	FORMATION	111	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	179.000000	993.000000	NORDLAND GP	GROUP	113	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	3103.000000	3140.000000	RANNOCH FM	FORMATION	126	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	1670.000000	1890.000000	ROGALAND GP	GROUP	131	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	2871.000000	2922.000000	RØDBY FM	FORMATION	137	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	1890.000000	2871.000000	SHETLAND GP	GROUP	143	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	3322.000000	3354.000000	STATFJORD FM	FORMATION	157	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	2995.000000	3030.000000	TARBERT FM	FORMATION	162	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	924.000000	972.000000	UTSIRA FM	FORMATION	183	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	2939.000000	2995.000000	VIKING GP	GROUP	188	1976-08-31	411	9999-12-31	2013-05-08
33/9-6	3322.000000	3354.000000	NO GROUP DEFINED	GROUP	208	1976-08-31	411	9999-12-31	2013-05-08
33/9-9	1660.000000	1693.000000	BALDER FM	FORMATION	6	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	2413.000000	2504.000000	BRENT GP	GROUP	16	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	2558.000000	2715.000000	BURTON FM	FORMATION	20	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	2396.000000	2413.000000	CROMER KNOLL GP	GROUP	23	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	2528.000000	2558.000000	COOK FM	FORMATION	24	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	2504.000000	2528.000000	DRAKE FM	FORMATION	27	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	2504.000000	2715.000000	DUNLIN GP	GROUP	29	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	997.000000	1660.000000	HORDALAND GP	GROUP	67	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	1693.000000	1848.000000	LISTA FM	FORMATION	95	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	170.000000	997.000000	NORDLAND GP	GROUP	113	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	1660.000000	1848.000000	ROGALAND GP	GROUP	131	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	1848.000000	2396.000000	SHETLAND GP	GROUP	143	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	2715.000000	3100.000000	STATFJORD FM	FORMATION	157	1977-11-17	414	9999-12-31	2013-05-08
33/9-9	2715.000000	3100.000000	NO GROUP DEFINED	GROUP	208	1977-11-17	414	9999-12-31	2013-05-08
33/9-10	1666.000000	1780.000000	BALDER FM	FORMATION	6	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	3348.000000	3416.000000	BRENT GP	GROUP	16	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	3113.000000	3260.000000	CROMER KNOLL GP	GROUP	23	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	3416.000000	3500.000000	DRAKE FM	FORMATION	27	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	3260.000000	3329.000000	DRAUPNE FM	FORMATION	28	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	3416.000000	3500.000000	DUNLIN GP	GROUP	29	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	3329.000000	3348.000000	HEATHER FM	FORMATION	60	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	1085.000000	1666.000000	HORDALAND GP	GROUP	67	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	1780.000000	1895.000000	LISTA FM	FORMATION	95	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	188.000000	1085.000000	NORDLAND GP	GROUP	113	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	1666.000000	1895.000000	ROGALAND GP	GROUP	131	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	1895.000000	3113.000000	SHETLAND GP	GROUP	143	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	3500.000000	3715.000000	STATFJORD FM	FORMATION	157	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	975.000000	1085.000000	UTSIRA FM	FORMATION	183	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	3260.000000	3348.000000	VIKING GP	GROUP	188	1978-06-12	415	9999-12-31	2013-05-08
33/9-10	3500.000000	3715.000000	NO GROUP DEFINED	GROUP	208	1978-06-12	415	9999-12-31	2013-05-08
33/9-11	1673.000000	1733.000000	BALDER FM	FORMATION	6	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	3126.000000	3276.000000	BRENT GP	GROUP	16	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	3038.000000	3096.000000	CROMER KNOLL GP	GROUP	23	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	3276.000000	3437.000000	DRAKE FM	FORMATION	27	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	3096.000000	3099.000000	DRAUPNE FM	FORMATION	28	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	3276.000000	3437.000000	DUNLIN GP	GROUP	29	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	3099.000000	3126.000000	HEATHER FM	FORMATION	60	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	1123.000000	1673.000000	HORDALAND GP	GROUP	67	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	1733.000000	1893.000000	LISTA FM	FORMATION	95	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	312.000000	1123.000000	NORDLAND GP	GROUP	113	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	1673.000000	1893.000000	ROGALAND GP	GROUP	131	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	1893.000000	3038.000000	SHETLAND GP	GROUP	143	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	3437.000000	3528.000000	STATFJORD FM	FORMATION	157	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	990.000000	1123.000000	UTSIRA FM	FORMATION	183	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	3096.000000	3126.000000	VIKING GP	GROUP	188	1978-08-28	416	9999-12-31	2013-05-08
33/9-11	3437.000000	3528.000000	NO GROUP DEFINED	GROUP	208	1978-08-28	416	9999-12-31	2013-05-08
34/2-1	414.000000	807.000000	NORDLAND GP	GROUP	113	1980-02-23	420	9999-12-31	2013-05-08
34/2-3	1872.000000	1916.000000	BALDER FM	FORMATION	6	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	2825.000000	2834.000000	BLODØKS FM	FORMATION	13	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	3105.000000	3344.000000	CROMER KNOLL GP	GROUP	23	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	3344.000000	3741.000000	HEGRE GP	GROUP	61	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	1451.000000	1872.000000	HORDALAND GP	GROUP	67	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	1982.000000	2194.000000	JORSALFARE FM	FORMATION	74	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	2194.000000	2825.000000	KYRRE FM	FORMATION	92	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	1916.000000	1982.000000	LISTA FM	FORMATION	95	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	3344.000000	3741.000000	LUNDE FM	FORMATION	97	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	414.000000	1451.000000	NORDLAND GP	GROUP	113	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	1872.000000	1982.000000	ROGALAND GP	GROUP	131	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	3105.000000	3337.000000	RØDBY FM	FORMATION	137	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	1982.000000	3105.000000	SHETLAND GP	GROUP	143	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	2834.000000	3105.000000	SVARTE FM	FORMATION	160	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	1418.000000	1451.000000	UTSIRA FM	FORMATION	183	1981-08-13	421	9999-12-31	2013-05-08
34/2-3	3337.000000	3344.000000	ÅSGARD FM	FORMATION	198	1981-08-13	421	9999-12-31	2013-05-08
34/4-1	1685.000000	1715.000000	BALDER FM	FORMATION	6	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	2490.000000	2508.000000	CROMER KNOLL GP	GROUP	23	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	2508.000000	2916.000000	HEGRE GP	GROUP	61	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	1211.000000	1685.000000	HORDALAND GP	GROUP	67	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	1788.000000	2025.000000	JORSALFARE FM	FORMATION	74	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	2025.000000	2490.000000	KYRRE FM	FORMATION	92	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	1715.000000	1788.000000	LISTA FM	FORMATION	95	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	2834.000000	2894.000000	LOMVI FM	FORMATION	96	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	2508.000000	2834.000000	LUNDE FM	FORMATION	97	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	2494.000000	2508.000000	MIME FM	FORMATION	106	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	1120.000000	1211.000000	NO FORMAL NAME	FORMATION	111	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	402.000000	1211.000000	NORDLAND GP	GROUP	113	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	1685.000000	1788.000000	ROGALAND GP	GROUP	131	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	2490.000000	2494.000000	RØDBY FM	FORMATION	137	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	1788.000000	2490.000000	SHETLAND GP	GROUP	143	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	2894.000000	2916.000000	TEIST FM (INFORMAL)	FORMATION	166	1979-12-16	422	9999-12-31	2013-05-08
34/4-1	1089.000000	1120.000000	UTSIRA FM	FORMATION	183	1979-12-16	422	9999-12-31	2013-05-08
34/4-3	4281.000000	4353.000000	AMUNDSEN FM	FORMATION	4	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	1727.000000	1769.000000	BALDER FM	FORMATION	6	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	3987.000000	4169.000000	BRENT GP	GROUP	16	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	4257.000000	4281.000000	BURTON FM	FORMATION	20	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	3512.000000	3526.000000	CROMER KNOLL GP	GROUP	23	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	4226.000000	4257.000000	COOK FM	FORMATION	24	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	4169.000000	4226.000000	DRAKE FM	FORMATION	27	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	3526.000000	3784.000000	DRAUPNE FM	FORMATION	28	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	4169.000000	4353.000000	DUNLIN GP	GROUP	29	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	3784.000000	3987.000000	HEATHER FM	FORMATION	60	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	4410.000000	4460.000000	HEGRE GP	GROUP	61	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	1243.000000	1727.000000	HORDALAND GP	GROUP	67	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	1769.000000	1891.000000	LISTA FM	FORMATION	95	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	4410.000000	4460.000000	LUNDE FM	FORMATION	97	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	391.000000	1243.000000	NORDLAND GP	GROUP	113	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	1727.000000	1891.000000	ROGALAND GP	GROUP	131	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	1891.000000	3512.000000	SHETLAND GP	GROUP	143	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	4353.000000	4410.000000	STATFJORD FM	FORMATION	157	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	1136.000000	1243.000000	UTSIRA FM	FORMATION	183	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	3526.000000	3987.000000	VIKING GP	GROUP	188	1982-03-30	423	9999-12-31	2013-05-08
34/4-3	4353.000000	4410.000000	NO GROUP DEFINED	GROUP	208	1982-03-30	423	9999-12-31	2013-05-08
34/10-1	2120.000000	2268.000000	AMUNDSEN FM	FORMATION	4	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1513.000000	1582.000000	BALDER FM	FORMATION	6	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1783.000000	1946.000000	BRENT GP	GROUP	16	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1935.000000	1946.000000	BROOM FM	FORMATION	17	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	2081.000000	2120.000000	BURTON FM	FORMATION	20	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	2023.000000	2081.000000	COOK FM	FORMATION	24	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1946.000000	2023.000000	DRAKE FM	FORMATION	27	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1946.000000	2268.000000	DUNLIN GP	GROUP	29	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1833.000000	1871.000000	ETIVE FM	FORMATION	35	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	2367.000000	2460.000000	HEGRE GP	GROUP	61	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	915.000000	1513.000000	HORDALAND GP	GROUP	67	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1678.000000	1718.000000	JORSALFARE FM	FORMATION	74	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1718.000000	1783.000000	KYRRE FM	FORMATION	92	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1582.000000	1678.000000	LISTA FM	FORMATION	95	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	2367.000000	2460.000000	LUNDE FM	FORMATION	97	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	2268.000000	2329.000000	NANSEN MBR	MEMBER	108	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1797.000000	1833.000000	NESS FM	FORMATION	110	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	900.000000	915.000000	NO FORMAL NAME	FORMATION	111	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	963.000000	995.000000	NO FORMAL NAME	FORMATION	111	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	995.000000	1045.000000	NO FORMAL NAME	FORMATION	111	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1045.000000	1142.000000	NO FORMAL NAME	FORMATION	111	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1142.000000	1180.000000	NO FORMAL NAME	FORMATION	111	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1180.000000	1220.000000	NO FORMAL NAME	FORMATION	111	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1220.000000	1298.000000	NO FORMAL NAME	FORMATION	111	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1298.000000	1320.000000	NO FORMAL NAME	FORMATION	111	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1320.000000	1513.000000	NO FORMAL NAME	FORMATION	111	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	163.000000	915.000000	NORDLAND GP	GROUP	113	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1871.000000	1935.000000	RANNOCH FM	FORMATION	126	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	2329.000000	2367.000000	RAUDE MBR	MEMBER	127	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1513.000000	1678.000000	ROGALAND GP	GROUP	131	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1678.000000	1783.000000	SHETLAND GP	GROUP	143	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	2268.000000	2367.000000	STATFJORD FM	FORMATION	157	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	1783.000000	1797.000000	TARBERT FM	FORMATION	162	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	845.000000	900.000000	UTSIRA FM	FORMATION	183	1978-09-08	424	9999-12-31	2013-05-08
34/10-1	2268.000000	2367.000000	NO GROUP DEFINED	GROUP	208	1978-09-08	424	9999-12-31	2013-05-08
34/10-2	3222.000000	3325.000000	AMUNDSEN FM	FORMATION	4	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1795.000000	1858.000000	BALDER FM	FORMATION	6	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2944.000000	3124.000000	BRENT GP	GROUP	16	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3200.000000	3222.000000	BURTON FM	FORMATION	20	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2863.000000	2882.000000	CROMER KNOLL GP	GROUP	23	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3172.000000	3200.000000	COOK FM	FORMATION	24	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3124.000000	3172.000000	DRAKE FM	FORMATION	27	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2882.000000	2889.000000	DRAUPNE FM	FORMATION	28	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3124.000000	3325.000000	DUNLIN GP	GROUP	29	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3379.000000	3497.000000	EIRIKSSON MBR	MEMBER	32	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3070.000000	3083.000000	ETIVE FM	FORMATION	35	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2889.000000	2944.000000	HEATHER FM	FORMATION	60	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3540.000000	3729.000000	HEGRE GP	GROUP	61	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1015.000000	1795.000000	HORDALAND GP	GROUP	67	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2017.000000	2625.000000	JORSALFARE FM	FORMATION	74	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2625.000000	2863.000000	KYRRE FM	FORMATION	92	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1858.000000	2017.000000	LISTA FM	FORMATION	95	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3540.000000	3729.000000	LUNDE FM	FORMATION	97	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3325.000000	3379.000000	NANSEN MBR	MEMBER	108	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2944.000000	3070.000000	NESS FM	FORMATION	110	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	965.000000	1015.000000	NO FORMAL NAME	FORMATION	111	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1095.000000	1140.000000	NO FORMAL NAME	FORMATION	111	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1140.000000	1165.000000	NO FORMAL NAME	FORMATION	111	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1165.000000	1412.000000	NO FORMAL NAME	FORMATION	111	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1412.000000	1440.000000	NO FORMAL NAME	FORMATION	111	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1440.000000	1523.000000	NO FORMAL NAME	FORMATION	111	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1523.000000	1575.000000	NO FORMAL NAME	FORMATION	111	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1575.000000	1597.000000	NO FORMAL NAME	FORMATION	111	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1597.000000	1637.000000	NO FORMAL NAME	FORMATION	111	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1637.000000	1665.000000	NO FORMAL NAME	FORMATION	111	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1665.000000	1795.000000	NO FORMAL NAME	FORMATION	111	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	158.000000	1015.000000	NORDLAND GP	GROUP	113	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3083.000000	3124.000000	RANNOCH FM	FORMATION	126	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3497.000000	3540.000000	RAUDE MBR	MEMBER	127	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	1795.000000	2017.000000	ROGALAND GP	GROUP	131	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2863.000000	2867.000000	RØDBY FM	FORMATION	137	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2017.000000	2863.000000	SHETLAND GP	GROUP	143	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2867.000000	2870.000000	SOLA FM	FORMATION	152	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3325.000000	3540.000000	STATFJORD FM	FORMATION	157	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	865.000000	965.000000	UTSIRA FM	FORMATION	183	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2882.000000	2944.000000	VIKING GP	GROUP	188	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	2870.000000	2882.000000	ÅSGARD FM	FORMATION	198	1978-12-08	425	9999-12-31	2013-05-08
34/10-2	3325.000000	3540.000000	NO GROUP DEFINED	GROUP	208	1978-12-08	425	9999-12-31	2013-05-08
34/10-3	2336.000000	2495.000000	AMUNDSEN FM	FORMATION	4	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1578.000000	1637.000000	BALDER FM	FORMATION	6	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1892.000000	2092.000000	BRENT GP	GROUP	16	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2084.000000	2092.000000	BROOM FM	FORMATION	17	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2326.000000	2336.000000	BURTON FM	FORMATION	20	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1886.000000	1892.000000	CROMER KNOLL GP	GROUP	23	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2201.000000	2326.000000	COOK FM	FORMATION	24	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2092.000000	2201.000000	DRAKE FM	FORMATION	27	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2092.000000	2495.000000	DUNLIN GP	GROUP	29	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2561.000000	2677.000000	EIRIKSSON MBR	MEMBER	32	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1978.000000	2002.000000	ETIVE FM	FORMATION	35	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2715.000000	2802.000000	HEGRE GP	GROUP	61	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1118.000000	1578.000000	HORDALAND GP	GROUP	67	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1748.000000	1827.000000	JORSALFARE FM	FORMATION	74	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1827.000000	1886.000000	KYRRE FM	FORMATION	92	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1637.000000	1748.000000	LISTA FM	FORMATION	95	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2715.000000	2802.000000	LUNDE FM	FORMATION	97	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2495.000000	2561.000000	NANSEN MBR	MEMBER	108	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1892.000000	1978.000000	NESS FM	FORMATION	110	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1072.000000	1118.000000	NO FORMAL NAME	FORMATION	111	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1118.000000	1225.000000	NO FORMAL NAME	FORMATION	111	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1225.000000	1252.000000	NO FORMAL NAME	FORMATION	111	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1252.000000	1425.000000	NO FORMAL NAME	FORMATION	111	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1425.000000	1578.000000	NO FORMAL NAME	FORMATION	111	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	165.000000	1118.000000	NORDLAND GP	GROUP	113	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2002.000000	2084.000000	RANNOCH FM	FORMATION	126	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2677.000000	2715.000000	RAUDE MBR	MEMBER	127	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1578.000000	1748.000000	ROGALAND GP	GROUP	131	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	1748.000000	1886.000000	SHETLAND GP	GROUP	143	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2495.000000	2715.000000	STATFJORD FM	FORMATION	157	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	998.000000	1072.000000	UTSIRA FM	FORMATION	183	1979-06-07	426	9999-12-31	2013-05-08
34/10-3	2495.000000	2715.000000	NO GROUP DEFINED	GROUP	208	1979-06-07	426	9999-12-31	2013-05-08
34/10-4	2175.000000	2340.000000	AMUNDSEN FM	FORMATION	4	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1520.000000	1580.000000	BALDER FM	FORMATION	6	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1816.000000	1916.000000	BRENT GP	GROUP	16	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1905.000000	1916.000000	BROOM FM	FORMATION	17	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	2165.000000	2175.000000	BURTON FM	FORMATION	20	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	2025.000000	2165.000000	COOK FM	FORMATION	24	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1916.000000	2025.000000	DRAKE FM	FORMATION	27	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1916.000000	2340.000000	DUNLIN GP	GROUP	29	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	2435.000000	2458.000000	EIRIKSSON MBR	MEMBER	32	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	2481.000000	2600.000000	HEGRE GP	GROUP	61	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1030.000000	1520.000000	HORDALAND GP	GROUP	67	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1690.000000	1745.000000	JORSALFARE FM	FORMATION	74	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1745.000000	1816.000000	KYRRE FM	FORMATION	92	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1580.000000	1690.000000	LISTA FM	FORMATION	95	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	2481.000000	2600.000000	LUNDE FM	FORMATION	97	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	2340.000000	2435.000000	NANSEN MBR	MEMBER	108	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1000.000000	1030.000000	NO FORMAL NAME	FORMATION	111	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1110.000000	1227.000000	NO FORMAL NAME	FORMATION	111	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1227.000000	1273.000000	NO FORMAL NAME	FORMATION	111	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1273.000000	1340.000000	NO FORMAL NAME	FORMATION	111	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1340.000000	1520.000000	NO FORMAL NAME	FORMATION	111	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	223.000000	1030.000000	NORDLAND GP	GROUP	113	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1816.000000	1905.000000	RANNOCH FM	FORMATION	126	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	2458.000000	2481.000000	RAUDE MBR	MEMBER	127	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1520.000000	1690.000000	ROGALAND GP	GROUP	131	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	1690.000000	1816.000000	SHETLAND GP	GROUP	143	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	2340.000000	2481.000000	STATFJORD FM	FORMATION	157	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	915.000000	1000.000000	UTSIRA FM	FORMATION	183	1979-10-15	427	9999-12-31	2013-05-08
34/10-4	2340.000000	2481.000000	NO GROUP DEFINED	GROUP	208	1979-10-15	427	9999-12-31	2013-05-08
34/10-5	2388.000000	2562.000000	AMUNDSEN FM	FORMATION	4	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1555.000000	1613.000000	BALDER FM	FORMATION	6	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1896.000000	2148.000000	BRENT GP	GROUP	16	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2134.000000	2148.000000	BROOM FM	FORMATION	17	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2381.000000	2388.000000	BURTON FM	FORMATION	20	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2240.000000	2381.000000	COOK FM	FORMATION	24	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2148.000000	2240.000000	DRAKE FM	FORMATION	27	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1857.000000	1858.000000	DRAUPNE FM	FORMATION	28	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2148.000000	2562.000000	DUNLIN GP	GROUP	29	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2649.000000	2732.000000	EIRIKSSON MBR	MEMBER	32	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2035.000000	2070.000000	ETIVE FM	FORMATION	35	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1858.000000	1896.000000	HEATHER FM	FORMATION	60	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2764.000000	2780.000000	HEGRE GP	GROUP	61	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	945.000000	1555.000000	HORDALAND GP	GROUP	67	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1734.000000	1857.000000	JORSALFARE FM	FORMATION	74	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1613.000000	1734.000000	LISTA FM	FORMATION	95	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2764.000000	2780.000000	LUNDE FM	FORMATION	97	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2562.000000	2649.000000	NANSEN MBR	MEMBER	108	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1970.000000	2035.000000	NESS FM	FORMATION	110	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	925.000000	945.000000	NO FORMAL NAME	FORMATION	111	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1057.000000	1097.000000	NO FORMAL NAME	FORMATION	111	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1097.000000	1120.000000	NO FORMAL NAME	FORMATION	111	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1120.000000	1195.000000	NO FORMAL NAME	FORMATION	111	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1195.000000	1215.000000	NO FORMAL NAME	FORMATION	111	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1215.000000	1390.000000	NO FORMAL NAME	FORMATION	111	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1390.000000	1555.000000	NO FORMAL NAME	FORMATION	111	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	161.000000	945.000000	NORDLAND GP	GROUP	113	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2070.000000	2134.000000	RANNOCH FM	FORMATION	126	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2732.000000	2764.000000	RAUDE MBR	MEMBER	127	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1555.000000	1734.000000	ROGALAND GP	GROUP	131	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1734.000000	1857.000000	SHETLAND GP	GROUP	143	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2562.000000	2764.000000	STATFJORD FM	FORMATION	157	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1896.000000	1970.000000	TARBERT FM	FORMATION	162	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	885.000000	925.000000	UTSIRA FM	FORMATION	183	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	1857.000000	1896.000000	VIKING GP	GROUP	188	1980-01-02	428	9999-12-31	2013-05-08
34/10-5	2562.000000	2764.000000	NO GROUP DEFINED	GROUP	208	1980-01-02	428	9999-12-31	2013-05-08
34/10-6	1578.000000	1638.000000	BALDER FM	FORMATION	6	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	2075.000000	2290.000000	BRENT GP	GROUP	16	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	2273.000000	2290.000000	BROOM FM	FORMATION	17	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1990.000000	1995.000000	CROMER KNOLL GP	GROUP	23	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	2290.000000	2363.000000	DRAKE FM	FORMATION	27	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1995.000000	1997.000000	DRAUPNE FM	FORMATION	28	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	2290.000000	2363.000000	DUNLIN GP	GROUP	29	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	2165.000000	2197.000000	ETIVE FM	FORMATION	35	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1997.000000	2075.000000	HEATHER FM	FORMATION	60	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1005.000000	1578.000000	HORDALAND GP	GROUP	67	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1757.000000	1990.000000	JORSALFARE FM	FORMATION	74	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1638.000000	1757.000000	LISTA FM	FORMATION	95	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	2105.000000	2165.000000	NESS FM	FORMATION	110	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	975.000000	1005.000000	NO FORMAL NAME	FORMATION	111	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1100.000000	1155.000000	NO FORMAL NAME	FORMATION	111	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1155.000000	1217.000000	NO FORMAL NAME	FORMATION	111	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1217.000000	1317.000000	NO FORMAL NAME	FORMATION	111	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1317.000000	1347.000000	NO FORMAL NAME	FORMATION	111	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1347.000000	1382.000000	NO FORMAL NAME	FORMATION	111	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1382.000000	1435.000000	NO FORMAL NAME	FORMATION	111	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1435.000000	1455.000000	NO FORMAL NAME	FORMATION	111	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1455.000000	1578.000000	NO FORMAL NAME	FORMATION	111	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	248.000000	1005.000000	NORDLAND GP	GROUP	113	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	2197.000000	2273.000000	RANNOCH FM	FORMATION	126	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1578.000000	1757.000000	ROGALAND GP	GROUP	131	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1757.000000	1990.000000	SHETLAND GP	GROUP	143	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	2075.000000	2105.000000	TARBERT FM	FORMATION	162	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	946.000000	975.000000	UTSIRA FM	FORMATION	183	1980-01-22	429	9999-12-31	2013-05-08
34/10-6	1995.000000	2075.000000	VIKING GP	GROUP	188	1980-01-22	429	9999-12-31	2013-05-08
34/10-10	179.000000	816.000000	NORDLAND GP	GROUP	113	1980-08-21	430	9999-12-31	2013-05-08
35/3-1	3805.000000	4020.000000	AGAT FM	FORMATION	2	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	1350.000000	1358.000000	BALDER FM	FORMATION	6	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	3359.000000	3387.000000	BLODØKS FM	FORMATION	13	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	3725.000000	4145.000000	CROMER KNOLL GP	GROUP	23	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	4435.000000	4475.000000	DRAKE FM	FORMATION	27	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	4435.000000	4475.000000	DUNLIN GP	GROUP	29	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	4145.000000	4166.000000	INTRA HEATHER FM SS	FORMATION	59	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	4166.000000	4435.000000	HEATHER FM	FORMATION	60	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	743.000000	1350.000000	HORDALAND GP	GROUP	67	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	1580.000000	1720.000000	JORSALFARE FM	FORMATION	74	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	1720.000000	2962.000000	KYRRE FM	FORMATION	92	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	1358.000000	1392.000000	LISTA FM	FORMATION	95	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	1422.000000	1556.000000	LISTA FM	FORMATION	95	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	743.000000	835.000000	NO FORMAL NAME	FORMATION	111	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	835.000000	965.000000	NO FORMAL NAME	FORMATION	111	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	965.000000	1161.000000	NO FORMAL NAME	FORMATION	111	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	1161.000000	1204.000000	NO FORMAL NAME	FORMATION	111	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	1204.000000	1350.000000	NO FORMAL NAME	FORMATION	111	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	1392.000000	1422.000000	NO FORMAL NAME	FORMATION	111	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	1556.000000	1580.000000	NO FORMAL NAME	FORMATION	111	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	330.000000	743.000000	NORDLAND GP	GROUP	113	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	1350.000000	1580.000000	ROGALAND GP	GROUP	131	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	3725.000000	3805.000000	RØDBY FM	FORMATION	137	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	1580.000000	3725.000000	SHETLAND GP	GROUP	143	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	3387.000000	3725.000000	SVARTE FM	FORMATION	160	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	2962.000000	3359.000000	TRYGGVASON FM	FORMATION	173	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	574.000000	743.000000	UTSIRA FM	FORMATION	183	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	4145.000000	4435.000000	VIKING GP	GROUP	188	1976-10-26	432	9999-12-31	2013-05-08
35/3-1	4020.000000	4145.000000	ÅSGARD FM	FORMATION	198	1976-10-26	432	9999-12-31	2013-05-08
35/3-5	3219.000000	3510.000000	AGAT FM	FORMATION	2	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	4060.000000	4092.000000	AMUNDSEN FM	FORMATION	4	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	975.000000	1026.000000	BALDER FM	FORMATION	6	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	4092.000000	4114.000000	BASEMENT	GROUP	10	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	2904.000000	2912.000000	BLODØKS FM	FORMATION	13	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	4052.000000	4060.000000	BURTON FM	FORMATION	20	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	3181.000000	3732.000000	CROMER KNOLL GP	GROUP	23	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	3999.000000	4052.000000	COOK FM	FORMATION	24	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	3955.000000	3999.000000	DRAKE FM	FORMATION	27	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	3955.000000	4092.000000	DUNLIN GP	GROUP	29	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	3865.000000	3874.000000	INTRA HEATHER FM SS	FORMATION	59	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	3732.000000	3865.000000	HEATHER FM	FORMATION	60	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	3874.000000	3955.000000	HEATHER FM	FORMATION	60	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	593.000000	975.000000	HORDALAND GP	GROUP	67	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	1420.000000	1500.000000	JORSALFARE FM	FORMATION	74	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	1500.000000	2569.000000	KYRRE FM	FORMATION	92	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	1026.000000	1100.000000	LISTA FM	FORMATION	95	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	1121.000000	1145.000000	LISTA FM	FORMATION	95	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	1172.000000	1400.000000	LISTA FM	FORMATION	95	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	593.000000	975.000000	NO FORMAL NAME	FORMATION	111	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	1100.000000	1121.000000	NO FORMAL NAME	FORMATION	111	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	1145.000000	1172.000000	NO FORMAL NAME	FORMATION	111	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	295.000000	593.000000	NORDLAND GP	GROUP	113	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	975.000000	1420.000000	ROGALAND GP	GROUP	131	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	3181.000000	3219.000000	RØDBY FM	FORMATION	137	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	1420.000000	3181.000000	SHETLAND GP	GROUP	143	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	3510.000000	3639.000000	SOLA FM	FORMATION	152	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	2912.000000	3181.000000	SVARTE FM	FORMATION	160	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	2569.000000	2904.000000	TRYGGVASON FM	FORMATION	173	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	3732.000000	3955.000000	VIKING GP	GROUP	188	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	1400.000000	1420.000000	VÅLE FM	FORMATION	190	1982-03-31	433	9999-12-31	2013-05-08
35/3-5	3639.000000	3732.000000	ÅSGARD FM	FORMATION	198	1982-03-31	433	9999-12-31	2013-05-08
35/8-2	4095.000000	4203.000000	AMUNDSEN FM	FORMATION	4	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	1675.000000	1778.000000	BALDER FM	FORMATION	6	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3059.000000	3060.000000	BLODØKS FM	FORMATION	13	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3666.000000	3885.000000	BRENT GP	GROUP	16	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3868.000000	3885.000000	BROOM FM	FORMATION	17	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	4064.000000	4095.000000	BURTON FM	FORMATION	20	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3060.000000	3079.000000	CROMER KNOLL GP	GROUP	23	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3932.000000	4064.000000	COOK FM	FORMATION	24	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3885.000000	3932.000000	DRAKE FM	FORMATION	27	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3079.000000	3204.000000	DRAUPNE FM	FORMATION	28	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3885.000000	4203.000000	DUNLIN GP	GROUP	29	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3786.000000	3814.000000	ETIVE FM	FORMATION	35	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3204.000000	3666.000000	HEATHER FM	FORMATION	60	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	969.000000	1675.000000	HORDALAND GP	GROUP	67	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	1941.000000	2089.000000	JORSALFARE FM	FORMATION	74	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	2089.000000	2947.000000	KYRRE FM	FORMATION	92	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	1782.000000	1928.000000	LISTA FM	FORMATION	95	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3717.000000	3786.000000	NESS FM	FORMATION	110	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	406.000000	969.000000	NORDLAND GP	GROUP	113	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3814.000000	3868.000000	RANNOCH FM	FORMATION	126	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	1675.000000	1941.000000	ROGALAND GP	GROUP	131	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3060.000000	3074.000000	RØDBY FM	FORMATION	137	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	1778.000000	1782.000000	SELE FM	FORMATION	142	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	1941.000000	3060.000000	SHETLAND GP	GROUP	143	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	4203.000000	4336.000000	STATFJORD FM	FORMATION	157	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3666.000000	3717.000000	TARBERT FM	FORMATION	162	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	2947.000000	3059.000000	TRYGGVASON FM	FORMATION	173	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	791.000000	969.000000	UTSIRA FM	FORMATION	183	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3079.000000	3666.000000	VIKING GP	GROUP	188	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	1928.000000	1941.000000	VÅLE FM	FORMATION	190	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	3074.000000	3079.000000	ÅSGARD FM	FORMATION	198	1982-05-21	434	9999-12-31	2013-05-08
35/8-2	4203.000000	4336.000000	NO GROUP DEFINED	GROUP	208	1982-05-21	434	9999-12-31	2013-05-08
36/1-1	1218.000000	1358.000000	AGAT FM	FORMATION	2	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	650.000000	671.000000	BALDER FM	FORMATION	6	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	1568.000000	1596.000000	BASEMENT	GROUP	10	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	1175.000000	1218.000000	CROMER KNOLL GP	GROUP	23	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	1218.000000	1358.000000	CROMER KNOLL GP	GROUP	23	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	1463.000000	1568.000000	INTRA HEATHER FM SS	FORMATION	59	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	1358.000000	1463.000000	HEATHER FM	FORMATION	60	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	586.000000	650.000000	HORDALAND GP	GROUP	67	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	839.000000	888.000000	JORSALFARE FM	FORMATION	74	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	888.000000	1175.000000	KYRRE FM	FORMATION	92	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	671.000000	762.000000	LISTA FM	FORMATION	95	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	795.000000	839.000000	LISTA FM	FORMATION	95	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	762.000000	795.000000	NO FORMAL NAME	FORMATION	111	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	191.000000	586.000000	NORDLAND GP	GROUP	113	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	650.000000	839.000000	ROGALAND GP	GROUP	131	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	1175.000000	1218.000000	RØDBY FM	FORMATION	137	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	839.000000	1175.000000	SHETLAND GP	GROUP	143	1975-06-14	435	9999-12-31	2013-05-08
36/1-1	1358.000000	1568.000000	VIKING GP	GROUP	188	1975-06-14	435	9999-12-31	2013-05-08
36/1-2	2815.000000	2865.000000	AGAT FM	FORMATION	2	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	900.000000	953.000000	BALDER FM	FORMATION	6	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	3233.000000	3256.000000	BASEMENT	GROUP	10	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	2575.000000	2597.000000	BLODØKS FM	FORMATION	13	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	2815.000000	2875.000000	CROMER KNOLL GP	GROUP	23	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	3146.000000	3233.000000	INTRA HEATHER FM SS	FORMATION	59	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	2900.000000	3146.000000	HEATHER FM	FORMATION	60	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	582.000000	900.000000	HORDALAND GP	GROUP	67	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	1315.000000	1335.000000	JORSALFARE FM	FORMATION	74	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	1335.000000	2217.000000	KYRRE FM	FORMATION	92	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	975.000000	1315.000000	LISTA FM	FORMATION	95	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	582.000000	718.000000	NO FORMAL NAME	FORMATION	111	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	718.000000	791.000000	NO FORMAL NAME	FORMATION	111	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	791.000000	900.000000	NO FORMAL NAME	FORMATION	111	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	251.000000	582.000000	NORDLAND GP	GROUP	113	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	900.000000	1315.000000	ROGALAND GP	GROUP	131	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	953.000000	975.000000	SELE FM	FORMATION	142	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	1315.000000	2815.000000	SHETLAND GP	GROUP	143	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	2597.000000	2815.000000	SVARTE FM	FORMATION	160	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	2217.000000	2575.000000	TRYGGVASON FM	FORMATION	173	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	2875.000000	3233.000000	VIKING GP	GROUP	188	1975-10-27	436	9999-12-31	2013-05-08
36/1-2	2865.000000	2875.000000	ÅSGARD FM	FORMATION	198	1975-10-27	436	9999-12-31	2013-05-08
6507/12-2	1305.000000	1717.000000	BRYGGE FM	FORMATION	18	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	2007.000000	2605.000000	BÅT GP	GROUP	22	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1922.000000	2007.000000	FANGST GP	GROUP	38	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1922.000000	2007.000000	GARN FM	FORMATION	48	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	2605.000000	2727.000000	GREY BEDS (INFORMAL)	GROUP	52	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1305.000000	1717.000000	HORDALAND GP	GROUP	67	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1020.000000	1305.000000	KAI FM	FORMATION	77	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1878.000000	1922.000000	MELKE FM	FORMATION	105	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	286.000000	1020.000000	NAUST FM	FORMATION	109	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	286.000000	1305.000000	NORDLAND GP	GROUP	113	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	2727.000000	5008.000000	RED BEDS (INFORMAL)	GROUP	129	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1717.000000	1818.000000	ROGALAND GP	GROUP	131	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	2007.000000	2076.000000	ROR FM	FORMATION	135	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1818.000000	1872.000000	SHETLAND GP	GROUP	143	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1872.000000	1878.000000	SPEKK FM	FORMATION	155	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1818.000000	1872.000000	SPRINGAR FM	FORMATION	156	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1783.000000	1818.000000	TANG FM	FORMATION	161	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1717.000000	1783.000000	TARE FM	FORMATION	163	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	2076.000000	2193.000000	TILJE FM	FORMATION	169	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	1872.000000	1922.000000	VIKING GP	GROUP	188	1981-11-24	437	9999-12-31	2013-05-08
6507/12-2	2193.000000	2605.000000	ÅRE FM	FORMATION	197	1981-11-24	437	9999-12-31	2013-05-08
15/12-4	2320.000000	2335.000000	BALDER FM	FORMATION	6	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2712.000000	2784.000000	CROMER KNOLL GP	GROUP	23	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2784.000000	2892.000000	DRAUPNE FM	FORMATION	28	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2476.000000	2494.000000	EKOFISK FM	FORMATION	33	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2892.000000	2912.000000	HEATHER FM	FORMATION	60	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2621.000000	2712.000000	HOD FM	FORMATION	66	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	1278.000000	2320.000000	HORDALAND GP	GROUP	67	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2912.000000	3134.000000	HUGIN FM	FORMATION	69	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2393.000000	2464.000000	LISTA FM	FORMATION	95	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	110.000000	1278.000000	NORDLAND GP	GROUP	113	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2320.000000	2476.000000	ROGALAND GP	GROUP	131	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2712.000000	2735.000000	RØDBY FM	FORMATION	137	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2335.000000	2393.000000	SELE FM	FORMATION	142	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2476.000000	2712.000000	SHETLAND GP	GROUP	143	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	3134.000000	3140.000000	SLEIPNER FM	FORMATION	148	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2735.000000	2759.000000	SOLA FM	FORMATION	152	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2494.000000	2621.000000	TOR FM	FORMATION	171	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	1200.000000	1278.000000	UTSIRA FM	FORMATION	183	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2912.000000	3140.000000	VESTLAND GP	GROUP	186	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2784.000000	2912.000000	VIKING GP	GROUP	188	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2464.000000	2476.000000	VÅLE FM	FORMATION	190	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	2759.000000	2784.000000	ÅSGARD FM	FORMATION	198	1984-10-31	438	9999-12-31	2013-05-08
15/12-4	3140.000000	3157.000000	NO GROUP DEFINED	GROUP	208	1984-10-31	438	9999-12-31	2013-05-08
31/2-15	1200.000000	1256.000000	BALDER FM	FORMATION	6	1984-11-15	439	9999-12-31	2013-05-08
31/2-15	1636.000000	1677.000000	FENSFJORD FM	FORMATION	40	1984-11-15	439	9999-12-31	2013-05-08
31/2-15	1559.000000	1636.000000	HEATHER FM	FORMATION	60	1984-11-15	439	9999-12-31	2013-05-08
31/2-15	680.000000	1200.000000	HORDALAND GP	GROUP	67	1984-11-15	439	9999-12-31	2013-05-08
31/2-15	1316.000000	1482.000000	LISTA FM	FORMATION	95	1984-11-15	439	9999-12-31	2013-05-08
31/2-15	1482.000000	1504.000000	NO FORMAL NAME	FORMATION	111	1984-11-15	439	9999-12-31	2013-05-08
31/2-15	368.000000	680.000000	NORDLAND GP	GROUP	113	1984-11-15	439	9999-12-31	2013-05-08
31/2-15	1200.000000	1504.000000	ROGALAND GP	GROUP	131	1984-11-15	439	9999-12-31	2013-05-08
31/2-15	1256.000000	1316.000000	SELE FM	FORMATION	142	1984-11-15	439	9999-12-31	2013-05-08
31/2-15	1515.000000	1559.000000	SOGNEFJORD FM	FORMATION	151	1984-11-15	439	9999-12-31	2013-05-08
31/2-15	1515.000000	1677.000000	VIKING GP	GROUP	188	1984-11-15	439	9999-12-31	2013-05-08
31/2-15	1504.000000	1515.000000	UNDEFINED GP	GROUP	191	1984-11-15	439	9999-12-31	2013-05-08
25/10-1	1682.000000	1699.000000	BALDER FM	FORMATION	6	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	1705.000000	1717.000000	BALDER FM	FORMATION	6	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	1699.000000	1705.000000	INTRA BALDER FM SS	FORMATION	7	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	1730.000000	1745.000000	HERMOD FM	FORMATION	64	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	733.000000	1682.000000	HORDALAND GP	GROUP	67	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	675.000000	733.000000	NO FORMAL NAME	FORMATION	111	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	1045.000000	1192.000000	NO FORMAL NAME	FORMATION	111	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	1192.000000	1247.000000	NO FORMAL NAME	FORMATION	111	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	1247.000000	1682.000000	NO FORMAL NAME	FORMATION	111	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	134.000000	733.000000	NORDLAND GP	GROUP	113	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	1682.000000	1747.000000	ROGALAND GP	GROUP	131	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	1717.000000	1730.000000	SELE FM	FORMATION	142	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	1745.000000	1747.000000	SELE FM	FORMATION	142	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	733.000000	1045.000000	SKADE FM	FORMATION	145	1969-10-16	441	9999-12-31	2013-05-08
25/10-1	555.000000	675.000000	UTSIRA FM	FORMATION	183	1969-10-16	441	9999-12-31	2013-05-08
34/7-3	2363.000000	2414.000000	AMUNDSEN FM	FORMATION	4	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	1672.000000	1688.000000	BALDER FM	FORMATION	6	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	2353.000000	2363.000000	CROMER KNOLL GP	GROUP	23	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	2363.000000	2414.000000	DUNLIN GP	GROUP	29	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	2513.000000	3414.000000	HEGRE GP	GROUP	61	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	1133.000000	1672.000000	HORDALAND GP	GROUP	67	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	1831.000000	1940.000000	JORSALFARE FM	FORMATION	74	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	1940.000000	2353.000000	KYRRE FM	FORMATION	92	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	1688.000000	1831.000000	LISTA FM	FORMATION	95	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	2513.000000	3414.000000	LUNDE FM	FORMATION	97	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	2357.000000	2363.000000	MIME FM	FORMATION	106	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	1288.000000	1323.000000	NO FORMAL NAME	FORMATION	111	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	1323.000000	1672.000000	NO FORMAL NAME	FORMATION	111	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	328.000000	1133.000000	NORDLAND GP	GROUP	113	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	1672.000000	1831.000000	ROGALAND GP	GROUP	131	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	1831.000000	2353.000000	SHETLAND GP	GROUP	143	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	2353.000000	2357.000000	SOLA FM	FORMATION	152	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	2414.000000	2513.000000	STATFJORD FM	FORMATION	157	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	990.000000	1133.000000	UTSIRA FM	FORMATION	183	1985-01-02	442	9999-12-31	2013-05-08
34/7-3	2414.000000	2513.000000	NO GROUP DEFINED	GROUP	208	1985-01-02	442	9999-12-31	2013-05-08
24/6-1	2004.000000	2050.000000	BALDER FM	FORMATION	6	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	3925.000000	3932.000000	BLODØKS FM	FORMATION	13	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4152.000000	4196.000000	CROMER KNOLL GP	GROUP	23	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4196.000000	4205.000000	DRAUPNE FM	FORMATION	28	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4789.000000	4915.000000	DUNLIN GP	GROUP	29	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	1263.000000	1295.000000	GRID FM	FORMATION	53	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4205.000000	4478.000000	HEATHER FM	FORMATION	60	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	2180.000000	2485.000000	HEIMDAL FM	FORMATION	62	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	2079.000000	2083.000000	HERMOD FM	FORMATION	64	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	875.000000	2004.000000	HORDALAND GP	GROUP	67	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4478.000000	4716.000000	HUGIN FM	FORMATION	69	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	2802.000000	2844.000000	JORSALFARE FM	FORMATION	74	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	2844.000000	3663.000000	KYRRE FM	FORMATION	92	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	2102.000000	2180.000000	LISTA FM	FORMATION	95	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	2485.000000	2758.000000	LISTA FM	FORMATION	95	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	1295.000000	2004.000000	NO FORMAL NAME	FORMATION	111	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	149.000000	875.000000	NORDLAND GP	GROUP	113	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	2004.000000	2802.000000	ROGALAND GP	GROUP	131	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4152.000000	4177.000000	RØDBY FM	FORMATION	137	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	2050.000000	2079.000000	SELE FM	FORMATION	142	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	2083.000000	2102.000000	SELE FM	FORMATION	142	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	2802.000000	4152.000000	SHETLAND GP	GROUP	143	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4716.000000	4789.000000	SLEIPNER FM	FORMATION	148	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4177.000000	4196.000000	SOLA FM	FORMATION	152	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4915.000000	4937.000000	STATFJORD FM	FORMATION	157	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	3932.000000	4152.000000	SVARTE FM	FORMATION	160	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	3663.000000	3925.000000	TRYGGVASON FM	FORMATION	173	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	2758.000000	2802.000000	TY FM	FORMATION	176	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4478.000000	4789.000000	VESTLAND GP	GROUP	186	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4196.000000	4478.000000	VIKING GP	GROUP	188	1985-08-25	443	9999-12-31	2013-05-08
24/6-1	4915.000000	4937.000000	NO GROUP DEFINED	GROUP	208	1985-08-25	443	9999-12-31	2013-05-08
6407/6-1	1063.000000	1611.000000	BRYGGE FM	FORMATION	18	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	2091.000000	2848.000000	BÅT GP	GROUP	22	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1817.000000	1834.000000	CROMER KNOLL GP	GROUP	23	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1856.000000	2091.000000	FANGST GP	GROUP	38	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1856.000000	1986.000000	GARN FM	FORMATION	48	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1063.000000	1611.000000	HORDALAND GP	GROUP	67	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	2019.000000	2091.000000	ILE FM	FORMATION	70	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1817.000000	1834.000000	LYR FM	FORMATION	98	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1843.000000	1856.000000	MELKE FM	FORMATION	105	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1745.000000	1817.000000	NISE FM	FORMATION	112	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	253.000000	1063.000000	NORDLAND GP	GROUP	113	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1986.000000	2019.000000	NOT FM	FORMATION	120	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	2848.000000	2895.000000	RED BEDS (INFORMAL)	GROUP	129	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1611.000000	1745.000000	ROGALAND GP	GROUP	131	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	2091.000000	2244.000000	ROR FM	FORMATION	135	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1745.000000	1817.000000	SHETLAND GP	GROUP	143	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1834.000000	1843.000000	SPEKK FM	FORMATION	155	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1673.000000	1745.000000	TANG FM	FORMATION	161	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1611.000000	1673.000000	TARE FM	FORMATION	163	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	2244.000000	2457.000000	TILJE FM	FORMATION	169	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	1834.000000	1856.000000	VIKING GP	GROUP	188	1984-10-26	444	9999-12-31	2013-05-08
6407/6-1	2457.000000	2848.000000	ÅRE FM	FORMATION	197	1984-10-26	444	9999-12-31	2013-05-08
6609/5-1	1743.000000	1829.000000	BRYGGE FM	FORMATION	18	1985-01-05	445	9999-12-31	2013-05-08
6609/5-1	2855.000000	3066.000000	CROMER KNOLL GP	GROUP	23	1985-01-05	445	9999-12-31	2013-05-08
6609/5-1	1743.000000	1829.000000	HORDALAND GP	GROUP	67	1985-01-05	445	9999-12-31	2013-05-08
6609/5-1	1566.000000	1743.000000	KAI FM	FORMATION	77	1985-01-05	445	9999-12-31	2013-05-08
6609/5-1	314.000000	1566.000000	NAUST FM	FORMATION	109	1985-01-05	445	9999-12-31	2013-05-08
6609/5-1	314.000000	1743.000000	NORDLAND GP	GROUP	113	1985-01-05	445	9999-12-31	2013-05-08
6609/5-1	3066.000000	3600.000000	RED BEDS (INFORMAL)	GROUP	129	1985-01-05	445	9999-12-31	2013-05-08
6609/5-1	1829.000000	2132.000000	ROGALAND GP	GROUP	131	1985-01-05	445	9999-12-31	2013-05-08
6609/5-1	2132.000000	2855.000000	SHETLAND GP	GROUP	143	1985-01-05	445	9999-12-31	2013-05-08
6609/5-1	1930.000000	2132.000000	TANG FM	FORMATION	161	1985-01-05	445	9999-12-31	2013-05-08
6609/5-1	1829.000000	1930.000000	TARE FM	FORMATION	163	1985-01-05	445	9999-12-31	2013-05-08
34/10-22	164.000000	579.000000	NORDLAND GP	GROUP	113	1984-11-05	446	9999-12-31	2013-05-08
31/3-3	2293.000000	2306.000000	AMUNDSEN FM	FORMATION	4	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	826.000000	914.000000	BALDER FM	FORMATION	6	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	2163.000000	2209.000000	BRENT GP	GROUP	16	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	1378.000000	1633.000000	CROMER KNOLL GP	GROUP	23	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	2209.000000	2293.000000	DRAKE FM	FORMATION	27	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	1633.000000	1747.000000	DRAUPNE FM	FORMATION	28	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	2209.000000	2432.000000	DUNLIN GP	GROUP	29	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	1931.000000	2077.000000	FENSFJORD FM	FORMATION	40	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	1747.000000	1753.000000	HEATHER FM	FORMATION	60	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	1905.000000	1931.000000	HEATHER FM	FORMATION	60	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	2134.000000	2163.000000	HEATHER FM	FORMATION	60	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	540.000000	826.000000	HORDALAND GP	GROUP	67	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	2306.000000	2432.000000	JOHANSEN FM	FORMATION	73	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	2077.000000	2134.000000	KROSSFJORD FM	FORMATION	87	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	1085.000000	1230.000000	LISTA FM	FORMATION	95	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	358.000000	540.000000	NORDLAND GP	GROUP	113	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	826.000000	1230.000000	ROGALAND GP	GROUP	131	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	914.000000	1085.000000	SELE FM	FORMATION	142	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	1230.000000	1378.000000	SHETLAND GP	GROUP	143	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	1753.000000	1905.000000	SOGNEFJORD FM	FORMATION	151	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	2432.000000	2573.000000	STATFJORD FM	FORMATION	157	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	1633.000000	2163.000000	VIKING GP	GROUP	188	1984-11-18	447	9999-12-31	2013-05-08
31/3-3	2432.000000	2573.000000	NO GROUP DEFINED	GROUP	208	1984-11-18	447	9999-12-31	2013-05-08
7/8-4	2955.000000	2989.000000	BALDER FM	FORMATION	6	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3629.000000	3705.000000	BLODØKS FM	FORMATION	13	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3728.000000	3817.000000	CROMER KNOLL GP	GROUP	23	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3125.000000	3187.000000	EKOFISK FM	FORMATION	33	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3705.000000	3728.000000	HIDRA FM	FORMATION	65	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3529.000000	3629.000000	HOD FM	FORMATION	66	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	1450.000000	2955.000000	HORDALAND GP	GROUP	67	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3040.000000	3099.000000	LISTA FM	FORMATION	95	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3817.000000	3826.000000	MANDAL FM	FORMATION	101	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3099.000000	3125.000000	MAUREEN FM	FORMATION	102	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	107.000000	1450.000000	NORDLAND GP	GROUP	113	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	2955.000000	3125.000000	ROGALAND GP	GROUP	131	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3728.000000	3817.000000	RØDBY FM	FORMATION	137	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	2989.000000	3040.000000	SELE FM	FORMATION	142	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3125.000000	3728.000000	SHETLAND GP	GROUP	143	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3826.000000	4400.000000	SMITH BANK FM	FORMATION	149	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3187.000000	3529.000000	TOR FM	FORMATION	171	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3817.000000	3826.000000	TYNE GP	GROUP	177	1985-02-20	448	9999-12-31	2013-05-08
7/8-4	3826.000000	4400.000000	NO GROUP DEFINED	GROUP	208	1985-02-20	448	9999-12-31	2013-05-08
6407/9-2	860.000000	1384.000000	BRYGGE FM	FORMATION	18	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1802.000000	1865.000000	BÅT GP	GROUP	22	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1594.000000	1620.000000	CROMER KNOLL GP	GROUP	23	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1702.000000	1802.000000	FANGST GP	GROUP	38	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1702.000000	1765.000000	GARN FM	FORMATION	48	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	860.000000	1384.000000	HORDALAND GP	GROUP	67	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1594.000000	1610.000000	LANGE FM	FORMATION	94	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1610.000000	1620.000000	LYR FM	FORMATION	98	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	272.000000	807.000000	NAUST FM	FORMATION	109	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	272.000000	860.000000	NORDLAND GP	GROUP	113	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1765.000000	1802.000000	NOT FM	FORMATION	120	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1384.000000	1566.000000	ROGALAND GP	GROUP	131	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1650.000000	1702.000000	ROGN FM	FORMATION	134	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1802.000000	1829.000000	ROR FM	FORMATION	135	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1566.000000	1594.000000	SHETLAND GP	GROUP	143	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1620.000000	1650.000000	SPEKK FM	FORMATION	155	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1566.000000	1594.000000	SPRINGAR FM	FORMATION	156	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1420.000000	1566.000000	TANG FM	FORMATION	161	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1384.000000	1420.000000	TARE FM	FORMATION	163	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1829.000000	1865.000000	TILJE FM	FORMATION	169	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	1620.000000	1702.000000	VIKING GP	GROUP	188	1985-02-02	449	9999-12-31	2013-05-08
6407/9-2	807.000000	860.000000	MOLO FM	FORMATION	209	1985-02-02	449	9999-12-31	2013-05-08
6/3-1	2435.000000	2449.000000	BALDER FM	FORMATION	6	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2922.000000	2963.000000	CROMER KNOLL GP	GROUP	23	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2965.000000	2978.000000	INTRA DRAUPNE FM SS	FORMATION	26	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2963.000000	2965.000000	DRAUPNE FM	FORMATION	28	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2673.000000	2679.000000	EKOFISK FM	FORMATION	33	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2744.000000	2922.000000	HOD FM	FORMATION	66	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	1183.000000	2435.000000	HORDALAND GP	GROUP	67	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2536.000000	2637.000000	LISTA FM	FORMATION	95	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	109.000000	1183.000000	NORDLAND GP	GROUP	113	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2435.000000	2673.000000	ROGALAND GP	GROUP	131	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2449.000000	2536.000000	SELE FM	FORMATION	142	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2673.000000	2922.000000	SHETLAND GP	GROUP	143	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2978.000000	3560.000000	SKAGERRAK FM	FORMATION	146	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2922.000000	2950.000000	SOLA FM	FORMATION	152	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2679.000000	2744.000000	TOR FM	FORMATION	171	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2963.000000	2978.000000	VIKING GP	GROUP	188	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2637.000000	2673.000000	VÅLE FM	FORMATION	190	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2950.000000	2963.000000	ÅSGARD FM	FORMATION	198	1985-02-01	450	9999-12-31	2013-05-08
6/3-1	2978.000000	3560.000000	NO GROUP DEFINED	GROUP	208	1985-02-01	450	9999-12-31	2013-05-08
16/3-1	142.000000	453.000000	NORDLAND GP	GROUP	113	1976-02-10	451	9999-12-31	2013-05-08
34/10-29	167.000000	405.000000	NORDLAND GP	GROUP	113	1986-01-26	453	9999-12-31	2013-05-08
34/7-4	2517.000000	2536.000000	AMUNDSEN FM	FORMATION	4	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	1685.000000	1712.000000	BALDER FM	FORMATION	6	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	2496.000000	2517.000000	CROMER KNOLL GP	GROUP	23	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	2517.000000	2536.000000	DUNLIN GP	GROUP	29	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	2628.000000	3115.000000	HEGRE GP	GROUP	61	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	1187.000000	1685.000000	HORDALAND GP	GROUP	67	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	1848.000000	1998.000000	JORSALFARE FM	FORMATION	74	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	1998.000000	2496.000000	KYRRE FM	FORMATION	92	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	1712.000000	1848.000000	LISTA FM	FORMATION	95	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	2628.000000	3115.000000	LUNDE FM	FORMATION	97	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	2504.000000	2517.000000	MIME FM	FORMATION	106	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	1115.000000	1187.000000	NO FORMAL NAME	FORMATION	111	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	1625.000000	1675.000000	NO FORMAL NAME	FORMATION	111	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	1675.000000	1685.000000	NO FORMAL NAME	FORMATION	111	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	345.000000	1187.000000	NORDLAND GP	GROUP	113	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	1685.000000	1848.000000	ROGALAND GP	GROUP	131	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	1848.000000	2496.000000	SHETLAND GP	GROUP	143	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	2496.000000	2504.000000	SOLA FM	FORMATION	152	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	2536.000000	2628.000000	STATFJORD FM	FORMATION	157	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	1034.000000	1115.000000	UTSIRA FM	FORMATION	183	1985-01-16	455	9999-12-31	2013-05-08
34/7-4	2536.000000	2628.000000	NO GROUP DEFINED	GROUP	208	1985-01-16	455	9999-12-31	2013-05-08
7120/6-1	1117.000000	2386.000000	ADVENTDALEN GP	GROUP	1	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	2367.000000	2386.000000	FUGLEN FM	FORMATION	47	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	2285.000000	2367.000000	HEKKINGEN FM	FORMATION	63	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	2386.000000	2820.000000	KAPP TOSCANA GP	GROUP	79	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	2176.000000	2285.000000	KNURR FM	FORMATION	82	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	1843.000000	2176.000000	KOLJE FM	FORMATION	84	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	1117.000000	1843.000000	KOLMULE FM	FORMATION	85	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	1081.000000	1117.000000	KVEITE FM	FORMATION	89	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	337.000000	410.000000	NORDLAND GP	GROUP	113	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	2470.000000	2559.000000	NORDMELA FM	FORMATION	118	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	1081.000000	1117.000000	NYGRUNNEN GP	GROUP	122	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	410.000000	1081.000000	SOTBAKKEN GP	GROUP	154	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	2386.000000	2470.000000	STØ FM	FORMATION	159	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	410.000000	1081.000000	TORSK FM	FORMATION	172	1985-05-02	456	9999-12-31	2013-05-08
7120/6-1	2559.000000	2820.000000	TUBÅEN FM	FORMATION	174	1985-05-02	456	9999-12-31	2013-05-08
34/7-5	2794.000000	2893.000000	AMUNDSEN FM	FORMATION	4	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	1670.000000	1738.000000	BALDER FM	FORMATION	6	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2502.000000	2622.000000	BRENT GP	GROUP	16	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2768.000000	2794.000000	BURTON FM	FORMATION	20	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2485.000000	2496.000000	CROMER KNOLL GP	GROUP	23	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2696.000000	2768.000000	COOK FM	FORMATION	24	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2622.000000	2696.000000	DRAKE FM	FORMATION	27	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2622.000000	2893.000000	DUNLIN GP	GROUP	29	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2531.000000	2564.000000	ETIVE FM	FORMATION	35	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2496.000000	2502.000000	HEATHER FM	FORMATION	60	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	3010.000000	3146.000000	HEGRE GP	GROUP	61	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	1094.000000	1670.000000	HORDALAND GP	GROUP	67	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	1911.000000	2090.000000	JORSALFARE FM	FORMATION	74	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2090.000000	2485.000000	KYRRE FM	FORMATION	92	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	1738.000000	1841.000000	LISTA FM	FORMATION	95	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	1885.000000	1911.000000	LISTA FM	FORMATION	95	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	3010.000000	3146.000000	LUNDE FM	FORMATION	97	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2489.000000	2496.000000	MIME FM	FORMATION	106	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2502.000000	2531.000000	NESS FM	FORMATION	110	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	1239.000000	1330.000000	NO FORMAL NAME	FORMATION	111	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	1330.000000	1670.000000	NO FORMAL NAME	FORMATION	111	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	1841.000000	1885.000000	NO FORMAL NAME	FORMATION	111	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	270.000000	1094.000000	NORDLAND GP	GROUP	113	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2564.000000	2622.000000	RANNOCH FM	FORMATION	126	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	1670.000000	1911.000000	ROGALAND GP	GROUP	131	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	1911.000000	2485.000000	SHETLAND GP	GROUP	143	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2485.000000	2489.000000	SOLA FM	FORMATION	152	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2893.000000	3010.000000	STATFJORD FM	FORMATION	157	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	957.000000	1094.000000	UTSIRA FM	FORMATION	183	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2496.000000	2502.000000	VIKING GP	GROUP	188	1985-03-16	458	9999-12-31	2013-05-08
34/7-5	2893.000000	3010.000000	NO GROUP DEFINED	GROUP	208	1985-03-16	458	9999-12-31	2013-05-08
2/1-8	2847.000000	2901.000000	BALDER FM	FORMATION	6	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3610.000000	3621.000000	BLODØKS FM	FORMATION	13	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	4063.000000	4081.000000	BRYNE FM	FORMATION	19	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3630.000000	3880.000000	CROMER KNOLL GP	GROUP	23	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3148.000000	3230.000000	EKOFISK FM	FORMATION	33	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3900.000000	3965.000000	FARSUND FM	FORMATION	39	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	2909.000000	3022.000000	FORTIES FM	FORMATION	44	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3965.000000	4037.000000	HAUGESUND FM	FORMATION	57	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3621.000000	3630.000000	HIDRA FM	FORMATION	65	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3521.000000	3610.000000	HOD FM	FORMATION	66	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	1790.000000	2847.000000	HORDALAND GP	GROUP	67	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3022.000000	3065.000000	LISTA FM	FORMATION	95	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3097.000000	3148.000000	LISTA FM	FORMATION	95	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3880.000000	3900.000000	MANDAL FM	FORMATION	101	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	103.000000	1790.000000	NORDLAND GP	GROUP	113	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3713.000000	3717.000000	RAN SANDSTONE UNITS	FORMATION	125	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	2847.000000	3148.000000	ROGALAND GP	GROUP	131	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3630.000000	3678.000000	RØDBY FM	FORMATION	137	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	2901.000000	2909.000000	SELE FM	FORMATION	142	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3148.000000	3630.000000	SHETLAND GP	GROUP	143	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	4081.000000	4151.000000	SKAGERRAK FM	FORMATION	146	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3230.000000	3521.000000	TOR FM	FORMATION	171	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3678.000000	3713.000000	TUXEN FM	FORMATION	175	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3880.000000	4037.000000	TYNE GP	GROUP	177	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	4037.000000	4063.000000	ULA FM	FORMATION	179	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	4037.000000	4081.000000	VESTLAND GP	GROUP	186	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3065.000000	3097.000000	VIDAR FM	FORMATION	187	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	3717.000000	3880.000000	ÅSGARD FM	FORMATION	198	1985-11-23	459	9999-12-31	2013-05-08
2/1-8	4081.000000	4151.000000	NO GROUP DEFINED	GROUP	208	1985-11-23	459	9999-12-31	2013-05-08
30/3-4	3128.000000	3232.000000	AMUNDSEN FM	FORMATION	4	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	1981.000000	2067.000000	BALDER FM	FORMATION	6	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2826.000000	2949.000000	BRENT GP	GROUP	16	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2775.000000	2792.000000	CROMER KNOLL GP	GROUP	23	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	3079.000000	3128.000000	COOK FM	FORMATION	24	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2949.000000	3079.000000	DRAKE FM	FORMATION	27	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2949.000000	3232.000000	DUNLIN GP	GROUP	29	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2873.000000	2949.000000	ETIVE FM	FORMATION	35	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	1350.000000	1361.000000	GRID FM	FORMATION	53	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	1453.000000	1518.000000	GRID FM	FORMATION	53	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2792.000000	2826.000000	HEATHER FM	FORMATION	60	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	903.000000	1981.000000	HORDALAND GP	GROUP	67	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2275.000000	2491.000000	JORSALFARE FM	FORMATION	74	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2491.000000	2775.000000	KYRRE FM	FORMATION	92	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2104.000000	2267.000000	LISTA FM	FORMATION	95	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2826.000000	2873.000000	NESS FM	FORMATION	110	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	1361.000000	1453.000000	NO FORMAL NAME	FORMATION	111	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	1518.000000	1981.000000	NO FORMAL NAME	FORMATION	111	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	187.000000	903.000000	NORDLAND GP	GROUP	113	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	1981.000000	2275.000000	ROGALAND GP	GROUP	131	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2067.000000	2104.000000	SELE FM	FORMATION	142	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2275.000000	2775.000000	SHETLAND GP	GROUP	143	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	3232.000000	3287.000000	STATFJORD FM	FORMATION	157	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	731.000000	903.000000	UTSIRA FM	FORMATION	183	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2792.000000	2826.000000	VIKING GP	GROUP	188	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	2267.000000	2275.000000	VÅLE FM	FORMATION	190	1985-06-12	460	9999-12-31	2013-05-08
30/3-4	3232.000000	3287.000000	NO GROUP DEFINED	GROUP	208	1985-06-12	460	9999-12-31	2013-05-08
7121/4-2	1112.000000	2480.000000	ADVENTDALEN GP	GROUP	1	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	2737.000000	2800.000000	FRUHOLMEN FM	FORMATION	46	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	2450.000000	2480.000000	FUGLEN FM	FORMATION	47	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	2338.000000	2450.000000	HEKKINGEN FM	FORMATION	63	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	2480.000000	2800.000000	KAPP TOSCANA GP	GROUP	79	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	2226.000000	2338.000000	KNURR FM	FORMATION	82	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	1885.000000	2226.000000	KOLJE FM	FORMATION	84	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	1112.000000	1885.000000	KOLMULE FM	FORMATION	85	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	1068.000000	1112.000000	KVEITE FM	FORMATION	89	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	339.000000	420.000000	NORDLAND GP	GROUP	113	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	2557.000000	2642.000000	NORDMELA FM	FORMATION	118	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	1068.000000	1112.000000	NYGRUNNEN GP	GROUP	122	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	420.000000	1068.000000	SOTBAKKEN GP	GROUP	154	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	2480.000000	2557.000000	STØ FM	FORMATION	159	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	420.000000	1068.000000	TORSK FM	FORMATION	172	1985-04-14	461	9999-12-31	2013-05-08
7121/4-2	2642.000000	2737.000000	TUBÅEN FM	FORMATION	174	1985-04-14	461	9999-12-31	2013-05-08
6506/12-2	332.000000	955.000000	NAUST FM	FORMATION	109	1985-02-28	462	9999-12-31	2013-05-08
6506/12-2	332.000000	955.000000	NORDLAND GP	GROUP	113	1985-02-28	462	9999-12-31	2013-05-08
25/1-7	2180.000000	2185.000000	BALDER FM	FORMATION	6	1985-05-26	463	9999-12-31	2013-05-08
25/1-7	2215.000000	2290.000000	BALDER FM	FORMATION	6	1985-05-26	463	9999-12-31	2013-05-08
25/1-7	2185.000000	2215.000000	INTRA BALDER FM SS	FORMATION	7	1985-05-26	463	9999-12-31	2013-05-08
25/1-7	1919.000000	2180.000000	FRIGG FM	FORMATION	45	1985-05-26	463	9999-12-31	2013-05-08
25/1-7	2290.000000	2439.000000	HERMOD FM	FORMATION	64	1985-05-26	463	9999-12-31	2013-05-08
25/1-7	746.000000	2180.000000	HORDALAND GP	GROUP	67	1985-05-26	463	9999-12-31	2013-05-08
25/1-7	2710.000000	2719.000000	JORSALFARE FM	FORMATION	74	1985-05-26	463	9999-12-31	2013-05-08
25/1-7	2439.000000	2680.000000	LISTA FM	FORMATION	95	1985-05-26	463	9999-12-31	2013-05-08
25/1-7	126.000000	746.000000	NORDLAND GP	GROUP	113	1985-05-26	463	9999-12-31	2013-05-08
25/1-7	2180.000000	2710.000000	ROGALAND GP	GROUP	131	1985-05-26	463	9999-12-31	2013-05-08
25/1-7	2710.000000	2719.000000	SHETLAND GP	GROUP	143	1985-05-26	463	9999-12-31	2013-05-08
25/1-7	2680.000000	2710.000000	VÅLE FM	FORMATION	190	1985-05-26	463	9999-12-31	2013-05-08
6507/7-2	1863.000000	1944.000000	BRYGGE FM	FORMATION	18	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	2217.000000	3262.000000	BÅT GP	GROUP	22	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	2203.000000	2217.000000	FANGST GP	GROUP	38	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	1863.000000	1944.000000	HORDALAND GP	GROUP	67	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	1454.000000	1863.000000	KAI FM	FORMATION	77	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	376.000000	1454.000000	NAUST FM	FORMATION	109	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	376.000000	1863.000000	NORDLAND GP	GROUP	113	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	1944.000000	2042.000000	ROGALAND GP	GROUP	131	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	2217.000000	2285.000000	ROR FM	FORMATION	135	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	2042.000000	2203.000000	SHETLAND GP	GROUP	143	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	1977.000000	2042.000000	TANG FM	FORMATION	161	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	1944.000000	1977.000000	TARE FM	FORMATION	163	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	2285.000000	2482.000000	TILJE FM	FORMATION	169	1985-06-10	464	9999-12-31	2013-05-08
6507/7-2	2482.000000	3262.000000	ÅRE FM	FORMATION	197	1985-06-10	464	9999-12-31	2013-05-08
31/6-8	985.000000	1112.000000	BALDER FM	FORMATION	6	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1985.000000	2008.000000	BRENT GP	GROUP	16	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1371.000000	1412.000000	CROMER KNOLL GP	GROUP	23	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	2025.000000	2138.000000	COOK FM	FORMATION	24	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	2008.000000	2025.000000	DRAKE FM	FORMATION	27	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1412.000000	1485.000000	DRAUPNE FM	FORMATION	28	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	2008.000000	2138.000000	DUNLIN GP	GROUP	29	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1705.000000	1927.000000	FENSFJORD FM	FORMATION	40	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1256.000000	1264.000000	HARDRÅDE FM	FORMATION	56	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1485.000000	1507.000000	HEATHER FM	FORMATION	60	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1661.000000	1705.000000	HEATHER FM	FORMATION	60	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1965.000000	1985.000000	HEATHER FM	FORMATION	60	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	538.000000	985.000000	HORDALAND GP	GROUP	67	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1927.000000	1965.000000	KROSSFJORD FM	FORMATION	87	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1224.000000	1256.000000	LISTA FM	FORMATION	95	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	325.000000	538.000000	NORDLAND GP	GROUP	113	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	985.000000	1256.000000	ROGALAND GP	GROUP	131	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1371.000000	1385.000000	RØDBY FM	FORMATION	137	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1112.000000	1224.000000	SELE FM	FORMATION	142	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1256.000000	1371.000000	SHETLAND GP	GROUP	143	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1507.000000	1661.000000	SOGNEFJORD FM	FORMATION	151	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1264.000000	1371.000000	UNDIFFERENTIATED	FORMATION	182	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1412.000000	1985.000000	VIKING GP	GROUP	188	1985-05-25	466	9999-12-31	2013-05-08
31/6-8	1385.000000	1412.000000	ÅSGARD FM	FORMATION	198	1985-05-25	466	9999-12-31	2013-05-08
34/2-4	3972.000000	4063.000000	AMUNDSEN FM	FORMATION	4	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	1946.000000	1982.000000	BALDER FM	FORMATION	6	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3247.000000	3287.000000	BLODØKS FM	FORMATION	13	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3933.000000	3972.000000	BURTON FM	FORMATION	20	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3300.000000	3586.000000	CROMER KNOLL GP	GROUP	23	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3821.000000	3933.000000	COOK FM	FORMATION	24	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3615.000000	3821.000000	DRAKE FM	FORMATION	27	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3615.000000	4063.000000	DUNLIN GP	GROUP	29	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3586.000000	3615.000000	HEATHER FM	FORMATION	60	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	1418.000000	1946.000000	HORDALAND GP	GROUP	67	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	2071.000000	2470.000000	JORSALFARE FM	FORMATION	74	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	2470.000000	3247.000000	KYRRE FM	FORMATION	92	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	1982.000000	2071.000000	LISTA FM	FORMATION	95	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	4063.000000	4107.000000	NANSEN MBR	MEMBER	108	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	1396.000000	1418.000000	NO FORMAL NAME	FORMATION	111	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	1465.000000	1514.000000	NO FORMAL NAME	FORMATION	111	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	1514.000000	1946.000000	NO FORMAL NAME	FORMATION	111	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	424.000000	1418.000000	NORDLAND GP	GROUP	113	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	1946.000000	2071.000000	ROGALAND GP	GROUP	131	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3300.000000	3535.000000	RØDBY FM	FORMATION	137	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	2071.000000	3300.000000	SHETLAND GP	GROUP	143	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3535.000000	3575.000000	SOLA FM	FORMATION	152	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	4063.000000	4107.000000	STATFJORD FM	FORMATION	157	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3287.000000	3300.000000	SVARTE FM	FORMATION	160	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	1359.000000	1396.000000	UTSIRA FM	FORMATION	183	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3586.000000	3615.000000	VIKING GP	GROUP	188	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	3575.000000	3586.000000	ÅSGARD FM	FORMATION	198	1985-06-11	467	9999-12-31	2013-05-08
34/2-4	4063.000000	4107.000000	NO GROUP DEFINED	GROUP	208	1985-06-11	467	9999-12-31	2013-05-08
6506/12-3	1982.000000	2214.000000	BRYGGE FM	FORMATION	18	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3997.000000	4360.000000	BÅT GP	GROUP	22	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3146.000000	3709.000000	CROMER KNOLL GP	GROUP	23	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3822.000000	3997.000000	FANGST GP	GROUP	38	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3822.000000	3908.000000	GARN FM	FORMATION	48	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	1982.000000	2214.000000	HORDALAND GP	GROUP	67	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3947.000000	3997.000000	ILE FM	FORMATION	70	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	1388.000000	1982.000000	KAI FM	FORMATION	77	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3173.000000	3709.000000	LANGE FM	FORMATION	94	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3146.000000	3173.000000	LYSING FM	FORMATION	99	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3721.000000	3822.000000	MELKE FM	FORMATION	105	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	323.000000	1388.000000	NAUST FM	FORMATION	109	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	323.000000	1982.000000	NORDLAND GP	GROUP	113	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3908.000000	3947.000000	NOT FM	FORMATION	120	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	2214.000000	2336.000000	ROGALAND GP	GROUP	131	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3997.000000	4147.000000	ROR FM	FORMATION	135	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	2336.000000	3146.000000	SHETLAND GP	GROUP	143	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3709.000000	3721.000000	SPEKK FM	FORMATION	155	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	2278.000000	2336.000000	TANG FM	FORMATION	161	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	2214.000000	2278.000000	TARE FM	FORMATION	163	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	4147.000000	4360.000000	TILJE FM	FORMATION	169	1985-07-17	468	9999-12-31	2013-05-08
6506/12-3	3709.000000	3822.000000	VIKING GP	GROUP	188	1985-07-17	468	9999-12-31	2013-05-08
6407/9-3	1797.000000	1868.000000	BÅT GP	GROUP	22	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1555.000000	1593.000000	CROMER KNOLL GP	GROUP	23	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1685.000000	1797.000000	FANGST GP	GROUP	38	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1685.000000	1771.000000	GARN FM	FORMATION	48	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	803.000000	1310.000000	HORDALAND GP	GROUP	67	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1555.000000	1593.000000	LANGE FM	FORMATION	94	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	304.000000	803.000000	NORDLAND GP	GROUP	113	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1771.000000	1797.000000	NOT FM	FORMATION	120	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1310.000000	1518.000000	ROGALAND GP	GROUP	131	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1630.000000	1668.000000	ROGN FM	FORMATION	134	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1797.000000	1821.000000	ROR FM	FORMATION	135	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1518.000000	1555.000000	SHETLAND GP	GROUP	143	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1593.000000	1630.000000	SPEKK FM	FORMATION	155	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1668.000000	1685.000000	SPEKK FM	FORMATION	155	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1353.000000	1518.000000	TANG FM	FORMATION	161	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1310.000000	1353.000000	TARE FM	FORMATION	163	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1821.000000	1868.000000	TILJE FM	FORMATION	169	1985-07-28	469	9999-12-31	2013-05-08
6407/9-3	1593.000000	1685.000000	VIKING GP	GROUP	188	1985-07-28	469	9999-12-31	2013-05-08
6507/11-3	1754.000000	1963.000000	BRYGGE FM	FORMATION	18	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2536.000000	3193.000000	BÅT GP	GROUP	22	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2290.000000	2358.000000	CROMER KNOLL GP	GROUP	23	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2412.000000	2536.000000	FANGST GP	GROUP	38	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2412.000000	2457.000000	GARN FM	FORMATION	48	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	3193.000000	3250.000000	GREY BEDS (INFORMAL)	GROUP	52	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	1754.000000	1963.000000	HORDALAND GP	GROUP	67	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2472.000000	2536.000000	ILE FM	FORMATION	70	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	1395.000000	1754.000000	KAI FM	FORMATION	77	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2290.000000	2347.000000	LANGE FM	FORMATION	94	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2347.000000	2358.000000	LYR FM	FORMATION	98	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2373.000000	2412.000000	MELKE FM	FORMATION	105	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	316.000000	1395.000000	NAUST FM	FORMATION	109	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	316.000000	1754.000000	NORDLAND GP	GROUP	113	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2457.000000	2472.000000	NOT FM	FORMATION	120	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	1963.000000	2087.000000	ROGALAND GP	GROUP	131	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2536.000000	2630.000000	ROR FM	FORMATION	135	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2087.000000	2290.000000	SHETLAND GP	GROUP	143	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2358.000000	2373.000000	SPEKK FM	FORMATION	155	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2087.000000	2290.000000	SPRINGAR FM	FORMATION	156	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2038.000000	2087.000000	TANG FM	FORMATION	161	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	1963.000000	2038.000000	TARE FM	FORMATION	163	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2630.000000	2825.000000	TILJE FM	FORMATION	169	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2358.000000	2412.000000	VIKING GP	GROUP	188	1985-08-15	470	9999-12-31	2013-05-08
6507/11-3	2825.000000	3193.000000	ÅRE FM	FORMATION	197	1985-08-15	470	9999-12-31	2013-05-08
7120/5-1	1230.000000	2285.000000	ADVENTDALEN GP	GROUP	1	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	2648.000000	2700.000000	FRUHOLMEN FM	FORMATION	46	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	2271.000000	2285.000000	FUGLEN FM	FORMATION	47	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	2248.000000	2271.000000	HEKKINGEN FM	FORMATION	63	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	2285.000000	2700.000000	KAPP TOSCANA GP	GROUP	79	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	2205.000000	2248.000000	KNURR FM	FORMATION	82	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	2170.000000	2205.000000	KOLJE FM	FORMATION	84	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	1230.000000	2170.000000	KOLMULE FM	FORMATION	85	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	1183.000000	1230.000000	KVITING FM	FORMATION	90	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	318.000000	410.000000	NORDLAND GP	GROUP	113	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	2427.000000	2510.000000	NORDMELA FM	FORMATION	118	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	1183.000000	1230.000000	NYGRUNNEN GP	GROUP	122	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	410.000000	1183.000000	SOTBAKKEN GP	GROUP	154	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	2285.000000	2427.000000	STØ FM	FORMATION	159	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	410.000000	1183.000000	TORSK FM	FORMATION	172	1985-06-06	471	9999-12-31	2013-05-08
7120/5-1	2510.000000	2648.000000	TUBÅEN FM	FORMATION	174	1985-06-06	471	9999-12-31	2013-05-08
25/1-8 S	2232.000000	2237.000000	BALDER FM	FORMATION	6	1985-07-25	472	9999-12-31	2013-05-08
25/1-8 S	2250.000000	2329.000000	BALDER FM	FORMATION	6	1985-07-25	472	9999-12-31	2013-05-08
25/1-8 S	2237.000000	2250.000000	INTRA BALDER FM SS	FORMATION	7	1985-07-25	472	9999-12-31	2013-05-08
25/1-8 S	1930.000000	2232.000000	FRIGG FM	FORMATION	45	1985-07-25	472	9999-12-31	2013-05-08
25/1-8 S	2329.000000	2532.000000	HERMOD FM	FORMATION	64	1985-07-25	472	9999-12-31	2013-05-08
25/1-8 S	735.000000	2232.000000	HORDALAND GP	GROUP	67	1985-07-25	472	9999-12-31	2013-05-08
25/1-8 S	2532.000000	2650.000000	LISTA FM	FORMATION	95	1985-07-25	472	9999-12-31	2013-05-08
25/1-8 S	127.000000	735.000000	NORDLAND GP	GROUP	113	1985-07-25	472	9999-12-31	2013-05-08
25/1-8 S	2232.000000	2650.000000	ROGALAND GP	GROUP	131	1985-07-25	472	9999-12-31	2013-05-08
7120/2-1	3471.000000	3502.000000	BASEMENT	GROUP	10	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	2624.000000	3471.000000	BILLEFJORDEN GP	GROUP	11	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	2024.000000	2221.000000	FALK FM	FORMATION	36	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	1945.000000	2624.000000	GIPSDALEN GP	GROUP	51	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	613.000000	1933.000000	KAPP TOSCANA GP	GROUP	79	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	1933.000000	1945.000000	KOBBE FM	FORMATION	83	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	410.000000	476.000000	NORDLAND GP	GROUP	113	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	1933.000000	1945.000000	SASSENDALEN GP	GROUP	140	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	613.000000	1933.000000	SNADD FM	FORMATION	150	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	476.000000	613.000000	SOTBAKKEN GP	GROUP	154	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	476.000000	613.000000	TORSK FM	FORMATION	172	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	2221.000000	2624.000000	UGLE FM	FORMATION	178	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	2624.000000	3471.000000	UNDIFFERENTIATED	FORMATION	182	1985-10-29	473	9999-12-31	2013-05-08
7120/2-1	1945.000000	2024.000000	ØRN FM	FORMATION	195	1985-10-29	473	9999-12-31	2013-05-08
6407/7-1 S	2773.000000	3183.000000	BÅT GP	GROUP	22	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	2682.000000	2696.000000	CROMER KNOLL GP	GROUP	23	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	2759.000000	2773.000000	FANGST GP	GROUP	38	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	2759.000000	2773.000000	GARN FM	FORMATION	48	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	3183.000000	3277.000000	GREY BEDS (INFORMAL)	GROUP	52	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	1081.000000	1739.000000	KAI FM	FORMATION	77	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	2713.000000	2759.000000	MELKE FM	FORMATION	105	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	353.000000	1081.000000	NAUST FM	FORMATION	109	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	353.000000	1739.000000	NORDLAND GP	GROUP	113	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	3277.000000	3950.000000	RED BEDS (INFORMAL)	GROUP	129	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	1739.000000	1971.000000	ROGALAND GP	GROUP	131	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	2773.000000	2839.000000	ROR FM	FORMATION	135	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	1971.000000	2682.000000	SHETLAND GP	GROUP	143	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	2696.000000	2713.000000	SPEKK FM	FORMATION	155	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	1739.000000	1971.000000	TARE FM	FORMATION	163	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	2839.000000	3017.000000	TILJE FM	FORMATION	169	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	2696.000000	2759.000000	VIKING GP	GROUP	188	1986-04-07	474	9999-12-31	2013-05-08
6407/7-1 S	3017.000000	3183.000000	ÅRE FM	FORMATION	197	1986-04-07	474	9999-12-31	2013-05-08
6506/12-4	1897.000000	2065.000000	BRYGGE FM	FORMATION	18	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	4116.000000	4457.000000	BÅT GP	GROUP	22	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	3133.000000	3855.000000	CROMER KNOLL GP	GROUP	23	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	3980.000000	4116.000000	FANGST GP	GROUP	38	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	3980.000000	4021.000000	GARN FM	FORMATION	48	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	1897.000000	2065.000000	HORDALAND GP	GROUP	67	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	4045.000000	4116.000000	ILE FM	FORMATION	70	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	1470.000000	1897.000000	KAI FM	FORMATION	77	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	2600.000000	3133.000000	KVITNOS FM	FORMATION	91	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	3150.000000	3835.000000	LANGE FM	FORMATION	94	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	3835.000000	3855.000000	LYR FM	FORMATION	98	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	3133.000000	3150.000000	LYSING FM	FORMATION	99	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	3863.000000	3980.000000	MELKE FM	FORMATION	105	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	282.000000	1470.000000	NAUST FM	FORMATION	109	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	2380.000000	2600.000000	NISE FM	FORMATION	112	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	282.000000	1897.000000	NORDLAND GP	GROUP	113	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	4021.000000	4045.000000	NOT FM	FORMATION	120	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	2065.000000	2211.000000	ROGALAND GP	GROUP	131	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	4116.000000	4168.000000	ROR FM	FORMATION	135	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	2211.000000	3133.000000	SHETLAND GP	GROUP	143	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	3855.000000	3863.000000	SPEKK FM	FORMATION	155	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	2211.000000	2380.000000	SPRINGAR FM	FORMATION	156	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	2171.000000	2211.000000	TANG FM	FORMATION	161	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	2065.000000	2171.000000	TARE FM	FORMATION	163	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	4252.000000	4414.000000	TILJE FM	FORMATION	169	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	4168.000000	4252.000000	TOFTE FM	FORMATION	170	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	3855.000000	3980.000000	VIKING GP	GROUP	188	1985-08-13	475	9999-12-31	2013-05-08
6506/12-4	4414.000000	4457.000000	ÅRE FM	FORMATION	197	1985-08-13	475	9999-12-31	2013-05-08
34/10-23	4578.000000	4715.000000	AMUNDSEN FM	FORMATION	4	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	1890.000000	1950.000000	BALDER FM	FORMATION	6	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	3550.000000	3565.000000	BLODØKS FM	FORMATION	13	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	4084.000000	4335.000000	BRENT GP	GROUP	16	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	4515.000000	4578.000000	BURTON FM	FORMATION	20	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	3690.000000	3862.000000	CROMER KNOLL GP	GROUP	23	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	4413.000000	4515.000000	COOK FM	FORMATION	24	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	4335.000000	4413.000000	DRAKE FM	FORMATION	27	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	3862.000000	3923.000000	DRAUPNE FM	FORMATION	28	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	4335.000000	4715.000000	DUNLIN GP	GROUP	29	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	4243.000000	4287.000000	ETIVE FM	FORMATION	35	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	3923.000000	4084.000000	HEATHER FM	FORMATION	60	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	1097.000000	1890.000000	HORDALAND GP	GROUP	67	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	2109.000000	2465.000000	JORSALFARE FM	FORMATION	74	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	2465.000000	3450.000000	KYRRE FM	FORMATION	92	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	2011.000000	2028.000000	LISTA FM	FORMATION	95	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	2070.000000	2109.000000	LISTA FM	FORMATION	95	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	4098.000000	4243.000000	NESS FM	FORMATION	110	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	1051.000000	1097.000000	NO FORMAL NAME	FORMATION	111	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	1200.000000	1650.000000	NO FORMAL NAME	FORMATION	111	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	1650.000000	1890.000000	NO FORMAL NAME	FORMATION	111	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	2028.000000	2070.000000	NO FORMAL NAME	FORMATION	111	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	164.000000	1097.000000	NORDLAND GP	GROUP	113	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	4287.000000	4335.000000	RANNOCH FM	FORMATION	126	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	1890.000000	2109.000000	ROGALAND GP	GROUP	131	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	3690.000000	3767.000000	RØDBY FM	FORMATION	137	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	1950.000000	2011.000000	SELE FM	FORMATION	142	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	2109.000000	3690.000000	SHETLAND GP	GROUP	143	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	4715.000000	4764.000000	STATFJORD FM	FORMATION	157	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	3565.000000	3690.000000	SVARTE FM	FORMATION	160	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	4084.000000	4098.000000	TARBERT FM	FORMATION	162	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	3450.000000	3550.000000	TRYGGVASON FM	FORMATION	173	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	824.000000	1051.000000	UTSIRA FM	FORMATION	183	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	3862.000000	4084.000000	VIKING GP	GROUP	188	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	3767.000000	3862.000000	ÅSGARD FM	FORMATION	198	1985-10-13	476	9999-12-31	2013-05-08
34/10-23	4715.000000	4764.000000	NO GROUP DEFINED	GROUP	208	1985-10-13	476	9999-12-31	2013-05-08
25/2-9	2223.000000	2251.000000	BALDER FM	FORMATION	6	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	2256.000000	2259.000000	BALDER FM	FORMATION	6	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	2262.000000	2269.000000	BALDER FM	FORMATION	6	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	2272.000000	2297.000000	BALDER FM	FORMATION	6	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	2251.000000	2256.000000	INTRA BALDER FM SS	FORMATION	7	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	2259.000000	2262.000000	INTRA BALDER FM SS	FORMATION	7	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	2269.000000	2272.000000	INTRA BALDER FM SS	FORMATION	7	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	1935.000000	2223.000000	FRIGG FM	FORMATION	45	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	968.000000	2223.000000	HORDALAND GP	GROUP	67	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	1125.000000	1935.000000	NO FORMAL NAME	FORMATION	111	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	137.000000	968.000000	NORDLAND GP	GROUP	113	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	2223.000000	2297.000000	ROGALAND GP	GROUP	131	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	1104.000000	1125.000000	SKADE FM	FORMATION	145	1985-07-24	477	9999-12-31	2013-05-08
25/2-9	245.000000	968.000000	UTSIRA FM	FORMATION	183	1985-07-24	477	9999-12-31	2013-05-08
7121/5-1	1036.000000	2369.000000	ADVENTDALEN GP	GROUP	1	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2738.000000	2793.000000	AKKAR MBR	MEMBER	3	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2572.000000	2793.000000	FRUHOLMEN FM	FORMATION	46	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2357.000000	2369.000000	FUGLEN FM	FORMATION	47	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2292.000000	2357.000000	HEKKINGEN FM	FORMATION	63	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2369.000000	3200.000000	KAPP TOSCANA GP	GROUP	79	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2236.000000	2292.000000	KNURR FM	FORMATION	82	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	1930.000000	2236.000000	KOLJE FM	FORMATION	84	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	1036.000000	1930.000000	KOLMULE FM	FORMATION	85	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2572.000000	2660.000000	KRABBE MBR	MEMBER	86	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	1005.000000	1036.000000	KVITING FM	FORMATION	90	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	358.000000	460.000000	NORDLAND GP	GROUP	113	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2445.000000	2507.000000	NORDMELA FM	FORMATION	118	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	1005.000000	1036.000000	NYGRUNNEN GP	GROUP	122	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2660.000000	2738.000000	REKE MBR	MEMBER	130	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2793.000000	3200.000000	SNADD FM	FORMATION	150	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	460.000000	1005.000000	SOTBAKKEN GP	GROUP	154	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2369.000000	2445.000000	STØ FM	FORMATION	159	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	460.000000	1005.000000	TORSK FM	FORMATION	172	1985-09-28	479	9999-12-31	2013-05-08
7121/5-1	2507.000000	2572.000000	TUBÅEN FM	FORMATION	174	1985-09-28	479	9999-12-31	2013-05-08
6407/9-4	887.000000	1402.000000	BRYGGE FM	FORMATION	18	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1767.000000	1820.000000	BÅT GP	GROUP	22	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1610.000000	1637.000000	CROMER KNOLL GP	GROUP	23	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1660.000000	1767.000000	FANGST GP	GROUP	38	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1660.000000	1702.000000	GARN FM	FORMATION	48	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	887.000000	1402.000000	HORDALAND GP	GROUP	67	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1748.000000	1767.000000	ILE FM	FORMATION	70	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	277.000000	887.000000	NAUST FM	FORMATION	109	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	277.000000	887.000000	NORDLAND GP	GROUP	113	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1702.000000	1748.000000	NOT FM	FORMATION	120	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1402.000000	1572.000000	ROGALAND GP	GROUP	131	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1658.000000	1660.000000	ROGN FM	FORMATION	134	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1767.000000	1794.000000	ROR FM	FORMATION	135	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1572.000000	1610.000000	SHETLAND GP	GROUP	143	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1637.000000	1658.000000	SPEKK FM	FORMATION	155	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1443.000000	1572.000000	TANG FM	FORMATION	161	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1402.000000	1443.000000	TARE FM	FORMATION	163	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1794.000000	1820.000000	TILJE FM	FORMATION	169	1985-09-10	480	9999-12-31	2013-05-08
6407/9-4	1637.000000	1660.000000	VIKING GP	GROUP	188	1985-09-10	480	9999-12-31	2013-05-08
6507/7-3	1906.000000	1990.000000	BRYGGE FM	FORMATION	18	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	2434.000000	2850.000000	BÅT GP	GROUP	22	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	2368.000000	2434.000000	FANGST GP	GROUP	38	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	2368.000000	2400.000000	GARN FM	FORMATION	48	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	1906.000000	1990.000000	HORDALAND GP	GROUP	67	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	2412.000000	2434.000000	ILE FM	FORMATION	70	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	1472.000000	1906.000000	KAI FM	FORMATION	77	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	371.000000	1472.000000	NAUST FM	FORMATION	109	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	371.000000	1906.000000	NORDLAND GP	GROUP	113	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	2400.000000	2412.000000	NOT FM	FORMATION	120	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	1990.000000	2081.000000	ROGALAND GP	GROUP	131	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	2434.000000	2499.000000	ROR FM	FORMATION	135	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	2081.000000	2368.000000	SHETLAND GP	GROUP	143	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	2021.000000	2081.000000	TANG FM	FORMATION	161	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	1990.000000	2021.000000	TARE FM	FORMATION	163	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	2499.000000	2720.000000	TILJE FM	FORMATION	169	1985-09-18	482	9999-12-31	2013-05-08
6507/7-3	2720.000000	2850.000000	ÅRE FM	FORMATION	197	1985-09-18	482	9999-12-31	2013-05-08
34/10-24	157.000000	600.000000	NORDLAND GP	GROUP	113	1985-08-05	483	9999-12-31	2013-05-08
7120/1-1	692.000000	1106.000000	FRUHOLMEN FM	FORMATION	46	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	2373.000000	2403.000000	HAVERT FM	FORMATION	58	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	692.000000	2285.000000	KAPP TOSCANA GP	GROUP	79	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	2315.000000	2373.000000	KLAPPMYSS FM	FORMATION	80	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	2285.000000	2315.000000	KOBBE FM	FORMATION	83	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	367.000000	490.000000	NORDLAND GP	GROUP	113	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	2430.000000	2458.000000	RØYE FM	FORMATION	138	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	2285.000000	2403.000000	SASSENDALEN GP	GROUP	140	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	1106.000000	2285.000000	SNADD FM	FORMATION	150	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	490.000000	692.000000	SOTBAKKEN GP	GROUP	154	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	2403.000000	2569.000000	TEMPELFJORDEN GP	GROUP	167	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	490.000000	692.000000	TORSK FM	FORMATION	172	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	2403.000000	2430.000000	ØRRET FM	FORMATION	196	1985-11-15	484	9999-12-31	2013-05-08
7120/1-1	2458.000000	2569.000000	ØRRET FM	FORMATION	196	1985-11-15	484	9999-12-31	2013-05-08
6507/12-3	1425.000000	1770.000000	BRYGGE FM	FORMATION	18	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	2098.000000	2600.000000	BÅT GP	GROUP	22	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1972.000000	2098.000000	FANGST GP	GROUP	38	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1972.000000	2015.000000	GARN FM	FORMATION	48	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1425.000000	1770.000000	HORDALAND GP	GROUP	67	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	2032.000000	2098.000000	ILE FM	FORMATION	70	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1311.000000	1425.000000	KAI FM	FORMATION	77	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1939.000000	1972.000000	MELKE FM	FORMATION	105	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	266.000000	1311.000000	NAUST FM	FORMATION	109	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	266.000000	1425.000000	NORDLAND GP	GROUP	113	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	2015.000000	2032.000000	NOT FM	FORMATION	120	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1770.000000	1862.000000	ROGALAND GP	GROUP	131	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	2098.000000	2186.000000	ROR FM	FORMATION	135	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1862.000000	1937.000000	SHETLAND GP	GROUP	143	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1937.000000	1939.000000	SPEKK FM	FORMATION	155	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1862.000000	1937.000000	SPRINGAR FM	FORMATION	156	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1823.000000	1862.000000	TANG FM	FORMATION	161	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1770.000000	1823.000000	TARE FM	FORMATION	163	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	2186.000000	2351.000000	TILJE FM	FORMATION	169	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	1937.000000	1972.000000	VIKING GP	GROUP	188	1985-09-13	485	9999-12-31	2013-05-08
6507/12-3	2351.000000	2600.000000	ÅRE FM	FORMATION	197	1985-09-13	485	9999-12-31	2013-05-08
6406/6-1	1898.000000	2376.000000	BRYGGE FM	FORMATION	18	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4416.000000	4715.000000	BÅT GP	GROUP	22	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	3324.000000	4005.000000	CROMER KNOLL GP	GROUP	23	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4204.000000	4416.000000	FANGST GP	GROUP	38	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4204.000000	4275.000000	GARN FM	FORMATION	48	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	1898.000000	2376.000000	HORDALAND GP	GROUP	67	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4335.000000	4416.000000	ILE FM	FORMATION	70	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	1494.000000	1898.000000	KAI FM	FORMATION	77	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4050.000000	4204.000000	MELKE FM	FORMATION	105	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	293.000000	1898.000000	NORDLAND GP	GROUP	113	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4275.000000	4335.000000	NOT FM	FORMATION	120	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	2376.000000	2514.000000	ROGALAND GP	GROUP	131	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4416.000000	4519.000000	ROR FM	FORMATION	135	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4556.000000	4592.000000	ROR FM	FORMATION	135	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	2514.000000	3324.000000	SHETLAND GP	GROUP	143	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4005.000000	4050.000000	SPEKK FM	FORMATION	155	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	2475.000000	2514.000000	TANG FM	FORMATION	161	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	2376.000000	2475.000000	TARE FM	FORMATION	163	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4592.000000	4715.000000	TILJE FM	FORMATION	169	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4519.000000	4556.000000	TOFTE FM	FORMATION	170	1985-12-30	486	9999-12-31	2013-05-08
6406/6-1	4005.000000	4204.000000	VIKING GP	GROUP	188	1985-12-30	486	9999-12-31	2013-05-08
30/6-17	135.000000	615.000000	NORDLAND GP	GROUP	113	1985-08-24	487	9999-12-31	2013-05-08
30/6-18	2983.000000	3121.000000	AMUNDSEN FM	FORMATION	4	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	2047.000000	2129.000000	BALDER FM	FORMATION	6	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	2913.000000	2983.000000	DRAKE FM	FORMATION	27	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	2913.000000	3121.000000	DUNLIN GP	GROUP	29	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	2380.000000	2400.000000	HARDRÅDE FM	FORMATION	56	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	3670.000000	3690.000000	HEGRE GP	GROUP	61	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	893.000000	2047.000000	HORDALAND GP	GROUP	67	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	2400.000000	2580.000000	JORSALFARE FM	FORMATION	74	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	2580.000000	2913.000000	KYRRE FM	FORMATION	92	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	2197.000000	2362.000000	LISTA FM	FORMATION	95	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	952.000000	1101.000000	NO FORMAL NAME	FORMATION	111	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	1339.000000	1439.000000	NO FORMAL NAME	FORMATION	111	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	1454.000000	1480.000000	NO FORMAL NAME	FORMATION	111	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	1480.000000	1579.000000	NO FORMAL NAME	FORMATION	111	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	1579.000000	2047.000000	NO FORMAL NAME	FORMATION	111	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	133.000000	893.000000	NORDLAND GP	GROUP	113	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	2047.000000	2380.000000	ROGALAND GP	GROUP	131	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	2129.000000	2197.000000	SELE FM	FORMATION	142	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	2380.000000	2913.000000	SHETLAND GP	GROUP	143	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	927.000000	952.000000	SKADE FM	FORMATION	145	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	1101.000000	1339.000000	SKADE FM	FORMATION	145	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	1439.000000	1454.000000	SKADE FM	FORMATION	145	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	3121.000000	3670.000000	STATFJORD FM	FORMATION	157	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	597.000000	893.000000	UTSIRA FM	FORMATION	183	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	2362.000000	2380.000000	VÅLE FM	FORMATION	190	1985-11-23	488	9999-12-31	2013-05-08
30/6-18	3121.000000	3670.000000	NO GROUP DEFINED	GROUP	208	1985-11-23	488	9999-12-31	2013-05-08
6407/4-1	1430.000000	2098.000000	BRYGGE FM	FORMATION	18	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	4106.000000	4835.000000	BÅT GP	GROUP	22	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	3010.000000	3710.000000	CROMER KNOLL GP	GROUP	23	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	3890.000000	4106.000000	FANGST GP	GROUP	38	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	3890.000000	3969.000000	GARN FM	FORMATION	48	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	1430.000000	2098.000000	HORDALAND GP	GROUP	67	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	4021.000000	4106.000000	ILE FM	FORMATION	70	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	1265.000000	1430.000000	KAI FM	FORMATION	77	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	2598.000000	3010.000000	KVITNOS FM	FORMATION	91	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	3010.000000	3682.000000	LANGE FM	FORMATION	94	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	3682.000000	3710.000000	LYR FM	FORMATION	98	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	3772.000000	3890.000000	MELKE FM	FORMATION	105	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	247.000000	1265.000000	NAUST FM	FORMATION	109	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	2422.000000	2598.000000	NISE FM	FORMATION	112	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	247.000000	1430.000000	NORDLAND GP	GROUP	113	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	3969.000000	4021.000000	NOT FM	FORMATION	120	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	2098.000000	2265.000000	ROGALAND GP	GROUP	131	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	4106.000000	4150.000000	ROR FM	FORMATION	135	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	4209.000000	4272.000000	ROR FM	FORMATION	135	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	2265.000000	3010.000000	SHETLAND GP	GROUP	143	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	3710.000000	3772.000000	SPEKK FM	FORMATION	155	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	2265.000000	2422.000000	SPRINGAR FM	FORMATION	156	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	2174.000000	2265.000000	TANG FM	FORMATION	161	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	2098.000000	2174.000000	TARE FM	FORMATION	163	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	4272.000000	4500.000000	TILJE FM	FORMATION	169	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	4150.000000	4209.000000	TOFTE FM	FORMATION	170	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	3710.000000	3890.000000	VIKING GP	GROUP	188	1985-11-15	490	9999-12-31	2013-05-08
6407/4-1	4500.000000	4835.000000	ÅRE FM	FORMATION	197	1985-11-15	490	9999-12-31	2013-05-08
35/3-3	575.000000	900.000000	HORDALAND GP	GROUP	67	1980-11-28	491	9999-12-31	2013-05-08
35/3-3	575.000000	900.000000	NO FORMAL NAME	FORMATION	111	1980-11-28	491	9999-12-31	2013-05-08
35/3-3	277.000000	575.000000	NORDLAND GP	GROUP	113	1980-11-28	491	9999-12-31	2013-05-08
6407/9-5	787.000000	1305.000000	BRYGGE FM	FORMATION	18	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1579.000000	1619.000000	CROMER KNOLL GP	GROUP	23	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1733.000000	1820.000000	FANGST GP	GROUP	38	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1733.000000	1793.000000	GARN FM	FORMATION	48	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	787.000000	1305.000000	HORDALAND GP	GROUP	67	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	319.000000	670.000000	NAUST FM	FORMATION	109	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	319.000000	787.000000	NORDLAND GP	GROUP	113	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1793.000000	1820.000000	NOT FM	FORMATION	120	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1305.000000	1530.000000	ROGALAND GP	GROUP	131	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1654.000000	1705.000000	ROGN FM	FORMATION	134	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1530.000000	1579.000000	SHETLAND GP	GROUP	143	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1619.000000	1654.000000	SPEKK FM	FORMATION	155	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1705.000000	1733.000000	SPEKK FM	FORMATION	155	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1347.000000	1530.000000	TANG FM	FORMATION	161	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1305.000000	1347.000000	TARE FM	FORMATION	163	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	1619.000000	1733.000000	VIKING GP	GROUP	188	1985-11-13	492	9999-12-31	2013-05-08
6407/9-5	670.000000	787.000000	MOLO FM	FORMATION	209	1985-11-13	492	9999-12-31	2013-05-08
31/6-8 R	985.000000	1112.000000	BALDER FM	FORMATION	6	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1985.000000	2008.000000	BRENT GP	GROUP	16	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1371.000000	1412.000000	CROMER KNOLL GP	GROUP	23	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	2025.000000	2138.000000	COOK FM	FORMATION	24	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	2008.000000	2025.000000	DRAKE FM	FORMATION	27	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1412.000000	1485.000000	DRAUPNE FM	FORMATION	28	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	2008.000000	2138.000000	DUNLIN GP	GROUP	29	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1705.000000	1927.000000	FENSFJORD FM	FORMATION	40	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1256.000000	1264.000000	HARDRÅDE FM	FORMATION	56	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1485.000000	1507.000000	HEATHER FM	FORMATION	60	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1661.000000	1705.000000	HEATHER FM	FORMATION	60	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1965.000000	1985.000000	HEATHER FM	FORMATION	60	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	538.000000	985.000000	HORDALAND GP	GROUP	67	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1927.000000	1965.000000	KROSSFJORD FM	FORMATION	87	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1224.000000	1256.000000	LISTA FM	FORMATION	95	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	325.000000	538.000000	NORDLAND GP	GROUP	113	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	985.000000	1256.000000	ROGALAND GP	GROUP	131	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1371.000000	1385.000000	RØDBY FM	FORMATION	137	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1112.000000	1224.000000	SELE FM	FORMATION	142	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1256.000000	1371.000000	SHETLAND GP	GROUP	143	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1507.000000	1661.000000	SOGNEFJORD FM	FORMATION	151	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1264.000000	1371.000000	UNDIFFERENTIATED	FORMATION	182	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1412.000000	1985.000000	VIKING GP	GROUP	188	1985-09-22	493	9999-12-31	2013-05-08
31/6-8 R	1385.000000	1412.000000	ÅSGARD FM	FORMATION	198	1985-09-22	493	9999-12-31	2013-05-08
34/10-16 R	3622.000000	3796.000000	AMUNDSEN FM	FORMATION	4	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	1852.000000	1925.000000	BALDER FM	FORMATION	6	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3168.000000	3472.000000	BRENT GP	GROUP	16	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3599.000000	3622.000000	BURTON FM	FORMATION	20	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	2975.000000	3014.000000	CROMER KNOLL GP	GROUP	23	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3553.000000	3599.000000	COOK FM	FORMATION	24	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3472.000000	3553.000000	DRAKE FM	FORMATION	27	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3014.000000	3027.000000	DRAUPNE FM	FORMATION	28	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3472.000000	3796.000000	DUNLIN GP	GROUP	29	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3396.000000	3409.000000	ETIVE FM	FORMATION	35	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3027.000000	3168.000000	HEATHER FM	FORMATION	60	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	4007.000000	4039.000000	HEGRE GP	GROUP	61	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	1042.000000	1852.000000	HORDALAND GP	GROUP	67	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	2059.000000	2352.000000	JORSALFARE FM	FORMATION	74	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	2352.000000	2975.000000	KYRRE FM	FORMATION	92	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	1925.000000	2059.000000	LISTA FM	FORMATION	95	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	4007.000000	4039.000000	LUNDE FM	FORMATION	97	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3214.000000	3396.000000	NESS FM	FORMATION	110	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	999.000000	1042.000000	NO FORMAL NAME	FORMATION	111	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	1165.000000	1184.000000	NO FORMAL NAME	FORMATION	111	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	1184.000000	1220.000000	NO FORMAL NAME	FORMATION	111	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	1220.000000	1597.000000	NO FORMAL NAME	FORMATION	111	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	1597.000000	1852.000000	NO FORMAL NAME	FORMATION	111	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	160.000000	1042.000000	NORDLAND GP	GROUP	113	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3409.000000	3472.000000	RANNOCH FM	FORMATION	126	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	1852.000000	2059.000000	ROGALAND GP	GROUP	131	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	2975.000000	2981.000000	RØDBY FM	FORMATION	137	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	2059.000000	2975.000000	SHETLAND GP	GROUP	143	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	2981.000000	2987.000000	SOLA FM	FORMATION	152	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3796.000000	4007.000000	STATFJORD FM	FORMATION	157	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3168.000000	3214.000000	TARBERT FM	FORMATION	162	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	855.000000	999.000000	UTSIRA FM	FORMATION	183	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3014.000000	3168.000000	VIKING GP	GROUP	188	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	2987.000000	3014.000000	ÅSGARD FM	FORMATION	198	1983-09-27	494	9999-12-31	2013-05-08
34/10-16 R	3796.000000	4007.000000	NO GROUP DEFINED	GROUP	208	1983-09-27	494	9999-12-31	2013-05-08
34/10-9 R	2214.000000	2375.000000	AMUNDSEN FM	FORMATION	4	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1510.000000	1575.000000	BALDER FM	FORMATION	6	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1833.000000	1957.000000	BRENT GP	GROUP	16	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1945.000000	1957.000000	BROOM FM	FORMATION	17	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	2203.000000	2214.000000	BURTON FM	FORMATION	20	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	2083.000000	2203.000000	COOK FM	FORMATION	24	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1957.000000	2083.000000	DRAKE FM	FORMATION	27	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1957.000000	2375.000000	DUNLIN GP	GROUP	29	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1836.000000	1867.000000	ETIVE FM	FORMATION	35	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	990.000000	1510.000000	HORDALAND GP	GROUP	67	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1696.000000	1767.000000	JORSALFARE FM	FORMATION	74	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1767.000000	1833.000000	KYRRE FM	FORMATION	92	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1575.000000	1696.000000	LISTA FM	FORMATION	95	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	2375.000000	2421.000000	NANSEN MBR	MEMBER	108	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1833.000000	1836.000000	NESS FM	FORMATION	110	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	945.000000	990.000000	NO FORMAL NAME	FORMATION	111	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1163.000000	1362.000000	NO FORMAL NAME	FORMATION	111	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1362.000000	1510.000000	NO FORMAL NAME	FORMATION	111	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	227.000000	990.000000	NORDLAND GP	GROUP	113	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1867.000000	1945.000000	RANNOCH FM	FORMATION	126	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1510.000000	1696.000000	ROGALAND GP	GROUP	131	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	1696.000000	1833.000000	SHETLAND GP	GROUP	143	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	2375.000000	2421.000000	STATFJORD FM	FORMATION	157	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	921.000000	945.000000	UTSIRA FM	FORMATION	183	1980-07-03	495	9999-12-31	2013-05-08
34/10-9 R	2375.000000	2421.000000	NO GROUP DEFINED	GROUP	208	1980-07-03	495	9999-12-31	2013-05-08
34/10-7 R	1942.000000	2050.000000	AMUNDSEN FM	FORMATION	4	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1512.000000	1565.000000	BALDER FM	FORMATION	6	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1934.000000	1942.000000	BURTON FM	FORMATION	20	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1807.000000	1934.000000	COOK FM	FORMATION	24	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1807.000000	2050.000000	DUNLIN GP	GROUP	29	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	2177.000000	2247.000000	HEGRE GP	GROUP	61	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	962.000000	1512.000000	HORDALAND GP	GROUP	67	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1663.000000	1747.000000	JORSALFARE FM	FORMATION	74	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1747.000000	1807.000000	KYRRE FM	FORMATION	92	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1565.000000	1663.000000	LISTA FM	FORMATION	95	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	2177.000000	2247.000000	LUNDE FM	FORMATION	97	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	2050.000000	2137.000000	NANSEN MBR	MEMBER	108	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	931.000000	962.000000	NO FORMAL NAME	FORMATION	111	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1012.000000	1060.000000	NO FORMAL NAME	FORMATION	111	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1060.000000	1097.000000	NO FORMAL NAME	FORMATION	111	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1097.000000	1127.000000	NO FORMAL NAME	FORMATION	111	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1127.000000	1177.000000	NO FORMAL NAME	FORMATION	111	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1177.000000	1305.000000	NO FORMAL NAME	FORMATION	111	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1305.000000	1512.000000	NO FORMAL NAME	FORMATION	111	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	226.000000	962.000000	NORDLAND GP	GROUP	113	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	2137.000000	2177.000000	RAUDE MBR	MEMBER	127	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1512.000000	1663.000000	ROGALAND GP	GROUP	131	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	1663.000000	1807.000000	SHETLAND GP	GROUP	143	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	2050.000000	2177.000000	STATFJORD FM	FORMATION	157	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	892.000000	931.000000	UTSIRA FM	FORMATION	183	1983-07-14	496	9999-12-31	2013-05-08
34/10-7 R	2050.000000	2177.000000	NO GROUP DEFINED	GROUP	208	1983-07-14	496	9999-12-31	2013-05-08
34/2-2 R	3705.000000	3840.000000	AMUNDSEN FM	FORMATION	4	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	1864.000000	1907.000000	BALDER FM	FORMATION	6	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3111.000000	3147.000000	BLODØKS FM	FORMATION	13	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3683.000000	3705.000000	BURTON FM	FORMATION	20	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3203.000000	3378.000000	CROMER KNOLL GP	GROUP	23	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3619.000000	3683.000000	COOK FM	FORMATION	24	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3520.000000	3619.000000	DRAKE FM	FORMATION	27	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3520.000000	3840.000000	DUNLIN GP	GROUP	29	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3865.000000	3957.000000	EIRIKSSON MBR	MEMBER	32	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3378.000000	3460.000000	HEATHER FM	FORMATION	60	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	1417.000000	1864.000000	HORDALAND GP	GROUP	67	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	1985.000000	2193.000000	JORSALFARE FM	FORMATION	74	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	2193.000000	2970.000000	KYRRE FM	FORMATION	92	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	1907.000000	1985.000000	LISTA FM	FORMATION	95	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3375.000000	3378.000000	MIME FM	FORMATION	106	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3840.000000	3865.000000	NANSEN MBR	MEMBER	108	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	1587.000000	1604.000000	NO FORMAL NAME	FORMATION	111	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	1604.000000	1864.000000	NO FORMAL NAME	FORMATION	111	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3460.000000	3520.000000	NO FORMAL NAME	FORMATION	111	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	412.000000	1417.000000	NORDLAND GP	GROUP	113	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3957.000000	4074.000000	RAUDE MBR	MEMBER	127	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	1864.000000	1985.000000	ROGALAND GP	GROUP	131	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3203.000000	3345.000000	RØDBY FM	FORMATION	137	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	1985.000000	3203.000000	SHETLAND GP	GROUP	143	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3345.000000	3370.000000	SOLA FM	FORMATION	152	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3840.000000	4074.000000	STATFJORD FM	FORMATION	157	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3147.000000	3203.000000	SVARTE FM	FORMATION	160	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	2970.000000	3111.000000	TRYGGVASON FM	FORMATION	173	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	1330.000000	1417.000000	UTSIRA FM	FORMATION	183	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3378.000000	3520.000000	VIKING GP	GROUP	188	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3370.000000	3375.000000	ÅSGARD FM	FORMATION	198	1981-05-08	497	9999-12-31	2013-05-08
34/2-2 R	3840.000000	4074.000000	NO GROUP DEFINED	GROUP	208	1981-05-08	497	9999-12-31	2013-05-08
31/6-2 R	2138.000000	2164.000000	AMUNDSEN FM	FORMATION	4	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	626.000000	776.000000	BALDER FM	FORMATION	6	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1931.000000	1975.000000	BRENT GP	GROUP	16	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1128.000000	1322.000000	CROMER KNOLL GP	GROUP	23	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1975.000000	2055.000000	DRAKE FM	FORMATION	27	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1322.000000	1435.000000	DRAUPNE FM	FORMATION	28	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1975.000000	2164.000000	DUNLIN GP	GROUP	29	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1642.000000	1875.000000	FENSFJORD FM	FORMATION	40	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	968.000000	978.000000	HARDRÅDE FM	FORMATION	56	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1435.000000	1460.000000	HEATHER FM	FORMATION	60	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1625.000000	1642.000000	HEATHER FM	FORMATION	60	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1910.000000	1931.000000	HEATHER FM	FORMATION	60	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	2198.000000	2235.000000	HEGRE GP	GROUP	61	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	505.000000	626.000000	HORDALAND GP	GROUP	67	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	2055.000000	2138.000000	JOHANSEN FM	FORMATION	73	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1875.000000	1910.000000	KROSSFJORD FM	FORMATION	87	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	885.000000	968.000000	LISTA FM	FORMATION	95	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	326.000000	505.000000	NORDLAND GP	GROUP	113	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	626.000000	968.000000	ROGALAND GP	GROUP	131	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1128.000000	1223.000000	RØDBY FM	FORMATION	137	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	776.000000	885.000000	SELE FM	FORMATION	142	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	968.000000	1128.000000	SHETLAND GP	GROUP	143	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1460.000000	1625.000000	SOGNEFJORD FM	FORMATION	151	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	2164.000000	2198.000000	STATFJORD FM	FORMATION	157	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	978.000000	1128.000000	UNDIFFERENTIATED	FORMATION	182	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1322.000000	1931.000000	VIKING GP	GROUP	188	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	1223.000000	1322.000000	ÅSGARD FM	FORMATION	198	1984-09-08	498	9999-12-31	2013-05-08
31/6-2 R	2164.000000	2198.000000	NO GROUP DEFINED	GROUP	208	1984-09-08	498	9999-12-31	2013-05-08
31/5-2 R	2194.000000	2225.000000	AMUNDSEN FM	FORMATION	4	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	2323.000000	2336.000000	AMUNDSEN FM	FORMATION	4	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1210.000000	1286.000000	BALDER FM	FORMATION	6	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1957.000000	2036.000000	BRENT GP	GROUP	16	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1450.000000	1475.000000	CROMER KNOLL GP	GROUP	23	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	2176.000000	2194.000000	COOK FM	FORMATION	24	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1516.000000	1521.000000	INTRA DRAUPNE FM SS	FORMATION	26	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	2036.000000	2176.000000	DRAKE FM	FORMATION	27	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1475.000000	1516.000000	DRAUPNE FM	FORMATION	28	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	2036.000000	2336.000000	DUNLIN GP	GROUP	29	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1674.000000	1826.000000	FENSFJORD FM	FORMATION	40	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1432.000000	1441.000000	HARDRÅDE FM	FORMATION	56	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1642.000000	1674.000000	HEATHER FM	FORMATION	60	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1908.000000	1957.000000	HEATHER FM	FORMATION	60	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	2393.000000	2500.000000	HEGRE GP	GROUP	61	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	670.000000	1210.000000	HORDALAND GP	GROUP	67	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	2225.000000	2323.000000	JOHANSEN FM	FORMATION	73	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1826.000000	1908.000000	KROSSFJORD FM	FORMATION	87	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1382.000000	1432.000000	LISTA FM	FORMATION	95	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	342.000000	670.000000	NORDLAND GP	GROUP	113	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1210.000000	1432.000000	ROGALAND GP	GROUP	131	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1450.000000	1465.000000	RØDBY FM	FORMATION	137	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1286.000000	1382.000000	SELE FM	FORMATION	142	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1432.000000	1450.000000	SHETLAND GP	GROUP	143	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1521.000000	1642.000000	SOGNEFJORD FM	FORMATION	151	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	2336.000000	2393.000000	STATFJORD FM	FORMATION	157	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1441.000000	1450.000000	UNDIFFERENTIATED	FORMATION	182	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1475.000000	1957.000000	VIKING GP	GROUP	188	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	1465.000000	1475.000000	ÅSGARD FM	FORMATION	198	1984-08-30	499	9999-12-31	2013-05-08
31/5-2 R	2336.000000	2393.000000	NO GROUP DEFINED	GROUP	208	1984-08-30	499	9999-12-31	2013-05-08
31/2-5 R	2270.000000	2301.000000	AMUNDSEN FM	FORMATION	4	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	2380.000000	2397.000000	AMUNDSEN FM	FORMATION	4	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1338.000000	1389.000000	BALDER FM	FORMATION	6	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1950.000000	2063.000000	BRENT GP	GROUP	16	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	2194.000000	2270.000000	COOK FM	FORMATION	24	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	2063.000000	2194.000000	DRAKE FM	FORMATION	27	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	2063.000000	2397.000000	DUNLIN GP	GROUP	29	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1686.000000	1782.000000	FENSFJORD FM	FORMATION	40	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1610.000000	1686.000000	HEATHER FM	FORMATION	60	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1853.000000	1950.000000	HEATHER FM	FORMATION	60	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	2464.000000	2525.000000	HEGRE GP	GROUP	61	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	781.000000	1338.000000	HORDALAND GP	GROUP	67	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	2301.000000	2380.000000	JOHANSEN FM	FORMATION	73	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1782.000000	1853.000000	KROSSFJORD FM	FORMATION	87	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1419.000000	1526.000000	LISTA FM	FORMATION	95	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	781.000000	808.000000	NO FORMAL NAME	FORMATION	111	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	808.000000	1338.000000	NO FORMAL NAME	FORMATION	111	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	358.000000	781.000000	NORDLAND GP	GROUP	113	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1338.000000	1526.000000	ROGALAND GP	GROUP	131	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1389.000000	1419.000000	SELE FM	FORMATION	142	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1526.000000	1529.000000	SHETLAND GP	GROUP	143	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1529.000000	1610.000000	SOGNEFJORD FM	FORMATION	151	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	2397.000000	2464.000000	STATFJORD FM	FORMATION	157	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	1529.000000	1950.000000	VIKING GP	GROUP	188	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R	2397.000000	2464.000000	NO GROUP DEFINED	GROUP	208	1981-07-20	500	9999-12-31	2013-05-08
31/2-5 R2	2270.000000	2301.000000	AMUNDSEN FM	FORMATION	4	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	2380.000000	2397.000000	AMUNDSEN FM	FORMATION	4	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1338.000000	1389.000000	BALDER FM	FORMATION	6	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1950.000000	2063.000000	BRENT GP	GROUP	16	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	2194.000000	2270.000000	COOK FM	FORMATION	24	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	2063.000000	2194.000000	DRAKE FM	FORMATION	27	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	2063.000000	2397.000000	DUNLIN GP	GROUP	29	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1686.000000	1782.000000	FENSFJORD FM	FORMATION	40	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1610.000000	1686.000000	HEATHER FM	FORMATION	60	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1853.000000	1950.000000	HEATHER FM	FORMATION	60	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	2464.000000	2525.000000	HEGRE GP	GROUP	61	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	781.000000	1338.000000	HORDALAND GP	GROUP	67	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	2301.000000	2380.000000	JOHANSEN FM	FORMATION	73	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1782.000000	1853.000000	KROSSFJORD FM	FORMATION	87	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1419.000000	1526.000000	LISTA FM	FORMATION	95	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	781.000000	808.000000	NO FORMAL NAME	FORMATION	111	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	808.000000	1338.000000	NO FORMAL NAME	FORMATION	111	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	358.000000	781.000000	NORDLAND GP	GROUP	113	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1338.000000	1526.000000	ROGALAND GP	GROUP	131	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1389.000000	1419.000000	SELE FM	FORMATION	142	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1526.000000	1529.000000	SHETLAND GP	GROUP	143	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1529.000000	1610.000000	SOGNEFJORD FM	FORMATION	151	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	2397.000000	2464.000000	STATFJORD FM	FORMATION	157	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	1529.000000	1950.000000	VIKING GP	GROUP	188	1984-04-22	501	9999-12-31	2013-05-08
31/2-5 R2	2397.000000	2464.000000	NO GROUP DEFINED	GROUP	208	1984-04-22	501	9999-12-31	2013-05-08
31/2-4 R	2107.000000	2126.000000	AMUNDSEN FM	FORMATION	4	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	2241.000000	2256.000000	AMUNDSEN FM	FORMATION	4	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1203.000000	1234.000000	BALDER FM	FORMATION	6	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1784.000000	1902.000000	BRENT GP	GROUP	16	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	2008.000000	2107.000000	COOK FM	FORMATION	24	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1902.000000	2008.000000	DRAKE FM	FORMATION	27	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1902.000000	2256.000000	DUNLIN GP	GROUP	29	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1520.000000	1625.000000	FENSFJORD FM	FORMATION	40	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1460.000000	1520.000000	HEATHER FM	FORMATION	60	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1710.000000	1784.000000	HEATHER FM	FORMATION	60	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	2422.000000	5035.000000	HEGRE GP	GROUP	61	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	724.000000	1203.000000	HORDALAND GP	GROUP	67	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	2126.000000	2241.000000	JOHANSEN FM	FORMATION	73	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1625.000000	1710.000000	KROSSFJORD FM	FORMATION	87	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1256.000000	1357.000000	LISTA FM	FORMATION	95	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	494.000000	528.000000	NO FORMAL NAME	FORMATION	111	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	528.000000	724.000000	NO FORMAL NAME	FORMATION	111	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	361.000000	724.000000	NORDLAND GP	GROUP	113	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1203.000000	1365.000000	ROGALAND GP	GROUP	131	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1234.000000	1256.000000	SELE FM	FORMATION	142	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1365.000000	1460.000000	SOGNEFJORD FM	FORMATION	151	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	2256.000000	2422.000000	STATFJORD FM	FORMATION	157	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1365.000000	1784.000000	VIKING GP	GROUP	188	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	1357.000000	1365.000000	VÅLE FM	FORMATION	190	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R	2256.000000	2422.000000	NO GROUP DEFINED	GROUP	208	1981-04-06	502	9999-12-31	2013-05-08
31/2-4 R2	2107.000000	2126.000000	AMUNDSEN FM	FORMATION	4	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	2241.000000	2256.000000	AMUNDSEN FM	FORMATION	4	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1203.000000	1234.000000	BALDER FM	FORMATION	6	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1784.000000	1902.000000	BRENT GP	GROUP	16	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	2008.000000	2107.000000	COOK FM	FORMATION	24	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1902.000000	2008.000000	DRAKE FM	FORMATION	27	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1902.000000	2256.000000	DUNLIN GP	GROUP	29	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1520.000000	1625.000000	FENSFJORD FM	FORMATION	40	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1460.000000	1520.000000	HEATHER FM	FORMATION	60	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1710.000000	1784.000000	HEATHER FM	FORMATION	60	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	2422.000000	5035.000000	HEGRE GP	GROUP	61	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	724.000000	1203.000000	HORDALAND GP	GROUP	67	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	2126.000000	2241.000000	JOHANSEN FM	FORMATION	73	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1625.000000	1710.000000	KROSSFJORD FM	FORMATION	87	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1256.000000	1357.000000	LISTA FM	FORMATION	95	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	494.000000	528.000000	NO FORMAL NAME	FORMATION	111	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	528.000000	724.000000	NO FORMAL NAME	FORMATION	111	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	361.000000	724.000000	NORDLAND GP	GROUP	113	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1203.000000	1365.000000	ROGALAND GP	GROUP	131	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1234.000000	1256.000000	SELE FM	FORMATION	142	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1365.000000	1460.000000	SOGNEFJORD FM	FORMATION	151	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	2256.000000	2422.000000	STATFJORD FM	FORMATION	157	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1365.000000	1784.000000	VIKING GP	GROUP	188	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	1357.000000	1365.000000	VÅLE FM	FORMATION	190	1982-11-12	503	9999-12-31	2013-05-08
31/2-4 R2	2256.000000	2422.000000	NO GROUP DEFINED	GROUP	208	1982-11-12	503	9999-12-31	2013-05-08
31/2-2 R	2202.000000	2233.000000	AMUNDSEN FM	FORMATION	4	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	2344.000000	2360.000000	AMUNDSEN FM	FORMATION	4	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1124.000000	1205.000000	BALDER FM	FORMATION	6	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1985.000000	2070.000000	BRENT GP	GROUP	16	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1424.000000	1470.000000	CROMER KNOLL GP	GROUP	23	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	2162.000000	2202.000000	COOK FM	FORMATION	24	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	2070.000000	2162.000000	DRAKE FM	FORMATION	27	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1470.000000	1545.000000	DRAUPNE FM	FORMATION	28	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	2070.000000	2360.000000	DUNLIN GP	GROUP	29	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1700.000000	1848.000000	FENSFJORD FM	FORMATION	40	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1665.000000	1700.000000	HEATHER FM	FORMATION	60	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1961.000000	1985.000000	HEATHER FM	FORMATION	60	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	2500.000000	2600.000000	HEGRE GP	GROUP	61	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	650.000000	1124.000000	HORDALAND GP	GROUP	67	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	2233.000000	2344.000000	JOHANSEN FM	FORMATION	73	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1848.000000	1961.000000	KROSSFJORD FM	FORMATION	87	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1303.000000	1374.000000	LISTA FM	FORMATION	95	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	650.000000	703.000000	NO FORMAL NAME	FORMATION	111	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	703.000000	1124.000000	NO FORMAL NAME	FORMATION	111	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	355.000000	650.000000	NORDLAND GP	GROUP	113	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1124.000000	1374.000000	ROGALAND GP	GROUP	131	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1424.000000	1431.000000	RØDBY FM	FORMATION	137	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1205.000000	1303.000000	SELE FM	FORMATION	142	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1374.000000	1424.000000	SHETLAND GP	GROUP	143	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1545.000000	1665.000000	SOGNEFJORD FM	FORMATION	151	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	2360.000000	2500.000000	STATFJORD FM	FORMATION	157	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1470.000000	1985.000000	VIKING GP	GROUP	188	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	1431.000000	1470.000000	ÅSGARD FM	FORMATION	198	1980-10-06	504	9999-12-31	2013-05-08
31/2-2 R	2360.000000	2500.000000	NO GROUP DEFINED	GROUP	208	1980-10-06	504	9999-12-31	2013-05-08
31/2-1 R	2135.000000	2177.000000	AMUNDSEN FM	FORMATION	4	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	2274.000000	2294.000000	AMUNDSEN FM	FORMATION	4	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1185.000000	1251.000000	BALDER FM	FORMATION	6	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1882.000000	1986.000000	BRENT GP	GROUP	16	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1406.000000	1415.000000	CROMER KNOLL GP	GROUP	23	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	2094.000000	2135.000000	COOK FM	FORMATION	24	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1986.000000	2094.000000	DRAKE FM	FORMATION	27	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1415.000000	1441.000000	DRAUPNE FM	FORMATION	28	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1986.000000	2294.000000	DUNLIN GP	GROUP	29	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1596.000000	1743.000000	FENSFJORD FM	FORMATION	40	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1533.000000	1596.000000	HEATHER FM	FORMATION	60	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1881.000000	1882.000000	HEATHER FM	FORMATION	60	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	2382.000000	2434.000000	HEGRE GP	GROUP	61	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	526.000000	1185.000000	HORDALAND GP	GROUP	67	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	2177.000000	2274.000000	JOHANSEN FM	FORMATION	73	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1743.000000	1881.000000	KROSSFJORD FM	FORMATION	87	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1323.000000	1394.000000	LISTA FM	FORMATION	95	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	349.000000	526.000000	NORDLAND GP	GROUP	113	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1185.000000	1406.000000	ROGALAND GP	GROUP	131	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1251.000000	1323.000000	SELE FM	FORMATION	142	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1441.000000	1533.000000	SOGNEFJORD FM	FORMATION	151	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	2294.000000	2382.000000	STATFJORD FM	FORMATION	157	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1415.000000	1882.000000	VIKING GP	GROUP	188	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	1394.000000	1406.000000	VÅLE FM	FORMATION	190	1981-11-09	505	9999-12-31	2013-05-08
31/2-1 R	2294.000000	2382.000000	NO GROUP DEFINED	GROUP	208	1981-11-09	505	9999-12-31	2013-05-08
30/3-2 R	1954.000000	2002.000000	BALDER FM	FORMATION	6	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2825.000000	2950.000000	BRENT GP	GROUP	16	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	3121.000000	3228.000000	BURTON FM	FORMATION	20	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2982.000000	3121.000000	COOK FM	FORMATION	24	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2950.000000	2982.000000	DRAKE FM	FORMATION	27	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2714.000000	2731.000000	DRAUPNE FM	FORMATION	28	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2950.000000	3228.000000	DUNLIN GP	GROUP	29	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	3308.000000	3394.000000	EIRIKSSON MBR	MEMBER	32	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2879.000000	2882.000000	ETIVE FM	FORMATION	35	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2731.000000	2825.000000	HEATHER FM	FORMATION	60	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	3299.000000	3567.000000	HEGRE GP	GROUP	61	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	894.000000	1954.000000	HORDALAND GP	GROUP	67	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2032.000000	2203.000000	LISTA FM	FORMATION	95	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	3298.000000	3299.000000	LUNDE FM	FORMATION	97	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	3228.000000	3298.000000	NANSEN MBR	MEMBER	108	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2825.000000	2879.000000	NESS FM	FORMATION	110	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	211.000000	894.000000	NORDLAND GP	GROUP	113	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2891.000000	2950.000000	OSEBERG FM	FORMATION	123	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2882.000000	2891.000000	RANNOCH FM	FORMATION	126	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	3394.000000	3567.000000	RAUDE MBR	MEMBER	127	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	1954.000000	2203.000000	ROGALAND GP	GROUP	131	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2002.000000	2032.000000	SELE FM	FORMATION	142	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2203.000000	2714.000000	SHETLAND GP	GROUP	143	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	3228.000000	3298.000000	STATFJORD FM	FORMATION	157	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	753.000000	894.000000	UTSIRA FM	FORMATION	183	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	2714.000000	2825.000000	VIKING GP	GROUP	188	1981-02-16	508	9999-12-31	2013-05-08
30/3-2 R	3228.000000	3299.000000	NO GROUP DEFINED	GROUP	208	1981-02-16	508	9999-12-31	2013-05-08
30/3-1 R	4162.000000	4227.000000	AMUNDSEN FM	FORMATION	4	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	1929.000000	1993.000000	BALDER FM	FORMATION	6	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3605.000000	3616.000000	BLODØKS FM	FORMATION	13	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3761.000000	3874.000000	BRENT GP	GROUP	16	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3616.000000	3729.000000	CROMER KNOLL GP	GROUP	23	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	4081.000000	4162.000000	COOK FM	FORMATION	24	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3874.000000	4081.000000	DRAKE FM	FORMATION	27	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3729.000000	3748.000000	DRAUPNE FM	FORMATION	28	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3874.000000	4227.000000	DUNLIN GP	GROUP	29	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3826.000000	3852.000000	ETIVE FM	FORMATION	35	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	1635.000000	1679.000000	GRID FM	FORMATION	53	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3748.000000	3761.000000	HEATHER FM	FORMATION	60	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	950.000000	1929.000000	HORDALAND GP	GROUP	67	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	2160.000000	2472.000000	JORSALFARE FM	FORMATION	74	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	2472.000000	3410.000000	KYRRE FM	FORMATION	92	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3761.000000	3826.000000	NESS FM	FORMATION	110	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	1360.000000	1635.000000	NO FORMAL NAME	FORMATION	111	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	1679.000000	1929.000000	NO FORMAL NAME	FORMATION	111	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	160.000000	950.000000	NORDLAND GP	GROUP	113	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3866.000000	3874.000000	OSEBERG FM	FORMATION	123	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3852.000000	3866.000000	RANNOCH FM	FORMATION	126	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	1929.000000	2160.000000	ROGALAND GP	GROUP	131	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3616.000000	3678.000000	RØDBY FM	FORMATION	137	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	1993.000000	2124.000000	SELE FM	FORMATION	142	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	2160.000000	3616.000000	SHETLAND GP	GROUP	143	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	1174.000000	1360.000000	SKADE FM	FORMATION	145	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3678.000000	3702.000000	SOLA FM	FORMATION	152	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	4227.000000	4421.000000	STATFJORD FM	FORMATION	157	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3410.000000	3605.000000	TRYGGVASON FM	FORMATION	173	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	829.000000	950.000000	UTSIRA FM	FORMATION	183	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3729.000000	3761.000000	VIKING GP	GROUP	188	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	2124.000000	2160.000000	VÅLE FM	FORMATION	190	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	3702.000000	3729.000000	ÅSGARD FM	FORMATION	198	1982-04-26	509	9999-12-31	2013-05-08
30/3-1 R	4227.000000	4421.000000	NO GROUP DEFINED	GROUP	208	1982-04-26	509	9999-12-31	2013-05-08
25/10-4 R	1685.000000	1720.000000	BALDER FM	FORMATION	6	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1963.000000	1982.000000	INTRA DRAUPNE FM SS	FORMATION	26	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1961.000000	1963.000000	DRAUPNE FM	FORMATION	28	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1982.000000	1985.000000	DRAUPNE FM	FORMATION	28	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1418.000000	1487.000000	GRID FM	FORMATION	53	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1985.000000	2003.000000	HEATHER FM	FORMATION	60	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1758.000000	1874.000000	HEIMDAL FM	FORMATION	62	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	740.000000	1685.000000	HORDALAND GP	GROUP	67	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	2361.000000	2363.000000	KUPFERSCHIEFER FM	FORMATION	88	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1742.000000	1758.000000	LISTA FM	FORMATION	95	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1874.000000	1951.000000	LISTA FM	FORMATION	95	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	693.000000	740.000000	NO FORMAL NAME	FORMATION	111	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	920.000000	1058.000000	NO FORMAL NAME	FORMATION	111	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1109.000000	1203.000000	NO FORMAL NAME	FORMATION	111	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1219.000000	1418.000000	NO FORMAL NAME	FORMATION	111	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1487.000000	1685.000000	NO FORMAL NAME	FORMATION	111	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	151.000000	740.000000	NORDLAND GP	GROUP	113	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1685.000000	1951.000000	ROGALAND GP	GROUP	131	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	2363.000000	2550.000000	ROTLIEGEND GP	GROUP	136	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1720.000000	1742.000000	SELE FM	FORMATION	142	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1951.000000	1961.000000	SHETLAND GP	GROUP	143	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	740.000000	920.000000	SKADE FM	FORMATION	145	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1058.000000	1109.000000	SKADE FM	FORMATION	145	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1203.000000	1219.000000	SKADE FM	FORMATION	145	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	2003.000000	2154.000000	STATFJORD FM	FORMATION	157	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	2314.000000	2361.000000	UNDIFFERENTIATED	FORMATION	182	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	569.000000	693.000000	UTSIRA FM	FORMATION	183	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	1961.000000	2003.000000	VIKING GP	GROUP	188	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	2314.000000	2363.000000	ZECHSTEIN GP	GROUP	194	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	2003.000000	2154.000000	NO GROUP DEFINED	GROUP	208	1981-06-13	510	9999-12-31	2013-05-08
25/10-4 R	2154.000000	2314.000000	NO GROUP DEFINED	GROUP	208	1981-06-13	510	9999-12-31	2013-05-08
25/10-2 R	1935.000000	1975.000000	BALDER FM	FORMATION	6	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	3152.000000	3181.000000	BASEMENT	GROUP	10	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2085.000000	2146.000000	HEIMDAL FM	FORMATION	62	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2470.000000	2542.000000	HOD FM	FORMATION	66	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	1052.000000	1935.000000	HORDALAND GP	GROUP	67	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	3007.000000	3014.000000	KUPFERSCHIEFER FM	FORMATION	88	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2050.000000	2085.000000	LISTA FM	FORMATION	95	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2146.000000	2270.000000	LISTA FM	FORMATION	95	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	130.000000	1052.000000	NORDLAND GP	GROUP	113	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	1935.000000	2385.000000	ROGALAND GP	GROUP	131	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	3014.000000	3152.000000	ROTLIEGEND GP	GROUP	136	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	1975.000000	2050.000000	SELE FM	FORMATION	142	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2385.000000	2623.000000	SHETLAND GP	GROUP	143	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2385.000000	2470.000000	TOR FM	FORMATION	171	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2542.000000	2623.000000	TRYGGVASON FM	FORMATION	173	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2270.000000	2375.000000	TY FM	FORMATION	176	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2897.000000	3007.000000	UNDIFFERENTIATED	FORMATION	182	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	755.000000	1052.000000	UTSIRA FM	FORMATION	183	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2623.000000	2675.000000	VIKING GP	GROUP	188	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2375.000000	2385.000000	VÅLE FM	FORMATION	190	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2897.000000	3014.000000	ZECHSTEIN GP	GROUP	194	1972-07-08	511	9999-12-31	2013-05-08
25/10-2 R	2675.000000	2897.000000	NO GROUP DEFINED	GROUP	208	1972-07-08	511	9999-12-31	2013-05-08
25/10-1 R	1682.000000	1699.000000	BALDER FM	FORMATION	6	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1705.000000	1717.000000	BALDER FM	FORMATION	6	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1699.000000	1705.000000	INTRA BALDER FM SS	FORMATION	7	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1960.000000	1963.000000	EKOFISK FM	FORMATION	33	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1775.000000	1800.000000	HEIMDAL FM	FORMATION	62	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1804.000000	1844.000000	HEIMDAL FM	FORMATION	62	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1859.000000	1901.000000	HEIMDAL FM	FORMATION	62	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1911.000000	1916.000000	HEIMDAL FM	FORMATION	62	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1928.000000	1932.000000	HEIMDAL FM	FORMATION	62	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1730.000000	1745.000000	HERMOD FM	FORMATION	64	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1756.000000	1762.000000	HERMOD FM	FORMATION	64	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	733.000000	1682.000000	HORDALAND GP	GROUP	67	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1763.000000	1775.000000	LISTA FM	FORMATION	95	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1800.000000	1804.000000	LISTA FM	FORMATION	95	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1844.000000	1859.000000	LISTA FM	FORMATION	95	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1901.000000	1911.000000	LISTA FM	FORMATION	95	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1916.000000	1928.000000	LISTA FM	FORMATION	95	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1932.000000	1960.000000	LISTA FM	FORMATION	95	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	675.000000	733.000000	NO FORMAL NAME	FORMATION	111	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1045.000000	1192.000000	NO FORMAL NAME	FORMATION	111	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1192.000000	1247.000000	NO FORMAL NAME	FORMATION	111	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1247.000000	1682.000000	NO FORMAL NAME	FORMATION	111	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	134.000000	733.000000	NORDLAND GP	GROUP	113	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1682.000000	1960.000000	ROGALAND GP	GROUP	131	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1717.000000	1730.000000	SELE FM	FORMATION	142	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1745.000000	1756.000000	SELE FM	FORMATION	142	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1762.000000	1763.000000	SELE FM	FORMATION	142	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1960.000000	1963.000000	SHETLAND GP	GROUP	143	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	733.000000	1045.000000	SKADE FM	FORMATION	145	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1963.000000	2091.000000	STATFJORD FM	FORMATION	157	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	555.000000	675.000000	UTSIRA FM	FORMATION	183	1970-08-03	512	9999-12-31	2013-05-08
25/10-1 R	1963.000000	2091.000000	NO GROUP DEFINED	GROUP	208	1970-08-03	512	9999-12-31	2013-05-08
24/12-1 R	4698.000000	4774.000000	AMUNDSEN FM	FORMATION	4	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	2190.000000	2255.000000	BALDER FM	FORMATION	6	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	3672.000000	3681.000000	BLODØKS FM	FORMATION	13	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	3848.000000	4055.000000	CROMER KNOLL GP	GROUP	23	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4055.000000	4140.000000	DRAUPNE FM	FORMATION	28	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4698.000000	4774.000000	DUNLIN GP	GROUP	29	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	2768.000000	2784.000000	EKOFISK FM	FORMATION	33	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	1502.000000	1660.000000	GRID FM	FORMATION	53	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4164.000000	4215.000000	INTRA HEATHER FM SS	FORMATION	59	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4235.000000	4295.000000	INTRA HEATHER FM SS	FORMATION	59	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4312.000000	4332.000000	INTRA HEATHER FM SS	FORMATION	59	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4140.000000	4164.000000	HEATHER FM	FORMATION	60	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4215.000000	4235.000000	HEATHER FM	FORMATION	60	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4295.000000	4312.000000	HEATHER FM	FORMATION	60	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4332.000000	4350.000000	HEATHER FM	FORMATION	60	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	2326.000000	2700.000000	HEIMDAL FM	FORMATION	62	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	3080.000000	3550.000000	HOD FM	FORMATION	66	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	850.000000	2190.000000	HORDALAND GP	GROUP	67	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	2307.000000	2326.000000	LISTA FM	FORMATION	95	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	2700.000000	2763.000000	LISTA FM	FORMATION	95	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	732.000000	850.000000	NO FORMAL NAME	FORMATION	111	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	1007.000000	1502.000000	NO FORMAL NAME	FORMATION	111	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	1660.000000	2190.000000	NO FORMAL NAME	FORMATION	111	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	138.000000	850.000000	NORDLAND GP	GROUP	113	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	2190.000000	2768.000000	ROGALAND GP	GROUP	131	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	3848.000000	3945.000000	RØDBY FM	FORMATION	137	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	2255.000000	2307.000000	SELE FM	FORMATION	142	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	2768.000000	3848.000000	SHETLAND GP	GROUP	143	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	850.000000	1007.000000	SKADE FM	FORMATION	145	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	3945.000000	4004.000000	SOLA FM	FORMATION	152	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	3681.000000	3848.000000	SVARTE FM	FORMATION	160	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	2784.000000	3080.000000	TOR FM	FORMATION	171	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	3550.000000	3672.000000	TRYGGVASON FM	FORMATION	173	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	497.000000	732.000000	UTSIRA FM	FORMATION	183	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4350.000000	4698.000000	VESTLAND GP	GROUP	186	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4055.000000	4350.000000	VIKING GP	GROUP	188	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	2763.000000	2768.000000	VÅLE FM	FORMATION	190	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4004.000000	4055.000000	ÅSGARD FM	FORMATION	198	1978-08-14	513	9999-12-31	2013-05-08
24/12-1 R	4774.000000	4825.000000	NO GROUP DEFINED	GROUP	208	1978-08-14	513	9999-12-31	2013-05-08
17/12-1 R	752.000000	777.000000	BALDER FM	FORMATION	6	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	1206.000000	1210.000000	BLODØKS FM	FORMATION	13	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	1902.000000	2290.000000	BOKNFJORD GP	GROUP	15	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	2306.000000	2410.000000	BRYNE FM	FORMATION	19	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	1210.000000	1902.000000	CROMER KNOLL GP	GROUP	23	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	2215.000000	2290.000000	EGERSUND FM	FORMATION	30	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	785.000000	807.000000	EKOFISK FM	FORMATION	33	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	1902.000000	1946.000000	FLEKKEFJORD FM	FORMATION	43	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	2410.000000	2446.000000	GASSUM FM	FORMATION	49	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	1130.000000	1206.000000	HOD FM	FORMATION	66	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	450.000000	752.000000	HORDALAND GP	GROUP	67	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	778.000000	781.000000	LISTA FM	FORMATION	95	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	142.000000	450.000000	NORDLAND GP	GROUP	113	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	752.000000	785.000000	ROGALAND GP	GROUP	131	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	1210.000000	1339.000000	RØDBY FM	FORMATION	137	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	2290.000000	2306.000000	SANDNES FM	FORMATION	139	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	1946.000000	2167.000000	SAUDA FM	FORMATION	141	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	777.000000	778.000000	SELE FM	FORMATION	142	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	785.000000	1210.000000	SHETLAND GP	GROUP	143	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	2446.000000	3965.000000	SKAGERRAK FM	FORMATION	146	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	3965.000000	4133.000000	SMITH BANK FM	FORMATION	149	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	1339.000000	1482.000000	SOLA FM	FORMATION	152	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	2167.000000	2215.000000	TAU FM	FORMATION	164	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	807.000000	1130.000000	TOR FM	FORMATION	171	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	2290.000000	2410.000000	VESTLAND GP	GROUP	186	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	781.000000	785.000000	VÅLE FM	FORMATION	190	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	4133.000000	4298.000000	ZECHSTEIN GP	GROUP	194	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	1482.000000	1902.000000	ÅSGARD FM	FORMATION	198	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	2410.000000	2446.000000	NO GROUP DEFINED	GROUP	208	1972-06-21	514	9999-12-31	2013-05-08
17/12-1 R	2446.000000	4133.000000	NO GROUP DEFINED	GROUP	208	1972-06-21	514	9999-12-31	2013-05-08
17/9-1 R	695.000000	719.000000	BALDER FM	FORMATION	6	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	1195.000000	1220.000000	BLODØKS FM	FORMATION	13	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	1933.000000	2220.000000	BOKNFJORD GP	GROUP	15	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	1220.000000	1933.000000	CROMER KNOLL GP	GROUP	23	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	2205.000000	2220.000000	EGERSUND FM	FORMATION	30	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	2835.000000	2992.000000	FJERRITSLEV FM	FORMATION	42	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	1933.000000	1954.000000	FLEKKEFJORD FM	FORMATION	43	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	1085.000000	1195.000000	HOD FM	FORMATION	66	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	439.000000	695.000000	HORDALAND GP	GROUP	67	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	731.000000	738.000000	LISTA FM	FORMATION	95	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	2237.000000	2835.000000	NO FORMAL NAME	FORMATION	111	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	168.000000	439.000000	NORDLAND GP	GROUP	113	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	695.000000	746.000000	ROGALAND GP	GROUP	131	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	1220.000000	1354.000000	RØDBY FM	FORMATION	137	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	2220.000000	2237.000000	SANDNES FM	FORMATION	139	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	1954.000000	2165.000000	SAUDA FM	FORMATION	141	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	719.000000	731.000000	SELE FM	FORMATION	142	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	746.000000	1220.000000	SHETLAND GP	GROUP	143	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	2992.000000	3161.000000	SKAGERRAK FM	FORMATION	146	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	1354.000000	1464.000000	SOLA FM	FORMATION	152	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	2165.000000	2205.000000	TAU FM	FORMATION	164	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	789.000000	1085.000000	TOR FM	FORMATION	171	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	2220.000000	2835.000000	VESTLAND GP	GROUP	186	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	738.000000	746.000000	VÅLE FM	FORMATION	190	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	1464.000000	1933.000000	ÅSGARD FM	FORMATION	198	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	2835.000000	2992.000000	NO GROUP DEFINED	GROUP	208	1974-06-11	515	9999-12-31	2013-05-08
17/9-1 R	2992.000000	3161.000000	NO GROUP DEFINED	GROUP	208	1974-06-11	515	9999-12-31	2013-05-08
7/11-7 R	3133.000000	3146.000000	BALDER FM	FORMATION	6	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4318.000000	4405.000000	CROMER KNOLL GP	GROUP	23	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	3390.000000	3468.000000	EKOFISK FM	FORMATION	33	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4448.000000	4527.000000	FARSUND FM	FORMATION	39	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	3185.000000	3377.000000	FORTIES FM	FORMATION	44	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4208.000000	4318.000000	HIDRA FM	FORMATION	65	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	3874.000000	4208.000000	HOD FM	FORMATION	66	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	1615.000000	3133.000000	HORDALAND GP	GROUP	67	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4405.000000	4448.000000	MANDAL FM	FORMATION	101	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	3377.000000	3390.000000	MAUREEN FM	FORMATION	102	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	112.000000	1615.000000	NORDLAND GP	GROUP	113	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	3133.000000	3390.000000	ROGALAND GP	GROUP	131	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4318.000000	4360.000000	RØDBY FM	FORMATION	137	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	3146.000000	3185.000000	SELE FM	FORMATION	142	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	3390.000000	4318.000000	SHETLAND GP	GROUP	143	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4566.000000	4856.000000	SKAGERRAK FM	FORMATION	146	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	3468.000000	3874.000000	TOR FM	FORMATION	171	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4405.000000	4527.000000	TYNE GP	GROUP	177	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4527.000000	4566.000000	ULA FM	FORMATION	179	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4527.000000	4566.000000	VESTLAND GP	GROUP	186	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4856.000000	4927.000000	ZECHSTEIN GP	GROUP	194	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4360.000000	4405.000000	ÅSGARD FM	FORMATION	198	1984-10-08	519	9999-12-31	2013-05-08
7/11-7 R	4566.000000	4856.000000	NO GROUP DEFINED	GROUP	208	1984-10-08	519	9999-12-31	2013-05-08
7121/1-1	698.000000	792.000000	FRUHOLMEN FM	FORMATION	46	1985-11-13	521	9999-12-31	2013-05-08
7121/1-1	698.000000	916.000000	KAPP TOSCANA GP	GROUP	79	1985-11-13	521	9999-12-31	2013-05-08
7121/1-1	396.000000	519.000000	NORDLAND GP	GROUP	113	1985-11-13	521	9999-12-31	2013-05-08
7121/1-1	792.000000	916.000000	SNADD FM	FORMATION	150	1985-11-13	521	9999-12-31	2013-05-08
7121/1-1	519.000000	698.000000	SOTBAKKEN GP	GROUP	154	1985-11-13	521	9999-12-31	2013-05-08
7121/1-1	519.000000	698.000000	TORSK FM	FORMATION	172	1985-11-13	521	9999-12-31	2013-05-08
6407/6-2	243.000000	524.000000	NAUST FM	FORMATION	109	1985-10-06	522	9999-12-31	2013-05-08
6407/6-2	243.000000	524.000000	NORDLAND GP	GROUP	113	1985-10-06	522	9999-12-31	2013-05-08
34/10-25	166.000000	600.000000	NORDLAND GP	GROUP	113	1985-08-17	523	9999-12-31	2013-05-08
25/6-1	2344.000000	2417.000000	AMUNDSEN FM	FORMATION	4	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	1910.000000	1962.000000	BALDER FM	FORMATION	6	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2851.000000	2881.000000	BASEMENT	GROUP	10	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2192.000000	2234.000000	CROMER KNOLL GP	GROUP	23	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2297.000000	2344.000000	DRAKE FM	FORMATION	27	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2234.000000	2256.000000	DRAUPNE FM	FORMATION	28	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2297.000000	2417.000000	DUNLIN GP	GROUP	29	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	1373.000000	1395.000000	GRID FM	FORMATION	53	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2164.000000	2192.000000	HARDRÅDE FM	FORMATION	56	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2256.000000	2277.000000	HEATHER FM	FORMATION	60	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	886.000000	1910.000000	HORDALAND GP	GROUP	67	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2277.000000	2290.000000	HUGIN FM	FORMATION	69	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2032.000000	2137.000000	LISTA FM	FORMATION	95	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2222.000000	2234.000000	MIME FM	FORMATION	106	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	1005.000000	1373.000000	NO FORMAL NAME	FORMATION	111	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	1395.000000	1910.000000	NO FORMAL NAME	FORMATION	111	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	147.000000	886.000000	NORDLAND GP	GROUP	113	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	1910.000000	2164.000000	ROGALAND GP	GROUP	131	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	1962.000000	2032.000000	SELE FM	FORMATION	142	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2164.000000	2192.000000	SHETLAND GP	GROUP	143	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	990.000000	1005.000000	SKADE FM	FORMATION	145	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2503.000000	2651.000000	SKAGERRAK FM	FORMATION	146	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2290.000000	2297.000000	SLEIPNER FM	FORMATION	148	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2651.000000	2851.000000	SMITH BANK FM	FORMATION	149	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2192.000000	2222.000000	SOLA FM	FORMATION	152	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2417.000000	2503.000000	STATFJORD FM	FORMATION	157	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2154.000000	2164.000000	TY FM	FORMATION	176	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	723.000000	886.000000	UTSIRA FM	FORMATION	183	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2277.000000	2297.000000	VESTLAND GP	GROUP	186	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2234.000000	2277.000000	VIKING GP	GROUP	188	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2137.000000	2154.000000	VÅLE FM	FORMATION	190	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2417.000000	2503.000000	NO GROUP DEFINED	GROUP	208	1986-02-03	524	9999-12-31	2013-05-08
25/6-1	2503.000000	2851.000000	NO GROUP DEFINED	GROUP	208	1986-02-03	524	9999-12-31	2013-05-08
30/6-17 R	2441.000000	2563.000000	AMUNDSEN FM	FORMATION	4	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	1915.000000	1993.000000	BALDER FM	FORMATION	6	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	2402.000000	2441.000000	COOK FM	FORMATION	24	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	2309.000000	2402.000000	DRAKE FM	FORMATION	27	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	2309.000000	2563.000000	DUNLIN GP	GROUP	29	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	890.000000	1915.000000	HORDALAND GP	GROUP	67	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	2181.000000	2296.000000	JORSALFARE FM	FORMATION	74	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	2057.000000	2168.000000	LISTA FM	FORMATION	95	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	876.000000	890.000000	NO FORMAL NAME	FORMATION	111	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	942.000000	960.000000	NO FORMAL NAME	FORMATION	111	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	960.000000	1280.000000	NO FORMAL NAME	FORMATION	111	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	1280.000000	1301.000000	NO FORMAL NAME	FORMATION	111	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	1301.000000	1405.000000	NO FORMAL NAME	FORMATION	111	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	1405.000000	1463.000000	NO FORMAL NAME	FORMATION	111	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	1463.000000	1915.000000	NO FORMAL NAME	FORMATION	111	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	135.000000	890.000000	NORDLAND GP	GROUP	113	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	1915.000000	2181.000000	ROGALAND GP	GROUP	131	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	1993.000000	2057.000000	SELE FM	FORMATION	142	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	2181.000000	2296.000000	SHETLAND GP	GROUP	143	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	2563.000000	2650.000000	STATFJORD FM	FORMATION	157	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	652.000000	876.000000	UTSIRA FM	FORMATION	183	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	2168.000000	2181.000000	VÅLE FM	FORMATION	190	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	2296.000000	2309.000000	UNDEFINED GP	GROUP	191	1986-02-04	849	9999-12-31	2013-05-08
30/6-17 R	2563.000000	2650.000000	NO GROUP DEFINED	GROUP	208	1986-02-04	849	9999-12-31	2013-05-08
6506/12-5	1964.000000	2235.000000	BRYGGE FM	FORMATION	18	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	4138.000000	4587.000000	BÅT GP	GROUP	22	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	3157.000000	3780.000000	CROMER KNOLL GP	GROUP	23	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	3948.000000	4138.000000	FANGST GP	GROUP	38	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	3948.000000	4040.000000	GARN FM	FORMATION	48	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	1964.000000	2235.000000	HORDALAND GP	GROUP	67	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	4068.000000	4138.000000	ILE FM	FORMATION	70	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	1335.000000	1964.000000	KAI FM	FORMATION	77	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	3187.000000	3780.000000	LANGE FM	FORMATION	94	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	3157.000000	3187.000000	LYSING FM	FORMATION	99	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	3827.000000	3948.000000	MELKE FM	FORMATION	105	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	330.000000	1335.000000	NAUST FM	FORMATION	109	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	330.000000	1964.000000	NORDLAND GP	GROUP	113	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	4040.000000	4068.000000	NOT FM	FORMATION	120	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	2235.000000	2346.000000	ROGALAND GP	GROUP	131	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	4138.000000	4274.000000	ROR FM	FORMATION	135	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	2346.000000	3157.000000	SHETLAND GP	GROUP	143	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	3780.000000	3827.000000	SPEKK FM	FORMATION	155	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	2283.000000	2346.000000	TANG FM	FORMATION	161	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	2235.000000	2283.000000	TARE FM	FORMATION	163	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	4274.000000	4510.000000	TILJE FM	FORMATION	169	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	3780.000000	3948.000000	VIKING GP	GROUP	188	1986-03-27	852	9999-12-31	2013-05-08
6506/12-5	4510.000000	4587.000000	ÅRE FM	FORMATION	197	1986-03-27	852	9999-12-31	2013-05-08
6507/7-4	1906.000000	2009.000000	BRYGGE FM	FORMATION	18	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2540.000000	2850.000000	BÅT GP	GROUP	22	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2449.000000	2540.000000	FANGST GP	GROUP	38	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2449.000000	2500.000000	GARN FM	FORMATION	48	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	1906.000000	2009.000000	HORDALAND GP	GROUP	67	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2516.000000	2540.000000	ILE FM	FORMATION	70	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	1483.000000	1906.000000	KAI FM	FORMATION	77	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2399.000000	2449.000000	MELKE FM	FORMATION	105	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	370.000000	1483.000000	NAUST FM	FORMATION	109	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	370.000000	1906.000000	NORDLAND GP	GROUP	113	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2500.000000	2516.000000	NOT FM	FORMATION	120	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2009.000000	2105.000000	ROGALAND GP	GROUP	131	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2540.000000	2604.000000	ROR FM	FORMATION	135	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2105.000000	2399.000000	SHETLAND GP	GROUP	143	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2036.000000	2105.000000	TANG FM	FORMATION	161	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2009.000000	2036.000000	TARE FM	FORMATION	163	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2604.000000	2850.000000	TILJE FM	FORMATION	169	1986-01-13	853	9999-12-31	2013-05-08
6507/7-4	2399.000000	2449.000000	VIKING GP	GROUP	188	1986-01-13	853	9999-12-31	2013-05-08
34/8-1	3198.000000	3324.000000	AMUNDSEN FM	FORMATION	4	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	1826.000000	1874.000000	BALDER FM	FORMATION	6	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2767.000000	2981.000000	BRENT GP	GROUP	16	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2980.000000	2981.000000	BROOM FM	FORMATION	17	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	3163.000000	3198.000000	BURTON FM	FORMATION	20	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2761.000000	2764.000000	CROMER KNOLL GP	GROUP	23	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	3044.000000	3163.000000	COOK FM	FORMATION	24	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2981.000000	3044.000000	DRAKE FM	FORMATION	27	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2764.000000	2765.000000	DRAUPNE FM	FORMATION	28	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2981.000000	3324.000000	DUNLIN GP	GROUP	29	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2851.000000	2900.000000	ETIVE FM	FORMATION	35	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2765.000000	2767.000000	HEATHER FM	FORMATION	60	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	3417.000000	3610.000000	HEGRE GP	GROUP	61	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	1136.000000	1826.000000	HORDALAND GP	GROUP	67	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	1874.000000	2006.000000	LISTA FM	FORMATION	95	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	3417.000000	3610.000000	LUNDE FM	FORMATION	97	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2803.000000	2851.000000	NESS FM	FORMATION	110	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	349.000000	1136.000000	NORDLAND GP	GROUP	113	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2900.000000	2980.000000	RANNOCH FM	FORMATION	126	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	1826.000000	2006.000000	ROGALAND GP	GROUP	131	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2006.000000	2761.000000	SHETLAND GP	GROUP	143	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	3324.000000	3417.000000	STATFJORD FM	FORMATION	157	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2767.000000	2803.000000	TARBERT FM	FORMATION	162	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	1090.000000	1136.000000	UTSIRA FM	FORMATION	183	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	2764.000000	2767.000000	VIKING GP	GROUP	188	1986-03-08	854	9999-12-31	2013-05-08
34/8-1	3324.000000	3417.000000	NO GROUP DEFINED	GROUP	208	1986-03-08	854	9999-12-31	2013-05-08
25/2-10 S	2501.000000	2579.000000	BALDER FM	FORMATION	6	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	2648.000000	2661.000000	BALDER FM	FORMATION	6	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	2579.000000	2648.000000	INTRA BALDER FM SS	FORMATION	7	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	2661.000000	2695.000000	INTRA BALDER FM SS	FORMATION	7	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	2939.000000	2967.000000	EKOFISK FM	FORMATION	33	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	2230.000000	2501.000000	FRIGG FM	FORMATION	45	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	1732.000000	1740.000000	GRID FM	FORMATION	53	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	630.000000	2501.000000	HORDALAND GP	GROUP	67	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	2739.000000	2811.000000	LISTA FM	FORMATION	95	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	520.000000	630.000000	NO FORMAL NAME	FORMATION	111	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	1088.000000	1115.000000	NO FORMAL NAME	FORMATION	111	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	1115.000000	1148.000000	NO FORMAL NAME	FORMATION	111	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	1148.000000	1245.000000	NO FORMAL NAME	FORMATION	111	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	1245.000000	1264.000000	NO FORMAL NAME	FORMATION	111	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	1264.000000	1732.000000	NO FORMAL NAME	FORMATION	111	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	1740.000000	2230.000000	NO FORMAL NAME	FORMATION	111	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	141.000000	630.000000	NORDLAND GP	GROUP	113	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	2501.000000	2939.000000	ROGALAND GP	GROUP	131	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	2695.000000	2739.000000	SELE FM	FORMATION	142	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	2939.000000	2967.000000	SHETLAND GP	GROUP	143	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	630.000000	1088.000000	SKADE FM	FORMATION	145	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	2811.000000	2912.000000	TY FM	FORMATION	176	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	475.000000	520.000000	UTSIRA FM	FORMATION	183	1986-03-19	855	9999-12-31	2013-05-08
25/2-10 S	2912.000000	2939.000000	VÅLE FM	FORMATION	190	1986-03-19	855	9999-12-31	2013-05-08
7/11-9	2966.000000	2993.000000	BALDER FM	FORMATION	6	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	3872.000000	3874.000000	BLODØKS FM	FORMATION	13	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	3899.000000	4027.000000	CROMER KNOLL GP	GROUP	23	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	3162.000000	3229.000000	EKOFISK FM	FORMATION	33	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	4093.000000	4169.000000	FARSUND FM	FORMATION	39	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	3034.000000	3094.000000	FORTIES FM	FORMATION	44	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	3874.000000	3899.000000	HIDRA FM	FORMATION	65	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	3625.000000	3872.000000	HOD FM	FORMATION	66	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	1452.000000	2966.000000	HORDALAND GP	GROUP	67	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	3009.000000	3034.000000	LISTA FM	FORMATION	95	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	4027.000000	4093.000000	MANDAL FM	FORMATION	101	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	3094.000000	3162.000000	MAUREEN FM	FORMATION	102	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	106.000000	1452.000000	NORDLAND GP	GROUP	113	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	2966.000000	3162.000000	ROGALAND GP	GROUP	131	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	3899.000000	4027.000000	RØDBY FM	FORMATION	137	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	2993.000000	3009.000000	SELE FM	FORMATION	142	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	3162.000000	3899.000000	SHETLAND GP	GROUP	143	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	4183.000000	4271.000000	SMITH BANK FM	FORMATION	149	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	3229.000000	3625.000000	TOR FM	FORMATION	171	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	4027.000000	4169.000000	TYNE GP	GROUP	177	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	4169.000000	4183.000000	ULA FM	FORMATION	179	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	4169.000000	4183.000000	VESTLAND GP	GROUP	186	1986-03-09	856	9999-12-31	2013-05-08
7/11-9	4183.000000	4271.000000	NO GROUP DEFINED	GROUP	208	1986-03-09	856	9999-12-31	2013-05-08
34/10-26	242.000000	600.000000	NORDLAND GP	GROUP	113	1985-10-26	858	9999-12-31	2013-05-08
34/10-10 R	179.000000	816.000000	NORDLAND GP	GROUP	113	1980-10-04	859	9999-12-31	2013-05-08
6507/7-5 A	1966.000000	2083.000000	BRYGGE FM	FORMATION	18	1986-04-05	860	9999-12-31	2013-05-08
6507/7-5 A	2583.000000	2673.000000	BÅT GP	GROUP	22	1986-04-05	860	9999-12-31	2013-05-08
6507/7-5 A	2555.000000	2583.000000	FANGST GP	GROUP	38	1986-04-05	860	9999-12-31	2013-05-08
6507/7-5 A	1966.000000	2083.000000	HORDALAND GP	GROUP	67	1986-04-05	860	9999-12-31	2013-05-08
6507/7-5 A	1491.000000	1966.000000	KAI FM	FORMATION	77	1986-04-05	860	9999-12-31	2013-05-08
6507/7-5 A	356.000000	1966.000000	NORDLAND GP	GROUP	113	1986-04-05	860	9999-12-31	2013-05-08
6507/7-5 A	2083.000000	2188.000000	ROGALAND GP	GROUP	131	1986-04-05	860	9999-12-31	2013-05-08
6507/7-5 A	2188.000000	2555.000000	SHETLAND GP	GROUP	143	1986-04-05	860	9999-12-31	2013-05-08
6507/7-5 A	2117.000000	2188.000000	TANG FM	FORMATION	161	1986-04-05	860	9999-12-31	2013-05-08
6507/7-5 A	2083.000000	2117.000000	TARE FM	FORMATION	163	1986-04-05	860	9999-12-31	2013-05-08
6507/7-5 A	2598.000000	2673.000000	TILJE FM	FORMATION	169	1986-04-05	860	9999-12-31	2013-05-08
6/3-2	2283.000000	2300.000000	BALDER FM	FORMATION	6	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	2987.000000	3008.000000	CROMER KNOLL GP	GROUP	23	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	3008.000000	3017.000000	DRAUPNE FM	FORMATION	28	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	2605.000000	2987.000000	HOD FM	FORMATION	66	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	1160.000000	2283.000000	HORDALAND GP	GROUP	67	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	4043.000000	4045.000000	KUPFERSCHIEFER FM	FORMATION	88	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	2405.000000	2489.000000	LISTA FM	FORMATION	95	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	3017.000000	3165.000000	NO FORMAL NAME	FORMATION	111	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	111.000000	1160.000000	NORDLAND GP	GROUP	113	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	2283.000000	2511.000000	ROGALAND GP	GROUP	131	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	4045.000000	4091.000000	ROTLIEGEND GP	GROUP	136	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	2300.000000	2405.000000	SELE FM	FORMATION	142	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	2511.000000	2987.000000	SHETLAND GP	GROUP	143	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	3165.000000	3293.000000	SKAGERRAK FM	FORMATION	146	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	2987.000000	3000.000000	SOLA FM	FORMATION	152	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	2511.000000	2605.000000	TOR FM	FORMATION	171	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	3293.000000	4043.000000	UNDIFFERENTIATED	FORMATION	182	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	3017.000000	3165.000000	VESTLAND GP	GROUP	186	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	3008.000000	3017.000000	VIKING GP	GROUP	188	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	2489.000000	2511.000000	VÅLE FM	FORMATION	190	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	3293.000000	4045.000000	ZECHSTEIN GP	GROUP	194	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	3000.000000	3008.000000	ÅSGARD FM	FORMATION	198	1986-03-10	862	9999-12-31	2013-05-08
6/3-2	3165.000000	3293.000000	NO GROUP DEFINED	GROUP	208	1986-03-10	862	9999-12-31	2013-05-08
6406/3-2	1970.000000	2309.000000	BRYGGE FM	FORMATION	18	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	4128.000000	4523.000000	BÅT GP	GROUP	22	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	3119.000000	3841.000000	CROMER KNOLL GP	GROUP	23	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	3930.000000	4128.000000	FANGST GP	GROUP	38	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	3930.000000	4017.000000	GARN FM	FORMATION	48	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	1970.000000	2309.000000	HORDALAND GP	GROUP	67	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	4069.000000	4128.000000	ILE FM	FORMATION	70	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	1493.000000	1970.000000	KAI FM	FORMATION	77	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	3867.000000	3930.000000	MELKE FM	FORMATION	105	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	322.000000	1970.000000	NORDLAND GP	GROUP	113	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	4017.000000	4069.000000	NOT FM	FORMATION	120	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	2309.000000	2437.000000	ROGALAND GP	GROUP	131	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	4128.000000	4178.000000	ROR FM	FORMATION	135	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	4203.000000	4285.000000	ROR FM	FORMATION	135	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	2437.000000	3119.000000	SHETLAND GP	GROUP	143	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	3841.000000	3867.000000	SPEKK FM	FORMATION	155	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	2380.000000	2437.000000	TANG FM	FORMATION	161	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	2309.000000	2380.000000	TARE FM	FORMATION	163	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	4285.000000	4496.000000	TILJE FM	FORMATION	169	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	478.000000	1493.000000	TOFTE FM	FORMATION	170	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	4178.000000	4203.000000	TOFTE FM	FORMATION	170	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	3841.000000	3930.000000	VIKING GP	GROUP	188	1986-11-22	863	9999-12-31	2013-05-08
6406/3-2	4496.000000	4523.000000	ÅRE FM	FORMATION	197	1986-11-22	863	9999-12-31	2013-05-08
34/10-27	167.000000	482.000000	NORDLAND GP	GROUP	113	1985-12-14	867	9999-12-31	2013-05-08
6407/9-6	832.000000	1342.000000	BRYGGE FM	FORMATION	18	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1775.000000	1800.000000	BÅT GP	GROUP	22	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1571.000000	1611.000000	CROMER KNOLL GP	GROUP	23	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1660.000000	1775.000000	FANGST GP	GROUP	38	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1660.000000	1744.000000	GARN FM	FORMATION	48	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	832.000000	1342.000000	HORDALAND GP	GROUP	67	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1571.000000	1611.000000	LANGE FM	FORMATION	94	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	301.000000	832.000000	NORDLAND GP	GROUP	113	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1744.000000	1775.000000	NOT FM	FORMATION	120	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1342.000000	1540.000000	ROGALAND GP	GROUP	131	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1643.000000	1660.000000	ROGN FM	FORMATION	134	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1775.000000	1800.000000	ROR FM	FORMATION	135	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1540.000000	1571.000000	SHETLAND GP	GROUP	143	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1611.000000	1643.000000	SPEKK FM	FORMATION	155	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1376.000000	1540.000000	TANG FM	FORMATION	161	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1342.000000	1376.000000	TARE FM	FORMATION	163	1986-03-13	871	9999-12-31	2013-05-08
6407/9-6	1611.000000	1660.000000	VIKING GP	GROUP	188	1986-03-13	871	9999-12-31	2013-05-08
34/10-28	158.000000	528.000000	NORDLAND GP	GROUP	113	1986-01-16	872	9999-12-31	2013-05-08
7120/1-1 R	692.000000	1106.000000	FRUHOLMEN FM	FORMATION	46	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	2373.000000	2403.000000	HAVERT FM	FORMATION	58	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	692.000000	2285.000000	KAPP TOSCANA GP	GROUP	79	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	2315.000000	2373.000000	KLAPPMYSS FM	FORMATION	80	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	2285.000000	2315.000000	KOBBE FM	FORMATION	83	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	367.000000	490.000000	NORDLAND GP	GROUP	113	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	2430.000000	2458.000000	RØYE FM	FORMATION	138	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	2604.000000	2610.000000	RØYE FM	FORMATION	138	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	2285.000000	2403.000000	SASSENDALEN GP	GROUP	140	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	1106.000000	2285.000000	SNADD FM	FORMATION	150	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	490.000000	692.000000	SOTBAKKEN GP	GROUP	154	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	2403.000000	2610.000000	TEMPELFJORDEN GP	GROUP	167	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	490.000000	692.000000	TORSK FM	FORMATION	172	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	2403.000000	2430.000000	ØRRET FM	FORMATION	196	1985-12-26	874	9999-12-31	2013-05-08
7120/1-1 R	2458.000000	2604.000000	ØRRET FM	FORMATION	196	1985-12-26	874	9999-12-31	2013-05-08
34/4-6	1658.000000	1688.000000	BALDER FM	FORMATION	6	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	2555.000000	2577.000000	CROMER KNOLL GP	GROUP	23	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	2577.000000	3282.000000	HEGRE GP	GROUP	61	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	1239.000000	1658.000000	HORDALAND GP	GROUP	67	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	1775.000000	2056.000000	JORSALFARE FM	FORMATION	74	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	2056.000000	2555.000000	KYRRE FM	FORMATION	92	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	1688.000000	1775.000000	LISTA FM	FORMATION	95	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	3153.000000	3231.000000	LOMVI FM	FORMATION	96	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	2577.000000	3153.000000	LUNDE FM	FORMATION	97	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	2565.000000	2577.000000	MIME FM	FORMATION	106	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	1149.000000	1239.000000	NO FORMAL NAME	FORMATION	111	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	1359.000000	1387.000000	NO FORMAL NAME	FORMATION	111	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	1387.000000	1658.000000	NO FORMAL NAME	FORMATION	111	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	400.000000	1239.000000	NORDLAND GP	GROUP	113	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	1658.000000	1775.000000	ROGALAND GP	GROUP	131	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	2555.000000	2565.000000	RØDBY FM	FORMATION	137	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	1775.000000	2555.000000	SHETLAND GP	GROUP	143	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	3231.000000	3282.000000	TEIST FM (INFORMAL)	FORMATION	166	1986-03-27	875	9999-12-31	2013-05-08
34/4-6	1128.000000	1149.000000	UTSIRA FM	FORMATION	183	1986-03-27	875	9999-12-31	2013-05-08
34/10-30	2983.000000	3120.000000	AMUNDSEN FM	FORMATION	4	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	1785.000000	1856.000000	BALDER FM	FORMATION	6	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	2941.000000	2945.000000	BRENT GP	GROUP	16	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	2918.000000	2941.000000	CROMER KNOLL GP	GROUP	23	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	2950.000000	2983.000000	COOK FM	FORMATION	24	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	2945.000000	2950.000000	DRAKE FM	FORMATION	27	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	2945.000000	3120.000000	DUNLIN GP	GROUP	29	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	3375.000000	3785.000000	HEGRE GP	GROUP	61	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	951.000000	1785.000000	HORDALAND GP	GROUP	67	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	1856.000000	2006.000000	LISTA FM	FORMATION	95	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	3375.000000	3785.000000	LUNDE FM	FORMATION	97	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	158.000000	951.000000	NORDLAND GP	GROUP	113	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	1785.000000	2006.000000	ROGALAND GP	GROUP	131	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	2006.000000	2918.000000	SHETLAND GP	GROUP	143	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	3120.000000	3375.000000	STATFJORD FM	FORMATION	157	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	871.000000	951.000000	UTSIRA FM	FORMATION	183	1986-05-12	877	9999-12-31	2013-05-08
34/10-30	3120.000000	3375.000000	NO GROUP DEFINED	GROUP	208	1986-05-12	877	9999-12-31	2013-05-08
34/7-8	2284.000000	2299.000000	AMUNDSEN FM	FORMATION	4	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	1658.000000	1695.000000	BALDER FM	FORMATION	6	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	2274.000000	2278.000000	CROMER KNOLL GP	GROUP	23	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	2278.000000	2284.000000	INTRA DRAUPNE FM SS	FORMATION	26	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	2284.000000	2299.000000	DUNLIN GP	GROUP	29	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	2417.000000	2766.000000	HEGRE GP	GROUP	61	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	1080.000000	1658.000000	HORDALAND GP	GROUP	67	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	1833.000000	1928.000000	JORSALFARE FM	FORMATION	74	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	1928.000000	2274.000000	KYRRE FM	FORMATION	92	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	1695.000000	1833.000000	LISTA FM	FORMATION	95	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	2417.000000	2766.000000	LUNDE FM	FORMATION	97	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	2276.000000	2278.000000	MIME FM	FORMATION	106	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	1262.000000	1348.000000	NO FORMAL NAME	FORMATION	111	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	1348.000000	1445.000000	NO FORMAL NAME	FORMATION	111	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	1445.000000	1462.000000	NO FORMAL NAME	FORMATION	111	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	1462.000000	1658.000000	NO FORMAL NAME	FORMATION	111	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	312.000000	1080.000000	NORDLAND GP	GROUP	113	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	1658.000000	1833.000000	ROGALAND GP	GROUP	131	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	2274.000000	2276.000000	RØDBY FM	FORMATION	137	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	1833.000000	2274.000000	SHETLAND GP	GROUP	143	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	2299.000000	2417.000000	STATFJORD FM	FORMATION	157	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	970.000000	1080.000000	UTSIRA FM	FORMATION	183	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	2278.000000	2284.000000	VIKING GP	GROUP	188	1986-04-11	878	9999-12-31	2013-05-08
34/7-8	2299.000000	2417.000000	NO GROUP DEFINED	GROUP	208	1986-04-11	878	9999-12-31	2013-05-08
6507/7-5	1904.000000	1998.000000	BRYGGE FM	FORMATION	18	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2424.000000	2660.000000	BÅT GP	GROUP	22	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2353.000000	2424.000000	FANGST GP	GROUP	38	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2353.000000	2399.000000	GARN FM	FORMATION	48	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	1904.000000	1998.000000	HORDALAND GP	GROUP	67	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2409.000000	2424.000000	ILE FM	FORMATION	70	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	1482.000000	1904.000000	KAI FM	FORMATION	77	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2316.000000	2353.000000	MELKE FM	FORMATION	105	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	356.000000	1482.000000	NAUST FM	FORMATION	109	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	356.000000	1904.000000	NORDLAND GP	GROUP	113	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2399.000000	2409.000000	NOT FM	FORMATION	120	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	1998.000000	2086.000000	ROGALAND GP	GROUP	131	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2424.000000	2474.000000	ROR FM	FORMATION	135	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2086.000000	2310.000000	SHETLAND GP	GROUP	143	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2310.000000	2316.000000	SPEKK FM	FORMATION	155	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2025.000000	2086.000000	TANG FM	FORMATION	161	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	1998.000000	2025.000000	TARE FM	FORMATION	163	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2474.000000	2660.000000	TILJE FM	FORMATION	169	1986-03-06	879	9999-12-31	2013-05-08
6507/7-5	2310.000000	2353.000000	VIKING GP	GROUP	188	1986-03-06	879	9999-12-31	2013-05-08
7121/7-2	923.000000	1882.000000	ADVENTDALEN GP	GROUP	1	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	2073.000000	2156.000000	FRUHOLMEN FM	FORMATION	46	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	1880.000000	1882.000000	FUGLEN FM	FORMATION	47	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	1806.000000	1880.000000	HEKKINGEN FM	FORMATION	63	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	1882.000000	2156.000000	KAPP TOSCANA GP	GROUP	79	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	1728.000000	1806.000000	KNURR FM	FORMATION	82	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	1578.000000	1728.000000	KOLJE FM	FORMATION	84	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	923.000000	1578.000000	KOLMULE FM	FORMATION	85	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	889.000000	923.000000	KVEITE FM	FORMATION	89	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	347.000000	430.000000	NORDLAND GP	GROUP	113	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	1938.000000	2028.000000	NORDMELA FM	FORMATION	118	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	889.000000	923.000000	NYGRUNNEN GP	GROUP	122	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	430.000000	889.000000	SOTBAKKEN GP	GROUP	154	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	1882.000000	1938.000000	STØ FM	FORMATION	159	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	430.000000	889.000000	TORSK FM	FORMATION	172	1986-08-12	881	9999-12-31	2013-05-08
7121/7-2	2028.000000	2073.000000	TUBÅEN FM	FORMATION	174	1986-08-12	881	9999-12-31	2013-05-08
25/5-1	3129.000000	3232.000000	AMUNDSEN FM	FORMATION	4	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2169.000000	2200.000000	BALDER FM	FORMATION	6	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2214.000000	2240.000000	BALDER FM	FORMATION	6	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2200.000000	2214.000000	INTRA BALDER FM SS	FORMATION	7	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2900.000000	2905.000000	CROMER KNOLL GP	GROUP	23	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	3060.000000	3129.000000	DRAKE FM	FORMATION	27	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2905.000000	2955.000000	DRAUPNE FM	FORMATION	28	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	3060.000000	3232.000000	DUNLIN GP	GROUP	29	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	1287.000000	1345.000000	GRID FM	FORMATION	53	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2588.000000	2802.000000	HARDRÅDE FM	FORMATION	56	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2955.000000	2984.000000	HEATHER FM	FORMATION	60	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	920.000000	2169.000000	HORDALAND GP	GROUP	67	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2984.000000	2996.000000	HUGIN FM	FORMATION	69	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2802.000000	2900.000000	KYRRE FM	FORMATION	92	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2275.000000	2400.000000	LISTA FM	FORMATION	95	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	1102.000000	1287.000000	NO FORMAL NAME	FORMATION	111	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	1345.000000	2169.000000	NO FORMAL NAME	FORMATION	111	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	143.000000	920.000000	NORDLAND GP	GROUP	113	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2169.000000	2588.000000	ROGALAND GP	GROUP	131	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2240.000000	2275.000000	SELE FM	FORMATION	142	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2588.000000	2900.000000	SHETLAND GP	GROUP	143	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	951.000000	1102.000000	SKADE FM	FORMATION	145	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2996.000000	3060.000000	SLEIPNER FM	FORMATION	148	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	3232.000000	3374.000000	STATFJORD FM	FORMATION	157	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2400.000000	2570.000000	TY FM	FORMATION	176	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	612.000000	920.000000	UTSIRA FM	FORMATION	183	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2984.000000	3060.000000	VESTLAND GP	GROUP	186	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2905.000000	2984.000000	VIKING GP	GROUP	188	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	2570.000000	2588.000000	VÅLE FM	FORMATION	190	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	3232.000000	3374.000000	NO GROUP DEFINED	GROUP	208	1987-08-01	884	9999-12-31	2013-05-08
25/5-1	3374.000000	3429.000000	NO GROUP DEFINED	GROUP	208	1987-08-01	884	9999-12-31	2013-05-08
34/10-31	164.000000	420.000000	NORDLAND GP	GROUP	113	1986-04-08	887	9999-12-31	2013-05-08
34/10-27 R	167.000000	482.000000	NORDLAND GP	GROUP	113	1986-01-31	888	9999-12-31	2013-05-08
34/7-9	1657.000000	1681.000000	BALDER FM	FORMATION	6	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	2429.000000	2443.000000	CROMER KNOLL GP	GROUP	23	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	2443.000000	3240.000000	HEGRE GP	GROUP	61	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	1172.000000	1657.000000	HORDALAND GP	GROUP	67	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	1807.000000	2025.000000	JORSALFARE FM	FORMATION	74	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	2025.000000	2429.000000	KYRRE FM	FORMATION	92	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	1681.000000	1807.000000	LISTA FM	FORMATION	95	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	2443.000000	3240.000000	LUNDE FM	FORMATION	97	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	1089.000000	1172.000000	NO FORMAL NAME	FORMATION	111	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	1445.000000	1511.000000	NO FORMAL NAME	FORMATION	111	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	1511.000000	1657.000000	NO FORMAL NAME	FORMATION	111	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	356.000000	1172.000000	NORDLAND GP	GROUP	113	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	1657.000000	1807.000000	ROGALAND GP	GROUP	131	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	2429.000000	2435.000000	RØDBY FM	FORMATION	137	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	1807.000000	2429.000000	SHETLAND GP	GROUP	143	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	1031.000000	1089.000000	UTSIRA FM	FORMATION	183	1986-06-12	889	9999-12-31	2013-05-08
34/7-9	2435.000000	2443.000000	ÅSGARD FM	FORMATION	198	1986-06-12	889	9999-12-31	2013-05-08
35/11-2	3712.000000	3730.000000	AMUNDSEN FM	FORMATION	4	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3775.000000	3798.000000	AMUNDSEN FM	FORMATION	4	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	1663.000000	1721.000000	BALDER FM	FORMATION	6	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3370.000000	3601.000000	BRENT GP	GROUP	16	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	2682.000000	2927.000000	CROMER KNOLL GP	GROUP	23	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3615.000000	3712.000000	COOK FM	FORMATION	24	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3601.000000	3615.000000	DRAKE FM	FORMATION	27	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	2927.000000	3011.000000	DRAUPNE FM	FORMATION	28	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3601.000000	3798.000000	DUNLIN GP	GROUP	29	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3475.000000	3487.000000	ETIVE FM	FORMATION	35	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3011.000000	3042.000000	INTRA HEATHER FM SS	FORMATION	59	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3042.000000	3370.000000	HEATHER FM	FORMATION	60	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	1081.000000	1663.000000	HORDALAND GP	GROUP	67	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3730.000000	3775.000000	JOHANSEN FM	FORMATION	73	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	1950.000000	2087.000000	JORSALFARE FM	FORMATION	74	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	2087.000000	2675.000000	KYRRE FM	FORMATION	92	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	1753.000000	1926.000000	LISTA FM	FORMATION	95	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3380.000000	3475.000000	NESS FM	FORMATION	110	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	395.000000	1081.000000	NORDLAND GP	GROUP	113	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3524.000000	3601.000000	OSEBERG FM	FORMATION	123	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3487.000000	3524.000000	RANNOCH FM	FORMATION	126	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	1663.000000	1950.000000	ROGALAND GP	GROUP	131	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	2682.000000	2710.000000	RØDBY FM	FORMATION	137	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	1721.000000	1753.000000	SELE FM	FORMATION	142	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	1950.000000	2682.000000	SHETLAND GP	GROUP	143	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	2710.000000	2721.000000	SOLA FM	FORMATION	152	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3798.000000	4025.000000	STATFJORD FM	FORMATION	157	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3370.000000	3380.000000	TARBERT FM	FORMATION	162	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	2675.000000	2682.000000	TRYGGVASON FM	FORMATION	173	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	935.000000	1081.000000	UTSIRA FM	FORMATION	183	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	2927.000000	3370.000000	VIKING GP	GROUP	188	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	1926.000000	1950.000000	VÅLE FM	FORMATION	190	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	2721.000000	2927.000000	ÅSGARD FM	FORMATION	198	1987-12-04	893	9999-12-31	2013-05-08
35/11-2	3798.000000	4025.000000	NO GROUP DEFINED	GROUP	208	1987-12-04	893	9999-12-31	2013-05-08
30/6-17 A	2488.000000	2632.000000	AMUNDSEN FM	FORMATION	4	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	1924.000000	2008.000000	BALDER FM	FORMATION	6	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	2460.000000	2488.000000	COOK FM	FORMATION	24	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	2420.000000	2460.000000	DRAKE FM	FORMATION	27	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	2420.000000	2632.000000	DUNLIN GP	GROUP	29	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	890.000000	1924.000000	HORDALAND GP	GROUP	67	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	2235.000000	2411.000000	JORSALFARE FM	FORMATION	74	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	2094.000000	2216.000000	LISTA FM	FORMATION	95	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	876.000000	890.000000	NO FORMAL NAME	FORMATION	111	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	942.000000	960.000000	NO FORMAL NAME	FORMATION	111	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	960.000000	1280.000000	NO FORMAL NAME	FORMATION	111	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	1280.000000	1301.000000	NO FORMAL NAME	FORMATION	111	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	1301.000000	1405.000000	NO FORMAL NAME	FORMATION	111	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	1405.000000	1463.000000	NO FORMAL NAME	FORMATION	111	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	1463.000000	1924.000000	NO FORMAL NAME	FORMATION	111	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	135.000000	890.000000	NORDLAND GP	GROUP	113	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	1924.000000	2235.000000	ROGALAND GP	GROUP	131	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	2008.000000	2094.000000	SELE FM	FORMATION	142	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	2235.000000	2411.000000	SHETLAND GP	GROUP	143	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	2632.000000	2686.000000	STATFJORD FM	FORMATION	157	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	652.000000	876.000000	UTSIRA FM	FORMATION	183	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	2216.000000	2235.000000	VÅLE FM	FORMATION	190	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	2411.000000	2420.000000	UNDEFINED GP	GROUP	191	1986-03-18	894	9999-12-31	2013-05-08
30/6-17 A	2632.000000	2686.000000	NO GROUP DEFINED	GROUP	208	1986-03-18	894	9999-12-31	2013-05-08
2/4-1	98.000000	1662.000000	NORDLAND GP	GROUP	113	1969-09-16	895	9999-12-31	2013-05-08
7121/1-1 R	3502.000000	3990.000000	BJARMELAND GP	GROUP	12	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	698.000000	792.000000	FRUHOLMEN FM	FORMATION	46	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	3990.000000	5000.000000	GIPSDALEN GP	GROUP	51	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	2786.000000	2993.000000	HAVERT FM	FORMATION	58	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	3502.000000	3586.000000	ISBJØRN FM	FORMATION	72	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	3625.000000	3700.000000	ISBJØRN FM	FORMATION	72	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	698.000000	2210.000000	KAPP TOSCANA GP	GROUP	79	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	2605.000000	2786.000000	KLAPPMYSS FM	FORMATION	80	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	2210.000000	2605.000000	KOBBE FM	FORMATION	83	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	396.000000	519.000000	NORDLAND GP	GROUP	113	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	3700.000000	3990.000000	POLARREV FM	FORMATION	124	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	2993.000000	3502.000000	RØYE FM	FORMATION	138	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	2210.000000	2993.000000	SASSENDALEN GP	GROUP	140	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	792.000000	2210.000000	SNADD FM	FORMATION	150	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	519.000000	698.000000	SOTBAKKEN GP	GROUP	154	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	2993.000000	3502.000000	TEMPELFJORDEN GP	GROUP	167	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	519.000000	698.000000	TORSK FM	FORMATION	172	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	3586.000000	3625.000000	ULV FM	FORMATION	181	1986-08-23	896	9999-12-31	2013-05-08
7121/1-1 R	3990.000000	5000.000000	ØRN FM	FORMATION	195	1986-08-23	896	9999-12-31	2013-05-08
7120/1-1 R2	3947.000000	4003.000000	BASEMENT	GROUP	10	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	2997.000000	3220.000000	BJARMELAND GP	GROUP	12	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	692.000000	1106.000000	FRUHOLMEN FM	FORMATION	46	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	3220.000000	3947.000000	GIPSDALEN GP	GROUP	51	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	2373.000000	2403.000000	HAVERT FM	FORMATION	58	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	692.000000	2285.000000	KAPP TOSCANA GP	GROUP	79	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	2315.000000	2373.000000	KLAPPMYSS FM	FORMATION	80	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	2285.000000	2315.000000	KOBBE FM	FORMATION	83	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	367.000000	490.000000	NORDLAND GP	GROUP	113	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	2430.000000	2458.000000	RØYE FM	FORMATION	138	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	2604.000000	2997.000000	RØYE FM	FORMATION	138	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	2285.000000	2403.000000	SASSENDALEN GP	GROUP	140	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	1106.000000	2285.000000	SNADD FM	FORMATION	150	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	490.000000	692.000000	SOTBAKKEN GP	GROUP	154	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	2403.000000	2997.000000	TEMPELFJORDEN GP	GROUP	167	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	490.000000	692.000000	TORSK FM	FORMATION	172	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	2997.000000	3220.000000	ULV FM	FORMATION	181	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	3220.000000	3947.000000	ØRN FM	FORMATION	195	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	2403.000000	2430.000000	ØRRET FM	FORMATION	196	1986-07-21	897	9999-12-31	2013-05-08
7120/1-1 R2	2458.000000	2604.000000	ØRRET FM	FORMATION	196	1986-07-21	897	9999-12-31	2013-05-08
25/7-1 S	1992.000000	2066.000000	BALDER FM	FORMATION	6	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	3551.000000	3592.000000	BASEMENT	GROUP	10	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	3522.000000	3551.000000	CROMER KNOLL GP	GROUP	23	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	2572.000000	2615.000000	EKOFISK FM	FORMATION	33	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	2177.000000	2414.000000	HEIMDAL FM	FORMATION	62	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	3217.000000	3522.000000	HIDRA FM	FORMATION	65	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	2859.000000	3217.000000	HOD FM	FORMATION	66	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	925.000000	1992.000000	HORDALAND GP	GROUP	67	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	152.000000	925.000000	NORDLAND GP	GROUP	113	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	1992.000000	2572.000000	ROGALAND GP	GROUP	131	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	3522.000000	3551.000000	RØDBY FM	FORMATION	137	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	2066.000000	2177.000000	SELE FM	FORMATION	142	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	2572.000000	3522.000000	SHETLAND GP	GROUP	143	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	1017.000000	1992.000000	SKADE FM	FORMATION	145	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	2615.000000	2859.000000	TOR FM	FORMATION	171	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	2414.000000	2572.000000	TY FM	FORMATION	176	1986-07-19	898	9999-12-31	2013-05-08
25/7-1 S	585.000000	925.000000	UTSIRA FM	FORMATION	183	1986-07-19	898	9999-12-31	2013-05-08
16/10-1	2120.000000	2136.000000	BALDER FM	FORMATION	6	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2683.000000	2691.000000	BLODØKS FM	FORMATION	13	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2750.000000	2794.000000	CROMER KNOLL GP	GROUP	23	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2794.000000	2853.000000	DRAUPNE FM	FORMATION	28	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2281.000000	2349.000000	EKOFISK FM	FORMATION	33	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2853.000000	3005.000000	HEATHER FM	FORMATION	60	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2475.000000	2683.000000	HOD FM	FORMATION	66	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	1197.000000	2120.000000	HORDALAND GP	GROUP	67	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	3005.000000	3038.000000	HUGIN FM	FORMATION	69	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2189.000000	2245.000000	LISTA FM	FORMATION	95	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	109.000000	1197.000000	NORDLAND GP	GROUP	113	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2120.000000	2281.000000	ROGALAND GP	GROUP	131	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2136.000000	2189.000000	SELE FM	FORMATION	142	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2281.000000	2750.000000	SHETLAND GP	GROUP	143	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	3053.000000	3116.000000	SKAGERRAK FM	FORMATION	146	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	3038.000000	3053.000000	SLEIPNER FM	FORMATION	148	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2750.000000	2763.000000	SOLA FM	FORMATION	152	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2691.000000	2750.000000	SVARTE FM	FORMATION	160	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2349.000000	2475.000000	TOR FM	FORMATION	171	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	990.000000	1197.000000	UTSIRA FM	FORMATION	183	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	3005.000000	3053.000000	VESTLAND GP	GROUP	186	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2794.000000	3005.000000	VIKING GP	GROUP	188	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2245.000000	2281.000000	VÅLE FM	FORMATION	190	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	3116.000000	3151.000000	ZECHSTEIN GP	GROUP	194	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	2763.000000	2794.000000	ÅSGARD FM	FORMATION	198	1986-07-14	901	9999-12-31	2013-05-08
16/10-1	3053.000000	3116.000000	NO GROUP DEFINED	GROUP	208	1986-07-14	901	9999-12-31	2013-05-08
2/11-7	2945.000000	2959.000000	BALDER FM	FORMATION	6	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3620.000000	3773.000000	CROMER KNOLL GP	GROUP	23	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3075.000000	3132.000000	EKOFISK FM	FORMATION	33	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3814.000000	4720.000000	FARSUND FM	FORMATION	39	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	4720.000000	5042.000000	HAUGESUND FM	FORMATION	57	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3591.000000	3620.000000	HIDRA FM	FORMATION	65	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3265.000000	3591.000000	HOD FM	FORMATION	66	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	1560.000000	2945.000000	HORDALAND GP	GROUP	67	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3012.000000	3056.000000	LISTA FM	FORMATION	95	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3773.000000	3814.000000	MANDAL FM	FORMATION	101	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3056.000000	3075.000000	MAUREEN FM	FORMATION	102	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	95.000000	1560.000000	NORDLAND GP	GROUP	113	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	2945.000000	3075.000000	ROGALAND GP	GROUP	131	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3620.000000	3658.000000	RØDBY FM	FORMATION	137	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	2959.000000	3012.000000	SELE FM	FORMATION	142	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3075.000000	3620.000000	SHETLAND GP	GROUP	143	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3132.000000	3265.000000	TOR FM	FORMATION	171	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3773.000000	5042.000000	TYNE GP	GROUP	177	1986-09-06	902	9999-12-31	2013-05-08
2/11-7	3658.000000	3773.000000	ÅSGARD FM	FORMATION	198	1986-09-06	902	9999-12-31	2013-05-08
29/3-1	4215.000000	4389.000000	AMUNDSEN FM	FORMATION	4	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	1726.000000	1771.000000	BALDER FM	FORMATION	6	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3435.000000	3440.000000	BLODØKS FM	FORMATION	13	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3523.000000	3912.000000	BRENT GP	GROUP	16	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	4147.000000	4215.000000	BURTON FM	FORMATION	20	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3462.000000	3466.000000	CROMER KNOLL GP	GROUP	23	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	4046.000000	4147.000000	COOK FM	FORMATION	24	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3912.000000	4046.000000	DRAKE FM	FORMATION	27	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3912.000000	4389.000000	DUNLIN GP	GROUP	29	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3852.000000	3862.000000	ETIVE FM	FORMATION	35	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	1580.000000	1598.000000	GRID FM	FORMATION	53	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3466.000000	3523.000000	HEATHER FM	FORMATION	60	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	1500.000000	1726.000000	HORDALAND GP	GROUP	67	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	2061.000000	2267.000000	JORSALFARE FM	FORMATION	74	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	2267.000000	3286.000000	KYRRE FM	FORMATION	92	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	1780.000000	2033.000000	LISTA FM	FORMATION	95	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3562.000000	3852.000000	NESS FM	FORMATION	110	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	1598.000000	1726.000000	NO FORMAL NAME	FORMATION	111	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	156.000000	1500.000000	NORDLAND GP	GROUP	113	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3862.000000	3912.000000	RANNOCH FM	FORMATION	126	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	1726.000000	2061.000000	ROGALAND GP	GROUP	131	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3462.000000	3466.000000	RØDBY FM	FORMATION	137	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	1771.000000	1780.000000	SELE FM	FORMATION	142	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	2061.000000	3462.000000	SHETLAND GP	GROUP	143	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	4389.000000	4427.000000	STATFJORD FM	FORMATION	157	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3440.000000	3462.000000	SVARTE FM	FORMATION	160	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3523.000000	3562.000000	TARBERT FM	FORMATION	162	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3286.000000	3435.000000	TRYGGVASON FM	FORMATION	173	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	530.000000	1500.000000	UTSIRA FM	FORMATION	183	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	3466.000000	3523.000000	VIKING GP	GROUP	188	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	2033.000000	2061.000000	VÅLE FM	FORMATION	190	1986-09-15	904	9999-12-31	2013-05-08
29/3-1	4389.000000	4427.000000	NO GROUP DEFINED	GROUP	208	1986-09-15	904	9999-12-31	2013-05-08
17/11-1	967.000000	990.000000	BALDER FM	FORMATION	6	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	2083.000000	2211.000000	BOKNFJORD GP	GROUP	15	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	1447.000000	2083.000000	CROMER KNOLL GP	GROUP	23	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	2195.000000	2211.000000	EGERSUND FM	FORMATION	30	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	1020.000000	1040.000000	EKOFISK FM	FORMATION	33	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	2083.000000	2101.000000	FLEKKEFJORD FM	FORMATION	43	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	1361.000000	1447.000000	HOD FM	FORMATION	66	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	600.000000	967.000000	HORDALAND GP	GROUP	67	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	1005.000000	1020.000000	LISTA FM	FORMATION	95	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	102.000000	600.000000	NORDLAND GP	GROUP	113	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	1447.000000	1510.000000	RAN SANDSTONE UNITS	FORMATION	125	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	967.000000	1020.000000	ROGALAND GP	GROUP	131	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	1510.000000	1587.000000	RØDBY FM	FORMATION	137	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	2101.000000	2180.000000	SAUDA FM	FORMATION	141	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	990.000000	1005.000000	SELE FM	FORMATION	142	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	1020.000000	1447.000000	SHETLAND GP	GROUP	143	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	2211.000000	2315.000000	SKAGERRAK FM	FORMATION	146	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	2315.000000	2517.000000	SMITH BANK FM	FORMATION	149	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	1587.000000	1665.000000	SOLA FM	FORMATION	152	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	2180.000000	2195.000000	TAU FM	FORMATION	164	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	1040.000000	1361.000000	TOR FM	FORMATION	171	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	1665.000000	1724.000000	TUXEN FM	FORMATION	175	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	2517.000000	3269.000000	ZECHSTEIN GP	GROUP	194	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	1724.000000	2083.000000	ÅSGARD FM	FORMATION	198	1968-06-30	906	9999-12-31	2013-05-08
17/11-1	2211.000000	2517.000000	NO GROUP DEFINED	GROUP	208	1968-06-30	906	9999-12-31	2013-05-08
7121/5-2	977.000000	2323.000000	ADVENTDALEN GP	GROUP	1	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	2503.000000	2543.000000	FRUHOLMEN FM	FORMATION	46	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	2305.000000	2323.000000	FUGLEN FM	FORMATION	47	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	2260.000000	2305.000000	HEKKINGEN FM	FORMATION	63	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	2323.000000	2543.000000	KAPP TOSCANA GP	GROUP	79	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	2079.000000	2260.000000	KNURR FM	FORMATION	82	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	1820.000000	2079.000000	KOLJE FM	FORMATION	84	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	977.000000	1820.000000	KOLMULE FM	FORMATION	85	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	934.000000	977.000000	KVITING FM	FORMATION	90	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	350.000000	449.000000	NORDLAND GP	GROUP	113	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	2400.000000	2450.000000	NORDMELA FM	FORMATION	118	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	934.000000	977.000000	NYGRUNNEN GP	GROUP	122	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	449.000000	934.000000	SOTBAKKEN GP	GROUP	154	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	2323.000000	2400.000000	STØ FM	FORMATION	159	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	449.000000	934.000000	TORSK FM	FORMATION	172	1986-07-06	907	9999-12-31	2013-05-08
7121/5-2	2450.000000	2503.000000	TUBÅEN FM	FORMATION	174	1986-07-06	907	9999-12-31	2013-05-08
6507/6-1	1013.000000	1307.000000	BÅT GP	GROUP	22	1986-08-23	910	9999-12-31	2013-05-08
6507/6-1	1307.000000	1425.000000	GREY BEDS (INFORMAL)	GROUP	52	1986-08-23	910	9999-12-31	2013-05-08
6507/6-1	445.000000	1013.000000	NAUST FM	FORMATION	109	1986-08-23	910	9999-12-31	2013-05-08
6507/6-1	1754.000000	2020.000000	NO FORMAL NAME	FORMATION	111	1986-08-23	910	9999-12-31	2013-05-08
6507/6-1	2020.000000	2768.000000	NO FORMAL NAME	FORMATION	111	1986-08-23	910	9999-12-31	2013-05-08
6507/6-1	2768.000000	3063.000000	NO FORMAL NAME	FORMATION	111	1986-08-23	910	9999-12-31	2013-05-08
6507/6-1	3063.000000	3429.000000	NO FORMAL NAME	FORMATION	111	1986-08-23	910	9999-12-31	2013-05-08
6507/6-1	3429.000000	4040.000000	NO FORMAL NAME	FORMATION	111	1986-08-23	910	9999-12-31	2013-05-08
6507/6-1	445.000000	1013.000000	NORDLAND GP	GROUP	113	1986-08-23	910	9999-12-31	2013-05-08
6507/6-1	1425.000000	4040.000000	RED BEDS (INFORMAL)	GROUP	129	1986-08-23	910	9999-12-31	2013-05-08
6507/6-1	1013.000000	1307.000000	ÅRE FM	FORMATION	197	1986-08-23	910	9999-12-31	2013-05-08
6507/2-1	1686.000000	1841.000000	BRYGGE FM	FORMATION	18	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	3929.000000	4477.000000	BÅT GP	GROUP	22	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	2874.000000	3610.000000	CROMER KNOLL GP	GROUP	23	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	3858.000000	3929.000000	FANGST GP	GROUP	38	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	3858.000000	3881.000000	GARN FM	FORMATION	48	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	1686.000000	1841.000000	HORDALAND GP	GROUP	67	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	3907.000000	3929.000000	ILE FM	FORMATION	70	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	1431.000000	1686.000000	KAI FM	FORMATION	77	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	2879.000000	3610.000000	LANGE FM	FORMATION	94	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	2874.000000	2879.000000	LYSING FM	FORMATION	99	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	3615.000000	3858.000000	MELKE FM	FORMATION	105	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	404.000000	1686.000000	NORDLAND GP	GROUP	113	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	3881.000000	3907.000000	NOT FM	FORMATION	120	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	1841.000000	2003.000000	ROGALAND GP	GROUP	131	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	2003.000000	2874.000000	SHETLAND GP	GROUP	143	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	3610.000000	3615.000000	SPEKK FM	FORMATION	155	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	1959.000000	2003.000000	TANG FM	FORMATION	161	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	1841.000000	1959.000000	TARE FM	FORMATION	163	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	3947.000000	4135.000000	TILJE FM	FORMATION	169	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	3610.000000	3858.000000	VIKING GP	GROUP	188	1986-09-29	911	9999-12-31	2013-05-08
6507/2-1	4135.000000	4477.000000	ÅRE FM	FORMATION	197	1986-09-29	911	9999-12-31	2013-05-08
6407/6-2 R	243.000000	524.000000	NAUST FM	FORMATION	109	1986-05-20	912	9999-12-31	2013-05-08
6407/6-2 R	243.000000	524.000000	NORDLAND GP	GROUP	113	1986-05-20	912	9999-12-31	2013-05-08
34/8-2	2937.000000	3001.000000	AMUNDSEN FM	FORMATION	4	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	1817.000000	1853.000000	BALDER FM	FORMATION	6	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	2934.000000	2937.000000	BURTON FM	FORMATION	20	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	2882.000000	2897.000000	CROMER KNOLL GP	GROUP	23	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	2923.000000	2934.000000	COOK FM	FORMATION	24	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	2913.000000	2923.000000	DRAKE FM	FORMATION	27	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	2897.000000	2913.000000	DRAUPNE FM	FORMATION	28	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	2913.000000	3001.000000	DUNLIN GP	GROUP	29	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	3051.000000	3240.000000	HEGRE GP	GROUP	61	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	1160.000000	1817.000000	HORDALAND GP	GROUP	67	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	1988.000000	2218.000000	JORSALFARE FM	FORMATION	74	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	2218.000000	2699.000000	KYRRE FM	FORMATION	92	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	1853.000000	1988.000000	LISTA FM	FORMATION	95	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	3051.000000	3240.000000	LUNDE FM	FORMATION	97	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	376.000000	1160.000000	NORDLAND GP	GROUP	113	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	1817.000000	1988.000000	ROGALAND GP	GROUP	131	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	1988.000000	2882.000000	SHETLAND GP	GROUP	143	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	3001.000000	3051.000000	STATFJORD FM	FORMATION	157	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	2699.000000	2882.000000	TRYGGVASON FM	FORMATION	173	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	983.000000	1160.000000	UTSIRA FM	FORMATION	183	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	2897.000000	2913.000000	VIKING GP	GROUP	188	1986-11-17	915	9999-12-31	2013-05-08
34/8-2	3001.000000	3051.000000	NO GROUP DEFINED	GROUP	208	1986-11-17	915	9999-12-31	2013-05-08
9/3-1	454.000000	468.000000	BALDER FM	FORMATION	6	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	1446.000000	1788.000000	BOKNFJORD GP	GROUP	15	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	1843.000000	1955.000000	BRYNE FM	FORMATION	19	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	852.000000	1446.000000	CROMER KNOLL GP	GROUP	23	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	1749.000000	1788.000000	EGERSUND FM	FORMATION	30	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	548.000000	580.000000	EKOFISK FM	FORMATION	33	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	1446.000000	1488.000000	FLEKKEFJORD FM	FORMATION	43	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	695.000000	852.000000	HOD FM	FORMATION	66	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	223.000000	454.000000	HORDALAND GP	GROUP	67	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	476.000000	519.000000	LISTA FM	FORMATION	95	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	124.000000	223.000000	NORDLAND GP	GROUP	113	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	454.000000	548.000000	ROGALAND GP	GROUP	131	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	852.000000	882.000000	RØDBY FM	FORMATION	137	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	1788.000000	1843.000000	SANDNES FM	FORMATION	139	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	1488.000000	1686.000000	SAUDA FM	FORMATION	141	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	468.000000	476.000000	SELE FM	FORMATION	142	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	548.000000	852.000000	SHETLAND GP	GROUP	143	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	1955.000000	1971.000000	SKAGERRAK FM	FORMATION	146	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	882.000000	963.000000	SOLA FM	FORMATION	152	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	1686.000000	1749.000000	TAU FM	FORMATION	164	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	580.000000	695.000000	TOR FM	FORMATION	171	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	1788.000000	1955.000000	VESTLAND GP	GROUP	186	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	519.000000	548.000000	VÅLE FM	FORMATION	190	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	963.000000	1446.000000	ÅSGARD FM	FORMATION	198	1986-09-04	921	9999-12-31	2013-05-08
9/3-1	1955.000000	1971.000000	NO GROUP DEFINED	GROUP	208	1986-09-04	921	9999-12-31	2013-05-08
6507/7-6	1852.000000	1935.000000	BRYGGE FM	FORMATION	18	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	2159.000000	2525.000000	BÅT GP	GROUP	22	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	2145.000000	2159.000000	FANGST GP	GROUP	38	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	1852.000000	1935.000000	HORDALAND GP	GROUP	67	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	1495.000000	1852.000000	KAI FM	FORMATION	77	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	375.000000	1495.000000	NAUST FM	FORMATION	109	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	375.000000	1852.000000	NORDLAND GP	GROUP	113	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	1935.000000	2016.000000	ROGALAND GP	GROUP	131	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	2016.000000	2145.000000	SHETLAND GP	GROUP	143	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	1967.000000	2016.000000	TANG FM	FORMATION	161	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	1935.000000	1967.000000	TARE FM	FORMATION	163	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	2190.000000	2369.000000	TILJE FM	FORMATION	169	1986-09-06	922	9999-12-31	2013-05-08
6507/7-6	2369.000000	2525.000000	ÅRE FM	FORMATION	197	1986-09-06	922	9999-12-31	2013-05-08
6607/12-1	1398.000000	1484.000000	BRYGGE FM	FORMATION	18	1986-10-01	925	9999-12-31	2013-05-08
6607/12-1	1398.000000	1484.000000	HORDALAND GP	GROUP	67	1986-10-01	925	9999-12-31	2013-05-08
6607/12-1	1299.000000	1398.000000	KAI FM	FORMATION	77	1986-10-01	925	9999-12-31	2013-05-08
6607/12-1	390.000000	1398.000000	NORDLAND GP	GROUP	113	1986-10-01	925	9999-12-31	2013-05-08
6607/12-1	1484.000000	1725.000000	ROGALAND GP	GROUP	131	1986-10-01	925	9999-12-31	2013-05-08
6607/12-1	1725.000000	3521.000000	SHETLAND GP	GROUP	143	1986-10-01	925	9999-12-31	2013-05-08
6607/12-1	1578.000000	1725.000000	TANG FM	FORMATION	161	1986-10-01	925	9999-12-31	2013-05-08
6607/12-1	1484.000000	1578.000000	TARE FM	FORMATION	163	1986-10-01	925	9999-12-31	2013-05-08
6407/6-2 R2	224.000000	524.000000	NAUST FM	FORMATION	109	1986-06-24	928	9999-12-31	2013-05-08
6407/6-2 R2	224.000000	524.000000	NORDLAND GP	GROUP	113	1986-06-24	928	9999-12-31	2013-05-08
6507/8-1	1885.000000	1970.000000	BRYGGE FM	FORMATION	18	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2324.000000	2600.000000	BÅT GP	GROUP	22	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2248.000000	2324.000000	FANGST GP	GROUP	38	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2248.000000	2294.000000	GARN FM	FORMATION	48	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	1885.000000	1970.000000	HORDALAND GP	GROUP	67	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2307.000000	2324.000000	ILE FM	FORMATION	70	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	1462.000000	1885.000000	KAI FM	FORMATION	77	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2233.000000	2248.000000	MELKE FM	FORMATION	105	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	371.000000	1885.000000	NORDLAND GP	GROUP	113	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2294.000000	2307.000000	NOT FM	FORMATION	120	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	1970.000000	2060.000000	ROGALAND GP	GROUP	131	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2324.000000	2387.000000	ROR FM	FORMATION	135	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2060.000000	2233.000000	SHETLAND GP	GROUP	143	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2020.000000	2060.000000	TANG FM	FORMATION	161	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	1970.000000	2020.000000	TARE FM	FORMATION	163	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2387.000000	2559.000000	TILJE FM	FORMATION	169	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2233.000000	2248.000000	VIKING GP	GROUP	188	1986-12-09	933	9999-12-31	2013-05-08
6507/8-1	2559.000000	2600.000000	ÅRE FM	FORMATION	197	1986-12-09	933	9999-12-31	2013-05-08
6407/2-3	2581.000000	3050.000000	BÅT GP	GROUP	22	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2320.000000	2393.000000	CROMER KNOLL GP	GROUP	23	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2427.000000	2581.000000	FANGST GP	GROUP	38	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2427.000000	2480.000000	GARN FM	FORMATION	48	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2509.000000	2581.000000	ILE FM	FORMATION	70	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	1311.000000	1966.000000	KAI FM	FORMATION	77	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2399.000000	2427.000000	MELKE FM	FORMATION	105	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	276.000000	1966.000000	NORDLAND GP	GROUP	113	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2480.000000	2509.000000	NOT FM	FORMATION	120	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	1966.000000	2072.000000	ROGALAND GP	GROUP	131	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2581.000000	2739.000000	ROR FM	FORMATION	135	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2072.000000	2320.000000	SHETLAND GP	GROUP	143	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2393.000000	2399.000000	SPEKK FM	FORMATION	155	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2025.000000	2072.000000	TANG FM	FORMATION	161	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	1966.000000	2025.000000	TARE FM	FORMATION	163	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2739.000000	2910.000000	TILJE FM	FORMATION	169	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2393.000000	2427.000000	VIKING GP	GROUP	188	1987-01-23	935	9999-12-31	2013-05-08
6407/2-3	2910.000000	3050.000000	ÅRE FM	FORMATION	197	1987-01-23	935	9999-12-31	2013-05-08
6608/11-1	1233.000000	1318.000000	BÅT GP	GROUP	22	1986-08-13	936	9999-12-31	2013-05-08
6608/11-1	1318.000000	1620.000000	GREY BEDS (INFORMAL)	GROUP	52	1986-08-13	936	9999-12-31	2013-05-08
6608/11-1	406.000000	1177.000000	NAUST FM	FORMATION	109	1986-08-13	936	9999-12-31	2013-05-08
6608/11-1	406.000000	1177.000000	NORDLAND GP	GROUP	113	1986-08-13	936	9999-12-31	2013-05-08
6608/11-1	1177.000000	1233.000000	ROGALAND GP	GROUP	131	1986-08-13	936	9999-12-31	2013-05-08
6608/11-1	1222.000000	1233.000000	TANG FM	FORMATION	161	1986-08-13	936	9999-12-31	2013-05-08
6608/11-1	1177.000000	1222.000000	TARE FM	FORMATION	163	1986-08-13	936	9999-12-31	2013-05-08
6608/11-1	1233.000000	1318.000000	ÅRE FM	FORMATION	197	1986-08-13	936	9999-12-31	2013-05-08
30/9-2 R	2014.000000	2084.000000	BALDER FM	FORMATION	6	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2578.000000	2767.000000	BRENT GP	GROUP	16	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2507.000000	2509.000000	CROMER KNOLL GP	GROUP	23	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2767.000000	2830.000000	DRAKE FM	FORMATION	27	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2767.000000	2830.000000	DUNLIN GP	GROUP	29	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2698.000000	2767.000000	ETIVE FM	FORMATION	35	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2303.000000	2420.000000	HARDRÅDE FM	FORMATION	56	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2509.000000	2578.000000	HEATHER FM	FORMATION	60	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	867.000000	2014.000000	HORDALAND GP	GROUP	67	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2420.000000	2505.000000	KYRRE FM	FORMATION	92	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2199.000000	2290.000000	LISTA FM	FORMATION	95	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2578.000000	2698.000000	NESS FM	FORMATION	110	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	1155.000000	1167.000000	NO FORMAL NAME	FORMATION	111	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	1180.000000	1233.000000	NO FORMAL NAME	FORMATION	111	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	1244.000000	1269.000000	NO FORMAL NAME	FORMATION	111	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	1359.000000	2014.000000	NO FORMAL NAME	FORMATION	111	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	129.000000	867.000000	NORDLAND GP	GROUP	113	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2014.000000	2303.000000	ROGALAND GP	GROUP	131	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2084.000000	2199.000000	SELE FM	FORMATION	142	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2303.000000	2507.000000	SHETLAND GP	GROUP	143	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	1114.000000	1155.000000	SKADE FM	FORMATION	145	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	1167.000000	1180.000000	SKADE FM	FORMATION	145	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	1233.000000	1244.000000	SKADE FM	FORMATION	145	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	1269.000000	1359.000000	SKADE FM	FORMATION	145	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2505.000000	2507.000000	TRYGGVASON FM	FORMATION	173	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	641.000000	867.000000	UTSIRA FM	FORMATION	183	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2509.000000	2578.000000	VIKING GP	GROUP	188	1986-07-07	937	9999-12-31	2013-05-08
30/9-2 R	2290.000000	2303.000000	VÅLE FM	FORMATION	190	1986-07-07	937	9999-12-31	2013-05-08
34/8-3	3155.000000	3278.000000	AMUNDSEN FM	FORMATION	4	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	1820.000000	1862.000000	BALDER FM	FORMATION	6	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2837.000000	2965.000000	BRENT GP	GROUP	16	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2964.000000	2965.000000	BROOM FM	FORMATION	17	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	3118.000000	3155.000000	BURTON FM	FORMATION	20	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2795.000000	2827.000000	CROMER KNOLL GP	GROUP	23	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	3007.000000	3118.000000	COOK FM	FORMATION	24	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2965.000000	3007.000000	DRAKE FM	FORMATION	27	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2827.000000	2837.000000	DRAUPNE FM	FORMATION	28	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2965.000000	3278.000000	DUNLIN GP	GROUP	29	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2867.000000	2897.000000	ETIVE FM	FORMATION	35	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	1175.000000	1820.000000	HORDALAND GP	GROUP	67	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2012.000000	2300.000000	JORSALFARE FM	FORMATION	74	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2300.000000	2795.000000	KYRRE FM	FORMATION	92	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	1862.000000	2012.000000	LISTA FM	FORMATION	95	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2837.000000	2867.000000	NESS FM	FORMATION	110	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	405.000000	1175.000000	NORDLAND GP	GROUP	113	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2897.000000	2964.000000	RANNOCH FM	FORMATION	126	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	1820.000000	2012.000000	ROGALAND GP	GROUP	131	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2012.000000	2795.000000	SHETLAND GP	GROUP	143	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	3278.000000	3328.000000	STATFJORD FM	FORMATION	157	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	1119.000000	1175.000000	UTSIRA FM	FORMATION	183	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	2827.000000	2837.000000	VIKING GP	GROUP	188	1988-09-14	940	9999-12-31	2013-05-08
34/8-3	3278.000000	3328.000000	NO GROUP DEFINED	GROUP	208	1988-09-14	940	9999-12-31	2013-05-08
34/4-7	1700.000000	1733.000000	BALDER FM	FORMATION	6	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	2492.000000	2502.000000	CROMER KNOLL GP	GROUP	23	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	2502.000000	2950.000000	HEGRE GP	GROUP	61	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	1193.000000	1700.000000	HORDALAND GP	GROUP	67	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	1824.000000	2076.000000	JORSALFARE FM	FORMATION	74	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	2076.000000	2492.000000	KYRRE FM	FORMATION	92	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	1733.000000	1824.000000	LISTA FM	FORMATION	95	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	2502.000000	2950.000000	LUNDE FM	FORMATION	97	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	2495.000000	2502.000000	MIME FM	FORMATION	106	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	1097.000000	1193.000000	NO FORMAL NAME	FORMATION	111	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	1456.000000	1470.000000	NO FORMAL NAME	FORMATION	111	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	1470.000000	1700.000000	NO FORMAL NAME	FORMATION	111	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	380.000000	1193.000000	NORDLAND GP	GROUP	113	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	1700.000000	1824.000000	ROGALAND GP	GROUP	131	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	2492.000000	2495.000000	RØDBY FM	FORMATION	137	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	1824.000000	2492.000000	SHETLAND GP	GROUP	143	1987-05-12	943	9999-12-31	2013-05-08
34/4-7	1062.000000	1097.000000	UTSIRA FM	FORMATION	183	1987-05-12	943	9999-12-31	2013-05-08
6406/3-3	1987.000000	2256.000000	BRYGGE FM	FORMATION	18	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	4131.000000	4416.000000	BÅT GP	GROUP	22	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	3188.000000	3800.000000	CROMER KNOLL GP	GROUP	23	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	3939.000000	4131.000000	FANGST GP	GROUP	38	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	3939.000000	4038.000000	GARN FM	FORMATION	48	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	1987.000000	2256.000000	HORDALAND GP	GROUP	67	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	4066.000000	4131.000000	ILE FM	FORMATION	70	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	1390.000000	1987.000000	KAI FM	FORMATION	77	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	3222.000000	3800.000000	LANGE FM	FORMATION	94	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	3188.000000	3222.000000	LYSING FM	FORMATION	99	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	3843.000000	3939.000000	MELKE FM	FORMATION	105	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	331.000000	1987.000000	NORDLAND GP	GROUP	113	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	4038.000000	4066.000000	NOT FM	FORMATION	120	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	2256.000000	2368.000000	ROGALAND GP	GROUP	131	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	4131.000000	4202.000000	ROR FM	FORMATION	135	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	2368.000000	3188.000000	SHETLAND GP	GROUP	143	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	3800.000000	3843.000000	SPEKK FM	FORMATION	155	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	2307.000000	2368.000000	TANG FM	FORMATION	161	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	2256.000000	2307.000000	TARE FM	FORMATION	163	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	4202.000000	4404.000000	TILJE FM	FORMATION	169	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	3800.000000	3939.000000	VIKING GP	GROUP	188	1986-10-26	949	9999-12-31	2013-05-08
6406/3-3	4404.000000	4416.000000	ÅRE FM	FORMATION	197	1986-10-26	949	9999-12-31	2013-05-08
25/1-9	2332.000000	2373.000000	BALDER FM	FORMATION	6	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2237.000000	2332.000000	INTRA BALDER FM SS	FORMATION	7	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2035.000000	2237.000000	FRIGG FM	FORMATION	45	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2452.000000	2480.000000	HEIMDAL FM	FORMATION	62	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2515.000000	2550.000000	HEIMDAL FM	FORMATION	62	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2603.000000	2655.000000	HEIMDAL FM	FORMATION	62	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2668.000000	2675.000000	HEIMDAL FM	FORMATION	62	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2697.000000	2757.000000	HEIMDAL FM	FORMATION	62	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2402.000000	2420.000000	HERMOD FM	FORMATION	64	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	990.000000	2237.000000	HORDALAND GP	GROUP	67	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2757.000000	2807.000000	JORSALFARE FM	FORMATION	74	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2420.000000	2452.000000	LISTA FM	FORMATION	95	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2480.000000	2515.000000	LISTA FM	FORMATION	95	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2550.000000	2603.000000	LISTA FM	FORMATION	95	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2655.000000	2668.000000	LISTA FM	FORMATION	95	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2675.000000	2697.000000	LISTA FM	FORMATION	95	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	135.000000	990.000000	NORDLAND GP	GROUP	113	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2237.000000	2757.000000	ROGALAND GP	GROUP	131	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2373.000000	2402.000000	SELE FM	FORMATION	142	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	2757.000000	2807.000000	SHETLAND GP	GROUP	143	1986-10-12	1001	9999-12-31	2013-05-08
25/1-9	135.000000	990.000000	UTSIRA FM	FORMATION	183	1986-10-12	1001	9999-12-31	2013-05-08
6506/12-1	1931.000000	2132.000000	BRYGGE FM	FORMATION	18	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	4107.000000	4924.000000	BÅT GP	GROUP	22	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	3175.000000	3836.000000	CROMER KNOLL GP	GROUP	23	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	3974.000000	4107.000000	FANGST GP	GROUP	38	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	3974.000000	4013.000000	GARN FM	FORMATION	48	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	1931.000000	2132.000000	HORDALAND GP	GROUP	67	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	4048.000000	4107.000000	ILE FM	FORMATION	70	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	1459.000000	1931.000000	KAI FM	FORMATION	77	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	2658.000000	3175.000000	KVITNOS FM	FORMATION	91	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	3190.000000	3813.000000	LANGE FM	FORMATION	94	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	3813.000000	3836.000000	LYR FM	FORMATION	98	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	3175.000000	3190.000000	LYSING FM	FORMATION	99	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	3852.000000	3974.000000	MELKE FM	FORMATION	105	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	2446.000000	2658.000000	NISE FM	FORMATION	112	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	277.000000	1931.000000	NORDLAND GP	GROUP	113	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	4013.000000	4048.000000	NOT FM	FORMATION	120	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	2132.000000	2279.000000	ROGALAND GP	GROUP	131	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	4107.000000	4164.000000	ROR FM	FORMATION	135	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	2279.000000	3175.000000	SHETLAND GP	GROUP	143	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	3836.000000	3852.000000	SPEKK FM	FORMATION	155	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	2279.000000	2446.000000	SPRINGAR FM	FORMATION	156	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	2227.000000	2279.000000	TANG FM	FORMATION	161	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	2132.000000	2227.000000	TARE FM	FORMATION	163	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	4229.000000	4437.000000	TILJE FM	FORMATION	169	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	4164.000000	4229.000000	TOFTE FM	FORMATION	170	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	3836.000000	3974.000000	VIKING GP	GROUP	188	1985-02-06	1004	9999-12-31	2013-05-08
6506/12-1	4437.000000	4924.000000	ÅRE FM	FORMATION	197	1985-02-06	1004	9999-12-31	2013-05-08
30/6-13 R	2036.000000	2091.000000	BALDER FM	FORMATION	6	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2571.000000	2671.000000	BRENT GP	GROUP	16	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2387.000000	2401.000000	CROMER KNOLL GP	GROUP	23	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2671.000000	2775.000000	DRAKE FM	FORMATION	27	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2401.000000	2424.000000	DRAUPNE FM	FORMATION	28	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2671.000000	2775.000000	DUNLIN GP	GROUP	29	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2628.000000	2671.000000	ETIVE FM	FORMATION	35	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2288.000000	2375.000000	HARDRÅDE FM	FORMATION	56	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2424.000000	2571.000000	HEATHER FM	FORMATION	60	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	904.000000	2036.000000	HORDALAND GP	GROUP	67	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2375.000000	2387.000000	KYRRE FM	FORMATION	92	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2164.000000	2260.000000	LISTA FM	FORMATION	95	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2571.000000	2628.000000	NESS FM	FORMATION	110	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	1080.000000	1410.000000	NO FORMAL NAME	FORMATION	111	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	1528.000000	2036.000000	NO FORMAL NAME	FORMATION	111	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	130.000000	904.000000	NORDLAND GP	GROUP	113	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2036.000000	2288.000000	ROGALAND GP	GROUP	131	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2387.000000	2394.000000	RØDBY FM	FORMATION	137	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2091.000000	2164.000000	SELE FM	FORMATION	142	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2288.000000	2387.000000	SHETLAND GP	GROUP	143	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	1032.000000	1080.000000	SKADE FM	FORMATION	145	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	1410.000000	1528.000000	SKADE FM	FORMATION	145	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	705.000000	904.000000	UTSIRA FM	FORMATION	183	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2401.000000	2571.000000	VIKING GP	GROUP	188	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2260.000000	2288.000000	VÅLE FM	FORMATION	190	1986-09-11	1005	9999-12-31	2013-05-08
30/6-13 R	2394.000000	2401.000000	ÅSGARD FM	FORMATION	198	1986-09-11	1005	9999-12-31	2013-05-08
2/12-1	2985.000000	2994.000000	BALDER FM	FORMATION	6	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3698.000000	3709.000000	BLODØKS FM	FORMATION	13	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3917.000000	3988.000000	CROMER KNOLL GP	GROUP	23	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3107.000000	3125.000000	EKOFISK FM	FORMATION	33	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3988.000000	4365.000000	FARSUND FM	FORMATION	39	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	4365.000000	4597.000000	HAUGESUND FM	FORMATION	57	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3709.000000	3917.000000	HIDRA FM	FORMATION	65	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3358.000000	3698.000000	HOD FM	FORMATION	66	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	1594.000000	2985.000000	HORDALAND GP	GROUP	67	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3045.000000	3084.000000	LISTA FM	FORMATION	95	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	93.000000	1594.000000	NORDLAND GP	GROUP	113	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	2985.000000	3107.000000	ROGALAND GP	GROUP	131	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	4684.000000	4795.000000	ROTLIEGEND GP	GROUP	136	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3917.000000	3955.000000	RØDBY FM	FORMATION	137	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	2994.000000	3045.000000	SELE FM	FORMATION	142	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3107.000000	3917.000000	SHETLAND GP	GROUP	143	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	4672.000000	4674.000000	SMITH BANK FM	FORMATION	149	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3125.000000	3358.000000	TOR FM	FORMATION	171	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3988.000000	4597.000000	TYNE GP	GROUP	177	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	4597.000000	4672.000000	ULA FM	FORMATION	179	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	4597.000000	4672.000000	VESTLAND GP	GROUP	186	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3084.000000	3107.000000	VÅLE FM	FORMATION	190	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	4674.000000	4684.000000	ZECHSTEIN GP	GROUP	194	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	3955.000000	3988.000000	ÅSGARD FM	FORMATION	198	1987-03-12	1014	9999-12-31	2013-05-08
2/12-1	4672.000000	4674.000000	NO GROUP DEFINED	GROUP	208	1987-03-12	1014	9999-12-31	2013-05-08
6407/7-2	2712.000000	2934.000000	BÅT GP	GROUP	22	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2467.000000	2637.000000	CROMER KNOLL GP	GROUP	23	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2668.000000	2712.000000	FANGST GP	GROUP	38	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2668.000000	2681.000000	GARN FM	FORMATION	48	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2934.000000	2980.000000	GREY BEDS (INFORMAL)	GROUP	52	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2697.000000	2712.000000	ILE FM	FORMATION	70	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	1078.000000	1723.000000	KAI FM	FORMATION	77	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2652.000000	2668.000000	MELKE FM	FORMATION	105	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	361.000000	1078.000000	NAUST FM	FORMATION	109	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	361.000000	1723.000000	NORDLAND GP	GROUP	113	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2681.000000	2697.000000	NOT FM	FORMATION	120	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2980.000000	3320.000000	RED BEDS (INFORMAL)	GROUP	129	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	1723.000000	1959.000000	ROGALAND GP	GROUP	131	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	1959.000000	2467.000000	SHETLAND GP	GROUP	143	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2637.000000	2652.000000	SPEKK FM	FORMATION	155	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	1786.000000	1959.000000	TANG FM	FORMATION	161	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	1723.000000	1786.000000	TARE FM	FORMATION	163	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2771.000000	2878.000000	TILJE FM	FORMATION	169	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2637.000000	2668.000000	VIKING GP	GROUP	188	1987-01-21	1017	9999-12-31	2013-05-08
6407/7-2	2878.000000	2934.000000	ÅRE FM	FORMATION	197	1987-01-21	1017	9999-12-31	2013-05-08
6407/6-3	1463.000000	1915.000000	BRYGGE FM	FORMATION	18	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2639.000000	3220.000000	BÅT GP	GROUP	22	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2414.000000	2445.000000	CROMER KNOLL GP	GROUP	23	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2461.000000	2639.000000	FANGST GP	GROUP	38	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2461.000000	2492.000000	GARN FM	FORMATION	48	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	1463.000000	1915.000000	HORDALAND GP	GROUP	67	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2548.000000	2639.000000	ILE FM	FORMATION	70	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	1227.000000	1463.000000	KAI FM	FORMATION	77	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2451.000000	2461.000000	MELKE FM	FORMATION	105	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	251.000000	1227.000000	NAUST FM	FORMATION	109	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	251.000000	1463.000000	NORDLAND GP	GROUP	113	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2492.000000	2548.000000	NOT FM	FORMATION	120	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	1915.000000	2069.000000	ROGALAND GP	GROUP	131	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2639.000000	2691.000000	ROR FM	FORMATION	135	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2698.000000	2727.000000	ROR FM	FORMATION	135	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2069.000000	2414.000000	SHETLAND GP	GROUP	143	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2445.000000	2451.000000	SPEKK FM	FORMATION	155	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	1978.000000	2069.000000	TANG FM	FORMATION	161	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	1915.000000	1978.000000	TARE FM	FORMATION	163	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2727.000000	2902.000000	TILJE FM	FORMATION	169	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2691.000000	2698.000000	TOFTE FM	FORMATION	170	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2445.000000	2461.000000	VIKING GP	GROUP	188	1987-02-16	1024	9999-12-31	2013-05-08
6407/6-3	2902.000000	3220.000000	ÅRE FM	FORMATION	197	1987-02-16	1024	9999-12-31	2013-05-08
25/1-8 SR	2232.000000	2237.000000	BALDER FM	FORMATION	6	1987-02-18	1030	9999-12-31	2013-05-08
25/1-8 SR	2250.000000	2329.000000	BALDER FM	FORMATION	6	1987-02-18	1030	9999-12-31	2013-05-08
25/1-8 SR	2237.000000	2250.000000	INTRA BALDER FM SS	FORMATION	7	1987-02-18	1030	9999-12-31	2013-05-08
25/1-8 SR	1930.000000	2232.000000	FRIGG FM	FORMATION	45	1987-02-18	1030	9999-12-31	2013-05-08
25/1-8 SR	2329.000000	2532.000000	HERMOD FM	FORMATION	64	1987-02-18	1030	9999-12-31	2013-05-08
25/1-8 SR	735.000000	2232.000000	HORDALAND GP	GROUP	67	1987-02-18	1030	9999-12-31	2013-05-08
25/1-8 SR	2532.000000	2650.000000	LISTA FM	FORMATION	95	1987-02-18	1030	9999-12-31	2013-05-08
25/1-8 SR	127.000000	735.000000	NORDLAND GP	GROUP	113	1987-02-18	1030	9999-12-31	2013-05-08
25/1-8 SR	2232.000000	2650.000000	ROGALAND GP	GROUP	131	1987-02-18	1030	9999-12-31	2013-05-08
25/1-7 R	2180.000000	2185.000000	BALDER FM	FORMATION	6	1987-02-14	1031	9999-12-31	2013-05-08
25/1-7 R	2215.000000	2290.000000	BALDER FM	FORMATION	6	1987-02-14	1031	9999-12-31	2013-05-08
25/1-7 R	2185.000000	2215.000000	INTRA BALDER FM SS	FORMATION	7	1987-02-14	1031	9999-12-31	2013-05-08
25/1-7 R	1919.000000	2180.000000	FRIGG FM	FORMATION	45	1987-02-14	1031	9999-12-31	2013-05-08
25/1-7 R	2290.000000	2439.000000	HERMOD FM	FORMATION	64	1987-02-14	1031	9999-12-31	2013-05-08
25/1-7 R	746.000000	2180.000000	HORDALAND GP	GROUP	67	1987-02-14	1031	9999-12-31	2013-05-08
25/1-7 R	2710.000000	2719.000000	JORSALFARE FM	FORMATION	74	1987-02-14	1031	9999-12-31	2013-05-08
25/1-7 R	2439.000000	2680.000000	LISTA FM	FORMATION	95	1987-02-14	1031	9999-12-31	2013-05-08
25/1-7 R	126.000000	746.000000	NORDLAND GP	GROUP	113	1987-02-14	1031	9999-12-31	2013-05-08
25/1-7 R	2180.000000	2710.000000	ROGALAND GP	GROUP	131	1987-02-14	1031	9999-12-31	2013-05-08
25/1-7 R	2710.000000	2719.000000	SHETLAND GP	GROUP	143	1987-02-14	1031	9999-12-31	2013-05-08
25/1-7 R	2680.000000	2710.000000	VÅLE FM	FORMATION	190	1987-02-14	1031	9999-12-31	2013-05-08
25/2-11	1950.000000	2075.000000	FRIGG FM	FORMATION	45	1987-05-10	1036	9999-12-31	2013-05-08
25/2-11	1025.000000	2075.000000	HORDALAND GP	GROUP	67	1987-05-10	1036	9999-12-31	2013-05-08
25/2-11	1262.000000	1353.000000	NO FORMAL NAME	FORMATION	111	1987-05-10	1036	9999-12-31	2013-05-08
25/2-11	1353.000000	1450.000000	NO FORMAL NAME	FORMATION	111	1987-05-10	1036	9999-12-31	2013-05-08
25/2-11	1450.000000	1950.000000	NO FORMAL NAME	FORMATION	111	1987-05-10	1036	9999-12-31	2013-05-08
25/2-11	143.000000	1025.000000	NORDLAND GP	GROUP	113	1987-05-10	1036	9999-12-31	2013-05-08
25/2-11	1046.000000	1262.000000	SKADE FM	FORMATION	145	1987-05-10	1036	9999-12-31	2013-05-08
25/2-11	273.000000	1025.000000	UTSIRA FM	FORMATION	183	1987-05-10	1036	9999-12-31	2013-05-08
9/2-1	710.000000	731.000000	BALDER FM	FORMATION	6	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	1445.000000	1482.000000	BLODØKS FM	FORMATION	13	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	2483.000000	3162.000000	BOKNFJORD GP	GROUP	15	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	3309.000000	3601.000000	BRYNE FM	FORMATION	19	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	1482.000000	2483.000000	CROMER KNOLL GP	GROUP	23	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	3097.000000	3162.000000	EGERSUND FM	FORMATION	30	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	765.000000	829.000000	EKOFISK FM	FORMATION	33	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	3601.000000	3685.000000	FJERRITSLEV FM	FORMATION	42	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	2483.000000	2550.000000	FLEKKEFJORD FM	FORMATION	43	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	1114.000000	1445.000000	HOD FM	FORMATION	66	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	515.000000	710.000000	HORDALAND GP	GROUP	67	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	740.000000	756.000000	LISTA FM	FORMATION	95	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	128.000000	515.000000	NORDLAND GP	GROUP	113	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	710.000000	765.000000	ROGALAND GP	GROUP	131	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	3162.000000	3309.000000	SANDNES FM	FORMATION	139	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	2550.000000	2993.000000	SAUDA FM	FORMATION	141	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	731.000000	740.000000	SELE FM	FORMATION	142	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	765.000000	1482.000000	SHETLAND GP	GROUP	143	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	3685.000000	3756.000000	SKAGERRAK FM	FORMATION	146	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	1482.000000	1601.000000	SOLA FM	FORMATION	152	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	2993.000000	3097.000000	TAU FM	FORMATION	164	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	829.000000	1114.000000	TOR FM	FORMATION	171	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	3162.000000	3601.000000	VESTLAND GP	GROUP	186	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	756.000000	765.000000	VÅLE FM	FORMATION	190	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	1601.000000	2483.000000	ÅSGARD FM	FORMATION	198	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	3601.000000	3685.000000	NO GROUP DEFINED	GROUP	208	1987-04-28	1038	9999-12-31	2013-05-08
9/2-1	3685.000000	3756.000000	NO GROUP DEFINED	GROUP	208	1987-04-28	1038	9999-12-31	2013-05-08
6508/5-1	1163.000000	1427.000000	BRYGGE FM	FORMATION	18	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1824.000000	2229.000000	BÅT GP	GROUP	22	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1527.000000	1580.000000	CROMER KNOLL GP	GROUP	23	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1710.000000	1824.000000	FANGST GP	GROUP	38	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1163.000000	1427.000000	HORDALAND GP	GROUP	67	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1778.000000	1824.000000	ILE FM	FORMATION	70	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1527.000000	1562.000000	LANGE FM	FORMATION	94	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1562.000000	1580.000000	LYR FM	FORMATION	98	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1650.000000	1710.000000	MELKE FM	FORMATION	105	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	433.000000	1163.000000	NORDLAND GP	GROUP	113	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1710.000000	1778.000000	NOT FM	FORMATION	120	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	2229.000000	2586.000000	RED BEDS (INFORMAL)	GROUP	129	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1427.000000	1527.000000	ROGALAND GP	GROUP	131	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1580.000000	1650.000000	SPEKK FM	FORMATION	155	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1476.000000	1527.000000	TANG FM	FORMATION	161	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1427.000000	1476.000000	TARE FM	FORMATION	163	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1824.000000	1981.000000	TILJE FM	FORMATION	169	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1580.000000	1710.000000	VIKING GP	GROUP	188	1987-05-24	1044	9999-12-31	2013-05-08
6508/5-1	1981.000000	2229.000000	ÅRE FM	FORMATION	197	1987-05-24	1044	9999-12-31	2013-05-08
26/4-1	2050.000000	2106.000000	BALDER FM	FORMATION	6	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2584.000000	2637.000000	CROMER KNOLL GP	GROUP	23	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2872.000000	3095.000000	DRAKE FM	FORMATION	27	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2637.000000	2725.000000	DRAUPNE FM	FORMATION	28	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2872.000000	3308.000000	DUNLIN GP	GROUP	29	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	1682.000000	1733.000000	GRID FM	FORMATION	53	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2350.000000	2584.000000	HARDRÅDE FM	FORMATION	56	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2725.000000	2753.000000	HEATHER FM	FORMATION	60	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	1094.000000	2050.000000	HORDALAND GP	GROUP	67	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2753.000000	2820.000000	HUGIN FM	FORMATION	69	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2142.000000	2246.000000	LISTA FM	FORMATION	95	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	1733.000000	2050.000000	NO FORMAL NAME	FORMATION	111	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	3095.000000	3308.000000	NO FORMAL NAME	FORMATION	111	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	144.000000	1094.000000	NORDLAND GP	GROUP	113	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2050.000000	2350.000000	ROGALAND GP	GROUP	131	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2584.000000	2623.000000	RØDBY FM	FORMATION	137	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2106.000000	2142.000000	SELE FM	FORMATION	142	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2350.000000	2584.000000	SHETLAND GP	GROUP	143	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2820.000000	2872.000000	SLEIPNER FM	FORMATION	148	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2623.000000	2637.000000	SOLA FM	FORMATION	152	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	3308.000000	3665.000000	STATFJORD FM	FORMATION	157	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2246.000000	2322.000000	TY FM	FORMATION	176	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	768.000000	1094.000000	UTSIRA FM	FORMATION	183	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2753.000000	2872.000000	VESTLAND GP	GROUP	186	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2637.000000	2753.000000	VIKING GP	GROUP	188	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	2322.000000	2350.000000	VÅLE FM	FORMATION	190	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	3308.000000	3665.000000	NO GROUP DEFINED	GROUP	208	1987-07-17	1046	9999-12-31	2013-05-08
26/4-1	3665.000000	3690.000000	NO GROUP DEFINED	GROUP	208	1987-07-17	1046	9999-12-31	2013-05-08
6407/10-1	1240.000000	1671.000000	BRYGGE FM	FORMATION	18	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	2868.000000	3319.000000	BÅT GP	GROUP	22	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	2390.000000	2573.000000	CROMER KNOLL GP	GROUP	23	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	2702.000000	2868.000000	FANGST GP	GROUP	38	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	3319.000000	3347.000000	GREY BEDS (INFORMAL)	GROUP	52	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	1240.000000	1671.000000	HORDALAND GP	GROUP	67	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	2803.000000	2868.000000	ILE FM	FORMATION	70	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	1041.000000	1240.000000	KAI FM	FORMATION	77	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	2390.000000	2573.000000	LANGE FM	FORMATION	94	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	366.000000	1041.000000	NAUST FM	FORMATION	109	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	366.000000	1240.000000	NORDLAND GP	GROUP	113	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	2702.000000	2803.000000	NOT FM	FORMATION	120	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	1671.000000	1913.000000	ROGALAND GP	GROUP	131	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	2579.000000	2702.000000	ROGN FM	FORMATION	134	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	2868.000000	2974.000000	ROR FM	FORMATION	135	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	1913.000000	2390.000000	SHETLAND GP	GROUP	143	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	2573.000000	2579.000000	SPEKK FM	FORMATION	155	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	1735.000000	1913.000000	TANG FM	FORMATION	161	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	1671.000000	1735.000000	TARE FM	FORMATION	163	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	2974.000000	3155.000000	TILJE FM	FORMATION	169	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	2573.000000	2702.000000	VIKING GP	GROUP	188	1987-06-19	1054	9999-12-31	2013-05-08
6407/10-1	3155.000000	3319.000000	ÅRE FM	FORMATION	197	1987-06-19	1054	9999-12-31	2013-05-08
6507/11-4	2866.000000	3045.000000	BÅT GP	GROUP	22	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2522.000000	2530.000000	CROMER KNOLL GP	GROUP	23	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2677.000000	2866.000000	FANGST GP	GROUP	38	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2677.000000	2732.000000	GARN FM	FORMATION	48	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2747.000000	2866.000000	ILE FM	FORMATION	70	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	1380.000000	2015.000000	KAI FM	FORMATION	77	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2535.000000	2677.000000	MELKE FM	FORMATION	105	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	314.000000	1380.000000	NAUST FM	FORMATION	109	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	314.000000	2015.000000	NORDLAND GP	GROUP	113	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2732.000000	2747.000000	NOT FM	FORMATION	120	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2015.000000	2135.000000	ROGALAND GP	GROUP	131	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2866.000000	2992.000000	ROR FM	FORMATION	135	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2135.000000	2522.000000	SHETLAND GP	GROUP	143	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2530.000000	2535.000000	SPEKK FM	FORMATION	155	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2066.000000	2135.000000	TANG FM	FORMATION	161	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2015.000000	2066.000000	TARE FM	FORMATION	163	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2992.000000	3045.000000	TILJE FM	FORMATION	169	1987-06-22	1055	9999-12-31	2013-05-08
6507/11-4	2530.000000	2677.000000	VIKING GP	GROUP	188	1987-06-22	1055	9999-12-31	2013-05-08
6507/7-7	360.000000	1035.000000	NAUST FM	FORMATION	109	1987-06-07	1056	9999-12-31	2013-05-08
6507/7-7	360.000000	1035.000000	NORDLAND GP	GROUP	113	1987-06-07	1056	9999-12-31	2013-05-08
6407/9-7	907.000000	1476.000000	BRYGGE FM	FORMATION	18	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1926.000000	2439.000000	BÅT GP	GROUP	22	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1666.000000	1692.000000	CROMER KNOLL GP	GROUP	23	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1714.000000	1926.000000	FANGST GP	GROUP	38	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1714.000000	1834.000000	GARN FM	FORMATION	48	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	2439.000000	2526.000000	GREY BEDS (INFORMAL)	GROUP	52	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	907.000000	1476.000000	HORDALAND GP	GROUP	67	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1864.000000	1926.000000	ILE FM	FORMATION	70	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1666.000000	1692.000000	LANGE FM	FORMATION	94	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	264.000000	907.000000	NAUST FM	FORMATION	109	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	264.000000	907.000000	NORDLAND GP	GROUP	113	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1834.000000	1864.000000	NOT FM	FORMATION	120	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	2526.000000	2561.000000	RED BEDS (INFORMAL)	GROUP	129	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1476.000000	1639.000000	ROGALAND GP	GROUP	131	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1926.000000	2043.000000	ROR FM	FORMATION	135	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1639.000000	1666.000000	SHETLAND GP	GROUP	143	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1692.000000	1714.000000	SPEKK FM	FORMATION	155	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1515.000000	1639.000000	TANG FM	FORMATION	161	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1476.000000	1515.000000	TARE FM	FORMATION	163	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	2043.000000	2139.000000	TILJE FM	FORMATION	169	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	1692.000000	1714.000000	VIKING GP	GROUP	188	1988-05-25	1057	9999-12-31	2013-05-08
6407/9-7	2139.000000	2439.000000	ÅRE FM	FORMATION	197	1988-05-25	1057	9999-12-31	2013-05-08
2/7-20	2936.000000	2951.000000	BALDER FM	FORMATION	6	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	3899.000000	3906.000000	BLODØKS FM	FORMATION	13	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	3965.000000	4060.000000	CROMER KNOLL GP	GROUP	23	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	3066.000000	3146.000000	EKOFISK FM	FORMATION	33	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	3906.000000	3965.000000	HIDRA FM	FORMATION	65	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	3439.000000	3899.000000	HOD FM	FORMATION	66	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	1602.000000	2936.000000	HORDALAND GP	GROUP	67	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	3001.000000	3054.000000	LISTA FM	FORMATION	95	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	4060.000000	4061.000000	MANDAL FM	FORMATION	101	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	96.000000	1602.000000	NORDLAND GP	GROUP	113	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	2936.000000	3066.000000	ROGALAND GP	GROUP	131	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	3965.000000	4060.000000	RØDBY FM	FORMATION	137	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	2951.000000	3001.000000	SELE FM	FORMATION	142	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	3066.000000	3965.000000	SHETLAND GP	GROUP	143	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	3146.000000	3439.000000	TOR FM	FORMATION	171	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	4060.000000	4061.000000	TYNE GP	GROUP	177	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	3054.000000	3066.000000	VÅLE FM	FORMATION	190	1988-06-25	1062	2012-10-16	2013-05-08
2/7-20	4061.000000	4509.000000	UNDEFINED GP	GROUP	191	1988-06-25	1062	2012-10-16	2013-05-08
6607/5-1	2968.000000	3817.000000	CROMER KNOLL GP	GROUP	23	1987-09-11	1064	9999-12-31	2013-05-08
6607/5-1	2022.000000	2450.000000	KAI FM	FORMATION	77	1987-09-11	1064	9999-12-31	2013-05-08
6607/5-1	3026.000000	3817.000000	LANGE FM	FORMATION	94	1987-09-11	1064	9999-12-31	2013-05-08
6607/5-1	2968.000000	3026.000000	LYSING FM	FORMATION	99	1987-09-11	1064	9999-12-31	2013-05-08
6607/5-1	395.000000	2022.000000	NAUST FM	FORMATION	109	1987-09-11	1064	9999-12-31	2013-05-08
6607/5-1	2512.000000	2968.000000	NISE FM	FORMATION	112	1987-09-11	1064	9999-12-31	2013-05-08
6607/5-1	395.000000	2450.000000	NORDLAND GP	GROUP	113	1987-09-11	1064	9999-12-31	2013-05-08
6607/5-1	2450.000000	2512.000000	ROGALAND GP	GROUP	131	1987-09-11	1064	9999-12-31	2013-05-08
6607/5-1	2512.000000	2968.000000	SHETLAND GP	GROUP	143	1987-09-11	1064	9999-12-31	2013-05-08
6607/5-1	2450.000000	2512.000000	TARE FM	FORMATION	163	1987-09-11	1064	9999-12-31	2013-05-08
7124/3-1	618.000000	1285.000000	ADVENTDALEN GP	GROUP	1	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	3952.000000	4271.000000	BJARMELAND GP	GROUP	12	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	1305.000000	1438.000000	FRUHOLMEN FM	FORMATION	46	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	4271.000000	4730.000000	GIPSDALEN GP	GROUP	51	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	2671.000000	3475.000000	HAVERT FM	FORMATION	58	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	1233.000000	1285.000000	HEKKINGEN FM	FORMATION	63	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	3952.000000	4000.000000	ISBJØRN FM	FORMATION	72	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	1285.000000	1893.000000	KAPP TOSCANA GP	GROUP	79	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	2334.000000	2671.000000	KLAPPMYSS FM	FORMATION	80	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	1893.000000	2334.000000	KOBBE FM	FORMATION	83	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	1220.000000	1233.000000	KOLJE FM	FORMATION	84	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	618.000000	1220.000000	KOLMULE FM	FORMATION	85	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	574.000000	618.000000	KVEITE FM	FORMATION	89	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	296.000000	406.000000	NORDLAND GP	GROUP	113	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	574.000000	618.000000	NYGRUNNEN GP	GROUP	122	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	4000.000000	4271.000000	POLARREV FM	FORMATION	124	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	3670.000000	3900.000000	RØYE FM	FORMATION	138	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	1893.000000	3475.000000	SASSENDALEN GP	GROUP	140	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	1438.000000	1893.000000	SNADD FM	FORMATION	150	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	406.000000	574.000000	SOTBAKKEN GP	GROUP	154	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	3475.000000	3952.000000	TEMPELFJORDEN GP	GROUP	167	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	1285.000000	1305.000000	TUBÅEN FM	FORMATION	174	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	3900.000000	3952.000000	ULV FM	FORMATION	181	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	4271.000000	4730.000000	ØRN FM	FORMATION	195	1987-10-20	1066	9999-12-31	2013-05-08
7124/3-1	3475.000000	3670.000000	ØRRET FM	FORMATION	196	1987-10-20	1066	9999-12-31	2013-05-08
6506/12-8	1968.000000	2235.000000	BRYGGE FM	FORMATION	18	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	4065.000000	4335.000000	BÅT GP	GROUP	22	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	3158.000000	3743.000000	CROMER KNOLL GP	GROUP	23	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	3875.000000	4065.000000	FANGST GP	GROUP	38	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	3875.000000	3956.000000	GARN FM	FORMATION	48	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	1968.000000	2235.000000	HORDALAND GP	GROUP	67	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	3993.000000	4065.000000	ILE FM	FORMATION	70	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	1342.000000	1968.000000	KAI FM	FORMATION	77	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	2702.000000	3158.000000	KVITNOS FM	FORMATION	91	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	3185.000000	3725.000000	LANGE FM	FORMATION	94	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	3725.000000	3743.000000	LYR FM	FORMATION	98	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	3158.000000	3185.000000	LYSING FM	FORMATION	99	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	3787.000000	3875.000000	MELKE FM	FORMATION	105	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	325.000000	1342.000000	NAUST FM	FORMATION	109	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	2545.000000	2702.000000	NISE FM	FORMATION	112	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	325.000000	1968.000000	NORDLAND GP	GROUP	113	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	3956.000000	3993.000000	NOT FM	FORMATION	120	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	2235.000000	2353.000000	ROGALAND GP	GROUP	131	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	4065.000000	4186.000000	ROR FM	FORMATION	135	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	2353.000000	3158.000000	SHETLAND GP	GROUP	143	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	3743.000000	3787.000000	SPEKK FM	FORMATION	155	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	2353.000000	2545.000000	SPRINGAR FM	FORMATION	156	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	2298.000000	2353.000000	TANG FM	FORMATION	161	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	2235.000000	2298.000000	TARE FM	FORMATION	163	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	4186.000000	4335.000000	TILJE FM	FORMATION	169	1988-08-30	1068	9999-12-31	2013-05-08
6506/12-8	3743.000000	3875.000000	VIKING GP	GROUP	188	1988-08-30	1068	9999-12-31	2013-05-08
7321/8-1	546.000000	1437.000000	ADVENTDALEN GP	GROUP	1	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	1467.000000	1626.000000	FRUHOLMEN FM	FORMATION	46	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	1427.000000	1437.000000	FUGLEN FM	FORMATION	47	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	1383.000000	1427.000000	HEKKINGEN FM	FORMATION	63	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	1437.000000	3362.000000	KAPP TOSCANA GP	GROUP	79	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	1352.000000	1383.000000	KNURR FM	FORMATION	82	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	852.000000	1352.000000	KOLJE FM	FORMATION	84	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	546.000000	852.000000	KOLMULE FM	FORMATION	85	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	491.000000	546.000000	NORDLAND GP	GROUP	113	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	1455.000000	1467.000000	NORDMELA FM	FORMATION	118	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	3398.000000	3482.000000	RØYE FM	FORMATION	138	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	3362.000000	3398.000000	SASSENDALEN GP	GROUP	140	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	1626.000000	3362.000000	SNADD FM	FORMATION	150	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	1437.000000	1455.000000	STØ FM	FORMATION	159	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	3398.000000	3482.000000	TEMPELFJORDEN GP	GROUP	167	1987-09-03	1070	9999-12-31	2013-05-08
7321/8-1	3362.000000	3398.000000	UNDIFFERENTIATED	FORMATION	182	1987-09-03	1070	9999-12-31	2013-05-08
6507/7-8	1877.000000	1997.000000	BRYGGE FM	FORMATION	18	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2497.000000	2855.000000	BÅT GP	GROUP	22	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2436.000000	2497.000000	FANGST GP	GROUP	38	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2436.000000	2468.000000	GARN FM	FORMATION	48	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	1877.000000	1997.000000	HORDALAND GP	GROUP	67	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2470.000000	2497.000000	ILE FM	FORMATION	70	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	1463.000000	1877.000000	KAI FM	FORMATION	77	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2384.000000	2436.000000	MELKE FM	FORMATION	105	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	357.000000	1463.000000	NAUST FM	FORMATION	109	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	357.000000	1877.000000	NORDLAND GP	GROUP	113	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2468.000000	2470.000000	NOT FM	FORMATION	120	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	1997.000000	2082.000000	ROGALAND GP	GROUP	131	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2497.000000	2558.000000	ROR FM	FORMATION	135	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2082.000000	2384.000000	SHETLAND GP	GROUP	143	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2023.000000	2082.000000	TANG FM	FORMATION	161	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	1997.000000	2023.000000	TARE FM	FORMATION	163	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2558.000000	2787.000000	TILJE FM	FORMATION	169	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2384.000000	2436.000000	VIKING GP	GROUP	188	1987-08-02	1071	9999-12-31	2013-05-08
6507/7-8	2787.000000	2855.000000	ÅRE FM	FORMATION	197	1987-08-02	1071	9999-12-31	2013-05-08
6507/8-2	1715.000000	1832.000000	BRYGGE FM	FORMATION	18	1987-09-09	1076	9999-12-31	2013-05-08
6507/8-2	1890.000000	2690.000000	BÅT GP	GROUP	22	1987-09-09	1076	9999-12-31	2013-05-08
6507/8-2	1715.000000	1832.000000	HORDALAND GP	GROUP	67	1987-09-09	1076	9999-12-31	2013-05-08
6507/8-2	1423.000000	1715.000000	KAI FM	FORMATION	77	1987-09-09	1076	9999-12-31	2013-05-08
6507/8-2	375.000000	1423.000000	NAUST FM	FORMATION	109	1987-09-09	1076	9999-12-31	2013-05-08
6507/8-2	375.000000	1715.000000	NORDLAND GP	GROUP	113	1987-09-09	1076	9999-12-31	2013-05-08
6507/8-2	1832.000000	1890.000000	ROGALAND GP	GROUP	131	1987-09-09	1076	9999-12-31	2013-05-08
6507/8-2	1890.000000	1945.000000	ROR FM	FORMATION	135	1987-09-09	1076	9999-12-31	2013-05-08
6507/8-2	1832.000000	1890.000000	TARE FM	FORMATION	163	1987-09-09	1076	9999-12-31	2013-05-08
6507/8-2	1945.000000	2123.000000	TILJE FM	FORMATION	169	1987-09-09	1076	9999-12-31	2013-05-08
6507/8-2	2123.000000	2690.000000	ÅRE FM	FORMATION	197	1987-09-09	1076	9999-12-31	2013-05-08
6507/7-9	370.000000	850.000000	NAUST FM	FORMATION	109	1987-08-08	1078	9999-12-31	2013-05-08
6507/7-9	370.000000	850.000000	NORDLAND GP	GROUP	113	1987-08-08	1078	9999-12-31	2013-05-08
25/5-1 A	2170.000000	2201.000000	BALDER FM	FORMATION	6	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	2215.000000	2241.000000	BALDER FM	FORMATION	6	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	2201.000000	2215.000000	INTRA BALDER FM SS	FORMATION	7	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	3142.000000	3150.000000	CROMER KNOLL GP	GROUP	23	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	3403.000000	3432.000000	DRAKE FM	FORMATION	27	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	3150.000000	3225.000000	DRAUPNE FM	FORMATION	28	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	3403.000000	3432.000000	DUNLIN GP	GROUP	29	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	1287.000000	1345.000000	GRID FM	FORMATION	53	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	2616.000000	2953.000000	HARDRÅDE FM	FORMATION	56	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	3225.000000	3312.000000	HEATHER FM	FORMATION	60	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	920.000000	2170.000000	HORDALAND GP	GROUP	67	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	3312.000000	3329.000000	HUGIN FM	FORMATION	69	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	2953.000000	3142.000000	KYRRE FM	FORMATION	92	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	2277.000000	2405.000000	LISTA FM	FORMATION	95	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	1102.000000	1287.000000	NO FORMAL NAME	FORMATION	111	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	1345.000000	2170.000000	NO FORMAL NAME	FORMATION	111	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	143.000000	920.000000	NORDLAND GP	GROUP	113	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	2170.000000	2616.000000	ROGALAND GP	GROUP	131	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	2241.000000	2277.000000	SELE FM	FORMATION	142	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	2616.000000	3142.000000	SHETLAND GP	GROUP	143	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	951.000000	1102.000000	SKADE FM	FORMATION	145	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	3329.000000	3403.000000	SLEIPNER FM	FORMATION	148	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	2405.000000	2590.000000	TY FM	FORMATION	176	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	612.000000	920.000000	UTSIRA FM	FORMATION	183	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	3312.000000	3403.000000	VESTLAND GP	GROUP	186	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	3150.000000	3312.000000	VIKING GP	GROUP	188	1987-09-16	1131	9999-12-31	2013-05-08
25/5-1 A	2590.000000	2616.000000	VÅLE FM	FORMATION	190	1987-09-16	1131	9999-12-31	2013-05-08
6201/11-1	1776.000000	1832.000000	BALDER FM	FORMATION	6	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	2678.000000	3850.000000	HEGRE GP	GROUP	61	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	1292.000000	1776.000000	HORDALAND GP	GROUP	67	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	2031.000000	2170.000000	JORSALFARE FM	FORMATION	74	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	2170.000000	2678.000000	KYRRE FM	FORMATION	92	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	1832.000000	2031.000000	LISTA FM	FORMATION	95	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	3532.000000	3628.000000	LOMVI FM	FORMATION	96	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	2678.000000	3532.000000	LUNDE FM	FORMATION	97	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	404.000000	1292.000000	NORDLAND GP	GROUP	113	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	1776.000000	2031.000000	ROGALAND GP	GROUP	131	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	2031.000000	2678.000000	SHETLAND GP	GROUP	143	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	3628.000000	3850.000000	TEIST FM (INFORMAL)	FORMATION	166	1987-11-06	1134	9999-12-31	2013-05-08
6201/11-1	1261.000000	1292.000000	UTSIRA FM	FORMATION	183	1987-11-06	1134	9999-12-31	2013-05-08
9/2-2	747.000000	770.000000	BALDER FM	FORMATION	6	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	1425.000000	1445.000000	BLODØKS FM	FORMATION	13	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	2381.000000	3123.000000	BOKNFJORD GP	GROUP	15	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	3230.000000	3475.000000	BRYNE FM	FORMATION	19	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	1445.000000	2381.000000	CROMER KNOLL GP	GROUP	23	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	3062.000000	3123.000000	EGERSUND FM	FORMATION	30	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	803.000000	873.000000	EKOFISK FM	FORMATION	33	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	3475.000000	3498.000000	FJERRITSLEV FM	FORMATION	42	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	2381.000000	2447.000000	FLEKKEFJORD FM	FORMATION	43	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	1161.000000	1425.000000	HOD FM	FORMATION	66	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	406.000000	747.000000	HORDALAND GP	GROUP	67	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	778.000000	795.000000	LISTA FM	FORMATION	95	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	121.000000	406.000000	NORDLAND GP	GROUP	113	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	747.000000	803.000000	ROGALAND GP	GROUP	131	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	3123.000000	3230.000000	SANDNES FM	FORMATION	139	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	2447.000000	2957.000000	SAUDA FM	FORMATION	141	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	770.000000	778.000000	SELE FM	FORMATION	142	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	803.000000	1445.000000	SHETLAND GP	GROUP	143	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	3498.000000	3577.000000	SKAGERRAK FM	FORMATION	146	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	1445.000000	1511.000000	SOLA FM	FORMATION	152	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	2957.000000	3062.000000	TAU FM	FORMATION	164	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	873.000000	1161.000000	TOR FM	FORMATION	171	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	3123.000000	3475.000000	VESTLAND GP	GROUP	186	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	795.000000	803.000000	VÅLE FM	FORMATION	190	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	1511.000000	2381.000000	ÅSGARD FM	FORMATION	198	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	3475.000000	3498.000000	NO GROUP DEFINED	GROUP	208	1987-09-21	1135	9999-12-31	2013-05-08
9/2-2	3498.000000	3577.000000	NO GROUP DEFINED	GROUP	208	1987-09-21	1135	9999-12-31	2013-05-08
6406/8-1	2330.000000	2597.000000	BRYGGE FM	FORMATION	18	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	4493.000000	4910.000000	BÅT GP	GROUP	22	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	3963.000000	4099.000000	CROMER KNOLL GP	GROUP	23	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	4266.000000	4493.000000	FANGST GP	GROUP	38	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	4266.000000	4313.000000	GARN FM	FORMATION	48	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	2330.000000	2597.000000	HORDALAND GP	GROUP	67	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	4366.000000	4493.000000	ILE FM	FORMATION	70	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	1746.000000	2330.000000	KAI FM	FORMATION	77	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	4099.000000	4266.000000	MELKE FM	FORMATION	105	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	375.000000	1746.000000	NAUST FM	FORMATION	109	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	375.000000	2330.000000	NORDLAND GP	GROUP	113	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	4313.000000	4366.000000	NOT FM	FORMATION	120	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	2597.000000	2752.000000	ROGALAND GP	GROUP	131	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	4493.000000	4667.000000	ROR FM	FORMATION	135	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	2752.000000	3963.000000	SHETLAND GP	GROUP	143	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	2705.000000	2752.000000	TANG FM	FORMATION	161	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	2597.000000	2705.000000	TARE FM	FORMATION	163	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	4667.000000	4895.000000	TILJE FM	FORMATION	169	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	4099.000000	4266.000000	VIKING GP	GROUP	188	1988-04-11	1136	9999-12-31	2013-05-08
6406/8-1	4895.000000	4910.000000	ÅRE FM	FORMATION	197	1988-04-11	1136	9999-12-31	2013-05-08
7219/9-1	1468.000000	1951.000000	ADVENTDALEN GP	GROUP	1	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	2305.000000	2877.000000	FRUHOLMEN FM	FORMATION	46	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	1919.000000	1951.000000	FUGLEN FM	FORMATION	47	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	1893.000000	1919.000000	HEKKINGEN FM	FORMATION	63	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	1951.000000	4300.000000	KAPP TOSCANA GP	GROUP	79	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	1836.000000	1893.000000	KNURR FM	FORMATION	82	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	1468.000000	1836.000000	KOLMULE FM	FORMATION	85	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	379.000000	483.000000	NORDLAND GP	GROUP	113	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	2062.000000	2206.000000	NORDMELA FM	FORMATION	118	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	2877.000000	4300.000000	SNADD FM	FORMATION	150	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	483.000000	1468.000000	SOTBAKKEN GP	GROUP	154	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	1951.000000	2062.000000	STØ FM	FORMATION	159	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	483.000000	1468.000000	TORSK FM	FORMATION	172	1988-02-25	1138	9999-12-31	2013-05-08
7219/9-1	2206.000000	2305.000000	TUBÅEN FM	FORMATION	174	1988-02-25	1138	9999-12-31	2013-05-08
7122/6-1	916.000000	2015.000000	ADVENTDALEN GP	GROUP	1	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	2063.000000	2191.000000	FRUHOLMEN FM	FORMATION	46	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	1931.000000	2015.000000	HEKKINGEN FM	FORMATION	63	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	2015.000000	2707.000000	KAPP TOSCANA GP	GROUP	79	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	1884.000000	1931.000000	KNURR FM	FORMATION	82	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	1649.000000	1884.000000	KOLJE FM	FORMATION	84	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	916.000000	1649.000000	KOLMULE FM	FORMATION	85	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	759.000000	916.000000	KVEITE FM	FORMATION	89	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	424.000000	547.000000	NORDLAND GP	GROUP	113	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	2038.000000	2052.000000	NORDMELA FM	FORMATION	118	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	759.000000	916.000000	NYGRUNNEN GP	GROUP	122	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	2191.000000	2707.000000	SNADD FM	FORMATION	150	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	547.000000	759.000000	SOTBAKKEN GP	GROUP	154	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	2015.000000	2038.000000	STØ FM	FORMATION	159	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	547.000000	759.000000	TORSK FM	FORMATION	172	1987-11-11	1140	9999-12-31	2013-05-08
7122/6-1	2052.000000	2063.000000	TUBÅEN FM	FORMATION	174	1987-11-11	1140	9999-12-31	2013-05-08
6406/3-4	1994.000000	2314.000000	BRYGGE FM	FORMATION	18	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	4224.000000	4414.000000	BÅT GP	GROUP	22	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	3278.000000	3908.000000	CROMER KNOLL GP	GROUP	23	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	4025.000000	4224.000000	FANGST GP	GROUP	38	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	4025.000000	4121.000000	GARN FM	FORMATION	48	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	1994.000000	2314.000000	HORDALAND GP	GROUP	67	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	4162.000000	4224.000000	ILE FM	FORMATION	70	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	1514.000000	1994.000000	KAI FM	FORMATION	77	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	2974.000000	3278.000000	KVITNOS FM	FORMATION	91	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	3278.000000	3884.000000	LANGE FM	FORMATION	94	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	3884.000000	3908.000000	LYR FM	FORMATION	98	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	3949.000000	4025.000000	MELKE FM	FORMATION	105	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	325.000000	1514.000000	NAUST FM	FORMATION	109	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	2655.000000	2974.000000	NISE FM	FORMATION	112	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	325.000000	1994.000000	NORDLAND GP	GROUP	113	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	4121.000000	4162.000000	NOT FM	FORMATION	120	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	2314.000000	2437.000000	ROGALAND GP	GROUP	131	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	4224.000000	4272.000000	ROR FM	FORMATION	135	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	4299.000000	4372.000000	ROR FM	FORMATION	135	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	2437.000000	3278.000000	SHETLAND GP	GROUP	143	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	3908.000000	3949.000000	SPEKK FM	FORMATION	155	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	2437.000000	2655.000000	SPRINGAR FM	FORMATION	156	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	2380.000000	2437.000000	TANG FM	FORMATION	161	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	2314.000000	2380.000000	TARE FM	FORMATION	163	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	4372.000000	4414.000000	TILJE FM	FORMATION	169	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	4272.000000	4299.000000	TOFTE FM	FORMATION	170	1987-12-29	1173	9999-12-31	2013-05-08
6406/3-4	3908.000000	4025.000000	VIKING GP	GROUP	188	1987-12-29	1173	9999-12-31	2013-05-08
6407/5-1	1277.000000	1988.000000	BRYGGE FM	FORMATION	18	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	2921.000000	3873.000000	CROMER KNOLL GP	GROUP	23	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	4205.000000	4306.000000	FANGST GP	GROUP	38	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	4205.000000	4306.000000	GARN FM	FORMATION	48	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	1277.000000	1988.000000	HORDALAND GP	GROUP	67	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	1206.000000	1277.000000	KAI FM	FORMATION	77	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	2921.000000	3605.000000	LANGE FM	FORMATION	94	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	3655.000000	3850.000000	LANGE FM	FORMATION	94	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	3850.000000	3873.000000	LYR FM	FORMATION	98	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	4120.000000	4205.000000	MELKE FM	FORMATION	105	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	244.000000	1206.000000	NAUST FM	FORMATION	109	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	3605.000000	3655.000000	NO FORMAL NAME	FORMATION	111	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	2345.000000	2921.000000	NISE FM	FORMATION	112	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	244.000000	1277.000000	NORDLAND GP	GROUP	113	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	1988.000000	2173.000000	ROGALAND GP	GROUP	131	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	2173.000000	2921.000000	SHETLAND GP	GROUP	143	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	3873.000000	4120.000000	SPEKK FM	FORMATION	155	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	2173.000000	2345.000000	SPRINGAR FM	FORMATION	156	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	2070.000000	2173.000000	TANG FM	FORMATION	161	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	1988.000000	2070.000000	TARE FM	FORMATION	163	1988-03-04	1174	9999-12-31	2013-05-08
6407/5-1	3873.000000	4205.000000	VIKING GP	GROUP	188	1988-03-04	1174	9999-12-31	2013-05-08
34/7-11	216.000000	861.000000	NORDLAND GP	GROUP	113	1987-10-11	1176	9999-12-31	2013-05-08
34/7-11	850.000000	861.000000	UTSIRA FM	FORMATION	183	1987-10-11	1176	9999-12-31	2013-05-08
7226/11-1	374.000000	1194.000000	ADVENTDALEN GP	GROUP	1	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	5137.000000	5200.000000	BASEMENT	GROUP	10	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	4103.000000	5137.000000	BJARMELAND GP	GROUP	12	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	1234.000000	1296.000000	FRUHOLMEN FM	FORMATION	46	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	2913.000000	3877.000000	HAVERT FM	FORMATION	58	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	1147.000000	1194.000000	HEKKINGEN FM	FORMATION	63	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	1194.000000	1878.000000	KAPP TOSCANA GP	GROUP	79	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	2303.000000	2913.000000	KLAPPMYSS FM	FORMATION	80	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	1141.000000	1147.000000	KNURR FM	FORMATION	82	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	1878.000000	2303.000000	KOBBE FM	FORMATION	83	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	374.000000	1141.000000	KOLMULE FM	FORMATION	85	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	261.000000	374.000000	NORDLAND GP	GROUP	113	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	4182.000000	4334.000000	POLARREV FM	FORMATION	124	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	3966.000000	4103.000000	RØYE FM	FORMATION	138	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	1878.000000	3877.000000	SASSENDALEN GP	GROUP	140	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	1296.000000	1878.000000	SNADD FM	FORMATION	150	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	1194.000000	1202.000000	STØ FM	FORMATION	159	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	3877.000000	4103.000000	TEMPELFJORDEN GP	GROUP	167	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	1202.000000	1234.000000	TUBÅEN FM	FORMATION	174	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	4103.000000	4182.000000	ULV FM	FORMATION	181	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	4334.000000	5137.000000	ØRN FM	FORMATION	195	1988-04-11	1177	9999-12-31	2013-05-08
7226/11-1	3877.000000	3966.000000	ØRRET FM	FORMATION	196	1988-04-11	1177	9999-12-31	2013-05-08
25/2-10 SR	2505.000000	2583.000000	BALDER FM	FORMATION	6	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	2651.000000	2665.000000	BALDER FM	FORMATION	6	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	2583.000000	2651.000000	INTRA BALDER FM SS	FORMATION	7	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	2665.000000	2699.000000	INTRA BALDER FM SS	FORMATION	7	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	2943.000000	2971.000000	EKOFISK FM	FORMATION	33	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	2234.000000	2505.000000	FRIGG FM	FORMATION	45	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	1736.000000	1744.000000	GRID FM	FORMATION	53	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	634.000000	2505.000000	HORDALAND GP	GROUP	67	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	2743.000000	2815.000000	LISTA FM	FORMATION	95	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	524.000000	634.000000	NO FORMAL NAME	FORMATION	111	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	1092.000000	1119.000000	NO FORMAL NAME	FORMATION	111	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	1119.000000	1152.000000	NO FORMAL NAME	FORMATION	111	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	1152.000000	1249.000000	NO FORMAL NAME	FORMATION	111	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	1249.000000	1268.000000	NO FORMAL NAME	FORMATION	111	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	1268.000000	1736.000000	NO FORMAL NAME	FORMATION	111	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	1744.000000	2234.000000	NO FORMAL NAME	FORMATION	111	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	145.000000	634.000000	NORDLAND GP	GROUP	113	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	2505.000000	2943.000000	ROGALAND GP	GROUP	131	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	2699.000000	2743.000000	SELE FM	FORMATION	142	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	2943.000000	2971.000000	SHETLAND GP	GROUP	143	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	634.000000	1092.000000	SKADE FM	FORMATION	145	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	2815.000000	2916.000000	TY FM	FORMATION	176	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	479.000000	524.000000	UTSIRA FM	FORMATION	183	1987-09-22	1178	9999-12-31	2013-05-08
25/2-10 SR	2916.000000	2943.000000	VÅLE FM	FORMATION	190	1987-09-22	1178	9999-12-31	2013-05-08
34/10-3 R	2333.000000	2492.000000	AMUNDSEN FM	FORMATION	4	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1575.000000	1634.000000	BALDER FM	FORMATION	6	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1889.000000	2089.000000	BRENT GP	GROUP	16	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2081.000000	2089.000000	BROOM FM	FORMATION	17	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2323.000000	2333.000000	BURTON FM	FORMATION	20	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1883.000000	1889.000000	CROMER KNOLL GP	GROUP	23	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2198.000000	2323.000000	COOK FM	FORMATION	24	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2089.000000	2198.000000	DRAKE FM	FORMATION	27	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2089.000000	2492.000000	DUNLIN GP	GROUP	29	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2558.000000	2674.000000	EIRIKSSON MBR	MEMBER	32	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1975.000000	1999.000000	ETIVE FM	FORMATION	35	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2712.000000	2799.000000	HEGRE GP	GROUP	61	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1115.000000	1575.000000	HORDALAND GP	GROUP	67	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1745.000000	1824.000000	JORSALFARE FM	FORMATION	74	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1824.000000	1883.000000	KYRRE FM	FORMATION	92	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1634.000000	1745.000000	LISTA FM	FORMATION	95	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2712.000000	2799.000000	LUNDE FM	FORMATION	97	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2492.000000	2558.000000	NANSEN MBR	MEMBER	108	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1889.000000	1975.000000	NESS FM	FORMATION	110	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1069.000000	1115.000000	NO FORMAL NAME	FORMATION	111	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1115.000000	1222.000000	NO FORMAL NAME	FORMATION	111	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1222.000000	1249.000000	NO FORMAL NAME	FORMATION	111	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1249.000000	1422.000000	NO FORMAL NAME	FORMATION	111	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1422.000000	1575.000000	NO FORMAL NAME	FORMATION	111	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	162.000000	1115.000000	NORDLAND GP	GROUP	113	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1999.000000	2081.000000	RANNOCH FM	FORMATION	126	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2674.000000	2712.000000	RAUDE MBR	MEMBER	127	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1575.000000	1745.000000	ROGALAND GP	GROUP	131	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	1745.000000	1883.000000	SHETLAND GP	GROUP	143	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2492.000000	2712.000000	STATFJORD FM	FORMATION	157	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	995.000000	1069.000000	UTSIRA FM	FORMATION	183	1987-10-10	1186	9999-12-31	2013-05-08
34/10-3 R	2492.000000	2712.000000	NO GROUP DEFINED	GROUP	208	1987-10-10	1186	9999-12-31	2013-05-08
34/7-12	2547.000000	2606.000000	AMUNDSEN FM	FORMATION	4	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	1644.000000	1692.000000	BALDER FM	FORMATION	6	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2169.000000	2341.000000	BRENT GP	GROUP	16	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2334.000000	2341.000000	BROOM FM	FORMATION	17	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2518.000000	2547.000000	BURTON FM	FORMATION	20	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2154.000000	2161.000000	CROMER KNOLL GP	GROUP	23	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2462.000000	2518.000000	COOK FM	FORMATION	24	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2341.000000	2462.000000	DRAKE FM	FORMATION	27	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2341.000000	2606.000000	DUNLIN GP	GROUP	29	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2252.000000	2269.000000	ETIVE FM	FORMATION	35	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2161.000000	2169.000000	HEATHER FM	FORMATION	60	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2763.000000	2784.000000	HEGRE GP	GROUP	61	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	1021.000000	1644.000000	HORDALAND GP	GROUP	67	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	1834.000000	1997.000000	JORSALFARE FM	FORMATION	74	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	1997.000000	2154.000000	KYRRE FM	FORMATION	92	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	1692.000000	1834.000000	LISTA FM	FORMATION	95	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2763.000000	2784.000000	LUNDE FM	FORMATION	97	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2160.000000	2161.000000	MIME FM	FORMATION	106	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2213.000000	2252.000000	NESS FM	FORMATION	110	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	1151.000000	1308.000000	NO FORMAL NAME	FORMATION	111	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	1308.000000	1365.000000	NO FORMAL NAME	FORMATION	111	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	1365.000000	1428.000000	NO FORMAL NAME	FORMATION	111	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	1428.000000	1644.000000	NO FORMAL NAME	FORMATION	111	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	216.000000	1021.000000	NORDLAND GP	GROUP	113	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2269.000000	2334.000000	RANNOCH FM	FORMATION	126	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	1644.000000	1834.000000	ROGALAND GP	GROUP	131	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2154.000000	2160.000000	RØDBY FM	FORMATION	137	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	1834.000000	2154.000000	SHETLAND GP	GROUP	143	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2606.000000	2763.000000	STATFJORD FM	FORMATION	157	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2169.000000	2213.000000	TARBERT FM	FORMATION	162	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2161.000000	2169.000000	VIKING GP	GROUP	188	1987-12-17	1187	9999-12-31	2013-05-08
34/7-12	2606.000000	2763.000000	NO GROUP DEFINED	GROUP	208	1987-12-17	1187	9999-12-31	2013-05-08
2/2-4	2666.000000	2684.000000	BALDER FM	FORMATION	6	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	3902.000000	3969.000000	BRYNE FM	FORMATION	19	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	3213.000000	3308.000000	CROMER KNOLL GP	GROUP	23	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	2826.000000	2847.000000	EKOFISK FM	FORMATION	33	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	3313.000000	3324.000000	FARSUND FM	FORMATION	39	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	3135.000000	3213.000000	HOD FM	FORMATION	66	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	1574.000000	2666.000000	HORDALAND GP	GROUP	67	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	2698.000000	2777.000000	LISTA FM	FORMATION	95	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	3308.000000	3313.000000	MANDAL FM	FORMATION	101	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	2777.000000	2826.000000	MAUREEN FM	FORMATION	102	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	2184.000000	2666.000000	NO FORMAL NAME	FORMATION	111	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	85.000000	1574.000000	NORDLAND GP	GROUP	113	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	2666.000000	2826.000000	ROGALAND GP	GROUP	131	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	2684.000000	2698.000000	SELE FM	FORMATION	142	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	2826.000000	3213.000000	SHETLAND GP	GROUP	143	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	3969.000000	4020.000000	SMITH BANK FM	FORMATION	149	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	2847.000000	3135.000000	TOR FM	FORMATION	171	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	3308.000000	3324.000000	TYNE GP	GROUP	177	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	3324.000000	3902.000000	ULA FM	FORMATION	179	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	2086.000000	2184.000000	VADE FM	FORMATION	184	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	3324.000000	3969.000000	VESTLAND GP	GROUP	186	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	3213.000000	3308.000000	ÅSGARD FM	FORMATION	198	1988-06-07	1188	9999-12-31	2013-05-08
2/2-4	3969.000000	4020.000000	NO GROUP DEFINED	GROUP	208	1988-06-07	1188	9999-12-31	2013-05-08
6506/11-1	1889.000000	2060.000000	BRYGGE FM	FORMATION	18	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	4363.000000	4679.000000	BÅT GP	GROUP	22	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	3159.000000	3844.000000	CROMER KNOLL GP	GROUP	23	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	4136.000000	4363.000000	FANGST GP	GROUP	38	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	4136.000000	4214.000000	GARN FM	FORMATION	48	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	1889.000000	2060.000000	HORDALAND GP	GROUP	67	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	4263.000000	4363.000000	ILE FM	FORMATION	70	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	1468.000000	1889.000000	KAI FM	FORMATION	77	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	2918.000000	3159.000000	KVITNOS FM	FORMATION	91	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	3211.000000	3813.000000	LANGE FM	FORMATION	94	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	3813.000000	3844.000000	LYR FM	FORMATION	98	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	3159.000000	3211.000000	LYSING FM	FORMATION	99	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	3862.000000	4136.000000	MELKE FM	FORMATION	105	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	275.000000	1468.000000	NAUST FM	FORMATION	109	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	2558.000000	2918.000000	NISE FM	FORMATION	112	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	275.000000	1889.000000	NORDLAND GP	GROUP	113	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	4214.000000	4263.000000	NOT FM	FORMATION	120	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	2060.000000	2192.000000	ROGALAND GP	GROUP	131	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	4363.000000	4387.000000	ROR FM	FORMATION	135	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	4445.000000	4485.000000	ROR FM	FORMATION	135	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	2192.000000	3159.000000	SHETLAND GP	GROUP	143	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	3844.000000	3862.000000	SPEKK FM	FORMATION	155	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	2192.000000	2558.000000	SPRINGAR FM	FORMATION	156	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	2147.000000	2192.000000	TANG FM	FORMATION	161	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	2060.000000	2147.000000	TARE FM	FORMATION	163	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	4485.000000	4662.000000	TILJE FM	FORMATION	169	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	4387.000000	4445.000000	TOFTE FM	FORMATION	170	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	3844.000000	4136.000000	VIKING GP	GROUP	188	1988-03-31	1216	9999-12-31	2013-05-08
6506/11-1	4662.000000	4679.000000	ÅRE FM	FORMATION	197	1988-03-31	1216	9999-12-31	2013-05-08
2/8-11	2437.000000	2449.000000	BALDER FM	FORMATION	6	1976-10-11	1224	9999-12-31	2013-05-08
2/8-11	2612.000000	2615.000000	BLODØKS FM	FORMATION	13	1976-10-11	1224	9999-12-31	2013-05-08
2/8-11	2624.000000	2655.000000	CROMER KNOLL GP	GROUP	23	1976-10-11	1224	9999-12-31	2013-05-08
2/8-11	2615.000000	2624.000000	HIDRA FM	FORMATION	65	1976-10-11	1224	9999-12-31	2013-05-08
2/8-11	2483.000000	2612.000000	HOD FM	FORMATION	66	1976-10-11	1224	9999-12-31	2013-05-08
2/8-11	2457.000000	2468.000000	LISTA FM	FORMATION	95	1976-10-11	1224	9999-12-31	2013-05-08
2/8-11	95.000000	2437.000000	NORDLAND GP	GROUP	113	1976-10-11	1224	9999-12-31	2013-05-08
2/8-11	2437.000000	2468.000000	ROGALAND GP	GROUP	131	1976-10-11	1224	9999-12-31	2013-05-08
2/8-11	2624.000000	2655.000000	RØDBY FM	FORMATION	137	1976-10-11	1224	9999-12-31	2013-05-08
2/8-11	2449.000000	2457.000000	SELE FM	FORMATION	142	1976-10-11	1224	9999-12-31	2013-05-08
2/8-11	2468.000000	2624.000000	SHETLAND GP	GROUP	143	1976-10-11	1224	9999-12-31	2013-05-08
2/8-11	2468.000000	2483.000000	TOR FM	FORMATION	171	1976-10-11	1224	9999-12-31	2013-05-08
6406/3-5	1897.000000	2253.000000	BRYGGE FM	FORMATION	18	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	4012.000000	4283.000000	BÅT GP	GROUP	22	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	3179.000000	3732.000000	CROMER KNOLL GP	GROUP	23	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	3817.000000	4012.000000	FANGST GP	GROUP	38	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	3817.000000	3907.000000	GARN FM	FORMATION	48	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	1897.000000	2253.000000	HORDALAND GP	GROUP	67	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	3949.000000	4012.000000	ILE FM	FORMATION	70	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	1488.000000	1897.000000	KAI FM	FORMATION	77	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	2780.000000	3179.000000	KVITNOS FM	FORMATION	91	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	3214.000000	3703.000000	LANGE FM	FORMATION	94	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	3703.000000	3732.000000	LYR FM	FORMATION	98	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	3179.000000	3214.000000	LYSING FM	FORMATION	99	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	3765.000000	3817.000000	MELKE FM	FORMATION	105	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	333.000000	1488.000000	NAUST FM	FORMATION	109	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	2525.000000	2780.000000	NISE FM	FORMATION	112	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	333.000000	1897.000000	NORDLAND GP	GROUP	113	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	3907.000000	3949.000000	NOT FM	FORMATION	120	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	2253.000000	2382.000000	ROGALAND GP	GROUP	131	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	4012.000000	4139.000000	ROR FM	FORMATION	135	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	2382.000000	3179.000000	SHETLAND GP	GROUP	143	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	3732.000000	3765.000000	SPEKK FM	FORMATION	155	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	2382.000000	2525.000000	SPRINGAR FM	FORMATION	156	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	2318.000000	2382.000000	TANG FM	FORMATION	161	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	2253.000000	2318.000000	TARE FM	FORMATION	163	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	4139.000000	4283.000000	TILJE FM	FORMATION	169	1988-06-01	1227	9999-12-31	2013-05-08
6406/3-5	3732.000000	3817.000000	VIKING GP	GROUP	188	1988-06-01	1227	9999-12-31	2013-05-08
6407/7-3	1152.000000	1762.000000	BRYGGE FM	FORMATION	18	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2867.000000	3128.000000	BÅT GP	GROUP	22	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2563.000000	2795.000000	CROMER KNOLL GP	GROUP	23	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2807.000000	2867.000000	FANGST GP	GROUP	38	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	3128.000000	3222.000000	GREY BEDS (INFORMAL)	GROUP	52	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	1152.000000	1762.000000	HORDALAND GP	GROUP	67	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2851.000000	2867.000000	ILE FM	FORMATION	70	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	1100.000000	1152.000000	KAI FM	FORMATION	77	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2232.000000	2563.000000	KVITNOS FM	FORMATION	91	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2563.000000	2795.000000	LANGE FM	FORMATION	94	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	355.000000	1100.000000	NAUST FM	FORMATION	109	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2027.000000	2232.000000	NISE FM	FORMATION	112	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	355.000000	1152.000000	NORDLAND GP	GROUP	113	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2807.000000	2851.000000	NOT FM	FORMATION	120	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	1762.000000	2000.000000	ROGALAND GP	GROUP	131	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2867.000000	2937.000000	ROR FM	FORMATION	135	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2000.000000	2563.000000	SHETLAND GP	GROUP	143	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2795.000000	2807.000000	SPEKK FM	FORMATION	155	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2000.000000	2027.000000	SPRINGAR FM	FORMATION	156	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	1825.000000	2000.000000	TANG FM	FORMATION	161	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	1762.000000	1825.000000	TARE FM	FORMATION	163	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2937.000000	3014.000000	TILJE FM	FORMATION	169	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	2795.000000	2807.000000	VIKING GP	GROUP	188	1988-05-18	1229	9999-12-31	2013-05-08
6407/7-3	3014.000000	3128.000000	ÅRE FM	FORMATION	197	1988-05-18	1229	9999-12-31	2013-05-08
34/7-13	2758.000000	2859.000000	AMUNDSEN FM	FORMATION	4	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	1670.000000	1724.000000	BALDER FM	FORMATION	6	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2493.000000	2600.000000	BRENT GP	GROUP	16	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2598.000000	2600.000000	BROOM FM	FORMATION	17	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2742.000000	2758.000000	BURTON FM	FORMATION	20	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2478.000000	2493.000000	CROMER KNOLL GP	GROUP	23	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2670.000000	2742.000000	COOK FM	FORMATION	24	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2600.000000	2670.000000	DRAKE FM	FORMATION	27	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2600.000000	2859.000000	DUNLIN GP	GROUP	29	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2493.000000	2523.000000	ETIVE FM	FORMATION	35	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2962.000000	2994.000000	HEGRE GP	GROUP	61	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	1085.000000	1670.000000	HORDALAND GP	GROUP	67	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	1852.000000	2097.000000	JORSALFARE FM	FORMATION	74	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2097.000000	2478.000000	KYRRE FM	FORMATION	92	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	1724.000000	1852.000000	LISTA FM	FORMATION	95	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2962.000000	2994.000000	LUNDE FM	FORMATION	97	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2485.000000	2493.000000	MIME FM	FORMATION	106	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	1267.000000	1323.000000	NO FORMAL NAME	FORMATION	111	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	1323.000000	1670.000000	NO FORMAL NAME	FORMATION	111	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	308.000000	1085.000000	NORDLAND GP	GROUP	113	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2523.000000	2598.000000	RANNOCH FM	FORMATION	126	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	1670.000000	1852.000000	ROGALAND GP	GROUP	131	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2478.000000	2485.000000	RØDBY FM	FORMATION	137	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	1852.000000	2478.000000	SHETLAND GP	GROUP	143	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2859.000000	2962.000000	STATFJORD FM	FORMATION	157	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	930.000000	1085.000000	UTSIRA FM	FORMATION	183	1988-04-13	1233	9999-12-31	2013-05-08
34/7-13	2859.000000	2962.000000	NO GROUP DEFINED	GROUP	208	1988-04-13	1233	9999-12-31	2013-05-08
7224/7-1	401.000000	894.000000	ADVENTDALEN GP	GROUP	1	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	931.000000	1028.000000	FRUHOLMEN FM	FORMATION	46	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	861.000000	894.000000	FUGLEN FM	FORMATION	47	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	2663.000000	3067.000000	HAVERT FM	FORMATION	58	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	792.000000	861.000000	HEKKINGEN FM	FORMATION	63	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	894.000000	1642.000000	KAPP TOSCANA GP	GROUP	79	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	2222.000000	2663.000000	KLAPPMYSS FM	FORMATION	80	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	762.000000	792.000000	KNURR FM	FORMATION	82	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	1642.000000	2222.000000	KOBBE FM	FORMATION	83	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	401.000000	762.000000	KOLMULE FM	FORMATION	85	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	293.000000	385.000000	NORDLAND GP	GROUP	113	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	919.000000	930.000000	NORDMELA FM	FORMATION	118	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	1642.000000	3067.000000	SASSENDALEN GP	GROUP	140	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	1028.000000	1642.000000	SNADD FM	FORMATION	150	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	385.000000	401.000000	SOTBAKKEN GP	GROUP	154	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	894.000000	919.000000	STØ FM	FORMATION	159	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	385.000000	401.000000	TORSK FM	FORMATION	172	1988-06-19	1245	9999-12-31	2013-05-08
7224/7-1	930.000000	931.000000	TUBÅEN FM	FORMATION	174	1988-06-19	1245	9999-12-31	2013-05-08
6408/4-1	774.000000	1313.000000	BRYGGE FM	FORMATION	18	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	2015.000000	2603.000000	BÅT GP	GROUP	22	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1636.000000	1702.000000	CROMER KNOLL GP	GROUP	23	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1825.000000	2015.000000	FANGST GP	GROUP	38	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1825.000000	1945.000000	GARN FM	FORMATION	48	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	2603.000000	2725.000000	GREY BEDS (INFORMAL)	GROUP	52	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	774.000000	1313.000000	HORDALAND GP	GROUP	67	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1968.000000	2015.000000	ILE FM	FORMATION	70	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1636.000000	1666.000000	LANGE FM	FORMATION	94	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1666.000000	1702.000000	LYR FM	FORMATION	98	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1797.000000	1825.000000	MELKE FM	FORMATION	105	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	236.000000	774.000000	NORDLAND GP	GROUP	113	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1945.000000	1968.000000	NOT FM	FORMATION	120	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1313.000000	1619.000000	ROGALAND GP	GROUP	131	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	2015.000000	2157.000000	ROR FM	FORMATION	135	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1619.000000	1636.000000	SHETLAND GP	GROUP	143	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1702.000000	1797.000000	SPEKK FM	FORMATION	155	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1619.000000	1636.000000	SPRINGAR FM	FORMATION	156	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1374.000000	1619.000000	TANG FM	FORMATION	161	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1313.000000	1374.000000	TARE FM	FORMATION	163	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	2157.000000	2323.000000	TILJE FM	FORMATION	169	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	1702.000000	1825.000000	VIKING GP	GROUP	188	1988-10-18	1246	9999-12-31	2013-05-08
6408/4-1	2323.000000	2603.000000	ÅRE FM	FORMATION	197	1988-10-18	1246	9999-12-31	2013-05-08
34/7-14	1653.000000	1705.000000	BALDER FM	FORMATION	6	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2189.000000	2413.000000	BRENT GP	GROUP	16	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2629.000000	2653.000000	BURTON FM	FORMATION	20	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2173.000000	2182.000000	CROMER KNOLL GP	GROUP	23	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2543.000000	2629.000000	COOK FM	FORMATION	24	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2413.000000	2543.000000	DRAKE FM	FORMATION	27	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2413.000000	2653.000000	DUNLIN GP	GROUP	29	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2305.000000	2343.000000	ETIVE FM	FORMATION	35	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	1007.000000	1653.000000	HORDALAND GP	GROUP	67	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	1836.000000	2007.000000	JORSALFARE FM	FORMATION	74	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2007.000000	2173.000000	KYRRE FM	FORMATION	92	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	1705.000000	1836.000000	LISTA FM	FORMATION	95	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2178.000000	2182.000000	MIME FM	FORMATION	106	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2227.000000	2305.000000	NESS FM	FORMATION	110	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	1267.000000	1314.000000	NO FORMAL NAME	FORMATION	111	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	1314.000000	1350.000000	NO FORMAL NAME	FORMATION	111	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	1350.000000	1412.000000	NO FORMAL NAME	FORMATION	111	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	1412.000000	1456.000000	NO FORMAL NAME	FORMATION	111	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	1456.000000	1653.000000	NO FORMAL NAME	FORMATION	111	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	173.000000	1007.000000	NORDLAND GP	GROUP	113	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2343.000000	2413.000000	RANNOCH FM	FORMATION	126	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	1653.000000	1836.000000	ROGALAND GP	GROUP	131	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2173.000000	2178.000000	RØDBY FM	FORMATION	137	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	1836.000000	2173.000000	SHETLAND GP	GROUP	143	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2189.000000	2227.000000	TARBERT FM	FORMATION	162	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	856.000000	1007.000000	UTSIRA FM	FORMATION	183	1989-12-02	1278	9999-12-31	2013-05-08
34/7-14	2182.000000	2189.000000	VIKING GP	GROUP	188	1989-12-02	1278	9999-12-31	2013-05-08
25/1-7 R2	2177.000000	2182.000000	BALDER FM	FORMATION	6	1988-05-10	1279	9999-12-31	2013-05-08
25/1-7 R2	2212.000000	2287.000000	BALDER FM	FORMATION	6	1988-05-10	1279	9999-12-31	2013-05-08
25/1-7 R2	2182.000000	2212.000000	INTRA BALDER FM SS	FORMATION	7	1988-05-10	1279	9999-12-31	2013-05-08
25/1-7 R2	1916.000000	2177.000000	FRIGG FM	FORMATION	45	1988-05-10	1279	9999-12-31	2013-05-08
25/1-7 R2	2287.000000	2436.000000	HERMOD FM	FORMATION	64	1988-05-10	1279	9999-12-31	2013-05-08
25/1-7 R2	743.000000	2177.000000	HORDALAND GP	GROUP	67	1988-05-10	1279	9999-12-31	2013-05-08
25/1-7 R2	2707.000000	2716.000000	JORSALFARE FM	FORMATION	74	1988-05-10	1279	9999-12-31	2013-05-08
25/1-7 R2	2436.000000	2677.000000	LISTA FM	FORMATION	95	1988-05-10	1279	9999-12-31	2013-05-08
25/1-7 R2	123.000000	743.000000	NORDLAND GP	GROUP	113	1988-05-10	1279	9999-12-31	2013-05-08
25/1-7 R2	2177.000000	2707.000000	ROGALAND GP	GROUP	131	1988-05-10	1279	9999-12-31	2013-05-08
25/1-7 R2	2707.000000	2716.000000	SHETLAND GP	GROUP	143	1988-05-10	1279	9999-12-31	2013-05-08
25/1-7 R2	2677.000000	2707.000000	VÅLE FM	FORMATION	190	1988-05-10	1279	9999-12-31	2013-05-08
7321/7-1	526.000000	1999.000000	ADVENTDALEN GP	GROUP	1	1988-10-22	1284	9999-12-31	2013-05-08
7321/7-1	2039.000000	2207.000000	FRUHOLMEN FM	FORMATION	46	1988-10-22	1284	9999-12-31	2013-05-08
7321/7-1	1965.000000	1999.000000	FUGLEN FM	FORMATION	47	1988-10-22	1284	9999-12-31	2013-05-08
7321/7-1	1918.000000	1965.000000	HEKKINGEN FM	FORMATION	63	1988-10-22	1284	9999-12-31	2013-05-08
7321/7-1	1999.000000	3550.000000	KAPP TOSCANA GP	GROUP	79	1988-10-22	1284	9999-12-31	2013-05-08
7321/7-1	1892.000000	1918.000000	KNURR FM	FORMATION	82	1988-10-22	1284	9999-12-31	2013-05-08
7321/7-1	1145.000000	1892.000000	KOLJE FM	FORMATION	84	1988-10-22	1284	9999-12-31	2013-05-08
7321/7-1	526.000000	1145.000000	KOLMULE FM	FORMATION	85	1988-10-22	1284	9999-12-31	2013-05-08
7321/7-1	499.000000	526.000000	NORDLAND GP	GROUP	113	1988-10-22	1284	9999-12-31	2013-05-08
7321/7-1	2022.000000	2039.000000	NORDMELA FM	FORMATION	118	1988-10-22	1284	9999-12-31	2013-05-08
7321/7-1	2207.000000	3550.000000	SNADD FM	FORMATION	150	1988-10-22	1284	9999-12-31	2013-05-08
7321/7-1	1999.000000	2022.000000	STØ FM	FORMATION	159	1988-10-22	1284	9999-12-31	2013-05-08
25/1-8 SR2	2229.000000	2234.000000	BALDER FM	FORMATION	6	1988-05-15	1286	9999-12-31	2013-05-08
25/1-8 SR2	2247.000000	2326.000000	BALDER FM	FORMATION	6	1988-05-15	1286	9999-12-31	2013-05-08
25/1-8 SR2	2234.000000	2247.000000	INTRA BALDER FM SS	FORMATION	7	1988-05-15	1286	9999-12-31	2013-05-08
25/1-8 SR2	1927.000000	2229.000000	FRIGG FM	FORMATION	45	1988-05-15	1286	9999-12-31	2013-05-08
25/1-8 SR2	2326.000000	2529.000000	HERMOD FM	FORMATION	64	1988-05-15	1286	9999-12-31	2013-05-08
25/1-8 SR2	731.000000	2229.000000	HORDALAND GP	GROUP	67	1988-05-15	1286	9999-12-31	2013-05-08
25/1-8 SR2	2529.000000	2647.000000	LISTA FM	FORMATION	95	1988-05-15	1286	9999-12-31	2013-05-08
25/1-8 SR2	124.000000	731.000000	NORDLAND GP	GROUP	113	1988-05-15	1286	9999-12-31	2013-05-08
25/1-8 SR2	2229.000000	2647.000000	ROGALAND GP	GROUP	131	1988-05-15	1286	9999-12-31	2013-05-08
35/8-3	1468.000000	1530.000000	BALDER FM	FORMATION	6	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3122.000000	3127.000000	BLODØKS FM	FORMATION	13	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3810.000000	3944.000000	BRENT GP	GROUP	16	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3140.000000	3318.000000	CROMER KNOLL GP	GROUP	23	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3318.000000	3395.000000	DRAUPNE FM	FORMATION	28	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3880.000000	3896.000000	ETIVE FM	FORMATION	35	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3465.000000	3547.000000	INTRA HEATHER FM SS	FORMATION	59	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3395.000000	3465.000000	HEATHER FM	FORMATION	60	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3547.000000	3810.000000	HEATHER FM	FORMATION	60	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	730.000000	1468.000000	HORDALAND GP	GROUP	67	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	1792.000000	1960.000000	JORSALFARE FM	FORMATION	74	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	1960.000000	3122.000000	KYRRE FM	FORMATION	92	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	1530.000000	1663.000000	LISTA FM	FORMATION	95	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	1720.000000	1774.000000	LISTA FM	FORMATION	95	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3820.000000	3880.000000	NESS FM	FORMATION	110	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	1663.000000	1720.000000	NO FORMAL NAME	FORMATION	111	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	1787.000000	1792.000000	NO FORMAL NAME	FORMATION	111	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	396.000000	730.000000	NORDLAND GP	GROUP	113	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3896.000000	3944.000000	RANNOCH FM	FORMATION	126	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	1468.000000	1792.000000	ROGALAND GP	GROUP	131	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3140.000000	3216.000000	RØDBY FM	FORMATION	137	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	1792.000000	3140.000000	SHETLAND GP	GROUP	143	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3127.000000	3140.000000	SVARTE FM	FORMATION	160	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3810.000000	3820.000000	TARBERT FM	FORMATION	162	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3318.000000	3810.000000	VIKING GP	GROUP	188	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	1774.000000	1787.000000	VÅLE FM	FORMATION	190	1988-10-15	1288	9999-12-31	2013-05-08
35/8-3	3216.000000	3318.000000	ÅSGARD FM	FORMATION	198	1988-10-15	1288	9999-12-31	2013-05-08
25/2-12	3876.000000	3990.000000	AMUNDSEN FM	FORMATION	4	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2169.000000	2182.000000	BALDER FM	FORMATION	6	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2182.000000	2286.000000	INTRA BALDER FM SS	FORMATION	7	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3550.000000	3572.000000	BLODØKS FM	FORMATION	13	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3606.000000	3614.000000	CROMER KNOLL GP	GROUP	23	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3800.000000	3876.000000	COOK FM	FORMATION	24	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3614.000000	3634.000000	DRAUPNE FM	FORMATION	28	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3800.000000	3990.000000	DUNLIN GP	GROUP	29	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2042.000000	2169.000000	FRIGG FM	FORMATION	45	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	1210.000000	1255.000000	GRID FM	FORMATION	53	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	1427.000000	1440.000000	GRID FM	FORMATION	53	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2622.000000	2850.000000	HARDRÅDE FM	FORMATION	56	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3634.000000	3686.000000	HEATHER FM	FORMATION	60	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2300.000000	2350.000000	HERMOD FM	FORMATION	64	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	1020.000000	2169.000000	HORDALAND GP	GROUP	67	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3686.000000	3713.000000	HUGIN FM	FORMATION	69	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2850.000000	3333.000000	KYRRE FM	FORMATION	92	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2419.000000	2492.000000	LISTA FM	FORMATION	95	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	1110.000000	1210.000000	NO FORMAL NAME	FORMATION	111	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	1255.000000	1427.000000	NO FORMAL NAME	FORMATION	111	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	1440.000000	2042.000000	NO FORMAL NAME	FORMATION	111	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	137.000000	1020.000000	NORDLAND GP	GROUP	113	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2169.000000	2622.000000	ROGALAND GP	GROUP	131	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3606.000000	3614.000000	RØDBY FM	FORMATION	137	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2286.000000	2300.000000	SELE FM	FORMATION	142	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2350.000000	2419.000000	SELE FM	FORMATION	142	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2622.000000	3606.000000	SHETLAND GP	GROUP	143	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	1073.000000	1110.000000	SKADE FM	FORMATION	145	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3713.000000	3800.000000	SLEIPNER FM	FORMATION	148	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3990.000000	4102.000000	STATFJORD FM	FORMATION	157	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3572.000000	3606.000000	SVARTE FM	FORMATION	160	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3333.000000	3550.000000	TRYGGVASON FM	FORMATION	173	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2580.000000	2622.000000	TY FM	FORMATION	176	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	890.000000	1020.000000	UTSIRA FM	FORMATION	183	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3686.000000	3800.000000	VESTLAND GP	GROUP	186	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3614.000000	3686.000000	VIKING GP	GROUP	188	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	2492.000000	2580.000000	VÅLE FM	FORMATION	190	1988-11-12	1290	9999-12-31	2013-05-08
25/2-12	3990.000000	4102.000000	NO GROUP DEFINED	GROUP	208	1988-11-12	1290	9999-12-31	2013-05-08
9/2-3	938.000000	963.000000	BALDER FM	FORMATION	6	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	1867.000000	1911.000000	BLODØKS FM	FORMATION	13	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	2625.000000	3252.000000	BOKNFJORD GP	GROUP	15	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	3373.000000	3424.000000	BRYNE FM	FORMATION	19	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	1911.000000	2625.000000	CROMER KNOLL GP	GROUP	23	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	3188.000000	3252.000000	EGERSUND FM	FORMATION	30	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	1031.000000	1139.000000	EKOFISK FM	FORMATION	33	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	2625.000000	2799.000000	FLEKKEFJORD FM	FORMATION	43	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	1423.000000	1867.000000	HOD FM	FORMATION	66	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	410.000000	938.000000	HORDALAND GP	GROUP	67	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	986.000000	1025.000000	LISTA FM	FORMATION	95	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	104.000000	410.000000	NORDLAND GP	GROUP	113	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	938.000000	1031.000000	ROGALAND GP	GROUP	131	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	1911.000000	1932.000000	RØDBY FM	FORMATION	137	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	3252.000000	3373.000000	SANDNES FM	FORMATION	139	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	2799.000000	3098.000000	SAUDA FM	FORMATION	141	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	963.000000	986.000000	SELE FM	FORMATION	142	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	1031.000000	1911.000000	SHETLAND GP	GROUP	143	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	1932.000000	2027.000000	SOLA FM	FORMATION	152	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	3098.000000	3188.000000	TAU FM	FORMATION	164	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	1139.000000	1423.000000	TOR FM	FORMATION	171	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	3252.000000	3424.000000	VESTLAND GP	GROUP	186	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	1025.000000	1031.000000	VÅLE FM	FORMATION	190	1990-02-08	1294	9999-12-31	2013-05-08
9/2-3	2027.000000	2625.000000	ÅSGARD FM	FORMATION	198	1990-02-08	1294	9999-12-31	2013-05-08
34/10-33	3676.000000	3799.000000	AMUNDSEN FM	FORMATION	4	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	1827.000000	1907.000000	BALDER FM	FORMATION	6	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3186.000000	3424.000000	BRENT GP	GROUP	16	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3629.000000	3676.000000	BURTON FM	FORMATION	20	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3014.000000	3028.000000	CROMER KNOLL GP	GROUP	23	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3514.000000	3629.000000	COOK FM	FORMATION	24	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3424.000000	3514.000000	DRAKE FM	FORMATION	27	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3028.000000	3057.000000	DRAUPNE FM	FORMATION	28	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3424.000000	3799.000000	DUNLIN GP	GROUP	29	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3365.000000	3374.000000	ETIVE FM	FORMATION	35	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3057.000000	3186.000000	HEATHER FM	FORMATION	60	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	980.000000	1827.000000	HORDALAND GP	GROUP	67	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	2055.000000	2350.000000	JORSALFARE FM	FORMATION	74	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	2350.000000	3014.000000	KYRRE FM	FORMATION	92	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	1907.000000	2055.000000	LISTA FM	FORMATION	95	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3014.000000	3028.000000	MIME FM	FORMATION	106	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3234.000000	3365.000000	NESS FM	FORMATION	110	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	956.000000	980.000000	NO FORMAL NAME	FORMATION	111	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	1035.000000	1145.000000	NO FORMAL NAME	FORMATION	111	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	1145.000000	1253.000000	NO FORMAL NAME	FORMATION	111	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	1253.000000	1520.000000	NO FORMAL NAME	FORMATION	111	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	1520.000000	1568.000000	NO FORMAL NAME	FORMATION	111	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	1568.000000	1616.000000	NO FORMAL NAME	FORMATION	111	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	1616.000000	1827.000000	NO FORMAL NAME	FORMATION	111	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	163.000000	980.000000	NORDLAND GP	GROUP	113	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3374.000000	3424.000000	RANNOCH FM	FORMATION	126	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	1827.000000	2055.000000	ROGALAND GP	GROUP	131	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	2055.000000	3014.000000	SHETLAND GP	GROUP	143	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3799.000000	3870.000000	STATFJORD FM	FORMATION	157	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3186.000000	3234.000000	TARBERT FM	FORMATION	162	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	915.000000	956.000000	UTSIRA FM	FORMATION	183	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3028.000000	3186.000000	VIKING GP	GROUP	188	1988-12-15	1302	9999-12-31	2013-05-08
34/10-33	3799.000000	3870.000000	NO GROUP DEFINED	GROUP	208	1988-12-15	1302	9999-12-31	2013-05-08
2/5-8	2953.000000	2973.000000	BALDER FM	FORMATION	6	1988-11-05	1308	9999-12-31	2013-05-08
2/5-8	3107.000000	3204.000000	EKOFISK FM	FORMATION	33	1988-11-05	1308	9999-12-31	2013-05-08
2/5-8	3323.000000	3367.000000	HOD FM	FORMATION	66	1988-11-05	1308	9999-12-31	2013-05-08
2/5-8	1898.000000	2953.000000	HORDALAND GP	GROUP	67	1988-11-05	1308	9999-12-31	2013-05-08
2/5-8	3042.000000	3090.000000	LISTA FM	FORMATION	95	1988-11-05	1308	9999-12-31	2013-05-08
2/5-8	3090.000000	3107.000000	MAUREEN FM	FORMATION	102	1988-11-05	1308	9999-12-31	2013-05-08
2/5-8	92.000000	1898.000000	NORDLAND GP	GROUP	113	1988-11-05	1308	9999-12-31	2013-05-08
2/5-8	2953.000000	3107.000000	ROGALAND GP	GROUP	131	1988-11-05	1308	9999-12-31	2013-05-08
2/5-8	2973.000000	3042.000000	SELE FM	FORMATION	142	1988-11-05	1308	9999-12-31	2013-05-08
2/5-8	3107.000000	3367.000000	SHETLAND GP	GROUP	143	1988-11-05	1308	9999-12-31	2013-05-08
2/5-8	3204.000000	3323.000000	TOR FM	FORMATION	171	1988-11-05	1308	9999-12-31	2013-05-08
6507/8-3	1402.000000	2075.000000	BÅT GP	GROUP	22	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1358.000000	1402.000000	FANGST GP	GROUP	38	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1358.000000	1379.000000	GARN FM	FORMATION	48	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1386.000000	1402.000000	ILE FM	FORMATION	70	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1245.000000	1334.000000	KAI FM	FORMATION	77	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1353.000000	1358.000000	MELKE FM	FORMATION	105	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	338.000000	1245.000000	NAUST FM	FORMATION	109	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	338.000000	1334.000000	NORDLAND GP	GROUP	113	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1379.000000	1386.000000	NOT FM	FORMATION	120	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1334.000000	1353.000000	ROGALAND GP	GROUP	131	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1402.000000	1446.000000	ROR FM	FORMATION	135	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1334.000000	1353.000000	TARE FM	FORMATION	163	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1446.000000	1542.000000	TILJE FM	FORMATION	169	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1353.000000	1358.000000	VIKING GP	GROUP	188	1988-09-20	1309	9999-12-31	2013-05-08
6507/8-3	1542.000000	2075.000000	ÅRE FM	FORMATION	197	1988-09-20	1309	9999-12-31	2013-05-08
2/4-13	1766.000000	2518.000000	HORDALAND GP	GROUP	67	1988-10-06	1313	9999-12-31	2013-05-08
2/4-13	95.000000	1766.000000	NORDLAND GP	GROUP	113	1988-10-06	1313	9999-12-31	2013-05-08
34/8-3 A	1873.000000	1920.000000	BALDER FM	FORMATION	6	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	3031.000000	3184.000000	BRENT GP	GROUP	16	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	2975.000000	3003.000000	CROMER KNOLL GP	GROUP	23	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	3227.000000	3230.000000	COOK FM	FORMATION	24	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	3184.000000	3227.000000	DRAKE FM	FORMATION	27	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	3003.000000	3012.000000	DRAUPNE FM	FORMATION	28	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	3184.000000	3230.000000	DUNLIN GP	GROUP	29	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	3101.000000	3131.000000	ETIVE FM	FORMATION	35	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	3012.000000	3031.000000	HEATHER FM	FORMATION	60	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	1180.000000	1873.000000	HORDALAND GP	GROUP	67	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	2088.000000	2395.000000	JORSALFARE FM	FORMATION	74	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	2395.000000	2975.000000	KYRRE FM	FORMATION	92	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	1920.000000	2088.000000	LISTA FM	FORMATION	95	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	3071.000000	3101.000000	NESS FM	FORMATION	110	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	405.000000	1180.000000	NORDLAND GP	GROUP	113	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	3131.000000	3184.000000	RANNOCH FM	FORMATION	126	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	1873.000000	2088.000000	ROGALAND GP	GROUP	131	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	2088.000000	2975.000000	SHETLAND GP	GROUP	143	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	3031.000000	3071.000000	TARBERT FM	FORMATION	162	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	1120.000000	1180.000000	UTSIRA FM	FORMATION	183	1988-10-31	1338	9999-12-31	2013-05-08
34/8-3 A	3003.000000	3031.000000	VIKING GP	GROUP	188	1988-10-31	1338	9999-12-31	2013-05-08
7321/9-1	558.000000	1379.000000	ADVENTDALEN GP	GROUP	1	1988-11-28	1339	9999-12-31	2013-05-08
7321/9-1	1424.000000	1572.000000	FRUHOLMEN FM	FORMATION	46	1988-11-28	1339	9999-12-31	2013-05-08
7321/9-1	1367.000000	1379.000000	FUGLEN FM	FORMATION	47	1988-11-28	1339	9999-12-31	2013-05-08
7321/9-1	1317.000000	1367.000000	HEKKINGEN FM	FORMATION	63	1988-11-28	1339	9999-12-31	2013-05-08
7321/9-1	1379.000000	1800.000000	KAPP TOSCANA GP	GROUP	79	1988-11-28	1339	9999-12-31	2013-05-08
7321/9-1	986.000000	1317.000000	KNURR FM	FORMATION	82	1988-11-28	1339	9999-12-31	2013-05-08
7321/9-1	892.000000	986.000000	KOLJE FM	FORMATION	84	1988-11-28	1339	9999-12-31	2013-05-08
7321/9-1	558.000000	892.000000	KOLMULE FM	FORMATION	85	1988-11-28	1339	9999-12-31	2013-05-08
7321/9-1	483.000000	558.000000	NORDLAND GP	GROUP	113	1988-11-28	1339	9999-12-31	2013-05-08
7321/9-1	1417.000000	1424.000000	NORDMELA FM	FORMATION	118	1988-11-28	1339	9999-12-31	2013-05-08
7321/9-1	1572.000000	1800.000000	SNADD FM	FORMATION	150	1988-11-28	1339	9999-12-31	2013-05-08
7321/9-1	1379.000000	1417.000000	STØ FM	FORMATION	159	1988-11-28	1339	9999-12-31	2013-05-08
6507/8-4	1788.000000	1951.000000	BRYGGE FM	FORMATION	18	1990-08-13	1340	9999-12-31	2013-05-08
6507/8-4	2124.000000	2435.000000	BÅT GP	GROUP	22	1990-08-13	1340	9999-12-31	2013-05-08
6507/8-4	2435.000000	2560.000000	GREY BEDS (INFORMAL)	GROUP	52	1990-08-13	1340	9999-12-31	2013-05-08
6507/8-4	1788.000000	1951.000000	HORDALAND GP	GROUP	67	1990-08-13	1340	9999-12-31	2013-05-08
6507/8-4	1455.000000	1788.000000	KAI FM	FORMATION	77	1990-08-13	1340	9999-12-31	2013-05-08
6507/8-4	377.000000	1788.000000	NORDLAND GP	GROUP	113	1990-08-13	1340	9999-12-31	2013-05-08
6507/8-4	1951.000000	2018.000000	ROGALAND GP	GROUP	131	1990-08-13	1340	9999-12-31	2013-05-08
6507/8-4	2018.000000	2124.000000	SHETLAND GP	GROUP	143	1990-08-13	1340	9999-12-31	2013-05-08
6507/8-4	1974.000000	2018.000000	TANG FM	FORMATION	161	1990-08-13	1340	9999-12-31	2013-05-08
6507/8-4	1951.000000	1974.000000	TARE FM	FORMATION	163	1990-08-13	1340	9999-12-31	2013-05-08
6507/8-4	2124.000000	2435.000000	ÅRE FM	FORMATION	197	1990-08-13	1340	9999-12-31	2013-05-08
6506/12-6	1880.000000	2175.000000	BRYGGE FM	FORMATION	18	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4410.000000	4741.000000	BÅT GP	GROUP	22	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	3248.000000	4021.000000	CROMER KNOLL GP	GROUP	23	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4234.000000	4410.000000	FANGST GP	GROUP	38	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4234.000000	4279.000000	GARN FM	FORMATION	48	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	1880.000000	2175.000000	HORDALAND GP	GROUP	67	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4311.000000	4410.000000	ILE FM	FORMATION	70	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	1463.000000	1880.000000	KAI FM	FORMATION	77	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	2930.000000	3248.000000	KVITNOS FM	FORMATION	91	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	3271.000000	4021.000000	LANGE FM	FORMATION	94	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	3248.000000	3271.000000	LYSING FM	FORMATION	99	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4050.000000	4234.000000	MELKE FM	FORMATION	105	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	301.000000	1463.000000	NAUST FM	FORMATION	109	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	2568.000000	2930.000000	NISE FM	FORMATION	112	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	301.000000	1880.000000	NORDLAND GP	GROUP	113	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4279.000000	4311.000000	NOT FM	FORMATION	120	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	2175.000000	2331.000000	ROGALAND GP	GROUP	131	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4410.000000	4436.000000	ROR FM	FORMATION	135	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4493.000000	4515.000000	ROR FM	FORMATION	135	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	2331.000000	3248.000000	SHETLAND GP	GROUP	143	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4021.000000	4050.000000	SPEKK FM	FORMATION	155	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	2331.000000	2568.000000	SPRINGAR FM	FORMATION	156	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	2281.000000	2331.000000	TANG FM	FORMATION	161	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	2175.000000	2281.000000	TARE FM	FORMATION	163	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4515.000000	4735.000000	TILJE FM	FORMATION	169	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4436.000000	4493.000000	TOFTE FM	FORMATION	170	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4021.000000	4234.000000	VIKING GP	GROUP	188	1986-08-02	1342	9999-12-31	2013-05-08
6506/12-6	4735.000000	4741.000000	ÅRE FM	FORMATION	197	1986-08-02	1342	9999-12-31	2013-05-08
2/4-14	3142.000000	3162.000000	BALDER FM	FORMATION	6	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	4542.000000	4561.000000	BLODØKS FM	FORMATION	13	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	4634.000000	4702.000000	CROMER KNOLL GP	GROUP	23	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	3318.000000	3443.000000	EKOFISK FM	FORMATION	33	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	4561.000000	4634.000000	HIDRA FM	FORMATION	65	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	4010.000000	4542.000000	HOD FM	FORMATION	66	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	1766.000000	3142.000000	HORDALAND GP	GROUP	67	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	3176.000000	3217.000000	LISTA FM	FORMATION	95	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	3262.000000	3307.000000	LISTA FM	FORMATION	95	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	4702.000000	4729.000000	MANDAL FM	FORMATION	101	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	94.000000	1766.000000	NORDLAND GP	GROUP	113	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	3142.000000	3318.000000	ROGALAND GP	GROUP	131	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	4634.000000	4654.000000	RØDBY FM	FORMATION	137	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	3162.000000	3176.000000	SELE FM	FORMATION	142	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	3318.000000	4634.000000	SHETLAND GP	GROUP	143	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	3443.000000	4010.000000	TOR FM	FORMATION	171	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	4702.000000	4729.000000	TYNE GP	GROUP	177	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	3217.000000	3262.000000	VIDAR FM	FORMATION	187	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	3307.000000	3318.000000	VÅLE FM	FORMATION	190	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	4729.000000	4734.000000	UNDEFINED GP	GROUP	191	1989-01-31	1343	9999-12-31	2013-05-08
2/4-14	4654.000000	4702.000000	ÅSGARD FM	FORMATION	198	1989-01-31	1343	9999-12-31	2013-05-08
25/5-2	2160.000000	2222.000000	BALDER FM	FORMATION	6	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	2222.000000	2292.000000	INTRA BALDER FM SS	FORMATION	7	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	2980.000000	3008.000000	CROMER KNOLL GP	GROUP	23	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	3231.000000	3304.000000	DRAKE FM	FORMATION	27	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	3008.000000	3131.000000	DRAUPNE FM	FORMATION	28	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	3231.000000	3304.000000	DUNLIN GP	GROUP	29	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	1388.000000	1448.000000	GRID FM	FORMATION	53	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	2630.000000	2855.000000	HARDRÅDE FM	FORMATION	56	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	3131.000000	3186.000000	HEATHER FM	FORMATION	60	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	918.000000	2160.000000	HORDALAND GP	GROUP	67	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	3186.000000	3194.000000	HUGIN FM	FORMATION	69	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	2855.000000	2980.000000	KYRRE FM	FORMATION	92	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	2292.000000	2502.000000	LISTA FM	FORMATION	95	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	1092.000000	1388.000000	NO FORMAL NAME	FORMATION	111	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	1448.000000	2160.000000	NO FORMAL NAME	FORMATION	111	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	139.000000	918.000000	NORDLAND GP	GROUP	113	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	2160.000000	2630.000000	ROGALAND GP	GROUP	131	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	2630.000000	2980.000000	SHETLAND GP	GROUP	143	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	938.000000	1092.000000	SKADE FM	FORMATION	145	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	3194.000000	3231.000000	SLEIPNER FM	FORMATION	148	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	2980.000000	2990.000000	SOLA FM	FORMATION	152	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	2502.000000	2607.000000	TY FM	FORMATION	176	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	289.000000	918.000000	UTSIRA FM	FORMATION	183	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	3186.000000	3231.000000	VESTLAND GP	GROUP	186	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	3008.000000	3186.000000	VIKING GP	GROUP	188	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	2607.000000	2630.000000	VÅLE FM	FORMATION	190	1989-07-04	1346	9999-12-31	2013-05-08
25/5-2	2990.000000	3008.000000	ÅSGARD FM	FORMATION	198	1989-07-04	1346	9999-12-31	2013-05-08
7125/1-1	617.000000	1399.000000	ADVENTDALEN GP	GROUP	1	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	1521.000000	1612.000000	FRUHOLMEN FM	FORMATION	46	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	1344.000000	1399.000000	HEKKINGEN FM	FORMATION	63	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	1399.000000	2105.000000	KAPP TOSCANA GP	GROUP	79	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	1318.000000	1344.000000	KNURR FM	FORMATION	82	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	2105.000000	2200.000000	KOBBE FM	FORMATION	83	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	1314.000000	1318.000000	KOLJE FM	FORMATION	84	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	617.000000	1314.000000	KOLMULE FM	FORMATION	85	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	568.000000	597.000000	KVEITE FM	FORMATION	89	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	597.000000	617.000000	KVITING FM	FORMATION	90	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	276.000000	391.000000	NORDLAND GP	GROUP	113	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	568.000000	617.000000	NYGRUNNEN GP	GROUP	122	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	2105.000000	2200.000000	SASSENDALEN GP	GROUP	140	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	1612.000000	2105.000000	SNADD FM	FORMATION	150	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	391.000000	568.000000	SOTBAKKEN GP	GROUP	154	1988-12-30	1350	9999-12-31	2013-05-08
7125/1-1	1399.000000	1521.000000	STØ FM	FORMATION	159	1988-12-30	1350	9999-12-31	2013-05-08
2/8-12 S	2883.000000	2911.000000	BALDER FM	FORMATION	6	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	5191.000000	5225.000000	BRYNE FM	FORMATION	19	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	3257.000000	4000.000000	CROMER KNOLL GP	GROUP	23	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	3046.000000	3118.000000	EKOFISK FM	FORMATION	33	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	4042.000000	4207.000000	FARSUND FM	FORMATION	39	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	4207.000000	5191.000000	HAUGESUND FM	FORMATION	57	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	3235.000000	3257.000000	HIDRA FM	FORMATION	65	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	1629.000000	2883.000000	HORDALAND GP	GROUP	67	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	2942.000000	3021.000000	LISTA FM	FORMATION	95	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	4000.000000	4042.000000	MANDAL FM	FORMATION	101	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	3021.000000	3046.000000	MAUREEN FM	FORMATION	102	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	94.000000	1629.000000	NORDLAND GP	GROUP	113	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	2883.000000	3046.000000	ROGALAND GP	GROUP	131	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	3257.000000	3271.000000	RØDBY FM	FORMATION	137	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	2911.000000	2942.000000	SELE FM	FORMATION	142	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	3046.000000	3257.000000	SHETLAND GP	GROUP	143	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	5225.000000	5300.000000	SKAGERRAK FM	FORMATION	146	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	3271.000000	3759.000000	SOLA FM	FORMATION	152	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	3118.000000	3235.000000	TOR FM	FORMATION	171	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	3759.000000	4000.000000	TUXEN FM	FORMATION	175	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	4000.000000	5191.000000	TYNE GP	GROUP	177	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	5191.000000	5225.000000	VESTLAND GP	GROUP	186	1989-04-27	1351	9999-12-31	2013-05-08
2/8-12 S	5225.000000	5300.000000	NO GROUP DEFINED	GROUP	208	1989-04-27	1351	9999-12-31	2013-05-08
25/2-12 A	2169.000000	2182.000000	BALDER FM	FORMATION	6	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2182.000000	2286.000000	INTRA BALDER FM SS	FORMATION	7	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	3610.000000	3630.000000	BLODØKS FM	FORMATION	13	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	3708.000000	3710.000000	DRAUPNE FM	FORMATION	28	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2042.000000	2169.000000	FRIGG FM	FORMATION	45	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	1210.000000	1255.000000	GRID FM	FORMATION	53	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	1427.000000	2042.000000	GRID FM	FORMATION	53	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2622.000000	2850.000000	HARDRÅDE FM	FORMATION	56	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	3710.000000	3715.000000	HEATHER FM	FORMATION	60	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2300.000000	2350.000000	HERMOD FM	FORMATION	64	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	1020.000000	2169.000000	HORDALAND GP	GROUP	67	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	3715.000000	3865.000000	HUGIN FM	FORMATION	69	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2850.000000	3342.000000	KYRRE FM	FORMATION	92	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2419.000000	2492.000000	LISTA FM	FORMATION	95	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	1110.000000	1210.000000	NO FORMAL NAME	FORMATION	111	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	1255.000000	1427.000000	NO FORMAL NAME	FORMATION	111	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	137.000000	1020.000000	NORDLAND GP	GROUP	113	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2169.000000	2622.000000	ROGALAND GP	GROUP	131	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2286.000000	2300.000000	SELE FM	FORMATION	142	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2350.000000	2419.000000	SELE FM	FORMATION	142	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2622.000000	3708.000000	SHETLAND GP	GROUP	143	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	1073.000000	1110.000000	SKADE FM	FORMATION	145	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	3630.000000	3708.000000	SVARTE FM	FORMATION	160	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	3342.000000	3610.000000	TRYGGVASON FM	FORMATION	173	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2580.000000	2622.000000	TY FM	FORMATION	176	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	890.000000	1020.000000	UTSIRA FM	FORMATION	183	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	3715.000000	3865.000000	VESTLAND GP	GROUP	186	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	3708.000000	3715.000000	VIKING GP	GROUP	188	1989-04-06	1355	9999-12-31	2013-05-08
25/2-12 A	2492.000000	2580.000000	VÅLE FM	FORMATION	190	1989-04-06	1355	9999-12-31	2013-05-08
35/11-3 S	3764.000000	3794.000000	AMUNDSEN FM	FORMATION	4	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3895.000000	3930.000000	AMUNDSEN FM	FORMATION	4	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	1728.000000	1786.000000	BALDER FM	FORMATION	6	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3431.000000	3640.000000	BRENT GP	GROUP	16	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	2716.000000	2821.000000	CROMER KNOLL GP	GROUP	23	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3693.000000	3764.000000	COOK FM	FORMATION	24	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3640.000000	3693.000000	DRAKE FM	FORMATION	27	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	2821.000000	3081.000000	DRAUPNE FM	FORMATION	28	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3640.000000	3930.000000	DUNLIN GP	GROUP	29	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3528.000000	3538.000000	ETIVE FM	FORMATION	35	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3096.000000	3431.000000	HEATHER FM	FORMATION	60	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	866.000000	1728.000000	HORDALAND GP	GROUP	67	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3794.000000	3895.000000	JOHANSEN FM	FORMATION	73	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	1871.000000	1905.000000	LISTA FM	FORMATION	95	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	1997.000000	2042.000000	LISTA FM	FORMATION	95	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	2803.000000	2821.000000	MIME FM	FORMATION	106	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3470.000000	3528.000000	NESS FM	FORMATION	110	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	1905.000000	1997.000000	NO FORMAL NAME	FORMATION	111	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	383.000000	866.000000	NORDLAND GP	GROUP	113	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3573.000000	3640.000000	OSEBERG FM	FORMATION	123	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3538.000000	3573.000000	RANNOCH FM	FORMATION	126	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	1728.000000	2063.000000	ROGALAND GP	GROUP	131	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	2716.000000	2747.000000	RØDBY FM	FORMATION	137	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	1786.000000	1871.000000	SELE FM	FORMATION	142	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	2063.000000	2716.000000	SHETLAND GP	GROUP	143	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3081.000000	3096.000000	SOGNEFJORD FM	FORMATION	151	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3930.000000	4040.000000	STATFJORD FM	FORMATION	157	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3431.000000	3470.000000	TARBERT FM	FORMATION	162	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	789.000000	866.000000	UTSIRA FM	FORMATION	183	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	2821.000000	3431.000000	VIKING GP	GROUP	188	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	2042.000000	2063.000000	VÅLE FM	FORMATION	190	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	2747.000000	2803.000000	ÅSGARD FM	FORMATION	198	1989-09-09	1356	9999-12-31	2013-05-08
35/11-3 S	3930.000000	4040.000000	NO GROUP DEFINED	GROUP	208	1989-09-09	1356	9999-12-31	2013-05-08
33/12-7	3530.000000	3660.000000	AMUNDSEN FM	FORMATION	4	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	1784.000000	1861.000000	BALDER FM	FORMATION	6	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	3022.000000	3306.000000	BRENT GP	GROUP	16	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	3296.000000	3306.000000	BROOM FM	FORMATION	17	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	3472.000000	3530.000000	BURTON FM	FORMATION	20	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	2920.000000	2927.000000	CROMER KNOLL GP	GROUP	23	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	3387.000000	3472.000000	COOK FM	FORMATION	24	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	3306.000000	3387.000000	DRAKE FM	FORMATION	27	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	2927.000000	2976.000000	DRAUPNE FM	FORMATION	28	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	3306.000000	3660.000000	DUNLIN GP	GROUP	29	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	3235.000000	3248.000000	ETIVE FM	FORMATION	35	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	2976.000000	3022.000000	HEATHER FM	FORMATION	60	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	946.000000	1784.000000	HORDALAND GP	GROUP	67	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	163.000000	946.000000	NORDLAND GP	GROUP	113	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	3248.000000	3296.000000	RANNOCH FM	FORMATION	126	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	1784.000000	2027.000000	ROGALAND GP	GROUP	131	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	1861.000000	2007.000000	SELE FM	FORMATION	142	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	2027.000000	2920.000000	SHETLAND GP	GROUP	143	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	3660.000000	3703.000000	STATFJORD FM	FORMATION	157	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	3022.000000	3235.000000	TARBERT FM	FORMATION	162	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	861.000000	946.000000	UTSIRA FM	FORMATION	183	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	2927.000000	3022.000000	VIKING GP	GROUP	188	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	2007.000000	2027.000000	VÅLE FM	FORMATION	190	1989-04-27	1358	9999-12-31	2013-05-08
33/12-7	3660.000000	3703.000000	NO GROUP DEFINED	GROUP	208	1989-04-27	1358	9999-12-31	2013-05-08
6407/7-4	1150.000000	1735.000000	BRYGGE FM	FORMATION	18	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2896.000000	3211.000000	BÅT GP	GROUP	22	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2631.000000	2844.000000	CROMER KNOLL GP	GROUP	23	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2860.000000	2896.000000	FANGST GP	GROUP	38	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	1150.000000	1735.000000	HORDALAND GP	GROUP	67	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2874.000000	2896.000000	ILE FM	FORMATION	70	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	1094.000000	1150.000000	KAI FM	FORMATION	77	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2200.000000	2631.000000	KVITNOS FM	FORMATION	91	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2631.000000	2844.000000	LANGE FM	FORMATION	94	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2855.000000	2860.000000	MELKE FM	FORMATION	105	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	352.000000	1094.000000	NAUST FM	FORMATION	109	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	1999.000000	2200.000000	NISE FM	FORMATION	112	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	352.000000	1150.000000	NORDLAND GP	GROUP	113	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2860.000000	2874.000000	NOT FM	FORMATION	120	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	1735.000000	1990.000000	ROGALAND GP	GROUP	131	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2896.000000	2973.000000	ROR FM	FORMATION	135	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	1990.000000	2631.000000	SHETLAND GP	GROUP	143	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2844.000000	2855.000000	SPEKK FM	FORMATION	155	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	1990.000000	1999.000000	SPRINGAR FM	FORMATION	156	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	1794.000000	1990.000000	TANG FM	FORMATION	161	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	1735.000000	1794.000000	TARE FM	FORMATION	163	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2973.000000	3139.000000	TILJE FM	FORMATION	169	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	2844.000000	2860.000000	VIKING GP	GROUP	188	1989-03-28	1360	9999-12-31	2013-05-08
6407/7-4	3139.000000	3211.000000	ÅRE FM	FORMATION	197	1989-03-28	1360	9999-12-31	2013-05-08
34/10-33 A	1827.000000	1907.000000	BALDER FM	FORMATION	6	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	3347.000000	3851.000000	BRENT GP	GROUP	16	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	3030.000000	3034.000000	CROMER KNOLL GP	GROUP	23	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	3034.000000	3077.000000	DRAUPNE FM	FORMATION	28	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	3747.000000	3758.000000	ETIVE FM	FORMATION	35	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	3077.000000	3347.000000	HEATHER FM	FORMATION	60	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	980.000000	1827.000000	HORDALAND GP	GROUP	67	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	2055.000000	2350.000000	JORSALFARE FM	FORMATION	74	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	2350.000000	3030.000000	KYRRE FM	FORMATION	92	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	1907.000000	2055.000000	LISTA FM	FORMATION	95	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	3030.000000	3034.000000	MIME FM	FORMATION	106	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	3451.000000	3747.000000	NESS FM	FORMATION	110	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	956.000000	980.000000	NO FORMAL NAME	FORMATION	111	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	1035.000000	1145.000000	NO FORMAL NAME	FORMATION	111	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	1145.000000	1253.000000	NO FORMAL NAME	FORMATION	111	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	1253.000000	1520.000000	NO FORMAL NAME	FORMATION	111	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	1520.000000	1568.000000	NO FORMAL NAME	FORMATION	111	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	1568.000000	1616.000000	NO FORMAL NAME	FORMATION	111	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	1616.000000	1827.000000	NO FORMAL NAME	FORMATION	111	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	163.000000	980.000000	NORDLAND GP	GROUP	113	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	3758.000000	3851.000000	RANNOCH FM	FORMATION	126	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	1827.000000	2055.000000	ROGALAND GP	GROUP	131	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	2055.000000	3030.000000	SHETLAND GP	GROUP	143	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	3347.000000	3451.000000	TARBERT FM	FORMATION	162	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	915.000000	956.000000	UTSIRA FM	FORMATION	183	1989-02-03	1365	9999-12-31	2013-05-08
34/10-33 A	3034.000000	3347.000000	VIKING GP	GROUP	188	1989-02-03	1365	9999-12-31	2013-05-08
7120/1-2	1585.000000	2211.000000	ADVENTDALEN GP	GROUP	1	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	2506.000000	2630.000000	FRUHOLMEN FM	FORMATION	46	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	2158.000000	2211.000000	FUGLEN FM	FORMATION	47	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	1984.000000	1986.000000	HEKKINGEN FM	FORMATION	63	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	2138.000000	2158.000000	HEKKINGEN FM	FORMATION	63	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	2211.000000	2630.000000	KAPP TOSCANA GP	GROUP	79	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	1878.000000	1984.000000	KNURR FM	FORMATION	82	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	1826.000000	1878.000000	KOLJE FM	FORMATION	84	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	1585.000000	1586.000000	KOLMULE FM	FORMATION	85	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	1591.000000	1826.000000	KOLMULE FM	FORMATION	85	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	1560.000000	1585.000000	KVEITE FM	FORMATION	89	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	1586.000000	1591.000000	NO FORMAL NAME	FORMATION	111	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	1986.000000	2138.000000	NO FORMAL NAME	FORMATION	111	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	328.000000	408.000000	NORDLAND GP	GROUP	113	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	2365.000000	2452.000000	NORDMELA FM	FORMATION	118	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	1560.000000	1585.000000	NYGRUNNEN GP	GROUP	122	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	408.000000	1560.000000	SOTBAKKEN GP	GROUP	154	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	2211.000000	2365.000000	STØ FM	FORMATION	159	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	408.000000	1560.000000	TORSK FM	FORMATION	172	1989-03-28	1366	9999-12-31	2013-05-08
7120/1-2	2452.000000	2506.000000	TUBÅEN FM	FORMATION	174	1989-03-28	1366	9999-12-31	2013-05-08
2/7-19	2987.000000	3004.000000	BALDER FM	FORMATION	6	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4055.000000	4081.000000	BLODØKS FM	FORMATION	13	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4810.000000	4840.000000	BRYNE FM	FORMATION	19	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4212.000000	4586.000000	CROMER KNOLL GP	GROUP	23	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	3130.000000	3188.000000	EKOFISK FM	FORMATION	33	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4590.000000	4693.000000	FARSUND FM	FORMATION	39	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4081.000000	4212.000000	HIDRA FM	FORMATION	65	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	3444.000000	4055.000000	HOD FM	FORMATION	66	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	1530.000000	2987.000000	HORDALAND GP	GROUP	67	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	3027.000000	3069.000000	LISTA FM	FORMATION	95	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4586.000000	4590.000000	MANDAL FM	FORMATION	101	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	98.000000	1530.000000	NORDLAND GP	GROUP	113	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	2987.000000	3130.000000	ROGALAND GP	GROUP	131	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4212.000000	4328.000000	RØDBY FM	FORMATION	137	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	3004.000000	3027.000000	SELE FM	FORMATION	142	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	3130.000000	4212.000000	SHETLAND GP	GROUP	143	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4328.000000	4468.000000	SOLA FM	FORMATION	152	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	3188.000000	3444.000000	TOR FM	FORMATION	171	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4586.000000	4693.000000	TYNE GP	GROUP	177	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4693.000000	4810.000000	ULA FM	FORMATION	179	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4693.000000	4840.000000	VESTLAND GP	GROUP	186	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	3069.000000	3130.000000	VÅLE FM	FORMATION	190	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4840.000000	4876.000000	ZECHSTEIN GP	GROUP	194	1981-02-02	1367	9999-12-31	2013-05-08
2/7-19	4468.000000	4586.000000	ÅSGARD FM	FORMATION	198	1981-02-02	1367	9999-12-31	2013-05-08
2/4-15 S	3368.000000	3387.000000	BALDER FM	FORMATION	6	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	4798.000000	4817.000000	BLODØKS FM	FORMATION	13	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	4890.000000	4958.000000	CROMER KNOLL GP	GROUP	23	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	3558.000000	3692.000000	EKOFISK FM	FORMATION	33	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	4817.000000	4890.000000	HIDRA FM	FORMATION	65	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	4266.000000	4798.000000	HOD FM	FORMATION	66	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	1854.000000	3368.000000	HORDALAND GP	GROUP	67	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	3405.000000	3456.000000	LISTA FM	FORMATION	95	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	3497.000000	3547.000000	LISTA FM	FORMATION	95	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	4958.000000	4962.000000	MANDAL FM	FORMATION	101	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	94.000000	1854.000000	NORDLAND GP	GROUP	113	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	3368.000000	3558.000000	ROGALAND GP	GROUP	131	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	3387.000000	3405.000000	SELE FM	FORMATION	142	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	3558.000000	4890.000000	SHETLAND GP	GROUP	143	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	3692.000000	4266.000000	TOR FM	FORMATION	171	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	4958.000000	4962.000000	TYNE GP	GROUP	177	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	3456.000000	3497.000000	VIDAR FM	FORMATION	187	1990-03-16	1371	9999-12-31	2013-05-08
2/4-15 S	3547.000000	3558.000000	VÅLE FM	FORMATION	190	1990-03-16	1371	9999-12-31	2013-05-08
35/9-1	588.000000	620.000000	BALDER FM	FORMATION	6	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2314.000000	2350.000000	BASEMENT	GROUP	10	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2225.000000	2267.000000	BRENT GP	GROUP	16	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	1967.000000	2037.000000	CROMER KNOLL GP	GROUP	23	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2267.000000	2312.000000	DUNLIN GP	GROUP	29	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2037.000000	2099.000000	FENSFJORD FM	FORMATION	40	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2140.000000	2225.000000	HEATHER FM	FORMATION	60	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	1229.000000	1280.000000	JORSALFARE FM	FORMATION	74	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2099.000000	2140.000000	KROSSFJORD FM	FORMATION	87	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	1280.000000	1940.000000	KYRRE FM	FORMATION	92	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	658.000000	823.000000	LISTA FM	FORMATION	95	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	863.000000	1211.000000	LISTA FM	FORMATION	95	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2225.000000	2250.000000	NESS FM	FORMATION	110	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	823.000000	863.000000	NO FORMAL NAME	FORMATION	111	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	384.000000	588.000000	NORDLAND GP	GROUP	113	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2250.000000	2267.000000	RANNOCH FM	FORMATION	126	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	588.000000	1229.000000	ROGALAND GP	GROUP	131	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	1967.000000	2013.000000	RØDBY FM	FORMATION	137	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	620.000000	658.000000	SELE FM	FORMATION	142	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	1229.000000	1967.000000	SHETLAND GP	GROUP	143	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2312.000000	2314.000000	STATFJORD FM	FORMATION	157	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	1940.000000	1967.000000	SVARTE FM	FORMATION	160	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2037.000000	2225.000000	VIKING GP	GROUP	188	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	1211.000000	1229.000000	VÅLE FM	FORMATION	190	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2013.000000	2037.000000	ÅSGARD FM	FORMATION	198	1989-05-07	1375	9999-12-31	2013-05-08
35/9-1	2312.000000	2314.000000	NO GROUP DEFINED	GROUP	208	1989-05-07	1375	9999-12-31	2013-05-08
1/2-1	3059.000000	3121.000000	BALDER FM	FORMATION	6	1989-06-04	1382	9999-12-31	2013-05-08
1/2-1	3407.000000	3514.000000	EKOFISK FM	FORMATION	33	1989-06-04	1382	9999-12-31	2013-05-08
1/2-1	3121.000000	3275.000000	FORTIES FM	FORMATION	44	1989-06-04	1382	9999-12-31	2013-05-08
1/2-1	1777.000000	3059.000000	HORDALAND GP	GROUP	67	1989-06-04	1382	9999-12-31	2013-05-08
1/2-1	3275.000000	3335.000000	LISTA FM	FORMATION	95	1989-06-04	1382	9999-12-31	2013-05-08
1/2-1	3335.000000	3407.000000	MAUREEN FM	FORMATION	102	1989-06-04	1382	9999-12-31	2013-05-08
1/2-1	94.000000	1777.000000	NORDLAND GP	GROUP	113	1989-06-04	1382	9999-12-31	2013-05-08
1/2-1	3059.000000	3407.000000	ROGALAND GP	GROUP	131	1989-06-04	1382	9999-12-31	2013-05-08
1/2-1	3407.000000	3574.000000	SHETLAND GP	GROUP	143	1989-06-04	1382	9999-12-31	2013-05-08
1/2-1	3514.000000	3574.000000	TOR FM	FORMATION	171	1989-06-04	1382	9999-12-31	2013-05-08
2/8-13	1766.000000	1773.000000	EKOFISK FM	FORMATION	33	1989-06-22	1383	9999-12-31	2013-05-08
2/8-13	1215.000000	1760.000000	HORDALAND GP	GROUP	67	1989-06-22	1383	9999-12-31	2013-05-08
2/8-13	1760.000000	1763.000000	LISTA FM	FORMATION	95	1989-06-22	1383	9999-12-31	2013-05-08
2/8-13	94.000000	1215.000000	NORDLAND GP	GROUP	113	1989-06-22	1383	9999-12-31	2013-05-08
2/8-13	1760.000000	1766.000000	ROGALAND GP	GROUP	131	1989-06-22	1383	9999-12-31	2013-05-08
2/8-13	1766.000000	1775.000000	SHETLAND GP	GROUP	143	1989-06-22	1383	9999-12-31	2013-05-08
2/8-13	1773.000000	1775.000000	TOR FM	FORMATION	171	1989-06-22	1383	9999-12-31	2013-05-08
2/8-13	730.000000	1215.000000	UTSIRA FM	FORMATION	183	1989-06-22	1383	9999-12-31	2013-05-08
2/8-13	1763.000000	1766.000000	VÅLE FM	FORMATION	190	1989-06-22	1383	9999-12-31	2013-05-08
2/8-13	1775.000000	1940.000000	ZECHSTEIN GP	GROUP	194	1989-06-22	1383	9999-12-31	2013-05-08
34/10-33 C	1821.000000	1897.000000	BALDER FM	FORMATION	6	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3215.000000	3722.000000	BRENT GP	GROUP	16	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3008.000000	3012.000000	CROMER KNOLL GP	GROUP	23	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3722.000000	3752.000000	DRAKE FM	FORMATION	27	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3012.000000	3045.000000	DRAUPNE FM	FORMATION	28	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3722.000000	3752.000000	DUNLIN GP	GROUP	29	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3601.000000	3617.000000	ETIVE FM	FORMATION	35	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3045.000000	3215.000000	HEATHER FM	FORMATION	60	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	974.000000	1821.000000	HORDALAND GP	GROUP	67	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	2048.000000	2340.000000	JORSALFARE FM	FORMATION	74	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	2340.000000	3008.000000	KYRRE FM	FORMATION	92	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	1897.000000	2048.000000	LISTA FM	FORMATION	95	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3008.000000	3012.000000	MIME FM	FORMATION	106	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3345.000000	3601.000000	NESS FM	FORMATION	110	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	950.000000	974.000000	NO FORMAL NAME	FORMATION	111	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	1029.000000	1139.000000	NO FORMAL NAME	FORMATION	111	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	1139.000000	1247.000000	NO FORMAL NAME	FORMATION	111	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	1247.000000	1514.000000	NO FORMAL NAME	FORMATION	111	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	1514.000000	1562.000000	NO FORMAL NAME	FORMATION	111	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	1562.000000	1610.000000	NO FORMAL NAME	FORMATION	111	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	1610.000000	1821.000000	NO FORMAL NAME	FORMATION	111	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	157.000000	974.000000	NORDLAND GP	GROUP	113	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3617.000000	3722.000000	RANNOCH FM	FORMATION	126	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	1821.000000	2048.000000	ROGALAND GP	GROUP	131	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	2048.000000	3008.000000	SHETLAND GP	GROUP	143	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3215.000000	3345.000000	TARBERT FM	FORMATION	162	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	909.000000	950.000000	UTSIRA FM	FORMATION	183	1989-08-01	1384	9999-12-31	2013-05-08
34/10-33 C	3012.000000	3215.000000	VIKING GP	GROUP	188	1989-08-01	1384	9999-12-31	2013-05-08
6608/10-1	1490.000000	1865.000000	BRYGGE FM	FORMATION	18	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	3164.000000	3437.000000	BÅT GP	GROUP	22	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	2661.000000	2920.000000	CROMER KNOLL GP	GROUP	23	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	3061.000000	3164.000000	FANGST GP	GROUP	38	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	3061.000000	3127.000000	GARN FM	FORMATION	48	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	1490.000000	1865.000000	HORDALAND GP	GROUP	67	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	3153.000000	3164.000000	ILE FM	FORMATION	70	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	1409.000000	1490.000000	KAI FM	FORMATION	77	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	2548.000000	2661.000000	KVITNOS FM	FORMATION	91	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	2663.000000	2920.000000	LANGE FM	FORMATION	94	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	2661.000000	2663.000000	LYSING FM	FORMATION	99	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	2937.000000	3061.000000	MELKE FM	FORMATION	105	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	399.000000	1409.000000	NAUST FM	FORMATION	109	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	2928.000000	2934.000000	NO FORMAL NAME	FORMATION	111	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	2072.000000	2548.000000	NISE FM	FORMATION	112	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	399.000000	1490.000000	NORDLAND GP	GROUP	113	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	3127.000000	3153.000000	NOT FM	FORMATION	120	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	1865.000000	1954.000000	ROGALAND GP	GROUP	131	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	3164.000000	3177.000000	ROR FM	FORMATION	135	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	1954.000000	2661.000000	SHETLAND GP	GROUP	143	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	2920.000000	2928.000000	SPEKK FM	FORMATION	155	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	2934.000000	2937.000000	SPEKK FM	FORMATION	155	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	1954.000000	2072.000000	SPRINGAR FM	FORMATION	156	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	1928.000000	1954.000000	TANG FM	FORMATION	161	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	1865.000000	1928.000000	TARE FM	FORMATION	163	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	3177.000000	3218.000000	TOFTE FM	FORMATION	170	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	2920.000000	3061.000000	VIKING GP	GROUP	188	1989-05-29	1391	9999-12-31	2013-05-08
6608/10-1	3218.000000	3437.000000	ÅRE FM	FORMATION	197	1989-05-29	1391	9999-12-31	2013-05-08
2/7-21 S	3065.000000	3086.000000	BALDER FM	FORMATION	6	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	4159.000000	4165.000000	BLODØKS FM	FORMATION	13	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	4202.000000	4300.000000	CROMER KNOLL GP	GROUP	23	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	3231.000000	3318.000000	EKOFISK FM	FORMATION	33	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	4165.000000	4202.000000	HIDRA FM	FORMATION	65	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	3600.000000	4159.000000	HOD FM	FORMATION	66	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	1599.000000	3065.000000	HORDALAND GP	GROUP	67	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	3139.000000	3197.000000	LISTA FM	FORMATION	95	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	93.000000	1599.000000	NORDLAND GP	GROUP	113	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	3065.000000	3231.000000	ROGALAND GP	GROUP	131	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	4202.000000	4300.000000	RØDBY FM	FORMATION	137	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	3086.000000	3139.000000	SELE FM	FORMATION	142	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	3231.000000	4202.000000	SHETLAND GP	GROUP	143	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	3318.000000	3600.000000	TOR FM	FORMATION	171	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	3197.000000	3231.000000	VÅLE FM	FORMATION	190	1990-01-09	1394	9999-12-31	2013-05-08
2/7-21 S	4300.000000	5038.000000	NO GROUP DEFINED	GROUP	208	1990-01-09	1394	9999-12-31	2013-05-08
25/1-7 R3	2177.000000	2182.000000	BALDER FM	FORMATION	6	1989-04-16	1395	9999-12-31	2013-05-08
25/1-7 R3	2212.000000	2287.000000	BALDER FM	FORMATION	6	1989-04-16	1395	9999-12-31	2013-05-08
25/1-7 R3	2182.000000	2212.000000	INTRA BALDER FM SS	FORMATION	7	1989-04-16	1395	9999-12-31	2013-05-08
25/1-7 R3	1916.000000	2177.000000	FRIGG FM	FORMATION	45	1989-04-16	1395	9999-12-31	2013-05-08
25/1-7 R3	2287.000000	2436.000000	HERMOD FM	FORMATION	64	1989-04-16	1395	9999-12-31	2013-05-08
25/1-7 R3	743.000000	2177.000000	HORDALAND GP	GROUP	67	1989-04-16	1395	9999-12-31	2013-05-08
25/1-7 R3	2707.000000	2716.000000	JORSALFARE FM	FORMATION	74	1989-04-16	1395	9999-12-31	2013-05-08
25/1-7 R3	2436.000000	2677.000000	LISTA FM	FORMATION	95	1989-04-16	1395	9999-12-31	2013-05-08
25/1-7 R3	123.000000	743.000000	NORDLAND GP	GROUP	113	1989-04-16	1395	9999-12-31	2013-05-08
25/1-7 R3	2177.000000	2707.000000	ROGALAND GP	GROUP	131	1989-04-16	1395	9999-12-31	2013-05-08
25/1-7 R3	2707.000000	2716.000000	SHETLAND GP	GROUP	143	1989-04-16	1395	9999-12-31	2013-05-08
25/1-7 R3	2677.000000	2707.000000	VÅLE FM	FORMATION	190	1989-04-16	1395	9999-12-31	2013-05-08
25/1-8 SR3	2229.000000	2234.000000	BALDER FM	FORMATION	6	1989-04-06	1396	9999-12-31	2013-05-08
25/1-8 SR3	2247.000000	2326.000000	BALDER FM	FORMATION	6	1989-04-06	1396	9999-12-31	2013-05-08
25/1-8 SR3	2234.000000	2247.000000	INTRA BALDER FM SS	FORMATION	7	1989-04-06	1396	9999-12-31	2013-05-08
25/1-8 SR3	1927.000000	2229.000000	FRIGG FM	FORMATION	45	1989-04-06	1396	9999-12-31	2013-05-08
25/1-8 SR3	2326.000000	2529.000000	HERMOD FM	FORMATION	64	1989-04-06	1396	9999-12-31	2013-05-08
25/1-8 SR3	731.000000	2229.000000	HORDALAND GP	GROUP	67	1989-04-06	1396	9999-12-31	2013-05-08
25/1-8 SR3	2529.000000	2647.000000	LISTA FM	FORMATION	95	1989-04-06	1396	9999-12-31	2013-05-08
25/1-8 SR3	124.000000	731.000000	NORDLAND GP	GROUP	113	1989-04-06	1396	9999-12-31	2013-05-08
25/1-8 SR3	2229.000000	2647.000000	ROGALAND GP	GROUP	131	1989-04-06	1396	9999-12-31	2013-05-08
34/10-33 B	1821.000000	1897.000000	BALDER FM	FORMATION	6	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	3215.000000	3942.000000	BRENT GP	GROUP	16	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	3008.000000	3012.000000	CROMER KNOLL GP	GROUP	23	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	3012.000000	3045.000000	DRAUPNE FM	FORMATION	28	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	3045.000000	3215.000000	HEATHER FM	FORMATION	60	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	3897.000000	3942.000000	HEATHER FM	FORMATION	60	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	974.000000	1821.000000	HORDALAND GP	GROUP	67	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	2048.000000	2340.000000	JORSALFARE FM	FORMATION	74	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	2340.000000	3008.000000	KYRRE FM	FORMATION	92	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	1897.000000	2048.000000	LISTA FM	FORMATION	95	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	3008.000000	3012.000000	MIME FM	FORMATION	106	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	3353.000000	3679.000000	NESS FM	FORMATION	110	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	950.000000	974.000000	NO FORMAL NAME	FORMATION	111	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	1029.000000	1139.000000	NO FORMAL NAME	FORMATION	111	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	1139.000000	1247.000000	NO FORMAL NAME	FORMATION	111	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	1247.000000	1513.000000	NO FORMAL NAME	FORMATION	111	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	1513.000000	1562.000000	NO FORMAL NAME	FORMATION	111	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	1562.000000	1610.000000	NO FORMAL NAME	FORMATION	111	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	1610.000000	1821.000000	NO FORMAL NAME	FORMATION	111	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	157.000000	974.000000	NORDLAND GP	GROUP	113	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	1821.000000	2048.000000	ROGALAND GP	GROUP	131	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	2048.000000	3008.000000	SHETLAND GP	GROUP	143	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	3215.000000	3353.000000	TARBERT FM	FORMATION	162	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	3679.000000	3897.000000	TARBERT FM	FORMATION	162	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	909.000000	950.000000	UTSIRA FM	FORMATION	183	1989-07-10	1407	9999-12-31	2013-05-08
34/10-33 B	3012.000000	3215.000000	VIKING GP	GROUP	188	1989-07-10	1407	9999-12-31	2013-05-08
7324/10-1	480.000000	569.000000	ADVENTDALEN GP	GROUP	1	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	577.000000	606.000000	FRUHOLMEN FM	FORMATION	46	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	561.000000	569.000000	FUGLEN FM	FORMATION	47	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	2512.000000	2919.000000	HAVERT FM	FORMATION	58	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	569.000000	1607.000000	KAPP TOSCANA GP	GROUP	79	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	2272.000000	2512.000000	KLAPPMYSS FM	FORMATION	80	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	553.000000	561.000000	KNURR FM	FORMATION	82	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	1607.000000	2272.000000	KOBBE FM	FORMATION	83	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	480.000000	553.000000	KOLMULE FM	FORMATION	85	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	431.000000	480.000000	NORDLAND GP	GROUP	113	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	1607.000000	2919.000000	SASSENDALEN GP	GROUP	140	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	606.000000	1607.000000	SNADD FM	FORMATION	150	1989-08-19	1411	9999-12-31	2013-05-08
7324/10-1	569.000000	577.000000	STØ FM	FORMATION	159	1989-08-19	1411	9999-12-31	2013-05-08
16/3-3	1307.000000	1344.000000	BALDER FM	FORMATION	6	1989-08-06	1415	9999-12-31	2013-05-08
16/3-3	777.000000	1307.000000	HORDALAND GP	GROUP	67	1989-08-06	1415	9999-12-31	2013-05-08
16/3-3	1376.000000	1475.000000	LISTA FM	FORMATION	95	1989-08-06	1415	9999-12-31	2013-05-08
16/3-3	147.000000	777.000000	NORDLAND GP	GROUP	113	1989-08-06	1415	9999-12-31	2013-05-08
16/3-3	1307.000000	1488.000000	ROGALAND GP	GROUP	131	1989-08-06	1415	9999-12-31	2013-05-08
16/3-3	1344.000000	1376.000000	SELE FM	FORMATION	142	1989-08-06	1415	9999-12-31	2013-05-08
16/3-3	1488.000000	1566.000000	SHETLAND GP	GROUP	143	1989-08-06	1415	9999-12-31	2013-05-08
16/3-3	1488.000000	1566.000000	TOR FM	FORMATION	171	1989-08-06	1415	9999-12-31	2013-05-08
16/3-3	1475.000000	1488.000000	VÅLE FM	FORMATION	190	1989-08-06	1415	9999-12-31	2013-05-08
2/12-2 S	3299.000000	3313.000000	BALDER FM	FORMATION	6	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	4184.000000	4187.000000	BLODØKS FM	FORMATION	13	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	4215.000000	4325.000000	CROMER KNOLL GP	GROUP	23	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	3429.000000	3446.000000	EKOFISK FM	FORMATION	33	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	4355.000000	5175.000000	FARSUND FM	FORMATION	39	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	5175.000000	5537.000000	HAUGESUND FM	FORMATION	57	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	4187.000000	4215.000000	HIDRA FM	FORMATION	65	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	3910.000000	4184.000000	HOD FM	FORMATION	66	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	1730.000000	3299.000000	HORDALAND GP	GROUP	67	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	3363.000000	3419.000000	LISTA FM	FORMATION	95	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	4325.000000	4355.000000	MANDAL FM	FORMATION	101	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	93.000000	1730.000000	NORDLAND GP	GROUP	113	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	3299.000000	3429.000000	ROGALAND GP	GROUP	131	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	4215.000000	4232.000000	RØDBY FM	FORMATION	137	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	3313.000000	3363.000000	SELE FM	FORMATION	142	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	3429.000000	4215.000000	SHETLAND GP	GROUP	143	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	5537.000000	5757.000000	SMITH BANK FM	FORMATION	149	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	4232.000000	4253.000000	SOLA FM	FORMATION	152	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	3446.000000	3910.000000	TOR FM	FORMATION	171	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	4253.000000	4282.000000	TUXEN FM	FORMATION	175	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	4325.000000	5537.000000	TYNE GP	GROUP	177	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	3419.000000	3429.000000	VÅLE FM	FORMATION	190	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	4282.000000	4325.000000	ÅSGARD FM	FORMATION	198	1990-09-14	1416	9999-12-31	2013-05-08
2/12-2 S	5537.000000	5757.000000	NO GROUP DEFINED	GROUP	208	1990-09-14	1416	9999-12-31	2013-05-08
25/3-1	2159.000000	2253.000000	BALDER FM	FORMATION	6	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	2836.000000	3016.000000	CROMER KNOLL GP	GROUP	23	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	3016.000000	3043.000000	DRAUPNE FM	FORMATION	28	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	3334.000000	3870.000000	DUNLIN GP	GROUP	29	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	2127.000000	2159.000000	FRIGG FM	FORMATION	45	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	3043.000000	3107.000000	HEATHER FM	FORMATION	60	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	1036.000000	2159.000000	HORDALAND GP	GROUP	67	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	3107.000000	3120.000000	HUGIN FM	FORMATION	69	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	2314.000000	2414.000000	LISTA FM	FORMATION	95	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	136.000000	1036.000000	NORDLAND GP	GROUP	113	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	2159.000000	2704.000000	ROGALAND GP	GROUP	131	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	2253.000000	2314.000000	SELE FM	FORMATION	142	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	2704.000000	2836.000000	SHETLAND GP	GROUP	143	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	3120.000000	3334.000000	SLEIPNER FM	FORMATION	148	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	3870.000000	3922.000000	STATFJORD FM	FORMATION	157	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	3107.000000	3334.000000	VESTLAND GP	GROUP	186	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	3016.000000	3107.000000	VIKING GP	GROUP	188	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	2414.000000	2704.000000	VÅLE FM	FORMATION	190	1989-09-05	1419	9999-12-31	2013-05-08
25/3-1	3870.000000	3922.000000	NO GROUP DEFINED	GROUP	208	1989-09-05	1419	9999-12-31	2013-05-08
30/9-8	890.000000	1060.000000	HORDALAND GP	GROUP	67	1989-08-02	1421	9999-12-31	2013-05-08
30/9-8	127.000000	890.000000	NORDLAND GP	GROUP	113	1989-08-02	1421	9999-12-31	2013-05-08
30/9-8	602.000000	890.000000	UTSIRA FM	FORMATION	183	1989-08-02	1421	9999-12-31	2013-05-08
2/4-14 R	3154.000000	3174.000000	BALDER FM	FORMATION	6	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	4554.000000	4573.000000	BLODØKS FM	FORMATION	13	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	4646.000000	4714.000000	CROMER KNOLL GP	GROUP	23	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	3330.000000	3455.000000	EKOFISK FM	FORMATION	33	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	4573.000000	4646.000000	HIDRA FM	FORMATION	65	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	4022.000000	4554.000000	HOD FM	FORMATION	66	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	1778.000000	3154.000000	HORDALAND GP	GROUP	67	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	3188.000000	3229.000000	LISTA FM	FORMATION	95	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	3274.000000	3319.000000	LISTA FM	FORMATION	95	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	4714.000000	4741.000000	MANDAL FM	FORMATION	101	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	106.000000	1778.000000	NORDLAND GP	GROUP	113	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	3154.000000	3330.000000	ROGALAND GP	GROUP	131	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	4646.000000	4666.000000	RØDBY FM	FORMATION	137	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	3174.000000	3188.000000	SELE FM	FORMATION	142	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	3330.000000	4646.000000	SHETLAND GP	GROUP	143	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	3455.000000	4022.000000	TOR FM	FORMATION	171	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	4714.000000	4741.000000	TYNE GP	GROUP	177	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	3229.000000	3274.000000	VIDAR FM	FORMATION	187	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	3319.000000	3330.000000	VÅLE FM	FORMATION	190	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	4741.000000	4746.000000	UNDEFINED GP	GROUP	191	1990-04-06	1440	9999-12-31	2013-05-08
2/4-14 R	4666.000000	4714.000000	ÅSGARD FM	FORMATION	198	1990-04-06	1440	9999-12-31	2013-05-08
35/9-1 R	588.000000	620.000000	BALDER FM	FORMATION	6	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2314.000000	2350.000000	BASEMENT	GROUP	10	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2225.000000	2267.000000	BRENT GP	GROUP	16	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	1967.000000	2037.000000	CROMER KNOLL GP	GROUP	23	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2267.000000	2312.000000	DUNLIN GP	GROUP	29	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2037.000000	2099.000000	FENSFJORD FM	FORMATION	40	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2140.000000	2225.000000	HEATHER FM	FORMATION	60	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	1229.000000	1280.000000	JORSALFARE FM	FORMATION	74	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2099.000000	2140.000000	KROSSFJORD FM	FORMATION	87	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	1280.000000	1940.000000	KYRRE FM	FORMATION	92	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	658.000000	823.000000	LISTA FM	FORMATION	95	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	863.000000	1211.000000	LISTA FM	FORMATION	95	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2225.000000	2250.000000	NESS FM	FORMATION	110	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	823.000000	863.000000	NO FORMAL NAME	FORMATION	111	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	384.000000	588.000000	NORDLAND GP	GROUP	113	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2250.000000	2267.000000	RANNOCH FM	FORMATION	126	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	588.000000	1229.000000	ROGALAND GP	GROUP	131	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	1967.000000	2013.000000	RØDBY FM	FORMATION	137	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	620.000000	658.000000	SELE FM	FORMATION	142	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	1229.000000	1967.000000	SHETLAND GP	GROUP	143	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2312.000000	2314.000000	STATFJORD FM	FORMATION	157	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	1940.000000	1967.000000	SVARTE FM	FORMATION	160	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2037.000000	2225.000000	VIKING GP	GROUP	188	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	1211.000000	1229.000000	VÅLE FM	FORMATION	190	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2013.000000	2037.000000	ÅSGARD FM	FORMATION	198	1989-07-27	1441	9999-12-31	2013-05-08
35/9-1 R	2312.000000	2314.000000	NO GROUP DEFINED	GROUP	208	1989-07-27	1441	9999-12-31	2013-05-08
2/9-3	3023.000000	3053.000000	BALDER FM	FORMATION	6	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	4543.000000	4600.000000	BRYNE FM	FORMATION	19	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3834.000000	3846.000000	CROMER KNOLL GP	GROUP	23	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3168.000000	3253.000000	EKOFISK FM	FORMATION	33	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3846.000000	4125.000000	FARSUND FM	FORMATION	39	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	4125.000000	4525.000000	HAUGESUND FM	FORMATION	57	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3660.000000	3834.000000	HOD FM	FORMATION	66	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	1623.000000	3023.000000	HORDALAND GP	GROUP	67	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3100.000000	3155.000000	LISTA FM	FORMATION	95	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	92.000000	1623.000000	NORDLAND GP	GROUP	113	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3023.000000	3168.000000	ROGALAND GP	GROUP	131	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	4670.000000	4859.000000	ROTLIEGEND GP	GROUP	136	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3053.000000	3100.000000	SELE FM	FORMATION	142	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3168.000000	3834.000000	SHETLAND GP	GROUP	143	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	4600.000000	4670.000000	SMITH BANK FM	FORMATION	149	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3253.000000	3660.000000	TOR FM	FORMATION	171	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3846.000000	4525.000000	TYNE GP	GROUP	177	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	4525.000000	4543.000000	ULA FM	FORMATION	179	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	4525.000000	4670.000000	VESTLAND GP	GROUP	186	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3155.000000	3168.000000	VÅLE FM	FORMATION	190	1989-12-14	1443	9999-12-31	2013-05-08
2/9-3	3834.000000	3846.000000	ÅSGARD FM	FORMATION	198	1989-12-14	1443	9999-12-31	2013-05-08
1/9-1 R	2944.000000	2949.000000	ANDREW FM	FORMATION	5	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	2869.000000	2881.000000	BALDER FM	FORMATION	6	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	3645.000000	3659.000000	BLODØKS FM	FORMATION	13	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	3033.000000	3101.000000	EKOFISK FM	FORMATION	33	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	3659.000000	3704.000000	HIDRA FM	FORMATION	65	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	3309.000000	3645.000000	HOD FM	FORMATION	66	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	1569.000000	2869.000000	HORDALAND GP	GROUP	67	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	2941.000000	2944.000000	LISTA FM	FORMATION	95	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	2949.000000	3010.000000	LISTA FM	FORMATION	95	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	100.000000	1569.000000	NORDLAND GP	GROUP	113	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	2869.000000	3033.000000	ROGALAND GP	GROUP	131	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	2881.000000	2941.000000	SELE FM	FORMATION	142	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	3033.000000	3704.000000	SHETLAND GP	GROUP	143	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	3101.000000	3309.000000	TOR FM	FORMATION	171	1987-05-17	1444	9999-12-31	2013-05-08
1/9-1 R	3010.000000	3033.000000	VÅLE FM	FORMATION	190	1987-05-17	1444	9999-12-31	2013-05-08
31/2-16 S	1358.000000	1413.000000	BALDER FM	FORMATION	6	1989-12-27	1453	9999-12-31	2013-05-08
31/2-16 S	782.000000	1358.000000	HORDALAND GP	GROUP	67	1989-12-27	1453	9999-12-31	2013-05-08
31/2-16 S	1453.000000	1645.000000	LISTA FM	FORMATION	95	1989-12-27	1453	9999-12-31	2013-05-08
31/2-16 S	377.000000	782.000000	NORDLAND GP	GROUP	113	1989-12-27	1453	9999-12-31	2013-05-08
31/2-16 S	1358.000000	1650.000000	ROGALAND GP	GROUP	131	1989-12-27	1453	9999-12-31	2013-05-08
31/2-16 S	1413.000000	1453.000000	SELE FM	FORMATION	142	1989-12-27	1453	9999-12-31	2013-05-08
31/2-16 S	1650.000000	1659.000000	SHETLAND GP	GROUP	143	1989-12-27	1453	9999-12-31	2013-05-08
31/2-16 S	1659.000000	2390.000000	SOGNEFJORD FM	FORMATION	151	1989-12-27	1453	9999-12-31	2013-05-08
31/2-16 S	1659.000000	2390.000000	VIKING GP	GROUP	188	1989-12-27	1453	9999-12-31	2013-05-08
31/2-16 S	1645.000000	1650.000000	VÅLE FM	FORMATION	190	1989-12-27	1453	9999-12-31	2013-05-08
25/2-13	3645.000000	3696.000000	AMUNDSEN FM	FORMATION	4	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	2170.000000	2240.000000	BALDER FM	FORMATION	6	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3268.000000	3286.000000	BLODØKS FM	FORMATION	13	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3565.000000	3645.000000	COOK FM	FORMATION	24	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3491.000000	3565.000000	DRAKE FM	FORMATION	27	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3318.000000	3329.000000	DRAUPNE FM	FORMATION	28	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3491.000000	3696.000000	DUNLIN GP	GROUP	29	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	2706.000000	3032.000000	HARDRÅDE FM	FORMATION	56	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3329.000000	3342.000000	HEATHER FM	FORMATION	60	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	2240.000000	2400.000000	HERMOD FM	FORMATION	64	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	1067.000000	2170.000000	HORDALAND GP	GROUP	67	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3342.000000	3409.000000	HUGIN FM	FORMATION	69	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3032.000000	3187.000000	KYRRE FM	FORMATION	92	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	2400.000000	2586.000000	LISTA FM	FORMATION	95	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	139.000000	1067.000000	NORDLAND GP	GROUP	113	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	2170.000000	2706.000000	ROGALAND GP	GROUP	131	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	2706.000000	3318.000000	SHETLAND GP	GROUP	143	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3409.000000	3491.000000	SLEIPNER FM	FORMATION	148	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3887.000000	3908.000000	SMITH BANK FM	FORMATION	149	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3696.000000	3887.000000	STATFJORD FM	FORMATION	157	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3286.000000	3318.000000	SVARTE FM	FORMATION	160	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3187.000000	3268.000000	TRYGGVASON FM	FORMATION	173	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	2586.000000	2651.000000	TY FM	FORMATION	176	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	262.000000	1067.000000	UTSIRA FM	FORMATION	183	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3342.000000	3491.000000	VESTLAND GP	GROUP	186	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3318.000000	3342.000000	VIKING GP	GROUP	188	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	2651.000000	2706.000000	VÅLE FM	FORMATION	190	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3696.000000	3887.000000	NO GROUP DEFINED	GROUP	208	1990-01-25	1459	9999-12-31	2013-05-08
25/2-13	3887.000000	3908.000000	NO GROUP DEFINED	GROUP	208	1990-01-25	1459	9999-12-31	2013-05-08
7228/2-1 S	373.000000	1275.000000	ADVENTDALEN GP	GROUP	1	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	1404.000000	1523.000000	FRUHOLMEN FM	FORMATION	46	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	1236.000000	1275.000000	FUGLEN FM	FORMATION	47	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	3984.000000	4300.000000	HAVERT FM	FORMATION	58	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	1168.000000	1236.000000	HEKKINGEN FM	FORMATION	63	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	1275.000000	2438.000000	KAPP TOSCANA GP	GROUP	79	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	3574.000000	3984.000000	KLAPPMYSS FM	FORMATION	80	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	1110.000000	1168.000000	KNURR FM	FORMATION	82	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	2438.000000	3574.000000	KOBBE FM	FORMATION	83	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	373.000000	1110.000000	KOLMULE FM	FORMATION	85	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	1300.000000	1345.000000	NORDMELA FM	FORMATION	118	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	2438.000000	4300.000000	SASSENDALEN GP	GROUP	140	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	1523.000000	2438.000000	SNADD FM	FORMATION	150	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	1275.000000	1300.000000	STØ FM	FORMATION	159	1989-12-20	1460	9999-12-31	2013-05-08
7228/2-1 S	1345.000000	1404.000000	TUBÅEN FM	FORMATION	174	1989-12-20	1460	9999-12-31	2013-05-08
30/9-8 R	2065.000000	2137.000000	BALDER FM	FORMATION	6	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2722.000000	2723.000000	BLODØKS FM	FORMATION	13	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2788.000000	3149.000000	BRENT GP	GROUP	16	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2725.000000	2763.000000	CROMER KNOLL GP	GROUP	23	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	3149.000000	3200.000000	DRAKE FM	FORMATION	27	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2763.000000	2771.000000	DRAUPNE FM	FORMATION	28	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	3149.000000	3200.000000	DUNLIN GP	GROUP	29	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	3120.000000	3135.000000	ETIVE FM	FORMATION	35	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2382.000000	2620.000000	HARDRÅDE FM	FORMATION	56	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2771.000000	2788.000000	HEATHER FM	FORMATION	60	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	890.000000	2065.000000	HORDALAND GP	GROUP	67	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2620.000000	2704.000000	KYRRE FM	FORMATION	92	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2212.000000	2372.000000	LISTA FM	FORMATION	95	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2882.000000	3120.000000	NESS FM	FORMATION	110	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	974.000000	1165.000000	NO FORMAL NAME	FORMATION	111	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	1165.000000	1190.000000	NO FORMAL NAME	FORMATION	111	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	1190.000000	1235.000000	NO FORMAL NAME	FORMATION	111	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	1235.000000	1348.000000	NO FORMAL NAME	FORMATION	111	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	1348.000000	1425.000000	NO FORMAL NAME	FORMATION	111	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	1425.000000	1446.000000	NO FORMAL NAME	FORMATION	111	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	1446.000000	2065.000000	NO FORMAL NAME	FORMATION	111	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	127.000000	890.000000	NORDLAND GP	GROUP	113	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	3140.000000	3149.000000	OSEBERG FM	FORMATION	123	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	3135.000000	3140.000000	RANNOCH FM	FORMATION	126	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2065.000000	2382.000000	ROGALAND GP	GROUP	131	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2725.000000	2750.000000	RØDBY FM	FORMATION	137	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2137.000000	2212.000000	SELE FM	FORMATION	142	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2382.000000	2725.000000	SHETLAND GP	GROUP	143	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	932.000000	974.000000	SKADE FM	FORMATION	145	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2750.000000	2758.000000	SOLA FM	FORMATION	152	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2723.000000	2725.000000	SVARTE FM	FORMATION	160	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2788.000000	2882.000000	TARBERT FM	FORMATION	162	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2704.000000	2722.000000	TRYGGVASON FM	FORMATION	173	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	602.000000	890.000000	UTSIRA FM	FORMATION	183	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2763.000000	2788.000000	VIKING GP	GROUP	188	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2372.000000	2382.000000	VÅLE FM	FORMATION	190	1989-09-25	1461	9999-12-31	2013-05-08
30/9-8 R	2758.000000	2763.000000	ÅSGARD FM	FORMATION	198	1989-09-25	1461	9999-12-31	2013-05-08
3/7-4	2747.000000	2766.000000	BALDER FM	FORMATION	6	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	3474.000000	3688.000000	BRYNE FM	FORMATION	19	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	3247.000000	3261.000000	CROMER KNOLL GP	GROUP	23	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	2848.000000	2922.000000	EKOFISK FM	FORMATION	33	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	3261.000000	3411.000000	HAUGESUND FM	FORMATION	57	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	3088.000000	3247.000000	HOD FM	FORMATION	66	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	1412.000000	2747.000000	HORDALAND GP	GROUP	67	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	2787.000000	2819.000000	LISTA FM	FORMATION	95	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	2819.000000	2848.000000	MAUREEN FM	FORMATION	102	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	91.000000	1412.000000	NORDLAND GP	GROUP	113	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	2747.000000	2848.000000	ROGALAND GP	GROUP	131	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	3247.000000	3255.000000	RØDBY FM	FORMATION	137	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	3411.000000	3474.000000	SANDNES FM	FORMATION	139	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	2766.000000	2787.000000	SELE FM	FORMATION	142	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	2848.000000	3247.000000	SHETLAND GP	GROUP	143	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	3255.000000	3261.000000	SOLA FM	FORMATION	152	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	2922.000000	3088.000000	TOR FM	FORMATION	171	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	3261.000000	3411.000000	TYNE GP	GROUP	177	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	3411.000000	3688.000000	VESTLAND GP	GROUP	186	1990-01-23	1467	9999-12-31	2013-05-08
3/7-4	3688.000000	3723.000000	ZECHSTEIN GP	GROUP	194	1990-01-23	1467	9999-12-31	2013-05-08
2/7-14 R	2999.000000	3015.000000	BALDER FM	FORMATION	6	1989-06-19	1477	9999-12-31	2013-05-08
2/7-14 R	3143.000000	3254.000000	EKOFISK FM	FORMATION	33	1989-06-19	1477	9999-12-31	2013-05-08
2/7-14 R	1780.000000	2999.000000	HORDALAND GP	GROUP	67	1989-06-19	1477	9999-12-31	2013-05-08
2/7-14 R	3030.000000	3131.000000	LISTA FM	FORMATION	95	1989-06-19	1477	9999-12-31	2013-05-08
2/7-14 R	93.000000	1780.000000	NORDLAND GP	GROUP	113	1989-06-19	1477	9999-12-31	2013-05-08
2/7-14 R	2999.000000	3143.000000	ROGALAND GP	GROUP	131	1989-06-19	1477	9999-12-31	2013-05-08
2/7-14 R	3015.000000	3030.000000	SELE FM	FORMATION	142	1989-06-19	1477	9999-12-31	2013-05-08
2/7-14 R	3143.000000	3387.000000	SHETLAND GP	GROUP	143	1989-06-19	1477	9999-12-31	2013-05-08
2/7-14 R	3254.000000	3387.000000	TOR FM	FORMATION	171	1989-06-19	1477	9999-12-31	2013-05-08
2/7-14 R	3131.000000	3143.000000	VÅLE FM	FORMATION	190	1989-06-19	1477	9999-12-31	2013-05-08
6205/3-1	3179.000000	3780.000000	AGAT FM	FORMATION	2	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	2876.000000	2891.000000	BLODØKS FM	FORMATION	13	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	3133.000000	4300.000000	CROMER KNOLL GP	GROUP	23	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	1317.000000	1482.000000	EGGA FM (INFORMAL)	FORMATION	31	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	1482.000000	1573.000000	JORSALFARE FM	FORMATION	74	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	1573.000000	2876.000000	KYRRE FM	FORMATION	92	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	1220.000000	1317.000000	LISTA FM	FORMATION	95	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	182.000000	308.000000	NORDLAND GP	GROUP	113	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	308.000000	1482.000000	ROGALAND GP	GROUP	131	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	3133.000000	3179.000000	RØDBY FM	FORMATION	137	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	308.000000	1220.000000	SELE FM	FORMATION	142	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	1482.000000	3133.000000	SHETLAND GP	GROUP	143	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	3780.000000	3956.000000	SOLA FM	FORMATION	152	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	2891.000000	3133.000000	SVARTE FM	FORMATION	160	1990-02-11	1479	9999-12-31	2013-05-08
6205/3-1	3956.000000	4300.000000	ÅSGARD FM	FORMATION	198	1990-02-11	1479	9999-12-31	2013-05-08
7228/9-1 S	308.000000	1073.000000	ADVENTDALEN GP	GROUP	1	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	4065.000000	4361.000000	BJARMELAND GP	GROUP	12	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	1140.000000	1232.000000	FRUHOLMEN FM	FORMATION	46	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	1069.000000	1073.000000	FUGLEN FM	FORMATION	47	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	4361.000000	4600.000000	GIPSDALEN GP	GROUP	51	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	2638.000000	3884.000000	HAVERT FM	FORMATION	58	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	1030.000000	1069.000000	HEKKINGEN FM	FORMATION	63	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	4065.000000	4150.000000	ISBJØRN FM	FORMATION	72	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	1073.000000	1595.000000	KAPP TOSCANA GP	GROUP	79	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	2097.000000	2638.000000	KLAPPMYSS FM	FORMATION	80	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	1595.000000	2097.000000	KOBBE FM	FORMATION	83	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	308.000000	1030.000000	KOLMULE FM	FORMATION	85	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	302.000000	308.000000	NORDLAND GP	GROUP	113	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	1083.000000	1140.000000	NORDMELA FM	FORMATION	118	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	3966.000000	4065.000000	RØYE FM	FORMATION	138	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	1595.000000	3884.000000	SASSENDALEN GP	GROUP	140	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	1232.000000	1595.000000	SNADD FM	FORMATION	150	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	1073.000000	1083.000000	STØ FM	FORMATION	159	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	3884.000000	4065.000000	TEMPELFJORDEN GP	GROUP	167	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	4150.000000	4361.000000	ULV FM	FORMATION	181	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	4361.000000	4600.000000	ØRN FM	FORMATION	195	1990-05-07	1486	9999-12-31	2013-05-08
7228/9-1 S	3884.000000	3966.000000	ØRRET FM	FORMATION	196	1990-05-07	1486	9999-12-31	2013-05-08
25/5-3	1998.000000	2044.000000	BALDER FM	FORMATION	6	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2475.000000	2613.000000	BURTON FM	FORMATION	20	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2453.000000	2475.000000	DRAKE FM	FORMATION	27	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2453.000000	2613.000000	DUNLIN GP	GROUP	29	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	1357.000000	1373.000000	GRID FM	FORMATION	53	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2310.000000	2347.000000	HARDRÅDE FM	FORMATION	56	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2347.000000	2384.000000	HEATHER FM	FORMATION	60	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	1012.000000	1998.000000	HORDALAND GP	GROUP	67	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2384.000000	2431.000000	HUGIN FM	FORMATION	69	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2095.000000	2162.000000	LISTA FM	FORMATION	95	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	1068.000000	1357.000000	NO FORMAL NAME	FORMATION	111	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	1373.000000	1998.000000	NO FORMAL NAME	FORMATION	111	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	140.000000	1012.000000	NORDLAND GP	GROUP	113	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	1998.000000	2310.000000	ROGALAND GP	GROUP	131	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2044.000000	2095.000000	SELE FM	FORMATION	142	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2310.000000	2347.000000	SHETLAND GP	GROUP	143	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	1048.000000	1068.000000	SKADE FM	FORMATION	145	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2431.000000	2453.000000	SLEIPNER FM	FORMATION	148	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2613.000000	2752.000000	STATFJORD FM	FORMATION	157	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2211.000000	2310.000000	TY FM	FORMATION	176	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	495.000000	1012.000000	UTSIRA FM	FORMATION	183	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2384.000000	2453.000000	VESTLAND GP	GROUP	186	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2347.000000	2384.000000	VIKING GP	GROUP	188	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2162.000000	2211.000000	VÅLE FM	FORMATION	190	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2613.000000	2752.000000	NO GROUP DEFINED	GROUP	208	1990-03-26	1488	9999-12-31	2013-05-08
25/5-3	2752.000000	2900.000000	NO GROUP DEFINED	GROUP	208	1990-03-26	1488	9999-12-31	2013-05-08
7/7-1	2780.000000	2808.000000	ANDREW FM	FORMATION	5	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	2626.000000	2660.000000	BALDER FM	FORMATION	6	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	3243.000000	3288.000000	CROMER KNOLL GP	GROUP	23	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	2830.000000	2925.000000	EKOFISK FM	FORMATION	33	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	3108.000000	3243.000000	HOD FM	FORMATION	66	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	1256.000000	2626.000000	HORDALAND GP	GROUP	67	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	2758.000000	2780.000000	LISTA FM	FORMATION	95	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	106.000000	1256.000000	NORDLAND GP	GROUP	113	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	2626.000000	2830.000000	ROGALAND GP	GROUP	131	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	2660.000000	2758.000000	SELE FM	FORMATION	142	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	2830.000000	3243.000000	SHETLAND GP	GROUP	143	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	3288.000000	3500.000000	SMITH BANK FM	FORMATION	149	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	2925.000000	3108.000000	TOR FM	FORMATION	171	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	2808.000000	2830.000000	VÅLE FM	FORMATION	190	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	3243.000000	3288.000000	ÅSGARD FM	FORMATION	198	1990-02-20	1492	9999-12-31	2013-05-08
7/7-1	3288.000000	3500.000000	NO GROUP DEFINED	GROUP	208	1990-02-20	1492	9999-12-31	2013-05-08
25/7-2	2098.000000	2185.000000	BALDER FM	FORMATION	6	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	3260.000000	3295.000000	BLODØKS FM	FORMATION	13	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	3714.000000	4056.000000	CROMER KNOLL GP	GROUP	23	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	4119.000000	4212.000000	INTRA DRAUPNE FM SS	FORMATION	26	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	4056.000000	4119.000000	DRAUPNE FM	FORMATION	28	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2698.000000	2749.000000	EKOFISK FM	FORMATION	33	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	4247.000000	4293.000000	INTRA HEATHER FM SS	FORMATION	59	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	4212.000000	4247.000000	HEATHER FM	FORMATION	60	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	4293.000000	4407.000000	HEATHER FM	FORMATION	60	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2318.000000	2470.000000	HEIMDAL FM	FORMATION	62	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2216.000000	2222.000000	HERMOD FM	FORMATION	64	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	883.000000	2098.000000	HORDALAND GP	GROUP	67	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	4407.000000	4613.000000	HUGIN FM	FORMATION	69	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2749.000000	2925.000000	JORSALFARE FM	FORMATION	74	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2925.000000	3060.000000	KYRRE FM	FORMATION	92	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2258.000000	2318.000000	LISTA FM	FORMATION	95	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2470.000000	2529.000000	LISTA FM	FORMATION	95	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	1000.000000	2098.000000	NO FORMAL NAME	FORMATION	111	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	3399.000000	3447.000000	NO FORMAL NAME	FORMATION	111	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	149.000000	883.000000	NORDLAND GP	GROUP	113	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2098.000000	2698.000000	ROGALAND GP	GROUP	131	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	3714.000000	3875.000000	RØDBY FM	FORMATION	137	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2185.000000	2216.000000	SELE FM	FORMATION	142	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2222.000000	2258.000000	SELE FM	FORMATION	142	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2698.000000	3714.000000	SHETLAND GP	GROUP	143	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	946.000000	1000.000000	SKADE FM	FORMATION	145	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	4613.000000	4850.000000	SLEIPNER FM	FORMATION	148	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	3875.000000	3948.000000	SOLA FM	FORMATION	152	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	3295.000000	3399.000000	SVARTE FM	FORMATION	160	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	3447.000000	3714.000000	SVARTE FM	FORMATION	160	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	3060.000000	3260.000000	TRYGGVASON FM	FORMATION	173	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	2529.000000	2698.000000	TY FM	FORMATION	176	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	446.000000	883.000000	UTSIRA FM	FORMATION	183	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	4407.000000	4850.000000	VESTLAND GP	GROUP	186	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	4056.000000	4407.000000	VIKING GP	GROUP	188	1990-07-18	1494	9999-12-31	2013-05-08
25/7-2	3948.000000	4056.000000	ÅSGARD FM	FORMATION	198	1990-07-18	1494	9999-12-31	2013-05-08
2/7-22	2968.000000	2981.000000	BALDER FM	FORMATION	6	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	3976.000000	3992.000000	BLODØKS FM	FORMATION	13	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	4086.000000	4452.000000	CROMER KNOLL GP	GROUP	23	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	3092.000000	3140.000000	EKOFISK FM	FORMATION	33	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	3992.000000	4086.000000	HIDRA FM	FORMATION	65	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	3597.000000	3976.000000	HOD FM	FORMATION	66	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	1607.000000	2968.000000	HORDALAND GP	GROUP	67	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	3031.000000	3076.000000	LISTA FM	FORMATION	95	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	4452.000000	4470.000000	MANDAL FM	FORMATION	101	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	93.000000	1607.000000	NORDLAND GP	GROUP	113	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	2968.000000	3092.000000	ROGALAND GP	GROUP	131	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	4086.000000	4225.000000	RØDBY FM	FORMATION	137	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	2981.000000	3031.000000	SELE FM	FORMATION	142	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	3092.000000	4086.000000	SHETLAND GP	GROUP	143	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	4225.000000	4327.000000	SOLA FM	FORMATION	152	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	3140.000000	3597.000000	TOR FM	FORMATION	171	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	4452.000000	4470.000000	TYNE GP	GROUP	177	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	3076.000000	3092.000000	VÅLE FM	FORMATION	190	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	4470.000000	4480.000000	UNDEFINED GP	GROUP	191	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	4327.000000	4452.000000	ÅSGARD FM	FORMATION	198	1990-10-15	1495	9999-12-31	2013-05-08
2/7-22	4480.000000	4750.000000	NO GROUP DEFINED	GROUP	208	1990-10-15	1495	9999-12-31	2013-05-08
6407/10-2	1105.000000	1627.000000	BRYGGE FM	FORMATION	18	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	3479.000000	3825.000000	BÅT GP	GROUP	22	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	2378.000000	2821.000000	CROMER KNOLL GP	GROUP	23	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	3327.000000	3479.000000	FANGST GP	GROUP	38	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	1105.000000	1627.000000	HORDALAND GP	GROUP	67	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	3436.000000	3479.000000	ILE FM	FORMATION	70	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	1009.000000	1105.000000	KAI FM	FORMATION	77	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	2386.000000	2770.000000	LANGE FM	FORMATION	94	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	2770.000000	2821.000000	LYR FM	FORMATION	98	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	2378.000000	2386.000000	LYSING FM	FORMATION	99	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	2904.000000	3327.000000	MELKE FM	FORMATION	105	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	359.000000	1009.000000	NAUST FM	FORMATION	109	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	359.000000	1105.000000	NORDLAND GP	GROUP	113	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	3327.000000	3436.000000	NOT FM	FORMATION	120	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	1627.000000	1877.000000	ROGALAND GP	GROUP	131	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	2830.000000	2904.000000	ROGN FM	FORMATION	134	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	3479.000000	3679.000000	ROR FM	FORMATION	135	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	1877.000000	2378.000000	SHETLAND GP	GROUP	143	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	2821.000000	2830.000000	SPEKK FM	FORMATION	155	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	1689.000000	1877.000000	TANG FM	FORMATION	161	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	1627.000000	1689.000000	TARE FM	FORMATION	163	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	3679.000000	3825.000000	TILJE FM	FORMATION	169	1990-06-23	1497	9999-12-31	2013-05-08
6407/10-2	2821.000000	3327.000000	VIKING GP	GROUP	188	1990-06-23	1497	9999-12-31	2013-05-08
1/6-5	1695.000000	1701.000000	BALDER FM	FORMATION	6	1990-09-02	1508	9999-12-31	2013-05-08
1/6-5	1721.000000	1725.000000	EKOFISK FM	FORMATION	33	1990-09-02	1508	9999-12-31	2013-05-08
1/6-5	1732.000000	1742.000000	HOD FM	FORMATION	66	1990-09-02	1508	9999-12-31	2013-05-08
1/6-5	1140.000000	1695.000000	HORDALAND GP	GROUP	67	1990-09-02	1508	9999-12-31	2013-05-08
1/6-5	1710.000000	1715.000000	LISTA FM	FORMATION	95	1990-09-02	1508	9999-12-31	2013-05-08
1/6-5	95.000000	1140.000000	NORDLAND GP	GROUP	113	1990-09-02	1508	9999-12-31	2013-05-08
1/6-5	1695.000000	1721.000000	ROGALAND GP	GROUP	131	1990-09-02	1508	9999-12-31	2013-05-08
1/6-5	1701.000000	1710.000000	SELE FM	FORMATION	142	1990-09-02	1508	9999-12-31	2013-05-08
1/6-5	1721.000000	1742.000000	SHETLAND GP	GROUP	143	1990-09-02	1508	9999-12-31	2013-05-08
1/6-5	1725.000000	1732.000000	TOR FM	FORMATION	171	1990-09-02	1508	9999-12-31	2013-05-08
1/6-5	1715.000000	1721.000000	VÅLE FM	FORMATION	190	1990-09-02	1508	9999-12-31	2013-05-08
1/6-5	1742.000000	1854.000000	ZECHSTEIN GP	GROUP	194	1990-09-02	1508	9999-12-31	2013-05-08
6205/3-1 R	3179.000000	3780.000000	AGAT FM	FORMATION	2	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	2876.000000	2891.000000	BLODØKS FM	FORMATION	13	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	3133.000000	4394.000000	CROMER KNOLL GP	GROUP	23	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	1317.000000	1482.000000	EGGA FM (INFORMAL)	FORMATION	31	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	1482.000000	1573.000000	JORSALFARE FM	FORMATION	74	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	1573.000000	2425.000000	KYRRE FM	FORMATION	92	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	1220.000000	1317.000000	LISTA FM	FORMATION	95	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	4446.000000	4466.000000	NO FORMAL NAME	FORMATION	111	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	4485.000000	4494.000000	NO FORMAL NAME	FORMATION	111	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	4777.000000	4846.000000	NO FORMAL NAME	FORMATION	111	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	4955.000000	5046.000000	NO FORMAL NAME	FORMATION	111	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	5220.000000	5236.000000	NO FORMAL NAME	FORMATION	111	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	182.000000	308.000000	NORDLAND GP	GROUP	113	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	308.000000	1482.000000	ROGALAND GP	GROUP	131	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	3133.000000	3179.000000	RØDBY FM	FORMATION	137	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	308.000000	1220.000000	SELE FM	FORMATION	142	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	1482.000000	3133.000000	SHETLAND GP	GROUP	143	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	3780.000000	3956.000000	SOLA FM	FORMATION	152	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	4394.000000	4446.000000	SPEKK FM	FORMATION	155	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	4466.000000	4485.000000	SPEKK FM	FORMATION	155	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	4494.000000	4777.000000	SPEKK FM	FORMATION	155	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	4846.000000	4955.000000	SPEKK FM	FORMATION	155	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	5046.000000	5220.000000	SPEKK FM	FORMATION	155	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	5236.000000	5264.000000	SPEKK FM	FORMATION	155	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	2891.000000	3133.000000	SVARTE FM	FORMATION	160	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	2425.000000	2876.000000	TRYGGVASON FM	FORMATION	173	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	4394.000000	5264.000000	VIKING GP	GROUP	188	1990-11-30	1510	9999-12-31	2013-05-08
6205/3-1 R	3956.000000	4394.000000	ÅSGARD FM	FORMATION	198	1990-11-30	1510	9999-12-31	2013-05-08
2/7-19 R	2984.000000	3001.000000	BALDER FM	FORMATION	6	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4052.000000	4078.000000	BLODØKS FM	FORMATION	13	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4807.000000	4837.000000	BRYNE FM	FORMATION	19	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4209.000000	4583.000000	CROMER KNOLL GP	GROUP	23	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	3127.000000	3185.000000	EKOFISK FM	FORMATION	33	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4587.000000	4690.000000	FARSUND FM	FORMATION	39	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4078.000000	4209.000000	HIDRA FM	FORMATION	65	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	3441.000000	4052.000000	HOD FM	FORMATION	66	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	1527.000000	2984.000000	HORDALAND GP	GROUP	67	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	3024.000000	3066.000000	LISTA FM	FORMATION	95	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4583.000000	4587.000000	MANDAL FM	FORMATION	101	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	95.000000	1527.000000	NORDLAND GP	GROUP	113	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	2984.000000	3127.000000	ROGALAND GP	GROUP	131	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4209.000000	4325.000000	RØDBY FM	FORMATION	137	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	3001.000000	3024.000000	SELE FM	FORMATION	142	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	3127.000000	4209.000000	SHETLAND GP	GROUP	143	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4325.000000	4465.000000	SOLA FM	FORMATION	152	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	3185.000000	3441.000000	TOR FM	FORMATION	171	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4583.000000	4690.000000	TYNE GP	GROUP	177	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4690.000000	4807.000000	ULA FM	FORMATION	179	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4690.000000	4837.000000	VESTLAND GP	GROUP	186	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	3066.000000	3127.000000	VÅLE FM	FORMATION	190	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4837.000000	4873.000000	ZECHSTEIN GP	GROUP	194	1990-03-14	1512	9999-12-31	2013-05-08
2/7-19 R	4465.000000	4583.000000	ÅSGARD FM	FORMATION	198	1990-03-14	1512	9999-12-31	2013-05-08
6407/7-2 R	2714.000000	2936.000000	BÅT GP	GROUP	22	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2469.000000	2639.000000	CROMER KNOLL GP	GROUP	23	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2670.000000	2714.000000	FANGST GP	GROUP	38	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2670.000000	2683.000000	GARN FM	FORMATION	48	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2936.000000	2982.000000	GREY BEDS (INFORMAL)	GROUP	52	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2699.000000	2714.000000	ILE FM	FORMATION	70	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	1080.000000	1725.000000	KAI FM	FORMATION	77	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2654.000000	2670.000000	MELKE FM	FORMATION	105	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	363.000000	1080.000000	NAUST FM	FORMATION	109	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	363.000000	1725.000000	NORDLAND GP	GROUP	113	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2683.000000	2699.000000	NOT FM	FORMATION	120	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2982.000000	3322.000000	RED BEDS (INFORMAL)	GROUP	129	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	1725.000000	1961.000000	ROGALAND GP	GROUP	131	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2714.000000	2773.000000	ROR FM	FORMATION	135	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	1961.000000	2469.000000	SHETLAND GP	GROUP	143	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2639.000000	2654.000000	SPEKK FM	FORMATION	155	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	1788.000000	1961.000000	TANG FM	FORMATION	161	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	1725.000000	1788.000000	TARE FM	FORMATION	163	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2773.000000	2880.000000	TILJE FM	FORMATION	169	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2639.000000	2670.000000	VIKING GP	GROUP	188	1990-04-30	1513	9999-12-31	2013-05-08
6407/7-2 R	2880.000000	2936.000000	ÅRE FM	FORMATION	197	1990-04-30	1513	9999-12-31	2013-05-08
6507/6-2	1818.000000	1981.000000	BRYGGE FM	FORMATION	18	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	3853.000000	4354.000000	BÅT GP	GROUP	22	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	2663.000000	3174.000000	CROMER KNOLL GP	GROUP	23	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	3727.000000	3853.000000	FANGST GP	GROUP	38	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	3727.000000	3781.000000	GARN FM	FORMATION	48	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	1818.000000	1981.000000	HORDALAND GP	GROUP	67	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	3812.000000	3853.000000	ILE FM	FORMATION	70	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	1395.000000	1818.000000	KAI FM	FORMATION	77	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	2663.000000	3154.000000	LANGE FM	FORMATION	94	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	3154.000000	3174.000000	LYR FM	FORMATION	98	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	3276.000000	3727.000000	MELKE FM	FORMATION	105	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	333.000000	1395.000000	NAUST FM	FORMATION	109	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	333.000000	1818.000000	NORDLAND GP	GROUP	113	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	3781.000000	3812.000000	NOT FM	FORMATION	120	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	1981.000000	2092.000000	ROGALAND GP	GROUP	131	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	3853.000000	3904.000000	ROR FM	FORMATION	135	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	2092.000000	2663.000000	SHETLAND GP	GROUP	143	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	3174.000000	3276.000000	SPEKK FM	FORMATION	155	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	2039.000000	2092.000000	TANG FM	FORMATION	161	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	1981.000000	2039.000000	TARE FM	FORMATION	163	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	3904.000000	4014.000000	TILJE FM	FORMATION	169	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	3174.000000	3727.000000	VIKING GP	GROUP	188	1991-07-16	1520	9999-12-31	2013-05-08
6507/6-2	4014.000000	4354.000000	ÅRE FM	FORMATION	197	1991-07-16	1520	9999-12-31	2013-05-08
1/3-6	2823.000000	2836.000000	BALDER FM	FORMATION	6	1991-06-22	1521	9999-12-31	2013-05-08
1/3-6	3103.000000	3201.000000	EKOFISK FM	FORMATION	33	1991-06-22	1521	9999-12-31	2013-05-08
1/3-6	2914.000000	2999.000000	FORTIES FM	FORMATION	44	1991-06-22	1521	9999-12-31	2013-05-08
1/3-6	3530.000000	3586.000000	HOD FM	FORMATION	66	1991-06-22	1521	9999-12-31	2013-05-08
1/3-6	1600.000000	2823.000000	HORDALAND GP	GROUP	67	1991-06-22	1521	9999-12-31	2013-05-08
1/3-6	97.000000	1600.000000	NORDLAND GP	GROUP	113	1991-06-22	1521	9999-12-31	2013-05-08
1/3-6	2823.000000	3103.000000	ROGALAND GP	GROUP	131	1991-06-22	1521	9999-12-31	2013-05-08
1/3-6	2836.000000	2914.000000	SELE FM	FORMATION	142	1991-06-22	1521	9999-12-31	2013-05-08
1/3-6	3103.000000	3586.000000	SHETLAND GP	GROUP	143	1991-06-22	1521	9999-12-31	2013-05-08
1/3-6	3201.000000	3530.000000	TOR FM	FORMATION	171	1991-06-22	1521	9999-12-31	2013-05-08
1/3-6	2999.000000	3103.000000	VÅLE FM	FORMATION	190	1991-06-22	1521	9999-12-31	2013-05-08
35/11-4	2918.000000	3023.000000	AMUNDSEN FM	FORMATION	4	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1397.000000	1448.000000	BALDER FM	FORMATION	6	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	2624.000000	2785.000000	BRENT GP	GROUP	16	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	2825.000000	2918.000000	COOK FM	FORMATION	24	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	2785.000000	2825.000000	DRAKE FM	FORMATION	27	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1966.000000	1984.000000	DRAUPNE FM	FORMATION	28	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	2785.000000	3082.000000	DUNLIN GP	GROUP	29	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	2656.000000	2686.000000	ETIVE FM	FORMATION	35	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	2284.000000	2365.000000	FENSFJORD FM	FORMATION	40	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	2116.000000	2284.000000	HEATHER FM	FORMATION	60	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	2365.000000	2624.000000	HEATHER FM	FORMATION	60	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	734.000000	1397.000000	HORDALAND GP	GROUP	67	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	3023.000000	3082.000000	JOHANSEN FM	FORMATION	73	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1835.000000	1900.000000	JORSALFARE FM	FORMATION	74	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1900.000000	1966.000000	KYRRE FM	FORMATION	92	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1561.000000	1646.000000	LISTA FM	FORMATION	95	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1710.000000	1760.000000	LISTA FM	FORMATION	95	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	2624.000000	2656.000000	NESS FM	FORMATION	110	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1646.000000	1710.000000	NO FORMAL NAME	FORMATION	111	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	372.000000	734.000000	NORDLAND GP	GROUP	113	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	2707.000000	2785.000000	OSEBERG FM	FORMATION	123	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	2686.000000	2707.000000	RANNOCH FM	FORMATION	126	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1397.000000	1835.000000	ROGALAND GP	GROUP	131	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1448.000000	1561.000000	SELE FM	FORMATION	142	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1835.000000	1966.000000	SHETLAND GP	GROUP	143	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1984.000000	2116.000000	SOGNEFJORD FM	FORMATION	151	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	3082.000000	3127.000000	STATFJORD FM	FORMATION	157	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	707.000000	734.000000	UTSIRA FM	FORMATION	183	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1966.000000	2624.000000	VIKING GP	GROUP	188	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	1760.000000	1835.000000	VÅLE FM	FORMATION	190	1990-12-29	1523	9999-12-31	2013-05-08
35/11-4	3082.000000	3127.000000	NO GROUP DEFINED	GROUP	208	1990-12-29	1523	9999-12-31	2013-05-08
15/12-6 S	2311.000000	2323.000000	BALDER FM	FORMATION	6	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2708.000000	2732.000000	BLODØKS FM	FORMATION	13	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2732.000000	2746.000000	CROMER KNOLL GP	GROUP	23	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2746.000000	2834.000000	DRAUPNE FM	FORMATION	28	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2834.000000	2871.000000	HEATHER FM	FORMATION	60	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2548.000000	2708.000000	HOD FM	FORMATION	66	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	1252.000000	2311.000000	HORDALAND GP	GROUP	67	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2871.000000	2949.000000	HUGIN FM	FORMATION	69	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2351.000000	2421.000000	LISTA FM	FORMATION	95	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	107.000000	1252.000000	NORDLAND GP	GROUP	113	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2311.000000	2428.000000	ROGALAND GP	GROUP	131	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2323.000000	2351.000000	SELE FM	FORMATION	142	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2428.000000	2732.000000	SHETLAND GP	GROUP	143	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2979.000000	3050.000000	SKAGERRAK FM	FORMATION	146	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2949.000000	2979.000000	SLEIPNER FM	FORMATION	148	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2428.000000	2548.000000	TOR FM	FORMATION	171	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	1195.000000	1252.000000	UTSIRA FM	FORMATION	183	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2871.000000	2979.000000	VESTLAND GP	GROUP	186	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2746.000000	2871.000000	VIKING GP	GROUP	188	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2421.000000	2428.000000	VÅLE FM	FORMATION	190	1990-11-04	1524	9999-12-31	2013-05-08
15/12-6 S	2979.000000	3050.000000	NO GROUP DEFINED	GROUP	208	1990-11-04	1524	9999-12-31	2013-05-08
2/6-4 S	2755.000000	2767.000000	BALDER FM	FORMATION	6	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	3542.000000	3606.000000	BRYNE FM	FORMATION	19	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	2858.000000	2923.000000	EKOFISK FM	FORMATION	33	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	3402.000000	3537.000000	FARSUND FM	FORMATION	39	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	3171.000000	3402.000000	HOD FM	FORMATION	66	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	1442.000000	2755.000000	HORDALAND GP	GROUP	67	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	2799.000000	2826.000000	LISTA FM	FORMATION	95	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	3537.000000	3542.000000	NO FORMAL NAME	FORMATION	111	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	77.000000	1442.000000	NORDLAND GP	GROUP	113	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	2755.000000	2858.000000	ROGALAND GP	GROUP	131	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	2767.000000	2799.000000	SELE FM	FORMATION	142	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	2858.000000	3542.000000	SHETLAND GP	GROUP	143	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	3606.000000	3615.000000	SMITH BANK FM	FORMATION	149	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	2923.000000	3171.000000	TOR FM	FORMATION	171	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	3542.000000	3606.000000	VESTLAND GP	GROUP	186	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	2826.000000	2858.000000	VÅLE FM	FORMATION	190	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	3615.000000	3617.000000	ZECHSTEIN GP	GROUP	194	1990-06-02	1527	9999-12-31	2013-05-08
2/6-4 S	3606.000000	3615.000000	NO GROUP DEFINED	GROUP	208	1990-06-02	1527	9999-12-31	2013-05-08
34/10-33 CR	1821.000000	1897.000000	BALDER FM	FORMATION	6	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3215.000000	3722.000000	BRENT GP	GROUP	16	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3008.000000	3012.000000	CROMER KNOLL GP	GROUP	23	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3722.000000	3752.000000	DRAKE FM	FORMATION	27	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3012.000000	3045.000000	DRAUPNE FM	FORMATION	28	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3722.000000	3752.000000	DUNLIN GP	GROUP	29	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3601.000000	3617.000000	ETIVE FM	FORMATION	35	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3045.000000	3215.000000	HEATHER FM	FORMATION	60	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	974.000000	1821.000000	HORDALAND GP	GROUP	67	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	2048.000000	2340.000000	JORSALFARE FM	FORMATION	74	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	2340.000000	3008.000000	KYRRE FM	FORMATION	92	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	1897.000000	2048.000000	LISTA FM	FORMATION	95	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3008.000000	3012.000000	MIME FM	FORMATION	106	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3345.000000	3601.000000	NESS FM	FORMATION	110	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	950.000000	974.000000	NO FORMAL NAME	FORMATION	111	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	1029.000000	1139.000000	NO FORMAL NAME	FORMATION	111	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	1139.000000	1247.000000	NO FORMAL NAME	FORMATION	111	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	1247.000000	1514.000000	NO FORMAL NAME	FORMATION	111	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	1514.000000	1562.000000	NO FORMAL NAME	FORMATION	111	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	1562.000000	1610.000000	NO FORMAL NAME	FORMATION	111	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	1610.000000	1821.000000	NO FORMAL NAME	FORMATION	111	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	157.000000	974.000000	NORDLAND GP	GROUP	113	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3617.000000	3722.000000	RANNOCH FM	FORMATION	126	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	1821.000000	2048.000000	ROGALAND GP	GROUP	131	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	2048.000000	3008.000000	SHETLAND GP	GROUP	143	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3215.000000	3345.000000	TARBERT FM	FORMATION	162	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	909.000000	950.000000	UTSIRA FM	FORMATION	183	1990-04-27	1530	9999-12-31	2013-05-08
34/10-33 CR	3012.000000	3215.000000	VIKING GP	GROUP	188	1990-04-27	1530	9999-12-31	2013-05-08
6507/3-1	1610.000000	1887.000000	BRYGGE FM	FORMATION	18	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3723.000000	4757.000000	BÅT GP	GROUP	22	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	2845.000000	3088.000000	CROMER KNOLL GP	GROUP	23	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3608.000000	3723.000000	FANGST GP	GROUP	38	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3608.000000	3635.000000	GARN FM	FORMATION	48	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	1610.000000	1887.000000	HORDALAND GP	GROUP	67	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3665.000000	3723.000000	ILE FM	FORMATION	70	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	1305.000000	1610.000000	KAI FM	FORMATION	77	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	2809.000000	2845.000000	KVITNOS FM	FORMATION	91	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	2845.000000	3018.000000	LANGE FM	FORMATION	94	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3018.000000	3088.000000	LYR FM	FORMATION	98	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3122.000000	3608.000000	MELKE FM	FORMATION	105	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	393.000000	1305.000000	NAUST FM	FORMATION	109	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	2106.000000	2809.000000	NISE FM	FORMATION	112	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	393.000000	1610.000000	NORDLAND GP	GROUP	113	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3635.000000	3665.000000	NOT FM	FORMATION	120	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	1887.000000	1984.000000	ROGALAND GP	GROUP	131	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3723.000000	3743.000000	ROR FM	FORMATION	135	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3763.000000	3776.000000	ROR FM	FORMATION	135	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	1984.000000	2845.000000	SHETLAND GP	GROUP	143	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3088.000000	3122.000000	SPEKK FM	FORMATION	155	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	1984.000000	2106.000000	SPRINGAR FM	FORMATION	156	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	1923.000000	1984.000000	TANG FM	FORMATION	161	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	1887.000000	1923.000000	TARE FM	FORMATION	163	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3776.000000	3976.000000	TILJE FM	FORMATION	169	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3743.000000	3763.000000	TOFTE FM	FORMATION	170	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3088.000000	3608.000000	VIKING GP	GROUP	188	1990-10-26	1533	9999-12-31	2013-05-08
6507/3-1	3976.000000	4757.000000	ÅRE FM	FORMATION	197	1990-10-26	1533	9999-12-31	2013-05-08
25/1-7 R4	2177.000000	2182.000000	BALDER FM	FORMATION	6	1990-04-05	1534	9999-12-31	2013-05-08
25/1-7 R4	2212.000000	2287.000000	BALDER FM	FORMATION	6	1990-04-05	1534	9999-12-31	2013-05-08
25/1-7 R4	2182.000000	2212.000000	INTRA BALDER FM SS	FORMATION	7	1990-04-05	1534	9999-12-31	2013-05-08
25/1-7 R4	1916.000000	2177.000000	FRIGG FM	FORMATION	45	1990-04-05	1534	9999-12-31	2013-05-08
25/1-7 R4	2287.000000	2436.000000	HERMOD FM	FORMATION	64	1990-04-05	1534	9999-12-31	2013-05-08
25/1-7 R4	743.000000	2177.000000	HORDALAND GP	GROUP	67	1990-04-05	1534	9999-12-31	2013-05-08
25/1-7 R4	2707.000000	2716.000000	JORSALFARE FM	FORMATION	74	1990-04-05	1534	9999-12-31	2013-05-08
25/1-7 R4	2436.000000	2677.000000	LISTA FM	FORMATION	95	1990-04-05	1534	9999-12-31	2013-05-08
25/1-7 R4	123.000000	743.000000	NORDLAND GP	GROUP	113	1990-04-05	1534	9999-12-31	2013-05-08
25/1-7 R4	2177.000000	2707.000000	ROGALAND GP	GROUP	131	1990-04-05	1534	9999-12-31	2013-05-08
25/1-7 R4	2707.000000	2716.000000	SHETLAND GP	GROUP	143	1990-04-05	1534	9999-12-31	2013-05-08
25/1-7 R4	2677.000000	2707.000000	VÅLE FM	FORMATION	190	1990-04-05	1534	9999-12-31	2013-05-08
34/7-17 A	1699.000000	1770.000000	BALDER FM	FORMATION	6	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	2495.000000	2650.000000	BRENT GP	GROUP	16	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	2483.000000	2495.000000	CROMER KNOLL GP	GROUP	23	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	2572.000000	2650.000000	ETIVE FM	FORMATION	35	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	1079.000000	1699.000000	HORDALAND GP	GROUP	67	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	1924.000000	2126.000000	JORSALFARE FM	FORMATION	74	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	2126.000000	2483.000000	KYRRE FM	FORMATION	92	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	1770.000000	1924.000000	LISTA FM	FORMATION	95	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	2487.000000	2495.000000	MIME FM	FORMATION	106	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	2521.000000	2572.000000	NESS FM	FORMATION	110	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	1257.000000	1331.000000	NO FORMAL NAME	FORMATION	111	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	1331.000000	1403.000000	NO FORMAL NAME	FORMATION	111	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	1403.000000	1423.000000	NO FORMAL NAME	FORMATION	111	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	1423.000000	1699.000000	NO FORMAL NAME	FORMATION	111	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	285.000000	1079.000000	NORDLAND GP	GROUP	113	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	1699.000000	1924.000000	ROGALAND GP	GROUP	131	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	2483.000000	2487.000000	RØDBY FM	FORMATION	137	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	1924.000000	2483.000000	SHETLAND GP	GROUP	143	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	2495.000000	2521.000000	TARBERT FM	FORMATION	162	1991-05-04	1536	9999-12-31	2013-05-08
34/7-17 A	944.000000	1079.000000	UTSIRA FM	FORMATION	183	1991-05-04	1536	9999-12-31	2013-05-08
6406/11-1 S	1397.000000	2143.000000	BRYGGE FM	FORMATION	18	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3722.000000	4134.000000	BÅT GP	GROUP	22	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3205.000000	3419.000000	CROMER KNOLL GP	GROUP	23	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3522.000000	3722.000000	FANGST GP	GROUP	38	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	4134.000000	4149.000000	GREY BEDS (INFORMAL)	GROUP	52	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	1397.000000	2143.000000	HORDALAND GP	GROUP	67	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3599.000000	3722.000000	ILE FM	FORMATION	70	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	1191.000000	1397.000000	KAI FM	FORMATION	77	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	2770.000000	3205.000000	KVITNOS FM	FORMATION	91	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3205.000000	3370.000000	LANGE FM	FORMATION	94	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3370.000000	3419.000000	LYR FM	FORMATION	98	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3419.000000	3522.000000	MELKE FM	FORMATION	105	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	341.000000	1191.000000	NAUST FM	FORMATION	109	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	2371.000000	2770.000000	NISE FM	FORMATION	112	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	341.000000	1397.000000	NORDLAND GP	GROUP	113	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3522.000000	3599.000000	NOT FM	FORMATION	120	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	4149.000000	4185.000000	RED BEDS (INFORMAL)	GROUP	129	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	2143.000000	2335.000000	ROGALAND GP	GROUP	131	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3722.000000	3787.000000	ROR FM	FORMATION	135	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3822.000000	3871.000000	ROR FM	FORMATION	135	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	2335.000000	3205.000000	SHETLAND GP	GROUP	143	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	2335.000000	2371.000000	SPRINGAR FM	FORMATION	156	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	2190.000000	2335.000000	TANG FM	FORMATION	161	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	2143.000000	2190.000000	TARE FM	FORMATION	163	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3871.000000	3985.000000	TILJE FM	FORMATION	169	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3787.000000	3822.000000	TOFTE FM	FORMATION	170	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3419.000000	3522.000000	VIKING GP	GROUP	188	1991-02-18	1539	9999-12-31	2013-05-08
6406/11-1 S	3985.000000	4134.000000	ÅRE FM	FORMATION	197	1991-02-18	1539	9999-12-31	2013-05-08
34/7-15 S	1804.000000	1832.000000	BALDER FM	FORMATION	6	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	4376.000000	4571.000000	BRENT GP	GROUP	16	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3165.000000	3440.000000	CROMER KNOLL GP	GROUP	23	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3550.000000	3555.000000	INTRA DRAUPNE FM SS	FORMATION	26	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3581.000000	3590.000000	INTRA DRAUPNE FM SS	FORMATION	26	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3597.000000	3601.000000	INTRA DRAUPNE FM SS	FORMATION	26	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3656.000000	3667.000000	INTRA DRAUPNE FM SS	FORMATION	26	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3675.000000	3677.000000	INTRA DRAUPNE FM SS	FORMATION	26	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3802.000000	3805.000000	INTRA DRAUPNE FM SS	FORMATION	26	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3846.000000	3848.000000	INTRA DRAUPNE FM SS	FORMATION	26	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	4571.000000	4646.000000	DRAKE FM	FORMATION	27	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3440.000000	3550.000000	DRAUPNE FM	FORMATION	28	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3555.000000	3581.000000	DRAUPNE FM	FORMATION	28	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3590.000000	3597.000000	DRAUPNE FM	FORMATION	28	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3601.000000	3656.000000	DRAUPNE FM	FORMATION	28	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3667.000000	3675.000000	DRAUPNE FM	FORMATION	28	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3677.000000	3802.000000	DRAUPNE FM	FORMATION	28	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3805.000000	3846.000000	DRAUPNE FM	FORMATION	28	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3848.000000	3855.000000	DRAUPNE FM	FORMATION	28	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	4571.000000	4646.000000	DUNLIN GP	GROUP	29	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	4460.000000	4513.000000	ETIVE FM	FORMATION	35	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3901.000000	3908.000000	INTRA HEATHER FM SS	FORMATION	59	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	4120.000000	4123.000000	INTRA HEATHER FM SS	FORMATION	59	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	4168.000000	4172.000000	INTRA HEATHER FM SS	FORMATION	59	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3855.000000	3901.000000	HEATHER FM	FORMATION	60	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3908.000000	4120.000000	HEATHER FM	FORMATION	60	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	4123.000000	4168.000000	HEATHER FM	FORMATION	60	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	4172.000000	4376.000000	HEATHER FM	FORMATION	60	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	1114.000000	1804.000000	HORDALAND GP	GROUP	67	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	1977.000000	2246.000000	JORSALFARE FM	FORMATION	74	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	2246.000000	2957.000000	KYRRE FM	FORMATION	92	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	1832.000000	1977.000000	LISTA FM	FORMATION	95	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3397.000000	3440.000000	MIME FM	FORMATION	106	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	4434.000000	4460.000000	NESS FM	FORMATION	110	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	1367.000000	1450.000000	NO FORMAL NAME	FORMATION	111	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	1450.000000	1804.000000	NO FORMAL NAME	FORMATION	111	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	332.000000	1114.000000	NORDLAND GP	GROUP	113	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	4513.000000	4571.000000	RANNOCH FM	FORMATION	126	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	1804.000000	1977.000000	ROGALAND GP	GROUP	131	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	1977.000000	3165.000000	SHETLAND GP	GROUP	143	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	2957.000000	3165.000000	SVARTE FM	FORMATION	160	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	4376.000000	4434.000000	TARBERT FM	FORMATION	162	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	996.000000	1114.000000	UTSIRA FM	FORMATION	183	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3440.000000	4376.000000	VIKING GP	GROUP	188	1990-09-03	1544	9999-12-31	2013-05-08
34/7-15 S	3165.000000	3397.000000	ÅSGARD FM	FORMATION	198	1990-09-03	1544	9999-12-31	2013-05-08
2/7-23 S	3090.000000	3108.000000	BALDER FM	FORMATION	6	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	3160.000000	3202.000000	BALDER FM	FORMATION	6	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	4143.000000	4150.000000	BLODØKS FM	FORMATION	13	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	4213.000000	4408.000000	CROMER KNOLL GP	GROUP	23	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	3231.000000	3315.000000	EKOFISK FM	FORMATION	33	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	4150.000000	4213.000000	HIDRA FM	FORMATION	65	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	3577.000000	4143.000000	HOD FM	FORMATION	66	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	1609.000000	3090.000000	HORDALAND GP	GROUP	67	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	4408.000000	4412.000000	MANDAL FM	FORMATION	101	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	100.000000	1609.000000	NORDLAND GP	GROUP	113	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	3090.000000	3231.000000	ROGALAND GP	GROUP	131	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	4213.000000	4301.000000	RØDBY FM	FORMATION	137	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	3108.000000	3160.000000	SELE FM	FORMATION	142	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	3231.000000	4213.000000	SHETLAND GP	GROUP	143	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	4301.000000	4322.000000	SOLA FM	FORMATION	152	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	3315.000000	3577.000000	TOR FM	FORMATION	171	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	4408.000000	4412.000000	TYNE GP	GROUP	177	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	3202.000000	3231.000000	VÅLE FM	FORMATION	190	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	4322.000000	4408.000000	ÅSGARD FM	FORMATION	198	1990-11-21	1547	9999-12-31	2013-05-08
2/7-23 S	4412.000000	4760.000000	NO GROUP DEFINED	GROUP	208	1990-11-21	1547	9999-12-31	2013-05-08
2/4-14 R2	3142.000000	3162.000000	BALDER FM	FORMATION	6	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	4542.000000	4561.000000	BLODØKS FM	FORMATION	13	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	4634.000000	4702.000000	CROMER KNOLL GP	GROUP	23	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	3318.000000	3443.000000	EKOFISK FM	FORMATION	33	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	4561.000000	4634.000000	HIDRA FM	FORMATION	65	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	4010.000000	4542.000000	HOD FM	FORMATION	66	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	1766.000000	3142.000000	HORDALAND GP	GROUP	67	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	3176.000000	3217.000000	LISTA FM	FORMATION	95	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	3262.000000	3307.000000	LISTA FM	FORMATION	95	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	4702.000000	4729.000000	MANDAL FM	FORMATION	101	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	94.000000	1766.000000	NORDLAND GP	GROUP	113	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	3142.000000	3318.000000	ROGALAND GP	GROUP	131	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	4634.000000	4654.000000	RØDBY FM	FORMATION	137	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	3162.000000	3176.000000	SELE FM	FORMATION	142	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	3318.000000	4634.000000	SHETLAND GP	GROUP	143	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	3443.000000	4010.000000	TOR FM	FORMATION	171	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	4702.000000	4729.000000	TYNE GP	GROUP	177	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	3217.000000	3262.000000	VIDAR FM	FORMATION	187	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	3307.000000	3318.000000	VÅLE FM	FORMATION	190	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	4729.000000	4734.000000	UNDEFINED GP	GROUP	191	1990-04-14	1548	9999-12-31	2013-05-08
2/4-14 R2	4654.000000	4702.000000	ÅSGARD FM	FORMATION	198	1990-04-14	1548	9999-12-31	2013-05-08
6201/11-2	3668.000000	3697.000000	DRAKE FM	FORMATION	27	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	3339.000000	3544.000000	DRAUPNE FM	FORMATION	28	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	3668.000000	3697.000000	DUNLIN GP	GROUP	29	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	3544.000000	3668.000000	HEATHER FM	FORMATION	60	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	3726.000000	3778.000000	HEATHER FM	FORMATION	60	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	3697.000000	3726.000000	HEGRE GP	GROUP	61	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	1224.000000	1815.000000	HORDALAND GP	GROUP	67	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	2042.000000	2220.000000	JORSALFARE FM	FORMATION	74	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	2220.000000	3339.000000	KYRRE FM	FORMATION	92	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	1909.000000	2042.000000	LISTA FM	FORMATION	95	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	3697.000000	3726.000000	LUNDE FM	FORMATION	97	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	396.000000	1224.000000	NORDLAND GP	GROUP	113	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	1815.000000	2042.000000	ROGALAND GP	GROUP	131	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	2042.000000	3339.000000	SHETLAND GP	GROUP	143	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	1200.000000	1224.000000	UTSIRA FM	FORMATION	183	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	3339.000000	3668.000000	VIKING GP	GROUP	188	1991-03-11	1549	9999-12-31	2013-05-08
6201/11-2	3726.000000	3778.000000	VIKING GP	GROUP	188	1991-03-11	1549	9999-12-31	2013-05-08
34/7-16	2685.000000	2700.000000	AMUNDSEN FM	FORMATION	4	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	1678.000000	1734.000000	BALDER FM	FORMATION	6	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	2390.000000	2514.000000	BRENT GP	GROUP	16	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	2660.000000	2685.000000	BURTON FM	FORMATION	20	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	2379.000000	2390.000000	CROMER KNOLL GP	GROUP	23	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	2603.000000	2660.000000	COOK FM	FORMATION	24	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	2514.000000	2603.000000	DRAKE FM	FORMATION	27	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	2514.000000	2700.000000	DUNLIN GP	GROUP	29	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	2390.000000	2434.000000	ETIVE FM	FORMATION	35	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	1082.000000	1678.000000	HORDALAND GP	GROUP	67	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	1861.000000	2150.000000	JORSALFARE FM	FORMATION	74	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	2150.000000	2379.000000	KYRRE FM	FORMATION	92	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	1734.000000	1861.000000	LISTA FM	FORMATION	95	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	2386.000000	2390.000000	MIME FM	FORMATION	106	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	1271.000000	1307.000000	NO FORMAL NAME	FORMATION	111	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	1307.000000	1513.000000	NO FORMAL NAME	FORMATION	111	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	1513.000000	1560.000000	NO FORMAL NAME	FORMATION	111	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	1560.000000	1678.000000	NO FORMAL NAME	FORMATION	111	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	311.000000	1082.000000	NORDLAND GP	GROUP	113	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	2434.000000	2514.000000	RANNOCH FM	FORMATION	126	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	1678.000000	1861.000000	ROGALAND GP	GROUP	131	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	2379.000000	2386.000000	RØDBY FM	FORMATION	137	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	1861.000000	2379.000000	SHETLAND GP	GROUP	143	1990-08-13	1550	9999-12-31	2013-05-08
34/7-16	976.000000	1082.000000	UTSIRA FM	FORMATION	183	1990-08-13	1550	9999-12-31	2013-05-08
6306/10-1	2980.000000	3187.000000	BASEMENT	GROUP	10	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	275.000000	610.000000	BRYGGE FM	FORMATION	18	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	1992.000000	2692.000000	CROMER KNOLL GP	GROUP	23	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	1138.000000	1285.000000	EGGA FM (INFORMAL)	FORMATION	31	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	2781.000000	2980.000000	FANGST GP	GROUP	38	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	2781.000000	2980.000000	GARN FM	FORMATION	48	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	275.000000	610.000000	HORDALAND GP	GROUP	67	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	1750.000000	1825.000000	KVITNOS FM	FORMATION	91	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	1885.000000	1992.000000	KVITNOS FM	FORMATION	91	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	1999.000000	2692.000000	LANGE FM	FORMATION	94	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	1992.000000	1999.000000	LYSING FM	FORMATION	99	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	2692.000000	2781.000000	MELKE FM	FORMATION	105	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	1825.000000	1885.000000	NO FORMAL NAME	FORMATION	111	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	1525.000000	1750.000000	NISE FM	FORMATION	112	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	108.000000	275.000000	NORDLAND GP	GROUP	113	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	610.000000	1285.000000	ROGALAND GP	GROUP	131	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	1285.000000	1992.000000	SHETLAND GP	GROUP	143	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	1285.000000	1525.000000	SPRINGAR FM	FORMATION	156	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	610.000000	1138.000000	TANG FM	FORMATION	161	1990-12-17	1551	9999-12-31	2013-05-08
6306/10-1	2692.000000	2781.000000	VIKING GP	GROUP	188	1990-12-17	1551	9999-12-31	2013-05-08
2/8-14	2567.000000	2576.000000	BALDER FM	FORMATION	6	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2842.000000	2847.000000	BLODØKS FM	FORMATION	13	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2874.000000	3188.000000	CROMER KNOLL GP	GROUP	23	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	3257.000000	4392.000000	FARSUND FM	FORMATION	39	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2847.000000	2874.000000	HIDRA FM	FORMATION	65	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2617.000000	2842.000000	HOD FM	FORMATION	66	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	1522.000000	2567.000000	HORDALAND GP	GROUP	67	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2592.000000	2614.000000	LISTA FM	FORMATION	95	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	3189.000000	3257.000000	MANDAL FM	FORMATION	101	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	89.000000	1522.000000	NORDLAND GP	GROUP	113	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2567.000000	2614.000000	ROGALAND GP	GROUP	131	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2874.000000	2901.000000	RØDBY FM	FORMATION	137	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2576.000000	2592.000000	SELE FM	FORMATION	142	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2614.000000	2874.000000	SHETLAND GP	GROUP	143	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2901.000000	2936.000000	SOLA FM	FORMATION	152	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2614.000000	2617.000000	TOR FM	FORMATION	171	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2936.000000	2984.000000	TUXEN FM	FORMATION	175	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	3188.000000	4392.000000	TYNE GP	GROUP	177	1991-01-22	1552	9999-12-31	2013-05-08
2/8-14	2984.000000	3188.000000	ÅSGARD FM	FORMATION	198	1991-01-22	1552	9999-12-31	2013-05-08
16/4-2	2199.000000	2270.000000	BALDER FM	FORMATION	6	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2793.000000	2961.000000	CROMER KNOLL GP	GROUP	23	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	3113.000000	3117.000000	INTRA DRAUPNE FM SS	FORMATION	26	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2961.000000	3113.000000	DRAUPNE FM	FORMATION	28	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2585.000000	2629.000000	EKOFISK FM	FORMATION	33	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	1913.000000	2001.000000	GRID FM	FORMATION	53	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2415.000000	2585.000000	HEIMDAL FM	FORMATION	62	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2739.000000	2793.000000	HOD FM	FORMATION	66	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	1068.000000	2199.000000	HORDALAND GP	GROUP	67	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2341.000000	2415.000000	LISTA FM	FORMATION	95	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	1413.000000	1913.000000	NO FORMAL NAME	FORMATION	111	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2001.000000	2199.000000	NO FORMAL NAME	FORMATION	111	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	119.000000	1068.000000	NORDLAND GP	GROUP	113	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2199.000000	2585.000000	ROGALAND GP	GROUP	131	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2270.000000	2341.000000	SELE FM	FORMATION	142	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2585.000000	2793.000000	SHETLAND GP	GROUP	143	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	1319.000000	1413.000000	SKADE FM	FORMATION	145	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2793.000000	2838.000000	SOLA FM	FORMATION	152	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2629.000000	2739.000000	TOR FM	FORMATION	171	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	778.000000	1068.000000	UTSIRA FM	FORMATION	183	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2961.000000	3117.000000	VIKING GP	GROUP	188	1990-07-29	1560	9999-12-31	2013-05-08
16/4-2	2838.000000	2961.000000	ÅSGARD FM	FORMATION	198	1990-07-29	1560	9999-12-31	2013-05-08
7120/10-2	703.000000	2500.000000	ADVENTDALEN GP	GROUP	1	1990-09-05	1561	9999-12-31	2013-05-08
7120/10-2	2303.000000	2500.000000	HEKKINGEN FM	FORMATION	63	1990-09-05	1561	9999-12-31	2013-05-08
7120/10-2	1922.000000	2303.000000	KNURR FM	FORMATION	82	1990-09-05	1561	9999-12-31	2013-05-08
7120/10-2	1442.000000	1922.000000	KOLJE FM	FORMATION	84	1990-09-05	1561	9999-12-31	2013-05-08
7120/10-2	703.000000	1442.000000	KOLMULE FM	FORMATION	85	1990-09-05	1561	9999-12-31	2013-05-08
7120/10-2	647.000000	703.000000	KVITING FM	FORMATION	90	1990-09-05	1561	9999-12-31	2013-05-08
7120/10-2	211.000000	468.000000	NORDLAND GP	GROUP	113	1990-09-05	1561	9999-12-31	2013-05-08
7120/10-2	647.000000	703.000000	NYGRUNNEN GP	GROUP	122	1990-09-05	1561	9999-12-31	2013-05-08
7120/10-2	468.000000	647.000000	SOTBAKKEN GP	GROUP	154	1990-09-05	1561	9999-12-31	2013-05-08
7120/10-2	468.000000	647.000000	TORSK FM	FORMATION	172	1990-09-05	1561	9999-12-31	2013-05-08
7/11-10 S	3177.000000	3205.000000	BALDER FM	FORMATION	6	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	4198.000000	4268.000000	CROMER KNOLL GP	GROUP	23	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	3440.000000	3528.000000	EKOFISK FM	FORMATION	33	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	4311.000000	4341.000000	FARSUND FM	FORMATION	39	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	4148.000000	4198.000000	HIDRA FM	FORMATION	65	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	3947.000000	4148.000000	HOD FM	FORMATION	66	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	1510.000000	3177.000000	HORDALAND GP	GROUP	67	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	3237.000000	3271.000000	LISTA FM	FORMATION	95	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	4268.000000	4311.000000	MANDAL FM	FORMATION	101	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	3271.000000	3440.000000	MAUREEN FM	FORMATION	102	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	126.000000	1510.000000	NORDLAND GP	GROUP	113	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	3177.000000	3440.000000	ROGALAND GP	GROUP	131	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	4198.000000	4268.000000	RØDBY FM	FORMATION	137	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	3205.000000	3237.000000	SELE FM	FORMATION	142	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	3440.000000	4198.000000	SHETLAND GP	GROUP	143	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	4395.000000	4566.000000	SMITH BANK FM	FORMATION	149	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	3528.000000	3947.000000	TOR FM	FORMATION	171	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	4268.000000	4341.000000	TYNE GP	GROUP	177	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	4341.000000	4395.000000	ULA FM	FORMATION	179	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	4341.000000	4395.000000	VESTLAND GP	GROUP	186	1990-09-10	1563	9999-12-31	2013-05-08
7/11-10 S	4395.000000	4566.000000	NO GROUP DEFINED	GROUP	208	1990-09-10	1563	9999-12-31	2013-05-08
35/9-2	658.000000	692.000000	BALDER FM	FORMATION	6	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2856.000000	2885.000000	BASEMENT	GROUP	10	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2615.000000	2680.000000	BRENT GP	GROUP	16	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2016.000000	2058.000000	CROMER KNOLL GP	GROUP	23	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2095.000000	2109.000000	INTRA DRAUPNE FM SS	FORMATION	26	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2680.000000	2694.000000	DRAKE FM	FORMATION	27	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2058.000000	2095.000000	DRAUPNE FM	FORMATION	28	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2680.000000	2754.000000	DUNLIN GP	GROUP	29	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2640.000000	2646.000000	ETIVE FM	FORMATION	35	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2188.000000	2481.000000	FENSFJORD FM	FORMATION	40	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2132.000000	2188.000000	HEATHER FM	FORMATION	60	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2512.000000	2615.000000	HEATHER FM	FORMATION	60	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	573.000000	658.000000	HORDALAND GP	GROUP	67	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	1305.000000	1385.000000	JORSALFARE FM	FORMATION	74	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2481.000000	2512.000000	KROSSFJORD FM	FORMATION	87	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	1385.000000	2016.000000	KYRRE FM	FORMATION	92	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	785.000000	931.000000	LISTA FM	FORMATION	95	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	960.000000	1281.000000	LISTA FM	FORMATION	95	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2615.000000	2640.000000	NESS FM	FORMATION	110	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	573.000000	658.000000	NO FORMAL NAME	FORMATION	111	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	931.000000	960.000000	NO FORMAL NAME	FORMATION	111	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	392.000000	573.000000	NORDLAND GP	GROUP	113	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2646.000000	2680.000000	RANNOCH FM	FORMATION	126	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	658.000000	1305.000000	ROGALAND GP	GROUP	131	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	692.000000	785.000000	SELE FM	FORMATION	142	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	1305.000000	2016.000000	SHETLAND GP	GROUP	143	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2109.000000	2132.000000	SOGNEFJORD FM	FORMATION	151	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2754.000000	2856.000000	STATFJORD FM	FORMATION	157	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2694.000000	2754.000000	UNDIFFERENTIATED	FORMATION	182	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2058.000000	2615.000000	VIKING GP	GROUP	188	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	1281.000000	1305.000000	VÅLE FM	FORMATION	190	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2016.000000	2058.000000	ÅSGARD FM	FORMATION	198	1991-04-03	1600	9999-12-31	2013-05-08
35/9-2	2754.000000	2856.000000	NO GROUP DEFINED	GROUP	208	1991-04-03	1600	9999-12-31	2013-05-08
6407/6-4	1436.000000	1876.000000	BRYGGE FM	FORMATION	18	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2881.000000	3126.000000	BÅT GP	GROUP	22	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2433.000000	2536.000000	CROMER KNOLL GP	GROUP	23	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2651.000000	2881.000000	FANGST GP	GROUP	38	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2651.000000	2752.000000	GARN FM	FORMATION	48	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	1436.000000	1876.000000	HORDALAND GP	GROUP	67	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2791.000000	2881.000000	ILE FM	FORMATION	70	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	1156.000000	1436.000000	KAI FM	FORMATION	77	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2329.000000	2433.000000	KVITNOS FM	FORMATION	91	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2433.000000	2536.000000	LANGE FM	FORMATION	94	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2578.000000	2651.000000	MELKE FM	FORMATION	105	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	243.000000	1156.000000	NAUST FM	FORMATION	109	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2060.000000	2329.000000	NISE FM	FORMATION	112	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	243.000000	1436.000000	NORDLAND GP	GROUP	113	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2752.000000	2791.000000	NOT FM	FORMATION	120	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	1876.000000	2037.000000	ROGALAND GP	GROUP	131	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2881.000000	2933.000000	ROR FM	FORMATION	135	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2037.000000	2433.000000	SHETLAND GP	GROUP	143	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2536.000000	2578.000000	SPEKK FM	FORMATION	155	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2037.000000	2060.000000	SPRINGAR FM	FORMATION	156	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	1948.000000	2037.000000	TANG FM	FORMATION	161	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	1876.000000	1948.000000	TARE FM	FORMATION	163	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2933.000000	3027.000000	TILJE FM	FORMATION	169	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	2536.000000	2651.000000	VIKING GP	GROUP	188	1990-12-13	1604	9999-12-31	2013-05-08
6407/6-4	3027.000000	3126.000000	ÅRE FM	FORMATION	197	1990-12-13	1604	9999-12-31	2013-05-08
7229/11-1	379.000000	1270.000000	ADVENTDALEN GP	GROUP	1	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	3970.000000	4282.000000	BJARMELAND GP	GROUP	12	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	1323.000000	1453.000000	FRUHOLMEN FM	FORMATION	46	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	1267.000000	1270.000000	FUGLEN FM	FORMATION	47	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	4282.000000	4630.000000	GIPSDALEN GP	GROUP	51	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	2804.000000	3879.000000	HAVERT FM	FORMATION	58	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	1212.000000	1267.000000	HEKKINGEN FM	FORMATION	63	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	3970.000000	4046.000000	ISBJØRN FM	FORMATION	72	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	1270.000000	1843.000000	KAPP TOSCANA GP	GROUP	79	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	2353.000000	2804.000000	KLAPPMYSS FM	FORMATION	80	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	1200.000000	1212.000000	KNURR FM	FORMATION	82	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	1843.000000	2353.000000	KOBBE FM	FORMATION	83	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	379.000000	1200.000000	KOLMULE FM	FORMATION	85	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	307.000000	379.000000	NORDLAND GP	GROUP	113	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	1278.000000	1323.000000	NORDMELA FM	FORMATION	118	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	4046.000000	4282.000000	POLARREV FM	FORMATION	124	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	3901.000000	3970.000000	RØYE FM	FORMATION	138	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	1843.000000	3879.000000	SASSENDALEN GP	GROUP	140	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	1453.000000	1843.000000	SNADD FM	FORMATION	150	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	1270.000000	1278.000000	STØ FM	FORMATION	159	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	3879.000000	3970.000000	TEMPELFJORDEN GP	GROUP	167	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	4282.000000	4630.000000	ØRN FM	FORMATION	195	1993-12-15	1643	9999-12-31	2013-05-08
7229/11-1	3879.000000	3901.000000	ØRRET FM	FORMATION	196	1993-12-15	1643	9999-12-31	2013-05-08
25/1-8 SR4	2229.000000	2234.000000	BALDER FM	FORMATION	6	1991-04-14	1644	9999-12-31	2013-05-08
25/1-8 SR4	2247.000000	2326.000000	BALDER FM	FORMATION	6	1991-04-14	1644	9999-12-31	2013-05-08
25/1-8 SR4	2234.000000	2247.000000	INTRA BALDER FM SS	FORMATION	7	1991-04-14	1644	9999-12-31	2013-05-08
25/1-8 SR4	1927.000000	2229.000000	FRIGG FM	FORMATION	45	1991-04-14	1644	9999-12-31	2013-05-08
25/1-8 SR4	2326.000000	2529.000000	HERMOD FM	FORMATION	64	1991-04-14	1644	9999-12-31	2013-05-08
25/1-8 SR4	731.000000	2229.000000	HORDALAND GP	GROUP	67	1991-04-14	1644	9999-12-31	2013-05-08
25/1-8 SR4	2529.000000	2647.000000	LISTA FM	FORMATION	95	1991-04-14	1644	9999-12-31	2013-05-08
25/1-8 SR4	124.000000	731.000000	NORDLAND GP	GROUP	113	1991-04-14	1644	9999-12-31	2013-05-08
25/1-8 SR4	2229.000000	2647.000000	ROGALAND GP	GROUP	131	1991-04-14	1644	9999-12-31	2013-05-08
2/1-9	2898.000000	2915.000000	BALDER FM	FORMATION	6	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3765.000000	3783.000000	BLODØKS FM	FORMATION	13	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	4257.000000	4289.000000	BRYNE FM	FORMATION	19	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3800.000000	4014.000000	CROMER KNOLL GP	GROUP	23	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3168.000000	3256.000000	EKOFISK FM	FORMATION	33	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	4034.000000	4048.000000	FARSUND FM	FORMATION	39	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	2923.000000	2982.000000	FORTIES FM	FORMATION	44	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3783.000000	3800.000000	HIDRA FM	FORMATION	65	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3617.000000	3765.000000	HOD FM	FORMATION	66	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	1814.000000	2898.000000	HORDALAND GP	GROUP	67	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	2982.000000	3055.000000	LISTA FM	FORMATION	95	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3143.000000	3158.000000	LISTA FM	FORMATION	95	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	4014.000000	4034.000000	MANDAL FM	FORMATION	101	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	89.000000	1814.000000	NORDLAND GP	GROUP	113	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	2898.000000	3168.000000	ROGALAND GP	GROUP	131	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3800.000000	3838.000000	RØDBY FM	FORMATION	137	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	2915.000000	2923.000000	SELE FM	FORMATION	142	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3168.000000	3800.000000	SHETLAND GP	GROUP	143	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3838.000000	3852.000000	SOLA FM	FORMATION	152	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3256.000000	3617.000000	TOR FM	FORMATION	171	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3852.000000	3867.000000	TUXEN FM	FORMATION	175	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	4014.000000	4048.000000	TYNE GP	GROUP	177	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	4048.000000	4257.000000	ULA FM	FORMATION	179	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	4048.000000	4289.000000	VESTLAND GP	GROUP	186	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3055.000000	3143.000000	VIDAR FM	FORMATION	187	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3158.000000	3168.000000	VÅLE FM	FORMATION	190	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	4289.000000	4289.000000	ZECHSTEIN GP	GROUP	194	1991-07-06	1667	9999-12-31	2013-05-08
2/1-9	3867.000000	4014.000000	ÅSGARD FM	FORMATION	198	1991-07-06	1667	9999-12-31	2013-05-08
31/5-4 S	1205.000000	1292.000000	BALDER FM	FORMATION	6	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1470.000000	1515.000000	CROMER KNOLL GP	GROUP	23	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1515.000000	1619.000000	DRAUPNE FM	FORMATION	28	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1879.000000	1909.000000	FENSFJORD FM	FORMATION	40	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1449.000000	1461.000000	HARDRÅDE FM	FORMATION	56	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1830.000000	1879.000000	HEATHER FM	FORMATION	60	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	654.000000	1205.000000	HORDALAND GP	GROUP	67	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1393.000000	1449.000000	LISTA FM	FORMATION	95	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	340.000000	654.000000	NORDLAND GP	GROUP	113	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1205.000000	1449.000000	ROGALAND GP	GROUP	131	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1470.000000	1507.000000	RØDBY FM	FORMATION	137	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1292.000000	1393.000000	SELE FM	FORMATION	142	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1449.000000	1470.000000	SHETLAND GP	GROUP	143	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1619.000000	1830.000000	SOGNEFJORD FM	FORMATION	151	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1461.000000	1470.000000	UNDIFFERENTIATED	FORMATION	182	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1515.000000	1909.000000	VIKING GP	GROUP	188	1990-10-10	1669	9999-12-31	2013-05-08
31/5-4 S	1507.000000	1515.000000	ÅSGARD FM	FORMATION	198	1990-10-10	1669	9999-12-31	2013-05-08
25/11-14 S	1762.000000	1834.000000	BALDER FM	FORMATION	6	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	1903.000000	1908.000000	HEIMDAL FM	FORMATION	62	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	748.000000	1762.000000	HORDALAND GP	GROUP	67	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	1859.000000	1903.000000	LISTA FM	FORMATION	95	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	729.000000	748.000000	NO FORMAL NAME	FORMATION	111	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	918.000000	1059.000000	NO FORMAL NAME	FORMATION	111	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	1059.000000	1112.000000	NO FORMAL NAME	FORMATION	111	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	1112.000000	1762.000000	NO FORMAL NAME	FORMATION	111	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	152.000000	748.000000	NORDLAND GP	GROUP	113	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	1762.000000	1908.000000	ROGALAND GP	GROUP	131	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	1834.000000	1859.000000	SELE FM	FORMATION	142	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	748.000000	918.000000	SKADE FM	FORMATION	145	1990-10-13	1672	9999-12-31	2013-05-08
25/11-14 S	600.000000	729.000000	UTSIRA FM	FORMATION	183	1990-10-13	1672	9999-12-31	2013-05-08
34/7-16 R	2686.000000	2821.000000	AMUNDSEN FM	FORMATION	4	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	1679.000000	1735.000000	BALDER FM	FORMATION	6	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2391.000000	2515.000000	BRENT GP	GROUP	16	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2661.000000	2686.000000	BURTON FM	FORMATION	20	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2380.000000	2391.000000	CROMER KNOLL GP	GROUP	23	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2604.000000	2661.000000	COOK FM	FORMATION	24	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2515.000000	2604.000000	DRAKE FM	FORMATION	27	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2515.000000	2821.000000	DUNLIN GP	GROUP	29	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2391.000000	2435.000000	ETIVE FM	FORMATION	35	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2945.000000	2980.000000	HEGRE GP	GROUP	61	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	1083.000000	1679.000000	HORDALAND GP	GROUP	67	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	1862.000000	2151.000000	JORSALFARE FM	FORMATION	74	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2151.000000	2380.000000	KYRRE FM	FORMATION	92	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	1735.000000	1862.000000	LISTA FM	FORMATION	95	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2945.000000	2980.000000	LUNDE FM	FORMATION	97	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2387.000000	2391.000000	MIME FM	FORMATION	106	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	1272.000000	1308.000000	NO FORMAL NAME	FORMATION	111	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	1308.000000	1514.000000	NO FORMAL NAME	FORMATION	111	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	1514.000000	1561.000000	NO FORMAL NAME	FORMATION	111	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	1561.000000	1679.000000	NO FORMAL NAME	FORMATION	111	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	312.000000	1083.000000	NORDLAND GP	GROUP	113	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2435.000000	2515.000000	RANNOCH FM	FORMATION	126	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	1679.000000	1862.000000	ROGALAND GP	GROUP	131	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2380.000000	2387.000000	RØDBY FM	FORMATION	137	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	1862.000000	2380.000000	SHETLAND GP	GROUP	143	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2821.000000	2945.000000	STATFJORD FM	FORMATION	157	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	977.000000	1083.000000	UTSIRA FM	FORMATION	183	1990-10-15	1677	9999-12-31	2013-05-08
34/7-16 R	2821.000000	2945.000000	NO GROUP DEFINED	GROUP	208	1990-10-15	1677	9999-12-31	2013-05-08
2/7-25 S	3283.000000	3308.000000	BALDER FM	FORMATION	6	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	4506.000000	4512.000000	BLODØKS FM	FORMATION	13	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	4538.000000	4711.000000	CROMER KNOLL GP	GROUP	23	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	3462.000000	3561.000000	EKOFISK FM	FORMATION	33	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	4940.000000	5177.000000	ELDFISK FM	FORMATION	34	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	4828.000000	4940.000000	FARSUND FM	FORMATION	39	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	4512.000000	4538.000000	HIDRA FM	FORMATION	65	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	3898.000000	4506.000000	HOD FM	FORMATION	66	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	1698.000000	3283.000000	HORDALAND GP	GROUP	67	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	3371.000000	3432.000000	LISTA FM	FORMATION	95	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	4711.000000	4828.000000	MANDAL FM	FORMATION	101	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	99.000000	1698.000000	NORDLAND GP	GROUP	113	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	3283.000000	3462.000000	ROGALAND GP	GROUP	131	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	4538.000000	4561.000000	RØDBY FM	FORMATION	137	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	3308.000000	3371.000000	SELE FM	FORMATION	142	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	3462.000000	4538.000000	SHETLAND GP	GROUP	143	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	4561.000000	4584.000000	SOLA FM	FORMATION	152	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	3561.000000	3898.000000	TOR FM	FORMATION	171	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	4584.000000	4634.000000	TUXEN FM	FORMATION	175	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	4711.000000	5177.000000	TYNE GP	GROUP	177	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	3432.000000	3462.000000	VÅLE FM	FORMATION	190	1991-03-31	1679	9999-12-31	2013-05-08
2/7-25 S	4634.000000	4711.000000	ÅSGARD FM	FORMATION	198	1991-03-31	1679	9999-12-31	2013-05-08
15/12-7 S	2358.000000	2379.000000	BALDER FM	FORMATION	6	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	2942.000000	3008.000000	CROMER KNOLL GP	GROUP	23	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	3008.000000	3025.000000	DRAUPNE FM	FORMATION	28	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	2583.000000	2630.000000	EKOFISK FM	FORMATION	33	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	3025.000000	3036.000000	INTRA HEATHER FM SS	FORMATION	59	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	2685.000000	2942.000000	HOD FM	FORMATION	66	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	1284.000000	2358.000000	HORDALAND GP	GROUP	67	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	2460.000000	2549.000000	LISTA FM	FORMATION	95	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	108.000000	1284.000000	NORDLAND GP	GROUP	113	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	2358.000000	2583.000000	ROGALAND GP	GROUP	131	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	2379.000000	2460.000000	SELE FM	FORMATION	142	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	2583.000000	2942.000000	SHETLAND GP	GROUP	143	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	3036.000000	3477.000000	SKAGERRAK FM	FORMATION	146	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	3477.000000	3570.000000	SMITH BANK FM	FORMATION	149	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	2942.000000	2975.000000	SOLA FM	FORMATION	152	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	2630.000000	2685.000000	TOR FM	FORMATION	171	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	1129.000000	1284.000000	UTSIRA FM	FORMATION	183	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	3008.000000	3036.000000	VIKING GP	GROUP	188	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	2549.000000	2583.000000	VÅLE FM	FORMATION	190	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	2975.000000	3008.000000	ÅSGARD FM	FORMATION	198	1991-01-07	1680	9999-12-31	2013-05-08
15/12-7 S	3036.000000	3570.000000	NO GROUP DEFINED	GROUP	208	1991-01-07	1680	9999-12-31	2013-05-08
34/8-4 S	2938.000000	2950.000000	AMUNDSEN FM	FORMATION	4	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	1819.000000	1862.000000	BALDER FM	FORMATION	6	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	2903.000000	2924.000000	BRENT GP	GROUP	16	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	2922.000000	2924.000000	BROOM FM	FORMATION	17	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	2899.000000	2902.000000	CROMER KNOLL GP	GROUP	23	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	2924.000000	2938.000000	DRAKE FM	FORMATION	27	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	2902.000000	2903.000000	DRAUPNE FM	FORMATION	28	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	2924.000000	2950.000000	DUNLIN GP	GROUP	29	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	2950.000000	4150.000000	HEGRE GP	GROUP	61	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	1108.000000	1819.000000	HORDALAND GP	GROUP	67	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	1875.000000	2030.000000	LISTA FM	FORMATION	95	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	3947.000000	4150.000000	LOMVI FM	FORMATION	96	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	2950.000000	3947.000000	LUNDE FM	FORMATION	97	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	332.000000	1108.000000	NORDLAND GP	GROUP	113	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	2903.000000	2922.000000	RANNOCH FM	FORMATION	126	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	1819.000000	2030.000000	ROGALAND GP	GROUP	131	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	1862.000000	1875.000000	SELE FM	FORMATION	142	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	2030.000000	2899.000000	SHETLAND GP	GROUP	143	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	1071.000000	1108.000000	UTSIRA FM	FORMATION	183	1991-06-09	1683	9999-12-31	2013-05-08
34/8-4 S	2902.000000	2903.000000	VIKING GP	GROUP	188	1991-06-09	1683	9999-12-31	2013-05-08
31/5-4 A	1205.000000	1292.000000	BALDER FM	FORMATION	6	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1470.000000	1515.000000	CROMER KNOLL GP	GROUP	23	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1515.000000	1621.000000	DRAUPNE FM	FORMATION	28	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1449.000000	1461.000000	HARDRÅDE FM	FORMATION	56	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	654.000000	1205.000000	HORDALAND GP	GROUP	67	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1393.000000	1449.000000	LISTA FM	FORMATION	95	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	340.000000	654.000000	NORDLAND GP	GROUP	113	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1205.000000	1449.000000	ROGALAND GP	GROUP	131	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1470.000000	1507.000000	RØDBY FM	FORMATION	137	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1292.000000	1393.000000	SELE FM	FORMATION	142	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1449.000000	1470.000000	SHETLAND GP	GROUP	143	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1621.000000	2603.000000	SOGNEFJORD FM	FORMATION	151	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1461.000000	1470.000000	UNDIFFERENTIATED	FORMATION	182	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1515.000000	2603.000000	VIKING GP	GROUP	188	1990-12-13	1689	9999-12-31	2013-05-08
31/5-4 A	1507.000000	1515.000000	ÅSGARD FM	FORMATION	198	1990-12-13	1689	9999-12-31	2013-05-08
7120/2-2	1450.000000	2692.000000	ADVENTDALEN GP	GROUP	1	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	2656.000000	2692.000000	FUGLEN FM	FORMATION	47	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	2503.000000	2656.000000	HEKKINGEN FM	FORMATION	63	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	2692.000000	2794.000000	KAPP TOSCANA GP	GROUP	79	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	2120.000000	2503.000000	KNURR FM	FORMATION	82	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	1948.000000	2120.000000	KOLJE FM	FORMATION	84	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	1450.000000	1948.000000	KOLMULE FM	FORMATION	85	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	1443.000000	1450.000000	KVITING FM	FORMATION	90	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	360.000000	437.000000	NORDLAND GP	GROUP	113	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	1443.000000	1450.000000	NYGRUNNEN GP	GROUP	122	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	437.000000	1443.000000	SOTBAKKEN GP	GROUP	154	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	2692.000000	2794.000000	STØ FM	FORMATION	159	1991-03-23	1690	9999-12-31	2013-05-08
7120/2-2	437.000000	1443.000000	TORSK FM	FORMATION	172	1991-03-23	1690	9999-12-31	2013-05-08
25/5-4	2111.000000	2142.000000	BALDER FM	FORMATION	6	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2941.000000	3052.000000	BURTON FM	FORMATION	20	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2775.000000	2783.000000	CROMER KNOLL GP	GROUP	23	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2783.000000	2860.000000	DRAUPNE FM	FORMATION	28	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2941.000000	3052.000000	DUNLIN GP	GROUP	29	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	1357.000000	1387.000000	GRID FM	FORMATION	53	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2559.000000	2762.000000	HARDRÅDE FM	FORMATION	56	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2860.000000	2895.000000	HEATHER FM	FORMATION	60	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2251.000000	2340.000000	HEIMDAL FM	FORMATION	62	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	1057.000000	2111.000000	HORDALAND GP	GROUP	67	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2895.000000	2920.000000	HUGIN FM	FORMATION	69	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2762.000000	2775.000000	KYRRE FM	FORMATION	92	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2176.000000	2251.000000	LISTA FM	FORMATION	95	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2340.000000	2377.000000	LISTA FM	FORMATION	95	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	1267.000000	1357.000000	NO FORMAL NAME	FORMATION	111	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	1387.000000	2111.000000	NO FORMAL NAME	FORMATION	111	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	145.000000	1057.000000	NORDLAND GP	GROUP	113	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2111.000000	2559.000000	ROGALAND GP	GROUP	131	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2142.000000	2176.000000	SELE FM	FORMATION	142	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2559.000000	2775.000000	SHETLAND GP	GROUP	143	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	1255.000000	1267.000000	SKADE FM	FORMATION	145	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2920.000000	2941.000000	SLEIPNER FM	FORMATION	148	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	3052.000000	3185.000000	STATFJORD FM	FORMATION	157	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2434.000000	2559.000000	TY FM	FORMATION	176	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	294.000000	1057.000000	UTSIRA FM	FORMATION	183	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2895.000000	2941.000000	VESTLAND GP	GROUP	186	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2783.000000	2895.000000	VIKING GP	GROUP	188	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2377.000000	2434.000000	VÅLE FM	FORMATION	190	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	2775.000000	2783.000000	ÅSGARD FM	FORMATION	198	1991-03-07	1691	9999-12-31	2013-05-08
25/5-4	3052.000000	3185.000000	NO GROUP DEFINED	GROUP	208	1991-03-07	1691	9999-12-31	2013-05-08
6407/7-5	1140.000000	1795.000000	BRYGGE FM	FORMATION	18	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	3207.000000	3725.000000	BÅT GP	GROUP	22	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	3003.000000	3120.000000	CROMER KNOLL GP	GROUP	23	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	3154.000000	3207.000000	FANGST GP	GROUP	38	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	1140.000000	1795.000000	HORDALAND GP	GROUP	67	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	3164.000000	3207.000000	ILE FM	FORMATION	70	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	1120.000000	1140.000000	KAI FM	FORMATION	77	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	2532.000000	3003.000000	KVITNOS FM	FORMATION	91	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	3003.000000	3120.000000	LYSING FM	FORMATION	99	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	351.000000	1120.000000	NAUST FM	FORMATION	109	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	2111.000000	2532.000000	NISE FM	FORMATION	112	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	351.000000	1140.000000	NORDLAND GP	GROUP	113	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	3154.000000	3164.000000	NOT FM	FORMATION	120	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	1795.000000	2111.000000	ROGALAND GP	GROUP	131	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	3207.000000	3355.000000	ROR FM	FORMATION	135	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	2111.000000	3003.000000	SHETLAND GP	GROUP	143	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	3120.000000	3154.000000	SPEKK FM	FORMATION	155	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	1864.000000	2111.000000	TANG FM	FORMATION	161	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	1795.000000	1864.000000	TARE FM	FORMATION	163	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	3355.000000	3496.000000	TILJE FM	FORMATION	169	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	3120.000000	3154.000000	VIKING GP	GROUP	188	1991-02-15	1699	9999-12-31	2013-05-08
6407/7-5	3496.000000	3725.000000	ÅRE FM	FORMATION	197	1991-02-15	1699	9999-12-31	2013-05-08
2/4-16	3140.000000	3155.000000	BALDER FM	FORMATION	6	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4575.000000	4598.000000	BLODØKS FM	FORMATION	13	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4877.000000	4996.000000	BRYNE FM	FORMATION	19	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4638.000000	4737.000000	CROMER KNOLL GP	GROUP	23	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	3317.000000	3435.000000	EKOFISK FM	FORMATION	33	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4770.000000	4828.000000	FARSUND FM	FORMATION	39	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4828.000000	4877.000000	HAUGESUND FM	FORMATION	57	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4598.000000	4638.000000	HIDRA FM	FORMATION	65	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	3920.000000	4575.000000	HOD FM	FORMATION	66	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	1798.000000	3140.000000	HORDALAND GP	GROUP	67	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	3189.000000	3238.000000	LISTA FM	FORMATION	95	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	3254.000000	3292.000000	LISTA FM	FORMATION	95	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4737.000000	4770.000000	MANDAL FM	FORMATION	101	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	833.000000	914.000000	NO FORMAL NAME	FORMATION	111	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	914.000000	1798.000000	NO FORMAL NAME	FORMATION	111	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	94.000000	1798.000000	NORDLAND GP	GROUP	113	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	3140.000000	3317.000000	ROGALAND GP	GROUP	131	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4638.000000	4678.000000	RØDBY FM	FORMATION	137	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	3155.000000	3189.000000	SELE FM	FORMATION	142	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	3317.000000	4638.000000	SHETLAND GP	GROUP	143	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	3435.000000	3920.000000	TOR FM	FORMATION	171	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4678.000000	4714.000000	TUXEN FM	FORMATION	175	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4737.000000	4877.000000	TYNE GP	GROUP	177	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4877.000000	4996.000000	VESTLAND GP	GROUP	186	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	3238.000000	3254.000000	VIDAR FM	FORMATION	187	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	3292.000000	3317.000000	VÅLE FM	FORMATION	190	1991-11-04	1702	9999-12-31	2013-05-08
2/4-16	4714.000000	4737.000000	ÅSGARD FM	FORMATION	198	1991-11-04	1702	9999-12-31	2013-05-08
25/4-6 S	2121.000000	2136.000000	BALDER FM	FORMATION	6	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3381.000000	3485.000000	BLODØKS FM	FORMATION	13	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3532.000000	3571.000000	CROMER KNOLL GP	GROUP	23	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3571.000000	3619.000000	DRAUPNE FM	FORMATION	28	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3940.000000	4129.000000	DUNLIN GP	GROUP	29	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	1272.000000	1362.000000	GRID FM	FORMATION	53	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3619.000000	3716.000000	HEATHER FM	FORMATION	60	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	2200.000000	2611.000000	HEIMDAL FM	FORMATION	62	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	976.000000	2121.000000	HORDALAND GP	GROUP	67	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3716.000000	3874.000000	HUGIN FM	FORMATION	69	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	2903.000000	3335.000000	KYRRE FM	FORMATION	92	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	2169.000000	2200.000000	LISTA FM	FORMATION	95	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	1203.000000	1272.000000	NO FORMAL NAME	FORMATION	111	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	1362.000000	2121.000000	NO FORMAL NAME	FORMATION	111	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	136.000000	976.000000	NORDLAND GP	GROUP	113	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	2121.000000	2759.000000	ROGALAND GP	GROUP	131	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3532.000000	3545.000000	RØDBY FM	FORMATION	137	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	2136.000000	2169.000000	SELE FM	FORMATION	142	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	2759.000000	3532.000000	SHETLAND GP	GROUP	143	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	1192.000000	1203.000000	SKADE FM	FORMATION	145	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3874.000000	3940.000000	SLEIPNER FM	FORMATION	148	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3545.000000	3563.000000	SOLA FM	FORMATION	152	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	4129.000000	4170.000000	STATFJORD FM	FORMATION	157	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3485.000000	3532.000000	SVARTE FM	FORMATION	160	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	2759.000000	2903.000000	TOR FM	FORMATION	171	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3335.000000	3381.000000	TRYGGVASON FM	FORMATION	173	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	225.000000	976.000000	UTSIRA FM	FORMATION	183	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3716.000000	3940.000000	VESTLAND GP	GROUP	186	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3571.000000	3716.000000	VIKING GP	GROUP	188	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	2611.000000	2759.000000	VÅLE FM	FORMATION	190	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	3563.000000	3571.000000	ÅSGARD FM	FORMATION	198	1991-08-24	1703	9999-12-31	2013-05-08
25/4-6 S	4129.000000	4170.000000	NO GROUP DEFINED	GROUP	208	1991-08-24	1703	9999-12-31	2013-05-08
6406/12-1 S	1752.000000	2047.000000	BRYGGE FM	FORMATION	18	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	3478.000000	3600.000000	CROMER KNOLL GP	GROUP	23	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	1752.000000	2047.000000	HORDALAND GP	GROUP	67	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	1167.000000	1752.000000	KAI FM	FORMATION	77	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	3095.000000	3478.000000	KVITNOS FM	FORMATION	91	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	3478.000000	3577.000000	LANGE FM	FORMATION	94	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	3577.000000	3600.000000	LYR FM	FORMATION	98	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	3727.000000	3965.000000	MELKE FM	FORMATION	105	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	352.000000	1167.000000	NAUST FM	FORMATION	109	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	2854.000000	3095.000000	NISE FM	FORMATION	112	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	352.000000	1752.000000	NORDLAND GP	GROUP	113	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	2047.000000	2323.000000	ROGALAND GP	GROUP	131	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	3600.000000	3625.000000	ROGN FM	FORMATION	134	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	2323.000000	3478.000000	SHETLAND GP	GROUP	143	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	3625.000000	3727.000000	SPEKK FM	FORMATION	155	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	2323.000000	2854.000000	SPRINGAR FM	FORMATION	156	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	2137.000000	2323.000000	TANG FM	FORMATION	161	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	2047.000000	2137.000000	TARE FM	FORMATION	163	1991-02-28	1711	9999-12-31	2013-05-08
6406/12-1 S	3600.000000	3965.000000	VIKING GP	GROUP	188	1991-02-28	1711	9999-12-31	2013-05-08
25/2-14	2164.000000	2211.000000	BALDER FM	FORMATION	6	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	3029.000000	3060.000000	DRAUPNE FM	FORMATION	28	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	3322.000000	3521.000000	DUNLIN GP	GROUP	29	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	1348.000000	1425.000000	GRID FM	FORMATION	53	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	2552.000000	2844.000000	HARDRÅDE FM	FORMATION	56	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	3060.000000	3135.000000	HEATHER FM	FORMATION	60	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	2211.000000	2242.000000	HERMOD FM	FORMATION	64	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	2259.000000	2304.000000	HERMOD FM	FORMATION	64	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	972.000000	2164.000000	HORDALAND GP	GROUP	67	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	3135.000000	3156.000000	HUGIN FM	FORMATION	69	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	2844.000000	2970.000000	KYRRE FM	FORMATION	92	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	2331.000000	2482.000000	LISTA FM	FORMATION	95	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	1074.000000	1348.000000	NO FORMAL NAME	FORMATION	111	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	1425.000000	2164.000000	NO FORMAL NAME	FORMATION	111	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	139.000000	972.000000	NORDLAND GP	GROUP	113	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	2164.000000	2552.000000	ROGALAND GP	GROUP	131	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	2242.000000	2259.000000	SELE FM	FORMATION	142	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	2304.000000	2331.000000	SELE FM	FORMATION	142	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	2552.000000	3029.000000	SHETLAND GP	GROUP	143	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	985.000000	1074.000000	SKADE FM	FORMATION	145	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	3156.000000	3322.000000	SLEIPNER FM	FORMATION	148	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	3521.000000	3623.000000	STATFJORD FM	FORMATION	157	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	2970.000000	3029.000000	TRYGGVASON FM	FORMATION	173	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	312.000000	972.000000	UTSIRA FM	FORMATION	183	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	3135.000000	3322.000000	VESTLAND GP	GROUP	186	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	3029.000000	3135.000000	VIKING GP	GROUP	188	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	2482.000000	2552.000000	VÅLE FM	FORMATION	190	1991-03-30	1712	9999-12-31	2013-05-08
25/2-14	3521.000000	3623.000000	NO GROUP DEFINED	GROUP	208	1991-03-30	1712	9999-12-31	2013-05-08
34/7-17	2832.000000	2943.000000	AMUNDSEN FM	FORMATION	4	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	1699.000000	1770.000000	BALDER FM	FORMATION	6	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2461.000000	2697.000000	BRENT GP	GROUP	16	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2818.000000	2832.000000	BURTON FM	FORMATION	20	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2444.000000	2451.000000	CROMER KNOLL GP	GROUP	23	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2789.000000	2818.000000	COOK FM	FORMATION	24	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2697.000000	2789.000000	DRAKE FM	FORMATION	27	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2697.000000	2943.000000	DUNLIN GP	GROUP	29	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2559.000000	2631.000000	ETIVE FM	FORMATION	35	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2451.000000	2461.000000	HEATHER FM	FORMATION	60	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	3085.000000	3115.000000	HEGRE GP	GROUP	61	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	1079.000000	1699.000000	HORDALAND GP	GROUP	67	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	1924.000000	2116.000000	JORSALFARE FM	FORMATION	74	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2116.000000	2444.000000	KYRRE FM	FORMATION	92	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	1770.000000	1924.000000	LISTA FM	FORMATION	95	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	3085.000000	3115.000000	LUNDE FM	FORMATION	97	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2448.000000	2451.000000	MIME FM	FORMATION	106	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2510.000000	2559.000000	NESS FM	FORMATION	110	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	1257.000000	1331.000000	NO FORMAL NAME	FORMATION	111	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	1331.000000	1403.000000	NO FORMAL NAME	FORMATION	111	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	1403.000000	1423.000000	NO FORMAL NAME	FORMATION	111	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	1423.000000	1699.000000	NO FORMAL NAME	FORMATION	111	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	285.000000	1079.000000	NORDLAND GP	GROUP	113	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2631.000000	2697.000000	RANNOCH FM	FORMATION	126	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	1699.000000	1924.000000	ROGALAND GP	GROUP	131	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2444.000000	2448.000000	RØDBY FM	FORMATION	137	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	1924.000000	2444.000000	SHETLAND GP	GROUP	143	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2943.000000	3085.000000	STATFJORD FM	FORMATION	157	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2461.000000	2510.000000	TARBERT FM	FORMATION	162	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	944.000000	1079.000000	UTSIRA FM	FORMATION	183	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2451.000000	2461.000000	VIKING GP	GROUP	188	1991-04-07	1713	9999-12-31	2013-05-08
34/7-17	2943.000000	3085.000000	NO GROUP DEFINED	GROUP	208	1991-04-07	1713	9999-12-31	2013-05-08
24/9-4	1974.000000	2098.000000	BALDER FM	FORMATION	6	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	1766.000000	1906.000000	FRIGG FM	FORMATION	45	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	1067.000000	1243.000000	GRID FM	FORMATION	53	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	1332.000000	1371.000000	GRID FM	FORMATION	53	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	740.000000	1974.000000	HORDALAND GP	GROUP	67	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	2170.000000	2208.000000	LISTA FM	FORMATION	95	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	850.000000	1067.000000	NO FORMAL NAME	FORMATION	111	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	1243.000000	1332.000000	NO FORMAL NAME	FORMATION	111	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	1371.000000	1766.000000	NO FORMAL NAME	FORMATION	111	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	1906.000000	1974.000000	NO FORMAL NAME	FORMATION	111	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	144.000000	740.000000	NORDLAND GP	GROUP	113	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	1974.000000	2208.000000	ROGALAND GP	GROUP	131	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	2098.000000	2170.000000	SELE FM	FORMATION	142	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	819.000000	850.000000	SKADE FM	FORMATION	145	1991-06-17	1714	9999-12-31	2013-05-08
24/9-4	273.000000	740.000000	UTSIRA FM	FORMATION	183	1991-06-17	1714	9999-12-31	2013-05-08
2/11-8	2949.000000	2968.000000	BALDER FM	FORMATION	6	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	3852.000000	3869.000000	BLODØKS FM	FORMATION	13	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	3950.000000	4265.000000	CROMER KNOLL GP	GROUP	23	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	3075.000000	3142.000000	EKOFISK FM	FORMATION	33	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	3869.000000	3950.000000	HIDRA FM	FORMATION	65	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	3390.000000	3852.000000	HOD FM	FORMATION	66	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	1510.000000	2949.000000	HORDALAND GP	GROUP	67	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	3014.000000	3055.000000	LISTA FM	FORMATION	95	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	4265.000000	4268.000000	MANDAL FM	FORMATION	101	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	89.000000	1510.000000	NORDLAND GP	GROUP	113	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	2949.000000	3075.000000	ROGALAND GP	GROUP	131	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	3950.000000	3982.000000	RØDBY FM	FORMATION	137	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	2968.000000	3014.000000	SELE FM	FORMATION	142	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	3075.000000	3950.000000	SHETLAND GP	GROUP	143	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	3982.000000	4070.000000	SOLA FM	FORMATION	152	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	3142.000000	3390.000000	TOR FM	FORMATION	171	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	4070.000000	4168.000000	TUXEN FM	FORMATION	175	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	4265.000000	4268.000000	TYNE GP	GROUP	177	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	3055.000000	3075.000000	VÅLE FM	FORMATION	190	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	4168.000000	4265.000000	ÅSGARD FM	FORMATION	198	1991-07-11	1715	9999-12-31	2013-05-08
2/11-8	4268.000000	4584.000000	NO GROUP DEFINED	GROUP	208	1991-07-11	1715	9999-12-31	2013-05-08
30/9-12	2019.000000	2083.000000	BALDER FM	FORMATION	6	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2660.000000	2791.000000	BRENT GP	GROUP	16	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2523.000000	2563.000000	CROMER KNOLL GP	GROUP	23	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2944.000000	2994.000000	COOK FM	FORMATION	24	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2791.000000	2944.000000	DRAKE FM	FORMATION	27	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2563.000000	2609.000000	DRAUPNE FM	FORMATION	28	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2791.000000	2994.000000	DUNLIN GP	GROUP	29	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	1350.000000	1380.000000	GRID FM	FORMATION	53	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2325.000000	2523.000000	HARDRÅDE FM	FORMATION	56	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2609.000000	2660.000000	HEATHER FM	FORMATION	60	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	842.000000	2019.000000	HORDALAND GP	GROUP	67	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2247.000000	2317.000000	LISTA FM	FORMATION	95	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2545.000000	2560.000000	MIME FM	FORMATION	106	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2676.000000	2752.000000	NESS FM	FORMATION	110	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	1012.000000	1350.000000	NO FORMAL NAME	FORMATION	111	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	1380.000000	2019.000000	NO FORMAL NAME	FORMATION	111	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	129.000000	842.000000	NORDLAND GP	GROUP	113	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2019.000000	2325.000000	ROGALAND GP	GROUP	131	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2523.000000	2543.000000	RØDBY FM	FORMATION	137	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2083.000000	2247.000000	SELE FM	FORMATION	142	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2325.000000	2523.000000	SHETLAND GP	GROUP	143	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	980.000000	1012.000000	SKADE FM	FORMATION	145	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2543.000000	2545.000000	SOLA FM	FORMATION	152	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2660.000000	2676.000000	TARBERT FM	FORMATION	162	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2752.000000	2791.000000	UNDIFFERENTIATED	FORMATION	182	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	646.000000	842.000000	UTSIRA FM	FORMATION	183	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2563.000000	2660.000000	VIKING GP	GROUP	188	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2317.000000	2325.000000	VÅLE FM	FORMATION	190	1991-05-09	1717	9999-12-31	2013-05-08
30/9-12	2560.000000	2563.000000	ÅSGARD FM	FORMATION	198	1991-05-09	1717	9999-12-31	2013-05-08
34/8-5	3249.000000	3384.000000	AMUNDSEN FM	FORMATION	4	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	1839.000000	1883.000000	BALDER FM	FORMATION	6	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2855.000000	3049.000000	BRENT GP	GROUP	16	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	3046.000000	3049.000000	BROOM FM	FORMATION	17	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	3186.000000	3249.000000	BURTON FM	FORMATION	20	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2819.000000	2830.000000	CROMER KNOLL GP	GROUP	23	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	3122.000000	3186.000000	COOK FM	FORMATION	24	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	3049.000000	3122.000000	DRAKE FM	FORMATION	27	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2830.000000	2833.000000	DRAUPNE FM	FORMATION	28	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	3049.000000	3384.000000	DUNLIN GP	GROUP	29	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2970.000000	2983.000000	ETIVE FM	FORMATION	35	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2833.000000	2855.000000	HEATHER FM	FORMATION	60	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	3484.000000	3540.000000	HEGRE GP	GROUP	61	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	1118.000000	1839.000000	HORDALAND GP	GROUP	67	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2065.000000	2322.000000	JORSALFARE FM	FORMATION	74	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2322.000000	2819.000000	KYRRE FM	FORMATION	92	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	1918.000000	2065.000000	LISTA FM	FORMATION	95	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	3484.000000	3540.000000	LUNDE FM	FORMATION	97	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2891.000000	2970.000000	NESS FM	FORMATION	110	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	1406.000000	1534.000000	NO FORMAL NAME	FORMATION	111	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	1534.000000	1839.000000	NO FORMAL NAME	FORMATION	111	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	320.000000	1118.000000	NORDLAND GP	GROUP	113	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2983.000000	3046.000000	RANNOCH FM	FORMATION	126	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	1839.000000	2065.000000	ROGALAND GP	GROUP	131	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	1883.000000	1918.000000	SELE FM	FORMATION	142	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2065.000000	2819.000000	SHETLAND GP	GROUP	143	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	3384.000000	3484.000000	STATFJORD FM	FORMATION	157	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2855.000000	2891.000000	TARBERT FM	FORMATION	162	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	1064.000000	1118.000000	UTSIRA FM	FORMATION	183	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	2830.000000	2855.000000	VIKING GP	GROUP	188	1991-04-01	1719	9999-12-31	2013-05-08
34/8-5	3384.000000	3484.000000	NO GROUP DEFINED	GROUP	208	1991-04-01	1719	9999-12-31	2013-05-08
1/9-4 R	2941.000000	2960.000000	BALDER FM	FORMATION	6	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3450.000000	3494.000000	BLODØKS FM	FORMATION	13	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3646.000000	3690.000000	CROMER KNOLL GP	GROUP	23	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3114.000000	3212.000000	EKOFISK FM	FORMATION	33	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3494.000000	3646.000000	HIDRA FM	FORMATION	65	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3312.000000	3450.000000	HOD FM	FORMATION	66	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	1025.000000	2941.000000	HORDALAND GP	GROUP	67	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3021.000000	3091.000000	LISTA FM	FORMATION	95	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	100.000000	1025.000000	NORDLAND GP	GROUP	113	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	2941.000000	3114.000000	ROGALAND GP	GROUP	131	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3646.000000	3665.000000	RØDBY FM	FORMATION	137	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	2960.000000	3021.000000	SELE FM	FORMATION	142	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3114.000000	3646.000000	SHETLAND GP	GROUP	143	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3212.000000	3312.000000	TOR FM	FORMATION	171	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3091.000000	3114.000000	VÅLE FM	FORMATION	190	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3690.000000	3710.000000	ZECHSTEIN GP	GROUP	194	1991-04-26	1727	9999-12-31	2013-05-08
1/9-4 R	3665.000000	3690.000000	ÅSGARD FM	FORMATION	198	1991-04-26	1727	9999-12-31	2013-05-08
6608/10-3	1592.000000	1858.000000	BRYGGE FM	FORMATION	18	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2657.000000	2921.000000	BÅT GP	GROUP	22	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2394.000000	2407.000000	CROMER KNOLL GP	GROUP	23	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2574.000000	2657.000000	FANGST GP	GROUP	38	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2574.000000	2610.000000	GARN FM	FORMATION	48	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	1592.000000	1858.000000	HORDALAND GP	GROUP	67	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2617.000000	2657.000000	ILE FM	FORMATION	70	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	1368.000000	1592.000000	KAI FM	FORMATION	77	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2394.000000	2407.000000	LYR FM	FORMATION	98	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2413.000000	2574.000000	MELKE FM	FORMATION	105	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	402.000000	1368.000000	NAUST FM	FORMATION	109	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2131.000000	2394.000000	NISE FM	FORMATION	112	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	402.000000	1592.000000	NORDLAND GP	GROUP	113	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2610.000000	2617.000000	NOT FM	FORMATION	120	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	1858.000000	1951.000000	ROGALAND GP	GROUP	131	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	1951.000000	2394.000000	SHETLAND GP	GROUP	143	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2407.000000	2413.000000	SPEKK FM	FORMATION	155	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	1951.000000	2131.000000	SPRINGAR FM	FORMATION	156	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	1915.000000	1951.000000	TANG FM	FORMATION	161	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	1858.000000	1915.000000	TARE FM	FORMATION	163	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2712.000000	2791.000000	TILJE FM	FORMATION	169	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2657.000000	2712.000000	TOFTE FM	FORMATION	170	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2407.000000	2574.000000	VIKING GP	GROUP	188	1993-03-11	1732	9999-12-31	2013-05-08
6608/10-3	2791.000000	2921.000000	ÅRE FM	FORMATION	197	1993-03-11	1732	9999-12-31	2013-05-08
34/10-34	1600.000000	1660.000000	BALDER FM	FORMATION	6	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	1993.000000	2275.000000	BRENT GP	GROUP	16	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	2268.000000	2275.000000	BROOM FM	FORMATION	17	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	2357.000000	2410.000000	COOK FM	FORMATION	24	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	2275.000000	2357.000000	DRAKE FM	FORMATION	27	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	2275.000000	2410.000000	DUNLIN GP	GROUP	29	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	2171.000000	2188.000000	ETIVE FM	FORMATION	35	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	1991.000000	1993.000000	HEATHER FM	FORMATION	60	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	923.000000	1600.000000	HORDALAND GP	GROUP	67	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	1660.000000	1806.000000	LISTA FM	FORMATION	95	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	2082.000000	2171.000000	NESS FM	FORMATION	110	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	163.000000	923.000000	NORDLAND GP	GROUP	113	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	2188.000000	2268.000000	RANNOCH FM	FORMATION	126	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	1600.000000	1806.000000	ROGALAND GP	GROUP	131	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	1806.000000	1991.000000	SHETLAND GP	GROUP	143	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	1993.000000	2082.000000	TARBERT FM	FORMATION	162	1991-05-31	1747	9999-12-31	2013-05-08
34/10-34	1991.000000	1993.000000	VIKING GP	GROUP	188	1991-05-31	1747	9999-12-31	2013-05-08
6507/8-5	1578.000000	1712.000000	BRYGGE FM	FORMATION	18	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1900.000000	2000.000000	BÅT GP	GROUP	22	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1827.000000	1900.000000	FANGST GP	GROUP	38	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1827.000000	1854.000000	GARN FM	FORMATION	48	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1578.000000	1712.000000	HORDALAND GP	GROUP	67	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1864.000000	1900.000000	ILE FM	FORMATION	70	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1348.000000	1578.000000	KAI FM	FORMATION	77	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1790.000000	1827.000000	MELKE FM	FORMATION	105	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	356.000000	1348.000000	NAUST FM	FORMATION	109	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	356.000000	1578.000000	NORDLAND GP	GROUP	113	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1854.000000	1864.000000	NOT FM	FORMATION	120	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1712.000000	1781.000000	ROGALAND GP	GROUP	131	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1900.000000	1943.000000	ROR FM	FORMATION	135	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1781.000000	1787.000000	SHETLAND GP	GROUP	143	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1787.000000	1790.000000	SPEKK FM	FORMATION	155	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1750.000000	1781.000000	TANG FM	FORMATION	161	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1712.000000	1750.000000	TARE FM	FORMATION	163	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1943.000000	2000.000000	TILJE FM	FORMATION	169	1991-03-16	1749	9999-12-31	2013-05-08
6507/8-5	1787.000000	1827.000000	VIKING GP	GROUP	188	1991-03-16	1749	9999-12-31	2013-05-08
6506/11-2	1912.000000	2208.000000	BRYGGE FM	FORMATION	18	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4421.000000	4813.000000	BÅT GP	GROUP	22	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	3323.000000	4162.000000	CROMER KNOLL GP	GROUP	23	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4229.000000	4421.000000	FANGST GP	GROUP	38	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4229.000000	4308.000000	GARN FM	FORMATION	48	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	1912.000000	2208.000000	HORDALAND GP	GROUP	67	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4359.000000	4421.000000	ILE FM	FORMATION	70	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	1450.000000	1912.000000	KAI FM	FORMATION	77	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	2737.000000	3323.000000	KVITNOS FM	FORMATION	91	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	3413.000000	4139.000000	LANGE FM	FORMATION	94	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4139.000000	4162.000000	LYR FM	FORMATION	98	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	3323.000000	3413.000000	LYSING FM	FORMATION	99	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4165.000000	4229.000000	MELKE FM	FORMATION	105	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	320.000000	1450.000000	NAUST FM	FORMATION	109	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	2531.000000	2737.000000	NISE FM	FORMATION	112	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	320.000000	1912.000000	NORDLAND GP	GROUP	113	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4308.000000	4359.000000	NOT FM	FORMATION	120	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	2208.000000	2358.000000	ROGALAND GP	GROUP	131	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4421.000000	4486.000000	ROR FM	FORMATION	135	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4551.000000	4553.000000	ROR FM	FORMATION	135	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	2358.000000	3323.000000	SHETLAND GP	GROUP	143	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4162.000000	4165.000000	SPEKK FM	FORMATION	155	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	2358.000000	2531.000000	SPRINGAR FM	FORMATION	156	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	2298.000000	2358.000000	TANG FM	FORMATION	161	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	2208.000000	2298.000000	TARE FM	FORMATION	163	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4553.000000	4705.000000	TILJE FM	FORMATION	169	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4486.000000	4551.000000	TOFTE FM	FORMATION	170	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4162.000000	4229.000000	VIKING GP	GROUP	188	1991-10-26	1754	9999-12-31	2013-05-08
6506/11-2	4705.000000	4813.000000	ÅRE FM	FORMATION	197	1991-10-26	1754	9999-12-31	2013-05-08
2/7-26 S	2966.000000	2983.000000	BALDER FM	FORMATION	6	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	3981.000000	3989.000000	BLODØKS FM	FORMATION	13	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	4057.000000	4299.000000	CROMER KNOLL GP	GROUP	23	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	3118.000000	3200.000000	EKOFISK FM	FORMATION	33	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	4302.000000	4386.000000	FARSUND FM	FORMATION	39	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	3989.000000	4057.000000	HIDRA FM	FORMATION	65	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	3321.000000	3981.000000	HOD FM	FORMATION	66	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	1606.000000	2966.000000	HORDALAND GP	GROUP	67	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	3038.000000	3091.000000	LISTA FM	FORMATION	95	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	4299.000000	4302.000000	MANDAL FM	FORMATION	101	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	100.000000	1606.000000	NORDLAND GP	GROUP	113	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	2966.000000	3118.000000	ROGALAND GP	GROUP	131	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	4057.000000	4163.000000	RØDBY FM	FORMATION	137	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	2983.000000	3038.000000	SELE FM	FORMATION	142	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	3118.000000	4057.000000	SHETLAND GP	GROUP	143	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	3200.000000	3321.000000	TOR FM	FORMATION	171	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	4163.000000	4182.000000	TUXEN FM	FORMATION	175	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	4299.000000	4386.000000	TYNE GP	GROUP	177	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	3091.000000	3118.000000	VÅLE FM	FORMATION	190	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	4182.000000	4299.000000	ÅSGARD FM	FORMATION	198	1991-09-13	1756	9999-12-31	2013-05-08
2/7-26 S	4386.000000	4848.000000	NO GROUP DEFINED	GROUP	208	1991-09-13	1756	9999-12-31	2013-05-08
3/7-5	2654.000000	2668.000000	BALDER FM	FORMATION	6	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	3436.000000	3609.000000	BRYNE FM	FORMATION	19	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	3044.000000	3085.000000	CROMER KNOLL GP	GROUP	23	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	2711.000000	2800.000000	EKOFISK FM	FORMATION	33	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	3085.000000	3379.000000	HAUGESUND FM	FORMATION	57	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	2912.000000	3044.000000	HOD FM	FORMATION	66	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	1258.000000	2654.000000	HORDALAND GP	GROUP	67	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	2679.000000	2711.000000	LISTA FM	FORMATION	95	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	91.000000	1258.000000	NORDLAND GP	GROUP	113	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	2654.000000	2711.000000	ROGALAND GP	GROUP	131	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	3044.000000	3048.000000	RØDBY FM	FORMATION	137	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	3379.000000	3436.000000	SANDNES FM	FORMATION	139	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	2668.000000	2679.000000	SELE FM	FORMATION	142	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	2711.000000	3044.000000	SHETLAND GP	GROUP	143	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	3048.000000	3050.000000	SOLA FM	FORMATION	152	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	2800.000000	2912.000000	TOR FM	FORMATION	171	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	3050.000000	3058.000000	TUXEN FM	FORMATION	175	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	3085.000000	3379.000000	TYNE GP	GROUP	177	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	3379.000000	3609.000000	VESTLAND GP	GROUP	186	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	3609.000000	3666.000000	ZECHSTEIN GP	GROUP	194	1992-02-07	1759	9999-12-31	2013-05-08
3/7-5	3058.000000	3085.000000	ÅSGARD FM	FORMATION	198	1992-02-07	1759	9999-12-31	2013-05-08
16/10-2	2172.000000	2196.000000	BALDER FM	FORMATION	6	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2698.000000	2716.000000	BLODØKS FM	FORMATION	13	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2778.000000	2818.000000	CROMER KNOLL GP	GROUP	23	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2818.000000	2853.000000	DRAUPNE FM	FORMATION	28	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2335.000000	2371.000000	EKOFISK FM	FORMATION	33	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2523.000000	2698.000000	HOD FM	FORMATION	66	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	1271.000000	2172.000000	HORDALAND GP	GROUP	67	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2853.000000	2923.000000	HUGIN FM	FORMATION	69	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2251.000000	2317.000000	LISTA FM	FORMATION	95	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	104.000000	1271.000000	NORDLAND GP	GROUP	113	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2172.000000	2335.000000	ROGALAND GP	GROUP	131	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2196.000000	2251.000000	SELE FM	FORMATION	142	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2335.000000	2778.000000	SHETLAND GP	GROUP	143	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2923.000000	3150.000000	SKAGERRAK FM	FORMATION	146	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2778.000000	2790.000000	SOLA FM	FORMATION	152	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2716.000000	2778.000000	SVARTE FM	FORMATION	160	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2371.000000	2523.000000	TOR FM	FORMATION	171	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	978.000000	1271.000000	UTSIRA FM	FORMATION	183	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2853.000000	2923.000000	VESTLAND GP	GROUP	186	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2818.000000	2853.000000	VIKING GP	GROUP	188	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2317.000000	2335.000000	VÅLE FM	FORMATION	190	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2790.000000	2818.000000	ÅSGARD FM	FORMATION	198	1991-08-01	1767	9999-12-31	2013-05-08
16/10-2	2923.000000	3150.000000	NO GROUP DEFINED	GROUP	208	1991-08-01	1767	9999-12-31	2013-05-08
30/9-12 A	2088.000000	2177.000000	BALDER FM	FORMATION	6	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2869.000000	3007.000000	BRENT GP	GROUP	16	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2638.000000	2692.000000	CROMER KNOLL GP	GROUP	23	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	3007.000000	3061.000000	DRAKE FM	FORMATION	27	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2692.000000	2734.000000	DRAUPNE FM	FORMATION	28	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	3007.000000	3061.000000	DUNLIN GP	GROUP	29	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	1353.000000	1385.000000	GRID FM	FORMATION	53	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2422.000000	2638.000000	HARDRÅDE FM	FORMATION	56	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2765.000000	2781.000000	INTRA HEATHER FM SS	FORMATION	59	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2734.000000	2765.000000	HEATHER FM	FORMATION	60	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2781.000000	2869.000000	HEATHER FM	FORMATION	60	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	842.000000	2088.000000	HORDALAND GP	GROUP	67	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2339.000000	2417.000000	LISTA FM	FORMATION	95	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2676.000000	2691.000000	MIME FM	FORMATION	106	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2887.000000	2963.000000	NESS FM	FORMATION	110	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	1012.000000	1353.000000	NO FORMAL NAME	FORMATION	111	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	1385.000000	2088.000000	NO FORMAL NAME	FORMATION	111	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	129.000000	842.000000	NORDLAND GP	GROUP	113	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2088.000000	2422.000000	ROGALAND GP	GROUP	131	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2638.000000	2675.000000	RØDBY FM	FORMATION	137	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2177.000000	2339.000000	SELE FM	FORMATION	142	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2422.000000	2638.000000	SHETLAND GP	GROUP	143	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	980.000000	1012.000000	SKADE FM	FORMATION	145	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2675.000000	2676.000000	SOLA FM	FORMATION	152	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2869.000000	2887.000000	TARBERT FM	FORMATION	162	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2963.000000	3007.000000	UNDIFFERENTIATED	FORMATION	182	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	646.000000	842.000000	UTSIRA FM	FORMATION	183	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2692.000000	2869.000000	VIKING GP	GROUP	188	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2417.000000	2422.000000	VÅLE FM	FORMATION	190	1991-06-04	1770	9999-12-31	2013-05-08
30/9-12 A	2691.000000	2692.000000	ÅSGARD FM	FORMATION	198	1991-06-04	1770	9999-12-31	2013-05-08
15/12-8	2251.000000	2268.000000	BALDER FM	FORMATION	6	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2738.000000	2770.000000	BLODØKS FM	FORMATION	13	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2770.000000	2829.000000	CROMER KNOLL GP	GROUP	23	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2829.000000	2838.000000	DRAUPNE FM	FORMATION	28	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2464.000000	2496.000000	EKOFISK FM	FORMATION	33	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2626.000000	2738.000000	HOD FM	FORMATION	66	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	1207.000000	2251.000000	HORDALAND GP	GROUP	67	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2333.000000	2441.000000	LISTA FM	FORMATION	95	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	110.000000	1207.000000	NORDLAND GP	GROUP	113	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2251.000000	2464.000000	ROGALAND GP	GROUP	131	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2770.000000	2797.000000	RØDBY FM	FORMATION	137	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2268.000000	2333.000000	SELE FM	FORMATION	142	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2464.000000	2770.000000	SHETLAND GP	GROUP	143	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2854.000000	3054.000000	SKAGERRAK FM	FORMATION	146	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2797.000000	2829.000000	SOLA FM	FORMATION	152	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2496.000000	2626.000000	TOR FM	FORMATION	171	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	1166.000000	1207.000000	UTSIRA FM	FORMATION	183	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2838.000000	2854.000000	VESTLAND GP	GROUP	186	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2829.000000	2838.000000	VIKING GP	GROUP	188	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2441.000000	2464.000000	VÅLE FM	FORMATION	190	1991-07-14	1778	9999-12-31	2013-05-08
15/12-8	2854.000000	3054.000000	NO GROUP DEFINED	GROUP	208	1991-07-14	1778	9999-12-31	2013-05-08
35/11-5	3533.000000	3570.000000	AMUNDSEN FM	FORMATION	4	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3628.000000	3689.000000	AMUNDSEN FM	FORMATION	4	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	1701.000000	1753.000000	BALDER FM	FORMATION	6	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3206.000000	3396.000000	BRENT GP	GROUP	16	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	2550.000000	2658.000000	CROMER KNOLL GP	GROUP	23	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3467.000000	3533.000000	COOK FM	FORMATION	24	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3396.000000	3467.000000	DRAKE FM	FORMATION	27	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	2658.000000	2875.000000	DRAUPNE FM	FORMATION	28	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3396.000000	3689.000000	DUNLIN GP	GROUP	29	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3293.000000	3312.000000	ETIVE FM	FORMATION	35	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	2950.000000	3206.000000	HEATHER FM	FORMATION	60	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	855.000000	1701.000000	HORDALAND GP	GROUP	67	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3570.000000	3628.000000	JOHANSEN FM	FORMATION	73	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	1836.000000	1850.000000	LISTA FM	FORMATION	95	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	1888.000000	2023.000000	LISTA FM	FORMATION	95	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	2621.000000	2658.000000	MIME FM	FORMATION	106	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3216.000000	3293.000000	NESS FM	FORMATION	110	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	1850.000000	1888.000000	NO FORMAL NAME	FORMATION	111	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	382.000000	855.000000	NORDLAND GP	GROUP	113	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3342.000000	3396.000000	OSEBERG FM	FORMATION	123	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3312.000000	3342.000000	RANNOCH FM	FORMATION	126	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	1701.000000	2044.000000	ROGALAND GP	GROUP	131	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	2550.000000	2582.000000	RØDBY FM	FORMATION	137	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	1753.000000	1836.000000	SELE FM	FORMATION	142	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	2044.000000	2550.000000	SHETLAND GP	GROUP	143	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	2875.000000	2950.000000	SOGNEFJORD FM	FORMATION	151	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3689.000000	3769.000000	STATFJORD FM	FORMATION	157	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3206.000000	3216.000000	TARBERT FM	FORMATION	162	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	771.000000	855.000000	UTSIRA FM	FORMATION	183	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	2658.000000	3206.000000	VIKING GP	GROUP	188	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	2023.000000	2044.000000	VÅLE FM	FORMATION	190	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	2582.000000	2621.000000	ÅSGARD FM	FORMATION	198	1991-11-03	1780	9999-12-31	2013-05-08
35/11-5	3689.000000	3769.000000	NO GROUP DEFINED	GROUP	208	1991-11-03	1780	9999-12-31	2013-05-08
6608/10-2	1565.000000	1857.000000	BRYGGE FM	FORMATION	18	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2659.000000	3678.000000	BÅT GP	GROUP	22	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2253.000000	2347.000000	CROMER KNOLL GP	GROUP	23	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2578.000000	2659.000000	FANGST GP	GROUP	38	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2578.000000	2611.000000	GARN FM	FORMATION	48	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	1565.000000	1857.000000	HORDALAND GP	GROUP	67	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2619.000000	2659.000000	ILE FM	FORMATION	70	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	1352.000000	1565.000000	KAI FM	FORMATION	77	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2253.000000	2347.000000	LYR FM	FORMATION	98	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2365.000000	2578.000000	MELKE FM	FORMATION	105	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	397.000000	1352.000000	NAUST FM	FORMATION	109	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2151.000000	2253.000000	NISE FM	FORMATION	112	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	397.000000	1565.000000	NORDLAND GP	GROUP	113	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2611.000000	2619.000000	NOT FM	FORMATION	120	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	1857.000000	1951.000000	ROGALAND GP	GROUP	131	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2659.000000	2668.000000	ROR FM	FORMATION	135	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	1951.000000	2253.000000	SHETLAND GP	GROUP	143	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2347.000000	2365.000000	SPEKK FM	FORMATION	155	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	1951.000000	2151.000000	SPRINGAR FM	FORMATION	156	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	1913.000000	1951.000000	TANG FM	FORMATION	161	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	1857.000000	1913.000000	TARE FM	FORMATION	163	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2720.000000	2819.000000	TILJE FM	FORMATION	169	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2668.000000	2720.000000	TOFTE FM	FORMATION	170	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2347.000000	2578.000000	VIKING GP	GROUP	188	1992-01-29	1782	9999-12-31	2013-05-08
6608/10-2	2819.000000	3678.000000	ÅRE FM	FORMATION	197	1992-01-29	1782	9999-12-31	2013-05-08
7/12-11	2708.000000	2741.000000	BALDER FM	FORMATION	6	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3486.000000	3728.000000	CROMER KNOLL GP	GROUP	23	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	2973.000000	3124.000000	EKOFISK FM	FORMATION	33	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3753.000000	3788.000000	FARSUND FM	FORMATION	39	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3387.000000	3486.000000	HOD FM	FORMATION	66	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	1837.000000	2708.000000	HORDALAND GP	GROUP	67	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	2822.000000	2953.000000	LISTA FM	FORMATION	95	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	2962.000000	2973.000000	LISTA FM	FORMATION	95	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3728.000000	3753.000000	MANDAL FM	FORMATION	101	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	90.000000	1837.000000	NORDLAND GP	GROUP	113	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	2708.000000	2973.000000	ROGALAND GP	GROUP	131	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3486.000000	3569.000000	RØDBY FM	FORMATION	137	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	2741.000000	2822.000000	SELE FM	FORMATION	142	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	2973.000000	3486.000000	SHETLAND GP	GROUP	143	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3800.000000	3868.000000	SKAGERRAK FM	FORMATION	146	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3569.000000	3586.000000	SOLA FM	FORMATION	152	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3124.000000	3387.000000	TOR FM	FORMATION	171	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3586.000000	3596.000000	TUXEN FM	FORMATION	175	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3728.000000	3788.000000	TYNE GP	GROUP	177	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3788.000000	3800.000000	ULA FM	FORMATION	179	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3788.000000	3800.000000	VESTLAND GP	GROUP	186	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	2953.000000	2962.000000	VIDAR FM	FORMATION	187	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3596.000000	3728.000000	ÅSGARD FM	FORMATION	198	1991-11-06	1787	9999-12-31	2013-05-08
7/12-11	3800.000000	3868.000000	NO GROUP DEFINED	GROUP	208	1991-11-06	1787	9999-12-31	2013-05-08
6607/5-2	2317.000000	2381.000000	BRYGGE FM	FORMATION	18	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	2317.000000	2381.000000	HORDALAND GP	GROUP	67	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	2003.000000	2317.000000	KAI FM	FORMATION	77	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	4422.000000	4640.000000	KVITNOS FM	FORMATION	91	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	3792.000000	4166.000000	NO FORMAL NAME	FORMATION	111	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	4640.000000	4684.000000	NO FORMAL NAME	FORMATION	111	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	3707.000000	3792.000000	NISE FM	FORMATION	112	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	4308.000000	4422.000000	NISE FM	FORMATION	112	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	549.000000	2317.000000	NORDLAND GP	GROUP	113	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	2381.000000	2588.000000	ROGALAND GP	GROUP	131	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	2588.000000	4684.000000	SHETLAND GP	GROUP	143	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	2588.000000	3707.000000	SPRINGAR FM	FORMATION	156	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	2381.000000	2588.000000	TARE FM	FORMATION	163	1991-11-17	1789	9999-12-31	2013-05-08
6607/5-2	4166.000000	4308.000000	DELFIN FM (INFORMAL)	FORMATION	204	1991-11-17	1789	9999-12-31	2013-05-08
2/4-17	3050.000000	3056.000000	BALDER FM	FORMATION	6	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	4389.000000	4486.000000	BRYNE FM	FORMATION	19	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	4183.000000	4189.000000	CROMER KNOLL GP	GROUP	23	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	3192.000000	3334.000000	EKOFISK FM	FORMATION	33	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	4283.000000	4340.000000	HAUGESUND FM	FORMATION	57	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	3729.000000	4183.000000	HOD FM	FORMATION	66	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	1774.000000	3050.000000	HORDALAND GP	GROUP	67	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	4518.000000	4520.000000	KUPFERSCHIEFER FM	FORMATION	88	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	3096.000000	3118.000000	LISTA FM	FORMATION	95	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	3165.000000	3182.000000	LISTA FM	FORMATION	95	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	110.000000	1774.000000	NORDLAND GP	GROUP	113	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	3050.000000	3192.000000	ROGALAND GP	GROUP	131	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	4520.000000	5258.000000	ROTLIEGEND GP	GROUP	136	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	3056.000000	3096.000000	SELE FM	FORMATION	142	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	3192.000000	4183.000000	SHETLAND GP	GROUP	143	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	3334.000000	3729.000000	TOR FM	FORMATION	171	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	4189.000000	4340.000000	TYNE GP	GROUP	177	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	4340.000000	4389.000000	ULA FM	FORMATION	179	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	4486.000000	4518.000000	UNDIFFERENTIATED	FORMATION	182	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	4340.000000	4486.000000	VESTLAND GP	GROUP	186	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	3118.000000	3165.000000	VIDAR FM	FORMATION	187	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	3182.000000	3192.000000	VÅLE FM	FORMATION	190	1992-02-29	1792	9999-12-31	2013-05-08
2/4-17	4486.000000	4520.000000	ZECHSTEIN GP	GROUP	194	1992-02-29	1792	9999-12-31	2013-05-08
36/7-1	2834.000000	2841.000000	BASEMENT	GROUP	10	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	1958.000000	1976.000000	BLODØKS FM	FORMATION	13	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2662.000000	2770.000000	BRENT GP	GROUP	16	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2020.000000	2120.000000	CROMER KNOLL GP	GROUP	23	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2120.000000	2171.000000	INTRA DRAUPNE FM SS	FORMATION	26	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2770.000000	2808.000000	DUNLIN GP	GROUP	29	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2700.000000	2727.000000	ETIVE FM	FORMATION	35	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2235.000000	2510.000000	FENSFJORD FM	FORMATION	40	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2207.000000	2235.000000	HEATHER FM	FORMATION	60	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2560.000000	2662.000000	HEATHER FM	FORMATION	60	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	1281.000000	1323.000000	JORSALFARE FM	FORMATION	74	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2510.000000	2560.000000	KROSSFJORD FM	FORMATION	87	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	1323.000000	1958.000000	KYRRE FM	FORMATION	92	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2662.000000	2700.000000	NESS FM	FORMATION	110	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	380.000000	608.000000	NORDLAND GP	GROUP	113	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2727.000000	2770.000000	RANNOCH FM	FORMATION	126	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	608.000000	1281.000000	ROGALAND GP	GROUP	131	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2020.000000	2046.000000	RØDBY FM	FORMATION	137	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	1281.000000	2020.000000	SHETLAND GP	GROUP	143	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2171.000000	2207.000000	SOGNEFJORD FM	FORMATION	151	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2808.000000	2834.000000	STATFJORD FM	FORMATION	157	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	1976.000000	2020.000000	SVARTE FM	FORMATION	160	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2120.000000	2662.000000	VIKING GP	GROUP	188	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2046.000000	2120.000000	ÅSGARD FM	FORMATION	198	1996-05-07	1794	9999-12-31	2013-05-08
36/7-1	2808.000000	2834.000000	NO GROUP DEFINED	GROUP	208	1996-05-07	1794	9999-12-31	2013-05-08
33/9-16	1663.000000	1737.000000	BALDER FM	FORMATION	6	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2815.000000	2870.000000	BRENT GP	GROUP	16	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2654.000000	2683.000000	CROMER KNOLL GP	GROUP	23	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2684.000000	2748.000000	INTRA DRAUPNE FM SS	FORMATION	26	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2683.000000	2684.000000	DRAUPNE FM	FORMATION	28	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2748.000000	2753.000000	DRAUPNE FM	FORMATION	28	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2753.000000	2815.000000	HEATHER FM	FORMATION	60	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1849.000000	1878.000000	HEIMDAL FM	FORMATION	62	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1073.000000	1663.000000	HORDALAND GP	GROUP	67	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1912.000000	2187.000000	JORSALFARE FM	FORMATION	74	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2187.000000	2625.000000	KYRRE FM	FORMATION	92	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1737.000000	1849.000000	LISTA FM	FORMATION	95	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1878.000000	1901.000000	LISTA FM	FORMATION	95	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2680.000000	2683.000000	MIME FM	FORMATION	106	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2826.000000	2870.000000	NESS FM	FORMATION	110	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1213.000000	1251.000000	NO FORMAL NAME	FORMATION	111	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1251.000000	1304.000000	NO FORMAL NAME	FORMATION	111	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1304.000000	1322.000000	NO FORMAL NAME	FORMATION	111	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1322.000000	1663.000000	NO FORMAL NAME	FORMATION	111	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	249.000000	1073.000000	NORDLAND GP	GROUP	113	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1663.000000	1912.000000	ROGALAND GP	GROUP	131	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2654.000000	2662.000000	RØDBY FM	FORMATION	137	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1912.000000	2654.000000	SHETLAND GP	GROUP	143	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2649.000000	2654.000000	SVARTE FM	FORMATION	160	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2662.000000	2665.000000	SVARTE FM	FORMATION	160	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2815.000000	2826.000000	TARBERT FM	FORMATION	162	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2625.000000	2649.000000	TRYGGVASON FM	FORMATION	173	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	914.000000	1073.000000	UTSIRA FM	FORMATION	183	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2683.000000	2815.000000	VIKING GP	GROUP	188	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	1901.000000	1912.000000	VÅLE FM	FORMATION	190	1993-01-20	1801	9999-12-31	2013-05-08
33/9-16	2665.000000	2680.000000	ÅSGARD FM	FORMATION	198	1993-01-20	1801	9999-12-31	2013-05-08
6305/12-1	315.000000	1060.000000	BRYGGE FM	FORMATION	18	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	2615.000000	3685.000000	CROMER KNOLL GP	GROUP	23	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	1804.000000	1973.000000	EGGA FM (INFORMAL)	FORMATION	31	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	3685.000000	4063.000000	FANGST GP	GROUP	38	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	3685.000000	4063.000000	GARN FM	FORMATION	48	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	315.000000	1060.000000	HORDALAND GP	GROUP	67	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	2140.000000	2615.000000	KVITNOS FM	FORMATION	91	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	2645.000000	3685.000000	LANGE FM	FORMATION	94	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	2615.000000	2645.000000	LYSING FM	FORMATION	99	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	2033.000000	2140.000000	NISE FM	FORMATION	112	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	200.000000	315.000000	NORDLAND GP	GROUP	113	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	4063.000000	4302.000000	RED BEDS (INFORMAL)	GROUP	129	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	1060.000000	1973.000000	ROGALAND GP	GROUP	131	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	1973.000000	2615.000000	SHETLAND GP	GROUP	143	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	1973.000000	2033.000000	SPRINGAR FM	FORMATION	156	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	1122.000000	1804.000000	TANG FM	FORMATION	161	1991-09-18	1808	9999-12-31	2013-05-08
6305/12-1	1060.000000	1122.000000	TARE FM	FORMATION	163	1991-09-18	1808	9999-12-31	2013-05-08
33/9-15	1690.000000	1783.000000	BALDER FM	FORMATION	6	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2945.000000	3007.000000	BRENT GP	GROUP	16	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2702.000000	2742.000000	CROMER KNOLL GP	GROUP	23	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2743.000000	2841.000000	INTRA DRAUPNE FM SS	FORMATION	26	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2742.000000	2743.000000	DRAUPNE FM	FORMATION	28	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2841.000000	2851.000000	DRAUPNE FM	FORMATION	28	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	3003.000000	3007.000000	ETIVE FM	FORMATION	35	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2851.000000	2945.000000	HEATHER FM	FORMATION	60	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	998.000000	1690.000000	HORDALAND GP	GROUP	67	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	1935.000000	2120.000000	JORSALFARE FM	FORMATION	74	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2120.000000	2702.000000	KYRRE FM	FORMATION	92	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	1783.000000	1923.000000	LISTA FM	FORMATION	95	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2737.000000	2742.000000	MIME FM	FORMATION	106	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2958.000000	3003.000000	NESS FM	FORMATION	110	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	1206.000000	1238.000000	NO FORMAL NAME	FORMATION	111	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	1238.000000	1282.000000	NO FORMAL NAME	FORMATION	111	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	1282.000000	1690.000000	NO FORMAL NAME	FORMATION	111	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	279.000000	998.000000	NORDLAND GP	GROUP	113	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	1690.000000	1935.000000	ROGALAND GP	GROUP	131	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2702.000000	2714.000000	RØDBY FM	FORMATION	137	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	1935.000000	2702.000000	SHETLAND GP	GROUP	143	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2714.000000	2717.000000	SOLA FM	FORMATION	152	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2945.000000	2958.000000	TARBERT FM	FORMATION	162	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	924.000000	998.000000	UTSIRA FM	FORMATION	183	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2742.000000	2945.000000	VIKING GP	GROUP	188	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	1923.000000	1935.000000	VÅLE FM	FORMATION	190	1992-06-08	1810	9999-12-31	2013-05-08
33/9-15	2717.000000	2737.000000	ÅSGARD FM	FORMATION	198	1992-06-08	1810	9999-12-31	2013-05-08
30/9-13 S	3826.000000	3976.000000	AMUNDSEN FM	FORMATION	4	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2199.000000	2264.000000	BALDER FM	FORMATION	6	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	3024.000000	3452.000000	BRENT GP	GROUP	16	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2902.000000	2944.000000	CROMER KNOLL GP	GROUP	23	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	3758.000000	3826.000000	COOK FM	FORMATION	24	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	3452.000000	3758.000000	DRAKE FM	FORMATION	27	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	3452.000000	3976.000000	DUNLIN GP	GROUP	29	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	1160.000000	1417.000000	GRID FM	FORMATION	53	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	1515.000000	1535.000000	GRID FM	FORMATION	53	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	1684.000000	1703.000000	GRID FM	FORMATION	53	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2493.000000	2795.000000	HARDRÅDE FM	FORMATION	56	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2959.000000	3024.000000	INTRA HEATHER FM SS	FORMATION	59	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2944.000000	2959.000000	HEATHER FM	FORMATION	60	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	892.000000	2199.000000	HORDALAND GP	GROUP	67	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2795.000000	2902.000000	KYRRE FM	FORMATION	92	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2334.000000	2480.000000	LISTA FM	FORMATION	95	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2931.000000	2943.000000	MIME FM	FORMATION	106	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	3194.000000	3437.000000	NESS FM	FORMATION	110	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	979.000000	1160.000000	NO FORMAL NAME	FORMATION	111	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	1417.000000	1515.000000	NO FORMAL NAME	FORMATION	111	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	1535.000000	1684.000000	NO FORMAL NAME	FORMATION	111	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	1703.000000	2199.000000	NO FORMAL NAME	FORMATION	111	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	131.000000	892.000000	NORDLAND GP	GROUP	113	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	3444.000000	3452.000000	OSEBERG FM	FORMATION	123	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2199.000000	2493.000000	ROGALAND GP	GROUP	131	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2902.000000	2926.000000	RØDBY FM	FORMATION	137	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2264.000000	2334.000000	SELE FM	FORMATION	142	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2493.000000	2902.000000	SHETLAND GP	GROUP	143	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	950.000000	979.000000	SKADE FM	FORMATION	145	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2926.000000	2931.000000	SOLA FM	FORMATION	152	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	3976.000000	4027.000000	STATFJORD FM	FORMATION	157	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	3024.000000	3194.000000	TARBERT FM	FORMATION	162	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	3437.000000	3444.000000	UNDIFFERENTIATED	FORMATION	182	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	577.000000	892.000000	UTSIRA FM	FORMATION	183	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2944.000000	3024.000000	VIKING GP	GROUP	188	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2480.000000	2493.000000	VÅLE FM	FORMATION	190	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	2943.000000	2944.000000	ÅSGARD FM	FORMATION	198	1991-10-11	1811	9999-12-31	2013-05-08
30/9-13 S	3976.000000	4027.000000	NO GROUP DEFINED	GROUP	208	1991-10-11	1811	9999-12-31	2013-05-08
30/10-6	2166.000000	2220.000000	BALDER FM	FORMATION	6	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	3780.000000	3803.000000	BLODØKS FM	FORMATION	13	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	4666.000000	5248.000000	BRENT GP	GROUP	16	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	3931.000000	4344.000000	CROMER KNOLL GP	GROUP	23	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	4344.000000	4368.000000	DRAUPNE FM	FORMATION	28	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	2589.000000	2832.000000	HARDRÅDE FM	FORMATION	56	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	4368.000000	4666.000000	HEATHER FM	FORMATION	60	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	2358.000000	2427.000000	HEIMDAL FM	FORMATION	62	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	2256.000000	2318.000000	HERMOD FM	FORMATION	64	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	1158.000000	2166.000000	HORDALAND GP	GROUP	67	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	2832.000000	3608.000000	KYRRE FM	FORMATION	92	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	2318.000000	2358.000000	LISTA FM	FORMATION	95	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	2427.000000	2502.000000	LISTA FM	FORMATION	95	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	5089.000000	5248.000000	NESS FM	FORMATION	110	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	109.000000	1158.000000	NORDLAND GP	GROUP	113	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	2166.000000	2589.000000	ROGALAND GP	GROUP	131	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	3931.000000	4026.000000	RØDBY FM	FORMATION	137	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	2220.000000	2256.000000	SELE FM	FORMATION	142	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	2589.000000	3931.000000	SHETLAND GP	GROUP	143	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	4026.000000	4095.000000	SOLA FM	FORMATION	152	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	3803.000000	3931.000000	SVARTE FM	FORMATION	160	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	4666.000000	5089.000000	TARBERT FM	FORMATION	162	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	3608.000000	3780.000000	TRYGGVASON FM	FORMATION	173	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	273.000000	1158.000000	UTSIRA FM	FORMATION	183	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	4344.000000	4666.000000	VIKING GP	GROUP	188	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	2502.000000	2589.000000	VÅLE FM	FORMATION	190	1992-11-09	1816	9999-12-31	2013-05-08
30/10-6	4095.000000	4344.000000	ÅSGARD FM	FORMATION	198	1992-11-09	1816	9999-12-31	2013-05-08
34/7-18	1652.000000	1683.000000	BALDER FM	FORMATION	6	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	2284.000000	2399.000000	BRENT GP	GROUP	16	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	2274.000000	2284.000000	CROMER KNOLL GP	GROUP	23	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	2399.000000	2443.000000	DRAKE FM	FORMATION	27	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	2399.000000	2443.000000	DUNLIN GP	GROUP	29	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	2298.000000	2328.000000	ETIVE FM	FORMATION	35	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	1064.000000	1652.000000	HORDALAND GP	GROUP	67	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	1807.000000	2027.000000	JORSALFARE FM	FORMATION	74	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	2027.000000	2274.000000	KYRRE FM	FORMATION	92	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	1683.000000	1770.000000	LISTA FM	FORMATION	95	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	1783.000000	1807.000000	LISTA FM	FORMATION	95	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	2283.000000	2284.000000	MIME FM	FORMATION	106	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	2284.000000	2298.000000	NESS FM	FORMATION	110	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	1238.000000	1339.000000	NO FORMAL NAME	FORMATION	111	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	1339.000000	1374.000000	NO FORMAL NAME	FORMATION	111	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	1374.000000	1500.000000	NO FORMAL NAME	FORMATION	111	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	1500.000000	1652.000000	NO FORMAL NAME	FORMATION	111	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	1770.000000	1783.000000	NO FORMAL NAME	FORMATION	111	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	261.000000	1064.000000	NORDLAND GP	GROUP	113	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	2328.000000	2399.000000	RANNOCH FM	FORMATION	126	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	1652.000000	1807.000000	ROGALAND GP	GROUP	131	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	2274.000000	2283.000000	RØDBY FM	FORMATION	137	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	1807.000000	2274.000000	SHETLAND GP	GROUP	143	1991-09-17	1819	9999-12-31	2013-05-08
34/7-18	916.000000	1064.000000	UTSIRA FM	FORMATION	183	1991-09-17	1819	9999-12-31	2013-05-08
31/2-16 SR	1359.000000	1414.000000	BALDER FM	FORMATION	6	1991-07-08	1820	9999-12-31	2013-05-08
31/2-16 SR	783.000000	1359.000000	HORDALAND GP	GROUP	67	1991-07-08	1820	9999-12-31	2013-05-08
31/2-16 SR	1454.000000	1646.000000	LISTA FM	FORMATION	95	1991-07-08	1820	9999-12-31	2013-05-08
31/2-16 SR	378.000000	783.000000	NORDLAND GP	GROUP	113	1991-07-08	1820	9999-12-31	2013-05-08
31/2-16 SR	1359.000000	1651.000000	ROGALAND GP	GROUP	131	1991-07-08	1820	9999-12-31	2013-05-08
31/2-16 SR	1414.000000	1454.000000	SELE FM	FORMATION	142	1991-07-08	1820	9999-12-31	2013-05-08
31/2-16 SR	1651.000000	1660.000000	SHETLAND GP	GROUP	143	1991-07-08	1820	9999-12-31	2013-05-08
31/2-16 SR	1660.000000	2391.000000	SOGNEFJORD FM	FORMATION	151	1991-07-08	1820	9999-12-31	2013-05-08
31/2-16 SR	1660.000000	2391.000000	VIKING GP	GROUP	188	1991-07-08	1820	9999-12-31	2013-05-08
31/2-16 SR	1646.000000	1651.000000	VÅLE FM	FORMATION	190	1991-07-08	1820	9999-12-31	2013-05-08
35/10-1	3649.000000	3665.000000	AMUNDSEN FM	FORMATION	4	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3806.000000	3826.000000	AMUNDSEN FM	FORMATION	4	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	1755.000000	1824.000000	BALDER FM	FORMATION	6	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3043.000000	3058.000000	BLODØKS FM	FORMATION	13	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3324.000000	3507.000000	BRENT GP	GROUP	16	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3066.000000	3098.000000	CROMER KNOLL GP	GROUP	23	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3509.000000	3649.000000	COOK FM	FORMATION	24	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3507.000000	3509.000000	DRAKE FM	FORMATION	27	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3098.000000	3146.000000	DRAUPNE FM	FORMATION	28	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3507.000000	3826.000000	DUNLIN GP	GROUP	29	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3449.000000	3460.000000	ETIVE FM	FORMATION	35	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	1203.000000	1252.000000	GRID FM	FORMATION	53	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3146.000000	3324.000000	HEATHER FM	FORMATION	60	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	948.000000	1252.000000	HORDALAND GP	GROUP	67	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	1252.000000	1755.000000	HORDALAND GP	GROUP	67	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3665.000000	3806.000000	JOHANSEN FM	FORMATION	73	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	2005.000000	2227.000000	JORSALFARE FM	FORMATION	74	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	2227.000000	3007.000000	KYRRE FM	FORMATION	92	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	1841.000000	1994.000000	LISTA FM	FORMATION	95	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3085.000000	3098.000000	MIME FM	FORMATION	106	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3344.000000	3449.000000	NESS FM	FORMATION	110	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	384.000000	948.000000	NORDLAND GP	GROUP	113	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3460.000000	3507.000000	RANNOCH FM	FORMATION	126	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	1755.000000	2005.000000	ROGALAND GP	GROUP	131	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3066.000000	3081.000000	RØDBY FM	FORMATION	137	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	1824.000000	1841.000000	SELE FM	FORMATION	142	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	2005.000000	3066.000000	SHETLAND GP	GROUP	143	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3081.000000	3085.000000	SOLA FM	FORMATION	152	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3826.000000	3986.000000	STATFJORD FM	FORMATION	157	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3058.000000	3066.000000	SVARTE FM	FORMATION	160	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3324.000000	3344.000000	TARBERT FM	FORMATION	162	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3007.000000	3043.000000	TRYGGVASON FM	FORMATION	173	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	912.000000	948.000000	UTSIRA FM	FORMATION	183	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3098.000000	3324.000000	VIKING GP	GROUP	188	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	1994.000000	2005.000000	VÅLE FM	FORMATION	190	1992-01-16	1822	9999-12-31	2013-05-08
35/10-1	3826.000000	3986.000000	NO GROUP DEFINED	GROUP	208	1992-01-16	1822	9999-12-31	2013-05-08
31/5-4 AR	1205.000000	1292.000000	BALDER FM	FORMATION	6	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1470.000000	1515.000000	CROMER KNOLL GP	GROUP	23	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1515.000000	1621.000000	DRAUPNE FM	FORMATION	28	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1449.000000	1461.000000	HARDRÅDE FM	FORMATION	56	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	654.000000	1205.000000	HORDALAND GP	GROUP	67	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1393.000000	1449.000000	LISTA FM	FORMATION	95	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	340.000000	654.000000	NORDLAND GP	GROUP	113	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1205.000000	1449.000000	ROGALAND GP	GROUP	131	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1470.000000	1507.000000	RØDBY FM	FORMATION	137	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1292.000000	1393.000000	SELE FM	FORMATION	142	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1449.000000	1470.000000	SHETLAND GP	GROUP	143	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1621.000000	2603.000000	SOGNEFJORD FM	FORMATION	151	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1461.000000	1470.000000	UNDIFFERENTIATED	FORMATION	182	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1515.000000	2603.000000	VIKING GP	GROUP	188	1991-07-18	1832	9999-12-31	2013-05-08
31/5-4 AR	1507.000000	1515.000000	ÅSGARD FM	FORMATION	198	1991-07-18	1832	9999-12-31	2013-05-08
2/5-9	3126.000000	3148.000000	BALDER FM	FORMATION	6	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	4079.000000	4081.000000	BLODØKS FM	FORMATION	13	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	4083.000000	4137.000000	CROMER KNOLL GP	GROUP	23	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	3259.000000	3378.000000	EKOFISK FM	FORMATION	33	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	4137.000000	4313.000000	FARSUND FM	FORMATION	39	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	4313.000000	5460.000000	HAUGESUND FM	FORMATION	57	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	4081.000000	4083.000000	HIDRA FM	FORMATION	65	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	3703.000000	4079.000000	HOD FM	FORMATION	66	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	1707.000000	3126.000000	HORDALAND GP	GROUP	67	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	3195.000000	3243.000000	LISTA FM	FORMATION	95	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	91.000000	1707.000000	NORDLAND GP	GROUP	113	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	3126.000000	3259.000000	ROGALAND GP	GROUP	131	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	3148.000000	3195.000000	SELE FM	FORMATION	142	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	3259.000000	4083.000000	SHETLAND GP	GROUP	143	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	3378.000000	3703.000000	TOR FM	FORMATION	171	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	4083.000000	4108.000000	TUXEN FM	FORMATION	175	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	4137.000000	5460.000000	TYNE GP	GROUP	177	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	3243.000000	3259.000000	VÅLE FM	FORMATION	190	1992-01-18	1834	9999-12-31	2013-05-08
2/5-9	4108.000000	4137.000000	ÅSGARD FM	FORMATION	198	1992-01-18	1834	9999-12-31	2013-05-08
15/12-8 A	2251.000000	2268.000000	BALDER FM	FORMATION	6	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2736.000000	2768.000000	BLODØKS FM	FORMATION	13	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2768.000000	2827.000000	CROMER KNOLL GP	GROUP	23	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2827.000000	2838.000000	DRAUPNE FM	FORMATION	28	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2464.000000	2496.000000	EKOFISK FM	FORMATION	33	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2626.000000	2736.000000	HOD FM	FORMATION	66	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	1207.000000	2251.000000	HORDALAND GP	GROUP	67	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2333.000000	2441.000000	LISTA FM	FORMATION	95	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	110.000000	1207.000000	NORDLAND GP	GROUP	113	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2251.000000	2464.000000	ROGALAND GP	GROUP	131	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2768.000000	2797.000000	RØDBY FM	FORMATION	137	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2268.000000	2333.000000	SELE FM	FORMATION	142	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2464.000000	2768.000000	SHETLAND GP	GROUP	143	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2856.000000	2940.000000	SKAGERRAK FM	FORMATION	146	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2797.000000	2827.000000	SOLA FM	FORMATION	152	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2496.000000	2626.000000	TOR FM	FORMATION	171	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	1166.000000	1207.000000	UTSIRA FM	FORMATION	183	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2838.000000	2856.000000	VESTLAND GP	GROUP	186	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2827.000000	2838.000000	VIKING GP	GROUP	188	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2441.000000	2464.000000	VÅLE FM	FORMATION	190	1991-07-29	1835	9999-12-31	2013-05-08
15/12-8 A	2856.000000	2940.000000	NO GROUP DEFINED	GROUP	208	1991-07-29	1835	9999-12-31	2013-05-08
7128/6-1	2534.000000	2543.000000	BASEMENT	GROUP	10	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	2150.000000	2534.000000	BILLEFJORDEN GP	GROUP	11	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	1745.000000	1834.000000	BJARMELAND GP	GROUP	12	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	2150.000000	2202.000000	BLÆREROT FM	FORMATION	14	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	2050.000000	2150.000000	FALK FM	FORMATION	36	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	1834.000000	2150.000000	GIPSDALEN GP	GROUP	51	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	1002.000000	1623.000000	HAVERT FM	FORMATION	58	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	1745.000000	1834.000000	ISBJØRN FM	FORMATION	72	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	734.000000	1002.000000	KLAPPMYSS FM	FORMATION	80	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	488.000000	734.000000	KOBBE FM	FORMATION	83	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	359.000000	488.000000	NORDLAND GP	GROUP	113	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	1623.000000	1745.000000	RØYE FM	FORMATION	138	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	488.000000	1623.000000	SASSENDALEN GP	GROUP	140	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	2358.000000	2534.000000	SOLDOGG FM	FORMATION	153	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	1623.000000	1745.000000	TEMPELFJORDEN GP	GROUP	167	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	2202.000000	2358.000000	TETTEGRAS FM	FORMATION	168	1991-11-08	1836	9999-12-31	2013-05-08
7128/6-1	1834.000000	2050.000000	ØRN FM	FORMATION	195	1991-11-08	1836	9999-12-31	2013-05-08
34/7-19	1678.000000	1727.000000	BALDER FM	FORMATION	6	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2456.000000	2658.000000	BRENT GP	GROUP	16	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2433.000000	2442.000000	CROMER KNOLL GP	GROUP	23	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2740.000000	2800.000000	COOK FM	FORMATION	24	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2658.000000	2740.000000	DRAKE FM	FORMATION	27	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2658.000000	2800.000000	DUNLIN GP	GROUP	29	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2528.000000	2582.000000	ETIVE FM	FORMATION	35	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2442.000000	2456.000000	HEATHER FM	FORMATION	60	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	1080.000000	1678.000000	HORDALAND GP	GROUP	67	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	1870.000000	2130.000000	JORSALFARE FM	FORMATION	74	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2130.000000	2433.000000	KYRRE FM	FORMATION	92	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	1727.000000	1870.000000	LISTA FM	FORMATION	95	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2437.000000	2442.000000	MIME FM	FORMATION	106	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2500.000000	2528.000000	NESS FM	FORMATION	110	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	1296.000000	1334.000000	NO FORMAL NAME	FORMATION	111	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	1334.000000	1448.000000	NO FORMAL NAME	FORMATION	111	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	1448.000000	1486.000000	NO FORMAL NAME	FORMATION	111	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	1486.000000	1678.000000	NO FORMAL NAME	FORMATION	111	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	303.000000	1080.000000	NORDLAND GP	GROUP	113	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2582.000000	2658.000000	RANNOCH FM	FORMATION	126	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	1678.000000	1870.000000	ROGALAND GP	GROUP	131	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2433.000000	2437.000000	RØDBY FM	FORMATION	137	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	1870.000000	2433.000000	SHETLAND GP	GROUP	143	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2456.000000	2500.000000	TARBERT FM	FORMATION	162	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	968.000000	1080.000000	UTSIRA FM	FORMATION	183	1991-12-27	1838	9999-12-31	2013-05-08
34/7-19	2442.000000	2456.000000	VIKING GP	GROUP	188	1991-12-27	1838	9999-12-31	2013-05-08
1/6-6	3108.000000	3118.000000	BALDER FM	FORMATION	6	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	4651.000000	4846.000000	CROMER KNOLL GP	GROUP	23	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	3306.000000	3413.000000	EKOFISK FM	FORMATION	33	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	4876.000000	5305.000000	FARSUND FM	FORMATION	39	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	5305.000000	5457.000000	HAUGESUND FM	FORMATION	57	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	3809.000000	4651.000000	HOD FM	FORMATION	66	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	1835.000000	3108.000000	HORDALAND GP	GROUP	67	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	3121.000000	3306.000000	LISTA FM	FORMATION	95	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	4846.000000	4876.000000	MANDAL FM	FORMATION	101	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	95.000000	1835.000000	NORDLAND GP	GROUP	113	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	3108.000000	3306.000000	ROGALAND GP	GROUP	131	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	4651.000000	4689.000000	RØDBY FM	FORMATION	137	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	3118.000000	3121.000000	SELE FM	FORMATION	142	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	3306.000000	4651.000000	SHETLAND GP	GROUP	143	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	5457.000000	5565.000000	SMITH BANK FM	FORMATION	149	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	4689.000000	4694.000000	SOLA FM	FORMATION	152	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	3413.000000	3809.000000	TOR FM	FORMATION	171	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	4694.000000	4746.000000	TUXEN FM	FORMATION	175	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	4846.000000	5457.000000	TYNE GP	GROUP	177	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	4746.000000	4846.000000	ÅSGARD FM	FORMATION	198	1993-03-08	1839	9999-12-31	2013-05-08
1/6-6	5457.000000	5565.000000	NO GROUP DEFINED	GROUP	208	1993-03-08	1839	9999-12-31	2013-05-08
6507/2-2	1680.000000	1850.000000	BRYGGE FM	FORMATION	18	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	3720.000000	3958.000000	BÅT GP	GROUP	22	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	2818.000000	3380.000000	CROMER KNOLL GP	GROUP	23	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	3673.000000	3720.000000	FANGST GP	GROUP	38	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	3673.000000	3698.000000	GARN FM	FORMATION	48	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	1680.000000	1850.000000	HORDALAND GP	GROUP	67	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	3703.000000	3720.000000	ILE FM	FORMATION	70	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	1397.000000	1680.000000	KAI FM	FORMATION	77	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	2831.000000	3380.000000	LANGE FM	FORMATION	94	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	2818.000000	2831.000000	LYSING FM	FORMATION	99	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	3380.000000	3673.000000	MELKE FM	FORMATION	105	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	407.000000	1397.000000	NAUST FM	FORMATION	109	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	407.000000	1680.000000	NORDLAND GP	GROUP	113	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	3698.000000	3703.000000	NOT FM	FORMATION	120	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	1850.000000	1987.000000	ROGALAND GP	GROUP	131	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	3720.000000	3746.000000	ROR FM	FORMATION	135	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	1987.000000	2818.000000	SHETLAND GP	GROUP	143	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	1941.000000	1987.000000	TANG FM	FORMATION	161	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	1850.000000	1941.000000	TARE FM	FORMATION	163	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	3770.000000	3810.000000	TILJE FM	FORMATION	169	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	3746.000000	3770.000000	TOFTE FM	FORMATION	170	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	3380.000000	3673.000000	VIKING GP	GROUP	188	1992-03-16	1840	9999-12-31	2013-05-08
6507/2-2	3810.000000	3958.000000	ÅRE FM	FORMATION	197	1992-03-16	1840	9999-12-31	2013-05-08
34/8-6	1891.000000	1916.000000	BALDER FM	FORMATION	6	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3686.000000	3880.000000	BRENT GP	GROUP	16	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3418.000000	3477.000000	CROMER KNOLL GP	GROUP	23	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3880.000000	3950.000000	DRAKE FM	FORMATION	27	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3477.000000	3581.000000	DRAUPNE FM	FORMATION	28	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3880.000000	3950.000000	DUNLIN GP	GROUP	29	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3724.000000	3757.000000	ETIVE FM	FORMATION	35	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3581.000000	3686.000000	HEATHER FM	FORMATION	60	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	1178.000000	1891.000000	HORDALAND GP	GROUP	67	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	2145.000000	2340.000000	JORSALFARE FM	FORMATION	74	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	2340.000000	3352.000000	KYRRE FM	FORMATION	92	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	1925.000000	2127.000000	LISTA FM	FORMATION	95	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3468.000000	3477.000000	MIME FM	FORMATION	106	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3706.000000	3724.000000	NESS FM	FORMATION	110	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	1402.000000	1421.000000	NO FORMAL NAME	FORMATION	111	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	1421.000000	1891.000000	NO FORMAL NAME	FORMATION	111	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	400.000000	1178.000000	NORDLAND GP	GROUP	113	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3757.000000	3880.000000	RANNOCH FM	FORMATION	126	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	1891.000000	2145.000000	ROGALAND GP	GROUP	131	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	1916.000000	1925.000000	SELE FM	FORMATION	142	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	2145.000000	3418.000000	SHETLAND GP	GROUP	143	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3418.000000	3440.000000	SOLA FM	FORMATION	152	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3686.000000	3706.000000	TARBERT FM	FORMATION	162	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3352.000000	3418.000000	TRYGGVASON FM	FORMATION	173	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	1055.000000	1178.000000	UTSIRA FM	FORMATION	183	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3477.000000	3686.000000	VIKING GP	GROUP	188	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	2127.000000	2145.000000	VÅLE FM	FORMATION	190	1991-11-03	1842	9999-12-31	2013-05-08
34/8-6	3440.000000	3468.000000	ÅSGARD FM	FORMATION	198	1991-11-03	1842	9999-12-31	2013-05-08
2/2-5	2746.000000	2778.000000	BALDER FM	FORMATION	6	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3262.000000	3418.000000	CROMER KNOLL GP	GROUP	23	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	2947.000000	3009.000000	EKOFISK FM	FORMATION	33	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3426.000000	3538.000000	FARSUND FM	FORMATION	39	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3204.000000	3262.000000	HOD FM	FORMATION	66	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	1608.000000	2746.000000	HORDALAND GP	GROUP	67	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	2836.000000	2898.000000	LISTA FM	FORMATION	95	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3418.000000	3426.000000	MANDAL FM	FORMATION	101	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	89.000000	1608.000000	NORDLAND GP	GROUP	113	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	2746.000000	2947.000000	ROGALAND GP	GROUP	131	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3262.000000	3281.000000	RØDBY FM	FORMATION	137	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	2778.000000	2836.000000	SELE FM	FORMATION	142	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	2947.000000	3262.000000	SHETLAND GP	GROUP	143	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3009.000000	3204.000000	TOR FM	FORMATION	171	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3281.000000	3285.000000	TUXEN FM	FORMATION	175	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3418.000000	3538.000000	TYNE GP	GROUP	177	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3538.000000	3989.000000	ULA FM	FORMATION	179	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	2184.000000	2746.000000	VADE FM	FORMATION	184	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3538.000000	3989.000000	VESTLAND GP	GROUP	186	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	2898.000000	2947.000000	VÅLE FM	FORMATION	190	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	4079.000000	4082.000000	ZECHSTEIN GP	GROUP	194	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3285.000000	3418.000000	ÅSGARD FM	FORMATION	198	1992-02-19	1846	9999-12-31	2013-05-08
2/2-5	3989.000000	4079.000000	NO GROUP DEFINED	GROUP	208	1992-02-19	1846	9999-12-31	2013-05-08
6407/8-1	1190.000000	1876.000000	BRYGGE FM	FORMATION	18	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	2870.000000	4094.000000	CROMER KNOLL GP	GROUP	23	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	1190.000000	1876.000000	HORDALAND GP	GROUP	67	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	1110.000000	1190.000000	KAI FM	FORMATION	77	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	2612.000000	2870.000000	KVITNOS FM	FORMATION	91	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	2870.000000	4062.000000	LANGE FM	FORMATION	94	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	4062.000000	4094.000000	LYR FM	FORMATION	98	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	4306.000000	4650.000000	MELKE FM	FORMATION	105	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	307.000000	1110.000000	NAUST FM	FORMATION	109	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	2283.000000	2612.000000	NISE FM	FORMATION	112	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	307.000000	1190.000000	NORDLAND GP	GROUP	113	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	1876.000000	2137.000000	ROGALAND GP	GROUP	131	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	2137.000000	2870.000000	SHETLAND GP	GROUP	143	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	4094.000000	4306.000000	SPEKK FM	FORMATION	155	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	2137.000000	2283.000000	SPRINGAR FM	FORMATION	156	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	1931.000000	2137.000000	TANG FM	FORMATION	161	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	1876.000000	1931.000000	TARE FM	FORMATION	163	1992-06-07	1859	9999-12-31	2013-05-08
6407/8-1	4094.000000	4650.000000	VIKING GP	GROUP	188	1992-06-07	1859	9999-12-31	2013-05-08
2/7-21 SR	3072.000000	3093.000000	BALDER FM	FORMATION	6	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	4166.000000	4172.000000	BLODØKS FM	FORMATION	13	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	4209.000000	4307.000000	CROMER KNOLL GP	GROUP	23	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	3238.000000	3325.000000	EKOFISK FM	FORMATION	33	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	4172.000000	4209.000000	HIDRA FM	FORMATION	65	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	3607.000000	4166.000000	HOD FM	FORMATION	66	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	1606.000000	3072.000000	HORDALAND GP	GROUP	67	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	3146.000000	3204.000000	LISTA FM	FORMATION	95	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	100.000000	1606.000000	NORDLAND GP	GROUP	113	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	3072.000000	3238.000000	ROGALAND GP	GROUP	131	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	4209.000000	4307.000000	RØDBY FM	FORMATION	137	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	3093.000000	3146.000000	SELE FM	FORMATION	142	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	3238.000000	4209.000000	SHETLAND GP	GROUP	143	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	3325.000000	3607.000000	TOR FM	FORMATION	171	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	3204.000000	3238.000000	VÅLE FM	FORMATION	190	1991-10-14	1861	9999-12-31	2013-05-08
2/7-21 SR	4307.000000	5046.000000	NO GROUP DEFINED	GROUP	208	1991-10-14	1861	9999-12-31	2013-05-08
6610/3-1	555.000000	1366.000000	BRYGGE FM	FORMATION	18	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	2504.000000	3126.000000	CROMER KNOLL GP	GROUP	23	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	555.000000	1366.000000	HORDALAND GP	GROUP	67	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	2543.000000	2655.000000	LANGE FM	FORMATION	94	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	2691.000000	2889.000000	LANGE FM	FORMATION	94	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	3050.000000	3126.000000	LANGE FM	FORMATION	94	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	2504.000000	2543.000000	LYSING FM	FORMATION	99	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	2655.000000	2691.000000	LYSING FM	FORMATION	99	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	332.000000	349.000000	NAUST FM	FORMATION	109	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	1556.000000	1585.000000	NO FORMAL NAME	FORMATION	111	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	1640.000000	1805.000000	NO FORMAL NAME	FORMATION	111	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	2282.000000	2322.000000	NO FORMAL NAME	FORMATION	111	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	2889.000000	3050.000000	NO FORMAL NAME	FORMATION	111	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	2039.000000	2282.000000	NISE FM	FORMATION	112	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	2322.000000	2504.000000	NISE FM	FORMATION	112	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	332.000000	555.000000	NORDLAND GP	GROUP	113	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	1366.000000	1840.000000	ROGALAND GP	GROUP	131	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	1840.000000	2504.000000	SHETLAND GP	GROUP	143	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	1840.000000	2039.000000	SPRINGAR FM	FORMATION	156	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	1472.000000	1556.000000	TANG FM	FORMATION	161	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	1585.000000	1640.000000	TANG FM	FORMATION	161	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	1805.000000	1840.000000	TANG FM	FORMATION	161	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	1366.000000	1472.000000	TARE FM	FORMATION	163	1993-02-17	1864	9999-12-31	2013-05-08
6610/3-1	349.000000	555.000000	MOLO FM	FORMATION	209	1993-02-17	1864	9999-12-31	2013-05-08
2/1-10	2977.000000	3003.000000	BALDER FM	FORMATION	6	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3789.000000	3822.000000	BLODØKS FM	FORMATION	13	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3852.000000	4127.000000	CROMER KNOLL GP	GROUP	23	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3221.000000	3323.000000	EKOFISK FM	FORMATION	33	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	4156.000000	4189.000000	FARSUND FM	FORMATION	39	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	4322.000000	4347.000000	FARSUND FM	FORMATION	39	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	4347.000000	4435.000000	HAUGESUND FM	FORMATION	57	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3822.000000	3852.000000	HIDRA FM	FORMATION	65	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3607.000000	3789.000000	HOD FM	FORMATION	66	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	1712.000000	2977.000000	HORDALAND GP	GROUP	67	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3015.000000	3168.000000	LISTA FM	FORMATION	95	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	4127.000000	4156.000000	MANDAL FM	FORMATION	101	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	89.000000	1712.000000	NORDLAND GP	GROUP	113	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	2977.000000	3221.000000	ROGALAND GP	GROUP	131	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3852.000000	3889.000000	RØDBY FM	FORMATION	137	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3003.000000	3015.000000	SELE FM	FORMATION	142	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3221.000000	3852.000000	SHETLAND GP	GROUP	143	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	4435.000000	4525.000000	SKAGERRAK FM	FORMATION	146	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3889.000000	3914.000000	SOLA FM	FORMATION	152	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3323.000000	3607.000000	TOR FM	FORMATION	171	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3914.000000	3964.000000	TUXEN FM	FORMATION	175	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	4127.000000	4189.000000	TYNE GP	GROUP	177	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	4322.000000	4435.000000	TYNE GP	GROUP	177	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	4189.000000	4322.000000	ULA FM	FORMATION	179	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	4189.000000	4322.000000	VESTLAND GP	GROUP	186	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3168.000000	3221.000000	VÅLE FM	FORMATION	190	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	3964.000000	4127.000000	ÅSGARD FM	FORMATION	198	1992-01-14	1865	9999-12-31	2013-05-08
2/1-10	4435.000000	4525.000000	NO GROUP DEFINED	GROUP	208	1992-01-14	1865	9999-12-31	2013-05-08
2/1-9 A	2898.000000	2915.000000	BALDER FM	FORMATION	6	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3788.000000	3799.000000	BLODØKS FM	FORMATION	13	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3819.000000	4068.000000	CROMER KNOLL GP	GROUP	23	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3168.000000	3256.000000	EKOFISK FM	FORMATION	33	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	4084.000000	4099.000000	FARSUND FM	FORMATION	39	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	2923.000000	2982.000000	FORTIES FM	FORMATION	44	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3799.000000	3819.000000	HIDRA FM	FORMATION	65	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3618.000000	3788.000000	HOD FM	FORMATION	66	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	1814.000000	2898.000000	HORDALAND GP	GROUP	67	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	2982.000000	3055.000000	LISTA FM	FORMATION	95	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3143.000000	3159.000000	LISTA FM	FORMATION	95	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	4068.000000	4084.000000	MANDAL FM	FORMATION	101	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	89.000000	1814.000000	NORDLAND GP	GROUP	113	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	2898.000000	3168.000000	ROGALAND GP	GROUP	131	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3819.000000	3870.000000	RØDBY FM	FORMATION	137	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	2915.000000	2923.000000	SELE FM	FORMATION	142	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3168.000000	3819.000000	SHETLAND GP	GROUP	143	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3870.000000	3881.000000	SOLA FM	FORMATION	152	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3256.000000	3618.000000	TOR FM	FORMATION	171	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3881.000000	3900.000000	TUXEN FM	FORMATION	175	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	4068.000000	4099.000000	TYNE GP	GROUP	177	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	4099.000000	4379.000000	ULA FM	FORMATION	179	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	4099.000000	4379.000000	VESTLAND GP	GROUP	186	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3055.000000	3143.000000	VIDAR FM	FORMATION	187	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3159.000000	3168.000000	VÅLE FM	FORMATION	190	1992-03-08	1867	9999-12-31	2013-05-08
2/1-9 A	3900.000000	4068.000000	ÅSGARD FM	FORMATION	198	1992-03-08	1867	9999-12-31	2013-05-08
7/7-2	2471.000000	2510.000000	BALDER FM	FORMATION	6	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3106.000000	3240.000000	CROMER KNOLL GP	GROUP	23	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	2723.000000	2854.000000	EKOFISK FM	FORMATION	33	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3282.000000	3327.000000	FARSUND FM	FORMATION	39	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	2975.000000	3106.000000	HOD FM	FORMATION	66	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	1179.000000	2471.000000	HORDALAND GP	GROUP	67	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	2665.000000	2723.000000	LISTA FM	FORMATION	95	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3240.000000	3282.000000	MANDAL FM	FORMATION	101	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	105.000000	1179.000000	NORDLAND GP	GROUP	113	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	2471.000000	2723.000000	ROGALAND GP	GROUP	131	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3106.000000	3126.000000	RØDBY FM	FORMATION	137	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	2510.000000	2665.000000	SELE FM	FORMATION	142	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	2723.000000	3106.000000	SHETLAND GP	GROUP	143	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3347.000000	3388.000000	SMITH BANK FM	FORMATION	149	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3126.000000	3140.000000	SOLA FM	FORMATION	152	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	2854.000000	2975.000000	TOR FM	FORMATION	171	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3140.000000	3153.000000	TUXEN FM	FORMATION	175	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3240.000000	3327.000000	TYNE GP	GROUP	177	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3327.000000	3347.000000	ULA FM	FORMATION	179	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3327.000000	3347.000000	VESTLAND GP	GROUP	186	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3388.000000	3430.000000	ZECHSTEIN GP	GROUP	194	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3153.000000	3240.000000	ÅSGARD FM	FORMATION	198	1992-04-25	1868	9999-12-31	2013-05-08
7/7-2	3347.000000	3388.000000	NO GROUP DEFINED	GROUP	208	1992-04-25	1868	9999-12-31	2013-05-08
7122/4-1	910.000000	2326.000000	ADVENTDALEN GP	GROUP	1	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	2464.000000	2635.000000	FRUHOLMEN FM	FORMATION	46	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	2297.000000	2326.000000	FUGLEN FM	FORMATION	47	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	2225.000000	2297.000000	HEKKINGEN FM	FORMATION	63	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	2326.000000	3015.000000	KAPP TOSCANA GP	GROUP	79	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	2112.000000	2225.000000	KNURR FM	FORMATION	82	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	1887.000000	2112.000000	KOLJE FM	FORMATION	84	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	910.000000	1887.000000	KOLMULE FM	FORMATION	85	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	820.000000	910.000000	KVITING FM	FORMATION	90	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	368.000000	500.000000	NORDLAND GP	GROUP	113	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	2386.000000	2430.000000	NORDMELA FM	FORMATION	118	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	820.000000	910.000000	NYGRUNNEN GP	GROUP	122	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	2635.000000	3015.000000	SNADD FM	FORMATION	150	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	500.000000	820.000000	SOTBAKKEN GP	GROUP	154	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	2326.000000	2386.000000	STØ FM	FORMATION	159	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	500.000000	820.000000	TORSK FM	FORMATION	172	1992-01-13	1869	9999-12-31	2013-05-08
7122/4-1	2430.000000	2464.000000	TUBÅEN FM	FORMATION	174	1992-01-13	1869	9999-12-31	2013-05-08
25/11-15	1660.000000	1674.000000	BALDER FM	FORMATION	6	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1893.000000	1904.000000	BLODØKS FM	FORMATION	13	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1926.000000	1978.000000	CROMER KNOLL GP	GROUP	23	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1978.000000	1983.000000	DRAUPNE FM	FORMATION	28	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1491.000000	1506.000000	GRID FM	FORMATION	53	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1734.000000	1798.000000	HEIMDAL FM	FORMATION	62	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1904.000000	1926.000000	HIDRA FM	FORMATION	65	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1867.000000	1893.000000	HOD FM	FORMATION	66	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	798.000000	1660.000000	HORDALAND GP	GROUP	67	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1678.000000	1734.000000	LISTA FM	FORMATION	95	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1798.000000	1807.000000	LISTA FM	FORMATION	95	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	750.000000	798.000000	NO FORMAL NAME	FORMATION	111	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1018.000000	1032.000000	NO FORMAL NAME	FORMATION	111	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1108.000000	1491.000000	NO FORMAL NAME	FORMATION	111	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1506.000000	1660.000000	NO FORMAL NAME	FORMATION	111	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	151.000000	798.000000	NORDLAND GP	GROUP	113	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1660.000000	1818.000000	ROGALAND GP	GROUP	131	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1926.000000	1942.000000	RØDBY FM	FORMATION	137	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1674.000000	1678.000000	SELE FM	FORMATION	142	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1818.000000	1926.000000	SHETLAND GP	GROUP	143	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	798.000000	1018.000000	SKADE FM	FORMATION	145	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1032.000000	1108.000000	SKADE FM	FORMATION	145	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1942.000000	1954.000000	SOLA FM	FORMATION	152	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1983.000000	2035.000000	STATFJORD FM	FORMATION	157	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1818.000000	1867.000000	TOR FM	FORMATION	171	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	652.000000	750.000000	UTSIRA FM	FORMATION	183	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1978.000000	1983.000000	VIKING GP	GROUP	188	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1807.000000	1818.000000	VÅLE FM	FORMATION	190	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1954.000000	1978.000000	ÅSGARD FM	FORMATION	198	1991-12-25	1872	9999-12-31	2013-05-08
25/11-15	1983.000000	2035.000000	NO GROUP DEFINED	GROUP	208	1991-12-25	1872	9999-12-31	2013-05-08
34/10-35	4116.000000	4239.000000	AMUNDSEN FM	FORMATION	4	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	1872.000000	1930.000000	BALDER FM	FORMATION	6	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	3913.000000	3942.000000	BRENT GP	GROUP	16	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	4048.000000	4116.000000	BURTON FM	FORMATION	20	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	3635.000000	3791.000000	CROMER KNOLL GP	GROUP	23	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	3965.000000	4048.000000	COOK FM	FORMATION	24	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	3942.000000	3965.000000	DRAKE FM	FORMATION	27	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	3791.000000	3877.000000	DRAUPNE FM	FORMATION	28	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	3942.000000	4239.000000	DUNLIN GP	GROUP	29	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	3877.000000	3913.000000	HEATHER FM	FORMATION	60	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	962.000000	1872.000000	HORDALAND GP	GROUP	67	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	1938.000000	2080.000000	LISTA FM	FORMATION	95	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	3913.000000	3942.000000	NESS FM	FORMATION	110	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	159.000000	962.000000	NORDLAND GP	GROUP	113	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	1872.000000	2097.000000	ROGALAND GP	GROUP	131	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	1930.000000	1938.000000	SELE FM	FORMATION	142	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	2097.000000	3635.000000	SHETLAND GP	GROUP	143	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	4239.000000	4310.000000	STATFJORD FM	FORMATION	157	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	753.000000	962.000000	UTSIRA FM	FORMATION	183	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	3791.000000	3913.000000	VIKING GP	GROUP	188	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	2080.000000	2097.000000	VÅLE FM	FORMATION	190	1992-07-01	1874	9999-12-31	2013-05-08
34/10-35	4239.000000	4310.000000	NO GROUP DEFINED	GROUP	208	1992-07-01	1874	9999-12-31	2013-05-08
2/7-20 R	2933.000000	2948.000000	BALDER FM	FORMATION	6	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	3896.000000	3903.000000	BLODØKS FM	FORMATION	13	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	3962.000000	4057.000000	CROMER KNOLL GP	GROUP	23	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	3063.000000	3143.000000	EKOFISK FM	FORMATION	33	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	3903.000000	3962.000000	HIDRA FM	FORMATION	65	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	3436.000000	3896.000000	HOD FM	FORMATION	66	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	1599.000000	2933.000000	HORDALAND GP	GROUP	67	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	2998.000000	3051.000000	LISTA FM	FORMATION	95	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	4057.000000	4058.000000	MANDAL FM	FORMATION	101	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	93.000000	1599.000000	NORDLAND GP	GROUP	113	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	2933.000000	3063.000000	ROGALAND GP	GROUP	131	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	3962.000000	4057.000000	RØDBY FM	FORMATION	137	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	2948.000000	2998.000000	SELE FM	FORMATION	142	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	3063.000000	3962.000000	SHETLAND GP	GROUP	143	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	3143.000000	3436.000000	TOR FM	FORMATION	171	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	4057.000000	4058.000000	TYNE GP	GROUP	177	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	3051.000000	3063.000000	VÅLE FM	FORMATION	190	1991-11-01	1875	9999-12-31	2013-05-08
2/7-20 R	4058.000000	4505.000000	UNDEFINED GP	GROUP	191	1991-11-01	1875	9999-12-31	2013-05-08
2/7-27 S	3007.000000	3027.000000	BALDER FM	FORMATION	6	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	4161.000000	4170.000000	BLODØKS FM	FORMATION	13	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	4238.000000	4476.000000	CROMER KNOLL GP	GROUP	23	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	3167.000000	3255.000000	EKOFISK FM	FORMATION	33	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	4170.000000	4238.000000	HIDRA FM	FORMATION	65	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	3523.000000	4161.000000	HOD FM	FORMATION	66	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	1600.000000	3007.000000	HORDALAND GP	GROUP	67	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	3083.000000	3140.000000	LISTA FM	FORMATION	95	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	100.000000	1600.000000	NORDLAND GP	GROUP	113	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	3007.000000	3167.000000	ROGALAND GP	GROUP	131	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	4238.000000	4287.000000	RØDBY FM	FORMATION	137	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	3027.000000	3083.000000	SELE FM	FORMATION	142	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	3167.000000	4238.000000	SHETLAND GP	GROUP	143	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	4287.000000	4333.000000	SOLA FM	FORMATION	152	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	3255.000000	3523.000000	TOR FM	FORMATION	171	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	4333.000000	4362.000000	TUXEN FM	FORMATION	175	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	4476.000000	4483.000000	TYNE GP	GROUP	177	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	3140.000000	3167.000000	VÅLE FM	FORMATION	190	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	4483.000000	4801.000000	UNDEFINED GP	GROUP	191	1992-06-17	1878	9999-12-31	2013-05-08
2/7-27 S	4362.000000	4476.000000	ÅSGARD FM	FORMATION	198	1992-06-17	1878	9999-12-31	2013-05-08
35/11-6	3864.000000	3887.000000	AMUNDSEN FM	FORMATION	4	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3924.000000	3943.000000	AMUNDSEN FM	FORMATION	4	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	1625.000000	1688.000000	BALDER FM	FORMATION	6	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3516.000000	3721.000000	BRENT GP	GROUP	16	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	2772.000000	2902.000000	CROMER KNOLL GP	GROUP	23	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3773.000000	3864.000000	COOK FM	FORMATION	24	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3721.000000	3773.000000	DRAKE FM	FORMATION	27	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	2902.000000	3061.000000	DRAUPNE FM	FORMATION	28	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3721.000000	3943.000000	DUNLIN GP	GROUP	29	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3605.000000	3635.000000	ETIVE FM	FORMATION	35	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3061.000000	3157.000000	HEATHER FM	FORMATION	60	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3196.000000	3516.000000	HEATHER FM	FORMATION	60	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	843.000000	1625.000000	HORDALAND GP	GROUP	67	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3887.000000	3924.000000	JOHANSEN FM	FORMATION	73	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	1723.000000	1923.000000	LISTA FM	FORMATION	95	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3526.000000	3605.000000	NESS FM	FORMATION	110	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	396.000000	843.000000	NORDLAND GP	GROUP	113	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3678.000000	3721.000000	OSEBERG FM	FORMATION	123	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3635.000000	3678.000000	RANNOCH FM	FORMATION	126	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	1625.000000	1955.000000	ROGALAND GP	GROUP	131	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	2772.000000	2800.000000	RØDBY FM	FORMATION	137	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	1688.000000	1723.000000	SELE FM	FORMATION	142	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	1955.000000	2772.000000	SHETLAND GP	GROUP	143	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3157.000000	3196.000000	SOGNEFJORD FM	FORMATION	151	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	2800.000000	2816.000000	SOLA FM	FORMATION	152	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3943.000000	3995.000000	STATFJORD FM	FORMATION	157	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3516.000000	3526.000000	TARBERT FM	FORMATION	162	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	724.000000	843.000000	UTSIRA FM	FORMATION	183	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	2902.000000	3516.000000	VIKING GP	GROUP	188	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	1923.000000	1955.000000	VÅLE FM	FORMATION	190	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	2816.000000	2902.000000	ÅSGARD FM	FORMATION	198	1992-04-20	1879	9999-12-31	2013-05-08
35/11-6	3943.000000	3995.000000	NO GROUP DEFINED	GROUP	208	1992-04-20	1879	9999-12-31	2013-05-08
35/12-1	3003.000000	3020.000000	AMUNDSEN FM	FORMATION	4	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	573.000000	600.000000	BALDER FM	FORMATION	6	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2886.000000	2908.000000	BRENT GP	GROUP	16	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2180.000000	2361.000000	CROMER KNOLL GP	GROUP	23	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2921.000000	3003.000000	COOK FM	FORMATION	24	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2908.000000	2921.000000	DRAKE FM	FORMATION	27	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2361.000000	2398.000000	DRAUPNE FM	FORMATION	28	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2908.000000	3020.000000	DUNLIN GP	GROUP	29	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2790.000000	2886.000000	FENSFJORD FM	FORMATION	40	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2398.000000	2557.000000	HEATHER FM	FORMATION	60	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2667.000000	2790.000000	HEATHER FM	FORMATION	60	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	1434.000000	1513.000000	JORSALFARE FM	FORMATION	74	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	1513.000000	1924.000000	KYRRE FM	FORMATION	92	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	999.000000	1054.000000	LISTA FM	FORMATION	95	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	1087.000000	1400.000000	LISTA FM	FORMATION	95	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2890.000000	2908.000000	NESS FM	FORMATION	110	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	1054.000000	1087.000000	NO FORMAL NAME	FORMATION	111	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	377.000000	573.000000	NORDLAND GP	GROUP	113	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	573.000000	1434.000000	ROGALAND GP	GROUP	131	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2180.000000	2247.000000	RØDBY FM	FORMATION	137	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	600.000000	999.000000	SELE FM	FORMATION	142	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	1434.000000	2180.000000	SHETLAND GP	GROUP	143	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2557.000000	2667.000000	SOGNEFJORD FM	FORMATION	151	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	1924.000000	2180.000000	SVARTE FM	FORMATION	160	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2886.000000	2890.000000	TARBERT FM	FORMATION	162	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	551.000000	573.000000	UTSIRA FM	FORMATION	183	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2361.000000	2886.000000	VIKING GP	GROUP	188	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	1400.000000	1434.000000	VÅLE FM	FORMATION	190	1992-04-24	1881	9999-12-31	2013-05-08
35/12-1	2247.000000	2361.000000	ÅSGARD FM	FORMATION	198	1992-04-24	1881	9999-12-31	2013-05-08
35/11-4 R	2928.000000	3033.000000	AMUNDSEN FM	FORMATION	4	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	1407.000000	1458.000000	BALDER FM	FORMATION	6	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	2634.000000	2795.000000	BRENT GP	GROUP	16	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	2835.000000	2928.000000	COOK FM	FORMATION	24	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	2795.000000	2835.000000	DRAKE FM	FORMATION	27	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	1976.000000	1994.000000	DRAUPNE FM	FORMATION	28	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	2795.000000	3092.000000	DUNLIN GP	GROUP	29	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	2666.000000	2696.000000	ETIVE FM	FORMATION	35	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	2294.000000	2375.000000	FENSFJORD FM	FORMATION	40	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	1845.000000	1910.000000	HARDRÅDE FM	FORMATION	56	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	2126.000000	2294.000000	HEATHER FM	FORMATION	60	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	2375.000000	2634.000000	HEATHER FM	FORMATION	60	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	744.000000	1407.000000	HORDALAND GP	GROUP	67	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	3033.000000	3092.000000	JOHANSEN FM	FORMATION	73	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	1910.000000	1976.000000	KYRRE FM	FORMATION	92	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	1571.000000	1770.000000	LISTA FM	FORMATION	95	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	2634.000000	2666.000000	NESS FM	FORMATION	110	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	382.000000	744.000000	NORDLAND GP	GROUP	113	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	2717.000000	2795.000000	OSEBERG FM	FORMATION	123	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	2696.000000	2717.000000	RANNOCH FM	FORMATION	126	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	1407.000000	1845.000000	ROGALAND GP	GROUP	131	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	1458.000000	1571.000000	SELE FM	FORMATION	142	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	1845.000000	1976.000000	SHETLAND GP	GROUP	143	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	1994.000000	2126.000000	SOGNEFJORD FM	FORMATION	151	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	3092.000000	3137.000000	STATFJORD FM	FORMATION	157	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	717.000000	744.000000	UTSIRA FM	FORMATION	183	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	1976.000000	2634.000000	VIKING GP	GROUP	188	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	1770.000000	1845.000000	VÅLE FM	FORMATION	190	1992-01-27	1883	9999-12-31	2013-05-08
35/11-4 R	3092.000000	3137.000000	NO GROUP DEFINED	GROUP	208	1992-01-27	1883	9999-12-31	2013-05-08
31/2-17 S	1540.000000	1603.000000	BALDER FM	FORMATION	6	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	1870.000000	1872.000000	DRAUPNE FM	FORMATION	28	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	2180.000000	2220.000000	FENSFJORD FM	FORMATION	40	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	1957.000000	2180.000000	HEATHER FM	FORMATION	60	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	803.000000	1540.000000	HORDALAND GP	GROUP	67	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	1676.000000	1856.000000	LISTA FM	FORMATION	95	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	921.000000	1028.000000	NO FORMAL NAME	FORMATION	111	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	1028.000000	1540.000000	NO FORMAL NAME	FORMATION	111	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	365.000000	803.000000	NORDLAND GP	GROUP	113	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	1540.000000	1870.000000	ROGALAND GP	GROUP	131	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	1603.000000	1676.000000	SELE FM	FORMATION	142	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	1872.000000	1957.000000	SOGNEFJORD FM	FORMATION	151	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	1870.000000	2220.000000	VIKING GP	GROUP	188	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 S	1856.000000	1870.000000	VÅLE FM	FORMATION	190	1992-01-20	1885	9999-12-31	2013-05-08
31/2-17 A	1412.000000	1454.000000	BALDER FM	FORMATION	6	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 A	1682.000000	1689.000000	DRAUPNE FM	FORMATION	28	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 A	1895.000000	1924.000000	FENSFJORD FM	FORMATION	40	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 A	1756.000000	1895.000000	HEATHER FM	FORMATION	60	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 A	803.000000	1412.000000	HORDALAND GP	GROUP	67	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 A	1501.000000	1667.000000	LISTA FM	FORMATION	95	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 A	365.000000	803.000000	NORDLAND GP	GROUP	113	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 A	1412.000000	1682.000000	ROGALAND GP	GROUP	131	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 A	1454.000000	1501.000000	SELE FM	FORMATION	142	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 A	1689.000000	1756.000000	SOGNEFJORD FM	FORMATION	151	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 A	1682.000000	1924.000000	VIKING GP	GROUP	188	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 A	1667.000000	1682.000000	VÅLE FM	FORMATION	190	1992-01-31	1898	9999-12-31	2013-05-08
31/2-17 B	1412.000000	1454.000000	BALDER FM	FORMATION	6	1992-02-14	1899	9999-12-31	2013-05-08
31/2-17 B	1686.000000	1691.000000	DRAUPNE FM	FORMATION	28	1992-02-14	1899	9999-12-31	2013-05-08
31/2-17 B	803.000000	1412.000000	HORDALAND GP	GROUP	67	1992-02-14	1899	9999-12-31	2013-05-08
31/2-17 B	1501.000000	1668.000000	LISTA FM	FORMATION	95	1992-02-14	1899	9999-12-31	2013-05-08
31/2-17 B	365.000000	803.000000	NORDLAND GP	GROUP	113	1992-02-14	1899	9999-12-31	2013-05-08
31/2-17 B	1412.000000	1686.000000	ROGALAND GP	GROUP	131	1992-02-14	1899	9999-12-31	2013-05-08
31/2-17 B	1454.000000	1501.000000	SELE FM	FORMATION	142	1992-02-14	1899	9999-12-31	2013-05-08
31/2-17 B	1691.000000	1838.000000	SOGNEFJORD FM	FORMATION	151	1992-02-14	1899	9999-12-31	2013-05-08
31/2-17 B	1686.000000	1838.000000	VIKING GP	GROUP	188	1992-02-14	1899	9999-12-31	2013-05-08
31/2-17 B	1668.000000	1686.000000	VÅLE FM	FORMATION	190	1992-02-14	1899	9999-12-31	2013-05-08
25/11-14 SR	1825.000000	1898.000000	BALDER FM	FORMATION	6	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	1998.000000	2081.000000	HEIMDAL FM	FORMATION	62	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	748.000000	1825.000000	HORDALAND GP	GROUP	67	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	1925.000000	1998.000000	LISTA FM	FORMATION	95	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	729.000000	748.000000	NO FORMAL NAME	FORMATION	111	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	918.000000	1059.000000	NO FORMAL NAME	FORMATION	111	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	1059.000000	1112.000000	NO FORMAL NAME	FORMATION	111	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	1112.000000	1825.000000	NO FORMAL NAME	FORMATION	111	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	152.000000	748.000000	NORDLAND GP	GROUP	113	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	1825.000000	2081.000000	ROGALAND GP	GROUP	131	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	1898.000000	1925.000000	SELE FM	FORMATION	142	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	748.000000	918.000000	SKADE FM	FORMATION	145	1991-12-02	1907	9999-12-31	2013-05-08
25/11-14 SR	600.000000	729.000000	UTSIRA FM	FORMATION	183	1991-12-02	1907	9999-12-31	2013-05-08
34/4-8	1690.000000	1720.000000	BALDER FM	FORMATION	6	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	2761.000000	2771.000000	CROMER KNOLL GP	GROUP	23	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	2771.000000	2799.000000	DUNLIN GP	GROUP	29	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	2913.000000	3110.000000	HEGRE GP	GROUP	61	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	1238.000000	1690.000000	HORDALAND GP	GROUP	67	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	1838.000000	2070.000000	JORSALFARE FM	FORMATION	74	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	2070.000000	2600.000000	KYRRE FM	FORMATION	92	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	1720.000000	1838.000000	LISTA FM	FORMATION	95	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	2913.000000	3110.000000	LUNDE FM	FORMATION	97	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	388.000000	1238.000000	NORDLAND GP	GROUP	113	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	1690.000000	1838.000000	ROGALAND GP	GROUP	131	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	1838.000000	2761.000000	SHETLAND GP	GROUP	143	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	2799.000000	2913.000000	STATFJORD FM	FORMATION	157	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	2600.000000	2761.000000	TRYGGVASON FM	FORMATION	173	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	1123.000000	1238.000000	UTSIRA FM	FORMATION	183	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	2761.000000	2771.000000	ÅSGARD FM	FORMATION	198	1994-06-21	1908	9999-12-31	2013-05-08
34/4-8	2799.000000	2913.000000	NO GROUP DEFINED	GROUP	208	1994-06-21	1908	9999-12-31	2013-05-08
34/8-4 A	2903.000000	3057.000000	AMUNDSEN FM	FORMATION	4	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	1820.000000	1863.000000	BALDER FM	FORMATION	6	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	2894.000000	2903.000000	CROMER KNOLL GP	GROUP	23	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	2903.000000	3057.000000	DUNLIN GP	GROUP	29	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	3143.000000	3567.000000	HEGRE GP	GROUP	61	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	1109.000000	1820.000000	HORDALAND GP	GROUP	67	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	1876.000000	2031.000000	LISTA FM	FORMATION	95	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	3143.000000	3567.000000	LUNDE FM	FORMATION	97	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	333.000000	1109.000000	NORDLAND GP	GROUP	113	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	1820.000000	2031.000000	ROGALAND GP	GROUP	131	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	1863.000000	1876.000000	SELE FM	FORMATION	142	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	2031.000000	2894.000000	SHETLAND GP	GROUP	143	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	3057.000000	3143.000000	STATFJORD FM	FORMATION	157	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	1072.000000	1109.000000	UTSIRA FM	FORMATION	183	1992-05-27	1909	9999-12-31	2013-05-08
34/8-4 A	3057.000000	3143.000000	NO GROUP DEFINED	GROUP	208	1992-05-27	1909	9999-12-31	2013-05-08
25/11-16	1698.000000	1733.000000	BALDER FM	FORMATION	6	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	1521.000000	1562.000000	GRID FM	FORMATION	53	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	1767.000000	1872.000000	HEIMDAL FM	FORMATION	62	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	1936.000000	1945.000000	HOD FM	FORMATION	66	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	836.000000	1698.000000	HORDALAND GP	GROUP	67	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	1739.000000	1767.000000	LISTA FM	FORMATION	95	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	1872.000000	1885.000000	LISTA FM	FORMATION	95	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	764.000000	836.000000	NO FORMAL NAME	FORMATION	111	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	953.000000	1521.000000	NO FORMAL NAME	FORMATION	111	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	1562.000000	1698.000000	NO FORMAL NAME	FORMATION	111	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	145.000000	836.000000	NORDLAND GP	GROUP	113	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	1698.000000	1897.000000	ROGALAND GP	GROUP	131	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	1733.000000	1739.000000	SELE FM	FORMATION	142	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	1897.000000	1945.000000	SHETLAND GP	GROUP	143	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	836.000000	953.000000	SKADE FM	FORMATION	145	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	1897.000000	1936.000000	TOR FM	FORMATION	171	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	663.000000	764.000000	UTSIRA FM	FORMATION	183	1992-07-24	1920	9999-12-31	2013-05-08
25/11-16	1885.000000	1897.000000	VÅLE FM	FORMATION	190	1992-07-24	1920	9999-12-31	2013-05-08
25/11-17	1587.000000	1647.000000	BALDER FM	FORMATION	6	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	2243.000000	2256.000000	BASEMENT	GROUP	10	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1921.000000	1985.000000	CROMER KNOLL GP	GROUP	23	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1985.000000	1997.000000	DRAUPNE FM	FORMATION	28	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1847.000000	1870.000000	HOD FM	FORMATION	66	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	897.000000	1587.000000	HORDALAND GP	GROUP	67	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1652.000000	1721.000000	LISTA FM	FORMATION	95	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	815.000000	897.000000	NO FORMAL NAME	FORMATION	111	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1146.000000	1587.000000	NO FORMAL NAME	FORMATION	111	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	153.000000	897.000000	NORDLAND GP	GROUP	113	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1587.000000	1742.000000	ROGALAND GP	GROUP	131	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1921.000000	1951.000000	RØDBY FM	FORMATION	137	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1647.000000	1652.000000	SELE FM	FORMATION	142	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1742.000000	1921.000000	SHETLAND GP	GROUP	143	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	897.000000	1146.000000	SKADE FM	FORMATION	145	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1951.000000	1966.000000	SOLA FM	FORMATION	152	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1997.000000	2146.000000	STATFJORD FM	FORMATION	157	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1882.000000	1921.000000	SVARTE FM	FORMATION	160	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1742.000000	1847.000000	TOR FM	FORMATION	171	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1870.000000	1882.000000	TRYGGVASON FM	FORMATION	173	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	750.000000	815.000000	UTSIRA FM	FORMATION	183	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1985.000000	1997.000000	VIKING GP	GROUP	188	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1721.000000	1742.000000	VÅLE FM	FORMATION	190	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	2233.000000	2243.000000	UNDEFINED GP	GROUP	191	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	2146.000000	2233.000000	ZECHSTEIN GP	GROUP	194	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1966.000000	1985.000000	ÅSGARD FM	FORMATION	198	1993-03-22	1921	9999-12-31	2013-05-08
25/11-17	1997.000000	2146.000000	NO GROUP DEFINED	GROUP	208	1993-03-22	1921	9999-12-31	2013-05-08
6407/10-3	2959.000000	2973.000000	BASEMENT	GROUP	10	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	818.000000	1310.000000	BRYGGE FM	FORMATION	18	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1770.000000	1806.000000	CROMER KNOLL GP	GROUP	23	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1827.000000	1850.000000	GREY BEDS (INFORMAL)	GROUP	52	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	818.000000	1310.000000	HORDALAND GP	GROUP	67	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	743.000000	818.000000	KAI FM	FORMATION	77	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1653.000000	1770.000000	KVITNOS FM	FORMATION	91	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1770.000000	1806.000000	LYR FM	FORMATION	98	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	347.000000	743.000000	NAUST FM	FORMATION	109	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1581.000000	1653.000000	NISE FM	FORMATION	112	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	347.000000	818.000000	NORDLAND GP	GROUP	113	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1850.000000	2959.000000	RED BEDS (INFORMAL)	GROUP	129	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1310.000000	1523.000000	ROGALAND GP	GROUP	131	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1523.000000	1770.000000	SHETLAND GP	GROUP	143	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1806.000000	1827.000000	SPEKK FM	FORMATION	155	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1523.000000	1581.000000	SPRINGAR FM	FORMATION	156	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1382.000000	1523.000000	TANG FM	FORMATION	161	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1310.000000	1382.000000	TARE FM	FORMATION	163	1992-06-27	1927	9999-12-31	2013-05-08
6407/10-3	1806.000000	1827.000000	VIKING GP	GROUP	188	1992-06-27	1927	9999-12-31	2013-05-08
1/6-7	3069.000000	3080.000000	BALDER FM	FORMATION	6	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	4146.000000	4162.000000	BLODØKS FM	FORMATION	13	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	4291.000000	4402.000000	CROMER KNOLL GP	GROUP	23	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	3278.000000	3389.000000	EKOFISK FM	FORMATION	33	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	4448.000000	4655.000000	FARSUND FM	FORMATION	39	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	4655.000000	4995.000000	HAUGESUND FM	FORMATION	57	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	4162.000000	4291.000000	HIDRA FM	FORMATION	65	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	3665.000000	4146.000000	HOD FM	FORMATION	66	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	1792.000000	3069.000000	HORDALAND GP	GROUP	67	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	3086.000000	3168.000000	LISTA FM	FORMATION	95	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	3237.000000	3249.000000	LISTA FM	FORMATION	95	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	4402.000000	4448.000000	MANDAL FM	FORMATION	101	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	92.000000	1792.000000	NORDLAND GP	GROUP	113	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	3069.000000	3278.000000	ROGALAND GP	GROUP	131	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	4291.000000	4336.000000	RØDBY FM	FORMATION	137	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	3080.000000	3086.000000	SELE FM	FORMATION	142	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	3278.000000	4291.000000	SHETLAND GP	GROUP	143	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	4336.000000	4364.000000	SOLA FM	FORMATION	152	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	3389.000000	3665.000000	TOR FM	FORMATION	171	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	4402.000000	4995.000000	TYNE GP	GROUP	177	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	3168.000000	3237.000000	VIDAR FM	FORMATION	187	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	3249.000000	3278.000000	VÅLE FM	FORMATION	190	1992-07-12	1928	9999-12-31	2013-05-08
1/6-7	4364.000000	4402.000000	ÅSGARD FM	FORMATION	198	1992-07-12	1928	9999-12-31	2013-05-08
25/2-15	2180.000000	2208.000000	BALDER FM	FORMATION	6	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	3346.000000	3365.000000	BLODØKS FM	FORMATION	13	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	3465.000000	3471.000000	DRAUPNE FM	FORMATION	28	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	2684.000000	2823.000000	HARDRÅDE FM	FORMATION	56	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	3471.000000	3505.000000	HEATHER FM	FORMATION	60	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	2208.000000	2377.000000	HERMOD FM	FORMATION	64	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	1059.000000	2180.000000	HORDALAND GP	GROUP	67	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	2823.000000	3189.000000	KYRRE FM	FORMATION	92	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	2377.000000	2502.000000	LISTA FM	FORMATION	95	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	1347.000000	2180.000000	NO FORMAL NAME	FORMATION	111	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	138.000000	1059.000000	NORDLAND GP	GROUP	113	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	2180.000000	2684.000000	ROGALAND GP	GROUP	131	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	2684.000000	3465.000000	SHETLAND GP	GROUP	143	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	1318.000000	1347.000000	SKADE FM	FORMATION	145	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	3365.000000	3465.000000	SVARTE FM	FORMATION	160	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	3189.000000	3346.000000	TRYGGVASON FM	FORMATION	173	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	2502.000000	2583.000000	TY FM	FORMATION	176	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	262.000000	1059.000000	UTSIRA FM	FORMATION	183	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	3465.000000	3505.000000	VIKING GP	GROUP	188	1993-01-13	1938	9999-12-31	2013-05-08
25/2-15	2583.000000	2684.000000	VÅLE FM	FORMATION	190	1993-01-13	1938	9999-12-31	2013-05-08
34/8-7	4970.000000	5086.000000	AMUNDSEN FM	FORMATION	4	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	1875.000000	1928.000000	BALDER FM	FORMATION	6	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4633.000000	4767.000000	BRENT GP	GROUP	16	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4764.000000	4767.000000	BROOM FM	FORMATION	17	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4953.000000	4970.000000	BURTON FM	FORMATION	20	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4034.000000	4466.000000	CROMER KNOLL GP	GROUP	23	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4808.000000	4953.000000	COOK FM	FORMATION	24	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4466.000000	4584.000000	INTRA DRAUPNE FM SS	FORMATION	26	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4767.000000	4808.000000	DRAKE FM	FORMATION	27	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4584.000000	4595.000000	DRAUPNE FM	FORMATION	28	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4767.000000	5118.000000	DUNLIN GP	GROUP	29	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4699.000000	4714.000000	ETIVE FM	FORMATION	35	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4595.000000	4633.000000	HEATHER FM	FORMATION	60	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	5208.000000	5460.000000	HEGRE GP	GROUP	61	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	2022.000000	2037.000000	HEIMDAL FM	FORMATION	62	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	1160.000000	1875.000000	HORDALAND GP	GROUP	67	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	2081.000000	2320.000000	JORSALFARE FM	FORMATION	74	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	2320.000000	3260.000000	KYRRE FM	FORMATION	92	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	1928.000000	2022.000000	LISTA FM	FORMATION	95	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	2037.000000	2081.000000	LISTA FM	FORMATION	95	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	5208.000000	5460.000000	LUNDE FM	FORMATION	97	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4655.000000	4699.000000	NESS FM	FORMATION	110	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	1406.000000	1413.000000	NO FORMAL NAME	FORMATION	111	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	1413.000000	1630.000000	NO FORMAL NAME	FORMATION	111	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	1630.000000	1654.000000	NO FORMAL NAME	FORMATION	111	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	1654.000000	1875.000000	NO FORMAL NAME	FORMATION	111	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	5086.000000	5106.000000	NO FORMAL NAME	FORMATION	111	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	5106.000000	5118.000000	NO FORMAL NAME	FORMATION	111	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	358.000000	1160.000000	NORDLAND GP	GROUP	113	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4714.000000	4764.000000	RANNOCH FM	FORMATION	126	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	1875.000000	2081.000000	ROGALAND GP	GROUP	131	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4034.000000	4298.000000	RØDBY FM	FORMATION	137	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	2081.000000	4034.000000	SHETLAND GP	GROUP	143	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4298.000000	4374.000000	SOLA FM	FORMATION	152	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	5118.000000	5208.000000	STATFJORD FM	FORMATION	157	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	3826.000000	4034.000000	SVARTE FM	FORMATION	160	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4633.000000	4655.000000	TARBERT FM	FORMATION	162	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	3260.000000	3826.000000	TRYGGVASON FM	FORMATION	173	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	1071.000000	1160.000000	UTSIRA FM	FORMATION	183	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4466.000000	4633.000000	VIKING GP	GROUP	188	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	4374.000000	4466.000000	ÅSGARD FM	FORMATION	198	1992-07-16	1941	9999-12-31	2013-05-08
34/8-7	5118.000000	5208.000000	NO GROUP DEFINED	GROUP	208	1992-07-16	1941	9999-12-31	2013-05-08
25/6-2	1927.000000	1984.000000	BALDER FM	FORMATION	6	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2239.000000	2278.000000	CROMER KNOLL GP	GROUP	23	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2345.000000	2392.000000	DRAKE FM	FORMATION	27	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2278.000000	2301.000000	DRAUPNE FM	FORMATION	28	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2345.000000	2392.000000	DUNLIN GP	GROUP	29	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	1640.000000	1682.000000	GRID FM	FORMATION	53	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2207.000000	2239.000000	HARDRÅDE FM	FORMATION	56	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2301.000000	2324.000000	HEATHER FM	FORMATION	60	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	927.000000	1927.000000	HORDALAND GP	GROUP	67	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2324.000000	2345.000000	HUGIN FM	FORMATION	69	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2053.000000	2156.000000	LISTA FM	FORMATION	95	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2261.000000	2278.000000	MIME FM	FORMATION	106	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	1000.000000	1089.000000	NO FORMAL NAME	FORMATION	111	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	1100.000000	1220.000000	NO FORMAL NAME	FORMATION	111	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	1250.000000	1640.000000	NO FORMAL NAME	FORMATION	111	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	1682.000000	1927.000000	NO FORMAL NAME	FORMATION	111	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	145.000000	927.000000	NORDLAND GP	GROUP	113	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	1927.000000	2207.000000	ROGALAND GP	GROUP	131	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2239.000000	2256.000000	RØDBY FM	FORMATION	137	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	1984.000000	2053.000000	SELE FM	FORMATION	142	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2207.000000	2239.000000	SHETLAND GP	GROUP	143	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	945.000000	1000.000000	SKADE FM	FORMATION	145	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	1089.000000	1100.000000	SKADE FM	FORMATION	145	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	1220.000000	1250.000000	SKADE FM	FORMATION	145	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2256.000000	2261.000000	SOLA FM	FORMATION	152	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2168.000000	2207.000000	TY FM	FORMATION	176	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	768.000000	927.000000	UTSIRA FM	FORMATION	183	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2324.000000	2345.000000	VESTLAND GP	GROUP	186	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2278.000000	2324.000000	VIKING GP	GROUP	188	1992-05-29	1949	9999-12-31	2013-05-08
25/6-2	2156.000000	2168.000000	VÅLE FM	FORMATION	190	1992-05-29	1949	9999-12-31	2013-05-08
2/4-16 R	3140.000000	3155.000000	BALDER FM	FORMATION	6	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4575.000000	4598.000000	BLODØKS FM	FORMATION	13	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4877.000000	4973.000000	BRYNE FM	FORMATION	19	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4638.000000	4737.000000	CROMER KNOLL GP	GROUP	23	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	3317.000000	3435.000000	EKOFISK FM	FORMATION	33	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4770.000000	4828.000000	FARSUND FM	FORMATION	39	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4828.000000	4877.000000	HAUGESUND FM	FORMATION	57	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4598.000000	4638.000000	HIDRA FM	FORMATION	65	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	3920.000000	4575.000000	HOD FM	FORMATION	66	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	1798.000000	3140.000000	HORDALAND GP	GROUP	67	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	3189.000000	3238.000000	LISTA FM	FORMATION	95	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	3254.000000	3292.000000	LISTA FM	FORMATION	95	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4737.000000	4770.000000	MANDAL FM	FORMATION	101	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	833.000000	914.000000	NO FORMAL NAME	FORMATION	111	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	914.000000	1798.000000	NO FORMAL NAME	FORMATION	111	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	94.000000	1798.000000	NORDLAND GP	GROUP	113	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	3140.000000	3317.000000	ROGALAND GP	GROUP	131	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4638.000000	4678.000000	RØDBY FM	FORMATION	137	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	3155.000000	3189.000000	SELE FM	FORMATION	142	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	3317.000000	4638.000000	SHETLAND GP	GROUP	143	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	3435.000000	3920.000000	TOR FM	FORMATION	171	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4678.000000	4714.000000	TUXEN FM	FORMATION	175	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4737.000000	4877.000000	TYNE GP	GROUP	177	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4877.000000	4973.000000	VESTLAND GP	GROUP	186	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	3238.000000	3254.000000	VIDAR FM	FORMATION	187	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	3292.000000	3317.000000	VÅLE FM	FORMATION	190	1992-07-15	1956	9999-12-31	2013-05-08
2/4-16 R	4714.000000	4737.000000	ÅSGARD FM	FORMATION	198	1992-07-15	1956	9999-12-31	2013-05-08
34/7-20	2947.000000	3046.000000	AMUNDSEN FM	FORMATION	4	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	1682.000000	1732.000000	BALDER FM	FORMATION	6	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2613.000000	2785.000000	BRENT GP	GROUP	16	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2919.000000	2947.000000	BURTON FM	FORMATION	20	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2572.000000	2578.000000	CROMER KNOLL GP	GROUP	23	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2882.000000	2919.000000	COOK FM	FORMATION	24	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2578.000000	2581.000000	INTRA DRAUPNE FM SS	FORMATION	26	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2785.000000	2882.000000	DRAKE FM	FORMATION	27	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2785.000000	3046.000000	DUNLIN GP	GROUP	29	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2649.000000	2695.000000	ETIVE FM	FORMATION	35	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2581.000000	2613.000000	HEATHER FM	FORMATION	60	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	3128.000000	3177.000000	HEGRE GP	GROUP	61	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	1092.000000	1682.000000	HORDALAND GP	GROUP	67	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	1881.000000	2138.000000	JORSALFARE FM	FORMATION	74	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2138.000000	2572.000000	KYRRE FM	FORMATION	92	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	1732.000000	1881.000000	LISTA FM	FORMATION	95	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	3128.000000	3177.000000	LUNDE FM	FORMATION	97	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2572.000000	2578.000000	MIME FM	FORMATION	106	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2630.000000	2649.000000	NESS FM	FORMATION	110	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	1040.000000	1092.000000	NO FORMAL NAME	FORMATION	111	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	1308.000000	1330.000000	NO FORMAL NAME	FORMATION	111	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	1330.000000	1682.000000	NO FORMAL NAME	FORMATION	111	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	321.000000	1092.000000	NORDLAND GP	GROUP	113	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2695.000000	2785.000000	RANNOCH FM	FORMATION	126	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	1682.000000	1881.000000	ROGALAND GP	GROUP	131	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	1881.000000	2572.000000	SHETLAND GP	GROUP	143	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	3046.000000	3128.000000	STATFJORD FM	FORMATION	157	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2613.000000	2630.000000	TARBERT FM	FORMATION	162	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	961.000000	1040.000000	UTSIRA FM	FORMATION	183	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	2578.000000	2613.000000	VIKING GP	GROUP	188	1992-08-27	1967	9999-12-31	2013-05-08
34/7-20	3046.000000	3128.000000	NO GROUP DEFINED	GROUP	208	1992-08-27	1967	9999-12-31	2013-05-08
34/8-8	3287.000000	3388.000000	AMUNDSEN FM	FORMATION	4	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1829.000000	1873.000000	BALDER FM	FORMATION	6	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	2921.000000	3077.000000	BRENT GP	GROUP	16	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	3260.000000	3287.000000	BURTON FM	FORMATION	20	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	2877.000000	2901.000000	CROMER KNOLL GP	GROUP	23	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	3123.000000	3260.000000	COOK FM	FORMATION	24	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	3077.000000	3123.000000	DRAKE FM	FORMATION	27	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	2901.000000	2902.000000	DRAUPNE FM	FORMATION	28	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	3077.000000	3388.000000	DUNLIN GP	GROUP	29	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	2967.000000	3008.000000	ETIVE FM	FORMATION	35	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	2902.000000	2921.000000	HEATHER FM	FORMATION	60	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	3474.000000	3625.000000	HEGRE GP	GROUP	61	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1190.000000	1829.000000	HORDALAND GP	GROUP	67	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1998.000000	2232.000000	JORSALFARE FM	FORMATION	74	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	2232.000000	2877.000000	KYRRE FM	FORMATION	92	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1873.000000	1998.000000	LISTA FM	FORMATION	95	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	3474.000000	3625.000000	LUNDE FM	FORMATION	97	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	2935.000000	2967.000000	NESS FM	FORMATION	110	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1164.000000	1190.000000	NO FORMAL NAME	FORMATION	111	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1368.000000	1401.000000	NO FORMAL NAME	FORMATION	111	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1401.000000	1527.000000	NO FORMAL NAME	FORMATION	111	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1527.000000	1559.000000	NO FORMAL NAME	FORMATION	111	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1559.000000	1829.000000	NO FORMAL NAME	FORMATION	111	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	364.000000	1190.000000	NORDLAND GP	GROUP	113	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	3008.000000	3077.000000	RANNOCH FM	FORMATION	126	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1829.000000	1998.000000	ROGALAND GP	GROUP	131	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1998.000000	2877.000000	SHETLAND GP	GROUP	143	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	2877.000000	2883.000000	SOLA FM	FORMATION	152	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	3388.000000	3474.000000	STATFJORD FM	FORMATION	157	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	2921.000000	2935.000000	TARBERT FM	FORMATION	162	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	1115.000000	1164.000000	UTSIRA FM	FORMATION	183	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	2901.000000	2921.000000	VIKING GP	GROUP	188	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	2883.000000	2901.000000	ÅSGARD FM	FORMATION	198	1992-08-24	1969	9999-12-31	2013-05-08
34/8-8	3388.000000	3474.000000	NO GROUP DEFINED	GROUP	208	1992-08-24	1969	9999-12-31	2013-05-08
10/7-1	652.000000	673.000000	BALDER FM	FORMATION	6	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	1298.000000	1539.000000	BOKNFJORD GP	GROUP	15	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	1632.000000	1836.000000	BRYNE FM	FORMATION	19	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	1022.000000	1298.000000	CROMER KNOLL GP	GROUP	23	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	673.000000	720.000000	FISKEBANK FM	FORMATION	41	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	1298.000000	1386.000000	FLEKKEFJORD FM	FORMATION	43	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	451.000000	652.000000	HORDALAND GP	GROUP	67	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	720.000000	781.000000	LISTA FM	FORMATION	95	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	110.000000	451.000000	NORDLAND GP	GROUP	113	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	652.000000	781.000000	ROGALAND GP	GROUP	131	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	1539.000000	1632.000000	SANDNES FM	FORMATION	139	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	1386.000000	1486.000000	SAUDA FM	FORMATION	141	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	781.000000	1022.000000	SHETLAND GP	GROUP	143	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	1486.000000	1539.000000	TAU FM	FORMATION	164	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	1539.000000	1836.000000	VESTLAND GP	GROUP	186	1992-07-30	1972	9999-12-31	2013-05-08
10/7-1	1836.000000	1890.000000	ZECHSTEIN GP	GROUP	194	1992-07-30	1972	9999-12-31	2013-05-08
6506/11-3	1944.000000	2049.000000	BRYGGE FM	FORMATION	18	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	3121.000000	4167.000000	CROMER KNOLL GP	GROUP	23	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	4169.000000	4350.000000	FANGST GP	GROUP	38	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	4169.000000	4330.000000	GARN FM	FORMATION	48	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	1944.000000	2049.000000	HORDALAND GP	GROUP	67	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	1527.000000	1944.000000	KAI FM	FORMATION	77	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	2553.000000	3121.000000	KVITNOS FM	FORMATION	91	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	3202.000000	4142.000000	LANGE FM	FORMATION	94	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	4142.000000	4167.000000	LYR FM	FORMATION	98	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	3121.000000	3202.000000	LYSING FM	FORMATION	99	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	2357.000000	2553.000000	NISE FM	FORMATION	112	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	352.000000	1944.000000	NORDLAND GP	GROUP	113	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	4330.000000	4350.000000	NOT FM	FORMATION	120	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	2049.000000	2191.000000	ROGALAND GP	GROUP	131	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	2191.000000	3121.000000	SHETLAND GP	GROUP	143	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	4167.000000	4169.000000	SPEKK FM	FORMATION	155	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	2191.000000	2357.000000	SPRINGAR FM	FORMATION	156	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	2139.000000	2191.000000	TANG FM	FORMATION	161	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	2049.000000	2139.000000	TARE FM	FORMATION	163	1992-10-02	1973	9999-12-31	2013-05-08
6506/11-3	4167.000000	4169.000000	VIKING GP	GROUP	188	1992-10-02	1973	9999-12-31	2013-05-08
6407/9-8	758.000000	1296.000000	BRYGGE FM	FORMATION	18	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	2006.000000	2126.000000	BÅT GP	GROUP	22	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1530.000000	1606.000000	CROMER KNOLL GP	GROUP	23	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1730.000000	2006.000000	FANGST GP	GROUP	38	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1730.000000	1833.000000	GARN FM	FORMATION	48	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	758.000000	1296.000000	HORDALAND GP	GROUP	67	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1887.000000	2006.000000	ILE FM	FORMATION	70	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	438.000000	758.000000	KAI FM	FORMATION	77	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1530.000000	1598.000000	LANGE FM	FORMATION	94	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1598.000000	1606.000000	LYR FM	FORMATION	98	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1699.000000	1730.000000	MELKE FM	FORMATION	105	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	252.000000	438.000000	NAUST FM	FORMATION	109	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	252.000000	758.000000	NORDLAND GP	GROUP	113	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1833.000000	1887.000000	NOT FM	FORMATION	120	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1296.000000	1530.000000	ROGALAND GP	GROUP	131	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	2006.000000	2053.000000	ROR FM	FORMATION	135	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1606.000000	1699.000000	SPEKK FM	FORMATION	155	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1335.000000	1530.000000	TANG FM	FORMATION	161	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1296.000000	1335.000000	TARE FM	FORMATION	163	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	2053.000000	2126.000000	TILJE FM	FORMATION	169	1992-09-22	1974	9999-12-31	2013-05-08
6407/9-8	1606.000000	1730.000000	VIKING GP	GROUP	188	1992-09-22	1974	9999-12-31	2013-05-08
35/11-7	2687.000000	2791.000000	AMUNDSEN FM	FORMATION	4	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1295.000000	1344.000000	BALDER FM	FORMATION	6	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2424.000000	2584.000000	BRENT GP	GROUP	16	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2592.000000	2687.000000	COOK FM	FORMATION	24	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2584.000000	2592.000000	DRAKE FM	FORMATION	27	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1793.000000	1796.000000	DRAUPNE FM	FORMATION	28	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2584.000000	2840.000000	DUNLIN GP	GROUP	29	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2454.000000	2511.000000	ETIVE FM	FORMATION	35	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2104.000000	2181.000000	FENSFJORD FM	FORMATION	40	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1735.000000	1779.000000	HARDRÅDE FM	FORMATION	56	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1964.000000	2104.000000	HEATHER FM	FORMATION	60	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2181.000000	2424.000000	HEATHER FM	FORMATION	60	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	711.000000	1295.000000	HORDALAND GP	GROUP	67	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2791.000000	2840.000000	JOHANSEN FM	FORMATION	73	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1779.000000	1793.000000	KYRRE FM	FORMATION	92	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1410.000000	1487.000000	LISTA FM	FORMATION	95	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1527.000000	1591.000000	LISTA FM	FORMATION	95	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1626.000000	1715.000000	LISTA FM	FORMATION	95	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2424.000000	2454.000000	NESS FM	FORMATION	110	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1487.000000	1527.000000	NO FORMAL NAME	FORMATION	111	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1591.000000	1626.000000	NO FORMAL NAME	FORMATION	111	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	384.000000	711.000000	NORDLAND GP	GROUP	113	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2528.000000	2584.000000	OSEBERG FM	FORMATION	123	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2511.000000	2528.000000	RANNOCH FM	FORMATION	126	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1295.000000	1735.000000	ROGALAND GP	GROUP	131	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1344.000000	1410.000000	SELE FM	FORMATION	142	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1735.000000	1793.000000	SHETLAND GP	GROUP	143	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1796.000000	1964.000000	SOGNEFJORD FM	FORMATION	151	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2840.000000	2895.000000	STATFJORD FM	FORMATION	157	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	687.000000	711.000000	UTSIRA FM	FORMATION	183	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1793.000000	2424.000000	VIKING GP	GROUP	188	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	1715.000000	1735.000000	VÅLE FM	FORMATION	190	1992-09-29	1979	9999-12-31	2013-05-08
35/11-7	2840.000000	2895.000000	NO GROUP DEFINED	GROUP	208	1992-09-29	1979	9999-12-31	2013-05-08
25/8-4	1670.000000	1710.000000	BALDER FM	FORMATION	6	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1841.000000	1846.000000	EKOFISK FM	FORMATION	33	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1385.000000	1390.000000	GRID FM	FORMATION	53	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1743.000000	1746.000000	HEIMDAL FM	FORMATION	62	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1750.000000	1751.000000	HEIMDAL FM	FORMATION	62	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1780.000000	1830.000000	HEIMDAL FM	FORMATION	62	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1885.000000	1891.000000	HOD FM	FORMATION	66	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	814.000000	1670.000000	HORDALAND GP	GROUP	67	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1710.000000	1743.000000	LISTA FM	FORMATION	95	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1746.000000	1750.000000	LISTA FM	FORMATION	95	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1751.000000	1780.000000	LISTA FM	FORMATION	95	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1830.000000	1836.000000	LISTA FM	FORMATION	95	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	744.000000	814.000000	NO FORMAL NAME	FORMATION	111	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	885.000000	900.000000	NO FORMAL NAME	FORMATION	111	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	914.000000	939.000000	NO FORMAL NAME	FORMATION	111	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	981.000000	1018.000000	NO FORMAL NAME	FORMATION	111	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1050.000000	1385.000000	NO FORMAL NAME	FORMATION	111	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1390.000000	1670.000000	NO FORMAL NAME	FORMATION	111	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	155.000000	814.000000	NORDLAND GP	GROUP	113	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1670.000000	1841.000000	ROGALAND GP	GROUP	131	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1841.000000	1891.000000	SHETLAND GP	GROUP	143	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	814.000000	885.000000	SKADE FM	FORMATION	145	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	900.000000	914.000000	SKADE FM	FORMATION	145	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	939.000000	981.000000	SKADE FM	FORMATION	145	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1018.000000	1050.000000	SKADE FM	FORMATION	145	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1846.000000	1885.000000	TOR FM	FORMATION	171	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	694.000000	744.000000	UTSIRA FM	FORMATION	183	1992-08-11	1986	9999-12-31	2013-05-08
25/8-4	1836.000000	1841.000000	VÅLE FM	FORMATION	190	1992-08-11	1986	9999-12-31	2013-05-08
7316/5-1	3752.000000	4027.000000	KVEITE FM	FORMATION	89	1992-10-05	1987	9999-12-31	2013-05-08
7316/5-1	473.000000	945.000000	NORDLAND GP	GROUP	113	1992-10-05	1987	9999-12-31	2013-05-08
7316/5-1	3752.000000	4027.000000	NYGRUNNEN GP	GROUP	122	1992-10-05	1987	9999-12-31	2013-05-08
7316/5-1	945.000000	3752.000000	SOTBAKKEN GP	GROUP	154	1992-10-05	1987	9999-12-31	2013-05-08
7316/5-1	945.000000	3752.000000	TORSK FM	FORMATION	172	1992-10-05	1987	9999-12-31	2013-05-08
31/2-18	1220.000000	1266.000000	BALDER FM	FORMATION	6	1992-10-07	1988	9999-12-31	2013-05-08
31/2-18	1688.000000	1711.000000	FENSFJORD FM	FORMATION	40	1992-10-07	1988	9999-12-31	2013-05-08
31/2-18	1643.000000	1688.000000	HEATHER FM	FORMATION	60	1992-10-07	1988	9999-12-31	2013-05-08
31/2-18	670.000000	1220.000000	HORDALAND GP	GROUP	67	1992-10-07	1988	9999-12-31	2013-05-08
31/2-18	1337.000000	1497.000000	LISTA FM	FORMATION	95	1992-10-07	1988	9999-12-31	2013-05-08
31/2-18	1519.000000	1529.000000	NO FORMAL NAME	FORMATION	111	1992-10-07	1988	9999-12-31	2013-05-08
31/2-18	366.000000	670.000000	NORDLAND GP	GROUP	113	1992-10-07	1988	9999-12-31	2013-05-08
31/2-18	1220.000000	1529.000000	ROGALAND GP	GROUP	131	1992-10-07	1988	9999-12-31	2013-05-08
31/2-18	1266.000000	1337.000000	SELE FM	FORMATION	142	1992-10-07	1988	9999-12-31	2013-05-08
31/2-18	1529.000000	1643.000000	SOGNEFJORD FM	FORMATION	151	1992-10-07	1988	9999-12-31	2013-05-08
31/2-18	1529.000000	1711.000000	VIKING GP	GROUP	188	1992-10-07	1988	9999-12-31	2013-05-08
31/2-18	1497.000000	1519.000000	VÅLE FM	FORMATION	190	1992-10-07	1988	9999-12-31	2013-05-08
6407/9-9	941.000000	1463.000000	BRYGGE FM	FORMATION	18	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1744.000000	1920.000000	BÅT GP	GROUP	22	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1700.000000	1744.000000	FANGST GP	GROUP	38	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	941.000000	1463.000000	HORDALAND GP	GROUP	67	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1726.000000	1744.000000	ILE FM	FORMATION	70	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	903.000000	941.000000	KAI FM	FORMATION	77	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1666.000000	1691.000000	KVITNOS FM	FORMATION	91	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	271.000000	903.000000	NAUST FM	FORMATION	109	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1615.000000	1666.000000	NISE FM	FORMATION	112	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	271.000000	941.000000	NORDLAND GP	GROUP	113	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1700.000000	1726.000000	NOT FM	FORMATION	120	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1463.000000	1615.000000	ROGALAND GP	GROUP	131	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1744.000000	1883.000000	ROR FM	FORMATION	135	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1615.000000	1691.000000	SHETLAND GP	GROUP	143	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1691.000000	1700.000000	SPEKK FM	FORMATION	155	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1570.000000	1615.000000	TANG FM	FORMATION	161	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1463.000000	1570.000000	TARE FM	FORMATION	163	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1883.000000	1920.000000	TILJE FM	FORMATION	169	1999-07-06	1990	9999-12-31	2013-05-08
6407/9-9	1691.000000	1700.000000	VIKING GP	GROUP	188	1999-07-06	1990	9999-12-31	2013-05-08
30/10-7	2125.000000	2127.000000	BALDER FM	FORMATION	6	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2129.000000	2166.000000	BALDER FM	FORMATION	6	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2127.000000	2129.000000	INTRA BALDER FM SS	FORMATION	7	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2580.000000	2612.000000	HARDRÅDE FM	FORMATION	56	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2275.000000	2330.000000	HEIMDAL FM	FORMATION	62	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2338.000000	2365.000000	HEIMDAL FM	FORMATION	62	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2371.000000	2374.000000	HEIMDAL FM	FORMATION	62	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2386.000000	2392.000000	HEIMDAL FM	FORMATION	62	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2183.000000	2186.000000	HERMOD FM	FORMATION	64	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2191.000000	2193.000000	HERMOD FM	FORMATION	64	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2202.000000	2212.000000	HERMOD FM	FORMATION	64	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2218.000000	2232.000000	HERMOD FM	FORMATION	64	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2236.000000	2244.000000	HERMOD FM	FORMATION	64	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	1075.000000	2125.000000	HORDALAND GP	GROUP	67	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2244.000000	2275.000000	LISTA FM	FORMATION	95	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2330.000000	2338.000000	LISTA FM	FORMATION	95	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2365.000000	2371.000000	LISTA FM	FORMATION	95	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2374.000000	2386.000000	LISTA FM	FORMATION	95	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2392.000000	2398.000000	LISTA FM	FORMATION	95	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	129.000000	1075.000000	NORDLAND GP	GROUP	113	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2125.000000	2580.000000	ROGALAND GP	GROUP	131	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2166.000000	2183.000000	SELE FM	FORMATION	142	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2186.000000	2191.000000	SELE FM	FORMATION	142	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2193.000000	2202.000000	SELE FM	FORMATION	142	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2212.000000	2218.000000	SELE FM	FORMATION	142	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2232.000000	2236.000000	SELE FM	FORMATION	142	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2580.000000	2612.000000	SHETLAND GP	GROUP	143	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2430.000000	2436.000000	TY FM	FORMATION	176	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2565.000000	2574.000000	TY FM	FORMATION	176	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	251.000000	1075.000000	UTSIRA FM	FORMATION	183	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2398.000000	2430.000000	VÅLE FM	FORMATION	190	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2436.000000	2565.000000	VÅLE FM	FORMATION	190	1992-10-17	2015	9999-12-31	2013-05-08
30/10-7	2574.000000	2580.000000	VÅLE FM	FORMATION	190	1992-10-17	2015	9999-12-31	2013-05-08
7122/2-1	764.000000	2068.000000	ADVENTDALEN GP	GROUP	1	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	2025.000000	2068.000000	FUGLEN FM	FORMATION	47	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	1955.000000	2025.000000	HEKKINGEN FM	FORMATION	63	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	2068.000000	2120.000000	KAPP TOSCANA GP	GROUP	79	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	1832.000000	1955.000000	KNURR FM	FORMATION	82	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	1764.000000	1832.000000	KOLJE FM	FORMATION	84	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	764.000000	1764.000000	KOLMULE FM	FORMATION	85	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	743.000000	764.000000	KVITING FM	FORMATION	90	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	386.000000	418.000000	NORDLAND GP	GROUP	113	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	743.000000	764.000000	NYGRUNNEN GP	GROUP	122	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	418.000000	743.000000	SOTBAKKEN GP	GROUP	154	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	2068.000000	2120.000000	STØ FM	FORMATION	159	1992-11-11	2018	9999-12-31	2013-05-08
7122/2-1	418.000000	743.000000	TORSK FM	FORMATION	172	1992-11-11	2018	9999-12-31	2013-05-08
34/7-21	1711.000000	1754.000000	BALDER FM	FORMATION	6	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2692.000000	2972.000000	BRENT GP	GROUP	16	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2966.000000	2972.000000	BROOM FM	FORMATION	17	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2499.000000	2508.000000	CROMER KNOLL GP	GROUP	23	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2508.000000	2545.000000	INTRA DRAUPNE FM SS	FORMATION	26	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2565.000000	2569.000000	INTRA DRAUPNE FM SS	FORMATION	26	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2972.000000	3015.000000	DRAKE FM	FORMATION	27	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2545.000000	2565.000000	DRAUPNE FM	FORMATION	28	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2569.000000	2588.000000	DRAUPNE FM	FORMATION	28	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2972.000000	3015.000000	DUNLIN GP	GROUP	29	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2865.000000	2903.000000	ETIVE FM	FORMATION	35	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2588.000000	2692.000000	HEATHER FM	FORMATION	60	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	1040.000000	1711.000000	HORDALAND GP	GROUP	67	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	1900.000000	2168.000000	JORSALFARE FM	FORMATION	74	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2168.000000	2499.000000	KYRRE FM	FORMATION	92	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	1754.000000	1856.000000	LISTA FM	FORMATION	95	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	1863.000000	1900.000000	LISTA FM	FORMATION	95	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2502.000000	2508.000000	MIME FM	FORMATION	106	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2763.000000	2865.000000	NESS FM	FORMATION	110	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	1200.000000	1278.000000	NO FORMAL NAME	FORMATION	111	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	1278.000000	1322.000000	NO FORMAL NAME	FORMATION	111	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	1322.000000	1403.000000	NO FORMAL NAME	FORMATION	111	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	1403.000000	1711.000000	NO FORMAL NAME	FORMATION	111	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	1856.000000	1863.000000	NO FORMAL NAME	FORMATION	111	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	218.000000	1040.000000	NORDLAND GP	GROUP	113	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2903.000000	2966.000000	RANNOCH FM	FORMATION	126	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	1711.000000	1900.000000	ROGALAND GP	GROUP	131	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2499.000000	2502.000000	RØDBY FM	FORMATION	137	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	1900.000000	2499.000000	SHETLAND GP	GROUP	143	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2692.000000	2763.000000	TARBERT FM	FORMATION	162	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	929.000000	1040.000000	UTSIRA FM	FORMATION	183	1992-12-11	2026	9999-12-31	2013-05-08
34/7-21	2508.000000	2692.000000	VIKING GP	GROUP	188	1992-12-11	2026	9999-12-31	2013-05-08
34/8-9 S	3123.000000	3150.000000	AMUNDSEN FM	FORMATION	4	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1842.000000	1909.000000	BALDER FM	FORMATION	6	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2923.000000	2984.000000	BRENT GP	GROUP	16	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	3113.000000	3123.000000	BURTON FM	FORMATION	20	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2904.000000	2908.000000	CROMER KNOLL GP	GROUP	23	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	3009.000000	3113.000000	COOK FM	FORMATION	24	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2984.000000	3009.000000	DRAKE FM	FORMATION	27	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2908.000000	2914.000000	DRAUPNE FM	FORMATION	28	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2984.000000	3150.000000	DUNLIN GP	GROUP	29	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2956.000000	2963.000000	ETIVE FM	FORMATION	35	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2914.000000	2923.000000	HEATHER FM	FORMATION	60	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	3245.000000	3530.000000	HEGRE GP	GROUP	61	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1160.000000	1842.000000	HORDALAND GP	GROUP	67	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1909.000000	1982.000000	LISTA FM	FORMATION	95	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2006.000000	2037.000000	LISTA FM	FORMATION	95	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	3245.000000	3530.000000	LUNDE FM	FORMATION	97	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2943.000000	2956.000000	NESS FM	FORMATION	110	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1291.000000	1323.000000	NO FORMAL NAME	FORMATION	111	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1323.000000	1386.000000	NO FORMAL NAME	FORMATION	111	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1386.000000	1434.000000	NO FORMAL NAME	FORMATION	111	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1434.000000	1687.000000	NO FORMAL NAME	FORMATION	111	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1687.000000	1751.000000	NO FORMAL NAME	FORMATION	111	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1751.000000	1842.000000	NO FORMAL NAME	FORMATION	111	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1982.000000	2006.000000	NO FORMAL NAME	FORMATION	111	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	330.000000	1160.000000	NORDLAND GP	GROUP	113	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2963.000000	2984.000000	RANNOCH FM	FORMATION	126	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1842.000000	2037.000000	ROGALAND GP	GROUP	131	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2037.000000	2904.000000	SHETLAND GP	GROUP	143	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	3150.000000	3245.000000	STATFJORD FM	FORMATION	157	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2923.000000	2943.000000	TARBERT FM	FORMATION	162	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	1131.000000	1160.000000	UTSIRA FM	FORMATION	183	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	2908.000000	2923.000000	VIKING GP	GROUP	188	1992-12-28	2029	9999-12-31	2013-05-08
34/8-9 S	3150.000000	3245.000000	NO GROUP DEFINED	GROUP	208	1992-12-28	2029	9999-12-31	2013-05-08
7219/8-1 S	1545.000000	4521.000000	ADVENTDALEN GP	GROUP	1	1992-12-26	2031	9999-12-31	2013-05-08
7219/8-1 S	4328.000000	4521.000000	FUGLEN FM	FORMATION	47	1992-12-26	2031	9999-12-31	2013-05-08
7219/8-1 S	3472.000000	4328.000000	HEKKINGEN FM	FORMATION	63	1992-12-26	2031	9999-12-31	2013-05-08
7219/8-1 S	4521.000000	4611.000000	KAPP TOSCANA GP	GROUP	79	1992-12-26	2031	9999-12-31	2013-05-08
7219/8-1 S	2494.000000	3472.000000	KNURR FM	FORMATION	82	1992-12-26	2031	9999-12-31	2013-05-08
7219/8-1 S	2080.000000	2494.000000	KOLJE FM	FORMATION	84	1992-12-26	2031	9999-12-31	2013-05-08
7219/8-1 S	1545.000000	2080.000000	KOLMULE FM	FORMATION	85	1992-12-26	2031	9999-12-31	2013-05-08
7219/8-1 S	393.000000	554.000000	NORDLAND GP	GROUP	113	1992-12-26	2031	9999-12-31	2013-05-08
7219/8-1 S	554.000000	1545.000000	SOTBAKKEN GP	GROUP	154	1992-12-26	2031	9999-12-31	2013-05-08
7219/8-1 S	4521.000000	4611.000000	STØ FM	FORMATION	159	1992-12-26	2031	9999-12-31	2013-05-08
7219/8-1 S	554.000000	1545.000000	TORSK FM	FORMATION	172	1992-12-26	2031	9999-12-31	2013-05-08
31/2-18 A	1220.000000	1266.000000	BALDER FM	FORMATION	6	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	1706.000000	1916.000000	FENSFJORD FM	FORMATION	40	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	1655.000000	1706.000000	HEATHER FM	FORMATION	60	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	670.000000	1220.000000	HORDALAND GP	GROUP	67	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	1916.000000	2005.000000	KROSSFJORD FM	FORMATION	87	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	1337.000000	1497.000000	LISTA FM	FORMATION	95	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	1520.000000	1530.000000	NO FORMAL NAME	FORMATION	111	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	366.000000	670.000000	NORDLAND GP	GROUP	113	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	1220.000000	1530.000000	ROGALAND GP	GROUP	131	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	1266.000000	1337.000000	SELE FM	FORMATION	142	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	1530.000000	1655.000000	SOGNEFJORD FM	FORMATION	151	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	1530.000000	2005.000000	VIKING GP	GROUP	188	1992-10-17	2038	9999-12-31	2013-05-08
31/2-18 A	1497.000000	1520.000000	VÅLE FM	FORMATION	190	1992-10-17	2038	9999-12-31	2013-05-08
15/9-19 S	3302.000000	3403.000000	BALDER FM	FORMATION	6	1993-01-31	2043	9999-12-31	2013-05-08
15/9-19 S	3008.000000	3240.000000	GRID FM	FORMATION	53	1993-01-31	2043	9999-12-31	2013-05-08
15/9-19 S	1108.000000	3302.000000	HORDALAND GP	GROUP	67	1993-01-31	2043	9999-12-31	2013-05-08
15/9-19 S	3483.000000	3580.000000	LISTA FM	FORMATION	95	1993-01-31	2043	9999-12-31	2013-05-08
15/9-19 S	1451.000000	3008.000000	NO FORMAL NAME	FORMATION	111	1993-01-31	2043	9999-12-31	2013-05-08
15/9-19 S	3240.000000	3302.000000	NO FORMAL NAME	FORMATION	111	1993-01-31	2043	9999-12-31	2013-05-08
15/9-19 S	106.000000	1108.000000	NORDLAND GP	GROUP	113	1993-01-31	2043	9999-12-31	2013-05-08
15/9-19 S	3302.000000	3580.000000	ROGALAND GP	GROUP	131	1993-01-31	2043	9999-12-31	2013-05-08
15/9-19 S	3403.000000	3483.000000	SELE FM	FORMATION	142	1993-01-31	2043	9999-12-31	2013-05-08
15/9-19 S	1313.000000	1451.000000	SKADE FM	FORMATION	145	1993-01-31	2043	9999-12-31	2013-05-08
15/9-19 S	847.000000	1108.000000	UTSIRA FM	FORMATION	183	1993-01-31	2043	9999-12-31	2013-05-08
2/5-10	3052.000000	3062.000000	BALDER FM	FORMATION	6	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	4295.000000	4298.000000	CROMER KNOLL GP	GROUP	23	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	3214.000000	3342.000000	EKOFISK FM	FORMATION	33	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	4298.000000	4582.000000	FARSUND FM	FORMATION	39	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	3735.000000	4295.000000	HOD FM	FORMATION	66	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	1733.000000	3052.000000	HORDALAND GP	GROUP	67	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	3072.000000	3181.000000	LISTA FM	FORMATION	95	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	88.000000	1733.000000	NORDLAND GP	GROUP	113	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	3052.000000	3214.000000	ROGALAND GP	GROUP	131	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	4295.000000	4298.000000	RØDBY FM	FORMATION	137	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	3062.000000	3072.000000	SELE FM	FORMATION	142	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	3214.000000	4295.000000	SHETLAND GP	GROUP	143	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	4587.000000	4701.000000	SKAGERRAK FM	FORMATION	146	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	3342.000000	3735.000000	TOR FM	FORMATION	171	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	4298.000000	4582.000000	TYNE GP	GROUP	177	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	4582.000000	4587.000000	VESTLAND GP	GROUP	186	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	3181.000000	3214.000000	VÅLE FM	FORMATION	190	1993-08-26	2044	9999-12-31	2013-05-08
2/5-10	4587.000000	4701.000000	NO GROUP DEFINED	GROUP	208	1993-08-26	2044	9999-12-31	2013-05-08
7128/4-1	2503.000000	2530.000000	BASEMENT	GROUP	10	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	2058.000000	2503.000000	BILLEFJORDEN GP	GROUP	11	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	1704.000000	1820.000000	BJARMELAND GP	GROUP	12	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	1952.000000	2058.000000	FALK FM	FORMATION	36	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	1820.000000	2058.000000	GIPSDALEN GP	GROUP	51	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	1008.000000	1569.000000	HAVERT FM	FORMATION	58	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	1704.000000	1820.000000	ISBJØRN FM	FORMATION	72	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	494.000000	504.000000	KAPP TOSCANA GP	GROUP	79	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	748.000000	1008.000000	KLAPPMYSS FM	FORMATION	80	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	504.000000	748.000000	KOBBE FM	FORMATION	83	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	394.000000	494.000000	NORDLAND GP	GROUP	113	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	1569.000000	1704.000000	RØYE FM	FORMATION	138	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	504.000000	1569.000000	SASSENDALEN GP	GROUP	140	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	494.000000	504.000000	SNADD FM	FORMATION	150	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	2351.000000	2503.000000	SOLDOGG FM	FORMATION	153	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	1569.000000	1704.000000	TEMPELFJORDEN GP	GROUP	167	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	2058.000000	2351.000000	TETTEGRAS FM	FORMATION	168	1994-02-26	2049	9999-12-31	2013-05-08
7128/4-1	1820.000000	1952.000000	ØRN FM	FORMATION	195	1994-02-26	2049	9999-12-31	2013-05-08
2/10-2	2893.000000	2910.000000	BALDER FM	FORMATION	6	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3561.000000	3566.000000	BLODØKS FM	FORMATION	13	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3709.000000	3882.000000	CROMER KNOLL GP	GROUP	23	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3014.000000	3084.000000	EKOFISK FM	FORMATION	33	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3566.000000	3709.000000	HIDRA FM	FORMATION	65	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3221.000000	3561.000000	HOD FM	FORMATION	66	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	1508.000000	2893.000000	HORDALAND GP	GROUP	67	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	2952.000000	2990.000000	LISTA FM	FORMATION	95	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3882.000000	3905.000000	MANDAL FM	FORMATION	101	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	97.000000	1508.000000	NORDLAND GP	GROUP	113	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	2893.000000	3014.000000	ROGALAND GP	GROUP	131	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	4128.000000	4164.000000	ROTLIEGEND GP	GROUP	136	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3709.000000	3720.000000	RØDBY FM	FORMATION	137	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	2910.000000	2952.000000	SELE FM	FORMATION	142	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3014.000000	3709.000000	SHETLAND GP	GROUP	143	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3905.000000	4062.000000	SMITH BANK FM	FORMATION	149	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3084.000000	3221.000000	TOR FM	FORMATION	171	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3882.000000	3905.000000	TYNE GP	GROUP	177	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	2990.000000	3014.000000	VÅLE FM	FORMATION	190	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	4062.000000	4128.000000	ZECHSTEIN GP	GROUP	194	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3720.000000	3882.000000	ÅSGARD FM	FORMATION	198	1993-04-25	2050	9999-12-31	2013-05-08
2/10-2	3905.000000	4062.000000	NO GROUP DEFINED	GROUP	208	1993-04-25	2050	9999-12-31	2013-05-08
34/8-7 R	4970.000000	5086.000000	AMUNDSEN FM	FORMATION	4	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	1875.000000	1928.000000	BALDER FM	FORMATION	6	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4633.000000	4767.000000	BRENT GP	GROUP	16	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4764.000000	4767.000000	BROOM FM	FORMATION	17	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4953.000000	4970.000000	BURTON FM	FORMATION	20	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4034.000000	4466.000000	CROMER KNOLL GP	GROUP	23	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4808.000000	4953.000000	COOK FM	FORMATION	24	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4466.000000	4584.000000	INTRA DRAUPNE FM SS	FORMATION	26	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4767.000000	4808.000000	DRAKE FM	FORMATION	27	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4584.000000	4595.000000	DRAUPNE FM	FORMATION	28	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4767.000000	5118.000000	DUNLIN GP	GROUP	29	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4699.000000	4714.000000	ETIVE FM	FORMATION	35	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4595.000000	4633.000000	HEATHER FM	FORMATION	60	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	5208.000000	5460.000000	HEGRE GP	GROUP	61	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	2022.000000	2037.000000	HEIMDAL FM	FORMATION	62	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	1160.000000	1875.000000	HORDALAND GP	GROUP	67	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	2081.000000	2320.000000	JORSALFARE FM	FORMATION	74	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	2320.000000	3260.000000	KYRRE FM	FORMATION	92	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	1928.000000	2022.000000	LISTA FM	FORMATION	95	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	2037.000000	2081.000000	LISTA FM	FORMATION	95	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	5208.000000	5460.000000	LUNDE FM	FORMATION	97	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4655.000000	4699.000000	NESS FM	FORMATION	110	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	1406.000000	1413.000000	NO FORMAL NAME	FORMATION	111	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	1413.000000	1630.000000	NO FORMAL NAME	FORMATION	111	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	1630.000000	1654.000000	NO FORMAL NAME	FORMATION	111	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	1654.000000	1875.000000	NO FORMAL NAME	FORMATION	111	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	5086.000000	5106.000000	NO FORMAL NAME	FORMATION	111	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	5106.000000	5118.000000	NO FORMAL NAME	FORMATION	111	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	358.000000	1160.000000	NORDLAND GP	GROUP	113	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4714.000000	4764.000000	RANNOCH FM	FORMATION	126	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	1875.000000	2081.000000	ROGALAND GP	GROUP	131	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4034.000000	4298.000000	RØDBY FM	FORMATION	137	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	2081.000000	4034.000000	SHETLAND GP	GROUP	143	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4298.000000	4374.000000	SOLA FM	FORMATION	152	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	5118.000000	5208.000000	STATFJORD FM	FORMATION	157	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	3826.000000	4034.000000	SVARTE FM	FORMATION	160	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4633.000000	4655.000000	TARBERT FM	FORMATION	162	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	3260.000000	3826.000000	TRYGGVASON FM	FORMATION	173	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	1071.000000	1160.000000	UTSIRA FM	FORMATION	183	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4466.000000	4633.000000	VIKING GP	GROUP	188	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	4374.000000	4466.000000	ÅSGARD FM	FORMATION	198	1993-02-10	2057	9999-12-31	2013-05-08
34/8-7 R	5118.000000	5208.000000	NO GROUP DEFINED	GROUP	208	1993-02-10	2057	9999-12-31	2013-05-08
31/5-5	1295.000000	1375.000000	BALDER FM	FORMATION	6	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	1554.000000	1572.000000	CROMER KNOLL GP	GROUP	23	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	1725.000000	1855.000000	FENSFJORD FM	FORMATION	40	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	1660.000000	1725.000000	HEATHER FM	FORMATION	60	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	741.000000	1295.000000	HORDALAND GP	GROUP	67	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	1855.000000	1930.000000	KROSSFJORD FM	FORMATION	87	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	1404.000000	1529.000000	LISTA FM	FORMATION	95	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	348.000000	741.000000	NORDLAND GP	GROUP	113	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	1295.000000	1529.000000	ROGALAND GP	GROUP	131	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	1375.000000	1404.000000	SELE FM	FORMATION	142	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	1529.000000	1554.000000	SHETLAND GP	GROUP	143	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	1572.000000	1660.000000	SOGNEFJORD FM	FORMATION	151	1993-02-11	2059	9999-12-31	2013-05-08
31/5-5	1572.000000	1930.000000	VIKING GP	GROUP	188	1993-02-11	2059	9999-12-31	2013-05-08
34/7-21 A	1711.000000	1754.000000	BALDER FM	FORMATION	6	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	3306.000000	3360.000000	BRENT GP	GROUP	16	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	2847.000000	2870.000000	CROMER KNOLL GP	GROUP	23	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	2870.000000	2905.000000	INTRA DRAUPNE FM SS	FORMATION	26	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	2960.000000	2962.000000	INTRA DRAUPNE FM SS	FORMATION	26	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	2905.000000	2960.000000	DRAUPNE FM	FORMATION	28	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	2962.000000	3030.000000	DRAUPNE FM	FORMATION	28	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	3030.000000	3036.000000	INTRA HEATHER FM SS	FORMATION	59	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	3036.000000	3306.000000	HEATHER FM	FORMATION	60	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	1040.000000	1711.000000	HORDALAND GP	GROUP	67	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	1900.000000	2180.000000	JORSALFARE FM	FORMATION	74	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	2180.000000	2847.000000	KYRRE FM	FORMATION	92	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	1754.000000	1876.000000	LISTA FM	FORMATION	95	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	1890.000000	1900.000000	LISTA FM	FORMATION	95	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	2851.000000	2870.000000	MIME FM	FORMATION	106	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	1200.000000	1278.000000	NO FORMAL NAME	FORMATION	111	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	1278.000000	1322.000000	NO FORMAL NAME	FORMATION	111	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	1322.000000	1403.000000	NO FORMAL NAME	FORMATION	111	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	1403.000000	1711.000000	NO FORMAL NAME	FORMATION	111	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	1876.000000	1890.000000	NO FORMAL NAME	FORMATION	111	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	218.000000	1040.000000	NORDLAND GP	GROUP	113	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	1711.000000	1900.000000	ROGALAND GP	GROUP	131	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	2847.000000	2851.000000	RØDBY FM	FORMATION	137	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	1900.000000	2847.000000	SHETLAND GP	GROUP	143	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	3306.000000	3360.000000	TARBERT FM	FORMATION	162	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	929.000000	1040.000000	UTSIRA FM	FORMATION	183	1993-02-12	2068	9999-12-31	2013-05-08
34/7-21 A	2870.000000	3306.000000	VIKING GP	GROUP	188	1993-02-12	2068	9999-12-31	2013-05-08
16/1-4	1686.000000	1696.000000	BALDER FM	FORMATION	6	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1864.000000	2010.000000	BASEMENT	GROUP	10	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1860.000000	1864.000000	CROMER KNOLL GP	GROUP	23	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1834.000000	1860.000000	EKOFISK FM	FORMATION	33	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1539.000000	1556.000000	GRID FM	FORMATION	53	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1584.000000	1626.000000	GRID FM	FORMATION	53	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	918.000000	1686.000000	HORDALAND GP	GROUP	67	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1734.000000	1817.000000	LISTA FM	FORMATION	95	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	848.000000	918.000000	NO FORMAL NAME	FORMATION	111	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1170.000000	1539.000000	NO FORMAL NAME	FORMATION	111	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1556.000000	1584.000000	NO FORMAL NAME	FORMATION	111	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1626.000000	1686.000000	NO FORMAL NAME	FORMATION	111	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	135.000000	918.000000	NORDLAND GP	GROUP	113	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1686.000000	1834.000000	ROGALAND GP	GROUP	131	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1696.000000	1734.000000	SELE FM	FORMATION	142	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1834.000000	1860.000000	SHETLAND GP	GROUP	143	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	918.000000	1170.000000	SKADE FM	FORMATION	145	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1860.000000	1864.000000	SOLA FM	FORMATION	152	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	768.000000	848.000000	UTSIRA FM	FORMATION	183	1993-04-13	2072	9999-12-31	2013-05-08
16/1-4	1817.000000	1834.000000	VÅLE FM	FORMATION	190	1993-04-13	2072	9999-12-31	2013-05-08
30/9-14	2141.000000	2200.000000	BALDER FM	FORMATION	6	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	3060.000000	3512.000000	BRENT GP	GROUP	16	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2919.000000	2968.000000	CROMER KNOLL GP	GROUP	23	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	3512.000000	3680.000000	DRAKE FM	FORMATION	27	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2968.000000	2974.000000	DRAUPNE FM	FORMATION	28	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	3512.000000	3680.000000	DUNLIN GP	GROUP	29	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	1443.000000	1478.000000	GRID FM	FORMATION	53	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	1538.000000	1571.000000	GRID FM	FORMATION	53	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2438.000000	2682.000000	HARDRÅDE FM	FORMATION	56	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2994.000000	3060.000000	INTRA HEATHER FM SS	FORMATION	59	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2974.000000	2994.000000	HEATHER FM	FORMATION	60	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	840.000000	2141.000000	HORDALAND GP	GROUP	67	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2682.000000	2919.000000	KYRRE FM	FORMATION	92	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2265.000000	2438.000000	LISTA FM	FORMATION	95	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2965.000000	2968.000000	MIME FM	FORMATION	106	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	3236.000000	3509.000000	NESS FM	FORMATION	110	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	1046.000000	1443.000000	NO FORMAL NAME	FORMATION	111	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	1478.000000	1538.000000	NO FORMAL NAME	FORMATION	111	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	1571.000000	2141.000000	NO FORMAL NAME	FORMATION	111	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	130.000000	840.000000	NORDLAND GP	GROUP	113	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2141.000000	2438.000000	ROGALAND GP	GROUP	131	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2919.000000	2955.000000	RØDBY FM	FORMATION	137	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2200.000000	2265.000000	SELE FM	FORMATION	142	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2438.000000	2919.000000	SHETLAND GP	GROUP	143	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	923.000000	1046.000000	SKADE FM	FORMATION	145	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2955.000000	2965.000000	SOLA FM	FORMATION	152	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	3060.000000	3236.000000	TARBERT FM	FORMATION	162	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	3509.000000	3512.000000	UNDIFFERENTIATED	FORMATION	182	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	617.000000	840.000000	UTSIRA FM	FORMATION	183	1993-05-14	2076	9999-12-31	2013-05-08
30/9-14	2968.000000	3060.000000	VIKING GP	GROUP	188	1993-05-14	2076	9999-12-31	2013-05-08
34/8-8 R	3286.000000	3387.000000	AMUNDSEN FM	FORMATION	4	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1829.000000	1873.000000	BALDER FM	FORMATION	6	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	2921.000000	3077.000000	BRENT GP	GROUP	16	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	3260.000000	3286.000000	BURTON FM	FORMATION	20	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	2877.000000	2900.000000	CROMER KNOLL GP	GROUP	23	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	3122.000000	3260.000000	COOK FM	FORMATION	24	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	3077.000000	3122.000000	DRAKE FM	FORMATION	27	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	2900.000000	2902.000000	DRAUPNE FM	FORMATION	28	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	3077.000000	3387.000000	DUNLIN GP	GROUP	29	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	2967.000000	3007.000000	ETIVE FM	FORMATION	35	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	2902.000000	2921.000000	HEATHER FM	FORMATION	60	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	3474.000000	3624.000000	HEGRE GP	GROUP	61	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1190.000000	1829.000000	HORDALAND GP	GROUP	67	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1998.000000	2231.000000	JORSALFARE FM	FORMATION	74	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	2231.000000	2877.000000	KYRRE FM	FORMATION	92	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1873.000000	1998.000000	LISTA FM	FORMATION	95	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	3474.000000	3624.000000	LUNDE FM	FORMATION	97	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	2935.000000	2967.000000	NESS FM	FORMATION	110	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1164.000000	1190.000000	NO FORMAL NAME	FORMATION	111	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1368.000000	1401.000000	NO FORMAL NAME	FORMATION	111	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1401.000000	1527.000000	NO FORMAL NAME	FORMATION	111	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1527.000000	1559.000000	NO FORMAL NAME	FORMATION	111	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1559.000000	1829.000000	NO FORMAL NAME	FORMATION	111	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	364.000000	1190.000000	NORDLAND GP	GROUP	113	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	3007.000000	3077.000000	RANNOCH FM	FORMATION	126	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1829.000000	1998.000000	ROGALAND GP	GROUP	131	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1998.000000	2877.000000	SHETLAND GP	GROUP	143	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	2877.000000	2883.000000	SOLA FM	FORMATION	152	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	3387.000000	3474.000000	STATFJORD FM	FORMATION	157	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	2921.000000	2935.000000	TARBERT FM	FORMATION	162	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	1115.000000	1164.000000	UTSIRA FM	FORMATION	183	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	2900.000000	2921.000000	VIKING GP	GROUP	188	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	2883.000000	2900.000000	ÅSGARD FM	FORMATION	198	1993-03-09	2080	9999-12-31	2013-05-08
34/8-8 R	3387.000000	3474.000000	NO GROUP DEFINED	GROUP	208	1993-03-09	2080	9999-12-31	2013-05-08
15/6-7	2258.000000	2302.000000	BALDER FM	FORMATION	6	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3188.000000	3196.000000	BLODØKS FM	FORMATION	13	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3219.000000	3233.000000	CROMER KNOLL GP	GROUP	23	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3292.000000	3353.000000	INTRA DRAUPNE FM SS	FORMATION	26	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3233.000000	3292.000000	DRAUPNE FM	FORMATION	28	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	2676.000000	2740.000000	EKOFISK FM	FORMATION	33	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	1836.000000	2108.000000	GRID FM	FORMATION	53	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3353.000000	3391.000000	HEATHER FM	FORMATION	60	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	2427.000000	2606.000000	HEIMDAL FM	FORMATION	62	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	2984.000000	3188.000000	HOD FM	FORMATION	66	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	993.000000	2258.000000	HORDALAND GP	GROUP	67	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3391.000000	3411.000000	HUGIN FM	FORMATION	69	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	2369.000000	2427.000000	LISTA FM	FORMATION	95	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	2606.000000	2645.000000	LISTA FM	FORMATION	95	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	1233.000000	1307.000000	NO FORMAL NAME	FORMATION	111	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	1317.000000	1370.000000	NO FORMAL NAME	FORMATION	111	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	1406.000000	1836.000000	NO FORMAL NAME	FORMATION	111	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	2108.000000	2258.000000	NO FORMAL NAME	FORMATION	111	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	132.000000	993.000000	NORDLAND GP	GROUP	113	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	2258.000000	2676.000000	ROGALAND GP	GROUP	131	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3219.000000	3230.000000	RØDBY FM	FORMATION	137	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	2302.000000	2369.000000	SELE FM	FORMATION	142	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	2676.000000	3219.000000	SHETLAND GP	GROUP	143	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	1102.000000	1233.000000	SKADE FM	FORMATION	145	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	1307.000000	1317.000000	SKADE FM	FORMATION	145	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	1370.000000	1406.000000	SKADE FM	FORMATION	145	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3411.000000	3476.000000	SKAGERRAK FM	FORMATION	146	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3476.000000	3540.000000	SMITH BANK FM	FORMATION	149	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3196.000000	3219.000000	SVARTE FM	FORMATION	160	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	2740.000000	2984.000000	TOR FM	FORMATION	171	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	772.000000	993.000000	UTSIRA FM	FORMATION	183	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3391.000000	3411.000000	VESTLAND GP	GROUP	186	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3233.000000	3391.000000	VIKING GP	GROUP	188	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	2645.000000	2676.000000	VÅLE FM	FORMATION	190	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3230.000000	3233.000000	ÅSGARD FM	FORMATION	198	1993-06-08	2084	9999-12-31	2013-05-08
15/6-7	3411.000000	3540.000000	NO GROUP DEFINED	GROUP	208	1993-06-08	2084	9999-12-31	2013-05-08
25/2-15 R	2184.000000	2212.000000	BALDER FM	FORMATION	6	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	3350.000000	3369.000000	BLODØKS FM	FORMATION	13	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	3469.000000	3475.000000	DRAUPNE FM	FORMATION	28	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	2688.000000	2827.000000	HARDRÅDE FM	FORMATION	56	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	3475.000000	3509.000000	HEATHER FM	FORMATION	60	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	2212.000000	2381.000000	HERMOD FM	FORMATION	64	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	1063.000000	2184.000000	HORDALAND GP	GROUP	67	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	2827.000000	3193.000000	KYRRE FM	FORMATION	92	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	2381.000000	2506.000000	LISTA FM	FORMATION	95	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	1351.000000	2184.000000	NO FORMAL NAME	FORMATION	111	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	142.000000	1063.000000	NORDLAND GP	GROUP	113	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	2184.000000	2688.000000	ROGALAND GP	GROUP	131	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	2688.000000	3469.000000	SHETLAND GP	GROUP	143	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	1322.000000	1351.000000	SKADE FM	FORMATION	145	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	3369.000000	3469.000000	SVARTE FM	FORMATION	160	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	3193.000000	3350.000000	TRYGGVASON FM	FORMATION	173	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	2506.000000	2587.000000	TY FM	FORMATION	176	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	266.000000	1063.000000	UTSIRA FM	FORMATION	183	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	3469.000000	3509.000000	VIKING GP	GROUP	188	1993-03-01	2095	9999-12-31	2013-05-08
25/2-15 R	2587.000000	2688.000000	VÅLE FM	FORMATION	190	1993-03-01	2095	9999-12-31	2013-05-08
15/9-19 SR	3302.000000	3403.000000	BALDER FM	FORMATION	6	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4150.000000	4168.000000	BLODØKS FM	FORMATION	13	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4176.000000	4304.000000	CROMER KNOLL GP	GROUP	23	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4304.000000	4310.000000	DRAUPNE FM	FORMATION	28	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	3827.000000	3850.000000	EKOFISK FM	FORMATION	33	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	3008.000000	3240.000000	GRID FM	FORMATION	53	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4310.000000	4317.000000	HEATHER FM	FORMATION	60	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	3623.000000	3827.000000	HEIMDAL FM	FORMATION	62	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4047.000000	4110.000000	HOD FM	FORMATION	66	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	1108.000000	3302.000000	HORDALAND GP	GROUP	67	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4317.000000	4340.000000	HUGIN FM	FORMATION	69	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	3483.000000	3623.000000	LISTA FM	FORMATION	95	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	1451.000000	3008.000000	NO FORMAL NAME	FORMATION	111	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	3240.000000	3302.000000	NO FORMAL NAME	FORMATION	111	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	106.000000	1108.000000	NORDLAND GP	GROUP	113	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	3302.000000	3827.000000	ROGALAND GP	GROUP	131	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4176.000000	4188.000000	RØDBY FM	FORMATION	137	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	3403.000000	3483.000000	SELE FM	FORMATION	142	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	3827.000000	4176.000000	SHETLAND GP	GROUP	143	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	1313.000000	1451.000000	SKADE FM	FORMATION	145	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4340.000000	4641.000000	SKAGERRAK FM	FORMATION	146	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4188.000000	4201.000000	SOLA FM	FORMATION	152	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4168.000000	4176.000000	SVARTE FM	FORMATION	160	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	3850.000000	4047.000000	TOR FM	FORMATION	171	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4110.000000	4150.000000	TRYGGVASON FM	FORMATION	173	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	848.000000	1108.000000	UTSIRA FM	FORMATION	183	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4317.000000	4340.000000	VESTLAND GP	GROUP	186	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4304.000000	4317.000000	VIKING GP	GROUP	188	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4201.000000	4304.000000	ÅSGARD FM	FORMATION	198	1993-03-29	2105	9999-12-31	2013-05-08
15/9-19 SR	4340.000000	4641.000000	NO GROUP DEFINED	GROUP	208	1993-03-29	2105	9999-12-31	2013-05-08
31/2-17 BR	1417.000000	1459.000000	BALDER FM	FORMATION	6	1993-02-24	2106	9999-12-31	2013-05-08
31/2-17 BR	1691.000000	1696.000000	DRAUPNE FM	FORMATION	28	1993-02-24	2106	9999-12-31	2013-05-08
31/2-17 BR	808.000000	1417.000000	HORDALAND GP	GROUP	67	1993-02-24	2106	9999-12-31	2013-05-08
31/2-17 BR	1506.000000	1673.000000	LISTA FM	FORMATION	95	1993-02-24	2106	9999-12-31	2013-05-08
31/2-17 BR	370.000000	808.000000	NORDLAND GP	GROUP	113	1993-02-24	2106	9999-12-31	2013-05-08
31/2-17 BR	1417.000000	1691.000000	ROGALAND GP	GROUP	131	1993-02-24	2106	9999-12-31	2013-05-08
31/2-17 BR	1459.000000	1506.000000	SELE FM	FORMATION	142	1993-02-24	2106	9999-12-31	2013-05-08
31/2-17 BR	1696.000000	1843.000000	SOGNEFJORD FM	FORMATION	151	1993-02-24	2106	9999-12-31	2013-05-08
31/2-17 BR	1691.000000	1843.000000	VIKING GP	GROUP	188	1993-02-24	2106	9999-12-31	2013-05-08
31/2-17 BR	1673.000000	1691.000000	VÅLE FM	FORMATION	190	1993-02-24	2106	9999-12-31	2013-05-08
7/7-3	2796.000000	2808.000000	ANDREW FM	FORMATION	5	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	2589.000000	2628.000000	BALDER FM	FORMATION	6	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3264.000000	3413.000000	CROMER KNOLL GP	GROUP	23	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	2821.000000	2949.000000	EKOFISK FM	FORMATION	33	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3440.000000	3491.000000	FARSUND FM	FORMATION	39	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3081.000000	3264.000000	HOD FM	FORMATION	66	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	1222.000000	2589.000000	HORDALAND GP	GROUP	67	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	2758.000000	2796.000000	LISTA FM	FORMATION	95	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3413.000000	3440.000000	MANDAL FM	FORMATION	101	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	106.000000	1222.000000	NORDLAND GP	GROUP	113	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	2589.000000	2821.000000	ROGALAND GP	GROUP	131	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3264.000000	3274.000000	RØDBY FM	FORMATION	137	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	2628.000000	2758.000000	SELE FM	FORMATION	142	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	2821.000000	3264.000000	SHETLAND GP	GROUP	143	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3507.000000	3567.000000	SMITH BANK FM	FORMATION	149	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3274.000000	3281.000000	SOLA FM	FORMATION	152	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	2949.000000	3081.000000	TOR FM	FORMATION	171	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3281.000000	3291.000000	TUXEN FM	FORMATION	175	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3413.000000	3491.000000	TYNE GP	GROUP	177	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3491.000000	3507.000000	ULA FM	FORMATION	179	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3491.000000	3507.000000	VESTLAND GP	GROUP	186	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	2808.000000	2821.000000	VÅLE FM	FORMATION	190	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3567.000000	3584.000000	ZECHSTEIN GP	GROUP	194	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3291.000000	3413.000000	ÅSGARD FM	FORMATION	198	1993-07-04	2113	9999-12-31	2013-05-08
7/7-3	3507.000000	3567.000000	NO GROUP DEFINED	GROUP	208	1993-07-04	2113	9999-12-31	2013-05-08
33/9-17	1668.000000	1763.000000	BALDER FM	FORMATION	6	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	3187.000000	3233.000000	BRENT GP	GROUP	16	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	2930.000000	3038.000000	CROMER KNOLL GP	GROUP	23	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	3050.000000	3131.000000	INTRA DRAUPNE FM SS	FORMATION	26	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	3038.000000	3050.000000	DRAUPNE FM	FORMATION	28	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	3131.000000	3158.000000	DRAUPNE FM	FORMATION	28	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	3158.000000	3187.000000	HEATHER FM	FORMATION	60	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	1105.000000	1668.000000	HORDALAND GP	GROUP	67	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	1916.000000	2165.000000	JORSALFARE FM	FORMATION	74	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	2165.000000	2858.000000	KYRRE FM	FORMATION	92	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	1763.000000	1903.000000	LISTA FM	FORMATION	95	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	3202.000000	3233.000000	NESS FM	FORMATION	110	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	254.000000	1105.000000	NORDLAND GP	GROUP	113	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	1668.000000	1916.000000	ROGALAND GP	GROUP	131	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	2930.000000	3017.000000	RØDBY FM	FORMATION	137	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	1916.000000	2930.000000	SHETLAND GP	GROUP	143	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	3017.000000	3022.000000	SOLA FM	FORMATION	152	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	3187.000000	3202.000000	TARBERT FM	FORMATION	162	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	2858.000000	2930.000000	TRYGGVASON FM	FORMATION	173	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	947.000000	1105.000000	UTSIRA FM	FORMATION	183	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	3038.000000	3187.000000	VIKING GP	GROUP	188	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	1903.000000	1916.000000	VÅLE FM	FORMATION	190	1994-05-04	2114	9999-12-31	2013-05-08
33/9-17	3022.000000	3038.000000	ÅSGARD FM	FORMATION	198	1994-05-04	2114	9999-12-31	2013-05-08
25/2-15 R2	2184.000000	2212.000000	BALDER FM	FORMATION	6	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	3350.000000	3369.000000	BLODØKS FM	FORMATION	13	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	3469.000000	3475.000000	DRAUPNE FM	FORMATION	28	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	3916.000000	3942.000000	DUNLIN GP	GROUP	29	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	2688.000000	2827.000000	HARDRÅDE FM	FORMATION	56	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	3475.000000	3574.000000	HEATHER FM	FORMATION	60	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	2212.000000	2381.000000	HERMOD FM	FORMATION	64	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	1063.000000	2184.000000	HORDALAND GP	GROUP	67	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	3574.000000	3611.000000	HUGIN FM	FORMATION	69	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	2827.000000	3193.000000	KYRRE FM	FORMATION	92	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	2381.000000	2506.000000	LISTA FM	FORMATION	95	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	1351.000000	2184.000000	NO FORMAL NAME	FORMATION	111	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	142.000000	1063.000000	NORDLAND GP	GROUP	113	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	2184.000000	2688.000000	ROGALAND GP	GROUP	131	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	2688.000000	3469.000000	SHETLAND GP	GROUP	143	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	1322.000000	1351.000000	SKADE FM	FORMATION	145	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	3611.000000	3916.000000	SLEIPNER FM	FORMATION	148	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	3369.000000	3469.000000	SVARTE FM	FORMATION	160	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	3193.000000	3350.000000	TRYGGVASON FM	FORMATION	173	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	2506.000000	2587.000000	TY FM	FORMATION	176	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	266.000000	1063.000000	UTSIRA FM	FORMATION	183	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	3574.000000	3916.000000	VESTLAND GP	GROUP	186	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	3469.000000	3574.000000	VIKING GP	GROUP	188	1993-04-11	2116	9999-12-31	2013-05-08
25/2-15 R2	2587.000000	2688.000000	VÅLE FM	FORMATION	190	1993-04-11	2116	9999-12-31	2013-05-08
2/7-29	2999.000000	3015.000000	BALDER FM	FORMATION	6	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4092.000000	4107.000000	BLODØKS FM	FORMATION	13	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4225.000000	4363.000000	CROMER KNOLL GP	GROUP	23	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	3138.000000	3190.000000	EKOFISK FM	FORMATION	33	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4473.000000	4602.000000	ELDFISK FM	FORMATION	34	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4664.000000	4698.000000	ELDFISK FM	FORMATION	34	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4391.000000	4473.000000	FARSUND FM	FORMATION	39	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4602.000000	4658.000000	FARSUND FM	FORMATION	39	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4658.000000	4664.000000	HAUGESUND FM	FORMATION	57	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4698.000000	4756.000000	HAUGESUND FM	FORMATION	57	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4107.000000	4225.000000	HIDRA FM	FORMATION	65	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	3681.000000	4092.000000	HOD FM	FORMATION	66	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	1613.000000	2999.000000	HORDALAND GP	GROUP	67	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	3069.000000	3112.000000	LISTA FM	FORMATION	95	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4363.000000	4391.000000	MANDAL FM	FORMATION	101	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4756.000000	4789.000000	NO FORMAL NAME	FORMATION	111	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	114.000000	1613.000000	NORDLAND GP	GROUP	113	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	2999.000000	3138.000000	ROGALAND GP	GROUP	131	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4853.000000	4900.000000	ROTLIEGEND GP	GROUP	136	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4225.000000	4228.000000	RØDBY FM	FORMATION	137	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	3015.000000	3069.000000	SELE FM	FORMATION	142	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	3138.000000	4225.000000	SHETLAND GP	GROUP	143	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4789.000000	4800.000000	SMITH BANK FM	FORMATION	149	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4228.000000	4329.000000	SOLA FM	FORMATION	152	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	3190.000000	3681.000000	TOR FM	FORMATION	171	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4363.000000	4789.000000	TYNE GP	GROUP	177	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	3112.000000	3138.000000	VÅLE FM	FORMATION	190	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4800.000000	4853.000000	ZECHSTEIN GP	GROUP	194	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4329.000000	4363.000000	ÅSGARD FM	FORMATION	198	1994-01-06	2124	9999-12-31	2013-05-08
2/7-29	4789.000000	4800.000000	NO GROUP DEFINED	GROUP	208	1994-01-06	2124	9999-12-31	2013-05-08
6506/12-9 S	1903.000000	2218.000000	BRYGGE FM	FORMATION	18	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4533.000000	4910.000000	BÅT GP	GROUP	22	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	3344.000000	4169.000000	CROMER KNOLL GP	GROUP	23	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4379.000000	4533.000000	FANGST GP	GROUP	38	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4379.000000	4436.000000	GARN FM	FORMATION	48	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	1903.000000	2218.000000	HORDALAND GP	GROUP	67	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4464.000000	4533.000000	ILE FM	FORMATION	70	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	1458.000000	1903.000000	KAI FM	FORMATION	77	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	2780.000000	3344.000000	KVITNOS FM	FORMATION	91	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	3383.000000	4128.000000	LANGE FM	FORMATION	94	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4128.000000	4169.000000	LYR FM	FORMATION	98	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	3344.000000	3383.000000	LYSING FM	FORMATION	99	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4197.000000	4379.000000	MELKE FM	FORMATION	105	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	2530.000000	2780.000000	NISE FM	FORMATION	112	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	317.000000	1903.000000	NORDLAND GP	GROUP	113	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4436.000000	4464.000000	NOT FM	FORMATION	120	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	2218.000000	2370.000000	ROGALAND GP	GROUP	131	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4533.000000	4601.000000	ROR FM	FORMATION	135	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4660.000000	4672.000000	ROR FM	FORMATION	135	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	2370.000000	3344.000000	SHETLAND GP	GROUP	143	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4169.000000	4197.000000	SPEKK FM	FORMATION	155	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	2370.000000	2530.000000	SPRINGAR FM	FORMATION	156	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	2307.000000	2370.000000	TANG FM	FORMATION	161	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	2218.000000	2307.000000	TARE FM	FORMATION	163	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4672.000000	4837.000000	TILJE FM	FORMATION	169	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4601.000000	4660.000000	TOFTE FM	FORMATION	170	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4169.000000	4379.000000	VIKING GP	GROUP	188	1993-09-10	2128	9999-12-31	2013-05-08
6506/12-9 S	4837.000000	4910.000000	ÅRE FM	FORMATION	197	1993-09-10	2128	9999-12-31	2013-05-08
2/4-18	94.000000	622.000000	NORDLAND GP	GROUP	113	1993-04-29	2134	9999-12-31	2013-05-08
7/4-1	2180.000000	2208.000000	BALDER FM	FORMATION	6	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2840.000000	2970.000000	CROMER KNOLL GP	GROUP	23	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2991.000000	3065.000000	FARSUND FM	FORMATION	39	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2827.000000	2840.000000	HIDRA FM	FORMATION	65	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2646.000000	2827.000000	HOD FM	FORMATION	66	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	1088.000000	2180.000000	HORDALAND GP	GROUP	67	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2317.000000	2356.000000	LISTA FM	FORMATION	95	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2970.000000	2991.000000	MANDAL FM	FORMATION	101	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	106.000000	168.000000	NORDLAND GP	GROUP	113	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	168.000000	1088.000000	NORDLAND GP	GROUP	113	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2180.000000	2366.000000	ROGALAND GP	GROUP	131	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2840.000000	2847.000000	RØDBY FM	FORMATION	137	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2208.000000	2317.000000	SELE FM	FORMATION	142	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2366.000000	2840.000000	SHETLAND GP	GROUP	143	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2847.000000	2882.000000	SOLA FM	FORMATION	152	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2366.000000	2646.000000	TOR FM	FORMATION	171	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2882.000000	2948.000000	TUXEN FM	FORMATION	175	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2970.000000	3065.000000	TYNE GP	GROUP	177	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	3065.000000	3083.000000	ULA FM	FORMATION	179	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	3065.000000	3083.000000	VESTLAND GP	GROUP	186	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2356.000000	2366.000000	VÅLE FM	FORMATION	190	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	3083.000000	3133.000000	ZECHSTEIN GP	GROUP	194	1993-08-21	2136	9999-12-31	2013-05-08
7/4-1	2948.000000	2970.000000	ÅSGARD FM	FORMATION	198	1993-08-21	2136	9999-12-31	2013-05-08
6407/9-6 R	832.000000	1342.000000	BRYGGE FM	FORMATION	18	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1775.000000	1804.000000	BÅT GP	GROUP	22	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1571.000000	1611.000000	CROMER KNOLL GP	GROUP	23	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1660.000000	1775.000000	FANGST GP	GROUP	38	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1660.000000	1744.000000	GARN FM	FORMATION	48	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	832.000000	1342.000000	HORDALAND GP	GROUP	67	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1571.000000	1611.000000	LANGE FM	FORMATION	94	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	301.000000	832.000000	NORDLAND GP	GROUP	113	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1744.000000	1775.000000	NOT FM	FORMATION	120	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1342.000000	1540.000000	ROGALAND GP	GROUP	131	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1643.000000	1660.000000	ROGN FM	FORMATION	134	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1775.000000	1804.000000	ROR FM	FORMATION	135	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1540.000000	1571.000000	SHETLAND GP	GROUP	143	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1611.000000	1643.000000	SPEKK FM	FORMATION	155	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1376.000000	1540.000000	TANG FM	FORMATION	161	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1342.000000	1376.000000	TARE FM	FORMATION	163	1993-05-30	2147	9999-12-31	2013-05-08
6407/9-6 R	1611.000000	1660.000000	VIKING GP	GROUP	188	1993-05-30	2147	9999-12-31	2013-05-08
2/11-9	2937.000000	2953.000000	BALDER FM	FORMATION	6	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3656.000000	3661.000000	BLODØKS FM	FORMATION	13	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3734.000000	3935.000000	CROMER KNOLL GP	GROUP	23	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3050.000000	3091.000000	EKOFISK FM	FORMATION	33	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3661.000000	3734.000000	HIDRA FM	FORMATION	65	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3298.000000	3656.000000	HOD FM	FORMATION	66	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	1562.000000	2937.000000	HORDALAND GP	GROUP	67	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	2992.000000	3047.000000	LISTA FM	FORMATION	95	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	115.000000	1562.000000	NORDLAND GP	GROUP	113	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	2937.000000	3050.000000	ROGALAND GP	GROUP	131	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3734.000000	3795.000000	RØDBY FM	FORMATION	137	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	2953.000000	2992.000000	SELE FM	FORMATION	142	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3050.000000	3734.000000	SHETLAND GP	GROUP	143	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3795.000000	3854.000000	SOLA FM	FORMATION	152	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3091.000000	3298.000000	TOR FM	FORMATION	171	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3854.000000	3935.000000	TUXEN FM	FORMATION	175	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3047.000000	3050.000000	VÅLE FM	FORMATION	190	1993-12-23	2153	9999-12-31	2013-05-08
2/11-9	3935.000000	4406.000000	UNDEFINED GP	GROUP	191	1993-12-23	2153	9999-12-31	2013-05-08
34/7-22	1647.000000	1673.000000	BALDER FM	FORMATION	6	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2224.000000	2460.000000	BRENT GP	GROUP	16	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2456.000000	2460.000000	BROOM FM	FORMATION	17	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2168.000000	2179.000000	CROMER KNOLL GP	GROUP	23	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2179.000000	2184.000000	INTRA DRAUPNE FM SS	FORMATION	26	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2460.000000	2507.000000	DRAKE FM	FORMATION	27	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2460.000000	2507.000000	DUNLIN GP	GROUP	29	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2356.000000	2375.000000	ETIVE FM	FORMATION	35	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2184.000000	2224.000000	HEATHER FM	FORMATION	60	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	1075.000000	1647.000000	HORDALAND GP	GROUP	67	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	1810.000000	1974.000000	JORSALFARE FM	FORMATION	74	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	1974.000000	2168.000000	KYRRE FM	FORMATION	92	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	1673.000000	1810.000000	LISTA FM	FORMATION	95	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2176.000000	2179.000000	MIME FM	FORMATION	106	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2266.000000	2356.000000	NESS FM	FORMATION	110	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	1108.000000	1136.000000	NO FORMAL NAME	FORMATION	111	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	1136.000000	1200.000000	NO FORMAL NAME	FORMATION	111	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	1200.000000	1308.000000	NO FORMAL NAME	FORMATION	111	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	1308.000000	1647.000000	NO FORMAL NAME	FORMATION	111	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	255.000000	1075.000000	NORDLAND GP	GROUP	113	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2375.000000	2456.000000	RANNOCH FM	FORMATION	126	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	1647.000000	1810.000000	ROGALAND GP	GROUP	131	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2168.000000	2176.000000	RØDBY FM	FORMATION	137	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	1810.000000	2168.000000	SHETLAND GP	GROUP	143	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2224.000000	2266.000000	TARBERT FM	FORMATION	162	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	907.000000	1075.000000	UTSIRA FM	FORMATION	183	1993-10-01	2167	9999-12-31	2013-05-08
34/7-22	2179.000000	2224.000000	VIKING GP	GROUP	188	1993-10-01	2167	9999-12-31	2013-05-08
34/8-10 S	2972.000000	3039.000000	AMUNDSEN FM	FORMATION	4	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1815.000000	1854.000000	BALDER FM	FORMATION	6	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2843.000000	2850.000000	BLODØKS FM	FORMATION	13	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2879.000000	2885.000000	BRENT GP	GROUP	16	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2888.000000	2932.000000	BRENT GP	GROUP	16	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2939.000000	2972.000000	BURTON FM	FORMATION	20	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2871.000000	2879.000000	CROMER KNOLL GP	GROUP	23	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2932.000000	2939.000000	COOK FM	FORMATION	24	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2885.000000	2888.000000	DRAKE FM	FORMATION	27	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2885.000000	2888.000000	DUNLIN GP	GROUP	29	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2932.000000	3039.000000	DUNLIN GP	GROUP	29	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2888.000000	2897.000000	ETIVE FM	FORMATION	35	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	3125.000000	3470.000000	HEGRE GP	GROUP	61	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1145.000000	1815.000000	HORDALAND GP	GROUP	67	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1994.000000	2220.000000	JORSALFARE FM	FORMATION	74	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2220.000000	2838.000000	KYRRE FM	FORMATION	92	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1854.000000	1950.000000	LISTA FM	FORMATION	95	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1971.000000	1994.000000	LISTA FM	FORMATION	95	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	3125.000000	3470.000000	LUNDE FM	FORMATION	97	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1109.000000	1145.000000	NO FORMAL NAME	FORMATION	111	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1552.000000	1580.000000	NO FORMAL NAME	FORMATION	111	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1580.000000	1636.000000	NO FORMAL NAME	FORMATION	111	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1636.000000	1655.000000	NO FORMAL NAME	FORMATION	111	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1655.000000	1815.000000	NO FORMAL NAME	FORMATION	111	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1950.000000	1971.000000	NO FORMAL NAME	FORMATION	111	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	349.000000	1145.000000	NORDLAND GP	GROUP	113	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2879.000000	2885.000000	RANNOCH FM	FORMATION	126	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1815.000000	1994.000000	ROGALAND GP	GROUP	131	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1994.000000	2871.000000	SHETLAND GP	GROUP	143	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	3039.000000	3125.000000	STATFJORD FM	FORMATION	157	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2850.000000	2871.000000	SVARTE FM	FORMATION	160	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2838.000000	2843.000000	TRYGGVASON FM	FORMATION	173	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2897.000000	2932.000000	UNDIFFERENTIATED	FORMATION	182	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	1081.000000	1109.000000	UTSIRA FM	FORMATION	183	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	2871.000000	2879.000000	ÅSGARD FM	FORMATION	198	1993-12-09	2179	9999-12-31	2013-05-08
34/8-10 S	3039.000000	3125.000000	NO GROUP DEFINED	GROUP	208	1993-12-09	2179	9999-12-31	2013-05-08
34/8-11	1822.000000	1869.000000	BALDER FM	FORMATION	6	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2869.000000	3011.000000	BRENT GP	GROUP	16	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2851.000000	2853.000000	CROMER KNOLL GP	GROUP	23	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	3072.000000	3140.000000	COOK FM	FORMATION	24	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	3011.000000	3072.000000	DRAKE FM	FORMATION	27	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2853.000000	2854.000000	DRAUPNE FM	FORMATION	28	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	3011.000000	3140.000000	DUNLIN GP	GROUP	29	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2908.000000	2949.000000	ETIVE FM	FORMATION	35	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2854.000000	2869.000000	HEATHER FM	FORMATION	60	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	1102.000000	1822.000000	HORDALAND GP	GROUP	67	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2001.000000	2220.000000	JORSALFARE FM	FORMATION	74	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2220.000000	2851.000000	KYRRE FM	FORMATION	92	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	1869.000000	2001.000000	LISTA FM	FORMATION	95	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2883.000000	2908.000000	NESS FM	FORMATION	110	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	1360.000000	1375.000000	NO FORMAL NAME	FORMATION	111	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	1375.000000	1515.000000	NO FORMAL NAME	FORMATION	111	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	1515.000000	1540.000000	NO FORMAL NAME	FORMATION	111	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	1540.000000	1822.000000	NO FORMAL NAME	FORMATION	111	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	355.000000	1102.000000	NORDLAND GP	GROUP	113	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2949.000000	3011.000000	RANNOCH FM	FORMATION	126	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	1822.000000	2001.000000	ROGALAND GP	GROUP	131	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2001.000000	2851.000000	SHETLAND GP	GROUP	143	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2869.000000	2883.000000	TARBERT FM	FORMATION	162	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	991.000000	1102.000000	UTSIRA FM	FORMATION	183	1994-02-08	2180	9999-12-31	2013-05-08
34/8-11	2853.000000	2869.000000	VIKING GP	GROUP	188	1994-02-08	2180	9999-12-31	2013-05-08
6507/7-10	1866.000000	2015.000000	BRYGGE FM	FORMATION	18	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2563.000000	3171.000000	BÅT GP	GROUP	22	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2507.000000	2563.000000	FANGST GP	GROUP	38	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2507.000000	2532.000000	GARN FM	FORMATION	48	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	3171.000000	3309.000000	GREY BEDS (INFORMAL)	GROUP	52	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	1866.000000	2015.000000	HORDALAND GP	GROUP	67	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2534.000000	2563.000000	ILE FM	FORMATION	70	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	1485.000000	1866.000000	KAI FM	FORMATION	77	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2471.000000	2507.000000	MELKE FM	FORMATION	105	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	418.000000	1485.000000	NAUST FM	FORMATION	109	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2138.000000	2439.000000	NISE FM	FORMATION	112	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	418.000000	1866.000000	NORDLAND GP	GROUP	113	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2532.000000	2534.000000	NOT FM	FORMATION	120	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2015.000000	2106.000000	ROGALAND GP	GROUP	131	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2563.000000	2604.000000	ROR FM	FORMATION	135	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2106.000000	2439.000000	SHETLAND GP	GROUP	143	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2439.000000	2471.000000	SPEKK FM	FORMATION	155	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2106.000000	2138.000000	SPRINGAR FM	FORMATION	156	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2067.000000	2106.000000	TANG FM	FORMATION	161	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2015.000000	2067.000000	TARE FM	FORMATION	163	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2604.000000	2759.000000	TILJE FM	FORMATION	169	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2439.000000	2507.000000	VIKING GP	GROUP	188	1993-10-29	2182	9999-12-31	2013-05-08
6507/7-10	2759.000000	3171.000000	ÅRE FM	FORMATION	197	1993-10-29	2182	9999-12-31	2013-05-08
6507/8-6	1722.000000	1868.000000	BRYGGE FM	FORMATION	18	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2147.000000	2656.000000	BÅT GP	GROUP	22	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2096.000000	2147.000000	FANGST GP	GROUP	38	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2096.000000	2120.000000	GARN FM	FORMATION	48	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2656.000000	2743.000000	GREY BEDS (INFORMAL)	GROUP	52	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	1722.000000	1868.000000	HORDALAND GP	GROUP	67	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2128.000000	2147.000000	ILE FM	FORMATION	70	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	1417.000000	1722.000000	KAI FM	FORMATION	77	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2033.000000	2047.000000	MELKE FM	FORMATION	105	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2075.000000	2096.000000	MELKE FM	FORMATION	105	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	379.000000	1417.000000	NAUST FM	FORMATION	109	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2047.000000	2075.000000	NO FORMAL NAME	FORMATION	111	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	379.000000	1722.000000	NORDLAND GP	GROUP	113	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2120.000000	2128.000000	NOT FM	FORMATION	120	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2743.000000	2850.000000	RED BEDS (INFORMAL)	GROUP	129	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	1868.000000	1957.000000	ROGALAND GP	GROUP	131	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2147.000000	2165.000000	ROR FM	FORMATION	135	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	1957.000000	1974.000000	SHETLAND GP	GROUP	143	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	1974.000000	2033.000000	SPEKK FM	FORMATION	155	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	1868.000000	1957.000000	TARE FM	FORMATION	163	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2165.000000	2275.000000	TILJE FM	FORMATION	169	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	1974.000000	2096.000000	VIKING GP	GROUP	188	1993-10-09	2183	9999-12-31	2013-05-08
6507/8-6	2275.000000	2656.000000	ÅRE FM	FORMATION	197	1993-10-09	2183	9999-12-31	2013-05-08
6610/3-1 R	555.000000	1366.000000	BRYGGE FM	FORMATION	18	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3730.000000	4147.000000	BÅT GP	GROUP	22	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	2505.000000	3534.000000	CROMER KNOLL GP	GROUP	23	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3705.000000	3730.000000	FANGST GP	GROUP	38	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	4147.000000	4170.000000	GREY BEDS (INFORMAL)	GROUP	52	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	555.000000	1366.000000	HORDALAND GP	GROUP	67	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3711.000000	3730.000000	ILE FM	FORMATION	70	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	2542.000000	2655.000000	LANGE FM	FORMATION	94	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	2695.000000	2884.000000	LANGE FM	FORMATION	94	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3047.000000	3203.000000	LANGE FM	FORMATION	94	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3412.000000	3418.000000	LANGE FM	FORMATION	94	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3418.000000	3534.000000	LYR FM	FORMATION	98	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	2505.000000	2542.000000	LYSING FM	FORMATION	99	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	2655.000000	2695.000000	LYSING FM	FORMATION	99	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3614.000000	3705.000000	MELKE FM	FORMATION	105	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	332.000000	349.000000	NAUST FM	FORMATION	109	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	1556.000000	1585.000000	NO FORMAL NAME	FORMATION	111	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	1640.000000	1805.000000	NO FORMAL NAME	FORMATION	111	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	2284.000000	2324.000000	NO FORMAL NAME	FORMATION	111	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	2884.000000	3047.000000	NO FORMAL NAME	FORMATION	111	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3203.000000	3412.000000	NO FORMAL NAME	FORMATION	111	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	2044.000000	2284.000000	NISE FM	FORMATION	112	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	2324.000000	2505.000000	NISE FM	FORMATION	112	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	332.000000	555.000000	NORDLAND GP	GROUP	113	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3705.000000	3711.000000	NOT FM	FORMATION	120	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	4170.000000	4200.000000	RED BEDS (INFORMAL)	GROUP	129	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	1366.000000	1842.000000	ROGALAND GP	GROUP	131	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	1842.000000	2505.000000	SHETLAND GP	GROUP	143	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3534.000000	3614.000000	SPEKK FM	FORMATION	155	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	1842.000000	2044.000000	SPRINGAR FM	FORMATION	156	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	1472.000000	1556.000000	TANG FM	FORMATION	161	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	1585.000000	1640.000000	TANG FM	FORMATION	161	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	1805.000000	1842.000000	TANG FM	FORMATION	161	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	1366.000000	1472.000000	TARE FM	FORMATION	163	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3772.000000	3935.000000	TILJE FM	FORMATION	169	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3730.000000	3772.000000	TOFTE FM	FORMATION	170	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3534.000000	3705.000000	VIKING GP	GROUP	188	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	3935.000000	4147.000000	ÅRE FM	FORMATION	197	1993-12-11	2193	9999-12-31	2013-05-08
6610/3-1 R	349.000000	555.000000	MOLO FM	FORMATION	209	1993-12-11	2193	9999-12-31	2013-05-08
2/5-10 A	3052.000000	3062.000000	BALDER FM	FORMATION	6	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	4295.000000	4298.000000	CROMER KNOLL GP	GROUP	23	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	3214.000000	3342.000000	EKOFISK FM	FORMATION	33	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	4298.000000	4616.000000	FARSUND FM	FORMATION	39	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	3735.000000	4295.000000	HOD FM	FORMATION	66	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	1733.000000	3052.000000	HORDALAND GP	GROUP	67	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	3072.000000	3181.000000	LISTA FM	FORMATION	95	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	88.000000	1733.000000	NORDLAND GP	GROUP	113	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	3052.000000	3214.000000	ROGALAND GP	GROUP	131	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	3062.000000	3072.000000	SELE FM	FORMATION	142	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	3214.000000	4295.000000	SHETLAND GP	GROUP	143	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	4673.000000	4715.000000	SKAGERRAK FM	FORMATION	146	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	3342.000000	3735.000000	TOR FM	FORMATION	171	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	4298.000000	4616.000000	TYNE GP	GROUP	177	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	4616.000000	4673.000000	VESTLAND GP	GROUP	186	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	3181.000000	3214.000000	VÅLE FM	FORMATION	190	1993-09-25	2194	9999-12-31	2013-05-08
2/5-10 A	4673.000000	4715.000000	NO GROUP DEFINED	GROUP	208	1993-09-25	2194	9999-12-31	2013-05-08
6204/11-1	2407.000000	2422.000000	BLODØKS FM	FORMATION	13	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	1115.000000	1318.000000	EGGA FM (INFORMAL)	FORMATION	31	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	2916.000000	2966.000000	GREY BEDS (INFORMAL)	GROUP	52	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	2772.000000	2846.000000	INTRA HEATHER FM SS	FORMATION	59	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	2602.000000	2772.000000	HEATHER FM	FORMATION	60	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	635.000000	750.000000	HORDALAND GP	GROUP	67	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	1318.000000	2001.000000	KYRRE FM	FORMATION	92	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	2088.000000	2407.000000	KYRRE FM	FORMATION	92	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	2001.000000	2088.000000	NO FORMAL NAME	FORMATION	111	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	2846.000000	2916.000000	NO FORMAL NAME	FORMATION	111	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	222.000000	635.000000	NORDLAND GP	GROUP	113	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	750.000000	1318.000000	ROGALAND GP	GROUP	131	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	1318.000000	2602.000000	SHETLAND GP	GROUP	143	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	2422.000000	2602.000000	SVARTE FM	FORMATION	160	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	750.000000	1115.000000	UNDIFFERENTIATED	FORMATION	182	1994-11-14	2205	9999-12-31	2013-05-08
6204/11-1	2602.000000	2916.000000	VIKING GP	GROUP	188	1994-11-14	2205	9999-12-31	2013-05-08
6305/12-2	3145.000000	3162.000000	BASEMENT	GROUP	10	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	2487.000000	2966.000000	CROMER KNOLL GP	GROUP	23	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	1848.000000	1919.000000	EGGA FM (INFORMAL)	FORMATION	31	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	601.000000	1191.000000	HORDALAND GP	GROUP	67	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	2395.000000	2487.000000	KVITNOS FM	FORMATION	91	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	2505.000000	2966.000000	LANGE FM	FORMATION	94	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	2487.000000	2505.000000	LYSING FM	FORMATION	99	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	1980.000000	2395.000000	NISE FM	FORMATION	112	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	169.000000	601.000000	NORDLAND GP	GROUP	113	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	1191.000000	1936.000000	ROGALAND GP	GROUP	131	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	1936.000000	2487.000000	SHETLAND GP	GROUP	143	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	2966.000000	2967.000000	SPEKK FM	FORMATION	155	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	1936.000000	1980.000000	SPRINGAR FM	FORMATION	156	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	1274.000000	1848.000000	TANG FM	FORMATION	161	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	1919.000000	1936.000000	TANG FM	FORMATION	161	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	1191.000000	1274.000000	TARE FM	FORMATION	163	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	2967.000000	2970.000000	UNDIFFERENTIATED	FORMATION	182	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	2966.000000	2970.000000	VIKING GP	GROUP	188	1993-12-17	2207	9999-12-31	2013-05-08
6305/12-2	2970.000000	3145.000000	UNDEFINED GP	GROUP	191	1993-12-17	2207	9999-12-31	2013-05-08
3/4-1	2668.000000	2718.000000	CROMER KNOLL GP	GROUP	23	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2415.000000	2454.000000	EKOFISK FM	FORMATION	33	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2726.000000	2736.000000	FARSUND FM	FORMATION	39	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2920.000000	3013.000000	HAUGESUND FM	FORMATION	57	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2589.000000	2668.000000	HOD FM	FORMATION	66	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	1103.000000	2317.000000	HORDALAND GP	GROUP	67	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2330.000000	2375.000000	LISTA FM	FORMATION	95	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2718.000000	2726.000000	MANDAL FM	FORMATION	101	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	92.000000	1103.000000	NORDLAND GP	GROUP	113	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2317.000000	2415.000000	ROGALAND GP	GROUP	131	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2317.000000	2330.000000	SELE FM	FORMATION	142	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2415.000000	2668.000000	SHETLAND GP	GROUP	143	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	3013.000000	3077.000000	SMITH BANK FM	FORMATION	149	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2454.000000	2589.000000	TOR FM	FORMATION	171	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2668.000000	2670.000000	TUXEN FM	FORMATION	175	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2718.000000	2736.000000	TYNE GP	GROUP	177	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2920.000000	3013.000000	TYNE GP	GROUP	177	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2736.000000	2920.000000	ULA FM	FORMATION	179	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2736.000000	2920.000000	VESTLAND GP	GROUP	186	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2375.000000	2415.000000	VÅLE FM	FORMATION	190	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	3077.000000	3107.000000	ZECHSTEIN GP	GROUP	194	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	2670.000000	2718.000000	ÅSGARD FM	FORMATION	198	1994-02-26	2222	9999-12-31	2013-05-08
3/4-1	3013.000000	3077.000000	NO GROUP DEFINED	GROUP	208	1994-02-26	2222	9999-12-31	2013-05-08
30/9-15	2489.000000	2616.000000	AMUNDSEN FM	FORMATION	4	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	1901.000000	1964.000000	BALDER FM	FORMATION	6	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2249.000000	2276.000000	BRENT GP	GROUP	16	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2242.000000	2249.000000	CROMER KNOLL GP	GROUP	23	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2461.000000	2489.000000	COOK FM	FORMATION	24	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2276.000000	2461.000000	DRAKE FM	FORMATION	27	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2276.000000	2616.000000	DUNLIN GP	GROUP	29	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2156.000000	2242.000000	HARDRÅDE FM	FORMATION	56	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	842.000000	1901.000000	HORDALAND GP	GROUP	67	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2009.000000	2151.000000	LISTA FM	FORMATION	95	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2249.000000	2265.000000	NESS FM	FORMATION	110	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	1028.000000	1177.000000	NO FORMAL NAME	FORMATION	111	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	1194.000000	1901.000000	NO FORMAL NAME	FORMATION	111	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	128.000000	842.000000	NORDLAND GP	GROUP	113	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	1901.000000	2156.000000	ROGALAND GP	GROUP	131	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	1964.000000	2009.000000	SELE FM	FORMATION	142	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2156.000000	2242.000000	SHETLAND GP	GROUP	143	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	1014.000000	1028.000000	SKADE FM	FORMATION	145	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	1177.000000	1194.000000	SKADE FM	FORMATION	145	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2616.000000	2764.000000	STATFJORD FM	FORMATION	157	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2265.000000	2276.000000	UNDIFFERENTIATED	FORMATION	182	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	646.000000	842.000000	UTSIRA FM	FORMATION	183	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2151.000000	2156.000000	VÅLE FM	FORMATION	190	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2242.000000	2249.000000	ÅSGARD FM	FORMATION	198	1994-01-05	2223	9999-12-31	2013-05-08
30/9-15	2616.000000	2764.000000	NO GROUP DEFINED	GROUP	208	1994-01-05	2223	9999-12-31	2013-05-08
24/9-5	1964.000000	2011.000000	BALDER FM	FORMATION	6	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2018.000000	2031.000000	BALDER FM	FORMATION	6	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2011.000000	2018.000000	INTRA BALDER FM SS	FORMATION	7	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	1203.000000	1255.000000	GRID FM	FORMATION	53	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	1294.000000	1309.000000	GRID FM	FORMATION	53	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2161.000000	2624.000000	HEIMDAL FM	FORMATION	62	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2049.000000	2082.000000	HERMOD FM	FORMATION	64	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2098.000000	2112.000000	HERMOD FM	FORMATION	64	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	550.000000	1964.000000	HORDALAND GP	GROUP	67	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2828.000000	2860.000000	JORSALFARE FM	FORMATION	74	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2116.000000	2161.000000	LISTA FM	FORMATION	95	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2624.000000	2728.000000	LISTA FM	FORMATION	95	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	695.000000	1203.000000	NO FORMAL NAME	FORMATION	111	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	1255.000000	1294.000000	NO FORMAL NAME	FORMATION	111	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	1309.000000	1964.000000	NO FORMAL NAME	FORMATION	111	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	151.000000	550.000000	NORDLAND GP	GROUP	113	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	1964.000000	2828.000000	ROGALAND GP	GROUP	131	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2031.000000	2049.000000	SELE FM	FORMATION	142	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2082.000000	2098.000000	SELE FM	FORMATION	142	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2112.000000	2116.000000	SELE FM	FORMATION	142	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2828.000000	2860.000000	SHETLAND GP	GROUP	143	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	555.000000	695.000000	SKADE FM	FORMATION	145	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	2728.000000	2828.000000	TY FM	FORMATION	176	1994-01-26	2244	9999-12-31	2013-05-08
24/9-5	250.000000	550.000000	UTSIRA FM	FORMATION	183	1994-01-26	2244	9999-12-31	2013-05-08
30/12-1	3549.000000	3596.000000	AMUNDSEN FM	FORMATION	4	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2156.000000	2205.000000	BALDER FM	FORMATION	6	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2903.000000	3133.000000	BRENT GP	GROUP	16	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	3417.000000	3549.000000	BURTON FM	FORMATION	20	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2622.000000	2795.000000	CROMER KNOLL GP	GROUP	23	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	3409.000000	3417.000000	COOK FM	FORMATION	24	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	3133.000000	3409.000000	DRAKE FM	FORMATION	27	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2795.000000	2852.000000	DRAUPNE FM	FORMATION	28	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	3133.000000	3596.000000	DUNLIN GP	GROUP	29	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2136.000000	2156.000000	FRIGG FM	FORMATION	45	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2429.000000	2544.000000	HARDRÅDE FM	FORMATION	56	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2852.000000	2903.000000	HEATHER FM	FORMATION	60	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	899.000000	2156.000000	HORDALAND GP	GROUP	67	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2544.000000	2610.000000	KYRRE FM	FORMATION	92	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2270.000000	2416.000000	LISTA FM	FORMATION	95	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2989.000000	3133.000000	NESS FM	FORMATION	110	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	138.000000	899.000000	NORDLAND GP	GROUP	113	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2156.000000	2429.000000	ROGALAND GP	GROUP	131	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2622.000000	2693.000000	RØDBY FM	FORMATION	137	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2205.000000	2270.000000	SELE FM	FORMATION	142	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2429.000000	2622.000000	SHETLAND GP	GROUP	143	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2693.000000	2712.000000	SOLA FM	FORMATION	152	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	3596.000000	3641.000000	STATFJORD FM	FORMATION	157	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2610.000000	2622.000000	SVARTE FM	FORMATION	160	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2903.000000	2989.000000	TARBERT FM	FORMATION	162	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	648.000000	899.000000	UTSIRA FM	FORMATION	183	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2795.000000	2903.000000	VIKING GP	GROUP	188	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2416.000000	2429.000000	VÅLE FM	FORMATION	190	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	2712.000000	2795.000000	ÅSGARD FM	FORMATION	198	1994-03-07	2248	9999-12-31	2013-05-08
30/12-1	3596.000000	3641.000000	NO GROUP DEFINED	GROUP	208	1994-03-07	2248	9999-12-31	2013-05-08
2/4-18 R	3158.000000	3171.000000	BALDER FM	FORMATION	6	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	4435.000000	4445.000000	BLODØKS FM	FORMATION	13	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	4464.000000	4716.000000	CROMER KNOLL GP	GROUP	23	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	3351.000000	3475.000000	EKOFISK FM	FORMATION	33	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	4772.000000	5310.000000	FARSUND FM	FORMATION	39	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	4445.000000	4464.000000	HIDRA FM	FORMATION	65	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	3704.000000	4435.000000	HOD FM	FORMATION	66	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	1804.000000	3158.000000	HORDALAND GP	GROUP	67	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	3188.000000	3277.000000	LISTA FM	FORMATION	95	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	3311.000000	3334.000000	LISTA FM	FORMATION	95	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	4716.000000	4772.000000	MANDAL FM	FORMATION	101	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	822.000000	883.000000	NO FORMAL NAME	FORMATION	111	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	883.000000	1804.000000	NO FORMAL NAME	FORMATION	111	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	110.000000	1804.000000	NORDLAND GP	GROUP	113	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	3158.000000	3351.000000	ROGALAND GP	GROUP	131	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	4464.000000	4494.000000	RØDBY FM	FORMATION	137	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	3171.000000	3188.000000	SELE FM	FORMATION	142	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	3351.000000	4464.000000	SHETLAND GP	GROUP	143	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	3475.000000	3704.000000	TOR FM	FORMATION	171	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	4494.000000	4544.000000	TUXEN FM	FORMATION	175	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	4716.000000	5310.000000	TYNE GP	GROUP	177	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	3277.000000	3311.000000	VIDAR FM	FORMATION	187	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	3334.000000	3351.000000	VÅLE FM	FORMATION	190	1994-07-10	2253	9999-12-31	2013-05-08
2/4-18 R	4544.000000	4716.000000	ÅSGARD FM	FORMATION	198	1994-07-10	2253	9999-12-31	2013-05-08
6608/10-4	1561.000000	1843.000000	BRYGGE FM	FORMATION	18	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2617.000000	2800.000000	BÅT GP	GROUP	22	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2187.000000	2328.000000	CROMER KNOLL GP	GROUP	23	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2567.000000	2617.000000	FANGST GP	GROUP	38	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2567.000000	2598.000000	GARN FM	FORMATION	48	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	1561.000000	1843.000000	HORDALAND GP	GROUP	67	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2605.000000	2617.000000	ILE FM	FORMATION	70	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	1404.000000	1561.000000	KAI FM	FORMATION	77	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2187.000000	2328.000000	LYR FM	FORMATION	98	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2484.000000	2533.000000	INTRA MELKE FM SS	FORMATION	104	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2372.000000	2484.000000	MELKE FM	FORMATION	105	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2533.000000	2567.000000	MELKE FM	FORMATION	105	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	405.000000	1404.000000	NAUST FM	FORMATION	109	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2050.000000	2187.000000	NISE FM	FORMATION	112	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	405.000000	1561.000000	NORDLAND GP	GROUP	113	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2598.000000	2605.000000	NOT FM	FORMATION	120	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	1843.000000	1922.000000	ROGALAND GP	GROUP	131	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	1922.000000	2187.000000	SHETLAND GP	GROUP	143	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2328.000000	2372.000000	SPEKK FM	FORMATION	155	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	1922.000000	2050.000000	SPRINGAR FM	FORMATION	156	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	1892.000000	1922.000000	TANG FM	FORMATION	161	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	1843.000000	1892.000000	TARE FM	FORMATION	163	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2657.000000	2697.000000	TILJE FM	FORMATION	169	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2617.000000	2657.000000	TOFTE FM	FORMATION	170	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2328.000000	2567.000000	VIKING GP	GROUP	188	1994-03-06	2256	9999-12-31	2013-05-08
6608/10-4	2697.000000	2800.000000	ÅRE FM	FORMATION	197	1994-03-06	2256	9999-12-31	2013-05-08
9/2-4 S	724.000000	741.000000	BALDER FM	FORMATION	6	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	1545.000000	1581.000000	BLODØKS FM	FORMATION	13	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	2730.000000	4094.000000	BOKNFJORD GP	GROUP	15	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	4295.000000	4417.000000	BRYNE FM	FORMATION	19	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	1581.000000	2730.000000	CROMER KNOLL GP	GROUP	23	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	3993.000000	4094.000000	EGERSUND FM	FORMATION	30	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	784.000000	855.000000	EKOFISK FM	FORMATION	33	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	2730.000000	3075.000000	FLEKKEFJORD FM	FORMATION	43	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	1168.000000	1545.000000	HOD FM	FORMATION	66	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	521.000000	724.000000	HORDALAND GP	GROUP	67	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	753.000000	774.000000	LISTA FM	FORMATION	95	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	115.000000	521.000000	NORDLAND GP	GROUP	113	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	724.000000	784.000000	ROGALAND GP	GROUP	131	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	4094.000000	4295.000000	SANDNES FM	FORMATION	139	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	3075.000000	3875.000000	SAUDA FM	FORMATION	141	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	741.000000	753.000000	SELE FM	FORMATION	142	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	784.000000	1581.000000	SHETLAND GP	GROUP	143	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	1581.000000	1723.000000	SOLA FM	FORMATION	152	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	3875.000000	3993.000000	TAU FM	FORMATION	164	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	855.000000	1168.000000	TOR FM	FORMATION	171	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	4094.000000	4417.000000	VESTLAND GP	GROUP	186	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	774.000000	784.000000	VÅLE FM	FORMATION	190	1994-04-11	2258	9999-12-31	2013-05-08
9/2-4 S	1723.000000	2730.000000	ÅSGARD FM	FORMATION	198	1994-04-11	2258	9999-12-31	2013-05-08
15/12-10 S	2550.000000	2559.000000	BALDER FM	FORMATION	6	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3097.000000	3107.000000	BLODØKS FM	FORMATION	13	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3204.000000	3261.000000	CROMER KNOLL GP	GROUP	23	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3372.000000	3388.000000	INTRA HEATHER FM SS	FORMATION	59	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3261.000000	3372.000000	HEATHER FM	FORMATION	60	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3388.000000	3420.000000	HEATHER FM	FORMATION	60	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	2850.000000	3097.000000	HOD FM	FORMATION	66	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	1408.000000	2550.000000	HORDALAND GP	GROUP	67	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	2607.000000	2766.000000	LISTA FM	FORMATION	95	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	107.000000	1408.000000	NORDLAND GP	GROUP	113	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	2550.000000	2766.000000	ROGALAND GP	GROUP	131	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3204.000000	3224.000000	RØDBY FM	FORMATION	137	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	2559.000000	2607.000000	SELE FM	FORMATION	142	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	2766.000000	3204.000000	SHETLAND GP	GROUP	143	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3429.000000	3550.000000	SKAGERRAK FM	FORMATION	146	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3420.000000	3429.000000	SLEIPNER FM	FORMATION	148	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3107.000000	3204.000000	SVARTE FM	FORMATION	160	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	2766.000000	2850.000000	TOR FM	FORMATION	171	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	1096.000000	1408.000000	UTSIRA FM	FORMATION	183	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3420.000000	3429.000000	VESTLAND GP	GROUP	186	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3261.000000	3420.000000	VIKING GP	GROUP	188	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3224.000000	3261.000000	ÅSGARD FM	FORMATION	198	1996-11-04	2285	9999-12-31	2013-05-08
15/12-10 S	3429.000000	3550.000000	NO GROUP DEFINED	GROUP	208	1996-11-04	2285	9999-12-31	2013-05-08
24/9-6	1917.000000	2011.000000	BALDER FM	FORMATION	6	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	2022.000000	2034.000000	BALDER FM	FORMATION	6	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	2072.000000	2088.000000	BALDER FM	FORMATION	6	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	2011.000000	2022.000000	INTRA BALDER FM SS	FORMATION	7	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	2034.000000	2072.000000	INTRA BALDER FM SS	FORMATION	7	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	1158.000000	1271.000000	GRID FM	FORMATION	53	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	1323.000000	1350.000000	GRID FM	FORMATION	53	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	2210.000000	2255.000000	HEIMDAL FM	FORMATION	62	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	2119.000000	2137.000000	HERMOD FM	FORMATION	64	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	658.000000	1917.000000	HORDALAND GP	GROUP	67	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	2154.000000	2210.000000	LISTA FM	FORMATION	95	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	860.000000	1158.000000	NO FORMAL NAME	FORMATION	111	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	1271.000000	1323.000000	NO FORMAL NAME	FORMATION	111	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	1350.000000	1917.000000	NO FORMAL NAME	FORMATION	111	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	153.000000	658.000000	NORDLAND GP	GROUP	113	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	1917.000000	2255.000000	ROGALAND GP	GROUP	131	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	2088.000000	2119.000000	SELE FM	FORMATION	142	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	2137.000000	2154.000000	SELE FM	FORMATION	142	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	670.000000	860.000000	SKADE FM	FORMATION	145	1994-03-07	2288	9999-12-31	2013-05-08
24/9-6	222.000000	658.000000	UTSIRA FM	FORMATION	183	1994-03-07	2288	9999-12-31	2013-05-08
34/7-23 S	1995.000000	2042.000000	BALDER FM	FORMATION	6	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	3328.000000	3375.000000	BRENT GP	GROUP	16	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	3071.000000	3078.000000	CROMER KNOLL GP	GROUP	23	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	3078.000000	3102.000000	INTRA DRAUPNE FM SS	FORMATION	26	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	3102.000000	3182.000000	DRAUPNE FM	FORMATION	28	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	3182.000000	3328.000000	HEATHER FM	FORMATION	60	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	1144.000000	1995.000000	HORDALAND GP	GROUP	67	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	2283.000000	2596.000000	JORSALFARE FM	FORMATION	74	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	2596.000000	3071.000000	KYRRE FM	FORMATION	92	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	2042.000000	2283.000000	LISTA FM	FORMATION	95	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	3071.000000	3078.000000	MIME FM	FORMATION	106	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	1369.000000	1400.000000	NO FORMAL NAME	FORMATION	111	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	1400.000000	1460.000000	NO FORMAL NAME	FORMATION	111	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	1460.000000	1602.000000	NO FORMAL NAME	FORMATION	111	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	1602.000000	1995.000000	NO FORMAL NAME	FORMATION	111	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	271.000000	1144.000000	NORDLAND GP	GROUP	113	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	1995.000000	2283.000000	ROGALAND GP	GROUP	131	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	3071.000000	3071.000000	RØDBY FM	FORMATION	137	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	2283.000000	3071.000000	SHETLAND GP	GROUP	143	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	3328.000000	3375.000000	TARBERT FM	FORMATION	162	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	955.000000	1144.000000	UTSIRA FM	FORMATION	183	1994-04-03	2296	9999-12-31	2013-05-08
34/7-23 S	3078.000000	3328.000000	VIKING GP	GROUP	188	1994-04-03	2296	9999-12-31	2013-05-08
2/11-10 S	3802.000000	3820.000000	BALDER FM	FORMATION	6	1994-06-14	2297	9999-12-31	2013-05-08
2/11-10 S	3901.000000	3917.000000	EKOFISK FM	FORMATION	33	1994-06-14	2297	9999-12-31	2013-05-08
2/11-10 S	4074.000000	4090.000000	HOD FM	FORMATION	66	1994-06-14	2297	9999-12-31	2013-05-08
2/11-10 S	1725.000000	3802.000000	HORDALAND GP	GROUP	67	1994-06-14	2297	9999-12-31	2013-05-08
2/11-10 S	3851.000000	3893.000000	LISTA FM	FORMATION	95	1994-06-14	2297	9999-12-31	2013-05-08
2/11-10 S	119.000000	1725.000000	NORDLAND GP	GROUP	113	1994-06-14	2297	9999-12-31	2013-05-08
2/11-10 S	3802.000000	3901.000000	ROGALAND GP	GROUP	131	1994-06-14	2297	9999-12-31	2013-05-08
2/11-10 S	3820.000000	3851.000000	SELE FM	FORMATION	142	1994-06-14	2297	9999-12-31	2013-05-08
2/11-10 S	3901.000000	4090.000000	SHETLAND GP	GROUP	143	1994-06-14	2297	9999-12-31	2013-05-08
2/11-10 S	3917.000000	4074.000000	TOR FM	FORMATION	171	1994-06-14	2297	9999-12-31	2013-05-08
2/11-10 S	3893.000000	3901.000000	VÅLE FM	FORMATION	190	1994-06-14	2297	9999-12-31	2013-05-08
6507/2-3	1835.000000	1948.000000	BRYGGE FM	FORMATION	18	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	2850.000000	3843.000000	CROMER KNOLL GP	GROUP	23	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	1835.000000	1948.000000	HORDALAND GP	GROUP	67	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	1375.000000	1835.000000	KAI FM	FORMATION	77	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	2453.000000	2850.000000	KVITNOS FM	FORMATION	91	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	2891.000000	3791.000000	LANGE FM	FORMATION	94	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	3791.000000	3843.000000	LYR FM	FORMATION	98	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	2850.000000	2891.000000	LYSING FM	FORMATION	99	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	378.000000	1375.000000	NAUST FM	FORMATION	109	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	2157.000000	2453.000000	NISE FM	FORMATION	112	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	378.000000	1835.000000	NORDLAND GP	GROUP	113	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	1948.000000	2052.000000	ROGALAND GP	GROUP	131	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	2052.000000	2850.000000	SHETLAND GP	GROUP	143	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	3843.000000	3972.000000	SPEKK FM	FORMATION	155	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	2052.000000	2157.000000	SPRINGAR FM	FORMATION	156	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	2005.000000	2052.000000	TANG FM	FORMATION	161	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	1948.000000	2005.000000	TARE FM	FORMATION	163	1994-05-05	2299	9999-12-31	2013-05-08
6507/2-3	3843.000000	3972.000000	VIKING GP	GROUP	188	1994-05-05	2299	9999-12-31	2013-05-08
15/9-20 S	2645.000000	2713.000000	BALDER FM	FORMATION	6	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	3239.000000	3247.000000	BLODØKS FM	FORMATION	13	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	3247.000000	3249.000000	DRAUPNE FM	FORMATION	28	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	3249.000000	3259.000000	HEATHER FM	FORMATION	60	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	2931.000000	3035.000000	HEIMDAL FM	FORMATION	62	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	3195.000000	3239.000000	HOD FM	FORMATION	66	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	1130.000000	2645.000000	HORDALAND GP	GROUP	67	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	2820.000000	2931.000000	LISTA FM	FORMATION	95	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	1308.000000	2645.000000	NO FORMAL NAME	FORMATION	111	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	160.000000	1130.000000	NORDLAND GP	GROUP	113	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	2645.000000	3035.000000	ROGALAND GP	GROUP	131	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	2713.000000	2820.000000	SELE FM	FORMATION	142	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	3035.000000	3247.000000	SHETLAND GP	GROUP	143	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	1279.000000	1308.000000	SKADE FM	FORMATION	145	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	3259.000000	3503.000000	SKAGERRAK FM	FORMATION	146	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	3503.000000	3624.000000	SMITH BANK FM	FORMATION	149	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	3035.000000	3195.000000	TOR FM	FORMATION	171	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	909.000000	1130.000000	UTSIRA FM	FORMATION	183	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	3247.000000	3259.000000	VIKING GP	GROUP	188	1994-06-01	2319	9999-12-31	2013-05-08
15/9-20 S	3259.000000	3624.000000	NO GROUP DEFINED	GROUP	208	1994-06-01	2319	9999-12-31	2013-05-08
34/7-23 A	1995.000000	2042.000000	BALDER FM	FORMATION	6	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	3186.000000	3203.000000	CROMER KNOLL GP	GROUP	23	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	3203.000000	3246.000000	INTRA DRAUPNE FM SS	FORMATION	26	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	3246.000000	3360.000000	DRAUPNE FM	FORMATION	28	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	3360.000000	3412.000000	HEATHER FM	FORMATION	60	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	1144.000000	1995.000000	HORDALAND GP	GROUP	67	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	2283.000000	2623.000000	JORSALFARE FM	FORMATION	74	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	2623.000000	3186.000000	KYRRE FM	FORMATION	92	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	2042.000000	2283.000000	LISTA FM	FORMATION	95	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	3196.000000	3203.000000	MIME FM	FORMATION	106	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	1369.000000	1400.000000	NO FORMAL NAME	FORMATION	111	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	1400.000000	1460.000000	NO FORMAL NAME	FORMATION	111	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	1460.000000	1602.000000	NO FORMAL NAME	FORMATION	111	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	1602.000000	1995.000000	NO FORMAL NAME	FORMATION	111	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	271.000000	1144.000000	NORDLAND GP	GROUP	113	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	1995.000000	2283.000000	ROGALAND GP	GROUP	131	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	3186.000000	3196.000000	RØDBY FM	FORMATION	137	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	2283.000000	3186.000000	SHETLAND GP	GROUP	143	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	955.000000	1144.000000	UTSIRA FM	FORMATION	183	1994-05-20	2326	9999-12-31	2013-05-08
34/7-23 A	3203.000000	3412.000000	VIKING GP	GROUP	188	1994-05-20	2326	9999-12-31	2013-05-08
30/9-17	812.000000	1408.000000	HORDALAND GP	GROUP	67	1995-03-14	2355	9999-12-31	2013-05-08
30/9-17	964.000000	1076.000000	NO FORMAL NAME	FORMATION	111	1995-03-14	2355	9999-12-31	2013-05-08
30/9-17	1139.000000	1236.000000	NO FORMAL NAME	FORMATION	111	1995-03-14	2355	9999-12-31	2013-05-08
30/9-17	1374.000000	1408.000000	NO FORMAL NAME	FORMATION	111	1995-03-14	2355	9999-12-31	2013-05-08
30/9-17	133.000000	812.000000	NORDLAND GP	GROUP	113	1995-03-14	2355	9999-12-31	2013-05-08
30/9-17	944.000000	964.000000	SKADE FM	FORMATION	145	1995-03-14	2355	9999-12-31	2013-05-08
30/9-17	1076.000000	1139.000000	SKADE FM	FORMATION	145	1995-03-14	2355	9999-12-31	2013-05-08
30/9-17	1236.000000	1374.000000	SKADE FM	FORMATION	145	1995-03-14	2355	9999-12-31	2013-05-08
30/9-17	642.000000	812.000000	UTSIRA FM	FORMATION	183	1995-03-14	2355	9999-12-31	2013-05-08
25/11-18	1674.000000	1690.000000	BALDER FM	FORMATION	6	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1834.000000	1850.000000	EKOFISK FM	FORMATION	33	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1437.000000	1464.000000	GRID FM	FORMATION	53	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1742.000000	1798.000000	HEIMDAL FM	FORMATION	62	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1865.000000	1875.000000	HOD FM	FORMATION	66	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	811.000000	1674.000000	HORDALAND GP	GROUP	67	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1695.000000	1742.000000	LISTA FM	FORMATION	95	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1798.000000	1807.000000	LISTA FM	FORMATION	95	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	731.000000	811.000000	NO FORMAL NAME	FORMATION	111	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	924.000000	965.000000	NO FORMAL NAME	FORMATION	111	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	996.000000	1004.000000	NO FORMAL NAME	FORMATION	111	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1048.000000	1108.000000	NO FORMAL NAME	FORMATION	111	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1114.000000	1437.000000	NO FORMAL NAME	FORMATION	111	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1464.000000	1674.000000	NO FORMAL NAME	FORMATION	111	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	150.000000	811.000000	NORDLAND GP	GROUP	113	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1674.000000	1834.000000	ROGALAND GP	GROUP	131	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1690.000000	1695.000000	SELE FM	FORMATION	142	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1834.000000	1875.000000	SHETLAND GP	GROUP	143	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	811.000000	924.000000	SKADE FM	FORMATION	145	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	965.000000	996.000000	SKADE FM	FORMATION	145	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1004.000000	1048.000000	SKADE FM	FORMATION	145	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1108.000000	1114.000000	SKADE FM	FORMATION	145	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1850.000000	1865.000000	TOR FM	FORMATION	171	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	664.000000	731.000000	UTSIRA FM	FORMATION	183	1994-10-24	2358	9999-12-31	2013-05-08
25/11-18	1807.000000	1834.000000	VÅLE FM	FORMATION	190	1994-10-24	2358	9999-12-31	2013-05-08
34/11-1	4395.000000	4514.000000	AMUNDSEN FM	FORMATION	4	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1892.000000	1942.000000	BALDER FM	FORMATION	6	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	4045.000000	4221.000000	BRENT GP	GROUP	16	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	4338.000000	4395.000000	BURTON FM	FORMATION	20	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	3750.000000	3917.000000	CROMER KNOLL GP	GROUP	23	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	4289.000000	4338.000000	COOK FM	FORMATION	24	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	4221.000000	4289.000000	DRAKE FM	FORMATION	27	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	3917.000000	3996.000000	DRAUPNE FM	FORMATION	28	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	4221.000000	4514.000000	DUNLIN GP	GROUP	29	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	4164.000000	4177.000000	ETIVE FM	FORMATION	35	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	3996.000000	4045.000000	HEATHER FM	FORMATION	60	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1038.000000	1892.000000	HORDALAND GP	GROUP	67	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	2125.000000	2415.000000	JORSALFARE FM	FORMATION	74	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	2415.000000	3200.000000	KYRRE FM	FORMATION	92	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1950.000000	2125.000000	LISTA FM	FORMATION	95	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	4060.000000	4164.000000	NESS FM	FORMATION	110	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	995.000000	1038.000000	NO FORMAL NAME	FORMATION	111	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1312.000000	1365.000000	NO FORMAL NAME	FORMATION	111	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1365.000000	1407.000000	NO FORMAL NAME	FORMATION	111	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1407.000000	1447.000000	NO FORMAL NAME	FORMATION	111	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1447.000000	1488.000000	NO FORMAL NAME	FORMATION	111	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1488.000000	1580.000000	NO FORMAL NAME	FORMATION	111	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1580.000000	1619.000000	NO FORMAL NAME	FORMATION	111	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1619.000000	1650.000000	NO FORMAL NAME	FORMATION	111	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1650.000000	1892.000000	NO FORMAL NAME	FORMATION	111	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	215.000000	1038.000000	NORDLAND GP	GROUP	113	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	4177.000000	4221.000000	RANNOCH FM	FORMATION	126	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1892.000000	2125.000000	ROGALAND GP	GROUP	131	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	3750.000000	3895.000000	RØDBY FM	FORMATION	137	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	1942.000000	1950.000000	SELE FM	FORMATION	142	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	2125.000000	3750.000000	SHETLAND GP	GROUP	143	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	3895.000000	3905.000000	SOLA FM	FORMATION	152	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	4514.000000	4580.000000	STATFJORD FM	FORMATION	157	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	3503.000000	3750.000000	SVARTE FM	FORMATION	160	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	4045.000000	4060.000000	TARBERT FM	FORMATION	162	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	3200.000000	3503.000000	TRYGGVASON FM	FORMATION	173	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	897.000000	995.000000	UTSIRA FM	FORMATION	183	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	3917.000000	4045.000000	VIKING GP	GROUP	188	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	3905.000000	3917.000000	ÅSGARD FM	FORMATION	198	1994-10-25	2377	9999-12-31	2013-05-08
34/11-1	4514.000000	4580.000000	NO GROUP DEFINED	GROUP	208	1994-10-25	2377	9999-12-31	2013-05-08
6306/6-1	1312.000000	1317.000000	BASEMENT	GROUP	10	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	1039.000000	1137.000000	CROMER KNOLL GP	GROUP	23	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	605.000000	728.000000	EGGA FM (INFORMAL)	FORMATION	31	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	1267.000000	1282.000000	FANGST GP	GROUP	38	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	971.000000	1039.000000	KVITNOS FM	FORMATION	91	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	1039.000000	1100.000000	LANGE FM	FORMATION	94	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	1100.000000	1137.000000	LYR FM	FORMATION	98	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	728.000000	971.000000	NISE FM	FORMATION	112	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	308.000000	486.000000	NORDLAND GP	GROUP	113	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	1282.000000	1312.000000	RED BEDS (INFORMAL)	GROUP	129	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	486.000000	728.000000	ROGALAND GP	GROUP	131	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	1159.000000	1252.000000	ROGN FM	FORMATION	134	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	728.000000	1039.000000	SHETLAND GP	GROUP	143	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	1137.000000	1159.000000	SPEKK FM	FORMATION	155	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	1252.000000	1267.000000	SPEKK FM	FORMATION	155	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	486.000000	605.000000	TANG FM	FORMATION	161	1994-07-05	2384	9999-12-31	2013-05-08
6306/6-1	1137.000000	1267.000000	VIKING GP	GROUP	188	1994-07-05	2384	9999-12-31	2013-05-08
34/7-16 R2	2685.000000	2820.000000	AMUNDSEN FM	FORMATION	4	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	1678.000000	1734.000000	BALDER FM	FORMATION	6	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2390.000000	2514.000000	BRENT GP	GROUP	16	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2660.000000	2685.000000	BURTON FM	FORMATION	20	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2379.000000	2390.000000	CROMER KNOLL GP	GROUP	23	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2603.000000	2660.000000	COOK FM	FORMATION	24	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2514.000000	2603.000000	DRAKE FM	FORMATION	27	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2514.000000	2820.000000	DUNLIN GP	GROUP	29	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2390.000000	2434.000000	ETIVE FM	FORMATION	35	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2944.000000	2979.000000	HEGRE GP	GROUP	61	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	1082.000000	1678.000000	HORDALAND GP	GROUP	67	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	1861.000000	2150.000000	JORSALFARE FM	FORMATION	74	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2150.000000	2379.000000	KYRRE FM	FORMATION	92	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	1734.000000	1861.000000	LISTA FM	FORMATION	95	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2944.000000	2979.000000	LUNDE FM	FORMATION	97	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2386.000000	2390.000000	MIME FM	FORMATION	106	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	1271.000000	1307.000000	NO FORMAL NAME	FORMATION	111	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	1307.000000	1513.000000	NO FORMAL NAME	FORMATION	111	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	1513.000000	1560.000000	NO FORMAL NAME	FORMATION	111	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	1560.000000	1678.000000	NO FORMAL NAME	FORMATION	111	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	311.000000	1082.000000	NORDLAND GP	GROUP	113	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2434.000000	2514.000000	RANNOCH FM	FORMATION	126	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	1678.000000	1861.000000	ROGALAND GP	GROUP	131	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2379.000000	2386.000000	RØDBY FM	FORMATION	137	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	1861.000000	2379.000000	SHETLAND GP	GROUP	143	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2820.000000	2944.000000	STATFJORD FM	FORMATION	157	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	976.000000	1082.000000	UTSIRA FM	FORMATION	183	1994-07-05	2389	9999-12-31	2013-05-08
34/7-16 R2	2820.000000	2944.000000	NO GROUP DEFINED	GROUP	208	1994-07-05	2389	9999-12-31	2013-05-08
25/8-5 S	2922.000000	3040.000000	AMUNDSEN FM	FORMATION	4	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	1950.000000	2008.000000	BALDER FM	FORMATION	6	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2780.000000	2795.000000	CROMER KNOLL GP	GROUP	23	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2795.000000	2822.000000	DRAUPNE FM	FORMATION	28	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2922.000000	3040.000000	DUNLIN GP	GROUP	29	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	1247.000000	1303.000000	GRID FM	FORMATION	53	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2822.000000	2836.000000	HEATHER FM	FORMATION	60	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2113.000000	2420.000000	HEIMDAL FM	FORMATION	62	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	654.000000	1950.000000	HORDALAND GP	GROUP	67	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2836.000000	2878.000000	HUGIN FM	FORMATION	69	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2068.000000	2113.000000	LISTA FM	FORMATION	95	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2420.000000	2529.000000	LISTA FM	FORMATION	95	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	608.000000	654.000000	NO FORMAL NAME	FORMATION	111	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	1000.000000	1247.000000	NO FORMAL NAME	FORMATION	111	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	1303.000000	1950.000000	NO FORMAL NAME	FORMATION	111	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	151.000000	654.000000	NORDLAND GP	GROUP	113	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	1950.000000	2600.000000	ROGALAND GP	GROUP	131	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2008.000000	2068.000000	SELE FM	FORMATION	142	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2600.000000	2780.000000	SHETLAND GP	GROUP	143	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	654.000000	1000.000000	SKADE FM	FORMATION	145	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2878.000000	2922.000000	SLEIPNER FM	FORMATION	148	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	3338.000000	3395.000000	SMITH BANK FM	FORMATION	149	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	3040.000000	3338.000000	STATFJORD FM	FORMATION	157	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2600.000000	2780.000000	TOR FM	FORMATION	171	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2529.000000	2600.000000	TY FM	FORMATION	176	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	448.000000	608.000000	UTSIRA FM	FORMATION	183	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2836.000000	2922.000000	VESTLAND GP	GROUP	186	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2795.000000	2836.000000	VIKING GP	GROUP	188	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	2780.000000	2795.000000	ÅSGARD FM	FORMATION	198	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	3040.000000	3338.000000	NO GROUP DEFINED	GROUP	208	1994-09-22	2390	9999-12-31	2013-05-08
25/8-5 S	3338.000000	3395.000000	NO GROUP DEFINED	GROUP	208	1994-09-22	2390	9999-12-31	2013-05-08
2/7-30	3012.000000	3025.000000	BALDER FM	FORMATION	6	1995-04-10	2394	9999-12-31	2013-05-08
2/7-30	3150.000000	3242.000000	EKOFISK FM	FORMATION	33	1995-04-10	2394	9999-12-31	2013-05-08
2/7-30	3326.000000	3478.000000	HOD FM	FORMATION	66	1995-04-10	2394	9999-12-31	2013-05-08
2/7-30	1765.000000	3012.000000	HORDALAND GP	GROUP	67	1995-04-10	2394	9999-12-31	2013-05-08
2/7-30	3081.000000	3130.000000	LISTA FM	FORMATION	95	1995-04-10	2394	9999-12-31	2013-05-08
2/7-30	114.000000	1765.000000	NORDLAND GP	GROUP	113	1995-04-10	2394	9999-12-31	2013-05-08
2/7-30	3012.000000	3150.000000	ROGALAND GP	GROUP	131	1995-04-10	2394	9999-12-31	2013-05-08
2/7-30	3025.000000	3081.000000	SELE FM	FORMATION	142	1995-04-10	2394	9999-12-31	2013-05-08
2/7-30	3150.000000	3478.000000	SHETLAND GP	GROUP	143	1995-04-10	2394	9999-12-31	2013-05-08
2/7-30	3242.000000	3326.000000	TOR FM	FORMATION	171	1995-04-10	2394	9999-12-31	2013-05-08
2/7-30	3130.000000	3150.000000	VÅLE FM	FORMATION	190	1995-04-10	2394	9999-12-31	2013-05-08
34/7-19 R	1685.000000	1734.000000	BALDER FM	FORMATION	6	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2463.000000	2665.000000	BRENT GP	GROUP	16	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2440.000000	2449.000000	CROMER KNOLL GP	GROUP	23	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2747.000000	2807.000000	COOK FM	FORMATION	24	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2665.000000	2747.000000	DRAKE FM	FORMATION	27	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2665.000000	2807.000000	DUNLIN GP	GROUP	29	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2535.000000	2589.000000	ETIVE FM	FORMATION	35	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2449.000000	2463.000000	HEATHER FM	FORMATION	60	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	1087.000000	1685.000000	HORDALAND GP	GROUP	67	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	1877.000000	2137.000000	JORSALFARE FM	FORMATION	74	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2137.000000	2440.000000	KYRRE FM	FORMATION	92	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	1734.000000	1877.000000	LISTA FM	FORMATION	95	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2444.000000	2449.000000	MIME FM	FORMATION	106	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2507.000000	2535.000000	NESS FM	FORMATION	110	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	1303.000000	1341.000000	NO FORMAL NAME	FORMATION	111	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	1341.000000	1455.000000	NO FORMAL NAME	FORMATION	111	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	1455.000000	1493.000000	NO FORMAL NAME	FORMATION	111	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	1493.000000	1685.000000	NO FORMAL NAME	FORMATION	111	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	310.000000	1087.000000	NORDLAND GP	GROUP	113	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2589.000000	2665.000000	RANNOCH FM	FORMATION	126	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	1685.000000	1877.000000	ROGALAND GP	GROUP	131	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2440.000000	2444.000000	RØDBY FM	FORMATION	137	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	1877.000000	2440.000000	SHETLAND GP	GROUP	143	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2463.000000	2507.000000	TARBERT FM	FORMATION	162	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	975.000000	1087.000000	UTSIRA FM	FORMATION	183	1994-07-12	2401	9999-12-31	2013-05-08
34/7-19 R	2449.000000	2463.000000	VIKING GP	GROUP	188	1994-07-12	2401	9999-12-31	2013-05-08
30/8-1 S	4556.000000	4688.000000	AMUNDSEN FM	FORMATION	4	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	2100.000000	2174.000000	BALDER FM	FORMATION	6	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	3223.000000	3243.000000	BLODØKS FM	FORMATION	13	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	3433.000000	4123.000000	BRENT GP	GROUP	16	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	4464.000000	4556.000000	BURTON FM	FORMATION	20	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	4450.000000	4464.000000	COOK FM	FORMATION	24	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	4123.000000	4450.000000	DRAKE FM	FORMATION	27	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	4123.000000	4688.000000	DUNLIN GP	GROUP	29	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	1417.000000	1498.000000	GRID FM	FORMATION	53	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	2444.000000	2472.000000	HARDRÅDE FM	FORMATION	56	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	3361.000000	3433.000000	HEATHER FM	FORMATION	60	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	958.000000	2100.000000	HORDALAND GP	GROUP	67	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	2472.000000	2725.000000	JORSALFARE FM	FORMATION	74	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	2725.000000	3223.000000	KYRRE FM	FORMATION	92	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	2260.000000	2410.000000	LISTA FM	FORMATION	95	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	3774.000000	4092.000000	NESS FM	FORMATION	110	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	908.000000	958.000000	NO FORMAL NAME	FORMATION	111	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	1030.000000	1256.000000	NO FORMAL NAME	FORMATION	111	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	1256.000000	1304.000000	NO FORMAL NAME	FORMATION	111	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	1304.000000	1417.000000	NO FORMAL NAME	FORMATION	111	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	1498.000000	2100.000000	NO FORMAL NAME	FORMATION	111	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	122.000000	958.000000	NORDLAND GP	GROUP	113	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	2100.000000	2444.000000	ROGALAND GP	GROUP	131	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	2174.000000	2260.000000	SELE FM	FORMATION	142	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	2444.000000	3361.000000	SHETLAND GP	GROUP	143	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	958.000000	1030.000000	SKADE FM	FORMATION	145	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	3243.000000	3361.000000	SVARTE FM	FORMATION	160	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	3433.000000	3774.000000	TARBERT FM	FORMATION	162	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	4092.000000	4123.000000	UNDIFFERENTIATED	FORMATION	182	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	657.000000	908.000000	UTSIRA FM	FORMATION	183	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	3361.000000	3433.000000	VIKING GP	GROUP	188	1995-03-01	2430	9999-12-31	2013-05-08
30/8-1 S	2410.000000	2444.000000	VÅLE FM	FORMATION	190	1995-03-01	2430	9999-12-31	2013-05-08
34/10-37	1754.000000	1830.000000	BALDER FM	FORMATION	6	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	2613.000000	2810.000000	BRENT GP	GROUP	16	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	2796.000000	2810.000000	BROOM FM	FORMATION	17	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	2810.000000	2873.000000	DRAKE FM	FORMATION	27	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	2810.000000	2873.000000	DUNLIN GP	GROUP	29	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	2730.000000	2750.000000	ETIVE FM	FORMATION	35	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	958.000000	1754.000000	HORDALAND GP	GROUP	67	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	1830.000000	1858.000000	LISTA FM	FORMATION	95	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	2613.000000	2730.000000	NESS FM	FORMATION	110	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	163.000000	958.000000	NORDLAND GP	GROUP	113	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	2750.000000	2796.000000	RANNOCH FM	FORMATION	126	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	1754.000000	1858.000000	ROGALAND GP	GROUP	131	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	1858.000000	2517.000000	SHETLAND GP	GROUP	143	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	745.000000	958.000000	UTSIRA FM	FORMATION	183	1995-02-22	2431	9999-12-31	2013-05-08
34/10-37	2517.000000	2613.000000	VIKING GP	GROUP	188	1995-02-22	2431	9999-12-31	2013-05-08
6407/8-2	809.000000	1374.000000	BRYGGE FM	FORMATION	18	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	1728.000000	1847.000000	BÅT GP	GROUP	22	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	1847.000000	1950.000000	GREY BEDS (INFORMAL)	GROUP	52	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	809.000000	1374.000000	HORDALAND GP	GROUP	67	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	746.000000	809.000000	KAI FM	FORMATION	77	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	343.000000	746.000000	NAUST FM	FORMATION	109	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	343.000000	809.000000	NORDLAND GP	GROUP	113	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	1374.000000	1587.000000	ROGALAND GP	GROUP	131	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	1587.000000	1728.000000	SHETLAND GP	GROUP	143	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	1587.000000	1728.000000	SPRINGAR FM	FORMATION	156	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	1438.000000	1587.000000	TANG FM	FORMATION	161	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	1374.000000	1438.000000	TARE FM	FORMATION	163	1994-11-25	2434	9999-12-31	2013-05-08
6407/8-2	1728.000000	1847.000000	ÅRE FM	FORMATION	197	1994-11-25	2434	9999-12-31	2013-05-08
6406/2-1	1944.000000	2386.000000	BRYGGE FM	FORMATION	18	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4708.000000	5292.000000	BÅT GP	GROUP	22	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	3415.000000	4371.000000	CROMER KNOLL GP	GROUP	23	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4417.000000	4708.000000	FANGST GP	GROUP	38	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4417.000000	4556.000000	GARN FM	FORMATION	48	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	1944.000000	2386.000000	HORDALAND GP	GROUP	67	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4601.000000	4708.000000	ILE FM	FORMATION	70	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	1533.000000	1944.000000	KAI FM	FORMATION	77	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	2848.000000	3415.000000	KVITNOS FM	FORMATION	91	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	3442.000000	3452.000000	LANGE FM	FORMATION	94	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	3452.000000	4371.000000	LYR FM	FORMATION	98	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	3415.000000	3442.000000	LYSING FM	FORMATION	99	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4381.000000	4417.000000	MELKE FM	FORMATION	105	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	302.000000	1533.000000	NAUST FM	FORMATION	109	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	2672.000000	2848.000000	NISE FM	FORMATION	112	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	302.000000	1944.000000	NORDLAND GP	GROUP	113	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4556.000000	4601.000000	NOT FM	FORMATION	120	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	2386.000000	2503.000000	ROGALAND GP	GROUP	131	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4708.000000	4817.000000	ROR FM	FORMATION	135	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4860.000000	4910.000000	ROR FM	FORMATION	135	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	2503.000000	3415.000000	SHETLAND GP	GROUP	143	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4371.000000	4381.000000	SPEKK FM	FORMATION	155	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	2503.000000	2672.000000	SPRINGAR FM	FORMATION	156	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	2438.000000	2503.000000	TANG FM	FORMATION	161	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	2386.000000	2438.000000	TARE FM	FORMATION	163	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4910.000000	5188.000000	TILJE FM	FORMATION	169	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4817.000000	4860.000000	TOFTE FM	FORMATION	170	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	4371.000000	4417.000000	VIKING GP	GROUP	188	1995-04-09	2444	9999-12-31	2013-05-08
6406/2-1	5188.000000	5292.000000	ÅRE FM	FORMATION	197	1995-04-09	2444	9999-12-31	2013-05-08
6506/12-10	1914.000000	2227.000000	BRYGGE FM	FORMATION	18	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4723.000000	5097.000000	BÅT GP	GROUP	22	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	3353.000000	4229.000000	CROMER KNOLL GP	GROUP	23	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4545.000000	4723.000000	FANGST GP	GROUP	38	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4545.000000	4605.000000	GARN FM	FORMATION	48	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	1914.000000	2227.000000	HORDALAND GP	GROUP	67	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4636.000000	4723.000000	ILE FM	FORMATION	70	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	1452.000000	1914.000000	KAI FM	FORMATION	77	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	2848.000000	3353.000000	KVITNOS FM	FORMATION	91	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	3372.000000	4177.000000	LANGE FM	FORMATION	94	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4177.000000	4229.000000	LYR FM	FORMATION	98	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	3353.000000	3372.000000	LYSING FM	FORMATION	99	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4293.000000	4545.000000	MELKE FM	FORMATION	105	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	2555.000000	2848.000000	NISE FM	FORMATION	112	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	309.000000	1914.000000	NORDLAND GP	GROUP	113	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4605.000000	4636.000000	NOT FM	FORMATION	120	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	2227.000000	2384.000000	ROGALAND GP	GROUP	131	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4723.000000	4777.000000	ROR FM	FORMATION	135	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4814.000000	4858.000000	ROR FM	FORMATION	135	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	2384.000000	3353.000000	SHETLAND GP	GROUP	143	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4229.000000	4293.000000	SPEKK FM	FORMATION	155	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	2384.000000	2555.000000	SPRINGAR FM	FORMATION	156	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	2315.000000	2384.000000	TANG FM	FORMATION	161	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	2227.000000	2315.000000	TARE FM	FORMATION	163	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4858.000000	5024.000000	TILJE FM	FORMATION	169	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4777.000000	4814.000000	TOFTE FM	FORMATION	170	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	4229.000000	4545.000000	VIKING GP	GROUP	188	1995-06-26	2445	9999-12-31	2013-05-08
6506/12-10	5024.000000	5097.000000	ÅRE FM	FORMATION	197	1995-06-26	2445	9999-12-31	2013-05-08
33/9-18	1729.000000	1767.000000	BALDER FM	FORMATION	6	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	2841.000000	2846.000000	CROMER KNOLL GP	GROUP	23	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	2846.000000	3253.000000	DRAUPNE FM	FORMATION	28	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	1028.000000	1729.000000	HORDALAND GP	GROUP	67	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	1933.000000	2195.000000	JORSALFARE FM	FORMATION	74	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	2195.000000	2821.000000	KYRRE FM	FORMATION	92	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	1767.000000	1933.000000	LISTA FM	FORMATION	95	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	2841.000000	2846.000000	MIME FM	FORMATION	106	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	168.000000	1028.000000	NORDLAND GP	GROUP	113	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	1729.000000	1933.000000	ROGALAND GP	GROUP	131	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	1933.000000	2841.000000	SHETLAND GP	GROUP	143	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	2821.000000	2841.000000	TRYGGVASON FM	FORMATION	173	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	840.000000	1028.000000	UTSIRA FM	FORMATION	183	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18	2846.000000	3253.000000	VIKING GP	GROUP	188	1994-12-20	2454	9999-12-31	2013-05-08
33/9-18 A	1729.000000	1767.000000	BALDER FM	FORMATION	6	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	3190.000000	3200.000000	CROMER KNOLL GP	GROUP	23	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	3200.000000	3595.000000	DRAUPNE FM	FORMATION	28	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	1028.000000	1729.000000	HORDALAND GP	GROUP	67	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	1933.000000	2230.000000	JORSALFARE FM	FORMATION	74	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	2230.000000	2996.000000	KYRRE FM	FORMATION	92	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	1767.000000	1933.000000	LISTA FM	FORMATION	95	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	3190.000000	3200.000000	MIME FM	FORMATION	106	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	168.000000	1028.000000	NORDLAND GP	GROUP	113	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	1729.000000	1933.000000	ROGALAND GP	GROUP	131	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	1933.000000	3190.000000	SHETLAND GP	GROUP	143	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	2996.000000	3190.000000	TRYGGVASON FM	FORMATION	173	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	840.000000	1028.000000	UTSIRA FM	FORMATION	183	1995-01-24	2455	9999-12-31	2013-05-08
33/9-18 A	3200.000000	3595.000000	VIKING GP	GROUP	188	1995-01-24	2455	9999-12-31	2013-05-08
34/7-24 S	1861.000000	1899.000000	BALDER FM	FORMATION	6	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	2919.000000	2928.000000	CROMER KNOLL GP	GROUP	23	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	2928.000000	3091.000000	DRAUPNE FM	FORMATION	28	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	3091.000000	3145.000000	HEATHER FM	FORMATION	60	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	1078.000000	1861.000000	HORDALAND GP	GROUP	67	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	2065.000000	2402.000000	JORSALFARE FM	FORMATION	74	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	2402.000000	2919.000000	KYRRE FM	FORMATION	92	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	1899.000000	2065.000000	LISTA FM	FORMATION	95	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	2922.000000	2928.000000	MIME FM	FORMATION	106	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	1248.000000	1287.000000	NO FORMAL NAME	FORMATION	111	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	1287.000000	1365.000000	NO FORMAL NAME	FORMATION	111	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	1365.000000	1468.000000	NO FORMAL NAME	FORMATION	111	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	1468.000000	1861.000000	NO FORMAL NAME	FORMATION	111	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	177.000000	1078.000000	NORDLAND GP	GROUP	113	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	1861.000000	2065.000000	ROGALAND GP	GROUP	131	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	2919.000000	2922.000000	RØDBY FM	FORMATION	137	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	2065.000000	2919.000000	SHETLAND GP	GROUP	143	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	926.000000	1078.000000	UTSIRA FM	FORMATION	183	1995-03-24	2460	9999-12-31	2013-05-08
34/7-24 S	2928.000000	3145.000000	VIKING GP	GROUP	188	1995-03-24	2460	9999-12-31	2013-05-08
25/9-1	2202.000000	2301.000000	AMUNDSEN FM	FORMATION	4	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	1832.000000	1893.000000	BALDER FM	FORMATION	6	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2118.000000	2167.000000	CROMER KNOLL GP	GROUP	23	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2167.000000	2175.000000	DRAUPNE FM	FORMATION	28	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2202.000000	2301.000000	DUNLIN GP	GROUP	29	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2175.000000	2185.000000	HEATHER FM	FORMATION	60	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	1000.000000	1832.000000	HORDALAND GP	GROUP	67	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2185.000000	2202.000000	HUGIN FM	FORMATION	69	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	1928.000000	2031.000000	LISTA FM	FORMATION	95	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	1344.000000	1832.000000	NO FORMAL NAME	FORMATION	111	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	136.000000	1000.000000	NORDLAND GP	GROUP	113	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	1832.000000	2044.000000	ROGALAND GP	GROUP	131	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2118.000000	2161.000000	RØDBY FM	FORMATION	137	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	1893.000000	1928.000000	SELE FM	FORMATION	142	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2044.000000	2118.000000	SHETLAND GP	GROUP	143	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	1285.000000	1344.000000	SKADE FM	FORMATION	145	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2415.000000	2525.000000	SMITH BANK FM	FORMATION	149	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2301.000000	2415.000000	STATFJORD FM	FORMATION	157	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2050.000000	2118.000000	SVARTE FM	FORMATION	160	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2044.000000	2047.000000	TOR FM	FORMATION	171	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2047.000000	2050.000000	TRYGGVASON FM	FORMATION	173	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	755.000000	1000.000000	UTSIRA FM	FORMATION	183	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2185.000000	2202.000000	VESTLAND GP	GROUP	186	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2167.000000	2185.000000	VIKING GP	GROUP	188	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2031.000000	2044.000000	VÅLE FM	FORMATION	190	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2161.000000	2167.000000	ÅSGARD FM	FORMATION	198	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2301.000000	2415.000000	NO GROUP DEFINED	GROUP	208	1995-04-22	2476	9999-12-31	2013-05-08
25/9-1	2415.000000	2525.000000	NO GROUP DEFINED	GROUP	208	1995-04-22	2476	9999-12-31	2013-05-08
1/3-7	3084.000000	3102.000000	BALDER FM	FORMATION	6	1995-05-25	2505	9999-12-31	2013-05-08
1/3-7	3175.000000	3260.000000	FORTIES FM	FORMATION	44	1995-05-25	2505	9999-12-31	2013-05-08
1/3-7	1655.000000	3084.000000	HORDALAND GP	GROUP	67	1995-05-25	2505	9999-12-31	2013-05-08
1/3-7	3260.000000	3315.000000	LISTA FM	FORMATION	95	1995-05-25	2505	9999-12-31	2013-05-08
1/3-7	117.000000	1655.000000	NORDLAND GP	GROUP	113	1995-05-25	2505	9999-12-31	2013-05-08
1/3-7	3084.000000	3345.000000	ROGALAND GP	GROUP	131	1995-05-25	2505	9999-12-31	2013-05-08
1/3-7	3102.000000	3175.000000	SELE FM	FORMATION	142	1995-05-25	2505	9999-12-31	2013-05-08
1/3-7	3315.000000	3345.000000	VÅLE FM	FORMATION	190	1995-05-25	2505	9999-12-31	2013-05-08
34/10-37 A	1754.000000	1830.000000	BALDER FM	FORMATION	6	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	2660.000000	2950.000000	BRENT GP	GROUP	16	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	2569.000000	2587.000000	CROMER KNOLL GP	GROUP	23	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	2587.000000	2593.000000	DRAUPNE FM	FORMATION	28	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	2593.000000	2660.000000	HEATHER FM	FORMATION	60	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	958.000000	1754.000000	HORDALAND GP	GROUP	67	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	1830.000000	1858.000000	LISTA FM	FORMATION	95	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	2576.000000	2587.000000	MIME FM	FORMATION	106	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	2718.000000	2950.000000	NESS FM	FORMATION	110	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	163.000000	958.000000	NORDLAND GP	GROUP	113	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	1754.000000	1858.000000	ROGALAND GP	GROUP	131	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	2569.000000	2576.000000	RØDBY FM	FORMATION	137	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	1858.000000	2569.000000	SHETLAND GP	GROUP	143	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	2660.000000	2718.000000	TARBERT FM	FORMATION	162	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	745.000000	958.000000	UTSIRA FM	FORMATION	183	1995-04-03	2530	9999-12-31	2013-05-08
34/10-37 A	2587.000000	2660.000000	VIKING GP	GROUP	188	1995-04-03	2530	9999-12-31	2013-05-08
30/9-18	2052.000000	2106.000000	BALDER FM	FORMATION	6	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2646.000000	2954.000000	BRENT GP	GROUP	16	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2550.000000	2595.000000	CROMER KNOLL GP	GROUP	23	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2954.000000	2994.000000	DRAKE FM	FORMATION	27	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2595.000000	2597.000000	DRAUPNE FM	FORMATION	28	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2954.000000	2994.000000	DUNLIN GP	GROUP	29	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	1417.000000	1522.000000	GRID FM	FORMATION	53	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2331.000000	2440.000000	HARDRÅDE FM	FORMATION	56	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2623.000000	2646.000000	INTRA HEATHER FM SS	FORMATION	59	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2597.000000	2623.000000	HEATHER FM	FORMATION	60	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	815.000000	2052.000000	HORDALAND GP	GROUP	67	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2155.000000	2320.000000	LISTA FM	FORMATION	95	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2586.000000	2595.000000	MIME FM	FORMATION	106	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2750.000000	2945.000000	NESS FM	FORMATION	110	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	965.000000	1110.000000	NO FORMAL NAME	FORMATION	111	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	1200.000000	1272.000000	NO FORMAL NAME	FORMATION	111	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	1347.000000	1417.000000	NO FORMAL NAME	FORMATION	111	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	1522.000000	2052.000000	NO FORMAL NAME	FORMATION	111	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	132.000000	815.000000	NORDLAND GP	GROUP	113	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2052.000000	2331.000000	ROGALAND GP	GROUP	131	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2550.000000	2581.000000	RØDBY FM	FORMATION	137	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2106.000000	2155.000000	SELE FM	FORMATION	142	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2331.000000	2550.000000	SHETLAND GP	GROUP	143	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	946.000000	965.000000	SKADE FM	FORMATION	145	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	1110.000000	1200.000000	SKADE FM	FORMATION	145	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	1272.000000	1347.000000	SKADE FM	FORMATION	145	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2581.000000	2586.000000	SOLA FM	FORMATION	152	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2646.000000	2750.000000	TARBERT FM	FORMATION	162	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2440.000000	2550.000000	UNDIFFERENTIATED	FORMATION	182	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2945.000000	2954.000000	UNDIFFERENTIATED	FORMATION	182	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	643.000000	815.000000	UTSIRA FM	FORMATION	183	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2595.000000	2646.000000	VIKING GP	GROUP	188	1995-04-11	2552	9999-12-31	2013-05-08
30/9-18	2320.000000	2331.000000	VÅLE FM	FORMATION	190	1995-04-11	2552	9999-12-31	2013-05-08
25/11-19 S	1792.000000	1823.000000	BALDER FM	FORMATION	6	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1833.000000	1865.000000	BALDER FM	FORMATION	6	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1823.000000	1833.000000	INTRA BALDER FM SS	FORMATION	7	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	2137.000000	2168.000000	CROMER KNOLL GP	GROUP	23	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	2168.000000	2200.000000	DRAUPNE FM	FORMATION	28	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	2045.000000	2050.000000	EKOFISK FM	FORMATION	33	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1891.000000	1893.000000	HERMOD FM	FORMATION	64	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1897.000000	1985.000000	HERMOD FM	FORMATION	64	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	2085.000000	2137.000000	HOD FM	FORMATION	66	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	763.000000	1792.000000	HORDALAND GP	GROUP	67	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1996.000000	2045.000000	LISTA FM	FORMATION	95	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	713.000000	763.000000	NO FORMAL NAME	FORMATION	111	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	953.000000	1077.000000	NO FORMAL NAME	FORMATION	111	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1087.000000	1169.000000	NO FORMAL NAME	FORMATION	111	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1190.000000	1792.000000	NO FORMAL NAME	FORMATION	111	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	154.000000	763.000000	NORDLAND GP	GROUP	113	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1792.000000	2045.000000	ROGALAND GP	GROUP	131	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1865.000000	1891.000000	SELE FM	FORMATION	142	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1893.000000	1897.000000	SELE FM	FORMATION	142	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1985.000000	1996.000000	SELE FM	FORMATION	142	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	2045.000000	2137.000000	SHETLAND GP	GROUP	143	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	763.000000	953.000000	SKADE FM	FORMATION	145	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1077.000000	1087.000000	SKADE FM	FORMATION	145	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	1169.000000	1190.000000	SKADE FM	FORMATION	145	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	2200.000000	2250.000000	STATFJORD FM	FORMATION	157	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	2050.000000	2085.000000	TOR FM	FORMATION	171	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	597.000000	713.000000	UTSIRA FM	FORMATION	183	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	2168.000000	2200.000000	VIKING GP	GROUP	188	1995-05-18	2562	9999-12-31	2013-05-08
25/11-19 S	2200.000000	2250.000000	NO GROUP DEFINED	GROUP	208	1995-05-18	2562	9999-12-31	2013-05-08
30/9-17 R	812.000000	1408.000000	HORDALAND GP	GROUP	67	1995-04-13	2569	9999-12-31	2013-05-08
30/9-17 R	964.000000	1076.000000	NO FORMAL NAME	FORMATION	111	1995-04-13	2569	9999-12-31	2013-05-08
30/9-17 R	1139.000000	1236.000000	NO FORMAL NAME	FORMATION	111	1995-04-13	2569	9999-12-31	2013-05-08
30/9-17 R	1374.000000	1408.000000	NO FORMAL NAME	FORMATION	111	1995-04-13	2569	9999-12-31	2013-05-08
30/9-17 R	133.000000	812.000000	NORDLAND GP	GROUP	113	1995-04-13	2569	9999-12-31	2013-05-08
30/9-17 R	944.000000	964.000000	SKADE FM	FORMATION	145	1995-04-13	2569	9999-12-31	2013-05-08
30/9-17 R	1076.000000	1139.000000	SKADE FM	FORMATION	145	1995-04-13	2569	9999-12-31	2013-05-08
30/9-17 R	1236.000000	1374.000000	SKADE FM	FORMATION	145	1995-04-13	2569	9999-12-31	2013-05-08
30/9-17 R	642.000000	812.000000	UTSIRA FM	FORMATION	183	1995-04-13	2569	9999-12-31	2013-05-08
25/8-6	1943.000000	1996.000000	BALDER FM	FORMATION	6	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	2527.000000	2577.000000	EKOFISK FM	FORMATION	33	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	1185.000000	1310.000000	GRID FM	FORMATION	53	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	2077.000000	2369.000000	HEIMDAL FM	FORMATION	62	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	644.000000	1943.000000	HORDALAND GP	GROUP	67	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	2034.000000	2077.000000	LISTA FM	FORMATION	95	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	2369.000000	2455.000000	LISTA FM	FORMATION	95	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	598.000000	644.000000	NO FORMAL NAME	FORMATION	111	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	975.000000	1185.000000	NO FORMAL NAME	FORMATION	111	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	1310.000000	1943.000000	NO FORMAL NAME	FORMATION	111	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	153.000000	644.000000	NORDLAND GP	GROUP	113	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	1943.000000	2527.000000	ROGALAND GP	GROUP	131	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	1996.000000	2034.000000	SELE FM	FORMATION	142	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	2527.000000	2577.000000	SHETLAND GP	GROUP	143	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	644.000000	975.000000	SKADE FM	FORMATION	145	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	2485.000000	2527.000000	TY FM	FORMATION	176	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	428.000000	598.000000	UTSIRA FM	FORMATION	183	1995-06-27	2573	9999-12-31	2013-05-08
25/8-6	2455.000000	2485.000000	VÅLE FM	FORMATION	190	1995-06-27	2573	9999-12-31	2013-05-08
17/3-1	873.000000	942.000000	BALDER FM	FORMATION	6	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	2811.000000	2852.000000	BASEMENT	GROUP	10	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	1875.000000	2388.000000	BOKNFJORD GP	GROUP	15	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	2410.000000	2440.000000	BRYNE FM	FORMATION	19	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	1380.000000	1875.000000	CROMER KNOLL GP	GROUP	23	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	2339.000000	2388.000000	EGERSUND FM	FORMATION	30	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	1875.000000	1980.000000	FLEKKEFJORD FM	FORMATION	43	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	1271.000000	1380.000000	HOD FM	FORMATION	66	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	396.000000	873.000000	HORDALAND GP	GROUP	67	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	966.000000	1001.000000	LISTA FM	FORMATION	95	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	298.000000	396.000000	NORDLAND GP	GROUP	113	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	873.000000	1030.000000	ROGALAND GP	GROUP	131	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	1380.000000	1425.000000	RØDBY FM	FORMATION	137	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	2388.000000	2410.000000	SANDNES FM	FORMATION	139	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	1980.000000	2311.000000	SAUDA FM	FORMATION	141	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	942.000000	966.000000	SELE FM	FORMATION	142	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	1030.000000	1380.000000	SHETLAND GP	GROUP	143	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	2440.000000	2811.000000	SMITH BANK FM	FORMATION	149	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	1425.000000	1505.000000	SOLA FM	FORMATION	152	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	2311.000000	2339.000000	TAU FM	FORMATION	164	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	1030.000000	1271.000000	TOR FM	FORMATION	171	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	2388.000000	2440.000000	VESTLAND GP	GROUP	186	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	1001.000000	1030.000000	VÅLE FM	FORMATION	190	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	1505.000000	1875.000000	ÅSGARD FM	FORMATION	198	1995-08-20	2576	9999-12-31	2013-05-08
17/3-1	2440.000000	2811.000000	NO GROUP DEFINED	GROUP	208	1995-08-20	2576	9999-12-31	2013-05-08
6608/10-5	1536.000000	1804.000000	BRYGGE FM	FORMATION	18	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2756.000000	3200.000000	BÅT GP	GROUP	22	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2466.000000	2634.000000	CROMER KNOLL GP	GROUP	23	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2751.000000	2756.000000	FANGST GP	GROUP	38	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	1536.000000	1804.000000	HORDALAND GP	GROUP	67	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2751.000000	2756.000000	ILE FM	FORMATION	70	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	1410.000000	1536.000000	KAI FM	FORMATION	77	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2550.000000	2634.000000	LYR FM	FORMATION	98	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2466.000000	2550.000000	LYSING FM	FORMATION	99	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2637.000000	2751.000000	MELKE FM	FORMATION	105	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	363.000000	1410.000000	NAUST FM	FORMATION	109	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2011.000000	2466.000000	NISE FM	FORMATION	112	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	363.000000	1536.000000	NORDLAND GP	GROUP	113	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	1804.000000	1886.000000	ROGALAND GP	GROUP	131	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	1886.000000	2466.000000	SHETLAND GP	GROUP	143	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2634.000000	2637.000000	SPEKK FM	FORMATION	155	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	1886.000000	2011.000000	SPRINGAR FM	FORMATION	156	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	1862.000000	1886.000000	TANG FM	FORMATION	161	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	1804.000000	1862.000000	TARE FM	FORMATION	163	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2756.000000	2791.000000	TOFTE FM	FORMATION	170	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2634.000000	2751.000000	VIKING GP	GROUP	188	1995-08-06	2578	9999-12-31	2013-05-08
6608/10-5	2791.000000	3200.000000	ÅRE FM	FORMATION	197	1995-08-06	2578	9999-12-31	2013-05-08
9/2-5	923.000000	961.000000	BALDER FM	FORMATION	6	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	1795.000000	1832.000000	BLODØKS FM	FORMATION	13	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	2595.000000	3146.000000	BOKNFJORD GP	GROUP	15	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	3263.000000	3355.000000	BRYNE FM	FORMATION	19	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	1832.000000	2595.000000	CROMER KNOLL GP	GROUP	23	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	3078.000000	3146.000000	EGERSUND FM	FORMATION	30	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	1035.000000	1134.000000	EKOFISK FM	FORMATION	33	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	2595.000000	2706.000000	FLEKKEFJORD FM	FORMATION	43	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	1386.000000	1795.000000	HOD FM	FORMATION	66	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	414.000000	923.000000	HORDALAND GP	GROUP	67	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	988.000000	1020.000000	LISTA FM	FORMATION	95	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	100.000000	414.000000	NORDLAND GP	GROUP	113	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	923.000000	1035.000000	ROGALAND GP	GROUP	131	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	1832.000000	1849.000000	RØDBY FM	FORMATION	137	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	3146.000000	3263.000000	SANDNES FM	FORMATION	139	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	2706.000000	3021.000000	SAUDA FM	FORMATION	141	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	961.000000	988.000000	SELE FM	FORMATION	142	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	1035.000000	1832.000000	SHETLAND GP	GROUP	143	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	1849.000000	1945.000000	SOLA FM	FORMATION	152	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	3021.000000	3078.000000	TAU FM	FORMATION	164	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	1134.000000	1386.000000	TOR FM	FORMATION	171	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	3146.000000	3355.000000	VESTLAND GP	GROUP	186	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	1020.000000	1035.000000	VÅLE FM	FORMATION	190	1995-07-21	2599	9999-12-31	2013-05-08
9/2-5	1945.000000	2595.000000	ÅSGARD FM	FORMATION	198	1995-07-21	2599	9999-12-31	2013-05-08
6506/12-10 A	1914.000000	2227.000000	BRYGGE FM	FORMATION	18	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	5416.000000	6260.000000	BÅT GP	GROUP	22	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	3457.000000	4901.000000	CROMER KNOLL GP	GROUP	23	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	5246.000000	5416.000000	FANGST GP	GROUP	38	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	5246.000000	5305.000000	GARN FM	FORMATION	48	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	1914.000000	2227.000000	HORDALAND GP	GROUP	67	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	5338.000000	5416.000000	ILE FM	FORMATION	70	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	1452.000000	1914.000000	KAI FM	FORMATION	77	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	2848.000000	3457.000000	KVITNOS FM	FORMATION	91	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	3580.000000	4833.000000	LANGE FM	FORMATION	94	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	4833.000000	4901.000000	LYR FM	FORMATION	98	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	3457.000000	3580.000000	LYSING FM	FORMATION	99	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	4966.000000	5246.000000	MELKE FM	FORMATION	105	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	2555.000000	2848.000000	NISE FM	FORMATION	112	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	309.000000	1914.000000	NORDLAND GP	GROUP	113	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	5305.000000	5338.000000	NOT FM	FORMATION	120	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	2227.000000	2384.000000	ROGALAND GP	GROUP	131	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	5416.000000	5468.000000	ROR FM	FORMATION	135	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	5524.000000	5552.000000	ROR FM	FORMATION	135	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	2384.000000	3457.000000	SHETLAND GP	GROUP	143	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	4901.000000	4966.000000	SPEKK FM	FORMATION	155	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	2384.000000	2555.000000	SPRINGAR FM	FORMATION	156	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	2315.000000	2384.000000	TANG FM	FORMATION	161	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	2227.000000	2315.000000	TARE FM	FORMATION	163	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	5552.000000	5711.000000	TILJE FM	FORMATION	169	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	5468.000000	5524.000000	TOFTE FM	FORMATION	170	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	4901.000000	5246.000000	VIKING GP	GROUP	188	1995-12-11	2610	9999-12-31	2013-05-08
6506/12-10 A	5711.000000	6260.000000	ÅRE FM	FORMATION	197	1995-12-11	2610	9999-12-31	2013-05-08
25/8-7	2340.000000	2380.000000	AMUNDSEN FM	FORMATION	4	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	1900.000000	1947.000000	BALDER FM	FORMATION	6	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2267.000000	2293.000000	CROMER KNOLL GP	GROUP	23	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2293.000000	2299.000000	DRAUPNE FM	FORMATION	28	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2340.000000	2380.000000	DUNLIN GP	GROUP	29	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	1293.000000	1348.000000	GRID FM	FORMATION	53	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	1484.000000	1504.000000	GRID FM	FORMATION	53	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2299.000000	2318.000000	HEATHER FM	FORMATION	60	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2050.000000	2062.000000	HEIMDAL FM	FORMATION	62	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2318.000000	2329.000000	HUGIN FM	FORMATION	69	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2037.000000	2050.000000	LISTA FM	FORMATION	95	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2062.000000	2079.000000	LISTA FM	FORMATION	95	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	1348.000000	1484.000000	NO FORMAL NAME	FORMATION	111	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	1504.000000	1900.000000	NO FORMAL NAME	FORMATION	111	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	148.000000	1900.000000	NORDLAND GP	GROUP	113	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	1900.000000	2209.000000	ROGALAND GP	GROUP	131	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2267.000000	2282.000000	RØDBY FM	FORMATION	137	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	1947.000000	2037.000000	SELE FM	FORMATION	142	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2209.000000	2267.000000	SHETLAND GP	GROUP	143	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2329.000000	2340.000000	SLEIPNER FM	FORMATION	148	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2209.000000	2267.000000	SVARTE FM	FORMATION	160	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2157.000000	2209.000000	TY FM	FORMATION	176	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2318.000000	2340.000000	VESTLAND GP	GROUP	186	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2293.000000	2318.000000	VIKING GP	GROUP	188	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2079.000000	2157.000000	VÅLE FM	FORMATION	190	1995-08-12	2612	9999-12-31	2013-05-08
25/8-7	2282.000000	2293.000000	ÅSGARD FM	FORMATION	198	1995-08-12	2612	9999-12-31	2013-05-08
25/7-3	1937.000000	1996.000000	BALDER FM	FORMATION	6	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	1236.000000	1299.000000	GRID FM	FORMATION	53	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	2094.000000	2326.000000	HEIMDAL FM	FORMATION	62	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	632.000000	1937.000000	HORDALAND GP	GROUP	67	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	2052.000000	2094.000000	LISTA FM	FORMATION	95	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	2326.000000	2449.000000	LISTA FM	FORMATION	95	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	590.000000	632.000000	NO FORMAL NAME	FORMATION	111	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	991.000000	1236.000000	NO FORMAL NAME	FORMATION	111	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	1299.000000	1937.000000	NO FORMAL NAME	FORMATION	111	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	150.000000	632.000000	NORDLAND GP	GROUP	113	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	1937.000000	2485.000000	ROGALAND GP	GROUP	131	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	1996.000000	2052.000000	SELE FM	FORMATION	142	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	2485.000000	2540.000000	SHETLAND GP	GROUP	143	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	632.000000	991.000000	SKADE FM	FORMATION	145	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	2485.000000	2540.000000	TOR FM	FORMATION	171	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	2472.000000	2485.000000	TY FM	FORMATION	176	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	436.000000	590.000000	UTSIRA FM	FORMATION	183	1995-08-28	2623	9999-12-31	2013-05-08
25/7-3	2449.000000	2472.000000	VÅLE FM	FORMATION	190	1995-08-28	2623	9999-12-31	2013-05-08
30/3-7 S	5234.000000	5271.000000	AMUNDSEN FM	FORMATION	4	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	2670.000000	2804.000000	BALDER FM	FORMATION	6	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4692.000000	4703.000000	BRENT GP	GROUP	16	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4706.000000	4930.000000	BRENT GP	GROUP	16	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5056.000000	5122.000000	BRENT GP	GROUP	16	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5197.000000	5234.000000	BURTON FM	FORMATION	20	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4966.000000	5056.000000	COOK FM	FORMATION	24	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5138.000000	5197.000000	COOK FM	FORMATION	24	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4930.000000	4966.000000	DRAKE FM	FORMATION	27	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5122.000000	5138.000000	DRAKE FM	FORMATION	27	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4930.000000	5056.000000	DUNLIN GP	GROUP	29	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5122.000000	5271.000000	DUNLIN GP	GROUP	29	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4897.000000	4910.000000	ETIVE FM	FORMATION	35	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5056.000000	5063.000000	ETIVE FM	FORMATION	35	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4667.000000	4692.000000	HEATHER FM	FORMATION	60	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4703.000000	4706.000000	HEATHER FM	FORMATION	60	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5322.000000	5581.000000	HEGRE GP	GROUP	61	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	963.000000	2670.000000	HORDALAND GP	GROUP	67	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	3139.000000	3588.000000	JORSALFARE FM	FORMATION	74	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	3588.000000	3969.000000	KYRRE FM	FORMATION	92	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	2844.000000	3139.000000	LISTA FM	FORMATION	95	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5322.000000	5581.000000	LUNDE FM	FORMATION	97	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4702.000000	4703.000000	NESS FM	FORMATION	110	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4718.000000	4897.000000	NESS FM	FORMATION	110	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	231.000000	963.000000	NORDLAND GP	GROUP	113	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4928.000000	4930.000000	OSEBERG FM	FORMATION	123	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5070.000000	5122.000000	OSEBERG FM	FORMATION	123	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4910.000000	4928.000000	RANNOCH FM	FORMATION	126	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5063.000000	5070.000000	RANNOCH FM	FORMATION	126	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	2670.000000	3139.000000	ROGALAND GP	GROUP	131	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	2804.000000	2844.000000	SELE FM	FORMATION	142	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	3139.000000	4667.000000	SHETLAND GP	GROUP	143	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5271.000000	5322.000000	STATFJORD FM	FORMATION	157	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4692.000000	4702.000000	TARBERT FM	FORMATION	162	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4706.000000	4718.000000	TARBERT FM	FORMATION	162	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	3969.000000	4667.000000	TRYGGVASON FM	FORMATION	173	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	783.000000	963.000000	UTSIRA FM	FORMATION	183	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4667.000000	4692.000000	VIKING GP	GROUP	188	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	4703.000000	4706.000000	VIKING GP	GROUP	188	1995-12-12	2632	9999-12-31	2013-05-08
30/3-7 S	5271.000000	5322.000000	NO GROUP DEFINED	GROUP	208	1995-12-12	2632	9999-12-31	2013-05-08
15/5-5	2027.000000	2076.000000	BALDER FM	FORMATION	6	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	2598.000000	2645.000000	EKOFISK FM	FORMATION	33	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	1479.000000	1807.000000	GRID FM	FORMATION	53	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	2154.000000	2458.000000	HEIMDAL FM	FORMATION	62	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	893.000000	2027.000000	HORDALAND GP	GROUP	67	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	2127.000000	2154.000000	LISTA FM	FORMATION	95	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	2458.000000	2491.000000	LISTA FM	FORMATION	95	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	1807.000000	2027.000000	NO FORMAL NAME	FORMATION	111	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	137.000000	893.000000	NORDLAND GP	GROUP	113	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	2027.000000	2598.000000	ROGALAND GP	GROUP	131	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	2076.000000	2127.000000	SELE FM	FORMATION	142	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	2598.000000	2645.000000	SHETLAND GP	GROUP	143	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	2501.000000	2583.000000	TY FM	FORMATION	176	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	718.000000	893.000000	UTSIRA FM	FORMATION	183	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	2491.000000	2501.000000	VÅLE FM	FORMATION	190	1995-10-05	2635	9999-12-31	2013-05-08
15/5-5	2583.000000	2598.000000	VÅLE FM	FORMATION	190	1995-10-05	2635	9999-12-31	2013-05-08
2/8-15	3044.000000	3065.000000	BALDER FM	FORMATION	6	1996-01-09	2636	9999-12-31	2013-05-08
2/8-15	3177.000000	3346.000000	EKOFISK FM	FORMATION	33	1996-01-09	2636	9999-12-31	2013-05-08
2/8-15	3721.000000	3750.000000	HOD FM	FORMATION	66	1996-01-09	2636	9999-12-31	2013-05-08
2/8-15	1677.000000	3044.000000	HORDALAND GP	GROUP	67	1996-01-09	2636	9999-12-31	2013-05-08
2/8-15	3113.000000	3163.000000	LISTA FM	FORMATION	95	1996-01-09	2636	9999-12-31	2013-05-08
2/8-15	94.000000	1677.000000	NORDLAND GP	GROUP	113	1996-01-09	2636	9999-12-31	2013-05-08
2/8-15	3044.000000	3177.000000	ROGALAND GP	GROUP	131	1996-01-09	2636	9999-12-31	2013-05-08
2/8-15	3065.000000	3113.000000	SELE FM	FORMATION	142	1996-01-09	2636	9999-12-31	2013-05-08
2/8-15	3177.000000	3750.000000	SHETLAND GP	GROUP	143	1996-01-09	2636	9999-12-31	2013-05-08
2/8-15	3346.000000	3721.000000	TOR FM	FORMATION	171	1996-01-09	2636	9999-12-31	2013-05-08
2/8-15	3163.000000	3177.000000	VÅLE FM	FORMATION	190	1996-01-09	2636	9999-12-31	2013-05-08
6406/12-2	1136.000000	1910.000000	BRYGGE FM	FORMATION	18	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	2954.000000	3711.000000	CROMER KNOLL GP	GROUP	23	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	1136.000000	1910.000000	HORDALAND GP	GROUP	67	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	914.000000	1136.000000	KAI FM	FORMATION	77	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	2796.000000	2954.000000	KVITNOS FM	FORMATION	91	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	2954.000000	3711.000000	LANGE FM	FORMATION	94	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	3912.000000	4367.000000	MELKE FM	FORMATION	105	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	357.000000	914.000000	NAUST FM	FORMATION	109	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	2446.000000	2796.000000	NISE FM	FORMATION	112	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	357.000000	1136.000000	NORDLAND GP	GROUP	113	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	1910.000000	2177.000000	ROGALAND GP	GROUP	131	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	3790.000000	3873.000000	ROGN FM	FORMATION	134	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	3907.000000	3912.000000	ROGN FM	FORMATION	134	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	2177.000000	2954.000000	SHETLAND GP	GROUP	143	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	3711.000000	3790.000000	SPEKK FM	FORMATION	155	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	3873.000000	3907.000000	SPEKK FM	FORMATION	155	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	2177.000000	2446.000000	SPRINGAR FM	FORMATION	156	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	2001.000000	2177.000000	TANG FM	FORMATION	161	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	1910.000000	2001.000000	TARE FM	FORMATION	163	1995-10-17	2640	9999-12-31	2013-05-08
6406/12-2	3711.000000	4367.000000	VIKING GP	GROUP	188	1995-10-17	2640	9999-12-31	2013-05-08
6406/2-1 R	1942.000000	2384.000000	BRYGGE FM	FORMATION	18	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4706.000000	5892.000000	BÅT GP	GROUP	22	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	3413.000000	4369.000000	CROMER KNOLL GP	GROUP	23	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4415.000000	4706.000000	FANGST GP	GROUP	38	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4415.000000	4554.000000	GARN FM	FORMATION	48	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	1942.000000	2384.000000	HORDALAND GP	GROUP	67	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4599.000000	4706.000000	ILE FM	FORMATION	70	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	1531.000000	1942.000000	KAI FM	FORMATION	77	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	2846.000000	3413.000000	KVITNOS FM	FORMATION	91	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	3440.000000	3450.000000	LANGE FM	FORMATION	94	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	3450.000000	4369.000000	LYR FM	FORMATION	98	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	3413.000000	3440.000000	LYSING FM	FORMATION	99	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4379.000000	4415.000000	MELKE FM	FORMATION	105	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	300.000000	1531.000000	NAUST FM	FORMATION	109	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	2670.000000	2846.000000	NISE FM	FORMATION	112	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	300.000000	1942.000000	NORDLAND GP	GROUP	113	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4554.000000	4599.000000	NOT FM	FORMATION	120	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	2384.000000	2501.000000	ROGALAND GP	GROUP	131	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4706.000000	4815.000000	ROR FM	FORMATION	135	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4858.000000	4908.000000	ROR FM	FORMATION	135	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	2501.000000	3413.000000	SHETLAND GP	GROUP	143	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4369.000000	4379.000000	SPEKK FM	FORMATION	155	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	2501.000000	2670.000000	SPRINGAR FM	FORMATION	156	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	2436.000000	2501.000000	TANG FM	FORMATION	161	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	2384.000000	2436.000000	TARE FM	FORMATION	163	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4908.000000	5186.000000	TILJE FM	FORMATION	169	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4815.000000	4858.000000	TOFTE FM	FORMATION	170	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	4369.000000	4415.000000	VIKING GP	GROUP	188	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-1 R	5186.000000	5892.000000	ÅRE FM	FORMATION	197	1996-01-07	2642	9999-12-31	2013-05-08
6406/2-2	1865.000000	2416.000000	BRYGGE FM	FORMATION	18	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4756.000000	5367.000000	BÅT GP	GROUP	22	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	3445.000000	4375.000000	CROMER KNOLL GP	GROUP	23	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4461.000000	4756.000000	FANGST GP	GROUP	38	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4461.000000	4576.000000	GARN FM	FORMATION	48	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	1865.000000	2416.000000	HORDALAND GP	GROUP	67	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4623.000000	4756.000000	ILE FM	FORMATION	70	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	1561.000000	1865.000000	KAI FM	FORMATION	77	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	2882.000000	3445.000000	KVITNOS FM	FORMATION	91	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	3459.000000	4354.000000	LANGE FM	FORMATION	94	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4354.000000	4375.000000	LYR FM	FORMATION	98	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	3445.000000	3459.000000	LYSING FM	FORMATION	99	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4389.000000	4461.000000	MELKE FM	FORMATION	105	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	296.000000	1561.000000	NAUST FM	FORMATION	109	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	2683.000000	2882.000000	NISE FM	FORMATION	112	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	296.000000	1865.000000	NORDLAND GP	GROUP	113	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4576.000000	4623.000000	NOT FM	FORMATION	120	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	2416.000000	2540.000000	ROGALAND GP	GROUP	131	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4756.000000	4868.000000	ROR FM	FORMATION	135	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4928.000000	4978.000000	ROR FM	FORMATION	135	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	2540.000000	3445.000000	SHETLAND GP	GROUP	143	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4375.000000	4389.000000	SPEKK FM	FORMATION	155	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	2540.000000	2683.000000	SPRINGAR FM	FORMATION	156	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	2481.000000	2540.000000	TANG FM	FORMATION	161	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	2416.000000	2481.000000	TARE FM	FORMATION	163	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4978.000000	5291.000000	TILJE FM	FORMATION	169	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4868.000000	4928.000000	TOFTE FM	FORMATION	170	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	4375.000000	4461.000000	VIKING GP	GROUP	188	1996-03-27	2644	9999-12-31	2013-05-08
6406/2-2	5291.000000	5367.000000	ÅRE FM	FORMATION	197	1996-03-27	2644	9999-12-31	2013-05-08
6608/10-3 R	1592.000000	1858.000000	BRYGGE FM	FORMATION	18	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2657.000000	2921.000000	BÅT GP	GROUP	22	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2394.000000	2407.000000	CROMER KNOLL GP	GROUP	23	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2574.000000	2657.000000	FANGST GP	GROUP	38	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2574.000000	2610.000000	GARN FM	FORMATION	48	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	1592.000000	1858.000000	HORDALAND GP	GROUP	67	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2617.000000	2657.000000	ILE FM	FORMATION	70	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	1368.000000	1592.000000	KAI FM	FORMATION	77	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2394.000000	2407.000000	LYR FM	FORMATION	98	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2413.000000	2574.000000	MELKE FM	FORMATION	105	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	402.000000	1368.000000	NAUST FM	FORMATION	109	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2131.000000	2394.000000	NISE FM	FORMATION	112	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	402.000000	1592.000000	NORDLAND GP	GROUP	113	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2610.000000	2617.000000	NOT FM	FORMATION	120	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	1858.000000	1951.000000	ROGALAND GP	GROUP	131	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	1951.000000	2394.000000	SHETLAND GP	GROUP	143	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2407.000000	2413.000000	SPEKK FM	FORMATION	155	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	1951.000000	2131.000000	SPRINGAR FM	FORMATION	156	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	1915.000000	1951.000000	TANG FM	FORMATION	161	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	1858.000000	1915.000000	TARE FM	FORMATION	163	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2712.000000	2791.000000	TILJE FM	FORMATION	169	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2657.000000	2712.000000	TOFTE FM	FORMATION	170	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2407.000000	2574.000000	VIKING GP	GROUP	188	1995-08-17	2645	9999-12-31	2013-05-08
6608/10-3 R	2791.000000	2921.000000	ÅRE FM	FORMATION	197	1995-08-17	2645	9999-12-31	2013-05-08
25/8-8 S	2062.000000	2123.000000	BALDER FM	FORMATION	6	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	2518.000000	2533.000000	CROMER KNOLL GP	GROUP	23	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	2533.000000	2563.000000	INTRA DRAUPNE FM SS	FORMATION	26	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	2563.000000	2592.000000	DRAUPNE FM	FORMATION	28	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	1318.000000	1333.000000	GRID FM	FORMATION	53	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	2236.000000	2352.000000	HEIMDAL FM	FORMATION	62	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	668.000000	2062.000000	HORDALAND GP	GROUP	67	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	2175.000000	2236.000000	LISTA FM	FORMATION	95	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	2352.000000	2453.000000	LISTA FM	FORMATION	95	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	610.000000	668.000000	NO FORMAL NAME	FORMATION	111	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	1025.000000	1184.000000	NO FORMAL NAME	FORMATION	111	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	1237.000000	1318.000000	NO FORMAL NAME	FORMATION	111	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	1333.000000	2062.000000	NO FORMAL NAME	FORMATION	111	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	152.000000	668.000000	NORDLAND GP	GROUP	113	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	2062.000000	2518.000000	ROGALAND GP	GROUP	131	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	2123.000000	2175.000000	SELE FM	FORMATION	142	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	668.000000	1025.000000	SKADE FM	FORMATION	145	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	1184.000000	1237.000000	SKADE FM	FORMATION	145	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	2453.000000	2498.000000	TY FM	FORMATION	176	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	474.000000	610.000000	UTSIRA FM	FORMATION	183	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	2533.000000	2592.000000	VIKING GP	GROUP	188	1995-09-24	2646	9999-12-31	2013-05-08
25/8-8 S	2498.000000	2518.000000	VÅLE FM	FORMATION	190	1995-09-24	2646	9999-12-31	2013-05-08
25/5-5	2023.000000	2075.000000	BALDER FM	FORMATION	6	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	1420.000000	1433.000000	GRID FM	FORMATION	53	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	2159.000000	2493.000000	HEIMDAL FM	FORMATION	62	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	947.000000	2023.000000	HORDALAND GP	GROUP	67	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	2123.000000	2159.000000	LISTA FM	FORMATION	95	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	2493.000000	2531.000000	LISTA FM	FORMATION	95	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	1044.000000	1420.000000	NO FORMAL NAME	FORMATION	111	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	1433.000000	2023.000000	NO FORMAL NAME	FORMATION	111	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	147.000000	947.000000	NORDLAND GP	GROUP	113	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	2023.000000	2600.000000	ROGALAND GP	GROUP	131	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	2075.000000	2123.000000	SELE FM	FORMATION	142	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	1032.000000	1044.000000	SKADE FM	FORMATION	145	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	232.000000	947.000000	UTSIRA FM	FORMATION	183	1995-11-23	2661	9999-12-31	2013-05-08
25/5-5	2531.000000	2600.000000	VÅLE FM	FORMATION	190	1995-11-23	2661	9999-12-31	2013-05-08
6204/10-1	2564.000000	2670.000000	AGAT FM	FORMATION	2	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	744.000000	819.000000	BALDER FM	FORMATION	6	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	2670.000000	2709.000000	BASEMENT	GROUP	10	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	2305.000000	2335.000000	BLODØKS FM	FORMATION	13	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	2465.000000	2670.000000	CROMER KNOLL GP	GROUP	23	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	1183.000000	1202.000000	EGGA FM (INFORMAL)	FORMATION	31	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	685.000000	710.000000	GRID FM	FORMATION	53	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	636.000000	744.000000	HORDALAND GP	GROUP	67	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	1202.000000	1250.000000	JORSALFARE FM	FORMATION	74	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	1250.000000	1860.000000	KYRRE FM	FORMATION	92	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	2050.000000	2305.000000	KYRRE FM	FORMATION	92	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	819.000000	1113.000000	LISTA FM	FORMATION	95	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	710.000000	744.000000	NO FORMAL NAME	FORMATION	111	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	1860.000000	2050.000000	NO FORMAL NAME	FORMATION	111	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	211.000000	636.000000	NORDLAND GP	GROUP	113	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	744.000000	1202.000000	ROGALAND GP	GROUP	131	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	2465.000000	2564.000000	RØDBY FM	FORMATION	137	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	1202.000000	2465.000000	SHETLAND GP	GROUP	143	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	2335.000000	2465.000000	SVARTE FM	FORMATION	160	1995-11-23	2666	9999-12-31	2013-05-08
6204/10-1	1113.000000	1183.000000	VÅLE FM	FORMATION	190	1995-11-23	2666	9999-12-31	2013-05-08
25/11-20	1652.000000	1665.000000	BALDER FM	FORMATION	6	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1767.000000	1777.000000	EKOFISK FM	FORMATION	33	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	883.000000	1652.000000	HORDALAND GP	GROUP	67	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1672.000000	1761.000000	LISTA FM	FORMATION	95	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	835.000000	883.000000	NO FORMAL NAME	FORMATION	111	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	951.000000	976.000000	NO FORMAL NAME	FORMATION	111	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	985.000000	1000.000000	NO FORMAL NAME	FORMATION	111	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1016.000000	1092.000000	NO FORMAL NAME	FORMATION	111	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1100.000000	1117.000000	NO FORMAL NAME	FORMATION	111	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1163.000000	1652.000000	NO FORMAL NAME	FORMATION	111	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	148.000000	883.000000	NORDLAND GP	GROUP	113	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1652.000000	1767.000000	ROGALAND GP	GROUP	131	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1665.000000	1672.000000	SELE FM	FORMATION	142	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1767.000000	1828.000000	SHETLAND GP	GROUP	143	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	883.000000	951.000000	SKADE FM	FORMATION	145	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	976.000000	985.000000	SKADE FM	FORMATION	145	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1000.000000	1016.000000	SKADE FM	FORMATION	145	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1092.000000	1100.000000	SKADE FM	FORMATION	145	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1117.000000	1163.000000	SKADE FM	FORMATION	145	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1777.000000	1828.000000	TOR FM	FORMATION	171	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	744.000000	835.000000	UTSIRA FM	FORMATION	183	1995-10-23	2667	9999-12-31	2013-05-08
25/11-20	1761.000000	1767.000000	VÅLE FM	FORMATION	190	1995-10-23	2667	9999-12-31	2013-05-08
25/8-8 A	2203.000000	2286.000000	BALDER FM	FORMATION	6	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	1291.000000	1310.000000	GRID FM	FORMATION	53	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	2425.000000	2478.000000	HEIMDAL FM	FORMATION	62	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	668.000000	2203.000000	HORDALAND GP	GROUP	67	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	2351.000000	2425.000000	LISTA FM	FORMATION	95	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	2478.000000	2554.000000	LISTA FM	FORMATION	95	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	610.000000	668.000000	NO FORMAL NAME	FORMATION	111	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	1025.000000	1185.000000	NO FORMAL NAME	FORMATION	111	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	1232.000000	1291.000000	NO FORMAL NAME	FORMATION	111	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	1310.000000	2203.000000	NO FORMAL NAME	FORMATION	111	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	152.000000	668.000000	NORDLAND GP	GROUP	113	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	2203.000000	2601.000000	ROGALAND GP	GROUP	131	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	2286.000000	2351.000000	SELE FM	FORMATION	142	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	668.000000	1025.000000	SKADE FM	FORMATION	145	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	1185.000000	1232.000000	SKADE FM	FORMATION	145	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	2554.000000	2601.000000	TY FM	FORMATION	176	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 A	474.000000	610.000000	UTSIRA FM	FORMATION	183	1995-10-11	2690	9999-12-31	2013-05-08
25/8-8 B	2173.000000	2243.000000	BALDER FM	FORMATION	6	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	1313.000000	1336.000000	GRID FM	FORMATION	53	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	2382.000000	2446.000000	HEIMDAL FM	FORMATION	62	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	668.000000	2173.000000	HORDALAND GP	GROUP	67	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	2327.000000	2382.000000	LISTA FM	FORMATION	95	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	2446.000000	2510.000000	LISTA FM	FORMATION	95	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	610.000000	668.000000	NO FORMAL NAME	FORMATION	111	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	1025.000000	1191.000000	NO FORMAL NAME	FORMATION	111	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	1233.000000	1313.000000	NO FORMAL NAME	FORMATION	111	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	1336.000000	2173.000000	NO FORMAL NAME	FORMATION	111	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	152.000000	668.000000	NORDLAND GP	GROUP	113	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	2173.000000	2510.000000	ROGALAND GP	GROUP	131	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	2243.000000	2327.000000	SELE FM	FORMATION	142	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	668.000000	1025.000000	SKADE FM	FORMATION	145	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	1191.000000	1233.000000	SKADE FM	FORMATION	145	1995-10-24	2696	9999-12-31	2013-05-08
25/8-8 B	474.000000	610.000000	UTSIRA FM	FORMATION	183	1995-10-24	2696	9999-12-31	2013-05-08
2/1-11	3076.000000	3104.000000	BALDER FM	FORMATION	6	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4052.000000	4055.000000	BLODØKS FM	FORMATION	13	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4506.000000	4617.000000	BRYNE FM	FORMATION	19	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4097.000000	4173.000000	CROMER KNOLL GP	GROUP	23	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3310.000000	3421.000000	EKOFISK FM	FORMATION	33	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4173.000000	4323.000000	FARSUND FM	FORMATION	39	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3140.000000	3142.000000	FORTIES FM	FORMATION	44	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4323.000000	4506.000000	HAUGESUND FM	FORMATION	57	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4055.000000	4097.000000	HIDRA FM	FORMATION	65	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3850.000000	4052.000000	HOD FM	FORMATION	66	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3111.000000	3140.000000	LISTA FM	FORMATION	95	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3142.000000	3177.000000	LISTA FM	FORMATION	95	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3252.000000	3293.000000	LISTA FM	FORMATION	95	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	91.000000	3076.000000	NORDLAND GP	GROUP	113	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3076.000000	3310.000000	ROGALAND GP	GROUP	131	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4097.000000	4143.000000	RØDBY FM	FORMATION	137	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3104.000000	3111.000000	SELE FM	FORMATION	142	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3310.000000	4097.000000	SHETLAND GP	GROUP	143	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4617.000000	4725.000000	SMITH BANK FM	FORMATION	149	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4143.000000	4155.000000	SOLA FM	FORMATION	152	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3421.000000	3850.000000	TOR FM	FORMATION	171	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4155.000000	4173.000000	TUXEN FM	FORMATION	175	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4173.000000	4506.000000	TYNE GP	GROUP	177	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4506.000000	4617.000000	VESTLAND GP	GROUP	186	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3177.000000	3252.000000	VIDAR FM	FORMATION	187	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	3293.000000	3310.000000	VÅLE FM	FORMATION	190	1997-05-07	2699	9999-12-31	2013-05-08
2/1-11	4617.000000	4725.000000	NO GROUP DEFINED	GROUP	208	1997-05-07	2699	9999-12-31	2013-05-08
25/11-21 S	1723.000000	1734.000000	BALDER FM	FORMATION	6	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1908.000000	1929.000000	EKOFISK FM	FORMATION	33	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1788.000000	1876.000000	HEIMDAL FM	FORMATION	62	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1947.000000	1957.000000	HOD FM	FORMATION	66	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	796.000000	1723.000000	HORDALAND GP	GROUP	67	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1745.000000	1788.000000	LISTA FM	FORMATION	95	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1876.000000	1890.000000	LISTA FM	FORMATION	95	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	720.000000	796.000000	NO FORMAL NAME	FORMATION	111	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	905.000000	925.000000	NO FORMAL NAME	FORMATION	111	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	944.000000	955.000000	NO FORMAL NAME	FORMATION	111	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	978.000000	1000.000000	NO FORMAL NAME	FORMATION	111	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1028.000000	1074.000000	NO FORMAL NAME	FORMATION	111	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1087.000000	1102.000000	NO FORMAL NAME	FORMATION	111	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1115.000000	1221.000000	NO FORMAL NAME	FORMATION	111	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1230.000000	1723.000000	NO FORMAL NAME	FORMATION	111	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	155.000000	796.000000	NORDLAND GP	GROUP	113	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1723.000000	1908.000000	ROGALAND GP	GROUP	131	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1734.000000	1745.000000	SELE FM	FORMATION	142	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1908.000000	1957.000000	SHETLAND GP	GROUP	143	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	796.000000	905.000000	SKADE FM	FORMATION	145	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	925.000000	944.000000	SKADE FM	FORMATION	145	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	955.000000	978.000000	SKADE FM	FORMATION	145	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1000.000000	1028.000000	SKADE FM	FORMATION	145	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1074.000000	1087.000000	SKADE FM	FORMATION	145	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1102.000000	1115.000000	SKADE FM	FORMATION	145	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1221.000000	1230.000000	SKADE FM	FORMATION	145	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1929.000000	1947.000000	TOR FM	FORMATION	171	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	650.000000	720.000000	UTSIRA FM	FORMATION	183	1995-11-14	2701	9999-12-31	2013-05-08
25/11-21 S	1890.000000	1908.000000	VÅLE FM	FORMATION	190	1995-11-14	2701	9999-12-31	2013-05-08
16/10-3	1829.000000	1889.000000	BALDER FM	FORMATION	6	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2361.000000	2501.000000	CROMER KNOLL GP	GROUP	23	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2501.000000	2521.000000	DRAUPNE FM	FORMATION	28	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2029.000000	2076.000000	EKOFISK FM	FORMATION	33	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2250.000000	2350.000000	HOD FM	FORMATION	66	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	1018.000000	1829.000000	HORDALAND GP	GROUP	67	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2521.000000	2532.000000	HUGIN FM	FORMATION	69	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	1895.000000	2012.000000	LISTA FM	FORMATION	95	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	115.000000	1018.000000	NORDLAND GP	GROUP	113	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	1829.000000	2029.000000	ROGALAND GP	GROUP	131	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2361.000000	2378.000000	RØDBY FM	FORMATION	137	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	1889.000000	1895.000000	SELE FM	FORMATION	142	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2029.000000	2361.000000	SHETLAND GP	GROUP	143	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2532.000000	2626.000000	SKAGERRAK FM	FORMATION	146	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2626.000000	2850.000000	SMITH BANK FM	FORMATION	149	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2378.000000	2411.000000	SOLA FM	FORMATION	152	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2350.000000	2361.000000	SVARTE FM	FORMATION	160	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2076.000000	2250.000000	TOR FM	FORMATION	171	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	947.000000	1018.000000	UTSIRA FM	FORMATION	183	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2521.000000	2532.000000	VESTLAND GP	GROUP	186	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2501.000000	2521.000000	VIKING GP	GROUP	188	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2012.000000	2029.000000	VÅLE FM	FORMATION	190	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2411.000000	2501.000000	ÅSGARD FM	FORMATION	198	1996-12-01	2703	9999-12-31	2013-05-08
16/10-3	2532.000000	2850.000000	NO GROUP DEFINED	GROUP	208	1996-12-01	2703	9999-12-31	2013-05-08
30/8-1 SR	4556.000000	4691.000000	AMUNDSEN FM	FORMATION	4	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	2100.000000	2174.000000	BALDER FM	FORMATION	6	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	3223.000000	3243.000000	BLODØKS FM	FORMATION	13	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	3433.000000	4123.000000	BRENT GP	GROUP	16	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	4464.000000	4556.000000	BURTON FM	FORMATION	20	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	4450.000000	4464.000000	COOK FM	FORMATION	24	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	4123.000000	4450.000000	DRAKE FM	FORMATION	27	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	4123.000000	4691.000000	DUNLIN GP	GROUP	29	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	4729.000000	5149.000000	EIRIKSSON MBR	MEMBER	32	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	1417.000000	1498.000000	GRID FM	FORMATION	53	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	2444.000000	2472.000000	HARDRÅDE FM	FORMATION	56	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	3361.000000	3433.000000	HEATHER FM	FORMATION	60	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	958.000000	2100.000000	HORDALAND GP	GROUP	67	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	2472.000000	2725.000000	JORSALFARE FM	FORMATION	74	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	2725.000000	3223.000000	KYRRE FM	FORMATION	92	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	2260.000000	2410.000000	LISTA FM	FORMATION	95	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	4691.000000	4729.000000	NANSEN MBR	MEMBER	108	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	3774.000000	4092.000000	NESS FM	FORMATION	110	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	908.000000	958.000000	NO FORMAL NAME	FORMATION	111	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	1030.000000	1256.000000	NO FORMAL NAME	FORMATION	111	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	1256.000000	1304.000000	NO FORMAL NAME	FORMATION	111	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	1304.000000	1417.000000	NO FORMAL NAME	FORMATION	111	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	1498.000000	2100.000000	NO FORMAL NAME	FORMATION	111	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	122.000000	958.000000	NORDLAND GP	GROUP	113	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	2100.000000	2444.000000	ROGALAND GP	GROUP	131	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	2174.000000	2260.000000	SELE FM	FORMATION	142	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	2444.000000	3361.000000	SHETLAND GP	GROUP	143	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	958.000000	1030.000000	SKADE FM	FORMATION	145	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	4691.000000	5149.000000	STATFJORD FM	FORMATION	157	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	3243.000000	3361.000000	SVARTE FM	FORMATION	160	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	3433.000000	3774.000000	TARBERT FM	FORMATION	162	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	4092.000000	4123.000000	UNDIFFERENTIATED	FORMATION	182	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	657.000000	908.000000	UTSIRA FM	FORMATION	183	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	3361.000000	3433.000000	VIKING GP	GROUP	188	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	2410.000000	2444.000000	VÅLE FM	FORMATION	190	1996-03-01	2719	9999-12-31	2013-05-08
30/8-1 SR	4691.000000	5149.000000	NO GROUP DEFINED	GROUP	208	1996-03-01	2719	9999-12-31	2013-05-08
30/8-2	1999.000000	2055.000000	BALDER FM	FORMATION	6	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	1485.000000	1757.000000	GRID FM	FORMATION	53	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	2076.000000	2138.000000	HERMOD FM	FORMATION	64	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	818.000000	1999.000000	HORDALAND GP	GROUP	67	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	2361.000000	2405.000000	JORSALFARE FM	FORMATION	74	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	2149.000000	2320.000000	LISTA FM	FORMATION	95	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	800.000000	818.000000	NO FORMAL NAME	FORMATION	111	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	922.000000	1110.000000	NO FORMAL NAME	FORMATION	111	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	1110.000000	1196.000000	NO FORMAL NAME	FORMATION	111	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	1196.000000	1485.000000	NO FORMAL NAME	FORMATION	111	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	1757.000000	1999.000000	NO FORMAL NAME	FORMATION	111	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	121.000000	818.000000	NORDLAND GP	GROUP	113	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	1999.000000	2361.000000	ROGALAND GP	GROUP	131	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	2055.000000	2076.000000	SELE FM	FORMATION	142	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	2138.000000	2149.000000	SELE FM	FORMATION	142	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	2361.000000	2405.000000	SHETLAND GP	GROUP	143	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	818.000000	922.000000	SKADE FM	FORMATION	145	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	640.000000	800.000000	UTSIRA FM	FORMATION	183	1996-01-14	2723	9999-12-31	2013-05-08
30/8-2	2320.000000	2361.000000	VÅLE FM	FORMATION	190	1996-01-14	2723	9999-12-31	2013-05-08
25/10-6 S	2126.000000	2221.000000	BALDER FM	FORMATION	6	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	3521.000000	3639.000000	BLODØKS FM	FORMATION	13	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	3885.000000	4240.000000	CROMER KNOLL GP	GROUP	23	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	4240.000000	4314.000000	DRAUPNE FM	FORMATION	28	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	1456.000000	1472.000000	GRID FM	FORMATION	53	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	1491.000000	1530.000000	GRID FM	FORMATION	53	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	4314.000000	4338.000000	HEATHER FM	FORMATION	60	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	2318.000000	2619.000000	HEIMDAL FM	FORMATION	62	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	791.000000	2126.000000	HORDALAND GP	GROUP	67	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	4338.000000	4489.000000	HUGIN FM	FORMATION	69	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	2789.000000	3069.000000	JORSALFARE FM	FORMATION	74	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	3069.000000	3160.000000	KYRRE FM	FORMATION	92	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	2286.000000	2318.000000	LISTA FM	FORMATION	95	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	2619.000000	2637.000000	LISTA FM	FORMATION	95	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	695.000000	791.000000	NO FORMAL NAME	FORMATION	111	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	958.000000	1168.000000	NO FORMAL NAME	FORMATION	111	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	1200.000000	1456.000000	NO FORMAL NAME	FORMATION	111	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	1472.000000	1491.000000	NO FORMAL NAME	FORMATION	111	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	1530.000000	2126.000000	NO FORMAL NAME	FORMATION	111	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	140.000000	791.000000	NORDLAND GP	GROUP	113	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	2126.000000	2789.000000	ROGALAND GP	GROUP	131	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	3885.000000	4057.000000	RØDBY FM	FORMATION	137	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	2221.000000	2286.000000	SELE FM	FORMATION	142	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	2789.000000	3885.000000	SHETLAND GP	GROUP	143	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	791.000000	958.000000	SKADE FM	FORMATION	145	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	1168.000000	1200.000000	SKADE FM	FORMATION	145	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	4489.000000	4706.000000	SLEIPNER FM	FORMATION	148	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	4057.000000	4074.000000	SOLA FM	FORMATION	152	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	3639.000000	3885.000000	SVARTE FM	FORMATION	160	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	3160.000000	3521.000000	TRYGGVASON FM	FORMATION	173	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	2637.000000	2686.000000	TY FM	FORMATION	176	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	450.000000	695.000000	UTSIRA FM	FORMATION	183	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	4338.000000	4706.000000	VESTLAND GP	GROUP	186	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	4240.000000	4338.000000	VIKING GP	GROUP	188	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	2686.000000	2789.000000	VÅLE FM	FORMATION	190	1996-03-22	2728	9999-12-31	2013-05-08
25/10-6 S	4074.000000	4240.000000	ÅSGARD FM	FORMATION	198	1996-03-22	2728	9999-12-31	2013-05-08
34/11-2 S	4512.000000	4696.000000	AMUNDSEN FM	FORMATION	4	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	1820.000000	1880.000000	BALDER FM	FORMATION	6	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4068.000000	4328.000000	BRENT GP	GROUP	16	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4320.000000	4328.000000	BROOM FM	FORMATION	17	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4478.000000	4512.000000	BURTON FM	FORMATION	20	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	3559.000000	3697.000000	CROMER KNOLL GP	GROUP	23	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4433.000000	4478.000000	COOK FM	FORMATION	24	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4328.000000	4433.000000	DRAKE FM	FORMATION	27	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	3697.000000	3699.000000	DRAUPNE FM	FORMATION	28	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4328.000000	4696.000000	DUNLIN GP	GROUP	29	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4241.000000	4261.000000	ETIVE FM	FORMATION	35	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	3865.000000	4068.000000	HEATHER FM	FORMATION	60	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	1123.000000	1820.000000	HORDALAND GP	GROUP	67	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	2033.000000	2310.000000	JORSALFARE FM	FORMATION	74	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	2310.000000	2762.000000	KYRRE FM	FORMATION	92	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	1885.000000	2033.000000	LISTA FM	FORMATION	95	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4085.000000	4241.000000	NESS FM	FORMATION	110	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	1027.000000	1123.000000	NO FORMAL NAME	FORMATION	111	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	1418.000000	1507.000000	NO FORMAL NAME	FORMATION	111	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	1507.000000	1631.000000	NO FORMAL NAME	FORMATION	111	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	1631.000000	1666.000000	NO FORMAL NAME	FORMATION	111	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	1666.000000	1820.000000	NO FORMAL NAME	FORMATION	111	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	3699.000000	3755.000000	NO FORMAL NAME	FORMATION	111	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	3755.000000	3801.000000	NO FORMAL NAME	FORMATION	111	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	3801.000000	3865.000000	NO FORMAL NAME	FORMATION	111	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	286.000000	1123.000000	NORDLAND GP	GROUP	113	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4261.000000	4320.000000	RANNOCH FM	FORMATION	126	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	1820.000000	2033.000000	ROGALAND GP	GROUP	131	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	1880.000000	1885.000000	SELE FM	FORMATION	142	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	2033.000000	3559.000000	SHETLAND GP	GROUP	143	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4696.000000	4743.000000	STATFJORD FM	FORMATION	157	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	3342.000000	3559.000000	SVARTE FM	FORMATION	160	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4068.000000	4085.000000	TARBERT FM	FORMATION	162	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	2762.000000	3342.000000	TRYGGVASON FM	FORMATION	173	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	930.000000	1027.000000	UTSIRA FM	FORMATION	183	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	3697.000000	4068.000000	VIKING GP	GROUP	188	1996-05-17	2733	9999-12-31	2013-05-08
34/11-2 S	4696.000000	4743.000000	NO GROUP DEFINED	GROUP	208	1996-05-17	2733	9999-12-31	2013-05-08
6506/11-4 S	1943.000000	2297.000000	BRYGGE FM	FORMATION	18	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4726.000000	5110.000000	BÅT GP	GROUP	22	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	3500.000000	4428.000000	CROMER KNOLL GP	GROUP	23	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4512.000000	4726.000000	FANGST GP	GROUP	38	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4512.000000	4611.000000	GARN FM	FORMATION	48	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	1943.000000	2297.000000	HORDALAND GP	GROUP	67	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4658.000000	4726.000000	ILE FM	FORMATION	70	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	1485.000000	1943.000000	KAI FM	FORMATION	77	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	2862.000000	3500.000000	KVITNOS FM	FORMATION	91	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	3620.000000	4399.000000	LANGE FM	FORMATION	94	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4399.000000	4428.000000	LYR FM	FORMATION	98	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	3500.000000	3620.000000	LYSING FM	FORMATION	99	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4434.000000	4512.000000	MELKE FM	FORMATION	105	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	325.000000	1485.000000	NAUST FM	FORMATION	109	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	2652.000000	2862.000000	NISE FM	FORMATION	112	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	325.000000	1943.000000	NORDLAND GP	GROUP	113	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4611.000000	4658.000000	NOT FM	FORMATION	120	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	2297.000000	2449.000000	ROGALAND GP	GROUP	131	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4726.000000	4782.000000	ROR FM	FORMATION	135	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	2449.000000	3500.000000	SHETLAND GP	GROUP	143	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4428.000000	4434.000000	SPEKK FM	FORMATION	155	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	2449.000000	2652.000000	SPRINGAR FM	FORMATION	156	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	2400.000000	2449.000000	TANG FM	FORMATION	161	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	2297.000000	2400.000000	TARE FM	FORMATION	163	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4852.000000	5022.000000	TILJE FM	FORMATION	169	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4782.000000	4852.000000	TOFTE FM	FORMATION	170	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	4428.000000	4512.000000	VIKING GP	GROUP	188	1996-06-06	2736	9999-12-31	2013-05-08
6506/11-4 S	5022.000000	5110.000000	ÅRE FM	FORMATION	197	1996-06-06	2736	9999-12-31	2013-05-08
25/10-7 S	2086.000000	2122.000000	BALDER FM	FORMATION	6	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	2569.000000	2617.000000	EKOFISK FM	FORMATION	33	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	1526.000000	1538.000000	GRID FM	FORMATION	53	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	1553.000000	1632.000000	GRID FM	FORMATION	53	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	2238.000000	2373.000000	HEIMDAL FM	FORMATION	62	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	2404.000000	2427.000000	HEIMDAL FM	FORMATION	62	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	823.000000	2086.000000	HORDALAND GP	GROUP	67	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	2186.000000	2238.000000	LISTA FM	FORMATION	95	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	2373.000000	2404.000000	LISTA FM	FORMATION	95	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	2427.000000	2465.000000	LISTA FM	FORMATION	95	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	726.000000	823.000000	NO FORMAL NAME	FORMATION	111	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	1056.000000	1103.000000	NO FORMAL NAME	FORMATION	111	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	1125.000000	1153.000000	NO FORMAL NAME	FORMATION	111	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	1194.000000	1526.000000	NO FORMAL NAME	FORMATION	111	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	1538.000000	1553.000000	NO FORMAL NAME	FORMATION	111	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	1632.000000	2086.000000	NO FORMAL NAME	FORMATION	111	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	142.000000	823.000000	NORDLAND GP	GROUP	113	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	2086.000000	2569.000000	ROGALAND GP	GROUP	131	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	2122.000000	2186.000000	SELE FM	FORMATION	142	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	2569.000000	2617.000000	SHETLAND GP	GROUP	143	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	823.000000	1056.000000	SKADE FM	FORMATION	145	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	1103.000000	1125.000000	SKADE FM	FORMATION	145	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	1153.000000	1194.000000	SKADE FM	FORMATION	145	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	2465.000000	2498.000000	TY FM	FORMATION	176	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	586.000000	726.000000	UTSIRA FM	FORMATION	183	1996-06-08	2769	9999-12-31	2013-05-08
25/10-7 S	2498.000000	2569.000000	VÅLE FM	FORMATION	190	1996-06-08	2769	9999-12-31	2013-05-08
35/11-8 S	1618.000000	1681.000000	BALDER FM	FORMATION	6	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	3377.000000	3576.000000	BRENT GP	GROUP	16	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2678.000000	2686.000000	CROMER KNOLL GP	GROUP	23	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	3576.000000	3624.000000	DRAKE FM	FORMATION	27	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2686.000000	2789.000000	DRAUPNE FM	FORMATION	28	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	3576.000000	3624.000000	DUNLIN GP	GROUP	29	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	3459.000000	3480.000000	ETIVE FM	FORMATION	35	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2860.000000	3377.000000	INTRA HEATHER FM SS	FORMATION	59	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2789.000000	2807.000000	HEATHER FM	FORMATION	60	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2825.000000	2860.000000	HEATHER FM	FORMATION	60	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	1797.000000	1877.000000	HEIMDAL FM	FORMATION	62	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	785.000000	1618.000000	HORDALAND GP	GROUP	67	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2124.000000	2292.000000	JORSALFARE FM	FORMATION	74	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2292.000000	2598.000000	KYRRE FM	FORMATION	92	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	1730.000000	1797.000000	LISTA FM	FORMATION	95	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	1877.000000	1975.000000	LISTA FM	FORMATION	95	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	3387.000000	3459.000000	NESS FM	FORMATION	110	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	387.000000	785.000000	NORDLAND GP	GROUP	113	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	3505.000000	3576.000000	OSEBERG FM	FORMATION	123	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	3480.000000	3505.000000	RANNOCH FM	FORMATION	126	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	1618.000000	2124.000000	ROGALAND GP	GROUP	131	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2678.000000	2686.000000	RØDBY FM	FORMATION	137	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	1681.000000	1730.000000	SELE FM	FORMATION	142	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2124.000000	2678.000000	SHETLAND GP	GROUP	143	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2807.000000	2825.000000	SOGNEFJORD FM	FORMATION	151	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2598.000000	2678.000000	SVARTE FM	FORMATION	160	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	3377.000000	3387.000000	TARBERT FM	FORMATION	162	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2021.000000	2041.000000	TY FM	FORMATION	176	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2063.000000	2087.000000	TY FM	FORMATION	176	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	773.000000	785.000000	UTSIRA FM	FORMATION	183	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2686.000000	3377.000000	VIKING GP	GROUP	188	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	1975.000000	2021.000000	VÅLE FM	FORMATION	190	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2041.000000	2063.000000	VÅLE FM	FORMATION	190	1996-05-11	2772	9999-12-31	2013-05-08
35/11-8 S	2087.000000	2124.000000	VÅLE FM	FORMATION	190	1996-05-11	2772	9999-12-31	2013-05-08
35/10-2	4471.000000	4601.000000	AMUNDSEN FM	FORMATION	4	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	1874.000000	1934.000000	BALDER FM	FORMATION	6	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	3645.000000	3698.000000	BLODØKS FM	FORMATION	13	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4149.000000	4353.000000	BRENT GP	GROUP	16	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4319.000000	4353.000000	BROOM FM	FORMATION	17	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4450.000000	4471.000000	BURTON FM	FORMATION	20	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	3698.000000	3921.000000	CROMER KNOLL GP	GROUP	23	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4368.000000	4450.000000	COOK FM	FORMATION	24	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4353.000000	4368.000000	DRAKE FM	FORMATION	27	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	3921.000000	4018.000000	DRAUPNE FM	FORMATION	28	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4353.000000	4601.000000	DUNLIN GP	GROUP	29	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4245.000000	4280.000000	ETIVE FM	FORMATION	35	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	1258.000000	1874.000000	GRID FM	FORMATION	53	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4018.000000	4149.000000	HEATHER FM	FORMATION	60	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	946.000000	1874.000000	HORDALAND GP	GROUP	67	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	2106.000000	2355.000000	JORSALFARE FM	FORMATION	74	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	2355.000000	3414.000000	KYRRE FM	FORMATION	92	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	1963.000000	2086.000000	LISTA FM	FORMATION	95	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4149.000000	4245.000000	NESS FM	FORMATION	110	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	397.000000	946.000000	NORDLAND GP	GROUP	113	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4280.000000	4319.000000	RANNOCH FM	FORMATION	126	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	1874.000000	2106.000000	ROGALAND GP	GROUP	131	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	3698.000000	3795.000000	RØDBY FM	FORMATION	137	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	1934.000000	1963.000000	SELE FM	FORMATION	142	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	2106.000000	3698.000000	SHETLAND GP	GROUP	143	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	3795.000000	3820.000000	SOLA FM	FORMATION	152	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4601.000000	4677.000000	STATFJORD FM	FORMATION	157	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	3414.000000	3645.000000	TRYGGVASON FM	FORMATION	173	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	903.000000	946.000000	UTSIRA FM	FORMATION	183	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	3921.000000	4149.000000	VIKING GP	GROUP	188	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	2086.000000	2106.000000	VÅLE FM	FORMATION	190	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	3820.000000	3921.000000	ÅSGARD FM	FORMATION	198	1996-08-22	2783	9999-12-31	2013-05-08
35/10-2	4601.000000	4677.000000	NO GROUP DEFINED	GROUP	208	1996-08-22	2783	9999-12-31	2013-05-08
6506/11-5 S	1899.000000	2192.000000	BRYGGE FM	FORMATION	18	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4399.000000	4790.000000	BÅT GP	GROUP	22	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	3353.000000	4139.000000	CROMER KNOLL GP	GROUP	23	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4213.000000	4399.000000	FANGST GP	GROUP	38	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4213.000000	4292.000000	GARN FM	FORMATION	48	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	1899.000000	2192.000000	HORDALAND GP	GROUP	67	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4329.000000	4399.000000	ILE FM	FORMATION	70	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	1462.000000	1899.000000	KAI FM	FORMATION	77	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	2748.000000	3353.000000	KVITNOS FM	FORMATION	91	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	3401.000000	4094.000000	LANGE FM	FORMATION	94	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4094.000000	4139.000000	LYR FM	FORMATION	98	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	3353.000000	3401.000000	LYSING FM	FORMATION	99	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4144.000000	4213.000000	MELKE FM	FORMATION	105	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	310.000000	1462.000000	NAUST FM	FORMATION	109	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	2539.000000	2748.000000	NISE FM	FORMATION	112	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	310.000000	1899.000000	NORDLAND GP	GROUP	113	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4292.000000	4329.000000	NOT FM	FORMATION	120	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	2192.000000	2350.000000	ROGALAND GP	GROUP	131	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4399.000000	4463.000000	ROR FM	FORMATION	135	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4526.000000	4528.000000	ROR FM	FORMATION	135	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	2350.000000	3353.000000	SHETLAND GP	GROUP	143	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4139.000000	4144.000000	SPEKK FM	FORMATION	155	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	2350.000000	2539.000000	SPRINGAR FM	FORMATION	156	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	2307.000000	2350.000000	TANG FM	FORMATION	161	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	2192.000000	2307.000000	TARE FM	FORMATION	163	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4528.000000	4692.000000	TILJE FM	FORMATION	169	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4463.000000	4526.000000	TOFTE FM	FORMATION	170	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4139.000000	4213.000000	VIKING GP	GROUP	188	1996-11-10	2794	9999-12-31	2013-05-08
6506/11-5 S	4692.000000	4790.000000	ÅRE FM	FORMATION	197	1996-11-10	2794	9999-12-31	2013-05-08
6506/12-11 S	2027.000000	2372.000000	BRYGGE FM	FORMATION	18	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	4901.000000	5268.000000	BÅT GP	GROUP	22	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	3681.000000	4577.000000	CROMER KNOLL GP	GROUP	23	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	4731.000000	4901.000000	FANGST GP	GROUP	38	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	4731.000000	4804.000000	GARN FM	FORMATION	48	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	2027.000000	2372.000000	HORDALAND GP	GROUP	67	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	4835.000000	4901.000000	ILE FM	FORMATION	70	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	1523.000000	2027.000000	KAI FM	FORMATION	77	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	3002.000000	3681.000000	KVITNOS FM	FORMATION	91	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	3728.000000	4554.000000	LANGE FM	FORMATION	94	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	4554.000000	4577.000000	LYR FM	FORMATION	98	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	3681.000000	3728.000000	LYSING FM	FORMATION	99	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	4590.000000	4731.000000	MELKE FM	FORMATION	105	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	2813.000000	3002.000000	NISE FM	FORMATION	112	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	311.000000	2027.000000	NORDLAND GP	GROUP	113	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	4804.000000	4835.000000	NOT FM	FORMATION	120	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	2372.000000	2540.000000	ROGALAND GP	GROUP	131	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	4901.000000	4980.000000	ROR FM	FORMATION	135	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	5026.000000	5042.000000	ROR FM	FORMATION	135	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	2540.000000	3681.000000	SHETLAND GP	GROUP	143	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	4577.000000	4590.000000	SPEKK FM	FORMATION	155	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	2540.000000	2813.000000	SPRINGAR FM	FORMATION	156	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	2464.000000	2540.000000	TANG FM	FORMATION	161	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	2372.000000	2464.000000	TARE FM	FORMATION	163	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	5042.000000	5211.000000	TILJE FM	FORMATION	169	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	4980.000000	5026.000000	TOFTE FM	FORMATION	170	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	4577.000000	4731.000000	VIKING GP	GROUP	188	1996-09-07	2795	9999-12-31	2013-05-08
6506/12-11 S	5211.000000	5268.000000	ÅRE FM	FORMATION	197	1996-09-07	2795	9999-12-31	2013-05-08
6407/1-4	1878.000000	2220.000000	BRYGGE FM	FORMATION	18	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	3116.000000	3571.000000	CROMER KNOLL GP	GROUP	23	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	3675.000000	3805.000000	FANGST GP	GROUP	38	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	3675.000000	3776.000000	GARN FM	FORMATION	48	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	1878.000000	2220.000000	HORDALAND GP	GROUP	67	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	1444.000000	1878.000000	KAI FM	FORMATION	77	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	2780.000000	3116.000000	KVITNOS FM	FORMATION	91	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	3154.000000	3547.000000	LANGE FM	FORMATION	94	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	3547.000000	3571.000000	LYR FM	FORMATION	98	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	3116.000000	3154.000000	LYSING FM	FORMATION	99	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	3595.000000	3675.000000	MELKE FM	FORMATION	105	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	311.000000	1444.000000	NAUST FM	FORMATION	109	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	2479.000000	2780.000000	NISE FM	FORMATION	112	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	311.000000	1878.000000	NORDLAND GP	GROUP	113	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	3776.000000	3805.000000	NOT FM	FORMATION	120	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	2220.000000	2347.000000	ROGALAND GP	GROUP	131	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	2347.000000	3116.000000	SHETLAND GP	GROUP	143	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	3571.000000	3595.000000	SPEKK FM	FORMATION	155	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	2347.000000	2479.000000	SPRINGAR FM	FORMATION	156	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	2284.000000	2347.000000	TANG FM	FORMATION	161	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	2220.000000	2284.000000	TARE FM	FORMATION	163	1996-08-23	2796	9999-12-31	2013-05-08
6407/1-4	3571.000000	3675.000000	VIKING GP	GROUP	188	1996-08-23	2796	9999-12-31	2013-05-08
31/2-19 S	3749.000000	4059.000000	AMUNDSEN FM	FORMATION	4	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	1585.000000	1633.000000	BALDER FM	FORMATION	6	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	3468.000000	3632.000000	BRENT GP	GROUP	16	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	2497.000000	2577.000000	CROMER KNOLL GP	GROUP	23	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	3632.000000	3749.000000	DRAKE FM	FORMATION	27	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	2577.000000	2738.000000	DRAUPNE FM	FORMATION	28	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	3632.000000	4059.000000	DUNLIN GP	GROUP	29	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	2126.000000	2250.000000	HARDRÅDE FM	FORMATION	56	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	2738.000000	3468.000000	HEATHER FM	FORMATION	60	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	840.000000	1585.000000	HORDALAND GP	GROUP	67	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	1694.000000	1834.000000	LISTA FM	FORMATION	95	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	1965.000000	1983.000000	LISTA FM	FORMATION	95	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	1834.000000	1965.000000	NO FORMAL NAME	FORMATION	111	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	2466.000000	2497.000000	NO FORMAL NAME	FORMATION	111	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	367.000000	840.000000	NORDLAND GP	GROUP	113	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	1585.000000	2126.000000	ROGALAND GP	GROUP	131	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	2497.000000	2534.000000	RØDBY FM	FORMATION	137	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	1633.000000	1694.000000	SELE FM	FORMATION	142	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	2126.000000	2497.000000	SHETLAND GP	GROUP	143	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	2534.000000	2560.000000	SOLA FM	FORMATION	152	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	4059.000000	4114.000000	STATFJORD FM	FORMATION	157	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	2250.000000	2466.000000	UNDIFFERENTIATED	FORMATION	182	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	2577.000000	3468.000000	VIKING GP	GROUP	188	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	1983.000000	2126.000000	VÅLE FM	FORMATION	190	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	2560.000000	2577.000000	ÅSGARD FM	FORMATION	198	1996-07-13	2798	9999-12-31	2013-05-08
31/2-19 S	4059.000000	4114.000000	NO GROUP DEFINED	GROUP	208	1996-07-13	2798	9999-12-31	2013-05-08
25/11-21 A	1736.000000	1745.000000	BALDER FM	FORMATION	6	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1838.000000	2628.000000	HEIMDAL FM	FORMATION	62	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	2630.000000	2633.000000	HEIMDAL FM	FORMATION	62	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	2640.000000	2645.000000	HEIMDAL FM	FORMATION	62	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	2652.000000	2710.000000	HEIMDAL FM	FORMATION	62	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	2713.000000	2968.000000	HEIMDAL FM	FORMATION	62	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	796.000000	1736.000000	HORDALAND GP	GROUP	67	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1757.000000	1838.000000	LISTA FM	FORMATION	95	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	2628.000000	2630.000000	LISTA FM	FORMATION	95	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	2633.000000	2640.000000	LISTA FM	FORMATION	95	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	2645.000000	2652.000000	LISTA FM	FORMATION	95	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	2710.000000	2713.000000	LISTA FM	FORMATION	95	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	2968.000000	3006.000000	LISTA FM	FORMATION	95	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	720.000000	796.000000	NO FORMAL NAME	FORMATION	111	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	905.000000	925.000000	NO FORMAL NAME	FORMATION	111	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	944.000000	955.000000	NO FORMAL NAME	FORMATION	111	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	978.000000	1000.000000	NO FORMAL NAME	FORMATION	111	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1028.000000	1074.000000	NO FORMAL NAME	FORMATION	111	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1087.000000	1102.000000	NO FORMAL NAME	FORMATION	111	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1115.000000	1221.000000	NO FORMAL NAME	FORMATION	111	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1230.000000	1736.000000	NO FORMAL NAME	FORMATION	111	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	155.000000	796.000000	NORDLAND GP	GROUP	113	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1736.000000	3006.000000	ROGALAND GP	GROUP	131	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1745.000000	1757.000000	SELE FM	FORMATION	142	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	796.000000	905.000000	SKADE FM	FORMATION	145	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	925.000000	944.000000	SKADE FM	FORMATION	145	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	955.000000	978.000000	SKADE FM	FORMATION	145	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1000.000000	1028.000000	SKADE FM	FORMATION	145	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1074.000000	1087.000000	SKADE FM	FORMATION	145	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1102.000000	1115.000000	SKADE FM	FORMATION	145	1996-10-01	2812	9999-12-31	2013-05-08
25/11-21 A	1221.000000	1230.000000	SKADE FM	FORMATION	145	1996-10-01	2812	9999-12-31	2013-05-08
24/12-3 S	2260.000000	2325.000000	BALDER FM	FORMATION	6	1996-07-29	2823	9999-12-31	2013-05-08
24/12-3 S	1373.000000	1648.000000	GRID FM	FORMATION	53	1996-07-29	2823	9999-12-31	2013-05-08
24/12-3 S	2398.000000	2831.000000	HEIMDAL FM	FORMATION	62	1996-07-29	2823	9999-12-31	2013-05-08
24/12-3 S	994.000000	2260.000000	HORDALAND GP	GROUP	67	1996-07-29	2823	9999-12-31	2013-05-08
24/12-3 S	2379.000000	2398.000000	LISTA FM	FORMATION	95	1996-07-29	2823	9999-12-31	2013-05-08
24/12-3 S	2831.000000	2915.000000	LISTA FM	FORMATION	95	1996-07-29	2823	9999-12-31	2013-05-08
24/12-3 S	1648.000000	2260.000000	NO FORMAL NAME	FORMATION	111	1996-07-29	2823	9999-12-31	2013-05-08
24/12-3 S	143.000000	994.000000	NORDLAND GP	GROUP	113	1996-07-29	2823	9999-12-31	2013-05-08
24/12-3 S	2260.000000	3058.000000	ROGALAND GP	GROUP	131	1996-07-29	2823	9999-12-31	2013-05-08
24/12-3 S	2325.000000	2379.000000	SELE FM	FORMATION	142	1996-07-29	2823	9999-12-31	2013-05-08
24/12-3 S	765.000000	994.000000	UTSIRA FM	FORMATION	183	1996-07-29	2823	9999-12-31	2013-05-08
24/12-3 S	2915.000000	3058.000000	VÅLE FM	FORMATION	190	1996-07-29	2823	9999-12-31	2013-05-08
9/2-A-4	3758.000000	4631.000000	BOKNFJORD GP	GROUP	15	1996-11-25	2828	9999-12-31	2013-05-08
9/2-A-4	4768.000000	4845.000000	BRYNE FM	FORMATION	19	1996-11-25	2828	9999-12-31	2013-05-08
9/2-A-4	4560.000000	4631.000000	EGERSUND FM	FORMATION	30	1996-11-25	2828	9999-12-31	2013-05-08
9/2-A-4	3758.000000	3865.000000	FLEKKEFJORD FM	FORMATION	43	1996-11-25	2828	9999-12-31	2013-05-08
9/2-A-4	135.000000	3758.000000	NORDLAND GP	GROUP	113	1996-11-25	2828	9999-12-31	2013-05-08
9/2-A-4	4631.000000	4768.000000	SANDNES FM	FORMATION	139	1996-11-25	2828	9999-12-31	2013-05-08
9/2-A-4	3865.000000	4478.000000	SAUDA FM	FORMATION	141	1996-11-25	2828	9999-12-31	2013-05-08
9/2-A-4	4478.000000	4560.000000	TAU FM	FORMATION	164	1996-11-25	2828	9999-12-31	2013-05-08
9/2-A-4	4631.000000	4845.000000	VESTLAND GP	GROUP	186	1996-11-25	2828	9999-12-31	2013-05-08
9/2-A-4	2240.000000	3758.000000	ÅSGARD FM	FORMATION	198	1996-11-25	2828	9999-12-31	2013-05-08
1/3-8	3127.000000	3137.000000	BALDER FM	FORMATION	6	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	4379.000000	4402.000000	BLODØKS FM	FORMATION	13	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	4456.000000	4733.000000	CROMER KNOLL GP	GROUP	23	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	3377.000000	3478.000000	EKOFISK FM	FORMATION	33	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	4742.000000	5005.000000	FARSUND FM	FORMATION	39	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	4402.000000	4456.000000	HIDRA FM	FORMATION	65	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	3949.000000	4379.000000	HOD FM	FORMATION	66	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	1902.000000	3127.000000	HORDALAND GP	GROUP	67	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	3144.000000	3202.000000	LISTA FM	FORMATION	95	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	3278.000000	3352.000000	LISTA FM	FORMATION	95	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	4733.000000	4742.000000	MANDAL FM	FORMATION	101	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	110.000000	1902.000000	NORDLAND GP	GROUP	113	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	3127.000000	3377.000000	ROGALAND GP	GROUP	131	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	4456.000000	4502.000000	RØDBY FM	FORMATION	137	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	3137.000000	3144.000000	SELE FM	FORMATION	142	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	3377.000000	4456.000000	SHETLAND GP	GROUP	143	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	5086.000000	5201.000000	SMITH BANK FM	FORMATION	149	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	4502.000000	4556.000000	SOLA FM	FORMATION	152	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	3478.000000	3949.000000	TOR FM	FORMATION	171	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	4556.000000	4685.000000	TUXEN FM	FORMATION	175	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	4733.000000	5005.000000	TYNE GP	GROUP	177	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	5005.000000	5086.000000	ULA FM	FORMATION	179	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	5005.000000	5201.000000	VESTLAND GP	GROUP	186	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	3202.000000	3278.000000	VIDAR FM	FORMATION	187	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	3352.000000	3377.000000	VÅLE FM	FORMATION	190	1997-05-27	2829	9999-12-31	2013-05-08
1/3-8	4685.000000	4733.000000	ÅSGARD FM	FORMATION	198	1997-05-27	2829	9999-12-31	2013-05-08
33/9-19 S	3027.000000	3122.000000	AMUNDSEN FM	FORMATION	4	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	1681.000000	1714.000000	BALDER FM	FORMATION	6	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	2689.000000	2845.000000	BRENT GP	GROUP	16	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	2975.000000	3027.000000	BURTON FM	FORMATION	20	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	2678.000000	2689.000000	CROMER KNOLL GP	GROUP	23	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	2939.000000	2975.000000	COOK FM	FORMATION	24	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	2845.000000	2939.000000	DRAKE FM	FORMATION	27	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	2845.000000	3122.000000	DUNLIN GP	GROUP	29	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	2689.000000	2742.000000	ETIVE FM	FORMATION	35	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	1131.000000	1681.000000	HORDALAND GP	GROUP	67	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	1869.000000	2237.000000	JORSALFARE FM	FORMATION	74	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	2237.000000	2678.000000	KYRRE FM	FORMATION	92	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	1714.000000	1869.000000	LISTA FM	FORMATION	95	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	2678.000000	2689.000000	MIME FM	FORMATION	106	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	328.000000	1131.000000	NORDLAND GP	GROUP	113	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	2742.000000	2845.000000	RANNOCH FM	FORMATION	126	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	1681.000000	1869.000000	ROGALAND GP	GROUP	131	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	1869.000000	2678.000000	SHETLAND GP	GROUP	143	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	3122.000000	3197.000000	STATFJORD FM	FORMATION	157	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	960.000000	1131.000000	UTSIRA FM	FORMATION	183	1996-07-23	2830	9999-12-31	2013-05-08
33/9-19 S	3122.000000	3197.000000	NO GROUP DEFINED	GROUP	208	1996-07-23	2830	9999-12-31	2013-05-08
36/4-1	850.000000	887.000000	BALDER FM	FORMATION	6	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	2712.000000	2717.000000	BASEMENT	GROUP	10	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	2268.000000	2271.000000	BLODØKS FM	FORMATION	13	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	2305.000000	2361.000000	CROMER KNOLL GP	GROUP	23	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	2361.000000	2712.000000	HEATHER FM	FORMATION	60	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	625.000000	850.000000	HORDALAND GP	GROUP	67	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	1253.000000	1299.000000	JORSALFARE FM	FORMATION	74	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	1299.000000	2268.000000	KYRRE FM	FORMATION	92	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	887.000000	1253.000000	LISTA FM	FORMATION	95	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	625.000000	685.000000	NO FORMAL NAME	FORMATION	111	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	685.000000	850.000000	NO FORMAL NAME	FORMATION	111	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	284.000000	625.000000	NORDLAND GP	GROUP	113	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	850.000000	1253.000000	ROGALAND GP	GROUP	131	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	2305.000000	2332.000000	RØDBY FM	FORMATION	137	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	1253.000000	2305.000000	SHETLAND GP	GROUP	143	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	2271.000000	2305.000000	SVARTE FM	FORMATION	160	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	2361.000000	2712.000000	VIKING GP	GROUP	188	1996-10-01	2847	9999-12-31	2013-05-08
36/4-1	2332.000000	2361.000000	ÅSGARD FM	FORMATION	198	1996-10-01	2847	9999-12-31	2013-05-08
6406/2-3	1954.000000	2300.000000	BRYGGE FM	FORMATION	18	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	4837.000000	5258.000000	BÅT GP	GROUP	22	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	3429.000000	4629.000000	CROMER KNOLL GP	GROUP	23	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	4629.000000	4837.000000	FANGST GP	GROUP	38	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	4629.000000	4716.000000	GARN FM	FORMATION	48	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	1954.000000	2300.000000	HORDALAND GP	GROUP	67	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	4751.000000	4837.000000	ILE FM	FORMATION	70	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	1518.000000	1954.000000	KAI FM	FORMATION	77	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	2838.000000	3429.000000	KVITNOS FM	FORMATION	91	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	3440.000000	4620.000000	LANGE FM	FORMATION	94	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	4620.000000	4629.000000	LYR FM	FORMATION	98	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	3429.000000	3440.000000	LYSING FM	FORMATION	99	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	396.000000	1518.000000	NAUST FM	FORMATION	109	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	2549.000000	2838.000000	NISE FM	FORMATION	112	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	396.000000	1954.000000	NORDLAND GP	GROUP	113	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	4716.000000	4751.000000	NOT FM	FORMATION	120	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	2300.000000	2425.000000	ROGALAND GP	GROUP	131	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	4837.000000	4877.000000	ROR FM	FORMATION	135	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	2425.000000	3429.000000	SHETLAND GP	GROUP	143	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	2425.000000	2549.000000	SPRINGAR FM	FORMATION	156	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	2364.000000	2425.000000	TANG FM	FORMATION	161	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	2300.000000	2364.000000	TARE FM	FORMATION	163	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	5028.000000	5210.000000	TILJE FM	FORMATION	169	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	4877.000000	5028.000000	TOFTE FM	FORMATION	170	1997-04-15	2849	9999-12-31	2013-05-08
6406/2-3	5210.000000	5258.000000	ÅRE FM	FORMATION	197	1997-04-15	2849	9999-12-31	2013-05-08
34/7-25 S	2049.000000	2120.000000	BALDER FM	FORMATION	6	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2920.000000	3183.000000	BRENT GP	GROUP	16	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	3178.000000	3183.000000	BROOM FM	FORMATION	17	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2775.000000	2791.000000	CROMER KNOLL GP	GROUP	23	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2791.000000	2822.000000	INTRA DRAUPNE FM SS	FORMATION	26	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	3183.000000	3235.000000	DRAKE FM	FORMATION	27	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	3183.000000	3235.000000	DUNLIN GP	GROUP	29	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	3086.000000	3101.000000	ETIVE FM	FORMATION	35	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2822.000000	2920.000000	HEATHER FM	FORMATION	60	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	1076.000000	2049.000000	HORDALAND GP	GROUP	67	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2331.000000	2634.000000	JORSALFARE FM	FORMATION	74	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2634.000000	2775.000000	KYRRE FM	FORMATION	92	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2120.000000	2331.000000	LISTA FM	FORMATION	95	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2785.000000	2791.000000	MIME FM	FORMATION	106	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2980.000000	3086.000000	NESS FM	FORMATION	110	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	1264.000000	1323.000000	NO FORMAL NAME	FORMATION	111	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	1323.000000	1370.000000	NO FORMAL NAME	FORMATION	111	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	1370.000000	1495.000000	NO FORMAL NAME	FORMATION	111	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	1495.000000	1535.000000	NO FORMAL NAME	FORMATION	111	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	1535.000000	1635.000000	NO FORMAL NAME	FORMATION	111	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	1635.000000	1674.000000	NO FORMAL NAME	FORMATION	111	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	1674.000000	1695.000000	NO FORMAL NAME	FORMATION	111	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	1695.000000	2049.000000	NO FORMAL NAME	FORMATION	111	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	210.000000	1076.000000	NORDLAND GP	GROUP	113	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	3101.000000	3178.000000	RANNOCH FM	FORMATION	126	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2049.000000	2331.000000	ROGALAND GP	GROUP	131	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2775.000000	2785.000000	RØDBY FM	FORMATION	137	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2331.000000	2775.000000	SHETLAND GP	GROUP	143	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2920.000000	2980.000000	TARBERT FM	FORMATION	162	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	966.000000	1076.000000	UTSIRA FM	FORMATION	183	1996-09-14	2863	9999-12-31	2013-05-08
34/7-25 S	2791.000000	2920.000000	VIKING GP	GROUP	188	1996-09-14	2863	9999-12-31	2013-05-08
34/11-3	4360.000000	4471.000000	AMUNDSEN FM	FORMATION	4	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	1904.000000	1959.000000	BALDER FM	FORMATION	6	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4035.000000	4197.000000	BRENT GP	GROUP	16	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4304.000000	4360.000000	BURTON FM	FORMATION	20	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	3771.000000	3960.000000	CROMER KNOLL GP	GROUP	23	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4261.000000	4304.000000	COOK FM	FORMATION	24	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4197.000000	4261.000000	DRAKE FM	FORMATION	27	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	3960.000000	4010.000000	DRAUPNE FM	FORMATION	28	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4197.000000	4471.000000	DUNLIN GP	GROUP	29	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4140.000000	4155.000000	ETIVE FM	FORMATION	35	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4010.000000	4035.000000	HEATHER FM	FORMATION	60	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	986.000000	1904.000000	HORDALAND GP	GROUP	67	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	1964.000000	2118.000000	LISTA FM	FORMATION	95	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4050.000000	4140.000000	NESS FM	FORMATION	110	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	233.000000	986.000000	NORDLAND GP	GROUP	113	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4155.000000	4197.000000	RANNOCH FM	FORMATION	126	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	1904.000000	2118.000000	ROGALAND GP	GROUP	131	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	1959.000000	1964.000000	SELE FM	FORMATION	142	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	2118.000000	3771.000000	SHETLAND GP	GROUP	143	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4471.000000	4482.000000	STATFJORD FM	FORMATION	157	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4035.000000	4050.000000	TARBERT FM	FORMATION	162	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	851.000000	986.000000	UTSIRA FM	FORMATION	183	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	3960.000000	4035.000000	VIKING GP	GROUP	188	1997-01-16	2866	9999-12-31	2013-05-08
34/11-3	4471.000000	4482.000000	NO GROUP DEFINED	GROUP	208	1997-01-16	2866	9999-12-31	2013-05-08
9/2-6 S	739.000000	765.000000	BALDER FM	FORMATION	6	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	1626.000000	1681.000000	BLODØKS FM	FORMATION	13	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	3297.000000	4783.000000	BOKNFJORD GP	GROUP	15	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	4940.000000	5205.000000	BRYNE FM	FORMATION	19	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	1681.000000	3297.000000	CROMER KNOLL GP	GROUP	23	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	4714.000000	4783.000000	EGERSUND FM	FORMATION	30	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	808.000000	878.000000	EKOFISK FM	FORMATION	33	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	3297.000000	3800.000000	FLEKKEFJORD FM	FORMATION	43	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	1188.000000	1626.000000	HOD FM	FORMATION	66	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	542.000000	739.000000	HORDALAND GP	GROUP	67	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	778.000000	798.000000	LISTA FM	FORMATION	95	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	135.000000	542.000000	NORDLAND GP	GROUP	113	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	739.000000	808.000000	ROGALAND GP	GROUP	131	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	4783.000000	4940.000000	SANDNES FM	FORMATION	139	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	3800.000000	4627.000000	SAUDA FM	FORMATION	141	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	765.000000	778.000000	SELE FM	FORMATION	142	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	808.000000	1681.000000	SHETLAND GP	GROUP	143	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	1681.000000	1880.000000	SOLA FM	FORMATION	152	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	4627.000000	4714.000000	TAU FM	FORMATION	164	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	878.000000	1188.000000	TOR FM	FORMATION	171	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	4783.000000	5205.000000	VESTLAND GP	GROUP	186	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	798.000000	808.000000	VÅLE FM	FORMATION	190	1996-12-13	2867	9999-12-31	2013-05-08
9/2-6 S	1880.000000	3297.000000	ÅSGARD FM	FORMATION	198	1996-12-13	2867	9999-12-31	2013-05-08
33/9-19 A	3283.000000	3319.000000	AMUNDSEN FM	FORMATION	4	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	1681.000000	1714.000000	BALDER FM	FORMATION	6	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	2840.000000	3070.000000	BRENT GP	GROUP	16	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	3194.000000	3283.000000	BURTON FM	FORMATION	20	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	2825.000000	2840.000000	CROMER KNOLL GP	GROUP	23	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	3171.000000	3194.000000	COOK FM	FORMATION	24	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	3070.000000	3171.000000	DRAKE FM	FORMATION	27	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	3319.000000	3514.000000	DRAKE FM	FORMATION	27	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	3070.000000	3319.000000	DUNLIN GP	GROUP	29	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	3319.000000	3514.000000	DUNLIN GP	GROUP	29	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	2840.000000	2939.000000	ETIVE FM	FORMATION	35	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	1131.000000	1681.000000	HORDALAND GP	GROUP	67	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	1869.000000	2219.000000	JORSALFARE FM	FORMATION	74	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	2219.000000	2825.000000	KYRRE FM	FORMATION	92	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	1714.000000	1869.000000	LISTA FM	FORMATION	95	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	2825.000000	2840.000000	MIME FM	FORMATION	106	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	328.000000	1131.000000	NORDLAND GP	GROUP	113	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	2939.000000	3070.000000	RANNOCH FM	FORMATION	126	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	1681.000000	1869.000000	ROGALAND GP	GROUP	131	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	1869.000000	2825.000000	SHETLAND GP	GROUP	143	1996-08-09	2872	9999-12-31	2013-05-08
33/9-19 A	960.000000	1131.000000	UTSIRA FM	FORMATION	183	1996-08-09	2872	9999-12-31	2013-05-08
33/6-2	3872.000000	3913.000000	AMUNDSEN FM	FORMATION	4	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1732.000000	1771.000000	BALDER FM	FORMATION	6	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3613.000000	3777.000000	BRENT GP	GROUP	16	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3764.000000	3777.000000	BROOM FM	FORMATION	17	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3856.000000	3872.000000	BURTON FM	FORMATION	20	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3455.000000	3466.000000	CROMER KNOLL GP	GROUP	23	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3815.000000	3856.000000	COOK FM	FORMATION	24	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3488.000000	3551.000000	INTRA DRAUPNE FM SS	FORMATION	26	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3777.000000	3815.000000	DRAKE FM	FORMATION	27	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3466.000000	3488.000000	DRAUPNE FM	FORMATION	28	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3551.000000	3585.000000	DRAUPNE FM	FORMATION	28	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3777.000000	3913.000000	DUNLIN GP	GROUP	29	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3585.000000	3613.000000	HEATHER FM	FORMATION	60	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1134.000000	1732.000000	HORDALAND GP	GROUP	67	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1933.000000	2251.000000	JORSALFARE FM	FORMATION	74	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	2251.000000	3110.000000	KYRRE FM	FORMATION	92	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1771.000000	1921.000000	LISTA FM	FORMATION	95	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3455.000000	3466.000000	MIME FM	FORMATION	106	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1277.000000	1297.000000	NO FORMAL NAME	FORMATION	111	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1297.000000	1341.000000	NO FORMAL NAME	FORMATION	111	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1341.000000	1358.000000	NO FORMAL NAME	FORMATION	111	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1358.000000	1732.000000	NO FORMAL NAME	FORMATION	111	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	342.000000	1134.000000	NORDLAND GP	GROUP	113	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1732.000000	1933.000000	ROGALAND GP	GROUP	131	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1933.000000	3455.000000	SHETLAND GP	GROUP	143	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3913.000000	3950.000000	STATFJORD FM	FORMATION	157	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3110.000000	3455.000000	TRYGGVASON FM	FORMATION	173	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3613.000000	3725.000000	UNDIFFERENTIATED	FORMATION	182	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3725.000000	3764.000000	UNDIFFERENTIATED	FORMATION	182	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1035.000000	1134.000000	UTSIRA FM	FORMATION	183	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3466.000000	3613.000000	VIKING GP	GROUP	188	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	1921.000000	1933.000000	VÅLE FM	FORMATION	190	1997-01-02	2873	9999-12-31	2013-05-08
33/6-2	3913.000000	3950.000000	NO GROUP DEFINED	GROUP	208	1997-01-02	2873	9999-12-31	2013-05-08
6610/2-1 S	435.000000	1365.000000	BRYGGE FM	FORMATION	18	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	2067.000000	2541.000000	BÅT GP	GROUP	22	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	2050.000000	2067.000000	CROMER KNOLL GP	GROUP	23	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	2541.000000	2598.000000	GREY BEDS (INFORMAL)	GROUP	52	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	435.000000	1365.000000	HORDALAND GP	GROUP	67	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	1984.000000	2050.000000	KVITNOS FM	FORMATION	91	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	2050.000000	2067.000000	LYSING FM	FORMATION	99	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	1853.000000	1984.000000	NISE FM	FORMATION	112	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	431.000000	435.000000	NORDLAND GP	GROUP	113	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	2598.000000	2673.000000	RED BEDS (INFORMAL)	GROUP	129	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	1365.000000	1699.000000	ROGALAND GP	GROUP	131	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	1699.000000	2050.000000	SHETLAND GP	GROUP	143	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	1699.000000	1853.000000	SPRINGAR FM	FORMATION	156	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	1494.000000	1699.000000	TANG FM	FORMATION	161	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	1365.000000	1494.000000	TARE FM	FORMATION	163	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	2067.000000	2278.000000	TILJE FM	FORMATION	169	1996-09-28	2874	9999-12-31	2013-05-08
6610/2-1 S	2278.000000	2541.000000	ÅRE FM	FORMATION	197	1996-09-28	2874	9999-12-31	2013-05-08
2/6-5	2729.000000	2738.000000	BALDER FM	FORMATION	6	1997-01-11	2885	9999-12-31	2013-05-08
2/6-5	3231.000000	3260.000000	BASEMENT	GROUP	10	1997-01-11	2885	9999-12-31	2013-05-08
2/6-5	2817.000000	2898.000000	EKOFISK FM	FORMATION	33	1997-01-11	2885	9999-12-31	2013-05-08
2/6-5	3155.000000	3231.000000	HOD FM	FORMATION	66	1997-01-11	2885	9999-12-31	2013-05-08
2/6-5	1500.000000	2729.000000	HORDALAND GP	GROUP	67	1997-01-11	2885	9999-12-31	2013-05-08
2/6-5	2777.000000	2809.000000	LISTA FM	FORMATION	95	1997-01-11	2885	9999-12-31	2013-05-08
2/6-5	93.000000	1500.000000	NORDLAND GP	GROUP	113	1997-01-11	2885	9999-12-31	2013-05-08
2/6-5	2729.000000	2817.000000	ROGALAND GP	GROUP	131	1997-01-11	2885	9999-12-31	2013-05-08
2/6-5	2738.000000	2777.000000	SELE FM	FORMATION	142	1997-01-11	2885	9999-12-31	2013-05-08
2/6-5	2817.000000	3231.000000	SHETLAND GP	GROUP	143	1997-01-11	2885	9999-12-31	2013-05-08
2/6-5	2898.000000	3155.000000	TOR FM	FORMATION	171	1997-01-11	2885	9999-12-31	2013-05-08
2/6-5	2809.000000	2817.000000	VÅLE FM	FORMATION	190	1997-01-11	2885	9999-12-31	2013-05-08
30/5-2	2091.000000	2169.000000	BALDER FM	FORMATION	6	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	3288.000000	3292.000000	BLODØKS FM	FORMATION	13	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	3472.000000	4041.000000	BRENT GP	GROUP	16	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	4041.000000	4076.000000	DRAKE FM	FORMATION	27	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	4041.000000	4076.000000	DUNLIN GP	GROUP	29	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	1487.000000	1632.000000	GRID FM	FORMATION	53	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	2449.000000	2470.000000	HARDRÅDE FM	FORMATION	56	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	3468.000000	3472.000000	HEATHER FM	FORMATION	60	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	917.000000	2091.000000	HORDALAND GP	GROUP	67	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	2470.000000	2702.000000	JORSALFARE FM	FORMATION	74	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	2702.000000	3167.000000	KYRRE FM	FORMATION	92	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	2271.000000	2430.000000	LISTA FM	FORMATION	95	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	3710.000000	4005.000000	NESS FM	FORMATION	110	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	1045.000000	1487.000000	NO FORMAL NAME	FORMATION	111	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	1632.000000	2091.000000	NO FORMAL NAME	FORMATION	111	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	118.000000	917.000000	NORDLAND GP	GROUP	113	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	2091.000000	2449.000000	ROGALAND GP	GROUP	131	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	2169.000000	2271.000000	SELE FM	FORMATION	142	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	2449.000000	3468.000000	SHETLAND GP	GROUP	143	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	993.000000	1045.000000	SKADE FM	FORMATION	145	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	3292.000000	3468.000000	SVARTE FM	FORMATION	160	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	3472.000000	3710.000000	TARBERT FM	FORMATION	162	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	3167.000000	3288.000000	TRYGGVASON FM	FORMATION	173	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	4005.000000	4041.000000	UNDIFFERENTIATED	FORMATION	182	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	627.000000	917.000000	UTSIRA FM	FORMATION	183	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	3468.000000	3472.000000	VIKING GP	GROUP	188	1996-12-21	2886	9999-12-31	2013-05-08
30/5-2	2430.000000	2449.000000	VÅLE FM	FORMATION	190	1996-12-21	2886	9999-12-31	2013-05-08
3/7-6	2839.000000	2856.000000	BALDER FM	FORMATION	6	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	3352.000000	3439.000000	CROMER KNOLL GP	GROUP	23	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	2921.000000	3036.000000	EKOFISK FM	FORMATION	33	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	3439.000000	4050.000000	FARSUND FM	FORMATION	39	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	4050.000000	4120.000000	HAUGESUND FM	FORMATION	57	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	3259.000000	3352.000000	HOD FM	FORMATION	66	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	1413.000000	2839.000000	HORDALAND GP	GROUP	67	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	2872.000000	2897.000000	LISTA FM	FORMATION	95	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	87.000000	1413.000000	NORDLAND GP	GROUP	113	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	2839.000000	2921.000000	ROGALAND GP	GROUP	131	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	2856.000000	2872.000000	SELE FM	FORMATION	142	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	2921.000000	3352.000000	SHETLAND GP	GROUP	143	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	3352.000000	3360.000000	SOLA FM	FORMATION	152	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	3036.000000	3259.000000	TOR FM	FORMATION	171	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	3360.000000	3396.000000	TUXEN FM	FORMATION	175	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	3439.000000	4120.000000	TYNE GP	GROUP	177	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	2897.000000	2921.000000	VÅLE FM	FORMATION	190	1996-11-30	2891	9999-12-31	2013-05-08
3/7-6	3396.000000	3439.000000	ÅSGARD FM	FORMATION	198	1996-11-30	2891	9999-12-31	2013-05-08
32/4-1	1791.000000	1816.000000	AMUNDSEN FM	FORMATION	4	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	3132.000000	3186.000000	BASEMENT	GROUP	10	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	940.000000	956.000000	BLODØKS FM	FORMATION	13	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1650.000000	1680.000000	BRENT GP	GROUP	16	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1783.000000	1785.000000	BURTON FM	FORMATION	20	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1081.000000	1109.000000	CROMER KNOLL GP	GROUP	23	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1733.000000	1783.000000	COOK FM	FORMATION	24	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1680.000000	1733.000000	DRAKE FM	FORMATION	27	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1109.000000	1216.000000	DRAUPNE FM	FORMATION	28	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1680.000000	1816.000000	DUNLIN GP	GROUP	29	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1655.000000	1680.000000	ETIVE FM	FORMATION	35	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1366.000000	1595.000000	FENSFJORD FM	FORMATION	40	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1216.000000	1238.000000	HEATHER FM	FORMATION	60	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1306.000000	1366.000000	HEATHER FM	FORMATION	60	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1595.000000	1598.000000	HEATHER FM	FORMATION	60	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1645.000000	1650.000000	HEATHER FM	FORMATION	60	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1832.000000	3132.000000	HEGRE GP	GROUP	61	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1785.000000	1791.000000	JOHANSEN FM	FORMATION	73	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	846.000000	849.000000	JORSALFARE FM	FORMATION	74	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1598.000000	1645.000000	KROSSFJORD FM	FORMATION	87	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	849.000000	894.000000	KYRRE FM	FORMATION	92	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	652.000000	837.000000	LISTA FM	FORMATION	95	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1650.000000	1655.000000	NESS FM	FORMATION	110	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	336.000000	535.000000	NORDLAND GP	GROUP	113	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	535.000000	846.000000	ROGALAND GP	GROUP	131	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1081.000000	1106.000000	RØDBY FM	FORMATION	137	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	535.000000	652.000000	SELE FM	FORMATION	142	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	846.000000	1081.000000	SHETLAND GP	GROUP	143	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1238.000000	1306.000000	SOGNEFJORD FM	FORMATION	151	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1816.000000	1832.000000	STATFJORD FM	FORMATION	157	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	956.000000	1081.000000	SVARTE FM	FORMATION	160	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	894.000000	940.000000	TRYGGVASON FM	FORMATION	173	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1109.000000	1650.000000	VIKING GP	GROUP	188	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	837.000000	846.000000	VÅLE FM	FORMATION	190	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1106.000000	1109.000000	ÅSGARD FM	FORMATION	198	1996-12-04	2918	9999-12-31	2013-05-08
32/4-1	1816.000000	1832.000000	NO GROUP DEFINED	GROUP	208	1996-12-04	2918	9999-12-31	2013-05-08
34/4-9 S	1680.000000	1720.000000	BALDER FM	FORMATION	6	1997-02-15	2931	9999-12-31	2013-05-08
34/4-9 S	2474.000000	2513.000000	CROMER KNOLL GP	GROUP	23	1997-02-15	2931	9999-12-31	2013-05-08
34/4-9 S	2513.000000	3440.000000	HEGRE GP	GROUP	61	1997-02-15	2931	9999-12-31	2013-05-08
34/4-9 S	2513.000000	3440.000000	LUNDE FM	FORMATION	97	1997-02-15	2931	9999-12-31	2013-05-08
34/4-9 S	2495.000000	2513.000000	MIME FM	FORMATION	106	1997-02-15	2931	9999-12-31	2013-05-08
34/4-9 S	359.000000	1680.000000	NORDLAND GP	GROUP	113	1997-02-15	2931	9999-12-31	2013-05-08
34/4-9 S	1680.000000	1850.000000	ROGALAND GP	GROUP	131	1997-02-15	2931	9999-12-31	2013-05-08
34/4-9 S	2474.000000	2495.000000	RØDBY FM	FORMATION	137	1997-02-15	2931	9999-12-31	2013-05-08
34/4-9 S	1720.000000	1850.000000	SELE FM	FORMATION	142	1997-02-15	2931	9999-12-31	2013-05-08
34/4-9 S	1850.000000	2474.000000	SHETLAND GP	GROUP	143	1997-02-15	2931	9999-12-31	2013-05-08
6610/3-1 R2	557.000000	1368.000000	BRYGGE FM	FORMATION	18	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3732.000000	4149.000000	BÅT GP	GROUP	22	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	2507.000000	3536.000000	CROMER KNOLL GP	GROUP	23	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3707.000000	3732.000000	FANGST GP	GROUP	38	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	4149.000000	4172.000000	GREY BEDS (INFORMAL)	GROUP	52	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	557.000000	1368.000000	HORDALAND GP	GROUP	67	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3713.000000	3732.000000	ILE FM	FORMATION	70	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	2544.000000	2657.000000	LANGE FM	FORMATION	94	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	2697.000000	2886.000000	LANGE FM	FORMATION	94	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3049.000000	3205.000000	LANGE FM	FORMATION	94	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3414.000000	3420.000000	LANGE FM	FORMATION	94	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3420.000000	3536.000000	LYR FM	FORMATION	98	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	2507.000000	2544.000000	LYSING FM	FORMATION	99	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	2657.000000	2697.000000	LYSING FM	FORMATION	99	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3616.000000	3707.000000	MELKE FM	FORMATION	105	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	334.000000	351.000000	NAUST FM	FORMATION	109	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	1558.000000	1587.000000	NO FORMAL NAME	FORMATION	111	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	1642.000000	1807.000000	NO FORMAL NAME	FORMATION	111	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	2286.000000	2326.000000	NO FORMAL NAME	FORMATION	111	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	2886.000000	3049.000000	NO FORMAL NAME	FORMATION	111	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3205.000000	3414.000000	NO FORMAL NAME	FORMATION	111	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	2046.000000	2286.000000	NISE FM	FORMATION	112	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	2326.000000	2507.000000	NISE FM	FORMATION	112	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	334.000000	557.000000	NORDLAND GP	GROUP	113	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3707.000000	3713.000000	NOT FM	FORMATION	120	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	4172.000000	4200.000000	RED BEDS (INFORMAL)	GROUP	129	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	1368.000000	1844.000000	ROGALAND GP	GROUP	131	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	1844.000000	2507.000000	SHETLAND GP	GROUP	143	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3536.000000	3616.000000	SPEKK FM	FORMATION	155	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	1844.000000	2046.000000	SPRINGAR FM	FORMATION	156	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	1474.000000	1558.000000	TANG FM	FORMATION	161	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	1587.000000	1642.000000	TANG FM	FORMATION	161	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	1807.000000	1844.000000	TANG FM	FORMATION	161	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	1368.000000	1474.000000	TARE FM	FORMATION	163	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3774.000000	3937.000000	TILJE FM	FORMATION	169	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3732.000000	3774.000000	TOFTE FM	FORMATION	170	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3536.000000	3707.000000	VIKING GP	GROUP	188	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	3937.000000	4149.000000	ÅRE FM	FORMATION	197	1996-10-07	2932	9999-12-31	2013-05-08
6610/3-1 R2	351.000000	557.000000	MOLO FM	FORMATION	209	1996-10-07	2932	9999-12-31	2013-05-08
6204/10-2	1098.000000	1140.000000	BALDER FM	FORMATION	6	1997-02-12	2952	9999-12-31	2013-05-08
6204/10-2	631.000000	1098.000000	HORDALAND GP	GROUP	67	1997-02-12	2952	9999-12-31	2013-05-08
6204/10-2	992.000000	1034.000000	NO FORMAL NAME	FORMATION	111	1997-02-12	2952	9999-12-31	2013-05-08
6204/10-2	1034.000000	1098.000000	NO FORMAL NAME	FORMATION	111	1997-02-12	2952	9999-12-31	2013-05-08
6204/10-2	197.000000	631.000000	NORDLAND GP	GROUP	113	1997-02-12	2952	9999-12-31	2013-05-08
6204/10-2	1098.000000	1145.000000	ROGALAND GP	GROUP	131	1997-02-12	2952	9999-12-31	2013-05-08
6204/10-2	1140.000000	1145.000000	SELE FM	FORMATION	142	1997-02-12	2952	9999-12-31	2013-05-08
6507/3-2	1210.000000	1780.000000	BÅT GP	GROUP	22	1997-04-27	2954	9999-12-31	2013-05-08
6507/3-2	1200.000000	1210.000000	FANGST GP	GROUP	38	1997-04-27	2954	9999-12-31	2013-05-08
6507/3-2	1780.000000	2008.000000	GREY BEDS (INFORMAL)	GROUP	52	1997-04-27	2954	9999-12-31	2013-05-08
6507/3-2	1205.000000	1210.000000	ILE FM	FORMATION	70	1997-04-27	2954	9999-12-31	2013-05-08
6507/3-2	1121.000000	1200.000000	KAI FM	FORMATION	77	1997-04-27	2954	9999-12-31	2013-05-08
6507/3-2	433.000000	1121.000000	NAUST FM	FORMATION	109	1997-04-27	2954	9999-12-31	2013-05-08
6507/3-2	433.000000	1200.000000	NORDLAND GP	GROUP	113	1997-04-27	2954	9999-12-31	2013-05-08
6507/3-2	1200.000000	1205.000000	NOT FM	FORMATION	120	1997-04-27	2954	9999-12-31	2013-05-08
6507/3-2	2008.000000	2032.000000	RED BEDS (INFORMAL)	GROUP	129	1997-04-27	2954	9999-12-31	2013-05-08
6507/3-2	1210.000000	1225.000000	ROR FM	FORMATION	135	1997-04-27	2954	9999-12-31	2013-05-08
6507/3-2	1225.000000	1274.000000	TILJE FM	FORMATION	169	1997-04-27	2954	9999-12-31	2013-05-08
6507/3-2	1274.000000	1780.000000	ÅRE FM	FORMATION	197	1997-04-27	2954	9999-12-31	2013-05-08
25/10-8	1941.000000	1987.000000	BALDER FM	FORMATION	6	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2354.000000	2372.000000	DRAUPNE FM	FORMATION	28	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2450.000000	2511.000000	DRAUPNE FM	FORMATION	28	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2209.000000	2266.000000	EKOFISK FM	FORMATION	33	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	1551.000000	1613.000000	GRID FM	FORMATION	53	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2077.000000	2122.000000	HEIMDAL FM	FORMATION	62	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	850.000000	1941.000000	HORDALAND GP	GROUP	67	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2511.000000	2536.000000	HUGIN FM	FORMATION	69	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2047.000000	2077.000000	LISTA FM	FORMATION	95	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2122.000000	2204.000000	LISTA FM	FORMATION	95	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	780.000000	850.000000	NO FORMAL NAME	FORMATION	111	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	1023.000000	1107.000000	NO FORMAL NAME	FORMATION	111	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	1232.000000	1551.000000	NO FORMAL NAME	FORMATION	111	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	1613.000000	1941.000000	NO FORMAL NAME	FORMATION	111	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2372.000000	2450.000000	NO FORMAL NAME	FORMATION	111	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	140.000000	850.000000	NORDLAND GP	GROUP	113	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	1941.000000	2209.000000	ROGALAND GP	GROUP	131	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2601.000000	2653.000000	ROTLIEGEND GP	GROUP	136	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	1987.000000	2047.000000	SELE FM	FORMATION	142	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2209.000000	2354.000000	SHETLAND GP	GROUP	143	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	850.000000	1023.000000	SKADE FM	FORMATION	145	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	1107.000000	1232.000000	SKADE FM	FORMATION	145	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2266.000000	2354.000000	TOR FM	FORMATION	171	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	672.000000	780.000000	UTSIRA FM	FORMATION	183	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2511.000000	2536.000000	VESTLAND GP	GROUP	186	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2354.000000	2511.000000	VIKING GP	GROUP	188	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2204.000000	2209.000000	VÅLE FM	FORMATION	190	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2577.000000	2601.000000	ZECHSTEIN GP	GROUP	194	1997-04-07	2955	9999-12-31	2013-05-08
25/10-8	2536.000000	2577.000000	NO GROUP DEFINED	GROUP	208	1997-04-07	2955	9999-12-31	2013-05-08
6608/8-1	1428.000000	1513.000000	BRYGGE FM	FORMATION	18	1997-03-30	2974	9999-12-31	2013-05-08
6608/8-1	1428.000000	1513.000000	HORDALAND GP	GROUP	67	1997-03-30	2974	9999-12-31	2013-05-08
6608/8-1	1326.000000	1428.000000	KAI FM	FORMATION	77	1997-03-30	2974	9999-12-31	2013-05-08
6608/8-1	357.000000	1326.000000	NAUST FM	FORMATION	109	1997-03-30	2974	9999-12-31	2013-05-08
6608/8-1	357.000000	1428.000000	NORDLAND GP	GROUP	113	1997-03-30	2974	9999-12-31	2013-05-08
6608/8-1	1753.000000	2755.000000	RED BEDS (INFORMAL)	GROUP	129	1997-03-30	2974	9999-12-31	2013-05-08
6608/8-1	1513.000000	1623.000000	ROGALAND GP	GROUP	131	1997-03-30	2974	9999-12-31	2013-05-08
6608/8-1	1623.000000	1753.000000	SHETLAND GP	GROUP	143	1997-03-30	2974	9999-12-31	2013-05-08
6608/8-1	1623.000000	1753.000000	SPRINGAR FM	FORMATION	156	1997-03-30	2974	9999-12-31	2013-05-08
6608/8-1	1607.000000	1623.000000	TANG FM	FORMATION	161	1997-03-30	2974	9999-12-31	2013-05-08
6608/8-1	1513.000000	1607.000000	TARE FM	FORMATION	163	1997-03-30	2974	9999-12-31	2013-05-08
6608/8-1	2755.000000	3013.000000	ZECHSTEIN GP	GROUP	194	1997-03-30	2974	9999-12-31	2013-05-08
6506/12-11 SR	2027.000000	2372.000000	BRYGGE FM	FORMATION	18	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	4901.000000	5268.000000	BÅT GP	GROUP	22	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	3681.000000	4577.000000	CROMER KNOLL GP	GROUP	23	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	4731.000000	4901.000000	FANGST GP	GROUP	38	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	4731.000000	4804.000000	GARN FM	FORMATION	48	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	2027.000000	2372.000000	HORDALAND GP	GROUP	67	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	4835.000000	4901.000000	ILE FM	FORMATION	70	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	1523.000000	2027.000000	KAI FM	FORMATION	77	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	3002.000000	3681.000000	KVITNOS FM	FORMATION	91	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	3728.000000	4554.000000	LANGE FM	FORMATION	94	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	4554.000000	4577.000000	LYR FM	FORMATION	98	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	3681.000000	3728.000000	LYSING FM	FORMATION	99	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	4590.000000	4731.000000	MELKE FM	FORMATION	105	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	2813.000000	3002.000000	NISE FM	FORMATION	112	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	311.000000	2027.000000	NORDLAND GP	GROUP	113	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	4804.000000	4835.000000	NOT FM	FORMATION	120	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	2372.000000	2540.000000	ROGALAND GP	GROUP	131	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	4901.000000	4980.000000	ROR FM	FORMATION	135	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	5026.000000	5042.000000	ROR FM	FORMATION	135	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	2540.000000	3681.000000	SHETLAND GP	GROUP	143	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	4577.000000	4590.000000	SPEKK FM	FORMATION	155	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	2540.000000	2813.000000	SPRINGAR FM	FORMATION	156	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	2464.000000	2540.000000	TANG FM	FORMATION	161	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	2372.000000	2464.000000	TARE FM	FORMATION	163	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	5042.000000	5211.000000	TILJE FM	FORMATION	169	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	4980.000000	5026.000000	TOFTE FM	FORMATION	170	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	4577.000000	4731.000000	VIKING GP	GROUP	188	1997-02-01	2977	9999-12-31	2013-05-08
6506/12-11 SR	5211.000000	5268.000000	ÅRE FM	FORMATION	197	1997-02-01	2977	9999-12-31	2013-05-08
30/11-5	2169.000000	2222.000000	BALDER FM	FORMATION	6	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	3249.000000	3716.000000	BRENT GP	GROUP	16	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	3059.000000	3082.000000	CROMER KNOLL GP	GROUP	23	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	3716.000000	3726.000000	DRAKE FM	FORMATION	27	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	3082.000000	3115.000000	DRAUPNE FM	FORMATION	28	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	3716.000000	3726.000000	DUNLIN GP	GROUP	29	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	1750.000000	1757.000000	GRID FM	FORMATION	53	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	1785.000000	1850.000000	GRID FM	FORMATION	53	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	2561.000000	2835.000000	HARDRÅDE FM	FORMATION	56	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	3115.000000	3249.000000	HEATHER FM	FORMATION	60	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	2222.000000	2306.000000	HERMOD FM	FORMATION	64	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	705.000000	2169.000000	HORDALAND GP	GROUP	67	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	2835.000000	3059.000000	KYRRE FM	FORMATION	92	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	2352.000000	2550.000000	LISTA FM	FORMATION	95	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	3443.000000	3716.000000	NESS FM	FORMATION	110	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	1757.000000	1785.000000	NO FORMAL NAME	FORMATION	111	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	1850.000000	2169.000000	NO FORMAL NAME	FORMATION	111	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	128.000000	705.000000	NORDLAND GP	GROUP	113	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	2169.000000	2561.000000	ROGALAND GP	GROUP	131	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	3059.000000	3082.000000	RØDBY FM	FORMATION	137	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	2306.000000	2352.000000	SELE FM	FORMATION	142	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	2561.000000	3059.000000	SHETLAND GP	GROUP	143	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	3249.000000	3443.000000	TARBERT FM	FORMATION	162	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	407.000000	705.000000	UTSIRA FM	FORMATION	183	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	3082.000000	3249.000000	VIKING GP	GROUP	188	1997-01-09	2986	9999-12-31	2013-05-08
30/11-5	2550.000000	2561.000000	VÅLE FM	FORMATION	190	1997-01-09	2986	9999-12-31	2013-05-08
25/8-9	2515.000000	2548.000000	AMUNDSEN FM	FORMATION	4	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	1905.000000	1988.000000	BALDER FM	FORMATION	6	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2355.000000	2383.000000	CROMER KNOLL GP	GROUP	23	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2383.000000	2392.000000	DRAUPNE FM	FORMATION	28	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2515.000000	2548.000000	DUNLIN GP	GROUP	29	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	1301.000000	1345.000000	GRID FM	FORMATION	53	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2392.000000	2432.000000	HEATHER FM	FORMATION	60	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2096.000000	2189.000000	HEIMDAL FM	FORMATION	62	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	790.000000	1905.000000	HORDALAND GP	GROUP	67	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2432.000000	2477.000000	HUGIN FM	FORMATION	69	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2037.000000	2096.000000	LISTA FM	FORMATION	95	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2189.000000	2228.000000	LISTA FM	FORMATION	95	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2376.000000	2379.000000	MIME FM	FORMATION	106	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	780.000000	790.000000	NO FORMAL NAME	FORMATION	111	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	905.000000	1301.000000	NO FORMAL NAME	FORMATION	111	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	1345.000000	1905.000000	NO FORMAL NAME	FORMATION	111	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	150.000000	790.000000	NORDLAND GP	GROUP	113	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	1905.000000	2323.000000	ROGALAND GP	GROUP	131	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2355.000000	2369.000000	RØDBY FM	FORMATION	137	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	1988.000000	2037.000000	SELE FM	FORMATION	142	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2323.000000	2355.000000	SHETLAND GP	GROUP	143	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	790.000000	905.000000	SKADE FM	FORMATION	145	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2477.000000	2515.000000	SLEIPNER FM	FORMATION	148	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2369.000000	2376.000000	SOLA FM	FORMATION	152	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2323.000000	2355.000000	SVARTE FM	FORMATION	160	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2228.000000	2304.000000	TY FM	FORMATION	176	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	694.000000	780.000000	UTSIRA FM	FORMATION	183	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2432.000000	2515.000000	VESTLAND GP	GROUP	186	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2383.000000	2432.000000	VIKING GP	GROUP	188	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2304.000000	2323.000000	VÅLE FM	FORMATION	190	1997-02-14	2988	9999-12-31	2013-05-08
25/8-9	2379.000000	2383.000000	ÅSGARD FM	FORMATION	198	1997-02-14	2988	9999-12-31	2013-05-08
6608/8-2	1605.000000	1763.000000	BRYGGE FM	FORMATION	18	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	2597.000000	2773.000000	CROMER KNOLL GP	GROUP	23	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	1605.000000	1763.000000	HORDALAND GP	GROUP	67	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	1491.000000	1605.000000	KAI FM	FORMATION	77	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	2600.000000	2773.000000	LANGE FM	FORMATION	94	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	2597.000000	2600.000000	LYSING FM	FORMATION	99	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	359.000000	1491.000000	NAUST FM	FORMATION	109	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	359.000000	1605.000000	NORDLAND GP	GROUP	113	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	2773.000000	2831.000000	RED BEDS (INFORMAL)	GROUP	129	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	1763.000000	1850.000000	ROGALAND GP	GROUP	131	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	1850.000000	2597.000000	SHETLAND GP	GROUP	143	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	1850.000000	2597.000000	SPRINGAR FM	FORMATION	156	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	1818.000000	1850.000000	TANG FM	FORMATION	161	2007-11-29	2989	9999-12-31	2013-05-08
6608/8-2	1763.000000	1818.000000	TARE FM	FORMATION	163	2007-11-29	2989	9999-12-31	2013-05-08
36/7-2	648.000000	678.000000	BALDER FM	FORMATION	6	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	1429.000000	1435.000000	BASEMENT	GROUP	10	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	678.000000	880.000000	CROMER KNOLL GP	GROUP	23	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	880.000000	917.000000	DRAUPNE FM	FORMATION	28	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	947.000000	1363.000000	FENSFJORD FM	FORMATION	40	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	936.000000	947.000000	HEATHER FM	FORMATION	60	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	291.000000	648.000000	NORDLAND GP	GROUP	113	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	648.000000	678.000000	ROGALAND GP	GROUP	131	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	917.000000	936.000000	SOGNEFJORD FM	FORMATION	151	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	678.000000	774.000000	SOLA FM	FORMATION	152	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	1363.000000	1429.000000	STATFJORD FM	FORMATION	157	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	880.000000	1363.000000	VIKING GP	GROUP	188	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	774.000000	880.000000	ÅSGARD FM	FORMATION	198	1997-09-22	2990	9999-12-31	2013-05-08
36/7-2	1363.000000	1429.000000	NO GROUP DEFINED	GROUP	208	1997-09-22	2990	9999-12-31	2013-05-08
35/4-1	4515.000000	4704.000000	AMUNDSEN FM	FORMATION	4	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	1720.000000	1768.000000	BALDER FM	FORMATION	6	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	3500.000000	3510.000000	BLODØKS FM	FORMATION	13	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	4079.000000	4287.000000	BRENT GP	GROUP	16	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	3675.000000	3695.000000	CROMER KNOLL GP	GROUP	23	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	4434.000000	4515.000000	COOK FM	FORMATION	24	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	4287.000000	4434.000000	DRAKE FM	FORMATION	27	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	4287.000000	4704.000000	DUNLIN GP	GROUP	29	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	3695.000000	4079.000000	HEATHER FM	FORMATION	60	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	4918.000000	4936.000000	HEGRE GP	GROUP	61	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	1116.000000	1720.000000	HORDALAND GP	GROUP	67	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	1912.000000	2033.000000	JORSALFARE FM	FORMATION	74	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	2033.000000	3326.000000	KYRRE FM	FORMATION	92	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	1807.000000	1883.000000	LISTA FM	FORMATION	95	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	1665.000000	1695.000000	NO FORMAL NAME	FORMATION	111	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	1695.000000	1720.000000	NO FORMAL NAME	FORMATION	111	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	404.000000	1116.000000	NORDLAND GP	GROUP	113	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	1720.000000	1912.000000	ROGALAND GP	GROUP	131	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	3675.000000	3695.000000	RØDBY FM	FORMATION	137	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	1768.000000	1807.000000	SELE FM	FORMATION	142	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	1912.000000	3675.000000	SHETLAND GP	GROUP	143	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	4704.000000	4918.000000	STATFJORD FM	FORMATION	157	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	3510.000000	3675.000000	SVARTE FM	FORMATION	160	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	3326.000000	3500.000000	TRYGGVASON FM	FORMATION	173	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	3695.000000	4079.000000	VIKING GP	GROUP	188	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	1883.000000	1912.000000	VÅLE FM	FORMATION	190	1997-05-24	2993	9999-12-31	2013-05-08
35/4-1	4704.000000	4918.000000	NO GROUP DEFINED	GROUP	208	1997-05-24	2993	9999-12-31	2013-05-08
2/8-16 S	1548.000000	3139.000000	HORDALAND GP	GROUP	67	1997-03-14	3008	9999-12-31	2013-05-08
2/8-16 S	113.000000	1548.000000	NORDLAND GP	GROUP	113	1997-03-14	3008	9999-12-31	2013-05-08
35/11-9	1534.000000	1584.000000	BALDER FM	FORMATION	6	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	2381.000000	2389.000000	CROMER KNOLL GP	GROUP	23	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	2389.000000	2539.000000	DRAUPNE FM	FORMATION	28	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	2653.000000	2733.000000	INTRA HEATHER FM SS	FORMATION	59	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	2539.000000	2556.000000	HEATHER FM	FORMATION	60	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	2580.000000	2653.000000	HEATHER FM	FORMATION	60	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	2733.000000	2830.000000	HEATHER FM	FORMATION	60	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	1715.000000	1784.000000	HEIMDAL FM	FORMATION	62	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	783.000000	1534.000000	HORDALAND GP	GROUP	67	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	1973.000000	2093.000000	JORSALFARE FM	FORMATION	74	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	2093.000000	2303.000000	KYRRE FM	FORMATION	92	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	1646.000000	1715.000000	LISTA FM	FORMATION	95	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	1784.000000	1856.000000	LISTA FM	FORMATION	95	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	386.000000	783.000000	NORDLAND GP	GROUP	113	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	1534.000000	1973.000000	ROGALAND GP	GROUP	131	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	2381.000000	2389.000000	RØDBY FM	FORMATION	137	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	1584.000000	1646.000000	SELE FM	FORMATION	142	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	1973.000000	2381.000000	SHETLAND GP	GROUP	143	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	2556.000000	2580.000000	SOGNEFJORD FM	FORMATION	151	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	2303.000000	2381.000000	SVARTE FM	FORMATION	160	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	1910.000000	1973.000000	TY FM	FORMATION	176	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	767.000000	783.000000	UTSIRA FM	FORMATION	183	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	2389.000000	2830.000000	VIKING GP	GROUP	188	1997-05-01	3009	9999-12-31	2013-05-08
35/11-9	1856.000000	1910.000000	VÅLE FM	FORMATION	190	1997-05-01	3009	9999-12-31	2013-05-08
6406/2-4 S	1946.000000	2462.000000	BRYGGE FM	FORMATION	18	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	3485.000000	4388.000000	CROMER KNOLL GP	GROUP	23	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	1946.000000	2462.000000	HORDALAND GP	GROUP	67	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	1576.000000	1946.000000	KAI FM	FORMATION	77	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	2913.000000	3485.000000	KVITNOS FM	FORMATION	91	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	3502.000000	3565.000000	LANGE FM	FORMATION	94	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	3623.000000	4372.000000	LANGE FM	FORMATION	94	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	4372.000000	4388.000000	LYR FM	FORMATION	98	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	3485.000000	3502.000000	LYSING FM	FORMATION	99	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	4406.000000	4546.000000	MELKE FM	FORMATION	105	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	296.000000	1576.000000	NAUST FM	FORMATION	109	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	3565.000000	3623.000000	NO FORMAL NAME	FORMATION	111	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	2725.000000	2913.000000	NISE FM	FORMATION	112	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	296.000000	1946.000000	NORDLAND GP	GROUP	113	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	2462.000000	2589.000000	ROGALAND GP	GROUP	131	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	2589.000000	3485.000000	SHETLAND GP	GROUP	143	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	4388.000000	4406.000000	SPEKK FM	FORMATION	155	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	2589.000000	2725.000000	SPRINGAR FM	FORMATION	156	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	2528.000000	2589.000000	TANG FM	FORMATION	161	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	2462.000000	2528.000000	TARE FM	FORMATION	163	1997-04-05	3012	9999-12-31	2013-05-08
6406/2-4 S	4388.000000	4546.000000	VIKING GP	GROUP	188	1997-04-05	3012	9999-12-31	2013-05-08
15/6-8 S	2259.000000	2322.000000	BALDER FM	FORMATION	6	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	3069.000000	3075.000000	BLODØKS FM	FORMATION	13	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	3085.000000	3090.000000	CROMER KNOLL GP	GROUP	23	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	3090.000000	3118.000000	DRAUPNE FM	FORMATION	28	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	2677.000000	2723.000000	EKOFISK FM	FORMATION	33	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	1811.000000	2037.000000	GRID FM	FORMATION	53	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	3118.000000	3165.000000	HEATHER FM	FORMATION	60	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	2433.000000	2650.000000	HEIMDAL FM	FORMATION	62	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	2838.000000	3069.000000	HOD FM	FORMATION	66	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	1080.000000	2259.000000	HORDALAND GP	GROUP	67	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	3165.000000	3174.000000	HUGIN FM	FORMATION	69	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	2385.000000	2433.000000	LISTA FM	FORMATION	95	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	1243.000000	1270.000000	NO FORMAL NAME	FORMATION	111	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	1280.000000	1362.000000	NO FORMAL NAME	FORMATION	111	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	1390.000000	1811.000000	NO FORMAL NAME	FORMATION	111	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	2037.000000	2259.000000	NO FORMAL NAME	FORMATION	111	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	127.000000	1080.000000	NORDLAND GP	GROUP	113	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	2259.000000	2677.000000	ROGALAND GP	GROUP	131	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	2322.000000	2385.000000	SELE FM	FORMATION	142	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	2677.000000	3085.000000	SHETLAND GP	GROUP	143	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	1178.000000	1243.000000	SKADE FM	FORMATION	145	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	1270.000000	1280.000000	SKADE FM	FORMATION	145	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	1362.000000	1390.000000	SKADE FM	FORMATION	145	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	3174.000000	3225.000000	SKAGERRAK FM	FORMATION	146	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	3075.000000	3085.000000	SVARTE FM	FORMATION	160	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	2723.000000	2838.000000	TOR FM	FORMATION	171	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	773.000000	1080.000000	UTSIRA FM	FORMATION	183	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	3165.000000	3174.000000	VESTLAND GP	GROUP	186	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	3090.000000	3165.000000	VIKING GP	GROUP	188	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	2650.000000	2677.000000	VÅLE FM	FORMATION	190	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	3085.000000	3090.000000	ÅSGARD FM	FORMATION	198	1997-04-05	3014	9999-12-31	2013-05-08
15/6-8 S	3174.000000	3225.000000	NO GROUP DEFINED	GROUP	208	1997-04-05	3014	9999-12-31	2013-05-08
7228/7-1 S	334.000000	1362.000000	ADVENTDALEN GP	GROUP	1	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	1480.000000	1598.000000	FRUHOLMEN FM	FORMATION	46	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	1348.000000	1362.000000	FUGLEN FM	FORMATION	47	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	1314.000000	1348.000000	HEKKINGEN FM	FORMATION	63	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	1362.000000	1712.000000	KAPP TOSCANA GP	GROUP	79	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	1300.000000	1314.000000	KNURR FM	FORMATION	82	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	334.000000	1300.000000	KOLMULE FM	FORMATION	85	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	311.000000	334.000000	NORDLAND GP	GROUP	113	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	1378.000000	1397.000000	NORDMELA FM	FORMATION	118	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	1598.000000	1712.000000	SNADD FM	FORMATION	150	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	1362.000000	1378.000000	STØ FM	FORMATION	159	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	1397.000000	1480.000000	TUBÅEN FM	FORMATION	174	2001-01-08	3015	9999-12-31	2013-05-08
7228/7-1 S	1712.000000	2087.000000	UNDEFINED GP	GROUP	191	2001-01-08	3015	9999-12-31	2013-05-08
25/8-9 A	2149.000000	2294.000000	BALDER FM	FORMATION	6	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	1292.000000	1355.000000	GRID FM	FORMATION	53	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	2478.000000	2607.000000	HEIMDAL FM	FORMATION	62	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	790.000000	2149.000000	HORDALAND GP	GROUP	67	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	2376.000000	2478.000000	LISTA FM	FORMATION	95	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	2607.000000	2687.000000	LISTA FM	FORMATION	95	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	780.000000	790.000000	NO FORMAL NAME	FORMATION	111	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	905.000000	1292.000000	NO FORMAL NAME	FORMATION	111	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	1355.000000	2149.000000	NO FORMAL NAME	FORMATION	111	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	150.000000	790.000000	NORDLAND GP	GROUP	113	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	2149.000000	2687.000000	ROGALAND GP	GROUP	131	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	2294.000000	2376.000000	SELE FM	FORMATION	142	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	790.000000	905.000000	SKADE FM	FORMATION	145	1997-02-14	3025	9999-12-31	2013-05-08
25/8-9 A	694.000000	780.000000	UTSIRA FM	FORMATION	183	1997-02-14	3025	9999-12-31	2013-05-08
35/11-10	1414.000000	1462.000000	BALDER FM	FORMATION	6	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	2648.000000	2801.000000	BRENT GP	GROUP	16	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	2818.000000	2950.000000	COOK FM	FORMATION	24	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	2801.000000	2818.000000	DRAKE FM	FORMATION	27	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	1965.000000	1971.000000	DRAUPNE FM	FORMATION	28	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	2801.000000	2950.000000	DUNLIN GP	GROUP	29	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	2718.000000	2728.000000	ETIVE FM	FORMATION	35	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	2275.000000	2385.000000	FENSFJORD FM	FORMATION	40	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	2117.000000	2275.000000	HEATHER FM	FORMATION	60	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	2385.000000	2648.000000	HEATHER FM	FORMATION	60	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	1713.000000	1777.000000	HEIMDAL FM	FORMATION	62	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	756.000000	1414.000000	HORDALAND GP	GROUP	67	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	1858.000000	1965.000000	JORSALFARE FM	FORMATION	74	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	1578.000000	1713.000000	LISTA FM	FORMATION	95	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	1777.000000	1791.000000	LISTA FM	FORMATION	95	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	2648.000000	2718.000000	NESS FM	FORMATION	110	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	376.000000	756.000000	NORDLAND GP	GROUP	113	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	2746.000000	2801.000000	OSEBERG FM	FORMATION	123	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	2728.000000	2746.000000	RANNOCH FM	FORMATION	126	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	1414.000000	1858.000000	ROGALAND GP	GROUP	131	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	1462.000000	1578.000000	SELE FM	FORMATION	142	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	1858.000000	1965.000000	SHETLAND GP	GROUP	143	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	1971.000000	2117.000000	SOGNEFJORD FM	FORMATION	151	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	1965.000000	2648.000000	VIKING GP	GROUP	188	1997-06-23	3042	9999-12-31	2013-05-08
35/11-10	1791.000000	1858.000000	VÅLE FM	FORMATION	190	1997-06-23	3042	9999-12-31	2013-05-08
6306/5-1	1125.000000	1409.000000	BRYGGE FM	FORMATION	18	1997-07-10	3060	9999-12-31	2013-05-08
6306/5-1	1750.000000	1762.000000	EGGA FM (INFORMAL)	FORMATION	31	1997-07-10	3060	9999-12-31	2013-05-08
6306/5-1	1125.000000	1409.000000	HORDALAND GP	GROUP	67	1997-07-10	3060	9999-12-31	2013-05-08
6306/5-1	1041.000000	1125.000000	KAI FM	FORMATION	77	1997-07-10	3060	9999-12-31	2013-05-08
6306/5-1	1811.000000	2050.000000	KVITNOS FM	FORMATION	91	1997-07-10	3060	9999-12-31	2013-05-08
6306/5-1	253.000000	1041.000000	NAUST FM	FORMATION	109	1997-07-10	3060	9999-12-31	2013-05-08
6306/5-1	1762.000000	1811.000000	NISE FM	FORMATION	112	1997-07-10	3060	9999-12-31	2013-05-08
6306/5-1	253.000000	1125.000000	NORDLAND GP	GROUP	113	1997-07-10	3060	9999-12-31	2013-05-08
6306/5-1	1409.000000	1762.000000	ROGALAND GP	GROUP	131	1997-07-10	3060	9999-12-31	2013-05-08
6306/5-1	1762.000000	2050.000000	SHETLAND GP	GROUP	143	1997-07-10	3060	9999-12-31	2013-05-08
6306/5-1	1487.000000	1750.000000	TANG FM	FORMATION	161	1997-07-10	3060	9999-12-31	2013-05-08
6306/5-1	1409.000000	1487.000000	TARE FM	FORMATION	163	1997-07-10	3060	9999-12-31	2013-05-08
25/8-10 S	1645.000000	1708.000000	BALDER FM	FORMATION	6	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	1827.000000	1890.000000	EKOFISK FM	FORMATION	33	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	1761.000000	1765.000000	HEIMDAL FM	FORMATION	62	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	1777.000000	1827.000000	HEIMDAL FM	FORMATION	62	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	1725.000000	1741.000000	HERMOD FM	FORMATION	64	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	757.000000	1645.000000	HORDALAND GP	GROUP	67	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	1741.000000	1761.000000	LISTA FM	FORMATION	95	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	1765.000000	1777.000000	LISTA FM	FORMATION	95	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	692.000000	757.000000	NO FORMAL NAME	FORMATION	111	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	900.000000	910.000000	NO FORMAL NAME	FORMATION	111	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	1100.000000	1645.000000	NO FORMAL NAME	FORMATION	111	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	154.000000	757.000000	NORDLAND GP	GROUP	113	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	1645.000000	1827.000000	ROGALAND GP	GROUP	131	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	1708.000000	1725.000000	SELE FM	FORMATION	142	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	1827.000000	1890.000000	SHETLAND GP	GROUP	143	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	757.000000	900.000000	SKADE FM	FORMATION	145	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	910.000000	1100.000000	SKADE FM	FORMATION	145	1997-06-05	3062	9999-12-31	2013-05-08
25/8-10 S	629.000000	692.000000	UTSIRA FM	FORMATION	183	1997-06-05	3062	9999-12-31	2013-05-08
16/7-6	2030.000000	2071.000000	BALDER FM	FORMATION	6	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2478.000000	2504.000000	BLODØKS FM	FORMATION	13	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2504.000000	2555.000000	CROMER KNOLL GP	GROUP	23	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2555.000000	2556.000000	DRAUPNE FM	FORMATION	28	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2197.000000	2221.000000	EKOFISK FM	FORMATION	33	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2419.000000	2478.000000	HOD FM	FORMATION	66	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	1106.000000	2030.000000	HORDALAND GP	GROUP	67	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2115.000000	2184.000000	LISTA FM	FORMATION	95	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	103.000000	1106.000000	NORDLAND GP	GROUP	113	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2030.000000	2197.000000	ROGALAND GP	GROUP	131	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2504.000000	2530.000000	RØDBY FM	FORMATION	137	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2071.000000	2115.000000	SELE FM	FORMATION	142	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2197.000000	2504.000000	SHETLAND GP	GROUP	143	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2565.000000	2725.000000	SKAGERRAK FM	FORMATION	146	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2530.000000	2550.000000	SOLA FM	FORMATION	152	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2221.000000	2419.000000	TOR FM	FORMATION	171	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2556.000000	2565.000000	UNDIFFERENTIATED	FORMATION	182	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	867.000000	1106.000000	UTSIRA FM	FORMATION	183	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2555.000000	2556.000000	VIKING GP	GROUP	188	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2184.000000	2197.000000	VÅLE FM	FORMATION	190	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2550.000000	2555.000000	ÅSGARD FM	FORMATION	198	1997-07-24	3067	9999-12-31	2013-05-08
16/7-6	2556.000000	2725.000000	NO GROUP DEFINED	GROUP	208	1997-07-24	3067	9999-12-31	2013-05-08
15/12-11 S	2530.000000	2572.000000	BALDER FM	FORMATION	6	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3128.000000	3146.000000	BLODØKS FM	FORMATION	13	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3221.000000	3241.000000	CROMER KNOLL GP	GROUP	23	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3241.000000	3322.000000	DRAUPNE FM	FORMATION	28	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2840.000000	2856.000000	EKOFISK FM	FORMATION	33	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2270.000000	2309.000000	GRID FM	FORMATION	53	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3322.000000	3395.000000	HEATHER FM	FORMATION	60	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2680.000000	2813.000000	HEIMDAL FM	FORMATION	62	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2922.000000	3128.000000	HOD FM	FORMATION	66	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	1323.000000	2530.000000	HORDALAND GP	GROUP	67	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3395.000000	3419.000000	HUGIN FM	FORMATION	69	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2612.000000	2680.000000	LISTA FM	FORMATION	95	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2813.000000	2825.000000	MAUREEN FM	FORMATION	102	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	1130.000000	1323.000000	NO FORMAL NAME	FORMATION	111	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2309.000000	2530.000000	NO FORMAL NAME	FORMATION	111	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	122.000000	1323.000000	NORDLAND GP	GROUP	113	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2530.000000	2840.000000	ROGALAND GP	GROUP	131	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3221.000000	3234.000000	RØDBY FM	FORMATION	137	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2572.000000	2612.000000	SELE FM	FORMATION	142	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2840.000000	3221.000000	SHETLAND GP	GROUP	143	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3544.000000	3597.000000	SKAGERRAK FM	FORMATION	146	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3419.000000	3544.000000	SLEIPNER FM	FORMATION	148	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3146.000000	3221.000000	SVARTE FM	FORMATION	160	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2856.000000	2922.000000	TOR FM	FORMATION	171	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	967.000000	1130.000000	UTSIRA FM	FORMATION	183	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3395.000000	3544.000000	VESTLAND GP	GROUP	186	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3241.000000	3395.000000	VIKING GP	GROUP	188	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	2825.000000	2840.000000	VÅLE FM	FORMATION	190	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3234.000000	3241.000000	ÅSGARD FM	FORMATION	198	1997-05-19	3074	9999-12-31	2013-05-08
15/12-11 S	3544.000000	3597.000000	NO GROUP DEFINED	GROUP	208	1997-05-19	3074	9999-12-31	2013-05-08
6707/10-1	4241.000000	5039.000000	KVITNOS FM	FORMATION	91	1997-07-23	3075	9999-12-31	2013-05-08
6707/10-1	2898.000000	2977.000000	NISE FM	FORMATION	112	1997-07-23	3075	9999-12-31	2013-05-08
6707/10-1	3810.000000	3939.000000	NISE FM	FORMATION	112	1997-07-23	3075	9999-12-31	2013-05-08
6707/10-1	1299.000000	2142.000000	NORDLAND GP	GROUP	113	1997-07-23	3075	9999-12-31	2013-05-08
6707/10-1	2142.000000	2448.000000	ROGALAND GP	GROUP	131	1997-07-23	3075	9999-12-31	2013-05-08
6707/10-1	2448.000000	5039.000000	SHETLAND GP	GROUP	143	1997-07-23	3075	9999-12-31	2013-05-08
6707/10-1	2448.000000	2898.000000	SPRINGAR FM	FORMATION	156	1997-07-23	3075	9999-12-31	2013-05-08
6707/10-1	2200.000000	2448.000000	TANG FM	FORMATION	161	1997-07-23	3075	9999-12-31	2013-05-08
6707/10-1	2142.000000	2200.000000	TARE FM	FORMATION	163	1997-07-23	3075	9999-12-31	2013-05-08
6707/10-1	2977.000000	3810.000000	DELFIN FM (INFORMAL)	FORMATION	204	1997-07-23	3075	9999-12-31	2013-05-08
6707/10-1	3939.000000	4241.000000	DELFIN FM (INFORMAL)	FORMATION	204	1997-07-23	3075	9999-12-31	2013-05-08
15/6-8 A	2264.000000	2323.000000	BALDER FM	FORMATION	6	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	1811.000000	2086.000000	GRID FM	FORMATION	53	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	2431.000000	2480.000000	HEIMDAL FM	FORMATION	62	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	1080.000000	2264.000000	HORDALAND GP	GROUP	67	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	2382.000000	2431.000000	LISTA FM	FORMATION	95	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	1243.000000	1270.000000	NO FORMAL NAME	FORMATION	111	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	1280.000000	1362.000000	NO FORMAL NAME	FORMATION	111	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	1390.000000	1811.000000	NO FORMAL NAME	FORMATION	111	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	2086.000000	2264.000000	NO FORMAL NAME	FORMATION	111	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	127.000000	1080.000000	NORDLAND GP	GROUP	113	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	2264.000000	2480.000000	ROGALAND GP	GROUP	131	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	2323.000000	2382.000000	SELE FM	FORMATION	142	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	1177.000000	1243.000000	SKADE FM	FORMATION	145	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	1270.000000	1280.000000	SKADE FM	FORMATION	145	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	1362.000000	1390.000000	SKADE FM	FORMATION	145	1997-04-18	3077	9999-12-31	2013-05-08
15/6-8 A	773.000000	1080.000000	UTSIRA FM	FORMATION	183	1997-04-18	3077	9999-12-31	2013-05-08
2/5-11	3076.000000	3086.000000	BALDER FM	FORMATION	6	1997-11-14	3084	9999-12-31	2013-05-08
2/5-11	3203.000000	3362.000000	EKOFISK FM	FORMATION	33	1997-11-14	3084	9999-12-31	2013-05-08
2/5-11	1752.000000	3076.000000	HORDALAND GP	GROUP	67	1997-11-14	3084	9999-12-31	2013-05-08
2/5-11	3096.000000	3181.000000	LISTA FM	FORMATION	95	1997-11-14	3084	9999-12-31	2013-05-08
2/5-11	104.000000	1752.000000	NORDLAND GP	GROUP	113	1997-11-14	3084	9999-12-31	2013-05-08
2/5-11	3076.000000	3203.000000	ROGALAND GP	GROUP	131	1997-11-14	3084	9999-12-31	2013-05-08
2/5-11	3086.000000	3096.000000	SELE FM	FORMATION	142	1997-11-14	3084	9999-12-31	2013-05-08
2/5-11	3203.000000	3550.000000	SHETLAND GP	GROUP	143	1997-11-14	3084	9999-12-31	2013-05-08
2/5-11	3362.000000	3550.000000	TOR FM	FORMATION	171	1997-11-14	3084	9999-12-31	2013-05-08
2/5-11	3181.000000	3203.000000	VÅLE FM	FORMATION	190	1997-11-14	3084	9999-12-31	2013-05-08
9/2-7 S	945.000000	980.000000	BALDER FM	FORMATION	6	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	2105.000000	2180.000000	BLODØKS FM	FORMATION	13	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	3062.000000	3854.000000	BOKNFJORD GP	GROUP	15	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	3994.000000	4099.000000	BRYNE FM	FORMATION	19	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	2180.000000	3062.000000	CROMER KNOLL GP	GROUP	23	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	3784.000000	3854.000000	EGERSUND FM	FORMATION	30	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	1057.000000	1117.000000	EKOFISK FM	FORMATION	33	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	3062.000000	3182.000000	FLEKKEFJORD FM	FORMATION	43	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	1585.000000	2105.000000	HOD FM	FORMATION	66	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	415.000000	945.000000	HORDALAND GP	GROUP	67	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	1000.000000	1043.000000	LISTA FM	FORMATION	95	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	102.000000	415.000000	NORDLAND GP	GROUP	113	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	945.000000	1057.000000	ROGALAND GP	GROUP	131	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	2180.000000	2203.000000	RØDBY FM	FORMATION	137	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	3854.000000	3994.000000	SANDNES FM	FORMATION	139	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	3182.000000	3683.000000	SAUDA FM	FORMATION	141	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	980.000000	1000.000000	SELE FM	FORMATION	142	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	1057.000000	2180.000000	SHETLAND GP	GROUP	143	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	2203.000000	2362.000000	SOLA FM	FORMATION	152	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	3683.000000	3784.000000	TAU FM	FORMATION	164	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	1117.000000	1585.000000	TOR FM	FORMATION	171	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	3854.000000	4099.000000	VESTLAND GP	GROUP	186	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	1043.000000	1057.000000	VÅLE FM	FORMATION	190	1997-06-18	3087	9999-12-31	2013-05-08
9/2-7 S	2362.000000	3062.000000	ÅSGARD FM	FORMATION	198	1997-06-18	3087	9999-12-31	2013-05-08
6407/8-3	1175.000000	1374.000000	BRYGGE FM	FORMATION	18	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1805.000000	1960.000000	BÅT GP	GROUP	22	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1631.000000	1639.000000	CROMER KNOLL GP	GROUP	23	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1666.000000	1805.000000	FANGST GP	GROUP	38	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1175.000000	1374.000000	HORDALAND GP	GROUP	67	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1678.000000	1805.000000	ILE FM	FORMATION	70	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1631.000000	1639.000000	LYR FM	FORMATION	98	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	310.000000	1175.000000	NORDLAND GP	GROUP	113	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1666.000000	1678.000000	NOT FM	FORMATION	120	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1374.000000	1555.000000	ROGALAND GP	GROUP	131	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1805.000000	1842.000000	ROR FM	FORMATION	135	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1555.000000	1631.000000	SHETLAND GP	GROUP	143	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1639.000000	1666.000000	SPEKK FM	FORMATION	155	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1409.000000	1555.000000	TANG FM	FORMATION	161	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1374.000000	1409.000000	TARE FM	FORMATION	163	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1842.000000	1935.000000	TILJE FM	FORMATION	169	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1639.000000	1666.000000	VIKING GP	GROUP	188	1997-05-27	3092	9999-12-31	2013-05-08
6407/8-3	1935.000000	1960.000000	ÅRE FM	FORMATION	197	1997-05-27	3092	9999-12-31	2013-05-08
25/10-8 A	2417.000000	2505.000000	BALDER FM	FORMATION	6	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	3090.000000	3245.000000	DRAUPNE FM	FORMATION	28	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	3420.000000	3460.000000	DRAUPNE FM	FORMATION	28	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	2884.000000	2986.000000	EKOFISK FM	FORMATION	33	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	1737.000000	1810.000000	GRID FM	FORMATION	53	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	2662.000000	2759.000000	HEIMDAL FM	FORMATION	62	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	850.000000	2417.000000	HORDALAND GP	GROUP	67	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	2584.000000	2662.000000	LISTA FM	FORMATION	95	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	2759.000000	2853.000000	LISTA FM	FORMATION	95	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	780.000000	850.000000	NO FORMAL NAME	FORMATION	111	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	1023.000000	1107.000000	NO FORMAL NAME	FORMATION	111	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	1237.000000	1737.000000	NO FORMAL NAME	FORMATION	111	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	1810.000000	2417.000000	NO FORMAL NAME	FORMATION	111	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	3245.000000	3420.000000	NO FORMAL NAME	FORMATION	111	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	140.000000	850.000000	NORDLAND GP	GROUP	113	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	2417.000000	2884.000000	ROGALAND GP	GROUP	131	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	2505.000000	2584.000000	SELE FM	FORMATION	142	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	2884.000000	3090.000000	SHETLAND GP	GROUP	143	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	850.000000	1023.000000	SKADE FM	FORMATION	145	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	1107.000000	1237.000000	SKADE FM	FORMATION	145	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	2986.000000	3090.000000	TOR FM	FORMATION	171	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	672.000000	780.000000	UTSIRA FM	FORMATION	183	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	3090.000000	3460.000000	VIKING GP	GROUP	188	1997-04-27	3098	9999-12-31	2013-05-08
25/10-8 A	2853.000000	2884.000000	VÅLE FM	FORMATION	190	1997-04-27	3098	9999-12-31	2013-05-08
15/5-6	2045.000000	2098.000000	BALDER FM	FORMATION	6	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	2674.000000	2725.000000	EKOFISK FM	FORMATION	33	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	1539.000000	1839.000000	GRID FM	FORMATION	53	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	2172.000000	2592.000000	HEIMDAL FM	FORMATION	62	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	898.000000	2045.000000	HORDALAND GP	GROUP	67	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	2145.000000	2172.000000	LISTA FM	FORMATION	95	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	1839.000000	2045.000000	NO FORMAL NAME	FORMATION	111	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	133.000000	898.000000	NORDLAND GP	GROUP	113	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	2045.000000	2674.000000	ROGALAND GP	GROUP	131	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	2098.000000	2145.000000	SELE FM	FORMATION	142	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	2674.000000	2725.000000	SHETLAND GP	GROUP	143	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	2616.000000	2656.000000	TY FM	FORMATION	176	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	728.000000	898.000000	UTSIRA FM	FORMATION	183	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	2592.000000	2616.000000	VÅLE FM	FORMATION	190	1997-07-16	3113	9999-12-31	2013-05-08
15/5-6	2656.000000	2674.000000	VÅLE FM	FORMATION	190	1997-07-16	3113	9999-12-31	2013-05-08
25/7-4 S	1904.000000	2002.000000	BALDER FM	FORMATION	6	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	2512.000000	2550.000000	EKOFISK FM	FORMATION	33	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	2176.000000	2371.000000	HEIMDAL FM	FORMATION	62	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	2018.000000	2121.000000	HERMOD FM	FORMATION	64	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	923.000000	1904.000000	HORDALAND GP	GROUP	67	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	2121.000000	2176.000000	LISTA FM	FORMATION	95	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	1063.000000	1904.000000	NO FORMAL NAME	FORMATION	111	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	149.000000	923.000000	NORDLAND GP	GROUP	113	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	1904.000000	2512.000000	ROGALAND GP	GROUP	131	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	2002.000000	2018.000000	SELE FM	FORMATION	142	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	2512.000000	2550.000000	SHETLAND GP	GROUP	143	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	2550.000000	2560.000000	SHETLAND GP	GROUP	143	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	995.000000	1063.000000	SKADE FM	FORMATION	145	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	2550.000000	2560.000000	TOR FM	FORMATION	171	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	2371.000000	2512.000000	TY FM	FORMATION	176	1997-06-21	3114	9999-12-31	2013-05-08
25/7-4 S	490.000000	923.000000	UTSIRA FM	FORMATION	183	1997-06-21	3114	9999-12-31	2013-05-08
25/11-19 SR	1792.000000	1823.000000	BALDER FM	FORMATION	6	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1833.000000	1865.000000	BALDER FM	FORMATION	6	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1823.000000	1833.000000	INTRA BALDER FM SS	FORMATION	7	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	2137.000000	2168.000000	CROMER KNOLL GP	GROUP	23	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	2168.000000	2200.000000	DRAUPNE FM	FORMATION	28	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	2045.000000	2050.000000	EKOFISK FM	FORMATION	33	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1891.000000	1893.000000	HERMOD FM	FORMATION	64	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1897.000000	1985.000000	HERMOD FM	FORMATION	64	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	2085.000000	2137.000000	HOD FM	FORMATION	66	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	763.000000	1792.000000	HORDALAND GP	GROUP	67	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1996.000000	2045.000000	LISTA FM	FORMATION	95	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	713.000000	763.000000	NO FORMAL NAME	FORMATION	111	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	953.000000	1077.000000	NO FORMAL NAME	FORMATION	111	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1087.000000	1169.000000	NO FORMAL NAME	FORMATION	111	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1190.000000	1792.000000	NO FORMAL NAME	FORMATION	111	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	154.000000	763.000000	NORDLAND GP	GROUP	113	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1792.000000	2045.000000	ROGALAND GP	GROUP	131	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1865.000000	1891.000000	SELE FM	FORMATION	142	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1893.000000	1897.000000	SELE FM	FORMATION	142	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1985.000000	1996.000000	SELE FM	FORMATION	142	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	2045.000000	2137.000000	SHETLAND GP	GROUP	143	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	763.000000	953.000000	SKADE FM	FORMATION	145	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1077.000000	1087.000000	SKADE FM	FORMATION	145	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	1169.000000	1190.000000	SKADE FM	FORMATION	145	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	2200.000000	2250.000000	STATFJORD FM	FORMATION	157	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	2050.000000	2085.000000	TOR FM	FORMATION	171	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	597.000000	713.000000	UTSIRA FM	FORMATION	183	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	2168.000000	2200.000000	VIKING GP	GROUP	188	1997-05-06	3117	9999-12-31	2013-05-08
25/11-19 SR	2200.000000	2250.000000	NO GROUP DEFINED	GROUP	208	1997-05-06	3117	9999-12-31	2013-05-08
6406/2-5	1976.000000	2340.000000	BRYGGE FM	FORMATION	18	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	5043.000000	5439.000000	BÅT GP	GROUP	22	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	3480.000000	4792.000000	CROMER KNOLL GP	GROUP	23	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	4792.000000	5043.000000	FANGST GP	GROUP	38	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	4792.000000	4912.000000	GARN FM	FORMATION	48	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	1976.000000	2340.000000	HORDALAND GP	GROUP	67	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	4950.000000	5043.000000	ILE FM	FORMATION	70	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	1540.000000	1976.000000	KAI FM	FORMATION	77	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	2867.000000	3480.000000	KVITNOS FM	FORMATION	91	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	3501.000000	4654.000000	LANGE FM	FORMATION	94	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	4654.000000	4792.000000	LYR FM	FORMATION	98	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	3480.000000	3501.000000	LYSING FM	FORMATION	99	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	364.000000	1540.000000	NAUST FM	FORMATION	109	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	2674.000000	2867.000000	NISE FM	FORMATION	112	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	364.000000	1976.000000	NORDLAND GP	GROUP	113	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	4912.000000	4950.000000	NOT FM	FORMATION	120	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	2340.000000	2469.000000	ROGALAND GP	GROUP	131	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	5043.000000	5108.000000	ROR FM	FORMATION	135	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	5207.000000	5210.000000	ROR FM	FORMATION	135	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	2469.000000	3480.000000	SHETLAND GP	GROUP	143	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	2469.000000	2674.000000	SPRINGAR FM	FORMATION	156	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	2397.000000	2469.000000	TANG FM	FORMATION	161	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	2340.000000	2397.000000	TARE FM	FORMATION	163	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	5210.000000	5396.000000	TILJE FM	FORMATION	169	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	5108.000000	5207.000000	TOFTE FM	FORMATION	170	1997-09-29	3125	9999-12-31	2013-05-08
6406/2-5	5396.000000	5439.000000	ÅRE FM	FORMATION	197	1997-09-29	3125	9999-12-31	2013-05-08
9/2-8 S	752.000000	773.000000	BALDER FM	FORMATION	6	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	2132.000000	2257.000000	BLODØKS FM	FORMATION	13	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	4762.000000	5823.000000	BOKNFJORD GP	GROUP	15	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	5955.000000	6023.000000	BRYNE FM	FORMATION	19	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	2257.000000	4762.000000	CROMER KNOLL GP	GROUP	23	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	5769.000000	5823.000000	EGERSUND FM	FORMATION	30	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	7420.000000	7584.000000	EGERSUND FM	FORMATION	30	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	850.000000	886.000000	EKOFISK FM	FORMATION	33	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	4762.000000	4995.000000	FLEKKEFJORD FM	FORMATION	43	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	1251.000000	2132.000000	HOD FM	FORMATION	66	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	540.000000	752.000000	HORDALAND GP	GROUP	67	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	810.000000	838.000000	LISTA FM	FORMATION	95	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	135.000000	540.000000	NORDLAND GP	GROUP	113	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	752.000000	850.000000	ROGALAND GP	GROUP	131	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	2257.000000	2290.000000	RØDBY FM	FORMATION	137	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	5823.000000	5955.000000	SANDNES FM	FORMATION	139	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	7378.000000	7420.000000	SANDNES FM	FORMATION	139	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	4995.000000	5689.000000	SAUDA FM	FORMATION	141	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	773.000000	810.000000	SELE FM	FORMATION	142	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	850.000000	2257.000000	SHETLAND GP	GROUP	143	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	2290.000000	2572.000000	SOLA FM	FORMATION	152	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	5689.000000	5769.000000	TAU FM	FORMATION	164	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	886.000000	1251.000000	TOR FM	FORMATION	171	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	5823.000000	6023.000000	VESTLAND GP	GROUP	186	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	7378.000000	7584.000000	VESTLAND GP	GROUP	186	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	838.000000	850.000000	VÅLE FM	FORMATION	190	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	6023.000000	7378.000000	ZECHSTEIN GP	GROUP	194	1998-02-02	3126	9999-12-31	2013-05-08
9/2-8 S	2572.000000	4762.000000	ÅSGARD FM	FORMATION	198	1998-02-02	3126	9999-12-31	2013-05-08
6507/7-11 S	1857.000000	2072.000000	BRYGGE FM	FORMATION	18	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	3558.000000	3749.000000	BÅT GP	GROUP	22	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	2901.000000	3327.000000	CROMER KNOLL GP	GROUP	23	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	3458.000000	3558.000000	FANGST GP	GROUP	38	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	3458.000000	3476.000000	GARN FM	FORMATION	48	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	1857.000000	2072.000000	HORDALAND GP	GROUP	67	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	3497.000000	3558.000000	ILE FM	FORMATION	70	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	1509.000000	1857.000000	KAI FM	FORMATION	77	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	2321.000000	2901.000000	KVITNOS FM	FORMATION	91	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	2915.000000	3322.000000	LANGE FM	FORMATION	94	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	3322.000000	3327.000000	LYR FM	FORMATION	98	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	2901.000000	2915.000000	LYSING FM	FORMATION	99	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	3348.000000	3458.000000	MELKE FM	FORMATION	105	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	297.000000	1509.000000	NAUST FM	FORMATION	109	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	2230.000000	2321.000000	NISE FM	FORMATION	112	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	297.000000	1857.000000	NORDLAND GP	GROUP	113	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	3476.000000	3497.000000	NOT FM	FORMATION	120	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	2072.000000	2189.000000	ROGALAND GP	GROUP	131	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	3558.000000	3615.000000	ROR FM	FORMATION	135	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	2189.000000	2901.000000	SHETLAND GP	GROUP	143	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	3327.000000	3348.000000	SPEKK FM	FORMATION	155	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	2189.000000	2230.000000	SPRINGAR FM	FORMATION	156	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	2158.000000	2189.000000	TANG FM	FORMATION	161	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	2072.000000	2158.000000	TARE FM	FORMATION	163	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	3615.000000	3749.000000	TILJE FM	FORMATION	169	1997-08-14	3131	9999-12-31	2013-05-08
6507/7-11 S	3327.000000	3458.000000	VIKING GP	GROUP	188	1997-08-14	3131	9999-12-31	2013-05-08
25/7-5	1915.000000	2017.000000	BALDER FM	FORMATION	6	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	1184.000000	1324.000000	GRID FM	FORMATION	53	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	2126.000000	2490.000000	HEIMDAL FM	FORMATION	62	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	2044.000000	2061.000000	HERMOD FM	FORMATION	64	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	702.000000	1915.000000	HORDALAND GP	GROUP	67	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	2071.000000	2126.000000	LISTA FM	FORMATION	95	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	2490.000000	2526.000000	LISTA FM	FORMATION	95	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	1324.000000	1915.000000	NO FORMAL NAME	FORMATION	111	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	146.000000	702.000000	NORDLAND GP	GROUP	113	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	1915.000000	2736.000000	ROGALAND GP	GROUP	131	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	2017.000000	2044.000000	SELE FM	FORMATION	142	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	2061.000000	2071.000000	SELE FM	FORMATION	142	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	2526.000000	2688.000000	TY FM	FORMATION	176	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	440.000000	702.000000	UTSIRA FM	FORMATION	183	1997-08-30	3132	9999-12-31	2013-05-08
25/7-5	2688.000000	2736.000000	VÅLE FM	FORMATION	190	1997-08-30	3132	9999-12-31	2013-05-08
34/4-10	1741.000000	1780.000000	BALDER FM	FORMATION	6	2000-03-05	3143	9999-12-31	2013-05-08
34/4-10	1249.000000	1741.000000	HORDALAND GP	GROUP	67	2000-03-05	3143	9999-12-31	2013-05-08
34/4-10	1910.000000	2195.000000	JORSALFARE FM	FORMATION	74	2000-03-05	3143	9999-12-31	2013-05-08
34/4-10	2195.000000	2380.000000	KYRRE FM	FORMATION	92	2000-03-05	3143	9999-12-31	2013-05-08
34/4-10	1780.000000	1910.000000	LISTA FM	FORMATION	95	2000-03-05	3143	9999-12-31	2013-05-08
34/4-10	381.000000	1249.000000	NORDLAND GP	GROUP	113	2000-03-05	3143	9999-12-31	2013-05-08
34/4-10	1741.000000	1910.000000	ROGALAND GP	GROUP	131	2000-03-05	3143	9999-12-31	2013-05-08
34/4-10	1910.000000	2380.000000	SHETLAND GP	GROUP	143	2000-03-05	3143	9999-12-31	2013-05-08
34/4-10	1116.000000	1249.000000	UTSIRA FM	FORMATION	183	2000-03-05	3143	9999-12-31	2013-05-08
6305/5-1	1664.000000	2327.000000	BRYGGE FM	FORMATION	18	1997-10-07	3144	9999-12-31	2013-05-08
6305/5-1	2718.000000	2780.000000	EGGA FM (INFORMAL)	FORMATION	31	1997-10-07	3144	9999-12-31	2013-05-08
6305/5-1	1664.000000	2327.000000	HORDALAND GP	GROUP	67	1997-10-07	3144	9999-12-31	2013-05-08
6305/5-1	1642.000000	1664.000000	KAI FM	FORMATION	77	1997-10-07	3144	9999-12-31	2013-05-08
6305/5-1	914.000000	1642.000000	NAUST FM	FORMATION	109	1997-10-07	3144	9999-12-31	2013-05-08
6305/5-1	2848.000000	3053.000000	NISE FM	FORMATION	112	1997-10-07	3144	9999-12-31	2013-05-08
6305/5-1	914.000000	1664.000000	NORDLAND GP	GROUP	113	1997-10-07	3144	9999-12-31	2013-05-08
6305/5-1	2327.000000	2780.000000	ROGALAND GP	GROUP	131	1997-10-07	3144	9999-12-31	2013-05-08
6305/5-1	2780.000000	3053.000000	SHETLAND GP	GROUP	143	1997-10-07	3144	9999-12-31	2013-05-08
6305/5-1	2780.000000	2848.000000	SPRINGAR FM	FORMATION	156	1997-10-07	3144	9999-12-31	2013-05-08
6305/5-1	2446.000000	2718.000000	TANG FM	FORMATION	161	1997-10-07	3144	9999-12-31	2013-05-08
6305/5-1	2327.000000	2446.000000	TARE FM	FORMATION	163	1997-10-07	3144	9999-12-31	2013-05-08
15/9-19 A	2961.000000	3021.000000	BALDER FM	FORMATION	6	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3637.000000	3651.000000	BLODØKS FM	FORMATION	13	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3655.000000	3667.000000	CROMER KNOLL GP	GROUP	23	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3667.000000	3706.000000	DRAUPNE FM	FORMATION	28	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3313.000000	3328.000000	EKOFISK FM	FORMATION	33	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	2778.000000	2802.000000	GRID FM	FORMATION	53	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3706.000000	3797.000000	HEATHER FM	FORMATION	60	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3178.000000	3313.000000	HEIMDAL FM	FORMATION	62	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3476.000000	3584.000000	HOD FM	FORMATION	66	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	1111.000000	2961.000000	HORDALAND GP	GROUP	67	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3797.000000	3966.000000	HUGIN FM	FORMATION	69	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3102.000000	3178.000000	LISTA FM	FORMATION	95	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	1454.000000	2778.000000	NO FORMAL NAME	FORMATION	111	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	2802.000000	2961.000000	NO FORMAL NAME	FORMATION	111	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	109.000000	1111.000000	NORDLAND GP	GROUP	113	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	2961.000000	3313.000000	ROGALAND GP	GROUP	131	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3655.000000	3663.000000	RØDBY FM	FORMATION	137	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3021.000000	3102.000000	SELE FM	FORMATION	142	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3313.000000	3655.000000	SHETLAND GP	GROUP	143	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	1316.000000	1454.000000	SKADE FM	FORMATION	145	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3966.000000	4097.000000	SKAGERRAK FM	FORMATION	146	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	4097.000000	4131.000000	SMITH BANK FM	FORMATION	149	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3651.000000	3655.000000	SVARTE FM	FORMATION	160	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3328.000000	3476.000000	TOR FM	FORMATION	171	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3584.000000	3637.000000	TRYGGVASON FM	FORMATION	173	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	850.000000	1111.000000	UTSIRA FM	FORMATION	183	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3797.000000	3966.000000	VESTLAND GP	GROUP	186	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3667.000000	3797.000000	VIKING GP	GROUP	188	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3663.000000	3667.000000	ÅSGARD FM	FORMATION	198	1997-11-09	3145	9999-12-31	2013-05-08
15/9-19 A	3966.000000	4131.000000	NO GROUP DEFINED	GROUP	208	1997-11-09	3145	9999-12-31	2013-05-08
35/11-10 A	1421.000000	1477.000000	BALDER FM	FORMATION	6	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	3093.000000	3259.000000	BRENT GP	GROUP	16	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	2203.000000	2293.000000	DRAUPNE FM	FORMATION	28	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	3143.000000	3190.000000	ETIVE FM	FORMATION	35	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	2682.000000	2824.000000	FENSFJORD FM	FORMATION	40	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	2457.000000	2682.000000	HEATHER FM	FORMATION	60	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	2824.000000	3093.000000	HEATHER FM	FORMATION	60	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	1766.000000	1876.000000	HEIMDAL FM	FORMATION	62	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	756.000000	1421.000000	HORDALAND GP	GROUP	67	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	2004.000000	2203.000000	JORSALFARE FM	FORMATION	74	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	1625.000000	1766.000000	LISTA FM	FORMATION	95	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	1876.000000	1896.000000	LISTA FM	FORMATION	95	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	3093.000000	3143.000000	NESS FM	FORMATION	110	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	376.000000	756.000000	NORDLAND GP	GROUP	113	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	3212.000000	3259.000000	OSEBERG FM	FORMATION	123	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	3190.000000	3212.000000	RANNOCH FM	FORMATION	126	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	1421.000000	2004.000000	ROGALAND GP	GROUP	131	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	1477.000000	1625.000000	SELE FM	FORMATION	142	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	2004.000000	2203.000000	SHETLAND GP	GROUP	143	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	2293.000000	2457.000000	SOGNEFJORD FM	FORMATION	151	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	2203.000000	3093.000000	VIKING GP	GROUP	188	1997-07-14	3151	9999-12-31	2013-05-08
35/11-10 A	1896.000000	2004.000000	VÅLE FM	FORMATION	190	1997-07-14	3151	9999-12-31	2013-05-08
6510/2-1	480.000000	593.000000	BRYGGE FM	FORMATION	18	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1722.000000	2236.000000	BÅT GP	GROUP	22	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	848.000000	1160.000000	CROMER KNOLL GP	GROUP	23	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1543.000000	1722.000000	FANGST GP	GROUP	38	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1543.000000	1654.000000	GARN FM	FORMATION	48	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	2236.000000	3102.000000	GREY BEDS (INFORMAL)	GROUP	52	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	480.000000	593.000000	HORDALAND GP	GROUP	67	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1688.000000	1722.000000	ILE FM	FORMATION	70	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1319.000000	1543.000000	MELKE FM	FORMATION	105	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	348.000000	441.000000	NAUST FM	FORMATION	109	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1013.000000	1160.000000	NO FORMAL NAME	FORMATION	111	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	348.000000	480.000000	NORDLAND GP	GROUP	113	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1654.000000	1688.000000	NOT FM	FORMATION	120	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	593.000000	727.000000	ROGALAND GP	GROUP	131	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1722.000000	1823.000000	ROR FM	FORMATION	135	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	727.000000	848.000000	SHETLAND GP	GROUP	143	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1292.000000	1319.000000	SPEKK FM	FORMATION	155	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	655.000000	727.000000	TANG FM	FORMATION	161	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	593.000000	655.000000	TARE FM	FORMATION	163	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1823.000000	1945.000000	TILJE FM	FORMATION	169	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1292.000000	1543.000000	VIKING GP	GROUP	188	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1160.000000	1292.000000	UNDEFINED GP	GROUP	191	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	1945.000000	2236.000000	ÅRE FM	FORMATION	197	1997-10-10	3166	9999-12-31	2013-05-08
6510/2-1	441.000000	480.000000	MOLO FM	FORMATION	209	1997-10-10	3166	9999-12-31	2013-05-08
34/7-26 S	2896.000000	3016.000000	BALDER FM	FORMATION	6	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	1348.000000	2896.000000	HORDALAND GP	GROUP	67	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	3340.000000	3866.000000	JORSALFARE FM	FORMATION	74	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	3866.000000	4193.000000	KYRRE FM	FORMATION	92	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	3016.000000	3340.000000	LISTA FM	FORMATION	95	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	1555.000000	1617.000000	NO FORMAL NAME	FORMATION	111	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	1617.000000	1665.000000	NO FORMAL NAME	FORMATION	111	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	1665.000000	1867.000000	NO FORMAL NAME	FORMATION	111	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	1867.000000	1980.000000	NO FORMAL NAME	FORMATION	111	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	1980.000000	2098.000000	NO FORMAL NAME	FORMATION	111	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	2098.000000	2187.000000	NO FORMAL NAME	FORMATION	111	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	2187.000000	2223.000000	NO FORMAL NAME	FORMATION	111	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	2223.000000	2896.000000	NO FORMAL NAME	FORMATION	111	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	226.000000	1348.000000	NORDLAND GP	GROUP	113	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	2896.000000	3340.000000	ROGALAND GP	GROUP	131	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	3340.000000	4193.000000	SHETLAND GP	GROUP	143	1997-09-13	3168	9999-12-31	2013-05-08
34/7-26 S	1002.000000	1348.000000	UTSIRA FM	FORMATION	183	1997-09-13	3168	9999-12-31	2013-05-08
30/3-7 A	2670.000000	2804.000000	BALDER FM	FORMATION	6	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	5852.000000	5864.000000	BLODØKS FM	FORMATION	13	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	6349.000000	6620.000000	BRENT GP	GROUP	16	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	5895.000000	6024.000000	CROMER KNOLL GP	GROUP	23	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	6620.000000	6678.000000	DRAKE FM	FORMATION	27	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	6024.000000	6052.000000	DRAUPNE FM	FORMATION	28	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	6620.000000	6678.000000	DUNLIN GP	GROUP	29	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	6504.000000	6517.000000	ETIVE FM	FORMATION	35	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	6052.000000	6349.000000	HEATHER FM	FORMATION	60	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	963.000000	2670.000000	HORDALAND GP	GROUP	67	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	3139.000000	3692.000000	JORSALFARE FM	FORMATION	74	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	3692.000000	4447.000000	KYRRE FM	FORMATION	92	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	2844.000000	3139.000000	LISTA FM	FORMATION	95	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	6419.000000	6504.000000	NESS FM	FORMATION	110	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	231.000000	963.000000	NORDLAND GP	GROUP	113	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	6526.000000	6620.000000	OSEBERG FM	FORMATION	123	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	6517.000000	6526.000000	RANNOCH FM	FORMATION	126	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	2670.000000	3139.000000	ROGALAND GP	GROUP	131	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	5895.000000	5962.000000	RØDBY FM	FORMATION	137	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	2804.000000	2844.000000	SELE FM	FORMATION	142	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	3139.000000	5895.000000	SHETLAND GP	GROUP	143	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	5962.000000	5969.000000	SOLA FM	FORMATION	152	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	5864.000000	5895.000000	SVARTE FM	FORMATION	160	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	6349.000000	6419.000000	TARBERT FM	FORMATION	162	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	4447.000000	5852.000000	TRYGGVASON FM	FORMATION	173	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	783.000000	963.000000	UTSIRA FM	FORMATION	183	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	6024.000000	6349.000000	VIKING GP	GROUP	188	1998-01-29	3176	9999-12-31	2013-05-08
30/3-7 A	5969.000000	6024.000000	ÅSGARD FM	FORMATION	198	1998-01-29	3176	9999-12-31	2013-05-08
15/9-19 SR2	3305.000000	3406.000000	BALDER FM	FORMATION	6	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4153.000000	4171.000000	BLODØKS FM	FORMATION	13	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4179.000000	4307.000000	CROMER KNOLL GP	GROUP	23	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4307.000000	4313.000000	DRAUPNE FM	FORMATION	28	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	3830.000000	3853.000000	EKOFISK FM	FORMATION	33	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	3011.000000	3243.000000	GRID FM	FORMATION	53	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4313.000000	4320.000000	HEATHER FM	FORMATION	60	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	3626.000000	3830.000000	HEIMDAL FM	FORMATION	62	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4050.000000	4113.000000	HOD FM	FORMATION	66	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	1111.000000	3305.000000	HORDALAND GP	GROUP	67	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4320.000000	4343.000000	HUGIN FM	FORMATION	69	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	3486.000000	3626.000000	LISTA FM	FORMATION	95	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	1454.000000	3011.000000	NO FORMAL NAME	FORMATION	111	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	3243.000000	3305.000000	NO FORMAL NAME	FORMATION	111	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	109.000000	1111.000000	NORDLAND GP	GROUP	113	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	3305.000000	3830.000000	ROGALAND GP	GROUP	131	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4179.000000	4191.000000	RØDBY FM	FORMATION	137	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	3406.000000	3486.000000	SELE FM	FORMATION	142	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	3830.000000	4179.000000	SHETLAND GP	GROUP	143	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	1316.000000	1454.000000	SKADE FM	FORMATION	145	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4343.000000	4644.000000	SKAGERRAK FM	FORMATION	146	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4191.000000	4204.000000	SOLA FM	FORMATION	152	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4171.000000	4179.000000	SVARTE FM	FORMATION	160	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	3853.000000	4050.000000	TOR FM	FORMATION	171	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4113.000000	4153.000000	TRYGGVASON FM	FORMATION	173	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	850.000000	1111.000000	UTSIRA FM	FORMATION	183	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4320.000000	4343.000000	VESTLAND GP	GROUP	186	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4307.000000	4320.000000	VIKING GP	GROUP	188	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4204.000000	4307.000000	ÅSGARD FM	FORMATION	198	1997-07-25	3180	9999-12-31	2013-05-08
15/9-19 SR2	4343.000000	4644.000000	NO GROUP DEFINED	GROUP	208	1997-07-25	3180	9999-12-31	2013-05-08
25/8-5 SR	2922.000000	3040.000000	AMUNDSEN FM	FORMATION	4	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	1950.000000	2008.000000	BALDER FM	FORMATION	6	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2780.000000	2795.000000	CROMER KNOLL GP	GROUP	23	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2795.000000	2822.000000	DRAUPNE FM	FORMATION	28	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2922.000000	3040.000000	DUNLIN GP	GROUP	29	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	1247.000000	1303.000000	GRID FM	FORMATION	53	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2822.000000	2836.000000	HEATHER FM	FORMATION	60	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2113.000000	2420.000000	HEIMDAL FM	FORMATION	62	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	654.000000	1950.000000	HORDALAND GP	GROUP	67	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2836.000000	2878.000000	HUGIN FM	FORMATION	69	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2068.000000	2113.000000	LISTA FM	FORMATION	95	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2420.000000	2529.000000	LISTA FM	FORMATION	95	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	608.000000	654.000000	NO FORMAL NAME	FORMATION	111	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	1000.000000	1247.000000	NO FORMAL NAME	FORMATION	111	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	1303.000000	1950.000000	NO FORMAL NAME	FORMATION	111	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	151.000000	654.000000	NORDLAND GP	GROUP	113	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	1950.000000	2600.000000	ROGALAND GP	GROUP	131	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2008.000000	2068.000000	SELE FM	FORMATION	142	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2600.000000	2780.000000	SHETLAND GP	GROUP	143	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	654.000000	1000.000000	SKADE FM	FORMATION	145	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2878.000000	2922.000000	SLEIPNER FM	FORMATION	148	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	3338.000000	3395.000000	SMITH BANK FM	FORMATION	149	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	3040.000000	3338.000000	STATFJORD FM	FORMATION	157	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2600.000000	2780.000000	TOR FM	FORMATION	171	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2529.000000	2600.000000	TY FM	FORMATION	176	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	448.000000	608.000000	UTSIRA FM	FORMATION	183	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2836.000000	2922.000000	VESTLAND GP	GROUP	186	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2795.000000	2836.000000	VIKING GP	GROUP	188	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	2780.000000	2795.000000	ÅSGARD FM	FORMATION	198	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	3040.000000	3338.000000	NO GROUP DEFINED	GROUP	208	1997-08-03	3192	9999-12-31	2013-05-08
25/8-5 SR	3338.000000	3395.000000	NO GROUP DEFINED	GROUP	208	1997-08-03	3192	9999-12-31	2013-05-08
6507/11-5 S	1550.000000	2018.000000	BRYGGE FM	FORMATION	18	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2624.000000	2695.000000	BÅT GP	GROUP	22	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2393.000000	2434.000000	CROMER KNOLL GP	GROUP	23	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2484.000000	2624.000000	FANGST GP	GROUP	38	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2484.000000	2539.000000	GARN FM	FORMATION	48	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	1550.000000	2018.000000	HORDALAND GP	GROUP	67	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2554.000000	2624.000000	ILE FM	FORMATION	70	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	1401.000000	1550.000000	KAI FM	FORMATION	77	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2310.000000	2393.000000	KVITNOS FM	FORMATION	91	1997-10-28	3193	2012-09-28	2013-05-08
6507/11-5 S	2393.000000	2420.000000	LANGE FM	FORMATION	94	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2420.000000	2434.000000	LYR FM	FORMATION	98	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2445.000000	2484.000000	MELKE FM	FORMATION	105	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	281.000000	1401.000000	NAUST FM	FORMATION	109	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2226.000000	2310.000000	NISE FM	FORMATION	112	1997-10-28	3193	2012-09-28	2013-05-08
6507/11-5 S	281.000000	1550.000000	NORDLAND GP	GROUP	113	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2539.000000	2554.000000	NOT FM	FORMATION	120	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2018.000000	2151.000000	ROGALAND GP	GROUP	131	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2624.000000	2695.000000	ROR FM	FORMATION	135	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2151.000000	2393.000000	SHETLAND GP	GROUP	143	1997-10-28	3193	2012-09-28	2013-05-08
6507/11-5 S	2434.000000	2445.000000	SPEKK FM	FORMATION	155	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2151.000000	2226.000000	SPRINGAR FM	FORMATION	156	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2062.000000	2151.000000	TANG FM	FORMATION	161	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2018.000000	2062.000000	TARE FM	FORMATION	163	1997-10-28	3193	9999-12-31	2013-05-08
6507/11-5 S	2434.000000	2484.000000	VIKING GP	GROUP	188	1997-10-28	3193	9999-12-31	2013-05-08
6706/11-1	1446.000000	1670.000000	BRYGGE FM	FORMATION	18	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	4138.000000	4317.000000	CROMER KNOLL GP	GROUP	23	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	1446.000000	1670.000000	HORDALAND GP	GROUP	67	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	3865.000000	4138.000000	KVITNOS FM	FORMATION	91	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	4221.000000	4317.000000	LANGE FM	FORMATION	94	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	4138.000000	4221.000000	LYSING FM	FORMATION	99	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	1264.000000	1446.000000	NAUST FM	FORMATION	109	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	2060.000000	2283.000000	NISE FM	FORMATION	112	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	3005.000000	3101.000000	NISE FM	FORMATION	112	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	3469.000000	3865.000000	NISE FM	FORMATION	112	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	1264.000000	1446.000000	NORDLAND GP	GROUP	113	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	1670.000000	1744.000000	ROGALAND GP	GROUP	131	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	1744.000000	4138.000000	SHETLAND GP	GROUP	143	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	1744.000000	2060.000000	SPRINGAR FM	FORMATION	156	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	2283.000000	3005.000000	DELFIN FM (INFORMAL)	FORMATION	204	1998-03-22	3202	9999-12-31	2013-05-08
6706/11-1	3101.000000	3469.000000	DELFIN FM (INFORMAL)	FORMATION	204	1998-03-22	3202	9999-12-31	2013-05-08
35/9-3	2658.000000	2703.000000	AGAT FM	FORMATION	2	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	622.000000	677.000000	BALDER FM	FORMATION	6	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	2770.000000	2783.000000	BASEMENT	GROUP	10	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	2365.000000	2380.000000	BLODØKS FM	FORMATION	13	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	2598.000000	2770.000000	CROMER KNOLL GP	GROUP	23	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	1247.000000	1310.000000	JORSALFARE FM	FORMATION	74	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	1310.000000	2365.000000	KYRRE FM	FORMATION	92	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	790.000000	1157.000000	LISTA FM	FORMATION	95	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	370.000000	622.000000	NORDLAND GP	GROUP	113	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	622.000000	1247.000000	ROGALAND GP	GROUP	131	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	2598.000000	2658.000000	RØDBY FM	FORMATION	137	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	2703.000000	2770.000000	RØDBY FM	FORMATION	137	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	677.000000	790.000000	SELE FM	FORMATION	142	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	1247.000000	2598.000000	SHETLAND GP	GROUP	143	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	2380.000000	2598.000000	SVARTE FM	FORMATION	160	1997-11-11	3206	9999-12-31	2013-05-08
35/9-3	1157.000000	1247.000000	VÅLE FM	FORMATION	190	1997-11-11	3206	9999-12-31	2013-05-08
25/8-11	1678.000000	1743.000000	BALDER FM	FORMATION	6	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1876.000000	1891.000000	EKOFISK FM	FORMATION	33	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1129.000000	1138.000000	GRID FM	FORMATION	53	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1765.000000	1768.000000	HERMOD FM	FORMATION	64	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1774.000000	1796.000000	HERMOD FM	FORMATION	64	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	708.000000	1678.000000	HORDALAND GP	GROUP	67	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1824.000000	1872.000000	LISTA FM	FORMATION	95	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	651.000000	708.000000	NO FORMAL NAME	FORMATION	111	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	904.000000	943.000000	NO FORMAL NAME	FORMATION	111	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	978.000000	1129.000000	NO FORMAL NAME	FORMATION	111	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1138.000000	1678.000000	NO FORMAL NAME	FORMATION	111	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	146.000000	708.000000	NORDLAND GP	GROUP	113	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1678.000000	1876.000000	ROGALAND GP	GROUP	131	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1743.000000	1765.000000	SELE FM	FORMATION	142	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1768.000000	1774.000000	SELE FM	FORMATION	142	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1796.000000	1824.000000	SELE FM	FORMATION	142	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1876.000000	1891.000000	SHETLAND GP	GROUP	143	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	708.000000	904.000000	SKADE FM	FORMATION	145	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	943.000000	978.000000	SKADE FM	FORMATION	145	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1891.000000	1994.000000	STATFJORD FM	FORMATION	157	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	555.000000	651.000000	UTSIRA FM	FORMATION	183	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1872.000000	1876.000000	VÅLE FM	FORMATION	190	1997-12-02	3209	9999-12-31	2013-05-08
25/8-11	1891.000000	1994.000000	NO GROUP DEFINED	GROUP	208	1997-12-02	3209	9999-12-31	2013-05-08
2/8-17 S	2541.000000	2561.000000	BALDER FM	FORMATION	6	1998-01-17	3210	9999-12-31	2013-05-08
2/8-17 S	2581.000000	2602.000000	EKOFISK FM	FORMATION	33	1998-01-17	3210	9999-12-31	2013-05-08
2/8-17 S	1627.000000	2541.000000	HORDALAND GP	GROUP	67	1998-01-17	3210	9999-12-31	2013-05-08
2/8-17 S	110.000000	1627.000000	NORDLAND GP	GROUP	113	1998-01-17	3210	9999-12-31	2013-05-08
2/8-17 S	2541.000000	2581.000000	ROGALAND GP	GROUP	131	1998-01-17	3210	9999-12-31	2013-05-08
2/8-17 S	2561.000000	2571.000000	SELE FM	FORMATION	142	1998-01-17	3210	9999-12-31	2013-05-08
2/8-17 S	2581.000000	2685.000000	SHETLAND GP	GROUP	143	1998-01-17	3210	9999-12-31	2013-05-08
2/8-17 S	2602.000000	2685.000000	TOR FM	FORMATION	171	1998-01-17	3210	9999-12-31	2013-05-08
2/8-17 S	2571.000000	2581.000000	VÅLE FM	FORMATION	190	1998-01-17	3210	9999-12-31	2013-05-08
6406/2-5 A	2013.000000	2423.000000	BRYGGE FM	FORMATION	18	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	5577.000000	5600.000000	BÅT GP	GROUP	22	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	3832.000000	5238.000000	CROMER KNOLL GP	GROUP	23	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	5305.000000	5577.000000	FANGST GP	GROUP	38	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	5305.000000	5440.000000	GARN FM	FORMATION	48	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	2013.000000	2423.000000	HORDALAND GP	GROUP	67	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	5481.000000	5577.000000	ILE FM	FORMATION	70	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	1540.000000	2013.000000	KAI FM	FORMATION	77	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	3087.000000	3832.000000	KVITNOS FM	FORMATION	91	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	3852.000000	5224.000000	LANGE FM	FORMATION	94	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	5224.000000	5238.000000	LYR FM	FORMATION	98	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	3832.000000	3852.000000	LYSING FM	FORMATION	99	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	5238.000000	5305.000000	MELKE FM	FORMATION	105	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	364.000000	1540.000000	NAUST FM	FORMATION	109	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	2853.000000	3087.000000	NISE FM	FORMATION	112	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	364.000000	2013.000000	NORDLAND GP	GROUP	113	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	5440.000000	5481.000000	NOT FM	FORMATION	120	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	2423.000000	2570.000000	ROGALAND GP	GROUP	131	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	5577.000000	5600.000000	ROR FM	FORMATION	135	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	2570.000000	3832.000000	SHETLAND GP	GROUP	143	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	2570.000000	2853.000000	SPRINGAR FM	FORMATION	156	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	2489.000000	2570.000000	TANG FM	FORMATION	161	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	2423.000000	2489.000000	TARE FM	FORMATION	163	1998-02-23	3213	9999-12-31	2013-05-08
6406/2-5 A	5238.000000	5305.000000	VIKING GP	GROUP	188	1998-02-23	3213	9999-12-31	2013-05-08
34/7-27	1675.000000	1711.000000	BALDER FM	FORMATION	6	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2777.000000	2930.000000	BRENT GP	GROUP	16	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2733.000000	2740.000000	CROMER KNOLL GP	GROUP	23	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2930.000000	3000.000000	DRAKE FM	FORMATION	27	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2740.000000	2757.000000	DRAUPNE FM	FORMATION	28	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2930.000000	3000.000000	DUNLIN GP	GROUP	29	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2837.000000	2887.000000	ETIVE FM	FORMATION	35	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	1258.000000	1294.000000	GRID FM	FORMATION	53	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2757.000000	2777.000000	HEATHER FM	FORMATION	60	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	1142.000000	1675.000000	HORDALAND GP	GROUP	67	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	1864.000000	2170.000000	JORSALFARE FM	FORMATION	74	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2170.000000	2733.000000	KYRRE FM	FORMATION	92	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	1711.000000	1860.000000	LISTA FM	FORMATION	95	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	1294.000000	1675.000000	NO FORMAL NAME	FORMATION	111	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	336.000000	1142.000000	NORDLAND GP	GROUP	113	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2887.000000	2930.000000	RANNOCH FM	FORMATION	126	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	1675.000000	1864.000000	ROGALAND GP	GROUP	131	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	1864.000000	2733.000000	SHETLAND GP	GROUP	143	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2733.000000	2735.000000	SOLA FM	FORMATION	152	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2777.000000	2837.000000	TARBERT FM	FORMATION	162	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	1005.000000	1142.000000	UTSIRA FM	FORMATION	183	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2740.000000	2777.000000	VIKING GP	GROUP	188	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	1860.000000	1864.000000	VÅLE FM	FORMATION	190	1998-10-07	3214	9999-12-31	2013-05-08
34/7-27	2735.000000	2740.000000	ÅSGARD FM	FORMATION	198	1998-10-07	3214	9999-12-31	2013-05-08
30/3-7 B	4439.000000	4611.000000	AMUNDSEN FM	FORMATION	4	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	2670.000000	2804.000000	BALDER FM	FORMATION	6	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4272.000000	4350.000000	BRENT GP	GROUP	16	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5124.000000	5352.000000	BRENT GP	GROUP	16	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5514.000000	5777.000000	BRENT GP	GROUP	16	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4378.000000	4439.000000	COOK FM	FORMATION	24	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5897.000000	5970.000000	COOK FM	FORMATION	24	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4350.000000	4378.000000	DRAKE FM	FORMATION	27	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4948.000000	5124.000000	DRAKE FM	FORMATION	27	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5777.000000	5897.000000	DRAKE FM	FORMATION	27	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4350.000000	4611.000000	DUNLIN GP	GROUP	29	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4948.000000	5124.000000	DUNLIN GP	GROUP	29	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5777.000000	5970.000000	DUNLIN GP	GROUP	29	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5202.000000	5229.000000	ETIVE FM	FORMATION	35	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5674.000000	5693.000000	ETIVE FM	FORMATION	35	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4261.000000	4272.000000	HEATHER FM	FORMATION	60	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5352.000000	5514.000000	HEATHER FM	FORMATION	60	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	963.000000	2670.000000	HORDALAND GP	GROUP	67	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	3116.000000	3437.000000	JORSALFARE FM	FORMATION	74	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	3437.000000	3693.000000	KYRRE FM	FORMATION	92	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	2844.000000	3116.000000	LISTA FM	FORMATION	95	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4272.000000	4304.000000	NESS FM	FORMATION	110	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5124.000000	5202.000000	NESS FM	FORMATION	110	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5326.000000	5352.000000	NESS FM	FORMATION	110	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5593.000000	5674.000000	NESS FM	FORMATION	110	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	231.000000	963.000000	NORDLAND GP	GROUP	113	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4304.000000	4350.000000	OSEBERG FM	FORMATION	123	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5259.000000	5326.000000	OSEBERG FM	FORMATION	123	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5693.000000	5777.000000	OSEBERG FM	FORMATION	123	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5229.000000	5259.000000	RANNOCH FM	FORMATION	126	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	2670.000000	3116.000000	ROGALAND GP	GROUP	131	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	2804.000000	2844.000000	SELE FM	FORMATION	142	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	3116.000000	4261.000000	SHETLAND GP	GROUP	143	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4611.000000	4948.000000	STATFJORD FM	FORMATION	157	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5514.000000	5593.000000	TARBERT FM	FORMATION	162	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	3693.000000	4261.000000	TRYGGVASON FM	FORMATION	173	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	783.000000	963.000000	UTSIRA FM	FORMATION	183	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4261.000000	4272.000000	VIKING GP	GROUP	188	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	5352.000000	5514.000000	VIKING GP	GROUP	188	1998-08-04	3229	9999-12-31	2013-05-08
30/3-7 B	4611.000000	4948.000000	NO GROUP DEFINED	GROUP	208	1998-08-04	3229	9999-12-31	2013-05-08
25/11-22	1677.000000	1686.000000	BALDER FM	FORMATION	6	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	1774.000000	1785.000000	EKOFISK FM	FORMATION	33	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	845.000000	1677.000000	HORDALAND GP	GROUP	67	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	1692.000000	1769.000000	LISTA FM	FORMATION	95	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	800.000000	845.000000	NO FORMAL NAME	FORMATION	111	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	903.000000	948.000000	NO FORMAL NAME	FORMATION	111	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	955.000000	982.000000	NO FORMAL NAME	FORMATION	111	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	993.000000	1010.000000	NO FORMAL NAME	FORMATION	111	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	1027.000000	1047.000000	NO FORMAL NAME	FORMATION	111	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	1107.000000	1677.000000	NO FORMAL NAME	FORMATION	111	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	145.000000	845.000000	NORDLAND GP	GROUP	113	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	1677.000000	1774.000000	ROGALAND GP	GROUP	131	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	1686.000000	1692.000000	SELE FM	FORMATION	142	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	1774.000000	1805.000000	SHETLAND GP	GROUP	143	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	845.000000	903.000000	SKADE FM	FORMATION	145	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	948.000000	955.000000	SKADE FM	FORMATION	145	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	982.000000	993.000000	SKADE FM	FORMATION	145	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	1010.000000	1027.000000	SKADE FM	FORMATION	145	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	1047.000000	1107.000000	SKADE FM	FORMATION	145	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	1785.000000	1805.000000	TOR FM	FORMATION	171	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	700.000000	800.000000	UTSIRA FM	FORMATION	183	1998-01-24	3243	9999-12-31	2013-05-08
25/11-22	1769.000000	1774.000000	VÅLE FM	FORMATION	190	1998-01-24	3243	9999-12-31	2013-05-08
16/7-7 S	2134.000000	2182.000000	BALDER FM	FORMATION	6	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2676.000000	2704.000000	BLODØKS FM	FORMATION	13	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2704.000000	2763.000000	CROMER KNOLL GP	GROUP	23	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2763.000000	2770.000000	INTRA DRAUPNE FM SS	FORMATION	26	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2340.000000	2372.000000	EKOFISK FM	FORMATION	33	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2606.000000	2676.000000	HOD FM	FORMATION	66	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	1193.000000	2134.000000	HORDALAND GP	GROUP	67	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2208.000000	2323.000000	LISTA FM	FORMATION	95	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	103.000000	1193.000000	NORDLAND GP	GROUP	113	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2134.000000	2340.000000	ROGALAND GP	GROUP	131	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2704.000000	2731.000000	RØDBY FM	FORMATION	137	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2182.000000	2208.000000	SELE FM	FORMATION	142	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2340.000000	2704.000000	SHETLAND GP	GROUP	143	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2770.000000	2994.000000	SKAGERRAK FM	FORMATION	146	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2731.000000	2738.000000	SOLA FM	FORMATION	152	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2372.000000	2606.000000	TOR FM	FORMATION	171	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	861.000000	1193.000000	UTSIRA FM	FORMATION	183	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2763.000000	2770.000000	VIKING GP	GROUP	188	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2323.000000	2340.000000	VÅLE FM	FORMATION	190	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2738.000000	2763.000000	ÅSGARD FM	FORMATION	198	1997-12-29	3244	9999-12-31	2013-05-08
16/7-7 S	2770.000000	2994.000000	NO GROUP DEFINED	GROUP	208	1997-12-29	3244	9999-12-31	2013-05-08
30/8-3	2111.000000	2180.000000	BALDER FM	FORMATION	6	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3252.000000	3663.000000	BRENT GP	GROUP	16	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3189.000000	3192.000000	CROMER KNOLL GP	GROUP	23	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3663.000000	3720.000000	DRAKE FM	FORMATION	27	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3192.000000	3197.000000	DRAUPNE FM	FORMATION	28	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3663.000000	3720.000000	DUNLIN GP	GROUP	29	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	1538.000000	1558.000000	GRID FM	FORMATION	53	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	2431.000000	2454.000000	HARDRÅDE FM	FORMATION	56	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3197.000000	3252.000000	HEATHER FM	FORMATION	60	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	915.000000	2111.000000	HORDALAND GP	GROUP	67	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	2454.000000	2649.000000	JORSALFARE FM	FORMATION	74	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	2649.000000	3044.000000	KYRRE FM	FORMATION	92	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	2239.000000	2389.000000	LISTA FM	FORMATION	95	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3189.000000	3192.000000	MIME FM	FORMATION	106	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3473.000000	3659.000000	NESS FM	FORMATION	110	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	559.000000	598.000000	NO FORMAL NAME	FORMATION	111	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	598.000000	677.000000	NO FORMAL NAME	FORMATION	111	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	885.000000	915.000000	NO FORMAL NAME	FORMATION	111	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	974.000000	1077.000000	NO FORMAL NAME	FORMATION	111	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	1077.000000	1142.000000	NO FORMAL NAME	FORMATION	111	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	1142.000000	1538.000000	NO FORMAL NAME	FORMATION	111	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	1558.000000	2111.000000	NO FORMAL NAME	FORMATION	111	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	115.000000	915.000000	NORDLAND GP	GROUP	113	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	2111.000000	2431.000000	ROGALAND GP	GROUP	131	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	2180.000000	2239.000000	SELE FM	FORMATION	142	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	2431.000000	3189.000000	SHETLAND GP	GROUP	143	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	915.000000	974.000000	SKADE FM	FORMATION	145	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3141.000000	3189.000000	SVARTE FM	FORMATION	160	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3252.000000	3473.000000	TARBERT FM	FORMATION	162	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3044.000000	3141.000000	TRYGGVASON FM	FORMATION	173	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3659.000000	3663.000000	UNDIFFERENTIATED	FORMATION	182	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	677.000000	885.000000	UTSIRA FM	FORMATION	183	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	3192.000000	3252.000000	VIKING GP	GROUP	188	1998-01-05	3246	9999-12-31	2013-05-08
30/8-3	2389.000000	2431.000000	VÅLE FM	FORMATION	190	1998-01-05	3246	9999-12-31	2013-05-08
6204/11-2	2700.000000	2730.000000	AGAT FM	FORMATION	2	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	2352.000000	2402.000000	BLODØKS FM	FORMATION	13	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	2659.000000	2800.000000	CROMER KNOLL GP	GROUP	23	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	1042.000000	1275.000000	EGGA FM (INFORMAL)	FORMATION	31	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	2800.000000	2892.000000	HEATHER FM	FORMATION	60	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	632.000000	770.000000	HORDALAND GP	GROUP	67	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	1275.000000	1870.000000	KYRRE FM	FORMATION	92	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	1870.000000	2352.000000	NO FORMAL NAME	FORMATION	111	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	2769.000000	2800.000000	NO FORMAL NAME	FORMATION	111	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	222.000000	632.000000	NORDLAND GP	GROUP	113	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	770.000000	1275.000000	ROGALAND GP	GROUP	131	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	2659.000000	2690.000000	RØDBY FM	FORMATION	137	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	1275.000000	2659.000000	SHETLAND GP	GROUP	143	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	2892.000000	2920.000000	SOGNEFJORD FM	FORMATION	151	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	2690.000000	2700.000000	SOLA FM	FORMATION	152	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	2402.000000	2659.000000	SVARTE FM	FORMATION	160	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	770.000000	1042.000000	UNDIFFERENTIATED	FORMATION	182	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	2800.000000	2920.000000	VIKING GP	GROUP	188	1997-12-28	3249	9999-12-31	2013-05-08
6204/11-2	2730.000000	2769.000000	ÅSGARD FM	FORMATION	198	1997-12-28	3249	9999-12-31	2013-05-08
15/3-6	2110.000000	2155.000000	BALDER FM	FORMATION	6	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2198.000000	2207.000000	BALDER FM	FORMATION	6	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2155.000000	2198.000000	INTRA BALDER FM SS	FORMATION	7	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	1560.000000	1850.000000	GRID FM	FORMATION	53	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	1978.000000	2015.000000	GRID FM	FORMATION	53	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2379.000000	2630.000000	HEIMDAL FM	FORMATION	62	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2266.000000	2347.000000	HERMOD FM	FORMATION	64	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	910.000000	2110.000000	HORDALAND GP	GROUP	67	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2725.000000	2793.000000	JORSALFARE FM	FORMATION	74	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2347.000000	2379.000000	LISTA FM	FORMATION	95	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	1267.000000	1560.000000	NO FORMAL NAME	FORMATION	111	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	1850.000000	1978.000000	NO FORMAL NAME	FORMATION	111	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2015.000000	2110.000000	NO FORMAL NAME	FORMATION	111	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	128.000000	910.000000	NORDLAND GP	GROUP	113	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2110.000000	2725.000000	ROGALAND GP	GROUP	131	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2207.000000	2266.000000	SELE FM	FORMATION	142	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2725.000000	2793.000000	SHETLAND GP	GROUP	143	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	1238.000000	1267.000000	SKADE FM	FORMATION	145	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2630.000000	2715.000000	TY FM	FORMATION	176	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	695.000000	910.000000	UTSIRA FM	FORMATION	183	1999-01-05	3250	9999-12-31	2013-05-08
15/3-6	2715.000000	2725.000000	VÅLE FM	FORMATION	190	1999-01-05	3250	9999-12-31	2013-05-08
15/9-19 B	2972.000000	3040.000000	BALDER FM	FORMATION	6	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3678.000000	3701.000000	BLODØKS FM	FORMATION	13	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3713.000000	3768.000000	CROMER KNOLL GP	GROUP	23	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3768.000000	3780.000000	DRAUPNE FM	FORMATION	28	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3375.000000	3403.000000	EKOFISK FM	FORMATION	33	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	2782.000000	2832.000000	GRID FM	FORMATION	53	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3993.000000	4036.000000	INTRA HEATHER FM SS	FORMATION	59	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3780.000000	3993.000000	HEATHER FM	FORMATION	60	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3209.000000	3375.000000	HEIMDAL FM	FORMATION	62	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3558.000000	3654.000000	HOD FM	FORMATION	66	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	1111.000000	2972.000000	HORDALAND GP	GROUP	67	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	4036.000000	4179.000000	HUGIN FM	FORMATION	69	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3123.000000	3209.000000	LISTA FM	FORMATION	95	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	1454.000000	2782.000000	NO FORMAL NAME	FORMATION	111	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	2832.000000	2972.000000	NO FORMAL NAME	FORMATION	111	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	109.000000	1111.000000	NORDLAND GP	GROUP	113	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	2972.000000	3375.000000	ROGALAND GP	GROUP	131	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3713.000000	3740.000000	RØDBY FM	FORMATION	137	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3040.000000	3123.000000	SELE FM	FORMATION	142	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3375.000000	3713.000000	SHETLAND GP	GROUP	143	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	1316.000000	1454.000000	SKADE FM	FORMATION	145	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	4179.000000	4214.000000	SLEIPNER FM	FORMATION	148	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	4214.000000	4250.000000	SMITH BANK FM	FORMATION	149	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3740.000000	3750.000000	SOLA FM	FORMATION	152	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3701.000000	3713.000000	SVARTE FM	FORMATION	160	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3403.000000	3558.000000	TOR FM	FORMATION	171	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3654.000000	3678.000000	TRYGGVASON FM	FORMATION	173	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	850.000000	1111.000000	UTSIRA FM	FORMATION	183	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	4036.000000	4214.000000	VESTLAND GP	GROUP	186	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3768.000000	4036.000000	VIKING GP	GROUP	188	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	3750.000000	3768.000000	ÅSGARD FM	FORMATION	198	1998-02-02	3251	9999-12-31	2013-05-08
15/9-19 B	4214.000000	4250.000000	NO GROUP DEFINED	GROUP	208	1998-02-02	3251	9999-12-31	2013-05-08
1/5-3 S	1309.000000	1565.000000	HORDALAND GP	GROUP	67	1998-08-06	3257	9999-12-31	2013-05-08
1/5-3 S	94.000000	1309.000000	NORDLAND GP	GROUP	113	1998-08-06	3257	9999-12-31	2013-05-08
6204/10-2 R	1098.000000	1140.000000	BALDER FM	FORMATION	6	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	2073.000000	2095.000000	BASEMENT	GROUP	10	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	1935.000000	2073.000000	CROMER KNOLL GP	GROUP	23	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	631.000000	1098.000000	HORDALAND GP	GROUP	67	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	1280.000000	1327.000000	JORSALFARE FM	FORMATION	74	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	1327.000000	1868.000000	KYRRE FM	FORMATION	92	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	1208.000000	1280.000000	LISTA FM	FORMATION	95	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	992.000000	1034.000000	NO FORMAL NAME	FORMATION	111	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	1034.000000	1098.000000	NO FORMAL NAME	FORMATION	111	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	1868.000000	1935.000000	NO FORMAL NAME	FORMATION	111	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	197.000000	631.000000	NORDLAND GP	GROUP	113	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	1098.000000	1280.000000	ROGALAND GP	GROUP	131	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	1140.000000	1208.000000	SELE FM	FORMATION	142	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	1280.000000	1935.000000	SHETLAND GP	GROUP	143	1997-11-21	3258	9999-12-31	2013-05-08
6204/10-2 R	1935.000000	2073.000000	ÅSGARD FM	FORMATION	198	1997-11-21	3258	9999-12-31	2013-05-08
6505/10-1	1354.000000	1379.000000	BRYGGE FM	FORMATION	18	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	3688.000000	5028.000000	CROMER KNOLL GP	GROUP	23	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	1354.000000	1379.000000	HORDALAND GP	GROUP	67	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	2525.000000	3688.000000	KVITNOS FM	FORMATION	91	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	3746.000000	5028.000000	LANGE FM	FORMATION	94	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	3688.000000	3746.000000	LYSING FM	FORMATION	99	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	710.000000	1354.000000	NAUST FM	FORMATION	109	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	2154.000000	2525.000000	NISE FM	FORMATION	112	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	710.000000	1354.000000	NORDLAND GP	GROUP	113	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	1379.000000	1642.000000	ROGALAND GP	GROUP	131	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	1642.000000	3688.000000	SHETLAND GP	GROUP	143	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	1642.000000	2154.000000	SPRINGAR FM	FORMATION	156	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	1504.000000	1642.000000	TANG FM	FORMATION	161	1998-07-04	3259	9999-12-31	2013-05-08
6505/10-1	1379.000000	1504.000000	TARE FM	FORMATION	163	1998-07-04	3259	9999-12-31	2013-05-08
6608/10-6	1527.000000	1585.000000	BRYGGE FM	FORMATION	18	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1873.000000	2115.000000	BÅT GP	GROUP	22	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1717.000000	1794.000000	CROMER KNOLL GP	GROUP	23	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1859.000000	1873.000000	FANGST GP	GROUP	38	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1527.000000	1585.000000	HORDALAND GP	GROUP	67	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1382.000000	1527.000000	KAI FM	FORMATION	77	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1717.000000	1794.000000	LYR FM	FORMATION	98	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1814.000000	1850.000000	INTRA MELKE FM SS	FORMATION	104	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1794.000000	1814.000000	MELKE FM	FORMATION	105	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1850.000000	1859.000000	MELKE FM	FORMATION	105	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	414.000000	1527.000000	NORDLAND GP	GROUP	113	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1859.000000	1873.000000	NOT FM	FORMATION	120	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1585.000000	1700.000000	ROGALAND GP	GROUP	131	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1700.000000	1717.000000	SHETLAND GP	GROUP	143	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1700.000000	1717.000000	SPRINGAR FM	FORMATION	156	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1678.000000	1700.000000	TANG FM	FORMATION	161	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1585.000000	1678.000000	TARE FM	FORMATION	163	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1794.000000	1859.000000	VIKING GP	GROUP	188	2000-05-14	3260	9999-12-31	2013-05-08
6608/10-6	1873.000000	2115.000000	ÅRE FM	FORMATION	197	2000-05-14	3260	9999-12-31	2013-05-08
6510/2-1 R	480.000000	593.000000	BRYGGE FM	FORMATION	18	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1722.000000	2236.000000	BÅT GP	GROUP	22	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	848.000000	1160.000000	CROMER KNOLL GP	GROUP	23	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1543.000000	1722.000000	FANGST GP	GROUP	38	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1543.000000	1654.000000	GARN FM	FORMATION	48	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	2236.000000	4700.000000	GREY BEDS (INFORMAL)	GROUP	52	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	480.000000	593.000000	HORDALAND GP	GROUP	67	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1688.000000	1722.000000	ILE FM	FORMATION	70	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1319.000000	1543.000000	MELKE FM	FORMATION	105	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	348.000000	441.000000	NAUST FM	FORMATION	109	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1013.000000	1160.000000	NO FORMAL NAME	FORMATION	111	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	348.000000	480.000000	NORDLAND GP	GROUP	113	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1654.000000	1688.000000	NOT FM	FORMATION	120	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	593.000000	727.000000	ROGALAND GP	GROUP	131	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1722.000000	1823.000000	ROR FM	FORMATION	135	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	727.000000	848.000000	SHETLAND GP	GROUP	143	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1292.000000	1319.000000	SPEKK FM	FORMATION	155	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	655.000000	727.000000	TANG FM	FORMATION	161	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	593.000000	655.000000	TARE FM	FORMATION	163	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1823.000000	1945.000000	TILJE FM	FORMATION	169	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1292.000000	1543.000000	VIKING GP	GROUP	188	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1160.000000	1292.000000	UNDEFINED GP	GROUP	191	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	1945.000000	2236.000000	ÅRE FM	FORMATION	197	1997-12-19	3263	9999-12-31	2013-05-08
6510/2-1 R	441.000000	480.000000	MOLO FM	FORMATION	209	1997-12-19	3263	9999-12-31	2013-05-08
16/1-5	1896.000000	1922.000000	BALDER FM	FORMATION	6	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	2265.000000	2460.000000	BASEMENT	GROUP	10	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	1617.000000	1733.000000	GRID FM	FORMATION	53	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	2020.000000	2155.000000	INTRA HEATHER FM SS	FORMATION	59	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	2155.000000	2175.000000	HEATHER FM	FORMATION	60	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	2008.000000	2020.000000	HOD FM	FORMATION	66	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	921.000000	1896.000000	HORDALAND GP	GROUP	67	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	2175.000000	2247.000000	HUGIN FM	FORMATION	69	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	1932.000000	2004.000000	LISTA FM	FORMATION	95	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	1230.000000	1617.000000	NO FORMAL NAME	FORMATION	111	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	1733.000000	1896.000000	NO FORMAL NAME	FORMATION	111	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	130.000000	921.000000	NORDLAND GP	GROUP	113	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	1896.000000	2008.000000	ROGALAND GP	GROUP	131	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	1922.000000	1932.000000	SELE FM	FORMATION	142	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	2008.000000	2020.000000	SHETLAND GP	GROUP	143	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	1002.000000	1230.000000	SKADE FM	FORMATION	145	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	745.000000	921.000000	UTSIRA FM	FORMATION	183	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	2175.000000	2247.000000	VESTLAND GP	GROUP	186	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	2020.000000	2175.000000	VIKING GP	GROUP	188	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	2004.000000	2008.000000	VÅLE FM	FORMATION	190	1998-11-21	3279	9999-12-31	2013-05-08
16/1-5	2247.000000	2265.000000	NO GROUP DEFINED	GROUP	208	1998-11-21	3279	9999-12-31	2013-05-08
6204/10-2 A	1098.000000	1140.000000	BALDER FM	FORMATION	6	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	2233.000000	2290.000000	CROMER KNOLL GP	GROUP	23	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	631.000000	1098.000000	HORDALAND GP	GROUP	67	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	1285.000000	1331.000000	JORSALFARE FM	FORMATION	74	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	1331.000000	2099.000000	KYRRE FM	FORMATION	92	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	2141.000000	2233.000000	KYRRE FM	FORMATION	92	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	1208.000000	1285.000000	LISTA FM	FORMATION	95	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	992.000000	1034.000000	NO FORMAL NAME	FORMATION	111	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	1034.000000	1098.000000	NO FORMAL NAME	FORMATION	111	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	2099.000000	2141.000000	NO FORMAL NAME	FORMATION	111	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	197.000000	631.000000	NORDLAND GP	GROUP	113	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	1098.000000	1285.000000	ROGALAND GP	GROUP	131	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	1140.000000	1208.000000	SELE FM	FORMATION	142	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	1285.000000	2233.000000	SHETLAND GP	GROUP	143	1997-12-04	3280	9999-12-31	2013-05-08
6204/10-2 A	2233.000000	2290.000000	ÅSGARD FM	FORMATION	198	1997-12-04	3280	9999-12-31	2013-05-08
34/7-28	1683.000000	1691.000000	BALDER FM	FORMATION	6	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2792.000000	2972.000000	BRENT GP	GROUP	16	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2654.000000	2666.000000	CROMER KNOLL GP	GROUP	23	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2666.000000	2669.000000	INTRA DRAUPNE FM SS	FORMATION	26	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2972.000000	3005.000000	DRAKE FM	FORMATION	27	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2972.000000	3005.000000	DUNLIN GP	GROUP	29	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2679.000000	2695.000000	INTRA HEATHER FM SS	FORMATION	59	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2669.000000	2679.000000	HEATHER FM	FORMATION	60	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2695.000000	2792.000000	HEATHER FM	FORMATION	60	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	1094.000000	1683.000000	HORDALAND GP	GROUP	67	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	1865.000000	2109.000000	JORSALFARE FM	FORMATION	74	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2109.000000	2654.000000	KYRRE FM	FORMATION	92	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	1691.000000	1865.000000	LISTA FM	FORMATION	95	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2658.000000	2666.000000	MIME FM	FORMATION	106	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	1041.000000	1094.000000	NO FORMAL NAME	FORMATION	111	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	328.000000	1094.000000	NORDLAND GP	GROUP	113	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	1683.000000	1865.000000	ROGALAND GP	GROUP	131	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	1865.000000	2654.000000	SHETLAND GP	GROUP	143	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2654.000000	2658.000000	SOLA FM	FORMATION	152	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2792.000000	2805.000000	TARBERT FM	FORMATION	162	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2805.000000	2972.000000	UNDIFFERENTIATED	FORMATION	182	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	970.000000	1041.000000	UTSIRA FM	FORMATION	183	1998-03-02	3282	9999-12-31	2013-05-08
34/7-28	2666.000000	2792.000000	VIKING GP	GROUP	188	1998-03-02	3282	9999-12-31	2013-05-08
6508/1-1 S	1603.000000	1733.000000	BRYGGE FM	FORMATION	18	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2503.000000	2750.000000	BÅT GP	GROUP	22	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2351.000000	2503.000000	FANGST GP	GROUP	38	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2351.000000	2378.000000	GARN FM	FORMATION	48	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	1603.000000	1733.000000	HORDALAND GP	GROUP	67	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2392.000000	2503.000000	ILE FM	FORMATION	70	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	1338.000000	1603.000000	KAI FM	FORMATION	77	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2147.000000	2351.000000	MELKE FM	FORMATION	105	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	414.000000	1338.000000	NAUST FM	FORMATION	109	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	414.000000	1603.000000	NORDLAND GP	GROUP	113	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2378.000000	2392.000000	NOT FM	FORMATION	120	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	1733.000000	1877.000000	ROGALAND GP	GROUP	131	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2503.000000	2519.000000	ROR FM	FORMATION	135	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	1877.000000	2130.000000	SHETLAND GP	GROUP	143	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2130.000000	2147.000000	SPEKK FM	FORMATION	155	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	1877.000000	2130.000000	SPRINGAR FM	FORMATION	156	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2530.000000	2714.000000	TILJE FM	FORMATION	169	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2519.000000	2530.000000	TOFTE FM	FORMATION	170	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2130.000000	2351.000000	VIKING GP	GROUP	188	1999-08-29	3284	9999-12-31	2013-05-08
6508/1-1 S	2714.000000	2750.000000	ÅRE FM	FORMATION	197	1999-08-29	3284	9999-12-31	2013-05-08
6506/11-6	1940.000000	2260.000000	BRYGGE FM	FORMATION	18	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	4896.000000	5275.000000	BÅT GP	GROUP	22	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	3537.000000	4634.000000	CROMER KNOLL GP	GROUP	23	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	4651.000000	4896.000000	FANGST GP	GROUP	38	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	4651.000000	4769.000000	GARN FM	FORMATION	48	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	1940.000000	2260.000000	HORDALAND GP	GROUP	67	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	4817.000000	4896.000000	ILE FM	FORMATION	70	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	1512.000000	1940.000000	KAI FM	FORMATION	77	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	2760.000000	3537.000000	KVITNOS FM	FORMATION	91	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	3571.000000	4399.000000	LANGE FM	FORMATION	94	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	4458.000000	4634.000000	LANGE FM	FORMATION	94	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	3537.000000	3571.000000	LYSING FM	FORMATION	99	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	4634.000000	4651.000000	MELKE FM	FORMATION	105	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	403.000000	1512.000000	NAUST FM	FORMATION	109	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	4399.000000	4458.000000	NO FORMAL NAME	FORMATION	111	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	2600.000000	2760.000000	NISE FM	FORMATION	112	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	403.000000	1940.000000	NORDLAND GP	GROUP	113	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	4769.000000	4817.000000	NOT FM	FORMATION	120	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	2260.000000	2406.000000	ROGALAND GP	GROUP	131	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	4896.000000	4945.000000	ROR FM	FORMATION	135	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	5078.000000	5080.000000	ROR FM	FORMATION	135	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	2406.000000	3537.000000	SHETLAND GP	GROUP	143	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	2406.000000	2600.000000	SPRINGAR FM	FORMATION	156	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	2360.000000	2406.000000	TANG FM	FORMATION	161	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	2260.000000	2360.000000	TARE FM	FORMATION	163	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	5080.000000	5260.000000	TILJE FM	FORMATION	169	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	4945.000000	5078.000000	TOFTE FM	FORMATION	170	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	4634.000000	4651.000000	VIKING GP	GROUP	188	1998-08-22	3306	9999-12-31	2013-05-08
6506/11-6	5260.000000	5275.000000	ÅRE FM	FORMATION	197	1998-08-22	3306	9999-12-31	2013-05-08
34/7-29 S	1748.000000	1814.000000	BALDER FM	FORMATION	6	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	2894.000000	2927.000000	BRENT GP	GROUP	16	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	2693.000000	2706.000000	CROMER KNOLL GP	GROUP	23	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	2706.000000	2723.000000	INTRA DRAUPNE FM SS	FORMATION	26	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	2723.000000	2774.000000	DRAUPNE FM	FORMATION	28	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	2774.000000	2894.000000	HEATHER FM	FORMATION	60	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	1093.000000	1748.000000	HORDALAND GP	GROUP	67	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	1999.000000	2260.000000	JORSALFARE FM	FORMATION	74	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	2260.000000	2693.000000	KYRRE FM	FORMATION	92	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	1814.000000	1928.000000	LISTA FM	FORMATION	95	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	2701.000000	2706.000000	MIME FM	FORMATION	106	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	1283.000000	1335.000000	NO FORMAL NAME	FORMATION	111	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	1335.000000	1398.000000	NO FORMAL NAME	FORMATION	111	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	1398.000000	1447.000000	NO FORMAL NAME	FORMATION	111	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	1447.000000	1748.000000	NO FORMAL NAME	FORMATION	111	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	1928.000000	1999.000000	NO FORMAL NAME	FORMATION	111	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	274.000000	1093.000000	NORDLAND GP	GROUP	113	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	1748.000000	1999.000000	ROGALAND GP	GROUP	131	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	2693.000000	2701.000000	RØDBY FM	FORMATION	137	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	1999.000000	2693.000000	SHETLAND GP	GROUP	143	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	2894.000000	2927.000000	TARBERT FM	FORMATION	162	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	979.000000	1093.000000	UTSIRA FM	FORMATION	183	1998-04-14	3313	9999-12-31	2013-05-08
34/7-29 S	2706.000000	2894.000000	VIKING GP	GROUP	188	1998-04-14	3313	9999-12-31	2013-05-08
34/11-4	1875.000000	1928.000000	BALDER FM	FORMATION	6	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	4142.000000	4339.000000	BRENT GP	GROUP	16	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	3697.000000	3904.000000	CROMER KNOLL GP	GROUP	23	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	4410.000000	4438.000000	COOK FM	FORMATION	24	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	4339.000000	4410.000000	DRAKE FM	FORMATION	27	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	3904.000000	4018.000000	DRAUPNE FM	FORMATION	28	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	4339.000000	4438.000000	DUNLIN GP	GROUP	29	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	4277.000000	4292.000000	ETIVE FM	FORMATION	35	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	4018.000000	4142.000000	HEATHER FM	FORMATION	60	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	996.000000	1875.000000	HORDALAND GP	GROUP	67	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	2117.000000	2428.000000	JORSALFARE FM	FORMATION	74	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	2428.000000	3512.000000	KYRRE FM	FORMATION	92	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	1928.000000	2117.000000	LISTA FM	FORMATION	95	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	4148.000000	4277.000000	NESS FM	FORMATION	110	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	1238.000000	1254.000000	NO FORMAL NAME	FORMATION	111	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	1254.000000	1302.000000	NO FORMAL NAME	FORMATION	111	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	1302.000000	1480.000000	NO FORMAL NAME	FORMATION	111	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	1480.000000	1515.000000	NO FORMAL NAME	FORMATION	111	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	1515.000000	1630.000000	NO FORMAL NAME	FORMATION	111	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	1630.000000	1875.000000	NO FORMAL NAME	FORMATION	111	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	157.000000	996.000000	NORDLAND GP	GROUP	113	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	4292.000000	4339.000000	RANNOCH FM	FORMATION	126	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	1875.000000	2117.000000	ROGALAND GP	GROUP	131	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	2117.000000	3697.000000	SHETLAND GP	GROUP	143	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	3512.000000	3697.000000	SVARTE FM	FORMATION	160	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	4142.000000	4148.000000	TARBERT FM	FORMATION	162	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	753.000000	996.000000	UTSIRA FM	FORMATION	183	1999-04-14	3314	9999-12-31	2013-05-08
34/11-4	3904.000000	4142.000000	VIKING GP	GROUP	188	1999-04-14	3314	9999-12-31	2013-05-08
34/7-26 SR	2896.000000	3016.000000	BALDER FM	FORMATION	6	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	4505.000000	4528.000000	CROMER KNOLL GP	GROUP	23	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	4528.000000	4537.000000	INTRA DRAUPNE FM SS	FORMATION	26	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	4537.000000	4610.000000	DRAUPNE FM	FORMATION	28	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	4610.000000	4690.000000	HEATHER FM	FORMATION	60	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	1348.000000	2896.000000	HORDALAND GP	GROUP	67	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	3340.000000	3866.000000	JORSALFARE FM	FORMATION	74	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	3866.000000	4505.000000	KYRRE FM	FORMATION	92	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	3016.000000	3340.000000	LISTA FM	FORMATION	95	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	4512.000000	4528.000000	MIME FM	FORMATION	106	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	1555.000000	1617.000000	NO FORMAL NAME	FORMATION	111	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	1617.000000	1665.000000	NO FORMAL NAME	FORMATION	111	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	1665.000000	1867.000000	NO FORMAL NAME	FORMATION	111	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	1867.000000	1980.000000	NO FORMAL NAME	FORMATION	111	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	1980.000000	2098.000000	NO FORMAL NAME	FORMATION	111	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	2098.000000	2187.000000	NO FORMAL NAME	FORMATION	111	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	2187.000000	2223.000000	NO FORMAL NAME	FORMATION	111	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	2223.000000	2896.000000	NO FORMAL NAME	FORMATION	111	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	226.000000	1348.000000	NORDLAND GP	GROUP	113	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	2896.000000	3340.000000	ROGALAND GP	GROUP	131	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	4505.000000	4512.000000	RØDBY FM	FORMATION	137	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	3340.000000	4505.000000	SHETLAND GP	GROUP	143	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	1002.000000	1348.000000	UTSIRA FM	FORMATION	183	1998-02-02	3315	9999-12-31	2013-05-08
34/7-26 SR	4528.000000	4690.000000	VIKING GP	GROUP	188	1998-02-02	3315	9999-12-31	2013-05-08
6506/11-7	1905.000000	2132.000000	BRYGGE FM	FORMATION	18	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4709.000000	4978.000000	BÅT GP	GROUP	22	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	3336.000000	4576.000000	CROMER KNOLL GP	GROUP	23	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4578.000000	4709.000000	FANGST GP	GROUP	38	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4578.000000	4637.000000	GARN FM	FORMATION	48	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	1905.000000	2132.000000	HORDALAND GP	GROUP	67	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4661.000000	4709.000000	ILE FM	FORMATION	70	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	1495.000000	1905.000000	KAI FM	FORMATION	77	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	2620.000000	3336.000000	KVITNOS FM	FORMATION	91	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	3465.000000	4153.000000	LANGE FM	FORMATION	94	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4315.000000	4549.000000	LANGE FM	FORMATION	94	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4549.000000	4576.000000	LYR FM	FORMATION	98	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	3336.000000	3465.000000	LYSING FM	FORMATION	99	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	381.000000	1495.000000	NAUST FM	FORMATION	109	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4153.000000	4315.000000	NO FORMAL NAME	FORMATION	111	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	2385.000000	2620.000000	NISE FM	FORMATION	112	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	381.000000	1905.000000	NORDLAND GP	GROUP	113	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4637.000000	4661.000000	NOT FM	FORMATION	120	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	2132.000000	2255.000000	ROGALAND GP	GROUP	131	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4709.000000	4752.000000	ROR FM	FORMATION	135	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4818.000000	4821.000000	ROR FM	FORMATION	135	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	2255.000000	3336.000000	SHETLAND GP	GROUP	143	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4576.000000	4578.000000	SPEKK FM	FORMATION	155	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	2255.000000	2385.000000	SPRINGAR FM	FORMATION	156	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	2205.000000	2255.000000	TANG FM	FORMATION	161	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	2132.000000	2205.000000	TARE FM	FORMATION	163	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4821.000000	4927.000000	TILJE FM	FORMATION	169	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4752.000000	4818.000000	TOFTE FM	FORMATION	170	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4576.000000	4578.000000	VIKING GP	GROUP	188	2001-07-27	3322	9999-12-31	2013-05-08
6506/11-7	4927.000000	4978.000000	ÅRE FM	FORMATION	197	2001-07-27	3322	9999-12-31	2013-05-08
2/8-17 A	2908.000000	2918.000000	BALDER FM	FORMATION	6	1998-02-21	3328	9999-12-31	2013-05-08
2/8-17 A	3111.000000	3119.000000	CROMER KNOLL GP	GROUP	23	1998-02-21	3328	9999-12-31	2013-05-08
2/8-17 A	2943.000000	3019.000000	EKOFISK FM	FORMATION	33	1998-02-21	3328	9999-12-31	2013-05-08
2/8-17 A	1627.000000	2908.000000	HORDALAND GP	GROUP	67	1998-02-21	3328	9999-12-31	2013-05-08
2/8-17 A	2935.000000	2943.000000	LISTA FM	FORMATION	95	1998-02-21	3328	9999-12-31	2013-05-08
2/8-17 A	110.000000	1627.000000	NORDLAND GP	GROUP	113	1998-02-21	3328	9999-12-31	2013-05-08
2/8-17 A	2908.000000	2943.000000	ROGALAND GP	GROUP	131	1998-02-21	3328	9999-12-31	2013-05-08
2/8-17 A	2918.000000	2935.000000	SELE FM	FORMATION	142	1998-02-21	3328	9999-12-31	2013-05-08
2/8-17 A	2943.000000	3111.000000	SHETLAND GP	GROUP	143	1998-02-21	3328	9999-12-31	2013-05-08
2/8-17 A	3111.000000	3119.000000	SOLA FM	FORMATION	152	1998-02-21	3328	9999-12-31	2013-05-08
2/8-17 A	3019.000000	3111.000000	TOR FM	FORMATION	171	1998-02-21	3328	9999-12-31	2013-05-08
2/8-17 A	3119.000000	3145.000000	ZECHSTEIN GP	GROUP	194	1998-02-21	3328	9999-12-31	2013-05-08
34/7-26 A	2657.000000	2768.000000	BALDER FM	FORMATION	6	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	4115.000000	4129.000000	CROMER KNOLL GP	GROUP	23	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	4129.000000	4195.000000	INTRA DRAUPNE FM SS	FORMATION	26	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	4195.000000	4219.000000	DRAUPNE FM	FORMATION	28	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	4219.000000	4290.000000	HEATHER FM	FORMATION	60	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	1348.000000	2657.000000	HORDALAND GP	GROUP	67	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	3072.000000	3753.000000	JORSALFARE FM	FORMATION	74	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	3753.000000	4115.000000	KYRRE FM	FORMATION	92	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	2768.000000	3072.000000	LISTA FM	FORMATION	95	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	4123.000000	4129.000000	MIME FM	FORMATION	106	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	1570.000000	1751.000000	NO FORMAL NAME	FORMATION	111	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	1751.000000	1920.000000	NO FORMAL NAME	FORMATION	111	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	1920.000000	1990.000000	NO FORMAL NAME	FORMATION	111	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	1990.000000	2047.000000	NO FORMAL NAME	FORMATION	111	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	2047.000000	2070.000000	NO FORMAL NAME	FORMATION	111	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	2070.000000	2657.000000	NO FORMAL NAME	FORMATION	111	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	226.000000	1348.000000	NORDLAND GP	GROUP	113	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	2657.000000	3072.000000	ROGALAND GP	GROUP	131	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	4115.000000	4123.000000	RØDBY FM	FORMATION	137	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	3072.000000	4115.000000	SHETLAND GP	GROUP	143	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	1002.000000	1348.000000	UTSIRA FM	FORMATION	183	1998-04-22	3329	9999-12-31	2013-05-08
34/7-26 A	4129.000000	4290.000000	VIKING GP	GROUP	188	1998-04-22	3329	9999-12-31	2013-05-08
15/9-21 S	2620.000000	2704.000000	BALDER FM	FORMATION	6	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4138.000000	4208.000000	BLODØKS FM	FORMATION	13	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4272.000000	4431.000000	CROMER KNOLL GP	GROUP	23	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4431.000000	4700.000000	DRAUPNE FM	FORMATION	28	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	3437.000000	3513.000000	EKOFISK FM	FORMATION	33	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	2447.000000	2481.000000	GRID FM	FORMATION	53	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4737.000000	4767.000000	INTRA HEATHER FM SS	FORMATION	59	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4700.000000	4737.000000	HEATHER FM	FORMATION	60	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	2891.000000	3223.000000	HEIMDAL FM	FORMATION	62	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	3743.000000	4138.000000	HOD FM	FORMATION	66	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	1144.000000	2620.000000	HORDALAND GP	GROUP	67	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4767.000000	5032.000000	HUGIN FM	FORMATION	69	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	2815.000000	2891.000000	LISTA FM	FORMATION	95	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	3223.000000	3352.000000	LISTA FM	FORMATION	95	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	2255.000000	2447.000000	NO FORMAL NAME	FORMATION	111	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	2481.000000	2620.000000	NO FORMAL NAME	FORMATION	111	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	156.000000	1144.000000	NORDLAND GP	GROUP	113	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	2620.000000	3437.000000	ROGALAND GP	GROUP	131	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4272.000000	4320.000000	RØDBY FM	FORMATION	137	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	2704.000000	2815.000000	SELE FM	FORMATION	142	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	3437.000000	4272.000000	SHETLAND GP	GROUP	143	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	2225.000000	2255.000000	SKADE FM	FORMATION	145	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	5032.000000	5126.000000	SLEIPNER FM	FORMATION	148	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4320.000000	4362.000000	SOLA FM	FORMATION	152	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4208.000000	4272.000000	SVARTE FM	FORMATION	160	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	3513.000000	3743.000000	TOR FM	FORMATION	171	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	3352.000000	3428.000000	TY FM	FORMATION	176	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	873.000000	1144.000000	UTSIRA FM	FORMATION	183	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4767.000000	5126.000000	VESTLAND GP	GROUP	186	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4431.000000	4767.000000	VIKING GP	GROUP	188	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	3428.000000	3437.000000	VÅLE FM	FORMATION	190	1998-05-23	3334	9999-12-31	2013-05-08
15/9-21 S	4362.000000	4431.000000	ÅSGARD FM	FORMATION	198	1998-05-23	3334	9999-12-31	2013-05-08
35/11-11	1466.000000	1523.000000	BALDER FM	FORMATION	6	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	3005.000000	3177.000000	BRENT GP	GROUP	16	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2420.000000	2469.000000	CROMER KNOLL GP	GROUP	23	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2540.000000	2569.000000	INTRA DRAUPNE FM SS	FORMATION	26	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	3177.000000	3225.000000	DRAKE FM	FORMATION	27	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2469.000000	2540.000000	DRAUPNE FM	FORMATION	28	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	3177.000000	3225.000000	DUNLIN GP	GROUP	29	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	3077.000000	3085.000000	ETIVE FM	FORMATION	35	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2580.000000	2616.000000	INTRA HEATHER FM SS	FORMATION	59	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2683.000000	2727.000000	INTRA HEATHER FM SS	FORMATION	59	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2569.000000	2580.000000	HEATHER FM	FORMATION	60	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2616.000000	2683.000000	HEATHER FM	FORMATION	60	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2727.000000	3005.000000	HEATHER FM	FORMATION	60	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	763.000000	1466.000000	HORDALAND GP	GROUP	67	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	1914.000000	2056.000000	JORSALFARE FM	FORMATION	74	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2056.000000	2343.000000	KYRRE FM	FORMATION	92	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	1582.000000	1624.000000	LISTA FM	FORMATION	95	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	1679.000000	1825.000000	LISTA FM	FORMATION	95	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	3008.000000	3077.000000	NESS FM	FORMATION	110	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	1624.000000	1679.000000	NO FORMAL NAME	FORMATION	111	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	1825.000000	1914.000000	NO FORMAL NAME	FORMATION	111	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	383.000000	763.000000	NORDLAND GP	GROUP	113	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	3119.000000	3177.000000	OSEBERG FM	FORMATION	123	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	3085.000000	3119.000000	RANNOCH FM	FORMATION	126	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	1466.000000	1914.000000	ROGALAND GP	GROUP	131	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2420.000000	2469.000000	RØDBY FM	FORMATION	137	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	1523.000000	1582.000000	SELE FM	FORMATION	142	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	1914.000000	2420.000000	SHETLAND GP	GROUP	143	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2343.000000	2420.000000	SVARTE FM	FORMATION	160	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	3005.000000	3008.000000	TARBERT FM	FORMATION	162	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	667.000000	763.000000	UTSIRA FM	FORMATION	183	1998-05-22	3356	9999-12-31	2013-05-08
35/11-11	2469.000000	3005.000000	VIKING GP	GROUP	188	1998-05-22	3356	9999-12-31	2013-05-08
1/3-9 S	3103.000000	3125.000000	BALDER FM	FORMATION	6	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3895.000000	3898.000000	BLODØKS FM	FORMATION	13	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3900.000000	4119.000000	CROMER KNOLL GP	GROUP	23	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3319.000000	3409.000000	EKOFISK FM	FORMATION	33	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	4135.000000	4266.000000	FARSUND FM	FORMATION	39	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3898.000000	3900.000000	HIDRA FM	FORMATION	65	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3758.000000	3895.000000	HOD FM	FORMATION	66	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3155.000000	3254.000000	LISTA FM	FORMATION	95	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3259.000000	3292.000000	LISTA FM	FORMATION	95	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	4119.000000	4135.000000	MANDAL FM	FORMATION	101	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	4414.000000	4431.000000	NO FORMAL NAME	FORMATION	111	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3103.000000	3319.000000	ROGALAND GP	GROUP	131	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3900.000000	3933.000000	RØDBY FM	FORMATION	137	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3125.000000	3155.000000	SELE FM	FORMATION	142	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3319.000000	3900.000000	SHETLAND GP	GROUP	143	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3933.000000	3935.000000	SOLA FM	FORMATION	152	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3409.000000	3758.000000	TOR FM	FORMATION	171	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3935.000000	3942.000000	TUXEN FM	FORMATION	175	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	4119.000000	4266.000000	TYNE GP	GROUP	177	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	4266.000000	4414.000000	ULA FM	FORMATION	179	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	4431.000000	4516.000000	ULA FM	FORMATION	179	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	4266.000000	4516.000000	VESTLAND GP	GROUP	186	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3254.000000	3259.000000	VIDAR FM	FORMATION	187	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3292.000000	3319.000000	VÅLE FM	FORMATION	190	1998-07-31	3362	9999-12-31	2013-05-08
1/3-9 S	3942.000000	4119.000000	ÅSGARD FM	FORMATION	198	1998-07-31	3362	9999-12-31	2013-05-08
15/12-12	2238.000000	2252.000000	BALDER FM	FORMATION	6	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2651.000000	2675.000000	BLODØKS FM	FORMATION	13	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2711.000000	2793.000000	CROMER KNOLL GP	GROUP	23	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2793.000000	2861.000000	DRAUPNE FM	FORMATION	28	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2861.000000	2977.000000	INTRA HEATHER FM SS	FORMATION	59	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2675.000000	2711.000000	HIDRA FM	FORMATION	65	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2558.000000	2651.000000	HOD FM	FORMATION	66	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	1245.000000	2238.000000	HORDALAND GP	GROUP	67	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2312.000000	2420.000000	LISTA FM	FORMATION	95	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	113.000000	1245.000000	NORDLAND GP	GROUP	113	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2238.000000	2445.000000	ROGALAND GP	GROUP	131	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2711.000000	2733.000000	RØDBY FM	FORMATION	137	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2774.000000	2793.000000	RØDBY FM	FORMATION	137	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2252.000000	2312.000000	SELE FM	FORMATION	142	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2445.000000	2711.000000	SHETLAND GP	GROUP	143	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2977.000000	3085.000000	SKAGERRAK FM	FORMATION	146	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2733.000000	2774.000000	SOLA FM	FORMATION	152	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2450.000000	2558.000000	TOR FM	FORMATION	171	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2793.000000	2977.000000	VIKING GP	GROUP	188	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2420.000000	2445.000000	VÅLE FM	FORMATION	190	2001-02-09	3391	9999-12-31	2013-05-08
15/12-12	2977.000000	3085.000000	NO GROUP DEFINED	GROUP	208	2001-02-09	3391	9999-12-31	2013-05-08
24/6-2	1905.000000	2015.000000	BALDER FM	FORMATION	6	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	1183.000000	1279.000000	GRID FM	FORMATION	53	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	2099.000000	2535.000000	HEIMDAL FM	FORMATION	62	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	680.000000	1905.000000	HORDALAND GP	GROUP	67	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	2054.000000	2099.000000	LISTA FM	FORMATION	95	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	2535.000000	2590.000000	LISTA FM	FORMATION	95	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	958.000000	1183.000000	NO FORMAL NAME	FORMATION	111	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	1279.000000	1905.000000	NO FORMAL NAME	FORMATION	111	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	148.000000	680.000000	NORDLAND GP	GROUP	113	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	1905.000000	2722.000000	ROGALAND GP	GROUP	131	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	2015.000000	2054.000000	SELE FM	FORMATION	142	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	707.000000	958.000000	SKADE FM	FORMATION	145	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	2622.000000	2678.000000	TY FM	FORMATION	176	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	394.000000	680.000000	UTSIRA FM	FORMATION	183	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	2590.000000	2622.000000	VÅLE FM	FORMATION	190	1998-07-08	3397	9999-12-31	2013-05-08
24/6-2	2678.000000	2722.000000	VÅLE FM	FORMATION	190	1998-07-08	3397	9999-12-31	2013-05-08
6406/2-6	1978.000000	2508.000000	BRYGGE FM	FORMATION	18	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4718.000000	5263.000000	BÅT GP	GROUP	22	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	3515.000000	4432.000000	CROMER KNOLL GP	GROUP	23	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4480.000000	4718.000000	FANGST GP	GROUP	38	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4480.000000	4573.000000	GARN FM	FORMATION	48	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	1978.000000	2508.000000	HORDALAND GP	GROUP	67	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4617.000000	4718.000000	ILE FM	FORMATION	70	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	1586.000000	1978.000000	KAI FM	FORMATION	77	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	2902.000000	3515.000000	KVITNOS FM	FORMATION	91	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	3532.000000	4422.000000	LANGE FM	FORMATION	94	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4422.000000	4432.000000	LYR FM	FORMATION	98	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	3515.000000	3532.000000	LYSING FM	FORMATION	99	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4433.000000	4480.000000	MELKE FM	FORMATION	105	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	325.000000	1586.000000	NAUST FM	FORMATION	109	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	2746.000000	2902.000000	NISE FM	FORMATION	112	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	325.000000	1978.000000	NORDLAND GP	GROUP	113	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4573.000000	4617.000000	NOT FM	FORMATION	120	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	2508.000000	2636.000000	ROGALAND GP	GROUP	131	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4718.000000	4725.000000	ROR FM	FORMATION	135	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	2636.000000	3515.000000	SHETLAND GP	GROUP	143	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4432.000000	4433.000000	SPEKK FM	FORMATION	155	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	2636.000000	2746.000000	SPRINGAR FM	FORMATION	156	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	2577.000000	2636.000000	TANG FM	FORMATION	161	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	2508.000000	2577.000000	TARE FM	FORMATION	163	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4965.000000	5204.000000	TILJE FM	FORMATION	169	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4725.000000	4965.000000	TOFTE FM	FORMATION	170	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	4432.000000	4480.000000	VIKING GP	GROUP	188	1998-11-07	3407	9999-12-31	2013-05-08
6406/2-6	5204.000000	5263.000000	ÅRE FM	FORMATION	197	1998-11-07	3407	9999-12-31	2013-05-08
35/9-4 S	605.000000	642.000000	BALDER FM	FORMATION	6	1998-08-13	3524	9999-12-31	2013-05-08
35/9-4 S	559.000000	605.000000	HORDALAND GP	GROUP	67	1998-08-13	3524	9999-12-31	2013-05-08
35/9-4 S	723.000000	832.000000	LISTA FM	FORMATION	95	1998-08-13	3524	9999-12-31	2013-05-08
35/9-4 S	843.000000	875.000000	LISTA FM	FORMATION	95	1998-08-13	3524	9999-12-31	2013-05-08
35/9-4 S	987.000000	1261.000000	LISTA FM	FORMATION	95	1998-08-13	3524	9999-12-31	2013-05-08
35/9-4 S	832.000000	843.000000	NO FORMAL NAME	FORMATION	111	1998-08-13	3524	9999-12-31	2013-05-08
35/9-4 S	875.000000	987.000000	NO FORMAL NAME	FORMATION	111	1998-08-13	3524	9999-12-31	2013-05-08
35/9-4 S	388.000000	559.000000	NORDLAND GP	GROUP	113	1998-08-13	3524	9999-12-31	2013-05-08
35/9-4 S	605.000000	1261.000000	ROGALAND GP	GROUP	131	1998-08-13	3524	9999-12-31	2013-05-08
35/9-4 S	642.000000	723.000000	SELE FM	FORMATION	142	1998-08-13	3524	9999-12-31	2013-05-08
16/10-4	1792.000000	1820.000000	BALDER FM	FORMATION	6	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	2398.000000	2449.000000	CROMER KNOLL GP	GROUP	23	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	2449.000000	2474.000000	DRAUPNE FM	FORMATION	28	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	1888.000000	1940.000000	EKOFISK FM	FORMATION	33	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	2172.000000	2398.000000	HOD FM	FORMATION	66	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	1041.000000	1792.000000	HORDALAND GP	GROUP	67	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	2474.000000	2547.000000	HUGIN FM	FORMATION	69	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	1830.000000	1882.000000	LISTA FM	FORMATION	95	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	116.000000	1041.000000	NORDLAND GP	GROUP	113	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	1792.000000	1888.000000	ROGALAND GP	GROUP	131	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	1820.000000	1830.000000	SELE FM	FORMATION	142	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	1888.000000	2398.000000	SHETLAND GP	GROUP	143	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	2547.000000	2550.000000	SKAGERRAK FM	FORMATION	146	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	2398.000000	2408.000000	SOLA FM	FORMATION	152	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	1940.000000	2172.000000	TOR FM	FORMATION	171	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	965.000000	1041.000000	UTSIRA FM	FORMATION	183	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	2474.000000	2547.000000	VESTLAND GP	GROUP	186	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	2449.000000	2474.000000	VIKING GP	GROUP	188	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	1882.000000	1888.000000	VÅLE FM	FORMATION	190	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	2550.000000	2580.000000	ZECHSTEIN GP	GROUP	194	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	2408.000000	2449.000000	ÅSGARD FM	FORMATION	198	1998-08-10	3531	9999-12-31	2013-05-08
16/10-4	2547.000000	2550.000000	NO GROUP DEFINED	GROUP	208	1998-08-10	3531	9999-12-31	2013-05-08
6305/7-1	1529.000000	2562.000000	BRYGGE FM	FORMATION	18	1998-08-30	3535	9999-12-31	2013-05-08
6305/7-1	2911.000000	2992.000000	EGGA FM (INFORMAL)	FORMATION	31	1998-08-30	3535	9999-12-31	2013-05-08
6305/7-1	1529.000000	2562.000000	HORDALAND GP	GROUP	67	1998-08-30	3535	9999-12-31	2013-05-08
6305/7-1	883.000000	1529.000000	NAUST FM	FORMATION	109	1998-08-30	3535	9999-12-31	2013-05-08
6305/7-1	883.000000	1529.000000	NORDLAND GP	GROUP	113	1998-08-30	3535	9999-12-31	2013-05-08
6305/7-1	2562.000000	2992.000000	ROGALAND GP	GROUP	131	1998-08-30	3535	9999-12-31	2013-05-08
6305/7-1	2992.000000	3377.000000	SHETLAND GP	GROUP	143	1998-08-30	3535	9999-12-31	2013-05-08
6305/7-1	2992.000000	3377.000000	SPRINGAR FM	FORMATION	156	1998-08-30	3535	9999-12-31	2013-05-08
6305/7-1	2657.000000	2911.000000	TANG FM	FORMATION	161	1998-08-30	3535	9999-12-31	2013-05-08
6305/7-1	2562.000000	2657.000000	TARE FM	FORMATION	163	1998-08-30	3535	9999-12-31	2013-05-08
6305/1-1	1740.000000	2172.000000	BRYGGE FM	FORMATION	18	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	3640.000000	4560.000000	CROMER KNOLL GP	GROUP	23	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	2558.000000	2606.000000	EGGA FM (INFORMAL)	FORMATION	31	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	1740.000000	2172.000000	HORDALAND GP	GROUP	67	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	1734.000000	1740.000000	KAI FM	FORMATION	77	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	3048.000000	3640.000000	KVITNOS FM	FORMATION	91	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	3640.000000	4560.000000	LYSING FM	FORMATION	99	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	863.000000	1734.000000	NAUST FM	FORMATION	109	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	2827.000000	3048.000000	NISE FM	FORMATION	112	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	863.000000	1740.000000	NORDLAND GP	GROUP	113	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	2172.000000	2606.000000	ROGALAND GP	GROUP	131	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	2606.000000	3640.000000	SHETLAND GP	GROUP	143	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	2606.000000	2827.000000	SPRINGAR FM	FORMATION	156	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	2355.000000	2558.000000	TANG FM	FORMATION	161	1998-11-19	3555	9999-12-31	2013-05-08
6305/1-1	2172.000000	2355.000000	TARE FM	FORMATION	163	1998-11-19	3555	9999-12-31	2013-05-08
7120/6-2 S	1176.000000	2564.000000	ADVENTDALEN GP	GROUP	1	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	2886.000000	3145.000000	FRUHOLMEN FM	FORMATION	46	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	2550.000000	2564.000000	FUGLEN FM	FORMATION	47	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	2470.000000	2550.000000	HEKKINGEN FM	FORMATION	63	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	2564.000000	3242.000000	KAPP TOSCANA GP	GROUP	79	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	2351.000000	2470.000000	KNURR FM	FORMATION	82	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	1954.000000	2351.000000	KOLJE FM	FORMATION	84	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	1176.000000	1954.000000	KOLMULE FM	FORMATION	85	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	1137.000000	1176.000000	KVITING FM	FORMATION	90	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	344.000000	459.000000	NORDLAND GP	GROUP	113	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	2678.000000	2762.000000	NORDMELA FM	FORMATION	118	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	1137.000000	1176.000000	NYGRUNNEN GP	GROUP	122	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	3145.000000	3242.000000	SNADD FM	FORMATION	150	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	459.000000	1137.000000	SOTBAKKEN GP	GROUP	154	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	2564.000000	2678.000000	STØ FM	FORMATION	159	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	459.000000	1137.000000	TORSK FM	FORMATION	172	2007-07-22	3558	9999-12-31	2013-05-08
7120/6-2 S	2762.000000	2886.000000	TUBÅEN FM	FORMATION	174	2007-07-22	3558	9999-12-31	2013-05-08
2/7-31	3000.000000	3018.000000	BALDER FM	FORMATION	6	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4074.000000	4087.000000	BLODØKS FM	FORMATION	13	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4634.000000	4668.000000	BRYNE FM	FORMATION	19	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4204.000000	4437.000000	CROMER KNOLL GP	GROUP	23	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	3146.000000	3203.000000	EKOFISK FM	FORMATION	33	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4439.000000	4469.000000	FARSUND FM	FORMATION	39	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4087.000000	4204.000000	HIDRA FM	FORMATION	65	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	3580.000000	4074.000000	HOD FM	FORMATION	66	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	1541.000000	3000.000000	HORDALAND GP	GROUP	67	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	3072.000000	3115.000000	LISTA FM	FORMATION	95	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4437.000000	4439.000000	MANDAL FM	FORMATION	101	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	121.000000	1541.000000	NORDLAND GP	GROUP	113	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	3000.000000	3146.000000	ROGALAND GP	GROUP	131	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4750.000000	4968.000000	ROTLIEGEND GP	GROUP	136	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4204.000000	4284.000000	RØDBY FM	FORMATION	137	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	3018.000000	3072.000000	SELE FM	FORMATION	142	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	3146.000000	4204.000000	SHETLAND GP	GROUP	143	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4284.000000	4372.000000	SOLA FM	FORMATION	152	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	3203.000000	3580.000000	TOR FM	FORMATION	171	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4372.000000	4379.000000	TUXEN FM	FORMATION	175	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4437.000000	4469.000000	TYNE GP	GROUP	177	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4469.000000	4634.000000	ULA FM	FORMATION	179	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4469.000000	4668.000000	VESTLAND GP	GROUP	186	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	3115.000000	3146.000000	VÅLE FM	FORMATION	190	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4668.000000	4750.000000	ZECHSTEIN GP	GROUP	194	1999-06-09	3573	9999-12-31	2013-05-08
2/7-31	4379.000000	4437.000000	ÅSGARD FM	FORMATION	198	1999-06-09	3573	9999-12-31	2013-05-08
30/6-25 S	2029.000000	2106.000000	BALDER FM	FORMATION	6	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2663.000000	2713.000000	BRENT GP	GROUP	16	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2830.000000	2918.000000	BRENT GP	GROUP	16	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2713.000000	2830.000000	DRAKE FM	FORMATION	27	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2918.000000	2988.000000	DRAKE FM	FORMATION	27	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2713.000000	2830.000000	DUNLIN GP	GROUP	29	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2918.000000	2988.000000	DUNLIN GP	GROUP	29	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2699.000000	2704.000000	ETIVE FM	FORMATION	35	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2889.000000	2904.000000	ETIVE FM	FORMATION	35	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2320.000000	2336.000000	HARDRÅDE FM	FORMATION	56	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	878.000000	2029.000000	HORDALAND GP	GROUP	67	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2336.000000	2526.000000	JORSALFARE FM	FORMATION	74	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2526.000000	2663.000000	KYRRE FM	FORMATION	92	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2149.000000	2253.000000	LISTA FM	FORMATION	95	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2663.000000	2699.000000	NESS FM	FORMATION	110	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2830.000000	2889.000000	NESS FM	FORMATION	110	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	917.000000	1386.000000	NO FORMAL NAME	FORMATION	111	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	1386.000000	1468.000000	NO FORMAL NAME	FORMATION	111	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	1468.000000	2029.000000	NO FORMAL NAME	FORMATION	111	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	128.000000	878.000000	NORDLAND GP	GROUP	113	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2712.000000	2713.000000	OSEBERG FM	FORMATION	123	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2916.000000	2918.000000	OSEBERG FM	FORMATION	123	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2704.000000	2712.000000	RANNOCH FM	FORMATION	126	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2904.000000	2916.000000	RANNOCH FM	FORMATION	126	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2029.000000	2320.000000	ROGALAND GP	GROUP	131	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2106.000000	2149.000000	SELE FM	FORMATION	142	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2320.000000	2663.000000	SHETLAND GP	GROUP	143	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	895.000000	917.000000	SKADE FM	FORMATION	145	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	640.000000	878.000000	UTSIRA FM	FORMATION	183	1999-01-06	3578	9999-12-31	2013-05-08
30/6-25 S	2253.000000	2320.000000	VÅLE FM	FORMATION	190	1999-01-06	3578	9999-12-31	2013-05-08
16/1-5 A	1973.000000	2002.000000	BALDER FM	FORMATION	6	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	1652.000000	1798.000000	GRID FM	FORMATION	53	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	2120.000000	2150.000000	INTRA HEATHER FM SS	FORMATION	59	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	2101.000000	2120.000000	HOD FM	FORMATION	66	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	921.000000	1973.000000	HORDALAND GP	GROUP	67	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	2008.000000	2094.000000	LISTA FM	FORMATION	95	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	1230.000000	1652.000000	NO FORMAL NAME	FORMATION	111	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	1798.000000	1973.000000	NO FORMAL NAME	FORMATION	111	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	130.000000	921.000000	NORDLAND GP	GROUP	113	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	1973.000000	2101.000000	ROGALAND GP	GROUP	131	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	2002.000000	2008.000000	SELE FM	FORMATION	142	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	2101.000000	2120.000000	SHETLAND GP	GROUP	143	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	1002.000000	1230.000000	SKADE FM	FORMATION	145	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	745.000000	921.000000	UTSIRA FM	FORMATION	183	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	2120.000000	2150.000000	VIKING GP	GROUP	188	1998-12-06	3626	9999-12-31	2013-05-08
16/1-5 A	2094.000000	2101.000000	VÅLE FM	FORMATION	190	1998-12-06	3626	9999-12-31	2013-05-08
6406/2-4 SR	1946.000000	2462.000000	BRYGGE FM	FORMATION	18	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	4671.000000	5080.000000	BÅT GP	GROUP	22	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	3485.000000	4388.000000	CROMER KNOLL GP	GROUP	23	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	4612.000000	4671.000000	FANGST GP	GROUP	38	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	4612.000000	4667.000000	GARN FM	FORMATION	48	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	1946.000000	2462.000000	HORDALAND GP	GROUP	67	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	1576.000000	1946.000000	KAI FM	FORMATION	77	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	2913.000000	3485.000000	KVITNOS FM	FORMATION	91	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	3502.000000	3565.000000	LANGE FM	FORMATION	94	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	3623.000000	4372.000000	LANGE FM	FORMATION	94	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	4372.000000	4388.000000	LYR FM	FORMATION	98	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	3485.000000	3502.000000	LYSING FM	FORMATION	99	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	4406.000000	4612.000000	MELKE FM	FORMATION	105	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	296.000000	1576.000000	NAUST FM	FORMATION	109	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	3565.000000	3623.000000	NO FORMAL NAME	FORMATION	111	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	2725.000000	2913.000000	NISE FM	FORMATION	112	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	296.000000	1946.000000	NORDLAND GP	GROUP	113	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	4667.000000	4671.000000	NOT FM	FORMATION	120	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	2462.000000	2589.000000	ROGALAND GP	GROUP	131	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	2589.000000	3485.000000	SHETLAND GP	GROUP	143	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	4388.000000	4406.000000	SPEKK FM	FORMATION	155	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	2589.000000	2725.000000	SPRINGAR FM	FORMATION	156	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	2528.000000	2589.000000	TANG FM	FORMATION	161	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	2462.000000	2528.000000	TARE FM	FORMATION	163	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	4755.000000	4950.000000	TILJE FM	FORMATION	169	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	4671.000000	4755.000000	TOFTE FM	FORMATION	170	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	4388.000000	4612.000000	VIKING GP	GROUP	188	1999-02-15	3627	9999-12-31	2013-05-08
6406/2-4 SR	4950.000000	5080.000000	ÅRE FM	FORMATION	197	1999-02-15	3627	9999-12-31	2013-05-08
2/1-12	2622.000000	2648.000000	BALDER FM	FORMATION	6	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3548.000000	3550.000000	BRYNE FM	FORMATION	19	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3140.000000	3250.000000	CROMER KNOLL GP	GROUP	23	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2929.000000	2990.000000	EKOFISK FM	FORMATION	33	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3341.000000	3384.000000	FARSUND FM	FORMATION	39	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2672.000000	2750.000000	FORTIES FM	FORMATION	44	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3384.000000	3513.000000	HAUGESUND FM	FORMATION	57	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	1607.000000	2622.000000	HORDALAND GP	GROUP	67	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2750.000000	2813.000000	LISTA FM	FORMATION	95	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2903.000000	2920.000000	LISTA FM	FORMATION	95	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3250.000000	3251.000000	MANDAL FM	FORMATION	101	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2227.000000	2622.000000	NO FORMAL NAME	FORMATION	111	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	91.000000	1607.000000	NORDLAND GP	GROUP	113	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2622.000000	2929.000000	ROGALAND GP	GROUP	131	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3140.000000	3144.000000	RØDBY FM	FORMATION	137	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2648.000000	2672.000000	SELE FM	FORMATION	142	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2929.000000	3140.000000	SHETLAND GP	GROUP	143	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3144.000000	3153.000000	SOLA FM	FORMATION	152	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2990.000000	3140.000000	TOR FM	FORMATION	171	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3153.000000	3158.000000	TUXEN FM	FORMATION	175	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3250.000000	3251.000000	TYNE GP	GROUP	177	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3341.000000	3513.000000	TYNE GP	GROUP	177	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3251.000000	3341.000000	ULA FM	FORMATION	179	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3513.000000	3548.000000	ULA FM	FORMATION	179	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2150.000000	2227.000000	VADE FM	FORMATION	184	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3251.000000	3341.000000	VESTLAND GP	GROUP	186	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3513.000000	3550.000000	VESTLAND GP	GROUP	186	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2813.000000	2903.000000	VIDAR FM	FORMATION	187	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	2920.000000	2929.000000	VÅLE FM	FORMATION	190	1999-02-10	3648	9999-12-31	2013-05-08
2/1-12	3158.000000	3250.000000	ÅSGARD FM	FORMATION	198	1999-02-10	3648	9999-12-31	2013-05-08
6507/3-3	1710.000000	1931.000000	BRYGGE FM	FORMATION	18	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	3478.000000	3830.000000	BÅT GP	GROUP	22	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	2641.000000	3013.000000	CROMER KNOLL GP	GROUP	23	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	3364.000000	3478.000000	FANGST GP	GROUP	38	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	3364.000000	3404.000000	GARN FM	FORMATION	48	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	1710.000000	1931.000000	HORDALAND GP	GROUP	67	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	3447.000000	3478.000000	ILE FM	FORMATION	70	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	1372.000000	1710.000000	KAI FM	FORMATION	77	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	2641.000000	3013.000000	LANGE FM	FORMATION	94	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	3093.000000	3364.000000	MELKE FM	FORMATION	105	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	416.000000	1372.000000	NAUST FM	FORMATION	109	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	416.000000	1710.000000	NORDLAND GP	GROUP	113	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	3404.000000	3447.000000	NOT FM	FORMATION	120	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	1931.000000	2045.000000	ROGALAND GP	GROUP	131	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	3478.000000	3538.000000	ROR FM	FORMATION	135	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	2045.000000	2641.000000	SHETLAND GP	GROUP	143	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	3013.000000	3093.000000	SPEKK FM	FORMATION	155	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	2045.000000	2641.000000	SPRINGAR FM	FORMATION	156	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	2010.000000	2045.000000	TANG FM	FORMATION	161	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	1931.000000	2010.000000	TARE FM	FORMATION	163	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	3538.000000	3680.000000	TILJE FM	FORMATION	169	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	3013.000000	3364.000000	VIKING GP	GROUP	188	1999-03-25	3668	9999-12-31	2013-05-08
6507/3-3	3680.000000	3830.000000	ÅRE FM	FORMATION	197	1999-03-25	3668	9999-12-31	2013-05-08
6507/5-1	1802.000000	1987.000000	BRYGGE FM	FORMATION	18	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3517.000000	4224.000000	BÅT GP	GROUP	22	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	2716.000000	3178.000000	CROMER KNOLL GP	GROUP	23	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3380.000000	3517.000000	FANGST GP	GROUP	38	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3380.000000	3434.000000	GARN FM	FORMATION	48	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	1802.000000	1987.000000	HORDALAND GP	GROUP	67	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3476.000000	3517.000000	ILE FM	FORMATION	70	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	1381.000000	1802.000000	KAI FM	FORMATION	77	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	2523.000000	2716.000000	KVITNOS FM	FORMATION	91	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	2718.000000	3178.000000	LANGE FM	FORMATION	94	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	2716.000000	2718.000000	LYSING FM	FORMATION	99	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3194.000000	3380.000000	MELKE FM	FORMATION	105	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	347.000000	1381.000000	NAUST FM	FORMATION	109	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	2076.000000	2523.000000	NISE FM	FORMATION	112	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	347.000000	1802.000000	NORDLAND GP	GROUP	113	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3434.000000	3476.000000	NOT FM	FORMATION	120	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	1987.000000	2076.000000	ROGALAND GP	GROUP	131	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3517.000000	3577.000000	ROR FM	FORMATION	135	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	2076.000000	2716.000000	SHETLAND GP	GROUP	143	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3178.000000	3194.000000	SPEKK FM	FORMATION	155	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	2032.000000	2076.000000	TANG FM	FORMATION	161	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	1987.000000	2032.000000	TARE FM	FORMATION	163	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3579.000000	3688.000000	TILJE FM	FORMATION	169	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3577.000000	3579.000000	TOFTE FM	FORMATION	170	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3178.000000	3380.000000	VIKING GP	GROUP	188	1998-05-03	3683	9999-12-31	2013-05-08
6507/5-1	3688.000000	4224.000000	ÅRE FM	FORMATION	197	1998-05-03	3683	9999-12-31	2013-05-08
34/7-29 SR	1747.000000	1813.000000	BALDER FM	FORMATION	6	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	2893.000000	2926.000000	BRENT GP	GROUP	16	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	2692.000000	2705.000000	CROMER KNOLL GP	GROUP	23	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	2705.000000	2722.000000	INTRA DRAUPNE FM SS	FORMATION	26	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	2722.000000	2773.000000	DRAUPNE FM	FORMATION	28	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	2773.000000	2893.000000	HEATHER FM	FORMATION	60	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	1092.000000	1747.000000	HORDALAND GP	GROUP	67	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	1998.000000	2259.000000	JORSALFARE FM	FORMATION	74	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	2259.000000	2692.000000	KYRRE FM	FORMATION	92	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	1813.000000	1927.000000	LISTA FM	FORMATION	95	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	2700.000000	2705.000000	MIME FM	FORMATION	106	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	1282.000000	1334.000000	NO FORMAL NAME	FORMATION	111	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	1334.000000	1397.000000	NO FORMAL NAME	FORMATION	111	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	1397.000000	1446.000000	NO FORMAL NAME	FORMATION	111	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	1446.000000	1747.000000	NO FORMAL NAME	FORMATION	111	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	1927.000000	1998.000000	NO FORMAL NAME	FORMATION	111	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	273.000000	1092.000000	NORDLAND GP	GROUP	113	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	1747.000000	1998.000000	ROGALAND GP	GROUP	131	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	2692.000000	2700.000000	RØDBY FM	FORMATION	137	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	1998.000000	2692.000000	SHETLAND GP	GROUP	143	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	2893.000000	2926.000000	TARBERT FM	FORMATION	162	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	978.000000	1092.000000	UTSIRA FM	FORMATION	183	1999-03-17	3702	9999-12-31	2013-05-08
34/7-29 SR	2705.000000	2893.000000	VIKING GP	GROUP	188	1999-03-17	3702	9999-12-31	2013-05-08
9/2-9 S	940.000000	980.000000	BALDER FM	FORMATION	6	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	1868.000000	1908.000000	BLODØKS FM	FORMATION	13	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	2710.000000	3844.000000	BOKNFJORD GP	GROUP	15	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	4365.000000	4367.000000	BRYNE FM	FORMATION	19	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	1908.000000	2710.000000	CROMER KNOLL GP	GROUP	23	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	3669.000000	3844.000000	EGERSUND FM	FORMATION	30	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	1050.000000	1160.000000	EKOFISK FM	FORMATION	33	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	2710.000000	2823.000000	FLEKKEFJORD FM	FORMATION	43	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	1545.000000	1868.000000	HOD FM	FORMATION	66	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	415.000000	940.000000	HORDALAND GP	GROUP	67	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	1005.000000	1045.000000	LISTA FM	FORMATION	95	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	102.000000	415.000000	NORDLAND GP	GROUP	113	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	940.000000	1050.000000	ROGALAND GP	GROUP	131	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	1908.000000	1953.000000	RØDBY FM	FORMATION	137	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	3844.000000	4365.000000	SANDNES FM	FORMATION	139	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	2823.000000	3551.000000	SAUDA FM	FORMATION	141	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	980.000000	1005.000000	SELE FM	FORMATION	142	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	1050.000000	1908.000000	SHETLAND GP	GROUP	143	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	1953.000000	2019.000000	SOLA FM	FORMATION	152	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	3551.000000	3669.000000	TAU FM	FORMATION	164	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	1160.000000	1545.000000	TOR FM	FORMATION	171	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	3844.000000	4367.000000	VESTLAND GP	GROUP	186	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	1045.000000	1050.000000	VÅLE FM	FORMATION	190	1999-10-18	3703	9999-12-31	2013-05-08
9/2-9 S	2019.000000	2710.000000	ÅSGARD FM	FORMATION	198	1999-10-18	3703	9999-12-31	2013-05-08
6507/3-3 A	1710.000000	1933.000000	BRYGGE FM	FORMATION	18	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	2656.000000	3098.000000	CROMER KNOLL GP	GROUP	23	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	3789.000000	4147.000000	FANGST GP	GROUP	38	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	3789.000000	3911.000000	GARN FM	FORMATION	48	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	1710.000000	1933.000000	HORDALAND GP	GROUP	67	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	1372.000000	1710.000000	KAI FM	FORMATION	77	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	2656.000000	3098.000000	LANGE FM	FORMATION	94	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	3158.000000	3789.000000	MELKE FM	FORMATION	105	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	4147.000000	4528.000000	MELKE FM	FORMATION	105	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	416.000000	1372.000000	NAUST FM	FORMATION	109	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	416.000000	1710.000000	NORDLAND GP	GROUP	113	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	3911.000000	4147.000000	NOT FM	FORMATION	120	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	1933.000000	2049.000000	ROGALAND GP	GROUP	131	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	2049.000000	2656.000000	SHETLAND GP	GROUP	143	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	3098.000000	3158.000000	SPEKK FM	FORMATION	155	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	2049.000000	2656.000000	SPRINGAR FM	FORMATION	156	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	2012.000000	2049.000000	TANG FM	FORMATION	161	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	1933.000000	2012.000000	TARE FM	FORMATION	163	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	3098.000000	3789.000000	VIKING GP	GROUP	188	1999-05-06	3718	9999-12-31	2013-05-08
6507/3-3 A	4147.000000	4528.000000	VIKING GP	GROUP	188	1999-05-06	3718	9999-12-31	2013-05-08
35/10-3	1881.000000	1948.000000	BALDER FM	FORMATION	6	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	1247.000000	1269.000000	GRID FM	FORMATION	53	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	1948.000000	1984.000000	HERMOD FM	FORMATION	64	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	937.000000	1881.000000	HORDALAND GP	GROUP	67	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	2199.000000	2250.000000	JORSALFARE FM	FORMATION	74	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	2030.000000	2193.000000	LISTA FM	FORMATION	95	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	1269.000000	1881.000000	NO FORMAL NAME	FORMATION	111	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	387.000000	937.000000	NORDLAND GP	GROUP	113	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	1881.000000	2199.000000	ROGALAND GP	GROUP	131	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	1984.000000	2030.000000	SELE FM	FORMATION	142	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	2199.000000	2250.000000	SHETLAND GP	GROUP	143	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	922.000000	937.000000	UTSIRA FM	FORMATION	183	1999-07-14	3719	9999-12-31	2013-05-08
35/10-3	2193.000000	2199.000000	VÅLE FM	FORMATION	190	1999-07-14	3719	9999-12-31	2013-05-08
25/11-23	1699.000000	1752.000000	BALDER FM	FORMATION	6	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1764.000000	1782.000000	BALDER FM	FORMATION	6	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1752.000000	1764.000000	INTRA BALDER FM SS	FORMATION	7	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1971.000000	1975.000000	EKOFISK FM	FORMATION	33	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1899.000000	1909.000000	HEIMDAL FM	FORMATION	62	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1945.000000	1971.000000	HEIMDAL FM	FORMATION	62	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1796.000000	1804.000000	HERMOD FM	FORMATION	64	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1808.000000	1864.000000	HERMOD FM	FORMATION	64	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	730.000000	1699.000000	HORDALAND GP	GROUP	67	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1866.000000	1899.000000	LISTA FM	FORMATION	95	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1909.000000	1945.000000	LISTA FM	FORMATION	95	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	650.000000	730.000000	NO FORMAL NAME	FORMATION	111	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	984.000000	1172.000000	NO FORMAL NAME	FORMATION	111	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1258.000000	1699.000000	NO FORMAL NAME	FORMATION	111	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	150.000000	730.000000	NORDLAND GP	GROUP	113	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1699.000000	1971.000000	ROGALAND GP	GROUP	131	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1782.000000	1796.000000	SELE FM	FORMATION	142	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1804.000000	1808.000000	SELE FM	FORMATION	142	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1864.000000	1866.000000	SELE FM	FORMATION	142	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1971.000000	1975.000000	SHETLAND GP	GROUP	143	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	730.000000	984.000000	SKADE FM	FORMATION	145	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1172.000000	1258.000000	SKADE FM	FORMATION	145	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1975.000000	2014.000000	STATFJORD FM	FORMATION	157	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	538.000000	650.000000	UTSIRA FM	FORMATION	183	1999-05-28	3755	9999-12-31	2013-05-08
25/11-23	1975.000000	2014.000000	NO GROUP DEFINED	GROUP	208	1999-05-28	3755	9999-12-31	2013-05-08
6507/5-2	1831.000000	2019.000000	BRYGGE FM	FORMATION	18	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3717.000000	3897.000000	BÅT GP	GROUP	22	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	2721.000000	3222.000000	CROMER KNOLL GP	GROUP	23	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3614.000000	3717.000000	FANGST GP	GROUP	38	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3614.000000	3669.000000	GARN FM	FORMATION	48	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	1831.000000	2019.000000	HORDALAND GP	GROUP	67	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3696.000000	3717.000000	ILE FM	FORMATION	70	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	1395.000000	1831.000000	KAI FM	FORMATION	77	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	2530.000000	2721.000000	KVITNOS FM	FORMATION	91	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	2721.000000	3207.000000	LANGE FM	FORMATION	94	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3207.000000	3222.000000	LYR FM	FORMATION	98	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3250.000000	3614.000000	MELKE FM	FORMATION	105	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	365.000000	1395.000000	NAUST FM	FORMATION	109	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	2107.000000	2530.000000	NISE FM	FORMATION	112	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	365.000000	1831.000000	NORDLAND GP	GROUP	113	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3669.000000	3696.000000	NOT FM	FORMATION	120	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	2019.000000	2107.000000	ROGALAND GP	GROUP	131	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3717.000000	3772.000000	ROR FM	FORMATION	135	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	2107.000000	2721.000000	SHETLAND GP	GROUP	143	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3222.000000	3250.000000	SPEKK FM	FORMATION	155	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	2074.000000	2107.000000	TANG FM	FORMATION	161	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	2019.000000	2074.000000	TARE FM	FORMATION	163	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3772.000000	3855.000000	TILJE FM	FORMATION	169	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3222.000000	3614.000000	VIKING GP	GROUP	188	1999-09-23	3756	9999-12-31	2013-05-08
6507/5-2	3855.000000	3897.000000	ÅRE FM	FORMATION	197	1999-09-23	3756	9999-12-31	2013-05-08
34/7-30 S	244.000000	1148.000000	NORDLAND GP	GROUP	113	1999-06-12	3757	9999-12-31	2013-05-08
34/7-30 S	931.000000	1148.000000	UTSIRA FM	FORMATION	183	1999-06-12	3757	9999-12-31	2013-05-08
6704/12-1	1920.000000	2548.000000	BRYGGE FM	FORMATION	18	1999-07-24	3759	9999-12-31	2013-05-08
6704/12-1	1920.000000	2548.000000	HORDALAND GP	GROUP	67	1999-07-24	3759	9999-12-31	2013-05-08
6704/12-1	1459.000000	1920.000000	KAI FM	FORMATION	77	1999-07-24	3759	9999-12-31	2013-05-08
6704/12-1	1377.000000	1459.000000	NAUST FM	FORMATION	109	1999-07-24	3759	9999-12-31	2013-05-08
6704/12-1	3244.000000	3644.000000	NISE FM	FORMATION	112	1999-07-24	3759	9999-12-31	2013-05-08
6704/12-1	3910.000000	4103.000000	NISE FM	FORMATION	112	1999-07-24	3759	9999-12-31	2013-05-08
6704/12-1	1377.000000	1920.000000	NORDLAND GP	GROUP	113	1999-07-24	3759	9999-12-31	2013-05-08
6704/12-1	2548.000000	2558.000000	ROGALAND GP	GROUP	131	1999-07-24	3759	9999-12-31	2013-05-08
6704/12-1	2558.000000	4103.000000	SHETLAND GP	GROUP	143	1999-07-24	3759	9999-12-31	2013-05-08
6704/12-1	2558.000000	3244.000000	SPRINGAR FM	FORMATION	156	1999-07-24	3759	9999-12-31	2013-05-08
6704/12-1	2548.000000	2558.000000	TANG FM	FORMATION	161	1999-07-24	3759	9999-12-31	2013-05-08
6704/12-1	3644.000000	3910.000000	DELFIN FM (INFORMAL)	FORMATION	204	1999-07-24	3759	9999-12-31	2013-05-08
25/8-12 S	1699.000000	1766.000000	BALDER FM	FORMATION	6	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1150.000000	1159.000000	GRID FM	FORMATION	53	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1785.000000	1788.000000	HERMOD FM	FORMATION	64	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1789.000000	1802.000000	HERMOD FM	FORMATION	64	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	728.000000	1699.000000	HORDALAND GP	GROUP	67	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1839.000000	1880.000000	LISTA FM	FORMATION	95	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	672.000000	728.000000	NO FORMAL NAME	FORMATION	111	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	954.000000	1150.000000	NO FORMAL NAME	FORMATION	111	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1159.000000	1699.000000	NO FORMAL NAME	FORMATION	111	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	150.000000	728.000000	NORDLAND GP	GROUP	113	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1699.000000	1884.000000	ROGALAND GP	GROUP	131	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1766.000000	1785.000000	SELE FM	FORMATION	142	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1788.000000	1789.000000	SELE FM	FORMATION	142	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1802.000000	1839.000000	SELE FM	FORMATION	142	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1884.000000	1906.000000	SHETLAND GP	GROUP	143	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	728.000000	954.000000	SKADE FM	FORMATION	145	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	2040.000000	2096.000000	SMITH BANK FM	FORMATION	149	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1906.000000	2040.000000	STATFJORD FM	FORMATION	157	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	560.000000	672.000000	UTSIRA FM	FORMATION	183	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1880.000000	1884.000000	VÅLE FM	FORMATION	190	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	1906.000000	2040.000000	NO GROUP DEFINED	GROUP	208	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 S	2040.000000	2096.000000	NO GROUP DEFINED	GROUP	208	1999-06-09	3771	9999-12-31	2013-05-08
25/8-12 A	1748.000000	1815.000000	BALDER FM	FORMATION	6	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	1155.000000	1166.000000	GRID FM	FORMATION	53	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	728.000000	1748.000000	HORDALAND GP	GROUP	67	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	1875.000000	1915.000000	LISTA FM	FORMATION	95	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	672.000000	728.000000	NO FORMAL NAME	FORMATION	111	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	954.000000	1155.000000	NO FORMAL NAME	FORMATION	111	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	1166.000000	1748.000000	NO FORMAL NAME	FORMATION	111	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	150.000000	728.000000	NORDLAND GP	GROUP	113	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	1748.000000	1921.000000	ROGALAND GP	GROUP	131	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	1815.000000	1875.000000	SELE FM	FORMATION	142	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	1921.000000	1946.000000	SHETLAND GP	GROUP	143	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	728.000000	954.000000	SKADE FM	FORMATION	145	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	2028.000000	2156.000000	SMITH BANK FM	FORMATION	149	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	1946.000000	2028.000000	STATFJORD FM	FORMATION	157	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	560.000000	672.000000	UTSIRA FM	FORMATION	183	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	1915.000000	1921.000000	VÅLE FM	FORMATION	190	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	1946.000000	2028.000000	NO GROUP DEFINED	GROUP	208	1999-06-19	3772	9999-12-31	2013-05-08
25/8-12 A	2028.000000	2156.000000	NO GROUP DEFINED	GROUP	208	1999-06-19	3772	9999-12-31	2013-05-08
6507/3-3 B	1710.000000	1933.000000	BRYGGE FM	FORMATION	18	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	4110.000000	4275.000000	BÅT GP	GROUP	22	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	2656.000000	3098.000000	CROMER KNOLL GP	GROUP	23	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	3792.000000	4110.000000	FANGST GP	GROUP	38	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	3792.000000	3921.000000	GARN FM	FORMATION	48	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	1710.000000	1933.000000	HORDALAND GP	GROUP	67	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	4020.000000	4110.000000	ILE FM	FORMATION	70	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	1372.000000	1710.000000	KAI FM	FORMATION	77	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	2641.000000	2656.000000	LANGE FM	FORMATION	94	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	2656.000000	3098.000000	LANGE FM	FORMATION	94	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	3158.000000	3792.000000	MELKE FM	FORMATION	105	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	416.000000	1372.000000	NAUST FM	FORMATION	109	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	416.000000	1710.000000	NORDLAND GP	GROUP	113	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	3921.000000	4020.000000	NOT FM	FORMATION	120	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	1933.000000	2049.000000	ROGALAND GP	GROUP	131	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	4110.000000	4216.000000	ROR FM	FORMATION	135	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	2049.000000	2656.000000	SHETLAND GP	GROUP	143	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	3098.000000	3158.000000	SPEKK FM	FORMATION	155	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	2049.000000	2641.000000	SPRINGAR FM	FORMATION	156	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	2012.000000	2049.000000	TANG FM	FORMATION	161	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	1933.000000	2012.000000	TARE FM	FORMATION	163	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	4216.000000	4275.000000	TILJE FM	FORMATION	169	1999-06-16	3773	9999-12-31	2013-05-08
6507/3-3 B	3098.000000	3792.000000	VIKING GP	GROUP	188	1999-06-16	3773	9999-12-31	2013-05-08
6407/12-1	1591.000000	1625.000000	CROMER KNOLL GP	GROUP	23	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1763.000000	1805.000000	FANGST GP	GROUP	38	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1763.000000	1805.000000	GARN FM	FORMATION	48	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1579.000000	1591.000000	KVITNOS FM	FORMATION	91	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1591.000000	1614.000000	LANGE FM	FORMATION	94	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1614.000000	1625.000000	LYR FM	FORMATION	98	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1731.000000	1763.000000	MELKE FM	FORMATION	105	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1542.000000	1579.000000	NISE FM	FORMATION	112	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	314.000000	1282.000000	NORDLAND GP	GROUP	113	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1282.000000	1542.000000	ROGALAND GP	GROUP	131	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1659.000000	1721.000000	ROGN FM	FORMATION	134	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1542.000000	1591.000000	SHETLAND GP	GROUP	143	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1625.000000	1659.000000	SPEKK FM	FORMATION	155	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1721.000000	1731.000000	SPEKK FM	FORMATION	155	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1412.000000	1542.000000	TANG FM	FORMATION	161	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1282.000000	1412.000000	TARE FM	FORMATION	163	1999-07-14	3781	9999-12-31	2013-05-08
6407/12-1	1625.000000	1763.000000	VIKING GP	GROUP	188	1999-07-14	3781	9999-12-31	2013-05-08
35/8-4	1528.000000	1579.000000	BALDER FM	FORMATION	6	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	3200.000000	3206.000000	BLODØKS FM	FORMATION	13	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	3213.000000	3465.000000	CROMER KNOLL GP	GROUP	23	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	3465.000000	3591.000000	DRAUPNE FM	FORMATION	28	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	3591.000000	3639.000000	HEATHER FM	FORMATION	60	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	815.000000	1528.000000	HORDALAND GP	GROUP	67	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	1810.000000	1973.000000	JORSALFARE FM	FORMATION	74	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	1973.000000	3200.000000	KYRRE FM	FORMATION	92	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	1579.000000	1717.000000	LISTA FM	FORMATION	95	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	1717.000000	1793.000000	NO FORMAL NAME	FORMATION	111	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	394.000000	815.000000	NORDLAND GP	GROUP	113	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	1528.000000	1810.000000	ROGALAND GP	GROUP	131	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	3213.000000	3301.000000	RØDBY FM	FORMATION	137	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	1810.000000	3213.000000	SHETLAND GP	GROUP	143	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	3639.000000	3719.000000	SOGNEFJORD FM	FORMATION	151	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	3206.000000	3213.000000	SVARTE FM	FORMATION	160	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	3465.000000	3719.000000	VIKING GP	GROUP	188	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	1793.000000	1810.000000	VÅLE FM	FORMATION	190	1999-08-10	3791	9999-12-31	2013-05-08
35/8-4	3301.000000	3465.000000	ÅSGARD FM	FORMATION	198	1999-08-10	3791	9999-12-31	2013-05-08
6507/7-12	1877.000000	2099.000000	BRYGGE FM	FORMATION	18	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	2858.000000	3911.000000	CROMER KNOLL GP	GROUP	23	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	1877.000000	2099.000000	HORDALAND GP	GROUP	67	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	1492.000000	1877.000000	KAI FM	FORMATION	77	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	2595.000000	2858.000000	KVITNOS FM	FORMATION	91	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	2897.000000	3670.000000	LANGE FM	FORMATION	94	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	3745.000000	3911.000000	LANGE FM	FORMATION	94	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	2858.000000	2897.000000	LYSING FM	FORMATION	99	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	3670.000000	3745.000000	NO FORMAL NAME	FORMATION	111	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	2377.000000	2595.000000	NISE FM	FORMATION	112	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	356.000000	1877.000000	NORDLAND GP	GROUP	113	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	2099.000000	2196.000000	ROGALAND GP	GROUP	131	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	2196.000000	2858.000000	SHETLAND GP	GROUP	143	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	3911.000000	3976.000000	SPEKK FM	FORMATION	155	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	2196.000000	2377.000000	SPRINGAR FM	FORMATION	156	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	2152.000000	2196.000000	TANG FM	FORMATION	161	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	2099.000000	2152.000000	TARE FM	FORMATION	163	1999-08-12	3812	9999-12-31	2013-05-08
6507/7-12	3911.000000	3976.000000	VIKING GP	GROUP	188	1999-08-12	3812	9999-12-31	2013-05-08
34/10-42 S	1940.000000	1989.000000	BALDER FM	FORMATION	6	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	4211.000000	4403.000000	BRENT GP	GROUP	16	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	3790.000000	3960.000000	CROMER KNOLL GP	GROUP	23	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	4485.000000	4520.000000	COOK FM	FORMATION	24	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	4403.000000	4485.000000	DRAKE FM	FORMATION	27	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	3960.000000	4008.000000	DRAUPNE FM	FORMATION	28	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	4403.000000	4520.000000	DUNLIN GP	GROUP	29	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	4355.000000	4369.000000	ETIVE FM	FORMATION	35	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	4008.000000	4211.000000	HEATHER FM	FORMATION	60	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	973.000000	1940.000000	HORDALAND GP	GROUP	67	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	2196.000000	2451.000000	JORSALFARE FM	FORMATION	74	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	2451.000000	3656.000000	KYRRE FM	FORMATION	92	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	1995.000000	2196.000000	LISTA FM	FORMATION	95	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	4217.000000	4355.000000	NESS FM	FORMATION	110	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	159.000000	973.000000	NORDLAND GP	GROUP	113	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	4369.000000	4403.000000	RANNOCH FM	FORMATION	126	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	1940.000000	2196.000000	ROGALAND GP	GROUP	131	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	1989.000000	1995.000000	SELE FM	FORMATION	142	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	2196.000000	3790.000000	SHETLAND GP	GROUP	143	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	3656.000000	3790.000000	SVARTE FM	FORMATION	160	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	4211.000000	4217.000000	TARBERT FM	FORMATION	162	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	715.000000	973.000000	UTSIRA FM	FORMATION	183	1999-09-19	3816	9999-12-31	2013-05-08
34/10-42 S	3960.000000	4211.000000	VIKING GP	GROUP	188	1999-09-19	3816	9999-12-31	2013-05-08
6508/1-1 A	1642.000000	1875.000000	BRYGGE FM	FORMATION	18	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	1642.000000	1875.000000	HORDALAND GP	GROUP	67	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	1340.000000	1642.000000	KAI FM	FORMATION	77	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	2738.000000	2861.000000	MELKE FM	FORMATION	105	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	414.000000	1340.000000	NAUST FM	FORMATION	109	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	414.000000	1642.000000	NORDLAND GP	GROUP	113	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	1875.000000	2009.000000	ROGALAND GP	GROUP	131	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	2009.000000	2573.000000	SHETLAND GP	GROUP	143	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	2573.000000	2738.000000	SPEKK FM	FORMATION	155	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	2009.000000	2573.000000	SPRINGAR FM	FORMATION	156	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	1947.000000	2009.000000	TANG FM	FORMATION	161	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	1875.000000	1947.000000	TARE FM	FORMATION	163	1999-09-13	3849	9999-12-31	2013-05-08
6508/1-1 A	2573.000000	2861.000000	VIKING GP	GROUP	188	1999-09-13	3849	9999-12-31	2013-05-08
6406/2-7	1987.000000	2441.000000	BRYGGE FM	FORMATION	18	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	4701.000000	4981.000000	BÅT GP	GROUP	22	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	3516.000000	4558.000000	CROMER KNOLL GP	GROUP	23	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	4558.000000	4701.000000	FANGST GP	GROUP	38	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	4558.000000	4574.000000	GARN FM	FORMATION	48	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	1987.000000	2441.000000	HORDALAND GP	GROUP	67	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	4599.000000	4701.000000	ILE FM	FORMATION	70	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	1607.000000	1987.000000	KAI FM	FORMATION	77	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	2908.000000	3516.000000	KVITNOS FM	FORMATION	91	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	4545.000000	4558.000000	LYR FM	FORMATION	98	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	3516.000000	4545.000000	LYSING FM	FORMATION	99	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	317.000000	1607.000000	NAUST FM	FORMATION	109	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	2705.000000	2908.000000	NISE FM	FORMATION	112	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	317.000000	1987.000000	NORDLAND GP	GROUP	113	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	4574.000000	4599.000000	NOT FM	FORMATION	120	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	2441.000000	2566.000000	ROGALAND GP	GROUP	131	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	4701.000000	4708.000000	ROR FM	FORMATION	135	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	2566.000000	3516.000000	SHETLAND GP	GROUP	143	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	2566.000000	2705.000000	SPRINGAR FM	FORMATION	156	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	2506.000000	2566.000000	TANG FM	FORMATION	161	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	2441.000000	2506.000000	TARE FM	FORMATION	163	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	4916.000000	4981.000000	TILJE FM	FORMATION	169	1999-12-26	3878	9999-12-31	2013-05-08
6406/2-7	4708.000000	4916.000000	TOFTE FM	FORMATION	170	1999-12-26	3878	9999-12-31	2013-05-08
25/6-3	2020.000000	2067.000000	BALDER FM	FORMATION	6	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	2419.000000	2443.000000	EKOFISK FM	FORMATION	33	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	2443.000000	2475.000000	HARDRÅDE FM	FORMATION	56	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	2083.000000	2155.000000	HERMOD FM	FORMATION	64	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	925.000000	2020.000000	HORDALAND GP	GROUP	67	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	2160.000000	2279.000000	LISTA FM	FORMATION	95	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	1050.000000	1163.000000	NO FORMAL NAME	FORMATION	111	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	1185.000000	2020.000000	NO FORMAL NAME	FORMATION	111	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	134.000000	925.000000	NORDLAND GP	GROUP	113	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	2020.000000	2419.000000	ROGALAND GP	GROUP	131	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	2067.000000	2083.000000	SELE FM	FORMATION	142	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	2155.000000	2160.000000	SELE FM	FORMATION	142	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	2419.000000	2475.000000	SHETLAND GP	GROUP	143	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	1025.000000	1050.000000	SKADE FM	FORMATION	145	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	1163.000000	1185.000000	SKADE FM	FORMATION	145	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	2279.000000	2335.000000	TY FM	FORMATION	176	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	652.000000	925.000000	UTSIRA FM	FORMATION	183	1999-11-11	3885	9999-12-31	2013-05-08
25/6-3	2335.000000	2419.000000	VÅLE FM	FORMATION	190	1999-11-11	3885	9999-12-31	2013-05-08
34/7-30 SR	1678.000000	1735.000000	BALDER FM	FORMATION	6	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	2389.000000	2399.000000	CROMER KNOLL GP	GROUP	23	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	2399.000000	2478.000000	HEATHER FM	FORMATION	60	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	1035.000000	1678.000000	HORDALAND GP	GROUP	67	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	1935.000000	2389.000000	JORSALFARE FM	FORMATION	74	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	1735.000000	1935.000000	LISTA FM	FORMATION	95	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	2395.000000	2399.000000	MIME FM	FORMATION	106	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	238.000000	1035.000000	NORDLAND GP	GROUP	113	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	1678.000000	1935.000000	ROGALAND GP	GROUP	131	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	2389.000000	2395.000000	RØDBY FM	FORMATION	137	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	1935.000000	2389.000000	SHETLAND GP	GROUP	143	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	925.000000	1035.000000	UTSIRA FM	FORMATION	183	1999-12-02	3886	9999-12-31	2013-05-08
34/7-30 SR	2399.000000	2478.000000	VIKING GP	GROUP	188	1999-12-02	3886	9999-12-31	2013-05-08
6407/6-5	1362.000000	1861.000000	BRYGGE FM	FORMATION	18	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2558.000000	2759.000000	BÅT GP	GROUP	22	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2343.000000	2359.000000	CROMER KNOLL GP	GROUP	23	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2381.000000	2558.000000	FANGST GP	GROUP	38	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2381.000000	2444.000000	GARN FM	FORMATION	48	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	1362.000000	1861.000000	HORDALAND GP	GROUP	67	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2485.000000	2558.000000	ILE FM	FORMATION	70	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	1161.000000	1362.000000	KAI FM	FORMATION	77	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2377.000000	2381.000000	MELKE FM	FORMATION	105	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	250.000000	1161.000000	NAUST FM	FORMATION	109	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	250.000000	1362.000000	NORDLAND GP	GROUP	113	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2444.000000	2485.000000	NOT FM	FORMATION	120	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	1861.000000	2023.000000	ROGALAND GP	GROUP	131	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2558.000000	2581.000000	ROR FM	FORMATION	135	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2628.000000	2661.000000	ROR FM	FORMATION	135	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2672.000000	2709.000000	ROR FM	FORMATION	135	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2023.000000	2343.000000	SHETLAND GP	GROUP	143	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2359.000000	2377.000000	SPEKK FM	FORMATION	155	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	1924.000000	2023.000000	TANG FM	FORMATION	161	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	1861.000000	1924.000000	TARE FM	FORMATION	163	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2709.000000	2759.000000	TILJE FM	FORMATION	169	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2581.000000	2628.000000	TOFTE FM	FORMATION	170	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2661.000000	2672.000000	TOFTE FM	FORMATION	170	1999-12-27	3921	9999-12-31	2013-05-08
6407/6-5	2359.000000	2381.000000	VIKING GP	GROUP	188	1999-12-27	3921	9999-12-31	2013-05-08
6710/10-1	828.000000	926.000000	BRYGGE FM	FORMATION	18	2000-10-26	3941	9999-12-31	2013-05-08
6710/10-1	828.000000	926.000000	HORDALAND GP	GROUP	67	2000-10-26	3941	9999-12-31	2013-05-08
6710/10-1	365.000000	828.000000	NAUST FM	FORMATION	109	2000-10-26	3941	9999-12-31	2013-05-08
6710/10-1	365.000000	828.000000	NORDLAND GP	GROUP	113	2000-10-26	3941	9999-12-31	2013-05-08
6710/10-1	926.000000	1971.000000	ROGALAND GP	GROUP	131	2000-10-26	3941	9999-12-31	2013-05-08
6710/10-1	1971.000000	2267.000000	SHETLAND GP	GROUP	143	2000-10-26	3941	9999-12-31	2013-05-08
6710/10-1	1971.000000	2267.000000	SPRINGAR FM	FORMATION	156	2000-10-26	3941	9999-12-31	2013-05-08
6710/10-1	998.000000	1971.000000	TANG FM	FORMATION	161	2000-10-26	3941	9999-12-31	2013-05-08
6710/10-1	926.000000	998.000000	TARE FM	FORMATION	163	2000-10-26	3941	9999-12-31	2013-05-08
34/4-10 R	1741.000000	1780.000000	BALDER FM	FORMATION	6	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	3937.000000	4040.000000	BRENT GP	GROUP	16	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	3773.000000	3790.000000	CROMER KNOLL GP	GROUP	23	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	4066.000000	4186.000000	COOK FM	FORMATION	24	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	4040.000000	4066.000000	DRAKE FM	FORMATION	27	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	3790.000000	3885.000000	DRAUPNE FM	FORMATION	28	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	4040.000000	4186.000000	DUNLIN GP	GROUP	29	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	3885.000000	3937.000000	HEATHER FM	FORMATION	60	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	1249.000000	1741.000000	HORDALAND GP	GROUP	67	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	1910.000000	2195.000000	JORSALFARE FM	FORMATION	74	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	2195.000000	3323.000000	KYRRE FM	FORMATION	92	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	1780.000000	1910.000000	LISTA FM	FORMATION	95	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	3782.000000	3790.000000	MIME FM	FORMATION	106	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	381.000000	1249.000000	NORDLAND GP	GROUP	113	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	1741.000000	1910.000000	ROGALAND GP	GROUP	131	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	3773.000000	3782.000000	RØDBY FM	FORMATION	137	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	1910.000000	3773.000000	SHETLAND GP	GROUP	143	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	4186.000000	4246.000000	STATFJORD FM	FORMATION	157	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	3323.000000	3773.000000	TRYGGVASON FM	FORMATION	173	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	3937.000000	4040.000000	UNDIFFERENTIATED	FORMATION	182	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	1116.000000	1249.000000	UTSIRA FM	FORMATION	183	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	3790.000000	3937.000000	VIKING GP	GROUP	188	2000-04-18	4051	9999-12-31	2013-05-08
34/4-10 R	4186.000000	4246.000000	NO GROUP DEFINED	GROUP	208	2000-04-18	4051	9999-12-31	2013-05-08
30/3-9	1968.000000	2045.000000	BALDER FM	FORMATION	6	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3460.000000	3469.000000	BLODØKS FM	FORMATION	13	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3815.000000	3923.000000	BRENT GP	GROUP	16	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3619.000000	3718.000000	CROMER KNOLL GP	GROUP	23	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3923.000000	4015.000000	DRAKE FM	FORMATION	27	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3718.000000	3735.000000	DRAUPNE FM	FORMATION	28	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3923.000000	4015.000000	DUNLIN GP	GROUP	29	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	1613.000000	1641.000000	GRID FM	FORMATION	53	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3735.000000	3815.000000	HEATHER FM	FORMATION	60	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	930.000000	1968.000000	HORDALAND GP	GROUP	67	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	2228.000000	2550.000000	JORSALFARE FM	FORMATION	74	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	2550.000000	3236.000000	KYRRE FM	FORMATION	92	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	2065.000000	2228.000000	LISTA FM	FORMATION	95	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3815.000000	3904.000000	NESS FM	FORMATION	110	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	1641.000000	1968.000000	NO FORMAL NAME	FORMATION	111	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	141.000000	930.000000	NORDLAND GP	GROUP	113	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3904.000000	3923.000000	OSEBERG FM	FORMATION	123	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	1968.000000	2228.000000	ROGALAND GP	GROUP	131	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3619.000000	3632.000000	RØDBY FM	FORMATION	137	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	2045.000000	2065.000000	SELE FM	FORMATION	142	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	2228.000000	3619.000000	SHETLAND GP	GROUP	143	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3632.000000	3637.000000	SOLA FM	FORMATION	152	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3469.000000	3619.000000	SVARTE FM	FORMATION	160	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3236.000000	3460.000000	TRYGGVASON FM	FORMATION	173	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	747.000000	930.000000	UTSIRA FM	FORMATION	183	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3718.000000	3815.000000	VIKING GP	GROUP	188	2000-07-01	4053	9999-12-31	2013-05-08
30/3-9	3637.000000	3718.000000	ÅSGARD FM	FORMATION	198	2000-07-01	4053	9999-12-31	2013-05-08
35/11-12	1727.000000	1781.000000	BALDER FM	FORMATION	6	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2745.000000	2891.000000	CROMER KNOLL GP	GROUP	23	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2891.000000	3130.000000	DRAUPNE FM	FORMATION	28	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	3208.000000	3213.000000	INTRA HEATHER FM SS	FORMATION	59	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	3130.000000	3208.000000	HEATHER FM	FORMATION	60	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	3213.000000	3378.000000	HEATHER FM	FORMATION	60	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	896.000000	1727.000000	HORDALAND GP	GROUP	67	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2019.000000	2095.000000	JORSALFARE FM	FORMATION	74	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2095.000000	2719.000000	KYRRE FM	FORMATION	92	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	1803.000000	1986.000000	LISTA FM	FORMATION	95	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2798.000000	2808.000000	MIME FM	FORMATION	106	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2878.000000	2891.000000	MIME FM	FORMATION	106	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	388.000000	896.000000	NORDLAND GP	GROUP	113	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	1727.000000	2019.000000	ROGALAND GP	GROUP	131	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2745.000000	2786.000000	RØDBY FM	FORMATION	137	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	1781.000000	1803.000000	SELE FM	FORMATION	142	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2019.000000	2745.000000	SHETLAND GP	GROUP	143	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2786.000000	2798.000000	SOLA FM	FORMATION	152	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2719.000000	2745.000000	SVARTE FM	FORMATION	160	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	769.000000	896.000000	UTSIRA FM	FORMATION	183	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2891.000000	3378.000000	VIKING GP	GROUP	188	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	1986.000000	2019.000000	VÅLE FM	FORMATION	190	2000-05-14	4054	9999-12-31	2013-05-08
35/11-12	2808.000000	2878.000000	ÅSGARD FM	FORMATION	198	2000-05-14	4054	9999-12-31	2013-05-08
15/3-7	2164.000000	2230.000000	BALDER FM	FORMATION	6	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	3654.000000	3668.000000	BLODØKS FM	FORMATION	13	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	3752.000000	4049.000000	CROMER KNOLL GP	GROUP	23	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	4218.000000	4230.000000	INTRA DRAUPNE FM SS	FORMATION	26	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	4330.000000	4398.000000	INTRA DRAUPNE FM SS	FORMATION	26	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	4049.000000	4218.000000	DRAUPNE FM	FORMATION	28	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	4230.000000	4330.000000	DRAUPNE FM	FORMATION	28	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	4398.000000	4502.000000	DRAUPNE FM	FORMATION	28	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	1476.000000	1850.000000	GRID FM	FORMATION	53	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	4502.000000	4607.000000	HEATHER FM	FORMATION	60	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	2309.000000	2589.000000	HEIMDAL FM	FORMATION	62	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	668.000000	2164.000000	HORDALAND GP	GROUP	67	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	4607.000000	4793.000000	HUGIN FM	FORMATION	69	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	2696.000000	3117.000000	JORSALFARE FM	FORMATION	74	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	3117.000000	3327.000000	KYRRE FM	FORMATION	92	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	2280.000000	2309.000000	LISTA FM	FORMATION	95	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	1150.000000	1476.000000	NO FORMAL NAME	FORMATION	111	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	1850.000000	2164.000000	NO FORMAL NAME	FORMATION	111	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	127.000000	668.000000	NORDLAND GP	GROUP	113	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	2164.000000	2696.000000	ROGALAND GP	GROUP	131	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	3752.000000	3867.000000	RØDBY FM	FORMATION	137	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	2230.000000	2280.000000	SELE FM	FORMATION	142	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	2696.000000	3752.000000	SHETLAND GP	GROUP	143	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	1048.000000	1150.000000	SKADE FM	FORMATION	145	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	4793.000000	4818.000000	SLEIPNER FM	FORMATION	148	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	3867.000000	3895.000000	SOLA FM	FORMATION	152	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	3668.000000	3752.000000	SVARTE FM	FORMATION	160	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	3327.000000	3654.000000	TRYGGVASON FM	FORMATION	173	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	2589.000000	2682.000000	TY FM	FORMATION	176	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	655.000000	668.000000	UTSIRA FM	FORMATION	183	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	4607.000000	4818.000000	VESTLAND GP	GROUP	186	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	4049.000000	4607.000000	VIKING GP	GROUP	188	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	2682.000000	2696.000000	VÅLE FM	FORMATION	190	2001-09-01	4055	9999-12-31	2013-05-08
15/3-7	3895.000000	4049.000000	ÅSGARD FM	FORMATION	198	2001-09-01	4055	9999-12-31	2013-05-08
6507/5-3	1858.000000	2048.000000	BRYGGE FM	FORMATION	18	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	2838.000000	3000.000000	CROMER KNOLL GP	GROUP	23	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	1858.000000	2048.000000	HORDALAND GP	GROUP	67	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	1440.000000	1858.000000	KAI FM	FORMATION	77	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	2596.000000	2838.000000	KVITNOS FM	FORMATION	91	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	2893.000000	3000.000000	LANGE FM	FORMATION	94	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	2838.000000	2893.000000	LYSING FM	FORMATION	99	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	454.000000	1440.000000	NAUST FM	FORMATION	109	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	2255.000000	2596.000000	NISE FM	FORMATION	112	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	454.000000	1858.000000	NORDLAND GP	GROUP	113	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	2048.000000	2142.000000	ROGALAND GP	GROUP	131	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	2142.000000	2838.000000	SHETLAND GP	GROUP	143	2000-06-23	4059	9999-12-31	2013-05-08
6507/5-3	2103.000000	2142.000000	TANG FM	FORMATION	161	2000-06-23	4059	9999-12-31	2013-05-08
6406/2-2 R	1859.000000	2410.000000	BRYGGE FM	FORMATION	18	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4750.000000	5361.000000	BÅT GP	GROUP	22	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	3439.000000	4369.000000	CROMER KNOLL GP	GROUP	23	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4455.000000	4750.000000	FANGST GP	GROUP	38	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4455.000000	4570.000000	GARN FM	FORMATION	48	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	1859.000000	2410.000000	HORDALAND GP	GROUP	67	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4617.000000	4750.000000	ILE FM	FORMATION	70	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	1555.000000	1859.000000	KAI FM	FORMATION	77	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	2876.000000	3439.000000	KVITNOS FM	FORMATION	91	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	3453.000000	4348.000000	LANGE FM	FORMATION	94	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4348.000000	4369.000000	LYR FM	FORMATION	98	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	3439.000000	3453.000000	LYSING FM	FORMATION	99	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4383.000000	4455.000000	MELKE FM	FORMATION	105	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	290.000000	1555.000000	NAUST FM	FORMATION	109	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	2677.000000	2876.000000	NISE FM	FORMATION	112	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	290.000000	1859.000000	NORDLAND GP	GROUP	113	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4570.000000	4617.000000	NOT FM	FORMATION	120	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	2410.000000	2534.000000	ROGALAND GP	GROUP	131	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4750.000000	4861.000000	ROR FM	FORMATION	135	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4922.000000	4972.000000	ROR FM	FORMATION	135	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	2534.000000	3439.000000	SHETLAND GP	GROUP	143	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4369.000000	4383.000000	SPEKK FM	FORMATION	155	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	2534.000000	2677.000000	SPRINGAR FM	FORMATION	156	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	2475.000000	2534.000000	TANG FM	FORMATION	161	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	2410.000000	2475.000000	TARE FM	FORMATION	163	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4972.000000	5285.000000	TILJE FM	FORMATION	169	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4861.000000	4922.000000	TOFTE FM	FORMATION	170	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	4369.000000	4455.000000	VIKING GP	GROUP	188	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-2 R	5285.000000	5361.000000	ÅRE FM	FORMATION	197	2006-03-03	4078	9999-12-31	2013-05-08
6406/2-6 A	1979.000000	2509.000000	BRYGGE FM	FORMATION	18	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	5092.000000	5251.000000	BÅT GP	GROUP	22	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	3622.000000	4747.000000	CROMER KNOLL GP	GROUP	23	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	4826.000000	5092.000000	FANGST GP	GROUP	38	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	4826.000000	4918.000000	GARN FM	FORMATION	48	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	1979.000000	2509.000000	HORDALAND GP	GROUP	67	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	4997.000000	5092.000000	ILE FM	FORMATION	70	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	1587.000000	1979.000000	KAI FM	FORMATION	77	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	2914.000000	3622.000000	KVITNOS FM	FORMATION	91	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	3640.000000	4735.000000	LANGE FM	FORMATION	94	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	4735.000000	4747.000000	LYR FM	FORMATION	98	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	3622.000000	3640.000000	LYSING FM	FORMATION	99	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	4749.000000	4826.000000	MELKE FM	FORMATION	105	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	326.000000	1587.000000	NAUST FM	FORMATION	109	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	2747.000000	2914.000000	NISE FM	FORMATION	112	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	326.000000	1979.000000	NORDLAND GP	GROUP	113	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	4918.000000	4997.000000	NOT FM	FORMATION	120	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	2509.000000	2637.000000	ROGALAND GP	GROUP	131	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	5092.000000	5104.000000	ROR FM	FORMATION	135	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	2637.000000	3622.000000	SHETLAND GP	GROUP	143	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	4747.000000	4749.000000	SPEKK FM	FORMATION	155	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	2637.000000	2747.000000	SPRINGAR FM	FORMATION	156	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	2578.000000	2637.000000	TANG FM	FORMATION	161	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	2509.000000	2578.000000	TARE FM	FORMATION	163	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	5104.000000	5251.000000	TOFTE FM	FORMATION	170	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 A	4747.000000	4826.000000	VIKING GP	GROUP	188	2000-07-06	4094	9999-12-31	2013-05-08
6406/2-6 R	1979.000000	2509.000000	BRYGGE FM	FORMATION	18	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4719.000000	5263.000000	BÅT GP	GROUP	22	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	3516.000000	4433.000000	CROMER KNOLL GP	GROUP	23	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4481.000000	4719.000000	FANGST GP	GROUP	38	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4481.000000	4574.000000	GARN FM	FORMATION	48	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	1979.000000	2509.000000	HORDALAND GP	GROUP	67	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4618.000000	4719.000000	ILE FM	FORMATION	70	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	1587.000000	1979.000000	KAI FM	FORMATION	77	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	2903.000000	3516.000000	KVITNOS FM	FORMATION	91	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	3533.000000	4423.000000	LANGE FM	FORMATION	94	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4423.000000	4433.000000	LYR FM	FORMATION	98	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	3516.000000	3533.000000	LYSING FM	FORMATION	99	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4434.000000	4481.000000	MELKE FM	FORMATION	105	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	326.000000	1587.000000	NAUST FM	FORMATION	109	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	2747.000000	2903.000000	NISE FM	FORMATION	112	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	326.000000	1979.000000	NORDLAND GP	GROUP	113	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4574.000000	4618.000000	NOT FM	FORMATION	120	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	2509.000000	2637.000000	ROGALAND GP	GROUP	131	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4719.000000	4726.000000	ROR FM	FORMATION	135	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	2637.000000	3516.000000	SHETLAND GP	GROUP	143	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4433.000000	4434.000000	SPEKK FM	FORMATION	155	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	2637.000000	2747.000000	SPRINGAR FM	FORMATION	156	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	2578.000000	2637.000000	TANG FM	FORMATION	161	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	2509.000000	2578.000000	TARE FM	FORMATION	163	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4966.000000	5205.000000	TILJE FM	FORMATION	169	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4726.000000	4966.000000	TOFTE FM	FORMATION	170	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	4433.000000	4481.000000	VIKING GP	GROUP	188	2000-05-23	4108	9999-12-31	2013-05-08
6406/2-6 R	5205.000000	5263.000000	ÅRE FM	FORMATION	197	2000-05-23	4108	9999-12-31	2013-05-08
6305/8-1	1745.000000	2508.000000	BRYGGE FM	FORMATION	18	2000-09-08	4109	9999-12-31	2013-05-08
6305/8-1	2898.000000	2976.000000	EGGA FM (INFORMAL)	FORMATION	31	2000-09-08	4109	9999-12-31	2013-05-08
6305/8-1	1745.000000	2508.000000	HORDALAND GP	GROUP	67	2000-09-08	4109	9999-12-31	2013-05-08
6305/8-1	1590.000000	1745.000000	KAI FM	FORMATION	77	2000-09-08	4109	9999-12-31	2013-05-08
6305/8-1	862.000000	1590.000000	NAUST FM	FORMATION	109	2000-09-08	4109	9999-12-31	2013-05-08
6305/8-1	3132.000000	3175.000000	NISE FM	FORMATION	112	2000-09-08	4109	9999-12-31	2013-05-08
6305/8-1	862.000000	1745.000000	NORDLAND GP	GROUP	113	2000-09-08	4109	9999-12-31	2013-05-08
6305/8-1	2508.000000	2976.000000	ROGALAND GP	GROUP	131	2000-09-08	4109	9999-12-31	2013-05-08
6305/8-1	2976.000000	3175.000000	SHETLAND GP	GROUP	143	2000-09-08	4109	9999-12-31	2013-05-08
6305/8-1	2976.000000	3132.000000	SPRINGAR FM	FORMATION	156	2000-09-08	4109	9999-12-31	2013-05-08
6305/8-1	2596.000000	2898.000000	TANG FM	FORMATION	161	2000-09-08	4109	9999-12-31	2013-05-08
6305/8-1	2508.000000	2596.000000	TARE FM	FORMATION	163	2000-09-08	4109	9999-12-31	2013-05-08
3/6-1	1931.000000	1957.000000	BALDER FM	FORMATION	6	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	2092.000000	2167.000000	EKOFISK FM	FORMATION	33	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	2002.000000	2033.000000	FISKEBANK FM	FORMATION	41	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	791.000000	1931.000000	HORDALAND GP	GROUP	67	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	2033.000000	2051.000000	LISTA FM	FORMATION	95	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	1081.000000	1093.000000	NO FORMAL NAME	FORMATION	111	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	1093.000000	1116.000000	NO FORMAL NAME	FORMATION	111	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	1116.000000	1129.000000	NO FORMAL NAME	FORMATION	111	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	1129.000000	1530.000000	NO FORMAL NAME	FORMATION	111	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	1639.000000	1931.000000	NO FORMAL NAME	FORMATION	111	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	2051.000000	2092.000000	NO FORMAL NAME	FORMATION	111	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	98.000000	791.000000	NORDLAND GP	GROUP	113	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	1931.000000	2092.000000	ROGALAND GP	GROUP	131	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	1957.000000	2002.000000	SELE FM	FORMATION	142	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	2092.000000	2167.000000	SHETLAND GP	GROUP	143	2000-07-10	4117	9999-12-31	2013-05-08
3/6-1	1530.000000	1639.000000	VADE FM	FORMATION	184	2000-07-10	4117	9999-12-31	2013-05-08
6506/6-1	1872.000000	1935.000000	BRYGGE FM	FORMATION	18	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	5095.000000	5491.000000	BÅT GP	GROUP	22	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	3015.000000	4353.000000	CROMER KNOLL GP	GROUP	23	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	4961.000000	5095.000000	FANGST GP	GROUP	38	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	4961.000000	5015.000000	GARN FM	FORMATION	48	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	1872.000000	1935.000000	HORDALAND GP	GROUP	67	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	5033.000000	5095.000000	ILE FM	FORMATION	70	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	2477.000000	3015.000000	KVITNOS FM	FORMATION	91	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	3086.000000	4328.000000	LANGE FM	FORMATION	94	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	4328.000000	4353.000000	LYR FM	FORMATION	98	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	3015.000000	3086.000000	LYSING FM	FORMATION	99	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	4458.000000	4961.000000	MELKE FM	FORMATION	105	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	452.000000	1872.000000	NAUST FM	FORMATION	109	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	2221.000000	2477.000000	NISE FM	FORMATION	112	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	452.000000	1872.000000	NORDLAND GP	GROUP	113	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	5015.000000	5033.000000	NOT FM	FORMATION	120	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	1935.000000	2071.000000	ROGALAND GP	GROUP	131	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	5095.000000	5165.000000	ROR FM	FORMATION	135	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	2071.000000	3015.000000	SHETLAND GP	GROUP	143	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	4353.000000	4458.000000	SPEKK FM	FORMATION	155	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	2071.000000	2221.000000	SPRINGAR FM	FORMATION	156	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	2015.000000	2071.000000	TANG FM	FORMATION	161	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	1935.000000	2015.000000	TARE FM	FORMATION	163	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	5165.000000	5302.000000	TILJE FM	FORMATION	169	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	4353.000000	4961.000000	VIKING GP	GROUP	188	2000-12-07	4122	9999-12-31	2013-05-08
6506/6-1	5302.000000	5491.000000	ÅRE FM	FORMATION	197	2000-12-07	4122	9999-12-31	2013-05-08
31/5-6	1528.000000	1589.000000	BALDER FM	FORMATION	6	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	2215.000000	2336.000000	BRENT GP	GROUP	16	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	2336.000000	2370.000000	DRAKE FM	FORMATION	27	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	1795.000000	1798.000000	DRAUPNE FM	FORMATION	28	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	2336.000000	2370.000000	DUNLIN GP	GROUP	29	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	1955.000000	2056.000000	FENSFJORD FM	FORMATION	40	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	1862.000000	1955.000000	HEATHER FM	FORMATION	60	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	2112.000000	2215.000000	HEATHER FM	FORMATION	60	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	494.000000	1528.000000	HORDALAND GP	GROUP	67	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	2056.000000	2112.000000	KROSSFJORD FM	FORMATION	87	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	1645.000000	1761.000000	LISTA FM	FORMATION	95	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	354.000000	494.000000	NORDLAND GP	GROUP	113	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	1528.000000	1790.000000	ROGALAND GP	GROUP	131	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	1589.000000	1645.000000	SELE FM	FORMATION	142	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	1790.000000	1795.000000	SHETLAND GP	GROUP	143	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	1798.000000	1862.000000	SOGNEFJORD FM	FORMATION	151	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	1795.000000	2215.000000	VIKING GP	GROUP	188	2000-07-25	4128	9999-12-31	2013-05-08
31/5-6	1761.000000	1790.000000	VÅLE FM	FORMATION	190	2000-07-25	4128	9999-12-31	2013-05-08
7216/11-1 S	385.000000	2397.000000	NORDLAND GP	GROUP	113	2000-09-14	4129	9999-12-31	2013-05-08
7216/11-1 S	2397.000000	4239.000000	SOTBAKKEN GP	GROUP	154	2000-09-14	4129	9999-12-31	2013-05-08
7216/11-1 S	2397.000000	4239.000000	TORSK FM	FORMATION	172	2000-09-14	4129	9999-12-31	2013-05-08
25/7-6	1931.000000	2042.000000	BALDER FM	FORMATION	6	2000-10-14	4141	9999-12-31	2013-05-08
25/7-6	1203.000000	1305.000000	GRID FM	FORMATION	53	2000-10-14	4141	9999-12-31	2013-05-08
25/7-6	2150.000000	2250.000000	HEIMDAL FM	FORMATION	62	2000-10-14	4141	9999-12-31	2013-05-08
25/7-6	2069.000000	2082.000000	HERMOD FM	FORMATION	64	2000-10-14	4141	9999-12-31	2013-05-08
25/7-6	717.000000	1931.000000	HORDALAND GP	GROUP	67	2000-10-14	4141	9999-12-31	2013-05-08
25/7-6	2103.000000	2150.000000	LISTA FM	FORMATION	95	2000-10-14	4141	9999-12-31	2013-05-08
25/7-6	1305.000000	1931.000000	NO FORMAL NAME	FORMATION	111	2000-10-14	4141	9999-12-31	2013-05-08
25/7-6	150.000000	717.000000	NORDLAND GP	GROUP	113	2000-10-14	4141	9999-12-31	2013-05-08
25/7-6	1931.000000	2250.000000	ROGALAND GP	GROUP	131	2000-10-14	4141	9999-12-31	2013-05-08
25/7-6	2042.000000	2069.000000	SELE FM	FORMATION	142	2000-10-14	4141	9999-12-31	2013-05-08
25/7-6	2082.000000	2103.000000	SELE FM	FORMATION	142	2000-10-14	4141	9999-12-31	2013-05-08
25/7-6	447.000000	717.000000	UTSIRA FM	FORMATION	183	2000-10-14	4141	9999-12-31	2013-05-08
33/9-20 S	2047.000000	2141.000000	BALDER FM	FORMATION	6	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5390.000000	5502.000000	BRENT GP	GROUP	16	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5014.000000	5211.000000	CROMER KNOLL GP	GROUP	23	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5211.000000	5319.000000	DRAUPNE FM	FORMATION	28	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5477.000000	5502.000000	ETIVE FM	FORMATION	35	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5319.000000	5390.000000	HEATHER FM	FORMATION	60	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	2141.000000	2503.000000	LISTA FM	FORMATION	95	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5169.000000	5211.000000	MIME FM	FORMATION	106	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5427.000000	5477.000000	NESS FM	FORMATION	110	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	212.000000	2047.000000	NORDLAND GP	GROUP	113	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	2047.000000	2538.000000	ROGALAND GP	GROUP	131	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5014.000000	5029.000000	RØDBY FM	FORMATION	137	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	2538.000000	5014.000000	SHETLAND GP	GROUP	143	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5029.000000	5102.000000	SOLA FM	FORMATION	152	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5390.000000	5427.000000	TARBERT FM	FORMATION	162	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5211.000000	5390.000000	VIKING GP	GROUP	188	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	2503.000000	2538.000000	VÅLE FM	FORMATION	190	2006-09-09	4143	9999-12-31	2013-05-08
33/9-20 S	5102.000000	5169.000000	ÅSGARD FM	FORMATION	198	2006-09-09	4143	9999-12-31	2013-05-08
7019/1-1	1215.000000	2447.000000	ADVENTDALEN GP	GROUP	1	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	2377.000000	2447.000000	FUGLEN FM	FORMATION	47	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	2345.000000	2377.000000	HEKKINGEN FM	FORMATION	63	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	2447.000000	3003.000000	KAPP TOSCANA GP	GROUP	79	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	2127.000000	2345.000000	KNURR FM	FORMATION	82	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	1215.000000	2127.000000	KOLMULE FM	FORMATION	85	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	603.000000	1215.000000	KVEITE FM	FORMATION	89	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	214.000000	448.000000	NORDLAND GP	GROUP	113	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	2610.000000	2862.000000	NORDMELA FM	FORMATION	118	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	603.000000	1215.000000	NYGRUNNEN GP	GROUP	122	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	448.000000	603.000000	SOTBAKKEN GP	GROUP	154	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	2447.000000	2610.000000	STØ FM	FORMATION	159	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	448.000000	603.000000	TORSK FM	FORMATION	172	2000-12-03	4145	9999-12-31	2013-05-08
7019/1-1	2862.000000	3003.000000	TUBÅEN FM	FORMATION	174	2000-12-03	4145	9999-12-31	2013-05-08
6407/7-6	1169.000000	1840.000000	BRYGGE FM	FORMATION	18	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	3558.000000	3975.000000	BÅT GP	GROUP	22	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	2747.000000	3338.000000	CROMER KNOLL GP	GROUP	23	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	3407.000000	3558.000000	FANGST GP	GROUP	38	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	1169.000000	1840.000000	HORDALAND GP	GROUP	67	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	3448.000000	3558.000000	ILE FM	FORMATION	70	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	2352.000000	2747.000000	KVITNOS FM	FORMATION	91	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	2747.000000	3338.000000	LANGE FM	FORMATION	94	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	3351.000000	3407.000000	MELKE FM	FORMATION	105	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	362.000000	1169.000000	NAUST FM	FORMATION	109	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	2142.000000	2352.000000	NISE FM	FORMATION	112	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	362.000000	1169.000000	NORDLAND GP	GROUP	113	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	3407.000000	3448.000000	NOT FM	FORMATION	120	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	1840.000000	2105.000000	ROGALAND GP	GROUP	131	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	3558.000000	3684.000000	ROR FM	FORMATION	135	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	2105.000000	2747.000000	SHETLAND GP	GROUP	143	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	3338.000000	3351.000000	SPEKK FM	FORMATION	155	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	2105.000000	2142.000000	SPRINGAR FM	FORMATION	156	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	1922.000000	2105.000000	TANG FM	FORMATION	161	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	1840.000000	1922.000000	TARE FM	FORMATION	163	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	3684.000000	3882.000000	TILJE FM	FORMATION	169	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	3338.000000	3407.000000	VIKING GP	GROUP	188	2000-12-16	4172	9999-12-31	2013-05-08
6407/7-6	3882.000000	3975.000000	ÅRE FM	FORMATION	197	2000-12-16	4172	9999-12-31	2013-05-08
7122/7-1	635.000000	1102.000000	ADVENTDALEN GP	GROUP	1	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	1125.000000	1202.000000	FRUHOLMEN FM	FORMATION	46	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	1088.000000	1102.000000	FUGLEN FM	FORMATION	47	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	1022.000000	1088.000000	HEKKINGEN FM	FORMATION	63	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	1102.000000	1524.000000	KAPP TOSCANA GP	GROUP	79	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	984.000000	1022.000000	KNURR FM	FORMATION	82	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	635.000000	984.000000	KOLMULE FM	FORMATION	85	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	586.000000	635.000000	KVITING FM	FORMATION	90	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	405.000000	473.000000	NORDLAND GP	GROUP	113	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	586.000000	635.000000	NYGRUNNEN GP	GROUP	122	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	1202.000000	1524.000000	SNADD FM	FORMATION	150	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	473.000000	586.000000	SOTBAKKEN GP	GROUP	154	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	473.000000	586.000000	TORSK FM	FORMATION	172	2000-10-05	4173	9999-12-31	2013-05-08
7122/7-1	1102.000000	1125.000000	TUBÅEN FM	FORMATION	174	2000-10-05	4173	9999-12-31	2013-05-08
6608/11-2	1408.000000	1526.000000	BRYGGE FM	FORMATION	18	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1736.000000	2064.000000	BÅT GP	GROUP	22	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1583.000000	1614.000000	CROMER KNOLL GP	GROUP	23	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1705.000000	1736.000000	FANGST GP	GROUP	38	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	2064.000000	2215.000000	GREY BEDS (INFORMAL)	GROUP	52	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1408.000000	1526.000000	HORDALAND GP	GROUP	67	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1334.000000	1408.000000	KAI FM	FORMATION	77	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1583.000000	1614.000000	LANGE FM	FORMATION	94	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1614.000000	1705.000000	MELKE FM	FORMATION	105	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	387.000000	1334.000000	NAUST FM	FORMATION	109	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	387.000000	1408.000000	NORDLAND GP	GROUP	113	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1705.000000	1736.000000	NOT FM	FORMATION	120	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1526.000000	1583.000000	ROGALAND GP	GROUP	131	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1526.000000	1583.000000	TARE FM	FORMATION	163	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1614.000000	1705.000000	VIKING GP	GROUP	188	2000-11-24	4189	9999-12-31	2013-05-08
6608/11-2	1736.000000	2064.000000	ÅRE FM	FORMATION	197	2000-11-24	4189	9999-12-31	2013-05-08
16/4-3	2075.000000	2132.000000	BALDER FM	FORMATION	6	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2412.000000	2425.000000	EKOFISK FM	FORMATION	33	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	1823.000000	1880.000000	GRID FM	FORMATION	53	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2277.000000	2282.000000	HEIMDAL FM	FORMATION	62	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2334.000000	2412.000000	HEIMDAL FM	FORMATION	62	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2196.000000	2197.000000	HERMOD FM	FORMATION	64	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2207.000000	2208.000000	HERMOD FM	FORMATION	64	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	1032.000000	2075.000000	HORDALAND GP	GROUP	67	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2245.000000	2277.000000	LISTA FM	FORMATION	95	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2282.000000	2334.000000	LISTA FM	FORMATION	95	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	1349.000000	1823.000000	NO FORMAL NAME	FORMATION	111	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	1880.000000	2075.000000	NO FORMAL NAME	FORMATION	111	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	131.000000	1032.000000	NORDLAND GP	GROUP	113	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2075.000000	2412.000000	ROGALAND GP	GROUP	131	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2132.000000	2196.000000	SELE FM	FORMATION	142	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2197.000000	2207.000000	SELE FM	FORMATION	142	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2208.000000	2245.000000	SELE FM	FORMATION	142	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	2412.000000	2425.000000	SHETLAND GP	GROUP	143	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	1176.000000	1349.000000	SKADE FM	FORMATION	145	2000-12-24	4194	9999-12-31	2013-05-08
16/4-3	745.000000	1032.000000	UTSIRA FM	FORMATION	183	2000-12-24	4194	9999-12-31	2013-05-08
6507/5-4	1819.000000	2002.000000	BRYGGE FM	FORMATION	18	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	3632.000000	3812.000000	BÅT GP	GROUP	22	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	2788.000000	3371.000000	CROMER KNOLL GP	GROUP	23	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	3513.000000	3632.000000	FANGST GP	GROUP	38	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	3513.000000	3581.000000	GARN FM	FORMATION	48	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	1819.000000	2002.000000	HORDALAND GP	GROUP	67	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	3609.000000	3632.000000	ILE FM	FORMATION	70	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	1398.000000	1819.000000	KAI FM	FORMATION	77	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	2576.000000	2788.000000	KVITNOS FM	FORMATION	91	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	2793.000000	3364.000000	LANGE FM	FORMATION	94	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	3364.000000	3371.000000	LYR FM	FORMATION	98	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	2788.000000	2793.000000	LYSING FM	FORMATION	99	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	3371.000000	3513.000000	MELKE FM	FORMATION	105	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	446.000000	1398.000000	NAUST FM	FORMATION	109	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	2186.000000	2576.000000	NISE FM	FORMATION	112	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	446.000000	1819.000000	NORDLAND GP	GROUP	113	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	3581.000000	3609.000000	NOT FM	FORMATION	120	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	2002.000000	2102.000000	ROGALAND GP	GROUP	131	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	3632.000000	3687.000000	ROR FM	FORMATION	135	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	2102.000000	2788.000000	SHETLAND GP	GROUP	143	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	2102.000000	2186.000000	SPRINGAR FM	FORMATION	156	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	2047.000000	2102.000000	TANG FM	FORMATION	161	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	2002.000000	2047.000000	TARE FM	FORMATION	163	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	3687.000000	3774.000000	TILJE FM	FORMATION	169	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	3371.000000	3513.000000	VIKING GP	GROUP	188	2001-04-15	4209	9999-12-31	2013-05-08
6507/5-4	3774.000000	3812.000000	ÅRE FM	FORMATION	197	2001-04-15	4209	9999-12-31	2013-05-08
6507/7-13	1842.000000	1990.000000	BRYGGE FM	FORMATION	18	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	2391.000000	2623.000000	BÅT GP	GROUP	22	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	1842.000000	1990.000000	HORDALAND GP	GROUP	67	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	1485.000000	1842.000000	KAI FM	FORMATION	77	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	2256.000000	2391.000000	KVITNOS FM	FORMATION	91	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	404.000000	1485.000000	NAUST FM	FORMATION	109	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	2146.000000	2256.000000	NISE FM	FORMATION	112	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	404.000000	1842.000000	NORDLAND GP	GROUP	113	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	1990.000000	2080.000000	ROGALAND GP	GROUP	131	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	2080.000000	2391.000000	SHETLAND GP	GROUP	143	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	2080.000000	2146.000000	SPRINGAR FM	FORMATION	156	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	2020.000000	2080.000000	TANG FM	FORMATION	161	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	1990.000000	2020.000000	TARE FM	FORMATION	163	2001-01-08	4213	9999-12-31	2013-05-08
6507/7-13	2391.000000	2623.000000	ÅRE FM	FORMATION	197	2001-01-08	4213	9999-12-31	2013-05-08
34/7-31	1700.000000	1738.000000	BALDER FM	FORMATION	6	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	2602.000000	2650.000000	BRENT GP	GROUP	16	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	2458.000000	2470.000000	CROMER KNOLL GP	GROUP	23	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	2470.000000	2506.000000	INTRA DRAUPNE FM SS	FORMATION	26	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	2506.000000	2520.000000	DRAUPNE FM	FORMATION	28	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	2520.000000	2602.000000	HEATHER FM	FORMATION	60	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	1062.000000	1700.000000	HORDALAND GP	GROUP	67	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	1891.000000	2160.000000	JORSALFARE FM	FORMATION	74	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	2160.000000	2458.000000	KYRRE FM	FORMATION	92	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	1738.000000	1891.000000	LISTA FM	FORMATION	95	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	2460.000000	2470.000000	MIME FM	FORMATION	106	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	1268.000000	1301.000000	NO FORMAL NAME	FORMATION	111	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	1301.000000	1470.000000	NO FORMAL NAME	FORMATION	111	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	1470.000000	1482.000000	NO FORMAL NAME	FORMATION	111	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	1482.000000	1700.000000	NO FORMAL NAME	FORMATION	111	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	233.000000	1062.000000	NORDLAND GP	GROUP	113	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	1700.000000	1891.000000	ROGALAND GP	GROUP	131	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	2458.000000	2460.000000	RØDBY FM	FORMATION	137	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	1891.000000	2458.000000	SHETLAND GP	GROUP	143	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	2602.000000	2650.000000	TARBERT FM	FORMATION	162	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	924.000000	1062.000000	UTSIRA FM	FORMATION	183	2001-04-13	4214	9999-12-31	2013-05-08
34/7-31	2470.000000	2602.000000	VIKING GP	GROUP	188	2001-04-13	4214	9999-12-31	2013-05-08
6608/10-6 R	1527.000000	1585.000000	BRYGGE FM	FORMATION	18	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1873.000000	2115.000000	BÅT GP	GROUP	22	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1717.000000	1794.000000	CROMER KNOLL GP	GROUP	23	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1859.000000	1873.000000	FANGST GP	GROUP	38	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1527.000000	1585.000000	HORDALAND GP	GROUP	67	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1382.000000	1527.000000	KAI FM	FORMATION	77	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1717.000000	1794.000000	LYR FM	FORMATION	98	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1814.000000	1850.000000	INTRA MELKE FM SS	FORMATION	104	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1794.000000	1814.000000	MELKE FM	FORMATION	105	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1850.000000	1859.000000	MELKE FM	FORMATION	105	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	414.000000	1527.000000	NORDLAND GP	GROUP	113	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1859.000000	1873.000000	NOT FM	FORMATION	120	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1585.000000	1700.000000	ROGALAND GP	GROUP	131	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1700.000000	1717.000000	SHETLAND GP	GROUP	143	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1700.000000	1717.000000	SPRINGAR FM	FORMATION	156	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1678.000000	1700.000000	TANG FM	FORMATION	161	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1585.000000	1678.000000	TARE FM	FORMATION	163	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1794.000000	1859.000000	VIKING GP	GROUP	188	2000-12-02	4217	9999-12-31	2013-05-08
6608/10-6 R	1873.000000	2115.000000	ÅRE FM	FORMATION	197	2000-12-02	4217	9999-12-31	2013-05-08
7121/5-3	865.000000	1880.000000	ADVENTDALEN GP	GROUP	1	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	2034.000000	2223.000000	FRUHOLMEN FM	FORMATION	46	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	1832.000000	1880.000000	HEKKINGEN FM	FORMATION	63	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	1880.000000	2265.000000	KAPP TOSCANA GP	GROUP	79	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	1790.000000	1832.000000	KNURR FM	FORMATION	82	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	1625.000000	1790.000000	KOLJE FM	FORMATION	84	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	865.000000	1625.000000	KOLMULE FM	FORMATION	85	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	844.000000	865.000000	KVITING FM	FORMATION	90	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	369.000000	412.000000	NORDLAND GP	GROUP	113	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	1928.000000	1984.000000	NORDMELA FM	FORMATION	118	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	844.000000	865.000000	NYGRUNNEN GP	GROUP	122	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	2223.000000	2265.000000	SNADD FM	FORMATION	150	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	412.000000	844.000000	SOTBAKKEN GP	GROUP	154	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	1880.000000	1928.000000	STØ FM	FORMATION	159	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	412.000000	844.000000	TORSK FM	FORMATION	172	2001-03-09	4244	9999-12-31	2013-05-08
7121/5-3	1984.000000	2034.000000	TUBÅEN FM	FORMATION	174	2001-03-09	4244	9999-12-31	2013-05-08
34/10-43 S	3600.000000	3878.000000	AMUNDSEN FM	FORMATION	4	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	1817.000000	1891.000000	BALDER FM	FORMATION	6	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3204.000000	3345.000000	BRENT GP	GROUP	16	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3544.000000	3600.000000	BURTON FM	FORMATION	20	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3163.000000	3175.000000	CROMER KNOLL GP	GROUP	23	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	5675.000000	5725.000000	CROMER KNOLL GP	GROUP	23	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3434.000000	3544.000000	COOK FM	FORMATION	24	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3345.000000	3434.000000	DRAKE FM	FORMATION	27	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	5360.000000	5675.000000	DRAUPNE FM	FORMATION	28	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3345.000000	3878.000000	DUNLIN GP	GROUP	29	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3946.000000	4165.000000	EIRIKSSON MBR	MEMBER	32	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3303.000000	3326.000000	ETIVE FM	FORMATION	35	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3175.000000	3204.000000	HEATHER FM	FORMATION	60	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	4950.000000	5360.000000	HEATHER FM	FORMATION	60	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	4370.000000	4950.000000	HEGRE GP	GROUP	61	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	997.000000	1817.000000	HORDALAND GP	GROUP	67	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	1891.000000	2049.000000	LISTA FM	FORMATION	95	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	4370.000000	4950.000000	LUNDE FM	FORMATION	97	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3878.000000	3946.000000	NANSEN MBR	MEMBER	108	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3204.000000	3303.000000	NESS FM	FORMATION	110	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	164.000000	997.000000	NORDLAND GP	GROUP	113	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3326.000000	3345.000000	RANNOCH FM	FORMATION	126	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	4165.000000	4370.000000	RAUDE MBR	MEMBER	127	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	1817.000000	2049.000000	ROGALAND GP	GROUP	131	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	2049.000000	3163.000000	SHETLAND GP	GROUP	143	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3878.000000	4370.000000	STATFJORD FM	FORMATION	157	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	866.000000	997.000000	UTSIRA FM	FORMATION	183	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3175.000000	3204.000000	VIKING GP	GROUP	188	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	4950.000000	5675.000000	VIKING GP	GROUP	188	2001-04-11	4247	9999-12-31	2013-05-08
34/10-43 S	3878.000000	4370.000000	NO GROUP DEFINED	GROUP	208	2001-04-11	4247	9999-12-31	2013-05-08
7228/7-1 A	334.000000	1361.000000	ADVENTDALEN GP	GROUP	1	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	1494.000000	1642.000000	FRUHOLMEN FM	FORMATION	46	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	1347.000000	1361.000000	FUGLEN FM	FORMATION	47	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	1314.000000	1347.000000	HEKKINGEN FM	FORMATION	63	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	1361.000000	2255.000000	KAPP TOSCANA GP	GROUP	79	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	2741.000000	2881.000000	KLAPPMYSS FM	FORMATION	80	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	1300.000000	1314.000000	KNURR FM	FORMATION	82	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	2255.000000	2741.000000	KOBBE FM	FORMATION	83	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	334.000000	1300.000000	KOLMULE FM	FORMATION	85	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	311.000000	334.000000	NORDLAND GP	GROUP	113	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	1379.000000	1399.000000	NORDMELA FM	FORMATION	118	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	2255.000000	2881.000000	SASSENDALEN GP	GROUP	140	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	1642.000000	2255.000000	SNADD FM	FORMATION	150	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	1361.000000	1379.000000	STØ FM	FORMATION	159	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 A	1399.000000	1494.000000	TUBÅEN FM	FORMATION	174	2001-02-02	4257	9999-12-31	2013-05-08
7228/7-1 B	334.000000	1361.000000	ADVENTDALEN GP	GROUP	1	2001-02-10	4261	9999-12-31	2013-05-08
7228/7-1 B	1494.000000	1642.000000	FRUHOLMEN FM	FORMATION	46	2001-02-10	4261	9999-12-31	2013-05-08
7228/7-1 B	1347.000000	1361.000000	FUGLEN FM	FORMATION	47	2001-02-10	4261	9999-12-31	2013-05-08
7228/7-1 B	1314.000000	1347.000000	HEKKINGEN FM	FORMATION	63	2001-02-10	4261	9999-12-31	2013-05-08
7228/7-1 B	1361.000000	2227.000000	KAPP TOSCANA GP	GROUP	79	2001-02-10	4261	9999-12-31	2013-05-08
7228/7-1 B	1300.000000	1314.000000	KNURR FM	FORMATION	82	2001-02-10	4261	9999-12-31	2013-05-08
7228/7-1 B	334.000000	1300.000000	KOLMULE FM	FORMATION	85	2001-02-10	4261	9999-12-31	2013-05-08
7228/7-1 B	311.000000	334.000000	NORDLAND GP	GROUP	113	2001-02-10	4261	9999-12-31	2013-05-08
7228/7-1 B	1379.000000	1399.000000	NORDMELA FM	FORMATION	118	2001-02-10	4261	9999-12-31	2013-05-08
7228/7-1 B	1642.000000	2227.000000	SNADD FM	FORMATION	150	2001-02-10	4261	9999-12-31	2013-05-08
7228/7-1 B	1361.000000	1379.000000	STØ FM	FORMATION	159	2001-02-10	4261	9999-12-31	2013-05-08
7228/7-1 B	1399.000000	1494.000000	TUBÅEN FM	FORMATION	174	2001-02-10	4261	9999-12-31	2013-05-08
6406/1-1	2005.000000	2408.000000	BRYGGE FM	FORMATION	18	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	4666.000000	5057.000000	BÅT GP	GROUP	22	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	3523.000000	4666.000000	CROMER KNOLL GP	GROUP	23	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	2005.000000	2408.000000	HORDALAND GP	GROUP	67	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	1592.000000	2005.000000	KAI FM	FORMATION	77	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	2891.000000	3523.000000	KVITNOS FM	FORMATION	91	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	3541.000000	3594.000000	LANGE FM	FORMATION	94	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	3659.000000	4407.000000	LANGE FM	FORMATION	94	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	4599.000000	4666.000000	LANGE FM	FORMATION	94	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	3523.000000	3541.000000	LYSING FM	FORMATION	99	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	369.000000	1592.000000	NAUST FM	FORMATION	109	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	3594.000000	3659.000000	NO FORMAL NAME	FORMATION	111	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	4407.000000	4599.000000	NO FORMAL NAME	FORMATION	111	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	2719.000000	2891.000000	NISE FM	FORMATION	112	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	369.000000	2005.000000	NORDLAND GP	GROUP	113	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	2408.000000	2530.000000	ROGALAND GP	GROUP	131	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	2530.000000	3523.000000	SHETLAND GP	GROUP	143	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	2530.000000	2719.000000	SPRINGAR FM	FORMATION	156	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	2473.000000	2530.000000	TANG FM	FORMATION	161	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	2408.000000	2473.000000	TARE FM	FORMATION	163	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	4806.000000	4996.000000	TILJE FM	FORMATION	169	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	4666.000000	4806.000000	TOFTE FM	FORMATION	170	2001-06-10	4262	9999-12-31	2013-05-08
6406/1-1	4996.000000	5057.000000	ÅRE FM	FORMATION	197	2001-06-10	4262	9999-12-31	2013-05-08
6608/10-7	1529.000000	1602.000000	BRYGGE FM	FORMATION	18	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	2018.000000	2319.000000	BÅT GP	GROUP	22	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1803.000000	1902.000000	CROMER KNOLL GP	GROUP	23	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	2007.000000	2018.000000	FANGST GP	GROUP	38	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1529.000000	1602.000000	HORDALAND GP	GROUP	67	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1409.000000	1529.000000	KAI FM	FORMATION	77	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1803.000000	1902.000000	LYR FM	FORMATION	98	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1948.000000	2007.000000	INTRA MELKE FM SS	FORMATION	104	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1902.000000	1948.000000	MELKE FM	FORMATION	105	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	408.000000	1409.000000	NAUST FM	FORMATION	109	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	408.000000	1529.000000	NORDLAND GP	GROUP	113	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	2007.000000	2018.000000	NOT FM	FORMATION	120	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1602.000000	1763.000000	ROGALAND GP	GROUP	131	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1763.000000	1803.000000	SHETLAND GP	GROUP	143	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1763.000000	1803.000000	SPRINGAR FM	FORMATION	156	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1745.000000	1763.000000	TANG FM	FORMATION	161	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1602.000000	1745.000000	TARE FM	FORMATION	163	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	1902.000000	2007.000000	VIKING GP	GROUP	188	2001-05-23	4273	9999-12-31	2013-05-08
6608/10-7	2018.000000	2319.000000	ÅRE FM	FORMATION	197	2001-05-23	4273	9999-12-31	2013-05-08
6507/7-13 A	1842.000000	1990.000000	BRYGGE FM	FORMATION	18	2001-01-21	4275	9999-12-31	2013-05-08
6507/7-13 A	2390.000000	2522.000000	BÅT GP	GROUP	22	2001-01-21	4275	9999-12-31	2013-05-08
6507/7-13 A	1842.000000	1990.000000	HORDALAND GP	GROUP	67	2001-01-21	4275	9999-12-31	2013-05-08
6507/7-13 A	1485.000000	1842.000000	KAI FM	FORMATION	77	2001-01-21	4275	9999-12-31	2013-05-08
6507/7-13 A	404.000000	1485.000000	NAUST FM	FORMATION	109	2001-01-21	4275	9999-12-31	2013-05-08
6507/7-13 A	404.000000	1842.000000	NORDLAND GP	GROUP	113	2001-01-21	4275	9999-12-31	2013-05-08
6507/7-13 A	1990.000000	2080.000000	ROGALAND GP	GROUP	131	2001-01-21	4275	9999-12-31	2013-05-08
6507/7-13 A	2080.000000	2390.000000	SHETLAND GP	GROUP	143	2001-01-21	4275	9999-12-31	2013-05-08
6507/7-13 A	2020.000000	2080.000000	TANG FM	FORMATION	161	2001-01-21	4275	9999-12-31	2013-05-08
6507/7-13 A	1990.000000	2020.000000	TARE FM	FORMATION	163	2001-01-21	4275	9999-12-31	2013-05-08
6507/7-13 A	2390.000000	2522.000000	ÅRE FM	FORMATION	197	2001-01-21	4275	9999-12-31	2013-05-08
25/4-9 S	2150.000000	2167.000000	BALDER FM	FORMATION	6	2003-09-29	4278	9999-12-31	2013-05-08
25/4-9 S	2236.000000	2377.000000	HEIMDAL FM	FORMATION	62	2003-09-29	4278	9999-12-31	2013-05-08
25/4-9 S	958.000000	1346.000000	HORDALAND GP	GROUP	67	2003-09-29	4278	9999-12-31	2013-05-08
25/4-9 S	1346.000000	2150.000000	HORDALAND GP	GROUP	67	2003-09-29	4278	9999-12-31	2013-05-08
25/4-9 S	2194.000000	2236.000000	LISTA FM	FORMATION	95	2003-09-29	4278	9999-12-31	2013-05-08
25/4-9 S	149.000000	958.000000	NORDLAND GP	GROUP	113	2003-09-29	4278	9999-12-31	2013-05-08
25/4-9 S	2150.000000	2377.000000	ROGALAND GP	GROUP	131	2003-09-29	4278	9999-12-31	2013-05-08
25/4-9 S	2167.000000	2194.000000	SELE FM	FORMATION	142	2003-09-29	4278	9999-12-31	2013-05-08
25/4-9 S	1158.000000	1346.000000	SKADE FM	FORMATION	145	2003-09-29	4278	9999-12-31	2013-05-08
25/4-9 S	460.000000	958.000000	UTSIRA FM	FORMATION	183	2003-09-29	4278	9999-12-31	2013-05-08
6305/9-1	1303.000000	1669.000000	BRYGGE FM	FORMATION	18	2001-07-31	4297	9999-12-31	2013-05-08
6305/9-1	2469.000000	2523.000000	EGGA FM (INFORMAL)	FORMATION	31	2001-07-31	4297	9999-12-31	2013-05-08
6305/9-1	1303.000000	1669.000000	HORDALAND GP	GROUP	67	2001-07-31	4297	9999-12-31	2013-05-08
6305/9-1	1074.000000	1303.000000	KAI FM	FORMATION	77	2001-07-31	4297	9999-12-31	2013-05-08
6305/9-1	211.000000	1074.000000	NAUST FM	FORMATION	109	2001-07-31	4297	9999-12-31	2013-05-08
6305/9-1	211.000000	1303.000000	NORDLAND GP	GROUP	113	2001-07-31	4297	9999-12-31	2013-05-08
6305/9-1	1669.000000	2523.000000	ROGALAND GP	GROUP	131	2001-07-31	4297	9999-12-31	2013-05-08
6305/9-1	2523.000000	2655.000000	SHETLAND GP	GROUP	143	2001-07-31	4297	9999-12-31	2013-05-08
6305/9-1	2523.000000	2655.000000	SPRINGAR FM	FORMATION	156	2001-07-31	4297	9999-12-31	2013-05-08
6305/9-1	1948.000000	2437.000000	TANG FM	FORMATION	161	2001-07-31	4297	9999-12-31	2013-05-08
6305/9-1	1669.000000	1948.000000	TARE FM	FORMATION	163	2001-07-31	4297	9999-12-31	2013-05-08
6305/9-1	2437.000000	2469.000000	VÅLE FM	FORMATION	190	2001-07-31	4297	9999-12-31	2013-05-08
34/7-31 A	1700.000000	1738.000000	BALDER FM	FORMATION	6	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	2815.000000	2830.000000	CROMER KNOLL GP	GROUP	23	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	3386.000000	3395.000000	CROMER KNOLL GP	GROUP	23	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	2830.000000	3090.000000	INTRA DRAUPNE FM SS	FORMATION	26	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	3090.000000	3105.000000	DRAUPNE FM	FORMATION	28	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	3105.000000	3386.000000	HEATHER FM	FORMATION	60	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	1062.000000	1700.000000	HORDALAND GP	GROUP	67	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	1892.000000	2175.000000	JORSALFARE FM	FORMATION	74	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	2175.000000	2815.000000	KYRRE FM	FORMATION	92	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	3395.000000	3454.000000	KYRRE FM	FORMATION	92	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	1738.000000	1892.000000	LISTA FM	FORMATION	95	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	2820.000000	2830.000000	MIME FM	FORMATION	106	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	3386.000000	3393.000000	MIME FM	FORMATION	106	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	1268.000000	1301.000000	NO FORMAL NAME	FORMATION	111	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	1301.000000	1470.000000	NO FORMAL NAME	FORMATION	111	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	1470.000000	1482.000000	NO FORMAL NAME	FORMATION	111	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	1482.000000	1700.000000	NO FORMAL NAME	FORMATION	111	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	233.000000	1062.000000	NORDLAND GP	GROUP	113	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	1700.000000	1892.000000	ROGALAND GP	GROUP	131	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	2815.000000	2820.000000	RØDBY FM	FORMATION	137	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	3393.000000	3395.000000	RØDBY FM	FORMATION	137	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	1892.000000	2815.000000	SHETLAND GP	GROUP	143	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	3395.000000	3454.000000	SHETLAND GP	GROUP	143	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	924.000000	1062.000000	UTSIRA FM	FORMATION	183	2001-04-25	4301	9999-12-31	2013-05-08
34/7-31 A	2830.000000	3386.000000	VIKING GP	GROUP	188	2001-04-25	4301	9999-12-31	2013-05-08
6507/5-4 A	1823.000000	2016.000000	BRYGGE FM	FORMATION	18	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	3847.000000	3883.000000	BÅT GP	GROUP	22	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	2842.000000	3474.000000	CROMER KNOLL GP	GROUP	23	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	3720.000000	3847.000000	FANGST GP	GROUP	38	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	3720.000000	3793.000000	GARN FM	FORMATION	48	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	1823.000000	2016.000000	HORDALAND GP	GROUP	67	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	3821.000000	3847.000000	ILE FM	FORMATION	70	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	1398.000000	1823.000000	KAI FM	FORMATION	77	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	2626.000000	2842.000000	KVITNOS FM	FORMATION	91	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	2848.000000	3461.000000	LANGE FM	FORMATION	94	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	3461.000000	3474.000000	LYR FM	FORMATION	98	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	2842.000000	2848.000000	LYSING FM	FORMATION	99	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	3491.000000	3720.000000	MELKE FM	FORMATION	105	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	446.000000	1398.000000	NAUST FM	FORMATION	109	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	2125.000000	2626.000000	NISE FM	FORMATION	112	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	446.000000	1823.000000	NORDLAND GP	GROUP	113	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	3793.000000	3821.000000	NOT FM	FORMATION	120	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	2016.000000	2125.000000	ROGALAND GP	GROUP	131	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	3847.000000	3883.000000	ROR FM	FORMATION	135	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	2125.000000	2842.000000	SHETLAND GP	GROUP	143	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	3474.000000	3491.000000	SPEKK FM	FORMATION	155	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	2064.000000	2125.000000	TANG FM	FORMATION	161	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	2016.000000	2064.000000	TARE FM	FORMATION	163	2001-06-03	4306	9999-12-31	2013-05-08
6507/5-4 A	3474.000000	3720.000000	VIKING GP	GROUP	188	2001-06-03	4306	9999-12-31	2013-05-08
6507/11-6	1542.000000	2022.000000	BRYGGE FM	FORMATION	18	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	3160.000000	3440.000000	BÅT GP	GROUP	22	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2679.000000	2885.000000	CROMER KNOLL GP	GROUP	23	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	3030.000000	3160.000000	FANGST GP	GROUP	38	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	3030.000000	3077.000000	GARN FM	FORMATION	48	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	1542.000000	2022.000000	HORDALAND GP	GROUP	67	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	3094.000000	3160.000000	ILE FM	FORMATION	70	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	1392.000000	1542.000000	KAI FM	FORMATION	77	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2452.000000	2679.000000	KVITNOS FM	FORMATION	91	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2679.000000	2870.000000	LANGE FM	FORMATION	94	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2870.000000	2885.000000	LYR FM	FORMATION	98	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2983.000000	3030.000000	MELKE FM	FORMATION	105	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	315.000000	1392.000000	NAUST FM	FORMATION	109	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2243.000000	2452.000000	NISE FM	FORMATION	112	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	315.000000	1542.000000	NORDLAND GP	GROUP	113	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	3077.000000	3094.000000	NOT FM	FORMATION	120	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2022.000000	2162.000000	ROGALAND GP	GROUP	131	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	3160.000000	3261.000000	ROR FM	FORMATION	135	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2162.000000	2679.000000	SHETLAND GP	GROUP	143	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2885.000000	2983.000000	SPEKK FM	FORMATION	155	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2162.000000	2243.000000	SPRINGAR FM	FORMATION	156	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2102.000000	2162.000000	TANG FM	FORMATION	161	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2022.000000	2102.000000	TARE FM	FORMATION	163	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	3261.000000	3387.000000	TILJE FM	FORMATION	169	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	2885.000000	3030.000000	VIKING GP	GROUP	188	2001-07-08	4321	9999-12-31	2013-05-08
6507/11-6	3387.000000	3440.000000	ÅRE FM	FORMATION	197	2001-07-08	4321	9999-12-31	2013-05-08
6506/3-1	1624.000000	1657.000000	BRYGGE FM	FORMATION	18	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	3090.000000	3667.000000	CROMER KNOLL GP	GROUP	23	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	1624.000000	1657.000000	HORDALAND GP	GROUP	67	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	2300.000000	3090.000000	KVITNOS FM	FORMATION	91	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	3111.000000	3667.000000	LANGE FM	FORMATION	94	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	3090.000000	3111.000000	LYSING FM	FORMATION	99	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	366.000000	1624.000000	NAUST FM	FORMATION	109	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	2023.000000	2300.000000	NISE FM	FORMATION	112	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	366.000000	1624.000000	NORDLAND GP	GROUP	113	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	1657.000000	1797.000000	ROGALAND GP	GROUP	131	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	1797.000000	3090.000000	SHETLAND GP	GROUP	143	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	1797.000000	2023.000000	SPRINGAR FM	FORMATION	156	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	1756.000000	1797.000000	TANG FM	FORMATION	161	2001-08-19	4344	9999-12-31	2013-05-08
6506/3-1	1657.000000	1756.000000	TARE FM	FORMATION	163	2001-08-19	4344	9999-12-31	2013-05-08
24/12-4	2077.000000	2121.000000	BALDER FM	FORMATION	6	2001-09-14	4383	9999-12-31	2013-05-08
24/12-4	1211.000000	1415.000000	GRID FM	FORMATION	53	2001-09-14	4383	9999-12-31	2013-05-08
24/12-4	2224.000000	2265.000000	HEIMDAL FM	FORMATION	62	2001-09-14	4383	9999-12-31	2013-05-08
24/12-4	2139.000000	2207.000000	HERMOD FM	FORMATION	64	2001-09-14	4383	9999-12-31	2013-05-08
24/12-4	858.000000	2077.000000	HORDALAND GP	GROUP	67	2001-09-14	4383	9999-12-31	2013-05-08
24/12-4	2207.000000	2224.000000	LISTA FM	FORMATION	95	2001-09-14	4383	9999-12-31	2013-05-08
24/12-4	1415.000000	2077.000000	NO FORMAL NAME	FORMATION	111	2001-09-14	4383	9999-12-31	2013-05-08
24/12-4	140.000000	858.000000	NORDLAND GP	GROUP	113	2001-09-14	4383	9999-12-31	2013-05-08
24/12-4	2077.000000	2265.000000	ROGALAND GP	GROUP	131	2001-09-14	4383	9999-12-31	2013-05-08
24/12-4	2121.000000	2139.000000	SELE FM	FORMATION	142	2001-09-14	4383	9999-12-31	2013-05-08
24/12-4	688.000000	858.000000	UTSIRA FM	FORMATION	183	2001-09-14	4383	9999-12-31	2013-05-08
25/2-16 S	2227.000000	2243.000000	BALDER FM	FORMATION	6	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2330.000000	2364.000000	BALDER FM	FORMATION	6	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2243.000000	2330.000000	INTRA BALDER FM SS	FORMATION	7	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3631.000000	3640.000000	BLODØKS FM	FORMATION	13	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3693.000000	3711.000000	CROMER KNOLL GP	GROUP	23	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3711.000000	3755.000000	DRAUPNE FM	FORMATION	28	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3970.000000	4013.000000	DUNLIN GP	GROUP	29	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2909.000000	3130.000000	HARDRÅDE FM	FORMATION	56	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3755.000000	3796.000000	HEATHER FM	FORMATION	60	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2445.000000	2475.000000	HEIMDAL FM	FORMATION	62	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2538.000000	2550.000000	HEIMDAL FM	FORMATION	62	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2596.000000	2603.000000	HEIMDAL FM	FORMATION	62	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2636.000000	2706.000000	HEIMDAL FM	FORMATION	62	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	1035.000000	2227.000000	HORDALAND GP	GROUP	67	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3796.000000	3921.000000	HUGIN FM	FORMATION	69	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3130.000000	3488.000000	KYRRE FM	FORMATION	92	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2404.000000	2445.000000	LISTA FM	FORMATION	95	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2475.000000	2538.000000	LISTA FM	FORMATION	95	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2550.000000	2596.000000	LISTA FM	FORMATION	95	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2603.000000	2636.000000	LISTA FM	FORMATION	95	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2706.000000	2735.000000	LISTA FM	FORMATION	95	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3709.000000	3711.000000	MIME FM	FORMATION	106	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	1065.000000	2227.000000	NO FORMAL NAME	FORMATION	111	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	139.000000	1035.000000	NORDLAND GP	GROUP	113	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2227.000000	2909.000000	ROGALAND GP	GROUP	131	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3693.000000	3709.000000	RØDBY FM	FORMATION	137	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2364.000000	2404.000000	SELE FM	FORMATION	142	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2909.000000	3693.000000	SHETLAND GP	GROUP	143	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	1052.000000	1065.000000	SKADE FM	FORMATION	145	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3921.000000	3970.000000	SLEIPNER FM	FORMATION	148	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3640.000000	3693.000000	SVARTE FM	FORMATION	160	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3488.000000	3631.000000	TRYGGVASON FM	FORMATION	173	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2868.000000	2878.000000	TY FM	FORMATION	176	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2898.000000	2907.000000	TY FM	FORMATION	176	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	258.000000	1035.000000	UTSIRA FM	FORMATION	183	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3796.000000	3970.000000	VESTLAND GP	GROUP	186	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	3711.000000	3796.000000	VIKING GP	GROUP	188	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2735.000000	2868.000000	VÅLE FM	FORMATION	190	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2878.000000	2898.000000	VÅLE FM	FORMATION	190	2001-09-13	4385	9999-12-31	2013-05-08
25/2-16 S	2907.000000	2909.000000	VÅLE FM	FORMATION	190	2001-09-13	4385	9999-12-31	2013-05-08
6608/10-6 R2	1522.000000	1580.000000	BRYGGE FM	FORMATION	18	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1868.000000	2108.000000	BÅT GP	GROUP	22	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1712.000000	1789.000000	CROMER KNOLL GP	GROUP	23	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1854.000000	1868.000000	FANGST GP	GROUP	38	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1522.000000	1580.000000	HORDALAND GP	GROUP	67	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1377.000000	1522.000000	KAI FM	FORMATION	77	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1712.000000	1789.000000	LYR FM	FORMATION	98	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1809.000000	1845.000000	INTRA MELKE FM SS	FORMATION	104	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1789.000000	1809.000000	MELKE FM	FORMATION	105	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1845.000000	1854.000000	MELKE FM	FORMATION	105	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	409.000000	1522.000000	NORDLAND GP	GROUP	113	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1854.000000	1868.000000	NOT FM	FORMATION	120	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1580.000000	1695.000000	ROGALAND GP	GROUP	131	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1695.000000	1712.000000	SHETLAND GP	GROUP	143	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1695.000000	1712.000000	SPRINGAR FM	FORMATION	156	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1673.000000	1695.000000	TANG FM	FORMATION	161	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1580.000000	1673.000000	TARE FM	FORMATION	163	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1789.000000	1854.000000	VIKING GP	GROUP	188	2001-08-29	4386	9999-12-31	2013-05-08
6608/10-6 R2	1868.000000	2108.000000	ÅRE FM	FORMATION	197	2001-08-29	4386	9999-12-31	2013-05-08
7122/7-2	638.000000	1078.000000	ADVENTDALEN GP	GROUP	1	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	1196.000000	1303.000000	FRUHOLMEN FM	FORMATION	46	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	1067.000000	1078.000000	FUGLEN FM	FORMATION	47	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	1021.000000	1067.000000	HEKKINGEN FM	FORMATION	63	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	1078.000000	1418.000000	KAPP TOSCANA GP	GROUP	79	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	986.000000	1021.000000	KNURR FM	FORMATION	82	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	638.000000	986.000000	KOLMULE FM	FORMATION	85	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	600.000000	638.000000	KVITING FM	FORMATION	90	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	395.000000	448.000000	NORDLAND GP	GROUP	113	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	600.000000	638.000000	NYGRUNNEN GP	GROUP	122	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	1303.000000	1418.000000	SNADD FM	FORMATION	150	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	448.000000	600.000000	SOTBAKKEN GP	GROUP	154	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	448.000000	600.000000	TORSK FM	FORMATION	172	2001-10-19	4391	9999-12-31	2013-05-08
7122/7-2	1078.000000	1196.000000	TUBÅEN FM	FORMATION	174	2001-10-19	4391	9999-12-31	2013-05-08
16/2-2	1630.000000	1649.000000	BALDER FM	FORMATION	6	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1872.000000	1875.000000	BLODØKS FM	FORMATION	13	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1875.000000	1880.000000	CROMER KNOLL GP	GROUP	23	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1851.000000	1872.000000	HOD FM	FORMATION	66	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1130.000000	1630.000000	HORDALAND GP	GROUP	67	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1709.000000	1815.000000	LISTA FM	FORMATION	95	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1299.000000	1630.000000	NO FORMAL NAME	FORMATION	111	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	145.000000	1130.000000	NORDLAND GP	GROUP	113	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1630.000000	1836.000000	ROGALAND GP	GROUP	131	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1875.000000	1880.000000	RØDBY FM	FORMATION	137	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1649.000000	1709.000000	SELE FM	FORMATION	142	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1836.000000	1875.000000	SHETLAND GP	GROUP	143	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1267.000000	1299.000000	SKADE FM	FORMATION	145	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1836.000000	1851.000000	TOR FM	FORMATION	171	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	962.000000	1130.000000	UTSIRA FM	FORMATION	183	2001-10-04	4408	9999-12-31	2013-05-08
16/2-2	1815.000000	1836.000000	VÅLE FM	FORMATION	190	2001-10-04	4408	9999-12-31	2013-05-08
30/6-27	3095.000000	3101.000000	AMUNDSEN FM	FORMATION	4	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	2051.000000	2133.000000	BALDER FM	FORMATION	6	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	3095.000000	3101.000000	DUNLIN GP	GROUP	29	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	2396.000000	2405.000000	HARDRÅDE FM	FORMATION	56	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	947.000000	2051.000000	HORDALAND GP	GROUP	67	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	2405.000000	2670.000000	JORSALFARE FM	FORMATION	74	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	2670.000000	2996.000000	KYRRE FM	FORMATION	92	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	2241.000000	2377.000000	LISTA FM	FORMATION	95	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	1048.000000	1235.000000	NO FORMAL NAME	FORMATION	111	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	1235.000000	1303.000000	NO FORMAL NAME	FORMATION	111	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	1303.000000	1365.000000	NO FORMAL NAME	FORMATION	111	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	1365.000000	1417.000000	NO FORMAL NAME	FORMATION	111	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	1417.000000	2051.000000	NO FORMAL NAME	FORMATION	111	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	136.000000	947.000000	NORDLAND GP	GROUP	113	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	2051.000000	2396.000000	ROGALAND GP	GROUP	131	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	2133.000000	2241.000000	SELE FM	FORMATION	142	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	2396.000000	3095.000000	SHETLAND GP	GROUP	143	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	1015.000000	1048.000000	SKADE FM	FORMATION	145	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	3101.000000	3432.000000	STATFJORD FM	FORMATION	157	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	2996.000000	3095.000000	TRYGGVASON FM	FORMATION	173	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	652.000000	947.000000	UTSIRA FM	FORMATION	183	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	2377.000000	2396.000000	VÅLE FM	FORMATION	190	2001-10-30	4425	9999-12-31	2013-05-08
30/6-27	3101.000000	3432.000000	NO GROUP DEFINED	GROUP	208	2001-10-30	4425	9999-12-31	2013-05-08
36/7-3	2555.000000	2632.000000	AGAT FM	FORMATION	2	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	2264.000000	2290.000000	BLODØKS FM	FORMATION	13	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	2515.000000	2854.000000	CROMER KNOLL GP	GROUP	23	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	2854.000000	2907.000000	DRAUPNE FM	FORMATION	28	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	2907.000000	2948.000000	HEATHER FM	FORMATION	60	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	1249.000000	1304.000000	JORSALFARE FM	FORMATION	74	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	1304.000000	1843.000000	KYRRE FM	FORMATION	92	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	1855.000000	2264.000000	KYRRE FM	FORMATION	92	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	800.000000	1249.000000	LISTA FM	FORMATION	95	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	692.000000	702.000000	NO FORMAL NAME	FORMATION	111	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	745.000000	754.000000	NO FORMAL NAME	FORMATION	111	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	1843.000000	1855.000000	NO FORMAL NAME	FORMATION	111	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	2767.000000	2796.000000	NO FORMAL NAME	FORMATION	111	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	373.000000	602.000000	NORDLAND GP	GROUP	113	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	602.000000	1249.000000	ROGALAND GP	GROUP	131	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	2515.000000	2555.000000	RØDBY FM	FORMATION	137	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	2632.000000	2700.000000	RØDBY FM	FORMATION	137	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	602.000000	692.000000	SELE FM	FORMATION	142	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	702.000000	745.000000	SELE FM	FORMATION	142	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	754.000000	800.000000	SELE FM	FORMATION	142	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	1249.000000	2515.000000	SHETLAND GP	GROUP	143	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	2290.000000	2515.000000	SVARTE FM	FORMATION	160	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	2854.000000	2948.000000	VIKING GP	GROUP	188	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	2700.000000	2767.000000	ÅSGARD FM	FORMATION	198	2002-01-06	4427	9999-12-31	2013-05-08
36/7-3	2796.000000	2854.000000	ÅSGARD FM	FORMATION	198	2002-01-06	4427	9999-12-31	2013-05-08
6507/5-5	1889.000000	2022.000000	BRYGGE FM	FORMATION	18	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3774.000000	3948.000000	BÅT GP	GROUP	22	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	2754.000000	3339.000000	CROMER KNOLL GP	GROUP	23	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3648.000000	3774.000000	FANGST GP	GROUP	38	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3648.000000	3723.000000	GARN FM	FORMATION	48	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	1889.000000	2022.000000	HORDALAND GP	GROUP	67	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3742.000000	3774.000000	ILE FM	FORMATION	70	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	1394.000000	1889.000000	KAI FM	FORMATION	77	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	2556.000000	2754.000000	KVITNOS FM	FORMATION	91	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	2757.000000	3327.000000	LANGE FM	FORMATION	94	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3327.000000	3339.000000	LYR FM	FORMATION	98	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	2754.000000	2757.000000	LYSING FM	FORMATION	99	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3372.000000	3648.000000	MELKE FM	FORMATION	105	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	393.000000	1394.000000	NAUST FM	FORMATION	109	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	2181.000000	2556.000000	NISE FM	FORMATION	112	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	393.000000	1889.000000	NORDLAND GP	GROUP	113	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3723.000000	3742.000000	NOT FM	FORMATION	120	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	2022.000000	2107.000000	ROGALAND GP	GROUP	131	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3774.000000	3831.000000	ROR FM	FORMATION	135	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	2107.000000	2754.000000	SHETLAND GP	GROUP	143	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3339.000000	3372.000000	SPEKK FM	FORMATION	155	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	2107.000000	2181.000000	SPRINGAR FM	FORMATION	156	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	2063.000000	2107.000000	TANG FM	FORMATION	161	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	2022.000000	2063.000000	TARE FM	FORMATION	163	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3831.000000	3925.000000	TILJE FM	FORMATION	169	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3339.000000	3648.000000	VIKING GP	GROUP	188	2002-02-14	4428	9999-12-31	2013-05-08
6507/5-5	3925.000000	3948.000000	ÅRE FM	FORMATION	197	2002-02-14	4428	9999-12-31	2013-05-08
2/5-12	2941.000000	2962.000000	BALDER FM	FORMATION	6	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3691.000000	3700.000000	CROMER KNOLL GP	GROUP	23	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3095.000000	3216.000000	EKOFISK FM	FORMATION	33	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3703.000000	4153.000000	FARSUND FM	FORMATION	39	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3527.000000	3691.000000	HOD FM	FORMATION	66	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	1737.000000	2941.000000	HORDALAND GP	GROUP	67	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	2986.000000	3066.000000	LISTA FM	FORMATION	95	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3700.000000	3703.000000	MANDAL FM	FORMATION	101	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	209.000000	251.000000	NO FORMAL NAME	FORMATION	111	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	251.000000	265.000000	NO FORMAL NAME	FORMATION	111	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	265.000000	327.000000	NO FORMAL NAME	FORMATION	111	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	327.000000	338.000000	NO FORMAL NAME	FORMATION	111	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	338.000000	475.000000	NO FORMAL NAME	FORMATION	111	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	475.000000	570.000000	NO FORMAL NAME	FORMATION	111	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	570.000000	687.000000	NO FORMAL NAME	FORMATION	111	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	687.000000	1737.000000	NO FORMAL NAME	FORMATION	111	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	98.000000	1737.000000	NORDLAND GP	GROUP	113	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	2941.000000	3095.000000	ROGALAND GP	GROUP	131	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	2962.000000	2986.000000	SELE FM	FORMATION	142	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3095.000000	3691.000000	SHETLAND GP	GROUP	143	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3216.000000	3527.000000	TOR FM	FORMATION	171	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3700.000000	4153.000000	TYNE GP	GROUP	177	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3087.000000	3091.000000	VIDAR FM	FORMATION	187	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3066.000000	3087.000000	VÅLE FM	FORMATION	190	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3091.000000	3095.000000	VÅLE FM	FORMATION	190	2002-02-22	4433	9999-12-31	2013-05-08
2/5-12	3691.000000	3700.000000	ÅSGARD FM	FORMATION	198	2002-02-22	4433	9999-12-31	2013-05-08
25/8-13	1833.000000	1915.000000	BALDER FM	FORMATION	6	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	2210.000000	2237.000000	DUNLIN GP	GROUP	29	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	2183.000000	2188.000000	HEATHER FM	FORMATION	60	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	656.000000	1833.000000	HORDALAND GP	GROUP	67	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	1977.000000	2073.000000	LISTA FM	FORMATION	95	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	582.000000	656.000000	NO FORMAL NAME	FORMATION	111	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	970.000000	1833.000000	NO FORMAL NAME	FORMATION	111	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	146.000000	656.000000	NORDLAND GP	GROUP	113	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	1833.000000	2183.000000	ROGALAND GP	GROUP	131	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	1915.000000	1977.000000	SELE FM	FORMATION	142	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	656.000000	970.000000	SKADE FM	FORMATION	145	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	2237.000000	2276.000000	STATFJORD FM	FORMATION	157	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	2099.000000	2183.000000	TY FM	FORMATION	176	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	499.000000	582.000000	UTSIRA FM	FORMATION	183	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	2188.000000	2210.000000	VESTLAND GP	GROUP	186	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	2183.000000	2188.000000	VIKING GP	GROUP	188	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	2073.000000	2099.000000	VÅLE FM	FORMATION	190	2001-11-20	4438	9999-12-31	2013-05-08
25/8-13	2237.000000	2276.000000	NO GROUP DEFINED	GROUP	208	2001-11-20	4438	9999-12-31	2013-05-08
6608/10-8	1560.000000	1778.000000	BRYGGE FM	FORMATION	18	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2391.000000	2652.000000	BÅT GP	GROUP	22	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2088.000000	2222.000000	CROMER KNOLL GP	GROUP	23	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2348.000000	2391.000000	FANGST GP	GROUP	38	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	1560.000000	1778.000000	HORDALAND GP	GROUP	67	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2389.000000	2391.000000	ILE FM	FORMATION	70	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	1418.000000	1560.000000	KAI FM	FORMATION	77	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2088.000000	2222.000000	LYR FM	FORMATION	98	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2294.000000	2341.000000	INTRA MELKE FM SS	FORMATION	104	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2224.000000	2294.000000	MELKE FM	FORMATION	105	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2341.000000	2348.000000	MELKE FM	FORMATION	105	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	400.000000	1418.000000	NAUST FM	FORMATION	109	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	400.000000	1560.000000	NORDLAND GP	GROUP	113	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2348.000000	2389.000000	NOT FM	FORMATION	120	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	1778.000000	1894.000000	ROGALAND GP	GROUP	131	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	1894.000000	2088.000000	SHETLAND GP	GROUP	143	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2222.000000	2224.000000	SPEKK FM	FORMATION	155	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	1894.000000	2088.000000	SPRINGAR FM	FORMATION	156	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	1863.000000	1894.000000	TANG FM	FORMATION	161	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	1778.000000	1863.000000	TARE FM	FORMATION	163	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2391.000000	2403.000000	TILJE FM	FORMATION	169	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2222.000000	2348.000000	VIKING GP	GROUP	188	2002-04-12	4439	9999-12-31	2013-05-08
6608/10-8	2403.000000	2652.000000	ÅRE FM	FORMATION	197	2002-04-12	4439	9999-12-31	2013-05-08
6305/4-1	1701.000000	2394.000000	BRYGGE FM	FORMATION	18	2002-06-03	4441	9999-12-31	2013-05-08
6305/4-1	2769.000000	2829.000000	EGGA FM (INFORMAL)	FORMATION	31	2002-06-03	4441	9999-12-31	2013-05-08
6305/4-1	1701.000000	2394.000000	HORDALAND GP	GROUP	67	2002-06-03	4441	9999-12-31	2013-05-08
6305/4-1	1662.000000	1701.000000	KAI FM	FORMATION	77	2002-06-03	4441	9999-12-31	2013-05-08
6305/4-1	1027.000000	1662.000000	NAUST FM	FORMATION	109	2002-06-03	4441	9999-12-31	2013-05-08
6305/4-1	1027.000000	1701.000000	NORDLAND GP	GROUP	113	2002-06-03	4441	9999-12-31	2013-05-08
6305/4-1	2394.000000	2829.000000	ROGALAND GP	GROUP	131	2002-06-03	4441	9999-12-31	2013-05-08
6305/4-1	2829.000000	2975.000000	SHETLAND GP	GROUP	143	2002-06-03	4441	9999-12-31	2013-05-08
6305/4-1	2829.000000	2975.000000	SPRINGAR FM	FORMATION	156	2002-06-03	4441	9999-12-31	2013-05-08
6305/4-1	2529.000000	2769.000000	TANG FM	FORMATION	161	2002-06-03	4441	9999-12-31	2013-05-08
6305/4-1	2394.000000	2529.000000	TARE FM	FORMATION	163	2002-06-03	4441	9999-12-31	2013-05-08
34/10-45 S	2394.000000	2757.000000	BALDER FM	FORMATION	6	2002-01-12	4450	9999-12-31	2013-05-08
34/10-45 S	7486.000000	7496.000000	DRAUPNE FM	FORMATION	28	2002-01-12	4450	9999-12-31	2013-05-08
34/10-45 S	7496.000000	7594.000000	HEATHER FM	FORMATION	60	2002-01-12	4450	9999-12-31	2013-05-08
34/10-45 S	1910.000000	2394.000000	HORDALAND GP	GROUP	67	2002-01-12	4450	9999-12-31	2013-05-08
34/10-45 S	2757.000000	3664.000000	LISTA FM	FORMATION	95	2002-01-12	4450	9999-12-31	2013-05-08
34/10-45 S	6130.000000	7015.000000	NO FORMAL NAME	FORMATION	111	2002-01-12	4450	9999-12-31	2013-05-08
34/10-45 S	7015.000000	7035.000000	NO FORMAL NAME	FORMATION	111	2002-01-12	4450	9999-12-31	2013-05-08
34/10-45 S	223.000000	1910.000000	NORDLAND GP	GROUP	113	2002-01-12	4450	9999-12-31	2013-05-08
34/10-45 S	2394.000000	3664.000000	ROGALAND GP	GROUP	131	2002-01-12	4450	9999-12-31	2013-05-08
34/10-45 S	3664.000000	7035.000000	SHETLAND GP	GROUP	143	2002-01-12	4450	9999-12-31	2013-05-08
34/10-45 S	7035.000000	7486.000000	SHETLAND GP	GROUP	143	2002-01-12	4450	9999-12-31	2013-05-08
34/10-45 S	7486.000000	7594.000000	VIKING GP	GROUP	188	2002-01-12	4450	9999-12-31	2013-05-08
6406/5-1	1910.000000	2459.000000	BRYGGE FM	FORMATION	18	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4443.000000	4692.000000	BÅT GP	GROUP	22	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	3377.000000	4072.000000	CROMER KNOLL GP	GROUP	23	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4205.000000	4443.000000	FANGST GP	GROUP	38	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4205.000000	4272.000000	GARN FM	FORMATION	48	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	1910.000000	2459.000000	HORDALAND GP	GROUP	67	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4335.000000	4443.000000	ILE FM	FORMATION	70	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	1452.000000	1910.000000	KAI FM	FORMATION	77	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	2872.000000	3377.000000	KVITNOS FM	FORMATION	91	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	3385.000000	4060.000000	LANGE FM	FORMATION	94	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4060.000000	4072.000000	LYR FM	FORMATION	98	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	3377.000000	3385.000000	LYSING FM	FORMATION	99	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4077.000000	4205.000000	MELKE FM	FORMATION	105	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	2693.000000	2872.000000	NISE FM	FORMATION	112	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	312.000000	1910.000000	NORDLAND GP	GROUP	113	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4272.000000	4335.000000	NOT FM	FORMATION	120	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	2459.000000	2584.000000	ROGALAND GP	GROUP	131	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4443.000000	4487.000000	ROR FM	FORMATION	135	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4580.000000	4628.000000	ROR FM	FORMATION	135	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	2584.000000	3377.000000	SHETLAND GP	GROUP	143	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4072.000000	4077.000000	SPEKK FM	FORMATION	155	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	2584.000000	2693.000000	SPRINGAR FM	FORMATION	156	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	2459.000000	2584.000000	TARE FM	FORMATION	163	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4628.000000	4692.000000	TILJE FM	FORMATION	169	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4487.000000	4580.000000	TOFTE FM	FORMATION	170	2002-04-30	4451	9999-12-31	2013-05-08
6406/5-1	4072.000000	4205.000000	VIKING GP	GROUP	188	2002-04-30	4451	9999-12-31	2013-05-08
30/3-7 BR	4439.000000	4611.000000	AMUNDSEN FM	FORMATION	4	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	2670.000000	2804.000000	BALDER FM	FORMATION	6	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4272.000000	4350.000000	BRENT GP	GROUP	16	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5124.000000	5352.000000	BRENT GP	GROUP	16	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5514.000000	5777.000000	BRENT GP	GROUP	16	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4378.000000	4439.000000	COOK FM	FORMATION	24	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5897.000000	5970.000000	COOK FM	FORMATION	24	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4350.000000	4378.000000	DRAKE FM	FORMATION	27	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4948.000000	5124.000000	DRAKE FM	FORMATION	27	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5777.000000	5897.000000	DRAKE FM	FORMATION	27	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4350.000000	4611.000000	DUNLIN GP	GROUP	29	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4948.000000	5124.000000	DUNLIN GP	GROUP	29	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5777.000000	5970.000000	DUNLIN GP	GROUP	29	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5202.000000	5229.000000	ETIVE FM	FORMATION	35	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5674.000000	5693.000000	ETIVE FM	FORMATION	35	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4261.000000	4272.000000	HEATHER FM	FORMATION	60	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5352.000000	5514.000000	HEATHER FM	FORMATION	60	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	963.000000	2670.000000	HORDALAND GP	GROUP	67	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	3116.000000	3437.000000	JORSALFARE FM	FORMATION	74	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	3437.000000	3693.000000	KYRRE FM	FORMATION	92	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	2844.000000	3116.000000	LISTA FM	FORMATION	95	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4272.000000	4304.000000	NESS FM	FORMATION	110	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5124.000000	5202.000000	NESS FM	FORMATION	110	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5326.000000	5352.000000	NESS FM	FORMATION	110	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5593.000000	5674.000000	NESS FM	FORMATION	110	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	231.000000	963.000000	NORDLAND GP	GROUP	113	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4304.000000	4350.000000	OSEBERG FM	FORMATION	123	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5259.000000	5326.000000	OSEBERG FM	FORMATION	123	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5693.000000	5777.000000	OSEBERG FM	FORMATION	123	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5229.000000	5259.000000	RANNOCH FM	FORMATION	126	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	2670.000000	3116.000000	ROGALAND GP	GROUP	131	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	2804.000000	2844.000000	SELE FM	FORMATION	142	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	3116.000000	4261.000000	SHETLAND GP	GROUP	143	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4611.000000	4948.000000	STATFJORD FM	FORMATION	157	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5514.000000	5593.000000	TARBERT FM	FORMATION	162	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	3693.000000	4261.000000	TRYGGVASON FM	FORMATION	173	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	783.000000	963.000000	UTSIRA FM	FORMATION	183	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4261.000000	4272.000000	VIKING GP	GROUP	188	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	5352.000000	5514.000000	VIKING GP	GROUP	188	2001-11-17	4453	9999-12-31	2013-05-08
30/3-7 BR	4611.000000	4948.000000	NO GROUP DEFINED	GROUP	208	2001-11-17	4453	9999-12-31	2013-05-08
30/3-4 R	3130.000000	3234.000000	AMUNDSEN FM	FORMATION	4	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	1983.000000	2069.000000	BALDER FM	FORMATION	6	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2828.000000	2951.000000	BRENT GP	GROUP	16	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2777.000000	2794.000000	CROMER KNOLL GP	GROUP	23	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	3081.000000	3130.000000	COOK FM	FORMATION	24	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2951.000000	3081.000000	DRAKE FM	FORMATION	27	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2951.000000	3234.000000	DUNLIN GP	GROUP	29	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2875.000000	2951.000000	ETIVE FM	FORMATION	35	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	1352.000000	1363.000000	GRID FM	FORMATION	53	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	1455.000000	1520.000000	GRID FM	FORMATION	53	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2794.000000	2828.000000	HEATHER FM	FORMATION	60	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	905.000000	1983.000000	HORDALAND GP	GROUP	67	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2277.000000	2493.000000	JORSALFARE FM	FORMATION	74	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2493.000000	2777.000000	KYRRE FM	FORMATION	92	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2106.000000	2269.000000	LISTA FM	FORMATION	95	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2828.000000	2875.000000	NESS FM	FORMATION	110	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	1363.000000	1455.000000	NO FORMAL NAME	FORMATION	111	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	1520.000000	1983.000000	NO FORMAL NAME	FORMATION	111	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	189.000000	905.000000	NORDLAND GP	GROUP	113	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	1983.000000	2277.000000	ROGALAND GP	GROUP	131	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2069.000000	2106.000000	SELE FM	FORMATION	142	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2277.000000	2777.000000	SHETLAND GP	GROUP	143	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	3234.000000	3287.000000	STATFJORD FM	FORMATION	157	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	733.000000	905.000000	UTSIRA FM	FORMATION	183	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2794.000000	2828.000000	VIKING GP	GROUP	188	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	2269.000000	2277.000000	VÅLE FM	FORMATION	190	2001-11-18	4454	9999-12-31	2013-05-08
30/3-4 R	3234.000000	3287.000000	NO GROUP DEFINED	GROUP	208	2001-11-18	4454	9999-12-31	2013-05-08
30/9-20 S	2075.000000	2132.000000	BALDER FM	FORMATION	6	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2806.000000	3072.000000	BRENT GP	GROUP	16	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2703.000000	2750.000000	CROMER KNOLL GP	GROUP	23	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	3072.000000	3124.000000	DRAKE FM	FORMATION	27	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2750.000000	2751.000000	DRAUPNE FM	FORMATION	28	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	3072.000000	3124.000000	DUNLIN GP	GROUP	29	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	1579.000000	1613.000000	GRID FM	FORMATION	53	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2361.000000	2588.000000	HARDRÅDE FM	FORMATION	56	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2751.000000	2806.000000	INTRA HEATHER FM SS	FORMATION	59	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	874.000000	2075.000000	HORDALAND GP	GROUP	67	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2588.000000	2629.000000	KYRRE FM	FORMATION	92	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2181.000000	2283.000000	LISTA FM	FORMATION	95	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2923.000000	3072.000000	NESS FM	FORMATION	110	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	590.000000	607.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	607.000000	665.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	843.000000	874.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	920.000000	960.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	991.000000	1215.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	1215.000000	1247.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	1247.000000	1300.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	1300.000000	1340.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	1340.000000	1436.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	1436.000000	1449.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	1449.000000	1579.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	1613.000000	2075.000000	NO FORMAL NAME	FORMATION	111	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	125.000000	874.000000	NORDLAND GP	GROUP	113	2002-02-11	4463	2013-01-08	2013-05-08
30/9-20 S	2075.000000	2361.000000	ROGALAND GP	GROUP	131	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2703.000000	2734.000000	RØDBY FM	FORMATION	137	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2132.000000	2181.000000	SELE FM	FORMATION	142	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2361.000000	2703.000000	SHETLAND GP	GROUP	143	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	902.000000	920.000000	SKADE FM	FORMATION	145	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	960.000000	991.000000	SKADE FM	FORMATION	145	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2629.000000	2703.000000	SVARTE FM	FORMATION	160	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2806.000000	2923.000000	TARBERT FM	FORMATION	162	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	665.000000	843.000000	UTSIRA FM	FORMATION	183	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2750.000000	2806.000000	VIKING GP	GROUP	188	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2283.000000	2361.000000	VÅLE FM	FORMATION	190	2002-02-11	4463	9999-12-31	2013-05-08
30/9-20 S	2734.000000	2750.000000	ÅSGARD FM	FORMATION	198	2002-02-11	4463	9999-12-31	2013-05-08
6404/11-1	2223.000000	2526.000000	BRYGGE FM	FORMATION	18	2002-03-10	4465	9999-12-31	2013-05-08
6404/11-1	2223.000000	2526.000000	HORDALAND GP	GROUP	67	2002-03-10	4465	9999-12-31	2013-05-08
6404/11-1	1520.000000	2223.000000	NAUST FM	FORMATION	109	2002-03-10	4465	9999-12-31	2013-05-08
6404/11-1	3206.000000	3650.000000	NISE FM	FORMATION	112	2002-03-10	4465	9999-12-31	2013-05-08
6404/11-1	1520.000000	2223.000000	NORDLAND GP	GROUP	113	2002-03-10	4465	9999-12-31	2013-05-08
6404/11-1	2526.000000	2748.000000	ROGALAND GP	GROUP	131	2002-03-10	4465	9999-12-31	2013-05-08
6404/11-1	2748.000000	3650.000000	SHETLAND GP	GROUP	143	2002-03-10	4465	9999-12-31	2013-05-08
6404/11-1	2748.000000	3206.000000	SPRINGAR FM	FORMATION	156	2002-03-10	4465	9999-12-31	2013-05-08
6404/11-1	2605.000000	2748.000000	TANG FM	FORMATION	161	2002-03-10	4465	9999-12-31	2013-05-08
6404/11-1	2526.000000	2605.000000	TARE FM	FORMATION	163	2002-03-10	4465	9999-12-31	2013-05-08
34/10-46 S	5273.000000	5428.000000	AMUNDSEN FM	FORMATION	4	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	2230.000000	2530.000000	BALDER FM	FORMATION	6	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	5245.000000	5273.000000	BRENT GP	GROUP	16	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	5273.000000	5428.000000	DUNLIN GP	GROUP	29	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	5207.000000	5245.000000	HEATHER FM	FORMATION	60	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	1728.000000	2230.000000	HORDALAND GP	GROUP	67	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	2530.000000	3251.000000	LISTA FM	FORMATION	95	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	216.000000	1728.000000	NORDLAND GP	GROUP	113	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	2230.000000	3251.000000	ROGALAND GP	GROUP	131	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	3251.000000	5207.000000	SHETLAND GP	GROUP	143	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	5428.000000	5568.000000	STATFJORD FM	FORMATION	157	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	5245.000000	5273.000000	TARBERT FM	FORMATION	162	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	5207.000000	5245.000000	VIKING GP	GROUP	188	2002-02-01	4489	9999-12-31	2013-05-08
34/10-46 S	5428.000000	5568.000000	NO GROUP DEFINED	GROUP	208	2002-02-01	4489	9999-12-31	2013-05-08
35/3-6	2955.000000	2958.000000	AGAT FM	FORMATION	2	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	1053.000000	1072.000000	BALDER FM	FORMATION	6	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	2771.000000	2786.000000	BLODØKS FM	FORMATION	13	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	2955.000000	3155.000000	CROMER KNOLL GP	GROUP	23	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	3155.000000	3335.000000	DRAUPNE FM	FORMATION	28	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	3335.000000	3366.000000	HEATHER FM	FORMATION	60	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	1128.000000	1145.000000	HEIMDAL FM	FORMATION	62	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	619.000000	1053.000000	HORDALAND GP	GROUP	67	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	1356.000000	1429.000000	JORSALFARE FM	FORMATION	74	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	1429.000000	2223.000000	KYRRE FM	FORMATION	92	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	1145.000000	1337.000000	LISTA FM	FORMATION	95	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	619.000000	826.000000	NO FORMAL NAME	FORMATION	111	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	826.000000	1053.000000	NO FORMAL NAME	FORMATION	111	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	248.000000	619.000000	NORDLAND GP	GROUP	113	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	1053.000000	1356.000000	ROGALAND GP	GROUP	131	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	2958.000000	2982.000000	RØDBY FM	FORMATION	137	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	1072.000000	1128.000000	SELE FM	FORMATION	142	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	1356.000000	2955.000000	SHETLAND GP	GROUP	143	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	2786.000000	2955.000000	SVARTE FM	FORMATION	160	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	2223.000000	2771.000000	TRYGGVASON FM	FORMATION	173	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	573.000000	619.000000	UTSIRA FM	FORMATION	183	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	3155.000000	3366.000000	VIKING GP	GROUP	188	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	1337.000000	1356.000000	VÅLE FM	FORMATION	190	2002-04-02	4492	9999-12-31	2013-05-08
35/3-6	2982.000000	3155.000000	ÅSGARD FM	FORMATION	198	2002-04-02	4492	9999-12-31	2013-05-08
33/12-8 S	3476.000000	3647.000000	AMUNDSEN FM	FORMATION	4	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	1807.000000	1885.000000	BALDER FM	FORMATION	6	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	2814.000000	3167.000000	BRENT GP	GROUP	16	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	3155.000000	3167.000000	BROOM FM	FORMATION	17	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	3429.000000	3476.000000	BURTON FM	FORMATION	20	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	3285.000000	3429.000000	COOK FM	FORMATION	24	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	3167.000000	3285.000000	DRAKE FM	FORMATION	27	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	2636.000000	2640.000000	DRAUPNE FM	FORMATION	28	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	3167.000000	3647.000000	DUNLIN GP	GROUP	29	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	3731.000000	3750.000000	EIRIKSSON MBR	MEMBER	32	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	3075.000000	3098.000000	ETIVE FM	FORMATION	35	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	2640.000000	2814.000000	HEATHER FM	FORMATION	60	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	931.000000	1807.000000	HORDALAND GP	GROUP	67	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	1885.000000	2030.000000	LISTA FM	FORMATION	95	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	3647.000000	3731.000000	NANSEN MBR	MEMBER	108	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	2906.000000	3075.000000	NESS FM	FORMATION	110	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	168.000000	931.000000	NORDLAND GP	GROUP	113	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	3098.000000	3155.000000	RANNOCH FM	FORMATION	126	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	1807.000000	2030.000000	ROGALAND GP	GROUP	131	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	2030.000000	2636.000000	SHETLAND GP	GROUP	143	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	3647.000000	3750.000000	STATFJORD FM	FORMATION	157	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	2814.000000	2906.000000	TARBERT FM	FORMATION	162	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	840.000000	931.000000	UTSIRA FM	FORMATION	183	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	2636.000000	2814.000000	VIKING GP	GROUP	188	2002-04-26	4493	9999-12-31	2013-05-08
33/12-8 S	3647.000000	3750.000000	NO GROUP DEFINED	GROUP	208	2002-04-26	4493	9999-12-31	2013-05-08
34/10-46 A	2230.000000	2530.000000	BALDER FM	FORMATION	6	2002-03-18	4500	9999-12-31	2013-05-08
34/10-46 A	6475.000000	6592.000000	BRENT GP	GROUP	16	2002-03-18	4500	9999-12-31	2013-05-08
34/10-46 A	6709.000000	6860.000000	BRENT GP	GROUP	16	2002-03-18	4500	9999-12-31	2013-05-08
34/10-46 A	1728.000000	2230.000000	HORDALAND GP	GROUP	67	2002-03-18	4500	9999-12-31	2013-05-08
34/10-46 A	2530.000000	3251.000000	LISTA FM	FORMATION	95	2002-03-18	4500	9999-12-31	2013-05-08
34/10-46 A	6344.000000	6475.000000	NO FORMAL NAME	FORMATION	111	2002-03-18	4500	9999-12-31	2013-05-08
34/10-46 A	216.000000	1728.000000	NORDLAND GP	GROUP	113	2002-03-18	4500	9999-12-31	2013-05-08
34/10-46 A	2230.000000	3251.000000	ROGALAND GP	GROUP	131	2002-03-18	4500	9999-12-31	2013-05-08
34/10-46 A	3251.000000	6475.000000	SHETLAND GP	GROUP	143	2002-03-18	4500	9999-12-31	2013-05-08
34/10-46 A	6592.000000	6709.000000	SHETLAND GP	GROUP	143	2002-03-18	4500	9999-12-31	2013-05-08
34/10-46 A	6475.000000	6592.000000	TARBERT FM	FORMATION	162	2002-03-18	4500	9999-12-31	2013-05-08
34/10-46 A	6709.000000	6860.000000	TARBERT FM	FORMATION	162	2002-03-18	4500	9999-12-31	2013-05-08
34/10-45 A	2394.000000	2757.000000	BALDER FM	FORMATION	6	2002-02-23	4501	9999-12-31	2013-05-08
34/10-45 A	6444.000000	6523.000000	HEATHER FM	FORMATION	60	2002-02-23	4501	9999-12-31	2013-05-08
34/10-45 A	1910.000000	2394.000000	HORDALAND GP	GROUP	67	2002-02-23	4501	9999-12-31	2013-05-08
34/10-45 A	2757.000000	3664.000000	LISTA FM	FORMATION	95	2002-02-23	4501	9999-12-31	2013-05-08
34/10-45 A	6372.000000	6444.000000	NO FORMAL NAME	FORMATION	111	2002-02-23	4501	9999-12-31	2013-05-08
34/10-45 A	223.000000	1910.000000	NORDLAND GP	GROUP	113	2002-02-23	4501	9999-12-31	2013-05-08
34/10-45 A	2394.000000	3664.000000	ROGALAND GP	GROUP	131	2002-02-23	4501	9999-12-31	2013-05-08
34/10-45 A	3664.000000	6444.000000	SHETLAND GP	GROUP	143	2002-02-23	4501	9999-12-31	2013-05-08
34/10-45 A	6444.000000	6523.000000	VIKING GP	GROUP	188	2002-02-23	4501	9999-12-31	2013-05-08
1/5-4 S	2903.000000	2935.000000	BALDER FM	FORMATION	6	2002-05-22	4521	9999-12-31	2013-05-08
1/5-4 S	2994.000000	3013.000000	EKOFISK FM	FORMATION	33	2002-05-22	4521	9999-12-31	2013-05-08
1/5-4 S	3063.000000	3077.000000	HOD FM	FORMATION	66	2002-05-22	4521	9999-12-31	2013-05-08
1/5-4 S	1718.000000	2903.000000	HORDALAND GP	GROUP	67	2002-05-22	4521	9999-12-31	2013-05-08
1/5-4 S	2942.000000	2978.000000	LISTA FM	FORMATION	95	2002-05-22	4521	9999-12-31	2013-05-08
1/5-4 S	93.000000	1718.000000	NORDLAND GP	GROUP	113	2002-05-22	4521	9999-12-31	2013-05-08
1/5-4 S	2903.000000	2994.000000	ROGALAND GP	GROUP	131	2002-05-22	4521	9999-12-31	2013-05-08
1/5-4 S	2935.000000	2942.000000	SELE FM	FORMATION	142	2002-05-22	4521	9999-12-31	2013-05-08
1/5-4 S	2994.000000	3077.000000	SHETLAND GP	GROUP	143	2002-05-22	4521	9999-12-31	2013-05-08
1/5-4 S	3013.000000	3063.000000	TOR FM	FORMATION	171	2002-05-22	4521	9999-12-31	2013-05-08
1/5-4 S	2978.000000	2994.000000	VÅLE FM	FORMATION	190	2002-05-22	4521	9999-12-31	2013-05-08
1/5-4 S	3077.000000	3090.000000	ZECHSTEIN GP	GROUP	194	2002-05-22	4521	9999-12-31	2013-05-08
34/10-46 B	2230.000000	2530.000000	BALDER FM	FORMATION	6	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	6522.000000	6592.000000	BRENT GP	GROUP	16	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	7074.000000	7206.000000	HEATHER FM	FORMATION	60	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	1728.000000	2230.000000	HORDALAND GP	GROUP	67	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	2530.000000	3251.000000	LISTA FM	FORMATION	95	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	6344.000000	6394.000000	NO FORMAL NAME	FORMATION	111	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	6394.000000	6522.000000	NO FORMAL NAME	FORMATION	111	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	216.000000	1728.000000	NORDLAND GP	GROUP	113	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	2230.000000	3251.000000	ROGALAND GP	GROUP	131	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	3251.000000	6522.000000	SHETLAND GP	GROUP	143	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	6592.000000	7074.000000	SHETLAND GP	GROUP	143	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	7206.000000	7725.000000	SHETLAND GP	GROUP	143	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	6522.000000	6592.000000	TARBERT FM	FORMATION	162	2002-05-12	4527	9999-12-31	2013-05-08
34/10-46 B	7074.000000	7206.000000	VIKING GP	GROUP	188	2002-05-12	4527	9999-12-31	2013-05-08
6608/10-8 A	1560.000000	1791.000000	BRYGGE FM	FORMATION	18	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2615.000000	2660.000000	BÅT GP	GROUP	22	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2108.000000	2323.000000	CROMER KNOLL GP	GROUP	23	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2531.000000	2615.000000	FANGST GP	GROUP	38	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	1560.000000	1791.000000	HORDALAND GP	GROUP	67	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2612.000000	2615.000000	ILE FM	FORMATION	70	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	1418.000000	1560.000000	KAI FM	FORMATION	77	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2108.000000	2323.000000	LYR FM	FORMATION	98	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2434.000000	2520.000000	INTRA MELKE FM SS	FORMATION	104	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2345.000000	2434.000000	MELKE FM	FORMATION	105	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2520.000000	2531.000000	MELKE FM	FORMATION	105	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	400.000000	1418.000000	NAUST FM	FORMATION	109	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	400.000000	1560.000000	NORDLAND GP	GROUP	113	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2536.000000	2612.000000	NOT FM	FORMATION	120	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	1791.000000	1908.000000	ROGALAND GP	GROUP	131	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	1908.000000	2108.000000	SHETLAND GP	GROUP	143	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2323.000000	2345.000000	SPEKK FM	FORMATION	155	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	1908.000000	2108.000000	SPRINGAR FM	FORMATION	156	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	1875.000000	1908.000000	TANG FM	FORMATION	161	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	1791.000000	1875.000000	TARE FM	FORMATION	163	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2615.000000	2660.000000	TILJE FM	FORMATION	169	2002-04-26	4530	9999-12-31	2013-05-08
6608/10-8 A	2323.000000	2531.000000	VIKING GP	GROUP	188	2002-04-26	4530	9999-12-31	2013-05-08
33/12-8 A	1807.000000	1885.000000	BALDER FM	FORMATION	6	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	2866.000000	3630.000000	BRENT GP	GROUP	16	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	3902.000000	4167.000000	BRENT GP	GROUP	16	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	4554.000000	5098.000000	BRENT GP	GROUP	16	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	5041.000000	5075.000000	ETIVE FM	FORMATION	35	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	2649.000000	2866.000000	HEATHER FM	FORMATION	60	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	3630.000000	3902.000000	HEATHER FM	FORMATION	60	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	4167.000000	4554.000000	HEATHER FM	FORMATION	60	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	931.000000	1807.000000	HORDALAND GP	GROUP	67	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	1885.000000	2030.000000	LISTA FM	FORMATION	95	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	3127.000000	3182.000000	NESS FM	FORMATION	110	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	4770.000000	5041.000000	NESS FM	FORMATION	110	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	168.000000	931.000000	NORDLAND GP	GROUP	113	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	5075.000000	5098.000000	RANNOCH FM	FORMATION	126	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	1807.000000	2030.000000	ROGALAND GP	GROUP	131	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	2030.000000	2649.000000	SHETLAND GP	GROUP	143	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	2866.000000	3127.000000	TARBERT FM	FORMATION	162	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	3182.000000	3630.000000	TARBERT FM	FORMATION	162	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	3902.000000	4167.000000	TARBERT FM	FORMATION	162	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	4554.000000	4770.000000	TARBERT FM	FORMATION	162	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	840.000000	931.000000	UTSIRA FM	FORMATION	183	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	2649.000000	2866.000000	VIKING GP	GROUP	188	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	3630.000000	3902.000000	VIKING GP	GROUP	188	2002-05-16	4532	9999-12-31	2013-05-08
33/12-8 A	4167.000000	4554.000000	VIKING GP	GROUP	188	2002-05-16	4532	9999-12-31	2013-05-08
35/1-1	4180.000000	4264.000000	AMUNDSEN FM	FORMATION	4	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	2020.000000	2042.000000	BALDER FM	FORMATION	6	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	3726.000000	3736.000000	BLODØKS FM	FORMATION	13	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	4087.000000	4124.000000	BURTON FM	FORMATION	20	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	3736.000000	3742.000000	CROMER KNOLL GP	GROUP	23	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	3970.000000	4087.000000	COOK FM	FORMATION	24	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	3813.000000	3970.000000	DRAKE FM	FORMATION	27	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	3813.000000	4264.000000	DUNLIN GP	GROUP	29	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	3742.000000	3813.000000	HEATHER FM	FORMATION	60	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	4476.000000	4540.000000	HEGRE GP	GROUP	61	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	1581.000000	2020.000000	HORDALAND GP	GROUP	67	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	4124.000000	4180.000000	JOHANSEN FM	FORMATION	73	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	2153.000000	2280.000000	JORSALFARE FM	FORMATION	74	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	2280.000000	3301.000000	KYRRE FM	FORMATION	92	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	2050.000000	2147.000000	LISTA FM	FORMATION	95	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	4476.000000	4540.000000	LUNDE FM	FORMATION	97	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	3736.000000	3742.000000	MIME FM	FORMATION	106	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	431.000000	1581.000000	NORDLAND GP	GROUP	113	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	2020.000000	2153.000000	ROGALAND GP	GROUP	131	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	2042.000000	2050.000000	SELE FM	FORMATION	142	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	2153.000000	3736.000000	SHETLAND GP	GROUP	143	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	4264.000000	4476.000000	STATFJORD FM	FORMATION	157	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	3301.000000	3726.000000	TRYGGVASON FM	FORMATION	173	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	3742.000000	3813.000000	VIKING GP	GROUP	188	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	2147.000000	2153.000000	VÅLE FM	FORMATION	190	2002-07-18	4541	9999-12-31	2013-05-08
35/1-1	4264.000000	4476.000000	NO GROUP DEFINED	GROUP	208	2002-07-18	4541	9999-12-31	2013-05-08
34/6-1 S	3941.000000	4199.000000	AMUNDSEN FM	FORMATION	4	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	1878.000000	1900.000000	BALDER FM	FORMATION	6	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3470.000000	3659.000000	BRENT GP	GROUP	16	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3932.000000	3941.000000	BURTON FM	FORMATION	20	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3378.000000	3412.000000	CROMER KNOLL GP	GROUP	23	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3807.000000	3932.000000	COOK FM	FORMATION	24	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3659.000000	3807.000000	DRAKE FM	FORMATION	27	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3412.000000	3419.000000	DRAUPNE FM	FORMATION	28	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3659.000000	4199.000000	DUNLIN GP	GROUP	29	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3512.000000	3583.000000	ETIVE FM	FORMATION	35	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3419.000000	3470.000000	HEATHER FM	FORMATION	60	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	4313.000000	4360.000000	HEGRE GP	GROUP	61	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	1350.000000	1878.000000	HORDALAND GP	GROUP	67	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	2053.000000	2300.000000	JORSALFARE FM	FORMATION	74	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	2300.000000	3240.000000	KYRRE FM	FORMATION	92	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	1911.000000	2043.000000	LISTA FM	FORMATION	95	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	4313.000000	4360.000000	LUNDE FM	FORMATION	97	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3476.000000	3512.000000	NESS FM	FORMATION	110	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	407.000000	1350.000000	NORDLAND GP	GROUP	113	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3583.000000	3659.000000	RANNOCH FM	FORMATION	126	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	1878.000000	2053.000000	ROGALAND GP	GROUP	131	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	1900.000000	1911.000000	SELE FM	FORMATION	142	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	2053.000000	3378.000000	SHETLAND GP	GROUP	143	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	4199.000000	4313.000000	STATFJORD FM	FORMATION	157	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3470.000000	3476.000000	TARBERT FM	FORMATION	162	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3240.000000	3378.000000	TRYGGVASON FM	FORMATION	173	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	3412.000000	3470.000000	VIKING GP	GROUP	188	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	2043.000000	2053.000000	VÅLE FM	FORMATION	190	2002-08-28	4561	9999-12-31	2013-05-08
34/6-1 S	4199.000000	4313.000000	NO GROUP DEFINED	GROUP	208	2002-08-28	4561	9999-12-31	2013-05-08
30/9-12 AR	2092.000000	2181.000000	BALDER FM	FORMATION	6	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2873.000000	3011.000000	BRENT GP	GROUP	16	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2642.000000	2696.000000	CROMER KNOLL GP	GROUP	23	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	3011.000000	3065.000000	DRAKE FM	FORMATION	27	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2696.000000	2738.000000	DRAUPNE FM	FORMATION	28	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	3011.000000	3065.000000	DUNLIN GP	GROUP	29	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	1357.000000	1389.000000	GRID FM	FORMATION	53	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2426.000000	2642.000000	HARDRÅDE FM	FORMATION	56	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2769.000000	2785.000000	INTRA HEATHER FM SS	FORMATION	59	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2738.000000	2769.000000	HEATHER FM	FORMATION	60	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2785.000000	2873.000000	HEATHER FM	FORMATION	60	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	846.000000	2092.000000	HORDALAND GP	GROUP	67	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2343.000000	2421.000000	LISTA FM	FORMATION	95	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2680.000000	2695.000000	MIME FM	FORMATION	106	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2891.000000	2967.000000	NESS FM	FORMATION	110	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	1016.000000	1357.000000	NO FORMAL NAME	FORMATION	111	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	1389.000000	2092.000000	NO FORMAL NAME	FORMATION	111	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	133.000000	846.000000	NORDLAND GP	GROUP	113	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2092.000000	2426.000000	ROGALAND GP	GROUP	131	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2642.000000	2679.000000	RØDBY FM	FORMATION	137	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2181.000000	2343.000000	SELE FM	FORMATION	142	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2426.000000	2642.000000	SHETLAND GP	GROUP	143	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	984.000000	1016.000000	SKADE FM	FORMATION	145	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2679.000000	2680.000000	SOLA FM	FORMATION	152	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2873.000000	2891.000000	TARBERT FM	FORMATION	162	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2967.000000	3011.000000	UNDIFFERENTIATED	FORMATION	182	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	650.000000	846.000000	UTSIRA FM	FORMATION	183	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2696.000000	2873.000000	VIKING GP	GROUP	188	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2421.000000	2426.000000	VÅLE FM	FORMATION	190	2002-07-11	4584	9999-12-31	2013-05-08
30/9-12 AR	2695.000000	2696.000000	ÅSGARD FM	FORMATION	198	2002-07-11	4584	9999-12-31	2013-05-08
30/9-13 SR	3830.000000	3980.000000	AMUNDSEN FM	FORMATION	4	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2203.000000	2268.000000	BALDER FM	FORMATION	6	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	3028.000000	3456.000000	BRENT GP	GROUP	16	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2906.000000	2948.000000	CROMER KNOLL GP	GROUP	23	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	3762.000000	3830.000000	COOK FM	FORMATION	24	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	3456.000000	3762.000000	DRAKE FM	FORMATION	27	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	3456.000000	3980.000000	DUNLIN GP	GROUP	29	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	1164.000000	1421.000000	GRID FM	FORMATION	53	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	1519.000000	1539.000000	GRID FM	FORMATION	53	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	1688.000000	1707.000000	GRID FM	FORMATION	53	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2497.000000	2799.000000	HARDRÅDE FM	FORMATION	56	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2963.000000	3028.000000	INTRA HEATHER FM SS	FORMATION	59	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2948.000000	2963.000000	HEATHER FM	FORMATION	60	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	896.000000	2203.000000	HORDALAND GP	GROUP	67	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2799.000000	2906.000000	KYRRE FM	FORMATION	92	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2338.000000	2484.000000	LISTA FM	FORMATION	95	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2935.000000	2947.000000	MIME FM	FORMATION	106	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	3198.000000	3441.000000	NESS FM	FORMATION	110	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	983.000000	1164.000000	NO FORMAL NAME	FORMATION	111	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	1421.000000	1519.000000	NO FORMAL NAME	FORMATION	111	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	1539.000000	1688.000000	NO FORMAL NAME	FORMATION	111	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	1707.000000	2203.000000	NO FORMAL NAME	FORMATION	111	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	135.000000	896.000000	NORDLAND GP	GROUP	113	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	3448.000000	3456.000000	OSEBERG FM	FORMATION	123	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2203.000000	2497.000000	ROGALAND GP	GROUP	131	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2906.000000	2930.000000	RØDBY FM	FORMATION	137	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2268.000000	2338.000000	SELE FM	FORMATION	142	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2497.000000	2906.000000	SHETLAND GP	GROUP	143	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	954.000000	983.000000	SKADE FM	FORMATION	145	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2930.000000	2935.000000	SOLA FM	FORMATION	152	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	3980.000000	4031.000000	STATFJORD FM	FORMATION	157	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	3028.000000	3198.000000	TARBERT FM	FORMATION	162	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	3441.000000	3448.000000	UNDIFFERENTIATED	FORMATION	182	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	581.000000	896.000000	UTSIRA FM	FORMATION	183	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2948.000000	3028.000000	VIKING GP	GROUP	188	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2484.000000	2497.000000	VÅLE FM	FORMATION	190	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	2947.000000	2948.000000	ÅSGARD FM	FORMATION	198	2002-07-17	4586	9999-12-31	2013-05-08
30/9-13 SR	3980.000000	4031.000000	NO GROUP DEFINED	GROUP	208	2002-07-17	4586	9999-12-31	2013-05-08
6406/3-6	1865.000000	2235.000000	BRYGGE FM	FORMATION	18	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3889.000000	4175.000000	BÅT GP	GROUP	22	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3095.000000	3577.000000	CROMER KNOLL GP	GROUP	23	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3650.000000	3889.000000	FANGST GP	GROUP	38	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3650.000000	3767.000000	GARN FM	FORMATION	48	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	1865.000000	2235.000000	HORDALAND GP	GROUP	67	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3805.000000	3889.000000	ILE FM	FORMATION	70	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	1421.000000	1865.000000	KAI FM	FORMATION	77	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	2806.000000	3095.000000	KVITNOS FM	FORMATION	91	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3124.000000	3548.000000	LANGE FM	FORMATION	94	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3548.000000	3577.000000	LYR FM	FORMATION	98	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3095.000000	3124.000000	LYSING FM	FORMATION	99	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3594.000000	3650.000000	MELKE FM	FORMATION	105	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	297.000000	1421.000000	NAUST FM	FORMATION	109	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	2490.000000	2806.000000	NISE FM	FORMATION	112	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	297.000000	1865.000000	NORDLAND GP	GROUP	113	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3767.000000	3805.000000	NOT FM	FORMATION	120	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	2235.000000	2371.000000	ROGALAND GP	GROUP	131	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3889.000000	4041.000000	ROR FM	FORMATION	135	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	2371.000000	3095.000000	SHETLAND GP	GROUP	143	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3577.000000	3594.000000	SPEKK FM	FORMATION	155	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	2371.000000	2490.000000	SPRINGAR FM	FORMATION	156	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	2304.000000	2371.000000	TANG FM	FORMATION	161	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	2235.000000	2304.000000	TARE FM	FORMATION	163	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	4041.000000	4175.000000	TILJE FM	FORMATION	169	2002-11-15	4589	9999-12-31	2013-05-08
6406/3-6	3577.000000	3650.000000	VIKING GP	GROUP	188	2002-11-15	4589	9999-12-31	2013-05-08
31/5-5 R	1302.000000	1382.000000	BALDER FM	FORMATION	6	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	1561.000000	1579.000000	CROMER KNOLL GP	GROUP	23	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	1732.000000	1862.000000	FENSFJORD FM	FORMATION	40	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	1667.000000	1732.000000	HEATHER FM	FORMATION	60	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	748.000000	1302.000000	HORDALAND GP	GROUP	67	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	1862.000000	1937.000000	KROSSFJORD FM	FORMATION	87	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	1411.000000	1536.000000	LISTA FM	FORMATION	95	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	354.000000	748.000000	NORDLAND GP	GROUP	113	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	1302.000000	1536.000000	ROGALAND GP	GROUP	131	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	1382.000000	1411.000000	SELE FM	FORMATION	142	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	1536.000000	1561.000000	SHETLAND GP	GROUP	143	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	1579.000000	1667.000000	SOGNEFJORD FM	FORMATION	151	2002-07-27	4593	9999-12-31	2013-05-08
31/5-5 R	1579.000000	1937.000000	VIKING GP	GROUP	188	2002-07-27	4593	9999-12-31	2013-05-08
6403/10-1	2015.000000	2250.000000	BRYGGE FM	FORMATION	18	2002-12-30	4602	9999-12-31	2013-05-08
6403/10-1	2015.000000	2250.000000	HORDALAND GP	GROUP	67	2002-12-30	4602	9999-12-31	2013-05-08
6403/10-1	1904.000000	2015.000000	KAI FM	FORMATION	77	2002-12-30	4602	9999-12-31	2013-05-08
6403/10-1	3098.000000	3398.000000	KVITNOS FM	FORMATION	91	2002-12-30	4602	9999-12-31	2013-05-08
6403/10-1	1742.000000	1904.000000	NAUST FM	FORMATION	109	2002-12-30	4602	9999-12-31	2013-05-08
6403/10-1	2825.000000	3098.000000	NISE FM	FORMATION	112	2002-12-30	4602	9999-12-31	2013-05-08
6403/10-1	1742.000000	2015.000000	NORDLAND GP	GROUP	113	2002-12-30	4602	9999-12-31	2013-05-08
6403/10-1	2250.000000	2496.000000	ROGALAND GP	GROUP	131	2002-12-30	4602	9999-12-31	2013-05-08
6403/10-1	2496.000000	3398.000000	SHETLAND GP	GROUP	143	2002-12-30	4602	9999-12-31	2013-05-08
6403/10-1	2496.000000	2825.000000	SPRINGAR FM	FORMATION	156	2002-12-30	4602	9999-12-31	2013-05-08
6403/10-1	2334.000000	2496.000000	TANG FM	FORMATION	161	2002-12-30	4602	9999-12-31	2013-05-08
6403/10-1	2250.000000	2334.000000	TARE FM	FORMATION	163	2002-12-30	4602	9999-12-31	2013-05-08
34/10-47 S	1698.000000	1765.000000	BALDER FM	FORMATION	6	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	2876.000000	2910.000000	BRENT GP	GROUP	16	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	2910.000000	3000.000000	BRENT GP	GROUP	16	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	3000.000000	3804.000000	BRENT GP	GROUP	16	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	2444.000000	2458.000000	CROMER KNOLL GP	GROUP	23	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	2458.000000	2489.000000	DRAUPNE FM	FORMATION	28	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	3923.000000	3964.000000	DRAUPNE FM	FORMATION	28	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	3285.000000	3355.000000	ETIVE FM	FORMATION	35	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	2489.000000	2876.000000	HEATHER FM	FORMATION	60	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	3804.000000	3923.000000	HEATHER FM	FORMATION	60	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	968.000000	1698.000000	HORDALAND GP	GROUP	67	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	1765.000000	1916.000000	LISTA FM	FORMATION	95	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	3355.000000	3580.000000	NESS FM	FORMATION	110	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	165.000000	968.000000	NORDLAND GP	GROUP	113	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	2910.000000	3000.000000	RANNOCH FM	FORMATION	126	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	3000.000000	3285.000000	RANNOCH FM	FORMATION	126	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	1698.000000	1916.000000	ROGALAND GP	GROUP	131	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	1916.000000	2444.000000	SHETLAND GP	GROUP	143	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	3964.000000	4027.000000	SHETLAND GP	GROUP	143	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	2876.000000	2910.000000	TARBERT FM	FORMATION	162	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	3580.000000	3804.000000	TARBERT FM	FORMATION	162	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	910.000000	968.000000	UTSIRA FM	FORMATION	183	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	2458.000000	2876.000000	VIKING GP	GROUP	188	2002-11-02	4609	9999-12-31	2013-05-08
34/10-47 S	3804.000000	3964.000000	VIKING GP	GROUP	188	2002-11-02	4609	9999-12-31	2013-05-08
16/7-8 S	2224.000000	2298.000000	BALDER FM	FORMATION	6	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2765.000000	2778.000000	BLODØKS FM	FORMATION	13	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2787.000000	2818.000000	CROMER KNOLL GP	GROUP	23	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2818.000000	2821.000000	DRAUPNE FM	FORMATION	28	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2474.000000	2484.000000	EKOFISK FM	FORMATION	33	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2821.000000	2825.000000	HEATHER FM	FORMATION	60	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2687.000000	2765.000000	HOD FM	FORMATION	66	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	1046.000000	2224.000000	HORDALAND GP	GROUP	67	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2825.000000	2856.000000	HUGIN FM	FORMATION	69	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2360.000000	2458.000000	LISTA FM	FORMATION	95	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	1263.000000	2224.000000	NO FORMAL NAME	FORMATION	111	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	103.000000	1046.000000	NORDLAND GP	GROUP	113	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2224.000000	2474.000000	ROGALAND GP	GROUP	131	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2787.000000	2809.000000	RØDBY FM	FORMATION	137	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2298.000000	2360.000000	SELE FM	FORMATION	142	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2474.000000	2787.000000	SHETLAND GP	GROUP	143	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	1170.000000	1263.000000	SKADE FM	FORMATION	145	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2856.000000	2900.000000	SKAGERRAK FM	FORMATION	146	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2809.000000	2813.000000	SOLA FM	FORMATION	152	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2778.000000	2787.000000	SVARTE FM	FORMATION	160	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2484.000000	2687.000000	TOR FM	FORMATION	171	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	851.000000	1046.000000	UTSIRA FM	FORMATION	183	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2825.000000	2856.000000	VESTLAND GP	GROUP	186	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2818.000000	2825.000000	VIKING GP	GROUP	188	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2458.000000	2474.000000	VÅLE FM	FORMATION	190	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2813.000000	2818.000000	ÅSGARD FM	FORMATION	198	2003-01-19	4612	9999-12-31	2013-05-08
16/7-8 S	2856.000000	2900.000000	NO GROUP DEFINED	GROUP	208	2003-01-19	4612	9999-12-31	2013-05-08
6608/11-3	1297.000000	1363.000000	BRYGGE FM	FORMATION	18	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1517.000000	1940.000000	BÅT GP	GROUP	22	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1477.000000	1517.000000	FANGST GP	GROUP	38	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1940.000000	2031.000000	GREY BEDS (INFORMAL)	GROUP	52	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1297.000000	1363.000000	HORDALAND GP	GROUP	67	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1509.000000	1517.000000	ILE FM	FORMATION	70	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1240.000000	1297.000000	KAI FM	FORMATION	77	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1444.000000	1477.000000	MELKE FM	FORMATION	105	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	398.000000	1240.000000	NAUST FM	FORMATION	109	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	398.000000	1297.000000	NORDLAND GP	GROUP	113	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1477.000000	1509.000000	NOT FM	FORMATION	120	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1363.000000	1444.000000	ROGALAND GP	GROUP	131	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1429.000000	1444.000000	TANG FM	FORMATION	161	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1363.000000	1429.000000	TARE FM	FORMATION	163	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1517.000000	1530.000000	TILJE FM	FORMATION	169	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1444.000000	1477.000000	VIKING GP	GROUP	188	2002-12-15	4630	9999-12-31	2013-05-08
6608/11-3	1530.000000	1940.000000	ÅRE FM	FORMATION	197	2002-12-15	4630	9999-12-31	2013-05-08
31/2-20 S	3365.000000	3400.000000	BRENT GP	GROUP	16	2002-12-08	4636	9999-12-31	2013-05-08
31/2-20 S	2887.000000	3148.000000	FENSFJORD FM	FORMATION	40	2002-12-08	4636	9999-12-31	2013-05-08
31/2-20 S	3252.000000	3365.000000	HEATHER FM	FORMATION	60	2002-12-08	4636	9999-12-31	2013-05-08
31/2-20 S	765.000000	2200.000000	HORDALAND GP	GROUP	67	2002-12-08	4636	9999-12-31	2013-05-08
31/2-20 S	3148.000000	3252.000000	KROSSFJORD FM	FORMATION	87	2002-12-08	4636	9999-12-31	2013-05-08
31/2-20 S	355.000000	765.000000	NORDLAND GP	GROUP	113	2002-12-08	4636	9999-12-31	2013-05-08
31/2-20 S	2200.000000	2669.000000	ROGALAND GP	GROUP	131	2002-12-08	4636	9999-12-31	2013-05-08
31/2-20 S	2669.000000	2673.000000	SHETLAND GP	GROUP	143	2002-12-08	4636	9999-12-31	2013-05-08
31/2-20 S	2673.000000	2887.000000	SOGNEFJORD FM	FORMATION	151	2002-12-08	4636	9999-12-31	2013-05-08
31/2-20 S	2673.000000	3365.000000	VIKING GP	GROUP	188	2002-12-08	4636	9999-12-31	2013-05-08
34/10-47 A	2818.000000	2964.000000	AMUNDSEN FM	FORMATION	4	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	1698.000000	1765.000000	BALDER FM	FORMATION	6	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2632.000000	2793.000000	BRENT GP	GROUP	16	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2793.000000	2818.000000	BURTON FM	FORMATION	20	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2404.000000	2414.000000	CROMER KNOLL GP	GROUP	23	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2414.000000	2431.000000	DRAUPNE FM	FORMATION	28	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2793.000000	2964.000000	DUNLIN GP	GROUP	29	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2431.000000	2632.000000	HEATHER FM	FORMATION	60	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	968.000000	1698.000000	HORDALAND GP	GROUP	67	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	1765.000000	1916.000000	LISTA FM	FORMATION	95	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2964.000000	3020.000000	NANSEN MBR	MEMBER	108	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2729.000000	2793.000000	NESS FM	FORMATION	110	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	165.000000	968.000000	NORDLAND GP	GROUP	113	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	1698.000000	1916.000000	ROGALAND GP	GROUP	131	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	1916.000000	2404.000000	SHETLAND GP	GROUP	143	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2964.000000	3020.000000	STATFJORD FM	FORMATION	157	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2632.000000	2729.000000	TARBERT FM	FORMATION	162	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	910.000000	968.000000	UTSIRA FM	FORMATION	183	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2414.000000	2632.000000	VIKING GP	GROUP	188	2002-11-14	4640	9999-12-31	2013-05-08
34/10-47 A	2964.000000	3020.000000	NO GROUP DEFINED	GROUP	208	2002-11-14	4640	9999-12-31	2013-05-08
1/9-7	2989.000000	2992.000000	ANDREW FM	FORMATION	5	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	2920.000000	2931.000000	BALDER FM	FORMATION	6	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	3789.000000	4313.000000	CROMER KNOLL GP	GROUP	23	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	3093.000000	3159.000000	EKOFISK FM	FORMATION	33	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	4400.000000	4504.000000	FARSUND FM	FORMATION	39	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	4504.000000	4911.000000	HAUGESUND FM	FORMATION	57	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	3705.000000	3789.000000	HIDRA FM	FORMATION	65	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	3364.000000	3705.000000	HOD FM	FORMATION	66	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	1537.000000	2920.000000	HORDALAND GP	GROUP	67	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	2987.000000	2989.000000	LISTA FM	FORMATION	95	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	2992.000000	3065.000000	LISTA FM	FORMATION	95	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	4313.000000	4400.000000	MANDAL FM	FORMATION	101	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	121.000000	1537.000000	NORDLAND GP	GROUP	113	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	2920.000000	3093.000000	ROGALAND GP	GROUP	131	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	3789.000000	3867.000000	RØDBY FM	FORMATION	137	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	2931.000000	2987.000000	SELE FM	FORMATION	142	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	3093.000000	3789.000000	SHETLAND GP	GROUP	143	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	4911.000000	4986.000000	SMITH BANK FM	FORMATION	149	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	3867.000000	3948.000000	SOLA FM	FORMATION	152	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	3159.000000	3364.000000	TOR FM	FORMATION	171	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	3948.000000	4001.000000	TUXEN FM	FORMATION	175	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	4313.000000	4986.000000	TYNE GP	GROUP	177	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	3065.000000	3093.000000	VÅLE FM	FORMATION	190	2003-08-02	4652	9999-12-31	2013-05-08
1/9-7	4001.000000	4313.000000	ÅSGARD FM	FORMATION	198	2003-08-02	4652	9999-12-31	2013-05-08
6608/10-9	1517.000000	1684.000000	BRYGGE FM	FORMATION	18	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	2222.000000	2400.000000	BÅT GP	GROUP	22	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	1821.000000	2047.000000	CROMER KNOLL GP	GROUP	23	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	2188.000000	2222.000000	FANGST GP	GROUP	38	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	1517.000000	1684.000000	HORDALAND GP	GROUP	67	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	1385.000000	1517.000000	KAI FM	FORMATION	77	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	1821.000000	2047.000000	LYR FM	FORMATION	98	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	2133.000000	2188.000000	INTRA MELKE FM SS	FORMATION	104	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	2055.000000	2133.000000	MELKE FM	FORMATION	105	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	400.000000	1385.000000	NAUST FM	FORMATION	109	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	400.000000	1517.000000	NORDLAND GP	GROUP	113	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	2188.000000	2222.000000	NOT FM	FORMATION	120	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	1684.000000	1780.000000	ROGALAND GP	GROUP	131	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	1780.000000	1821.000000	SHETLAND GP	GROUP	143	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	2047.000000	2055.000000	SPEKK FM	FORMATION	155	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	1780.000000	1821.000000	SPRINGAR FM	FORMATION	156	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	1757.000000	1780.000000	TANG FM	FORMATION	161	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	1684.000000	1757.000000	TARE FM	FORMATION	163	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	2222.000000	2228.000000	TILJE FM	FORMATION	169	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	2047.000000	2188.000000	VIKING GP	GROUP	188	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-9	2228.000000	2400.000000	ÅRE FM	FORMATION	197	2003-02-18	4668	9999-12-31	2013-05-08
6608/10-10	1557.000000	1799.000000	BRYGGE FM	FORMATION	18	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2504.000000	2800.000000	BÅT GP	GROUP	22	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2304.000000	2365.000000	CROMER KNOLL GP	GROUP	23	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2462.000000	2504.000000	FANGST GP	GROUP	38	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	1557.000000	1799.000000	HORDALAND GP	GROUP	67	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2500.000000	2504.000000	ILE FM	FORMATION	70	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	1401.000000	1557.000000	KAI FM	FORMATION	77	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2160.000000	2304.000000	KVITNOS FM	FORMATION	91	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2304.000000	2365.000000	LYR FM	FORMATION	98	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2405.000000	2462.000000	INTRA MELKE FM SS	FORMATION	104	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2376.000000	2405.000000	MELKE FM	FORMATION	105	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	398.000000	1401.000000	NAUST FM	FORMATION	109	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	1944.000000	2160.000000	NISE FM	FORMATION	112	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	398.000000	1557.000000	NORDLAND GP	GROUP	113	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2462.000000	2500.000000	NOT FM	FORMATION	120	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	1799.000000	1921.000000	ROGALAND GP	GROUP	131	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2504.000000	2529.000000	ROR FM	FORMATION	135	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	1921.000000	2304.000000	SHETLAND GP	GROUP	143	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2365.000000	2376.000000	SPEKK FM	FORMATION	155	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	1921.000000	1944.000000	SPRINGAR FM	FORMATION	156	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	1884.000000	1921.000000	TANG FM	FORMATION	161	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	1799.000000	1884.000000	TARE FM	FORMATION	163	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2529.000000	2567.000000	TILJE FM	FORMATION	169	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2365.000000	2462.000000	VIKING GP	GROUP	188	2003-08-07	4699	9999-12-31	2013-05-08
6608/10-10	2567.000000	2800.000000	ÅRE FM	FORMATION	197	2003-08-07	4699	9999-12-31	2013-05-08
6706/6-1	1543.000000	1875.000000	BRYGGE FM	FORMATION	18	2003-06-17	4705	9999-12-31	2013-05-08
6706/6-1	1543.000000	1875.000000	HORDALAND GP	GROUP	67	2003-06-17	4705	9999-12-31	2013-05-08
6706/6-1	1385.000000	1543.000000	KAI FM	FORMATION	77	2003-06-17	4705	9999-12-31	2013-05-08
6706/6-1	1334.000000	1385.000000	NAUST FM	FORMATION	109	2003-06-17	4705	9999-12-31	2013-05-08
6706/6-1	3239.000000	3451.000000	NO FORMAL NAME	FORMATION	111	2003-06-17	4705	9999-12-31	2013-05-08
6706/6-1	1334.000000	1543.000000	NORDLAND GP	GROUP	113	2003-06-17	4705	9999-12-31	2013-05-08
6706/6-1	1875.000000	3451.000000	ROGALAND GP	GROUP	131	2003-06-17	4705	9999-12-31	2013-05-08
6706/6-1	1875.000000	3239.000000	TANG FM	FORMATION	161	2003-06-17	4705	9999-12-31	2013-05-08
34/8-4 AR	2910.000000	3065.000000	AMUNDSEN FM	FORMATION	4	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	1827.000000	1870.000000	BALDER FM	FORMATION	6	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	2902.000000	2910.000000	CROMER KNOLL GP	GROUP	23	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	2910.000000	3065.000000	DUNLIN GP	GROUP	29	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	3151.000000	3574.000000	HEGRE GP	GROUP	61	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	1116.000000	1827.000000	HORDALAND GP	GROUP	67	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	1883.000000	2038.000000	LISTA FM	FORMATION	95	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	3151.000000	3574.000000	LUNDE FM	FORMATION	97	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	340.000000	1116.000000	NORDLAND GP	GROUP	113	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	1827.000000	2038.000000	ROGALAND GP	GROUP	131	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	1870.000000	1883.000000	SELE FM	FORMATION	142	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	2038.000000	2902.000000	SHETLAND GP	GROUP	143	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	3065.000000	3151.000000	STATFJORD FM	FORMATION	157	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	1079.000000	1116.000000	UTSIRA FM	FORMATION	183	2003-03-07	4709	9999-12-31	2013-05-08
34/8-4 AR	3065.000000	3151.000000	NO GROUP DEFINED	GROUP	208	2003-03-07	4709	9999-12-31	2013-05-08
6407/9-10	878.000000	1385.000000	BRYGGE FM	FORMATION	18	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	1579.000000	1608.000000	CROMER KNOLL GP	GROUP	23	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	1665.000000	1800.000000	FANGST GP	GROUP	38	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	1665.000000	1766.000000	GARN FM	FORMATION	48	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	878.000000	1385.000000	HORDALAND GP	GROUP	67	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	797.000000	878.000000	KAI FM	FORMATION	77	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	294.000000	797.000000	NAUST FM	FORMATION	109	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	294.000000	878.000000	NORDLAND GP	GROUP	113	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	1766.000000	1800.000000	NOT FM	FORMATION	120	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	1385.000000	1555.000000	ROGALAND GP	GROUP	131	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	1635.000000	1665.000000	ROGN FM	FORMATION	134	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	1555.000000	1579.000000	SHETLAND GP	GROUP	143	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	1608.000000	1635.000000	SPEKK FM	FORMATION	155	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	1445.000000	1555.000000	TANG FM	FORMATION	161	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	1385.000000	1445.000000	TARE FM	FORMATION	163	2003-06-23	4710	9999-12-31	2013-05-08
6407/9-10	1608.000000	1665.000000	VIKING GP	GROUP	188	2003-06-23	4710	9999-12-31	2013-05-08
16/1-6 S	1783.000000	1817.000000	BALDER FM	FORMATION	6	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1977.000000	1997.000000	EKOFISK FM	FORMATION	33	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1490.000000	1550.000000	GRID FM	FORMATION	53	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1597.000000	1602.000000	GRID FM	FORMATION	53	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1672.000000	1685.000000	GRID FM	FORMATION	53	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1862.000000	1876.000000	HEIMDAL FM	FORMATION	62	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	830.000000	1783.000000	HORDALAND GP	GROUP	67	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1824.000000	1862.000000	LISTA FM	FORMATION	95	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1876.000000	1932.000000	LISTA FM	FORMATION	95	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	783.000000	830.000000	NO FORMAL NAME	FORMATION	111	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1154.000000	1490.000000	NO FORMAL NAME	FORMATION	111	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1550.000000	1597.000000	NO FORMAL NAME	FORMATION	111	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1602.000000	1672.000000	NO FORMAL NAME	FORMATION	111	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1685.000000	1783.000000	NO FORMAL NAME	FORMATION	111	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	143.000000	830.000000	NORDLAND GP	GROUP	113	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1783.000000	1977.000000	ROGALAND GP	GROUP	131	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1817.000000	1824.000000	SELE FM	FORMATION	142	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1977.000000	1997.000000	SHETLAND GP	GROUP	143	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1054.000000	1154.000000	SKADE FM	FORMATION	145	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	775.000000	783.000000	UTSIRA FM	FORMATION	183	2003-06-07	4711	9999-12-31	2013-05-08
16/1-6 S	1932.000000	1977.000000	VÅLE FM	FORMATION	190	2003-06-07	4711	9999-12-31	2013-05-08
25/4-7	1895.000000	2005.000000	BALDER FM	FORMATION	6	2003-04-17	4716	9999-12-31	2013-05-08
25/4-7	1216.000000	1320.000000	GRID FM	FORMATION	53	2003-04-17	4716	9999-12-31	2013-05-08
25/4-7	2085.000000	2286.000000	HEIMDAL FM	FORMATION	62	2003-04-17	4716	9999-12-31	2013-05-08
25/4-7	727.000000	1320.000000	HORDALAND GP	GROUP	67	2003-04-17	4716	9999-12-31	2013-05-08
25/4-7	1320.000000	1895.000000	HORDALAND GP	GROUP	67	2003-04-17	4716	9999-12-31	2013-05-08
25/4-7	2039.000000	2085.000000	LISTA FM	FORMATION	95	2003-04-17	4716	9999-12-31	2013-05-08
25/4-7	142.000000	727.000000	NORDLAND GP	GROUP	113	2003-04-17	4716	9999-12-31	2013-05-08
25/4-7	1895.000000	2286.000000	ROGALAND GP	GROUP	131	2003-04-17	4716	9999-12-31	2013-05-08
25/4-7	2005.000000	2039.000000	SELE FM	FORMATION	142	2003-04-17	4716	9999-12-31	2013-05-08
25/4-7	368.000000	727.000000	UTSIRA FM	FORMATION	183	2003-04-17	4716	9999-12-31	2013-05-08
24/6-3	144.000000	253.000000	NORDLAND GP	GROUP	113	2003-04-22	4728	9999-12-31	2013-05-08
15/12-13	2286.000000	2297.000000	BALDER FM	FORMATION	6	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	2723.000000	2856.000000	CROMER KNOLL GP	GROUP	23	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	2856.000000	2944.000000	DRAUPNE FM	FORMATION	28	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	3013.000000	3030.000000	INTRA HEATHER FM SS	FORMATION	59	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	2944.000000	3013.000000	HEATHER FM	FORMATION	60	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	1240.000000	2286.000000	HORDALAND GP	GROUP	67	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	3030.000000	3047.000000	HUGIN FM	FORMATION	69	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	2370.000000	2453.000000	LISTA FM	FORMATION	95	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	105.000000	1240.000000	NORDLAND GP	GROUP	113	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	2286.000000	2453.000000	ROGALAND GP	GROUP	131	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	2297.000000	2370.000000	SELE FM	FORMATION	142	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	2453.000000	2723.000000	SHETLAND GP	GROUP	143	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	1225.000000	1240.000000	UTSIRA FM	FORMATION	183	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	3030.000000	3047.000000	VESTLAND GP	GROUP	186	2003-05-11	4733	9999-12-31	2013-05-08
15/12-13	2856.000000	3030.000000	VIKING GP	GROUP	188	2003-05-11	4733	9999-12-31	2013-05-08
25/9-2 S	1832.000000	1923.000000	BALDER FM	FORMATION	6	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2190.000000	2250.000000	BURTON FM	FORMATION	20	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2110.000000	2163.000000	CROMER KNOLL GP	GROUP	23	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2163.000000	2173.000000	DRAUPNE FM	FORMATION	28	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2190.000000	2250.000000	DUNLIN GP	GROUP	29	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2173.000000	2183.000000	HEATHER FM	FORMATION	60	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	1002.000000	1832.000000	HORDALAND GP	GROUP	67	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2183.000000	2190.000000	HUGIN FM	FORMATION	69	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	1923.000000	1975.000000	LISTA FM	FORMATION	95	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2153.000000	2163.000000	MIME FM	FORMATION	106	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	147.000000	1002.000000	NORDLAND GP	GROUP	113	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	1832.000000	2036.000000	ROGALAND GP	GROUP	131	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2110.000000	2153.000000	RØDBY FM	FORMATION	137	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	1975.000000	2025.000000	SELE FM	FORMATION	142	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2036.000000	2110.000000	SHETLAND GP	GROUP	143	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2067.000000	2110.000000	SVARTE FM	FORMATION	160	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2036.000000	2050.000000	TOR FM	FORMATION	171	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2050.000000	2067.000000	TRYGGVASON FM	FORMATION	173	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	789.000000	1002.000000	UTSIRA FM	FORMATION	183	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2183.000000	2190.000000	VESTLAND GP	GROUP	186	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2163.000000	2183.000000	VIKING GP	GROUP	188	2003-08-03	4735	9999-12-31	2013-05-08
25/9-2 S	2025.000000	2036.000000	VÅLE FM	FORMATION	190	2003-08-03	4735	9999-12-31	2013-05-08
24/6-4	1925.000000	2049.000000	BALDER FM	FORMATION	6	2003-06-02	4745	9999-12-31	2013-05-08
24/6-4	1148.000000	1301.000000	GRID FM	FORMATION	53	2003-06-02	4745	9999-12-31	2013-05-08
24/6-4	2123.000000	2325.000000	HEIMDAL FM	FORMATION	62	2003-06-02	4745	9999-12-31	2013-05-08
24/6-4	884.000000	1301.000000	HORDALAND GP	GROUP	67	2003-06-02	4745	9999-12-31	2013-05-08
24/6-4	1301.000000	1925.000000	HORDALAND GP	GROUP	67	2003-06-02	4745	9999-12-31	2013-05-08
24/6-4	2070.000000	2123.000000	LISTA FM	FORMATION	95	2003-06-02	4745	9999-12-31	2013-05-08
24/6-4	144.000000	884.000000	NORDLAND GP	GROUP	113	2003-06-02	4745	9999-12-31	2013-05-08
24/6-4	1925.000000	2325.000000	ROGALAND GP	GROUP	131	2003-06-02	4745	9999-12-31	2013-05-08
24/6-4	2049.000000	2070.000000	SELE FM	FORMATION	142	2003-06-02	4745	9999-12-31	2013-05-08
24/6-4	346.000000	884.000000	UTSIRA FM	FORMATION	183	2003-06-02	4745	9999-12-31	2013-05-08
6405/7-1	1935.000000	2506.000000	BRYGGE FM	FORMATION	18	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	3665.000000	4300.000000	CROMER KNOLL GP	GROUP	23	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	1935.000000	2506.000000	HORDALAND GP	GROUP	67	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	2960.000000	3665.000000	KVITNOS FM	FORMATION	91	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	3665.000000	4300.000000	LYSING FM	FORMATION	99	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	1242.000000	1935.000000	NAUST FM	FORMATION	109	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	2757.000000	2960.000000	NISE FM	FORMATION	112	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	1242.000000	1935.000000	NORDLAND GP	GROUP	113	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	2506.000000	2664.000000	ROGALAND GP	GROUP	131	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	2664.000000	3665.000000	SHETLAND GP	GROUP	143	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	2664.000000	2757.000000	SPRINGAR FM	FORMATION	156	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	2602.000000	2664.000000	TANG FM	FORMATION	161	2003-10-10	4749	9999-12-31	2013-05-08
6405/7-1	2506.000000	2602.000000	TARE FM	FORMATION	163	2003-10-10	4749	9999-12-31	2013-05-08
15/12-13 A	2452.000000	2468.000000	BALDER FM	FORMATION	6	2003-05-17	4754	9999-12-31	2013-05-08
15/12-13 A	1240.000000	2452.000000	HORDALAND GP	GROUP	67	2003-05-17	4754	9999-12-31	2013-05-08
15/12-13 A	105.000000	1240.000000	NORDLAND GP	GROUP	113	2003-05-17	4754	9999-12-31	2013-05-08
15/12-13 A	2452.000000	2532.000000	ROGALAND GP	GROUP	131	2003-05-17	4754	9999-12-31	2013-05-08
15/12-13 A	2468.000000	2532.000000	SELE FM	FORMATION	142	2003-05-17	4754	9999-12-31	2013-05-08
15/12-13 A	1225.000000	1240.000000	UTSIRA FM	FORMATION	183	2003-05-17	4754	9999-12-31	2013-05-08
15/12-13 B	2277.000000	2285.000000	BALDER FM	FORMATION	6	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	2756.000000	2877.000000	CROMER KNOLL GP	GROUP	23	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	2877.000000	2939.000000	DRAUPNE FM	FORMATION	28	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	2951.000000	2963.000000	INTRA HEATHER FM SS	FORMATION	59	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	2939.000000	2951.000000	HEATHER FM	FORMATION	60	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	1240.000000	2277.000000	HORDALAND GP	GROUP	67	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	2963.000000	3092.000000	HUGIN FM	FORMATION	69	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	2344.000000	2520.000000	LISTA FM	FORMATION	95	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	105.000000	1240.000000	NORDLAND GP	GROUP	113	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	2277.000000	2520.000000	ROGALAND GP	GROUP	131	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	2285.000000	2344.000000	SELE FM	FORMATION	142	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	2520.000000	2756.000000	SHETLAND GP	GROUP	143	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	3092.000000	3151.000000	SKAGERRAK FM	FORMATION	146	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	1225.000000	1240.000000	UTSIRA FM	FORMATION	183	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	2963.000000	3092.000000	VESTLAND GP	GROUP	186	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	2877.000000	2963.000000	VIKING GP	GROUP	188	2003-06-11	4759	9999-12-31	2013-05-08
15/12-13 B	3092.000000	3151.000000	NO GROUP DEFINED	GROUP	208	2003-06-11	4759	9999-12-31	2013-05-08
35/8-5 S	1338.000000	1385.000000	BALDER FM	FORMATION	6	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3074.000000	3078.000000	BLODØKS FM	FORMATION	13	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3830.000000	4000.000000	BRENT GP	GROUP	16	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3094.000000	3230.000000	CROMER KNOLL GP	GROUP	23	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3230.000000	3326.000000	DRAUPNE FM	FORMATION	28	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3916.000000	3964.000000	ETIVE FM	FORMATION	35	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	1091.000000	1338.000000	FRIGG FM	FORMATION	45	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	845.000000	1091.000000	GRID FM	FORMATION	53	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3326.000000	3422.000000	INTRA HEATHER FM SS	FORMATION	59	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3422.000000	3830.000000	HEATHER FM	FORMATION	60	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	618.000000	1338.000000	HORDALAND GP	GROUP	67	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	1716.000000	1877.000000	JORSALFARE FM	FORMATION	74	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	1877.000000	2838.000000	KYRRE FM	FORMATION	92	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3882.000000	3916.000000	NESS FM	FORMATION	110	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	398.000000	618.000000	NORDLAND GP	GROUP	113	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3964.000000	4000.000000	RANNOCH FM	FORMATION	126	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	1338.000000	1716.000000	ROGALAND GP	GROUP	131	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3094.000000	3149.000000	RØDBY FM	FORMATION	137	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	1385.000000	1400.000000	SELE FM	FORMATION	142	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	1400.000000	1658.000000	SELE FM	FORMATION	142	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	1716.000000	3094.000000	SHETLAND GP	GROUP	143	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	673.000000	845.000000	SKADE FM	FORMATION	145	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3078.000000	3094.000000	SVARTE FM	FORMATION	160	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3830.000000	3882.000000	TARBERT FM	FORMATION	162	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	2838.000000	3074.000000	TRYGGVASON FM	FORMATION	173	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	1658.000000	1716.000000	TY FM	FORMATION	176	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3230.000000	3830.000000	VIKING GP	GROUP	188	2003-07-20	4761	9999-12-31	2013-05-08
35/8-5 S	3149.000000	3230.000000	ÅSGARD FM	FORMATION	198	2003-07-20	4761	9999-12-31	2013-05-08
6406/1-2	2084.000000	2458.000000	BRYGGE FM	FORMATION	18	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	3368.000000	4232.000000	CROMER KNOLL GP	GROUP	23	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	4232.000000	4478.000000	GREY BEDS (INFORMAL)	GROUP	52	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	2084.000000	2458.000000	HORDALAND GP	GROUP	67	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	1588.000000	2084.000000	KAI FM	FORMATION	77	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	2730.000000	3368.000000	KVITNOS FM	FORMATION	91	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	3387.000000	4232.000000	LANGE FM	FORMATION	94	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	3368.000000	3387.000000	LYSING FM	FORMATION	99	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	406.000000	1588.000000	NAUST FM	FORMATION	109	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	2648.000000	2730.000000	NISE FM	FORMATION	112	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	406.000000	2084.000000	NORDLAND GP	GROUP	113	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	4478.000000	4500.000000	RED BEDS (INFORMAL)	GROUP	129	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	2458.000000	2574.000000	ROGALAND GP	GROUP	131	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	2574.000000	3368.000000	SHETLAND GP	GROUP	143	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	2574.000000	2648.000000	SPRINGAR FM	FORMATION	156	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	2519.000000	2574.000000	TANG FM	FORMATION	161	2003-09-04	4762	9999-12-31	2013-05-08
6406/1-2	2458.000000	2519.000000	TARE FM	FORMATION	163	2003-09-04	4762	9999-12-31	2013-05-08
25/4-8	1922.000000	2011.000000	BALDER FM	FORMATION	6	2003-06-22	4765	9999-12-31	2013-05-08
25/4-8	1219.000000	1305.000000	GRID FM	FORMATION	53	2003-06-22	4765	9999-12-31	2013-05-08
25/4-8	2113.000000	2286.000000	HEIMDAL FM	FORMATION	62	2003-06-22	4765	9999-12-31	2013-05-08
25/4-8	777.000000	1305.000000	HORDALAND GP	GROUP	67	2003-06-22	4765	9999-12-31	2013-05-08
25/4-8	1305.000000	1922.000000	HORDALAND GP	GROUP	67	2003-06-22	4765	9999-12-31	2013-05-08
25/4-8	2060.000000	2113.000000	LISTA FM	FORMATION	95	2003-06-22	4765	9999-12-31	2013-05-08
25/4-8	145.000000	777.000000	NORDLAND GP	GROUP	113	2003-06-22	4765	9999-12-31	2013-05-08
25/4-8	1922.000000	2286.000000	ROGALAND GP	GROUP	131	2003-06-22	4765	9999-12-31	2013-05-08
25/4-8	2011.000000	2060.000000	SELE FM	FORMATION	142	2003-06-22	4765	9999-12-31	2013-05-08
25/4-8	385.000000	777.000000	UTSIRA FM	FORMATION	183	2003-06-22	4765	9999-12-31	2013-05-08
16/1-6 A	1876.000000	1914.000000	BALDER FM	FORMATION	6	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	2163.000000	2181.000000	EKOFISK FM	FORMATION	33	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	1530.000000	1553.000000	GRID FM	FORMATION	53	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	1629.000000	1638.000000	GRID FM	FORMATION	53	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	1742.000000	1757.000000	GRID FM	FORMATION	53	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	2007.000000	2056.000000	HEIMDAL FM	FORMATION	62	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	830.000000	1876.000000	HORDALAND GP	GROUP	67	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	1952.000000	2007.000000	LISTA FM	FORMATION	95	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	2056.000000	2123.000000	LISTA FM	FORMATION	95	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	783.000000	830.000000	NO FORMAL NAME	FORMATION	111	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	1154.000000	1530.000000	NO FORMAL NAME	FORMATION	111	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	1553.000000	1629.000000	NO FORMAL NAME	FORMATION	111	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	1638.000000	1742.000000	NO FORMAL NAME	FORMATION	111	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	1757.000000	1876.000000	NO FORMAL NAME	FORMATION	111	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	143.000000	830.000000	NORDLAND GP	GROUP	113	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	1876.000000	2163.000000	ROGALAND GP	GROUP	131	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	1914.000000	1952.000000	SELE FM	FORMATION	142	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	2163.000000	2194.000000	SHETLAND GP	GROUP	143	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	1054.000000	1154.000000	SKADE FM	FORMATION	145	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	2181.000000	2194.000000	TOR FM	FORMATION	171	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	775.000000	783.000000	UTSIRA FM	FORMATION	183	2003-06-21	4767	9999-12-31	2013-05-08
16/1-6 A	2123.000000	2163.000000	VÅLE FM	FORMATION	190	2003-06-21	4767	9999-12-31	2013-05-08
25/4-6 SR	2130.000000	2145.000000	BALDER FM	FORMATION	6	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3390.000000	3494.000000	BLODØKS FM	FORMATION	13	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3541.000000	3580.000000	CROMER KNOLL GP	GROUP	23	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3580.000000	3628.000000	DRAUPNE FM	FORMATION	28	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3949.000000	4138.000000	DUNLIN GP	GROUP	29	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	1281.000000	1371.000000	GRID FM	FORMATION	53	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3628.000000	3725.000000	HEATHER FM	FORMATION	60	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	2209.000000	2620.000000	HEIMDAL FM	FORMATION	62	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	985.000000	2130.000000	HORDALAND GP	GROUP	67	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3725.000000	3883.000000	HUGIN FM	FORMATION	69	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	2912.000000	3344.000000	KYRRE FM	FORMATION	92	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	2178.000000	2209.000000	LISTA FM	FORMATION	95	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	1212.000000	1281.000000	NO FORMAL NAME	FORMATION	111	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	1371.000000	2130.000000	NO FORMAL NAME	FORMATION	111	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	145.000000	985.000000	NORDLAND GP	GROUP	113	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	2130.000000	2768.000000	ROGALAND GP	GROUP	131	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3541.000000	3554.000000	RØDBY FM	FORMATION	137	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	2145.000000	2178.000000	SELE FM	FORMATION	142	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	2768.000000	3541.000000	SHETLAND GP	GROUP	143	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	1201.000000	1212.000000	SKADE FM	FORMATION	145	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3883.000000	3949.000000	SLEIPNER FM	FORMATION	148	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3554.000000	3572.000000	SOLA FM	FORMATION	152	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	4138.000000	4179.000000	STATFJORD FM	FORMATION	157	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3494.000000	3541.000000	SVARTE FM	FORMATION	160	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	2768.000000	2912.000000	TOR FM	FORMATION	171	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3344.000000	3390.000000	TRYGGVASON FM	FORMATION	173	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	234.000000	985.000000	UTSIRA FM	FORMATION	183	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3725.000000	3949.000000	VESTLAND GP	GROUP	186	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3580.000000	3725.000000	VIKING GP	GROUP	188	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	2620.000000	2768.000000	VÅLE FM	FORMATION	190	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	3572.000000	3580.000000	ÅSGARD FM	FORMATION	198	2003-09-14	4819	9999-12-31	2013-05-08
25/4-6 SR	4138.000000	4179.000000	NO GROUP DEFINED	GROUP	208	2003-09-14	4819	9999-12-31	2013-05-08
2/4-15 SR	3368.000000	3387.000000	BALDER FM	FORMATION	6	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	4798.000000	4817.000000	BLODØKS FM	FORMATION	13	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	4890.000000	4958.000000	CROMER KNOLL GP	GROUP	23	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	3558.000000	3692.000000	EKOFISK FM	FORMATION	33	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	4817.000000	4890.000000	HIDRA FM	FORMATION	65	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	4266.000000	4798.000000	HOD FM	FORMATION	66	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	1854.000000	3368.000000	HORDALAND GP	GROUP	67	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	3405.000000	3456.000000	LISTA FM	FORMATION	95	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	3497.000000	3547.000000	LISTA FM	FORMATION	95	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	4958.000000	4965.000000	MANDAL FM	FORMATION	101	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	94.000000	1854.000000	NORDLAND GP	GROUP	113	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	3368.000000	3558.000000	ROGALAND GP	GROUP	131	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	3387.000000	3405.000000	SELE FM	FORMATION	142	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	3558.000000	4890.000000	SHETLAND GP	GROUP	143	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	3692.000000	4266.000000	TOR FM	FORMATION	171	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	4958.000000	4965.000000	TYNE GP	GROUP	177	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	3456.000000	3497.000000	VIDAR FM	FORMATION	187	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	3547.000000	3558.000000	VÅLE FM	FORMATION	190	2003-10-27	4842	9999-12-31	2013-05-08
2/4-15 SR	4910.000000	4958.000000	ÅSGARD FM	FORMATION	198	2003-10-27	4842	9999-12-31	2013-05-08
15/12-14	2391.000000	2396.000000	BALDER FM	FORMATION	6	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	2984.000000	2992.000000	CROMER KNOLL GP	GROUP	23	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	2992.000000	3015.000000	DRAUPNE FM	FORMATION	28	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	3100.000000	3220.000000	INTRA HEATHER FM SS	FORMATION	59	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	3015.000000	3100.000000	HEATHER FM	FORMATION	60	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	3220.000000	3255.000000	HEATHER FM	FORMATION	60	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	1325.000000	2391.000000	HORDALAND GP	GROUP	67	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	2420.000000	2571.000000	LISTA FM	FORMATION	95	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	136.000000	1325.000000	NORDLAND GP	GROUP	113	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	2391.000000	2571.000000	ROGALAND GP	GROUP	131	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	2396.000000	2420.000000	SELE FM	FORMATION	142	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	2571.000000	2984.000000	SHETLAND GP	GROUP	143	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	3255.000000	3305.000000	SLEIPNER FM	FORMATION	148	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	3255.000000	3305.000000	VESTLAND GP	GROUP	186	2003-12-31	4845	9999-12-31	2013-05-08
15/12-14	2992.000000	3255.000000	VIKING GP	GROUP	188	2003-12-31	4845	9999-12-31	2013-05-08
6507/8-7	1820.000000	2021.000000	BRYGGE FM	FORMATION	18	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2900.000000	2975.000000	BÅT GP	GROUP	22	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2443.000000	2649.000000	CROMER KNOLL GP	GROUP	23	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2820.000000	2900.000000	FANGST GP	GROUP	38	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2820.000000	2848.000000	GARN FM	FORMATION	48	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	1820.000000	2021.000000	HORDALAND GP	GROUP	67	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2851.000000	2900.000000	ILE FM	FORMATION	70	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	1450.000000	1820.000000	KAI FM	FORMATION	77	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2376.000000	2443.000000	KVITNOS FM	FORMATION	91	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2443.000000	2575.000000	LANGE FM	FORMATION	94	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2575.000000	2649.000000	LYR FM	FORMATION	98	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2750.000000	2820.000000	MELKE FM	FORMATION	105	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	356.000000	1450.000000	NAUST FM	FORMATION	109	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2186.000000	2376.000000	NISE FM	FORMATION	112	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	356.000000	1820.000000	NORDLAND GP	GROUP	113	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2848.000000	2851.000000	NOT FM	FORMATION	120	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2021.000000	2099.000000	ROGALAND GP	GROUP	131	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2900.000000	2957.000000	ROR FM	FORMATION	135	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2099.000000	2443.000000	SHETLAND GP	GROUP	143	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2649.000000	2750.000000	SPEKK FM	FORMATION	155	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2099.000000	2186.000000	SPRINGAR FM	FORMATION	156	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2065.000000	2099.000000	TANG FM	FORMATION	161	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2021.000000	2065.000000	TARE FM	FORMATION	163	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2957.000000	2975.000000	TILJE FM	FORMATION	169	2004-01-31	4854	9999-12-31	2013-05-08
6507/8-7	2649.000000	2820.000000	VIKING GP	GROUP	188	2004-01-31	4854	9999-12-31	2013-05-08
34/10-48 S	2357.000000	2528.000000	BALDER FM	FORMATION	6	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	5161.000000	6143.000000	BRENT GP	GROUP	16	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	6455.000000	7304.000000	BRENT GP	GROUP	16	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	3612.000000	3657.000000	CROMER KNOLL GP	GROUP	23	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	4891.000000	5008.000000	COOK FM	FORMATION	24	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	4645.000000	4891.000000	DRAKE FM	FORMATION	27	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	4645.000000	5008.000000	DUNLIN GP	GROUP	29	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	5456.000000	5500.000000	ETIVE FM	FORMATION	35	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	5843.000000	5856.000000	ETIVE FM	FORMATION	35	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	5008.000000	5161.000000	HEATHER FM	FORMATION	60	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	6143.000000	6455.000000	HEATHER FM	FORMATION	60	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	7304.000000	7393.000000	HEATHER FM	FORMATION	60	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	3657.000000	4645.000000	HEGRE GP	GROUP	61	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	1072.000000	2357.000000	HORDALAND GP	GROUP	67	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	2528.000000	2851.000000	LISTA FM	FORMATION	95	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	3657.000000	4645.000000	LUNDE FM	FORMATION	97	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	5311.000000	5456.000000	NESS FM	FORMATION	110	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	5856.000000	5999.000000	NESS FM	FORMATION	110	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	6455.000000	6640.000000	NESS FM	FORMATION	110	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	301.000000	1072.000000	NORDLAND GP	GROUP	113	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	5500.000000	5843.000000	RANNOCH FM	FORMATION	126	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	2357.000000	2851.000000	ROGALAND GP	GROUP	131	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	2851.000000	3612.000000	SHETLAND GP	GROUP	143	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	5161.000000	5311.000000	TARBERT FM	FORMATION	162	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	5999.000000	6143.000000	TARBERT FM	FORMATION	162	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	6640.000000	7304.000000	TARBERT FM	FORMATION	162	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	1008.000000	1072.000000	UTSIRA FM	FORMATION	183	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	5008.000000	5161.000000	VIKING GP	GROUP	188	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	6143.000000	6455.000000	VIKING GP	GROUP	188	2004-12-22	4902	9999-12-31	2013-05-08
34/10-48 S	7304.000000	7393.000000	VIKING GP	GROUP	188	2004-12-22	4902	9999-12-31	2013-05-08
6507/3-4	1620.000000	1900.000000	BRYGGE FM	FORMATION	18	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	3856.000000	4092.000000	BÅT GP	GROUP	22	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	2883.000000	3161.000000	CROMER KNOLL GP	GROUP	23	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	3725.000000	3856.000000	FANGST GP	GROUP	38	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	3725.000000	3738.000000	GARN FM	FORMATION	48	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	1620.000000	1900.000000	HORDALAND GP	GROUP	67	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	3786.000000	3856.000000	ILE FM	FORMATION	70	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	1313.000000	1620.000000	KAI FM	FORMATION	77	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	2824.000000	2883.000000	KVITNOS FM	FORMATION	91	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	2883.000000	3040.000000	LANGE FM	FORMATION	94	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	3040.000000	3161.000000	LYR FM	FORMATION	98	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	3185.000000	3725.000000	MELKE FM	FORMATION	105	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	408.000000	1313.000000	NAUST FM	FORMATION	109	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	2124.000000	2824.000000	NISE FM	FORMATION	112	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	408.000000	1620.000000	NORDLAND GP	GROUP	113	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	3738.000000	3786.000000	NOT FM	FORMATION	120	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	1900.000000	1995.000000	ROGALAND GP	GROUP	131	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	3856.000000	3919.000000	ROR FM	FORMATION	135	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	1995.000000	2883.000000	SHETLAND GP	GROUP	143	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	3161.000000	3185.000000	SPEKK FM	FORMATION	155	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	1995.000000	2124.000000	SPRINGAR FM	FORMATION	156	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	1942.000000	1995.000000	TANG FM	FORMATION	161	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	1900.000000	1942.000000	TARE FM	FORMATION	163	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	3919.000000	4047.000000	TILJE FM	FORMATION	169	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	3161.000000	3725.000000	VIKING GP	GROUP	188	2004-04-30	4905	9999-12-31	2013-05-08
6507/3-4	4047.000000	4092.000000	ÅRE FM	FORMATION	197	2004-04-30	4905	9999-12-31	2013-05-08
24/9-7	1946.000000	1963.000000	BALDER FM	FORMATION	6	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	1975.000000	2074.000000	BALDER FM	FORMATION	6	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	1149.000000	1268.000000	GRID FM	FORMATION	53	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	1305.000000	1329.000000	GRID FM	FORMATION	53	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	2169.000000	2280.000000	HEIMDAL FM	FORMATION	62	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	722.000000	1946.000000	HORDALAND GP	GROUP	67	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	2115.000000	2169.000000	LISTA FM	FORMATION	95	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	1268.000000	1305.000000	NO FORMAL NAME	FORMATION	111	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	1329.000000	1878.000000	NO FORMAL NAME	FORMATION	111	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	1878.000000	1911.000000	NO FORMAL NAME	FORMATION	111	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	1911.000000	1946.000000	NO FORMAL NAME	FORMATION	111	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	1963.000000	1975.000000	NO FORMAL NAME	FORMATION	111	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	153.000000	722.000000	NORDLAND GP	GROUP	113	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	1946.000000	2280.000000	ROGALAND GP	GROUP	131	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	2074.000000	2115.000000	SELE FM	FORMATION	142	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7	460.000000	722.000000	UTSIRA FM	FORMATION	183	2004-03-25	4910	9999-12-31	2013-05-08
24/9-7 A	1941.000000	1952.000000	BALDER FM	FORMATION	6	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	2007.000000	2075.000000	BALDER FM	FORMATION	6	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	2096.000000	2133.000000	BALDER FM	FORMATION	6	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	1149.000000	1268.000000	GRID FM	FORMATION	53	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	1305.000000	1329.000000	GRID FM	FORMATION	53	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	2248.000000	2277.000000	HEIMDAL FM	FORMATION	62	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	722.000000	1941.000000	HORDALAND GP	GROUP	67	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	2192.000000	2248.000000	LISTA FM	FORMATION	95	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	1268.000000	1305.000000	NO FORMAL NAME	FORMATION	111	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	1329.000000	1941.000000	NO FORMAL NAME	FORMATION	111	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	1952.000000	2007.000000	NO FORMAL NAME	FORMATION	111	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	2075.000000	2096.000000	NO FORMAL NAME	FORMATION	111	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	153.000000	722.000000	NORDLAND GP	GROUP	113	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	1941.000000	2277.000000	ROGALAND GP	GROUP	131	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	2133.000000	2192.000000	SELE FM	FORMATION	142	2004-03-29	4919	9999-12-31	2013-05-08
24/9-7 A	460.000000	722.000000	UTSIRA FM	FORMATION	183	2004-03-29	4919	9999-12-31	2013-05-08
26/4-2	1978.000000	2021.000000	BALDER FM	FORMATION	6	2004-04-26	4925	9999-12-31	2013-05-08
26/4-2	2040.000000	2093.000000	HERMOD FM	FORMATION	64	2004-04-26	4925	9999-12-31	2013-05-08
26/4-2	900.000000	1978.000000	HORDALAND GP	GROUP	67	2004-04-26	4925	9999-12-31	2013-05-08
26/4-2	2113.000000	2214.000000	LISTA FM	FORMATION	95	2004-04-26	4925	9999-12-31	2013-05-08
26/4-2	160.000000	900.000000	NORDLAND GP	GROUP	113	2004-04-26	4925	9999-12-31	2013-05-08
26/4-2	1978.000000	2252.000000	ROGALAND GP	GROUP	131	2004-04-26	4925	9999-12-31	2013-05-08
26/4-2	2021.000000	2040.000000	SELE FM	FORMATION	142	2004-04-26	4925	9999-12-31	2013-05-08
26/4-2	2093.000000	2113.000000	SELE FM	FORMATION	142	2004-04-26	4925	9999-12-31	2013-05-08
26/4-2	2252.000000	2302.000000	SHETLAND GP	GROUP	143	2004-04-26	4925	9999-12-31	2013-05-08
26/4-2	2252.000000	2302.000000	TOR FM	FORMATION	171	2004-04-26	4925	9999-12-31	2013-05-08
26/4-2	695.000000	900.000000	UTSIRA FM	FORMATION	183	2004-04-26	4925	9999-12-31	2013-05-08
26/4-2	2214.000000	2252.000000	VÅLE FM	FORMATION	190	2004-04-26	4925	9999-12-31	2013-05-08
24/9-7 B	2053.000000	2170.000000	BALDER FM	FORMATION	6	2004-04-02	4926	9999-12-31	2013-05-08
24/9-7 B	1151.000000	1293.000000	GRID FM	FORMATION	53	2004-04-02	4926	9999-12-31	2013-05-08
24/9-7 B	1327.000000	1342.000000	GRID FM	FORMATION	53	2004-04-02	4926	9999-12-31	2013-05-08
24/9-7 B	722.000000	2053.000000	HORDALAND GP	GROUP	67	2004-04-02	4926	9999-12-31	2013-05-08
24/9-7 B	2213.000000	2230.000000	LISTA FM	FORMATION	95	2004-04-02	4926	9999-12-31	2013-05-08
24/9-7 B	1293.000000	1327.000000	NO FORMAL NAME	FORMATION	111	2004-04-02	4926	9999-12-31	2013-05-08
24/9-7 B	1342.000000	2053.000000	NO FORMAL NAME	FORMATION	111	2004-04-02	4926	9999-12-31	2013-05-08
24/9-7 B	153.000000	722.000000	NORDLAND GP	GROUP	113	2004-04-02	4926	9999-12-31	2013-05-08
24/9-7 B	2053.000000	2230.000000	ROGALAND GP	GROUP	131	2004-04-02	4926	9999-12-31	2013-05-08
24/9-7 B	2170.000000	2213.000000	SELE FM	FORMATION	142	2004-04-02	4926	9999-12-31	2013-05-08
24/9-7 B	460.000000	722.000000	UTSIRA FM	FORMATION	183	2004-04-02	4926	9999-12-31	2013-05-08
6406/9-1	1655.000000	2247.000000	BRYGGE FM	FORMATION	18	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4634.000000	5080.000000	BÅT GP	GROUP	22	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	2928.000000	4254.000000	CROMER KNOLL GP	GROUP	23	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4415.000000	4634.000000	FANGST GP	GROUP	38	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4415.000000	4472.000000	GARN FM	FORMATION	48	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	1655.000000	2247.000000	HORDALAND GP	GROUP	67	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4533.000000	4634.000000	ILE FM	FORMATION	70	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	1191.000000	1655.000000	KAI FM	FORMATION	77	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	2732.000000	2928.000000	KVITNOS FM	FORMATION	91	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	3405.000000	4229.000000	LANGE FM	FORMATION	94	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4229.000000	4254.000000	LYR FM	FORMATION	98	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	2928.000000	3405.000000	LYSING FM	FORMATION	99	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4269.000000	4415.000000	MELKE FM	FORMATION	105	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	333.000000	1191.000000	NAUST FM	FORMATION	109	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	2516.000000	2732.000000	NISE FM	FORMATION	112	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	333.000000	1655.000000	NORDLAND GP	GROUP	113	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4472.000000	4533.000000	NOT FM	FORMATION	120	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	2247.000000	2405.000000	ROGALAND GP	GROUP	131	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4634.000000	4681.000000	ROR FM	FORMATION	135	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4721.000000	4826.000000	ROR FM	FORMATION	135	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	2405.000000	2928.000000	SHETLAND GP	GROUP	143	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4254.000000	4269.000000	SPEKK FM	FORMATION	155	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	2405.000000	2516.000000	SPRINGAR FM	FORMATION	156	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	2333.000000	2405.000000	TANG FM	FORMATION	161	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	2247.000000	2333.000000	TARE FM	FORMATION	163	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4826.000000	5024.000000	TILJE FM	FORMATION	169	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4681.000000	4721.000000	TOFTE FM	FORMATION	170	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	4254.000000	4415.000000	VIKING GP	GROUP	188	2005-06-02	4927	9999-12-31	2013-05-08
6406/9-1	5024.000000	5080.000000	ÅRE FM	FORMATION	197	2005-06-02	4927	9999-12-31	2013-05-08
16/1-7	2130.000000	2197.000000	BALDER FM	FORMATION	6	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2727.000000	2747.000000	CROMER KNOLL GP	GROUP	23	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2747.000000	2918.000000	DRAUPNE FM	FORMATION	28	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2522.000000	2560.000000	EKOFISK FM	FORMATION	33	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	1631.000000	1723.000000	GRID FM	FORMATION	53	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	1782.000000	1820.000000	GRID FM	FORMATION	53	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	1862.000000	1922.000000	GRID FM	FORMATION	53	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2918.000000	2953.000000	HEATHER FM	FORMATION	60	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2327.000000	2400.000000	HEIMDAL FM	FORMATION	62	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	815.000000	2130.000000	HORDALAND GP	GROUP	67	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2263.000000	2327.000000	LISTA FM	FORMATION	95	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2400.000000	2522.000000	LISTA FM	FORMATION	95	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2327.000000	2400.000000	MEILE MBR (INFORMAL)	MEMBER	103	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	1240.000000	1631.000000	NO FORMAL NAME	FORMATION	111	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	1723.000000	1782.000000	NO FORMAL NAME	FORMATION	111	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	1820.000000	1862.000000	NO FORMAL NAME	FORMATION	111	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	1922.000000	2130.000000	NO FORMAL NAME	FORMATION	111	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	141.000000	815.000000	NORDLAND GP	GROUP	113	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2130.000000	2522.000000	ROGALAND GP	GROUP	131	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2197.000000	2263.000000	SELE FM	FORMATION	142	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2522.000000	2727.000000	SHETLAND GP	GROUP	143	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	920.000000	1240.000000	SKADE FM	FORMATION	145	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	3083.000000	3186.000000	SKAGERRAK FM	FORMATION	146	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2953.000000	3083.000000	SLEIPNER FM	FORMATION	148	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2560.000000	2727.000000	TOR FM	FORMATION	171	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	743.000000	815.000000	UTSIRA FM	FORMATION	183	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2953.000000	3083.000000	VESTLAND GP	GROUP	186	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	2747.000000	2953.000000	VIKING GP	GROUP	188	2004-05-28	4928	9999-12-31	2013-05-08
16/1-7	3083.000000	3186.000000	NO GROUP DEFINED	GROUP	208	2004-05-28	4928	9999-12-31	2013-05-08
24/9-7 C	2147.000000	2250.000000	BALDER FM	FORMATION	6	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	2309.000000	2338.000000	BALDER FM	FORMATION	6	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	1152.000000	1320.000000	GRID FM	FORMATION	53	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	1371.000000	1379.000000	GRID FM	FORMATION	53	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	1407.000000	1432.000000	GRID FM	FORMATION	53	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	722.000000	2147.000000	HORDALAND GP	GROUP	67	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	1320.000000	1371.000000	NO FORMAL NAME	FORMATION	111	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	1379.000000	1407.000000	NO FORMAL NAME	FORMATION	111	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	1432.000000	2147.000000	NO FORMAL NAME	FORMATION	111	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	2250.000000	2309.000000	NO FORMAL NAME	FORMATION	111	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	153.000000	722.000000	NORDLAND GP	GROUP	113	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	2147.000000	2363.000000	ROGALAND GP	GROUP	131	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	2338.000000	2363.000000	SELE FM	FORMATION	142	2004-04-11	4930	9999-12-31	2013-05-08
24/9-7 C	460.000000	722.000000	UTSIRA FM	FORMATION	183	2004-04-11	4930	9999-12-31	2013-05-08
6608/11-4	1434.000000	1527.000000	BRYGGE FM	FORMATION	18	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	1656.000000	2153.000000	BÅT GP	GROUP	22	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	2153.000000	2215.000000	GREY BEDS (INFORMAL)	GROUP	52	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	1434.000000	1527.000000	HORDALAND GP	GROUP	67	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	1390.000000	1434.000000	KAI FM	FORMATION	77	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	378.000000	1390.000000	NAUST FM	FORMATION	109	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	1650.000000	1656.000000	NISE FM	FORMATION	112	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	378.000000	1434.000000	NORDLAND GP	GROUP	113	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	2215.000000	2317.000000	RED BEDS (INFORMAL)	GROUP	129	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	1527.000000	1593.000000	ROGALAND GP	GROUP	131	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	1593.000000	1656.000000	SHETLAND GP	GROUP	143	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	1593.000000	1650.000000	SPRINGAR FM	FORMATION	156	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	1527.000000	1593.000000	TARE FM	FORMATION	163	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	1656.000000	1668.000000	TILJE FM	FORMATION	169	2004-05-23	4939	9999-12-31	2013-05-08
6608/11-4	1668.000000	2153.000000	ÅRE FM	FORMATION	197	2004-05-23	4939	9999-12-31	2013-05-08
30/11-6 S	2270.000000	2337.000000	BALDER FM	FORMATION	6	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	3150.000000	3497.000000	BRENT GP	GROUP	16	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2956.000000	2961.000000	CROMER KNOLL GP	GROUP	23	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	3497.000000	3550.000000	DRAKE FM	FORMATION	27	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2961.000000	2993.000000	DRAUPNE FM	FORMATION	28	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	3497.000000	3550.000000	DUNLIN GP	GROUP	29	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2639.000000	2846.000000	HARDRÅDE FM	FORMATION	56	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2993.000000	3150.000000	HEATHER FM	FORMATION	60	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	749.000000	2270.000000	HORDALAND GP	GROUP	67	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2846.000000	2956.000000	KYRRE FM	FORMATION	92	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2457.000000	2565.000000	LISTA FM	FORMATION	95	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	3311.000000	3497.000000	NESS FM	FORMATION	110	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	132.000000	749.000000	NORDLAND GP	GROUP	113	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2270.000000	2639.000000	ROGALAND GP	GROUP	131	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2956.000000	2961.000000	RØDBY FM	FORMATION	137	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2337.000000	2457.000000	SELE FM	FORMATION	142	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2639.000000	2956.000000	SHETLAND GP	GROUP	143	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	3150.000000	3311.000000	TARBERT FM	FORMATION	162	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	574.000000	749.000000	UTSIRA FM	FORMATION	183	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2961.000000	3150.000000	VIKING GP	GROUP	188	2004-07-02	4950	9999-12-31	2013-05-08
30/11-6 S	2565.000000	2639.000000	VÅLE FM	FORMATION	190	2004-07-02	4950	9999-12-31	2013-05-08
6507/1-1	1895.000000	1992.000000	BRYGGE FM	FORMATION	18	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	3446.000000	3745.000000	CROMER KNOLL GP	GROUP	23	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	1895.000000	1992.000000	HORDALAND GP	GROUP	67	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	1536.000000	1895.000000	KAI FM	FORMATION	77	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	2478.000000	3446.000000	KVITNOS FM	FORMATION	91	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	3510.000000	3745.000000	LANGE FM	FORMATION	94	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	3446.000000	3510.000000	LYSING FM	FORMATION	99	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	423.000000	1536.000000	NAUST FM	FORMATION	109	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	2331.000000	2478.000000	NISE FM	FORMATION	112	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	423.000000	1895.000000	NORDLAND GP	GROUP	113	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	1992.000000	2145.000000	ROGALAND GP	GROUP	131	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	2145.000000	3446.000000	SHETLAND GP	GROUP	143	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	2145.000000	2331.000000	SPRINGAR FM	FORMATION	156	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	2090.000000	2145.000000	TANG FM	FORMATION	161	2004-11-02	4955	9999-12-31	2013-05-08
6507/1-1	1992.000000	2090.000000	TARE FM	FORMATION	163	2004-11-02	4955	9999-12-31	2013-05-08
6605/8-1	2090.000000	2389.000000	BRYGGE FM	FORMATION	18	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	4184.000000	4513.000000	CROMER KNOLL GP	GROUP	23	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	2090.000000	2389.000000	HORDALAND GP	GROUP	67	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	1678.000000	2090.000000	KAI FM	FORMATION	77	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	3472.000000	4184.000000	KVITNOS FM	FORMATION	91	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	4485.000000	4513.000000	LANGE FM	FORMATION	94	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	4184.000000	4485.000000	LYSING FM	FORMATION	99	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	862.000000	1678.000000	NAUST FM	FORMATION	109	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	2988.000000	3472.000000	NISE FM	FORMATION	112	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	862.000000	2090.000000	NORDLAND GP	GROUP	113	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	2389.000000	2646.000000	ROGALAND GP	GROUP	131	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	2646.000000	4184.000000	SHETLAND GP	GROUP	143	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	2646.000000	2988.000000	SPRINGAR FM	FORMATION	156	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	2497.000000	2646.000000	TANG FM	FORMATION	161	2005-10-22	4984	9999-12-31	2013-05-08
6605/8-1	2389.000000	2497.000000	TARE FM	FORMATION	163	2005-10-22	4984	9999-12-31	2013-05-08
6406/1-3	2106.000000	2485.000000	BRYGGE FM	FORMATION	18	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	3419.000000	4276.000000	CROMER KNOLL GP	GROUP	23	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	2106.000000	2485.000000	HORDALAND GP	GROUP	67	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	1590.000000	2106.000000	KAI FM	FORMATION	77	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	3442.000000	4276.000000	LANGE FM	FORMATION	94	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	3419.000000	3442.000000	LYSING FM	FORMATION	99	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	383.000000	1590.000000	NAUST FM	FORMATION	109	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	2683.000000	3419.000000	NISE FM	FORMATION	112	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	383.000000	2106.000000	NORDLAND GP	GROUP	113	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	2485.000000	2600.000000	ROGALAND GP	GROUP	131	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	2600.000000	3419.000000	SHETLAND GP	GROUP	143	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	2600.000000	2683.000000	SPRINGAR FM	FORMATION	156	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	2551.000000	2600.000000	TANG FM	FORMATION	161	2004-12-22	4986	9999-12-31	2013-05-08
6406/1-3	2485.000000	2551.000000	TARE FM	FORMATION	163	2004-12-22	4986	9999-12-31	2013-05-08
25/8-15 S	3086.000000	3347.000000	BALDER FM	FORMATION	6	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	4656.000000	4698.000000	BURTON FM	FORMATION	20	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	4612.000000	4648.000000	CROMER KNOLL GP	GROUP	23	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	4546.000000	4612.000000	DUNLIN GP	GROUP	29	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	4656.000000	4698.000000	DUNLIN GP	GROUP	29	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	4648.000000	4656.000000	HEATHER FM	FORMATION	60	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	1121.000000	3086.000000	HORDALAND GP	GROUP	67	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	3822.000000	4393.000000	LISTA FM	FORMATION	95	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	189.000000	1121.000000	NORDLAND GP	GROUP	113	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	3086.000000	4393.000000	ROGALAND GP	GROUP	131	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	3347.000000	3822.000000	SELE FM	FORMATION	142	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	4393.000000	4546.000000	SHETLAND GP	GROUP	143	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	4698.000000	4804.000000	STATFJORD FM	FORMATION	157	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	623.000000	1121.000000	UTSIRA FM	FORMATION	183	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	4648.000000	4656.000000	VIKING GP	GROUP	188	2004-08-07	5000	9999-12-31	2013-05-08
25/8-15 S	4698.000000	4804.000000	NO GROUP DEFINED	GROUP	208	2004-08-07	5000	9999-12-31	2013-05-08
7227/11-1 S	262.000000	1142.000000	ADVENTDALEN GP	GROUP	1	2006-02-22	5006	9999-12-31	2013-05-08
7227/11-1 S	1201.000000	2590.000000	GIPSDALEN GP	GROUP	51	2006-02-22	5006	9999-12-31	2013-05-08
7227/11-1 S	1091.000000	1142.000000	HEKKINGEN FM	FORMATION	63	2006-02-22	5006	9999-12-31	2013-05-08
7227/11-1 S	1142.000000	1201.000000	KAPP TOSCANA GP	GROUP	79	2006-02-22	5006	9999-12-31	2013-05-08
7227/11-1 S	262.000000	1091.000000	KOLMULE FM	FORMATION	85	2006-02-22	5006	9999-12-31	2013-05-08
7227/11-1 S	1166.000000	1190.000000	NORDMELA FM	FORMATION	118	2006-02-22	5006	9999-12-31	2013-05-08
7227/11-1 S	1142.000000	1166.000000	STØ FM	FORMATION	159	2006-02-22	5006	9999-12-31	2013-05-08
7227/11-1 S	1190.000000	1201.000000	TUBÅEN FM	FORMATION	174	2006-02-22	5006	9999-12-31	2013-05-08
7227/11-1 S	1201.000000	2590.000000	ØRN FM	FORMATION	195	2006-02-22	5006	9999-12-31	2013-05-08
15/12-15	2448.000000	2459.000000	BALDER FM	FORMATION	6	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	2881.000000	2956.000000	CROMER KNOLL GP	GROUP	23	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	2956.000000	2962.000000	DRAUPNE FM	FORMATION	28	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	3045.000000	3279.000000	INTRA HEATHER FM SS	FORMATION	59	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	2962.000000	3045.000000	HEATHER FM	FORMATION	60	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	1302.000000	2448.000000	HORDALAND GP	GROUP	67	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	2512.000000	2636.000000	LISTA FM	FORMATION	95	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	113.000000	1302.000000	NORDLAND GP	GROUP	113	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	2448.000000	2655.000000	ROGALAND GP	GROUP	131	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	2459.000000	2512.000000	SELE FM	FORMATION	142	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	2655.000000	2881.000000	SHETLAND GP	GROUP	143	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	3279.000000	3300.000000	SLEIPNER FM	FORMATION	148	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	1070.000000	1302.000000	UTSIRA FM	FORMATION	183	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	3279.000000	3300.000000	VESTLAND GP	GROUP	186	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	2956.000000	3279.000000	VIKING GP	GROUP	188	2004-12-21	5017	9999-12-31	2013-05-08
15/12-15	2636.000000	2655.000000	VÅLE FM	FORMATION	190	2004-12-21	5017	9999-12-31	2013-05-08
7220/6-1	1483.000000	1540.000000	BASEMENT	GROUP	10	2005-03-29	5039	9999-12-31	2013-05-08
7220/6-1	1436.000000	1483.000000	FALK FM	FORMATION	36	2005-03-29	5039	9999-12-31	2013-05-08
7220/6-1	1138.000000	1483.000000	GIPSDALEN GP	GROUP	51	2005-03-29	5039	9999-12-31	2013-05-08
7220/6-1	476.000000	1138.000000	KAPP TOSCANA GP	GROUP	79	2005-03-29	5039	9999-12-31	2013-05-08
7220/6-1	394.000000	476.000000	NORDLAND GP	GROUP	113	2005-03-29	5039	9999-12-31	2013-05-08
7220/6-1	476.000000	1138.000000	SNADD FM	FORMATION	150	2005-03-29	5039	9999-12-31	2013-05-08
7220/6-1	1138.000000	1436.000000	ØRN FM	FORMATION	195	2005-03-29	5039	9999-12-31	2013-05-08
34/10-48 A	2357.000000	2528.000000	BALDER FM	FORMATION	6	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	5158.000000	5611.000000	BRENT GP	GROUP	16	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	3612.000000	3657.000000	CROMER KNOLL GP	GROUP	23	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	6067.000000	6136.000000	CROMER KNOLL GP	GROUP	23	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	4891.000000	5008.000000	COOK FM	FORMATION	24	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	4645.000000	4891.000000	DRAKE FM	FORMATION	27	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	4645.000000	5008.000000	DUNLIN GP	GROUP	29	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	5008.000000	5158.000000	HEATHER FM	FORMATION	60	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	5611.000000	5988.000000	HEATHER FM	FORMATION	60	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	3657.000000	4645.000000	HEGRE GP	GROUP	61	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	1072.000000	2357.000000	HORDALAND GP	GROUP	67	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	2528.000000	2851.000000	LISTA FM	FORMATION	95	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	3657.000000	4645.000000	LUNDE FM	FORMATION	97	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	5460.000000	5461.000000	NESS FM	FORMATION	110	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	301.000000	1072.000000	NORDLAND GP	GROUP	113	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	2357.000000	2851.000000	ROGALAND GP	GROUP	131	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	2851.000000	3612.000000	SHETLAND GP	GROUP	143	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	5988.000000	6067.000000	SHETLAND GP	GROUP	143	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	5158.000000	5460.000000	TARBERT FM	FORMATION	162	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	5461.000000	5611.000000	TARBERT FM	FORMATION	162	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	1008.000000	1072.000000	UTSIRA FM	FORMATION	183	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	5008.000000	5158.000000	VIKING GP	GROUP	188	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	5611.000000	5988.000000	VIKING GP	GROUP	188	2005-02-15	5046	9999-12-31	2013-05-08
34/10-48 A	6136.000000	6221.000000	VIKING GP	GROUP	188	2005-02-15	5046	9999-12-31	2013-05-08
31/4-12	1719.000000	1775.000000	BALDER FM	FORMATION	6	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	1995.000000	2043.000000	CROMER KNOLL GP	GROUP	23	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	2043.000000	2089.000000	DRAUPNE FM	FORMATION	28	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	2172.000000	2226.000000	FENSFJORD FM	FORMATION	40	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	2125.000000	2172.000000	HEATHER FM	FORMATION	60	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	895.000000	1719.000000	HORDALAND GP	GROUP	67	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	1977.000000	1995.000000	JORSALFARE FM	FORMATION	74	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	1821.000000	1904.000000	LISTA FM	FORMATION	95	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	235.000000	895.000000	NORDLAND GP	GROUP	113	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	1719.000000	1977.000000	ROGALAND GP	GROUP	131	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	1995.000000	2025.000000	RØDBY FM	FORMATION	137	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	1775.000000	1821.000000	SELE FM	FORMATION	142	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	1977.000000	1995.000000	SHETLAND GP	GROUP	143	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	2089.000000	2125.000000	SOGNEFJORD FM	FORMATION	151	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	767.000000	895.000000	UTSIRA FM	FORMATION	183	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	2043.000000	2226.000000	VIKING GP	GROUP	188	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	1904.000000	1977.000000	VÅLE FM	FORMATION	190	2005-03-14	5051	9999-12-31	2013-05-08
31/4-12	2025.000000	2043.000000	ÅSGARD FM	FORMATION	198	2005-03-14	5051	9999-12-31	2013-05-08
6406/1-3 R	2108.000000	2487.000000	BRYGGE FM	FORMATION	18	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	3421.000000	4278.000000	CROMER KNOLL GP	GROUP	23	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	2108.000000	2487.000000	HORDALAND GP	GROUP	67	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	1592.000000	2108.000000	KAI FM	FORMATION	77	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	3444.000000	4278.000000	LANGE FM	FORMATION	94	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	3421.000000	3444.000000	LYSING FM	FORMATION	99	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	385.000000	1592.000000	NAUST FM	FORMATION	109	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	2685.000000	3421.000000	NISE FM	FORMATION	112	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	385.000000	2108.000000	NORDLAND GP	GROUP	113	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	2487.000000	2602.000000	ROGALAND GP	GROUP	131	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	2602.000000	3421.000000	SHETLAND GP	GROUP	143	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	2602.000000	2685.000000	SPRINGAR FM	FORMATION	156	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	2553.000000	2602.000000	TANG FM	FORMATION	161	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R	2487.000000	2553.000000	TARE FM	FORMATION	163	2005-02-06	5056	9999-12-31	2013-05-08
6406/1-3 R2	2106.000000	2485.000000	BRYGGE FM	FORMATION	18	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	3419.000000	4276.000000	CROMER KNOLL GP	GROUP	23	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	2106.000000	2485.000000	HORDALAND GP	GROUP	67	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	1590.000000	2106.000000	KAI FM	FORMATION	77	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	3442.000000	4276.000000	LANGE FM	FORMATION	94	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	3419.000000	3442.000000	LYSING FM	FORMATION	99	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	383.000000	1590.000000	NAUST FM	FORMATION	109	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	2683.000000	3419.000000	NISE FM	FORMATION	112	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	383.000000	2106.000000	NORDLAND GP	GROUP	113	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	2485.000000	2600.000000	ROGALAND GP	GROUP	131	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	2600.000000	3419.000000	SHETLAND GP	GROUP	143	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	2600.000000	2683.000000	SPRINGAR FM	FORMATION	156	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	2551.000000	2600.000000	TANG FM	FORMATION	161	2005-03-14	5060	9999-12-31	2013-05-08
6406/1-3 R2	2485.000000	2551.000000	TARE FM	FORMATION	163	2005-03-14	5060	9999-12-31	2013-05-08
35/11-13	1541.000000	1553.000000	BALDER FM	FORMATION	6	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	2626.000000	2646.000000	BLODØKS FM	FORMATION	13	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	2671.000000	2902.000000	CROMER KNOLL GP	GROUP	23	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	2902.000000	3013.000000	DRAUPNE FM	FORMATION	28	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	3096.000000	3206.000000	INTRA HEATHER FM SS	FORMATION	59	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	3013.000000	3096.000000	HEATHER FM	FORMATION	60	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	3206.000000	3292.000000	HEATHER FM	FORMATION	60	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	763.000000	1541.000000	HORDALAND GP	GROUP	67	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	1938.000000	2088.000000	JORSALFARE FM	FORMATION	74	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	2088.000000	2565.000000	KYRRE FM	FORMATION	92	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	1553.000000	1598.000000	LISTA FM	FORMATION	95	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	1752.000000	1769.000000	LISTA FM	FORMATION	95	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	1697.000000	1752.000000	NO FORMAL NAME	FORMATION	111	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	1842.000000	1923.000000	NO FORMAL NAME	FORMATION	111	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	387.000000	763.000000	NORDLAND GP	GROUP	113	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	1541.000000	1938.000000	ROGALAND GP	GROUP	131	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	2671.000000	2700.000000	RØDBY FM	FORMATION	137	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	1598.000000	1697.000000	SELE FM	FORMATION	142	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	1938.000000	2671.000000	SHETLAND GP	GROUP	143	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	2646.000000	2671.000000	SVARTE FM	FORMATION	160	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	2565.000000	2626.000000	TRYGGVASON FM	FORMATION	173	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	2902.000000	3292.000000	VIKING GP	GROUP	188	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	1769.000000	1842.000000	VÅLE FM	FORMATION	190	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	1923.000000	1938.000000	VÅLE FM	FORMATION	190	2005-05-28	5063	9999-12-31	2013-05-08
35/11-13	2700.000000	2902.000000	ÅSGARD FM	FORMATION	198	2005-05-28	5063	9999-12-31	2013-05-08
6302/6-1	2582.000000	3223.000000	BRYGGE FM	FORMATION	18	2005-10-04	5086	9999-12-31	2013-05-08
6302/6-1	2582.000000	3223.000000	HORDALAND GP	GROUP	67	2005-10-04	5086	9999-12-31	2013-05-08
6302/6-1	2463.000000	2582.000000	KAI FM	FORMATION	77	2005-10-04	5086	9999-12-31	2013-05-08
6302/6-1	1286.000000	2463.000000	NAUST FM	FORMATION	109	2005-10-04	5086	9999-12-31	2013-05-08
6302/6-1	3901.000000	4080.000000	NO FORMAL NAME	FORMATION	111	2005-10-04	5086	9999-12-31	2013-05-08
6302/6-1	1286.000000	2582.000000	NORDLAND GP	GROUP	113	2005-10-04	5086	9999-12-31	2013-05-08
6302/6-1	3223.000000	4080.000000	ROGALAND GP	GROUP	131	2005-10-04	5086	9999-12-31	2013-05-08
6302/6-1	4080.000000	4234.000000	SHETLAND GP	GROUP	143	2005-10-04	5086	9999-12-31	2013-05-08
6302/6-1	4080.000000	4234.000000	SPRINGAR FM	FORMATION	156	2005-10-04	5086	9999-12-31	2013-05-08
6302/6-1	3395.000000	3901.000000	TANG FM	FORMATION	161	2005-10-04	5086	9999-12-31	2013-05-08
6302/6-1	3223.000000	3395.000000	TARE FM	FORMATION	163	2005-10-04	5086	9999-12-31	2013-05-08
7131/4-1	430.000000	878.000000	ADVENTDALEN GP	GROUP	1	2005-05-13	5093	9999-12-31	2013-05-08
7131/4-1	883.000000	960.000000	FRUHOLMEN FM	FORMATION	46	2005-05-13	5093	9999-12-31	2013-05-08
7131/4-1	839.000000	878.000000	HEKKINGEN FM	FORMATION	63	2005-05-13	5093	9999-12-31	2013-05-08
7131/4-1	878.000000	1172.000000	KAPP TOSCANA GP	GROUP	79	2005-05-13	5093	9999-12-31	2013-05-08
7131/4-1	824.000000	839.000000	KNURR FM	FORMATION	82	2005-05-13	5093	9999-12-31	2013-05-08
7131/4-1	1172.000000	1295.000000	KOBBE FM	FORMATION	83	2005-05-13	5093	9999-12-31	2013-05-08
7131/4-1	430.000000	824.000000	KOLMULE FM	FORMATION	85	2005-05-13	5093	9999-12-31	2013-05-08
7131/4-1	1172.000000	1295.000000	SASSENDALEN GP	GROUP	140	2005-05-13	5093	9999-12-31	2013-05-08
7131/4-1	960.000000	1172.000000	SNADD FM	FORMATION	150	2005-05-13	5093	9999-12-31	2013-05-08
7131/4-1	878.000000	883.000000	STØ FM	FORMATION	159	2005-05-13	5093	9999-12-31	2013-05-08
9/4-5	1077.000000	1098.000000	BALDER FM	FORMATION	6	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	2300.000000	2703.000000	BOKNFJORD GP	GROUP	15	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	2783.000000	2836.000000	BRYNE FM	FORMATION	19	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	2006.000000	2300.000000	CROMER KNOLL GP	GROUP	23	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	2654.000000	2703.000000	EGERSUND FM	FORMATION	30	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	1261.000000	1397.000000	EKOFISK FM	FORMATION	33	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	2300.000000	2387.000000	FLEKKEFJORD FM	FORMATION	43	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	607.000000	1077.000000	HORDALAND GP	GROUP	67	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	1134.000000	1210.000000	LISTA FM	FORMATION	95	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	121.000000	607.000000	NORDLAND GP	GROUP	113	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	1077.000000	1261.000000	ROGALAND GP	GROUP	131	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	5279.000000	5838.000000	ROTLIEGEND GP	GROUP	136	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	2703.000000	2783.000000	SANDNES FM	FORMATION	139	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	2387.000000	2603.000000	SAUDA FM	FORMATION	141	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	1098.000000	1134.000000	SELE FM	FORMATION	142	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	1261.000000	2006.000000	SHETLAND GP	GROUP	143	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	2836.000000	4638.000000	SKAGERRAK FM	FORMATION	146	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	4638.000000	5224.000000	SMITH BANK FM	FORMATION	149	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	2603.000000	2654.000000	TAU FM	FORMATION	164	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	1397.000000	2006.000000	TOR FM	FORMATION	171	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	2703.000000	2836.000000	VESTLAND GP	GROUP	186	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	1210.000000	1261.000000	VÅLE FM	FORMATION	190	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	5838.000000	5881.000000	UNDEFINED GP	GROUP	191	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	5224.000000	5279.000000	ZECHSTEIN GP	GROUP	194	2006-08-01	5134	9999-12-31	2013-05-08
9/4-5	2836.000000	5224.000000	NO GROUP DEFINED	GROUP	208	2006-08-01	5134	9999-12-31	2013-05-08
35/2-1	409.000000	713.000000	NORDLAND GP	GROUP	113	2005-08-28	5135	9999-12-31	2013-05-08
34/10-49 S	2980.000000	3278.000000	AMUNDSEN FM	FORMATION	4	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	4022.000000	4126.000000	AMUNDSEN FM	FORMATION	4	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	1792.000000	1872.000000	BALDER FM	FORMATION	6	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	2497.000000	2627.000000	BRENT GP	GROUP	16	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	2925.000000	2980.000000	BURTON FM	FORMATION	20	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	2740.000000	2925.000000	COOK FM	FORMATION	24	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	2627.000000	2740.000000	DRAKE FM	FORMATION	27	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	2627.000000	3278.000000	DUNLIN GP	GROUP	29	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	2530.000000	2557.000000	ETIVE FM	FORMATION	35	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	2488.000000	2497.000000	HEATHER FM	FORMATION	60	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	985.000000	1792.000000	HORDALAND GP	GROUP	67	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	1872.000000	1972.000000	LISTA FM	FORMATION	95	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	2497.000000	2530.000000	NESS FM	FORMATION	110	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	1093.000000	1568.000000	NO FORMAL NAME	FORMATION	111	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	1568.000000	1738.000000	NO FORMAL NAME	FORMATION	111	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	1738.000000	1750.000000	NO FORMAL NAME	FORMATION	111	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	1750.000000	1792.000000	NO FORMAL NAME	FORMATION	111	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	160.000000	985.000000	NORDLAND GP	GROUP	113	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	2557.000000	2627.000000	RANNOCH FM	FORMATION	126	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	1792.000000	1972.000000	ROGALAND GP	GROUP	131	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	1972.000000	2488.000000	SHETLAND GP	GROUP	143	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	3278.000000	4022.000000	STATFJORD FM	FORMATION	157	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	904.000000	985.000000	UTSIRA FM	FORMATION	183	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	2488.000000	2497.000000	VIKING GP	GROUP	188	2006-05-01	5140	9999-12-31	2013-05-08
34/10-49 S	3278.000000	4126.000000	NO GROUP DEFINED	GROUP	208	2006-05-01	5140	9999-12-31	2013-05-08
9/3-2	566.000000	588.000000	BALDER FM	FORMATION	6	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	1970.000000	2660.000000	BOKNFJORD GP	GROUP	15	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	2778.000000	3068.000000	BRYNE FM	FORMATION	19	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	1069.000000	1970.000000	CROMER KNOLL GP	GROUP	23	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	2607.000000	2660.000000	EGERSUND FM	FORMATION	30	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	624.000000	665.000000	EKOFISK FM	FORMATION	33	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	3068.000000	3118.000000	FJERRITSLEV FM	FORMATION	42	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	1970.000000	2072.000000	FLEKKEFJORD FM	FORMATION	43	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	910.000000	1069.000000	HOD FM	FORMATION	66	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	414.000000	566.000000	HORDALAND GP	GROUP	67	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	598.000000	619.000000	LISTA FM	FORMATION	95	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	619.000000	624.000000	MAUREEN FM	FORMATION	102	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	147.000000	414.000000	NORDLAND GP	GROUP	113	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	566.000000	624.000000	ROGALAND GP	GROUP	131	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	2660.000000	2778.000000	SANDNES FM	FORMATION	139	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	2072.000000	2503.000000	SAUDA FM	FORMATION	141	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	588.000000	598.000000	SELE FM	FORMATION	142	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	624.000000	1069.000000	SHETLAND GP	GROUP	143	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	3118.000000	3154.000000	SKAGERRAK FM	FORMATION	146	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	1069.000000	1162.000000	SOLA FM	FORMATION	152	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	2503.000000	2607.000000	TAU FM	FORMATION	164	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	665.000000	910.000000	TOR FM	FORMATION	171	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	2660.000000	3068.000000	VESTLAND GP	GROUP	186	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	1162.000000	1970.000000	ÅSGARD FM	FORMATION	198	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	3068.000000	3118.000000	NO GROUP DEFINED	GROUP	208	2005-12-09	5173	9999-12-31	2013-05-08
9/3-2	3118.000000	3154.000000	NO GROUP DEFINED	GROUP	208	2005-12-09	5173	9999-12-31	2013-05-08
15/9-22	2355.000000	2398.000000	BALDER FM	FORMATION	6	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3211.000000	3323.000000	BLODØKS FM	FORMATION	13	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3323.000000	3400.000000	CROMER KNOLL GP	GROUP	23	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3400.000000	3548.000000	DRAUPNE FM	FORMATION	28	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	2794.000000	2838.000000	EKOFISK FM	FORMATION	33	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	1975.000000	2236.000000	GRID FM	FORMATION	53	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3548.000000	3572.000000	HEATHER FM	FORMATION	60	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	2509.000000	2702.000000	HEIMDAL FM	FORMATION	62	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3036.000000	3211.000000	HOD FM	FORMATION	66	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	1114.000000	2355.000000	HORDALAND GP	GROUP	67	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3572.000000	3713.000000	HUGIN FM	FORMATION	69	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	2453.000000	2509.000000	LISTA FM	FORMATION	95	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	2702.000000	2794.000000	LISTA FM	FORMATION	95	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	1477.000000	1975.000000	NO FORMAL NAME	FORMATION	111	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	2236.000000	2355.000000	NO FORMAL NAME	FORMATION	111	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	129.000000	1114.000000	NORDLAND GP	GROUP	113	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	2355.000000	2794.000000	ROGALAND GP	GROUP	131	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3323.000000	3400.000000	RØDBY FM	FORMATION	137	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	2398.000000	2453.000000	SELE FM	FORMATION	142	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	2794.000000	3323.000000	SHETLAND GP	GROUP	143	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	1443.000000	1477.000000	SKADE FM	FORMATION	145	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3756.000000	3923.000000	SKAGERRAK FM	FORMATION	146	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3713.000000	3756.000000	SLEIPNER FM	FORMATION	148	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	2838.000000	3036.000000	TOR FM	FORMATION	171	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	877.000000	1114.000000	UTSIRA FM	FORMATION	183	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3572.000000	3756.000000	VESTLAND GP	GROUP	186	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3400.000000	3572.000000	VIKING GP	GROUP	188	2006-03-13	5174	9999-12-31	2013-05-08
15/9-22	3756.000000	3923.000000	NO GROUP DEFINED	GROUP	208	2006-03-13	5174	9999-12-31	2013-05-08
15/3-8	2164.000000	2223.000000	BALDER FM	FORMATION	6	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	3673.000000	3686.000000	BLODØKS FM	FORMATION	13	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	3794.000000	3933.000000	CROMER KNOLL GP	GROUP	23	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	4073.000000	4392.000000	INTRA DRAUPNE FM SS	FORMATION	26	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	4474.000000	4592.000000	INTRA DRAUPNE FM SS	FORMATION	26	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	3933.000000	4073.000000	DRAUPNE FM	FORMATION	28	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	4392.000000	4474.000000	DRAUPNE FM	FORMATION	28	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	2740.000000	2792.000000	EKOFISK FM	FORMATION	33	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	1448.000000	1792.000000	GRID FM	FORMATION	53	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	858.000000	1136.000000	HORDALAND GP	GROUP	67	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	1136.000000	1792.000000	HORDALAND GP	GROUP	67	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	1792.000000	2164.000000	HORDALAND GP	GROUP	67	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	2792.000000	3213.000000	JORSALFARE FM	FORMATION	74	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	3213.000000	3341.000000	KYRRE FM	FORMATION	92	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	2277.000000	2603.000000	LISTA FM	FORMATION	95	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	133.000000	858.000000	NORDLAND GP	GROUP	113	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	2164.000000	2740.000000	ROGALAND GP	GROUP	131	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	2223.000000	2277.000000	SELE FM	FORMATION	142	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	2740.000000	3794.000000	SHETLAND GP	GROUP	143	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	1025.000000	1136.000000	SKADE FM	FORMATION	145	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	3859.000000	3875.000000	SOLA FM	FORMATION	152	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	3686.000000	3794.000000	SVARTE FM	FORMATION	160	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	3341.000000	3673.000000	TRYGGVASON FM	FORMATION	173	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	2603.000000	2740.000000	TY FM	FORMATION	176	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	658.000000	858.000000	UTSIRA FM	FORMATION	183	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	3933.000000	4592.000000	VIKING GP	GROUP	188	2006-04-11	5175	9999-12-31	2013-05-08
15/3-8	3875.000000	3933.000000	ÅSGARD FM	FORMATION	198	2006-04-11	5175	9999-12-31	2013-05-08
6406/1-4	2078.000000	2479.000000	BRYGGE FM	FORMATION	18	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	3440.000000	4558.000000	CROMER KNOLL GP	GROUP	23	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	2078.000000	2479.000000	HORDALAND GP	GROUP	67	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	1595.000000	2078.000000	KAI FM	FORMATION	77	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	2749.000000	3440.000000	KVITNOS FM	FORMATION	91	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	3453.000000	4558.000000	LANGE FM	FORMATION	94	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	3440.000000	3453.000000	LYSING FM	FORMATION	99	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	385.000000	1595.000000	NAUST FM	FORMATION	109	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	2671.000000	2749.000000	NISE FM	FORMATION	112	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	385.000000	2078.000000	NORDLAND GP	GROUP	113	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	4558.000000	4596.000000	RED BEDS (INFORMAL)	GROUP	129	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	2479.000000	2601.000000	ROGALAND GP	GROUP	131	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	2601.000000	3440.000000	SHETLAND GP	GROUP	143	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	2601.000000	2671.000000	SPRINGAR FM	FORMATION	156	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	2549.000000	2601.000000	TANG FM	FORMATION	161	2005-12-26	5183	9999-12-31	2013-05-08
6406/1-4	2479.000000	2549.000000	TARE FM	FORMATION	163	2005-12-26	5183	9999-12-31	2013-05-08
1/2-2	3077.000000	3094.000000	BALDER FM	FORMATION	6	2006-02-02	5192	9999-12-31	2013-05-08
1/2-2	3418.000000	3434.000000	EKOFISK FM	FORMATION	33	2006-02-02	5192	9999-12-31	2013-05-08
1/2-2	3135.000000	3296.000000	FORTIES FM	FORMATION	44	2006-02-02	5192	9999-12-31	2013-05-08
1/2-2	1675.000000	3077.000000	HORDALAND GP	GROUP	67	2006-02-02	5192	9999-12-31	2013-05-08
1/2-2	3296.000000	3368.000000	LISTA FM	FORMATION	95	2006-02-02	5192	9999-12-31	2013-05-08
1/2-2	3368.000000	3418.000000	MAUREEN FM	FORMATION	102	2006-02-02	5192	9999-12-31	2013-05-08
1/2-2	114.000000	1675.000000	NORDLAND GP	GROUP	113	2006-02-02	5192	9999-12-31	2013-05-08
1/2-2	3077.000000	3418.000000	ROGALAND GP	GROUP	131	2006-02-02	5192	9999-12-31	2013-05-08
1/2-2	3094.000000	3135.000000	SELE FM	FORMATION	142	2006-02-02	5192	9999-12-31	2013-05-08
1/2-2	3418.000000	3434.000000	SHETLAND GP	GROUP	143	2006-02-02	5192	9999-12-31	2013-05-08
7122/7-3	650.000000	1087.000000	ADVENTDALEN GP	GROUP	1	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	1073.000000	1087.000000	FUGLEN FM	FORMATION	47	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	2212.000000	2595.000000	HAVERT FM	FORMATION	58	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	1018.000000	1073.000000	HEKKINGEN FM	FORMATION	63	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	1087.000000	1808.000000	KAPP TOSCANA GP	GROUP	79	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	2044.000000	2212.000000	KLAPPMYSS FM	FORMATION	80	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	960.000000	1018.000000	KNURR FM	FORMATION	82	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	1808.000000	2044.000000	KOBBE FM	FORMATION	83	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	865.000000	960.000000	KOLJE FM	FORMATION	84	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	650.000000	865.000000	KOLMULE FM	FORMATION	85	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	634.000000	650.000000	KVITING FM	FORMATION	90	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	368.000000	634.000000	NORDLAND GP	GROUP	113	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	634.000000	650.000000	NYGRUNNEN GP	GROUP	122	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	1808.000000	2595.000000	SASSENDALEN GP	GROUP	140	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	1180.000000	1808.000000	SNADD FM	FORMATION	150	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	2595.000000	2726.000000	TEMPELFJORDEN GP	GROUP	167	2006-01-08	5214	9999-12-31	2013-05-08
7122/7-3	1087.000000	1180.000000	TUBÅEN FM	FORMATION	174	2006-01-08	5214	9999-12-31	2013-05-08
34/11-5 S	2042.000000	2111.000000	BALDER FM	FORMATION	6	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	7086.000000	7370.000000	BRENT GP	GROUP	16	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	6115.000000	6587.000000	CROMER KNOLL GP	GROUP	23	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	7370.000000	7380.000000	DRAKE FM	FORMATION	27	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	6587.000000	6796.000000	DRAUPNE FM	FORMATION	28	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	7370.000000	7380.000000	DUNLIN GP	GROUP	29	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	7291.000000	7307.000000	ETIVE FM	FORMATION	35	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	6796.000000	7086.000000	HEATHER FM	FORMATION	60	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	1049.000000	2042.000000	HORDALAND GP	GROUP	67	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	2372.000000	2997.000000	JORSALFARE FM	FORMATION	74	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	2997.000000	4848.000000	KYRRE FM	FORMATION	92	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	2117.000000	2372.000000	LISTA FM	FORMATION	95	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	7110.000000	7291.000000	NESS FM	FORMATION	110	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	250.000000	1049.000000	NORDLAND GP	GROUP	113	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	7307.000000	7370.000000	RANNOCH FM	FORMATION	126	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	2042.000000	2372.000000	ROGALAND GP	GROUP	131	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	2111.000000	2117.000000	SELE FM	FORMATION	142	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	2372.000000	6115.000000	SHETLAND GP	GROUP	143	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	5613.000000	6115.000000	SVARTE FM	FORMATION	160	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	7086.000000	7110.000000	TARBERT FM	FORMATION	162	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	4848.000000	5613.000000	TRYGGVASON FM	FORMATION	173	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	944.000000	1049.000000	UTSIRA FM	FORMATION	183	2006-06-14	5248	9999-12-31	2013-05-08
34/11-5 S	6587.000000	7086.000000	VIKING GP	GROUP	188	2006-06-14	5248	9999-12-31	2013-05-08
15/12-16 S	2259.000000	2268.000000	BALDER FM	FORMATION	6	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2675.000000	2683.000000	BLODØKS FM	FORMATION	13	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2693.000000	2802.000000	CROMER KNOLL GP	GROUP	23	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2802.000000	2834.000000	DRAUPNE FM	FORMATION	28	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2447.000000	2455.000000	EKOFISK FM	FORMATION	33	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2834.000000	2914.000000	HEATHER FM	FORMATION	60	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2683.000000	2693.000000	HIDRA FM	FORMATION	65	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2581.000000	2675.000000	HOD FM	FORMATION	66	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	1259.000000	2259.000000	HORDALAND GP	GROUP	67	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2325.000000	2435.000000	LISTA FM	FORMATION	95	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2435.000000	2447.000000	MAUREEN FM	FORMATION	102	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	127.000000	1259.000000	NORDLAND GP	GROUP	113	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2259.000000	2447.000000	ROGALAND GP	GROUP	131	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2268.000000	2325.000000	SELE FM	FORMATION	142	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2447.000000	2693.000000	SHETLAND GP	GROUP	143	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2914.000000	2961.000000	SKAGERRAK FM	FORMATION	146	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2715.000000	2782.000000	SOLA FM	FORMATION	152	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2455.000000	2581.000000	TOR FM	FORMATION	171	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	1192.000000	1259.000000	UTSIRA FM	FORMATION	183	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2802.000000	2914.000000	VIKING GP	GROUP	188	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2782.000000	2802.000000	ÅSGARD FM	FORMATION	198	2006-03-31	5271	9999-12-31	2013-05-08
15/12-16 S	2914.000000	2961.000000	NO GROUP DEFINED	GROUP	208	2006-03-31	5271	9999-12-31	2013-05-08
34/10-49 A	1785.000000	1882.000000	BALDER FM	FORMATION	6	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	3020.000000	3312.000000	BRENT GP	GROUP	16	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	2946.000000	3020.000000	HEATHER FM	FORMATION	60	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	985.000000	1785.000000	HORDALAND GP	GROUP	67	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	1882.000000	2045.000000	LISTA FM	FORMATION	95	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	3137.000000	3312.000000	NESS FM	FORMATION	110	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	1093.000000	1562.000000	NO FORMAL NAME	FORMATION	111	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	1562.000000	1655.000000	NO FORMAL NAME	FORMATION	111	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	1655.000000	1673.000000	NO FORMAL NAME	FORMATION	111	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	1673.000000	1785.000000	NO FORMAL NAME	FORMATION	111	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	160.000000	985.000000	NORDLAND GP	GROUP	113	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	1785.000000	2045.000000	ROGALAND GP	GROUP	131	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	2045.000000	2946.000000	SHETLAND GP	GROUP	143	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	3020.000000	3137.000000	TARBERT FM	FORMATION	162	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	904.000000	985.000000	UTSIRA FM	FORMATION	183	2006-06-02	5282	9999-12-31	2013-05-08
34/10-49 A	2946.000000	3020.000000	VIKING GP	GROUP	188	2006-06-02	5282	9999-12-31	2013-05-08
7227/11-1 A	262.000000	1142.000000	ADVENTDALEN GP	GROUP	1	2006-03-24	5287	9999-12-31	2013-05-08
7227/11-1 A	1201.000000	3446.000000	GIPSDALEN GP	GROUP	51	2006-03-24	5287	9999-12-31	2013-05-08
7227/11-1 A	1091.000000	1142.000000	HEKKINGEN FM	FORMATION	63	2006-03-24	5287	9999-12-31	2013-05-08
7227/11-1 A	1142.000000	1201.000000	KAPP TOSCANA GP	GROUP	79	2006-03-24	5287	9999-12-31	2013-05-08
7227/11-1 A	262.000000	1091.000000	KOLMULE FM	FORMATION	85	2006-03-24	5287	9999-12-31	2013-05-08
7227/11-1 A	1166.000000	1190.000000	NORDMELA FM	FORMATION	118	2006-03-24	5287	9999-12-31	2013-05-08
7227/11-1 A	1142.000000	1166.000000	STØ FM	FORMATION	159	2006-03-24	5287	9999-12-31	2013-05-08
7227/11-1 A	1190.000000	1201.000000	TUBÅEN FM	FORMATION	174	2006-03-24	5287	9999-12-31	2013-05-08
7227/11-1 A	1201.000000	3446.000000	ØRN FM	FORMATION	195	2006-03-24	5287	9999-12-31	2013-05-08
6506/11-8	1894.000000	2183.000000	BRYGGE FM	FORMATION	18	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4798.000000	4990.000000	BÅT GP	GROUP	22	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	3393.000000	4599.000000	CROMER KNOLL GP	GROUP	23	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4623.000000	4798.000000	FANGST GP	GROUP	38	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4623.000000	4702.000000	GARN FM	FORMATION	48	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	1894.000000	2183.000000	HORDALAND GP	GROUP	67	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4735.000000	4798.000000	ILE FM	FORMATION	70	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	1493.000000	1894.000000	KAI FM	FORMATION	77	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	2704.000000	3393.000000	KVITNOS FM	FORMATION	91	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	3557.000000	4257.000000	LANGE FM	FORMATION	94	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4402.000000	4586.000000	LANGE FM	FORMATION	94	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4586.000000	4599.000000	LYR FM	FORMATION	98	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	3393.000000	3557.000000	LYSING FM	FORMATION	99	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4600.000000	4623.000000	MELKE FM	FORMATION	105	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	398.000000	1493.000000	NAUST FM	FORMATION	109	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4257.000000	4402.000000	NO FORMAL NAME	FORMATION	111	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	2503.000000	2704.000000	NISE FM	FORMATION	112	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	398.000000	1894.000000	NORDLAND GP	GROUP	113	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4702.000000	4735.000000	NOT FM	FORMATION	120	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	2183.000000	2311.000000	ROGALAND GP	GROUP	131	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4798.000000	4839.000000	ROR FM	FORMATION	135	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	2311.000000	3393.000000	SHETLAND GP	GROUP	143	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4599.000000	4600.000000	SPEKK FM	FORMATION	155	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	2311.000000	2503.000000	SPRINGAR FM	FORMATION	156	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	2252.000000	2311.000000	TANG FM	FORMATION	161	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	2183.000000	2252.000000	TARE FM	FORMATION	163	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4928.000000	4990.000000	TILJE FM	FORMATION	169	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4839.000000	4928.000000	TOFTE FM	FORMATION	170	2006-07-16	5295	9999-12-31	2013-05-08
6506/11-8	4599.000000	4623.000000	VIKING GP	GROUP	188	2006-07-16	5295	9999-12-31	2013-05-08
6403/6-1	1906.000000	2140.000000	BRYGGE FM	FORMATION	18	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	4018.000000	4120.000000	CROMER KNOLL GP	GROUP	23	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	1906.000000	2140.000000	HORDALAND GP	GROUP	67	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	1786.000000	1906.000000	KAI FM	FORMATION	77	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	3475.000000	4018.000000	KVITNOS FM	FORMATION	91	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	4018.000000	4120.000000	LYSING FM	FORMATION	99	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	1746.000000	1786.000000	NAUST FM	FORMATION	109	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	3048.000000	3475.000000	NISE FM	FORMATION	112	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	1746.000000	1906.000000	NORDLAND GP	GROUP	113	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	2140.000000	2439.000000	ROGALAND GP	GROUP	131	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	2439.000000	4018.000000	SHETLAND GP	GROUP	143	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	2439.000000	3048.000000	SPRINGAR FM	FORMATION	156	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	2256.000000	2439.000000	TANG FM	FORMATION	161	2006-07-23	5296	9999-12-31	2013-05-08
6403/6-1	2140.000000	2256.000000	TARE FM	FORMATION	163	2006-07-23	5296	9999-12-31	2013-05-08
7/8-5 S	2822.000000	2857.000000	BALDER FM	FORMATION	6	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3542.000000	3576.000000	BLODØKS FM	FORMATION	13	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3593.000000	3832.000000	CROMER KNOLL GP	GROUP	23	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	2985.000000	3164.000000	EKOFISK FM	FORMATION	33	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3871.000000	3950.000000	FARSUND FM	FORMATION	39	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3576.000000	3593.000000	HIDRA FM	FORMATION	65	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3449.000000	3542.000000	HOD FM	FORMATION	66	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	1368.000000	2822.000000	HORDALAND GP	GROUP	67	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	2882.000000	2974.000000	LISTA FM	FORMATION	95	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3832.000000	3871.000000	MANDAL FM	FORMATION	101	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	126.000000	1368.000000	NORDLAND GP	GROUP	113	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	2822.000000	2985.000000	ROGALAND GP	GROUP	131	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3593.000000	3675.000000	RØDBY FM	FORMATION	137	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	2857.000000	2882.000000	SELE FM	FORMATION	142	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	2985.000000	3593.000000	SHETLAND GP	GROUP	143	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	4021.000000	4168.000000	SKAGERRAK FM	FORMATION	146	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3164.000000	3449.000000	TOR FM	FORMATION	171	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3832.000000	3950.000000	TYNE GP	GROUP	177	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3950.000000	4021.000000	ULA FM	FORMATION	179	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3950.000000	4021.000000	VESTLAND GP	GROUP	186	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	2974.000000	2985.000000	VÅLE FM	FORMATION	190	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	3675.000000	3832.000000	ÅSGARD FM	FORMATION	198	2006-06-03	5304	9999-12-31	2013-05-08
7/8-5 S	4021.000000	4168.000000	NO GROUP DEFINED	GROUP	208	2006-06-03	5304	9999-12-31	2013-05-08
6507/3-5 S	1772.000000	2046.000000	BRYGGE FM	FORMATION	18	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	4063.000000	4265.000000	BÅT GP	GROUP	22	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	3240.000000	3566.000000	CROMER KNOLL GP	GROUP	23	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	3960.000000	4063.000000	FANGST GP	GROUP	38	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	3960.000000	3972.000000	GARN FM	FORMATION	48	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	1772.000000	2046.000000	HORDALAND GP	GROUP	67	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	4016.000000	4063.000000	ILE FM	FORMATION	70	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	1415.000000	1772.000000	KAI FM	FORMATION	77	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	3155.000000	3240.000000	KVITNOS FM	FORMATION	91	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	3240.000000	3432.000000	LANGE FM	FORMATION	94	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	3432.000000	3566.000000	LYR FM	FORMATION	98	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	3570.000000	3960.000000	MELKE FM	FORMATION	105	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	390.000000	1415.000000	NAUST FM	FORMATION	109	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	2296.000000	3155.000000	NISE FM	FORMATION	112	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	390.000000	1772.000000	NORDLAND GP	GROUP	113	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	3972.000000	4016.000000	NOT FM	FORMATION	120	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	2046.000000	2137.000000	ROGALAND GP	GROUP	131	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	4063.000000	4080.000000	ROR FM	FORMATION	135	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	4095.000000	4113.000000	ROR FM	FORMATION	135	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	2137.000000	3240.000000	SHETLAND GP	GROUP	143	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	3566.000000	3570.000000	SPEKK FM	FORMATION	155	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	2137.000000	2296.000000	SPRINGAR FM	FORMATION	156	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	2098.000000	2137.000000	TANG FM	FORMATION	161	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	2046.000000	2098.000000	TARE FM	FORMATION	163	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	4113.000000	4216.000000	TILJE FM	FORMATION	169	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	4080.000000	4095.000000	TOFTE FM	FORMATION	170	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	3566.000000	3960.000000	VIKING GP	GROUP	188	2008-05-08	5307	9999-12-31	2013-05-08
6507/3-5 S	4216.000000	4265.000000	ÅRE FM	FORMATION	197	2008-05-08	5307	9999-12-31	2013-05-08
6608/11-5	1373.000000	1435.000000	BRYGGE FM	FORMATION	18	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	1550.000000	1641.000000	BÅT GP	GROUP	22	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	1641.000000	1694.000000	GREY BEDS (INFORMAL)	GROUP	52	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	1373.000000	1435.000000	HORDALAND GP	GROUP	67	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	1341.000000	1373.000000	KAI FM	FORMATION	77	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	365.000000	1341.000000	NAUST FM	FORMATION	109	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	365.000000	1373.000000	NORDLAND GP	GROUP	113	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	1694.000000	2270.000000	RED BEDS (INFORMAL)	GROUP	129	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	1435.000000	1517.000000	ROGALAND GP	GROUP	131	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	1517.000000	1550.000000	SHETLAND GP	GROUP	143	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	1517.000000	1550.000000	SPRINGAR FM	FORMATION	156	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	1515.000000	1517.000000	TANG FM	FORMATION	161	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	1435.000000	1515.000000	TARE FM	FORMATION	163	2006-07-14	5316	9999-12-31	2013-05-08
6608/11-5	1550.000000	1641.000000	ÅRE FM	FORMATION	197	2006-07-14	5316	9999-12-31	2013-05-08
7122/6-2	852.000000	2048.000000	ADVENTDALEN GP	GROUP	1	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	2113.000000	2202.000000	FRUHOLMEN FM	FORMATION	46	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	1936.000000	2048.000000	HEKKINGEN FM	FORMATION	63	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	2048.000000	3006.000000	KAPP TOSCANA GP	GROUP	79	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	1875.000000	1936.000000	KNURR FM	FORMATION	82	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	3006.000000	3070.000000	KOBBE FM	FORMATION	83	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	1623.000000	1875.000000	KOLJE FM	FORMATION	84	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	852.000000	1623.000000	KOLMULE FM	FORMATION	85	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	791.000000	852.000000	KVEITE FM	FORMATION	89	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	431.000000	470.000000	NORDLAND GP	GROUP	113	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	2088.000000	2104.000000	NORDMELA FM	FORMATION	118	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	791.000000	852.000000	NYGRUNNEN GP	GROUP	122	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	3006.000000	3070.000000	SASSENDALEN GP	GROUP	140	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	2202.000000	3006.000000	SNADD FM	FORMATION	150	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	470.000000	791.000000	SOTBAKKEN GP	GROUP	154	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	2048.000000	2088.000000	STØ FM	FORMATION	159	2006-09-19	5327	9999-12-31	2013-05-08
7122/6-2	2104.000000	2113.000000	TUBÅEN FM	FORMATION	174	2006-09-19	5327	9999-12-31	2013-05-08
34/10-49 B	2980.000000	3405.000000	AMUNDSEN FM	FORMATION	4	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	3988.000000	4196.000000	AMUNDSEN FM	FORMATION	4	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	1792.000000	1872.000000	BALDER FM	FORMATION	6	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	2497.000000	2627.000000	BRENT GP	GROUP	16	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	2925.000000	2980.000000	BURTON FM	FORMATION	20	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	3935.000000	3988.000000	BURTON FM	FORMATION	20	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	5054.000000	5480.000000	CROMER KNOLL GP	GROUP	23	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	2740.000000	2925.000000	COOK FM	FORMATION	24	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	3482.000000	3618.000000	COOK FM	FORMATION	24	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	3747.000000	3935.000000	COOK FM	FORMATION	24	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	2627.000000	2740.000000	DRAKE FM	FORMATION	27	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	3618.000000	3747.000000	DRAKE FM	FORMATION	27	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	2627.000000	3405.000000	DUNLIN GP	GROUP	29	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	3482.000000	4196.000000	DUNLIN GP	GROUP	29	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	2530.000000	2557.000000	ETIVE FM	FORMATION	35	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	2488.000000	2497.000000	HEATHER FM	FORMATION	60	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	4563.000000	5054.000000	HEATHER FM	FORMATION	60	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	985.000000	1792.000000	HORDALAND GP	GROUP	67	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	1872.000000	1972.000000	LISTA FM	FORMATION	95	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	2497.000000	2530.000000	NESS FM	FORMATION	110	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	1093.000000	1568.000000	NO FORMAL NAME	FORMATION	111	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	1568.000000	1738.000000	NO FORMAL NAME	FORMATION	111	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	1738.000000	1750.000000	NO FORMAL NAME	FORMATION	111	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	1750.000000	1792.000000	NO FORMAL NAME	FORMATION	111	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	160.000000	985.000000	NORDLAND GP	GROUP	113	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	2557.000000	2627.000000	RANNOCH FM	FORMATION	126	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	1792.000000	1972.000000	ROGALAND GP	GROUP	131	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	1972.000000	2488.000000	SHETLAND GP	GROUP	143	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	3405.000000	3482.000000	STATFJORD FM	FORMATION	157	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	4196.000000	4563.000000	STATFJORD FM	FORMATION	157	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	904.000000	985.000000	UTSIRA FM	FORMATION	183	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	2488.000000	2497.000000	VIKING GP	GROUP	188	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	4563.000000	5054.000000	VIKING GP	GROUP	188	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	3405.000000	3482.000000	NO GROUP DEFINED	GROUP	208	2006-06-12	5328	9999-12-31	2013-05-08
34/10-49 B	4196.000000	4563.000000	NO GROUP DEFINED	GROUP	208	2006-06-12	5328	9999-12-31	2013-05-08
31/5-4 AR2	1212.000000	1299.000000	BALDER FM	FORMATION	6	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1477.000000	1522.000000	CROMER KNOLL GP	GROUP	23	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1522.000000	1628.000000	DRAUPNE FM	FORMATION	28	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1456.000000	1468.000000	HARDRÅDE FM	FORMATION	56	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	661.000000	1212.000000	HORDALAND GP	GROUP	67	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1400.000000	1456.000000	LISTA FM	FORMATION	95	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	347.000000	661.000000	NORDLAND GP	GROUP	113	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1212.000000	1456.000000	ROGALAND GP	GROUP	131	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1477.000000	1514.000000	RØDBY FM	FORMATION	137	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1299.000000	1400.000000	SELE FM	FORMATION	142	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1456.000000	1477.000000	SHETLAND GP	GROUP	143	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1628.000000	2610.000000	SOGNEFJORD FM	FORMATION	151	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1468.000000	1477.000000	UNDIFFERENTIATED	FORMATION	182	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1522.000000	2610.000000	VIKING GP	GROUP	188	2003-09-05	5335	9999-12-31	2013-05-08
31/5-4 AR2	1514.000000	1522.000000	ÅSGARD FM	FORMATION	198	2003-09-05	5335	9999-12-31	2013-05-08
6406/6-2	1700.000000	2225.000000	BRYGGE FM	FORMATION	18	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4390.000000	4670.000000	BÅT GP	GROUP	22	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	2861.000000	4051.000000	CROMER KNOLL GP	GROUP	23	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4164.000000	4390.000000	FANGST GP	GROUP	38	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4164.000000	4233.000000	GARN FM	FORMATION	48	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	1700.000000	2225.000000	HORDALAND GP	GROUP	67	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4282.000000	4390.000000	ILE FM	FORMATION	70	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	1287.000000	1700.000000	KAI FM	FORMATION	77	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	2712.000000	2861.000000	KVITNOS FM	FORMATION	91	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	2861.000000	3679.000000	LANGE FM	FORMATION	94	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	3900.000000	4032.000000	LANGE FM	FORMATION	94	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4032.000000	4051.000000	LYR FM	FORMATION	98	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4068.000000	4164.000000	MELKE FM	FORMATION	105	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	271.000000	1287.000000	NAUST FM	FORMATION	109	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	3679.000000	3900.000000	NO FORMAL NAME	FORMATION	111	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	2503.000000	2712.000000	NISE FM	FORMATION	112	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	271.000000	1700.000000	NORDLAND GP	GROUP	113	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4233.000000	4282.000000	NOT FM	FORMATION	120	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	2225.000000	2400.000000	ROGALAND GP	GROUP	131	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4390.000000	4417.000000	ROR FM	FORMATION	135	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4450.000000	4561.000000	ROR FM	FORMATION	135	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	2400.000000	2861.000000	SHETLAND GP	GROUP	143	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4051.000000	4068.000000	SPEKK FM	FORMATION	155	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	2400.000000	2503.000000	SPRINGAR FM	FORMATION	156	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	2317.000000	2400.000000	TANG FM	FORMATION	161	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	2225.000000	2317.000000	TARE FM	FORMATION	163	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4561.000000	4670.000000	TILJE FM	FORMATION	169	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4417.000000	4450.000000	TOFTE FM	FORMATION	170	2007-01-31	5359	9999-12-31	2013-05-08
6406/6-2	4051.000000	4164.000000	VIKING GP	GROUP	188	2007-01-31	5359	9999-12-31	2013-05-08
35/11-14 S	1548.000000	1605.000000	BALDER FM	FORMATION	6	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	2621.000000	2646.000000	BLODØKS FM	FORMATION	13	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	2675.000000	2898.000000	CROMER KNOLL GP	GROUP	23	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	2898.000000	3031.000000	DRAUPNE FM	FORMATION	28	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	3103.000000	3215.000000	INTRA HEATHER FM SS	FORMATION	59	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	3031.000000	3103.000000	HEATHER FM	FORMATION	60	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	3215.000000	3306.000000	HEATHER FM	FORMATION	60	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	800.000000	1548.000000	HORDALAND GP	GROUP	67	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	1950.000000	2098.000000	JORSALFARE FM	FORMATION	74	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	2098.000000	2547.000000	KYRRE FM	FORMATION	92	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	1655.000000	1751.000000	LISTA FM	FORMATION	95	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	661.000000	749.000000	NO FORMAL NAME	FORMATION	111	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	1751.000000	1813.000000	NO FORMAL NAME	FORMATION	111	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	1813.000000	1880.000000	NO FORMAL NAME	FORMATION	111	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	1905.000000	1950.000000	NO FORMAL NAME	FORMATION	111	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	387.000000	800.000000	NORDLAND GP	GROUP	113	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	1548.000000	1950.000000	ROGALAND GP	GROUP	131	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	2675.000000	2705.000000	RØDBY FM	FORMATION	137	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	1605.000000	1655.000000	SELE FM	FORMATION	142	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	1950.000000	2675.000000	SHETLAND GP	GROUP	143	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	2646.000000	2675.000000	SVARTE FM	FORMATION	160	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	2547.000000	2621.000000	TRYGGVASON FM	FORMATION	173	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	749.000000	800.000000	UTSIRA FM	FORMATION	183	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	2898.000000	3306.000000	VIKING GP	GROUP	188	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	1880.000000	1905.000000	VÅLE FM	FORMATION	190	2006-12-07	5365	9999-12-31	2013-05-08
35/11-14 S	2705.000000	2898.000000	ÅSGARD FM	FORMATION	198	2006-12-07	5365	9999-12-31	2013-05-08
6406/3-7	1929.000000	2366.000000	BRYGGE FM	FORMATION	18	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	4179.000000	4520.000000	BÅT GP	GROUP	22	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	3297.000000	3895.000000	CROMER KNOLL GP	GROUP	23	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	3985.000000	4179.000000	FANGST GP	GROUP	38	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	3985.000000	4058.000000	GARN FM	FORMATION	48	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	1929.000000	2366.000000	HORDALAND GP	GROUP	67	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	4113.000000	4179.000000	ILE FM	FORMATION	70	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	1504.000000	1929.000000	KAI FM	FORMATION	77	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	2773.000000	3297.000000	KVITNOS FM	FORMATION	91	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	3297.000000	3875.000000	LANGE FM	FORMATION	94	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	3875.000000	3895.000000	LYR FM	FORMATION	98	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	3900.000000	3985.000000	MELKE FM	FORMATION	105	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	293.000000	1504.000000	NAUST FM	FORMATION	109	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	2609.000000	2773.000000	NISE FM	FORMATION	112	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	293.000000	1929.000000	NORDLAND GP	GROUP	113	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	4058.000000	4113.000000	NOT FM	FORMATION	120	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	2366.000000	2499.000000	ROGALAND GP	GROUP	131	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	4179.000000	4228.000000	ROR FM	FORMATION	135	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	4262.000000	4333.000000	ROR FM	FORMATION	135	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	2499.000000	3297.000000	SHETLAND GP	GROUP	143	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	3895.000000	3900.000000	SPEKK FM	FORMATION	155	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	2499.000000	2609.000000	SPRINGAR FM	FORMATION	156	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	2454.000000	2499.000000	TANG FM	FORMATION	161	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	2366.000000	2454.000000	TARE FM	FORMATION	163	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	4333.000000	4473.000000	TILJE FM	FORMATION	169	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	4228.000000	4262.000000	TOFTE FM	FORMATION	170	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	3895.000000	3985.000000	VIKING GP	GROUP	188	2006-09-19	5375	9999-12-31	2013-05-08
6406/3-7	4473.000000	4520.000000	ÅRE FM	FORMATION	197	2006-09-19	5375	9999-12-31	2013-05-08
35/2-1 R	409.000000	713.000000	NORDLAND GP	GROUP	113	2006-07-25	5376	9999-12-31	2013-05-08
6608/10-11 S	1656.000000	2005.000000	BRYGGE FM	FORMATION	18	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	3638.000000	3725.000000	BÅT GP	GROUP	22	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	2909.000000	3107.000000	CROMER KNOLL GP	GROUP	23	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	3480.000000	3638.000000	FANGST GP	GROUP	38	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	1656.000000	2005.000000	HORDALAND GP	GROUP	67	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	3550.000000	3638.000000	ILE FM	FORMATION	70	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	1387.000000	1656.000000	KAI FM	FORMATION	77	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	2600.000000	2909.000000	KVITNOS FM	FORMATION	91	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	2924.000000	2956.000000	LANGE FM	FORMATION	94	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	2956.000000	3107.000000	LYR FM	FORMATION	98	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	2909.000000	2924.000000	LYSING FM	FORMATION	99	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	3153.000000	3480.000000	MELKE FM	FORMATION	105	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	2295.000000	2600.000000	NISE FM	FORMATION	112	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	400.000000	1656.000000	NORDLAND GP	GROUP	113	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	3480.000000	3550.000000	NOT FM	FORMATION	120	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	2005.000000	2129.000000	ROGALAND GP	GROUP	131	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	2129.000000	2909.000000	SHETLAND GP	GROUP	143	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	3107.000000	3153.000000	SPEKK FM	FORMATION	155	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	2129.000000	2295.000000	SPRINGAR FM	FORMATION	156	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	2079.000000	2129.000000	TANG FM	FORMATION	161	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	2005.000000	2079.000000	TARE FM	FORMATION	163	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	3695.000000	3725.000000	TILJE FM	FORMATION	169	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	3638.000000	3695.000000	TOFTE FM	FORMATION	170	2006-08-15	5386	9999-12-31	2013-05-08
6608/10-11 S	3107.000000	3480.000000	VIKING GP	GROUP	188	2006-08-15	5386	9999-12-31	2013-05-08
7122/7-4 S	629.000000	1177.000000	ADVENTDALEN GP	GROUP	1	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	1177.000000	1244.000000	FRUHOLMEN FM	FORMATION	46	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	1162.000000	1177.000000	FUGLEN FM	FORMATION	47	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	2217.000000	2550.000000	HAVERT FM	FORMATION	58	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	1075.000000	1162.000000	HEKKINGEN FM	FORMATION	63	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	1177.000000	1794.000000	KAPP TOSCANA GP	GROUP	79	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	2042.000000	2217.000000	KLAPPMYSS FM	FORMATION	80	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	976.000000	1075.000000	KNURR FM	FORMATION	82	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	1794.000000	2042.000000	KOBBE FM	FORMATION	83	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	865.000000	976.000000	KOLJE FM	FORMATION	84	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	629.000000	865.000000	KOLMULE FM	FORMATION	85	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	615.000000	629.000000	KVITING FM	FORMATION	90	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	395.000000	615.000000	NORDLAND GP	GROUP	113	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	615.000000	629.000000	NYGRUNNEN GP	GROUP	122	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	1794.000000	2550.000000	SASSENDALEN GP	GROUP	140	2006-11-25	5406	9999-12-31	2013-05-08
7122/7-4 S	1244.000000	1794.000000	SNADD FM	FORMATION	150	2006-11-25	5406	9999-12-31	2013-05-08
6507/11-7	1710.000000	2052.000000	BRYGGE FM	FORMATION	18	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	2777.000000	2950.000000	CROMER KNOLL GP	GROUP	23	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	1710.000000	2052.000000	HORDALAND GP	GROUP	67	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	1408.000000	1710.000000	KAI FM	FORMATION	77	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	2513.000000	2777.000000	KVITNOS FM	FORMATION	91	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	2817.000000	2950.000000	LANGE FM	FORMATION	94	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	2777.000000	2817.000000	LYSING FM	FORMATION	99	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	320.000000	1408.000000	NAUST FM	FORMATION	109	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	2237.000000	2513.000000	NISE FM	FORMATION	112	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	320.000000	1710.000000	NORDLAND GP	GROUP	113	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	2052.000000	2158.000000	ROGALAND GP	GROUP	131	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	2158.000000	2777.000000	SHETLAND GP	GROUP	143	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	2158.000000	2237.000000	SPRINGAR FM	FORMATION	156	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	2100.000000	2158.000000	TANG FM	FORMATION	161	2007-02-12	5430	9999-12-31	2013-05-08
6507/11-7	2052.000000	2100.000000	TARE FM	FORMATION	163	2007-02-12	5430	9999-12-31	2013-05-08
6406/8-2	2022.000000	2710.000000	BRYGGE FM	FORMATION	18	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	4383.000000	4700.000000	BÅT GP	GROUP	22	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	3563.000000	4248.000000	CROMER KNOLL GP	GROUP	23	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	4248.000000	4383.000000	FANGST GP	GROUP	38	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	2022.000000	2710.000000	HORDALAND GP	GROUP	67	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	4264.000000	4383.000000	ILE FM	FORMATION	70	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	1450.000000	2022.000000	KAI FM	FORMATION	77	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	3167.000000	3563.000000	KVITNOS FM	FORMATION	91	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	3563.000000	4240.000000	LANGE FM	FORMATION	94	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	4240.000000	4248.000000	LYR FM	FORMATION	98	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	385.000000	1450.000000	NAUST FM	FORMATION	109	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	2944.000000	3167.000000	NISE FM	FORMATION	112	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	385.000000	2022.000000	NORDLAND GP	GROUP	113	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	4248.000000	4264.000000	NOT FM	FORMATION	120	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	2710.000000	2830.000000	ROGALAND GP	GROUP	131	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	4383.000000	4399.000000	ROR FM	FORMATION	135	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	4468.000000	4593.000000	ROR FM	FORMATION	135	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	2830.000000	3563.000000	SHETLAND GP	GROUP	143	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	2830.000000	2944.000000	SPRINGAR FM	FORMATION	156	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	2772.000000	2830.000000	TANG FM	FORMATION	161	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	2710.000000	2772.000000	TARE FM	FORMATION	163	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	4593.000000	4700.000000	TILJE FM	FORMATION	169	2007-04-08	5435	9999-12-31	2013-05-08
6406/8-2	4399.000000	4468.000000	TOFTE FM	FORMATION	170	2007-04-08	5435	9999-12-31	2013-05-08
7122/7-5	655.000000	1181.000000	ADVENTDALEN GP	GROUP	1	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	1181.000000	1281.000000	FRUHOLMEN FM	FORMATION	46	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	1168.000000	1181.000000	FUGLEN FM	FORMATION	47	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	1083.000000	1168.000000	HEKKINGEN FM	FORMATION	63	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	1181.000000	1868.000000	KAPP TOSCANA GP	GROUP	79	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	2126.000000	2228.000000	KLAPPMYSS FM	FORMATION	80	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	998.000000	1083.000000	KNURR FM	FORMATION	82	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	1868.000000	2126.000000	KOBBE FM	FORMATION	83	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	961.000000	998.000000	KOLJE FM	FORMATION	84	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	655.000000	961.000000	KOLMULE FM	FORMATION	85	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	643.000000	655.000000	KVITING FM	FORMATION	90	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	394.000000	643.000000	NORDLAND GP	GROUP	113	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	643.000000	655.000000	NYGRUNNEN GP	GROUP	122	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	1868.000000	2228.000000	SASSENDALEN GP	GROUP	140	2006-12-23	5439	9999-12-31	2013-05-08
7122/7-5	1281.000000	1868.000000	SNADD FM	FORMATION	150	2006-12-23	5439	9999-12-31	2013-05-08
16/4-4	2081.000000	2105.000000	BALDER FM	FORMATION	6	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	2350.000000	2404.000000	EKOFISK FM	FORMATION	33	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	1897.000000	1925.000000	GRID FM	FORMATION	53	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	1030.000000	2081.000000	HORDALAND GP	GROUP	67	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	2144.000000	2248.000000	LISTA FM	FORMATION	95	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	1278.000000	1897.000000	NO FORMAL NAME	FORMATION	111	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	1925.000000	2081.000000	NO FORMAL NAME	FORMATION	111	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	140.000000	1030.000000	NORDLAND GP	GROUP	113	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	2081.000000	2350.000000	ROGALAND GP	GROUP	131	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	2105.000000	2144.000000	SELE FM	FORMATION	142	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	2350.000000	2409.000000	SHETLAND GP	GROUP	143	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	1149.000000	1278.000000	SKADE FM	FORMATION	145	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	2404.000000	2409.000000	TOR FM	FORMATION	171	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	2271.000000	2350.000000	TY FM	FORMATION	176	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	830.000000	1030.000000	UTSIRA FM	FORMATION	183	2007-03-23	5441	9999-12-31	2013-05-08
16/4-4	2248.000000	2271.000000	VÅLE FM	FORMATION	190	2007-03-23	5441	9999-12-31	2013-05-08
15/12-17 S	2501.000000	2523.000000	BALDER FM	FORMATION	6	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3017.000000	3039.000000	BLODØKS FM	FORMATION	13	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3047.000000	3162.000000	CROMER KNOLL GP	GROUP	23	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3162.000000	3246.000000	DRAUPNE FM	FORMATION	28	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	2693.000000	2705.000000	EKOFISK FM	FORMATION	33	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3246.000000	3331.000000	INTRA HEATHER FM SS	FORMATION	59	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3039.000000	3047.000000	HIDRA FM	FORMATION	65	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	2904.000000	3017.000000	HOD FM	FORMATION	66	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	1258.000000	2501.000000	HORDALAND GP	GROUP	67	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	2579.000000	2684.000000	LISTA FM	FORMATION	95	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	130.000000	1258.000000	NORDLAND GP	GROUP	113	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	2501.000000	2693.000000	ROGALAND GP	GROUP	131	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3047.000000	3092.000000	RØDBY FM	FORMATION	137	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	2523.000000	2579.000000	SELE FM	FORMATION	142	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	2693.000000	3047.000000	SHETLAND GP	GROUP	143	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3331.000000	3345.000000	SKAGERRAK FM	FORMATION	146	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3092.000000	3122.000000	SOLA FM	FORMATION	152	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	2705.000000	2904.000000	TOR FM	FORMATION	171	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	1195.000000	1258.000000	UTSIRA FM	FORMATION	183	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3162.000000	3331.000000	VIKING GP	GROUP	188	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	2684.000000	2693.000000	VÅLE FM	FORMATION	190	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3345.000000	3371.000000	ZECHSTEIN GP	GROUP	194	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3122.000000	3162.000000	ÅSGARD FM	FORMATION	198	2007-02-04	5442	9999-12-31	2013-05-08
15/12-17 S	3331.000000	3345.000000	NO GROUP DEFINED	GROUP	208	2007-02-04	5442	9999-12-31	2013-05-08
7125/4-1	538.000000	872.000000	ADVENTDALEN GP	GROUP	1	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	882.000000	1002.000000	FRUHOLMEN FM	FORMATION	46	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	869.000000	872.000000	FUGLEN FM	FORMATION	47	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	817.000000	869.000000	HEKKINGEN FM	FORMATION	63	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	872.000000	1206.000000	KAPP TOSCANA GP	GROUP	79	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	1561.000000	1615.000000	KLAPPMYSS FM	FORMATION	80	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	779.000000	817.000000	KNURR FM	FORMATION	82	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	1206.000000	1561.000000	KOBBE FM	FORMATION	83	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	733.000000	779.000000	KOLJE FM	FORMATION	84	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	538.000000	699.000000	KOLMULE FM	FORMATION	85	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	702.000000	733.000000	KOLMULE FM	FORMATION	85	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	499.000000	538.000000	KVITING FM	FORMATION	90	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	699.000000	702.000000	NO FORMAL NAME	FORMATION	111	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	316.000000	493.000000	NORDLAND GP	GROUP	113	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	872.000000	882.000000	NORDMELA FM	FORMATION	118	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	499.000000	538.000000	NYGRUNNEN GP	GROUP	122	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	1206.000000	1615.000000	SASSENDALEN GP	GROUP	140	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	1002.000000	1206.000000	SNADD FM	FORMATION	150	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	493.000000	499.000000	SOTBAKKEN GP	GROUP	154	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	493.000000	499.000000	TORSK FM	FORMATION	172	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	864.000000	869.000000	ALGE MBR	MEMBER	202	2007-03-07	5450	9999-12-31	2013-05-08
7125/4-1	817.000000	864.000000	KRILL MBR	MEMBER	203	2007-03-07	5450	9999-12-31	2013-05-08
6406/9-2	1723.000000	2288.000000	BRYGGE FM	FORMATION	18	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4856.000000	5348.000000	BÅT GP	GROUP	22	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	2946.000000	4325.000000	CROMER KNOLL GP	GROUP	23	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4637.000000	4856.000000	FANGST GP	GROUP	38	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4637.000000	4695.000000	GARN FM	FORMATION	48	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	1723.000000	2288.000000	HORDALAND GP	GROUP	67	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4758.000000	4856.000000	ILE FM	FORMATION	70	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	1279.000000	1723.000000	KAI FM	FORMATION	77	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	2776.000000	2946.000000	KVITNOS FM	FORMATION	91	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	3472.000000	4315.000000	LANGE FM	FORMATION	94	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4315.000000	4325.000000	LYR FM	FORMATION	98	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	2946.000000	3472.000000	LYSING FM	FORMATION	99	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4395.000000	4637.000000	MELKE FM	FORMATION	105	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	317.000000	1279.000000	NAUST FM	FORMATION	109	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	2557.000000	2776.000000	NISE FM	FORMATION	112	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	317.000000	1723.000000	NORDLAND GP	GROUP	113	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4695.000000	4758.000000	NOT FM	FORMATION	120	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	2288.000000	2450.000000	ROGALAND GP	GROUP	131	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4856.000000	4894.000000	ROR FM	FORMATION	135	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4932.000000	5042.000000	ROR FM	FORMATION	135	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	2450.000000	2946.000000	SHETLAND GP	GROUP	143	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4325.000000	4395.000000	SPEKK FM	FORMATION	155	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	2450.000000	2557.000000	SPRINGAR FM	FORMATION	156	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	2375.000000	2450.000000	TANG FM	FORMATION	161	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	2288.000000	2375.000000	TARE FM	FORMATION	163	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	5042.000000	5241.000000	TILJE FM	FORMATION	169	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4894.000000	4932.000000	TOFTE FM	FORMATION	170	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	4325.000000	4637.000000	VIKING GP	GROUP	188	2007-07-01	5454	9999-12-31	2013-05-08
6406/9-2	5241.000000	5348.000000	ÅRE FM	FORMATION	197	2007-07-01	5454	9999-12-31	2013-05-08
7122/7-5 A	655.000000	1200.000000	ADVENTDALEN GP	GROUP	1	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	1218.000000	1286.000000	FRUHOLMEN FM	FORMATION	46	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	1168.000000	1200.000000	FUGLEN FM	FORMATION	47	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	1080.000000	1168.000000	HEKKINGEN FM	FORMATION	63	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	1200.000000	1844.000000	KAPP TOSCANA GP	GROUP	79	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	998.000000	1080.000000	KNURR FM	FORMATION	82	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	1844.000000	2186.000000	KOBBE FM	FORMATION	83	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	961.000000	998.000000	KOLJE FM	FORMATION	84	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	655.000000	961.000000	KOLMULE FM	FORMATION	85	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	643.000000	655.000000	KVITING FM	FORMATION	90	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	394.000000	643.000000	NORDLAND GP	GROUP	113	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	643.000000	655.000000	NYGRUNNEN GP	GROUP	122	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	1844.000000	2186.000000	SASSENDALEN GP	GROUP	140	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	1286.000000	1844.000000	SNADD FM	FORMATION	150	2007-01-13	5465	9999-12-31	2013-05-08
7122/7-5 A	1200.000000	1218.000000	TUBÅEN FM	FORMATION	174	2007-01-13	5465	9999-12-31	2013-05-08
25/11-24	1718.000000	1741.000000	BALDER FM	FORMATION	6	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1997.000000	2023.000000	CROMER KNOLL GP	GROUP	23	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	2023.000000	2029.000000	DRAUPNE FM	FORMATION	28	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1530.000000	1534.000000	GRID FM	FORMATION	53	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1788.000000	1927.000000	HEIMDAL FM	FORMATION	62	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	841.000000	1718.000000	HORDALAND GP	GROUP	67	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1758.000000	1788.000000	LISTA FM	FORMATION	95	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1927.000000	1944.000000	LISTA FM	FORMATION	95	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	794.000000	841.000000	NO FORMAL NAME	FORMATION	111	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1006.000000	1200.000000	NO FORMAL NAME	FORMATION	111	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1208.000000	1344.000000	NO FORMAL NAME	FORMATION	111	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1358.000000	1530.000000	NO FORMAL NAME	FORMATION	111	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1534.000000	1718.000000	NO FORMAL NAME	FORMATION	111	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	140.000000	841.000000	NORDLAND GP	GROUP	113	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1718.000000	1960.000000	ROGALAND GP	GROUP	131	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1997.000000	2003.000000	RØDBY FM	FORMATION	137	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1741.000000	1758.000000	SELE FM	FORMATION	142	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1960.000000	1997.000000	SHETLAND GP	GROUP	143	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	841.000000	1006.000000	SKADE FM	FORMATION	145	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1200.000000	1208.000000	SKADE FM	FORMATION	145	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1344.000000	1358.000000	SKADE FM	FORMATION	145	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	2003.000000	2015.000000	SOLA FM	FORMATION	152	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	2029.000000	2117.000000	STATFJORD FM	FORMATION	157	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1960.000000	1997.000000	TOR FM	FORMATION	171	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	723.000000	794.000000	UTSIRA FM	FORMATION	183	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	2023.000000	2029.000000	VIKING GP	GROUP	188	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	1944.000000	1960.000000	VÅLE FM	FORMATION	190	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	2015.000000	2023.000000	ÅSGARD FM	FORMATION	198	2007-03-29	5470	9999-12-31	2013-05-08
25/11-24	2029.000000	2117.000000	NO GROUP DEFINED	GROUP	208	2007-03-29	5470	9999-12-31	2013-05-08
6607/2-1	1380.000000	1994.000000	KAI FM	FORMATION	77	2007-03-26	5471	9999-12-31	2013-05-08
6607/2-1	883.000000	1380.000000	NAUST FM	FORMATION	109	2007-03-26	5471	9999-12-31	2013-05-08
6607/2-1	883.000000	1994.000000	NORDLAND GP	GROUP	113	2007-03-26	5471	9999-12-31	2013-05-08
6607/2-1	2007.000000	2876.000000	ROGALAND GP	GROUP	131	2007-03-26	5471	9999-12-31	2013-05-08
6607/2-1	2876.000000	3526.000000	SHETLAND GP	GROUP	143	2007-03-26	5471	9999-12-31	2013-05-08
6607/2-1	2876.000000	3526.000000	SPRINGAR FM	FORMATION	156	2007-03-26	5471	9999-12-31	2013-05-08
6607/2-1	2080.000000	2876.000000	TANG FM	FORMATION	161	2007-03-26	5471	9999-12-31	2013-05-08
6607/2-1	2007.000000	2080.000000	TARE FM	FORMATION	163	2007-03-26	5471	9999-12-31	2013-05-08
6607/2-1	1994.000000	2007.000000	UNDEFINED GP	GROUP	191	2007-03-26	5471	9999-12-31	2013-05-08
7/11-11 S	3192.000000	3204.000000	BALDER FM	FORMATION	6	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4145.000000	4274.000000	CROMER KNOLL GP	GROUP	23	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	3408.000000	3504.000000	EKOFISK FM	FORMATION	33	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4348.000000	4470.000000	FARSUND FM	FORMATION	39	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4072.000000	4145.000000	HIDRA FM	FORMATION	65	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	3895.000000	4072.000000	HOD FM	FORMATION	66	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	1518.000000	3192.000000	HORDALAND GP	GROUP	67	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	3225.000000	3253.000000	LISTA FM	FORMATION	95	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4274.000000	4348.000000	MANDAL FM	FORMATION	101	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	3253.000000	3408.000000	MAUREEN FM	FORMATION	102	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	123.000000	1518.000000	NORDLAND GP	GROUP	113	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	3192.000000	3408.000000	ROGALAND GP	GROUP	131	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4145.000000	4176.000000	RØDBY FM	FORMATION	137	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	3204.000000	3225.000000	SELE FM	FORMATION	142	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	3408.000000	4145.000000	SHETLAND GP	GROUP	143	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4618.000000	4679.000000	SMITH BANK FM	FORMATION	149	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4176.000000	4222.000000	SOLA FM	FORMATION	152	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	3504.000000	3895.000000	TOR FM	FORMATION	171	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4274.000000	4470.000000	TYNE GP	GROUP	177	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4470.000000	4618.000000	ULA FM	FORMATION	179	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4470.000000	4618.000000	VESTLAND GP	GROUP	186	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4222.000000	4274.000000	ÅSGARD FM	FORMATION	198	2007-06-10	5474	9999-12-31	2013-05-08
7/11-11 S	4618.000000	4679.000000	NO GROUP DEFINED	GROUP	208	2007-06-10	5474	9999-12-31	2013-05-08
15/12-17 A	2501.000000	2523.000000	BALDER FM	FORMATION	6	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	3017.000000	3039.000000	BLODØKS FM	FORMATION	13	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	3047.000000	3175.000000	CROMER KNOLL GP	GROUP	23	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	3175.000000	3356.000000	DRAUPNE FM	FORMATION	28	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	2693.000000	2705.000000	EKOFISK FM	FORMATION	33	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	3356.000000	3550.000000	INTRA HEATHER FM SS	FORMATION	59	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	3039.000000	3047.000000	HIDRA FM	FORMATION	65	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	2904.000000	3017.000000	HOD FM	FORMATION	66	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	1258.000000	2501.000000	HORDALAND GP	GROUP	67	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	2579.000000	2684.000000	LISTA FM	FORMATION	95	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	130.000000	1258.000000	NORDLAND GP	GROUP	113	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	2501.000000	2693.000000	ROGALAND GP	GROUP	131	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	3047.000000	3095.000000	RØDBY FM	FORMATION	137	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	2523.000000	2579.000000	SELE FM	FORMATION	142	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	2693.000000	3047.000000	SHETLAND GP	GROUP	143	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	3550.000000	3620.000000	SKAGERRAK FM	FORMATION	146	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	3095.000000	3127.000000	SOLA FM	FORMATION	152	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	2705.000000	2904.000000	TOR FM	FORMATION	171	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	1195.000000	1258.000000	UTSIRA FM	FORMATION	183	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	3175.000000	3550.000000	VIKING GP	GROUP	188	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	2684.000000	2693.000000	VÅLE FM	FORMATION	190	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	3127.000000	3175.000000	ÅSGARD FM	FORMATION	198	2007-03-23	5484	9999-12-31	2013-05-08
15/12-17 A	3550.000000	3620.000000	NO GROUP DEFINED	GROUP	208	2007-03-23	5484	9999-12-31	2013-05-08
15/6-9 S	2226.000000	2268.000000	BALDER FM	FORMATION	6	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	3367.000000	3511.000000	CROMER KNOLL GP	GROUP	23	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	3511.000000	3616.000000	DRAUPNE FM	FORMATION	28	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	2798.000000	2850.000000	EKOFISK FM	FORMATION	33	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	1857.000000	2020.000000	GRID FM	FORMATION	53	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	3616.000000	3741.000000	HEATHER FM	FORMATION	60	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	2352.000000	2735.000000	HEIMDAL FM	FORMATION	62	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	3123.000000	3367.000000	HOD FM	FORMATION	66	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	1025.000000	2226.000000	HORDALAND GP	GROUP	67	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	3741.000000	3794.000000	HUGIN FM	FORMATION	69	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	2321.000000	2352.000000	LISTA FM	FORMATION	95	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	1189.000000	1857.000000	NO FORMAL NAME	FORMATION	111	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	2020.000000	2226.000000	NO FORMAL NAME	FORMATION	111	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	161.000000	1025.000000	NORDLAND GP	GROUP	113	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	2226.000000	2798.000000	ROGALAND GP	GROUP	131	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	3367.000000	3511.000000	RØDBY FM	FORMATION	137	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	2268.000000	2321.000000	SELE FM	FORMATION	142	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	2798.000000	3367.000000	SHETLAND GP	GROUP	143	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	1169.000000	1189.000000	SKADE FM	FORMATION	145	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	3872.000000	3940.000000	SKAGERRAK FM	FORMATION	146	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	3794.000000	3872.000000	SLEIPNER FM	FORMATION	148	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	2850.000000	3123.000000	TOR FM	FORMATION	171	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	792.000000	1025.000000	UTSIRA FM	FORMATION	183	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	3741.000000	3872.000000	VESTLAND GP	GROUP	186	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	3511.000000	3741.000000	VIKING GP	GROUP	188	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	2735.000000	2798.000000	VÅLE FM	FORMATION	190	2007-05-27	5494	9999-12-31	2013-05-08
15/6-9 S	3872.000000	3940.000000	NO GROUP DEFINED	GROUP	208	2007-05-27	5494	9999-12-31	2013-05-08
35/11-15 S	1524.000000	1589.000000	BALDER FM	FORMATION	6	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2502.000000	2506.000000	BLODØKS FM	FORMATION	13	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2558.000000	2697.000000	CROMER KNOLL GP	GROUP	23	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2697.000000	2829.000000	DRAUPNE FM	FORMATION	28	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2930.000000	3137.000000	INTRA HEATHER FM SS	FORMATION	59	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2829.000000	2930.000000	HEATHER FM	FORMATION	60	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	3137.000000	3250.000000	HEATHER FM	FORMATION	60	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	798.000000	1524.000000	HORDALAND GP	GROUP	67	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1947.000000	2107.000000	JORSALFARE FM	FORMATION	74	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2107.000000	2470.000000	KYRRE FM	FORMATION	92	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1644.000000	1706.000000	LISTA FM	FORMATION	95	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1714.000000	1830.000000	LISTA FM	FORMATION	95	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	786.000000	798.000000	NO FORMAL NAME	FORMATION	111	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1050.000000	1094.000000	NO FORMAL NAME	FORMATION	111	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1094.000000	1524.000000	NO FORMAL NAME	FORMATION	111	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1706.000000	1714.000000	NO FORMAL NAME	FORMATION	111	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1830.000000	1890.000000	NO FORMAL NAME	FORMATION	111	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1937.000000	1941.000000	NO FORMAL NAME	FORMATION	111	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	389.000000	798.000000	NORDLAND GP	GROUP	113	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1524.000000	1947.000000	ROGALAND GP	GROUP	131	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2558.000000	2623.000000	RØDBY FM	FORMATION	137	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1589.000000	1644.000000	SELE FM	FORMATION	142	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1947.000000	2558.000000	SHETLAND GP	GROUP	143	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2623.000000	2643.000000	SOLA FM	FORMATION	152	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2506.000000	2558.000000	SVARTE FM	FORMATION	160	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2470.000000	2502.000000	TRYGGVASON FM	FORMATION	173	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	697.000000	786.000000	UTSIRA FM	FORMATION	183	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2697.000000	3250.000000	VIKING GP	GROUP	188	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1890.000000	1937.000000	VÅLE FM	FORMATION	190	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	1941.000000	1947.000000	VÅLE FM	FORMATION	190	2007-06-28	5517	9999-12-31	2013-05-08
35/11-15 S	2643.000000	2697.000000	ÅSGARD FM	FORMATION	198	2007-06-28	5517	9999-12-31	2013-05-08
6504/5-1 S	1510.000000	1687.000000	BRYGGE FM	FORMATION	18	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	3441.000000	4193.000000	CROMER KNOLL GP	GROUP	23	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	1510.000000	1687.000000	HORDALAND GP	GROUP	67	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	2660.000000	3441.000000	KVITNOS FM	FORMATION	91	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	3441.000000	4193.000000	LANGE FM	FORMATION	94	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	1213.000000	1510.000000	NAUST FM	FORMATION	109	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	2190.000000	2660.000000	NISE FM	FORMATION	112	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	1213.000000	1510.000000	NORDLAND GP	GROUP	113	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	1687.000000	1850.000000	ROGALAND GP	GROUP	131	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	1850.000000	3441.000000	SHETLAND GP	GROUP	143	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	1850.000000	2190.000000	SPRINGAR FM	FORMATION	156	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	1774.000000	1850.000000	TANG FM	FORMATION	161	2007-06-28	5518	9999-12-31	2013-05-08
6504/5-1 S	1687.000000	1774.000000	TARE FM	FORMATION	163	2007-06-28	5518	9999-12-31	2013-05-08
6407/7-7 S	1161.000000	1845.000000	BRYGGE FM	FORMATION	18	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3466.000000	3886.000000	BÅT GP	GROUP	22	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	2919.000000	3329.000000	CROMER KNOLL GP	GROUP	23	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3346.000000	3466.000000	FANGST GP	GROUP	38	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	1161.000000	1845.000000	HORDALAND GP	GROUP	67	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3376.000000	3466.000000	ILE FM	FORMATION	70	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	1141.000000	1161.000000	KAI FM	FORMATION	77	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	2450.000000	2919.000000	KVITNOS FM	FORMATION	91	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	2919.000000	3227.000000	LANGE FM	FORMATION	94	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3327.000000	3329.000000	LYR FM	FORMATION	98	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3334.000000	3346.000000	MELKE FM	FORMATION	105	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	360.000000	1141.000000	NAUST FM	FORMATION	109	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3227.000000	3327.000000	NO FORMAL NAME	FORMATION	111	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	2152.000000	2450.000000	NISE FM	FORMATION	112	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	360.000000	1161.000000	NORDLAND GP	GROUP	113	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3346.000000	3376.000000	NOT FM	FORMATION	120	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	1845.000000	2107.000000	ROGALAND GP	GROUP	131	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3466.000000	3576.000000	ROR FM	FORMATION	135	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	2107.000000	2919.000000	SHETLAND GP	GROUP	143	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3329.000000	3334.000000	SPEKK FM	FORMATION	155	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	2107.000000	2152.000000	SPRINGAR FM	FORMATION	156	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	2008.000000	2107.000000	TANG FM	FORMATION	161	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	1845.000000	2008.000000	TARE FM	FORMATION	163	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3576.000000	3712.000000	TILJE FM	FORMATION	169	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3329.000000	3346.000000	VIKING GP	GROUP	188	2007-09-20	5550	9999-12-31	2013-05-08
6407/7-7 S	3712.000000	3886.000000	ÅRE FM	FORMATION	197	2007-09-20	5550	9999-12-31	2013-05-08
16/2-3	1617.000000	1636.000000	BALDER FM	FORMATION	6	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1894.000000	1905.000000	BASEMENT	GROUP	10	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1875.000000	1894.000000	CROMER KNOLL GP	GROUP	23	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1716.000000	1717.000000	EKOFISK FM	FORMATION	33	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1251.000000	1267.000000	GRID FM	FORMATION	53	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1814.000000	1875.000000	HOD FM	FORMATION	66	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1051.000000	1617.000000	HORDALAND GP	GROUP	67	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1651.000000	1716.000000	LISTA FM	FORMATION	95	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1150.000000	1251.000000	NO FORMAL NAME	FORMATION	111	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1267.000000	1617.000000	NO FORMAL NAME	FORMATION	111	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	162.000000	1051.000000	NORDLAND GP	GROUP	113	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1617.000000	1716.000000	ROGALAND GP	GROUP	131	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1875.000000	1889.000000	RØDBY FM	FORMATION	137	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1636.000000	1651.000000	SELE FM	FORMATION	142	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1716.000000	1875.000000	SHETLAND GP	GROUP	143	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1079.000000	1150.000000	SKADE FM	FORMATION	145	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1889.000000	1894.000000	SOLA FM	FORMATION	152	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	1717.000000	1814.000000	TOR FM	FORMATION	171	2007-09-28	5551	9999-12-31	2013-05-08
16/2-3	817.000000	1051.000000	UTSIRA FM	FORMATION	183	2007-09-28	5551	9999-12-31	2013-05-08
2/4-20	3115.000000	3123.000000	BALDER FM	FORMATION	6	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	4677.000000	4692.000000	BLODØKS FM	FORMATION	13	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	5225.000000	5426.000000	BRYNE FM	FORMATION	19	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	4745.000000	4818.000000	CROMER KNOLL GP	GROUP	23	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	3268.000000	3402.000000	EKOFISK FM	FORMATION	33	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	4692.000000	4745.000000	HIDRA FM	FORMATION	65	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	3862.000000	4677.000000	HOD FM	FORMATION	66	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	1774.000000	3115.000000	HORDALAND GP	GROUP	67	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	3144.000000	3254.000000	LISTA FM	FORMATION	95	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	113.000000	1774.000000	NORDLAND GP	GROUP	113	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	3115.000000	3268.000000	ROGALAND GP	GROUP	131	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	5631.000000	5719.000000	ROTLIEGEND GP	GROUP	136	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	3123.000000	3144.000000	SELE FM	FORMATION	142	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	3268.000000	4745.000000	SHETLAND GP	GROUP	143	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	5426.000000	5496.000000	SMITH BANK FM	FORMATION	149	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	3402.000000	3862.000000	TOR FM	FORMATION	171	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	4818.000000	5176.000000	TYNE GP	GROUP	177	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	5176.000000	5225.000000	ULA FM	FORMATION	179	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	5176.000000	5496.000000	VESTLAND GP	GROUP	186	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	3254.000000	3268.000000	VÅLE FM	FORMATION	190	2008-03-14	5556	9999-12-31	2013-05-08
2/4-20	5496.000000	5631.000000	ZECHSTEIN GP	GROUP	194	2008-03-14	5556	9999-12-31	2013-05-08
6507/11-8	1763.000000	2000.000000	BRYGGE FM	FORMATION	18	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2519.000000	2773.000000	BÅT GP	GROUP	22	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2359.000000	2373.000000	CROMER KNOLL GP	GROUP	23	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2416.000000	2519.000000	FANGST GP	GROUP	38	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2416.000000	2447.000000	GARN FM	FORMATION	48	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	1763.000000	2000.000000	HORDALAND GP	GROUP	67	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2459.000000	2519.000000	ILE FM	FORMATION	70	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	1399.000000	1763.000000	KAI FM	FORMATION	77	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2359.000000	2373.000000	LYR FM	FORMATION	98	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2391.000000	2416.000000	MELKE FM	FORMATION	105	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	325.000000	1399.000000	NAUST FM	FORMATION	109	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2205.000000	2359.000000	NISE FM	FORMATION	112	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	325.000000	1763.000000	NORDLAND GP	GROUP	113	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2447.000000	2459.000000	NOT FM	FORMATION	120	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2000.000000	2205.000000	ROGALAND GP	GROUP	131	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2519.000000	2594.000000	ROR FM	FORMATION	135	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2205.000000	2359.000000	SHETLAND GP	GROUP	143	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2373.000000	2391.000000	SPEKK FM	FORMATION	155	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2059.000000	2205.000000	TANG FM	FORMATION	161	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2000.000000	2059.000000	TARE FM	FORMATION	163	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2594.000000	2701.000000	TILJE FM	FORMATION	169	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2373.000000	2416.000000	VIKING GP	GROUP	188	2007-07-03	5562	9999-12-31	2013-05-08
6507/11-8	2701.000000	2773.000000	ÅRE FM	FORMATION	197	2007-07-03	5562	9999-12-31	2013-05-08
24/9-8	1936.000000	2049.000000	BALDER FM	FORMATION	6	2007-09-04	5563	9999-12-31	2013-05-08
24/9-8	1230.000000	1422.000000	GRID FM	FORMATION	53	2007-09-04	5563	9999-12-31	2013-05-08
24/9-8	2142.000000	2190.000000	HEIMDAL FM	FORMATION	62	2007-09-04	5563	9999-12-31	2013-05-08
24/9-8	716.000000	1936.000000	HORDALAND GP	GROUP	67	2007-09-04	5563	9999-12-31	2013-05-08
24/9-8	2100.000000	2142.000000	LISTA FM	FORMATION	95	2007-09-04	5563	9999-12-31	2013-05-08
24/9-8	875.000000	1230.000000	NO FORMAL NAME	FORMATION	111	2007-09-04	5563	9999-12-31	2013-05-08
24/9-8	1422.000000	1936.000000	NO FORMAL NAME	FORMATION	111	2007-09-04	5563	9999-12-31	2013-05-08
24/9-8	148.000000	716.000000	NORDLAND GP	GROUP	113	2007-09-04	5563	9999-12-31	2013-05-08
24/9-8	1936.000000	2190.000000	ROGALAND GP	GROUP	131	2007-09-04	5563	9999-12-31	2013-05-08
24/9-8	2049.000000	2100.000000	SELE FM	FORMATION	142	2007-09-04	5563	9999-12-31	2013-05-08
24/9-8	716.000000	875.000000	SKADE FM	FORMATION	145	2007-09-04	5563	9999-12-31	2013-05-08
24/9-8	284.000000	716.000000	UTSIRA FM	FORMATION	183	2007-09-04	5563	9999-12-31	2013-05-08
6405/10-1	1891.000000	2568.000000	BRYGGE FM	FORMATION	18	2007-09-07	5565	9999-12-31	2013-05-08
6405/10-1	2783.000000	2811.000000	EGGA FM (INFORMAL)	FORMATION	31	2007-09-07	5565	9999-12-31	2013-05-08
6405/10-1	1891.000000	2568.000000	HORDALAND GP	GROUP	67	2007-09-07	5565	9999-12-31	2013-05-08
6405/10-1	952.000000	1891.000000	NAUST FM	FORMATION	109	2007-09-07	5565	9999-12-31	2013-05-08
6405/10-1	2937.000000	3182.000000	NISE FM	FORMATION	112	2007-09-07	5565	9999-12-31	2013-05-08
6405/10-1	952.000000	1891.000000	NORDLAND GP	GROUP	113	2007-09-07	5565	9999-12-31	2013-05-08
6405/10-1	2568.000000	2811.000000	ROGALAND GP	GROUP	131	2007-09-07	5565	9999-12-31	2013-05-08
6405/10-1	2811.000000	3182.000000	SHETLAND GP	GROUP	143	2007-09-07	5565	9999-12-31	2013-05-08
6405/10-1	2811.000000	2937.000000	SPRINGAR FM	FORMATION	156	2007-09-07	5565	9999-12-31	2013-05-08
6405/10-1	2723.000000	2783.000000	TANG FM	FORMATION	161	2007-09-07	5565	9999-12-31	2013-05-08
6405/10-1	2568.000000	2723.000000	TARE FM	FORMATION	163	2007-09-07	5565	9999-12-31	2013-05-08
15/6-9 A	2226.000000	2268.000000	BALDER FM	FORMATION	6	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	3354.000000	3487.000000	CROMER KNOLL GP	GROUP	23	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	3487.000000	3518.000000	DRAUPNE FM	FORMATION	28	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	2798.000000	2850.000000	EKOFISK FM	FORMATION	33	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	1857.000000	2020.000000	GRID FM	FORMATION	53	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	3518.000000	3570.000000	HEATHER FM	FORMATION	60	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	2352.000000	2735.000000	HEIMDAL FM	FORMATION	62	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	3138.000000	3354.000000	HOD FM	FORMATION	66	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	1025.000000	2226.000000	HORDALAND GP	GROUP	67	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	3570.000000	3631.000000	HUGIN FM	FORMATION	69	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	2321.000000	2352.000000	LISTA FM	FORMATION	95	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	1189.000000	1857.000000	NO FORMAL NAME	FORMATION	111	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	2020.000000	2226.000000	NO FORMAL NAME	FORMATION	111	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	161.000000	1025.000000	NORDLAND GP	GROUP	113	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	2226.000000	2798.000000	ROGALAND GP	GROUP	131	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	3354.000000	3487.000000	RØDBY FM	FORMATION	137	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	2268.000000	2321.000000	SELE FM	FORMATION	142	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	2798.000000	3354.000000	SHETLAND GP	GROUP	143	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	1169.000000	1189.000000	SKADE FM	FORMATION	145	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	3666.000000	3690.000000	SKAGERRAK FM	FORMATION	146	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	3631.000000	3666.000000	SLEIPNER FM	FORMATION	148	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	2850.000000	3138.000000	TOR FM	FORMATION	171	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	792.000000	1025.000000	UTSIRA FM	FORMATION	183	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	3570.000000	3666.000000	VESTLAND GP	GROUP	186	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	3487.000000	3570.000000	VIKING GP	GROUP	188	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	2735.000000	2798.000000	VÅLE FM	FORMATION	190	2007-06-13	5566	9999-12-31	2013-05-08
15/6-9 A	3666.000000	3690.000000	NO GROUP DEFINED	GROUP	208	2007-06-13	5566	9999-12-31	2013-05-08
7/7-4	2706.000000	2746.000000	BALDER FM	FORMATION	6	2007-10-20	5570	9999-12-31	2013-05-08
7/7-4	3008.000000	3054.000000	EKOFISK FM	FORMATION	33	2007-10-20	5570	9999-12-31	2013-05-08
7/7-4	2820.000000	2949.000000	FORTIES FM	FORMATION	44	2007-10-20	5570	9999-12-31	2013-05-08
7/7-4	1309.000000	2706.000000	HORDALAND GP	GROUP	67	2007-10-20	5570	9999-12-31	2013-05-08
7/7-4	2949.000000	2971.000000	LISTA FM	FORMATION	95	2007-10-20	5570	9999-12-31	2013-05-08
7/7-4	124.000000	1309.000000	NORDLAND GP	GROUP	113	2007-10-20	5570	9999-12-31	2013-05-08
7/7-4	2706.000000	3008.000000	ROGALAND GP	GROUP	131	2007-10-20	5570	9999-12-31	2013-05-08
7/7-4	2746.000000	2820.000000	SELE FM	FORMATION	142	2007-10-20	5570	9999-12-31	2013-05-08
7/7-4	3008.000000	3054.000000	SHETLAND GP	GROUP	143	2007-10-20	5570	9999-12-31	2013-05-08
7/7-4	2971.000000	3008.000000	VÅLE FM	FORMATION	190	2007-10-20	5570	9999-12-31	2013-05-08
15/6-9 B	2226.000000	2268.000000	BALDER FM	FORMATION	6	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	3420.000000	3582.000000	CROMER KNOLL GP	GROUP	23	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	3582.000000	3776.000000	DRAUPNE FM	FORMATION	28	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	2798.000000	2850.000000	EKOFISK FM	FORMATION	33	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	1857.000000	2020.000000	GRID FM	FORMATION	53	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	3776.000000	3900.000000	HEATHER FM	FORMATION	60	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	2352.000000	2735.000000	HEIMDAL FM	FORMATION	62	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	3134.000000	3420.000000	HOD FM	FORMATION	66	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	1025.000000	2226.000000	HORDALAND GP	GROUP	67	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	3900.000000	3950.000000	HUGIN FM	FORMATION	69	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	2321.000000	2352.000000	LISTA FM	FORMATION	95	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	1189.000000	1857.000000	NO FORMAL NAME	FORMATION	111	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	2020.000000	2226.000000	NO FORMAL NAME	FORMATION	111	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	161.000000	1025.000000	NORDLAND GP	GROUP	113	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	2226.000000	2798.000000	ROGALAND GP	GROUP	131	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	3420.000000	3582.000000	RØDBY FM	FORMATION	137	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	2268.000000	2321.000000	SELE FM	FORMATION	142	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	2798.000000	3420.000000	SHETLAND GP	GROUP	143	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	1169.000000	1189.000000	SKADE FM	FORMATION	145	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	3950.000000	4010.000000	SLEIPNER FM	FORMATION	148	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	2850.000000	3134.000000	TOR FM	FORMATION	171	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	792.000000	1025.000000	UTSIRA FM	FORMATION	183	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	3900.000000	4010.000000	VESTLAND GP	GROUP	186	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	3582.000000	3900.000000	VIKING GP	GROUP	188	2007-07-23	5571	9999-12-31	2013-05-08
15/6-9 B	2735.000000	2798.000000	VÅLE FM	FORMATION	190	2007-07-23	5571	9999-12-31	2013-05-08
7120/8-4	1279.000000	2264.000000	ADVENTDALEN GP	GROUP	1	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	2643.000000	2697.000000	FRUHOLMEN FM	FORMATION	46	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	2250.000000	2264.000000	FUGLEN FM	FORMATION	47	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	2179.000000	2250.000000	HEKKINGEN FM	FORMATION	63	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	2264.000000	2697.000000	KAPP TOSCANA GP	GROUP	79	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	2142.000000	2179.000000	KNURR FM	FORMATION	82	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	1798.000000	2142.000000	KOLJE FM	FORMATION	84	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	1279.000000	1798.000000	KOLMULE FM	FORMATION	85	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	1186.000000	1279.000000	KVITING FM	FORMATION	90	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	298.000000	376.000000	NORDLAND GP	GROUP	113	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	2360.000000	2496.000000	NORDMELA FM	FORMATION	118	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	1186.000000	1279.000000	NYGRUNNEN GP	GROUP	122	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	376.000000	1186.000000	SOTBAKKEN GP	GROUP	154	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	2264.000000	2360.000000	STØ FM	FORMATION	159	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	376.000000	1186.000000	TORSK FM	FORMATION	172	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	2496.000000	2643.000000	TUBÅEN FM	FORMATION	174	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	2221.000000	2250.000000	ALGE MBR	MEMBER	202	2007-12-10	5572	9999-12-31	2013-05-08
7120/8-4	2179.000000	2221.000000	KRILL MBR	MEMBER	203	2007-12-10	5572	9999-12-31	2013-05-08
11/5-1	1920.000000	1950.000000	BASEMENT	GROUP	10	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	1086.000000	1276.000000	BOKNFJORD GP	GROUP	15	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	382.000000	1086.000000	CROMER KNOLL GP	GROUP	23	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	1141.000000	1276.000000	EGERSUND FM	FORMATION	30	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	199.000000	355.000000	NORDLAND GP	GROUP	113	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	1322.000000	1920.000000	ROTLIEGEND GP	GROUP	136	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	1276.000000	1322.000000	SANDNES FM	FORMATION	139	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	1086.000000	1107.000000	SAUDA FM	FORMATION	141	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	355.000000	382.000000	SHETLAND GP	GROUP	143	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	420.000000	717.000000	SOLA FM	FORMATION	152	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	1107.000000	1141.000000	TAU FM	FORMATION	164	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	1276.000000	1322.000000	VESTLAND GP	GROUP	186	2007-09-12	5596	9999-12-31	2013-05-08
11/5-1	717.000000	1086.000000	ÅSGARD FM	FORMATION	198	2007-09-12	5596	9999-12-31	2013-05-08
15/12-18 S	2450.000000	2468.000000	BALDER FM	FORMATION	6	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3013.000000	3058.000000	BLODØKS FM	FORMATION	13	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3138.000000	3210.000000	CROMER KNOLL GP	GROUP	23	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3210.000000	3351.000000	DRAUPNE FM	FORMATION	28	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	2250.000000	2274.000000	GRID FM	FORMATION	53	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3351.000000	3420.000000	HEATHER FM	FORMATION	60	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3058.000000	3138.000000	HIDRA FM	FORMATION	65	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	2900.000000	3013.000000	HOD FM	FORMATION	66	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	1096.000000	2450.000000	HORDALAND GP	GROUP	67	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3420.000000	3443.000000	HUGIN FM	FORMATION	69	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	2530.000000	2635.000000	LISTA FM	FORMATION	95	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	2274.000000	2450.000000	NO FORMAL NAME	FORMATION	111	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	134.000000	1096.000000	NORDLAND GP	GROUP	113	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	2450.000000	2712.000000	ROGALAND GP	GROUP	131	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3138.000000	3180.000000	RØDBY FM	FORMATION	137	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	2468.000000	2530.000000	SELE FM	FORMATION	142	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	2712.000000	3138.000000	SHETLAND GP	GROUP	143	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3443.000000	3468.000000	SLEIPNER FM	FORMATION	148	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3180.000000	3201.000000	SOLA FM	FORMATION	152	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	2712.000000	2900.000000	TOR FM	FORMATION	171	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	2670.000000	2712.000000	TY FM	FORMATION	176	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	963.000000	1096.000000	UTSIRA FM	FORMATION	183	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3420.000000	3468.000000	VESTLAND GP	GROUP	186	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3210.000000	3420.000000	VIKING GP	GROUP	188	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	2635.000000	2670.000000	VÅLE FM	FORMATION	190	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3468.000000	3520.000000	ZECHSTEIN GP	GROUP	194	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 S	3201.000000	3210.000000	ÅSGARD FM	FORMATION	198	2007-11-07	5607	9999-12-31	2013-05-08
15/12-18 A	2678.000000	2700.000000	BALDER FM	FORMATION	6	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	2884.000000	2894.000000	HEIMDAL FM	FORMATION	62	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	1096.000000	2678.000000	HORDALAND GP	GROUP	67	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	2788.000000	2884.000000	LISTA FM	FORMATION	95	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	2894.000000	2945.000000	LISTA FM	FORMATION	95	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	134.000000	1096.000000	NORDLAND GP	GROUP	113	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	2678.000000	2974.000000	ROGALAND GP	GROUP	131	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	2700.000000	2788.000000	SELE FM	FORMATION	142	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	2974.000000	3036.000000	SHETLAND GP	GROUP	143	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	3000.000000	3036.000000	TOR FM	FORMATION	171	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	2945.000000	2965.000000	TY FM	FORMATION	176	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	963.000000	1096.000000	UTSIRA FM	FORMATION	183	2007-12-11	5608	9999-12-31	2013-05-08
15/12-18 A	2965.000000	2974.000000	VÅLE FM	FORMATION	190	2007-12-11	5608	9999-12-31	2013-05-08
16/1-8	1765.000000	1781.000000	BALDER FM	FORMATION	6	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1897.000000	1913.000000	EKOFISK FM	FORMATION	33	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1556.000000	1713.000000	GRID FM	FORMATION	53	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1913.000000	1925.000000	HOD FM	FORMATION	66	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	882.000000	1765.000000	HORDALAND GP	GROUP	67	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1801.000000	1891.000000	LISTA FM	FORMATION	95	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1157.000000	1556.000000	NO FORMAL NAME	FORMATION	111	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1713.000000	1765.000000	NO FORMAL NAME	FORMATION	111	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	133.000000	882.000000	NORDLAND GP	GROUP	113	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1765.000000	1897.000000	ROGALAND GP	GROUP	131	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1781.000000	1801.000000	SELE FM	FORMATION	142	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1897.000000	1925.000000	SHETLAND GP	GROUP	143	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	963.000000	1157.000000	SKADE FM	FORMATION	145	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	745.000000	882.000000	UTSIRA FM	FORMATION	183	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1891.000000	1897.000000	VÅLE FM	FORMATION	190	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1925.000000	1964.000000	NO GROUP DEFINED	GROUP	208	2007-11-13	5612	9999-12-31	2013-05-08
16/1-8	1964.000000	2200.000000	NO GROUP DEFINED	GROUP	208	2007-11-13	5612	9999-12-31	2013-05-08
1/3-10	3059.000000	3069.000000	BALDER FM	FORMATION	6	2008-01-07	5614	9999-12-31	2013-05-08
1/3-10	3153.000000	3205.000000	FORTIES FM	FORMATION	44	2008-01-07	5614	9999-12-31	2013-05-08
1/3-10	1685.000000	3059.000000	HORDALAND GP	GROUP	67	2008-01-07	5614	9999-12-31	2013-05-08
1/3-10	3228.000000	3288.000000	LISTA FM	FORMATION	95	2008-01-07	5614	9999-12-31	2013-05-08
1/3-10	117.000000	1685.000000	NORDLAND GP	GROUP	113	2008-01-07	5614	9999-12-31	2013-05-08
1/3-10	3059.000000	3288.000000	ROGALAND GP	GROUP	131	2008-01-07	5614	9999-12-31	2013-05-08
1/3-10	3069.000000	3153.000000	SELE FM	FORMATION	142	2008-01-07	5614	9999-12-31	2013-05-08
1/3-10	3205.000000	3228.000000	SELE FM	FORMATION	142	2008-01-07	5614	9999-12-31	2013-05-08
16/2-4	1620.000000	1641.000000	BALDER FM	FORMATION	6	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1879.000000	2000.000000	BASEMENT	GROUP	10	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1859.000000	1879.000000	CROMER KNOLL GP	GROUP	23	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1708.000000	1710.000000	EKOFISK FM	FORMATION	33	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1243.000000	1325.000000	GRID FM	FORMATION	53	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1802.000000	1859.000000	HOD FM	FORMATION	66	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1057.000000	1620.000000	HORDALAND GP	GROUP	67	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1655.000000	1707.000000	LISTA FM	FORMATION	95	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1091.000000	1243.000000	NO FORMAL NAME	FORMATION	111	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1325.000000	1620.000000	NO FORMAL NAME	FORMATION	111	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	161.000000	1057.000000	NORDLAND GP	GROUP	113	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1620.000000	1708.000000	ROGALAND GP	GROUP	131	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1859.000000	1877.000000	RØDBY FM	FORMATION	137	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1641.000000	1655.000000	SELE FM	FORMATION	142	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1708.000000	1859.000000	SHETLAND GP	GROUP	143	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1079.000000	1091.000000	SKADE FM	FORMATION	145	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1877.000000	1879.000000	SOLA FM	FORMATION	152	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1710.000000	1802.000000	TOR FM	FORMATION	171	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	819.000000	1057.000000	UTSIRA FM	FORMATION	183	2007-12-15	5625	9999-12-31	2013-05-08
16/2-4	1707.000000	1708.000000	VÅLE FM	FORMATION	190	2007-12-15	5625	9999-12-31	2013-05-08
6609/6-1	1239.000000	1397.000000	BRYGGE FM	FORMATION	18	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	2463.000000	2644.000000	CROMER KNOLL GP	GROUP	23	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	1239.000000	1397.000000	HORDALAND GP	GROUP	67	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	1171.000000	1239.000000	KAI FM	FORMATION	77	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	2138.000000	2385.000000	KVITNOS FM	FORMATION	91	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	2403.000000	2463.000000	KVITNOS FM	FORMATION	91	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	2492.000000	2644.000000	LANGE FM	FORMATION	94	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	2463.000000	2492.000000	LYSING FM	FORMATION	99	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	353.000000	1171.000000	NAUST FM	FORMATION	109	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	2385.000000	2403.000000	NO FORMAL NAME	FORMATION	111	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	1935.000000	2138.000000	NISE FM	FORMATION	112	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	353.000000	1239.000000	NORDLAND GP	GROUP	113	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	2644.000000	2710.000000	RED BEDS (INFORMAL)	GROUP	129	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	1397.000000	1750.000000	ROGALAND GP	GROUP	131	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	1750.000000	2463.000000	SHETLAND GP	GROUP	143	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	1750.000000	1935.000000	SPRINGAR FM	FORMATION	156	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	1608.000000	1750.000000	TANG FM	FORMATION	161	2007-11-07	5626	9999-12-31	2013-05-08
6609/6-1	1397.000000	1608.000000	TARE FM	FORMATION	163	2007-11-07	5626	9999-12-31	2013-05-08
6407/6-6	1245.000000	1747.000000	BRYGGE FM	FORMATION	18	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2270.000000	2508.000000	BÅT GP	GROUP	22	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2072.000000	2101.000000	CROMER KNOLL GP	GROUP	23	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2110.000000	2270.000000	FANGST GP	GROUP	38	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2110.000000	2163.000000	GARN FM	FORMATION	48	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	1245.000000	1747.000000	HORDALAND GP	GROUP	67	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2200.000000	2270.000000	ILE FM	FORMATION	70	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	1094.000000	1245.000000	KAI FM	FORMATION	77	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2072.000000	2101.000000	LANGE FM	FORMATION	94	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	248.000000	1094.000000	NAUST FM	FORMATION	109	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	248.000000	1245.000000	NORDLAND GP	GROUP	113	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2163.000000	2200.000000	NOT FM	FORMATION	120	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	1747.000000	1903.000000	ROGALAND GP	GROUP	131	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2270.000000	2294.000000	ROR FM	FORMATION	135	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2355.000000	2365.000000	ROR FM	FORMATION	135	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2373.000000	2422.000000	ROR FM	FORMATION	135	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	1903.000000	2072.000000	SHETLAND GP	GROUP	143	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2101.000000	2110.000000	SPEKK FM	FORMATION	155	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	1825.000000	1903.000000	TANG FM	FORMATION	161	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	1747.000000	1825.000000	TARE FM	FORMATION	163	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2422.000000	2508.000000	TILJE FM	FORMATION	169	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2294.000000	2355.000000	TOFTE FM	FORMATION	170	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2365.000000	2373.000000	TOFTE FM	FORMATION	170	2008-02-05	5636	9999-12-31	2013-05-08
6407/6-6	2101.000000	2110.000000	VIKING GP	GROUP	188	2008-02-05	5636	9999-12-31	2013-05-08
24/12-5 S	2130.000000	2202.000000	BALDER FM	FORMATION	6	2007-12-21	5638	9999-12-31	2013-05-08
24/12-5 S	1316.000000	1540.000000	GRID FM	FORMATION	53	2007-12-21	5638	9999-12-31	2013-05-08
24/12-5 S	2277.000000	2325.000000	HEIMDAL FM	FORMATION	62	2007-12-21	5638	9999-12-31	2013-05-08
24/12-5 S	623.000000	2130.000000	HORDALAND GP	GROUP	67	2007-12-21	5638	9999-12-31	2013-05-08
24/12-5 S	2260.000000	2277.000000	LISTA FM	FORMATION	95	2007-12-21	5638	9999-12-31	2013-05-08
24/12-5 S	945.000000	1316.000000	NO FORMAL NAME	FORMATION	111	2007-12-21	5638	9999-12-31	2013-05-08
24/12-5 S	1540.000000	2130.000000	NO FORMAL NAME	FORMATION	111	2007-12-21	5638	9999-12-31	2013-05-08
24/12-5 S	141.000000	623.000000	NORDLAND GP	GROUP	113	2007-12-21	5638	9999-12-31	2013-05-08
24/12-5 S	2130.000000	2325.000000	ROGALAND GP	GROUP	131	2007-12-21	5638	9999-12-31	2013-05-08
24/12-5 S	2202.000000	2260.000000	SELE FM	FORMATION	142	2007-12-21	5638	9999-12-31	2013-05-08
24/12-5 S	657.000000	945.000000	SKADE FM	FORMATION	145	2007-12-21	5638	9999-12-31	2013-05-08
24/12-5 S	408.000000	623.000000	UTSIRA FM	FORMATION	183	2007-12-21	5638	9999-12-31	2013-05-08
25/11-25 S	1999.000000	2045.000000	BALDER FM	FORMATION	6	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	2087.000000	2109.000000	BALDER FM	FORMATION	6	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	2045.000000	2087.000000	INTRA BALDER FM SS	FORMATION	7	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	1648.000000	1656.000000	GRID FM	FORMATION	53	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	814.000000	1999.000000	HORDALAND GP	GROUP	67	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	2118.000000	2142.000000	LISTA FM	FORMATION	95	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	746.000000	814.000000	NO FORMAL NAME	FORMATION	111	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	954.000000	1076.000000	NO FORMAL NAME	FORMATION	111	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	1076.000000	1087.000000	NO FORMAL NAME	FORMATION	111	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	1087.000000	1235.000000	NO FORMAL NAME	FORMATION	111	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	1235.000000	1269.000000	NO FORMAL NAME	FORMATION	111	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	1269.000000	1648.000000	NO FORMAL NAME	FORMATION	111	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	1656.000000	1999.000000	NO FORMAL NAME	FORMATION	111	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	151.000000	814.000000	NORDLAND GP	GROUP	113	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	1999.000000	2142.000000	ROGALAND GP	GROUP	131	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	2109.000000	2118.000000	SELE FM	FORMATION	142	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	814.000000	954.000000	SKADE FM	FORMATION	145	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 S	666.000000	746.000000	UTSIRA FM	FORMATION	183	2008-02-15	5642	9999-12-31	2013-05-08
25/11-25 A	1957.000000	2063.000000	BALDER FM	FORMATION	6	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2310.000000	2362.000000	CROMER KNOLL GP	GROUP	23	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2362.000000	2372.000000	DRAUPNE FM	FORMATION	28	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	1637.000000	1665.000000	GRID FM	FORMATION	53	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2190.000000	2230.000000	HEIMDAL FM	FORMATION	62	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2074.000000	2167.000000	HERMOD FM	FORMATION	64	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2300.000000	2310.000000	HOD FM	FORMATION	66	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	814.000000	1957.000000	HORDALAND GP	GROUP	67	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2182.000000	2190.000000	LISTA FM	FORMATION	95	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2230.000000	2261.000000	LISTA FM	FORMATION	95	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	746.000000	814.000000	NO FORMAL NAME	FORMATION	111	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	954.000000	1097.000000	NO FORMAL NAME	FORMATION	111	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	1097.000000	1103.000000	NO FORMAL NAME	FORMATION	111	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	1103.000000	1246.000000	NO FORMAL NAME	FORMATION	111	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	1246.000000	1334.000000	NO FORMAL NAME	FORMATION	111	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	1334.000000	1637.000000	NO FORMAL NAME	FORMATION	111	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	1665.000000	1957.000000	NO FORMAL NAME	FORMATION	111	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	151.000000	814.000000	NORDLAND GP	GROUP	113	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	1957.000000	2269.000000	ROGALAND GP	GROUP	131	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2063.000000	2074.000000	SELE FM	FORMATION	142	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2167.000000	2182.000000	SELE FM	FORMATION	142	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2269.000000	2310.000000	SHETLAND GP	GROUP	143	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	814.000000	954.000000	SKADE FM	FORMATION	145	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2372.000000	2448.000000	STATFJORD FM	FORMATION	157	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2269.000000	2300.000000	TOR FM	FORMATION	171	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	666.000000	746.000000	UTSIRA FM	FORMATION	183	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2362.000000	2372.000000	VIKING GP	GROUP	188	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2261.000000	2269.000000	VÅLE FM	FORMATION	190	2008-03-10	5643	9999-12-31	2013-05-08
25/11-25 A	2372.000000	2448.000000	NO GROUP DEFINED	GROUP	208	2008-03-10	5643	9999-12-31	2013-05-08
7/4-2	2504.000000	2528.000000	BALDER FM	FORMATION	6	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3123.000000	3288.000000	CROMER KNOLL GP	GROUP	23	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	2757.000000	2886.000000	EKOFISK FM	FORMATION	33	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3336.000000	3382.000000	FARSUND FM	FORMATION	39	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3013.000000	3123.000000	HOD FM	FORMATION	66	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	1190.000000	2504.000000	HORDALAND GP	GROUP	67	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	2686.000000	2745.000000	LISTA FM	FORMATION	95	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3288.000000	3336.000000	MANDAL FM	FORMATION	101	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	125.000000	1190.000000	NORDLAND GP	GROUP	113	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	2504.000000	2757.000000	ROGALAND GP	GROUP	131	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3123.000000	3155.000000	RØDBY FM	FORMATION	137	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	2528.000000	2686.000000	SELE FM	FORMATION	142	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	2757.000000	3123.000000	SHETLAND GP	GROUP	143	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3400.000000	3421.000000	SKAGERRAK FM	FORMATION	146	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3421.000000	3457.000000	SMITH BANK FM	FORMATION	149	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3155.000000	3163.000000	SOLA FM	FORMATION	152	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	2886.000000	3013.000000	TOR FM	FORMATION	171	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3163.000000	3204.000000	TUXEN FM	FORMATION	175	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3288.000000	3382.000000	TYNE GP	GROUP	177	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3382.000000	3400.000000	ULA FM	FORMATION	179	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3382.000000	3400.000000	VESTLAND GP	GROUP	186	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	2745.000000	2757.000000	VÅLE FM	FORMATION	190	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3457.000000	3459.000000	ZECHSTEIN GP	GROUP	194	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3204.000000	3288.000000	ÅSGARD FM	FORMATION	198	2008-03-13	5683	9999-12-31	2013-05-08
7/4-2	3400.000000	3457.000000	NO GROUP DEFINED	GROUP	208	2008-03-13	5683	9999-12-31	2013-05-08
34/12-1	1815.000000	1876.000000	BALDER FM	FORMATION	6	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	3705.000000	3748.000000	BLODØKS FM	FORMATION	13	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4321.000000	4499.000000	BRENT GP	GROUP	16	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	3922.000000	4172.000000	CROMER KNOLL GP	GROUP	23	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4607.000000	4713.000000	COOK FM	FORMATION	24	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4499.000000	4607.000000	DRAKE FM	FORMATION	27	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4172.000000	4218.000000	DRAUPNE FM	FORMATION	28	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4499.000000	4713.000000	DUNLIN GP	GROUP	29	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4447.000000	4457.000000	ETIVE FM	FORMATION	35	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4218.000000	4321.000000	HEATHER FM	FORMATION	60	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	973.000000	1815.000000	HORDALAND GP	GROUP	67	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	2007.000000	2280.000000	JORSALFARE FM	FORMATION	74	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	2280.000000	3497.000000	KYRRE FM	FORMATION	92	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	1885.000000	1995.000000	LISTA FM	FORMATION	95	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4331.000000	4447.000000	NESS FM	FORMATION	110	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	396.000000	973.000000	NORDLAND GP	GROUP	113	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4457.000000	4499.000000	RANNOCH FM	FORMATION	126	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	1815.000000	2007.000000	ROGALAND GP	GROUP	131	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	3922.000000	4070.000000	RØDBY FM	FORMATION	137	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	1876.000000	1885.000000	SELE FM	FORMATION	142	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	2007.000000	3922.000000	SHETLAND GP	GROUP	143	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4070.000000	4100.000000	SOLA FM	FORMATION	152	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	3748.000000	3922.000000	SVARTE FM	FORMATION	160	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4321.000000	4331.000000	TARBERT FM	FORMATION	162	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	3497.000000	3705.000000	TRYGGVASON FM	FORMATION	173	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	943.000000	973.000000	UTSIRA FM	FORMATION	183	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4172.000000	4321.000000	VIKING GP	GROUP	188	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	1995.000000	2007.000000	VÅLE FM	FORMATION	190	2008-04-30	5684	9999-12-31	2013-05-08
34/12-1	4100.000000	4172.000000	ÅSGARD FM	FORMATION	198	2008-04-30	5684	9999-12-31	2013-05-08
6507/2-4	1800.000000	1852.000000	BRYGGE FM	FORMATION	18	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	2832.000000	3600.000000	CROMER KNOLL GP	GROUP	23	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	1800.000000	1852.000000	HORDALAND GP	GROUP	67	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	1375.000000	1800.000000	KAI FM	FORMATION	77	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	2456.000000	2832.000000	KVITNOS FM	FORMATION	91	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	2853.000000	3332.000000	LANGE FM	FORMATION	94	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	3552.000000	3600.000000	LYR FM	FORMATION	98	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	2832.000000	2853.000000	LYSING FM	FORMATION	99	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	3332.000000	3378.000000	NO FORMAL NAME	FORMATION	111	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	3378.000000	3552.000000	NO FORMAL NAME	FORMATION	111	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	383.000000	1800.000000	NORDLAND GP	GROUP	113	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	1852.000000	1964.000000	ROGALAND GP	GROUP	131	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	1964.000000	2832.000000	SHETLAND GP	GROUP	143	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	1964.000000	2456.000000	SPRINGAR FM	FORMATION	156	2008-02-19	5685	9999-12-31	2013-05-08
6507/2-4	1852.000000	1964.000000	TARE FM	FORMATION	163	2008-02-19	5685	9999-12-31	2013-05-08
15/12-19	2419.000000	2433.000000	BALDER FM	FORMATION	6	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2896.000000	2969.000000	CROMER KNOLL GP	GROUP	23	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2969.000000	2973.000000	DRAUPNE FM	FORMATION	28	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2653.000000	2663.000000	EKOFISK FM	FORMATION	33	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2737.000000	2896.000000	HOD FM	FORMATION	66	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	1303.000000	2419.000000	HORDALAND GP	GROUP	67	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2507.000000	2622.000000	LISTA FM	FORMATION	95	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	128.000000	1303.000000	NORDLAND GP	GROUP	113	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2419.000000	2653.000000	ROGALAND GP	GROUP	131	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2896.000000	2911.000000	RØDBY FM	FORMATION	137	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2433.000000	2507.000000	SELE FM	FORMATION	142	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2653.000000	2896.000000	SHETLAND GP	GROUP	143	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2973.000000	3212.000000	SKAGERRAK FM	FORMATION	146	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2911.000000	2927.000000	SOLA FM	FORMATION	152	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2663.000000	2737.000000	TOR FM	FORMATION	171	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2969.000000	2973.000000	VIKING GP	GROUP	188	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2622.000000	2653.000000	VÅLE FM	FORMATION	190	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2927.000000	2969.000000	ÅSGARD FM	FORMATION	198	2008-05-20	5705	9999-12-31	2013-05-08
15/12-19	2973.000000	3212.000000	NO GROUP DEFINED	GROUP	208	2008-05-20	5705	9999-12-31	2013-05-08
7222/6-1 S	2674.000000	2895.000000	HAVERT FM	FORMATION	58	2008-03-10	5755	9999-12-31	2013-05-08
7222/6-1 S	484.000000	1890.000000	KAPP TOSCANA GP	GROUP	79	2008-03-10	5755	9999-12-31	2013-05-08
7222/6-1 S	2464.000000	2674.000000	KLAPPMYSS FM	FORMATION	80	2008-03-10	5755	9999-12-31	2013-05-08
7222/6-1 S	1890.000000	2464.000000	KOBBE FM	FORMATION	83	2008-03-10	5755	9999-12-31	2013-05-08
7222/6-1 S	387.000000	484.000000	NORDLAND GP	GROUP	113	2008-03-10	5755	9999-12-31	2013-05-08
7222/6-1 S	1890.000000	2895.000000	SASSENDALEN GP	GROUP	140	2008-03-10	5755	9999-12-31	2013-05-08
7222/6-1 S	484.000000	1890.000000	SNADD FM	FORMATION	150	2008-03-10	5755	9999-12-31	2013-05-08
31/1-1	2767.000000	2787.000000	AMUNDSEN FM	FORMATION	4	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	1670.000000	1736.000000	BALDER FM	FORMATION	6	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2415.000000	2634.000000	BRENT GP	GROUP	16	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2040.000000	2051.000000	CROMER KNOLL GP	GROUP	23	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2691.000000	2767.000000	COOK FM	FORMATION	24	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2634.000000	2691.000000	DRAKE FM	FORMATION	27	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2051.000000	2055.000000	DRAUPNE FM	FORMATION	28	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2634.000000	2882.000000	DUNLIN GP	GROUP	29	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2514.000000	2564.000000	ETIVE FM	FORMATION	35	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2068.000000	2415.000000	HEATHER FM	FORMATION	60	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	840.000000	1670.000000	HORDALAND GP	GROUP	67	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2787.000000	2882.000000	JOHANSEN FM	FORMATION	73	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	1993.000000	2040.000000	JORSALFARE FM	FORMATION	74	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	1803.000000	1993.000000	LISTA FM	FORMATION	95	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2450.000000	2514.000000	NESS FM	FORMATION	110	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	366.000000	840.000000	NORDLAND GP	GROUP	113	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2564.000000	2634.000000	RANNOCH FM	FORMATION	126	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	1670.000000	1993.000000	ROGALAND GP	GROUP	131	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	1736.000000	1803.000000	SELE FM	FORMATION	142	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	1993.000000	2040.000000	SHETLAND GP	GROUP	143	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2055.000000	2068.000000	SOGNEFJORD FM	FORMATION	151	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2882.000000	2920.000000	STATFJORD FM	FORMATION	157	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2415.000000	2450.000000	TARBERT FM	FORMATION	162	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	822.000000	840.000000	UTSIRA FM	FORMATION	183	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2051.000000	2415.000000	VIKING GP	GROUP	188	2008-02-15	5765	9999-12-31	2013-05-08
31/1-1	2882.000000	2920.000000	NO GROUP DEFINED	GROUP	208	2008-02-15	5765	9999-12-31	2013-05-08
6507/11-9	1640.000000	2005.000000	BRYGGE FM	FORMATION	18	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2730.000000	3069.000000	BÅT GP	GROUP	22	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2529.000000	2535.000000	CROMER KNOLL GP	GROUP	23	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2597.000000	2730.000000	FANGST GP	GROUP	38	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2597.000000	2637.000000	GARN FM	FORMATION	48	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	1640.000000	2005.000000	HORDALAND GP	GROUP	67	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2653.000000	2730.000000	ILE FM	FORMATION	70	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	1392.000000	1640.000000	KAI FM	FORMATION	77	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2389.000000	2529.000000	KVITNOS FM	FORMATION	91	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2529.000000	2531.000000	LANGE FM	FORMATION	94	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2531.000000	2535.000000	LYR FM	FORMATION	98	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2543.000000	2597.000000	MELKE FM	FORMATION	105	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	299.000000	1392.000000	NAUST FM	FORMATION	109	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2174.000000	2389.000000	NISE FM	FORMATION	112	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	299.000000	1640.000000	NORDLAND GP	GROUP	113	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2637.000000	2653.000000	NOT FM	FORMATION	120	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2005.000000	2121.000000	ROGALAND GP	GROUP	131	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2730.000000	2812.000000	ROR FM	FORMATION	135	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2121.000000	2529.000000	SHETLAND GP	GROUP	143	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2535.000000	2543.000000	SPEKK FM	FORMATION	155	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2121.000000	2174.000000	SPRINGAR FM	FORMATION	156	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2068.000000	2121.000000	TANG FM	FORMATION	161	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2005.000000	2068.000000	TARE FM	FORMATION	163	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2812.000000	2910.000000	TILJE FM	FORMATION	169	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2535.000000	2597.000000	VIKING GP	GROUP	188	2008-04-18	5766	9999-12-31	2013-05-08
6507/11-9	2910.000000	3069.000000	ÅRE FM	FORMATION	197	2008-04-18	5766	9999-12-31	2013-05-08
16/1-9	1979.000000	2041.000000	BALDER FM	FORMATION	6	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2221.000000	2267.000000	CROMER KNOLL GP	GROUP	23	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2179.000000	2221.000000	EKOFISK FM	FORMATION	33	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	1598.000000	1632.000000	GRID FM	FORMATION	53	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	1693.000000	1793.000000	GRID FM	FORMATION	53	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2267.000000	2399.000000	HEATHER FM	FORMATION	60	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2126.000000	2143.000000	HEIMDAL FM	FORMATION	62	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	939.000000	1979.000000	HORDALAND GP	GROUP	67	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2090.000000	2126.000000	LISTA FM	FORMATION	95	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2143.000000	2176.000000	LISTA FM	FORMATION	95	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	818.000000	939.000000	NO FORMAL NAME	FORMATION	111	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	1104.000000	1123.000000	NO FORMAL NAME	FORMATION	111	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	1190.000000	1297.000000	NO FORMAL NAME	FORMATION	111	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	1297.000000	1331.000000	NO FORMAL NAME	FORMATION	111	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	1331.000000	1598.000000	NO FORMAL NAME	FORMATION	111	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	1632.000000	1693.000000	NO FORMAL NAME	FORMATION	111	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	1793.000000	1979.000000	NO FORMAL NAME	FORMATION	111	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	136.000000	939.000000	NORDLAND GP	GROUP	113	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	1979.000000	2179.000000	ROGALAND GP	GROUP	131	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2041.000000	2090.000000	SELE FM	FORMATION	142	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2179.000000	2221.000000	SHETLAND GP	GROUP	143	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	939.000000	1104.000000	SKADE FM	FORMATION	145	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	1123.000000	1190.000000	SKADE FM	FORMATION	145	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2456.000000	2544.000000	SKAGERRAK FM	FORMATION	146	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2399.000000	2456.000000	SLEIPNER FM	FORMATION	148	2008-04-22	5773	2013-03-08	2013-05-08
16/1-9	757.000000	818.000000	UTSIRA FM	FORMATION	183	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2399.000000	2456.000000	VESTLAND GP	GROUP	186	2008-04-22	5773	2013-03-08	2013-05-08
16/1-9	2267.000000	2399.000000	VIKING GP	GROUP	188	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2176.000000	2179.000000	VÅLE FM	FORMATION	190	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2221.000000	2267.000000	ÅSGARD FM	FORMATION	198	2008-04-22	5773	9999-12-31	2013-05-08
16/1-9	2456.000000	2544.000000	NO GROUP DEFINED	GROUP	208	2008-04-22	5773	9999-12-31	2013-05-08
1/3-10 A	3320.000000	3348.000000	BALDER FM	FORMATION	6	2008-02-13	5779	9999-12-31	2013-05-08
1/3-10 A	3516.000000	3580.000000	FORTIES FM	FORMATION	44	2008-02-13	5779	9999-12-31	2013-05-08
1/3-10 A	1685.000000	3320.000000	HORDALAND GP	GROUP	67	2008-02-13	5779	9999-12-31	2013-05-08
1/3-10 A	117.000000	1685.000000	NORDLAND GP	GROUP	113	2008-02-13	5779	9999-12-31	2013-05-08
1/3-10 A	3320.000000	3632.000000	ROGALAND GP	GROUP	131	2008-02-13	5779	9999-12-31	2013-05-08
1/3-10 A	3348.000000	3516.000000	SELE FM	FORMATION	142	2008-02-13	5779	9999-12-31	2013-05-08
1/3-10 A	3580.000000	3632.000000	SELE FM	FORMATION	142	2008-02-13	5779	9999-12-31	2013-05-08
30/2-4 S	2124.000000	2218.000000	BALDER FM	FORMATION	6	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	4196.000000	4309.000000	BRENT GP	GROUP	16	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	4217.000000	4309.000000	BURTON FM	FORMATION	20	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	4140.000000	4187.000000	CROMER KNOLL GP	GROUP	23	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	1595.000000	1717.000000	GRID FM	FORMATION	53	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	4187.000000	4196.000000	HEATHER FM	FORMATION	60	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	969.000000	2124.000000	HORDALAND GP	GROUP	67	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	2447.000000	2834.000000	JORSALFARE FM	FORMATION	74	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	2834.000000	3954.000000	KYRRE FM	FORMATION	92	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	2257.000000	2447.000000	LISTA FM	FORMATION	95	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	4196.000000	4217.000000	NESS FM	FORMATION	110	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	1393.000000	1595.000000	NO FORMAL NAME	FORMATION	111	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	1717.000000	2124.000000	NO FORMAL NAME	FORMATION	111	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	174.000000	969.000000	NORDLAND GP	GROUP	113	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	2124.000000	2447.000000	ROGALAND GP	GROUP	131	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	2218.000000	2257.000000	SELE FM	FORMATION	142	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	2447.000000	4140.000000	SHETLAND GP	GROUP	143	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	1150.000000	1393.000000	SKADE FM	FORMATION	145	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	4309.000000	4325.000000	STATFJORD FM	FORMATION	157	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	3954.000000	4140.000000	TRYGGVASON FM	FORMATION	173	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	864.000000	969.000000	UTSIRA FM	FORMATION	183	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	4187.000000	4196.000000	VIKING GP	GROUP	188	2008-08-09	5784	9999-12-31	2013-05-08
30/2-4 S	4309.000000	4325.000000	NO GROUP DEFINED	GROUP	208	2008-08-09	5784	9999-12-31	2013-05-08
7123/4-1 S	860.000000	2095.000000	ADVENTDALEN GP	GROUP	1	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	2139.000000	2266.000000	FRUHOLMEN FM	FORMATION	46	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	2005.000000	2095.000000	HEKKINGEN FM	FORMATION	63	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	2095.000000	2920.000000	KAPP TOSCANA GP	GROUP	79	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	1943.000000	2005.000000	KNURR FM	FORMATION	82	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	1638.000000	1943.000000	KOLJE FM	FORMATION	84	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	860.000000	1638.000000	KOLMULE FM	FORMATION	85	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	790.000000	860.000000	KVEITE FM	FORMATION	89	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	436.000000	495.000000	NORDLAND GP	GROUP	113	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	2111.000000	2122.000000	NORDMELA FM	FORMATION	118	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	790.000000	860.000000	NYGRUNNEN GP	GROUP	122	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	2266.000000	2920.000000	SNADD FM	FORMATION	150	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	495.000000	790.000000	SOTBAKKEN GP	GROUP	154	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	2095.000000	2111.000000	STØ FM	FORMATION	159	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	495.000000	790.000000	TORSK FM	FORMATION	172	2008-04-21	5786	9999-12-31	2013-05-08
7123/4-1 S	2122.000000	2139.000000	TUBÅEN FM	FORMATION	174	2008-04-21	5786	9999-12-31	2013-05-08
33/9-21 S	2618.000000	2728.000000	BALDER FM	FORMATION	6	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5867.000000	6051.000000	BRENT GP	GROUP	16	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5571.000000	5728.000000	CROMER KNOLL GP	GROUP	23	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5728.000000	5813.000000	DRAUPNE FM	FORMATION	28	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5927.000000	6051.000000	ETIVE FM	FORMATION	35	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5813.000000	5867.000000	HEATHER FM	FORMATION	60	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	1093.000000	2618.000000	HORDALAND GP	GROUP	67	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	2846.000000	3056.000000	LISTA FM	FORMATION	95	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5702.000000	5728.000000	MIME FM	FORMATION	106	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5903.000000	5927.000000	NESS FM	FORMATION	110	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	213.000000	1093.000000	NORDLAND GP	GROUP	113	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	2618.000000	3112.000000	ROGALAND GP	GROUP	131	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5571.000000	5587.000000	RØDBY FM	FORMATION	137	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	2728.000000	2846.000000	SELE FM	FORMATION	142	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	3112.000000	5571.000000	SHETLAND GP	GROUP	143	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5587.000000	5672.000000	SOLA FM	FORMATION	152	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5867.000000	5903.000000	TARBERT FM	FORMATION	162	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	971.000000	1093.000000	UTSIRA FM	FORMATION	183	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5728.000000	5867.000000	VIKING GP	GROUP	188	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	3056.000000	3112.000000	VÅLE FM	FORMATION	190	2009-03-19	5791	9999-12-31	2013-05-08
33/9-21 S	5672.000000	5702.000000	ÅSGARD FM	FORMATION	198	2009-03-19	5791	9999-12-31	2013-05-08
7/1-2 S	2212.000000	2240.000000	BALDER FM	FORMATION	6	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	3122.000000	3175.000000	BRYNE FM	FORMATION	19	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2806.000000	2848.000000	CROMER KNOLL GP	GROUP	23	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2462.000000	2480.000000	EKOFISK FM	FORMATION	33	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2919.000000	2945.000000	FARSUND FM	FORMATION	39	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2674.000000	2806.000000	HOD FM	FORMATION	66	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	1280.000000	2212.000000	HORDALAND GP	GROUP	67	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2333.000000	2444.000000	LISTA FM	FORMATION	95	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2848.000000	2919.000000	MANDAL FM	FORMATION	101	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	130.000000	1280.000000	NORDLAND GP	GROUP	113	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2212.000000	2462.000000	ROGALAND GP	GROUP	131	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2806.000000	2828.000000	RØDBY FM	FORMATION	137	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2240.000000	2333.000000	SELE FM	FORMATION	142	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2462.000000	2806.000000	SHETLAND GP	GROUP	143	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2828.000000	2840.000000	SOLA FM	FORMATION	152	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2480.000000	2674.000000	TOR FM	FORMATION	171	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2848.000000	2945.000000	TYNE GP	GROUP	177	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2945.000000	3122.000000	ULA FM	FORMATION	179	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2945.000000	3175.000000	VESTLAND GP	GROUP	186	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2444.000000	2462.000000	VÅLE FM	FORMATION	190	2008-05-08	5793	9999-12-31	2013-05-08
7/1-2 S	2840.000000	2848.000000	ÅSGARD FM	FORMATION	198	2008-05-08	5793	9999-12-31	2013-05-08
30/9-21 S	2195.000000	2275.000000	BALDER FM	FORMATION	6	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	3774.000000	4090.000000	BRENT GP	GROUP	16	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	3538.000000	3597.000000	CROMER KNOLL GP	GROUP	23	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	3597.000000	3656.000000	DRAUPNE FM	FORMATION	28	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	2628.000000	2675.000000	EKOFISK FM	FORMATION	33	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	1656.000000	1727.000000	GRID FM	FORMATION	53	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	2675.000000	2770.000000	HARDRÅDE FM	FORMATION	56	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	3656.000000	3774.000000	HEATHER FM	FORMATION	60	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	1108.000000	2195.000000	HORDALAND GP	GROUP	67	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	2770.000000	3538.000000	KYRRE FM	FORMATION	92	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	2370.000000	2520.000000	LISTA FM	FORMATION	95	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	3962.000000	4090.000000	NESS FM	FORMATION	110	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	881.000000	1108.000000	NO FORMAL NAME	FORMATION	111	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	1350.000000	1443.000000	NO FORMAL NAME	FORMATION	111	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	1525.000000	1656.000000	NO FORMAL NAME	FORMATION	111	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	1727.000000	2195.000000	NO FORMAL NAME	FORMATION	111	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	132.000000	1108.000000	NORDLAND GP	GROUP	113	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	2195.000000	2628.000000	ROGALAND GP	GROUP	131	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	3538.000000	3597.000000	RØDBY FM	FORMATION	137	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	2275.000000	2370.000000	SELE FM	FORMATION	142	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	2628.000000	3538.000000	SHETLAND GP	GROUP	143	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	1315.000000	1350.000000	SKADE FM	FORMATION	145	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	1443.000000	1525.000000	SKADE FM	FORMATION	145	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	3774.000000	3962.000000	TARBERT FM	FORMATION	162	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	613.000000	881.000000	UTSIRA FM	FORMATION	183	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	3597.000000	3774.000000	VIKING GP	GROUP	188	2008-04-30	5800	9999-12-31	2013-05-08
30/9-21 S	2520.000000	2628.000000	VÅLE FM	FORMATION	190	2008-04-30	5800	9999-12-31	2013-05-08
2/9-4	3093.000000	3105.000000	BALDER FM	FORMATION	6	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	4082.000000	4698.000000	CROMER KNOLL GP	GROUP	23	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	3218.000000	3336.000000	EKOFISK FM	FORMATION	33	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	4698.000000	5450.000000	FARSUND FM	FORMATION	39	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	3858.000000	4082.000000	HOD FM	FORMATION	66	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	1616.000000	3093.000000	HORDALAND GP	GROUP	67	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	3154.000000	3204.000000	LISTA FM	FORMATION	95	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	115.000000	1616.000000	NORDLAND GP	GROUP	113	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	3093.000000	3218.000000	ROGALAND GP	GROUP	131	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	5450.000000	5500.000000	ROTLIEGEND GP	GROUP	136	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	4082.000000	4175.000000	RØDBY FM	FORMATION	137	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	3105.000000	3154.000000	SELE FM	FORMATION	142	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	3218.000000	4082.000000	SHETLAND GP	GROUP	143	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	4175.000000	4259.000000	SOLA FM	FORMATION	152	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	3336.000000	3858.000000	TOR FM	FORMATION	171	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	4259.000000	4323.000000	TUXEN FM	FORMATION	175	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	4698.000000	5450.000000	TYNE GP	GROUP	177	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	3204.000000	3218.000000	VÅLE FM	FORMATION	190	2008-07-04	5801	9999-12-31	2013-05-08
2/9-4	4323.000000	4698.000000	ÅSGARD FM	FORMATION	198	2008-07-04	5801	9999-12-31	2013-05-08
30/9-21 A	2234.000000	2329.000000	BALDER FM	FORMATION	6	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	3866.000000	4054.000000	BRENT GP	GROUP	16	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	3517.000000	3582.000000	CROMER KNOLL GP	GROUP	23	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	4054.000000	4086.000000	DRAKE FM	FORMATION	27	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	3582.000000	3636.000000	DRAUPNE FM	FORMATION	28	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	4054.000000	4086.000000	DUNLIN GP	GROUP	29	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	2688.000000	2735.000000	EKOFISK FM	FORMATION	33	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	1687.000000	1758.000000	GRID FM	FORMATION	53	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	2735.000000	2836.000000	HARDRÅDE FM	FORMATION	56	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	3780.000000	3866.000000	INTRA HEATHER FM SS	FORMATION	59	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	3636.000000	3780.000000	HEATHER FM	FORMATION	60	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	1108.000000	2234.000000	HORDALAND GP	GROUP	67	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	2836.000000	3517.000000	KYRRE FM	FORMATION	92	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	2430.000000	2585.000000	LISTA FM	FORMATION	95	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	881.000000	1108.000000	NO FORMAL NAME	FORMATION	111	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	1347.000000	1447.000000	NO FORMAL NAME	FORMATION	111	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	1525.000000	1687.000000	NO FORMAL NAME	FORMATION	111	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	1758.000000	2234.000000	NO FORMAL NAME	FORMATION	111	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	132.000000	1108.000000	NORDLAND GP	GROUP	113	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	2234.000000	2688.000000	ROGALAND GP	GROUP	131	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	3517.000000	3582.000000	RØDBY FM	FORMATION	137	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	2329.000000	2430.000000	SELE FM	FORMATION	142	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	2688.000000	3517.000000	SHETLAND GP	GROUP	143	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	1311.000000	1347.000000	SKADE FM	FORMATION	145	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	1447.000000	1525.000000	SKADE FM	FORMATION	145	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	3866.000000	4054.000000	TARBERT FM	FORMATION	162	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	613.000000	881.000000	UTSIRA FM	FORMATION	183	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	3582.000000	3866.000000	VIKING GP	GROUP	188	2008-06-15	5805	9999-12-31	2013-05-08
30/9-21 A	2585.000000	2688.000000	VÅLE FM	FORMATION	190	2008-06-15	5805	9999-12-31	2013-05-08
1/3-11	3366.000000	3482.000000	ANDREW FM	FORMATION	5	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	3194.000000	3205.000000	BALDER FM	FORMATION	6	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	3502.000000	3595.000000	EKOFISK FM	FORMATION	33	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	3282.000000	3319.000000	FORTIES FM	FORMATION	44	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	1777.000000	3194.000000	HORDALAND GP	GROUP	67	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	3343.000000	3366.000000	LISTA FM	FORMATION	95	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	2600.000000	3194.000000	NO FORMAL NAME	FORMATION	111	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	114.000000	1777.000000	NORDLAND GP	GROUP	113	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	3194.000000	3502.000000	ROGALAND GP	GROUP	131	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	3205.000000	3282.000000	SELE FM	FORMATION	142	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	3319.000000	3343.000000	SELE FM	FORMATION	142	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	3502.000000	3595.000000	SHETLAND GP	GROUP	143	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	2594.000000	2600.000000	VADE FM	FORMATION	184	2008-08-30	5806	9999-12-31	2013-05-08
1/3-11	3482.000000	3502.000000	VÅLE FM	FORMATION	190	2008-08-30	5806	9999-12-31	2013-05-08
7226/2-1	454.000000	901.000000	ADVENTDALEN GP	GROUP	1	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	950.000000	1052.000000	FRUHOLMEN FM	FORMATION	46	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	864.000000	901.000000	FUGLEN FM	FORMATION	47	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	2930.000000	2992.000000	HAVERT FM	FORMATION	58	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	754.000000	864.000000	HEKKINGEN FM	FORMATION	63	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	901.000000	1694.000000	KAPP TOSCANA GP	GROUP	79	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	2325.000000	2930.000000	KLAPPMYSS FM	FORMATION	80	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	727.000000	754.000000	KNURR FM	FORMATION	82	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	1694.000000	2325.000000	KOBBE FM	FORMATION	83	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	454.000000	727.000000	KOLMULE FM	FORMATION	85	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	370.000000	454.000000	NORDLAND GP	GROUP	113	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	1694.000000	2992.000000	SASSENDALEN GP	GROUP	140	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	1052.000000	1694.000000	SNADD FM	FORMATION	150	2008-07-19	5807	9999-12-31	2013-05-08
7226/2-1	901.000000	950.000000	TUBÅEN FM	FORMATION	174	2008-07-19	5807	9999-12-31	2013-05-08
7123/4-1 A	860.000000	2091.000000	ADVENTDALEN GP	GROUP	1	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	2141.000000	2259.000000	FRUHOLMEN FM	FORMATION	46	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	2001.000000	2091.000000	HEKKINGEN FM	FORMATION	63	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	2091.000000	2855.000000	KAPP TOSCANA GP	GROUP	79	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	1943.000000	2001.000000	KNURR FM	FORMATION	82	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	1638.000000	1943.000000	KOLJE FM	FORMATION	84	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	860.000000	1638.000000	KOLMULE FM	FORMATION	85	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	790.000000	860.000000	KVEITE FM	FORMATION	89	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	436.000000	495.000000	NORDLAND GP	GROUP	113	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	790.000000	860.000000	NYGRUNNEN GP	GROUP	122	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	2259.000000	2855.000000	SNADD FM	FORMATION	150	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	495.000000	790.000000	SOTBAKKEN GP	GROUP	154	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	2091.000000	2131.000000	STØ FM	FORMATION	159	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	495.000000	790.000000	TORSK FM	FORMATION	172	2008-05-14	5808	9999-12-31	2013-05-08
7123/4-1 A	2131.000000	2141.000000	TUBÅEN FM	FORMATION	174	2008-05-14	5808	9999-12-31	2013-05-08
34/3-1 S	4016.000000	4125.000000	AMUNDSEN FM	FORMATION	4	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	2002.000000	2030.000000	BALDER FM	FORMATION	6	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	3958.000000	4016.000000	BURTON FM	FORMATION	20	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	3769.000000	3777.000000	CROMER KNOLL GP	GROUP	23	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	3866.000000	3958.000000	COOK FM	FORMATION	24	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	3777.000000	3866.000000	DRAKE FM	FORMATION	27	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	3777.000000	4125.000000	DUNLIN GP	GROUP	29	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	1494.000000	2002.000000	HORDALAND GP	GROUP	67	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	2141.000000	2314.000000	JORSALFARE FM	FORMATION	74	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	2314.000000	3429.000000	KYRRE FM	FORMATION	92	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	2050.000000	2141.000000	LISTA FM	FORMATION	95	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	3769.000000	3777.000000	MIME FM	FORMATION	106	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	1464.000000	1494.000000	NO FORMAL NAME	FORMATION	111	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	436.000000	1494.000000	NORDLAND GP	GROUP	113	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	2002.000000	2141.000000	ROGALAND GP	GROUP	131	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	2030.000000	2050.000000	SELE FM	FORMATION	142	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	2141.000000	3769.000000	SHETLAND GP	GROUP	143	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	4125.000000	4221.000000	STATFJORD FM	FORMATION	157	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	3429.000000	3769.000000	TRYGGVASON FM	FORMATION	173	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	1421.000000	1464.000000	UTSIRA FM	FORMATION	183	2008-09-10	5811	9999-12-31	2013-05-08
34/3-1 S	4125.000000	4221.000000	NO GROUP DEFINED	GROUP	208	2008-09-10	5811	9999-12-31	2013-05-08
6605/8-2	2010.000000	2300.000000	BRYGGE FM	FORMATION	18	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	3886.000000	4210.000000	CROMER KNOLL GP	GROUP	23	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	2010.000000	2300.000000	HORDALAND GP	GROUP	67	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	1688.000000	2010.000000	KAI FM	FORMATION	77	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	3261.000000	3886.000000	KVITNOS FM	FORMATION	91	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	4158.000000	4210.000000	LANGE FM	FORMATION	94	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	3886.000000	4158.000000	LYSING FM	FORMATION	99	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	841.000000	1688.000000	NAUST FM	FORMATION	109	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	2991.000000	3261.000000	NISE FM	FORMATION	112	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	841.000000	2010.000000	NORDLAND GP	GROUP	113	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	2300.000000	2671.000000	ROGALAND GP	GROUP	131	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	2671.000000	3886.000000	SHETLAND GP	GROUP	143	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	2671.000000	2991.000000	SPRINGAR FM	FORMATION	156	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	2416.000000	2671.000000	TANG FM	FORMATION	161	2008-07-10	5812	9999-12-31	2013-05-08
6605/8-2	2300.000000	2416.000000	TARE FM	FORMATION	163	2008-07-10	5812	9999-12-31	2013-05-08
6407/8-4 S	1025.000000	1665.000000	BRYGGE FM	FORMATION	18	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2422.000000	2788.000000	BÅT GP	GROUP	22	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2212.000000	2422.000000	FANGST GP	GROUP	38	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2212.000000	2307.000000	GARN FM	FORMATION	48	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	1025.000000	1665.000000	HORDALAND GP	GROUP	67	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2375.000000	2422.000000	ILE FM	FORMATION	70	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	997.000000	1025.000000	KAI FM	FORMATION	77	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2047.000000	2178.000000	KVITNOS FM	FORMATION	91	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2198.000000	2212.000000	MELKE FM	FORMATION	105	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	284.000000	997.000000	NAUST FM	FORMATION	109	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	1937.000000	2047.000000	NISE FM	FORMATION	112	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	284.000000	1025.000000	NORDLAND GP	GROUP	113	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2307.000000	2375.000000	NOT FM	FORMATION	120	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	1665.000000	1937.000000	ROGALAND GP	GROUP	131	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2184.000000	2187.000000	ROGN FM	FORMATION	134	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2422.000000	2550.000000	ROR FM	FORMATION	135	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	1937.000000	2178.000000	SHETLAND GP	GROUP	143	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2178.000000	2184.000000	SPEKK FM	FORMATION	155	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2187.000000	2198.000000	SPEKK FM	FORMATION	155	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	1738.000000	1937.000000	TANG FM	FORMATION	161	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	1665.000000	1738.000000	TARE FM	FORMATION	163	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2550.000000	2724.000000	TILJE FM	FORMATION	169	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2178.000000	2212.000000	VIKING GP	GROUP	188	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 S	2724.000000	2788.000000	ÅRE FM	FORMATION	197	2008-05-21	5813	9999-12-31	2013-05-08
6407/8-4 A	1025.000000	1658.000000	BRYGGE FM	FORMATION	18	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	2118.000000	2473.000000	BÅT GP	GROUP	22	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	1025.000000	1658.000000	HORDALAND GP	GROUP	67	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	997.000000	1025.000000	KAI FM	FORMATION	77	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	2081.000000	2118.000000	KVITNOS FM	FORMATION	91	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	284.000000	997.000000	NAUST FM	FORMATION	109	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	1910.000000	2081.000000	NISE FM	FORMATION	112	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	284.000000	1025.000000	NORDLAND GP	GROUP	113	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	1658.000000	1910.000000	ROGALAND GP	GROUP	131	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	2118.000000	2217.000000	ROR FM	FORMATION	135	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	1910.000000	2118.000000	SHETLAND GP	GROUP	143	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	1731.000000	1910.000000	TANG FM	FORMATION	161	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	1658.000000	1731.000000	TARE FM	FORMATION	163	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	2217.000000	2424.000000	TILJE FM	FORMATION	169	2008-06-16	5814	9999-12-31	2013-05-08
6407/8-4 A	2424.000000	2473.000000	ÅRE FM	FORMATION	197	2008-06-16	5814	9999-12-31	2013-05-08
15/12-20 S	2906.000000	2924.000000	BALDER FM	FORMATION	6	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3655.000000	3699.000000	BLODØKS FM	FORMATION	13	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3699.000000	3791.000000	CROMER KNOLL GP	GROUP	23	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3791.000000	3797.000000	DRAUPNE FM	FORMATION	28	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3797.000000	3808.000000	HEATHER FM	FORMATION	60	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3432.000000	3655.000000	HOD FM	FORMATION	66	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	1305.000000	2906.000000	HORDALAND GP	GROUP	67	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3022.000000	3176.000000	LISTA FM	FORMATION	95	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	136.000000	1305.000000	NORDLAND GP	GROUP	113	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	2906.000000	3269.000000	ROGALAND GP	GROUP	131	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3699.000000	3747.000000	RØDBY FM	FORMATION	137	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	2924.000000	3022.000000	SELE FM	FORMATION	142	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3269.000000	3699.000000	SHETLAND GP	GROUP	143	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3874.000000	4192.000000	SKAGERRAK FM	FORMATION	146	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3808.000000	3874.000000	SLEIPNER FM	FORMATION	148	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3269.000000	3432.000000	TOR FM	FORMATION	171	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3808.000000	3874.000000	VESTLAND GP	GROUP	186	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3791.000000	3808.000000	VIKING GP	GROUP	188	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3176.000000	3269.000000	VÅLE FM	FORMATION	190	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3747.000000	3791.000000	ÅSGARD FM	FORMATION	198	2008-07-01	5824	9999-12-31	2013-05-08
15/12-20 S	3874.000000	4192.000000	NO GROUP DEFINED	GROUP	208	2008-07-01	5824	9999-12-31	2013-05-08
7224/6-1	419.000000	1004.000000	ADVENTDALEN GP	GROUP	1	2008-08-21	5835	9999-12-31	2013-05-08
7224/6-1	1064.000000	1166.000000	FRUHOLMEN FM	FORMATION	46	2008-08-21	5835	9999-12-31	2013-05-08
7224/6-1	974.000000	1004.000000	FUGLEN FM	FORMATION	47	2008-08-21	5835	9999-12-31	2013-05-08
7224/6-1	906.000000	974.000000	HEKKINGEN FM	FORMATION	63	2008-08-21	5835	9999-12-31	2013-05-08
7224/6-1	1004.000000	2010.000000	KAPP TOSCANA GP	GROUP	79	2008-08-21	5835	9999-12-31	2013-05-08
7224/6-1	890.000000	906.000000	KNURR FM	FORMATION	82	2008-08-21	5835	9999-12-31	2013-05-08
7224/6-1	2010.000000	2338.000000	KOBBE FM	FORMATION	83	2008-08-21	5835	9999-12-31	2013-05-08
7224/6-1	419.000000	890.000000	KOLMULE FM	FORMATION	85	2008-08-21	5835	9999-12-31	2013-05-08
7224/6-1	289.000000	419.000000	NORDLAND GP	GROUP	113	2008-08-21	5835	9999-12-31	2013-05-08
7224/6-1	2010.000000	2338.000000	SASSENDALEN GP	GROUP	140	2008-08-21	5835	9999-12-31	2013-05-08
7224/6-1	1166.000000	2010.000000	SNADD FM	FORMATION	150	2008-08-21	5835	9999-12-31	2013-05-08
7224/6-1	1004.000000	1064.000000	TUBÅEN FM	FORMATION	174	2008-08-21	5835	9999-12-31	2013-05-08
32/2-1	1187.000000	1228.000000	BRENT GP	GROUP	16	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	620.000000	823.000000	CROMER KNOLL GP	GROUP	23	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	823.000000	884.000000	DRAUPNE FM	FORMATION	28	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	1012.000000	1115.000000	FENSFJORD FM	FORMATION	40	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	884.000000	902.000000	HEATHER FM	FORMATION	60	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	1247.000000	1300.000000	HEGRE GP	GROUP	61	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	1115.000000	1187.000000	KROSSFJORD FM	FORMATION	87	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	1247.000000	1300.000000	LUNDE FM	FORMATION	97	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	377.000000	620.000000	NORDLAND GP	GROUP	113	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	902.000000	1012.000000	SOGNEFJORD FM	FORMATION	151	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	620.000000	755.000000	SOLA FM	FORMATION	152	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	1228.000000	1247.000000	STATFJORD FM	FORMATION	157	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	823.000000	1187.000000	VIKING GP	GROUP	188	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	755.000000	823.000000	ÅSGARD FM	FORMATION	198	2008-07-01	5839	9999-12-31	2013-05-08
32/2-1	1228.000000	1247.000000	NO GROUP DEFINED	GROUP	208	2008-07-01	5839	9999-12-31	2013-05-08
15/5-7	2110.000000	2142.000000	BALDER FM	FORMATION	6	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	3399.000000	3666.000000	CROMER KNOLL GP	GROUP	23	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	3666.000000	3762.000000	DRAUPNE FM	FORMATION	28	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	2719.000000	2790.000000	EKOFISK FM	FORMATION	33	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	1732.000000	2110.000000	GRID FM	FORMATION	53	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	3762.000000	3821.000000	HEATHER FM	FORMATION	60	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	2222.000000	2630.000000	HEIMDAL FM	FORMATION	62	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	3053.000000	3399.000000	HOD FM	FORMATION	66	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	991.000000	2110.000000	HORDALAND GP	GROUP	67	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	3821.000000	3919.000000	HUGIN FM	FORMATION	69	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	2190.000000	2222.000000	LISTA FM	FORMATION	95	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	2630.000000	2660.000000	LISTA FM	FORMATION	95	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	145.000000	991.000000	NORDLAND GP	GROUP	113	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	2110.000000	2719.000000	ROGALAND GP	GROUP	131	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	3399.000000	3480.000000	RØDBY FM	FORMATION	137	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	2142.000000	2190.000000	SELE FM	FORMATION	142	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	2719.000000	3399.000000	SHETLAND GP	GROUP	143	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	4008.000000	4037.000000	SKAGERRAK FM	FORMATION	146	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	3919.000000	4008.000000	SLEIPNER FM	FORMATION	148	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	3480.000000	3666.000000	SOLA FM	FORMATION	152	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	2790.000000	3053.000000	TOR FM	FORMATION	171	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	2660.000000	2719.000000	TY FM	FORMATION	176	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	791.000000	991.000000	UTSIRA FM	FORMATION	183	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	3821.000000	4008.000000	VESTLAND GP	GROUP	186	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	3666.000000	3821.000000	VIKING GP	GROUP	188	2008-09-07	5842	9999-12-31	2013-05-08
15/5-7	4008.000000	4037.000000	NO GROUP DEFINED	GROUP	208	2008-09-07	5842	9999-12-31	2013-05-08
6407/7-8	1368.000000	1997.000000	BRYGGE FM	FORMATION	18	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4563.000000	5138.000000	BÅT GP	GROUP	22	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	2840.000000	4120.000000	CROMER KNOLL GP	GROUP	23	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4330.000000	4563.000000	FANGST GP	GROUP	38	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4330.000000	4418.000000	GARN FM	FORMATION	48	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	1368.000000	1997.000000	HORDALAND GP	GROUP	67	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4457.000000	4563.000000	ILE FM	FORMATION	70	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	1212.000000	1368.000000	KAI FM	FORMATION	77	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	2566.000000	2840.000000	KVITNOS FM	FORMATION	91	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	3119.000000	4005.000000	LANGE FM	FORMATION	94	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4005.000000	4120.000000	LYR FM	FORMATION	98	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	2840.000000	3119.000000	LYSING FM	FORMATION	99	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4184.000000	4330.000000	MELKE FM	FORMATION	105	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	311.000000	1212.000000	NAUST FM	FORMATION	109	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	2362.000000	2566.000000	NISE FM	FORMATION	112	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	311.000000	1368.000000	NORDLAND GP	GROUP	113	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4418.000000	4457.000000	NOT FM	FORMATION	120	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	1997.000000	2210.000000	ROGALAND GP	GROUP	131	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4563.000000	4606.000000	ROR FM	FORMATION	135	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4616.000000	4752.000000	ROR FM	FORMATION	135	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	2210.000000	2840.000000	SHETLAND GP	GROUP	143	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4120.000000	4184.000000	SPEKK FM	FORMATION	155	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	2210.000000	2362.000000	SPRINGAR FM	FORMATION	156	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	2132.000000	2210.000000	TANG FM	FORMATION	161	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	1997.000000	2132.000000	TARE FM	FORMATION	163	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4752.000000	4981.000000	TILJE FM	FORMATION	169	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4606.000000	4616.000000	TOFTE FM	FORMATION	170	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4120.000000	4330.000000	VIKING GP	GROUP	188	2008-09-14	5844	9999-12-31	2013-05-08
6407/7-8	4981.000000	5138.000000	ÅRE FM	FORMATION	197	2008-09-14	5844	9999-12-31	2013-05-08
6706/12-1	2213.000000	2368.000000	BRYGGE FM	FORMATION	18	2008-08-28	5867	9999-12-31	2013-05-08
6706/12-1	2213.000000	2368.000000	HORDALAND GP	GROUP	67	2008-08-28	5867	9999-12-31	2013-05-08
6706/12-1	2119.000000	2213.000000	KAI FM	FORMATION	77	2008-08-28	5867	9999-12-31	2013-05-08
6706/12-1	3517.000000	3950.000000	KVITNOS FM	FORMATION	91	2008-08-28	5867	9999-12-31	2013-05-08
6706/12-1	1286.000000	2119.000000	NAUST FM	FORMATION	109	2008-08-28	5867	9999-12-31	2013-05-08
6706/12-1	2590.000000	3517.000000	NISE FM	FORMATION	112	2008-08-28	5867	9999-12-31	2013-05-08
6706/12-1	1286.000000	2213.000000	NORDLAND GP	GROUP	113	2008-08-28	5867	9999-12-31	2013-05-08
6706/12-1	2368.000000	2427.000000	ROGALAND GP	GROUP	131	2008-08-28	5867	9999-12-31	2013-05-08
6706/12-1	2427.000000	3950.000000	SHETLAND GP	GROUP	143	2008-08-28	5867	9999-12-31	2013-05-08
6706/12-1	2427.000000	2590.000000	SPRINGAR FM	FORMATION	156	2008-08-28	5867	9999-12-31	2013-05-08
6706/12-1	2368.000000	2427.000000	TARE FM	FORMATION	163	2008-08-28	5867	9999-12-31	2013-05-08
6608/11-6	1354.000000	1442.000000	BRYGGE FM	FORMATION	18	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1601.000000	1850.000000	BÅT GP	GROUP	22	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1551.000000	1601.000000	FANGST GP	GROUP	38	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1354.000000	1442.000000	HORDALAND GP	GROUP	67	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1587.000000	1601.000000	ILE FM	FORMATION	70	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1331.000000	1354.000000	KAI FM	FORMATION	77	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1500.000000	1551.000000	MELKE FM	FORMATION	105	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	379.000000	1331.000000	NAUST FM	FORMATION	109	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	379.000000	1354.000000	NORDLAND GP	GROUP	113	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1551.000000	1587.000000	NOT FM	FORMATION	120	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1442.000000	1500.000000	ROGALAND GP	GROUP	131	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1442.000000	1500.000000	TARE FM	FORMATION	163	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1601.000000	1630.000000	TILJE FM	FORMATION	169	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1500.000000	1551.000000	VIKING GP	GROUP	188	2008-08-06	5868	9999-12-31	2013-05-08
6608/11-6	1630.000000	1850.000000	ÅRE FM	FORMATION	197	2008-08-06	5868	9999-12-31	2013-05-08
16/1-10	1734.000000	1744.000000	BALDER FM	FORMATION	6	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	1890.000000	1898.000000	CROMER KNOLL GP	GROUP	23	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	1860.000000	1890.000000	EKOFISK FM	FORMATION	33	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	1494.000000	1734.000000	GRID FM	FORMATION	53	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	880.000000	1734.000000	HORDALAND GP	GROUP	67	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	1772.000000	1848.000000	LISTA FM	FORMATION	95	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	135.000000	880.000000	NORDLAND GP	GROUP	113	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	1734.000000	1860.000000	ROGALAND GP	GROUP	131	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	1744.000000	1772.000000	SELE FM	FORMATION	142	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	1860.000000	1890.000000	SHETLAND GP	GROUP	143	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	954.000000	1494.000000	SKADE FM	FORMATION	145	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	756.000000	880.000000	UTSIRA FM	FORMATION	183	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	1848.000000	1860.000000	VÅLE FM	FORMATION	190	2009-02-05	5879	9999-12-31	2013-05-08
16/1-10	1898.000000	2151.000000	NO GROUP DEFINED	GROUP	208	2009-02-05	5879	9999-12-31	2013-05-08
7222/11-1	589.000000	636.000000	FRUHOLMEN FM	FORMATION	46	2008-11-04	5916	9999-12-31	2013-05-08
7222/11-1	451.000000	2007.000000	KAPP TOSCANA GP	GROUP	79	2008-11-04	5916	9999-12-31	2013-05-08
7222/11-1	2007.000000	2658.000000	KOBBE FM	FORMATION	83	2008-11-04	5916	9999-12-31	2013-05-08
7222/11-1	379.000000	451.000000	NORDLAND GP	GROUP	113	2008-11-04	5916	9999-12-31	2013-05-08
7222/11-1	2007.000000	2658.000000	SASSENDALEN GP	GROUP	140	2008-11-04	5916	9999-12-31	2013-05-08
7222/11-1	636.000000	2007.000000	SNADD FM	FORMATION	150	2008-11-04	5916	9999-12-31	2013-05-08
34/7-33	1669.000000	1710.000000	BALDER FM	FORMATION	6	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	2372.000000	2587.000000	BRENT GP	GROUP	16	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	2561.000000	2587.000000	BROOM FM	FORMATION	17	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	2587.000000	2615.000000	DRAKE FM	FORMATION	27	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	2587.000000	2615.000000	DUNLIN GP	GROUP	29	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	2470.000000	2499.000000	ETIVE FM	FORMATION	35	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	2355.000000	2372.000000	HEATHER FM	FORMATION	60	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	1037.000000	1669.000000	HORDALAND GP	GROUP	67	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	1710.000000	1842.000000	LISTA FM	FORMATION	95	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	2372.000000	2470.000000	NESS FM	FORMATION	110	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	2322.000000	2355.000000	NO FORMAL NAME	FORMATION	111	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	255.000000	1037.000000	NORDLAND GP	GROUP	113	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	2499.000000	2561.000000	RANNOCH FM	FORMATION	126	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	1669.000000	1842.000000	ROGALAND GP	GROUP	131	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	1842.000000	2355.000000	SHETLAND GP	GROUP	143	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	911.000000	1037.000000	UTSIRA FM	FORMATION	183	2008-10-15	5917	9999-12-31	2013-05-08
34/7-33	2355.000000	2372.000000	VIKING GP	GROUP	188	2008-10-15	5917	9999-12-31	2013-05-08
6707/10-2 S	2096.000000	2189.000000	BRYGGE FM	FORMATION	18	2008-10-13	5918	9999-12-31	2013-05-08
6707/10-2 S	2096.000000	2189.000000	HORDALAND GP	GROUP	67	2008-10-13	5918	9999-12-31	2013-05-08
6707/10-2 S	2068.000000	2096.000000	KAI FM	FORMATION	77	2008-10-13	5918	9999-12-31	2013-05-08
6707/10-2 S	1271.000000	2068.000000	NAUST FM	FORMATION	109	2008-10-13	5918	9999-12-31	2013-05-08
6707/10-2 S	3127.000000	3365.000000	NISE FM	FORMATION	112	2008-10-13	5918	9999-12-31	2013-05-08
6707/10-2 S	1271.000000	2096.000000	NORDLAND GP	GROUP	113	2008-10-13	5918	9999-12-31	2013-05-08
6707/10-2 S	2189.000000	2294.000000	ROGALAND GP	GROUP	131	2008-10-13	5918	9999-12-31	2013-05-08
6707/10-2 S	2294.000000	3365.000000	SHETLAND GP	GROUP	143	2008-10-13	5918	9999-12-31	2013-05-08
6707/10-2 S	2294.000000	3127.000000	SPRINGAR FM	FORMATION	156	2008-10-13	5918	9999-12-31	2013-05-08
6707/10-2 S	2224.000000	2294.000000	TANG FM	FORMATION	161	2008-10-13	5918	9999-12-31	2013-05-08
6707/10-2 S	2189.000000	2224.000000	TARE FM	FORMATION	163	2008-10-13	5918	9999-12-31	2013-05-08
30/11-7	2152.000000	2204.000000	BALDER FM	FORMATION	6	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	3953.000000	4027.000000	BRENT GP	GROUP	16	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	3710.000000	3722.000000	CROMER KNOLL GP	GROUP	23	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	4027.000000	4067.000000	DRAKE FM	FORMATION	27	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	3722.000000	3734.000000	DRAUPNE FM	FORMATION	28	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	4027.000000	4067.000000	DUNLIN GP	GROUP	29	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	4002.000000	4017.000000	ETIVE FM	FORMATION	35	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	2119.000000	2152.000000	FRIGG FM	FORMATION	45	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	3734.000000	3953.000000	HEATHER FM	FORMATION	60	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	2544.000000	2614.000000	HEIMDAL FM	FORMATION	62	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	2208.000000	2319.000000	HERMOD FM	FORMATION	64	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	1029.000000	2152.000000	HORDALAND GP	GROUP	67	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	2626.000000	2901.000000	JORSALFARE FM	FORMATION	74	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	2901.000000	3425.000000	KYRRE FM	FORMATION	92	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	2319.000000	2544.000000	LISTA FM	FORMATION	95	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	3953.000000	4002.000000	NESS FM	FORMATION	110	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	1360.000000	2119.000000	NO FORMAL NAME	FORMATION	111	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	129.000000	1029.000000	NORDLAND GP	GROUP	113	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	4017.000000	4027.000000	RANNOCH FM	FORMATION	126	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	2152.000000	2626.000000	ROGALAND GP	GROUP	131	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	2204.000000	2208.000000	SELE FM	FORMATION	142	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	2626.000000	3710.000000	SHETLAND GP	GROUP	143	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	1091.000000	1360.000000	SKADE FM	FORMATION	145	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	3425.000000	3710.000000	TRYGGVASON FM	FORMATION	173	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	699.000000	1029.000000	UTSIRA FM	FORMATION	183	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	3722.000000	3953.000000	VIKING GP	GROUP	188	2009-02-03	5919	9999-12-31	2013-05-08
30/11-7	2614.000000	2626.000000	VÅLE FM	FORMATION	190	2009-02-03	5919	9999-12-31	2013-05-08
34/3-1 A	4131.000000	4162.000000	AMUNDSEN FM	FORMATION	4	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	2002.000000	2030.000000	BALDER FM	FORMATION	6	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	4067.000000	4131.000000	BURTON FM	FORMATION	20	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	3776.000000	3782.000000	CROMER KNOLL GP	GROUP	23	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	3954.000000	4067.000000	COOK FM	FORMATION	24	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	3782.000000	3954.000000	DRAKE FM	FORMATION	27	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	3782.000000	4162.000000	DUNLIN GP	GROUP	29	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	1494.000000	2002.000000	HORDALAND GP	GROUP	67	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	2141.000000	2315.000000	JORSALFARE FM	FORMATION	74	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	2315.000000	3450.000000	KYRRE FM	FORMATION	92	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	2050.000000	2141.000000	LISTA FM	FORMATION	95	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	3776.000000	3782.000000	MIME FM	FORMATION	106	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	1464.000000	1494.000000	NO FORMAL NAME	FORMATION	111	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	436.000000	1494.000000	NORDLAND GP	GROUP	113	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	2002.000000	2141.000000	ROGALAND GP	GROUP	131	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	2030.000000	2050.000000	SELE FM	FORMATION	142	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	2141.000000	3776.000000	SHETLAND GP	GROUP	143	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	3450.000000	3776.000000	TRYGGVASON FM	FORMATION	173	2008-10-30	5921	9999-12-31	2013-05-08
34/3-1 A	1421.000000	1464.000000	UTSIRA FM	FORMATION	183	2008-10-30	5921	9999-12-31	2013-05-08
6507/6-3	1275.000000	1288.000000	BRYGGE FM	FORMATION	18	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1490.000000	1850.000000	BÅT GP	GROUP	22	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1430.000000	1490.000000	FANGST GP	GROUP	38	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1275.000000	1288.000000	HORDALAND GP	GROUP	67	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1430.000000	1490.000000	ILE FM	FORMATION	70	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1206.000000	1275.000000	KAI FM	FORMATION	77	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1371.000000	1430.000000	MELKE FM	FORMATION	105	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	711.000000	1206.000000	NAUST FM	FORMATION	109	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	426.000000	1275.000000	NORDLAND GP	GROUP	113	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1288.000000	1332.000000	ROGALAND GP	GROUP	131	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1332.000000	1339.000000	SHETLAND GP	GROUP	143	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1339.000000	1371.000000	SPEKK FM	FORMATION	155	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1332.000000	1339.000000	SPRINGAR FM	FORMATION	156	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1317.000000	1332.000000	TANG FM	FORMATION	161	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1288.000000	1317.000000	TARE FM	FORMATION	163	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1490.000000	1590.000000	TILJE FM	FORMATION	169	2008-11-24	5922	2013-05-01	2013-05-08
6507/6-3	1339.000000	1430.000000	VIKING GP	GROUP	188	2008-11-24	5922	9999-12-31	2013-05-08
6507/6-3	1590.000000	1850.000000	ÅRE FM	FORMATION	197	2008-11-24	5922	9999-12-31	2013-05-08
6707/10-2 A	2096.000000	2189.000000	BRYGGE FM	FORMATION	18	2008-12-01	5931	9999-12-31	2013-05-08
6707/10-2 A	2096.000000	2189.000000	HORDALAND GP	GROUP	67	2008-12-01	5931	9999-12-31	2013-05-08
6707/10-2 A	2068.000000	2096.000000	KAI FM	FORMATION	77	2008-12-01	5931	9999-12-31	2013-05-08
6707/10-2 A	4426.000000	4850.000000	KVITNOS FM	FORMATION	91	2008-12-01	5931	9999-12-31	2013-05-08
6707/10-2 A	1271.000000	2068.000000	NAUST FM	FORMATION	109	2008-12-01	5931	9999-12-31	2013-05-08
6707/10-2 A	3129.000000	4426.000000	NISE FM	FORMATION	112	2008-12-01	5931	9999-12-31	2013-05-08
6707/10-2 A	1271.000000	2096.000000	NORDLAND GP	GROUP	113	2008-12-01	5931	9999-12-31	2013-05-08
6707/10-2 A	2189.000000	2294.000000	ROGALAND GP	GROUP	131	2008-12-01	5931	9999-12-31	2013-05-08
6707/10-2 A	2294.000000	4850.000000	SHETLAND GP	GROUP	143	2008-12-01	5931	9999-12-31	2013-05-08
6707/10-2 A	2294.000000	3129.000000	SPRINGAR FM	FORMATION	156	2008-12-01	5931	9999-12-31	2013-05-08
6707/10-2 A	2224.000000	2294.000000	TANG FM	FORMATION	161	2008-12-01	5931	9999-12-31	2013-05-08
6707/10-2 A	2189.000000	2224.000000	TARE FM	FORMATION	163	2008-12-01	5931	9999-12-31	2013-05-08
3/7-7	2860.000000	2877.000000	BALDER FM	FORMATION	6	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	3386.000000	3435.000000	CROMER KNOLL GP	GROUP	23	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	2941.000000	3054.000000	EKOFISK FM	FORMATION	33	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	3435.000000	3857.000000	FARSUND FM	FORMATION	39	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	3857.000000	3930.000000	HAUGESUND FM	FORMATION	57	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	3292.000000	3386.000000	HOD FM	FORMATION	66	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	1275.000000	2860.000000	HORDALAND GP	GROUP	67	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	2895.000000	2917.000000	LISTA FM	FORMATION	95	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	107.000000	1275.000000	NORDLAND GP	GROUP	113	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	2860.000000	2941.000000	ROGALAND GP	GROUP	131	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	2877.000000	2895.000000	SELE FM	FORMATION	142	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	2941.000000	3386.000000	SHETLAND GP	GROUP	143	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	3386.000000	3390.000000	SOLA FM	FORMATION	152	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	3054.000000	3292.000000	TOR FM	FORMATION	171	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	3390.000000	3422.000000	TUXEN FM	FORMATION	175	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	3435.000000	3930.000000	TYNE GP	GROUP	177	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	2101.000000	2860.000000	VADE FM	FORMATION	184	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	2917.000000	2941.000000	VÅLE FM	FORMATION	190	2008-10-27	5932	9999-12-31	2013-05-08
3/7-7	3422.000000	3435.000000	ÅSGARD FM	FORMATION	198	2008-10-27	5932	9999-12-31	2013-05-08
34/8-14 S	1945.000000	2035.000000	BALDER FM	FORMATION	6	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	3187.000000	3411.000000	BRENT GP	GROUP	16	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	3171.000000	3182.000000	CROMER KNOLL GP	GROUP	23	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	3411.000000	3470.000000	DRAKE FM	FORMATION	27	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	3182.000000	3184.000000	DRAUPNE FM	FORMATION	28	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	3411.000000	3470.000000	DUNLIN GP	GROUP	29	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	3301.000000	3337.000000	ETIVE FM	FORMATION	35	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	3184.000000	3187.000000	HEATHER FM	FORMATION	60	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	1115.000000	1945.000000	HORDALAND GP	GROUP	67	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	2213.000000	2375.000000	JORSALFARE FM	FORMATION	74	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	2375.000000	3171.000000	KYRRE FM	FORMATION	92	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	2055.000000	2213.000000	LISTA FM	FORMATION	95	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	3244.000000	3301.000000	NESS FM	FORMATION	110	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	1409.000000	1445.000000	NO FORMAL NAME	FORMATION	111	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	1445.000000	1476.000000	NO FORMAL NAME	FORMATION	111	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	1476.000000	1497.000000	NO FORMAL NAME	FORMATION	111	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	1497.000000	1945.000000	NO FORMAL NAME	FORMATION	111	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	323.000000	1115.000000	NORDLAND GP	GROUP	113	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	3337.000000	3411.000000	RANNOCH FM	FORMATION	126	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	1945.000000	2213.000000	ROGALAND GP	GROUP	131	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	2035.000000	2055.000000	SELE FM	FORMATION	142	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	2213.000000	3171.000000	SHETLAND GP	GROUP	143	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	3187.000000	3244.000000	TARBERT FM	FORMATION	162	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	1002.000000	1115.000000	UTSIRA FM	FORMATION	183	2008-10-21	5943	9999-12-31	2013-05-08
34/8-14 S	3182.000000	3187.000000	VIKING GP	GROUP	188	2008-10-21	5943	9999-12-31	2013-05-08
7125/4-2	553.000000	930.000000	ADVENTDALEN GP	GROUP	1	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	930.000000	1026.000000	FRUHOLMEN FM	FORMATION	46	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	891.000000	930.000000	HEKKINGEN FM	FORMATION	63	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	930.000000	1299.000000	KAPP TOSCANA GP	GROUP	79	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	1683.000000	1750.000000	KLAPPMYSS FM	FORMATION	80	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	844.000000	891.000000	KNURR FM	FORMATION	82	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	1299.000000	1683.000000	KOBBE FM	FORMATION	83	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	812.000000	844.000000	KOLJE FM	FORMATION	84	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	553.000000	812.000000	KOLMULE FM	FORMATION	85	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	523.000000	553.000000	KVITING FM	FORMATION	90	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	317.000000	523.000000	NORDLAND GP	GROUP	113	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	523.000000	553.000000	NYGRUNNEN GP	GROUP	122	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	1299.000000	1750.000000	SASSENDALEN GP	GROUP	140	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	1026.000000	1299.000000	SNADD FM	FORMATION	150	2008-12-01	5944	9999-12-31	2013-05-08
7125/4-2	520.000000	523.000000	TORSK FM	FORMATION	172	2008-12-01	5944	9999-12-31	2013-05-08
15/5-7 A	2110.000000	2142.000000	BALDER FM	FORMATION	6	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	3402.000000	3728.000000	CROMER KNOLL GP	GROUP	23	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	3728.000000	3870.000000	DRAUPNE FM	FORMATION	28	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	2719.000000	2790.000000	EKOFISK FM	FORMATION	33	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	1732.000000	2110.000000	GRID FM	FORMATION	53	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	3870.000000	3973.000000	HEATHER FM	FORMATION	60	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	2222.000000	2630.000000	HEIMDAL FM	FORMATION	62	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	3053.000000	3402.000000	HOD FM	FORMATION	66	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	991.000000	2110.000000	HORDALAND GP	GROUP	67	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	3973.000000	4098.000000	HUGIN FM	FORMATION	69	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	2190.000000	2222.000000	LISTA FM	FORMATION	95	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	2630.000000	2660.000000	LISTA FM	FORMATION	95	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	145.000000	991.000000	NORDLAND GP	GROUP	113	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	2110.000000	2719.000000	ROGALAND GP	GROUP	131	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	3402.000000	3493.000000	RØDBY FM	FORMATION	137	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	2142.000000	2190.000000	SELE FM	FORMATION	142	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	2719.000000	3402.000000	SHETLAND GP	GROUP	143	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	4098.000000	4199.000000	SLEIPNER FM	FORMATION	148	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	3493.000000	3728.000000	SOLA FM	FORMATION	152	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	2790.000000	3053.000000	TOR FM	FORMATION	171	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	2660.000000	2719.000000	TY FM	FORMATION	176	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	791.000000	991.000000	UTSIRA FM	FORMATION	183	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	3973.000000	4199.000000	VESTLAND GP	GROUP	186	2008-10-13	5946	9999-12-31	2013-05-08
15/5-7 A	3728.000000	3973.000000	VIKING GP	GROUP	188	2008-10-13	5946	9999-12-31	2013-05-08
2/5-13	3084.000000	3093.000000	BALDER FM	FORMATION	6	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	4258.000000	4276.000000	BLODØKS FM	FORMATION	13	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	4525.000000	4576.000000	BRYNE FM	FORMATION	19	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	3222.000000	3337.000000	EKOFISK FM	FORMATION	33	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	4320.000000	4456.000000	FARSUND FM	FORMATION	39	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	4456.000000	4525.000000	HAUGESUND FM	FORMATION	57	2009-01-21	5948	2013-03-21	2013-05-08
2/5-13	4276.000000	4320.000000	HIDRA FM	FORMATION	65	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	3790.000000	4258.000000	HOD FM	FORMATION	66	2009-01-21	5948	2013-03-21	2013-05-08
2/5-13	1784.000000	3084.000000	HORDALAND GP	GROUP	67	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	3102.000000	3198.000000	LISTA FM	FORMATION	95	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	110.000000	1784.000000	NORDLAND GP	GROUP	113	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	3084.000000	3222.000000	ROGALAND GP	GROUP	131	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	3093.000000	3102.000000	SELE FM	FORMATION	142	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	3222.000000	4320.000000	SHETLAND GP	GROUP	143	2009-01-21	5948	2013-03-21	2013-05-08
2/5-13	4576.000000	4675.000000	SKAGERRAK FM	FORMATION	146	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	3337.000000	3790.000000	TOR FM	FORMATION	171	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	4320.000000	4525.000000	TYNE GP	GROUP	177	2009-01-21	5948	2013-03-21	2013-05-08
2/5-13	4525.000000	4576.000000	VESTLAND GP	GROUP	186	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	3198.000000	3222.000000	VÅLE FM	FORMATION	190	2009-01-21	5948	9999-12-31	2013-05-08
2/5-13	4576.000000	4675.000000	NO GROUP DEFINED	GROUP	208	2009-01-21	5948	9999-12-31	2013-05-08
6608/10-12	1565.000000	1772.000000	BRYGGE FM	FORMATION	18	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2770.000000	3060.000000	BÅT GP	GROUP	22	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2534.000000	2674.000000	CROMER KNOLL GP	GROUP	23	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2738.000000	2770.000000	FANGST GP	GROUP	38	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	3060.000000	3133.000000	GREY BEDS (INFORMAL)	GROUP	52	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	1565.000000	1772.000000	HORDALAND GP	GROUP	67	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	1403.000000	1565.000000	KAI FM	FORMATION	77	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2348.000000	2534.000000	KVITNOS FM	FORMATION	91	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2539.000000	2599.000000	LANGE FM	FORMATION	94	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2599.000000	2674.000000	LYR FM	FORMATION	98	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2534.000000	2539.000000	LYSING FM	FORMATION	99	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2688.000000	2738.000000	INTRA MELKE FM SS	FORMATION	104	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2677.000000	2688.000000	MELKE FM	FORMATION	105	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	360.000000	1403.000000	NAUST FM	FORMATION	109	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	1982.000000	2348.000000	NISE FM	FORMATION	112	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	360.000000	1565.000000	NORDLAND GP	GROUP	113	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2738.000000	2770.000000	NOT FM	FORMATION	120	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	3133.000000	3180.000000	RED BEDS (INFORMAL)	GROUP	129	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	1772.000000	1862.000000	ROGALAND GP	GROUP	131	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	1862.000000	2534.000000	SHETLAND GP	GROUP	143	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2674.000000	2677.000000	SPEKK FM	FORMATION	155	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	1862.000000	1982.000000	SPRINGAR FM	FORMATION	156	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	1834.000000	1862.000000	TANG FM	FORMATION	161	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	1772.000000	1834.000000	TARE FM	FORMATION	163	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2674.000000	2738.000000	VIKING GP	GROUP	188	2008-12-21	5949	9999-12-31	2013-05-08
6608/10-12	2770.000000	3060.000000	ÅRE FM	FORMATION	197	2008-12-21	5949	9999-12-31	2013-05-08
6407/7-8 A	1368.000000	1997.000000	BRYGGE FM	FORMATION	18	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4662.000000	5227.000000	BÅT GP	GROUP	22	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	2840.000000	4118.000000	CROMER KNOLL GP	GROUP	23	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4372.000000	4662.000000	FANGST GP	GROUP	38	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4372.000000	4482.000000	GARN FM	FORMATION	48	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	1368.000000	1997.000000	HORDALAND GP	GROUP	67	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4533.000000	4662.000000	ILE FM	FORMATION	70	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	1212.000000	1368.000000	KAI FM	FORMATION	77	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	2566.000000	2840.000000	KVITNOS FM	FORMATION	91	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	3119.000000	4005.000000	LANGE FM	FORMATION	94	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4005.000000	4118.000000	LYR FM	FORMATION	98	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	2840.000000	3119.000000	LYSING FM	FORMATION	99	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4188.000000	4372.000000	MELKE FM	FORMATION	105	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	457.000000	1212.000000	NAUST FM	FORMATION	109	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	2362.000000	2566.000000	NISE FM	FORMATION	112	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	311.000000	1368.000000	NORDLAND GP	GROUP	113	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4482.000000	4533.000000	NOT FM	FORMATION	120	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	1997.000000	2210.000000	ROGALAND GP	GROUP	131	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4662.000000	4721.000000	ROR FM	FORMATION	135	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4730.000000	4896.000000	ROR FM	FORMATION	135	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	2210.000000	2840.000000	SHETLAND GP	GROUP	143	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4118.000000	4188.000000	SPEKK FM	FORMATION	155	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	2210.000000	2362.000000	SPRINGAR FM	FORMATION	156	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	2132.000000	2210.000000	TANG FM	FORMATION	161	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	1997.000000	2132.000000	TARE FM	FORMATION	163	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4896.000000	5145.000000	TILJE FM	FORMATION	169	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4721.000000	4730.000000	TOFTE FM	FORMATION	170	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	4118.000000	4372.000000	VIKING GP	GROUP	188	2008-11-05	5953	9999-12-31	2013-05-08
6407/7-8 A	5145.000000	5227.000000	ÅRE FM	FORMATION	197	2008-11-05	5953	9999-12-31	2013-05-08
34/8-14 A	1915.000000	2011.000000	BALDER FM	FORMATION	6	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	3500.000000	3720.000000	BRENT GP	GROUP	16	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	3449.000000	3471.000000	CROMER KNOLL GP	GROUP	23	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	3720.000000	3838.000000	DRAKE FM	FORMATION	27	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	3471.000000	3474.000000	DRAUPNE FM	FORMATION	28	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	3720.000000	3838.000000	DUNLIN GP	GROUP	29	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	3572.000000	3617.000000	ETIVE FM	FORMATION	35	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	3474.000000	3500.000000	HEATHER FM	FORMATION	60	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	1115.000000	1915.000000	HORDALAND GP	GROUP	67	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	2187.000000	2376.000000	JORSALFARE FM	FORMATION	74	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	2376.000000	3449.000000	KYRRE FM	FORMATION	92	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	2028.000000	2187.000000	LISTA FM	FORMATION	95	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	3540.000000	3572.000000	NESS FM	FORMATION	110	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	1397.000000	1452.000000	NO FORMAL NAME	FORMATION	111	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	1452.000000	1482.000000	NO FORMAL NAME	FORMATION	111	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	1482.000000	1507.000000	NO FORMAL NAME	FORMATION	111	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	1507.000000	1915.000000	NO FORMAL NAME	FORMATION	111	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	323.000000	1115.000000	NORDLAND GP	GROUP	113	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	3617.000000	3720.000000	RANNOCH FM	FORMATION	126	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	1915.000000	2187.000000	ROGALAND GP	GROUP	131	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	2011.000000	2028.000000	SELE FM	FORMATION	142	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	2187.000000	3449.000000	SHETLAND GP	GROUP	143	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	3500.000000	3540.000000	TARBERT FM	FORMATION	162	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	1002.000000	1115.000000	UTSIRA FM	FORMATION	183	2008-12-01	5954	9999-12-31	2013-05-08
34/8-14 A	3471.000000	3500.000000	VIKING GP	GROUP	188	2008-12-01	5954	9999-12-31	2013-05-08
2/5-14 S	338.000000	1739.000000	BALDER FM	FORMATION	6	2009-04-12	5958	9999-12-31	2013-05-08
2/5-14 S	3338.000000	3359.000000	BALDER FM	FORMATION	6	2009-04-12	5958	9999-12-31	2013-05-08
2/5-14 S	3551.000000	3681.000000	EKOFISK FM	FORMATION	33	2009-04-12	5958	9999-12-31	2013-05-08
2/5-14 S	1739.000000	3338.000000	HORDALAND GP	GROUP	67	2009-04-12	5958	9999-12-31	2013-05-08
2/5-14 S	3415.000000	3528.000000	LISTA FM	FORMATION	95	2009-04-12	5958	9999-12-31	2013-05-08
2/5-14 S	110.000000	1739.000000	NORDLAND GP	GROUP	113	2009-04-12	5958	9999-12-31	2013-05-08
2/5-14 S	3338.000000	3551.000000	ROGALAND GP	GROUP	131	2009-04-12	5958	9999-12-31	2013-05-08
2/5-14 S	3359.000000	3415.000000	SELE FM	FORMATION	142	2009-04-12	5958	9999-12-31	2013-05-08
2/5-14 S	3551.000000	3845.000000	SHETLAND GP	GROUP	143	2009-04-12	5958	9999-12-31	2013-05-08
2/5-14 S	3681.000000	3845.000000	TOR FM	FORMATION	171	2009-04-12	5958	9999-12-31	2013-05-08
2/5-14 S	3528.000000	3551.000000	VÅLE FM	FORMATION	190	2009-04-12	5958	9999-12-31	2013-05-08
7223/5-1	467.000000	501.000000	ADVENTDALEN GP	GROUP	1	2009-01-14	5960	9999-12-31	2013-05-08
7223/5-1	540.000000	585.000000	FRUHOLMEN FM	FORMATION	46	2009-01-14	5960	9999-12-31	2013-05-08
7223/5-1	501.000000	1856.000000	KAPP TOSCANA GP	GROUP	79	2009-01-14	5960	9999-12-31	2013-05-08
7223/5-1	2451.000000	2549.000000	KLAPPMYSS FM	FORMATION	80	2009-01-14	5960	9999-12-31	2013-05-08
7223/5-1	1856.000000	2451.000000	KOBBE FM	FORMATION	83	2009-01-14	5960	9999-12-31	2013-05-08
7223/5-1	467.000000	501.000000	KOLMULE FM	FORMATION	85	2009-01-14	5960	9999-12-31	2013-05-08
7223/5-1	363.000000	467.000000	NORDLAND GP	GROUP	113	2009-01-14	5960	9999-12-31	2013-05-08
7223/5-1	508.000000	524.000000	NORDMELA FM	FORMATION	118	2009-01-14	5960	9999-12-31	2013-05-08
7223/5-1	1856.000000	2549.000000	SASSENDALEN GP	GROUP	140	2009-01-14	5960	9999-12-31	2013-05-08
7223/5-1	585.000000	1856.000000	SNADD FM	FORMATION	150	2009-01-14	5960	9999-12-31	2013-05-08
7223/5-1	501.000000	508.000000	STØ FM	FORMATION	159	2009-01-14	5960	9999-12-31	2013-05-08
7223/5-1	524.000000	540.000000	TUBÅEN FM	FORMATION	174	2009-01-14	5960	9999-12-31	2013-05-08
34/7-34	2349.000000	2461.000000	AMUNDSEN FM	FORMATION	4	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	1680.000000	1719.000000	BALDER FM	FORMATION	6	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	2349.000000	2461.000000	DUNLIN GP	GROUP	29	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	2584.000000	2701.000000	HEGRE GP	GROUP	61	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	1108.000000	1680.000000	HORDALAND GP	GROUP	67	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	1719.000000	1860.000000	LISTA FM	FORMATION	95	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	2584.000000	2701.000000	LUNDE FM	FORMATION	97	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	323.000000	1108.000000	NORDLAND GP	GROUP	113	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	1680.000000	1860.000000	ROGALAND GP	GROUP	131	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	1860.000000	2349.000000	SHETLAND GP	GROUP	143	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	2461.000000	2584.000000	STATFJORD FM	FORMATION	157	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	986.000000	1108.000000	UTSIRA FM	FORMATION	183	2009-03-10	5973	9999-12-31	2013-05-08
34/7-34	2461.000000	2584.000000	NO GROUP DEFINED	GROUP	208	2009-03-10	5973	9999-12-31	2013-05-08
30/8-4 S	2210.000000	2275.000000	BALDER FM	FORMATION	6	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	3899.000000	4210.000000	BRENT GP	GROUP	16	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	3408.000000	3489.000000	CROMER KNOLL GP	GROUP	23	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	3489.000000	3520.000000	DRAUPNE FM	FORMATION	28	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	2533.000000	2541.000000	EKOFISK FM	FORMATION	33	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	2541.000000	2811.000000	HARDRÅDE FM	FORMATION	56	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	3520.000000	3899.000000	HEATHER FM	FORMATION	60	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	2811.000000	3408.000000	KYRRE FM	FORMATION	92	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	2330.000000	2455.000000	LISTA FM	FORMATION	95	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	4153.000000	4210.000000	NESS FM	FORMATION	110	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	1255.000000	2210.000000	NO FORMAL NAME	FORMATION	111	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	120.000000	2210.000000	NORDLAND GP	GROUP	113	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	2210.000000	2533.000000	ROGALAND GP	GROUP	131	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	2275.000000	2330.000000	SELE FM	FORMATION	142	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	2533.000000	3408.000000	SHETLAND GP	GROUP	143	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	599.000000	1255.000000	UTSIRA FM	FORMATION	183	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	3489.000000	3899.000000	VIKING GP	GROUP	188	2009-02-04	5974	9999-12-31	2013-05-08
30/8-4 S	2455.000000	2533.000000	VÅLE FM	FORMATION	190	2009-02-04	5974	9999-12-31	2013-05-08
2/1-13 S	3092.000000	3116.000000	BALDER FM	FORMATION	6	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	4241.000000	4362.000000	BRYNE FM	FORMATION	19	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	4115.000000	4176.000000	CROMER KNOLL GP	GROUP	23	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	3308.000000	3422.000000	EKOFISK FM	FORMATION	33	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	4176.000000	4241.000000	HAUGESUND FM	FORMATION	57	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	4065.000000	4115.000000	HIDRA FM	FORMATION	65	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	3824.000000	4065.000000	HOD FM	FORMATION	66	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	1875.000000	3092.000000	HORDALAND GP	GROUP	67	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	3123.000000	3151.000000	LISTA FM	FORMATION	95	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	3254.000000	3290.000000	LISTA FM	FORMATION	95	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	110.000000	1875.000000	NORDLAND GP	GROUP	113	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	3092.000000	3308.000000	ROGALAND GP	GROUP	131	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	4115.000000	4137.000000	RØDBY FM	FORMATION	137	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	3116.000000	3123.000000	SELE FM	FORMATION	142	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	3308.000000	4115.000000	SHETLAND GP	GROUP	143	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	4362.000000	4435.000000	SKAGERRAK FM	FORMATION	146	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	4137.000000	4149.000000	SOLA FM	FORMATION	152	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	3422.000000	3824.000000	TOR FM	FORMATION	171	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	4149.000000	4176.000000	TUXEN FM	FORMATION	175	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	4176.000000	4241.000000	TYNE GP	GROUP	177	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	4241.000000	4362.000000	VESTLAND GP	GROUP	186	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	3151.000000	3254.000000	VIDAR FM	FORMATION	187	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	3290.000000	3308.000000	VÅLE FM	FORMATION	190	2009-03-07	5975	9999-12-31	2013-05-08
2/1-13 S	4362.000000	4435.000000	NO GROUP DEFINED	GROUP	208	2009-03-07	5975	9999-12-31	2013-05-08
6605/1-1	1938.000000	2415.000000	BRYGGE FM	FORMATION	18	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	1938.000000	2415.000000	HORDALAND GP	GROUP	67	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	1398.000000	1938.000000	KAI FM	FORMATION	77	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	1181.000000	1398.000000	NAUST FM	FORMATION	109	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	3232.000000	3331.000000	NO FORMAL NAME	FORMATION	111	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	3853.000000	3947.000000	NISE FM	FORMATION	112	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	1181.000000	1938.000000	NORDLAND GP	GROUP	113	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	2415.000000	2936.000000	ROGALAND GP	GROUP	131	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	2936.000000	3947.000000	SHETLAND GP	GROUP	143	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	2936.000000	3232.000000	SPRINGAR FM	FORMATION	156	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	3331.000000	3853.000000	SPRINGAR FM	FORMATION	156	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	2615.000000	2936.000000	TANG FM	FORMATION	161	2009-02-03	5979	9999-12-31	2013-05-08
6605/1-1	2415.000000	2615.000000	TARE FM	FORMATION	163	2009-02-03	5979	9999-12-31	2013-05-08
6506/9-1	1909.000000	1983.000000	BRYGGE FM	FORMATION	18	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	5358.000000	5664.000000	BÅT GP	GROUP	22	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	3059.000000	4575.000000	CROMER KNOLL GP	GROUP	23	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	5212.000000	5358.000000	FANGST GP	GROUP	38	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	5212.000000	5277.000000	GARN FM	FORMATION	48	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	1909.000000	1983.000000	HORDALAND GP	GROUP	67	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	5294.000000	5358.000000	ILE FM	FORMATION	70	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	1566.000000	1909.000000	KAI FM	FORMATION	77	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	2547.000000	3059.000000	KVITNOS FM	FORMATION	91	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	3133.000000	4548.000000	LANGE FM	FORMATION	94	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	4548.000000	4575.000000	LYR FM	FORMATION	98	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	3059.000000	3133.000000	LYSING FM	FORMATION	99	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	4650.000000	5212.000000	MELKE FM	FORMATION	105	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	455.000000	1566.000000	NAUST FM	FORMATION	109	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	2276.000000	2547.000000	NISE FM	FORMATION	112	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	455.000000	1909.000000	NORDLAND GP	GROUP	113	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	5277.000000	5294.000000	NOT FM	FORMATION	120	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	1983.000000	2119.000000	ROGALAND GP	GROUP	131	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	5358.000000	5385.000000	ROR FM	FORMATION	135	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	2119.000000	3059.000000	SHETLAND GP	GROUP	143	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	4575.000000	4650.000000	SPEKK FM	FORMATION	155	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	2119.000000	2276.000000	SPRINGAR FM	FORMATION	156	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	2059.000000	2119.000000	TANG FM	FORMATION	161	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	1983.000000	2059.000000	TARE FM	FORMATION	163	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	5435.000000	5572.000000	TILJE FM	FORMATION	169	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	5385.000000	5435.000000	TOFTE FM	FORMATION	170	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	4575.000000	5212.000000	VIKING GP	GROUP	188	2009-09-15	5980	9999-12-31	2013-05-08
6506/9-1	5572.000000	5664.000000	ÅRE FM	FORMATION	197	2009-09-15	5980	9999-12-31	2013-05-08
6603/12-1	2100.000000	2842.000000	BRYGGE FM	FORMATION	18	2009-06-20	5985	9999-12-31	2013-05-08
6603/12-1	2100.000000	2842.000000	HORDALAND GP	GROUP	67	2009-06-20	5985	9999-12-31	2013-05-08
6603/12-1	1673.000000	2100.000000	KAI FM	FORMATION	77	2009-06-20	5985	9999-12-31	2013-05-08
6603/12-1	1400.000000	1673.000000	NAUST FM	FORMATION	109	2009-06-20	5985	9999-12-31	2013-05-08
6603/12-1	3704.000000	3740.000000	NO FORMAL NAME	FORMATION	111	2009-06-20	5985	9999-12-31	2013-05-08
6603/12-1	1400.000000	2100.000000	NORDLAND GP	GROUP	113	2009-06-20	5985	9999-12-31	2013-05-08
6603/12-1	2842.000000	3505.000000	ROGALAND GP	GROUP	131	2009-06-20	5985	9999-12-31	2013-05-08
6603/12-1	3505.000000	3830.000000	SHETLAND GP	GROUP	143	2009-06-20	5985	9999-12-31	2013-05-08
6603/12-1	3505.000000	3704.000000	SPRINGAR FM	FORMATION	156	2009-06-20	5985	9999-12-31	2013-05-08
6603/12-1	3740.000000	3830.000000	SPRINGAR FM	FORMATION	156	2009-06-20	5985	9999-12-31	2013-05-08
6603/12-1	3070.000000	3505.000000	TANG FM	FORMATION	161	2009-06-20	5985	9999-12-31	2013-05-08
6603/12-1	2842.000000	3070.000000	TARE FM	FORMATION	163	2009-06-20	5985	9999-12-31	2013-05-08
2/1-14 S	4263.000000	4396.000000	BALDER FM	FORMATION	6	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5719.000000	5729.000000	BLODØKS FM	FORMATION	13	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	6037.000000	6104.000000	BRYNE FM	FORMATION	19	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5738.000000	5949.000000	CROMER KNOLL GP	GROUP	23	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4955.000000	5180.000000	EKOFISK FM	FORMATION	33	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5967.000000	6022.000000	FARSUND FM	FORMATION	39	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4415.000000	4558.000000	FORTIES FM	FORMATION	44	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5729.000000	5738.000000	HIDRA FM	FORMATION	65	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5597.000000	5719.000000	HOD FM	FORMATION	66	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	1965.000000	3278.000000	HORDALAND GP	GROUP	67	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	3278.000000	4263.000000	HORDALAND GP	GROUP	67	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4581.000000	4639.000000	LISTA FM	FORMATION	95	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4738.000000	4878.000000	LISTA FM	FORMATION	95	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4878.000000	4916.000000	LISTA FM	FORMATION	95	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5949.000000	5967.000000	MANDAL FM	FORMATION	101	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	122.000000	1965.000000	NORDLAND GP	GROUP	113	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4263.000000	4955.000000	ROGALAND GP	GROUP	131	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5738.000000	5775.000000	RØDBY FM	FORMATION	137	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4396.000000	4415.000000	SELE FM	FORMATION	142	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4558.000000	4581.000000	SELE FM	FORMATION	142	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4955.000000	5738.000000	SHETLAND GP	GROUP	143	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	6104.000000	6130.000000	SKAGERRAK FM	FORMATION	146	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5775.000000	5811.000000	SOLA FM	FORMATION	152	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5180.000000	5597.000000	TOR FM	FORMATION	171	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5811.000000	5820.000000	TUXEN FM	FORMATION	175	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5949.000000	6022.000000	TYNE GP	GROUP	177	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	6022.000000	6037.000000	ULA FM	FORMATION	179	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	3211.000000	3278.000000	VADE FM	FORMATION	184	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	6022.000000	6104.000000	VESTLAND GP	GROUP	186	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4639.000000	4662.000000	VIDAR FM	FORMATION	187	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4662.000000	4738.000000	VIDAR FM	FORMATION	187	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	4916.000000	4955.000000	VÅLE FM	FORMATION	190	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	5820.000000	5949.000000	ÅSGARD FM	FORMATION	198	2009-02-28	5995	9999-12-31	2013-05-08
2/1-14 S	6104.000000	6130.000000	NO GROUP DEFINED	GROUP	208	2009-02-28	5995	9999-12-31	2013-05-08
34/8-14 B	1915.000000	2011.000000	BALDER FM	FORMATION	6	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	3486.000000	4079.000000	BRENT GP	GROUP	16	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	3460.000000	3477.000000	CROMER KNOLL GP	GROUP	23	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	3477.000000	3480.000000	DRAUPNE FM	FORMATION	28	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	3678.000000	3809.000000	ETIVE FM	FORMATION	35	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	3480.000000	3486.000000	HEATHER FM	FORMATION	60	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	1115.000000	1915.000000	HORDALAND GP	GROUP	67	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	2187.000000	2376.000000	JORSALFARE FM	FORMATION	74	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	2376.000000	3460.000000	KYRRE FM	FORMATION	92	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	2028.000000	2187.000000	LISTA FM	FORMATION	95	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	3576.000000	3678.000000	NESS FM	FORMATION	110	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	1397.000000	1452.000000	NO FORMAL NAME	FORMATION	111	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	1452.000000	1482.000000	NO FORMAL NAME	FORMATION	111	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	1482.000000	1507.000000	NO FORMAL NAME	FORMATION	111	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	1507.000000	1915.000000	NO FORMAL NAME	FORMATION	111	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	323.000000	1115.000000	NORDLAND GP	GROUP	113	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	3809.000000	4079.000000	RANNOCH FM	FORMATION	126	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	1915.000000	2187.000000	ROGALAND GP	GROUP	131	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	2011.000000	2028.000000	SELE FM	FORMATION	142	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	2187.000000	3460.000000	SHETLAND GP	GROUP	143	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	3486.000000	3576.000000	TARBERT FM	FORMATION	162	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	1002.000000	1115.000000	UTSIRA FM	FORMATION	183	2009-01-25	5997	9999-12-31	2013-05-08
34/8-14 B	3477.000000	3486.000000	VIKING GP	GROUP	188	2009-01-25	5997	9999-12-31	2013-05-08
35/6-1 S	607.000000	669.000000	BALDER FM	FORMATION	6	2009-02-10	6000	9999-12-31	2013-05-08
35/6-1 S	532.000000	607.000000	HORDALAND GP	GROUP	67	2009-02-10	6000	9999-12-31	2013-05-08
35/6-1 S	702.000000	725.000000	NO FORMAL NAME	FORMATION	111	2009-02-10	6000	9999-12-31	2013-05-08
35/6-1 S	366.000000	532.000000	NORDLAND GP	GROUP	113	2009-02-10	6000	9999-12-31	2013-05-08
35/6-1 S	607.000000	847.000000	ROGALAND GP	GROUP	131	2009-02-10	6000	9999-12-31	2013-05-08
35/6-1 S	669.000000	702.000000	SELE FM	FORMATION	142	2009-02-10	6000	9999-12-31	2013-05-08
35/6-1 S	725.000000	847.000000	SELE FM	FORMATION	142	2009-02-10	6000	9999-12-31	2013-05-08
34/8-14 C	1915.000000	2011.000000	BALDER FM	FORMATION	6	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	3544.000000	3820.000000	BRENT GP	GROUP	16	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	3469.000000	3506.000000	CROMER KNOLL GP	GROUP	23	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	3506.000000	3514.000000	DRAUPNE FM	FORMATION	28	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	3684.000000	3722.000000	ETIVE FM	FORMATION	35	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	3514.000000	3544.000000	HEATHER FM	FORMATION	60	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	1115.000000	1915.000000	HORDALAND GP	GROUP	67	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	2187.000000	2376.000000	JORSALFARE FM	FORMATION	74	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	2376.000000	3469.000000	KYRRE FM	FORMATION	92	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	2028.000000	2187.000000	LISTA FM	FORMATION	95	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	3629.000000	3684.000000	NESS FM	FORMATION	110	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	1397.000000	1452.000000	NO FORMAL NAME	FORMATION	111	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	1452.000000	1482.000000	NO FORMAL NAME	FORMATION	111	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	1482.000000	1507.000000	NO FORMAL NAME	FORMATION	111	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	1507.000000	1915.000000	NO FORMAL NAME	FORMATION	111	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	323.000000	1115.000000	NORDLAND GP	GROUP	113	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	3722.000000	3820.000000	RANNOCH FM	FORMATION	126	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	1915.000000	2187.000000	ROGALAND GP	GROUP	131	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	2011.000000	2028.000000	SELE FM	FORMATION	142	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	2187.000000	3469.000000	SHETLAND GP	GROUP	143	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	3544.000000	3629.000000	TARBERT FM	FORMATION	162	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	1002.000000	1115.000000	UTSIRA FM	FORMATION	183	2008-12-08	6021	9999-12-31	2013-05-08
34/8-14 C	3506.000000	3544.000000	VIKING GP	GROUP	188	2008-12-08	6021	9999-12-31	2013-05-08
34/8-13 A	3593.000000	3735.000000	AMUNDSEN FM	FORMATION	4	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	1857.000000	1905.000000	BALDER FM	FORMATION	6	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3414.000000	3466.000000	BRENT GP	GROUP	16	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3326.000000	3349.000000	CROMER KNOLL GP	GROUP	23	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3495.000000	3593.000000	COOK FM	FORMATION	24	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3381.000000	3414.000000	INTRA DRAUPNE FM SS	FORMATION	26	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3466.000000	3495.000000	DRAKE FM	FORMATION	27	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3349.000000	3381.000000	DRAUPNE FM	FORMATION	28	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3466.000000	3735.000000	DUNLIN GP	GROUP	29	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	1217.000000	1857.000000	HORDALAND GP	GROUP	67	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	2050.000000	2277.000000	JORSALFARE FM	FORMATION	74	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	2277.000000	3045.000000	KYRRE FM	FORMATION	92	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	1929.000000	2050.000000	LISTA FM	FORMATION	95	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3443.000000	3466.000000	NESS FM	FORMATION	110	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	405.000000	1217.000000	NORDLAND GP	GROUP	113	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	1857.000000	2050.000000	ROGALAND GP	GROUP	131	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	1905.000000	1929.000000	SELE FM	FORMATION	142	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	2050.000000	3326.000000	SHETLAND GP	GROUP	143	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3735.000000	3852.000000	STATFJORD FM	FORMATION	157	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3414.000000	3443.000000	TARBERT FM	FORMATION	162	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3045.000000	3326.000000	TRYGGVASON FM	FORMATION	173	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	1032.000000	1217.000000	UTSIRA FM	FORMATION	183	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3349.000000	3414.000000	VIKING GP	GROUP	188	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3326.000000	3349.000000	ÅSGARD FM	FORMATION	198	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 A	3735.000000	3852.000000	NO GROUP DEFINED	GROUP	208	2009-05-13	6024	9999-12-31	2013-05-08
34/8-13 S	4085.000000	4123.000000	AMUNDSEN FM	FORMATION	4	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	1925.000000	1987.000000	BALDER FM	FORMATION	6	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3896.000000	3953.000000	BRENT GP	GROUP	16	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3857.000000	3865.000000	CROMER KNOLL GP	GROUP	23	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3972.000000	4085.000000	COOK FM	FORMATION	24	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3953.000000	3972.000000	DRAKE FM	FORMATION	27	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3865.000000	3884.000000	DRAUPNE FM	FORMATION	28	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3953.000000	4123.000000	DUNLIN GP	GROUP	29	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3945.000000	3953.000000	ETIVE FM	FORMATION	35	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3884.000000	3896.000000	HEATHER FM	FORMATION	60	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	4282.000000	4442.000000	HEGRE GP	GROUP	61	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	1217.000000	1925.000000	HORDALAND GP	GROUP	67	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	2123.000000	2577.000000	JORSALFARE FM	FORMATION	74	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	2577.000000	3830.000000	KYRRE FM	FORMATION	92	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	2020.000000	2123.000000	LISTA FM	FORMATION	95	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	4282.000000	4442.000000	LUNDE FM	FORMATION	97	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3907.000000	3945.000000	NESS FM	FORMATION	110	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	405.000000	1217.000000	NORDLAND GP	GROUP	113	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	1925.000000	2123.000000	ROGALAND GP	GROUP	131	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	1987.000000	2020.000000	SELE FM	FORMATION	142	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	2123.000000	3857.000000	SHETLAND GP	GROUP	143	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	4123.000000	4282.000000	STATFJORD FM	FORMATION	157	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3896.000000	3907.000000	TARBERT FM	FORMATION	162	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3830.000000	3857.000000	TRYGGVASON FM	FORMATION	173	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	1032.000000	1217.000000	UTSIRA FM	FORMATION	183	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3865.000000	3896.000000	VIKING GP	GROUP	188	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	3857.000000	3865.000000	ÅSGARD FM	FORMATION	198	2009-06-26	6025	9999-12-31	2013-05-08
34/8-13 S	4123.000000	4282.000000	NO GROUP DEFINED	GROUP	208	2009-06-26	6025	9999-12-31	2013-05-08
6608/10-12 A	1565.000000	1772.000000	BRYGGE FM	FORMATION	18	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2934.000000	3075.000000	BÅT GP	GROUP	22	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2624.000000	2768.000000	CROMER KNOLL GP	GROUP	23	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2885.000000	2934.000000	FANGST GP	GROUP	38	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	1565.000000	1772.000000	HORDALAND GP	GROUP	67	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	1403.000000	1565.000000	KAI FM	FORMATION	77	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2379.000000	2624.000000	KVITNOS FM	FORMATION	91	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2631.000000	2679.000000	LANGE FM	FORMATION	94	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2679.000000	2768.000000	LYR FM	FORMATION	98	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2624.000000	2631.000000	LYSING FM	FORMATION	99	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2798.000000	2885.000000	INTRA MELKE FM SS	FORMATION	104	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2777.000000	2798.000000	MELKE FM	FORMATION	105	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	360.000000	1403.000000	NAUST FM	FORMATION	109	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	1982.000000	2379.000000	NISE FM	FORMATION	112	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	360.000000	1565.000000	NORDLAND GP	GROUP	113	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2885.000000	2934.000000	NOT FM	FORMATION	120	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	1772.000000	1862.000000	ROGALAND GP	GROUP	131	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	1862.000000	2624.000000	SHETLAND GP	GROUP	143	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2768.000000	2777.000000	SPEKK FM	FORMATION	155	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	1862.000000	1982.000000	SPRINGAR FM	FORMATION	156	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	1834.000000	1862.000000	TANG FM	FORMATION	161	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	1772.000000	1834.000000	TARE FM	FORMATION	163	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2768.000000	2885.000000	VIKING GP	GROUP	188	2009-01-25	6029	9999-12-31	2013-05-08
6608/10-12 A	2934.000000	3075.000000	ÅRE FM	FORMATION	197	2009-01-25	6029	9999-12-31	2013-05-08
15/6-10	2222.000000	2280.000000	BALDER FM	FORMATION	6	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3327.000000	3330.000000	BLODØKS FM	FORMATION	13	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3404.000000	3461.000000	CROMER KNOLL GP	GROUP	23	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3461.000000	3497.000000	DRAUPNE FM	FORMATION	28	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	2711.000000	2753.000000	EKOFISK FM	FORMATION	33	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	1746.000000	2059.000000	GRID FM	FORMATION	53	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3497.000000	3510.000000	HEATHER FM	FORMATION	60	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	2404.000000	2574.000000	HEIMDAL FM	FORMATION	62	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	2976.000000	3277.000000	HOD FM	FORMATION	66	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	955.000000	2222.000000	HORDALAND GP	GROUP	67	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	2343.000000	2404.000000	LISTA FM	FORMATION	95	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	2574.000000	2613.000000	LISTA FM	FORMATION	95	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	1040.000000	1056.000000	NO FORMAL NAME	FORMATION	111	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	1056.000000	1162.000000	NO FORMAL NAME	FORMATION	111	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	1174.000000	1265.000000	NO FORMAL NAME	FORMATION	111	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	1284.000000	1746.000000	NO FORMAL NAME	FORMATION	111	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	2059.000000	2222.000000	NO FORMAL NAME	FORMATION	111	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	136.000000	955.000000	NORDLAND GP	GROUP	113	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	2222.000000	2711.000000	ROGALAND GP	GROUP	131	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3404.000000	3461.000000	RØDBY FM	FORMATION	137	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	2280.000000	2343.000000	SELE FM	FORMATION	142	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	2711.000000	3404.000000	SHETLAND GP	GROUP	143	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	1162.000000	1174.000000	SKADE FM	FORMATION	145	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	1265.000000	1284.000000	SKADE FM	FORMATION	145	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3613.000000	3700.000000	SKAGERRAK FM	FORMATION	146	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3510.000000	3613.000000	SLEIPNER FM	FORMATION	148	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3330.000000	3404.000000	SVARTE FM	FORMATION	160	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	2753.000000	2976.000000	TOR FM	FORMATION	171	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3277.000000	3327.000000	TRYGGVASON FM	FORMATION	173	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	764.000000	955.000000	UTSIRA FM	FORMATION	183	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3510.000000	3613.000000	VESTLAND GP	GROUP	186	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3461.000000	3510.000000	VIKING GP	GROUP	188	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	2613.000000	2711.000000	VÅLE FM	FORMATION	190	2009-04-06	6030	9999-12-31	2013-05-08
15/6-10	3613.000000	3700.000000	NO GROUP DEFINED	GROUP	208	2009-04-06	6030	9999-12-31	2013-05-08
30/9-22	2139.000000	2197.000000	BALDER FM	FORMATION	6	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2867.000000	3205.000000	BRENT GP	GROUP	16	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2749.000000	2790.000000	CROMER KNOLL GP	GROUP	23	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	3205.000000	3255.000000	DRAKE FM	FORMATION	27	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2790.000000	2830.000000	DRAUPNE FM	FORMATION	28	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	3205.000000	3255.000000	DUNLIN GP	GROUP	29	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2430.000000	2678.000000	HARDRÅDE FM	FORMATION	56	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2830.000000	2867.000000	HEATHER FM	FORMATION	60	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	864.000000	2139.000000	HORDALAND GP	GROUP	67	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2678.000000	2749.000000	KYRRE FM	FORMATION	92	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2255.000000	2345.000000	LISTA FM	FORMATION	95	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2995.000000	3205.000000	NESS FM	FORMATION	110	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	118.000000	864.000000	NORDLAND GP	GROUP	113	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2139.000000	2430.000000	ROGALAND GP	GROUP	131	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2197.000000	2255.000000	SELE FM	FORMATION	142	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2430.000000	2749.000000	SHETLAND GP	GROUP	143	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2749.000000	2758.000000	SOLA FM	FORMATION	152	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2867.000000	2995.000000	TARBERT FM	FORMATION	162	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	688.000000	864.000000	UTSIRA FM	FORMATION	183	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2790.000000	2867.000000	VIKING GP	GROUP	188	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2345.000000	2430.000000	VÅLE FM	FORMATION	190	2009-03-10	6034	9999-12-31	2013-05-08
30/9-22	2758.000000	2790.000000	ÅSGARD FM	FORMATION	198	2009-03-10	6034	9999-12-31	2013-05-08
34/8-14 D	1915.000000	2011.000000	BALDER FM	FORMATION	6	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	3596.000000	3797.000000	BRENT GP	GROUP	16	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	3497.000000	3545.000000	CROMER KNOLL GP	GROUP	23	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	3797.000000	3850.000000	DRAKE FM	FORMATION	27	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	3545.000000	3548.000000	DRAUPNE FM	FORMATION	28	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	3797.000000	3850.000000	DUNLIN GP	GROUP	29	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	3705.000000	3752.000000	ETIVE FM	FORMATION	35	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	3548.000000	3596.000000	HEATHER FM	FORMATION	60	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	1115.000000	1915.000000	HORDALAND GP	GROUP	67	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	2187.000000	2374.000000	JORSALFARE FM	FORMATION	74	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	2374.000000	3497.000000	KYRRE FM	FORMATION	92	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	2028.000000	2187.000000	LISTA FM	FORMATION	95	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	3657.000000	3705.000000	NESS FM	FORMATION	110	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	1397.000000	1452.000000	NO FORMAL NAME	FORMATION	111	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	1452.000000	1482.000000	NO FORMAL NAME	FORMATION	111	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	1482.000000	1507.000000	NO FORMAL NAME	FORMATION	111	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	1507.000000	1915.000000	NO FORMAL NAME	FORMATION	111	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	323.000000	1115.000000	NORDLAND GP	GROUP	113	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	3752.000000	3797.000000	RANNOCH FM	FORMATION	126	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	1915.000000	2187.000000	ROGALAND GP	GROUP	131	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	2011.000000	2028.000000	SELE FM	FORMATION	142	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	2187.000000	3497.000000	SHETLAND GP	GROUP	143	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	3596.000000	3657.000000	TARBERT FM	FORMATION	162	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	1002.000000	1115.000000	UTSIRA FM	FORMATION	183	2009-02-10	6036	9999-12-31	2013-05-08
34/8-14 D	3545.000000	3596.000000	VIKING GP	GROUP	188	2009-02-10	6036	9999-12-31	2013-05-08
16/2-5	1631.000000	1652.000000	BALDER FM	FORMATION	6	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	2342.000000	2373.000000	BASEMENT	GROUP	10	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1855.000000	1884.000000	CROMER KNOLL GP	GROUP	23	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1757.000000	1762.000000	EKOFISK FM	FORMATION	33	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1803.000000	1855.000000	HOD FM	FORMATION	66	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	998.000000	1631.000000	HORDALAND GP	GROUP	67	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1672.000000	1748.000000	LISTA FM	FORMATION	95	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1880.000000	1884.000000	MIME FM	FORMATION	106	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	971.000000	998.000000	NO FORMAL NAME	FORMATION	111	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1048.000000	1077.000000	NO FORMAL NAME	FORMATION	111	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1102.000000	1192.000000	NO FORMAL NAME	FORMATION	111	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1192.000000	1242.000000	NO FORMAL NAME	FORMATION	111	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1242.000000	1287.000000	NO FORMAL NAME	FORMATION	111	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1287.000000	1305.000000	NO FORMAL NAME	FORMATION	111	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1305.000000	1631.000000	NO FORMAL NAME	FORMATION	111	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1884.000000	2342.000000	NO FORMAL NAME	FORMATION	111	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	158.000000	998.000000	NORDLAND GP	GROUP	113	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1631.000000	1757.000000	ROGALAND GP	GROUP	131	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1855.000000	1875.000000	RØDBY FM	FORMATION	137	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1652.000000	1672.000000	SELE FM	FORMATION	142	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1757.000000	1855.000000	SHETLAND GP	GROUP	143	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	998.000000	1048.000000	SKADE FM	FORMATION	145	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1077.000000	1102.000000	SKADE FM	FORMATION	145	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1762.000000	1803.000000	TOR FM	FORMATION	171	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	798.000000	971.000000	UTSIRA FM	FORMATION	183	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1748.000000	1757.000000	VÅLE FM	FORMATION	190	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1875.000000	1880.000000	ÅSGARD FM	FORMATION	198	2009-05-13	6042	9999-12-31	2013-05-08
16/2-5	1884.000000	2342.000000	NO GROUP DEFINED	GROUP	208	2009-05-13	6042	9999-12-31	2013-05-08
30/5-3 S	2017.000000	2095.000000	BALDER FM	FORMATION	6	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	3359.000000	3380.000000	BLODØKS FM	FORMATION	13	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	3396.000000	4335.000000	HEGRE GP	GROUP	61	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	904.000000	2017.000000	HORDALAND GP	GROUP	67	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	2326.000000	2811.000000	JORSALFARE FM	FORMATION	74	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	2811.000000	3220.000000	KYRRE FM	FORMATION	92	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	2188.000000	2326.000000	LISTA FM	FORMATION	95	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	4113.000000	4222.000000	LOMVI FM	FORMATION	96	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	3396.000000	3809.000000	LUNDE FM	FORMATION	97	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	1475.000000	1538.000000	NO FORMAL NAME	FORMATION	111	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	1588.000000	2017.000000	NO FORMAL NAME	FORMATION	111	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	3809.000000	4113.000000	NO FORMAL NAME	FORMATION	111	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	139.000000	904.000000	NORDLAND GP	GROUP	113	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	2017.000000	2326.000000	ROGALAND GP	GROUP	131	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	2095.000000	2188.000000	SELE FM	FORMATION	142	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	2326.000000	3396.000000	SHETLAND GP	GROUP	143	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	1404.000000	1475.000000	SKADE FM	FORMATION	145	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	1538.000000	1588.000000	SKADE FM	FORMATION	145	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	3380.000000	3396.000000	SVARTE FM	FORMATION	160	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	4222.000000	4335.000000	TEIST FM (INFORMAL)	FORMATION	166	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	3220.000000	3359.000000	TRYGGVASON FM	FORMATION	173	2009-04-12	6043	9999-12-31	2013-05-08
30/5-3 S	678.000000	904.000000	UTSIRA FM	FORMATION	183	2009-04-12	6043	9999-12-31	2013-05-08
6705/10-1	2005.000000	2718.000000	BRYGGE FM	FORMATION	18	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	3525.000000	3775.000000	CROMER KNOLL GP	GROUP	23	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	2005.000000	2718.000000	HORDALAND GP	GROUP	67	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	1525.000000	2005.000000	KAI FM	FORMATION	77	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	3480.000000	3525.000000	KVITNOS FM	FORMATION	91	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	3525.000000	3775.000000	LANGE FM	FORMATION	94	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	1358.000000	1525.000000	NAUST FM	FORMATION	109	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	3403.000000	3480.000000	NISE FM	FORMATION	112	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	1358.000000	2005.000000	NORDLAND GP	GROUP	113	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	2718.000000	3214.000000	ROGALAND GP	GROUP	131	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	3214.000000	3525.000000	SHETLAND GP	GROUP	143	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	3214.000000	3403.000000	SPRINGAR FM	FORMATION	156	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	2922.000000	3214.000000	TANG FM	FORMATION	161	2009-03-19	6044	9999-12-31	2013-05-08
6705/10-1	2718.000000	2922.000000	TARE FM	FORMATION	163	2009-03-19	6044	9999-12-31	2013-05-08
30/3-10 S	3905.000000	4034.000000	AMUNDSEN FM	FORMATION	4	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	1963.000000	2027.000000	BALDER FM	FORMATION	6	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3455.000000	3467.000000	BLODØKS FM	FORMATION	13	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3737.000000	3752.000000	BRENT GP	GROUP	16	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3602.000000	3708.000000	CROMER KNOLL GP	GROUP	23	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3871.000000	3905.000000	COOK FM	FORMATION	24	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3752.000000	3871.000000	DRAKE FM	FORMATION	27	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3708.000000	3725.000000	DRAUPNE FM	FORMATION	28	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3752.000000	4034.000000	DUNLIN GP	GROUP	29	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	1650.000000	1690.000000	GRID FM	FORMATION	53	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3725.000000	3737.000000	HEATHER FM	FORMATION	60	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	911.000000	1963.000000	HORDALAND GP	GROUP	67	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	2213.000000	2510.000000	JORSALFARE FM	FORMATION	74	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	2510.000000	3418.000000	KYRRE FM	FORMATION	92	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	2050.000000	2213.000000	LISTA FM	FORMATION	95	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3737.000000	3752.000000	NESS FM	FORMATION	110	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	1338.000000	1383.000000	NO FORMAL NAME	FORMATION	111	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	1383.000000	1650.000000	NO FORMAL NAME	FORMATION	111	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	1690.000000	1963.000000	NO FORMAL NAME	FORMATION	111	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	140.000000	911.000000	NORDLAND GP	GROUP	113	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	1963.000000	2213.000000	ROGALAND GP	GROUP	131	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3602.000000	3621.000000	RØDBY FM	FORMATION	137	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	2027.000000	2050.000000	SELE FM	FORMATION	142	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	2213.000000	3602.000000	SHETLAND GP	GROUP	143	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3621.000000	3627.000000	SOLA FM	FORMATION	152	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	4034.000000	4168.000000	STATFJORD FM	FORMATION	157	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3467.000000	3602.000000	SVARTE FM	FORMATION	160	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3418.000000	3455.000000	TRYGGVASON FM	FORMATION	173	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	751.000000	911.000000	UTSIRA FM	FORMATION	183	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3708.000000	3737.000000	VIKING GP	GROUP	188	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	3627.000000	3708.000000	ÅSGARD FM	FORMATION	198	2009-04-29	6045	9999-12-31	2013-05-08
30/3-10 S	4034.000000	4168.000000	NO GROUP DEFINED	GROUP	208	2009-04-29	6045	9999-12-31	2013-05-08
15/12-21	2323.000000	2336.000000	BALDER FM	FORMATION	6	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2752.000000	2784.000000	BLODØKS FM	FORMATION	13	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2836.000000	2887.000000	CROMER KNOLL GP	GROUP	23	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2887.000000	2916.000000	DRAUPNE FM	FORMATION	28	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2916.000000	3031.000000	HEATHER FM	FORMATION	60	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2784.000000	2836.000000	HIDRA FM	FORMATION	65	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2676.000000	2752.000000	HOD FM	FORMATION	66	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	1131.000000	2323.000000	HORDALAND GP	GROUP	67	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	3031.000000	3059.000000	HUGIN FM	FORMATION	69	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2401.000000	2487.000000	LISTA FM	FORMATION	95	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	128.000000	1131.000000	NORDLAND GP	GROUP	113	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2323.000000	2505.000000	ROGALAND GP	GROUP	131	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2836.000000	2858.000000	RØDBY FM	FORMATION	137	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2336.000000	2401.000000	SELE FM	FORMATION	142	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2505.000000	2836.000000	SHETLAND GP	GROUP	143	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	3122.000000	3310.000000	SKAGERRAK FM	FORMATION	146	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	3059.000000	3122.000000	SLEIPNER FM	FORMATION	148	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2858.000000	2873.000000	SOLA FM	FORMATION	152	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2505.000000	2676.000000	TOR FM	FORMATION	171	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	930.000000	1131.000000	UTSIRA FM	FORMATION	183	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	3031.000000	3122.000000	VESTLAND GP	GROUP	186	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2887.000000	3031.000000	VIKING GP	GROUP	188	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2487.000000	2505.000000	VÅLE FM	FORMATION	190	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	2873.000000	2887.000000	ÅSGARD FM	FORMATION	198	2009-05-21	6047	9999-12-31	2013-05-08
15/12-21	3122.000000	3310.000000	NO GROUP DEFINED	GROUP	208	2009-05-21	6047	9999-12-31	2013-05-08
30/5-3 A	2159.000000	2281.000000	BALDER FM	FORMATION	6	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	4391.000000	4404.000000	BLODØKS FM	FORMATION	13	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	4560.000000	4650.000000	CROMER KNOLL GP	GROUP	23	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	4704.000000	4746.000000	INTRA DRAUPNE FM SS	FORMATION	26	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	4650.000000	4704.000000	DRAUPNE FM	FORMATION	28	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	904.000000	2159.000000	HORDALAND GP	GROUP	67	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	2584.000000	3368.000000	JORSALFARE FM	FORMATION	74	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	3368.000000	4090.000000	KYRRE FM	FORMATION	92	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	2407.000000	2584.000000	LISTA FM	FORMATION	95	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	1394.000000	2159.000000	NO FORMAL NAME	FORMATION	111	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	139.000000	904.000000	NORDLAND GP	GROUP	113	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	2159.000000	2584.000000	ROGALAND GP	GROUP	131	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	4560.000000	4606.000000	RØDBY FM	FORMATION	137	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	2281.000000	2407.000000	SELE FM	FORMATION	142	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	2584.000000	4560.000000	SHETLAND GP	GROUP	143	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	1339.000000	1394.000000	SKADE FM	FORMATION	145	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	4606.000000	4650.000000	SOLA FM	FORMATION	152	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	4404.000000	4560.000000	SVARTE FM	FORMATION	160	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	4090.000000	4391.000000	TRYGGVASON FM	FORMATION	173	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	678.000000	904.000000	UTSIRA FM	FORMATION	183	2009-05-30	6055	9999-12-31	2013-05-08
30/5-3 A	4650.000000	4746.000000	VIKING GP	GROUP	188	2009-05-30	6055	9999-12-31	2013-05-08
35/6-2 S	3015.000000	3391.000000	AGAT FM	FORMATION	2	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	627.000000	669.000000	BALDER FM	FORMATION	6	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	2620.000000	2657.000000	BLODØKS FM	FORMATION	13	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	2946.000000	3700.000000	CROMER KNOLL GP	GROUP	23	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	532.000000	627.000000	HORDALAND GP	GROUP	67	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	1355.000000	1411.000000	JORSALFARE FM	FORMATION	74	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	1411.000000	2195.000000	KYRRE FM	FORMATION	92	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	2211.000000	2375.000000	KYRRE FM	FORMATION	92	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	852.000000	1335.000000	LISTA FM	FORMATION	95	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	607.000000	622.000000	NO FORMAL NAME	FORMATION	111	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	622.000000	627.000000	NO FORMAL NAME	FORMATION	111	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	669.000000	730.000000	NO FORMAL NAME	FORMATION	111	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	2195.000000	2211.000000	NO FORMAL NAME	FORMATION	111	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	3500.000000	3700.000000	NO FORMAL NAME	FORMATION	111	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	366.000000	532.000000	NORDLAND GP	GROUP	113	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	627.000000	1355.000000	ROGALAND GP	GROUP	131	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	2946.000000	3015.000000	RØDBY FM	FORMATION	137	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	730.000000	852.000000	SELE FM	FORMATION	142	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	1355.000000	2946.000000	SHETLAND GP	GROUP	143	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	2657.000000	2946.000000	SVARTE FM	FORMATION	160	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	2375.000000	2620.000000	TRYGGVASON FM	FORMATION	173	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	1335.000000	1355.000000	VÅLE FM	FORMATION	190	2009-04-04	6063	9999-12-31	2013-05-08
35/6-2 S	3391.000000	3500.000000	ÅSGARD FM	FORMATION	198	2009-04-04	6063	9999-12-31	2013-05-08
6507/3-6	1319.000000	1650.000000	BÅT GP	GROUP	22	2009-06-23	6073	9999-12-31	2013-05-08
6507/3-6	1291.000000	1319.000000	FANGST GP	GROUP	38	2009-06-23	6073	9999-12-31	2013-05-08
6507/3-6	1291.000000	1297.000000	GARN FM	FORMATION	48	2009-06-23	6073	9999-12-31	2013-05-08
6507/3-6	1304.000000	1319.000000	ILE FM	FORMATION	70	2009-06-23	6073	9999-12-31	2013-05-08
6507/3-6	1083.000000	1291.000000	KAI FM	FORMATION	77	2009-06-23	6073	9999-12-31	2013-05-08
6507/3-6	402.000000	1083.000000	NAUST FM	FORMATION	109	2009-06-23	6073	9999-12-31	2013-05-08
6507/3-6	402.000000	1291.000000	NORDLAND GP	GROUP	113	2009-06-23	6073	9999-12-31	2013-05-08
6507/3-6	1297.000000	1304.000000	NOT FM	FORMATION	120	2009-06-23	6073	9999-12-31	2013-05-08
6507/3-6	1319.000000	1360.000000	ROR FM	FORMATION	135	2009-06-23	6073	9999-12-31	2013-05-08
6507/3-6	1360.000000	1422.000000	TILJE FM	FORMATION	169	2009-06-23	6073	9999-12-31	2013-05-08
6507/3-6	1422.000000	1650.000000	ÅRE FM	FORMATION	197	2009-06-23	6073	9999-12-31	2013-05-08
34/7-34 A	2365.000000	2639.000000	AMUNDSEN FM	FORMATION	4	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	1680.000000	1719.000000	BALDER FM	FORMATION	6	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	2365.000000	2639.000000	DUNLIN GP	GROUP	29	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	2972.000000	3022.000000	HEGRE GP	GROUP	61	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	1108.000000	1680.000000	HORDALAND GP	GROUP	67	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	1719.000000	1860.000000	LISTA FM	FORMATION	95	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	2972.000000	3022.000000	LUNDE FM	FORMATION	97	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	323.000000	1108.000000	NORDLAND GP	GROUP	113	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	1680.000000	1860.000000	ROGALAND GP	GROUP	131	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	1860.000000	2365.000000	SHETLAND GP	GROUP	143	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	2639.000000	2972.000000	STATFJORD FM	FORMATION	157	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	986.000000	1108.000000	UTSIRA FM	FORMATION	183	2009-03-20	6080	9999-12-31	2013-05-08
34/7-34 A	2639.000000	2972.000000	NO GROUP DEFINED	GROUP	208	2009-03-20	6080	9999-12-31	2013-05-08
25/8-16 S	2400.000000	2495.000000	AMUNDSEN FM	FORMATION	4	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	1973.000000	2059.000000	BALDER FM	FORMATION	6	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	2400.000000	2495.000000	DUNLIN GP	GROUP	29	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	2395.000000	2400.000000	EKOFISK FM	FORMATION	33	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	1224.000000	1973.000000	GRID FM	FORMATION	53	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	2200.000000	2359.000000	HEIMDAL FM	FORMATION	62	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	1005.000000	1973.000000	HORDALAND GP	GROUP	67	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	2146.000000	2200.000000	LISTA FM	FORMATION	95	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	151.000000	1005.000000	NORDLAND GP	GROUP	113	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	1973.000000	2395.000000	ROGALAND GP	GROUP	131	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	2059.000000	2146.000000	SELE FM	FORMATION	142	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	2395.000000	2400.000000	SHETLAND GP	GROUP	143	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	1156.000000	1224.000000	SKADE FM	FORMATION	145	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	2495.000000	2550.000000	STATFJORD FM	FORMATION	157	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	2359.000000	2395.000000	TY FM	FORMATION	176	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	519.000000	1005.000000	UTSIRA FM	FORMATION	183	2009-05-13	6082	9999-12-31	2013-05-08
25/8-16 S	2495.000000	2550.000000	NO GROUP DEFINED	GROUP	208	2009-05-13	6082	9999-12-31	2013-05-08
35/2-2	398.000000	640.000000	NAUST FM	FORMATION	109	2009-07-26	6084	9999-12-31	2013-05-08
35/2-2	398.000000	640.000000	NORDLAND GP	GROUP	113	2009-07-26	6084	9999-12-31	2013-05-08
30/11-7 A	2152.000000	2204.000000	BALDER FM	FORMATION	6	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	4007.000000	4250.000000	BRENT GP	GROUP	16	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	3810.000000	3832.000000	CROMER KNOLL GP	GROUP	23	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	2119.000000	2152.000000	FRIGG FM	FORMATION	45	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	3832.000000	4007.000000	HEATHER FM	FORMATION	60	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	2544.000000	2614.000000	HEIMDAL FM	FORMATION	62	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	2208.000000	2319.000000	HERMOD FM	FORMATION	64	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	1029.000000	2152.000000	HORDALAND GP	GROUP	67	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	2626.000000	2912.000000	JORSALFARE FM	FORMATION	74	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	2912.000000	3450.000000	KYRRE FM	FORMATION	92	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	2319.000000	2544.000000	LISTA FM	FORMATION	95	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	4215.000000	4250.000000	NESS FM	FORMATION	110	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	1360.000000	2119.000000	NO FORMAL NAME	FORMATION	111	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	129.000000	1029.000000	NORDLAND GP	GROUP	113	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	2152.000000	2626.000000	ROGALAND GP	GROUP	131	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	2204.000000	2208.000000	SELE FM	FORMATION	142	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	2626.000000	3810.000000	SHETLAND GP	GROUP	143	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	1091.000000	1360.000000	SKADE FM	FORMATION	145	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	4007.000000	4215.000000	TARBERT FM	FORMATION	162	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	3450.000000	3810.000000	TRYGGVASON FM	FORMATION	173	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	699.000000	1029.000000	UTSIRA FM	FORMATION	183	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	3832.000000	4007.000000	VIKING GP	GROUP	188	2009-05-25	6085	9999-12-31	2013-05-08
30/11-7 A	2614.000000	2626.000000	VÅLE FM	FORMATION	190	2009-05-25	6085	9999-12-31	2013-05-08
35/12-2	1285.000000	1340.000000	BALDER FM	FORMATION	6	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	2450.000000	2541.000000	BRENT GP	GROUP	16	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	2510.000000	2541.000000	ETIVE FM	FORMATION	35	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	2100.000000	2159.000000	FENSFJORD FM	FORMATION	40	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	2030.000000	2100.000000	HEATHER FM	FORMATION	60	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	2159.000000	2232.000000	HEATHER FM	FORMATION	60	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	2237.000000	2450.000000	HEATHER FM	FORMATION	60	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	675.000000	1285.000000	HORDALAND GP	GROUP	67	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	1770.000000	1829.000000	JORSALFARE FM	FORMATION	74	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	2232.000000	2237.000000	KROSSFJORD FM	FORMATION	87	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	1829.000000	1968.000000	KYRRE FM	FORMATION	92	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	1425.000000	1742.000000	LISTA FM	FORMATION	95	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	2450.000000	2510.000000	NESS FM	FORMATION	110	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	389.000000	675.000000	NORDLAND GP	GROUP	113	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	1285.000000	1770.000000	ROGALAND GP	GROUP	131	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	1340.000000	1425.000000	SELE FM	FORMATION	142	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	1770.000000	1968.000000	SHETLAND GP	GROUP	143	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	1968.000000	2030.000000	SOGNEFJORD FM	FORMATION	151	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	546.000000	675.000000	UTSIRA FM	FORMATION	183	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	1968.000000	2450.000000	VIKING GP	GROUP	188	2009-07-15	6095	9999-12-31	2013-05-08
35/12-2	1742.000000	1770.000000	VÅLE FM	FORMATION	190	2009-07-15	6095	9999-12-31	2013-05-08
8/10-3	2372.000000	2397.000000	BALDER FM	FORMATION	6	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2898.000000	3077.000000	CROMER KNOLL GP	GROUP	23	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2556.000000	2621.000000	EKOFISK FM	FORMATION	33	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	3090.000000	3099.000000	FARSUND FM	FORMATION	39	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2743.000000	2898.000000	HOD FM	FORMATION	66	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	1416.000000	2372.000000	HORDALAND GP	GROUP	67	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	5397.000000	5398.000000	KUPFERSCHIEFER FM	FORMATION	88	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2422.000000	2527.000000	LISTA FM	FORMATION	95	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2550.000000	2556.000000	LISTA FM	FORMATION	95	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	3077.000000	3090.000000	MANDAL FM	FORMATION	101	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	114.000000	1416.000000	NORDLAND GP	GROUP	113	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2372.000000	2556.000000	ROGALAND GP	GROUP	131	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	5398.000000	5738.000000	ROTLIEGEND GP	GROUP	136	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2898.000000	2927.000000	RØDBY FM	FORMATION	137	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	3099.000000	3158.000000	SANDNES FM	FORMATION	139	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2397.000000	2422.000000	SELE FM	FORMATION	142	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2556.000000	2898.000000	SHETLAND GP	GROUP	143	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	3158.000000	3221.000000	SKAGERRAK FM	FORMATION	146	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	3221.000000	3394.000000	SMITH BANK FM	FORMATION	149	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2927.000000	2950.000000	SOLA FM	FORMATION	152	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2621.000000	2743.000000	TOR FM	FORMATION	171	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2950.000000	3009.000000	TUXEN FM	FORMATION	175	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	3077.000000	3099.000000	TYNE GP	GROUP	177	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	3099.000000	3394.000000	VESTLAND GP	GROUP	186	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	2527.000000	2550.000000	VIDAR FM	FORMATION	187	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	3394.000000	5398.000000	ZECHSTEIN GP	GROUP	194	2010-10-06	6098	9999-12-31	2013-05-08
8/10-3	3009.000000	3077.000000	ÅSGARD FM	FORMATION	198	2010-10-06	6098	9999-12-31	2013-05-08
6407/6-7 S	1290.000000	1850.000000	BRYGGE FM	FORMATION	18	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2893.000000	3227.000000	BÅT GP	GROUP	22	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2458.000000	2685.000000	CROMER KNOLL GP	GROUP	23	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2777.000000	2893.000000	FANGST GP	GROUP	38	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2777.000000	2811.000000	GARN FM	FORMATION	48	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	1290.000000	1850.000000	HORDALAND GP	GROUP	67	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2827.000000	2893.000000	ILE FM	FORMATION	70	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	1114.000000	1290.000000	KAI FM	FORMATION	77	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2367.000000	2458.000000	KVITNOS FM	FORMATION	91	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2458.000000	2685.000000	LANGE FM	FORMATION	94	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	269.000000	1114.000000	NAUST FM	FORMATION	109	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2295.000000	2367.000000	NISE FM	FORMATION	112	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	269.000000	1290.000000	NORDLAND GP	GROUP	113	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2811.000000	2827.000000	NOT FM	FORMATION	120	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	1850.000000	2052.000000	ROGALAND GP	GROUP	131	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2747.000000	2766.000000	ROGN FM	FORMATION	134	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2893.000000	2911.000000	ROR FM	FORMATION	135	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2990.000000	3046.000000	ROR FM	FORMATION	135	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2052.000000	2458.000000	SHETLAND GP	GROUP	143	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2685.000000	2747.000000	SPEKK FM	FORMATION	155	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2766.000000	2777.000000	SPEKK FM	FORMATION	155	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2052.000000	2295.000000	SPRINGAR FM	FORMATION	156	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	1945.000000	2052.000000	TANG FM	FORMATION	161	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	1850.000000	1945.000000	TARE FM	FORMATION	163	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	3046.000000	3179.000000	TILJE FM	FORMATION	169	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2911.000000	2990.000000	TOFTE FM	FORMATION	170	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	2685.000000	2777.000000	VIKING GP	GROUP	188	2009-05-27	6100	9999-12-31	2013-05-08
6407/6-7 S	3179.000000	3227.000000	ÅRE FM	FORMATION	197	2009-05-27	6100	9999-12-31	2013-05-08
6407/2-4	1594.000000	1976.000000	BRYGGE FM	FORMATION	18	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2547.000000	2819.000000	CROMER KNOLL GP	GROUP	23	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2892.000000	3001.000000	FANGST GP	GROUP	38	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2892.000000	2943.000000	GARN FM	FORMATION	48	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	1594.000000	1976.000000	HORDALAND GP	GROUP	67	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2973.000000	3001.000000	ILE FM	FORMATION	70	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	1391.000000	1594.000000	KAI FM	FORMATION	77	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2386.000000	2547.000000	KVITNOS FM	FORMATION	91	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2547.000000	2800.000000	LANGE FM	FORMATION	94	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2800.000000	2819.000000	LYR FM	FORMATION	98	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2858.000000	2892.000000	MELKE FM	FORMATION	105	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	298.000000	1391.000000	NAUST FM	FORMATION	109	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2227.000000	2386.000000	NISE FM	FORMATION	112	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	298.000000	1594.000000	NORDLAND GP	GROUP	113	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2943.000000	2973.000000	NOT FM	FORMATION	120	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	1976.000000	2117.000000	ROGALAND GP	GROUP	131	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2117.000000	2547.000000	SHETLAND GP	GROUP	143	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2819.000000	2858.000000	SPEKK FM	FORMATION	155	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2117.000000	2227.000000	SPRINGAR FM	FORMATION	156	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2019.000000	2117.000000	TANG FM	FORMATION	161	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	1976.000000	2019.000000	TARE FM	FORMATION	163	2009-08-31	6106	9999-12-31	2013-05-08
6407/2-4	2819.000000	2892.000000	VIKING GP	GROUP	188	2009-08-31	6106	9999-12-31	2013-05-08
33/9-21 A	2618.000000	2728.000000	BALDER FM	FORMATION	6	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	5902.000000	6366.000000	BRENT GP	GROUP	16	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	5502.000000	5662.000000	CROMER KNOLL GP	GROUP	23	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	5662.000000	5819.000000	DRAUPNE FM	FORMATION	28	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	5819.000000	5902.000000	HEATHER FM	FORMATION	60	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	6366.000000	6392.000000	HEATHER FM	FORMATION	60	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	1093.000000	2618.000000	HORDALAND GP	GROUP	67	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	2846.000000	3056.000000	LISTA FM	FORMATION	95	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	5617.000000	5662.000000	MIME FM	FORMATION	106	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	5939.000000	6366.000000	NESS FM	FORMATION	110	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	213.000000	1093.000000	NORDLAND GP	GROUP	113	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	2618.000000	3112.000000	ROGALAND GP	GROUP	131	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	5502.000000	5518.000000	RØDBY FM	FORMATION	137	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	2728.000000	2846.000000	SELE FM	FORMATION	142	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	3112.000000	5502.000000	SHETLAND GP	GROUP	143	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	5518.000000	5546.000000	SOLA FM	FORMATION	152	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	5902.000000	5939.000000	TARBERT FM	FORMATION	162	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	971.000000	1093.000000	UTSIRA FM	FORMATION	183	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	5662.000000	5902.000000	VIKING GP	GROUP	188	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	6366.000000	6392.000000	VIKING GP	GROUP	188	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	3056.000000	3112.000000	VÅLE FM	FORMATION	190	2009-04-30	6109	9999-12-31	2013-05-08
33/9-21 A	5546.000000	5617.000000	ÅSGARD FM	FORMATION	198	2009-04-30	6109	9999-12-31	2013-05-08
6407/8-5 S	936.000000	1516.000000	BRYGGE FM	FORMATION	18	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2488.000000	2905.000000	BÅT GP	GROUP	22	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2253.000000	2488.000000	FANGST GP	GROUP	38	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2253.000000	2317.000000	GARN FM	FORMATION	48	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2905.000000	3240.000000	GREY BEDS (INFORMAL)	GROUP	52	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	936.000000	1516.000000	HORDALAND GP	GROUP	67	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2347.000000	2488.000000	ILE FM	FORMATION	70	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	900.000000	936.000000	KAI FM	FORMATION	77	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	1910.000000	2100.000000	KVITNOS FM	FORMATION	91	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2180.000000	2253.000000	MELKE FM	FORMATION	105	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	270.000000	900.000000	NAUST FM	FORMATION	109	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	1775.000000	1910.000000	NISE FM	FORMATION	112	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	270.000000	936.000000	NORDLAND GP	GROUP	113	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2317.000000	2347.000000	NOT FM	FORMATION	120	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	1516.000000	1730.000000	ROGALAND GP	GROUP	131	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2488.000000	2549.000000	ROR FM	FORMATION	135	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	1730.000000	2100.000000	SHETLAND GP	GROUP	143	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2100.000000	2180.000000	SPEKK FM	FORMATION	155	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	1730.000000	1775.000000	SPRINGAR FM	FORMATION	156	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	1604.000000	1730.000000	TANG FM	FORMATION	161	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	1516.000000	1604.000000	TARE FM	FORMATION	163	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2549.000000	2731.000000	TILJE FM	FORMATION	169	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2100.000000	2253.000000	VIKING GP	GROUP	188	2009-05-26	6110	9999-12-31	2013-05-08
6407/8-5 S	2731.000000	2905.000000	ÅRE FM	FORMATION	197	2009-05-26	6110	9999-12-31	2013-05-08
6305/5-3 S	1732.000000	2350.000000	BRYGGE FM	FORMATION	18	2009-10-27	6118	9999-12-31	2013-05-08
6305/5-3 S	2797.000000	2842.000000	EGGA FM (INFORMAL)	FORMATION	31	2009-10-27	6118	9999-12-31	2013-05-08
6305/5-3 S	1732.000000	2350.000000	HORDALAND GP	GROUP	67	2009-10-27	6118	9999-12-31	2013-05-08
6305/5-3 S	1660.000000	1732.000000	KAI FM	FORMATION	77	2009-10-27	6118	9999-12-31	2013-05-08
6305/5-3 S	857.000000	1660.000000	NAUST FM	FORMATION	109	2009-10-27	6118	9999-12-31	2013-05-08
6305/5-3 S	857.000000	1732.000000	NORDLAND GP	GROUP	113	2009-10-27	6118	9999-12-31	2013-05-08
6305/5-3 S	2350.000000	2842.000000	ROGALAND GP	GROUP	131	2009-10-27	6118	9999-12-31	2013-05-08
6305/5-3 S	2842.000000	2954.000000	SHETLAND GP	GROUP	143	2009-10-27	6118	9999-12-31	2013-05-08
6305/5-3 S	2842.000000	2954.000000	SPRINGAR FM	FORMATION	156	2009-10-27	6118	9999-12-31	2013-05-08
6305/5-3 S	2498.000000	2797.000000	TANG FM	FORMATION	161	2009-10-27	6118	9999-12-31	2013-05-08
6305/5-3 S	2350.000000	2498.000000	TARE FM	FORMATION	163	2009-10-27	6118	9999-12-31	2013-05-08
25/10-9	2046.000000	2116.000000	BALDER FM	FORMATION	6	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2785.000000	2856.000000	BLODØKS FM	FORMATION	13	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2856.000000	2886.000000	CROMER KNOLL GP	GROUP	23	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2886.000000	2918.000000	DRAUPNE FM	FORMATION	28	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2484.000000	2583.000000	EKOFISK FM	FORMATION	33	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	1504.000000	1593.000000	GRID FM	FORMATION	53	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2310.000000	2387.000000	HEIMDAL FM	FORMATION	62	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2737.000000	2785.000000	HOD FM	FORMATION	66	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	1077.000000	2046.000000	HORDALAND GP	GROUP	67	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2918.000000	2961.000000	HUGIN FM	FORMATION	69	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2189.000000	2310.000000	LISTA FM	FORMATION	95	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	1145.000000	1504.000000	NO FORMAL NAME	FORMATION	111	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	1593.000000	2046.000000	NO FORMAL NAME	FORMATION	111	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	142.000000	1077.000000	NORDLAND GP	GROUP	113	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2046.000000	2484.000000	ROGALAND GP	GROUP	131	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2856.000000	2886.000000	RØDBY FM	FORMATION	137	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2116.000000	2189.000000	SELE FM	FORMATION	142	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2484.000000	2856.000000	SHETLAND GP	GROUP	143	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	1077.000000	1145.000000	SKADE FM	FORMATION	145	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2961.000000	2985.000000	STATFJORD FM	FORMATION	157	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2583.000000	2737.000000	TOR FM	FORMATION	171	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	574.000000	1077.000000	UTSIRA FM	FORMATION	183	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2918.000000	2961.000000	VESTLAND GP	GROUP	186	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2886.000000	2918.000000	VIKING GP	GROUP	188	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2387.000000	2484.000000	VÅLE FM	FORMATION	190	2009-07-27	6120	9999-12-31	2013-05-08
25/10-9	2961.000000	2985.000000	NO GROUP DEFINED	GROUP	208	2009-07-27	6120	9999-12-31	2013-05-08
6507/11-10	1554.000000	1868.000000	BRYGGE FM	FORMATION	18	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	2195.000000	2319.000000	BÅT GP	GROUP	22	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	2086.000000	2195.000000	FANGST GP	GROUP	38	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	2086.000000	2113.000000	GARN FM	FORMATION	48	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	1554.000000	1868.000000	HORDALAND GP	GROUP	67	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	2134.000000	2195.000000	ILE FM	FORMATION	70	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	1421.000000	1554.000000	KAI FM	FORMATION	77	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	2030.000000	2041.000000	KVITNOS FM	FORMATION	91	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	2051.000000	2086.000000	MELKE FM	FORMATION	105	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	299.000000	1421.000000	NAUST FM	FORMATION	109	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	1959.000000	2030.000000	NISE FM	FORMATION	112	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	299.000000	1554.000000	NORDLAND GP	GROUP	113	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	2113.000000	2134.000000	NOT FM	FORMATION	120	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	1868.000000	1959.000000	ROGALAND GP	GROUP	131	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	2195.000000	2285.000000	ROR FM	FORMATION	135	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	1959.000000	2041.000000	SHETLAND GP	GROUP	143	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	2041.000000	2051.000000	SPEKK FM	FORMATION	155	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	1921.000000	1959.000000	TANG FM	FORMATION	161	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	1868.000000	1921.000000	TARE FM	FORMATION	163	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	2285.000000	2319.000000	TILJE FM	FORMATION	169	2010-02-16	6122	9999-12-31	2013-05-08
6507/11-10	2041.000000	2086.000000	VIKING GP	GROUP	188	2010-02-16	6122	9999-12-31	2013-05-08
6507/3-7	1709.000000	1967.000000	BRYGGE FM	FORMATION	18	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	3639.000000	3855.000000	BÅT GP	GROUP	22	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	2718.000000	3344.000000	CROMER KNOLL GP	GROUP	23	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	3545.000000	3639.000000	FANGST GP	GROUP	38	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	3545.000000	3580.000000	GARN FM	FORMATION	48	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	1709.000000	1967.000000	HORDALAND GP	GROUP	67	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	3622.000000	3639.000000	ILE FM	FORMATION	70	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	1367.000000	1709.000000	KAI FM	FORMATION	77	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	2718.000000	3344.000000	LANGE FM	FORMATION	94	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	3363.000000	3545.000000	MELKE FM	FORMATION	105	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	670.000000	1367.000000	NAUST FM	FORMATION	109	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	399.000000	1709.000000	NORDLAND GP	GROUP	113	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	3580.000000	3622.000000	NOT FM	FORMATION	120	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	1967.000000	2047.000000	ROGALAND GP	GROUP	131	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	3639.000000	3687.000000	ROR FM	FORMATION	135	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	2047.000000	2718.000000	SHETLAND GP	GROUP	143	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	3344.000000	3363.000000	SPEKK FM	FORMATION	155	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	2047.000000	2718.000000	SPRINGAR FM	FORMATION	156	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	2021.000000	2047.000000	TANG FM	FORMATION	161	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	1967.000000	2021.000000	TARE FM	FORMATION	163	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	3687.000000	3785.000000	TILJE FM	FORMATION	169	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	3344.000000	3545.000000	VIKING GP	GROUP	188	2009-07-22	6123	9999-12-31	2013-05-08
6507/3-7	3785.000000	3855.000000	ÅRE FM	FORMATION	197	2009-07-22	6123	9999-12-31	2013-05-08
25/8-16 A	1948.000000	2014.000000	BALDER FM	FORMATION	6	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	2306.000000	2324.000000	EKOFISK FM	FORMATION	33	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	1227.000000	1948.000000	GRID FM	FORMATION	53	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	2133.000000	2290.000000	HEIMDAL FM	FORMATION	62	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	1005.000000	1948.000000	HORDALAND GP	GROUP	67	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	2093.000000	2133.000000	LISTA FM	FORMATION	95	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	151.000000	1005.000000	NORDLAND GP	GROUP	113	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	1948.000000	2306.000000	ROGALAND GP	GROUP	131	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	2014.000000	2093.000000	SELE FM	FORMATION	142	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	2306.000000	2324.000000	SHETLAND GP	GROUP	143	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	1157.000000	1227.000000	SKADE FM	FORMATION	145	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	2290.000000	2306.000000	TY FM	FORMATION	176	2009-05-23	6128	9999-12-31	2013-05-08
25/8-16 A	519.000000	1005.000000	UTSIRA FM	FORMATION	183	2009-05-23	6128	9999-12-31	2013-05-08
17/12-4	744.000000	773.000000	BALDER FM	FORMATION	6	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	1209.000000	1216.000000	BLODØKS FM	FORMATION	13	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	1992.000000	2277.000000	BOKNFJORD GP	GROUP	15	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	2298.000000	2398.000000	BRYNE FM	FORMATION	19	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	1216.000000	1992.000000	CROMER KNOLL GP	GROUP	23	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	2198.000000	2277.000000	EGERSUND FM	FORMATION	30	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	780.000000	799.000000	EKOFISK FM	FORMATION	33	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	2398.000000	2493.000000	FJERRITSLEV FM	FORMATION	42	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	1992.000000	2017.000000	FLEKKEFJORD FM	FORMATION	43	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	984.000000	1209.000000	HOD FM	FORMATION	66	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	486.000000	744.000000	HORDALAND GP	GROUP	67	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	128.000000	486.000000	NORDLAND GP	GROUP	113	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	744.000000	780.000000	ROGALAND GP	GROUP	131	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	1216.000000	1335.000000	RØDBY FM	FORMATION	137	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	2277.000000	2298.000000	SANDNES FM	FORMATION	139	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	2017.000000	2149.000000	SAUDA FM	FORMATION	141	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	780.000000	1216.000000	SHETLAND GP	GROUP	143	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	2493.000000	2470.000000	SKAGERRAK FM	FORMATION	146	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	2149.000000	2198.000000	TAU FM	FORMATION	164	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	799.000000	984.000000	TOR FM	FORMATION	171	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	2277.000000	2493.000000	VESTLAND GP	GROUP	186	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	773.000000	780.000000	VÅLE FM	FORMATION	190	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	1335.000000	1992.000000	ÅSGARD FM	FORMATION	198	2009-07-10	6137	9999-12-31	2013-05-08
17/12-4	2493.000000	2470.000000	NO GROUP DEFINED	GROUP	208	2009-07-10	6137	9999-12-31	2013-05-08
15/12-21 A	2323.000000	2331.000000	BALDER FM	FORMATION	6	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	2836.000000	2889.000000	BLODØKS FM	FORMATION	13	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	2970.000000	3088.000000	CROMER KNOLL GP	GROUP	23	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	3088.000000	3285.000000	DRAUPNE FM	FORMATION	28	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	3285.000000	3378.000000	HEATHER FM	FORMATION	60	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	2889.000000	2970.000000	HIDRA FM	FORMATION	65	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	2724.000000	2836.000000	HOD FM	FORMATION	66	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	1131.000000	2323.000000	HORDALAND GP	GROUP	67	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	3378.000000	3412.000000	HUGIN FM	FORMATION	69	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	2411.000000	2492.000000	LISTA FM	FORMATION	95	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	128.000000	1131.000000	NORDLAND GP	GROUP	113	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	2323.000000	2516.000000	ROGALAND GP	GROUP	131	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	2970.000000	3011.000000	RØDBY FM	FORMATION	137	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	2331.000000	2411.000000	SELE FM	FORMATION	142	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	2516.000000	2970.000000	SHETLAND GP	GROUP	143	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	3493.000000	3702.000000	SKAGERRAK FM	FORMATION	146	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	3412.000000	3493.000000	SLEIPNER FM	FORMATION	148	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	3011.000000	3056.000000	SOLA FM	FORMATION	152	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	2516.000000	2724.000000	TOR FM	FORMATION	171	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	930.000000	1131.000000	UTSIRA FM	FORMATION	183	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	3378.000000	3493.000000	VESTLAND GP	GROUP	186	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	3088.000000	3378.000000	VIKING GP	GROUP	188	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	2492.000000	2516.000000	VÅLE FM	FORMATION	190	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	3056.000000	3088.000000	ÅSGARD FM	FORMATION	198	2009-06-21	6139	9999-12-31	2013-05-08
15/12-21 A	3493.000000	3702.000000	NO GROUP DEFINED	GROUP	208	2009-06-21	6139	9999-12-31	2013-05-08
33/9-21 B	2618.000000	2728.000000	BALDER FM	FORMATION	6	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	5901.000000	6808.000000	BRENT GP	GROUP	16	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	5502.000000	5662.000000	CROMER KNOLL GP	GROUP	23	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	5662.000000	5819.000000	DRAUPNE FM	FORMATION	28	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	5819.000000	5901.000000	HEATHER FM	FORMATION	60	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	6808.000000	6882.000000	HEATHER FM	FORMATION	60	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	1093.000000	2618.000000	HORDALAND GP	GROUP	67	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	2846.000000	3056.000000	LISTA FM	FORMATION	95	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	5617.000000	5662.000000	MIME FM	FORMATION	106	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	5939.000000	6784.000000	NESS FM	FORMATION	110	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	213.000000	1093.000000	NORDLAND GP	GROUP	113	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	2618.000000	3112.000000	ROGALAND GP	GROUP	131	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	5502.000000	5518.000000	RØDBY FM	FORMATION	137	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	2728.000000	2846.000000	SELE FM	FORMATION	142	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	3112.000000	5502.000000	SHETLAND GP	GROUP	143	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	5518.000000	5546.000000	SOLA FM	FORMATION	152	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	5901.000000	5939.000000	TARBERT FM	FORMATION	162	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	6784.000000	6808.000000	TARBERT FM	FORMATION	162	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	971.000000	1093.000000	UTSIRA FM	FORMATION	183	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	5662.000000	5901.000000	VIKING GP	GROUP	188	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	6808.000000	6882.000000	VIKING GP	GROUP	188	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	3056.000000	3112.000000	VÅLE FM	FORMATION	190	2009-06-11	6142	9999-12-31	2013-05-08
33/9-21 B	5546.000000	5617.000000	ÅSGARD FM	FORMATION	198	2009-06-11	6142	9999-12-31	2013-05-08
6306/6-2	2072.000000	2080.000000	BASEMENT	GROUP	10	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	849.000000	1123.000000	BRYGGE FM	FORMATION	18	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1860.000000	1963.000000	CROMER KNOLL GP	GROUP	23	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	849.000000	1123.000000	HORDALAND GP	GROUP	67	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1775.000000	1860.000000	KVITNOS FM	FORMATION	91	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1860.000000	1953.000000	LANGE FM	FORMATION	94	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1953.000000	1963.000000	LYR FM	FORMATION	98	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	264.000000	786.000000	NAUST FM	FORMATION	109	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1963.000000	1991.000000	NO FORMAL NAME	FORMATION	111	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1991.000000	2001.000000	NO FORMAL NAME	FORMATION	111	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	2001.000000	2028.000000	NO FORMAL NAME	FORMATION	111	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	2028.000000	2072.000000	NO FORMAL NAME	FORMATION	111	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1462.000000	1775.000000	NISE FM	FORMATION	112	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	264.000000	849.000000	NORDLAND GP	GROUP	113	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1123.000000	1430.000000	ROGALAND GP	GROUP	131	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1430.000000	1860.000000	SHETLAND GP	GROUP	143	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1430.000000	1462.000000	SPRINGAR FM	FORMATION	156	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1223.000000	1430.000000	TANG FM	FORMATION	161	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1123.000000	1223.000000	TARE FM	FORMATION	163	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	1963.000000	2072.000000	VIKING GP	GROUP	188	2009-11-17	6143	9999-12-31	2013-05-08
6306/6-2	786.000000	849.000000	MOLO FM	FORMATION	209	2009-11-17	6143	9999-12-31	2013-05-08
6506/12-12 S	2002.000000	2367.000000	BRYGGE FM	FORMATION	18	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4991.000000	5508.000000	BÅT GP	GROUP	22	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	3534.000000	4408.000000	CROMER KNOLL GP	GROUP	23	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4769.000000	4991.000000	FANGST GP	GROUP	38	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4769.000000	4828.000000	GARN FM	FORMATION	48	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	2002.000000	2541.000000	HORDALAND GP	GROUP	67	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4868.000000	4991.000000	ILE FM	FORMATION	70	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	1519.000000	2002.000000	KAI FM	FORMATION	77	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	3077.000000	3534.000000	KVITNOS FM	FORMATION	91	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	3580.000000	4088.000000	LANGE FM	FORMATION	94	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4172.000000	4393.000000	LANGE FM	FORMATION	94	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4393.000000	4408.000000	LYR FM	FORMATION	98	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	3534.000000	3580.000000	LYSING FM	FORMATION	99	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4457.000000	4769.000000	MELKE FM	FORMATION	105	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	325.000000	1519.000000	NAUST FM	FORMATION	109	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4088.000000	4172.000000	NO FORMAL NAME	FORMATION	111	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	2804.000000	3077.000000	NISE FM	FORMATION	112	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	325.000000	2002.000000	NORDLAND GP	GROUP	113	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4828.000000	4868.000000	NOT FM	FORMATION	120	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4991.000000	5082.000000	ROR FM	FORMATION	135	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	5167.000000	5218.000000	ROR FM	FORMATION	135	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	2541.000000	3534.000000	SHETLAND GP	GROUP	143	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4408.000000	4457.000000	SPEKK FM	FORMATION	155	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	2541.000000	2804.000000	SPRINGAR FM	FORMATION	156	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	2454.000000	2541.000000	TANG FM	FORMATION	161	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	2367.000000	2454.000000	TARE FM	FORMATION	163	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	5218.000000	5496.000000	TILJE FM	FORMATION	169	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	5082.000000	5167.000000	TOFTE FM	FORMATION	170	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	4408.000000	4769.000000	VIKING GP	GROUP	188	2009-08-06	6144	9999-12-31	2013-05-08
6506/12-12 S	5496.000000	5508.000000	ÅRE FM	FORMATION	197	2009-08-06	6144	9999-12-31	2013-05-08
6407/2-5 S	1379.000000	2010.000000	BRYGGE FM	FORMATION	18	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2926.000000	3408.000000	BÅT GP	GROUP	22	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2585.000000	2733.000000	CROMER KNOLL GP	GROUP	23	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2750.000000	2926.000000	FANGST GP	GROUP	38	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2750.000000	2783.000000	GARN FM	FORMATION	48	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	1379.000000	2010.000000	HORDALAND GP	GROUP	67	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2828.000000	2926.000000	ILE FM	FORMATION	70	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	1305.000000	1379.000000	KAI FM	FORMATION	77	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2396.000000	2585.000000	KVITNOS FM	FORMATION	91	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2585.000000	2719.000000	LANGE FM	FORMATION	94	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2719.000000	2733.000000	LYR FM	FORMATION	98	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2745.000000	2750.000000	MELKE FM	FORMATION	105	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	515.000000	1305.000000	NAUST FM	FORMATION	109	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2198.000000	2396.000000	NISE FM	FORMATION	112	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	272.000000	1379.000000	NORDLAND GP	GROUP	113	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2783.000000	2828.000000	NOT FM	FORMATION	120	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2010.000000	2150.000000	ROGALAND GP	GROUP	131	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2926.000000	3096.000000	ROR FM	FORMATION	135	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2150.000000	2585.000000	SHETLAND GP	GROUP	143	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2733.000000	2745.000000	SPEKK FM	FORMATION	155	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2150.000000	2198.000000	SPRINGAR FM	FORMATION	156	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2071.000000	2150.000000	TANG FM	FORMATION	161	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2010.000000	2071.000000	TARE FM	FORMATION	163	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	3096.000000	3311.000000	TILJE FM	FORMATION	169	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	2733.000000	2750.000000	VIKING GP	GROUP	188	2009-09-02	6151	9999-12-31	2013-05-08
6407/2-5 S	3311.000000	3408.000000	ÅRE FM	FORMATION	197	2009-09-02	6151	9999-12-31	2013-05-08
6407/8-5 A	936.000000	1516.000000	BRYGGE FM	FORMATION	18	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	2458.000000	3014.000000	BÅT GP	GROUP	22	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	3194.000000	3199.000000	CROMER KNOLL GP	GROUP	23	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	2253.000000	2458.000000	FANGST GP	GROUP	38	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	3014.000000	3194.000000	FANGST GP	GROUP	38	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	2253.000000	2317.000000	GARN FM	FORMATION	48	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	936.000000	1516.000000	HORDALAND GP	GROUP	67	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	2347.000000	2458.000000	ILE FM	FORMATION	70	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	3014.000000	3194.000000	ILE FM	FORMATION	70	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	900.000000	936.000000	KAI FM	FORMATION	77	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	1910.000000	2100.000000	KVITNOS FM	FORMATION	91	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	3199.000000	3231.000000	KVITNOS FM	FORMATION	91	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	3194.000000	3199.000000	LYR FM	FORMATION	98	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	2180.000000	2253.000000	MELKE FM	FORMATION	105	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	270.000000	900.000000	NAUST FM	FORMATION	109	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	1775.000000	1910.000000	NISE FM	FORMATION	112	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	270.000000	936.000000	NORDLAND GP	GROUP	113	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	2317.000000	2347.000000	NOT FM	FORMATION	120	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	1516.000000	1730.000000	ROGALAND GP	GROUP	131	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	2458.000000	2566.000000	ROR FM	FORMATION	135	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	3004.000000	3014.000000	ROR FM	FORMATION	135	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	1730.000000	2100.000000	SHETLAND GP	GROUP	143	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	3199.000000	3231.000000	SHETLAND GP	GROUP	143	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	2100.000000	2180.000000	SPEKK FM	FORMATION	155	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	1730.000000	1775.000000	SPRINGAR FM	FORMATION	156	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	1604.000000	1730.000000	TANG FM	FORMATION	161	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	1516.000000	1604.000000	TARE FM	FORMATION	163	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	2566.000000	3004.000000	TILJE FM	FORMATION	169	2009-06-13	6153	9999-12-31	2013-05-08
6407/8-5 A	2100.000000	2253.000000	VIKING GP	GROUP	188	2009-06-13	6153	9999-12-31	2013-05-08
35/3-7 S	3596.000000	3998.000000	AGAT FM	FORMATION	2	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	1232.000000	1273.000000	BALDER FM	FORMATION	6	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	3234.000000	3237.000000	BLODØKS FM	FORMATION	13	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	3305.000000	4029.000000	CROMER KNOLL GP	GROUP	23	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	909.000000	1038.000000	GRID FM	FORMATION	53	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	4029.000000	4051.000000	HEATHER FM	FORMATION	60	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	655.000000	1232.000000	HORDALAND GP	GROUP	67	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	1520.000000	1643.000000	JORSALFARE FM	FORMATION	74	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	1643.000000	2847.000000	KYRRE FM	FORMATION	92	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	1300.000000	1420.000000	LISTA FM	FORMATION	95	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	821.000000	909.000000	NO FORMAL NAME	FORMATION	111	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	1038.000000	1232.000000	NO FORMAL NAME	FORMATION	111	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	282.000000	655.000000	NORDLAND GP	GROUP	113	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	1232.000000	1520.000000	ROGALAND GP	GROUP	131	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	3305.000000	3596.000000	RØDBY FM	FORMATION	137	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	1273.000000	1300.000000	SELE FM	FORMATION	142	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	1520.000000	3305.000000	SHETLAND GP	GROUP	143	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	655.000000	821.000000	SKADE FM	FORMATION	145	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	3237.000000	3305.000000	SVARTE FM	FORMATION	160	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	2847.000000	3234.000000	TRYGGVASON FM	FORMATION	173	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	4029.000000	4051.000000	VIKING GP	GROUP	188	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	1420.000000	1520.000000	VÅLE FM	FORMATION	190	2009-10-01	6154	9999-12-31	2013-05-08
35/3-7 S	3998.000000	4029.000000	ÅSGARD FM	FORMATION	198	2009-10-01	6154	9999-12-31	2013-05-08
16/1-11	1988.000000	2022.000000	BALDER FM	FORMATION	6	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2233.000000	2267.000000	CROMER KNOLL GP	GROUP	23	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2267.000000	2318.000000	DRAUPNE FM	FORMATION	28	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2208.000000	2233.000000	EKOFISK FM	FORMATION	33	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	1609.000000	1738.000000	GRID FM	FORMATION	53	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2318.000000	2381.000000	HEATHER FM	FORMATION	60	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2128.000000	2171.000000	HEIMDAL FM	FORMATION	62	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	825.000000	1988.000000	HORDALAND GP	GROUP	67	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2075.000000	2128.000000	LISTA FM	FORMATION	95	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2171.000000	2202.000000	LISTA FM	FORMATION	95	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	811.000000	825.000000	NO FORMAL NAME	FORMATION	111	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	837.000000	939.000000	NO FORMAL NAME	FORMATION	111	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	1226.000000	1609.000000	NO FORMAL NAME	FORMATION	111	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	1738.000000	1988.000000	NO FORMAL NAME	FORMATION	111	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	141.000000	825.000000	NORDLAND GP	GROUP	113	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	1988.000000	2208.000000	ROGALAND GP	GROUP	131	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2022.000000	2075.000000	SELE FM	FORMATION	142	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2208.000000	2233.000000	SHETLAND GP	GROUP	143	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	825.000000	837.000000	SKADE FM	FORMATION	145	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	939.000000	1226.000000	SKADE FM	FORMATION	145	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2401.000000	2625.000000	SKAGERRAK FM	FORMATION	146	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2381.000000	2401.000000	SLEIPNER FM	FORMATION	148	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	754.000000	811.000000	UTSIRA FM	FORMATION	183	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2381.000000	2401.000000	VESTLAND GP	GROUP	186	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2267.000000	2381.000000	VIKING GP	GROUP	188	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2202.000000	2208.000000	VÅLE FM	FORMATION	190	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2233.000000	2267.000000	ÅSGARD FM	FORMATION	198	2010-04-26	6157	9999-12-31	2013-05-08
16/1-11	2401.000000	2625.000000	NO GROUP DEFINED	GROUP	208	2010-04-26	6157	9999-12-31	2013-05-08
16/1-12	1727.000000	1751.000000	BALDER FM	FORMATION	6	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1913.000000	2055.000000	BASEMENT	GROUP	10	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1902.000000	1912.000000	CROMER KNOLL GP	GROUP	23	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1912.000000	1913.000000	DRAUPNE FM	FORMATION	28	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1845.000000	1865.000000	EKOFISK FM	FORMATION	33	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1633.000000	1661.000000	GRID FM	FORMATION	53	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1888.000000	1902.000000	HOD FM	FORMATION	66	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	930.000000	1727.000000	HORDALAND GP	GROUP	67	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1777.000000	1837.000000	LISTA FM	FORMATION	95	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1179.000000	1633.000000	NO FORMAL NAME	FORMATION	111	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1661.000000	1727.000000	NO FORMAL NAME	FORMATION	111	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	132.000000	930.000000	NORDLAND GP	GROUP	113	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1727.000000	1845.000000	ROGALAND GP	GROUP	131	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1751.000000	1777.000000	SELE FM	FORMATION	142	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1845.000000	1902.000000	SHETLAND GP	GROUP	143	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1003.000000	1179.000000	SKADE FM	FORMATION	145	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1902.000000	1909.000000	SOLA FM	FORMATION	152	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1865.000000	1888.000000	TOR FM	FORMATION	171	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	734.000000	930.000000	UTSIRA FM	FORMATION	183	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1912.000000	1913.000000	VIKING GP	GROUP	188	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1837.000000	1845.000000	VÅLE FM	FORMATION	190	2009-09-08	6166	9999-12-31	2013-05-08
16/1-12	1909.000000	1912.000000	ÅSGARD FM	FORMATION	198	2009-09-08	6166	9999-12-31	2013-05-08
25/5-6	2165.000000	2230.000000	BALDER FM	FORMATION	6	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	2344.000000	2376.000000	HEIMDAL FM	FORMATION	62	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	2405.000000	2446.000000	HEIMDAL FM	FORMATION	62	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	2240.000000	2309.000000	HERMOD FM	FORMATION	64	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	867.000000	2165.000000	HORDALAND GP	GROUP	67	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	2341.000000	2344.000000	LISTA FM	FORMATION	95	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	2376.000000	2405.000000	LISTA FM	FORMATION	95	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	1032.000000	2165.000000	NO FORMAL NAME	FORMATION	111	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	144.000000	867.000000	NORDLAND GP	GROUP	113	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	2165.000000	2446.000000	ROGALAND GP	GROUP	131	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	2230.000000	2240.000000	SELE FM	FORMATION	142	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	2309.000000	2341.000000	SELE FM	FORMATION	142	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	867.000000	1032.000000	SKADE FM	FORMATION	145	2009-09-19	6167	9999-12-31	2013-05-08
25/5-6	505.000000	867.000000	UTSIRA FM	FORMATION	183	2009-09-19	6167	9999-12-31	2013-05-08
17/12-4 A	744.000000	773.000000	BALDER FM	FORMATION	6	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	1208.000000	1216.000000	BLODØKS FM	FORMATION	13	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	2142.000000	2606.000000	BOKNFJORD GP	GROUP	15	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	2667.000000	3338.000000	BRYNE FM	FORMATION	19	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	1216.000000	2142.000000	CROMER KNOLL GP	GROUP	23	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	2438.000000	2606.000000	EGERSUND FM	FORMATION	30	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	780.000000	799.000000	EKOFISK FM	FORMATION	33	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	2142.000000	2175.000000	FLEKKEFJORD FM	FORMATION	43	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	984.000000	1208.000000	HOD FM	FORMATION	66	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	486.000000	744.000000	HORDALAND GP	GROUP	67	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	128.000000	486.000000	NORDLAND GP	GROUP	113	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	744.000000	780.000000	ROGALAND GP	GROUP	131	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	1216.000000	1337.000000	RØDBY FM	FORMATION	137	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	2175.000000	2358.000000	SAUDA FM	FORMATION	141	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	780.000000	1216.000000	SHETLAND GP	GROUP	143	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	2358.000000	2438.000000	TAU FM	FORMATION	164	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	799.000000	984.000000	TOR FM	FORMATION	171	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	2606.000000	3338.000000	VESTLAND GP	GROUP	186	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	773.000000	780.000000	VÅLE FM	FORMATION	190	2009-08-15	6178	9999-12-31	2013-05-08
17/12-4 A	1337.000000	2142.000000	ÅSGARD FM	FORMATION	198	2009-08-15	6178	9999-12-31	2013-05-08
30/9-23	1860.000000	1940.000000	BALDER FM	FORMATION	6	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2717.000000	2845.000000	BRENT GP	GROUP	16	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2201.000000	2214.000000	CROMER KNOLL GP	GROUP	23	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2214.000000	2283.000000	DRAUPNE FM	FORMATION	28	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2845.000000	2872.000000	DUNLIN GP	GROUP	29	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2806.000000	2812.000000	ETIVE FM	FORMATION	35	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2501.000000	2668.000000	FENSFJORD FM	FORMATION	40	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2119.000000	2201.000000	HARDRÅDE FM	FORMATION	56	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2338.000000	2501.000000	HEATHER FM	FORMATION	60	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2668.000000	2678.000000	HEATHER FM	FORMATION	60	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	832.000000	1860.000000	HORDALAND GP	GROUP	67	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2678.000000	2717.000000	KROSSFJORD FM	FORMATION	87	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	1990.000000	2113.000000	LISTA FM	FORMATION	95	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2755.000000	2806.000000	NESS FM	FORMATION	110	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	140.000000	832.000000	NORDLAND GP	GROUP	113	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2814.000000	2845.000000	OSEBERG FM	FORMATION	123	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2812.000000	2814.000000	RANNOCH FM	FORMATION	126	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	1860.000000	2119.000000	ROGALAND GP	GROUP	131	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2201.000000	2206.000000	RØDBY FM	FORMATION	137	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	1940.000000	1990.000000	SELE FM	FORMATION	142	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2119.000000	2201.000000	SHETLAND GP	GROUP	143	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2283.000000	2338.000000	SOGNEFJORD FM	FORMATION	151	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	666.000000	832.000000	UTSIRA FM	FORMATION	183	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2214.000000	2717.000000	VIKING GP	GROUP	188	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2113.000000	2119.000000	VÅLE FM	FORMATION	190	2009-08-21	6182	9999-12-31	2013-05-08
30/9-23	2206.000000	2214.000000	ÅSGARD FM	FORMATION	198	2009-08-21	6182	9999-12-31	2013-05-08
25/8-17	1918.000000	1997.000000	BALDER FM	FORMATION	6	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	1224.000000	1322.000000	GRID FM	FORMATION	53	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	2077.000000	2207.000000	HEIMDAL FM	FORMATION	62	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	1013.000000	1918.000000	HORDALAND GP	GROUP	67	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	2033.000000	2077.000000	LISTA FM	FORMATION	95	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	1199.000000	1224.000000	NO FORMAL NAME	FORMATION	111	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	1322.000000	1918.000000	NO FORMAL NAME	FORMATION	111	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	152.000000	1013.000000	NORDLAND GP	GROUP	113	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	1918.000000	2233.000000	ROGALAND GP	GROUP	131	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	1997.000000	2033.000000	SELE FM	FORMATION	142	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	1165.000000	1199.000000	SKADE FM	FORMATION	145	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	2207.000000	2233.000000	TY FM	FORMATION	176	2009-10-29	6185	9999-12-31	2013-05-08
25/8-17	453.000000	1013.000000	UTSIRA FM	FORMATION	183	2009-10-29	6185	9999-12-31	2013-05-08
15/9-23	2323.000000	2345.000000	BALDER FM	FORMATION	6	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2811.000000	2858.000000	BLODØKS FM	FORMATION	13	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2889.000000	2938.000000	CROMER KNOLL GP	GROUP	23	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2938.000000	3038.000000	DRAUPNE FM	FORMATION	28	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2548.000000	2551.000000	EKOFISK FM	FORMATION	33	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2092.000000	2110.000000	FRIGG FM	FORMATION	45	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2137.000000	2161.000000	FRIGG FM	FORMATION	45	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	3038.000000	3087.000000	HEATHER FM	FORMATION	60	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2858.000000	2889.000000	HIDRA FM	FORMATION	65	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2730.000000	2811.000000	HOD FM	FORMATION	66	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	1133.000000	2323.000000	HORDALAND GP	GROUP	67	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2417.000000	2524.000000	LISTA FM	FORMATION	95	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	1285.000000	2092.000000	NO FORMAL NAME	FORMATION	111	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2110.000000	2137.000000	NO FORMAL NAME	FORMATION	111	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2161.000000	2323.000000	NO FORMAL NAME	FORMATION	111	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	110.000000	1133.000000	NORDLAND GP	GROUP	113	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2323.000000	2548.000000	ROGALAND GP	GROUP	131	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2889.000000	2898.000000	RØDBY FM	FORMATION	137	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2345.000000	2417.000000	SELE FM	FORMATION	142	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2548.000000	2889.000000	SHETLAND GP	GROUP	143	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	1271.000000	1285.000000	SKADE FM	FORMATION	145	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	3169.000000	3225.000000	SKAGERRAK FM	FORMATION	146	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	3087.000000	3169.000000	SLEIPNER FM	FORMATION	148	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2898.000000	2917.000000	SOLA FM	FORMATION	152	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2551.000000	2730.000000	TOR FM	FORMATION	171	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2917.000000	2929.000000	TUXEN FM	FORMATION	175	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2524.000000	2548.000000	TY FM	FORMATION	176	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	891.000000	1133.000000	UTSIRA FM	FORMATION	183	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	3087.000000	3169.000000	VESTLAND GP	GROUP	186	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2938.000000	3087.000000	VIKING GP	GROUP	188	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	2929.000000	2938.000000	ÅSGARD FM	FORMATION	198	2010-01-03	6186	9999-12-31	2013-05-08
15/9-23	3169.000000	3225.000000	NO GROUP DEFINED	GROUP	208	2010-01-03	6186	9999-12-31	2013-05-08
25/1-11	998.000000	1178.000000	HORDALAND GP	GROUP	67	2010-01-12	6187	9999-12-31	2013-05-08
25/1-11	147.000000	998.000000	NORDLAND GP	GROUP	113	2010-01-12	6187	9999-12-31	2013-05-08
25/1-11	253.000000	998.000000	UTSIRA FM	FORMATION	183	2010-01-12	6187	9999-12-31	2013-05-08
6609/10-2	1316.000000	1427.000000	BRYGGE FM	FORMATION	18	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	2006.000000	2418.000000	BÅT GP	GROUP	22	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1676.000000	1850.000000	CROMER KNOLL GP	GROUP	23	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1969.000000	2006.000000	FANGST GP	GROUP	38	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	2418.000000	2528.000000	GREY BEDS (INFORMAL)	GROUP	52	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1969.000000	2006.000000	ILE FM	FORMATION	70	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1233.000000	1316.000000	KAI FM	FORMATION	77	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1676.000000	1850.000000	LANGE FM	FORMATION	94	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1869.000000	1969.000000	MELKE FM	FORMATION	105	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	294.000000	1233.000000	NAUST FM	FORMATION	109	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1639.000000	1676.000000	NISE FM	FORMATION	112	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	294.000000	1427.000000	NORDLAND GP	GROUP	113	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1427.000000	1562.000000	ROGALAND GP	GROUP	131	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	2006.000000	2054.000000	ROR FM	FORMATION	135	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1562.000000	1676.000000	SHETLAND GP	GROUP	143	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1850.000000	1869.000000	SPEKK FM	FORMATION	155	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1562.000000	1639.000000	SPRINGAR FM	FORMATION	156	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1525.000000	1562.000000	TANG FM	FORMATION	161	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1427.000000	1525.000000	TARE FM	FORMATION	163	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	2054.000000	2142.000000	TILJE FM	FORMATION	169	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	1850.000000	1969.000000	VIKING GP	GROUP	188	2009-10-03	6188	9999-12-31	2013-05-08
6609/10-2	2142.000000	2418.000000	ÅRE FM	FORMATION	197	2009-10-03	6188	9999-12-31	2013-05-08
25/9-3	2113.000000	2218.000000	AMUNDSEN FM	FORMATION	4	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	1788.000000	1863.000000	BALDER FM	FORMATION	6	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2062.000000	2093.000000	CROMER KNOLL GP	GROUP	23	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2093.000000	2099.000000	DRAUPNE FM	FORMATION	28	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2113.000000	2218.000000	DUNLIN GP	GROUP	29	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	1286.000000	1303.000000	GRID FM	FORMATION	53	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2099.000000	2103.000000	HEATHER FM	FORMATION	60	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	948.000000	1788.000000	HORDALAND GP	GROUP	67	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2103.000000	2113.000000	HUGIN FM	FORMATION	69	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	1902.000000	2008.000000	LISTA FM	FORMATION	95	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	1115.000000	1199.000000	NO FORMAL NAME	FORMATION	111	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	1215.000000	1286.000000	NO FORMAL NAME	FORMATION	111	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	1303.000000	1788.000000	NO FORMAL NAME	FORMATION	111	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	140.000000	948.000000	NORDLAND GP	GROUP	113	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	1788.000000	2018.000000	ROGALAND GP	GROUP	131	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2062.000000	2084.000000	RØDBY FM	FORMATION	137	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	1863.000000	1902.000000	SELE FM	FORMATION	142	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2018.000000	2062.000000	SHETLAND GP	GROUP	143	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	1073.000000	1115.000000	SKADE FM	FORMATION	145	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	1199.000000	1215.000000	SKADE FM	FORMATION	145	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2218.000000	2267.000000	STATFJORD FM	FORMATION	157	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2027.000000	2062.000000	SVARTE FM	FORMATION	160	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2018.000000	2021.000000	TOR FM	FORMATION	171	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2021.000000	2027.000000	TRYGGVASON FM	FORMATION	173	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	803.000000	948.000000	UTSIRA FM	FORMATION	183	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2103.000000	2113.000000	VESTLAND GP	GROUP	186	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2093.000000	2103.000000	VIKING GP	GROUP	188	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2008.000000	2018.000000	VÅLE FM	FORMATION	190	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2084.000000	2093.000000	ÅSGARD FM	FORMATION	198	2009-09-20	6189	9999-12-31	2013-05-08
25/9-3	2218.000000	2267.000000	NO GROUP DEFINED	GROUP	208	2009-09-20	6189	9999-12-31	2013-05-08
6407/12-2	580.000000	1030.000000	BRYGGE FM	FORMATION	18	2009-12-20	6191	9999-12-31	2013-05-08
6407/12-2	1421.000000	1482.000000	CROMER KNOLL GP	GROUP	23	2009-12-20	6191	9999-12-31	2013-05-08
6407/12-2	580.000000	1030.000000	HORDALAND GP	GROUP	67	2009-12-20	6191	9999-12-31	2013-05-08
6407/12-2	422.000000	580.000000	KAI FM	FORMATION	77	2009-12-20	6191	9999-12-31	2013-05-08
6407/12-2	1421.000000	1482.000000	LANGE FM	FORMATION	94	2009-12-20	6191	9999-12-31	2013-05-08
6407/12-2	348.000000	422.000000	NAUST FM	FORMATION	109	2009-12-20	6191	9999-12-31	2013-05-08
6407/12-2	348.000000	580.000000	NORDLAND GP	GROUP	113	2009-12-20	6191	9999-12-31	2013-05-08
6407/12-2	1030.000000	1421.000000	ROGALAND GP	GROUP	131	2009-12-20	6191	9999-12-31	2013-05-08
6407/12-2	1239.000000	1421.000000	TANG FM	FORMATION	161	2009-12-20	6191	9999-12-31	2013-05-08
6407/12-2	1030.000000	1239.000000	TARE FM	FORMATION	163	2009-12-20	6191	9999-12-31	2013-05-08
6506/12-12 A	2002.000000	2367.000000	BRYGGE FM	FORMATION	18	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4990.000000	5481.000000	BÅT GP	GROUP	22	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	3534.000000	4408.000000	CROMER KNOLL GP	GROUP	23	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4769.000000	4990.000000	FANGST GP	GROUP	38	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4769.000000	4828.000000	GARN FM	FORMATION	48	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	2002.000000	2367.000000	HORDALAND GP	GROUP	67	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4870.000000	4990.000000	ILE FM	FORMATION	70	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	1519.000000	2002.000000	KAI FM	FORMATION	77	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	3077.000000	3534.000000	KVITNOS FM	FORMATION	91	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	3580.000000	4088.000000	LANGE FM	FORMATION	94	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4172.000000	4393.000000	LANGE FM	FORMATION	94	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4393.000000	4408.000000	LYR FM	FORMATION	98	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	3534.000000	3580.000000	LYSING FM	FORMATION	99	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4457.000000	4769.000000	MELKE FM	FORMATION	105	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	325.000000	1519.000000	NAUST FM	FORMATION	109	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4088.000000	4172.000000	NO FORMAL NAME	FORMATION	111	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	2804.000000	3077.000000	NISE FM	FORMATION	112	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	325.000000	2002.000000	NORDLAND GP	GROUP	113	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4828.000000	4870.000000	NOT FM	FORMATION	120	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	2367.000000	2541.000000	ROGALAND GP	GROUP	131	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4990.000000	5072.000000	ROR FM	FORMATION	135	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	5145.000000	5181.000000	ROR FM	FORMATION	135	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	2541.000000	3534.000000	SHETLAND GP	GROUP	143	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4408.000000	4457.000000	SPEKK FM	FORMATION	155	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	2541.000000	2804.000000	SPRINGAR FM	FORMATION	156	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	2454.000000	2541.000000	TANG FM	FORMATION	161	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	2367.000000	2454.000000	TARE FM	FORMATION	163	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	5181.000000	5430.000000	TILJE FM	FORMATION	169	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	5072.000000	5145.000000	TOFTE FM	FORMATION	170	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	4408.000000	4769.000000	VIKING GP	GROUP	188	2009-09-02	6208	9999-12-31	2013-05-08
6506/12-12 A	5430.000000	5481.000000	ÅRE FM	FORMATION	197	2009-09-02	6208	9999-12-31	2013-05-08
30/9-24	2059.000000	2147.000000	BALDER FM	FORMATION	6	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	2878.000000	3150.000000	DUNLIN GP	GROUP	29	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	1345.000000	1559.000000	GRID FM	FORMATION	53	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	2373.000000	2618.000000	HARDRÅDE FM	FORMATION	56	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	3718.000000	3767.000000	HEGRE GP	GROUP	61	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	860.000000	2059.000000	HORDALAND GP	GROUP	67	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	2618.000000	2838.000000	KYRRE FM	FORMATION	92	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	2245.000000	2351.000000	LISTA FM	FORMATION	95	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	3718.000000	3767.000000	LUNDE FM	FORMATION	97	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	1269.000000	1345.000000	NO FORMAL NAME	FORMATION	111	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	1559.000000	2059.000000	NO FORMAL NAME	FORMATION	111	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	2854.000000	2878.000000	NO FORMAL NAME	FORMATION	111	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	131.000000	860.000000	NORDLAND GP	GROUP	113	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	2059.000000	2373.000000	ROGALAND GP	GROUP	131	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	2147.000000	2245.000000	SELE FM	FORMATION	142	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	2373.000000	2878.000000	SHETLAND GP	GROUP	143	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	1083.000000	1269.000000	SKADE FM	FORMATION	145	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	3150.000000	3718.000000	STATFJORD FM	FORMATION	157	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	2838.000000	2854.000000	TRYGGVASON FM	FORMATION	173	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	594.000000	860.000000	UTSIRA FM	FORMATION	183	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	2351.000000	2373.000000	VÅLE FM	FORMATION	190	2009-10-17	6210	9999-12-31	2013-05-08
30/9-24	3150.000000	3718.000000	NO GROUP DEFINED	GROUP	208	2009-10-17	6210	9999-12-31	2013-05-08
17/12-4 B	744.000000	773.000000	BALDER FM	FORMATION	6	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	1210.000000	1215.000000	BLODØKS FM	FORMATION	13	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	2101.000000	2536.000000	BOKNFJORD GP	GROUP	15	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	2595.000000	3253.000000	BRYNE FM	FORMATION	19	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	1215.000000	2101.000000	CROMER KNOLL GP	GROUP	23	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	2377.000000	2536.000000	EGERSUND FM	FORMATION	30	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	780.000000	799.000000	EKOFISK FM	FORMATION	33	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	2101.000000	2134.000000	FLEKKEFJORD FM	FORMATION	43	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	984.000000	1210.000000	HOD FM	FORMATION	66	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	486.000000	744.000000	HORDALAND GP	GROUP	67	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	128.000000	486.000000	NORDLAND GP	GROUP	113	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	744.000000	780.000000	ROGALAND GP	GROUP	131	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	1215.000000	1336.000000	RØDBY FM	FORMATION	137	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	2536.000000	2595.000000	SANDNES FM	FORMATION	139	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	2134.000000	2309.000000	SAUDA FM	FORMATION	141	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	780.000000	1215.000000	SHETLAND GP	GROUP	143	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	2309.000000	2377.000000	TAU FM	FORMATION	164	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	799.000000	984.000000	TOR FM	FORMATION	171	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	2536.000000	3253.000000	VESTLAND GP	GROUP	186	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	773.000000	780.000000	VÅLE FM	FORMATION	190	2009-08-26	6211	9999-12-31	2013-05-08
17/12-4 B	1336.000000	2101.000000	ÅSGARD FM	FORMATION	198	2009-08-26	6211	9999-12-31	2013-05-08
34/10-53 S	4234.000000	4424.000000	AMUNDSEN FM	FORMATION	4	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	1879.000000	1940.000000	BALDER FM	FORMATION	6	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	3635.000000	3956.000000	BRENT GP	GROUP	16	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	3411.000000	3558.000000	CROMER KNOLL GP	GROUP	23	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	4065.000000	4234.000000	COOK FM	FORMATION	24	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	3956.000000	4065.000000	DRAKE FM	FORMATION	27	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	3956.000000	4424.000000	DUNLIN GP	GROUP	29	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	3875.000000	3890.000000	ETIVE FM	FORMATION	35	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	3558.000000	3635.000000	HEATHER FM	FORMATION	60	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	980.000000	1879.000000	HORDALAND GP	GROUP	67	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	1940.000000	2116.000000	LISTA FM	FORMATION	95	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	3719.000000	3875.000000	NESS FM	FORMATION	110	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	169.000000	980.000000	NORDLAND GP	GROUP	113	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	3890.000000	3956.000000	RANNOCH FM	FORMATION	126	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	1879.000000	2116.000000	ROGALAND GP	GROUP	131	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	2116.000000	3411.000000	SHETLAND GP	GROUP	143	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	4424.000000	4526.000000	STATFJORD FM	FORMATION	157	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	3635.000000	3719.000000	TARBERT FM	FORMATION	162	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	883.000000	980.000000	UTSIRA FM	FORMATION	183	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	3558.000000	3635.000000	VIKING GP	GROUP	188	2011-03-24	6212	9999-12-31	2013-05-08
34/10-53 S	4424.000000	4526.000000	NO GROUP DEFINED	GROUP	208	2011-03-24	6212	9999-12-31	2013-05-08
25/2-17	2112.000000	2160.000000	BALDER FM	FORMATION	6	2009-10-11	6215	9999-12-31	2013-05-08
25/2-17	1949.000000	2112.000000	FRIGG FM	FORMATION	45	2009-10-11	6215	9999-12-31	2013-05-08
25/2-17	1045.000000	2112.000000	HORDALAND GP	GROUP	67	2009-10-11	6215	9999-12-31	2013-05-08
25/2-17	142.000000	1045.000000	NORDLAND GP	GROUP	113	2009-10-11	6215	9999-12-31	2013-05-08
25/2-17	2112.000000	2193.000000	ROGALAND GP	GROUP	131	2009-10-11	6215	9999-12-31	2013-05-08
25/2-17	2160.000000	2193.000000	SELE FM	FORMATION	142	2009-10-11	6215	9999-12-31	2013-05-08
25/2-17	468.000000	1045.000000	UTSIRA FM	FORMATION	183	2009-10-11	6215	9999-12-31	2013-05-08
16/4-5	1677.000000	1689.000000	BALDER FM	FORMATION	6	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	1898.000000	2020.000000	BASEMENT	GROUP	10	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	1895.000000	1898.000000	CROMER KNOLL GP	GROUP	23	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	1780.000000	1812.000000	EKOFISK FM	FORMATION	33	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	1876.000000	1895.000000	HOD FM	FORMATION	66	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	991.000000	1677.000000	HORDALAND GP	GROUP	67	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	1719.000000	1777.000000	LISTA FM	FORMATION	95	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	912.000000	991.000000	NO FORMAL NAME	FORMATION	111	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	1204.000000	1677.000000	NO FORMAL NAME	FORMATION	111	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	130.000000	991.000000	NORDLAND GP	GROUP	113	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	1677.000000	1780.000000	ROGALAND GP	GROUP	131	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	1689.000000	1719.000000	SELE FM	FORMATION	142	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	1780.000000	1895.000000	SHETLAND GP	GROUP	143	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	991.000000	1204.000000	SKADE FM	FORMATION	145	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	1812.000000	1876.000000	TOR FM	FORMATION	171	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	752.000000	912.000000	UTSIRA FM	FORMATION	183	2010-03-07	6216	9999-12-31	2013-05-08
16/4-5	1777.000000	1780.000000	VÅLE FM	FORMATION	190	2010-03-07	6216	9999-12-31	2013-05-08
24/9-9 S	2068.000000	2157.000000	BALDER FM	FORMATION	6	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	1117.000000	1382.000000	GRID FM	FORMATION	53	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	2368.000000	2402.000000	HEIMDAL FM	FORMATION	62	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	2202.000000	2268.000000	HERMOD FM	FORMATION	64	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	1117.000000	2068.000000	HORDALAND GP	GROUP	67	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	2304.000000	2351.000000	LISTA FM	FORMATION	95	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	934.000000	1117.000000	NO FORMAL NAME	FORMATION	111	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	1382.000000	2068.000000	NO FORMAL NAME	FORMATION	111	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	2351.000000	2368.000000	NO FORMAL NAME	FORMATION	111	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	145.000000	1117.000000	NORDLAND GP	GROUP	113	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	2068.000000	2402.000000	ROGALAND GP	GROUP	131	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	2157.000000	2202.000000	SELE FM	FORMATION	142	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	2268.000000	2304.000000	SELE FM	FORMATION	142	2009-10-07	6222	9999-12-31	2013-05-08
24/9-9 S	284.000000	934.000000	UTSIRA FM	FORMATION	183	2009-10-07	6222	9999-12-31	2013-05-08
16/1-8 R	1765.000000	1781.000000	BALDER FM	FORMATION	6	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1897.000000	1913.000000	EKOFISK FM	FORMATION	33	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1556.000000	1713.000000	GRID FM	FORMATION	53	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1913.000000	1925.000000	HOD FM	FORMATION	66	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	882.000000	1765.000000	HORDALAND GP	GROUP	67	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1801.000000	1891.000000	LISTA FM	FORMATION	95	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1157.000000	1556.000000	NO FORMAL NAME	FORMATION	111	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1713.000000	1765.000000	NO FORMAL NAME	FORMATION	111	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	133.000000	882.000000	NORDLAND GP	GROUP	113	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1765.000000	1897.000000	ROGALAND GP	GROUP	131	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1781.000000	1801.000000	SELE FM	FORMATION	142	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1897.000000	1925.000000	SHETLAND GP	GROUP	143	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	963.000000	1157.000000	SKADE FM	FORMATION	145	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	745.000000	882.000000	UTSIRA FM	FORMATION	183	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1891.000000	1897.000000	VÅLE FM	FORMATION	190	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1925.000000	1964.000000	NO GROUP DEFINED	GROUP	208	2009-10-10	6226	9999-12-31	2013-05-08
16/1-8 R	1964.000000	2201.000000	NO GROUP DEFINED	GROUP	208	2009-10-10	6226	9999-12-31	2013-05-08
34/4-11	1763.000000	1805.000000	BALDER FM	FORMATION	6	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	3969.000000	4020.000000	BRENT GP	GROUP	16	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	3819.000000	3840.000000	CROMER KNOLL GP	GROUP	23	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	3840.000000	3903.000000	DRAUPNE FM	FORMATION	28	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	4020.000000	4131.000000	DUNLIN GP	GROUP	29	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	3903.000000	3969.000000	HEATHER FM	FORMATION	60	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	4224.000000	4327.000000	HEGRE GP	GROUP	61	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	1289.000000	1763.000000	HORDALAND GP	GROUP	67	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	1937.000000	2235.000000	JORSALFARE FM	FORMATION	74	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	2235.000000	3340.000000	KYRRE FM	FORMATION	92	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	1859.000000	1937.000000	LISTA FM	FORMATION	95	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	4224.000000	4327.000000	LUNDE FM	FORMATION	97	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	404.000000	1289.000000	NORDLAND GP	GROUP	113	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	1763.000000	1937.000000	ROGALAND GP	GROUP	131	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	3819.000000	3840.000000	RØDBY FM	FORMATION	137	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	1805.000000	1859.000000	SELE FM	FORMATION	142	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	1937.000000	3819.000000	SHETLAND GP	GROUP	143	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	4131.000000	4224.000000	STATFJORD FM	FORMATION	157	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	3685.000000	3819.000000	SVARTE FM	FORMATION	160	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	3340.000000	3685.000000	TRYGGVASON FM	FORMATION	173	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	1142.000000	1289.000000	UTSIRA FM	FORMATION	183	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	3840.000000	3969.000000	VIKING GP	GROUP	188	2010-01-10	6227	9999-12-31	2013-05-08
34/4-11	4131.000000	4224.000000	NO GROUP DEFINED	GROUP	208	2010-01-10	6227	9999-12-31	2013-05-08
16/1-13	1764.000000	1771.000000	BALDER FM	FORMATION	6	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1918.000000	1919.000000	CROMER KNOLL GP	GROUP	23	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1919.000000	1920.000000	INTRA DRAUPNE FM SS	FORMATION	26	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1888.000000	1917.000000	EKOFISK FM	FORMATION	33	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1467.000000	1764.000000	GRID FM	FORMATION	53	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1960.000000	2303.000000	HEGRE GP	GROUP	61	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1917.000000	1918.000000	HOD FM	FORMATION	66	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	878.000000	1764.000000	HORDALAND GP	GROUP	67	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1787.000000	1877.000000	LISTA FM	FORMATION	95	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	135.000000	878.000000	NORDLAND GP	GROUP	113	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1764.000000	1888.000000	ROGALAND GP	GROUP	131	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1771.000000	1787.000000	SELE FM	FORMATION	142	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1888.000000	1918.000000	SHETLAND GP	GROUP	143	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	952.000000	1467.000000	SKADE FM	FORMATION	145	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	766.000000	878.000000	UTSIRA FM	FORMATION	183	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1919.000000	1920.000000	VIKING GP	GROUP	188	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1877.000000	1888.000000	VÅLE FM	FORMATION	190	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1920.000000	1960.000000	UNDEFINED GP	GROUP	191	2010-01-21	6232	9999-12-31	2013-05-08
16/1-13	1918.000000	1919.000000	ÅSGARD FM	FORMATION	198	2010-01-21	6232	9999-12-31	2013-05-08
6608/10-13	1281.000000	1442.000000	BÅT GP	GROUP	22	2009-11-07	6235	9999-12-31	2013-05-08
6608/10-13	1191.000000	1233.000000	KAI FM	FORMATION	77	2009-11-07	6235	9999-12-31	2013-05-08
6608/10-13	406.000000	1191.000000	NAUST FM	FORMATION	109	2009-11-07	6235	9999-12-31	2013-05-08
6608/10-13	406.000000	1233.000000	NORDLAND GP	GROUP	113	2009-11-07	6235	9999-12-31	2013-05-08
6608/10-13	1233.000000	1272.000000	ROGALAND GP	GROUP	131	2009-11-07	6235	9999-12-31	2013-05-08
6608/10-13	1272.000000	1281.000000	SHETLAND GP	GROUP	143	2009-11-07	6235	9999-12-31	2013-05-08
6608/10-13	1272.000000	1281.000000	SPRINGAR FM	FORMATION	156	2009-11-07	6235	9999-12-31	2013-05-08
6608/10-13	1264.000000	1272.000000	TANG FM	FORMATION	161	2009-11-07	6235	9999-12-31	2013-05-08
6608/10-13	1233.000000	1264.000000	TARE FM	FORMATION	163	2009-11-07	6235	9999-12-31	2013-05-08
6608/10-13	1281.000000	1442.000000	ÅRE FM	FORMATION	197	2009-11-07	6235	9999-12-31	2013-05-08
24/9-9 A	2628.000000	2785.000000	BALDER FM	FORMATION	6	2009-10-15	6239	9999-12-31	2013-05-08
24/9-9 A	1124.000000	1420.000000	GRID FM	FORMATION	53	2009-10-15	6239	9999-12-31	2013-05-08
24/9-9 A	2861.000000	2921.000000	HERMOD FM	FORMATION	64	2009-10-15	6239	9999-12-31	2013-05-08
24/9-9 A	1124.000000	2628.000000	HORDALAND GP	GROUP	67	2009-10-15	6239	9999-12-31	2013-05-08
24/9-9 A	934.000000	1124.000000	NO FORMAL NAME	FORMATION	111	2009-10-15	6239	9999-12-31	2013-05-08
24/9-9 A	1420.000000	2628.000000	NO FORMAL NAME	FORMATION	111	2009-10-15	6239	9999-12-31	2013-05-08
24/9-9 A	145.000000	1124.000000	NORDLAND GP	GROUP	113	2009-10-15	6239	9999-12-31	2013-05-08
24/9-9 A	2628.000000	2981.000000	ROGALAND GP	GROUP	131	2009-10-15	6239	9999-12-31	2013-05-08
24/9-9 A	2785.000000	2861.000000	SELE FM	FORMATION	142	2009-10-15	6239	9999-12-31	2013-05-08
24/9-9 A	2921.000000	2981.000000	SELE FM	FORMATION	142	2009-10-15	6239	9999-12-31	2013-05-08
24/9-9 A	284.000000	934.000000	UTSIRA FM	FORMATION	183	2009-10-15	6239	9999-12-31	2013-05-08
34/3-2 S	4210.000000	4273.000000	AMUNDSEN FM	FORMATION	4	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	1983.000000	2012.000000	BALDER FM	FORMATION	6	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	4104.000000	4210.000000	BURTON FM	FORMATION	20	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	3679.000000	3688.000000	CROMER KNOLL GP	GROUP	23	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	4012.000000	4104.000000	COOK FM	FORMATION	24	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	3857.000000	4012.000000	DRAKE FM	FORMATION	27	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	3857.000000	4273.000000	DUNLIN GP	GROUP	29	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	3688.000000	3857.000000	HEATHER FM	FORMATION	60	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	1450.000000	1983.000000	HORDALAND GP	GROUP	67	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	2121.000000	2303.000000	JORSALFARE FM	FORMATION	74	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	2303.000000	3417.000000	KYRRE FM	FORMATION	92	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	2032.000000	2121.000000	LISTA FM	FORMATION	95	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	3679.000000	3688.000000	MIME FM	FORMATION	106	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	427.000000	1450.000000	NORDLAND GP	GROUP	113	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	1983.000000	2121.000000	ROGALAND GP	GROUP	131	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	2012.000000	2032.000000	SELE FM	FORMATION	142	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	2121.000000	3679.000000	SHETLAND GP	GROUP	143	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	4273.000000	4331.000000	STATFJORD FM	FORMATION	157	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	3417.000000	3679.000000	TRYGGVASON FM	FORMATION	173	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	1377.000000	1450.000000	UTSIRA FM	FORMATION	183	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	3688.000000	3857.000000	VIKING GP	GROUP	188	2009-12-30	6249	9999-12-31	2013-05-08
34/3-2 S	4273.000000	4331.000000	NO GROUP DEFINED	GROUP	208	2009-12-30	6249	9999-12-31	2013-05-08
25/4-10 S	2455.000000	2656.000000	BALDER FM	FORMATION	6	2009-11-10	6253	9999-12-31	2013-05-08
25/4-10 S	1331.000000	1527.000000	GRID FM	FORMATION	53	2009-11-10	6253	9999-12-31	2013-05-08
25/4-10 S	2844.000000	2912.000000	HEIMDAL FM	FORMATION	62	2009-11-10	6253	9999-12-31	2013-05-08
25/4-10 S	2671.000000	2698.000000	HERMOD FM	FORMATION	64	2009-11-10	6253	9999-12-31	2013-05-08
25/4-10 S	706.000000	2455.000000	HORDALAND GP	GROUP	67	2009-11-10	6253	9999-12-31	2013-05-08
25/4-10 S	2739.000000	2844.000000	LISTA FM	FORMATION	95	2009-11-10	6253	9999-12-31	2013-05-08
25/4-10 S	1527.000000	2455.000000	NO FORMAL NAME	FORMATION	111	2009-11-10	6253	9999-12-31	2013-05-08
25/4-10 S	2698.000000	2739.000000	NO FORMAL NAME	FORMATION	111	2009-11-10	6253	9999-12-31	2013-05-08
25/4-10 S	149.000000	706.000000	NORDLAND GP	GROUP	113	2009-11-10	6253	9999-12-31	2013-05-08
25/4-10 S	2455.000000	2912.000000	ROGALAND GP	GROUP	131	2009-11-10	6253	9999-12-31	2013-05-08
25/4-10 S	2656.000000	2671.000000	SELE FM	FORMATION	142	2009-11-10	6253	9999-12-31	2013-05-08
25/4-10 S	429.000000	706.000000	UTSIRA FM	FORMATION	183	2009-11-10	6253	9999-12-31	2013-05-08
24/9-9 B	2627.000000	2843.000000	BALDER FM	FORMATION	6	2009-10-25	6254	9999-12-31	2013-05-08
24/9-9 B	1121.000000	1472.000000	GRID FM	FORMATION	53	2009-10-25	6254	9999-12-31	2013-05-08
24/9-9 B	2925.000000	2983.000000	HERMOD FM	FORMATION	64	2009-10-25	6254	9999-12-31	2013-05-08
24/9-9 B	1121.000000	2627.000000	HORDALAND GP	GROUP	67	2009-10-25	6254	9999-12-31	2013-05-08
24/9-9 B	934.000000	1121.000000	NO FORMAL NAME	FORMATION	111	2009-10-25	6254	9999-12-31	2013-05-08
24/9-9 B	1472.000000	2627.000000	NO FORMAL NAME	FORMATION	111	2009-10-25	6254	9999-12-31	2013-05-08
24/9-9 B	145.000000	1121.000000	NORDLAND GP	GROUP	113	2009-10-25	6254	9999-12-31	2013-05-08
24/9-9 B	2627.000000	3005.000000	ROGALAND GP	GROUP	131	2009-10-25	6254	9999-12-31	2013-05-08
24/9-9 B	2843.000000	2925.000000	SELE FM	FORMATION	142	2009-10-25	6254	9999-12-31	2013-05-08
24/9-9 B	2983.000000	3005.000000	SELE FM	FORMATION	142	2009-10-25	6254	9999-12-31	2013-05-08
24/9-9 B	284.000000	934.000000	UTSIRA FM	FORMATION	183	2009-10-25	6254	9999-12-31	2013-05-08
25/4-10 A	2183.000000	2322.000000	BALDER FM	FORMATION	6	2009-11-28	6255	9999-12-31	2013-05-08
25/4-10 A	1274.000000	1387.000000	GRID FM	FORMATION	53	2009-11-28	6255	9999-12-31	2013-05-08
25/4-10 A	2476.000000	2550.000000	HEIMDAL FM	FORMATION	62	2009-11-28	6255	9999-12-31	2013-05-08
25/4-10 A	706.000000	2183.000000	HORDALAND GP	GROUP	67	2009-11-28	6255	9999-12-31	2013-05-08
25/4-10 A	2389.000000	2444.000000	LISTA FM	FORMATION	95	2009-11-28	6255	9999-12-31	2013-05-08
25/4-10 A	1387.000000	2183.000000	NO FORMAL NAME	FORMATION	111	2009-11-28	6255	9999-12-31	2013-05-08
25/4-10 A	2444.000000	2453.000000	NO FORMAL NAME	FORMATION	111	2009-11-28	6255	9999-12-31	2013-05-08
25/4-10 A	2453.000000	2476.000000	NO FORMAL NAME	FORMATION	111	2009-11-28	6255	9999-12-31	2013-05-08
25/4-10 A	149.000000	706.000000	NORDLAND GP	GROUP	113	2009-11-28	6255	9999-12-31	2013-05-08
25/4-10 A	2183.000000	2550.000000	ROGALAND GP	GROUP	131	2009-11-28	6255	9999-12-31	2013-05-08
25/4-10 A	2322.000000	2389.000000	SELE FM	FORMATION	142	2009-11-28	6255	9999-12-31	2013-05-08
25/4-10 A	429.000000	706.000000	UTSIRA FM	FORMATION	183	2009-11-28	6255	9999-12-31	2013-05-08
6507/3-8	1614.000000	1852.000000	BRYGGE FM	FORMATION	18	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2789.000000	2990.000000	BÅT GP	GROUP	22	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2525.000000	2534.000000	CROMER KNOLL GP	GROUP	23	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2693.000000	2789.000000	FANGST GP	GROUP	38	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	1614.000000	1852.000000	HORDALAND GP	GROUP	67	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2740.000000	2789.000000	ILE FM	FORMATION	70	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	1319.000000	1614.000000	KAI FM	FORMATION	77	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2356.000000	2525.000000	KVITNOS FM	FORMATION	91	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2525.000000	2534.000000	LYR FM	FORMATION	98	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2585.000000	2693.000000	MELKE FM	FORMATION	105	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	1297.000000	1319.000000	NAUST FM	FORMATION	109	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2205.000000	2356.000000	NISE FM	FORMATION	112	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	400.000000	1614.000000	NORDLAND GP	GROUP	113	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2693.000000	2740.000000	NOT FM	FORMATION	120	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	1852.000000	1944.000000	ROGALAND GP	GROUP	131	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	1944.000000	2525.000000	SHETLAND GP	GROUP	143	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2534.000000	2585.000000	SPEKK FM	FORMATION	155	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	1944.000000	2205.000000	SPRINGAR FM	FORMATION	156	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	1899.000000	1944.000000	TANG FM	FORMATION	161	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	1852.000000	1899.000000	TARE FM	FORMATION	163	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2844.000000	2990.000000	TILJE FM	FORMATION	169	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2789.000000	2844.000000	TOFTE FM	FORMATION	170	2009-12-15	6258	9999-12-31	2013-05-08
6507/3-8	2534.000000	2693.000000	VIKING GP	GROUP	188	2009-12-15	6258	9999-12-31	2013-05-08
1/3-12 S	5075.000000	5082.000000	BLODØKS FM	FORMATION	13	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5188.000000	5541.000000	CROMER KNOLL GP	GROUP	23	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	3473.000000	3581.000000	EKOFISK FM	FORMATION	33	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5556.000000	5627.000000	FARSUND FM	FORMATION	39	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	3267.000000	3272.000000	FORTIES FM	FORMATION	44	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5627.000000	5736.000000	HAUGESUND FM	FORMATION	57	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5082.000000	5188.000000	HIDRA FM	FORMATION	65	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	4092.000000	5075.000000	HOD FM	FORMATION	66	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	1864.000000	3236.000000	HORDALAND GP	GROUP	67	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	3272.000000	3296.000000	LISTA FM	FORMATION	95	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	3339.000000	3449.000000	LISTA FM	FORMATION	95	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5541.000000	5556.000000	MANDAL FM	FORMATION	101	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	3449.000000	3473.000000	MAUREEN FM	FORMATION	102	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	118.000000	1864.000000	NORDLAND GP	GROUP	113	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	3236.000000	3473.000000	ROGALAND GP	GROUP	131	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5188.000000	5308.000000	RØDBY FM	FORMATION	137	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	3248.000000	3267.000000	SELE FM	FORMATION	142	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	3473.000000	5188.000000	SHETLAND GP	GROUP	143	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5818.000000	5931.000000	SKAGERRAK FM	FORMATION	146	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5308.000000	5346.000000	SOLA FM	FORMATION	152	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	3581.000000	4092.000000	TOR FM	FORMATION	171	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5346.000000	5398.000000	TUXEN FM	FORMATION	175	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5541.000000	5736.000000	TYNE GP	GROUP	177	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5736.000000	5818.000000	VESTLAND GP	GROUP	186	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	3296.000000	3339.000000	VIDAR FM	FORMATION	187	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5398.000000	5541.000000	ÅSGARD FM	FORMATION	198	2010-07-22	6260	9999-12-31	2013-05-08
1/3-12 S	5818.000000	5931.000000	NO GROUP DEFINED	GROUP	208	2010-07-22	6260	9999-12-31	2013-05-08
25/8-17 A	2379.000000	2521.000000	BALDER FM	FORMATION	6	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	1221.000000	1320.000000	GRID FM	FORMATION	53	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	2694.000000	2845.000000	HEIMDAL FM	FORMATION	62	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	1013.000000	2379.000000	HORDALAND GP	GROUP	67	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	2608.000000	2694.000000	LISTA FM	FORMATION	95	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	2845.000000	2858.000000	LISTA FM	FORMATION	95	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	1190.000000	1221.000000	NO FORMAL NAME	FORMATION	111	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	1320.000000	2379.000000	NO FORMAL NAME	FORMATION	111	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	152.000000	1013.000000	NORDLAND GP	GROUP	113	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	2379.000000	2945.000000	ROGALAND GP	GROUP	131	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	2521.000000	2608.000000	SELE FM	FORMATION	142	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	1158.000000	1190.000000	SKADE FM	FORMATION	145	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	2858.000000	2945.000000	TY FM	FORMATION	176	2009-11-15	6261	9999-12-31	2013-05-08
25/8-17 A	453.000000	1013.000000	UTSIRA FM	FORMATION	183	2009-11-15	6261	9999-12-31	2013-05-08
34/4-12 S	1695.000000	1713.000000	BALDER FM	FORMATION	6	2010-01-25	6283	9999-12-31	2013-05-08
34/4-12 S	2737.000000	2738.000000	CROMER KNOLL GP	GROUP	23	2010-01-25	6283	9999-12-31	2013-05-08
34/4-12 S	2738.000000	3066.000000	HEGRE GP	GROUP	61	2010-01-25	6283	9999-12-31	2013-05-08
34/4-12 S	1197.000000	1695.000000	HORDALAND GP	GROUP	67	2010-01-25	6283	9999-12-31	2013-05-08
34/4-12 S	1713.000000	1791.000000	LISTA FM	FORMATION	95	2010-01-25	6283	9999-12-31	2013-05-08
34/4-12 S	2738.000000	3066.000000	LUNDE FM	FORMATION	97	2010-01-25	6283	9999-12-31	2013-05-08
34/4-12 S	2737.000000	2738.000000	MIME FM	FORMATION	106	2010-01-25	6283	9999-12-31	2013-05-08
34/4-12 S	1130.000000	1197.000000	NO FORMAL NAME	FORMATION	111	2010-01-25	6283	9999-12-31	2013-05-08
34/4-12 S	404.000000	1197.000000	NORDLAND GP	GROUP	113	2010-01-25	6283	9999-12-31	2013-05-08
34/4-12 S	1695.000000	1791.000000	ROGALAND GP	GROUP	131	2010-01-25	6283	9999-12-31	2013-05-08
34/4-12 S	1791.000000	2737.000000	SHETLAND GP	GROUP	143	2010-01-25	6283	9999-12-31	2013-05-08
34/4-12 S	1105.000000	1130.000000	UTSIRA FM	FORMATION	183	2010-01-25	6283	9999-12-31	2013-05-08
35/9-5	2975.000000	3114.000000	AGAT FM	FORMATION	2	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	860.000000	916.000000	BALDER FM	FORMATION	6	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	2586.000000	2598.000000	BLODØKS FM	FORMATION	13	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	2713.000000	3254.000000	CROMER KNOLL GP	GROUP	23	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	3254.000000	3376.000000	DRAUPNE FM	FORMATION	28	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	670.000000	860.000000	GRID FM	FORMATION	53	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	605.000000	860.000000	HORDALAND GP	GROUP	67	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	1464.000000	1588.000000	JORSALFARE FM	FORMATION	74	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	3376.000000	3531.000000	KROSSFJORD FM	FORMATION	87	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	1588.000000	2237.000000	KYRRE FM	FORMATION	92	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	1103.000000	1397.000000	LISTA FM	FORMATION	95	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	384.000000	605.000000	NORDLAND GP	GROUP	113	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	860.000000	1464.000000	ROGALAND GP	GROUP	131	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	2713.000000	2975.000000	RØDBY FM	FORMATION	137	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	916.000000	1103.000000	SELE FM	FORMATION	142	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	1464.000000	2713.000000	SHETLAND GP	GROUP	143	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	2598.000000	2713.000000	SVARTE FM	FORMATION	160	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	2237.000000	2586.000000	TRYGGVASON FM	FORMATION	173	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	3254.000000	3531.000000	VIKING GP	GROUP	188	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	1397.000000	1464.000000	VÅLE FM	FORMATION	190	2010-02-07	6293	9999-12-31	2013-05-08
35/9-5	3114.000000	3254.000000	ÅSGARD FM	FORMATION	198	2010-02-07	6293	9999-12-31	2013-05-08
6608/10-14 S	1513.000000	1798.000000	BRYGGE FM	FORMATION	18	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2557.000000	2880.000000	BÅT GP	GROUP	22	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2283.000000	2375.000000	CROMER KNOLL GP	GROUP	23	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2504.000000	2557.000000	FANGST GP	GROUP	38	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	1513.000000	1798.000000	HORDALAND GP	GROUP	67	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2549.000000	2557.000000	ILE FM	FORMATION	70	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	1406.000000	1513.000000	KAI FM	FORMATION	77	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2283.000000	2375.000000	LYR FM	FORMATION	98	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2433.000000	2504.000000	INTRA MELKE FM SS	FORMATION	104	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2381.000000	2433.000000	MELKE FM	FORMATION	105	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	376.000000	1406.000000	NAUST FM	FORMATION	109	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2028.000000	2283.000000	NISE FM	FORMATION	112	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	376.000000	1513.000000	NORDLAND GP	GROUP	113	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2504.000000	2549.000000	NOT FM	FORMATION	120	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	1798.000000	1889.000000	ROGALAND GP	GROUP	131	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	1889.000000	2283.000000	SHETLAND GP	GROUP	143	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2375.000000	2381.000000	SPEKK FM	FORMATION	155	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	1889.000000	2028.000000	SPRINGAR FM	FORMATION	156	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	1865.000000	1889.000000	TANG FM	FORMATION	161	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	1798.000000	1865.000000	TARE FM	FORMATION	163	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2557.000000	2592.000000	TOFTE FM	FORMATION	170	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2375.000000	2504.000000	VIKING GP	GROUP	188	2010-04-01	6306	9999-12-31	2013-05-08
6608/10-14 S	2592.000000	2880.000000	ÅRE FM	FORMATION	197	2010-04-01	6306	9999-12-31	2013-05-08
34/5-1 S	3761.000000	3834.000000	AMUNDSEN FM	FORMATION	4	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	1890.000000	1922.000000	BALDER FM	FORMATION	6	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	3696.000000	3761.000000	BURTON FM	FORMATION	20	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	3544.000000	3553.000000	CROMER KNOLL GP	GROUP	23	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	3629.000000	3696.000000	COOK FM	FORMATION	24	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	3553.000000	3629.000000	DRAKE FM	FORMATION	27	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	3553.000000	3834.000000	DUNLIN GP	GROUP	29	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	3834.000000	3900.000000	EIRIKSSON MBR	MEMBER	32	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	1450.000000	1890.000000	HORDALAND GP	GROUP	67	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	2010.000000	2235.000000	JORSALFARE FM	FORMATION	74	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	2235.000000	3355.000000	KYRRE FM	FORMATION	92	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	1922.000000	2010.000000	LISTA FM	FORMATION	95	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	3544.000000	3553.000000	MIME FM	FORMATION	106	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	1435.000000	1450.000000	NO FORMAL NAME	FORMATION	111	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	1561.000000	1568.000000	NO FORMAL NAME	FORMATION	111	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	1568.000000	1890.000000	NO FORMAL NAME	FORMATION	111	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	412.000000	1450.000000	NORDLAND GP	GROUP	113	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	1890.000000	2010.000000	ROGALAND GP	GROUP	131	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	2010.000000	3544.000000	SHETLAND GP	GROUP	143	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	3834.000000	3900.000000	STATFJORD FM	FORMATION	157	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	3355.000000	3544.000000	TRYGGVASON FM	FORMATION	173	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	1333.000000	1435.000000	UTSIRA FM	FORMATION	183	2010-03-13	6307	9999-12-31	2013-05-08
34/5-1 S	3834.000000	3900.000000	NO GROUP DEFINED	GROUP	208	2010-03-13	6307	9999-12-31	2013-05-08
34/4-12 A	1697.000000	1715.000000	BALDER FM	FORMATION	6	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	2558.000000	2563.000000	CROMER KNOLL GP	GROUP	23	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	2563.000000	2761.000000	HEGRE GP	GROUP	61	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	1197.000000	1697.000000	HORDALAND GP	GROUP	67	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	1715.000000	1806.000000	LISTA FM	FORMATION	95	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	2563.000000	2761.000000	LUNDE FM	FORMATION	97	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	2561.000000	2563.000000	MIME FM	FORMATION	106	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	1130.000000	1197.000000	NO FORMAL NAME	FORMATION	111	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	404.000000	1197.000000	NORDLAND GP	GROUP	113	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	1697.000000	1806.000000	ROGALAND GP	GROUP	131	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	2558.000000	2561.000000	RØDBY FM	FORMATION	137	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	1806.000000	2558.000000	SHETLAND GP	GROUP	143	2010-02-18	6316	9999-12-31	2013-05-08
34/4-12 A	1105.000000	1130.000000	UTSIRA FM	FORMATION	183	2010-02-18	6316	9999-12-31	2013-05-08
6507/5-6 S	2288.000000	2712.000000	BRYGGE FM	FORMATION	18	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	4676.000000	4991.000000	CROMER KNOLL GP	GROUP	23	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	2288.000000	2712.000000	HORDALAND GP	GROUP	67	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	1476.000000	2288.000000	KAI FM	FORMATION	77	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	4772.000000	4991.000000	LANGE FM	FORMATION	94	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	4676.000000	4772.000000	LYSING FM	FORMATION	99	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	356.000000	1476.000000	NAUST FM	FORMATION	109	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	2930.000000	4676.000000	NISE FM	FORMATION	112	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	356.000000	2288.000000	NORDLAND GP	GROUP	113	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	2712.000000	2897.000000	ROGALAND GP	GROUP	131	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	2897.000000	4676.000000	SHETLAND GP	GROUP	143	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	2897.000000	2930.000000	SPRINGAR FM	FORMATION	156	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	2842.000000	2897.000000	TANG FM	FORMATION	161	2010-06-08	6321	9999-12-31	2013-05-08
6507/5-6 S	2712.000000	2842.000000	TARE FM	FORMATION	163	2010-06-08	6321	9999-12-31	2013-05-08
15/12-22	2125.000000	2151.000000	BALDER FM	FORMATION	6	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2610.000000	2643.000000	BLODØKS FM	FORMATION	13	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2676.000000	2764.000000	CROMER KNOLL GP	GROUP	23	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2764.000000	2799.000000	DRAUPNE FM	FORMATION	28	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2320.000000	2324.000000	EKOFISK FM	FORMATION	33	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2799.000000	2831.000000	HEATHER FM	FORMATION	60	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2643.000000	2676.000000	HIDRA FM	FORMATION	65	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2541.000000	2610.000000	HOD FM	FORMATION	66	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	1094.000000	2125.000000	HORDALAND GP	GROUP	67	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2831.000000	2985.000000	HUGIN FM	FORMATION	69	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2233.000000	2317.000000	LISTA FM	FORMATION	95	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	1229.000000	2125.000000	NO FORMAL NAME	FORMATION	111	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	109.000000	1094.000000	NORDLAND GP	GROUP	113	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2125.000000	2320.000000	ROGALAND GP	GROUP	131	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2676.000000	2683.000000	RØDBY FM	FORMATION	137	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2151.000000	2233.000000	SELE FM	FORMATION	142	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2320.000000	2676.000000	SHETLAND GP	GROUP	143	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	1208.000000	1229.000000	SKADE FM	FORMATION	145	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2985.000000	3035.000000	SKAGERRAK FM	FORMATION	146	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2683.000000	2704.000000	SOLA FM	FORMATION	152	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2324.000000	2541.000000	TOR FM	FORMATION	171	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2704.000000	2730.000000	TUXEN FM	FORMATION	175	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	929.000000	1094.000000	UTSIRA FM	FORMATION	183	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2831.000000	2985.000000	VESTLAND GP	GROUP	186	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2764.000000	2831.000000	VIKING GP	GROUP	188	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2317.000000	2320.000000	VÅLE FM	FORMATION	190	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2730.000000	2764.000000	ÅSGARD FM	FORMATION	198	2010-05-16	6326	9999-12-31	2013-05-08
15/12-22	2985.000000	3035.000000	NO GROUP DEFINED	GROUP	208	2010-05-16	6326	9999-12-31	2013-05-08
15/12-23	2344.000000	2365.000000	BALDER FM	FORMATION	6	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2813.000000	2846.000000	BLODØKS FM	FORMATION	13	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2907.000000	2966.000000	CROMER KNOLL GP	GROUP	23	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2966.000000	3013.000000	DRAUPNE FM	FORMATION	28	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2532.000000	2543.000000	EKOFISK FM	FORMATION	33	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	1212.000000	1283.000000	GRID FM	FORMATION	53	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	3117.000000	3164.000000	INTRA HEATHER FM SS	FORMATION	59	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	3013.000000	3117.000000	HEATHER FM	FORMATION	60	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2846.000000	2907.000000	HIDRA FM	FORMATION	65	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2731.000000	2813.000000	HOD FM	FORMATION	66	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	1116.000000	2344.000000	HORDALAND GP	GROUP	67	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2436.000000	2526.000000	LISTA FM	FORMATION	95	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	1111.000000	1116.000000	NO FORMAL NAME	FORMATION	111	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	1283.000000	2344.000000	NO FORMAL NAME	FORMATION	111	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	113.000000	1116.000000	NORDLAND GP	GROUP	113	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2344.000000	2532.000000	ROGALAND GP	GROUP	131	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2907.000000	2921.000000	RØDBY FM	FORMATION	137	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2365.000000	2436.000000	SELE FM	FORMATION	142	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2532.000000	2907.000000	SHETLAND GP	GROUP	143	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	3192.000000	3485.000000	SKAGERRAK FM	FORMATION	146	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	3164.000000	3192.000000	SLEIPNER FM	FORMATION	148	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2921.000000	2924.000000	SOLA FM	FORMATION	152	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2543.000000	2731.000000	TOR FM	FORMATION	171	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2924.000000	2952.000000	TUXEN FM	FORMATION	175	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	916.000000	1111.000000	UTSIRA FM	FORMATION	183	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	3164.000000	3192.000000	VESTLAND GP	GROUP	186	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2966.000000	3164.000000	VIKING GP	GROUP	188	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2526.000000	2532.000000	VÅLE FM	FORMATION	190	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	2952.000000	2966.000000	ÅSGARD FM	FORMATION	198	2010-05-29	6327	9999-12-31	2013-05-08
15/12-23	3192.000000	3485.000000	NO GROUP DEFINED	GROUP	208	2010-05-29	6327	9999-12-31	2013-05-08
24/12-6 S	2162.000000	2208.000000	BALDER FM	FORMATION	6	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	3913.000000	3917.000000	BLODØKS FM	FORMATION	13	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	4148.000000	4417.000000	CROMER KNOLL GP	GROUP	23	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	4417.000000	4788.000000	DRAUPNE FM	FORMATION	28	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	1356.000000	1682.000000	GRID FM	FORMATION	53	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	4788.000000	5029.000000	HEATHER FM	FORMATION	60	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	2273.000000	2693.000000	HEIMDAL FM	FORMATION	62	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	848.000000	2162.000000	HORDALAND GP	GROUP	67	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	5029.000000	5120.000000	HUGIN FM	FORMATION	69	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	2761.000000	3080.000000	JORSALFARE FM	FORMATION	74	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	3080.000000	3741.000000	KYRRE FM	FORMATION	92	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	2262.000000	2273.000000	LISTA FM	FORMATION	95	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	681.000000	848.000000	NO FORMAL NAME	FORMATION	111	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	1043.000000	1356.000000	NO FORMAL NAME	FORMATION	111	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	1682.000000	2162.000000	NO FORMAL NAME	FORMATION	111	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	145.000000	848.000000	NORDLAND GP	GROUP	113	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	2162.000000	2761.000000	ROGALAND GP	GROUP	131	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	4148.000000	4222.000000	RØDBY FM	FORMATION	137	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	2208.000000	2262.000000	SELE FM	FORMATION	142	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	2761.000000	4148.000000	SHETLAND GP	GROUP	143	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	848.000000	1043.000000	SKADE FM	FORMATION	145	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	5120.000000	5207.000000	SLEIPNER FM	FORMATION	148	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	4222.000000	4281.000000	SOLA FM	FORMATION	152	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	3917.000000	4148.000000	SVARTE FM	FORMATION	160	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	3741.000000	3913.000000	TRYGGVASON FM	FORMATION	173	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	450.000000	681.000000	UTSIRA FM	FORMATION	183	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	5029.000000	5207.000000	VESTLAND GP	GROUP	186	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	4417.000000	5029.000000	VIKING GP	GROUP	188	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	2693.000000	2761.000000	VÅLE FM	FORMATION	190	2010-12-20	6328	9999-12-31	2013-05-08
24/12-6 S	4281.000000	4417.000000	ÅSGARD FM	FORMATION	198	2010-12-20	6328	9999-12-31	2013-05-08
6506/9-2 S	1885.000000	2040.000000	BRYGGE FM	FORMATION	18	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4471.000000	4805.000000	BÅT GP	GROUP	22	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	3176.000000	4138.000000	CROMER KNOLL GP	GROUP	23	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4332.000000	4471.000000	FANGST GP	GROUP	38	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4332.000000	4392.000000	GARN FM	FORMATION	48	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	1885.000000	2040.000000	HORDALAND GP	GROUP	67	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4397.000000	4471.000000	ILE FM	FORMATION	70	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	1455.000000	1885.000000	KAI FM	FORMATION	77	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	2610.000000	3176.000000	KVITNOS FM	FORMATION	91	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	3212.000000	4120.000000	LANGE FM	FORMATION	94	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4120.000000	4138.000000	LYR FM	FORMATION	98	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	3176.000000	3212.000000	LYSING FM	FORMATION	99	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4158.000000	4332.000000	MELKE FM	FORMATION	105	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	299.000000	1455.000000	NAUST FM	FORMATION	109	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	2404.000000	2610.000000	NISE FM	FORMATION	112	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	299.000000	1885.000000	NORDLAND GP	GROUP	113	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4392.000000	4397.000000	NOT FM	FORMATION	120	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	2040.000000	2170.000000	ROGALAND GP	GROUP	131	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4471.000000	4505.000000	ROR FM	FORMATION	135	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4572.000000	4578.000000	ROR FM	FORMATION	135	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	2170.000000	3176.000000	SHETLAND GP	GROUP	143	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4138.000000	4158.000000	SPEKK FM	FORMATION	155	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	2170.000000	2404.000000	SPRINGAR FM	FORMATION	156	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	2143.000000	2170.000000	TANG FM	FORMATION	161	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	2040.000000	2143.000000	TARE FM	FORMATION	163	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4578.000000	4699.000000	TILJE FM	FORMATION	169	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4505.000000	4572.000000	TOFTE FM	FORMATION	170	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4138.000000	4332.000000	VIKING GP	GROUP	188	2010-04-28	6332	9999-12-31	2013-05-08
6506/9-2 S	4699.000000	4805.000000	ÅRE FM	FORMATION	197	2010-04-28	6332	9999-12-31	2013-05-08
9/2-11	620.000000	643.000000	BALDER FM	FORMATION	6	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	2101.000000	2629.000000	BOKNFJORD GP	GROUP	15	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	2761.000000	2861.000000	BRYNE FM	FORMATION	19	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	1159.000000	2101.000000	CROMER KNOLL GP	GROUP	23	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	2574.000000	2629.000000	EGERSUND FM	FORMATION	30	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	671.000000	745.000000	EKOFISK FM	FORMATION	33	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	2101.000000	2180.000000	FLEKKEFJORD FM	FORMATION	43	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	880.000000	1159.000000	HOD FM	FORMATION	66	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	453.000000	620.000000	HORDALAND GP	GROUP	67	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	652.000000	665.000000	LISTA FM	FORMATION	95	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	127.000000	453.000000	NORDLAND GP	GROUP	113	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	620.000000	671.000000	ROGALAND GP	GROUP	131	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	2629.000000	2761.000000	SANDNES FM	FORMATION	139	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	2180.000000	2492.000000	SAUDA FM	FORMATION	141	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	643.000000	652.000000	SELE FM	FORMATION	142	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	671.000000	1159.000000	SHETLAND GP	GROUP	143	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	1159.000000	1233.000000	SOLA FM	FORMATION	152	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	2492.000000	2574.000000	TAU FM	FORMATION	164	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	745.000000	880.000000	TOR FM	FORMATION	171	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	2629.000000	2861.000000	VESTLAND GP	GROUP	186	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	665.000000	671.000000	VÅLE FM	FORMATION	190	2010-03-29	6341	9999-12-31	2013-05-08
9/2-11	1233.000000	2101.000000	ÅSGARD FM	FORMATION	198	2010-03-29	6341	9999-12-31	2013-05-08
25/10-10	1768.000000	1784.000000	BALDER FM	FORMATION	6	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1793.000000	1813.000000	BALDER FM	FORMATION	6	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1784.000000	1793.000000	INTRA BALDER FM SS	FORMATION	7	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1505.000000	1518.000000	GRID FM	FORMATION	53	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1856.000000	1913.000000	HEIMDAL FM	FORMATION	62	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1940.000000	1991.000000	HEIMDAL FM	FORMATION	62	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	777.000000	1768.000000	HORDALAND GP	GROUP	67	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1851.000000	1856.000000	LISTA FM	FORMATION	95	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1913.000000	1940.000000	LISTA FM	FORMATION	95	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1991.000000	2036.000000	LISTA FM	FORMATION	95	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	710.000000	777.000000	NO FORMAL NAME	FORMATION	111	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1127.000000	1259.000000	NO FORMAL NAME	FORMATION	111	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1270.000000	1505.000000	NO FORMAL NAME	FORMATION	111	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1518.000000	1768.000000	NO FORMAL NAME	FORMATION	111	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	2432.000000	2488.000000	NO FORMAL NAME	FORMATION	111	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	164.000000	777.000000	NORDLAND GP	GROUP	113	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1768.000000	2069.000000	ROGALAND GP	GROUP	131	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1813.000000	1851.000000	SELE FM	FORMATION	142	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	2069.000000	2072.000000	SHETLAND GP	GROUP	143	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	777.000000	1127.000000	SKADE FM	FORMATION	145	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	1259.000000	1270.000000	SKADE FM	FORMATION	145	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	2173.000000	2368.000000	SKAGERRAK FM	FORMATION	146	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	2368.000000	2432.000000	SMITH BANK FM	FORMATION	149	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	2072.000000	2173.000000	STATFJORD FM	FORMATION	157	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	2069.000000	2072.000000	TOR FM	FORMATION	171	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	2036.000000	2069.000000	TY FM	FORMATION	176	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	575.000000	710.000000	UTSIRA FM	FORMATION	183	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	2488.000000	2513.000000	ZECHSTEIN GP	GROUP	194	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	2072.000000	2173.000000	NO GROUP DEFINED	GROUP	208	2010-04-02	6345	9999-12-31	2013-05-08
25/10-10	2173.000000	2488.000000	NO GROUP DEFINED	GROUP	208	2010-04-02	6345	9999-12-31	2013-05-08
2/2-6	2860.000000	2898.000000	BALDER FM	FORMATION	6	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	3486.000000	3585.000000	CROMER KNOLL GP	GROUP	23	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	3016.000000	3094.000000	EKOFISK FM	FORMATION	33	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	3588.000000	4105.000000	FARSUND FM	FORMATION	39	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	3436.000000	3486.000000	HOD FM	FORMATION	66	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	1765.000000	2860.000000	HORDALAND GP	GROUP	67	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	2946.000000	2964.000000	LISTA FM	FORMATION	95	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	3585.000000	3588.000000	MANDAL FM	FORMATION	101	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	2319.000000	2860.000000	NO FORMAL NAME	FORMATION	111	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	106.000000	1765.000000	NORDLAND GP	GROUP	113	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	2860.000000	3016.000000	ROGALAND GP	GROUP	131	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	2898.000000	2946.000000	SELE FM	FORMATION	142	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	3016.000000	3486.000000	SHETLAND GP	GROUP	143	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	3094.000000	3436.000000	TOR FM	FORMATION	171	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	3500.000000	3503.000000	TUXEN FM	FORMATION	175	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	3585.000000	4105.000000	TYNE GP	GROUP	177	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	3486.000000	3500.000000	UNDIFFERENTIATED	FORMATION	182	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	2302.000000	2319.000000	VADE FM	FORMATION	184	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	2964.000000	3016.000000	VÅLE FM	FORMATION	190	2010-05-14	6346	9999-12-31	2013-05-08
2/2-6	3503.000000	3585.000000	ÅSGARD FM	FORMATION	198	2010-05-14	6346	9999-12-31	2013-05-08
6603/5-1 S	1668.000000	2323.000000	BRYGGE FM	FORMATION	18	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	3245.000000	5254.000000	CROMER KNOLL GP	GROUP	23	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	1668.000000	2323.000000	HORDALAND GP	GROUP	67	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	3116.000000	3245.000000	KVITNOS FM	FORMATION	91	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	3744.000000	5254.000000	LANGE FM	FORMATION	94	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	3245.000000	3744.000000	LYSING FM	FORMATION	99	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	1486.000000	1668.000000	NAUST FM	FORMATION	109	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	2813.000000	3116.000000	NISE FM	FORMATION	112	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	1486.000000	1668.000000	NORDLAND GP	GROUP	113	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	2323.000000	2415.000000	ROGALAND GP	GROUP	131	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	2415.000000	3245.000000	SHETLAND GP	GROUP	143	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	2415.000000	2813.000000	SPRINGAR FM	FORMATION	156	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	2365.000000	2415.000000	TANG FM	FORMATION	161	2010-12-20	6348	9999-12-31	2013-05-08
6603/5-1 S	2323.000000	2365.000000	TARE FM	FORMATION	163	2010-12-20	6348	9999-12-31	2013-05-08
6406/3-8	1850.000000	2299.000000	BRYGGE FM	FORMATION	18	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	4041.000000	4216.000000	BÅT GP	GROUP	22	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	3244.000000	3783.000000	CROMER KNOLL GP	GROUP	23	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	3841.000000	4041.000000	FANGST GP	GROUP	38	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	3841.000000	3940.000000	GARN FM	FORMATION	48	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	1850.000000	2299.000000	HORDALAND GP	GROUP	67	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	3976.000000	4041.000000	ILE FM	FORMATION	70	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	1485.000000	1850.000000	KAI FM	FORMATION	77	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	2777.000000	3244.000000	KVITNOS FM	FORMATION	91	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	3303.000000	3783.000000	LANGE FM	FORMATION	94	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	3244.000000	3303.000000	LYSING FM	FORMATION	99	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	3795.000000	3841.000000	MELKE FM	FORMATION	105	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	332.000000	1485.000000	NAUST FM	FORMATION	109	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	2586.000000	2777.000000	NISE FM	FORMATION	112	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	332.000000	1850.000000	NORDLAND GP	GROUP	113	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	3940.000000	3976.000000	NOT FM	FORMATION	120	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	2299.000000	2424.000000	ROGALAND GP	GROUP	131	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	4041.000000	4166.000000	ROR FM	FORMATION	135	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	2424.000000	3244.000000	SHETLAND GP	GROUP	143	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	3783.000000	3795.000000	SPEKK FM	FORMATION	155	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	2424.000000	2586.000000	SPRINGAR FM	FORMATION	156	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	2358.000000	2424.000000	TANG FM	FORMATION	161	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	2299.000000	2358.000000	TARE FM	FORMATION	163	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	4166.000000	4216.000000	TILJE FM	FORMATION	169	2010-08-10	6350	9999-12-31	2013-05-08
6406/3-8	3783.000000	3841.000000	VIKING GP	GROUP	188	2010-08-10	6350	9999-12-31	2013-05-08
6407/2-6 S	1344.000000	2027.000000	BRYGGE FM	FORMATION	18	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2917.000000	3230.000000	BÅT GP	GROUP	22	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2760.000000	2909.000000	CROMER KNOLL GP	GROUP	23	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	1344.000000	2027.000000	HORDALAND GP	GROUP	67	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	1278.000000	1344.000000	KAI FM	FORMATION	77	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2480.000000	2760.000000	KVITNOS FM	FORMATION	91	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2760.000000	2863.000000	LANGE FM	FORMATION	94	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2863.000000	2909.000000	LYR FM	FORMATION	98	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	274.000000	1278.000000	NAUST FM	FORMATION	109	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2304.000000	2480.000000	NISE FM	FORMATION	112	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	274.000000	1344.000000	NORDLAND GP	GROUP	113	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2027.000000	2189.000000	ROGALAND GP	GROUP	131	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2942.000000	2993.000000	ROR FM	FORMATION	135	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2189.000000	2760.000000	SHETLAND GP	GROUP	143	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2909.000000	2917.000000	SPEKK FM	FORMATION	155	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2189.000000	2304.000000	SPRINGAR FM	FORMATION	156	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2094.000000	2189.000000	TANG FM	FORMATION	161	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2027.000000	2094.000000	TARE FM	FORMATION	163	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2993.000000	3148.000000	TILJE FM	FORMATION	169	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2917.000000	2942.000000	TOFTE FM	FORMATION	170	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	2909.000000	2917.000000	VIKING GP	GROUP	188	2010-05-13	6351	9999-12-31	2013-05-08
6407/2-6 S	3148.000000	3230.000000	ÅRE FM	FORMATION	197	2010-05-13	6351	9999-12-31	2013-05-08
34/5-1 A	1890.000000	1922.000000	BALDER FM	FORMATION	6	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	4356.000000	4416.000000	BURTON FM	FORMATION	20	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	4070.000000	4082.000000	CROMER KNOLL GP	GROUP	23	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	4274.000000	4356.000000	COOK FM	FORMATION	24	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	4152.000000	4274.000000	DRAKE FM	FORMATION	27	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	4152.000000	4416.000000	DUNLIN GP	GROUP	29	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	4082.000000	4129.000000	HEATHER FM	FORMATION	60	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	1450.000000	1890.000000	HORDALAND GP	GROUP	67	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	2010.000000	2241.000000	JORSALFARE FM	FORMATION	74	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	2241.000000	3802.000000	KYRRE FM	FORMATION	92	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	1922.000000	2010.000000	LISTA FM	FORMATION	95	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	4070.000000	4082.000000	MIME FM	FORMATION	106	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	1435.000000	1450.000000	NO FORMAL NAME	FORMATION	111	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	1561.000000	1568.000000	NO FORMAL NAME	FORMATION	111	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	1568.000000	1890.000000	NO FORMAL NAME	FORMATION	111	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	412.000000	1450.000000	NORDLAND GP	GROUP	113	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	1890.000000	2010.000000	ROGALAND GP	GROUP	131	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	2010.000000	4070.000000	SHETLAND GP	GROUP	143	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	3802.000000	4070.000000	TRYGGVASON FM	FORMATION	173	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	1333.000000	1435.000000	UTSIRA FM	FORMATION	183	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	4082.000000	4129.000000	VIKING GP	GROUP	188	2010-04-10	6352	9999-12-31	2013-05-08
34/5-1 A	4129.000000	4152.000000	NO GROUP DEFINED	GROUP	208	2010-04-10	6352	9999-12-31	2013-05-08
15/3-9	2209.000000	2259.000000	BALDER FM	FORMATION	6	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	3615.000000	3625.000000	BLODØKS FM	FORMATION	13	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	3721.000000	3975.000000	CROMER KNOLL GP	GROUP	23	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	3975.000000	4322.000000	DRAUPNE FM	FORMATION	28	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	2714.000000	2792.000000	EKOFISK FM	FORMATION	33	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	1521.000000	2209.000000	GRID FM	FORMATION	53	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	4322.000000	4475.000000	HEATHER FM	FORMATION	60	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	2439.000000	2610.000000	HEIMDAL FM	FORMATION	62	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	875.000000	2209.000000	HORDALAND GP	GROUP	67	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	4475.000000	4614.000000	HUGIN FM	FORMATION	69	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	2792.000000	3137.000000	JORSALFARE FM	FORMATION	74	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	3137.000000	3304.000000	KYRRE FM	FORMATION	92	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	2300.000000	2439.000000	LISTA FM	FORMATION	95	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	131.000000	875.000000	NORDLAND GP	GROUP	113	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	2209.000000	2714.000000	ROGALAND GP	GROUP	131	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	3721.000000	3812.000000	RØDBY FM	FORMATION	137	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	2259.000000	2300.000000	SELE FM	FORMATION	142	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	2714.000000	3721.000000	SHETLAND GP	GROUP	143	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	1109.000000	1521.000000	SKADE FM	FORMATION	145	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	4614.000000	4654.000000	SLEIPNER FM	FORMATION	148	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	3812.000000	3839.000000	SOLA FM	FORMATION	152	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	3625.000000	3721.000000	SVARTE FM	FORMATION	160	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	3304.000000	3615.000000	TRYGGVASON FM	FORMATION	173	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	2610.000000	2714.000000	TY FM	FORMATION	176	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	678.000000	875.000000	UTSIRA FM	FORMATION	183	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	4475.000000	4654.000000	VESTLAND GP	GROUP	186	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	3975.000000	4475.000000	VIKING GP	GROUP	188	2010-08-13	6354	9999-12-31	2013-05-08
15/3-9	3839.000000	3975.000000	ÅSGARD FM	FORMATION	198	2010-08-13	6354	9999-12-31	2013-05-08
6604/10-1	2075.000000	2673.000000	BRYGGE FM	FORMATION	18	2010-09-03	6356	9999-12-31	2013-05-08
6604/10-1	2075.000000	2673.000000	HORDALAND GP	GROUP	67	2010-09-03	6356	9999-12-31	2013-05-08
6604/10-1	1578.000000	2075.000000	KAI FM	FORMATION	77	2010-09-03	6356	9999-12-31	2013-05-08
6604/10-1	1385.000000	1578.000000	NAUST FM	FORMATION	109	2010-09-03	6356	9999-12-31	2013-05-08
6604/10-1	3597.000000	3645.000000	NO FORMAL NAME	FORMATION	111	2010-09-03	6356	9999-12-31	2013-05-08
6604/10-1	1385.000000	2075.000000	NORDLAND GP	GROUP	113	2010-09-03	6356	9999-12-31	2013-05-08
6604/10-1	2673.000000	3371.000000	ROGALAND GP	GROUP	131	2010-09-03	6356	9999-12-31	2013-05-08
6604/10-1	3371.000000	3715.000000	SHETLAND GP	GROUP	143	2010-09-03	6356	9999-12-31	2013-05-08
6604/10-1	3371.000000	3597.000000	SPRINGAR FM	FORMATION	156	2010-09-03	6356	9999-12-31	2013-05-08
6604/10-1	3645.000000	3715.000000	SPRINGAR FM	FORMATION	156	2010-09-03	6356	9999-12-31	2013-05-08
6604/10-1	2950.000000	3371.000000	TANG FM	FORMATION	161	2010-09-03	6356	9999-12-31	2013-05-08
6604/10-1	2673.000000	2950.000000	TARE FM	FORMATION	163	2010-09-03	6356	9999-12-31	2013-05-08
16/1-11 A	1994.000000	2031.000000	BALDER FM	FORMATION	6	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2283.000000	2320.000000	CROMER KNOLL GP	GROUP	23	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2320.000000	2396.000000	DRAUPNE FM	FORMATION	28	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2262.000000	2283.000000	EKOFISK FM	FORMATION	33	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	1609.000000	1738.000000	GRID FM	FORMATION	53	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2396.000000	2476.000000	HEATHER FM	FORMATION	60	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2152.000000	2207.000000	HEIMDAL FM	FORMATION	62	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	825.000000	1994.000000	HORDALAND GP	GROUP	67	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2095.000000	2152.000000	LISTA FM	FORMATION	95	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2207.000000	2262.000000	LISTA FM	FORMATION	95	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	811.000000	825.000000	NO FORMAL NAME	FORMATION	111	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	837.000000	939.000000	NO FORMAL NAME	FORMATION	111	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	1226.000000	1609.000000	NO FORMAL NAME	FORMATION	111	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	1738.000000	1994.000000	NO FORMAL NAME	FORMATION	111	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	141.000000	825.000000	NORDLAND GP	GROUP	113	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	1994.000000	2262.000000	ROGALAND GP	GROUP	131	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2031.000000	2095.000000	SELE FM	FORMATION	142	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2262.000000	2283.000000	SHETLAND GP	GROUP	143	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	825.000000	837.000000	SKADE FM	FORMATION	145	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	939.000000	1226.000000	SKADE FM	FORMATION	145	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2501.000000	2595.000000	SKAGERRAK FM	FORMATION	146	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2476.000000	2501.000000	SLEIPNER FM	FORMATION	148	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	754.000000	811.000000	UTSIRA FM	FORMATION	183	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2476.000000	2501.000000	VESTLAND GP	GROUP	186	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2320.000000	2476.000000	VIKING GP	GROUP	188	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2283.000000	2320.000000	ÅSGARD FM	FORMATION	198	2010-05-09	6364	9999-12-31	2013-05-08
16/1-11 A	2501.000000	2595.000000	NO GROUP DEFINED	GROUP	208	2010-05-09	6364	9999-12-31	2013-05-08
6507/7-14 S	1910.000000	2035.000000	BRYGGE FM	FORMATION	18	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	4378.000000	4534.000000	BÅT GP	GROUP	22	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	2973.000000	3767.000000	CROMER KNOLL GP	GROUP	23	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	4219.000000	4378.000000	FANGST GP	GROUP	38	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	4219.000000	4306.000000	GARN FM	FORMATION	48	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	1910.000000	2035.000000	HORDALAND GP	GROUP	67	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	4313.000000	4378.000000	ILE FM	FORMATION	70	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	1479.000000	1910.000000	KAI FM	FORMATION	77	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	3036.000000	3767.000000	LANGE FM	FORMATION	94	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	2972.000000	2973.000000	LYSING FM	FORMATION	99	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	3790.000000	4219.000000	MELKE FM	FORMATION	105	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	369.000000	1479.000000	NAUST FM	FORMATION	109	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	2471.000000	2972.000000	NISE FM	FORMATION	112	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	369.000000	1910.000000	NORDLAND GP	GROUP	113	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	4306.000000	4313.000000	NOT FM	FORMATION	120	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	2035.000000	2148.000000	ROGALAND GP	GROUP	131	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	4378.000000	4478.000000	ROR FM	FORMATION	135	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	2148.000000	2973.000000	SHETLAND GP	GROUP	143	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	3767.000000	3790.000000	SPEKK FM	FORMATION	155	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	2148.000000	2471.000000	SPRINGAR FM	FORMATION	156	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	2087.000000	2148.000000	TANG FM	FORMATION	161	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	2035.000000	2087.000000	TARE FM	FORMATION	163	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	4478.000000	4534.000000	TILJE FM	FORMATION	169	2010-09-26	6367	9999-12-31	2013-05-08
6507/7-14 S	3767.000000	4219.000000	VIKING GP	GROUP	188	2010-09-26	6367	9999-12-31	2013-05-08
25/1-11 R	2205.000000	2220.000000	BALDER FM	FORMATION	6	2010-04-26	6368	9999-12-31	2013-05-08
25/1-11 R	2118.000000	2205.000000	FRIGG FM	FORMATION	45	2010-04-26	6368	9999-12-31	2013-05-08
25/1-11 R	1479.000000	1486.000000	GRID FM	FORMATION	53	2010-04-26	6368	9999-12-31	2013-05-08
25/1-11 R	2281.000000	2338.000000	HEIMDAL FM	FORMATION	62	2010-04-26	6368	9999-12-31	2013-05-08
25/1-11 R	2244.000000	2253.000000	HERMOD FM	FORMATION	64	2010-04-26	6368	9999-12-31	2013-05-08
25/1-11 R	998.000000	2205.000000	HORDALAND GP	GROUP	67	2010-04-26	6368	9999-12-31	2013-05-08
25/1-11 R	2253.000000	2281.000000	LISTA FM	FORMATION	95	2010-04-26	6368	9999-12-31	2013-05-08
25/1-11 R	1486.000000	2118.000000	NO FORMAL NAME	FORMATION	111	2010-04-26	6368	9999-12-31	2013-05-08
25/1-11 R	147.000000	998.000000	NORDLAND GP	GROUP	113	2010-04-26	6368	9999-12-31	2013-05-08
25/1-11 R	2205.000000	2338.000000	ROGALAND GP	GROUP	131	2010-04-26	6368	9999-12-31	2013-05-08
25/1-11 R	2220.000000	2244.000000	SELE FM	FORMATION	142	2010-04-26	6368	9999-12-31	2013-05-08
25/1-11 R	253.000000	998.000000	UTSIRA FM	FORMATION	183	2010-04-26	6368	9999-12-31	2013-05-08
6407/12-3	678.000000	1169.000000	BRYGGE FM	FORMATION	18	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1486.000000	1630.000000	CROMER KNOLL GP	GROUP	23	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1828.000000	1968.000000	FANGST GP	GROUP	38	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1828.000000	1890.000000	GARN FM	FORMATION	48	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	678.000000	1169.000000	HORDALAND GP	GROUP	67	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1921.000000	1968.000000	ILE FM	FORMATION	70	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	558.000000	678.000000	KAI FM	FORMATION	77	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1486.000000	1598.000000	LANGE FM	FORMATION	94	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1598.000000	1630.000000	LYR FM	FORMATION	98	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1781.000000	1816.000000	INTRA MELKE FM SS	FORMATION	104	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1727.000000	1781.000000	MELKE FM	FORMATION	105	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1816.000000	1828.000000	MELKE FM	FORMATION	105	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	306.000000	558.000000	NAUST FM	FORMATION	109	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	306.000000	678.000000	NORDLAND GP	GROUP	113	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1890.000000	1921.000000	NOT FM	FORMATION	120	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1169.000000	1486.000000	ROGALAND GP	GROUP	131	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1630.000000	1727.000000	SPEKK FM	FORMATION	155	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1286.000000	1486.000000	TANG FM	FORMATION	161	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1169.000000	1286.000000	TARE FM	FORMATION	163	2010-06-02	6370	9999-12-31	2013-05-08
6407/12-3	1630.000000	1828.000000	VIKING GP	GROUP	188	2010-06-02	6370	9999-12-31	2013-05-08
16/2-6	1468.000000	1493.000000	BALDER FM	FORMATION	6	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1775.000000	1777.000000	BLODØKS FM	FORMATION	13	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1805.000000	1926.000000	CROMER KNOLL GP	GROUP	23	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1931.000000	1938.000000	INTRA DRAUPNE FM SS	FORMATION	26	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1926.000000	1931.000000	DRAUPNE FM	FORMATION	28	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1938.000000	1942.000000	DRAUPNE FM	FORMATION	28	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1628.000000	1639.000000	EKOFISK FM	FORMATION	33	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1669.000000	1775.000000	HOD FM	FORMATION	66	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	939.000000	1468.000000	HORDALAND GP	GROUP	67	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1505.000000	1604.000000	LISTA FM	FORMATION	95	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	876.000000	939.000000	NO FORMAL NAME	FORMATION	111	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1097.000000	1468.000000	NO FORMAL NAME	FORMATION	111	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	141.000000	939.000000	NORDLAND GP	GROUP	113	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1468.000000	1628.000000	ROGALAND GP	GROUP	131	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1805.000000	1907.000000	RØDBY FM	FORMATION	137	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1493.000000	1505.000000	SELE FM	FORMATION	142	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1628.000000	1805.000000	SHETLAND GP	GROUP	143	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	939.000000	1097.000000	SKADE FM	FORMATION	145	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1955.000000	2075.000000	SKAGERRAK FM	FORMATION	146	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1907.000000	1912.000000	SOLA FM	FORMATION	152	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1777.000000	1805.000000	SVARTE FM	FORMATION	160	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1639.000000	1669.000000	TOR FM	FORMATION	171	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	829.000000	876.000000	UTSIRA FM	FORMATION	183	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1942.000000	1955.000000	VESTLAND GP	GROUP	186	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1926.000000	1942.000000	VIKING GP	GROUP	188	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1604.000000	1628.000000	VÅLE FM	FORMATION	190	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	2075.000000	2131.000000	ZECHSTEIN GP	GROUP	194	2010-09-20	6374	2012-10-29	2013-05-08
16/2-6	1912.000000	1926.000000	ÅSGARD FM	FORMATION	198	2010-09-20	6374	9999-12-31	2013-05-08
16/2-6	1955.000000	2075.000000	NO GROUP DEFINED	GROUP	208	2010-09-20	6374	9999-12-31	2013-05-08
25/1-11 A	2290.000000	2308.000000	BALDER FM	FORMATION	6	2010-05-14	6376	9999-12-31	2013-05-08
25/1-11 A	2234.000000	2290.000000	FRIGG FM	FORMATION	45	2010-05-14	6376	9999-12-31	2013-05-08
25/1-11 A	1509.000000	1519.000000	GRID FM	FORMATION	53	2010-05-14	6376	9999-12-31	2013-05-08
25/1-11 A	2390.000000	2410.000000	HEIMDAL FM	FORMATION	62	2010-05-14	6376	9999-12-31	2013-05-08
25/1-11 A	2318.000000	2349.000000	HERMOD FM	FORMATION	64	2010-05-14	6376	9999-12-31	2013-05-08
25/1-11 A	998.000000	2290.000000	HORDALAND GP	GROUP	67	2010-05-14	6376	9999-12-31	2013-05-08
25/1-11 A	2349.000000	2390.000000	LISTA FM	FORMATION	95	2010-05-14	6376	9999-12-31	2013-05-08
25/1-11 A	1519.000000	2234.000000	NO FORMAL NAME	FORMATION	111	2010-05-14	6376	9999-12-31	2013-05-08
25/1-11 A	147.000000	998.000000	NORDLAND GP	GROUP	113	2010-05-14	6376	9999-12-31	2013-05-08
25/1-11 A	2290.000000	2410.000000	ROGALAND GP	GROUP	131	2010-05-14	6376	9999-12-31	2013-05-08
25/1-11 A	2308.000000	2318.000000	SELE FM	FORMATION	142	2010-05-14	6376	9999-12-31	2013-05-08
25/1-11 A	253.000000	998.000000	UTSIRA FM	FORMATION	183	2010-05-14	6376	9999-12-31	2013-05-08
15/9-24	2131.000000	2166.000000	BALDER FM	FORMATION	6	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	2323.000000	2329.000000	EKOFISK FM	FORMATION	33	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	1023.000000	2131.000000	HORDALAND GP	GROUP	67	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	2244.000000	2317.000000	LISTA FM	FORMATION	95	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	1292.000000	2131.000000	NO FORMAL NAME	FORMATION	111	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	106.000000	1023.000000	NORDLAND GP	GROUP	113	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	2131.000000	2323.000000	ROGALAND GP	GROUP	131	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	2166.000000	2244.000000	SELE FM	FORMATION	142	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	2323.000000	2400.000000	SHETLAND GP	GROUP	143	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	1200.000000	1292.000000	SKADE FM	FORMATION	145	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	2329.000000	2400.000000	TOR FM	FORMATION	171	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	887.000000	1023.000000	UTSIRA FM	FORMATION	183	2010-06-10	6381	9999-12-31	2013-05-08
15/9-24	2317.000000	2323.000000	VÅLE FM	FORMATION	190	2010-06-10	6381	9999-12-31	2013-05-08
16/7-9	1811.000000	1858.000000	BALDER FM	FORMATION	6	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2291.000000	2467.000000	CROMER KNOLL GP	GROUP	23	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2500.000000	2515.000000	INTRA DRAUPNE FM SS	FORMATION	26	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2467.000000	2500.000000	DRAUPNE FM	FORMATION	28	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2000.000000	2033.000000	EKOFISK FM	FORMATION	33	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2201.000000	2291.000000	HOD FM	FORMATION	66	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	1021.000000	1811.000000	HORDALAND GP	GROUP	67	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	1879.000000	1986.000000	LISTA FM	FORMATION	95	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	952.000000	1021.000000	NO FORMAL NAME	FORMATION	111	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	1050.000000	1811.000000	NO FORMAL NAME	FORMATION	111	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	104.000000	1021.000000	NORDLAND GP	GROUP	113	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	1811.000000	2000.000000	ROGALAND GP	GROUP	131	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2291.000000	2315.000000	RØDBY FM	FORMATION	137	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	1858.000000	1879.000000	SELE FM	FORMATION	142	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2000.000000	2291.000000	SHETLAND GP	GROUP	143	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	1021.000000	1050.000000	SKADE FM	FORMATION	145	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2515.000000	2553.000000	SKAGERRAK FM	FORMATION	146	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2553.000000	2665.000000	SMITH BANK FM	FORMATION	149	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2315.000000	2345.000000	SOLA FM	FORMATION	152	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2033.000000	2201.000000	TOR FM	FORMATION	171	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	895.000000	952.000000	UTSIRA FM	FORMATION	183	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2467.000000	2515.000000	VIKING GP	GROUP	188	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	1986.000000	2000.000000	VÅLE FM	FORMATION	190	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2345.000000	2467.000000	ÅSGARD FM	FORMATION	198	2011-01-03	6382	9999-12-31	2013-05-08
16/7-9	2515.000000	2665.000000	NO GROUP DEFINED	GROUP	208	2011-01-03	6382	9999-12-31	2013-05-08
16/1-14	1962.000000	1998.000000	BALDER FM	FORMATION	6	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	1999.000000	2023.000000	BALDER FM	FORMATION	6	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	1998.000000	1999.000000	INTRA BALDER FM SS	FORMATION	7	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2168.000000	2236.000000	CROMER KNOLL GP	GROUP	23	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2236.000000	2251.000000	INTRA DRAUPNE FM SS	FORMATION	26	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2251.000000	2392.000000	DRAUPNE FM	FORMATION	28	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2162.000000	2168.000000	EKOFISK FM	FORMATION	33	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	1607.000000	1798.000000	GRID FM	FORMATION	53	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2392.000000	2472.000000	HEATHER FM	FORMATION	60	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2094.000000	2108.000000	HEIMDAL FM	FORMATION	62	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	951.000000	1962.000000	HORDALAND GP	GROUP	67	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2472.000000	2496.000000	HUGIN FM	FORMATION	69	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2056.000000	2094.000000	LISTA FM	FORMATION	95	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2108.000000	2135.000000	LISTA FM	FORMATION	95	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	886.000000	951.000000	NO FORMAL NAME	FORMATION	111	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	1244.000000	1607.000000	NO FORMAL NAME	FORMATION	111	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	1798.000000	1962.000000	NO FORMAL NAME	FORMATION	111	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	136.000000	951.000000	NORDLAND GP	GROUP	113	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	1962.000000	2162.000000	ROGALAND GP	GROUP	131	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2023.000000	2056.000000	SELE FM	FORMATION	142	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2162.000000	2168.000000	SHETLAND GP	GROUP	143	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	951.000000	1244.000000	SKADE FM	FORMATION	145	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2496.000000	2550.000000	SKAGERRAK FM	FORMATION	146	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2135.000000	2145.000000	TY FM	FORMATION	176	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	783.000000	886.000000	UTSIRA FM	FORMATION	183	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2472.000000	2496.000000	VESTLAND GP	GROUP	186	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2236.000000	2472.000000	VIKING GP	GROUP	188	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2145.000000	2162.000000	VÅLE FM	FORMATION	190	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2168.000000	2174.000000	ÅSGARD FM	FORMATION	198	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2205.000000	2236.000000	ÅSGARD FM	FORMATION	198	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2496.000000	2550.000000	NO GROUP DEFINED	GROUP	208	2010-11-30	6399	9999-12-31	2013-05-08
16/1-14	2174.000000	2205.000000	INTRA ÅSGARD FM SS	FORMATION	210	2010-11-30	6399	9999-12-31	2013-05-08
15/12-23 A	2445.000000	2472.000000	BALDER FM	FORMATION	6	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4108.000000	4168.000000	BLODØKS FM	FORMATION	13	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4270.000000	4345.000000	CROMER KNOLL GP	GROUP	23	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4345.000000	4428.000000	DRAUPNE FM	FORMATION	28	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	2801.000000	2815.000000	EKOFISK FM	FORMATION	33	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	1212.000000	1279.000000	GRID FM	FORMATION	53	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4490.000000	4603.000000	INTRA HEATHER FM SS	FORMATION	59	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4428.000000	4490.000000	HEATHER FM	FORMATION	60	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4168.000000	4270.000000	HIDRA FM	FORMATION	65	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	3897.000000	4108.000000	HOD FM	FORMATION	66	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	1116.000000	2445.000000	HORDALAND GP	GROUP	67	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4603.000000	4632.000000	HUGIN FM	FORMATION	69	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	2582.000000	2796.000000	LISTA FM	FORMATION	95	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	1111.000000	1116.000000	NO FORMAL NAME	FORMATION	111	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	1279.000000	2445.000000	NO FORMAL NAME	FORMATION	111	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	113.000000	1116.000000	NORDLAND GP	GROUP	113	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	2445.000000	2801.000000	ROGALAND GP	GROUP	131	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4270.000000	4295.000000	RØDBY FM	FORMATION	137	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	2472.000000	2582.000000	SELE FM	FORMATION	142	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	2801.000000	4270.000000	SHETLAND GP	GROUP	143	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4632.000000	4772.000000	SLEIPNER FM	FORMATION	148	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4295.000000	4312.000000	SOLA FM	FORMATION	152	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	2815.000000	3897.000000	TOR FM	FORMATION	171	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4312.000000	4329.000000	TUXEN FM	FORMATION	175	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	916.000000	1111.000000	UTSIRA FM	FORMATION	183	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4603.000000	4772.000000	VESTLAND GP	GROUP	186	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4345.000000	4603.000000	VIKING GP	GROUP	188	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	2796.000000	2801.000000	VÅLE FM	FORMATION	190	2010-07-18	6404	9999-12-31	2013-05-08
15/12-23 A	4329.000000	4345.000000	ÅSGARD FM	FORMATION	198	2010-07-18	6404	9999-12-31	2013-05-08
25/5-7	2135.000000	2155.000000	BALDER FM	FORMATION	6	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2685.000000	2712.000000	BRENT GP	GROUP	16	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2647.000000	2677.000000	DRAUPNE FM	FORMATION	28	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2712.000000	2995.000000	DUNLIN GP	GROUP	29	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	1243.000000	1294.000000	GRID FM	FORMATION	53	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	1314.000000	1407.000000	GRID FM	FORMATION	53	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2677.000000	2685.000000	HEATHER FM	FORMATION	60	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2995.000000	3045.000000	HEGRE GP	GROUP	61	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	964.000000	1294.000000	HORDALAND GP	GROUP	67	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	1294.000000	1407.000000	HORDALAND GP	GROUP	67	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	1407.000000	2135.000000	HORDALAND GP	GROUP	67	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2189.000000	2333.000000	LISTA FM	FORMATION	95	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	141.000000	964.000000	NORDLAND GP	GROUP	113	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2135.000000	2489.000000	ROGALAND GP	GROUP	131	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2155.000000	2189.000000	SELE FM	FORMATION	142	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2489.000000	2647.000000	SHETLAND GP	GROUP	143	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2391.000000	2489.000000	TY FM	FORMATION	176	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	326.000000	964.000000	UTSIRA FM	FORMATION	183	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2647.000000	2685.000000	VIKING GP	GROUP	188	2010-10-23	6423	9999-12-31	2013-05-08
25/5-7	2333.000000	2391.000000	VÅLE FM	FORMATION	190	2010-10-23	6423	9999-12-31	2013-05-08
35/1-2 S	3983.000000	4142.000000	AMUNDSEN FM	FORMATION	4	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	2001.000000	2049.000000	BALDER FM	FORMATION	6	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	3608.000000	3618.000000	BLODØKS FM	FORMATION	13	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	3961.000000	3983.000000	BURTON FM	FORMATION	20	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	3618.000000	3624.000000	CROMER KNOLL GP	GROUP	23	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	3923.000000	3961.000000	COOK FM	FORMATION	24	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	3638.000000	3923.000000	DRAKE FM	FORMATION	27	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	3638.000000	4142.000000	DUNLIN GP	GROUP	29	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	3624.000000	3638.000000	HEATHER FM	FORMATION	60	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	1628.000000	2001.000000	HORDALAND GP	GROUP	67	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	2155.000000	2277.000000	JORSALFARE FM	FORMATION	74	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	2277.000000	3608.000000	KYRRE FM	FORMATION	92	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	2062.000000	2151.000000	LISTA FM	FORMATION	95	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	3618.000000	3624.000000	MIME FM	FORMATION	106	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	433.000000	1628.000000	NORDLAND GP	GROUP	113	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	2001.000000	2155.000000	ROGALAND GP	GROUP	131	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	2049.000000	2062.000000	SELE FM	FORMATION	142	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	2155.000000	3618.000000	SHETLAND GP	GROUP	143	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	4142.000000	4202.000000	STATFJORD FM	FORMATION	157	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	3624.000000	3638.000000	VIKING GP	GROUP	188	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	2151.000000	2155.000000	VÅLE FM	FORMATION	190	2010-12-19	6427	9999-12-31	2013-05-08
35/1-2 S	4142.000000	4202.000000	NO GROUP DEFINED	GROUP	208	2010-12-19	6427	9999-12-31	2013-05-08
35/9-6 S	1229.000000	1276.000000	BALDER FM	FORMATION	6	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	2989.000000	2991.000000	BLODØKS FM	FORMATION	13	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3426.000000	3552.000000	BRENT GP	GROUP	16	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3030.000000	3114.000000	CROMER KNOLL GP	GROUP	23	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3624.000000	3691.000000	COOK FM	FORMATION	24	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3552.000000	3624.000000	DRAKE FM	FORMATION	27	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3552.000000	3710.000000	DUNLIN GP	GROUP	29	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3505.000000	3515.000000	ETIVE FM	FORMATION	35	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	989.000000	1229.000000	FRIGG FM	FORMATION	45	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	790.000000	989.000000	GRID FM	FORMATION	53	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3114.000000	3426.000000	HEATHER FM	FORMATION	60	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3710.000000	3740.000000	HEGRE GP	GROUP	61	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	1677.000000	1841.000000	JORSALFARE FM	FORMATION	74	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	1841.000000	2802.000000	KYRRE FM	FORMATION	92	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	1323.000000	1628.000000	LISTA FM	FORMATION	95	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3710.000000	3740.000000	LUNDE FM	FORMATION	97	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3486.000000	3505.000000	NESS FM	FORMATION	110	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	394.000000	1229.000000	NORDLAND GP	GROUP	113	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3515.000000	3552.000000	RANNOCH FM	FORMATION	126	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	1229.000000	1677.000000	ROGALAND GP	GROUP	131	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3030.000000	3114.000000	RØDBY FM	FORMATION	137	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	1276.000000	1323.000000	SELE FM	FORMATION	142	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	1677.000000	3030.000000	SHETLAND GP	GROUP	143	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	605.000000	790.000000	SKADE FM	FORMATION	145	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3691.000000	3710.000000	STATFJORD FM	FORMATION	157	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	2991.000000	3030.000000	SVARTE FM	FORMATION	160	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3426.000000	3486.000000	TARBERT FM	FORMATION	162	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	2802.000000	2989.000000	TRYGGVASON FM	FORMATION	173	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	1628.000000	1677.000000	TY FM	FORMATION	176	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	561.000000	605.000000	UTSIRA FM	FORMATION	183	2010-12-07	6429	9999-12-31	2013-05-08
35/9-6 S	3114.000000	3426.000000	VIKING GP	GROUP	188	2010-12-07	6429	9999-12-31	2013-05-08
6305/4-2 S	1771.000000	2389.000000	BRYGGE FM	FORMATION	18	2011-02-11	6441	9999-12-31	2013-05-08
6305/4-2 S	2835.000000	2878.000000	EGGA FM (INFORMAL)	FORMATION	31	2011-02-11	6441	9999-12-31	2013-05-08
6305/4-2 S	1771.000000	2389.000000	HORDALAND GP	GROUP	67	2011-02-11	6441	9999-12-31	2013-05-08
6305/4-2 S	1718.000000	1771.000000	KAI FM	FORMATION	77	2011-02-11	6441	9999-12-31	2013-05-08
6305/4-2 S	1122.000000	1718.000000	NAUST FM	FORMATION	109	2011-02-11	6441	9999-12-31	2013-05-08
6305/4-2 S	2938.000000	2985.000000	NISE FM	FORMATION	112	2011-02-11	6441	9999-12-31	2013-05-08
6305/4-2 S	1122.000000	1771.000000	NORDLAND GP	GROUP	113	2011-02-11	6441	9999-12-31	2013-05-08
6305/4-2 S	2389.000000	2878.000000	ROGALAND GP	GROUP	131	2011-02-11	6441	9999-12-31	2013-05-08
6305/4-2 S	2878.000000	2985.000000	SHETLAND GP	GROUP	143	2011-02-11	6441	9999-12-31	2013-05-08
6305/4-2 S	2878.000000	2938.000000	SPRINGAR FM	FORMATION	156	2011-02-11	6441	9999-12-31	2013-05-08
6305/4-2 S	2389.000000	2567.000000	TANG FM	FORMATION	161	2011-02-11	6441	9999-12-31	2013-05-08
6305/4-2 S	2567.000000	2835.000000	TARE FM	FORMATION	163	2011-02-11	6441	9999-12-31	2013-05-08
34/4-13 S	1853.000000	1909.000000	BALDER FM	FORMATION	6	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	4499.000000	4905.000000	BRENT GP	GROUP	16	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	4352.000000	4422.000000	CROMER KNOLL GP	GROUP	23	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	4422.000000	4472.000000	DRAUPNE FM	FORMATION	28	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	4472.000000	4499.000000	HEATHER FM	FORMATION	60	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	4905.000000	5010.000000	HEGRE GP	GROUP	61	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	1305.000000	1853.000000	HORDALAND GP	GROUP	67	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	2063.000000	2400.000000	JORSALFARE FM	FORMATION	74	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	2400.000000	4171.000000	KYRRE FM	FORMATION	92	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	1980.000000	2063.000000	LISTA FM	FORMATION	95	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	4905.000000	5010.000000	LUNDE FM	FORMATION	97	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	392.000000	1305.000000	NORDLAND GP	GROUP	113	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	1853.000000	2063.000000	ROGALAND GP	GROUP	131	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	1909.000000	1980.000000	SELE FM	FORMATION	142	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	2063.000000	4352.000000	SHETLAND GP	GROUP	143	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	4800.000000	4905.000000	STATFJORD FM	FORMATION	157	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	4171.000000	4352.000000	SVARTE FM	FORMATION	160	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	1163.000000	1305.000000	UTSIRA FM	FORMATION	183	2011-01-02	6442	9999-12-31	2013-05-08
34/4-13 S	4422.000000	4499.000000	VIKING GP	GROUP	188	2011-01-02	6442	9999-12-31	2013-05-08
7119/12-4	1116.000000	2296.000000	ADVENTDALEN GP	GROUP	1	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	2808.000000	2917.000000	FRUHOLMEN FM	FORMATION	46	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	2238.000000	2296.000000	FUGLEN FM	FORMATION	47	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	2058.000000	2238.000000	HEKKINGEN FM	FORMATION	63	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	2296.000000	2917.000000	KAPP TOSCANA GP	GROUP	79	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	1955.000000	2058.000000	KNURR FM	FORMATION	82	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	1636.000000	1955.000000	KOLJE FM	FORMATION	84	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	1116.000000	1636.000000	KOLMULE FM	FORMATION	85	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	215.000000	472.000000	NORDLAND GP	GROUP	113	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	2448.000000	2660.000000	NORDMELA FM	FORMATION	118	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	612.000000	1116.000000	NYGRUNNEN GP	GROUP	122	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	472.000000	612.000000	SOTBAKKEN GP	GROUP	154	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	2296.000000	2448.000000	STØ FM	FORMATION	159	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	472.000000	612.000000	TORSK FM	FORMATION	172	2011-02-17	6468	9999-12-31	2013-05-08
7119/12-4	2660.000000	2808.000000	TUBÅEN FM	FORMATION	174	2011-02-17	6468	9999-12-31	2013-05-08
3/8-1	2643.000000	2665.000000	BALDER FM	FORMATION	6	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	3130.000000	3286.000000	CROMER KNOLL GP	GROUP	23	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	2762.000000	2824.000000	EKOFISK FM	FORMATION	33	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	3305.000000	3465.000000	FARSUND FM	FORMATION	39	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	3465.000000	3563.000000	HAUGESUND FM	FORMATION	57	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	3114.000000	3130.000000	HIDRA FM	FORMATION	65	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	2961.000000	3114.000000	HOD FM	FORMATION	66	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	1215.000000	2643.000000	HORDALAND GP	GROUP	67	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	4019.000000	4021.000000	KUPFERSCHIEFER FM	FORMATION	88	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	2683.000000	2719.000000	LISTA FM	FORMATION	95	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	3286.000000	3305.000000	MANDAL FM	FORMATION	101	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	108.000000	1215.000000	NORDLAND GP	GROUP	113	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	2643.000000	2762.000000	ROGALAND GP	GROUP	131	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	4021.000000	4070.000000	ROTLIEGEND GP	GROUP	136	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	2665.000000	2683.000000	SELE FM	FORMATION	142	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	2762.000000	3130.000000	SHETLAND GP	GROUP	143	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	3130.000000	3162.000000	SOLA FM	FORMATION	152	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	2824.000000	2961.000000	TOR FM	FORMATION	171	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	3162.000000	3208.000000	TUXEN FM	FORMATION	175	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	2719.000000	2744.000000	TY FM	FORMATION	176	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	3286.000000	3563.000000	TYNE GP	GROUP	177	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	2744.000000	2762.000000	VÅLE FM	FORMATION	190	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	3563.000000	4021.000000	ZECHSTEIN GP	GROUP	194	2010-12-29	6476	9999-12-31	2013-05-08
3/8-1	3208.000000	3286.000000	ÅSGARD FM	FORMATION	198	2010-12-29	6476	9999-12-31	2013-05-08
7120/12-5	826.000000	2165.000000	ADVENTDALEN GP	GROUP	1	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	2407.000000	2582.000000	FRUHOLMEN FM	FORMATION	46	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	2153.000000	2165.000000	FUGLEN FM	FORMATION	47	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	1963.000000	2153.000000	HEKKINGEN FM	FORMATION	63	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	2165.000000	3572.000000	KAPP TOSCANA GP	GROUP	79	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	1828.000000	1963.000000	KNURR FM	FORMATION	82	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	3572.000000	3630.000000	KOBBE FM	FORMATION	83	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	1399.000000	1828.000000	KOLJE FM	FORMATION	84	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	826.000000	1399.000000	KOLMULE FM	FORMATION	85	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	210.000000	766.000000	NORDLAND GP	GROUP	113	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	2230.000000	2365.000000	NORDMELA FM	FORMATION	118	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	766.000000	826.000000	NYGRUNNEN GP	GROUP	122	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	3572.000000	3630.000000	SASSENDALEN GP	GROUP	140	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	2582.000000	3572.000000	SNADD FM	FORMATION	150	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	2165.000000	2230.000000	STØ FM	FORMATION	159	2011-01-03	6478	9999-12-31	2013-05-08
7120/12-5	2365.000000	2407.000000	TUBÅEN FM	FORMATION	174	2011-01-03	6478	9999-12-31	2013-05-08
7220/8-1	1014.000000	1276.000000	ADVENTDALEN GP	GROUP	1	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	1628.000000	2122.000000	FRUHOLMEN FM	FORMATION	46	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	1252.000000	1276.000000	FUGLEN FM	FORMATION	47	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	1276.000000	2222.000000	KAPP TOSCANA GP	GROUP	79	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	1245.000000	1252.000000	KNURR FM	FORMATION	82	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	1227.000000	1245.000000	KOLJE FM	FORMATION	84	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	1014.000000	1227.000000	KOLMULE FM	FORMATION	85	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	397.000000	455.000000	NORDLAND GP	GROUP	113	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	1354.000000	1511.000000	NORDMELA FM	FORMATION	118	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	2122.000000	2222.000000	SNADD FM	FORMATION	150	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	455.000000	1014.000000	SOTBAKKEN GP	GROUP	154	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	1276.000000	1354.000000	STØ FM	FORMATION	159	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	455.000000	1014.000000	TORSK FM	FORMATION	172	2011-05-02	6484	9999-12-31	2013-05-08
7220/8-1	1511.000000	1628.000000	TUBÅEN FM	FORMATION	174	2011-05-02	6484	9999-12-31	2013-05-08
15/6-11 S	2110.000000	2168.000000	BALDER FM	FORMATION	6	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3497.000000	3502.000000	BLODØKS FM	FORMATION	13	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3549.000000	3612.000000	CROMER KNOLL GP	GROUP	23	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3947.000000	3970.000000	COOK FM	FORMATION	24	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3612.000000	3725.000000	DRAUPNE FM	FORMATION	28	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3947.000000	3970.000000	DUNLIN GP	GROUP	29	2010-12-19	6488	2013-01-18	2013-05-08
15/6-11 S	2755.000000	2802.000000	EKOFISK FM	FORMATION	33	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	1748.000000	2110.000000	GRID FM	FORMATION	53	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3725.000000	3869.000000	HEATHER FM	FORMATION	60	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	2240.000000	2634.000000	HEIMDAL FM	FORMATION	62	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3502.000000	3549.000000	HIDRA FM	FORMATION	65	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3130.000000	3497.000000	HOD FM	FORMATION	66	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	996.000000	2110.000000	HORDALAND GP	GROUP	67	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3869.000000	3921.000000	HUGIN FM	FORMATION	69	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	2215.000000	2240.000000	LISTA FM	FORMATION	95	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	137.000000	996.000000	NORDLAND GP	GROUP	113	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	2110.000000	2755.000000	ROGALAND GP	GROUP	131	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3549.000000	3595.000000	RØDBY FM	FORMATION	137	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	2168.000000	2215.000000	SELE FM	FORMATION	142	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	2755.000000	3549.000000	SHETLAND GP	GROUP	143	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	1328.000000	1748.000000	SKADE FM	FORMATION	145	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3921.000000	3947.000000	SLEIPNER FM	FORMATION	148	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3595.000000	3600.000000	SOLA FM	FORMATION	152	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3970.000000	4042.000000	STATFJORD FM	FORMATION	157	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	2802.000000	3130.000000	TOR FM	FORMATION	171	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	785.000000	996.000000	UTSIRA FM	FORMATION	183	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3869.000000	3947.000000	VESTLAND GP	GROUP	186	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3612.000000	3869.000000	VIKING GP	GROUP	188	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	2634.000000	2755.000000	VÅLE FM	FORMATION	190	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3600.000000	3612.000000	ÅSGARD FM	FORMATION	198	2010-12-19	6488	9999-12-31	2013-05-08
15/6-11 S	3970.000000	4042.000000	NO GROUP DEFINED	GROUP	208	2010-12-19	6488	9999-12-31	2013-05-08
17/6-1	716.000000	745.000000	BALDER FM	FORMATION	6	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	1219.000000	2020.000000	BLODØKS FM	FORMATION	13	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	2020.000000	2630.000000	BOKNFJORD GP	GROUP	15	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	2647.000000	2726.000000	BRYNE FM	FORMATION	19	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	2542.000000	2630.000000	EGERSUND FM	FORMATION	30	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	2726.000000	2800.000000	FJERRITSLEV FM	FORMATION	42	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	2020.000000	2116.000000	FLEKKEFJORD FM	FORMATION	43	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	2800.000000	2988.000000	GASSUM FM	FORMATION	49	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	340.000000	716.000000	HORDALAND GP	GROUP	67	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	789.000000	865.000000	LISTA FM	FORMATION	95	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	290.000000	340.000000	NORDLAND GP	GROUP	113	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	716.000000	878.000000	ROGALAND GP	GROUP	131	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	2630.000000	2647.000000	SANDNES FM	FORMATION	139	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	2116.000000	2489.000000	SAUDA FM	FORMATION	141	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	745.000000	789.000000	SELE FM	FORMATION	142	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	878.000000	2020.000000	SHETLAND GP	GROUP	143	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	2988.000000	3065.000000	SKAGERRAK FM	FORMATION	146	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	2489.000000	2542.000000	TAU FM	FORMATION	164	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	2630.000000	3065.000000	VESTLAND GP	GROUP	186	2011-02-07	6501	9999-12-31	2013-05-08
17/6-1	865.000000	878.000000	VÅLE FM	FORMATION	190	2011-02-07	6501	9999-12-31	2013-05-08
6305/9-2	1654.000000	2420.000000	BRYGGE FM	FORMATION	18	2011-03-13	6502	9999-12-31	2013-05-08
6305/9-2	2989.000000	3016.000000	EGGA FM (INFORMAL)	FORMATION	31	2011-03-13	6502	9999-12-31	2013-05-08
6305/9-2	1654.000000	2420.000000	HORDALAND GP	GROUP	67	2011-03-13	6502	9999-12-31	2013-05-08
6305/9-2	1402.000000	1654.000000	KAI FM	FORMATION	77	2011-03-13	6502	9999-12-31	2013-05-08
6305/9-2	314.000000	1402.000000	NAUST FM	FORMATION	109	2011-03-13	6502	9999-12-31	2013-05-08
6305/9-2	314.000000	1654.000000	NORDLAND GP	GROUP	113	2011-03-13	6502	9999-12-31	2013-05-08
6305/9-2	2420.000000	3075.000000	ROGALAND GP	GROUP	131	2011-03-13	6502	9999-12-31	2013-05-08
6305/9-2	3016.000000	3075.000000	SPRINGAR FM	FORMATION	156	2011-03-13	6502	9999-12-31	2013-05-08
6305/9-2	2554.000000	2989.000000	TANG FM	FORMATION	161	2011-03-13	6502	9999-12-31	2013-05-08
6305/9-2	2420.000000	2554.000000	TARE FM	FORMATION	163	2011-03-13	6502	9999-12-31	2013-05-08
35/12-3 S	1120.000000	1169.000000	BALDER FM	FORMATION	6	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1923.000000	1930.000000	BLODØKS FM	FORMATION	13	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	2716.000000	2807.000000	BRENT GP	GROUP	16	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1980.000000	2019.000000	CROMER KNOLL GP	GROUP	23	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	2019.000000	2033.000000	DRAUPNE FM	FORMATION	28	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	2748.000000	2807.000000	ETIVE FM	FORMATION	35	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	2164.000000	2269.000000	FENSFJORD FM	FORMATION	40	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	2340.000000	2594.000000	FENSFJORD FM	FORMATION	40	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	2033.000000	2046.000000	HEATHER FM	FORMATION	60	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	2269.000000	2340.000000	HEATHER FM	FORMATION	60	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	570.000000	1120.000000	HORDALAND GP	GROUP	67	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1747.000000	1792.000000	JORSALFARE FM	FORMATION	74	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	2594.000000	2716.000000	KROSSFJORD FM	FORMATION	87	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1792.000000	1842.000000	KYRRE FM	FORMATION	92	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1239.000000	1638.000000	LISTA FM	FORMATION	95	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	2716.000000	2748.000000	NESS FM	FORMATION	110	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	381.000000	570.000000	NORDLAND GP	GROUP	113	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1120.000000	1747.000000	ROGALAND GP	GROUP	131	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1980.000000	2019.000000	RØDBY FM	FORMATION	137	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1169.000000	1239.000000	SELE FM	FORMATION	142	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1747.000000	1980.000000	SHETLAND GP	GROUP	143	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	2046.000000	2164.000000	SOGNEFJORD FM	FORMATION	151	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1930.000000	1980.000000	SVARTE FM	FORMATION	160	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1842.000000	1923.000000	TRYGGVASON FM	FORMATION	173	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	548.000000	570.000000	UTSIRA FM	FORMATION	183	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	2019.000000	2716.000000	VIKING GP	GROUP	188	2011-02-16	6516	9999-12-31	2013-05-08
35/12-3 S	1638.000000	1747.000000	VÅLE FM	FORMATION	190	2011-02-16	6516	9999-12-31	2013-05-08
16/1-15	1766.000000	1778.000000	BALDER FM	FORMATION	6	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1920.000000	2150.000000	BASEMENT	GROUP	10	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1915.000000	1920.000000	CROMER KNOLL GP	GROUP	23	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1889.000000	1906.000000	EKOFISK FM	FORMATION	33	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1553.000000	1642.000000	GRID FM	FORMATION	53	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1913.000000	1915.000000	HOD FM	FORMATION	66	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	944.000000	1766.000000	HORDALAND GP	GROUP	67	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1800.000000	1879.000000	LISTA FM	FORMATION	95	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	870.000000	944.000000	NO FORMAL NAME	FORMATION	111	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1189.000000	1553.000000	NO FORMAL NAME	FORMATION	111	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1642.000000	1766.000000	NO FORMAL NAME	FORMATION	111	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	136.000000	944.000000	NORDLAND GP	GROUP	113	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1766.000000	1889.000000	ROGALAND GP	GROUP	131	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1778.000000	1800.000000	SELE FM	FORMATION	142	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1889.000000	1915.000000	SHETLAND GP	GROUP	143	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	944.000000	1189.000000	SKADE FM	FORMATION	145	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1906.000000	1913.000000	TOR FM	FORMATION	171	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	774.000000	870.000000	UTSIRA FM	FORMATION	183	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1879.000000	1889.000000	VÅLE FM	FORMATION	190	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1915.000000	1917.000000	ÅSGARD FM	FORMATION	198	2011-04-05	6517	9999-12-31	2013-05-08
16/1-15	1917.000000	1920.000000	INTRA ÅSGARD FM SS	FORMATION	210	2011-04-05	6517	9999-12-31	2013-05-08
15/6-12	2191.000000	2244.000000	BALDER FM	FORMATION	6	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3517.000000	3526.000000	BLODØKS FM	FORMATION	13	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3629.000000	3669.000000	CROMER KNOLL GP	GROUP	23	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3669.000000	3780.000000	DRAUPNE FM	FORMATION	28	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	2751.000000	2782.000000	EKOFISK FM	FORMATION	33	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	1715.000000	2191.000000	GRID FM	FORMATION	53	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3780.000000	3798.000000	HEATHER FM	FORMATION	60	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3876.000000	3930.000000	HEGRE GP	GROUP	61	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	2341.000000	2559.000000	HEIMDAL FM	FORMATION	62	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3081.000000	3517.000000	HOD FM	FORMATION	66	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	999.000000	2191.000000	HORDALAND GP	GROUP	67	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3798.000000	3810.000000	HUGIN FM	FORMATION	69	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	2310.000000	2341.000000	LISTA FM	FORMATION	95	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	139.000000	999.000000	NORDLAND GP	GROUP	113	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	2191.000000	2751.000000	ROGALAND GP	GROUP	131	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3629.000000	3666.000000	RØDBY FM	FORMATION	137	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	2244.000000	2310.000000	SELE FM	FORMATION	142	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	2751.000000	3629.000000	SHETLAND GP	GROUP	143	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	1298.000000	1715.000000	SKADE FM	FORMATION	145	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3876.000000	3930.000000	SKAGERRAK FM	FORMATION	146	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3810.000000	3876.000000	SLEIPNER FM	FORMATION	148	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3666.000000	3669.000000	SOLA FM	FORMATION	152	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3526.000000	3629.000000	SVARTE FM	FORMATION	160	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	2782.000000	3081.000000	TOR FM	FORMATION	171	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	2559.000000	2751.000000	TY FM	FORMATION	176	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	762.000000	999.000000	UTSIRA FM	FORMATION	183	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3798.000000	3876.000000	VESTLAND GP	GROUP	186	2011-02-09	6518	9999-12-31	2013-05-08
15/6-12	3669.000000	3798.000000	VIKING GP	GROUP	188	2011-02-09	6518	9999-12-31	2013-05-08
15/6-11 A	2109.000000	2167.000000	BALDER FM	FORMATION	6	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	3715.000000	3718.000000	BLODØKS FM	FORMATION	13	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	3802.000000	3867.000000	CROMER KNOLL GP	GROUP	23	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	4286.000000	4291.000000	COOK FM	FORMATION	24	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	3967.000000	4009.000000	DRAUPNE FM	FORMATION	28	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	4286.000000	4291.000000	DUNLIN GP	GROUP	29	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	2850.000000	2895.000000	EKOFISK FM	FORMATION	33	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	1748.000000	2109.000000	GRID FM	FORMATION	53	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	4009.000000	4121.000000	HEATHER FM	FORMATION	60	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	2245.000000	2757.000000	HEIMDAL FM	FORMATION	62	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	3718.000000	3802.000000	HIDRA FM	FORMATION	65	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	3284.000000	3715.000000	HOD FM	FORMATION	66	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	996.000000	2109.000000	HORDALAND GP	GROUP	67	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	4121.000000	4201.000000	HUGIN FM	FORMATION	69	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	2217.000000	2245.000000	LISTA FM	FORMATION	95	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	137.000000	996.000000	NORDLAND GP	GROUP	113	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	2109.000000	2850.000000	ROGALAND GP	GROUP	131	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	3802.000000	3867.000000	RØDBY FM	FORMATION	137	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	2167.000000	2217.000000	SELE FM	FORMATION	142	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	2850.000000	3802.000000	SHETLAND GP	GROUP	143	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	1328.000000	1748.000000	SKADE FM	FORMATION	145	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	4201.000000	4286.000000	SLEIPNER FM	FORMATION	148	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	3914.000000	3935.000000	SOLA FM	FORMATION	152	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	4291.000000	4305.000000	STATFJORD FM	FORMATION	157	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	2895.000000	3284.000000	TOR FM	FORMATION	171	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	786.000000	996.000000	UTSIRA FM	FORMATION	183	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	4121.000000	4286.000000	VESTLAND GP	GROUP	186	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	3867.000000	3967.000000	VIKING GP	GROUP	188	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	3967.000000	4121.000000	VIKING GP	GROUP	188	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	2757.000000	2850.000000	VÅLE FM	FORMATION	190	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	3935.000000	3967.000000	ÅSGARD FM	FORMATION	198	2011-03-13	6526	9999-12-31	2013-05-08
15/6-11 A	4291.000000	4305.000000	NO GROUP DEFINED	GROUP	208	2011-03-13	6526	9999-12-31	2013-05-08
24/9-10 S	2063.000000	2175.000000	BALDER FM	FORMATION	6	2011-02-02	6531	9999-12-31	2013-05-08
24/9-10 S	1248.000000	2063.000000	GRID FM	FORMATION	53	2011-02-02	6531	9999-12-31	2013-05-08
24/9-10 S	2211.000000	2299.000000	HERMOD FM	FORMATION	64	2011-02-02	6531	9999-12-31	2013-05-08
24/9-10 S	867.000000	2063.000000	HORDALAND GP	GROUP	67	2011-02-02	6531	9999-12-31	2013-05-08
24/9-10 S	2299.000000	2339.000000	LISTA FM	FORMATION	95	2011-02-02	6531	9999-12-31	2013-05-08
24/9-10 S	144.000000	867.000000	NORDLAND GP	GROUP	113	2011-02-02	6531	9999-12-31	2013-05-08
24/9-10 S	2063.000000	2339.000000	ROGALAND GP	GROUP	131	2011-02-02	6531	9999-12-31	2013-05-08
24/9-10 S	2175.000000	2211.000000	SELE FM	FORMATION	142	2011-02-02	6531	9999-12-31	2013-05-08
24/9-10 S	642.000000	867.000000	UTSIRA FM	FORMATION	183	2011-02-02	6531	9999-12-31	2013-05-08
6507/8-8	1752.000000	1934.000000	BRYGGE FM	FORMATION	18	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	2125.000000	2554.000000	BÅT GP	GROUP	22	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	1752.000000	1934.000000	HORDALAND GP	GROUP	67	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	1428.000000	1752.000000	KAI FM	FORMATION	77	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	2096.000000	2125.000000	KVITNOS FM	FORMATION	91	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	358.000000	1428.000000	NAUST FM	FORMATION	109	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	2040.000000	2096.000000	NISE FM	FORMATION	112	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	358.000000	1752.000000	NORDLAND GP	GROUP	113	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	1934.000000	2010.000000	ROGALAND GP	GROUP	131	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	2125.000000	2151.000000	ROR FM	FORMATION	135	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	2010.000000	2125.000000	SHETLAND GP	GROUP	143	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	2010.000000	2040.000000	SPRINGAR FM	FORMATION	156	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	1982.000000	2010.000000	TANG FM	FORMATION	161	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	1934.000000	1982.000000	TARE FM	FORMATION	163	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	2151.000000	2327.000000	TILJE FM	FORMATION	169	2011-04-20	6538	9999-12-31	2013-05-08
6507/8-8	2327.000000	2554.000000	ÅRE FM	FORMATION	197	2011-04-20	6538	9999-12-31	2013-05-08
7/11-12 S	3152.000000	3171.000000	BALDER FM	FORMATION	6	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	4644.000000	4660.000000	BLODØKS FM	FORMATION	13	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	4807.000000	5059.000000	CROMER KNOLL GP	GROUP	23	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	3469.000000	3567.000000	EKOFISK FM	FORMATION	33	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	5082.000000	5197.000000	FARSUND FM	FORMATION	39	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	3233.000000	3332.000000	FORTIES FM	FORMATION	44	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	5213.000000	5420.000000	HEGRE GP	GROUP	61	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	4660.000000	4807.000000	HIDRA FM	FORMATION	65	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	4066.000000	4644.000000	HOD FM	FORMATION	66	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	1606.000000	3152.000000	HORDALAND GP	GROUP	67	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	3332.000000	3415.000000	LISTA FM	FORMATION	95	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	5059.000000	5082.000000	MANDAL FM	FORMATION	101	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	119.000000	1606.000000	NORDLAND GP	GROUP	113	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	3152.000000	3469.000000	ROGALAND GP	GROUP	131	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	4807.000000	4873.000000	RØDBY FM	FORMATION	137	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	3171.000000	3233.000000	SELE FM	FORMATION	142	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	3469.000000	4807.000000	SHETLAND GP	GROUP	143	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	5213.000000	5420.000000	SKAGERRAK FM	FORMATION	146	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	4873.000000	4888.000000	SOLA FM	FORMATION	152	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	3567.000000	4066.000000	TOR FM	FORMATION	171	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	4888.000000	4935.000000	TUXEN FM	FORMATION	175	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	5059.000000	5197.000000	TYNE GP	GROUP	177	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	5197.000000	5213.000000	ULA FM	FORMATION	179	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	2899.000000	3152.000000	UNDIFFERENTIATED	FORMATION	182	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	5197.000000	5213.000000	VESTLAND GP	GROUP	186	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	3415.000000	3469.000000	VÅLE FM	FORMATION	190	2011-07-16	6549	9999-12-31	2013-05-08
7/11-12 S	4935.000000	5059.000000	ÅSGARD FM	FORMATION	198	2011-07-16	6549	9999-12-31	2013-05-08
6407/4-2	1598.000000	1598.000000	BRYGGE FM	FORMATION	18	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	3041.000000	3795.000000	CROMER KNOLL GP	GROUP	23	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	4008.000000	4230.000000	FANGST GP	GROUP	38	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	4008.000000	4093.000000	GARN FM	FORMATION	48	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	1598.000000	2092.000000	HORDALAND GP	GROUP	67	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	4144.000000	4230.000000	ILE FM	FORMATION	70	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	1259.000000	1598.000000	KAI FM	FORMATION	77	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	2607.000000	3041.000000	KVITNOS FM	FORMATION	91	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	3041.000000	3769.000000	LANGE FM	FORMATION	94	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	3769.000000	3795.000000	LYR FM	FORMATION	98	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	3874.000000	4008.000000	MELKE FM	FORMATION	105	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	245.000000	1259.000000	NAUST FM	FORMATION	109	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	2358.000000	2607.000000	NISE FM	FORMATION	112	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	245.000000	1598.000000	NORDLAND GP	GROUP	113	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	4093.000000	4144.000000	NOT FM	FORMATION	120	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	2092.000000	2264.000000	ROGALAND GP	GROUP	131	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	2264.000000	3041.000000	SHETLAND GP	GROUP	143	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	3795.000000	3874.000000	SPEKK FM	FORMATION	155	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	2264.000000	2358.000000	SPRINGAR FM	FORMATION	156	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	2170.000000	2264.000000	TANG FM	FORMATION	161	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	2092.000000	2170.000000	TARE FM	FORMATION	163	2011-04-13	6557	9999-12-31	2013-05-08
6407/4-2	3795.000000	4008.000000	VIKING GP	GROUP	188	2011-04-13	6557	9999-12-31	2013-05-08
24/9-10 A	2514.000000	2740.000000	BALDER FM	FORMATION	6	2011-02-20	6560	9999-12-31	2013-05-08
24/9-10 A	1248.000000	2514.000000	GRID FM	FORMATION	53	2011-02-20	6560	9999-12-31	2013-05-08
24/9-10 A	2799.000000	2881.000000	HERMOD FM	FORMATION	64	2011-02-20	6560	9999-12-31	2013-05-08
24/9-10 A	867.000000	2514.000000	HORDALAND GP	GROUP	67	2011-02-20	6560	9999-12-31	2013-05-08
24/9-10 A	2881.000000	2900.000000	LISTA FM	FORMATION	95	2011-02-20	6560	9999-12-31	2013-05-08
24/9-10 A	144.000000	867.000000	NORDLAND GP	GROUP	113	2011-02-20	6560	9999-12-31	2013-05-08
24/9-10 A	2514.000000	2900.000000	ROGALAND GP	GROUP	131	2011-02-20	6560	9999-12-31	2013-05-08
24/9-10 A	2740.000000	2799.000000	SELE FM	FORMATION	142	2011-02-20	6560	9999-12-31	2013-05-08
24/9-10 A	642.000000	867.000000	UTSIRA FM	FORMATION	183	2011-02-20	6560	9999-12-31	2013-05-08
6604/2-1	1652.000000	2456.000000	BRYGGE FM	FORMATION	18	2011-05-07	6568	9999-12-31	2013-05-08
6604/2-1	1652.000000	2456.000000	HORDALAND GP	GROUP	67	2011-05-07	6568	9999-12-31	2013-05-08
6604/2-1	1478.000000	1652.000000	KAI FM	FORMATION	77	2011-05-07	6568	9999-12-31	2013-05-08
6604/2-1	1302.000000	1478.000000	NAUST FM	FORMATION	109	2011-05-07	6568	9999-12-31	2013-05-08
6604/2-1	1302.000000	1652.000000	NORDLAND GP	GROUP	113	2011-05-07	6568	9999-12-31	2013-05-08
6604/2-1	2456.000000	3077.000000	ROGALAND GP	GROUP	131	2011-05-07	6568	9999-12-31	2013-05-08
6604/2-1	3077.000000	3551.000000	SHETLAND GP	GROUP	143	2011-05-07	6568	9999-12-31	2013-05-08
6604/2-1	3077.000000	3551.000000	SPRINGAR FM	FORMATION	156	2011-05-07	6568	9999-12-31	2013-05-08
6604/2-1	2656.000000	3077.000000	TANG FM	FORMATION	161	2011-05-07	6568	9999-12-31	2013-05-08
6604/2-1	2456.000000	2656.000000	TARE FM	FORMATION	163	2011-05-07	6568	9999-12-31	2013-05-08
6407/3-1 S	1288.000000	1966.000000	BRYGGE FM	FORMATION	18	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2515.000000	2538.000000	CROMER KNOLL GP	GROUP	23	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2622.000000	2928.000000	FANGST GP	GROUP	38	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2622.000000	2667.000000	GARN FM	FORMATION	48	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	1288.000000	1966.000000	HORDALAND GP	GROUP	67	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2700.000000	2755.000000	ILE FM	FORMATION	70	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	1239.000000	1288.000000	KAI FM	FORMATION	77	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2285.000000	2515.000000	KVITNOS FM	FORMATION	91	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2515.000000	2530.000000	LANGE FM	FORMATION	94	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2530.000000	2538.000000	LYR FM	FORMATION	98	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	624.000000	1239.000000	NAUST FM	FORMATION	109	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2157.000000	2285.000000	NISE FM	FORMATION	112	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	257.000000	1288.000000	NORDLAND GP	GROUP	113	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2667.000000	2700.000000	NOT FM	FORMATION	120	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	1966.000000	2117.000000	ROGALAND GP	GROUP	131	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2755.000000	2875.000000	ROR FM	FORMATION	135	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2117.000000	2515.000000	SHETLAND GP	GROUP	143	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2538.000000	2622.000000	SPEKK FM	FORMATION	155	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2117.000000	2157.000000	SPRINGAR FM	FORMATION	156	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2023.000000	2117.000000	TANG FM	FORMATION	161	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	1966.000000	2023.000000	TARE FM	FORMATION	163	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2875.000000	2928.000000	TILJE FM	FORMATION	169	2011-05-08	6582	9999-12-31	2013-05-08
6407/3-1 S	2538.000000	2622.000000	VIKING GP	GROUP	188	2011-05-08	6582	9999-12-31	2013-05-08
6406/3-9	1936.000000	2324.000000	BRYGGE FM	FORMATION	18	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	3395.000000	4183.000000	CROMER KNOLL GP	GROUP	23	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	1936.000000	2324.000000	HORDALAND GP	GROUP	67	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	1436.000000	1936.000000	KAI FM	FORMATION	77	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	2805.000000	3395.000000	KVITNOS FM	FORMATION	91	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	3500.000000	4079.000000	LANGE FM	FORMATION	94	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	4135.000000	4183.000000	LANGE FM	FORMATION	94	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	3395.000000	3500.000000	LYSING FM	FORMATION	99	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	341.000000	1436.000000	NAUST FM	FORMATION	109	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	4079.000000	4135.000000	NO FORMAL NAME	FORMATION	111	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	2641.000000	2805.000000	NISE FM	FORMATION	112	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	341.000000	1936.000000	NORDLAND GP	GROUP	113	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	2324.000000	2447.000000	ROGALAND GP	GROUP	131	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	2447.000000	3395.000000	SHETLAND GP	GROUP	143	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	2447.000000	2641.000000	SPRINGAR FM	FORMATION	156	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	2387.000000	2447.000000	TANG FM	FORMATION	161	2012-03-26	6594	9999-12-31	2013-05-08
6406/3-9	2324.000000	2387.000000	TARE FM	FORMATION	163	2012-03-26	6594	9999-12-31	2013-05-08
31/8-1	1253.000000	1366.000000	BALDER FM	FORMATION	6	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1527.000000	1540.000000	BLODØKS FM	FORMATION	13	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1599.000000	1999.000000	CROMER KNOLL GP	GROUP	23	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1999.000000	2109.000000	DRAUPNE FM	FORMATION	28	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1483.000000	1494.000000	EKOFISK FM	FORMATION	33	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	2367.000000	2498.000000	FENSFJORD FM	FORMATION	40	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	2109.000000	2123.000000	HEATHER FM	FORMATION	60	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	715.000000	1253.000000	HORDALAND GP	GROUP	67	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	2498.000000	2629.000000	KROSSFJORD FM	FORMATION	87	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1386.000000	1466.000000	LISTA FM	FORMATION	95	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	336.000000	715.000000	NORDLAND GP	GROUP	113	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1253.000000	1483.000000	ROGALAND GP	GROUP	131	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1599.000000	1673.000000	RØDBY FM	FORMATION	137	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1366.000000	1386.000000	SELE FM	FORMATION	142	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1483.000000	1599.000000	SHETLAND GP	GROUP	143	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	2123.000000	2367.000000	SOGNEFJORD FM	FORMATION	151	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1673.000000	1811.000000	SOLA FM	FORMATION	152	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1540.000000	1599.000000	SVARTE FM	FORMATION	160	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1494.000000	1527.000000	TRYGGVASON FM	FORMATION	173	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1999.000000	2629.000000	VIKING GP	GROUP	188	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1466.000000	1483.000000	VÅLE FM	FORMATION	190	2011-07-24	6604	9999-12-31	2013-05-08
31/8-1	1811.000000	1999.000000	ÅSGARD FM	FORMATION	198	2011-07-24	6604	9999-12-31	2013-05-08
7/11-12 A	3152.000000	3171.000000	BALDER FM	FORMATION	6	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	4753.000000	4762.000000	BLODØKS FM	FORMATION	13	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	4995.000000	5301.000000	CROMER KNOLL GP	GROUP	23	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	3469.000000	3567.000000	EKOFISK FM	FORMATION	33	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	5321.000000	5493.000000	FARSUND FM	FORMATION	39	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	3233.000000	3332.000000	FORTIES FM	FORMATION	44	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	5587.000000	5672.000000	HEGRE GP	GROUP	61	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	4762.000000	4995.000000	HIDRA FM	FORMATION	65	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	4067.000000	4753.000000	HOD FM	FORMATION	66	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	1606.000000	3152.000000	HORDALAND GP	GROUP	67	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	3332.000000	3415.000000	LISTA FM	FORMATION	95	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	5301.000000	5321.000000	MANDAL FM	FORMATION	101	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	119.000000	1606.000000	NORDLAND GP	GROUP	113	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	3152.000000	3469.000000	ROGALAND GP	GROUP	131	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	4995.000000	5089.000000	RØDBY FM	FORMATION	137	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	3171.000000	3233.000000	SELE FM	FORMATION	142	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	3469.000000	4995.000000	SHETLAND GP	GROUP	143	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	5587.000000	5672.000000	SKAGERRAK FM	FORMATION	146	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	5089.000000	5112.000000	SOLA FM	FORMATION	152	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	3567.000000	4067.000000	TOR FM	FORMATION	171	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	5112.000000	5162.000000	TUXEN FM	FORMATION	175	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	5301.000000	5493.000000	TYNE GP	GROUP	177	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	5493.000000	5587.000000	ULA FM	FORMATION	179	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	2899.000000	3152.000000	UNDIFFERENTIATED	FORMATION	182	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	5493.000000	5587.000000	VESTLAND GP	GROUP	186	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	3415.000000	3469.000000	VÅLE FM	FORMATION	190	2011-12-31	6655	9999-12-31	2013-05-08
7/11-12 A	5162.000000	5301.000000	ÅSGARD FM	FORMATION	198	2011-12-31	6655	9999-12-31	2013-05-08
6507/6-4 S	1042.000000	1208.000000	BÅT GP	GROUP	22	2011-11-16	6725	9999-12-31	2013-05-08
6507/6-4 S	1208.000000	1287.000000	GREY BEDS (INFORMAL)	GROUP	52	2011-11-16	6725	9999-12-31	2013-05-08
6507/6-4 S	853.000000	1042.000000	KAI FM	FORMATION	77	2011-11-16	6725	9999-12-31	2013-05-08
6507/6-4 S	395.000000	853.000000	NAUST FM	FORMATION	109	2011-11-16	6725	9999-12-31	2013-05-08
6507/6-4 S	395.000000	1042.000000	NORDLAND GP	GROUP	113	2011-11-16	6725	9999-12-31	2013-05-08
6507/6-4 S	1287.000000	1333.000000	RED BEDS (INFORMAL)	GROUP	129	2011-11-16	6725	9999-12-31	2013-05-08
6507/6-4 S	1042.000000	1208.000000	ÅRE FM	FORMATION	197	2011-11-16	6725	9999-12-31	2013-05-08
6507/6-4 A	1040.000000	1209.000000	BÅT GP	GROUP	22	2012-01-29	6753	9999-12-31	2013-05-08
6507/6-4 A	1209.000000	1289.000000	GREY BEDS (INFORMAL)	GROUP	52	2012-01-29	6753	9999-12-31	2013-05-08
6507/6-4 A	852.000000	1040.000000	KAI FM	FORMATION	77	2012-01-29	6753	9999-12-31	2013-05-08
6507/6-4 A	395.000000	852.000000	NAUST FM	FORMATION	109	2012-01-29	6753	9999-12-31	2013-05-08
6507/6-4 A	395.000000	1040.000000	NORDLAND GP	GROUP	113	2012-01-29	6753	9999-12-31	2013-05-08
6507/6-4 A	1289.000000	4652.000000	RED BEDS (INFORMAL)	GROUP	129	2012-01-29	6753	9999-12-31	2013-05-08
6507/6-4 A	1040.000000	1209.000000	ÅRE FM	FORMATION	197	2012-01-29	6753	9999-12-31	2013-05-08
6507/6-4 A	4652.000000	4895.000000	NO GROUP DEFINED	GROUP	208	2012-01-29	6753	9999-12-31	2013-05-08
6507/6-4 A	4895.000000	4957.000000	NO GROUP DEFINED	GROUP	208	2012-01-29	6753	9999-12-31	2013-05-08
7228/1-1	416.000000	967.000000	ADVENTDALEN GP	GROUP	1	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	1034.000000	1137.000000	FRUHOLMEN FM	FORMATION	46	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	928.000000	967.000000	FUGLEN FM	FORMATION	47	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	881.000000	928.000000	HEKKINGEN FM	FORMATION	63	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	967.000000	1513.000000	KAPP TOSCANA GP	GROUP	79	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	843.000000	881.000000	KNURR FM	FORMATION	82	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	1513.000000	1714.000000	KOBBE FM	FORMATION	83	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	416.000000	843.000000	KOLMULE FM	FORMATION	85	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	391.000000	416.000000	NORDLAND GP	GROUP	113	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	967.000000	974.000000	NORDMELA FM	FORMATION	118	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	1513.000000	1714.000000	SASSENDALEN GP	GROUP	140	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	1137.000000	1513.000000	SNADD FM	FORMATION	150	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	974.000000	1034.000000	TUBÅEN FM	FORMATION	174	2012-04-26	6820	9999-12-31	2013-05-08
7228/1-1	391.000000	416.000000	UNDIFFERENTIATED	FORMATION	182	2012-04-26	6820	9999-12-31	2013-05-08
\.



COPY strat_litho_wellbore_core (wlbname, lsucorelenght, lsuname, lsulevel, wlbcompletiondate, lsunpdidlithostrat, wlbnpdidwellbore, datesyncnpd) FROM stdin;
1/3-4	1.000000	SHETLAND GP	GROUP	1983-05-08	143	2	2013-05-08
1/3-4	1.000000	TOR FM	FORMATION	1983-05-08	171	2	2013-05-08
1/3-4	9.000000	ZECHSTEIN GP	GROUP	1983-05-08	194	2	2013-05-08
2/2-3	17.000000	ULA FM	FORMATION	1983-05-11	179	3	2013-05-08
2/2-3	17.000000	VESTLAND GP	GROUP	1983-05-11	186	3	2013-05-08
34/10-17	279.000000	BRENT GP	GROUP	1983-07-08	16	5	2013-05-08
34/10-17	3.000000	ETIVE FM	FORMATION	1983-07-08	35	5	2013-05-08
34/10-17	3.000000	HEATHER FM	FORMATION	1983-07-08	60	5	2013-05-08
34/10-17	216.000000	NESS FM	FORMATION	1983-07-08	110	5	2013-05-08
34/10-17	30.000000	RANNOCH FM	FORMATION	1983-07-08	126	5	2013-05-08
34/10-17	32.000000	TARBERT FM	FORMATION	1983-07-08	162	5	2013-05-08
34/10-17	3.000000	VIKING GP	GROUP	1983-07-08	188	5	2013-05-08
31/2-11	3.000000	CROMER KNOLL GP	GROUP	1983-05-25	23	6	2013-05-08
31/2-11	18.000000	HEATHER FM	FORMATION	1983-05-25	60	6	2013-05-08
31/2-11	38.000000	SOGNEFJORD FM	FORMATION	1983-05-25	151	6	2013-05-08
31/2-11	56.000000	VIKING GP	GROUP	1983-05-25	188	6	2013-05-08
30/6-13	71.000000	BRENT GP	GROUP	1983-05-14	16	7	2013-05-08
30/6-13	1.000000	DRAKE FM	FORMATION	1983-05-14	27	7	2013-05-08
30/6-13	1.000000	DUNLIN GP	GROUP	1983-05-14	29	7	2013-05-08
30/6-13	31.000000	ETIVE FM	FORMATION	1983-05-14	35	7	2013-05-08
30/6-13	40.000000	NESS FM	FORMATION	1983-05-14	110	7	2013-05-08
7120/12-3	18.000000	KAPP TOSCANA GP	GROUP	1983-05-05	79	8	2013-05-08
7120/12-3	18.000000	STØ FM	FORMATION	1983-05-05	159	8	2013-05-08
7120/8-3	36.000000	KAPP TOSCANA GP	GROUP	1983-05-24	79	9	2013-05-08
7120/8-3	36.000000	STØ FM	FORMATION	1983-05-24	159	9	2013-05-08
30/9-2	167.000000	BRENT GP	GROUP	1983-07-12	16	11	2013-05-08
30/9-2	10.000000	DRAKE FM	FORMATION	1983-07-12	27	11	2013-05-08
30/9-2	10.000000	DUNLIN GP	GROUP	1983-07-12	29	11	2013-05-08
30/9-2	63.000000	ETIVE FM	FORMATION	1983-07-12	35	11	2013-05-08
30/9-2	104.000000	NESS FM	FORMATION	1983-07-12	110	11	2013-05-08
6610/7-1	27.000000	BÅT GP	GROUP	1983-06-19	22	12	2013-05-08
6610/7-1	18.000000	CROMER KNOLL GP	GROUP	1983-06-19	23	12	2013-05-08
6610/7-1	18.000000	FANGST GP	GROUP	1983-06-19	38	12	2013-05-08
6610/7-1	18.000000	ILE FM	FORMATION	1983-06-19	70	12	2013-05-08
6610/7-1	11.000000	LANGE FM	FORMATION	1983-06-19	94	12	2013-05-08
6610/7-1	7.000000	NO FORMAL NAME	FORMATION	1983-06-19	111	12	2013-05-08
6610/7-1	27.000000	ROR FM	FORMATION	1983-06-19	135	12	2013-05-08
7117/9-2	35.000000	ADVENTDALEN GP	GROUP	1983-09-09	1	13	2013-05-08
7117/9-2	35.000000	KOLMULE FM	FORMATION	1983-09-09	85	13	2013-05-08
31/2-12	86.000000	SOGNEFJORD FM	FORMATION	1983-09-08	151	14	2013-05-08
31/2-12	86.000000	VIKING GP	GROUP	1983-09-08	188	14	2013-05-08
6609/11-1	37.000000	BÅT GP	GROUP	1983-07-07	22	15	2013-05-08
6609/11-1	37.000000	TILJE FM	FORMATION	1983-07-07	169	15	2013-05-08
6609/11-1	0.000000	ÅRE FM	FORMATION	1983-07-07	197	15	2013-05-08
6407/2-2	96.000000	FANGST GP	GROUP	1983-07-31	38	16	2013-05-08
6407/2-2	44.000000	GARN FM	FORMATION	1983-07-31	48	16	2013-05-08
6407/2-2	42.000000	ILE FM	FORMATION	1983-07-31	70	16	2013-05-08
6407/2-2	9.000000	NOT FM	FORMATION	1983-07-31	120	16	2013-05-08
7119/12-3	26.000000	KAPP TOSCANA GP	GROUP	1983-09-12	79	17	2013-05-08
7119/12-3	26.000000	STØ FM	FORMATION	1983-09-12	159	17	2013-05-08
7120/7-2	78.000000	KAPP TOSCANA GP	GROUP	1983-08-21	79	18	2013-05-08
7120/7-2	78.000000	STØ FM	FORMATION	1983-08-21	159	18	2013-05-08
6609/7-1	3.000000	BASEMENT	GROUP	1983-08-03	10	19	2013-05-08
31/3-1	1.000000	DRAUPNE FM	FORMATION	1983-10-13	28	20	2013-05-08
31/3-1	82.000000	FENSFJORD FM	FORMATION	1983-10-13	40	20	2013-05-08
31/3-1	19.000000	HEATHER FM	FORMATION	1983-10-13	60	20	2013-05-08
31/3-1	139.000000	SOGNEFJORD FM	FORMATION	1983-10-13	151	20	2013-05-08
31/3-1	240.000000	VIKING GP	GROUP	1983-10-13	188	20	2013-05-08
31/6-1	1.000000	BASEMENT	GROUP	1983-10-28	10	22	2013-05-08
31/6-1	82.000000	FENSFJORD FM	FORMATION	1983-10-28	40	22	2013-05-08
31/6-1	29.000000	HEATHER FM	FORMATION	1983-10-28	60	22	2013-05-08
31/6-1	122.000000	SOGNEFJORD FM	FORMATION	1983-10-28	151	22	2013-05-08
31/6-1	233.000000	VIKING GP	GROUP	1983-10-28	188	22	2013-05-08
34/10-18	18.000000	BRENT GP	GROUP	1983-08-30	16	23	2013-05-08
34/10-18	7.000000	CROMER KNOLL GP	GROUP	1983-08-30	23	23	2013-05-08
34/10-18	4.000000	DRAUPNE FM	FORMATION	1983-08-30	28	23	2013-05-08
34/10-18	9.000000	HEATHER FM	FORMATION	1983-08-30	60	23	2013-05-08
34/10-18	7.000000	MIME FM	FORMATION	1983-08-30	106	23	2013-05-08
34/10-18	18.000000	TARBERT FM	FORMATION	1983-08-30	162	23	2013-05-08
34/10-18	13.000000	VIKING GP	GROUP	1983-08-30	188	23	2013-05-08
6609/10-1	21.000000	BÅT GP	GROUP	1983-08-29	22	24	2013-05-08
6609/10-1	12.000000	TILJE FM	FORMATION	1983-08-29	169	24	2013-05-08
6609/10-1	9.000000	ÅRE FM	FORMATION	1983-08-29	197	24	2013-05-08
2/5-7	33.000000	SHETLAND GP	GROUP	1984-02-24	143	25	2013-05-08
2/5-7	33.000000	TOR FM	FORMATION	1984-02-24	171	25	2013-05-08
6610/7-2	9.000000	BÅT GP	GROUP	1984-03-14	22	26	2013-05-08
6610/7-2	15.000000	GREY BEDS (INFORMAL)	GROUP	1984-03-14	52	26	2013-05-08
6610/7-2	9.000000	TILJE FM	FORMATION	1984-03-14	169	26	2013-05-08
7/8-3	1.000000	SMITH BANK FM	FORMATION	1983-12-12	149	28	2013-05-08
7/8-3	36.000000	ULA FM	FORMATION	1983-12-12	179	28	2013-05-08
7/8-3	36.000000	VESTLAND GP	GROUP	1983-12-12	186	28	2013-05-08
7/8-3	1.000000	NO GROUP DEFINED	GROUP	1983-12-12	208	28	2013-05-08
6407/1-3	106.000000	FANGST GP	GROUP	1984-01-16	38	29	2013-05-08
6407/1-3	84.000000	GARN FM	FORMATION	1984-01-16	48	29	2013-05-08
6407/1-3	10.000000	ILE FM	FORMATION	1984-01-16	70	29	2013-05-08
6407/1-3	12.000000	NOT FM	FORMATION	1984-01-16	120	29	2013-05-08
7/11-8	19.000000	HORDALAND GP	GROUP	1983-12-12	67	30	2013-05-08
29/9-1	33.000000	BRENT GP	GROUP	1984-02-24	16	31	2013-05-08
29/9-1	5.000000	BROOM FM	FORMATION	1984-02-24	17	31	2013-05-08
29/9-1	9.000000	DRAKE FM	FORMATION	1984-02-24	27	31	2013-05-08
29/9-1	9.000000	DUNLIN GP	GROUP	1984-02-24	29	31	2013-05-08
29/9-1	12.000000	ETIVE FM	FORMATION	1984-02-24	35	31	2013-05-08
29/9-1	1.000000	HEATHER FM	FORMATION	1984-02-24	60	31	2013-05-08
29/9-1	7.000000	NESS FM	FORMATION	1984-02-24	110	31	2013-05-08
29/9-1	10.000000	RANNOCH FM	FORMATION	1984-02-24	126	31	2013-05-08
29/9-1	1.000000	VIKING GP	GROUP	1984-02-24	188	31	2013-05-08
31/5-2	5.000000	INTRA DRAUPNE FM SS	FORMATION	1983-11-11	26	32	2013-05-08
31/5-2	10.000000	DRAUPNE FM	FORMATION	1983-11-11	28	32	2013-05-08
31/5-2	76.000000	SOGNEFJORD FM	FORMATION	1983-11-11	151	32	2013-05-08
31/5-2	91.000000	VIKING GP	GROUP	1983-11-11	188	32	2013-05-08
31/6-2	0.000000	DRAUPNE FM	FORMATION	1983-12-11	28	34	2013-05-08
31/6-2	25.000000	HEATHER FM	FORMATION	1983-12-11	60	34	2013-05-08
31/6-2	156.000000	SOGNEFJORD FM	FORMATION	1983-12-11	151	34	2013-05-08
31/6-2	181.000000	VIKING GP	GROUP	1983-12-11	188	34	2013-05-08
31/6-3	0.000000	DRAUPNE FM	FORMATION	1983-12-26	28	35	2013-05-08
31/6-3	25.000000	FENSFJORD FM	FORMATION	1983-12-26	40	35	2013-05-08
31/6-3	16.000000	HEATHER FM	FORMATION	1983-12-26	60	35	2013-05-08
31/6-3	137.000000	SOGNEFJORD FM	FORMATION	1983-12-26	151	35	2013-05-08
31/6-3	178.000000	VIKING GP	GROUP	1983-12-26	188	35	2013-05-08
15/9-18	7.000000	HEATHER FM	FORMATION	1984-03-02	60	36	2013-05-08
15/9-18	16.000000	HEIMDAL FM	FORMATION	1984-03-02	62	36	2013-05-08
15/9-18	30.000000	HUGIN FM	FORMATION	1984-03-02	69	36	2013-05-08
15/9-18	16.000000	ROGALAND GP	GROUP	1984-03-02	131	36	2013-05-08
15/9-18	30.000000	VESTLAND GP	GROUP	1984-03-02	186	36	2013-05-08
15/9-18	7.000000	VIKING GP	GROUP	1984-03-02	188	36	2013-05-08
34/4-5	16.000000	AMUNDSEN FM	FORMATION	1984-04-06	4	37	2013-05-08
34/4-5	58.000000	COOK FM	FORMATION	1984-04-06	24	37	2013-05-08
34/4-5	74.000000	DUNLIN GP	GROUP	1984-04-06	29	37	2013-05-08
34/4-5	48.000000	HEGRE GP	GROUP	1984-04-06	61	37	2013-05-08
34/4-5	48.000000	LUNDE FM	FORMATION	1984-04-06	97	37	2013-05-08
34/4-5	34.000000	STATFJORD FM	FORMATION	1984-04-06	157	37	2013-05-08
34/4-5	34.000000	NO GROUP DEFINED	GROUP	1984-04-06	208	37	2013-05-08
15/6-6	30.000000	HUGIN FM	FORMATION	1982-06-09	69	38	2013-05-08
15/6-6	23.000000	SLEIPNER FM	FORMATION	1982-06-09	148	38	2013-05-08
15/6-6	53.000000	VESTLAND GP	GROUP	1982-06-09	186	38	2013-05-08
16/7-2	28.000000	HEIMDAL FM	FORMATION	1982-03-30	62	40	2013-05-08
16/7-2	16.000000	HUGIN FM	FORMATION	1982-03-30	69	40	2013-05-08
16/7-2	2.000000	LISTA FM	FORMATION	1982-03-30	95	40	2013-05-08
16/7-2	30.000000	ROGALAND GP	GROUP	1982-03-30	131	40	2013-05-08
16/7-2	16.000000	VESTLAND GP	GROUP	1982-03-30	186	40	2013-05-08
34/4-4	182.000000	HEGRE GP	GROUP	1983-02-03	61	41	2013-05-08
34/4-4	182.000000	LUNDE FM	FORMATION	1983-02-03	97	41	2013-05-08
7/11-5	70.000000	ULA FM	FORMATION	1982-06-10	179	42	2013-05-08
7/11-5	70.000000	VESTLAND GP	GROUP	1982-06-10	186	42	2013-05-08
1/9-6 S	90.000000	EKOFISK FM	FORMATION	1982-12-01	33	44	2013-05-08
1/9-6 S	182.000000	SHETLAND GP	GROUP	1982-12-01	143	44	2013-05-08
1/9-6 S	92.000000	TOR FM	FORMATION	1982-12-01	171	44	2013-05-08
2/2-1	1.000000	FARSUND FM	FORMATION	1982-07-03	39	46	2013-05-08
2/2-1	1.000000	TYNE GP	GROUP	1982-07-03	177	46	2013-05-08
2/2-1	32.000000	ULA FM	FORMATION	1982-07-03	179	46	2013-05-08
2/2-1	32.000000	VESTLAND GP	GROUP	1982-07-03	186	46	2013-05-08
25/2-7	16.000000	DUNLIN GP	GROUP	1982-07-12	29	47	2013-05-08
25/2-7	5.000000	HUGIN FM	FORMATION	1982-07-12	69	47	2013-05-08
25/2-7	19.000000	SLEIPNER FM	FORMATION	1982-07-12	148	47	2013-05-08
25/2-7	24.000000	VESTLAND GP	GROUP	1982-07-12	186	47	2013-05-08
2/1-4	3.000000	FARSUND FM	FORMATION	1982-08-03	39	48	2013-05-08
2/1-4	99.000000	MANDAL FM	FORMATION	1982-08-03	101	48	2013-05-08
2/1-4	102.000000	TYNE GP	GROUP	1982-08-03	177	48	2013-05-08
7117/9-1	11.000000	SOTBAKKEN GP	GROUP	1982-07-16	154	49	2013-05-08
7117/9-1	11.000000	TORSK FM	FORMATION	1982-07-16	172	49	2013-05-08
7120/8-2	133.000000	KAPP TOSCANA GP	GROUP	1982-07-29	79	50	2013-05-08
7120/8-2	28.000000	NORDMELA FM	FORMATION	1982-07-29	118	50	2013-05-08
7120/8-2	105.000000	STØ FM	FORMATION	1982-07-29	159	50	2013-05-08
6507/11-2	7.000000	BÅT GP	GROUP	1982-05-30	22	51	2013-05-08
6507/11-2	32.000000	FANGST GP	GROUP	1982-05-30	38	51	2013-05-08
6507/11-2	32.000000	ILE FM	FORMATION	1982-05-30	70	51	2013-05-08
6507/11-2	7.000000	TILJE FM	FORMATION	1982-05-30	169	51	2013-05-08
30/9-3	223.000000	BRENT GP	GROUP	1984-02-26	16	55	2013-05-08
30/9-3	35.000000	ETIVE FM	FORMATION	1984-02-26	35	55	2013-05-08
30/9-3	188.000000	NESS FM	FORMATION	1984-02-26	110	55	2013-05-08
7/11-7	46.000000	SKAGERRAK FM	FORMATION	1983-12-25	146	57	2013-05-08
7/11-7	17.000000	ULA FM	FORMATION	1983-12-25	179	57	2013-05-08
7/11-7	17.000000	VESTLAND GP	GROUP	1983-12-25	186	57	2013-05-08
7/11-7	46.000000	NO GROUP DEFINED	GROUP	1983-12-25	208	57	2013-05-08
34/10-16	273.000000	BRENT GP	GROUP	1983-04-11	16	59	2013-05-08
34/10-16	13.000000	ETIVE FM	FORMATION	1983-04-11	35	59	2013-05-08
34/10-16	1.000000	HEATHER FM	FORMATION	1983-04-11	60	59	2013-05-08
34/10-16	170.000000	NESS FM	FORMATION	1983-04-11	110	59	2013-05-08
34/10-16	51.000000	RANNOCH FM	FORMATION	1983-04-11	126	59	2013-05-08
34/10-16	18.000000	STATFJORD FM	FORMATION	1983-04-11	157	59	2013-05-08
34/10-16	39.000000	TARBERT FM	FORMATION	1983-04-11	162	59	2013-05-08
34/10-16	1.000000	VIKING GP	GROUP	1983-04-11	188	59	2013-05-08
34/10-16	18.000000	NO GROUP DEFINED	GROUP	1983-04-11	208	59	2013-05-08
6407/1-2	57.000000	FANGST GP	GROUP	1983-05-15	38	61	2013-05-08
6407/1-2	57.000000	GARN FM	FORMATION	1983-05-15	48	61	2013-05-08
2/1-5	18.000000	FARSUND FM	FORMATION	1983-04-05	39	63	2013-05-08
2/1-5	18.000000	TYNE GP	GROUP	1983-04-05	177	63	2013-05-08
2/6-3	4.000000	BASEMENT	GROUP	1983-02-25	10	64	2013-05-08
2/6-3	8.000000	BRYNE FM	FORMATION	1983-02-25	19	64	2013-05-08
2/6-3	1.000000	NO FORMAL NAME	FORMATION	1983-02-25	111	64	2013-05-08
2/6-3	8.000000	VESTLAND GP	GROUP	1983-02-25	186	64	2013-05-08
2/6-3	1.000000	ZECHSTEIN GP	GROUP	1983-02-25	194	64	2013-05-08
6507/11-1	30.000000	BÅT GP	GROUP	1981-12-10	22	68	2013-05-08
6507/11-1	30.000000	TILJE FM	FORMATION	1981-12-10	169	68	2013-05-08
15/9-10	1.000000	HEATHER FM	FORMATION	1981-11-07	60	69	2013-05-08
15/9-10	19.000000	HUGIN FM	FORMATION	1981-11-07	69	69	2013-05-08
15/9-10	33.000000	SLEIPNER FM	FORMATION	1981-11-07	148	69	2013-05-08
15/9-10	52.000000	VESTLAND GP	GROUP	1981-11-07	186	69	2013-05-08
15/9-10	1.000000	VIKING GP	GROUP	1981-11-07	188	69	2013-05-08
31/2-7	33.000000	HEATHER FM	FORMATION	1982-06-14	60	70	2013-05-08
31/2-7	39.000000	SOGNEFJORD FM	FORMATION	1982-06-14	151	70	2013-05-08
31/2-7	72.000000	VIKING GP	GROUP	1982-06-14	188	70	2013-05-08
15/9-14	7.000000	HUGIN FM	FORMATION	1982-06-27	69	71	2013-05-08
15/9-14	19.000000	SLEIPNER FM	FORMATION	1982-06-27	148	71	2013-05-08
15/9-14	26.000000	VESTLAND GP	GROUP	1982-06-27	186	71	2013-05-08
30/2-1	16.000000	BALDER FM	FORMATION	1982-10-12	6	72	2013-05-08
30/2-1	92.000000	BRENT GP	GROUP	1982-10-12	16	72	2013-05-08
30/2-1	1.000000	DRAKE FM	FORMATION	1982-10-12	27	72	2013-05-08
30/2-1	1.000000	DUNLIN GP	GROUP	1982-10-12	29	72	2013-05-08
30/2-1	57.000000	ETIVE FM	FORMATION	1982-10-12	35	72	2013-05-08
30/2-1	20.000000	NESS FM	FORMATION	1982-10-12	110	72	2013-05-08
30/2-1	15.000000	RANNOCH FM	FORMATION	1982-10-12	126	72	2013-05-08
30/2-1	16.000000	ROGALAND GP	GROUP	1982-10-12	131	72	2013-05-08
30/6-7	128.000000	BRENT GP	GROUP	1982-08-24	16	73	2013-05-08
30/6-7	26.000000	DRAKE FM	FORMATION	1982-08-24	27	73	2013-05-08
30/6-7	26.000000	DUNLIN GP	GROUP	1982-08-24	29	73	2013-05-08
30/6-7	10.000000	ETIVE FM	FORMATION	1982-08-24	35	73	2013-05-08
30/6-7	72.000000	NESS FM	FORMATION	1982-08-24	110	73	2013-05-08
30/6-7	44.000000	OSEBERG FM	FORMATION	1982-08-24	123	73	2013-05-08
30/6-7	2.000000	RANNOCH FM	FORMATION	1982-08-24	126	73	2013-05-08
16/7-3	2.000000	HEATHER FM	FORMATION	1982-07-27	60	75	2013-05-08
16/7-3	22.000000	HUGIN FM	FORMATION	1982-07-27	69	75	2013-05-08
16/7-3	22.000000	VESTLAND GP	GROUP	1982-07-27	186	75	2013-05-08
16/7-3	2.000000	VIKING GP	GROUP	1982-07-27	188	75	2013-05-08
6407/2-1	34.000000	BÅT GP	GROUP	1982-08-06	22	76	2013-05-08
6407/2-1	15.000000	FANGST GP	GROUP	1982-08-06	38	76	2013-05-08
6407/2-1	15.000000	GARN FM	FORMATION	1982-08-06	48	76	2013-05-08
6407/2-1	10.000000	KVITNOS FM	FORMATION	1982-08-06	91	76	2013-05-08
6407/2-1	7.000000	NISE FM	FORMATION	1982-08-06	112	76	2013-05-08
6407/2-1	15.000000	ROR FM	FORMATION	1982-08-06	135	76	2013-05-08
6407/2-1	17.000000	SHETLAND GP	GROUP	1982-08-06	143	76	2013-05-08
6407/2-1	18.000000	ÅRE FM	FORMATION	1982-08-06	197	76	2013-05-08
31/2-8	46.000000	SOGNEFJORD FM	FORMATION	1982-08-18	151	78	2013-05-08
31/2-8	46.000000	VIKING GP	GROUP	1982-08-18	188	78	2013-05-08
2/2-2	7.000000	BRYNE FM	FORMATION	1982-08-27	19	80	2013-05-08
2/2-2	15.000000	HORDALAND GP	GROUP	1982-08-27	67	80	2013-05-08
2/2-2	15.000000	VADE FM	FORMATION	1982-08-27	184	80	2013-05-08
2/2-2	7.000000	VESTLAND GP	GROUP	1982-08-27	186	80	2013-05-08
6507/10-1	8.000000	BÅT GP	GROUP	1982-10-31	22	81	2013-05-08
6507/10-1	6.000000	FANGST GP	GROUP	1982-10-31	38	81	2013-05-08
6507/10-1	6.000000	ILE FM	FORMATION	1982-10-31	70	81	2013-05-08
6507/10-1	1.000000	MELKE FM	FORMATION	1982-10-31	105	81	2013-05-08
6507/10-1	7.000000	ROR FM	FORMATION	1982-10-31	135	81	2013-05-08
6507/10-1	1.000000	TILJE FM	FORMATION	1982-10-31	169	81	2013-05-08
6507/10-1	1.000000	VIKING GP	GROUP	1982-10-31	188	81	2013-05-08
7120/9-1	118.000000	KAPP TOSCANA GP	GROUP	1982-09-26	79	82	2013-05-08
7120/9-1	66.000000	NORDMELA FM	FORMATION	1982-09-26	118	82	2013-05-08
7120/9-1	52.000000	STØ FM	FORMATION	1982-09-26	159	82	2013-05-08
16/1-3	10.000000	LISTA FM	FORMATION	1982-09-27	95	84	2013-05-08
16/1-3	10.000000	ROGALAND GP	GROUP	1982-09-27	131	84	2013-05-08
7120/7-1	69.000000	KAPP TOSCANA GP	GROUP	1982-10-08	79	85	2013-05-08
7120/7-1	69.000000	STØ FM	FORMATION	1982-10-08	159	85	2013-05-08
7/11-6	13.000000	SMITH BANK FM	FORMATION	1982-10-20	149	86	2013-05-08
7/11-6	45.000000	ULA FM	FORMATION	1982-10-20	179	86	2013-05-08
7/11-6	45.000000	VESTLAND GP	GROUP	1982-10-20	186	86	2013-05-08
7/11-6	13.000000	NO GROUP DEFINED	GROUP	1982-10-20	208	86	2013-05-08
1/3-3	18.000000	FARSUND FM	FORMATION	1983-03-24	39	87	2013-05-08
1/3-3	18.000000	TYNE GP	GROUP	1983-03-24	177	87	2013-05-08
1/3-3	67.000000	ULA FM	FORMATION	1983-03-24	179	87	2013-05-08
1/3-3	67.000000	VESTLAND GP	GROUP	1983-03-24	186	87	2013-05-08
31/2-9	25.000000	HEATHER FM	FORMATION	1982-10-01	60	88	2013-05-08
31/2-9	44.000000	SOGNEFJORD FM	FORMATION	1982-10-01	151	88	2013-05-08
31/2-9	70.000000	VIKING GP	GROUP	1982-10-01	188	88	2013-05-08
8/3-2	13.000000	BRYNE FM	FORMATION	1982-12-04	19	89	2013-05-08
8/3-2	13.000000	VESTLAND GP	GROUP	1982-12-04	186	89	2013-05-08
31/2-10	13.000000	DRAUPNE FM	FORMATION	1982-10-31	28	90	2013-05-08
31/2-10	9.000000	HEATHER FM	FORMATION	1982-10-31	60	90	2013-05-08
31/2-10	124.000000	SOGNEFJORD FM	FORMATION	1982-10-31	151	90	2013-05-08
31/2-10	146.000000	VIKING GP	GROUP	1982-10-31	188	90	2013-05-08
16/7-4	94.000000	SKAGERRAK FM	FORMATION	1982-12-06	146	91	2013-05-08
16/7-4	94.000000	NO GROUP DEFINED	GROUP	1982-12-06	208	91	2013-05-08
31/2-13 S	79.000000	SOGNEFJORD FM	FORMATION	1984-03-15	151	93	2013-05-08
31/2-13 S	79.000000	VIKING GP	GROUP	1984-03-15	188	93	2013-05-08
15/12-1	8.000000	EKOFISK FM	FORMATION	1975-09-06	33	94	2013-05-08
15/12-1	6.000000	HEATHER FM	FORMATION	1975-09-06	60	94	2013-05-08
15/12-1	26.000000	HUGIN FM	FORMATION	1975-09-06	69	94	2013-05-08
15/12-1	12.000000	LISTA FM	FORMATION	1975-09-06	95	94	2013-05-08
15/12-1	9.000000	MAUREEN FM	FORMATION	1975-09-06	102	94	2013-05-08
15/12-1	21.000000	ROGALAND GP	GROUP	1975-09-06	131	94	2013-05-08
15/12-1	8.000000	SHETLAND GP	GROUP	1975-09-06	143	94	2013-05-08
15/12-1	27.000000	SLEIPNER FM	FORMATION	1975-09-06	148	94	2013-05-08
15/12-1	53.000000	VESTLAND GP	GROUP	1975-09-06	186	94	2013-05-08
15/12-1	6.000000	VIKING GP	GROUP	1975-09-06	188	94	2013-05-08
2/11-4	12.000000	HOD FM	FORMATION	1978-05-18	66	96	2013-05-08
2/11-4	7.000000	LISTA FM	FORMATION	1978-05-18	95	96	2013-05-08
2/11-4	7.000000	ROGALAND GP	GROUP	1978-05-18	131	96	2013-05-08
2/11-4	29.000000	SHETLAND GP	GROUP	1978-05-18	143	96	2013-05-08
2/11-4	17.000000	TOR FM	FORMATION	1978-05-18	171	96	2013-05-08
2/4-3	44.000000	EKOFISK FM	FORMATION	1970-05-31	33	97	2013-05-08
2/4-3	84.000000	SHETLAND GP	GROUP	1970-05-31	143	97	2013-05-08
2/4-3	41.000000	TOR FM	FORMATION	1970-05-31	171	97	2013-05-08
7120/12-4	17.000000	GIPSDALEN GP	GROUP	1984-04-16	51	99	2013-05-08
7120/12-4	7.000000	RØYE FM	FORMATION	1984-04-16	138	99	2013-05-08
7120/12-4	25.000000	TEMPELFJORDEN GP	GROUP	1984-04-16	167	99	2013-05-08
7120/12-4	17.000000	UGLE FM	FORMATION	1984-04-16	178	99	2013-05-08
7120/12-4	18.000000	ØRRET FM	FORMATION	1984-04-16	196	99	2013-05-08
31/3-2	2.000000	DRAUPNE FM	FORMATION	1984-04-30	28	100	2013-05-08
31/3-2	63.000000	SOGNEFJORD FM	FORMATION	1984-04-30	151	100	2013-05-08
31/3-2	65.000000	VIKING GP	GROUP	1984-04-30	188	100	2013-05-08
31/5-3	5.000000	DRAUPNE FM	FORMATION	1984-06-09	28	101	2013-05-08
31/5-3	66.000000	SOGNEFJORD FM	FORMATION	1984-06-09	151	101	2013-05-08
31/5-3	71.000000	VIKING GP	GROUP	1984-06-09	188	101	2013-05-08
30/9-3 A	196.000000	BRENT GP	GROUP	1984-05-20	16	102	2013-05-08
30/9-3 A	19.000000	ETIVE FM	FORMATION	1984-05-20	35	102	2013-05-08
30/9-3 A	177.000000	NESS FM	FORMATION	1984-05-20	110	102	2013-05-08
30/9-3 A	0.000000	SHETLAND GP	GROUP	1984-05-20	143	102	2013-05-08
33/5-1	10.000000	HEGRE GP	GROUP	1979-10-18	61	103	2013-05-08
33/5-1	10.000000	LUNDE FM	FORMATION	1979-10-18	97	103	2013-05-08
7120/7-3	21.000000	ADVENTDALEN GP	GROUP	1984-06-09	1	104	2013-05-08
7120/7-3	21.000000	FUGLEN FM	FORMATION	1984-06-09	47	104	2013-05-08
7120/7-3	20.000000	KAPP TOSCANA GP	GROUP	1984-06-09	79	104	2013-05-08
7120/7-3	20.000000	STØ FM	FORMATION	1984-06-09	159	104	2013-05-08
31/6-5	10.000000	DRAUPNE FM	FORMATION	1984-05-21	28	105	2013-05-08
31/6-5	19.000000	FENSFJORD FM	FORMATION	1984-05-21	40	105	2013-05-08
31/6-5	64.000000	HEATHER FM	FORMATION	1984-05-21	60	105	2013-05-08
31/6-5	154.000000	SOGNEFJORD FM	FORMATION	1984-05-21	151	105	2013-05-08
31/6-5	246.000000	VIKING GP	GROUP	1984-05-21	188	105	2013-05-08
31/2-14	3.000000	HEATHER FM	FORMATION	1984-06-21	60	106	2013-05-08
31/2-14	43.000000	SOGNEFJORD FM	FORMATION	1984-06-21	151	106	2013-05-08
31/2-14	46.000000	VIKING GP	GROUP	1984-06-21	188	106	2013-05-08
6406/3-1	11.000000	BÅT GP	GROUP	1984-08-14	22	108	2013-05-08
6406/3-1	63.000000	FANGST GP	GROUP	1984-08-14	38	108	2013-05-08
6406/3-1	63.000000	GARN FM	FORMATION	1984-08-14	48	108	2013-05-08
6406/3-1	11.000000	ÅRE FM	FORMATION	1984-08-14	197	108	2013-05-08
2/1-6	189.000000	FARSUND FM	FORMATION	1984-08-12	39	109	2013-05-08
2/1-6	38.000000	MANDAL FM	FORMATION	1984-08-12	101	109	2013-05-08
2/1-6	226.000000	TYNE GP	GROUP	1984-08-12	177	109	2013-05-08
34/7-1	223.000000	HEGRE GP	GROUP	1984-07-24	61	111	2013-05-08
34/7-1	223.000000	LUNDE FM	FORMATION	1984-07-24	97	111	2013-05-08
7119/12-2	263.000000	KAPP TOSCANA GP	GROUP	1981-06-26	79	114	2013-05-08
7119/12-2	173.000000	NORDMELA FM	FORMATION	1981-06-26	118	114	2013-05-08
7119/12-2	90.000000	STØ FM	FORMATION	1981-06-26	159	114	2013-05-08
2/7-14	67.000000	EKOFISK FM	FORMATION	1980-01-20	33	116	2013-05-08
2/7-14	12.000000	LISTA FM	FORMATION	1980-01-20	95	116	2013-05-08
2/7-14	22.000000	ROGALAND GP	GROUP	1980-01-20	131	116	2013-05-08
2/7-14	92.000000	SHETLAND GP	GROUP	1980-01-20	143	116	2013-05-08
2/7-14	25.000000	TOR FM	FORMATION	1980-01-20	171	116	2013-05-08
2/7-14	9.000000	VÅLE FM	FORMATION	1980-01-20	190	116	2013-05-08
7120/8-1	108.000000	KAPP TOSCANA GP	GROUP	1981-09-10	79	120	2013-05-08
7120/8-1	80.000000	NORDMELA FM	FORMATION	1981-09-10	118	120	2013-05-08
7120/8-1	28.000000	STØ FM	FORMATION	1981-09-10	159	120	2013-05-08
7119/12-1	164.000000	KAPP TOSCANA GP	GROUP	1980-10-10	79	121	2013-05-08
7119/12-1	164.000000	STØ FM	FORMATION	1980-10-10	159	121	2013-05-08
7120/12-2	4.000000	ADVENTDALEN GP	GROUP	1981-09-11	1	122	2013-05-08
7120/12-2	6.000000	BASEMENT	GROUP	1981-09-11	10	122	2013-05-08
7120/12-2	4.000000	FUGLEN FM	FORMATION	1981-09-11	47	122	2013-05-08
7120/12-2	102.000000	KAPP TOSCANA GP	GROUP	1981-09-11	79	122	2013-05-08
7120/12-2	72.000000	NORDMELA FM	FORMATION	1981-09-11	118	122	2013-05-08
7120/12-2	30.000000	STØ FM	FORMATION	1981-09-11	159	122	2013-05-08
7120/12-2	28.000000	TEMPELFJORDEN GP	GROUP	1981-09-11	167	122	2013-05-08
7120/12-2	28.000000	ØRRET FM	FORMATION	1981-09-11	196	122	2013-05-08
7120/12-1	29.000000	ADVENTDALEN GP	GROUP	1980-10-12	1	123	2013-05-08
7120/12-1	5.000000	FUGLEN FM	FORMATION	1980-10-12	47	123	2013-05-08
7120/12-1	13.000000	HEKKINGEN FM	FORMATION	1980-10-12	63	123	2013-05-08
7120/12-1	12.000000	KAPP TOSCANA GP	GROUP	1980-10-12	79	123	2013-05-08
7120/12-1	11.000000	KNURR FM	FORMATION	1980-10-12	82	123	2013-05-08
7120/12-1	5.000000	KOBBE FM	FORMATION	1980-10-12	83	123	2013-05-08
7120/12-1	5.000000	SASSENDALEN GP	GROUP	1980-10-12	140	123	2013-05-08
7120/12-1	12.000000	STØ FM	FORMATION	1980-10-12	159	123	2013-05-08
7120/12-1	13.000000	KRILL MBR	MEMBER	1980-10-12	203	123	2013-05-08
31/6-6	54.000000	FENSFJORD FM	FORMATION	1984-07-29	40	127	2013-05-08
31/6-6	42.000000	HEATHER FM	FORMATION	1984-07-29	60	127	2013-05-08
31/6-6	141.000000	SOGNEFJORD FM	FORMATION	1984-07-29	151	127	2013-05-08
31/6-6	236.000000	VIKING GP	GROUP	1984-07-29	188	127	2013-05-08
35/11-1	9.000000	BRENT GP	GROUP	1984-08-06	16	128	2013-05-08
35/11-1	4.000000	ETIVE FM	FORMATION	1984-08-06	35	128	2013-05-08
35/11-1	6.000000	RANNOCH FM	FORMATION	1984-08-06	126	128	2013-05-08
7121/7-1	82.000000	KAPP TOSCANA GP	GROUP	1984-08-05	79	130	2013-05-08
7121/7-1	27.000000	NORDMELA FM	FORMATION	1984-08-05	118	130	2013-05-08
7121/7-1	55.000000	STØ FM	FORMATION	1984-08-05	159	130	2013-05-08
25/2-8	4.000000	BALDER FM	FORMATION	1984-08-01	6	131	2013-05-08
25/2-8	4.000000	INTRA BALDER FM SS	FORMATION	1984-08-01	7	131	2013-05-08
25/2-8	49.000000	FRIGG FM	FORMATION	1984-08-01	45	131	2013-05-08
25/2-8	49.000000	HORDALAND GP	GROUP	1984-08-01	67	131	2013-05-08
25/2-8	8.000000	ROGALAND GP	GROUP	1984-08-01	131	131	2013-05-08
7119/9-1	3.000000	ADVENTDALEN GP	GROUP	1984-09-25	1	132	2013-05-08
7119/9-1	3.000000	FUGLEN FM	FORMATION	1984-09-25	47	132	2013-05-08
7119/9-1	33.000000	KAPP TOSCANA GP	GROUP	1984-09-25	79	132	2013-05-08
7119/9-1	33.000000	STØ FM	FORMATION	1984-09-25	159	132	2013-05-08
6407/9-1	10.000000	FANGST GP	GROUP	1984-09-07	38	133	2013-05-08
6407/9-1	10.000000	GARN FM	FORMATION	1984-09-07	48	133	2013-05-08
6407/9-1	36.000000	ROGN FM	FORMATION	1984-09-07	134	133	2013-05-08
6407/9-1	3.000000	SPEKK FM	FORMATION	1984-09-07	155	133	2013-05-08
6407/9-1	39.000000	VIKING GP	GROUP	1984-09-07	188	133	2013-05-08
16/7-5	3.000000	CROMER KNOLL GP	GROUP	1984-08-03	23	134	2013-05-08
16/7-5	1.000000	DRAUPNE FM	FORMATION	1984-08-03	28	134	2013-05-08
16/7-5	9.000000	SKAGERRAK FM	FORMATION	1984-08-03	146	134	2013-05-08
16/7-5	1.000000	VIKING GP	GROUP	1984-08-03	188	134	2013-05-08
16/7-5	3.000000	ÅSGARD FM	FORMATION	1984-08-03	198	134	2013-05-08
16/7-5	9.000000	NO GROUP DEFINED	GROUP	1984-08-03	208	134	2013-05-08
7121/4-1	95.000000	KAPP TOSCANA GP	GROUP	1984-10-27	79	135	2013-05-08
7121/4-1	20.000000	NORDMELA FM	FORMATION	1984-10-27	118	135	2013-05-08
7121/4-1	75.000000	STØ FM	FORMATION	1984-10-27	159	135	2013-05-08
35/3-2	59.000000	AGAT FM	FORMATION	1980-10-26	2	136	2013-05-08
35/3-2	12.000000	AMUNDSEN FM	FORMATION	1980-10-26	4	136	2013-05-08
35/3-2	14.000000	BURTON FM	FORMATION	1980-10-26	20	136	2013-05-08
35/3-2	59.000000	CROMER KNOLL GP	GROUP	1980-10-26	23	136	2013-05-08
35/3-2	2.000000	COOK FM	FORMATION	1980-10-26	24	136	2013-05-08
35/3-2	28.000000	DUNLIN GP	GROUP	1980-10-26	29	136	2013-05-08
2/1-7	30.000000	ROTLIEGEND GP	GROUP	1985-03-06	136	137	2013-05-08
6507/7-1	18.000000	BÅT GP	GROUP	1984-12-01	22	138	2013-05-08
6507/7-1	9.000000	CROMER KNOLL GP	GROUP	1984-12-01	23	138	2013-05-08
6507/7-1	38.000000	FANGST GP	GROUP	1984-12-01	38	138	2013-05-08
6507/7-1	38.000000	ILE FM	FORMATION	1984-12-01	70	138	2013-05-08
6507/7-1	9.000000	NO FORMAL NAME	FORMATION	1984-12-01	111	138	2013-05-08
6507/7-1	10.000000	ROR FM	FORMATION	1984-12-01	135	138	2013-05-08
6507/7-1	7.000000	TILJE FM	FORMATION	1984-12-01	169	138	2013-05-08
34/10-9	14.000000	BRENT GP	GROUP	1980-05-09	16	140	2013-05-08
34/10-9	37.000000	COOK FM	FORMATION	1980-05-09	24	140	2013-05-08
34/10-9	37.000000	DUNLIN GP	GROUP	1980-05-09	29	140	2013-05-08
34/10-9	14.000000	ETIVE FM	FORMATION	1980-05-09	35	140	2013-05-08
8/3-1	12.000000	BASEMENT	GROUP	1966-10-10	10	142	2013-05-08
8/3-1	5.000000	SANDNES FM	FORMATION	1966-10-10	139	142	2013-05-08
8/3-1	5.000000	VESTLAND GP	GROUP	1966-10-10	186	142	2013-05-08
8/3-1	9.000000	ZECHSTEIN GP	GROUP	1966-10-10	194	142	2013-05-08
25/11-1	23.000000	BALDER FM	FORMATION	1967-07-09	6	143	2013-05-08
25/11-1	14.000000	BASEMENT	GROUP	1967-07-09	10	143	2013-05-08
25/11-1	4.000000	CROMER KNOLL GP	GROUP	1967-07-09	23	143	2013-05-08
25/11-1	10.000000	EKOFISK FM	FORMATION	1967-07-09	33	143	2013-05-08
25/11-1	5.000000	HORDALAND GP	GROUP	1967-07-09	67	143	2013-05-08
25/11-1	40.000000	ROGALAND GP	GROUP	1967-07-09	131	143	2013-05-08
25/11-1	10.000000	SHETLAND GP	GROUP	1967-07-09	143	143	2013-05-08
25/11-1	5.000000	SKADE FM	FORMATION	1967-07-09	145	143	2013-05-08
25/11-1	25.000000	SKAGERRAK FM	FORMATION	1967-07-09	146	143	2013-05-08
25/11-1	4.000000	SOLA FM	FORMATION	1967-07-09	152	143	2013-05-08
25/11-1	9.000000	STATFJORD FM	FORMATION	1967-07-09	157	143	2013-05-08
25/11-1	17.000000	TY FM	FORMATION	1967-07-09	176	143	2013-05-08
25/11-1	34.000000	NO GROUP DEFINED	GROUP	1967-07-09	208	143	2013-05-08
16/2-1	3.000000	BASEMENT	GROUP	1967-08-09	10	144	2013-05-08
16/2-1	83.000000	SHETLAND GP	GROUP	1967-08-09	143	144	2013-05-08
16/2-1	83.000000	TOR FM	FORMATION	1967-08-09	171	144	2013-05-08
9/8-1	7.000000	SANDNES FM	FORMATION	1968-06-29	139	145	2013-05-08
9/8-1	7.000000	VESTLAND GP	GROUP	1968-06-29	186	145	2013-05-08
9/8-1	17.000000	ZECHSTEIN GP	GROUP	1968-06-29	194	145	2013-05-08
16/7-1	15.000000	LISTA FM	FORMATION	1967-09-24	95	146	2013-05-08
16/7-1	15.000000	ROGALAND GP	GROUP	1967-09-24	131	146	2013-05-08
16/1-1	16.000000	BALDER FM	FORMATION	1967-12-10	6	147	2013-05-08
16/1-1	2.000000	EKOFISK FM	FORMATION	1967-12-10	33	147	2013-05-08
16/1-1	10.000000	GRID FM	FORMATION	1967-12-10	53	147	2013-05-08
16/1-1	43.000000	HEIMDAL FM	FORMATION	1967-12-10	62	147	2013-05-08
16/1-1	28.000000	HERMOD FM	FORMATION	1967-12-10	64	147	2013-05-08
16/1-1	9.000000	HOD FM	FORMATION	1967-12-10	66	147	2013-05-08
16/1-1	42.000000	HORDALAND GP	GROUP	1967-12-10	67	147	2013-05-08
16/1-1	31.000000	NO FORMAL NAME	FORMATION	1967-12-10	111	147	2013-05-08
16/1-1	120.000000	ROGALAND GP	GROUP	1967-12-10	131	147	2013-05-08
16/1-1	11.000000	SHETLAND GP	GROUP	1967-12-10	143	147	2013-05-08
16/1-1	32.000000	VÅLE FM	FORMATION	1967-12-10	190	147	2013-05-08
16/6-1	4.000000	BASEMENT	GROUP	1968-01-19	10	148	2013-05-08
7/11-1	20.000000	FORTIES FM	FORMATION	1968-06-15	44	149	2013-05-08
7/11-1	20.000000	ROGALAND GP	GROUP	1968-06-15	131	149	2013-05-08
16/9-1	18.000000	HORDALAND GP	GROUP	1968-07-12	67	151	2013-05-08
16/9-1	9.000000	VESTLAND GP	GROUP	1968-07-12	186	151	2013-05-08
17/4-1	3.000000	ROTLIEGEND GP	GROUP	1968-08-26	136	153	2013-05-08
17/4-1	17.000000	VESTLAND GP	GROUP	1968-08-26	186	153	2013-05-08
1/3-1	19.000000	SHETLAND GP	GROUP	1968-11-11	143	154	2013-05-08
1/3-1	19.000000	TOR FM	FORMATION	1968-11-11	171	154	2013-05-08
2/8-2	6.000000	CROMER KNOLL GP	GROUP	1970-07-30	23	155	2013-05-08
2/8-2	9.000000	EKOFISK FM	FORMATION	1970-07-30	33	155	2013-05-08
2/8-2	6.000000	RØDBY FM	FORMATION	1970-07-30	137	155	2013-05-08
2/8-2	9.000000	SHETLAND GP	GROUP	1970-07-30	143	155	2013-05-08
7/11-2	16.000000	FORTIES FM	FORMATION	1968-10-14	44	156	2013-05-08
7/11-2	16.000000	ROGALAND GP	GROUP	1968-10-14	131	156	2013-05-08
7/11-3	29.000000	FORTIES FM	FORMATION	1969-02-07	44	159	2013-05-08
7/11-3	37.000000	ROGALAND GP	GROUP	1969-02-07	131	159	2013-05-08
7/11-3	8.000000	SELE FM	FORMATION	1969-02-07	142	159	2013-05-08
2/6-1	9.000000	ULA FM	FORMATION	1969-05-30	179	160	2013-05-08
2/6-1	9.000000	VESTLAND GP	GROUP	1969-05-30	186	160	2013-05-08
7/3-1	47.000000	ROTLIEGEND GP	GROUP	1969-06-10	136	164	2013-05-08
7/3-1	4.000000	UNDIFFERENTIATED	FORMATION	1969-06-10	182	164	2013-05-08
7/3-1	4.000000	ZECHSTEIN GP	GROUP	1969-06-10	194	164	2013-05-08
1/3-2	0.000000	SHETLAND GP	GROUP	1969-07-27	143	165	2013-05-08
1/3-2	0.000000	TOR FM	FORMATION	1969-07-27	171	165	2013-05-08
2/11-1	4.000000	HORDALAND GP	GROUP	1969-10-03	67	168	2013-05-08
2/4-2	5.000000	EKOFISK FM	FORMATION	1969-12-24	33	172	2013-05-08
2/4-2	32.000000	SHETLAND GP	GROUP	1969-12-24	143	172	2013-05-08
2/4-2	26.000000	TOR FM	FORMATION	1969-12-24	171	172	2013-05-08
25/8-1	20.000000	BALDER FM	FORMATION	1970-07-04	6	173	2013-05-08
25/8-1	1.000000	EKOFISK FM	FORMATION	1970-07-04	33	173	2013-05-08
25/8-1	14.000000	HEIMDAL FM	FORMATION	1970-07-04	62	173	2013-05-08
25/8-1	9.000000	HERMOD FM	FORMATION	1970-07-04	64	173	2013-05-08
25/8-1	22.000000	LISTA FM	FORMATION	1970-07-04	95	173	2013-05-08
25/8-1	92.000000	ROGALAND GP	GROUP	1970-07-04	131	173	2013-05-08
25/8-1	16.000000	ROTLIEGEND GP	GROUP	1970-07-04	136	173	2013-05-08
25/8-1	23.000000	SELE FM	FORMATION	1970-07-04	142	173	2013-05-08
25/8-1	1.000000	SHETLAND GP	GROUP	1970-07-04	143	173	2013-05-08
25/8-1	4.000000	VÅLE FM	FORMATION	1970-07-04	190	173	2013-05-08
2/4-4	1.000000	EKOFISK FM	FORMATION	1970-08-01	33	174	2013-05-08
2/4-4	9.000000	SHETLAND GP	GROUP	1970-08-01	143	174	2013-05-08
2/4-4	8.000000	TOR FM	FORMATION	1970-08-01	171	174	2013-05-08
2/4-5	26.000000	EKOFISK FM	FORMATION	1970-08-27	33	177	2013-05-08
2/4-5	86.000000	SHETLAND GP	GROUP	1970-08-27	143	177	2013-05-08
2/4-5	60.000000	TOR FM	FORMATION	1970-08-27	171	177	2013-05-08
2/5-1	77.000000	EKOFISK FM	FORMATION	1970-11-22	33	178	2013-05-08
2/5-1	244.000000	SHETLAND GP	GROUP	1970-11-22	143	178	2013-05-08
2/5-1	167.000000	TOR FM	FORMATION	1970-11-22	171	178	2013-05-08
2/4-6	61.000000	EKOFISK FM	FORMATION	1970-12-10	33	181	2013-05-08
2/4-6	61.000000	SHETLAND GP	GROUP	1970-12-10	143	181	2013-05-08
25/10-3	15.000000	BALDER FM	FORMATION	1970-09-13	6	182	2013-05-08
25/10-3	1.000000	INTRA BALDER FM SS	FORMATION	1970-09-13	7	182	2013-05-08
25/10-3	16.000000	ROGALAND GP	GROUP	1970-09-13	131	182	2013-05-08
9/10-1	9.000000	SHETLAND GP	GROUP	1970-09-18	143	183	2013-05-08
9/10-1	9.000000	TOR FM	FORMATION	1970-09-18	171	183	2013-05-08
2/7-2	9.000000	ROTLIEGEND GP	GROUP	1971-03-02	136	187	2013-05-08
2/7-2	14.000000	SHETLAND GP	GROUP	1971-03-02	143	187	2013-05-08
2/7-2	14.000000	TOR FM	FORMATION	1971-03-02	171	187	2013-05-08
2/5-2	54.000000	EKOFISK FM	FORMATION	1971-04-20	33	188	2013-05-08
2/5-2	54.000000	SHETLAND GP	GROUP	1971-04-20	143	188	2013-05-08
16/5-1	20.000000	BALDER FM	FORMATION	1971-02-08	6	189	2013-05-08
16/5-1	13.000000	BASEMENT	GROUP	1971-02-08	10	189	2013-05-08
16/5-1	2.000000	LISTA FM	FORMATION	1971-02-08	95	189	2013-05-08
16/5-1	45.000000	ROGALAND GP	GROUP	1971-02-08	131	189	2013-05-08
16/5-1	23.000000	SELE FM	FORMATION	1971-02-08	142	189	2013-05-08
25/1-1	20.000000	FRIGG FM	FORMATION	1971-07-22	45	190	2013-05-08
25/1-1	20.000000	HORDALAND GP	GROUP	1971-07-22	67	190	2013-05-08
25/1-1	21.000000	JORSALFARE FM	FORMATION	1971-07-22	74	190	2013-05-08
25/1-1	1.000000	KYRRE FM	FORMATION	1971-07-22	92	190	2013-05-08
25/1-1	9.000000	LISTA FM	FORMATION	1971-07-22	95	190	2013-05-08
25/1-1	9.000000	ROGALAND GP	GROUP	1971-07-22	131	190	2013-05-08
25/1-1	22.000000	SHETLAND GP	GROUP	1971-07-22	143	190	2013-05-08
7/9-1	5.000000	EKOFISK FM	FORMATION	1971-05-29	33	191	2013-05-08
7/9-1	8.000000	SHETLAND GP	GROUP	1971-05-29	143	191	2013-05-08
7/9-1	3.000000	TOR FM	FORMATION	1971-05-29	171	191	2013-05-08
7/1-1	18.000000	HOD FM	FORMATION	1971-08-05	66	192	2013-05-08
7/1-1	25.000000	SHETLAND GP	GROUP	1971-08-05	143	192	2013-05-08
7/1-1	8.000000	TOR FM	FORMATION	1971-08-05	171	192	2013-05-08
8/12-1	24.000000	BRYNE FM	FORMATION	1971-07-23	19	193	2013-05-08
8/12-1	6.000000	EKOFISK FM	FORMATION	1971-07-23	33	193	2013-05-08
8/12-1	10.000000	ROGALAND GP	GROUP	1971-07-23	131	193	2013-05-08
8/12-1	2.000000	SANDNES FM	FORMATION	1971-07-23	139	193	2013-05-08
8/12-1	6.000000	SHETLAND GP	GROUP	1971-07-23	143	193	2013-05-08
8/12-1	26.000000	VESTLAND GP	GROUP	1971-07-23	186	193	2013-05-08
8/12-1	10.000000	VÅLE FM	FORMATION	1971-07-23	190	193	2013-05-08
9/11-1	9.000000	BOKNFJORD GP	GROUP	1971-08-19	15	194	2013-05-08
9/11-1	18.000000	BRYNE FM	FORMATION	1971-08-19	19	194	2013-05-08
9/11-1	9.000000	SAUDA FM	FORMATION	1971-08-19	141	194	2013-05-08
9/11-1	18.000000	VESTLAND GP	GROUP	1971-08-19	186	194	2013-05-08
2/4-7	119.000000	EKOFISK FM	FORMATION	1971-10-08	33	196	2013-05-08
2/4-7	4.000000	ROGALAND GP	GROUP	1971-10-08	131	196	2013-05-08
2/4-7	133.000000	SHETLAND GP	GROUP	1971-10-08	143	196	2013-05-08
2/4-7	14.000000	TOR FM	FORMATION	1971-10-08	171	196	2013-05-08
2/4-7	4.000000	VÅLE FM	FORMATION	1971-10-08	190	196	2013-05-08
15/12-3	9.000000	ROTLIEGEND GP	GROUP	1980-12-22	136	199	2013-05-08
15/12-3	7.000000	ZECHSTEIN GP	GROUP	1980-12-22	194	199	2013-05-08
25/4-5	73.000000	HEIMDAL FM	FORMATION	1981-03-26	62	201	2013-05-08
25/4-5	35.000000	HUGIN FM	FORMATION	1981-03-26	69	201	2013-05-08
25/4-5	18.000000	LISTA FM	FORMATION	1981-03-26	95	201	2013-05-08
25/4-5	91.000000	ROGALAND GP	GROUP	1981-03-26	131	201	2013-05-08
25/4-5	32.000000	SKAGERRAK FM	FORMATION	1981-03-26	146	201	2013-05-08
25/4-5	1.000000	SLEIPNER FM	FORMATION	1981-03-26	148	201	2013-05-08
25/4-5	58.000000	STATFJORD FM	FORMATION	1981-03-26	157	201	2013-05-08
25/4-5	36.000000	VESTLAND GP	GROUP	1981-03-26	186	201	2013-05-08
25/4-5	90.000000	NO GROUP DEFINED	GROUP	1981-03-26	208	201	2013-05-08
6507/12-1	28.000000	BÅT GP	GROUP	1980-10-26	22	202	2013-05-08
6507/12-1	11.000000	RED BEDS (INFORMAL)	GROUP	1980-10-26	129	202	2013-05-08
6507/12-1	2.000000	TILJE FM	FORMATION	1980-10-26	169	202	2013-05-08
6507/12-1	26.000000	ÅRE FM	FORMATION	1980-10-26	197	202	2013-05-08
35/8-1	178.000000	BRENT GP	GROUP	1981-01-24	16	205	2013-05-08
35/8-1	52.000000	ETIVE FM	FORMATION	1981-01-24	35	205	2013-05-08
35/8-1	49.000000	NESS FM	FORMATION	1981-01-24	110	205	2013-05-08
35/8-1	30.000000	RANNOCH FM	FORMATION	1981-01-24	126	205	2013-05-08
35/8-1	47.000000	TARBERT FM	FORMATION	1981-01-24	162	205	2013-05-08
31/2-5	34.000000	HEATHER FM	FORMATION	1980-12-21	60	210	2013-05-08
31/2-5	5.000000	LISTA FM	FORMATION	1980-12-21	95	210	2013-05-08
31/2-5	5.000000	ROGALAND GP	GROUP	1980-12-21	131	210	2013-05-08
31/2-5	0.000000	SHETLAND GP	GROUP	1980-12-21	143	210	2013-05-08
31/2-5	70.000000	SOGNEFJORD FM	FORMATION	1980-12-21	151	210	2013-05-08
31/2-5	103.000000	VIKING GP	GROUP	1980-12-21	188	210	2013-05-08
25/11-9	5.000000	INTRA BALDER FM SS	FORMATION	1980-12-07	7	213	2013-05-08
25/11-9	5.000000	ROGALAND GP	GROUP	1980-12-07	131	213	2013-05-08
31/4-4	18.000000	FENSFJORD FM	FORMATION	1981-02-17	40	214	2013-05-08
31/4-4	18.000000	VIKING GP	GROUP	1981-02-17	188	214	2013-05-08
35/3-4	97.000000	AGAT FM	FORMATION	1981-06-06	2	219	2013-05-08
35/3-4	1.000000	BASEMENT	GROUP	1981-06-06	10	219	2013-05-08
35/3-4	97.000000	CROMER KNOLL GP	GROUP	1981-06-06	23	219	2013-05-08
3/7-2	15.000000	EKOFISK FM	FORMATION	1981-06-20	33	220	2013-05-08
3/7-2	9.000000	ROTLIEGEND GP	GROUP	1981-06-20	136	220	2013-05-08
3/7-2	18.000000	SHETLAND GP	GROUP	1981-06-20	143	220	2013-05-08
3/7-2	3.000000	TOR FM	FORMATION	1981-06-20	171	220	2013-05-08
3/7-2	8.000000	VESTLAND GP	GROUP	1981-06-20	186	220	2013-05-08
34/10-7	5.000000	AMUNDSEN FM	FORMATION	1980-03-23	4	222	2013-05-08
34/10-7	3.000000	BURTON FM	FORMATION	1980-03-23	20	222	2013-05-08
34/10-7	54.000000	COOK FM	FORMATION	1980-03-23	24	222	2013-05-08
34/10-7	62.000000	DUNLIN GP	GROUP	1980-03-23	29	222	2013-05-08
1/3-5	9.000000	ROTLIEGEND GP	GROUP	1985-02-11	136	223	2013-05-08
2/6-2	9.000000	CROMER KNOLL GP	GROUP	1980-05-25	23	224	2013-05-08
2/6-2	15.000000	FARSUND FM	FORMATION	1980-05-25	39	224	2013-05-08
2/6-2	9.000000	TUXEN FM	FORMATION	1980-05-25	175	224	2013-05-08
2/6-2	15.000000	TYNE GP	GROUP	1980-05-25	177	224	2013-05-08
2/7-15	59.000000	CROMER KNOLL GP	GROUP	1980-06-02	23	225	2013-05-08
2/7-15	10.000000	FARSUND FM	FORMATION	1980-06-02	39	225	2013-05-08
2/7-15	16.000000	RAN SANDSTONE UNITS	FORMATION	1980-06-02	125	225	2013-05-08
2/7-15	10.000000	TYNE GP	GROUP	1980-06-02	177	225	2013-05-08
2/7-15	43.000000	ÅSGARD FM	FORMATION	1980-06-02	198	225	2013-05-08
31/2-2	18.000000	DRAUPNE FM	FORMATION	1980-04-23	28	227	2013-05-08
31/2-2	77.000000	SOGNEFJORD FM	FORMATION	1980-04-23	151	227	2013-05-08
31/2-2	94.000000	VIKING GP	GROUP	1980-04-23	188	227	2013-05-08
34/4-2	1.000000	AMUNDSEN FM	FORMATION	1980-05-24	4	228	2013-05-08
34/4-2	1.000000	DUNLIN GP	GROUP	1980-05-24	29	228	2013-05-08
34/4-2	6.000000	STATFJORD FM	FORMATION	1980-05-24	157	228	2013-05-08
34/4-2	6.000000	NO GROUP DEFINED	GROUP	1980-05-24	208	228	2013-05-08
16/4-1	2.000000	BASEMENT	GROUP	1984-11-18	10	229	2013-05-08
16/4-1	11.000000	HEIMDAL FM	FORMATION	1984-11-18	62	229	2013-05-08
16/4-1	18.000000	NO FORMAL NAME	FORMATION	1984-11-18	111	229	2013-05-08
16/4-1	11.000000	ROGALAND GP	GROUP	1984-11-18	131	229	2013-05-08
16/4-1	18.000000	NO GROUP DEFINED	GROUP	1984-11-18	208	229	2013-05-08
34/10-8	124.000000	BRENT GP	GROUP	1980-05-25	16	230	2013-05-08
34/10-8	1.000000	ETIVE FM	FORMATION	1980-05-25	35	230	2013-05-08
34/10-8	101.000000	NESS FM	FORMATION	1980-05-25	110	230	2013-05-08
34/10-8	22.000000	TARBERT FM	FORMATION	1980-05-25	162	230	2013-05-08
2/7-16	75.000000	EKOFISK FM	FORMATION	1980-07-12	33	232	2013-05-08
2/7-16	209.000000	SHETLAND GP	GROUP	1980-07-12	143	232	2013-05-08
2/7-16	134.000000	TOR FM	FORMATION	1980-07-12	171	232	2013-05-08
34/7-2	5.000000	AMUNDSEN FM	FORMATION	1984-10-10	4	233	2013-05-08
34/7-2	5.000000	DUNLIN GP	GROUP	1984-10-10	29	233	2013-05-08
34/7-2	18.000000	STATFJORD FM	FORMATION	1984-10-10	157	233	2013-05-08
34/7-2	18.000000	NO GROUP DEFINED	GROUP	1984-10-10	208	233	2013-05-08
31/2-3	18.000000	DUNLIN GP	GROUP	1980-07-20	29	236	2013-05-08
31/2-3	83.000000	FENSFJORD FM	FORMATION	1980-07-20	40	236	2013-05-08
31/2-3	40.000000	HEATHER FM	FORMATION	1980-07-20	60	236	2013-05-08
31/2-3	18.000000	JOHANSEN FM	FORMATION	1980-07-20	73	236	2013-05-08
31/2-3	76.000000	SOGNEFJORD FM	FORMATION	1980-07-20	151	236	2013-05-08
31/2-3	198.000000	VIKING GP	GROUP	1980-07-20	188	236	2013-05-08
1/6-1	5.000000	CROMER KNOLL GP	GROUP	1972-11-26	23	239	2013-05-08
1/6-1	12.000000	EKOFISK FM	FORMATION	1972-11-26	33	239	2013-05-08
1/6-1	12.000000	SHETLAND GP	GROUP	1972-11-26	143	239	2013-05-08
1/6-2	15.000000	SHETLAND GP	GROUP	1973-01-12	143	240	2013-05-08
1/6-2	15.000000	TOR FM	FORMATION	1973-01-12	171	240	2013-05-08
1/6-3	115.000000	EKOFISK FM	FORMATION	1974-09-11	33	241	2013-05-08
1/6-3	229.000000	SHETLAND GP	GROUP	1974-09-11	143	241	2013-05-08
1/6-3	114.000000	TOR FM	FORMATION	1974-09-11	171	241	2013-05-08
1/9-1	56.000000	EKOFISK FM	FORMATION	1977-02-17	33	243	2013-05-08
1/9-1	8.000000	HOD FM	FORMATION	1977-02-17	66	243	2013-05-08
1/9-1	193.000000	SHETLAND GP	GROUP	1977-02-17	143	243	2013-05-08
1/9-1	128.000000	TOR FM	FORMATION	1977-02-17	171	243	2013-05-08
1/9-2	63.000000	EKOFISK FM	FORMATION	1977-08-12	33	244	2013-05-08
1/9-2	88.000000	SHETLAND GP	GROUP	1977-08-12	143	244	2013-05-08
1/9-2	25.000000	TOR FM	FORMATION	1977-08-12	171	244	2013-05-08
1/9-3 R	20.000000	EKOFISK FM	FORMATION	1978-09-30	33	246	2013-05-08
1/9-3 R	27.000000	MAUREEN FM	FORMATION	1978-09-30	102	246	2013-05-08
1/9-3 R	27.000000	ROGALAND GP	GROUP	1978-09-30	131	246	2013-05-08
1/9-3 R	69.000000	SHETLAND GP	GROUP	1978-09-30	143	246	2013-05-08
1/9-3 R	50.000000	TOR FM	FORMATION	1978-09-30	171	246	2013-05-08
1/9-4	89.000000	EKOFISK FM	FORMATION	1978-01-12	33	247	2013-05-08
1/9-4	150.000000	SHETLAND GP	GROUP	1978-01-12	143	247	2013-05-08
1/9-4	60.000000	TOR FM	FORMATION	1978-01-12	171	247	2013-05-08
1/9-5	18.000000	EKOFISK FM	FORMATION	1978-12-16	33	248	2013-05-08
1/9-5	18.000000	SHETLAND GP	GROUP	1978-12-16	143	248	2013-05-08
2/1-1	12.000000	EKOFISK FM	FORMATION	1972-11-14	33	249	2013-05-08
2/1-1	12.000000	SHETLAND GP	GROUP	1972-11-14	143	249	2013-05-08
2/1-2	18.000000	ULA FM	FORMATION	1978-02-26	179	250	2013-05-08
2/1-2	18.000000	VESTLAND GP	GROUP	1978-02-26	186	250	2013-05-08
2/1-3	51.000000	MANDAL FM	FORMATION	1980-03-29	101	251	2013-05-08
2/1-3	51.000000	TYNE GP	GROUP	1980-03-29	177	251	2013-05-08
2/4-8	84.000000	EKOFISK FM	FORMATION	1972-03-29	33	252	2013-05-08
2/4-8	226.000000	SHETLAND GP	GROUP	1972-03-29	143	252	2013-05-08
2/4-8	142.000000	TOR FM	FORMATION	1972-03-29	171	252	2013-05-08
2/4-12	30.000000	EKOFISK FM	FORMATION	1975-09-08	33	256	2013-05-08
2/4-12	14.000000	ROGALAND GP	GROUP	1975-09-08	131	256	2013-05-08
2/4-12	66.000000	SHETLAND GP	GROUP	1975-09-08	143	256	2013-05-08
2/4-12	37.000000	TOR FM	FORMATION	1975-09-08	171	256	2013-05-08
2/4-12	14.000000	VÅLE FM	FORMATION	1975-09-08	190	256	2013-05-08
2/5-3	72.000000	EKOFISK FM	FORMATION	1972-06-15	33	258	2013-05-08
2/5-3	157.000000	SHETLAND GP	GROUP	1972-06-15	143	258	2013-05-08
2/5-3	85.000000	TOR FM	FORMATION	1972-06-15	171	258	2013-05-08
2/5-5	37.000000	SHETLAND GP	GROUP	1973-02-09	143	260	2013-05-08
2/5-5	37.000000	TOR FM	FORMATION	1973-02-09	171	260	2013-05-08
2/5-6	10.000000	TYNE GP	GROUP	1978-08-16	177	261	2013-05-08
2/7-4	62.000000	EKOFISK FM	FORMATION	1972-09-03	33	263	2013-05-08
2/7-4	114.000000	SHETLAND GP	GROUP	1972-09-03	143	263	2013-05-08
2/7-4	52.000000	TOR FM	FORMATION	1972-09-03	171	263	2013-05-08
2/7-5	85.000000	EKOFISK FM	FORMATION	1973-01-01	33	264	2013-05-08
2/7-5	162.000000	SHETLAND GP	GROUP	1973-01-01	143	264	2013-05-08
2/7-5	77.000000	TOR FM	FORMATION	1973-01-01	171	264	2013-05-08
2/7-13	17.000000	EKOFISK FM	FORMATION	1979-04-21	33	272	2013-05-08
2/7-13	17.000000	SHETLAND GP	GROUP	1979-04-21	143	272	2013-05-08
7120/10-1	14.000000	KAPP TOSCANA GP	GROUP	1984-09-08	79	274	2013-05-08
7120/10-1	14.000000	STØ FM	FORMATION	1984-09-08	159	274	2013-05-08
2/8-6	12.000000	HOD FM	FORMATION	1975-06-30	66	276	2013-05-08
2/8-6	20.000000	SHETLAND GP	GROUP	1975-06-30	143	276	2013-05-08
2/8-6	8.000000	TOR FM	FORMATION	1975-06-30	171	276	2013-05-08
2/8-7	2.000000	EKOFISK FM	FORMATION	1975-08-24	33	277	2013-05-08
2/8-7	2.000000	SHETLAND GP	GROUP	1975-08-24	143	277	2013-05-08
2/8-8	43.000000	HOD FM	FORMATION	1976-03-15	66	278	2013-05-08
2/8-8	86.000000	SHETLAND GP	GROUP	1976-03-15	143	278	2013-05-08
2/8-8	43.000000	TOR FM	FORMATION	1976-03-15	171	278	2013-05-08
2/8-9	39.000000	HOD FM	FORMATION	1976-06-27	66	279	2013-05-08
2/8-9	39.000000	SHETLAND GP	GROUP	1976-06-27	143	279	2013-05-08
2/8-10	22.000000	SHETLAND GP	GROUP	1976-08-29	143	280	2013-05-08
2/8-10	22.000000	TOR FM	FORMATION	1976-08-29	171	280	2013-05-08
7/12-6	126.000000	SKAGERRAK FM	FORMATION	1981-07-24	146	281	2013-05-08
7/12-6	114.000000	TYNE GP	GROUP	1981-07-24	177	281	2013-05-08
7/12-6	114.000000	ULA FM	FORMATION	1981-07-24	179	281	2013-05-08
7/12-6	126.000000	NO GROUP DEFINED	GROUP	1981-07-24	208	281	2013-05-08
2/9-2	18.000000	FARSUND FM	FORMATION	1979-09-04	39	283	2013-05-08
2/9-2	18.000000	TYNE GP	GROUP	1979-09-04	177	283	2013-05-08
2/11-2	9.000000	HOD FM	FORMATION	1974-12-29	66	285	2013-05-08
2/11-2	9.000000	SHETLAND GP	GROUP	1974-12-29	143	285	2013-05-08
2/11-3	36.000000	HOD FM	FORMATION	1977-12-03	66	286	2013-05-08
2/11-3	36.000000	SHETLAND GP	GROUP	1977-12-03	143	286	2013-05-08
2/11-6 S	19.000000	SHETLAND GP	GROUP	1982-02-25	143	289	2013-05-08
2/11-6 S	19.000000	TOR FM	FORMATION	1982-02-25	171	289	2013-05-08
3/7-1	6.000000	BASEMENT	GROUP	1973-09-13	10	292	2013-05-08
3/7-3	10.000000	CROMER KNOLL GP	GROUP	1981-08-31	23	293	2013-05-08
3/7-3	10.000000	EKOFISK FM	FORMATION	1981-08-31	33	293	2013-05-08
3/7-3	10.000000	RAN SANDSTONE UNITS	FORMATION	1981-08-31	125	293	2013-05-08
3/7-3	10.000000	SHETLAND GP	GROUP	1981-08-31	143	293	2013-05-08
6506/12-7	28.000000	BÅT GP	GROUP	1987-08-12	22	300	2013-05-08
6506/12-7	44.000000	FANGST GP	GROUP	1987-08-12	38	300	2013-05-08
6506/12-7	11.000000	GARN FM	FORMATION	1987-08-12	48	300	2013-05-08
6506/12-7	27.000000	ILE FM	FORMATION	1987-08-12	70	300	2013-05-08
6506/12-7	6.000000	NOT FM	FORMATION	1987-08-12	120	300	2013-05-08
6506/12-7	18.000000	ROR FM	FORMATION	1987-08-12	135	300	2013-05-08
6506/12-7	1.000000	SPEKK FM	FORMATION	1987-08-12	155	300	2013-05-08
6506/12-7	8.000000	TILJE FM	FORMATION	1987-08-12	169	300	2013-05-08
6506/12-7	3.000000	TOFTE FM	FORMATION	1987-08-12	170	300	2013-05-08
6506/12-7	1.000000	VIKING GP	GROUP	1987-08-12	188	300	2013-05-08
15/2-1	22.000000	HUGIN FM	FORMATION	1982-02-24	69	308	2013-05-08
15/2-1	22.000000	VESTLAND GP	GROUP	1982-02-24	186	308	2013-05-08
15/3-2 R	14.000000	INTRA HEATHER FM SS	FORMATION	1977-11-27	59	311	2013-05-08
15/3-2 R	6.000000	HEATHER FM	FORMATION	1977-11-27	60	311	2013-05-08
15/3-2 R	20.000000	VIKING GP	GROUP	1977-11-27	188	311	2013-05-08
15/8-1	47.000000	HUGIN FM	FORMATION	1982-01-07	69	321	2013-05-08
15/8-1	47.000000	VESTLAND GP	GROUP	1982-01-07	186	321	2013-05-08
15/9-1	9.000000	HEATHER FM	FORMATION	1977-05-30	60	322	2013-05-08
15/9-1	80.000000	HUGIN FM	FORMATION	1977-05-30	69	322	2013-05-08
15/9-1	60.000000	SLEIPNER FM	FORMATION	1977-05-30	148	322	2013-05-08
15/9-1	139.000000	VESTLAND GP	GROUP	1977-05-30	186	322	2013-05-08
15/9-1	9.000000	VIKING GP	GROUP	1977-05-30	188	322	2013-05-08
15/9-11	94.000000	HEIMDAL FM	FORMATION	1981-12-23	62	329	2013-05-08
15/9-11	10.000000	LISTA FM	FORMATION	1981-12-23	95	329	2013-05-08
15/9-11	104.000000	ROGALAND GP	GROUP	1981-12-23	131	329	2013-05-08
15/12-2	12.000000	HUGIN FM	FORMATION	1976-02-27	69	331	2013-05-08
15/12-2	12.000000	VESTLAND GP	GROUP	1976-02-27	186	331	2013-05-08
16/3-2	2.000000	BASEMENT	GROUP	1976-03-08	10	334	2013-05-08
16/3-2	3.000000	UNDEFINED GP	GROUP	1976-03-08	191	334	2013-05-08
17/9-1	11.000000	NO FORMAL NAME	FORMATION	1973-10-23	111	337	2013-05-08
17/9-1	11.000000	VESTLAND GP	GROUP	1973-10-23	186	337	2013-05-08
17/11-2	8.000000	SKAGERRAK FM	FORMATION	1976-05-17	146	338	2013-05-08
17/11-2	8.000000	NO GROUP DEFINED	GROUP	1976-05-17	208	338	2013-05-08
17/12-2	3.000000	NO GROUP DEFINED	GROUP	1973-10-09	208	340	2013-05-08
18/10-1	48.000000	BRYNE FM	FORMATION	1980-01-01	19	342	2013-05-08
18/10-1	0.000000	SANDNES FM	FORMATION	1980-01-01	139	342	2013-05-08
18/10-1	48.000000	VESTLAND GP	GROUP	1980-01-01	186	342	2013-05-08
18/11-1	4.000000	BASEMENT	GROUP	1974-03-31	10	343	2013-05-08
24/9-1	18.000000	DRAUPNE FM	FORMATION	1976-07-03	28	344	2013-05-08
24/9-1	18.000000	VIKING GP	GROUP	1976-07-03	188	344	2013-05-08
24/9-3	16.000000	FRIGG FM	FORMATION	1981-04-15	45	346	2013-05-08
24/9-3	16.000000	HORDALAND GP	GROUP	1981-04-15	67	346	2013-05-08
24/12-2	18.000000	INTRA HEATHER FM SS	FORMATION	1982-01-21	59	348	2013-05-08
24/12-2	18.000000	VIKING GP	GROUP	1982-01-21	188	348	2013-05-08
25/1-4	43.000000	FRIGG FM	FORMATION	1974-05-30	45	350	2013-05-08
25/1-4	83.000000	HORDALAND GP	GROUP	1974-05-30	67	350	2013-05-08
25/1-6	9.000000	FRIGG FM	FORMATION	1978-03-18	45	352	2013-05-08
25/1-6	9.000000	HORDALAND GP	GROUP	1978-03-18	67	352	2013-05-08
25/2-1	23.000000	FRIGG FM	FORMATION	1973-09-21	45	353	2013-05-08
25/2-1	23.000000	HORDALAND GP	GROUP	1973-09-21	67	353	2013-05-08
25/2-2	21.000000	FRIGG FM	FORMATION	1974-07-11	45	354	2013-05-08
25/2-2	21.000000	HORDALAND GP	GROUP	1974-07-11	67	354	2013-05-08
25/2-4	44.000000	HUGIN FM	FORMATION	1975-10-20	69	356	2013-05-08
25/2-4	38.000000	SLEIPNER FM	FORMATION	1975-10-20	148	356	2013-05-08
25/2-4	82.000000	VESTLAND GP	GROUP	1975-10-20	186	356	2013-05-08
25/2-5	19.000000	HUGIN FM	FORMATION	1976-08-04	69	357	2013-05-08
25/2-5	9.000000	SLEIPNER FM	FORMATION	1976-08-04	148	357	2013-05-08
25/2-5	28.000000	VESTLAND GP	GROUP	1976-08-04	186	357	2013-05-08
25/2-6	6.000000	HEATHER FM	FORMATION	1977-11-15	60	358	2013-05-08
25/2-6	4.000000	HUGIN FM	FORMATION	1977-11-15	69	358	2013-05-08
25/2-6	15.000000	SLEIPNER FM	FORMATION	1977-11-15	148	358	2013-05-08
25/2-6	9.000000	STATFJORD FM	FORMATION	1977-11-15	157	358	2013-05-08
25/2-6	18.000000	VESTLAND GP	GROUP	1977-11-15	186	358	2013-05-08
25/2-6	6.000000	VIKING GP	GROUP	1977-11-15	188	358	2013-05-08
25/2-6	9.000000	NO GROUP DEFINED	GROUP	1977-11-15	208	358	2013-05-08
25/4-1	8.000000	BALDER FM	FORMATION	1972-12-09	6	359	2013-05-08
25/4-1	39.000000	HEIMDAL FM	FORMATION	1972-12-09	62	359	2013-05-08
25/4-1	2.000000	HUGIN FM	FORMATION	1972-12-09	69	359	2013-05-08
25/4-1	47.000000	ROGALAND GP	GROUP	1972-12-09	131	359	2013-05-08
25/4-1	5.000000	SHETLAND GP	GROUP	1972-12-09	143	359	2013-05-08
25/4-1	49.000000	SLEIPNER FM	FORMATION	1972-12-09	148	359	2013-05-08
25/4-1	143.000000	STATFJORD FM	FORMATION	1972-12-09	157	359	2013-05-08
25/4-1	5.000000	TRYGGVASON FM	FORMATION	1972-12-09	173	359	2013-05-08
25/4-1	51.000000	VESTLAND GP	GROUP	1972-12-09	186	359	2013-05-08
25/4-1	143.000000	NO GROUP DEFINED	GROUP	1972-12-09	208	359	2013-05-08
25/4-2	1.000000	HEIMDAL FM	FORMATION	1973-12-06	62	360	2013-05-08
25/4-2	1.000000	ROGALAND GP	GROUP	1973-12-06	131	360	2013-05-08
25/4-3	10.000000	HEIMDAL FM	FORMATION	1974-11-22	62	361	2013-05-08
25/4-3	1.000000	LISTA FM	FORMATION	1974-11-22	95	361	2013-05-08
25/4-3	11.000000	ROGALAND GP	GROUP	1974-11-22	131	361	2013-05-08
25/4-4	13.000000	HEIMDAL FM	FORMATION	1975-07-07	62	362	2013-05-08
25/4-4	13.000000	ROGALAND GP	GROUP	1975-07-07	131	362	2013-05-08
25/10-5	13.000000	INTRA BALDER FM SS	FORMATION	1981-07-17	7	365	2013-05-08
25/10-5	13.000000	ROGALAND GP	GROUP	1981-07-17	131	365	2013-05-08
25/11-5	0.000000	BALDER FM	FORMATION	1974-05-08	6	366	2013-05-08
25/11-5	2.000000	ROGALAND GP	GROUP	1974-05-08	131	366	2013-05-08
25/11-5	2.000000	SELE FM	FORMATION	1974-05-08	142	366	2013-05-08
25/11-7	22.000000	HEIMDAL FM	FORMATION	1978-10-27	62	368	2013-05-08
25/11-7	2.000000	LISTA FM	FORMATION	1978-10-27	95	368	2013-05-08
25/11-7	24.000000	SHETLAND GP	GROUP	1978-10-27	143	368	2013-05-08
25/11-8	49.000000	HEIMDAL FM	FORMATION	1979-10-16	62	369	2013-05-08
25/11-8	49.000000	ROGALAND GP	GROUP	1979-10-16	131	369	2013-05-08
25/12-1	6.000000	NO GROUP DEFINED	GROUP	1973-12-23	208	374	2013-05-08
29/6-1	120.000000	BRENT GP	GROUP	1982-05-09	16	375	2013-05-08
29/6-1	119.000000	NESS FM	FORMATION	1982-05-09	110	375	2013-05-08
29/6-1	1.000000	TARBERT FM	FORMATION	1982-05-09	162	375	2013-05-08
30/5-1	2.000000	CROMER KNOLL GP	GROUP	1972-07-29	23	379	2013-05-08
30/5-1	2.000000	ÅSGARD FM	FORMATION	1972-07-29	198	379	2013-05-08
30/7-2	63.000000	FRIGG FM	FORMATION	1975-11-09	45	385	2013-05-08
30/7-2	14.000000	HERMOD FM	FORMATION	1975-11-09	64	385	2013-05-08
30/7-2	63.000000	HORDALAND GP	GROUP	1975-11-09	67	385	2013-05-08
30/7-2	14.000000	ROGALAND GP	GROUP	1975-11-09	131	385	2013-05-08
30/7-3	6.000000	CROMER KNOLL GP	GROUP	1976-10-25	23	386	2013-05-08
30/7-3	6.000000	RØDBY FM	FORMATION	1976-10-25	137	386	2013-05-08
30/7-7	9.000000	COOK FM	FORMATION	1979-07-01	24	390	2013-05-08
30/7-7	9.000000	DUNLIN GP	GROUP	1979-07-01	29	390	2013-05-08
30/10-1	25.000000	FRIGG FM	FORMATION	1973-07-18	45	391	2013-05-08
30/10-1	25.000000	HORDALAND GP	GROUP	1973-07-18	67	391	2013-05-08
30/10-2	3.000000	FRIGG FM	FORMATION	1974-03-28	45	392	2013-05-08
30/10-2	3.000000	HORDALAND GP	GROUP	1974-03-28	67	392	2013-05-08
30/10-3	35.000000	FRIGG FM	FORMATION	1974-08-31	45	393	2013-05-08
30/10-3	57.000000	HORDALAND GP	GROUP	1974-08-31	67	393	2013-05-08
30/10-5	9.000000	BRENT GP	GROUP	1975-05-01	16	395	2013-05-08
31/2-1	67.000000	FENSFJORD FM	FORMATION	1979-11-09	40	398	2013-05-08
31/2-1	61.000000	HEATHER FM	FORMATION	1979-11-09	60	398	2013-05-08
31/2-1	55.000000	SOGNEFJORD FM	FORMATION	1979-11-09	151	398	2013-05-08
31/2-1	184.000000	VIKING GP	GROUP	1979-11-09	188	398	2013-05-08
31/2-6	124.000000	SOGNEFJORD FM	FORMATION	1981-10-17	151	399	2013-05-08
31/2-6	124.000000	VIKING GP	GROUP	1981-10-17	188	399	2013-05-08
33/5-2	41.000000	BRENT GP	GROUP	1981-11-18	16	405	2013-05-08
33/5-2	0.000000	HEATHER FM	FORMATION	1981-11-18	60	405	2013-05-08
33/5-2	17.000000	RANNOCH FM	FORMATION	1981-11-18	126	405	2013-05-08
33/5-2	24.000000	TARBERT FM	FORMATION	1981-11-18	162	405	2013-05-08
33/5-2	0.000000	VIKING GP	GROUP	1981-11-18	188	405	2013-05-08
33/6-1	9.000000	BRENT GP	GROUP	1979-07-06	16	406	2013-05-08
33/6-1	9.000000	RANNOCH FM	FORMATION	1979-07-06	126	406	2013-05-08
33/6-1	5.000000	STATFJORD FM	FORMATION	1979-07-06	157	406	2013-05-08
33/6-1	5.000000	NO GROUP DEFINED	GROUP	1979-07-06	208	406	2013-05-08
33/9-6	36.000000	BRENT GP	GROUP	1976-08-31	16	411	2013-05-08
33/9-6	3.000000	NESS FM	FORMATION	1976-08-31	110	411	2013-05-08
33/9-6	33.000000	TARBERT FM	FORMATION	1976-08-31	162	411	2013-05-08
33/9-9	78.000000	BRENT GP	GROUP	1977-11-17	16	414	2013-05-08
33/9-9	14.000000	DRAKE FM	FORMATION	1977-11-17	27	414	2013-05-08
33/9-9	14.000000	DUNLIN GP	GROUP	1977-11-17	29	414	2013-05-08
33/9-9	157.000000	STATFJORD FM	FORMATION	1977-11-17	157	414	2013-05-08
33/9-9	157.000000	NO GROUP DEFINED	GROUP	1977-11-17	208	414	2013-05-08
33/9-10	18.000000	BRENT GP	GROUP	1978-06-12	16	415	2013-05-08
33/9-11	18.000000	BRENT GP	GROUP	1978-08-28	16	416	2013-05-08
34/2-3	39.000000	HEGRE GP	GROUP	1981-08-13	61	421	2013-05-08
34/2-3	39.000000	LUNDE FM	FORMATION	1981-08-13	97	421	2013-05-08
34/4-1	90.000000	HEGRE GP	GROUP	1979-12-16	61	422	2013-05-08
34/4-1	90.000000	LUNDE FM	FORMATION	1979-12-16	97	422	2013-05-08
34/4-3	16.000000	BRENT GP	GROUP	1982-03-30	16	423	2013-05-08
34/4-3	18.000000	DRAUPNE FM	FORMATION	1982-03-30	28	423	2013-05-08
34/4-3	8.000000	STATFJORD FM	FORMATION	1982-03-30	157	423	2013-05-08
34/4-3	18.000000	VIKING GP	GROUP	1982-03-30	188	423	2013-05-08
34/4-3	8.000000	NO GROUP DEFINED	GROUP	1982-03-30	208	423	2013-05-08
34/10-1	12.000000	AMUNDSEN FM	FORMATION	1978-09-08	4	424	2013-05-08
34/10-1	136.000000	BRENT GP	GROUP	1978-09-08	16	424	2013-05-08
34/10-1	11.000000	BROOM FM	FORMATION	1978-09-08	17	424	2013-05-08
34/10-1	5.000000	DRAKE FM	FORMATION	1978-09-08	27	424	2013-05-08
34/10-1	17.000000	DUNLIN GP	GROUP	1978-09-08	29	424	2013-05-08
34/10-1	35.000000	ETIVE FM	FORMATION	1978-09-08	35	424	2013-05-08
34/10-1	1.000000	KYRRE FM	FORMATION	1978-09-08	92	424	2013-05-08
34/10-1	27.000000	NESS FM	FORMATION	1978-09-08	110	424	2013-05-08
34/10-1	58.000000	RANNOCH FM	FORMATION	1978-09-08	126	424	2013-05-08
34/10-1	1.000000	SHETLAND GP	GROUP	1978-09-08	143	424	2013-05-08
34/10-1	5.000000	TARBERT FM	FORMATION	1978-09-08	162	424	2013-05-08
34/10-2	21.000000	BRENT GP	GROUP	1978-12-08	16	425	2013-05-08
34/10-2	11.000000	EIRIKSSON MBR	MEMBER	1978-12-08	32	425	2013-05-08
34/10-2	39.000000	NANSEN MBR	MEMBER	1978-12-08	108	425	2013-05-08
34/10-2	10.000000	NESS FM	FORMATION	1978-12-08	110	425	2013-05-08
34/10-2	11.000000	RANNOCH FM	FORMATION	1978-12-08	126	425	2013-05-08
34/10-2	50.000000	STATFJORD FM	FORMATION	1978-12-08	157	425	2013-05-08
34/10-2	50.000000	NO GROUP DEFINED	GROUP	1978-12-08	208	425	2013-05-08
34/10-3	12.000000	AMUNDSEN FM	FORMATION	1979-06-07	4	426	2013-05-08
34/10-3	105.000000	BRENT GP	GROUP	1979-06-07	16	426	2013-05-08
34/10-3	12.000000	DUNLIN GP	GROUP	1979-06-07	29	426	2013-05-08
34/10-3	21.000000	ETIVE FM	FORMATION	1979-06-07	35	426	2013-05-08
34/10-3	61.000000	NESS FM	FORMATION	1979-06-07	110	426	2013-05-08
34/10-3	23.000000	RANNOCH FM	FORMATION	1979-06-07	126	426	2013-05-08
34/10-4	78.000000	BRENT GP	GROUP	1979-10-15	16	427	2013-05-08
34/10-4	4.000000	BROOM FM	FORMATION	1979-10-15	17	427	2013-05-08
34/10-4	6.000000	NANSEN MBR	MEMBER	1979-10-15	108	427	2013-05-08
34/10-4	74.000000	RANNOCH FM	FORMATION	1979-10-15	126	427	2013-05-08
34/10-4	6.000000	STATFJORD FM	FORMATION	1979-10-15	157	427	2013-05-08
34/10-4	6.000000	NO GROUP DEFINED	GROUP	1979-10-15	208	427	2013-05-08
34/10-5	39.000000	BRENT GP	GROUP	1980-01-02	16	428	2013-05-08
34/10-5	4.000000	NESS FM	FORMATION	1980-01-02	110	428	2013-05-08
34/10-5	35.000000	TARBERT FM	FORMATION	1980-01-02	162	428	2013-05-08
35/3-5	65.000000	AGAT FM	FORMATION	1982-03-31	2	433	2013-05-08
35/3-5	65.000000	CROMER KNOLL GP	GROUP	1982-03-31	23	433	2013-05-08
35/8-2	87.000000	BRENT GP	GROUP	1982-05-21	16	434	2013-05-08
35/8-2	2.000000	HEATHER FM	FORMATION	1982-05-21	60	434	2013-05-08
35/8-2	37.000000	NESS FM	FORMATION	1982-05-21	110	434	2013-05-08
35/8-2	50.000000	TARBERT FM	FORMATION	1982-05-21	162	434	2013-05-08
35/8-2	2.000000	VIKING GP	GROUP	1982-05-21	188	434	2013-05-08
36/1-1	6.000000	BASEMENT	GROUP	1975-06-14	10	435	2013-05-08
36/1-2	19.000000	HEATHER FM	FORMATION	1975-10-27	60	436	2013-05-08
36/1-2	19.000000	VIKING GP	GROUP	1975-10-27	188	436	2013-05-08
6507/12-2	9.000000	RED BEDS (INFORMAL)	GROUP	1981-11-24	129	437	2013-05-08
15/12-4	10.000000	HEATHER FM	FORMATION	1984-10-31	60	438	2013-05-08
15/12-4	8.000000	HUGIN FM	FORMATION	1984-10-31	69	438	2013-05-08
15/12-4	10.000000	LISTA FM	FORMATION	1984-10-31	95	438	2013-05-08
15/12-4	10.000000	ROGALAND GP	GROUP	1984-10-31	131	438	2013-05-08
15/12-4	19.000000	SHETLAND GP	GROUP	1984-10-31	143	438	2013-05-08
15/12-4	19.000000	TOR FM	FORMATION	1984-10-31	171	438	2013-05-08
15/12-4	8.000000	VESTLAND GP	GROUP	1984-10-31	186	438	2013-05-08
15/12-4	10.000000	VIKING GP	GROUP	1984-10-31	188	438	2013-05-08
31/2-15	27.000000	HEATHER FM	FORMATION	1984-11-15	60	439	2013-05-08
31/2-15	14.000000	NO FORMAL NAME	FORMATION	1984-11-15	111	439	2013-05-08
31/2-15	14.000000	ROGALAND GP	GROUP	1984-11-15	131	439	2013-05-08
31/2-15	42.000000	SOGNEFJORD FM	FORMATION	1984-11-15	151	439	2013-05-08
31/2-15	69.000000	VIKING GP	GROUP	1984-11-15	188	439	2013-05-08
31/2-15	9.000000	UNDEFINED GP	GROUP	1984-11-15	191	439	2013-05-08
34/7-3	18.000000	AMUNDSEN FM	FORMATION	1985-01-02	4	442	2013-05-08
34/7-3	18.000000	DUNLIN GP	GROUP	1985-01-02	29	442	2013-05-08
34/7-3	52.000000	HEGRE GP	GROUP	1985-01-02	61	442	2013-05-08
34/7-3	52.000000	LUNDE FM	FORMATION	1985-01-02	97	442	2013-05-08
34/7-3	90.000000	STATFJORD FM	FORMATION	1985-01-02	157	442	2013-05-08
34/7-3	90.000000	NO GROUP DEFINED	GROUP	1985-01-02	208	442	2013-05-08
24/6-1	2.000000	HEIMDAL FM	FORMATION	1985-08-25	62	443	2013-05-08
24/6-1	54.000000	HUGIN FM	FORMATION	1985-08-25	69	443	2013-05-08
24/6-1	2.000000	ROGALAND GP	GROUP	1985-08-25	131	443	2013-05-08
24/6-1	54.000000	VESTLAND GP	GROUP	1985-08-25	186	443	2013-05-08
6407/6-1	17.000000	FANGST GP	GROUP	1984-10-26	38	444	2013-05-08
6407/6-1	17.000000	GARN FM	FORMATION	1984-10-26	48	444	2013-05-08
6609/5-1	11.000000	CROMER KNOLL GP	GROUP	1985-01-05	23	445	2013-05-08
34/10-22	22.000000	NORDLAND GP	GROUP	1984-11-05	113	446	2013-05-08
31/3-3	16.000000	CROMER KNOLL GP	GROUP	1984-11-18	23	447	2013-05-08
31/3-3	11.000000	HEATHER FM	FORMATION	1984-11-18	60	447	2013-05-08
31/3-3	139.000000	SOGNEFJORD FM	FORMATION	1984-11-18	151	447	2013-05-08
31/3-3	150.000000	VIKING GP	GROUP	1984-11-18	188	447	2013-05-08
7/8-4	1.000000	MANDAL FM	FORMATION	1985-02-20	101	448	2013-05-08
7/8-4	33.000000	SMITH BANK FM	FORMATION	1985-02-20	149	448	2013-05-08
7/8-4	1.000000	TYNE GP	GROUP	1985-02-20	177	448	2013-05-08
7/8-4	33.000000	NO GROUP DEFINED	GROUP	1985-02-20	208	448	2013-05-08
6407/9-2	4.000000	FANGST GP	GROUP	1985-02-02	38	449	2013-05-08
6407/9-2	4.000000	GARN FM	FORMATION	1985-02-02	48	449	2013-05-08
6407/9-2	34.000000	ROGN FM	FORMATION	1985-02-02	134	449	2013-05-08
6407/9-2	2.000000	SPEKK FM	FORMATION	1985-02-02	155	449	2013-05-08
6407/9-2	36.000000	VIKING GP	GROUP	1985-02-02	188	449	2013-05-08
6/3-1	11.000000	INTRA DRAUPNE FM SS	FORMATION	1985-02-01	26	450	2013-05-08
6/3-1	137.000000	SKAGERRAK FM	FORMATION	1985-02-01	146	450	2013-05-08
6/3-1	11.000000	VIKING GP	GROUP	1985-02-01	188	450	2013-05-08
6/3-1	137.000000	NO GROUP DEFINED	GROUP	1985-02-01	208	450	2013-05-08
34/7-4	3.000000	AMUNDSEN FM	FORMATION	1985-01-16	4	455	2013-05-08
34/7-4	3.000000	DUNLIN GP	GROUP	1985-01-16	29	455	2013-05-08
34/7-4	21.000000	STATFJORD FM	FORMATION	1985-01-16	157	455	2013-05-08
34/7-4	21.000000	NO GROUP DEFINED	GROUP	1985-01-16	208	455	2013-05-08
7120/6-1	10.000000	ADVENTDALEN GP	GROUP	1985-05-02	1	456	2013-05-08
7120/6-1	10.000000	FUGLEN FM	FORMATION	1985-05-02	47	456	2013-05-08
7120/6-1	172.000000	KAPP TOSCANA GP	GROUP	1985-05-02	79	456	2013-05-08
7120/6-1	86.000000	NORDMELA FM	FORMATION	1985-05-02	118	456	2013-05-08
7120/6-1	80.000000	STØ FM	FORMATION	1985-05-02	159	456	2013-05-08
7120/6-1	6.000000	TUBÅEN FM	FORMATION	1985-05-02	174	456	2013-05-08
34/7-5	14.000000	AMUNDSEN FM	FORMATION	1985-03-16	4	458	2013-05-08
34/7-5	105.000000	BRENT GP	GROUP	1985-03-16	16	458	2013-05-08
34/7-5	8.000000	DRAKE FM	FORMATION	1985-03-16	27	458	2013-05-08
34/7-5	23.000000	DUNLIN GP	GROUP	1985-03-16	29	458	2013-05-08
34/7-5	32.000000	ETIVE FM	FORMATION	1985-03-16	35	458	2013-05-08
34/7-5	18.000000	NESS FM	FORMATION	1985-03-16	110	458	2013-05-08
34/7-5	55.000000	RANNOCH FM	FORMATION	1985-03-16	126	458	2013-05-08
2/1-8	41.000000	FARSUND FM	FORMATION	1985-11-23	39	459	2013-05-08
2/1-8	16.000000	HAUGESUND FM	FORMATION	1985-11-23	57	459	2013-05-08
2/1-8	2.000000	MANDAL FM	FORMATION	1985-11-23	101	459	2013-05-08
2/1-8	60.000000	TYNE GP	GROUP	1985-11-23	177	459	2013-05-08
30/3-4	3.000000	AMUNDSEN FM	FORMATION	1985-06-12	4	460	2013-05-08
30/3-4	111.000000	BRENT GP	GROUP	1985-06-12	16	460	2013-05-08
30/3-4	42.000000	COOK FM	FORMATION	1985-06-12	24	460	2013-05-08
30/3-4	23.000000	DRAKE FM	FORMATION	1985-06-12	27	460	2013-05-08
30/3-4	68.000000	DUNLIN GP	GROUP	1985-06-12	29	460	2013-05-08
30/3-4	73.000000	ETIVE FM	FORMATION	1985-06-12	35	460	2013-05-08
30/3-4	37.000000	NESS FM	FORMATION	1985-06-12	110	460	2013-05-08
7121/4-2	17.000000	ADVENTDALEN GP	GROUP	1985-04-14	1	461	2013-05-08
7121/4-2	17.000000	FUGLEN FM	FORMATION	1985-04-14	47	461	2013-05-08
7121/4-2	117.000000	KAPP TOSCANA GP	GROUP	1985-04-14	79	461	2013-05-08
7121/4-2	41.000000	NORDMELA FM	FORMATION	1985-04-14	118	461	2013-05-08
7121/4-2	77.000000	STØ FM	FORMATION	1985-04-14	159	461	2013-05-08
25/1-7	53.000000	BALDER FM	FORMATION	1985-05-26	6	463	2013-05-08
25/1-7	19.000000	INTRA BALDER FM SS	FORMATION	1985-05-26	7	463	2013-05-08
25/1-7	204.000000	FRIGG FM	FORMATION	1985-05-26	45	463	2013-05-08
25/1-7	7.000000	HERMOD FM	FORMATION	1985-05-26	64	463	2013-05-08
25/1-7	241.000000	HORDALAND GP	GROUP	1985-05-26	67	463	2013-05-08
25/1-7	10.000000	JORSALFARE FM	FORMATION	1985-05-26	74	463	2013-05-08
25/1-7	79.000000	ROGALAND GP	GROUP	1985-05-26	131	463	2013-05-08
25/1-7	10.000000	SHETLAND GP	GROUP	1985-05-26	143	463	2013-05-08
25/1-7	0.000000	VÅLE FM	FORMATION	1985-05-26	190	463	2013-05-08
6507/7-2	135.000000	BÅT GP	GROUP	1985-06-10	22	464	2013-05-08
6507/7-2	2.000000	ROR FM	FORMATION	1985-06-10	135	464	2013-05-08
6507/7-2	134.000000	TILJE FM	FORMATION	1985-06-10	169	464	2013-05-08
31/6-8	32.000000	HEATHER FM	FORMATION	1985-05-25	60	466	2013-05-08
31/6-8	131.000000	SOGNEFJORD FM	FORMATION	1985-05-25	151	466	2013-05-08
31/6-8	162.000000	VIKING GP	GROUP	1985-05-25	188	466	2013-05-08
34/2-4	11.000000	COOK FM	FORMATION	1985-06-11	24	467	2013-05-08
34/2-4	11.000000	DUNLIN GP	GROUP	1985-06-11	29	467	2013-05-08
6506/12-3	172.000000	BÅT GP	GROUP	1985-07-17	22	468	2013-05-08
6506/12-3	137.000000	FANGST GP	GROUP	1985-07-17	38	468	2013-05-08
6506/12-3	71.000000	GARN FM	FORMATION	1985-07-17	48	468	2013-05-08
6506/12-3	48.000000	ILE FM	FORMATION	1985-07-17	70	468	2013-05-08
6506/12-3	18.000000	NOT FM	FORMATION	1985-07-17	120	468	2013-05-08
6506/12-3	51.000000	ROR FM	FORMATION	1985-07-17	135	468	2013-05-08
6506/12-3	121.000000	TILJE FM	FORMATION	1985-07-17	169	468	2013-05-08
6407/9-3	33.000000	ROGN FM	FORMATION	1985-07-28	134	469	2013-05-08
6407/9-3	14.000000	SPEKK FM	FORMATION	1985-07-28	155	469	2013-05-08
6407/9-3	46.000000	VIKING GP	GROUP	1985-07-28	188	469	2013-05-08
6507/11-3	28.000000	BÅT GP	GROUP	1985-08-15	22	470	2013-05-08
6507/11-3	106.000000	FANGST GP	GROUP	1985-08-15	38	470	2013-05-08
6507/11-3	29.000000	GARN FM	FORMATION	1985-08-15	48	470	2013-05-08
6507/11-3	65.000000	ILE FM	FORMATION	1985-08-15	70	470	2013-05-08
6507/11-3	13.000000	NOT FM	FORMATION	1985-08-15	120	470	2013-05-08
6507/11-3	1.000000	ROR FM	FORMATION	1985-08-15	135	470	2013-05-08
6507/11-3	27.000000	TILJE FM	FORMATION	1985-08-15	169	470	2013-05-08
7120/5-1	138.000000	KAPP TOSCANA GP	GROUP	1985-06-06	79	471	2013-05-08
7120/5-1	138.000000	STØ FM	FORMATION	1985-06-06	159	471	2013-05-08
25/1-8 S	140.000000	FRIGG FM	FORMATION	1985-07-25	45	472	2013-05-08
25/1-8 S	140.000000	HORDALAND GP	GROUP	1985-07-25	67	472	2013-05-08
7120/2-1	3.000000	BASEMENT	GROUP	1985-10-29	10	473	2013-05-08
7120/2-1	9.000000	BILLEFJORDEN GP	GROUP	1985-10-29	11	473	2013-05-08
7120/2-1	137.000000	FALK FM	FORMATION	1985-10-29	36	473	2013-05-08
7120/2-1	220.000000	GIPSDALEN GP	GROUP	1985-10-29	51	473	2013-05-08
7120/2-1	22.000000	UGLE FM	FORMATION	1985-10-29	178	473	2013-05-08
7120/2-1	9.000000	UNDIFFERENTIATED	FORMATION	1985-10-29	182	473	2013-05-08
7120/2-1	61.000000	ØRN FM	FORMATION	1985-10-29	195	473	2013-05-08
6407/7-1 S	290.000000	BÅT GP	GROUP	1986-04-07	22	474	2013-05-08
6407/7-1 S	12.000000	FANGST GP	GROUP	1986-04-07	38	474	2013-05-08
6407/7-1 S	12.000000	GARN FM	FORMATION	1986-04-07	48	474	2013-05-08
6407/7-1 S	13.000000	MELKE FM	FORMATION	1986-04-07	105	474	2013-05-08
6407/7-1 S	56.000000	ROR FM	FORMATION	1986-04-07	135	474	2013-05-08
6407/7-1 S	0.000000	SPEKK FM	FORMATION	1986-04-07	155	474	2013-05-08
6407/7-1 S	154.000000	TILJE FM	FORMATION	1986-04-07	169	474	2013-05-08
6407/7-1 S	13.000000	VIKING GP	GROUP	1986-04-07	188	474	2013-05-08
6407/7-1 S	80.000000	ÅRE FM	FORMATION	1986-04-07	197	474	2013-05-08
6506/12-4	18.000000	CROMER KNOLL GP	GROUP	1985-08-13	23	475	2013-05-08
6506/12-4	29.000000	FANGST GP	GROUP	1985-08-13	38	475	2013-05-08
6506/12-4	29.000000	GARN FM	FORMATION	1985-08-13	48	475	2013-05-08
6506/12-4	4.000000	KVITNOS FM	FORMATION	1985-08-13	91	475	2013-05-08
6506/12-4	1.000000	LANGE FM	FORMATION	1985-08-13	94	475	2013-05-08
6506/12-4	18.000000	LYSING FM	FORMATION	1985-08-13	99	475	2013-05-08
6506/12-4	8.000000	MELKE FM	FORMATION	1985-08-13	105	475	2013-05-08
6506/12-4	4.000000	SHETLAND GP	GROUP	1985-08-13	143	475	2013-05-08
6506/12-4	8.000000	VIKING GP	GROUP	1985-08-13	188	475	2013-05-08
34/10-23	217.000000	BRENT GP	GROUP	1985-10-13	16	476	2013-05-08
34/10-23	44.000000	ETIVE FM	FORMATION	1985-10-13	35	476	2013-05-08
34/10-23	2.000000	HEATHER FM	FORMATION	1985-10-13	60	476	2013-05-08
34/10-23	137.000000	NESS FM	FORMATION	1985-10-13	110	476	2013-05-08
34/10-23	21.000000	RANNOCH FM	FORMATION	1985-10-13	126	476	2013-05-08
34/10-23	14.000000	TARBERT FM	FORMATION	1985-10-13	162	476	2013-05-08
34/10-23	2.000000	VIKING GP	GROUP	1985-10-13	188	476	2013-05-08
25/2-9	27.000000	BALDER FM	FORMATION	1985-07-24	6	477	2013-05-08
25/2-9	4.000000	INTRA BALDER FM SS	FORMATION	1985-07-24	7	477	2013-05-08
25/2-9	139.000000	FRIGG FM	FORMATION	1985-07-24	45	477	2013-05-08
25/2-9	139.000000	HORDALAND GP	GROUP	1985-07-24	67	477	2013-05-08
25/2-9	31.000000	ROGALAND GP	GROUP	1985-07-24	131	477	2013-05-08
7121/5-1	185.000000	KAPP TOSCANA GP	GROUP	1985-09-28	79	479	2013-05-08
7121/5-1	62.000000	NORDMELA FM	FORMATION	1985-09-28	118	479	2013-05-08
7121/5-1	21.000000	SNADD FM	FORMATION	1985-09-28	150	479	2013-05-08
7121/5-1	74.000000	STØ FM	FORMATION	1985-09-28	159	479	2013-05-08
7121/5-1	29.000000	TUBÅEN FM	FORMATION	1985-09-28	174	479	2013-05-08
6407/9-4	39.000000	FANGST GP	GROUP	1985-09-10	38	480	2013-05-08
6407/9-4	30.000000	GARN FM	FORMATION	1985-09-10	48	480	2013-05-08
6407/9-4	9.000000	NOT FM	FORMATION	1985-09-10	120	480	2013-05-08
6507/7-3	195.000000	BÅT GP	GROUP	1985-09-18	22	482	2013-05-08
6507/7-3	62.000000	FANGST GP	GROUP	1985-09-18	38	482	2013-05-08
6507/7-3	29.000000	GARN FM	FORMATION	1985-09-18	48	482	2013-05-08
6507/7-3	22.000000	ILE FM	FORMATION	1985-09-18	70	482	2013-05-08
6507/7-3	12.000000	NOT FM	FORMATION	1985-09-18	120	482	2013-05-08
6507/7-3	37.000000	ROR FM	FORMATION	1985-09-18	135	482	2013-05-08
6507/7-3	7.000000	SHETLAND GP	GROUP	1985-09-18	143	482	2013-05-08
6507/7-3	158.000000	TILJE FM	FORMATION	1985-09-18	169	482	2013-05-08
6507/12-3	16.000000	BÅT GP	GROUP	1985-09-13	22	485	2013-05-08
6507/12-3	8.000000	FANGST GP	GROUP	1985-09-13	38	485	2013-05-08
6507/12-3	8.000000	GARN FM	FORMATION	1985-09-13	48	485	2013-05-08
6507/12-3	16.000000	ÅRE FM	FORMATION	1985-09-13	197	485	2013-05-08
6406/6-1	28.000000	FANGST GP	GROUP	1985-12-30	38	486	2013-05-08
6406/6-1	28.000000	GARN FM	FORMATION	1985-12-30	48	486	2013-05-08
30/6-18	74.000000	STATFJORD FM	FORMATION	1985-11-23	157	488	2013-05-08
30/6-18	74.000000	NO GROUP DEFINED	GROUP	1985-11-23	208	488	2013-05-08
6407/4-1	70.000000	BÅT GP	GROUP	1985-11-15	22	490	2013-05-08
6407/4-1	145.000000	FANGST GP	GROUP	1985-11-15	38	490	2013-05-08
6407/4-1	78.000000	GARN FM	FORMATION	1985-11-15	48	490	2013-05-08
6407/4-1	55.000000	ILE FM	FORMATION	1985-11-15	70	490	2013-05-08
6407/4-1	1.000000	MELKE FM	FORMATION	1985-11-15	105	490	2013-05-08
6407/4-1	12.000000	NOT FM	FORMATION	1985-11-15	120	490	2013-05-08
6407/4-1	16.000000	SHETLAND GP	GROUP	1985-11-15	143	490	2013-05-08
6407/4-1	16.000000	SPRINGAR FM	FORMATION	1985-11-15	156	490	2013-05-08
6407/4-1	56.000000	TILJE FM	FORMATION	1985-11-15	169	490	2013-05-08
6407/4-1	1.000000	VIKING GP	GROUP	1985-11-15	188	490	2013-05-08
6407/4-1	14.000000	ÅRE FM	FORMATION	1985-11-15	197	490	2013-05-08
6407/9-5	42.000000	ROGN FM	FORMATION	1985-11-13	134	492	2013-05-08
6407/9-5	42.000000	VIKING GP	GROUP	1985-11-13	188	492	2013-05-08
34/10-9 R	4.000000	NANSEN MBR	MEMBER	1980-07-03	108	495	2013-05-08
34/10-9 R	4.000000	STATFJORD FM	FORMATION	1980-07-03	157	495	2013-05-08
34/10-9 R	4.000000	NO GROUP DEFINED	GROUP	1980-07-03	208	495	2013-05-08
34/2-2 R	10.000000	COOK FM	FORMATION	1981-05-08	24	497	2013-05-08
34/2-2 R	10.000000	DUNLIN GP	GROUP	1981-05-08	29	497	2013-05-08
31/2-4 R	96.000000	FENSFJORD FM	FORMATION	1981-04-06	40	502	2013-05-08
31/2-4 R	50.000000	HEATHER FM	FORMATION	1981-04-06	60	502	2013-05-08
31/2-4 R	8.000000	HEGRE GP	GROUP	1981-04-06	61	502	2013-05-08
31/2-4 R	37.000000	KROSSFJORD FM	FORMATION	1981-04-06	87	502	2013-05-08
31/2-4 R	25.000000	LISTA FM	FORMATION	1981-04-06	95	502	2013-05-08
31/2-4 R	25.000000	ROGALAND GP	GROUP	1981-04-06	131	502	2013-05-08
31/2-4 R	75.000000	SOGNEFJORD FM	FORMATION	1981-04-06	151	502	2013-05-08
31/2-4 R	258.000000	VIKING GP	GROUP	1981-04-06	188	502	2013-05-08
31/2-4 R	1.000000	VÅLE FM	FORMATION	1981-04-06	190	502	2013-05-08
30/3-2 R	84.000000	BRENT GP	GROUP	1981-02-16	16	508	2013-05-08
30/3-2 R	0.000000	BURTON FM	FORMATION	1981-02-16	20	508	2013-05-08
30/3-2 R	47.000000	COOK FM	FORMATION	1981-02-16	24	508	2013-05-08
30/3-2 R	2.000000	DRAKE FM	FORMATION	1981-02-16	27	508	2013-05-08
30/3-2 R	49.000000	DUNLIN GP	GROUP	1981-02-16	29	508	2013-05-08
30/3-2 R	3.000000	ETIVE FM	FORMATION	1981-02-16	35	508	2013-05-08
30/3-2 R	8.000000	HEGRE GP	GROUP	1981-02-16	61	508	2013-05-08
30/3-2 R	1.000000	LUNDE FM	FORMATION	1981-02-16	97	508	2013-05-08
30/3-2 R	3.000000	NANSEN MBR	MEMBER	1981-02-16	108	508	2013-05-08
30/3-2 R	18.000000	NESS FM	FORMATION	1981-02-16	110	508	2013-05-08
30/3-2 R	55.000000	OSEBERG FM	FORMATION	1981-02-16	123	508	2013-05-08
30/3-2 R	9.000000	RANNOCH FM	FORMATION	1981-02-16	126	508	2013-05-08
30/3-2 R	3.000000	STATFJORD FM	FORMATION	1981-02-16	157	508	2013-05-08
30/3-2 R	4.000000	NO GROUP DEFINED	GROUP	1981-02-16	208	508	2013-05-08
30/3-1 R	10.000000	BRENT GP	GROUP	1982-04-26	16	509	2013-05-08
30/3-1 R	6.000000	DRAKE FM	FORMATION	1982-04-26	27	509	2013-05-08
30/3-1 R	6.000000	DUNLIN GP	GROUP	1982-04-26	29	509	2013-05-08
30/3-1 R	7.000000	OSEBERG FM	FORMATION	1982-04-26	123	509	2013-05-08
30/3-1 R	3.000000	RANNOCH FM	FORMATION	1982-04-26	126	509	2013-05-08
25/10-2 R	1.000000	BALDER FM	FORMATION	1972-07-08	6	511	2013-05-08
25/10-2 R	0.000000	BASEMENT	GROUP	1972-07-08	10	511	2013-05-08
25/10-2 R	34.000000	HEIMDAL FM	FORMATION	1972-07-08	62	511	2013-05-08
25/10-2 R	7.000000	KUPFERSCHIEFER FM	FORMATION	1972-07-08	88	511	2013-05-08
25/10-2 R	9.000000	LISTA FM	FORMATION	1972-07-08	95	511	2013-05-08
25/10-2 R	111.000000	ROGALAND GP	GROUP	1972-07-08	131	511	2013-05-08
25/10-2 R	34.000000	ROTLIEGEND GP	GROUP	1972-07-08	136	511	2013-05-08
25/10-2 R	64.000000	SELE FM	FORMATION	1972-07-08	142	511	2013-05-08
25/10-2 R	1.000000	TY FM	FORMATION	1972-07-08	176	511	2013-05-08
25/10-2 R	5.000000	UNDIFFERENTIATED	FORMATION	1972-07-08	182	511	2013-05-08
25/10-2 R	3.000000	VÅLE FM	FORMATION	1972-07-08	190	511	2013-05-08
25/10-2 R	12.000000	ZECHSTEIN GP	GROUP	1972-07-08	194	511	2013-05-08
25/10-1 R	29.000000	BALDER FM	FORMATION	1970-08-03	6	512	2013-05-08
25/10-1 R	5.000000	INTRA BALDER FM SS	FORMATION	1970-08-03	7	512	2013-05-08
25/10-1 R	25.000000	HEIMDAL FM	FORMATION	1970-08-03	62	512	2013-05-08
25/10-1 R	30.000000	HERMOD FM	FORMATION	1970-08-03	64	512	2013-05-08
25/10-1 R	12.000000	HORDALAND GP	GROUP	1970-08-03	67	512	2013-05-08
25/10-1 R	16.000000	LISTA FM	FORMATION	1970-08-03	95	512	2013-05-08
25/10-1 R	12.000000	NO FORMAL NAME	FORMATION	1970-08-03	111	512	2013-05-08
25/10-1 R	130.000000	ROGALAND GP	GROUP	1970-08-03	131	512	2013-05-08
25/10-1 R	25.000000	SELE FM	FORMATION	1970-08-03	142	512	2013-05-08
24/12-1 R	11.000000	INTRA HEATHER FM SS	FORMATION	1978-08-14	59	513	2013-05-08
24/12-1 R	11.000000	VIKING GP	GROUP	1978-08-14	188	513	2013-05-08
17/9-1 R	5.000000	SKAGERRAK FM	FORMATION	1974-06-11	146	515	2013-05-08
17/9-1 R	5.000000	NO GROUP DEFINED	GROUP	1974-06-11	208	515	2013-05-08
25/6-1	13.000000	DRAKE FM	FORMATION	1986-02-03	27	524	2013-05-08
25/6-1	13.000000	DUNLIN GP	GROUP	1986-02-03	29	524	2013-05-08
25/6-1	1.000000	HUGIN FM	FORMATION	1986-02-03	69	524	2013-05-08
25/6-1	7.000000	SLEIPNER FM	FORMATION	1986-02-03	148	524	2013-05-08
25/6-1	8.000000	VESTLAND GP	GROUP	1986-02-03	186	524	2013-05-08
30/6-17 R	4.000000	AMUNDSEN FM	FORMATION	1986-02-04	4	849	2013-05-08
30/6-17 R	24.000000	COOK FM	FORMATION	1986-02-04	24	849	2013-05-08
30/6-17 R	18.000000	DRAKE FM	FORMATION	1986-02-04	27	849	2013-05-08
30/6-17 R	46.000000	DUNLIN GP	GROUP	1986-02-04	29	849	2013-05-08
30/6-17 R	43.000000	STATFJORD FM	FORMATION	1986-02-04	157	849	2013-05-08
30/6-17 R	43.000000	NO GROUP DEFINED	GROUP	1986-02-04	208	849	2013-05-08
6506/12-5	183.000000	BÅT GP	GROUP	1986-03-27	22	852	2013-05-08
6506/12-5	31.000000	CROMER KNOLL GP	GROUP	1986-03-27	23	852	2013-05-08
6506/12-5	168.000000	FANGST GP	GROUP	1986-03-27	38	852	2013-05-08
6506/12-5	82.000000	GARN FM	FORMATION	1986-03-27	48	852	2013-05-08
6506/12-5	60.000000	ILE FM	FORMATION	1986-03-27	70	852	2013-05-08
6506/12-5	1.000000	LANGE FM	FORMATION	1986-03-27	94	852	2013-05-08
6506/12-5	30.000000	LYSING FM	FORMATION	1986-03-27	99	852	2013-05-08
6506/12-5	37.000000	MELKE FM	FORMATION	1986-03-27	105	852	2013-05-08
6506/12-5	27.000000	NOT FM	FORMATION	1986-03-27	120	852	2013-05-08
6506/12-5	103.000000	ROR FM	FORMATION	1986-03-27	135	852	2013-05-08
6506/12-5	9.000000	SHETLAND GP	GROUP	1986-03-27	143	852	2013-05-08
6506/12-5	80.000000	TILJE FM	FORMATION	1986-03-27	169	852	2013-05-08
6506/12-5	37.000000	VIKING GP	GROUP	1986-03-27	188	852	2013-05-08
6507/7-4	228.000000	BÅT GP	GROUP	1986-01-13	22	853	2013-05-08
6507/7-4	89.000000	FANGST GP	GROUP	1986-01-13	38	853	2013-05-08
6507/7-4	49.000000	GARN FM	FORMATION	1986-01-13	48	853	2013-05-08
6507/7-4	24.000000	ILE FM	FORMATION	1986-01-13	70	853	2013-05-08
6507/7-4	14.000000	MELKE FM	FORMATION	1986-01-13	105	853	2013-05-08
6507/7-4	16.000000	NOT FM	FORMATION	1986-01-13	120	853	2013-05-08
6507/7-4	64.000000	ROR FM	FORMATION	1986-01-13	135	853	2013-05-08
6507/7-4	164.000000	TILJE FM	FORMATION	1986-01-13	169	853	2013-05-08
6507/7-4	14.000000	VIKING GP	GROUP	1986-01-13	188	853	2013-05-08
34/8-1	22.000000	AMUNDSEN FM	FORMATION	1986-03-08	4	854	2013-05-08
34/8-1	194.000000	BRENT GP	GROUP	1986-03-08	16	854	2013-05-08
34/8-1	21.000000	COOK FM	FORMATION	1986-03-08	24	854	2013-05-08
34/8-1	43.000000	DUNLIN GP	GROUP	1986-03-08	29	854	2013-05-08
34/8-1	46.000000	ETIVE FM	FORMATION	1986-03-08	35	854	2013-05-08
34/8-1	9.000000	HEGRE GP	GROUP	1986-03-08	61	854	2013-05-08
34/8-1	9.000000	LUNDE FM	FORMATION	1986-03-08	97	854	2013-05-08
34/8-1	39.000000	NESS FM	FORMATION	1986-03-08	110	854	2013-05-08
34/8-1	74.000000	RANNOCH FM	FORMATION	1986-03-08	126	854	2013-05-08
34/8-1	35.000000	TARBERT FM	FORMATION	1986-03-08	162	854	2013-05-08
25/2-10 S	15.000000	INTRA BALDER FM SS	FORMATION	1986-03-19	7	855	2013-05-08
25/2-10 S	30.000000	FRIGG FM	FORMATION	1986-03-19	45	855	2013-05-08
25/2-10 S	30.000000	HORDALAND GP	GROUP	1986-03-19	67	855	2013-05-08
25/2-10 S	19.000000	ROGALAND GP	GROUP	1986-03-19	131	855	2013-05-08
25/2-10 S	4.000000	TY FM	FORMATION	1986-03-19	176	855	2013-05-08
7/11-9	3.000000	FARSUND FM	FORMATION	1986-03-09	39	856	2013-05-08
7/11-9	26.000000	SMITH BANK FM	FORMATION	1986-03-09	149	856	2013-05-08
7/11-9	3.000000	TYNE GP	GROUP	1986-03-09	177	856	2013-05-08
7/11-9	14.000000	ULA FM	FORMATION	1986-03-09	179	856	2013-05-08
7/11-9	14.000000	VESTLAND GP	GROUP	1986-03-09	186	856	2013-05-08
7/11-9	26.000000	NO GROUP DEFINED	GROUP	1986-03-09	208	856	2013-05-08
6507/7-5 A	43.000000	BÅT GP	GROUP	1986-04-05	22	860	2013-05-08
6507/7-5 A	22.000000	FANGST GP	GROUP	1986-04-05	38	860	2013-05-08
6507/7-5 A	30.000000	TILJE FM	FORMATION	1986-04-05	169	860	2013-05-08
6/3-2	65.000000	HOD FM	FORMATION	1986-03-10	66	862	2013-05-08
6/3-2	119.000000	NO FORMAL NAME	FORMATION	1986-03-10	111	862	2013-05-08
6/3-2	2.000000	ROTLIEGEND GP	GROUP	1986-03-10	136	862	2013-05-08
6/3-2	65.000000	SHETLAND GP	GROUP	1986-03-10	143	862	2013-05-08
6/3-2	32.000000	SKAGERRAK FM	FORMATION	1986-03-10	146	862	2013-05-08
6/3-2	119.000000	VESTLAND GP	GROUP	1986-03-10	186	862	2013-05-08
6/3-2	32.000000	NO GROUP DEFINED	GROUP	1986-03-10	208	862	2013-05-08
6406/3-2	104.000000	BÅT GP	GROUP	1986-11-22	22	863	2013-05-08
6406/3-2	181.000000	FANGST GP	GROUP	1986-11-22	38	863	2013-05-08
6406/3-2	83.000000	GARN FM	FORMATION	1986-11-22	48	863	2013-05-08
6406/3-2	58.000000	ILE FM	FORMATION	1986-11-22	70	863	2013-05-08
6406/3-2	40.000000	NOT FM	FORMATION	1986-11-22	120	863	2013-05-08
6406/3-2	23.000000	ROR FM	FORMATION	1986-11-22	135	863	2013-05-08
6406/3-2	80.000000	TILJE FM	FORMATION	1986-11-22	169	863	2013-05-08
6407/9-6	28.000000	FANGST GP	GROUP	1986-03-13	38	871	2013-05-08
6407/9-6	28.000000	GARN FM	FORMATION	1986-03-13	48	871	2013-05-08
6407/9-6	12.000000	ROGN FM	FORMATION	1986-03-13	134	871	2013-05-08
6407/9-6	12.000000	VIKING GP	GROUP	1986-03-13	188	871	2013-05-08
34/4-6	1.000000	CROMER KNOLL GP	GROUP	1986-03-27	23	875	2013-05-08
34/4-6	54.000000	HEGRE GP	GROUP	1986-03-27	61	875	2013-05-08
34/4-6	4.000000	KYRRE FM	FORMATION	1986-03-27	92	875	2013-05-08
34/4-6	54.000000	LUNDE FM	FORMATION	1986-03-27	97	875	2013-05-08
34/4-6	1.000000	MIME FM	FORMATION	1986-03-27	106	875	2013-05-08
34/4-6	4.000000	SHETLAND GP	GROUP	1986-03-27	143	875	2013-05-08
34/10-30	3.000000	BRENT GP	GROUP	1986-05-12	16	877	2013-05-08
34/10-30	1.000000	DRAKE FM	FORMATION	1986-05-12	27	877	2013-05-08
34/10-30	1.000000	DUNLIN GP	GROUP	1986-05-12	29	877	2013-05-08
34/10-30	189.000000	HEGRE GP	GROUP	1986-05-12	61	877	2013-05-08
34/10-30	189.000000	LUNDE FM	FORMATION	1986-05-12	97	877	2013-05-08
34/10-30	200.000000	STATFJORD FM	FORMATION	1986-05-12	157	877	2013-05-08
34/10-30	200.000000	NO GROUP DEFINED	GROUP	1986-05-12	208	877	2013-05-08
34/7-8	10.000000	AMUNDSEN FM	FORMATION	1986-04-11	4	878	2013-05-08
34/7-8	4.000000	INTRA DRAUPNE FM SS	FORMATION	1986-04-11	26	878	2013-05-08
34/7-8	10.000000	DUNLIN GP	GROUP	1986-04-11	29	878	2013-05-08
34/7-8	44.000000	STATFJORD FM	FORMATION	1986-04-11	157	878	2013-05-08
34/7-8	4.000000	VIKING GP	GROUP	1986-04-11	188	878	2013-05-08
34/7-8	44.000000	NO GROUP DEFINED	GROUP	1986-04-11	208	878	2013-05-08
6507/7-5	196.000000	BÅT GP	GROUP	1986-03-06	22	879	2013-05-08
6507/7-5	54.000000	FANGST GP	GROUP	1986-03-06	38	879	2013-05-08
6507/7-5	33.000000	GARN FM	FORMATION	1986-03-06	48	879	2013-05-08
6507/7-5	13.000000	ILE FM	FORMATION	1986-03-06	70	879	2013-05-08
6507/7-5	34.000000	MELKE FM	FORMATION	1986-03-06	105	879	2013-05-08
6507/7-5	9.000000	NOT FM	FORMATION	1986-03-06	120	879	2013-05-08
6507/7-5	49.000000	ROR FM	FORMATION	1986-03-06	135	879	2013-05-08
6507/7-5	55.000000	SHETLAND GP	GROUP	1986-03-06	143	879	2013-05-08
6507/7-5	7.000000	SPEKK FM	FORMATION	1986-03-06	155	879	2013-05-08
6507/7-5	147.000000	TILJE FM	FORMATION	1986-03-06	169	879	2013-05-08
6507/7-5	40.000000	VIKING GP	GROUP	1986-03-06	188	879	2013-05-08
7121/7-2	35.000000	KAPP TOSCANA GP	GROUP	1986-08-12	79	881	2013-05-08
7121/7-2	2.000000	NORDMELA FM	FORMATION	1986-08-12	118	881	2013-05-08
7121/7-2	33.000000	STØ FM	FORMATION	1986-08-12	159	881	2013-05-08
25/5-1	20.000000	DRAKE FM	FORMATION	1987-08-01	27	884	2013-05-08
25/5-1	20.000000	DUNLIN GP	GROUP	1987-08-01	29	884	2013-05-08
25/5-1	6.000000	HUGIN FM	FORMATION	1987-08-01	69	884	2013-05-08
25/5-1	63.000000	SLEIPNER FM	FORMATION	1987-08-01	148	884	2013-05-08
25/5-1	55.000000	STATFJORD FM	FORMATION	1987-08-01	157	884	2013-05-08
25/5-1	69.000000	VESTLAND GP	GROUP	1987-08-01	186	884	2013-05-08
25/5-1	55.000000	NO GROUP DEFINED	GROUP	1987-08-01	208	884	2013-05-08
34/7-9	243.000000	HEGRE GP	GROUP	1986-06-12	61	889	2013-05-08
34/7-9	243.000000	LUNDE FM	FORMATION	1986-06-12	97	889	2013-05-08
35/11-2	144.000000	BRENT GP	GROUP	1987-12-04	16	893	2013-05-08
35/11-2	12.000000	ETIVE FM	FORMATION	1987-12-04	35	893	2013-05-08
35/11-2	0.000000	INTRA HEATHER FM SS	FORMATION	1987-12-04	59	893	2013-05-08
35/11-2	4.000000	HEATHER FM	FORMATION	1987-12-04	60	893	2013-05-08
35/11-2	94.000000	NESS FM	FORMATION	1987-12-04	110	893	2013-05-08
35/11-2	28.000000	RANNOCH FM	FORMATION	1987-12-04	126	893	2013-05-08
35/11-2	10.000000	TARBERT FM	FORMATION	1987-12-04	162	893	2013-05-08
35/11-2	4.000000	VIKING GP	GROUP	1987-12-04	188	893	2013-05-08
30/6-17 A	16.000000	AMUNDSEN FM	FORMATION	1986-03-18	4	894	2013-05-08
30/6-17 A	22.000000	COOK FM	FORMATION	1986-03-18	24	894	2013-05-08
30/6-17 A	7.000000	DRAKE FM	FORMATION	1986-03-18	27	894	2013-05-08
30/6-17 A	45.000000	DUNLIN GP	GROUP	1986-03-18	29	894	2013-05-08
30/6-17 A	37.000000	STATFJORD FM	FORMATION	1986-03-18	157	894	2013-05-08
30/6-17 A	0.000000	UNDEFINED GP	GROUP	1986-03-18	191	894	2013-05-08
30/6-17 A	37.000000	NO GROUP DEFINED	GROUP	1986-03-18	208	894	2013-05-08
7121/1-1 R	3.000000	BJARMELAND GP	GROUP	1986-08-23	12	896	2013-05-08
7121/1-1 R	3.000000	ISBJØRN FM	FORMATION	1986-08-23	72	896	2013-05-08
7121/1-1 R	2.000000	RØYE FM	FORMATION	1986-08-23	138	896	2013-05-08
7121/1-1 R	2.000000	TEMPELFJORDEN GP	GROUP	1986-08-23	167	896	2013-05-08
7120/1-1 R2	2.000000	BASEMENT	GROUP	1986-07-21	10	897	2013-05-08
7120/1-1 R2	9.000000	BJARMELAND GP	GROUP	1986-07-21	12	897	2013-05-08
7120/1-1 R2	9.000000	ULV FM	FORMATION	1986-07-21	181	897	2013-05-08
25/7-1 S	6.000000	BASEMENT	GROUP	1986-07-19	10	898	2013-05-08
25/7-1 S	4.000000	CROMER KNOLL GP	GROUP	1986-07-19	23	898	2013-05-08
25/7-1 S	4.000000	RØDBY FM	FORMATION	1986-07-19	137	898	2013-05-08
16/10-1	27.000000	HEATHER FM	FORMATION	1986-07-14	60	901	2013-05-08
16/10-1	27.000000	VIKING GP	GROUP	1986-07-14	188	901	2013-05-08
29/3-1	35.000000	BRENT GP	GROUP	1986-09-15	16	904	2013-05-08
29/3-1	35.000000	TARBERT FM	FORMATION	1986-09-15	162	904	2013-05-08
7121/5-2	75.000000	KAPP TOSCANA GP	GROUP	1986-07-06	79	907	2013-05-08
7121/5-2	75.000000	STØ FM	FORMATION	1986-07-06	159	907	2013-05-08
6507/6-1	29.000000	BÅT GP	GROUP	1986-08-23	22	910	2013-05-08
6507/6-1	22.000000	NO FORMAL NAME	FORMATION	1986-08-23	111	910	2013-05-08
6507/6-1	22.000000	RED BEDS (INFORMAL)	GROUP	1986-08-23	129	910	2013-05-08
6507/6-1	29.000000	ÅRE FM	FORMATION	1986-08-23	197	910	2013-05-08
34/8-2	12.000000	STATFJORD FM	FORMATION	1986-11-17	157	915	2013-05-08
34/8-2	12.000000	NO GROUP DEFINED	GROUP	1986-11-17	208	915	2013-05-08
9/3-1	7.000000	SANDNES FM	FORMATION	1986-09-04	139	921	2013-05-08
9/3-1	7.000000	VESTLAND GP	GROUP	1986-09-04	186	921	2013-05-08
6507/7-6	162.000000	BÅT GP	GROUP	1986-09-06	22	922	2013-05-08
6507/7-6	13.000000	FANGST GP	GROUP	1986-09-06	38	922	2013-05-08
6507/7-6	16.000000	SHETLAND GP	GROUP	1986-09-06	143	922	2013-05-08
6507/7-6	52.000000	TILJE FM	FORMATION	1986-09-06	169	922	2013-05-08
6507/7-6	84.000000	ÅRE FM	FORMATION	1986-09-06	197	922	2013-05-08
6607/12-1	9.000000	BRYGGE FM	FORMATION	1986-10-01	18	925	2013-05-08
6607/12-1	9.000000	HORDALAND GP	GROUP	1986-10-01	67	925	2013-05-08
6507/8-1	125.000000	BÅT GP	GROUP	1986-12-09	22	933	2013-05-08
6507/8-1	42.000000	FANGST GP	GROUP	1986-12-09	38	933	2013-05-08
6507/8-1	14.000000	GARN FM	FORMATION	1986-12-09	48	933	2013-05-08
6507/8-1	15.000000	ILE FM	FORMATION	1986-12-09	70	933	2013-05-08
6507/8-1	13.000000	NOT FM	FORMATION	1986-12-09	120	933	2013-05-08
6507/8-1	38.000000	ROR FM	FORMATION	1986-12-09	135	933	2013-05-08
6507/8-1	87.000000	TILJE FM	FORMATION	1986-12-09	169	933	2013-05-08
6407/2-3	28.000000	BÅT GP	GROUP	1987-01-23	22	935	2013-05-08
6407/2-3	143.000000	FANGST GP	GROUP	1987-01-23	38	935	2013-05-08
6407/2-3	52.000000	GARN FM	FORMATION	1987-01-23	48	935	2013-05-08
6407/2-3	63.000000	ILE FM	FORMATION	1987-01-23	70	935	2013-05-08
6407/2-3	28.000000	NOT FM	FORMATION	1987-01-23	120	935	2013-05-08
6407/2-3	28.000000	TILJE FM	FORMATION	1987-01-23	169	935	2013-05-08
6608/11-1	26.000000	GREY BEDS (INFORMAL)	GROUP	1986-08-13	52	936	2013-05-08
34/8-3	118.000000	BRENT GP	GROUP	1988-09-14	16	940	2013-05-08
34/8-3	30.000000	ETIVE FM	FORMATION	1988-09-14	35	940	2013-05-08
34/8-3	28.000000	NESS FM	FORMATION	1988-09-14	110	940	2013-05-08
34/8-3	59.000000	RANNOCH FM	FORMATION	1988-09-14	126	940	2013-05-08
34/4-7	183.000000	HEGRE GP	GROUP	1987-05-12	61	943	2013-05-08
34/4-7	183.000000	LUNDE FM	FORMATION	1987-05-12	97	943	2013-05-08
6406/3-3	30.000000	FANGST GP	GROUP	1986-10-26	38	949	2013-05-08
6406/3-3	30.000000	GARN FM	FORMATION	1986-10-26	48	949	2013-05-08
6406/3-3	1.000000	MELKE FM	FORMATION	1986-10-26	105	949	2013-05-08
6406/3-3	1.000000	VIKING GP	GROUP	1986-10-26	188	949	2013-05-08
25/1-9	18.000000	INTRA BALDER FM SS	FORMATION	1986-10-12	7	1001	2013-05-08
25/1-9	60.000000	FRIGG FM	FORMATION	1986-10-12	45	1001	2013-05-08
25/1-9	60.000000	HORDALAND GP	GROUP	1986-10-12	67	1001	2013-05-08
25/1-9	18.000000	ROGALAND GP	GROUP	1986-10-12	131	1001	2013-05-08
6506/12-1	142.000000	BÅT GP	GROUP	1985-02-06	22	1004	2013-05-08
6506/12-1	131.000000	FANGST GP	GROUP	1985-02-06	38	1004	2013-05-08
6506/12-1	38.000000	GARN FM	FORMATION	1985-02-06	48	1004	2013-05-08
6506/12-1	58.000000	ILE FM	FORMATION	1985-02-06	70	1004	2013-05-08
6506/12-1	35.000000	NOT FM	FORMATION	1985-02-06	120	1004	2013-05-08
6506/12-1	45.000000	ROR FM	FORMATION	1985-02-06	135	1004	2013-05-08
6506/12-1	55.000000	TILJE FM	FORMATION	1985-02-06	169	1004	2013-05-08
6506/12-1	42.000000	TOFTE FM	FORMATION	1985-02-06	170	1004	2013-05-08
2/12-1	0.000000	SMITH BANK FM	FORMATION	1987-03-12	149	1014	2013-05-08
2/12-1	37.000000	ULA FM	FORMATION	1987-03-12	179	1014	2013-05-08
2/12-1	37.000000	VESTLAND GP	GROUP	1987-03-12	186	1014	2013-05-08
2/12-1	0.000000	NO GROUP DEFINED	GROUP	1987-03-12	208	1014	2013-05-08
6407/7-2	146.000000	BÅT GP	GROUP	1987-01-21	22	1017	2013-05-08
6407/7-2	25.000000	FANGST GP	GROUP	1987-01-21	38	1017	2013-05-08
6407/7-2	8.000000	GARN FM	FORMATION	1987-01-21	48	1017	2013-05-08
6407/7-2	11.000000	ILE FM	FORMATION	1987-01-21	70	1017	2013-05-08
6407/7-2	6.000000	NOT FM	FORMATION	1987-01-21	120	1017	2013-05-08
6407/7-2	88.000000	TILJE FM	FORMATION	1987-01-21	169	1017	2013-05-08
6407/7-2	35.000000	ÅRE FM	FORMATION	1987-01-21	197	1017	2013-05-08
6407/6-3	115.000000	FANGST GP	GROUP	1987-02-16	38	1024	2013-05-08
6407/6-3	12.000000	GARN FM	FORMATION	1987-02-16	48	1024	2013-05-08
6407/6-3	51.000000	ILE FM	FORMATION	1987-02-16	70	1024	2013-05-08
6407/6-3	53.000000	NOT FM	FORMATION	1987-02-16	120	1024	2013-05-08
25/2-11	21.000000	FRIGG FM	FORMATION	1987-05-10	45	1036	2013-05-08
25/2-11	21.000000	HORDALAND GP	GROUP	1987-05-10	67	1036	2013-05-08
9/2-1	13.000000	BOKNFJORD GP	GROUP	1987-04-28	15	1038	2013-05-08
9/2-1	13.000000	EGERSUND FM	FORMATION	1987-04-28	30	1038	2013-05-08
9/2-1	98.000000	SANDNES FM	FORMATION	1987-04-28	139	1038	2013-05-08
9/2-1	98.000000	VESTLAND GP	GROUP	1987-04-28	186	1038	2013-05-08
6508/5-1	12.000000	FANGST GP	GROUP	1987-05-24	38	1044	2013-05-08
6508/5-1	12.000000	ILE FM	FORMATION	1987-05-24	70	1044	2013-05-08
26/4-1	0.000000	DUNLIN GP	GROUP	1987-07-17	29	1046	2013-05-08
26/4-1	28.000000	HUGIN FM	FORMATION	1987-07-17	69	1046	2013-05-08
26/4-1	0.000000	NO FORMAL NAME	FORMATION	1987-07-17	111	1046	2013-05-08
26/4-1	40.000000	ROGALAND GP	GROUP	1987-07-17	131	1046	2013-05-08
26/4-1	9.000000	STATFJORD FM	FORMATION	1987-07-17	157	1046	2013-05-08
26/4-1	40.000000	TY FM	FORMATION	1987-07-17	176	1046	2013-05-08
26/4-1	28.000000	VESTLAND GP	GROUP	1987-07-17	186	1046	2013-05-08
26/4-1	9.000000	NO GROUP DEFINED	GROUP	1987-07-17	208	1046	2013-05-08
6407/10-1	33.000000	BÅT GP	GROUP	1987-06-19	22	1054	2013-05-08
6407/10-1	79.000000	FANGST GP	GROUP	1987-06-19	38	1054	2013-05-08
6407/10-1	51.000000	ILE FM	FORMATION	1987-06-19	70	1054	2013-05-08
6407/10-1	28.000000	NOT FM	FORMATION	1987-06-19	120	1054	2013-05-08
6407/10-1	28.000000	ROGN FM	FORMATION	1987-06-19	134	1054	2013-05-08
6407/10-1	5.000000	ROR FM	FORMATION	1987-06-19	135	1054	2013-05-08
6407/10-1	28.000000	TILJE FM	FORMATION	1987-06-19	169	1054	2013-05-08
6407/10-1	28.000000	VIKING GP	GROUP	1987-06-19	188	1054	2013-05-08
6507/11-4	28.000000	FANGST GP	GROUP	1987-06-22	38	1055	2013-05-08
6507/11-4	28.000000	GARN FM	FORMATION	1987-06-22	48	1055	2013-05-08
6507/11-4	28.000000	MELKE FM	FORMATION	1987-06-22	105	1055	2013-05-08
6507/11-4	28.000000	VIKING GP	GROUP	1987-06-22	188	1055	2013-05-08
2/7-20	9.000000	EKOFISK FM	FORMATION	1988-06-25	33	1062	2013-05-08
2/7-20	9.000000	SHETLAND GP	GROUP	1988-06-25	143	1062	2013-05-08
2/7-20	32.000000	UNDEFINED GP	GROUP	1988-06-25	191	1062	2013-05-08
6607/5-1	25.000000	CROMER KNOLL GP	GROUP	1987-09-11	23	1064	2013-05-08
6607/5-1	17.000000	LANGE FM	FORMATION	1987-09-11	94	1064	2013-05-08
6607/5-1	8.000000	LYSING FM	FORMATION	1987-09-11	99	1064	2013-05-08
7124/3-1	104.000000	FRUHOLMEN FM	FORMATION	1987-10-20	46	1066	2013-05-08
7124/3-1	117.000000	KAPP TOSCANA GP	GROUP	1987-10-20	79	1066	2013-05-08
7124/3-1	14.000000	TUBÅEN FM	FORMATION	1987-10-20	174	1066	2013-05-08
6506/12-8	58.000000	BÅT GP	GROUP	1988-08-30	22	1068	2013-05-08
6506/12-8	151.000000	FANGST GP	GROUP	1988-08-30	38	1068	2013-05-08
6506/12-8	77.000000	GARN FM	FORMATION	1988-08-30	48	1068	2013-05-08
6506/12-8	37.000000	ILE FM	FORMATION	1988-08-30	70	1068	2013-05-08
6506/12-8	36.000000	NOT FM	FORMATION	1988-08-30	120	1068	2013-05-08
6506/12-8	58.000000	TILJE FM	FORMATION	1988-08-30	169	1068	2013-05-08
7321/8-1	77.000000	FRUHOLMEN FM	FORMATION	1987-09-03	46	1070	2013-05-08
7321/8-1	115.000000	KAPP TOSCANA GP	GROUP	1987-09-03	79	1070	2013-05-08
7321/8-1	12.000000	NORDMELA FM	FORMATION	1987-09-03	118	1070	2013-05-08
7321/8-1	1.000000	RØYE FM	FORMATION	1987-09-03	138	1070	2013-05-08
7321/8-1	15.000000	SNADD FM	FORMATION	1987-09-03	150	1070	2013-05-08
7321/8-1	12.000000	STØ FM	FORMATION	1987-09-03	159	1070	2013-05-08
7321/8-1	1.000000	TEMPELFJORDEN GP	GROUP	1987-09-03	167	1070	2013-05-08
6507/7-8	29.000000	BÅT GP	GROUP	1987-08-02	22	1071	2013-05-08
6507/7-8	59.000000	FANGST GP	GROUP	1987-08-02	38	1071	2013-05-08
6507/7-8	30.000000	GARN FM	FORMATION	1987-08-02	48	1071	2013-05-08
6507/7-8	27.000000	ILE FM	FORMATION	1987-08-02	70	1071	2013-05-08
6507/7-8	31.000000	MELKE FM	FORMATION	1987-08-02	105	1071	2013-05-08
6507/7-8	2.000000	NOT FM	FORMATION	1987-08-02	120	1071	2013-05-08
6507/7-8	29.000000	ROR FM	FORMATION	1987-08-02	135	1071	2013-05-08
6507/7-8	31.000000	VIKING GP	GROUP	1987-08-02	188	1071	2013-05-08
6507/8-2	25.000000	BÅT GP	GROUP	1987-09-09	22	1076	2013-05-08
6507/8-2	20.000000	ROR FM	FORMATION	1987-09-09	135	1076	2013-05-08
6507/8-2	6.000000	TILJE FM	FORMATION	1987-09-09	169	1076	2013-05-08
6201/11-1	151.000000	HEGRE GP	GROUP	1987-11-06	61	1134	2013-05-08
6201/11-1	151.000000	LUNDE FM	FORMATION	1987-11-06	97	1134	2013-05-08
9/2-2	17.000000	BRYNE FM	FORMATION	1987-09-21	19	1135	2013-05-08
9/2-2	28.000000	SANDNES FM	FORMATION	1987-09-21	139	1135	2013-05-08
9/2-2	45.000000	VESTLAND GP	GROUP	1987-09-21	186	1135	2013-05-08
6406/8-1	15.000000	BÅT GP	GROUP	1988-04-11	22	1136	2013-05-08
6406/8-1	123.000000	FANGST GP	GROUP	1988-04-11	38	1136	2013-05-08
6406/8-1	123.000000	ILE FM	FORMATION	1988-04-11	70	1136	2013-05-08
6406/8-1	15.000000	ROR FM	FORMATION	1988-04-11	135	1136	2013-05-08
7219/9-1	28.000000	ADVENTDALEN GP	GROUP	1988-02-25	1	1138	2013-05-08
7219/9-1	26.000000	FRUHOLMEN FM	FORMATION	1988-02-25	46	1138	2013-05-08
7219/9-1	28.000000	FUGLEN FM	FORMATION	1988-02-25	47	1138	2013-05-08
7219/9-1	189.000000	KAPP TOSCANA GP	GROUP	1988-02-25	79	1138	2013-05-08
7219/9-1	52.000000	NORDMELA FM	FORMATION	1988-02-25	118	1138	2013-05-08
7219/9-1	111.000000	STØ FM	FORMATION	1988-02-25	159	1138	2013-05-08
7122/6-1	35.000000	FRUHOLMEN FM	FORMATION	1987-11-11	46	1140	2013-05-08
7122/6-1	79.000000	KAPP TOSCANA GP	GROUP	1987-11-11	79	1140	2013-05-08
7122/6-1	14.000000	NORDMELA FM	FORMATION	1987-11-11	118	1140	2013-05-08
7122/6-1	19.000000	STØ FM	FORMATION	1987-11-11	159	1140	2013-05-08
7122/6-1	11.000000	TUBÅEN FM	FORMATION	1987-11-11	174	1140	2013-05-08
6406/3-4	154.000000	FANGST GP	GROUP	1987-12-29	38	1173	2013-05-08
6406/3-4	96.000000	GARN FM	FORMATION	1987-12-29	48	1173	2013-05-08
6406/3-4	51.000000	ILE FM	FORMATION	1987-12-29	70	1173	2013-05-08
6406/3-4	5.000000	MELKE FM	FORMATION	1987-12-29	105	1173	2013-05-08
6406/3-4	8.000000	NOT FM	FORMATION	1987-12-29	120	1173	2013-05-08
6406/3-4	5.000000	VIKING GP	GROUP	1987-12-29	188	1173	2013-05-08
6407/5-1	15.000000	FANGST GP	GROUP	1988-03-04	38	1174	2013-05-08
6407/5-1	15.000000	GARN FM	FORMATION	1988-03-04	48	1174	2013-05-08
6407/5-1	9.000000	SPEKK FM	FORMATION	1988-03-04	155	1174	2013-05-08
6407/5-1	9.000000	VIKING GP	GROUP	1988-03-04	188	1174	2013-05-08
7226/11-1	1.000000	ADVENTDALEN GP	GROUP	1988-04-11	1	1177	2013-05-08
7226/11-1	5.000000	BASEMENT	GROUP	1988-04-11	10	1177	2013-05-08
7226/11-1	27.000000	BJARMELAND GP	GROUP	1988-04-11	12	1177	2013-05-08
7226/11-1	14.000000	FRUHOLMEN FM	FORMATION	1988-04-11	46	1177	2013-05-08
7226/11-1	35.000000	HAVERT FM	FORMATION	1988-04-11	58	1177	2013-05-08
7226/11-1	1.000000	HEKKINGEN FM	FORMATION	1988-04-11	63	1177	2013-05-08
7226/11-1	45.000000	KAPP TOSCANA GP	GROUP	1988-04-11	79	1177	2013-05-08
7226/11-1	2.000000	KOBBE FM	FORMATION	1988-04-11	83	1177	2013-05-08
7226/11-1	37.000000	SASSENDALEN GP	GROUP	1988-04-11	140	1177	2013-05-08
7226/11-1	0.000000	STØ FM	FORMATION	1988-04-11	159	1177	2013-05-08
7226/11-1	31.000000	TUBÅEN FM	FORMATION	1988-04-11	174	1177	2013-05-08
7226/11-1	7.000000	ULV FM	FORMATION	1988-04-11	181	1177	2013-05-08
7226/11-1	20.000000	ØRN FM	FORMATION	1988-04-11	195	1177	2013-05-08
34/7-12	165.000000	BRENT GP	GROUP	1987-12-17	16	1187	2013-05-08
34/7-12	7.000000	BROOM FM	FORMATION	1987-12-17	17	1187	2013-05-08
34/7-12	16.000000	DRAKE FM	FORMATION	1987-12-17	27	1187	2013-05-08
34/7-12	16.000000	DUNLIN GP	GROUP	1987-12-17	29	1187	2013-05-08
34/7-12	17.000000	ETIVE FM	FORMATION	1987-12-17	35	1187	2013-05-08
34/7-12	0.000000	HEATHER FM	FORMATION	1987-12-17	60	1187	2013-05-08
34/7-12	34.000000	NESS FM	FORMATION	1987-12-17	110	1187	2013-05-08
34/7-12	64.000000	RANNOCH FM	FORMATION	1987-12-17	126	1187	2013-05-08
34/7-12	44.000000	TARBERT FM	FORMATION	1987-12-17	162	1187	2013-05-08
34/7-12	0.000000	VIKING GP	GROUP	1987-12-17	188	1187	2013-05-08
6506/11-1	22.000000	BÅT GP	GROUP	1988-03-31	22	1216	2013-05-08
6506/11-1	67.000000	FANGST GP	GROUP	1988-03-31	38	1216	2013-05-08
6506/11-1	56.000000	GARN FM	FORMATION	1988-03-31	48	1216	2013-05-08
6506/11-1	11.000000	ILE FM	FORMATION	1988-03-31	70	1216	2013-05-08
6506/11-1	1.000000	NOT FM	FORMATION	1988-03-31	120	1216	2013-05-08
6506/11-1	2.000000	ROR FM	FORMATION	1988-03-31	135	1216	2013-05-08
6506/11-1	20.000000	TILJE FM	FORMATION	1988-03-31	169	1216	2013-05-08
2/8-11	7.000000	HOD FM	FORMATION	1976-10-11	66	1224	2013-05-08
2/8-11	12.000000	SHETLAND GP	GROUP	1976-10-11	143	1224	2013-05-08
2/8-11	6.000000	TOR FM	FORMATION	1976-10-11	171	1224	2013-05-08
6406/3-5	19.000000	FANGST GP	GROUP	1988-06-01	38	1227	2013-05-08
6406/3-5	19.000000	GARN FM	FORMATION	1988-06-01	48	1227	2013-05-08
6406/3-5	2.000000	MELKE FM	FORMATION	1988-06-01	105	1227	2013-05-08
6406/3-5	2.000000	VIKING GP	GROUP	1988-06-01	188	1227	2013-05-08
6407/7-3	187.000000	BÅT GP	GROUP	1988-05-18	22	1229	2013-05-08
6407/7-3	15.000000	FANGST GP	GROUP	1988-05-18	38	1229	2013-05-08
6407/7-3	15.000000	ILE FM	FORMATION	1988-05-18	70	1229	2013-05-08
6407/7-3	25.000000	ROR FM	FORMATION	1988-05-18	135	1229	2013-05-08
6407/7-3	77.000000	TILJE FM	FORMATION	1988-05-18	169	1229	2013-05-08
6407/7-3	85.000000	ÅRE FM	FORMATION	1988-05-18	197	1229	2013-05-08
34/7-13	91.000000	BRENT GP	GROUP	1988-04-13	16	1233	2013-05-08
34/7-13	27.000000	ETIVE FM	FORMATION	1988-04-13	35	1233	2013-05-08
34/7-13	64.000000	RANNOCH FM	FORMATION	1988-04-13	126	1233	2013-05-08
34/7-13	17.000000	STATFJORD FM	FORMATION	1988-04-13	157	1233	2013-05-08
34/7-13	17.000000	NO GROUP DEFINED	GROUP	1988-04-13	208	1233	2013-05-08
7224/7-1	32.000000	KAPP TOSCANA GP	GROUP	1988-06-19	79	1245	2013-05-08
7224/7-1	14.000000	KOBBE FM	FORMATION	1988-06-19	83	1245	2013-05-08
7224/7-1	10.000000	NORDMELA FM	FORMATION	1988-06-19	118	1245	2013-05-08
7224/7-1	14.000000	SASSENDALEN GP	GROUP	1988-06-19	140	1245	2013-05-08
7224/7-1	21.000000	STØ FM	FORMATION	1988-06-19	159	1245	2013-05-08
7224/7-1	1.000000	TUBÅEN FM	FORMATION	1988-06-19	174	1245	2013-05-08
6408/4-1	1.000000	SPEKK FM	FORMATION	1988-10-18	155	1246	2013-05-08
6408/4-1	1.000000	VIKING GP	GROUP	1988-10-18	188	1246	2013-05-08
34/7-14	213.000000	BRENT GP	GROUP	1989-12-02	16	1278	2013-05-08
34/7-14	38.000000	ETIVE FM	FORMATION	1989-12-02	35	1278	2013-05-08
34/7-14	77.000000	NESS FM	FORMATION	1989-12-02	110	1278	2013-05-08
34/7-14	65.000000	RANNOCH FM	FORMATION	1989-12-02	126	1278	2013-05-08
34/7-14	33.000000	TARBERT FM	FORMATION	1989-12-02	162	1278	2013-05-08
7321/7-1	3.000000	ADVENTDALEN GP	GROUP	1988-10-22	1	1284	2013-05-08
7321/7-1	13.000000	KAPP TOSCANA GP	GROUP	1988-10-22	79	1284	2013-05-08
7321/7-1	3.000000	KNURR FM	FORMATION	1988-10-22	82	1284	2013-05-08
7321/7-1	9.000000	SNADD FM	FORMATION	1988-10-22	150	1284	2013-05-08
7321/7-1	5.000000	STØ FM	FORMATION	1988-10-22	159	1284	2013-05-08
35/8-3	18.000000	BRENT GP	GROUP	1988-10-15	16	1288	2013-05-08
35/8-3	18.000000	NESS FM	FORMATION	1988-10-15	110	1288	2013-05-08
25/2-12	9.000000	AMUNDSEN FM	FORMATION	1988-11-12	4	1290	2013-05-08
25/2-12	9.000000	DUNLIN GP	GROUP	1988-11-12	29	1290	2013-05-08
25/2-12	1.000000	HEATHER FM	FORMATION	1988-11-12	60	1290	2013-05-08
25/2-12	24.000000	HUGIN FM	FORMATION	1988-11-12	69	1290	2013-05-08
25/2-12	2.000000	SLEIPNER FM	FORMATION	1988-11-12	148	1290	2013-05-08
25/2-12	25.000000	STATFJORD FM	FORMATION	1988-11-12	157	1290	2013-05-08
25/2-12	26.000000	VESTLAND GP	GROUP	1988-11-12	186	1290	2013-05-08
25/2-12	1.000000	VIKING GP	GROUP	1988-11-12	188	1290	2013-05-08
25/2-12	25.000000	NO GROUP DEFINED	GROUP	1988-11-12	208	1290	2013-05-08
9/2-3	28.000000	SANDNES FM	FORMATION	1990-02-08	139	1294	2013-05-08
9/2-3	28.000000	VESTLAND GP	GROUP	1990-02-08	186	1294	2013-05-08
34/10-33	231.000000	BRENT GP	GROUP	1988-12-15	16	1302	2013-05-08
34/10-33	11.000000	DRAKE FM	FORMATION	1988-12-15	27	1302	2013-05-08
34/10-33	11.000000	DUNLIN GP	GROUP	1988-12-15	29	1302	2013-05-08
34/10-33	9.000000	ETIVE FM	FORMATION	1988-12-15	35	1302	2013-05-08
34/10-33	133.000000	NESS FM	FORMATION	1988-12-15	110	1302	2013-05-08
34/10-33	49.000000	RANNOCH FM	FORMATION	1988-12-15	126	1302	2013-05-08
34/10-33	37.000000	STATFJORD FM	FORMATION	1988-12-15	157	1302	2013-05-08
34/10-33	40.000000	TARBERT FM	FORMATION	1988-12-15	162	1302	2013-05-08
34/10-33	37.000000	NO GROUP DEFINED	GROUP	1988-12-15	208	1302	2013-05-08
2/5-8	27.000000	EKOFISK FM	FORMATION	1988-11-05	33	1308	2013-05-08
2/5-8	112.000000	SHETLAND GP	GROUP	1988-11-05	143	1308	2013-05-08
2/5-8	85.000000	TOR FM	FORMATION	1988-11-05	171	1308	2013-05-08
6507/8-3	5.000000	BÅT GP	GROUP	1988-09-20	22	1309	2013-05-08
6507/8-3	8.000000	FANGST GP	GROUP	1988-09-20	38	1309	2013-05-08
6507/8-3	0.000000	GARN FM	FORMATION	1988-09-20	48	1309	2013-05-08
6507/8-3	7.000000	ILE FM	FORMATION	1988-09-20	70	1309	2013-05-08
6507/8-3	1.000000	NOT FM	FORMATION	1988-09-20	120	1309	2013-05-08
6507/8-3	5.000000	ROR FM	FORMATION	1988-09-20	135	1309	2013-05-08
34/8-3 A	112.000000	BRENT GP	GROUP	1988-10-31	16	1338	2013-05-08
34/8-3 A	29.000000	ETIVE FM	FORMATION	1988-10-31	35	1338	2013-05-08
34/8-3 A	28.000000	NESS FM	FORMATION	1988-10-31	110	1338	2013-05-08
34/8-3 A	17.000000	RANNOCH FM	FORMATION	1988-10-31	126	1338	2013-05-08
34/8-3 A	37.000000	TARBERT FM	FORMATION	1988-10-31	162	1338	2013-05-08
7321/9-1	14.000000	ADVENTDALEN GP	GROUP	1988-11-28	1	1339	2013-05-08
7321/9-1	12.000000	FUGLEN FM	FORMATION	1988-11-28	47	1339	2013-05-08
7321/9-1	2.000000	HEKKINGEN FM	FORMATION	1988-11-28	63	1339	2013-05-08
7321/9-1	18.000000	KAPP TOSCANA GP	GROUP	1988-11-28	79	1339	2013-05-08
7321/9-1	18.000000	STØ FM	FORMATION	1988-11-28	159	1339	2013-05-08
6507/8-4	170.000000	BÅT GP	GROUP	1990-08-13	22	1340	2013-05-08
6507/8-4	170.000000	ÅRE FM	FORMATION	1990-08-13	197	1340	2013-05-08
6506/12-6	181.000000	BÅT GP	GROUP	1986-08-02	22	1342	2013-05-08
6506/12-6	85.000000	FANGST GP	GROUP	1986-08-02	38	1342	2013-05-08
6506/12-6	32.000000	GARN FM	FORMATION	1986-08-02	48	1342	2013-05-08
6506/12-6	52.000000	ILE FM	FORMATION	1986-08-02	70	1342	2013-05-08
6506/12-6	50.000000	MELKE FM	FORMATION	1986-08-02	105	1342	2013-05-08
6506/12-6	22.000000	ROR FM	FORMATION	1986-08-02	135	1342	2013-05-08
6506/12-6	104.000000	TILJE FM	FORMATION	1986-08-02	169	1342	2013-05-08
6506/12-6	55.000000	TOFTE FM	FORMATION	1986-08-02	170	1342	2013-05-08
6506/12-6	50.000000	VIKING GP	GROUP	1986-08-02	188	1342	2013-05-08
25/5-2	10.000000	HEATHER FM	FORMATION	1989-07-04	60	1346	2013-05-08
25/5-2	8.000000	HUGIN FM	FORMATION	1989-07-04	69	1346	2013-05-08
25/5-2	33.000000	SLEIPNER FM	FORMATION	1989-07-04	148	1346	2013-05-08
25/5-2	40.000000	VESTLAND GP	GROUP	1989-07-04	186	1346	2013-05-08
25/5-2	10.000000	VIKING GP	GROUP	1989-07-04	188	1346	2013-05-08
7125/1-1	8.000000	ADVENTDALEN GP	GROUP	1988-12-30	1	1350	2013-05-08
7125/1-1	8.000000	HEKKINGEN FM	FORMATION	1988-12-30	63	1350	2013-05-08
7125/1-1	28.000000	KAPP TOSCANA GP	GROUP	1988-12-30	79	1350	2013-05-08
7125/1-1	28.000000	STØ FM	FORMATION	1988-12-30	159	1350	2013-05-08
2/8-12 S	17.000000	SKAGERRAK FM	FORMATION	1989-04-27	146	1351	2013-05-08
2/8-12 S	17.000000	NO GROUP DEFINED	GROUP	1989-04-27	208	1351	2013-05-08
35/11-3 S	27.000000	BRENT GP	GROUP	1989-09-09	16	1356	2013-05-08
35/11-3 S	19.000000	DRAUPNE FM	FORMATION	1989-09-09	28	1356	2013-05-08
35/11-3 S	3.000000	NESS FM	FORMATION	1989-09-09	110	1356	2013-05-08
35/11-3 S	9.000000	NO FORMAL NAME	FORMATION	1989-09-09	111	1356	2013-05-08
35/11-3 S	9.000000	ROGALAND GP	GROUP	1989-09-09	131	1356	2013-05-08
35/11-3 S	5.000000	SOGNEFJORD FM	FORMATION	1989-09-09	151	1356	2013-05-08
35/11-3 S	24.000000	TARBERT FM	FORMATION	1989-09-09	162	1356	2013-05-08
35/11-3 S	24.000000	VIKING GP	GROUP	1989-09-09	188	1356	2013-05-08
33/12-7	17.000000	BRENT GP	GROUP	1989-04-27	16	1358	2013-05-08
33/12-7	17.000000	TARBERT FM	FORMATION	1989-04-27	162	1358	2013-05-08
6407/7-4	172.000000	BÅT GP	GROUP	1989-03-28	22	1360	2013-05-08
6407/7-4	19.000000	FANGST GP	GROUP	1989-03-28	38	1360	2013-05-08
6407/7-4	19.000000	ILE FM	FORMATION	1989-03-28	70	1360	2013-05-08
6407/7-4	1.000000	ROR FM	FORMATION	1989-03-28	135	1360	2013-05-08
6407/7-4	169.000000	TILJE FM	FORMATION	1989-03-28	169	1360	2013-05-08
6407/7-4	1.000000	ÅRE FM	FORMATION	1989-03-28	197	1360	2013-05-08
7120/1-2	21.000000	ADVENTDALEN GP	GROUP	1989-03-28	1	1366	2013-05-08
7120/1-2	5.000000	FRUHOLMEN FM	FORMATION	1989-03-28	46	1366	2013-05-08
7120/1-2	5.000000	KAPP TOSCANA GP	GROUP	1989-03-28	79	1366	2013-05-08
7120/1-2	11.000000	KNURR FM	FORMATION	1989-03-28	82	1366	2013-05-08
7120/1-2	10.000000	KOLMULE FM	FORMATION	1989-03-28	85	1366	2013-05-08
2/7-19	17.000000	EKOFISK FM	FORMATION	1981-02-02	33	1367	2013-05-08
2/7-19	17.000000	SHETLAND GP	GROUP	1981-02-02	143	1367	2013-05-08
2/4-15 S	3.000000	SHETLAND GP	GROUP	1990-03-16	143	1371	2013-05-08
2/4-15 S	3.000000	TOR FM	FORMATION	1990-03-16	171	1371	2013-05-08
35/9-1	2.000000	BASEMENT	GROUP	1989-05-07	10	1375	2013-05-08
35/9-1	38.000000	BRENT GP	GROUP	1989-05-07	16	1375	2013-05-08
35/9-1	45.000000	DUNLIN GP	GROUP	1989-05-07	29	1375	2013-05-08
35/9-1	31.000000	FENSFJORD FM	FORMATION	1989-05-07	40	1375	2013-05-08
35/9-1	10.000000	HEATHER FM	FORMATION	1989-05-07	60	1375	2013-05-08
35/9-1	35.000000	KROSSFJORD FM	FORMATION	1989-05-07	87	1375	2013-05-08
35/9-1	21.000000	NESS FM	FORMATION	1989-05-07	110	1375	2013-05-08
35/9-1	18.000000	RANNOCH FM	FORMATION	1989-05-07	126	1375	2013-05-08
35/9-1	2.000000	STATFJORD FM	FORMATION	1989-05-07	157	1375	2013-05-08
35/9-1	76.000000	VIKING GP	GROUP	1989-05-07	188	1375	2013-05-08
35/9-1	2.000000	NO GROUP DEFINED	GROUP	1989-05-07	208	1375	2013-05-08
1/2-1	5.000000	BALDER FM	FORMATION	1989-06-04	6	1382	2013-05-08
1/2-1	44.000000	FORTIES FM	FORMATION	1989-06-04	44	1382	2013-05-08
1/2-1	50.000000	ROGALAND GP	GROUP	1989-06-04	131	1382	2013-05-08
2/8-13	2.000000	ZECHSTEIN GP	GROUP	1989-06-22	194	1383	2013-05-08
6608/10-1	21.000000	BÅT GP	GROUP	1989-05-29	22	1391	2013-05-08
6608/10-1	12.000000	CROMER KNOLL GP	GROUP	1989-05-29	23	1391	2013-05-08
6608/10-1	28.000000	FANGST GP	GROUP	1989-05-29	38	1391	2013-05-08
6608/10-1	27.000000	GARN FM	FORMATION	1989-05-29	48	1391	2013-05-08
6608/10-1	1.000000	ILE FM	FORMATION	1989-05-29	70	1391	2013-05-08
6608/10-1	12.000000	LANGE FM	FORMATION	1989-05-29	94	1391	2013-05-08
6608/10-1	13.000000	ROR FM	FORMATION	1989-05-29	135	1391	2013-05-08
6608/10-1	8.000000	TOFTE FM	FORMATION	1989-05-29	170	1391	2013-05-08
2/7-21 S	147.000000	NO GROUP DEFINED	GROUP	1990-01-09	208	1394	2013-05-08
34/10-33 B	24.000000	BRENT GP	GROUP	1989-07-10	16	1407	2013-05-08
34/10-33 B	24.000000	TARBERT FM	FORMATION	1989-07-10	162	1407	2013-05-08
7324/10-1	19.000000	HAVERT FM	FORMATION	1989-08-19	58	1411	2013-05-08
7324/10-1	4.000000	KAPP TOSCANA GP	GROUP	1989-08-19	79	1411	2013-05-08
7324/10-1	14.000000	KOBBE FM	FORMATION	1989-08-19	83	1411	2013-05-08
7324/10-1	33.000000	SASSENDALEN GP	GROUP	1989-08-19	140	1411	2013-05-08
7324/10-1	4.000000	SNADD FM	FORMATION	1989-08-19	150	1411	2013-05-08
2/12-2 S	7.000000	HAUGESUND FM	FORMATION	1990-09-14	57	1416	2013-05-08
2/12-2 S	2.000000	SMITH BANK FM	FORMATION	1990-09-14	149	1416	2013-05-08
2/12-2 S	7.000000	TYNE GP	GROUP	1990-09-14	177	1416	2013-05-08
2/12-2 S	2.000000	NO GROUP DEFINED	GROUP	1990-09-14	208	1416	2013-05-08
25/3-1	12.000000	DUNLIN GP	GROUP	1989-09-05	29	1419	2013-05-08
25/3-1	8.000000	HUGIN FM	FORMATION	1989-09-05	69	1419	2013-05-08
25/3-1	10.000000	SLEIPNER FM	FORMATION	1989-09-05	148	1419	2013-05-08
25/3-1	4.000000	STATFJORD FM	FORMATION	1989-09-05	157	1419	2013-05-08
25/3-1	18.000000	VESTLAND GP	GROUP	1989-09-05	186	1419	2013-05-08
25/3-1	4.000000	NO GROUP DEFINED	GROUP	1989-09-05	208	1419	2013-05-08
2/9-3	4.000000	BRYNE FM	FORMATION	1989-12-14	19	1443	2013-05-08
2/9-3	0.000000	HAUGESUND FM	FORMATION	1989-12-14	57	1443	2013-05-08
2/9-3	0.000000	TYNE GP	GROUP	1989-12-14	177	1443	2013-05-08
2/9-3	18.000000	ULA FM	FORMATION	1989-12-14	179	1443	2013-05-08
2/9-3	22.000000	VESTLAND GP	GROUP	1989-12-14	186	1443	2013-05-08
25/2-13	21.000000	AMUNDSEN FM	FORMATION	1990-01-25	4	1459	2013-05-08
25/2-13	21.000000	DUNLIN GP	GROUP	1990-01-25	29	1459	2013-05-08
25/2-13	2.000000	HEATHER FM	FORMATION	1990-01-25	60	1459	2013-05-08
25/2-13	51.000000	HUGIN FM	FORMATION	1990-01-25	69	1459	2013-05-08
25/2-13	64.000000	SLEIPNER FM	FORMATION	1990-01-25	148	1459	2013-05-08
25/2-13	144.000000	STATFJORD FM	FORMATION	1990-01-25	157	1459	2013-05-08
25/2-13	114.000000	VESTLAND GP	GROUP	1990-01-25	186	1459	2013-05-08
25/2-13	2.000000	VIKING GP	GROUP	1990-01-25	188	1459	2013-05-08
25/2-13	144.000000	NO GROUP DEFINED	GROUP	1990-01-25	208	1459	2013-05-08
7228/2-1 S	9.000000	HAVERT FM	FORMATION	1989-12-20	58	1460	2013-05-08
7228/2-1 S	19.000000	KAPP TOSCANA GP	GROUP	1989-12-20	79	1460	2013-05-08
7228/2-1 S	9.000000	SASSENDALEN GP	GROUP	1989-12-20	140	1460	2013-05-08
7228/2-1 S	6.000000	SNADD FM	FORMATION	1989-12-20	150	1460	2013-05-08
7228/2-1 S	9.000000	STØ FM	FORMATION	1989-12-20	159	1460	2013-05-08
7228/2-1 S	4.000000	TUBÅEN FM	FORMATION	1989-12-20	174	1460	2013-05-08
30/9-8 R	134.000000	BRENT GP	GROUP	1989-09-25	16	1461	2013-05-08
30/9-8 R	52.000000	NESS FM	FORMATION	1989-09-25	110	1461	2013-05-08
30/9-8 R	82.000000	TARBERT FM	FORMATION	1989-09-25	162	1461	2013-05-08
3/7-4	87.000000	BRYNE FM	FORMATION	1990-01-23	19	1467	2013-05-08
3/7-4	57.000000	SANDNES FM	FORMATION	1990-01-23	139	1467	2013-05-08
3/7-4	145.000000	VESTLAND GP	GROUP	1990-01-23	186	1467	2013-05-08
6205/3-1	7.000000	CROMER KNOLL GP	GROUP	1990-02-11	23	1479	2013-05-08
6205/3-1	7.000000	ÅSGARD FM	FORMATION	1990-02-11	198	1479	2013-05-08
7228/9-1 S	8.000000	ADVENTDALEN GP	GROUP	1990-05-07	1	1486	2013-05-08
7228/9-1 S	19.000000	BJARMELAND GP	GROUP	1990-05-07	12	1486	2013-05-08
7228/9-1 S	24.000000	GIPSDALEN GP	GROUP	1990-05-07	51	1486	2013-05-08
7228/9-1 S	17.000000	HAVERT FM	FORMATION	1990-05-07	58	1486	2013-05-08
7228/9-1 S	8.000000	HEKKINGEN FM	FORMATION	1990-05-07	63	1486	2013-05-08
7228/9-1 S	48.000000	KAPP TOSCANA GP	GROUP	1990-05-07	79	1486	2013-05-08
7228/9-1 S	48.000000	NORDMELA FM	FORMATION	1990-05-07	118	1486	2013-05-08
7228/9-1 S	17.000000	SASSENDALEN GP	GROUP	1990-05-07	140	1486	2013-05-08
7228/9-1 S	19.000000	ULV FM	FORMATION	1990-05-07	181	1486	2013-05-08
7228/9-1 S	24.000000	ØRN FM	FORMATION	1990-05-07	195	1486	2013-05-08
25/5-3	18.000000	HUGIN FM	FORMATION	1990-03-26	69	1488	2013-05-08
25/5-3	23.000000	STATFJORD FM	FORMATION	1990-03-26	157	1488	2013-05-08
25/5-3	18.000000	VESTLAND GP	GROUP	1990-03-26	186	1488	2013-05-08
25/5-3	23.000000	NO GROUP DEFINED	GROUP	1990-03-26	208	1488	2013-05-08
7/7-1	17.000000	ANDREW FM	FORMATION	1990-02-20	5	1492	2013-05-08
7/7-1	17.000000	ROGALAND GP	GROUP	1990-02-20	131	1492	2013-05-08
7/7-1	17.000000	SMITH BANK FM	FORMATION	1990-02-20	149	1492	2013-05-08
7/7-1	17.000000	NO GROUP DEFINED	GROUP	1990-02-20	208	1492	2013-05-08
25/7-2	44.000000	INTRA DRAUPNE FM SS	FORMATION	1990-07-18	26	1494	2013-05-08
25/7-2	2.000000	HEATHER FM	FORMATION	1990-07-18	60	1494	2013-05-08
25/7-2	27.000000	HUGIN FM	FORMATION	1990-07-18	69	1494	2013-05-08
25/7-2	27.000000	VESTLAND GP	GROUP	1990-07-18	186	1494	2013-05-08
25/7-2	47.000000	VIKING GP	GROUP	1990-07-18	188	1494	2013-05-08
6407/10-2	12.000000	BÅT GP	GROUP	1990-06-23	22	1497	2013-05-08
6407/10-2	11.000000	FANGST GP	GROUP	1990-06-23	38	1497	2013-05-08
6407/10-2	11.000000	ILE FM	FORMATION	1990-06-23	70	1497	2013-05-08
6407/10-2	12.000000	TILJE FM	FORMATION	1990-06-23	169	1497	2013-05-08
1/6-5	0.000000	EKOFISK FM	FORMATION	1990-09-02	33	1508	2013-05-08
1/6-5	4.000000	SHETLAND GP	GROUP	1990-09-02	143	1508	2013-05-08
1/6-5	4.000000	TOR FM	FORMATION	1990-09-02	171	1508	2013-05-08
1/6-5	9.000000	ZECHSTEIN GP	GROUP	1990-09-02	194	1508	2013-05-08
6205/3-1 R	8.000000	CROMER KNOLL GP	GROUP	1990-11-30	23	1510	2013-05-08
6205/3-1 R	29.000000	NO FORMAL NAME	FORMATION	1990-11-30	111	1510	2013-05-08
6205/3-1 R	11.000000	SPEKK FM	FORMATION	1990-11-30	155	1510	2013-05-08
6205/3-1 R	39.000000	VIKING GP	GROUP	1990-11-30	188	1510	2013-05-08
6205/3-1 R	8.000000	ÅSGARD FM	FORMATION	1990-11-30	198	1510	2013-05-08
6507/6-2	12.000000	FANGST GP	GROUP	1991-07-16	38	1520	2013-05-08
6507/6-2	12.000000	GARN FM	FORMATION	1991-07-16	48	1520	2013-05-08
6507/6-2	0.000000	MELKE FM	FORMATION	1991-07-16	105	1520	2013-05-08
6507/6-2	0.000000	VIKING GP	GROUP	1991-07-16	188	1520	2013-05-08
1/3-6	8.000000	FORTIES FM	FORMATION	1991-06-22	44	1521	2013-05-08
1/3-6	8.000000	ROGALAND GP	GROUP	1991-06-22	131	1521	2013-05-08
35/11-4	6.000000	DRAUPNE FM	FORMATION	1990-12-29	28	1523	2013-05-08
35/11-4	36.000000	FENSFJORD FM	FORMATION	1990-12-29	40	1523	2013-05-08
35/11-4	93.000000	SOGNEFJORD FM	FORMATION	1990-12-29	151	1523	2013-05-08
35/11-4	135.000000	VIKING GP	GROUP	1990-12-29	188	1523	2013-05-08
15/12-6 S	32.000000	HEATHER FM	FORMATION	1990-11-04	60	1524	2013-05-08
15/12-6 S	76.000000	HUGIN FM	FORMATION	1990-11-04	69	1524	2013-05-08
15/12-6 S	8.000000	SKAGERRAK FM	FORMATION	1990-11-04	146	1524	2013-05-08
15/12-6 S	15.000000	SLEIPNER FM	FORMATION	1990-11-04	148	1524	2013-05-08
15/12-6 S	91.000000	VESTLAND GP	GROUP	1990-11-04	186	1524	2013-05-08
15/12-6 S	32.000000	VIKING GP	GROUP	1990-11-04	188	1524	2013-05-08
15/12-6 S	8.000000	NO GROUP DEFINED	GROUP	1990-11-04	208	1524	2013-05-08
2/6-4 S	4.000000	HORDALAND GP	GROUP	1990-06-02	67	1527	2013-05-08
6507/3-1	117.000000	BÅT GP	GROUP	1990-10-26	22	1533	2013-05-08
6507/3-1	76.000000	FANGST GP	GROUP	1990-10-26	38	1533	2013-05-08
6507/3-1	23.000000	GARN FM	FORMATION	1990-10-26	48	1533	2013-05-08
6507/3-1	27.000000	ILE FM	FORMATION	1990-10-26	70	1533	2013-05-08
6507/3-1	26.000000	NOT FM	FORMATION	1990-10-26	120	1533	2013-05-08
6507/3-1	7.000000	ROR FM	FORMATION	1990-10-26	135	1533	2013-05-08
6507/3-1	82.000000	TILJE FM	FORMATION	1990-10-26	169	1533	2013-05-08
6507/3-1	28.000000	ÅRE FM	FORMATION	1990-10-26	197	1533	2013-05-08
34/7-17 A	20.000000	BRENT GP	GROUP	1991-05-04	16	1536	2013-05-08
34/7-17 A	20.000000	TARBERT FM	FORMATION	1991-05-04	162	1536	2013-05-08
6406/11-1 S	18.000000	BÅT GP	GROUP	1991-02-18	22	1539	2013-05-08
6406/11-1 S	95.000000	FANGST GP	GROUP	1991-02-18	38	1539	2013-05-08
6406/11-1 S	95.000000	ILE FM	FORMATION	1991-02-18	70	1539	2013-05-08
6406/11-1 S	18.000000	ROR FM	FORMATION	1991-02-18	135	1539	2013-05-08
34/7-15 S	14.000000	BRENT GP	GROUP	1990-09-03	16	1544	2013-05-08
34/7-15 S	14.000000	TARBERT FM	FORMATION	1990-09-03	162	1544	2013-05-08
2/7-23 S	289.000000	NO GROUP DEFINED	GROUP	1990-11-21	208	1547	2013-05-08
6201/11-2	0.000000	DRAKE FM	FORMATION	1991-03-11	27	1549	2013-05-08
6201/11-2	0.000000	DUNLIN GP	GROUP	1991-03-11	29	1549	2013-05-08
6201/11-2	14.000000	HEGRE GP	GROUP	1991-03-11	61	1549	2013-05-08
6201/11-2	14.000000	LUNDE FM	FORMATION	1991-03-11	97	1549	2013-05-08
34/7-16	118.000000	BRENT GP	GROUP	1990-08-13	16	1550	2013-05-08
34/7-16	1.000000	CROMER KNOLL GP	GROUP	1990-08-13	23	1550	2013-05-08
34/7-16	42.000000	ETIVE FM	FORMATION	1990-08-13	35	1550	2013-05-08
34/7-16	1.000000	MIME FM	FORMATION	1990-08-13	106	1550	2013-05-08
34/7-16	76.000000	RANNOCH FM	FORMATION	1990-08-13	126	1550	2013-05-08
6306/10-1	4.000000	BASEMENT	GROUP	1990-12-17	10	1551	2013-05-08
6306/10-1	53.000000	EGGA FM (INFORMAL)	FORMATION	1990-12-17	31	1551	2013-05-08
6306/10-1	8.000000	FANGST GP	GROUP	1990-12-17	38	1551	2013-05-08
6306/10-1	8.000000	GARN FM	FORMATION	1990-12-17	48	1551	2013-05-08
6306/10-1	11.000000	MELKE FM	FORMATION	1990-12-17	105	1551	2013-05-08
6306/10-1	53.000000	ROGALAND GP	GROUP	1990-12-17	131	1551	2013-05-08
6306/10-1	11.000000	VIKING GP	GROUP	1990-12-17	188	1551	2013-05-08
16/4-2	6.000000	GRID FM	FORMATION	1990-07-29	53	1560	2013-05-08
16/4-2	6.000000	HORDALAND GP	GROUP	1990-07-29	67	1560	2013-05-08
7120/10-2	9.000000	ADVENTDALEN GP	GROUP	1990-09-05	1	1561	2013-05-08
7120/10-2	9.000000	KNURR FM	FORMATION	1990-09-05	82	1561	2013-05-08
7/11-10 S	8.000000	SMITH BANK FM	FORMATION	1990-09-10	149	1563	2013-05-08
7/11-10 S	38.000000	ULA FM	FORMATION	1990-09-10	179	1563	2013-05-08
7/11-10 S	38.000000	VESTLAND GP	GROUP	1990-09-10	186	1563	2013-05-08
7/11-10 S	8.000000	NO GROUP DEFINED	GROUP	1990-09-10	208	1563	2013-05-08
35/9-2	59.000000	BRENT GP	GROUP	1991-04-03	16	1600	2013-05-08
35/9-2	14.000000	DRAKE FM	FORMATION	1991-04-03	27	1600	2013-05-08
35/9-2	74.000000	DUNLIN GP	GROUP	1991-04-03	29	1600	2013-05-08
35/9-2	7.000000	ETIVE FM	FORMATION	1991-04-03	35	1600	2013-05-08
35/9-2	134.000000	FENSFJORD FM	FORMATION	1991-04-03	40	1600	2013-05-08
35/9-2	52.000000	HEATHER FM	FORMATION	1991-04-03	60	1600	2013-05-08
35/9-2	29.000000	KROSSFJORD FM	FORMATION	1991-04-03	87	1600	2013-05-08
35/9-2	19.000000	NESS FM	FORMATION	1991-04-03	110	1600	2013-05-08
35/9-2	33.000000	RANNOCH FM	FORMATION	1991-04-03	126	1600	2013-05-08
35/9-2	19.000000	SOGNEFJORD FM	FORMATION	1991-04-03	151	1600	2013-05-08
35/9-2	28.000000	STATFJORD FM	FORMATION	1991-04-03	157	1600	2013-05-08
35/9-2	60.000000	UNDIFFERENTIATED	FORMATION	1991-04-03	182	1600	2013-05-08
35/9-2	234.000000	VIKING GP	GROUP	1991-04-03	188	1600	2013-05-08
35/9-2	28.000000	NO GROUP DEFINED	GROUP	1991-04-03	208	1600	2013-05-08
6407/6-4	13.000000	BÅT GP	GROUP	1990-12-13	22	1604	2013-05-08
6407/6-4	28.000000	FANGST GP	GROUP	1990-12-13	38	1604	2013-05-08
6407/6-4	28.000000	GARN FM	FORMATION	1990-12-13	48	1604	2013-05-08
6407/6-4	13.000000	ÅRE FM	FORMATION	1990-12-13	197	1604	2013-05-08
7229/11-1	159.000000	BJARMELAND GP	GROUP	1993-12-15	12	1643	2013-05-08
7229/11-1	21.000000	GIPSDALEN GP	GROUP	1993-12-15	51	1643	2013-05-08
7229/11-1	159.000000	POLARREV FM	FORMATION	1993-12-15	124	1643	2013-05-08
7229/11-1	21.000000	ØRN FM	FORMATION	1993-12-15	195	1643	2013-05-08
2/1-9	14.000000	FARSUND FM	FORMATION	1991-07-06	39	1667	2013-05-08
2/1-9	15.000000	MANDAL FM	FORMATION	1991-07-06	101	1667	2013-05-08
2/1-9	29.000000	TYNE GP	GROUP	1991-07-06	177	1667	2013-05-08
2/1-9	104.000000	ULA FM	FORMATION	1991-07-06	179	1667	2013-05-08
2/1-9	104.000000	VESTLAND GP	GROUP	1991-07-06	186	1667	2013-05-08
31/5-4 S	88.000000	SOGNEFJORD FM	FORMATION	1990-10-10	151	1669	2013-05-08
31/5-4 S	88.000000	VIKING GP	GROUP	1990-10-10	188	1669	2013-05-08
25/11-14 S	22.000000	LISTA FM	FORMATION	1990-10-13	95	1672	2013-05-08
25/11-14 S	22.000000	ROGALAND GP	GROUP	1990-10-13	131	1672	2013-05-08
2/7-25 S	26.000000	ELDFISK FM	FORMATION	1991-03-31	34	1679	2013-05-08
2/7-25 S	10.000000	FARSUND FM	FORMATION	1991-03-31	39	1679	2013-05-08
2/7-25 S	17.000000	MANDAL FM	FORMATION	1991-03-31	101	1679	2013-05-08
2/7-25 S	53.000000	TYNE GP	GROUP	1991-03-31	177	1679	2013-05-08
15/12-7 S	8.000000	INTRA HEATHER FM SS	FORMATION	1991-01-07	59	1680	2013-05-08
15/12-7 S	18.000000	SKAGERRAK FM	FORMATION	1991-01-07	146	1680	2013-05-08
15/12-7 S	8.000000	VIKING GP	GROUP	1991-01-07	188	1680	2013-05-08
15/12-7 S	18.000000	NO GROUP DEFINED	GROUP	1991-01-07	208	1680	2013-05-08
34/8-4 S	355.000000	HEGRE GP	GROUP	1991-06-09	61	1683	2013-05-08
34/8-4 S	28.000000	LOMVI FM	FORMATION	1991-06-09	96	1683	2013-05-08
34/8-4 S	327.000000	LUNDE FM	FORMATION	1991-06-09	97	1683	2013-05-08
7120/2-2	67.000000	ADVENTDALEN GP	GROUP	1991-03-23	1	1690	2013-05-08
7120/2-2	10.000000	HEKKINGEN FM	FORMATION	1991-03-23	63	1690	2013-05-08
7120/2-2	4.000000	KAPP TOSCANA GP	GROUP	1991-03-23	79	1690	2013-05-08
7120/2-2	30.000000	KNURR FM	FORMATION	1991-03-23	82	1690	2013-05-08
7120/2-2	28.000000	KOLMULE FM	FORMATION	1991-03-23	85	1690	2013-05-08
7120/2-2	4.000000	STØ FM	FORMATION	1991-03-23	159	1690	2013-05-08
25/5-4	6.000000	BURTON FM	FORMATION	1991-03-07	20	1691	2013-05-08
25/5-4	6.000000	DUNLIN GP	GROUP	1991-03-07	29	1691	2013-05-08
25/5-4	16.000000	HUGIN FM	FORMATION	1991-03-07	69	1691	2013-05-08
25/5-4	21.000000	SLEIPNER FM	FORMATION	1991-03-07	148	1691	2013-05-08
25/5-4	17.000000	STATFJORD FM	FORMATION	1991-03-07	157	1691	2013-05-08
25/5-4	37.000000	VESTLAND GP	GROUP	1991-03-07	186	1691	2013-05-08
25/5-4	17.000000	NO GROUP DEFINED	GROUP	1991-03-07	208	1691	2013-05-08
6407/7-5	59.000000	BÅT GP	GROUP	1991-02-15	22	1699	2013-05-08
6407/7-5	9.000000	CROMER KNOLL GP	GROUP	1991-02-15	23	1699	2013-05-08
6407/7-5	39.000000	FANGST GP	GROUP	1991-02-15	38	1699	2013-05-08
6407/7-5	39.000000	ILE FM	FORMATION	1991-02-15	70	1699	2013-05-08
6407/7-5	9.000000	LYSING FM	FORMATION	1991-02-15	99	1699	2013-05-08
6407/7-5	8.000000	ROR FM	FORMATION	1991-02-15	135	1699	2013-05-08
6407/7-5	51.000000	TILJE FM	FORMATION	1991-02-15	169	1699	2013-05-08
25/4-6 S	14.000000	DUNLIN GP	GROUP	1991-08-24	29	1703	2013-05-08
25/4-6 S	3.000000	HEATHER FM	FORMATION	1991-08-24	60	1703	2013-05-08
25/4-6 S	155.000000	HUGIN FM	FORMATION	1991-08-24	69	1703	2013-05-08
25/4-6 S	28.000000	SLEIPNER FM	FORMATION	1991-08-24	148	1703	2013-05-08
25/4-6 S	5.000000	STATFJORD FM	FORMATION	1991-08-24	157	1703	2013-05-08
25/4-6 S	183.000000	VESTLAND GP	GROUP	1991-08-24	186	1703	2013-05-08
25/4-6 S	3.000000	VIKING GP	GROUP	1991-08-24	188	1703	2013-05-08
25/4-6 S	5.000000	NO GROUP DEFINED	GROUP	1991-08-24	208	1703	2013-05-08
6406/12-1 S	2.000000	MELKE FM	FORMATION	1991-02-28	105	1711	2013-05-08
6406/12-1 S	22.000000	ROGN FM	FORMATION	1991-02-28	134	1711	2013-05-08
6406/12-1 S	13.000000	SPEKK FM	FORMATION	1991-02-28	155	1711	2013-05-08
6406/12-1 S	37.000000	VIKING GP	GROUP	1991-02-28	188	1711	2013-05-08
25/2-14	5.000000	HEATHER FM	FORMATION	1991-03-30	60	1712	2013-05-08
25/2-14	21.000000	HUGIN FM	FORMATION	1991-03-30	69	1712	2013-05-08
25/2-14	12.000000	SLEIPNER FM	FORMATION	1991-03-30	148	1712	2013-05-08
25/2-14	33.000000	VESTLAND GP	GROUP	1991-03-30	186	1712	2013-05-08
25/2-14	5.000000	VIKING GP	GROUP	1991-03-30	188	1712	2013-05-08
34/7-17	116.000000	BRENT GP	GROUP	1991-04-07	16	1713	2013-05-08
34/7-17	26.000000	ETIVE FM	FORMATION	1991-04-07	35	1713	2013-05-08
34/7-17	1.000000	HEATHER FM	FORMATION	1991-04-07	60	1713	2013-05-08
34/7-17	43.000000	NESS FM	FORMATION	1991-04-07	110	1713	2013-05-08
34/7-17	47.000000	TARBERT FM	FORMATION	1991-04-07	162	1713	2013-05-08
34/7-17	1.000000	VIKING GP	GROUP	1991-04-07	188	1713	2013-05-08
24/9-4	11.000000	FRIGG FM	FORMATION	1991-06-17	45	1714	2013-05-08
24/9-4	11.000000	HORDALAND GP	GROUP	1991-06-17	67	1714	2013-05-08
2/11-8	10.000000	NO GROUP DEFINED	GROUP	1991-07-11	208	1715	2013-05-08
30/9-12	118.000000	BRENT GP	GROUP	1991-05-09	16	1717	2013-05-08
30/9-12	14.000000	DRAKE FM	FORMATION	1991-05-09	27	1717	2013-05-08
30/9-12	14.000000	DUNLIN GP	GROUP	1991-05-09	29	1717	2013-05-08
30/9-12	22.000000	HEATHER FM	FORMATION	1991-05-09	60	1717	2013-05-08
30/9-12	75.000000	NESS FM	FORMATION	1991-05-09	110	1717	2013-05-08
30/9-12	13.000000	TARBERT FM	FORMATION	1991-05-09	162	1717	2013-05-08
30/9-12	31.000000	UNDIFFERENTIATED	FORMATION	1991-05-09	182	1717	2013-05-08
30/9-12	22.000000	VIKING GP	GROUP	1991-05-09	188	1717	2013-05-08
34/8-5	21.000000	AMUNDSEN FM	FORMATION	1991-04-01	4	1719	2013-05-08
34/8-5	156.000000	BRENT GP	GROUP	1991-04-01	16	1719	2013-05-08
34/8-5	3.000000	BROOM FM	FORMATION	1991-04-01	17	1719	2013-05-08
34/8-5	0.000000	DRAKE FM	FORMATION	1991-04-01	27	1719	2013-05-08
34/8-5	22.000000	DUNLIN GP	GROUP	1991-04-01	29	1719	2013-05-08
34/8-5	14.000000	ETIVE FM	FORMATION	1991-04-01	35	1719	2013-05-08
34/8-5	0.000000	HEATHER FM	FORMATION	1991-04-01	60	1719	2013-05-08
34/8-5	79.000000	NESS FM	FORMATION	1991-04-01	110	1719	2013-05-08
34/8-5	27.000000	RANNOCH FM	FORMATION	1991-04-01	126	1719	2013-05-08
34/8-5	14.000000	STATFJORD FM	FORMATION	1991-04-01	157	1719	2013-05-08
34/8-5	34.000000	TARBERT FM	FORMATION	1991-04-01	162	1719	2013-05-08
34/8-5	0.000000	VIKING GP	GROUP	1991-04-01	188	1719	2013-05-08
34/8-5	14.000000	NO GROUP DEFINED	GROUP	1991-04-01	208	1719	2013-05-08
6608/10-3	105.000000	BÅT GP	GROUP	1993-03-11	22	1732	2013-05-08
6608/10-3	65.000000	FANGST GP	GROUP	1993-03-11	38	1732	2013-05-08
6608/10-3	31.000000	GARN FM	FORMATION	1993-03-11	48	1732	2013-05-08
6608/10-3	34.000000	ILE FM	FORMATION	1993-03-11	70	1732	2013-05-08
6608/10-3	14.000000	MELKE FM	FORMATION	1993-03-11	105	1732	2013-05-08
6608/10-3	52.000000	TILJE FM	FORMATION	1993-03-11	169	1732	2013-05-08
6608/10-3	53.000000	TOFTE FM	FORMATION	1993-03-11	170	1732	2013-05-08
6608/10-3	14.000000	VIKING GP	GROUP	1993-03-11	188	1732	2013-05-08
34/10-34	272.000000	BRENT GP	GROUP	1991-05-31	16	1747	2013-05-08
34/10-34	6.000000	BROOM FM	FORMATION	1991-05-31	17	1747	2013-05-08
34/10-34	17.000000	ETIVE FM	FORMATION	1991-05-31	35	1747	2013-05-08
34/10-34	84.000000	NESS FM	FORMATION	1991-05-31	110	1747	2013-05-08
34/10-34	80.000000	RANNOCH FM	FORMATION	1991-05-31	126	1747	2013-05-08
34/10-34	86.000000	TARBERT FM	FORMATION	1991-05-31	162	1747	2013-05-08
6507/8-5	22.000000	FANGST GP	GROUP	1991-03-16	38	1749	2013-05-08
6507/8-5	15.000000	ILE FM	FORMATION	1991-03-16	70	1749	2013-05-08
6507/8-5	6.000000	NOT FM	FORMATION	1991-03-16	120	1749	2013-05-08
6506/11-2	200.000000	BÅT GP	GROUP	1991-10-26	22	1754	2013-05-08
6506/11-2	112.000000	FANGST GP	GROUP	1991-10-26	38	1754	2013-05-08
6506/11-2	35.000000	GARN FM	FORMATION	1991-10-26	48	1754	2013-05-08
6506/11-2	50.000000	ILE FM	FORMATION	1991-10-26	70	1754	2013-05-08
6506/11-2	27.000000	NOT FM	FORMATION	1991-10-26	120	1754	2013-05-08
6506/11-2	24.000000	ROR FM	FORMATION	1991-10-26	135	1754	2013-05-08
6506/11-2	144.000000	TILJE FM	FORMATION	1991-10-26	169	1754	2013-05-08
6506/11-2	20.000000	TOFTE FM	FORMATION	1991-10-26	170	1754	2013-05-08
6506/11-2	12.000000	ÅRE FM	FORMATION	1991-10-26	197	1754	2013-05-08
2/7-26 S	0.000000	CROMER KNOLL GP	GROUP	1991-09-13	23	1756	2013-05-08
2/7-26 S	12.000000	FARSUND FM	FORMATION	1991-09-13	39	1756	2013-05-08
2/7-26 S	3.000000	MANDAL FM	FORMATION	1991-09-13	101	1756	2013-05-08
2/7-26 S	14.000000	SHETLAND GP	GROUP	1991-09-13	143	1756	2013-05-08
2/7-26 S	14.000000	TOR FM	FORMATION	1991-09-13	171	1756	2013-05-08
2/7-26 S	15.000000	TYNE GP	GROUP	1991-09-13	177	1756	2013-05-08
2/7-26 S	0.000000	ÅSGARD FM	FORMATION	1991-09-13	198	1756	2013-05-08
2/7-26 S	221.000000	NO GROUP DEFINED	GROUP	1991-09-13	208	1756	2013-05-08
3/7-5	9.000000	SANDNES FM	FORMATION	1992-02-07	139	1759	2013-05-08
3/7-5	9.000000	VESTLAND GP	GROUP	1992-02-07	186	1759	2013-05-08
30/9-12 A	38.000000	BRENT GP	GROUP	1991-06-04	16	1770	2013-05-08
30/9-12 A	27.000000	NESS FM	FORMATION	1991-06-04	110	1770	2013-05-08
30/9-12 A	12.000000	TARBERT FM	FORMATION	1991-06-04	162	1770	2013-05-08
35/11-5	125.000000	BRENT GP	GROUP	1991-11-03	16	1780	2013-05-08
35/11-5	14.000000	ETIVE FM	FORMATION	1991-11-03	35	1780	2013-05-08
35/11-5	72.000000	NESS FM	FORMATION	1991-11-03	110	1780	2013-05-08
35/11-5	14.000000	OSEBERG FM	FORMATION	1991-11-03	123	1780	2013-05-08
35/11-5	24.000000	RANNOCH FM	FORMATION	1991-11-03	126	1780	2013-05-08
35/11-5	1.000000	TARBERT FM	FORMATION	1991-11-03	162	1780	2013-05-08
6608/10-2	78.000000	BÅT GP	GROUP	1992-01-29	22	1782	2013-05-08
6608/10-2	63.000000	FANGST GP	GROUP	1992-01-29	38	1782	2013-05-08
6608/10-2	21.000000	GARN FM	FORMATION	1992-01-29	48	1782	2013-05-08
6608/10-2	36.000000	ILE FM	FORMATION	1992-01-29	70	1782	2013-05-08
6608/10-2	7.000000	NOT FM	FORMATION	1992-01-29	120	1782	2013-05-08
6608/10-2	9.000000	ROR FM	FORMATION	1992-01-29	135	1782	2013-05-08
6608/10-2	22.000000	TILJE FM	FORMATION	1992-01-29	169	1782	2013-05-08
6608/10-2	47.000000	TOFTE FM	FORMATION	1992-01-29	170	1782	2013-05-08
7/12-11	9.000000	SKAGERRAK FM	FORMATION	1991-11-06	146	1787	2013-05-08
7/12-11	9.000000	NO GROUP DEFINED	GROUP	1991-11-06	208	1787	2013-05-08
6607/5-2	5.000000	NO FORMAL NAME	FORMATION	1991-11-17	111	1789	2013-05-08
6607/5-2	27.000000	SHETLAND GP	GROUP	1991-11-17	143	1789	2013-05-08
6607/5-2	22.000000	DELFIN FM (INFORMAL)	FORMATION	1991-11-17	204	1789	2013-05-08
2/4-17	1.000000	HAUGESUND FM	FORMATION	1992-02-29	57	1792	2013-05-08
2/4-17	1.000000	TYNE GP	GROUP	1992-02-29	177	1792	2013-05-08
2/4-17	16.000000	ULA FM	FORMATION	1992-02-29	179	1792	2013-05-08
2/4-17	16.000000	VESTLAND GP	GROUP	1992-02-29	186	1792	2013-05-08
36/7-1	46.000000	INTRA DRAUPNE FM SS	FORMATION	1996-05-07	26	1794	2013-05-08
36/7-1	179.000000	FENSFJORD FM	FORMATION	1996-05-07	40	1794	2013-05-08
36/7-1	20.000000	HEATHER FM	FORMATION	1996-05-07	60	1794	2013-05-08
36/7-1	36.000000	SOGNEFJORD FM	FORMATION	1996-05-07	151	1794	2013-05-08
36/7-1	281.000000	VIKING GP	GROUP	1996-05-07	188	1794	2013-05-08
33/9-16	2.000000	CROMER KNOLL GP	GROUP	1993-01-20	23	1801	2013-05-08
33/9-16	64.000000	INTRA DRAUPNE FM SS	FORMATION	1993-01-20	26	1801	2013-05-08
33/9-16	2.000000	DRAUPNE FM	FORMATION	1993-01-20	28	1801	2013-05-08
33/9-16	2.000000	MIME FM	FORMATION	1993-01-20	106	1801	2013-05-08
33/9-16	66.000000	VIKING GP	GROUP	1993-01-20	188	1801	2013-05-08
6305/12-1	0.000000	FANGST GP	GROUP	1991-09-18	38	1808	2013-05-08
6305/12-1	0.000000	GARN FM	FORMATION	1991-09-18	48	1808	2013-05-08
6305/12-1	11.000000	RED BEDS (INFORMAL)	GROUP	1991-09-18	129	1808	2013-05-08
33/9-15	28.000000	CROMER KNOLL GP	GROUP	1992-06-08	23	1810	2013-05-08
33/9-15	91.000000	INTRA DRAUPNE FM SS	FORMATION	1992-06-08	26	1810	2013-05-08
33/9-15	1.000000	DRAUPNE FM	FORMATION	1992-06-08	28	1810	2013-05-08
33/9-15	5.000000	MIME FM	FORMATION	1992-06-08	106	1810	2013-05-08
33/9-15	3.000000	RØDBY FM	FORMATION	1992-06-08	137	1810	2013-05-08
33/9-15	4.000000	SOLA FM	FORMATION	1992-06-08	152	1810	2013-05-08
33/9-15	92.000000	VIKING GP	GROUP	1992-06-08	188	1810	2013-05-08
33/9-15	17.000000	ÅSGARD FM	FORMATION	1992-06-08	198	1810	2013-05-08
30/9-13 S	161.000000	BRENT GP	GROUP	1991-10-11	16	1811	2013-05-08
30/9-13 S	65.000000	INTRA HEATHER FM SS	FORMATION	1991-10-11	59	1811	2013-05-08
30/9-13 S	2.000000	HEATHER FM	FORMATION	1991-10-11	60	1811	2013-05-08
30/9-13 S	161.000000	TARBERT FM	FORMATION	1991-10-11	162	1811	2013-05-08
30/9-13 S	67.000000	VIKING GP	GROUP	1991-10-11	188	1811	2013-05-08
30/10-6	80.000000	BRENT GP	GROUP	1992-11-09	16	1816	2013-05-08
30/10-6	3.000000	HEATHER FM	FORMATION	1992-11-09	60	1816	2013-05-08
30/10-6	80.000000	TARBERT FM	FORMATION	1992-11-09	162	1816	2013-05-08
30/10-6	3.000000	VIKING GP	GROUP	1992-11-09	188	1816	2013-05-08
34/7-18	23.000000	BRENT GP	GROUP	1991-09-17	16	1819	2013-05-08
34/7-18	9.000000	ETIVE FM	FORMATION	1991-09-17	35	1819	2013-05-08
34/7-18	14.000000	NESS FM	FORMATION	1991-09-17	110	1819	2013-05-08
34/7-18	5.000000	NO FORMAL NAME	FORMATION	1991-09-17	111	1819	2013-05-08
34/7-18	5.000000	ROGALAND GP	GROUP	1991-09-17	131	1819	2013-05-08
35/10-1	9.000000	AMUNDSEN FM	FORMATION	1992-01-16	4	1822	2013-05-08
35/10-1	172.000000	BRENT GP	GROUP	1992-01-16	16	1822	2013-05-08
35/10-1	84.000000	COOK FM	FORMATION	1992-01-16	24	1822	2013-05-08
35/10-1	2.000000	DRAKE FM	FORMATION	1992-01-16	27	1822	2013-05-08
35/10-1	95.000000	DUNLIN GP	GROUP	1992-01-16	29	1822	2013-05-08
35/10-1	11.000000	ETIVE FM	FORMATION	1992-01-16	35	1822	2013-05-08
35/10-1	104.000000	NESS FM	FORMATION	1992-01-16	110	1822	2013-05-08
35/10-1	44.000000	RANNOCH FM	FORMATION	1992-01-16	126	1822	2013-05-08
35/10-1	13.000000	TARBERT FM	FORMATION	1992-01-16	162	1822	2013-05-08
15/12-8 A	46.000000	SKAGERRAK FM	FORMATION	1991-07-29	146	1835	2013-05-08
15/12-8 A	15.000000	VESTLAND GP	GROUP	1991-07-29	186	1835	2013-05-08
15/12-8 A	46.000000	NO GROUP DEFINED	GROUP	1991-07-29	208	1835	2013-05-08
7128/6-1	2.000000	BASEMENT	GROUP	1991-11-08	10	1836	2013-05-08
7128/6-1	27.000000	BILLEFJORDEN GP	GROUP	1991-11-08	11	1836	2013-05-08
7128/6-1	86.000000	BJARMELAND GP	GROUP	1991-11-08	12	1836	2013-05-08
7128/6-1	80.000000	FALK FM	FORMATION	1991-11-08	36	1836	2013-05-08
7128/6-1	288.000000	GIPSDALEN GP	GROUP	1991-11-08	51	1836	2013-05-08
7128/6-1	86.000000	ISBJØRN FM	FORMATION	1991-11-08	72	1836	2013-05-08
7128/6-1	59.000000	RØYE FM	FORMATION	1991-11-08	138	1836	2013-05-08
7128/6-1	59.000000	TEMPELFJORDEN GP	GROUP	1991-11-08	167	1836	2013-05-08
7128/6-1	27.000000	TETTEGRAS FM	FORMATION	1991-11-08	168	1836	2013-05-08
7128/6-1	209.000000	ØRN FM	FORMATION	1991-11-08	195	1836	2013-05-08
34/7-19	199.000000	BRENT GP	GROUP	1991-12-27	16	1838	2013-05-08
34/7-19	3.000000	CROMER KNOLL GP	GROUP	1991-12-27	23	1838	2013-05-08
34/7-19	1.000000	DRAKE FM	FORMATION	1991-12-27	27	1838	2013-05-08
34/7-19	1.000000	DUNLIN GP	GROUP	1991-12-27	29	1838	2013-05-08
34/7-19	53.000000	ETIVE FM	FORMATION	1991-12-27	35	1838	2013-05-08
34/7-19	10.000000	HEATHER FM	FORMATION	1991-12-27	60	1838	2013-05-08
34/7-19	3.000000	MIME FM	FORMATION	1991-12-27	106	1838	2013-05-08
34/7-19	28.000000	NESS FM	FORMATION	1991-12-27	110	1838	2013-05-08
34/7-19	75.000000	RANNOCH FM	FORMATION	1991-12-27	126	1838	2013-05-08
34/7-19	44.000000	TARBERT FM	FORMATION	1991-12-27	162	1838	2013-05-08
34/7-19	10.000000	VIKING GP	GROUP	1991-12-27	188	1838	2013-05-08
1/6-6	10.000000	SMITH BANK FM	FORMATION	1993-03-08	149	1839	2013-05-08
1/6-6	10.000000	NO GROUP DEFINED	GROUP	1993-03-08	208	1839	2013-05-08
6507/2-2	17.000000	BÅT GP	GROUP	1992-03-16	22	1840	2013-05-08
6507/2-2	60.000000	CROMER KNOLL GP	GROUP	1992-03-16	23	1840	2013-05-08
6507/2-2	15.000000	FANGST GP	GROUP	1992-03-16	38	1840	2013-05-08
6507/2-2	12.000000	GARN FM	FORMATION	1992-03-16	48	1840	2013-05-08
6507/2-2	51.000000	LANGE FM	FORMATION	1992-03-16	94	1840	2013-05-08
6507/2-2	9.000000	LYSING FM	FORMATION	1992-03-16	99	1840	2013-05-08
6507/2-2	3.000000	NOT FM	FORMATION	1992-03-16	120	1840	2013-05-08
6507/2-2	9.000000	TILJE FM	FORMATION	1992-03-16	169	1840	2013-05-08
6507/2-2	0.000000	TOFTE FM	FORMATION	1992-03-16	170	1840	2013-05-08
6507/2-2	8.000000	ÅRE FM	FORMATION	1992-03-16	197	1840	2013-05-08
34/8-6	9.000000	DRAUPNE FM	FORMATION	1991-11-03	28	1842	2013-05-08
34/8-6	4.000000	HEATHER FM	FORMATION	1991-11-03	60	1842	2013-05-08
34/8-6	13.000000	VIKING GP	GROUP	1991-11-03	188	1842	2013-05-08
2/2-5	45.000000	ULA FM	FORMATION	1992-02-19	179	1846	2013-05-08
2/2-5	45.000000	VESTLAND GP	GROUP	1992-02-19	186	1846	2013-05-08
6610/3-1	49.000000	CROMER KNOLL GP	GROUP	1993-02-17	23	1864	2013-05-08
6610/3-1	2.000000	LANGE FM	FORMATION	1993-02-17	94	1864	2013-05-08
6610/3-1	47.000000	LYSING FM	FORMATION	1993-02-17	99	1864	2013-05-08
6610/3-1	33.000000	NO FORMAL NAME	FORMATION	1993-02-17	111	1864	2013-05-08
6610/3-1	11.000000	ROGALAND GP	GROUP	1993-02-17	131	1864	2013-05-08
6610/3-1	22.000000	SHETLAND GP	GROUP	1993-02-17	143	1864	2013-05-08
2/1-10	95.000000	ULA FM	FORMATION	1992-01-14	179	1865	2013-05-08
2/1-10	95.000000	VESTLAND GP	GROUP	1992-01-14	186	1865	2013-05-08
2/1-9 A	178.000000	ULA FM	FORMATION	1992-03-08	179	1867	2013-05-08
2/1-9 A	178.000000	VESTLAND GP	GROUP	1992-03-08	186	1867	2013-05-08
7/7-2	5.000000	MANDAL FM	FORMATION	1992-04-25	101	1868	2013-05-08
7/7-2	21.000000	SMITH BANK FM	FORMATION	1992-04-25	149	1868	2013-05-08
7/7-2	5.000000	TYNE GP	GROUP	1992-04-25	177	1868	2013-05-08
7/7-2	9.000000	ULA FM	FORMATION	1992-04-25	179	1868	2013-05-08
7/7-2	9.000000	VESTLAND GP	GROUP	1992-04-25	186	1868	2013-05-08
7/7-2	21.000000	NO GROUP DEFINED	GROUP	1992-04-25	208	1868	2013-05-08
7122/4-1	89.000000	KAPP TOSCANA GP	GROUP	1992-01-13	79	1869	2013-05-08
7122/4-1	24.000000	NORDMELA FM	FORMATION	1992-01-13	118	1869	2013-05-08
7122/4-1	65.000000	STØ FM	FORMATION	1992-01-13	159	1869	2013-05-08
25/11-15	62.000000	HEIMDAL FM	FORMATION	1991-12-25	62	1872	2013-05-08
25/11-15	51.000000	LISTA FM	FORMATION	1991-12-25	95	1872	2013-05-08
25/11-15	113.000000	ROGALAND GP	GROUP	1991-12-25	131	1872	2013-05-08
34/10-35	10.000000	BRENT GP	GROUP	1992-07-01	16	1874	2013-05-08
34/10-35	15.000000	BURTON FM	FORMATION	1992-07-01	20	1874	2013-05-08
34/10-35	66.000000	COOK FM	FORMATION	1992-07-01	24	1874	2013-05-08
34/10-35	9.000000	DRAKE FM	FORMATION	1992-07-01	27	1874	2013-05-08
34/10-35	90.000000	DUNLIN GP	GROUP	1992-07-01	29	1874	2013-05-08
34/10-35	10.000000	NESS FM	FORMATION	1992-07-01	110	1874	2013-05-08
34/10-35	37.000000	STATFJORD FM	FORMATION	1992-07-01	157	1874	2013-05-08
34/10-35	37.000000	NO GROUP DEFINED	GROUP	1992-07-01	208	1874	2013-05-08
2/7-27 S	16.000000	EKOFISK FM	FORMATION	1992-06-17	33	1878	2013-05-08
2/7-27 S	25.000000	SHETLAND GP	GROUP	1992-06-17	143	1878	2013-05-08
2/7-27 S	9.000000	TOR FM	FORMATION	1992-06-17	171	1878	2013-05-08
2/7-27 S	11.000000	UNDEFINED GP	GROUP	1992-06-17	191	1878	2013-05-08
35/11-6	187.000000	BRENT GP	GROUP	1992-04-20	16	1879	2013-05-08
35/11-6	30.000000	ETIVE FM	FORMATION	1992-04-20	35	1879	2013-05-08
35/11-6	16.000000	HEATHER FM	FORMATION	1992-04-20	60	1879	2013-05-08
35/11-6	77.000000	NESS FM	FORMATION	1992-04-20	110	1879	2013-05-08
35/11-6	28.000000	OSEBERG FM	FORMATION	1992-04-20	123	1879	2013-05-08
35/11-6	43.000000	RANNOCH FM	FORMATION	1992-04-20	126	1879	2013-05-08
35/11-6	31.000000	SOGNEFJORD FM	FORMATION	1992-04-20	151	1879	2013-05-08
35/11-6	10.000000	TARBERT FM	FORMATION	1992-04-20	162	1879	2013-05-08
35/11-6	47.000000	VIKING GP	GROUP	1992-04-20	188	1879	2013-05-08
35/12-1	43.000000	HEATHER FM	FORMATION	1992-04-24	60	1881	2013-05-08
35/12-1	7.000000	SOGNEFJORD FM	FORMATION	1992-04-24	151	1881	2013-05-08
35/12-1	50.000000	VIKING GP	GROUP	1992-04-24	188	1881	2013-05-08
31/2-17 S	53.000000	HEATHER FM	FORMATION	1992-01-20	60	1885	2013-05-08
31/2-17 S	80.000000	SOGNEFJORD FM	FORMATION	1992-01-20	151	1885	2013-05-08
31/2-17 S	133.000000	VIKING GP	GROUP	1992-01-20	188	1885	2013-05-08
31/2-17 A	26.000000	HEATHER FM	FORMATION	1992-01-31	60	1898	2013-05-08
31/2-17 A	42.000000	SOGNEFJORD FM	FORMATION	1992-01-31	151	1898	2013-05-08
31/2-17 A	69.000000	VIKING GP	GROUP	1992-01-31	188	1898	2013-05-08
31/2-17 B	3.000000	SOGNEFJORD FM	FORMATION	1992-02-14	151	1899	2013-05-08
31/2-17 B	3.000000	VIKING GP	GROUP	1992-02-14	188	1899	2013-05-08
34/8-4 A	17.000000	AMUNDSEN FM	FORMATION	1992-05-27	4	1909	2013-05-08
34/8-4 A	17.000000	DUNLIN GP	GROUP	1992-05-27	29	1909	2013-05-08
34/8-4 A	79.000000	HEGRE GP	GROUP	1992-05-27	61	1909	2013-05-08
34/8-4 A	79.000000	LUNDE FM	FORMATION	1992-05-27	97	1909	2013-05-08
34/8-4 A	77.000000	STATFJORD FM	FORMATION	1992-05-27	157	1909	2013-05-08
34/8-4 A	77.000000	NO GROUP DEFINED	GROUP	1992-05-27	208	1909	2013-05-08
25/11-16	30.000000	BALDER FM	FORMATION	1992-07-24	6	1920	2013-05-08
25/11-16	102.000000	HEIMDAL FM	FORMATION	1992-07-24	62	1920	2013-05-08
25/11-16	33.000000	LISTA FM	FORMATION	1992-07-24	95	1920	2013-05-08
25/11-16	181.000000	ROGALAND GP	GROUP	1992-07-24	131	1920	2013-05-08
25/11-16	6.000000	SELE FM	FORMATION	1992-07-24	142	1920	2013-05-08
25/11-16	17.000000	SHETLAND GP	GROUP	1992-07-24	143	1920	2013-05-08
25/11-16	17.000000	TOR FM	FORMATION	1992-07-24	171	1920	2013-05-08
25/11-16	11.000000	VÅLE FM	FORMATION	1992-07-24	190	1920	2013-05-08
25/11-17	19.000000	BALDER FM	FORMATION	1993-03-22	6	1921	2013-05-08
25/11-17	8.000000	BASEMENT	GROUP	1993-03-22	10	1921	2013-05-08
25/11-17	63.000000	LISTA FM	FORMATION	1993-03-22	95	1921	2013-05-08
25/11-17	107.000000	ROGALAND GP	GROUP	1993-03-22	131	1921	2013-05-08
25/11-17	5.000000	SELE FM	FORMATION	1993-03-22	142	1921	2013-05-08
25/11-17	18.000000	SHETLAND GP	GROUP	1993-03-22	143	1921	2013-05-08
25/11-17	18.000000	STATFJORD FM	FORMATION	1993-03-22	157	1921	2013-05-08
25/11-17	18.000000	TOR FM	FORMATION	1993-03-22	171	1921	2013-05-08
25/11-17	20.000000	VÅLE FM	FORMATION	1993-03-22	190	1921	2013-05-08
25/11-17	18.000000	NO GROUP DEFINED	GROUP	1993-03-22	208	1921	2013-05-08
6407/10-3	1.000000	BASEMENT	GROUP	1992-06-27	10	1927	2013-05-08
6407/10-3	6.000000	GREY BEDS (INFORMAL)	GROUP	1992-06-27	52	1927	2013-05-08
1/6-7	19.000000	EKOFISK FM	FORMATION	1992-07-12	33	1928	2013-05-08
1/6-7	46.000000	HAUGESUND FM	FORMATION	1992-07-12	57	1928	2013-05-08
1/6-7	19.000000	SHETLAND GP	GROUP	1992-07-12	143	1928	2013-05-08
1/6-7	46.000000	TYNE GP	GROUP	1992-07-12	177	1928	2013-05-08
34/8-7	3.000000	BRENT GP	GROUP	1992-07-16	16	1941	2013-05-08
34/8-7	20.000000	INTRA DRAUPNE FM SS	FORMATION	1992-07-16	26	1941	2013-05-08
34/8-7	0.000000	DUNLIN GP	GROUP	1992-07-16	29	1941	2013-05-08
34/8-7	8.000000	HEGRE GP	GROUP	1992-07-16	61	1941	2013-05-08
34/8-7	8.000000	LUNDE FM	FORMATION	1992-07-16	97	1941	2013-05-08
34/8-7	2.000000	NESS FM	FORMATION	1992-07-16	110	1941	2013-05-08
34/8-7	0.000000	NO FORMAL NAME	FORMATION	1992-07-16	111	1941	2013-05-08
34/8-7	5.000000	STATFJORD FM	FORMATION	1992-07-16	157	1941	2013-05-08
34/8-7	1.000000	TARBERT FM	FORMATION	1992-07-16	162	1941	2013-05-08
34/8-7	20.000000	VIKING GP	GROUP	1992-07-16	188	1941	2013-05-08
34/8-7	5.000000	NO GROUP DEFINED	GROUP	1992-07-16	208	1941	2013-05-08
34/7-20	23.000000	BRENT GP	GROUP	1992-08-27	16	1967	2013-05-08
34/7-20	2.000000	CROMER KNOLL GP	GROUP	1992-08-27	23	1967	2013-05-08
34/7-20	2.000000	INTRA DRAUPNE FM SS	FORMATION	1992-08-27	26	1967	2013-05-08
34/7-20	30.000000	HEATHER FM	FORMATION	1992-08-27	60	1967	2013-05-08
34/7-20	2.000000	MIME FM	FORMATION	1992-08-27	106	1967	2013-05-08
34/7-20	7.000000	NESS FM	FORMATION	1992-08-27	110	1967	2013-05-08
34/7-20	17.000000	TARBERT FM	FORMATION	1992-08-27	162	1967	2013-05-08
34/7-20	32.000000	VIKING GP	GROUP	1992-08-27	188	1967	2013-05-08
34/8-8	153.000000	BRENT GP	GROUP	1992-08-24	16	1969	2013-05-08
34/8-8	16.000000	CROMER KNOLL GP	GROUP	1992-08-24	23	1969	2013-05-08
34/8-8	6.000000	DRAKE FM	FORMATION	1992-08-24	27	1969	2013-05-08
34/8-8	2.000000	DRAUPNE FM	FORMATION	1992-08-24	28	1969	2013-05-08
34/8-8	6.000000	DUNLIN GP	GROUP	1992-08-24	29	1969	2013-05-08
34/8-8	40.000000	ETIVE FM	FORMATION	1992-08-24	35	1969	2013-05-08
34/8-8	18.000000	HEATHER FM	FORMATION	1992-08-24	60	1969	2013-05-08
34/8-8	22.000000	HEGRE GP	GROUP	1992-08-24	61	1969	2013-05-08
34/8-8	22.000000	LUNDE FM	FORMATION	1992-08-24	97	1969	2013-05-08
34/8-8	32.000000	NESS FM	FORMATION	1992-08-24	110	1969	2013-05-08
34/8-8	67.000000	RANNOCH FM	FORMATION	1992-08-24	126	1969	2013-05-08
34/8-8	14.000000	TARBERT FM	FORMATION	1992-08-24	162	1969	2013-05-08
34/8-8	19.000000	VIKING GP	GROUP	1992-08-24	188	1969	2013-05-08
34/8-8	16.000000	ÅSGARD FM	FORMATION	1992-08-24	198	1969	2013-05-08
10/7-1	4.000000	SANDNES FM	FORMATION	1992-07-30	139	1972	2013-05-08
10/7-1	4.000000	VESTLAND GP	GROUP	1992-07-30	186	1972	2013-05-08
6506/11-3	76.000000	CROMER KNOLL GP	GROUP	1992-10-02	23	1973	2013-05-08
6506/11-3	51.000000	FANGST GP	GROUP	1992-10-02	38	1973	2013-05-08
6506/11-3	51.000000	GARN FM	FORMATION	1992-10-02	48	1973	2013-05-08
6506/11-3	49.000000	LANGE FM	FORMATION	1992-10-02	94	1973	2013-05-08
6506/11-3	27.000000	LYSING FM	FORMATION	1992-10-02	99	1973	2013-05-08
6407/9-8	1.000000	CROMER KNOLL GP	GROUP	1992-09-22	23	1974	2013-05-08
6407/9-8	29.000000	FANGST GP	GROUP	1992-09-22	38	1974	2013-05-08
6407/9-8	29.000000	GARN FM	FORMATION	1992-09-22	48	1974	2013-05-08
6407/9-8	1.000000	LYR FM	FORMATION	1992-09-22	98	1974	2013-05-08
6407/9-8	7.000000	MELKE FM	FORMATION	1992-09-22	105	1974	2013-05-08
6407/9-8	70.000000	SPEKK FM	FORMATION	1992-09-22	155	1974	2013-05-08
6407/9-8	77.000000	VIKING GP	GROUP	1992-09-22	188	1974	2013-05-08
35/11-7	109.000000	BRENT GP	GROUP	1992-09-29	16	1979	2013-05-08
35/11-7	56.000000	ETIVE FM	FORMATION	1992-09-29	35	1979	2013-05-08
35/11-7	1.000000	HEATHER FM	FORMATION	1992-09-29	60	1979	2013-05-08
35/11-7	24.000000	NESS FM	FORMATION	1992-09-29	110	1979	2013-05-08
35/11-7	13.000000	OSEBERG FM	FORMATION	1992-09-29	123	1979	2013-05-08
35/11-7	16.000000	RANNOCH FM	FORMATION	1992-09-29	126	1979	2013-05-08
35/11-7	88.000000	SOGNEFJORD FM	FORMATION	1992-09-29	151	1979	2013-05-08
35/11-7	89.000000	VIKING GP	GROUP	1992-09-29	188	1979	2013-05-08
25/8-4	32.000000	BALDER FM	FORMATION	1992-08-11	6	1986	2013-05-08
25/8-4	52.000000	HEIMDAL FM	FORMATION	1992-08-11	62	1986	2013-05-08
25/8-4	10.000000	HORDALAND GP	GROUP	1992-08-11	67	1986	2013-05-08
25/8-4	58.000000	LISTA FM	FORMATION	1992-08-11	95	1986	2013-05-08
25/8-4	10.000000	NO FORMAL NAME	FORMATION	1992-08-11	111	1986	2013-05-08
25/8-4	144.000000	ROGALAND GP	GROUP	1992-08-11	131	1986	2013-05-08
25/8-4	2.000000	VÅLE FM	FORMATION	1992-08-11	190	1986	2013-05-08
7316/5-1	11.000000	NORDLAND GP	GROUP	1992-10-05	113	1987	2013-05-08
7316/5-1	38.000000	SOTBAKKEN GP	GROUP	1992-10-05	154	1987	2013-05-08
7316/5-1	38.000000	TORSK FM	FORMATION	1992-10-05	172	1987	2013-05-08
31/2-18	35.000000	HEATHER FM	FORMATION	1992-10-07	60	1988	2013-05-08
31/2-18	10.000000	NO FORMAL NAME	FORMATION	1992-10-07	111	1988	2013-05-08
31/2-18	31.000000	ROGALAND GP	GROUP	1992-10-07	131	1988	2013-05-08
31/2-18	110.000000	SOGNEFJORD FM	FORMATION	1992-10-07	151	1988	2013-05-08
31/2-18	145.000000	VIKING GP	GROUP	1992-10-07	188	1988	2013-05-08
31/2-18	21.000000	VÅLE FM	FORMATION	1992-10-07	190	1988	2013-05-08
30/10-7	12.000000	HERMOD FM	FORMATION	1992-10-17	64	2015	2013-05-08
30/10-7	18.000000	ROGALAND GP	GROUP	1992-10-17	131	2015	2013-05-08
30/10-7	6.000000	SELE FM	FORMATION	1992-10-17	142	2015	2013-05-08
7122/2-1	124.000000	ADVENTDALEN GP	GROUP	1992-11-11	1	2018	2013-05-08
7122/2-1	99.000000	KNURR FM	FORMATION	1992-11-11	82	2018	2013-05-08
7122/2-1	25.000000	KOLJE FM	FORMATION	1992-11-11	84	2018	2013-05-08
34/7-21	26.000000	INTRA DRAUPNE FM SS	FORMATION	1992-12-11	26	2026	2013-05-08
34/7-21	39.000000	DRAUPNE FM	FORMATION	1992-12-11	28	2026	2013-05-08
34/7-21	4.000000	HEATHER FM	FORMATION	1992-12-11	60	2026	2013-05-08
34/7-21	18.000000	LISTA FM	FORMATION	1992-12-11	95	2026	2013-05-08
34/7-21	5.000000	NO FORMAL NAME	FORMATION	1992-12-11	111	2026	2013-05-08
34/7-21	23.000000	ROGALAND GP	GROUP	1992-12-11	131	2026	2013-05-08
34/7-21	69.000000	VIKING GP	GROUP	1992-12-11	188	2026	2013-05-08
34/8-9 S	17.000000	BRENT GP	GROUP	1992-12-28	16	2029	2013-05-08
34/8-9 S	11.000000	NESS FM	FORMATION	1992-12-28	110	2029	2013-05-08
34/8-9 S	4.000000	NORDLAND GP	GROUP	1992-12-28	113	2029	2013-05-08
34/8-9 S	20.000000	STATFJORD FM	FORMATION	1992-12-28	157	2029	2013-05-08
34/8-9 S	7.000000	TARBERT FM	FORMATION	1992-12-28	162	2029	2013-05-08
34/8-9 S	20.000000	NO GROUP DEFINED	GROUP	1992-12-28	208	2029	2013-05-08
7219/8-1 S	7.000000	ADVENTDALEN GP	GROUP	1992-12-26	1	2031	2013-05-08
7219/8-1 S	7.000000	HEKKINGEN FM	FORMATION	1992-12-26	63	2031	2013-05-08
7219/8-1 S	16.000000	KAPP TOSCANA GP	GROUP	1992-12-26	79	2031	2013-05-08
7219/8-1 S	16.000000	STØ FM	FORMATION	1992-12-26	159	2031	2013-05-08
2/5-10	7.000000	FARSUND FM	FORMATION	1993-08-26	39	2044	2013-05-08
2/5-10	3.000000	SKAGERRAK FM	FORMATION	1993-08-26	146	2044	2013-05-08
2/5-10	7.000000	TYNE GP	GROUP	1993-08-26	177	2044	2013-05-08
2/5-10	5.000000	VESTLAND GP	GROUP	1993-08-26	186	2044	2013-05-08
2/5-10	3.000000	NO GROUP DEFINED	GROUP	1993-08-26	208	2044	2013-05-08
7128/4-1	3.000000	BASEMENT	GROUP	1994-02-26	10	2049	2013-05-08
7128/4-1	27.000000	BILLEFJORDEN GP	GROUP	1994-02-26	11	2049	2013-05-08
7128/4-1	6.000000	BJARMELAND GP	GROUP	1994-02-26	12	2049	2013-05-08
7128/4-1	45.000000	GIPSDALEN GP	GROUP	1994-02-26	51	2049	2013-05-08
7128/4-1	6.000000	ISBJØRN FM	FORMATION	1994-02-26	72	2049	2013-05-08
7128/4-1	2.000000	RØYE FM	FORMATION	1994-02-26	138	2049	2013-05-08
7128/4-1	27.000000	SOLDOGG FM	FORMATION	1994-02-26	153	2049	2013-05-08
7128/4-1	2.000000	TEMPELFJORDEN GP	GROUP	1994-02-26	167	2049	2013-05-08
7128/4-1	45.000000	ØRN FM	FORMATION	1994-02-26	195	2049	2013-05-08
2/10-2	12.000000	ROTLIEGEND GP	GROUP	1993-04-25	136	2050	2013-05-08
2/10-2	11.000000	SHETLAND GP	GROUP	1993-04-25	143	2050	2013-05-08
2/10-2	11.000000	TOR FM	FORMATION	1993-04-25	171	2050	2013-05-08
31/5-5	17.000000	CROMER KNOLL GP	GROUP	1993-02-11	23	2059	2013-05-08
31/5-5	32.000000	FENSFJORD FM	FORMATION	1993-02-11	40	2059	2013-05-08
31/5-5	64.000000	HEATHER FM	FORMATION	1993-02-11	60	2059	2013-05-08
31/5-5	33.000000	KROSSFJORD FM	FORMATION	1993-02-11	87	2059	2013-05-08
31/5-5	82.000000	SOGNEFJORD FM	FORMATION	1993-02-11	151	2059	2013-05-08
31/5-5	211.000000	VIKING GP	GROUP	1993-02-11	188	2059	2013-05-08
34/7-21 A	23.000000	CROMER KNOLL GP	GROUP	1993-02-12	23	2068	2013-05-08
34/7-21 A	30.000000	INTRA DRAUPNE FM SS	FORMATION	1993-02-12	26	2068	2013-05-08
34/7-21 A	16.000000	DRAUPNE FM	FORMATION	1993-02-12	28	2068	2013-05-08
34/7-21 A	0.000000	KYRRE FM	FORMATION	1993-02-12	92	2068	2013-05-08
34/7-21 A	20.000000	MIME FM	FORMATION	1993-02-12	106	2068	2013-05-08
34/7-21 A	4.000000	RØDBY FM	FORMATION	1993-02-12	137	2068	2013-05-08
34/7-21 A	0.000000	SHETLAND GP	GROUP	1993-02-12	143	2068	2013-05-08
34/7-21 A	46.000000	VIKING GP	GROUP	1993-02-12	188	2068	2013-05-08
16/1-4	1.000000	BALDER FM	FORMATION	1993-04-13	6	2072	2013-05-08
16/1-4	6.000000	BASEMENT	GROUP	1993-04-13	10	2072	2013-05-08
16/1-4	25.000000	GRID FM	FORMATION	1993-04-13	53	2072	2013-05-08
16/1-4	35.000000	HORDALAND GP	GROUP	1993-04-13	67	2072	2013-05-08
16/1-4	11.000000	NO FORMAL NAME	FORMATION	1993-04-13	111	2072	2013-05-08
16/1-4	27.000000	ROGALAND GP	GROUP	1993-04-13	131	2072	2013-05-08
16/1-4	26.000000	SELE FM	FORMATION	1993-04-13	142	2072	2013-05-08
30/9-14	198.000000	BRENT GP	GROUP	1993-05-14	16	2076	2013-05-08
30/9-14	22.000000	DRAKE FM	FORMATION	1993-05-14	27	2076	2013-05-08
30/9-14	5.000000	DRAUPNE FM	FORMATION	1993-05-14	28	2076	2013-05-08
30/9-14	22.000000	DUNLIN GP	GROUP	1993-05-14	29	2076	2013-05-08
30/9-14	65.000000	INTRA HEATHER FM SS	FORMATION	1993-05-14	59	2076	2013-05-08
30/9-14	19.000000	HEATHER FM	FORMATION	1993-05-14	60	2076	2013-05-08
30/9-14	36.000000	NESS FM	FORMATION	1993-05-14	110	2076	2013-05-08
30/9-14	158.000000	TARBERT FM	FORMATION	1993-05-14	162	2076	2013-05-08
30/9-14	4.000000	UNDIFFERENTIATED	FORMATION	1993-05-14	182	2076	2013-05-08
30/9-14	89.000000	VIKING GP	GROUP	1993-05-14	188	2076	2013-05-08
15/6-7	16.000000	SKAGERRAK FM	FORMATION	1993-06-08	146	2084	2013-05-08
15/6-7	16.000000	NO GROUP DEFINED	GROUP	1993-06-08	208	2084	2013-05-08
15/9-19 SR	5.000000	HEIMDAL FM	FORMATION	1993-03-29	62	2105	2013-05-08
15/9-19 SR	12.000000	HUGIN FM	FORMATION	1993-03-29	69	2105	2013-05-08
15/9-19 SR	5.000000	ROGALAND GP	GROUP	1993-03-29	131	2105	2013-05-08
15/9-19 SR	42.000000	SKAGERRAK FM	FORMATION	1993-03-29	146	2105	2013-05-08
15/9-19 SR	12.000000	VESTLAND GP	GROUP	1993-03-29	186	2105	2013-05-08
15/9-19 SR	42.000000	NO GROUP DEFINED	GROUP	1993-03-29	208	2105	2013-05-08
7/7-3	4.000000	FARSUND FM	FORMATION	1993-07-04	39	2113	2013-05-08
7/7-3	9.000000	SMITH BANK FM	FORMATION	1993-07-04	149	2113	2013-05-08
7/7-3	4.000000	TYNE GP	GROUP	1993-07-04	177	2113	2013-05-08
7/7-3	16.000000	ULA FM	FORMATION	1993-07-04	179	2113	2013-05-08
7/7-3	16.000000	VESTLAND GP	GROUP	1993-07-04	186	2113	2013-05-08
7/7-3	9.000000	NO GROUP DEFINED	GROUP	1993-07-04	208	2113	2013-05-08
33/9-17	9.000000	CROMER KNOLL GP	GROUP	1994-05-04	23	2114	2013-05-08
33/9-17	9.000000	INTRA DRAUPNE FM SS	FORMATION	1994-05-04	26	2114	2013-05-08
33/9-17	11.000000	DRAUPNE FM	FORMATION	1994-05-04	28	2114	2013-05-08
33/9-17	20.000000	VIKING GP	GROUP	1994-05-04	188	2114	2013-05-08
33/9-17	9.000000	ÅSGARD FM	FORMATION	1994-05-04	198	2114	2013-05-08
25/2-15 R2	5.000000	HEATHER FM	FORMATION	1993-04-11	60	2116	2013-05-08
25/2-15 R2	27.000000	HUGIN FM	FORMATION	1993-04-11	69	2116	2013-05-08
25/2-15 R2	27.000000	VESTLAND GP	GROUP	1993-04-11	186	2116	2013-05-08
25/2-15 R2	5.000000	VIKING GP	GROUP	1993-04-11	188	2116	2013-05-08
2/7-29	34.000000	NORDLAND GP	GROUP	1994-01-06	113	2124	2013-05-08
6506/12-9 S	225.000000	BÅT GP	GROUP	1993-09-10	22	2128	2013-05-08
6506/12-9 S	72.000000	FANGST GP	GROUP	1993-09-10	38	2128	2013-05-08
6506/12-9 S	19.000000	GARN FM	FORMATION	1993-09-10	48	2128	2013-05-08
6506/12-9 S	51.000000	ILE FM	FORMATION	1993-09-10	70	2128	2013-05-08
6506/12-9 S	2.000000	NOT FM	FORMATION	1993-09-10	120	2128	2013-05-08
6506/12-9 S	4.000000	ROR FM	FORMATION	1993-09-10	135	2128	2013-05-08
6506/12-9 S	158.000000	TILJE FM	FORMATION	1993-09-10	169	2128	2013-05-08
6506/12-9 S	53.000000	TOFTE FM	FORMATION	1993-09-10	170	2128	2013-05-08
6506/12-9 S	10.000000	ÅRE FM	FORMATION	1993-09-10	197	2128	2013-05-08
7/4-1	9.000000	FARSUND FM	FORMATION	1993-08-21	39	2136	2013-05-08
7/4-1	9.000000	MANDAL FM	FORMATION	1993-08-21	101	2136	2013-05-08
7/4-1	17.000000	TYNE GP	GROUP	1993-08-21	177	2136	2013-05-08
7/4-1	7.000000	ULA FM	FORMATION	1993-08-21	179	2136	2013-05-08
7/4-1	7.000000	VESTLAND GP	GROUP	1993-08-21	186	2136	2013-05-08
2/11-9	9.000000	EKOFISK FM	FORMATION	1993-12-23	33	2153	2013-05-08
2/11-9	9.000000	LISTA FM	FORMATION	1993-12-23	95	2153	2013-05-08
2/11-9	11.000000	ROGALAND GP	GROUP	1993-12-23	131	2153	2013-05-08
2/11-9	9.000000	SHETLAND GP	GROUP	1993-12-23	143	2153	2013-05-08
2/11-9	3.000000	VÅLE FM	FORMATION	1993-12-23	190	2153	2013-05-08
2/11-9	14.000000	UNDEFINED GP	GROUP	1993-12-23	191	2153	2013-05-08
34/7-22	98.000000	BRENT GP	GROUP	1993-10-01	16	2167	2013-05-08
34/7-22	60.000000	NESS FM	FORMATION	1993-10-01	110	2167	2013-05-08
34/7-22	39.000000	TARBERT FM	FORMATION	1993-10-01	162	2167	2013-05-08
34/8-10 S	43.000000	AMUNDSEN FM	FORMATION	1993-12-09	4	2179	2013-05-08
34/8-10 S	23.000000	BRENT GP	GROUP	1993-12-09	16	2179	2013-05-08
34/8-10 S	4.000000	CROMER KNOLL GP	GROUP	1993-12-09	23	2179	2013-05-08
34/8-10 S	3.000000	DRAKE FM	FORMATION	1993-12-09	27	2179	2013-05-08
34/8-10 S	46.000000	DUNLIN GP	GROUP	1993-12-09	29	2179	2013-05-08
34/8-10 S	9.000000	ETIVE FM	FORMATION	1993-12-09	35	2179	2013-05-08
34/8-10 S	32.000000	HEGRE GP	GROUP	1993-12-09	61	2179	2013-05-08
34/8-10 S	17.000000	LISTA FM	FORMATION	1993-12-09	95	2179	2013-05-08
34/8-10 S	32.000000	LUNDE FM	FORMATION	1993-12-09	97	2179	2013-05-08
34/8-10 S	5.000000	RANNOCH FM	FORMATION	1993-12-09	126	2179	2013-05-08
34/8-10 S	17.000000	ROGALAND GP	GROUP	1993-12-09	131	2179	2013-05-08
34/8-10 S	81.000000	STATFJORD FM	FORMATION	1993-12-09	157	2179	2013-05-08
34/8-10 S	10.000000	UNDIFFERENTIATED	FORMATION	1993-12-09	182	2179	2013-05-08
34/8-10 S	4.000000	ÅSGARD FM	FORMATION	1993-12-09	198	2179	2013-05-08
34/8-10 S	81.000000	NO GROUP DEFINED	GROUP	1993-12-09	208	2179	2013-05-08
34/8-11	114.000000	BRENT GP	GROUP	1994-02-08	16	2180	2013-05-08
34/8-11	31.000000	ETIVE FM	FORMATION	1994-02-08	35	2180	2013-05-08
34/8-11	10.000000	HEATHER FM	FORMATION	1994-02-08	60	2180	2013-05-08
34/8-11	13.000000	NESS FM	FORMATION	1994-02-08	110	2180	2013-05-08
34/8-11	55.000000	RANNOCH FM	FORMATION	1994-02-08	126	2180	2013-05-08
34/8-11	15.000000	TARBERT FM	FORMATION	1994-02-08	162	2180	2013-05-08
34/8-11	10.000000	VIKING GP	GROUP	1994-02-08	188	2180	2013-05-08
6507/7-10	26.000000	FANGST GP	GROUP	1993-10-29	38	2182	2013-05-08
6507/7-10	7.000000	GARN FM	FORMATION	1993-10-29	48	2182	2013-05-08
6507/7-10	18.000000	ILE FM	FORMATION	1993-10-29	70	2182	2013-05-08
6507/7-10	4.000000	MELKE FM	FORMATION	1993-10-29	105	2182	2013-05-08
6507/7-10	2.000000	NOT FM	FORMATION	1993-10-29	120	2182	2013-05-08
6507/7-10	5.000000	SPEKK FM	FORMATION	1993-10-29	155	2182	2013-05-08
6507/7-10	9.000000	VIKING GP	GROUP	1993-10-29	188	2182	2013-05-08
6507/8-6	5.000000	NO FORMAL NAME	FORMATION	1993-10-09	111	2183	2013-05-08
6507/8-6	5.000000	VIKING GP	GROUP	1993-10-09	188	2183	2013-05-08
6610/3-1 R	9.000000	CROMER KNOLL GP	GROUP	1993-12-11	23	2193	2013-05-08
6610/3-1 R	4.000000	FANGST GP	GROUP	1993-12-11	38	2193	2013-05-08
6610/3-1 R	4.000000	ILE FM	FORMATION	1993-12-11	70	2193	2013-05-08
6610/3-1 R	9.000000	NO FORMAL NAME	FORMATION	1993-12-11	111	2193	2013-05-08
2/5-10 A	4.000000	FARSUND FM	FORMATION	1993-09-25	39	2194	2013-05-08
2/5-10 A	4.000000	TYNE GP	GROUP	1993-09-25	177	2194	2013-05-08
2/5-10 A	23.000000	VESTLAND GP	GROUP	1993-09-25	186	2194	2013-05-08
6204/11-1	68.000000	INTRA HEATHER FM SS	FORMATION	1994-11-14	59	2205	2013-05-08
6204/11-1	25.000000	KYRRE FM	FORMATION	1994-11-14	92	2205	2013-05-08
6204/11-1	18.000000	NO FORMAL NAME	FORMATION	1994-11-14	111	2205	2013-05-08
6204/11-1	43.000000	SHETLAND GP	GROUP	1994-11-14	143	2205	2013-05-08
6204/11-1	68.000000	VIKING GP	GROUP	1994-11-14	188	2205	2013-05-08
6305/12-2	3.000000	BASEMENT	GROUP	1993-12-17	10	2207	2013-05-08
6305/12-2	2.000000	CROMER KNOLL GP	GROUP	1993-12-17	23	2207	2013-05-08
6305/12-2	2.000000	LANGE FM	FORMATION	1993-12-17	94	2207	2013-05-08
6305/12-2	1.000000	SPEKK FM	FORMATION	1993-12-17	155	2207	2013-05-08
6305/12-2	1.000000	UNDIFFERENTIATED	FORMATION	1993-12-17	182	2207	2013-05-08
6305/12-2	2.000000	VIKING GP	GROUP	1993-12-17	188	2207	2013-05-08
6305/12-2	27.000000	UNDEFINED GP	GROUP	1993-12-17	191	2207	2013-05-08
3/4-1	18.000000	ULA FM	FORMATION	1994-02-26	179	2222	2013-05-08
3/4-1	18.000000	VESTLAND GP	GROUP	1994-02-26	186	2222	2013-05-08
30/9-15	21.000000	BRENT GP	GROUP	1994-01-05	16	2223	2013-05-08
30/9-15	7.000000	CROMER KNOLL GP	GROUP	1994-01-05	23	2223	2013-05-08
30/9-15	27.000000	DRAKE FM	FORMATION	1994-01-05	27	2223	2013-05-08
30/9-15	27.000000	DUNLIN GP	GROUP	1994-01-05	29	2223	2013-05-08
30/9-15	2.000000	HARDRÅDE FM	FORMATION	1994-01-05	56	2223	2013-05-08
30/9-15	10.000000	NESS FM	FORMATION	1994-01-05	110	2223	2013-05-08
30/9-15	2.000000	SHETLAND GP	GROUP	1994-01-05	143	2223	2013-05-08
30/9-15	11.000000	UNDIFFERENTIATED	FORMATION	1994-01-05	182	2223	2013-05-08
30/9-15	7.000000	ÅSGARD FM	FORMATION	1994-01-05	198	2223	2013-05-08
24/9-5	23.000000	BALDER FM	FORMATION	1994-01-26	6	2244	2013-05-08
24/9-5	7.000000	INTRA BALDER FM SS	FORMATION	1994-01-26	7	2244	2013-05-08
24/9-5	4.000000	HERMOD FM	FORMATION	1994-01-26	64	2244	2013-05-08
24/9-5	37.000000	ROGALAND GP	GROUP	1994-01-26	131	2244	2013-05-08
24/9-5	3.000000	SELE FM	FORMATION	1994-01-26	142	2244	2013-05-08
30/12-1	63.000000	BRENT GP	GROUP	1994-03-07	16	2248	2013-05-08
30/12-1	2.000000	HEATHER FM	FORMATION	1994-03-07	60	2248	2013-05-08
30/12-1	63.000000	TARBERT FM	FORMATION	1994-03-07	162	2248	2013-05-08
30/12-1	2.000000	VIKING GP	GROUP	1994-03-07	188	2248	2013-05-08
2/4-18 R	12.000000	FARSUND FM	FORMATION	1994-07-10	39	2253	2013-05-08
2/4-18 R	12.000000	TYNE GP	GROUP	1994-07-10	177	2253	2013-05-08
6608/10-4	89.000000	BÅT GP	GROUP	1994-03-06	22	2256	2013-05-08
6608/10-4	49.000000	FANGST GP	GROUP	1994-03-06	38	2256	2013-05-08
6608/10-4	30.000000	GARN FM	FORMATION	1994-03-06	48	2256	2013-05-08
6608/10-4	12.000000	ILE FM	FORMATION	1994-03-06	70	2256	2013-05-08
6608/10-4	7.000000	MELKE FM	FORMATION	1994-03-06	105	2256	2013-05-08
6608/10-4	7.000000	NOT FM	FORMATION	1994-03-06	120	2256	2013-05-08
6608/10-4	39.000000	TILJE FM	FORMATION	1994-03-06	169	2256	2013-05-08
6608/10-4	40.000000	TOFTE FM	FORMATION	1994-03-06	170	2256	2013-05-08
6608/10-4	7.000000	VIKING GP	GROUP	1994-03-06	188	2256	2013-05-08
6608/10-4	10.000000	ÅRE FM	FORMATION	1994-03-06	197	2256	2013-05-08
9/2-4 S	17.000000	SANDNES FM	FORMATION	1994-04-11	139	2258	2013-05-08
9/2-4 S	17.000000	VESTLAND GP	GROUP	1994-04-11	186	2258	2013-05-08
15/12-10 S	18.000000	SKAGERRAK FM	FORMATION	1996-11-04	146	2285	2013-05-08
15/12-10 S	2.000000	SLEIPNER FM	FORMATION	1996-11-04	148	2285	2013-05-08
15/12-10 S	2.000000	VESTLAND GP	GROUP	1996-11-04	186	2285	2013-05-08
15/12-10 S	18.000000	NO GROUP DEFINED	GROUP	1996-11-04	208	2285	2013-05-08
24/9-6	12.000000	BALDER FM	FORMATION	1994-03-07	6	2288	2013-05-08
24/9-6	11.000000	INTRA BALDER FM SS	FORMATION	1994-03-07	7	2288	2013-05-08
24/9-6	23.000000	ROGALAND GP	GROUP	1994-03-07	131	2288	2013-05-08
34/7-23 S	17.000000	INTRA DRAUPNE FM SS	FORMATION	1994-04-03	26	2296	2013-05-08
34/7-23 S	30.000000	DRAUPNE FM	FORMATION	1994-04-03	28	2296	2013-05-08
34/7-23 S	47.000000	VIKING GP	GROUP	1994-04-03	188	2296	2013-05-08
2/11-10 S	4.000000	EKOFISK FM	FORMATION	1994-06-14	33	2297	2013-05-08
2/11-10 S	50.000000	SHETLAND GP	GROUP	1994-06-14	143	2297	2013-05-08
2/11-10 S	46.000000	TOR FM	FORMATION	1994-06-14	171	2297	2013-05-08
6507/2-3	51.000000	CROMER KNOLL GP	GROUP	1994-05-05	23	2299	2013-05-08
6507/2-3	0.000000	KVITNOS FM	FORMATION	1994-05-05	91	2299	2013-05-08
6507/2-3	10.000000	LANGE FM	FORMATION	1994-05-05	94	2299	2013-05-08
6507/2-3	41.000000	LYSING FM	FORMATION	1994-05-05	99	2299	2013-05-08
6507/2-3	0.000000	SHETLAND GP	GROUP	1994-05-05	143	2299	2013-05-08
34/7-23 A	4.000000	CROMER KNOLL GP	GROUP	1994-05-20	23	2326	2013-05-08
34/7-23 A	43.000000	INTRA DRAUPNE FM SS	FORMATION	1994-05-20	26	2326	2013-05-08
34/7-23 A	44.000000	DRAUPNE FM	FORMATION	1994-05-20	28	2326	2013-05-08
34/7-23 A	4.000000	MIME FM	FORMATION	1994-05-20	106	2326	2013-05-08
34/7-23 A	87.000000	VIKING GP	GROUP	1994-05-20	188	2326	2013-05-08
34/11-1	134.000000	BRENT GP	GROUP	1994-10-25	16	2377	2013-05-08
34/11-1	9.000000	ETIVE FM	FORMATION	1994-10-25	35	2377	2013-05-08
34/11-1	75.000000	NESS FM	FORMATION	1994-10-25	110	2377	2013-05-08
34/11-1	40.000000	RANNOCH FM	FORMATION	1994-10-25	126	2377	2013-05-08
34/11-1	10.000000	TARBERT FM	FORMATION	1994-10-25	162	2377	2013-05-08
6306/6-1	19.000000	ROGN FM	FORMATION	1994-07-05	134	2384	2013-05-08
6306/6-1	19.000000	VIKING GP	GROUP	1994-07-05	188	2384	2013-05-08
25/8-5 S	14.000000	HEIMDAL FM	FORMATION	1994-09-22	62	2390	2013-05-08
25/8-5 S	14.000000	ROGALAND GP	GROUP	1994-09-22	131	2390	2013-05-08
25/8-5 S	9.000000	STATFJORD FM	FORMATION	1994-09-22	157	2390	2013-05-08
25/8-5 S	9.000000	NO GROUP DEFINED	GROUP	1994-09-22	208	2390	2013-05-08
2/7-30	88.000000	EKOFISK FM	FORMATION	1995-04-10	33	2394	2013-05-08
2/7-30	10.000000	ROGALAND GP	GROUP	1995-04-10	131	2394	2013-05-08
2/7-30	116.000000	SHETLAND GP	GROUP	1995-04-10	143	2394	2013-05-08
2/7-30	28.000000	TOR FM	FORMATION	1995-04-10	171	2394	2013-05-08
2/7-30	10.000000	VÅLE FM	FORMATION	1995-04-10	190	2394	2013-05-08
30/8-1 S	194.000000	BRENT GP	GROUP	1995-03-01	16	2430	2013-05-08
30/8-1 S	194.000000	TARBERT FM	FORMATION	1995-03-01	162	2430	2013-05-08
34/10-37	46.000000	BRENT GP	GROUP	1995-02-22	16	2431	2013-05-08
34/10-37	46.000000	NESS FM	FORMATION	1995-02-22	110	2431	2013-05-08
6407/8-2	17.000000	BÅT GP	GROUP	1994-11-25	22	2434	2013-05-08
6407/8-2	17.000000	ÅRE FM	FORMATION	1994-11-25	197	2434	2013-05-08
6406/2-1	503.000000	BÅT GP	GROUP	1995-04-09	22	2444	2013-05-08
6406/2-1	113.000000	FANGST GP	GROUP	1995-04-09	38	2444	2013-05-08
6406/2-1	8.000000	GARN FM	FORMATION	1995-04-09	48	2444	2013-05-08
6406/2-1	105.000000	ILE FM	FORMATION	1995-04-09	70	2444	2013-05-08
6406/2-1	134.000000	ROR FM	FORMATION	1995-04-09	135	2444	2013-05-08
6406/2-1	249.000000	TILJE FM	FORMATION	1995-04-09	169	2444	2013-05-08
6406/2-1	26.000000	TOFTE FM	FORMATION	1995-04-09	170	2444	2013-05-08
6406/2-1	95.000000	ÅRE FM	FORMATION	1995-04-09	197	2444	2013-05-08
6506/12-10	245.000000	BÅT GP	GROUP	1995-06-26	22	2445	2013-05-08
6506/12-10	108.000000	FANGST GP	GROUP	1995-06-26	38	2445	2013-05-08
6506/12-10	41.000000	GARN FM	FORMATION	1995-06-26	48	2445	2013-05-08
6506/12-10	56.000000	ILE FM	FORMATION	1995-06-26	70	2445	2013-05-08
6506/12-10	11.000000	NOT FM	FORMATION	1995-06-26	120	2445	2013-05-08
6506/12-10	10.000000	ROR FM	FORMATION	1995-06-26	135	2445	2013-05-08
6506/12-10	163.000000	TILJE FM	FORMATION	1995-06-26	169	2445	2013-05-08
6506/12-10	71.000000	ÅRE FM	FORMATION	1995-06-26	197	2445	2013-05-08
33/9-18	24.000000	DRAUPNE FM	FORMATION	1994-12-20	28	2454	2013-05-08
33/9-18	24.000000	VIKING GP	GROUP	1994-12-20	188	2454	2013-05-08
33/9-18 A	6.000000	DRAUPNE FM	FORMATION	1995-01-24	28	2455	2013-05-08
33/9-18 A	6.000000	VIKING GP	GROUP	1995-01-24	188	2455	2013-05-08
25/9-1	2.000000	HEATHER FM	FORMATION	1995-04-22	60	2476	2013-05-08
25/9-1	10.000000	HUGIN FM	FORMATION	1995-04-22	69	2476	2013-05-08
25/9-1	10.000000	VESTLAND GP	GROUP	1995-04-22	186	2476	2013-05-08
25/9-1	2.000000	VIKING GP	GROUP	1995-04-22	188	2476	2013-05-08
1/3-7	64.000000	FORTIES FM	FORMATION	1995-05-25	44	2505	2013-05-08
1/3-7	75.000000	ROGALAND GP	GROUP	1995-05-25	131	2505	2013-05-08
1/3-7	11.000000	SELE FM	FORMATION	1995-05-25	142	2505	2013-05-08
34/10-37 A	71.000000	BRENT GP	GROUP	1995-04-03	16	2530	2013-05-08
34/10-37 A	19.000000	NESS FM	FORMATION	1995-04-03	110	2530	2013-05-08
34/10-37 A	52.000000	TARBERT FM	FORMATION	1995-04-03	162	2530	2013-05-08
25/11-19 S	42.000000	HERMOD FM	FORMATION	1995-05-18	64	2562	2013-05-08
25/11-19 S	66.000000	ROGALAND GP	GROUP	1995-05-18	131	2562	2013-05-08
25/11-19 S	24.000000	SELE FM	FORMATION	1995-05-18	142	2562	2013-05-08
25/8-6	59.000000	HEIMDAL FM	FORMATION	1995-06-27	62	2573	2013-05-08
25/8-6	8.000000	LISTA FM	FORMATION	1995-06-27	95	2573	2013-05-08
25/8-6	67.000000	ROGALAND GP	GROUP	1995-06-27	131	2573	2013-05-08
17/3-1	3.000000	BASEMENT	GROUP	1995-08-20	10	2576	2013-05-08
17/3-1	8.000000	BRYNE FM	FORMATION	1995-08-20	19	2576	2013-05-08
17/3-1	21.000000	SANDNES FM	FORMATION	1995-08-20	139	2576	2013-05-08
17/3-1	29.000000	VESTLAND GP	GROUP	1995-08-20	186	2576	2013-05-08
9/2-5	38.000000	SANDNES FM	FORMATION	1995-07-21	139	2599	2013-05-08
9/2-5	38.000000	VESTLAND GP	GROUP	1995-07-21	186	2599	2013-05-08
6506/12-10 A	176.000000	BÅT GP	GROUP	1995-12-11	22	2610	2013-05-08
6506/12-10 A	37.000000	TILJE FM	FORMATION	1995-12-11	169	2610	2013-05-08
6506/12-10 A	139.000000	ÅRE FM	FORMATION	1995-12-11	197	2610	2013-05-08
25/8-7	9.000000	HEIMDAL FM	FORMATION	1995-08-12	62	2612	2013-05-08
25/8-7	10.000000	HUGIN FM	FORMATION	1995-08-12	69	2612	2013-05-08
25/8-7	0.000000	LISTA FM	FORMATION	1995-08-12	95	2612	2013-05-08
25/8-7	10.000000	ROGALAND GP	GROUP	1995-08-12	131	2612	2013-05-08
25/8-7	10.000000	SLEIPNER FM	FORMATION	1995-08-12	148	2612	2013-05-08
25/8-7	20.000000	VESTLAND GP	GROUP	1995-08-12	186	2612	2013-05-08
25/7-3	31.000000	HEIMDAL FM	FORMATION	1995-08-28	62	2623	2013-05-08
25/7-3	31.000000	ROGALAND GP	GROUP	1995-08-28	131	2623	2013-05-08
30/3-7 S	78.000000	BRENT GP	GROUP	1995-12-12	16	2632	2013-05-08
30/3-7 S	15.000000	HEATHER FM	FORMATION	1995-12-12	60	2632	2013-05-08
30/3-7 S	55.000000	NESS FM	FORMATION	1995-12-12	110	2632	2013-05-08
30/3-7 S	23.000000	TARBERT FM	FORMATION	1995-12-12	162	2632	2013-05-08
30/3-7 S	15.000000	VIKING GP	GROUP	1995-12-12	188	2632	2013-05-08
15/5-5	38.000000	HEIMDAL FM	FORMATION	1995-10-05	62	2635	2013-05-08
15/5-5	38.000000	ROGALAND GP	GROUP	1995-10-05	131	2635	2013-05-08
2/8-15	52.000000	SHETLAND GP	GROUP	1996-01-09	143	2636	2013-05-08
2/8-15	52.000000	TOR FM	FORMATION	1996-01-09	171	2636	2013-05-08
6406/12-2	7.000000	MELKE FM	FORMATION	1995-10-17	105	2640	2013-05-08
6406/12-2	27.000000	ROGN FM	FORMATION	1995-10-17	134	2640	2013-05-08
6406/12-2	27.000000	SPEKK FM	FORMATION	1995-10-17	155	2640	2013-05-08
6406/12-2	61.000000	VIKING GP	GROUP	1995-10-17	188	2640	2013-05-08
6406/2-1 R	9.000000	BÅT GP	GROUP	1996-01-07	22	2642	2013-05-08
6406/2-1 R	9.000000	ÅRE FM	FORMATION	1996-01-07	197	2642	2013-05-08
6406/2-2	263.000000	BÅT GP	GROUP	1996-03-27	22	2644	2013-05-08
6406/2-2	146.000000	FANGST GP	GROUP	1996-03-27	38	2644	2013-05-08
6406/2-2	16.000000	GARN FM	FORMATION	1996-03-27	48	2644	2013-05-08
6406/2-2	130.000000	ILE FM	FORMATION	1996-03-27	70	2644	2013-05-08
6406/2-2	53.000000	ROR FM	FORMATION	1996-03-27	135	2644	2013-05-08
6406/2-2	150.000000	TILJE FM	FORMATION	1996-03-27	169	2644	2013-05-08
6406/2-2	60.000000	TOFTE FM	FORMATION	1996-03-27	170	2644	2013-05-08
25/8-8 S	71.000000	HEIMDAL FM	FORMATION	1995-09-24	62	2646	2013-05-08
25/8-8 S	8.000000	LISTA FM	FORMATION	1995-09-24	95	2646	2013-05-08
25/8-8 S	79.000000	ROGALAND GP	GROUP	1995-09-24	131	2646	2013-05-08
25/5-5	37.000000	HEIMDAL FM	FORMATION	1995-11-23	62	2661	2013-05-08
25/5-5	37.000000	ROGALAND GP	GROUP	1995-11-23	131	2661	2013-05-08
6204/10-1	8.000000	BALDER FM	FORMATION	1995-11-23	6	2666	2013-05-08
6204/10-1	9.000000	LISTA FM	FORMATION	1995-11-23	95	2666	2013-05-08
6204/10-1	36.000000	NO FORMAL NAME	FORMATION	1995-11-23	111	2666	2013-05-08
6204/10-1	17.000000	ROGALAND GP	GROUP	1995-11-23	131	2666	2013-05-08
6204/10-1	36.000000	SHETLAND GP	GROUP	1995-11-23	143	2666	2013-05-08
25/11-20	4.000000	BALDER FM	FORMATION	1995-10-23	6	2667	2013-05-08
25/11-20	43.000000	LISTA FM	FORMATION	1995-10-23	95	2667	2013-05-08
25/11-20	54.000000	ROGALAND GP	GROUP	1995-10-23	131	2667	2013-05-08
25/11-20	7.000000	SELE FM	FORMATION	1995-10-23	142	2667	2013-05-08
25/8-8 A	52.000000	HEIMDAL FM	FORMATION	1995-10-11	62	2690	2013-05-08
25/8-8 A	57.000000	LISTA FM	FORMATION	1995-10-11	95	2690	2013-05-08
25/8-8 A	110.000000	ROGALAND GP	GROUP	1995-10-11	131	2690	2013-05-08
25/8-8 B	55.000000	HEIMDAL FM	FORMATION	1995-10-24	62	2696	2013-05-08
25/8-8 B	6.000000	LISTA FM	FORMATION	1995-10-24	95	2696	2013-05-08
25/8-8 B	61.000000	ROGALAND GP	GROUP	1995-10-24	131	2696	2013-05-08
25/11-21 S	86.000000	HEIMDAL FM	FORMATION	1995-11-14	62	2701	2013-05-08
25/11-21 S	12.000000	LISTA FM	FORMATION	1995-11-14	95	2701	2013-05-08
25/11-21 S	98.000000	ROGALAND GP	GROUP	1995-11-14	131	2701	2013-05-08
30/8-2	7.000000	HERMOD FM	FORMATION	1996-01-14	64	2723	2013-05-08
30/8-2	3.000000	LISTA FM	FORMATION	1996-01-14	95	2723	2013-05-08
30/8-2	21.000000	ROGALAND GP	GROUP	1996-01-14	131	2723	2013-05-08
30/8-2	12.000000	SELE FM	FORMATION	1996-01-14	142	2723	2013-05-08
25/10-6 S	13.000000	HUGIN FM	FORMATION	1996-03-22	69	2728	2013-05-08
25/10-6 S	13.000000	VESTLAND GP	GROUP	1996-03-22	186	2728	2013-05-08
34/11-2 S	153.000000	BRENT GP	GROUP	1996-05-17	16	2733	2013-05-08
34/11-2 S	16.000000	COOK FM	FORMATION	1996-05-17	24	2733	2013-05-08
34/11-2 S	16.000000	DUNLIN GP	GROUP	1996-05-17	29	2733	2013-05-08
34/11-2 S	20.000000	ETIVE FM	FORMATION	1996-05-17	35	2733	2013-05-08
34/11-2 S	99.000000	NESS FM	FORMATION	1996-05-17	110	2733	2013-05-08
34/11-2 S	4.000000	NO FORMAL NAME	FORMATION	1996-05-17	111	2733	2013-05-08
34/11-2 S	32.000000	RANNOCH FM	FORMATION	1996-05-17	126	2733	2013-05-08
34/11-2 S	2.000000	TARBERT FM	FORMATION	1996-05-17	162	2733	2013-05-08
34/11-2 S	4.000000	VIKING GP	GROUP	1996-05-17	188	2733	2013-05-08
6506/11-4 S	295.000000	BÅT GP	GROUP	1996-06-06	22	2736	2013-05-08
6506/11-4 S	38.000000	CROMER KNOLL GP	GROUP	1996-06-06	23	2736	2013-05-08
6506/11-4 S	38.000000	LANGE FM	FORMATION	1996-06-06	94	2736	2013-05-08
6506/11-4 S	169.000000	TILJE FM	FORMATION	1996-06-06	169	2736	2013-05-08
6506/11-4 S	62.000000	TOFTE FM	FORMATION	1996-06-06	170	2736	2013-05-08
6506/11-4 S	64.000000	ÅRE FM	FORMATION	1996-06-06	197	2736	2013-05-08
25/10-7 S	135.000000	HEIMDAL FM	FORMATION	1996-06-08	62	2769	2013-05-08
25/10-7 S	43.000000	LISTA FM	FORMATION	1996-06-08	95	2769	2013-05-08
25/10-7 S	178.000000	ROGALAND GP	GROUP	1996-06-08	131	2769	2013-05-08
35/11-8 S	96.000000	INTRA HEATHER FM SS	FORMATION	1996-05-11	59	2772	2013-05-08
35/11-8 S	96.000000	VIKING GP	GROUP	1996-05-11	188	2772	2013-05-08
35/10-2	82.000000	BRENT GP	GROUP	1996-08-22	16	2783	2013-05-08
35/10-2	16.000000	LISTA FM	FORMATION	1996-08-22	95	2783	2013-05-08
35/10-2	82.000000	NESS FM	FORMATION	1996-08-22	110	2783	2013-05-08
35/10-2	19.000000	ROGALAND GP	GROUP	1996-08-22	131	2783	2013-05-08
35/10-2	3.000000	SELE FM	FORMATION	1996-08-22	142	2783	2013-05-08
6506/11-5 S	179.000000	BÅT GP	GROUP	1996-11-10	22	2794	2013-05-08
6506/11-5 S	152.000000	TILJE FM	FORMATION	1996-11-10	169	2794	2013-05-08
6506/11-5 S	27.000000	ÅRE FM	FORMATION	1996-11-10	197	2794	2013-05-08
6506/12-11 S	187.000000	BÅT GP	GROUP	1996-09-07	22	2795	2013-05-08
6506/12-11 S	1.000000	ROR FM	FORMATION	1996-09-07	135	2795	2013-05-08
6506/12-11 S	161.000000	TILJE FM	FORMATION	1996-09-07	169	2795	2013-05-08
6506/12-11 S	26.000000	ÅRE FM	FORMATION	1996-09-07	197	2795	2013-05-08
6407/1-4	60.000000	FANGST GP	GROUP	1996-08-23	38	2796	2013-05-08
6407/1-4	60.000000	GARN FM	FORMATION	1996-08-23	48	2796	2013-05-08
6407/1-4	28.000000	NISE FM	FORMATION	1996-08-23	112	2796	2013-05-08
6407/1-4	28.000000	SHETLAND GP	GROUP	1996-08-23	143	2796	2013-05-08
31/2-19 S	2.000000	CROMER KNOLL GP	GROUP	1996-07-13	23	2798	2013-05-08
31/2-19 S	20.000000	HEATHER FM	FORMATION	1996-07-13	60	2798	2013-05-08
31/2-19 S	11.000000	LISTA FM	FORMATION	1996-07-13	95	2798	2013-05-08
31/2-19 S	11.000000	ROGALAND GP	GROUP	1996-07-13	131	2798	2013-05-08
31/2-19 S	2.000000	RØDBY FM	FORMATION	1996-07-13	137	2798	2013-05-08
31/2-19 S	20.000000	VIKING GP	GROUP	1996-07-13	188	2798	2013-05-08
24/12-3 S	8.000000	HEIMDAL FM	FORMATION	1996-07-29	62	2823	2013-05-08
24/12-3 S	2.000000	LISTA FM	FORMATION	1996-07-29	95	2823	2013-05-08
24/12-3 S	10.000000	ROGALAND GP	GROUP	1996-07-29	131	2823	2013-05-08
1/3-8	15.000000	ULA FM	FORMATION	1997-05-27	179	2829	2013-05-08
1/3-8	15.000000	VESTLAND GP	GROUP	1997-05-27	186	2829	2013-05-08
33/9-19 S	18.000000	BRENT GP	GROUP	1996-07-23	16	2830	2013-05-08
33/9-19 S	18.000000	ETIVE FM	FORMATION	1996-07-23	35	2830	2013-05-08
36/4-1	0.000000	BASEMENT	GROUP	1996-10-01	10	2847	2013-05-08
6406/2-3	54.000000	BÅT GP	GROUP	1997-04-15	22	2849	2013-05-08
6406/2-3	45.000000	CROMER KNOLL GP	GROUP	1997-04-15	23	2849	2013-05-08
6406/2-3	143.000000	FANGST GP	GROUP	1997-04-15	38	2849	2013-05-08
6406/2-3	79.000000	GARN FM	FORMATION	1997-04-15	48	2849	2013-05-08
6406/2-3	52.000000	ILE FM	FORMATION	1997-04-15	70	2849	2013-05-08
6406/2-3	45.000000	LANGE FM	FORMATION	1997-04-15	94	2849	2013-05-08
6406/2-3	12.000000	NOT FM	FORMATION	1997-04-15	120	2849	2013-05-08
6406/2-3	27.000000	TILJE FM	FORMATION	1997-04-15	169	2849	2013-05-08
6406/2-3	27.000000	TOFTE FM	FORMATION	1997-04-15	170	2849	2013-05-08
34/7-25 S	17.000000	INTRA DRAUPNE FM SS	FORMATION	1996-09-14	26	2863	2013-05-08
34/7-25 S	38.000000	HEATHER FM	FORMATION	1996-09-14	60	2863	2013-05-08
34/7-25 S	55.000000	VIKING GP	GROUP	1996-09-14	188	2863	2013-05-08
34/11-3	93.000000	BRENT GP	GROUP	1997-01-16	16	2866	2013-05-08
34/11-3	13.000000	ETIVE FM	FORMATION	1997-01-16	35	2866	2013-05-08
34/11-3	9.000000	LISTA FM	FORMATION	1997-01-16	95	2866	2013-05-08
34/11-3	44.000000	NESS FM	FORMATION	1997-01-16	110	2866	2013-05-08
34/11-3	28.000000	RANNOCH FM	FORMATION	1997-01-16	126	2866	2013-05-08
34/11-3	9.000000	ROGALAND GP	GROUP	1997-01-16	131	2866	2013-05-08
34/11-3	0.000000	STATFJORD FM	FORMATION	1997-01-16	157	2866	2013-05-08
34/11-3	9.000000	TARBERT FM	FORMATION	1997-01-16	162	2866	2013-05-08
34/11-3	0.000000	NO GROUP DEFINED	GROUP	1997-01-16	208	2866	2013-05-08
9/2-6 S	50.000000	SANDNES FM	FORMATION	1996-12-13	139	2867	2013-05-08
9/2-6 S	50.000000	VESTLAND GP	GROUP	1996-12-13	186	2867	2013-05-08
33/6-2	31.000000	INTRA DRAUPNE FM SS	FORMATION	1997-01-02	26	2873	2013-05-08
33/6-2	1.000000	DRAUPNE FM	FORMATION	1997-01-02	28	2873	2013-05-08
33/6-2	32.000000	VIKING GP	GROUP	1997-01-02	188	2873	2013-05-08
6610/2-1 S	43.000000	BÅT GP	GROUP	1996-09-28	22	2874	2013-05-08
6610/2-1 S	16.000000	CROMER KNOLL GP	GROUP	1996-09-28	23	2874	2013-05-08
6610/2-1 S	16.000000	LYSING FM	FORMATION	1996-09-28	99	2874	2013-05-08
6610/2-1 S	13.000000	TILJE FM	FORMATION	1996-09-28	169	2874	2013-05-08
6610/2-1 S	30.000000	ÅRE FM	FORMATION	1996-09-28	197	2874	2013-05-08
2/6-5	2.000000	BASEMENT	GROUP	1997-01-11	10	2885	2013-05-08
2/6-5	2.000000	EKOFISK FM	FORMATION	1997-01-11	33	2885	2013-05-08
2/6-5	47.000000	SHETLAND GP	GROUP	1997-01-11	143	2885	2013-05-08
2/6-5	45.000000	TOR FM	FORMATION	1997-01-11	171	2885	2013-05-08
30/5-2	101.000000	BRENT GP	GROUP	1996-12-21	16	2886	2013-05-08
30/5-2	101.000000	TARBERT FM	FORMATION	1996-12-21	162	2886	2013-05-08
3/7-6	10.000000	FARSUND FM	FORMATION	1996-11-30	39	2891	2013-05-08
3/7-6	10.000000	TYNE GP	GROUP	1996-11-30	177	2891	2013-05-08
32/4-1	18.000000	HEATHER FM	FORMATION	1996-12-04	60	2918	2013-05-08
32/4-1	23.000000	SOGNEFJORD FM	FORMATION	1996-12-04	151	2918	2013-05-08
32/4-1	41.000000	VIKING GP	GROUP	1996-12-04	188	2918	2013-05-08
34/4-9 S	208.000000	HEGRE GP	GROUP	1997-02-15	61	2931	2013-05-08
34/4-9 S	208.000000	LUNDE FM	FORMATION	1997-02-15	97	2931	2013-05-08
6507/3-2	11.000000	BÅT GP	GROUP	1997-04-27	22	2954	2013-05-08
6507/3-2	3.000000	TILJE FM	FORMATION	1997-04-27	169	2954	2013-05-08
6507/3-2	8.000000	ÅRE FM	FORMATION	1997-04-27	197	2954	2013-05-08
25/10-8	28.000000	HEIMDAL FM	FORMATION	1997-04-07	62	2955	2013-05-08
25/10-8	18.000000	HUGIN FM	FORMATION	1997-04-07	69	2955	2013-05-08
25/10-8	28.000000	ROGALAND GP	GROUP	1997-04-07	131	2955	2013-05-08
25/10-8	18.000000	VESTLAND GP	GROUP	1997-04-07	186	2955	2013-05-08
25/10-8	11.000000	NO GROUP DEFINED	GROUP	1997-04-07	208	2955	2013-05-08
6608/8-1	9.000000	RED BEDS (INFORMAL)	GROUP	1997-03-30	129	2974	2013-05-08
6608/8-1	9.000000	ZECHSTEIN GP	GROUP	1997-03-30	194	2974	2013-05-08
25/8-9	27.000000	HEIMDAL FM	FORMATION	1997-02-14	62	2988	2013-05-08
25/8-9	37.000000	HUGIN FM	FORMATION	1997-02-14	69	2988	2013-05-08
25/8-9	27.000000	ROGALAND GP	GROUP	1997-02-14	131	2988	2013-05-08
25/8-9	13.000000	SLEIPNER FM	FORMATION	1997-02-14	148	2988	2013-05-08
25/8-9	50.000000	VESTLAND GP	GROUP	1997-02-14	186	2988	2013-05-08
35/4-1	180.000000	BRENT GP	GROUP	1997-05-24	16	2993	2013-05-08
35/4-1	28.000000	COOK FM	FORMATION	1997-05-24	24	2993	2013-05-08
35/4-1	28.000000	DUNLIN GP	GROUP	1997-05-24	29	2993	2013-05-08
35/4-1	29.000000	STATFJORD FM	FORMATION	1997-05-24	157	2993	2013-05-08
35/4-1	29.000000	NO GROUP DEFINED	GROUP	1997-05-24	208	2993	2013-05-08
35/11-9	80.000000	INTRA HEATHER FM SS	FORMATION	1997-05-01	59	3009	2013-05-08
35/11-9	23.000000	HEATHER FM	FORMATION	1997-05-01	60	3009	2013-05-08
35/11-9	103.000000	VIKING GP	GROUP	1997-05-01	188	3009	2013-05-08
15/6-8 S	2.000000	HUGIN FM	FORMATION	1997-04-05	69	3014	2013-05-08
15/6-8 S	7.000000	SKAGERRAK FM	FORMATION	1997-04-05	146	3014	2013-05-08
15/6-8 S	2.000000	VESTLAND GP	GROUP	1997-04-05	186	3014	2013-05-08
15/6-8 S	7.000000	NO GROUP DEFINED	GROUP	1997-04-05	208	3014	2013-05-08
7228/7-1 S	28.000000	KAPP TOSCANA GP	GROUP	2001-01-08	79	3015	2013-05-08
7228/7-1 S	17.000000	NORDMELA FM	FORMATION	2001-01-08	118	3015	2013-05-08
7228/7-1 S	11.000000	STØ FM	FORMATION	2001-01-08	159	3015	2013-05-08
25/8-9 A	80.000000	HEIMDAL FM	FORMATION	1997-02-14	62	3025	2013-05-08
25/8-9 A	80.000000	ROGALAND GP	GROUP	1997-02-14	131	3025	2013-05-08
35/11-10	93.000000	BRENT GP	GROUP	1997-06-23	16	3042	2013-05-08
35/11-10	10.000000	ETIVE FM	FORMATION	1997-06-23	35	3042	2013-05-08
35/11-10	40.000000	FENSFJORD FM	FORMATION	1997-06-23	40	3042	2013-05-08
35/11-10	7.000000	HEATHER FM	FORMATION	1997-06-23	60	3042	2013-05-08
35/11-10	1.000000	HORDALAND GP	GROUP	1997-06-23	67	3042	2013-05-08
35/11-10	42.000000	NESS FM	FORMATION	1997-06-23	110	3042	2013-05-08
35/11-10	24.000000	OSEBERG FM	FORMATION	1997-06-23	123	3042	2013-05-08
35/11-10	18.000000	RANNOCH FM	FORMATION	1997-06-23	126	3042	2013-05-08
35/11-10	102.000000	SOGNEFJORD FM	FORMATION	1997-06-23	151	3042	2013-05-08
35/11-10	149.000000	VIKING GP	GROUP	1997-06-23	188	3042	2013-05-08
6306/5-1	5.000000	EGGA FM (INFORMAL)	FORMATION	1997-07-10	31	3060	2013-05-08
6306/5-1	0.000000	NISE FM	FORMATION	1997-07-10	112	3060	2013-05-08
6306/5-1	5.000000	ROGALAND GP	GROUP	1997-07-10	131	3060	2013-05-08
6306/5-1	0.000000	SHETLAND GP	GROUP	1997-07-10	143	3060	2013-05-08
25/8-10 S	12.000000	HEIMDAL FM	FORMATION	1997-06-05	62	3062	2013-05-08
25/8-10 S	16.000000	HERMOD FM	FORMATION	1997-06-05	64	3062	2013-05-08
25/8-10 S	34.000000	LISTA FM	FORMATION	1997-06-05	95	3062	2013-05-08
25/8-10 S	65.000000	ROGALAND GP	GROUP	1997-06-05	131	3062	2013-05-08
25/8-10 S	3.000000	SELE FM	FORMATION	1997-06-05	142	3062	2013-05-08
16/7-6	61.000000	SKAGERRAK FM	FORMATION	1997-07-24	146	3067	2013-05-08
16/7-6	3.000000	UNDIFFERENTIATED	FORMATION	1997-07-24	182	3067	2013-05-08
16/7-6	63.000000	NO GROUP DEFINED	GROUP	1997-07-24	208	3067	2013-05-08
15/12-11 S	1.000000	HEIMDAL FM	FORMATION	1997-05-19	62	3074	2013-05-08
15/12-11 S	19.000000	HUGIN FM	FORMATION	1997-05-19	69	3074	2013-05-08
15/12-11 S	1.000000	ROGALAND GP	GROUP	1997-05-19	131	3074	2013-05-08
15/12-11 S	0.000000	SLEIPNER FM	FORMATION	1997-05-19	148	3074	2013-05-08
15/12-11 S	19.000000	VESTLAND GP	GROUP	1997-05-19	186	3074	2013-05-08
6707/10-1	10.000000	NISE FM	FORMATION	1997-07-23	112	3075	2013-05-08
6707/10-1	194.000000	SHETLAND GP	GROUP	1997-07-23	143	3075	2013-05-08
6707/10-1	184.000000	DELFIN FM (INFORMAL)	FORMATION	1997-07-23	204	3075	2013-05-08
15/6-8 A	10.000000	HEIMDAL FM	FORMATION	1997-04-18	62	3077	2013-05-08
15/6-8 A	10.000000	ROGALAND GP	GROUP	1997-04-18	131	3077	2013-05-08
2/5-11	50.000000	EKOFISK FM	FORMATION	1997-11-14	33	3084	2013-05-08
2/5-11	125.000000	SHETLAND GP	GROUP	1997-11-14	143	3084	2013-05-08
2/5-11	76.000000	TOR FM	FORMATION	1997-11-14	171	3084	2013-05-08
9/2-7 S	54.000000	SANDNES FM	FORMATION	1997-06-18	139	3087	2013-05-08
9/2-7 S	54.000000	VESTLAND GP	GROUP	1997-06-18	186	3087	2013-05-08
25/10-8 A	92.000000	DRAUPNE FM	FORMATION	1997-04-27	28	3098	2013-05-08
25/10-8 A	92.000000	VIKING GP	GROUP	1997-04-27	188	3098	2013-05-08
15/5-6	22.000000	HEIMDAL FM	FORMATION	1997-07-16	62	3113	2013-05-08
15/5-6	22.000000	ROGALAND GP	GROUP	1997-07-16	131	3113	2013-05-08
6406/2-5	68.000000	BÅT GP	GROUP	1997-09-29	22	3125	2013-05-08
6406/2-5	246.000000	FANGST GP	GROUP	1997-09-29	38	3125	2013-05-08
6406/2-5	115.000000	GARN FM	FORMATION	1997-09-29	48	3125	2013-05-08
6406/2-5	94.000000	ILE FM	FORMATION	1997-09-29	70	3125	2013-05-08
6406/2-5	38.000000	NOT FM	FORMATION	1997-09-29	120	3125	2013-05-08
6406/2-5	65.000000	ROR FM	FORMATION	1997-09-29	135	3125	2013-05-08
6406/2-5	3.000000	TOFTE FM	FORMATION	1997-09-29	170	3125	2013-05-08
9/2-8 S	84.000000	SANDNES FM	FORMATION	1998-02-02	139	3126	2013-05-08
9/2-8 S	84.000000	VESTLAND GP	GROUP	1998-02-02	186	3126	2013-05-08
6507/7-11 S	27.000000	FANGST GP	GROUP	1997-08-14	38	3131	2013-05-08
6507/7-11 S	15.000000	GARN FM	FORMATION	1997-08-14	48	3131	2013-05-08
6507/7-11 S	12.000000	NOT FM	FORMATION	1997-08-14	120	3131	2013-05-08
25/7-5	40.000000	BALDER FM	FORMATION	1997-08-30	6	3132	2013-05-08
25/7-5	24.000000	HEIMDAL FM	FORMATION	1997-08-30	62	3132	2013-05-08
25/7-5	16.000000	HERMOD FM	FORMATION	1997-08-30	64	3132	2013-05-08
25/7-5	45.000000	LISTA FM	FORMATION	1997-08-30	95	3132	2013-05-08
25/7-5	161.000000	ROGALAND GP	GROUP	1997-08-30	131	3132	2013-05-08
25/7-5	38.000000	SELE FM	FORMATION	1997-08-30	142	3132	2013-05-08
6305/5-1	49.000000	EGGA FM (INFORMAL)	FORMATION	1997-10-07	31	3144	2013-05-08
6305/5-1	49.000000	ROGALAND GP	GROUP	1997-10-07	131	3144	2013-05-08
6305/5-1	35.000000	SHETLAND GP	GROUP	1997-10-07	143	3144	2013-05-08
6305/5-1	35.000000	SPRINGAR FM	FORMATION	1997-10-07	156	3144	2013-05-08
15/9-19 A	127.000000	HUGIN FM	FORMATION	1997-11-09	69	3145	2013-05-08
15/9-19 A	50.000000	SKAGERRAK FM	FORMATION	1997-11-09	146	3145	2013-05-08
15/9-19 A	127.000000	VESTLAND GP	GROUP	1997-11-09	186	3145	2013-05-08
15/9-19 A	50.000000	NO GROUP DEFINED	GROUP	1997-11-09	208	3145	2013-05-08
6510/2-1	27.000000	BÅT GP	GROUP	1997-10-10	22	3166	2013-05-08
6510/2-1	10.000000	TILJE FM	FORMATION	1997-10-10	169	3166	2013-05-08
6510/2-1	16.000000	ÅRE FM	FORMATION	1997-10-10	197	3166	2013-05-08
30/3-7 A	13.000000	CROMER KNOLL GP	GROUP	1998-01-29	23	3176	2013-05-08
30/3-7 A	13.000000	RØDBY FM	FORMATION	1998-01-29	137	3176	2013-05-08
6507/11-5 S	21.000000	BÅT GP	GROUP	1997-10-28	22	3193	2013-05-08
6507/11-5 S	134.000000	FANGST GP	GROUP	1997-10-28	38	3193	2013-05-08
6507/11-5 S	51.000000	GARN FM	FORMATION	1997-10-28	48	3193	2013-05-08
6507/11-5 S	70.000000	ILE FM	FORMATION	1997-10-28	70	3193	2013-05-08
6507/11-5 S	14.000000	NOT FM	FORMATION	1997-10-28	120	3193	2013-05-08
6507/11-5 S	21.000000	ROR FM	FORMATION	1997-10-28	135	3193	2013-05-08
6706/11-1	6.000000	NISE FM	FORMATION	1998-03-22	112	3202	2013-05-08
6706/11-1	58.000000	SHETLAND GP	GROUP	1998-03-22	143	3202	2013-05-08
6706/11-1	53.000000	DELFIN FM (INFORMAL)	FORMATION	1998-03-22	204	3202	2013-05-08
35/9-3	39.000000	AGAT FM	FORMATION	1997-11-11	2	3206	2013-05-08
35/9-3	67.000000	CROMER KNOLL GP	GROUP	1997-11-11	23	3206	2013-05-08
35/9-3	37.000000	KYRRE FM	FORMATION	1997-11-11	92	3206	2013-05-08
35/9-3	28.000000	RØDBY FM	FORMATION	1997-11-11	137	3206	2013-05-08
35/9-3	37.000000	SHETLAND GP	GROUP	1997-11-11	143	3206	2013-05-08
25/8-11	19.000000	HERMOD FM	FORMATION	1997-12-02	64	3209	2013-05-08
25/8-11	27.000000	ROGALAND GP	GROUP	1997-12-02	131	3209	2013-05-08
25/8-11	8.000000	SELE FM	FORMATION	1997-12-02	142	3209	2013-05-08
2/8-17 S	15.000000	EKOFISK FM	FORMATION	1998-01-17	33	3210	2013-05-08
2/8-17 S	87.000000	SHETLAND GP	GROUP	1998-01-17	143	3210	2013-05-08
2/8-17 S	72.000000	TOR FM	FORMATION	1998-01-17	171	3210	2013-05-08
6406/2-5 A	170.000000	FANGST GP	GROUP	1998-02-23	38	3213	2013-05-08
6406/2-5 A	121.000000	GARN FM	FORMATION	1998-02-23	48	3213	2013-05-08
6406/2-5 A	49.000000	ILE FM	FORMATION	1998-02-23	70	3213	2013-05-08
34/7-27	14.000000	DRAUPNE FM	FORMATION	1998-10-07	28	3214	2013-05-08
34/7-27	14.000000	VIKING GP	GROUP	1998-10-07	188	3214	2013-05-08
30/3-7 B	29.000000	BRENT GP	GROUP	1998-08-04	16	3229	2013-05-08
30/3-7 B	8.000000	DRAKE FM	FORMATION	1998-08-04	27	3229	2013-05-08
30/3-7 B	8.000000	DUNLIN GP	GROUP	1998-08-04	29	3229	2013-05-08
30/3-7 B	29.000000	OSEBERG FM	FORMATION	1998-08-04	123	3229	2013-05-08
25/11-22	0.000000	BALDER FM	FORMATION	1998-01-24	6	3243	2013-05-08
25/11-22	54.000000	LISTA FM	FORMATION	1998-01-24	95	3243	2013-05-08
25/11-22	60.000000	ROGALAND GP	GROUP	1998-01-24	131	3243	2013-05-08
25/11-22	6.000000	SELE FM	FORMATION	1998-01-24	142	3243	2013-05-08
25/11-22	0.000000	VÅLE FM	FORMATION	1998-01-24	190	3243	2013-05-08
16/7-7 S	27.000000	CROMER KNOLL GP	GROUP	1997-12-29	23	3244	2013-05-08
16/7-7 S	3.000000	INTRA DRAUPNE FM SS	FORMATION	1997-12-29	26	3244	2013-05-08
16/7-7 S	116.000000	SKAGERRAK FM	FORMATION	1997-12-29	146	3244	2013-05-08
16/7-7 S	3.000000	SOLA FM	FORMATION	1997-12-29	152	3244	2013-05-08
16/7-7 S	3.000000	VIKING GP	GROUP	1997-12-29	188	3244	2013-05-08
16/7-7 S	24.000000	ÅSGARD FM	FORMATION	1997-12-29	198	3244	2013-05-08
16/7-7 S	116.000000	NO GROUP DEFINED	GROUP	1997-12-29	208	3244	2013-05-08
30/8-3	121.000000	BRENT GP	GROUP	1998-01-05	16	3246	2013-05-08
30/8-3	28.000000	NESS FM	FORMATION	1998-01-05	110	3246	2013-05-08
30/8-3	93.000000	TARBERT FM	FORMATION	1998-01-05	162	3246	2013-05-08
15/3-6	15.000000	BALDER FM	FORMATION	1999-01-05	6	3250	2013-05-08
15/3-6	21.000000	INTRA BALDER FM SS	FORMATION	1999-01-05	7	3250	2013-05-08
15/3-6	20.000000	HERMOD FM	FORMATION	1999-01-05	64	3250	2013-05-08
15/3-6	55.000000	ROGALAND GP	GROUP	1999-01-05	131	3250	2013-05-08
15/9-19 B	67.000000	HUGIN FM	FORMATION	1998-02-02	69	3251	2013-05-08
15/9-19 B	67.000000	VESTLAND GP	GROUP	1998-02-02	186	3251	2013-05-08
6204/10-2 R	10.000000	CROMER KNOLL GP	GROUP	1997-11-21	23	3258	2013-05-08
6204/10-2 R	18.000000	NO FORMAL NAME	FORMATION	1997-11-21	111	3258	2013-05-08
6204/10-2 R	18.000000	SHETLAND GP	GROUP	1997-11-21	143	3258	2013-05-08
6204/10-2 R	10.000000	ÅSGARD FM	FORMATION	1997-11-21	198	3258	2013-05-08
6505/10-1	55.000000	CROMER KNOLL GP	GROUP	1998-07-04	23	3259	2013-05-08
6505/10-1	9.000000	KVITNOS FM	FORMATION	1998-07-04	91	3259	2013-05-08
6505/10-1	27.000000	LANGE FM	FORMATION	1998-07-04	94	3259	2013-05-08
6505/10-1	28.000000	LYSING FM	FORMATION	1998-07-04	99	3259	2013-05-08
6505/10-1	9.000000	SHETLAND GP	GROUP	1998-07-04	143	3259	2013-05-08
6608/10-6	89.000000	BÅT GP	GROUP	2000-05-14	22	3260	2013-05-08
6608/10-6	15.000000	FANGST GP	GROUP	2000-05-14	38	3260	2013-05-08
6608/10-6	16.000000	INTRA MELKE FM SS	FORMATION	2000-05-14	104	3260	2013-05-08
6608/10-6	9.000000	MELKE FM	FORMATION	2000-05-14	105	3260	2013-05-08
6608/10-6	15.000000	NOT FM	FORMATION	2000-05-14	120	3260	2013-05-08
6608/10-6	24.000000	VIKING GP	GROUP	2000-05-14	188	3260	2013-05-08
6608/10-6	89.000000	ÅRE FM	FORMATION	2000-05-14	197	3260	2013-05-08
16/1-5	41.000000	INTRA HEATHER FM SS	FORMATION	1998-11-21	59	3279	2013-05-08
16/1-5	41.000000	VIKING GP	GROUP	1998-11-21	188	3279	2013-05-08
6204/10-2 A	15.000000	NO FORMAL NAME	FORMATION	1997-12-04	111	3280	2013-05-08
6204/10-2 A	15.000000	SHETLAND GP	GROUP	1997-12-04	143	3280	2013-05-08
34/7-28	1.000000	INTRA DRAUPNE FM SS	FORMATION	1998-03-02	26	3282	2013-05-08
34/7-28	15.000000	INTRA HEATHER FM SS	FORMATION	1998-03-02	59	3282	2013-05-08
34/7-28	40.000000	HEATHER FM	FORMATION	1998-03-02	60	3282	2013-05-08
34/7-28	56.000000	VIKING GP	GROUP	1998-03-02	188	3282	2013-05-08
6506/11-6	74.000000	BÅT GP	GROUP	1998-08-22	22	3306	2013-05-08
6506/11-6	224.000000	FANGST GP	GROUP	1998-08-22	38	3306	2013-05-08
6506/11-6	117.000000	GARN FM	FORMATION	1998-08-22	48	3306	2013-05-08
6506/11-6	79.000000	ILE FM	FORMATION	1998-08-22	70	3306	2013-05-08
6506/11-6	28.000000	NOT FM	FORMATION	1998-08-22	120	3306	2013-05-08
6506/11-6	18.000000	ROR FM	FORMATION	1998-08-22	135	3306	2013-05-08
6506/11-6	27.000000	TILJE FM	FORMATION	1998-08-22	169	3306	2013-05-08
6506/11-6	29.000000	TOFTE FM	FORMATION	1998-08-22	170	3306	2013-05-08
34/7-29 S	5.000000	CROMER KNOLL GP	GROUP	1998-04-14	23	3313	2013-05-08
34/7-29 S	17.000000	INTRA DRAUPNE FM SS	FORMATION	1998-04-14	26	3313	2013-05-08
34/7-29 S	2.000000	DRAUPNE FM	FORMATION	1998-04-14	28	3313	2013-05-08
34/7-29 S	5.000000	MIME FM	FORMATION	1998-04-14	106	3313	2013-05-08
34/7-29 S	19.000000	VIKING GP	GROUP	1998-04-14	188	3313	2013-05-08
34/11-4	50.000000	BRENT GP	GROUP	1999-04-14	16	3314	2013-05-08
34/11-4	50.000000	NESS FM	FORMATION	1999-04-14	110	3314	2013-05-08
34/7-26 SR	11.000000	CROMER KNOLL GP	GROUP	1998-02-02	23	3315	2013-05-08
34/7-26 SR	3.000000	INTRA DRAUPNE FM SS	FORMATION	1998-02-02	26	3315	2013-05-08
34/7-26 SR	62.000000	DRAUPNE FM	FORMATION	1998-02-02	28	3315	2013-05-08
34/7-26 SR	9.000000	MIME FM	FORMATION	1998-02-02	106	3315	2013-05-08
34/7-26 SR	2.000000	RØDBY FM	FORMATION	1998-02-02	137	3315	2013-05-08
34/7-26 SR	65.000000	VIKING GP	GROUP	1998-02-02	188	3315	2013-05-08
6506/11-7	60.000000	BÅT GP	GROUP	2001-07-27	22	3322	2013-05-08
6506/11-7	53.000000	FANGST GP	GROUP	2001-07-27	38	3322	2013-05-08
6506/11-7	18.000000	GARN FM	FORMATION	2001-07-27	48	3322	2013-05-08
6506/11-7	35.000000	ILE FM	FORMATION	2001-07-27	70	3322	2013-05-08
6506/11-7	20.000000	ROR FM	FORMATION	2001-07-27	135	3322	2013-05-08
6506/11-7	19.000000	TILJE FM	FORMATION	2001-07-27	169	3322	2013-05-08
6506/11-7	21.000000	TOFTE FM	FORMATION	2001-07-27	170	3322	2013-05-08
34/7-26 A	14.000000	CROMER KNOLL GP	GROUP	1998-04-22	23	3329	2013-05-08
34/7-26 A	64.000000	INTRA DRAUPNE FM SS	FORMATION	1998-04-22	26	3329	2013-05-08
34/7-26 A	21.000000	DRAUPNE FM	FORMATION	1998-04-22	28	3329	2013-05-08
34/7-26 A	11.000000	KYRRE FM	FORMATION	1998-04-22	92	3329	2013-05-08
34/7-26 A	6.000000	MIME FM	FORMATION	1998-04-22	106	3329	2013-05-08
34/7-26 A	8.000000	RØDBY FM	FORMATION	1998-04-22	137	3329	2013-05-08
34/7-26 A	11.000000	SHETLAND GP	GROUP	1998-04-22	143	3329	2013-05-08
34/7-26 A	85.000000	VIKING GP	GROUP	1998-04-22	188	3329	2013-05-08
15/9-21 S	19.000000	INTRA HEATHER FM SS	FORMATION	1998-05-23	59	3334	2013-05-08
15/9-21 S	76.000000	HUGIN FM	FORMATION	1998-05-23	69	3334	2013-05-08
15/9-21 S	76.000000	VESTLAND GP	GROUP	1998-05-23	186	3334	2013-05-08
15/9-21 S	19.000000	VIKING GP	GROUP	1998-05-23	188	3334	2013-05-08
35/11-11	17.000000	BRENT GP	GROUP	1998-05-22	16	3356	2013-05-08
35/11-11	18.000000	INTRA DRAUPNE FM SS	FORMATION	1998-05-22	26	3356	2013-05-08
35/11-11	0.000000	ETIVE FM	FORMATION	1998-05-22	35	3356	2013-05-08
35/11-11	66.000000	INTRA HEATHER FM SS	FORMATION	1998-05-22	59	3356	2013-05-08
35/11-11	81.000000	HEATHER FM	FORMATION	1998-05-22	60	3356	2013-05-08
35/11-11	17.000000	RANNOCH FM	FORMATION	1998-05-22	126	3356	2013-05-08
35/11-11	164.000000	VIKING GP	GROUP	1998-05-22	188	3356	2013-05-08
1/3-9 S	105.000000	ULA FM	FORMATION	1998-07-31	179	3362	2013-05-08
1/3-9 S	105.000000	VESTLAND GP	GROUP	1998-07-31	186	3362	2013-05-08
15/12-12	112.000000	INTRA HEATHER FM SS	FORMATION	2001-02-09	59	3391	2013-05-08
15/12-12	19.000000	SKAGERRAK FM	FORMATION	2001-02-09	146	3391	2013-05-08
15/12-12	112.000000	VIKING GP	GROUP	2001-02-09	188	3391	2013-05-08
15/12-12	19.000000	NO GROUP DEFINED	GROUP	2001-02-09	208	3391	2013-05-08
24/6-2	4.000000	BALDER FM	FORMATION	1998-07-08	6	3397	2013-05-08
24/6-2	93.000000	HEIMDAL FM	FORMATION	1998-07-08	62	3397	2013-05-08
24/6-2	32.000000	LISTA FM	FORMATION	1998-07-08	95	3397	2013-05-08
24/6-2	169.000000	ROGALAND GP	GROUP	1998-07-08	131	3397	2013-05-08
24/6-2	39.000000	SELE FM	FORMATION	1998-07-08	142	3397	2013-05-08
6406/2-6	27.000000	FANGST GP	GROUP	1998-11-07	38	3407	2013-05-08
6406/2-6	27.000000	GARN FM	FORMATION	1998-11-07	48	3407	2013-05-08
16/10-4	23.000000	HUGIN FM	FORMATION	1998-08-10	69	3531	2013-05-08
16/10-4	23.000000	VESTLAND GP	GROUP	1998-08-10	186	3531	2013-05-08
6305/7-1	74.000000	EGGA FM (INFORMAL)	FORMATION	1998-08-30	31	3535	2013-05-08
6305/7-1	74.000000	ROGALAND GP	GROUP	1998-08-30	131	3535	2013-05-08
6305/7-1	20.000000	SHETLAND GP	GROUP	1998-08-30	143	3535	2013-05-08
6305/7-1	20.000000	SPRINGAR FM	FORMATION	1998-08-30	156	3535	2013-05-08
6305/1-1	27.000000	CROMER KNOLL GP	GROUP	1998-11-19	23	3555	2013-05-08
6305/1-1	24.000000	EGGA FM (INFORMAL)	FORMATION	1998-11-19	31	3555	2013-05-08
6305/1-1	27.000000	LYSING FM	FORMATION	1998-11-19	99	3555	2013-05-08
6305/1-1	26.000000	ROGALAND GP	GROUP	1998-11-19	131	3555	2013-05-08
6305/1-1	13.000000	SHETLAND GP	GROUP	1998-11-19	143	3555	2013-05-08
6305/1-1	13.000000	SPRINGAR FM	FORMATION	1998-11-19	156	3555	2013-05-08
6305/1-1	2.000000	TANG FM	FORMATION	1998-11-19	161	3555	2013-05-08
7120/6-2 S	114.000000	KAPP TOSCANA GP	GROUP	2007-07-22	79	3558	2013-05-08
7120/6-2 S	4.000000	NORDMELA FM	FORMATION	2007-07-22	118	3558	2013-05-08
7120/6-2 S	110.000000	STØ FM	FORMATION	2007-07-22	159	3558	2013-05-08
2/7-31	41.000000	ROTLIEGEND GP	GROUP	1999-06-09	136	3573	2013-05-08
16/1-5 A	27.000000	INTRA HEATHER FM SS	FORMATION	1998-12-06	59	3626	2013-05-08
16/1-5 A	27.000000	VIKING GP	GROUP	1998-12-06	188	3626	2013-05-08
6406/2-4 SR	308.000000	BÅT GP	GROUP	1999-02-15	22	3627	2013-05-08
6406/2-4 SR	12.000000	FANGST GP	GROUP	1999-02-15	38	3627	2013-05-08
6406/2-4 SR	12.000000	GARN FM	FORMATION	1999-02-15	48	3627	2013-05-08
6406/2-4 SR	184.000000	TILJE FM	FORMATION	1999-02-15	169	3627	2013-05-08
6406/2-4 SR	27.000000	TOFTE FM	FORMATION	1999-02-15	170	3627	2013-05-08
6406/2-4 SR	97.000000	ÅRE FM	FORMATION	1999-02-15	197	3627	2013-05-08
6507/3-3	119.000000	BÅT GP	GROUP	1999-03-25	22	3668	2013-05-08
6507/3-3	27.000000	CROMER KNOLL GP	GROUP	1999-03-25	23	3668	2013-05-08
6507/3-3	76.000000	FANGST GP	GROUP	1999-03-25	38	3668	2013-05-08
6507/3-3	27.000000	GARN FM	FORMATION	1999-03-25	48	3668	2013-05-08
6507/3-3	17.000000	ILE FM	FORMATION	1999-03-25	70	3668	2013-05-08
6507/3-3	27.000000	LANGE FM	FORMATION	1999-03-25	94	3668	2013-05-08
6507/3-3	31.000000	NOT FM	FORMATION	1999-03-25	120	3668	2013-05-08
6507/3-3	9.000000	ROR FM	FORMATION	1999-03-25	135	3668	2013-05-08
6507/3-3	109.000000	TILJE FM	FORMATION	1999-03-25	169	3668	2013-05-08
6507/5-1	160.000000	BÅT GP	GROUP	1998-05-03	22	3683	2013-05-08
6507/5-1	122.000000	FANGST GP	GROUP	1998-05-03	38	3683	2013-05-08
6507/5-1	39.000000	GARN FM	FORMATION	1998-05-03	48	3683	2013-05-08
6507/5-1	42.000000	ILE FM	FORMATION	1998-05-03	70	3683	2013-05-08
6507/5-1	42.000000	NOT FM	FORMATION	1998-05-03	120	3683	2013-05-08
6507/5-1	41.000000	ROR FM	FORMATION	1998-05-03	135	3683	2013-05-08
6507/5-1	107.000000	TILJE FM	FORMATION	1998-05-03	169	3683	2013-05-08
6507/5-1	2.000000	TOFTE FM	FORMATION	1998-05-03	170	3683	2013-05-08
6507/5-1	11.000000	ÅRE FM	FORMATION	1998-05-03	197	3683	2013-05-08
9/2-9 S	16.000000	SANDNES FM	FORMATION	1999-10-18	139	3703	2013-05-08
9/2-9 S	16.000000	VESTLAND GP	GROUP	1999-10-18	186	3703	2013-05-08
25/11-23	44.000000	BALDER FM	FORMATION	1999-05-28	6	3755	2013-05-08
25/11-23	12.000000	INTRA BALDER FM SS	FORMATION	1999-05-28	7	3755	2013-05-08
25/11-23	56.000000	ROGALAND GP	GROUP	1999-05-28	131	3755	2013-05-08
6507/5-2	95.000000	BÅT GP	GROUP	1999-09-23	22	3756	2013-05-08
6507/5-2	91.000000	FANGST GP	GROUP	1999-09-23	38	3756	2013-05-08
6507/5-2	43.000000	GARN FM	FORMATION	1999-09-23	48	3756	2013-05-08
6507/5-2	21.000000	ILE FM	FORMATION	1999-09-23	70	3756	2013-05-08
6507/5-2	28.000000	NOT FM	FORMATION	1999-09-23	120	3756	2013-05-08
6507/5-2	55.000000	ROR FM	FORMATION	1999-09-23	135	3756	2013-05-08
6507/5-2	41.000000	TILJE FM	FORMATION	1999-09-23	169	3756	2013-05-08
6704/12-1	6.000000	NISE FM	FORMATION	1999-07-24	112	3759	2013-05-08
6704/12-1	4.000000	ROGALAND GP	GROUP	1999-07-24	131	3759	2013-05-08
6704/12-1	31.000000	SHETLAND GP	GROUP	1999-07-24	143	3759	2013-05-08
6704/12-1	25.000000	SPRINGAR FM	FORMATION	1999-07-24	156	3759	2013-05-08
6704/12-1	4.000000	TANG FM	FORMATION	1999-07-24	161	3759	2013-05-08
25/8-12 S	1.000000	SHETLAND GP	GROUP	1999-06-09	143	3771	2013-05-08
25/8-12 S	33.000000	STATFJORD FM	FORMATION	1999-06-09	157	3771	2013-05-08
25/8-12 S	33.000000	NO GROUP DEFINED	GROUP	1999-06-09	208	3771	2013-05-08
25/8-12 A	38.000000	STATFJORD FM	FORMATION	1999-06-19	157	3772	2013-05-08
25/8-12 A	38.000000	NO GROUP DEFINED	GROUP	1999-06-19	208	3772	2013-05-08
34/10-42 S	37.000000	BRENT GP	GROUP	1999-09-19	16	3816	2013-05-08
34/10-42 S	2.000000	HEATHER FM	FORMATION	1999-09-19	60	3816	2013-05-08
34/10-42 S	37.000000	NESS FM	FORMATION	1999-09-19	110	3816	2013-05-08
34/10-42 S	0.000000	TARBERT FM	FORMATION	1999-09-19	162	3816	2013-05-08
34/10-42 S	2.000000	VIKING GP	GROUP	1999-09-19	188	3816	2013-05-08
6406/2-7	21.000000	BÅT GP	GROUP	1999-12-26	22	3878	2013-05-08
6406/2-7	58.000000	FANGST GP	GROUP	1999-12-26	38	3878	2013-05-08
6406/2-7	1.000000	GARN FM	FORMATION	1999-12-26	48	3878	2013-05-08
6406/2-7	32.000000	ILE FM	FORMATION	1999-12-26	70	3878	2013-05-08
6406/2-7	25.000000	NOT FM	FORMATION	1999-12-26	120	3878	2013-05-08
6406/2-7	21.000000	TOFTE FM	FORMATION	1999-12-26	170	3878	2013-05-08
25/6-3	5.000000	BALDER FM	FORMATION	1999-11-11	6	3885	2013-05-08
25/6-3	25.000000	HERMOD FM	FORMATION	1999-11-11	64	3885	2013-05-08
25/6-3	46.000000	ROGALAND GP	GROUP	1999-11-11	131	3885	2013-05-08
25/6-3	15.000000	SELE FM	FORMATION	1999-11-11	142	3885	2013-05-08
34/7-30 SR	45.000000	HEATHER FM	FORMATION	1999-12-02	60	3886	2013-05-08
34/7-30 SR	45.000000	VIKING GP	GROUP	1999-12-02	188	3886	2013-05-08
6407/6-5	40.000000	BÅT GP	GROUP	1999-12-27	22	3921	2013-05-08
6407/6-5	68.000000	FANGST GP	GROUP	1999-12-27	38	3921	2013-05-08
6407/6-5	68.000000	ILE FM	FORMATION	1999-12-27	70	3921	2013-05-08
6407/6-5	23.000000	ROR FM	FORMATION	1999-12-27	135	3921	2013-05-08
6407/6-5	17.000000	TOFTE FM	FORMATION	1999-12-27	170	3921	2013-05-08
6710/10-1	23.000000	ROGALAND GP	GROUP	2000-10-26	131	3941	2013-05-08
6710/10-1	23.000000	TANG FM	FORMATION	2000-10-26	161	3941	2013-05-08
34/4-10 R	27.000000	BRENT GP	GROUP	2000-04-18	16	4051	2013-05-08
34/4-10 R	27.000000	UNDIFFERENTIATED	FORMATION	2000-04-18	182	4051	2013-05-08
30/3-9	1.000000	BRENT GP	GROUP	2000-07-01	16	4053	2013-05-08
30/3-9	1.000000	NESS FM	FORMATION	2000-07-01	110	4053	2013-05-08
35/11-12	10.000000	DRAUPNE FM	FORMATION	2000-05-14	28	4054	2013-05-08
35/11-12	17.000000	HEATHER FM	FORMATION	2000-05-14	60	4054	2013-05-08
35/11-12	26.000000	VIKING GP	GROUP	2000-05-14	188	4054	2013-05-08
15/3-7	46.000000	HUGIN FM	FORMATION	2001-09-01	69	4055	2013-05-08
15/3-7	46.000000	VESTLAND GP	GROUP	2001-09-01	186	4055	2013-05-08
6507/5-3	14.000000	CROMER KNOLL GP	GROUP	2000-06-23	23	4059	2013-05-08
6507/5-3	1.000000	KVITNOS FM	FORMATION	2000-06-23	91	4059	2013-05-08
6507/5-3	14.000000	LYSING FM	FORMATION	2000-06-23	99	4059	2013-05-08
6507/5-3	1.000000	SHETLAND GP	GROUP	2000-06-23	143	4059	2013-05-08
6406/2-6 A	21.000000	BÅT GP	GROUP	2000-07-06	22	4094	2013-05-08
6406/2-6 A	21.000000	TOFTE FM	FORMATION	2000-07-06	170	4094	2013-05-08
6305/8-1	77.000000	EGGA FM (INFORMAL)	FORMATION	2000-09-08	31	4109	2013-05-08
6305/8-1	80.000000	ROGALAND GP	GROUP	2000-09-08	131	4109	2013-05-08
6305/8-1	11.000000	SHETLAND GP	GROUP	2000-09-08	143	4109	2013-05-08
6305/8-1	11.000000	SPRINGAR FM	FORMATION	2000-09-08	156	4109	2013-05-08
6305/8-1	3.000000	TANG FM	FORMATION	2000-09-08	161	4109	2013-05-08
3/6-1	3.000000	FISKEBANK FM	FORMATION	2000-07-10	41	4117	2013-05-08
3/6-1	3.000000	ROGALAND GP	GROUP	2000-07-10	131	4117	2013-05-08
6506/6-1	63.000000	BÅT GP	GROUP	2000-12-07	22	4122	2013-05-08
6506/6-1	3.000000	FANGST GP	GROUP	2000-12-07	38	4122	2013-05-08
6506/6-1	3.000000	GARN FM	FORMATION	2000-12-07	48	4122	2013-05-08
6506/6-1	63.000000	TILJE FM	FORMATION	2000-12-07	169	4122	2013-05-08
7216/11-1 S	16.000000	SOTBAKKEN GP	GROUP	2000-09-14	154	4129	2013-05-08
7216/11-1 S	16.000000	TORSK FM	FORMATION	2000-09-14	172	4129	2013-05-08
25/7-6	11.000000	HERMOD FM	FORMATION	2000-10-14	64	4141	2013-05-08
25/7-6	19.000000	ROGALAND GP	GROUP	2000-10-14	131	4141	2013-05-08
25/7-6	8.000000	SELE FM	FORMATION	2000-10-14	142	4141	2013-05-08
7019/1-1	14.000000	ADVENTDALEN GP	GROUP	2000-12-03	1	4145	2013-05-08
7019/1-1	14.000000	KAPP TOSCANA GP	GROUP	2000-12-03	79	4145	2013-05-08
7019/1-1	14.000000	KNURR FM	FORMATION	2000-12-03	82	4145	2013-05-08
7019/1-1	14.000000	STØ FM	FORMATION	2000-12-03	159	4145	2013-05-08
6407/7-6	126.000000	BÅT GP	GROUP	2000-12-16	22	4172	2013-05-08
6407/7-6	126.000000	TILJE FM	FORMATION	2000-12-16	169	4172	2013-05-08
7122/7-1	43.000000	FRUHOLMEN FM	FORMATION	2000-10-05	46	4173	2013-05-08
7122/7-1	43.000000	KAPP TOSCANA GP	GROUP	2000-10-05	79	4173	2013-05-08
6608/11-2	23.000000	BÅT GP	GROUP	2000-11-24	22	4189	2013-05-08
6608/11-2	23.000000	ÅRE FM	FORMATION	2000-11-24	197	4189	2013-05-08
6507/5-4	92.000000	BÅT GP	GROUP	2001-04-15	22	4209	2013-05-08
6507/5-4	119.000000	FANGST GP	GROUP	2001-04-15	38	4209	2013-05-08
6507/5-4	67.000000	GARN FM	FORMATION	2001-04-15	48	4209	2013-05-08
6507/5-4	23.000000	ILE FM	FORMATION	2001-04-15	70	4209	2013-05-08
6507/5-4	1.000000	MELKE FM	FORMATION	2001-04-15	105	4209	2013-05-08
6507/5-4	29.000000	NOT FM	FORMATION	2001-04-15	120	4209	2013-05-08
6507/5-4	56.000000	ROR FM	FORMATION	2001-04-15	135	4209	2013-05-08
6507/5-4	36.000000	TILJE FM	FORMATION	2001-04-15	169	4209	2013-05-08
6507/5-4	1.000000	VIKING GP	GROUP	2001-04-15	188	4209	2013-05-08
34/7-31	34.000000	INTRA DRAUPNE FM SS	FORMATION	2001-04-13	26	4214	2013-05-08
34/7-31	34.000000	VIKING GP	GROUP	2001-04-13	188	4214	2013-05-08
7121/5-3	54.000000	KAPP TOSCANA GP	GROUP	2001-03-09	79	4244	2013-05-08
7121/5-3	28.000000	STØ FM	FORMATION	2001-03-09	159	4244	2013-05-08
7121/5-3	26.000000	TUBÅEN FM	FORMATION	2001-03-09	174	4244	2013-05-08
7228/7-1 A	43.000000	KAPP TOSCANA GP	GROUP	2001-02-02	79	4257	2013-05-08
7228/7-1 A	28.000000	KLAPPMYSS FM	FORMATION	2001-02-02	80	4257	2013-05-08
7228/7-1 A	2.000000	KOBBE FM	FORMATION	2001-02-02	83	4257	2013-05-08
7228/7-1 A	30.000000	SASSENDALEN GP	GROUP	2001-02-02	140	4257	2013-05-08
7228/7-1 A	43.000000	SNADD FM	FORMATION	2001-02-02	150	4257	2013-05-08
6406/1-1	111.000000	BÅT GP	GROUP	2001-06-10	22	4262	2013-05-08
6406/1-1	111.000000	TOFTE FM	FORMATION	2001-06-10	170	4262	2013-05-08
6608/10-7	83.000000	BÅT GP	GROUP	2001-05-23	22	4273	2013-05-08
6608/10-7	11.000000	FANGST GP	GROUP	2001-05-23	38	4273	2013-05-08
6608/10-7	45.000000	INTRA MELKE FM SS	FORMATION	2001-05-23	104	4273	2013-05-08
6608/10-7	11.000000	NOT FM	FORMATION	2001-05-23	120	4273	2013-05-08
6608/10-7	45.000000	VIKING GP	GROUP	2001-05-23	188	4273	2013-05-08
6608/10-7	83.000000	ÅRE FM	FORMATION	2001-05-23	197	4273	2013-05-08
6507/7-13 A	69.000000	BÅT GP	GROUP	2001-01-21	22	4275	2013-05-08
6507/7-13 A	69.000000	ÅRE FM	FORMATION	2001-01-21	197	4275	2013-05-08
25/4-9 S	18.000000	HEIMDAL FM	FORMATION	2003-09-29	62	4278	2013-05-08
25/4-9 S	18.000000	ROGALAND GP	GROUP	2003-09-29	131	4278	2013-05-08
6305/9-1	17.000000	EGGA FM (INFORMAL)	FORMATION	2001-07-31	31	4297	2013-05-08
6305/9-1	17.000000	ROGALAND GP	GROUP	2001-07-31	131	4297	2013-05-08
6507/11-6	28.000000	FANGST GP	GROUP	2001-07-08	38	4321	2013-05-08
6507/11-6	28.000000	GARN FM	FORMATION	2001-07-08	48	4321	2013-05-08
6506/3-1	68.000000	CROMER KNOLL GP	GROUP	2001-08-19	23	4344	2013-05-08
6506/3-1	59.000000	LANGE FM	FORMATION	2001-08-19	94	4344	2013-05-08
6506/3-1	9.000000	LYSING FM	FORMATION	2001-08-19	99	4344	2013-05-08
7122/7-2	3.000000	ADVENTDALEN GP	GROUP	2001-10-19	1	4391	2013-05-08
7122/7-2	3.000000	FUGLEN FM	FORMATION	2001-10-19	47	4391	2013-05-08
7122/7-2	77.000000	KAPP TOSCANA GP	GROUP	2001-10-19	79	4391	2013-05-08
7122/7-2	77.000000	TUBÅEN FM	FORMATION	2001-10-19	174	4391	2013-05-08
30/6-27	27.000000	STATFJORD FM	FORMATION	2001-10-30	157	4425	2013-05-08
30/6-27	27.000000	NO GROUP DEFINED	GROUP	2001-10-30	208	4425	2013-05-08
6507/5-5	81.000000	FANGST GP	GROUP	2002-02-14	38	4428	2013-05-08
6507/5-5	68.000000	GARN FM	FORMATION	2002-02-14	48	4428	2013-05-08
6507/5-5	13.000000	NOT FM	FORMATION	2002-02-14	120	4428	2013-05-08
6608/10-8	50.000000	BÅT GP	GROUP	2002-04-12	22	4439	2013-05-08
6608/10-8	20.000000	FANGST GP	GROUP	2002-04-12	38	4439	2013-05-08
6608/10-8	2.000000	ILE FM	FORMATION	2002-04-12	70	4439	2013-05-08
6608/10-8	25.000000	INTRA MELKE FM SS	FORMATION	2002-04-12	104	4439	2013-05-08
6608/10-8	18.000000	NOT FM	FORMATION	2002-04-12	120	4439	2013-05-08
6608/10-8	11.000000	TILJE FM	FORMATION	2002-04-12	169	4439	2013-05-08
6608/10-8	25.000000	VIKING GP	GROUP	2002-04-12	188	4439	2013-05-08
6608/10-8	39.000000	ÅRE FM	FORMATION	2002-04-12	197	4439	2013-05-08
6305/4-1	18.000000	BRYGGE FM	FORMATION	2002-06-03	18	4441	2013-05-08
6305/4-1	48.000000	EGGA FM (INFORMAL)	FORMATION	2002-06-03	31	4441	2013-05-08
6305/4-1	18.000000	HORDALAND GP	GROUP	2002-06-03	67	4441	2013-05-08
6305/4-1	48.000000	ROGALAND GP	GROUP	2002-06-03	131	4441	2013-05-08
6406/5-1	25.000000	BÅT GP	GROUP	2002-04-30	22	4451	2013-05-08
6406/5-1	73.000000	FANGST GP	GROUP	2002-04-30	38	4451	2013-05-08
6406/5-1	24.000000	GARN FM	FORMATION	2002-04-30	48	4451	2013-05-08
6406/5-1	49.000000	ILE FM	FORMATION	2002-04-30	70	4451	2013-05-08
6406/5-1	25.000000	TOFTE FM	FORMATION	2002-04-30	170	4451	2013-05-08
30/9-20 S	58.000000	BRENT GP	GROUP	2002-02-11	16	4463	2013-05-08
30/9-20 S	15.000000	INTRA HEATHER FM SS	FORMATION	2002-02-11	59	4463	2013-05-08
30/9-20 S	58.000000	TARBERT FM	FORMATION	2002-02-11	162	4463	2013-05-08
30/9-20 S	15.000000	VIKING GP	GROUP	2002-02-11	188	4463	2013-05-08
16/7-8 S	3.000000	HUGIN FM	FORMATION	2003-01-19	69	4612	2013-05-08
16/7-8 S	3.000000	VESTLAND GP	GROUP	2003-01-19	186	4612	2013-05-08
6608/11-3	6.000000	GREY BEDS (INFORMAL)	GROUP	2002-12-15	52	4630	2013-05-08
1/9-7	31.000000	EKOFISK FM	FORMATION	2003-08-02	33	4652	2013-05-08
1/9-7	31.000000	SHETLAND GP	GROUP	2003-08-02	143	4652	2013-05-08
6608/10-9	33.000000	INTRA MELKE FM SS	FORMATION	2003-02-18	104	4668	2013-05-08
6608/10-9	33.000000	VIKING GP	GROUP	2003-02-18	188	4668	2013-05-08
6706/6-1	7.000000	NO FORMAL NAME	FORMATION	2003-06-17	111	4705	2013-05-08
6706/6-1	7.000000	ROGALAND GP	GROUP	2003-06-17	131	4705	2013-05-08
16/1-6 S	4.000000	HEIMDAL FM	FORMATION	2003-06-07	62	4711	2013-05-08
16/1-6 S	23.000000	LISTA FM	FORMATION	2003-06-07	95	4711	2013-05-08
16/1-6 S	27.000000	ROGALAND GP	GROUP	2003-06-07	131	4711	2013-05-08
25/4-7	52.000000	HEIMDAL FM	FORMATION	2003-04-17	62	4716	2013-05-08
25/4-7	52.000000	ROGALAND GP	GROUP	2003-04-17	131	4716	2013-05-08
24/6-4	54.000000	HEIMDAL FM	FORMATION	2003-06-02	62	4745	2013-05-08
24/6-4	54.000000	ROGALAND GP	GROUP	2003-06-02	131	4745	2013-05-08
6405/7-1	31.000000	CROMER KNOLL GP	GROUP	2003-10-10	23	4749	2013-05-08
6405/7-1	31.000000	LYSING FM	FORMATION	2003-10-10	99	4749	2013-05-08
6405/7-1	90.000000	NISE FM	FORMATION	2003-10-10	112	4749	2013-05-08
6405/7-1	93.000000	SHETLAND GP	GROUP	2003-10-10	143	4749	2013-05-08
6405/7-1	3.000000	SPRINGAR FM	FORMATION	2003-10-10	156	4749	2013-05-08
35/8-5 S	38.000000	BRENT GP	GROUP	2003-07-20	16	4761	2013-05-08
35/8-5 S	40.000000	INTRA HEATHER FM SS	FORMATION	2003-07-20	59	4761	2013-05-08
35/8-5 S	21.000000	HEATHER FM	FORMATION	2003-07-20	60	4761	2013-05-08
35/8-5 S	1.000000	NESS FM	FORMATION	2003-07-20	110	4761	2013-05-08
35/8-5 S	37.000000	TARBERT FM	FORMATION	2003-07-20	162	4761	2013-05-08
35/8-5 S	61.000000	VIKING GP	GROUP	2003-07-20	188	4761	2013-05-08
25/4-8	23.000000	HEIMDAL FM	FORMATION	2003-06-22	62	4765	2013-05-08
25/4-8	29.000000	LISTA FM	FORMATION	2003-06-22	95	4765	2013-05-08
25/4-8	52.000000	ROGALAND GP	GROUP	2003-06-22	131	4765	2013-05-08
34/10-48 S	33.000000	BRENT GP	GROUP	2004-12-22	16	4902	2013-05-08
34/10-48 S	33.000000	TARBERT FM	FORMATION	2004-12-22	162	4902	2013-05-08
6507/3-4	89.000000	FANGST GP	GROUP	2004-04-30	38	4905	2013-05-08
6507/3-4	10.000000	GARN FM	FORMATION	2004-04-30	48	4905	2013-05-08
6507/3-4	33.000000	ILE FM	FORMATION	2004-04-30	70	4905	2013-05-08
6507/3-4	46.000000	NOT FM	FORMATION	2004-04-30	120	4905	2013-05-08
24/9-7	85.000000	HORDALAND GP	GROUP	2004-03-25	67	4910	2013-05-08
24/9-7	85.000000	NO FORMAL NAME	FORMATION	2004-03-25	111	4910	2013-05-08
24/9-7 B	56.000000	HORDALAND GP	GROUP	2004-04-02	67	4926	2013-05-08
24/9-7 B	56.000000	NO FORMAL NAME	FORMATION	2004-04-02	111	4926	2013-05-08
6406/9-1	55.000000	BÅT GP	GROUP	2005-06-02	22	4927	2013-05-08
6406/9-1	41.000000	FANGST GP	GROUP	2005-06-02	38	4927	2013-05-08
6406/9-1	41.000000	ILE FM	FORMATION	2005-06-02	70	4927	2013-05-08
6406/9-1	28.000000	ROR FM	FORMATION	2005-06-02	135	4927	2013-05-08
6406/9-1	26.000000	TOFTE FM	FORMATION	2005-06-02	170	4927	2013-05-08
6608/11-4	44.000000	BÅT GP	GROUP	2004-05-23	22	4939	2013-05-08
6608/11-4	6.000000	TILJE FM	FORMATION	2004-05-23	169	4939	2013-05-08
6608/11-4	39.000000	ÅRE FM	FORMATION	2004-05-23	197	4939	2013-05-08
30/11-6 S	103.000000	BRENT GP	GROUP	2004-07-02	16	4950	2013-05-08
30/11-6 S	103.000000	TARBERT FM	FORMATION	2004-07-02	162	4950	2013-05-08
6605/8-1	9.000000	CROMER KNOLL GP	GROUP	2005-10-22	23	4984	2013-05-08
6605/8-1	9.000000	LYSING FM	FORMATION	2005-10-22	99	4984	2013-05-08
7220/6-1	55.000000	GIPSDALEN GP	GROUP	2005-03-29	51	5039	2013-05-08
7220/6-1	55.000000	ØRN FM	FORMATION	2005-03-29	195	5039	2013-05-08
35/11-13	34.000000	INTRA HEATHER FM SS	FORMATION	2005-05-28	59	5063	2013-05-08
35/11-13	34.000000	VIKING GP	GROUP	2005-05-28	188	5063	2013-05-08
6302/6-1	15.000000	NO FORMAL NAME	FORMATION	2005-10-04	111	5086	2013-05-08
6302/6-1	15.000000	ROGALAND GP	GROUP	2005-10-04	131	5086	2013-05-08
7131/4-1	29.000000	FRUHOLMEN FM	FORMATION	2005-05-13	46	5093	2013-05-08
7131/4-1	77.000000	KAPP TOSCANA GP	GROUP	2005-05-13	79	5093	2013-05-08
7131/4-1	48.000000	SNADD FM	FORMATION	2005-05-13	150	5093	2013-05-08
9/4-5	19.000000	ROTLIEGEND GP	GROUP	2006-08-01	136	5134	2013-05-08
15/3-8	159.000000	INTRA DRAUPNE FM SS	FORMATION	2006-04-11	26	5175	2013-05-08
15/3-8	159.000000	VIKING GP	GROUP	2006-04-11	188	5175	2013-05-08
1/2-2	45.000000	FORTIES FM	FORMATION	2006-02-02	44	5192	2013-05-08
1/2-2	45.000000	ROGALAND GP	GROUP	2006-02-02	131	5192	2013-05-08
7122/7-3	4.000000	ADVENTDALEN GP	GROUP	2006-01-08	1	5214	2013-05-08
7122/7-3	4.000000	FUGLEN FM	FORMATION	2006-01-08	47	5214	2013-05-08
7122/7-3	2.000000	HAVERT FM	FORMATION	2006-01-08	58	5214	2013-05-08
7122/7-3	31.000000	KAPP TOSCANA GP	GROUP	2006-01-08	79	5214	2013-05-08
7122/7-3	22.000000	KOBBE FM	FORMATION	2006-01-08	83	5214	2013-05-08
7122/7-3	23.000000	SASSENDALEN GP	GROUP	2006-01-08	140	5214	2013-05-08
7122/7-3	2.000000	SNADD FM	FORMATION	2006-01-08	150	5214	2013-05-08
7122/7-3	29.000000	TUBÅEN FM	FORMATION	2006-01-08	174	5214	2013-05-08
6506/11-8	108.000000	FANGST GP	GROUP	2006-07-16	38	5295	2013-05-08
6506/11-8	76.000000	GARN FM	FORMATION	2006-07-16	48	5295	2013-05-08
6506/11-8	32.000000	ILE FM	FORMATION	2006-07-16	70	5295	2013-05-08
6403/6-1	26.000000	NISE FM	FORMATION	2006-07-23	112	5296	2013-05-08
6403/6-1	26.000000	SHETLAND GP	GROUP	2006-07-23	143	5296	2013-05-08
6507/3-5 S	37.000000	BÅT GP	GROUP	2008-05-08	22	5307	2013-05-08
6507/3-5 S	53.000000	FANGST GP	GROUP	2008-05-08	38	5307	2013-05-08
6507/3-5 S	12.000000	GARN FM	FORMATION	2008-05-08	48	5307	2013-05-08
6507/3-5 S	1.000000	MELKE FM	FORMATION	2008-05-08	105	5307	2013-05-08
6507/3-5 S	41.000000	NOT FM	FORMATION	2008-05-08	120	5307	2013-05-08
6507/3-5 S	37.000000	TILJE FM	FORMATION	2008-05-08	169	5307	2013-05-08
6507/3-5 S	1.000000	VIKING GP	GROUP	2008-05-08	188	5307	2013-05-08
6608/11-5	13.000000	BÅT GP	GROUP	2006-07-14	22	5316	2013-05-08
6608/11-5	13.000000	ÅRE FM	FORMATION	2006-07-14	197	5316	2013-05-08
7122/6-2	55.000000	KAPP TOSCANA GP	GROUP	2006-09-19	79	5327	2013-05-08
7122/6-2	55.000000	SNADD FM	FORMATION	2006-09-19	150	5327	2013-05-08
35/11-14 S	53.000000	INTRA HEATHER FM SS	FORMATION	2006-12-07	59	5365	2013-05-08
35/11-14 S	53.000000	VIKING GP	GROUP	2006-12-07	188	5365	2013-05-08
7122/7-4 S	32.000000	FRUHOLMEN FM	FORMATION	2006-11-25	46	5406	2013-05-08
7122/7-4 S	32.000000	KAPP TOSCANA GP	GROUP	2006-11-25	79	5406	2013-05-08
7122/7-4 S	11.000000	KLAPPMYSS FM	FORMATION	2006-11-25	80	5406	2013-05-08
7122/7-4 S	26.000000	KOBBE FM	FORMATION	2006-11-25	83	5406	2013-05-08
7122/7-4 S	37.000000	SASSENDALEN GP	GROUP	2006-11-25	140	5406	2013-05-08
7122/7-4 S	0.000000	SNADD FM	FORMATION	2006-11-25	150	5406	2013-05-08
7122/7-5	11.000000	KOBBE FM	FORMATION	2006-12-23	83	5439	2013-05-08
7122/7-5	11.000000	SASSENDALEN GP	GROUP	2006-12-23	140	5439	2013-05-08
16/4-4	26.000000	ROGALAND GP	GROUP	2007-03-23	131	5441	2013-05-08
16/4-4	26.000000	TY FM	FORMATION	2007-03-23	176	5441	2013-05-08
7125/4-1	24.000000	FRUHOLMEN FM	FORMATION	2007-03-07	46	5450	2013-05-08
7125/4-1	24.000000	KAPP TOSCANA GP	GROUP	2007-03-07	79	5450	2013-05-08
6406/9-2	64.000000	BÅT GP	GROUP	2007-07-01	22	5454	2013-05-08
6406/9-2	28.000000	FANGST GP	GROUP	2007-07-01	38	5454	2013-05-08
6406/9-2	28.000000	ILE FM	FORMATION	2007-07-01	70	5454	2013-05-08
6406/9-2	1.000000	ROR FM	FORMATION	2007-07-01	135	5454	2013-05-08
6406/9-2	63.000000	TILJE FM	FORMATION	2007-07-01	169	5454	2013-05-08
7/11-11 S	109.000000	ULA FM	FORMATION	2007-06-10	179	5474	2013-05-08
7/11-11 S	109.000000	VESTLAND GP	GROUP	2007-06-10	186	5474	2013-05-08
15/6-9 S	33.000000	HUGIN FM	FORMATION	2007-05-27	69	5494	2013-05-08
15/6-9 S	17.000000	SLEIPNER FM	FORMATION	2007-05-27	148	5494	2013-05-08
15/6-9 S	49.000000	VESTLAND GP	GROUP	2007-05-27	186	5494	2013-05-08
35/11-15 S	50.000000	INTRA HEATHER FM SS	FORMATION	2007-06-28	59	5517	2013-05-08
35/11-15 S	2.000000	HEATHER FM	FORMATION	2007-06-28	60	5517	2013-05-08
35/11-15 S	52.000000	VIKING GP	GROUP	2007-06-28	188	5517	2013-05-08
6407/7-7 S	136.000000	BÅT GP	GROUP	2007-09-20	22	5550	2013-05-08
6407/7-7 S	27.000000	FANGST GP	GROUP	2007-09-20	38	5550	2013-05-08
6407/7-7 S	27.000000	ILE FM	FORMATION	2007-09-20	70	5550	2013-05-08
6407/7-7 S	133.000000	TILJE FM	FORMATION	2007-09-20	169	5550	2013-05-08
6407/7-7 S	3.000000	ÅRE FM	FORMATION	2007-09-20	197	5550	2013-05-08
16/2-3	1.000000	EKOFISK FM	FORMATION	2007-09-28	33	5551	2013-05-08
16/2-3	39.000000	HOD FM	FORMATION	2007-09-28	66	5551	2013-05-08
16/2-3	0.000000	LISTA FM	FORMATION	2007-09-28	95	5551	2013-05-08
16/2-3	0.000000	ROGALAND GP	GROUP	2007-09-28	131	5551	2013-05-08
16/2-3	144.000000	SHETLAND GP	GROUP	2007-09-28	143	5551	2013-05-08
16/2-3	105.000000	TOR FM	FORMATION	2007-09-28	171	5551	2013-05-08
6507/11-8	67.000000	FANGST GP	GROUP	2007-07-03	38	5562	2013-05-08
6507/11-8	19.000000	GARN FM	FORMATION	2007-07-03	48	5562	2013-05-08
6507/11-8	44.000000	ILE FM	FORMATION	2007-07-03	70	5562	2013-05-08
6507/11-8	4.000000	NOT FM	FORMATION	2007-07-03	120	5562	2013-05-08
6405/10-1	31.000000	NISE FM	FORMATION	2007-09-07	112	5565	2013-05-08
6405/10-1	31.000000	SHETLAND GP	GROUP	2007-09-07	143	5565	2013-05-08
16/1-8	14.000000	NO GROUP DEFINED	GROUP	2007-11-13	208	5612	2013-05-08
1/3-10	46.000000	FORTIES FM	FORMATION	2008-01-07	44	5614	2013-05-08
1/3-10	4.000000	LISTA FM	FORMATION	2008-01-07	95	5614	2013-05-08
1/3-10	73.000000	ROGALAND GP	GROUP	2008-01-07	131	5614	2013-05-08
1/3-10	23.000000	SELE FM	FORMATION	2008-01-07	142	5614	2013-05-08
16/2-4	2.000000	BASEMENT	GROUP	2007-12-15	10	5625	2013-05-08
16/2-4	2.000000	EKOFISK FM	FORMATION	2007-12-15	33	5625	2013-05-08
16/2-4	14.000000	HOD FM	FORMATION	2007-12-15	66	5625	2013-05-08
16/2-4	2.000000	LISTA FM	FORMATION	2007-12-15	95	5625	2013-05-08
16/2-4	3.000000	ROGALAND GP	GROUP	2007-12-15	131	5625	2013-05-08
16/2-4	107.000000	SHETLAND GP	GROUP	2007-12-15	143	5625	2013-05-08
16/2-4	92.000000	TOR FM	FORMATION	2007-12-15	171	5625	2013-05-08
16/2-4	1.000000	VÅLE FM	FORMATION	2007-12-15	190	5625	2013-05-08
6407/6-6	52.000000	FANGST GP	GROUP	2008-02-05	38	5636	2013-05-08
6407/6-6	26.000000	GARN FM	FORMATION	2008-02-05	48	5636	2013-05-08
6407/6-6	26.000000	ILE FM	FORMATION	2008-02-05	70	5636	2013-05-08
25/11-25 S	0.000000	BALDER FM	FORMATION	2008-02-15	6	5642	2013-05-08
25/11-25 S	17.000000	INTRA BALDER FM SS	FORMATION	2008-02-15	7	5642	2013-05-08
25/11-25 S	17.000000	ROGALAND GP	GROUP	2008-02-15	131	5642	2013-05-08
7/4-2	4.000000	FARSUND FM	FORMATION	2008-03-13	39	5683	2013-05-08
7/4-2	20.000000	SKAGERRAK FM	FORMATION	2008-03-13	146	5683	2013-05-08
7/4-2	0.000000	SMITH BANK FM	FORMATION	2008-03-13	149	5683	2013-05-08
7/4-2	4.000000	TYNE GP	GROUP	2008-03-13	177	5683	2013-05-08
7/4-2	18.000000	ULA FM	FORMATION	2008-03-13	179	5683	2013-05-08
7/4-2	18.000000	VESTLAND GP	GROUP	2008-03-13	186	5683	2013-05-08
7/4-2	21.000000	NO GROUP DEFINED	GROUP	2008-03-13	208	5683	2013-05-08
6507/2-4	28.000000	CROMER KNOLL GP	GROUP	2008-02-19	23	5685	2013-05-08
6507/2-4	17.000000	LYSING FM	FORMATION	2008-02-19	99	5685	2013-05-08
6507/2-4	11.000000	NO FORMAL NAME	FORMATION	2008-02-19	111	5685	2013-05-08
15/12-19	156.000000	SKAGERRAK FM	FORMATION	2008-05-20	146	5705	2013-05-08
15/12-19	156.000000	NO GROUP DEFINED	GROUP	2008-05-20	208	5705	2013-05-08
7222/6-1 S	22.000000	KAPP TOSCANA GP	GROUP	2008-03-10	79	5755	2013-05-08
7222/6-1 S	11.000000	KOBBE FM	FORMATION	2008-03-10	83	5755	2013-05-08
7222/6-1 S	11.000000	SASSENDALEN GP	GROUP	2008-03-10	140	5755	2013-05-08
7222/6-1 S	22.000000	SNADD FM	FORMATION	2008-03-10	150	5755	2013-05-08
6507/11-9	20.000000	FANGST GP	GROUP	2008-04-18	38	5766	2013-05-08
6507/11-9	16.000000	GARN FM	FORMATION	2008-04-18	48	5766	2013-05-08
6507/11-9	4.000000	NOT FM	FORMATION	2008-04-18	120	5766	2013-05-08
16/1-9	9.000000	SLEIPNER FM	FORMATION	2008-04-22	148	5773	2013-05-08
16/1-9	9.000000	VESTLAND GP	GROUP	2008-04-22	186	5773	2013-05-08
7123/4-1 S	47.000000	KAPP TOSCANA GP	GROUP	2008-04-21	79	5786	2013-05-08
7123/4-1 S	47.000000	SNADD FM	FORMATION	2008-04-21	150	5786	2013-05-08
30/9-21 A	27.000000	INTRA HEATHER FM SS	FORMATION	2008-06-15	59	5805	2013-05-08
30/9-21 A	45.000000	HEATHER FM	FORMATION	2008-06-15	60	5805	2013-05-08
30/9-21 A	71.000000	VIKING GP	GROUP	2008-06-15	188	5805	2013-05-08
1/3-11	29.000000	ANDREW FM	FORMATION	2008-08-30	5	5806	2013-05-08
1/3-11	29.000000	FORTIES FM	FORMATION	2008-08-30	44	5806	2013-05-08
1/3-11	12.000000	LISTA FM	FORMATION	2008-08-30	95	5806	2013-05-08
1/3-11	94.000000	ROGALAND GP	GROUP	2008-08-30	131	5806	2013-05-08
1/3-11	24.000000	SELE FM	FORMATION	2008-08-30	142	5806	2013-05-08
7226/2-1	2.000000	FRUHOLMEN FM	FORMATION	2008-07-19	46	5807	2013-05-08
7226/2-1	101.000000	KAPP TOSCANA GP	GROUP	2008-07-19	79	5807	2013-05-08
7226/2-1	4.000000	KLAPPMYSS FM	FORMATION	2008-07-19	80	5807	2013-05-08
7226/2-1	4.000000	KOBBE FM	FORMATION	2008-07-19	83	5807	2013-05-08
7226/2-1	8.000000	SASSENDALEN GP	GROUP	2008-07-19	140	5807	2013-05-08
7226/2-1	53.000000	SNADD FM	FORMATION	2008-07-19	150	5807	2013-05-08
7226/2-1	45.000000	TUBÅEN FM	FORMATION	2008-07-19	174	5807	2013-05-08
7123/4-1 A	27.000000	KAPP TOSCANA GP	GROUP	2008-05-14	79	5808	2013-05-08
7123/4-1 A	27.000000	SNADD FM	FORMATION	2008-05-14	150	5808	2013-05-08
34/3-1 S	61.000000	COOK FM	FORMATION	2008-09-10	24	5811	2013-05-08
34/3-1 S	61.000000	DUNLIN GP	GROUP	2008-09-10	29	5811	2013-05-08
6605/8-2	48.000000	CROMER KNOLL GP	GROUP	2008-07-10	23	5812	2013-05-08
6605/8-2	48.000000	LYSING FM	FORMATION	2008-07-10	99	5812	2013-05-08
6407/8-4 S	54.000000	FANGST GP	GROUP	2008-05-21	38	5813	2013-05-08
6407/8-4 S	27.000000	GARN FM	FORMATION	2008-05-21	48	5813	2013-05-08
6407/8-4 S	26.000000	ILE FM	FORMATION	2008-05-21	70	5813	2013-05-08
15/12-20 S	24.000000	SKAGERRAK FM	FORMATION	2008-07-01	146	5824	2013-05-08
15/12-20 S	57.000000	SLEIPNER FM	FORMATION	2008-07-01	148	5824	2013-05-08
15/12-20 S	57.000000	VESTLAND GP	GROUP	2008-07-01	186	5824	2013-05-08
15/12-20 S	24.000000	NO GROUP DEFINED	GROUP	2008-07-01	208	5824	2013-05-08
7224/6-1	34.000000	KAPP TOSCANA GP	GROUP	2008-08-21	79	5835	2013-05-08
7224/6-1	34.000000	TUBÅEN FM	FORMATION	2008-08-21	174	5835	2013-05-08
15/5-7	93.000000	HUGIN FM	FORMATION	2008-09-07	69	5842	2013-05-08
15/5-7	21.000000	SLEIPNER FM	FORMATION	2008-09-07	148	5842	2013-05-08
15/5-7	114.000000	VESTLAND GP	GROUP	2008-09-07	186	5842	2013-05-08
6407/7-8	145.000000	BÅT GP	GROUP	2008-09-14	22	5844	2013-05-08
6407/7-8	11.000000	FANGST GP	GROUP	2008-09-14	38	5844	2013-05-08
6407/7-8	11.000000	ILE FM	FORMATION	2008-09-14	70	5844	2013-05-08
6407/7-8	27.000000	ROR FM	FORMATION	2008-09-14	135	5844	2013-05-08
6407/7-8	118.000000	TILJE FM	FORMATION	2008-09-14	169	5844	2013-05-08
6706/12-1	27.000000	KVITNOS FM	FORMATION	2008-08-28	91	5867	2013-05-08
6706/12-1	84.000000	NISE FM	FORMATION	2008-08-28	112	5867	2013-05-08
6706/12-1	111.000000	SHETLAND GP	GROUP	2008-08-28	143	5867	2013-05-08
16/1-10	8.000000	CROMER KNOLL GP	GROUP	2009-02-05	23	5879	2013-05-08
16/1-10	22.000000	EKOFISK FM	FORMATION	2009-02-05	33	5879	2013-05-08
16/1-10	22.000000	SHETLAND GP	GROUP	2009-02-05	143	5879	2013-05-08
16/1-10	85.000000	NO GROUP DEFINED	GROUP	2009-02-05	208	5879	2013-05-08
7222/11-1	42.000000	KAPP TOSCANA GP	GROUP	2008-11-04	79	5916	2013-05-08
7222/11-1	34.000000	KOBBE FM	FORMATION	2008-11-04	83	5916	2013-05-08
7222/11-1	34.000000	SASSENDALEN GP	GROUP	2008-11-04	140	5916	2013-05-08
7222/11-1	42.000000	SNADD FM	FORMATION	2008-11-04	150	5916	2013-05-08
34/7-33	53.000000	LISTA FM	FORMATION	2008-10-15	95	5917	2013-05-08
34/7-33	53.000000	ROGALAND GP	GROUP	2008-10-15	131	5917	2013-05-08
6707/10-2 S	146.000000	NISE FM	FORMATION	2008-10-13	112	5918	2013-05-08
6707/10-2 S	146.000000	SHETLAND GP	GROUP	2008-10-13	143	5918	2013-05-08
30/11-7	15.000000	BRENT GP	GROUP	2009-02-03	16	5919	2013-05-08
30/11-7	15.000000	NESS FM	FORMATION	2009-02-03	110	5919	2013-05-08
6707/10-2 A	54.000000	KVITNOS FM	FORMATION	2008-12-01	91	5931	2013-05-08
6707/10-2 A	54.000000	SHETLAND GP	GROUP	2008-12-01	143	5931	2013-05-08
3/7-7	54.000000	FARSUND FM	FORMATION	2008-10-27	39	5932	2013-05-08
3/7-7	54.000000	TYNE GP	GROUP	2008-10-27	177	5932	2013-05-08
34/8-14 S	55.000000	BRENT GP	GROUP	2008-10-21	16	5943	2013-05-08
34/8-14 S	5.000000	NESS FM	FORMATION	2008-10-21	110	5943	2013-05-08
34/8-14 S	50.000000	TARBERT FM	FORMATION	2008-10-21	162	5943	2013-05-08
6608/10-12	92.000000	BÅT GP	GROUP	2008-12-21	22	5949	2013-05-08
6608/10-12	92.000000	ÅRE FM	FORMATION	2008-12-21	197	5949	2013-05-08
34/8-14 A	57.000000	BRENT GP	GROUP	2008-12-01	16	5954	2013-05-08
34/8-14 A	22.000000	NESS FM	FORMATION	2008-12-01	110	5954	2013-05-08
34/8-14 A	35.000000	TARBERT FM	FORMATION	2008-12-01	162	5954	2013-05-08
7223/5-1	14.000000	KAPP TOSCANA GP	GROUP	2009-01-14	79	5960	2013-05-08
7223/5-1	13.000000	KOBBE FM	FORMATION	2009-01-14	83	5960	2013-05-08
7223/5-1	13.000000	SASSENDALEN GP	GROUP	2009-01-14	140	5960	2013-05-08
7223/5-1	14.000000	SNADD FM	FORMATION	2009-01-14	150	5960	2013-05-08
34/7-34	29.000000	STATFJORD FM	FORMATION	2009-03-10	157	5973	2013-05-08
34/7-34	29.000000	NO GROUP DEFINED	GROUP	2009-03-10	208	5973	2013-05-08
30/8-4 S	75.000000	BRENT GP	GROUP	2009-02-04	16	5974	2013-05-08
2/1-13 S	27.000000	BRYNE FM	FORMATION	2009-03-07	19	5975	2013-05-08
2/1-13 S	27.000000	VESTLAND GP	GROUP	2009-03-07	186	5975	2013-05-08
6605/1-1	24.000000	NO FORMAL NAME	FORMATION	2009-02-03	111	5979	2013-05-08
6605/1-1	24.000000	SHETLAND GP	GROUP	2009-02-03	143	5979	2013-05-08
6506/9-1	166.000000	BÅT GP	GROUP	2009-09-15	22	5980	2013-05-08
6506/9-1	64.000000	FANGST GP	GROUP	2009-09-15	38	5980	2013-05-08
6506/9-1	59.000000	ILE FM	FORMATION	2009-09-15	70	5980	2013-05-08
6506/9-1	5.000000	NOT FM	FORMATION	2009-09-15	120	5980	2013-05-08
6506/9-1	125.000000	TILJE FM	FORMATION	2009-09-15	169	5980	2013-05-08
6506/9-1	42.000000	ÅRE FM	FORMATION	2009-09-15	197	5980	2013-05-08
6603/12-1	18.000000	NO FORMAL NAME	FORMATION	2009-06-20	111	5985	2013-05-08
6603/12-1	18.000000	SHETLAND GP	GROUP	2009-06-20	143	5985	2013-05-08
34/8-13 A	29.000000	BRENT GP	GROUP	2009-05-13	16	6024	2013-05-08
34/8-13 A	3.000000	NESS FM	FORMATION	2009-05-13	110	6024	2013-05-08
34/8-13 A	26.000000	TARBERT FM	FORMATION	2009-05-13	162	6024	2013-05-08
34/8-13 S	46.000000	BRENT GP	GROUP	2009-06-26	16	6025	2013-05-08
34/8-13 S	7.000000	ETIVE FM	FORMATION	2009-06-26	35	6025	2013-05-08
34/8-13 S	37.000000	NESS FM	FORMATION	2009-06-26	110	6025	2013-05-08
34/8-13 S	1.000000	TARBERT FM	FORMATION	2009-06-26	162	6025	2013-05-08
30/9-22	83.000000	BRENT GP	GROUP	2009-03-10	16	6034	2013-05-08
30/9-22	26.000000	HEATHER FM	FORMATION	2009-03-10	60	6034	2013-05-08
30/9-22	83.000000	TARBERT FM	FORMATION	2009-03-10	162	6034	2013-05-08
30/9-22	26.000000	VIKING GP	GROUP	2009-03-10	188	6034	2013-05-08
16/2-5	97.000000	NO FORMAL NAME	FORMATION	2009-05-13	111	6042	2013-05-08
16/2-5	97.000000	NO GROUP DEFINED	GROUP	2009-05-13	208	6042	2013-05-08
30/5-3 S	84.000000	HEGRE GP	GROUP	2009-04-12	61	6043	2013-05-08
30/5-3 S	29.000000	LOMVI FM	FORMATION	2009-04-12	96	6043	2013-05-08
30/5-3 S	55.000000	LUNDE FM	FORMATION	2009-04-12	97	6043	2013-05-08
6705/10-1	101.000000	SHETLAND GP	GROUP	2009-03-19	143	6044	2013-05-08
6705/10-1	101.000000	SPRINGAR FM	FORMATION	2009-03-19	156	6044	2013-05-08
15/12-21	5.000000	HUGIN FM	FORMATION	2009-05-21	69	6047	2013-05-08
15/12-21	45.000000	SKAGERRAK FM	FORMATION	2009-05-21	146	6047	2013-05-08
15/12-21	38.000000	SLEIPNER FM	FORMATION	2009-05-21	148	6047	2013-05-08
15/12-21	43.000000	VESTLAND GP	GROUP	2009-05-21	186	6047	2013-05-08
15/12-21	45.000000	NO GROUP DEFINED	GROUP	2009-05-21	208	6047	2013-05-08
30/11-7 A	86.000000	BRENT GP	GROUP	2009-05-25	16	6085	2013-05-08
30/11-7 A	86.000000	TARBERT FM	FORMATION	2009-05-25	162	6085	2013-05-08
35/12-2	1.000000	FENSFJORD FM	FORMATION	2009-07-15	40	6095	2013-05-08
35/12-2	70.000000	HEATHER FM	FORMATION	2009-07-15	60	6095	2013-05-08
35/12-2	54.000000	SOGNEFJORD FM	FORMATION	2009-07-15	151	6095	2013-05-08
35/12-2	125.000000	VIKING GP	GROUP	2009-07-15	188	6095	2013-05-08
6407/6-7 S	1.000000	FANGST GP	GROUP	2009-05-27	38	6100	2013-05-08
6407/6-7 S	1.000000	GARN FM	FORMATION	2009-05-27	48	6100	2013-05-08
6407/6-7 S	9.000000	ROGN FM	FORMATION	2009-05-27	134	6100	2013-05-08
6407/6-7 S	12.000000	SPEKK FM	FORMATION	2009-05-27	155	6100	2013-05-08
6407/6-7 S	21.000000	VIKING GP	GROUP	2009-05-27	188	6100	2013-05-08
6507/3-7	14.000000	BÅT GP	GROUP	2009-07-22	22	6123	2013-05-08
6507/3-7	93.000000	FANGST GP	GROUP	2009-07-22	38	6123	2013-05-08
6507/3-7	34.000000	GARN FM	FORMATION	2009-07-22	48	6123	2013-05-08
6507/3-7	17.000000	ILE FM	FORMATION	2009-07-22	70	6123	2013-05-08
6507/3-7	42.000000	NOT FM	FORMATION	2009-07-22	120	6123	2013-05-08
6507/3-7	14.000000	ROR FM	FORMATION	2009-07-22	135	6123	2013-05-08
17/12-4	9.000000	BOKNFJORD GP	GROUP	2009-07-10	15	6137	2013-05-08
17/12-4	52.000000	BRYNE FM	FORMATION	2009-07-10	19	6137	2013-05-08
17/12-4	9.000000	EGERSUND FM	FORMATION	2009-07-10	30	6137	2013-05-08
17/12-4	21.000000	SANDNES FM	FORMATION	2009-07-10	139	6137	2013-05-08
17/12-4	73.000000	VESTLAND GP	GROUP	2009-07-10	186	6137	2013-05-08
6506/12-12 S	35.000000	CROMER KNOLL GP	GROUP	2009-08-06	23	6144	2013-05-08
6506/12-12 S	35.000000	NO FORMAL NAME	FORMATION	2009-08-06	111	6144	2013-05-08
6407/2-5 S	82.000000	FANGST GP	GROUP	2009-09-02	38	6151	2013-05-08
6407/2-5 S	28.000000	GARN FM	FORMATION	2009-09-02	48	6151	2013-05-08
6407/2-5 S	55.000000	ILE FM	FORMATION	2009-09-02	70	6151	2013-05-08
35/3-7 S	51.000000	AGAT FM	FORMATION	2009-10-01	2	6154	2013-05-08
35/3-7 S	51.000000	CROMER KNOLL GP	GROUP	2009-10-01	23	6154	2013-05-08
16/1-11	121.000000	SKAGERRAK FM	FORMATION	2010-04-26	146	6157	2013-05-08
16/1-11	15.000000	SLEIPNER FM	FORMATION	2010-04-26	148	6157	2013-05-08
16/1-11	15.000000	VESTLAND GP	GROUP	2010-04-26	186	6157	2013-05-08
16/1-11	121.000000	NO GROUP DEFINED	GROUP	2010-04-26	208	6157	2013-05-08
16/1-12	23.000000	BASEMENT	GROUP	2009-09-08	10	6166	2013-05-08
16/1-12	10.000000	CROMER KNOLL GP	GROUP	2009-09-08	23	6166	2013-05-08
16/1-12	1.000000	DRAUPNE FM	FORMATION	2009-09-08	28	6166	2013-05-08
16/1-12	1.000000	EKOFISK FM	FORMATION	2009-09-08	33	6166	2013-05-08
16/1-12	14.000000	HOD FM	FORMATION	2009-09-08	66	6166	2013-05-08
16/1-12	37.000000	SHETLAND GP	GROUP	2009-09-08	143	6166	2013-05-08
16/1-12	7.000000	SOLA FM	FORMATION	2009-09-08	152	6166	2013-05-08
16/1-12	22.000000	TOR FM	FORMATION	2009-09-08	171	6166	2013-05-08
16/1-12	1.000000	VIKING GP	GROUP	2009-09-08	188	6166	2013-05-08
16/1-12	3.000000	ÅSGARD FM	FORMATION	2009-09-08	198	6166	2013-05-08
6407/12-2	14.000000	ROGALAND GP	GROUP	2009-12-20	131	6191	2013-05-08
6407/12-2	14.000000	TARE FM	FORMATION	2009-12-20	163	6191	2013-05-08
6506/12-12 A	50.000000	BÅT GP	GROUP	2009-09-02	22	6208	2013-05-08
6506/12-12 A	31.000000	ROR FM	FORMATION	2009-09-02	135	6208	2013-05-08
6506/12-12 A	19.000000	TILJE FM	FORMATION	2009-09-02	169	6208	2013-05-08
25/2-17	58.000000	FRIGG FM	FORMATION	2009-10-11	45	6215	2013-05-08
25/2-17	58.000000	HORDALAND GP	GROUP	2009-10-11	67	6215	2013-05-08
16/4-5	27.000000	BASEMENT	GROUP	2010-03-07	10	6216	2013-05-08
16/4-5	2.000000	CROMER KNOLL GP	GROUP	2010-03-07	23	6216	2013-05-08
24/9-9 S	54.000000	HERMOD FM	FORMATION	2009-10-07	64	6222	2013-05-08
24/9-9 S	54.000000	ROGALAND GP	GROUP	2009-10-07	131	6222	2013-05-08
16/1-13	2.000000	CROMER KNOLL GP	GROUP	2010-01-21	23	6232	2013-05-08
16/1-13	1.000000	INTRA DRAUPNE FM SS	FORMATION	2010-01-21	26	6232	2013-05-08
16/1-13	0.000000	EKOFISK FM	FORMATION	2010-01-21	33	6232	2013-05-08
16/1-13	41.000000	HEGRE GP	GROUP	2010-01-21	61	6232	2013-05-08
16/1-13	1.000000	HOD FM	FORMATION	2010-01-21	66	6232	2013-05-08
16/1-13	1.000000	SHETLAND GP	GROUP	2010-01-21	143	6232	2013-05-08
16/1-13	1.000000	VIKING GP	GROUP	2010-01-21	188	6232	2013-05-08
16/1-13	38.000000	UNDEFINED GP	GROUP	2010-01-21	191	6232	2013-05-08
16/1-13	2.000000	ÅSGARD FM	FORMATION	2010-01-21	198	6232	2013-05-08
34/3-2 S	27.000000	COOK FM	FORMATION	2009-12-30	24	6249	2013-05-08
34/3-2 S	27.000000	DUNLIN GP	GROUP	2009-12-30	29	6249	2013-05-08
6507/3-8	55.000000	BÅT GP	GROUP	2009-12-15	22	6258	2013-05-08
6507/3-8	65.000000	FANGST GP	GROUP	2009-12-15	38	6258	2013-05-08
6507/3-8	45.000000	ILE FM	FORMATION	2009-12-15	70	6258	2013-05-08
6507/3-8	20.000000	NOT FM	FORMATION	2009-12-15	120	6258	2013-05-08
6507/3-8	0.000000	TILJE FM	FORMATION	2009-12-15	169	6258	2013-05-08
6507/3-8	55.000000	TOFTE FM	FORMATION	2009-12-15	170	6258	2013-05-08
1/3-12 S	8.000000	SKAGERRAK FM	FORMATION	2010-07-22	146	6260	2013-05-08
1/3-12 S	8.000000	NO GROUP DEFINED	GROUP	2010-07-22	208	6260	2013-05-08
34/4-12 S	52.000000	HEGRE GP	GROUP	2010-01-25	61	6283	2013-05-08
34/4-12 S	52.000000	LUNDE FM	FORMATION	2010-01-25	97	6283	2013-05-08
6608/10-14 S	173.000000	BÅT GP	GROUP	2010-04-01	22	6306	2013-05-08
6608/10-14 S	8.000000	FANGST GP	GROUP	2010-04-01	38	6306	2013-05-08
6608/10-14 S	8.000000	ILE FM	FORMATION	2010-04-01	70	6306	2013-05-08
6608/10-14 S	27.000000	INTRA MELKE FM SS	FORMATION	2010-04-01	104	6306	2013-05-08
6608/10-14 S	35.000000	TOFTE FM	FORMATION	2010-04-01	170	6306	2013-05-08
6608/10-14 S	27.000000	VIKING GP	GROUP	2010-04-01	188	6306	2013-05-08
6608/10-14 S	138.000000	ÅRE FM	FORMATION	2010-04-01	197	6306	2013-05-08
34/5-1 S	48.000000	COOK FM	FORMATION	2010-03-13	24	6307	2013-05-08
34/5-1 S	48.000000	DUNLIN GP	GROUP	2010-03-13	29	6307	2013-05-08
34/4-12 A	54.000000	HEGRE GP	GROUP	2010-02-18	61	6316	2013-05-08
34/4-12 A	54.000000	LUNDE FM	FORMATION	2010-02-18	97	6316	2013-05-08
6507/5-6 S	19.000000	NISE FM	FORMATION	2010-06-08	112	6321	2013-05-08
6507/5-6 S	19.000000	SHETLAND GP	GROUP	2010-06-08	143	6321	2013-05-08
15/12-23	104.000000	SKAGERRAK FM	FORMATION	2010-05-29	146	6327	2013-05-08
15/12-23	5.000000	SLEIPNER FM	FORMATION	2010-05-29	148	6327	2013-05-08
15/12-23	5.000000	VESTLAND GP	GROUP	2010-05-29	186	6327	2013-05-08
15/12-23	104.000000	NO GROUP DEFINED	GROUP	2010-05-29	208	6327	2013-05-08
6506/9-2 S	0.000000	BÅT GP	GROUP	2010-04-28	22	6332	2013-05-08
6506/9-2 S	82.000000	FANGST GP	GROUP	2010-04-28	38	6332	2013-05-08
6506/9-2 S	27.000000	GARN FM	FORMATION	2010-04-28	48	6332	2013-05-08
6506/9-2 S	55.000000	ILE FM	FORMATION	2010-04-28	70	6332	2013-05-08
6506/9-2 S	0.000000	ROR FM	FORMATION	2010-04-28	135	6332	2013-05-08
6406/3-8	83.000000	FANGST GP	GROUP	2010-08-10	38	6350	2013-05-08
6406/3-8	83.000000	GARN FM	FORMATION	2010-08-10	48	6350	2013-05-08
6407/2-6 S	110.000000	BÅT GP	GROUP	2010-05-13	22	6351	2013-05-08
6407/2-6 S	110.000000	TILJE FM	FORMATION	2010-05-13	169	6351	2013-05-08
15/3-9	23.000000	DRAUPNE FM	FORMATION	2010-08-13	28	6354	2013-05-08
15/3-9	32.000000	HUGIN FM	FORMATION	2010-08-13	69	6354	2013-05-08
15/3-9	32.000000	VESTLAND GP	GROUP	2010-08-13	186	6354	2013-05-08
15/3-9	23.000000	VIKING GP	GROUP	2010-08-13	188	6354	2013-05-08
6604/10-1	44.000000	NO FORMAL NAME	FORMATION	2010-09-03	111	6356	2013-05-08
6604/10-1	54.000000	SHETLAND GP	GROUP	2010-09-03	143	6356	2013-05-08
6604/10-1	10.000000	SPRINGAR FM	FORMATION	2010-09-03	156	6356	2013-05-08
6507/7-14 S	55.000000	FANGST GP	GROUP	2010-09-26	38	6367	2013-05-08
6507/7-14 S	55.000000	GARN FM	FORMATION	2010-09-26	48	6367	2013-05-08
16/2-6	3.000000	INTRA DRAUPNE FM SS	FORMATION	2010-09-20	26	6374	2013-05-08
16/2-6	4.000000	DRAUPNE FM	FORMATION	2010-09-20	28	6374	2013-05-08
16/2-6	3.000000	SKAGERRAK FM	FORMATION	2010-09-20	146	6374	2013-05-08
16/2-6	12.000000	VESTLAND GP	GROUP	2010-09-20	186	6374	2013-05-08
16/2-6	7.000000	VIKING GP	GROUP	2010-09-20	188	6374	2013-05-08
16/2-6	3.000000	NO GROUP DEFINED	GROUP	2010-09-20	208	6374	2013-05-08
16/1-14	19.000000	DRAUPNE FM	FORMATION	2010-11-30	28	6399	2013-05-08
16/1-14	75.000000	HEATHER FM	FORMATION	2010-11-30	60	6399	2013-05-08
16/1-14	94.000000	VIKING GP	GROUP	2010-11-30	188	6399	2013-05-08
15/12-23 A	18.000000	HUGIN FM	FORMATION	2010-07-18	69	6404	2013-05-08
15/12-23 A	108.000000	SLEIPNER FM	FORMATION	2010-07-18	148	6404	2013-05-08
15/12-23 A	126.000000	VESTLAND GP	GROUP	2010-07-18	186	6404	2013-05-08
25/5-7	22.000000	BRENT GP	GROUP	2010-10-23	16	6423	2013-05-08
25/5-7	32.000000	DUNLIN GP	GROUP	2010-10-23	29	6423	2013-05-08
35/9-6 S	61.000000	BRENT GP	GROUP	2010-12-07	16	6429	2013-05-08
35/9-6 S	12.000000	COOK FM	FORMATION	2010-12-07	24	6429	2013-05-08
35/9-6 S	7.000000	DRAKE FM	FORMATION	2010-12-07	27	6429	2013-05-08
35/9-6 S	21.000000	DUNLIN GP	GROUP	2010-12-07	29	6429	2013-05-08
35/9-6 S	50.000000	HEATHER FM	FORMATION	2010-12-07	60	6429	2013-05-08
35/9-6 S	35.000000	RANNOCH FM	FORMATION	2010-12-07	126	6429	2013-05-08
35/9-6 S	2.000000	STATFJORD FM	FORMATION	2010-12-07	157	6429	2013-05-08
35/9-6 S	26.000000	TARBERT FM	FORMATION	2010-12-07	162	6429	2013-05-08
35/9-6 S	50.000000	VIKING GP	GROUP	2010-12-07	188	6429	2013-05-08
6305/4-2 S	19.000000	EGGA FM (INFORMAL)	FORMATION	2011-02-11	31	6441	2013-05-08
6305/4-2 S	19.000000	ROGALAND GP	GROUP	2011-02-11	131	6441	2013-05-08
6305/4-2 S	24.000000	SHETLAND GP	GROUP	2011-02-11	143	6441	2013-05-08
6305/4-2 S	24.000000	SPRINGAR FM	FORMATION	2011-02-11	156	6441	2013-05-08
34/4-13 S	58.000000	BRENT GP	GROUP	2011-01-02	16	6442	2013-05-08
34/4-13 S	11.000000	HEGRE GP	GROUP	2011-01-02	61	6442	2013-05-08
34/4-13 S	11.000000	LUNDE FM	FORMATION	2011-01-02	97	6442	2013-05-08
34/4-13 S	58.000000	STATFJORD FM	FORMATION	2011-01-02	157	6442	2013-05-08
7220/8-1	110.000000	KAPP TOSCANA GP	GROUP	2011-05-02	79	6484	2013-05-08
7220/8-1	50.000000	NORDMELA FM	FORMATION	2011-05-02	118	6484	2013-05-08
7220/8-1	60.000000	STØ FM	FORMATION	2011-05-02	159	6484	2013-05-08
35/12-3 S	6.000000	HEATHER FM	FORMATION	2011-02-16	60	6516	2013-05-08
35/12-3 S	32.000000	SOGNEFJORD FM	FORMATION	2011-02-16	151	6516	2013-05-08
35/12-3 S	38.000000	VIKING GP	GROUP	2011-02-16	188	6516	2013-05-08
16/1-15	47.000000	BASEMENT	GROUP	2011-04-05	10	6517	2013-05-08
16/1-15	5.000000	CROMER KNOLL GP	GROUP	2011-04-05	23	6517	2013-05-08
16/1-15	0.000000	HOD FM	FORMATION	2011-04-05	66	6517	2013-05-08
16/1-15	0.000000	SHETLAND GP	GROUP	2011-04-05	143	6517	2013-05-08
16/1-15	2.000000	ÅSGARD FM	FORMATION	2011-04-05	198	6517	2013-05-08
16/1-15	3.000000	INTRA ÅSGARD FM SS	FORMATION	2011-04-05	210	6517	2013-05-08
15/6-11 A	33.000000	HUGIN FM	FORMATION	2011-03-13	69	6526	2013-05-08
15/6-11 A	33.000000	VESTLAND GP	GROUP	2011-03-13	186	6526	2013-05-08
24/9-10 S	54.000000	HERMOD FM	FORMATION	2011-02-02	64	6531	2013-05-08
24/9-10 S	54.000000	ROGALAND GP	GROUP	2011-02-02	131	6531	2013-05-08
6407/4-2	54.000000	FANGST GP	GROUP	2011-04-13	38	6557	2013-05-08
6407/4-2	54.000000	GARN FM	FORMATION	2011-04-13	48	6557	2013-05-08
6406/3-9	51.000000	CROMER KNOLL GP	GROUP	2012-03-26	23	6594	2013-05-08
6406/3-9	3.000000	LANGE FM	FORMATION	2012-03-26	94	6594	2013-05-08
6406/3-9	48.000000	NO FORMAL NAME	FORMATION	2012-03-26	111	6594	2013-05-08
6507/6-4 A	28.000000	NO GROUP DEFINED	GROUP	2012-01-29	208	6753	2013-05-08
\.



COPY tuf_operator_hst (tufname, cmplongname, tufoperdatevalidfrom, tufoperdatevalidto, tufnpdidtuf, cmpnpdidcompany, datesyncnpd) FROM stdin;
STATPIPE	GASSCO AS	2003-01-01	9999-12-31	123940	1944954	2013-05-08
NORPIPE OLJELEDNING	Phillips Petroleum Company Norway	1973-05-04	2003-05-05	124133	694	2013-05-08
NORPIPE OLJELEDNING	ConocoPhillips Skandinavia AS	2003-05-06	9999-12-31	124133	2410696	2013-05-08
NORPIPE GASSLEDNING	GASSCO AS	2003-01-01	9999-12-31	124165	1944954	2013-05-08
OSEBERG GASSTRANSPORT	GASSCO AS	2003-01-01	9999-12-31	124170	1944954	2013-05-08
TROLL OLJERØR I	Den norske stats oljeselskap a.s	1993-12-06	2001-05-10	124187	749	2013-05-08
TROLL OLJERØR I	Statoil ASA (old)	2001-05-10	2007-09-30	124187	1622484	2013-05-08
TROLL OLJERØR I	StatoilHydro ASA	2007-10-01	2009-10-31	124187	4511854	2013-05-08
TROLL OLJERØR I	Statoil Petroleum AS	2009-11-01	9999-12-31	124187	17237817	2013-05-08
TROLL OLJERØR II	Statoil ASA (old)	2001-05-10	2007-09-30	124194	1622484	2013-05-08
TROLL OLJERØR II	StatoilHydro ASA	2007-10-01	2009-10-31	124194	4511854	2013-05-08
TROLL OLJERØR II	Statoil Petroleum AS	2009-11-01	9999-12-31	124194	17237817	2013-05-08
FRANPIPE	GASSCO AS	2003-01-01	9999-12-31	124202	1944954	2013-05-08
ÅSGARD TRANSPORT	GASSCO AS	2003-01-01	9999-12-31	124211	1944954	2013-05-08
ZEEPIPE	GASSCO AS	2003-01-01	9999-12-31	124227	1944954	2013-05-08
ZEEPIPE I	Den norske stats oljeselskap a.s	1988-06-21	2001-05-10	124235	749	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2001-05-10	2001-12-31	124235	1622484	2013-05-08
ZEEPIPE I	GASSCO AS	2002-01-01	2002-12-31	124235	1944954	2013-05-08
ZEEPIPE I	GASSCO AS	2003-01-01	9999-12-31	124235	1944954	2013-05-08
ZEEPIPE IIA	Den norske stats oljeselskap a.s	1992-07-03	2001-05-10	124244	749	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2001-05-10	2001-12-31	124244	1622484	2013-05-08
ZEEPIPE IIA	GASSCO AS	2002-01-01	2002-12-31	124244	1944954	2013-05-08
ZEEPIPE IIA	GASSCO AS	2003-01-01	9999-12-31	124244	1944954	2013-05-08
ZEEPIPE IIB	Den norske stats oljeselskap a.s	1995-01-27	2001-05-10	124253	749	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2001-05-10	2001-12-31	124253	1622484	2013-05-08
ZEEPIPE IIB	GASSCO AS	2002-01-01	2002-12-31	124253	1944954	2013-05-08
ZEEPIPE IIB	GASSCO AS	2003-01-01	9999-12-31	124253	1944954	2013-05-08
EUROPIPE I	Den norske stats oljeselskap a.s	1992-12-11	2001-05-10	124262	749	2013-05-08
EUROPIPE I	Statoil ASA (old)	2001-05-10	2001-12-31	124262	1622484	2013-05-08
EUROPIPE I	GASSCO AS	2002-01-01	2002-12-31	124262	1944954	2013-05-08
EUROPIPE I	GASSCO AS	2003-01-01	9999-12-31	124262	1944954	2013-05-08
VESTERLED	GASSCO AS	2003-01-01	9999-12-31	124280	1944954	2013-05-08
ULA OLJETRANSPORT	Den norske stats oljeselskap a.s	1984-10-30	1999-12-31	124285	749	2013-05-08
ULA OLJETRANSPORT	BP Amoco Norge AS	2000-01-01	2002-03-11	124285	982372	2013-05-08
ULA OLJETRANSPORT	BP Norge AS	2002-03-12	9999-12-31	124285	2052695	2013-05-08
HALTENPIPE	Den norske stats oljeselskap a.s	1992-02-04	2001-05-10	124293	749	2013-05-08
HALTENPIPE	Statoil ASA (old)	2001-05-10	2001-12-31	124293	1622484	2013-05-08
HALTENPIPE	GASSCO AS	2002-01-01	9999-12-31	124293	1944954	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	1984-11-28	2006-12-31	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	124301	4511658	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	124301	4524355	2013-05-08
OSEBERG TRANSPORTSYSTEM	Statoil Petroleum AS	2009-11-01	9999-12-31	124301	17237817	2013-05-08
DUNKERQUE TERMINAL	Den norske stats oljeselskap a.s	1995-08-15	2001-05-10	124316	749	2013-05-08
DUNKERQUE TERMINAL	Statoil ASA (old)	2001-05-10	2001-12-31	124316	1622484	2013-05-08
DUNKERQUE TERMINAL	GASSCO AS	2002-01-01	9999-12-31	124316	1944954	2013-05-08
SLEIPNER KONDENSATRØR	Den norske stats oljeselskap a.s	1989-11-30	2001-05-10	124340	749	2013-05-08
SLEIPNER KONDENSATRØR	Statoil ASA (old)	2001-05-10	2007-09-30	124340	1622484	2013-05-08
SLEIPNER KONDENSATRØR	StatoilHydro ASA	2007-10-01	2009-10-31	124340	4511854	2013-05-08
SLEIPNER KONDENSATRØR	Statoil Petroleum AS	2009-11-01	9999-12-31	124340	17237817	2013-05-08
KOLLSNES GASSANLEGG	GASSCO AS	2003-01-01	9999-12-31	124354	1944954	2013-05-08
MONGSTAD TERMINAL	Statoil ASA (old)	1999-01-01	2007-09-30	124360	1622484	2013-05-08
MONGSTAD TERMINAL	StatoilHydro ASA	2007-10-01	2009-10-31	124360	4511854	2013-05-08
MONGSTAD TERMINAL	Statoil Petroleum AS	2009-11-01	9999-12-31	124360	17237817	2013-05-08
MELKØYA LANDANLEGG	Statoil ASA (old)	2002-03-07	2007-09-30	124383	1622484	2013-05-08
MELKØYA LANDANLEGG	StatoilHydro ASA	2007-10-01	2009-10-31	124383	4511854	2013-05-08
MELKØYA LANDANLEGG	Statoil Petroleum AS	2009-11-01	9999-12-31	124383	17237817	2013-05-08
KVITEBJØRN OLJERØR	Statoil ASA (old)	2002-05-08	2007-09-30	917586	1622484	2013-05-08
KVITEBJØRN OLJERØR	StatoilHydro ASA	2007-10-01	2009-10-31	917586	4511854	2013-05-08
KVITEBJØRN OLJERØR	Statoil Petroleum AS	2009-11-01	9999-12-31	917586	17237817	2013-05-08
DRAUGEN GASSEKSPORT	A/S Norske Shell	2000-04-14	9999-12-31	1035952	562	2013-05-08
HEIDRUN GASSTRANSPORT	Den norske stats oljeselskap a.s	2000-04-14	2001-05-10	1035969	749	2013-05-08
HEIDRUN GASSTRANSPORT	Statoil ASA (old)	2001-05-10	2007-09-30	1035969	1622484	2013-05-08
HEIDRUN GASSTRANSPORT	StatoilHydro ASA	2007-10-01	2009-10-31	1035969	4511854	2013-05-08
HEIDRUN GASSTRANSPORT	Statoil Petroleum AS	2009-11-01	9999-12-31	1035969	17237817	2013-05-08
NORNE GASSTRANSPORT	GASSCO AS	2003-01-01	9999-12-31	1035984	1944954	2013-05-08
GRANE OLJERØR	Norsk Hydro Produksjon AS	2000-07-06	2006-12-31	1036198	430	2013-05-08
GRANE OLJERØR	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	1036198	4511658	2013-05-08
GRANE OLJERØR	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	1036198	4524355	2013-05-08
GRANE OLJERØR	Statoil Petroleum AS	2009-11-01	9999-12-31	1036198	17237817	2013-05-08
GRANE GASSRØR	Norsk Hydro Produksjon AS	2000-07-06	2006-12-31	1036213	430	2013-05-08
GRANE GASSRØR	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	1036213	4511658	2013-05-08
GRANE GASSRØR	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	1036213	4524355	2013-05-08
GRANE GASSRØR	Statoil Petroleum AS	2009-11-01	9999-12-31	1036213	17237817	2013-05-08
KRISTIN GASSRØR	Statoil ASA (old)	2001-12-17	2007-09-30	1854814	1622484	2013-05-08
KRISTIN GASSRØR	StatoilHydro ASA	2007-10-01	2009-10-31	1854814	4511854	2013-05-08
KRISTIN GASSRØR	Statoil Petroleum AS	2009-11-01	9999-12-31	1854814	17237817	2013-05-08
KRISTIN KONDENSATRØR	Statoil ASA (old)	2001-12-17	2007-09-30	1854834	1622484	2013-05-08
KRISTIN KONDENSATRØR	StatoilHydro ASA	2007-10-01	2009-10-31	1854834	4511854	2013-05-08
KRISTIN KONDENSATRØR	Statoil Petroleum AS	2009-11-01	9999-12-31	1854834	17237817	2013-05-08
GASSLED	GASSCO AS	2003-01-01	9999-12-31	2252643	1944954	2013-05-08
KVITEBJØRN GASSRØR	GASSCO AS	2003-01-01	9999-12-31	2417249	1944954	2013-05-08
LANGELED	GASSCO AS	2003-01-01	9999-12-31	2450169	1944954	2013-05-08
EUROPIPE II	GASSCO AS	2003-01-01	9999-12-31	2454909	1944954	2013-05-08
NYHAMNA LANDANLEGG	Norsk Hydro Produksjon AS	2003-12-03	2006-12-31	2455217	430	2013-05-08
NYHAMNA LANDANLEGG	A/S Norske Shell	2007-12-01	9999-12-31	2455217	562	2013-05-08
NYHAMNA LANDANLEGG	StatoilHydro Petroleum AS	2007-10-01	2007-11-30	2455217	4511658	2013-05-08
NYHAMNA LANDANLEGG	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	2455217	4524355	2013-05-08
TAMPEN LINK	GASSCO AS	2003-01-01	9999-12-31	3113815	1944954	2013-05-08
NJORD GASSTRANSPORT	Norsk Hydro Produksjon AS	2005-01-21	2006-12-31	3113920	430	2013-05-08
NJORD GASSTRANSPORT	StatoilHydro Petroleum AS	2007-10-01	2009-10-31	3113920	4511658	2013-05-08
NJORD GASSTRANSPORT	Norsk Hydro Petroleum AS	2007-01-01	2007-09-30	3113920	4524355	2013-05-08
NJORD GASSTRANSPORT	Statoil Petroleum AS	2009-11-01	9999-12-31	3113920	17237817	2013-05-08
KÅRSTØ GASSANLEGG	GASSCO AS	2003-01-01	9999-12-31	3471786	1944954	2013-05-08
GJØA GASSRØR	GASSCO AS	2003-01-01	9999-12-31	4480765	1944954	2013-05-08
GJØA OLJERØR	Statoil ASA (old)	2007-06-14	2007-09-30	4480786	1622484	2013-05-08
GJØA OLJERØR	StatoilHydro ASA	2007-10-01	2009-10-31	4480786	4511854	2013-05-08
GJØA OLJERØR	GDF SUEZ E&P Norge AS	2010-11-25	9999-12-31	4480786	5267845	2013-05-08
GJØA OLJERØR	Statoil Petroleum AS	2009-11-01	2010-10-24	4480786	17237817	2013-05-08
GUDRUN GASSRØR	Statoil Petroleum AS	2010-09-20	9999-12-31	18451081	17237817	2013-05-08
GUDRUN OLJERØR	Statoil Petroleum AS	2010-09-20	9999-12-31	18451101	17237817	2013-05-08
MARULK GASSRØR	Eni Norge AS	2010-09-20	9999-12-31	18451118	2388594	2013-05-08
VALEMON GASSRØR	Statoil Petroleum AS	2011-06-24	9999-12-31	18451149	17237817	2013-05-08
VALEMON KONDENSATRØR	Statoil Petroleum AS	2011-06-24	9999-12-31	18451188	17237817	2013-05-08
TYRIHANS RØRLEDNING	Statoil ASA (old)	2006-02-23	2007-09-30	21077988	1622484	2013-05-08
TYRIHANS RØRLEDNING	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	21077988	4511658	2013-05-08
TYRIHANS RØRLEDNING	StatoilHydro ASA	2007-10-01	2008-12-31	21077988	4511854	2013-05-08
TYRIHANS RØRLEDNING	Statoil Petroleum AS	2009-11-01	9999-12-31	21077988	17237817	2013-05-08
TYRIHANS GASSRØR	Statoil ASA (old)	2006-02-23	2007-09-30	21078065	1622484	2013-05-08
TYRIHANS GASSRØR	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	21078065	4511658	2013-05-08
TYRIHANS GASSRØR	StatoilHydro ASA	2007-10-01	2008-12-31	21078065	4511854	2013-05-08
TYRIHANS GASSRØR	Statoil Petroleum AS	2009-11-01	9999-12-31	21078065	17237817	2013-05-08
ALVE RØRLEDNING	Statoil ASA (old)	2007-03-16	2007-09-30	21078140	1622484	2013-05-08
ALVE RØRLEDNING	StatoilHydro Petroleum AS	2009-01-01	2009-10-31	21078140	4511658	2013-05-08
ALVE RØRLEDNING	StatoilHydro ASA	2007-10-01	2008-12-31	21078140	4511854	2013-05-08
ALVE RØRLEDNING	Statoil Petroleum AS	2009-11-01	9999-12-31	21078140	17237817	2013-05-08
VOLUND RØRLEDNING	Marathon Petroleum Norge AS	2007-01-18	2011-07-03	21078212	463	2013-05-08
VOLUND RØRLEDNING	Marathon Oil Norge AS	2011-07-04	9999-12-31	21078212	20485291	2013-05-08
ALVHEIM RIKGASSRØR	Marathon Petroleum Norge AS	2004-12-07	2011-07-03	21078235	463	2013-05-08
ALVHEIM RIKGASSRØR	Marathon Oil Norge AS	2011-07-04	9999-12-31	21078235	20485291	2013-05-08
VARG GASSEKSPORT	Talisman Energy Norge AS	2013-04-12	9999-12-31	23296683	2425093	2013-05-08
\.



COPY tuf_owner_hst (tufname, cmplongname, tufownerdatevalidfrom, tufownerdatevalidto, tufownershare, tufnpdidtuf, cmpnpdidcompany, datesyncnpd) FROM stdin;
STATPIPE	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	123940	45	2013-05-08
STATPIPE	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	123940	45	2013-05-08
STATPIPE	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	123940	45	2013-05-08
STATPIPE	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	123940	45	2013-05-08
STATPIPE	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	123940	221	2013-05-08
STATPIPE	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	123940	221	2013-05-08
STATPIPE	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	123940	353	2013-05-08
STATPIPE	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	123940	353	2013-05-08
STATPIPE	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	123940	353	2013-05-08
STATPIPE	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	123940	353	2013-05-08
STATPIPE	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	123940	353	2013-05-08
STATPIPE	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	123940	430	2013-05-08
STATPIPE	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	123940	430	2013-05-08
STATPIPE	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	123940	430	2013-05-08
STATPIPE	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	123940	430	2013-05-08
STATPIPE	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	123940	430	2013-05-08
STATPIPE	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	123940	430	2013-05-08
STATPIPE	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	123940	430	2013-05-08
STATPIPE	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	123940	430	2013-05-08
STATPIPE	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	123940	474	2013-05-08
STATPIPE	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	123940	474	2013-05-08
STATPIPE	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	123940	562	2013-05-08
STATPIPE	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	123940	562	2013-05-08
STATPIPE	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	123940	97557	2013-05-08
STATPIPE	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	123940	97557	2013-05-08
STATPIPE	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	123940	97557	2013-05-08
STATPIPE	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	123940	97557	2013-05-08
STATPIPE	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	123940	97557	2013-05-08
STATPIPE	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	123940	102714	2013-05-08
STATPIPE	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	123940	1025067	2013-05-08
STATPIPE	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	123940	1025067	2013-05-08
STATPIPE	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	123940	1340884	2013-05-08
STATPIPE	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	123940	1340884	2013-05-08
STATPIPE	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	123940	1340884	2013-05-08
STATPIPE	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	123940	1622484	2013-05-08
STATPIPE	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	123940	1622484	2013-05-08
STATPIPE	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	123940	1622484	2013-05-08
STATPIPE	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	123940	1622484	2013-05-08
STATPIPE	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	123940	1622484	2013-05-08
STATPIPE	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	123940	1622484	2013-05-08
STATPIPE	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	123940	1622484	2013-05-08
STATPIPE	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	123940	1622484	2013-05-08
STATPIPE	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	123940	1622484	2013-05-08
STATPIPE	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	123940	1622484	2013-05-08
STATPIPE	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	123940	1622484	2013-05-08
STATPIPE	Petoro AS	2003-01-01	2003-03-04	38.293000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2003-03-04	2003-03-22	38.293000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2003-03-22	2003-05-06	38.293000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2003-05-06	2003-12-31	38.293000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2003-12-31	2004-10-01	38.293000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2004-10-01	2005-10-01	38.293000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2005-10-01	2006-09-01	38.627000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2006-09-01	2007-01-01	38.245000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2007-01-01	2007-01-02	38.245000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2007-01-02	2007-09-01	38.245000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2007-09-01	2007-10-01	37.892000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2007-10-01	2009-01-01	37.892000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2009-01-01	2009-01-02	38.459000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2009-01-02	2009-01-03	38.459000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2009-01-03	2009-01-04	38.459000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2009-01-04	2009-11-01	38.459000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2009-11-01	2010-01-01	38.459000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2010-01-01	2010-06-01	38.459000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2010-06-01	2011-01-01	38.435000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2011-01-01	2011-01-02	45.793000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2011-01-02	2011-01-03	45.793000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2011-01-03	2012-01-01	45.793000	123940	1626839	2013-05-08
STATPIPE	Petoro AS	2012-01-01	9999-12-31	45.793000	123940	1626839	2013-05-08
STATPIPE	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	123940	1853786	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	123940	2066214	2013-05-08
STATPIPE	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	123940	2066214	2013-05-08
STATPIPE	Eni Norge AS	2003-03-04	2003-03-22	0.807000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2003-03-22	2003-05-06	0.807000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2003-05-06	2003-12-31	0.807000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2003-12-31	2004-10-01	1.669000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2004-10-01	2005-10-01	1.669000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2005-10-01	2006-09-01	1.688000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2006-09-01	2007-01-01	1.574000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2007-01-01	2007-01-02	1.574000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2007-01-02	2007-09-01	1.574000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2007-09-01	2007-10-01	1.556000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2007-10-01	2009-01-01	1.556000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2009-01-01	2009-01-02	1.525000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2009-01-02	2009-01-03	1.525000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2009-01-03	2009-01-04	1.525000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2009-01-04	2009-11-01	1.525000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2009-11-01	2010-01-01	1.525000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2010-01-01	2010-06-01	1.525000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2010-06-01	2011-01-01	1.521000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2011-01-01	2011-01-02	1.276000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2011-01-02	2011-01-03	1.276000	123940	2388594	2013-05-08
STATPIPE	Eni Norge AS	2011-01-03	2012-01-01	1.276000	123940	2388594	2013-05-08
STATPIPE	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	123940	2399056	2013-05-08
STATPIPE	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	123940	2399056	2013-05-08
STATPIPE	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	123940	2399056	2013-05-08
STATPIPE	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	123940	2399056	2013-05-08
STATPIPE	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	123940	2399056	2013-05-08
STATPIPE	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	123940	2399056	2013-05-08
STATPIPE	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	123940	2399056	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	123940	2410696	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	123940	2410696	2013-05-08
STATPIPE	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	123940	2410708	2013-05-08
STATPIPE	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	123940	2410708	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	123940	2835212	2013-05-08
STATPIPE	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	123940	2835212	2013-05-08
STATPIPE	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	123940	4070011	2013-05-08
STATPIPE	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	123940	4070011	2013-05-08
STATPIPE	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	123940	4511658	2013-05-08
STATPIPE	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	123940	4511658	2013-05-08
STATPIPE	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	123940	4511658	2013-05-08
STATPIPE	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	123940	4511658	2013-05-08
STATPIPE	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	123940	4511658	2013-05-08
STATPIPE	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	123940	4511854	2013-05-08
STATPIPE	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	123940	4511854	2013-05-08
STATPIPE	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	123940	4511854	2013-05-08
STATPIPE	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	123940	4524355	2013-05-08
STATPIPE	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	123940	4524355	2013-05-08
STATPIPE	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	123940	4524355	2013-05-08
STATPIPE	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	123940	5267845	2013-05-08
STATPIPE	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	123940	5267845	2013-05-08
STATPIPE	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	123940	5267845	2013-05-08
STATPIPE	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	123940	5267845	2013-05-08
STATPIPE	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	123940	5267845	2013-05-08
STATPIPE	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	123940	17237817	2013-05-08
STATPIPE	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	123940	17237817	2013-05-08
STATPIPE	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	123940	17237817	2013-05-08
STATPIPE	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	123940	17237817	2013-05-08
STATPIPE	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	123940	17237817	2013-05-08
STATPIPE	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	123940	17237817	2013-05-08
STATPIPE	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	123940	17237817	2013-05-08
STATPIPE	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	123940	20440816	2013-05-08
STATPIPE	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	123940	20440816	2013-05-08
STATPIPE	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	123940	20440816	2013-05-08
STATPIPE	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	123940	21139140	2013-05-08
STATPIPE	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	123940	21139140	2013-05-08
STATPIPE	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	123940	21139652	2013-05-08
STATPIPE	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	123940	21139652	2013-05-08
STATPIPE	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	123940	21139663	2013-05-08
STATPIPE	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	123940	21139663	2013-05-08
NORPIPE OLJELEDNING	Norpipe Oil AS	1973-05-04	9999-12-31	100.000000	124133	1025030	2013-05-08
NORPIPE GASSLEDNING	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	124165	45	2013-05-08
NORPIPE GASSLEDNING	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	124165	45	2013-05-08
NORPIPE GASSLEDNING	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	124165	45	2013-05-08
NORPIPE GASSLEDNING	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	124165	45	2013-05-08
NORPIPE GASSLEDNING	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	124165	221	2013-05-08
NORPIPE GASSLEDNING	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	124165	221	2013-05-08
NORPIPE GASSLEDNING	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	124165	353	2013-05-08
NORPIPE GASSLEDNING	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	124165	353	2013-05-08
NORPIPE GASSLEDNING	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	124165	353	2013-05-08
NORPIPE GASSLEDNING	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	124165	353	2013-05-08
NORPIPE GASSLEDNING	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	124165	353	2013-05-08
NORPIPE GASSLEDNING	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	124165	430	2013-05-08
NORPIPE GASSLEDNING	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	124165	430	2013-05-08
NORPIPE GASSLEDNING	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	124165	430	2013-05-08
NORPIPE GASSLEDNING	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	124165	430	2013-05-08
NORPIPE GASSLEDNING	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	124165	430	2013-05-08
NORPIPE GASSLEDNING	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	124165	430	2013-05-08
NORPIPE GASSLEDNING	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	124165	430	2013-05-08
NORPIPE GASSLEDNING	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	124165	430	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	124165	474	2013-05-08
NORPIPE GASSLEDNING	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	124165	474	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	124165	562	2013-05-08
NORPIPE GASSLEDNING	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	124165	562	2013-05-08
NORPIPE GASSLEDNING	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	124165	97557	2013-05-08
NORPIPE GASSLEDNING	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	124165	97557	2013-05-08
NORPIPE GASSLEDNING	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	124165	97557	2013-05-08
NORPIPE GASSLEDNING	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	124165	97557	2013-05-08
NORPIPE GASSLEDNING	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	124165	97557	2013-05-08
NORPIPE GASSLEDNING	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	124165	102714	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	124165	1025067	2013-05-08
NORPIPE GASSLEDNING	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	124165	1340884	2013-05-08
NORPIPE GASSLEDNING	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	124165	1340884	2013-05-08
NORPIPE GASSLEDNING	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	124165	1340884	2013-05-08
NORPIPE GASSLEDNING	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	124165	1622484	2013-05-08
NORPIPE GASSLEDNING	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	124165	1622484	2013-05-08
NORPIPE GASSLEDNING	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	124165	1622484	2013-05-08
NORPIPE GASSLEDNING	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	124165	1622484	2013-05-08
NORPIPE GASSLEDNING	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	124165	1622484	2013-05-08
NORPIPE GASSLEDNING	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	124165	1622484	2013-05-08
NORPIPE GASSLEDNING	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	124165	1622484	2013-05-08
NORPIPE GASSLEDNING	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	124165	1622484	2013-05-08
NORPIPE GASSLEDNING	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	124165	1622484	2013-05-08
NORPIPE GASSLEDNING	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	124165	1622484	2013-05-08
NORPIPE GASSLEDNING	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	124165	1622484	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2003-01-01	2003-03-04	38.293000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2003-03-04	2003-03-22	38.293000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2003-03-22	2003-05-06	38.293000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2003-05-06	2003-12-31	38.293000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2003-12-31	2004-10-01	38.293000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2004-10-01	2005-10-01	38.293000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2005-10-01	2006-09-01	38.627000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2006-09-01	2007-01-01	38.245000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2007-01-01	2007-01-02	38.245000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2007-01-02	2007-09-01	38.245000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2007-09-01	2007-10-01	37.892000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2007-10-01	2009-01-01	37.892000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2009-01-01	2009-01-02	38.459000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2009-01-02	2009-01-03	38.459000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2009-01-03	2009-01-04	38.459000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2009-01-04	2009-11-01	38.459000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2009-11-01	2010-01-01	38.459000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2010-01-01	2010-06-01	38.459000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2010-06-01	2011-01-01	38.435000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2011-01-01	2011-01-02	45.793000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2011-01-02	2011-01-03	45.793000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2011-01-03	2012-01-01	45.793000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Petoro AS	2012-01-01	9999-12-31	45.793000	124165	1626839	2013-05-08
NORPIPE GASSLEDNING	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	124165	1853786	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	124165	2066214	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2003-03-04	2003-03-22	0.807000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2003-03-22	2003-05-06	0.807000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2003-05-06	2003-12-31	0.807000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2003-12-31	2004-10-01	1.669000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2004-10-01	2005-10-01	1.669000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2005-10-01	2006-09-01	1.688000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2006-09-01	2007-01-01	1.574000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2007-01-01	2007-01-02	1.574000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2007-01-02	2007-09-01	1.574000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2007-09-01	2007-10-01	1.556000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2007-10-01	2009-01-01	1.556000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2009-01-01	2009-01-02	1.525000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2009-01-02	2009-01-03	1.525000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2009-01-03	2009-01-04	1.525000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2009-01-04	2009-11-01	1.525000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2009-11-01	2010-01-01	1.525000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2010-01-01	2010-06-01	1.525000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2010-06-01	2011-01-01	1.521000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2011-01-01	2011-01-02	1.276000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2011-01-02	2011-01-03	1.276000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Eni Norge AS	2011-01-03	2012-01-01	1.276000	124165	2388594	2013-05-08
NORPIPE GASSLEDNING	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	124165	2399056	2013-05-08
NORPIPE GASSLEDNING	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	124165	2399056	2013-05-08
NORPIPE GASSLEDNING	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	124165	2399056	2013-05-08
NORPIPE GASSLEDNING	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	124165	2399056	2013-05-08
NORPIPE GASSLEDNING	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	124165	2399056	2013-05-08
NORPIPE GASSLEDNING	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	124165	2399056	2013-05-08
NORPIPE GASSLEDNING	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	124165	2399056	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	124165	2410696	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	124165	2410708	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	124165	2835212	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	124165	4070011	2013-05-08
NORPIPE GASSLEDNING	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	124165	4511658	2013-05-08
NORPIPE GASSLEDNING	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	124165	4511658	2013-05-08
NORPIPE GASSLEDNING	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	124165	4511658	2013-05-08
NORPIPE GASSLEDNING	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	124165	4511658	2013-05-08
NORPIPE GASSLEDNING	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	124165	4511658	2013-05-08
NORPIPE GASSLEDNING	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	124165	4511854	2013-05-08
NORPIPE GASSLEDNING	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	124165	4511854	2013-05-08
NORPIPE GASSLEDNING	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	124165	4511854	2013-05-08
NORPIPE GASSLEDNING	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	124165	4524355	2013-05-08
NORPIPE GASSLEDNING	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	124165	4524355	2013-05-08
NORPIPE GASSLEDNING	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	124165	4524355	2013-05-08
NORPIPE GASSLEDNING	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	124165	5267845	2013-05-08
NORPIPE GASSLEDNING	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	124165	5267845	2013-05-08
NORPIPE GASSLEDNING	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	124165	5267845	2013-05-08
NORPIPE GASSLEDNING	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	124165	5267845	2013-05-08
NORPIPE GASSLEDNING	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	124165	5267845	2013-05-08
NORPIPE GASSLEDNING	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	124165	17237817	2013-05-08
NORPIPE GASSLEDNING	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	124165	17237817	2013-05-08
NORPIPE GASSLEDNING	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	124165	17237817	2013-05-08
NORPIPE GASSLEDNING	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	124165	17237817	2013-05-08
NORPIPE GASSLEDNING	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	124165	17237817	2013-05-08
NORPIPE GASSLEDNING	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	124165	17237817	2013-05-08
NORPIPE GASSLEDNING	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	124165	17237817	2013-05-08
NORPIPE GASSLEDNING	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	124165	20440816	2013-05-08
NORPIPE GASSLEDNING	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	124165	20440816	2013-05-08
NORPIPE GASSLEDNING	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	124165	20440816	2013-05-08
NORPIPE GASSLEDNING	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	124165	21139140	2013-05-08
NORPIPE GASSLEDNING	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	124165	21139140	2013-05-08
NORPIPE GASSLEDNING	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	124165	21139652	2013-05-08
NORPIPE GASSLEDNING	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	124165	21139652	2013-05-08
NORPIPE GASSLEDNING	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	124165	21139663	2013-05-08
NORPIPE GASSLEDNING	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	124165	21139663	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	124170	45	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	124170	45	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	124170	45	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	124170	45	2013-05-08
OSEBERG GASSTRANSPORT	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	124170	221	2013-05-08
OSEBERG GASSTRANSPORT	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	124170	221	2013-05-08
OSEBERG GASSTRANSPORT	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	124170	353	2013-05-08
OSEBERG GASSTRANSPORT	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	124170	353	2013-05-08
OSEBERG GASSTRANSPORT	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	124170	353	2013-05-08
OSEBERG GASSTRANSPORT	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	124170	353	2013-05-08
OSEBERG GASSTRANSPORT	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	124170	353	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	124170	430	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	124170	430	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	124170	430	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	124170	430	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	124170	430	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	124170	430	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	124170	430	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	124170	430	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	124170	474	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	124170	562	2013-05-08
OSEBERG GASSTRANSPORT	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	124170	97557	2013-05-08
OSEBERG GASSTRANSPORT	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	124170	97557	2013-05-08
OSEBERG GASSTRANSPORT	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	124170	97557	2013-05-08
OSEBERG GASSTRANSPORT	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	124170	97557	2013-05-08
OSEBERG GASSTRANSPORT	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	124170	97557	2013-05-08
OSEBERG GASSTRANSPORT	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	124170	102714	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	124170	1025067	2013-05-08
OSEBERG GASSTRANSPORT	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	124170	1340884	2013-05-08
OSEBERG GASSTRANSPORT	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	124170	1340884	2013-05-08
OSEBERG GASSTRANSPORT	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	124170	1340884	2013-05-08
OSEBERG GASSTRANSPORT	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	124170	1622484	2013-05-08
OSEBERG GASSTRANSPORT	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	124170	1622484	2013-05-08
OSEBERG GASSTRANSPORT	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	124170	1622484	2013-05-08
OSEBERG GASSTRANSPORT	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	124170	1622484	2013-05-08
OSEBERG GASSTRANSPORT	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	124170	1622484	2013-05-08
OSEBERG GASSTRANSPORT	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	124170	1622484	2013-05-08
OSEBERG GASSTRANSPORT	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	124170	1622484	2013-05-08
OSEBERG GASSTRANSPORT	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	124170	1622484	2013-05-08
OSEBERG GASSTRANSPORT	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	124170	1622484	2013-05-08
OSEBERG GASSTRANSPORT	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	124170	1622484	2013-05-08
OSEBERG GASSTRANSPORT	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	124170	1622484	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2003-01-01	2003-03-04	38.293000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2003-03-04	2003-03-22	38.293000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2003-03-22	2003-05-06	38.293000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2003-05-06	2003-12-31	38.293000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2003-12-31	2004-10-01	38.293000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2004-10-01	2005-10-01	38.293000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2005-10-01	2006-09-01	38.627000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2006-09-01	2007-01-01	38.245000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2007-01-01	2007-01-02	38.245000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2007-01-02	2007-09-01	38.245000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2007-09-01	2007-10-01	37.892000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2007-10-01	2009-01-01	37.892000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2009-01-01	2009-01-02	38.459000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2009-01-02	2009-01-03	38.459000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2009-01-03	2009-01-04	38.459000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2009-01-04	2009-11-01	38.459000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2009-11-01	2010-01-01	38.459000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2010-01-01	2010-06-01	38.459000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2010-06-01	2011-01-01	38.435000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2011-01-01	2011-01-02	45.793000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2011-01-02	2011-01-03	45.793000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2011-01-03	2012-01-01	45.793000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	2012-01-01	9999-12-31	45.793000	124170	1626839	2013-05-08
OSEBERG GASSTRANSPORT	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	124170	1853786	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	124170	2066214	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2003-03-04	2003-03-22	0.807000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2003-03-22	2003-05-06	0.807000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2003-05-06	2003-12-31	0.807000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2003-12-31	2004-10-01	1.669000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2004-10-01	2005-10-01	1.669000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2005-10-01	2006-09-01	1.688000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2006-09-01	2007-01-01	1.574000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2007-01-01	2007-01-02	1.574000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2007-01-02	2007-09-01	1.574000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2007-09-01	2007-10-01	1.556000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2007-10-01	2009-01-01	1.556000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2009-01-01	2009-01-02	1.525000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2009-01-02	2009-01-03	1.525000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2009-01-03	2009-01-04	1.525000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2009-01-04	2009-11-01	1.525000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2009-11-01	2010-01-01	1.525000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2010-01-01	2010-06-01	1.525000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2010-06-01	2011-01-01	1.521000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2011-01-01	2011-01-02	1.276000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2011-01-02	2011-01-03	1.276000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Eni Norge AS	2011-01-03	2012-01-01	1.276000	124170	2388594	2013-05-08
OSEBERG GASSTRANSPORT	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	124170	2399056	2013-05-08
OSEBERG GASSTRANSPORT	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	124170	2399056	2013-05-08
OSEBERG GASSTRANSPORT	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	124170	2399056	2013-05-08
OSEBERG GASSTRANSPORT	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	124170	2399056	2013-05-08
OSEBERG GASSTRANSPORT	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	124170	2399056	2013-05-08
OSEBERG GASSTRANSPORT	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	124170	2399056	2013-05-08
OSEBERG GASSTRANSPORT	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	124170	2399056	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	124170	2410696	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	124170	2410708	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	124170	2835212	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	124170	4070011	2013-05-08
OSEBERG GASSTRANSPORT	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	124170	4511658	2013-05-08
OSEBERG GASSTRANSPORT	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	124170	4511658	2013-05-08
OSEBERG GASSTRANSPORT	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	124170	4511658	2013-05-08
OSEBERG GASSTRANSPORT	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	124170	4511658	2013-05-08
OSEBERG GASSTRANSPORT	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	124170	4511658	2013-05-08
OSEBERG GASSTRANSPORT	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	124170	4511854	2013-05-08
OSEBERG GASSTRANSPORT	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	124170	4511854	2013-05-08
OSEBERG GASSTRANSPORT	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	124170	4511854	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	124170	4524355	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	124170	4524355	2013-05-08
OSEBERG GASSTRANSPORT	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	124170	4524355	2013-05-08
OSEBERG GASSTRANSPORT	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	124170	5267845	2013-05-08
OSEBERG GASSTRANSPORT	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	124170	5267845	2013-05-08
OSEBERG GASSTRANSPORT	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	124170	5267845	2013-05-08
OSEBERG GASSTRANSPORT	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	124170	5267845	2013-05-08
OSEBERG GASSTRANSPORT	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	124170	5267845	2013-05-08
OSEBERG GASSTRANSPORT	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	124170	17237817	2013-05-08
OSEBERG GASSTRANSPORT	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	124170	17237817	2013-05-08
OSEBERG GASSTRANSPORT	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	124170	17237817	2013-05-08
OSEBERG GASSTRANSPORT	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	124170	17237817	2013-05-08
OSEBERG GASSTRANSPORT	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	124170	17237817	2013-05-08
OSEBERG GASSTRANSPORT	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	124170	17237817	2013-05-08
OSEBERG GASSTRANSPORT	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	124170	17237817	2013-05-08
OSEBERG GASSTRANSPORT	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	124170	20440816	2013-05-08
OSEBERG GASSTRANSPORT	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	124170	20440816	2013-05-08
OSEBERG GASSTRANSPORT	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	124170	20440816	2013-05-08
OSEBERG GASSTRANSPORT	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	124170	21139140	2013-05-08
OSEBERG GASSTRANSPORT	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	124170	21139140	2013-05-08
OSEBERG GASSTRANSPORT	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	124170	21139652	2013-05-08
OSEBERG GASSTRANSPORT	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	124170	21139652	2013-05-08
OSEBERG GASSTRANSPORT	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	124170	21139663	2013-05-08
OSEBERG GASSTRANSPORT	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	124170	21139663	2013-05-08
TROLL OLJERØR I	Norske Conoco A/S	1993-12-06	1999-12-11	1.661130	124187	221	2013-05-08
TROLL OLJERØR I	Norske Conoco A/S	1999-12-11	2000-07-24	1.661130	124187	221	2013-05-08
TROLL OLJERØR I	Norske Conoco A/S	2000-07-24	2001-01-11	1.661130	124187	221	2013-05-08
TROLL OLJERØR I	Norske Conoco A/S	2001-01-11	2001-05-10	1.661130	124187	221	2013-05-08
TROLL OLJERØR I	Norske Conoco A/S	2001-05-10	2001-06-01	1.661130	124187	221	2013-05-08
TROLL OLJERØR I	Norske Conoco A/S	2001-06-01	2001-06-17	1.661130	124187	221	2013-05-08
TROLL OLJERØR I	Norske Conoco A/S	2001-06-17	2001-12-18	1.661130	124187	221	2013-05-08
TROLL OLJERØR I	Norske Conoco A/S	2001-12-18	2003-03-22	1.661130	124187	221	2013-05-08
TROLL OLJERØR I	Elf Petroleum Norge AS	1993-12-06	1999-12-11	2.353440	124187	298	2013-05-08
TROLL OLJERØR I	Elf Petroleum Norge AS	1999-12-11	2000-07-24	2.353440	124187	298	2013-05-08
TROLL OLJERØR I	Norsk Hydro Produksjon AS	1993-12-06	1999-12-11	7.688000	124187	430	2013-05-08
TROLL OLJERØR I	Norsk Hydro Produksjon AS	1999-12-11	2000-07-24	7.688000	124187	430	2013-05-08
TROLL OLJERØR I	Norsk Hydro Produksjon AS	2000-07-24	2001-01-11	7.688000	124187	430	2013-05-08
TROLL OLJERØR I	Norsk Hydro Produksjon AS	2001-01-11	2001-05-10	9.728000	124187	430	2013-05-08
TROLL OLJERØR I	Norsk Hydro Produksjon AS	2001-05-10	2001-06-01	9.728000	124187	430	2013-05-08
TROLL OLJERØR I	Norsk Hydro Produksjon AS	2001-06-01	2001-06-17	9.728000	124187	430	2013-05-08
TROLL OLJERØR I	Norsk Hydro Produksjon AS	2001-06-17	2001-12-18	9.728000	124187	430	2013-05-08
TROLL OLJERØR I	Norsk Hydro Produksjon AS	2001-12-18	2003-03-22	9.728000	124187	430	2013-05-08
TROLL OLJERØR I	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	9.728000	124187	430	2013-05-08
TROLL OLJERØR I	Norsk Hydro Produksjon AS	2003-05-06	2007-01-01	9.728000	124187	430	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	1993-12-06	1999-12-11	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	1999-12-11	2000-07-24	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2000-07-24	2001-01-11	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2001-01-11	2001-05-10	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2001-05-10	2001-06-01	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2001-06-01	2001-06-17	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2001-06-17	2001-12-18	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2001-12-18	2003-03-22	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2003-03-22	2003-05-06	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2003-05-06	2007-01-01	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2007-01-01	2007-01-02	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2007-01-02	2007-10-01	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2007-10-01	2009-01-01	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2009-01-01	2009-11-01	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	A/S Norske Shell	2009-11-01	9999-12-31	8.288000	124187	562	2013-05-08
TROLL OLJERØR I	Saga Petroleum ASA	1993-12-06	1999-12-11	4.080000	124187	716	2013-05-08
TROLL OLJERØR I	Saga Petroleum ASA	1999-12-11	2000-07-24	2.040000	124187	716	2013-05-08
TROLL OLJERØR I	Saga Petroleum ASA	2000-07-24	2001-01-11	2.040000	124187	716	2013-05-08
TROLL OLJERØR I	Den norske stats oljeselskap a.s	1993-12-06	1999-12-11	74.576000	124187	749	2013-05-08
TROLL OLJERØR I	Den norske stats oljeselskap a.s	1999-12-11	2000-07-24	76.616000	124187	749	2013-05-08
TROLL OLJERØR I	Den norske stats oljeselskap a.s	2000-07-24	2001-01-11	76.616000	124187	749	2013-05-08
TROLL OLJERØR I	Den norske stats oljeselskap a.s	2001-01-11	2001-05-10	76.616000	124187	749	2013-05-08
TROLL OLJERØR I	Total Norge AS	1993-12-06	1999-12-11	1.353430	124187	848	2013-05-08
TROLL OLJERØR I	Total Norge AS	1999-12-11	2000-07-24	1.353430	124187	848	2013-05-08
TROLL OLJERØR I	Total Norge AS	2000-07-24	2001-01-11	1.353430	124187	848	2013-05-08
TROLL OLJERØR I	Total Norge AS	2001-01-11	2001-05-10	1.353430	124187	848	2013-05-08
TROLL OLJERØR I	Total Norge AS	2001-05-10	2001-06-01	1.353430	124187	848	2013-05-08
TROLL OLJERØR I	Total Norge AS	2001-06-01	2001-06-17	1.353430	124187	848	2013-05-08
TROLL OLJERØR I	Total Norge AS	2001-06-17	2001-12-18	1.353430	124187	848	2013-05-08
TROLL OLJERØR I	TotalFinaElf Exploration Norge AS	2000-07-24	2001-01-11	2.353440	124187	1340884	2013-05-08
TROLL OLJERØR I	TotalFinaElf Exploration Norge AS	2001-01-11	2001-05-10	2.353440	124187	1340884	2013-05-08
TROLL OLJERØR I	TotalFinaElf Exploration Norge AS	2001-05-10	2001-06-01	2.353440	124187	1340884	2013-05-08
TROLL OLJERØR I	TotalFinaElf Exploration Norge AS	2001-06-01	2001-06-17	2.353440	124187	1340884	2013-05-08
TROLL OLJERØR I	TotalFinaElf Exploration Norge AS	2001-06-17	2001-12-18	2.353440	124187	1340884	2013-05-08
TROLL OLJERØR I	TotalFinaElf Exploration Norge AS	2001-12-18	2003-03-22	3.706870	124187	1340884	2013-05-08
TROLL OLJERØR I	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	3.706870	124187	1340884	2013-05-08
TROLL OLJERØR I	Statoil ASA (old)	2001-05-10	2001-06-01	13.920000	124187	1622484	2013-05-08
TROLL OLJERØR I	Statoil ASA (old)	2001-06-01	2001-06-17	20.847920	124187	1622484	2013-05-08
TROLL OLJERØR I	Statoil ASA (old)	2001-06-17	2001-12-18	20.847920	124187	1622484	2013-05-08
TROLL OLJERØR I	Statoil ASA (old)	2001-12-18	2003-03-22	20.847920	124187	1622484	2013-05-08
TROLL OLJERØR I	Statoil ASA (old)	2003-03-22	2003-05-06	20.847920	124187	1622484	2013-05-08
TROLL OLJERØR I	Statoil ASA (old)	2003-05-06	2007-01-01	20.847920	124187	1622484	2013-05-08
TROLL OLJERØR I	Statoil ASA (old)	2007-01-01	2007-01-02	20.847920	124187	1622484	2013-05-08
TROLL OLJERØR I	Statoil ASA (old)	2007-01-02	2007-10-01	20.847920	124187	1622484	2013-05-08
TROLL OLJERØR I	SDØE	2001-05-10	2001-06-01	62.696000	124187	1623450	2013-05-08
TROLL OLJERØR I	SDØE	2001-06-01	2001-06-17	55.768080	124187	1623450	2013-05-08
TROLL OLJERØR I	Petoro AS	2001-06-17	2001-12-18	55.768080	124187	1626839	2013-05-08
TROLL OLJERØR I	Petoro AS	2001-12-18	2003-03-22	55.768080	124187	1626839	2013-05-08
TROLL OLJERØR I	Petoro AS	2003-03-22	2003-05-06	55.768080	124187	1626839	2013-05-08
TROLL OLJERØR I	Petoro AS	2003-05-06	2007-01-01	55.768080	124187	1626839	2013-05-08
TROLL OLJERØR I	Petoro AS	2007-01-01	2007-01-02	55.768080	124187	1626839	2013-05-08
TROLL OLJERØR I	Petoro AS	2007-01-02	2007-10-01	55.768080	124187	1626839	2013-05-08
TROLL OLJERØR I	Petoro AS	2007-10-01	2009-01-01	55.768080	124187	1626839	2013-05-08
TROLL OLJERØR I	Petoro AS	2009-01-01	2009-11-01	55.768080	124187	1626839	2013-05-08
TROLL OLJERØR I	Petoro AS	2009-11-01	9999-12-31	55.768080	124187	1626839	2013-05-08
TROLL OLJERØR I	Norske ConocoPhillips AS	2003-03-22	2003-05-06	1.661130	124187	2399056	2013-05-08
TROLL OLJERØR I	Norske ConocoPhillips AS	2003-05-06	2007-01-01	1.661130	124187	2399056	2013-05-08
TROLL OLJERØR I	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.661130	124187	2399056	2013-05-08
TROLL OLJERØR I	ConocoPhillips Skandinavia AS	2007-01-02	2007-10-01	1.661130	124187	2410696	2013-05-08
TROLL OLJERØR I	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	1.661130	124187	2410696	2013-05-08
TROLL OLJERØR I	ConocoPhillips Skandinavia AS	2009-01-01	2009-11-01	1.661130	124187	2410696	2013-05-08
TROLL OLJERØR I	ConocoPhillips Skandinavia AS	2009-11-01	9999-12-31	1.661130	124187	2410696	2013-05-08
TROLL OLJERØR I	Total E&P Norge AS	2003-05-06	2007-01-01	3.706870	124187	2410708	2013-05-08
TROLL OLJERØR I	Total E&P Norge AS	2007-01-01	2007-01-02	3.706870	124187	2410708	2013-05-08
TROLL OLJERØR I	Total E&P Norge AS	2007-01-02	2007-10-01	3.706870	124187	2410708	2013-05-08
TROLL OLJERØR I	Total E&P Norge AS	2007-10-01	2009-01-01	3.706870	124187	2410708	2013-05-08
TROLL OLJERØR I	Total E&P Norge AS	2009-01-01	2009-11-01	3.706870	124187	2410708	2013-05-08
TROLL OLJERØR I	Total E&P Norge AS	2009-11-01	9999-12-31	3.706870	124187	2410708	2013-05-08
TROLL OLJERØR I	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	9.728000	124187	4511658	2013-05-08
TROLL OLJERØR I	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	30.575920	124187	4511658	2013-05-08
TROLL OLJERØR I	StatoilHydro ASA	2007-10-01	2009-01-01	20.847920	124187	4511854	2013-05-08
TROLL OLJERØR I	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	9.728000	124187	4524355	2013-05-08
TROLL OLJERØR I	Norsk Hydro Petroleum AS	2007-01-02	2007-10-01	9.728000	124187	4524355	2013-05-08
TROLL OLJERØR I	Statoil Petroleum AS	2009-11-01	9999-12-31	30.575920	124187	17237817	2013-05-08
TROLL OLJERØR II	Norske Conoco A/S	1999-12-11	2000-07-24	1.661130	124194	221	2013-05-08
TROLL OLJERØR II	Norske Conoco A/S	2000-07-24	2001-01-11	1.661130	124194	221	2013-05-08
TROLL OLJERØR II	Norske Conoco A/S	2001-01-11	2001-05-10	1.661130	124194	221	2013-05-08
TROLL OLJERØR II	Norske Conoco A/S	2001-05-10	2001-06-01	1.661130	124194	221	2013-05-08
TROLL OLJERØR II	Norske Conoco A/S	2001-06-01	2001-06-17	1.661130	124194	221	2013-05-08
TROLL OLJERØR II	Norske Conoco A/S	2001-06-17	2001-12-18	1.661130	124194	221	2013-05-08
TROLL OLJERØR II	Norske Conoco A/S	2001-12-18	2003-03-22	1.661130	124194	221	2013-05-08
TROLL OLJERØR II	Elf Petroleum Norge AS	1999-12-11	2000-07-24	2.353440	124194	298	2013-05-08
TROLL OLJERØR II	Norsk Hydro Produksjon AS	1999-12-11	2000-07-24	7.688000	124194	430	2013-05-08
TROLL OLJERØR II	Norsk Hydro Produksjon AS	2000-07-24	2001-01-11	7.688000	124194	430	2013-05-08
TROLL OLJERØR II	Norsk Hydro Produksjon AS	2001-01-11	2001-05-10	9.728000	124194	430	2013-05-08
TROLL OLJERØR II	Norsk Hydro Produksjon AS	2001-05-10	2001-06-01	9.728000	124194	430	2013-05-08
TROLL OLJERØR II	Norsk Hydro Produksjon AS	2001-06-01	2001-06-17	9.728000	124194	430	2013-05-08
TROLL OLJERØR II	Norsk Hydro Produksjon AS	2001-06-17	2001-12-18	9.728000	124194	430	2013-05-08
TROLL OLJERØR II	Norsk Hydro Produksjon AS	2001-12-18	2003-03-22	9.728000	124194	430	2013-05-08
TROLL OLJERØR II	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	9.728000	124194	430	2013-05-08
TROLL OLJERØR II	Norsk Hydro Produksjon AS	2003-05-06	2007-01-01	9.728000	124194	430	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	1999-12-11	2000-07-24	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2000-07-24	2001-01-11	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2001-01-11	2001-05-10	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2001-05-10	2001-06-01	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2001-06-01	2001-06-17	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2001-06-17	2001-12-18	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2001-12-18	2003-03-22	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2003-03-22	2003-05-06	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2003-05-06	2007-01-01	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2007-01-01	2007-01-02	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2007-01-02	2007-10-01	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2007-10-01	2009-01-01	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2009-01-01	2009-11-01	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	A/S Norske Shell	2009-11-01	9999-12-31	8.288000	124194	562	2013-05-08
TROLL OLJERØR II	Saga Petroleum ASA	1999-12-11	2000-07-24	2.040000	124194	716	2013-05-08
TROLL OLJERØR II	Saga Petroleum ASA	2000-07-24	2001-01-11	2.040000	124194	716	2013-05-08
TROLL OLJERØR II	Den norske stats oljeselskap a.s	1999-12-11	2000-07-24	76.616000	124194	749	2013-05-08
TROLL OLJERØR II	Den norske stats oljeselskap a.s	2000-07-24	2001-01-11	76.616000	124194	749	2013-05-08
TROLL OLJERØR II	Den norske stats oljeselskap a.s	2001-01-11	2001-05-10	76.616000	124194	749	2013-05-08
TROLL OLJERØR II	Total Norge AS	1999-12-11	2000-07-24	1.353430	124194	848	2013-05-08
TROLL OLJERØR II	Total Norge AS	2000-07-24	2001-01-11	1.353430	124194	848	2013-05-08
TROLL OLJERØR II	Total Norge AS	2001-01-11	2001-05-10	1.353430	124194	848	2013-05-08
TROLL OLJERØR II	Total Norge AS	2001-05-10	2001-06-01	1.353430	124194	848	2013-05-08
TROLL OLJERØR II	Total Norge AS	2001-06-01	2001-06-17	1.353430	124194	848	2013-05-08
TROLL OLJERØR II	Total Norge AS	2001-06-17	2001-12-18	1.353430	124194	848	2013-05-08
TROLL OLJERØR II	TotalFinaElf Exploration Norge AS	2000-07-24	2001-01-11	2.353440	124194	1340884	2013-05-08
TROLL OLJERØR II	TotalFinaElf Exploration Norge AS	2001-01-11	2001-05-10	2.353440	124194	1340884	2013-05-08
TROLL OLJERØR II	TotalFinaElf Exploration Norge AS	2001-05-10	2001-06-01	2.353440	124194	1340884	2013-05-08
TROLL OLJERØR II	TotalFinaElf Exploration Norge AS	2001-06-01	2001-06-17	2.353440	124194	1340884	2013-05-08
TROLL OLJERØR II	TotalFinaElf Exploration Norge AS	2001-06-17	2001-12-18	2.353440	124194	1340884	2013-05-08
TROLL OLJERØR II	TotalFinaElf Exploration Norge AS	2001-12-18	2003-03-22	3.706870	124194	1340884	2013-05-08
TROLL OLJERØR II	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	3.706870	124194	1340884	2013-05-08
TROLL OLJERØR II	Statoil ASA (old)	2001-05-10	2001-06-01	13.920000	124194	1622484	2013-05-08
TROLL OLJERØR II	Statoil ASA (old)	2001-06-01	2001-06-17	20.847920	124194	1622484	2013-05-08
TROLL OLJERØR II	Statoil ASA (old)	2001-06-17	2001-12-18	20.847920	124194	1622484	2013-05-08
TROLL OLJERØR II	Statoil ASA (old)	2001-12-18	2003-03-22	20.847920	124194	1622484	2013-05-08
TROLL OLJERØR II	Statoil ASA (old)	2003-03-22	2003-05-06	20.847920	124194	1622484	2013-05-08
TROLL OLJERØR II	Statoil ASA (old)	2003-05-06	2007-01-01	20.847920	124194	1622484	2013-05-08
TROLL OLJERØR II	Statoil ASA (old)	2007-01-01	2007-01-02	20.847920	124194	1622484	2013-05-08
TROLL OLJERØR II	Statoil ASA (old)	2007-01-02	2007-10-01	20.847920	124194	1622484	2013-05-08
TROLL OLJERØR II	SDØE	2001-05-10	2001-06-01	62.696000	124194	1623450	2013-05-08
TROLL OLJERØR II	SDØE	2001-06-01	2001-06-17	55.768080	124194	1623450	2013-05-08
TROLL OLJERØR II	Petoro AS	2001-06-17	2001-12-18	55.768080	124194	1626839	2013-05-08
TROLL OLJERØR II	Petoro AS	2001-12-18	2003-03-22	55.768080	124194	1626839	2013-05-08
TROLL OLJERØR II	Petoro AS	2003-03-22	2003-05-06	55.768080	124194	1626839	2013-05-08
TROLL OLJERØR II	Petoro AS	2003-05-06	2007-01-01	55.768080	124194	1626839	2013-05-08
TROLL OLJERØR II	Petoro AS	2007-01-01	2007-01-02	55.768080	124194	1626839	2013-05-08
TROLL OLJERØR II	Petoro AS	2007-01-02	2007-10-01	55.768080	124194	1626839	2013-05-08
TROLL OLJERØR II	Petoro AS	2007-10-01	2009-01-01	55.768080	124194	1626839	2013-05-08
TROLL OLJERØR II	Petoro AS	2009-01-01	2009-11-01	55.768080	124194	1626839	2013-05-08
TROLL OLJERØR II	Petoro AS	2009-11-01	9999-12-31	55.768080	124194	1626839	2013-05-08
TROLL OLJERØR II	Norske ConocoPhillips AS	2003-03-22	2003-05-06	1.661130	124194	2399056	2013-05-08
TROLL OLJERØR II	Norske ConocoPhillips AS	2003-05-06	2007-01-01	1.661130	124194	2399056	2013-05-08
TROLL OLJERØR II	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.661130	124194	2399056	2013-05-08
TROLL OLJERØR II	ConocoPhillips Skandinavia AS	2007-01-02	2007-10-01	1.661130	124194	2410696	2013-05-08
TROLL OLJERØR II	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	1.661130	124194	2410696	2013-05-08
TROLL OLJERØR II	ConocoPhillips Skandinavia AS	2009-01-01	2009-11-01	1.661130	124194	2410696	2013-05-08
TROLL OLJERØR II	ConocoPhillips Skandinavia AS	2009-11-01	9999-12-31	1.661130	124194	2410696	2013-05-08
TROLL OLJERØR II	Total E&P Norge AS	2003-05-06	2007-01-01	3.706870	124194	2410708	2013-05-08
TROLL OLJERØR II	Total E&P Norge AS	2007-01-01	2007-01-02	3.706870	124194	2410708	2013-05-08
TROLL OLJERØR II	Total E&P Norge AS	2007-01-02	2007-10-01	3.706870	124194	2410708	2013-05-08
TROLL OLJERØR II	Total E&P Norge AS	2007-10-01	2009-01-01	3.706870	124194	2410708	2013-05-08
TROLL OLJERØR II	Total E&P Norge AS	2009-01-01	2009-11-01	3.706870	124194	2410708	2013-05-08
TROLL OLJERØR II	Total E&P Norge AS	2009-11-01	9999-12-31	3.706870	124194	2410708	2013-05-08
TROLL OLJERØR II	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	9.728000	124194	4511658	2013-05-08
TROLL OLJERØR II	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	30.575920	124194	4511658	2013-05-08
TROLL OLJERØR II	StatoilHydro ASA	2007-10-01	2009-01-01	20.847920	124194	4511854	2013-05-08
TROLL OLJERØR II	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	9.728000	124194	4524355	2013-05-08
TROLL OLJERØR II	Norsk Hydro Petroleum AS	2007-01-02	2007-10-01	9.728000	124194	4524355	2013-05-08
TROLL OLJERØR II	Statoil Petroleum AS	2009-11-01	9999-12-31	30.575920	124194	17237817	2013-05-08
FRANPIPE	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	124202	45	2013-05-08
FRANPIPE	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	124202	45	2013-05-08
FRANPIPE	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	124202	45	2013-05-08
FRANPIPE	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	124202	45	2013-05-08
FRANPIPE	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	124202	221	2013-05-08
FRANPIPE	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	124202	221	2013-05-08
FRANPIPE	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	124202	353	2013-05-08
FRANPIPE	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	124202	353	2013-05-08
FRANPIPE	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	124202	353	2013-05-08
FRANPIPE	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	124202	353	2013-05-08
FRANPIPE	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	124202	353	2013-05-08
FRANPIPE	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	124202	430	2013-05-08
FRANPIPE	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	124202	430	2013-05-08
FRANPIPE	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	124202	430	2013-05-08
FRANPIPE	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	124202	430	2013-05-08
FRANPIPE	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	124202	430	2013-05-08
FRANPIPE	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	124202	430	2013-05-08
FRANPIPE	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	124202	430	2013-05-08
FRANPIPE	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	124202	430	2013-05-08
FRANPIPE	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	124202	474	2013-05-08
FRANPIPE	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	124202	474	2013-05-08
FRANPIPE	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	124202	562	2013-05-08
FRANPIPE	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	124202	562	2013-05-08
FRANPIPE	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	124202	97557	2013-05-08
FRANPIPE	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	124202	97557	2013-05-08
FRANPIPE	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	124202	97557	2013-05-08
FRANPIPE	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	124202	97557	2013-05-08
FRANPIPE	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	124202	97557	2013-05-08
FRANPIPE	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	124202	102714	2013-05-08
FRANPIPE	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	124202	1025067	2013-05-08
FRANPIPE	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	124202	1025067	2013-05-08
FRANPIPE	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	124202	1340884	2013-05-08
FRANPIPE	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	124202	1340884	2013-05-08
FRANPIPE	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	124202	1340884	2013-05-08
FRANPIPE	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	124202	1622484	2013-05-08
FRANPIPE	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	124202	1622484	2013-05-08
FRANPIPE	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	124202	1622484	2013-05-08
FRANPIPE	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	124202	1622484	2013-05-08
FRANPIPE	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	124202	1622484	2013-05-08
FRANPIPE	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	124202	1622484	2013-05-08
FRANPIPE	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	124202	1622484	2013-05-08
FRANPIPE	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	124202	1622484	2013-05-08
FRANPIPE	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	124202	1622484	2013-05-08
FRANPIPE	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	124202	1622484	2013-05-08
FRANPIPE	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	124202	1622484	2013-05-08
FRANPIPE	Petoro AS	2003-01-01	2003-03-04	38.293000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2003-03-04	2003-03-22	38.293000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2003-03-22	2003-05-06	38.293000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2003-05-06	2003-12-31	38.293000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2003-12-31	2004-10-01	38.293000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2004-10-01	2005-10-01	38.293000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2005-10-01	2006-09-01	38.627000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2006-09-01	2007-01-01	38.245000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2007-01-01	2007-01-02	38.245000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2007-01-02	2007-09-01	38.245000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2007-09-01	2007-10-01	37.892000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2007-10-01	2009-01-01	37.892000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2009-01-01	2009-01-02	38.459000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2009-01-02	2009-01-03	38.459000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2009-01-03	2009-01-04	38.459000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2009-01-04	2009-11-01	38.459000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2009-11-01	2010-01-01	38.459000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2010-01-01	2010-06-01	38.459000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2010-06-01	2011-01-01	38.435000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2011-01-01	2011-01-02	45.793000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2011-01-02	2011-01-03	45.793000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2011-01-03	2012-01-01	45.793000	124202	1626839	2013-05-08
FRANPIPE	Petoro AS	2012-01-01	9999-12-31	45.793000	124202	1626839	2013-05-08
FRANPIPE	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	124202	1853786	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	124202	2066214	2013-05-08
FRANPIPE	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	124202	2066214	2013-05-08
FRANPIPE	Eni Norge AS	2003-03-04	2003-03-22	0.807000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2003-03-22	2003-05-06	0.807000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2003-05-06	2003-12-31	0.807000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2003-12-31	2004-10-01	1.669000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2004-10-01	2005-10-01	1.669000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2005-10-01	2006-09-01	1.688000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2006-09-01	2007-01-01	1.574000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2007-01-01	2007-01-02	1.574000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2007-01-02	2007-09-01	1.574000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2007-09-01	2007-10-01	1.556000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2007-10-01	2009-01-01	1.556000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2009-01-01	2009-01-02	1.525000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2009-01-02	2009-01-03	1.525000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2009-01-03	2009-01-04	1.525000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2009-01-04	2009-11-01	1.525000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2009-11-01	2010-01-01	1.525000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2010-01-01	2010-06-01	1.525000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2010-06-01	2011-01-01	1.521000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2011-01-01	2011-01-02	1.276000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2011-01-02	2011-01-03	1.276000	124202	2388594	2013-05-08
FRANPIPE	Eni Norge AS	2011-01-03	2012-01-01	1.276000	124202	2388594	2013-05-08
FRANPIPE	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	124202	2399056	2013-05-08
FRANPIPE	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	124202	2399056	2013-05-08
FRANPIPE	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	124202	2399056	2013-05-08
FRANPIPE	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	124202	2399056	2013-05-08
FRANPIPE	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	124202	2399056	2013-05-08
FRANPIPE	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	124202	2399056	2013-05-08
FRANPIPE	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	124202	2399056	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	124202	2410696	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	124202	2410696	2013-05-08
FRANPIPE	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	124202	2410708	2013-05-08
FRANPIPE	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	124202	2410708	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	124202	2835212	2013-05-08
FRANPIPE	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	124202	2835212	2013-05-08
FRANPIPE	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	124202	4070011	2013-05-08
FRANPIPE	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	124202	4070011	2013-05-08
FRANPIPE	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	124202	4511658	2013-05-08
FRANPIPE	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	124202	4511658	2013-05-08
FRANPIPE	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	124202	4511658	2013-05-08
FRANPIPE	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	124202	4511658	2013-05-08
FRANPIPE	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	124202	4511658	2013-05-08
FRANPIPE	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	124202	4511854	2013-05-08
FRANPIPE	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	124202	4511854	2013-05-08
FRANPIPE	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	124202	4511854	2013-05-08
FRANPIPE	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	124202	4524355	2013-05-08
FRANPIPE	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	124202	4524355	2013-05-08
FRANPIPE	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	124202	4524355	2013-05-08
FRANPIPE	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	124202	5267845	2013-05-08
FRANPIPE	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	124202	5267845	2013-05-08
FRANPIPE	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	124202	5267845	2013-05-08
FRANPIPE	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	124202	5267845	2013-05-08
FRANPIPE	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	124202	5267845	2013-05-08
FRANPIPE	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	124202	17237817	2013-05-08
FRANPIPE	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	124202	17237817	2013-05-08
FRANPIPE	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	124202	17237817	2013-05-08
FRANPIPE	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	124202	17237817	2013-05-08
FRANPIPE	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	124202	17237817	2013-05-08
FRANPIPE	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	124202	17237817	2013-05-08
FRANPIPE	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	124202	17237817	2013-05-08
FRANPIPE	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	124202	20440816	2013-05-08
FRANPIPE	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	124202	20440816	2013-05-08
FRANPIPE	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	124202	20440816	2013-05-08
FRANPIPE	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	124202	21139140	2013-05-08
FRANPIPE	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	124202	21139140	2013-05-08
FRANPIPE	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	124202	21139652	2013-05-08
FRANPIPE	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	124202	21139652	2013-05-08
FRANPIPE	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	124202	21139663	2013-05-08
FRANPIPE	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	124202	21139663	2013-05-08
ÅSGARD TRANSPORT	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	124211	45	2013-05-08
ÅSGARD TRANSPORT	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	124211	45	2013-05-08
ÅSGARD TRANSPORT	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	124211	45	2013-05-08
ÅSGARD TRANSPORT	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	124211	45	2013-05-08
ÅSGARD TRANSPORT	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	124211	221	2013-05-08
ÅSGARD TRANSPORT	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	124211	221	2013-05-08
ÅSGARD TRANSPORT	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	124211	353	2013-05-08
ÅSGARD TRANSPORT	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	124211	353	2013-05-08
ÅSGARD TRANSPORT	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	124211	353	2013-05-08
ÅSGARD TRANSPORT	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	124211	353	2013-05-08
ÅSGARD TRANSPORT	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	124211	353	2013-05-08
ÅSGARD TRANSPORT	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	124211	430	2013-05-08
ÅSGARD TRANSPORT	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	124211	430	2013-05-08
ÅSGARD TRANSPORT	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	124211	430	2013-05-08
ÅSGARD TRANSPORT	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	124211	430	2013-05-08
ÅSGARD TRANSPORT	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	124211	430	2013-05-08
ÅSGARD TRANSPORT	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	124211	430	2013-05-08
ÅSGARD TRANSPORT	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	124211	430	2013-05-08
ÅSGARD TRANSPORT	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	124211	430	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	124211	474	2013-05-08
ÅSGARD TRANSPORT	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	124211	474	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	124211	562	2013-05-08
ÅSGARD TRANSPORT	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	124211	562	2013-05-08
ÅSGARD TRANSPORT	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	124211	97557	2013-05-08
ÅSGARD TRANSPORT	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	124211	97557	2013-05-08
ÅSGARD TRANSPORT	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	124211	97557	2013-05-08
ÅSGARD TRANSPORT	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	124211	97557	2013-05-08
ÅSGARD TRANSPORT	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	124211	97557	2013-05-08
ÅSGARD TRANSPORT	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	124211	102714	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	124211	1025067	2013-05-08
ÅSGARD TRANSPORT	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	124211	1340884	2013-05-08
ÅSGARD TRANSPORT	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	124211	1340884	2013-05-08
ÅSGARD TRANSPORT	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	124211	1340884	2013-05-08
ÅSGARD TRANSPORT	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	124211	1622484	2013-05-08
ÅSGARD TRANSPORT	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	124211	1622484	2013-05-08
ÅSGARD TRANSPORT	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	124211	1622484	2013-05-08
ÅSGARD TRANSPORT	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	124211	1622484	2013-05-08
ÅSGARD TRANSPORT	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	124211	1622484	2013-05-08
ÅSGARD TRANSPORT	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	124211	1622484	2013-05-08
ÅSGARD TRANSPORT	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	124211	1622484	2013-05-08
ÅSGARD TRANSPORT	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	124211	1622484	2013-05-08
ÅSGARD TRANSPORT	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	124211	1622484	2013-05-08
ÅSGARD TRANSPORT	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	124211	1622484	2013-05-08
ÅSGARD TRANSPORT	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	124211	1622484	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2003-01-01	2003-03-04	38.293000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2003-03-04	2003-03-22	38.293000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2003-03-22	2003-05-06	38.293000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2003-05-06	2003-12-31	38.293000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2003-12-31	2004-10-01	38.293000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2004-10-01	2005-10-01	38.293000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2005-10-01	2006-09-01	38.627000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2006-09-01	2007-01-01	38.245000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2007-01-01	2007-01-02	38.245000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2007-01-02	2007-09-01	38.245000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2007-09-01	2007-10-01	37.892000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2007-10-01	2009-01-01	37.892000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2009-01-01	2009-01-02	38.459000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2009-01-02	2009-01-03	38.459000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2009-01-03	2009-01-04	38.459000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2009-01-04	2009-11-01	38.459000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2009-11-01	2010-01-01	38.459000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2010-01-01	2010-06-01	38.459000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2010-06-01	2011-01-01	38.435000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2011-01-01	2011-01-02	45.793000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2011-01-02	2011-01-03	45.793000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2011-01-03	2012-01-01	45.793000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	2012-01-01	9999-12-31	45.793000	124211	1626839	2013-05-08
ÅSGARD TRANSPORT	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	124211	1853786	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	124211	2066214	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2003-03-04	2003-03-22	0.807000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2003-03-22	2003-05-06	0.807000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2003-05-06	2003-12-31	0.807000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2003-12-31	2004-10-01	1.669000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2004-10-01	2005-10-01	1.669000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2005-10-01	2006-09-01	1.688000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2006-09-01	2007-01-01	1.574000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2007-01-01	2007-01-02	1.574000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2007-01-02	2007-09-01	1.574000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2007-09-01	2007-10-01	1.556000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2007-10-01	2009-01-01	1.556000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2009-01-01	2009-01-02	1.525000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2009-01-02	2009-01-03	1.525000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2009-01-03	2009-01-04	1.525000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2009-01-04	2009-11-01	1.525000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2009-11-01	2010-01-01	1.525000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2010-01-01	2010-06-01	1.525000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2010-06-01	2011-01-01	1.521000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2011-01-01	2011-01-02	1.276000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2011-01-02	2011-01-03	1.276000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Eni Norge AS	2011-01-03	2012-01-01	1.276000	124211	2388594	2013-05-08
ÅSGARD TRANSPORT	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	124211	2399056	2013-05-08
ÅSGARD TRANSPORT	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	124211	2399056	2013-05-08
ÅSGARD TRANSPORT	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	124211	2399056	2013-05-08
ÅSGARD TRANSPORT	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	124211	2399056	2013-05-08
ÅSGARD TRANSPORT	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	124211	2399056	2013-05-08
ÅSGARD TRANSPORT	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	124211	2399056	2013-05-08
ÅSGARD TRANSPORT	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	124211	2399056	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	124211	2410696	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	124211	2410708	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	124211	2835212	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	124211	4070011	2013-05-08
ÅSGARD TRANSPORT	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	124211	4511658	2013-05-08
ÅSGARD TRANSPORT	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	124211	4511658	2013-05-08
ÅSGARD TRANSPORT	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	124211	4511658	2013-05-08
ÅSGARD TRANSPORT	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	124211	4511658	2013-05-08
ÅSGARD TRANSPORT	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	124211	4511658	2013-05-08
ÅSGARD TRANSPORT	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	124211	4511854	2013-05-08
ÅSGARD TRANSPORT	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	124211	4511854	2013-05-08
ÅSGARD TRANSPORT	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	124211	4511854	2013-05-08
ÅSGARD TRANSPORT	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	124211	4524355	2013-05-08
ÅSGARD TRANSPORT	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	124211	4524355	2013-05-08
ÅSGARD TRANSPORT	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	124211	4524355	2013-05-08
ÅSGARD TRANSPORT	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	124211	5267845	2013-05-08
ÅSGARD TRANSPORT	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	124211	5267845	2013-05-08
ÅSGARD TRANSPORT	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	124211	5267845	2013-05-08
ÅSGARD TRANSPORT	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	124211	5267845	2013-05-08
ÅSGARD TRANSPORT	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	124211	5267845	2013-05-08
ÅSGARD TRANSPORT	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	124211	17237817	2013-05-08
ÅSGARD TRANSPORT	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	124211	17237817	2013-05-08
ÅSGARD TRANSPORT	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	124211	17237817	2013-05-08
ÅSGARD TRANSPORT	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	124211	17237817	2013-05-08
ÅSGARD TRANSPORT	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	124211	17237817	2013-05-08
ÅSGARD TRANSPORT	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	124211	17237817	2013-05-08
ÅSGARD TRANSPORT	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	124211	17237817	2013-05-08
ÅSGARD TRANSPORT	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	124211	20440816	2013-05-08
ÅSGARD TRANSPORT	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	124211	20440816	2013-05-08
ÅSGARD TRANSPORT	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	124211	20440816	2013-05-08
ÅSGARD TRANSPORT	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	124211	21139140	2013-05-08
ÅSGARD TRANSPORT	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	124211	21139140	2013-05-08
ÅSGARD TRANSPORT	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	124211	21139652	2013-05-08
ÅSGARD TRANSPORT	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	124211	21139652	2013-05-08
ÅSGARD TRANSPORT	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	124211	21139663	2013-05-08
ÅSGARD TRANSPORT	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	124211	21139663	2013-05-08
ZEEPIPE	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	124227	45	2013-05-08
ZEEPIPE	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	124227	45	2013-05-08
ZEEPIPE	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	124227	45	2013-05-08
ZEEPIPE	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	124227	45	2013-05-08
ZEEPIPE	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	124227	221	2013-05-08
ZEEPIPE	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	124227	221	2013-05-08
ZEEPIPE	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	124227	353	2013-05-08
ZEEPIPE	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	124227	353	2013-05-08
ZEEPIPE	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	124227	353	2013-05-08
ZEEPIPE	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	124227	353	2013-05-08
ZEEPIPE	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	124227	353	2013-05-08
ZEEPIPE	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	124227	430	2013-05-08
ZEEPIPE	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	124227	430	2013-05-08
ZEEPIPE	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	124227	430	2013-05-08
ZEEPIPE	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	124227	430	2013-05-08
ZEEPIPE	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	124227	430	2013-05-08
ZEEPIPE	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	124227	430	2013-05-08
ZEEPIPE	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	124227	430	2013-05-08
ZEEPIPE	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	124227	430	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	124227	474	2013-05-08
ZEEPIPE	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	124227	474	2013-05-08
ZEEPIPE	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	124227	562	2013-05-08
ZEEPIPE	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	124227	562	2013-05-08
ZEEPIPE	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	124227	97557	2013-05-08
ZEEPIPE	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	124227	97557	2013-05-08
ZEEPIPE	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	124227	97557	2013-05-08
ZEEPIPE	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	124227	97557	2013-05-08
ZEEPIPE	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	124227	97557	2013-05-08
ZEEPIPE	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	124227	102714	2013-05-08
ZEEPIPE	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	124227	1025067	2013-05-08
ZEEPIPE	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	124227	1025067	2013-05-08
ZEEPIPE	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	124227	1340884	2013-05-08
ZEEPIPE	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	124227	1340884	2013-05-08
ZEEPIPE	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	124227	1340884	2013-05-08
ZEEPIPE	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	124227	1622484	2013-05-08
ZEEPIPE	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	124227	1622484	2013-05-08
ZEEPIPE	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	124227	1622484	2013-05-08
ZEEPIPE	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	124227	1622484	2013-05-08
ZEEPIPE	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	124227	1622484	2013-05-08
ZEEPIPE	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	124227	1622484	2013-05-08
ZEEPIPE	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	124227	1622484	2013-05-08
ZEEPIPE	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	124227	1622484	2013-05-08
ZEEPIPE	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	124227	1622484	2013-05-08
ZEEPIPE	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	124227	1622484	2013-05-08
ZEEPIPE	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	124227	1622484	2013-05-08
ZEEPIPE	Petoro AS	2003-01-01	2003-03-04	38.293000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2003-03-04	2003-03-22	38.293000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2003-03-22	2003-05-06	38.293000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2003-05-06	2003-12-31	38.293000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2003-12-31	2004-10-01	38.293000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2004-10-01	2005-10-01	38.293000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2005-10-01	2006-09-01	38.627000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2006-09-01	2007-01-01	38.245000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2007-01-01	2007-01-02	38.245000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2007-01-02	2007-09-01	38.245000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2007-09-01	2007-10-01	37.892000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2007-10-01	2009-01-01	37.892000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2009-01-01	2009-01-02	38.459000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2009-01-02	2009-01-03	38.459000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2009-01-03	2009-01-04	38.459000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2009-01-04	2009-11-01	38.459000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2009-11-01	2010-01-01	38.459000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2010-01-01	2010-06-01	38.459000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2010-06-01	2011-01-01	38.435000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2011-01-01	2011-01-02	45.793000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2011-01-02	2011-01-03	45.793000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2011-01-03	2012-01-01	45.793000	124227	1626839	2013-05-08
ZEEPIPE	Petoro AS	2012-01-01	9999-12-31	45.793000	124227	1626839	2013-05-08
ZEEPIPE	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	124227	1853786	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	124227	2066214	2013-05-08
ZEEPIPE	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	124227	2066214	2013-05-08
ZEEPIPE	Eni Norge AS	2003-03-04	2003-03-22	0.807000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2003-03-22	2003-05-06	0.807000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2003-05-06	2003-12-31	0.807000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2003-12-31	2004-10-01	1.669000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2004-10-01	2005-10-01	1.669000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2005-10-01	2006-09-01	1.688000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2006-09-01	2007-01-01	1.574000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2007-01-01	2007-01-02	1.574000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2007-01-02	2007-09-01	1.574000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2007-09-01	2007-10-01	1.556000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2007-10-01	2009-01-01	1.556000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2009-01-01	2009-01-02	1.525000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2009-01-02	2009-01-03	1.525000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2009-01-03	2009-01-04	1.525000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2009-01-04	2009-11-01	1.525000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2009-11-01	2010-01-01	1.525000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2010-01-01	2010-06-01	1.525000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2010-06-01	2011-01-01	1.521000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2011-01-01	2011-01-02	1.276000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2011-01-02	2011-01-03	1.276000	124227	2388594	2013-05-08
ZEEPIPE	Eni Norge AS	2011-01-03	2012-01-01	1.276000	124227	2388594	2013-05-08
ZEEPIPE	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	124227	2399056	2013-05-08
ZEEPIPE	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	124227	2399056	2013-05-08
ZEEPIPE	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	124227	2399056	2013-05-08
ZEEPIPE	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	124227	2399056	2013-05-08
ZEEPIPE	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	124227	2399056	2013-05-08
ZEEPIPE	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	124227	2399056	2013-05-08
ZEEPIPE	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	124227	2399056	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	124227	2410696	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	124227	2410696	2013-05-08
ZEEPIPE	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	124227	2410708	2013-05-08
ZEEPIPE	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	124227	2410708	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	124227	2835212	2013-05-08
ZEEPIPE	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	124227	2835212	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	124227	4070011	2013-05-08
ZEEPIPE	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	124227	4070011	2013-05-08
ZEEPIPE	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	124227	4511658	2013-05-08
ZEEPIPE	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	124227	4511658	2013-05-08
ZEEPIPE	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	124227	4511658	2013-05-08
ZEEPIPE	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	124227	4511658	2013-05-08
ZEEPIPE	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	124227	4511658	2013-05-08
ZEEPIPE	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	124227	4511854	2013-05-08
ZEEPIPE	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	124227	4511854	2013-05-08
ZEEPIPE	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	124227	4511854	2013-05-08
ZEEPIPE	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	124227	4524355	2013-05-08
ZEEPIPE	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	124227	4524355	2013-05-08
ZEEPIPE	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	124227	4524355	2013-05-08
ZEEPIPE	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	124227	5267845	2013-05-08
ZEEPIPE	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	124227	5267845	2013-05-08
ZEEPIPE	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	124227	5267845	2013-05-08
ZEEPIPE	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	124227	5267845	2013-05-08
ZEEPIPE	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	124227	5267845	2013-05-08
ZEEPIPE	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	124227	17237817	2013-05-08
ZEEPIPE	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	124227	17237817	2013-05-08
ZEEPIPE	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	124227	17237817	2013-05-08
ZEEPIPE	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	124227	17237817	2013-05-08
ZEEPIPE	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	124227	17237817	2013-05-08
ZEEPIPE	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	124227	17237817	2013-05-08
ZEEPIPE	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	124227	17237817	2013-05-08
ZEEPIPE	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	124227	20440816	2013-05-08
ZEEPIPE	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	124227	20440816	2013-05-08
ZEEPIPE	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	124227	20440816	2013-05-08
ZEEPIPE	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	124227	21139140	2013-05-08
ZEEPIPE	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	124227	21139140	2013-05-08
ZEEPIPE	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	124227	21139652	2013-05-08
ZEEPIPE	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	124227	21139652	2013-05-08
ZEEPIPE	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	124227	21139663	2013-05-08
ZEEPIPE	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	124227	21139663	2013-05-08
ZEEPIPE I	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	124235	45	2013-05-08
ZEEPIPE I	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	124235	45	2013-05-08
ZEEPIPE I	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	124235	45	2013-05-08
ZEEPIPE I	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	124235	45	2013-05-08
ZEEPIPE I	Norske Conoco A/S	1988-06-21	1992-08-14	1.701500	124235	221	2013-05-08
ZEEPIPE I	Norske Conoco A/S	1992-08-14	1993-04-01	1.701500	124235	221	2013-05-08
ZEEPIPE I	Norske Conoco A/S	1993-04-01	1998-12-31	1.402990	124235	221	2013-05-08
ZEEPIPE I	Norske Conoco A/S	1998-12-31	2000-07-24	1.402990	124235	221	2013-05-08
ZEEPIPE I	Norske Conoco A/S	2000-07-24	2001-01-11	1.402990	124235	221	2013-05-08
ZEEPIPE I	Norske Conoco A/S	2001-01-11	2001-05-10	1.402990	124235	221	2013-05-08
ZEEPIPE I	Norske Conoco A/S	2001-05-10	2001-06-17	1.402990	124235	221	2013-05-08
ZEEPIPE I	Norske Conoco A/S	2001-06-17	2001-12-18	1.402990	124235	221	2013-05-08
ZEEPIPE I	Norske Conoco A/S	2001-12-18	2002-12-31	1.402990	124235	221	2013-05-08
ZEEPIPE I	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	124235	221	2013-05-08
ZEEPIPE I	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	124235	221	2013-05-08
ZEEPIPE I	Elf Petroleum Norge AS	1992-08-14	1993-04-01	3.298500	124235	298	2013-05-08
ZEEPIPE I	Elf Petroleum Norge AS	1993-04-01	1998-12-31	3.298500	124235	298	2013-05-08
ZEEPIPE I	Elf Petroleum Norge AS	1998-12-31	2000-07-24	3.298500	124235	298	2013-05-08
ZEEPIPE I	Elf Aquitaine Norge A/S	1988-06-21	1992-08-14	3.298500	124235	331	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	1988-06-21	1992-08-14	6.000000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	1992-08-14	1993-04-01	6.000000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	1993-04-01	1998-12-31	6.000000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	1998-12-31	2000-07-24	6.000000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	2000-07-24	2001-01-11	6.000000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	2001-01-11	2001-05-10	6.000000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	2001-05-10	2001-06-17	6.000000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	2001-06-17	2001-12-18	6.000000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	2001-12-18	2002-12-31	6.000000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	124235	353	2013-05-08
ZEEPIPE I	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	124235	353	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	1988-06-21	1992-08-14	8.000000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	1992-08-14	1993-04-01	8.000000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	1993-04-01	1998-12-31	8.000000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	1998-12-31	2000-07-24	8.000000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2000-07-24	2001-01-11	8.000000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2001-01-11	2001-05-10	11.000000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2001-05-10	2001-06-17	11.000000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2001-06-17	2001-12-18	11.000000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2001-12-18	2002-12-31	11.000000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	124235	430	2013-05-08
ZEEPIPE I	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	124235	430	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	124235	474	2013-05-08
ZEEPIPE I	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	124235	474	2013-05-08
ZEEPIPE I	A/S Norske Shell	1988-06-21	1992-08-14	7.000000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	1992-08-14	1993-04-01	7.000000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	1993-04-01	1998-12-31	7.000000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	124235	562	2013-05-08
ZEEPIPE I	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	124235	562	2013-05-08
ZEEPIPE I	Saga Petroleum ASA	1988-06-21	1992-08-14	3.000000	124235	716	2013-05-08
ZEEPIPE I	Saga Petroleum ASA	1992-08-14	1993-04-01	3.000000	124235	716	2013-05-08
ZEEPIPE I	Saga Petroleum ASA	1993-04-01	1998-12-31	3.000000	124235	716	2013-05-08
ZEEPIPE I	Saga Petroleum ASA	1998-12-31	2000-07-24	3.000000	124235	716	2013-05-08
ZEEPIPE I	Saga Petroleum ASA	2000-07-24	2001-01-11	3.000000	124235	716	2013-05-08
ZEEPIPE I	Den norske stats oljeselskap a.s	1988-06-21	1992-08-14	70.000000	124235	749	2013-05-08
ZEEPIPE I	Den norske stats oljeselskap a.s	1992-08-14	1993-04-01	70.000000	124235	749	2013-05-08
ZEEPIPE I	Den norske stats oljeselskap a.s	1993-04-01	1998-12-31	70.000000	124235	749	2013-05-08
ZEEPIPE I	Den norske stats oljeselskap a.s	1998-12-31	2000-07-24	70.000000	124235	749	2013-05-08
ZEEPIPE I	Den norske stats oljeselskap a.s	2000-07-24	2001-01-11	70.000000	124235	749	2013-05-08
ZEEPIPE I	Den norske stats oljeselskap a.s	2001-01-11	2001-05-10	70.000000	124235	749	2013-05-08
ZEEPIPE I	Total Norge AS	1988-06-21	1992-08-14	1.000000	124235	848	2013-05-08
ZEEPIPE I	Total Norge AS	1992-08-14	1993-04-01	1.000000	124235	848	2013-05-08
ZEEPIPE I	Total Norge AS	1993-04-01	1998-12-31	1.298510	124235	848	2013-05-08
ZEEPIPE I	Total Norge AS	1998-12-31	2000-07-24	1.298510	124235	848	2013-05-08
ZEEPIPE I	Total Norge AS	2000-07-24	2001-01-11	1.298510	124235	848	2013-05-08
ZEEPIPE I	Total Norge AS	2001-01-11	2001-05-10	1.298510	124235	848	2013-05-08
ZEEPIPE I	Total Norge AS	2001-05-10	2001-06-17	1.298510	124235	848	2013-05-08
ZEEPIPE I	Total Norge AS	2001-06-17	2001-12-18	1.298510	124235	848	2013-05-08
ZEEPIPE I	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	124235	97557	2013-05-08
ZEEPIPE I	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	124235	97557	2013-05-08
ZEEPIPE I	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	124235	97557	2013-05-08
ZEEPIPE I	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	124235	97557	2013-05-08
ZEEPIPE I	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	124235	97557	2013-05-08
ZEEPIPE I	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	124235	102714	2013-05-08
ZEEPIPE I	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	124235	1025067	2013-05-08
ZEEPIPE I	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	124235	1025067	2013-05-08
ZEEPIPE I	TotalFinaElf Exploration Norge AS	2000-07-24	2001-01-11	3.298500	124235	1340884	2013-05-08
ZEEPIPE I	TotalFinaElf Exploration Norge AS	2001-01-11	2001-05-10	3.298500	124235	1340884	2013-05-08
ZEEPIPE I	TotalFinaElf Exploration Norge AS	2001-05-10	2001-06-17	3.298500	124235	1340884	2013-05-08
ZEEPIPE I	TotalFinaElf Exploration Norge AS	2001-06-17	2001-12-18	3.298500	124235	1340884	2013-05-08
ZEEPIPE I	TotalFinaElf Exploration Norge AS	2001-12-18	2002-12-31	4.597010	124235	1340884	2013-05-08
ZEEPIPE I	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	124235	1340884	2013-05-08
ZEEPIPE I	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	124235	1340884	2013-05-08
ZEEPIPE I	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	124235	1340884	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2001-05-10	2001-06-17	15.000000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2001-06-17	2001-12-18	15.000000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2001-12-18	2002-12-31	15.000000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	124235	1622484	2013-05-08
ZEEPIPE I	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	124235	1622484	2013-05-08
ZEEPIPE I	SDØE	2001-05-10	2001-06-17	55.000000	124235	1623450	2013-05-08
ZEEPIPE I	Petoro AS	2001-06-17	2001-12-18	55.000000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2001-12-18	2002-12-31	55.000000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2003-01-01	2003-03-04	38.293000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2003-03-04	2003-03-22	38.293000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2003-03-22	2003-05-06	38.293000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2003-05-06	2003-12-31	38.293000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2003-12-31	2004-10-01	38.293000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2004-10-01	2005-10-01	38.293000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2005-10-01	2006-09-01	38.627000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2006-09-01	2007-01-01	38.245000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2007-01-01	2007-01-02	38.245000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2007-01-02	2007-09-01	38.245000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2007-09-01	2007-10-01	37.892000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2007-10-01	2009-01-01	37.892000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2009-01-01	2009-01-02	38.459000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2009-01-02	2009-01-03	38.459000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2009-01-03	2009-01-04	38.459000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2009-01-04	2009-11-01	38.459000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2009-11-01	2010-01-01	38.459000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2010-01-01	2010-06-01	38.459000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2010-06-01	2011-01-01	38.435000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2011-01-01	2011-01-02	45.793000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2011-01-02	2011-01-03	45.793000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2011-01-03	2012-01-01	45.793000	124235	1626839	2013-05-08
ZEEPIPE I	Petoro AS	2012-01-01	9999-12-31	45.793000	124235	1626839	2013-05-08
ZEEPIPE I	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	124235	1853786	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	1998-12-31	2000-07-24	7.000000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2000-07-24	2001-01-11	7.000000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2001-01-11	2001-05-10	7.000000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2001-05-10	2001-06-17	7.000000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2001-06-17	2001-12-18	7.000000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2001-12-18	2002-12-31	7.000000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	124235	2066214	2013-05-08
ZEEPIPE I	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	124235	2066214	2013-05-08
ZEEPIPE I	Eni Norge AS	2003-03-04	2003-03-22	0.807000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2003-03-22	2003-05-06	0.807000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2003-05-06	2003-12-31	0.807000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2003-12-31	2004-10-01	1.669000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2004-10-01	2005-10-01	1.669000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2005-10-01	2006-09-01	1.688000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2006-09-01	2007-01-01	1.574000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2007-01-01	2007-01-02	1.574000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2007-01-02	2007-09-01	1.574000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2007-09-01	2007-10-01	1.556000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2007-10-01	2009-01-01	1.556000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2009-01-01	2009-01-02	1.525000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2009-01-02	2009-01-03	1.525000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2009-01-03	2009-01-04	1.525000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2009-01-04	2009-11-01	1.525000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2009-11-01	2010-01-01	1.525000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2010-01-01	2010-06-01	1.525000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2010-06-01	2011-01-01	1.521000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2011-01-01	2011-01-02	1.276000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2011-01-02	2011-01-03	1.276000	124235	2388594	2013-05-08
ZEEPIPE I	Eni Norge AS	2011-01-03	2012-01-01	1.276000	124235	2388594	2013-05-08
ZEEPIPE I	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	124235	2399056	2013-05-08
ZEEPIPE I	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	124235	2399056	2013-05-08
ZEEPIPE I	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	124235	2399056	2013-05-08
ZEEPIPE I	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	124235	2399056	2013-05-08
ZEEPIPE I	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	124235	2399056	2013-05-08
ZEEPIPE I	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	124235	2399056	2013-05-08
ZEEPIPE I	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	124235	2399056	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	124235	2410696	2013-05-08
ZEEPIPE I	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	124235	2410696	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	124235	2410708	2013-05-08
ZEEPIPE I	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	124235	2410708	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	124235	2835212	2013-05-08
ZEEPIPE I	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	124235	2835212	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	124235	4070011	2013-05-08
ZEEPIPE I	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	124235	4070011	2013-05-08
ZEEPIPE I	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	124235	4511658	2013-05-08
ZEEPIPE I	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	124235	4511658	2013-05-08
ZEEPIPE I	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	124235	4511658	2013-05-08
ZEEPIPE I	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	124235	4511658	2013-05-08
ZEEPIPE I	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	124235	4511658	2013-05-08
ZEEPIPE I	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	124235	4511854	2013-05-08
ZEEPIPE I	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	124235	4511854	2013-05-08
ZEEPIPE I	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	124235	4511854	2013-05-08
ZEEPIPE I	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	124235	4524355	2013-05-08
ZEEPIPE I	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	124235	4524355	2013-05-08
ZEEPIPE I	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	124235	4524355	2013-05-08
ZEEPIPE I	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	124235	5267845	2013-05-08
ZEEPIPE I	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	124235	5267845	2013-05-08
ZEEPIPE I	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	124235	5267845	2013-05-08
ZEEPIPE I	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	124235	5267845	2013-05-08
ZEEPIPE I	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	124235	5267845	2013-05-08
ZEEPIPE I	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	124235	17237817	2013-05-08
ZEEPIPE I	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	124235	17237817	2013-05-08
ZEEPIPE I	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	124235	17237817	2013-05-08
ZEEPIPE I	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	124235	17237817	2013-05-08
ZEEPIPE I	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	124235	17237817	2013-05-08
ZEEPIPE I	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	124235	17237817	2013-05-08
ZEEPIPE I	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	124235	17237817	2013-05-08
ZEEPIPE I	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	124235	20440816	2013-05-08
ZEEPIPE I	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	124235	20440816	2013-05-08
ZEEPIPE I	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	124235	20440816	2013-05-08
ZEEPIPE I	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	124235	21139140	2013-05-08
ZEEPIPE I	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	124235	21139140	2013-05-08
ZEEPIPE I	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	124235	21139652	2013-05-08
ZEEPIPE I	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	124235	21139652	2013-05-08
ZEEPIPE I	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	124235	21139663	2013-05-08
ZEEPIPE I	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	124235	21139663	2013-05-08
ZEEPIPE IIA	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	124244	45	2013-05-08
ZEEPIPE IIA	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	124244	45	2013-05-08
ZEEPIPE IIA	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	124244	45	2013-05-08
ZEEPIPE IIA	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	124244	45	2013-05-08
ZEEPIPE IIA	Norske Conoco A/S	1992-07-03	1992-08-14	1.701500	124244	221	2013-05-08
ZEEPIPE IIA	Norske Conoco A/S	1992-08-14	1993-04-01	1.701500	124244	221	2013-05-08
ZEEPIPE IIA	Norske Conoco A/S	1993-04-01	1998-12-31	1.402990	124244	221	2013-05-08
ZEEPIPE IIA	Norske Conoco A/S	1998-12-31	2000-07-24	1.402990	124244	221	2013-05-08
ZEEPIPE IIA	Norske Conoco A/S	2000-07-24	2001-01-11	1.402990	124244	221	2013-05-08
ZEEPIPE IIA	Norske Conoco A/S	2001-01-11	2001-05-10	1.402990	124244	221	2013-05-08
ZEEPIPE IIA	Norske Conoco A/S	2001-05-10	2001-06-17	1.402990	124244	221	2013-05-08
ZEEPIPE IIA	Norske Conoco A/S	2001-06-17	2001-12-18	1.402990	124244	221	2013-05-08
ZEEPIPE IIA	Norske Conoco A/S	2001-12-18	2002-12-31	1.402990	124244	221	2013-05-08
ZEEPIPE IIA	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	124244	221	2013-05-08
ZEEPIPE IIA	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	124244	221	2013-05-08
ZEEPIPE IIA	Elf Petroleum Norge AS	1992-08-14	1993-04-01	3.298500	124244	298	2013-05-08
ZEEPIPE IIA	Elf Petroleum Norge AS	1993-04-01	1998-12-31	3.298500	124244	298	2013-05-08
ZEEPIPE IIA	Elf Petroleum Norge AS	1998-12-31	2000-07-24	3.298500	124244	298	2013-05-08
ZEEPIPE IIA	Elf Aquitaine Norge A/S	1992-07-03	1992-08-14	3.298500	124244	331	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	1992-07-03	1992-08-14	6.000000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	1992-08-14	1993-04-01	6.000000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	1993-04-01	1998-12-31	6.000000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	1998-12-31	2000-07-24	6.000000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	2000-07-24	2001-01-11	6.000000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	2001-01-11	2001-05-10	6.000000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	2001-05-10	2001-06-17	6.000000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	2001-06-17	2001-12-18	6.000000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	2001-12-18	2002-12-31	6.000000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	124244	353	2013-05-08
ZEEPIPE IIA	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	124244	353	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	1992-07-03	1992-08-14	8.000000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	1992-08-14	1993-04-01	8.000000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	1993-04-01	1998-12-31	8.000000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	1998-12-31	2000-07-24	8.000000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2000-07-24	2001-01-11	8.000000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2001-01-11	2001-05-10	11.000000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2001-05-10	2001-06-17	11.000000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2001-06-17	2001-12-18	11.000000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2001-12-18	2002-12-31	11.000000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	124244	430	2013-05-08
ZEEPIPE IIA	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	124244	430	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	124244	474	2013-05-08
ZEEPIPE IIA	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	124244	474	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	1992-07-03	1992-08-14	7.000000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	1992-08-14	1993-04-01	7.000000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	1993-04-01	1998-12-31	7.000000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	124244	562	2013-05-08
ZEEPIPE IIA	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	124244	562	2013-05-08
ZEEPIPE IIA	Saga Petroleum ASA	1992-07-03	1992-08-14	3.000000	124244	716	2013-05-08
ZEEPIPE IIA	Saga Petroleum ASA	1992-08-14	1993-04-01	3.000000	124244	716	2013-05-08
ZEEPIPE IIA	Saga Petroleum ASA	1993-04-01	1998-12-31	3.000000	124244	716	2013-05-08
ZEEPIPE IIA	Saga Petroleum ASA	1998-12-31	2000-07-24	3.000000	124244	716	2013-05-08
ZEEPIPE IIA	Saga Petroleum ASA	2000-07-24	2001-01-11	3.000000	124244	716	2013-05-08
ZEEPIPE IIA	Den norske stats oljeselskap a.s	1992-07-03	1992-08-14	70.000000	124244	749	2013-05-08
ZEEPIPE IIA	Den norske stats oljeselskap a.s	1992-08-14	1993-04-01	70.000000	124244	749	2013-05-08
ZEEPIPE IIA	Den norske stats oljeselskap a.s	1993-04-01	1998-12-31	70.000000	124244	749	2013-05-08
ZEEPIPE IIA	Den norske stats oljeselskap a.s	1998-12-31	2000-07-24	70.000000	124244	749	2013-05-08
ZEEPIPE IIA	Den norske stats oljeselskap a.s	2000-07-24	2001-01-11	70.000000	124244	749	2013-05-08
ZEEPIPE IIA	Den norske stats oljeselskap a.s	2001-01-11	2001-05-10	70.000000	124244	749	2013-05-08
ZEEPIPE IIA	Total Norge AS	1992-07-03	1992-08-14	1.000000	124244	848	2013-05-08
ZEEPIPE IIA	Total Norge AS	1992-08-14	1993-04-01	1.000000	124244	848	2013-05-08
ZEEPIPE IIA	Total Norge AS	1993-04-01	1998-12-31	1.298510	124244	848	2013-05-08
ZEEPIPE IIA	Total Norge AS	1998-12-31	2000-07-24	1.298510	124244	848	2013-05-08
ZEEPIPE IIA	Total Norge AS	2000-07-24	2001-01-11	1.298510	124244	848	2013-05-08
ZEEPIPE IIA	Total Norge AS	2001-01-11	2001-05-10	1.298510	124244	848	2013-05-08
ZEEPIPE IIA	Total Norge AS	2001-05-10	2001-06-17	1.298510	124244	848	2013-05-08
ZEEPIPE IIA	Total Norge AS	2001-06-17	2001-12-18	1.298510	124244	848	2013-05-08
ZEEPIPE IIA	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	124244	97557	2013-05-08
ZEEPIPE IIA	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	124244	97557	2013-05-08
ZEEPIPE IIA	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	124244	97557	2013-05-08
ZEEPIPE IIA	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	124244	97557	2013-05-08
ZEEPIPE IIA	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	124244	97557	2013-05-08
ZEEPIPE IIA	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	124244	102714	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	124244	1025067	2013-05-08
ZEEPIPE IIA	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	124244	1025067	2013-05-08
ZEEPIPE IIA	TotalFinaElf Exploration Norge AS	2000-07-24	2001-01-11	3.298500	124244	1340884	2013-05-08
ZEEPIPE IIA	TotalFinaElf Exploration Norge AS	2001-01-11	2001-05-10	3.298500	124244	1340884	2013-05-08
ZEEPIPE IIA	TotalFinaElf Exploration Norge AS	2001-05-10	2001-06-17	3.298500	124244	1340884	2013-05-08
ZEEPIPE IIA	TotalFinaElf Exploration Norge AS	2001-06-17	2001-12-18	3.298500	124244	1340884	2013-05-08
ZEEPIPE IIA	TotalFinaElf Exploration Norge AS	2001-12-18	2002-12-31	4.597010	124244	1340884	2013-05-08
ZEEPIPE IIA	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	124244	1340884	2013-05-08
ZEEPIPE IIA	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	124244	1340884	2013-05-08
ZEEPIPE IIA	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	124244	1340884	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2001-05-10	2001-06-17	15.000000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2001-06-17	2001-12-18	15.000000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2001-12-18	2002-12-31	15.000000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	124244	1622484	2013-05-08
ZEEPIPE IIA	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	124244	1622484	2013-05-08
ZEEPIPE IIA	SDØE	2001-05-10	2001-06-17	55.000000	124244	1623450	2013-05-08
ZEEPIPE IIA	Petoro AS	2001-06-17	2001-12-18	55.000000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2001-12-18	2002-12-31	55.000000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2003-01-01	2003-03-04	38.293000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2003-03-04	2003-03-22	38.293000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2003-03-22	2003-05-06	38.293000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2003-05-06	2003-12-31	38.293000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2003-12-31	2004-10-01	38.293000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2004-10-01	2005-10-01	38.293000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2005-10-01	2006-09-01	38.627000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2006-09-01	2007-01-01	38.245000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2007-01-01	2007-01-02	38.245000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2007-01-02	2007-09-01	38.245000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2007-09-01	2007-10-01	37.892000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2007-10-01	2009-01-01	37.892000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2009-01-01	2009-01-02	38.459000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2009-01-02	2009-01-03	38.459000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2009-01-03	2009-01-04	38.459000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2009-01-04	2009-11-01	38.459000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2009-11-01	2010-01-01	38.459000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2010-01-01	2010-06-01	38.459000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2010-06-01	2011-01-01	38.435000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2011-01-01	2011-01-02	45.793000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2011-01-02	2011-01-03	45.793000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2011-01-03	2012-01-01	45.793000	124244	1626839	2013-05-08
ZEEPIPE IIA	Petoro AS	2012-01-01	9999-12-31	45.793000	124244	1626839	2013-05-08
ZEEPIPE IIA	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	124244	1853786	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	1998-12-31	2000-07-24	7.000000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2000-07-24	2001-01-11	7.000000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2001-01-11	2001-05-10	7.000000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2001-05-10	2001-06-17	7.000000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2001-06-17	2001-12-18	7.000000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2001-12-18	2002-12-31	7.000000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	124244	2066214	2013-05-08
ZEEPIPE IIA	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	124244	2066214	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2003-03-04	2003-03-22	0.807000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2003-03-22	2003-05-06	0.807000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2003-05-06	2003-12-31	0.807000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2003-12-31	2004-10-01	1.669000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2004-10-01	2005-10-01	1.669000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2005-10-01	2006-09-01	1.688000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2006-09-01	2007-01-01	1.574000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2007-01-01	2007-01-02	1.574000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2007-01-02	2007-09-01	1.574000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2007-09-01	2007-10-01	1.556000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2007-10-01	2009-01-01	1.556000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2009-01-01	2009-01-02	1.525000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2009-01-02	2009-01-03	1.525000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2009-01-03	2009-01-04	1.525000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2009-01-04	2009-11-01	1.525000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2009-11-01	2010-01-01	1.525000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2010-01-01	2010-06-01	1.525000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2010-06-01	2011-01-01	1.521000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2011-01-01	2011-01-02	1.276000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2011-01-02	2011-01-03	1.276000	124244	2388594	2013-05-08
ZEEPIPE IIA	Eni Norge AS	2011-01-03	2012-01-01	1.276000	124244	2388594	2013-05-08
ZEEPIPE IIA	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	124244	2399056	2013-05-08
ZEEPIPE IIA	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	124244	2399056	2013-05-08
ZEEPIPE IIA	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	124244	2399056	2013-05-08
ZEEPIPE IIA	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	124244	2399056	2013-05-08
ZEEPIPE IIA	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	124244	2399056	2013-05-08
ZEEPIPE IIA	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	124244	2399056	2013-05-08
ZEEPIPE IIA	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	124244	2399056	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	124244	2410696	2013-05-08
ZEEPIPE IIA	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	124244	2410696	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	124244	2410708	2013-05-08
ZEEPIPE IIA	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	124244	2410708	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	124244	2835212	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	124253	1025067	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	124244	2835212	2013-05-08
ZEEPIPE IIA	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	124244	2835212	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	124244	4070011	2013-05-08
ZEEPIPE IIA	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	124244	4070011	2013-05-08
ZEEPIPE IIA	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	124244	4511658	2013-05-08
ZEEPIPE IIA	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	124244	4511658	2013-05-08
ZEEPIPE IIA	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	124244	4511658	2013-05-08
ZEEPIPE IIA	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	124244	4511658	2013-05-08
ZEEPIPE IIA	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	124244	4511658	2013-05-08
ZEEPIPE IIA	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	124244	4511854	2013-05-08
ZEEPIPE IIA	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	124244	4511854	2013-05-08
ZEEPIPE IIA	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	124244	4511854	2013-05-08
ZEEPIPE IIA	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	124244	4524355	2013-05-08
ZEEPIPE IIA	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	124244	4524355	2013-05-08
ZEEPIPE IIA	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	124244	4524355	2013-05-08
ZEEPIPE IIA	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	124244	5267845	2013-05-08
ZEEPIPE IIA	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	124244	5267845	2013-05-08
ZEEPIPE IIA	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	124244	5267845	2013-05-08
ZEEPIPE IIA	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	124244	5267845	2013-05-08
ZEEPIPE IIA	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	124244	5267845	2013-05-08
ZEEPIPE IIA	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	124244	17237817	2013-05-08
ZEEPIPE IIA	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	124244	17237817	2013-05-08
ZEEPIPE IIA	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	124244	17237817	2013-05-08
ZEEPIPE IIA	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	124244	17237817	2013-05-08
ZEEPIPE IIA	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	124244	17237817	2013-05-08
ZEEPIPE IIA	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	124244	17237817	2013-05-08
ZEEPIPE IIA	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	124244	17237817	2013-05-08
ZEEPIPE IIA	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	124244	20440816	2013-05-08
ZEEPIPE IIA	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	124244	20440816	2013-05-08
ZEEPIPE IIA	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	124244	20440816	2013-05-08
ZEEPIPE IIA	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	124244	21139140	2013-05-08
ZEEPIPE IIA	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	124244	21139140	2013-05-08
ZEEPIPE IIA	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	124244	21139652	2013-05-08
ZEEPIPE IIA	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	124244	21139652	2013-05-08
ZEEPIPE IIA	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	124244	21139663	2013-05-08
ZEEPIPE IIA	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	124244	21139663	2013-05-08
ZEEPIPE IIB	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	124253	45	2013-05-08
ZEEPIPE IIB	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	124253	45	2013-05-08
ZEEPIPE IIB	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	124253	45	2013-05-08
ZEEPIPE IIB	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	124253	45	2013-05-08
ZEEPIPE IIB	Norske Conoco A/S	1995-01-27	1992-08-14	1.701500	124253	221	2013-05-08
ZEEPIPE IIB	Norske Conoco A/S	1995-01-27	1993-04-01	1.701500	124253	221	2013-05-08
ZEEPIPE IIB	Norske Conoco A/S	1995-01-27	1998-12-31	1.402990	124253	221	2013-05-08
ZEEPIPE IIB	Norske Conoco A/S	1998-12-31	2000-07-24	1.402990	124253	221	2013-05-08
ZEEPIPE IIB	Norske Conoco A/S	2000-07-24	2001-01-11	1.402990	124253	221	2013-05-08
ZEEPIPE IIB	Norske Conoco A/S	2001-01-11	2001-05-10	1.402990	124253	221	2013-05-08
ZEEPIPE IIB	Norske Conoco A/S	2001-05-10	2001-06-17	1.402990	124253	221	2013-05-08
ZEEPIPE IIB	Norske Conoco A/S	2001-06-17	2001-12-18	1.402990	124253	221	2013-05-08
ZEEPIPE IIB	Norske Conoco A/S	2001-12-18	2002-12-31	1.402990	124253	221	2013-05-08
ZEEPIPE IIB	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	124253	221	2013-05-08
ZEEPIPE IIB	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	124253	221	2013-05-08
ZEEPIPE IIB	Elf Petroleum Norge AS	1995-01-27	1993-04-01	3.298500	124253	298	2013-05-08
ZEEPIPE IIB	Elf Petroleum Norge AS	1995-01-27	1998-12-31	3.298500	124253	298	2013-05-08
ZEEPIPE IIB	Elf Petroleum Norge AS	1998-12-31	2000-07-24	3.298500	124253	298	2013-05-08
ZEEPIPE IIB	Elf Aquitaine Norge A/S	1995-01-27	1992-08-14	3.298500	124253	331	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	1995-01-27	1992-08-14	6.000000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	1995-01-27	1993-04-01	6.000000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	1995-01-27	1998-12-31	6.000000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	1998-12-31	2000-07-24	6.000000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	2000-07-24	2001-01-11	6.000000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	2001-01-11	2001-05-10	6.000000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	2001-05-10	2001-06-17	6.000000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	2001-06-17	2001-12-18	6.000000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	2001-12-18	2002-12-31	6.000000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	124253	353	2013-05-08
ZEEPIPE IIB	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	124253	353	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	1995-01-27	1992-08-14	8.000000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	1995-01-27	1993-04-01	8.000000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	1995-01-27	1998-12-31	8.000000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	1998-12-31	2000-07-24	8.000000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2000-07-24	2001-01-11	8.000000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2001-01-11	2001-05-10	11.000000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2001-05-10	2001-06-17	11.000000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2001-06-17	2001-12-18	11.000000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2001-12-18	2002-12-31	11.000000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	124253	430	2013-05-08
ZEEPIPE IIB	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	124253	430	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	124253	474	2013-05-08
ZEEPIPE IIB	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	124253	474	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	1995-01-27	1992-08-14	7.000000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	1995-01-27	1993-04-01	7.000000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	1995-01-27	1998-12-31	7.000000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	124253	562	2013-05-08
ZEEPIPE IIB	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	124253	562	2013-05-08
ZEEPIPE IIB	Saga Petroleum ASA	1995-01-27	1992-08-14	3.000000	124253	716	2013-05-08
ZEEPIPE IIB	Saga Petroleum ASA	1995-01-27	1993-04-01	3.000000	124253	716	2013-05-08
ZEEPIPE IIB	Saga Petroleum ASA	1995-01-27	1998-12-31	3.000000	124253	716	2013-05-08
ZEEPIPE IIB	Saga Petroleum ASA	1998-12-31	2000-07-24	3.000000	124253	716	2013-05-08
ZEEPIPE IIB	Saga Petroleum ASA	2000-07-24	2001-01-11	3.000000	124253	716	2013-05-08
ZEEPIPE IIB	Den norske stats oljeselskap a.s	1995-01-27	1992-08-14	70.000000	124253	749	2013-05-08
ZEEPIPE IIB	Den norske stats oljeselskap a.s	1995-01-27	1993-04-01	70.000000	124253	749	2013-05-08
ZEEPIPE IIB	Den norske stats oljeselskap a.s	1995-01-27	1998-12-31	70.000000	124253	749	2013-05-08
ZEEPIPE IIB	Den norske stats oljeselskap a.s	1998-12-31	2000-07-24	70.000000	124253	749	2013-05-08
ZEEPIPE IIB	Den norske stats oljeselskap a.s	2000-07-24	2001-01-11	70.000000	124253	749	2013-05-08
ZEEPIPE IIB	Den norske stats oljeselskap a.s	2001-01-11	2001-05-10	70.000000	124253	749	2013-05-08
ZEEPIPE IIB	Total Norge AS	1995-01-27	1992-08-14	1.000000	124253	848	2013-05-08
ZEEPIPE IIB	Total Norge AS	1995-01-27	1993-04-01	1.000000	124253	848	2013-05-08
ZEEPIPE IIB	Total Norge AS	1995-01-27	1998-12-31	1.298510	124253	848	2013-05-08
ZEEPIPE IIB	Total Norge AS	1998-12-31	2000-07-24	1.298510	124253	848	2013-05-08
ZEEPIPE IIB	Total Norge AS	2000-07-24	2001-01-11	1.298510	124253	848	2013-05-08
ZEEPIPE IIB	Total Norge AS	2001-01-11	2001-05-10	1.298510	124253	848	2013-05-08
ZEEPIPE IIB	Total Norge AS	2001-05-10	2001-06-17	1.298510	124253	848	2013-05-08
ZEEPIPE IIB	Total Norge AS	2001-06-17	2001-12-18	1.298510	124253	848	2013-05-08
ZEEPIPE IIB	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	124253	97557	2013-05-08
ZEEPIPE IIB	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	124253	97557	2013-05-08
ZEEPIPE IIB	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	124253	97557	2013-05-08
ZEEPIPE IIB	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	124253	97557	2013-05-08
ZEEPIPE IIB	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	124253	97557	2013-05-08
ZEEPIPE IIB	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	124253	102714	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	124253	1025067	2013-05-08
ZEEPIPE IIB	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	124253	1025067	2013-05-08
ZEEPIPE IIB	TotalFinaElf Exploration Norge AS	2000-07-24	2001-01-11	3.298500	124253	1340884	2013-05-08
ZEEPIPE IIB	TotalFinaElf Exploration Norge AS	2001-01-11	2001-05-10	3.298500	124253	1340884	2013-05-08
ZEEPIPE IIB	TotalFinaElf Exploration Norge AS	2001-05-10	2001-06-17	3.298500	124253	1340884	2013-05-08
ZEEPIPE IIB	TotalFinaElf Exploration Norge AS	2001-06-17	2001-12-18	3.298500	124253	1340884	2013-05-08
ZEEPIPE IIB	TotalFinaElf Exploration Norge AS	2001-12-18	2002-12-31	4.597010	124253	1340884	2013-05-08
ZEEPIPE IIB	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	124253	1340884	2013-05-08
ZEEPIPE IIB	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	124253	1340884	2013-05-08
ZEEPIPE IIB	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	124253	1340884	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2001-05-10	2001-06-17	15.000000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2001-06-17	2001-12-18	15.000000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2001-12-18	2002-12-31	15.000000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	124253	1622484	2013-05-08
ZEEPIPE IIB	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	124253	1622484	2013-05-08
ZEEPIPE IIB	SDØE	2001-05-10	2001-06-17	55.000000	124253	1623450	2013-05-08
ZEEPIPE IIB	Petoro AS	2001-06-17	2001-12-18	55.000000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2001-12-18	2002-12-31	55.000000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2003-01-01	2003-03-04	38.293000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2003-03-04	2003-03-22	38.293000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2003-03-22	2003-05-06	38.293000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2003-05-06	2003-12-31	38.293000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2003-12-31	2004-10-01	38.293000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2004-10-01	2005-10-01	38.293000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2005-10-01	2006-09-01	38.627000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2006-09-01	2007-01-01	38.245000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2007-01-01	2007-01-02	38.245000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2007-01-02	2007-09-01	38.245000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2007-09-01	2007-10-01	37.892000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2007-10-01	2009-01-01	37.892000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2009-01-01	2009-01-02	38.459000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2009-01-02	2009-01-03	38.459000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2009-01-03	2009-01-04	38.459000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2009-01-04	2009-11-01	38.459000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2009-11-01	2010-01-01	38.459000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2010-01-01	2010-06-01	38.459000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2010-06-01	2011-01-01	38.435000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2011-01-01	2011-01-02	45.793000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2011-01-02	2011-01-03	45.793000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2011-01-03	2012-01-01	45.793000	124253	1626839	2013-05-08
ZEEPIPE IIB	Petoro AS	2012-01-01	9999-12-31	45.793000	124253	1626839	2013-05-08
ZEEPIPE IIB	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	124253	1853786	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	1998-12-31	2000-07-24	7.000000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2000-07-24	2001-01-11	7.000000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2001-01-11	2001-05-10	7.000000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2001-05-10	2001-06-17	7.000000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2001-06-17	2001-12-18	7.000000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2001-12-18	2002-12-31	7.000000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	124253	2066214	2013-05-08
ZEEPIPE IIB	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	124253	2066214	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2003-03-04	2003-03-22	0.807000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2003-03-22	2003-05-06	0.807000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2003-05-06	2003-12-31	0.807000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2003-12-31	2004-10-01	1.669000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2004-10-01	2005-10-01	1.669000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2005-10-01	2006-09-01	1.688000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2006-09-01	2007-01-01	1.574000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2007-01-01	2007-01-02	1.574000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2007-01-02	2007-09-01	1.574000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2007-09-01	2007-10-01	1.556000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2007-10-01	2009-01-01	1.556000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2009-01-01	2009-01-02	1.525000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2009-01-02	2009-01-03	1.525000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2009-01-03	2009-01-04	1.525000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2009-01-04	2009-11-01	1.525000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2009-11-01	2010-01-01	1.525000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2010-01-01	2010-06-01	1.525000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2010-06-01	2011-01-01	1.521000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2011-01-01	2011-01-02	1.276000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2011-01-02	2011-01-03	1.276000	124253	2388594	2013-05-08
ZEEPIPE IIB	Eni Norge AS	2011-01-03	2012-01-01	1.276000	124253	2388594	2013-05-08
ZEEPIPE IIB	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	124253	2399056	2013-05-08
ZEEPIPE IIB	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	124253	2399056	2013-05-08
ZEEPIPE IIB	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	124253	2399056	2013-05-08
ZEEPIPE IIB	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	124253	2399056	2013-05-08
ZEEPIPE IIB	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	124253	2399056	2013-05-08
ZEEPIPE IIB	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	124253	2399056	2013-05-08
ZEEPIPE IIB	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	124253	2399056	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	124253	2410696	2013-05-08
ZEEPIPE IIB	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	124253	2410696	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	124253	2410708	2013-05-08
ZEEPIPE IIB	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	124253	2410708	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	124253	2835212	2013-05-08
ZEEPIPE IIB	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	124253	2835212	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	124253	4070011	2013-05-08
ZEEPIPE IIB	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	124253	4070011	2013-05-08
ZEEPIPE IIB	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	124253	4511658	2013-05-08
ZEEPIPE IIB	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	124253	4511658	2013-05-08
ZEEPIPE IIB	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	124253	4511658	2013-05-08
ZEEPIPE IIB	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	124253	4511658	2013-05-08
ZEEPIPE IIB	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	124253	4511658	2013-05-08
ZEEPIPE IIB	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	124253	4511854	2013-05-08
ZEEPIPE IIB	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	124253	4511854	2013-05-08
ZEEPIPE IIB	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	124253	4511854	2013-05-08
ZEEPIPE IIB	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	124253	4524355	2013-05-08
ZEEPIPE IIB	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	124253	4524355	2013-05-08
ZEEPIPE IIB	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	124253	4524355	2013-05-08
ZEEPIPE IIB	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	124253	5267845	2013-05-08
ZEEPIPE IIB	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	124253	5267845	2013-05-08
ZEEPIPE IIB	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	124253	5267845	2013-05-08
ZEEPIPE IIB	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	124253	5267845	2013-05-08
ZEEPIPE IIB	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	124253	5267845	2013-05-08
ZEEPIPE IIB	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	124253	17237817	2013-05-08
ZEEPIPE IIB	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	124253	17237817	2013-05-08
ZEEPIPE IIB	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	124253	17237817	2013-05-08
ZEEPIPE IIB	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	124253	17237817	2013-05-08
ZEEPIPE IIB	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	124253	17237817	2013-05-08
ZEEPIPE IIB	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	124253	17237817	2013-05-08
ZEEPIPE IIB	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	124253	17237817	2013-05-08
ZEEPIPE IIB	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	124253	20440816	2013-05-08
ZEEPIPE IIB	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	124253	20440816	2013-05-08
ZEEPIPE IIB	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	124253	20440816	2013-05-08
ZEEPIPE IIB	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	124253	21139140	2013-05-08
ZEEPIPE IIB	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	124253	21139140	2013-05-08
ZEEPIPE IIB	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	124253	21139652	2013-05-08
ZEEPIPE IIB	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	124253	21139652	2013-05-08
ZEEPIPE IIB	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	124253	21139663	2013-05-08
ZEEPIPE IIB	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	124253	21139663	2013-05-08
EUROPIPE I	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	124262	45	2013-05-08
EUROPIPE I	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	124262	45	2013-05-08
EUROPIPE I	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	124262	45	2013-05-08
EUROPIPE I	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	124262	45	2013-05-08
EUROPIPE I	Norske Conoco A/S	1992-12-11	1992-08-14	1.701500	124262	221	2013-05-08
EUROPIPE I	Norske Conoco A/S	1992-12-11	1993-04-01	1.701500	124262	221	2013-05-08
EUROPIPE I	Norske Conoco A/S	1993-04-01	1998-12-31	1.402990	124262	221	2013-05-08
EUROPIPE I	Norske Conoco A/S	1998-12-31	2000-07-24	1.402990	124262	221	2013-05-08
EUROPIPE I	Norske Conoco A/S	2000-07-24	2001-01-11	1.402990	124262	221	2013-05-08
EUROPIPE I	Norske Conoco A/S	2001-01-11	2001-05-10	1.402990	124262	221	2013-05-08
EUROPIPE I	Norske Conoco A/S	2001-05-10	2001-06-17	1.402990	124262	221	2013-05-08
EUROPIPE I	Norske Conoco A/S	2001-06-17	2001-12-18	1.402990	124262	221	2013-05-08
EUROPIPE I	Norske Conoco A/S	2001-12-18	2002-12-31	1.402990	124262	221	2013-05-08
EUROPIPE I	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	124262	221	2013-05-08
EUROPIPE I	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	124262	221	2013-05-08
EUROPIPE I	Elf Petroleum Norge AS	1992-12-11	1993-04-01	3.298500	124262	298	2013-05-08
EUROPIPE I	Elf Petroleum Norge AS	1993-04-01	1998-12-31	3.298500	124262	298	2013-05-08
EUROPIPE I	Elf Petroleum Norge AS	1998-12-31	2000-07-24	3.298500	124262	298	2013-05-08
EUROPIPE I	Elf Aquitaine Norge A/S	1992-12-11	1992-08-14	3.298500	124262	331	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	1992-12-11	1992-08-14	6.000000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	1992-12-11	1993-04-01	6.000000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	1993-04-01	1998-12-31	6.000000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	1998-12-31	2000-07-24	6.000000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	2000-07-24	2001-01-11	6.000000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	2001-01-11	2001-05-10	6.000000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	2001-05-10	2001-06-17	6.000000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	2001-06-17	2001-12-18	6.000000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	2001-12-18	2002-12-31	6.000000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	124262	353	2013-05-08
EUROPIPE I	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	124262	353	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	1992-12-11	1992-08-14	8.000000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	1992-12-11	1993-04-01	8.000000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	1993-04-01	1998-12-31	8.000000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	1998-12-31	2000-07-24	8.000000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2000-07-24	2001-01-11	8.000000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2001-01-11	2001-05-10	11.000000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2001-05-10	2001-06-17	11.000000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2001-06-17	2001-12-18	11.000000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2001-12-18	2002-12-31	11.000000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	124262	430	2013-05-08
EUROPIPE I	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	124262	430	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	124262	474	2013-05-08
EUROPIPE I	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	124262	474	2013-05-08
EUROPIPE I	A/S Norske Shell	1992-12-11	1992-08-14	7.000000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	1992-12-11	1993-04-01	7.000000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	1993-04-01	1998-12-31	7.000000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	124262	562	2013-05-08
EUROPIPE I	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	124262	562	2013-05-08
EUROPIPE I	Saga Petroleum ASA	1992-12-11	1992-08-14	3.000000	124262	716	2013-05-08
EUROPIPE I	Saga Petroleum ASA	1992-12-11	1993-04-01	3.000000	124262	716	2013-05-08
EUROPIPE I	Saga Petroleum ASA	1993-04-01	1998-12-31	3.000000	124262	716	2013-05-08
EUROPIPE I	Saga Petroleum ASA	1998-12-31	2000-07-24	3.000000	124262	716	2013-05-08
EUROPIPE I	Saga Petroleum ASA	2000-07-24	2001-01-11	3.000000	124262	716	2013-05-08
EUROPIPE I	Den norske stats oljeselskap a.s	1992-12-11	1992-08-14	70.000000	124262	749	2013-05-08
EUROPIPE I	Den norske stats oljeselskap a.s	1992-12-11	1993-04-01	70.000000	124262	749	2013-05-08
EUROPIPE I	Den norske stats oljeselskap a.s	1993-04-01	1998-12-31	70.000000	124262	749	2013-05-08
EUROPIPE I	Den norske stats oljeselskap a.s	1998-12-31	2000-07-24	70.000000	124262	749	2013-05-08
EUROPIPE I	Den norske stats oljeselskap a.s	2000-07-24	2001-01-11	70.000000	124262	749	2013-05-08
EUROPIPE I	Den norske stats oljeselskap a.s	2001-01-11	2001-05-10	70.000000	124262	749	2013-05-08
EUROPIPE I	Total Norge AS	1992-12-11	1992-08-14	1.000000	124262	848	2013-05-08
EUROPIPE I	Total Norge AS	1992-12-11	1993-04-01	1.000000	124262	848	2013-05-08
EUROPIPE I	Total Norge AS	1993-04-01	1998-12-31	1.298510	124262	848	2013-05-08
EUROPIPE I	Total Norge AS	1998-12-31	2000-07-24	1.298510	124262	848	2013-05-08
EUROPIPE I	Total Norge AS	2000-07-24	2001-01-11	1.298510	124262	848	2013-05-08
EUROPIPE I	Total Norge AS	2001-01-11	2001-05-10	1.298510	124262	848	2013-05-08
EUROPIPE I	Total Norge AS	2001-05-10	2001-06-17	1.298510	124262	848	2013-05-08
EUROPIPE I	Total Norge AS	2001-06-17	2001-12-18	1.298510	124262	848	2013-05-08
EUROPIPE I	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	124262	97557	2013-05-08
EUROPIPE I	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	124262	97557	2013-05-08
EUROPIPE I	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	124262	97557	2013-05-08
EUROPIPE I	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	124262	97557	2013-05-08
EUROPIPE I	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	124262	97557	2013-05-08
EUROPIPE I	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	124262	102714	2013-05-08
EUROPIPE I	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	124262	1025067	2013-05-08
EUROPIPE I	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	124262	1025067	2013-05-08
EUROPIPE I	TotalFinaElf Exploration Norge AS	2000-07-24	2001-01-11	3.298500	124262	1340884	2013-05-08
EUROPIPE I	TotalFinaElf Exploration Norge AS	2001-01-11	2001-05-10	3.298500	124262	1340884	2013-05-08
EUROPIPE I	TotalFinaElf Exploration Norge AS	2001-05-10	2001-06-17	3.298500	124262	1340884	2013-05-08
EUROPIPE I	TotalFinaElf Exploration Norge AS	2001-06-17	2001-12-18	3.298500	124262	1340884	2013-05-08
EUROPIPE I	TotalFinaElf Exploration Norge AS	2001-12-18	2002-12-31	4.597010	124262	1340884	2013-05-08
EUROPIPE I	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	124262	1340884	2013-05-08
EUROPIPE I	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	124262	1340884	2013-05-08
EUROPIPE I	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	124262	1340884	2013-05-08
EUROPIPE I	Statoil ASA (old)	2001-05-10	2001-06-17	15.000000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2001-06-17	2001-12-18	15.000000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2001-12-18	2002-12-31	15.000000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	124262	1622484	2013-05-08
EUROPIPE I	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	124262	1622484	2013-05-08
EUROPIPE I	SDØE	2001-05-10	2001-06-17	55.000000	124262	1623450	2013-05-08
EUROPIPE I	Petoro AS	2001-06-17	2001-12-18	55.000000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2001-12-18	2002-12-31	55.000000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2003-01-01	2003-03-04	38.293000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2003-03-04	2003-03-22	38.293000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2003-03-22	2003-05-06	38.293000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2003-05-06	2003-12-31	38.293000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2003-12-31	2004-10-01	38.293000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2004-10-01	2005-10-01	38.293000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2005-10-01	2006-09-01	38.627000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2006-09-01	2007-01-01	38.245000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2007-01-01	2007-01-02	38.245000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2007-01-02	2007-09-01	38.245000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2007-09-01	2007-10-01	37.892000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2007-10-01	2009-01-01	37.892000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2009-01-01	2009-01-02	38.459000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2009-01-02	2009-01-03	38.459000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2009-01-03	2009-01-04	38.459000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2009-01-04	2009-11-01	38.459000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2009-11-01	2010-01-01	38.459000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2010-01-01	2010-06-01	38.459000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2010-06-01	2011-01-01	38.435000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2011-01-01	2011-01-02	45.793000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2011-01-02	2011-01-03	45.793000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2011-01-03	2012-01-01	45.793000	124262	1626839	2013-05-08
EUROPIPE I	Petoro AS	2012-01-01	9999-12-31	45.793000	124262	1626839	2013-05-08
EUROPIPE I	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	124262	1853786	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	1998-12-31	2000-07-24	7.000000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2000-07-24	2001-01-11	7.000000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2001-01-11	2001-05-10	7.000000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2001-05-10	2001-06-17	7.000000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2001-06-17	2001-12-18	7.000000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2001-12-18	2002-12-31	7.000000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	124262	2066214	2013-05-08
EUROPIPE I	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	124262	2066214	2013-05-08
EUROPIPE I	Eni Norge AS	2003-03-04	2003-03-22	0.807000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2003-03-22	2003-05-06	0.807000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2003-05-06	2003-12-31	0.807000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2003-12-31	2004-10-01	1.669000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2004-10-01	2005-10-01	1.669000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2005-10-01	2006-09-01	1.688000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2006-09-01	2007-01-01	1.574000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2007-01-01	2007-01-02	1.574000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2007-01-02	2007-09-01	1.574000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2007-09-01	2007-10-01	1.556000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2007-10-01	2009-01-01	1.556000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2009-01-01	2009-01-02	1.525000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2009-01-02	2009-01-03	1.525000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2009-01-03	2009-01-04	1.525000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2009-01-04	2009-11-01	1.525000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2009-11-01	2010-01-01	1.525000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2010-01-01	2010-06-01	1.525000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2010-06-01	2011-01-01	1.521000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2011-01-01	2011-01-02	1.276000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2011-01-02	2011-01-03	1.276000	124262	2388594	2013-05-08
EUROPIPE I	Eni Norge AS	2011-01-03	2012-01-01	1.276000	124262	2388594	2013-05-08
EUROPIPE I	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	124262	2399056	2013-05-08
EUROPIPE I	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	124262	2399056	2013-05-08
EUROPIPE I	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	124262	2399056	2013-05-08
EUROPIPE I	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	124262	2399056	2013-05-08
EUROPIPE I	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	124262	2399056	2013-05-08
EUROPIPE I	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	124262	2399056	2013-05-08
EUROPIPE I	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	124262	2399056	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	124262	2410696	2013-05-08
EUROPIPE I	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	124262	2410696	2013-05-08
EUROPIPE I	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	124262	2410708	2013-05-08
EUROPIPE I	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	124262	2410708	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	124262	2835212	2013-05-08
EUROPIPE I	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	124262	2835212	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	124262	4070011	2013-05-08
EUROPIPE I	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	124262	4070011	2013-05-08
EUROPIPE I	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	124262	4511658	2013-05-08
EUROPIPE I	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	124262	4511658	2013-05-08
EUROPIPE I	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	124262	4511658	2013-05-08
EUROPIPE I	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	124262	4511658	2013-05-08
EUROPIPE I	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	124262	4511658	2013-05-08
EUROPIPE I	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	124262	4511854	2013-05-08
EUROPIPE I	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	124262	4511854	2013-05-08
EUROPIPE I	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	124262	4511854	2013-05-08
EUROPIPE I	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	124262	4524355	2013-05-08
EUROPIPE I	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	124262	4524355	2013-05-08
EUROPIPE I	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	124262	4524355	2013-05-08
EUROPIPE I	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	124262	5267845	2013-05-08
EUROPIPE I	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	124262	5267845	2013-05-08
EUROPIPE I	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	124262	5267845	2013-05-08
EUROPIPE I	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	124262	5267845	2013-05-08
EUROPIPE I	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	124262	5267845	2013-05-08
EUROPIPE I	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	124262	17237817	2013-05-08
EUROPIPE I	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	124262	17237817	2013-05-08
EUROPIPE I	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	124262	17237817	2013-05-08
EUROPIPE I	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	124262	17237817	2013-05-08
EUROPIPE I	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	124262	17237817	2013-05-08
EUROPIPE I	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	124262	17237817	2013-05-08
EUROPIPE I	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	124262	17237817	2013-05-08
EUROPIPE I	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	124262	20440816	2013-05-08
EUROPIPE I	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	124262	20440816	2013-05-08
EUROPIPE I	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	124262	20440816	2013-05-08
EUROPIPE I	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	124262	21139140	2013-05-08
EUROPIPE I	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	124262	21139140	2013-05-08
EUROPIPE I	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	124262	21139652	2013-05-08
EUROPIPE I	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	124262	21139652	2013-05-08
EUROPIPE I	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	124262	21139663	2013-05-08
EUROPIPE I	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	124262	21139663	2013-05-08
VESTERLED	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	124280	45	2013-05-08
VESTERLED	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	124280	45	2013-05-08
VESTERLED	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	124280	45	2013-05-08
VESTERLED	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	124280	45	2013-05-08
VESTERLED	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	124280	221	2013-05-08
VESTERLED	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	124280	221	2013-05-08
VESTERLED	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	124280	353	2013-05-08
VESTERLED	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	124280	353	2013-05-08
VESTERLED	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	124280	353	2013-05-08
VESTERLED	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	124280	353	2013-05-08
VESTERLED	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	124280	353	2013-05-08
VESTERLED	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	124280	430	2013-05-08
VESTERLED	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	124280	430	2013-05-08
VESTERLED	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	124280	430	2013-05-08
VESTERLED	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	124280	430	2013-05-08
VESTERLED	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	124280	430	2013-05-08
VESTERLED	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	124280	430	2013-05-08
VESTERLED	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	124280	430	2013-05-08
VESTERLED	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	124280	430	2013-05-08
VESTERLED	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	124280	474	2013-05-08
VESTERLED	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	124280	474	2013-05-08
VESTERLED	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	124280	562	2013-05-08
VESTERLED	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	124280	562	2013-05-08
VESTERLED	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	124280	97557	2013-05-08
VESTERLED	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	124280	97557	2013-05-08
VESTERLED	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	124280	97557	2013-05-08
VESTERLED	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	124280	97557	2013-05-08
VESTERLED	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	124280	97557	2013-05-08
VESTERLED	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	124280	102714	2013-05-08
VESTERLED	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	124280	1025067	2013-05-08
VESTERLED	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	124280	1025067	2013-05-08
VESTERLED	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	124280	1340884	2013-05-08
VESTERLED	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	124280	1340884	2013-05-08
VESTERLED	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	124280	1340884	2013-05-08
VESTERLED	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	124280	1622484	2013-05-08
VESTERLED	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	124280	1622484	2013-05-08
VESTERLED	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	124280	1622484	2013-05-08
VESTERLED	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	124280	1622484	2013-05-08
VESTERLED	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	124280	1622484	2013-05-08
VESTERLED	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	124280	1622484	2013-05-08
VESTERLED	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	124280	1622484	2013-05-08
VESTERLED	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	124280	1622484	2013-05-08
VESTERLED	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	124280	1622484	2013-05-08
VESTERLED	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	124280	1622484	2013-05-08
VESTERLED	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	124280	1622484	2013-05-08
VESTERLED	Petoro AS	2003-01-01	2003-03-04	38.293000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2003-03-04	2003-03-22	38.293000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2003-03-22	2003-05-06	38.293000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2003-05-06	2003-12-31	38.293000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2003-12-31	2004-10-01	38.293000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2004-10-01	2005-10-01	38.293000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2005-10-01	2006-09-01	38.627000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2006-09-01	2007-01-01	38.245000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2007-01-01	2007-01-02	38.245000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2007-01-02	2007-09-01	38.245000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2007-09-01	2007-10-01	37.892000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2007-10-01	2009-01-01	37.892000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2009-01-01	2009-01-02	38.459000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2009-01-02	2009-01-03	38.459000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2009-01-03	2009-01-04	38.459000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2009-01-04	2009-11-01	38.459000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2009-11-01	2010-01-01	38.459000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2010-01-01	2010-06-01	38.459000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2010-06-01	2011-01-01	38.435000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2011-01-01	2011-01-02	45.793000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2011-01-02	2011-01-03	45.793000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2011-01-03	2012-01-01	45.793000	124280	1626839	2013-05-08
VESTERLED	Petoro AS	2012-01-01	9999-12-31	45.793000	124280	1626839	2013-05-08
VESTERLED	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	124280	1853786	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	124280	2066214	2013-05-08
VESTERLED	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	124280	2066214	2013-05-08
VESTERLED	Eni Norge AS	2003-03-04	2003-03-22	0.807000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2003-03-22	2003-05-06	0.807000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2003-05-06	2003-12-31	0.807000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2003-12-31	2004-10-01	1.669000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2004-10-01	2005-10-01	1.669000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2005-10-01	2006-09-01	1.688000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2006-09-01	2007-01-01	1.574000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2007-01-01	2007-01-02	1.574000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2007-01-02	2007-09-01	1.574000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2007-09-01	2007-10-01	1.556000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2007-10-01	2009-01-01	1.556000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2009-01-01	2009-01-02	1.525000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2009-01-02	2009-01-03	1.525000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2009-01-03	2009-01-04	1.525000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2009-01-04	2009-11-01	1.525000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2009-11-01	2010-01-01	1.525000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2010-01-01	2010-06-01	1.525000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2010-06-01	2011-01-01	1.521000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2011-01-01	2011-01-02	1.276000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2011-01-02	2011-01-03	1.276000	124280	2388594	2013-05-08
VESTERLED	Eni Norge AS	2011-01-03	2012-01-01	1.276000	124280	2388594	2013-05-08
VESTERLED	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	124280	2399056	2013-05-08
VESTERLED	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	124280	2399056	2013-05-08
VESTERLED	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	124280	2399056	2013-05-08
VESTERLED	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	124280	2399056	2013-05-08
VESTERLED	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	124280	2399056	2013-05-08
VESTERLED	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	124280	2399056	2013-05-08
VESTERLED	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	124280	2399056	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	124280	2410696	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	124280	2410696	2013-05-08
VESTERLED	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	124280	2410708	2013-05-08
VESTERLED	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	124280	2410708	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	124280	2835212	2013-05-08
VESTERLED	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	124280	2835212	2013-05-08
VESTERLED	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	124280	4070011	2013-05-08
VESTERLED	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	124280	4070011	2013-05-08
VESTERLED	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	124280	4511658	2013-05-08
VESTERLED	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	124280	4511658	2013-05-08
VESTERLED	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	124280	4511658	2013-05-08
VESTERLED	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	124280	4511658	2013-05-08
VESTERLED	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	124280	4511658	2013-05-08
VESTERLED	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	124280	4511854	2013-05-08
VESTERLED	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	124280	4511854	2013-05-08
VESTERLED	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	124280	4511854	2013-05-08
VESTERLED	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	124280	4524355	2013-05-08
VESTERLED	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	124280	4524355	2013-05-08
VESTERLED	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	124280	4524355	2013-05-08
VESTERLED	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	124280	5267845	2013-05-08
VESTERLED	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	124280	5267845	2013-05-08
VESTERLED	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	124280	5267845	2013-05-08
VESTERLED	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	124280	5267845	2013-05-08
VESTERLED	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	124280	5267845	2013-05-08
VESTERLED	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	124280	17237817	2013-05-08
VESTERLED	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	124280	17237817	2013-05-08
VESTERLED	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	124280	17237817	2013-05-08
VESTERLED	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	124280	17237817	2013-05-08
VESTERLED	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	124280	17237817	2013-05-08
VESTERLED	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	124280	17237817	2013-05-08
VESTERLED	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	124280	17237817	2013-05-08
VESTERLED	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	124280	20440816	2013-05-08
VESTERLED	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	124280	20440816	2013-05-08
VESTERLED	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	124280	20440816	2013-05-08
VESTERLED	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	124280	21139140	2013-05-08
VESTERLED	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	124280	21139140	2013-05-08
VESTERLED	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	124280	21139652	2013-05-08
VESTERLED	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	124280	21139652	2013-05-08
VESTERLED	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	124280	21139663	2013-05-08
VESTERLED	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	124280	21139663	2013-05-08
ULA OLJETRANSPORT	Den norske stats oljeselskap a.s	1984-10-30	2000-01-01	100.000000	124285	749	2013-05-08
ULA OLJETRANSPORT	BP Amoco Norge AS	2000-01-01	2002-03-12	100.000000	124285	982372	2013-05-08
ULA OLJETRANSPORT	BP Norge AS	2002-03-12	9999-12-31	100.000000	124285	2052695	2013-05-08
HALTENPIPE	Norske Conoco A/S	1992-02-04	1992-08-14	18.125000	124293	221	2013-05-08
HALTENPIPE	Norske Conoco A/S	1992-08-14	1993-12-13	18.125000	124293	221	2013-05-08
HALTENPIPE	Norske Conoco A/S	1993-12-13	1995-03-06	18.125000	124293	221	2013-05-08
HALTENPIPE	Norske Conoco A/S	1995-03-06	1995-06-22	18.125000	124293	221	2013-05-08
HALTENPIPE	Norske Conoco A/S	1995-06-22	1999-04-13	18.125000	124293	221	2013-05-08
HALTENPIPE	Norske Conoco A/S	1999-04-13	2001-05-10	18.125000	124293	221	2013-05-08
HALTENPIPE	Norske Conoco A/S	2001-05-10	2001-06-01	18.125000	124293	221	2013-05-08
HALTENPIPE	Norske Conoco A/S	2001-06-01	2001-06-17	18.125000	124293	221	2013-05-08
HALTENPIPE	Norske Conoco A/S	2001-06-17	2003-03-04	18.125000	124293	221	2013-05-08
HALTENPIPE	Norske Conoco A/S	2003-03-04	2003-03-22	18.125000	124293	221	2013-05-08
HALTENPIPE	DNO Olje A/S	1992-02-04	1992-08-14	0.625000	124293	276	2013-05-08
HALTENPIPE	DNO Olje A/S	1993-12-13	1995-03-06	0.625000	124293	276	2013-05-08
HALTENPIPE	Norsk Hydro Produksjon AS	1992-02-04	1992-08-14	1.250000	124293	430	2013-05-08
HALTENPIPE	Norsk Hydro Produksjon AS	1992-08-14	1993-12-13	1.250000	124293	430	2013-05-08
HALTENPIPE	Neste Petroleum AS	1992-02-04	1992-08-14	5.000000	124293	496	2013-05-08
HALTENPIPE	Neste Petroleum AS	1992-08-14	1993-12-13	5.000000	124293	496	2013-05-08
HALTENPIPE	Neste Petroleum AS	1993-12-13	1995-03-06	5.000000	124293	496	2013-05-08
HALTENPIPE	Neste Petroleum AS	1995-03-06	1995-06-22	5.000000	124293	496	2013-05-08
HALTENPIPE	Neste Petroleum AS	1995-06-22	1999-04-13	5.000000	124293	496	2013-05-08
HALTENPIPE	Norminol AS	1992-08-14	1993-12-13	0.625000	124293	529	2013-05-08
HALTENPIPE	Saga Petroleum ASA	1995-03-06	1995-06-22	0.625000	124293	716	2013-05-08
HALTENPIPE	Den norske stats oljeselskap a.s	1992-02-04	1992-08-14	75.000000	124293	749	2013-05-08
HALTENPIPE	Den norske stats oljeselskap a.s	1992-08-14	1993-12-13	75.000000	124293	749	2013-05-08
HALTENPIPE	Den norske stats oljeselskap a.s	1993-12-13	1995-03-06	76.250000	124293	749	2013-05-08
HALTENPIPE	Den norske stats oljeselskap a.s	1995-03-06	1995-06-22	76.250000	124293	749	2013-05-08
HALTENPIPE	Den norske stats oljeselskap a.s	1995-06-22	1999-04-13	76.875000	124293	749	2013-05-08
HALTENPIPE	Den norske stats oljeselskap a.s	1999-04-13	2001-05-10	76.875000	124293	749	2013-05-08
HALTENPIPE	Fortum Petroleum AS	1999-04-13	2001-05-10	5.000000	124293	102714	2013-05-08
HALTENPIPE	Fortum Petroleum AS	2001-05-10	2001-06-01	5.000000	124293	102714	2013-05-08
HALTENPIPE	Fortum Petroleum AS	2001-06-01	2001-06-17	5.000000	124293	102714	2013-05-08
HALTENPIPE	Fortum Petroleum AS	2001-06-17	2003-03-04	5.000000	124293	102714	2013-05-08
HALTENPIPE	Statoil ASA (old)	2001-05-10	2001-06-01	11.875000	124293	1622484	2013-05-08
HALTENPIPE	Statoil ASA (old)	2001-06-01	2001-06-17	19.062520	124293	1622484	2013-05-08
HALTENPIPE	Statoil ASA (old)	2001-06-17	2003-03-04	19.062520	124293	1622484	2013-05-08
HALTENPIPE	Statoil ASA (old)	2003-03-04	2003-03-22	19.062520	124293	1622484	2013-05-08
HALTENPIPE	Statoil ASA (old)	2003-03-22	2007-01-01	19.062520	124293	1622484	2013-05-08
HALTENPIPE	Statoil ASA (old)	2007-01-01	2007-10-01	19.062520	124293	1622484	2013-05-08
HALTENPIPE	SDØE	2001-05-10	2001-06-01	65.000000	124293	1623450	2013-05-08
HALTENPIPE	SDØE	2001-06-01	2001-06-17	57.812480	124293	1623450	2013-05-08
HALTENPIPE	Petoro AS	2001-06-17	2003-03-04	57.812480	124293	1626839	2013-05-08
HALTENPIPE	Petoro AS	2003-03-04	2003-03-22	57.812480	124293	1626839	2013-05-08
HALTENPIPE	Petoro AS	2003-03-22	2007-01-01	57.812480	124293	1626839	2013-05-08
HALTENPIPE	Petoro AS	2007-01-01	2007-10-01	57.812480	124293	1626839	2013-05-08
HALTENPIPE	Petoro AS	2007-10-01	2009-01-01	57.812480	124293	1626839	2013-05-08
HALTENPIPE	Petoro AS	2009-01-01	2009-11-01	57.812480	124293	1626839	2013-05-08
HALTENPIPE	Petoro AS	2009-11-01	9999-12-31	57.812480	124293	1626839	2013-05-08
HALTENPIPE	Eni Norge AS	2003-03-04	2003-03-22	5.000000	124293	2388594	2013-05-08
HALTENPIPE	Eni Norge AS	2003-03-22	2007-01-01	5.000000	124293	2388594	2013-05-08
HALTENPIPE	Eni Norge AS	2007-01-01	2007-10-01	5.000000	124293	2388594	2013-05-08
HALTENPIPE	Eni Norge AS	2007-10-01	2009-01-01	5.000000	124293	2388594	2013-05-08
HALTENPIPE	Eni Norge AS	2009-01-01	2009-11-01	5.000000	124293	2388594	2013-05-08
HALTENPIPE	Eni Norge AS	2009-11-01	9999-12-31	5.000000	124293	2388594	2013-05-08
HALTENPIPE	Norske ConocoPhillips AS	2003-03-22	2007-01-01	18.125000	124293	2399056	2013-05-08
HALTENPIPE	ConocoPhillips Skandinavia AS	2007-01-01	2007-10-01	18.125000	124293	2410696	2013-05-08
HALTENPIPE	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	18.125000	124293	2410696	2013-05-08
HALTENPIPE	ConocoPhillips Skandinavia AS	2009-01-01	2009-11-01	18.125000	124293	2410696	2013-05-08
HALTENPIPE	ConocoPhillips Skandinavia AS	2009-11-01	9999-12-31	18.125000	124293	2410696	2013-05-08
HALTENPIPE	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	19.062520	124293	4511658	2013-05-08
HALTENPIPE	StatoilHydro ASA	2007-10-01	2009-01-01	19.062520	124293	4511854	2013-05-08
HALTENPIPE	Statoil Petroleum AS	2009-11-01	9999-12-31	19.062520	124293	17237817	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norske Conoco A/S	2002-10-01	2003-03-22	2.400000	124301	221	2013-05-08
OSEBERG TRANSPORTSYSTEM	Elf Petroleum Norge AS	1992-08-14	1994-01-01	5.600000	124301	298	2013-05-08
OSEBERG TRANSPORTSYSTEM	Elf Petroleum Norge AS	1994-01-01	2000-07-24	5.769590	124301	298	2013-05-08
OSEBERG TRANSPORTSYSTEM	Elf Aquitaine Norge A/S	1984-11-28	1985-01-01	6.400000	124301	331	2013-05-08
OSEBERG TRANSPORTSYSTEM	Elf Aquitaine Norge A/S	1985-01-01	1988-04-01	6.400000	124301	331	2013-05-08
OSEBERG TRANSPORTSYSTEM	Elf Aquitaine Norge A/S	1988-04-01	1992-08-14	5.600000	124301	331	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	1984-11-28	1985-01-01	13.750000	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	1985-01-01	1988-04-01	13.750000	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	1988-04-01	1992-08-14	13.750000	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	1992-08-14	1994-01-01	13.750000	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	1994-01-01	2000-07-24	13.681860	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	2000-07-24	2001-01-11	13.681860	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	2001-01-11	2001-05-10	22.234620	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	2001-05-10	2001-06-17	22.234620	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	2001-06-17	2001-12-18	22.234620	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	2001-12-18	2002-10-01	22.234620	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	2002-10-01	2003-03-22	22.234620	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	22.234620	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Produksjon AS	2003-05-06	2007-01-01	22.234620	124301	430	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	1984-11-28	1985-01-01	4.800000	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	1985-01-01	1988-04-01	4.800000	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	1988-04-01	1992-08-14	4.200000	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	1992-08-14	1994-01-01	4.200000	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	1994-01-01	2000-07-24	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	2000-07-24	2001-01-11	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	2001-01-11	2001-05-10	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	2001-05-10	2001-06-17	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	2001-06-17	2001-12-18	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	2001-12-18	2002-10-01	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	2002-10-01	2003-03-22	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	2003-03-22	2003-05-06	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	2003-05-06	2007-01-01	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	2007-01-01	2007-01-02	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	2007-01-02	2007-10-01	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Mobil Development Norway AS	2007-10-01	2008-01-01	4.327200	124301	474	2013-05-08
OSEBERG TRANSPORTSYSTEM	Saga Petroleum ASA	1984-11-28	1985-01-01	8.610000	124301	716	2013-05-08
OSEBERG TRANSPORTSYSTEM	Saga Petroleum ASA	1985-01-01	1988-04-01	8.610000	124301	716	2013-05-08
OSEBERG TRANSPORTSYSTEM	Saga Petroleum ASA	1988-04-01	1992-08-14	8.610000	124301	716	2013-05-08
OSEBERG TRANSPORTSYSTEM	Saga Petroleum ASA	1992-08-14	1994-01-01	8.610000	124301	716	2013-05-08
OSEBERG TRANSPORTSYSTEM	Saga Petroleum ASA	1994-01-01	2000-07-24	8.552760	124301	716	2013-05-08
OSEBERG TRANSPORTSYSTEM	Saga Petroleum ASA	2000-07-24	2001-01-11	8.552760	124301	716	2013-05-08
OSEBERG TRANSPORTSYSTEM	Den norske stats oljeselskap a.s	1984-11-28	1985-01-01	63.240000	124301	749	2013-05-08
OSEBERG TRANSPORTSYSTEM	Den norske stats oljeselskap a.s	1985-01-01	1988-04-01	63.240000	124301	749	2013-05-08
OSEBERG TRANSPORTSYSTEM	Den norske stats oljeselskap a.s	1988-04-01	1992-08-14	65.040000	124301	749	2013-05-08
OSEBERG TRANSPORTSYSTEM	Den norske stats oljeselskap a.s	1992-08-14	1994-01-01	65.040000	124301	749	2013-05-08
OSEBERG TRANSPORTSYSTEM	Den norske stats oljeselskap a.s	1994-01-01	2000-07-24	64.783790	124301	749	2013-05-08
OSEBERG TRANSPORTSYSTEM	Den norske stats oljeselskap a.s	2000-07-24	2001-01-11	64.783790	124301	749	2013-05-08
OSEBERG TRANSPORTSYSTEM	Den norske stats oljeselskap a.s	2001-01-11	2001-05-10	64.783790	124301	749	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total Norge AS	1984-11-28	1985-01-01	3.200000	124301	848	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total Norge AS	1985-01-01	1988-04-01	3.200000	124301	848	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total Norge AS	1988-04-01	1992-08-14	2.800000	124301	848	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total Norge AS	1992-08-14	1994-01-01	2.800000	124301	848	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total Norge AS	1994-01-01	2000-07-24	2.884800	124301	848	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total Norge AS	2000-07-24	2001-01-11	2.884800	124301	848	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total Norge AS	2001-01-11	2001-05-10	2.884800	124301	848	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total Norge AS	2001-05-10	2001-06-17	2.884800	124301	848	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total Norge AS	2001-06-17	2001-12-18	2.884800	124301	848	2013-05-08
OSEBERG TRANSPORTSYSTEM	TotalFinaElf Exploration Norge AS	2000-07-24	2001-01-11	5.769590	124301	1340884	2013-05-08
OSEBERG TRANSPORTSYSTEM	TotalFinaElf Exploration Norge AS	2001-01-11	2001-05-10	5.769590	124301	1340884	2013-05-08
OSEBERG TRANSPORTSYSTEM	TotalFinaElf Exploration Norge AS	2001-05-10	2001-06-17	5.769590	124301	1340884	2013-05-08
OSEBERG TRANSPORTSYSTEM	TotalFinaElf Exploration Norge AS	2001-06-17	2001-12-18	5.769590	124301	1340884	2013-05-08
OSEBERG TRANSPORTSYSTEM	TotalFinaElf Exploration Norge AS	2001-12-18	2002-10-01	8.654390	124301	1340884	2013-05-08
OSEBERG TRANSPORTSYSTEM	TotalFinaElf Exploration Norge AS	2002-10-01	2003-03-22	8.654390	124301	1340884	2013-05-08
OSEBERG TRANSPORTSYSTEM	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	8.654390	124301	1340884	2013-05-08
OSEBERG TRANSPORTSYSTEM	Statoil ASA (old)	2001-05-10	2001-06-17	14.000000	124301	1622484	2013-05-08
OSEBERG TRANSPORTSYSTEM	Statoil ASA (old)	2001-06-17	2001-12-18	14.000000	124301	1622484	2013-05-08
OSEBERG TRANSPORTSYSTEM	Statoil ASA (old)	2001-12-18	2002-10-01	14.000000	124301	1622484	2013-05-08
OSEBERG TRANSPORTSYSTEM	Statoil ASA (old)	2002-10-01	2003-03-22	14.000000	124301	1622484	2013-05-08
OSEBERG TRANSPORTSYSTEM	Statoil ASA (old)	2003-03-22	2003-05-06	14.000000	124301	1622484	2013-05-08
OSEBERG TRANSPORTSYSTEM	Statoil ASA (old)	2003-05-06	2007-01-01	14.000000	124301	1622484	2013-05-08
OSEBERG TRANSPORTSYSTEM	Statoil ASA (old)	2007-01-01	2007-01-02	14.000000	124301	1622484	2013-05-08
OSEBERG TRANSPORTSYSTEM	Statoil ASA (old)	2007-01-02	2007-10-01	14.000000	124301	1622484	2013-05-08
OSEBERG TRANSPORTSYSTEM	SDØE	2001-05-10	2001-06-17	50.783790	124301	1623450	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2001-06-17	2001-12-18	50.783790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2001-12-18	2002-10-01	50.783790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2002-10-01	2003-03-22	48.383790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2003-03-22	2003-05-06	48.383790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2003-05-06	2007-01-01	48.383790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2007-01-01	2007-01-02	48.383790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2007-01-02	2007-10-01	48.383790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2007-10-01	2008-01-01	48.383790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2008-01-01	2009-01-01	48.383790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2009-01-01	2009-11-01	48.383790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2009-11-01	2012-01-01	48.383790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Petoro AS	2012-01-01	9999-12-31	48.383790	124301	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.400000	124301	2399056	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norske ConocoPhillips AS	2003-05-06	2007-01-01	2.400000	124301	2399056	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norske ConocoPhillips AS	2007-01-01	2007-01-02	2.400000	124301	2399056	2013-05-08
OSEBERG TRANSPORTSYSTEM	ConocoPhillips Skandinavia AS	2007-01-02	2007-10-01	2.400000	124301	2410696	2013-05-08
OSEBERG TRANSPORTSYSTEM	ConocoPhillips Skandinavia AS	2007-10-01	2008-01-01	2.400000	124301	2410696	2013-05-08
OSEBERG TRANSPORTSYSTEM	ConocoPhillips Skandinavia AS	2008-01-01	2009-01-01	2.400000	124301	2410696	2013-05-08
OSEBERG TRANSPORTSYSTEM	ConocoPhillips Skandinavia AS	2009-01-01	2009-11-01	2.400000	124301	2410696	2013-05-08
OSEBERG TRANSPORTSYSTEM	ConocoPhillips Skandinavia AS	2009-11-01	2012-01-01	2.400000	124301	2410696	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2007-10-01	2009-01-01	24.629800	124316	1626839	2013-05-08
OSEBERG TRANSPORTSYSTEM	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	2.400000	124301	2410696	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total E&P Norge AS	2003-05-06	2007-01-01	8.654390	124301	2410708	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total E&P Norge AS	2007-01-01	2007-01-02	8.654390	124301	2410708	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total E&P Norge AS	2007-01-02	2007-10-01	8.654390	124301	2410708	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total E&P Norge AS	2007-10-01	2008-01-01	8.654390	124301	2410708	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total E&P Norge AS	2008-01-01	2009-01-01	8.654390	124301	2410708	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total E&P Norge AS	2009-01-01	2009-11-01	8.654390	124301	2410708	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total E&P Norge AS	2009-11-01	2012-01-01	8.654390	124301	2410708	2013-05-08
OSEBERG TRANSPORTSYSTEM	Total E&P Norge AS	2012-01-01	9999-12-31	12.981590	124301	2410708	2013-05-08
OSEBERG TRANSPORTSYSTEM	ExxonMobil Exploration & Production Norway AS	2008-01-01	2009-01-01	4.327200	124301	2835212	2013-05-08
OSEBERG TRANSPORTSYSTEM	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-11-01	4.327200	124301	2835212	2013-05-08
OSEBERG TRANSPORTSYSTEM	ExxonMobil Exploration & Production Norway AS	2009-11-01	2012-01-01	4.327200	124301	2835212	2013-05-08
OSEBERG TRANSPORTSYSTEM	StatoilHydro Petroleum AS	2007-10-01	2008-01-01	22.234620	124301	4511658	2013-05-08
OSEBERG TRANSPORTSYSTEM	StatoilHydro Petroleum AS	2008-01-01	2009-01-01	22.234620	124301	4511658	2013-05-08
OSEBERG TRANSPORTSYSTEM	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	36.234620	124301	4511658	2013-05-08
OSEBERG TRANSPORTSYSTEM	StatoilHydro ASA	2007-10-01	2008-01-01	14.000000	124301	4511854	2013-05-08
OSEBERG TRANSPORTSYSTEM	StatoilHydro ASA	2008-01-01	2009-01-01	14.000000	124301	4511854	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	22.234620	124301	4524355	2013-05-08
OSEBERG TRANSPORTSYSTEM	Norsk Hydro Petroleum AS	2007-01-02	2007-10-01	22.234620	124301	4524355	2013-05-08
OSEBERG TRANSPORTSYSTEM	Statoil Petroleum AS	2009-11-01	2012-01-01	36.234620	124301	17237817	2013-05-08
OSEBERG TRANSPORTSYSTEM	Statoil Petroleum AS	2012-01-01	9999-12-31	36.234620	124301	17237817	2013-05-08
DUNKERQUE TERMINAL	Norsk Hydro Produksjon AS	1995-08-15	2005-10-01	7.237100	124316	430	2013-05-08
DUNKERQUE TERMINAL	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	7.270900	124316	430	2013-05-08
DUNKERQUE TERMINAL	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	7.553000	124316	430	2013-05-08
DUNKERQUE TERMINAL	Mobil Development Norway AS	1995-08-15	2005-10-01	2.974400	124316	474	2013-05-08
DUNKERQUE TERMINAL	Mobil Development Norway AS	2005-10-01	2006-09-01	2.974400	124316	474	2013-05-08
DUNKERQUE TERMINAL	Mobil Development Norway AS	2006-09-01	2007-01-01	2.773550	124316	474	2013-05-08
DUNKERQUE TERMINAL	Mobil Development Norway AS	2007-01-01	2007-01-02	2.773550	124316	474	2013-05-08
DUNKERQUE TERMINAL	Mobil Development Norway AS	2007-01-02	2007-09-01	2.773550	124316	474	2013-05-08
DUNKERQUE TERMINAL	Mobil Development Norway AS	2007-09-01	2007-10-01	2.742350	124316	474	2013-05-08
DUNKERQUE TERMINAL	Mobil Development Norway AS	2007-10-01	2009-01-01	2.742350	124316	474	2013-05-08
DUNKERQUE TERMINAL	Mobil Development Norway AS	2009-01-01	2009-01-02	2.692300	124316	474	2013-05-08
DUNKERQUE TERMINAL	Mobil Development Norway AS	2009-01-02	2009-01-03	2.692300	124316	474	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2006-09-01	2007-01-01	0.724750	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2007-01-01	2007-01-02	0.724750	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2007-01-02	2007-09-01	0.724750	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2007-09-01	2007-10-01	0.806000	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2007-10-01	2009-01-01	0.806000	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2009-01-01	2009-01-02	0.874250	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2009-01-02	2009-01-03	0.874250	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2009-01-03	2009-11-01	0.874250	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2009-11-01	2010-01-01	0.874250	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2010-01-01	2010-06-01	3.457350	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2010-06-01	2011-01-01	3.469700	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2011-01-01	2011-01-02	3.254110	124316	562	2013-05-08
DUNKERQUE TERMINAL	A/S Norske Shell	2011-01-02	2011-01-03	3.254110	124316	562	2013-05-08
DUNKERQUE TERMINAL	RWE Dea Norge AS	2010-06-01	2011-01-01	0.014950	124316	97557	2013-05-08
DUNKERQUE TERMINAL	RWE Dea Norge AS	2011-01-01	2011-01-02	0.052340	124316	97557	2013-05-08
DUNKERQUE TERMINAL	RWE Dea Norge AS	2011-01-02	2011-01-03	0.052340	124316	97557	2013-05-08
DUNKERQUE TERMINAL	RWE Dea Norge AS	2011-01-03	2012-01-01	0.052340	124316	97557	2013-05-08
DUNKERQUE TERMINAL	RWE Dea Norge AS	2012-01-01	9999-12-31	0.052340	124316	97557	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	1995-08-15	2005-10-01	1.961700	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2005-10-01	2006-09-01	1.979250	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2006-09-01	2007-01-01	1.845350	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2007-01-01	2007-01-02	1.845350	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2007-01-02	2007-09-01	1.845350	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2007-09-01	2007-10-01	1.824550	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2007-10-01	2009-01-01	1.824550	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2009-01-01	2009-01-02	1.771900	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2009-01-02	2009-01-03	1.771900	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2009-01-03	2009-11-01	1.771900	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2009-11-01	2010-01-01	1.771900	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2010-01-01	2010-06-01	1.771900	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2010-06-01	2011-01-01	1.766700	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2011-01-01	2011-01-02	1.469720	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2011-01-02	2011-01-03	1.469720	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2011-01-03	2012-01-01	1.469720	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Norsea Gas AS	2012-01-01	9999-12-31	1.469720	124316	1025067	2013-05-08
DUNKERQUE TERMINAL	Statoil ASA (old)	1995-08-15	2005-10-01	13.246350	124316	1622484	2013-05-08
DUNKERQUE TERMINAL	Statoil ASA (old)	2005-10-01	2006-09-01	13.362050	124316	1622484	2013-05-08
DUNKERQUE TERMINAL	Statoil ASA (old)	2006-09-01	2007-01-01	13.117000	124316	1622484	2013-05-08
DUNKERQUE TERMINAL	Statoil ASA (old)	2007-01-01	2007-01-02	13.117000	124316	1622484	2013-05-08
DUNKERQUE TERMINAL	Statoil ASA (old)	2007-01-02	2007-09-01	13.117000	124316	1622484	2013-05-08
DUNKERQUE TERMINAL	Statoil ASA (old)	2007-09-01	2007-10-01	13.291200	124316	1622484	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	1995-08-15	2005-10-01	24.890450	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2005-10-01	2006-09-01	25.107550	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2006-09-01	2007-01-01	24.859250	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2007-01-01	2007-01-02	24.859250	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2007-01-02	2007-09-01	24.859250	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2007-09-01	2007-10-01	24.629800	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2009-01-01	2009-01-02	24.998350	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2009-01-02	2009-01-03	24.998350	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2009-01-03	2009-11-01	24.998350	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2009-11-01	2010-01-01	24.998350	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2010-01-01	2010-06-01	24.998350	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2010-06-01	2011-01-01	24.982750	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2011-01-01	2011-01-02	29.765190	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2011-01-02	2011-01-03	29.765190	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2011-01-03	2012-01-01	29.765190	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Petoro AS	2012-01-01	9999-12-31	29.765190	124316	1626839	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	1995-08-15	2005-10-01	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2005-10-01	2006-09-01	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2006-09-01	2007-01-01	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2007-01-01	2007-01-02	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2007-01-02	2007-09-01	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2007-09-01	2007-10-01	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2007-10-01	2009-01-01	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2009-01-01	2009-01-02	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2009-01-02	2009-01-03	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2009-01-03	2009-11-01	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2009-11-01	2010-01-01	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2010-01-01	2010-06-01	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2010-06-01	2011-01-01	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2011-01-01	2011-01-02	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2011-01-02	2011-01-03	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2011-01-03	2012-01-01	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Gaz de France Norge AS	2012-01-01	9999-12-31	35.000000	124316	1628733	2013-05-08
DUNKERQUE TERMINAL	Norske Shell Pipelines AS	1995-08-15	2005-10-01	3.042650	124316	2066214	2013-05-08
DUNKERQUE TERMINAL	Norske Shell Pipelines AS	2005-10-01	2006-09-01	2.886000	124316	2066214	2013-05-08
DUNKERQUE TERMINAL	Norske Shell Pipelines AS	2006-09-01	2007-01-01	2.691000	124316	2066214	2013-05-08
DUNKERQUE TERMINAL	Norske Shell Pipelines AS	2007-01-01	2007-01-02	2.691000	124316	2066214	2013-05-08
DUNKERQUE TERMINAL	Norske Shell Pipelines AS	2007-01-02	2007-09-01	2.691000	124316	2066214	2013-05-08
DUNKERQUE TERMINAL	Norske Shell Pipelines AS	2007-09-01	2007-10-01	2.660450	124316	2066214	2013-05-08
DUNKERQUE TERMINAL	Norske Shell Pipelines AS	2007-10-01	2009-01-01	2.660450	124316	2066214	2013-05-08
DUNKERQUE TERMINAL	Norske Shell Pipelines AS	2009-01-01	2009-01-02	2.583100	124316	2066214	2013-05-08
DUNKERQUE TERMINAL	Norske Shell Pipelines AS	2009-01-02	2009-01-03	2.583100	124316	2066214	2013-05-08
DUNKERQUE TERMINAL	Norske Shell Pipelines AS	2009-01-03	2009-11-01	2.583100	124316	2066214	2013-05-08
DUNKERQUE TERMINAL	Norske Shell Pipelines AS	2009-11-01	2010-01-01	2.583100	124316	2066214	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	1995-08-15	2005-10-01	1.084850	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2005-10-01	2006-09-01	1.097200	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2006-09-01	2007-01-01	1.023100	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2007-01-01	2007-01-02	1.023100	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2007-01-02	2007-09-01	1.023100	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2007-09-01	2007-10-01	1.011400	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2007-10-01	2009-01-01	1.011400	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2009-01-01	2009-01-02	0.991250	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2009-01-02	2009-01-03	0.991250	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2009-01-03	2009-11-01	0.991250	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2009-11-01	2010-01-01	0.991250	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2010-01-01	2010-06-01	0.991250	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2010-06-01	2011-01-01	0.988650	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2011-01-01	2011-01-02	0.829400	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2011-01-02	2011-01-03	0.829400	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Eni Norge AS	2011-01-03	2012-01-01	0.829400	124316	2388594	2013-05-08
DUNKERQUE TERMINAL	Norske ConocoPhillips AS	1995-08-15	2005-10-01	1.321450	124316	2399056	2013-05-08
DUNKERQUE TERMINAL	Norske ConocoPhillips AS	2005-10-01	2006-09-01	1.319500	124316	2399056	2013-05-08
DUNKERQUE TERMINAL	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.264900	124316	2399056	2013-05-08
DUNKERQUE TERMINAL	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.264900	124316	2399056	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.264900	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	1.311050	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	1.311050	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.297400	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.297400	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2009-01-03	2009-11-01	1.297400	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.297400	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.297400	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.293500	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.090510	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.090510	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.090510	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.090510	124316	2410696	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	1995-08-15	2005-10-01	5.874700	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2005-10-01	2006-09-01	5.636800	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2006-09-01	2007-01-01	5.255900	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2007-01-01	2007-01-02	5.255900	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2007-01-02	2007-09-01	5.255900	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2007-09-01	2007-10-01	5.196750	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2007-10-01	2009-01-01	5.196750	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2009-01-01	2009-01-02	5.058950	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2009-01-02	2009-01-03	5.058950	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2009-01-03	2009-11-01	5.058950	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2009-11-01	2010-01-01	5.058950	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2010-01-01	2010-06-01	5.058950	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2010-06-01	2011-01-01	5.044650	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2011-01-01	2011-01-02	3.966120	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	Total E&P Norge AS	2011-01-02	2011-01-03	3.966120	124316	2410708	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	1995-08-15	2005-10-01	3.366350	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	3.366350	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	3.443700	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	3.443700	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	3.443700	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	3.538600	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	3.538600	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	3.435900	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	3.435900	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-11-01	6.128200	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	6.128200	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	6.128200	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	6.110650	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	5.223620	124316	2835212	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2006-09-01	2007-01-01	0.448500	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2007-01-01	2007-01-02	0.448500	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2007-01-02	2007-09-01	0.448500	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2007-09-01	2007-10-01	0.443300	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2007-10-01	2009-01-01	0.443300	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2009-01-01	2009-01-02	0.430300	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2009-01-02	2009-01-03	0.430300	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2009-01-03	2009-11-01	0.430300	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2009-11-01	2010-01-01	0.430300	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2010-01-01	2010-06-01	0.430300	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2010-06-01	2011-01-01	0.429000	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2011-01-01	2011-01-02	0.638880	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2011-01-02	2011-01-03	0.638880	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2011-01-03	2012-01-01	0.638880	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	DONG E&P Norge AS	2012-01-01	9999-12-31	0.638880	124316	4070011	2013-05-08
DUNKERQUE TERMINAL	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	7.544550	124316	4511658	2013-05-08
DUNKERQUE TERMINAL	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	7.558200	124316	4511658	2013-05-08
DUNKERQUE TERMINAL	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	20.866300	124316	4511658	2013-05-08
DUNKERQUE TERMINAL	StatoilHydro Petroleum AS	2009-01-03	2009-11-01	20.866300	124316	4511658	2013-05-08
DUNKERQUE TERMINAL	StatoilHydro ASA	2007-10-01	2009-01-01	13.291200	124316	4511854	2013-05-08
DUNKERQUE TERMINAL	StatoilHydro ASA	2009-01-01	2009-01-02	13.308100	124316	4511854	2013-05-08
DUNKERQUE TERMINAL	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	7.553000	124316	4524355	2013-05-08
DUNKERQUE TERMINAL	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	7.553000	124316	4524355	2013-05-08
DUNKERQUE TERMINAL	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	7.544550	124316	4524355	2013-05-08
DUNKERQUE TERMINAL	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.055250	124316	5267845	2013-05-08
DUNKERQUE TERMINAL	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.197780	124316	5267845	2013-05-08
DUNKERQUE TERMINAL	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.197780	124316	5267845	2013-05-08
DUNKERQUE TERMINAL	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.197780	124316	5267845	2013-05-08
DUNKERQUE TERMINAL	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.197780	124316	5267845	2013-05-08
DUNKERQUE TERMINAL	Statoil Petroleum AS	2009-11-01	2010-01-01	20.866300	124316	17237817	2013-05-08
DUNKERQUE TERMINAL	Statoil Petroleum AS	2010-01-01	2010-06-01	20.866300	124316	17237817	2013-05-08
DUNKERQUE TERMINAL	Statoil Petroleum AS	2010-06-01	2011-01-01	20.844200	124316	17237817	2013-05-08
DUNKERQUE TERMINAL	Statoil Petroleum AS	2011-01-01	2011-01-02	18.512330	124316	17237817	2013-05-08
DUNKERQUE TERMINAL	Statoil Petroleum AS	2011-01-02	2011-01-03	18.512330	124316	17237817	2013-05-08
DUNKERQUE TERMINAL	Statoil Petroleum AS	2011-01-03	2012-01-01	3.250060	124316	17237817	2013-05-08
DUNKERQUE TERMINAL	Statoil Petroleum AS	2012-01-01	9999-12-31	3.250060	124316	17237817	2013-05-08
DUNKERQUE TERMINAL	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	5.223620	124316	20440816	2013-05-08
DUNKERQUE TERMINAL	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	5.223620	124316	20440816	2013-05-08
DUNKERQUE TERMINAL	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	5.223620	124316	20440816	2013-05-08
DUNKERQUE TERMINAL	Infragas Norge AS	2011-01-03	2012-01-01	3.254110	124316	21139140	2013-05-08
DUNKERQUE TERMINAL	Infragas Norge AS	2012-01-01	9999-12-31	3.254110	124316	21139140	2013-05-08
DUNKERQUE TERMINAL	Solveig Gas Norway AS	2011-01-03	2012-01-01	15.262270	124316	21139652	2013-05-08
DUNKERQUE TERMINAL	Solveig Gas Norway AS	2012-01-01	9999-12-31	16.091670	124316	21139652	2013-05-08
DUNKERQUE TERMINAL	Silex Gas Norway AS	2011-01-03	2012-01-01	3.966120	124316	21139663	2013-05-08
DUNKERQUE TERMINAL	Silex Gas Norway AS	2012-01-01	9999-12-31	3.966120	124316	21139663	2013-05-08
SLEIPNER KONDENSATRØR	Elf Petroleum Norge AS	1992-08-14	1998-01-01	9.000000	124340	298	2013-05-08
SLEIPNER KONDENSATRØR	Elf Petroleum Norge AS	1998-01-01	2000-07-24	10.000000	124340	298	2013-05-08
SLEIPNER KONDENSATRØR	Elf Aquitaine Norge A/S	1989-11-30	1992-08-14	9.000000	124340	331	2013-05-08
SLEIPNER KONDENSATRØR	Esso Exploration and Production Norway A/S	1989-11-30	1992-08-14	30.400000	124340	353	2013-05-08
SLEIPNER KONDENSATRØR	Esso Exploration and Production Norway A/S	1992-08-14	1998-01-01	30.400000	124340	353	2013-05-08
SLEIPNER KONDENSATRØR	Esso Exploration and Production Norway A/S	1998-01-01	2000-07-24	30.400000	124340	353	2013-05-08
SLEIPNER KONDENSATRØR	Esso Exploration and Production Norway A/S	2000-07-24	2001-05-10	30.400000	124340	353	2013-05-08
SLEIPNER KONDENSATRØR	Esso Exploration and Production Norway A/S	2001-05-10	2001-06-01	30.400000	124340	353	2013-05-08
SLEIPNER KONDENSATRØR	Esso Exploration and Production Norway A/S	2001-06-01	2003-05-06	30.400000	124340	353	2013-05-08
SLEIPNER KONDENSATRØR	Esso Exploration and Production Norway A/S	2003-05-06	2004-10-01	30.400000	124340	353	2013-05-08
SLEIPNER KONDENSATRØR	Norsk Hydro Produksjon AS	1989-11-30	1992-08-14	10.000000	124340	430	2013-05-08
SLEIPNER KONDENSATRØR	Norsk Hydro Produksjon AS	1992-08-14	1998-01-01	10.000000	124340	430	2013-05-08
SLEIPNER KONDENSATRØR	Norsk Hydro Produksjon AS	1998-01-01	2000-07-24	10.000000	124340	430	2013-05-08
SLEIPNER KONDENSATRØR	Norsk Hydro Produksjon AS	2000-07-24	2001-05-10	10.000000	124340	430	2013-05-08
SLEIPNER KONDENSATRØR	Norsk Hydro Produksjon AS	2001-05-10	2001-06-01	10.000000	124340	430	2013-05-08
SLEIPNER KONDENSATRØR	Norsk Hydro Produksjon AS	2001-06-01	2003-05-06	10.000000	124340	430	2013-05-08
SLEIPNER KONDENSATRØR	Norsk Hydro Produksjon AS	2003-05-06	2004-10-01	10.000000	124340	430	2013-05-08
SLEIPNER KONDENSATRØR	Norsk Hydro Produksjon AS	2004-10-01	2007-01-01	10.000000	124340	430	2013-05-08
SLEIPNER KONDENSATRØR	Den norske stats oljeselskap a.s	1989-11-30	1992-08-14	49.600000	124340	749	2013-05-08
SLEIPNER KONDENSATRØR	Den norske stats oljeselskap a.s	1992-08-14	1998-01-01	49.600000	124340	749	2013-05-08
SLEIPNER KONDENSATRØR	Den norske stats oljeselskap a.s	1998-01-01	2000-07-24	49.600000	124340	749	2013-05-08
SLEIPNER KONDENSATRØR	Den norske stats oljeselskap a.s	2000-07-24	2001-05-10	49.600000	124340	749	2013-05-08
SLEIPNER KONDENSATRØR	Total Norge AS	1989-11-30	1992-08-14	1.000000	124340	848	2013-05-08
SLEIPNER KONDENSATRØR	Total Norge AS	1992-08-14	1998-01-01	1.000000	124340	848	2013-05-08
SLEIPNER KONDENSATRØR	TotalFinaElf Exploration Norge AS	2000-07-24	2001-05-10	10.000000	124340	1340884	2013-05-08
SLEIPNER KONDENSATRØR	TotalFinaElf Exploration Norge AS	2001-05-10	2001-06-01	10.000000	124340	1340884	2013-05-08
SLEIPNER KONDENSATRØR	TotalFinaElf Exploration Norge AS	2001-06-01	2003-05-06	10.000000	124340	1340884	2013-05-08
SLEIPNER KONDENSATRØR	Statoil ASA (old)	2001-05-10	2001-06-01	20.000000	124340	1622484	2013-05-08
SLEIPNER KONDENSATRØR	Statoil ASA (old)	2001-06-01	2003-05-06	49.600000	124340	1622484	2013-05-08
SLEIPNER KONDENSATRØR	Statoil ASA (old)	2003-05-06	2004-10-01	49.600000	124340	1622484	2013-05-08
SLEIPNER KONDENSATRØR	Statoil ASA (old)	2004-10-01	2007-01-01	49.600000	124340	1622484	2013-05-08
SLEIPNER KONDENSATRØR	Statoil ASA (old)	2007-01-01	2007-10-01	49.600000	124340	1622484	2013-05-08
SLEIPNER KONDENSATRØR	SDØE	2001-05-10	2001-06-01	29.600000	124340	1623450	2013-05-08
SLEIPNER KONDENSATRØR	Total E&P Norge AS	2003-05-06	2004-10-01	10.000000	124340	2410708	2013-05-08
SLEIPNER KONDENSATRØR	Total E&P Norge AS	2004-10-01	2007-01-01	10.000000	124340	2410708	2013-05-08
SLEIPNER KONDENSATRØR	Total E&P Norge AS	2007-01-01	2007-10-01	10.000000	124340	2410708	2013-05-08
SLEIPNER KONDENSATRØR	Total E&P Norge AS	2007-10-01	2009-01-01	10.000000	124340	2410708	2013-05-08
SLEIPNER KONDENSATRØR	Total E&P Norge AS	2009-01-01	2009-11-01	10.000000	124340	2410708	2013-05-08
SLEIPNER KONDENSATRØR	Total E&P Norge AS	2009-11-01	9999-12-31	10.000000	124340	2410708	2013-05-08
SLEIPNER KONDENSATRØR	ExxonMobil Exploration & Production Norway AS	2004-10-01	2007-01-01	30.400000	124340	2835212	2013-05-08
SLEIPNER KONDENSATRØR	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-10-01	30.400000	124340	2835212	2013-05-08
SLEIPNER KONDENSATRØR	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	30.400000	124340	2835212	2013-05-08
SLEIPNER KONDENSATRØR	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-11-01	30.400000	124340	2835212	2013-05-08
SLEIPNER KONDENSATRØR	ExxonMobil Exploration & Production Norway AS	2009-11-01	9999-12-31	30.400000	124340	2835212	2013-05-08
SLEIPNER KONDENSATRØR	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	10.000000	124340	4511658	2013-05-08
SLEIPNER KONDENSATRØR	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	59.600000	124340	4511658	2013-05-08
SLEIPNER KONDENSATRØR	StatoilHydro ASA	2007-10-01	2009-01-01	49.600000	124340	4511854	2013-05-08
SLEIPNER KONDENSATRØR	Norsk Hydro Petroleum AS	2007-01-01	2007-10-01	10.000000	124340	4524355	2013-05-08
SLEIPNER KONDENSATRØR	Statoil Petroleum AS	2009-11-01	9999-12-31	59.600000	124340	17237817	2013-05-08
KOLLSNES GASSANLEGG	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	124354	45	2013-05-08
KOLLSNES GASSANLEGG	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	124354	45	2013-05-08
KOLLSNES GASSANLEGG	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	124354	45	2013-05-08
KOLLSNES GASSANLEGG	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	124354	45	2013-05-08
KOLLSNES GASSANLEGG	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	124354	221	2013-05-08
KOLLSNES GASSANLEGG	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	124354	221	2013-05-08
KOLLSNES GASSANLEGG	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	124354	353	2013-05-08
KOLLSNES GASSANLEGG	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	124354	353	2013-05-08
KOLLSNES GASSANLEGG	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	124354	353	2013-05-08
KOLLSNES GASSANLEGG	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	124354	353	2013-05-08
KOLLSNES GASSANLEGG	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	124354	353	2013-05-08
KOLLSNES GASSANLEGG	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	124354	430	2013-05-08
KOLLSNES GASSANLEGG	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	124354	430	2013-05-08
KOLLSNES GASSANLEGG	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	124354	430	2013-05-08
KOLLSNES GASSANLEGG	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	124354	430	2013-05-08
KOLLSNES GASSANLEGG	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	124354	430	2013-05-08
KOLLSNES GASSANLEGG	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	124354	430	2013-05-08
KOLLSNES GASSANLEGG	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	124354	430	2013-05-08
KOLLSNES GASSANLEGG	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	124354	430	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	124354	474	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	124354	562	2013-05-08
KOLLSNES GASSANLEGG	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	124354	97557	2013-05-08
KOLLSNES GASSANLEGG	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	124354	97557	2013-05-08
KOLLSNES GASSANLEGG	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	124354	97557	2013-05-08
KOLLSNES GASSANLEGG	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	124354	97557	2013-05-08
KOLLSNES GASSANLEGG	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	124354	97557	2013-05-08
KOLLSNES GASSANLEGG	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	124354	102714	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	124354	1025067	2013-05-08
KOLLSNES GASSANLEGG	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	124354	1340884	2013-05-08
KOLLSNES GASSANLEGG	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	124354	1340884	2013-05-08
KOLLSNES GASSANLEGG	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	124354	1340884	2013-05-08
KOLLSNES GASSANLEGG	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	124354	1622484	2013-05-08
KOLLSNES GASSANLEGG	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	124354	1622484	2013-05-08
KOLLSNES GASSANLEGG	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	124354	1622484	2013-05-08
KOLLSNES GASSANLEGG	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	124354	1622484	2013-05-08
KOLLSNES GASSANLEGG	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	124354	1622484	2013-05-08
KOLLSNES GASSANLEGG	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	124354	1622484	2013-05-08
KOLLSNES GASSANLEGG	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	124354	1622484	2013-05-08
KOLLSNES GASSANLEGG	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	124354	1622484	2013-05-08
KOLLSNES GASSANLEGG	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	124354	1622484	2013-05-08
KOLLSNES GASSANLEGG	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	124354	1622484	2013-05-08
KOLLSNES GASSANLEGG	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	124354	1622484	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2003-01-01	2003-03-04	38.293000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2003-03-04	2003-03-22	38.293000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2003-03-22	2003-05-06	38.293000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2003-05-06	2003-12-31	38.293000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2003-12-31	2004-10-01	38.293000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2004-10-01	2005-10-01	38.293000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2005-10-01	2006-09-01	38.627000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2006-09-01	2007-01-01	38.245000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2007-01-01	2007-01-02	38.245000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2007-01-02	2007-09-01	38.245000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2007-09-01	2007-10-01	37.892000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2007-10-01	2009-01-01	37.892000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2009-01-01	2009-01-02	38.459000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2009-01-02	2009-01-03	38.459000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2009-01-03	2009-01-04	38.459000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2009-01-04	2009-11-01	38.459000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2009-11-01	2010-01-01	38.459000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2010-01-01	2010-06-01	38.459000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2010-06-01	2011-01-01	38.435000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2011-01-01	2011-01-02	45.793000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2011-01-02	2011-01-03	45.793000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2011-01-03	2012-01-01	45.793000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Petoro AS	2012-01-01	9999-12-31	45.793000	124354	1626839	2013-05-08
KOLLSNES GASSANLEGG	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	124354	1853786	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	124354	2066214	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2003-03-04	2003-03-22	0.807000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2003-03-22	2003-05-06	0.807000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2003-05-06	2003-12-31	0.807000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2003-12-31	2004-10-01	1.669000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2004-10-01	2005-10-01	1.669000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2005-10-01	2006-09-01	1.688000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2006-09-01	2007-01-01	1.574000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2007-01-01	2007-01-02	1.574000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2007-01-02	2007-09-01	1.574000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2007-09-01	2007-10-01	1.556000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2007-10-01	2009-01-01	1.556000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2009-01-01	2009-01-02	1.525000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2009-01-02	2009-01-03	1.525000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2009-01-03	2009-01-04	1.525000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2009-01-04	2009-11-01	1.525000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2009-11-01	2010-01-01	1.525000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2010-01-01	2010-06-01	1.525000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2010-06-01	2011-01-01	1.521000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2011-01-01	2011-01-02	1.276000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2011-01-02	2011-01-03	1.276000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Eni Norge AS	2011-01-03	2012-01-01	1.276000	124354	2388594	2013-05-08
KOLLSNES GASSANLEGG	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	124354	2399056	2013-05-08
KOLLSNES GASSANLEGG	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	124354	2399056	2013-05-08
KOLLSNES GASSANLEGG	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	124354	2399056	2013-05-08
KOLLSNES GASSANLEGG	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	124354	2399056	2013-05-08
KOLLSNES GASSANLEGG	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	124354	2399056	2013-05-08
KOLLSNES GASSANLEGG	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	124354	2399056	2013-05-08
KOLLSNES GASSANLEGG	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	124354	2399056	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	124354	2410696	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	124354	2410708	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	124354	2835212	2013-05-08
MELKØYA LANDANLEGG	Petoro AS	2003-05-06	2004-01-01	30.000000	124383	1626839	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	124354	2835212	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	124354	4070011	2013-05-08
KOLLSNES GASSANLEGG	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	124354	4511658	2013-05-08
KOLLSNES GASSANLEGG	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	124354	4511658	2013-05-08
KOLLSNES GASSANLEGG	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	124354	4511658	2013-05-08
KOLLSNES GASSANLEGG	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	124354	4511658	2013-05-08
KOLLSNES GASSANLEGG	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	124354	4511658	2013-05-08
KOLLSNES GASSANLEGG	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	124354	4511854	2013-05-08
KOLLSNES GASSANLEGG	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	124354	4511854	2013-05-08
KOLLSNES GASSANLEGG	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	124354	4511854	2013-05-08
KOLLSNES GASSANLEGG	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	124354	4524355	2013-05-08
KOLLSNES GASSANLEGG	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	124354	4524355	2013-05-08
KOLLSNES GASSANLEGG	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	124354	4524355	2013-05-08
KOLLSNES GASSANLEGG	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	124354	5267845	2013-05-08
KOLLSNES GASSANLEGG	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	124354	5267845	2013-05-08
KOLLSNES GASSANLEGG	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	124354	5267845	2013-05-08
KOLLSNES GASSANLEGG	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	124354	5267845	2013-05-08
KOLLSNES GASSANLEGG	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	124354	5267845	2013-05-08
KOLLSNES GASSANLEGG	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	124354	17237817	2013-05-08
KOLLSNES GASSANLEGG	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	124354	17237817	2013-05-08
KOLLSNES GASSANLEGG	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	124354	17237817	2013-05-08
KOLLSNES GASSANLEGG	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	124354	17237817	2013-05-08
KOLLSNES GASSANLEGG	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	124354	17237817	2013-05-08
KOLLSNES GASSANLEGG	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	124354	17237817	2013-05-08
KOLLSNES GASSANLEGG	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	124354	17237817	2013-05-08
KOLLSNES GASSANLEGG	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	124354	20440816	2013-05-08
KOLLSNES GASSANLEGG	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	124354	20440816	2013-05-08
KOLLSNES GASSANLEGG	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	124354	20440816	2013-05-08
KOLLSNES GASSANLEGG	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	124354	21139140	2013-05-08
KOLLSNES GASSANLEGG	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	124354	21139140	2013-05-08
KOLLSNES GASSANLEGG	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	124354	21139652	2013-05-08
KOLLSNES GASSANLEGG	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	124354	21139652	2013-05-08
KOLLSNES GASSANLEGG	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	124354	21139663	2013-05-08
KOLLSNES GASSANLEGG	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	124354	21139663	2013-05-08
MELKØYA LANDANLEGG	Amerada Hess Norge AS	2002-03-07	2003-05-06	3.260000	124383	67	2013-05-08
MELKØYA LANDANLEGG	Amerada Hess Norge AS	2003-05-06	2004-01-01	3.260000	124383	67	2013-05-08
MELKØYA LANDANLEGG	Amerada Hess Norge AS	2004-01-01	2006-06-26	3.260000	124383	67	2013-05-08
MELKØYA LANDANLEGG	Norsk Hydro Produksjon AS	2002-03-07	2003-05-06	10.000000	124383	430	2013-05-08
MELKØYA LANDANLEGG	Norsk Hydro Produksjon AS	2003-05-06	2004-01-01	10.000000	124383	430	2013-05-08
MELKØYA LANDANLEGG	Svenska Petroleum Exploration AS	2002-03-07	2003-05-06	1.240000	124383	738	2013-05-08
MELKØYA LANDANLEGG	Svenska Petroleum Exploration AS	2003-05-06	2004-01-01	1.240000	124383	738	2013-05-08
MELKØYA LANDANLEGG	RWE Dea Norge AS	2002-03-07	2003-05-06	2.810000	124383	97557	2013-05-08
MELKØYA LANDANLEGG	RWE Dea Norge AS	2003-05-06	2004-01-01	2.810000	124383	97557	2013-05-08
MELKØYA LANDANLEGG	RWE Dea Norge AS	2004-01-01	2006-06-26	2.810000	124383	97557	2013-05-08
MELKØYA LANDANLEGG	RWE Dea Norge AS	2006-06-26	2007-10-01	2.810000	124383	97557	2013-05-08
MELKØYA LANDANLEGG	RWE Dea Norge AS	2007-10-01	2009-01-01	2.810000	124383	97557	2013-05-08
MELKØYA LANDANLEGG	RWE Dea Norge AS	2009-01-01	2009-01-02	2.810000	124383	97557	2013-05-08
MELKØYA LANDANLEGG	RWE Dea Norge AS	2009-01-02	2009-11-01	2.810000	124383	97557	2013-05-08
MELKØYA LANDANLEGG	RWE Dea Norge AS	2009-11-01	2011-11-01	2.810000	124383	97557	2013-05-08
MELKØYA LANDANLEGG	RWE Dea Norge AS	2011-11-01	9999-12-31	2.810000	124383	97557	2013-05-08
MELKØYA LANDANLEGG	TotalFinaElf Exploration Norge AS	2002-03-07	2003-05-06	18.400000	124383	1340884	2013-05-08
MELKØYA LANDANLEGG	Statoil ASA (old)	2002-03-07	2003-05-06	22.290000	124383	1622484	2013-05-08
MELKØYA LANDANLEGG	Statoil ASA (old)	2003-05-06	2004-01-01	22.290000	124383	1622484	2013-05-08
MELKØYA LANDANLEGG	Statoil ASA (old)	2004-01-01	2006-06-26	33.530000	124383	1622484	2013-05-08
MELKØYA LANDANLEGG	Statoil ASA (old)	2006-06-26	2007-10-01	33.530000	124383	1622484	2013-05-08
MELKØYA LANDANLEGG	Petoro AS	2002-03-07	2003-05-06	30.000000	124383	1626839	2013-05-08
MELKØYA LANDANLEGG	Petoro AS	2004-01-01	2006-06-26	30.000000	124383	1626839	2013-05-08
MELKØYA LANDANLEGG	Petoro AS	2006-06-26	2007-10-01	30.000000	124383	1626839	2013-05-08
MELKØYA LANDANLEGG	Petoro AS	2007-10-01	2009-01-01	30.000000	124383	1626839	2013-05-08
MELKØYA LANDANLEGG	Petoro AS	2009-01-01	2009-01-02	30.000000	124383	1626839	2013-05-08
MELKØYA LANDANLEGG	Petoro AS	2009-01-02	2009-11-01	30.000000	124383	1626839	2013-05-08
MELKØYA LANDANLEGG	Petoro AS	2009-11-01	2011-11-01	30.000000	124383	1626839	2013-05-08
MELKØYA LANDANLEGG	Petoro AS	2011-11-01	9999-12-31	30.000000	124383	1626839	2013-05-08
MELKØYA LANDANLEGG	Gaz de France Norge AS	2002-03-07	2003-05-06	12.000000	124383	1628733	2013-05-08
MELKØYA LANDANLEGG	Gaz de France Norge AS	2003-05-06	2004-01-01	12.000000	124383	1628733	2013-05-08
MELKØYA LANDANLEGG	Gaz de France Norge AS	2004-01-01	2006-06-26	12.000000	124383	1628733	2013-05-08
MELKØYA LANDANLEGG	Gaz de France Norge AS	2006-06-26	2007-10-01	12.000000	124383	1628733	2013-05-08
MELKØYA LANDANLEGG	Gaz de France Norge AS	2007-10-01	2009-01-01	12.000000	124383	1628733	2013-05-08
MELKØYA LANDANLEGG	Gaz de France Norge AS	2009-01-01	2009-01-02	12.000000	124383	1628733	2013-05-08
MELKØYA LANDANLEGG	Total E&P Norge AS	2003-05-06	2004-01-01	18.400000	124383	2410708	2013-05-08
MELKØYA LANDANLEGG	Total E&P Norge AS	2004-01-01	2006-06-26	18.400000	124383	2410708	2013-05-08
MELKØYA LANDANLEGG	Total E&P Norge AS	2006-06-26	2007-10-01	18.400000	124383	2410708	2013-05-08
MELKØYA LANDANLEGG	Total E&P Norge AS	2007-10-01	2009-01-01	18.400000	124383	2410708	2013-05-08
MELKØYA LANDANLEGG	Total E&P Norge AS	2009-01-01	2009-01-02	18.400000	124383	2410708	2013-05-08
MELKØYA LANDANLEGG	Total E&P Norge AS	2009-01-02	2009-11-01	18.400000	124383	2410708	2013-05-08
MELKØYA LANDANLEGG	Total E&P Norge AS	2009-11-01	2011-11-01	18.400000	124383	2410708	2013-05-08
MELKØYA LANDANLEGG	Total E&P Norge AS	2011-11-01	9999-12-31	18.400000	124383	2410708	2013-05-08
MELKØYA LANDANLEGG	Hess Norge AS	2006-06-26	2007-10-01	3.260000	124383	4038735	2013-05-08
MELKØYA LANDANLEGG	Hess Norge AS	2007-10-01	2009-01-01	3.260000	124383	4038735	2013-05-08
MELKØYA LANDANLEGG	Hess Norge AS	2009-01-01	2009-01-02	3.260000	124383	4038735	2013-05-08
MELKØYA LANDANLEGG	Hess Norge AS	2009-01-02	2009-11-01	3.260000	124383	4038735	2013-05-08
MELKØYA LANDANLEGG	Hess Norge AS	2009-11-01	2011-11-01	3.260000	124383	4038735	2013-05-08
MELKØYA LANDANLEGG	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	33.530000	124383	4511658	2013-05-08
MELKØYA LANDANLEGG	StatoilHydro Petroleum AS	2009-01-02	2009-11-01	33.530000	124383	4511658	2013-05-08
MELKØYA LANDANLEGG	StatoilHydro ASA	2007-10-01	2009-01-01	33.530000	124383	4511854	2013-05-08
MELKØYA LANDANLEGG	GDF SUEZ E&P Norge AS	2009-01-02	2009-11-01	12.000000	124383	5267845	2013-05-08
MELKØYA LANDANLEGG	GDF SUEZ E&P Norge AS	2009-11-01	2011-11-01	12.000000	124383	5267845	2013-05-08
MELKØYA LANDANLEGG	GDF SUEZ E&P Norge AS	2011-11-01	9999-12-31	12.000000	124383	5267845	2013-05-08
MELKØYA LANDANLEGG	Statoil Petroleum AS	2009-11-01	2011-11-01	33.530000	124383	17237817	2013-05-08
MELKØYA LANDANLEGG	Statoil Petroleum AS	2011-11-01	9999-12-31	36.790000	124383	17237817	2013-05-08
KVITEBJØRN OLJERØR	Norsk Hydro Produksjon AS	2002-05-08	2003-05-06	15.000000	917586	430	2013-05-08
KVITEBJØRN OLJERØR	Norsk Hydro Produksjon AS	2003-05-06	2005-01-01	15.000000	917586	430	2013-05-08
KVITEBJØRN OLJERØR	Norsk Hydro Produksjon AS	2005-01-01	2007-01-01	15.000000	917586	430	2013-05-08
KVITEBJØRN OLJERØR	TotalFinaElf Exploration Norge AS	2002-05-08	2003-05-06	5.000000	917586	1340884	2013-05-08
KVITEBJØRN OLJERØR	Statoil ASA (old)	2002-05-08	2003-05-06	50.000000	917586	1622484	2013-05-08
KVITEBJØRN OLJERØR	Statoil ASA (old)	2003-05-06	2005-01-01	50.000000	917586	1622484	2013-05-08
KVITEBJØRN OLJERØR	Statoil ASA (old)	2005-01-01	2007-01-01	43.550000	917586	1622484	2013-05-08
KVITEBJØRN OLJERØR	Statoil ASA (old)	2007-01-01	2007-10-01	43.550000	917586	1622484	2013-05-08
KVITEBJØRN OLJERØR	Petoro AS	2002-05-08	2003-05-06	30.000000	917586	1626839	2013-05-08
KVITEBJØRN OLJERØR	Petoro AS	2003-05-06	2005-01-01	30.000000	917586	1626839	2013-05-08
KVITEBJØRN OLJERØR	Petoro AS	2005-01-01	2007-01-01	30.000000	917586	1626839	2013-05-08
KVITEBJØRN OLJERØR	Petoro AS	2007-01-01	2007-10-01	30.000000	917586	1626839	2013-05-08
KVITEBJØRN OLJERØR	Petoro AS	2007-10-01	2009-01-01	30.000000	917586	1626839	2013-05-08
KVITEBJØRN OLJERØR	Petoro AS	2009-01-01	2009-11-01	30.000000	917586	1626839	2013-05-08
KVITEBJØRN OLJERØR	Petoro AS	2009-11-01	2012-04-30	30.000000	917586	1626839	2013-05-08
KVITEBJØRN OLJERØR	Petoro AS	2012-04-30	9999-12-31	30.000000	917586	1626839	2013-05-08
KVITEBJØRN OLJERØR	Enterprise Oil Norge AS	2005-01-01	2007-01-01	6.450000	917586	1853786	2013-05-08
KVITEBJØRN OLJERØR	Enterprise Oil Norge AS	2007-01-01	2007-10-01	6.450000	917586	1853786	2013-05-08
KVITEBJØRN OLJERØR	Enterprise Oil Norge AS	2007-10-01	2009-01-01	6.450000	917586	1853786	2013-05-08
KVITEBJØRN OLJERØR	Enterprise Oil Norge AS	2009-01-01	2009-11-01	6.450000	917586	1853786	2013-05-08
KVITEBJØRN OLJERØR	Enterprise Oil Norge AS	2009-11-01	2012-04-30	6.450000	917586	1853786	2013-05-08
KVITEBJØRN OLJERØR	Enterprise Oil Norge AS	2012-04-30	9999-12-31	6.450000	917586	1853786	2013-05-08
KVITEBJØRN OLJERØR	Total E&P Norge AS	2003-05-06	2005-01-01	5.000000	917586	2410708	2013-05-08
KVITEBJØRN OLJERØR	Total E&P Norge AS	2005-01-01	2007-01-01	5.000000	917586	2410708	2013-05-08
KVITEBJØRN OLJERØR	Total E&P Norge AS	2007-01-01	2007-10-01	5.000000	917586	2410708	2013-05-08
KVITEBJØRN OLJERØR	Total E&P Norge AS	2007-10-01	2009-01-01	5.000000	917586	2410708	2013-05-08
KVITEBJØRN OLJERØR	Total E&P Norge AS	2009-01-01	2009-11-01	5.000000	917586	2410708	2013-05-08
KVITEBJØRN OLJERØR	Total E&P Norge AS	2009-11-01	2012-04-30	5.000000	917586	2410708	2013-05-08
KVITEBJØRN OLJERØR	Total E&P Norge AS	2012-04-30	9999-12-31	5.000000	917586	2410708	2013-05-08
KVITEBJØRN OLJERØR	Centrica Resources (Norge) AS	2012-04-30	9999-12-31	19.000000	917586	4238233	2013-05-08
KVITEBJØRN OLJERØR	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	15.000000	917586	4511658	2013-05-08
KVITEBJØRN OLJERØR	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	58.550000	917586	4511658	2013-05-08
KVITEBJØRN OLJERØR	StatoilHydro ASA	2007-10-01	2009-01-01	43.550000	917586	4511854	2013-05-08
KVITEBJØRN OLJERØR	Norsk Hydro Petroleum AS	2007-01-01	2007-10-01	15.000000	917586	4524355	2013-05-08
KVITEBJØRN OLJERØR	Statoil Petroleum AS	2009-11-01	2012-04-30	58.550000	917586	17237817	2013-05-08
KVITEBJØRN OLJERØR	Statoil Petroleum AS	2012-04-30	9999-12-31	39.550000	917586	17237817	2013-05-08
DRAUGEN GASSEKSPORT	A/S Norske Shell	2000-04-14	2001-05-10	16.200000	1035952	562	2013-05-08
DRAUGEN GASSEKSPORT	A/S Norske Shell	2001-05-10	2001-06-17	16.200000	1035952	562	2013-05-08
DRAUGEN GASSEKSPORT	A/S Norske Shell	2001-06-17	2002-03-12	16.200000	1035952	562	2013-05-08
DRAUGEN GASSEKSPORT	A/S Norske Shell	2002-03-12	2002-03-19	16.200000	1035952	562	2013-05-08
DRAUGEN GASSEKSPORT	A/S Norske Shell	2002-03-19	2002-11-19	26.200000	1035952	562	2013-05-08
DRAUGEN GASSEKSPORT	A/S Norske Shell	2002-11-19	2005-09-17	26.200000	1035952	562	2013-05-08
DRAUGEN GASSEKSPORT	A/S Norske Shell	2005-09-17	2012-01-01	26.200000	1035952	562	2013-05-08
DRAUGEN GASSEKSPORT	A/S Norske Shell	2012-01-01	9999-12-31	44.560000	1035952	562	2013-05-08
DRAUGEN GASSEKSPORT	Den norske stats oljeselskap a.s	2000-04-14	2001-05-10	57.880000	1035952	749	2013-05-08
DRAUGEN GASSEKSPORT	Norsk Chevron AS	2000-04-14	2001-05-10	7.560000	1035952	40148	2013-05-08
DRAUGEN GASSEKSPORT	Norsk Chevron AS	2001-05-10	2001-06-17	7.560000	1035952	40148	2013-05-08
DRAUGEN GASSEKSPORT	Norsk Chevron AS	2001-06-17	2002-03-12	7.560000	1035952	40148	2013-05-08
DRAUGEN GASSEKSPORT	Norsk Chevron AS	2002-03-12	2002-03-19	7.560000	1035952	40148	2013-05-08
DRAUGEN GASSEKSPORT	Norsk Chevron AS	2002-03-19	2002-11-19	7.560000	1035952	40148	2013-05-08
DRAUGEN GASSEKSPORT	BP Amoco Norge AS	2000-04-14	2001-05-10	18.360000	1035952	982372	2013-05-08
DRAUGEN GASSEKSPORT	BP Amoco Norge AS	2001-05-10	2001-06-17	18.360000	1035952	982372	2013-05-08
DRAUGEN GASSEKSPORT	BP Amoco Norge AS	2001-06-17	2002-03-12	18.360000	1035952	982372	2013-05-08
DRAUGEN GASSEKSPORT	SDØE	2001-05-10	2001-06-17	57.880000	1035952	1623450	2013-05-08
DRAUGEN GASSEKSPORT	Petoro AS	2001-06-17	2002-03-12	57.880000	1035952	1626839	2013-05-08
DRAUGEN GASSEKSPORT	Petoro AS	2002-03-12	2002-03-19	57.880000	1035952	1626839	2013-05-08
DRAUGEN GASSEKSPORT	Petoro AS	2002-03-19	2002-11-19	47.880000	1035952	1626839	2013-05-08
DRAUGEN GASSEKSPORT	Petoro AS	2002-11-19	2005-09-17	47.880000	1035952	1626839	2013-05-08
DRAUGEN GASSEKSPORT	Petoro AS	2005-09-17	2012-01-01	47.880000	1035952	1626839	2013-05-08
DRAUGEN GASSEKSPORT	Petoro AS	2012-01-01	9999-12-31	47.880000	1035952	1626839	2013-05-08
DRAUGEN GASSEKSPORT	BP Norge AS	2002-03-12	2002-03-19	18.360000	1035952	2052695	2013-05-08
DRAUGEN GASSEKSPORT	BP Norge AS	2002-03-19	2002-11-19	18.360000	1035952	2052695	2013-05-08
DRAUGEN GASSEKSPORT	BP Norge AS	2002-11-19	2005-09-17	18.360000	1035952	2052695	2013-05-08
DRAUGEN GASSEKSPORT	BP Norge AS	2005-09-17	2012-01-01	18.360000	1035952	2052695	2013-05-08
DRAUGEN GASSEKSPORT	Chevron Texaco Norge AS	2002-11-19	2005-09-17	7.560000	1035952	2154473	2013-05-08
DRAUGEN GASSEKSPORT	Chevron Norge AS	2005-09-17	2012-01-01	7.560000	1035952	3488906	2013-05-08
DRAUGEN GASSEKSPORT	Chevron Norge AS	2012-01-01	9999-12-31	7.560000	1035952	3488906	2013-05-08
HEIDRUN GASSTRANSPORT	Norske Conoco A/S	2000-04-14	2001-05-10	18.292510	1035969	221	2013-05-08
HEIDRUN GASSTRANSPORT	Norske Conoco A/S	2001-05-10	2001-06-17	18.292510	1035969	221	2013-05-08
HEIDRUN GASSTRANSPORT	Norske Conoco A/S	2001-06-17	2002-03-19	18.292510	1035969	221	2013-05-08
HEIDRUN GASSTRANSPORT	Norske Conoco A/S	2002-03-19	2003-03-04	24.292510	1035969	221	2013-05-08
HEIDRUN GASSTRANSPORT	Norske Conoco A/S	2003-03-04	2003-03-22	24.292510	1035969	221	2013-05-08
HEIDRUN GASSTRANSPORT	Den norske stats oljeselskap a.s	2000-04-14	2001-05-10	76.586850	1035969	749	2013-05-08
HEIDRUN GASSTRANSPORT	Fortum Petroleum AS	2000-04-14	2001-05-10	5.120640	1035969	102714	2013-05-08
HEIDRUN GASSTRANSPORT	Fortum Petroleum AS	2001-05-10	2001-06-17	5.120640	1035969	102714	2013-05-08
HEIDRUN GASSTRANSPORT	Fortum Petroleum AS	2001-06-17	2002-03-19	5.120640	1035969	102714	2013-05-08
HEIDRUN GASSTRANSPORT	Fortum Petroleum AS	2002-03-19	2003-03-04	5.120640	1035969	102714	2013-05-08
HEIDRUN GASSTRANSPORT	Statoil ASA (old)	2001-05-10	2001-06-17	12.431380	1035969	1622484	2013-05-08
HEIDRUN GASSTRANSPORT	Statoil ASA (old)	2001-06-17	2002-03-19	12.431380	1035969	1622484	2013-05-08
HEIDRUN GASSTRANSPORT	Statoil ASA (old)	2002-03-19	2003-03-04	12.431380	1035969	1622484	2013-05-08
HEIDRUN GASSTRANSPORT	Statoil ASA (old)	2003-03-04	2003-03-22	12.431380	1035969	1622484	2013-05-08
HEIDRUN GASSTRANSPORT	Statoil ASA (old)	2003-03-22	2003-06-11	12.431380	1035969	1622484	2013-05-08
HEIDRUN GASSTRANSPORT	Statoil ASA (old)	2003-06-11	2007-01-01	12.405680	1035969	1622484	2013-05-08
HEIDRUN GASSTRANSPORT	Statoil ASA (old)	2007-01-01	2007-10-01	12.405680	1035969	1622484	2013-05-08
HEIDRUN GASSTRANSPORT	SDØE	2001-05-10	2001-06-17	64.155470	1035969	1623450	2013-05-08
HEIDRUN GASSTRANSPORT	Petoro AS	2001-06-17	2002-03-19	64.155470	1035969	1626839	2013-05-08
HEIDRUN GASSTRANSPORT	Petoro AS	2002-03-19	2003-03-04	58.155470	1035969	1626839	2013-05-08
HEIDRUN GASSTRANSPORT	Petoro AS	2003-03-04	2003-03-22	58.155470	1035969	1626839	2013-05-08
HEIDRUN GASSTRANSPORT	Petoro AS	2003-03-22	2003-06-11	58.155470	1035969	1626839	2013-05-08
HEIDRUN GASSTRANSPORT	Petoro AS	2003-06-11	2007-01-01	58.164400	1035969	1626839	2013-05-08
HEIDRUN GASSTRANSPORT	Petoro AS	2007-01-01	2007-10-01	58.164400	1035969	1626839	2013-05-08
HEIDRUN GASSTRANSPORT	Petoro AS	2007-10-01	2009-01-01	58.164400	1035969	1626839	2013-05-08
HEIDRUN GASSTRANSPORT	Petoro AS	2009-01-01	2009-11-01	58.164400	1035969	1626839	2013-05-08
HEIDRUN GASSTRANSPORT	Petoro AS	2009-11-01	9999-12-31	58.164400	1035969	1626839	2013-05-08
HEIDRUN GASSTRANSPORT	Eni Norge AS	2003-03-04	2003-03-22	5.120640	1035969	2388594	2013-05-08
HEIDRUN GASSTRANSPORT	Eni Norge AS	2003-03-22	2003-06-11	5.120640	1035969	2388594	2013-05-08
HEIDRUN GASSTRANSPORT	Eni Norge AS	2003-06-11	2007-01-01	5.119370	1035969	2388594	2013-05-08
HEIDRUN GASSTRANSPORT	Eni Norge AS	2007-01-01	2007-10-01	5.119370	1035969	2388594	2013-05-08
HEIDRUN GASSTRANSPORT	Eni Norge AS	2007-10-01	2009-01-01	5.119370	1035969	2388594	2013-05-08
HEIDRUN GASSTRANSPORT	Eni Norge AS	2009-01-01	2009-11-01	5.119370	1035969	2388594	2013-05-08
HEIDRUN GASSTRANSPORT	Eni Norge AS	2009-11-01	9999-12-31	5.119370	1035969	2388594	2013-05-08
HEIDRUN GASSTRANSPORT	Norske ConocoPhillips AS	2003-03-22	2003-06-11	24.292510	1035969	2399056	2013-05-08
HEIDRUN GASSTRANSPORT	Norske ConocoPhillips AS	2003-06-11	2007-01-01	24.310550	1035969	2399056	2013-05-08
HEIDRUN GASSTRANSPORT	ConocoPhillips Skandinavia AS	2007-01-01	2007-10-01	24.310550	1035969	2410696	2013-05-08
HEIDRUN GASSTRANSPORT	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	24.310550	1035969	2410696	2013-05-08
HEIDRUN GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-01-01	2009-11-01	24.310550	1035969	2410696	2013-05-08
HEIDRUN GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-11-01	9999-12-31	24.310550	1035969	2410696	2013-05-08
HEIDRUN GASSTRANSPORT	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	12.405680	1035969	4511658	2013-05-08
HEIDRUN GASSTRANSPORT	StatoilHydro ASA	2007-10-01	2009-01-01	12.405680	1035969	4511854	2013-05-08
HEIDRUN GASSTRANSPORT	Statoil Petroleum AS	2009-11-01	9999-12-31	12.405680	1035969	17237817	2013-05-08
NORNE GASSTRANSPORT	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	1035984	45	2013-05-08
NORNE GASSTRANSPORT	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	1035984	45	2013-05-08
NORNE GASSTRANSPORT	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	1035984	45	2013-05-08
NORNE GASSTRANSPORT	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	1035984	45	2013-05-08
NORNE GASSTRANSPORT	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	1035984	221	2013-05-08
NORNE GASSTRANSPORT	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	1035984	221	2013-05-08
NORNE GASSTRANSPORT	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	1035984	353	2013-05-08
NORNE GASSTRANSPORT	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	1035984	353	2013-05-08
NORNE GASSTRANSPORT	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	1035984	353	2013-05-08
NORNE GASSTRANSPORT	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	1035984	353	2013-05-08
NORNE GASSTRANSPORT	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	1035984	353	2013-05-08
NORNE GASSTRANSPORT	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	1035984	430	2013-05-08
NORNE GASSTRANSPORT	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	1035984	430	2013-05-08
NORNE GASSTRANSPORT	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	1035984	430	2013-05-08
NORNE GASSTRANSPORT	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	1035984	430	2013-05-08
NORNE GASSTRANSPORT	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	1035984	430	2013-05-08
NORNE GASSTRANSPORT	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	1035984	430	2013-05-08
NORNE GASSTRANSPORT	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	1035984	430	2013-05-08
NORNE GASSTRANSPORT	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	1035984	430	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	1035984	474	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	1035984	562	2013-05-08
NORNE GASSTRANSPORT	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	1035984	97557	2013-05-08
NORNE GASSTRANSPORT	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	1035984	97557	2013-05-08
NORNE GASSTRANSPORT	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	1035984	97557	2013-05-08
NORNE GASSTRANSPORT	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	1035984	97557	2013-05-08
NORNE GASSTRANSPORT	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	1035984	97557	2013-05-08
NORNE GASSTRANSPORT	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	1035984	102714	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	1035984	1025067	2013-05-08
NORNE GASSTRANSPORT	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	1035984	1340884	2013-05-08
NORNE GASSTRANSPORT	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	1035984	1340884	2013-05-08
NORNE GASSTRANSPORT	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	1035984	1340884	2013-05-08
NORNE GASSTRANSPORT	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	1035984	1622484	2013-05-08
NORNE GASSTRANSPORT	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	1035984	1622484	2013-05-08
NORNE GASSTRANSPORT	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	1035984	1622484	2013-05-08
NORNE GASSTRANSPORT	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	1035984	1622484	2013-05-08
NORNE GASSTRANSPORT	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	1035984	1622484	2013-05-08
NORNE GASSTRANSPORT	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	1035984	1622484	2013-05-08
NORNE GASSTRANSPORT	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	1035984	1622484	2013-05-08
NORNE GASSTRANSPORT	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	1035984	1622484	2013-05-08
NORNE GASSTRANSPORT	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	1035984	1622484	2013-05-08
NORNE GASSTRANSPORT	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	1035984	1622484	2013-05-08
NORNE GASSTRANSPORT	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	1035984	1622484	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2003-01-01	2003-03-04	38.293000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2003-03-04	2003-03-22	38.293000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2003-03-22	2003-05-06	38.293000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2003-05-06	2003-12-31	38.293000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2003-12-31	2004-10-01	38.293000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2004-10-01	2005-10-01	38.293000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2005-10-01	2006-09-01	38.627000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2006-09-01	2007-01-01	38.245000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2007-01-01	2007-01-02	38.245000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2007-01-02	2007-09-01	38.245000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2007-09-01	2007-10-01	37.892000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2007-10-01	2009-01-01	37.892000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2009-01-01	2009-01-02	38.459000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2009-01-02	2009-01-03	38.459000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2009-01-03	2009-01-04	38.459000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2009-01-04	2009-11-01	38.459000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2009-11-01	2010-01-01	38.459000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2010-01-01	2010-06-01	38.459000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2010-06-01	2011-01-01	38.435000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2011-01-01	2011-01-02	45.793000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2011-01-02	2011-01-03	45.793000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2011-01-03	2012-01-01	45.793000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Petoro AS	2012-01-01	9999-12-31	45.793000	1035984	1626839	2013-05-08
NORNE GASSTRANSPORT	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	1035984	1853786	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	1035984	2066214	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2003-03-04	2003-03-22	0.807000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2003-03-22	2003-05-06	0.807000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2003-05-06	2003-12-31	0.807000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2003-12-31	2004-10-01	1.669000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2004-10-01	2005-10-01	1.669000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2005-10-01	2006-09-01	1.688000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2006-09-01	2007-01-01	1.574000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2007-01-01	2007-01-02	1.574000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2007-01-02	2007-09-01	1.574000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2007-09-01	2007-10-01	1.556000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2007-10-01	2009-01-01	1.556000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2009-01-01	2009-01-02	1.525000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2009-01-02	2009-01-03	1.525000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2009-01-03	2009-01-04	1.525000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2009-01-04	2009-11-01	1.525000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2009-11-01	2010-01-01	1.525000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2010-01-01	2010-06-01	1.525000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2010-06-01	2011-01-01	1.521000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2011-01-01	2011-01-02	1.276000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2011-01-02	2011-01-03	1.276000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Eni Norge AS	2011-01-03	2012-01-01	1.276000	1035984	2388594	2013-05-08
NORNE GASSTRANSPORT	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	1035984	2399056	2013-05-08
NORNE GASSTRANSPORT	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	1035984	2399056	2013-05-08
NORNE GASSTRANSPORT	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	1035984	2399056	2013-05-08
NORNE GASSTRANSPORT	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	1035984	2399056	2013-05-08
NORNE GASSTRANSPORT	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	1035984	2399056	2013-05-08
NORNE GASSTRANSPORT	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	1035984	2399056	2013-05-08
NORNE GASSTRANSPORT	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	1035984	2399056	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	1035984	2410696	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	1035984	2410708	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	1035984	2835212	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	1035984	4070011	2013-05-08
NORNE GASSTRANSPORT	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	1035984	4511658	2013-05-08
NORNE GASSTRANSPORT	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	1035984	4511658	2013-05-08
NORNE GASSTRANSPORT	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	1035984	4511658	2013-05-08
NORNE GASSTRANSPORT	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	1035984	4511658	2013-05-08
NORNE GASSTRANSPORT	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	1035984	4511658	2013-05-08
NORNE GASSTRANSPORT	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	1035984	4511854	2013-05-08
NORNE GASSTRANSPORT	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	1035984	4511854	2013-05-08
NORNE GASSTRANSPORT	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	1035984	4511854	2013-05-08
NORNE GASSTRANSPORT	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	1035984	4524355	2013-05-08
NORNE GASSTRANSPORT	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	1035984	4524355	2013-05-08
NORNE GASSTRANSPORT	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	1035984	4524355	2013-05-08
NORNE GASSTRANSPORT	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	1035984	5267845	2013-05-08
NORNE GASSTRANSPORT	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	1035984	5267845	2013-05-08
NORNE GASSTRANSPORT	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	1035984	5267845	2013-05-08
NORNE GASSTRANSPORT	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	1035984	5267845	2013-05-08
NORNE GASSTRANSPORT	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	1035984	5267845	2013-05-08
NORNE GASSTRANSPORT	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	1035984	17237817	2013-05-08
NORNE GASSTRANSPORT	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	1035984	17237817	2013-05-08
NORNE GASSTRANSPORT	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	1035984	17237817	2013-05-08
NORNE GASSTRANSPORT	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	1035984	17237817	2013-05-08
NORNE GASSTRANSPORT	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	1035984	17237817	2013-05-08
NORNE GASSTRANSPORT	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	1035984	17237817	2013-05-08
NORNE GASSTRANSPORT	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	1035984	17237817	2013-05-08
NORNE GASSTRANSPORT	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	1035984	20440816	2013-05-08
NORNE GASSTRANSPORT	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	1035984	20440816	2013-05-08
NORNE GASSTRANSPORT	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	1035984	20440816	2013-05-08
NORNE GASSTRANSPORT	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	1035984	21139140	2013-05-08
NORNE GASSTRANSPORT	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	1035984	21139140	2013-05-08
NORNE GASSTRANSPORT	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	1035984	21139652	2013-05-08
NORNE GASSTRANSPORT	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	1035984	21139652	2013-05-08
NORNE GASSTRANSPORT	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	1035984	21139663	2013-05-08
NORNE GASSTRANSPORT	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	1035984	21139663	2013-05-08
GRANE OLJERØR	Norske Conoco A/S	2001-01-01	2001-05-10	6.400000	1036198	221	2013-05-08
GRANE OLJERØR	Norske Conoco A/S	2001-05-10	2001-06-17	6.400000	1036198	221	2013-05-08
GRANE OLJERØR	Norske Conoco A/S	2001-06-17	2003-03-22	6.400000	1036198	221	2013-05-08
GRANE OLJERØR	Esso Exploration and Production Norway A/S	2000-06-14	2001-01-01	25.600000	1036198	353	2013-05-08
GRANE OLJERØR	Esso Exploration and Production Norway A/S	2001-01-01	2001-05-10	25.600000	1036198	353	2013-05-08
GRANE OLJERØR	Esso Exploration and Production Norway A/S	2001-05-10	2001-06-17	25.600000	1036198	353	2013-05-08
GRANE OLJERØR	Esso Exploration and Production Norway A/S	2001-06-17	2003-03-22	25.600000	1036198	353	2013-05-08
GRANE OLJERØR	Esso Exploration and Production Norway A/S	2003-03-22	2004-10-01	25.600000	1036198	353	2013-05-08
GRANE OLJERØR	Norsk Hydro Produksjon AS	2000-06-14	2001-01-01	24.400000	1036198	430	2013-05-08
GRANE OLJERØR	Norsk Hydro Produksjon AS	2001-01-01	2001-05-10	24.400000	1036198	430	2013-05-08
GRANE OLJERØR	Norsk Hydro Produksjon AS	2001-05-10	2001-06-17	24.400000	1036198	430	2013-05-08
GRANE OLJERØR	Norsk Hydro Produksjon AS	2001-06-17	2003-03-22	24.400000	1036198	430	2013-05-08
GRANE OLJERØR	Norsk Hydro Produksjon AS	2003-03-22	2004-10-01	24.400000	1036198	430	2013-05-08
GRANE OLJERØR	Norsk Hydro Produksjon AS	2004-10-01	2007-01-01	24.400000	1036198	430	2013-05-08
GRANE OLJERØR	Den norske stats oljeselskap a.s	2000-06-14	2001-01-01	50.000000	1036198	749	2013-05-08
GRANE OLJERØR	Den norske stats oljeselskap a.s	2001-01-01	2001-05-10	43.600000	1036198	749	2013-05-08
GRANE OLJERØR	SDØE	2001-05-10	2001-06-17	43.600000	1036198	1623450	2013-05-08
GRANE OLJERØR	Petoro AS	2001-06-17	2003-03-22	43.600000	1036198	1626839	2013-05-08
GRANE OLJERØR	Petoro AS	2003-03-22	2004-10-01	43.600000	1036198	1626839	2013-05-08
GRANE OLJERØR	Petoro AS	2004-10-01	2007-01-01	43.600000	1036198	1626839	2013-05-08
GRANE OLJERØR	Petoro AS	2007-01-01	2007-01-02	43.600000	1036198	1626839	2013-05-08
GRANE OLJERØR	Petoro AS	2007-01-02	2007-10-01	43.600000	1036198	1626839	2013-05-08
GRANE OLJERØR	Petoro AS	2007-10-01	2009-01-01	43.600000	1036198	1626839	2013-05-08
GRANE OLJERØR	Petoro AS	2009-01-01	2009-11-01	42.063100	1036198	1626839	2013-05-08
GRANE OLJERØR	Petoro AS	2009-11-01	9999-12-31	42.063100	1036198	1626839	2013-05-08
GRANE OLJERØR	Norske ConocoPhillips AS	2003-03-22	2004-10-01	6.400000	1036198	2399056	2013-05-08
GRANE OLJERØR	Norske ConocoPhillips AS	2004-10-01	2007-01-01	6.400000	1036198	2399056	2013-05-08
GRANE OLJERØR	Norske ConocoPhillips AS	2007-01-01	2007-01-02	6.400000	1036198	2399056	2013-05-08
GRANE OLJERØR	ConocoPhillips Skandinavia AS	2007-01-02	2007-10-01	6.400000	1036198	2410696	2013-05-08
GRANE OLJERØR	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	6.400000	1036198	2410696	2013-05-08
GRANE OLJERØR	ConocoPhillips Skandinavia AS	2009-01-01	2009-11-01	6.174400	1036198	2410696	2013-05-08
GRANE OLJERØR	ConocoPhillips Skandinavia AS	2009-11-01	9999-12-31	6.174400	1036198	2410696	2013-05-08
GRANE OLJERØR	ExxonMobil Exploration & Production Norway AS	2004-10-01	2007-01-01	25.600000	1036198	2835212	2013-05-08
GRANE OLJERØR	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	25.600000	1036198	2835212	2013-05-08
GRANE OLJERØR	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-10-01	25.600000	1036198	2835212	2013-05-08
GRANE OLJERØR	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	25.600000	1036198	2835212	2013-05-08
GRANE OLJERØR	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-11-01	28.222600	1036198	2835212	2013-05-08
GRANE OLJERØR	ExxonMobil Exploration & Production Norway AS	2009-11-01	9999-12-31	28.222600	1036198	2835212	2013-05-08
GRANE OLJERØR	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	24.400000	1036198	4511658	2013-05-08
GRANE OLJERØR	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	23.539900	1036198	4511658	2013-05-08
GRANE OLJERØR	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	24.400000	1036198	4524355	2013-05-08
GRANE OLJERØR	Norsk Hydro Petroleum AS	2007-01-02	2007-10-01	24.400000	1036198	4524355	2013-05-08
GRANE OLJERØR	Statoil Petroleum AS	2009-11-01	9999-12-31	23.539900	1036198	17237817	2013-05-08
GRANE GASSRØR	Norske Conoco A/S	2001-01-01	2001-05-10	6.400000	1036213	221	2013-05-08
GRANE GASSRØR	Norske Conoco A/S	2001-05-10	2001-06-17	6.400000	1036213	221	2013-05-08
GRANE GASSRØR	Norske Conoco A/S	2001-06-17	2002-03-19	6.400000	1036213	221	2013-05-08
GRANE GASSRØR	Norske Conoco A/S	2002-03-19	2003-03-22	6.400000	1036213	221	2013-05-08
GRANE GASSRØR	Esso Exploration and Production Norway A/S	2000-06-14	2001-01-01	25.600000	1036213	353	2013-05-08
GRANE GASSRØR	Esso Exploration and Production Norway A/S	2001-01-01	2001-05-10	25.600000	1036213	353	2013-05-08
GRANE GASSRØR	Esso Exploration and Production Norway A/S	2001-05-10	2001-06-17	25.600000	1036213	353	2013-05-08
GRANE GASSRØR	Esso Exploration and Production Norway A/S	2001-06-17	2002-03-19	25.600000	1036213	353	2013-05-08
GRANE GASSRØR	Esso Exploration and Production Norway A/S	2002-03-19	2003-03-22	25.600000	1036213	353	2013-05-08
GRANE GASSRØR	Esso Exploration and Production Norway A/S	2003-03-22	2004-10-01	25.600000	1036213	353	2013-05-08
GRANE GASSRØR	Norsk Hydro Produksjon AS	2000-06-14	2001-01-01	24.400000	1036213	430	2013-05-08
GRANE GASSRØR	Norsk Hydro Produksjon AS	2001-01-01	2001-05-10	24.400000	1036213	430	2013-05-08
GRANE GASSRØR	Norsk Hydro Produksjon AS	2001-05-10	2001-06-17	24.400000	1036213	430	2013-05-08
GRANE GASSRØR	Norsk Hydro Produksjon AS	2001-06-17	2002-03-19	24.400000	1036213	430	2013-05-08
GRANE GASSRØR	Norsk Hydro Produksjon AS	2002-03-19	2003-03-22	38.000000	1036213	430	2013-05-08
GRANE GASSRØR	Norsk Hydro Produksjon AS	2003-03-22	2004-10-01	38.000000	1036213	430	2013-05-08
GRANE GASSRØR	Norsk Hydro Produksjon AS	2004-10-01	2007-01-01	38.000000	1036213	430	2013-05-08
GRANE GASSRØR	Den norske stats oljeselskap a.s	2000-06-14	2001-01-01	50.000000	1036213	749	2013-05-08
GRANE GASSRØR	Den norske stats oljeselskap a.s	2001-01-01	2001-05-10	43.600000	1036213	749	2013-05-08
GRANE GASSRØR	SDØE	2001-05-10	2001-06-17	43.600000	1036213	1623450	2013-05-08
GRANE GASSRØR	Petoro AS	2001-06-17	2002-03-19	43.600000	1036213	1626839	2013-05-08
GRANE GASSRØR	Petoro AS	2002-03-19	2003-03-22	30.000000	1036213	1626839	2013-05-08
GRANE GASSRØR	Petoro AS	2003-03-22	2004-10-01	30.000000	1036213	1626839	2013-05-08
GRANE GASSRØR	Petoro AS	2004-10-01	2007-01-01	30.000000	1036213	1626839	2013-05-08
GRANE GASSRØR	Petoro AS	2007-01-01	2007-01-02	30.000000	1036213	1626839	2013-05-08
GRANE GASSRØR	Petoro AS	2007-01-02	2007-10-01	30.000000	1036213	1626839	2013-05-08
GRANE GASSRØR	Petoro AS	2007-10-01	2009-01-01	30.000000	1036213	1626839	2013-05-08
GRANE GASSRØR	Petoro AS	2009-01-01	2009-11-01	28.942500	1036213	1626839	2013-05-08
GRANE GASSRØR	Petoro AS	2009-11-01	9999-12-31	28.942500	1036213	1626839	2013-05-08
GRANE GASSRØR	Norske ConocoPhillips AS	2003-03-22	2004-10-01	6.400000	1036213	2399056	2013-05-08
GRANE GASSRØR	Norske ConocoPhillips AS	2004-10-01	2007-01-01	6.400000	1036213	2399056	2013-05-08
GRANE GASSRØR	Norske ConocoPhillips AS	2007-01-01	2007-01-02	6.400000	1036213	2399056	2013-05-08
GRANE GASSRØR	ConocoPhillips Skandinavia AS	2007-01-02	2007-10-01	6.400000	1036213	2410696	2013-05-08
GRANE GASSRØR	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	6.400000	1036213	2410696	2013-05-08
GRANE GASSRØR	ConocoPhillips Skandinavia AS	2009-01-01	2009-11-01	6.174400	1036213	2410696	2013-05-08
GRANE GASSRØR	ConocoPhillips Skandinavia AS	2009-11-01	9999-12-31	6.174400	1036213	2410696	2013-05-08
GRANE GASSRØR	ExxonMobil Exploration & Production Norway AS	2004-10-01	2007-01-01	25.600000	1036213	2835212	2013-05-08
GRANE GASSRØR	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	25.600000	1036213	2835212	2013-05-08
GRANE GASSRØR	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-10-01	25.600000	1036213	2835212	2013-05-08
GRANE GASSRØR	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	25.600000	1036213	2835212	2013-05-08
GRANE GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-11-01	28.222600	1036213	2835212	2013-05-08
GRANE GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-11-01	9999-12-31	28.222600	1036213	2835212	2013-05-08
GRANE GASSRØR	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	38.000000	1036213	4511658	2013-05-08
GRANE GASSRØR	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	36.660500	1036213	4511658	2013-05-08
GRANE GASSRØR	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	38.000000	1036213	4524355	2013-05-08
GRANE GASSRØR	Norsk Hydro Petroleum AS	2007-01-02	2007-10-01	38.000000	1036213	4524355	2013-05-08
GRANE GASSRØR	Statoil Petroleum AS	2009-11-01	9999-12-31	36.660500	1036213	17237817	2013-05-08
KRISTIN GASSRØR	Norsk Agip  AS	2001-12-17	2003-05-06	9.000000	1854814	45	2013-05-08
KRISTIN GASSRØR	Norsk Agip  AS	2003-05-06	2003-12-31	9.000000	1854814	45	2013-05-08
KRISTIN GASSRØR	Norsk Hydro Produksjon AS	2001-12-17	2003-05-06	12.000000	1854814	430	2013-05-08
KRISTIN GASSRØR	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	12.000000	1854814	430	2013-05-08
KRISTIN GASSRØR	Norsk Hydro Produksjon AS	2003-12-31	2007-01-01	12.000000	1854814	430	2013-05-08
KRISTIN GASSRØR	Mobil Development Norway AS	2001-12-17	2003-05-06	10.500000	1854814	474	2013-05-08
KRISTIN GASSRØR	Mobil Development Norway AS	2003-05-06	2003-12-31	10.500000	1854814	474	2013-05-08
KRISTIN GASSRØR	Mobil Development Norway AS	2003-12-31	2007-01-01	10.500000	1854814	474	2013-05-08
KRISTIN GASSRØR	Mobil Development Norway AS	2007-01-01	2007-10-01	10.500000	1854814	474	2013-05-08
KRISTIN GASSRØR	Mobil Development Norway AS	2007-10-01	2008-01-01	10.500000	1854814	474	2013-05-08
KRISTIN GASSRØR	TotalFinaElf Exploration Norge AS	2001-12-17	2003-05-06	3.000000	1854814	1340884	2013-05-08
KRISTIN GASSRØR	Statoil ASA (old)	2001-12-17	2003-05-06	46.600000	1854814	1622484	2013-05-08
KRISTIN GASSRØR	Statoil ASA (old)	2003-05-06	2003-12-31	46.600000	1854814	1622484	2013-05-08
KRISTIN GASSRØR	Statoil ASA (old)	2003-12-31	2007-01-01	46.600000	1854814	1622484	2013-05-08
KRISTIN GASSRØR	Statoil ASA (old)	2007-01-01	2007-10-01	46.600000	1854814	1622484	2013-05-08
KRISTIN GASSRØR	Petoro AS	2001-12-17	2003-05-06	18.900000	1854814	1626839	2013-05-08
KRISTIN GASSRØR	Petoro AS	2003-05-06	2003-12-31	18.900000	1854814	1626839	2013-05-08
KRISTIN GASSRØR	Petoro AS	2003-12-31	2007-01-01	18.900000	1854814	1626839	2013-05-08
KRISTIN GASSRØR	Petoro AS	2007-01-01	2007-10-01	18.900000	1854814	1626839	2013-05-08
KRISTIN GASSRØR	Petoro AS	2007-10-01	2008-01-01	18.900000	1854814	1626839	2013-05-08
KRISTIN GASSRØR	Petoro AS	2008-01-01	2009-01-01	18.900000	1854814	1626839	2013-05-08
KRISTIN GASSRØR	Petoro AS	2009-01-01	2009-11-01	18.900000	1854814	1626839	2013-05-08
KRISTIN GASSRØR	Petoro AS	2009-11-01	9999-12-31	18.900000	1854814	1626839	2013-05-08
KRISTIN GASSRØR	Eni Norge AS	2003-12-31	2007-01-01	9.000000	1854814	2388594	2013-05-08
KRISTIN GASSRØR	Eni Norge AS	2007-01-01	2007-10-01	9.000000	1854814	2388594	2013-05-08
KRISTIN GASSRØR	Eni Norge AS	2007-10-01	2008-01-01	9.000000	1854814	2388594	2013-05-08
KRISTIN GASSRØR	Eni Norge AS	2008-01-01	2009-01-01	9.000000	1854814	2388594	2013-05-08
KRISTIN GASSRØR	Eni Norge AS	2009-01-01	2009-11-01	9.000000	1854814	2388594	2013-05-08
KRISTIN GASSRØR	Eni Norge AS	2009-11-01	9999-12-31	9.000000	1854814	2388594	2013-05-08
KRISTIN GASSRØR	Total E&P Norge AS	2003-05-06	2003-12-31	3.000000	1854814	2410708	2013-05-08
KRISTIN GASSRØR	Total E&P Norge AS	2003-12-31	2007-01-01	3.000000	1854814	2410708	2013-05-08
KRISTIN GASSRØR	Total E&P Norge AS	2007-01-01	2007-10-01	3.000000	1854814	2410708	2013-05-08
KRISTIN GASSRØR	Total E&P Norge AS	2007-10-01	2008-01-01	3.000000	1854814	2410708	2013-05-08
KRISTIN GASSRØR	Total E&P Norge AS	2008-01-01	2009-01-01	3.000000	1854814	2410708	2013-05-08
KRISTIN GASSRØR	Total E&P Norge AS	2009-01-01	2009-11-01	3.000000	1854814	2410708	2013-05-08
KRISTIN GASSRØR	Total E&P Norge AS	2009-11-01	9999-12-31	3.000000	1854814	2410708	2013-05-08
KRISTIN GASSRØR	ExxonMobil Exploration & Production Norway AS	2008-01-01	2009-01-01	10.500000	1854814	2835212	2013-05-08
KRISTIN GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-11-01	10.500000	1854814	2835212	2013-05-08
KRISTIN GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-11-01	9999-12-31	10.500000	1854814	2835212	2013-05-08
KRISTIN GASSRØR	StatoilHydro Petroleum AS	2007-10-01	2008-01-01	12.000000	1854814	4511658	2013-05-08
KRISTIN GASSRØR	StatoilHydro Petroleum AS	2008-01-01	2009-01-01	12.000000	1854814	4511658	2013-05-08
KRISTIN GASSRØR	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	58.600000	1854814	4511658	2013-05-08
KRISTIN GASSRØR	StatoilHydro ASA	2007-10-01	2008-01-01	46.600000	1854814	4511854	2013-05-08
KRISTIN GASSRØR	StatoilHydro ASA	2008-01-01	2009-01-01	46.600000	1854814	4511854	2013-05-08
KRISTIN GASSRØR	Norsk Hydro Petroleum AS	2007-01-01	2007-10-01	12.000000	1854814	4524355	2013-05-08
KRISTIN GASSRØR	Statoil Petroleum AS	2009-11-01	9999-12-31	58.600000	1854814	17237817	2013-05-08
KRISTIN KONDENSATRØR	Norsk Agip  AS	2001-12-17	2003-05-06	9.000000	1854834	45	2013-05-08
KRISTIN KONDENSATRØR	Norsk Agip  AS	2003-05-06	2003-12-31	9.000000	1854834	45	2013-05-08
KRISTIN KONDENSATRØR	Norsk Hydro Produksjon AS	2001-12-17	2003-05-06	12.000000	1854834	430	2013-05-08
KRISTIN KONDENSATRØR	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	12.000000	1854834	430	2013-05-08
KRISTIN KONDENSATRØR	Norsk Hydro Produksjon AS	2003-12-31	2007-01-01	12.000000	1854834	430	2013-05-08
KRISTIN KONDENSATRØR	Mobil Development Norway AS	2001-12-17	2003-05-06	10.500000	1854834	474	2013-05-08
KRISTIN KONDENSATRØR	Mobil Development Norway AS	2003-05-06	2003-12-31	10.500000	1854834	474	2013-05-08
KRISTIN KONDENSATRØR	Mobil Development Norway AS	2003-12-31	2007-01-01	10.500000	1854834	474	2013-05-08
KRISTIN KONDENSATRØR	Mobil Development Norway AS	2007-01-01	2007-10-01	10.500000	1854834	474	2013-05-08
KRISTIN KONDENSATRØR	Mobil Development Norway AS	2007-10-01	2008-01-01	10.500000	1854834	474	2013-05-08
KRISTIN KONDENSATRØR	TotalFinaElf Exploration Norge AS	2001-12-17	2003-05-06	3.000000	1854834	1340884	2013-05-08
KRISTIN KONDENSATRØR	Statoil ASA (old)	2001-12-17	2003-05-06	46.600000	1854834	1622484	2013-05-08
KRISTIN KONDENSATRØR	Statoil ASA (old)	2003-05-06	2003-12-31	46.600000	1854834	1622484	2013-05-08
KRISTIN KONDENSATRØR	Statoil ASA (old)	2003-12-31	2007-01-01	46.600000	1854834	1622484	2013-05-08
KRISTIN KONDENSATRØR	Statoil ASA (old)	2007-01-01	2007-10-01	46.600000	1854834	1622484	2013-05-08
KRISTIN KONDENSATRØR	Petoro AS	2001-12-17	2003-05-06	18.900000	1854834	1626839	2013-05-08
KRISTIN KONDENSATRØR	Petoro AS	2003-05-06	2003-12-31	18.900000	1854834	1626839	2013-05-08
KRISTIN KONDENSATRØR	Petoro AS	2003-12-31	2007-01-01	18.900000	1854834	1626839	2013-05-08
KRISTIN KONDENSATRØR	Petoro AS	2007-01-01	2007-10-01	18.900000	1854834	1626839	2013-05-08
KRISTIN KONDENSATRØR	Petoro AS	2007-10-01	2008-01-01	18.900000	1854834	1626839	2013-05-08
KRISTIN KONDENSATRØR	Petoro AS	2008-01-01	2009-01-01	18.900000	1854834	1626839	2013-05-08
KRISTIN KONDENSATRØR	Petoro AS	2009-01-01	2009-11-01	18.900000	1854834	1626839	2013-05-08
KRISTIN KONDENSATRØR	Petoro AS	2009-11-01	9999-12-31	18.900000	1854834	1626839	2013-05-08
KRISTIN KONDENSATRØR	Eni Norge AS	2003-12-31	2007-01-01	9.000000	1854834	2388594	2013-05-08
KRISTIN KONDENSATRØR	Eni Norge AS	2007-01-01	2007-10-01	9.000000	1854834	2388594	2013-05-08
KRISTIN KONDENSATRØR	Eni Norge AS	2007-10-01	2008-01-01	9.000000	1854834	2388594	2013-05-08
KRISTIN KONDENSATRØR	Eni Norge AS	2008-01-01	2009-01-01	9.000000	1854834	2388594	2013-05-08
KRISTIN KONDENSATRØR	Eni Norge AS	2009-01-01	2009-11-01	9.000000	1854834	2388594	2013-05-08
KRISTIN KONDENSATRØR	Eni Norge AS	2009-11-01	9999-12-31	9.000000	1854834	2388594	2013-05-08
KRISTIN KONDENSATRØR	Total E&P Norge AS	2003-05-06	2003-12-31	3.000000	1854834	2410708	2013-05-08
KRISTIN KONDENSATRØR	Total E&P Norge AS	2003-12-31	2007-01-01	3.000000	1854834	2410708	2013-05-08
KRISTIN KONDENSATRØR	Total E&P Norge AS	2007-01-01	2007-10-01	3.000000	1854834	2410708	2013-05-08
KRISTIN KONDENSATRØR	Total E&P Norge AS	2007-10-01	2008-01-01	3.000000	1854834	2410708	2013-05-08
KRISTIN KONDENSATRØR	Total E&P Norge AS	2008-01-01	2009-01-01	3.000000	1854834	2410708	2013-05-08
KRISTIN KONDENSATRØR	Total E&P Norge AS	2009-01-01	2009-11-01	3.000000	1854834	2410708	2013-05-08
KRISTIN KONDENSATRØR	Total E&P Norge AS	2009-11-01	9999-12-31	3.000000	1854834	2410708	2013-05-08
KRISTIN KONDENSATRØR	ExxonMobil Exploration & Production Norway AS	2008-01-01	2009-01-01	10.500000	1854834	2835212	2013-05-08
KRISTIN KONDENSATRØR	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-11-01	10.500000	1854834	2835212	2013-05-08
KRISTIN KONDENSATRØR	ExxonMobil Exploration & Production Norway AS	2009-11-01	9999-12-31	10.500000	1854834	2835212	2013-05-08
KRISTIN KONDENSATRØR	StatoilHydro Petroleum AS	2007-10-01	2008-01-01	12.000000	1854834	4511658	2013-05-08
KRISTIN KONDENSATRØR	StatoilHydro Petroleum AS	2008-01-01	2009-01-01	12.000000	1854834	4511658	2013-05-08
KRISTIN KONDENSATRØR	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	58.600000	1854834	4511658	2013-05-08
KRISTIN KONDENSATRØR	StatoilHydro ASA	2007-10-01	2008-01-01	46.600000	1854834	4511854	2013-05-08
KRISTIN KONDENSATRØR	StatoilHydro ASA	2008-01-01	2009-01-01	46.600000	1854834	4511854	2013-05-08
KRISTIN KONDENSATRØR	Norsk Hydro Petroleum AS	2007-01-01	2007-10-01	12.000000	1854834	4524355	2013-05-08
KRISTIN KONDENSATRØR	Statoil Petroleum AS	2009-11-01	9999-12-31	58.600000	1854834	17237817	2013-05-08
GASSLED	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	2252643	45	2013-05-08
GASSLED	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	2252643	45	2013-05-08
GASSLED	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	2252643	45	2013-05-08
GASSLED	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	2252643	45	2013-05-08
GASSLED	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	2252643	221	2013-05-08
GASSLED	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	2252643	221	2013-05-08
GASSLED	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	2252643	353	2013-05-08
GASSLED	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	2252643	353	2013-05-08
GASSLED	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	2252643	353	2013-05-08
GASSLED	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	2252643	353	2013-05-08
GASSLED	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	2252643	353	2013-05-08
GASSLED	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	2252643	430	2013-05-08
GASSLED	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	2252643	430	2013-05-08
GASSLED	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	2252643	430	2013-05-08
GASSLED	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	2252643	430	2013-05-08
GASSLED	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	2252643	430	2013-05-08
GASSLED	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	2252643	430	2013-05-08
GASSLED	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	2252643	430	2013-05-08
GASSLED	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	2252643	430	2013-05-08
GASSLED	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	2252643	474	2013-05-08
GASSLED	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	2252643	474	2013-05-08
GASSLED	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	2252643	562	2013-05-08
GASSLED	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	2252643	562	2013-05-08
GASSLED	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	2252643	97557	2013-05-08
GASSLED	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	2252643	97557	2013-05-08
GASSLED	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	2252643	97557	2013-05-08
GASSLED	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	2252643	97557	2013-05-08
GASSLED	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	2252643	97557	2013-05-08
GASSLED	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	2252643	102714	2013-05-08
GASSLED	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	2252643	1025067	2013-05-08
GASSLED	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	2252643	1025067	2013-05-08
GASSLED	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	2252643	1340884	2013-05-08
GASSLED	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	2252643	1340884	2013-05-08
GASSLED	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	2252643	1340884	2013-05-08
GASSLED	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	2252643	1622484	2013-05-08
GASSLED	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	2252643	1622484	2013-05-08
GASSLED	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	2252643	1622484	2013-05-08
GASSLED	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	2252643	1622484	2013-05-08
GASSLED	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	2252643	1622484	2013-05-08
GASSLED	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	2252643	1622484	2013-05-08
GASSLED	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	2252643	1622484	2013-05-08
GASSLED	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	2252643	1622484	2013-05-08
GASSLED	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	2252643	1622484	2013-05-08
GASSLED	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	2252643	1622484	2013-05-08
GASSLED	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	2252643	1622484	2013-05-08
GASSLED	Petoro AS	2003-01-01	2003-03-04	38.293000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2003-03-04	2003-03-22	38.293000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2003-03-22	2003-05-06	38.293000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2003-05-06	2003-12-31	38.293000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2003-12-31	2004-10-01	38.293000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2004-10-01	2005-10-01	38.293000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2005-10-01	2006-09-01	38.627000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2006-09-01	2007-01-01	38.245000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2007-01-01	2007-01-02	38.245000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2007-01-02	2007-09-01	38.245000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2007-09-01	2007-10-01	37.892000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2007-10-01	2009-01-01	37.892000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2009-01-01	2009-01-02	38.459000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2009-01-02	2009-01-03	38.459000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2009-01-03	2009-01-04	38.459000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2009-01-04	2009-11-01	38.459000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2009-11-01	2010-01-01	38.459000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2010-01-01	2010-06-01	38.459000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2010-06-01	2011-01-01	38.435000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2011-01-01	2011-01-02	45.793000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2011-01-02	2011-01-03	45.793000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2011-01-03	2012-01-01	45.793000	2252643	1626839	2013-05-08
GASSLED	Petoro AS	2012-01-01	9999-12-31	45.793000	2252643	1626839	2013-05-08
GASSLED	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	2252643	1853786	2013-05-08
GASSLED	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	2252643	2066214	2013-05-08
GASSLED	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	2252643	2066214	2013-05-08
GASSLED	Eni Norge AS	2003-03-04	2003-03-22	0.807000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2003-03-22	2003-05-06	0.807000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2003-05-06	2003-12-31	0.807000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2003-12-31	2004-10-01	1.669000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2004-10-01	2005-10-01	1.669000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2005-10-01	2006-09-01	1.688000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2006-09-01	2007-01-01	1.574000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2007-01-01	2007-01-02	1.574000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2007-01-02	2007-09-01	1.574000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2007-09-01	2007-10-01	1.556000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2007-10-01	2009-01-01	1.556000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2009-01-01	2009-01-02	1.525000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2009-01-02	2009-01-03	1.525000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2009-01-03	2009-01-04	1.525000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2009-01-04	2009-11-01	1.525000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2009-11-01	2010-01-01	1.525000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2010-01-01	2010-06-01	1.525000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2010-06-01	2011-01-01	1.521000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2011-01-01	2011-01-02	1.276000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2011-01-02	2011-01-03	1.276000	2252643	2388594	2013-05-08
GASSLED	Eni Norge AS	2011-01-03	2012-01-01	1.276000	2252643	2388594	2013-05-08
GASSLED	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	2252643	2399056	2013-05-08
GASSLED	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	2252643	2399056	2013-05-08
GASSLED	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	2252643	2399056	2013-05-08
GASSLED	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	2252643	2399056	2013-05-08
GASSLED	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	2252643	2399056	2013-05-08
GASSLED	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	2252643	2399056	2013-05-08
GASSLED	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	2252643	2399056	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	2252643	2410696	2013-05-08
GASSLED	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	2252643	2410696	2013-05-08
GASSLED	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	2252643	2410708	2013-05-08
GASSLED	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	2252643	2410708	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	2252643	2835212	2013-05-08
GASSLED	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	2252643	2835212	2013-05-08
GASSLED	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	2252643	4070011	2013-05-08
GASSLED	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	2252643	4070011	2013-05-08
GASSLED	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	2252643	4511658	2013-05-08
GASSLED	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	2252643	4511658	2013-05-08
GASSLED	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	2252643	4511658	2013-05-08
GASSLED	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	2252643	4511658	2013-05-08
GASSLED	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	2252643	4511658	2013-05-08
GASSLED	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	2252643	4511854	2013-05-08
GASSLED	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	2252643	4511854	2013-05-08
GASSLED	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	2252643	4511854	2013-05-08
GASSLED	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	2252643	4524355	2013-05-08
GASSLED	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	2252643	4524355	2013-05-08
GASSLED	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	2252643	4524355	2013-05-08
GASSLED	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	2252643	5267845	2013-05-08
GASSLED	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	2252643	5267845	2013-05-08
GASSLED	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	2252643	5267845	2013-05-08
GASSLED	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	2252643	5267845	2013-05-08
GASSLED	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	2252643	5267845	2013-05-08
GASSLED	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	2252643	17237817	2013-05-08
GASSLED	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	2252643	17237817	2013-05-08
GASSLED	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	2252643	17237817	2013-05-08
GASSLED	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	2252643	17237817	2013-05-08
GASSLED	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	2252643	17237817	2013-05-08
GASSLED	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	2252643	17237817	2013-05-08
GASSLED	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	2252643	17237817	2013-05-08
GASSLED	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	2252643	20440816	2013-05-08
GASSLED	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	2252643	20440816	2013-05-08
GASSLED	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	2252643	20440816	2013-05-08
GASSLED	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	2252643	21139140	2013-05-08
GASSLED	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	2252643	21139140	2013-05-08
GASSLED	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	2252643	21139652	2013-05-08
GASSLED	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	2252643	21139652	2013-05-08
GASSLED	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	2252643	21139663	2013-05-08
GASSLED	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	2252643	21139663	2013-05-08
KVITEBJØRN GASSRØR	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	2417249	45	2013-05-08
KVITEBJØRN GASSRØR	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	2417249	45	2013-05-08
KVITEBJØRN GASSRØR	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	2417249	45	2013-05-08
KVITEBJØRN GASSRØR	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	2417249	45	2013-05-08
KVITEBJØRN GASSRØR	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	2417249	221	2013-05-08
KVITEBJØRN GASSRØR	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	2417249	221	2013-05-08
KVITEBJØRN GASSRØR	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	2417249	353	2013-05-08
KVITEBJØRN GASSRØR	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	2417249	353	2013-05-08
KVITEBJØRN GASSRØR	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	2417249	353	2013-05-08
KVITEBJØRN GASSRØR	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	2417249	353	2013-05-08
KVITEBJØRN GASSRØR	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	2417249	353	2013-05-08
KVITEBJØRN GASSRØR	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	2417249	430	2013-05-08
KVITEBJØRN GASSRØR	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	2417249	430	2013-05-08
KVITEBJØRN GASSRØR	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	2417249	430	2013-05-08
KVITEBJØRN GASSRØR	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	2417249	430	2013-05-08
KVITEBJØRN GASSRØR	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	2417249	430	2013-05-08
KVITEBJØRN GASSRØR	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	2417249	430	2013-05-08
KVITEBJØRN GASSRØR	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	2417249	430	2013-05-08
KVITEBJØRN GASSRØR	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	2417249	430	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	2417249	474	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	2417249	562	2013-05-08
KVITEBJØRN GASSRØR	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	2417249	97557	2013-05-08
KVITEBJØRN GASSRØR	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	2417249	97557	2013-05-08
KVITEBJØRN GASSRØR	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	2417249	97557	2013-05-08
KVITEBJØRN GASSRØR	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	2417249	97557	2013-05-08
KVITEBJØRN GASSRØR	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	2417249	97557	2013-05-08
KVITEBJØRN GASSRØR	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	2417249	102714	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	2417249	1025067	2013-05-08
KVITEBJØRN GASSRØR	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	2417249	1340884	2013-05-08
KVITEBJØRN GASSRØR	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	2417249	1340884	2013-05-08
KVITEBJØRN GASSRØR	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	2417249	1340884	2013-05-08
KVITEBJØRN GASSRØR	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	2417249	1622484	2013-05-08
KVITEBJØRN GASSRØR	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	2417249	1622484	2013-05-08
KVITEBJØRN GASSRØR	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	2417249	1622484	2013-05-08
KVITEBJØRN GASSRØR	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	2417249	1622484	2013-05-08
KVITEBJØRN GASSRØR	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	2417249	1622484	2013-05-08
KVITEBJØRN GASSRØR	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	2417249	1622484	2013-05-08
KVITEBJØRN GASSRØR	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	2417249	1622484	2013-05-08
KVITEBJØRN GASSRØR	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	2417249	1622484	2013-05-08
KVITEBJØRN GASSRØR	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	2417249	1622484	2013-05-08
KVITEBJØRN GASSRØR	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	2417249	1622484	2013-05-08
KVITEBJØRN GASSRØR	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	2417249	1622484	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2003-01-01	2003-03-04	38.293000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2003-03-04	2003-03-22	38.293000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2003-03-22	2003-05-06	38.293000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2003-05-06	2003-12-31	38.293000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2003-12-31	2004-10-01	38.293000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2004-10-01	2005-10-01	38.293000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2005-10-01	2006-09-01	38.627000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2006-09-01	2007-01-01	38.245000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2007-01-01	2007-01-02	38.245000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2007-01-02	2007-09-01	38.245000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2007-09-01	2007-10-01	37.892000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2007-10-01	2009-01-01	37.892000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2009-01-01	2009-01-02	38.459000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2009-01-02	2009-01-03	38.459000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2009-01-03	2009-01-04	38.459000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2009-01-04	2009-11-01	38.459000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2009-11-01	2010-01-01	38.459000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2010-01-01	2010-06-01	38.459000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2010-06-01	2011-01-01	38.435000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2011-01-01	2011-01-02	45.793000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2011-01-02	2011-01-03	45.793000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2011-01-03	2012-01-01	45.793000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Petoro AS	2012-01-01	9999-12-31	45.793000	2417249	1626839	2013-05-08
KVITEBJØRN GASSRØR	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	2417249	1853786	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	2417249	2066214	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2003-03-04	2003-03-22	0.807000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2003-03-22	2003-05-06	0.807000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2003-05-06	2003-12-31	0.807000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2003-12-31	2004-10-01	1.669000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2004-10-01	2005-10-01	1.669000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2005-10-01	2006-09-01	1.688000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2006-09-01	2007-01-01	1.574000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2007-01-01	2007-01-02	1.574000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2007-01-02	2007-09-01	1.574000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2007-09-01	2007-10-01	1.556000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2007-10-01	2009-01-01	1.556000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2009-01-01	2009-01-02	1.525000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2009-01-02	2009-01-03	1.525000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2009-01-03	2009-01-04	1.525000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2009-01-04	2009-11-01	1.525000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2009-11-01	2010-01-01	1.525000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2010-01-01	2010-06-01	1.525000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2010-06-01	2011-01-01	1.521000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2011-01-01	2011-01-02	1.276000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2011-01-02	2011-01-03	1.276000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Eni Norge AS	2011-01-03	2012-01-01	1.276000	2417249	2388594	2013-05-08
KVITEBJØRN GASSRØR	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	2417249	2399056	2013-05-08
KVITEBJØRN GASSRØR	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	2417249	2399056	2013-05-08
KVITEBJØRN GASSRØR	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	2417249	2399056	2013-05-08
KVITEBJØRN GASSRØR	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	2417249	2399056	2013-05-08
KVITEBJØRN GASSRØR	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	2417249	2399056	2013-05-08
KVITEBJØRN GASSRØR	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	2417249	2399056	2013-05-08
KVITEBJØRN GASSRØR	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	2417249	2399056	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	2417249	2410696	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	2417249	2410708	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	2417249	2835212	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	2417249	4070011	2013-05-08
KVITEBJØRN GASSRØR	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	2417249	4511658	2013-05-08
KVITEBJØRN GASSRØR	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	2417249	4511658	2013-05-08
KVITEBJØRN GASSRØR	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	2417249	4511658	2013-05-08
KVITEBJØRN GASSRØR	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	2417249	4511658	2013-05-08
KVITEBJØRN GASSRØR	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	2417249	4511658	2013-05-08
KVITEBJØRN GASSRØR	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	2417249	4511854	2013-05-08
KVITEBJØRN GASSRØR	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	2417249	4511854	2013-05-08
KVITEBJØRN GASSRØR	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	2417249	4511854	2013-05-08
KVITEBJØRN GASSRØR	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	2417249	4524355	2013-05-08
KVITEBJØRN GASSRØR	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	2417249	4524355	2013-05-08
KVITEBJØRN GASSRØR	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	2417249	4524355	2013-05-08
KVITEBJØRN GASSRØR	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	2417249	5267845	2013-05-08
KVITEBJØRN GASSRØR	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	2417249	5267845	2013-05-08
KVITEBJØRN GASSRØR	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	2417249	5267845	2013-05-08
KVITEBJØRN GASSRØR	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	2417249	5267845	2013-05-08
KVITEBJØRN GASSRØR	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	2417249	5267845	2013-05-08
KVITEBJØRN GASSRØR	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	2417249	17237817	2013-05-08
KVITEBJØRN GASSRØR	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	2417249	17237817	2013-05-08
KVITEBJØRN GASSRØR	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	2417249	17237817	2013-05-08
KVITEBJØRN GASSRØR	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	2417249	17237817	2013-05-08
KVITEBJØRN GASSRØR	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	2417249	17237817	2013-05-08
KVITEBJØRN GASSRØR	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	2417249	17237817	2013-05-08
KVITEBJØRN GASSRØR	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	2417249	17237817	2013-05-08
KVITEBJØRN GASSRØR	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	2417249	20440816	2013-05-08
KVITEBJØRN GASSRØR	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	2417249	20440816	2013-05-08
KVITEBJØRN GASSRØR	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	2417249	20440816	2013-05-08
KVITEBJØRN GASSRØR	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	2417249	21139140	2013-05-08
KVITEBJØRN GASSRØR	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	2417249	21139140	2013-05-08
KVITEBJØRN GASSRØR	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	2417249	21139652	2013-05-08
KVITEBJØRN GASSRØR	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	2417249	21139652	2013-05-08
KVITEBJØRN GASSRØR	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	2417249	21139663	2013-05-08
KVITEBJØRN GASSRØR	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	2417249	21139663	2013-05-08
LANGELED	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	2450169	45	2013-05-08
LANGELED	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	2450169	45	2013-05-08
LANGELED	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	2450169	45	2013-05-08
LANGELED	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	2450169	45	2013-05-08
LANGELED	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	2450169	221	2013-05-08
LANGELED	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	2450169	221	2013-05-08
LANGELED	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	2450169	353	2013-05-08
LANGELED	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	2450169	353	2013-05-08
LANGELED	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	2450169	353	2013-05-08
LANGELED	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	2450169	353	2013-05-08
LANGELED	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	2450169	353	2013-05-08
LANGELED	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	2450169	430	2013-05-08
LANGELED	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	2450169	430	2013-05-08
LANGELED	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	2450169	430	2013-05-08
LANGELED	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	2450169	430	2013-05-08
LANGELED	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	2450169	430	2013-05-08
LANGELED	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	2450169	430	2013-05-08
LANGELED	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	2450169	430	2013-05-08
LANGELED	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	2450169	430	2013-05-08
LANGELED	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	2450169	474	2013-05-08
LANGELED	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	2450169	474	2013-05-08
LANGELED	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	2450169	562	2013-05-08
LANGELED	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	2450169	562	2013-05-08
LANGELED	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	2450169	97557	2013-05-08
LANGELED	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	2450169	97557	2013-05-08
LANGELED	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	2450169	97557	2013-05-08
LANGELED	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	2450169	97557	2013-05-08
LANGELED	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	2450169	97557	2013-05-08
LANGELED	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	2450169	102714	2013-05-08
LANGELED	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	2450169	1025067	2013-05-08
LANGELED	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	2450169	1025067	2013-05-08
LANGELED	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	2450169	1340884	2013-05-08
LANGELED	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	2450169	1340884	2013-05-08
LANGELED	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	2450169	1340884	2013-05-08
LANGELED	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	2450169	1622484	2013-05-08
LANGELED	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	2450169	1622484	2013-05-08
LANGELED	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	2450169	1622484	2013-05-08
LANGELED	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	2450169	1622484	2013-05-08
LANGELED	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	2450169	1622484	2013-05-08
LANGELED	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	2450169	1622484	2013-05-08
LANGELED	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	2450169	1622484	2013-05-08
LANGELED	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	2450169	1622484	2013-05-08
LANGELED	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	2450169	1622484	2013-05-08
LANGELED	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	2450169	1622484	2013-05-08
LANGELED	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	2450169	1622484	2013-05-08
LANGELED	Petoro AS	2003-01-01	2003-03-04	38.293000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2003-03-04	2003-03-22	38.293000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2003-03-22	2003-05-06	38.293000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2003-05-06	2003-12-31	38.293000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2003-12-31	2004-10-01	38.293000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2004-10-01	2005-10-01	38.293000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2005-10-01	2006-09-01	38.627000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2006-09-01	2007-01-01	38.245000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2007-01-01	2007-01-02	38.245000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2007-01-02	2007-09-01	38.245000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2007-09-01	2007-10-01	37.892000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2007-10-01	2009-01-01	37.892000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2009-01-01	2009-01-02	38.459000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2009-01-02	2009-01-03	38.459000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2009-01-03	2009-01-04	38.459000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2009-01-04	2009-11-01	38.459000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2009-11-01	2010-01-01	38.459000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2010-01-01	2010-06-01	38.459000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2010-06-01	2011-01-01	38.435000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2011-01-01	2011-01-02	45.793000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2011-01-02	2011-01-03	45.793000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2011-01-03	2012-01-01	45.793000	2450169	1626839	2013-05-08
LANGELED	Petoro AS	2012-01-01	9999-12-31	45.793000	2450169	1626839	2013-05-08
LANGELED	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	2450169	1853786	2013-05-08
LANGELED	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	2450169	2066214	2013-05-08
LANGELED	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	2450169	2066214	2013-05-08
LANGELED	Eni Norge AS	2003-03-04	2003-03-22	0.807000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2003-03-22	2003-05-06	0.807000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2003-05-06	2003-12-31	0.807000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2003-12-31	2004-10-01	1.669000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2004-10-01	2005-10-01	1.669000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2005-10-01	2006-09-01	1.688000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2006-09-01	2007-01-01	1.574000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2007-01-01	2007-01-02	1.574000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2007-01-02	2007-09-01	1.574000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2007-09-01	2007-10-01	1.556000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2007-10-01	2009-01-01	1.556000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2009-01-01	2009-01-02	1.525000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2009-01-02	2009-01-03	1.525000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2009-01-03	2009-01-04	1.525000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2009-01-04	2009-11-01	1.525000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2009-11-01	2010-01-01	1.525000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2010-01-01	2010-06-01	1.525000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2010-06-01	2011-01-01	1.521000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2011-01-01	2011-01-02	1.276000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2011-01-02	2011-01-03	1.276000	2450169	2388594	2013-05-08
LANGELED	Eni Norge AS	2011-01-03	2012-01-01	1.276000	2450169	2388594	2013-05-08
LANGELED	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	2450169	2399056	2013-05-08
LANGELED	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	2450169	2399056	2013-05-08
LANGELED	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	2450169	2399056	2013-05-08
LANGELED	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	2450169	2399056	2013-05-08
LANGELED	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	2450169	2399056	2013-05-08
LANGELED	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	2450169	2399056	2013-05-08
LANGELED	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	2450169	2399056	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	2450169	2410696	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	2450169	2410696	2013-05-08
LANGELED	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	2450169	2410708	2013-05-08
LANGELED	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	2450169	2410708	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	2450169	2835212	2013-05-08
LANGELED	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	2450169	2835212	2013-05-08
LANGELED	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	2450169	4070011	2013-05-08
LANGELED	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	2450169	4070011	2013-05-08
LANGELED	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	2450169	4511658	2013-05-08
LANGELED	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	2450169	4511658	2013-05-08
LANGELED	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	2450169	4511658	2013-05-08
LANGELED	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	2450169	4511658	2013-05-08
LANGELED	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	2450169	4511658	2013-05-08
LANGELED	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	2450169	4511854	2013-05-08
LANGELED	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	2450169	4511854	2013-05-08
LANGELED	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	2450169	4511854	2013-05-08
LANGELED	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	2450169	4524355	2013-05-08
LANGELED	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	2450169	4524355	2013-05-08
LANGELED	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	2450169	4524355	2013-05-08
LANGELED	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	2450169	5267845	2013-05-08
LANGELED	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	2450169	5267845	2013-05-08
LANGELED	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	2450169	5267845	2013-05-08
LANGELED	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	2450169	5267845	2013-05-08
LANGELED	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	2450169	5267845	2013-05-08
LANGELED	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	2450169	17237817	2013-05-08
LANGELED	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	2450169	17237817	2013-05-08
LANGELED	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	2450169	17237817	2013-05-08
LANGELED	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	2450169	17237817	2013-05-08
LANGELED	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	2450169	17237817	2013-05-08
LANGELED	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	2450169	17237817	2013-05-08
LANGELED	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	2450169	17237817	2013-05-08
LANGELED	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	2450169	20440816	2013-05-08
LANGELED	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	2450169	20440816	2013-05-08
LANGELED	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	2450169	20440816	2013-05-08
LANGELED	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	2450169	21139140	2013-05-08
LANGELED	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	2450169	21139140	2013-05-08
LANGELED	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	2450169	21139652	2013-05-08
LANGELED	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	2450169	21139652	2013-05-08
LANGELED	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	2450169	21139663	2013-05-08
LANGELED	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	2450169	21139663	2013-05-08
EUROPIPE II	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	2454909	45	2013-05-08
EUROPIPE II	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	2454909	45	2013-05-08
EUROPIPE II	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	2454909	45	2013-05-08
EUROPIPE II	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	2454909	45	2013-05-08
EUROPIPE II	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	2454909	221	2013-05-08
EUROPIPE II	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	2454909	221	2013-05-08
EUROPIPE II	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	2454909	353	2013-05-08
EUROPIPE II	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	2454909	353	2013-05-08
EUROPIPE II	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	2454909	353	2013-05-08
EUROPIPE II	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	2454909	353	2013-05-08
EUROPIPE II	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	2454909	353	2013-05-08
EUROPIPE II	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	2454909	430	2013-05-08
EUROPIPE II	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	2454909	430	2013-05-08
EUROPIPE II	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	2454909	430	2013-05-08
EUROPIPE II	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	2454909	430	2013-05-08
EUROPIPE II	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	2454909	430	2013-05-08
EUROPIPE II	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	2454909	430	2013-05-08
EUROPIPE II	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	2454909	430	2013-05-08
EUROPIPE II	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	2454909	430	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	2454909	474	2013-05-08
EUROPIPE II	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	2454909	474	2013-05-08
EUROPIPE II	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	2454909	562	2013-05-08
EUROPIPE II	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	2454909	562	2013-05-08
EUROPIPE II	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	2454909	97557	2013-05-08
EUROPIPE II	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	2454909	97557	2013-05-08
EUROPIPE II	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	2454909	97557	2013-05-08
EUROPIPE II	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	2454909	97557	2013-05-08
EUROPIPE II	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	2454909	97557	2013-05-08
EUROPIPE II	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	2454909	102714	2013-05-08
EUROPIPE II	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	2454909	1025067	2013-05-08
EUROPIPE II	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	2454909	1025067	2013-05-08
EUROPIPE II	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	2454909	1340884	2013-05-08
EUROPIPE II	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	2454909	1340884	2013-05-08
EUROPIPE II	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	2454909	1340884	2013-05-08
EUROPIPE II	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	2454909	1622484	2013-05-08
EUROPIPE II	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	2454909	1622484	2013-05-08
EUROPIPE II	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	2454909	1622484	2013-05-08
EUROPIPE II	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	2454909	1622484	2013-05-08
EUROPIPE II	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	2454909	1622484	2013-05-08
EUROPIPE II	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	2454909	1622484	2013-05-08
EUROPIPE II	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	2454909	1622484	2013-05-08
EUROPIPE II	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	2454909	1622484	2013-05-08
EUROPIPE II	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	2454909	1622484	2013-05-08
EUROPIPE II	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	2454909	1622484	2013-05-08
EUROPIPE II	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	2454909	1622484	2013-05-08
EUROPIPE II	Petoro AS	2003-01-01	2003-03-04	38.293000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2003-03-04	2003-03-22	38.293000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2003-03-22	2003-05-06	38.293000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2003-05-06	2003-12-31	38.293000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2003-12-31	2004-10-01	38.293000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2004-10-01	2005-10-01	38.293000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2005-10-01	2006-09-01	38.627000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2006-09-01	2007-01-01	38.245000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2007-01-01	2007-01-02	38.245000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2007-01-02	2007-09-01	38.245000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2007-09-01	2007-10-01	37.892000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2007-10-01	2009-01-01	37.892000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2009-01-01	2009-01-02	38.459000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2009-01-02	2009-01-03	38.459000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2009-01-03	2009-01-04	38.459000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2009-01-04	2009-11-01	38.459000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2009-11-01	2010-01-01	38.459000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2010-01-01	2010-06-01	38.459000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2010-06-01	2011-01-01	38.435000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2011-01-01	2011-01-02	45.793000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2011-01-02	2011-01-03	45.793000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2011-01-03	2012-01-01	45.793000	2454909	1626839	2013-05-08
EUROPIPE II	Petoro AS	2012-01-01	9999-12-31	45.793000	2454909	1626839	2013-05-08
EUROPIPE II	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	2454909	1853786	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	2454909	2066214	2013-05-08
EUROPIPE II	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	2454909	2066214	2013-05-08
EUROPIPE II	Eni Norge AS	2003-03-04	2003-03-22	0.807000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2003-03-22	2003-05-06	0.807000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2003-05-06	2003-12-31	0.807000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2003-12-31	2004-10-01	1.669000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2004-10-01	2005-10-01	1.669000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2005-10-01	2006-09-01	1.688000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2006-09-01	2007-01-01	1.574000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2007-01-01	2007-01-02	1.574000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2007-01-02	2007-09-01	1.574000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2007-09-01	2007-10-01	1.556000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2007-10-01	2009-01-01	1.556000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2009-01-01	2009-01-02	1.525000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2009-01-02	2009-01-03	1.525000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2009-01-03	2009-01-04	1.525000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2009-01-04	2009-11-01	1.525000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2009-11-01	2010-01-01	1.525000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2010-01-01	2010-06-01	1.525000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2010-06-01	2011-01-01	1.521000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2011-01-01	2011-01-02	1.276000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2011-01-02	2011-01-03	1.276000	2454909	2388594	2013-05-08
EUROPIPE II	Eni Norge AS	2011-01-03	2012-01-01	1.276000	2454909	2388594	2013-05-08
EUROPIPE II	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	2454909	2399056	2013-05-08
EUROPIPE II	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	2454909	2399056	2013-05-08
EUROPIPE II	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	2454909	2399056	2013-05-08
EUROPIPE II	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	2454909	2399056	2013-05-08
EUROPIPE II	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	2454909	2399056	2013-05-08
EUROPIPE II	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	2454909	2399056	2013-05-08
EUROPIPE II	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	2454909	2399056	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	2454909	2410696	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	2454909	2410696	2013-05-08
EUROPIPE II	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	2454909	2410708	2013-05-08
EUROPIPE II	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	2454909	2410708	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	2454909	2835212	2013-05-08
EUROPIPE II	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	2454909	2835212	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	2454909	4070011	2013-05-08
EUROPIPE II	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	2454909	4070011	2013-05-08
EUROPIPE II	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	2454909	4511658	2013-05-08
EUROPIPE II	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	2454909	4511658	2013-05-08
EUROPIPE II	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	2454909	4511658	2013-05-08
EUROPIPE II	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	2454909	4511658	2013-05-08
EUROPIPE II	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	2454909	4511658	2013-05-08
EUROPIPE II	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	2454909	4511854	2013-05-08
EUROPIPE II	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	2454909	4511854	2013-05-08
EUROPIPE II	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	2454909	4511854	2013-05-08
EUROPIPE II	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	2454909	4524355	2013-05-08
EUROPIPE II	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	2454909	4524355	2013-05-08
EUROPIPE II	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	2454909	4524355	2013-05-08
EUROPIPE II	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	2454909	5267845	2013-05-08
EUROPIPE II	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	2454909	5267845	2013-05-08
EUROPIPE II	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	2454909	5267845	2013-05-08
EUROPIPE II	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	2454909	5267845	2013-05-08
EUROPIPE II	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	2454909	5267845	2013-05-08
EUROPIPE II	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	2454909	17237817	2013-05-08
EUROPIPE II	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	2454909	17237817	2013-05-08
EUROPIPE II	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	2454909	17237817	2013-05-08
EUROPIPE II	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	2454909	17237817	2013-05-08
EUROPIPE II	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	2454909	17237817	2013-05-08
EUROPIPE II	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	2454909	17237817	2013-05-08
EUROPIPE II	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	2454909	17237817	2013-05-08
EUROPIPE II	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	2454909	20440816	2013-05-08
EUROPIPE II	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	2454909	20440816	2013-05-08
EUROPIPE II	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	2454909	20440816	2013-05-08
EUROPIPE II	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	2454909	21139140	2013-05-08
EUROPIPE II	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	2454909	21139140	2013-05-08
EUROPIPE II	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	2454909	21139652	2013-05-08
EUROPIPE II	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	2454909	21139652	2013-05-08
EUROPIPE II	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	2454909	21139663	2013-05-08
EUROPIPE II	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	2454909	21139663	2013-05-08
NYHAMNA LANDANLEGG	Esso Exploration and Production Norway A/S	2003-12-03	2004-10-01	7.228600	2455217	353	2013-05-08
NYHAMNA LANDANLEGG	Norsk Hydro Produksjon AS	2003-12-03	2004-10-01	18.072800	2455217	430	2013-05-08
NYHAMNA LANDANLEGG	Norsk Hydro Produksjon AS	2004-10-01	2005-01-01	18.072800	2455217	430	2013-05-08
NYHAMNA LANDANLEGG	Norsk Hydro Produksjon AS	2005-01-01	2006-09-06	18.072800	2455217	430	2013-05-08
NYHAMNA LANDANLEGG	Norsk Hydro Produksjon AS	2006-09-06	2007-01-01	18.072800	2455217	430	2013-05-08
NYHAMNA LANDANLEGG	A/S Norske Shell	2003-12-03	2004-10-01	17.037500	2455217	562	2013-05-08
NYHAMNA LANDANLEGG	A/S Norske Shell	2004-10-01	2005-01-01	17.037500	2455217	562	2013-05-08
NYHAMNA LANDANLEGG	A/S Norske Shell	2005-01-01	2006-09-06	17.037500	2455217	562	2013-05-08
NYHAMNA LANDANLEGG	A/S Norske Shell	2006-09-06	2007-01-01	17.037500	2455217	562	2013-05-08
NYHAMNA LANDANLEGG	A/S Norske Shell	2007-01-01	2007-10-01	17.037500	2455217	562	2013-05-08
NYHAMNA LANDANLEGG	A/S Norske Shell	2007-10-01	2009-01-01	17.037500	2455217	562	2013-05-08
NYHAMNA LANDANLEGG	A/S Norske Shell	2009-01-01	2009-11-01	17.037500	2455217	562	2013-05-08
NYHAMNA LANDANLEGG	A/S Norske Shell	2009-11-01	9999-12-31	17.037500	2455217	562	2013-05-08
NYHAMNA LANDANLEGG	Statoil ASA (old)	2003-12-03	2004-10-01	10.844100	2455217	1622484	2013-05-08
NYHAMNA LANDANLEGG	Statoil ASA (old)	2004-10-01	2005-01-01	10.844100	2455217	1622484	2013-05-08
NYHAMNA LANDANLEGG	Statoil ASA (old)	2005-01-01	2006-09-06	10.844100	2455217	1622484	2013-05-08
NYHAMNA LANDANLEGG	Statoil ASA (old)	2006-09-06	2007-01-01	10.844100	2455217	1622484	2013-05-08
NYHAMNA LANDANLEGG	Statoil ASA (old)	2007-01-01	2007-10-01	10.844100	2455217	1622484	2013-05-08
NYHAMNA LANDANLEGG	Petoro AS	2003-12-03	2004-10-01	36.475000	2455217	1626839	2013-05-08
NYHAMNA LANDANLEGG	Petoro AS	2004-10-01	2005-01-01	36.475000	2455217	1626839	2013-05-08
NYHAMNA LANDANLEGG	Petoro AS	2005-01-01	2006-09-06	36.475000	2455217	1626839	2013-05-08
NYHAMNA LANDANLEGG	Petoro AS	2006-09-06	2007-01-01	36.475000	2455217	1626839	2013-05-08
NYHAMNA LANDANLEGG	Petoro AS	2007-01-01	2007-10-01	36.475000	2455217	1626839	2013-05-08
NYHAMNA LANDANLEGG	Petoro AS	2007-10-01	2009-01-01	36.475000	2455217	1626839	2013-05-08
NYHAMNA LANDANLEGG	Petoro AS	2009-01-01	2009-11-01	36.475000	2455217	1626839	2013-05-08
NYHAMNA LANDANLEGG	Petoro AS	2009-11-01	9999-12-31	36.475000	2455217	1626839	2013-05-08
NYHAMNA LANDANLEGG	DONG Norge AS	2005-01-01	2006-09-06	10.342000	2455217	1853083	2013-05-08
NYHAMNA LANDANLEGG	BP Norge AS	2003-12-03	2004-10-01	10.342000	2455217	2052695	2013-05-08
NYHAMNA LANDANLEGG	BP Norge AS	2004-10-01	2005-01-01	10.342000	2455217	2052695	2013-05-08
NYHAMNA LANDANLEGG	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-01-01	7.228600	2455217	2835212	2013-05-08
NYHAMNA LANDANLEGG	ExxonMobil Exploration & Production Norway AS	2005-01-01	2006-09-06	7.228600	2455217	2835212	2013-05-08
NYHAMNA LANDANLEGG	ExxonMobil Exploration & Production Norway AS	2006-09-06	2007-01-01	7.228600	2455217	2835212	2013-05-08
NYHAMNA LANDANLEGG	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-10-01	7.228600	2455217	2835212	2013-05-08
NYHAMNA LANDANLEGG	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	7.228600	2455217	2835212	2013-05-08
NYHAMNA LANDANLEGG	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-11-01	7.228600	2455217	2835212	2013-05-08
NYHAMNA LANDANLEGG	ExxonMobil Exploration & Production Norway AS	2009-11-01	9999-12-31	7.228600	2455217	2835212	2013-05-08
NYHAMNA LANDANLEGG	DONG E&P Norge AS	2006-09-06	2007-01-01	10.342000	2455217	4070011	2013-05-08
NYHAMNA LANDANLEGG	DONG E&P Norge AS	2007-01-01	2007-10-01	10.342000	2455217	4070011	2013-05-08
NYHAMNA LANDANLEGG	DONG E&P Norge AS	2007-10-01	2009-01-01	10.342000	2455217	4070011	2013-05-08
NYHAMNA LANDANLEGG	DONG E&P Norge AS	2009-01-01	2009-11-01	10.342000	2455217	4070011	2013-05-08
NYHAMNA LANDANLEGG	DONG E&P Norge AS	2009-11-01	9999-12-31	10.342000	2455217	4070011	2013-05-08
NYHAMNA LANDANLEGG	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	18.072800	2455217	4511658	2013-05-08
NYHAMNA LANDANLEGG	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	28.916900	2455217	4511658	2013-05-08
NYHAMNA LANDANLEGG	StatoilHydro ASA	2007-10-01	2009-01-01	10.844100	2455217	4511854	2013-05-08
NYHAMNA LANDANLEGG	Norsk Hydro Petroleum AS	2007-01-01	2007-10-01	18.072800	2455217	4524355	2013-05-08
NYHAMNA LANDANLEGG	Statoil Petroleum AS	2009-11-01	9999-12-31	28.916900	2455217	17237817	2013-05-08
TAMPEN LINK	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	3113815	45	2013-05-08
TAMPEN LINK	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	3113815	45	2013-05-08
TAMPEN LINK	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	3113815	45	2013-05-08
TAMPEN LINK	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	3113815	45	2013-05-08
TAMPEN LINK	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	3113815	221	2013-05-08
TAMPEN LINK	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	3113815	221	2013-05-08
TAMPEN LINK	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	3113815	353	2013-05-08
TAMPEN LINK	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	3113815	353	2013-05-08
TAMPEN LINK	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	3113815	353	2013-05-08
TAMPEN LINK	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	3113815	353	2013-05-08
TAMPEN LINK	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	3113815	353	2013-05-08
TAMPEN LINK	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	3113815	430	2013-05-08
TAMPEN LINK	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	3113815	430	2013-05-08
TAMPEN LINK	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	3113815	430	2013-05-08
TAMPEN LINK	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	3113815	430	2013-05-08
TAMPEN LINK	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	3113815	430	2013-05-08
TAMPEN LINK	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	3113815	430	2013-05-08
TAMPEN LINK	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	3113815	430	2013-05-08
TAMPEN LINK	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	3113815	430	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	3113815	474	2013-05-08
TAMPEN LINK	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	3113815	474	2013-05-08
TAMPEN LINK	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	3113815	562	2013-05-08
TAMPEN LINK	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	3113815	562	2013-05-08
TAMPEN LINK	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	3113815	97557	2013-05-08
TAMPEN LINK	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	3113815	97557	2013-05-08
TAMPEN LINK	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	3113815	97557	2013-05-08
TAMPEN LINK	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	3113815	97557	2013-05-08
TAMPEN LINK	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	3113815	97557	2013-05-08
TAMPEN LINK	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	3113815	102714	2013-05-08
TAMPEN LINK	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	3113815	1025067	2013-05-08
TAMPEN LINK	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	3113815	1025067	2013-05-08
TAMPEN LINK	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	3113815	1340884	2013-05-08
TAMPEN LINK	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	3113815	1340884	2013-05-08
TAMPEN LINK	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	3113815	1340884	2013-05-08
TAMPEN LINK	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	3113815	1622484	2013-05-08
TAMPEN LINK	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	3113815	1622484	2013-05-08
TAMPEN LINK	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	3113815	1622484	2013-05-08
TAMPEN LINK	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	3113815	1622484	2013-05-08
TAMPEN LINK	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	3113815	1622484	2013-05-08
TAMPEN LINK	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	3113815	1622484	2013-05-08
TAMPEN LINK	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	3113815	1622484	2013-05-08
TAMPEN LINK	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	3113815	1622484	2013-05-08
TAMPEN LINK	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	3113815	1622484	2013-05-08
TAMPEN LINK	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	3113815	1622484	2013-05-08
TAMPEN LINK	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	3113815	1622484	2013-05-08
TAMPEN LINK	Petoro AS	2003-01-01	2003-03-04	38.293000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2003-03-04	2003-03-22	38.293000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2003-03-22	2003-05-06	38.293000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2003-05-06	2003-12-31	38.293000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2003-12-31	2004-10-01	38.293000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2004-10-01	2005-10-01	38.293000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2005-10-01	2006-09-01	38.627000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2006-09-01	2007-01-01	38.245000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2007-01-01	2007-01-02	38.245000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2007-01-02	2007-09-01	38.245000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2007-09-01	2007-10-01	37.892000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2007-10-01	2009-01-01	37.892000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2009-01-01	2009-01-02	38.459000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2009-01-02	2009-01-03	38.459000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2009-01-03	2009-01-04	38.459000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2009-01-04	2009-11-01	38.459000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2009-11-01	2010-01-01	38.459000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2010-01-01	2010-06-01	38.459000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2010-06-01	2011-01-01	38.435000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2011-01-01	2011-01-02	45.793000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2011-01-02	2011-01-03	45.793000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2011-01-03	2012-01-01	45.793000	3113815	1626839	2013-05-08
TAMPEN LINK	Petoro AS	2012-01-01	9999-12-31	45.793000	3113815	1626839	2013-05-08
TAMPEN LINK	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	3113815	1853786	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	3113815	2066214	2013-05-08
TAMPEN LINK	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	3113815	2066214	2013-05-08
TAMPEN LINK	Eni Norge AS	2003-03-04	2003-03-22	0.807000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2003-03-22	2003-05-06	0.807000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2003-05-06	2003-12-31	0.807000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2003-12-31	2004-10-01	1.669000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2004-10-01	2005-10-01	1.669000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2005-10-01	2006-09-01	1.688000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2006-09-01	2007-01-01	1.574000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2007-01-01	2007-01-02	1.574000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2007-01-02	2007-09-01	1.574000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2007-09-01	2007-10-01	1.556000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2007-10-01	2009-01-01	1.556000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2009-01-01	2009-01-02	1.525000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2009-01-02	2009-01-03	1.525000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2009-01-03	2009-01-04	1.525000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2009-01-04	2009-11-01	1.525000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2009-11-01	2010-01-01	1.525000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2010-01-01	2010-06-01	1.525000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2010-06-01	2011-01-01	1.521000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2011-01-01	2011-01-02	1.276000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2011-01-02	2011-01-03	1.276000	3113815	2388594	2013-05-08
TAMPEN LINK	Eni Norge AS	2011-01-03	2012-01-01	1.276000	3113815	2388594	2013-05-08
TAMPEN LINK	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	3113815	2399056	2013-05-08
TAMPEN LINK	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	3113815	2399056	2013-05-08
TAMPEN LINK	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	3113815	2399056	2013-05-08
TAMPEN LINK	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	3113815	2399056	2013-05-08
TAMPEN LINK	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	3113815	2399056	2013-05-08
TAMPEN LINK	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	3113815	2399056	2013-05-08
TAMPEN LINK	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	3113815	2399056	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	3113815	2410696	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	3113815	2410696	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	3113815	2410708	2013-05-08
TAMPEN LINK	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	3113815	2410708	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	3113815	2835212	2013-05-08
TAMPEN LINK	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	3113815	2835212	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	3113815	4070011	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	3113815	4070011	2013-05-08
TAMPEN LINK	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	3113815	4511658	2013-05-08
TAMPEN LINK	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	3113815	4511658	2013-05-08
TAMPEN LINK	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	3113815	4511658	2013-05-08
TAMPEN LINK	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	3113815	4511658	2013-05-08
TAMPEN LINK	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	3113815	4511658	2013-05-08
TAMPEN LINK	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	3113815	4511854	2013-05-08
TAMPEN LINK	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	3113815	4511854	2013-05-08
TAMPEN LINK	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	3113815	4511854	2013-05-08
TAMPEN LINK	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	3113815	4524355	2013-05-08
TAMPEN LINK	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	3113815	4524355	2013-05-08
TAMPEN LINK	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	3113815	4524355	2013-05-08
TAMPEN LINK	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	3113815	5267845	2013-05-08
TAMPEN LINK	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	3113815	5267845	2013-05-08
TAMPEN LINK	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	3113815	5267845	2013-05-08
TAMPEN LINK	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	3113815	5267845	2013-05-08
TAMPEN LINK	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	3113815	5267845	2013-05-08
TAMPEN LINK	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	3113815	17237817	2013-05-08
TAMPEN LINK	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	3113815	17237817	2013-05-08
TAMPEN LINK	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	3113815	17237817	2013-05-08
TAMPEN LINK	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	3113815	17237817	2013-05-08
TAMPEN LINK	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	3113815	17237817	2013-05-08
TAMPEN LINK	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	3113815	17237817	2013-05-08
TAMPEN LINK	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	3113815	17237817	2013-05-08
TAMPEN LINK	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	3113815	20440816	2013-05-08
TAMPEN LINK	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	3113815	20440816	2013-05-08
TAMPEN LINK	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	3113815	20440816	2013-05-08
TAMPEN LINK	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	3113815	21139140	2013-05-08
TAMPEN LINK	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	3113815	21139140	2013-05-08
TAMPEN LINK	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	3113815	21139652	2013-05-08
TAMPEN LINK	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	3113815	21139652	2013-05-08
TAMPEN LINK	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	3113815	21139663	2013-05-08
TAMPEN LINK	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	3113815	21139663	2013-05-08
NJORD GASSTRANSPORT	Norsk Hydro Produksjon AS	2005-01-21	2005-01-22	20.000000	3113920	430	2013-05-08
NJORD GASSTRANSPORT	Norsk Hydro Produksjon AS	2005-01-22	2007-01-01	20.000000	3113920	430	2013-05-08
NJORD GASSTRANSPORT	Mobil Development Norway AS	2005-01-21	2005-01-22	20.000000	3113920	474	2013-05-08
NJORD GASSTRANSPORT	Mobil Development Norway AS	2005-01-22	2007-01-01	20.000000	3113920	474	2013-05-08
NJORD GASSTRANSPORT	Mobil Development Norway AS	2007-01-01	2007-10-01	20.000000	3113920	474	2013-05-08
NJORD GASSTRANSPORT	Mobil Development Norway AS	2007-10-01	2008-01-01	20.000000	3113920	474	2013-05-08
NJORD GASSTRANSPORT	Paladin Resources Norge AS	2005-01-21	2005-01-22	15.000000	3113920	1577943	2013-05-08
NJORD GASSTRANSPORT	Petoro AS	2005-01-21	2005-01-22	7.500000	3113920	1626839	2013-05-08
NJORD GASSTRANSPORT	Petoro AS	2005-01-22	2007-01-01	7.500000	3113920	1626839	2013-05-08
NJORD GASSTRANSPORT	Petoro AS	2007-01-01	2007-10-01	7.500000	3113920	1626839	2013-05-08
NJORD GASSTRANSPORT	Petoro AS	2007-10-01	2008-01-01	7.500000	3113920	1626839	2013-05-08
NJORD GASSTRANSPORT	Petoro AS	2008-01-01	2009-01-01	7.500000	3113920	1626839	2013-05-08
NJORD GASSTRANSPORT	Petoro AS	2009-01-01	2009-05-26	7.500000	3113920	1626839	2013-05-08
NJORD GASSTRANSPORT	Petoro AS	2009-05-26	2009-10-01	7.500000	3113920	1626839	2013-05-08
NJORD GASSTRANSPORT	Petoro AS	2009-10-01	2009-11-01	7.500000	3113920	1626839	2013-05-08
NJORD GASSTRANSPORT	Petoro AS	2009-11-01	2011-01-01	7.500000	3113920	1626839	2013-05-08
NJORD GASSTRANSPORT	Petoro AS	2011-01-01	2011-01-02	7.500000	3113920	1626839	2013-05-08
NJORD GASSTRANSPORT	Gaz de France Norge AS	2005-01-21	2005-01-22	20.000000	3113920	1628733	2013-05-08
NJORD GASSTRANSPORT	Gaz de France Norge AS	2005-01-22	2007-01-01	20.000000	3113920	1628733	2013-05-08
NJORD GASSTRANSPORT	Gaz de France Norge AS	2007-01-01	2007-10-01	20.000000	3113920	1628733	2013-05-08
NJORD GASSTRANSPORT	Gaz de France Norge AS	2007-10-01	2008-01-01	20.000000	3113920	1628733	2013-05-08
NJORD GASSTRANSPORT	Gaz de France Norge AS	2008-01-01	2009-01-01	20.000000	3113920	1628733	2013-05-08
NJORD GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2008-01-01	2009-01-01	20.000000	3113920	2835212	2013-05-08
NJORD GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-05-26	20.000000	3113920	2835212	2013-05-08
NJORD GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-05-26	2009-10-01	20.000000	3113920	2835212	2013-05-08
NJORD GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-10-01	2009-11-01	20.000000	3113920	2835212	2013-05-08
NJORD GASSTRANSPORT	ExxonMobil Exploration & Production Norway AS	2009-11-01	2011-01-01	20.000000	3113920	2835212	2013-05-08
NJORD GASSTRANSPORT	E.ON Ruhrgas Norge AS	2005-01-21	2005-01-22	15.000000	3113920	2840522	2013-05-08
NJORD GASSTRANSPORT	E.ON Ruhrgas Norge AS	2005-01-22	2007-01-01	30.000000	3113920	2840522	2013-05-08
NJORD GASSTRANSPORT	E.ON Ruhrgas Norge AS	2007-01-01	2007-10-01	30.000000	3113920	2840522	2013-05-08
NJORD GASSTRANSPORT	E.ON Ruhrgas Norge AS	2007-10-01	2008-01-01	30.000000	3113920	2840522	2013-05-08
NJORD GASSTRANSPORT	E.ON Ruhrgas Norge AS	2008-01-01	2009-01-01	30.000000	3113920	2840522	2013-05-08
NJORD GASSTRANSPORT	E.ON Ruhrgas Norge AS	2009-01-01	2009-05-26	30.000000	3113920	2840522	2013-05-08
NJORD GASSTRANSPORT	E.ON Ruhrgas Norge AS	2009-05-26	2009-10-01	30.000000	3113920	2840522	2013-05-08
NJORD GASSTRANSPORT	E.ON Ruhrgas Norge AS	2009-10-01	2009-11-01	30.000000	3113920	2840522	2013-05-08
NJORD GASSTRANSPORT	E.ON Ruhrgas Norge AS	2009-11-01	2011-01-01	30.000000	3113920	2840522	2013-05-08
NJORD GASSTRANSPORT	E.ON Ruhrgas Norge AS	2011-01-01	2011-01-02	30.000000	3113920	2840522	2013-05-08
NJORD GASSTRANSPORT	E.ON Ruhrgas Norge AS	2011-01-02	2012-02-11	30.000000	3113920	2840522	2013-05-08
NJORD GASSTRANSPORT	Endeavour Energy Norge AS	2005-01-21	2005-01-22	2.500000	3113920	3113213	2013-05-08
NJORD GASSTRANSPORT	Endeavour Energy Norge AS	2005-01-22	2007-01-01	2.500000	3113920	3113213	2013-05-08
NJORD GASSTRANSPORT	Endeavour Energy Norge AS	2007-01-01	2007-10-01	2.500000	3113920	3113213	2013-05-08
NJORD GASSTRANSPORT	Endeavour Energy Norge AS	2007-10-01	2008-01-01	2.500000	3113920	3113213	2013-05-08
NJORD GASSTRANSPORT	Endeavour Energy Norge AS	2008-01-01	2009-01-01	2.500000	3113920	3113213	2013-05-08
NJORD GASSTRANSPORT	Endeavour Energy Norge AS	2009-01-01	2009-05-26	2.500000	3113920	3113213	2013-05-08
NJORD GASSTRANSPORT	Faroe Petroleum Norge AS	2011-01-02	2012-02-11	7.500000	3113920	4062883	2013-05-08
NJORD GASSTRANSPORT	Faroe Petroleum Norge AS	2012-02-11	9999-12-31	7.500000	3113920	4062883	2013-05-08
NJORD GASSTRANSPORT	StatoilHydro Petroleum AS	2007-10-01	2008-01-01	20.000000	3113920	4511658	2013-05-08
NJORD GASSTRANSPORT	StatoilHydro Petroleum AS	2008-01-01	2009-01-01	20.000000	3113920	4511658	2013-05-08
NJORD GASSTRANSPORT	StatoilHydro Petroleum AS	2009-01-01	2009-05-26	20.000000	3113920	4511658	2013-05-08
NJORD GASSTRANSPORT	StatoilHydro Petroleum AS	2009-05-26	2009-10-01	20.000000	3113920	4511658	2013-05-08
NJORD GASSTRANSPORT	StatoilHydro Petroleum AS	2009-10-01	2009-11-01	20.000000	3113920	4511658	2013-05-08
NJORD GASSTRANSPORT	Norsk Hydro Petroleum AS	2007-01-01	2007-10-01	20.000000	3113920	4524355	2013-05-08
NJORD GASSTRANSPORT	GDF SUEZ E&P Norge AS	2009-01-01	2009-05-26	20.000000	3113920	5267845	2013-05-08
NJORD GASSTRANSPORT	GDF SUEZ E&P Norge AS	2009-05-26	2009-10-01	20.000000	3113920	5267845	2013-05-08
NJORD GASSTRANSPORT	GDF SUEZ E&P Norge AS	2009-10-01	2009-11-01	20.000000	3113920	5267845	2013-05-08
NJORD GASSTRANSPORT	GDF SUEZ E&P Norge AS	2009-11-01	2011-01-01	20.000000	3113920	5267845	2013-05-08
NJORD GASSTRANSPORT	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	40.000000	3113920	5267845	2013-05-08
NJORD GASSTRANSPORT	GDF SUEZ E&P Norge AS	2011-01-02	2012-02-11	40.000000	3113920	5267845	2013-05-08
NJORD GASSTRANSPORT	GDF SUEZ E&P Norge AS	2012-02-11	9999-12-31	40.000000	3113920	5267845	2013-05-08
NJORD GASSTRANSPORT	VNG Norge (Operations) AS	2009-05-26	2009-10-01	2.500000	3113920	5497155	2013-05-08
NJORD GASSTRANSPORT	VNG Norge AS	2009-10-01	2009-11-01	2.500000	3113920	17237193	2013-05-08
NJORD GASSTRANSPORT	VNG Norge AS	2009-11-01	2011-01-01	2.500000	3113920	17237193	2013-05-08
NJORD GASSTRANSPORT	VNG Norge AS	2011-01-01	2011-01-02	2.500000	3113920	17237193	2013-05-08
NJORD GASSTRANSPORT	VNG Norge AS	2011-01-02	2012-02-11	2.500000	3113920	17237193	2013-05-08
NJORD GASSTRANSPORT	VNG Norge AS	2012-02-11	9999-12-31	2.500000	3113920	17237193	2013-05-08
NJORD GASSTRANSPORT	Statoil Petroleum AS	2009-11-01	2011-01-01	20.000000	3113920	17237817	2013-05-08
NJORD GASSTRANSPORT	Statoil Petroleum AS	2011-01-01	2011-01-02	20.000000	3113920	17237817	2013-05-08
NJORD GASSTRANSPORT	Statoil Petroleum AS	2011-01-02	2012-02-11	20.000000	3113920	17237817	2013-05-08
NJORD GASSTRANSPORT	Statoil Petroleum AS	2012-02-11	9999-12-31	20.000000	3113920	17237817	2013-05-08
NJORD GASSTRANSPORT	E.ON E&P Norge AS	2012-02-11	9999-12-31	30.000000	3113920	21631209	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	3471786	45	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	3471786	45	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	3471786	45	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	3471786	45	2013-05-08
KÅRSTØ GASSANLEGG	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	3471786	221	2013-05-08
KÅRSTØ GASSANLEGG	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	3471786	221	2013-05-08
KÅRSTØ GASSANLEGG	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	3471786	353	2013-05-08
KÅRSTØ GASSANLEGG	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	3471786	353	2013-05-08
KÅRSTØ GASSANLEGG	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	3471786	353	2013-05-08
KÅRSTØ GASSANLEGG	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	3471786	353	2013-05-08
KÅRSTØ GASSANLEGG	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	3471786	353	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	3471786	430	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	3471786	430	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	3471786	430	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	3471786	430	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	3471786	430	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	3471786	430	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	3471786	430	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	3471786	430	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	3471786	474	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	3471786	562	2013-05-08
KÅRSTØ GASSANLEGG	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	3471786	97557	2013-05-08
KÅRSTØ GASSANLEGG	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	3471786	97557	2013-05-08
KÅRSTØ GASSANLEGG	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	3471786	97557	2013-05-08
KÅRSTØ GASSANLEGG	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	3471786	97557	2013-05-08
KÅRSTØ GASSANLEGG	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	3471786	97557	2013-05-08
KÅRSTØ GASSANLEGG	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	3471786	102714	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	3471786	1025067	2013-05-08
KÅRSTØ GASSANLEGG	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	3471786	1340884	2013-05-08
KÅRSTØ GASSANLEGG	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	3471786	1340884	2013-05-08
KÅRSTØ GASSANLEGG	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	3471786	1340884	2013-05-08
KÅRSTØ GASSANLEGG	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	3471786	1622484	2013-05-08
KÅRSTØ GASSANLEGG	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	3471786	1622484	2013-05-08
KÅRSTØ GASSANLEGG	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	3471786	1622484	2013-05-08
KÅRSTØ GASSANLEGG	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	3471786	1622484	2013-05-08
KÅRSTØ GASSANLEGG	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	3471786	1622484	2013-05-08
KÅRSTØ GASSANLEGG	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	3471786	1622484	2013-05-08
KÅRSTØ GASSANLEGG	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	3471786	1622484	2013-05-08
KÅRSTØ GASSANLEGG	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	3471786	1622484	2013-05-08
KÅRSTØ GASSANLEGG	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	3471786	1622484	2013-05-08
KÅRSTØ GASSANLEGG	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	3471786	1622484	2013-05-08
KÅRSTØ GASSANLEGG	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	3471786	1622484	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2003-01-01	2003-03-04	38.293000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2003-03-04	2003-03-22	38.293000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2003-03-22	2003-05-06	38.293000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2003-05-06	2003-12-31	38.293000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2003-12-31	2004-10-01	38.293000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2004-10-01	2005-10-01	38.293000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2005-10-01	2006-09-01	38.627000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2006-09-01	2007-01-01	38.245000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2007-01-01	2007-01-02	38.245000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2007-01-02	2007-09-01	38.245000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2007-09-01	2007-10-01	37.892000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2007-10-01	2009-01-01	37.892000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2009-01-01	2009-01-02	38.459000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2009-01-02	2009-01-03	38.459000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2009-01-03	2009-01-04	38.459000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2009-01-04	2009-11-01	38.459000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2009-11-01	2010-01-01	38.459000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2010-01-01	2010-06-01	38.459000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2010-06-01	2011-01-01	38.435000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2011-01-01	2011-01-02	45.793000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2011-01-02	2011-01-03	45.793000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2011-01-03	2012-01-01	45.793000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Petoro AS	2012-01-01	9999-12-31	45.793000	3471786	1626839	2013-05-08
KÅRSTØ GASSANLEGG	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	3471786	1853786	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	3471786	2066214	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2003-03-04	2003-03-22	0.807000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2003-03-22	2003-05-06	0.807000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2003-05-06	2003-12-31	0.807000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2003-12-31	2004-10-01	1.669000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2004-10-01	2005-10-01	1.669000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2005-10-01	2006-09-01	1.688000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2006-09-01	2007-01-01	1.574000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2007-01-01	2007-01-02	1.574000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2007-01-02	2007-09-01	1.574000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2007-09-01	2007-10-01	1.556000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2007-10-01	2009-01-01	1.556000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2009-01-01	2009-01-02	1.525000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2009-01-02	2009-01-03	1.525000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2009-01-03	2009-01-04	1.525000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2009-01-04	2009-11-01	1.525000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2009-11-01	2010-01-01	1.525000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2010-01-01	2010-06-01	1.525000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2010-06-01	2011-01-01	1.521000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2011-01-01	2011-01-02	1.276000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2011-01-02	2011-01-03	1.276000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Eni Norge AS	2011-01-03	2012-01-01	1.276000	3471786	2388594	2013-05-08
KÅRSTØ GASSANLEGG	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	3471786	2399056	2013-05-08
KÅRSTØ GASSANLEGG	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	3471786	2399056	2013-05-08
KÅRSTØ GASSANLEGG	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	3471786	2399056	2013-05-08
KÅRSTØ GASSANLEGG	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	3471786	2399056	2013-05-08
KÅRSTØ GASSANLEGG	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	3471786	2399056	2013-05-08
KÅRSTØ GASSANLEGG	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	3471786	2399056	2013-05-08
KÅRSTØ GASSANLEGG	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	3471786	2399056	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	3471786	2410696	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	3471786	2410708	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	3471786	2835212	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	3471786	4070011	2013-05-08
KÅRSTØ GASSANLEGG	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	3471786	4511658	2013-05-08
KÅRSTØ GASSANLEGG	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	3471786	4511658	2013-05-08
KÅRSTØ GASSANLEGG	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	3471786	4511658	2013-05-08
KÅRSTØ GASSANLEGG	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	3471786	4511658	2013-05-08
KÅRSTØ GASSANLEGG	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	3471786	4511658	2013-05-08
KÅRSTØ GASSANLEGG	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	3471786	4511854	2013-05-08
KÅRSTØ GASSANLEGG	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	3471786	4511854	2013-05-08
KÅRSTØ GASSANLEGG	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	3471786	4511854	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	3471786	4524355	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	3471786	4524355	2013-05-08
KÅRSTØ GASSANLEGG	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	3471786	4524355	2013-05-08
KÅRSTØ GASSANLEGG	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	3471786	5267845	2013-05-08
KÅRSTØ GASSANLEGG	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	3471786	5267845	2013-05-08
KÅRSTØ GASSANLEGG	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	3471786	5267845	2013-05-08
KÅRSTØ GASSANLEGG	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	3471786	5267845	2013-05-08
KÅRSTØ GASSANLEGG	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	3471786	5267845	2013-05-08
KÅRSTØ GASSANLEGG	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	3471786	17237817	2013-05-08
KÅRSTØ GASSANLEGG	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	3471786	17237817	2013-05-08
KÅRSTØ GASSANLEGG	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	3471786	17237817	2013-05-08
KÅRSTØ GASSANLEGG	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	3471786	17237817	2013-05-08
KÅRSTØ GASSANLEGG	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	3471786	17237817	2013-05-08
KÅRSTØ GASSANLEGG	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	3471786	17237817	2013-05-08
KÅRSTØ GASSANLEGG	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	3471786	17237817	2013-05-08
KÅRSTØ GASSANLEGG	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	3471786	20440816	2013-05-08
KÅRSTØ GASSANLEGG	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	3471786	20440816	2013-05-08
KÅRSTØ GASSANLEGG	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	3471786	20440816	2013-05-08
KÅRSTØ GASSANLEGG	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	3471786	21139140	2013-05-08
KÅRSTØ GASSANLEGG	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	3471786	21139140	2013-05-08
KÅRSTØ GASSANLEGG	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	3471786	21139652	2013-05-08
KÅRSTØ GASSANLEGG	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	3471786	21139652	2013-05-08
KÅRSTØ GASSANLEGG	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	3471786	21139663	2013-05-08
KÅRSTØ GASSANLEGG	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	3471786	21139663	2013-05-08
GJØA GASSRØR	Norsk Agip  AS	2003-01-01	2003-03-04	0.862000	4480765	45	2013-05-08
GJØA GASSRØR	Norsk Agip  AS	2003-03-04	2003-03-22	0.862000	4480765	45	2013-05-08
GJØA GASSRØR	Norsk Agip  AS	2003-03-22	2003-05-06	0.862000	4480765	45	2013-05-08
GJØA GASSRØR	Norsk Agip  AS	2003-05-06	2003-12-31	0.862000	4480765	45	2013-05-08
GJØA GASSRØR	Norske Conoco A/S	2003-01-01	2003-03-04	2.033000	4480765	221	2013-05-08
GJØA GASSRØR	Norske Conoco A/S	2003-03-04	2003-03-22	2.033000	4480765	221	2013-05-08
GJØA GASSRØR	Esso Exploration and Production Norway A/S	2003-01-01	2003-03-04	5.179000	4480765	353	2013-05-08
GJØA GASSRØR	Esso Exploration and Production Norway A/S	2003-03-04	2003-03-22	5.179000	4480765	353	2013-05-08
GJØA GASSRØR	Esso Exploration and Production Norway A/S	2003-03-22	2003-05-06	5.179000	4480765	353	2013-05-08
GJØA GASSRØR	Esso Exploration and Production Norway A/S	2003-05-06	2003-12-31	5.179000	4480765	353	2013-05-08
GJØA GASSRØR	Esso Exploration and Production Norway A/S	2003-12-31	2004-10-01	5.179000	4480765	353	2013-05-08
GJØA GASSRØR	Norsk Hydro Produksjon AS	2003-01-01	2003-03-04	11.134000	4480765	430	2013-05-08
GJØA GASSRØR	Norsk Hydro Produksjon AS	2003-03-04	2003-03-22	11.134000	4480765	430	2013-05-08
GJØA GASSRØR	Norsk Hydro Produksjon AS	2003-03-22	2003-05-06	11.134000	4480765	430	2013-05-08
GJØA GASSRØR	Norsk Hydro Produksjon AS	2003-05-06	2003-12-31	11.134000	4480765	430	2013-05-08
GJØA GASSRØR	Norsk Hydro Produksjon AS	2003-12-31	2004-10-01	11.134000	4480765	430	2013-05-08
GJØA GASSRØR	Norsk Hydro Produksjon AS	2004-10-01	2005-10-01	11.134000	4480765	430	2013-05-08
GJØA GASSRØR	Norsk Hydro Produksjon AS	2005-10-01	2006-09-01	11.186000	4480765	430	2013-05-08
GJØA GASSRØR	Norsk Hydro Produksjon AS	2006-09-01	2007-01-01	11.620000	4480765	430	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2003-01-01	2003-03-04	4.576000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2003-03-04	2003-03-22	4.576000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2003-03-22	2003-05-06	4.576000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2003-05-06	2003-12-31	4.576000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2003-12-31	2004-10-01	4.576000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2004-10-01	2005-10-01	4.576000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2005-10-01	2006-09-01	4.576000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2006-09-01	2007-01-01	4.267000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2007-01-01	2007-01-02	4.267000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2007-01-02	2007-09-01	4.267000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2007-09-01	2007-10-01	4.219000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2007-10-01	2009-01-01	4.219000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2009-01-01	2009-01-02	4.142000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2009-01-02	2009-01-03	4.142000	4480765	474	2013-05-08
GJØA GASSRØR	Mobil Development Norway AS	2009-01-03	2009-01-04	4.142000	4480765	474	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2006-09-01	2007-01-01	1.115000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2007-01-01	2007-01-02	1.115000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2007-01-02	2007-09-01	1.115000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2007-09-01	2007-10-01	1.240000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2007-10-01	2009-01-01	1.240000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2009-01-01	2009-01-02	1.318000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2009-01-02	2009-01-03	1.345000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2009-01-03	2009-01-04	1.345000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2009-01-04	2009-11-01	1.345000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2009-11-01	2010-01-01	1.345000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2010-01-01	2010-06-01	5.319000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2010-06-01	2011-01-01	5.338000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2011-01-01	2011-01-02	5.006000	4480765	562	2013-05-08
GJØA GASSRØR	A/S Norske Shell	2011-01-02	2011-01-03	5.006000	4480765	562	2013-05-08
GJØA GASSRØR	RWE Dea Norge AS	2010-06-01	2011-01-01	0.023000	4480765	97557	2013-05-08
GJØA GASSRØR	RWE Dea Norge AS	2011-01-01	2011-01-02	0.081000	4480765	97557	2013-05-08
GJØA GASSRØR	RWE Dea Norge AS	2011-01-02	2011-01-03	0.081000	4480765	97557	2013-05-08
GJØA GASSRØR	RWE Dea Norge AS	2011-01-03	2012-01-01	0.081000	4480765	97557	2013-05-08
GJØA GASSRØR	RWE Dea Norge AS	2012-01-01	9999-12-31	0.081000	4480765	97557	2013-05-08
GJØA GASSRØR	Fortum Petroleum AS	2003-01-01	2003-03-04	0.807000	4480765	102714	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2003-01-01	2003-03-04	3.018000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2003-03-04	2003-03-22	3.018000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2003-03-22	2003-05-06	3.018000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2003-05-06	2003-12-31	3.018000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2003-12-31	2004-10-01	3.018000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2004-10-01	2005-10-01	3.018000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2005-10-01	2006-09-01	3.045000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2006-09-01	2007-01-01	2.839000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2007-01-01	2007-01-02	2.839000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2007-01-02	2007-09-01	2.839000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2007-09-01	2007-10-01	2.807000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2007-10-01	2009-01-01	2.807000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2009-01-01	2009-01-02	2.726000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2009-01-02	2009-01-03	2.726000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2009-01-03	2009-01-04	2.726000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2009-01-04	2009-11-01	2.726000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2009-11-01	2010-01-01	2.726000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2010-01-01	2010-06-01	2.726000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2010-06-01	2011-01-01	2.718000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2011-01-01	2011-01-02	2.261000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2011-01-02	2011-01-03	2.261000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2011-01-03	2012-01-01	2.261000	4480765	1025067	2013-05-08
GJØA GASSRØR	Norsea Gas AS	2012-01-01	9999-12-31	2.261000	4480765	1025067	2013-05-08
GJØA GASSRØR	TotalFinaElf Exploration Norge AS	2003-01-01	2003-03-04	9.038000	4480765	1340884	2013-05-08
GJØA GASSRØR	TotalFinaElf Exploration Norge AS	2003-03-04	2003-03-22	9.038000	4480765	1340884	2013-05-08
GJØA GASSRØR	TotalFinaElf Exploration Norge AS	2003-03-22	2003-05-06	9.038000	4480765	1340884	2013-05-08
GJØA GASSRØR	Statoil ASA (old)	2003-01-01	2003-03-04	20.379000	4480765	1622484	2013-05-08
GJØA GASSRØR	Statoil ASA (old)	2003-03-04	2003-03-22	20.379000	4480765	1622484	2013-05-08
GJØA GASSRØR	Statoil ASA (old)	2003-03-22	2003-05-06	20.379000	4480765	1622484	2013-05-08
GJØA GASSRØR	Statoil ASA (old)	2003-05-06	2003-12-31	20.379000	4480765	1622484	2013-05-08
GJØA GASSRØR	Statoil ASA (old)	2003-12-31	2004-10-01	20.379000	4480765	1622484	2013-05-08
GJØA GASSRØR	Statoil ASA (old)	2004-10-01	2005-10-01	20.379000	4480765	1622484	2013-05-08
GJØA GASSRØR	Statoil ASA (old)	2005-10-01	2006-09-01	20.557000	4480765	1622484	2013-05-08
GJØA GASSRØR	Statoil ASA (old)	2006-09-01	2007-01-01	20.180000	4480765	1622484	2013-05-08
GJØA GASSRØR	Statoil ASA (old)	2007-01-01	2007-01-02	20.180000	4480765	1622484	2013-05-08
GJØA GASSRØR	Statoil ASA (old)	2007-01-02	2007-09-01	20.180000	4480765	1622484	2013-05-08
GJØA GASSRØR	Statoil ASA (old)	2007-09-01	2007-10-01	20.448000	4480765	1622484	2013-05-08
GJØA GASSRØR	Petoro AS	2003-01-01	2003-03-04	38.293000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2003-03-04	2003-03-22	38.293000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2003-03-22	2003-05-06	38.293000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2003-05-06	2003-12-31	38.293000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2003-12-31	2004-10-01	38.293000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2004-10-01	2005-10-01	38.293000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2005-10-01	2006-09-01	38.627000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2006-09-01	2007-01-01	38.245000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2007-01-01	2007-01-02	38.245000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2007-01-02	2007-09-01	38.245000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2007-09-01	2007-10-01	37.892000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2007-10-01	2009-01-01	37.892000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2009-01-01	2009-01-02	38.459000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2009-01-02	2009-01-03	38.459000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2009-01-03	2009-01-04	38.459000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2009-01-04	2009-11-01	38.459000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2009-11-01	2010-01-01	38.459000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2010-01-01	2010-06-01	38.459000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2010-06-01	2011-01-01	38.435000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2011-01-01	2011-01-02	45.793000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2011-01-02	2011-01-03	45.793000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2011-01-03	2012-01-01	45.793000	4480765	1626839	2013-05-08
GJØA GASSRØR	Petoro AS	2012-01-01	9999-12-31	45.793000	4480765	1626839	2013-05-08
GJØA GASSRØR	Enterprise Oil Norge AS	2009-01-01	2009-01-02	0.027000	4480765	1853786	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2003-01-01	2003-03-04	4.681000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2003-03-04	2003-03-22	4.681000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2003-03-22	2003-05-06	4.681000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2003-05-06	2003-12-31	4.681000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2003-12-31	2004-10-01	4.681000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2004-10-01	2005-10-01	4.681000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2005-10-01	2006-09-01	4.440000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2006-09-01	2007-01-01	4.140000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2007-01-01	2007-01-02	4.140000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2007-01-02	2007-09-01	4.140000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2007-09-01	2007-10-01	4.093000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2007-10-01	2009-01-01	4.093000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2009-01-01	2009-01-02	3.974000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2009-01-02	2009-01-03	3.974000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2009-01-03	2009-01-04	3.974000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2009-01-04	2009-11-01	3.974000	4480765	2066214	2013-05-08
GJØA GASSRØR	Norske Shell Pipelines AS	2009-11-01	2010-01-01	3.974000	4480765	2066214	2013-05-08
GJØA GASSRØR	Eni Norge AS	2003-03-04	2003-03-22	0.807000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2003-03-22	2003-05-06	0.807000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2003-05-06	2003-12-31	0.807000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2003-12-31	2004-10-01	1.669000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2004-10-01	2005-10-01	1.669000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2005-10-01	2006-09-01	1.688000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2006-09-01	2007-01-01	1.574000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2007-01-01	2007-01-02	1.574000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2007-01-02	2007-09-01	1.574000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2007-09-01	2007-10-01	1.556000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2007-10-01	2009-01-01	1.556000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2009-01-01	2009-01-02	1.525000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2009-01-02	2009-01-03	1.525000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2009-01-03	2009-01-04	1.525000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2009-01-04	2009-11-01	1.525000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2009-11-01	2010-01-01	1.525000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2010-01-01	2010-06-01	1.525000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2010-06-01	2011-01-01	1.521000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2011-01-01	2011-01-02	1.276000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2011-01-02	2011-01-03	1.276000	4480765	2388594	2013-05-08
GJØA GASSRØR	Eni Norge AS	2011-01-03	2012-01-01	1.276000	4480765	2388594	2013-05-08
GJØA GASSRØR	Norske ConocoPhillips AS	2003-03-22	2003-05-06	2.033000	4480765	2399056	2013-05-08
GJØA GASSRØR	Norske ConocoPhillips AS	2003-05-06	2003-12-31	2.033000	4480765	2399056	2013-05-08
GJØA GASSRØR	Norske ConocoPhillips AS	2003-12-31	2004-10-01	2.033000	4480765	2399056	2013-05-08
GJØA GASSRØR	Norske ConocoPhillips AS	2004-10-01	2005-10-01	2.033000	4480765	2399056	2013-05-08
GJØA GASSRØR	Norske ConocoPhillips AS	2005-10-01	2006-09-01	2.030000	4480765	2399056	2013-05-08
GJØA GASSRØR	Norske ConocoPhillips AS	2006-09-01	2007-01-01	1.946000	4480765	2399056	2013-05-08
GJØA GASSRØR	Norske ConocoPhillips AS	2007-01-01	2007-01-02	1.946000	4480765	2399056	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2007-01-02	2007-09-01	1.946000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2007-09-01	2007-10-01	2.017000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2007-10-01	2009-01-01	2.017000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2009-01-01	2009-01-02	1.996000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2009-01-02	2009-01-03	1.996000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2009-01-03	2009-01-04	1.996000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2009-01-04	2009-11-01	1.996000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2009-11-01	2010-01-01	1.996000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2010-01-01	2010-06-01	1.996000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2010-06-01	2011-01-01	1.990000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2011-01-01	2011-01-02	1.678000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2011-01-02	2011-01-03	1.678000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2011-01-03	2012-01-01	1.678000	4480765	2410696	2013-05-08
GJØA GASSRØR	ConocoPhillips Skandinavia AS	2012-01-01	9999-12-31	1.678000	4480765	2410696	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2003-05-06	2003-12-31	9.038000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2003-12-31	2004-10-01	9.038000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2004-10-01	2005-10-01	9.038000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2005-10-01	2006-09-01	8.672000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2006-09-01	2007-01-01	8.086000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2007-01-01	2007-01-02	8.086000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2007-01-02	2007-09-01	8.086000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2007-09-01	2007-10-01	7.995000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2007-10-01	2009-01-01	7.995000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2009-01-01	2009-01-02	7.783000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2009-01-02	2009-01-03	7.783000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2009-01-03	2009-01-04	7.783000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2009-01-04	2009-11-01	7.783000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2009-11-01	2010-01-01	7.783000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2010-01-01	2010-06-01	7.783000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2010-06-01	2011-01-01	7.761000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2011-01-01	2011-01-02	6.102000	4480765	2410708	2013-05-08
GJØA GASSRØR	Total E&P Norge AS	2011-01-02	2011-01-03	6.102000	4480765	2410708	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2004-10-01	2005-10-01	5.179000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2005-10-01	2006-09-01	5.179000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2006-09-01	2007-01-01	5.298000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2007-01-01	2007-01-02	5.298000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2007-01-02	2007-09-01	5.298000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2007-09-01	2007-10-01	5.444000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2007-10-01	2009-01-01	5.444000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-01-02	5.286000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-01-02	2009-01-03	5.286000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-01-03	2009-01-04	5.286000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-01-04	2009-11-01	9.428000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-11-01	2010-01-01	9.428000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2010-01-01	2010-06-01	9.428000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2010-06-01	2011-01-01	9.401000	4480765	2835212	2013-05-08
GJØA GASSRØR	ExxonMobil Exploration & Production Norway AS	2011-01-01	2011-01-02	8.036000	4480765	2835212	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2006-09-01	2007-01-01	0.690000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2007-01-01	2007-01-02	0.690000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2007-01-02	2007-09-01	0.690000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2007-09-01	2007-10-01	0.682000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2007-10-01	2009-01-01	0.682000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2009-01-01	2009-01-02	0.662000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2009-01-02	2009-01-03	0.662000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2009-01-03	2009-01-04	0.662000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2009-01-04	2009-11-01	0.662000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2009-11-01	2010-01-01	0.662000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2010-01-01	2010-06-01	0.662000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2010-06-01	2011-01-01	0.660000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2011-01-01	2011-01-02	0.983000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2011-01-02	2011-01-03	0.983000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2011-01-03	2012-01-01	0.983000	4480765	4070011	2013-05-08
GJØA GASSRØR	DONG E&P Norge AS	2012-01-01	9999-12-31	0.983000	4480765	4070011	2013-05-08
GJØA GASSRØR	StatoilHydro Petroleum AS	2007-10-01	2009-01-01	11.607000	4480765	4511658	2013-05-08
GJØA GASSRØR	StatoilHydro Petroleum AS	2009-01-01	2009-01-02	11.628000	4480765	4511658	2013-05-08
GJØA GASSRØR	StatoilHydro Petroleum AS	2009-01-02	2009-01-03	11.628000	4480765	4511658	2013-05-08
GJØA GASSRØR	StatoilHydro Petroleum AS	2009-01-03	2009-01-04	32.102000	4480765	4511658	2013-05-08
GJØA GASSRØR	StatoilHydro Petroleum AS	2009-01-04	2009-11-01	32.102000	4480765	4511658	2013-05-08
GJØA GASSRØR	StatoilHydro ASA	2007-10-01	2009-01-01	20.448000	4480765	4511854	2013-05-08
GJØA GASSRØR	StatoilHydro ASA	2009-01-01	2009-01-02	20.474000	4480765	4511854	2013-05-08
GJØA GASSRØR	StatoilHydro ASA	2009-01-02	2009-01-03	20.474000	4480765	4511854	2013-05-08
GJØA GASSRØR	Norsk Hydro Petroleum AS	2007-01-01	2007-01-02	11.620000	4480765	4524355	2013-05-08
GJØA GASSRØR	Norsk Hydro Petroleum AS	2007-01-02	2007-09-01	11.620000	4480765	4524355	2013-05-08
GJØA GASSRØR	Norsk Hydro Petroleum AS	2007-09-01	2007-10-01	11.607000	4480765	4524355	2013-05-08
GJØA GASSRØR	GDF SUEZ E&P Norge AS	2010-06-01	2011-01-01	0.085000	4480765	5267845	2013-05-08
GJØA GASSRØR	GDF SUEZ E&P Norge AS	2011-01-01	2011-01-02	0.304000	4480765	5267845	2013-05-08
GJØA GASSRØR	GDF SUEZ E&P Norge AS	2011-01-02	2011-01-03	0.304000	4480765	5267845	2013-05-08
GJØA GASSRØR	GDF SUEZ E&P Norge AS	2011-01-03	2012-01-01	0.304000	4480765	5267845	2013-05-08
GJØA GASSRØR	GDF SUEZ E&P Norge AS	2012-01-01	9999-12-31	0.304000	4480765	5267845	2013-05-08
GJØA GASSRØR	Statoil Petroleum AS	2009-11-01	2010-01-01	32.102000	4480765	17237817	2013-05-08
GJØA GASSRØR	Statoil Petroleum AS	2010-01-01	2010-06-01	32.102000	4480765	17237817	2013-05-08
GJØA GASSRØR	Statoil Petroleum AS	2010-06-01	2011-01-01	32.068000	4480765	17237817	2013-05-08
GJØA GASSRØR	Statoil Petroleum AS	2011-01-01	2011-01-02	28.480000	4480765	17237817	2013-05-08
GJØA GASSRØR	Statoil Petroleum AS	2011-01-02	2011-01-03	28.480000	4480765	17237817	2013-05-08
GJØA GASSRØR	Statoil Petroleum AS	2011-01-03	2012-01-01	5.000000	4480765	17237817	2013-05-08
GJØA GASSRØR	Statoil Petroleum AS	2012-01-01	9999-12-31	5.000000	4480765	17237817	2013-05-08
GJØA GASSRØR	Njord Gas Infrastructure AS	2011-01-02	2011-01-03	8.036000	4480765	20440816	2013-05-08
GJØA GASSRØR	Njord Gas Infrastructure AS	2011-01-03	2012-01-01	8.036000	4480765	20440816	2013-05-08
GJØA GASSRØR	Njord Gas Infrastructure AS	2012-01-01	9999-12-31	8.036000	4480765	20440816	2013-05-08
GJØA GASSRØR	Infragas Norge AS	2011-01-03	2012-01-01	5.006000	4480765	21139140	2013-05-08
GJØA GASSRØR	Infragas Norge AS	2012-01-01	9999-12-31	5.006000	4480765	21139140	2013-05-08
GJØA GASSRØR	Solveig Gas Norway AS	2011-01-03	2012-01-01	23.480000	4480765	21139652	2013-05-08
GJØA GASSRØR	Solveig Gas Norway AS	2012-01-01	9999-12-31	24.756000	4480765	21139652	2013-05-08
GJØA GASSRØR	Silex Gas Norway AS	2011-01-03	2012-01-01	6.102000	4480765	21139663	2013-05-08
GJØA GASSRØR	Silex Gas Norway AS	2012-01-01	9999-12-31	6.102000	4480765	21139663	2013-05-08
GJØA OLJERØR	A/S Norske Shell	2007-06-14	2007-10-01	12.000000	4480786	562	2013-05-08
GJØA OLJERØR	A/S Norske Shell	2007-10-01	2009-01-01	12.000000	4480786	562	2013-05-08
GJØA OLJERØR	A/S Norske Shell	2009-01-01	2009-01-02	12.000000	4480786	562	2013-05-08
GJØA OLJERØR	A/S Norske Shell	2009-01-02	2009-11-01	12.000000	4480786	562	2013-05-08
GJØA OLJERØR	A/S Norske Shell	2009-11-01	9999-12-31	12.000000	4480786	562	2013-05-08
GJØA OLJERØR	RWE Dea Norge AS	2007-06-14	2007-10-01	8.000000	4480786	97557	2013-05-08
GJØA OLJERØR	RWE Dea Norge AS	2007-10-01	2009-01-01	8.000000	4480786	97557	2013-05-08
GJØA OLJERØR	RWE Dea Norge AS	2009-01-01	2009-01-02	8.000000	4480786	97557	2013-05-08
GJØA OLJERØR	RWE Dea Norge AS	2009-01-02	2009-11-01	8.000000	4480786	97557	2013-05-08
GJØA OLJERØR	RWE Dea Norge AS	2009-11-01	9999-12-31	8.000000	4480786	97557	2013-05-08
GJØA OLJERØR	Statoil ASA (old)	2007-06-14	2007-10-01	20.000000	4480786	1622484	2013-05-08
GJØA OLJERØR	Petoro AS	2007-06-14	2007-10-01	30.000000	4480786	1626839	2013-05-08
GJØA OLJERØR	Petoro AS	2007-10-01	2009-01-01	30.000000	4480786	1626839	2013-05-08
GJØA OLJERØR	Petoro AS	2009-01-01	2009-01-02	30.000000	4480786	1626839	2013-05-08
GJØA OLJERØR	Petoro AS	2009-01-02	2009-11-01	30.000000	4480786	1626839	2013-05-08
GJØA OLJERØR	Petoro AS	2009-11-01	9999-12-31	30.000000	4480786	1626839	2013-05-08
GJØA OLJERØR	Gaz de France Norge AS	2007-06-14	2007-10-01	30.000000	4480786	1628733	2013-05-08
GJØA OLJERØR	Gaz de France Norge AS	2007-10-01	2009-01-01	30.000000	4480786	1628733	2013-05-08
GJØA OLJERØR	StatoilHydro Petroleum AS	2009-01-02	2009-11-01	20.000000	4480786	4511658	2013-05-08
GJØA OLJERØR	StatoilHydro ASA	2007-10-01	2009-01-01	20.000000	4480786	4511854	2013-05-08
GJØA OLJERØR	StatoilHydro ASA	2009-01-01	2009-01-02	20.000000	4480786	4511854	2013-05-08
GJØA OLJERØR	GDF SUEZ E&P Norge AS	2009-01-01	2009-01-02	30.000000	4480786	5267845	2013-05-08
GJØA OLJERØR	GDF SUEZ E&P Norge AS	2009-01-02	2009-11-01	30.000000	4480786	5267845	2013-05-08
GJØA OLJERØR	GDF SUEZ E&P Norge AS	2009-11-01	9999-12-31	30.000000	4480786	5267845	2013-05-08
GJØA OLJERØR	Statoil Petroleum AS	2009-11-01	9999-12-31	20.000000	4480786	17237817	2013-05-08
GUDRUN GASSRØR	Marathon Petroleum Norge AS	2010-09-20	2011-03-30	20.000000	18451081	463	2013-05-08
GUDRUN GASSRØR	GDF SUEZ E&P Norge AS	2010-09-20	2011-03-30	25.000000	18451081	5267845	2013-05-08
GUDRUN GASSRØR	GDF SUEZ E&P Norge AS	2011-03-30	9999-12-31	25.000000	18451081	5267845	2013-05-08
GUDRUN GASSRØR	Statoil Petroleum AS	2010-09-20	2011-03-30	55.000000	18451081	17237817	2013-05-08
GUDRUN GASSRØR	Statoil Petroleum AS	2011-03-30	9999-12-31	75.000000	18451081	17237817	2013-05-08
GUDRUN OLJERØR	Marathon Petroleum Norge AS	2010-09-20	2011-03-30	20.000000	18451101	463	2013-05-08
GUDRUN OLJERØR	GDF SUEZ E&P Norge AS	2010-09-20	2011-03-30	25.000000	18451101	5267845	2013-05-08
GUDRUN OLJERØR	GDF SUEZ E&P Norge AS	2011-03-30	9999-12-31	25.000000	18451101	5267845	2013-05-08
GUDRUN OLJERØR	Statoil Petroleum AS	2010-09-20	2011-03-30	55.000000	18451101	17237817	2013-05-08
GUDRUN OLJERØR	Statoil Petroleum AS	2011-03-30	9999-12-31	75.000000	18451101	17237817	2013-05-08
MARULK GASSRØR	Eni Norge AS	2010-09-20	9999-12-31	20.000000	18451118	2388594	2013-05-08
MARULK GASSRØR	DONG E&P Norge AS	2010-09-20	9999-12-31	30.000000	18451118	4070011	2013-05-08
MARULK GASSRØR	Statoil Petroleum AS	2010-09-20	9999-12-31	50.000000	18451118	17237817	2013-05-08
VALEMON GASSRØR	Petoro AS	2011-06-24	9999-12-31	30.000000	18451149	1626839	2013-05-08
VALEMON GASSRØR	Enterprise Oil Norge AS	2011-06-24	9999-12-31	3.225000	18451149	1853786	2013-05-08
VALEMON GASSRØR	Total E&P Norge AS	2011-06-24	9999-12-31	2.500000	18451149	2410708	2013-05-08
VALEMON GASSRØR	Statoil Petroleum AS	2011-06-24	9999-12-31	64.275000	18451149	17237817	2013-05-08
VALEMON KONDENSATRØR	Petoro AS	2011-06-24	9999-12-31	30.000000	18451188	1626839	2013-05-08
VALEMON KONDENSATRØR	Enterprise Oil Norge AS	2011-06-24	9999-12-31	3.225000	18451188	1853786	2013-05-08
VALEMON KONDENSATRØR	Total E&P Norge AS	2011-06-24	9999-12-31	2.500000	18451188	2410708	2013-05-08
VALEMON KONDENSATRØR	Statoil Petroleum AS	2011-06-24	9999-12-31	64.275000	18451188	17237817	2013-05-08
TYRIHANS RØRLEDNING	Norsk Hydro Produksjon AS	2006-02-23	2007-01-01	12.000000	21077988	430	2013-05-08
TYRIHANS RØRLEDNING	Mobil Development Norway AS	2006-02-23	2007-01-01	11.754900	21077988	474	2013-05-08
TYRIHANS RØRLEDNING	Mobil Development Norway AS	2007-01-01	2007-10-01	11.754900	21077988	474	2013-05-08
TYRIHANS RØRLEDNING	Mobil Development Norway AS	2007-10-01	2008-01-01	11.754900	21077988	474	2013-05-08
TYRIHANS RØRLEDNING	Mobil Development Norway AS	2008-01-01	2008-01-02	11.754900	21077988	474	2013-05-08
TYRIHANS RØRLEDNING	Statoil ASA (old)	2006-02-23	2007-01-01	46.835100	21077988	1622484	2013-05-08
TYRIHANS RØRLEDNING	Statoil ASA (old)	2007-01-01	2007-10-01	46.835100	21077988	1622484	2013-05-08
TYRIHANS RØRLEDNING	Eni Norge AS	2006-02-23	2007-01-01	6.229700	21077988	2388594	2013-05-08
TYRIHANS RØRLEDNING	Eni Norge AS	2007-01-01	2007-10-01	6.229700	21077988	2388594	2013-05-08
TYRIHANS RØRLEDNING	Eni Norge AS	2007-10-01	2008-01-01	6.229700	21077988	2388594	2013-05-08
TYRIHANS RØRLEDNING	Eni Norge AS	2008-01-01	2008-01-02	6.229700	21077988	2388594	2013-05-08
TYRIHANS RØRLEDNING	Eni Norge AS	2008-01-02	2009-01-01	6.229700	21077988	2388594	2013-05-08
TYRIHANS RØRLEDNING	Eni Norge AS	2009-01-01	2009-11-01	6.229700	21077988	2388594	2013-05-08
TYRIHANS RØRLEDNING	Eni Norge AS	2009-11-01	9999-12-31	6.229700	21077988	2388594	2013-05-08
TYRIHANS RØRLEDNING	Total E&P Norge AS	2006-02-23	2007-01-01	23.180300	21077988	2410708	2013-05-08
TYRIHANS RØRLEDNING	Total E&P Norge AS	2007-01-01	2007-10-01	23.180300	21077988	2410708	2013-05-08
TYRIHANS RØRLEDNING	Total E&P Norge AS	2007-10-01	2008-01-01	23.180300	21077988	2410708	2013-05-08
TYRIHANS RØRLEDNING	Total E&P Norge AS	2008-01-01	2008-01-02	23.180300	21077988	2410708	2013-05-08
TYRIHANS RØRLEDNING	Total E&P Norge AS	2008-01-02	2009-01-01	23.180300	21077988	2410708	2013-05-08
TYRIHANS RØRLEDNING	Total E&P Norge AS	2009-01-01	2009-11-01	23.180300	21077988	2410708	2013-05-08
TYRIHANS RØRLEDNING	Total E&P Norge AS	2009-11-01	9999-12-31	23.180300	21077988	2410708	2013-05-08
TYRIHANS RØRLEDNING	ExxonMobil Exploration & Production Norway AS	2008-01-02	2009-01-01	11.754900	21077988	2835212	2013-05-08
TYRIHANS RØRLEDNING	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-11-01	11.754900	21077988	2835212	2013-05-08
TYRIHANS RØRLEDNING	ExxonMobil Exploration & Production Norway AS	2009-11-01	9999-12-31	11.754900	21077988	2835212	2013-05-08
TYRIHANS RØRLEDNING	StatoilHydro Petroleum AS	2007-10-01	2008-01-01	12.000000	21077988	4511658	2013-05-08
TYRIHANS RØRLEDNING	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	58.835100	21077988	4511658	2013-05-08
TYRIHANS RØRLEDNING	StatoilHydro ASA	2007-10-01	2008-01-01	46.835100	21077988	4511854	2013-05-08
TYRIHANS RØRLEDNING	StatoilHydro ASA	2008-01-01	2008-01-02	58.835100	21077988	4511854	2013-05-08
TYRIHANS RØRLEDNING	StatoilHydro ASA	2008-01-02	2009-01-01	58.835100	21077988	4511854	2013-05-08
TYRIHANS RØRLEDNING	Norsk Hydro Petroleum AS	2007-01-01	2007-10-01	12.000000	21077988	4524355	2013-05-08
TYRIHANS RØRLEDNING	Statoil Petroleum AS	2009-11-01	9999-12-31	58.835100	21077988	17237817	2013-05-08
TYRIHANS GASSRØR	Norsk Hydro Produksjon AS	2006-02-23	2007-01-01	12.000000	21078065	430	2013-05-08
TYRIHANS GASSRØR	Mobil Development Norway AS	2006-02-23	2007-01-01	11.754900	21078065	474	2013-05-08
TYRIHANS GASSRØR	Mobil Development Norway AS	2007-01-01	2007-10-01	11.754900	21078065	474	2013-05-08
TYRIHANS GASSRØR	Mobil Development Norway AS	2007-10-01	2008-01-01	11.754900	21078065	474	2013-05-08
TYRIHANS GASSRØR	Mobil Development Norway AS	2008-01-01	2008-01-02	11.754900	21078065	474	2013-05-08
TYRIHANS GASSRØR	Statoil ASA (old)	2006-02-23	2007-01-01	46.835100	21078065	1622484	2013-05-08
TYRIHANS GASSRØR	Statoil ASA (old)	2007-01-01	2007-10-01	46.835100	21078065	1622484	2013-05-08
TYRIHANS GASSRØR	Eni Norge AS	2006-02-23	2007-01-01	6.229700	21078065	2388594	2013-05-08
TYRIHANS GASSRØR	Eni Norge AS	2007-01-01	2007-10-01	6.229700	21078065	2388594	2013-05-08
TYRIHANS GASSRØR	Eni Norge AS	2007-10-01	2008-01-01	6.229700	21078065	2388594	2013-05-08
TYRIHANS GASSRØR	Eni Norge AS	2008-01-01	2008-01-02	6.229700	21078065	2388594	2013-05-08
TYRIHANS GASSRØR	Eni Norge AS	2008-01-02	2009-01-01	6.229700	21078065	2388594	2013-05-08
TYRIHANS GASSRØR	Eni Norge AS	2009-01-01	2009-11-01	6.229700	21078065	2388594	2013-05-08
TYRIHANS GASSRØR	Eni Norge AS	2009-11-01	9999-12-31	6.229700	21078065	2388594	2013-05-08
TYRIHANS GASSRØR	Total E&P Norge AS	2006-02-23	2007-01-01	23.180300	21078065	2410708	2013-05-08
TYRIHANS GASSRØR	Total E&P Norge AS	2007-01-01	2007-10-01	23.180300	21078065	2410708	2013-05-08
TYRIHANS GASSRØR	Total E&P Norge AS	2007-10-01	2008-01-01	23.180300	21078065	2410708	2013-05-08
TYRIHANS GASSRØR	Total E&P Norge AS	2008-01-01	2008-01-02	23.180300	21078065	2410708	2013-05-08
TYRIHANS GASSRØR	Total E&P Norge AS	2008-01-02	2009-01-01	23.180300	21078065	2410708	2013-05-08
TYRIHANS GASSRØR	Total E&P Norge AS	2009-01-01	2009-11-01	23.180300	21078065	2410708	2013-05-08
TYRIHANS GASSRØR	Total E&P Norge AS	2009-11-01	9999-12-31	23.180300	21078065	2410708	2013-05-08
TYRIHANS GASSRØR	ExxonMobil Exploration & Production Norway AS	2008-01-02	2009-01-01	11.754900	21078065	2835212	2013-05-08
TYRIHANS GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-01-01	2009-11-01	11.754900	21078065	2835212	2013-05-08
TYRIHANS GASSRØR	ExxonMobil Exploration & Production Norway AS	2009-11-01	9999-12-31	11.754900	21078065	2835212	2013-05-08
TYRIHANS GASSRØR	StatoilHydro Petroleum AS	2007-10-01	2008-01-01	12.000000	21078065	4511658	2013-05-08
TYRIHANS GASSRØR	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	58.835100	21078065	4511658	2013-05-08
TYRIHANS GASSRØR	StatoilHydro ASA	2007-10-01	2008-01-01	46.835100	21078065	4511854	2013-05-08
TYRIHANS GASSRØR	StatoilHydro ASA	2008-01-01	2008-01-02	58.835100	21078065	4511854	2013-05-08
TYRIHANS GASSRØR	StatoilHydro ASA	2008-01-02	2009-01-01	58.835100	21078065	4511854	2013-05-08
TYRIHANS GASSRØR	Norsk Hydro Petroleum AS	2007-01-01	2007-10-01	12.000000	21078065	4524355	2013-05-08
TYRIHANS GASSRØR	Statoil Petroleum AS	2009-11-01	9999-12-31	58.835100	21078065	17237817	2013-05-08
ALVE RØRLEDNING	Statoil ASA (old)	2007-03-16	2007-10-01	75.000000	21078140	1622484	2013-05-08
ALVE RØRLEDNING	DONG E&P Norge AS	2007-03-16	2007-10-01	15.000000	21078140	4070011	2013-05-08
ALVE RØRLEDNING	DONG E&P Norge AS	2007-10-01	2008-01-01	15.000000	21078140	4070011	2013-05-08
ALVE RØRLEDNING	DONG E&P Norge AS	2008-01-01	2009-01-01	15.000000	21078140	4070011	2013-05-08
ALVE RØRLEDNING	DONG E&P Norge AS	2009-01-01	2009-11-01	15.000000	21078140	4070011	2013-05-08
ALVE RØRLEDNING	DONG E&P Norge AS	2009-11-01	9999-12-31	15.000000	21078140	4070011	2013-05-08
ALVE RØRLEDNING	StatoilHydro Petroleum AS	2007-10-01	2008-01-01	10.000000	21078140	4511658	2013-05-08
ALVE RØRLEDNING	StatoilHydro Petroleum AS	2009-01-01	2009-11-01	85.000000	21078140	4511658	2013-05-08
ALVE RØRLEDNING	StatoilHydro ASA	2007-10-01	2008-01-01	75.000000	21078140	4511854	2013-05-08
ALVE RØRLEDNING	StatoilHydro ASA	2008-01-01	2009-01-01	85.000000	21078140	4511854	2013-05-08
ALVE RØRLEDNING	Norsk Hydro Petroleum AS	2007-03-16	2007-10-01	10.000000	21078140	4524355	2013-05-08
ALVE RØRLEDNING	Statoil Petroleum AS	2009-11-01	9999-12-31	85.000000	21078140	17237817	2013-05-08
VOLUND RØRLEDNING	Marathon Petroleum Norge AS	2007-01-18	2011-07-04	65.000000	21078212	463	2013-05-08
VOLUND RØRLEDNING	Lundin Norway AS	2007-01-18	2011-07-04	35.000000	21078212	2767314	2013-05-08
VOLUND RØRLEDNING	Lundin Norway AS	2011-07-04	9999-12-31	35.000000	21078212	2767314	2013-05-08
VOLUND RØRLEDNING	Marathon Oil Norge AS	2011-07-04	9999-12-31	65.000000	21078212	20485291	2013-05-08
ALVHEIM RIKGASSRØR	Marathon Petroleum Norge AS	2004-12-07	2007-01-01	65.000000	21078235	463	2013-05-08
ALVHEIM RIKGASSRØR	Marathon Petroleum Norge AS	2007-01-01	2011-07-04	65.000000	21078235	463	2013-05-08
ALVHEIM RIKGASSRØR	Norske ConocoPhillips AS	2004-12-07	2007-01-01	20.000000	21078235	2399056	2013-05-08
ALVHEIM RIKGASSRØR	ConocoPhillips Skandinavia AS	2007-01-01	2011-07-04	20.000000	21078235	2410696	2013-05-08
ALVHEIM RIKGASSRØR	ConocoPhillips Skandinavia AS	2011-07-04	9999-12-31	20.000000	21078235	2410696	2013-05-08
ALVHEIM RIKGASSRØR	Lundin Norway AS	2004-12-07	2007-01-01	15.000000	21078235	2767314	2013-05-08
ALVHEIM RIKGASSRØR	Lundin Norway AS	2007-01-01	2011-07-04	15.000000	21078235	2767314	2013-05-08
ALVHEIM RIKGASSRØR	Lundin Norway AS	2011-07-04	9999-12-31	15.000000	21078235	2767314	2013-05-08
ALVHEIM RIKGASSRØR	Marathon Oil Norge AS	2011-07-04	9999-12-31	65.000000	21078235	20485291	2013-05-08
VARG GASSEKSPORT	Petoro AS	2013-04-12	9999-12-31	30.000000	23296683	1626839	2013-05-08
VARG GASSEKSPORT	Talisman Energy Norge AS	2013-04-12	9999-12-31	65.000000	23296683	2425093	2013-05-08
VARG GASSEKSPORT	Det norske oljeselskap ASA	2013-04-12	9999-12-31	5.000000	23296683	17342870	2013-05-08
\.



COPY tuf_petreg_licence (ptlname, tufname, ptldatevalidfrom, ptldatevalidto, tufnpdidtuf, ptldateupdated, ptldateupdatedmax, datesyncnpd) FROM stdin;
STATPIPE	STATPIPE	1981-06-10	2028-12-31	123940	9999-12-31	2013-05-08	2013-05-08
NORPIPE OIL AS	NORPIPE OLJELEDNING	1973-05-04	2028-12-31	124133	9999-12-31	2013-05-08	2013-05-08
NORPIPE GASSRØR	NORPIPE GASSLEDNING	1977-10-01	2028-12-31	124165	9999-12-31	2013-05-08	2013-05-08
OSEBERG GASSTRANSPORT	OSEBERG GASSTRANSPORT	1999-01-15	2028-12-31	124170	9999-12-31	2013-05-08	2013-05-08
FRANPIPE	FRANPIPE	1995-08-15	2028-12-31	124202	9999-12-31	2013-05-08	2013-05-08
ÅSGARD TRANSPORT	ÅSGARD TRANSPORT	1996-06-14	2028-12-31	124211	9999-12-31	2013-05-08	2013-05-08
ZEEPIPE	ZEEPIPE	1988-06-21	2028-12-31	124227	9999-12-31	2013-05-08	2013-05-08
ZEEPIPE FASE II-A	ZEEPIPE IIA	1992-07-03	2028-12-31	124244	9999-12-31	2013-05-08	2013-05-08
ZEEPIPE FASE II-B	ZEEPIPE IIB	1995-01-27	2028-12-31	124253	9999-12-31	2013-05-08	2013-05-08
EUROPIPE	EUROPIPE I	1992-12-11	2028-12-31	124262	9999-12-31	2013-05-08	2013-05-08
VESTERLED	VESTERLED	2000-10-13	2028-12-31	124280	9999-12-31	2013-05-08	2013-05-08
ULA	ULA OLJETRANSPORT	1984-10-30	2028-12-31	124285	9999-12-31	2013-05-08	2013-05-08
HALTENPIPE	HALTENPIPE	1992-03-09	2028-12-31	124293	9999-12-31	2013-05-08	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	OSEBERG TRANSPORTSYSTEM	1984-11-28	2028-12-31	124301	9999-12-31	2013-05-08	2013-05-08
SLEIPNER ØST KONDENSAT	SLEIPNER KONDENSATRØR	1989-12-21	2028-12-31	124340	9999-12-31	2013-05-08	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	KOLLSNES GASSANLEGG	2002-11-19	2028-12-31	124354	9999-12-31	2013-05-08	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	KVITEBJØRN OLJERØR	2005-08-02	2020-12-31	917586	9999-12-31	2013-05-08	2013-05-08
NORNE GASSTRANSPORTSYSTEM	NORNE GASSTRANSPORT	2001-02-05	2020-12-31	1035984	9999-12-31	2013-05-08	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	KVITEBJØRN GASSRØR	2004-10-01	2028-12-31	2417249	9999-12-31	2013-05-08	2013-05-08
LANGELED	LANGELED	2004-04-02	2035-12-31	2450169	9999-12-31	2013-05-08	2013-05-08
EUROPIPE II	EUROPIPE II	1996-12-16	2028-12-31	2454909	9999-12-31	2013-05-08	2013-05-08
TAMPEN LINK	TAMPEN LINK	2005-04-22	2032-09-30	3113815	9999-12-31	2013-05-08	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	KÅRSTØ GASSANLEGG	2001-06-15	2028-12-31	3471786	9999-12-31	2013-05-08	2013-05-08
GJØA GAS PIPELINE	GJØA GASSRØR	2010-07-04	2028-12-31	4480765	9999-12-31	2013-05-08	2013-05-08
\.



COPY tuf_petreg_licence_licencee (ptlname, cmplongname, ptllicenseeinterest, tufname, tufnpdidtuf, cmpnpdidcompany, ptllicenseedateupdated, datesyncnpd) FROM stdin;
STATPIPE	RWE Dea Norge AS	0.081000	STATPIPE	123940	97557	9999-12-31	2013-05-08
STATPIPE	Norsea Gas AS	2.261000	STATPIPE	123940	1025067	9999-12-31	2013-05-08
STATPIPE	Petoro AS	45.793000	STATPIPE	123940	1626839	9999-12-31	2013-05-08
STATPIPE	ConocoPhillips Skandinavia AS	1.678000	STATPIPE	123940	2410696	9999-12-31	2013-05-08
STATPIPE	DONG E&P Norge AS	0.983000	STATPIPE	123940	4070011	9999-12-31	2013-05-08
STATPIPE	GDF SUEZ E&P Norge AS	0.304000	STATPIPE	123940	5267845	9999-12-31	2013-05-08
STATPIPE	Statoil Petroleum AS	5.000000	STATPIPE	123940	17237817	9999-12-31	2013-05-08
STATPIPE	Njord Gas Infrastructure AS	8.036000	STATPIPE	123940	20440816	9999-12-31	2013-05-08
STATPIPE	Infragas Norge AS	5.006000	STATPIPE	123940	21139140	9999-12-31	2013-05-08
STATPIPE	Solveig Gas Norway AS	24.756000	STATPIPE	123940	21139652	9999-12-31	2013-05-08
STATPIPE	Silex Gas Norway AS	6.102000	STATPIPE	123940	21139663	9999-12-31	2013-05-08
NORPIPE OIL AS	Norsk Agip  AS	6.520000	NORPIPE OLJELEDNING	124133	45	9999-12-31	2013-05-08
NORPIPE OIL AS	Elf Petroleum Norge AS	4.050000	NORPIPE OLJELEDNING	124133	298	9999-12-31	2013-05-08
NORPIPE OIL AS	Elf Rex Norge AS	0.420000	NORPIPE OLJELEDNING	124133	320	9999-12-31	2013-05-08
NORPIPE OIL AS	Fina Production Licenses AS	28.440000	NORPIPE OLJELEDNING	124133	386	9999-12-31	2013-05-08
NORPIPE OIL AS	Norsk Hydro Produksjon AS	3.350000	NORPIPE OLJELEDNING	124133	430	9999-12-31	2013-05-08
NORPIPE OIL AS	Phillips Petroleum Company Norway	35.050000	NORPIPE OLJELEDNING	124133	694	9999-12-31	2013-05-08
NORPIPE OIL AS	Saga Petroleum ASA	0.150000	NORPIPE OLJELEDNING	124133	716	9999-12-31	2013-05-08
NORPIPE OIL AS	Total Norge AS	2.020000	NORPIPE OLJELEDNING	124133	848	9999-12-31	2013-05-08
NORPIPE OIL AS	Statoil ASA (old)	20.000000	NORPIPE OLJELEDNING	124133	1622484	9999-12-31	2013-05-08
NORPIPE GASSRØR	RWE Dea Norge AS	0.081000	NORPIPE GASSLEDNING	124165	97557	9999-12-31	2013-05-08
NORPIPE GASSRØR	Norsea Gas AS	2.261000	NORPIPE GASSLEDNING	124165	1025067	9999-12-31	2013-05-08
NORPIPE GASSRØR	Petoro AS	45.793000	NORPIPE GASSLEDNING	124165	1626839	9999-12-31	2013-05-08
NORPIPE GASSRØR	ConocoPhillips Skandinavia AS	1.678000	NORPIPE GASSLEDNING	124165	2410696	9999-12-31	2013-05-08
NORPIPE GASSRØR	DONG E&P Norge AS	0.983000	NORPIPE GASSLEDNING	124165	4070011	9999-12-31	2013-05-08
NORPIPE GASSRØR	GDF SUEZ E&P Norge AS	0.304000	NORPIPE GASSLEDNING	124165	5267845	9999-12-31	2013-05-08
NORPIPE GASSRØR	Statoil Petroleum AS	5.000000	NORPIPE GASSLEDNING	124165	17237817	9999-12-31	2013-05-08
NORPIPE GASSRØR	Njord Gas Infrastructure AS	8.036000	NORPIPE GASSLEDNING	124165	20440816	9999-12-31	2013-05-08
NORPIPE GASSRØR	Infragas Norge AS	5.006000	NORPIPE GASSLEDNING	124165	21139140	9999-12-31	2013-05-08
NORPIPE GASSRØR	Solveig Gas Norway AS	24.756000	NORPIPE GASSLEDNING	124165	21139652	9999-12-31	2013-05-08
NORPIPE GASSRØR	Silex Gas Norway AS	6.102000	NORPIPE GASSLEDNING	124165	21139663	9999-12-31	2013-05-08
OSEBERG GASSTRANSPORT	RWE Dea Norge AS	0.081000	OSEBERG GASSTRANSPORT	124170	97557	9999-12-31	2013-05-08
OSEBERG GASSTRANSPORT	Norsea Gas AS	2.261000	OSEBERG GASSTRANSPORT	124170	1025067	9999-12-31	2013-05-08
OSEBERG GASSTRANSPORT	Petoro AS	45.793000	OSEBERG GASSTRANSPORT	124170	1626839	9999-12-31	2013-05-08
OSEBERG GASSTRANSPORT	ConocoPhillips Skandinavia AS	1.678000	OSEBERG GASSTRANSPORT	124170	2410696	9999-12-31	2013-05-08
OSEBERG GASSTRANSPORT	DONG E&P Norge AS	0.983000	OSEBERG GASSTRANSPORT	124170	4070011	9999-12-31	2013-05-08
OSEBERG GASSTRANSPORT	GDF SUEZ E&P Norge AS	0.304000	OSEBERG GASSTRANSPORT	124170	5267845	9999-12-31	2013-05-08
OSEBERG GASSTRANSPORT	Statoil Petroleum AS	5.000000	OSEBERG GASSTRANSPORT	124170	17237817	9999-12-31	2013-05-08
OSEBERG GASSTRANSPORT	Njord Gas Infrastructure AS	8.036000	OSEBERG GASSTRANSPORT	124170	20440816	9999-12-31	2013-05-08
OSEBERG GASSTRANSPORT	Infragas Norge AS	5.006000	OSEBERG GASSTRANSPORT	124170	21139140	9999-12-31	2013-05-08
OSEBERG GASSTRANSPORT	Solveig Gas Norway AS	24.756000	OSEBERG GASSTRANSPORT	124170	21139652	9999-12-31	2013-05-08
OSEBERG GASSTRANSPORT	Silex Gas Norway AS	6.102000	OSEBERG GASSTRANSPORT	124170	21139663	9999-12-31	2013-05-08
FRANPIPE	RWE Dea Norge AS	0.081000	FRANPIPE	124202	97557	9999-12-31	2013-05-08
FRANPIPE	Norsea Gas AS	2.261000	FRANPIPE	124202	1025067	9999-12-31	2013-05-08
FRANPIPE	Petoro AS	45.793000	FRANPIPE	124202	1626839	9999-12-31	2013-05-08
FRANPIPE	ConocoPhillips Skandinavia AS	1.678000	FRANPIPE	124202	2410696	9999-12-31	2013-05-08
FRANPIPE	DONG E&P Norge AS	0.983000	FRANPIPE	124202	4070011	9999-12-31	2013-05-08
FRANPIPE	GDF SUEZ E&P Norge AS	0.304000	FRANPIPE	124202	5267845	9999-12-31	2013-05-08
FRANPIPE	Statoil Petroleum AS	5.000000	FRANPIPE	124202	17237817	9999-12-31	2013-05-08
FRANPIPE	Njord Gas Infrastructure AS	8.036000	FRANPIPE	124202	20440816	9999-12-31	2013-05-08
FRANPIPE	Infragas Norge AS	5.006000	FRANPIPE	124202	21139140	9999-12-31	2013-05-08
FRANPIPE	Solveig Gas Norway AS	24.756000	FRANPIPE	124202	21139652	9999-12-31	2013-05-08
FRANPIPE	Silex Gas Norway AS	6.102000	FRANPIPE	124202	21139663	9999-12-31	2013-05-08
ÅSGARD TRANSPORT	RWE Dea Norge AS	0.081000	ÅSGARD TRANSPORT	124211	97557	9999-12-31	2013-05-08
ÅSGARD TRANSPORT	Norsea Gas AS	2.261000	ÅSGARD TRANSPORT	124211	1025067	9999-12-31	2013-05-08
ÅSGARD TRANSPORT	Petoro AS	45.793000	ÅSGARD TRANSPORT	124211	1626839	9999-12-31	2013-05-08
ÅSGARD TRANSPORT	ConocoPhillips Skandinavia AS	1.678000	ÅSGARD TRANSPORT	124211	2410696	9999-12-31	2013-05-08
ÅSGARD TRANSPORT	DONG E&P Norge AS	0.983000	ÅSGARD TRANSPORT	124211	4070011	9999-12-31	2013-05-08
ÅSGARD TRANSPORT	GDF SUEZ E&P Norge AS	0.304000	ÅSGARD TRANSPORT	124211	5267845	9999-12-31	2013-05-08
ÅSGARD TRANSPORT	Statoil Petroleum AS	5.000000	ÅSGARD TRANSPORT	124211	17237817	9999-12-31	2013-05-08
ÅSGARD TRANSPORT	Njord Gas Infrastructure AS	8.036000	ÅSGARD TRANSPORT	124211	20440816	9999-12-31	2013-05-08
ÅSGARD TRANSPORT	Infragas Norge AS	5.006000	ÅSGARD TRANSPORT	124211	21139140	9999-12-31	2013-05-08
ÅSGARD TRANSPORT	Solveig Gas Norway AS	24.756000	ÅSGARD TRANSPORT	124211	21139652	9999-12-31	2013-05-08
ÅSGARD TRANSPORT	Silex Gas Norway AS	6.102000	ÅSGARD TRANSPORT	124211	21139663	9999-12-31	2013-05-08
ZEEPIPE	RWE Dea Norge AS	0.081000	ZEEPIPE	124227	97557	9999-12-31	2013-05-08
ZEEPIPE	Norsea Gas AS	2.261000	ZEEPIPE	124227	1025067	9999-12-31	2013-05-08
ZEEPIPE	Petoro AS	45.793000	ZEEPIPE	124227	1626839	9999-12-31	2013-05-08
ZEEPIPE	ConocoPhillips Skandinavia AS	1.678000	ZEEPIPE	124227	2410696	9999-12-31	2013-05-08
ZEEPIPE	DONG E&P Norge AS	0.983000	ZEEPIPE	124227	4070011	9999-12-31	2013-05-08
ZEEPIPE	GDF SUEZ E&P Norge AS	0.304000	ZEEPIPE	124227	5267845	9999-12-31	2013-05-08
ZEEPIPE	Statoil Petroleum AS	5.000000	ZEEPIPE	124227	17237817	9999-12-31	2013-05-08
ZEEPIPE	Njord Gas Infrastructure AS	8.036000	ZEEPIPE	124227	20440816	9999-12-31	2013-05-08
ZEEPIPE	Infragas Norge AS	5.006000	ZEEPIPE	124227	21139140	9999-12-31	2013-05-08
ZEEPIPE	Solveig Gas Norway AS	24.756000	ZEEPIPE	124227	21139652	9999-12-31	2013-05-08
ZEEPIPE	Silex Gas Norway AS	6.102000	ZEEPIPE	124227	21139663	9999-12-31	2013-05-08
ZEEPIPE FASE II-A	RWE Dea Norge AS	0.081000	ZEEPIPE IIA	124244	97557	9999-12-31	2013-05-08
ZEEPIPE FASE II-A	Norsea Gas AS	2.261000	ZEEPIPE IIA	124244	1025067	9999-12-31	2013-05-08
ZEEPIPE FASE II-A	Petoro AS	45.793000	ZEEPIPE IIA	124244	1626839	9999-12-31	2013-05-08
ZEEPIPE FASE II-A	ConocoPhillips Skandinavia AS	1.678000	ZEEPIPE IIA	124244	2410696	9999-12-31	2013-05-08
ZEEPIPE FASE II-A	DONG E&P Norge AS	0.983000	ZEEPIPE IIA	124244	4070011	9999-12-31	2013-05-08
ZEEPIPE FASE II-A	GDF SUEZ E&P Norge AS	0.304000	ZEEPIPE IIA	124244	5267845	9999-12-31	2013-05-08
ZEEPIPE FASE II-A	Statoil Petroleum AS	5.000000	ZEEPIPE IIA	124244	17237817	9999-12-31	2013-05-08
ZEEPIPE FASE II-A	Njord Gas Infrastructure AS	8.036000	ZEEPIPE IIA	124244	20440816	9999-12-31	2013-05-08
ZEEPIPE FASE II-A	Infragas Norge AS	5.006000	ZEEPIPE IIA	124244	21139140	9999-12-31	2013-05-08
ZEEPIPE FASE II-A	Solveig Gas Norway AS	24.756000	ZEEPIPE IIA	124244	21139652	9999-12-31	2013-05-08
ZEEPIPE FASE II-A	Silex Gas Norway AS	6.102000	ZEEPIPE IIA	124244	21139663	9999-12-31	2013-05-08
ZEEPIPE FASE II-B	RWE Dea Norge AS	0.081000	ZEEPIPE IIB	124253	97557	9999-12-31	2013-05-08
ZEEPIPE FASE II-B	Norsea Gas AS	2.261000	ZEEPIPE IIB	124253	1025067	9999-12-31	2013-05-08
ZEEPIPE FASE II-B	Petoro AS	45.793000	ZEEPIPE IIB	124253	1626839	9999-12-31	2013-05-08
ZEEPIPE FASE II-B	ConocoPhillips Skandinavia AS	1.678000	ZEEPIPE IIB	124253	2410696	9999-12-31	2013-05-08
ZEEPIPE FASE II-B	DONG E&P Norge AS	0.983000	ZEEPIPE IIB	124253	4070011	9999-12-31	2013-05-08
ZEEPIPE FASE II-B	GDF SUEZ E&P Norge AS	0.304000	ZEEPIPE IIB	124253	5267845	9999-12-31	2013-05-08
ZEEPIPE FASE II-B	Statoil Petroleum AS	5.000000	ZEEPIPE IIB	124253	17237817	9999-12-31	2013-05-08
ZEEPIPE FASE II-B	Njord Gas Infrastructure AS	8.036000	ZEEPIPE IIB	124253	20440816	9999-12-31	2013-05-08
ZEEPIPE FASE II-B	Infragas Norge AS	5.006000	ZEEPIPE IIB	124253	21139140	9999-12-31	2013-05-08
ZEEPIPE FASE II-B	Solveig Gas Norway AS	24.756000	ZEEPIPE IIB	124253	21139652	9999-12-31	2013-05-08
ZEEPIPE FASE II-B	Silex Gas Norway AS	6.102000	ZEEPIPE IIB	124253	21139663	9999-12-31	2013-05-08
EUROPIPE	RWE Dea Norge AS	0.081000	EUROPIPE I	124262	97557	9999-12-31	2013-05-08
EUROPIPE	Norsea Gas AS	2.261000	EUROPIPE I	124262	1025067	9999-12-31	2013-05-08
EUROPIPE	Petoro AS	45.793000	EUROPIPE I	124262	1626839	9999-12-31	2013-05-08
EUROPIPE	ConocoPhillips Skandinavia AS	1.678000	EUROPIPE I	124262	2410696	9999-12-31	2013-05-08
EUROPIPE	DONG E&P Norge AS	0.983000	EUROPIPE I	124262	4070011	9999-12-31	2013-05-08
EUROPIPE	GDF SUEZ E&P Norge AS	0.304000	EUROPIPE I	124262	5267845	9999-12-31	2013-05-08
EUROPIPE	Statoil Petroleum AS	5.000000	EUROPIPE I	124262	17237817	9999-12-31	2013-05-08
EUROPIPE	Njord Gas Infrastructure AS	8.036000	EUROPIPE I	124262	20440816	9999-12-31	2013-05-08
EUROPIPE	Infragas Norge AS	5.006000	EUROPIPE I	124262	21139140	9999-12-31	2013-05-08
EUROPIPE	Solveig Gas Norway AS	24.756000	EUROPIPE I	124262	21139652	9999-12-31	2013-05-08
EUROPIPE	Silex Gas Norway AS	6.102000	EUROPIPE I	124262	21139663	9999-12-31	2013-05-08
VESTERLED	RWE Dea Norge AS	0.081000	VESTERLED	124280	97557	9999-12-31	2013-05-08
VESTERLED	Norsea Gas AS	2.261000	VESTERLED	124280	1025067	9999-12-31	2013-05-08
VESTERLED	Petoro AS	45.793000	VESTERLED	124280	1626839	9999-12-31	2013-05-08
VESTERLED	ConocoPhillips Skandinavia AS	1.678000	VESTERLED	124280	2410696	9999-12-31	2013-05-08
VESTERLED	DONG E&P Norge AS	0.983000	VESTERLED	124280	4070011	9999-12-31	2013-05-08
VESTERLED	GDF SUEZ E&P Norge AS	0.304000	VESTERLED	124280	5267845	9999-12-31	2013-05-08
VESTERLED	Statoil Petroleum AS	5.000000	VESTERLED	124280	17237817	9999-12-31	2013-05-08
VESTERLED	Njord Gas Infrastructure AS	8.036000	VESTERLED	124280	20440816	9999-12-31	2013-05-08
VESTERLED	Infragas Norge AS	5.006000	VESTERLED	124280	21139140	9999-12-31	2013-05-08
VESTERLED	Solveig Gas Norway AS	24.756000	VESTERLED	124280	21139652	9999-12-31	2013-05-08
VESTERLED	Silex Gas Norway AS	6.102000	VESTERLED	124280	21139663	9999-12-31	2013-05-08
ULA	BP Petroleum Dev. of Norway AS	57.500000	ULA OLJETRANSPORT	124285	155	9999-12-31	2013-05-08
ULA	Norske Conoco A/S	10.000000	ULA OLJETRANSPORT	124285	221	9999-12-31	2013-05-08
ULA	Pelican AS	5.000000	ULA OLJETRANSPORT	124285	606	9999-12-31	2013-05-08
ULA	Svenska Petroleum Exploration AS	15.000000	ULA OLJETRANSPORT	124285	738	9999-12-31	2013-05-08
ULA	Statoil ASA (old)	12.500000	ULA OLJETRANSPORT	124285	1622484	9999-12-31	2013-05-08
HALTENPIPE	Petoro AS	57.812490	HALTENPIPE	124293	1626839	9999-12-31	2013-05-08
HALTENPIPE	Eni Norge AS	5.000000	HALTENPIPE	124293	2388594	9999-12-31	2013-05-08
HALTENPIPE	Norske ConocoPhillips AS	18.125000	HALTENPIPE	124293	2399056	9999-12-31	2013-05-08
HALTENPIPE	Statoil ASA	19.062520	HALTENPIPE	124293	17237803	9999-12-31	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	Petoro AS	48.383790	OSEBERG TRANSPORTSYSTEM	124301	1626839	9999-12-31	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	ConocoPhillips Skandinavia AS	2.400000	OSEBERG TRANSPORTSYSTEM	124301	2410696	9999-12-31	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	Total E&P Norge AS	12.981590	OSEBERG TRANSPORTSYSTEM	124301	2410708	9999-12-31	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	Statoil Petroleum AS	36.234620	OSEBERG TRANSPORTSYSTEM	124301	17237817	9999-12-31	2013-05-08
SLEIPNER ØST KONDENSAT	Elf Petroleum Norge AS	9.000000	SLEIPNER KONDENSATRØR	124340	298	9999-12-31	2013-05-08
SLEIPNER ØST KONDENSAT	Esso Exploration and Production Norway A/S	30.400000	SLEIPNER KONDENSATRØR	124340	353	9999-12-31	2013-05-08
SLEIPNER ØST KONDENSAT	Norsk Hydro Produksjon AS	10.000000	SLEIPNER KONDENSATRØR	124340	430	9999-12-31	2013-05-08
SLEIPNER ØST KONDENSAT	Total Norge AS	1.000000	SLEIPNER KONDENSATRØR	124340	848	9999-12-31	2013-05-08
SLEIPNER ØST KONDENSAT	Statoil ASA (old)	49.600000	SLEIPNER KONDENSATRØR	124340	1622484	9999-12-31	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	RWE Dea Norge AS	0.081000	KOLLSNES GASSANLEGG	124354	97557	9999-12-31	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	Norsea Gas AS	2.261000	KOLLSNES GASSANLEGG	124354	1025067	9999-12-31	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	Petoro AS	45.793000	KOLLSNES GASSANLEGG	124354	1626839	9999-12-31	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	ConocoPhillips Skandinavia AS	1.678000	KOLLSNES GASSANLEGG	124354	2410696	9999-12-31	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	DONG E&P Norge AS	0.983000	KOLLSNES GASSANLEGG	124354	4070011	9999-12-31	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	GDF SUEZ E&P Norge AS	0.304000	KOLLSNES GASSANLEGG	124354	5267845	9999-12-31	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	Statoil Petroleum AS	5.000000	KOLLSNES GASSANLEGG	124354	17237817	9999-12-31	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	Njord Gas Infrastructure AS	8.036000	KOLLSNES GASSANLEGG	124354	20440816	9999-12-31	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	Infragas Norge AS	5.006000	KOLLSNES GASSANLEGG	124354	21139140	9999-12-31	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	Solveig Gas Norway AS	24.756000	KOLLSNES GASSANLEGG	124354	21139652	9999-12-31	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	Silex Gas Norway AS	6.102000	KOLLSNES GASSANLEGG	124354	21139663	9999-12-31	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	Petoro AS	30.000000	KVITEBJØRN OLJERØR	917586	1626839	9999-12-31	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	Enterprise Oil Norge AS	6.450000	KVITEBJØRN OLJERØR	917586	1853786	9999-12-31	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	Total E&P Norge AS	5.000000	KVITEBJØRN OLJERØR	917586	2410708	9999-12-31	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	Centrica Resources (Norge) AS	19.000000	KVITEBJØRN OLJERØR	917586	4238233	9999-12-31	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	Statoil Petroleum AS	39.550000	KVITEBJØRN OLJERØR	917586	17237817	9999-12-31	2013-05-08
NORNE GASSTRANSPORTSYSTEM	RWE Dea Norge AS	0.081000	NORNE GASSTRANSPORT	1035984	97557	9999-12-31	2013-05-08
NORNE GASSTRANSPORTSYSTEM	Norsea Gas AS	2.261000	NORNE GASSTRANSPORT	1035984	1025067	9999-12-31	2013-05-08
NORNE GASSTRANSPORTSYSTEM	Petoro AS	45.793000	NORNE GASSTRANSPORT	1035984	1626839	9999-12-31	2013-05-08
NORNE GASSTRANSPORTSYSTEM	ConocoPhillips Skandinavia AS	1.678000	NORNE GASSTRANSPORT	1035984	2410696	9999-12-31	2013-05-08
NORNE GASSTRANSPORTSYSTEM	DONG E&P Norge AS	0.983000	NORNE GASSTRANSPORT	1035984	4070011	9999-12-31	2013-05-08
NORNE GASSTRANSPORTSYSTEM	GDF SUEZ E&P Norge AS	0.304000	NORNE GASSTRANSPORT	1035984	5267845	9999-12-31	2013-05-08
NORNE GASSTRANSPORTSYSTEM	Statoil Petroleum AS	5.000000	NORNE GASSTRANSPORT	1035984	17237817	9999-12-31	2013-05-08
NORNE GASSTRANSPORTSYSTEM	Njord Gas Infrastructure AS	8.036000	NORNE GASSTRANSPORT	1035984	20440816	9999-12-31	2013-05-08
NORNE GASSTRANSPORTSYSTEM	Infragas Norge AS	5.006000	NORNE GASSTRANSPORT	1035984	21139140	9999-12-31	2013-05-08
NORNE GASSTRANSPORTSYSTEM	Solveig Gas Norway AS	24.756000	NORNE GASSTRANSPORT	1035984	21139652	9999-12-31	2013-05-08
NORNE GASSTRANSPORTSYSTEM	Silex Gas Norway AS	6.102000	NORNE GASSTRANSPORT	1035984	21139663	9999-12-31	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	RWE Dea Norge AS	0.081000	KVITEBJØRN GASSRØR	2417249	97557	9999-12-31	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	Norsea Gas AS	2.261000	KVITEBJØRN GASSRØR	2417249	1025067	9999-12-31	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	Petoro AS	45.793000	KVITEBJØRN GASSRØR	2417249	1626839	9999-12-31	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	ConocoPhillips Skandinavia AS	1.678000	KVITEBJØRN GASSRØR	2417249	2410696	9999-12-31	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	DONG E&P Norge AS	0.983000	KVITEBJØRN GASSRØR	2417249	4070011	9999-12-31	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	GDF SUEZ E&P Norge AS	0.304000	KVITEBJØRN GASSRØR	2417249	5267845	9999-12-31	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	Statoil Petroleum AS	5.000000	KVITEBJØRN GASSRØR	2417249	17237817	9999-12-31	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	Njord Gas Infrastructure AS	8.036000	KVITEBJØRN GASSRØR	2417249	20440816	9999-12-31	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	Infragas Norge AS	5.006000	KVITEBJØRN GASSRØR	2417249	21139140	9999-12-31	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	Solveig Gas Norway AS	24.756000	KVITEBJØRN GASSRØR	2417249	21139652	9999-12-31	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	Silex Gas Norway AS	6.102000	KVITEBJØRN GASSRØR	2417249	21139663	9999-12-31	2013-05-08
LANGELED	RWE Dea Norge AS	0.081000	LANGELED	2450169	97557	9999-12-31	2013-05-08
LANGELED	Norsea Gas AS	2.261000	LANGELED	2450169	1025067	9999-12-31	2013-05-08
LANGELED	Petoro AS	45.793000	LANGELED	2450169	1626839	9999-12-31	2013-05-08
LANGELED	ConocoPhillips Skandinavia AS	1.678000	LANGELED	2450169	2410696	9999-12-31	2013-05-08
LANGELED	DONG E&P Norge AS	0.983000	LANGELED	2450169	4070011	9999-12-31	2013-05-08
LANGELED	GDF SUEZ E&P Norge AS	0.304000	LANGELED	2450169	5267845	9999-12-31	2013-05-08
LANGELED	Statoil Petroleum AS	5.000000	LANGELED	2450169	17237817	9999-12-31	2013-05-08
LANGELED	Njord Gas Infrastructure AS	8.036000	LANGELED	2450169	20440816	9999-12-31	2013-05-08
LANGELED	Infragas Norge AS	5.006000	LANGELED	2450169	21139140	9999-12-31	2013-05-08
LANGELED	Solveig Gas Norway AS	24.756000	LANGELED	2450169	21139652	9999-12-31	2013-05-08
LANGELED	Silex Gas Norway AS	6.102000	LANGELED	2450169	21139663	9999-12-31	2013-05-08
EUROPIPE II	RWE Dea Norge AS	0.081000	EUROPIPE II	2454909	97557	9999-12-31	2013-05-08
EUROPIPE II	Norsea Gas AS	2.261000	EUROPIPE II	2454909	1025067	9999-12-31	2013-05-08
EUROPIPE II	Petoro AS	45.793000	EUROPIPE II	2454909	1626839	9999-12-31	2013-05-08
EUROPIPE II	ConocoPhillips Skandinavia AS	1.678000	EUROPIPE II	2454909	2410696	9999-12-31	2013-05-08
EUROPIPE II	DONG E&P Norge AS	0.983000	EUROPIPE II	2454909	4070011	9999-12-31	2013-05-08
EUROPIPE II	GDF SUEZ E&P Norge AS	0.304000	EUROPIPE II	2454909	5267845	9999-12-31	2013-05-08
EUROPIPE II	Statoil Petroleum AS	5.000000	EUROPIPE II	2454909	17237817	9999-12-31	2013-05-08
EUROPIPE II	Njord Gas Infrastructure AS	8.036000	EUROPIPE II	2454909	20440816	9999-12-31	2013-05-08
EUROPIPE II	Infragas Norge AS	5.006000	EUROPIPE II	2454909	21139140	9999-12-31	2013-05-08
EUROPIPE II	Solveig Gas Norway AS	24.756000	EUROPIPE II	2454909	21139652	9999-12-31	2013-05-08
EUROPIPE II	Silex Gas Norway AS	6.102000	EUROPIPE II	2454909	21139663	9999-12-31	2013-05-08
TAMPEN LINK	RWE Dea Norge AS	0.081000	TAMPEN LINK	3113815	97557	9999-12-31	2013-05-08
TAMPEN LINK	Norsea Gas AS	2.261000	TAMPEN LINK	3113815	1025067	9999-12-31	2013-05-08
TAMPEN LINK	Petoro AS	45.793000	TAMPEN LINK	3113815	1626839	9999-12-31	2013-05-08
TAMPEN LINK	ConocoPhillips Skandinavia AS	1.678000	TAMPEN LINK	3113815	2410696	9999-12-31	2013-05-08
TAMPEN LINK	DONG E&P Norge AS	0.983000	TAMPEN LINK	3113815	4070011	9999-12-31	2013-05-08
TAMPEN LINK	GDF SUEZ E&P Norge AS	0.304000	TAMPEN LINK	3113815	5267845	9999-12-31	2013-05-08
TAMPEN LINK	Statoil Petroleum AS	5.000000	TAMPEN LINK	3113815	17237817	9999-12-31	2013-05-08
TAMPEN LINK	Njord Gas Infrastructure AS	8.036000	TAMPEN LINK	3113815	20440816	9999-12-31	2013-05-08
TAMPEN LINK	Infragas Norge AS	5.006000	TAMPEN LINK	3113815	21139140	9999-12-31	2013-05-08
TAMPEN LINK	Solveig Gas Norway AS	24.756000	TAMPEN LINK	3113815	21139652	9999-12-31	2013-05-08
TAMPEN LINK	Silex Gas Norway AS	6.102000	TAMPEN LINK	3113815	21139663	9999-12-31	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	RWE Dea Norge AS	0.081000	KÅRSTØ GASSANLEGG	3471786	97557	9999-12-31	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	Norsea Gas AS	2.261000	KÅRSTØ GASSANLEGG	3471786	1025067	9999-12-31	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	Petoro AS	45.793000	KÅRSTØ GASSANLEGG	3471786	1626839	9999-12-31	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	ConocoPhillips Skandinavia AS	1.678000	KÅRSTØ GASSANLEGG	3471786	2410696	9999-12-31	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	DONG E&P Norge AS	0.983000	KÅRSTØ GASSANLEGG	3471786	4070011	9999-12-31	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	GDF SUEZ E&P Norge AS	0.304000	KÅRSTØ GASSANLEGG	3471786	5267845	9999-12-31	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	Statoil Petroleum AS	5.000000	KÅRSTØ GASSANLEGG	3471786	17237817	9999-12-31	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	Njord Gas Infrastructure AS	8.036000	KÅRSTØ GASSANLEGG	3471786	20440816	9999-12-31	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	Infragas Norge AS	5.006000	KÅRSTØ GASSANLEGG	3471786	21139140	9999-12-31	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	Solveig Gas Norway AS	24.756000	KÅRSTØ GASSANLEGG	3471786	21139652	9999-12-31	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	Silex Gas Norway AS	6.102000	KÅRSTØ GASSANLEGG	3471786	21139663	9999-12-31	2013-05-08
GJØA GAS PIPELINE	RWE Dea Norge AS	0.081000	GJØA GASSRØR	4480765	97557	9999-12-31	2013-05-08
GJØA GAS PIPELINE	Norsea Gas AS	2.261000	GJØA GASSRØR	4480765	1025067	9999-12-31	2013-05-08
GJØA GAS PIPELINE	Petoro AS	45.793000	GJØA GASSRØR	4480765	1626839	9999-12-31	2013-05-08
GJØA GAS PIPELINE	ConocoPhillips Skandinavia AS	1.678000	GJØA GASSRØR	4480765	2410696	9999-12-31	2013-05-08
GJØA GAS PIPELINE	DONG E&P Norge AS	0.983000	GJØA GASSRØR	4480765	4070011	9999-12-31	2013-05-08
GJØA GAS PIPELINE	GDF SUEZ E&P Norge AS	0.304000	GJØA GASSRØR	4480765	5267845	9999-12-31	2013-05-08
GJØA GAS PIPELINE	Statoil Petroleum AS	5.000000	GJØA GASSRØR	4480765	17237817	9999-12-31	2013-05-08
GJØA GAS PIPELINE	Njord Gas Infrastructure AS	8.036000	GJØA GASSRØR	4480765	20440816	9999-12-31	2013-05-08
GJØA GAS PIPELINE	Infragas Norge AS	5.006000	GJØA GASSRØR	4480765	21139140	9999-12-31	2013-05-08
GJØA GAS PIPELINE	Solveig Gas Norway AS	24.756000	GJØA GASSRØR	4480765	21139652	9999-12-31	2013-05-08
GJØA GAS PIPELINE	Silex Gas Norway AS	6.102000	GJØA GASSRØR	4480765	21139663	9999-12-31	2013-05-08
\.



COPY tuf_petreg_licence_oper (textbox42, textbox2, ptlname, cmplongname, tufname, tufnpdidtuf, cmpnpdidcompany, ptloperdateupdated, datesyncnpd) FROM stdin;
NPDID for TUF	NPDID for selskap	STATPIPE	GASSCO AS	STATPIPE	123940	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	NORPIPE OIL AS	Phillips Petroleum Company Norway	NORPIPE OLJELEDNING	124133	694	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	NORPIPE GASSRØR	GASSCO AS	NORPIPE GASSLEDNING	124165	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	OSEBERG GASSTRANSPORT	GASSCO AS	OSEBERG GASSTRANSPORT	124170	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	FRANPIPE	GASSCO AS	FRANPIPE	124202	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	ÅSGARD TRANSPORT	GASSCO AS	ÅSGARD TRANSPORT	124211	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	ZEEPIPE	GASSCO AS	ZEEPIPE	124227	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	ZEEPIPE FASE II-A	GASSCO AS	ZEEPIPE IIA	124244	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	ZEEPIPE FASE II-B	GASSCO AS	ZEEPIPE IIB	124253	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	EUROPIPE	GASSCO AS	EUROPIPE I	124262	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	VESTERLED	GASSCO AS	VESTERLED	124280	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	ULA	BP Norge AS	ULA OLJETRANSPORT	124285	2052695	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	HALTENPIPE	Statoil ASA	HALTENPIPE	124293	17237803	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	OSEBERG TRANSPORT SYSTEM (OTS)	Statoil Petroleum AS	OSEBERG TRANSPORTSYSTEM	124301	17237817	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	SLEIPNER ØST KONDENSAT	Statoil ASA (old)	SLEIPNER KONDENSATRØR	124340	1622484	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	KOLLSNES GASSBEHANDLINGSANLEGG	GASSCO AS	KOLLSNES GASSANLEGG	124354	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	KVITEBJØRN OLJETRANSPORT SYSTEM	Statoil Petroleum AS	KVITEBJØRN OLJERØR	917586	17237817	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	NORNE GASSTRANSPORTSYSTEM	GASSCO AS	NORNE GASSTRANSPORT	1035984	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	KVITEBJØRN GASSTRANSPORT SYSTEM	GASSCO AS	KVITEBJØRN GASSRØR	2417249	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	LANGELED	GASSCO AS	LANGELED	2450169	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	EUROPIPE II	GASSCO AS	EUROPIPE II	2454909	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	TAMPEN LINK	GASSCO AS	TAMPEN LINK	3113815	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	GASSCO AS	KÅRSTØ GASSANLEGG	3471786	1944954	9999-12-31	2013-05-08
NPDID for TUF	NPDID for selskap	GJØA GAS PIPELINE	GASSCO AS	GJØA GASSRØR	4480765	1944954	9999-12-31	2013-05-08
\.



COPY tuf_petreg_message (ptlname, ptlmessagedocumentno, ptlmessage, ptlmessageregistereddate, ptlmessagekinddesc, tufname, ptlmessagedateupdated, tufnpdidtuf, datesyncnpd) FROM stdin;
STATPIPE	940	Transportsystemtillatelse 5 overført til nytt Petroleumsregister med endringer iht. OEDs oversikt.	1997-08-06	Ny tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	1811	A/S Norske Shell har overdratt sin 5 % andel i tillatelsen til Norske Shell Pipelines AS.	2002-05-28	Endring i tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	2205	Tillatelsen er overdratt til interessentene i Gassled med virkning fra 01.01.2003.	2003-12-15	Andre meldinger	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	2206	Gassco har overtatt operatøransvaret.	2003-12-15	Andre meldinger	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	2216	Tillatelsen er forlenget til 31.12.2028.	2003-12-16	Endring i tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	5099	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-25	Endring i tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	5114	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	5147	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	5406	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	5587	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	5808	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	5828	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	6060	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	6105	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	6129	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	6149	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	6613	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	STATPIPE	2013-05-08	123940	2013-05-08
STATPIPE	6633	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6149) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger.	2012-10-31	Sletting av heftelse	STATPIPE	9999-12-31	123940	2013-05-08
STATPIPE	6653	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	STATPIPE	9999-12-31	123940	2013-05-08
NORPIPE OIL AS	347	Pantsettelse av Cofranords andel i Norpipe A/S.Panthaver Sparebanken Nord-Norge.Pantobligasjon stor USD 12,800,000 + 10%.	1989-11-01	Heftelse	NORPIPE OLJELEDNING	2013-05-08	124133	2013-05-08
NORPIPE OIL AS	936	Transportsystemtillatelse 1 overført til nytt Petroleumsregister med endringer iht. OEDs oversikt.	1997-07-25	Ny tillatelse	NORPIPE OLJELEDNING	9999-12-31	124133	2013-05-08
NORPIPE GASSRØR	5346	Tillatelsen innført i Petroleumsregisteret.	2010-03-24	Ny tillatelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	5347	Deltakerandel oppdater i henhold til Gassled Participant Agreement pr. 1.1.2009.	2010-03-24	Endring i tillatelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	5348	Mobil Development Norway A/S overdrar sin 4,142 % deltaker andel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-03-24	Endring i tillatelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	5349	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel i tillatelsen til A/S Norske Shell med virkning fra 1. januar 2010.	2010-03-24	Endring i tillatelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	5404	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	5585	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	5806	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
ÅSGARD TRANSPORT	5815	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
NORPIPE GASSRØR	5826	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	6058	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	6103	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	6127	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	6147	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	6611	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	NORPIPE GASSLEDNING	2013-05-08	124165	2013-05-08
NORPIPE GASSRØR	6631	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6147) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger. 	2012-10-31	Sletting av heftelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
NORPIPE GASSRØR	6651	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	NORPIPE GASSLEDNING	9999-12-31	124165	2013-05-08
OSEBERG GASSTRANSPORT	2185	Tillatelsen er registrert i petroleumsregisteret.	2003-11-04	Ny tillatelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	5102	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-25	Endring i tillatelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	5113	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	5146	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	5405	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	5586	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	5807	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	5827	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	6059	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	6104	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	6128	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	6148	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	6612	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	OSEBERG GASSTRANSPORT	2013-05-08	124170	2013-05-08
OSEBERG GASSTRANSPORT	6632	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6148) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger. 	2012-10-31	Sletting av heftelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
OSEBERG GASSTRANSPORT	6652	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	OSEBERG GASSTRANSPORT	9999-12-31	124170	2013-05-08
FRANPIPE	948	Transportsystemtillatelse 13 overført til nytt Petroleumsregister med endringer iht. OEDs oversikt.	1997-08-06	Ny tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	1810	Norfra har endret navn til Franpipe.	2002-05-28	Andre meldinger	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	1813	A/S Norske Shell har overdratt sin 1.2945 % andel i tillatelsen til Norske Shell Pipelines AS.	2002-05-28	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	1856	Neste Petroleum AS har endret navn til Fortum Petroleum AS.	2002-09-02	Andre meldinger	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	1868	SDØE overført til Petoro AS.	2002-10-09	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	2211	Tillatelsen er overdratt til interessentene i Gassled med virkning fra 01.01.2003.	2003-12-15	Andre meldinger	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	2212	Gassco har overtatt operatøransvaret.	2003-12-15	Andre meldinger	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	2219	Tillatelsen er forlenget til 31.12.2028.	2003-12-16	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	5088	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-22	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	5112	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	5145	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	5397	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	5578	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	5798	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	5818	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	6050	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	6095	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	6119	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	6139	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. 	2012-01-31	Heftelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	6603	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	FRANPIPE	2013-05-08	124202	2013-05-08
FRANPIPE	6623	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6139) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger.	2012-10-31	Sletting av heftelse	FRANPIPE	9999-12-31	124202	2013-05-08
FRANPIPE	6643	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	FRANPIPE	9999-12-31	124202	2013-05-08
ÅSGARD TRANSPORT	2183	Tillatelsen er registrert i petroleumsregisteret.	2003-11-03	Ny tillatelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	5101	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-25	Endring i tillatelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	5118	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	5153	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	5413	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	5593	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	5835	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	6067	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	6112	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	6136	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	6156	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	6620	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	ÅSGARD TRANSPORT	2013-05-08	124211	2013-05-08
ÅSGARD TRANSPORT	6640	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6156) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger. 	2012-10-31	Sletting av heftelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ÅSGARD TRANSPORT	6660	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	ÅSGARD TRANSPORT	9999-12-31	124211	2013-05-08
ZEEPIPE	943	Transportsystemtillatelse 8 overført til nytt Petroleumsregister med endringer iht. OEDs oversikt.	1997-08-06	Ny tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	1812	A/S Norske Shell har overdratt sin 7 % andel i tillatelsen til Norske Shell Pipelines AS.	2002-05-28	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	1871	SDØE overført til Petoro AS.	2002-10-09	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	2207	Tillatelsen er overdratt til interessentene i Gassled med virkning fra 01.01.2003.	2003-12-15	Andre meldinger	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	2208	Gassco har overtatt operatøransvaret.	2003-12-15	Andre meldinger	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	2217	Tillatelsen er forlenget til 31.12.2028.	2003-12-16	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	5094	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-25	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	5117	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	5150	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	5409	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	5590	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	5811	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	5831	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	6063	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	6108	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	6132	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	6152	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	6616	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	ZEEPIPE	2013-05-08	124227	2013-05-08
ZEEPIPE	6636	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6152) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger. 	2012-10-31	Sletting av heftelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE	6656	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	ZEEPIPE	9999-12-31	124227	2013-05-08
ZEEPIPE FASE II-A	2181	Tillatelsen er registrert i petroleumsregisteret.	2003-11-03	Ny tillatelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	5095	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-25	Endring i tillatelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	5124	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	5151	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	5410	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	5591	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	5812	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	5832	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	6064	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	6109	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	6133	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	6153	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	6617	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	ZEEPIPE IIA	2013-05-08	124244	2013-05-08
ZEEPIPE FASE II-A	6637	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6153) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger. 	2012-10-31	Sletting av heftelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-A	6657	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	ZEEPIPE IIA	9999-12-31	124244	2013-05-08
ZEEPIPE FASE II-B	2182	Tillatelsen er registrert i petroleumsregisteret.	2003-11-03	Ny tillatelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	5096	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-25	Endring i tillatelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	5125	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	5152	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	5411	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	5592	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	5813	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6697	Norsk Hydro Petroleum AS har endret navn til StatoilHydro Petroleum AS med virkning fra 1.10.2007.	2012-12-11	Andre meldinger	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
ZEEPIPE FASE II-B	5833	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	6065	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	6110	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	6134	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	6154	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	6618	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	ZEEPIPE IIB	2013-05-08	124253	2013-05-08
ZEEPIPE FASE II-B	6638	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6154) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger.	2012-10-31	Sletting av heftelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
ZEEPIPE FASE II-B	6658	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	ZEEPIPE IIB	9999-12-31	124253	2013-05-08
EUROPIPE	947	Transportsystemtillatelse 12 overført til nytt Petroleumsregister med endringer iht. OEDs oversikt.	1997-08-06	Ny tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	1866	SDØE overført til Petoro AS.	2002-10-09	Endring i tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	2209	Tillatelsen er overdratt til interessentene i Gassled med virkning fra 01.01.2003.	2003-12-15	Andre meldinger	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	2210	Gassco har overtatt operatøransvaret.	2003-12-15	Andre meldinger	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	2218	Tillatelsen er forlenget til 31.12.2028.	2003-12-16	Endring i tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	5086	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-22	Endring i tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	5110	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	5143	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	5395	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	5576	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	5796	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	5816	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	6048	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	6093	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	6117	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	6137	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. 	2012-01-31	Heftelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	6601	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	EUROPIPE I	2013-05-08	124262	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6698	Elf Petroleum Norge AS har endret navn til TotalFinaElf Exploration Norge AS med virkning fra 11.7.2000.	2012-12-11	Andre meldinger	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
EUROPIPE	6621	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6137) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger.	2012-10-31	Sletting av heftelse	EUROPIPE I	9999-12-31	124262	2013-05-08
EUROPIPE	6641	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	EUROPIPE I	9999-12-31	124262	2013-05-08
VESTERLED	2186	Tillatelsen er registrert i petroleumsregisteret.	2003-11-04	Ny tillatelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	5100	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-25	Endring i tillatelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	5116	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	5149	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	5408	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	5589	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	5810	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	5830	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	6062	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	6107	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	6131	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	6151	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	6615	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	VESTERLED	2013-05-08	124280	2013-05-08
VESTERLED	6635	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6151) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger. 	2012-10-31	Sletting av heftelse	VESTERLED	9999-12-31	124280	2013-05-08
VESTERLED	6655	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	VESTERLED	9999-12-31	124280	2013-05-08
ULA	941	Transportsystemtillatelse 6 overført til nytt Petroleumsregister med endringer iht. OEDs oversikt.	1997-08-06	Ny tillatelse	ULA OLJETRANSPORT	9999-12-31	124285	2013-05-08
HALTENPIPE	946	Transportsystemtillatelse 11 overført til nytt Petroleumsregister med endringer iht. OEDs oversikt.	1997-08-06	Ny tillatelse	HALTENPIPE	9999-12-31	124293	2013-05-08
HALTENPIPE	968	Den norske stats oljeselskap a.s andel er endret til 76,875% og Norske Conoco A/S andel til 18,125%	1997-10-01	Endring i tillatelse	HALTENPIPE	9999-12-31	124293	2013-05-08
HALTENPIPE	1500	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-06-05	Andre meldinger	HALTENPIPE	9999-12-31	124293	2013-05-08
HALTENPIPE	1501	SDØE andeler overført til Statoil ASA med 7.187515.	2001-06-05	Endring i tillatelse	HALTENPIPE	9999-12-31	124293	2013-05-08
HALTENPIPE	1855	Neste Petroleum AS har endret navn til Fortum Petroleum AS.	2002-09-02	Andre meldinger	HALTENPIPE	9999-12-31	124293	2013-05-08
HALTENPIPE	1869	SDØE overført til Petoro AS.	2002-10-09	Endring i tillatelse	HALTENPIPE	9999-12-31	124293	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	942	Transportsystemtillatelse 7 overført til nytt Petroleumsregister med endringer iht. OEDs oversikt.	1997-08-06	Ny tillatelse	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	1870	SDØE overført til Petoro AS.	2002-10-09	Endring i tillatelse	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6695	Saga Petroleum AS er innfusjonert i Norsk Hydro Produksjon AS med virkning fra 15.12.1999.	2012-12-11	Andre meldinger	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6696	Norsk Hydro Produksjon AS overfører alle deltakerandeler i transportsystemtillatelsen til Norsk Hydro Petroleum AS som følge av fisjon med virkning fra 21.4.2007.	2012-12-11	Andre meldinger	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
TAMPEN LINK	5080	Tillatelsen innført i Petroleumsregisteret.	2010-01-22	Ny tillatelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6699	TotalFinaElf Exploration Norge AS har fusjonert med Total Norge AS med virkning fra 20.9.2001.	2012-12-11	Andre meldinger	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6700	Petoro AS overdrar en 2,4 % deltakerandel i transportsystemtillatelsen til Norske Conoco A/S med virkning fra 1.10.2002.	2012-12-11	Endring i tillatelse	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6701	Norske Conoco A/S endrer navn til Norske ConocoPhillips AS med virkning fra 22.3.2003.	2012-12-11	Andre meldinger	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6702	TotalFinaElf Exploration Norge AS har endret navn til Total E&P Norge AS med virkning fra 6.5.2003.	2012-12-11	Andre meldinger	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6703	Norske ConocoPhillips AS har besluttet å innfusjonere, overtagende selskap er ConocoPhillips Skandinavia AS med virkning fra 25.9.2007	2012-12-11	Andre meldinger	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6704	StatoilHydro Petroleum AS har endret navn til Statoil Petroleum med virkning fra 2.11.2009.	2012-12-11	Andre meldinger	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6705	Mobil Development Norway AS har overdratt sin 4,3272 % deltakerandel i transportsystemtillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1.1.2008.	2012-12-11	Endring i tillatelse	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
OSEBERG TRANSPORT SYSTEM (OTS)	6706	ExxonMobil Exploration and Production Norway AS overdrar sin 4,33 % deltakerandel i transportsystemtillatelsen til Total E&P Norge AS med virkning fra 1.1.2012.	2012-12-11	Endring i tillatelse	OSEBERG TRANSPORTSYSTEM	9999-12-31	124301	2013-05-08
SLEIPNER ØST KONDENSAT	945	Transportsystemtillatelse 10 overført til nytt Petroleumsregister med endringer iht. OEDs oversikt.	1997-08-06	Ny tillatelse	SLEIPNER KONDENSATRØR	9999-12-31	124340	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	5091	Tillatelsen innført i Petroleumsregisteret.	2010-01-25	Ny tillatelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	5092	Kollsnes Gassbehandlingsanlegg er inkludert i Gassled med virkning fra 13.1.2004 i henhold til brev fra Olje- og energidepartementet med samme dato.	2010-01-25	Endring i tillatelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	5093	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-25	Endring i tillatelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	5122	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	5157	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	5400	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	5581	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	5802	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	5822	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	6054	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	6099	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	6123	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	6143	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	6607	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	KOLLSNES GASSANLEGG	2013-05-08	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	6627	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6143) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver  foreligger.	2012-10-31	Sletting av heftelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KOLLSNES GASSBEHANDLINGSANLEGG	6647	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	KOLLSNES GASSANLEGG	9999-12-31	124354	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	2671	Tillatelsen er registrert i petroleumsregisteret.	2005-08-02	Ny tillatelse	KVITEBJØRN OLJERØR	9999-12-31	917586	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	2672	Statoil ASA har overdratt en 6.45% andel i tillatelsen til Enterprise Oil Norge AS.	2005-08-02	Endring i tillatelse	KVITEBJØRN OLJERØR	9999-12-31	917586	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	5784	Tillatelsen er innført i petroleumsregisteret på grunnlag av St.prp.nr. 53 (1999-2000), Inst.S.nr. 224 (1999-2000) og Stortingsvedtak 416. 	2011-05-13	Andre meldinger	KVITEBJØRN OLJERØR	9999-12-31	917586	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	5785	Dok nr. 2671 er feil registrert, erstattes av Dok. nr.: 5784.	2011-05-13	Andre meldinger	KVITEBJØRN OLJERØR	9999-12-31	917586	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	5786	Fusjonen mellom Statoil ASA og Norsk Hydro ASA¿s olje og gass virksomhet ble gjennomført  1. oktober 2007. Statoil ASA skiftet som følge av fusjonen navn til StatoilHydro ASA. Hydros andeler var registrert på Norsk Hydro Produksjon AS og ble i forbindelse med fusjonen fisjonert og alle andeler overført til det utfisjonerte selskapet som fikk navnet StatoilHydro Petroleum AS og som overtok som rettighetshaver etter Norsk Hydro Produksjon AS. StatoilHydro Petroleum endret 2.11.2009 navn til Statoil Petroleum AS.	2011-05-13	Andre meldinger	KVITEBJØRN OLJERØR	9999-12-31	917586	2013-05-08
KVITEBJØRN OLJETRANSPORT SYSTEM	6377	Statoil Petroleum AS overdrar en 19 % deltakerandel i transportsystemtillatelsen til Centrica Resources (Norge) AS med virkning fra 30.4.2012.	2012-05-04	Endring i tillatelse	KVITEBJØRN OLJERØR	9999-12-31	917586	2013-05-08
NORNE GASSTRANSPORTSYSTEM	2666	Tillatelsen er registrert i petroleumsregisteret.	2005-07-14	Ny tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	2667	Enterprise Oil Norge AS har overdratt sin 6% andel i tillatelsen til Statoil ASA	2005-07-14	Endring i tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	5103	Tillatelsen er inkludert i Gassled med virkning fra 1.1.2009, i henhold til brev fra Finansdepartementet datert 17.12.2008.	2010-01-26	Endring i tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	5104	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-26	Endring i tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	5120	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	5155	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	5403	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	5584	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	5805	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	5825	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	6057	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	6102	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	6126	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	6146	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	6610	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	NORNE GASSTRANSPORT	2013-05-08	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	6630	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6146) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger. 	2012-10-31	Sletting av heftelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
NORNE GASSTRANSPORTSYSTEM	6650	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	NORNE GASSTRANSPORT	9999-12-31	1035984	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	5084	Tillatelsen innført i Petroleums registeret.	2010-01-22	Ny tillatelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	5085	Kvitebjørn Gasstransport system er inkludert i Gassled med virkning fra 1. januar 2009 ihht brev fra Finansdepartementet datert 17.12.2008.	2010-01-22	Endring i tillatelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	5121	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	5156	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	5401	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	5582	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	5803	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	5823	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	6055	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	6100	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	6124	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	6144	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	6608	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	KVITEBJØRN GASSRØR	2013-05-08	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	6628	Kvitebjørn gasstransport systemPantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6144) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger. 	2012-10-31	Sletting av heftelse	KVITEBJØRN GASSRØR	2013-05-08	2417249	2013-05-08
KVITEBJØRN GASSTRANSPORT SYSTEM	6648	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	KVITEBJØRN GASSRØR	9999-12-31	2417249	2013-05-08
LANGELED	5082	Tillatelsen innført i Petroleumsregisteret.	2010-01-22	Ny tillatelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	5083	Langeled er inkludert i Gassled fra 1.9.2006 i henhold til overføringsavtale mellom Gassled og den norske stat 31.8.2006.	2010-01-22	Endring i tillatelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	5119	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	5154	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	5402	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	5583	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	5804	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	5824	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	6056	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	6101	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	6125	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	LANGELED	9999-12-31	2450169	2013-05-08
TAMPEN LINK	5081	Tampen Link er inkludert i Gassled fra 30.8.2007 i henhold til overføringsavtale mellom Gassled og den norske stat samme dag.	2010-01-22	Endring i tillatelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
LANGELED	6145	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	6609	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	LANGELED	2013-05-08	2450169	2013-05-08
LANGELED	6629	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6145) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger.	2012-10-31	Sletting av heftelse	LANGELED	9999-12-31	2450169	2013-05-08
LANGELED	6649	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	LANGELED	9999-12-31	2450169	2013-05-08
EUROPIPE II	949	Transportsystemtillatelse 14 overført til nytt Petroleumsregister med endringer iht. OEDs oversikt.	1997-08-06	Ny tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	1498	Den norske stats oljeselskap a.s har endret navn til Statoil ASA.	2001-06-05	Andre meldinger	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	1499	SDØE andeler overført til Statoil ASA med 14.99%.	2001-06-05	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	1814	A/S Norske Shell har overdratt sin 1.1812 % andel i tillatelsen til Norske Shell Pipelines AS.	2002-05-28	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	1857	Neste Petroleum AS har endret navn til Fortum Petroleum AS.	2002-09-02	Andre meldinger	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	1867	SDØE overført til Petoro AS.	2002-10-09	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	2213	Tillatelsen er overdratt til interessentene i Gassled med virkning fra 01.01.2003.	2003-12-15	Andre meldinger	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	2214	Gassco har overtatt operatøransvaret.	2003-12-15	Andre meldinger	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	2220	Tillatelsen er forlenget til 31.12.2028.	2003-12-16	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	5087	Deltakerandeler oppdatert i henhold til Gassled participants agreement pr.1.1.2009.	2010-01-22	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	5111	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	5144	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	5396	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	5577	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	5797	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	5817	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	6049	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	6094	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	6118	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	6138	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd. 	2012-01-31	Heftelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	6602	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	EUROPIPE II	2013-05-08	2454909	2013-05-08
EUROPIPE II	6622	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6138) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger 	2012-10-31	Sletting av heftelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
EUROPIPE II	6642	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	EUROPIPE II	9999-12-31	2454909	2013-05-08
TAMPEN LINK	5115	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
TAMPEN LINK	5148	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
TAMPEN LINK	5407	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
TAMPEN LINK	5588	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
TAMPEN LINK	5809	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
TAMPEN LINK	5829	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
TAMPEN LINK	6061	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
TAMPEN LINK	6106	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
TAMPEN LINK	6130	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
TAMPEN LINK	6150	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
TAMPEN LINK	6614	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	TAMPEN LINK	2013-05-08	3113815	2013-05-08
TAMPEN LINK	6634	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6150) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger.	2012-10-31	Sletting av heftelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
TAMPEN LINK	6654	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	TAMPEN LINK	9999-12-31	3113815	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	2187	Tillatelsen er registrert i petroleumsregisteret.	2003-11-04	Ny tillatelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	5105	Deltakerandel oppdatert i henhold til Gassled Participants Agreement pr. 1.1.2009	2010-01-26	Endring i tillatelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	5123	Norske Shell Pipelines AS overdrar sin 3,974 % deltakerandel til A/S Norske Shell med virkning fra 1.1.2010.	2010-02-01	Endring i tillatelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	5158	Mobil Development Norway AS overdrar sin 4,142 % deltakerandel i tillatelsen til ExxonMobil Exploration and Production Norway AS med virkning fra 1. januar 2009.	2010-02-17	Endring i tillatelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	5399	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	5579	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	5800	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	5820	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	6052	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	6097	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	6121	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	6141	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	6605	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	KÅRSTØ GASSANLEGG	2013-05-08	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	6625	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6141) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver foreligger.	2012-10-31	Sletting av heftelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GASSBEHANDLINGSANLEGGENE PÅ KÅRSTØ	6645	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	KÅRSTØ GASSANLEGG	9999-12-31	3471786	2013-05-08
GJØA GAS PIPELINE	5393	Tillatelsen innført i Petroleumsregisteret.	2010-06-18	Ny tillatelse	GJØA GASSRØR	9999-12-31	4480765	2013-05-08
GJØA GAS PIPELINE	5394	Ref. godkjennelse i brev fra Olje- og energidepartemente datert 27.5.2010 ifm. overdragelse av Gjøa Gas Pipeline til Gassled samt endring av eierandeler i Gassled med virkning fra 1.6.2010.	2010-06-18	Endring i tillatelse	GJØA GASSRØR	9999-12-31	4480765	2013-05-08
GJØA GAS PIPELINE	5580	Deltakerandel i Gassled er justert med virkning fra og med 1.1.2011, i henhold til godkjennelse i brev fra Olje- og energidepartementet datert 14.12.2010.	2011-01-04	Endring i tillatelse	GJØA GASSRØR	9999-12-31	4480765	2013-05-08
GJØA GAS PIPELINE	5801	ExxonMobil Exploration and Production Norway AS overdrar sin 8,036 % deltakerandel i transportsystemtillatelsen til Njord Gas Infrastructure AS med virkning fra 1.1.2011.	2011-06-16	Endring i tillatelse	GJØA GASSRØR	9999-12-31	4480765	2013-05-08
GJØA GAS PIPELINE	5821	Njord Gas Infrastructure AS pantsetter sin 8,036 % deltakerandel i transportsystemstillatelsen til fordel for Norsk Tillitsmann ASA. Første prioritet panteobligasjon pålydende NOK 10 000 000 000, skriver norske kroner timilliarder, EUR 1 500 000 000, skriver Euro enmilliardfemhundremillioner, GBP 1 000 000 000, skriver britiske pund enmilliard, USD 2 000 000 000, skriver  amerikanske dollar tomilliarder. . Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 1.2.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2011-06-16	Heftelse	GJØA GASSRØR	9999-12-31	4480765	2013-05-08
GJØA GAS PIPELINE	6053	A/S Norske Shell overdrar sin 5,006 % deltakerandel i transportsystemtillatelsen til Infragas Norge AS med virkning fra 1.1.2011.	2011-12-28	Endring i tillatelse	GJØA GASSRØR	9999-12-31	4480765	2013-05-08
GJØA GAS PIPELINE	6098	Total E&P Norge AS overdrar sin 6,102 % deltakerandel i transportsystemtillatelsen til Silex Gas Norway AS med virkning fra 24.1.2012.	2012-01-24	Endring i tillatelse	GJØA GASSRØR	9999-12-31	4480765	2013-05-08
GJØA GAS PIPELINE	6122	Statoil Petroleum AS overdrar en 23,480 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.1.2012.	2012-01-31	Endring i tillatelse	GJØA GASSRØR	9999-12-31	4480765	2013-05-08
GJØA GAS PIPELINE	6142	Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemstillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.  	2012-01-31	Heftelse	GJØA GASSRØR	9999-12-31	4480765	2013-05-08
GJØA GAS PIPELINE	6606	Eni Norge AS overdrar sin 1,2760 % deltakerandel i transportsystemtillatelsen til Solveig Gas Norway AS med virkning fra 31.10.2012.	2012-10-31	Endring i tillatelse	GJØA GASSRØR	2013-05-08	4480765	2013-05-08
GJØA GAS PIPELINE	6626	Pantobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder datert 31.1.2012 (dok. nr. 6142) hvor Solveig Gas Norway AS pantsetter sin 23,480 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. er slettet. Samtykke fra panthaver,foreligger.	2012-10-31	Sletting av heftelse	GJØA GASSRØR	9999-12-31	4480765	2013-05-08
GJØA GAS PIPELINE	6646	Solveig Gas Norway AS pantsetter sin 24.756 % deltakerandel i transportsystemtillatelsen til fordel for The Law Debenture Trust Corporation P.L.C. Første prioritet panteobligasjon pålydende NOK 30 000 000 000, skriver norske kroner trettimilliarder. Pantsetter har ikke rett til å overdra eller foreta ytterligere pantsettelser av pantsatte objekt uten skriftlig samtykke fra panthaver. Olje- og energidepartementet har i brev av 20.12.2011 og 17.10.2012 gitt samtykke i medhold av petroleumsloven § 6-2 første ledd.	2012-10-31	Heftelse	GJØA GASSRØR	9999-12-31	4480765	2013-05-08
\.



COPY wellbore_casing_and_lot (wlbname, wlbcasingtype, wlbcasingdiameter, wlbcasingdepth, wlbholediameter, wlbholedepth, wlblotmuddencity, wlbnpdidwellbore, wlbcasingdateupdated, datesyncnpd, wellbore_casing_and_lot_id) FROM stdin;
1/2-1	CONDUCTOR	30	170.000000	36	171.000000	0.000000	1382	9999-12-31	2013-05-08	1
1/2-1	INTERM.	20	645.000000	26	648.000000	1.690000	1382	9999-12-31	2013-05-08	2
1/2-1	INTERM.	13 3/8	1524.000000	17 1/2	1531.000000	1.820000	1382	9999-12-31	2013-05-08	3
1/2-1	INTERM.	9 5/8	3052.000000	12 1/4	3056.000000	1.880000	1382	9999-12-31	2013-05-08	4
1/2-1	LINER	7	3569.000000	8 1/2	3576.000000	0.000000	1382	9999-12-31	2013-05-08	5
1/2-2	CONDUCTOR	30	173.000000	36	176.000000	0.000000	5192	9999-12-31	2013-05-08	6
1/2-2	SURF.COND.	20	697.000000	24	703.000000	1.610000	5192	9999-12-31	2013-05-08	7
1/2-2	INTERM.	13 3/8	1497.000000	17 1/2	1507.000000	1.810000	5192	9999-12-31	2013-05-08	8
1/2-2	OPEN HOLE	\N	3434.000000	8 1/2	3434.000000	0.000000	5192	9999-12-31	2013-05-08	9
1/3-1	CONDUCTOR	36	140.000000	36	137.000000	0.000000	154	9999-12-31	2013-05-08	10
1/3-1	SURF.COND.	20	408.000000	26	415.000000	0.000000	154	9999-12-31	2013-05-08	11
1/3-1	INTERM.	13 3/8	1529.000000	17 1/2	1535.000000	0.000000	154	9999-12-31	2013-05-08	12
1/3-1	INTERM.	9 5/8	3118.000000	12 1/4	3128.000000	0.000000	154	9999-12-31	2013-05-08	13
1/3-1	LINER	7	4585.000000	8 1/2	4593.000000	0.000000	154	9999-12-31	2013-05-08	14
1/3-10	CONDUCTOR	30	215.000000	36	225.000000	0.000000	5614	9999-12-31	2013-05-08	15
1/3-10	SURF.COND.	18 5/8	810.000000	24	816.000000	0.000000	5614	9999-12-31	2013-05-08	16
1/3-10	INTERM.	13 3/8	1294.000000	17 1/2	1300.000000	1.500000	5614	9999-12-31	2013-05-08	17
1/3-10	INTERM.	9 5/8	3153.000000	12 1/4	3153.000000	1.900000	5614	9999-12-31	2013-05-08	18
1/3-10	OPEN HOLE	\N	3158.000000	8 172	3288.000000	0.000000	5614	9999-12-31	2013-05-08	19
1/3-10 A	OPEN HOLE	\N	2276.000000	8 1/2	3632.000000	1.900000	5779	9999-12-31	2013-05-08	20
1/3-11	CONDUCTOR	30	244.000000	36	253.000000	0.000000	5806	9999-12-31	2013-05-08	21
1/3-11	SURF.COND.	18 5/8	812.000000	24	825.000000	0.000000	5806	9999-12-31	2013-05-08	22
1/3-11	INTERM.	13 3/8	1301.000000	17 1/2	1330.000000	1.500000	5806	9999-12-31	2013-05-08	23
1/3-11	INTERM.	9 5/8	3281.000000	12 1/4	3285.000000	1.750000	5806	9999-12-31	2013-05-08	24
1/3-11	OPEN HOLE	\N	3595.000000	8 1/2	3595.000000	1.850000	5806	9999-12-31	2013-05-08	25
1/3-12 S	CONDUCTOR	30	212.000000	36	219.000000	0.000000	6260	9999-12-31	2013-05-08	26
1/3-12 S	SURF.COND.	20	1132.000000	26	1150.000000	0.000000	6260	9999-12-31	2013-05-08	27
1/3-12 S	INTERM.	13 3/8	4202.000000	17 1/2	4207.000000	0.000000	6260	9999-12-31	2013-05-08	28
1/3-12 S	INTERM.	9 5/8	5400.000000	12 1/4	5412.000000	0.000000	6260	9999-12-31	2013-05-08	29
1/3-12 S	OPEN HOLE	\N	5931.000000	8 1/2	5931.000000	0.000000	6260	9999-12-31	2013-05-08	30
1/3-2	CONDUCTOR	30	147.000000	36	147.000000	0.000000	165	9999-12-31	2013-05-08	31
1/3-2	SURF.COND.	20	406.000000	26	412.000000	0.000000	165	9999-12-31	2013-05-08	32
1/3-2	INTERM.	13 3/8	1525.000000	17 1/2	1531.000000	0.000000	165	9999-12-31	2013-05-08	33
1/3-2	INTERM.	9 5/8	3204.000000	12 1/4	3213.000000	0.000000	165	9999-12-31	2013-05-08	34
1/3-2	OPEN HOLE	\N	4298.000000	8 1/2	4298.000000	0.000000	165	9999-12-31	2013-05-08	35
1/3-3	CONDUCTOR	30	153.000000	36	155.000000	0.000000	87	9999-12-31	2013-05-08	36
1/3-3	SURF.COND.	20	697.000000	26	710.000000	1.800000	87	9999-12-31	2013-05-08	37
1/3-3	INTERM.	13 3/8	1902.000000	17 1/2	1912.000000	1.810000	87	9999-12-31	2013-05-08	38
1/3-3	INTERM.	9 5/8	4047.000000	12 1/4	4060.000000	2.210000	87	9999-12-31	2013-05-08	39
1/3-3	LINER	7	4800.000000	8 1/2	4875.000000	0.000000	87	9999-12-31	2013-05-08	40
1/3-4	CONDUCTOR	30	158.000000	36	158.000000	0.000000	2	9999-12-31	2013-05-08	41
1/3-4	SURF.COND.	20	761.000000	26	773.000000	1.720000	2	9999-12-31	2013-05-08	42
1/3-4	INTERM.	13 3/8	1557.000000	17 1/2	1595.000000	1.940000	2	9999-12-31	2013-05-08	43
1/3-4	INTERM.	9 5/8	2600.000000	12 1/4	2624.000000	1.930000	2	9999-12-31	2013-05-08	44
1/3-4	OPEN HOLE	\N	3198.000000	8 1/2	3198.000000	0.000000	2	9999-12-31	2013-05-08	45
1/3-5	CONDUCTOR	30	168.000000	36	181.000000	0.000000	223	9999-12-31	2013-05-08	46
1/3-5	SURF.COND.	20	1183.000000	26	1195.000000	1.770000	223	9999-12-31	2013-05-08	47
1/3-5	INTERM.	13 3/8	2443.000000	17 1/2	2470.000000	1.910000	223	9999-12-31	2013-05-08	48
1/3-5	INTERM.	9 5/8	4122.000000	12 1/4	4138.000000	2.120000	223	9999-12-31	2013-05-08	49
1/3-5	LINER	7	4395.000000	8 1/2	4395.000000	2.330000	223	9999-12-31	2013-05-08	50
1/3-5	OPEN HOLE	\N	4850.000000	6	4850.000000	0.000000	223	9999-12-31	2013-05-08	51
1/3-6	CONDUCTOR	30	183.000000	36	185.000000	0.000000	1521	9999-12-31	2013-05-08	52
1/3-6	INTERM.	20	2000.000000	26	2003.000000	1.800000	1521	9999-12-31	2013-05-08	53
1/3-6	INTERM.	13 3/8	2861.000000	17 1/2	2864.000000	2.130000	1521	9999-12-31	2013-05-08	54
1/3-6	LINER	9 5/8	3062.000000	12 1/4	3065.000000	0.000000	1521	9999-12-31	2013-05-08	55
1/3-7	CONDUCTOR	30	203.000000	36	205.000000	0.000000	2505	9999-12-31	2013-05-08	56
1/3-7	SURF.COND.	13 3/8	1199.000000	17 1/2	1204.000000	1.660000	2505	9999-12-31	2013-05-08	57
1/3-7	INTERM.	9 5/8	3045.000000	12 1/4	3050.000000	1.710000	2505	9999-12-31	2013-05-08	58
1/3-7	LINER	7	3343.000000	8 1/2	3345.000000	0.000000	2505	9999-12-31	2013-05-08	59
1/3-8	PILOT HOLE	\N	310.000000	9 7/8	1105.000000	0.000000	2829	9999-12-31	2013-05-08	60
1/3-8	CONDUCTOR	30	303.000000	36	310.000000	0.000000	2829	9999-12-31	2013-05-08	61
1/3-8	INTERM.	14	3435.000000	17 1/2	3445.000000	0.000000	2829	9999-12-31	2013-05-08	62
1/3-8	SURF.COND.	20	1098.000000	26	1105.000000	0.000000	2829	9999-12-31	2013-05-08	63
1/3-8	INTERM.	9 5/8	4515.000000	12 1/2	4529.000000	0.000000	2829	9999-12-31	2013-05-08	64
1/3-8	LINER	7 5/8	4904.000000	8 1/2	4910.000000	0.000000	2829	9999-12-31	2013-05-08	65
1/3-8	OPEN HOLE	\N	5021.000000	6 1/4	5021.000000	0.000000	2829	9999-12-31	2013-05-08	66
1/3-9 S	PILOT HOLE	\N	1050.000000	9 7/8	0.000000	0.000000	3362	9999-12-31	2013-05-08	67
1/3-9 S	CONDUCTOR	30	159.000000	36	165.000000	0.000000	3362	9999-12-31	2013-05-08	68
1/3-9 S	SURF.COND.	13 3/8	1042.000000	17 1/2	1050.000000	1.980000	3362	9999-12-31	2013-05-08	69
1/3-9 S	INTERM.	9 5/8	3180.000000	12 174	3185.000000	1.900000	3362	9999-12-31	2013-05-08	70
1/3-9 S	LINER	7	4514.000000	8 1/2	4516.000000	0.000000	3362	9999-12-31	2013-05-08	71
1/5-1	CONDUCTOR	30	130.000000	36	131.000000	0.000000	237	9999-12-31	2013-05-08	72
1/5-1	OPEN HOLE	\N	491.000000	26	491.000000	0.000000	237	9999-12-31	2013-05-08	73
1/5-2	CONDUCTOR	30	133.000000	36	133.000000	0.000000	238	9999-12-31	2013-05-08	74
1/5-2	SURF.COND.	20	475.000000	26	482.000000	0.000000	238	9999-12-31	2013-05-08	75
1/5-2	INTERM.	13 3/8	1213.000000	17 1/2	1229.000000	0.000000	238	9999-12-31	2013-05-08	76
1/5-2	INTERM.	9 5/8	3039.000000	12 1/4	3048.000000	0.000000	238	9999-12-31	2013-05-08	77
1/5-2	LINER	7	3971.000000	8 1/2	3973.000000	0.000000	238	9999-12-31	2013-05-08	78
1/5-2	OPEN HOLE	\N	4285.000000	6	4285.000000	0.000000	238	9999-12-31	2013-05-08	79
1/5-3 S	OPEN HOLE	\N	1565.000000	12 1/4	1565.000000	0.000000	3257	9999-12-31	2013-05-08	80
1/5-3 S	CONDUCTOR	30	166.700000	36	167.000000	0.000000	3257	9999-12-31	2013-05-08	81
1/5-3 S	SURF.COND.	20	784.700000	26	785.000000	1.790000	3257	9999-12-31	2013-05-08	82
1/5-3 S	INTERM.	13 3/8	1412.000000	17 1/2	1412.000000	1.980000	3257	9999-12-31	2013-05-08	83
1/5-4 S	CONDUCTOR	30	167.000000	36	170.000000	0.000000	4521	9999-12-31	2013-05-08	84
1/5-4 S	INTERM.	20	923.000000	26	925.000000	1.850000	4521	9999-12-31	2013-05-08	85
1/5-4 S	INTERM.	14	1640.000000	17 1/2	1644.000000	1.900000	4521	9999-12-31	2013-05-08	86
1/5-4 S	INTERM.	9 5/8	2873.000000	12 1/4	2875.000000	1.960000	4521	9999-12-31	2013-05-08	87
1/5-4 S	OPEN HOLE	\N	3090.000000	8 1/2	3090.000000	0.000000	4521	9999-12-31	2013-05-08	88
1/6-1	CONDUCTOR	30	169.000000	36	169.000000	0.000000	239	9999-12-31	2013-05-08	89
1/6-1	SURF.COND.	20	448.000000	26	455.000000	0.000000	239	9999-12-31	2013-05-08	90
1/6-1	INTERM.	13 3/8	1586.000000	17 1/2	1591.000000	0.000000	239	9999-12-31	2013-05-08	91
1/6-1	INTERM.	9 5/8	3149.000000	12 1/4	3175.000000	0.000000	239	9999-12-31	2013-05-08	92
1/6-1	LINER	7	4220.000000	8 1/2	4226.000000	0.000000	239	9999-12-31	2013-05-08	93
1/6-2	CONDUCTOR	30	176.000000	36	176.000000	0.000000	240	9999-12-31	2013-05-08	94
1/6-2	SURF.COND.	20	460.000000	26	466.000000	0.000000	240	9999-12-31	2013-05-08	95
1/6-2	INTERM.	13 3/8	1219.000000	17 1/2	1226.000000	0.000000	240	9999-12-31	2013-05-08	96
1/6-2	INTERM.	9 5/8	2439.000000	12 1/4	2445.000000	0.000000	240	9999-12-31	2013-05-08	97
1/6-2	OPEN HOLE	\N	3383.000000	8 1/2	3383.000000	0.000000	240	9999-12-31	2013-05-08	98
1/6-3	CONDUCTOR	30	175.000000	36	175.000000	0.000000	241	9999-12-31	2013-05-08	99
1/6-3	SURF.COND.	20	417.000000	26	425.000000	0.000000	241	9999-12-31	2013-05-08	100
1/6-3	INTERM.	13 3/8	1220.000000	17 1/2	1230.000000	0.000000	241	9999-12-31	2013-05-08	101
1/6-3	INTERM.	9 5/8	2446.000000	12 1(4	2452.000000	0.000000	241	9999-12-31	2013-05-08	102
1/6-3	LINER	7	3320.000000	8 1/2	3325.000000	0.000000	241	9999-12-31	2013-05-08	103
1/6-4	CONDUCTOR	30	181.000000	36	187.000000	0.000000	242	9999-12-31	2013-05-08	104
1/6-4	INTERM.	20	429.000000	26	437.000000	0.000000	242	9999-12-31	2013-05-08	105
1/6-4	INTERM.	13 3/8	1224.000000	17 1/2	1232.000000	0.000000	242	9999-12-31	2013-05-08	106
1/6-4	INTERM.	9 5/8	3272.000000	12 1/4	3285.000000	0.000000	242	9999-12-31	2013-05-08	107
1/6-4	OPEN HOLE	\N	3810.000000	8 1/2	3810.000000	0.000000	242	9999-12-31	2013-05-08	108
1/6-5	CONDUCTOR	30	156.000000	36	156.000000	0.000000	1508	9999-12-31	2013-05-08	109
1/6-5	INTERM.	20	588.000000	26	600.000000	0.000000	1508	9999-12-31	2013-05-08	110
1/6-5	INTERM.	16	1126.000000	22	1132.000000	1.420000	1508	9999-12-31	2013-05-08	111
1/6-5	INTERM.	9 5/8	1521.000000	12 1/4	1530.000000	1.740000	1508	9999-12-31	2013-05-08	112
1/6-5	LINER	7	1843.000000	8 1/2	1854.000000	0.000000	1508	9999-12-31	2013-05-08	113
1/6-6	CONDUCTOR	30	180.000000	36	182.000000	0.000000	1839	9999-12-31	2013-05-08	114
1/6-6	INTERM.	20	1121.000000	26	1122.000000	0.000000	1839	9999-12-31	2013-05-08	115
1/6-6	INTERM.	14	2520.000000	17 1/2	2522.000000	0.000000	1839	9999-12-31	2013-05-08	116
1/6-6	INTERM.	9 5/8	4467.000000	12 1/4	3370.000000	0.000000	1839	9999-12-31	2013-05-08	117
1/6-6	INTERM.	7 5/8	5049.000000	\N	5050.000000	0.000000	1839	9999-12-31	2013-05-08	118
1/6-6	LINER	5	5521.000000	8 1/2	5521.000000	0.000000	1839	9999-12-31	2013-05-08	119
1/6-7	CONDUCTOR	30	165.000000	36	167.000000	0.000000	1928	9999-12-31	2013-05-08	120
1/6-7	INTERM.	\N	20.000000	\N	0.000000	0.000000	1928	9999-12-31	2013-05-08	121
1/6-7	INTERM.	20	1000.600000	26	1002.000000	1.810000	1928	9999-12-31	2013-05-08	122
1/6-7	INTERM.	13 3/8	3261.000000	17 1/2	3263.000000	1.980000	1928	9999-12-31	2013-05-08	123
1/6-7	INTERM.	9 7/8	4346.800000	12 1/4	4348.000000	0.000000	1928	9999-12-31	2013-05-08	124
1/9-1	CONDUCTOR	30	152.000000	36	152.000000	0.000000	243	9999-12-31	2013-05-08	125
1/9-1	SURF.COND.	20	423.000000	26	433.000000	0.000000	243	9999-12-31	2013-05-08	126
1/9-1	INTERM.	13 3/8	1343.000000	17 1/2	1355.000000	1.490000	243	9999-12-31	2013-05-08	127
1/9-1	INTERM.	9 5/8	2825.000000	12 1/4	2836.000000	0.000000	243	9999-12-31	2013-05-08	128
1/9-1	LINER	7	3369.000000	8 1/2	3706.000000	0.000000	243	9999-12-31	2013-05-08	129
1/9-2	CONDUCTOR	30	153.000000	36	153.000000	0.000000	244	9999-12-31	2013-05-08	130
1/9-2	SURF.COND.	20	433.000000	26	493.000000	0.000000	244	9999-12-31	2013-05-08	131
1/9-2	INTERM.	13 3/8	1375.000000	17 1/2	1390.000000	0.000000	244	9999-12-31	2013-05-08	132
1/9-2	INTERM.	9 5/8	2856.000000	12 1/4	2866.000000	0.000000	244	9999-12-31	2013-05-08	133
1/9-2	LINER	7	3458.000000	8 1/2	3459.000000	0.000000	244	9999-12-31	2013-05-08	134
1/9-3	CONDUCTOR	36	163.000000	44	170.000000	0.000000	245	9999-12-31	2013-05-08	135
1/9-3	SURF.COND.	20	434.000000	26	445.000000	0.000000	245	9999-12-31	2013-05-08	136
1/9-3	INTERM.	16	1345.000000	19 1/2	1360.000000	0.000000	245	9999-12-31	2013-05-08	137
1/9-3	INTERM.	13 3/8	2761.000000	17 1/2	2782.000000	0.000000	245	9999-12-31	2013-05-08	138
1/9-3 R	INTERM.	9 5/8	3830.000000	12 1/4	3830.000000	0.000000	246	9999-12-31	2013-05-08	139
1/9-3 R	OPEN HOLE	\N	4570.000000	8 1/2	4570.000000	0.000000	246	9999-12-31	2013-05-08	140
1/9-4	CONDUCTOR	30	151.000000	36	151.000000	0.000000	247	9999-12-31	2013-05-08	141
1/9-4	SURF.COND.	20	428.000000	26	437.000000	0.000000	247	9999-12-31	2013-05-08	142
1/9-4	INTERM.	13 3/8	1376.000000	17 1/2	1391.000000	0.000000	247	9999-12-31	2013-05-08	143
1/9-4	INTERM.	9 5/8	2569.000000	12 1/4	2580.000000	0.000000	247	9999-12-31	2013-05-08	144
1/9-4	LINER	7	3352.000000	8 1/2	3362.000000	0.000000	247	9999-12-31	2013-05-08	145
1/9-4	OPEN HOLE	\N	3710.000000	6	3710.000000	0.000000	247	9999-12-31	2013-05-08	146
1/9-5	CONDUCTOR	30	163.000000	36	163.000000	0.000000	248	9999-12-31	2013-05-08	147
1/9-5	SURF.COND.	20	428.000000	26	436.000000	0.000000	248	9999-12-31	2013-05-08	148
1/9-5	INTERM.	13 3/8	1367.000000	17 1/2	1379.000000	1.550000	248	9999-12-31	2013-05-08	149
1/9-5	INTERM.	9 5/8	2715.000000	12 1/2	2725.000000	1.900000	248	9999-12-31	2013-05-08	150
1/9-5	OPEN HOLE	\N	3450.000000	8 1/2	3450.000000	1.910000	248	9999-12-31	2013-05-08	151
1/9-6 S	CONDUCTOR	30	168.000000	36	168.000000	0.000000	44	9999-12-31	2013-05-08	152
1/9-6 S	SURF.COND.	20	463.000000	26	479.000000	1.340000	44	9999-12-31	2013-05-08	153
1/9-6 S	INTERM.	13 3/8	1453.000000	17 1/2	1472.000000	1.870000	44	9999-12-31	2013-05-08	154
1/9-6 S	INTERM.	9 5/8	3140.000000	12 1/4	3155.000000	2.060000	44	9999-12-31	2013-05-08	155
1/9-6 S	LINER	7	3866.000000	8 1/2	3880.000000	0.000000	44	9999-12-31	2013-05-08	156
1/9-7	CONDUCTOR	30	308.000000	36	310.000000	0.000000	4652	9999-12-31	2013-05-08	157
1/9-7	SURF.COND.	20	1039.000000	26	1047.000000	1.820000	4652	9999-12-31	2013-05-08	158
1/9-7	INTERM.	14	3050.000000	17 1/2	3058.000000	2.000000	4652	9999-12-31	2013-05-08	159
1/9-7	INTERM.	9 7/8	3838.000000	12 1/4	3845.000000	2.160000	4652	9999-12-31	2013-05-08	160
1/9-7	LINER	7 5/8	4604.000000	8 1/2	4605.000000	0.000000	4652	9999-12-31	2013-05-08	161
10/5-1	CONDUCTOR	30	183.000000	36	185.000000	0.000000	306	9999-12-31	2013-05-08	162
10/5-1	SURF.COND.	20	488.000000	26	490.000000	0.000000	306	9999-12-31	2013-05-08	163
10/5-1	INTERM.	13 3/8	1221.000000	17 1/2	1222.000000	0.000000	306	9999-12-31	2013-05-08	164
10/5-1	OPEN HOLE	\N	1843.000000	12 1/4	1843.000000	0.000000	306	9999-12-31	2013-05-08	165
10/7-1	CONDUCTOR	30	145.000000	36	147.000000	0.000000	1972	9999-12-31	2013-05-08	166
10/7-1	INTERM.	13 3/8	779.000000	17 1/2	793.000000	0.000000	1972	9999-12-31	2013-05-08	167
10/7-1	OPEN HOLE	\N	1890.000000	12 1/4	1890.000000	0.000000	1972	9999-12-31	2013-05-08	168
10/8-1	CONDUCTOR	30	142.000000	36	144.000000	0.000000	175	9999-12-31	2013-05-08	169
10/8-1	SURF.COND.	13 3/8	508.000000	17 1/2	510.000000	0.000000	175	9999-12-31	2013-05-08	170
10/8-1	INTERM.	9 5/8	1504.000000	12 1/4	1509.000000	0.000000	175	9999-12-31	2013-05-08	171
10/8-1	OPEN HOLE	\N	2861.000000	8 1/2	2861.000000	0.000000	175	9999-12-31	2013-05-08	172
11/10-1	SURF.COND.	20	130.000000	26	131.000000	0.000000	170	9999-12-31	2013-05-08	173
11/10-1	INTERM.	13 3/8	253.000000	17 1/2	255.000000	0.000000	170	9999-12-31	2013-05-08	174
11/10-1	INTERM.	9 5/8	1023.000000	12 1/4	1025.000000	0.000000	170	9999-12-31	2013-05-08	175
11/10-1	OPEN HOLE	\N	2430.000000	8 1/2	2430.000000	0.000000	170	9999-12-31	2013-05-08	176
11/5-1	CONDUCTOR	30	263.000000	36	267.000000	0.000000	5596	9999-12-31	2013-05-08	177
11/5-1	SURF.COND.	20	410.000000	26	415.000000	1.580000	5596	9999-12-31	2013-05-08	178
11/5-1	INTERM.	9 5/8	1063.000000	12 1/4	1073.000000	2.320000	5596	9999-12-31	2013-05-08	179
11/5-1	OPEN HOLE	\N	1950.000000	8 1/2	1950.000000	0.000000	5596	9999-12-31	2013-05-08	180
11/9-1	CONDUCTOR	30	145.000000	36	145.000000	0.000000	307	9999-12-31	2013-05-08	181
11/9-1	SURF.COND.	13 3/8	653.000000	17 1/2	653.000000	0.000000	307	9999-12-31	2013-05-08	182
11/9-1	INTERM.	9 5/8	1718.000000	12 1/4	1720.000000	0.000000	307	9999-12-31	2013-05-08	183
11/9-1	OPEN HOLE	\N	1972.000000	8 1/2	1972.000000	0.000000	307	9999-12-31	2013-05-08	184
15/12-1	CONDUCTOR	30	155.000000	36	155.000000	0.000000	94	9999-12-31	2013-05-08	185
15/12-1	SURF.COND.	20	399.000000	26	413.000000	0.000000	94	9999-12-31	2013-05-08	186
15/12-1	INTERM.	13 3/8	1533.000000	17 1/2	1538.000000	0.000000	94	9999-12-31	2013-05-08	187
15/12-1	INTERM.	9 5/8	2872.000000	12 1/4	2874.000000	0.000000	94	9999-12-31	2013-05-08	188
15/12-1	OPEN HOLE	\N	3269.000000	8 1/2	3269.000000	0.000000	94	9999-12-31	2013-05-08	189
15/12-10 S	CONDUCTOR	30	203.000000	36	206.000000	0.000000	2285	9999-12-31	2013-05-08	190
15/12-10 S	INTERM.	13 3/8	1388.000000	16	1396.000000	1.600000	2285	9999-12-31	2013-05-08	191
15/12-10 S	INTERM.	9 5/8	3154.000000	12 1/4	3160.000000	1.530000	2285	9999-12-31	2013-05-08	192
15/12-10 S	OPEN HOLE	\N	3550.000000	8 1/2	3550.000000	0.000000	2285	9999-12-31	2013-05-08	193
15/12-11 S	CONDUCTOR	30	169.000000	36	170.000000	0.000000	3074	9999-12-31	2013-05-08	194
15/12-11 S	SURF.COND.	18 5/8	394.000000	26	400.000000	1.690000	3074	9999-12-31	2013-05-08	195
15/12-11 S	INTERM.	13 3/8	1386.000000	17 1/2	1390.000000	1.850000	3074	9999-12-31	2013-05-08	196
15/12-11 S	INTERM.	9 5/8	2879.000000	12 1/4	2880.000000	1.850000	3074	9999-12-31	2013-05-08	197
15/12-11 S	OPEN HOLE	\N	3597.000000	8 1/2	3597.000000	0.000000	3074	9999-12-31	2013-05-08	198
15/12-12	CONDUCTOR	30	185.000000	36	185.000000	0.000000	3391	9999-12-31	2013-05-08	199
15/12-12	SURF.COND.	20	599.000000	26	605.000000	0.000000	3391	9999-12-31	2013-05-08	200
15/12-12	INTERM.	13 3/8	1377.000000	17 1/2	1384.000000	2.180000	3391	9999-12-31	2013-05-08	201
15/12-12	INTERM.	9 5/8	2829.000000	12 1/4	2836.000000	0.000000	3391	9999-12-31	2013-05-08	202
15/12-12	OPEN HOLE	\N	3085.000000	8 1/2	3035.000000	0.000000	3391	9999-12-31	2013-05-08	203
15/12-13	CONDUCTOR	30	165.000000	36	171.000000	0.000000	4733	9999-12-31	2013-05-08	204
15/12-13	SURF.COND.	13 3/8	1315.000000	17 1/2	1320.000000	1.710000	4733	9999-12-31	2013-05-08	205
15/12-13	OPEN HOLE	\N	3047.000000	12 1/4	3047.000000	0.000000	4733	9999-12-31	2013-05-08	206
15/12-13 A	CONDUCTOR	30	165.000000	36	171.000000	0.000000	4754	9999-12-31	2013-05-08	207
15/12-13 A	SURF.COND.	13 3/8	1315.000000	17 1/2	1320.000000	0.000000	4754	9999-12-31	2013-05-08	208
15/12-13 A	OPEN HOLE	\N	2532.000000	12 1/4	2532.000000	0.000000	4754	9999-12-31	2013-05-08	209
15/12-13 B	CONDUCTOR	30	165.000000	36	171.000000	0.000000	4759	9999-12-31	2013-05-08	210
15/12-13 B	SURF.COND.	13 3/8	1315.000000	17 1/2	1320.000000	0.000000	4759	9999-12-31	2013-05-08	211
15/12-13 B	INTERM.	9 5/8	2920.000000	12 1/4	2951.000000	1.880000	4759	9999-12-31	2013-05-08	212
15/12-13 B	OPEN HOLE	\N	3151.000000	8 1/2	3151.000000	0.000000	4759	9999-12-31	2013-05-08	213
15/12-14	INTERM.	9 5/8	3099.000000	12 1/4	3110.000000	1.350000	4845	9999-12-31	2013-05-08	214
15/12-14	INTERM.	5 1/2	3254.000000	8 1/2	3254.000000	0.000000	4845	9999-12-31	2013-05-08	215
15/12-15	CONDUCTOR	30	175.000000	36	176.000000	0.000000	5017	9999-12-31	2013-05-08	216
15/12-15	SURF.COND.	13 3/8	1364.000000	17 1/2	1370.000000	1.740000	5017	9999-12-31	2013-05-08	217
15/12-15	OPEN HOLE	\N	3300.000000	12 1/4	3300.000000	0.000000	5017	9999-12-31	2013-05-08	218
15/12-16 S	CONDUCTOR	30	187.000000	36	191.000000	0.000000	5271	9999-12-31	2013-05-08	219
15/12-16 S	SURF.COND.	13 3/8	1312.000000	17 1/2	1319.000000	1.800000	5271	9999-12-31	2013-05-08	220
15/12-16 S	INTERM.	9 5/8	2826.000000	12 1/4	2835.000000	1.200000	5271	9999-12-31	2013-05-08	221
15/12-16 S	LINER	7	2955.000000	8 1/2	2961.000000	0.000000	5271	9999-12-31	2013-05-08	222
15/12-17 A	INTERM.	9 5/8	3023.000000	12 1/4	3034.000000	1.800000	5484	9999-12-31	2013-05-08	223
15/12-17 A	OPEN HOLE	\N	3620.000000	8 1/2	3620.000000	0.000000	5484	9999-12-31	2013-05-08	224
15/12-17 S	CONDUCTOR	30	213.000000	36	215.000000	0.000000	5442	9999-12-31	2013-05-08	225
15/12-17 S	INTERM.	13 3/8	1306.000000	17 1/2	1313.000000	1.720000	5442	9999-12-31	2013-05-08	226
15/12-17 S	INTERM.	9 5/8	3251.000000	12 1/4	3258.000000	0.000000	5442	9999-12-31	2013-05-08	227
15/12-17 S	OPEN HOLE	\N	3371.000000	8 1/2	3371.000000	0.000000	5442	9999-12-31	2013-05-08	228
15/12-18 A	OPEN HOLE	\N	3036.000000	8 1/2	3036.000000	1.580000	5608	9999-12-31	2013-05-08	229
15/12-18 S	OPEN HOLE	\N	3520.000000	6	3520.000000	0.000000	5607	9999-12-31	2013-05-08	230
15/12-18 S	CONDUCTOR	30	230.000000	36	232.000000	0.000000	5607	9999-12-31	2013-05-08	231
15/12-18 S	SURF.COND.	20	469.000000	24	474.000000	0.000000	5607	9999-12-31	2013-05-08	232
15/12-18 S	INTERM.	13 3/8	1168.000000	17 1/2	1173.000000	2.040000	5607	9999-12-31	2013-05-08	233
15/12-18 S	INTERM.	9 5/8	2770.000000	12 1/4	2773.000000	0.000000	5607	9999-12-31	2013-05-08	234
15/12-18 S	LINER	7	3175.000000	8 1/2	3175.000000	1.580000	5607	9999-12-31	2013-05-08	235
15/12-19	CONDUCTOR	30	194.000000	36	203.000000	0.000000	5705	9999-12-31	2013-05-08	236
15/12-19	SURF.COND.	20	661.000000	24	672.000000	1.560000	5705	9999-12-31	2013-05-08	237
15/12-19	INTERM.	13 3/8	1360.000000	17 1/2	1364.000000	1.560000	5705	9999-12-31	2013-05-08	238
15/12-19	INTERM.	9 5/8	2905.000000	12 1/4	2911.000000	1.560000	5705	9999-12-31	2013-05-08	239
15/12-19	OPEN HOLE	\N	3212.000000	8 1/2	3212.000000	0.000000	5705	9999-12-31	2013-05-08	240
15/12-2	CONDUCTOR	30	143.000000	36	145.000000	0.000000	331	9999-12-31	2013-05-08	241
15/12-2	SURF.COND.	20	344.000000	26	370.000000	0.000000	331	9999-12-31	2013-05-08	242
15/12-2	INTERM.	13 3/8	1787.000000	17 1/2	1943.000000	0.000000	331	9999-12-31	2013-05-08	243
15/12-2	OPEN HOLE	\N	2924.000000	12 1/4	2924.000000	0.000000	331	9999-12-31	2013-05-08	244
15/12-20 S	INTERM.	9 5/8	3370.000000	12 1/4	3375.000000	1.700000	5824	9999-12-31	2013-05-08	245
15/12-20 S	LINER	7	4191.000000	8 1/2	4192.000000	0.000000	5824	9999-12-31	2013-05-08	246
15/12-21	CONDUCTOR	30	211.000000	36	211.000000	0.000000	6047	9999-12-31	2013-05-08	247
15/12-21	SURF.COND.	13 3/8	1189.000000	17 1/2	1192.000000	1.880000	6047	9999-12-31	2013-05-08	248
15/12-21	INTERM.	9 5/8	2966.000000	12 1/4	2976.000000	1.980000	6047	9999-12-31	2013-05-08	249
15/12-21	LINER	7	3309.000000	8 1/2	3310.000000	0.000000	6047	9999-12-31	2013-05-08	250
15/12-21 A	OPEN HOLE	\N	2162.000000	8 1/2	3702.000000	1.710000	6139	9999-12-31	2013-05-08	251
15/12-22	CONDUCTOR	30	174.000000	36	174.000000	0.000000	6326	9999-12-31	2013-05-08	252
15/12-22	SURF.COND.	20	622.000000	26	628.000000	1.930000	6326	9999-12-31	2013-05-08	253
15/12-22	INTERM.	13 3/8	1541.000000	17 1/2	1550.000000	1.840000	6326	9999-12-31	2013-05-08	254
15/12-22	OPEN HOLE	\N	3035.000000	12 1/4	3035.000000	0.000000	6326	9999-12-31	2013-05-08	255
15/12-22	PILOT HOLE	\N	628.000000	9 7/8	628.000000	0.000000	6326	9999-12-31	2013-05-08	256
15/12-23	CONDUCTOR	30	173.000000	36	173.000000	0.000000	6327	9999-12-31	2013-05-08	257
15/12-23	SURF.COND.	13 3/8	1178.000000	17 1/2	1184.000000	1.700000	6327	9999-12-31	2013-05-08	258
15/12-23	INTERM.	9 5/8	2998.000000	12 174	3008.000000	1.950000	6327	9999-12-31	2013-05-08	259
15/12-23	OPEN HOLE	\N	3485.000000	8 1/2	3485.000000	0.000000	6327	9999-12-31	2013-05-08	260
15/12-23 A	INTERM.	9 5/8	2844.000000	12 1/4	2852.000000	1.730000	6404	9999-12-31	2013-05-08	261
15/12-23 A	OPEN HOLE	\N	4772.000000	8 1/2	4772.000000	0.000000	6404	9999-12-31	2013-05-08	262
15/12-3	CONDUCTOR	30	146.000000	36	148.000000	0.000000	199	9999-12-31	2013-05-08	263
15/12-3	SURF.COND.	20	527.000000	26	540.000000	1.760000	199	9999-12-31	2013-05-08	264
15/12-3	INTERM.	13 3/8	2126.000000	17 1/2	2140.000000	1.750000	199	9999-12-31	2013-05-08	265
15/12-3	INTERM.	9 5/8	3326.000000	12 1/4	3342.000000	1.700000	199	9999-12-31	2013-05-08	266
15/12-3	LINER	7	4425.000000	8 1/2	4425.000000	0.000000	199	9999-12-31	2013-05-08	267
15/12-4	CONDUCTOR	30	171.000000	36	173.000000	0.000000	438	9999-12-31	2013-05-08	268
15/12-4	SURF.COND.	20	505.000000	26	520.000000	1.440000	438	9999-12-31	2013-05-08	269
15/12-4	INTERM.	13 3/8	1601.000000	17 1/2	1620.000000	1.840000	438	9999-12-31	2013-05-08	270
15/12-4	INTERM.	9 5/8	2666.000000	12 1/4	2680.000000	1.860000	438	9999-12-31	2013-05-08	271
15/12-4	OPEN HOLE	\N	3179.000000	8 1/2	3179.000000	0.000000	438	9999-12-31	2013-05-08	272
15/12-6 S	CONDUCTOR	30	167.000000	36	167.000000	0.000000	1524	9999-12-31	2013-05-08	273
15/12-6 S	INTERM.	20	599.000000	26	615.000000	1.560000	1524	9999-12-31	2013-05-08	274
15/12-6 S	INTERM.	13 3/8	1700.000000	17 1/2	1715.000000	1.820000	1524	9999-12-31	2013-05-08	275
15/12-6 S	INTERM.	9 5/8	2743.000000	12 1/4	2757.000000	1.970000	1524	9999-12-31	2013-05-08	276
15/12-6 S	LINER	7	3046.000000	8 1/2	3050.000000	0.000000	1524	9999-12-31	2013-05-08	277
15/12-7 S	CONDUCTOR	30	168.000000	36	170.000000	0.000000	1680	9999-12-31	2013-05-08	278
15/12-7 S	INTERM.	20	604.000000	26	606.000000	2.080000	1680	9999-12-31	2013-05-08	279
15/12-7 S	INTERM.	13 3/8	1797.000000	17 1/2	1800.000000	1.850000	1680	9999-12-31	2013-05-08	280
15/12-7 S	INTERM.	9 5/8	3014.000000	12 1/4	3016.000000	1.650000	1680	9999-12-31	2013-05-08	281
15/12-7 S	OPEN HOLE	\N	3570.000000	8 1/2	3570.000000	0.000000	1680	9999-12-31	2013-05-08	282
15/12-8	CONDUCTOR	30	170.500000	36	172.000000	0.000000	1778	9999-12-31	2013-05-08	283
15/12-8	INTERM.	20	601.000000	26	603.000000	1.740000	1778	9999-12-31	2013-05-08	284
15/12-8	INTERM.	13 3/8	1798.000000	17 1/2	1800.000000	1.840000	1778	9999-12-31	2013-05-08	285
15/12-8	INTERM.	9 5/8	2837.000000	12 1/4	2840.000000	2.010000	1778	9999-12-31	2013-05-08	286
15/12-8	LINER	7	3051.000000	8 1/2	3051.000000	0.000000	1778	9999-12-31	2013-05-08	287
15/12-8 A	OPEN HOLE	\N	2940.000000	8 1/2	2940.000000	0.000000	1835	9999-12-31	2013-05-08	288
15/2-1	CONDUCTOR	30	196.000000	36	196.000000	0.000000	308	9999-12-31	2013-05-08	289
15/2-1	SURF.COND.	20	653.000000	26	655.000000	1.720000	308	9999-12-31	2013-05-08	290
15/2-1	INTERM.	13 3/8	2737.000000	17 1/2	2750.000000	1.710000	308	9999-12-31	2013-05-08	291
15/2-1	INTERM.	9 5/8	3770.000000	12 1/4	3786.000000	1.990000	308	9999-12-31	2013-05-08	292
15/2-1	OPEN HOLE	\N	4600.000000	8 3/8	4600.000000	0.000000	308	9999-12-31	2013-05-08	293
15/3-2	CONDUCTOR	30	185.000000	36	186.000000	0.000000	310	9999-12-31	2013-05-08	294
15/3-2	SURF.COND.	20	774.000000	26	784.000000	0.000000	310	9999-12-31	2013-05-08	295
15/3-2	INTERM.	13 3/8	2862.000000	17 1/2	2875.000000	0.000000	310	9999-12-31	2013-05-08	296
15/3-2	INTERM.	9 5/8	4248.000000	12 1/4	4285.000000	0.000000	310	9999-12-31	2013-05-08	297
15/3-2 R	LINER	7	4665.000000	8 1/2	4990.000000	0.000000	311	9999-12-31	2013-05-08	298
15/3-6	CONDUCTOR	30	212.000000	36	216.000000	0.000000	3250	9999-12-31	2013-05-08	299
15/3-6	INTERM.	13 3/8	1015.000000	17 1/2	1015.000000	0.000000	3250	9999-12-31	2013-05-08	300
15/3-6	OPEN HOLE	\N	1018.000000	12 1/4	1018.000000	2.010000	3250	9999-12-31	2013-05-08	301
15/3-6	OPEN HOLE	\N	2793.000000	8 1/2	2793.000000	0.000000	3250	9999-12-31	2013-05-08	302
15/3-7	CONDUCTOR	30	188.000000	36	190.000000	0.000000	4055	9999-12-31	2013-05-08	303
15/3-7	SURF.COND.	20	940.000000	26	945.000000	1.870000	4055	9999-12-31	2013-05-08	304
15/3-7	INTERM.	13 3/8	2682.000000	17 1/2	2740.000000	1.670000	4055	9999-12-31	2013-05-08	305
15/3-7	INTERM.	9 7/8	3990.000000	12 1/4	3996.000000	2.080000	4055	9999-12-31	2013-05-08	306
15/3-7	OPEN HOLE	\N	4818.000000	8 1/2	4818.000000	0.000000	4055	9999-12-31	2013-05-08	307
15/3-8	CONDUCTOR	30	179.000000	36	179.000000	0.000000	5175	9999-12-31	2013-05-08	308
15/3-8	SURF.COND.	20	1001.000000	26	1010.000000	1.500000	5175	9999-12-31	2013-05-08	309
15/3-8	INTERM.	14	2754.000000	17 1/2	2765.000000	1.710000	5175	9999-12-31	2013-05-08	310
15/3-8	INTERM.	9 7/8	3910.000000	12 1/4	3910.000000	2.120000	5175	9999-12-31	2013-05-08	311
15/3-8	LINER	7	4298.000000	8 1/2	4590.000000	0.000000	5175	9999-12-31	2013-05-08	312
15/3-9	CONDUCTOR	30	203.000000	36	203.000000	0.000000	6354	9999-12-31	2013-05-08	313
15/3-9	SURF.COND.	20	991.000000	26	1001.000000	1.780000	6354	9999-12-31	2013-05-08	314
15/3-9	INTERM.	14	2715.000000	17 1/2	2721.000000	1.710000	6354	9999-12-31	2013-05-08	315
15/3-9	INTERM.	9 7/8	3900.000000	12 1/4	3903.000000	2.130000	6354	9999-12-31	2013-05-08	316
15/3-9	OPEN HOLE	\N	4654.000000	8 1/2	4654.000000	0.000000	6354	9999-12-31	2013-05-08	317
15/5-5	CONDUCTOR	30	210.000000	36	210.000000	0.000000	2635	9999-12-31	2013-05-08	318
15/5-5	SURF.COND.	13 3/8	990.000000	17 1/2	1000.000000	0.000000	2635	9999-12-31	2013-05-08	319
15/5-5	INTERM.	9 5/8	1545.000000	12 1/4	1549.000000	0.000000	2635	9999-12-31	2013-05-08	320
15/5-5	LINER	7	2593.000000	8 1/2	2645.000000	0.000000	2635	9999-12-31	2013-05-08	321
15/5-6	CONDUCTOR	30	194.000000	36	194.000000	0.000000	3113	9999-12-31	2013-05-08	322
15/5-6	SURF.COND.	13 3/8	995.000000	17 1/2	1002.000000	0.000000	3113	9999-12-31	2013-05-08	323
15/5-6	OPEN HOLE	\N	2725.000000	8 1/2	2725.000000	1.780000	3113	9999-12-31	2013-05-08	324
15/5-7	CONDUCTOR	30	194.000000	36	198.000000	0.000000	5842	9999-12-31	2013-05-08	325
15/5-7	SURF.COND.	20	1039.000000	26	1048.000000	1.920000	5842	9999-12-31	2013-05-08	326
15/5-7	INTERM.	13 3/8	2657.000000	17 1/2	2669.000000	1.650000	5842	9999-12-31	2013-05-08	327
15/5-7	OPEN HOLE	\N	4037.000000	8 1/2	4063.000000	0.000000	5842	9999-12-31	2013-05-08	328
15/5-7 A	INTERM.	13 3/8	2657.000000	17 1/2	2669.000000	1.650000	5946	9999-12-31	2013-05-08	329
15/5-7 A	OPEN HOLE	\N	4130.000000	8 1/2	4130.000000	0.000000	5946	9999-12-31	2013-05-08	330
15/6-1	CONDUCTOR	30	152.000000	36	158.000000	0.000000	197	9999-12-31	2013-05-08	331
15/6-1	INTERM.	20	369.000000	26	384.000000	0.000000	197	9999-12-31	2013-05-08	332
15/6-1	INTERM.	13 3/8	1225.000000	17 1/2	1247.000000	0.000000	197	9999-12-31	2013-05-08	333
15/6-1	INTERM.	9 5/8	1664.000000	12 1/4	1679.000000	0.000000	197	9999-12-31	2013-05-08	334
15/6-10	CONDUCTOR	30	200.000000	36	201.000000	0.000000	6030	9999-12-31	2013-05-08	335
15/6-10	SURF.COND.	20	685.000000	26	696.000000	0.000000	6030	9999-12-31	2013-05-08	336
15/6-10	INTERM.	13 3/8	2103.000000	17 1/2	2109.000000	2.150000	6030	9999-12-31	2013-05-08	337
15/6-10	INTERM.	9 5/8	3389.000000	12 1/4	3395.000000	1.840000	6030	9999-12-31	2013-05-08	338
15/6-10	OPEN HOLE	\N	3700.000000	8 1/2	3700.000000	0.000000	6030	9999-12-31	2013-05-08	339
15/6-11 A	LINER	9 5/8	4002.000000	12 1/4	4006.000000	2.130000	6526	9999-12-31	2013-05-08	340
15/6-11 A	LINER	7	4304.000000	8 1/2	4305.000000	0.000000	6526	9999-12-31	2013-05-08	341
15/6-11 S	CONDUCTOR	30	187.000000	36	190.000000	0.000000	6488	9999-12-31	2013-05-08	342
15/6-11 S	SURF.COND.	20	690.000000	26	696.000000	1.980000	6488	9999-12-31	2013-05-08	343
15/6-11 S	INTERM.	13 3/8	2181.500000	17 1/2	2190.000000	1.660000	6488	9999-12-31	2013-05-08	344
15/6-11 S	INTERM.	9 5/8	3817.000000	12 1/4	3817.000000	1.980000	6488	9999-12-31	2013-05-08	345
15/6-11 S	OPEN HOLE	\N	4042.000000	8 1/2	4042.000000	0.000000	6488	9999-12-31	2013-05-08	346
15/6-12	CONDUCTOR	30	199.000000	36	203.000000	0.000000	6518	9999-12-31	2013-05-08	347
15/6-12	SURF.COND.	20	1092.000000	26	1104.000000	2.000000	6518	9999-12-31	2013-05-08	348
15/6-12	INTERM.	14	2754.000000	17 1/2	2768.000000	1.650000	6518	9999-12-31	2013-05-08	349
15/6-12	INTERM.	9 5/8	3629.000000	12 1/4	3632.000000	2.020000	6518	9999-12-31	2013-05-08	350
15/6-12	OPEN HOLE	\N	3930.000000	8 1/2	3930.000000	0.000000	6518	9999-12-31	2013-05-08	351
15/6-6	LINER	7	3686.000000	8 1/2	3760.000000	0.000000	38	9999-12-31	2013-05-08	352
15/6-6	CONDUCTOR	30	196.000000	36	197.000000	0.000000	38	9999-12-31	2013-05-08	353
15/6-6	SURF.COND.	20	447.000000	26	465.000000	1.540000	38	9999-12-31	2013-05-08	354
15/6-6	INTERM.	13 3/8	1203.000000	17 1/2	1218.000000	1.670000	38	9999-12-31	2013-05-08	355
15/6-6	INTERM.	9 5/8	2778.000000	12 1/4	2794.000000	1.720000	38	9999-12-31	2013-05-08	356
15/6-7	CONDUCTOR	30	217.000000	36	220.000000	0.000000	2084	9999-12-31	2013-05-08	357
15/6-7	INTERM.	20	492.000000	26	505.000000	1.360000	2084	9999-12-31	2013-05-08	358
15/6-7	INTERM.	13 3/8	1157.000000	17 1/2	1173.000000	1.840000	2084	9999-12-31	2013-05-08	359
15/6-7	INTERM.	9 5/8	2773.000000	12 1/4	2788.000000	1.740000	2084	9999-12-31	2013-05-08	360
15/6-7	OPEN HOLE	\N	3540.000000	8 1/2	3540.000000	0.000000	2084	9999-12-31	2013-05-08	361
15/6-8 A	CONDUCTOR	30	175.500000	36	177.500000	0.000000	3077	9999-12-31	2013-05-08	362
15/6-8 A	SURF.COND.	13 3/8	499.000000	17 1/2	512.000000	0.000000	3077	9999-12-31	2013-05-08	363
15/6-8 A	INTERM.	9 5/8	1492.000000	12 1/4	1510.000000	1.410000	3077	9999-12-31	2013-05-08	364
15/6-8 A	OPEN HOLE	\N	2480.000000	8 1/2	2480.000000	0.000000	3077	9999-12-31	2013-05-08	365
15/6-8 S	CONDUCTOR	30	175.500000	36	177.500000	0.000000	3014	9999-12-31	2013-05-08	366
15/6-8 S	SURF.COND.	13 3/8	499.000000	17 1/2	512.000000	0.000000	3014	9999-12-31	2013-05-08	367
15/6-8 S	INTERM.	9 5/8	1492.000000	12 1/4	1510.000000	1.410000	3014	9999-12-31	2013-05-08	368
15/6-8 S	OPEN HOLE	\N	3225.000000	8 172	3225.000000	1.650000	3014	9999-12-31	2013-05-08	369
15/6-9 A	OPEN HOLE	\N	3690.000000	8 1/2	3690.000000	0.000000	5566	9999-12-31	2013-05-08	370
15/6-9 B	OPEN HOLE	\N	4010.000000	8 1/2	4010.000000	0.000000	5571	9999-12-31	2013-05-08	371
15/6-9 S	CONDUCTOR	30	268.000000	36	275.000000	0.000000	5494	9999-12-31	2013-05-08	372
15/6-9 S	SURF.COND.	20	753.000000	24	768.000000	1.590000	5494	9999-12-31	2013-05-08	373
15/6-9 S	INTERM.	13 3/8	2786.000000	17 1/2	2797.000000	1.600000	5494	9999-12-31	2013-05-08	374
15/6-9 S	OPEN HOLE	\N	3940.000000	8 1/2	3940.000000	0.000000	5494	9999-12-31	2013-05-08	375
15/8-1	CONDUCTOR	30	187.000000	36	187.000000	0.000000	321	9999-12-31	2013-05-08	376
15/8-1	SURF.COND.	20	500.000000	26	515.000000	1.710000	321	9999-12-31	2013-05-08	377
15/8-1	INTERM.	13 3/8	1185.000000	17 1/2	1200.000000	1.930000	321	9999-12-31	2013-05-08	378
15/8-1	INTERM.	9 5/8	2874.000000	12 1/4	2890.000000	1.750000	321	9999-12-31	2013-05-08	379
15/8-1	LINER	7	3990.000000	8 1/2	3991.000000	2.130000	321	9999-12-31	2013-05-08	380
15/8-1	LINER	4 1/2	4296.000000	6	4300.000000	0.000000	321	9999-12-31	2013-05-08	381
15/9-1	LINER	7	3734.000000	8 1/2	3734.000000	0.000000	322	9999-12-31	2013-05-08	382
15/9-1	CONDUCTOR	30	168.000000	36	170.000000	0.000000	322	9999-12-31	2013-05-08	383
15/9-1	SURF.COND.	20	397.000000	26	400.000000	0.000000	322	9999-12-31	2013-05-08	384
15/9-1	INTERM.	13 3/8	1203.000000	17 1/2	1205.000000	0.000000	322	9999-12-31	2013-05-08	385
15/9-1	INTERM.	9 5/8	2849.000000	12 1/4	2850.000000	0.000000	322	9999-12-31	2013-05-08	386
15/9-10	CONDUCTOR	30	172.000000	36	173.000000	0.000000	69	9999-12-31	2013-05-08	387
15/9-10	SURF.COND.	20	472.000000	26	485.000000	1.750000	69	9999-12-31	2013-05-08	388
15/9-10	INTERM.	13 3/8	1166.000000	17 1/2	1178.000000	1.650000	69	9999-12-31	2013-05-08	389
15/9-10	INTERM.	9 5/8	2706.000000	12 1/4	2719.000000	1.780000	69	9999-12-31	2013-05-08	390
15/9-10	OPEN HOLE	\N	3289.000000	8 1/2	3289.000000	0.000000	69	9999-12-31	2013-05-08	391
15/9-11	INTERM.	9 5/8	2575.000000	12 1/4	2590.000000	1.850000	329	9999-12-31	2013-05-08	392
15/9-11	LINER	7	2950.000000	8 1/2	2950.000000	0.000000	329	9999-12-31	2013-05-08	393
15/9-11	INTERM.	13 3/8	1159.000000	17 1/2	1176.000000	1.770000	329	9999-12-31	2013-05-08	394
15/9-11	SURF.COND.	20	569.000000	26	585.000000	1.540000	329	9999-12-31	2013-05-08	395
15/9-11	CONDUCTOR	30	174.000000	36	175.000000	0.000000	329	9999-12-31	2013-05-08	396
15/9-14	CONDUCTOR	30	187.000000	36	189.000000	0.000000	71	9999-12-31	2013-05-08	397
15/9-14	SURF.COND.	20	500.000000	26	515.000000	1.510000	71	9999-12-31	2013-05-08	398
15/9-14	INTERM.	13 3/8	1351.000000	17 1/2	1371.000000	1.710000	71	9999-12-31	2013-05-08	399
15/9-14	INTERM.	9 5/8	3001.000000	12 1/4	3016.000000	1.880000	71	9999-12-31	2013-05-08	400
15/9-14	OPEN HOLE	\N	3563.000000	8 1/2	3563.000000	0.000000	71	9999-12-31	2013-05-08	401
15/9-18	CONDUCTOR	30	181.000000	36	182.000000	0.000000	36	9999-12-31	2013-05-08	402
15/9-18	SURF.COND.	20	499.000000	26	520.000000	1.470000	36	9999-12-31	2013-05-08	403
15/9-18	INTERM.	13 3/8	1150.000000	17 1/2	1170.000000	1.520000	36	9999-12-31	2013-05-08	404
15/9-18	INTERM.	9 5/8	2743.000000	12 1/4	2762.000000	1.740000	36	9999-12-31	2013-05-08	405
15/9-18	OPEN HOLE	\N	3622.000000	8 1/2	3622.000000	0.000000	36	9999-12-31	2013-05-08	406
15/9-19 A	INTERM.	9 5/8	2178.000000	12 1/4	2179.000000	0.000000	3145	9999-12-31	2013-05-08	407
15/9-19 A	LINER	7	4044.000000	8 1/2	4044.000000	0.000000	3145	9999-12-31	2013-05-08	408
15/9-19 B	LINER	7	3198.000000	8 1/2	3198.000000	0.000000	3251	9999-12-31	2013-05-08	409
15/9-19 B	OPEN HOLE	\N	4250.000000	6	4250.000000	0.000000	3251	9999-12-31	2013-05-08	410
15/9-19 S	CONDUCTOR	30	166.000000	36	166.000000	0.000000	2043	9999-12-31	2013-05-08	411
15/9-19 S	SURF.COND.	20	531.000000	26	531.000000	0.000000	2043	9999-12-31	2013-05-08	412
15/9-19 S	INTERM.	13 3/8	1482.000000	17 1/2	1484.000000	0.000000	2043	9999-12-31	2013-05-08	413
15/9-19 S	INTERM.	9 5/8	3569.000000	12 1/4	3572.000000	0.000000	2043	9999-12-31	2013-05-08	414
15/9-19 SR	LINER	7	4640.000000	8 1/2	4640.000000	0.000000	2105	9999-12-31	2013-05-08	415
15/9-20 S	CONDUCTOR	26	283.000000	30	285.000000	0.000000	2319	9999-12-31	2013-05-08	416
15/9-20 S	SURF.COND.	18 5/8	501.000000	20	504.000000	0.000000	2319	9999-12-31	2013-05-08	417
15/9-20 S	INTERM.	13 3/8	1729.000000	17 1/2	1731.000000	1.650000	2319	9999-12-31	2013-05-08	418
15/9-20 S	INTERM.	9 5/8	2922.000000	12 1/4	2922.000000	1.780000	2319	9999-12-31	2013-05-08	419
15/9-20 S	LINER	7	3624.000000	8 1/2	3626.000000	1.920000	2319	9999-12-31	2013-05-08	420
15/9-21 S	CONDUCTOR	32	266.000000	36	267.000000	0.000000	3334	9999-12-31	2013-05-08	421
15/9-21 S	SURF.COND.	18 5/8	501.000000	24	506.000000	1.650000	3334	9999-12-31	2013-05-08	422
15/9-21 S	INTERM.	13 3/8	2248.000000	17 1/2	2253.000000	1.750000	3334	9999-12-31	2013-05-08	423
15/9-21 S	INTERM.	9 5/8	3452.000000	12 1/4	3457.000000	1.750000	3334	9999-12-31	2013-05-08	424
15/9-21 S	OPEN HOLE	\N	5126.000000	8 1/2	5126.000000	0.000000	3334	9999-12-31	2013-05-08	425
15/9-22	CONDUCTOR	30	201.000000	36	205.000000	0.000000	5174	9999-12-31	2013-05-08	426
15/9-22	SURF.COND.	18 5/8	504.000000	26	508.000000	1.580000	5174	9999-12-31	2013-05-08	427
15/9-22	INTERM.	13 5/8	1517.000000	17 1/2	1523.000000	1.890000	5174	9999-12-31	2013-05-08	428
15/9-22	INTERM.	9 5/8	2942.000000	12 1/4	2948.000000	2.030000	5174	9999-12-31	2013-05-08	429
15/9-22	OPEN HOLE	\N	3915.000000	8 1/2	3915.000000	0.000000	5174	9999-12-31	2013-05-08	430
15/9-23	CONDUCTOR	30	175.000000	36	178.000000	0.000000	6186	9999-12-31	2013-05-08	431
15/9-23	SURF.COND.	20	550.000000	26	713.000000	1.650000	6186	9999-12-31	2013-05-08	432
15/9-23	INTERM.	13 3/8	1519.000000	17 1/2	1525.000000	1.950000	6186	9999-12-31	2013-05-08	433
15/9-23	INTERM.	9 5/8	2998.000000	12 1/4	3005.000000	2.100000	6186	9999-12-31	2013-05-08	434
15/9-23	OPEN HOLE	\N	3225.000000	8 1/2	3225.000000	0.000000	6186	9999-12-31	2013-05-08	435
15/9-24	CONDUCTOR	30	159.000000	36	163.000000	0.000000	6381	9999-12-31	2013-05-08	436
15/9-24	SURF.COND.	20	621.000000	26	627.000000	1.900000	6381	9999-12-31	2013-05-08	437
15/9-24	INTERM.	13 3/8	1496.000000	17 1/2	1504.000000	1.810000	6381	9999-12-31	2013-05-08	438
15/9-24	OPEN HOLE	\N	2400.000000	8 1/2	2400.000000	0.000000	6381	9999-12-31	2013-05-08	439
16/10-1	CONDUCTOR	30	195.000000	36	195.000000	0.000000	901	9999-12-31	2013-05-08	440
16/10-1	SURF.COND.	20	505.000000	26	522.000000	1.610000	901	9999-12-31	2013-05-08	441
16/10-1	INTERM.	13 3/8	1409.000000	17 1/2	1424.000000	1.820000	901	9999-12-31	2013-05-08	442
16/10-1	INTERM.	9 5/8	2540.000000	12 1/4	2565.000000	1.820000	901	9999-12-31	2013-05-08	443
16/10-1	OPEN HOLE	\N	3151.000000	8 1/2	3151.000000	0.000000	901	9999-12-31	2013-05-08	444
16/10-2	CONDUCTOR	30	161.000000	36	163.000000	0.000000	1767	9999-12-31	2013-05-08	445
16/10-2	INTERM.	20	407.000000	26	417.000000	1.640000	1767	9999-12-31	2013-05-08	446
16/10-2	INTERM.	13 3/8	1397.000000	17 1/2	1405.000000	1.800000	1767	9999-12-31	2013-05-08	447
16/10-2	INTERM.	9 5/8	2777.000000	12 1/4	2798.000000	1.860000	1767	9999-12-31	2013-05-08	448
16/10-2	OPEN HOLE	\N	3150.000000	8 1/2	3150.000000	0.000000	1767	9999-12-31	2013-05-08	449
16/10-3	CONDUCTOR	30	187.000000	36	190.000000	0.000000	2703	9999-12-31	2013-05-08	450
16/10-3	SURF.COND.	20	421.000000	26	422.000000	1.490000	2703	9999-12-31	2013-05-08	451
16/10-3	INTERM.	13 3/8	1225.000000	17 1/2	1226.000000	1.770000	2703	9999-12-31	2013-05-08	452
16/10-3	INTERM.	9 5/8	2138.000000	12 1/4	2140.000000	1.750000	2703	9999-12-31	2013-05-08	453
16/10-3	OPEN HOLE	\N	2850.000000	8 1/2	2850.000000	0.000000	2703	9999-12-31	2013-05-08	454
16/10-4	CONDUCTOR	30	195.000000	36	205.000000	0.000000	3531	9999-12-31	2013-05-08	455
16/10-4	SURF.COND.	20	373.000000	26	380.000000	1.420000	3531	9999-12-31	2013-05-08	456
16/10-4	INTERM.	13 3/8	1219.000000	17 1/2	1230.000000	1.700000	3531	9999-12-31	2013-05-08	457
16/10-4	INTERM.	9 5/8	2104.000000	12 1/4	2110.000000	1.750000	3531	9999-12-31	2013-05-08	458
16/10-4	OPEN HOLE	\N	2580.000000	8 1/2	2580.000000	0.000000	3531	9999-12-31	2013-05-08	459
16/1-1	CONDUCTOR	30	174.000000	36	175.000000	0.000000	147	9999-12-31	2013-05-08	460
16/1-1	SURF.COND.	20	387.000000	26	390.000000	0.000000	147	9999-12-31	2013-05-08	461
16/1-1	INTERM.	9 5/8	1400.000000	12 1/4	1401.000000	0.000000	147	9999-12-31	2013-05-08	462
16/1-1	OPEN HOLE	\N	3203.000000	8 1/2	3203.000000	0.000000	147	9999-12-31	2013-05-08	463
16/1-10	CONDUCTOR	30	211.000000	36	211.000000	0.000000	5879	9999-12-31	2013-05-08	464
16/1-10	SURF.COND.	20	404.000000	26	411.000000	1.490000	5879	9999-12-31	2013-05-08	465
16/1-10	INTERM.	13 3/8	589.000000	17 1/2	595.000000	2.050000	5879	9999-12-31	2013-05-08	466
16/1-10	INTERM.	9 5/8	1854.000000	12 1/4	1860.000000	1.380000	5879	9999-12-31	2013-05-08	467
16/1-10	LINER	7	2149.000000	8 1/2	2151.000000	0.000000	5879	9999-12-31	2013-05-08	468
16/1-11	CONDUCTOR	30	196.500000	36	165.500000	0.000000	6157	9999-12-31	2013-05-08	469
16/1-11	SURF.COND.	20	600.000000	26	603.000000	0.000000	6157	9999-12-31	2013-05-08	470
16/1-11	INTERM.	13 3/8	1764.500000	17 1/2	1770.000000	1.780000	6157	9999-12-31	2013-05-08	471
16/1-11	INTERM.	9 5/8	2356.000000	12 1/4	2361.000000	0.000000	6157	9999-12-31	2013-05-08	472
16/1-11	LINER	7	2530.000000	8 1/2	2532.000000	0.000000	6157	9999-12-31	2013-05-08	473
16/1-11 A	OPEN HOLE	\N	2595.000000	8/1/2	2595.000000	0.000000	6364	9999-12-31	2013-05-08	474
16/11-1 S	CONDUCTOR	30	145.000000	36	145.000000	0.000000	112	9999-12-31	2013-05-08	475
16/11-1 S	SURF.COND.	20	450.000000	26	469.000000	0.000000	112	9999-12-31	2013-05-08	476
16/11-1 S	INTERM.	13 3/8	1814.000000	17 1/2	1829.000000	0.000000	112	9999-12-31	2013-05-08	477
16/11-1 S	INTERM.	9 5/8	3050.000000	12 1/4	3050.000000	0.000000	112	9999-12-31	2013-05-08	478
16/1-12	CONDUCTOR	30	212.000000	36	216.000000	0.000000	6166	9999-12-31	2013-05-08	479
16/1-12	SURF.COND.	20	597.000000	26	606.000000	1.880000	6166	9999-12-31	2013-05-08	480
16/1-12	INTERM.	9 5/8	1826.000000	12 1/2	1835.000000	1.760000	6166	9999-12-31	2013-05-08	481
16/1-12	OPEN HOLE	\N	2055.000000	8 1/2	2055.000000	0.000000	6166	9999-12-31	2013-05-08	482
16/11-2	INTERM.	9 5/8	2378.000000	12 1/4	2378.000000	0.000000	336	9999-12-31	2013-05-08	483
16/11-2	CONDUCTOR	30	133.000000	36	202.000000	0.000000	336	9999-12-31	2013-05-08	484
16/11-2	SURF.COND.	20	449.000000	26	459.000000	0.000000	336	9999-12-31	2013-05-08	485
16/11-2	INTERM.	13 3/8	1387.000000	17 1/2	1402.000000	0.000000	336	9999-12-31	2013-05-08	486
16/1-13	PILOT HOLE	\N	606.000000	9 7/8	606.000000	0.000000	6232	9999-12-31	2013-05-08	487
16/1-13	CONDUCTOR	30	213.000000	36	213.000000	0.000000	6232	9999-12-31	2013-05-08	488
16/1-13	SURF.COND.	20	600.000000	26	606.000000	1.610000	6232	9999-12-31	2013-05-08	489
16/1-13	INTERM.	9 5/8	1875.000000	12 1/4	1881.000000	1.810000	6232	9999-12-31	2013-05-08	490
16/1-13	OPEN HOLE	\N	2303.000000	8 1/2	2303.000000	0.000000	6232	9999-12-31	2013-05-08	491
16/1-14	PILOT HOLE	\N	606.000000	9 7/8	606.000000	0.000000	6399	9999-12-31	2013-05-08	492
16/1-14	CONDUCTOR	30	211.000000	36	215.000000	0.000000	6399	9999-12-31	2013-05-08	493
16/1-14	SURF.COND.	20	371.000000	26	378.000000	1.600000	6399	9999-12-31	2013-05-08	494
16/1-14	INTERM.	13 3/8	1478.000000	17 1/2	1484.000000	1.990000	6399	9999-12-31	2013-05-08	495
16/1-14	INTERM.	9 5/8	2228.000000	12 1/4	2235.000000	1.570000	6399	9999-12-31	2013-05-08	496
16/1-14	OPEN HOLE	\N	2550.000000	8 1/2	2550.000000	0.000000	6399	9999-12-31	2013-05-08	497
16/1-15	PILOT HOLE	\N	585.000000	9 7/8	585.000000	0.000000	6517	9999-12-31	2013-05-08	498
16/1-15	CONDUCTOR	30	214.000000	36	214.000000	0.000000	6517	9999-12-31	2013-05-08	499
16/1-15	SURF.COND.	20	576.000000	26	585.000000	1.700000	6517	9999-12-31	2013-05-08	500
16/1-15	INTERM.	9 5/8	1874.000000	12 1/4	1880.000000	1.910000	6517	9999-12-31	2013-05-08	501
16/1-15	LINER	7	2148.000000	8 1/2	2150.000000	0.000000	6517	9999-12-31	2013-05-08	502
16/1-2	CONDUCTOR	30	172.000000	36	172.000000	0.000000	332	9999-12-31	2013-05-08	503
16/1-2	SURF.COND.	20	325.000000	26	340.000000	0.000000	332	9999-12-31	2013-05-08	504
16/1-2	INTERM.	13 3/8	1264.000000	17 1/2	1285.000000	0.000000	332	9999-12-31	2013-05-08	505
16/1-2	INTERM.	9 5/8	2656.000000	12 1/4	2732.000000	0.000000	332	9999-12-31	2013-05-08	506
16/1-2	OPEN HOLE	\N	2917.000000	8 1/2	2917.000000	0.000000	332	9999-12-31	2013-05-08	507
16/1-3	CONDUCTOR	30	192.000000	36	194.000000	0.000000	84	9999-12-31	2013-05-08	508
16/1-3	SURF.COND.	20	506.000000	26	521.000000	1.550000	84	9999-12-31	2013-05-08	509
16/1-3	INTERM.	13 3/8	1263.000000	17 1/2	1278.000000	1.700000	84	9999-12-31	2013-05-08	510
16/1-3	INTERM.	9 5/8	2727.000000	12 1/4	2738.000000	1.800000	84	9999-12-31	2013-05-08	511
16/1-3	OPEN HOLE	\N	3498.000000	8 1/2	3498.000000	0.000000	84	9999-12-31	2013-05-08	512
16/1-4	CONDUCTOR	30	195.000000	36	195.000000	0.000000	2072	9999-12-31	2013-05-08	513
16/1-4	INTERM.	20	314.000000	26	314.000000	1.420000	2072	9999-12-31	2013-05-08	514
16/1-4	INTERM.	13 3/8	1440.000000	17 1/2	1440.000000	1.930000	2072	9999-12-31	2013-05-08	515
16/1-4	OPEN HOLE	\N	2010.000000	12 1/4	2010.000000	0.000000	2072	9999-12-31	2013-05-08	516
16/1-5	CONDUCTOR	30	191.000000	36	191.000000	0.000000	3279	9999-12-31	2013-05-08	517
16/1-5	SURF.COND.	13 3/8	1410.000000	17 1/2	1417.000000	1.810000	3279	9999-12-31	2013-05-08	518
16/1-5	INTERM.	9 5/8	2021.000000	12 1/4	2023.000000	1.500000	3279	9999-12-31	2013-05-08	519
16/1-5	OPEN HOLE	\N	2460.000000	8 1/2	2460.000000	0.000000	3279	9999-12-31	2013-05-08	520
16/1-5 A	CONDUCTOR	30	191.000000	36	191.000000	0.000000	3626	9999-12-31	2013-05-08	521
16/1-5 A	SURF.COND.	13 3/8	1410.000000	17 1/2	1417.000000	1.810000	3626	9999-12-31	2013-05-08	522
16/1-5 A	OPEN HOLE	\N	2150.000000	8 1/2	2150.000000	0.000000	3626	9999-12-31	2013-05-08	523
16/1-6 A	CONDUCTOR	30	203.000000	36	203.000000	0.000000	4767	9999-12-31	2013-05-08	524
16/1-6 A	SURF.COND.	20	546.000000	26	546.000000	1.820000	4767	9999-12-31	2013-05-08	525
16/1-6 A	INTERM.	13 3/8	1197.000000	17 1/2	1197.000000	1.600000	4767	9999-12-31	2013-05-08	526
16/1-6 A	OPEN HOLE	\N	2194.000000	8 1/2	2194.000000	0.000000	4767	9999-12-31	2013-05-08	527
16/1-6 S	CONDUCTOR	30	203.000000	36	303.000000	0.000000	4711	9999-12-31	2013-05-08	528
16/1-6 S	SURF.COND.	20	546.000000	26	546.000000	1.820000	4711	9999-12-31	2013-05-08	529
16/1-6 S	INTERM.	13 3/8	1197.000000	17 1/2	1197.000000	1.600000	4711	9999-12-31	2013-05-08	530
16/1-6 S	OPEN HOLE	\N	1997.000000	8 1/2	1997.000000	0.000000	4711	9999-12-31	2013-05-08	531
16/1-7	CONDUCTOR	30	223.000000	36	229.000000	0.000000	4928	9999-12-31	2013-05-08	532
16/1-7	SURF.COND.	13 3/8	1282.000000	17 1/2	1286.000000	1.960000	4928	9999-12-31	2013-05-08	533
16/1-7	INTERM.	9 5/8	2556.000000	12 1/4	2561.000000	1.950000	4928	9999-12-31	2013-05-08	534
16/1-7	OPEN HOLE	\N	3186.000000	8 1/2	3186.000000	0.000000	4928	9999-12-31	2013-05-08	535
16/2-1	CONDUCTOR	30	164.000000	36	164.000000	0.000000	144	9999-12-31	2013-05-08	536
16/2-1	SURF.COND.	20	186.000000	26	186.000000	0.000000	144	9999-12-31	2013-05-08	537
16/2-1	INTERM.	13 3/8	363.000000	17 1/2	363.000000	0.000000	144	9999-12-31	2013-05-08	538
16/2-1	INTERM.	9 5/8	1110.000000	12 1/4	1110.000000	0.000000	144	9999-12-31	2013-05-08	539
16/2-1	OPEN HOLE	\N	1905.000000	8 1/2	1905.000000	0.000000	144	9999-12-31	2013-05-08	540
16/2-2	OPEN HOLE	\N	1855.000000	8 1/2	1855.000000	0.000000	4408	9999-12-31	2013-05-08	541
16/2-2	CONDUCTOR	30	205.000000	36	206.000000	0.000000	4408	9999-12-31	2013-05-08	542
16/2-2	SURF.COND.	13 3/8	1305.000000	17 1/2	1305.000000	1.620000	4408	9999-12-31	2013-05-08	543
16/2-3	CONDUCTOR	30	267.000000	36	280.000000	1.150000	5551	9999-12-31	2013-05-08	544
16/2-3	SURF.COND.	13 3/8	631.000000	17 1/2	640.000000	1.450000	5551	9999-12-31	2013-05-08	545
16/2-3	INTERM.	9 5/8	1693.000000	12 1/4	1695.000000	1.450000	5551	9999-12-31	2013-05-08	546
16/2-3	OPEN HOLE	\N	1905.000000	8 1/2	1905.000000	0.000000	5551	9999-12-31	2013-05-08	547
16/2-4	CONDUCTOR	30	281.000000	36	288.000000	1.150000	5625	9999-12-31	2013-05-08	548
16/2-4	SURF.COND.	13 3/8	631.000000	17 1/2	640.000000	1.450000	5625	9999-12-31	2013-05-08	549
16/2-4	INTERM.	9 5/8	1689.000000	12 1/4	1690.000000	1.800000	5625	9999-12-31	2013-05-08	550
16/2-4	OPEN HOLE	\N	2000.000000	8 1/2	2000.000000	0.000000	5625	9999-12-31	2013-05-08	551
16/2-5	CONDUCTOR	30	281.000000	36	288.000000	1.100000	6042	9999-12-31	2013-05-08	552
16/2-5	SURF.COND.	20	500.000000	26	519.000000	1.510000	6042	9999-12-31	2013-05-08	553
16/2-5	INTERM.	13 3/8	1734.000000	17 1/2	1747.000000	1.600000	6042	9999-12-31	2013-05-08	554
16/2-5	LINER	7	2341.000000	8 1/2	2373.000000	1.490000	6042	9999-12-31	2013-05-08	555
16/2-6	PILOT HOLE	\N	750.000000	9 7/8	750.000000	0.000000	6374	9999-12-31	2013-05-08	556
16/2-6	CONDUCTOR	30	218.000000	36	220.000000	0.000000	6374	9999-12-31	2013-05-08	557
16/2-6	SURF.COND.	13 3/8	742.000000	17 1/2	748.000000	1.810000	6374	9999-12-31	2013-05-08	558
16/2-6	INTERM.	9 5/8	1803.000000	12 1/4	1810.000000	1.750000	6374	9999-12-31	2013-05-08	559
16/2-6	OPEN HOLE	\N	2131.000000	8 1/2	2131.000000	0.000000	6374	9999-12-31	2013-05-08	560
16/3-1	CONDUCTOR	30	179.000000	36	179.500000	0.000000	451	9999-12-31	2013-05-08	561
16/3-1	SURF.COND.	26	192.000000	20	198.000000	0.000000	451	9999-12-31	2013-05-08	562
16/3-1	INTERM.	13 3/8	440.000000	17 1/2	445.000000	0.000000	451	9999-12-31	2013-05-08	563
16/3-2	CONDUCTOR	30	190.000000	36	191.000000	0.000000	334	9999-12-31	2013-05-08	564
16/3-2	SURF.COND.	20	207.000000	26	212.000000	0.000000	334	9999-12-31	2013-05-08	565
16/3-2	INTERM.	13 3/8	440.000000	17 1/2	445.000000	0.000000	334	9999-12-31	2013-05-08	566
16/3-2	INTERM.	9 5/8	1314.000000	12 1/4	1319.000000	0.000000	334	9999-12-31	2013-05-08	567
16/3-2	OPEN HOLE	\N	2019.000000	8 1/2	2019.000000	0.000000	334	9999-12-31	2013-05-08	568
16/3-3	OPEN HOLE	\N	1566.000000	8 1/2	1566.000000	0.000000	1415	9999-12-31	2013-05-08	569
16/3-3	CONDUCTOR	30	181.000000	36	181.000000	0.000000	1415	9999-12-31	2013-05-08	570
16/3-3	INTERM.	13 3/8	441.000000	17 1/2	455.000000	1.770000	1415	9999-12-31	2013-05-08	571
16/3-3	INTERM.	9 5/8	1003.000000	12 1/4	1010.000000	1.770000	1415	9999-12-31	2013-05-08	572
16/4-1	OPEN HOLE	\N	2909.000000	12 1/4	2909.000000	0.000000	229	9999-12-31	2013-05-08	573
16/4-1	CONDUCTOR	30	206.000000	36	280.000000	0.000000	229	9999-12-31	2013-05-08	574
16/4-1	SURF.COND.	20	480.000000	26	497.000000	1.370000	229	9999-12-31	2013-05-08	575
16/4-1	INTERM.	16	626.000000	22	650.000000	1.890000	229	9999-12-31	2013-05-08	576
16/4-1	INTERM.	13 3/8	2028.000000	17 1/2	2066.000000	1.790000	229	9999-12-31	2013-05-08	577
16/4-2	CONDUCTOR	30	205.000000	36	206.000000	0.000000	1560	9999-12-31	2013-05-08	578
16/4-2	INTERM.	18 5/8	479.000000	24	485.000000	1.860000	1560	9999-12-31	2013-05-08	579
16/4-2	INTERM.	13 3/8	1683.000000	17 1/2	1710.000000	1.900000	1560	9999-12-31	2013-05-08	580
16/4-2	OPEN HOLE	\N	3117.000000	12 1/4	3117.000000	0.000000	1560	9999-12-31	2013-05-08	581
16/4-3	CONDUCTOR	36	204.500000	30	205.000000	0.000000	4194	9999-12-31	2013-05-08	582
16/4-3	SURF.COND.	26	400.000000	20	401.000000	1.700000	4194	9999-12-31	2013-05-08	583
16/4-3	INTERM.	12 1/4	1700.000000	17 1/2	1702.000000	0.000000	4194	9999-12-31	2013-05-08	584
16/4-3	INTERM.	9 5/8	1700.000000	12 1/4	1701.000000	1.720000	4194	9999-12-31	2013-05-08	585
16/4-3	OPEN HOLE	\N	2425.000000	8 1/2	2425.000000	0.000000	4194	9999-12-31	2013-05-08	586
16/4-4	CONDUCTOR	30	245.000000	36	250.000000	1.200000	5441	9999-12-31	2013-05-08	587
16/4-4	SURF.COND.	13 3/8	1213.000000	17 1/2	1226.000000	1.500000	5441	9999-12-31	2013-05-08	588
16/4-4	INTERM.	9 5/8	2201.000000	12 1/4	2212.000000	1.880000	5441	9999-12-31	2013-05-08	589
16/4-4	OPEN HOLE	\N	2409.000000	8 1/2	2409.000000	0.000000	5441	9999-12-31	2013-05-08	590
16/4-5	PILOT HOLE	\N	606.000000	9 7/8	606.000000	0.000000	6216	9999-12-31	2013-05-08	591
16/4-5	CONDUCTOR	30	207.000000	36	207.000000	0.000000	6216	9999-12-31	2013-05-08	592
16/4-5	SURF.COND.	13 3/8	594.000000	17 1/2	600.000000	1.700000	6216	9999-12-31	2013-05-08	593
16/4-5	INTERM.	9 5/8	1785.000000	12 1/4	1790.000000	1.500000	6216	9999-12-31	2013-05-08	594
16/4-5	OPEN HOLE	\N	2020.000000	8 1/2	2020.000000	0.000000	6216	9999-12-31	2013-05-08	595
16/5-1	CONDUCTOR	30	164.000000	36	165.000000	0.000000	189	9999-12-31	2013-05-08	596
16/5-1	INTERM.	13 3/8	507.000000	17 1/2	511.000000	0.000000	189	9999-12-31	2013-05-08	597
16/5-1	INTERM.	9 5/8	1535.000000	12 1/4	1538.000000	0.000000	189	9999-12-31	2013-05-08	598
16/5-1	OPEN HOLE	\N	1950.000000	8 1/2	1950.000000	0.000000	189	9999-12-31	2013-05-08	599
16/6-1	OPEN HOLE	\N	2060.000000	12 1/4	2060.000000	0.000000	148	9999-12-31	2013-05-08	600
16/6-1	CONDUCTOR	30	200.000000	36	200.000000	0.000000	148	9999-12-31	2013-05-08	601
16/6-1	SURF.COND.	20	340.000000	26	360.000000	0.000000	148	9999-12-31	2013-05-08	602
16/6-1	SURF.COND.	13 3/8	1350.000000	17 1/2	1362.000000	0.000000	148	9999-12-31	2013-05-08	603
16/7-1	CONDUCTOR	30	131.000000	36	131.000000	0.000000	146	9999-12-31	2013-05-08	604
16/7-1	INTERM.	13 3/8	368.000000	17 1/2	381.000000	0.000000	146	9999-12-31	2013-05-08	605
16/7-1	INTERM.	9 5/8	1427.000000	12 1/4	1440.000000	0.000000	146	9999-12-31	2013-05-08	606
16/7-1	OPEN HOLE	\N	2781.000000	8 1/2	2781.000000	0.000000	146	9999-12-31	2013-05-08	607
16/7-2	CONDUCTOR	30	171.000000	36	172.000000	0.000000	40	9999-12-31	2013-05-08	608
16/7-2	SURF.COND.	20	502.000000	26	522.000000	1.730000	40	9999-12-31	2013-05-08	609
16/7-2	OPEN HOLE	\N	3146.000000	8 1/2	3146.000000	0.000000	40	9999-12-31	2013-05-08	610
16/7-2	INTERM.	9 5/8	2510.000000	12 1/4	2536.000000	2.000000	40	9999-12-31	2013-05-08	611
16/7-2	INTERM.	13 3/8	1201.000000	17 1/2	1217.000000	1.880000	40	9999-12-31	2013-05-08	612
16/7-3	CONDUCTOR	30	171.300000	36	173.000000	0.000000	75	9999-12-31	2013-05-08	613
16/7-3	SURF.COND.	20	449.500000	26	469.000000	1.780000	75	9999-12-31	2013-05-08	614
16/7-3	INTERM.	13 3/8	1212.000000	17 1/2	1228.000000	1.740000	75	9999-12-31	2013-05-08	615
16/7-3	INTERM.	9 5/8	2287.000000	12 1/4	2303.000000	1.800000	75	9999-12-31	2013-05-08	616
16/7-3	OPEN HOLE	\N	3141.000000	8 1/2	3141.000000	0.000000	75	9999-12-31	2013-05-08	617
16/7-4	CONDUCTOR	30	165.000000	36	165.000000	0.000000	91	9999-12-31	2013-05-08	618
16/7-4	SURF.COND.	20	458.000000	26	473.000000	1.620000	91	9999-12-31	2013-05-08	619
16/7-4	INTERM.	13 3/8	1277.400000	17 1/2	1293.000000	1.800000	91	9999-12-31	2013-05-08	620
16/7-4	INTERM.	9 5/8	2271.000000	12 1/4	2286.000000	1.870000	91	9999-12-31	2013-05-08	621
16/7-4	LINER	7	2776.000000	8 1/2	2781.000000	0.000000	91	9999-12-31	2013-05-08	622
16/7-5	CONDUCTOR	30	168.000000	36	170.000000	0.000000	134	9999-12-31	2013-05-08	623
16/7-5	SURF.COND.	20	458.700000	26	474.000000	1.910000	134	9999-12-31	2013-05-08	624
16/7-5	INTERM.	13 3/8	1264.000000	17 1/2	1313.000000	1.780000	134	9999-12-31	2013-05-08	625
16/7-5	INTERM.	9 5/8	2335.000000	12 1/4	2368.000000	2.000000	134	9999-12-31	2013-05-08	626
16/7-5	OPEN HOLE	\N	2900.000000	8 1/2	2900.000000	0.000000	134	9999-12-31	2013-05-08	627
16/7-6	CONDUCTOR	30	176.000000	36	178.000000	0.000000	3067	9999-12-31	2013-05-08	628
16/7-6	SURF.COND.	13 3/8	1153.000000	17 1/2	1160.000000	2.010000	3067	9999-12-31	2013-05-08	629
16/7-6	OPEN HOLE	\N	2725.000000	12 1/4	2725.000000	0.000000	3067	9999-12-31	2013-05-08	630
16/7-7 S	CONDUCTOR	30	176.000000	36	179.000000	0.000000	3244	9999-12-31	2013-05-08	631
16/7-7 S	SURF.COND.	13 3/8	1146.000000	17 1/2	1153.000000	0.000000	3244	9999-12-31	2013-05-08	632
16/7-7 S	INTERM.	9 5/8	2978.000000	12 1/4	2994.000000	0.000000	3244	9999-12-31	2013-05-08	633
16/7-8 S	OPEN HOLE	\N	2900.000000	8 1/2	2900.000000	0.000000	4612	9999-12-31	2013-05-08	634
16/7-8 S	SURF.COND.	30	149.000000	36	150.000000	0.000000	4612	9999-12-31	2013-05-08	635
16/7-8 S	INTERM.	13 3/8	442.000000	17 1/2	444.000000	1.510000	4612	9999-12-31	2013-05-08	636
16/7-8 S	INTERM.	9 7/8	1316.000000	12 1/4	1317.000000	1.580000	4612	9999-12-31	2013-05-08	637
16/7-9	PILOT HOLE	\N	706.000000	9 7/8	706.000000	0.000000	6382	9999-12-31	2013-05-08	638
16/7-9	CONDUCTOR	30	193.000000	36	193.000000	0.000000	6382	9999-12-31	2013-05-08	639
16/7-9	SURF.COND.	13 3/8	700.000000	17 1/2	706.000000	2.170000	6382	9999-12-31	2013-05-08	640
16/7-9	INTERM.	9 5/8	2196.000000	12 1/4	2204.000000	1.990000	6382	9999-12-31	2013-05-08	641
16/7-9	OPEN HOLE	\N	2665.000000	8 1/2	2665.000000	0.000000	6382	9999-12-31	2013-05-08	642
16/8-1	CONDUCTOR	30	169.000000	36	172.000000	0.000000	335	9999-12-31	2013-05-08	643
16/8-1	SURF.COND.	20	525.000000	26	533.000000	0.000000	335	9999-12-31	2013-05-08	644
16/8-1	INTERM.	13 3/8	1315.000000	17 1/2	1327.000000	0.000000	335	9999-12-31	2013-05-08	645
16/8-1	OPEN HOLE	\N	2301.000000	12 1/4	2301.000000	0.000000	335	9999-12-31	2013-05-08	646
16/8-2	LINER	7	3585.000000	8 1/2	3585.000000	0.000000	234	9999-12-31	2013-05-08	647
16/8-2	CONDUCTOR	30	145.000000	36	152.000000	0.000000	234	9999-12-31	2013-05-08	648
16/8-2	SURF.COND.	18 5/8	504.000000	24	511.000000	1.960000	234	9999-12-31	2013-05-08	649
16/8-2	INTERM.	13 3/8	1666.000000	17 1/2	1675.000000	1.850000	234	9999-12-31	2013-05-08	650
16/8-2	INTERM.	9 5/8	2245.000000	12 1/4	2258.000000	2.000000	234	9999-12-31	2013-05-08	651
16/9-1	OPEN HOLE	\N	3655.000000	12 1/4	3655.000000	0.000000	151	9999-12-31	2013-05-08	652
16/9-1	CONDUCTOR	30	127.000000	36	131.000000	0.000000	151	9999-12-31	2013-05-08	653
16/9-1	INTERM.	20	336.000000	26	358.000000	0.000000	151	9999-12-31	2013-05-08	654
16/9-1	INTERM.	13 3/8	1405.000000	17 1/2	1418.000000	0.000000	151	9999-12-31	2013-05-08	655
17/10-1	CONDUCTOR	30	161.000000	36	162.000000	0.000000	161	9999-12-31	2013-05-08	656
17/10-1	SURF.COND.	13 3/8	426.000000	17 1/2	430.000000	0.000000	161	9999-12-31	2013-05-08	657
17/10-1	INTERM.	9 5/8	1557.000000	12 1/4	1560.000000	0.000000	161	9999-12-31	2013-05-08	658
17/10-1	OPEN HOLE	\N	3591.000000	8 1/2	3591.000000	0.000000	161	9999-12-31	2013-05-08	659
17/11-1	CONDUCTOR	30	166.000000	36	170.000000	0.000000	906	9999-12-31	2013-05-08	660
17/11-1	SURF.COND.	20	413.000000	26	419.000000	0.000000	906	9999-12-31	2013-05-08	661
17/11-1	INTERM.	13 3/8	1170.000000	17 1/2	1177.000000	0.000000	906	9999-12-31	2013-05-08	662
17/11-1	OPEN HOLE	\N	3270.000000	12 1/4	3270.000000	0.000000	906	9999-12-31	2013-05-08	663
17/11-2	CONDUCTOR	30	188.000000	36	198.000000	0.000000	338	9999-12-31	2013-05-08	664
17/11-2	SURF.COND.	20	427.000000	26	429.000000	0.000000	338	9999-12-31	2013-05-08	665
17/11-2	INTERM.	13 3/8	1306.000000	17 1/2	1322.000000	0.000000	338	9999-12-31	2013-05-08	666
17/11-2	OPEN HOLE	\N	2644.000000	12 1/4	2644.000000	0.000000	338	9999-12-31	2013-05-08	667
17/12-1	CONDUCTOR	30	178.000000	36	178.000000	0.000000	339	9999-12-31	2013-05-08	668
17/12-1	INTERM.	20	458.000000	26	458.000000	0.000000	339	9999-12-31	2013-05-08	669
17/12-1 R	CONDUCTOR	30	178.000000	36	178.000000	0.000000	514	9999-12-31	2013-05-08	670
17/12-1 R	SURF.COND.	20	445.000000	26	458.000000	0.000000	514	9999-12-31	2013-05-08	671
17/12-1 R	INTERM.	13 3/8	1084.000000	17 1/2	1098.000000	0.000000	514	9999-12-31	2013-05-08	672
17/12-1 R	INTERM.	9 5/8	2408.000000	12 1/4	2420.000000	0.000000	514	9999-12-31	2013-05-08	673
17/12-1 R	OPEN HOLE	\N	4298.000000	8 1/2	4298.000000	0.000000	514	9999-12-31	2013-05-08	674
17/12-2	CONDUCTOR	30	154.000000	36	155.000000	0.000000	340	9999-12-31	2013-05-08	675
17/12-2	SURF.COND.	20	493.000000	26	495.000000	0.000000	340	9999-12-31	2013-05-08	676
17/12-2	INTERM.	13 3/8	1082.000000	17 1/2	1084.000000	0.000000	340	9999-12-31	2013-05-08	677
17/12-2	INTERM.	9 5/8	2334.000000	12 1/4	2334.000000	0.000000	340	9999-12-31	2013-05-08	678
17/12-3	OPEN HOLE	\N	2730.000000	12 1/4	2730.000000	0.000000	341	9999-12-31	2013-05-08	679
17/12-3	CONDUCTOR	30	165.000000	36	167.000000	0.000000	341	9999-12-31	2013-05-08	680
17/12-3	SURF.COND.	20	461.000000	26	478.000000	1.690000	341	9999-12-31	2013-05-08	681
17/12-3	INTERM.	13 3/8	1278.000000	17 1/2	1293.000000	1.820000	341	9999-12-31	2013-05-08	682
17/12-4	CONDUCTOR	30	200.000000	36	200.000000	0.000000	6137	9999-12-31	2013-05-08	683
17/12-4	SURF.COND.	13 3/8	1202.000000	17 1/2	1222.000000	0.000000	6137	9999-12-31	2013-05-08	684
17/12-4	OPEN HOLE	\N	2470.000000	8 1/2	2470.000000	0.000000	6137	9999-12-31	2013-05-08	685
17/12-4 A	INTERM.	9 5/8	2571.000000	12 1/4	2579.000000	0.000000	6178	9999-12-31	2013-05-08	686
17/12-4 A	LINER	7	2795.000000	8 1/2	3338.000000	0.000000	6178	9999-12-31	2013-05-08	687
17/12-4 B	INTERM.	9 7/8	1202.000000	12 1/4	1209.000000	0.000000	6211	9999-12-31	2013-05-08	688
17/12-4 B	OPEN HOLE	\N	3253.000000	8 1/2	3253.000000	0.000000	6211	9999-12-31	2013-05-08	689
17/3-1	OPEN HOLE	\N	2852.000000	12 1/4	2852.000000	1.350000	2576	9999-12-31	2013-05-08	690
17/3-1	SURF.COND.	30	443.000000	36	445.000000	0.000000	2576	9999-12-31	2013-05-08	691
17/3-1	CONDUCTOR	20	943.000000	26	949.000000	0.000000	2576	9999-12-31	2013-05-08	692
17/3-1	INTERM.	13 3/8	2312.000000	17 1/2	2319.000000	0.000000	2576	9999-12-31	2013-05-08	693
17/4-1	OPEN HOLE	\N	3997.000000	12 1/4	3997.000000	0.000000	153	9999-12-31	2013-05-08	694
17/4-1	CONDUCTOR	30	158.000000	36	158.000000	0.000000	153	9999-12-31	2013-05-08	695
17/4-1	INTERM.	20	439.000000	26	444.000000	0.000000	153	9999-12-31	2013-05-08	696
17/4-1	INTERM.	13 3/8	1803.000000	17 1/2	1812.000000	0.000000	153	9999-12-31	2013-05-08	697
17/6-1	CONDUCTOR	30	368.000000	36	368.000000	0.000000	6501	9999-12-31	2013-05-08	698
17/6-1	SURF.COND.	20	706.700000	26	713.000000	1.450000	6501	9999-12-31	2013-05-08	699
17/6-1	INTERM.	9 5/8	1952.000000	12 1/4	1957.000000	1.570000	6501	9999-12-31	2013-05-08	700
17/6-1	PILOT HOLE	\N	713.000000	9 7/8	713.000000	0.000000	6501	9999-12-31	2013-05-08	701
17/6-1	OPEN HOLE	\N	3065.000000	8 1/2	3065.000000	0.000000	6501	9999-12-31	2013-05-08	702
17/9-1	CONDUCTOR	30	208.000000	36	208.000000	0.000000	337	9999-12-31	2013-05-08	703
17/9-1	SURF.COND.	20	409.000000	26	423.000000	0.000000	337	9999-12-31	2013-05-08	704
17/9-1	INTERM.	13 3/8	922.000000	17 1/2	930.000000	0.000000	337	9999-12-31	2013-05-08	705
17/9-1	INTERM.	9 5/8	2113.000000	12 1/4	2120.000000	0.000000	337	9999-12-31	2013-05-08	706
17/9-1	OPEN HOLE	\N	2816.000000	8 1/2	2816.000000	0.000000	337	9999-12-31	2013-05-08	707
17/9-1 R	OPEN HOLE	\N	3161.000000	8 1/2	3161.000000	0.000000	515	9999-12-31	2013-05-08	708
18/10-1	INTERM.	9 5/8	2308.000000	12 1/4	2310.000000	0.000000	342	9999-12-31	2013-05-08	709
18/10-1	LINER	7	2478.000000	8 1/2	2800.000000	0.000000	342	9999-12-31	2013-05-08	710
18/10-1	CONDUCTOR	30	146.000000	36	146.000000	0.000000	342	9999-12-31	2013-05-08	711
18/10-1	SURF.COND.	20	323.000000	26	332.000000	0.000000	342	9999-12-31	2013-05-08	712
18/10-1	INTERM.	13 3/8	916.000000	17 1/2	927.000000	0.000000	342	9999-12-31	2013-05-08	713
18/11-1	CONDUCTOR	30	177.000000	36	177.000000	0.000000	343	9999-12-31	2013-05-08	714
18/11-1	SURF.COND.	20	373.000000	26	386.000000	0.000000	343	9999-12-31	2013-05-08	715
18/11-1	INTERM.	13 3/8	805.000000	17 1/2	823.000000	0.000000	343	9999-12-31	2013-05-08	716
18/11-1	INTERM.	9 5/8	1805.000000	12 1/4	1815.000000	0.000000	343	9999-12-31	2013-05-08	717
18/11-1	OPEN HOLE	\N	2086.000000	8 1/2	2086.000000	0.000000	343	9999-12-31	2013-05-08	718
2/10-1 S	CONDUCTOR	30	130.000000	36	130.000000	0.000000	284	9999-12-31	2013-05-08	719
2/10-1 S	SURF.COND.	20	441.000000	26	462.000000	0.000000	284	9999-12-31	2013-05-08	720
2/10-1 S	INTERM.	13 3/8	1240.000000	17 1/2	1250.000000	0.000000	284	9999-12-31	2013-05-08	721
2/10-1 S	INTERM.	9 5/8	3267.000000	12 1/4	3277.000000	0.000000	284	9999-12-31	2013-05-08	722
2/10-1 S	LINER	7	4135.000000	8 1/2	4144.000000	0.000000	284	9999-12-31	2013-05-08	723
2/10-1 S	LINER	5	4609.000000	6	4609.000000	0.000000	284	9999-12-31	2013-05-08	724
2/10-2	CONDUCTOR	30	194.000000	36	197.000000	0.000000	2050	9999-12-31	2013-05-08	725
2/10-2	INTERM.	20	1152.000000	26	1165.000000	2.020000	2050	9999-12-31	2013-05-08	726
2/10-2	INTERM.	13 3/8	2699.000000	17 1/2	2722.000000	1.970000	2050	9999-12-31	2013-05-08	727
2/10-2	INTERM.	9 5/8	3665.000000	12 1/4	3686.000000	2.170000	2050	9999-12-31	2013-05-08	728
2/10-2	OPEN HOLE	\N	4164.000000	8 3/8	4164.000000	0.000000	2050	9999-12-31	2013-05-08	729
2/1-1	CONDUCTOR	30	148.000000	36	158.000000	0.000000	249	9999-12-31	2013-05-08	730
2/1-1	SURF.COND.	20	403.000000	26	415.000000	0.000000	249	9999-12-31	2013-05-08	731
2/1-1	INTERM.	13 3/8	1154.000000	17 1/2	1166.000000	0.000000	249	9999-12-31	2013-05-08	732
2/1-1	INTERM.	9 5/8	3044.000000	12 1/4	3050.000000	0.000000	249	9999-12-31	2013-05-08	733
2/1-1	INTERM.	7	3885.000000	8 1/2	3886.000000	0.000000	249	9999-12-31	2013-05-08	734
2/1-1	PROD.	\N	4178.000000	5  7/8	4178.000000	0.000000	249	9999-12-31	2013-05-08	735
2/1-10	LINER	7	4525.000000	8 1/2	4525.000000	0.000000	1865	9999-12-31	2013-05-08	736
2/1-10	CONDUCTOR	30+20	160.000000	36	161.000000	0.000000	1865	9999-12-31	2013-05-08	737
2/1-10	INTERM.	13 3/8	1096.000000	17 1/2	1100.000000	1.990000	1865	9999-12-31	2013-05-08	738
2/1-10	INTERM.	9 5/8	3234.000000	12 1/4	3236.000000	1.940000	1865	9999-12-31	2013-05-08	739
2/1-11	CONDUCTOR	30	188.000000	36	189.000000	0.000000	2699	9999-12-31	2013-05-08	740
2/1-11	PILOT HOLE	\N	650.000000	9 7/8	650.000000	0.000000	2699	9999-12-31	2013-05-08	741
2/1-11	SURF.COND.	20	1157.000000	26	1162.000000	1.950000	2699	9999-12-31	2013-05-08	742
2/1-11	INTERM.	9 5/8	3886.000000	12 1/4	3892.000000	2.080000	2699	9999-12-31	2013-05-08	743
2/1-11	LINER	7	4210.000000	8 3/8	4210.000000	2.030000	2699	9999-12-31	2013-05-08	744
2/1-11	OPEN HOLE	\N	4725.000000	6	4725.000000	0.000000	2699	9999-12-31	2013-05-08	745
2/11-1	CONDUCTOR	30	131.000000	36	139.000000	0.000000	168	9999-12-31	2013-05-08	746
2/11-1	SURF.COND.	20	365.000000	26	383.000000	0.000000	168	9999-12-31	2013-05-08	747
2/11-1	INTERM.	13 3/8	1720.000000	17 1/2	1736.000000	0.000000	168	9999-12-31	2013-05-08	748
2/11-1	INTERM.	9 5/8	3443.000000	12 1/4	3450.000000	0.000000	168	9999-12-31	2013-05-08	749
2/11-1	OPEN HOLE	\N	4693.000000	8 1/2	4693.000000	0.000000	168	9999-12-31	2013-05-08	750
2/11-10 S	CONDUCTOR	30	200.000000	36	200.000000	0.000000	2297	9999-12-31	2013-05-08	751
2/11-10 S	SURF.COND.	20	385.000000	26	385.000000	0.000000	2297	9999-12-31	2013-05-08	752
2/11-10 S	INTERM.	13 3/8	1587.000000	16	1587.000000	0.000000	2297	9999-12-31	2013-05-08	753
2/11-10 S	INTERM.	9 5/8	3911.000000	12 1/4	3911.000000	0.000000	2297	9999-12-31	2013-05-08	754
2/11-10 S	LINER	7	4090.000000	8 1/2	4090.000000	0.000000	2297	9999-12-31	2013-05-08	755
2/1-12	SURF.COND.	30	164.000000	36	165.000000	0.000000	3648	9999-12-31	2013-05-08	756
2/1-12	INTERM.	13 3/8	937.000000	17 1/2	950.000000	1.800000	3648	9999-12-31	2013-05-08	757
2/1-12	INTERM.	9 5/8	2922.000000	12 1/4	2922.000000	1.770000	3648	9999-12-31	2013-05-08	758
2/1-12	OPEN HOLE	\N	3550.000000	8 1/2&	3550.000000	0.000000	3648	9999-12-31	2013-05-08	759
2/11-2	CONDUCTOR	30	149.000000	36	149.000000	0.000000	285	9999-12-31	2013-05-08	760
2/11-2	SURF.COND.	20	369.000000	26	381.000000	0.000000	285	9999-12-31	2013-05-08	761
2/11-2	INTERM.	13 3/8	1283.000000	17 1/2	1295.000000	0.000000	285	9999-12-31	2013-05-08	762
2/11-2	INTERM.	9 5/8	2638.000000	12 1/4	2660.000000	0.000000	285	9999-12-31	2013-05-08	763
2/11-2	LINER	7	2716.000000	8 1/2	2797.000000	0.000000	285	9999-12-31	2013-05-08	764
2/11-2	OPEN HOLE	\N	2806.000000	6	2806.000000	0.000000	285	9999-12-31	2013-05-08	765
2/11-3	CONDUCTOR	30	170.000000	36	170.000000	0.000000	286	9999-12-31	2013-05-08	766
2/11-3	SURF.COND.	20	408.000000	26	412.000000	0.000000	286	9999-12-31	2013-05-08	767
2/11-3	INTERM.	13 3/8	1286.000000	17 1/2	1287.000000	0.000000	286	9999-12-31	2013-05-08	768
2/11-3	INTERM.	9 5/8	2740.000000	12 1/4	2749.000000	0.000000	286	9999-12-31	2013-05-08	769
2/11-3	OPEN HOLE	\N	3052.000000	8 1/2	3052.000000	0.000000	286	9999-12-31	2013-05-08	770
2/11-3 A	INTERM.	9 5/8	3129.000000	12 1/4	3130.000000	1.880000	287	9999-12-31	2013-05-08	771
2/11-3 A	OPEN HOLE	\N	3400.000000	8 1/2	3400.000000	0.000000	287	9999-12-31	2013-05-08	772
2/1-13 S	CONDUCTOR	36	206.000000	30	214.000000	0.000000	5975	9999-12-31	2013-05-08	773
2/1-13 S	SURF.COND.	20	618.000000	24	620.000000	1.670000	5975	9999-12-31	2013-05-08	774
2/1-13 S	INTERM.	13 3/8	2077.000000	16	2416.000000	1.950000	5975	9999-12-31	2013-05-08	775
2/1-13 S	INTERM.	9 7/8	4142.000000	12 1/4	4149.000000	2.240000	5975	9999-12-31	2013-05-08	776
2/1-13 S	OPEN HOLE	\N	4435.000000	8 1/2	4435.000000	0.000000	5975	9999-12-31	2013-05-08	777
2/11-4	CONDUCTOR	36	165.000000	38	165.000000	0.000000	96	9999-12-31	2013-05-08	778
2/11-4	SURF.COND.	20	289.000000	26	396.000000	1.020000	96	9999-12-31	2013-05-08	779
2/11-4	INTERM.	13 3/8	1279.000000	17 1/2	1280.000000	1.200000	96	9999-12-31	2013-05-08	780
2/11-4	INTERM.	9 5/8	2556.000000	12 1/2	2448.000000	1.680000	96	9999-12-31	2013-05-08	781
2/11-4	LINER	7	2750.000000	8 1/2	2854.000000	0.000000	96	9999-12-31	2013-05-08	782
2/1-14 S	INTERM.	13 3/8	931.000000	17 1/2	931.000000	1.800000	5995	9999-12-31	2013-05-08	783
2/1-14 S	INTERM.	9 5/8	4992.000000	12 1/4	5005.000000	1.870000	5995	9999-12-31	2013-05-08	784
2/1-14 S	OPEN HOLE	\N	6130.000000	8 1/2	6130.000000	0.000000	5995	9999-12-31	2013-05-08	785
2/11-5	CONDUCTOR	30	170.000000	36	172.000000	0.000000	288	9999-12-31	2013-05-08	786
2/11-5	SURF.COND.	20	351.000000	26	358.000000	1.480000	288	9999-12-31	2013-05-08	787
2/11-5	INTERM.	13 3/8	1278.000000	17 1/2	1278.000000	1.920000	288	9999-12-31	2013-05-08	788
2/11-5	INTERM.	9 5/8	2768.000000	12 1/4	2781.000000	1.840000	288	9999-12-31	2013-05-08	789
2/11-5	OPEN HOLE	\N	2945.000000	8 1/2	2945.000000	0.000000	288	9999-12-31	2013-05-08	790
2/11-6 S	INTERM.	9 5/8	3593.000000	12 1/4	3601.000000	1.970000	289	9999-12-31	2013-05-08	791
2/11-6 S	LINER	7	4072.000000	8 1/2	4076.000000	0.000000	289	9999-12-31	2013-05-08	792
2/11-6 S	CONDUCTOR	30	167.000000	36	167.000000	0.000000	289	9999-12-31	2013-05-08	793
2/11-6 S	SURF.COND.	20	353.000000	26	358.000000	1.380000	289	9999-12-31	2013-05-08	794
2/11-6 S	INTERM.	13 3/8	1453.000000	17 1/2	1461.000000	1.900000	289	9999-12-31	2013-05-08	795
2/11-7	SURF.COND.	20	1001.000000	26	1016.000000	1.880000	902	9999-12-31	2013-05-08	796
2/11-7	INTERM.	13 3/8	2695.000000	17 1/2	2715.000000	1.990000	902	9999-12-31	2013-05-08	797
2/11-7	INTERM.	9 5/8	3737.000000	12 1/4	3811.000000	2.180000	902	9999-12-31	2013-05-08	798
2/11-7	CONDUCTOR	30	179.000000	36	179.000000	0.000000	902	9999-12-31	2013-05-08	799
2/11-7	LINER	7	3960.000000	8 1/2	3965.000000	0.000000	902	9999-12-31	2013-05-08	800
2/11-7	LINER	5	5042.000000	6	5042.000000	0.000000	902	9999-12-31	2013-05-08	801
2/11-8	CONDUCTOR	30	174.000000	36	174.000000	0.000000	1715	9999-12-31	2013-05-08	802
2/11-8	INTERM.	18 5/8	1000.000000	24	1015.000000	2.060000	1715	9999-12-31	2013-05-08	803
2/11-8	INTERM.	13 3/8	2500.000000	17 1/2	2515.000000	1.980000	1715	9999-12-31	2013-05-08	804
2/11-8	INTERM.	9 5/8	4147.000000	12 1/4	4164.000000	2.170000	1715	9999-12-31	2013-05-08	805
2/11-8	OPEN HOLE	\N	4584.000000	8 1/8	4584.000000	0.000000	1715	9999-12-31	2013-05-08	806
2/11-9	CONDUCTOR	30	194.000000	36	197.000000	0.000000	2153	9999-12-31	2013-05-08	807
2/11-9	INTERM.	20	997.000000	26	1008.000000	0.000000	2153	9999-12-31	2013-05-08	808
2/11-9	INTERM.	14	2989.000000	17 1/2	2997.000000	0.000000	2153	9999-12-31	2013-05-08	809
2/11-9	OPEN HOLE	\N	4406.000000	12 1/4	4406.000000	0.000000	2153	9999-12-31	2013-05-08	810
2/1-2	CONDUCTOR	30	169.000000	36	174.000000	0.000000	250	9999-12-31	2013-05-08	811
2/1-2	SURF.COND.	20	557.000000	26	562.000000	0.000000	250	9999-12-31	2013-05-08	812
2/1-2	INTERM.	13 3/8	2226.000000	17 1/2	2231.000000	0.000000	250	9999-12-31	2013-05-08	813
2/1-2	INTERM.	9 5/8	3138.000000	12 1/4	3140.000000	0.000000	250	9999-12-31	2013-05-08	814
2/1-2	OPEN HOLE	\N	3551.000000	8 1/2	3551.000000	0.000000	250	9999-12-31	2013-05-08	815
2/12-1	CONDUCTOR	30	178.000000	36	178.000000	0.000000	1014	9999-12-31	2013-05-08	816
2/12-1	SURF.COND.	20	998.000000	26	1015.000000	1.700000	1014	9999-12-31	2013-05-08	817
2/12-1	INTERM.	13 3/8	2500.000000	17 1/2	2515.000000	2.020000	1014	9999-12-31	2013-05-08	818
2/12-1	INTERM.	9 5/8	3978.000000	12 1/4	3986.000000	2.210000	1014	9999-12-31	2013-05-08	819
2/12-1	LINER	7	4714.000000	8 1/2	4716.000000	2.420000	1014	9999-12-31	2013-05-08	820
2/12-1	OPEN HOLE	\N	4795.000000	6	4795.000000	0.000000	1014	9999-12-31	2013-05-08	821
2/12-2 S	CONDUCTOR	30	177.000000	36	180.000000	0.000000	1416	9999-12-31	2013-05-08	822
2/12-2 S	INTERM.	20	1295.000000	26	1300.000000	1.760000	1416	9999-12-31	2013-05-08	823
2/12-2 S	INTERM.	13 3/8	2751.000000	17 1/2	2755.000000	1.940000	1416	9999-12-31	2013-05-08	824
2/12-2 S	INTERM.	9 5/8	4305.000000	12 1/4	4310.000000	2.170000	1416	9999-12-31	2013-05-08	825
2/12-2 S	LINER	7	5008.000000	8 1/2	5757.000000	2.250000	1416	9999-12-31	2013-05-08	826
2/1-3	CONDUCTOR	30	139.000000	36	143.000000	0.000000	251	9999-12-31	2013-05-08	827
2/1-3	SURF.COND.	18 5/8	595.000000	24	608.000000	1.810000	251	9999-12-31	2013-05-08	828
2/1-3	INTERM.	13 3/8	1899.000000	17 1/2	1910.000000	1.920000	251	9999-12-31	2013-05-08	829
2/1-3	INTERM.	9 5/8	3558.000000	12 1/4	3566.000000	2.000000	251	9999-12-31	2013-05-08	830
2/1-3	LINER	7	3935.000000	8 1/2	4267.000000	0.000000	251	9999-12-31	2013-05-08	831
2/1-4	CONDUCTOR	30	165.000000	36	172.000000	0.000000	48	9999-12-31	2013-05-08	832
2/1-4	SURF.COND.	18 5/8	625.000000	24	633.000000	0.000000	48	9999-12-31	2013-05-08	833
2/1-4	INTERM.	13 3/8	1997.000000	17 1/2	2006.000000	1.880000	48	9999-12-31	2013-05-08	834
2/1-4	INTERM.	9 5/8	3785.000000	12 1/4	3793.000000	2.110000	48	9999-12-31	2013-05-08	835
2/1-4	LINER	7	4210.000000	8 1/2	4525.000000	0.000000	48	9999-12-31	2013-05-08	836
2/1-5	CONDUCTOR	30	161.000000	36	167.000000	0.000000	63	9999-12-31	2013-05-08	837
2/1-5	SURF.COND.	18 5/8	625.000000	24	635.000000	1.580000	63	9999-12-31	2013-05-08	838
2/1-5	INTERM.	13 3/8	2001.000000	17 1/2	2008.000000	1.860000	63	9999-12-31	2013-05-08	839
2/1-5	INTERM.	9 5/8	3817.000000	12 1/4	3830.000000	2.130000	63	9999-12-31	2013-05-08	840
2/1-5	OPEN HOLE	\N	4454.000000	8 3/8	4454.000000	0.000000	63	9999-12-31	2013-05-08	841
2/1-6	CONDUCTOR	30	166.000000	36	167.000000	0.000000	109	9999-12-31	2013-05-08	842
2/1-6	SURF.COND.	20	626.000000	26	635.000000	1.560000	109	9999-12-31	2013-05-08	843
2/1-6	INTERM.	13 3/8	2006.000000	17 1/2	2016.000000	1.900000	109	9999-12-31	2013-05-08	844
2/1-6	INTERM.	9 5/8	4112.000000	12 1/4	4121.000000	2.120000	109	9999-12-31	2013-05-08	845
2/1-6	LINER	7	4579.000000	8 1/2	4583.000000	0.000000	109	9999-12-31	2013-05-08	846
2/1-7	INTERM.	9 5/8	3873.000000	12 1/4	3878.000000	2.120000	137	9999-12-31	2013-05-08	847
2/1-7	LINER	7	5076.000000	8 1/2	5464.000000	2.200000	137	9999-12-31	2013-05-08	848
2/1-7	CONDUCTOR	30	171.000000	36	171.000000	0.000000	137	9999-12-31	2013-05-08	849
2/1-7	SURF.COND.	20	745.000000	26	755.000000	1.700000	137	9999-12-31	2013-05-08	850
2/1-7	INTERM.	13 3/8	2473.000000	17 1/2	2490.000000	1.920000	137	9999-12-31	2013-05-08	851
2/1-8	CONDUCTOR	30	193.000000	36	193.000000	0.000000	459	9999-12-31	2013-05-08	852
2/1-8	SURF.COND.	20	625.000000	26	635.000000	1.760000	459	9999-12-31	2013-05-08	853
2/1-8	INTERM.	13 3/8	2000.000000	17 1/2	2005.000000	2.040000	459	9999-12-31	2013-05-08	854
2/1-8	INTERM.	9 5/8	3888.000000	12 1/4	3898.000000	2.120000	459	9999-12-31	2013-05-08	855
2/1-8	OPEN HOLE	\N	4158.000000	8 1/2	4158.000000	0.000000	459	9999-12-31	2013-05-08	856
2/1-9	CONDUCTOR	30	164.000000	36	166.000000	0.000000	1667	9999-12-31	2013-05-08	857
2/1-9	INTERM.	20	895.000000	26	897.000000	1.740000	1667	9999-12-31	2013-05-08	858
2/1-9	INTERM.	13 3/8	2893.000000	17 1/2	2896.000000	2.030000	1667	9999-12-31	2013-05-08	859
2/1-9	INTERM.	9  5/8	3938.000000	12 1/4	3940.000000	2.150000	1667	9999-12-31	2013-05-08	860
2/1-9	LINER	7	4275.000000	8 1/2	4289.000000	0.000000	1667	9999-12-31	2013-05-08	861
2/1-9 A	CONDUCTOR	30	164.000000	36	165.000000	0.000000	1867	9999-12-31	2013-05-08	862
2/1-9 A	INTERM.	20	895.000000	26	896.000000	0.000000	1867	9999-12-31	2013-05-08	863
2/1-9 A	INTERM.	13 3/8	2893.000000	17 1/2	2895.000000	0.000000	1867	9999-12-31	2013-05-08	864
2/1-9 A	INTERM.	9 5/8	3938.000000	12 1/4	3940.000000	0.000000	1867	9999-12-31	2013-05-08	865
2/1-9 A	LINER	7	4378.000000	8 1/2	4385.000000	0.000000	1867	9999-12-31	2013-05-08	866
2/2-1	CONDUCTOR	30	207.000000	36	207.000000	0.000000	46	9999-12-31	2013-05-08	867
2/2-1	SURF.COND.	20	655.000000	26	665.000000	1.570000	46	9999-12-31	2013-05-08	868
2/2-1	INTERM.	13 3/8	1707.000000	17 1/2	1715.000000	1.800000	46	9999-12-31	2013-05-08	869
2/2-1	INTERM.	9 5/8	3243.000000	12 1/4	3260.000000	1.870000	46	9999-12-31	2013-05-08	870
2/2-1	LINER	7	4003.000000	8 1/2	4003.000000	0.000000	46	9999-12-31	2013-05-08	871
2/2-2	INTERM.	9 5/8	3124.000000	12 1/4	3124.000000	0.000000	80	9999-12-31	2013-05-08	872
2/2-2	CONDUCTOR	30	203.000000	36	206.000000	0.000000	80	9999-12-31	2013-05-08	873
2/2-2	SURF.COND.	20	706.000000	26	715.000000	1.570000	80	9999-12-31	2013-05-08	874
2/2-2	INTERM.	13 3/8	1945.000000	17 1/2	1965.000000	1.770000	80	9999-12-31	2013-05-08	875
2/2-3	CONDUCTOR	30	214.000000	36	215.000000	0.000000	3	9999-12-31	2013-05-08	876
2/2-3	SURF.COND.	20	650.000000	26	655.000000	1.390000	3	9999-12-31	2013-05-08	877
2/2-3	INTERM.	13 3/8	1897.000000	17 1/2	1910.000000	1.930000	3	9999-12-31	2013-05-08	878
2/2-3	INTERM.	9 5/8	3516.000000	12 1/4	3523.000000	2.140000	3	9999-12-31	2013-05-08	879
2/2-3	OPEN HOLE	\N	4100.000000	8 1/2	4100.000000	0.000000	3	9999-12-31	2013-05-08	880
2/2-4	CONDUCTOR	30	207.000000	36	207.000000	0.000000	1188	9999-12-31	2013-05-08	881
2/2-4	SURF.COND.	20	897.000000	26	915.000000	1.650000	1188	9999-12-31	2013-05-08	882
2/2-4	INTERM.	13 3/8	2304.000000	17 1/2	2319.000000	1.770000	1188	9999-12-31	2013-05-08	883
2/2-4	INTERM.	9 5/8	3295.000000	12 1/4	3321.000000	2.040000	1188	9999-12-31	2013-05-08	884
2/2-4	OPEN HOLE	\N	4020.000000	8 1/2	4020.000000	0.000000	1188	9999-12-31	2013-05-08	885
2/2-5	CONDUCTOR	30	188.000000	36	190.000000	0.000000	1846	9999-12-31	2013-05-08	886
2/2-5	INTERM.	20	903.000000	26	905.000000	1.700000	1846	9999-12-31	2013-05-08	887
2/2-5	INTERM.	13 3/8	2362.000000	17 1/2	2364.000000	1.750000	1846	9999-12-31	2013-05-08	888
2/2-5	INTERM.	9 5/8	3349.000000	12 1/4	3350.000000	2.020000	1846	9999-12-31	2013-05-08	889
2/2-5	LINER	7	4082.000000	8 1/2	4082.000000	0.000000	1846	9999-12-31	2013-05-08	890
2/2-6	CONDUCTOR	30	206.000000	36	216.000000	0.000000	6346	9999-12-31	2013-05-08	891
2/2-6	SURF.COND.	13 3/8	994.500000	17 1/2	1001.000000	1.810000	6346	9999-12-31	2013-05-08	892
2/2-6	INTERM.	9 5/8	3181.000000	12 1/4	3189.000000	1.850000	6346	9999-12-31	2013-05-08	893
2/2-6	OPEN HOLE	\N	4105.000000	8 1/2	4105.000000	0.000000	6346	9999-12-31	2013-05-08	894
2/3-1	INTERM.	9 5/8	1674.000000	12 1/4	1674.000000	0.000000	162	9999-12-31	2013-05-08	895
2/3-1	OPEN HOLE	\N	2934.000000	8 1/2	2934.000000	0.000000	162	9999-12-31	2013-05-08	896
2/3-1	CONDUCTOR	30	123.000000	36	124.000000	0.000000	162	9999-12-31	2013-05-08	897
2/3-1	INTERM.	20	275.000000	26	277.000000	0.000000	162	9999-12-31	2013-05-08	898
2/3-1	INTERM.	13 3/8	1298.000000	17 1/2	1300.000000	0.000000	162	9999-12-31	2013-05-08	899
2/3-2	CONDUCTOR	30	116.000000	36	117.000000	0.000000	169	9999-12-31	2013-05-08	900
2/3-2	INTERM.	20	212.000000	26	245.000000	0.000000	169	9999-12-31	2013-05-08	901
2/3-2	INTERM.	13 3/8	1050.000000	17 1/2	1080.000000	0.000000	169	9999-12-31	2013-05-08	902
2/3-2	OPEN HOLE	\N	2297.000000	12 1/4	2297.000000	0.000000	169	9999-12-31	2013-05-08	903
2/3-3	OPEN HOLE	\N	2973.000000	12 1/4	2973.000000	0.000000	198	9999-12-31	2013-05-08	904
2/3-3	CONDUCTOR	30	123.000000	36	123.000000	0.000000	198	9999-12-31	2013-05-08	905
2/3-3	INTERM.	20	264.000000	26	279.000000	0.000000	198	9999-12-31	2013-05-08	906
2/3-3	INTERM.	13 3/8	1084.000000	17 1/2	1098.000000	0.000000	198	9999-12-31	2013-05-08	907
2/3-4	CONDUCTOR	30	183.500000	36	335.300000	0.000000	129	9999-12-31	2013-05-08	908
2/3-4	SURF.COND.	20	644.500000	26	650.500000	1.490000	129	9999-12-31	2013-05-08	909
2/3-4	INTERM.	13 3/8	1770.600000	17 1/2	1786.000000	1.740000	129	9999-12-31	2013-05-08	910
2/3-4	INTERM.	9 5/8	2963.900000	12 1/4	2967.800000	1.920000	129	9999-12-31	2013-05-08	911
2/3-4	OPEN HOLE	\N	3386.000000	8 1/2	3386.000000	0.000000	129	9999-12-31	2013-05-08	912
2/4-1	CONDUCTOR	20	146.000000	26	148.000000	0.000000	895	9999-12-31	2013-05-08	913
2/4-1	SURF.COND.	13 3/8	623.000000	17 1/2	625.000000	0.000000	895	9999-12-31	2013-05-08	914
2/4-1	OPEN HOLE	\N	1662.000000	12 1/4	1662.000000	0.000000	895	9999-12-31	2013-05-08	915
2/4-10	CONDUCTOR	30	137.000000	36	183.000000	0.000000	254	9999-12-31	2013-05-08	916
2/4-10	SURF.COND.	20	489.000000	26	497.000000	0.000000	254	9999-12-31	2013-05-08	917
2/4-10	INTERM.	13 3/8	1223.000000	17 1/2	1228.000000	0.000000	254	9999-12-31	2013-05-08	918
2/4-10	INTERM.	9 5/8	2443.000000	12 1/4	2452.000000	0.000000	254	9999-12-31	2013-05-08	919
2/4-10	LINER	7	3418.000000	8 1/2	3418.000000	0.000000	254	9999-12-31	2013-05-08	920
2/4-11	CONDUCTOR	30	131.000000	36	131.000000	0.000000	255	9999-12-31	2013-05-08	921
2/4-11	SURF.COND.	20	487.000000	26	487.000000	0.000000	255	9999-12-31	2013-05-08	922
2/4-11	INTERM.	13 3/8	1219.000000	17 1/2	1219.000000	0.000000	255	9999-12-31	2013-05-08	923
2/4-11	INTERM.	9 5/8	2743.000000	12 1/4	2743.000000	0.000000	255	9999-12-31	2013-05-08	924
2/4-11	LINER	7	3962.000000	8	3962.000000	0.000000	255	9999-12-31	2013-05-08	925
2/4-11	LINER	5	4281.000000	6	4281.000000	0.000000	255	9999-12-31	2013-05-08	926
2/4-12	CONDUCTOR	30	131.000000	36	131.000000	0.000000	256	9999-12-31	2013-05-08	927
2/4-12	SURF.COND.	20	482.000000	26	482.000000	0.000000	256	9999-12-31	2013-05-08	928
2/4-12	INTERM.	13 3/8	1213.000000	17 1/2	1213.000000	0.000000	256	9999-12-31	2013-05-08	929
2/4-12	INTERM.	9 5/8	3060.000000	12 1/4	3060.000000	0.000000	256	9999-12-31	2013-05-08	930
2/4-12	OPEN HOLE	\N	3383.000000	8 1/2	3383.000000	0.000000	256	9999-12-31	2013-05-08	931
2/4-13	CONDUCTOR	30	214.000000	36	218.000000	0.000000	1313	9999-12-31	2013-05-08	932
2/4-13	SURF.COND.	20	906.000000	26	922.000000	1.820000	1313	9999-12-31	2013-05-08	933
2/4-13	INTERM.	13 3/8	2503.000000	17 1/2	2518.000000	0.000000	1313	9999-12-31	2013-05-08	934
2/4-14	CONDUCTOR	30	215.000000	36	217.000000	0.000000	1343	9999-12-31	2013-05-08	935
2/4-14	SURF.COND.	20	901.000000	26	916.000000	1.820000	1343	9999-12-31	2013-05-08	936
2/4-14	INTERM.	13 3/8	2509.000000	17 1/2	2526.000000	2.030000	1343	9999-12-31	2013-05-08	937
2/4-14	INTERM.	9 5/8	4437.000000	12 1/4	4437.000000	2.180000	1343	9999-12-31	2013-05-08	938
2/4-14	OPEN HOLE	\N	4734.000000	8 1/2	4734.000000	0.000000	1343	9999-12-31	2013-05-08	939
2/4-15 S	CONDUCTOR	30	216.000000	36	216.000000	0.000000	1371	9999-12-31	2013-05-08	940
2/4-15 S	INTERM.	20	900.000000	26	920.000000	1.750000	1371	9999-12-31	2013-05-08	941
2/4-15 S	INTERM.	13 3/8	2500.000000	17 1/2	2662.000000	2.030000	1371	9999-12-31	2013-05-08	942
2/4-15 S	LINER	7	4929.000000	8 1/2	4930.000000	0.000000	1371	9999-12-31	2013-05-08	943
2/4-15 S	INTERM.	16	2100.000000	22	2096.000000	1.850000	1371	9999-12-31	2013-05-08	944
2/4-15 S	INTERM.	9 5/8	4505.000000	12 1/4	4543.000000	2.110000	1371	9999-12-31	2013-05-08	945
2/4-15 S	INTERM.	13 3/8	2653.000000	17 1/2	2662.000000	2.030000	1371	9999-12-31	2013-05-08	946
2/4-15 S	OPEN HOLE	\N	4962.000000	5 7/8	4962.000000	0.000000	1371	9999-12-31	2013-05-08	947
2/4-16	CONDUCTOR	30	167.000000	36	170.000000	0.000000	1702	9999-12-31	2013-05-08	948
2/4-16	INTERM.	24	410.000000	30	424.000000	1.440000	1702	9999-12-31	2013-05-08	949
2/4-16	INTERM.	18 5/8	937.000000	24	951.000000	1.850000	1702	9999-12-31	2013-05-08	950
2/4-16	INTERM.	14	2897.000000	17 1/2	2912.000000	1.930000	1702	9999-12-31	2013-05-08	951
2/4-16	INTERM.	10 3/4	4632.000000	12 1/2	4650.000000	2.200000	1702	9999-12-31	2013-05-08	952
2/4-16	INTERM.	7 5/8	4892.000000	9 1/2	4910.000000	2.350000	1702	9999-12-31	2013-05-08	953
2/4-16	OPEN HOLE	\N	4963.000000	6	4996.000000	0.000000	1702	9999-12-31	2013-05-08	954
2/4-16 R	LINER	6	4882.000000	7 5/8	4973.000000	0.000000	1956	9999-12-31	2013-05-08	955
2/4-17	CONDUCTOR	30	204.000000	36	205.000000	0.000000	1792	9999-12-31	2013-05-08	956
2/4-17	INTERM.	20	459.000000	30	460.000000	1.620000	1792	9999-12-31	2013-05-08	957
2/4-17	INTERM.	13 3/8	2133.000000	17 1/2	2135.000000	1.960000	1792	9999-12-31	2013-05-08	958
2/4-17	INTERM.	9 5/8	4146.800000	12 1/4	4148.000000	2.170000	1792	9999-12-31	2013-05-08	959
2/4-17	LINER	7	5021.000000	8 1/2	5021.000000	2.160000	1792	9999-12-31	2013-05-08	960
2/4-18	CONDUCTOR	32	229.000000	38	232.000000	0.000000	2134	9999-12-31	2013-05-08	961
2/4-18	SURF.COND.	24	516.000000	28	516.000000	1.340000	2134	9999-12-31	2013-05-08	962
2/4-18 R	INTERM.	18 5/8	996.000000	26	1005.000000	1.920000	2253	9999-12-31	2013-05-08	963
2/4-18 R	INTERM.	13 3/8	3219.000000	17 1/2	3230.000000	1.870000	2253	9999-12-31	2013-05-08	964
2/4-18 R	INTERM.	9 5/8	4619.000000	12 1/4	4632.000000	2.140000	2253	9999-12-31	2013-05-08	965
2/4-18 R	OPEN HOLE	\N	5310.000000	8 1/2	5310.000000	0.000000	2253	9999-12-31	2013-05-08	966
2/4-19 B	CONDUCTOR	30	173.000000	36	173.000000	0.000000	257	9999-12-31	2013-05-08	967
2/4-19 B	SURF.COND.	20	497.000000	26	500.000000	0.000000	257	9999-12-31	2013-05-08	968
2/4-19 B	INTERM.	13 3/8	1371.000000	17 1/2	1375.000000	0.000000	257	9999-12-31	2013-05-08	969
2/4-19 B	INTERM.	9 5/8	2916.000000	12 1/4	2941.000000	0.000000	257	9999-12-31	2013-05-08	970
2/4-19 B	LINER	7	3926.000000	8 1/2	3964.000000	0.000000	257	9999-12-31	2013-05-08	971
2/4-19 B	OPEN HOLE	\N	4605.000000	6	4605.000000	0.000000	257	9999-12-31	2013-05-08	972
2/4-2	CONDUCTOR	30	132.000000	36	133.000000	0.000000	172	9999-12-31	2013-05-08	973
2/4-2	SURF.COND.	20	581.000000	26	581.000000	0.000000	172	9999-12-31	2013-05-08	974
2/4-2	INTERM.	13 3/8	1607.000000	17 1/2	1607.000000	0.000000	172	9999-12-31	2013-05-08	975
2/4-2	INTERM.	9 5/8	2366.000000	12 1/4	2366.000000	0.000000	172	9999-12-31	2013-05-08	976
2/4-2	LINER	7	3159.000000	8 1/2	3159.000000	0.000000	172	9999-12-31	2013-05-08	977
2/4-2	LINER	5	3305.000000	6	3305.000000	0.000000	172	9999-12-31	2013-05-08	978
2/4-20	CONDUCTOR	30	195.000000	36	201.000000	0.000000	5556	9999-12-31	2013-05-08	979
2/4-20	SURF.COND.	20	473.000000	26	479.000000	1.510000	5556	9999-12-31	2013-05-08	980
2/4-20	INTERM.	16	1451.000000	20	1461.000000	0.000000	5556	9999-12-31	2013-05-08	981
2/4-20	INTERM.	13 5/8	2883.000000	17 1/2	2888.000000	1.870000	5556	9999-12-31	2013-05-08	982
2/4-20	INTERM.	10 3/4	4763.000000	12 1/4	4766.000000	1.910000	5556	9999-12-31	2013-05-08	983
2/4-20	LINER	7	5565.000000	8 1/2	5565.000000	2.250000	5556	9999-12-31	2013-05-08	984
2/4-20	OPEN HOLE	\N	5719.000000	5 3/4	5719.000000	0.000000	5556	9999-12-31	2013-05-08	985
2/4-3	CONDUCTOR	30	131.000000	36	131.000000	0.000000	97	9999-12-31	2013-05-08	986
2/4-3	SURF.COND.	20	607.000000	26	619.000000	0.000000	97	9999-12-31	2013-05-08	987
2/4-3	INTERM.	13 3/8	1629.000000	17 1/2	1633.000000	0.000000	97	9999-12-31	2013-05-08	988
2/4-3	INTERM.	9 5/9	3007.000000	12 1/4	3018.000000	0.000000	97	9999-12-31	2013-05-08	989
2/4-3	LINER	7	3389.000000	8 1/2	3432.000000	0.000000	97	9999-12-31	2013-05-08	990
2/4-4	CONDUCTOR	30	135.000000	36	135.000000	0.000000	174	9999-12-31	2013-05-08	991
2/4-4	SURF.COND.	20	598.000000	26	622.000000	0.000000	174	9999-12-31	2013-05-08	992
2/4-4	INTERM.	13 3/8	1639.000000	17 1/2	1646.000000	0.000000	174	9999-12-31	2013-05-08	993
2/4-4	INTERM.	9 5/8	3094.000000	12 1/4	3111.000000	0.000000	174	9999-12-31	2013-05-08	994
2/4-4	LINER	7	3424.000000	8 1/2	3426.000000	0.000000	174	9999-12-31	2013-05-08	995
2/4-5	CONDUCTOR	30	130.000000	36	130.000000	0.000000	177	9999-12-31	2013-05-08	996
2/4-5	SURF.COND.	20	573.000000	26	585.000000	0.000000	177	9999-12-31	2013-05-08	997
2/4-5	INTERM.	13 3/8	1639.000000	17 1/2	1646.000000	0.000000	177	9999-12-31	2013-05-08	998
2/4-5	INTERM.	9 5/8	3029.000000	12 1/4	3056.000000	0.000000	177	9999-12-31	2013-05-08	999
2/4-5	LINER	7	3321.000000	8 1/2	3321.000000	0.000000	177	9999-12-31	2013-05-08	1000
2/4-6	CONDUCTOR	30	130.000000	36	130.000000	0.000000	181	9999-12-31	2013-05-08	1001
2/4-6	SURF.COND.	20	578.000000	26	580.000000	0.000000	181	9999-12-31	2013-05-08	1002
2/4-6	INTERM.	13 3/8	1599.000000	17 1/2	1600.000000	0.000000	181	9999-12-31	2013-05-08	1003
2/4-6	INTERM.	9 5/8	3099.000000	12 1/4	3100.000000	0.000000	181	9999-12-31	2013-05-08	1004
2/4-6	LINER	7	3396.000000	8 1/2	3396.000000	0.000000	181	9999-12-31	2013-05-08	1005
2/4-7	CONDUCTOR	30	136.000000	36	136.000000	0.000000	196	9999-12-31	2013-05-08	1006
2/4-7	SURF.COND.	20	557.000000	26	564.000000	0.000000	196	9999-12-31	2013-05-08	1007
2/4-7	INTERM.	13 3/8	1587.000000	17 1/2	1591.000000	0.000000	196	9999-12-31	2013-05-08	1008
2/4-7	INTERM.	9 5/8	3147.000000	12 1/4	3155.000000	0.000000	196	9999-12-31	2013-05-08	1009
2/4-7	LINER	7	3488.000000	8 1/2	3488.000000	0.000000	196	9999-12-31	2013-05-08	1010
2/4-8	CONDUCTOR	30	137.000000	36	138.000000	0.000000	252	9999-12-31	2013-05-08	1011
2/4-8	SURF.COND.	20	548.000000	26	548.000000	0.000000	252	9999-12-31	2013-05-08	1012
2/4-8	INTERM.	13 3/8	1615.000000	17 1/2	1616.000000	0.000000	252	9999-12-31	2013-05-08	1013
2/4-8	INTERM.	9 5/8	3002.000000	12 1/4	3003.000000	0.000000	252	9999-12-31	2013-05-08	1014
2/4-8	LINER	7	3692.000000	8 1/2	4078.000000	0.000000	252	9999-12-31	2013-05-08	1015
2/4-9	CONDUCTOR	30	177.000000	36	178.000000	0.000000	253	9999-12-31	2013-05-08	1016
2/4-9	SURF.COND.	20	487.000000	26	488.000000	0.000000	253	9999-12-31	2013-05-08	1017
2/4-9	SURF.COND.	13 3/8	1219.000000	17 1/2	1219.000000	0.000000	253	9999-12-31	2013-05-08	1018
2/4-9	INTERM.	9 5/8	2438.000000	12 1/4	2438.000000	0.000000	253	9999-12-31	2013-05-08	1019
2/4-9	LINER	7	3752.000000	8 1/2	3752.000000	0.000000	253	9999-12-31	2013-05-08	1020
2/5-1	CONDUCTOR	30	127.000000	36	128.000000	0.000000	178	9999-12-31	2013-05-08	1021
2/5-1	SURF.COND.	20	378.000000	26	378.000000	0.000000	178	9999-12-31	2013-05-08	1022
2/5-1	INTERM.	13 3/8	1591.000000	17 1/2	1601.000000	0.000000	178	9999-12-31	2013-05-08	1023
2/5-1	INTERM.	9 5/8	3045.000000	12 1/4	3055.000000	0.000000	178	9999-12-31	2013-05-08	1024
2/5-1	PROD.	7	3327.000000	8 1/2	3973.000000	0.000000	178	9999-12-31	2013-05-08	1025
2/5-10	CONDUCTOR	30	185.000000	36	185.000000	0.000000	2044	9999-12-31	2013-05-08	1026
2/5-10	INTERM.	20	509.000000	26	510.000000	0.000000	2044	9999-12-31	2013-05-08	1027
2/5-10	INTERM.	13 3/8	2254.000000	17 1/2	2255.000000	0.000000	2044	9999-12-31	2013-05-08	1028
2/5-10	INTERM.	9 5/8	4217.000000	12 1/4	4219.000000	0.000000	2044	9999-12-31	2013-05-08	1029
2/5-10	OPEN HOLE	\N	4701.000000	8 3/8	4701.000000	0.000000	2044	9999-12-31	2013-05-08	1030
2/5-10 A	INTERM.	9 5/8	4217.000000	12 1/4	4217.000000	0.000000	2194	9999-12-31	2013-05-08	1031
2/5-10 A	OPEN HOLE	\N	4715.000000	8 3/8	4715.000000	0.000000	2194	9999-12-31	2013-05-08	1032
2/5-11	CONDUCTOR	30	207.000000	36	208.000000	0.000000	3084	9999-12-31	2013-05-08	1033
2/5-11	SURF.COND.	20	770.000000	26	772.000000	0.000000	3084	9999-12-31	2013-05-08	1034
2/5-11	INTERM.	13 3/8	2013.000000	17 1/2	2020.000000	0.000000	3084	9999-12-31	2013-05-08	1035
2/5-11	INTERM.	9 5/8	3220.000000	12 1/4	3225.000000	0.000000	3084	9999-12-31	2013-05-08	1036
2/5-11	LINER	7	3550.000000	8 1/2	3550.000000	0.000000	3084	9999-12-31	2013-05-08	1037
2/5-12	CONDUCTOR	32	170.000000	36	170.000000	0.000000	4433	9999-12-31	2013-05-08	1038
2/5-12	INTERM.	18 5/8	954.000000	26	960.000000	1.800000	4433	9999-12-31	2013-05-08	1039
2/5-12	INTERM.	13 3/8	2381.000000	17 1/2	2383.000000	1.710000	4433	9999-12-31	2013-05-08	1040
2/5-12	PROD.	9 5/8	3720.000000	12 1/4	3725.000000	2.100000	4433	9999-12-31	2013-05-08	1041
2/5-12	OPEN HOLE	\N	4153.000000	8 1/2	4153.000000	0.000000	4433	9999-12-31	2013-05-08	1042
2/5-13	CONDUCTOR	30	219.000000	36	224.000000	1.100000	5948	9999-12-31	2013-05-08	1043
2/5-13	SURF.COND.	20	940.000000	26	953.000000	1.820000	5948	9999-12-31	2013-05-08	1044
2/5-13	INTERM.	14	2989.000000	17 1/2	3000.000000	1.890000	5948	9999-12-31	2013-05-08	1045
2/5-13	INTERM.	9 7/8	4210.000000	12 174	4211.000000	2.150000	5948	9999-12-31	2013-05-08	1046
2/5-13	OPEN HOLE	\N	4675.000000	8 1/2	4675.000000	0.000000	5948	9999-12-31	2013-05-08	1047
2/5-14 S	CONDUCTOR	30	184.000000	36	189.000000	0.000000	5958	9999-12-31	2013-05-08	1048
2/5-14 S	SURF.COND.	20	571.000000	26	579.000000	1.450000	5958	9999-12-31	2013-05-08	1049
2/5-14 S	INTERM.	13 3/8	1551.000000	17 1/2	1560.000000	2.000000	5958	9999-12-31	2013-05-08	1050
2/5-14 S	INTERM.	9 5/8	3391.000000	12 1/4	3398.000000	1.650000	5958	9999-12-31	2013-05-08	1051
2/5-14 S	OPEN HOLE	\N	3845.000000	8 1/2	3845.000000	0.000000	5958	9999-12-31	2013-05-08	1052
2/5-2	CONDUCTOR	30	134.000000	36	137.000000	0.000000	188	9999-12-31	2013-05-08	1053
2/5-2	INTERM.	20	400.000000	26	400.000000	0.000000	188	9999-12-31	2013-05-08	1054
2/5-2	INTERM.	13 3/8	1598.000000	17 1/2	1600.000000	0.000000	188	9999-12-31	2013-05-08	1055
2/5-2	INTERM.	9 5/8	3104.000000	12 1/4	3109.000000	0.000000	188	9999-12-31	2013-05-08	1056
2/5-2	PROD.	7	3595.000000	8 1/2	3598.000000	0.000000	188	9999-12-31	2013-05-08	1057
2/5-3	CONDUCTOR	30	143.000000	36	143.000000	0.000000	258	9999-12-31	2013-05-08	1058
2/5-3	INTERM.	20	375.000000	26	392.000000	0.000000	258	9999-12-31	2013-05-08	1059
2/5-3	INTERM.	13 3/8	1588.000000	17 1/2	1588.000000	0.000000	258	9999-12-31	2013-05-08	1060
2/5-3	INTERM.	9 5/8	3031.000000	12 1/4	3044.000000	0.000000	258	9999-12-31	2013-05-08	1061
2/5-3	LINER	7	3717.000000	8 1/2	3731.000000	0.000000	258	9999-12-31	2013-05-08	1062
2/5-4	CONDUCTOR	30	45.000000	36	46.000000	0.000000	259	9999-12-31	2013-05-08	1063
2/5-4	INTERM.	20	365.000000	26	366.000000	0.000000	259	9999-12-31	2013-05-08	1064
2/5-4	INTERM.	13 3/8	1829.000000	17 1/2	1830.000000	0.000000	259	9999-12-31	2013-05-08	1065
2/5-4	INTERM.	9 5/8	3352.000000	12 1/4	3489.000000	0.000000	259	9999-12-31	2013-05-08	1066
2/5-5	CONDUCTOR	30	151.000000	36	151.000000	0.000000	260	9999-12-31	2013-05-08	1067
2/5-5	SURF.COND.	20	374.000000	26	389.000000	0.000000	260	9999-12-31	2013-05-08	1068
2/5-5	INTERM.	13 3/8	1586.000000	17 1/2	1601.000000	0.000000	260	9999-12-31	2013-05-08	1069
2/5-5	INTERM.	9 5/8	3061.000000	12 1/4	3080.000000	0.000000	260	9999-12-31	2013-05-08	1070
2/5-5	LINER	7	3461.000000	8 1/2	3456.000000	0.000000	260	9999-12-31	2013-05-08	1071
2/5-6	CONDUCTOR	30	167.000000	36	168.000000	0.000000	261	9999-12-31	2013-05-08	1072
2/5-6	SURF.COND.	20	540.000000	26	541.000000	0.000000	261	9999-12-31	2013-05-08	1073
2/5-6	INTERM.	13 3/8	1847.000000	17 1/2	1850.000000	0.000000	261	9999-12-31	2013-05-08	1074
2/5-6	INTERM.	9 5/8	3540.000000	12 1/4	3542.000000	0.000000	261	9999-12-31	2013-05-08	1075
2/5-6	LINER	7	3967.000000	8 1/2	3967.000000	0.000000	261	9999-12-31	2013-05-08	1076
2/5-7	CONDUCTOR	30	156.000000	36	156.300000	0.000000	25	9999-12-31	2013-05-08	1077
2/5-7	SURF.COND.	20	851.500000	26	864.000000	1.900000	25	9999-12-31	2013-05-08	1078
2/5-7	INTERM.	13 3/8	2244.000000	17 1/2	2272.000000	1.890000	25	9999-12-31	2013-05-08	1079
2/5-7	INTERM.	9 5/8	3988.000000	12 1/4	4007.000000	0.000000	25	9999-12-31	2013-05-08	1080
2/5-7	LINER	7	3993.000000	8 1/2	4007.000000	2.150000	25	9999-12-31	2013-05-08	1081
2/5-7	OPEN HOLE	\N	4531.000000	5 3/4	4531.000000	0.000000	25	9999-12-31	2013-05-08	1082
2/5-8	SURF.COND.	20	360.000000	26	373.000000	1.500000	1308	9999-12-31	2013-05-08	1083
2/5-8	SURF.COND.	20	359.000000	26	373.000000	1.500000	1308	9999-12-31	2013-05-08	1084
2/5-8	CONDUCTOR	30	139.000000	36	166.000000	0.000000	1308	9999-12-31	2013-05-08	1085
2/5-8	INTERM.	13 3/8	1582.000000	17 1/2	1598.000000	1.930000	1308	9999-12-31	2013-05-08	1086
2/5-8	INTERM.	9 5/8	3006.000000	12 1/4	3017.000000	1.920000	1308	9999-12-31	2013-05-08	1087
2/5-9	CONDUCTOR	30	187.000000	36	190.000000	0.000000	1834	9999-12-31	2013-05-08	1088
2/5-9	INTERM.	20	950.000000	26	960.000000	1.750000	1834	9999-12-31	2013-05-08	1089
2/5-9	INTERM.	13 3/8	2872.000000	17 1/2	2880.000000	2.020000	1834	9999-12-31	2013-05-08	1090
2/5-9	INTERM.	9 5/8	4515.000000	12 1/4	4525.000000	2.230000	1834	9999-12-31	2013-05-08	1091
2/5-9	OPEN HOLE	\N	5460.000000	8 1/2	5460.000000	0.000000	1834	9999-12-31	2013-05-08	1092
2/6-1	CONDUCTOR	30	125.000000	36	127.000000	0.000000	160	9999-12-31	2013-05-08	1093
2/6-1	SURF.COND.	13 3/8	587.000000	17 1/2	600.000000	0.000000	160	9999-12-31	2013-05-08	1094
2/6-1	INTERM.	9 5/8	2100.000000	12 1/4	2107.000000	0.000000	160	9999-12-31	2013-05-08	1095
2/6-1	OPEN HOLE	\N	3336.000000	8 1/2	3336.000000	0.000000	160	9999-12-31	2013-05-08	1096
2/6-2	CONDUCTOR	30	130.000000	36	133.000000	0.000000	224	9999-12-31	2013-05-08	1097
2/6-2	SURF.COND.	20	680.000000	26	695.000000	1.560000	224	9999-12-31	2013-05-08	1098
2/6-2	INTERM.	13 3/8	2449.000000	17 1/2	2461.000000	1.710000	224	9999-12-31	2013-05-08	1099
2/6-2	INTERM.	9 5/8	3820.000000	12 1/4	3831.000000	1.980000	224	9999-12-31	2013-05-08	1100
2/6-2	LINER	7	4325.000000	8 1/2	4332.000000	2.180000	224	9999-12-31	2013-05-08	1101
2/6-2	OPEN HOLE	\N	4735.000000	5 7/8	4735.000000	0.000000	224	9999-12-31	2013-05-08	1102
2/6-3	CONDUCTOR	30	155.000000	36	0.000000	0.000000	64	9999-12-31	2013-05-08	1103
2/6-3	SURF.COND.	20	793.000000	26	803.000000	1.750000	64	9999-12-31	2013-05-08	1104
2/6-3	INTERM.	13 3/8	2494.000000	17 1/2	2504.000000	1.700000	64	9999-12-31	2013-05-08	1105
2/6-3	INTERM.	9 5/8	3435.000000	12 1/4	3449.000000	1.950000	64	9999-12-31	2013-05-08	1106
2/6-3	LINER	7	3910.000000	8 1/2	4060.000000	0.000000	64	9999-12-31	2013-05-08	1107
2/6-4 S	CONDUCTOR	30	137.000000	36	140.000000	0.000000	1527	9999-12-31	2013-05-08	1108
2/6-4 S	INTERM.	20	1002.000000	26	1007.000000	1.750000	1527	9999-12-31	2013-05-08	1109
2/6-4 S	INTERM.	13 3/8	2267.000000	17 1/2	2270.000000	1.920000	1527	9999-12-31	2013-05-08	1110
2/6-4 S	INTERM.	9 5/8	3331.000000	12 1/4	3331.000000	1.960000	1527	9999-12-31	2013-05-08	1111
2/6-5	CONDUCTOR	30	170.000000	36	170.000000	0.000000	2885	9999-12-31	2013-05-08	1112
2/6-5	SURF.COND.	13 3/8	802.000000	17 1/2	805.000000	1.820000	2885	9999-12-31	2013-05-08	1113
2/6-5	INTERM.	9 5/8	2494.000000	12 1/4	2496.000000	1.780000	2885	9999-12-31	2013-05-08	1114
2/6-5	LINER	7	3260.000000	8 1/2	3260.000000	0.000000	2885	9999-12-31	2013-05-08	1115
2/7-12	CONDUCTOR	30	175.000000	36	175.000000	0.000000	271	9999-12-31	2013-05-08	1116
2/7-12	SURF.COND.	20	335.000000	26	341.000000	1.630000	271	9999-12-31	2013-05-08	1117
2/7-12	INTERM.	13 3/8	1402.000000	17 1/2	1412.000000	1.660000	271	9999-12-31	2013-05-08	1118
2/7-12	OPEN HOLE	\N	1832.000000	12 1/4	1832.000000	0.000000	271	9999-12-31	2013-05-08	1119
2/7-13	CONDUCTOR	30	176.000000	36	178.000000	0.000000	272	9999-12-31	2013-05-08	1120
2/7-13	SURF.COND.	20	346.000000	26	361.000000	1.290000	272	9999-12-31	2013-05-08	1121
2/7-13	INTERM.	13 3/8	1502.000000	17 1/2	1515.000000	1.540000	272	9999-12-31	2013-05-08	1122
2/7-13	INTERM.	9 5/8	2690.000000	12	2722.000000	1.720000	272	9999-12-31	2013-05-08	1123
2/7-13	LINER	7	3382.000000	8 1/2	3388.000000	0.000000	272	9999-12-31	2013-05-08	1124
2/7-14	CONDUCTOR	30	123.000000	36	126.000000	0.000000	116	9999-12-31	2013-05-08	1125
2/7-14	SURF.COND.	20	340.000000	26	354.000000	1.420000	116	9999-12-31	2013-05-08	1126
2/7-14	INTERM.	13 3/8	1501.000000	17 1/2	1516.000000	2.080000	116	9999-12-31	2013-05-08	1127
2/7-14	INTERM.	9 5/8	3043.000000	12 1/4	3053.000000	1.660000	116	9999-12-31	2013-05-08	1128
2/7-14	LINER	7	3345.000000	8 1/2	3365.000000	0.000000	116	9999-12-31	2013-05-08	1129
2/7-15	CONDUCTOR	30	128.000000	36	128.000000	0.000000	225	9999-12-31	2013-05-08	1130
2/7-15	SURF.COND.	20	464.000000	26	478.000000	1.140000	225	9999-12-31	2013-05-08	1131
2/7-15	INTERM.	13 3/8	1342.000000	17 1/2	1362.000000	1.920000	225	9999-12-31	2013-05-08	1132
2/7-15	INTERM.	9 5/8	3150.000000	12 1/4	3160.000000	1.980000	225	9999-12-31	2013-05-08	1133
2/7-15	LINER	7	3664.000000	8 1/2	3674.000000	2.190000	225	9999-12-31	2013-05-08	1134
2/7-15	OPEN HOLE	\N	4398.000000	5 7/8	4398.000000	0.000000	225	9999-12-31	2013-05-08	1135
2/7-16	CONDUCTOR	30	139.000000	36	140.000000	0.000000	232	9999-12-31	2013-05-08	1136
2/7-16	SURF.COND.	20	587.000000	26	605.000000	1.530000	232	9999-12-31	2013-05-08	1137
2/7-16	INTERM.	13 3/8	1497.000000	17 1/2	1513.000000	2.040000	232	9999-12-31	2013-05-08	1138
2/7-16	INTERM.	9 5/8	3769.000000	12 1/4	3788.000000	2.090000	232	9999-12-31	2013-05-08	1139
2/7-16	LINER	7	4818.000000	8 1/2	4818.000000	0.000000	232	9999-12-31	2013-05-08	1140
2/7-17	CONDUCTOR	30	131.000000	36	131.000000	0.000000	200	9999-12-31	2013-05-08	1141
2/7-17	SURF.COND.	20	556.000000	26	570.000000	1.380000	200	9999-12-31	2013-05-08	1142
2/7-17	INTERM.	13 3/8	1561.000000	17 1/2	1575.000000	0.000000	200	9999-12-31	2013-05-08	1143
2/7-18	CONDUCTOR	30	130.000000	36	130.000000	0.000000	206	9999-12-31	2013-05-08	1144
2/7-18	SURF.COND.	20	558.000000	26	572.000000	0.000000	206	9999-12-31	2013-05-08	1145
2/7-18	OPEN HOLE	\N	575.000000	17 1/2	575.000000	0.000000	206	9999-12-31	2013-05-08	1146
2/7-19	CONDUCTOR	30	153.900000	36	154.500000	0.000000	1367	9999-12-31	2013-05-08	1147
2/7-19	SURF.COND.	20	585.500000	26	593.400000	1.400000	1367	9999-12-31	2013-05-08	1148
2/7-19	INTERM.	13 3/8	1585.900000	17 1/2	1600.200000	1.870000	1367	9999-12-31	2013-05-08	1149
2/7-19	INTERM.	9 5/8	3780.400000	12 1/4	3799.900000	2.020000	1367	9999-12-31	2013-05-08	1150
2/7-19	LINER	7	4872.200000	8 1/2	4876.800000	0.000000	1367	9999-12-31	2013-05-08	1151
2/7-2	SURF.COND.	30	129.000000	36	129.000000	0.000000	187	9999-12-31	2013-05-08	1152
2/7-2	INTERM.	20	587.000000	26	595.000000	0.000000	187	9999-12-31	2013-05-08	1153
2/7-2	INTERM.	13 3/8	1589.000000	17 1/2	1604.000000	0.000000	187	9999-12-31	2013-05-08	1154
2/7-2	INTERM.	9 5/8	3189.000000	12 1/4	3207.000000	0.000000	187	9999-12-31	2013-05-08	1155
2/7-2	OPEN HOLE	\N	3965.000000	8 172	3965.000000	0.000000	187	9999-12-31	2013-05-08	1156
2/7-20	LINER	7	4278.000000	8 1/2	4284.000000	2.220000	1062	2012-10-16	2013-05-08	1157
2/7-20	OPEN HOLE	\N	4512.000000	5 7/8	4512.000000	0.000000	1062	2012-10-16	2013-05-08	1158
2/7-20	CONDUCTOR	30	172.000000	36	174.000000	0.000000	1062	2012-10-16	2013-05-08	1159
2/7-20	SURF.COND.	20	1069.000000	26	1074.000000	2.030000	1062	2012-10-16	2013-05-08	1160
2/7-20	INTERM.	13 3/8	2439.000000	17 1/2	2448.000000	2.010000	1062	2012-10-16	2013-05-08	1161
2/7-20	INTERM.	9 5/8	3800.000000	12 1/4	3819.000000	2.160000	1062	2012-10-16	2013-05-08	1162
2/7-21 S	CONDUCTOR	30	171.000000	36	173.000000	0.000000	1394	9999-12-31	2013-05-08	1163
2/7-21 S	INTERM.	20	1056.000000	26	1067.000000	1.850000	1394	9999-12-31	2013-05-08	1164
2/7-21 S	INTERM.	13 3/8	2512.000000	17 1/2	2523.000000	2.080000	1394	9999-12-31	2013-05-08	1165
2/7-21 S	INTERM.	9 5/8	4221.000000	12 1/4	4234.000000	2.300000	1394	9999-12-31	2013-05-08	1166
2/7-21 S	LINER	7	4557.000000	8 1/2	4563.000000	2.220000	1394	9999-12-31	2013-05-08	1167
2/7-21 S	LINER	5	5039.000000	5 7/8	5039.000000	0.000000	1394	9999-12-31	2013-05-08	1168
2/7-22	CONDUCTOR	30	224.000000	36	227.000000	0.000000	1495	9999-12-31	2013-05-08	1169
2/7-22	INTERM.	20	1092.000000	26	1100.000000	1.950000	1495	9999-12-31	2013-05-08	1170
2/7-22	INTERM.	13 3/8	2970.000000	17 1/2	2978.000000	2.090000	1495	9999-12-31	2013-05-08	1171
2/7-22	INTERM.	9 5/8	4192.000000	12 1/4	4200.000000	2.140000	1495	9999-12-31	2013-05-08	1172
2/7-22	LINER	7	4292.000000	8 1/2	4293.000000	2.150000	1495	9999-12-31	2013-05-08	1173
2/7-22	LINER	4 1/2	4750.000000	5 7/8	4750.000000	0.000000	1495	9999-12-31	2013-05-08	1174
2/7-23 S	CONDUCTOR	30	173.000000	36	174.000000	0.000000	1547	9999-12-31	2013-05-08	1175
2/7-23 S	INTERM.	20	1066.000000	26	1070.000000	1.920000	1547	9999-12-31	2013-05-08	1176
2/7-23 S	INTERM.	13 3/8	2559.000000	17 1/2	2600.000000	2.020000	1547	9999-12-31	2013-05-08	1177
2/7-23 S	INTERM.	9 5/8	4224.000000	12 1/4	4230.000000	2.170000	1547	9999-12-31	2013-05-08	1178
2/7-23 S	LINER	6 5/8	4758.000000	8 1/2	4760.000000	0.000000	1547	9999-12-31	2013-05-08	1179
2/7-25 S	CONDUCTOR	30	207.000000	36	210.000000	0.000000	1679	9999-12-31	2013-05-08	1180
2/7-25 S	INTERM.	20	764.000000	28	770.000000	1.730000	1679	9999-12-31	2013-05-08	1181
2/7-25 S	INTERM.	13 3/8	2356.000000	17 1/2	2360.000000	1.940000	1679	9999-12-31	2013-05-08	1182
2/7-25 S	INTERM.	9 5/8	4549.000000	12 1/4	4552.000000	2.160000	1679	9999-12-31	2013-05-08	1183
2/7-26 S	CONDUCTOR	30	158.000000	36	160.000000	0.000000	1756	9999-12-31	2013-05-08	1184
2/7-26 S	INTERM.	20	571.000000	26	573.000000	0.000000	1756	9999-12-31	2013-05-08	1185
2/7-26 S	INTERM.	13 3/8	2130.000000	17 1/2	2133.000000	1.910000	1756	9999-12-31	2013-05-08	1186
2/7-26 S	INTERM.	9 5/8	4117.000000	12 1/4	4120.000000	2.160000	1756	9999-12-31	2013-05-08	1187
2/7-26 S	INTERM.	6 5/8	4847.000000	8 1/8	4848.000000	0.000000	1756	9999-12-31	2013-05-08	1188
2/7-27 S	CONDUCTOR	30	156.000000	36	157.000000	0.000000	1878	9999-12-31	2013-05-08	1189
2/7-27 S	INTERM.	20	570.000000	26	572.000000	1.920000	1878	9999-12-31	2013-05-08	1190
2/7-27 S	INTERM.	13 3/8	2139.000000	17 1/2	2140.000000	2.000000	1878	9999-12-31	2013-05-08	1191
2/7-27 S	INTERM.	9 7/8	4285.000000	12 1/4	4286.000000	1.800000	1878	9999-12-31	2013-05-08	1192
2/7-27 S	LINER	7	4797.000000	8 1/2	4800.000000	2.180000	1878	9999-12-31	2013-05-08	1193
2/7-29	CONDUCTOR	30	302.000000	36	310.000000	0.000000	2124	9999-12-31	2013-05-08	1194
2/7-29	SURF.COND.	20	1146.000000	26	1155.000000	0.000000	2124	9999-12-31	2013-05-08	1195
2/7-29	INTERM.	13 3/8	3124.000000	17 1/2	3130.000000	0.000000	2124	9999-12-31	2013-05-08	1196
2/7-29	INTERM.	9 7/8	4356.000000	12 1/4	4366.000000	0.000000	2124	9999-12-31	2013-05-08	1197
2/7-29	OPEN HOLE	\N	4900.000000	8 3/8	4900.000000	0.000000	2124	9999-12-31	2013-05-08	1198
2/7-30	CONDUCTOR	30	209.000000	36	210.000000	0.000000	2394	9999-12-31	2013-05-08	1199
2/7-30	SURF.COND.	20	462.000000	26	465.000000	0.000000	2394	9999-12-31	2013-05-08	1200
2/7-30	INTERM.	13 3/8	1529.000000	17 1/2	1530.000000	0.000000	2394	9999-12-31	2013-05-08	1201
2/7-30	INTERM.	9 5/8	3136.000000	12 1/4	3140.000000	0.000000	2394	9999-12-31	2013-05-08	1202
2/7-30	OPEN HOLE	\N	3477.000000	8 1/2	3477.000000	0.000000	2394	9999-12-31	2013-05-08	1203
2/7-31	LINER	7 3/4	4968.000000	8 1/2	4968.000000	2.150000	3573	9999-12-31	2013-05-08	1204
2/7-31	CONDUCTOR	30	222.500000	36	225.000000	0.000000	3573	9999-12-31	2013-05-08	1205
2/7-31	SURF.COND.	20	584.300000	26	586.000000	0.000000	3573	9999-12-31	2013-05-08	1206
2/7-31	INTERM.	13 3/8	1946.800000	17 1/2	1950.000000	1.670000	3573	9999-12-31	2013-05-08	1207
2/7-31	INTERM.	9 7/8	4253.800000	12 1/4	4255.000000	1.950000	3573	9999-12-31	2013-05-08	1208
2/7-4	CONDUCTOR	30	177.000000	36	187.000000	0.000000	263	9999-12-31	2013-05-08	1209
2/7-4	INTERM.	20	610.000000	26	622.000000	1.860000	263	9999-12-31	2013-05-08	1210
2/7-4	INTERM.	13 3/8	2093.000000	17 1/2	2110.000000	1.880000	263	9999-12-31	2013-05-08	1211
2/7-4	INTERM.	9 5/8	3383.000000	12 1/4	3390.000000	0.000000	263	9999-12-31	2013-05-08	1212
2/7-4	LINER	7	3710.000000	8 1/2	3723.000000	0.000000	263	9999-12-31	2013-05-08	1213
2/7-5	CONDUCTOR	30	134.000000	36	136.000000	0.000000	264	9999-12-31	2013-05-08	1214
2/7-5	SURF.COND.	20	480.000000	26	494.000000	0.000000	264	9999-12-31	2013-05-08	1215
2/7-5	INTERM.	13 3/8	1217.000000	17 1/2	1217.000000	0.000000	264	9999-12-31	2013-05-08	1216
2/7-5	INTERM.	9 5/8	2433.000000	12 1/4	2443.000000	0.000000	264	9999-12-31	2013-05-08	1217
2/7-5	INTERM.	7	3349.000000	8 1/2	3353.000000	0.000000	264	9999-12-31	2013-05-08	1218
2/7-8	CONDUCTOR	30	154.000000	36	155.000000	0.000000	267	9999-12-31	2013-05-08	1219
2/7-8	SURF.COND.	20	488.000000	26	497.000000	0.000000	267	9999-12-31	2013-05-08	1220
2/7-8	INTERM.	13 3/8	1220.000000	17 1/2	1229.000000	0.000000	267	9999-12-31	2013-05-08	1221
2/7-8	INTERM.	9 5/8	2449.000000	12 1/4	2457.000000	0.000000	267	9999-12-31	2013-05-08	1222
2/7-8	LINER	7	3311.000000	8 1/2	3318.000000	0.000000	267	9999-12-31	2013-05-08	1223
2/7-9	CONDUCTOR	30	145.000000	36	146.000000	0.000000	268	9999-12-31	2013-05-08	1224
2/7-9	SURF.COND.	20	501.000000	26	511.000000	0.000000	268	9999-12-31	2013-05-08	1225
2/7-9	INTERM.	13 3/8	1226.000000	17 1/2	1228.000000	0.000000	268	9999-12-31	2013-05-08	1226
2/7-9	INTERM.	9 5/8	2745.000000	12 1/4	2752.000000	0.000000	268	9999-12-31	2013-05-08	1227
2/7-9	LINER	7	4064.000000	8 1/2	4075.000000	0.000000	268	9999-12-31	2013-05-08	1228
2/7-9	OPEN HOLE	\N	4448.000000	5 7/8	4448.000000	0.000000	268	9999-12-31	2013-05-08	1229
2/8-1	CONDUCTOR	30	144.000000	36	159.000000	0.000000	124	9999-12-31	2013-05-08	1230
2/8-1	SURF.COND.	20	327.000000	26	351.000000	0.000000	124	9999-12-31	2013-05-08	1231
2/8-1	INTERM.	13 3/8	1693.000000	17 1/2	1701.000000	0.000000	124	9999-12-31	2013-05-08	1232
2/8-1	OPEN HOLE	\N	2596.000000	12 1/4	2596.000000	0.000000	124	9999-12-31	2013-05-08	1233
2/8-10	CONDUCTOR	30	174.000000	36	174.000000	0.000000	280	9999-12-31	2013-05-08	1234
2/8-10	SURF.COND.	20	368.000000	26	375.000000	0.000000	280	9999-12-31	2013-05-08	1235
2/8-10	INTERM.	13 3/8	1280.000000	17 1/2	1286.000000	0.000000	280	9999-12-31	2013-05-08	1236
2/8-10	INTERM.	9 5/8	2602.000000	12 1/4	2682.000000	0.000000	280	9999-12-31	2013-05-08	1237
2/8-11	CONDUCTOR	30	166.000000	36	170.000000	0.000000	1224	9999-12-31	2013-05-08	1238
2/8-11	SURF.COND.	20	377.000000	26	381.000000	0.000000	1224	9999-12-31	2013-05-08	1239
2/8-11	INTERM.	13 3/8	1283.000000	17 1/2	1295.000000	0.000000	1224	9999-12-31	2013-05-08	1240
2/8-11	INTERM.	9 5/8	2648.000000	12 1/4	2655.000000	0.000000	1224	9999-12-31	2013-05-08	1241
2/8-11	LINER	7	2582.000000	8 1/2	2655.000000	0.000000	1224	9999-12-31	2013-05-08	1242
2/8-12 S	OPEN HOLE	\N	5300.000000	8 1/2	5300.000000	0.000000	1351	9999-12-31	2013-05-08	1243
2/8-12 S	CONDUCTOR	30	178.000000	36	185.000000	0.000000	1351	9999-12-31	2013-05-08	1244
2/8-12 S	INTERM.	20	904.000000	26	935.000000	1.810000	1351	9999-12-31	2013-05-08	1245
2/8-12 S	INTERM.	13 3/8	2286.000000	18 1/2	2298.000000	1.960000	1351	9999-12-31	2013-05-08	1246
2/8-12 S	INTERM.	11 3/4	3360.000000	12 1/4	3360.000000	1.980000	1351	9999-12-31	2013-05-08	1247
2/8-12 S	INTERM.	9 5/8	4024.000000	10 5/8	4025.000000	2.210000	1351	9999-12-31	2013-05-08	1248
2/8-13	INTERM.	20	374.000000	26	380.000000	1.600000	1383	9999-12-31	2013-05-08	1249
2/8-13	LINER	7	1757.000000	8 1/2	1783.000000	2.180000	1383	9999-12-31	2013-05-08	1250
2/8-13	CONDUCTOR	30	178.000000	36	183.000000	0.000000	1383	9999-12-31	2013-05-08	1251
2/8-13	INTERM.	13 3/8	1238.800000	17 1/2	1255.000000	1.850000	1383	9999-12-31	2013-05-08	1252
2/8-13	INTERM.	9 5/8	1449.000000	12 1/4	1457.000000	1.980000	1383	9999-12-31	2013-05-08	1253
2/8-13	OPEN HOLE	\N	1940.000000	5 7/8	1940.000000	0.000000	1383	9999-12-31	2013-05-08	1254
2/8-14	CONDUCTOR	30	185.000000	36	193.000000	0.000000	1552	9999-12-31	2013-05-08	1255
2/8-14	INTERM.	20	945.000000	26	952.000000	1.740000	1552	9999-12-31	2013-05-08	1256
2/8-14	INTERM.	13 3/8	2549.000000	17 1/2	2560.000000	1.900000	1552	9999-12-31	2013-05-08	1257
2/8-14	LINER	11 3/4	3062.000000	15	3068.000000	2.050000	1552	9999-12-31	2013-05-08	1258
2/8-14	INTERM.	9 5/8	3234.000000	10 5/8	3248.000000	2.070000	1552	9999-12-31	2013-05-08	1259
2/8-14	LINER	7	4202.000000	8 1/2	4274.000000	2.230000	1552	9999-12-31	2013-05-08	1260
2/8-14	OPEN HOLE	5	4392.000000	5 7/8	4392.000000	0.000000	1552	9999-12-31	2013-05-08	1261
2/8-15	CONDUCTOR	30	251.000000	36	252.000000	0.000000	2636	9999-12-31	2013-05-08	1262
2/8-15	SURF.COND.	20	1088.000000	26	1099.000000	0.000000	2636	9999-12-31	2013-05-08	1263
2/8-15	INTERM.	13 3/8	2286.000000	17 1/2	2300.000000	0.000000	2636	9999-12-31	2013-05-08	1264
2/8-15	OPEN HOLE	\N	2303.000000	12 1/4	2303.000000	0.000000	2636	9999-12-31	2013-05-08	1265
2/8-15	OPEN HOLE	\N	3750.000000	8 1/2	3750.000000	0.000000	2636	9999-12-31	2013-05-08	1266
2/8-16 S	SURF.COND.	20	376.000000	26	370.000000	0.000000	3008	9999-12-31	2013-05-08	1267
2/8-16 S	INTERM.	16	1429.000000	18	1430.000000	0.000000	3008	9999-12-31	2013-05-08	1268
2/8-16 S	OPEN HOLE	\N	3139.000000	8 1/2	3139.000000	0.000000	3008	9999-12-31	2013-05-08	1269
2/8-17 A	LINER	7	3145.000000	8 1/2	3145.000000	0.000000	3328	9999-12-31	2013-05-08	1270
2/8-17 A	CONDUCTOR	30	299.000000	36	300.000000	0.000000	3328	9999-12-31	2013-05-08	1271
2/8-17 A	SURF.COND.	13 3/8	959.000000	17 1/2	960.000000	0.000000	3328	9999-12-31	2013-05-08	1272
2/8-17 A	INTERM.	9 5/8	1690.000000	12 1/4	1690.000000	0.000000	3328	9999-12-31	2013-05-08	1273
2/8-17 A	OPEN HOLE	\N	2838.000000	6	2838.000000	0.000000	3328	9999-12-31	2013-05-08	1274
2/8-17 S	CONDUCTOR	30	299.000000	36	300.000000	0.000000	3210	9999-12-31	2013-05-08	1275
2/8-17 S	SURF.COND.	13 3/8	959.000000	17 1/2	960.000000	0.000000	3210	9999-12-31	2013-05-08	1276
2/8-17 S	INTERM.	9 5/8	2000.000000	12 1/4	2000.000000	0.000000	3210	9999-12-31	2013-05-08	1277
2/8-17 S	OPEN HOLE	\N	2685.000000	8 1/2	2685.000000	0.000000	3210	9999-12-31	2013-05-08	1278
2/8-2	OPEN HOLE	\N	3246.000000	12 1/4	3246.000000	0.000000	155	9999-12-31	2013-05-08	1279
2/8-2	CONDUCTOR	30	129.000000	36	136.000000	0.000000	155	9999-12-31	2013-05-08	1280
2/8-2	INTERM.	20	418.000000	26	427.000000	0.000000	155	9999-12-31	2013-05-08	1281
2/8-2	INTERM.	13 3/8	1538.000000	17 1/2	1549.000000	0.000000	155	9999-12-31	2013-05-08	1282
2/8-3	CONDUCTOR	30	144.000000	36	144.000000	0.000000	117	9999-12-31	2013-05-08	1283
2/8-3	SURF.COND.	20	382.000000	26	396.000000	0.000000	117	9999-12-31	2013-05-08	1284
2/8-3	INTERM.	13 3/8	1841.000000	17 172	1849.000000	0.000000	117	9999-12-31	2013-05-08	1285
2/8-3	INTERM.	9 5/8	3223.000000	12 1/4	3230.000000	0.000000	117	9999-12-31	2013-05-08	1286
2/8-3	LINER	7	3700.000000	8 1/2	3700.000000	0.000000	117	9999-12-31	2013-05-08	1287
2/8-4	CONDUCTOR	30	147.000000	36	147.000000	0.000000	273	9999-12-31	2013-05-08	1288
2/8-4	SURF.COND.	20	373.000000	26	384.000000	0.000000	273	9999-12-31	2013-05-08	1289
2/8-4	INTERM.	13 3/8	1585.000000	17 1/2	1601.000000	0.000000	273	9999-12-31	2013-05-08	1290
2/8-4	INTERM.	9 5/8	2519.000000	12 1/4	2551.000000	0.000000	273	9999-12-31	2013-05-08	1291
2/8-4	LINER	7	2750.000000	8 1/2	2852.000000	0.000000	273	9999-12-31	2013-05-08	1292
2/8-5	CONDUCTOR	30	152.000000	36	152.000000	0.000000	275	9999-12-31	2013-05-08	1293
2/8-5	SURF.COND.	20	361.000000	26	377.000000	0.000000	275	9999-12-31	2013-05-08	1294
2/8-5	INTERM.	13 3/8	1219.000000	17 1/2	1234.000000	0.000000	275	9999-12-31	2013-05-08	1295
2/8-5	INTERM.	9 5/8	2698.000000	12 1/4	2710.000000	0.000000	275	9999-12-31	2013-05-08	1296
2/8-5	OPEN HOLE	\N	3304.000000	8 1/2	3304.000000	0.000000	275	9999-12-31	2013-05-08	1297
2/8-6	CONDUCTOR	30	155.000000	36	155.000000	0.000000	276	9999-12-31	2013-05-08	1298
2/8-6	SURF.COND.	20	366.000000	26	381.000000	0.000000	276	9999-12-31	2013-05-08	1299
2/8-6	INTERM.	13 3/8	1284.000000	17 1/2	1298.000000	0.000000	276	9999-12-31	2013-05-08	1300
2/8-6	INTERM.	9 5/8	2444.000000	12 1/4	2446.000000	0.000000	276	9999-12-31	2013-05-08	1301
2/8-6	LINER	7	2668.000000	8 1/2	2669.000000	0.000000	276	9999-12-31	2013-05-08	1302
2/8-7	CONDUCTOR	30	146.000000	36	146.000000	0.000000	277	9999-12-31	2013-05-08	1303
2/8-7	SURF.COND.	20	371.000000	26	375.000000	0.000000	277	9999-12-31	2013-05-08	1304
2/8-7	INTERM.	13 3/8	1298.000000	17 1/2	1303.000000	0.000000	277	9999-12-31	2013-05-08	1305
2/8-7	INTERM.	9 5/8	2576.000000	12 1/4	2576.000000	0.000000	277	9999-12-31	2013-05-08	1306
2/8-7	OPEN HOLE	\N	2868.000000	8 1/2	2868.000000	0.000000	277	9999-12-31	2013-05-08	1307
2/8-8	CONDUCTOR	30	169.000000	36	169.000000	0.000000	278	9999-12-31	2013-05-08	1308
2/8-8	SURF.COND.	20	380.000000	26	388.000000	1.310000	278	9999-12-31	2013-05-08	1309
2/8-8	INTERM.	13 3/8	1285.000000	17 1/2	1295.000000	2.110000	278	9999-12-31	2013-05-08	1310
2/8-8	INTERM.	9 5/8	2411.000000	12 1/4	2419.000000	1.970000	278	9999-12-31	2013-05-08	1311
2/8-8	LINER	7	2659.000000	8 1/2	2667.000000	0.000000	278	9999-12-31	2013-05-08	1312
2/8-9	CONDUCTOR	30	183.000000	36	183.000000	0.000000	279	9999-12-31	2013-05-08	1313
2/8-9	SURF.COND.	20	435.000000	26	442.000000	0.000000	279	9999-12-31	2013-05-08	1314
2/8-9	INTERM.	13 3/8	1285.000000	17 1/2	1290.000000	0.000000	279	9999-12-31	2013-05-08	1315
2/8-9	INTERM.	9 5/8	2510.000000	12 1/2	2518.000000	0.000000	279	9999-12-31	2013-05-08	1316
2/8-9	LINER	7	2701.000000	8 1/2	2704.000000	0.000000	279	9999-12-31	2013-05-08	1317
2/9-1	CONDUCTOR	30	148.000000	36	148.000000	0.000000	282	9999-12-31	2013-05-08	1318
2/9-1	SURF.COND.	20	375.000000	26	387.000000	0.000000	282	9999-12-31	2013-05-08	1319
2/9-1	INTERM.	13 3/8	1829.000000	17 1/2	1844.000000	0.000000	282	9999-12-31	2013-05-08	1320
2/9-1	OPEN HOLE	\N	3551.000000	12 1/4	3551.000000	0.000000	282	9999-12-31	2013-05-08	1321
2/9-2	CONDUCTOR	30	153.000000	36	155.000000	0.000000	283	9999-12-31	2013-05-08	1322
2/9-2	SURF.COND.	20	357.000000	26	365.000000	1.380000	283	9999-12-31	2013-05-08	1323
2/9-2	INTERM.	13 3/8	1701.000000	17 1/2	1718.000000	1.700000	283	9999-12-31	2013-05-08	1324
2/9-2	INTERM.	9 5/8	3499.000000	12 1/4	3510.000000	2.090000	283	9999-12-31	2013-05-08	1325
2/9-2	OPEN HOLE	\N	4367.000000	8 3/8	4367.000000	0.000000	283	9999-12-31	2013-05-08	1326
2/9-3	CONDUCTOR	30	299.000000	36	313.000000	0.000000	1443	9999-12-31	2013-05-08	1327
2/9-3	INTERM.	20	840.000000	26	850.000000	1.740000	1443	9999-12-31	2013-05-08	1328
2/9-3	INTERM.	13 3/8	2780.000000	17 1/2	2800.000000	1.870000	1443	9999-12-31	2013-05-08	1329
2/9-3	INTERM.	9 5/8	3865.000000	12 1/4	3875.000000	1.990000	1443	9999-12-31	2013-05-08	1330
2/9-3	OPEN HOLE	\N	4859.000000	8 1/2	4859.000000	0.000000	1443	9999-12-31	2013-05-08	1331
2/9-4	CONDUCTOR	30	195.000000	36	203.000000	0.000000	5801	9999-12-31	2013-05-08	1332
2/9-4	SURF.COND.	20	1002.000000	26	1007.000000	1.740000	5801	9999-12-31	2013-05-08	1333
2/9-4	INTERM.	13 5/8	2499.000000	17 1/2	2510.000000	1.890000	5801	9999-12-31	2013-05-08	1334
2/9-4	INTERM.	9 7/8	4710.000000	12 1/4	4715.000000	2.190000	5801	9999-12-31	2013-05-08	1335
2/9-4	OPEN HOLE	\N	5500.000000	8 1/2	5500.000000	0.000000	5801	9999-12-31	2013-05-08	1336
24/12-1	CONDUCTOR	30	186.000000	36	187.000000	0.000000	347	9999-12-31	2013-05-08	1337
24/12-1	SURF.COND.	20	755.000000	26	771.000000	0.000000	347	9999-12-31	2013-05-08	1338
24/12-1	INTERM.	13 3/8	2855.000000	17 1/2	2876.000000	0.000000	347	9999-12-31	2013-05-08	1339
24/12-1	INTERM.	9 1/2	3966.000000	12 1/4	3966.000000	0.000000	347	9999-12-31	2013-05-08	1340
24/12-1 R	OPEN HOLE	\N	4825.000000	8 1/2	4825.000000	0.000000	513	9999-12-31	2013-05-08	1341
24/12-2	CONDUCTOR	30	199.500000	36	202.500000	0.000000	348	9999-12-31	2013-05-08	1342
24/12-2	SURF.COND.	20	992.000000	26	1005.000000	1.500000	348	9999-12-31	2013-05-08	1343
24/12-2	INTERM.	13 3/8	2873.000000	17 1/2	2886.000000	1.790000	348	9999-12-31	2013-05-08	1344
24/12-2	INTERM.	9 5/8	3966.000000	12 1/4	3980.000000	2.130000	348	9999-12-31	2013-05-08	1345
24/12-2	OPEN HOLE	\N	5100.000000	8 1/2	5100.000000	0.000000	348	9999-12-31	2013-05-08	1346
24/12-3 S	CONDUCTOR	30	203.000000	36	204.000000	0.000000	2823	9999-12-31	2013-05-08	1347
24/12-3 S	INTERM.	13 3/8	1125.000000	17 1/2	1126.000000	1.730000	2823	9999-12-31	2013-05-08	1348
24/12-3 S	INTERM.	9 5/8	2362.000000	12 1/4	2367.000000	1.750000	2823	9999-12-31	2013-05-08	1349
24/12-3 S	OPEN HOLE	\N	3058.000000	8 1/2	3058.000000	0.000000	2823	9999-12-31	2013-05-08	1350
24/12-4	CONDUCTOR	30	197.500000	36	200.000000	0.000000	4383	9999-12-31	2013-05-08	1351
24/12-4	SURF.COND.	13 3/8	1007.500000	17 1/2	1010.000000	1.650000	4383	9999-12-31	2013-05-08	1352
24/12-4	OPEN HOLE	\N	2265.000000	8 1/2	2265.000000	0.000000	4383	9999-12-31	2013-05-08	1353
24/12-5 S	CONDUCTOR	30	207.000000	36	212.000000	0.000000	5638	9999-12-31	2013-05-08	1354
24/12-5 S	SURF.COND.	20	643.000000	26	648.000000	1.210000	5638	9999-12-31	2013-05-08	1355
24/12-5 S	INTERM.	13 3/8	1588.000000	17 1/2	1592.000000	2.030000	5638	9999-12-31	2013-05-08	1356
24/12-5 S	OPEN HOLE	\N	2325.000000	12 1/4	2325.000000	0.000000	5638	9999-12-31	2013-05-08	1357
24/12-5 S	PILOT HOLE	\N	657.000000	9 7/8	657.000000	0.000000	5638	9999-12-31	2013-05-08	1358
24/12-6 S	CONDUCTOR	30	225.000000	36	229.000000	0.000000	6328	9999-12-31	2013-05-08	1359
24/12-6 S	PILOT HOLE	\N	1279.000000	9 7/8	1279.000000	0.000000	6328	9999-12-31	2013-05-08	1360
24/12-6 S	SURF.COND.	20	1273.000000	26	1279.000000	0.000000	6328	9999-12-31	2013-05-08	1361
24/12-6 S	INTERM.	13 5/8	2812.000000	17 1/2	2828.000000	2.200000	6328	9999-12-31	2013-05-08	1362
24/12-6 S	INTERM.	9 5/8	4321.000000	12 1/4	4330.000000	0.000000	6328	9999-12-31	2013-05-08	1363
24/12-6 S	OPEN HOLE	\N	5207.000000	8 1/2	5207.000000	1.770000	6328	9999-12-31	2013-05-08	1364
24/6-1	CONDUCTOR	30	199.000000	36	200.000000	0.000000	443	9999-12-31	2013-05-08	1365
24/6-1	SURF.COND.	20	996.000000	26	1010.000000	0.000000	443	9999-12-31	2013-05-08	1366
24/6-1	INTERM.	13 3/8	2817.000000	17 1/2	2830.000000	1.750000	443	9999-12-31	2013-05-08	1367
24/6-1	INTERM.	9 5/8	4095.000000	12 1/4	4110.000000	2.080000	443	9999-12-31	2013-05-08	1368
24/6-1	LINER	7	4533.000000	8 3/8	4537.000000	0.000000	443	9999-12-31	2013-05-08	1369
24/6-1	OPEN HOLE	\N	4937.000000	6	4937.000000	0.000000	443	9999-12-31	2013-05-08	1370
24/6-2	CONDUCTOR	30	221.000000	36	221.000000	0.000000	3397	9999-12-31	2013-05-08	1371
24/6-2	INTERM.	13 3/8	1326.000000	17 1/2	1331.000000	0.000000	3397	9999-12-31	2013-05-08	1372
24/6-2	INTERM.	9 5/8	1797.000000	12 1/4	1802.000000	1.810000	3397	9999-12-31	2013-05-08	1373
24/6-2	OPEN HOLE	\N	2722.000000	8 1/2	2722.000000	0.000000	3397	9999-12-31	2013-05-08	1374
24/6-4	CONDUCTOR	30	205.000000	36	207.000000	0.000000	4745	9999-12-31	2013-05-08	1375
24/6-4	SURF.COND.	13 3/8	760.000000	17 1/2	1329.000000	0.000000	4745	9999-12-31	2013-05-08	1376
24/6-4	INTERM.	9 5/8	987.000000	12 1/4	1344.000000	0.000000	4745	9999-12-31	2013-05-08	1377
24/6-4	OPEN HOLE	\N	2325.000000	8 1/2	2325.000000	0.000000	4745	9999-12-31	2013-05-08	1378
24/9-1	CONDUCTOR	30	256.000000	36	257.000000	0.000000	344	9999-12-31	2013-05-08	1379
24/9-1	INTERM.	20	758.000000	26	760.000000	0.000000	344	9999-12-31	2013-05-08	1380
24/9-1	INTERM.	13 3/8	2736.000000	17 1/2	2739.000000	0.000000	344	9999-12-31	2013-05-08	1381
24/9-1	INTERM.	9 5/8	3986.000000	12 1/4	3986.000000	0.000000	344	9999-12-31	2013-05-08	1382
24/9-1	OPEN HOLE	\N	4907.000000	8 1/2	4907.000000	0.000000	344	9999-12-31	2013-05-08	1383
24/9-10 A	OPEN HOLE	\N	2900.000000	9 1/2	2900.000000	1.550000	6560	9999-12-31	2013-05-08	1384
24/9-10 S	CONDUCTOR	30	193.000000	36	196.000000	0.000000	6531	9999-12-31	2013-05-08	1385
24/9-10 S	SURF.COND.	13 3/8	961.000000	17 1/2	975.000000	0.000000	6531	9999-12-31	2013-05-08	1386
24/9-10 S	INTERM.	9 5/8	2181.000000	12 1/4	2187.000000	1.550000	6531	9999-12-31	2013-05-08	1387
24/9-10 S	OPEN HOLE	\N	2339.000000	8 1/2	2339.000000	0.000000	6531	9999-12-31	2013-05-08	1388
24/9-2	CONDUCTOR	30	206.000000	36	207.000000	0.000000	345	9999-12-31	2013-05-08	1389
24/9-2	SURF.COND.	20	503.000000	26	520.000000	0.000000	345	9999-12-31	2013-05-08	1390
24/9-2	INTERM.	13 3/8	1526.000000	17 1/2	1554.000000	0.000000	345	9999-12-31	2013-05-08	1391
24/9-2	OPEN HOLE	\N	2743.000000	12 1/2	2743.000000	0.000000	345	9999-12-31	2013-05-08	1392
24/9-3	INTERM.	9 5/8	3051.000000	12 1/4	3051.000000	0.000000	346	9999-12-31	2013-05-08	1393
24/9-3	CONDUCTOR	30	207.600000	36	207.600000	0.000000	346	9999-12-31	2013-05-08	1394
24/9-3	SURF.COND.	20	503.200000	26	518.200000	1.380000	346	9999-12-31	2013-05-08	1395
24/9-3	INTERM.	13 3/8	1587.100000	17 1/2	1600.200000	1.640000	346	9999-12-31	2013-05-08	1396
24/9-4	CONDUCTOR	30	205.500000	36	211.000000	0.000000	1714	9999-12-31	2013-05-08	1397
24/9-4	INTERM.	20	750.000000	26	756.000000	1.210000	1714	9999-12-31	2013-05-08	1398
24/9-4	INTERM.	13 3/8	1179.000000	17 1/2	1180.000000	1.530000	1714	9999-12-31	2013-05-08	1399
24/9-4	INTERM.	9 5/8	1585.000000	12 1/4	1654.000000	1.680000	1714	9999-12-31	2013-05-08	1400
24/9-4	OPEN HOLE	\N	2208.000000	8 1/2	2208.000000	0.000000	1714	9999-12-31	2013-05-08	1401
24/9-5	CONDUCTOR	30	235.000000	36	240.000000	0.000000	2244	9999-12-31	2013-05-08	1402
24/9-5	SURF.COND.	20	576.000000	26	581.000000	0.000000	2244	9999-12-31	2013-05-08	1403
24/9-5	INTERM.	13 3/8	1346.000000	17 1/2	1377.000000	0.000000	2244	9999-12-31	2013-05-08	1404
24/9-5	INTERM.	9 5/8	1935.000000	12 1/2	1941.000000	0.000000	2244	9999-12-31	2013-05-08	1405
24/9-5	OPEN HOLE	\N	2860.000000	8 1/2	2860.000000	0.000000	2244	9999-12-31	2013-05-08	1406
24/9-6	CONDUCTOR	30	249.000000	36	254.000000	0.000000	2288	9999-12-31	2013-05-08	1407
24/9-6	SURF.COND.	13 3/8	1279.000000	17 1/2	1286.000000	0.000000	2288	9999-12-31	2013-05-08	1408
24/9-6	INTERM.	9 5/8	1957.000000	12 1/4	1963.000000	0.000000	2288	9999-12-31	2013-05-08	1409
24/9-6	OPEN HOLE	\N	2255.000000	8 1/2	2255.000000	0.000000	2288	9999-12-31	2013-05-08	1410
24/9-7	CONDUCTOR	30	212.000000	36	212.000000	0.000000	4910	9999-12-31	2013-05-08	1411
24/9-7	SURF.COND.	13 3/8	947.000000	17 1/2	953.000000	0.000000	4910	9999-12-31	2013-05-08	1412
24/9-7	INTERM.	9 5/8	987.000000	12 1/4	990.000000	1.420000	4910	9999-12-31	2013-05-08	1413
24/9-7	OPEN HOLE	\N	2280.000000	8 1/2	2280.000000	0.000000	4910	9999-12-31	2013-05-08	1414
24/9-7 A	OPEN HOLE	\N	2277.000000	8 1/2	2277.000000	0.000000	4919	9999-12-31	2013-05-08	1415
24/9-7 B	OPEN HOLE	\N	2230.000000	8 1/2	2230.000000	0.000000	4926	9999-12-31	2013-05-08	1416
24/9-7 C	OPEN HOLE	\N	2363.000000	8 1/2	2363.000000	0.000000	4930	9999-12-31	2013-05-08	1417
24/9-8	CONDUCTOR	30	214.000000	36	214.000000	0.000000	5563	9999-12-31	2013-05-08	1418
24/9-8	SURF.COND.	20	769.000000	26	775.000000	1.210000	5563	9999-12-31	2013-05-08	1419
24/9-8	INTERM.	13 3/8	1441.000000	17 1/2	1446.000000	1.530000	5563	9999-12-31	2013-05-08	1420
24/9-8	OPEN HOLE	\N	2190.000000	8 1/2	2190.000000	0.000000	5563	9999-12-31	2013-05-08	1421
24/9-9 A	CONDUCTOR	30	192.000000	36	194.000000	0.000000	6239	9999-12-31	2013-05-08	1422
24/9-9 A	SURF.COND.	13 3/8	1022.000000	17 1/2	1033.000000	1.550000	6239	9999-12-31	2013-05-08	1423
24/9-9 A	OPEN HOLE	\N	2981.000000	9 1/2	2981.000000	0.000000	6239	9999-12-31	2013-05-08	1424
24/9-9 B	CONDUCTOR	30	192.000000	36	194.000000	0.000000	6254	9999-12-31	2013-05-08	1425
24/9-9 B	SURF.COND.	13 3/8	1022.000000	17 1/2	1033.000000	0.000000	6254	9999-12-31	2013-05-08	1426
24/9-9 B	OPEN HOLE	\N	3005.000000	9 1/2	3005.000000	0.000000	6254	9999-12-31	2013-05-08	1427
24/9-9 S	CONDUCTOR	30	192.000000	36	194.000000	0.000000	6222	9999-12-31	2013-05-08	1428
24/9-9 S	SURF.COND.	13 3/8	1022.000000	17 1/2	1033.000000	0.000000	6222	9999-12-31	2013-05-08	1429
24/9-9 S	OPEN HOLE	\N	2402.000000	12 1/4	2402.000000	1.550000	6222	9999-12-31	2013-05-08	1430
25/10-1	OPEN HOLE	\N	1747.000000	8 1/2	1747.000000	0.000000	441	9999-12-31	2013-05-08	1431
25/10-1	CONDUCTOR	30	162.000000	36	170.000000	0.000000	441	9999-12-31	2013-05-08	1432
25/10-1	SURF.COND.	20	380.000000	26	386.000000	0.000000	441	9999-12-31	2013-05-08	1433
25/10-1	INTERM.	13 3/8	1045.000000	17 1/2	1061.000000	0.000000	441	9999-12-31	2013-05-08	1434
25/10-1	INTERM.	9 5/8	1370.000000	12 1/4	1385.000000	0.000000	441	9999-12-31	2013-05-08	1435
25/10-1 R	OPEN HOLE	\N	2092.000000	8 1/2	2092.000000	0.000000	512	9999-12-31	2013-05-08	1436
25/10-10	PILOT HOLE	\N	1102.000000	9 7/8	1102.000000	0.000000	6345	9999-12-31	2013-05-08	1437
25/10-10	CONDUCTOR	30	230.000000	36	234.000000	0.000000	6345	9999-12-31	2013-05-08	1438
25/10-10	SURF.COND.	13 3/8	1097.000000	17 1/2	1102.000000	0.000000	6345	9999-12-31	2013-05-08	1439
25/10-10	OPEN HOLE	\N	2513.000000	12 1/4	3513.000000	0.000000	6345	9999-12-31	2013-05-08	1440
25/10-2	INTERM.	9 5/8	2191.000000	12 1/4	2191.000000	0.000000	180	9999-12-31	2013-05-08	1441
25/10-2	SURF.COND.	30	164.000000	36	164.000000	0.000000	180	9999-12-31	2013-05-08	1442
25/10-2	INTERM.	20	397.000000	26	398.000000	0.000000	180	9999-12-31	2013-05-08	1443
25/10-2	INTERM.	13 3/8	1032.000000	18	1044.000000	0.000000	180	9999-12-31	2013-05-08	1444
25/10-2 R	OPEN HOLE	\N	3181.000000	8 1/2	3181.000000	0.000000	511	9999-12-31	2013-05-08	1445
25/10-2 R	CONDUCTOR	30	164.000000	36	164.000000	0.000000	511	9999-12-31	2013-05-08	1446
25/10-2 R	INTERM.	9 5/8	2258.000000	12 1/4	2258.000000	0.000000	511	9999-12-31	2013-05-08	1447
25/10-2 R	INTERM.	20	397.000000	26	397.000000	0.000000	511	9999-12-31	2013-05-08	1448
25/10-2 R	INTERM.	13 3/8	1032.000000	17 1/2	1032.000000	0.000000	511	9999-12-31	2013-05-08	1449
25/10-3	CONDUCTOR	30	173.000000	36	177.000000	0.000000	182	9999-12-31	2013-05-08	1450
25/10-3	SURF.COND.	13 3/8	386.000000	17 1/2	402.000000	0.000000	182	9999-12-31	2013-05-08	1451
25/10-3	INTERM.	9 5/8	942.000000	12 1/4	951.000000	0.000000	182	9999-12-31	2013-05-08	1452
25/10-3	OPEN HOLE	\N	1921.000000	8 1/2	1921.000000	0.000000	182	9999-12-31	2013-05-08	1453
25/10-4	CONDUCTOR	30	214.000000	36	214.000000	0.000000	217	9999-12-31	2013-05-08	1454
25/10-4	INTERM.	13 3/8	497.000000	17 1/2	512.000000	1.680000	217	9999-12-31	2013-05-08	1455
25/10-4	LINER	7	2279.000000	8 1/2	2349.000000	1.630000	217	9999-12-31	2013-05-08	1456
25/10-4	INTERM.	9 5/8	1288.500000	12 1/4	1305.000000	1.710000	217	9999-12-31	2013-05-08	1457
25/10-4 R	INTERM.	13 3/8	507.000000	17 1/2	512.000000	1.680000	510	9999-12-31	2013-05-08	1458
25/10-4 R	INTERM.	9 5/8	1288.000000	12 1/4	1305.000000	1.710000	510	9999-12-31	2013-05-08	1459
25/10-4 R	LINER	7	2279.000000	8 1/2	2550.000000	1.620000	510	9999-12-31	2013-05-08	1460
25/10-4 R	CONDUCTOR	30	214.000000	36	214.000000	0.000000	510	9999-12-31	2013-05-08	1461
25/10-5	CONDUCTOR	30	211.000000	36	211.000000	0.000000	365	9999-12-31	2013-05-08	1462
25/10-5	INTERM.	13 3/8	484.500000	17 1/2	500.000000	1.750000	365	9999-12-31	2013-05-08	1463
25/10-5	INTERM.	9 5/8	1345.000000	12 1/4	1370.000000	1.900000	365	9999-12-31	2013-05-08	1464
25/10-5	LINER	7	1991.000000	8 1/2	2011.000000	0.000000	365	9999-12-31	2013-05-08	1465
25/10-6 S	SURF.COND.	30	200.000000	36	200.000000	0.000000	2728	9999-12-31	2013-05-08	1466
25/10-6 S	INTERM.	20	1024.000000	26	1026.000000	1.740000	2728	9999-12-31	2013-05-08	1467
25/10-6 S	INTERM.	13 3/8	2210.000000	17 1/2	2212.000000	1.790000	2728	9999-12-31	2013-05-08	1468
25/10-6 S	INTERM.	9 5/8	4037.000000	12 1/4	4037.000000	2.100000	2728	9999-12-31	2013-05-08	1469
25/10-6 S	OPEN HOLE	\N	4706.000000	8 1/2	4706.000000	0.000000	2728	9999-12-31	2013-05-08	1470
25/10-7 S	SURF.COND.	30	202.000000	36	203.000000	0.000000	2769	9999-12-31	2013-05-08	1471
25/10-7 S	INTERM.	9 5/8	1085.000000	12 1/4	1086.000000	0.000000	2769	9999-12-31	2013-05-08	1472
25/10-7 S	OPEN HOLE	\N	2617.000000	8 1/2	2617.000000	0.000000	2769	9999-12-31	2013-05-08	1473
25/10-8	CONDUCTOR	30	201.000000	36	201.000000	0.000000	2955	9999-12-31	2013-05-08	1474
25/10-8	SURF.COND.	13 3/8	1067.000000	17 1/2	1080.000000	1.560000	2955	9999-12-31	2013-05-08	1475
25/10-8	INTERM.	9 5/8	2249.000000	12 1/4	2249.000000	0.000000	2955	9999-12-31	2013-05-08	1476
25/10-8	LINER	7	2653.000000	8 1/2	2653.000000	0.000000	2955	9999-12-31	2013-05-08	1477
25/10-8 A	OPEN HOLE	\N	3460.000000	8 1/2	3460.000000	0.000000	3098	9999-12-31	2013-05-08	1478
25/10-8 A	CONDUCTOR	30	201.000000	36	201.000000	0.000000	3098	9999-12-31	2013-05-08	1479
25/10-8 A	SURF.COND.	13 3/8	1070.000000	17 1/2	1080.000000	1.560000	3098	9999-12-31	2013-05-08	1480
25/10-9	PILOT HOLE	\N	717.000000	9 7/8	717.000000	0.000000	6120	9999-12-31	2013-05-08	1481
25/10-9	CONDUCTOR	30	221.000000	36	223.000000	0.000000	6120	9999-12-31	2013-05-08	1482
25/10-9	SURF.COND.	13 3/8	1204.000000	17 1/2	1210.000000	1.470000	6120	9999-12-31	2013-05-08	1483
25/10-9	INTERM.	9 5/8	2458.000000	12 1/4	2472.000000	1.720000	6120	9999-12-31	2013-05-08	1484
25/10-9	OPEN HOLE	\N	2985.000000	8 1/2	2985.000000	0.000000	6120	9999-12-31	2013-05-08	1485
25/1-1	CONDUCTOR	30	165.000000	36	165.000000	0.000000	190	9999-12-31	2013-05-08	1486
25/1-1	SURF.COND.	20	459.000000	26	490.000000	0.000000	190	9999-12-31	2013-05-08	1487
25/1-1	INTERM.	13 3/8	1835.000000	17 1/2	1846.000000	0.000000	190	9999-12-31	2013-05-08	1488
25/1-1	INTERM.	9 5/8	2950.000000	12 1/4	2960.000000	0.000000	190	9999-12-31	2013-05-08	1489
25/1-1	PROD.	7	4062.000000	8 1/2	4063.000000	0.000000	190	9999-12-31	2013-05-08	1490
25/1-11	CONDUCTOR	30	214.000000	36	217.000000	0.000000	6187	9999-12-31	2013-05-08	1491
25/1-11	SURF.COND.	13 3/8	1174.000000	17 1/2	1178.000000	0.000000	6187	9999-12-31	2013-05-08	1492
25/11-1	CONDUCTOR	30	179.000000	36	179.000000	0.000000	143	9999-12-31	2013-05-08	1493
25/11-1	SURF.COND.	20	363.000000	26	363.000000	0.000000	143	9999-12-31	2013-05-08	1494
25/11-1	INTERM.	13 3/8	1233.000000	17 1/2	1244.000000	0.000000	143	9999-12-31	2013-05-08	1495
25/11-1	OPEN HOLE	\N	2460.000000	12 /14	2460.000000	0.000000	143	9999-12-31	2013-05-08	1496
25/1-11 A	INTERM.	13 3/8	1091.000000	17 1/2	1178.000000	0.000000	6376	9999-12-31	2013-05-08	1497
25/1-11 A	OPEN HOLE	\N	2410.000000	12 1/4	2410.000000	0.000000	6376	9999-12-31	2013-05-08	1498
25/1-11 R	INTERM.	9 5/8	2096.000000	12 1/4	2097.000000	1.560000	6368	9999-12-31	2013-05-08	1499
25/1-11 R	OPEN HOLE	\N	2338.000000	8 1/2	2338.000000	0.000000	6368	9999-12-31	2013-05-08	1500
25/11-10	CONDUCTOR	30	211.000000	36	212.000000	0.000000	370	9999-12-31	2013-05-08	1501
25/11-10	INTERM.	13 3/8	470.000000	17 1/2	485.000000	1.630000	370	9999-12-31	2013-05-08	1502
25/11-10	INTERM.	9 5/8	1210.000000	12 1/4	1225.000000	1.770000	370	9999-12-31	2013-05-08	1503
25/11-10	OPEN HOLE	\N	1988.000000	8 1/2	1988.000000	0.000000	370	9999-12-31	2013-05-08	1504
25/11-11	CONDUCTOR	30	214.000000	36	214.000000	0.000000	371	9999-12-31	2013-05-08	1505
25/11-11	INTERM.	13 3/8	507.800000	17 1/2	523.000000	1.750000	371	9999-12-31	2013-05-08	1506
25/11-11	INTERM.	9 5/8	1302.000000	12 1/4	1317.000000	1.810000	371	9999-12-31	2013-05-08	1507
25/11-11	OPEN HOLE	\N	1972.000000	8 1/2	1972.000000	0.000000	371	9999-12-31	2013-05-08	1508
25/11-12	CONDUCTOR	30	226.000000	36	226.000000	0.000000	372	9999-12-31	2013-05-08	1509
25/11-12	INTERM.	13 3/8	446.500000	17 1/2	460.000000	1.770000	372	9999-12-31	2013-05-08	1510
25/11-12	INTERM.	9 5/8	1301.000000	12 1/4	1315.000000	1.750000	372	9999-12-31	2013-05-08	1511
25/11-12	OPEN HOLE	\N	1918.000000	8 1/2	1918.000000	0.000000	372	9999-12-31	2013-05-08	1512
25/11-13	CONDUCTOR	30	215.000000	36	216.000000	0.000000	373	9999-12-31	2013-05-08	1513
25/11-13	INTERM.	13 3/8	483.000000	17 1/2	500.000000	1.660000	373	9999-12-31	2013-05-08	1514
25/11-13	INTERM.	9 5/8	1328.000000	12 1/4	1345.000000	1.810000	373	9999-12-31	2013-05-08	1515
25/11-13	OPEN HOLE	\N	1932.000000	8 1/2	1932.000000	0.000000	373	9999-12-31	2013-05-08	1516
25/11-14 S	CONDUCTOR	30	187.000000	36	190.000000	0.000000	1672	9999-12-31	2013-05-08	1517
25/11-14 S	INTERM.	20	452.000000	26	454.000000	1.720000	1672	9999-12-31	2013-05-08	1518
25/11-14 S	INTERM.	13 3/8	1564.000000	17 1/2	1570.000000	1.730000	1672	9999-12-31	2013-05-08	1519
25/11-14 S	INTERM.	9 5/8	2068.000000	12 1/4	2070.000000	0.000000	1672	9999-12-31	2013-05-08	1520
25/11-15	CONDUCTOR	30	237.000000	36	240.000000	0.000000	1872	9999-12-31	2013-05-08	1521
25/11-15	INTERM.	9 5/8	1273.000000	12 1/4	1275.000000	1.710000	1872	9999-12-31	2013-05-08	1522
25/11-16	CONDUCTOR	30	232.000000	36	233.000000	0.000000	1920	9999-12-31	2013-05-08	1523
25/11-16	INTERM.	9 5/8	1333.000000	12 1/4	1335.000000	1.700000	1920	9999-12-31	2013-05-08	1524
25/11-16	LINER	7	1764.000000	8 1/2	1945.000000	0.000000	1920	9999-12-31	2013-05-08	1525
25/11-17	CONDUCTOR	30	237.000000	36	237.000000	0.000000	1921	9999-12-31	2013-05-08	1526
25/11-17	INTERM.	9 5/8	1398.000000	12 1/4	1413.000000	1.800000	1921	9999-12-31	2013-05-08	1527
25/11-17	OPEN HOLE	\N	2256.000000	8 1/2	2256.000000	0.000000	1921	9999-12-31	2013-05-08	1528
25/11-18	SURF.COND.	30	235.000000	36	235.000000	0.000000	2358	9999-12-31	2013-05-08	1529
25/11-18	INTERM.	18 5/8	563.000000	24	563.000000	0.000000	2358	9999-12-31	2013-05-08	1530
25/11-18	INTERM.	13 3/8	1180.000000	17 1/2	1180.000000	1.770000	2358	9999-12-31	2013-05-08	1531
25/11-18	INTERM.	7	1688.000000	8 1/2	1688.000000	1.860000	2358	9999-12-31	2013-05-08	1532
25/11-18	OPEN HOLE	\N	1875.000000	6	1875.000000	0.000000	2358	9999-12-31	2013-05-08	1533
25/11-19 S	SURF.COND.	30	227.000000	36	230.000000	0.000000	2562	9999-12-31	2013-05-08	1534
25/11-19 S	INTERM.	13 3/8	1000.000000	17 1/2	1015.000000	0.000000	2562	9999-12-31	2013-05-08	1535
25/11-19 S	OPEN HOLE	\N	2250.000000	8 1/2	2250.000000	1.600000	2562	9999-12-31	2013-05-08	1536
25/11-2	CONDUCTOR	30	175.000000	36	180.000000	0.000000	184	9999-12-31	2013-05-08	1537
25/11-2	SURF.COND.	13 3/8	388.000000	17 1/2	405.000000	0.000000	184	9999-12-31	2013-05-08	1538
25/11-2	INTERM.	9 5/8	945.000000	12 1/4	960.000000	0.000000	184	9999-12-31	2013-05-08	1539
25/11-2	OPEN HOLE	\N	1856.000000	8 1/2	1856.000000	0.000000	184	9999-12-31	2013-05-08	1540
25/11-20	SURF.COND.	30	209.000000	36	209.000000	0.000000	2667	9999-12-31	2013-05-08	1541
25/11-20	INTERM.	13 3/8	1254.000000	17 1/2	1254.000000	0.000000	2667	9999-12-31	2013-05-08	1542
25/11-20	OPEN HOLE	\N	1828.000000	8 1/2	1828.000000	1.870000	2667	9999-12-31	2013-05-08	1543
25/11-21 A	LINER	10 3/4	2034.000000	12 1/4	2034.000000	0.000000	2812	9999-12-31	2013-05-08	1544
25/11-21 A	OPEN HOLE	\N	3006.000000	9 1/2	3006.000000	0.000000	2812	9999-12-31	2013-05-08	1545
25/11-21 S	SURF.COND.	30	218.000000	30	218.000000	0.000000	2701	9999-12-31	2013-05-08	1546
25/11-21 S	INTERM.	13 3/8	1270.000000	17 1/2	1270.000000	0.000000	2701	9999-12-31	2013-05-08	1547
25/11-21 S	OPEN HOLE	\N	1957.000000	8 1/2	1957.000000	0.000000	2701	9999-12-31	2013-05-08	1548
25/11-22	CONDUCTOR	30	209.000000	36	209.000000	0.000000	3243	9999-12-31	2013-05-08	1549
25/11-22	SURF.COND.	13 3/8	1250.000000	17 1/2	1250.000000	0.000000	3243	9999-12-31	2013-05-08	1550
25/11-22	OPEN HOLE	\N	1599.000000	12 1/4	1599.000000	0.000000	3243	9999-12-31	2013-05-08	1551
25/11-22	OPEN HOLE	\N	1805.000000	8 1/2	1805.000000	0.000000	3243	9999-12-31	2013-05-08	1552
25/11-23	CONDUCTOR	30	211.000000	36	211.000000	0.000000	3755	9999-12-31	2013-05-08	1553
25/11-23	INTERM.	9 5/8	951.000000	12 1/4	951.000000	0.000000	3755	9999-12-31	2013-05-08	1554
25/11-23	OPEN HOLE	\N	2014.000000	8 1/2	2014.000000	0.000000	3755	9999-12-31	2013-05-08	1555
25/11-24	CONDUCTOR	30	219.000000	36	219.000000	0.000000	5470	9999-12-31	2013-05-08	1556
25/11-24	SURF.COND.	20	1101.000000	26	1106.000000	1.550000	5470	9999-12-31	2013-05-08	1557
25/11-24	INTERM.	9 5/8	1642.000000	12 1/4	1650.000000	1.700000	5470	9999-12-31	2013-05-08	1558
25/11-24	OPEN HOLE	\N	2117.000000	8 1/2	2117.000000	0.000000	5470	9999-12-31	2013-05-08	1559
25/11-25 A	LINER	9 5/8	1913.000000	12 1/4	1921.000000	1.700000	5643	9999-12-31	2013-05-08	1560
25/11-25 A	OPEN HOLE	\N	2448.000000	8 1/2	2448.000000	0.000000	5643	9999-12-31	2013-05-08	1561
25/11-25 S	CONDUCTOR	30	204.000000	36	204.000000	0.000000	5642	9999-12-31	2013-05-08	1562
25/11-25 S	SURF.COND.	13 3/8	1087.000000	17 1/2	1094.000000	1.690000	5642	9999-12-31	2013-05-08	1563
25/11-25 S	LINER	9 5/8	1934.000000	12 1/4	1936.000000	1.720000	5642	9999-12-31	2013-05-08	1564
25/11-25 S	OPEN HOLE	\N	2142.000000	8 172	2142.000000	0.000000	5642	9999-12-31	2013-05-08	1565
25/11-3	CONDUCTOR	30	161.000000	36	169.000000	0.000000	185	9999-12-31	2013-05-08	1566
25/11-3	SURF.COND.	13 3/8	389.000000	17 1/2	389.000000	0.000000	185	9999-12-31	2013-05-08	1567
25/11-3	INTERM.	9 5/8	948.000000	12 1/4	960.000000	0.000000	185	9999-12-31	2013-05-08	1568
25/11-3	OPEN HOLE	\N	1856.000000	8 1/2	1856.000000	0.000000	185	9999-12-31	2013-05-08	1569
25/11-4	CONDUCTOR	30	179.000000	36	180.000000	0.000000	186	9999-12-31	2013-05-08	1570
25/11-4	SURF.COND.	20	384.000000	26	406.000000	0.000000	186	9999-12-31	2013-05-08	1571
25/11-4	INTERM.	9 5/8	948.000000	12 1/4	963.000000	0.000000	186	9999-12-31	2013-05-08	1572
25/11-4	OPEN HOLE	\N	1896.000000	8 1/2	1896.000000	0.000000	186	9999-12-31	2013-05-08	1573
25/11-5	CONDUCTOR	30	187.000000	36	190.000000	0.000000	366	9999-12-31	2013-05-08	1574
25/11-5	SURF.COND.	13 3/8	397.000000	17 1/2	411.000000	0.000000	366	9999-12-31	2013-05-08	1575
25/11-5	INTERM.	9 5/8	1397.000000	12 1/4	1412.000000	0.000000	366	9999-12-31	2013-05-08	1576
25/11-5	LINER	7	1890.000000	8 1/2	2164.000000	0.000000	366	9999-12-31	2013-05-08	1577
25/11-6	CONDUCTOR	30	187.000000	36	187.000000	0.000000	367	9999-12-31	2013-05-08	1578
25/11-6	INTERM.	13 3/8	394.000000	17 1/2	410.000000	0.000000	367	9999-12-31	2013-05-08	1579
25/11-6	INTERM.	9 5/8	1310.000000	12 1/4	1327.000000	0.000000	367	9999-12-31	2013-05-08	1580
25/11-6	LINER	7	1927.000000	8 1/2	1948.000000	0.000000	367	9999-12-31	2013-05-08	1581
25/11-7	CONDUCTOR	30	186.000000	36	186.000000	0.000000	368	9999-12-31	2013-05-08	1582
25/11-7	INTERM.	13 3/8	396.000000	17 1/2	412.000000	0.000000	368	9999-12-31	2013-05-08	1583
25/11-7	INTERM.	9 5/8	1308.000000	12 1/4	1325.000000	0.000000	368	9999-12-31	2013-05-08	1584
25/11-7	OPEN HOLE	\N	1944.000000	8 1/2	1944.000000	0.000000	368	9999-12-31	2013-05-08	1585
25/11-8	CONDUCTOR	30	189.000000	36	189.000000	0.000000	369	9999-12-31	2013-05-08	1586
25/11-8	SURF.COND.	13 3/8	390.000000	17 1/2	402.000000	1.580000	369	9999-12-31	2013-05-08	1587
25/11-8	INTERM.	9 5/8	1367.000000	12 1/4	1383.000000	1.780000	369	9999-12-31	2013-05-08	1588
25/11-8	INTERM.	7	1930.000000	8 1/2	1950.000000	0.000000	369	9999-12-31	2013-05-08	1589
25/11-9	CONDUCTOR	30	188.000000	36	191.000000	0.000000	213	9999-12-31	2013-05-08	1590
25/11-9	SURF.COND.	20	188.000000	26	191.000000	0.000000	213	9999-12-31	2013-05-08	1591
25/11-9	INTERM.	13 3/8	475.000000	17 1/2	473.000000	0.000000	213	9999-12-31	2013-05-08	1592
25/11-9	INTERM.	9 5/8	1183.000000	12 1/4	1200.000000	0.000000	213	9999-12-31	2013-05-08	1593
25/11-9	LINER	7	1860.000000	8 1/2	1860.000000	0.000000	213	9999-12-31	2013-05-08	1594
25/12-1	CONDUCTOR	30	244.000000	36	250.000000	0.000000	374	9999-12-31	2013-05-08	1595
25/12-1	SURF.COND.	20	456.000000	26	460.000000	0.000000	374	9999-12-31	2013-05-08	1596
25/12-1	INTERM.	13 3/8	1356.000000	17 1/2	1360.000000	0.000000	374	9999-12-31	2013-05-08	1597
25/12-1	INTERM.	9 5/8	1978.000000	12 1/4	1980.000000	0.000000	374	9999-12-31	2013-05-08	1598
25/12-1	OPEN HOLE	\N	2865.000000	8 1/2	2865.000000	0.000000	374	9999-12-31	2013-05-08	1599
25/1-4	LINER	7	2795.000000	8 1/2	2795.000000	0.000000	350	9999-12-31	2013-05-08	1600
25/1-4	CONDUCTOR	30	164.000000	36	166.000000	0.000000	350	9999-12-31	2013-05-08	1601
25/1-4	INTERM.	13 3/8	424.000000	17 1/2	425.000000	0.000000	350	9999-12-31	2013-05-08	1602
25/1-4	INTERM.	9 5/8	1907.000000	12 1/4	1910.000000	0.000000	350	9999-12-31	2013-05-08	1603
25/1-6	CONDUCTOR	30	192.700000	36	193.000000	0.000000	352	9999-12-31	2013-05-08	1604
25/1-6	SURF.COND.	20	460.000000	26	463.000000	0.000000	352	9999-12-31	2013-05-08	1605
25/1-6	INTERM.	13 3/8	1314.000000	17 1/2	1320.000000	0.000000	352	9999-12-31	2013-05-08	1606
25/1-6	INTERM.	9 5/8	2520.000000	12 1/4	2545.000000	0.000000	352	9999-12-31	2013-05-08	1607
25/1-6	OPEN HOLE	\N	2895.000000	8 1/2	2895.000000	0.000000	352	9999-12-31	2013-05-08	1608
25/1-7	CONDUCTOR	30	187.000000	36	188.000000	0.000000	463	9999-12-31	2013-05-08	1609
25/1-7	SURF.COND.	20	846.000000	26	863.000000	1.410000	463	9999-12-31	2013-05-08	1610
25/1-7	INTERM.	13 3/8	1856.000000	17 1/2	1876.000000	1.560000	463	9999-12-31	2013-05-08	1611
25/1-7	INTERM.	9 5/8	2187.000000	12 1/4	2719.000000	0.000000	463	9999-12-31	2013-05-08	1612
25/1-7	OPEN HOLE	\N	2720.000000	8 1/2	2720.000000	0.000000	463	9999-12-31	2013-05-08	1613
25/1-8 S	CONDUCTOR	30	187.500000	36	190.000000	0.000000	472	9999-12-31	2013-05-08	1614
25/1-8 S	LINER	7	2201.000000	8 1/2	2650.000000	1.400000	472	9999-12-31	2013-05-08	1615
25/1-8 S	INTERM.	13 3/8	1015.000000	17 1/2	1030.000000	1.440000	472	9999-12-31	2013-05-08	1616
25/1-8 S	INTERM.	9 5/8	1910.000000	12 1/4	1921.000000	1.690000	472	9999-12-31	2013-05-08	1617
25/1-8 SR	LINER	7	2201.000000	8 1/2	2201.000000	0.000000	1030	9999-12-31	2013-05-08	1618
25/1-9	CONDUCTOR	30	221.000000	36	221.000000	0.000000	1001	9999-12-31	2013-05-08	1619
25/1-9	SURF.COND.	20	974.000000	26	990.000000	1.330000	1001	9999-12-31	2013-05-08	1620
25/1-9	INTERM.	13 3/8	1947.000000	17 1/2	1965.000000	1.740000	1001	9999-12-31	2013-05-08	1621
25/1-9	OPEN HOLE	\N	2807.000000	12 1/4	2807.000000	0.000000	1001	9999-12-31	2013-05-08	1622
25/2-1	CONDUCTOR	30	162.000000	36	164.000000	0.000000	353	9999-12-31	2013-05-08	1623
25/2-1	INTERM.	13 3/8	448.000000	17 1/2	460.000000	0.000000	353	9999-12-31	2013-05-08	1624
25/2-1	INTERM.	9 5/8	1907.000000	12 1/4	1913.000000	0.000000	353	9999-12-31	2013-05-08	1625
25/2-1	OPEN HOLE	\N	2740.000000	8 1/2	2740.000000	0.000000	353	9999-12-31	2013-05-08	1626
25/2-10 S	LINER	7	2967.000000	8 1/2	2967.000000	0.000000	855	9999-12-31	2013-05-08	1627
25/2-10 S	CONDUCTOR	30	202.000000	36	202.000000	0.000000	855	9999-12-31	2013-05-08	1628
25/2-10 S	INTERM.	20	616.000000	26	626.000000	0.000000	855	9999-12-31	2013-05-08	1629
25/2-10 S	INTERM.	13 3/8	1032.000000	17 1/2	1045.000000	0.000000	855	9999-12-31	2013-05-08	1630
25/2-10 S	INTERM.	9 5/8	2115.000000	12 1/4	2129.000000	0.000000	855	9999-12-31	2013-05-08	1631
25/2-11	CONDUCTOR	30	229.000000	36	357.000000	0.000000	1036	9999-12-31	2013-05-08	1632
25/2-11	SURF.COND.	20	765.000000	26	808.000000	1.380000	1036	9999-12-31	2013-05-08	1633
25/2-11	INTERM.	13 3/8	1214.000000	17 1/2	1324.000000	1.520000	1036	9999-12-31	2013-05-08	1634
25/2-11	INTERM.	9 5/8	1936.000000	12 1/4	1962.000000	1.580000	1036	9999-12-31	2013-05-08	1635
25/2-11	LINER	7	2075.000000	8 1/2	2075.000000	0.000000	1036	9999-12-31	2013-05-08	1636
25/2-12	LINER	7	4102.000000	8 1/2	4102.000000	0.000000	1290	9999-12-31	2013-05-08	1637
25/2-12	SURF.COND.	20	890.000000	26	912.000000	1.250000	1290	9999-12-31	2013-05-08	1638
25/2-12	CONDUCTOR	30	197.000000	36	199.000000	0.000000	1290	9999-12-31	2013-05-08	1639
25/2-12	INTERM.	13 3/8	2848.000000	17 1/2	2879.000000	1.880000	1290	9999-12-31	2013-05-08	1640
25/2-12	INTERM.	9 5/8	3412.000000	12 1/4	3512.000000	2.050000	1290	9999-12-31	2013-05-08	1641
25/2-12 A	LINER	7 A	3603.000000	8 1/2	3714.000000	2.100000	1355	9999-12-31	2013-05-08	1642
25/2-12 A	SURF.COND.	20	890.000000	26	907.000000	1.320000	1355	9999-12-31	2013-05-08	1643
25/2-12 A	INTERM.	13 3/8	2848.000000	17 1/2	2867.000000	1.880000	1355	9999-12-31	2013-05-08	1644
25/2-12 A	CONDUCTOR	30	197.000000	36	199.000000	0.000000	1355	9999-12-31	2013-05-08	1645
25/2-12 A	\N	9 5/8A	3099.000000	12 1/4	3099.000000	1.980000	1355	9999-12-31	2013-05-08	1646
25/2-12 A	LINER	4 1/2	3865.000000	5 3/8	3865.000000	0.000000	1355	9999-12-31	2013-05-08	1647
25/2-13	CONDUCTOR	30	199.000000	36	201.000000	0.000000	1459	9999-12-31	2013-05-08	1648
25/2-13	INTERM.	20	700.000000	26	714.000000	1.200000	1459	9999-12-31	2013-05-08	1649
25/2-13	INTERM.	13 3/8	2043.000000	17 1/2	2057.000000	1.720000	1459	9999-12-31	2013-05-08	1650
25/2-13	INTERM.	9 5/8	3301.000000	12 1/4	3315.000000	1.900000	1459	9999-12-31	2013-05-08	1651
25/2-13	LINER	7	3903.000000	8 1/2	3908.000000	0.000000	1459	9999-12-31	2013-05-08	1652
25/2-14	CONDUCTOR	30	202.000000	36	205.000000	0.000000	1712	9999-12-31	2013-05-08	1653
25/2-14	INTERM.	13 3/8	1199.000000	17 1/2	1201.000000	1.830000	1712	9999-12-31	2013-05-08	1654
25/2-14	INTERM.	9 5/8	3055.000000	12 1/4	3057.000000	1.710000	1712	9999-12-31	2013-05-08	1655
25/2-14	OPEN HOLE	\N	3623.000000	8 1/2	3623.000000	0.000000	1712	9999-12-31	2013-05-08	1656
25/2-15	INTERM.	20	1137.000000	26	1137.000000	1.600000	1938	9999-12-31	2013-05-08	1657
25/2-15	INTERM.	13 3/8	2107.000000	17 1/2	2107.000000	1.500000	1938	9999-12-31	2013-05-08	1658
25/2-15	INTERM.	9 5/8	3498.000000	12 1/4	3498.000000	1.720000	1938	9999-12-31	2013-05-08	1659
25/2-15	OPEN HOLE	\N	3942.000000	8 1/2	3942.000000	0.000000	1938	9999-12-31	2013-05-08	1660
25/2-16 S	CONDUCTOR	30	223.000000	36	223.000000	0.000000	4385	9999-12-31	2013-05-08	1661
25/2-16 S	SURF.COND.	13 3/8	1151.000000	17 1/2	1155.000000	1.540000	4385	9999-12-31	2013-05-08	1662
25/2-16 S	INTERM.	9 5/8	3179.000000	12 1/4	3185.000000	1.840000	4385	9999-12-31	2013-05-08	1663
25/2-16 S	OPEN HOLE	\N	4013.000000	8 1/2	4013.000000	0.000000	4385	9999-12-31	2013-05-08	1664
25/2-17	CONDUCTOR	30	201.000000	36	203.000000	0.000000	6215	9999-12-31	2013-05-08	1665
25/2-17	SURF.COND.	13 3/8	1000.000000	17 1/2	1007.000000	1.330000	6215	9999-12-31	2013-05-08	1666
25/2-17	INTERM.	9 5/8	1885.000000	12 1/4	1903.000000	1.770000	6215	9999-12-31	2013-05-08	1667
25/2-17	OPEN HOLE	\N	2193.000000	8 1/2	2193.000000	0.000000	6215	9999-12-31	2013-05-08	1668
25/2-2	CONDUCTOR	30	165.000000	36	166.000000	0.000000	354	9999-12-31	2013-05-08	1669
25/2-2	SURF.COND.	13 3/8	442.000000	17 1/2	444.000000	0.000000	354	9999-12-31	2013-05-08	1670
25/2-2	INTERM.	9 5/8	1912.000000	12 1/4	1914.000000	0.000000	354	9999-12-31	2013-05-08	1671
25/2-2	OPEN HOLE	\N	2740.000000	8 1/2	2740.000000	0.000000	354	9999-12-31	2013-05-08	1672
25/2-3	CONDUCTOR	30	170.000000	36	173.000000	0.000000	355	9999-12-31	2013-05-08	1673
25/2-3	SURF.COND.	13 3/8	450.000000	17 1/2	455.000000	0.000000	355	9999-12-31	2013-05-08	1674
25/2-3	INTERM.	9 5/8	2035.000000	12 1/4	2036.000000	0.000000	355	9999-12-31	2013-05-08	1675
25/2-3	OPEN HOLE	\N	2795.000000	8 1/2	2795.000000	0.000000	355	9999-12-31	2013-05-08	1676
25/2-4	CONDUCTOR	30	195.000000	36	200.000000	0.000000	356	9999-12-31	2013-05-08	1677
25/2-4	INTERM.	20	723.000000	26	733.000000	0.000000	356	9999-12-31	2013-05-08	1678
25/2-4	INTERM.	13 3/8	2860.000000	17 1/2	2870.000000	0.000000	356	9999-12-31	2013-05-08	1679
25/2-4	INTERM.	9 5/8	3353.000000	12 1/4	3374.000000	0.000000	356	9999-12-31	2013-05-08	1680
25/2-4	OPEN HOLE	\N	4360.000000	8 1/2	4360.000000	0.000000	356	9999-12-31	2013-05-08	1681
25/2-5	CONDUCTOR	30	193.000000	36	195.000000	0.000000	357	9999-12-31	2013-05-08	1682
25/2-5	SURF.COND.	13 3/8	2860.000000	17 1/2	2873.000000	0.000000	357	9999-12-31	2013-05-08	1683
25/2-5	INTERM.	9 5/8	3300.000000	12 1/8	3313.000000	0.000000	357	9999-12-31	2013-05-08	1684
25/2-5	LINER	7	3577.000000	8 1/2	3580.000000	0.000000	357	9999-12-31	2013-05-08	1685
25/2-6	CONDUCTOR	30	190.000000	36	190.000000	0.000000	358	9999-12-31	2013-05-08	1686
25/2-6	SURF.COND.	20	750.000000	26	750.000000	0.000000	358	9999-12-31	2013-05-08	1687
25/2-6	INTERM.	13 3/8	2824.000000	17 1/2	2839.000000	0.000000	358	9999-12-31	2013-05-08	1688
25/2-6	INTERM.	9 5/8	3126.000000	12 1/4	3135.000000	0.000000	358	9999-12-31	2013-05-08	1689
25/2-6	OPEN HOLE	\N	3750.000000	8 1/2	3750.000000	0.000000	358	9999-12-31	2013-05-08	1690
25/2-7	CONDUCTOR	30	201.000000	36	203.000000	0.000000	47	9999-12-31	2013-05-08	1691
25/2-7	SURF.COND.	20	727.000000	26	739.000000	1.060000	47	9999-12-31	2013-05-08	1692
25/2-7	INTERM.	13 3/8	2194.500000	17 1/2	2210.000000	1.170000	47	9999-12-31	2013-05-08	1693
25/2-7	INTERM.	9 5/8	3275.000000	12 1/4	3290.000000	1.270000	47	9999-12-31	2013-05-08	1694
25/2-7	OPEN HOLE	\N	4110.000000	8 1/2	4110.000000	0.000000	47	9999-12-31	2013-05-08	1695
25/2-8	CONDUCTOR	30	180.500000	36	181.000000	1.030000	131	9999-12-31	2013-05-08	1696
25/2-8	SURF.COND.	13 3/8	1050.000000	17 1/2	1065.000000	1.430000	131	9999-12-31	2013-05-08	1697
25/2-8	OPEN HOLE	\N	2380.000000	12 1/4	2380.000000	0.000000	131	9999-12-31	2013-05-08	1698
25/2-9	CONDUCTOR	30	197.000000	36	202.000000	0.000000	477	9999-12-31	2013-05-08	1699
25/2-9	INTERM.	13 3/8	987.000000	17 1/2	1002.000000	1.370000	477	9999-12-31	2013-05-08	1700
25/2-9	INTERM.	9 5/8	2297.000000	12 1/4	2297.000000	0.000000	477	9999-12-31	2013-05-08	1701
25/3-1	OPEN HOLE	\N	3922.000000	8 1/2	3922.000000	0.000000	1419	9999-12-31	2013-05-08	1702
25/3-1	CONDUCTOR	30	197.000000	36	198.000000	0.000000	1419	9999-12-31	2013-05-08	1703
25/3-1	INTERM.	20	703.000000	26	720.000000	1.330000	1419	9999-12-31	2013-05-08	1704
25/3-1	INTERM.	13 3/8	1983.000000	17 1/2	1998.000000	1.660000	1419	9999-12-31	2013-05-08	1705
25/3-1	INTERM.	9 5/8	2991.000000	12 1/4	3005.000000	1.930000	1419	9999-12-31	2013-05-08	1706
25/4-1	CONDUCTOR	30	181.000000	36	182.000000	0.000000	359	9999-12-31	2013-05-08	1707
25/4-1	SURF.COND.	20	442.000000	26	450.000000	0.000000	359	9999-12-31	2013-05-08	1708
25/4-1	INTERM.	13 3/8	1917.000000	17 1/2	1920.000000	0.000000	359	9999-12-31	2013-05-08	1709
25/4-1	INTERM.	9 5/8	2942.000000	12 1/4	2950.000000	0.000000	359	9999-12-31	2013-05-08	1710
25/4-1	LINER	7	3524.000000	8 1/2	3524.000000	0.000000	359	9999-12-31	2013-05-08	1711
25/4-10 A	OPEN HOLE	\N	2550.000000	9 1/2	2550.000000	0.000000	6255	9999-12-31	2013-05-08	1712
25/4-10 S	CONDUCTOR	30	197.000000	36	197.000000	0.000000	6253	9999-12-31	2013-05-08	1713
25/4-10 S	SURF.COND.	13 3/8	797.000000	17 1/2	812.000000	0.000000	6253	9999-12-31	2013-05-08	1714
25/4-10 S	OPEN HOLE	\N	2912.000000	9 1/2	2912.000000	0.000000	6253	9999-12-31	2013-05-08	1715
25/4-10 S	OPEN HOLE	\N	815.000000	12 1/4	815.000000	0.000000	6253	9999-12-31	2013-05-08	1716
25/4-2	CONDUCTOR	30	181.000000	36	181.000000	0.000000	360	9999-12-31	2013-05-08	1717
25/4-2	SURF.COND.	13 3/8	468.000000	17 1/2	475.000000	0.000000	360	9999-12-31	2013-05-08	1718
25/4-2	INTERM.	9 5/8	2026.000000	12 1/4	2080.000000	0.000000	360	9999-12-31	2013-05-08	1719
25/4-2	OPEN HOLE	\N	2775.000000	8 1/2	2775.000000	0.000000	360	9999-12-31	2013-05-08	1720
25/4-3	INTERM.	13 3/8	451.500000	17 1/4	454.000000	0.000000	361	9999-12-31	2013-05-08	1721
25/4-3	INTERM.	9 5/8	1957.000000	12 1/4	1959.500000	0.000000	361	9999-12-31	2013-05-08	1722
25/4-3	CONDUCTOR	30	184.000000	36	184.000000	0.000000	361	9999-12-31	2013-05-08	1723
25/4-3	OPEN HOLE	NONE	2714.000000	8 1/2	2714.000000	0.000000	361	9999-12-31	2013-05-08	1724
25/4-4	CONDUCTOR	30	191.000000	36	194.000000	0.000000	362	9999-12-31	2013-05-08	1725
25/4-4	CONDUCTOR	18 5/8	201.000000	26	202.000000	0.000000	362	9999-12-31	2013-05-08	1726
25/4-4	SURF.COND.	13 3/8	458.000000	17 1/2	460.000000	0.000000	362	9999-12-31	2013-05-08	1727
25/4-4	INTERM.	9 5/8	2013.000000	12 1/4	2014.000000	0.000000	362	9999-12-31	2013-05-08	1728
25/4-4	OPEN HOLE	\N	2681.000000	8 1/2	2681.000000	0.000000	362	9999-12-31	2013-05-08	1729
25/4-5	SURF.COND.	20	866.000000	26	880.000000	1.450000	201	9999-12-31	2013-05-08	1730
25/4-5	INTERM.	13 3/8	2817.000000	17 1/2	2822.000000	1.720000	201	9999-12-31	2013-05-08	1731
25/4-5	INTERM.	9 5/8	3590.000000	12 1/4	3600.000000	2.140000	201	9999-12-31	2013-05-08	1732
25/4-5	LINER	7	4250.000000	8 1/2	4355.000000	0.000000	201	9999-12-31	2013-05-08	1733
25/4-5	CONDUCTOR	30	207.000000	36	297.600000	0.000000	201	9999-12-31	2013-05-08	1734
25/4-6 S	CONDUCTOR	30	197.000000	36	200.000000	0.000000	1703	9999-12-31	2013-05-08	1735
25/4-6 S	INTERM.	20	1207.000000	26	1210.000000	1.750000	1703	9999-12-31	2013-05-08	1736
25/4-6 S	INTERM.	13 3/8	2493.000000	17 1/2	2495.000000	1.840000	1703	9999-12-31	2013-05-08	1737
25/4-6 S	INTERM.	9 5/8	3578.000000	12 1/4	3580.000000	1.980000	1703	9999-12-31	2013-05-08	1738
25/4-6 S	LINER	7	4021.000000	8 1/2	4170.000000	2.150000	1703	9999-12-31	2013-05-08	1739
25/4-7	CONDUCTOR	30	202.000000	36	204.000000	0.000000	4716	9999-12-31	2013-05-08	1740
25/4-7	SURF.COND.	13 3/8	1308.000000	17 1/2	1317.000000	1.500000	4716	9999-12-31	2013-05-08	1741
25/4-7	OPEN HOLE	\N	2286.000000	8 1/2	2286.000000	0.000000	4716	9999-12-31	2013-05-08	1742
25/4-8	CONDUCTOR	30	206.000000	36	208.000000	0.000000	4765	9999-12-31	2013-05-08	1743
25/4-8	SURF.COND.	13 3/8	796.000000	17 1/2	803.000000	0.000000	4765	9999-12-31	2013-05-08	1744
25/4-8	OPEN HOLE	\N	2082.000000	12 1/4	2082.000000	1.450000	4765	9999-12-31	2013-05-08	1745
25/4-8	OPEN HOLE	\N	2286.000000	8 1/2	2286.000000	0.000000	4765	9999-12-31	2013-05-08	1746
25/4-9 S	CONDUCTOR	30	145.000000	36	149.000000	0.000000	4278	9999-12-31	2013-05-08	1747
25/4-9 S	SURF.COND.	13 3/8	1080.000000	17 1/2	1086.000000	1.450000	4278	9999-12-31	2013-05-08	1748
25/4-9 S	INTERM.	9 5/8	2231.000000	12 1/4	2236.000000	1.400000	4278	9999-12-31	2013-05-08	1749
25/4-9 S	OPEN HOLE	\N	2377.000000	8 1/2	2377.000000	0.000000	4278	9999-12-31	2013-05-08	1750
25/5-1	LINER	7	3429.000000	8 1/2	3429.000000	0.000000	884	9999-12-31	2013-05-08	1751
25/5-1	CONDUCTOR	30	203.000000	36	612.000000	0.000000	884	9999-12-31	2013-05-08	1752
25/5-1	SURF.COND.	20	600.000000	26	815.000000	1.140000	884	9999-12-31	2013-05-08	1753
25/5-1	INTERM.	13 3/8	1978.000000	17 1/2	2218.000000	1.660000	884	9999-12-31	2013-05-08	1754
25/5-1	INTERM.	9 5/8	2910.500000	12 1/4	2941.000000	1.860000	884	9999-12-31	2013-05-08	1755
25/5-1 A	INTERM.	9 5/8	2030.000000	12 1/4	2030.000000	1.500000	1131	9999-12-31	2013-05-08	1756
25/5-1 A	OPEN HOLE	\N	3432.000000	8 1/2	3432.000000	0.000000	1131	9999-12-31	2013-05-08	1757
25/5-2	CONDUCTOR	30	212.000000	36	212.000000	0.000000	1346	9999-12-31	2013-05-08	1758
25/5-2	INTERM.	13 3/8	1185.000000	17 1/2	1200.000000	1.850000	1346	9999-12-31	2013-05-08	1759
25/5-2	INTERM.	9 5/8	3062.000000	12 1/4	3077.000000	1.810000	1346	9999-12-31	2013-05-08	1760
25/5-2	LINER	7	3304.000000	8 1/2	3304.000000	0.000000	1346	9999-12-31	2013-05-08	1761
25/5-3	CONDUCTOR	30	138.500000	36	140.000000	0.000000	1488	9999-12-31	2013-05-08	1762
25/5-3	INTERM.	13 3/8	1176.000000	17 1/2	1180.000000	0.000000	1488	9999-12-31	2013-05-08	1763
25/5-3	INTERM.	9 5/8	2350.000000	12 1/4	2355.000000	0.000000	1488	9999-12-31	2013-05-08	1764
25/5-3	LINER	7	2615.000000	8 1/2	2900.000000	0.000000	1488	9999-12-31	2013-05-08	1765
25/5-4	CONDUCTOR	30	206.000000	36	207.000000	0.000000	1691	9999-12-31	2013-05-08	1766
25/5-4	INTERM.	13 3/8	1198.000000	17 1/2	1200.000000	1.980000	1691	9999-12-31	2013-05-08	1767
25/5-4	INTERM.	9 5/8	2794.000000	12 1/4	2796.000000	1.800000	1691	9999-12-31	2013-05-08	1768
25/5-4	LINER	7	3173.000000	8 1/2	3185.000000	0.000000	1691	9999-12-31	2013-05-08	1769
25/5-5	CONDUCTOR	30	208.000000	36	210.000000	0.000000	2661	9999-12-31	2013-05-08	1770
25/5-5	SURF.COND.	13 3/8	1198.000000	17 1/2	1200.000000	0.000000	2661	9999-12-31	2013-05-08	1771
25/5-5	OPEN HOLE	\N	2600.000000	8 1/2	2600.000000	1.810000	2661	9999-12-31	2013-05-08	1772
25/5-6	CONDUCTOR	30	221.000000	36	223.000000	0.000000	6167	9999-12-31	2013-05-08	1773
25/5-6	SURF.COND.	20	331.000000	26	337.000000	0.000000	6167	9999-12-31	2013-05-08	1774
25/5-6	INTERM.	13 3/8	1150.000000	17 1/2	1158.000000	1.680000	6167	9999-12-31	2013-05-08	1775
25/5-6	OPEN HOLE	\N	2446.000000	8 1/2	2446.000000	0.000000	6167	9999-12-31	2013-05-08	1776
25/5-7	CONDUCTOR	30	220.000000	36	223.000000	0.000000	6423	9999-12-31	2013-05-08	1777
25/5-7	SURF.COND.	13 3/8	1149.000000	17 1/2	1157.000000	1.500000	6423	9999-12-31	2013-05-08	1778
25/5-7	INTERM.	9 5/8	2560.000000	12 1/4	2570.000000	1.600000	6423	9999-12-31	2013-05-08	1779
25/5-7	OPEN HOLE	\N	3045.000000	8 1/2	3045.000000	0.000000	6423	9999-12-31	2013-05-08	1780
25/6-1	INTERM.	9 5/8	2881.000000	12 1/4	2881.000000	0.000000	524	9999-12-31	2013-05-08	1781
25/6-1	CONDUCTOR	30	255.000000	36	260.000000	0.000000	524	9999-12-31	2013-05-08	1782
25/6-1	SURF.COND.	20	1013.000000	26	1028.000000	1.420000	524	9999-12-31	2013-05-08	1783
25/6-1	INTERM.	13 3/8	2180.000000	17 1/2	2195.000000	1.740000	524	9999-12-31	2013-05-08	1784
25/6-2	CONDUCTOR	30	257.000000	36	257.000000	0.000000	1949	9999-12-31	2013-05-08	1785
25/6-2	INTERM.	20	1030.000000	26	1031.000000	1.650000	1949	9999-12-31	2013-05-08	1786
25/6-2	INTERM.	13 3/8	2026.000000	17 1/2	2026.000000	1.650000	1949	9999-12-31	2013-05-08	1787
25/6-2	OPEN HOLE	\N	2392.000000	12 1/4	2392.000000	0.000000	1949	9999-12-31	2013-05-08	1788
25/6-3	CONDUCTOR	30	192.000000	36	195.000000	0.000000	3885	9999-12-31	2013-05-08	1789
25/6-3	INTERM.	13 3/8	1206.000000	17 1/2	1206.000000	1.740000	3885	9999-12-31	2013-05-08	1790
25/6-3	OPEN HOLE	\N	2475.000000	8 1/2	2475.000000	0.000000	3885	9999-12-31	2013-05-08	1791
25/7-1 S	CONDUCTOR	30	252.000000	36	252.000000	0.000000	898	9999-12-31	2013-05-08	1792
25/7-1 S	INTERM.	20	1009.000000	26	1024.000000	0.000000	898	9999-12-31	2013-05-08	1793
25/7-1 S	INTERM.	13 3/8	2396.000000	17 1/2	2409.000000	0.000000	898	9999-12-31	2013-05-08	1794
25/7-1 S	INTERM.	9 5/8	3273.000000	12 1/4	3286.000000	0.000000	898	9999-12-31	2013-05-08	1795
25/7-2	CONDUCTOR	30	259.000000	36	265.000000	0.000000	1494	9999-12-31	2013-05-08	1796
25/7-2	INTERM.	20	1210.500000	26	1220.000000	1.570000	1494	9999-12-31	2013-05-08	1797
25/7-2	INTERM.	13 3/8	2965.000000	17 1/2	2974.000000	1.940000	1494	9999-12-31	2013-05-08	1798
25/7-2	INTERM.	9 5/8	3906.000000	12 1/4	3914.000000	1.960000	1494	9999-12-31	2013-05-08	1799
25/7-2	LINER	7	4850.000000	8 1/2	4850.000000	0.000000	1494	9999-12-31	2013-05-08	1800
25/7-3	CONDUCTOR	30	223.000000	36	223.000000	0.000000	2623	9999-12-31	2013-05-08	1801
25/7-3	SURF.COND.	13 3/8	1179.000000	17 1/2	1180.000000	1.560000	2623	9999-12-31	2013-05-08	1802
25/7-3	INTERM.	9 5/8	1958.000000	12 1/4	1960.000000	1.700000	2623	9999-12-31	2013-05-08	1803
25/7-3	LINER	7	2540.000000	8 1/2	2540.000000	0.000000	2623	9999-12-31	2013-05-08	1804
25/7-4 S	CONDUCTOR	30	226.000000	36	226.000000	0.000000	3114	9999-12-31	2013-05-08	1805
25/7-4 S	SURF.COND.	13 3/8	1188.000000	17 1/4	1190.000000	1.900000	3114	9999-12-31	2013-05-08	1806
25/7-4 S	INTERM.	9 5/8	1931.000000	12 1/4	1931.000000	1.590000	3114	9999-12-31	2013-05-08	1807
25/7-4 S	OPEN HOLE	\N	2560.000000	8 1/2	2560.000000	0.000000	3114	9999-12-31	2013-05-08	1808
25/7-5	CONDUCTOR	30	207.500000	36	209.000000	0.000000	3132	9999-12-31	2013-05-08	1809
25/7-5	INTERM.	13 3/8	1332.000000	17 1/2	1338.000000	0.000000	3132	9999-12-31	2013-05-08	1810
25/7-5	INTERM.	9 5/8	1860.000000	12 1/4	1866.000000	0.000000	3132	9999-12-31	2013-05-08	1811
25/7-5	LINER	7	2736.000000	8 1/2	2736.000000	0.000000	3132	9999-12-31	2013-05-08	1812
25/7-6	CONDUCTOR	30	223.000000	36	225.000000	1.600000	4141	9999-12-31	2013-05-08	1813
25/7-6	SURF.COND.	13 3/8	1331.000000	17 1/2	1345.000000	1.650000	4141	9999-12-31	2013-05-08	1814
25/7-6	INTERM.	9 5/8	1884.000000	12 1/4	1891.000000	0.000000	4141	9999-12-31	2013-05-08	1815
25/7-6	OPEN HOLE	\N	2250.000000	8 1/2	2250.000000	0.000000	4141	9999-12-31	2013-05-08	1816
25/8-1	CONDUCTOR	30	163.000000	36	165.000000	0.000000	173	9999-12-31	2013-05-08	1817
25/8-1	SURF.COND.	20	390.000000	26	405.000000	0.000000	173	9999-12-31	2013-05-08	1818
25/8-1	INTERM.	13 3/8	1330.000000	18	1346.000000	0.000000	173	9999-12-31	2013-05-08	1819
25/8-1	INTERM.	9 5/8	1881.000000	12 1/4	1903.000000	0.000000	173	9999-12-31	2013-05-08	1820
25/8-1	OPEN HOLE	\N	2606.000000	8 1/2	2606.000000	0.000000	173	9999-12-31	2013-05-08	1821
25/8-10 S	CONDUCTOR	30	227.000000	36	228.000000	0.000000	3062	9999-12-31	2013-05-08	1822
25/8-10 S	SURF.COND.	13 3/8	1076.000000	17 1/2	1091.000000	0.000000	3062	9999-12-31	2013-05-08	1823
25/8-10 S	OPEN HOLE	\N	1890.000000	8 1/2	1890.000000	0.000000	3062	9999-12-31	2013-05-08	1824
25/8-11	CONDUCTOR	30	220.000000	36	221.000000	0.000000	3209	9999-12-31	2013-05-08	1825
25/8-11	INTERM.	13 3/8	998.000000	17 1/2	1008.000000	0.000000	3209	9999-12-31	2013-05-08	1826
25/8-11	OPEN HOLE	\N	1994.000000	8 1/2	1994.000000	0.000000	3209	9999-12-31	2013-05-08	1827
25/8-12 A	CONDUCTOR	30	211.000000	36	213.000000	0.000000	3772	9999-12-31	2013-05-08	1828
25/8-12 A	INTERM.	9 5/8	990.000000	12 1/4	990.000000	0.000000	3772	9999-12-31	2013-05-08	1829
25/8-12 A	OPEN HOLE	\N	2156.000000	8 1/2	2156.000000	1.620000	3772	9999-12-31	2013-05-08	1830
25/8-12 S	CONDUCTOR	30	211.000000	36	213.000000	0.000000	3771	9999-12-31	2013-05-08	1831
25/8-12 S	INTERM.	9 5/8	984.000000	12 1/4	990.000000	0.000000	3771	9999-12-31	2013-05-08	1832
25/8-12 S	OPEN HOLE	\N	2096.000000	8 1/2	2096.000000	1.620000	3771	9999-12-31	2013-05-08	1833
25/8-13	CONDUCTOR	30	215.000000	36	215.000000	0.000000	4438	9999-12-31	2013-05-08	1834
25/8-13	SURF.COND.	13 3/8	1030.000000	17 1/2	1030.000000	1.720000	4438	9999-12-31	2013-05-08	1835
25/8-13	OPEN HOLE	\N	2276.000000	12 1/4	2276.000000	0.000000	4438	9999-12-31	2013-05-08	1836
25/8-15 S	CONDUCTOR	26	305.000000	32	307.000000	0.000000	5000	9999-12-31	2013-05-08	1837
25/8-15 S	SURF.COND.	13 3/8	1306.000000	17 1/2	1310.000000	1.700000	5000	9999-12-31	2013-05-08	1838
25/8-15 S	OPEN HOLE	\N	4804.000000	12 1/4	4804.000000	0.000000	5000	9999-12-31	2013-05-08	1839
25/8-16 A	INTERM.	13 3/8	1030.000000	17 1/2	1040.000000	1.820000	6128	9999-12-31	2013-05-08	1840
25/8-16 A	OPEN HOLE	\N	2324.000000	8 1/2	2324.000000	0.000000	6128	9999-12-31	2013-05-08	1841
25/8-16 S	CONDUCTOR	30	216.000000	36	216.000000	0.000000	6082	9999-12-31	2013-05-08	1842
25/8-16 S	SURF.COND.	13 3/8	1030.000000	17 1/2	1039.000000	1.820000	6082	9999-12-31	2013-05-08	1843
25/8-16 S	INTERM.	9 5/8	2353.000000	12 1/4	2370.000000	1.570000	6082	9999-12-31	2013-05-08	1844
25/8-16 S	OPEN HOLE	\N	2550.000000	8 1/2	2550.000000	0.000000	6082	9999-12-31	2013-05-08	1845
25/8-17	CONDUCTOR	30	218.000000	36	217.600000	0.000000	6185	9999-12-31	2013-05-08	1846
25/8-17	SURF.COND.	13 3/8	1080.000000	17 1/2	1086.000000	0.000000	6185	9999-12-31	2013-05-08	1847
25/8-17	OPEN HOLE	\N	2233.000000	12 1/4	2233.000000	0.000000	6185	9999-12-31	2013-05-08	1848
25/8-17 A	INTERM.	13 3/8	1080.000000	17 1/2	1086.000000	0.000000	6261	9999-12-31	2013-05-08	1849
25/8-17 A	OPEN HOLE	\N	1104.000000	8 1/2	2945.000000	0.000000	6261	9999-12-31	2013-05-08	1850
25/8-2	CONDUCTOR	30	187.000000	36	187.000000	0.000000	363	9999-12-31	2013-05-08	1851
25/8-2	SURF.COND.	20	395.000000	26	414.000000	0.000000	363	9999-12-31	2013-05-08	1852
25/8-2	INTERM.	13 3/8	1258.000000	17 1/2	1268.000000	0.000000	363	9999-12-31	2013-05-08	1853
25/8-2	OPEN HOLE	\N	2578.000000	12 174	2578.000000	0.000000	363	9999-12-31	2013-05-08	1854
25/8-3	CONDUCTOR	30	218.000000	36	219.000000	0.000000	364	9999-12-31	2013-05-08	1855
25/8-3	INTERM.	13 3/8	487.000000	17 1/2	502.000000	1.770000	364	9999-12-31	2013-05-08	1856
25/8-3	INTERM.	9 5/8	1304.000000	12 1/4	1324.000000	1.800000	364	9999-12-31	2013-05-08	1857
25/8-3	OPEN HOLE	\N	1868.000000	8 1/2	1868.000000	0.000000	364	9999-12-31	2013-05-08	1858
25/8-4	CONDUCTOR	30	241.000000	36	242.000000	0.000000	1986	9999-12-31	2013-05-08	1859
25/8-4	INTERM.	9 5/8	1300.000000	12 1/4	1301.000000	1.700000	1986	9999-12-31	2013-05-08	1860
25/8-5 S	CONDUCTOR	30	272.000000	36	272.000000	0.000000	2390	9999-12-31	2013-05-08	1861
25/8-5 S	SURF.COND.	13 3/8	1153.000000	17 1/2	1170.000000	0.000000	2390	9999-12-31	2013-05-08	1862
25/8-5 S	INTERM.	9 5/8	2291.000000	12 1/4	2302.000000	0.000000	2390	9999-12-31	2013-05-08	1863
25/8-5 S	OPEN HOLE	\N	3395.000000	8 1/2	3395.000000	0.000000	2390	9999-12-31	2013-05-08	1864
25/8-6	INTERM.	9 5/8	2577.000000	12 1/4	2577.000000	0.000000	2573	9999-12-31	2013-05-08	1865
25/8-6	CONDUCTOR	30	214.000000	36	215.000000	0.000000	2573	9999-12-31	2013-05-08	1866
25/8-6	SURF.COND.	13 3/8	1048.000000	17 1/2	1050.000000	0.000000	2573	9999-12-31	2013-05-08	1867
25/8-7	CONDUCTOR	30	219.000000	36	220.000000	0.000000	2612	9999-12-31	2013-05-08	1868
25/8-7	SURF.COND.	13 3/8	1057.000000	17 1/2	1060.000000	0.000000	2612	9999-12-31	2013-05-08	1869
25/8-7	INTERM.	9 5/8	1995.000000	12 1/4	2000.000000	0.000000	2612	9999-12-31	2013-05-08	1870
25/8-7	OPEN HOLE	\N	2380.000000	8 1&2	2380.000000	0.000000	2612	9999-12-31	2013-05-08	1871
25/8-8 A	CONDUCTOR	30	214.000000	36	214.000000	0.000000	2690	9999-12-31	2013-05-08	1872
25/8-8 A	SURF.COND.	13 3/8	1046.000000	17 1/2	1046.000000	0.000000	2690	9999-12-31	2013-05-08	1873
25/8-8 A	OPEN HOLE	\N	2601.000000	8 1/2	2601.000000	0.000000	2690	9999-12-31	2013-05-08	1874
25/8-8 B	CONDUCTOR	30	214.000000	36	214.000000	0.000000	2696	9999-12-31	2013-05-08	1875
25/8-8 B	SURF.COND.	13 3/8	1046.000000	17 1/2	1047.000000	1.720000	2696	9999-12-31	2013-05-08	1876
25/8-8 B	OPEN HOLE	\N	2510.000000	8 1/2	2510.000000	0.000000	2696	9999-12-31	2013-05-08	1877
25/8-8 S	CONDUCTOR	30	211.000000	36	212.000000	0.000000	2646	9999-12-31	2013-05-08	1878
25/8-8 S	SURF.COND.	13 3/8	1046.000000	17 1/2	1046.000000	0.000000	2646	9999-12-31	2013-05-08	1879
25/8-8 S	LINER	7	2592.000000	8 1/2	2592.000000	0.000000	2646	9999-12-31	2013-05-08	1880
25/8-9	CONDUCTOR	30	222.000000	36	222.000000	0.000000	2988	9999-12-31	2013-05-08	1881
25/8-9	SURF.COND.	9 5/8	1100.000000	12 1/4	1100.000000	1.600000	2988	9999-12-31	2013-05-08	1882
25/8-9	OPEN HOLE	\N	2548.000000	8 1/2	2548.000000	0.000000	2988	9999-12-31	2013-05-08	1883
25/8-9 A	CONDUCTOR	30	222.000000	38	222.000000	0.000000	3025	9999-12-31	2013-05-08	1884
25/8-9 A	SURF.COND.	9 5/8	1100.000000	12 1/4	1100.000000	0.000000	3025	9999-12-31	2013-05-08	1885
25/8-9 A	OPEN HOLE	\N	2687.000000	8 1/2	2687.000000	0.000000	3025	9999-12-31	2013-05-08	1886
25/9-1	CONDUCTOR	30	208.000000	36	208.000000	0.000000	2476	9999-12-31	2013-05-08	1887
25/9-1	SURF.COND.	13 3/8	1043.000000	17 1/2	1044.000000	0.000000	2476	9999-12-31	2013-05-08	1888
25/9-1	INTERM.	9 5/8	1960.000000	12 1/4	1960.000000	0.000000	2476	9999-12-31	2013-05-08	1889
25/9-1	OPEN HOLE	\N	2525.000000	8 1/2	2525.000000	0.000000	2476	9999-12-31	2013-05-08	1890
25/9-2 S	CONDUCTOR	30	218.000000	36	223.000000	0.000000	4735	9999-12-31	2013-05-08	1891
25/9-2 S	SURF.COND.	9 5/8	1051.000000	12 1/4	1055.000000	1.650000	4735	9999-12-31	2013-05-08	1892
25/9-2 S	OPEN HOLE	\N	2250.000000	8 1/2	2250.000000	0.000000	4735	9999-12-31	2013-05-08	1893
25/9-3	CONDUCTOR	30	217.000000	36	223.000000	0.000000	6189	9999-12-31	2013-05-08	1894
25/9-3	PILOT HOLE	\N	1180.000000	9 7/8	1180.000000	0.000000	6189	9999-12-31	2013-05-08	1895
25/9-3	SURF.COND.	13 3/8	1173.000000	17 1/2	1180.000000	1.700000	6189	9999-12-31	2013-05-08	1896
25/9-3	INTERM.	9 5/8	1946.000000	12 1/4	1951.000000	1.830000	6189	9999-12-31	2013-05-08	1897
25/9-3	OPEN HOLE	\N	2267.000000	8 1/2	2267.000000	0.000000	6189	9999-12-31	2013-05-08	1898
26/4-1	OPEN HOLE	\N	3690.000000	8 1/2	3690.000000	0.000000	1046	9999-12-31	2013-05-08	1899
26/4-1	SURF.COND.	20	711.000000	26	873.000000	0.000000	1046	9999-12-31	2013-05-08	1900
26/4-1	INTERM.	13 3/8	1675.000000	17 1/2	1680.000000	0.000000	1046	9999-12-31	2013-05-08	1901
26/4-1	INTERM.	8 3/8	2667.000000	12 1/4	2681.000000	0.000000	1046	9999-12-31	2013-05-08	1902
26/4-2	CONDUCTOR	30	234.000000	36	235.000000	0.000000	4925	9999-12-31	2013-05-08	1903
26/4-2	SURF.COND.	9 5/8	1200.000000	12 1/4	1202.000000	0.000000	4925	9999-12-31	2013-05-08	1904
26/4-2	OPEN HOLE	\N	2302.000000	8 1/2	2302.000000	0.000000	4925	9999-12-31	2013-05-08	1905
29/3-1	LINER	7	4427.000000	8 1/2	4427.000000	0.000000	904	9999-12-31	2013-05-08	1906
29/3-1	CONDUCTOR	30	204.000000	36	208.000000	1.130000	904	9999-12-31	2013-05-08	1907
29/3-1	SURF.COND.	20	756.000000	26	770.000000	1.490000	904	9999-12-31	2013-05-08	1908
29/3-1	INTERM.	13 3/8	2252.000000	17 1/2	2265.000000	1.870000	904	9999-12-31	2013-05-08	1909
29/3-1	INTERM.	9 5/8	3468.000000	12 1/4	3484.000000	2.060000	904	9999-12-31	2013-05-08	1910
29/6-1	CONDUCTOR	30	287.000000	36	294.000000	0.000000	375	9999-12-31	2013-05-08	1911
29/6-1	SURF.COND.	18 5/8	1183.000000	24	1205.000000	1.760000	375	9999-12-31	2013-05-08	1912
29/6-1	INTERM.	13 3/8	2541.000000	17 1/2	2557.000000	1.850000	375	9999-12-31	2013-05-08	1913
29/6-1	INTERM.	9 5/8	3772.000000	12 1/4	3783.000000	2.150000	375	9999-12-31	2013-05-08	1914
29/6-1	LINER	7	4375.000000	8 3/8	4832.000000	0.000000	375	9999-12-31	2013-05-08	1915
29/9-1	CONDUCTOR	30	213.500000	36	215.000000	0.000000	31	9999-12-31	2013-05-08	1916
29/9-1	SURF.COND.	20	1040.500000	26	1057.000000	1.540000	31	9999-12-31	2013-05-08	1917
29/9-1	INTERM.	13 3/8	2724.000000	17 1/2	2751.000000	1.910000	31	9999-12-31	2013-05-08	1918
29/9-1	INTERM.	9 5/8	3927.000000	12 1/4	3950.000000	2.190000	31	9999-12-31	2013-05-08	1919
29/9-1	LINER	7	4546.000000	8 3/8	4703.000000	0.000000	31	9999-12-31	2013-05-08	1920
3/4-1	CONDUCTOR	30	183.000000	36	186.000000	0.000000	2222	9999-12-31	2013-05-08	1921
3/4-1	SURF.COND.	20	502.000000	26	506.000000	0.000000	2222	9999-12-31	2013-05-08	1922
3/4-1	INTERM.	13 3/8	1509.000000	17 1/2	1515.000000	0.000000	2222	9999-12-31	2013-05-08	1923
3/4-1	OPEN HOLE	\N	3107.000000	12 1/4	3107.000000	0.000000	2222	9999-12-31	2013-05-08	1924
3/5-1	CONDUCTOR	30	165.000000	36	166.000000	0.000000	290	9999-12-31	2013-05-08	1925
3/5-1	SURF.COND.	20	466.000000	26	480.000000	0.000000	290	9999-12-31	2013-05-08	1926
3/5-1	INTERM.	13 3/8	1589.000000	17 1/2	1603.000000	0.000000	290	9999-12-31	2013-05-08	1927
3/5-1	INTERM.	9 5/8	2763.000000	12 1/4	2779.000000	0.000000	290	9999-12-31	2013-05-08	1928
3/5-1	OPEN HOLE	\N	3425.000000	8 1/2	3425.000000	0.000000	290	9999-12-31	2013-05-08	1929
3/5-2	CONDUCTOR	30	162.000000	36	163.000000	0.000000	291	9999-12-31	2013-05-08	1930
3/5-2	SURF.COND.	20	463.000000	26	466.000000	0.000000	291	9999-12-31	2013-05-08	1931
3/5-2	INTERM.	13 3/8	1667.000000	17 1/2	1670.000000	0.000000	291	9999-12-31	2013-05-08	1932
3/5-2	INTERM.	9 5/8	3152.000000	12 1/4	3155.000000	0.000000	291	9999-12-31	2013-05-08	1933
3/5-2	OPEN HOLE	\N	3825.000000	8 1/2	3825.000000	0.000000	291	9999-12-31	2013-05-08	1934
3/6-1	CONDUCTOR	30	180.000000	36	180.000000	0.000000	4117	9999-12-31	2013-05-08	1935
3/6-1	INTERM.	13 3/8	1047.000000	17 1/2	1047.000000	1.650000	4117	9999-12-31	2013-05-08	1936
3/6-1	OPEN HOLE	\N	2167.000000	12 1/4	2167.000000	0.000000	4117	9999-12-31	2013-05-08	1937
3/7-1	CONDUCTOR	30	127.000000	\N	0.000000	0.000000	292	9999-12-31	2013-05-08	1938
3/7-1	SURF.COND.	20	454.000000	\N	0.000000	0.000000	292	9999-12-31	2013-05-08	1939
3/7-1	INTERM.	13 3/8	1458.700000	\N	0.000000	0.000000	292	9999-12-31	2013-05-08	1940
3/7-1	INTERM.	9 5/8	3138.000000	\N	0.000000	0.000000	292	9999-12-31	2013-05-08	1941
3/7-1	OPEN HOLE	\N	3229.000000	\N	0.000000	0.000000	292	9999-12-31	2013-05-08	1942
3/7-2	INTERM.	13 3/8	2554.000000	17 1/2	2563.000000	1.820000	220	9999-12-31	2013-05-08	1943
3/7-2	CONDUCTOR	30	148.000000	36	148.000000	0.000000	220	9999-12-31	2013-05-08	1944
3/7-2	SURF.COND.	20	754.000000	26	770.000000	1.480000	220	9999-12-31	2013-05-08	1945
3/7-2	INTERM.	9 5/8	3012.000000	12 1/4	3027.000000	2.050000	220	9999-12-31	2013-05-08	1946
3/7-2	OPEN HOLE	NONE	4330.000000	8 1/2	4330.000000	0.000000	220	9999-12-31	2013-05-08	1947
3/7-3	CONDUCTOR	30	153.000000	36	153.500000	0.000000	293	9999-12-31	2013-05-08	1948
3/7-3	SURF.COND.	20	653.000000	26	666.000000	1.650000	293	9999-12-31	2013-05-08	1949
3/7-3	INTERM.	13 3/8	1961.000000	17 1/2	1970.000000	1.810000	293	9999-12-31	2013-05-08	1950
3/7-3	INTERM.	9 5/8	3241.000000	12 1/4	3253.000000	2.040000	293	9999-12-31	2013-05-08	1951
3/7-3	OPEN HOLE	\N	3540.000000	8 1/2	3542.000000	0.000000	293	9999-12-31	2013-05-08	1952
3/7-4	INTERM.	20	611.000000	26	622.000000	1.860000	1467	9999-12-31	2013-05-08	1953
3/7-4	INTERM.	20	610.000000	26	622.000000	1.860000	1467	9999-12-31	2013-05-08	1954
3/7-4	INTERM.	13 3/8	2093.000000	17 1/2	2110.000000	1.880000	1467	9999-12-31	2013-05-08	1955
3/7-4	INTERM.	9 5/8	3383.000000	12 1/4	3603.000000	1.950000	1467	9999-12-31	2013-05-08	1956
3/7-4	CONDUCTOR	30	177.000000	36	187.000000	0.000000	1467	9999-12-31	2013-05-08	1957
3/7-4	LINER	7	3710.000000	8 3/8	3723.000000	0.000000	1467	9999-12-31	2013-05-08	1958
3/7-5	CONDUCTOR	30	153.000000	36	155.000000	0.000000	1759	9999-12-31	2013-05-08	1959
3/7-5	INTERM.	20	601.000000	26	615.000000	1.490000	1759	9999-12-31	2013-05-08	1960
3/7-5	INTERM.	13 3/8	1716.000000	17 1/2	1730.000000	1.840000	1759	9999-12-31	2013-05-08	1961
3/7-5	INTERM.	9 5/8	3075.000000	12 1/4	3090.000000	1.960000	1759	9999-12-31	2013-05-08	1962
3/7-7	CONDUCTOR	30	206.000000	36	216.000000	0.000000	5932	9999-12-31	2013-05-08	1963
3/7-7	SURF.COND.	18 5/8	646.000000	24	655.000000	1.400000	5932	9999-12-31	2013-05-08	1964
3/7-7	INTERM.	13 3/8	1304.000000	17 1/2	1308.000000	1.400000	5932	9999-12-31	2013-05-08	1965
3/7-7	INTERM.	9 5/8	3429.000000	12 1/4	3434.000000	1.560000	5932	9999-12-31	2013-05-08	1966
3/7-7	OPEN HOLE	\N	3930.000000	8 1/2	3930.000000	0.000000	5932	9999-12-31	2013-05-08	1967
3/8-1	CONDUCTOR	30	186.000000	36	194.000000	0.000000	6476	9999-12-31	2013-05-08	1968
3/8-1	PILOT HOLE	\N	1203.000000	9 7/8	1203.000000	0.000000	6476	9999-12-31	2013-05-08	1969
3/8-1	SURF.COND.	13 3/8	1196.000000	17 1/2	1203.000000	1.930000	6476	9999-12-31	2013-05-08	1970
3/8-1	INTERM.	9 5/8	3062.000000	12 1/4	3068.000000	1.870000	6476	9999-12-31	2013-05-08	1971
3/8-1	OPEN HOLE	\N	4070.000000	8 1/2	4070.000000	0.000000	6476	9999-12-31	2013-05-08	1972
30/10-1	CONDUCTOR	30	156.000000	36	160.000000	0.000000	391	9999-12-31	2013-05-08	1973
30/10-1	SURF.COND.	20	362.000000	26	365.000000	0.000000	391	9999-12-31	2013-05-08	1974
30/10-1	INTERM.	13 3/8	1063.000000	17 1/2	1065.000000	1.430000	391	9999-12-31	2013-05-08	1975
30/10-1	OPEN HOLE	\N	2917.000000	12 1/4	2917.000000	0.000000	391	9999-12-31	2013-05-08	1976
30/10-2	CONDUCTOR	30	166.000000	36	166.000000	0.000000	392	9999-12-31	2013-05-08	1977
30/10-2	INTERM.	20	371.000000	26	389.000000	0.000000	392	9999-12-31	2013-05-08	1978
30/10-2	INTERM.	13 3/8	1105.000000	17 1/2	1120.000000	0.000000	392	9999-12-31	2013-05-08	1979
30/10-2	INTERM.	9 5/8	2135.000000	12 1/4	2150.000000	0.000000	392	9999-12-31	2013-05-08	1980
30/10-2	OPEN HOLE	\N	2755.000000	8 1/2	2755.000000	0.000000	392	9999-12-31	2013-05-08	1981
30/10-3	CONDUCTOR	30	166.000000	36	170.000000	0.000000	393	9999-12-31	2013-05-08	1982
30/10-3	SURF.COND.	13 3/8	699.000000	17 1/2	700.000000	0.000000	393	9999-12-31	2013-05-08	1983
30/10-3	OPEN HOLE	\N	2255.000000	12 1/4	2255.000000	0.000000	393	9999-12-31	2013-05-08	1984
30/10-4	CONDUCTOR	30	169.000000	36	169.000000	0.000000	394	9999-12-31	2013-05-08	1985
30/10-4	OPEN HOLE	\N	758.000000	26	758.000000	0.000000	394	9999-12-31	2013-05-08	1986
30/10-5	CONDUCTOR	30	162.000000	36	162.000000	0.000000	395	9999-12-31	2013-05-08	1987
30/10-5	SURF.COND.	20	732.000000	26	758.000000	0.000000	395	9999-12-31	2013-05-08	1988
30/10-5	INTERM.	13 3/8	2699.000000	17 1/2	2712.000000	0.000000	395	9999-12-31	2013-05-08	1989
30/10-5	INTERM.	9 5/8	3779.000000	12 1/4	3802.000000	0.000000	395	9999-12-31	2013-05-08	1990
30/10-5	LINER	7	5186.000000	8 1/2	5186.000000	0.000000	395	9999-12-31	2013-05-08	1991
30/10-6	LINER	7	5248.000000	8 1/2	5248.000000	2.290000	1816	9999-12-31	2013-05-08	1992
30/10-6	CONDUCTOR	30	205.000000	36	206.000000	0.000000	1816	9999-12-31	2013-05-08	1993
30/10-6	INTERM.	20	1410.000000	26	1411.000000	1.830000	1816	9999-12-31	2013-05-08	1994
30/10-6	INTERM.	13 3/8	3064.000000	17 1/2	3065.000000	1.880000	1816	9999-12-31	2013-05-08	1995
30/10-6	INTERM.	9 5/8	4353.000000	12 1/4	4354.000000	2.200000	1816	9999-12-31	2013-05-08	1996
30/10-7	CONDUCTOR	30	201.000000	36	202.000000	0.000000	2015	9999-12-31	2013-05-08	1997
30/10-7	INTERM.	13 3/8	1254.000000	17 1/2	1256.000000	1.460000	2015	9999-12-31	2013-05-08	1998
30/10-7	INTERM.	9 5/8	2171.700000	12 1/4	2173.000000	1.580000	2015	9999-12-31	2013-05-08	1999
30/10-7	OPEN HOLE	\N	2612.000000	8 1/2	2612.000000	0.000000	2015	9999-12-31	2013-05-08	2000
30/11-5	CONDUCTOR	30	225.000000	36	227.000000	0.000000	2986	9999-12-31	2013-05-08	2001
30/11-5	SURF.COND.	14	1419.000000	17 1/2	1420.000000	0.000000	2986	9999-12-31	2013-05-08	2002
30/11-5	INTERM.	9 5/8	2085.000000	12 1/4	2090.000000	0.000000	2986	9999-12-31	2013-05-08	2003
30/11-5	OPEN HOLE	\N	3726.000000	8 1/2	3726.000000	0.000000	2986	9999-12-31	2013-05-08	2004
30/11-6 S	CONDUCTOR	30	229.000000	36	229.000000	0.000000	4950	9999-12-31	2013-05-08	2005
30/11-6 S	SURF.COND.	13 3/8	1408.000000	17 1/2	1415.000000	1.830000	4950	9999-12-31	2013-05-08	2006
30/11-6 S	INTERM.	9 5/8	2695.000000	12 1/4	2700.000000	1.870000	4950	9999-12-31	2013-05-08	2007
30/11-6 S	OPEN HOLE	\N	3550.000000	8 1/2	3550.000000	0.000000	4950	9999-12-31	2013-05-08	2008
30/11-7	CONDUCTOR	30	188.000000	36	192.000000	0.000000	5919	9999-12-31	2013-05-08	2009
30/11-7	SURF.COND.	20	1316.000000	26	1331.000000	1.650000	5919	9999-12-31	2013-05-08	2010
30/11-7	INTERM.	14	2999.000000	17 1/2	3014.000000	1.920000	5919	9999-12-31	2013-05-08	2011
30/11-7	INTERM.	9 5/8	3658.000000	12 1/4	3660.000000	2.010000	5919	9999-12-31	2013-05-08	2012
30/11-7	OPEN HOLE	\N	4067.000000	8 1/1	4067.000000	0.000000	5919	9999-12-31	2013-05-08	2013
30/11-7 A	INTERM.	9 5/8	3417.000000	12 1/4	3419.000000	2.010000	6085	9999-12-31	2013-05-08	2014
30/11-7 A	OPEN HOLE	\N	4250.000000	8 1/2	4250.000000	0.000000	6085	9999-12-31	2013-05-08	2015
30/12-1	CONDUCTOR	30	219.000000	36	219.000000	0.000000	2248	9999-12-31	2013-05-08	2016
30/12-1	SURF.COND.	13 3/8	1120.000000	17 1/2	1122.000000	0.000000	2248	9999-12-31	2013-05-08	2017
30/12-1	INTERM.	9 5/8	2802.000000	12 1/4	2804.000000	0.000000	2248	9999-12-31	2013-05-08	2018
30/12-1	OPEN HOLE	\N	3641.000000	8 1/2	3641.000000	0.000000	2248	9999-12-31	2013-05-08	2019
30/2-1	LINER	7	3834.000000	8 1/2	3836.000000	2.050000	72	9999-12-31	2013-05-08	2020
30/2-1	INTERM.	9 5/8	3491.000000	12 1/4	3501.000000	1.990000	72	9999-12-31	2013-05-08	2021
30/2-1	CONDUCTOR	30	216.000000	36	219.000000	0.000000	72	9999-12-31	2013-05-08	2022
30/2-1	SURF.COND.	20	1020.000000	26	1035.000000	1.700000	72	9999-12-31	2013-05-08	2023
30/2-1	INTERM.	13 3/8	2152.000000	17 1/2	2155.000000	1.940000	72	9999-12-31	2013-05-08	2024
30/2-1	OPEN HOLE	\N	4243.000000	6	4243.000000	0.000000	72	9999-12-31	2013-05-08	2025
30/2-4 S	CONDUCTOR	30	270.000000	36	270.000000	1.100000	5784	9999-12-31	2013-05-08	2026
30/2-4 S	SURF.COND.	20	1095.000000	26	1097.000000	1.670000	5784	9999-12-31	2013-05-08	2027
30/2-4 S	INTERM.	14	2210.000000	17 1/2	2212.000000	1.820000	5784	9999-12-31	2013-05-08	2028
30/2-4 S	INTERM.	9 7/8	4155.000000	12 1/4	4157.000000	2.050000	5784	9999-12-31	2013-05-08	2029
30/2-4 S	OPEN HOLE	\N	4325.000000	8 1/2	4325.000000	0.000000	5784	9999-12-31	2013-05-08	2030
30/3-1	INTERM.	9 5/8	3718.000000	12 1/4	3718.000000	0.000000	376	9999-12-31	2013-05-08	2031
30/3-1	CONDUCTOR	30	212.000000	36	212.000000	0.000000	376	9999-12-31	2013-05-08	2032
30/3-1	SURF.COND.	20	985.000000	26	999.000000	1.380000	376	9999-12-31	2013-05-08	2033
30/3-1	LINER	16	1804.000000	19 1/2	1804.000000	1.520000	376	9999-12-31	2013-05-08	2034
30/3-1	INTERM.	13 3/8	2423.000000	17 1/2	2430.000000	1.960000	376	9999-12-31	2013-05-08	2035
30/3-1 R	OPEN HOLE	\N	4421.000000	8 1/2	4421.000000	0.000000	509	9999-12-31	2013-05-08	2036
30/3-1 R	CONDUCTOR	30	212.000000	36	212.000000	0.000000	509	9999-12-31	2013-05-08	2037
30/3-1 R	SURF.COND.	20	985.000000	26	999.000000	1.380000	509	9999-12-31	2013-05-08	2038
30/3-1 R	LINER	16	1804.000000	19 1/2	1804.000000	1.520000	509	9999-12-31	2013-05-08	2039
30/3-1 R	INTERM.	13 3/8	2423.000000	17 1/2	2430.000000	1.960000	509	9999-12-31	2013-05-08	2040
30/3-1 R	INTERM.	9 5/8	3709.000000	12 1/4	3718.000000	2.050000	509	9999-12-31	2013-05-08	2041
30/3-10 S	CONDUCTOR	30	200.000000	36	200.000000	0.000000	6045	9999-12-31	2013-05-08	2042
30/3-10 S	SURF.COND.	20	1402.000000	26	1412.000000	1.710000	6045	9999-12-31	2013-05-08	2043
30/3-10 S	INTERM.	14	2452.000000	17 1/2	2465.000000	1.910000	6045	9999-12-31	2013-05-08	2044
30/3-10 S	INTERM.	9 7/8	3670.000000	12 1/4	3945.000000	2.050000	6045	9999-12-31	2013-05-08	2045
30/3-10 S	LINER	7	3944.000000	8 1/2	3945.000000	2.100000	6045	9999-12-31	2013-05-08	2046
30/3-10 S	OPEN HOLE	\N	4168.000000	6	4168.000000	0.000000	6045	9999-12-31	2013-05-08	2047
30/3-2	CONDUCTOR	30	260.000000	36	261.000000	0.000000	203	9999-12-31	2013-05-08	2048
30/3-2	SURF.COND.	20	940.000000	26	955.000000	0.000000	203	9999-12-31	2013-05-08	2049
30/3-2 R	CONDUCTOR	30	260.000000	36	261.000000	0.000000	508	9999-12-31	2013-05-08	2050
30/3-2 R	SURF.COND.	20	940.000000	26	955.000000	1.720000	508	9999-12-31	2013-05-08	2051
30/3-2 R	INTERM.	13 3/8	2332.000000	17 1/2	2355.000000	1.890000	508	9999-12-31	2013-05-08	2052
30/3-2 R	INTERM.	9 5/8	3057.000000	12 1/4	3060.000000	1.800000	508	9999-12-31	2013-05-08	2053
30/3-2 R	LINER	7	3564.000000	8 1/2	3567.000000	0.000000	508	9999-12-31	2013-05-08	2054
30/3-4	CONDUCTOR	30	248.000000	36	248.000000	0.000000	460	9999-12-31	2013-05-08	2055
30/3-4	SURF.COND.	20	600.000000	26	606.000000	1.460000	460	9999-12-31	2013-05-08	2056
30/3-4	INTERM.	13 3/8	1583.000000	17 1/2	1605.000000	1.890000	460	9999-12-31	2013-05-08	2057
30/3-4	INTERM.	9 5/8	2795.000000	12 1/4	2812.000000	1.860000	460	9999-12-31	2013-05-08	2058
30/3-4	LINER	7	3280.000000	8 1/2	3287.000000	0.000000	460	9999-12-31	2013-05-08	2059
30/3-7 A	INTERM.	9 5/8	3336.000000	12 1/4	3340.000000	1.800000	3176	9999-12-31	2013-05-08	2060
30/3-7 A	LINER	7	5705.000000	8 3/8	5706.000000	0.000000	3176	9999-12-31	2013-05-08	2061
30/3-7 B	INTERM.	9 5/8	4287.000000	12 1/4	4290.000000	1.650000	3229	9999-12-31	2013-05-08	2062
30/3-7 B	LINER	5	5962.000000	8 3/8	5962.000000	0.000000	3229	9999-12-31	2013-05-08	2063
30/3-7 S	SURF.COND.	20	1467.000000	24	1472.000000	1.320000	2632	9999-12-31	2013-05-08	2064
30/3-7 S	INTERM.	13 3/8	2865.000000	17 1/2	2870.000000	1.650000	2632	9999-12-31	2013-05-08	2065
30/3-7 S	INTERM.	9 5/8	5064.000000	12 1/4	5065.000000	1.800000	2632	9999-12-31	2013-05-08	2066
30/3-7 S	LINER	7	5580.000000	8 3/8	5581.000000	0.000000	2632	9999-12-31	2013-05-08	2067
30/3-9	CONDUCTOR	30	201.000000	36	201.000000	0.000000	4053	9999-12-31	2013-05-08	2068
30/3-9	INTERM.	20	1019.000000	26	1019.000000	1.600000	4053	9999-12-31	2013-05-08	2069
30/3-9	INTERM.	13 3/8	2452.000000	17 1/2	2454.000000	1.910000	4053	9999-12-31	2013-05-08	2070
30/3-9	INTERM.	9 5/8	3707.000000	12 1/4	3707.000000	2.050000	4053	9999-12-31	2013-05-08	2071
30/3-9	OPEN HOLE	\N	4015.000000	8 1/2	4015.000000	0.000000	4053	9999-12-31	2013-05-08	2072
30/4-1	CONDUCTOR	30	282.000000	36	288.000000	0.000000	377	9999-12-31	2013-05-08	2073
30/4-1	SURF.COND.	18 5/8	1051.000000	26	1059.000000	0.000000	377	9999-12-31	2013-05-08	2074
30/4-1	INTERM.	13 3/8	2335.000000	17 1/2	2345.000000	0.000000	377	9999-12-31	2013-05-08	2075
30/4-1	INTERM.	9 5/8	4048.000000	12 1/4	4072.000000	0.000000	377	9999-12-31	2013-05-08	2076
30/4-1	OPEN HOLE	\N	5454.000000	8 3/8	5454.000000	0.000000	377	9999-12-31	2013-05-08	2077
30/5-1	CONDUCTOR	30	210.000000	36	216.000000	0.000000	379	9999-12-31	2013-05-08	2078
30/5-1	SURF.COND.	20	397.000000	26	408.000000	0.000000	379	9999-12-31	2013-05-08	2079
30/5-1	INTERM.	13 3/8	1070.000000	17 1/2	1076.000000	0.000000	379	9999-12-31	2013-05-08	2080
30/5-1	INTERM.	9 5/8	2361.000000	12 1/4	2368.000000	0.000000	379	9999-12-31	2013-05-08	2081
30/5-1	OPEN HOLE	\N	4124.000000	8 1/2	4124.000000	0.000000	379	9999-12-31	2013-05-08	2082
30/5-2	CONDUCTOR	30	190.000000	36	192.000000	0.000000	2886	9999-12-31	2013-05-08	2083
30/5-2	SURF.COND.	13 3/8	1544.000000	17 1/2	1558.000000	0.000000	2886	9999-12-31	2013-05-08	2084
30/5-2	INTERM.	9 5/8	3476.000000	12 1/4	3477.000000	0.000000	2886	9999-12-31	2013-05-08	2085
30/5-2	LINER	7	4070.000000	8 1/2	4076.000000	0.000000	2886	9999-12-31	2013-05-08	2086
30/5-3 A	INTERM.	14	2578.000000	17 1/2	2596.000000	1.780000	6055	9999-12-31	2013-05-08	2087
30/5-3 A	INTERM.	9 5/8	4098.000000	12 1/4	4098.000000	2.000000	6055	9999-12-31	2013-05-08	2088
30/5-3 A	OPEN HOLE	\N	4746.000000	8 1/2	4746.000000	0.000000	6055	9999-12-31	2013-05-08	2089
30/5-3 S	CONDUCTOR	30	201.000000	36	205.000000	0.000000	6043	9999-12-31	2013-05-08	2090
30/5-3 S	SURF.COND.	20	997.000000	26	1004.000000	1.680000	6043	9999-12-31	2013-05-08	2091
30/5-3 S	INTERM.	14	2330.000000	17 1/2	2335.000000	1.840000	6043	9999-12-31	2013-05-08	2092
30/5-3 S	INTERM.	9 5/8	3288.000000	12 1/4	3290.000000	2.030000	6043	9999-12-31	2013-05-08	2093
30/5-3 S	OPEN HOLE	\N	4335.000000	8 1/2	4335.000000	0.000000	6043	9999-12-31	2013-05-08	2094
30/6-12	CONDUCTOR	30	216.000000	36	220.000000	0.000000	4	9999-12-31	2013-05-08	2095
30/6-12	SURF.COND.	20	601.000000	26	615.000000	0.000000	4	9999-12-31	2013-05-08	2096
30/6-13	CONDUCTOR	30	217.000000	36	222.000000	0.000000	7	9999-12-31	2013-05-08	2097
30/6-13	SURF.COND.	20	600.000000	26	613.000000	1.460000	7	9999-12-31	2013-05-08	2098
30/6-13	INTERM.	13 3/8	1705.000000	17 1/2	1725.000000	1.720000	7	9999-12-31	2013-05-08	2099
30/6-13	INTERM.	9 5/8	2762.000000	12 1/4	2775.000000	0.000000	7	9999-12-31	2013-05-08	2100
30/6-17	CONDUCTOR	30	223.000000	36	224.000000	0.000000	487	9999-12-31	2013-05-08	2101
30/6-17	SURF.COND.	20	601.000000	26	615.000000	0.000000	487	9999-12-31	2013-05-08	2102
30/6-17	INTERM.	13 3/8	1593.000000	17 1/2	1621.000000	1.740000	487	9999-12-31	2013-05-08	2103
30/6-17	INTERM.	9 5/8	2386.000000	12 1/4	2406.000000	0.000000	487	9999-12-31	2013-05-08	2104
30/6-17	LINER	7	2638.000000	8 1/2	2650.000000	1.700000	487	9999-12-31	2013-05-08	2105
30/6-17 A	INTERM.	13 3/8	1593.000000	17 1/2	2397.000000	0.000000	894	9999-12-31	2013-05-08	2106
30/6-17 A	INTERM.	9 5/8	2323.000000	12 1/4	2335.000000	0.000000	894	9999-12-31	2013-05-08	2107
30/6-17 R	SURF.COND.	20	601.000000	26	615.000000	0.000000	849	9999-12-31	2013-05-08	2108
30/6-17 R	INTERM.	13 3/8	1593.000000	17 1/2	1621.000000	1.740000	849	9999-12-31	2013-05-08	2109
30/6-17 R	INTERM.	9 5/8	2386.000000	12 1/4	2406.000000	0.000000	849	9999-12-31	2013-05-08	2110
30/6-17 R	LINER	7	2638.000000	8 1/2	2650.000000	1.700000	849	9999-12-31	2013-05-08	2111
30/6-18	CONDUCTOR	30	219.000000	36	219.000000	0.000000	488	9999-12-31	2013-05-08	2112
30/6-18	SURF.COND.	20	643.500000	26	654.000000	1.430000	488	9999-12-31	2013-05-08	2113
30/6-18	INTERM.	13 3/8	1598.000000	17 1/2	1613.000000	1.790000	488	9999-12-31	2013-05-08	2114
30/6-18	INTERM.	9 5/8	3413.000000	12 1/4	3486.000000	1.760000	488	9999-12-31	2013-05-08	2115
30/6-18	OPEN HOLE	\N	3690.000000	8 3/8	3690.000000	0.000000	488	9999-12-31	2013-05-08	2116
30/6-25 S	CONDUCTOR	30	189.500000	36	193.000000	0.000000	3578	9999-12-31	2013-05-08	2117
30/6-25 S	SURF.COND.	20	1037.000000	26	1044.000000	0.000000	3578	9999-12-31	2013-05-08	2118
30/6-25 S	INTERM.	9 5/8	2564.000000	12 1/4	2575.000000	1.760000	3578	9999-12-31	2013-05-08	2119
30/6-25 S	OPEN HOLE	\N	2988.000000	8 1/2	2988.000000	0.000000	3578	9999-12-31	2013-05-08	2120
30/6-27	CONDUCTOR	30	196.000000	36	198.000000	0.000000	4425	9999-12-31	2013-05-08	2121
30/6-27	SURF.COND.	13 3/8	1250.000000	17 1/2	1256.000000	0.000000	4425	9999-12-31	2013-05-08	2122
30/6-27	INTERM.	9 5/8	3096.000000	12 1/4	3102.000000	0.000000	4425	9999-12-31	2013-05-08	2123
30/6-27	OPEN HOLE	\N	3446.000000	8 1/2	3446.000000	0.000000	4425	9999-12-31	2013-05-08	2124
30/6-7	CONDUCTOR	30	227.000000	36	227.500000	0.000000	73	9999-12-31	2013-05-08	2125
30/6-7	SURF.COND.	20	952.000000	26	965.000000	1.620000	73	9999-12-31	2013-05-08	2126
30/6-7	INTERM.	13 3/8	2285.000000	17 1/2	1787.000000	1.780000	73	9999-12-31	2013-05-08	2127
30/6-7	INTERM.	9 5/8	2900.000000	12 1/4	2916.000000	1.750000	73	9999-12-31	2013-05-08	2128
30/6-7	OPEN HOLE	\N	3236.000000	8 3/8	3236.000000	0.000000	73	9999-12-31	2013-05-08	2129
30/7-1	CONDUCTOR	30	188.000000	36	197.000000	0.000000	384	9999-12-31	2013-05-08	2130
30/7-1	SURF.COND.	20	340.000000	26	346.000000	0.000000	384	9999-12-31	2013-05-08	2131
30/7-1	OPEN HOLE	\N	1007.000000	17 1/2	1007.000000	0.000000	384	9999-12-31	2013-05-08	2132
30/7-2	CONDUCTOR	30	198.000000	36	199.000000	0.000000	385	9999-12-31	2013-05-08	2133
30/7-2	SURF.COND.	20	482.000000	26	485.000000	0.000000	385	9999-12-31	2013-05-08	2134
30/7-2	INTERM.	13 3/8	1002.000000	17 1/2	1010.000000	0.000000	385	9999-12-31	2013-05-08	2135
30/7-2	INTERM.	9 5/8	1690.000000	12 1/4	1700.000000	0.000000	385	9999-12-31	2013-05-08	2136
30/7-2	LINER	7	1860.000000	8 1/2	2591.000000	0.000000	385	9999-12-31	2013-05-08	2137
30/7-3	CONDUCTOR	30	159.000000	36	173.000000	0.000000	386	9999-12-31	2013-05-08	2138
30/7-3	SURF.COND.	20	694.000000	26	700.000000	0.000000	386	9999-12-31	2013-05-08	2139
30/7-3	INTERM.	13 3/8	2642.000000	17 1/2	2652.000000	0.000000	386	9999-12-31	2013-05-08	2140
30/7-3	INTERM.	9 5/8	3782.000000	12 1/4	3789.000000	2.310000	386	9999-12-31	2013-05-08	2141
30/7-3	OPEN HOLE	\N	4044.000000	8 3/8	4044.000000	0.000000	386	9999-12-31	2013-05-08	2142
30/7-4	CONDUCTOR	30	193.000000	36	193.000000	0.000000	387	9999-12-31	2013-05-08	2143
30/7-4	OPEN HOLE	\N	305.000000	26	305.000000	0.000000	387	9999-12-31	2013-05-08	2144
30/7-4	OPEN HOLE	\N	778.000000	17 1/2	778.000000	0.000000	387	9999-12-31	2013-05-08	2145
30/7-5	CONDUCTOR	30	190.000000	36	190.000000	0.000000	388	9999-12-31	2013-05-08	2146
30/7-5	OPEN HOLE	\N	805.000000	26	805.000000	0.000000	388	9999-12-31	2013-05-08	2147
30/7-7	LINER	4 1/2	5127.000000	6	5127.000000	0.000000	390	9999-12-31	2013-05-08	2148
30/7-7	INTERM.	13 3/8	2681.000000	17 1/2	2701.000000	1.850000	390	9999-12-31	2013-05-08	2149
30/7-7	CONDUCTOR	30	184.000000	36	185.000000	0.000000	390	9999-12-31	2013-05-08	2150
30/7-7	SURF.COND.	20	764.000000	26	781.000000	1.140000	390	9999-12-31	2013-05-08	2151
30/7-7	INTERM.	9 5/8	3877.000000	12 1/4	3888.000000	2.170000	390	9999-12-31	2013-05-08	2152
30/7-7	OPEN HOLE	\N	2538.000000	\N	2538.000000	2.250000	390	9999-12-31	2013-05-08	2153
30/7-7	LINER	7	4500.000000	8 3/8	4509.000000	2.200000	390	9999-12-31	2013-05-08	2154
30/8-1 S	CONDUCTOR	30	231.000000	36	231.000000	0.000000	2430	9999-12-31	2013-05-08	2155
30/8-1 S	SURF.COND.	18 5/8	1346.000000	24	1360.000000	0.000000	2430	9999-12-31	2013-05-08	2156
30/8-1 S	INTERM.	13 3/8	2701.000000	17 1/2	2716.000000	0.000000	2430	9999-12-31	2013-05-08	2157
30/8-1 S	INTERM.	9 5/8	4319.000000	12 1/4	4332.000000	0.000000	2430	9999-12-31	2013-05-08	2158
30/8-1 S	LINER	7	4688.000000	8 3/8	4688.000000	0.000000	2430	9999-12-31	2013-05-08	2159
30/8-1 SR	LINER	5	5102.000000	6	5149.000000	0.000000	2719	9999-12-31	2013-05-08	2160
30/8-2	CONDUCTOR	30	181.000000	36	182.000000	0.000000	2723	9999-12-31	2013-05-08	2161
30/8-2	SURF.COND.	13 3/8	1534.000000	17 1/2	1542.000000	0.000000	2723	9999-12-31	2013-05-08	2162
30/8-2	OPEN HOLE	\N	2129.000000	12 1/4	2129.000000	0.000000	2723	9999-12-31	2013-05-08	2163
30/8-2	OPEN HOLE	\N	2405.000000	8 1/2	2405.000000	0.000000	2723	9999-12-31	2013-05-08	2164
30/8-3	CONDUCTOR	30	212.000000	36	214.000000	0.000000	3246	9999-12-31	2013-05-08	2165
30/8-3	PILOT HOLE	\N	440.000000	9 7/8	440.000000	0.000000	3246	9999-12-31	2013-05-08	2166
30/8-3	SURF.COND.	13 3/8	1581.000000	17 1/2	1588.000000	0.000000	3246	9999-12-31	2013-05-08	2167
30/8-3	INTERM.	9 5/8	3249.000000	12 1/4	3260.000000	0.000000	3246	9999-12-31	2013-05-08	2168
30/8-3	OPEN HOLE	\N	3720.000000	8 172	3720.000000	0.000000	3246	9999-12-31	2013-05-08	2169
30/8-4 S	CONDUCTOR	30	181.000000	36	181.000000	0.000000	5974	9999-12-31	2013-05-08	2170
30/8-4 S	SURF.COND.	20	1048.000000	26	1062.000000	1.550000	5974	9999-12-31	2013-05-08	2171
30/8-4 S	INTERM.	13 3/8	2306.000000	17 1/2	2316.000000	1.710000	5974	9999-12-31	2013-05-08	2172
30/8-4 S	INTERM.	9 5/8	3210.000000	12 1/4	3238.000000	1.930000	5974	9999-12-31	2013-05-08	2173
30/8-4 S	OPEN HOLE	\N	4210.000000	8 1/2	4210.000000	0.000000	5974	9999-12-31	2013-05-08	2174
30/9-12	CONDUCTOR	30	214.000000	36	216.000000	0.000000	1717	9999-12-31	2013-05-08	2175
30/9-12	INTERM.	13 3/8	1002.000000	17 1/2	1019.000000	1.610000	1717	9999-12-31	2013-05-08	2176
30/9-12	INTERM.	9 5/8	2528.000000	12 1/4	2545.000000	1.690000	1717	9999-12-31	2013-05-08	2177
30/9-12	OPEN HOLE	\N	2994.000000	8 1/2	2994.000000	0.000000	1717	9999-12-31	2013-05-08	2178
30/9-12 A	CONDUCTOR	30	214.000000	36	216.000000	0.000000	1770	9999-12-31	2013-05-08	2179
30/9-12 A	CONDUCTOR	13 3/8	1002.000000	17 1/2	1019.000000	0.000000	1770	9999-12-31	2013-05-08	2180
30/9-12 A	INTERM.	9 5/8	2717.000000	12 1/4	2824.000000	1.610000	1770	9999-12-31	2013-05-08	2181
30/9-12 A	OPEN HOLE	\N	3061.000000	8 1/2	3061.000000	0.000000	1770	9999-12-31	2013-05-08	2182
30/9-13 S	CONDUCTOR	30	216.000000	36	218.000000	0.000000	1811	9999-12-31	2013-05-08	2183
30/9-13 S	INTERM.	13 3/8	1017.000000	17 1/2	1020.000000	0.000000	1811	9999-12-31	2013-05-08	2184
30/9-13 S	INTERM.	9 5/8	2876.000000	12 1/4	2880.000000	1.880000	1811	9999-12-31	2013-05-08	2185
30/9-13 S	LINER	7	4027.000000	8 1/2	4027.000000	0.000000	1811	9999-12-31	2013-05-08	2186
30/9-14	LINER	7	3680.000000	8 1/2	3680.000000	0.000000	2076	9999-12-31	2013-05-08	2187
30/9-14	CONDUCTOR	30	217.000000	36	217.000000	0.000000	2076	9999-12-31	2013-05-08	2188
30/9-14	INTERM.	18 5/8	471.000000	24	478.000000	1.880000	2076	9999-12-31	2013-05-08	2189
30/9-14	INTERM.	13 5/8	1031.000000	17 1/2	1040.000000	1.440000	2076	9999-12-31	2013-05-08	2190
30/9-14	INTERM.	9 5/8	2900.000000	12 1/4	2912.000000	1.770000	2076	9999-12-31	2013-05-08	2191
30/9-15	CONDUCTOR	30	217.000000	36	218.000000	0.000000	2223	9999-12-31	2013-05-08	2192
30/9-15	INTERM.	13 5/8	929.000000	17 1/2	936.000000	0.000000	2223	9999-12-31	2013-05-08	2193
30/9-15	INTERM.	9 5/8	2201.000000	12 1/4	2215.000000	0.000000	2223	9999-12-31	2013-05-08	2194
30/9-15	OPEN HOLE	\N	2764.000000	8 1/2	2764.000000	0.000000	2223	9999-12-31	2013-05-08	2195
30/9-17	CONDUCTOR	30	193.000000	36	193.000000	0.000000	2355	9999-12-31	2013-05-08	2196
30/9-17	SURF.COND.	9 5/8	1399.000000	12 1/2	1408.000000	0.000000	2355	9999-12-31	2013-05-08	2197
30/9-18	CONDUCTOR	30	193.000000	36	193.000000	0.000000	2552	9999-12-31	2013-05-08	2198
30/9-18	SURF.COND.	18 5/8	547.000000	24	557.000000	0.000000	2552	9999-12-31	2013-05-08	2199
30/9-18	INTERM.	9 5/8	1538.000000	12 1/4	1550.000000	0.000000	2552	9999-12-31	2013-05-08	2200
30/9-18	LINER	7	2557.000000	8 1/2	2559.000000	0.000000	2552	9999-12-31	2013-05-08	2201
30/9-18	OPEN HOLE	\N	2994.000000	6	2994.000000	0.000000	2552	9999-12-31	2013-05-08	2202
30/9-2	INTERM.	9 5/8	2830.000000	12 1/4	2830.000000	0.000000	11	9999-12-31	2013-05-08	2203
30/9-2	CONDUCTOR	30	219.000000	36	220.000000	0.000000	11	9999-12-31	2013-05-08	2204
30/9-2	SURF.COND.	20	901.000000	26	915.000000	1.780000	11	9999-12-31	2013-05-08	2205
30/9-2	INTERM.	13 3/8	1680.000000	17 1/2	1715.000000	1.810000	11	9999-12-31	2013-05-08	2206
30/9-20 S	CONDUCTOR	30	198.000000	36	200.000000	0.000000	4463	9999-12-31	2013-05-08	2207
30/9-20 S	INTERM.	20	398.000000	26	400.000000	1.510000	4463	9999-12-31	2013-05-08	2208
30/9-20 S	LINER	16	621.000000	20	630.000000	0.000000	4463	9999-12-31	2013-05-08	2209
30/9-20 S	INTERM.	13 3/8	1291.000000	17 1/2	1297.000000	1.680000	4463	9999-12-31	2013-05-08	2210
30/9-20 S	INTERM.	9 5/8	2362.000000	12 1/4	2369.000000	1.600000	4463	9999-12-31	2013-05-08	2211
30/9-20 S	OPEN HOLE	\N	3124.000000	8 1/2	3124.000000	0.000000	4463	9999-12-31	2013-05-08	2212
30/9-21 A	INTERM.	13 3/8	2268.000000	17 1/2	2275.000000	1.700000	5805	9999-12-31	2013-05-08	2213
30/9-21 A	INTERM.	9 5/8	3601.000000	12 1/4	3601.000000	1.600000	5805	9999-12-31	2013-05-08	2214
30/9-21 A	OPEN HOLE	\N	4086.000000	8 1/2	4086.000000	0.000000	5805	9999-12-31	2013-05-08	2215
30/9-21 S	CONDUCTOR	30	180.000000	36	182.000000	0.000000	5800	9999-12-31	2013-05-08	2216
30/9-21 S	SURF.COND.	20	1215.000000	26	1222.000000	1.620000	5800	9999-12-31	2013-05-08	2217
30/9-21 S	INTERM.	13 3/8	2123.000000	17 1/2	2130.000000	1.720000	5800	9999-12-31	2013-05-08	2218
30/9-21 S	INTERM.	9 5/8	3671.000000	12 174	3680.000000	1.600000	5800	9999-12-31	2013-05-08	2219
30/9-21 S	OPEN HOLE	\N	4090.000000	8 1/2	4090.000000	0.000000	5800	9999-12-31	2013-05-08	2220
30/9-22	CONDUCTOR	30	180.000000	36	183.000000	0.000000	6034	9999-12-31	2013-05-08	2221
30/9-22	SURF.COND.	20	336.000000	26	339.000000	1.710000	6034	9999-12-31	2013-05-08	2222
30/9-22	INTERM.	13 3/8	1460.000000	17 1/2	1465.000000	1.820000	6034	9999-12-31	2013-05-08	2223
30/9-22	INTERM.	9 5/8	2768.000000	12 1/2	2770.000000	1.940000	6034	9999-12-31	2013-05-08	2224
30/9-22	OPEN HOLE	\N	3255.000000	8 1/2	3255.000000	0.000000	6034	9999-12-31	2013-05-08	2225
30/9-23	CONDUCTOR	30	189.000000	36	192.000000	0.000000	6182	9999-12-31	2013-05-08	2226
30/9-23	SURF.COND.	13 3/8	997.000000	17 1/2	1003.000000	1.640000	6182	9999-12-31	2013-05-08	2227
30/9-23	INTERM.	9 5/8	2082.000000	12 1/4	2092.000000	1.720000	6182	9999-12-31	2013-05-08	2228
30/9-23	OPEN HOLE	\N	2873.000000	8 1/2	2873.000000	0.000000	6182	9999-12-31	2013-05-08	2229
30/9-23	PILOT HOLE	\N	510.000000	9 7/8	510.000000	0.000000	6182	9999-12-31	2013-05-08	2230
30/9-24	CONDUCTOR	30	226.000000	36	230.000000	0.000000	6210	9999-12-31	2013-05-08	2231
30/9-24	SURF.COND.	13 3/8	1014.000000	17 1/2	1294.000000	1.510000	6210	9999-12-31	2013-05-08	2232
30/9-24	INTERM.	9 5/8	3047.000000	12 1/4	3051.000000	1.980000	6210	9999-12-31	2013-05-08	2233
30/9-24	OPEN HOLE	\N	3767.000000	8 1/2	3767.000000	0.000000	6210	9999-12-31	2013-05-08	2234
30/9-3	CONDUCTOR	30	221.000000	36	222.000000	0.000000	55	9999-12-31	2013-05-08	2235
30/9-3	SURF.COND.	20	616.000000	26	625.000000	1.510000	55	9999-12-31	2013-05-08	2236
30/9-3	INTERM.	13 3/8	1699.000000	17 1/2	1715.000000	1.700000	55	9999-12-31	2013-05-08	2237
30/9-3	OPEN HOLE	\N	3113.000000	12 1/4	3113.000000	0.000000	55	9999-12-31	2013-05-08	2238
30/9-3 A	OPEN HOLE	\N	4300.000000	8 3/8	4300.000000	0.000000	102	9999-12-31	2013-05-08	2239
30/9-3 A	CONDUCTOR	30	221.000000	36	222.000000	0.000000	102	9999-12-31	2013-05-08	2240
30/9-3 A	SURF.COND.	20	616.000000	26	625.000000	0.000000	102	9999-12-31	2013-05-08	2241
30/9-3 A	INTERM.	13 3/8	1539.000000	17 1/2	1715.000000	1.650000	102	9999-12-31	2013-05-08	2242
30/9-3 A	INTERM.	9 5/8	3251.000000	12 1/4	3268.000000	1.710000	102	9999-12-31	2013-05-08	2243
30/9-8	CONDUCTOR	30	215.000000	36	216.000000	0.000000	1421	9999-12-31	2013-05-08	2244
30/9-8	INTERM.	13 3/8	1044.000000	17 1/2	1060.000000	1.670000	1421	9999-12-31	2013-05-08	2245
30/9-8	INTERM.	9 5/8	2651.000000	12 1/4	2669.000000	1.780000	1421	9999-12-31	2013-05-08	2246
30/9-8	LINER	7	3198.000000	8 1/2	3200.000000	0.000000	1421	9999-12-31	2013-05-08	2247
30/9-8 R	CONDUCTOR	30	215.000000	36	215.000000	0.000000	1461	9999-12-31	2013-05-08	2248
30/9-8 R	INTERM.	13 3/8	1044.000000	17 1/2	1060.000000	1.670000	1461	9999-12-31	2013-05-08	2249
30/9-8 R	INTERM.	9 5/8	2651.000000	12 1/4	2669.000000	1.780000	1461	9999-12-31	2013-05-08	2250
30/9-8 R	LINER	7	3198.000000	8 1/2	3200.000000	0.000000	1461	9999-12-31	2013-05-08	2251
31/1-1	CONDUCTOR	30	433.000000	36 1/4	433.000000	0.000000	5765	9999-12-31	2013-05-08	2252
31/1-1	SURF.COND.	13 3/8	1208.000000	17 1/2	1219.000000	0.000000	5765	9999-12-31	2013-05-08	2253
31/1-1	INTERM.	9 5/8	2009.000000	12 1/4	2020.000000	1.490000	5765	9999-12-31	2013-05-08	2254
31/1-1	OPEN HOLE	\N	2920.000000	8 1/2	2920.000000	0.000000	5765	9999-12-31	2013-05-08	2255
31/2-1	CONDUCTOR	30	423.000000	36	470.000000	0.000000	398	9999-12-31	2013-05-08	2256
31/2-1	SURF.COND.	20	793.000000	26	805.000000	1.520000	398	9999-12-31	2013-05-08	2257
31/2-1	INTERM.	13 5/8	1308.000000	17 1/2	1322.000000	1.670000	398	9999-12-31	2013-05-08	2258
31/2-1	INTERM.	TO STK	1308.000000	LOT	1393.000000	1.910000	398	9999-12-31	2013-05-08	2259
31/2-1	INTERM.	9 5/8	2061.000000	12 1/4	2074.000000	1.600000	398	9999-12-31	2013-05-08	2260
31/2-1	OPEN HOLE	\N	2433.000000	8 1/2	2433.000000	0.000000	398	9999-12-31	2013-05-08	2261
31/2-1 R	CONDUCTOR	30	423.000000	36	470.000000	0.000000	505	9999-12-31	2013-05-08	2262
31/2-1 R	SURF.COND.	20	793.000000	26	805.000000	1.520000	505	9999-12-31	2013-05-08	2263
31/2-1 R	INTERM.	13 3/8	1308.000000	17 1/2	1322.000000	1.670000	505	9999-12-31	2013-05-08	2264
31/2-1 R	INTERM.	TO STK	1308.000000	LOT	1391.000000	1.910000	505	9999-12-31	2013-05-08	2265
31/2-1 R	INTERM.	9 5/8	2061.000000	12 1/4	2074.000000	1.600000	505	9999-12-31	2013-05-08	2266
31/2-1 R	OPEN HOLE	\N	2433.000000	8 1/2	2433.000000	0.000000	505	9999-12-31	2013-05-08	2267
31/2-10	CONDUCTOR	30	454.000000	36	472.000000	0.000000	90	9999-12-31	2013-05-08	2268
31/2-10	SURF.COND.	20	793.000000	26	810.000000	1.510000	90	9999-12-31	2013-05-08	2269
31/2-10	INTERM.	13 3/8	1514.000000	17 1/2	1530.000000	1.590000	90	9999-12-31	2013-05-08	2270
31/2-10	OPEN HOLE	\N	1575.000000	12 1/4	1575.000000	0.000000	90	9999-12-31	2013-05-08	2271
31/2-10	OPEN HOLE	\N	1833.000000	8 1/2	1833.000000	0.000000	90	9999-12-31	2013-05-08	2272
31/2-11	CONDUCTOR	30	460.000000	36	470.000000	0.000000	6	9999-12-31	2013-05-08	2273
31/2-11	SURF.COND.	20	799.000000	26	810.000000	1.490000	6	9999-12-31	2013-05-08	2274
31/2-11	INTERM.	13 3/8	1525.000000	17 1/2	1535.000000	1.500000	6	9999-12-31	2013-05-08	2275
31/2-11	INTERM.	9 5/8	1720.000000	12 1/4	1744.000000	0.000000	6	9999-12-31	2013-05-08	2276
31/2-12	CONDUCTOR	30	458.000000	36	468.000000	0.000000	14	9999-12-31	2013-05-08	2277
31/2-12	SURF.COND.	20	802.000000	26	810.000000	1.540000	14	9999-12-31	2013-05-08	2278
31/2-12	INTERM.	13 3/8	1338.000000	17 1/2	1348.000000	1.630000	14	9999-12-31	2013-05-08	2279
31/2-12	INTERM.	9 5/8	1424.000000	12 1/4	1427.000000	0.000000	14	9999-12-31	2013-05-08	2280
31/2-12	OPEN HOLE	\N	1600.000000	8 1/2	1615.000000	0.000000	14	9999-12-31	2013-05-08	2281
31/2-13 S	CONDUCTOR	30	455.500000	36	468.000000	0.000000	93	9999-12-31	2013-05-08	2282
31/2-13 S	SURF.COND.	20	806.000000	26	813.000000	1.810000	93	9999-12-31	2013-05-08	2283
31/2-13 S	INTERM.	13 3/8	1700.000000	17 1/2	1710.000000	1.610000	93	9999-12-31	2013-05-08	2284
31/2-13 S	INTERM.	9 5/8	1999.000000	12 1/4	2007.000000	0.000000	93	9999-12-31	2013-05-08	2285
31/2-14	CONDUCTOR	30	464.000000	36	474.000000	0.000000	106	9999-12-31	2013-05-08	2286
31/2-14	SURF.COND.	20	799.000000	26	810.000000	1.370000	106	9999-12-31	2013-05-08	2287
31/2-14	INTERM.	13 3/8	1498.000000	17 1/2	1514.000000	1.520000	106	9999-12-31	2013-05-08	2288
31/2-14	INTERM.	9 5/8	1724.000000	12 1/4	1725.000000	0.000000	106	9999-12-31	2013-05-08	2289
31/2-15	CONDUCTOR	30	466.000000	36	477.000000	0.000000	439	9999-12-31	2013-05-08	2290
31/2-15	SURF.COND.	20	800.500000	26	810.000000	1.380000	439	9999-12-31	2013-05-08	2291
31/2-15	INTERM.	13 3/8	1444.000000	17 1/2	1460.000000	1.620000	439	9999-12-31	2013-05-08	2292
31/2-15	INTERM.	9 5/8	1663.000000	12 1/4	1677.000000	0.000000	439	9999-12-31	2013-05-08	2293
31/2-16 S	CONDUCTOR	30	439.000000	36	439.000000	0.000000	1453	9999-12-31	2013-05-08	2294
31/2-16 S	INTERM.	20	1003.000000	26	1020.000000	1.790000	1453	9999-12-31	2013-05-08	2295
31/2-16 S	INTERM.	13 3/8	1601.000000	17 1/2	1607.000000	1.450000	1453	9999-12-31	2013-05-08	2296
31/2-16 S	INTERM.	9 5/8	1888.000000	12 1/4	1891.000000	0.000000	1453	9999-12-31	2013-05-08	2297
31/2-16 S	LINER	7	2390.000000	8 1/2	2390.000000	0.000000	1453	9999-12-31	2013-05-08	2298
31/2-17 A	CONDUCTOR	30	451.000000	36	452.000000	0.000000	1898	9999-12-31	2013-05-08	2299
31/2-17 A	INTERM.	18 5/8	906.000000	26	921.000000	0.000000	1898	9999-12-31	2013-05-08	2300
31/2-17 A	INTERM.	13 3/8	1642.000000	17 1/2	1924.000000	1.330000	1898	9999-12-31	2013-05-08	2301
31/2-17 B	CONDUCTOR	30	451.000000	36	452.000000	0.000000	1899	9999-12-31	2013-05-08	2302
31/2-17 B	INTERM.	18 5/8	906.000000	26	909.000000	0.000000	1899	9999-12-31	2013-05-08	2303
31/2-17 B	INTERM.	13 3/8	1642.000000	17 1/2	1644.000000	1.330000	1899	9999-12-31	2013-05-08	2304
31/2-17 B	INTERM.	9 5/8	1815.000000	12 1/4	1838.000000	0.000000	1899	9999-12-31	2013-05-08	2305
31/2-17 S	CONDUCTOR	30	451.500000	36	452.000000	0.000000	1885	9999-12-31	2013-05-08	2306
31/2-17 S	INTERM.	18 5/8	906.000000	24	921.000000	1.540000	1885	9999-12-31	2013-05-08	2307
31/2-17 S	INTERM.	9 5/8	1827.000000	12 1/4	1830.000000	1.410000	1885	9999-12-31	2013-05-08	2308
31/2-18	CONDUCTOR	30	453.000000	36	453.000000	0.000000	1988	9999-12-31	2013-05-08	2309
31/2-18	INTERM.	18 5/8	921.000000	24	940.000000	1.730000	1988	9999-12-31	2013-05-08	2310
31/2-18	INTERM.	9 5/8	1450.000000	12 1/4	1465.000000	1.640000	1988	9999-12-31	2013-05-08	2311
31/2-18	OPEN HOLE	\N	1711.000000	8 1/2	1711.000000	0.000000	1988	9999-12-31	2013-05-08	2312
31/2-18 A	CONDUCTOR	30	452.500000	36	454.000000	0.000000	2038	9999-12-31	2013-05-08	2313
31/2-18 A	INTERM.	18 5/8	921.000000	24	940.000000	0.000000	2038	9999-12-31	2013-05-08	2314
31/2-18 A	INTERM.	9 5/8	1450.000000	12 1/4	1465.000000	0.000000	2038	9999-12-31	2013-05-08	2315
31/2-18 A	OPEN HOLE	\N	2005.000000	8 1/2	2005.000000	0.000000	2038	9999-12-31	2013-05-08	2316
31/2-19 S	CONDUCTOR	30	428.500000	36	428.500000	0.000000	2798	9999-12-31	2013-05-08	2317
31/2-19 S	INTERM.	13 3/8	1316.000000	17 1/2	1316.000000	0.000000	2798	9999-12-31	2013-05-08	2318
31/2-19 S	INTERM.	9 5/8	3118.000000	12 1/4	3118.000000	0.000000	2798	9999-12-31	2013-05-08	2319
31/2-19 S	OPEN HOLE	\N	4114.000000	8 1/2	4114.000000	1.640000	2798	9999-12-31	2013-05-08	2320
31/2-2	CONDUCTOR	30	398.000000	36	400.000000	0.000000	227	9999-12-31	2013-05-08	2321
31/2-2	SURF.COND.	20	768.000000	26	780.000000	1.720000	227	9999-12-31	2013-05-08	2322
31/2-2	INTERM.	13 3/8	1438.000000	17 1/2	1448.000000	1.640000	227	9999-12-31	2013-05-08	2323
31/2-2	INTERM.	9 5/8	1817.000000	12 1/4	1826.000000	1.650000	227	9999-12-31	2013-05-08	2324
31/2-2	OPEN HOLE	\N	2568.000000	8 1/2	2568.000000	0.000000	227	9999-12-31	2013-05-08	2325
31/2-2 R	CONDUCTOR	30	398.000000	36	400.000000	0.000000	504	9999-12-31	2013-05-08	2326
31/2-2 R	SURF.COND.	20	768.000000	26	780.000000	1.720000	504	9999-12-31	2013-05-08	2327
31/2-2 R	INTERM.	13 3/8	1438.000000	17 1/2	1448.000000	1.640000	504	9999-12-31	2013-05-08	2328
31/2-2 R	INTERM.	9 5/8	1817.000000	12 1/4	1826.000000	1.650000	504	9999-12-31	2013-05-08	2329
31/2-2 R	OPEN HOLE	\N	2568.000000	8 1/2	2568.000000	0.000000	504	9999-12-31	2013-05-08	2330
31/2-20 S	CONDUCTOR	30	417.000000	36	417.000000	0.000000	4636	9999-12-31	2013-05-08	2331
31/2-20 S	SURF.COND.	18 5/8	1146.000000	26	1146.000000	1.400000	4636	9999-12-31	2013-05-08	2332
31/2-20 S	INTERM.	13 3/8	2447.000000	17 1/2	2450.000000	1.430000	4636	9999-12-31	2013-05-08	2333
31/2-20 S	OPEN HOLE	\N	3400.000000	8 1/2	3400.000000	0.000000	4636	9999-12-31	2013-05-08	2334
31/2-3	CONDUCTOR	30	420.000000	36	425.000000	0.000000	236	9999-12-31	2013-05-08	2335
31/2-3	SURF.COND.	20	779.000000	26	789.000000	1.430000	236	9999-12-31	2013-05-08	2336
31/2-3	INTERM.	13 3/8	1328.000000	17 1/2	1339.000000	1.550000	236	9999-12-31	2013-05-08	2337
31/2-3	INTERM.	9 5/8	1791.000000	12 1/4	1798.000000	1.740000	236	9999-12-31	2013-05-08	2338
31/2-3	LINER	7	2576.000000	8 1/2	2576.000000	0.000000	236	9999-12-31	2013-05-08	2339
31/2-4	CONDUCTOR	30	420.000000	36	425.000000	0.000000	208	9999-12-31	2013-05-08	2340
31/2-4	SURF.COND.	20	782.000000	26	790.000000	0.000000	208	9999-12-31	2013-05-08	2341
31/2-4	CONDUCTOR	30	446.000000	36	450.000000	0.000000	208	9999-12-31	2013-05-08	2342
31/2-4	SURF.COND.	20	807.000000	26	815.000000	1.710000	208	9999-12-31	2013-05-08	2343
31/2-4 R	CONDUCTOR	30	446.000000	36	450.000000	0.000000	502	9999-12-31	2013-05-08	2344
31/2-4 R	SURF.COND.	20	807.000000	26	815.000000	1.710000	502	9999-12-31	2013-05-08	2345
31/2-4 R	LINER	16	1272.000000	22	1280.000000	1.710000	502	9999-12-31	2013-05-08	2346
31/2-4 R	INTERM.	13 3/8	1927.000000	15 3/4	1946.000000	0.000000	502	9999-12-31	2013-05-08	2347
31/2-4 R	INTERM.	9 5/8	3982.000000	12 1/4	4029.000000	0.000000	502	9999-12-31	2013-05-08	2348
31/2-4 R	OPEN HOLE	\N	5035.000000	8 1/2	5035.000000	0.000000	502	9999-12-31	2013-05-08	2349
31/2-4 R2	CONDUCTOR	30	446.000000	36	450.000000	0.000000	503	9999-12-31	2013-05-08	2350
31/2-4 R2	SURF.COND.	20	807.000000	26	815.000000	1.710000	503	9999-12-31	2013-05-08	2351
31/2-4 R2	LINER	16	1272.000000	22	1280.000000	1.710000	503	9999-12-31	2013-05-08	2352
31/2-4 R2	INTERM.	13 3/8	1928.000000	15 3/4	1951.000000	1.700000	503	9999-12-31	2013-05-08	2353
31/2-4 R2	INTERM.	9 5/8	3982.000000	12 1/4	4029.000000	0.000000	503	9999-12-31	2013-05-08	2354
31/2-4 R2	OPEN HOLE	\N	5035.000000	8 1/2	5035.000000	0.000000	503	9999-12-31	2013-05-08	2355
31/2-5	INTERM.	9 5/8	1801.000000	12 1/4	1812.000000	1.690000	210	9999-12-31	2013-05-08	2356
31/2-5	OPEN HOLE	NONE	2532.000000	8 1/2	2532.000000	0.000000	210	9999-12-31	2013-05-08	2357
31/2-5	CONDUCTOR	30	446.000000	36	446.000000	0.000000	210	9999-12-31	2013-05-08	2358
31/2-5	SURF.COND.	20	810.000000	26	820.000000	1.550000	210	9999-12-31	2013-05-08	2359
31/2-5	INTERM.	13 3/8	1470.000000	17 1/2	1480.000000	1.600000	210	9999-12-31	2013-05-08	2360
31/2-5	CONDUCTOR	30	443.000000	36	446.000000	0.000000	210	9999-12-31	2013-05-08	2361
31/2-5 R	CONDUCTOR	30	421.000000	36	421.000000	0.000000	500	9999-12-31	2013-05-08	2362
31/2-5 R	SURF.COND.	20	785.000000	26	795.000000	0.000000	500	9999-12-31	2013-05-08	2363
31/2-5 R	INTERM.	13 3/8	1445.000000	17 1/2	1455.000000	1.600000	500	9999-12-31	2013-05-08	2364
31/2-5 R	INTERM.	9 5/8	1776.000000	12 1/4	1786.000000	1.690000	500	9999-12-31	2013-05-08	2365
31/2-5 R	LINER	7	2500.000000	8 1/2	2500.000000	0.000000	500	9999-12-31	2013-05-08	2366
31/2-5 R2	CONDUCTOR	30	443.000000	36	446.000000	0.000000	501	9999-12-31	2013-05-08	2367
31/2-5 R2	SURF.COND.	20	809.000000	26	820.000000	1.550000	501	9999-12-31	2013-05-08	2368
31/2-5 R2	INTERM.	13 3/8	1470.000000	17 1/2	1480.000000	1.600000	501	9999-12-31	2013-05-08	2369
31/2-5 R2	INTERM.	9 5/8	1801.000000	12 1/4	1812.000000	1.690000	501	9999-12-31	2013-05-08	2370
31/2-5 R2	OPEN HOLE	\N	2525.000000	8 1/2	2525.000000	0.000000	501	9999-12-31	2013-05-08	2371
31/2-6	CONDUCTOR	30	448.000000	36	456.000000	0.000000	399	9999-12-31	2013-05-08	2372
31/2-6	SURF.COND.	20	800.000000	26	820.000000	0.000000	399	9999-12-31	2013-05-08	2373
31/2-6	INTERM.	13 3/8	1475.000000	17 1/2	1485.000000	1.620000	399	9999-12-31	2013-05-08	2374
31/2-6	INTERM.	9 5/8	1752.000000	12 1/4	1760.000000	0.000000	399	9999-12-31	2013-05-08	2375
31/2-7	CONDUCTOR	30	449.000000	36	455.000000	0.000000	70	9999-12-31	2013-05-08	2376
31/2-7	SURF.COND.	20	812.000000	26	825.000000	1.540000	70	9999-12-31	2013-05-08	2377
31/2-7	INTERM.	13 3/8	1495.000000	17 1/2	1517.000000	1.590000	70	9999-12-31	2013-05-08	2378
31/2-7	INTERM.	9 5/8	1652.000000	12 1/4	1660.000000	0.000000	70	9999-12-31	2013-05-08	2379
31/2-8	OPEN HOLE	\N	3375.000000	8 1/2	3375.000000	0.000000	78	9999-12-31	2013-05-08	2380
31/2-8	CONDUCTOR	30	469.500000	36	480.000000	0.000000	78	9999-12-31	2013-05-08	2381
31/2-8	SURF.COND.	20	826.000000	26	840.000000	1.800000	78	9999-12-31	2013-05-08	2382
31/2-8	INTERM.	13 3/8	1734.000000	17 1/2	1745.000000	1.610000	78	9999-12-31	2013-05-08	2383
31/2-8	INTERM.	9 5/8	2732.000000	12 1/4	2743.000000	1.890000	78	9999-12-31	2013-05-08	2384
31/2-9	CONDUCTOR	30	450.000000	36	460.000000	0.000000	88	9999-12-31	2013-05-08	2385
31/2-9	SURF.COND.	20	808.000000	26	816.000000	1.470000	88	9999-12-31	2013-05-08	2386
31/2-9	INTERM.	13 3/8	1498.000000	17 1/2	1509.000000	1.540000	88	9999-12-31	2013-05-08	2387
31/2-9	OPEN HOLE	\N	1770.000000	12 1/4	1770.000000	0.000000	88	9999-12-31	2013-05-08	2388
31/3-1	CONDUCTOR	30	421.000000	36	422.000000	0.000000	20	9999-12-31	2013-05-08	2389
31/3-1	SURF.COND.	20	849.000000	26	865.000000	1.550000	20	9999-12-31	2013-05-08	2390
31/3-1	INTERM.	13 3/8	1285.500000	17 1/2	1300.000000	1.660000	20	9999-12-31	2013-05-08	2391
31/3-1	INTERM.	9 5/8	1815.500000	12 1/4	1835.000000	1.650000	20	9999-12-31	2013-05-08	2392
31/3-1	OPEN HOLE	\N	2374.000000	8 1/2	2374.000000	0.000000	20	9999-12-31	2013-05-08	2393
31/3-2	CONDUCTOR	30	451.000000	36	451.000000	0.000000	100	9999-12-31	2013-05-08	2394
31/3-2	SURF.COND.	20	609.000000	26	625.000000	1.450000	100	9999-12-31	2013-05-08	2395
31/3-2	INTERM.	13 3/8	1502.000000	17 1/2	1515.000000	1.560000	100	9999-12-31	2013-05-08	2396
31/3-2	INTERM.	9 5/8	1805.000000	12 1/4	2090.000000	0.000000	100	9999-12-31	2013-05-08	2397
31/3-3	CONDUCTOR	30	481.000000	36	486.000000	0.000000	447	9999-12-31	2013-05-08	2398
31/3-3	SURF.COND.	20	805.000000	26	1143.000000	1.600000	447	9999-12-31	2013-05-08	2399
31/3-3	INTERM.	13 3/8	1616.000000	17 1/2	1764.000000	1.540000	447	9999-12-31	2013-05-08	2400
31/3-3	OPEN HOLE	\N	2573.000000	12 1/4	2573.000000	0.000000	447	9999-12-31	2013-05-08	2401
31/4-1	CONDUCTOR	30	231.000000	36	232.000000	0.000000	400	9999-12-31	2013-05-08	2402
31/4-1	OPEN HOLE	\N	1000.000000	26	1000.000000	0.000000	400	9999-12-31	2013-05-08	2403
31/4-12	CONDUCTOR	30	308.000000	36	308.000000	0.000000	5051	9999-12-31	2013-05-08	2404
31/4-12	SURF.COND.	13 3/8	1178.000000	17 1/2	1184.000000	1.810000	5051	9999-12-31	2013-05-08	2405
31/4-12	INTERM.	9 5/8	2056.000000	12 1/4	2062.000000	1.770000	5051	9999-12-31	2013-05-08	2406
31/4-12	OPEN HOLE	\N	2226.000000	8 1/2	2226.000000	0.000000	5051	9999-12-31	2013-05-08	2407
31/4-4	INTERM.	13 3/8	1481.000000	17 1/2	1918.000000	1.600000	214	9999-12-31	2013-05-08	2408
31/4-4	OPEN HOLE	\N	3152.000000	12 1/4	3152.000000	0.000000	214	9999-12-31	2013-05-08	2409
31/4-4	CONDUCTOR	30	324.000000	36	325.000000	0.000000	214	9999-12-31	2013-05-08	2410
31/4-4	SURF.COND.	20	886.000000	26	900.000000	1.600000	214	9999-12-31	2013-05-08	2411
31/5-1	CONDUCTOR	30	464.000000	36	466.000000	0.000000	27	9999-12-31	2013-05-08	2412
31/5-1	SURF.COND.	20	847.000000	26	860.000000	0.000000	27	9999-12-31	2013-05-08	2413
31/5-2	CONDUCTOR	30	415.000000	36	418.000000	0.000000	32	9999-12-31	2013-05-08	2414
31/5-2	SURF.COND.	20	848.000000	26	860.000000	1.530000	32	9999-12-31	2013-05-08	2415
31/5-2	INTERM.	13 3/8	1415.000000	17 1/2	1430.000000	1.630000	32	9999-12-31	2013-05-08	2416
31/5-2	INTERM.	9 5/8	1952.000000	12 1/4	1965.000000	1.630000	32	9999-12-31	2013-05-08	2417
31/5-2	OPEN HOLE	\N	2500.000000	8 1/2	2500.000000	0.000000	32	9999-12-31	2013-05-08	2418
31/5-3	OPEN HOLE	\N	2253.000000	8 1/2	2253.000000	0.000000	101	9999-12-31	2013-05-08	2419
31/5-3	CONDUCTOR	30	425.000000	36	430.000000	0.000000	101	9999-12-31	2013-05-08	2420
31/5-3	SURF.COND.	20	950.000000	26	963.000000	1.890000	101	9999-12-31	2013-05-08	2421
31/5-3	INTERM.	13 3/8	1497.000000	17 1/2	1515.000000	1.570000	101	9999-12-31	2013-05-08	2422
31/5-3	INTERM.	9 5/8	1905.000000	12 1/4	2236.000000	1.730000	101	9999-12-31	2013-05-08	2423
31/5-4 A	INTERM.	13 3/8	1567.000000	17 1/2	1570.000000	1.400000	1689	9999-12-31	2013-05-08	2424
31/5-4 A	INTERM.	9 5/8	1803.000000	12 1/4	1806.000000	1.400000	1689	9999-12-31	2013-05-08	2425
31/5-4 A	OPEN HOLE	\N	2603.000000	8 1/2	2603.000000	0.000000	1689	9999-12-31	2013-05-08	2426
31/5-4 S	CONDUCTOR	30	424.000000	36	425.000000	0.000000	1669	9999-12-31	2013-05-08	2427
31/5-4 S	INTERM.	18 5/8	924.000000	24	926.000000	1.450000	1669	9999-12-31	2013-05-08	2428
31/5-4 S	INTERM.	13 3/8	1567.000000	17 1/2	1570.000000	1.400000	1669	9999-12-31	2013-05-08	2429
31/5-5	CONDUCTOR	30	432.000000	36	432.000000	0.000000	2059	9999-12-31	2013-05-08	2430
31/5-5	INTERM.	18 5/8	926.000000	24	940.000000	1.580000	2059	9999-12-31	2013-05-08	2431
31/5-5	INTERM.	9 5/8	1515.000000	12 1/4	1530.000000	1.540000	2059	9999-12-31	2013-05-08	2432
31/5-5	OPEN HOLE	\N	1930.000000	8 1/2	1930.000000	0.000000	2059	9999-12-31	2013-05-08	2433
31/5-6	CONDUCTOR	30	430.000000	36	430.000000	0.000000	4128	9999-12-31	2013-05-08	2434
31/5-6	INTERM.	13 3/8	1196.000000	17 1/2	1201.000000	1.660000	4128	9999-12-31	2013-05-08	2435
31/5-6	INTERM.	9 5/8	1704.000000	12 1/4	1709.000000	1.480000	4128	9999-12-31	2013-05-08	2436
31/5-6	OPEN HOLE	\N	2370.000000	8 1/2	2370.000000	0.000000	4128	9999-12-31	2013-05-08	2437
31/6-1	CONDUCTOR	30	424.000000	36	426.000000	0.000000	22	9999-12-31	2013-05-08	2438
31/6-1	SURF.COND.	20	748.000000	26	765.000000	1.460000	22	9999-12-31	2013-05-08	2439
31/6-1	INTERM.	13 3/8	1310.000000	17 1/2	1325.000000	1.680000	22	9999-12-31	2013-05-08	2440
31/6-1	INTERM.	9 5/8	1967.000000	12 1/4	1980.000000	1.510000	22	9999-12-31	2013-05-08	2441
31/6-1	OPEN HOLE	\N	4070.000000	8 3/8	4070.000000	0.000000	22	9999-12-31	2013-05-08	2442
31/6-2	CONDUCTOR	30	412.000000	36	412.000000	0.000000	34	9999-12-31	2013-05-08	2443
31/6-2	SURF.COND.	20	801.000000	26	818.000000	1.560000	34	9999-12-31	2013-05-08	2444
31/6-2	INTERM.	13 3/8	902.000000	17 1/2	920.000000	1.760000	34	9999-12-31	2013-05-08	2445
31/6-2	INTERM.	9 5/8	1391.000000	12 1/4	1400.000000	1.610000	34	9999-12-31	2013-05-08	2446
31/6-2	LINER	7	2004.000000	8 1/2	2020.000000	0.000000	34	9999-12-31	2013-05-08	2447
31/6-2 R	CONDUCTOR	30	412.000000	36	412.000000	0.000000	498	9999-12-31	2013-05-08	2448
31/6-2 R	SURF.COND.	20	801.000000	26	818.000000	1.560000	498	9999-12-31	2013-05-08	2449
31/6-2 R	INTERM.	13 3/8	902.000000	17 1/2	920.000000	1.760000	498	9999-12-31	2013-05-08	2450
31/6-2 R	INTERM.	9 5/8	1391.000000	12 1/4	1400.000000	1.610000	498	9999-12-31	2013-05-08	2451
31/6-2 R	LINER	7	2004.000000	8 1/2	2020.000000	0.000000	498	9999-12-31	2013-05-08	2452
31/6-2 R	OPEN HOLE	\N	2235.000000	6	2235.000000	0.000000	498	9999-12-31	2013-05-08	2453
31/6-3	CONDUCTOR	30	399.000000	36	400.000000	0.000000	35	9999-12-31	2013-05-08	2454
31/6-3	SURF.COND.	20	600.000000	26	618.000000	1.390000	35	9999-12-31	2013-05-08	2455
31/6-3	INTERM.	13 3/8	1360.000000	17 1/2	1365.000000	1.820000	35	9999-12-31	2013-05-08	2456
31/6-3	OPEN HOLE	\N	2250.000000	12 1/4	2250.000000	0.000000	35	9999-12-31	2013-05-08	2457
31/6-4	CONDUCTOR	30	390.000000	36	392.000000	0.000000	404	9999-12-31	2013-05-08	2458
31/6-4	OPEN HOLE	\N	820.000000	26	820.000000	0.000000	404	9999-12-31	2013-05-08	2459
31/6-5	CONDUCTOR	30	389.200000	36	390.500000	0.000000	105	9999-12-31	2013-05-08	2460
31/6-5	SURF.COND.	20	649.000000	26	656.000000	1.540000	105	9999-12-31	2013-05-08	2461
31/6-5	INTERM.	13 3/8	1424.000000	17 1/2	1445.000000	1.760000	105	9999-12-31	2013-05-08	2462
31/6-5	INTERM.	9 5/8	1706.900000	12 1/4	1721.000000	1.620000	105	9999-12-31	2013-05-08	2463
31/6-5	OPEN HOLE	\N	2082.000000	8 1/2	2082.000000	0.000000	105	9999-12-31	2013-05-08	2464
31/6-6	OPEN HOLE	\N	2290.000000	8 1/2	2290.000000	0.000000	127	9999-12-31	2013-05-08	2465
31/6-6	CONDUCTOR	30	423.000000	36	425.000000	0.000000	127	9999-12-31	2013-05-08	2466
31/6-6	SURF.COND.	20	699.000000	26	723.000000	1.530000	127	9999-12-31	2013-05-08	2467
31/6-6	INTERM.	13 3/8	1443.000000	17 1/2	1460.000000	1.550000	127	9999-12-31	2013-05-08	2468
31/6-6	INTERM.	9 5/8	1755.000000	12 1/4	1771.500000	1.490000	127	9999-12-31	2013-05-08	2469
31/6-7	CONDUCTOR	30	411.000000	36	411.000000	0.000000	141	9999-12-31	2013-05-08	2470
31/6-7	SURF.COND.	20	683.000000	26	698.000000	0.000000	141	9999-12-31	2013-05-08	2471
31/6-8	CONDUCTOR	30	411.000000	36	416.000000	0.000000	466	9999-12-31	2013-05-08	2472
31/6-8	SURF.COND.	20	687.000000	26	700.000000	1.540000	466	9999-12-31	2013-05-08	2473
31/6-8	INTERM.	13 3/8	1437.000000	17 1/2	1465.000000	1.590000	466	9999-12-31	2013-05-08	2474
31/6-8	INTERM.	9 5/8	1646.000000	12 1/4	1660.000000	1.570000	466	9999-12-31	2013-05-08	2475
31/6-8	OPEN HOLE	\N	2138.000000	8 1/2	2138.000000	0.000000	466	9999-12-31	2013-05-08	2476
31/8-1	CONDUCTOR	30	401.000000	36	401.000000	0.000000	6604	9999-12-31	2013-05-08	2477
31/8-1	SURF.COND.	20	963.000000	26	969.000000	1.680000	6604	9999-12-31	2013-05-08	2478
31/8-1	INTERM.	9 5/8	2070.500000	12 1/4	2077.000000	1.730000	6604	9999-12-31	2013-05-08	2479
31/8-1	OPEN HOLE	\N	2629.000000	8 1/2	2629.000000	0.000000	6604	9999-12-31	2013-05-08	2480
32/2-1	CONDUCTOR	30	424.000000	36	425.000000	0.000000	5839	9999-12-31	2013-05-08	2481
32/2-1	PILOT HOLE	\N	838.000000	9 7/8	838.000000	0.000000	5839	9999-12-31	2013-05-08	2482
32/2-1	SURF.COND.	13 3/8	835.000000	17 1/2	840.000000	1.860000	5839	9999-12-31	2013-05-08	2483
32/2-1	OPEN HOLE	\N	843.000000	12 1/4	843.000000	0.000000	5839	9999-12-31	2013-05-08	2484
32/2-1	OPEN HOLE	\N	1300.000000	8 1/2	1300.000000	0.000000	5839	9999-12-31	2013-05-08	2485
32/4-1	INTERM.	9 5/8	3186.000000	12 1/4	3186.000000	0.000000	2918	9999-12-31	2013-05-08	2486
32/4-1	CONDUCTOR	30	394.000000	36	395.000000	0.000000	2918	9999-12-31	2013-05-08	2487
32/4-1	INTERM.	13 3/8	709.000000	17 1/2	710.000000	0.000000	2918	9999-12-31	2013-05-08	2488
33/12-7	OPEN HOLE	\N	3703.000000	8 1/2	3703.000000	0.000000	1358	9999-12-31	2013-05-08	2489
33/12-7	INTERM.	9 5/8	3017.000000	12 1/4	3034.000000	1.850000	1358	9999-12-31	2013-05-08	2490
33/12-7	CONDUCTOR	30	222.000000	36	225.000000	0.000000	1358	9999-12-31	2013-05-08	2491
33/12-7	INTERM.	20	363.000000	26	384.000000	1.430000	1358	9999-12-31	2013-05-08	2492
33/12-7	INTERM.	13 3/8	1610.000000	17 1/2	1625.000000	1.760000	1358	9999-12-31	2013-05-08	2493
33/12-8 A	INTERM.	9 5/8	5098.000000	12 1/4	5098.000000	0.000000	4532	9999-12-31	2013-05-08	2494
33/12-8 S	OPEN HOLE	\N	3750.000000	8 1/2	3750.000000	0.000000	4493	9999-12-31	2013-05-08	2495
33/12-8 S	CONDUCTOR	30	227.000000	36	230.000000	0.000000	4493	9999-12-31	2013-05-08	2496
33/12-8 S	SURF.COND.	20	737.000000	26	740.000000	1.750000	4493	9999-12-31	2013-05-08	2497
33/12-8 S	INTERM.	9 5/8	2066.000000	12 1/4	2077.000000	1.740000	4493	9999-12-31	2013-05-08	2498
33/5-1	INTERM.	9 5/8	2599.000000	12 1/4	2614.000000	0.000000	103	9999-12-31	2013-05-08	2499
33/5-1	OPEN HOLE	\N	3829.000000	8 1/2	3829.000000	0.000000	103	9999-12-31	2013-05-08	2500
33/5-1	CONDUCTOR	30	427.000000	36	427.000000	0.000000	103	9999-12-31	2013-05-08	2501
33/5-1	SURF.COND.	20	583.000000	26	590.000000	1.220000	103	9999-12-31	2013-05-08	2502
33/5-1	INTERM.	16	858.000000	22	875.000000	1.310000	103	9999-12-31	2013-05-08	2503
33/5-1	INTERM.	13 3/8	1526.000000	18 1/2	1540.000000	1.610000	103	9999-12-31	2013-05-08	2504
33/5-2	CONDUCTOR	30	394.000000	36	399.000000	0.000000	405	9999-12-31	2013-05-08	2505
33/5-2	SURF.COND.	20	939.000000	26	960.000000	1.690000	405	9999-12-31	2013-05-08	2506
33/5-2	INTERM.	13 3/8	1975.000000	17 1/2	2020.000000	1.810000	405	9999-12-31	2013-05-08	2507
33/5-2	INTERM.	9 5/8	3651.000000	12 1/4	3664.000000	1.920000	405	9999-12-31	2013-05-08	2508
33/5-2	LINER	7	4261.000000	8 1/2	4279.000000	2.070000	405	9999-12-31	2013-05-08	2509
33/5-2	OPEN HOLE	\N	4520.000000	6	4520.000000	0.000000	405	9999-12-31	2013-05-08	2510
33/6-1	CONDUCTOR	30	434.000000	36	440.000000	0.000000	406	9999-12-31	2013-05-08	2511
33/6-1	SURF.COND.	20	695.000000	26	715.000000	1.260000	406	9999-12-31	2013-05-08	2512
33/6-1	INTERM.	13 3/8	1960.000000	17 1/2	1987.000000	1.650000	406	9999-12-31	2013-05-08	2513
33/6-1	INTERM.	9 5/8	3527.000000	12 1/4	3550.000000	1.910000	406	9999-12-31	2013-05-08	2514
33/6-1	OPEN HOLE	\N	3900.000000	8 1/2	3900.000000	0.000000	406	9999-12-31	2013-05-08	2515
33/6-2	CONDUCTOR	30	390.000000	36	390.000000	0.000000	2873	9999-12-31	2013-05-08	2516
33/6-2	SURF.COND.	20	986.000000	26	991.000000	0.000000	2873	9999-12-31	2013-05-08	2517
33/6-2	INTERM.	13 3/8	2138.700000	17 1/2	2150.000000	0.000000	2873	9999-12-31	2013-05-08	2518
33/6-2	INTERM.	9 5/8	3440.000000	12 1/4	3453.000000	0.000000	2873	9999-12-31	2013-05-08	2519
33/6-2	OPEN HOLE	\N	3950.000000	8 1/2	3950.000000	0.000000	2873	9999-12-31	2013-05-08	2520
33/9-10	OPEN HOLE	\N	3715.000000	8 1/2	3715.000000	0.000000	415	9999-12-31	2013-05-08	2521
33/9-10	CONDUCTOR	30	262.000000	36	265.000000	0.000000	415	9999-12-31	2013-05-08	2522
33/9-10	SURF.COND.	20	499.000000	24	516.000000	0.000000	415	9999-12-31	2013-05-08	2523
33/9-10	INTERM.	13 3/8	1321.000000	17 1/2	1330.000000	0.000000	415	9999-12-31	2013-05-08	2524
33/9-10	INTERM.	9 5/8	1860.000000	12 1/4	1870.000000	0.000000	415	9999-12-31	2013-05-08	2525
33/9-11	CONDUCTOR	30	437.000000	36	440.000000	0.000000	416	9999-12-31	2013-05-08	2526
33/9-11	SURF.COND.	20	803.000000	26	821.000000	0.000000	416	9999-12-31	2013-05-08	2527
33/9-11	INTERM.	13 3/8	1855.000000	17 1/2	1870.000000	0.000000	416	9999-12-31	2013-05-08	2528
33/9-11	OPEN HOLE	\N	3528.000000	8 1/2	3528.000000	0.000000	416	9999-12-31	2013-05-08	2529
33/9-15	CONDUCTOR	30	411.000000	36	416.000000	0.000000	1810	9999-12-31	2013-05-08	2530
33/9-15	INTERM.	13 3/8	1199.000000	17 1/2	1210.000000	1.710000	1810	9999-12-31	2013-05-08	2531
33/9-15	INTERM.	9 5/8	2209.000000	12 1/4	2218.000000	1.900000	1810	9999-12-31	2013-05-08	2532
33/9-15	OPEN HOLE	\N	3007.000000	8 1/2	3007.000000	0.000000	1810	9999-12-31	2013-05-08	2533
33/9-16	CONDUCTOR	30	296.000000	36	296.000000	0.000000	1801	9999-12-31	2013-05-08	2534
33/9-16	INTERM.	20	402.000000	26	407.000000	0.000000	1801	9999-12-31	2013-05-08	2535
33/9-16	INTERM.	13 3/8	1100.000000	17 1/2	1106.000000	0.000000	1801	9999-12-31	2013-05-08	2536
33/9-16	INTERM.	9 5/8	2172.000000	12 1/4	2185.000000	0.000000	1801	9999-12-31	2013-05-08	2537
33/9-16	OPEN HOLE	\N	2870.000000	8 1/2	2870.000000	0.000000	1801	9999-12-31	2013-05-08	2538
33/9-17	CONDUCTOR	30	304.000000	36	305.000000	0.000000	2114	9999-12-31	2013-05-08	2539
33/9-17	SURF.COND.	13 3/8	572.000000	17 1/2	578.000000	0.000000	2114	9999-12-31	2013-05-08	2540
33/9-17	INTERM.	9 5/8	1782.000000	12 1/4	1792.000000	0.000000	2114	9999-12-31	2013-05-08	2541
33/9-17	OPEN HOLE	\N	3233.000000	8 1/2	3233.000000	0.000000	2114	9999-12-31	2013-05-08	2542
33/9-18	CONDUCTOR	30	229.000000	36	230.000000	0.000000	2454	9999-12-31	2013-05-08	2543
33/9-18	INTERM.	20	753.000000	26	755.000000	1.490000	2454	9999-12-31	2013-05-08	2544
33/9-18	INTERM.	13 3/8	1951.000000	17 1/2	1953.000000	1.960000	2454	9999-12-31	2013-05-08	2545
33/9-18	OPEN HOLE	\N	3253.000000	8 1/2	3253.000000	0.000000	2454	9999-12-31	2013-05-08	2546
33/9-18 A	CONDUCTOR	30	229.000000	36	230.000000	0.000000	2455	9999-12-31	2013-05-08	2547
33/9-18 A	INTERM.	20	753.000000	26	755.000000	1.490000	2455	9999-12-31	2013-05-08	2548
33/9-18 A	INTERM.	13 3/8	1951.000000	17 1/2	1953.000000	1.960000	2455	9999-12-31	2013-05-08	2549
33/9-18 A	OPEN HOLE	\N	3595.000000	12 1/4	3595.000000	0.000000	2455	9999-12-31	2013-05-08	2550
33/9-19 A	OPEN HOLE	\N	3514.000000	8 1/2	3514.000000	0.000000	2872	9999-12-31	2013-05-08	2551
33/9-19 S	CONDUCTOR	30	390.000000	36	392.000000	0.000000	2830	9999-12-31	2013-05-08	2552
33/9-19 S	INTERM.	13 3/8	758.000000	17 1/2	760.000000	1.580000	2830	9999-12-31	2013-05-08	2553
33/9-19 S	INTERM.	9 5/8	1951.000000	12 1/4	1953.000000	1.850000	2830	9999-12-31	2013-05-08	2554
33/9-19 S	OPEN HOLE	\N	3197.000000	8 1/2	3197.000000	0.000000	2830	9999-12-31	2013-05-08	2555
33/9-20 S	CONDUCTOR	13 3/8	1393.000000	17 1/2	1395.000000	1.610000	4143	9999-12-31	2013-05-08	2556
33/9-20 S	INTERM.	9 5/8	4901.000000	12 1/4	4907.000000	0.000000	4143	9999-12-31	2013-05-08	2557
33/9-20 S	OPEN HOLE	\N	5501.000000	8 1/2	5502.000000	0.000000	4143	9999-12-31	2013-05-08	2558
33/9-21 A	INTERM.	13 3/8	1570.000000	17 1/2	1580.000000	1.610000	6109	9999-12-31	2013-05-08	2559
33/9-21 A	INTERM.	9 5/8	5144.000000	12 1/4	5156.000000	1.780000	6109	9999-12-31	2013-05-08	2560
33/9-21 A	OPEN HOLE	\N	6392.000000	8 1/2	6392.000000	0.000000	6109	9999-12-31	2013-05-08	2561
33/9-21 B	LINER	7	6225.000000	8 1/2	6225.000000	0.000000	6142	9999-12-31	2013-05-08	2562
33/9-21 B	LINER	6	6879.000000	4 1/2	6882.000000	0.000000	6142	9999-12-31	2013-05-08	2563
33/9-21 S	CONDUCTOR	30	243.000000	36	243.000000	0.000000	5791	9999-12-31	2013-05-08	2564
33/9-21 S	SURF.COND.	20	481.000000	26	486.000000	0.000000	5791	9999-12-31	2013-05-08	2565
33/9-21 S	INTERM.	13 3/8	1570.000000	17 1/2	1580.000000	1.610000	5791	9999-12-31	2013-05-08	2566
33/9-21 S	INTERM.	9 5/8	5144.000000	12 1/4	5155.000000	1.780000	5791	9999-12-31	2013-05-08	2567
33/9-21 S	OPEN HOLE	\N	6051.000000	8 1/2	6051.000000	1.780000	5791	9999-12-31	2013-05-08	2568
33/9-6	CONDUCTOR	30	250.000000	36	250.000000	0.000000	411	9999-12-31	2013-05-08	2569
33/9-6	SURF.COND.	20	481.000000	26	495.000000	0.000000	411	9999-12-31	2013-05-08	2570
33/9-6	INTERM.	13 3/8	1770.000000	17 1/2	1782.000000	0.000000	411	9999-12-31	2013-05-08	2571
33/9-6	INTERM.	9 5/8	3331.000000	12 1/4	3354.000000	0.000000	411	9999-12-31	2013-05-08	2572
33/9-9	CONDUCTOR	30	244.000000	36	249.000000	0.000000	414	9999-12-31	2013-05-08	2573
33/9-9	SURF.COND.	20	475.000000	26	486.000000	0.000000	414	9999-12-31	2013-05-08	2574
33/9-9	INTERM.	13 3/8	1984.000000	17 1/2	1993.000000	0.000000	414	9999-12-31	2013-05-08	2575
33/9-9	INTERM.	9 5/8	3068.000000	12 1/4	3100.000000	0.000000	414	9999-12-31	2013-05-08	2576
34/10-1	CONDUCTOR	30	213.000000	36	214.000000	0.000000	424	9999-12-31	2013-05-08	2577
34/10-1	SURF.COND.	20	488.000000	26	504.000000	0.000000	424	9999-12-31	2013-05-08	2578
34/10-1	INTERM.	13 3/8	1441.000000	17 1/2	1456.000000	0.000000	424	9999-12-31	2013-05-08	2579
34/10-1	INTERM.	9 5/8	1765.000000	12 1/4	1780.000000	0.000000	424	9999-12-31	2013-05-08	2580
34/10-1	LINER	7	1969.000000	8 1/2	1970.000000	0.000000	424	9999-12-31	2013-05-08	2581
34/10-1	OPEN HOLE	\N	2462.000000	6	2462.000000	0.000000	424	9999-12-31	2013-05-08	2582
34/10-10	CONDUCTOR	30	203.000000	36	203.000000	0.000000	430	9999-12-31	2013-05-08	2583
34/10-10	OPEN HOLE	\N	791.000000	17 1/2	791.000000	0.000000	430	9999-12-31	2013-05-08	2584
34/10-10	\N	\N	200.000000	\N	0.000000	0.000000	430	9999-12-31	2013-05-08	2585
34/10-16	CONDUCTOR	30	225.000000	36	226.000000	0.000000	59	9999-12-31	2013-05-08	2586
34/10-16	SURF.COND.	20	598.000000	26	619.000000	1.460000	59	9999-12-31	2013-05-08	2587
34/10-16	INTERM.	13 3/8	1904.000000	17 1/2	1920.000000	1.670000	59	9999-12-31	2013-05-08	2588
34/10-16	INTERM.	9 5/8	2915.000000	12 1/4	2930.000000	1.870000	59	9999-12-31	2013-05-08	2589
34/10-16	LINER	7	4035.000000	9 1/2	4042.000000	0.000000	59	9999-12-31	2013-05-08	2590
34/10-17	CONDUCTOR	30	221.000000	36	222.000000	0.000000	5	9999-12-31	2013-05-08	2591
34/10-17	SURF.COND.	20	652.000000	26	668.000000	1.550000	5	9999-12-31	2013-05-08	2592
34/10-17	INTERM.	13 3/8	1902.000000	17 1/2	1915.000000	1.600000	5	9999-12-31	2013-05-08	2593
34/10-17	INTERM.	9 5/8	2580.000000	12 1/4	2687.000000	1.800000	5	9999-12-31	2013-05-08	2594
34/10-17	LINER	7	3015.000000	8 1/2	3015.000000	2.530000	5	9999-12-31	2013-05-08	2595
34/10-17	OPEN HOLE	\N	3400.000000	6	3466.000000	0.000000	5	9999-12-31	2013-05-08	2596
34/10-18	CONDUCTOR	30	226.500000	36	227.500000	0.000000	23	9999-12-31	2013-05-08	2597
34/10-18	SURF.COND.	20	747.000000	26	765.000000	1.570000	23	9999-12-31	2013-05-08	2598
34/10-18	INTERM.	13 3/8	2008.000000	17 1/2	2024.000000	1.800000	23	9999-12-31	2013-05-08	2599
34/10-18	OPEN HOLE	\N	3025.000000	12 1/4	3025.000000	0.000000	23	9999-12-31	2013-05-08	2600
34/10-2	CONDUCTOR	30	208.000000	36	208.000000	0.000000	425	9999-12-31	2013-05-08	2601
34/10-2	SURF.COND.	20	508.000000	26	516.000000	0.000000	425	9999-12-31	2013-05-08	2602
34/10-2	INTERM.	13 3/8	1802.000000	17 1/2	1810.000000	0.000000	425	9999-12-31	2013-05-08	2603
34/10-2	INTERM.	9 5/8	2799.000000	12 174	2810.000000	0.000000	425	9999-12-31	2013-05-08	2604
34/10-2	LINER	7	3725.000000	8 1/2	3730.000000	0.000000	425	9999-12-31	2013-05-08	2605
34/10-22	OPEN HOLE	\N	579.000000	8 1/2	579.000000	0.000000	446	9999-12-31	2013-05-08	2606
34/10-22	INTERM.	13 3/8	237.000000	17 1/2	241.000000	0.000000	446	9999-12-31	2013-05-08	2607
34/10-23	CONDUCTOR	30	225.000000	36	227.000000	0.000000	476	9999-12-31	2013-05-08	2608
34/10-23	SURF.COND.	20	1239.000000	26	1252.000000	1.690000	476	9999-12-31	2013-05-08	2609
34/10-23	INTERM.	13 3/8	3104.000000	17 1/2	3115.000000	1.910000	476	9999-12-31	2013-05-08	2610
34/10-23	INTERM.	9 5/8	3834.000000	12 1/4	3850.000000	2.130000	476	9999-12-31	2013-05-08	2611
34/10-23	LINER	7	4525.000000	8 1/2	4525.000000	2.200000	476	9999-12-31	2013-05-08	2612
34/10-23	CONDUCTOR	30	224.000000	36	225.000000	0.000000	476	9999-12-31	2013-05-08	2613
34/10-23	INTERM.	13 3/8	3100.000000	17 1/2	3118.000000	1.910000	476	9999-12-31	2013-05-08	2614
34/10-23	OPEN HOLE	\N	4764.000000	5 7/8	4764.000000	0.000000	476	9999-12-31	2013-05-08	2615
34/10-24	CONDUCTOR	30	221.000000	36	221.500000	0.000000	483	9999-12-31	2013-05-08	2616
34/10-24	SURF.COND.	20	310.000000	26	315.000000	1.300000	483	9999-12-31	2013-05-08	2617
34/10-24	INTERM.	9 5/8	587.000000	12 1/4	600.000000	0.000000	483	9999-12-31	2013-05-08	2618
34/10-25	CONDUCTOR	30	230.000000	36	230.000000	0.000000	523	9999-12-31	2013-05-08	2619
34/10-25	SURF.COND.	20	310.000000	26	315.000000	1.300000	523	9999-12-31	2013-05-08	2620
34/10-25	OPEN HOLE	\N	600.000000	8 1/2	600.000000	0.000000	523	9999-12-31	2013-05-08	2621
34/10-26	OPEN HOLE	\N	600.000000	8 1/2	600.000000	0.000000	858	9999-12-31	2013-05-08	2622
34/10-26	INTERM.	13 3/8	309.500000	17 1/2	314.000000	1.280000	858	9999-12-31	2013-05-08	2623
34/10-27	CONDUCTOR	30	238.500000	36	266.000000	0.000000	867	9999-12-31	2013-05-08	2624
34/10-27	SURF.COND.	20	261.000000	26	312.000000	1.270000	867	9999-12-31	2013-05-08	2625
34/10-27	INTERM.	9 5/8	393.000000	12 1/4	472.000000	1.540000	867	9999-12-31	2013-05-08	2626
34/10-27 R	CONDUCTOR	30	238.500000	36	266.000000	0.000000	888	9999-12-31	2013-05-08	2627
34/10-27 R	SURF.COND.	20	261.000000	26	312.000000	1.270000	888	9999-12-31	2013-05-08	2628
34/10-27 R	INTERM.	9 5/8	393.000000	12 1/4	472.000000	1.540000	888	9999-12-31	2013-05-08	2629
34/10-28	CONDUCTOR	30	257.000000	36	257.000000	0.000000	872	9999-12-31	2013-05-08	2630
34/10-28	SURF.COND.	20	318.000000	26	528.000000	0.000000	872	9999-12-31	2013-05-08	2631
34/10-29	CONDUCTOR	30	241.500000	36	241.500000	0.000000	453	9999-12-31	2013-05-08	2632
34/10-29	SURF.COND.	20	264.000000	26	270.000000	0.000000	453	9999-12-31	2013-05-08	2633
34/10-29	INTERM.	13 3/8	311.000000	17 1/2	316.000000	1.270000	453	9999-12-31	2013-05-08	2634
34/10-29	INTERM.	9 5/8	405.000000	12 1/4	405.000000	0.000000	453	9999-12-31	2013-05-08	2635
34/10-3	CONDUCTOR	30	254.000000	36	257.000000	0.000000	426	9999-12-31	2013-05-08	2636
34/10-3	SURF.COND.	20	571.000000	26	586.000000	1.640000	426	9999-12-31	2013-05-08	2637
34/10-3	INTERM.	13 3/8	1475.000000	17 1/2	1488.000000	1.720000	426	9999-12-31	2013-05-08	2638
34/10-3	INTERM.	9 5/8	1812.000000	12 1/4	1820.000000	2.020000	426	9999-12-31	2013-05-08	2639
34/10-3	LINER	7	2346.000000	8 1/2	2347.000000	2.310000	426	9999-12-31	2013-05-08	2640
34/10-3	OPEN HOLE	\N	2802.000000	6	2803.000000	0.000000	426	9999-12-31	2013-05-08	2641
34/10-30	CONDUCTOR	30	231.000000	36	235.000000	0.000000	877	9999-12-31	2013-05-08	2642
34/10-30	SURF.COND.	20	320.000000	26	329.000000	1.330000	877	9999-12-31	2013-05-08	2643
34/10-30	INTERM.	13 3/8	1886.000000	17 1/2	1898.000000	1.800000	877	9999-12-31	2013-05-08	2644
34/10-30	INTERM.	9 5/8	2831.000000	12 1/2	2845.000000	0.000000	877	9999-12-31	2013-05-08	2645
34/10-30	LINER	7	3785.000000	8 1/2	3785.000000	1.990000	877	9999-12-31	2013-05-08	2646
34/10-31	CONDUCTOR	30	240.500000	36	270.000000	0.000000	887	9999-12-31	2013-05-08	2647
34/10-31	INTERM.	13 3/8	310.000000	17 1/2	315.000000	1.230000	887	9999-12-31	2013-05-08	2648
34/10-31	INTERM.	9 5/8	412.000000	12 1/4	420.000000	0.000000	887	9999-12-31	2013-05-08	2649
34/10-33	SURF.COND.	20	459.000000	26	483.000000	1.430000	1302	9999-12-31	2013-05-08	2650
34/10-33	INTERM.	13 3/8	1828.000000	17 1/2	1844.000000	1.530000	1302	9999-12-31	2013-05-08	2651
34/10-33	INTERM.	9 5/8	3148.000000	12 1/4	3161.000000	1.990000	1302	9999-12-31	2013-05-08	2652
34/10-33	CONDUCTOR	30	173.000000	36	0.000000	0.000000	1302	9999-12-31	2013-05-08	2653
34/10-33	CONDUCTOR	30	225.000000	36	0.000000	0.000000	1302	9999-12-31	2013-05-08	2654
34/10-33	LINER	7	3769.000000	8 1/2	0.000000	1.960000	1302	9999-12-31	2013-05-08	2655
34/10-33 A	SURF.COND.	20	459.000000	26	461.000000	1.430000	1365	9999-12-31	2013-05-08	2656
34/10-33 A	INTERM.	13 3/8	1228.000000	17 1/2	1844.000000	1.530000	1365	9999-12-31	2013-05-08	2657
34/10-33 A	INTERM.	9 5/8	2698.000000	12 1/4	0.000000	1.830000	1365	9999-12-31	2013-05-08	2658
34/10-33 A	LINER	7	3340.000000	8 1/2	3851.000000	0.000000	1365	9999-12-31	2013-05-08	2659
34/10-33 A	CONDUCTOR	30	225.000000	36	226.000000	0.000000	1365	9999-12-31	2013-05-08	2660
34/10-33 A	CONDUCTOR	30	219.000000	36	220.000000	1.430000	1365	9999-12-31	2013-05-08	2661
34/10-33 A	INTERM.	13 3/8	1222.000000	17 1/2	1838.000000	1.530000	1365	9999-12-31	2013-05-08	2662
34/10-33 B	INTERM.	13 3/8	1822.000000	17 1/2	1838.000000	1.530000	1407	9999-12-31	2013-05-08	2663
34/10-33 B	INTERM.	9 5/8	3484.000000	12 1/4	3493.000000	1.700000	1407	9999-12-31	2013-05-08	2664
34/10-33 B	OPEN HOLE	\N	3942.000000	8 1/2	3942.000000	0.000000	1407	9999-12-31	2013-05-08	2665
34/10-33 B	CONDUCTOR	30	219.000000	36	220.000000	0.000000	1407	9999-12-31	2013-05-08	2666
34/10-33 B	\N	\N	1840.000000	\N	0.000000	1.660000	1407	9999-12-31	2013-05-08	2667
34/10-33 B	INTERM.	20	459.000000	26	461.000000	1.430000	1407	9999-12-31	2013-05-08	2668
34/10-33 B	INTERM.	13 3/8	1828.000000	17 1/2	1838.000000	1.530000	1407	9999-12-31	2013-05-08	2669
34/10-33 C	CONDUCTOR	30	225.000000	36	0.000000	0.000000	1384	9999-12-31	2013-05-08	2670
34/10-33 C	INTERM.	20	459.000000	26	0.000000	1.430000	1384	9999-12-31	2013-05-08	2671
34/10-33 C	INTERM.	13 3/8	1828.000000	17 1/2	1838.000000	1.530000	1384	9999-12-31	2013-05-08	2672
34/10-33 C	INTERM.	9 5/8	3285.000000	12 1/4	3493.000000	0.000000	1384	9999-12-31	2013-05-08	2673
34/10-33 C	LINER	7	3751.000000	8 1/2	3753.000000	0.000000	1384	9999-12-31	2013-05-08	2674
34/10-33 C	CONDUCTOR	30	219.000000	36	220.000000	0.000000	1384	9999-12-31	2013-05-08	2675
34/10-33 C	INTERM.	20	453.000000	26	461.000000	1.430000	1384	9999-12-31	2013-05-08	2676
34/10-33 C	\N	9 5/8	3272.000000	12 1/4	3493.000000	1.700000	1384	9999-12-31	2013-05-08	2677
34/10-34	SURF.COND.	30	231.000000	36	235.000000	0.000000	1747	9999-12-31	2013-05-08	2678
34/10-34	INTERM.	20	782.000000	26	795.000000	1.640000	1747	9999-12-31	2013-05-08	2679
34/10-34	INTERM.	13 3/8	1675.000000	17 1/2	1690.000000	1.800000	1747	9999-12-31	2013-05-08	2680
34/10-34	INTERM.	9 5/8	1982.000000	12 1/4	1994.000000	1.800000	1747	9999-12-31	2013-05-08	2681
34/10-34	LINER	7	2405.000000	8 1/2	2410.000000	0.000000	1747	9999-12-31	2013-05-08	2682
34/10-35	CONDUCTOR	30	221.000000	36	221.000000	0.000000	1874	9999-12-31	2013-05-08	2683
34/10-35	INTERM.	20	1083.000000	26	1083.000000	1.620000	1874	9999-12-31	2013-05-08	2684
34/10-35	INTERM.	13 3/8	3200.000000	17 1/2	3202.000000	2.000000	1874	9999-12-31	2013-05-08	2685
34/10-35	INTERM.	9 5/8	3777.000000	12 1/4	3780.000000	2.120000	1874	9999-12-31	2013-05-08	2686
34/10-35	LINER	7	4123.000000	8 1/2	4310.000000	0.000000	1874	9999-12-31	2013-05-08	2687
34/10-37	CONDUCTOR	30	222.000000	36	228.000000	0.000000	2431	9999-12-31	2013-05-08	2688
34/10-37	INTERM.	13 3/8	1504.000000	17 1/2	1525.000000	1.650000	2431	9999-12-31	2013-05-08	2689
34/10-37	INTERM.	9 5/8	2353.000000	12 1/4	2369.000000	2.040000	2431	9999-12-31	2013-05-08	2690
34/10-37	OPEN HOLE	\N	2873.000000	8 1/2	2873.000000	0.000000	2431	9999-12-31	2013-05-08	2691
34/10-37 A	OPEN HOLE	\N	2950.000000	8 1/2	2950.000000	0.000000	2530	9999-12-31	2013-05-08	2692
34/10-4	CONDUCTOR	30	273.000000	36	274.000000	0.000000	427	9999-12-31	2013-05-08	2693
34/10-4	SURF.COND.	20	627.000000	26	641.000000	1.520000	427	9999-12-31	2013-05-08	2694
34/10-4	INTERM.	13 3/8	1438.000000	17 1/2	1450.000000	1.670000	427	9999-12-31	2013-05-08	2695
34/10-4	INTERM.	9 5/8	1693.000000	12 1/4	1704.000000	1.980000	427	9999-12-31	2013-05-08	2696
34/10-4	LINER	7	1981.000000	8 1/2	1985.000000	2.050000	427	9999-12-31	2013-05-08	2697
34/10-4	OPEN HOLE	\N	2600.000000	6	2600.000000	0.000000	427	9999-12-31	2013-05-08	2698
34/10-42 S	CONDUCTOR	30	221.000000	36	221.000000	0.000000	3816	9999-12-31	2013-05-08	2699
34/10-42 S	SURF.COND.	20	1133.000000	26	1133.000000	1.570000	3816	9999-12-31	2013-05-08	2700
34/10-42 S	INTERM.	13 3/8	3666.000000	17 1/2	3666.000000	2.090000	3816	9999-12-31	2013-05-08	2701
34/10-42 S	INTERM.	9 7/8	3968.000000	12 1/4	3968.000000	2.120000	3816	9999-12-31	2013-05-08	2702
34/10-42 S	OPEN HOLE	\N	4520.000000	8 1/2	4520.000000	0.000000	3816	9999-12-31	2013-05-08	2703
34/10-43 S	CONDUCTOR	30	223.000000	36	228.000000	0.000000	4247	9999-12-31	2013-05-08	2704
34/10-43 S	SURF.COND.	20	709.000000	26	716.000000	1.550000	4247	9999-12-31	2013-05-08	2705
34/10-43 S	INTERM.	13 3/8	2128.000000	17 1/2	2138.000000	1.950000	4247	9999-12-31	2013-05-08	2706
34/10-43 S	OPEN HOLE	\N	5725.000000	8 1/2	5725.000000	1.840000	4247	9999-12-31	2013-05-08	2707
34/10-44 S	CONDUCTOR	30	220.000000	36	220.000000	0.000000	4422	9999-12-31	2013-05-08	2708
34/10-44 S	SURF.COND.	20	711.000000	26	724.000000	1.540000	4422	9999-12-31	2013-05-08	2709
34/10-44 S	INTERM.	13 3/8	2305.000000	17 1/2	2315.000000	1.730000	4422	9999-12-31	2013-05-08	2710
34/10-44 S	INTERM.	9 5/8	3752.000000	12 1/4	3762.000000	1.740000	4422	9999-12-31	2013-05-08	2711
34/10-44 S	LINER	7	4865.000000	8 1/2	4865.000000	0.000000	4422	9999-12-31	2013-05-08	2712
34/10-45 A	LINER	7	6523.000000	8 1/2	6523.000000	0.000000	4501	9999-12-31	2013-05-08	2713
34/10-45 S	LINER	7	7594.000000	8 1/2	7594.000000	0.000000	4450	9999-12-31	2013-05-08	2714
34/10-45 S	CONDUCTOR	20	360.000000	24	360.000000	0.000000	4450	9999-12-31	2013-05-08	2715
34/10-45 S	INTERM.	13 3/8	1303.000000	17 1/2	1303.000000	0.000000	4450	9999-12-31	2013-05-08	2716
34/10-45 S	INTERM.	9 5/8	2922.000000	12 1/4	2922.000000	0.000000	4450	9999-12-31	2013-05-08	2717
34/10-46 A	INTERM.	9 5/8	6346.000000	12 1/4	6400.000000	0.000000	4500	9999-12-31	2013-05-08	2718
34/10-46 A	OPEN HOLE	\N	6860.000000	8 1/2	6860.000000	0.000000	4500	9999-12-31	2013-05-08	2719
34/10-46 B	LINER	7	7725.000000	8 1/2	7725.000000	0.000000	4527	9999-12-31	2013-05-08	2720
34/10-46 S	INTERM.	20	1227.000000	24	1232.000000	1.640000	4489	9999-12-31	2013-05-08	2721
34/10-46 S	INTERM.	13 3/8	2747.000000	17 1/2	2751.000000	1.790000	4489	9999-12-31	2013-05-08	2722
34/10-46 S	OPEN HOLE	\N	5568.000000	12 1/4	5568.000000	0.000000	4489	9999-12-31	2013-05-08	2723
34/10-47 S	CONDUCTOR	30	223.000000	36	227.000000	0.000000	4609	9999-12-31	2013-05-08	2724
34/10-47 S	SURF.COND.	20	719.000000	26	725.000000	1.630000	4609	9999-12-31	2013-05-08	2725
34/10-47 S	INTERM.	13 3/8	1931.000000	17 1/2	1939.000000	1.760000	4609	9999-12-31	2013-05-08	2726
34/10-47 S	OPEN HOLE	\N	4027.000000	8 1/2	4027.000000	0.000000	4609	9999-12-31	2013-05-08	2727
34/10-48 S	SURF.COND.	20	1283.000000	24	1287.000000	0.000000	4902	9999-12-31	2013-05-08	2728
34/10-48 S	INTERM.	13 3/8	2661.000000	17 1/2	2667.000000	1.830000	4902	9999-12-31	2013-05-08	2729
34/10-48 S	INTERM.	9 5/8	5108.000000	12 1/4	5109.000000	0.000000	4902	9999-12-31	2013-05-08	2730
34/10-48 S	OPEN HOLE	\N	7393.000000	8 1/2	7393.000000	0.000000	4902	9999-12-31	2013-05-08	2731
34/10-49 A	INTERM.	13 3/8	1280.000000	17 1/2	1284.000000	1.820000	5282	9999-12-31	2013-05-08	2732
34/10-49 A	INTERM.	9 5/8	2124.000000	12 1/4	2126.000000	1.820000	5282	9999-12-31	2013-05-08	2733
34/10-49 A	OPEN HOLE	\N	3312.000000	8 1/2	3312.000000	0.000000	5282	9999-12-31	2013-05-08	2734
34/10-49 B	OPEN HOLE	\N	5480.000000	\N	5480.000000	0.000000	5328	9999-12-31	2013-05-08	2735
34/10-49 S	CONDUCTOR	30	208.000000	36	208.000000	0.000000	5140	9999-12-31	2013-05-08	2736
34/10-49 S	SURF.COND.	20	1045.000000	26	1046.000000	1.560000	5140	9999-12-31	2013-05-08	2737
34/10-49 S	INTERM.	13 3/8	2019.000000	17 1/2	2020.000000	1.820000	5140	9999-12-31	2013-05-08	2738
34/10-49 S	OPEN HOLE	\N	4655.000000	12 1/4	4655.000000	0.000000	5140	9999-12-31	2013-05-08	2739
34/10-5	CONDUCTOR	30	225.000000	36	227.000000	0.000000	428	9999-12-31	2013-05-08	2740
34/10-5	SURF.COND.	20	502.000000	26	518.000000	1.590000	428	9999-12-31	2013-05-08	2741
34/10-5	INTERM.	13 3/8	1598.000000	17 1/2	1610.000000	1.760000	428	9999-12-31	2013-05-08	2742
34/10-5	INTERM.	9 5/8	1766.000000	12 1/4	1775.000000	1.980000	428	9999-12-31	2013-05-08	2743
34/10-5	LINER	7	2209.000000	8 1/2	2210.000000	1.940000	428	9999-12-31	2013-05-08	2744
34/10-5	OPEN HOLE	\N	2780.000000	6	2780.000000	0.000000	428	9999-12-31	2013-05-08	2745
34/10-53 S	CONDUCTOR	30	239.000000	36	242.000000	0.000000	6212	9999-12-31	2013-05-08	2746
34/10-53 S	SURF.COND.	20	1059.600000	26	1068.000000	1.530000	6212	9999-12-31	2013-05-08	2747
34/10-53 S	INTERM.	13 3/8	2249.200000	17 1/2	2255.000000	1.740000	6212	9999-12-31	2013-05-08	2748
34/10-53 S	INTERM.	9 5/8	3494.000000	12 1/4	3496.000000	1.960000	6212	9999-12-31	2013-05-08	2749
34/10-53 S	LINER	7	4524.000000	8 1/2	5426.000000	0.000000	6212	9999-12-31	2013-05-08	2750
34/10-6	CONDUCTOR	30	308.000000	36	308.500000	0.000000	429	9999-12-31	2013-05-08	2751
34/10-6	SURF.COND.	20	650.000000	26	665.000000	1.500000	429	9999-12-31	2013-05-08	2752
34/10-6	INTERM.	13 3/8	1558.000000	17 1/2	1571.000000	1.790000	429	9999-12-31	2013-05-08	2753
34/10-6	INTERM.	9 5/8	1802.000000	12 1/4	1815.000000	2.030000	429	9999-12-31	2013-05-08	2754
34/10-6	OPEN HOLE	\N	2363.000000	8 1/2	2363.000000	0.000000	429	9999-12-31	2013-05-08	2755
34/10-7	CONDUCTOR	30	291.000000	36	292.000000	0.000000	222	9999-12-31	2013-05-08	2756
34/10-7	SURF.COND.	20	823.000000	26	845.000000	1.510000	222	9999-12-31	2013-05-08	2757
34/10-7	LINER	16	1346.000000	19 1/2	1415.000000	1.770000	222	9999-12-31	2013-05-08	2758
34/10-7	INTERM.	13 3/8	1565.000000	18	1572.000000	1.900000	222	9999-12-31	2013-05-08	2759
34/10-7	INTERM.	9 5/8	1692.000000	12 1/4	1700.000000	2.020000	222	9999-12-31	2013-05-08	2760
34/10-7	LINER	7	1977.000000	8 1/2	1990.000000	2.050000	222	9999-12-31	2013-05-08	2761
34/10-7	OPEN HOLE	\N	2250.000000	6	2250.000000	0.000000	222	9999-12-31	2013-05-08	2762
34/10-7 R	CONDUCTOR	30	291.000000	36	292.000000	0.000000	496	9999-12-31	2013-05-08	2763
34/10-7 R	SURF.COND.	20	823.000000	26	845.000000	1.510000	496	9999-12-31	2013-05-08	2764
34/10-7 R	LINER	16	1346.000000	19 1/2	1415.000000	1.770000	496	9999-12-31	2013-05-08	2765
34/10-7 R	INTERM.	13 3/8	1565.000000	18	1572.000000	1.900000	496	9999-12-31	2013-05-08	2766
34/10-7 R	INTERM.	9 5/8	1692.000000	12 1/4	1700.000000	2.020000	496	9999-12-31	2013-05-08	2767
34/10-7 R	LINER	7	1977.000000	8 1/2	1990.000000	2.050000	496	9999-12-31	2013-05-08	2768
34/10-7 R	OPEN HOLE	\N	2247.000000	6	2247.000000	0.000000	496	9999-12-31	2013-05-08	2769
34/10-8	CONDUCTOR	30	216.000000	36	216.000000	0.000000	230	9999-12-31	2013-05-08	2770
34/10-8	LINER	7	1917.000000	\N	2216.000000	0.000000	230	9999-12-31	2013-05-08	2771
34/10-8	SURF.COND.	20	858.000000	26	875.000000	1.630000	230	9999-12-31	2013-05-08	2772
34/10-8	INTERM.	13 3/8	1470.000000	17 1/2	1483.000000	1.750000	230	9999-12-31	2013-05-08	2773
34/10-8	INTERM.	9 5/8	1735.000000	12 1/4	1745.000000	1.900000	230	9999-12-31	2013-05-08	2774
34/10-8	OPEN HOLE	\N	2216.000000	8 1/2	2216.000000	0.000000	230	9999-12-31	2013-05-08	2775
34/10-9	INTERM.	9 5/8	1715.000000	12 1/4	1722.000000	1.900000	140	9999-12-31	2013-05-08	2776
34/10-9	CONDUCTOR	30	288.000000	36	289.500000	0.000000	140	9999-12-31	2013-05-08	2777
34/10-9	SURF.COND.	20	830.000000	26	845.000000	1.590000	140	9999-12-31	2013-05-08	2778
34/10-9	INTERM.	13 3/8	1441.000000	17 1/2	1455.000000	1.760000	140	9999-12-31	2013-05-08	2779
34/10-9	INTERM.	9 5/8	1718.000000	12 1/4	1722.000000	1.900000	140	9999-12-31	2013-05-08	2780
34/10-9	LINER	7	2199.000000	8 1/2	2200.000000	0.000000	140	9999-12-31	2013-05-08	2781
34/10-9 R	OPEN HOLE	\N	2424.000000	6	2424.000000	0.000000	495	9999-12-31	2013-05-08	2782
34/11-1	CONDUCTOR	30	276.000000	36	276.000000	0.000000	2377	9999-12-31	2013-05-08	2783
34/11-1	SURF.COND.	26	1098.000000	20	1110.000000	1.610000	2377	9999-12-31	2013-05-08	2784
34/11-1	INTERM.	13 3/8	3508.000000	17 1/2	3520.000000	2.000000	2377	9999-12-31	2013-05-08	2785
34/11-1	INTERM.	9 5/8	3925.000000	12 1/2	3932.000000	2.150000	2377	9999-12-31	2013-05-08	2786
34/11-1	LINER	7	4484.000000	8 3/8	4580.000000	0.000000	2377	9999-12-31	2013-05-08	2787
34/11-2 S	CONDUCTOR	30	356.000000	36	356.000000	0.000000	2733	9999-12-31	2013-05-08	2788
34/11-2 S	SURF.COND.	20	1158.000000	26	1158.000000	1.560000	2733	9999-12-31	2013-05-08	2789
34/11-2 S	INTERM.	13 3/8	2999.000000	17 1/2	3010.000000	1.830000	2733	9999-12-31	2013-05-08	2790
34/11-2 S	INTERM.	9 5/8	3747.000000	12 1/4	3747.000000	1.870000	2733	9999-12-31	2013-05-08	2791
34/11-2 S	LINER	7	4340.000000	8 1/2	4743.000000	0.000000	2733	9999-12-31	2013-05-08	2792
34/11-3	CONDUCTOR	\N	30.000000	\N	0.000000	0.000000	2866	9999-12-31	2013-05-08	2793
34/11-3	CONDUCTOR	30	293.000000	36	293.000000	0.000000	2866	9999-12-31	2013-05-08	2794
34/11-3	SURF.COND.	20	1089.000000	26	1115.000000	1.660000	2866	9999-12-31	2013-05-08	2795
34/11-3	INTERM.	13 3/8	3465.000000	17 1/2	3477.000000	1.980000	2866	9999-12-31	2013-05-08	2796
34/11-3	INTERM.	9 5/8	3972.000000	12 1/4	3985.000000	2.100000	2866	9999-12-31	2013-05-08	2797
34/11-3	OPEN HOLE	\N	4230.000000	8 1/2	4230.000000	0.000000	2866	9999-12-31	2013-05-08	2798
34/11-4	CONDUCTOR	30	218.000000	36	218.000000	0.000000	3314	9999-12-31	2013-05-08	2799
34/11-4	INTERM.	20	1210.000000	26	1210.000000	1.690000	3314	9999-12-31	2013-05-08	2800
34/11-4	INTERM.	13 3/8	3509.000000	17 1/2	3509.000000	1.930000	3314	9999-12-31	2013-05-08	2801
34/11-4	INTERM.	9 7/8	3939.000000	12 1/4	3939.000000	2.120000	3314	9999-12-31	2013-05-08	2802
34/11-4	OPEN HOLE	\N	4438.000000	8 1/2	4438.000000	0.000000	3314	9999-12-31	2013-05-08	2803
34/11-5 S	CONDUCTOR	30	363.000000	36	363.000000	0.000000	5248	9999-12-31	2013-05-08	2804
34/11-5 S	SURF.COND.	20	1246.000000	26	1248.000000	1.600000	5248	9999-12-31	2013-05-08	2805
34/11-5 S	INTERM.	13 3/8	4972.000000	17 1/2	4975.000000	1.880000	5248	9999-12-31	2013-05-08	2806
34/11-5 S	INTERM.	9 5/8	6675.000000	12 1/4	6680.000000	2.100000	5248	9999-12-31	2013-05-08	2807
34/11-5 S	OPEN HOLE	\N	7380.000000	8 1/2	7380.000000	0.000000	5248	9999-12-31	2013-05-08	2808
34/12-1	CONDUCTOR	30	445.000000	36	448.000000	1.800000	5684	9999-12-31	2013-05-08	2809
34/12-1	SURF.COND.	20	1246.000000	26	1260.000000	1.790000	5684	9999-12-31	2013-05-08	2810
34/12-1	INTERM.	13 3/8	3185.000000	17 1/2	3210.000000	2.080000	5684	9999-12-31	2013-05-08	2811
34/12-1	INTERM.	9 5/8	4098.000000	12 1/4	4110.000000	2.020000	5684	9999-12-31	2013-05-08	2812
34/12-1	LINER	7	4519.000000	8 3/8	4520.000000	0.000000	5684	9999-12-31	2013-05-08	2813
34/12-1	OPEN HOLE	\N	4713.000000	6 1/2	4713.000000	0.000000	5684	9999-12-31	2013-05-08	2814
34/2-1	SURF.COND.	20	807.000000	26	807.000000	0.000000	420	9999-12-31	2013-05-08	2815
34/2-1	CONDUCTOR	30	479.000000	36	486.000000	0.000000	420	9999-12-31	2013-05-08	2816
34/2-2	OPEN HOLE	NONE	513.000000	36	513.000000	0.000000	215	9999-12-31	2013-05-08	2817
34/2-2 R	CONDUCTOR	30	491.500000	36	499.000000	0.000000	497	9999-12-31	2013-05-08	2818
34/2-2 R	SURF.COND.	20	800.000000	26	810.000000	1.510000	497	9999-12-31	2013-05-08	2819
34/2-2 R	INTERM.	13 3/8	2014.000000	17 1/2	2023.000000	1.740000	497	9999-12-31	2013-05-08	2820
34/2-2 R	INTERM.	9 5/8	3190.000000	12 1/4	3200.000000	1.940000	497	9999-12-31	2013-05-08	2821
34/2-2 R	OPEN HOLE	\N	4074.000000	8 1/2	4074.000000	0.000000	497	9999-12-31	2013-05-08	2822
34/2-3	CONDUCTOR	30	494.000000	36	506.000000	0.000000	421	9999-12-31	2013-05-08	2823
34/2-3	SURF.COND.	20	802.000000	26	815.000000	1.560000	421	9999-12-31	2013-05-08	2824
34/2-3	INTERM.	13 3/8	2030.000000	17 1/2	2040.000000	1.770000	421	9999-12-31	2013-05-08	2825
34/2-3	INTERM.	9 5/8	3336.000000	12 1/4	3341.000000	2.050000	421	9999-12-31	2013-05-08	2826
34/2-3	OPEN HOLE	\N	3741.000000	8 1/2	3741.000000	0.000000	421	9999-12-31	2013-05-08	2827
34/2-4	CONDUCTOR	30	524.000000	36	543.000000	0.000000	467	9999-12-31	2013-05-08	2828
34/2-4	SURF.COND.	20	804.000000	26	814.000000	1.580000	467	9999-12-31	2013-05-08	2829
34/2-4	INTERM.	13 3/8	2126.000000	17 1/2	2147.000000	1.800000	467	9999-12-31	2013-05-08	2830
34/2-4	INTERM.	9 5/8	3559.000000	12 1/4	3570.000000	2.050000	467	9999-12-31	2013-05-08	2831
34/2-4	OPEN HOLE	\N	4107.000000	8 1/2	4107.000000	0.000000	467	9999-12-31	2013-05-08	2832
34/3-1 A	INTERM.	13 3/8	2203.000000	17 1/2	2210.000000	2.180000	5921	9999-12-31	2013-05-08	2833
34/3-1 A	INTERM.	9 5/8	3774.000000	12 1/4	3780.000000	2.050000	5921	9999-12-31	2013-05-08	2834
34/3-1 A	OPEN HOLE	\N	4162.000000	8 1/2	4162.000000	0.000000	5921	9999-12-31	2013-05-08	2835
34/3-1 S	CONDUCTOR	30	501.000000	36	501.000000	0.000000	5811	9999-12-31	2013-05-08	2836
34/3-1 S	SURF.COND.	20	961.000000	26	968.000000	1.700000	5811	9999-12-31	2013-05-08	2837
34/3-1 S	INTERM.	13 3/8	2203.000000	17 1/2	2210.000000	1.800000	5811	9999-12-31	2013-05-08	2838
34/3-1 S	INTERM.	9 5/8	3769.000000	12 1/4	3777.000000	1.800000	5811	9999-12-31	2013-05-08	2839
34/3-1 S	LINER	7	4216.000000	8 1/2	4221.000000	0.000000	5811	9999-12-31	2013-05-08	2840
34/3-2 S	CONDUCTOR	30	492.000000	36	492.000000	0.000000	6249	9999-12-31	2013-05-08	2841
34/3-2 S	SURF.COND.	20	1024.000000	26	1030.000000	0.000000	6249	9999-12-31	2013-05-08	2842
34/3-2 S	INTERM.	13 3/8	2396.000000	17 1/2	2403.000000	1.670000	6249	9999-12-31	2013-05-08	2843
34/3-2 S	INTERM.	9 5/8	3876.000000	12 1/4	3882.000000	1.930000	6249	9999-12-31	2013-05-08	2844
34/3-2 S	OPEN HOLE	\N	4331.000000	8 1/2	4331.000000	0.000000	6249	9999-12-31	2013-05-08	2845
34/4-1	CONDUCTOR	30	521.000000	36	521.000000	0.000000	422	9999-12-31	2013-05-08	2846
34/4-1	SURF.COND.	20	830.000000	26	845.000000	1.680000	422	9999-12-31	2013-05-08	2847
34/4-1	INTERM.	13 3/8	1975.000000	17 1/2	1991.000000	1.940000	422	9999-12-31	2013-05-08	2848
34/4-1	INTERM.	9 5/8	2499.000000	12 1/4	2515.000000	1.840000	422	9999-12-31	2013-05-08	2849
34/4-1	LINER	7	2703.000000	8 1/2	2916.000000	0.000000	422	9999-12-31	2013-05-08	2850
34/4-10	CONDUCTOR	30	454.500000	36	455.000000	0.000000	3143	9999-12-31	2013-05-08	2851
34/4-10	INTERM.	18 5/8	1304.000000	24	1309.000000	1.650000	3143	9999-12-31	2013-05-08	2852
34/4-10	INTERM.	13 3/8	2380.000000	17 1/2	2380.000000	1.880000	3143	9999-12-31	2013-05-08	2853
34/4-10 R	INTERM.	9 5/8	3674.000000	12 1/4	3674.000000	2.040000	4051	9999-12-31	2013-05-08	2854
34/4-10 R	OPEN HOLE	\N	4246.000000	8 1/2	4246.000000	0.000000	4051	9999-12-31	2013-05-08	2855
34/4-11	CONDUCTOR	30	483.000000	36	487.000000	0.000000	6227	9999-12-31	2013-05-08	2856
34/4-11	SURF.COND.	20	1336.000000	26	1340.000000	1.800000	6227	9999-12-31	2013-05-08	2857
34/4-11	INTERM.	13 3/8	2286.000000	17 1/2	2293.000000	1.860000	6227	9999-12-31	2013-05-08	2858
34/4-11	INTERM.	9 5/8	3825.000000	12 174	3830.000000	2.140000	6227	9999-12-31	2013-05-08	2859
34/4-11	OPEN HOLE	\N	4327.000000	8 1/2	4327.000000	0.000000	6227	9999-12-31	2013-05-08	2860
34/4-12 A	CONDUCTOR	30	464.000000	36	468.000000	0.000000	6316	9999-12-31	2013-05-08	2861
34/4-12 A	SURF.COND.	20	1248.000000	26	1253.000000	1.640000	6316	9999-12-31	2013-05-08	2862
34/4-12 A	INTERM.	13 3/8	1514.000000	17 1/2	1855.000000	1.630000	6316	9999-12-31	2013-05-08	2863
34/4-12 A	INTERM.	9 5/8	2459.000000	12 174	2460.000000	1.850000	6316	9999-12-31	2013-05-08	2864
34/4-12 A	OPEN HOLE	\N	2761.000000	8 172	2761.000000	0.000000	6316	9999-12-31	2013-05-08	2865
34/4-12 S	CONDUCTOR	30	468.000000	36	468.000000	0.000000	6283	9999-12-31	2013-05-08	2866
34/4-12 S	SURF.COND.	20	1248.000000	26	1253.000000	1.640000	6283	9999-12-31	2013-05-08	2867
34/4-12 S	INTERM.	13 3/8	1851.000000	17 1/2	1855.000000	1.710000	6283	9999-12-31	2013-05-08	2868
34/4-12 S	INTERM.	9 5/8	2595.000000	12 1/4	2599.000000	1.840000	6283	9999-12-31	2013-05-08	2869
34/4-12 S	OPEN HOLE	\N	3066.000000	8 1/2	3066.000000	0.000000	6283	9999-12-31	2013-05-08	2870
34/4-13 S	PILOT HOLE	\N	600.000000	9 7/8	600.000000	0.000000	6442	9999-12-31	2013-05-08	2871
34/4-13 S	CONDUCTOR	30	470.000000	36	471.000000	0.000000	6442	9999-12-31	2013-05-08	2872
34/4-13 S	SURF.COND.	20	1472.600000	26	1480.000000	0.000000	6442	9999-12-31	2013-05-08	2873
34/4-13 S	SURF.COND.	13 3/8	2903.000000	17 1/2	2908.000000	1.860000	6442	9999-12-31	2013-05-08	2874
34/4-13 S	INTERM.	9 5/8	4376.000000	12 1/4	4382.000000	2.200000	6442	9999-12-31	2013-05-08	2875
34/4-13 S	LINER	7	5009.000000	8 1/2	5010.000000	0.000000	6442	9999-12-31	2013-05-08	2876
34/4-2	CONDUCTOR	30	461.000000	36	451.000000	0.000000	228	9999-12-31	2013-05-08	2877
34/4-2	CONDUCTOR	30	451.000000	36	451.000000	0.000000	228	9999-12-31	2013-05-08	2878
34/4-2	SURF.COND.	20	776.000000	26	791.000000	1.470000	228	9999-12-31	2013-05-08	2879
34/4-2	INTERM.	13 3/8	1940.000000	17 1/2	1950.000000	1.760000	228	9999-12-31	2013-05-08	2880
34/4-2	INTERM.	9 5/8	2785.000000	12 1/4	2798.000000	1.870000	228	9999-12-31	2013-05-08	2881
34/4-2	LINER	7	3575.000000	8 1/2	3575.000000	0.000000	228	9999-12-31	2013-05-08	2882
34/4-3	CONDUCTOR	30	516.000000	36	516.000000	0.000000	423	9999-12-31	2013-05-08	2883
34/4-3	SURF.COND.	20	1006.000000	26	1019.000000	1.520000	423	9999-12-31	2013-05-08	2884
34/4-3	INTERM.	13 3/8	2197.000000	17 1/2	2209.000000	1.760000	423	9999-12-31	2013-05-08	2885
34/4-3	INTERM.	9 5/8	3388.000000	12 1/4	3406.000000	1.900000	423	9999-12-31	2013-05-08	2886
34/4-3	OPEN HOLE	\N	4460.000000	8 1/2	4460.000000	0.000000	423	9999-12-31	2013-05-08	2887
34/4-4	CONDUCTOR	30	493.000000	36	493.000000	0.000000	41	9999-12-31	2013-05-08	2888
34/4-4	SURF.COND.	20	1200.000000	26	1212.000000	1.260000	41	9999-12-31	2013-05-08	2889
34/4-4	INTERM.	13 3/8	2098.000000	17 1/2	2115.000000	1.590000	41	9999-12-31	2013-05-08	2890
34/4-4	INTERM.	9 5/8	2792.000000	12 1/4	2800.000000	1.870000	41	9999-12-31	2013-05-08	2891
34/4-4	OPEN HOLE	\N	3800.000000	8 1/2	3800.000000	0.000000	41	9999-12-31	2013-05-08	2892
34/4-5	CONDUCTOR	30	504.000000	36	514.000000	0.000000	37	9999-12-31	2013-05-08	2893
34/4-5	SURF.COND.	20	1102.000000	26	1103.000000	1.550000	37	9999-12-31	2013-05-08	2894
34/4-5	INTERM.	13 3/8	2011.000000	17 1/2	2020.000000	1.890000	37	9999-12-31	2013-05-08	2895
34/4-5	INTERM.	9 5/8	3187.000000	12 1/4	3200.000000	2.150000	37	9999-12-31	2013-05-08	2896
34/4-5	LINER	7	3917.000000	8 1/2	3917.000000	0.000000	37	9999-12-31	2013-05-08	2897
34/4-6	CONDUCTOR	30	521.000000	36	530.000000	0.000000	875	9999-12-31	2013-05-08	2898
34/4-6	SURF.COND.	20	904.000000	26	920.000000	1.630000	875	9999-12-31	2013-05-08	2899
34/4-6	INTERM.	13 3/8	1841.000000	17 1/2	1856.000000	1.800000	875	9999-12-31	2013-05-08	2900
34/4-6	INTERM.	9 5/8	2760.000000	12 1/4	2770.000000	1.990000	875	9999-12-31	2013-05-08	2901
34/4-7	CONDUCTOR	30	465.000000	36	470.000000	1.160000	943	9999-12-31	2013-05-08	2902
34/4-7	SURF.COND.	20	902.000000	26	915.000000	1.590000	943	9999-12-31	2013-05-08	2903
34/4-7	INTERM.	13 3/8	1872.000000	17 1/2	2145.000000	1.830000	943	9999-12-31	2013-05-08	2904
34/4-7	INTERM.	9 5/8	2921.000000	12 1/4	2950.000000	0.000000	943	9999-12-31	2013-05-08	2905
34/4-8	CONDUCTOR	30	498.000000	36	500.000000	0.000000	1908	9999-12-31	2013-05-08	2906
34/4-8	SURF.COND.	13 3/8	1445.000000	17 1/2	1465.000000	1.660000	1908	9999-12-31	2013-05-08	2907
34/4-8	INTERM.	9 5/8	2681.000000	12 1/2	2693.000000	1.860000	1908	9999-12-31	2013-05-08	2908
34/4-8	OPEN HOLE	\N	3110.000000	8 1/2	3110.000000	0.000000	1908	9999-12-31	2013-05-08	2909
34/4-9 S	CONDUCTOR	30	397.000000	36	411.000000	0.000000	2931	9999-12-31	2013-05-08	2910
34/4-9 S	SURF.COND.	18 5/8	507.000000	26	514.000000	0.000000	2931	9999-12-31	2013-05-08	2911
34/4-9 S	INTERM.	13 3/8	1228.000000	17 1/2	1235.000000	1.860000	2931	9999-12-31	2013-05-08	2912
34/4-9 S	INTERM.	9 5/8	1858.000000	12 1/4	1866.000000	2.210000	2931	9999-12-31	2013-05-08	2913
34/4-9 S	OPEN HOLE	\N	3440.000000	8 1/2	3440.000000	0.000000	2931	9999-12-31	2013-05-08	2914
34/4-9 S	PILOT HOLE	\N	520.000000	9 7/8	520.000000	0.000000	2931	9999-12-31	2013-05-08	2915
34/5-1 A	INTERM.	13 3/8	2125.000000	17 1/2	2135.000000	0.000000	6352	9999-12-31	2013-05-08	2916
34/5-1 A	OPEN HOLE	\N	4416.000000	8 1/2	4416.000000	0.000000	6352	9999-12-31	2013-05-08	2917
34/5-1 A	INTERM.	9 5/8	4221.000000	12 1/4	4231.000000	0.000000	6352	9999-12-31	2013-05-08	2918
34/5-1 S	CONDUCTOR	30	466.000000	36	470.000000	0.000000	6307	9999-12-31	2013-05-08	2919
34/5-1 S	SURF.COND.	20	957.000000	26	964.000000	0.000000	6307	9999-12-31	2013-05-08	2920
34/5-1 S	INTERM.	13 3/8	2125.000000	17 1/2	2135.000000	0.000000	6307	9999-12-31	2013-05-08	2921
34/5-1 S	INTERM.	9 5/8	3583.000000	12 1/4	3591.000000	0.000000	6307	9999-12-31	2013-05-08	2922
34/5-1 S	OPEN HOLE	\N	3900.000000	8 1/2	3900.000000	0.000000	6307	9999-12-31	2013-05-08	2923
34/6-1 S	CONDUCTOR	30	492.000000	36	495.000000	0.000000	4561	9999-12-31	2013-05-08	2924
34/6-1 S	SURF.COND.	20	1341.000000	26	1350.000000	1.550000	4561	9999-12-31	2013-05-08	2925
34/6-1 S	INTERM.	13 3/8	2411.000000	17 1/2	2422.000000	1.820000	4561	9999-12-31	2013-05-08	2926
34/6-1 S	INTERM.	9 5/8	3392.000000	12 1/4	3422.000000	1.980000	4561	9999-12-31	2013-05-08	2927
34/6-1 S	OPEN HOLE	\N	4360.000000	8 1/2	4360.000000	0.000000	4561	9999-12-31	2013-05-08	2928
34/7-1	OPEN HOLE	\N	2905.000000	12 1/4	2905.000000	0.000000	111	9999-12-31	2013-05-08	2929
34/7-1	CONDUCTOR	30	476.000000	36	478.000000	0.000000	111	9999-12-31	2013-05-08	2930
34/7-1	SURF.COND.	20	1070.000000	26	1106.000000	1.570000	111	9999-12-31	2013-05-08	2931
34/7-1	INTERM.	13 3/8	1844.000000	17 1/2	1870.000000	1.920000	111	9999-12-31	2013-05-08	2932
34/7-1	INTERM.	9 5/8	2632.000000	12 1/4	2649.000000	0.000000	111	9999-12-31	2013-05-08	2933
34/7-11	CONDUCTOR	30	327.000000	36	332.000000	1.170000	1176	9999-12-31	2013-05-08	2934
34/7-12	CONDUCTOR	30	327.000000	36	379.000000	0.000000	1187	9999-12-31	2013-05-08	2935
34/7-12	SURF.COND.	20	838.000000	26	852.000000	1.660000	1187	9999-12-31	2013-05-08	2936
34/7-12	INTERM.	13 3/8	1851.000000	17 1/2	1870.000000	2.230000	1187	9999-12-31	2013-05-08	2937
34/7-12	INTERM.	9 5/8	2366.000000	12 1/4	2784.000000	0.000000	1187	9999-12-31	2013-05-08	2938
34/7-13	INTERM.	13 3/8	1843.000000	17 1/2	1875.000000	1.810000	1233	9999-12-31	2013-05-08	2939
34/7-13	INTERM.	9 5/8	2667.000000	12 1/4	2682.000000	2.030000	1233	9999-12-31	2013-05-08	2940
34/7-13	CONDUCTOR	30	429.000000	36	429.000000	0.000000	1233	9999-12-31	2013-05-08	2941
34/7-13	SURF.COND.	20	957.000000	26	973.000000	1.590000	1233	9999-12-31	2013-05-08	2942
34/7-13	OPEN HOLE	8 1/2	2994.000000	8 1/2	2994.000000	0.000000	1233	9999-12-31	2013-05-08	2943
34/7-14	CONDUCTOR	30	234.000000	36	238.000000	0.000000	1278	9999-12-31	2013-05-08	2944
34/7-14	INTERM.	20	491.000000	26	495.000000	1.490000	1278	9999-12-31	2013-05-08	2945
34/7-14	INTERM.	13 3/8	1559.000000	17 1/2	1610.000000	1.790000	1278	9999-12-31	2013-05-08	2946
34/7-14	INTERM.	9 5/8	1988.000000	12 1/4	2010.000000	1.800000	1278	9999-12-31	2013-05-08	2947
34/7-14	LINER	7	2653.000000	8 1/2	2653.000000	0.000000	1278	9999-12-31	2013-05-08	2948
34/7-15 S	CONDUCTOR	30	428.000000	36	433.000000	0.000000	1544	9999-12-31	2013-05-08	2949
34/7-15 S	INTERM.	20	954.000000	26	970.000000	1.930000	1544	9999-12-31	2013-05-08	2950
34/7-15 S	INTERM.	13 3/8	2606.000000	17 1/2	2621.000000	1.730000	1544	9999-12-31	2013-05-08	2951
34/7-15 S	INTERM.	9 5/8	3921.000000	12 1/4	3936.000000	1.980000	1544	9999-12-31	2013-05-08	2952
34/7-15 S	LINER	7	4455.000000	8 1/2	4487.000000	1.650000	1544	9999-12-31	2013-05-08	2953
34/7-15 S	OPEN HOLE	\N	4646.000000	5 7/8	4646.000000	0.000000	1544	9999-12-31	2013-05-08	2954
34/7-16	CONDUCTOR	30	383.000000	36	389.000000	0.000000	1550	9999-12-31	2013-05-08	2955
34/7-16	INTERM.	20	907.000000	26	922.000000	1.430000	1550	9999-12-31	2013-05-08	2956
34/7-16	INTERM.	13 3/8	1913.000000	17 1/2	1928.000000	1.730000	1550	9999-12-31	2013-05-08	2957
34/7-16	INTERM.	9 5/8	2685.000000	12 1/4	2700.000000	1.830000	1550	9999-12-31	2013-05-08	2958
34/7-16 R	LINER	7	2976.000000	8 1/2	2980.000000	0.000000	1677	9999-12-31	2013-05-08	2959
34/7-17	CONDUCTOR	30	371.000000	36	372.000000	0.000000	1713	9999-12-31	2013-05-08	2960
34/7-17	INTERM.	20	881.000000	26	902.000000	1.830000	1713	9999-12-31	2013-05-08	2961
34/7-17	INTERM.	13 3/8	1955.000000	17 1/2	1974.000000	1.800000	1713	9999-12-31	2013-05-08	2962
34/7-17 A	INTERM.	9 5/8	2633.000000	12 1/4	2650.000000	0.000000	1536	9999-12-31	2013-05-08	2963
34/7-18	CONDUCTOR	30	361.000000	36	361.000000	0.000000	1819	9999-12-31	2013-05-08	2964
34/7-18	INTERM.	20	1099.000000	26	1115.000000	1.620000	1819	9999-12-31	2013-05-08	2965
34/7-18	INTERM.	13 3/8	1709.000000	17 1/2	1770.000000	1.750000	1819	9999-12-31	2013-05-08	2966
34/7-18	INTERM.	9 5/8	1889.000000	12 1/4	2443.000000	0.000000	1819	9999-12-31	2013-05-08	2967
34/7-19	CONDUCTOR	30	401.000000	36	401.000000	0.000000	1838	9999-12-31	2013-05-08	2968
34/7-19	INTERM.	20	1151.000000	26	1166.000000	1.700000	1838	9999-12-31	2013-05-08	2969
34/7-19	INTERM.	13 3/8	1935.000000	17 1/2	1960.000000	1.770000	1838	9999-12-31	2013-05-08	2970
34/7-19	INTERM.	9 5/8	2784.000000	12 1/4	2800.000000	0.000000	1838	9999-12-31	2013-05-08	2971
34/7-2	OPEN HOLE	\N	2475.000000	8 1/2	2475.000000	0.000000	233	9999-12-31	2013-05-08	2972
34/7-2	CONDUCTOR	30	394.000000	36	684.000000	0.000000	233	9999-12-31	2013-05-08	2973
34/7-2	SURF.COND.	20	848.000000	26	861.000000	1.580000	233	9999-12-31	2013-05-08	2974
34/7-2	INTERM.	13 3/8	1549.000000	17 1/2	1570.000000	1.690000	233	9999-12-31	2013-05-08	2975
34/7-2	INTERM.	9 5/8	2031.000000	12 1/4	2042.000000	1.880000	233	9999-12-31	2013-05-08	2976
34/7-20	CONDUCTOR	30	418.000000	36	419.000000	0.000000	1967	9999-12-31	2013-05-08	2977
34/7-20	INTERM.	20	1204.000000	26	1207.000000	1.590000	1967	9999-12-31	2013-05-08	2978
34/7-20	INTERM.	13 3/8	1824.000000	17 1/2	1845.000000	1.790000	1967	9999-12-31	2013-05-08	2979
34/7-20	OPEN HOLE	\N	3177.000000	12 1/4	3177.000000	0.000000	1967	9999-12-31	2013-05-08	2980
34/7-21	CONDUCTOR	30	316.000000	36	330.000000	0.000000	2026	9999-12-31	2013-05-08	2981
34/7-21	INTERM.	20	1094.000000	26	1113.000000	1.670000	2026	9999-12-31	2013-05-08	2982
34/7-21	INTERM.	13 3/8	1795.000000	17 1/2	1810.000000	1.850000	2026	9999-12-31	2013-05-08	2983
34/7-21	INTERM.	9 5/8	2639.000000	12 1/4	3015.000000	0.000000	2026	9999-12-31	2013-05-08	2984
34/7-21 A	INTERM.	13 3/8	1795.000000	17 1/2	1810.000000	1.850000	2068	9999-12-31	2013-05-08	2985
34/7-21 A	\N	\N	3360.000000	12 1/4	3360.000000	0.000000	2068	9999-12-31	2013-05-08	2986
34/7-22	CONDUCTOR	30	352.000000	36	352.000000	0.000000	2167	9999-12-31	2013-05-08	2987
34/7-22	INTERM.	18 5/8	803.000000	26	803.000000	1.620000	2167	9999-12-31	2013-05-08	2988
34/7-22	INTERM.	13 3/8	1317.000000	17 1/2	1317.000000	1.650000	2167	9999-12-31	2013-05-08	2989
34/7-22	INTERM.	9 5/8	2102.000000	12 1/4	2102.000000	1.930000	2167	9999-12-31	2013-05-08	2990
34/7-22	LINER	7	2506.000000	8 1/2	2506.000000	0.000000	2167	9999-12-31	2013-05-08	2991
34/7-23 A	INTERM.	9 5/8	2320.000000	12 1/4	2323.000000	0.000000	2326	9999-12-31	2013-05-08	2992
34/7-23 A	LINER	7	3358.000000	8 1/2	3409.000000	0.000000	2326	9999-12-31	2013-05-08	2993
34/7-23 S	CONDUCTOR	30	368.000000	36	370.000000	0.000000	2296	9999-12-31	2013-05-08	2994
34/7-23 S	SURF.COND.	13 3/8	1167.000000	17 1/2	1170.000000	1.570000	2296	9999-12-31	2013-05-08	2995
34/7-23 S	INTERM.	9 5/8	2320.000000	12 1/4	2323.000000	1.800000	2296	9999-12-31	2013-05-08	2996
34/7-23 S	OPEN HOLE	\N	3374.000000	8 1/2	3374.000000	0.000000	2296	9999-12-31	2013-05-08	2997
34/7-24 S	CONDUCTOR	30	225.000000	36	226.000000	0.000000	2460	9999-12-31	2013-05-08	2998
34/7-24 S	SURF.COND.	18 5/8	328.000000	26	330.000000	1.250000	2460	9999-12-31	2013-05-08	2999
34/7-24 S	INTERM.	9 5/8	1288.000000	12 1/4	1290.000000	1.650000	2460	9999-12-31	2013-05-08	3000
34/7-24 S	OPEN HOLE	\N	3145.000000	8 1/2	3145.000000	0.000000	2460	9999-12-31	2013-05-08	3001
34/7-25 S	CONDUCTOR	30	258.000000	36	260.000000	0.000000	2863	9999-12-31	2013-05-08	3002
34/7-25 S	SURF.COND.	18 5/8	393.000000	26	394.000000	1.480000	2863	9999-12-31	2013-05-08	3003
34/7-25 S	INTERM.	13 3/8	1253.000000	17 1/2	1255.000000	1.700000	2863	9999-12-31	2013-05-08	3004
34/7-25 S	INTERM.	9 5/8	2232.000000	12 1/4	2233.000000	0.000000	2863	9999-12-31	2013-05-08	3005
34/7-25 S	LINER	7	3235.000000	8 1/2	3235.000000	0.000000	2863	9999-12-31	2013-05-08	3006
34/7-26 A	INTERM.	13 3/8	1371.000000	17 1/2	1373.000000	1.600000	3329	9999-12-31	2013-05-08	3007
34/7-26 A	INTERM.	9 5/8	3746.000000	12 1/4	3750.000000	1.680000	3329	9999-12-31	2013-05-08	3008
34/7-26 A	LINER	5 1/2	4286.000000	8 1/2	4290.000000	0.000000	3329	9999-12-31	2013-05-08	3009
34/7-26 S	CONDUCTOR	30	275.000000	36	275.000000	0.000000	3168	9999-12-31	2013-05-08	3010
34/7-26 S	SURF.COND.	18 5/8	346.000000	26	347.000000	0.000000	3168	9999-12-31	2013-05-08	3011
34/7-26 S	INTERM.	13 3/8	1371.000000	17 1/2	1373.000000	1.600000	3168	9999-12-31	2013-05-08	3012
34/7-26 S	INTERM.	9 5/8	4181.000000	12 1/4	4182.000000	1.670000	3168	9999-12-31	2013-05-08	3013
34/7-26 SR	INTERM.	9  5/8	4181.000000	12 1/4	4183.000000	0.000000	3315	9999-12-31	2013-05-08	3014
34/7-26 SR	OPEN HOLE	\N	4690.000000	8 1/2	4690.000000	0.000000	3315	9999-12-31	2013-05-08	3015
34/7-27	CONDUCTOR	30	384.000000	36	385.000000	0.000000	3214	9999-12-31	2013-05-08	3016
34/7-27	INTERM.	13 3/8	905.000000	17 1/2	905.000000	1.590000	3214	9999-12-31	2013-05-08	3017
34/7-27	INTERM.	9 5/8	2102.000000	12 1/4	2112.000000	1.800000	3214	9999-12-31	2013-05-08	3018
34/7-27	OPEN HOLE	\N	3000.000000	8 1/2	3000.000000	0.000000	3214	9999-12-31	2013-05-08	3019
34/7-28	CONDUCTOR	30	376.000000	36	380.000000	0.000000	3282	9999-12-31	2013-05-08	3020
34/7-28	SURF.COND.	13 3/8	1293.000000	17 1/2	1295.000000	1.690000	3282	9999-12-31	2013-05-08	3021
34/7-28	INTERM.	9 5/8	2154.000000	12 1/4	2155.000000	1.780000	3282	9999-12-31	2013-05-08	3022
34/7-28	OPEN HOLE	\N	3005.000000	8 1/2	3005.000000	0.000000	3282	9999-12-31	2013-05-08	3023
34/7-29 S	CONDUCTOR	30	321.000000	36	322.000000	0.000000	3313	9999-12-31	2013-05-08	3024
34/7-29 S	SURF.COND.	13 3/8	1202.000000	17 1/2	1211.000000	1.690000	3313	9999-12-31	2013-05-08	3025
34/7-29 S	INTERM.	9 5/8	2547.000000	12 1/4	2558.000000	1.800000	3313	9999-12-31	2013-05-08	3026
34/7-29 S	LINER	7	2927.000000	8 1/2	2927.000000	0.000000	3313	9999-12-31	2013-05-08	3027
34/7-3	OPEN HOLE	\N	3414.000000	8 1/2	3414.000000	0.000000	442	9999-12-31	2013-05-08	3028
34/7-3	CONDUCTOR	30	451.000000	36	454.000000	0.000000	442	9999-12-31	2013-05-08	3029
34/7-3	SURF.COND.	20	1153.000000	26	1168.000000	1.620000	442	9999-12-31	2013-05-08	3030
34/7-3	INTERM.	13 3/8	1922.000000	17 1/2	1940.000000	1.700000	442	9999-12-31	2013-05-08	3031
34/7-3	INTERM.	9 5/8	2753.000000	12 1/4	2786.000000	1.960000	442	9999-12-31	2013-05-08	3032
34/7-30 S	SURF.COND.	30	294.000000	36	297.000000	0.000000	3757	9999-12-31	2013-05-08	3033
34/7-30 S	INTERM.	13 3/8	1148.000000	17 1/2	1148.000000	0.000000	3757	9999-12-31	2013-05-08	3034
34/7-30 SR	INTERM.	9 5/8	2380.000000	12 1/4	2380.000000	1.640000	3886	9999-12-31	2013-05-08	3035
34/7-30 SR	OPEN HOLE	\N	2478.000000	8 1/2	2478.000000	1.700000	3886	9999-12-31	2013-05-08	3036
34/7-31	CONDUCTOR	30	306.000000	36	306.000000	0.000000	4214	9999-12-31	2013-05-08	3037
34/7-31	SURF.COND.	20	1144.000000	26	1144.000000	1.830000	4214	9999-12-31	2013-05-08	3038
34/7-31	INTERM.	13 3/8	1779.000000	17 1/2	1785.000000	1.820000	4214	9999-12-31	2013-05-08	3039
34/7-31	OPEN HOLE	\N	2650.000000	8 1/2	2650.000000	0.000000	4214	9999-12-31	2013-05-08	3040
34/7-31 A	OPEN HOLE	\N	1779.000000	12 1/4	1779.000000	1.820000	4301	9999-12-31	2013-05-08	3041
34/7-31 A	OPEN HOLE	\N	3454.000000	9 5/8	3454.000000	0.000000	4301	9999-12-31	2013-05-08	3042
34/7-33	CONDUCTOR	30	315.000000	36	315.000000	0.000000	5917	9999-12-31	2013-05-08	3043
34/7-33	SURF.COND.	20	1053.000000	26	1053.000000	1.530000	5917	9999-12-31	2013-05-08	3044
34/7-33	INTERM.	13 3/8	1715.000000	17 1/2	1720.000000	1.640000	5917	9999-12-31	2013-05-08	3045
34/7-33	LINER	9 5/8	2261.000000	12 1/4	2261.000000	1.690000	5917	9999-12-31	2013-05-08	3046
34/7-33	OPEN HOLE	\N	2615.000000	8 1/2	2615.000000	0.000000	5917	9999-12-31	2013-05-08	3047
34/7-34	CONDUCTOR	30	383.000000	36	386.000000	0.000000	5973	9999-12-31	2013-05-08	3048
34/7-34	SURF.COND.	13 3/8	1184.000000	17 1/2	1189.000000	1.570000	5973	9999-12-31	2013-05-08	3049
34/7-34	INTERM.	9 5/8	2106.000000	12 1/4	2111.000000	1.780000	5973	9999-12-31	2013-05-08	3050
34/7-34	OPEN HOLE	\N	2701.000000	8 1/2	2701.000000	0.000000	5973	9999-12-31	2013-05-08	3051
34/7-34 A	OPEN HOLE	\N	3022.000000	8 1/2	3022.000000	0.000000	6080	9999-12-31	2013-05-08	3052
34/7-4	INTERM.	13 3/8	1915.000000	17 1/2	1930.000000	1.780000	455	9999-12-31	2013-05-08	3053
34/7-4	INTERM.	9 5/8	2745.000000	12 1/4	2756.000000	1.900000	455	9999-12-31	2013-05-08	3054
34/7-4	OPEN HOLE	\N	3115.000000	8 1/2	3115.000000	0.000000	455	9999-12-31	2013-05-08	3055
34/7-4	INTERM.	13 3/8	1915.000000	17 1/2	1930.000000	1.900000	455	9999-12-31	2013-05-08	3056
34/7-4	OPEN HOLE	\N	3115.000000	8 1/2	3115.000000	0.000000	455	9999-12-31	2013-05-08	3057
34/7-4	CONDUCTOR	30	469.000000	36	473.000000	0.000000	455	9999-12-31	2013-05-08	3058
34/7-4	SURF.COND.	20	953.000000	26	971.000000	1.510000	455	9999-12-31	2013-05-08	3059
34/7-4	INTERM.	13 3/8	1015.000000	17 1/2	1930.000000	1.780000	455	9999-12-31	2013-05-08	3060
34/7-4	INTERM.	9 5/8	2745.000000	12 1/4	2756.000000	0.000000	455	9999-12-31	2013-05-08	3061
34/7-5	CONDUCTOR	30	380.000000	36	790.000000	0.000000	458	9999-12-31	2013-05-08	3062
34/7-5	SURF.COND.	20	913.000000	26	930.000000	1.520000	458	9999-12-31	2013-05-08	3063
34/7-5	INTERM.	13 3/8	1844.000000	17 1/2	1865.000000	1.790000	458	9999-12-31	2013-05-08	3064
34/7-5	INTERM.	9 5/8	2636.000000	12 1/4	3146.000000	0.000000	458	9999-12-31	2013-05-08	3065
34/7-8	CONDUCTOR	30	434.000000	36	439.000000	0.000000	878	9999-12-31	2013-05-08	3066
34/7-8	SURF.COND.	20	848.000000	26	870.000000	1.620000	878	9999-12-31	2013-05-08	3067
34/7-8	INTERM.	13 3/8	1859.000000	17 1/2	1875.000000	1.870000	878	9999-12-31	2013-05-08	3068
34/7-8	INTERM.	9 5/8	2525.000000	12 1/4	2766.000000	0.000000	878	9999-12-31	2013-05-08	3069
34/7-9	CONDUCTOR	30	465.000000	36	471.000000	0.000000	889	9999-12-31	2013-05-08	3070
34/7-9	SURF.COND.	20	899.000000	26	1002.000000	1.460000	889	9999-12-31	2013-05-08	3071
34/7-9	INTERM.	13 3/8	1821.000000	17 1/2	2138.000000	1.830000	889	9999-12-31	2013-05-08	3072
34/7-9	INTERM.	9 5/8	2802.000000	12 1/4	3240.000000	0.000000	889	9999-12-31	2013-05-08	3073
34/8-1	CONDUCTOR	30	437.000000	36	438.000000	0.000000	854	9999-12-31	2013-05-08	3074
34/8-1	SURF.COND.	20	903.000000	26	1554.000000	1.640000	854	9999-12-31	2013-05-08	3075
34/8-1	INTERM.	13 3/8	1754.000000	17 1/2	1770.000000	1.740000	854	9999-12-31	2013-05-08	3076
34/8-1	INTERM.	9 5/8	2379.000000	12 1/4	2398.000000	1.820000	854	9999-12-31	2013-05-08	3077
34/8-1	LINER	7	3610.000000	8 1/2	3610.000000	0.000000	854	9999-12-31	2013-05-08	3078
34/8-10 S	CONDUCTOR	30	434.000000	36	434.000000	0.000000	2179	9999-12-31	2013-05-08	3079
34/8-10 S	INTERM.	13 3/8	1348.000000	17 1/2	1358.000000	1.690000	2179	9999-12-31	2013-05-08	3080
34/8-10 S	INTERM.	9 5/8	2552.000000	12 1/4	2560.000000	1.880000	2179	9999-12-31	2013-05-08	3081
34/8-10 S	LINER	7	3468.000000	8 1/2	3470.000000	0.000000	2179	9999-12-31	2013-05-08	3082
34/8-11	CONDUCTOR	30	440.000000	36	440.000000	0.000000	2180	9999-12-31	2013-05-08	3083
34/8-11	SURF.COND.	13 3/8	1280.000000	17 1/2	1295.000000	0.000000	2180	9999-12-31	2013-05-08	3084
34/8-11	INTERM.	9 5/8	2696.000000	12 1/4	2711.000000	0.000000	2180	9999-12-31	2013-05-08	3085
34/8-11	LINER	7	3138.000000	8 1/2	3140.000000	0.000000	2180	9999-12-31	2013-05-08	3086
34/8-13 A	CONDUCTOR	30	465.000000	36	468.000000	0.000000	6024	9999-12-31	2013-05-08	3087
34/8-13 A	SURF.COND.	20	1324.000000	26	1324.000000	1.600000	6024	9999-12-31	2013-05-08	3088
34/8-13 A	INTERM.	9 5/8	2942.000000	12 1/4	2948.000000	1.800000	6024	9999-12-31	2013-05-08	3089
34/8-13 A	OPEN HOLE	\N	3852.000000	8 1/2	3852.000000	0.000000	6024	9999-12-31	2013-05-08	3090
34/8-13 A	PILOT HOLE	\N	725.000000	9 7/8	725.000000	0.000000	6024	9999-12-31	2013-05-08	3091
34/8-14 A	INTERM.	9 5/8	2239.000000	12 1/4	2246.000000	0.000000	5954	9999-12-31	2013-05-08	3092
34/8-14 A	OPEN HOLE	\N	3838.000000	8 1/2	3838.000000	0.000000	5954	9999-12-31	2013-05-08	3093
34/8-14 B	OPEN HOLE	\N	4079.000000	8 1/2	4079.000000	0.000000	5997	9999-12-31	2013-05-08	3094
34/8-14 C	OPEN HOLE	\N	3820.000000	8 1/2	3820.000000	0.000000	6021	9999-12-31	2013-05-08	3095
34/8-14 D	OPEN HOLE	\N	3850.000000	8 1/2	3850.000000	0.000000	6036	9999-12-31	2013-05-08	3096
34/8-14 S	CONDUCTOR	30	383.000000	36	387.000000	0.000000	5943	9999-12-31	2013-05-08	3097
34/8-14 S	SURF.COND.	20	1262.000000	26	1286.000000	1.600000	5943	9999-12-31	2013-05-08	3098
34/8-14 S	INTERM.	9 5/8	2961.000000	12 1/4	2970.000000	1.800000	5943	9999-12-31	2013-05-08	3099
34/8-14 S	OPEN HOLE	\N	3470.000000	8 1/2	3470.000000	0.000000	5943	9999-12-31	2013-05-08	3100
34/8-2	CONDUCTOR	30	462.000000	36	472.000000	0.000000	915	9999-12-31	2013-05-08	3101
34/8-2	SURF.COND.	20	1177.000000	26	1205.000000	1.660000	915	9999-12-31	2013-05-08	3102
34/8-2	INTERM.	13 3/8	2680.000000	17 1/2	2700.000000	1.800000	915	9999-12-31	2013-05-08	3103
34/8-3	CONDUCTOR	30	491.000000	36	970.000000	0.000000	940	9999-12-31	2013-05-08	3104
34/8-3	INTERM.	13 3/8	1302.000000	17 1/2	1317.000000	1.630000	940	9999-12-31	2013-05-08	3105
34/8-3	INTERM.	9 5/8	2598.000000	12 1/4	2622.000000	1.860000	940	9999-12-31	2013-05-08	3106
34/8-3	LINER	7	3312.000000	8 1/2	3328.000000	0.000000	940	9999-12-31	2013-05-08	3107
34/8-3 A	INTERM.	13 3/8	944.000000	17 1/2	1475.000000	1.670000	1338	9999-12-31	2013-05-08	3108
34/8-3 A	INTERM.	9 5/8	2442.000000	12 1/4	2486.000000	1.840000	1338	9999-12-31	2013-05-08	3109
34/8-3 A	LINER	7	3227.000000	8 1/2	3230.000000	0.000000	1338	9999-12-31	2013-05-08	3110
34/8-3 A	LINER	7	3230.000000	8 1/2	3230.000000	0.000000	1338	9999-12-31	2013-05-08	3111
34/8-3 A	INTERM.	9 5/8	2442.000000	12 1/4	2486.000000	1.840000	1338	9999-12-31	2013-05-08	3112
34/8-3 A	INTERM.	13 3/8	944.000000	17 1/2	1475.000000	1.670000	1338	9999-12-31	2013-05-08	3113
34/8-3 A	CONDUCTOR	30	491.000000	36	0.000000	0.000000	1338	9999-12-31	2013-05-08	3114
34/8-4 A	CONDUCTOR	30	417.000000	36	420.000000	0.000000	1909	9999-12-31	2013-05-08	3115
34/8-4 A	INTERM.	18 5/8	1146.000000	26	1150.000000	1.580000	1909	9999-12-31	2013-05-08	3116
34/8-4 A	INTERM.	13 3/8	2161.000000	17 1/2	2165.000000	1.780000	1909	9999-12-31	2013-05-08	3117
34/8-4 A	INTERM.	9 5/8	3567.000000	12 1/4	3567.000000	0.000000	1909	9999-12-31	2013-05-08	3118
34/8-4 S	CONDUCTOR	30	417.000000	36	421.000000	0.000000	1683	9999-12-31	2013-05-08	3119
34/8-4 S	INTERM.	18 5/8	1146.000000	24	1451.000000	1.580000	1683	9999-12-31	2013-05-08	3120
34/8-4 S	INTERM.	13 3/8	2161.000000	17 1/2	2800.000000	1.780000	1683	9999-12-31	2013-05-08	3121
34/8-4 S	INTERM.	9 5/8	3662.000000	12 1/4	3673.000000	2.070000	1683	9999-12-31	2013-05-08	3122
34/8-4 S	OPEN HOLE	\N	4150.000000	8 1/2	4150.000000	0.000000	1683	9999-12-31	2013-05-08	3123
34/8-5	CONDUCTOR	30	406.000000	36	406.000000	0.000000	1719	9999-12-31	2013-05-08	3124
34/8-5	INTERM.	13 3/8	1186.000000	17 1/2	1197.000000	1.530000	1719	9999-12-31	2013-05-08	3125
34/8-5	INTERM.	9 5/8	2600.000000	12 1/4	2612.000000	1.820000	1719	9999-12-31	2013-05-08	3126
34/8-5	OPEN HOLE	\N	3540.000000	8 1/2	3540.000000	0.000000	1719	9999-12-31	2013-05-08	3127
34/8-6	CONDUCTOR	30	485.000000	36	486.500000	0.000000	1842	9999-12-31	2013-05-08	3128
34/8-6	INTERM.	18 5/8	1219.000000	24	1235.000000	0.000000	1842	9999-12-31	2013-05-08	3129
34/8-6	INTERM.	13 3/8	2407.000000	17 1/2	2423.000000	1.620000	1842	9999-12-31	2013-05-08	3130
34/8-6	OPEN HOLE	\N	3950.000000	12 1/4	3950.000000	0.000000	1842	9999-12-31	2013-05-08	3131
34/8-7	CONDUCTOR	30	444.500000	36	446.000000	0.000000	1941	9999-12-31	2013-05-08	3132
34/8-7	INTERM.	18 5/8	1436.000000	26	1438.000000	1.650000	1941	9999-12-31	2013-05-08	3133
34/8-7	INTERM.	13 3/8	3264.000000	17 1/2	3270.000000	1.890000	1941	9999-12-31	2013-05-08	3134
34/8-7	INTERM.	9 5/8	3945.000000	12 1/4	3947.000000	2.000000	1941	9999-12-31	2013-05-08	3135
34/8-7	LINER	7	5460.000000	8 1/2	5460.000000	0.000000	1941	9999-12-31	2013-05-08	3136
34/8-7 R	LINER	7	5460.000000	8  1/2	5460.000000	0.000000	2057	9999-12-31	2013-05-08	3137
34/8-7 R	CONDUCTOR	30	444.500000	36	446.000000	0.000000	2057	9999-12-31	2013-05-08	3138
34/8-7 R	INTERM.	18 5/8	1436.000000	26	1438.000000	1.650000	2057	9999-12-31	2013-05-08	3139
34/8-7 R	INTERM.	13 3/8	3264.000000	17 1/2	3264.000000	1.890000	2057	9999-12-31	2013-05-08	3140
34/8-7 R	INTERM.	9 5/8	3945.000000	12 1/4	3947.000000	2.000000	2057	9999-12-31	2013-05-08	3141
34/8-8	CONDUCTOR	30	451.000000	36	452.000000	0.000000	1969	9999-12-31	2013-05-08	3142
34/8-8	INTERM.	13 3/8	1351.000000	17 1/2	1353.000000	1.660000	1969	9999-12-31	2013-05-08	3143
34/8-8	INTERM.	9 5/8	2765.000000	12 1/4	2766.000000	1.820000	1969	9999-12-31	2013-05-08	3144
34/8-8	LINER	7	3170.000000	8 1/2	3625.000000	0.000000	1969	9999-12-31	2013-05-08	3145
34/8-9 S	CONDUCTOR	30	414.000000	36	415.000000	0.000000	2029	9999-12-31	2013-05-08	3146
34/8-9 S	INTERM.	13 3/8	1344.000000	17 1/2	1359.000000	1.550000	2029	9999-12-31	2013-05-08	3147
34/8-9 S	INTERM.	9 5/8	2451.000000	12 1/4	2467.000000	1.800000	2029	9999-12-31	2013-05-08	3148
34/8-9 S	OPEN HOLE	\N	3530.000000	8 1/2	3530.000000	0.000000	2029	9999-12-31	2013-05-08	3149
35/10-1	CONDUCTOR	30	445.000000	36	446.000000	0.000000	1822	9999-12-31	2013-05-08	3150
35/10-1	INTERM.	20	730.000000	26	732.000000	1.490000	1822	9999-12-31	2013-05-08	3151
35/10-1	INTERM.	13 3/8	1789.000000	17 1/2	1790.000000	1.550000	1822	9999-12-31	2013-05-08	3152
35/10-1	INTERM.	9 5/8	3020.000000	12 1/4	3022.000000	1.690000	1822	9999-12-31	2013-05-08	3153
35/10-1	LINER	7	3288.000000	8 1/2	3986.000000	2.150000	1822	9999-12-31	2013-05-08	3154
35/10-2	CONDUCTOR	30	482.000000	36	484.000000	0.000000	2783	9999-12-31	2013-05-08	3155
35/10-2	SURF.COND.	20	1452.000000	26	1455.000000	1.690000	2783	9999-12-31	2013-05-08	3156
35/10-2	INTERM.	13 3/8	3437.000000	17 1/2	3438.000000	1.860000	2783	9999-12-31	2013-05-08	3157
35/10-2	INTERM.	9 7/8	3978.000000	12 1/4	3978.000000	2.040000	2783	9999-12-31	2013-05-08	3158
35/10-2	OPEN HOLE	\N	4677.000000	8 3/8	4677.000000	0.000000	2783	9999-12-31	2013-05-08	3159
35/10-3	CONDUCTOR	30	459.000000	36	460.000000	0.000000	3719	9999-12-31	2013-05-08	3160
35/10-3	INTERM.	20	645.000000	26	645.000000	1.270000	3719	9999-12-31	2013-05-08	3161
35/10-3	INTERM.	13 3/8	1807.000000	17 1/2	1807.000000	1.660000	3719	9999-12-31	2013-05-08	3162
35/10-3	OPEN HOLE	\N	2250.000000	12 1/4	2250.000000	0.000000	3719	9999-12-31	2013-05-08	3163
35/1-1	CONDUCTOR	30	503.000000	36	503.000000	0.000000	4541	9999-12-31	2013-05-08	3164
35/1-1	INTERM.	20	872.000000	26	878.000000	0.000000	4541	9999-12-31	2013-05-08	3165
35/1-1	INTERM.	13 3/8	2239.000000	17 1/2	2245.000000	1.650000	4541	9999-12-31	2013-05-08	3166
35/1-1	INTERM.	9 5/8	3826.000000	12 1/4	3834.000000	1.750000	4541	9999-12-31	2013-05-08	3167
35/1-1	OPEN HOLE	\N	4540.000000	8 1/2	4540.000000	2.150000	4541	9999-12-31	2013-05-08	3168
35/11-1	INTERM.	13 3/8	2026.000000	17 1/2	2029.000000	1.800000	128	9999-12-31	2013-05-08	3169
35/11-1	INTERM.	9 5/8	2426.000000	12 1/4	2439.500000	1.650000	128	9999-12-31	2013-05-08	3170
35/11-1	OPEN HOLE	\N	3361.000000	8 1/2	3361.000000	0.000000	128	9999-12-31	2013-05-08	3171
35/11-1	CONDUCTOR	30	506.500000	36	510.000000	0.000000	128	9999-12-31	2013-05-08	3172
35/11-1	SURF.COND.	20	1002.500000	26	1015.000000	1.380000	128	9999-12-31	2013-05-08	3173
35/11-10	CONDUCTOR	30	435.000000	36	438.000000	0.000000	3042	9999-12-31	2013-05-08	3174
35/11-10	INTERM.	13 3/8	1152.000000	17 1/2	1158.000000	0.000000	3042	9999-12-31	2013-05-08	3175
35/11-10	OPEN HOLE	\N	1906.000000	12 1/4	1906.000000	0.000000	3042	9999-12-31	2013-05-08	3176
35/11-10	OPEN HOLE	\N	2950.000000	8 1/2	2950.000000	0.000000	3042	9999-12-31	2013-05-08	3177
35/11-10 A	OPEN HOLE	\N	2100.000000	12 1/4	2100.000000	0.000000	3151	9999-12-31	2013-05-08	3178
35/11-10 A	OPEN HOLE	\N	3259.000000	8 1/2	3259.000000	0.000000	3151	9999-12-31	2013-05-08	3179
35/11-11	CONDUCTOR	30	444.000000	36	444.000000	0.000000	3356	9999-12-31	2013-05-08	3180
35/11-11	SURF.COND.	13 3/8	1245.000000	17 1/2	1245.000000	1.630000	3356	9999-12-31	2013-05-08	3181
35/11-11	OPEN HOLE	\N	2550.000000	12 1/4	2550.000000	0.000000	3356	9999-12-31	2013-05-08	3182
35/11-11	OPEN HOLE	\N	3225.000000	8 1/2	3225.000000	0.000000	3356	9999-12-31	2013-05-08	3183
35/11-12	CONDUCTOR	30	460.000000	36	460.000000	0.000000	4054	9999-12-31	2013-05-08	3184
35/11-12	INTERM.	20	720.000000	26	725.000000	1.640000	4054	9999-12-31	2013-05-08	3185
35/11-12	INTERM.	13 3/8	1755.000000	17 1/2	1760.000000	1.370000	4054	9999-12-31	2013-05-08	3186
35/11-12	INTERM.	9 5/8	2809.000000	12 1/4	2822.000000	1.750000	4054	9999-12-31	2013-05-08	3187
35/11-12	OPEN HOLE	\N	3378.000000	8 1/2	3378.000000	0.000000	4054	9999-12-31	2013-05-08	3188
35/11-13	CONDUCTOR	30	471.000000	36	474.000000	0.000000	5063	9999-12-31	2013-05-08	3189
35/11-13	SURF.COND.	20	695.000000	26	701.000000	1.470000	5063	9999-12-31	2013-05-08	3190
35/11-13	INTERM.	13 3/8	1751.000000	17 1/2	1757.000000	1.640000	5063	9999-12-31	2013-05-08	3191
35/11-13	INTERM.	9 5/8	2924.000000	12 1/4	2932.000000	1.700000	5063	9999-12-31	2013-05-08	3192
35/11-13	LINER	7	3290.000000	8 1/2	3291.000000	0.000000	5063	9999-12-31	2013-05-08	3193
35/11-14 S	CONDUCTOR	30	385.000000	36	387.000000	0.000000	5365	9999-12-31	2013-05-08	3194
35/11-14 S	SURF.COND.	20	465.000000	26	468.000000	0.000000	5365	9999-12-31	2013-05-08	3195
35/11-14 S	INTERM.	13 3/8	1671.000000	17	1679.000000	1.260000	5365	9999-12-31	2013-05-08	3196
35/11-14 S	INTERM.	9 5/8	2831.000000	12 1/4	2833.000000	1.630000	5365	9999-12-31	2013-05-08	3197
35/11-14 S	OPEN HOLE	\N	3306.000000	8 1/2	3306.000000	0.000000	5365	9999-12-31	2013-05-08	3198
35/11-15 S	CONDUCTOR	30	467.000000	36	470.000000	0.000000	5517	9999-12-31	2013-05-08	3199
35/11-15 S	SURF.COND.	20	528.000000	26	530.000000	1.250000	5517	9999-12-31	2013-05-08	3200
35/11-15 S	INTERM.	13 3/8	1675.000000	17 1/2	1680.000000	1.310000	5517	9999-12-31	2013-05-08	3201
35/11-15 S	INTERM.	9 5/8	2821.000000	12 1/4	2825.000000	1.740000	5517	9999-12-31	2013-05-08	3202
35/11-15 S	OPEN HOLE	\N	3203.000000	8 1/2	3203.000000	0.000000	5517	9999-12-31	2013-05-08	3203
35/11-2	LINER	7	4025.000000	8 1/2	4025.000000	0.000000	893	9999-12-31	2013-05-08	3204
35/11-2	CONDUCTOR	30	546.800000	36	1026.000000	0.000000	893	9999-12-31	2013-05-08	3205
35/11-2	SURF.COND.	20	1004.000000	26	1026.000000	1.390000	893	9999-12-31	2013-05-08	3206
35/11-2	INTERM.	13 3/8	2184.600000	17 1/2	2195.000000	1.620000	893	9999-12-31	2013-05-08	3207
35/11-2	INTERM.	9 3/5	3348.800000	12 1/4	3377.000000	1.850000	893	9999-12-31	2013-05-08	3208
35/11-3 S	CONDUCTOR	30	498.000000	36	499.000000	0.000000	1356	9999-12-31	2013-05-08	3209
35/11-3 S	INTERM.	20	1000.000000	26	1013.000000	1.420000	1356	9999-12-31	2013-05-08	3210
35/11-3 S	INTERM.	13 3/8	2040.000000	17 1/2	2057.000000	1.700000	1356	9999-12-31	2013-05-08	3211
35/11-3 S	INTERM.	9 5/8	3111.000000	12 1/4	3115.000000	1.910000	1356	9999-12-31	2013-05-08	3212
35/11-3 S	OPEN HOLE	\N	4040.000000	8 1/2	4040.000000	0.000000	1356	9999-12-31	2013-05-08	3213
35/11-4	OPEN HOLE	\N	3127.000000	8 1/2	3127.000000	0.000000	1523	9999-12-31	2013-05-08	3214
35/11-4	CONDUCTOR	30	505.000000	36	507.000000	0.000000	1523	9999-12-31	2013-05-08	3215
35/11-4	INTERM.	20	1002.000000	26	1005.000000	1.670000	1523	9999-12-31	2013-05-08	3216
35/11-4	INTERM.	13 3/8	1936.000000	17 1/2	1940.000000	1.880000	1523	9999-12-31	2013-05-08	3217
35/11-4	INTERM.	9 5/8	2798.000000	12 1/4	2800.000000	0.000000	1523	9999-12-31	2013-05-08	3218
35/11-5	CONDUCTOR	30	433.000000	36	435.000000	0.000000	1780	9999-12-31	2013-05-08	3219
35/11-5	INTERM.	20	1001.000000	26	1003.000000	1.510000	1780	9999-12-31	2013-05-08	3220
35/11-5	INTERM.	13 3/8	2679.000000	17 1/2	2682.000000	1.810000	1780	9999-12-31	2013-05-08	3221
35/11-5	OPEN HOLE	\N	3769.000000	12 1/4	3769.000000	0.000000	1780	9999-12-31	2013-05-08	3222
35/11-6	CONDUCTOR	30	455.000000	36	462.000000	0.000000	1879	9999-12-31	2013-05-08	3223
35/11-6	INTERM.	20	979.000000	26	985.000000	1.580000	1879	9999-12-31	2013-05-08	3224
35/11-6	INTERM.	13 3/8	1988.000000	17 1/2	1996.000000	1.630000	1879	9999-12-31	2013-05-08	3225
35/11-6	INTERM.	9 5/8	3296.000000	12 1/4	3310.000000	1.860000	1879	9999-12-31	2013-05-08	3226
35/11-6	OPEN HOLE	\N	3995.000000	8 1/2	3995.000000	0.000000	1879	9999-12-31	2013-05-08	3227
35/11-7	LINER	7	2895.000000	8 1/2	2895.000000	0.000000	1979	9999-12-31	2013-05-08	3228
35/11-7	CONDUCTOR	30	443.000000	36	446.000000	0.000000	1979	9999-12-31	2013-05-08	3229
35/11-7	INTERM.	13 3/8	954.000000	17 1/2	966.000000	1.770000	1979	9999-12-31	2013-05-08	3230
35/11-7	INTERM.	9 5/8	1774.000000	12 1/4	1781.000000	1.770000	1979	9999-12-31	2013-05-08	3231
35/11-8 S	CONDUCTOR	30	447.000000	36	450.000000	0.000000	2772	9999-12-31	2013-05-08	3232
35/11-8 S	SURF.COND.	13 3/8	1220.000000	17 1/2	1233.000000	0.000000	2772	9999-12-31	2013-05-08	3233
35/11-8 S	INTERM.	9 5/8	3232.000000	12 1/4	3242.000000	0.000000	2772	9999-12-31	2013-05-08	3234
35/11-8 S	OPEN HOLE	\N	3624.000000	8 1/2	3624.000000	0.000000	2772	9999-12-31	2013-05-08	3235
35/11-9	CONDUCTOR	30	447.000000	36	447.000000	0.000000	3009	9999-12-31	2013-05-08	3236
35/11-9	SURF.COND.	13 3/8	1243.000000	17 1/2	1250.000000	0.000000	3009	9999-12-31	2013-05-08	3237
35/11-9	OPEN HOLE	\N	2325.000000	12 1/4	2325.000000	0.000000	3009	9999-12-31	2013-05-08	3238
35/11-9	OPEN HOLE	\N	2830.000000	8 1/2	2830.000000	0.000000	3009	9999-12-31	2013-05-08	3239
35/1-2 S	CONDUCTOR	30	528.000000	36	532.000000	0.000000	6427	9999-12-31	2013-05-08	3240
35/1-2 S	SURF.COND.	20	1276.000000	26	1293.000000	1.600000	6427	9999-12-31	2013-05-08	3241
35/1-2 S	INTERM.	16	2304.000000	20	2358.000000	1.810000	6427	9999-12-31	2013-05-08	3242
35/1-2 S	INTERM.	14	2849.000000	17 1/2	2875.000000	1.850000	6427	9999-12-31	2013-05-08	3243
35/1-2 S	LINER	9 7/8	3694.000000	12 1/4	3698.000000	2.060000	6427	9999-12-31	2013-05-08	3244
35/1-2 S	OPEN HOLE	\N	4202.000000	8 1/2	4202.000000	0.000000	6427	9999-12-31	2013-05-08	3245
35/12-1	CONDUCTOR	30	474.000000	36	486.000000	0.000000	1881	9999-12-31	2013-05-08	3246
35/12-1	INTERM.	20	999.000000	26	1020.000000	1.410000	1881	9999-12-31	2013-05-08	3247
35/12-1	INTERM.	13 3/8	2198.000000	17 1/2	2215.000000	1.600000	1881	9999-12-31	2013-05-08	3248
35/12-1	OPEN HOLE	\N	3020.000000	12 1/4	3020.000000	0.000000	1881	9999-12-31	2013-05-08	3249
35/12-2	CONDUCTOR	30	453.000000	36	457.000000	0.000000	6095	9999-12-31	2013-05-08	3250
35/12-2	SURF.COND.	20	513.000000	26	517.000000	0.000000	6095	9999-12-31	2013-05-08	3251
35/12-2	INTERM.	13 3/8	1304.000000	17 1/2	1310.000000	1.390000	6095	9999-12-31	2013-05-08	3252
35/12-2	LINER	9 5/8	1968.000000	12 1/4	1975.000000	1.520000	6095	9999-12-31	2013-05-08	3253
35/12-2	OPEN HOLE	\N	2541.000000	8 1/2	2541.000000	1.520000	6095	9999-12-31	2013-05-08	3254
35/12-2	PILOT HOLE	\N	517.000000	9 7/8	517.000000	0.000000	6095	9999-12-31	2013-05-08	3255
35/12-3 S	PILOT HOLE	\N	523.000000	9 7/8	523.000000	0.000000	6516	9999-12-31	2013-05-08	3256
35/12-3 S	CONDUCTOR	30	437.000000	36	437.000000	0.000000	6516	9999-12-31	2013-05-08	3257
35/12-3 S	SURF.COND.	20	521.000000	26	523.000000	0.000000	6516	9999-12-31	2013-05-08	3258
35/12-3 S	INTERM.	13 3/8	1144.000000	17 1/2	1150.000000	0.000000	6516	9999-12-31	2013-05-08	3259
35/12-3 S	INTERM.	9 5/8	1886.000000	12 1/4	1894.000000	0.000000	6516	9999-12-31	2013-05-08	3260
35/12-3 S	OPEN HOLE	\N	2807.000000	8 1/2	2807.000000	0.000000	6516	9999-12-31	2013-05-08	3261
35/2-1	CONDUCTOR	30	482.000000	36	483.000000	0.000000	5135	9999-12-31	2013-05-08	3262
35/2-1	SURF.COND.	13 3/8	539.000000	17 1/2	543.000000	1.300000	5135	9999-12-31	2013-05-08	3263
35/2-1	INTERM.	9 5/8	560.000000	12 1/4	561.000000	1.290000	5135	9999-12-31	2013-05-08	3264
35/2-1	OPEN HOLE	\N	713.000000	8 1/2	713.000000	0.000000	5135	9999-12-31	2013-05-08	3265
35/2-2	CONDUCTOR	30	429.000000	36	429.000000	0.000000	6084	9999-12-31	2013-05-08	3266
35/2-2	SURF.COND.	13 3/8	539.000000	17 1/2	543.000000	1.200000	6084	9999-12-31	2013-05-08	3267
35/2-2	INTERM.	9 5/8	564.000000	12 1/4	571.000000	1.220000	6084	9999-12-31	2013-05-08	3268
35/2-2	OPEN HOLE	\N	640.000000	8 1/2	640.000000	0.000000	6084	9999-12-31	2013-05-08	3269
35/3-1	CONDUCTOR	30	505.000000	36	507.000000	0.000000	432	9999-12-31	2013-05-08	3270
35/3-1	SURF.COND.	20	969.000000	26	970.000000	0.000000	432	9999-12-31	2013-05-08	3271
35/3-1	INTERM.	13 3/8	2465.000000	17 1/2	2466.000000	1.770000	432	9999-12-31	2013-05-08	3272
35/3-1	INTERM.	9 5/8	4180.000000	12 1/4	4182.000000	2.040000	432	9999-12-31	2013-05-08	3273
35/3-1	OPEN HOLE	\N	4475.000000	8 1/2	4475.000000	0.000000	432	9999-12-31	2013-05-08	3274
35/3-2	LINER	7	4400.000000	8 3/8	4400.000000	0.000000	136	9999-12-31	2013-05-08	3275
35/3-2	CONDUCTOR	30	430.000000	36	436.000000	0.000000	136	9999-12-31	2013-05-08	3276
35/3-2	SURF.COND.	18 5/8	868.000000	24	875.000000	0.000000	136	9999-12-31	2013-05-08	3277
35/3-2	INTERM.	13 3/8	2262.000000	17 1/2	2280.000000	0.000000	136	9999-12-31	2013-05-08	3278
35/3-2	INTERM.	9 5/8	3797.000000	12 1/4	3808.000000	1.630000	136	9999-12-31	2013-05-08	3279
35/3-3	CONDUCTOR	30	418.000000	36	425.000000	0.000000	491	9999-12-31	2013-05-08	3280
35/3-3	OPEN HOLE	\N	900.000000	26	900.000000	0.000000	491	9999-12-31	2013-05-08	3281
35/3-4	INTERM.	8 5/8	3756.000000	12 1/4	3800.000000	1.760000	219	9999-12-31	2013-05-08	3282
35/3-4	CONDUCTOR	30	456.000000	36	457.000000	0.000000	219	9999-12-31	2013-05-08	3283
35/3-4	SURF.COND.	20	873.000000	26	879.000000	1.630000	219	9999-12-31	2013-05-08	3284
35/3-4	INTERM.	13 3/8	2367.000000	17 1/2	2383.000000	1.640000	219	9999-12-31	2013-05-08	3285
35/3-4	OPEN HOLE	NONE	4089.000000	8 1/2	4089.000000	0.000000	219	9999-12-31	2013-05-08	3286
35/3-5	CONDUCTOR	30	410.000000	36	420.000000	0.000000	433	9999-12-31	2013-05-08	3287
35/3-5	SURF.COND.	20	1032.000000	26	1046.000000	1.480000	433	9999-12-31	2013-05-08	3288
35/3-5	INTERM.	13 3/8	2041.000000	17 1/2	2052.000000	1.660000	433	9999-12-31	2013-05-08	3289
35/3-5	INTERM.	9 5/8	3406.000000	12 1/4	3413.000000	1.730000	433	9999-12-31	2013-05-08	3290
35/3-5	OPEN HOLE	\N	4114.000000	8 1/2	4114.000000	0.000000	433	9999-12-31	2013-05-08	3291
35/3-6	CONDUCTOR	30	309.000000	36	310.000000	0.000000	4492	9999-12-31	2013-05-08	3292
35/3-6	INTERM.	13 3/8	1294.000000	17 1/2	1300.000000	1.450000	4492	9999-12-31	2013-05-08	3293
35/3-6	INTERM.	9 5/8	2686.000000	12 1/4	2690.000000	1.500000	4492	9999-12-31	2013-05-08	3294
35/3-6	OPEN HOLE	\N	3366.000000	8 1/2	3366.000000	0.000000	4492	9999-12-31	2013-05-08	3295
35/3-7 S	CONDUCTOR	30	435.000000	36	440.000000	0.000000	6154	9999-12-31	2013-05-08	3296
35/3-7 S	PILOT HOLE	\N	842.000000	9 7/8	842.000000	0.000000	6154	9999-12-31	2013-05-08	3297
35/3-7 S	SURF.COND.	20	836.000000	24	842.000000	1.470000	6154	9999-12-31	2013-05-08	3298
35/3-7 S	INTERM.	13 3/8	1520.000000	17 1/2	1526.000000	1.760000	6154	9999-12-31	2013-05-08	3299
35/3-7 S	INTERM.	9 5/8	3248.000000	12 1/4	3250.000000	2.000000	6154	9999-12-31	2013-05-08	3300
35/3-7 S	OPEN HOLE	\N	4051.000000	8 1/2	4051.000000	0.000000	6154	9999-12-31	2013-05-08	3301
35/4-1	CONDUCTOR	30	464.500000	36	464.500000	0.000000	2993	9999-12-31	2013-05-08	3302
35/4-1	INTERM.	20	1350.000000	26	1362.000000	0.000000	2993	9999-12-31	2013-05-08	3303
35/4-1	INTERM.	13 3/8	3118.000000	17 1/2	3133.000000	0.000000	2993	9999-12-31	2013-05-08	3304
35/4-1	INTERM.	9 5/8	3720.000000	12 1/4	3720.000000	0.000000	2993	9999-12-31	2013-05-08	3305
35/4-1	OPEN HOLE	\N	4936.000000	8 1/2	4936.000000	0.000000	2993	9999-12-31	2013-05-08	3306
35/6-1 S	CONDUCTOR	30	426.000000	36	426.000000	0.000000	6000	9999-12-31	2013-05-08	3307
35/6-1 S	SURF.COND.	20	847.000000	26	847.000000	0.000000	6000	9999-12-31	2013-05-08	3308
35/6-2 S	CONDUCTOR	30	426.000000	36	426.000000	0.000000	6063	9999-12-31	2013-05-08	3309
35/6-2 S	SURF.COND.	20	581.000000	26	582.000000	1.570000	6063	9999-12-31	2013-05-08	3310
35/6-2 S	INTERM.	13 3/8	1654.000000	17 1/2	1662.000000	1.510000	6063	9999-12-31	2013-05-08	3311
35/6-2 S	INTERM.	9 5/8	3007.000000	12 1/4	3008.000000	1.500000	6063	9999-12-31	2013-05-08	3312
35/6-2 S	OPEN HOLE	\N	3700.000000	8 1/2	3700.000000	0.000000	6063	9999-12-31	2013-05-08	3313
35/8-1	CONDUCTOR	30	565.100000	36	577.300000	0.000000	205	9999-12-31	2013-05-08	3314
35/8-1	SURF.COND.	20	877.500000	26	890.000000	0.000000	205	9999-12-31	2013-05-08	3315
35/8-1	INTERM.	13 3/8	2184.600000	17 1/2	2196.300000	1.650000	205	9999-12-31	2013-05-08	3316
35/8-1	INTERM.	9 5/8	3493.600000	12 1/4	3522.600000	1.990000	205	9999-12-31	2013-05-08	3317
35/8-1	LINER	7	4343.700000	8 1/2	4352.000000	0.000000	205	9999-12-31	2013-05-08	3318
35/8-2	SURF.COND.	20	830.000000	26	842.000000	1.420000	434	9999-12-31	2013-05-08	3319
35/8-2	INTERM.	9 5/8	3531.000000	12 1/4	3538.000000	1.960000	434	9999-12-31	2013-05-08	3320
35/8-2	LINER	7	3954.000000	8 1/2	3954.000000	2.020000	434	9999-12-31	2013-05-08	3321
35/8-2	OPEN HOLE	\N	3750.000000	8 1/2	3750.000000	0.000000	434	9999-12-31	2013-05-08	3322
35/8-2	CONDUCTOR	30	578.000000	36	579.000000	0.000000	434	9999-12-31	2013-05-08	3323
35/8-2	OPEN HOLE	0	4335.000000	6 1/8	4335.000000	0.000000	434	9999-12-31	2013-05-08	3324
35/8-2	INTERM.	13 3/8	2142.000000	17 1/2	2156.000000	1.650000	434	9999-12-31	2013-05-08	3325
35/8-3	CONDUCTOR	30	531.000000	36	845.000000	0.000000	1288	9999-12-31	2013-05-08	3326
35/8-3	SURF.COND.	20	818.500000	26	1022.000000	1.420000	1288	9999-12-31	2013-05-08	3327
35/8-3	INTERM.	13 3/8	2159.500000	17 1/2	2174.000000	1.650000	1288	9999-12-31	2013-05-08	3328
35/8-3	INTERM.	9 5/8	3545.500000	12 1/4	3560.000000	1.840000	1288	9999-12-31	2013-05-08	3329
35/8-4	CONDUCTOR	30	464.000000	36	465.000000	0.000000	3791	9999-12-31	2013-05-08	3330
35/8-4	INTERM.	20	898.000000	26	915.000000	1.410000	3791	9999-12-31	2013-05-08	3331
35/8-4	INTERM.	13 3/8	2008.000000	17 1/2	2014.000000	1.550000	3791	9999-12-31	2013-05-08	3332
35/8-4	INTERM.	9 5/8	3340.000000	12 1/4	3360.000000	1.930000	3791	9999-12-31	2013-05-08	3333
35/8-4	OPEN HOLE	\N	3719.000000	8 1/2	3719.000000	0.000000	3791	9999-12-31	2013-05-08	3334
35/8-5 S	CONDUCTOR	30	458.000000	36	458.000000	0.000000	4761	9999-12-31	2013-05-08	3335
35/8-5 S	SURF.COND.	20	550.000000	26	555.000000	1.250000	4761	9999-12-31	2013-05-08	3336
35/8-5 S	INTERM.	13 3/8	1320.000000	17	1326.000000	1.580000	4761	9999-12-31	2013-05-08	3337
35/8-5 S	INTERM.	9 5/8	3258.000000	12 174	3265.000000	2.050000	4761	9999-12-31	2013-05-08	3338
35/8-5 S	OPEN HOLE	\N	4000.000000	8 1/2	4000.000000	1.800000	4761	9999-12-31	2013-05-08	3339
35/9-1	CONDUCTOR	30	436.000000	36	456.000000	0.000000	1375	9999-12-31	2013-05-08	3340
35/9-1	INTERM.	20	799.000000	26	815.000000	1.330000	1375	9999-12-31	2013-05-08	3341
35/9-1	INTERM.	13 3/8	1924.000000	17 1/2	1942.000000	0.000000	1375	9999-12-31	2013-05-08	3342
35/9-1	INTERM.	9 5/8	1917.000000	12 1/4	1942.000000	1.790000	1375	9999-12-31	2013-05-08	3343
35/9-1	LINER	7	2348.000000	8 1/2	2350.000000	0.000000	1375	9999-12-31	2013-05-08	3344
35/9-2	CONDUCTOR	30	477.000000	36	479.000000	0.000000	1600	9999-12-31	2013-05-08	3345
35/9-2	INTERM.	13 3/8	1003.000000	17 1/2	1018.000000	1.370000	1600	9999-12-31	2013-05-08	3346
35/9-2	INTERM.	9 5/8	1939.000000	12 1/4	1953.000000	1.400000	1600	9999-12-31	2013-05-08	3347
35/9-2	LINER	7	2434.000000	8 1/2	2885.000000	0.000000	1600	9999-12-31	2013-05-08	3348
35/9-3	OPEN HOLE	\N	435.000000	24	435.000000	0.000000	3206	9999-12-31	2013-05-08	3349
35/9-3	CONDUCTOR	30	431.000000	36	432.000000	0.000000	3206	9999-12-31	2013-05-08	3350
35/9-3	SURF.COND.	13 3/8	1141.000000	17 1/2	1150.000000	0.000000	3206	9999-12-31	2013-05-08	3351
35/9-3	INTERM.	9 5/8	1798.000000	12 1/4	1810.000000	0.000000	3206	9999-12-31	2013-05-08	3352
35/9-3	OPEN HOLE	\N	2783.000000	8 1/2	2783.000000	0.000000	3206	9999-12-31	2013-05-08	3353
35/9-4 S	CONDUCTOR	30	449.000000	36	451.000000	0.000000	3524	9999-12-31	2013-05-08	3354
35/9-4 S	SURF.COND.	13 3/8	1255.000000	17 1/2	1261.000000	0.000000	3524	9999-12-31	2013-05-08	3355
35/9-5	CONDUCTOR	30	463.000000	36	470.000000	0.000000	6293	9999-12-31	2013-05-08	3356
35/9-5	SURF.COND.	20	944.000000	26	950.000000	1.680000	6293	9999-12-31	2013-05-08	3357
35/9-5	INTERM.	13 3/8	1602.000000	17 1/2	1608.000000	1.500000	6293	9999-12-31	2013-05-08	3358
35/9-5	INTERM.	9 5/8	2727.000000	12 1/4	2729.000000	1.700000	6293	9999-12-31	2013-05-08	3359
35/9-5	OPEN HOLE	\N	3531.000000	8 1/2	3531.000000	0.000000	6293	9999-12-31	2013-05-08	3360
35/9-6 S	CONDUCTOR	30	461.000000	36	461.700000	0.000000	6429	9999-12-31	2013-05-08	3361
35/9-6 S	PILOT HOLE	\N	789.000000	9 7/8	789.000000	0.000000	6429	9999-12-31	2013-05-08	3362
35/9-6 S	SURF.COND.	20	783.000000	26	789.000000	0.000000	6429	9999-12-31	2013-05-08	3363
35/9-6 S	INTERM.	13 3/8	1716.000000	17 1/2	1723.000000	1.640000	6429	9999-12-31	2013-05-08	3364
35/9-6 S	INTERM.	9 5/8	2916.700000	12 1/4	2925.000000	1.850000	6429	9999-12-31	2013-05-08	3365
35/9-6 S	OPEN HOLE	\N	3740.000000	8 1/2	3740.000000	0.000000	6429	9999-12-31	2013-05-08	3366
36/1-1	CONDUCTOR	30	286.000000	36	290.000000	0.000000	435	9999-12-31	2013-05-08	3367
36/1-1	SURF.COND.	20	511.000000	26	513.000000	0.000000	435	9999-12-31	2013-05-08	3368
36/1-1	INTERM.	13 3/8	1465.000000	17 1/2	1470.000000	0.000000	435	9999-12-31	2013-05-08	3369
36/1-1	INTERM.	9 5/8	1596.000000	12 1/4	1596.000000	0.000000	435	9999-12-31	2013-05-08	3370
36/1-2	CONDUCTOR	30	362.000000	36	364.000000	0.000000	436	9999-12-31	2013-05-08	3371
36/1-2	SURF.COND.	20	635.000000	26	637.000000	0.000000	436	9999-12-31	2013-05-08	3372
36/1-2	INTERM.	13 3/8	1377.000000	17 1/2	1380.000000	0.000000	436	9999-12-31	2013-05-08	3373
36/1-2	INTERM.	9 5/8	2873.000000	12 1/4	2875.000000	0.000000	436	9999-12-31	2013-05-08	3374
36/1-2	OPEN HOLE	\N	3255.000000	8 1/2	3255.000000	0.000000	436	9999-12-31	2013-05-08	3375
36/4-1	CONDUCTOR	30	355.000000	36	357.000000	0.000000	2847	9999-12-31	2013-05-08	3376
36/4-1	SURF.COND.	13 3/8	1102.000000	17 1/2	1108.000000	0.000000	2847	9999-12-31	2013-05-08	3377
36/4-1	OPEN HOLE	\N	2715.000000	12 1/4	2715.000000	0.000000	2847	9999-12-31	2013-05-08	3378
36/7-1	SURF.COND.	13 3/8	1251.000000	17 1/2	1251.000000	1.460000	1794	9999-12-31	2013-05-08	3379
36/7-1	OPEN HOLE	\N	2124.000000	12 1/4	2124.000000	0.000000	1794	9999-12-31	2013-05-08	3380
36/7-1	OPEN HOLE	\N	2841.000000	8 1/2	2841.000000	0.000000	1794	9999-12-31	2013-05-08	3381
36/7-1	CONDUCTOR	30	440.000000	36	440.000000	0.000000	1794	9999-12-31	2013-05-08	3382
36/7-2	CONDUCTOR	30	340.000000	36	355.000000	0.000000	2990	9999-12-31	2013-05-08	3383
36/7-2	SURF.COND.	13 3/8	587.000000	17 1/2	591.000000	1.480000	2990	9999-12-31	2013-05-08	3384
36/7-2	OPEN HOLE	\N	925.000000	12 1/4	925.000000	0.000000	2990	9999-12-31	2013-05-08	3385
36/7-2	OPEN HOLE	\N	1435.000000	8 1/2	1435.000000	0.000000	2990	9999-12-31	2013-05-08	3386
36/7-3	INTERM.	9 5/8	2948.000000	12 1/2	2948.000000	1.550000	4427	9999-12-31	2013-05-08	3387
36/7-3	CONDUCTOR	30	445.000000	36	445.000000	0.000000	4427	9999-12-31	2013-05-08	3388
36/7-3	SURF.COND.	20	572.000000	26	577.000000	1.390000	4427	9999-12-31	2013-05-08	3389
36/7-3	INTERM.	13 3/8	1348.000000	17 1/2	1355.000000	1.520000	4427	9999-12-31	2013-05-08	3390
6/3-1	CONDUCTOR	30	170.000000	36	175.000000	0.000000	450	9999-12-31	2013-05-08	3391
6/3-1	SURF.COND.	20	502.000000	26	520.000000	1.370000	450	9999-12-31	2013-05-08	3392
6/3-1	INTERM.	13 3/8	1600.000000	17 1/2	1630.000000	1.790000	450	9999-12-31	2013-05-08	3393
6/3-1	INTERM.	9 5/8	2889.000000	12 1/4	2926.000000	1.700000	450	9999-12-31	2013-05-08	3394
6/3-1	LINER	7	3560.000000	8 1/2	3560.000000	0.000000	450	9999-12-31	2013-05-08	3395
6/3-2	LINER	5	4091.000000	6	4091.000000	0.000000	862	9999-12-31	2013-05-08	3396
6/3-2	CONDUCTOR	30	222.000000	36	222.000000	0.000000	862	9999-12-31	2013-05-08	3397
6/3-2	SURF.COND.	20	600.000000	26	622.000000	1.520000	862	9999-12-31	2013-05-08	3398
6/3-2	INTERM.	13 3/8	1300.000000	17 1/2	1316.000000	1.530000	862	9999-12-31	2013-05-08	3399
6/3-2	INTERM.	9 5/8	3375.000000	12 1/4	3387.000000	0.000000	862	9999-12-31	2013-05-08	3400
6/3-2	LINER	7	3722.000000	8 1/2	3772.000000	2.140000	862	9999-12-31	2013-05-08	3401
6201/11-1	CONDUCTOR	30	479.000000	36	481.000000	0.000000	1134	9999-12-31	2013-05-08	3402
6201/11-1	SURF.COND.	20	641.000000	26	930.000000	1.350000	1134	9999-12-31	2013-05-08	3403
6201/11-1	INTERM.	13 3/8	1735.000000	17 1/2	1808.000000	1.600000	1134	9999-12-31	2013-05-08	3404
6201/11-1	INTERM.	9 5/8	2599.000000	12 1/4	2620.000000	1.840000	1134	9999-12-31	2013-05-08	3405
6201/11-1	LINER	7	3383.000000	8 1/2	3384.000000	2.300000	1134	9999-12-31	2013-05-08	3406
6201/11-1	OPEN HOLE	\N	3850.000000	6	3850.000000	0.000000	1134	9999-12-31	2013-05-08	3407
6201/11-2	CONDUCTOR	30	454.000000	36	455.000000	0.000000	1549	9999-12-31	2013-05-08	3408
6201/11-2	INTERM.	20	774.000000	26	775.000000	1.300000	1549	9999-12-31	2013-05-08	3409
6201/11-2	INTERM.	13 3/8	1731.000000	17 1/2	1732.000000	1.700000	1549	9999-12-31	2013-05-08	3410
6201/11-2	INTERM.	9 5/8	3326.000000	12 1/4	3327.000000	1.940000	1549	9999-12-31	2013-05-08	3411
6201/11-2	OPEN HOLE	\N	3778.000000	8 1/2	3778.000000	0.000000	1549	9999-12-31	2013-05-08	3412
6204/10-1	OPEN HOLE	\N	2709.000000	8 1/2	2709.000000	0.000000	2666	9999-12-31	2013-05-08	3413
6204/10-1	CONDUCTOR	30	273.000000	36	275.000000	0.000000	2666	9999-12-31	2013-05-08	3414
6204/10-1	INTERM.	13 3/8	478.000000	17 1/2	490.000000	1.350000	2666	9999-12-31	2013-05-08	3415
6204/10-1	INTERM.	9 5/8	1635.000000	12 1/4	1649.000000	1.570000	2666	9999-12-31	2013-05-08	3416
6204/10-2	CONDUCTOR	30	257.000000	36	258.000000	0.000000	2952	9999-12-31	2013-05-08	3417
6204/10-2	INTERM.	20	298.500000	26	300.000000	1.180000	2952	9999-12-31	2013-05-08	3418
6204/10-2	INTERM.	13 3/8	1145.000000	17 1/2	1145.000000	1.570000	2952	9999-12-31	2013-05-08	3419
6204/10-2 R	OPEN HOLE	\N	2095.000000	8 1/2	2095.000000	0.000000	3258	9999-12-31	2013-05-08	3420
6204/11-1	CONDUCTOR	30	283.000000	36	285.000000	0.000000	2205	9999-12-31	2013-05-08	3421
6204/11-1	INTERM.	20	528.000000	26	530.000000	1.340000	2205	9999-12-31	2013-05-08	3422
6204/11-1	INTERM.	13 3/8	1812.000000	17 1/2	1830.000000	1.580000	2205	9999-12-31	2013-05-08	3423
6204/11-1	OPEN HOLE	\N	2966.000000	12 1/4	2966.000000	0.000000	2205	9999-12-31	2013-05-08	3424
6204/11-2	CONDUCTOR	30	282.000000	36	285.000000	0.000000	3249	9999-12-31	2013-05-08	3425
6204/11-2	SURF.COND.	9 5/8	1344.000000	12 1/4	1346.000000	1.590000	3249	9999-12-31	2013-05-08	3426
6204/11-2	OPEN HOLE	\N	2920.000000	8 1/2	2920.000000	0.000000	3249	9999-12-31	2013-05-08	3427
6205/3-1	CONDUCTOR	30	268.000000	36	269.000000	0.000000	1479	9999-12-31	2013-05-08	3428
6205/3-1	INTERM.	20	975.000000	26	1017.000000	1.620000	1479	9999-12-31	2013-05-08	3429
6205/3-1	INTERM.	13 3/8	2671.000000	17 1/2	2689.000000	1.700000	1479	9999-12-31	2013-05-08	3430
6205/3-1	OPEN HOLE	\N	4300.000000	12 1/4	4300.000000	0.000000	1479	9999-12-31	2013-05-08	3431
6205/3-1 R	LINER	7	5264.000000	8 1/2	5264.000000	0.000000	1510	9999-12-31	2013-05-08	3432
6205/3-1 R	INTERM.	9 5/8	4284.000000	12 1/4	4290.000000	0.000000	1510	9999-12-31	2013-05-08	3433
6302/6-1	CONDUCTOR	30	1363.000000	36	1363.000000	0.000000	5086	9999-12-31	2013-05-08	3434
6302/6-1	SURF.COND.	20	1960.000000	26	1960.000000	1.290000	5086	9999-12-31	2013-05-08	3435
6302/6-1	INTERM.	16	2380.000000	17 1/2	2380.000000	1.600000	5086	9999-12-31	2013-05-08	3436
6302/6-1	INTERM.	13 3/8	3035.000000	17 1/2	3035.000000	1.490000	5086	9999-12-31	2013-05-08	3437
6302/6-1	INTERM.	9 5/8	3840.000000	12 1/4	3840.000000	1.720000	5086	9999-12-31	2013-05-08	3438
6302/6-1	OPEN HOLE	\N	4230.000000	8 1/2	4230.000000	0.000000	5086	9999-12-31	2013-05-08	3439
6305/1-1	CONDUCTOR	30	942.000000	36	942.000000	0.000000	3555	9999-12-31	2013-05-08	3440
6305/1-1	INTERM.	20	1605.000000	26	1605.000000	1.470000	3555	9999-12-31	2013-05-08	3441
6305/1-1	INTERM.	13 3/8	2414.000000	17 1/2	2414.000000	1.630000	3555	9999-12-31	2013-05-08	3442
6305/1-1	INTERM.	9 5/8	3004.000000	12 1/4	3004.000000	1.680000	3555	9999-12-31	2013-05-08	3443
6305/1-1	OPEN HOLE	\N	4560.000000	8 1/2	4560.000000	0.000000	3555	9999-12-31	2013-05-08	3444
6305/12-1	CONDUCTOR	30	297.000000	36	325.000000	0.000000	1808	9999-12-31	2013-05-08	3445
6305/12-1	INTERM.	18 5/8	700.000000	24	721.000000	1.780000	1808	9999-12-31	2013-05-08	3446
6305/12-1	INTERM.	13 3/8	2000.000000	17 1/2	2017.000000	1.710000	1808	9999-12-31	2013-05-08	3447
6305/12-1	INTERM.	9 5/8	3510.000000	12 1/4	3520.000000	2.120000	1808	9999-12-31	2013-05-08	3448
6305/12-1	OPEN HOLE	\N	4302.000000	8 1/2	4302.000000	0.000000	1808	9999-12-31	2013-05-08	3449
6305/12-2	CONDUCTOR	30	222.000000	36	222.000000	0.000000	2207	9999-12-31	2013-05-08	3450
6305/12-2	INTERM.	13 3/8	398.000000	17 1/2	400.000000	1.380000	2207	9999-12-31	2013-05-08	3451
6305/12-2	INTERM.	9 5/8	1229.000000	12 1/4	1230.000000	1.850000	2207	9999-12-31	2013-05-08	3452
6305/12-2	LINER	7	2635.000000	8 1/2	2635.000000	0.000000	2207	9999-12-31	2013-05-08	3453
6305/12-2	OPEN HOLE	\N	3162.000000	6	3162.000000	0.000000	2207	9999-12-31	2013-05-08	3454
6305/4-1	CONDUCTOR	30	1105.000000	36	1108.000000	0.000000	4441	9999-12-31	2013-05-08	3455
6305/4-1	INTERM.	20	1749.000000	26	1756.000000	1.400000	4441	9999-12-31	2013-05-08	3456
6305/4-1	INTERM.	9 5/8	2719.000000	12 1/4	2725.000000	1.570000	4441	9999-12-31	2013-05-08	3457
6305/4-1	\N	\N	2975.000000	8 1/2	2975.000000	0.000000	4441	9999-12-31	2013-05-08	3458
6305/4-2 S	CONDUCTOR	30	1196.000000	36	1207.000000	0.000000	6441	9999-12-31	2013-05-08	3459
6305/4-2 S	SURF.COND.	20	1732.000000	26	1738.000000	1.320000	6441	9999-12-31	2013-05-08	3460
6305/4-2 S	INTERM.	13 3/8	2231.000000	17 1/2	2231.000000	1.470000	6441	9999-12-31	2013-05-08	3461
6305/4-2 S	INTERM.	9 5/8	2681.000000	12 1/4	2682.000000	1.500000	6441	9999-12-31	2013-05-08	3462
6305/4-2 S	OPEN HOLE	\N	2985.000000	8 1/2	2985.000000	0.000000	6441	9999-12-31	2013-05-08	3463
6305/5-1	LINER	7	3053.000000	8 1/2	3053.000000	0.000000	3144	9999-12-31	2013-05-08	3464
6305/5-1	CONDUCTOR	30	994.500000	36	996.000000	0.000000	3144	9999-12-31	2013-05-08	3465
6305/5-1	SURF.COND.	20	1536.000000	26	1544.000000	1.440000	3144	9999-12-31	2013-05-08	3466
6305/5-1	INTERM.	13 3/8	2137.000000	17 1/2	2156.000000	1.590000	3144	9999-12-31	2013-05-08	3467
6305/5-1	INTERM.	9 5/8	2726.000000	12 1/4	2730.000000	0.000000	3144	9999-12-31	2013-05-08	3468
6305/5-3 S	CONDUCTOR	30	961.000000	36	965.000000	0.000000	6118	9999-12-31	2013-05-08	3469
6305/5-3 S	SURF.COND.	20	1651.000000	26	1656.000000	1.390000	6118	9999-12-31	2013-05-08	3470
6305/5-3 S	INTERM.	13 3/8	2200.000000	17 1/2	2206.000000	1.500000	6118	9999-12-31	2013-05-08	3471
6305/5-3 S	OPEN HOLE	\N	2954.000000	12 1/4	2954.000000	0.000000	6118	9999-12-31	2013-05-08	3472
6305/7-1	LINER	7	3377.000000	8 1/2	3377.000000	0.000000	3535	9999-12-31	2013-05-08	3473
6305/7-1	CONDUCTOR	30	907.000000	36	907.000000	0.000000	3535	9999-12-31	2013-05-08	3474
6305/7-1	INTERM.	13 3/8	1696.000000	17 1/2	1696.000000	1.400000	3535	9999-12-31	2013-05-08	3475
6305/7-1	INTERM.	9 5/8	2810.000000	12 1/4	2819.000000	0.000000	3535	9999-12-31	2013-05-08	3476
6305/8-1	CONDUCTOR	30	941.000000	36	942.000000	0.000000	4109	9999-12-31	2013-05-08	3477
6305/8-1	INTERM.	20	1544.000000	26	1550.000000	1.400000	4109	9999-12-31	2013-05-08	3478
6305/8-1	INTERM.	9 5/8	2852.000000	12 1/4	2860.000000	1.660000	4109	9999-12-31	2013-05-08	3479
6305/8-1	\N	\N	3175.000000	8 1/2	3175.000000	0.000000	4109	9999-12-31	2013-05-08	3480
6305/9-1	CONDUCTOR	30	272.000000	36	272.000000	0.000000	4297	9999-12-31	2013-05-08	3481
6305/9-1	SURF.COND.	20	675.000000	26	680.000000	1.500000	4297	9999-12-31	2013-05-08	3482
6305/9-1	INTERM.	9 5/8	2295.000000	12 1/4	2305.000000	1.670000	4297	9999-12-31	2013-05-08	3483
6305/9-1	OPEN HOLE	\N	2655.000000	8 1/2	2655.000000	0.000000	4297	9999-12-31	2013-05-08	3484
6305/9-2	CONDUCTOR	30	380.000000	36	381.000000	0.000000	6502	9999-12-31	2013-05-08	3485
6305/9-2	SURF.COND.	20	476.000000	26	477.000000	1.180000	6502	9999-12-31	2013-05-08	3486
6305/9-2	LINER	16	668.000000	17 1/2	671.000000	1.300000	6502	9999-12-31	2013-05-08	3487
6305/9-2	INTERM.	13 3/8	1249.000000	17 1/2	1255.000000	1.600000	6502	9999-12-31	2013-05-08	3488
6305/9-2	INTERM.	9 5/8	2749.000000	12 1/4	2751.000000	1.890000	6502	9999-12-31	2013-05-08	3489
6305/9-2	OPEN HOLE	\N	3075.000000	8 1/2	3075.000000	0.000000	6502	9999-12-31	2013-05-08	3490
6306/10-1	LINER	7	3187.000000	8 1/2	3187.000000	0.000000	1551	9999-12-31	2013-05-08	3491
6306/10-1	CONDUCTOR	30	169.000000	36	171.000000	0.000000	1551	9999-12-31	2013-05-08	3492
6306/10-1	INTERM.	20	603.000000	26	605.000000	1.870000	1551	9999-12-31	2013-05-08	3493
6306/10-1	INTERM.	13 3/8	1499.000000	17 1/2	1501.000000	1.800000	1551	9999-12-31	2013-05-08	3494
6306/10-1	INTERM.	9 5/8	2644.000000	12 1/4	2647.000000	2.200000	1551	9999-12-31	2013-05-08	3495
6306/5-1	CONDUCTOR	30	324.000000	36	324.000000	0.000000	3060	9999-12-31	2013-05-08	3496
6306/5-1	SURF.COND.	13 3/8	480.000000	17 1/2	507.000000	1.500000	3060	9999-12-31	2013-05-08	3497
6306/5-1	INTERM.	9 5/8	1296.000000	12 1/4	1300.000000	2.010000	3060	9999-12-31	2013-05-08	3498
6306/5-1	OPEN HOLE	\N	2050.000000	8 1/2	2050.000000	0.000000	3060	9999-12-31	2013-05-08	3499
6306/6-1	CONDUCTOR	30	356.000000	36	357.000000	0.000000	2384	9999-12-31	2013-05-08	3500
6306/6-1	SURF.COND.	13 3/8	428.000000	17 1/2	430.000000	1.440000	2384	9999-12-31	2013-05-08	3501
6306/6-1	INTERM.	9 5/8	750.000000	12 1/4	752.000000	1.650000	2384	9999-12-31	2013-05-08	3502
6306/6-1	OPEN HOLE	\N	1317.000000	8 1/2	1317.000000	0.000000	2384	9999-12-31	2013-05-08	3503
6306/6-2	CONDUCTOR	30	329.000000	36	330.000000	0.000000	6143	9999-12-31	2013-05-08	3504
6306/6-2	SURF.COND.	20	786.000000	26	791.000000	1.550000	6143	9999-12-31	2013-05-08	3505
6306/6-2	INTERM.	13 3/8	1351.000000	17 1/2	1357.000000	1.820000	6143	9999-12-31	2013-05-08	3506
6306/6-2	INTERM.	9 5/8	1904.000000	12 1/4	1905.000000	1.810000	6143	9999-12-31	2013-05-08	3507
6306/6-2	OPEN HOLE	\N	2080.000000	8 1/2	2080.000000	0.000000	6143	9999-12-31	2013-05-08	3508
6403/10-1	CONDUCTOR	30	1833.000000	36	1852.000000	0.000000	4602	9999-12-31	2013-05-08	3509
6403/10-1	INTERM.	20	2207.000000	26	2214.000000	1.140000	4602	9999-12-31	2013-05-08	3510
6403/10-1	INTERM.	13 3/8	2510.000000	17 1/2	2518.000000	1.240000	4602	9999-12-31	2013-05-08	3511
6403/10-1	INTERM.	9 5/8	2830.000000	12 1/4	2843.000000	1.270000	4602	9999-12-31	2013-05-08	3512
6403/10-1	OPEN HOLE	\N	3400.000000	8 1/2	3400.000000	0.000000	4602	9999-12-31	2013-05-08	3513
6403/6-1	CONDUCTOR	30	1843.000000	36	1845.000000	0.000000	5296	9999-12-31	2013-05-08	3514
6403/6-1	SURF.COND.	20	2394.000000	26	2394.000000	1.190000	5296	9999-12-31	2013-05-08	3515
6403/6-1	INTERM.	16	2548.000000	17 1/2	2560.000000	1.290000	5296	9999-12-31	2013-05-08	3516
6403/6-1	INTERM.	13 3/8	2741.000000	14 3/4	2748.000000	1.340000	5296	9999-12-31	2013-05-08	3517
6403/6-1	INTERM.	9 5/8	2983.000000	12 1/4	2983.000000	1.460000	5296	9999-12-31	2013-05-08	3518
6403/6-1	INTERM.	7	3768.000000	8 1/2	3775.000000	1.500000	5296	9999-12-31	2013-05-08	3519
6403/6-1	OPEN HOLE	\N	4120.000000	6	4120.000000	0.000000	5296	9999-12-31	2013-05-08	3520
6404/11-1	CONDUCTOR	30	1622.000000	36	1628.000000	0.000000	4465	9999-12-31	2013-05-08	3521
6404/11-1	INTERM.	20	2170.000000	26	2175.000000	0.000000	4465	9999-12-31	2013-05-08	3522
6404/11-1	INTERM.	13 3/8	2443.000000	17	2449.000000	1.370000	4465	9999-12-31	2013-05-08	3523
6404/11-1	INTERM.	9 5/8	2728.000000	12 1/4	2730.000000	0.000000	4465	9999-12-31	2013-05-08	3524
6404/11-1	OPEN HOLE	\N	3650.000000	8 1/2	3650.000000	0.000000	4465	9999-12-31	2013-05-08	3525
6405/10-1	CONDUCTOR	30	1041.000000	36	1045.000000	0.000000	5565	9999-12-31	2013-05-08	3526
6405/10-1	SURF.COND.	20	1749.000000	26	1760.000000	1.390000	5565	9999-12-31	2013-05-08	3527
6405/10-1	INTERM.	13 3/8	2423.000000	17 1/4	2442.000000	1.560000	5565	9999-12-31	2013-05-08	3528
6405/10-1	INTERM.	9 5/8	2799.000000	12 1/4	2808.000000	1.630000	5565	9999-12-31	2013-05-08	3529
6405/10-1	OPEN HOLE	\N	3182.000000	8 1/2	3182.000000	0.000000	5565	9999-12-31	2013-05-08	3530
6405/7-1	SURF.COND.	30	1310.000000	36	1310.000000	0.000000	4749	9999-12-31	2013-05-08	3531
6405/7-1	INTERM.	20	1900.000000	26	1910.000000	1.330000	4749	9999-12-31	2013-05-08	3532
6405/7-1	INTERM.	13 3/8	2417.000000	17	2425.000000	1.420000	4749	9999-12-31	2013-05-08	3533
6405/7-1	INTERM.	11 3/4	2741.000000	14	2741.000000	1.600000	4749	9999-12-31	2013-05-08	3534
6405/7-1	INTERM.	9 5/8	3187.000000	12 1/4	3200.000000	1.700000	4749	9999-12-31	2013-05-08	3535
6405/7-1	OPEN HOLE	\N	4300.000000	8 1/2	4300.000000	0.000000	4749	9999-12-31	2013-05-08	3536
6406/1-1	CONDUCTOR	30	429.000000	36	429.000000	0.000000	4262	9999-12-31	2013-05-08	3537
6406/1-1	SURF.COND.	20	1405.000000	26	1411.000000	1.630000	4262	9999-12-31	2013-05-08	3538
6406/1-1	INTERM.	13 3/8	3008.000000	17 1/2	3015.000000	1.990000	4262	9999-12-31	2013-05-08	3539
6406/1-1	INTERM.	9 5/8	4611.000000	12 1/4	4620.000000	2.160000	4262	9999-12-31	2013-05-08	3540
6406/1-1	OPEN HOLE	\N	5057.000000	8 1/2	5057.000000	0.000000	4262	9999-12-31	2013-05-08	3541
6406/11-1 S	CONDUCTOR	30	449.000000	36	454.000000	0.000000	1539	9999-12-31	2013-05-08	3542
6406/11-1 S	INTERM.	20	1202.000000	26	1218.000000	0.000000	1539	9999-12-31	2013-05-08	3543
6406/11-1 S	INTERM.	13 3/8	2151.000000	17 1/2	2165.000000	1.720000	1539	9999-12-31	2013-05-08	3544
6406/11-1 S	INTERM.	9 5/8	3275.000000	12 1/4	3395.000000	1.920000	1539	9999-12-31	2013-05-08	3545
6406/11-1 S	OPEN HOLE	7	4185.000000	8 1/2	4185.000000	1.980000	1539	9999-12-31	2013-05-08	3546
6406/1-2	CONDUCTOR	30	455.000000	36	455.000000	0.000000	4762	9999-12-31	2013-05-08	3547
6406/1-2	INTERM.	13 3/8	2404.000000	17 1/2	2415.000000	1.870000	4762	9999-12-31	2013-05-08	3548
6406/1-2	INTERM.	9 5/8	3901.000000	12 1/4	3908.000000	2.000000	4762	9999-12-31	2013-05-08	3549
6406/1-2	LINER	7	4140.000000	8 1/2	4140.000000	2.070000	4762	9999-12-31	2013-05-08	3550
6406/1-2	SURF.COND.	20	1199.000000	26	1201.000000	1.500000	4762	9999-12-31	2013-05-08	3551
6406/12-1 S	CONDUCTOR	30	415.000000	36	417.000000	0.000000	1711	9999-12-31	2013-05-08	3552
6406/12-1 S	INTERM.	20	951.000000	26	955.000000	1.720000	1711	9999-12-31	2013-05-08	3553
6406/12-1 S	INTERM.	13 3/8	2532.000000	17 1/2	2534.000000	1.820000	1711	9999-12-31	2013-05-08	3554
6406/12-1 S	OPEN HOLE	\N	3965.000000	12 1/4	3965.000000	0.000000	1711	9999-12-31	2013-05-08	3555
6406/12-2	CONDUCTOR	30	418.000000	36	418.000000	0.000000	2640	9999-12-31	2013-05-08	3556
6406/12-2	SURF.COND.	20	906.000000	26	907.000000	1.650000	2640	9999-12-31	2013-05-08	3557
6406/12-2	INTERM.	9 5/8	2308.000000	12 1/4	2308.000000	2.020000	2640	9999-12-31	2013-05-08	3558
6406/12-2	OPEN HOLE	\N	4367.000000	8 1/2	4367.000000	0.000000	2640	9999-12-31	2013-05-08	3559
6406/1-3	CONDUCTOR	30	455.000000	36	460.000000	0.000000	4986	9999-12-31	2013-05-08	3560
6406/1-3	SURF.COND.	20	1297.000000	26	1309.000000	1.520000	4986	9999-12-31	2013-05-08	3561
6406/1-3	INTERM.	9 7/8	4119.000000	12 1/4	4130.000000	2.140000	4986	9999-12-31	2013-05-08	3562
6406/1-3	OPEN HOLE	\N	4276.000000	8 1/2	4276.000000	0.000000	4986	9999-12-31	2013-05-08	3563
6406/1-3	INTERM.	13 3/8	2312.000000	17 1/2	2314.000000	1.560000	4986	9999-12-31	2013-05-08	3564
6406/1-4	CONDUCTOR	30	457.000000	36	457.000000	0.000000	5183	9999-12-31	2013-05-08	3565
6406/1-4	SURF.COND.	20	1299.000000	26	1300.000000	1.570000	5183	9999-12-31	2013-05-08	3566
6406/1-4	INTERM.	13 3/8	2304.000000	17 1/2	2304.000000	2.020000	5183	9999-12-31	2013-05-08	3567
6406/1-4	INTERM.	9 5/8	4101.000000	12 1/4	4101.000000	2.060000	5183	9999-12-31	2013-05-08	3568
6406/1-4	OPEN HOLE	\N	4596.000000	8 3/8	4596.000000	0.000000	5183	9999-12-31	2013-05-08	3569
6406/2-1	LINER	7	5292.000000	8 1/2	5292.000000	0.000000	2444	9999-12-31	2013-05-08	3570
6406/2-1	CONDUCTOR	30	387.000000	36	390.000000	0.000000	2444	9999-12-31	2013-05-08	3571
6406/2-1	INTERM.	18 5/8	1224.000000	20	1226.000000	1.700000	2444	9999-12-31	2013-05-08	3572
6406/2-1	INTERM.	13 3/8	2564.000000	17 1/2	2568.000000	1.860000	2444	9999-12-31	2013-05-08	3573
6406/2-1	INTERM.	9 5/8	4404.000000	12 1/4	4406.000000	2.000000	2444	9999-12-31	2013-05-08	3574
6406/2-1 R	INTERM.	7	5892.000000	5 7/8	5892.000000	0.000000	2642	9999-12-31	2013-05-08	3575
6406/2-2	LINER	7	5367.000000	8 1/2	5367.000000	0.000000	2644	9999-12-31	2013-05-08	3576
6406/2-2	CONDUCTOR	30	382.000000	36	383.000000	0.000000	2644	9999-12-31	2013-05-08	3577
6406/2-2	INTERM.	18 5/8	1252.000000	20	1254.000000	1.690000	2644	9999-12-31	2013-05-08	3578
6406/2-2	INTERM.	13 3/8	2849.000000	17 1/2	2850.000000	1.840000	2644	9999-12-31	2013-05-08	3579
6406/2-2	INTERM.	9 5/8	4467.000000	12 1/4	4468.000000	1.820000	2644	9999-12-31	2013-05-08	3580
6406/2-3	CONDUCTOR	30	482.000000	36	484.000000	0.000000	2849	9999-12-31	2013-05-08	3581
6406/2-3	INTERM.	18 5/8	1405.000000	20	1407.000000	1.800000	2849	9999-12-31	2013-05-08	3582
6406/2-3	INTERM.	13 3/8	2834.000000	17 1/2	2835.000000	1.960000	2849	9999-12-31	2013-05-08	3583
6406/2-3	INTERM.	9 5/8	4538.000000	12 1/4	4540.000000	2.200000	2849	9999-12-31	2013-05-08	3584
6406/2-3	LINER	7	5258.000000	8 1/2	5258.000000	0.000000	2849	9999-12-31	2013-05-08	3585
6406/2-4 S	CONDUCTOR	30	370.000000	36	370.000000	0.000000	3012	9999-12-31	2013-05-08	3586
6406/2-4 S	SURF.COND.	18 5/8	1103.000000	26	1103.000000	1.630000	3012	9999-12-31	2013-05-08	3587
6406/2-4 S	INTERM.	13 3/8	2252.000000	17 1/2	2252.000000	1.790000	3012	9999-12-31	2013-05-08	3588
6406/2-4 S	INTERM.	9 5/8	4546.000000	12 1/4	4546.000000	0.000000	3012	9999-12-31	2013-05-08	3589
6406/2-4 SR	LINER	7	5080.000000	8 1/2	5080.000000	0.000000	3627	9999-12-31	2013-05-08	3590
6406/2-4 SR	INTERM.	9 5/8	4534.000000	12 1/4	4534.000000	1.870000	3627	9999-12-31	2013-05-08	3591
6406/2-5	SURF.COND.	30	451.000000	36	450.000000	0.000000	3125	9999-12-31	2013-05-08	3592
6406/2-5	INTERM.	18 3/8	1399.000000	24	1400.000000	1.640000	3125	9999-12-31	2013-05-08	3593
6406/2-5	INTERM.	13 3/8	2650.000000	17 1/2	2655.000000	2.000000	3125	9999-12-31	2013-05-08	3594
6406/2-5	INTERM.	9 5/8	4523.000000	12 1/4	4533.000000	2.120000	3125	9999-12-31	2013-05-08	3595
6406/2-5	OPEN HOLE	\N	5439.000000	8 1/2	5439.000000	0.000000	3125	9999-12-31	2013-05-08	3596
6406/2-5 A	INTERM.	13 3/8	2818.000000	17 1/2	2820.000000	2.010000	3213	9999-12-31	2013-05-08	3597
6406/2-5 A	INTERM.	9 5/8	5133.000000	12 1/4	5143.000000	2.200000	3213	9999-12-31	2013-05-08	3598
6406/2-5 A	LINER	7	5600.000000	8 1/2	5600.000000	0.000000	3213	9999-12-31	2013-05-08	3599
6406/2-6	CONDUCTOR	30	412.000000	36	412.000000	0.000000	3407	9999-12-31	2013-05-08	3600
6406/2-6	INTERM.	18 5/8	1408.000000	24	1408.000000	1.660000	3407	9999-12-31	2013-05-08	3601
6406/2-6	INTERM.	13 3/8	2748.000000	17 1/2	2748.000000	2.070000	3407	9999-12-31	2013-05-08	3602
6406/2-6	INTERM.	9 5/8	4406.000000	12 1/4	4406.000000	2.180000	3407	9999-12-31	2013-05-08	3603
6406/2-6	OPEN HOLE	\N	5263.000000	8 1/2	5263.000000	0.000000	3407	9999-12-31	2013-05-08	3604
6406/2-6 A	OPEN HOLE	\N	5251.000000	8 1/2	5251.000000	0.000000	4094	9999-12-31	2013-05-08	3605
6406/2-6 A	INTERM.	13 3/8	2749.000000	17 1/2	2749.000000	1.940000	4094	9999-12-31	2013-05-08	3606
6406/2-6 A	INTERM.	9 7 /8	4383.000000	12 1/4	4383.000000	2.130000	4094	9999-12-31	2013-05-08	3607
6406/2-7	CONDUCTOR	30	379.000000	36	379.000000	0.000000	3878	9999-12-31	2013-05-08	3608
6406/2-7	SURF.COND.	18 5/8	1399.000000	24	1406.000000	1.800000	3878	9999-12-31	2013-05-08	3609
6406/2-7	INTERM.	13 3/8	2707.000000	17 1/2	2719.000000	1.960000	3878	9999-12-31	2013-05-08	3610
6406/2-7	INTERM.	9 5/8	4458.000000	12 1/4	4464.000000	2.180000	3878	9999-12-31	2013-05-08	3611
6406/2-7	LINER	7	4981.000000	8 1/2	4981.000000	0.000000	3878	9999-12-31	2013-05-08	3612
6406/3-1	OPEN HOLE	\N	4902.000000	6	4902.000000	0.000000	108	9999-12-31	2013-05-08	3613
6406/3-1	CONDUCTOR	30	352.000000	36	354.000000	0.000000	108	9999-12-31	2013-05-08	3614
6406/3-1	SURF.COND.	20	945.000000	26	962.000000	1.710000	108	9999-12-31	2013-05-08	3615
6406/3-1	INTERM.	13 3/8	2148.000000	17 1/2	2177.000000	1.850000	108	9999-12-31	2013-05-08	3616
6406/3-1	INTERM.	9 5/8	3765.000000	12 1/4	3784.000000	2.070000	108	9999-12-31	2013-05-08	3617
6406/3-1	LINER	7	4470.000000	8 1/2	4505.000000	2.160000	108	9999-12-31	2013-05-08	3618
6406/3-2	CONDUCTOR	30	433.000000	36	436.000000	0.000000	863	9999-12-31	2013-05-08	3619
6406/3-2	SURF.COND.	20	951.000000	26	965.000000	1.600000	863	9999-12-31	2013-05-08	3620
6406/3-2	INTERM.	13 3/8	2283.000000	17 1/2	2301.000000	1.850000	863	9999-12-31	2013-05-08	3621
6406/3-2	INTERM.	9 5/8	3913.000000	12 1/4	3930.000000	1.930000	863	9999-12-31	2013-05-08	3622
6406/3-2	LINER	7	4377.000000	8 1/2	4380.000000	2.070000	863	9999-12-31	2013-05-08	3623
6406/3-3	CONDUCTOR	30	442.000000	36	444.000000	0.000000	949	9999-12-31	2013-05-08	3624
6406/3-3	SURF.COND.	20	1064.000000	26	1083.000000	1.670000	949	9999-12-31	2013-05-08	3625
6406/3-3	INTERM.	13 3/8	2301.000000	17 1/2	2536.000000	1.990000	949	9999-12-31	2013-05-08	3626
6406/3-3	INTERM.	9 5/8	3918.000000	12 1/4	3936.000000	1.890000	949	9999-12-31	2013-05-08	3627
6406/3-3	LINER	7	4415.000000	8 1/2	4416.000000	0.000000	949	9999-12-31	2013-05-08	3628
6406/3-4	CONDUCTOR	30	436.000000	36	442.000000	0.000000	1173	9999-12-31	2013-05-08	3629
6406/3-4	SURF.COND.	20	1157.000000	26	1179.000000	1.600000	1173	9999-12-31	2013-05-08	3630
6406/3-4	INTERM.	13 3/8	2648.000000	17 1/2	2692.000000	1.870000	1173	9999-12-31	2013-05-08	3631
6406/3-4	INTERM.	9 5/8	3970.000000	12 1/4	3984.000000	1.980000	1173	9999-12-31	2013-05-08	3632
6406/3-4	LINER	7	4414.000000	8 1/2	4414.000000	0.000000	1173	9999-12-31	2013-05-08	3633
6406/3-5	CONDUCTOR	30	418.000000	36	473.000000	0.000000	1227	9999-12-31	2013-05-08	3634
6406/3-5	SURF.COND.	20	535.000000	26	545.000000	1.430000	1227	9999-12-31	2013-05-08	3635
6406/3-5	INTERM.	13 3/8	1722.000000	17 1/2	1749.000000	1.770000	1227	9999-12-31	2013-05-08	3636
6406/3-5	INTERM.	9 5/8	3797.000000	12 1/4	3814.000000	1.930000	1227	9999-12-31	2013-05-08	3637
6406/3-5	OPEN HOLE	\N	4283.000000	8 1/2	0.000000	0.000000	1227	9999-12-31	2013-05-08	3638
6406/3-6	CONDUCTOR	30	357.000000	36	459.000000	0.000000	4589	9999-12-31	2013-05-08	3639
6406/3-6	SURF.COND.	13 3/8	1773.000000	17 1/2	1780.000000	1.830000	4589	9999-12-31	2013-05-08	3640
6406/3-6	INTERM.	9 5/8	2897.000000	12 1/4	1903.000000	1.850000	4589	9999-12-31	2013-05-08	3641
6406/3-6	INTERM.	7	3647.000000	8 1/2	3654.000000	1.490000	4589	9999-12-31	2013-05-08	3642
6406/3-6	OPEN HOLE	\N	4175.000000	6	4175.000000	0.000000	4589	9999-12-31	2013-05-08	3643
6406/3-7	CONDUCTOR	30	340.000000	36	340.000000	0.000000	5375	9999-12-31	2013-05-08	3644
6406/3-7	SURF.COND.	20	1458.000000	26	1468.000000	1.700000	5375	9999-12-31	2013-05-08	3645
6406/3-7	INTERM.	14	2294.000000	17 1/2	2302.000000	1.900000	5375	9999-12-31	2013-05-08	3646
6406/3-7	INTERM.	9 7/8	3951.000000	12 1/4	3951.000000	2.050000	5375	9999-12-31	2013-05-08	3647
6406/3-7	OPEN HOLE	\N	4250.000000	8 1/2	4250.000000	0.000000	5375	9999-12-31	2013-05-08	3648
6406/3-8	PILOT HOLE	\N	545.000000	9 5/8	545.000000	0.000000	6350	9999-12-31	2013-05-08	3649
6406/3-8	CONDUCTOR	30	397.000000	36	398.000000	0.000000	6350	9999-12-31	2013-05-08	3650
6406/3-8	SURF.COND.	20	541.000000	26	544.000000	0.000000	6350	9999-12-31	2013-05-08	3651
6406/3-8	LINER	16	1692.000000	20	1698.000000	0.000000	6350	9999-12-31	2013-05-08	3652
6406/3-8	INTERM.	13 3/8	2280.000000	17 1/2	2327.000000	0.000000	6350	9999-12-31	2013-05-08	3653
6406/3-8	INTERM.	9 5/8	3803.000000	12 1/4	3805.000000	0.000000	6350	9999-12-31	2013-05-08	3654
6406/3-8	OPEN HOLE	\N	4216.000000	8 1/2	4216.000000	0.000000	6350	9999-12-31	2013-05-08	3655
6406/3-9	CONDUCTOR	30	471.000000	36	473.000000	0.000000	6594	9999-12-31	2013-05-08	3656
6406/3-9	SURF.COND.	20	1397.000000	26	1406.000000	0.000000	6594	9999-12-31	2013-05-08	3657
6406/3-9	INTERM.	13 3/8	2281.000000	17 1/2	2286.000000	1.650000	6594	9999-12-31	2013-05-08	3658
6406/3-9	INTERM.	9 7/8	3731.000000	12 1/4	3738.000000	1.840000	6594	9999-12-31	2013-05-08	3659
6406/3-9	OPEN HOLE	\N	4183.000000	8 1/2	4183.000000	1.970000	6594	9999-12-31	2013-05-08	3660
6406/5-1	OPEN HOLE	\N	4692.000000	8 1/2	4692.000000	0.000000	4451	9999-12-31	2013-05-08	3661
6406/5-1	CONDUCTOR	30	359.000000	36	360.000000	0.000000	4451	9999-12-31	2013-05-08	3662
6406/5-1	INTERM.	20	1399.000000	26	1400.000000	1.840000	4451	9999-12-31	2013-05-08	3663
6406/5-1	INTERM.	16	2254.000000	18	2260.000000	1.860000	4451	9999-12-31	2013-05-08	3664
6406/5-1	INTERM.	13 3/8	2654.000000	17 1/2	2660.000000	1.870000	4451	9999-12-31	2013-05-08	3665
6406/5-1	INTERM.	9 5/8	4073.000000	12 1/4	4075.000000	0.000000	4451	9999-12-31	2013-05-08	3666
6406/6-1	CONDUCTOR	30	331.000000	36	332.000000	0.000000	486	9999-12-31	2013-05-08	3667
6406/6-1	SURF.COND.	20	954.000000	26	965.000000	1.730000	486	9999-12-31	2013-05-08	3668
6406/6-1	INTERM.	13 3/8	2392.000000	17 1/2	2415.000000	1.850000	486	9999-12-31	2013-05-08	3669
6406/6-1	INTERM.	9 5/8	4157.000000	12 1/4	4165.000000	2.200000	486	9999-12-31	2013-05-08	3670
6406/6-1	LINER	7	4702.000000	8 1/2	4711.000000	2.020000	486	9999-12-31	2013-05-08	3671
6406/6-1	INTERM.	13 3/8	2393.000000	17 1/2	2415.000000	1.850000	486	9999-12-31	2013-05-08	3672
6406/6-1	LINER	7	4696.000000	8 1/2	4711.000000	0.000000	486	9999-12-31	2013-05-08	3673
6406/6-1	OPEN HOLE	\N	4715.000000	6	4715.000000	0.000000	486	9999-12-31	2013-05-08	3674
6406/6-2	CONDUCTOR	30	380.000000	36	385.000000	0.000000	5359	9999-12-31	2013-05-08	3675
6406/6-2	SURF.COND.	20	1410.000000	26	1422.000000	1.710000	5359	9999-12-31	2013-05-08	3676
6406/6-2	INTERM.	13 3/8	2330.000000	17 1/2	2340.000000	1.900000	5359	9999-12-31	2013-05-08	3677
6406/6-2	INTERM.	9 7/8	3944.000000	12 1/4	3950.000000	2.100000	5359	9999-12-31	2013-05-08	3678
6406/6-2	OPEN HOLE	\N	4670.000000	8 1/2	4670.000000	0.000000	5359	9999-12-31	2013-05-08	3679
6406/8-1	CONDUCTOR	30	436.000000	36	477.000000	1.100000	1136	9999-12-31	2013-05-08	3680
6406/8-1	SURF.COND.	20	1301.000000	26	1316.000000	1.500000	1136	9999-12-31	2013-05-08	3681
6406/8-1	INTERM.	9 5/8	4195.000000	12 1/2	4210.000000	2.090000	1136	9999-12-31	2013-05-08	3682
6406/8-1	INTERM.	7	4640.000000	8 1/2	4649.000000	2.050000	1136	9999-12-31	2013-05-08	3683
6406/8-1	\N	5	4914.000000	6	4914.000000	0.000000	1136	9999-12-31	2013-05-08	3684
6406/8-1	INTERM.	13 3/8	2635.000000	17 1/2	2650.000000	1.850000	1136	9999-12-31	2013-05-08	3685
6406/8-2	CONDUCTOR	30	458.000000	36	466.000000	0.000000	5435	9999-12-31	2013-05-08	3686
6406/8-2	SURF.COND.	20	1409.000000	26	1422.000000	1.670000	5435	9999-12-31	2013-05-08	3687
6406/8-2	INTERM.	16	2332.000000	19 3/4	2339.000000	1.910000	5435	9999-12-31	2013-05-08	3688
6406/8-2	INTERM.	13 3/8	3034.000000	16	3063.000000	0.000000	5435	9999-12-31	2013-05-08	3689
6406/8-2	INTERM.	9 5/8	4136.000000	12 1/4	4152.000000	2.000000	5435	9999-12-31	2013-05-08	3690
6406/8-2	OPEN HOLE	\N	4700.000000	8 1/2	4700.000000	2.140000	5435	9999-12-31	2013-05-08	3691
6406/9-1	CONDUCTOR	30	417.000000	36	417.000000	0.000000	4927	9999-12-31	2013-05-08	3692
6406/9-1	SURF.COND.	20	1375.000000	26	1375.000000	1.740000	4927	9999-12-31	2013-05-08	3693
6406/9-1	INTERM.	16	2243.000000	17 1/2	2244.000000	1.890000	4927	9999-12-31	2013-05-08	3694
6406/9-1	INTERM.	13 3/8	2873.000000	14 7/8	2873.000000	1.950000	4927	9999-12-31	2013-05-08	3695
6406/9-1	INTERM.	9 5/8	4365.000000	12 1/4	4365.000000	2.130000	4927	9999-12-31	2013-05-08	3696
6406/9-1	LINER	7	5080.000000	8 1/2	5080.000000	0.000000	4927	9999-12-31	2013-05-08	3697
6406/9-2	CONDUCTOR	30	402.000000	36	407.000000	0.000000	5454	9999-12-31	2013-05-08	3698
6406/9-2	SURF.COND.	20	1443.000000	26	1450.000000	1.750000	5454	9999-12-31	2013-05-08	3699
6406/9-2	INTERM.	13 3/8	2404.000000	17 1/2	2410.000000	1.900000	5454	9999-12-31	2013-05-08	3700
6406/9-2	OPEN HOLE	\N	5348.000000	8 1/2	5348.000000	0.000000	5454	9999-12-31	2013-05-08	3701
6406/9-2	INTERM.	9 5/8	4456.000000	12 1/4	4461.000000	0.000000	5454	9999-12-31	2013-05-08	3702
6407/10-1	OPEN HOLE	\N	3347.000000	8 1/2	3347.000000	0.000000	1054	9999-12-31	2013-05-08	3703
6407/10-1	CONDUCTOR	30	442.000000	36	590.000000	0.000000	1054	9999-12-31	2013-05-08	3704
6407/10-1	INTERM.	13 3/8	1101.000000	17 1/2	1117.000000	1.930000	1054	9999-12-31	2013-05-08	3705
6407/10-1	INTERM.	9 5/8	2526.000000	12 1/4	2545.000000	1.910000	1054	9999-12-31	2013-05-08	3706
6407/10-2	CONDUCTOR	30	445.000000	36	447.000000	0.000000	1497	9999-12-31	2013-05-08	3707
6407/10-2	INTERM.	20	1056.000000	26	1070.000000	1.950000	1497	9999-12-31	2013-05-08	3708
6407/10-2	INTERM.	13 3/8	2164.000000	17 1/2	2188.000000	1.700000	1497	9999-12-31	2013-05-08	3709
6407/10-2	OPEN HOLE	\N	3825.000000	12 1/4	3825.000000	0.000000	1497	9999-12-31	2013-05-08	3710
6407/10-3	CONDUCTOR	30	434.000000	36	436.000000	0.000000	1927	9999-12-31	2013-05-08	3711
6407/10-3	INTERM.	18 5/8	802.000000	26	804.000000	1.590000	1927	9999-12-31	2013-05-08	3712
6407/10-3	INTERM.	13 3/8	1773.000000	17 1/2	1775.000000	1.940000	1927	9999-12-31	2013-05-08	3713
6407/10-3	OPEN HOLE	\N	2973.000000	12 1/4	2973.000000	0.000000	1927	9999-12-31	2013-05-08	3714
6407/1-1	CONDUCTOR	30	401.000000	36	401.000000	0.000000	66	9999-12-31	2013-05-08	3715
6407/1-1	SURF.COND.	20	879.000000	26	900.000000	0.000000	66	9999-12-31	2013-05-08	3716
6407/1-2	CONDUCTOR	30	400.000000	36	401.000000	0.000000	61	9999-12-31	2013-05-08	3717
6407/1-2	SURF.COND.	20	901.000000	26	901.000000	0.000000	61	9999-12-31	2013-05-08	3718
6407/1-2	INTERM.	13 3/8	1789.000000	17 1/2	1817.000000	1.880000	61	9999-12-31	2013-05-08	3719
6407/1-2	INTERM.	9 5/8	3568.000000	12 1/4	3568.000000	2.030000	61	9999-12-31	2013-05-08	3720
6407/1-2	LINER	7	3969.000000	8 1/2	3969.000000	1.880000	61	9999-12-31	2013-05-08	3721
6407/1-2	OPEN HOLE	\N	4560.000000	7	4560.000000	0.000000	61	9999-12-31	2013-05-08	3722
6407/12-1	CONDUCTOR	30	373.000000	36	375.000000	0.000000	3781	9999-12-31	2013-05-08	3723
6407/12-1	INTERM.	9 5/8	1805.000000	12 1/4	1805.000000	1.850000	3781	9999-12-31	2013-05-08	3724
6407/12-2	CONDUCTOR	30	426.000000	36	430.000000	0.000000	6191	9999-12-31	2013-05-08	3725
6407/12-2	SURF.COND.	13 3/8	759.000000	17 1/2	765.000000	1.540000	6191	9999-12-31	2013-05-08	3726
6407/12-2	INTERM.	9 5/8	967.000000	12 1/4	968.000000	1.720000	6191	9999-12-31	2013-05-08	3727
6407/12-2	OPEN HOLE	\N	1481.500000	8 1/2	1481.500000	0.000000	6191	9999-12-31	2013-05-08	3728
6407/12-3	CONDUCTOR	30	384.000000	36	386.000000	0.000000	6370	9999-12-31	2013-05-08	3729
6407/12-3	SURF.COND.	13 3/8	1068.000000	17 1/2	1080.000000	1.500000	6370	9999-12-31	2013-05-08	3730
6407/12-3	INTERM.	9 5/8	1572.000000	12 1/4	1575.000000	1.500000	6370	9999-12-31	2013-05-08	3731
6407/12-3	OPEN HOLE	\N	1968.000000	8 1/2	1968.000000	0.000000	6370	9999-12-31	2013-05-08	3732
6407/1-3	CONDUCTOR	30	415.000000	36	415.000000	0.000000	29	9999-12-31	2013-05-08	3733
6407/1-3	SURF.COND.	20	948.000000	26	965.000000	1.700000	29	9999-12-31	2013-05-08	3734
6407/1-3	INTERM.	13 3/8	2286.000000	17 1/2	2300.000000	1.870000	29	9999-12-31	2013-05-08	3735
6407/1-3	INTERM.	9 5/8	3595.000000	12 1/4	3608.000000	1.820000	29	9999-12-31	2013-05-08	3736
6407/1-3	LINER	7	3969.000000	8 1/2	3976.000000	0.000000	29	9999-12-31	2013-05-08	3737
6407/1-3	OPEN HOLE	\N	4469.000000	6	4469.000000	0.000000	29	9999-12-31	2013-05-08	3738
6407/1-4	CONDUCTOR	30	371.000000	36	373.000000	0.000000	2796	9999-12-31	2013-05-08	3739
6407/1-4	SURF.COND.	20	810.000000	26	813.000000	1.350000	2796	9999-12-31	2013-05-08	3740
6407/1-4	INTERM.	13 3/8	1802.000000	17 1/2	1804.000000	1.780000	2796	9999-12-31	2013-05-08	3741
6407/1-4	INTERM.	9 5/8	3670.000000	12 1/4	3674.000000	1.500000	2796	9999-12-31	2013-05-08	3742
6407/1-4	LINER	7	3805.000000	8 1/2	3805.000000	0.000000	2796	9999-12-31	2013-05-08	3743
6407/2-1	CONDUCTOR	30	409.000000	36	409.000000	0.000000	76	9999-12-31	2013-05-08	3744
6407/2-1	SURF.COND.	20	1004.000000	26	1013.000000	1.640000	76	9999-12-31	2013-05-08	3745
6407/2-1	INTERM.	13 3/8	2203.000000	17 1/2	2215.000000	1.740000	76	9999-12-31	2013-05-08	3746
6407/2-1	INTERM.	9 5/8	2718.000000	12 1/4	2729.000000	1.830000	76	9999-12-31	2013-05-08	3747
6407/2-1	OPEN HOLE	\N	3870.000000	8 1/2	3870.000000	0.000000	76	9999-12-31	2013-05-08	3748
6407/2-2	CONDUCTOR	30	398.000000	36	398.000000	0.000000	16	9999-12-31	2013-05-08	3749
6407/2-2	SURF.COND.	20	860.000000	26	865.000000	1.610000	16	9999-12-31	2013-05-08	3750
6407/2-2	INTERM.	13 3/8	1966.000000	17 1/2	1995.000000	1.710000	16	9999-12-31	2013-05-08	3751
6407/2-2	INTERM.	9 5/8	2676.000000	12 1/4	2735.000000	0.000000	16	9999-12-31	2013-05-08	3752
6407/2-2	OPEN HOLE	\N	3351.000000	8 1/2	3351.000000	0.000000	16	9999-12-31	2013-05-08	3753
6407/2-3	CONDUCTOR	30	398.000000	36	403.000000	0.000000	935	9999-12-31	2013-05-08	3754
6407/2-3	SURF.COND.	20	900.000000	26	915.000000	1.510000	935	9999-12-31	2013-05-08	3755
6407/2-3	INTERM.	13 3/8	1954.000000	17 1/2	2104.000000	1.830000	935	9999-12-31	2013-05-08	3756
6407/2-3	INTERM.	9 5/8	2371.000000	12 1/4	2645.000000	1.690000	935	9999-12-31	2013-05-08	3757
6407/2-3	LINER	7	2625.000000	8 1/2	3050.000000	0.000000	935	9999-12-31	2013-05-08	3758
6407/2-4	CONDUCTOR	30	351.000000	36	354.000000	0.000000	6106	9999-12-31	2013-05-08	3759
6407/2-4	SURF.COND.	20	749.000000	26	755.000000	1.490000	6106	9999-12-31	2013-05-08	3760
6407/2-4	INTERM.	13 3/8	1773.000000	17 1/2	1777.000000	2.250000	6106	9999-12-31	2013-05-08	3761
6407/2-4	INTERM.	9 5/8	2869.000000	12 1/4	2876.000000	1.770000	6106	9999-12-31	2013-05-08	3762
6407/2-4	OPEN HOLE	\N	3001.000000	8 1/2	3001.000000	0.000000	6106	9999-12-31	2013-05-08	3763
6407/2-4	PILOT HOLE	\N	755.000000	9 7/8	755.000000	0.000000	6106	9999-12-31	2013-05-08	3764
6407/2-5 S	CONDUCTOR	30	319.000000	36	624.000000	0.000000	6151	9999-12-31	2013-05-08	3765
6407/2-5 S	SURF.COND.	13 3/8	1310.000000	17 1/2	1321.000000	1.640000	6151	9999-12-31	2013-05-08	3766
6407/2-5 S	INTERM.	9 5/8	2650.000000	12 1/4	2650.000000	1.870000	6151	9999-12-31	2013-05-08	3767
6407/2-5 S	OPEN HOLE	\N	3408.000000	8 1/2	3408.000000	0.000000	6151	9999-12-31	2013-05-08	3768
6407/2-6 S	CONDUCTOR	30	336.000000	36	345.000000	0.000000	6351	9999-12-31	2013-05-08	3769
6407/2-6 S	SURF.COND.	20	605.000000	26	609.000000	1.300000	6351	9999-12-31	2013-05-08	3770
6407/2-6 S	INTERM.	13 3/8	1306.000000	17 1/2	1313.000000	1.670000	6351	9999-12-31	2013-05-08	3771
6407/2-6 S	INTERM.	9 5/8	2925.000000	12 1/4	2929.000000	2.020000	6351	9999-12-31	2013-05-08	3772
6407/2-6 S	OPEN HOLE	\N	3230.000000	8 1/2	3230.000000	0.000000	6351	9999-12-31	2013-05-08	3773
6407/2-6 S	PILOT HOLE	\N	811.000000	9 7/8	811.000000	0.000000	6351	9999-12-31	2013-05-08	3774
6407/3-1 S	CONDUCTOR	30	317.500000	36	320.500000	0.000000	6582	9999-12-31	2013-05-08	3775
6407/3-1 S	SURF.COND.	20	464.300000	26	474.000000	1.370000	6582	9999-12-31	2013-05-08	3776
6407/3-1 S	INTERM.	13 3/8	1294.000000	17 1/2	1308.000000	1.620000	6582	9999-12-31	2013-05-08	3777
6407/3-1 S	INTERM.	9 5/8	2587.000000	12 1/4	2592.000000	1.990000	6582	9999-12-31	2013-05-08	3778
6407/3-1 S	OPEN HOLE	\N	2928.000000	8 1/2	2928.000000	0.000000	6582	9999-12-31	2013-05-08	3779
6407/4-1	CONDUCTOR	30	320.000000	36	322.000000	0.000000	490	9999-12-31	2013-05-08	3780
6407/4-1	SURF.COND.	20	849.000000	26	867.000000	1.600000	490	9999-12-31	2013-05-08	3781
6407/4-1	INTERM.	13 3/8	2121.000000	17 1/2	2134.000000	1.830000	490	9999-12-31	2013-05-08	3782
6407/4-1	INTERM.	9 5/8	3825.000000	12 1/4	3828.000000	2.030000	490	9999-12-31	2013-05-08	3783
6407/4-1	LINER	7	4528.000000	8 1/2	4540.000000	2.100000	490	9999-12-31	2013-05-08	3784
6407/4-1	OPEN HOLE	\N	4835.000000	6	4835.000000	0.000000	490	9999-12-31	2013-05-08	3785
6407/4-2	CONDUCTOR	30	306.000000	36	309.000000	0.000000	6557	9999-12-31	2013-05-08	3786
6407/4-2	SURF.COND.	20	1054.000000	26	1062.000000	1.660000	6557	9999-12-31	2013-05-08	3787
6407/4-2	INTERM.	14	1926.000000	17 1/2	1930.000000	1.830000	6557	9999-12-31	2013-05-08	3788
6407/4-2	INTERM.	9 5/8	3931.000000	12 1/4	3932.000000	2.060000	6557	9999-12-31	2013-05-08	3789
6407/4-2	OPEN HOLE	\N	4230.000000	8 1/2	4230.000000	0.000000	6557	9999-12-31	2013-05-08	3790
6407/5-1	SURF.COND.	20	1000.000000	26	1025.000000	1.670000	1174	9999-12-31	2013-05-08	3791
6407/5-1	INTERM.	13 3/8	2041.000000	17 1/2	2053.000000	1.830000	1174	9999-12-31	2013-05-08	3792
6407/5-1	OPEN HOLE	\N	4306.000000	12 1/4	4306.000000	0.000000	1174	9999-12-31	2013-05-08	3793
6407/5-1	CONDUCTOR	30	405.000000	36	413.000000	0.000000	1174	9999-12-31	2013-05-08	3794
6407/6-1	OPEN HOLE	\N	2895.000000	8 1/2	2895.000000	0.000000	444	9999-12-31	2013-05-08	3795
6407/6-1	CONDUCTOR	30	314.000000	36	316.000000	0.000000	444	9999-12-31	2013-05-08	3796
6407/6-1	SURF.COND.	20	456.000000	26	463.000000	1.300000	444	9999-12-31	2013-05-08	3797
6407/6-1	INTERM.	13 3/8	1334.000000	17 1/2	1349.000000	1.750000	444	9999-12-31	2013-05-08	3798
6407/6-1	INTERM.	9 5/8	1873.000000	12 1/4	1888.000000	1.680000	444	9999-12-31	2013-05-08	3799
6407/6-2	CONDUCTOR	30	318.000000	36	323.000000	0.000000	522	9999-12-31	2013-05-08	3800
6407/6-3	CONDUCTOR	30	324.000000	36	332.000000	0.000000	1024	9999-12-31	2013-05-08	3801
6407/6-3	SURF.COND.	20	430.000000	26	459.000000	1.550000	1024	9999-12-31	2013-05-08	3802
6407/6-3	INTERM.	13 3/8	1391.000000	17 1/2	1418.000000	1.950000	1024	9999-12-31	2013-05-08	3803
6407/6-3	INTERM.	9 5/8	2458.000000	12 1/4	2470.000000	1.980000	1024	9999-12-31	2013-05-08	3804
6407/6-3	LINER	7	3083.000000	8 1/2	3100.000000	1.890000	1024	9999-12-31	2013-05-08	3805
6407/6-4	CONDUCTOR	30	353.000000	36	357.000000	0.000000	1604	9999-12-31	2013-05-08	3806
6407/6-4	INTERM.	20	1079.000000	26	1085.000000	1.730000	1604	9999-12-31	2013-05-08	3807
6407/6-4	INTERM.	13 3/8	2492.000000	17 1/2	2500.000000	1.910000	1604	9999-12-31	2013-05-08	3808
6407/6-4	INTERM.	9 5/8	3126.000000	12 1/4	3126.000000	0.000000	1604	9999-12-31	2013-05-08	3809
6407/6-5	CONDUCTOR	30	310.000000	36	311.000000	0.000000	3921	9999-12-31	2013-05-08	3810
6407/6-5	INTERM.	13 3/8	421.000000	17 1/2	422.000000	1.280000	3921	9999-12-31	2013-05-08	3811
6407/6-5	INTERM.	9 5/8	1193.000000	12 1/4	1193.000000	1.630000	3921	9999-12-31	2013-05-08	3812
6407/6-5	OPEN HOLE	\N	2759.000000	8 1/2	2759.000000	0.000000	3921	9999-12-31	2013-05-08	3813
6407/6-6	CONDUCTOR	30	296.000000	36	298.000000	0.000000	5636	9999-12-31	2013-05-08	3814
6407/6-6	PILOT HOLE	\N	547.000000	9 7/8	547.000000	0.000000	5636	9999-12-31	2013-05-08	3815
6407/6-6	SURF.COND.	13 3/8	1054.000000	17 1/2	1060.000000	1.660000	5636	9999-12-31	2013-05-08	3816
6407/6-6	SURF.COND.	9 5/8	2056.000000	12 1/4	2057.000000	1.680000	5636	9999-12-31	2013-05-08	3817
6407/6-6	OPEN HOLE	\N	2508.000000	8 1/2	2508.000000	0.000000	5636	9999-12-31	2013-05-08	3818
6407/6-7 S	CONDUCTOR	30	317.000000	36	317.000000	0.000000	6100	9999-12-31	2013-05-08	3819
6407/6-7 S	SURF.COND.	20	418.000000	26	422.000000	1.270000	6100	9999-12-31	2013-05-08	3820
6407/6-7 S	INTERM.	13 3/8	1144.000000	17 1/2	1149.000000	1.760000	6100	9999-12-31	2013-05-08	3821
6407/6-7 S	INTERM.	9 5/8	2700.000000	12 1/4	2701.000000	1.860000	6100	9999-12-31	2013-05-08	3822
6407/6-7 S	OPEN HOLE	\N	3227.000000	8 1/2	3227.000000	0.000000	6100	9999-12-31	2013-05-08	3823
6407/6-7 S	PILOT HOLE	\N	437.000000	9 7/8	437.000000	0.000000	6100	9999-12-31	2013-05-08	3824
6407/7-1 S	CONDUCTOR	30	441.000000	36	443.000000	0.000000	474	9999-12-31	2013-05-08	3825
6407/7-1 S	SURF.COND.	20	1130.000000	26	1172.000000	0.000000	474	9999-12-31	2013-05-08	3826
6407/7-1 S	INTERM.	13 3/8	1890.000000	17 1/2	1917.000000	0.000000	474	9999-12-31	2013-05-08	3827
6407/7-1 S	INTERM.	9 5/8	2700.000000	12 1/4	2710.000000	0.000000	474	9999-12-31	2013-05-08	3828
6407/7-1 S	INTERM.	7	3729.000000	8  3/8	3756.000000	0.000000	474	9999-12-31	2013-05-08	3829
6407/7-1 S	OPEN HOLE	\N	3950.000000	6	3950.000000	0.000000	474	9999-12-31	2013-05-08	3830
6407/7-2	CONDUCTOR	30	445.000000	36	446.000000	0.000000	1017	9999-12-31	2013-05-08	3831
6407/7-2	INTERM.	13 3/8	757.000000	17 1/2	1517.000000	1.760000	1017	9999-12-31	2013-05-08	3832
6407/7-2	INTERM.	9 5/8	2535.000000	12 1/4	2550.000000	1.870000	1017	9999-12-31	2013-05-08	3833
6407/7-2	LINER	7	3316.000000	8 1/2	3320.000000	0.000000	1017	9999-12-31	2013-05-08	3834
6407/7-3	SURF.COND.	20	520.000000	26	536.000000	1.370000	1229	9999-12-31	2013-05-08	3835
6407/7-3	INTERM.	13 3/8	1098.000000	17 1/2	1116.000000	1.780000	1229	9999-12-31	2013-05-08	3836
6407/7-3	INTERM.	9 5/8	2731.000000	12 1/4	2750.000000	1.750000	1229	9999-12-31	2013-05-08	3837
6407/7-3	LINER	7	3218.000000	8 1/2	3222.000000	0.000000	1229	9999-12-31	2013-05-08	3838
6407/7-3	CONDUCTOR	30	440.000000	36	442.000000	0.000000	1229	9999-12-31	2013-05-08	3839
6407/7-4	LINER	7	3209.000000	8 1/2	3211.000000	0.000000	1360	9999-12-31	2013-05-08	3840
6407/7-4	CONDUCTOR	30	440.000000	36	0.000000	0.000000	1360	9999-12-31	2013-05-08	3841
6407/7-4	INTERM.	20	524.000000	26	541.000000	1.410000	1360	9999-12-31	2013-05-08	3842
6407/7-4	INTERM.	13 3/8	1099.000000	18 1/2	1118.000000	1.960000	1360	9999-12-31	2013-05-08	3843
6407/7-4	INTERM.	9 5/8	2790.000000	12 1/4	2812.000000	1.600000	1360	9999-12-31	2013-05-08	3844
6407/7-5	CONDUCTOR	30	435.000000	36	437.000000	0.000000	1699	9999-12-31	2013-05-08	3845
6407/7-5	INTERM.	13 3/8	1097.000000	17 1/2	1100.000000	1.490000	1699	9999-12-31	2013-05-08	3846
6407/7-5	INTERM.	9 5/8	2859.000000	12 1/4	2866.000000	1.450000	1699	9999-12-31	2013-05-08	3847
6407/7-5	OPEN HOLE	\N	3725.000000	8 1/2	3725.000000	0.000000	1699	9999-12-31	2013-05-08	3848
6407/7-6	CONDUCTOR	30	446.500000	36	449.000000	0.000000	4172	9999-12-31	2013-05-08	3849
6407/7-6	SURF.COND.	20	1224.000000	26	1229.000000	1.800000	4172	9999-12-31	2013-05-08	3850
6407/7-6	INTERM.	9 5/8	3094.000000	12 1/4	3100.000000	1.760000	4172	9999-12-31	2013-05-08	3851
6407/7-6	OPEN HOLE	\N	3975.000000	8 1/2	3975.000000	0.000000	4172	9999-12-31	2013-05-08	3852
6407/7-7 S	CONDUCTOR	30	434.000000	36	440.000000	0.000000	5550	9999-12-31	2013-05-08	3853
6407/7-7 S	SURF.COND.	20	1246.000000	26	1250.000000	1.740000	5550	9999-12-31	2013-05-08	3854
6407/7-7 S	INTERM.	14	2266.000000	17 1/4	2270.000000	1.900000	5550	9999-12-31	2013-05-08	3855
6407/7-7 S	OPEN HOLE	\N	3886.000000	12 1/4	3886.000000	0.000000	5550	9999-12-31	2013-05-08	3856
6407/7-8	CONDUCTOR	30	359.000000	36	363.000000	0.000000	5844	9999-12-31	2013-05-08	3857
6407/7-8	PILOT HOLE	\N	810.000000	8 1/2	810.000000	0.000000	5844	9999-12-31	2013-05-08	3858
6407/7-8	SURF.COND.	20	1095.000000	26	1109.000000	1.710000	5844	9999-12-31	2013-05-08	3859
6407/7-8	INTERM.	16	2442.000000	17 1/2	2452.000000	1.810000	5844	9999-12-31	2013-05-08	3860
6407/7-8	INTERM.	9 5/8	4253.000000	12 1/4	4254.000000	1.900000	5844	9999-12-31	2013-05-08	3861
6407/7-8	OPEN HOLE	\N	5138.000000	8 1/2	5138.000000	0.000000	5844	9999-12-31	2013-05-08	3862
6407/7-8 A	OPEN HOLE	\N	5227.000000	8 1/2	5227.000000	1.900000	5953	9999-12-31	2013-05-08	3863
6407/8-1	OPEN HOLE	\N	4650.000000	12 1/2	4650.000000	0.000000	1859	9999-12-31	2013-05-08	3864
6407/8-1	INTERM.	20	1105.000000	26	1114.000000	1.840000	1859	9999-12-31	2013-05-08	3865
6407/8-1	INTERM.	13 3/8	2469.000000	17 1/2	2483.000000	1.910000	1859	9999-12-31	2013-05-08	3866
6407/8-2	CONDUCTOR	30	443.000000	36	446.000000	0.000000	2434	9999-12-31	2013-05-08	3867
6407/8-2	SURF.COND.	9 5/8	1135.000000	12 1/4	1140.000000	0.000000	2434	9999-12-31	2013-05-08	3868
6407/8-2	LINER	7	1731.000000	8 1/2	1733.000000	1.750000	2434	9999-12-31	2013-05-08	3869
6407/8-2	OPEN HOLE	\N	1950.000000	6	1950.000000	0.000000	2434	9999-12-31	2013-05-08	3870
6407/8-3	CONDUCTOR	30	396.000000	36	400.000000	0.000000	3092	9999-12-31	2013-05-08	3871
6407/8-3	SURF.COND.	9 5/8	1052.000000	12 1/2	1052.000000	1.760000	3092	9999-12-31	2013-05-08	3872
6407/8-3	OPEN HOLE	\N	1960.000000	8 1/2	1960.000000	0.000000	3092	9999-12-31	2013-05-08	3873
6407/8-4 A	INTERM.	9 5/8	2062.000000	12 1/4	2062.000000	1.850000	5814	9999-12-31	2013-05-08	3874
6407/8-4 A	OPEN HOLE	\N	2473.000000	8 1/2	2473.000000	0.000000	5814	9999-12-31	2013-05-08	3875
6407/8-4 S	CONDUCTOR	30	345.000000	36	347.000000	0.000000	5813	9999-12-31	2013-05-08	3876
6407/8-4 S	SURF.COND.	20	917.000000	26	930.000000	1.680000	5813	9999-12-31	2013-05-08	3877
6407/8-4 S	INTERM.	13 3/8	2004.000000	17 1/2	2015.000000	1.910000	5813	9999-12-31	2013-05-08	3878
6407/8-4 S	INTERM.	9 5/8	2175.000000	12 1/4	2219.000000	0.000000	5813	9999-12-31	2013-05-08	3879
6407/8-4 S	OPEN HOLE	\N	2788.000000	8 1/2	2788.000000	0.000000	5813	9999-12-31	2013-05-08	3880
6407/8-5 A	INTERM.	9 5/8	2412.000000	12 1/4	2469.000000	1.400000	6153	9999-12-31	2013-05-08	3881
6407/8-5 A	OPEN HOLE	\N	3231.000000	8 1/2	3231.000000	0.000000	6153	9999-12-31	2013-05-08	3882
6407/8-5 S	CONDUCTOR	30	330.000000	36	334.000000	0.000000	6110	9999-12-31	2013-05-08	3883
6407/8-5 S	SURF.COND.	13 3/8	915.000000	17 1/2	926.000000	1.800000	6110	9999-12-31	2013-05-08	3884
6407/8-5 S	INTERM.	9 5/8	2467.000000	12 1/4	2469.000000	0.000000	6110	9999-12-31	2013-05-08	3885
6407/8-5 S	OPEN HOLE	\N	3240.000000	8 1/2	3240.000000	0.000000	6110	9999-12-31	2013-05-08	3886
6407/9-1	CONDUCTOR	30	383.000000	36	395.000000	0.000000	133	9999-12-31	2013-05-08	3887
6407/9-1	SURF.COND.	20	799.000000	26	811.000000	1.390000	133	9999-12-31	2013-05-08	3888
6407/9-1	INTERM.	13 3/8	830.000000	17 1/2	840.000000	1.420000	133	9999-12-31	2013-05-08	3889
6407/9-1	INTERM.	9 5/8	1616.000000	12 1/4	1630.000000	1.640000	133	9999-12-31	2013-05-08	3890
6407/9-1	LINER	7	2484.000000	8 1/2	2500.000000	0.000000	133	9999-12-31	2013-05-08	3891
6407/9-10	CONDUCTOR	30	358.000000	36	359.000000	0.000000	4710	9999-12-31	2013-05-08	3892
6407/9-10	CONDUCTOR	\N	363.000000	26	363.000000	0.000000	4710	9999-12-31	2013-05-08	3893
6407/9-10	SURF.COND.	9 5/8	1008.000000	12 1/4	1020.000000	0.000000	4710	9999-12-31	2013-05-08	3894
6407/9-10	OPEN HOLE	\N	1800.000000	8 1/2	1800.000000	0.000000	4710	9999-12-31	2013-05-08	3895
6407/9-2	CONDUCTOR	30	383.000000	36	395.000000	0.000000	449	9999-12-31	2013-05-08	3896
6407/9-2	SURF.COND.	20	799.000000	26	811.000000	1.390000	449	9999-12-31	2013-05-08	3897
6407/9-2	INTERM.	13 3/8	830.000000	17 1/2	840.000000	1.420000	449	9999-12-31	2013-05-08	3898
6407/9-2	INTERM.	9 5/8	1616.000000	12 1/4	1630.000000	1.640000	449	9999-12-31	2013-05-08	3899
6407/9-2	LINER	7	2484.000000	8 1/2	2500.000000	0.000000	449	9999-12-31	2013-05-08	3900
6407/9-3	INTERM.	13 3/8	1601.000000	17 1/2	1617.000000	1.660000	469	9999-12-31	2013-05-08	3901
6407/9-3	INTERM.	9 5/8	1843.000000	12 1/4	1868.000000	0.000000	469	9999-12-31	2013-05-08	3902
6407/9-3	CONDUCTOR	30	376.500000	36	383.000000	0.000000	469	9999-12-31	2013-05-08	3903
6407/9-3	SURF.COND.	20	770.000000	26	780.000000	1.460000	469	9999-12-31	2013-05-08	3904
6407/9-4	SURF.COND.	20	804.500000	26	820.000000	1.550000	480	9999-12-31	2013-05-08	3905
6407/9-4	CONDUCTOR	30	365.500000	36	375.000000	0.000000	480	9999-12-31	2013-05-08	3906
6407/9-4	SURF.COND.	20	805.500000	26	820.000000	1.550000	480	9999-12-31	2013-05-08	3907
6407/9-4	INTERM.	13 3/8	1622.000000	17 1/2	1635.000000	1.810000	480	9999-12-31	2013-05-08	3908
6407/9-4	INTERM.	9 5/8	1793.000000	12 1/4	1820.000000	0.000000	480	9999-12-31	2013-05-08	3909
6407/9-5	CONDUCTOR	30	408.000000	36	408.000000	0.000000	492	9999-12-31	2013-05-08	3910
6407/9-5	SURF.COND.	20	801.000000	26	811.000000	1.520000	492	9999-12-31	2013-05-08	3911
6407/9-5	INTERM.	13 3/8	1617.000000	17 1/2	1625.000000	1.720000	492	9999-12-31	2013-05-08	3912
6407/9-5	INTERM.	9 5/8	1800.000000	12 1/4	1820.000000	0.000000	492	9999-12-31	2013-05-08	3913
6407/9-5	CONDUCTOR	30	396.000000	36	408.000000	0.000000	492	9999-12-31	2013-05-08	3914
6407/9-6	CONDUCTOR	30	375.000000	36	382.000000	0.000000	871	9999-12-31	2013-05-08	3915
6407/9-6	SURF.COND.	20	804.000000	26	812.000000	1.440000	871	9999-12-31	2013-05-08	3916
6407/9-6	INTERM.	13 3/8	1619.000000	17 1/2	1628.000000	1.680000	871	9999-12-31	2013-05-08	3917
6407/9-6	INTERM.	9 5/8	1776.000000	12 1/4	1800.000000	0.000000	871	9999-12-31	2013-05-08	3918
6407/9-7	INTERM.	9 5/8	1698.000000	12 1/4	1708.000000	1.500000	1057	9999-12-31	2013-05-08	3919
6407/9-7	OPEN HOLE	\N	2561.000000	8 1/2	2561.000000	0.000000	1057	9999-12-31	2013-05-08	3920
6407/9-7	CONDUCTOR	30	339.000000	36	348.000000	0.000000	1057	9999-12-31	2013-05-08	3921
6407/9-7	SURF.COND.	20	799.000000	26	810.000000	1.420000	1057	9999-12-31	2013-05-08	3922
6407/9-8	CONDUCTOR	30	309.700000	36	310.000000	0.000000	1974	9999-12-31	2013-05-08	3923
6407/9-8	INTERM.	13 3/8	1553.300000	17 1/2	1555.000000	1.620000	1974	9999-12-31	2013-05-08	3924
6407/9-8	INTERM.	9 5/8	2118.000000	12 1/4	2120.000000	1.730000	1974	9999-12-31	2013-05-08	3925
6407/9-8	INTERM.	18 5/8	1110.000000	26	1112.000000	0.000000	1974	9999-12-31	2013-05-08	3926
6407/9-9	CONDUCTOR	30	356.000000	36	356.000000	0.000000	1990	9999-12-31	2013-05-08	3927
6407/9-9	SURF.COND.	9 5/8	1050.000000	12 1/4	1050.000000	0.000000	1990	9999-12-31	2013-05-08	3928
6407/9-9	OPEN HOLE	\N	1920.000000	8 1/2	1920.000000	0.000000	1990	9999-12-31	2013-05-08	3929
6408/4-1	CONDUCTOR	30	340.000000	36	346.000000	0.000000	1246	9999-12-31	2013-05-08	3930
6408/4-1	SURF.COND.	20	820.000000	26	830.000000	1.530000	1246	9999-12-31	2013-05-08	3931
6408/4-1	INTERM.	13 3/8	1673.000000	17 1/2	1692.000000	1.750000	1246	9999-12-31	2013-05-08	3932
6408/4-1	OPEN HOLE	\N	2725.000000	12 1/4	2725.000000	0.000000	1246	9999-12-31	2013-05-08	3933
6504/5-1 S	CONDUCTOR	30	1240.000000	36	1245.000000	0.000000	5518	9999-12-31	2013-05-08	3934
6504/5-1 S	SURF.COND.	20	1591.000000	26	1596.000000	1.200000	5518	9999-12-31	2013-05-08	3935
6504/5-1 S	INTERM.	13 3/8	1950.000000	17 1/2	1955.000000	1.270000	5518	9999-12-31	2013-05-08	3936
6504/5-1 S	INTERM.	9 5/8	3091.000000	12 1/4	3095.000000	1.560000	5518	9999-12-31	2013-05-08	3937
6504/5-1 S	LINER	7	3510.000000	8 1/2	3521.000000	0.000000	5518	9999-12-31	2013-05-08	3938
6504/5-1 S	OPEN HOLE	\N	4170.000000	5 7/8	4170.000000	0.000000	5518	9999-12-31	2013-05-08	3939
6505/10-1	CONDUCTOR	30	782.000000	36	788.000000	0.000000	3259	9999-12-31	2013-05-08	3940
6505/10-1	SURF.COND.	20	1296.000000	26	1301.000000	1.370000	3259	9999-12-31	2013-05-08	3941
6505/10-1	INTERM.	13 3/8	2518.000000	16	2526.000000	1.590000	3259	9999-12-31	2013-05-08	3942
6505/10-1	OPEN HOLE	\N	5028.000000	\N	5028.000000	0.000000	3259	9999-12-31	2013-05-08	3943
6505/10-1	INTERM.	\N	2519.000000	\N	0.000000	1.590000	3259	9999-12-31	2013-05-08	3944
6506/11-1	INTERM.	9 5/8	4124.000000	12 1/4	4138.000000	2.160000	1216	9999-12-31	2013-05-08	3945
6506/11-1	INTERM.	13 3/8	2071.000000	17 1/2	2088.000000	1.870000	1216	9999-12-31	2013-05-08	3946
6506/11-1	OPEN HOLE	\N	4679.000000	8 1/2	4679.000000	0.000000	1216	9999-12-31	2013-05-08	3947
6506/11-1	CONDUCTOR	30	372.000000	36	372.000000	0.000000	1216	9999-12-31	2013-05-08	3948
6506/11-1	SURF.COND.	20	586.000000	26	590.000000	1.470000	1216	9999-12-31	2013-05-08	3949
6506/11-2	CONDUCTOR	30	380.000000	36	381.000000	0.000000	1754	9999-12-31	2013-05-08	3950
6506/11-2	INTERM.	20	810.000000	27	820.000000	1.510000	1754	9999-12-31	2013-05-08	3951
6506/11-2	INTERM.	13 3/8	2231.000000	17 1/2	2335.000000	1.850000	1754	9999-12-31	2013-05-08	3952
6506/11-2	INTERM.	9 5/8	4223.000000	12 1/4	4290.000000	2.000000	1754	9999-12-31	2013-05-08	3953
6506/11-2	LINER	7	4807.000000	8 1/2	4807.000000	0.000000	1754	9999-12-31	2013-05-08	3954
6506/11-3	CONDUCTOR	30	411.000000	36	414.000000	0.000000	1973	9999-12-31	2013-05-08	3955
6506/11-3	INTERM.	20	1012.000000	22	1014.000000	1.610000	1973	9999-12-31	2013-05-08	3956
6506/11-3	INTERM.	16	2005.000000	20	2010.000000	1.750000	1973	9999-12-31	2013-05-08	3957
6506/11-3	INTERM.	9 5/8	3700.000000	12 1/4	3717.000000	2.100000	1973	9999-12-31	2013-05-08	3958
6506/11-3	OPEN HOLE	\N	4350.000000	8 1/2	4350.000000	0.000000	1973	9999-12-31	2013-05-08	3959
6506/11-4 S	CONDUCTOR	30	384.000000	36	385.000000	0.000000	2736	9999-12-31	2013-05-08	3960
6506/11-4 S	SURF.COND.	20	1401.000000	26	1402.000000	1.680000	2736	9999-12-31	2013-05-08	3961
6506/11-4 S	INTERM.	13 3/8	2810.000000	17 1/2	2812.000000	1.870000	2736	9999-12-31	2013-05-08	3962
6506/11-4 S	INTERM.	9 5/8	4518.000000	12 1/4	4520.000000	0.000000	2736	9999-12-31	2013-05-08	3963
6506/11-4 S	LINER	7	5109.000000	8 1/2	5109.000000	0.000000	2736	9999-12-31	2013-05-08	3964
6506/11-5 S	LINER	7	4790.000000	8 1/2	4790.000000	0.000000	2794	9999-12-31	2013-05-08	3965
6506/11-5 S	CONDUCTOR	30	369.000000	36	375.000000	0.000000	2794	9999-12-31	2013-05-08	3966
6506/11-5 S	CONDUCTOR	20	616.000000	26	622.000000	1.440000	2794	9999-12-31	2013-05-08	3967
6506/11-5 S	CONDUCTOR	13 3/8	2105.000000	17 1/2	2140.000000	1.850000	2794	9999-12-31	2013-05-08	3968
6506/11-5 S	CONDUCTOR	9 5/8	4225.000000	12 1/4	4238.000000	1.800000	2794	9999-12-31	2013-05-08	3969
6506/11-6	CONDUCTOR	30	463.000000	36	464.000000	0.000000	3306	9999-12-31	2013-05-08	3970
6506/11-6	SURF.COND.	20	1402.000000	26	1403.000000	1.690000	3306	9999-12-31	2013-05-08	3971
6506/11-6	INTERM.	13 3/8	2730.000000	17 1/2	2730.000000	2.000000	3306	9999-12-31	2013-05-08	3972
6506/11-6	INTERM.	9 7/8	4493.000000	12 1/4	4494.000000	2.180000	3306	9999-12-31	2013-05-08	3973
6506/11-6	LINER	7	5275.000000	8 1/2	5275.000000	0.000000	3306	9999-12-31	2013-05-08	3974
6506/11-7	CONDUCTOR	30	440.000000	36	444.000000	0.000000	3322	9999-12-31	2013-05-08	3975
6506/11-7	SURF.COND.	20	1387.000000	26	1390.000000	1.770000	3322	9999-12-31	2013-05-08	3976
6506/11-7	INTERM.	13 3/8	2200.000000	17 1/2	2201.000000	1.920000	3322	9999-12-31	2013-05-08	3977
6506/11-7	INTERM.	9 7/8	4312.000000	12 1/4	4313.000000	2.120000	3322	9999-12-31	2013-05-08	3978
6506/11-7	LINER	7	4970.000000	8 1/2	4970.000000	0.000000	3322	9999-12-31	2013-05-08	3979
6506/11-8	CONDUCTOR	30	446.000000	36	448.000000	0.000000	5295	9999-12-31	2013-05-08	3980
6506/11-8	SURF.COND.	20	1341.000000	26	1350.000000	1.720000	5295	9999-12-31	2013-05-08	3981
6506/11-8	INTERM.	14	2139.000000	17 1/2	2150.000000	1.860000	5295	9999-12-31	2013-05-08	3982
6506/11-8	INTERM.	9 7/8	4500.000000	12 1/4	4500.000000	2.060000	5295	9999-12-31	2013-05-08	3983
6506/11-8	OPEN HOLE	\N	4980.000000	8 172	4980.000000	0.000000	5295	9999-12-31	2013-05-08	3984
6506/12-1	CONDUCTOR	30	346.000000	36	347.000000	0.000000	1004	9999-12-31	2013-05-08	3985
6506/12-1	OPEN HOLE	\N	4925.000000	6	4925.000000	0.000000	1004	9999-12-31	2013-05-08	3986
6506/12-1	SURF.COND.	20	931.000000	26	951.000000	0.000000	1004	9999-12-31	2013-05-08	3987
6506/12-1	INTERM.	13 3/8	2184.000000	17 1/2	2206.000000	1.810000	1004	9999-12-31	2013-05-08	3988
6506/12-1	INTERM.	9 5/8	3907.000000	12 1/4	3918.000000	1.920000	1004	9999-12-31	2013-05-08	3989
6506/12-1	LINER	7	4553.000000	8 1/2	4554.000000	1.980000	1004	9999-12-31	2013-05-08	3990
6506/12-10	CONDUCTOR	36	370.000000	30	371.000000	0.000000	2445	9999-12-31	2013-05-08	3991
6506/12-10	INTERM.	20	556.000000	26	557.000000	1.320000	2445	9999-12-31	2013-05-08	3992
6506/12-10	INTERM.	16	1581.000000	18	1583.000000	1.730000	2445	9999-12-31	2013-05-08	3993
6506/12-10	INTERM.	13 3/8	2780.000000	17 1/2	2782.000000	1.870000	2445	9999-12-31	2013-05-08	3994
6506/12-10	INTERM.	9 5/8	4550.000000	12 1/4	4550.000000	1.800000	2445	9999-12-31	2013-05-08	3995
6506/12-10	OPEN HOLE	\N	5097.000000	8 1/2	5097.000000	0.000000	2445	9999-12-31	2013-05-08	3996
6506/12-10 A	LINER	7	6260.000000	8 1/2	6260.000000	1.800000	2610	9999-12-31	2013-05-08	3997
6506/12-10 A	INTERM.	9 5/8	5248.000000	12 1/4	5250.000000	0.000000	2610	9999-12-31	2013-05-08	3998
6506/12-11 S	CONDUCTOR	30	370.000000	36	370.000000	0.000000	2795	9999-12-31	2013-05-08	3999
6506/12-11 S	INTERM.	20	617.000000	26	618.000000	1.400000	2795	9999-12-31	2013-05-08	4000
6506/12-11 S	INTERM.	13 3/8	2227.000000	17 1/2	2230.000000	1.870000	2795	9999-12-31	2013-05-08	4001
6506/12-11 S	INTERM.	9 5/8	4739.000000	12 1/4	4739.000000	0.000000	2795	9999-12-31	2013-05-08	4002
6506/12-11 S	OPEN HOLE	\N	5268.000000	8 1/2	5268.000000	0.000000	2795	9999-12-31	2013-05-08	4003
6506/12-12 A	LINER	7	5289.000000	8 1/2	5289.000000	0.000000	6208	9999-12-31	2013-05-08	4004
6506/12-12 S	CONDUCTOR	30	385.000000	36	385.000000	0.000000	6144	9999-12-31	2013-05-08	4005
6506/12-12 S	SURF.COND.	20	1050.000000	26	1061.000000	1.580000	6144	9999-12-31	2013-05-08	4006
6506/12-12 S	INTERM.	13 3/8	2243.000000	17 1/2	2244.000000	1.780000	6144	9999-12-31	2013-05-08	4007
6506/12-12 S	LINER	9 5/8	4774.000000	12 1/4	4774.000000	1.400000	6144	9999-12-31	2013-05-08	4008
6506/12-12 S	OPEN HOLE	\N	5508.000000	8 1/2	5508.000000	0.000000	6144	9999-12-31	2013-05-08	4009
6506/12-2	CONDUCTOR	30	406.000000	36	408.000000	0.000000	462	9999-12-31	2013-05-08	4010
6506/12-2	SURF.COND.	20	940.000000	26	955.000000	0.000000	462	9999-12-31	2013-05-08	4011
6506/12-3	CONDUCTOR	30	404.000000	36	404.000000	0.000000	468	9999-12-31	2013-05-08	4012
6506/12-3	SURF.COND.	20	940.000000	26	955.000000	1.650000	468	9999-12-31	2013-05-08	4013
6506/12-3	INTERM.	13 3/8	2240.000000	17 1/2	2280.000000	1.870000	468	9999-12-31	2013-05-08	4014
6506/12-3	INTERM.	9 5/8	3809.000000	12 1/4	3831.000000	1.830000	468	9999-12-31	2013-05-08	4015
6506/12-3	LINER	7	4359.000000	8 1/2	4360.000000	0.000000	468	9999-12-31	2013-05-08	4016
6506/12-4	CONDUCTOR	30	356.000000	36	357.000000	0.000000	475	9999-12-31	2013-05-08	4017
6506/12-4	SURF.COND.	20	622.000000	26	680.000000	1.540000	475	9999-12-31	2013-05-08	4018
6506/12-4	INTERM.	13 3/8	2089.000000	17 1/2	2107.000000	1.790000	475	9999-12-31	2013-05-08	4019
6506/12-4	INTERM.	9 5/8	3936.000000	12 1/4	3955.000000	1.920000	475	9999-12-31	2013-05-08	4020
6506/12-4	OPEN HOLE	\N	4457.000000	8 1/2	4457.000000	0.000000	475	9999-12-31	2013-05-08	4021
6506/12-5	CONDUCTOR	30	392.000000	36	400.000000	0.000000	852	9999-12-31	2013-05-08	4022
6506/12-5	SURF.COND.	20	1055.000000	26	1080.000000	1.690000	852	9999-12-31	2013-05-08	4023
6506/12-5	INTERM.	13 3/8	2280.000000	17 1/2	2296.000000	1.910000	852	9999-12-31	2013-05-08	4024
6506/12-5	INTERM.	9 5/8	3885.000000	12 1/4	3901.000000	1.950000	852	9999-12-31	2013-05-08	4025
6506/12-6	CONDUCTOR	30	412.000000	36	949.000000	0.000000	1342	9999-12-31	2013-05-08	4026
6506/12-6	SURF.COND.	20	1046.000000	26	1078.000000	1.620000	1342	9999-12-31	2013-05-08	4027
6506/12-6	INTERM.	13 3/8	2249.000000	17 1/2	2408.000000	1.870000	1342	9999-12-31	2013-05-08	4028
6506/12-6	INTERM.	9 5/8	4150.000000	12 1/4	4161.000000	2.070000	1342	9999-12-31	2013-05-08	4029
6506/12-6	LINER	7	4740.000000	8 1/2	4741.000000	0.000000	1342	9999-12-31	2013-05-08	4030
6506/12-7	CONDUCTOR	30	406.500000	36	410.000000	0.000000	300	9999-12-31	2013-05-08	4031
6506/12-7	SURF.COND.	20	589.000000	26	596.000000	1.510000	300	9999-12-31	2013-05-08	4032
6506/12-7	INTERM.	13 3/8	2203.000000	17 1/2	2221.000000	1.810000	300	9999-12-31	2013-05-08	4033
6506/12-7	INTERM.	9 5/8	4389.000000	12 1/4	4427.000000	1.800000	300	9999-12-31	2013-05-08	4034
6506/12-7	LINER	7	4838.000000	8 1/2	4840.000000	0.000000	300	9999-12-31	2013-05-08	4035
6506/12-8	INTERM.	9 5/8	3858.000000	12 1/4	3877.000000	1.750000	1068	9999-12-31	2013-05-08	4036
6506/12-8	LINER	7	4332.000000	8 1/2	4335.000000	0.000000	1068	9999-12-31	2013-05-08	4037
6506/12-8	CONDUCTOR	30	386.000000	36	386.000000	0.000000	1068	9999-12-31	2013-05-08	4038
6506/12-8	SURF.COND.	20	553.000000	26	577.000000	1.430000	1068	9999-12-31	2013-05-08	4039
6506/12-8	INTERM.	13 3/8	1859.000000	17 1/2	1876.000000	1.830000	1068	9999-12-31	2013-05-08	4040
6506/12-9 S	CONDUCTOR	30	378.000000	36	378.000000	0.000000	2128	9999-12-31	2013-05-08	4041
6506/12-9 S	INTERM.	20	790.000000	26	790.000000	1.520000	2128	9999-12-31	2013-05-08	4042
6506/12-9 S	INTERM.	13 3/8	2228.000000	17 1/2	2230.000000	1.890000	2128	9999-12-31	2013-05-08	4043
6506/12-9 S	INTERM.	9 5/8	4363.000000	12 1/4	4365.000000	1.870000	2128	9999-12-31	2013-05-08	4044
6506/12-9 S	LINER	7	4910.000000	8 1/2	4910.000000	0.000000	2128	9999-12-31	2013-05-08	4045
6506/3-1	CONDUCTOR	30	451.000000	36	454.000000	0.000000	4344	9999-12-31	2013-05-08	4046
6506/3-1	INTERM.	13 3/8	1374.000000	17 1/2	1382.000000	1.840000	4344	9999-12-31	2013-05-08	4047
6506/3-1	OPEN HOLE	\N	3667.000000	8 1/2	3667.000000	0.000000	4344	9999-12-31	2013-05-08	4048
6506/6-1	LINER	7	5491.000000	8 1/2	5491.000000	0.000000	4122	9999-12-31	2013-05-08	4049
6506/6-1	CONDUCTOR	30	551.000000	36	551.000000	0.000000	4122	9999-12-31	2013-05-08	4050
6506/6-1	SURF.COND.	20	1424.000000	26	1437.000000	1.670000	4122	9999-12-31	2013-05-08	4051
6506/6-1	INTERM.	13 3/8	2784.000000	17 1/2	2805.000000	1.880000	4122	9999-12-31	2013-05-08	4052
6506/6-1	INTERM.	9 5/8	4267.000000	12 1/4	4276.000000	2.160000	4122	9999-12-31	2013-05-08	4053
6506/9-1	CONDUCTOR	30	558.000000	36	564.000000	0.000000	5980	9999-12-31	2013-05-08	4054
6506/9-1	SURF.COND.	20	1501.000000	26	1510.000000	0.000000	5980	9999-12-31	2013-05-08	4055
6506/9-1	INTERM.	13 3/8	3532.000000	16	3555.000000	0.000000	5980	9999-12-31	2013-05-08	4056
6506/9-1	INTERM.	9 7/8	5009.000000	12 1/4	5022.000000	1.960000	5980	9999-12-31	2013-05-08	4057
6506/9-1	LINER	7	5562.000000	8 1/2	5564.000000	0.000000	5980	9999-12-31	2013-05-08	4058
6506/9-2 S	CONDUCTOR	30	390.000000	36	396.000000	0.000000	6332	9999-12-31	2013-05-08	4059
6506/9-2 S	SURF.COND.	20	1213.000000	26	1219.000000	1.710000	6332	9999-12-31	2013-05-08	4060
6506/9-2 S	INTERM.	13 3/8	2111.000000	17 1/2	2126.000000	1.900000	6332	9999-12-31	2013-05-08	4061
6506/9-2 S	INTERM.	9 5/8	4197.000000	12 1/4	4202.000000	2.100000	6332	9999-12-31	2013-05-08	4062
6506/9-2 S	OPEN HOLE	\N	4806.000000	8 1/2	4805.000000	0.000000	6332	9999-12-31	2013-05-08	4063
6507/10-1	CONDUCTOR	30	436.000000	36	440.000000	0.000000	81	9999-12-31	2013-05-08	4064
6507/10-1	SURF.COND.	18 5/8	903.000000	24	913.000000	1.500000	81	9999-12-31	2013-05-08	4065
6507/10-1	INTERM.	13 3/8	1954.000000	17 1/2	1971.000000	1.480000	81	9999-12-31	2013-05-08	4066
6507/10-1	OPEN HOLE	\N	1990.000000	12 1/4	1990.000000	0.000000	81	9999-12-31	2013-05-08	4067
6507/10-1	OPEN HOLE	\N	2149.000000	12 1/4	2149.000000	0.000000	81	9999-12-31	2013-05-08	4068
6507/10-1	INTERM.	9 5/8	2771.000000	12 1/4	2780.000000	1.870000	81	9999-12-31	2013-05-08	4069
6507/10-1	OPEN HOLE	\N	3693.000000	8 1/2	3693.000000	0.000000	81	9999-12-31	2013-05-08	4070
6507/1-1	CONDUCTOR	30	511.000000	36	511.000000	0.000000	4955	9999-12-31	2013-05-08	4071
6507/1-1	OPEN HOLE	\N	3745.000000	8 1/2	3745.000000	0.000000	4955	9999-12-31	2013-05-08	4072
6507/1-1	SURF.COND.	13 3/8	1372.000000	17 1/2	1377.000000	1.800000	4955	9999-12-31	2013-05-08	4073
6507/11-1	CONDUCTOR	30	456.000000	36	457.000000	1.190000	68	9999-12-31	2013-05-08	4074
6507/11-1	SURF.COND.	20	807.000000	26	815.000000	1.100000	68	9999-12-31	2013-05-08	4075
6507/11-1	INTERM.	13 3/8	1600.000000	17 1/2	1615.000000	1.810000	68	9999-12-31	2013-05-08	4076
6507/11-1	INTERM.	9 5/8	2286.000000	12 1/4	2300.000000	1.870000	68	9999-12-31	2013-05-08	4077
6507/11-1	LINER	7	2625.000000	8 1/2	3139.000000	0.000000	68	9999-12-31	2013-05-08	4078
6507/11-10	CONDUCTOR	30	352.000000	36	354.000000	0.000000	6122	9999-12-31	2013-05-08	4079
6507/11-10	SURF.COND.	20	491.000000	26	495.000000	1.440000	6122	9999-12-31	2013-05-08	4080
6507/11-10	INTERM.	13 3/8	1650.000000	17 1/2	1656.000000	1.740000	6122	9999-12-31	2013-05-08	4081
6507/11-10	INTERM.	9 5/8	2046.000000	12 1/4	2051.000000	2.160000	6122	9999-12-31	2013-05-08	4082
6507/11-10	OPEN HOLE	\N	2319.000000	8 1/2	2319.000000	0.000000	6122	9999-12-31	2013-05-08	4083
6507/11-10	PILOT HOLE	\N	529.000000	9 7/8	529.000000	0.000000	6122	9999-12-31	2013-05-08	4084
6507/11-2	CONDUCTOR	30	410.000000	36	420.000000	0.000000	51	9999-12-31	2013-05-08	4085
6507/11-2	SURF.COND.	20	845.000000	26	860.000000	1.570000	51	9999-12-31	2013-05-08	4086
6507/11-2	INTERM.	13 3/8	1764.000000	17 1/2	1770.000000	1.820000	51	9999-12-31	2013-05-08	4087
6507/11-2	OPEN HOLE	\N	2905.000000	12 1/4	2905.000000	0.000000	51	9999-12-31	2013-05-08	4088
6507/11-3	CONDUCTOR	30	414.000000	36	449.000000	0.000000	470	9999-12-31	2013-05-08	4089
6507/11-3	SURF.COND.	20	849.000000	26	868.000000	1.520000	470	9999-12-31	2013-05-08	4090
6507/11-3	INTERM.	13 3/8	1903.000000	17 1/2	1918.000000	1.830000	470	9999-12-31	2013-05-08	4091
6507/11-3	INTERM.	9 5/8	2600.000000	12 1/4	2615.000000	1.790000	470	9999-12-31	2013-05-08	4092
6507/11-3	OPEN HOLE	\N	3250.000000	8 1/2	3250.000000	0.000000	470	9999-12-31	2013-05-08	4093
6507/11-4	CONDUCTOR	30	436.000000	36	444.000000	0.000000	1055	9999-12-31	2013-05-08	4094
6507/11-4	SURF.COND.	20	802.000000	26	817.000000	1.490000	1055	9999-12-31	2013-05-08	4095
6507/11-4	INTERM.	13 3/8	1489.000000	17 1/2	1506.000000	1.700000	1055	9999-12-31	2013-05-08	4096
6507/11-4	INTERM.	9 5/8	2503.000000	12 1/4	2518.000000	1.800000	1055	9999-12-31	2013-05-08	4097
6507/11-5 S	CONDUCTOR	30	340.000000	36	342.000000	0.000000	3193	9999-12-31	2013-05-08	4098
6507/11-5 S	SURF.COND.	20	542.000000	26	544.000000	1.300000	3193	9999-12-31	2013-05-08	4099
6507/11-5 S	INTERM.	13 3/8	1533.000000	17 1/2	1534.000000	1.900000	3193	9999-12-31	2013-05-08	4100
6507/11-5 S	INTERM.	9 5/8	2479.000000	12 1/4	2480.000000	0.000000	3193	9999-12-31	2013-05-08	4101
6507/11-5 S	OPEN HOLE	\N	2695.000000	8 1/2	2695.000000	0.000000	3193	9999-12-31	2013-05-08	4102
6507/11-6	CONDUCTOR	30	375.000000	36	375.000000	0.000000	4321	9999-12-31	2013-05-08	4103
6507/11-6	SURF.COND.	20	454.000000	26	459.000000	1.410000	4321	9999-12-31	2013-05-08	4104
6507/11-6	INTERM.	13 3/8	1602.000000	17 1/2	1608.000000	1.810000	4321	9999-12-31	2013-05-08	4105
6507/11-6	INTERM.	9 5/8	2913.000000	12 1/4	1917.000000	1.450000	4321	9999-12-31	2013-05-08	4106
6507/11-6	OPEN HOLE	\N	3340.000000	8 1/2	3340.000000	0.000000	4321	9999-12-31	2013-05-08	4107
6507/11-7	CONDUCTOR	30	386.000000	36	387.000000	0.000000	5430	9999-12-31	2013-05-08	4108
6507/11-7	SURF.COND.	20	532.000000	26	535.000000	0.000000	5430	9999-12-31	2013-05-08	4109
6507/11-7	INTERM.	13 3/8	1114.000000	17 1/2	1115.000000	1.220000	5430	9999-12-31	2013-05-08	4110
6507/11-7	INTERM.	9 5/8	2478.000000	12 1/4	2484.000000	1.900000	5430	9999-12-31	2013-05-08	4111
6507/11-7	OPEN HOLE	\N	2950.000000	8 1/2	2950.000000	1.940000	5430	9999-12-31	2013-05-08	4112
6507/11-8	CONDUCTOR	30	357.000000	36	360.000000	0.000000	5562	9999-12-31	2013-05-08	4113
6507/11-8	SURF.COND.	20	494.000000	26	500.000000	1.360000	5562	9999-12-31	2013-05-08	4114
6507/11-8	INTERM.	13 3/8	1790.000000	17 1/2	1795.000000	0.000000	5562	9999-12-31	2013-05-08	4115
6507/11-8	INTERM.	9 5/8	2393.000000	12 1/4	2396.000000	1.370000	5562	9999-12-31	2013-05-08	4116
6507/11-8	OPEN HOLE	\N	2773.000000	8 1/2	2773.000000	0.000000	5562	9999-12-31	2013-05-08	4117
6507/11-9	CONDUCTOR	30	188.000000	36	363.000000	0.000000	5766	9999-12-31	2013-05-08	4118
6507/11-9	SURF.COND.	20	802.000000	26	810.000000	1.510000	5766	9999-12-31	2013-05-08	4119
6507/11-9	INTERM.	13 3/8	1793.000000	17 1/2	1806.000000	1.910000	5766	9999-12-31	2013-05-08	4120
6507/11-9	INTERM.	9 5/8	2600.000000	12 1/4	2619.000000	1.670000	5766	9999-12-31	2013-05-08	4121
6507/11-9	OPEN HOLE	\N	3069.000000	8 1/2	3069.000000	0.000000	5766	9999-12-31	2013-05-08	4122
6507/12-1	LINER	7	3720.000000	8 1/2	3720.000000	0.000000	202	9999-12-31	2013-05-08	4123
6507/12-1	CONDUCTOR	30	351.000000	36	353.000000	0.000000	202	9999-12-31	2013-05-08	4124
6507/12-1	SURF.COND.	20	747.000000	26	753.000000	1.480000	202	9999-12-31	2013-05-08	4125
6507/12-1	INTERM.	13 3/8	1405.000000	17 1/2	1423.000000	1.820000	202	9999-12-31	2013-05-08	4126
6507/12-1	INTERM.	9 5/8	2370.000000	12 1/4	2378.000000	1.650000	202	9999-12-31	2013-05-08	4127
6507/12-2	SURF.COND.	20	992.000000	26	1005.000000	1.480000	437	9999-12-31	2013-05-08	4128
6507/12-2	LINER	7	4551.000000	8 1/2	4554.000000	2.040000	437	9999-12-31	2013-05-08	4129
6507/12-2	CONDUCTOR	30	353.500000	36	355.000000	0.000000	437	9999-12-31	2013-05-08	4130
6507/12-2	INTERM.	13 3/8	2504.000000	17 1/2	2522.000000	1.700000	437	9999-12-31	2013-05-08	4131
6507/12-2	INTERM.	9 5/8	3616.000000	12 1/4	3633.000000	2.050000	437	9999-12-31	2013-05-08	4132
6507/12-2	OPEN HOLE	NONE	5008.000000	5 7/6	5008.000000	0.000000	437	9999-12-31	2013-05-08	4133
6507/12-3	CONDUCTOR	30	375.000000	36	380.000000	0.000000	485	9999-12-31	2013-05-08	4134
6507/12-3	SURF.COND.	20	905.000000	26	920.000000	1.410000	485	9999-12-31	2013-05-08	4135
6507/12-3	INTERM.	13 3/8	1949.000000	17 1/2	1965.000000	1.820000	485	9999-12-31	2013-05-08	4136
6507/12-3	OPEN HOLE	\N	2600.000000	12 1/4	2600.000000	0.000000	485	9999-12-31	2013-05-08	4137
6507/2-1	CONDUCTOR	30	488.000000	36	490.000000	0.000000	911	9999-12-31	2013-05-08	4138
6507/2-1	SURF.COND.	20	1050.000000	26	1080.000000	1.700000	911	9999-12-31	2013-05-08	4139
6507/2-1	INTERM.	13 3/8	1880.000000	17 1/2	1900.000000	1.820000	911	9999-12-31	2013-05-08	4140
6507/2-1	INTERM.	9 5/8	3630.000000	12 1/4	3655.000000	1.970000	911	9999-12-31	2013-05-08	4141
6507/2-2	CONDUCTOR	30	491.000000	36	491.000000	0.000000	1840	9999-12-31	2013-05-08	4142
6507/2-2	INTERM.	18 5/8	671.000000	24	685.000000	1.480000	1840	9999-12-31	2013-05-08	4143
6507/2-2	INTERM.	13 3/8	1399.000000	17 1/2	1414.000000	1.720000	1840	9999-12-31	2013-05-08	4144
6507/2-2	INTERM.	9 5/8	2761.000000	12 1/4	2777.000000	2.020000	1840	9999-12-31	2013-05-08	4145
6507/2-2	INTERM.	7	3324.000000	8 1/2	3958.000000	2.000000	1840	9999-12-31	2013-05-08	4146
6507/2-3	CONDUCTOR	30	462.000000	36	462.000000	0.000000	2299	9999-12-31	2013-05-08	4147
6507/2-3	SURF.COND.	18 5/8	1453.000000	24	1465.000000	1.690000	2299	9999-12-31	2013-05-08	4148
6507/2-3	INTERM.	13 3/8	2002.000000	17 1/2	2016.000000	1.670000	2299	9999-12-31	2013-05-08	4149
6507/2-3	INTERM.	9 5/8	3045.000000	12 1/4	3060.000000	1.920000	2299	9999-12-31	2013-05-08	4150
6507/2-3	OPEN HOLE	\N	3972.000000	8 1/2	3972.000000	0.000000	2299	9999-12-31	2013-05-08	4151
6507/2-4	CONDUCTOR	30	443.000000	36	445.000000	0.000000	5685	9999-12-31	2013-05-08	4152
6507/2-4	SURF.COND.	20	1343.000000	26	1355.000000	1.730000	5685	9999-12-31	2013-05-08	4153
6507/2-4	INTERM.	13 3/8	2247.000000	17 1/2	2263.000000	1.850000	5685	9999-12-31	2013-05-08	4154
6507/2-4	INTERM.	9 5/8	3065.000000	12 1/4	3080.000000	1.930000	5685	9999-12-31	2013-05-08	4155
6507/2-4	OPEN HOLE	\N	3600.000000	8 1/2	3600.000000	0.000000	5685	9999-12-31	2013-05-08	4156
6507/3-1	CONDUCTOR	30	453.000000	36	455.000000	0.000000	1533	9999-12-31	2013-05-08	4157
6507/3-1	INTERM.	20	881.000000	25	885.000000	1.430000	1533	9999-12-31	2013-05-08	4158
6507/3-1	INTERM.	13 3/8	1846.000000	17 1/2	1850.000000	1.780000	1533	9999-12-31	2013-05-08	4159
6507/3-1	INTERM.	9 5/8	3168.000000	12 1/4	3171.000000	1.940000	1533	9999-12-31	2013-05-08	4160
6507/3-1	LINER	7	3953.000000	8 1/2	4080.000000	2.050000	1533	9999-12-31	2013-05-08	4161
6507/3-2	CONDUCTOR	30	493.000000	36	494.000000	0.000000	2954	9999-12-31	2013-05-08	4162
6507/3-2	SURF.COND.	13 3/8	994.000000	17 1/2	995.000000	1.580000	2954	9999-12-31	2013-05-08	4163
6507/3-2	OPEN HOLE	\N	2032.000000	8 1/2	2032.000000	0.000000	2954	9999-12-31	2013-05-08	4164
6507/3-3	CONDUCTOR	30	476.000000	36	480.000000	0.000000	3668	9999-12-31	2013-05-08	4165
6507/3-3	SURF.COND.	20	667.000000	26	701.000000	1.280000	3668	9999-12-31	2013-05-08	4166
6507/3-3	INTERM.	13 3/8	1752.000000	17 1/2	1758.000000	1.650000	3668	9999-12-31	2013-05-08	4167
6507/3-3	INTERM.	9 5/8	3362.000000	12 1/4	3367.000000	1.590000	3668	9999-12-31	2013-05-08	4168
6507/3-3	OPEN HOLE	\N	3830.000000	8 1/2	3830.000000	0.000000	3668	9999-12-31	2013-05-08	4169
6507/3-3 A	OPEN HOLE	\N	4528.000000	8 1/2	4528.000000	0.000000	3718	9999-12-31	2013-05-08	4170
6507/3-3 A	INTERM.	9 5/8	3752.000000	12 1/4	3757.000000	1.580000	3718	9999-12-31	2013-05-08	4171
6507/3-3 B	CONDUCTOR	30	476.000000	36	480.000000	0.000000	3773	9999-12-31	2013-05-08	4172
6507/3-3 B	SURF.COND.	20	667.000000	26	701.000000	1.280000	3773	9999-12-31	2013-05-08	4173
6507/3-3 B	INTERM.	13 3/8	1752.000000	17 1/2	1758.000000	1.650000	3773	9999-12-31	2013-05-08	4174
6507/3-3 B	INTERM.	9 5/8	3752.000000	12 1/4	3757.000000	0.000000	3773	9999-12-31	2013-05-08	4175
6507/3-3 B	OPEN HOLE	\N	4275.000000	8 1/2	4275.000000	0.000000	3773	9999-12-31	2013-05-08	4176
6507/3-4	CONDUCTOR	30	468.000000	36	470.000000	0.000000	4905	9999-12-31	2013-05-08	4177
6507/3-4	SURF.COND.	20	1241.000000	26	1250.000000	1.570000	4905	9999-12-31	2013-05-08	4178
6507/3-4	INTERM.	13 3/8	2300.000000	17 1/2	2310.000000	1.800000	4905	9999-12-31	2013-05-08	4179
6507/3-4	INTERM.	9 5/8	3677.000000	12 1/4	3686.000000	1.550000	4905	9999-12-31	2013-05-08	4180
6507/3-4	OPEN HOLE	\N	4092.000000	8 1/2	4092.000000	0.000000	4905	9999-12-31	2013-05-08	4181
6507/3-5 S	CONDUCTOR	30	448.000000	36	456.000000	0.000000	5307	9999-12-31	2013-05-08	4182
6507/3-5 S	SURF.COND.	20	1238.000000	26	1243.000000	1.570000	5307	9999-12-31	2013-05-08	4183
6507/3-5 S	INTERM.	13 3/8	2066.000000	17 1/2	2480.000000	1.600000	5307	9999-12-31	2013-05-08	4184
6507/3-5 S	INTERM.	9 5/8	3917.000000	12 1/4	3935.000000	1.700000	5307	9999-12-31	2013-05-08	4185
6507/3-5 S	OPEN HOLE	\N	4265.000000	8 1/2	4265.000000	0.000000	5307	9999-12-31	2013-05-08	4186
6507/3-6	CONDUCTOR	30	456.000000	36	459.000000	0.000000	6073	9999-12-31	2013-05-08	4187
6507/3-6	SURF.COND.	20	610.600000	26	612.500000	1.400000	6073	9999-12-31	2013-05-08	4188
6507/3-6	INTERM.	9 5/8	1205.000000	12 1/4	1212.000000	1.740000	6073	9999-12-31	2013-05-08	4189
6507/3-6	OPEN HOLE	\N	1650.000000	8 1/2	1650.000000	0.000000	6073	9999-12-31	2013-05-08	4190
6507/3-7	CONDUCTOR	30	459.000000	36	463.000000	0.000000	6123	9999-12-31	2013-05-08	4191
6507/3-7	SURF.COND.	20	1198.000000	26	1203.000000	1.540000	6123	9999-12-31	2013-05-08	4192
6507/3-7	INTERM.	13 3/8	2200.000000	17 1/2	2205.000000	1.870000	6123	9999-12-31	2013-05-08	4193
6507/3-7	INTERM.	9 5/8	3539.000000	12 1/4	3540.000000	2.000000	6123	9999-12-31	2013-05-08	4194
6507/3-7	OPEN HOLE	\N	3855.000000	8 1/2	3855.000000	0.000000	6123	9999-12-31	2013-05-08	4195
6507/3-8	CONDUCTOR	30	462.000000	36	465.000000	0.000000	6258	9999-12-31	2013-05-08	4196
6507/3-8	SURF.COND.	13 3/8	1295.000000	17 1/2	1300.000000	0.000000	6258	9999-12-31	2013-05-08	4197
6507/3-8	INTERM.	9 5/8	2662.000000	12 1/2	2663.000000	0.000000	6258	9999-12-31	2013-05-08	4198
6507/3-8	OPEN HOLE	\N	2990.000000	8 1/2	2990.000000	0.000000	6258	9999-12-31	2013-05-08	4199
6507/5-1	CONDUCTOR	30	480.000000	36	496.000000	0.000000	3683	9999-12-31	2013-05-08	4200
6507/5-1	SURF.COND.	20	1053.000000	26	1065.000000	1.670000	3683	9999-12-31	2013-05-08	4201
6507/5-1	INTERM.	9 5/8	3199.000000	12 1/4	3236.000000	1.950000	3683	9999-12-31	2013-05-08	4202
6507/5-1	LINER	7	3863.000000	8 1/2	4224.000000	0.000000	3683	9999-12-31	2013-05-08	4203
6507/5-1	OPEN HOLE	\N	4224.000000	8 1/2	4224.000000	0.000000	3683	9999-12-31	2013-05-08	4204
6507/5-2	CONDUCTOR	30	450.000000	36	450.000000	0.000000	3756	9999-12-31	2013-05-08	4205
6507/5-2	SURF.COND.	20	1053.000000	26	1054.000000	1.450000	3756	9999-12-31	2013-05-08	4206
6507/5-2	INTERM.	13 3/8	1968.000000	17 1/2	1970.000000	1.810000	3756	9999-12-31	2013-05-08	4207
6507/5-2	INTERM.	9 5/8	3602.000000	12 1/4	3603.000000	0.000000	3756	9999-12-31	2013-05-08	4208
6507/5-2	OPEN HOLE	\N	3897.000000	8 1/2	3897.000000	0.000000	3756	9999-12-31	2013-05-08	4209
6507/5-3	CONDUCTOR	30	536.000000	36	539.000000	0.000000	4059	9999-12-31	2013-05-08	4210
6507/5-3	SURF.COND.	20	688.000000	26	695.000000	1.320000	4059	9999-12-31	2013-05-08	4211
6507/5-3	INTERM.	13 3/8	1670.000000	17 1/2	1670.000000	1.680000	4059	9999-12-31	2013-05-08	4212
6507/5-3	OPEN HOLE	\N	3000.000000	12 1/4	3000.000000	0.000000	4059	9999-12-31	2013-05-08	4213
6507/5-4	CONDUCTOR	30	519.000000	36	522.000000	0.000000	4209	9999-12-31	2013-05-08	4214
6507/5-4	SURF.COND.	20	1461.000000	26	1466.000000	1.620000	4209	9999-12-31	2013-05-08	4215
6507/5-4	INTERM.	9 5/8	3494.000000	12 1/4	3501.000000	2.010000	4209	9999-12-31	2013-05-08	4216
6507/5-4	OPEN HOLE	\N	3820.000000	8 1/2	3820.000000	0.000000	4209	9999-12-31	2013-05-08	4217
6507/5-4 A	CONDUCTOR	30	519.000000	36	522.000000	0.000000	4306	9999-12-31	2013-05-08	4218
6507/5-4 A	SURF.COND.	20	1460.000000	26	1466.000000	1.620000	4306	9999-12-31	2013-05-08	4219
6507/5-4 A	INTERM.	9 5/8	3683.000000	12 1/4	3709.000000	2.010000	4306	9999-12-31	2013-05-08	4220
6507/5-4 A	LINER	7	3882.000000	8 1/2	3883.000000	0.000000	4306	9999-12-31	2013-05-08	4221
6507/5-5	LINER	7	3948.000000	8 1/2	3948.000000	0.000000	4428	9999-12-31	2013-05-08	4222
6507/5-5	CONDUCTOR	30	466.000000	36	471.000000	0.000000	4428	9999-12-31	2013-05-08	4223
6507/5-5	INTERM.	20	1051.000000	26	1060.000000	1.560000	4428	9999-12-31	2013-05-08	4224
6507/5-5	INTERM.	13 3/8	2100.000000	17 1/2	2106.000000	1.900000	4428	9999-12-31	2013-05-08	4225
6507/5-5	LINER	9 5/8	3642.000000	12 1/4	3643.000000	0.000000	4428	9999-12-31	2013-05-08	4226
6507/5-6 S	CONDUCTOR	30	439.000000	36	446.000000	0.000000	6321	9999-12-31	2013-05-08	4227
6507/5-6 S	SURF.COND.	18 5/8	1136.000000	24	1143.000000	1.670000	6321	9999-12-31	2013-05-08	4228
6507/5-6 S	INTERM.	13 5/8	2538.000000	17 1/2	2548.000000	1.670000	6321	9999-12-31	2013-05-08	4229
6507/5-6 S	INTERM.	9 7/8	4679.000000	12 1/4	4689.000000	1.900000	6321	9999-12-31	2013-05-08	4230
6507/5-6 S	OPEN HOLE	\N	4991.000000	8 1/2	4881.000000	0.000000	6321	9999-12-31	2013-05-08	4231
6507/6-1	OPEN HOLE	\N	4040.000000	8 1/2	4040.000000	0.000000	910	9999-12-31	2013-05-08	4232
6507/6-1	CONDUCTOR	30	616.000000	36	622.000000	1.260000	910	9999-12-31	2013-05-08	4233
6507/6-1	SURF.COND.	20	959.000000	26	975.000000	1.610000	910	9999-12-31	2013-05-08	4234
6507/6-1	INTERM.	13 3/8	2214.000000	17 1/2	2224.000000	1.730000	910	9999-12-31	2013-05-08	4235
6507/6-1	INTERM.	9 5/8	3150.000000	12 1/4	3165.000000	2.040000	910	9999-12-31	2013-05-08	4236
6507/6-2	CONDUCTOR	30	405.000000	36	406.000000	0.000000	1520	9999-12-31	2013-05-08	4237
6507/6-2	INTERM.	20	1040.000000	26	1042.000000	1.690000	1520	9999-12-31	2013-05-08	4238
6507/6-2	INTERM.	13 3/8	2029.000000	17 1/2	2030.000000	1.670000	1520	9999-12-31	2013-05-08	4239
6507/6-2	INTERM.	9 5/8	3309.000000	12 1/4	3310.000000	1.990000	1520	9999-12-31	2013-05-08	4240
6507/6-2	OPEN HOLE	\N	3325.000000	8 1/2	3326.000000	0.000000	1520	9999-12-31	2013-05-08	4241
6507/6-3	CONDUCTOR	30	474.000000	36	479.000000	0.000000	5922	9999-12-31	2013-05-08	4242
6507/6-3	SURF.COND.	13 3/8	996.000000	17 1/2	1000.000000	1.590000	5922	9999-12-31	2013-05-08	4243
6507/6-3	OPEN HOLE	\N	1857.000000	12 1/4	1857.000000	0.000000	5922	9999-12-31	2013-05-08	4244
6507/6-4 A	INTERM.	13 3/8	2401.000000	17 1/2	2410.000000	0.000000	6753	9999-12-31	2013-05-08	4245
6507/6-4 A	INTERM.	9 5/8	4240.000000	12 1/4	4245.000000	0.000000	6753	9999-12-31	2013-05-08	4246
6507/6-4 A	OPEN HOLE	\N	4957.000000	8 1/2	4957.000000	0.000000	6753	9999-12-31	2013-05-08	4247
6507/6-4 S	CONDUCTOR	30	30.000000	36	0.000000	0.000000	6725	9999-12-31	2013-05-08	4248
6507/6-4 S	CONDUCTOR	30	460.000000	36	460.000000	0.000000	6725	9999-12-31	2013-05-08	4249
6507/6-4 S	SURF.COND.	20	743.000000	26	749.000000	1.460000	6725	9999-12-31	2013-05-08	4250
6507/6-4 S	INTERM.	9 5/8	1198.000000	12 1/4	1204.000000	1.620000	6725	9999-12-31	2013-05-08	4251
6507/6-4 S	OPEN HOLE	\N	1339.000000	8 1/2	1339.000000	0.000000	6725	9999-12-31	2013-05-08	4252
6507/7-1	LINER	7	4825.000000	8 1/2	4825.000000	0.000000	138	9999-12-31	2013-05-08	4253
6507/7-1	CONDUCTOR	30	489.000000	36	495.000000	1.200000	138	9999-12-31	2013-05-08	4254
6507/7-1	SURF.COND.	20	906.000000	26	936.000000	1.550000	138	9999-12-31	2013-05-08	4255
6507/7-1	INTERM.	13 3/8	2178.000000	17 1/2	2225.000000	1.850000	138	9999-12-31	2013-05-08	4256
6507/7-1	INTERM.	9 5/8	3802.500000	12 1/2	3825.000000	2.030000	138	9999-12-31	2013-05-08	4257
6507/7-10	CONDUCTOR	30	518.000000	36	519.000000	0.000000	2182	9999-12-31	2013-05-08	4258
6507/7-10	INTERM.	13 3/8	1150.000000	17 1/2	1161.000000	1.600000	2182	9999-12-31	2013-05-08	4259
6507/7-10	INTERM.	9 5/8	2407.000000	12 1/4	2416.000000	1.750000	2182	9999-12-31	2013-05-08	4260
6507/7-10	OPEN HOLE	\N	3309.500000	8 1/2	3309.500000	0.000000	2182	9999-12-31	2013-05-08	4261
6507/7-11 S	CONDUCTOR	30	359.000000	36	360.000000	0.000000	3131	9999-12-31	2013-05-08	4262
6507/7-11 S	SURF.COND.	20	749.000000	26	754.000000	1.370000	3131	9999-12-31	2013-05-08	4263
6507/7-11 S	INTERM.	13 3/8	1987.000000	17 1/2	1995.000000	1.920000	3131	9999-12-31	2013-05-08	4264
6507/7-11 S	INTERM.	9 5/8	3357.000000	12 1/4	3365.000000	1.960000	3131	9999-12-31	2013-05-08	4265
6507/7-11 S	OPEN HOLE	\N	3749.000000	8 1/2	3749.000000	0.000000	3131	9999-12-31	2013-05-08	4266
6507/7-12	CONDUCTOR	30	415.000000	36	516.000000	0.000000	3812	9999-12-31	2013-05-08	4267
6507/7-12	SURF.COND.	13 3/8	1308.000000	17 1/2	1308.000000	1.710000	3812	9999-12-31	2013-05-08	4268
6507/7-12	INTERM.	9 5/8	2500.000000	12 1/4	2500.000000	1.920000	3812	9999-12-31	2013-05-08	4269
6507/7-12	OPEN HOLE	\N	3976.000000	8 1/2	3976.000000	0.000000	3812	9999-12-31	2013-05-08	4270
6507/7-13	CONDUCTOR	30	465.000000	36	466.000000	0.000000	4213	9999-12-31	2013-05-08	4271
6507/7-13	SURF.COND.	13 3/8	1065.000000	17 1/2	1066.000000	1.570000	4213	9999-12-31	2013-05-08	4272
6507/7-13	INTERM.	9 5/8	2120.000000	12 1/4	2122.000000	1.890000	4213	9999-12-31	2013-05-08	4273
6507/7-13	OPEN HOLE	\N	2623.000000	8 1/2	2623.000000	0.000000	4213	9999-12-31	2013-05-08	4274
6507/7-13 A	CONDUCTOR	30	465.000000	36	466.000000	0.000000	4275	9999-12-31	2013-05-08	4275
6507/7-13 A	SURF.COND.	13 3/8	1063.000000	17 1/2	1065.000000	1.570000	4275	9999-12-31	2013-05-08	4276
6507/7-13 A	INTERM.	9 5/8	2120.000000	12 1/4	2122.000000	1.890000	4275	9999-12-31	2013-05-08	4277
6507/7-13 A	OPEN HOLE	\N	2623.000000	8 1/2	2623.000000	0.000000	4275	9999-12-31	2013-05-08	4278
6507/7-14 S	CONDUCTOR	30	369.000000	36	369.000000	0.000000	6367	9999-12-31	2013-05-08	4279
6507/7-14 S	PILOT HOLE	\N	448.000000	9 7/8	1301.000000	0.000000	6367	9999-12-31	2013-05-08	4280
6507/7-14 S	SURF.COND.	20	444.000000	\N	0.000000	0.000000	6367	9999-12-31	2013-05-08	4281
6507/7-14 S	SURF.COND.	20	370.000000	26	1301.000000	0.000000	6367	9999-12-31	2013-05-08	4282
6507/7-14 S	SURF.COND.	20	1295.000000	26	1301.000000	0.000000	6367	9999-12-31	2013-05-08	4283
6507/7-14 S	INTERM.	13 3/8	2194.000000	17 1/2	2200.000000	1.950000	6367	9999-12-31	2013-05-08	4284
6507/7-14 S	INTERM.	9 5/8	3938.000000	12 1/4	3947.000000	1.960000	6367	9999-12-31	2013-05-08	4285
6507/7-14 S	LINER	7	4534.000000	8 1/2	4534.000000	0.000000	6367	9999-12-31	2013-05-08	4286
6507/7-2	INTERM.	9 5/8	2599.700000	12 1/4	2610.000000	1.810000	464	9999-12-31	2013-05-08	4287
6507/7-2	OPEN HOLE	\N	3262.000000	8 1/2	3262.000000	0.000000	464	9999-12-31	2013-05-08	4288
6507/7-2	CONDUCTOR	30	474.000000	36	476.000000	0.000000	464	9999-12-31	2013-05-08	4289
6507/7-2	SURF.COND.	20	1025.800000	26	1030.000000	1.520000	464	9999-12-31	2013-05-08	4290
6507/7-2	INTERM.	13 3/8	2100.000000	17 1/2	2110.000000	1.760000	464	9999-12-31	2013-05-08	4291
6507/7-2	INTERM.	9 5/8	2600.200000	12 1/4	2610.000000	1.810000	464	9999-12-31	2013-05-08	4292
6507/7-3	CONDUCTOR	30	469.000000	36	469.000000	0.000000	482	9999-12-31	2013-05-08	4293
6507/7-3	SURF.COND.	20	1024.000000	26	1030.000000	1.490000	482	9999-12-31	2013-05-08	4294
6507/7-3	INTERM.	13 3/8	2307.000000	17 1/2	2360.000000	1.750000	482	9999-12-31	2013-05-08	4295
6507/7-3	INTERM.	9 5/8	2832.000000	12 1/4	2850.000000	0.000000	482	9999-12-31	2013-05-08	4296
6507/7-3	INTERM.	13 3/8	2291.000000	17 1/2	2307.000000	1.750000	482	9999-12-31	2013-05-08	4297
6507/7-4	CONDUCTOR	30	469.500000	36	951.000000	0.000000	853	9999-12-31	2013-05-08	4298
6507/7-4	SURF.COND.	20	1021.000000	26	1030.000000	1.510000	853	9999-12-31	2013-05-08	4299
6507/7-4	INTERM.	13 3/8	2371.000000	17 1/2	2388.000000	1.790000	853	9999-12-31	2013-05-08	4300
6507/7-4	INTERM.	9 5/8	2832.000000	12 1/4	2850.000000	0.000000	853	9999-12-31	2013-05-08	4301
6507/7-5	CONDUCTOR	30	455.000000	36	455.000000	0.000000	879	9999-12-31	2013-05-08	4302
6507/7-5	\N	9 5/8	2659.000000	\N	2660.000000	0.000000	879	9999-12-31	2013-05-08	4303
6507/7-5	INTERM.	13 3/8	2228.000000	17 1/2	2255.000000	1.790000	879	9999-12-31	2013-05-08	4304
6507/7-5	INTERM.	20	1033.000000	26	1040.000000	1.520000	879	9999-12-31	2013-05-08	4305
6507/7-5 A	SURF.COND.	20	1033.000000	26	1098.000000	1.580000	860	9999-12-31	2013-05-08	4306
6507/7-5 A	INTERM.	13 3/8	2189.000000	17 1/2	2201.000000	1.690000	860	9999-12-31	2013-05-08	4307
6507/7-6	CONDUCTOR	30	473.000000	36	474.000000	0.000000	922	9999-12-31	2013-05-08	4308
6507/7-6	SURF.COND.	20	1024.000000	26	1030.000000	1.520000	922	9999-12-31	2013-05-08	4309
6507/7-6	INTERM.	13 3/8	2080.000000	17 1/2	2087.000000	1.660000	922	9999-12-31	2013-05-08	4310
6507/7-6	INTERM.	9 5/8	2510.000000	12 1/4	2525.000000	0.000000	922	9999-12-31	2013-05-08	4311
6507/7-7	CONDUCTOR	30	458.000000	36	525.000000	1.020000	1056	9999-12-31	2013-05-08	4312
6507/7-7	SURF.COND.	20	1022.000000	26	1035.000000	0.000000	1056	9999-12-31	2013-05-08	4313
6507/7-8	CONDUCTOR	30	468.000000	36	1035.000000	1.020000	1071	9999-12-31	2013-05-08	4314
6507/7-8	SURF.COND.	20	1027.200000	26	1054.000000	1.510000	1071	9999-12-31	2013-05-08	4315
6507/7-8	INTERM.	13 3/8	2398.500000	17 1/2	2403.000000	1.840000	1071	9999-12-31	2013-05-08	4316
6507/7-8	INTERM.	9 5/8	2833.500000	12 1/4	2855.000000	0.000000	1071	9999-12-31	2013-05-08	4317
6507/7-9	CONDUCTOR	13 3/8	474.000000	17 1/2	659.000000	0.000000	1078	9999-12-31	2013-05-08	4318
6507/8-1	CONDUCTOR	30	444.000000	36	610.000000	0.000000	933	9999-12-31	2013-05-08	4319
6507/8-1	INTERM.	13 3/8	1033.000000	17 1/2	1050.000000	1.640000	933	9999-12-31	2013-05-08	4320
6507/8-1	INTERM.	9 5/8	2217.000000	12 1/4	2235.000000	1.600000	933	9999-12-31	2013-05-08	4321
6507/8-1	LINER	7	2598.500000	8 1/2	2600.000000	0.000000	933	9999-12-31	2013-05-08	4322
6507/8-2	CONDUCTOR	30	448.000000	36	455.000000	0.000000	1076	9999-12-31	2013-05-08	4323
6507/8-2	SURF.COND.	20	507.000000	26	964.000000	1.260000	1076	9999-12-31	2013-05-08	4324
6507/8-2	INTERM.	13 3/8	1055.000000	17 1/2	1070.000000	1.550000	1076	9999-12-31	2013-05-08	4325
6507/8-2	INTERM.	9 5/8	1866.000000	12 1/4	1881.000000	1.720000	1076	9999-12-31	2013-05-08	4326
6507/8-2	OPEN HOLE	\N	2690.000000	8 1/2	2690.000000	0.000000	1076	9999-12-31	2013-05-08	4327
6507/8-3	OPEN HOLE	\N	2075.000000	12 1/4	2075.000000	0.000000	1309	9999-12-31	2013-05-08	4328
6507/8-3	CONDUCTOR	30	399.000000	36	567.000000	0.000000	1309	9999-12-31	2013-05-08	4329
6507/8-3	SURF.COND.	20	552.000000	26	722.000000	1.250000	1309	9999-12-31	2013-05-08	4330
6507/8-3	INTERM.	13 3/8	1086.000000	17 1/2	1100.000000	1.830000	1309	9999-12-31	2013-05-08	4331
6507/8-4	CONDUCTOR	30	437.000000	36	441.000000	0.000000	1340	9999-12-31	2013-05-08	4332
6507/8-4	INTERM.	20	564.700000	26	574.000000	1.320000	1340	9999-12-31	2013-05-08	4333
6507/8-4	INTERM.	13 3/8	1533.000000	17 1/2	1555.000000	1.660000	1340	9999-12-31	2013-05-08	4334
6507/8-4	INTERM.	9 5/8	2084.000000	12 1/4	2100.000000	1.770000	1340	9999-12-31	2013-05-08	4335
6507/8-4	LINER	7	2546.000000	8 1/2	2560.000000	0.000000	1340	9999-12-31	2013-05-08	4336
6507/8-5	CONDUCTOR	30	417.000000	36	418.000000	0.000000	1749	9999-12-31	2013-05-08	4337
6507/8-5	INTERM.	13 3/8	808.000000	17 1/2	810.000000	1.500000	1749	9999-12-31	2013-05-08	4338
6507/8-5	OPEN HOLE	\N	2000.000000	12 1/4	2000.000000	0.000000	1749	9999-12-31	2013-05-08	4339
6507/8-6	CONDUCTOR	30	441.000000	36	441.000000	0.000000	2183	9999-12-31	2013-05-08	4340
6507/8-6	INTERM.	20	673.000000	26	673.000000	1.380000	2183	9999-12-31	2013-05-08	4341
6507/8-6	INTERM.	13 3/8	1605.000000	17 1/2	1605.000000	1.720000	2183	9999-12-31	2013-05-08	4342
6507/8-6	INTERM.	9 5/8	1902.000000	12 1/4	1902.000000	1.760000	2183	9999-12-31	2013-05-08	4343
6507/8-6	OPEN HOLE	\N	2850.000000	8 1/2	2850.000000	0.000000	2183	9999-12-31	2013-05-08	4344
6507/8-7	CONDUCTOR	30	403.000000	36	408.000000	0.000000	4854	9999-12-31	2013-05-08	4345
6507/8-7	SURF.COND.	20	545.000000	26	550.000000	1.230000	4854	9999-12-31	2013-05-08	4346
6507/8-7	INTERM.	13 3/8	1500.000000	17 1/2	1510.000000	1.620000	4854	9999-12-31	2013-05-08	4347
6507/8-7	INTERM.	9 7/8	2736.000000	12 1/4	2737.000000	1.650000	4854	9999-12-31	2013-05-08	4348
6507/8-7	OPEN HOLE	\N	2975.000000	8 1/2	2975.000000	0.000000	4854	9999-12-31	2013-05-08	4349
6507/8-8	PILOT HOLE	\N	553.000000	9 5/8	553.000000	0.000000	6538	9999-12-31	2013-05-08	4350
6507/8-8	CONDUCTOR	30	413.000000	36	414.500000	0.000000	6538	9999-12-31	2013-05-08	4351
6507/8-8	SURF.COND.	20	547.000000	26	553.000000	1.280000	6538	9999-12-31	2013-05-08	4352
6507/8-8	INTERM.	16	1032.000000	20	1062.000000	0.000000	6538	9999-12-31	2013-05-08	4353
6507/8-8	INTERM.	13 3/8	1940.000000	17	1946.000000	1.650000	6538	9999-12-31	2013-05-08	4354
6507/8-8	INTERM.	9 5/8	2097.000000	12 1/4	2100.000000	1.600000	6538	9999-12-31	2013-05-08	4355
6507/8-8	OPEN HOLE	\N	2554.000000	8 1/2	2554.000000	0.000000	6538	9999-12-31	2013-05-08	4356
6508/1-1 A	CONDUCTOR	30	462.500000	36	467.000000	0.000000	3849	9999-12-31	2013-05-08	4357
6508/1-1 A	SURF.COND.	13 3/8	1204.000000	17 1/2	1209.000000	1.710000	3849	9999-12-31	2013-05-08	4358
6508/1-1 A	INTERM.	9 5/8	2581.000000	12 1/4	2587.000000	0.000000	3849	9999-12-31	2013-05-08	4359
6508/1-1 A	OPEN HOLE	\N	2861.000000	8 1/2	2861.000000	0.000000	3849	9999-12-31	2013-05-08	4360
6508/1-1 S	CONDUCTOR	30	462.500000	36	467.000000	0.000000	3284	9999-12-31	2013-05-08	4361
6508/1-1 S	SURF.COND.	13 3/8	1204.000000	17 1/2	1209.000000	1.710000	3284	9999-12-31	2013-05-08	4362
6508/1-1 S	INTERM.	9 5/8	1922.000000	12 1/4	1929.000000	1.650000	3284	9999-12-31	2013-05-08	4363
6508/1-1 S	LINER	7	2296.000000	8 1/2	2297.000000	1.600000	3284	9999-12-31	2013-05-08	4364
6508/1-1 S	OPEN HOLE	\N	2750.000000	6	2750.000000	0.000000	3284	9999-12-31	2013-05-08	4365
6508/5-1	OPEN HOLE	\N	2586.000000	12 1/4	2586.000000	0.000000	1044	9999-12-31	2013-05-08	4366
6508/5-1	CONDUCTOR	30	519.000000	36	677.000000	0.000000	1044	9999-12-31	2013-05-08	4367
6508/5-1	SURF.COND.	20	960.000000	26	975.000000	1.500000	1044	9999-12-31	2013-05-08	4368
6508/5-1	INTERM.	13 3/8	1589.000000	17 1/2	1603.000000	1.620000	1044	9999-12-31	2013-05-08	4369
6510/2-1	CONDUCTOR	30	421.000000	36	422.000000	0.000000	3166	9999-12-31	2013-05-08	4370
6510/2-1	INTERM.	20	1210.000000	26	1212.000000	1.670000	3166	9999-12-31	2013-05-08	4371
6510/2-1	INTERM.	9 5/8	3102.000000	12 1/4	3102.000000	1.950000	3166	9999-12-31	2013-05-08	4372
6603/12-1	CONDUCTOR	30	1512.000000	36	1517.000000	0.000000	5985	9999-12-31	2013-05-08	4373
6603/12-1	SURF.COND.	20	2347.000000	26	2359.000000	1.250000	5985	9999-12-31	2013-05-08	4374
6603/12-1	INTERM.	13 5/8	2602.000000	17 1/2	2608.000000	1.360000	5985	9999-12-31	2013-05-08	4375
6603/12-1	INTERM.	9 5/8	3497.000000	12 1/4	3500.000000	1.460000	5985	9999-12-31	2013-05-08	4376
6603/12-1	OPEN HOLE	\N	3820.000000	8 1/2	3820.000000	0.000000	5985	9999-12-31	2013-05-08	4377
6603/5-1 S	CONDUCTOR	30	1582.000000	36	1586.500000	0.000000	6348	9999-12-31	2013-05-08	4378
6603/5-1 S	SURF.COND.	20	2312.000000	26	2320.000000	1.200000	6348	9999-12-31	2013-05-08	4379
6603/5-1 S	INTERM.	13 3/8	3156.000000	17 1/2	3162.000000	1.340000	6348	9999-12-31	2013-05-08	4380
6603/5-1 S	INTERM.	9 5/8	3568.000000	12 1/4	3570.000000	1.440000	6348	9999-12-31	2013-05-08	4381
6603/5-1 S	OPEN HOLE	\N	5254.000000	8 1/2	5254.000000	0.000000	6348	9999-12-31	2013-05-08	4382
6604/10-1	CONDUCTOR	36	1465.000000	42	1466.000000	0.000000	6356	9999-12-31	2013-05-08	4383
6604/10-1	SURF.COND.	20	2320.000000	26	2326.000000	1.280000	6356	9999-12-31	2013-05-08	4384
6604/10-1	INTERM.	13 3/8	2848.000000	17 1/2	2855.000000	1.270000	6356	9999-12-31	2013-05-08	4385
6604/10-1	LINER	9 5/8	3468.000000	12 1/4	3470.000000	1.390000	6356	9999-12-31	2013-05-08	4386
6604/10-1	OPEN HOLE	\N	3715.000000	8 1/2	3715.000000	0.000000	6356	9999-12-31	2013-05-08	4387
6604/2-1	CONDUCTOR	30	1394.000000	36	1394.000000	1.030000	6568	9999-12-31	2013-05-08	4388
6604/2-1	SURF.COND.	20	2274.000000	26	2279.000000	1.230000	6568	9999-12-31	2013-05-08	4389
6604/2-1	INTERM.	9 5/8	2934.000000	12 1/4	2940.000000	0.000000	6568	9999-12-31	2013-05-08	4390
6604/2-1	OPEN HOLE	\N	3551.000000	8 1/2	3551.000000	0.000000	6568	9999-12-31	2013-05-08	4391
6604/2-1	PILOT HOLE	\N	2279.000000	9  7/8	2279.000000	0.000000	6568	9999-12-31	2013-05-08	4392
6605/1-1	CONDUCTOR	30	1270.000000	36	1270.000000	0.000000	5979	9999-12-31	2013-05-08	4393
6605/1-1	SURF.COND.	20	2251.000000	26	2260.000000	1.300000	5979	9999-12-31	2013-05-08	4394
6605/1-1	INTERM.	13 3/8	3120.000000	17 1/2	3133.000000	1.480000	5979	9999-12-31	2013-05-08	4395
6605/1-1	OPEN HOLE	\N	3947.000000	12 1/4	3947.000000	0.000000	5979	9999-12-31	2013-05-08	4396
6605/1-1	PILOT HOLE	\N	2260.000000	12 1/4	2260.000000	0.000000	5979	9999-12-31	2013-05-08	4397
6605/8-1	CONDUCTOR	30	955.000000	36	957.000000	0.000000	4984	9999-12-31	2013-05-08	4398
6605/8-1	SURF.COND.	20	1999.000000	26	2000.000000	1.440000	4984	9999-12-31	2013-05-08	4399
6605/8-1	INTERM.	13 3/8	2887.000000	17 1/2	2900.000000	1.620000	4984	9999-12-31	2013-05-08	4400
6605/8-1	INTERM.	9 5/8	4099.000000	12 1/4	4100.000000	1.940000	4984	9999-12-31	2013-05-08	4401
6605/8-1	OPEN HOLE	\N	4513.000000	8 1/2	4513.000000	1.760000	4984	9999-12-31	2013-05-08	4402
6605/8-2	CONDUCTOR	30	931.000000	36	932.000000	0.000000	5812	9999-12-31	2013-05-08	4403
6605/8-2	SURF.COND.	20	2004.000000	26	2004.000000	0.000000	5812	9999-12-31	2013-05-08	4404
6605/8-2	INTERM.	13 3/8	2839.000000	17	2847.000000	1.490000	5812	9999-12-31	2013-05-08	4405
6605/8-2	INTERM.	9 5/8	3713.000000	12 1/4	3715.000000	1.730000	5812	9999-12-31	2013-05-08	4406
6605/8-2	OPEN HOLE	\N	4210.000000	8 1/2	4210.000000	1.830000	5812	9999-12-31	2013-05-08	4407
6607/12-1	CONDUCTOR	30	463.000000	36	765.000000	0.000000	925	9999-12-31	2013-05-08	4408
6607/12-1	SURF.COND.	20	750.000000	26	1015.000000	1.330000	925	9999-12-31	2013-05-08	4409
6607/12-1	INTERM.	13 3/8	1331.000000	17 1/2	1353.000000	1.680000	925	9999-12-31	2013-05-08	4410
6607/12-1	INTERM.	9 5/8	2694.000000	12 1/4	2709.000000	1.820000	925	9999-12-31	2013-05-08	4411
6607/2-1	CONDUCTOR	30	903.000000	36	903.000000	0.000000	5471	9999-12-31	2013-05-08	4412
6607/2-1	SURF.COND.	20	1411.000000	26	1425.000000	1.200000	5471	9999-12-31	2013-05-08	4413
6607/2-1	INTERM.	13 3/8	1939.000000	17 1/2	1956.000000	1.520000	5471	9999-12-31	2013-05-08	4414
6607/2-1	OPEN HOLE	\N	3526.000000	12 1/4	3526.000000	0.000000	5471	9999-12-31	2013-05-08	4415
6607/5-1	OPEN HOLE	\N	3817.000000	8 1/2	3917.000000	0.000000	1064	9999-12-31	2013-05-08	4416
6607/5-1	CONDUCTOR	30	440.700000	36	915.000000	0.000000	1064	9999-12-31	2013-05-08	4417
6607/5-1	SURF.COND.	20	907.000000	26	918.000000	1.460000	1064	9999-12-31	2013-05-08	4418
6607/5-1	INTERM.	13 3/8	2086.000000	17 1/2	2296.000000	1.850000	1064	9999-12-31	2013-05-08	4419
6607/5-1	INTERM.	9 5/8	2886.000000	12 1/4	2897.000000	2.060000	1064	9999-12-31	2013-05-08	4420
6607/5-2	CONDUCTOR	30	584.000000	36	585.000000	0.000000	1789	9999-12-31	2013-05-08	4421
6607/5-2	INTERM.	20	1223.000000	26	1225.000000	0.000000	1789	9999-12-31	2013-05-08	4422
6607/5-2	INTERM.	13 3/8	2200.000000	17 1/2	2202.000000	0.000000	1789	9999-12-31	2013-05-08	4423
6607/5-2	INTERM.	9 5/8	3690.000000	12 1/4	3693.000000	0.000000	1789	9999-12-31	2013-05-08	4424
6607/5-2	OPEN HOLE	\N	4684.000000	8 1/2	4684.000000	0.000000	1789	9999-12-31	2013-05-08	4425
6608/10-1	OPEN HOLE	\N	3437.000000	8 1/2	3437.000000	0.000000	1391	9999-12-31	2013-05-08	4426
6608/10-1	CONDUCTOR	30	463.000000	36	463.000000	0.000000	1391	9999-12-31	2013-05-08	4427
6608/10-1	INTERM.	20	808.000000	26	820.000000	1.350000	1391	9999-12-31	2013-05-08	4428
6608/10-1	INTERM.	13 3/8	1538.000000	17 1/2	1549.000000	1.870000	1391	9999-12-31	2013-05-08	4429
6608/10-1	INTERM.	9 5/8	2480.000000	12 1/4	2502.000000	1.860000	1391	9999-12-31	2013-05-08	4430
6608/10-10	CONDUCTOR	30	445.000000	36	445.000000	0.000000	4699	9999-12-31	2013-05-08	4431
6608/10-10	SURF.COND.	13 3/8	1377.000000	17 1/2	1377.000000	1.550000	4699	9999-12-31	2013-05-08	4432
6608/10-10	OPEN HOLE	\N	2800.000000	12 1/4	2800.000000	0.000000	4699	9999-12-31	2013-05-08	4433
6608/10-11 S	INTERM.	13 3/8	1366.000000	17 1/2	1371.000000	0.000000	5386	9999-12-31	2013-05-08	4434
6608/10-11 S	INTERM.	9 5/8	2845.000000	12 1/4	2851.000000	1.500000	5386	9999-12-31	2013-05-08	4435
6608/10-11 S	LINER	7	3391.000000	8 1/2	3392.000000	0.000000	5386	9999-12-31	2013-05-08	4436
6608/10-11 S	OPEN HOLE	\N	3725.000000	6	3725.000000	0.000000	5386	9999-12-31	2013-05-08	4437
6608/10-12	CONDUCTOR	30	408.000000	36	412.000000	0.000000	5949	9999-12-31	2013-05-08	4438
6608/10-12	SURF.COND.	13 3/8	1400.000000	17 1/2	1415.000000	1.570000	5949	9999-12-31	2013-05-08	4439
6608/10-12	INTERM.	9 5/8	2499.000000	12 1/4	2500.000000	1.960000	5949	9999-12-31	2013-05-08	4440
6608/10-12	OPEN HOLE	\N	3180.000000	8 1/2	3180.000000	0.000000	5949	9999-12-31	2013-05-08	4441
6608/10-12 A	OPEN HOLE	\N	3075.000000	8 1/2	3075.000000	0.000000	6029	9999-12-31	2013-05-08	4442
6608/10-13	CONDUCTOR	30	456.000000	36	474.000000	0.000000	6235	9999-12-31	2013-05-08	4443
6608/10-13	SURF.COND.	9 7/8	1136.000000	12 1/4	1145.000000	1.490000	6235	9999-12-31	2013-05-08	4444
6608/10-13	OPEN HOLE	\N	1442.000000	8 1/2	1442.000000	0.000000	6235	9999-12-31	2013-05-08	4445
6608/10-14 S	CONDUCTOR	30	437.000000	36	440.000000	0.000000	6306	9999-12-31	2013-05-08	4446
6608/10-14 S	SURF.COND.	13 3/8	1332.000000	17 1/2	1332.000000	1.570000	6306	9999-12-31	2013-05-08	4447
6608/10-14 S	INTERM.	9 5/8	2393.000000	12 1/4	2394.000000	1.870000	6306	9999-12-31	2013-05-08	4448
6608/10-14 S	OPEN HOLE	\N	2880.000000	8 1/2	2880.000000	0.000000	6306	9999-12-31	2013-05-08	4449
6608/10-2	CONDUCTOR	30	459.000000	36	460.000000	0.000000	1782	9999-12-31	2013-05-08	4450
6608/10-2	INTERM.	20	867.000000	26	870.000000	1.410000	1782	9999-12-31	2013-05-08	4451
6608/10-2	INTERM.	13 3/8	1520.000000	17 1/2	1522.000000	1.860000	1782	9999-12-31	2013-05-08	4452
6608/10-2	INTERM.	9 5/8	2561.000000	12 1/4	2564.000000	1.950000	1782	9999-12-31	2013-05-08	4453
6608/10-2	LINER	7	3330.000000	8 1/2	3678.000000	1.820000	1782	9999-12-31	2013-05-08	4454
6608/10-3	CONDUCTOR	30	466.000000	36	466.000000	0.000000	1732	9999-12-31	2013-05-08	4455
6608/10-3	INTERM.	20	863.000000	26	863.000000	1.400000	1732	9999-12-31	2013-05-08	4456
6608/10-3	INTERM.	13 3/8	1574.000000	17 1/2	1574.000000	1.850000	1732	9999-12-31	2013-05-08	4457
6608/10-3	INTERM.	9 5/8	2542.000000	12 1/4	2542.000000	1.970000	1732	9999-12-31	2013-05-08	4458
6608/10-3	LINER	7	2921.000000	8 1/2	2921.000000	0.000000	1732	9999-12-31	2013-05-08	4459
6608/10-4	LINER	7	2800.000000	8 1/2	2800.000000	0.000000	2256	9999-12-31	2013-05-08	4460
6608/10-4	CONDUCTOR	30	464.000000	36	465.000000	0.000000	2256	9999-12-31	2013-05-08	4461
6608/10-4	SURF.COND.	20	794.000000	26	796.000000	1.500000	2256	9999-12-31	2013-05-08	4462
6608/10-4	INTERM.	13 3/8	1401.000000	17 1/2	1402.000000	1.830000	2256	9999-12-31	2013-05-08	4463
6608/10-4	INTERM.	9 5/8	2540.000000	12 1/4	2542.000000	1.830000	2256	9999-12-31	2013-05-08	4464
6608/10-5	CONDUCTOR	36	424.000000	30	425.000000	0.000000	2578	9999-12-31	2013-05-08	4465
6608/10-5	INTERM.	13 3/8	1200.000000	17 1/2	1202.000000	1.630000	2578	9999-12-31	2013-05-08	4466
6608/10-5	INTERM.	9 5/8	3200.000000	12 1/4	3200.000000	0.000000	2578	9999-12-31	2013-05-08	4467
6608/10-6	CONDUCTOR	30	475.000000	36	475.000000	0.000000	3260	9999-12-31	2013-05-08	4468
6608/10-6	INTERM.	20	1398.000000	26	1410.000000	1.760000	3260	9999-12-31	2013-05-08	4469
6608/10-6	LINER	7	2115.000000	8 1/2	2115.000000	0.000000	3260	9999-12-31	2013-05-08	4470
6608/10-7	CONDUCTOR	30	468.000000	36	470.000000	0.000000	4273	9999-12-31	2013-05-08	4471
6608/10-7	SURF.COND.	13 3/8	1305.000000	17 1/2	1310.000000	1.560000	4273	9999-12-31	2013-05-08	4472
6608/10-7	LINER	7	2319.000000	8 1/2	2319.000000	0.000000	4273	9999-12-31	2013-05-08	4473
6608/10-8	CONDUCTOR	30	459.000000	36	460.000000	0.000000	4439	9999-12-31	2013-05-08	4474
6608/10-8	SURF.COND.	13 3/8	1290.000000	17 1/2	1315.000000	1.570000	4439	9999-12-31	2013-05-08	4475
6608/10-8	OPEN HOLE	\N	2652.000000	8 1/2	2652.000000	0.000000	4439	9999-12-31	2013-05-08	4476
6608/10-8 A	OPEN HOLE	\N	2600.000000	8 1/2	2600.000000	0.000000	4530	9999-12-31	2013-05-08	4477
6608/10-9	CONDUCTOR	30	458.000000	36	460.000000	0.000000	4668	9999-12-31	2013-05-08	4478
6608/10-9	SURF.COND.	13 3/8	1305.000000	17 1/2	1311.000000	1.720000	4668	9999-12-31	2013-05-08	4479
6608/10-9	OPEN HOLE	\N	2400.000000	8 1/2	2400.000000	0.000000	4668	9999-12-31	2013-05-08	4480
6608/11-1	CONDUCTOR	30	519.000000	36	524.000000	0.000000	936	9999-12-31	2013-05-08	4481
6608/11-1	SURF.COND.	20	677.000000	26	695.000000	1.420000	936	9999-12-31	2013-05-08	4482
6608/11-1	INTERM.	13 3/8	1165.000000	17 1/2	1185.000000	1.500000	936	9999-12-31	2013-05-08	4483
6608/11-2	CONDUCTOR	30	447.000000	36	447.000000	0.000000	4189	9999-12-31	2013-05-08	4484
6608/11-2	INTERM.	9 5/8	1249.000000	12 1/4	1249.000000	1.520000	4189	9999-12-31	2013-05-08	4485
6608/11-2	OPEN HOLE	\N	2215.000000	8 1/2	2215.000000	0.000000	4189	9999-12-31	2013-05-08	4486
6608/11-3	CONDUCTOR	30	457.000000	36	460.000000	0.000000	4630	9999-12-31	2013-05-08	4487
6608/11-3	SURF.COND.	13 3/8	725.000000	17 1/2	730.000000	1.340000	4630	9999-12-31	2013-05-08	4488
6608/11-3	OPEN HOLE	\N	2031.000000	12 1/4	2031.000000	0.000000	4630	9999-12-31	2013-05-08	4489
6608/11-4	CONDUCTOR	30	426.000000	36	425.000000	0.000000	4939	9999-12-31	2013-05-08	4490
6608/11-4	SURF.COND.	9 5/8	1349.000000	12 1/4	1357.000000	1.550000	4939	9999-12-31	2013-05-08	4491
6608/11-4	OPEN HOLE	\N	2317.000000	8 1/2	2317.000000	0.000000	4939	9999-12-31	2013-05-08	4492
6608/11-5	CONDUCTOR	30	410.000000	36	416.000000	0.000000	5316	9999-12-31	2013-05-08	4493
6608/11-5	SURF.COND.	9 5/8	1299.000000	12 1/4	1305.000000	1.570000	5316	9999-12-31	2013-05-08	4494
6608/11-5	OPEN HOLE	\N	2270.000000	8 1/2	2270.000000	0.000000	5316	9999-12-31	2013-05-08	4495
6608/11-6	CONDUCTOR	30	426.000000	36	429.000000	0.000000	5868	9999-12-31	2013-05-08	4496
6608/11-6	INTERM.	9 5/8	1300.000000	12 1/4	1306.000000	1.540000	5868	9999-12-31	2013-05-08	4497
6608/11-6	OPEN HOLE	\N	1850.000000	8 1/2	1850.000000	0.000000	5868	9999-12-31	2013-05-08	4498
6608/8-1	CONDUCTOR	30	418.000000	36	418.000000	0.000000	2974	9999-12-31	2013-05-08	4499
6608/8-1	SURF.COND.	20	652.000000	26	659.000000	1.390000	2974	9999-12-31	2013-05-08	4500
6608/8-1	INTERM.	13 3/8	1544.000000	17 1/2	1624.000000	1.720000	2974	9999-12-31	2013-05-08	4501
6608/8-1	LINER	9 5/8	2585.000000	12 1/4	2587.000000	1.710000	2974	9999-12-31	2013-05-08	4502
6608/8-1	OPEN HOLE	\N	3013.000000	8 1/2	3013.000000	0.000000	2974	9999-12-31	2013-05-08	4503
6608/8-2	CONDUCTOR	30	407.000000	36	410.000000	0.000000	2989	9999-12-31	2013-05-08	4504
6608/8-2	SURF.COND.	13 3/8	1498.000000	17 1/2	1504.000000	0.000000	2989	9999-12-31	2013-05-08	4505
6608/8-2	OPEN HOLE	\N	2831.000000	12 1/4	2831.000000	0.000000	2989	9999-12-31	2013-05-08	4506
6609/10-1	CONDUCTOR	30	413.000000	36	415.000000	1.380000	24	9999-12-31	2013-05-08	4507
6609/10-1	SURF.COND.	20	654.000000	26	668.000000	1.560000	24	9999-12-31	2013-05-08	4508
6609/10-1	INTERM.	13 3/8	1247.000000	17 1/2	1265.000000	1.870000	24	9999-12-31	2013-05-08	4509
6609/10-1	OPEN HOLE	\N	2166.000000	12 1/4	2166.000000	0.000000	24	9999-12-31	2013-05-08	4510
6609/10-2	CONDUCTOR	30	349.000000	36	352.000000	0.000000	6188	9999-12-31	2013-05-08	4511
6609/10-2	SURF.COND.	13 3/8	1229.000000	17 1/2	1237.000000	1.880000	6188	9999-12-31	2013-05-08	4512
6609/10-2	INTERM.	9 5/8	1881.000000	12 1/4	1888.000000	1.970000	6188	9999-12-31	2013-05-08	4513
6609/10-2	OPEN HOLE	\N	2528.000000	8 1/2	2528.000000	0.000000	6188	9999-12-31	2013-05-08	4514
6609/11-1	CONDUCTOR	30	325.000000	36	332.000000	0.000000	15	9999-12-31	2013-05-08	4515
6609/11-1	SURF.COND.	20	896.000000	26	915.000000	1.580000	15	9999-12-31	2013-05-08	4516
6609/11-1	INTERM.	13 3/8	1849.000000	17 1/2	1864.000000	2.000000	15	9999-12-31	2013-05-08	4517
6609/11-1	OPEN HOLE	\N	3068.000000	12 1/4	3068.000000	0.000000	15	9999-12-31	2013-05-08	4518
6609/5-1	CONDUCTOR	30	389.000000	36	389.000000	0.000000	445	9999-12-31	2013-05-08	4519
6609/5-1	SURF.COND.	20	805.000000	26	820.000000	1.490000	445	9999-12-31	2013-05-08	4520
6609/5-1	INTERM.	13 3/8	1660.000000	17 1/2	1676.000000	1.980000	445	9999-12-31	2013-05-08	4521
6609/5-1	INTERM.	9 5/8	3103.000000	12 1/4	3125.000000	2.180000	445	9999-12-31	2013-05-08	4522
6609/5-1	OPEN HOLE	\N	3600.000000	8 1/2	3600.000000	0.000000	445	9999-12-31	2013-05-08	4523
6609/6-1	CONDUCTOR	30	430.000000	36	431.000000	0.000000	5626	9999-12-31	2013-05-08	4524
6609/6-1	SURF.COND.	20	998.000000	26	1005.000000	1.320000	5626	9999-12-31	2013-05-08	4525
6609/6-1	INTERM.	13 3/8	1445.000000	17 1/2	1451.000000	1.690000	5626	9999-12-31	2013-05-08	4526
6609/6-1	INTERM.	9 5/8	2213.000000	12 1/4	2221.000000	1.770000	5626	9999-12-31	2013-05-08	4527
6609/6-1	OPEN HOLE	\N	2710.000000	8 1/2	2710.000000	0.000000	5626	9999-12-31	2013-05-08	4528
6609/7-1	CONDUCTOR	30	348.000000	36	350.000000	0.000000	19	9999-12-31	2013-05-08	4529
6609/7-1	SURF.COND.	20	1025.000000	26	1040.000000	1.460000	19	9999-12-31	2013-05-08	4530
6609/7-1	INTERM.	13 3/8	1833.000000	17 1/2	1843.000000	1.730000	19	9999-12-31	2013-05-08	4531
6609/7-1	OPEN HOLE	\N	1969.000000	12 1/4	1969.000000	0.000000	19	9999-12-31	2013-05-08	4532
6610/2-1 S	CONDUCTOR	30	491.000000	36	493.000000	0.000000	2874	9999-12-31	2013-05-08	4533
6610/2-1 S	SURF.COND.	13 3/8	938.000000	17 1/2	940.000000	1.540000	2874	9999-12-31	2013-05-08	4534
6610/2-1 S	INTERM.	9 5/8	1740.000000	12 1/4	1740.000000	1.810000	2874	9999-12-31	2013-05-08	4535
6610/2-1 S	OPEN HOLE	\N	2673.000000	8 1/2	2673.000000	0.000000	2874	9999-12-31	2013-05-08	4536
6610/3-1	CONDUCTOR	30	393.000000	36	395.000000	0.000000	1864	9999-12-31	2013-05-08	4537
6610/3-1	SURF.COND.	20	919.000000	26	920.000000	1.650000	1864	9999-12-31	2013-05-08	4538
6610/3-1	INTERM.	13 3/8	1744.000000	17 1/2	1746.000000	1.750000	1864	9999-12-31	2013-05-08	4539
6610/3-1	OPEN HOLE	\N	3126.000000	12 1/4	3126.000000	0.000000	1864	9999-12-31	2013-05-08	4540
6610/3-1 R	INTERM.	9 5/8	3469.000000	12 1/4	3469.000000	0.000000	2193	9999-12-31	2013-05-08	4541
6610/3-1 R	OPEN HOLE	\N	4200.000000	8 1/2	4200.000000	0.000000	2193	9999-12-31	2013-05-08	4542
6610/7-1	CONDUCTOR	30	353.000000	36	355.000000	0.000000	12	9999-12-31	2013-05-08	4543
6610/7-1	SURF.COND.	20	801.000000	26	812.000000	1.460000	12	9999-12-31	2013-05-08	4544
6610/7-1	INTERM.	13 3/8	1252.000000	17 1/2	1265.000000	1.740000	12	9999-12-31	2013-05-08	4545
6610/7-1	INTERM.	9 5/8	2097.000000	12 1/4	2115.000000	1.760000	12	9999-12-31	2013-05-08	4546
6610/7-1	OPEN HOLE	\N	3333.000000	8 1/2	3333.000000	0.000000	12	9999-12-31	2013-05-08	4547
6610/7-2	CONDUCTOR	30	321.000000	36	321.000000	0.000000	26	9999-12-31	2013-05-08	4548
6610/7-2	SURF.COND.	20	701.000000	26	715.000000	1.530000	26	9999-12-31	2013-05-08	4549
6610/7-2	INTERM.	16	1450.000000	22	1465.000000	1.780000	26	9999-12-31	2013-05-08	4550
6610/7-2	INTERM.	13 3/8	2143.000000	17 1/2	2160.000000	1.760000	26	9999-12-31	2013-05-08	4551
6610/7-2	INTERM.	9 5/8	3471.000000	12 1/4	3486.000000	2.000000	26	9999-12-31	2013-05-08	4552
6610/7-2	OPEN HOLE	\N	4215.000000	8 1/2	4215.000000	0.000000	26	9999-12-31	2013-05-08	4553
6704/12-1	CONDUCTOR	30	1476.000000	36	1476.000000	0.000000	3759	9999-12-31	2013-05-08	4554
6704/12-1	SURF.COND.	20	2162.000000	26	2167.000000	1.170000	3759	9999-12-31	2013-05-08	4555
6704/12-1	INTERM.	13 3/8	2379.000000	17	2384.000000	1.260000	3759	9999-12-31	2013-05-08	4556
6704/12-1	INTERM.	9 5/8	2854.000000	12 1/4	2855.000000	1.400000	3759	9999-12-31	2013-05-08	4557
6704/12-1	OPEN HOLE	\N	4103.000000	8 1/2	4103.000000	0.000000	3759	9999-12-31	2013-05-08	4558
6705/10-1	CONDUCTOR	30	1447.000000	36	1450.000000	0.000000	6044	9999-12-31	2013-05-08	4559
6705/10-1	SURF.COND.	20	2350.000000	26	2363.000000	1.270000	6044	9999-12-31	2013-05-08	4560
6705/10-1	INTERM.	13 3/8	2896.000000	17 1/2	2908.000000	1.390000	6044	9999-12-31	2013-05-08	4561
6705/10-1	OPEN HOLE	\N	3775.000000	12 1/4	3775.000000	0.000000	6044	9999-12-31	2013-05-08	4562
6706/11-1	CONDUCTOR	30	1340.000000	36	1343.000000	0.000000	3202	9999-12-31	2013-05-08	4563
6706/11-1	SURF.COND.	20	1431.000000	26	1445.000000	1.150000	3202	9999-12-31	2013-05-08	4564
6706/11-1	LINER	16	1908.000000	17 1/2	1911.000000	1.260000	3202	9999-12-31	2013-05-08	4565
6706/11-1	LINER	9 5/8	2246.000000	14 3/4	2250.000000	1.360000	3202	9999-12-31	2013-05-08	4566
6706/11-1	OPEN HOLE	\N	4317.000000	8 1/2	4317.000000	0.000000	3202	9999-12-31	2013-05-08	4567
6706/12-1	CONDUCTOR	30	1376.000000	36	1379.000000	0.000000	5867	9999-12-31	2013-05-08	4568
6706/12-1	SURF.COND.	20	2024.000000	26	2034.000000	1.390000	5867	9999-12-31	2013-05-08	4569
6706/12-1	PILOT HOLE	\N	2034.000000	12 1/4	2034.000000	0.000000	5867	9999-12-31	2013-05-08	4570
6706/12-1	INTERM.	9 5/8	2572.000000	12 1/4	2583.000000	1.440000	5867	9999-12-31	2013-05-08	4571
6706/12-1	OPEN HOLE	\N	3950.000000	8 1/2	3950.000000	0.000000	5867	9999-12-31	2013-05-08	4572
6706/6-1	CONDUCTOR	36	1422.000000	42	1428.000000	0.000000	4705	9999-12-31	2013-05-08	4573
6706/6-1	SURF.COND.	20	2042.000000	28	2050.000000	1.270000	4705	9999-12-31	2013-05-08	4574
6706/6-1	INTERM.	13 3/8	3211.000000	17	3220.000000	1.490000	4705	9999-12-31	2013-05-08	4575
6706/6-1	OPEN HOLE	\N	3451.000000	12 1/4	3451.000000	0.000000	4705	9999-12-31	2013-05-08	4576
6707/10-1	CONDUCTOR	30	1371.000000	36	1376.300000	0.000000	3075	9999-12-31	2013-05-08	4577
6707/10-1	CONDUCTOR	\N	30.000000	\N	0.000000	0.000000	3075	9999-12-31	2013-05-08	4578
6707/10-1	SURF.COND.	20	2202.700000	26	2207.000000	1.370000	3075	9999-12-31	2013-05-08	4579
6707/10-1	INTERM.	13 3/8	2890.700000	17 1/2	2896.000000	1.490000	3075	9999-12-31	2013-05-08	4580
6707/10-1	INTERM.	9 5/8	3865.200000	12 1/4	3871.000000	1.700000	3075	9999-12-31	2013-05-08	4581
6707/10-1	OPEN HOLE	\N	5039.000000	8	5039.000000	0.000000	3075	9999-12-31	2013-05-08	4582
6707/10-2 A	OPEN HOLE	\N	4850.000000	8 1/2	4850.000000	0.000000	5931	9999-12-31	2013-05-08	4583
6707/10-2 S	CONDUCTOR	30	1360.000000	36	1363.000000	0.000000	5918	9999-12-31	2013-05-08	4584
6707/10-2 S	SURF.COND.	20	2000.000000	26	2010.000000	1.390000	5918	9999-12-31	2013-05-08	4585
6707/10-2 S	INTERM.	9 5/8	3100.000000	12 1/4	0.000000	0.000000	5918	9999-12-31	2013-05-08	4586
6707/10-2 S	INTERM.	9 5/8	3090.000000	12 1/4	3100.000000	1.540000	5918	9999-12-31	2013-05-08	4587
6710/10-1	CONDUCTOR	30	428.000000	36	428.000000	0.000000	3941	9999-12-31	2013-05-08	4588
6710/10-1	INTERM.	13 3/8	834.000000	17 1/2	834.000000	1.650000	3941	9999-12-31	2013-05-08	4589
6710/10-1	OPEN HOLE	\N	1095.000000	12 1/4	1095.000000	0.000000	3941	9999-12-31	2013-05-08	4590
6710/10-1	OPEN HOLE	\N	2267.000000	8 1/2	2267.000000	0.000000	3941	9999-12-31	2013-05-08	4591
7/1-1	CONDUCTOR	30	154.000000	36	159.000000	0.000000	192	9999-12-31	2013-05-08	4592
7/1-1	SURF.COND.	20	367.000000	26	381.000000	0.000000	192	9999-12-31	2013-05-08	4593
7/1-1	INTERM.	13 3/8	1571.000000	17 1/2	1601.000000	0.000000	192	9999-12-31	2013-05-08	4594
7/1-1	OPEN HOLE	\N	2808.000000	12 1/4	2808.000000	0.000000	192	9999-12-31	2013-05-08	4595
7/11-1	CONDUCTOR	30	141.000000	36	141.000000	0.000000	149	9999-12-31	2013-05-08	4596
7/11-1	SURF.COND.	20	457.000000	26	463.000000	0.000000	149	9999-12-31	2013-05-08	4597
7/11-1	INTERM.	13 3/8	1965.000000	17 1/2	1982.000000	0.000000	149	9999-12-31	2013-05-08	4598
7/11-1	INTERM.	9 5/8	3124.000000	12 1/4	3145.000000	0.000000	149	9999-12-31	2013-05-08	4599
7/11-10 S	CONDUCTOR	30	185.000000	36	192.000000	0.000000	1563	9999-12-31	2013-05-08	4600
7/11-10 S	INTERM.	18 5/8	597.000000	24	620.000000	0.000000	1563	9999-12-31	2013-05-08	4601
7/11-10 S	INTERM.	13 3/8	1941.000000	17 1/2	1957.000000	0.000000	1563	9999-12-31	2013-05-08	4602
7/11-10 S	INTERM.	9 5/8	4205.000000	12 1/4	4220.000000	1.970000	1563	9999-12-31	2013-05-08	4603
7/11-10 S	LINER	7	4564.000000	8 1/2	4566.000000	0.000000	1563	9999-12-31	2013-05-08	4604
7/11-11 S	CONDUCTOR	30	201.000000	36	214.000000	0.000000	5474	9999-12-31	2013-05-08	4605
7/11-11 S	SURF.COND.	13 3/8	1312.000000	17 1/2	1322.000000	1.700000	5474	9999-12-31	2013-05-08	4606
7/11-11 S	INTERM.	9 5/8	4285.000000	12 1/4	4296.000000	1.900000	5474	9999-12-31	2013-05-08	4607
7/11-11 S	OPEN HOLE	\N	4679.000000	8 1/2	4679.000000	0.000000	5474	9999-12-31	2013-05-08	4608
7/11-12 A	CONDUCTOR	30	244.000000	36	255.000000	0.000000	6655	9999-12-31	2013-05-08	4609
7/11-12 A	PILOT HOLE	\N	970.000000	12 1/4	970.000000	0.000000	6655	9999-12-31	2013-05-08	4610
7/11-12 A	SURF.COND.	20	959.000000	26	964.000000	1.750000	6655	9999-12-31	2013-05-08	4611
7/11-12 A	INTERM.	13 5/8	3895.000000	17 1/2	3900.000000	1.970000	6655	9999-12-31	2013-05-08	4612
7/11-12 A	INTERM.	10 3/4	3912.000000	12 1/4	3912.000000	2.090000	6655	9999-12-31	2013-05-08	4613
7/11-12 A	LINER	7 3/4	5216.000000	8 1/2	5216.000000	2.250000	6655	9999-12-31	2013-05-08	4614
7/11-12 A	OPEN HOLE	\N	5672.000000	6 1/2	5672.000000	0.000000	6655	9999-12-31	2013-05-08	4615
7/11-12 S	CONDUCTOR	30	244.000000	36	255.000000	0.000000	6549	9999-12-31	2013-05-08	4616
7/11-12 S	PILOT HOLE	\N	970.000000	12 1/4	970.000000	1.970000	6549	9999-12-31	2013-05-08	4617
7/11-12 S	SURF.COND.	20	959.000000	26	964.000000	1.750000	6549	9999-12-31	2013-05-08	4618
7/11-12 S	INTERM.	13 3/8	3895.000000	17 1/2	3900.000000	2.300000	6549	9999-12-31	2013-05-08	4619
7/11-12 S	INTERM.	10 3/4	4958.000000	12 1/4	4964.000000	0.000000	6549	9999-12-31	2013-05-08	4620
7/11-12 S	OPEN HOLE	\N	5420.000000	8 1/2	0.000000	0.000000	6549	9999-12-31	2013-05-08	4621
7/11-2	CONDUCTOR	30	132.000000	36	132.000000	0.000000	156	9999-12-31	2013-05-08	4622
7/11-2	SURF.COND.	20	484.000000	26	484.000000	0.000000	156	9999-12-31	2013-05-08	4623
7/11-2	INTERM.	13 3/8	1945.000000	17 1/2	1945.000000	0.000000	156	9999-12-31	2013-05-08	4624
7/11-2	INTERM.	9 5/8	3203.000000	12 1/4	3203.000000	0.000000	156	9999-12-31	2013-05-08	4625
7/11-2	OPEN HOLE	\N	3427.000000	8 1/2	3427.000000	0.000000	156	9999-12-31	2013-05-08	4626
7/11-3	CONDUCTOR	20	172.000000	26	176.000000	0.000000	159	9999-12-31	2013-05-08	4627
7/11-3	INTERM.	13 3/8	496.000000	17 1/2	511.000000	0.000000	159	9999-12-31	2013-05-08	4628
7/11-3	INTERM.	9 5/8	1973.000000	12 1/4	1994.000000	0.000000	159	9999-12-31	2013-05-08	4629
7/11-3	PROD.	7	3341.000000	8 1/2	3351.000000	0.000000	159	9999-12-31	2013-05-08	4630
7/11-4	CONDUCTOR	20	160.000000	26	160.000000	0.000000	167	9999-12-31	2013-05-08	4631
7/11-4	SURF.COND.	13 3/8	589.000000	17 1/2	610.000000	0.000000	167	9999-12-31	2013-05-08	4632
7/11-4	INTERM.	9 5/8	2370.000000	12 1/4	2378.000000	0.000000	167	9999-12-31	2013-05-08	4633
7/11-4	OPEN HOLE	\N	3322.000000	8 1/2	3322.000000	0.000000	167	9999-12-31	2013-05-08	4634
7/11-5	SURF.COND.	20	601.000000	26	615.000000	1.740000	42	9999-12-31	2013-05-08	4635
7/11-5	INTERM.	13 3/8	2100.000000	17 1/2	2115.000000	1.840000	42	9999-12-31	2013-05-08	4636
7/11-5	INTERM.	9 5/8	3944.000000	12 1/4	3955.000000	2.050000	42	9999-12-31	2013-05-08	4637
7/11-5	LINER	7	4444.000000	8 3/8	4478.000000	0.000000	42	9999-12-31	2013-05-08	4638
7/11-5	CONDUCTOR	30	178.000000	36	179.000000	0.000000	42	9999-12-31	2013-05-08	4639
7/11-6	OPEN HOLE	\N	4500.000000	8 3/8	4500.000000	0.000000	86	9999-12-31	2013-05-08	4640
7/11-6	CONDUCTOR	30	182.000000	36	182.500000	0.000000	86	9999-12-31	2013-05-08	4641
7/11-6	SURF.COND.	20	654.000000	26	670.000000	1.920000	86	9999-12-31	2013-05-08	4642
7/11-6	INTERM.	13 3/8	2044.000000	17 1/2	2060.000000	1.850000	86	9999-12-31	2013-05-08	4643
7/11-6	INTERM.	9 5/8	3955.000000	12 1/4	3970.000000	2.030000	86	9999-12-31	2013-05-08	4644
7/11-7	CONDUCTOR	30	183.800000	36	0.000000	0.000000	57	9999-12-31	2013-05-08	4645
7/11-7	SURF.COND.	20	498.000000	26	0.000000	0.000000	57	9999-12-31	2013-05-08	4646
7/11-7	INTERM.	16	1379.200000	\N	1390.000000	1.700000	57	9999-12-31	2013-05-08	4647
7/11-7	INTERM.	13 3/8	3156.000000	17 1/2	3158.000000	1.800000	57	9999-12-31	2013-05-08	4648
7/11-7	INTERM.	9 5/8	3492.800000	12 1/4	3489.000000	1.830000	57	9999-12-31	2013-05-08	4649
7/11-7	LINER	7	4912.800000	8 1/2	4913.000000	0.000000	57	9999-12-31	2013-05-08	4650
7/11-8	CONDUCTOR	30	188.000000	36	188.000000	0.000000	30	9999-12-31	2013-05-08	4651
7/11-8	SURF.COND.	20	605.000000	26	620.000000	1.860000	30	9999-12-31	2013-05-08	4652
7/11-8	INTERM.	13 3/8	1895.000000	17 1/2	1910.000000	1.890000	30	9999-12-31	2013-05-08	4653
7/11-8	INTERM.	9 5/8	3673.000000	12 1/4	3698.000000	2.030000	30	9999-12-31	2013-05-08	4654
7/11-8	OPEN HOLE	\N	4750.000000	8 3/8	4750.000000	0.000000	30	9999-12-31	2013-05-08	4655
7/11-9	CONDUCTOR	30	190.000000	36	192.000000	0.000000	856	9999-12-31	2013-05-08	4656
7/11-9	SURF.COND.	20	708.000000	26	723.000000	2.140000	856	9999-12-31	2013-05-08	4657
7/11-9	INTERM.	13 3/8	2195.000000	17 1/2	2212.000000	2.000000	856	9999-12-31	2013-05-08	4658
7/11-9	INTERM.	9 5/8	3932.000000	12 1/4	3947.000000	0.000000	856	9999-12-31	2013-05-08	4659
7/11-9	LINER	7	4255.000000	8 1/2	4272.000000	0.000000	856	9999-12-31	2013-05-08	4660
7/1-2 S	CONDUCTOR	30	198.000000	36	201.000000	0.000000	5793	9999-12-31	2013-05-08	4661
7/1-2 S	SURF.COND.	20	583.000000	26	592.000000	1.850000	5793	9999-12-31	2013-05-08	4662
7/1-2 S	INTERM.	13 3/8	1313.000000	17 1/2	1320.000000	1.800000	5793	9999-12-31	2013-05-08	4663
7/1-2 S	INTERM.	9 5/8	2931.000000	12 1/4	2937.000000	2.120000	5793	9999-12-31	2013-05-08	4664
7/1-2 S	OPEN HOLE	\N	3175.000000	8 1/2	3175.000000	0.000000	5793	9999-12-31	2013-05-08	4665
7/12-11	OPEN HOLE	\N	3868.000000	12 1/2	3868.000000	0.000000	1787	9999-12-31	2013-05-08	4666
7/12-11	CONDUCTOR	30	163.000000	36	165.000000	0.000000	1787	9999-12-31	2013-05-08	4667
7/12-11	INTERM.	20	935.000000	26	937.000000	1.700000	1787	9999-12-31	2013-05-08	4668
7/12-11	INTERM.	13 3/8	2735.000000	17 1/2	2737.000000	1.900000	1787	9999-12-31	2013-05-08	4669
7/12-6	CONDUCTOR	30	167.000000	36	172.000000	0.000000	281	9999-12-31	2013-05-08	4670
7/12-6	SURF.COND.	18 5/8	465.000000	17 1/2	480.000000	1.880000	281	9999-12-31	2013-05-08	4671
7/12-6	INTERM.	13 3/8	1684.000000	17 1/2	1696.000000	1.830000	281	9999-12-31	2013-05-08	4672
7/12-6	INTERM.	9 5/8	3337.000000	12 1/4	3350.000000	1.970000	281	9999-12-31	2013-05-08	4673
7/12-6	LINER	7	3688.000000	8 1/2	3700.000000	0.000000	281	9999-12-31	2013-05-08	4674
7/3-1	OPEN HOLE	\N	4700.000000	8 1/2	4700.000000	0.000000	164	9999-12-31	2013-05-08	4675
7/3-1	CONDUCTOR	30	146.000000	36	146.000000	0.000000	164	9999-12-31	2013-05-08	4676
7/3-1	SURF.COND.	20	363.000000	26	371.000000	0.000000	164	9999-12-31	2013-05-08	4677
7/3-1	INTERM.	13 3/8	1557.000000	17 12	1557.000000	0.000000	164	9999-12-31	2013-05-08	4678
7/3-1	INTERM.	9 5/8	2708.000000	12 1/4	2720.000000	0.000000	164	9999-12-31	2013-05-08	4679
7/4-1	OPEN HOLE	7	3133.000000	8 1/2	3133.000000	0.000000	2136	9999-12-31	2013-05-08	4680
7/4-1	CONDUCTOR	30	167.000000	36	167.000000	0.000000	2136	9999-12-31	2013-05-08	4681
7/4-1	INTERM.	20	900.000000	26	901.000000	2.000000	2136	9999-12-31	2013-05-08	4682
7/4-1	INTERM.	13 3/8	2445.000000	17 1/2	2447.000000	2.000000	2136	9999-12-31	2013-05-08	4683
7/4-1	INTERM.	9 7/8	2970.000000	12 1/4	2972.000000	2.080000	2136	9999-12-31	2013-05-08	4684
7/4-2	CONDUCTOR	30	208.000000	36	210.000000	0.000000	5683	9999-12-31	2013-05-08	4685
7/4-2	SURF.COND.	20	950.000000	26	955.000000	1.730000	5683	9999-12-31	2013-05-08	4686
7/4-2	INTERM.	13 3/8	1848.000000	17 1/2	1850.000000	1.910000	5683	9999-12-31	2013-05-08	4687
7/4-2	INTERM.	9 5/8	3219.000000	12 1/4	3222.000000	21.000000	5683	9999-12-31	2013-05-08	4688
7/4-2	OPEN HOLE	\N	3450.000000	8 1/2	3458.000000	0.000000	5683	9999-12-31	2013-05-08	4689
7/7-1	CONDUCTOR	30	167.000000	36	168.000000	0.000000	1492	9999-12-31	2013-05-08	4690
7/7-1	OPEN HOLE	\N	3500.000000	8 1/2	3500.000000	0.000000	1492	9999-12-31	2013-05-08	4691
7/7-1	INTERM.	20	567.000000	26	580.000000	1.640000	1492	9999-12-31	2013-05-08	4692
7/7-1	INTERM.	13 3/8	2548.000000	18	2565.000000	1.860000	1492	9999-12-31	2013-05-08	4693
7/7-1	INTERM.	9 5/8	3251.000000	12 1/4	3263.000000	1.630000	1492	9999-12-31	2013-05-08	4694
7/7-2	CONDUCTOR	30	165.000000	36	165.000000	0.000000	1868	9999-12-31	2013-05-08	4695
7/7-2	INTERM.	20	886.000000	26	886.000000	2.050000	1868	9999-12-31	2013-05-08	4696
7/7-2	INTERM.	13 3/8	2728.000000	17 1/2	2728.000000	2.000000	1868	9999-12-31	2013-05-08	4697
7/7-2	INTERM.	9 5/8	3283.000000	12 1/4	3283.000000	2.050000	1868	9999-12-31	2013-05-08	4698
7/7-2	LINER	7	3420.000000	8 1/2	3420.000000	0.000000	1868	9999-12-31	2013-05-08	4699
7/7-3	CONDUCTOR	30	164.500000	36	165.000000	0.000000	2113	9999-12-31	2013-05-08	4700
7/7-3	INTERM.	20	903.500000	26	905.000000	2.000000	2113	9999-12-31	2013-05-08	4701
7/7-3	INTERM.	13 3/8	2661.000000	17 1/2	2663.000000	1.950000	2113	9999-12-31	2013-05-08	4702
7/7-3	INTERM.	9 5/8	3339.000000	12 1/4	3340.000000	2.040000	2113	9999-12-31	2013-05-08	4703
7/7-3	OPEN HOLE	\N	3584.000000	8 1/2	3584.000000	0.000000	2113	9999-12-31	2013-05-08	4704
7/7-4	CONDUCTOR	30	218.000000	36	223.000000	0.000000	5570	9999-12-31	2013-05-08	4705
7/7-4	SURF.COND.	20	620.000000	24	625.000000	1.490000	5570	9999-12-31	2013-05-08	4706
7/7-4	INTERM.	13 3/8	1164.000000	17 1/2	1175.000000	1.660000	5570	9999-12-31	2013-05-08	4707
7/7-4	OPEN HOLE	\N	3054.000000	12 1/4	3054.000000	0.000000	5570	9999-12-31	2013-05-08	4708
7/8-1	CONDUCTOR	30	125.000000	36	125.000000	0.000000	158	9999-12-31	2013-05-08	4709
7/8-1	SURF.COND.	20	483.000000	26	516.000000	0.000000	158	9999-12-31	2013-05-08	4710
7/8-1	INTERM.	13 3/8	1946.000000	17 1/2	1982.000000	0.000000	158	9999-12-31	2013-05-08	4711
7/8-1	INTERM.	9 5/8	2125.000000	12 1/4	2145.000000	0.000000	158	9999-12-31	2013-05-08	4712
7/8-1	LINER	7	3232.000000	8 1/2	3232.000000	0.000000	158	9999-12-31	2013-05-08	4713
7/8-2	CONDUCTOR	30	142.000000	36	142.000000	0.000000	294	9999-12-31	2013-05-08	4714
7/8-2	SURF.COND.	20	437.000000	26	450.000000	0.000000	294	9999-12-31	2013-05-08	4715
7/8-2	INTERM.	13 3/8	1209.000000	17 1/2	1219.000000	0.000000	294	9999-12-31	2013-05-08	4716
7/8-2	INTERM.	9 5/8	2243.000000	12 1/4	2255.000000	0.000000	294	9999-12-31	2013-05-08	4717
7/8-2	OPEN HOLE	\N	3006.000000	8 1/2	3006.000000	0.000000	294	9999-12-31	2013-05-08	4718
7/8-3	CONDUCTOR	30	199.000000	36	199.000000	0.000000	28	9999-12-31	2013-05-08	4719
7/8-3	SURF.COND.	20	610.000000	26	622.000000	1.880000	28	9999-12-31	2013-05-08	4720
7/8-3	INTERM.	13 3/8	1981.000000	17 1/2	1995.000000	1.650000	28	9999-12-31	2013-05-08	4721
7/8-3	INTERM.	9 5/8	3554.000000	12 1/4	3561.000000	2.030000	28	9999-12-31	2013-05-08	4722
7/8-3	LINER	7	3827.000000	8 1/2	4320.000000	0.000000	28	9999-12-31	2013-05-08	4723
7/8-4	CONDUCTOR	30	204.000000	36	205.000000	0.000000	448	9999-12-31	2013-05-08	4724
7/8-4	SURF.COND.	20	607.000000	26	619.000000	1.670000	448	9999-12-31	2013-05-08	4725
7/8-4	INTERM.	13 3/8	1946.000000	17 1/2	1970.000000	1.930000	448	9999-12-31	2013-05-08	4726
7/8-4	INTERM.	9 5/8	3796.000000	12 1/4	3808.000000	2.230000	448	9999-12-31	2013-05-08	4727
7/8-4	OPEN HOLE	\N	4400.000000	8 1/2	4400.000000	0.000000	448	9999-12-31	2013-05-08	4728
7/8-5 S	CONDUCTOR	30	210.000000	36	214.000000	0.000000	5304	9999-12-31	2013-05-08	4729
7/8-5 S	SURF.COND.	13 3/8	1214.000000	17 1/2	1220.000000	1.750000	5304	9999-12-31	2013-05-08	4730
7/8-5 S	INTERM.	9 5/8	3765.000000	12 1/4	3772.000000	1.900000	5304	9999-12-31	2013-05-08	4731
7/8-5 S	LINER	7	4167.000000	8 1/2	4168.000000	0.000000	5304	9999-12-31	2013-05-08	4732
7/9-1	CONDUCTOR	30	108.000000	36	110.000000	0.000000	191	9999-12-31	2013-05-08	4733
7/9-1	SURF.COND.	20	241.000000	26	244.000000	0.000000	191	9999-12-31	2013-05-08	4734
7/9-1	INTERM.	13 3/8	1070.000000	17 1/2	1076.000000	0.000000	191	9999-12-31	2013-05-08	4735
7/9-1	INTERM.	9 5/8	2143.000000	12 1/4	2144.000000	0.000000	191	9999-12-31	2013-05-08	4736
7/9-1	OPEN HOLE	\N	2931.000000	8 1/2	2931.000000	0.000000	191	9999-12-31	2013-05-08	4737
7019/1-1	CONDUCTOR	30	336.000000	36	343.000000	0.000000	4145	9999-12-31	2013-05-08	4738
7019/1-1	SURF.COND.	20	658.000000	26	665.000000	1.650000	4145	9999-12-31	2013-05-08	4739
7019/1-1	LINER	7	3003.000000	8 1/2	3003.000000	0.000000	4145	9999-12-31	2013-05-08	4740
7019/1-1	INTERM.	9 5/8	2004.000000	12 1/4	2015.000000	1.730000	4145	9999-12-31	2013-05-08	4741
7117/9-1	CONDUCTOR	30	345.000000	36	348.000000	0.000000	49	9999-12-31	2013-05-08	4742
7117/9-1	SURF.COND.	20	800.000000	26	817.000000	1.590000	49	9999-12-31	2013-05-08	4743
7117/9-1	INTERM.	13 3/8	1204.000000	17 1/2	1220.000000	1.600000	49	9999-12-31	2013-05-08	4744
7117/9-1	INTERM.	9 5/8	2688.000000	12 1/4	2707.000000	1.860000	49	9999-12-31	2013-05-08	4745
7117/9-1	OPEN HOLE	\N	3200.000000	8 3/8	3200.000000	0.000000	49	9999-12-31	2013-05-08	4746
7117/9-2	CONDUCTOR	30	356.000000	36	360.000000	0.000000	13	9999-12-31	2013-05-08	4747
7117/9-2	SURF.COND.	20	903.000000	26	912.000000	0.000000	13	9999-12-31	2013-05-08	4748
7117/9-2	INTERM.	13 3/8	1995.000000	17 1/2	2010.000000	1.780000	13	9999-12-31	2013-05-08	4749
7117/9-2	INTERM.	9 5/8	3681.000000	12 1/4	3697.000000	1.890000	13	9999-12-31	2013-05-08	4750
7117/9-2	OPEN HOLE	\N	5000.000000	8 3/8	5000.000000	0.000000	13	9999-12-31	2013-05-08	4751
7119/12-1	CONDUCTOR	30	262.000000	36	263.000000	0.000000	121	9999-12-31	2013-05-08	4752
7119/12-1	SURF.COND.	20	575.000000	26	590.000000	1.100000	121	9999-12-31	2013-05-08	4753
7119/12-1	INTERM.	13 3/8	1526.000000	17 1/2	1540.000000	1.680000	121	9999-12-31	2013-05-08	4754
7119/12-1	INTERM.	9 5/8	2479.000000	12 1/4	2491.000000	1.800000	121	9999-12-31	2013-05-08	4755
7119/12-1	LINER	7	3063.000000	8 1/2	3063.000000	0.000000	121	9999-12-31	2013-05-08	4756
7119/12-2	CONDUCTOR	30	256.000000	36	257.000000	0.000000	114	9999-12-31	2013-05-08	4757
7119/12-2	LINER	16	590.000000	21	590.000000	2.140000	114	9999-12-31	2013-05-08	4758
7119/12-2	SURF.COND.	20	389.500000	26	469.000000	1.310000	114	9999-12-31	2013-05-08	4759
7119/12-2	INTERM.	13 3/8	1204.000000	17 1/2	1215.000000	2.180000	114	9999-12-31	2013-05-08	4760
7119/12-2	INTERM.	9 5/8	1885.000000	12 1/4	1902.000000	0.000000	114	9999-12-31	2013-05-08	4761
7119/12-3	CONDUCTOR	30	302.000000	36	303.500000	0.000000	17	9999-12-31	2013-05-08	4762
7119/12-3	SURF.COND.	20	700.000000	26	716.000000	1.760000	17	9999-12-31	2013-05-08	4763
7119/12-3	INTERM.	13 3/8	1603.000000	17 1/2	1618.000000	1.900000	17	9999-12-31	2013-05-08	4764
7119/12-3	INTERM.	9 5/8	3135.000000	12 1/4	3140.000000	2.060000	17	9999-12-31	2013-05-08	4765
7119/12-3	LINER	7	3314.000000	8 1/2	3314.000000	0.000000	17	9999-12-31	2013-05-08	4766
7119/12-4	CONDUCTOR	30	274.000000	36	279.400000	0.000000	6468	9999-12-31	2013-05-08	4767
7119/12-4	SURF.COND.	13 3/8	1144.000000	17 1/2	1152.000000	1.430000	6468	9999-12-31	2013-05-08	4768
7119/12-4	INTERM.	9 5/8	2178.000000	12 1/4	2185.000000	1.540000	6468	9999-12-31	2013-05-08	4769
7119/12-4	OPEN HOLE	\N	2917.000000	8 1/2	2917.000000	0.000000	6468	9999-12-31	2013-05-08	4770
7119/12-4	PILOT HOLE	\N	1150.000000	9 7/8	1150.000000	0.000000	6468	9999-12-31	2013-05-08	4771
7119/7-1	CONDUCTOR	30	326.000000	36	333.000000	0.000000	21	9999-12-31	2013-05-08	4772
7119/7-1	SURF.COND.	20	532.000000	26	622.000000	1.350000	21	9999-12-31	2013-05-08	4773
7119/7-1	INTERM.	13 3/8	1254.000000	17 1/2	1269.000000	0.000000	21	9999-12-31	2013-05-08	4774
7119/7-1	INTERM.	9 5/8	2501.000000	12 1/4	2518.000000	0.000000	21	9999-12-31	2013-05-08	4775
7119/7-1	OPEN HOLE	\N	3167.000000	8 3/8	3167.000000	0.000000	21	9999-12-31	2013-05-08	4776
7119/9-1	OPEN HOLE	\N	3243.000000	8 1/2	3243.000000	0.000000	132	9999-12-31	2013-05-08	4777
7119/9-1	CONDUCTOR	30	296.000000	36	297.000000	1.100000	132	9999-12-31	2013-05-08	4778
7119/9-1	SURF.COND.	20	756.000000	26	770.000000	1.700000	132	9999-12-31	2013-05-08	4779
7119/9-1	INTERM.	13 3/8	1549.000000	17 1/2	1563.000000	1.730000	132	9999-12-31	2013-05-08	4780
7119/9-1	INTERM.	9 5/8	2724.000000	12 1/4	2732.000000	2.040000	132	9999-12-31	2013-05-08	4781
7120/10-1	CONDUCTOR	30	244.000000	36	257.000000	0.000000	274	9999-12-31	2013-05-08	4782
7120/10-1	INTERM.	13 3/8	521.000000	17 1/2	610.000000	0.000000	274	9999-12-31	2013-05-08	4783
7120/10-1	INTERM.	9 5/8	1300.000000	12 1/4	1317.000000	1.880000	274	9999-12-31	2013-05-08	4784
7120/10-1	OPEN HOLE	\N	2000.000000	8 1/2	2000.000000	0.000000	274	9999-12-31	2013-05-08	4785
7120/10-2	CONDUCTOR	30	248.000000	36	250.000000	0.000000	1561	9999-12-31	2013-05-08	4786
7120/10-2	INTERM.	13 3/8	523.000000	17 1/2	533.000000	1.860000	1561	9999-12-31	2013-05-08	4787
7120/10-2	INTERM.	9 5/8	1311.000000	12 1/4	1321.000000	1.850000	1561	9999-12-31	2013-05-08	4788
7120/10-2	OPEN HOLE	\N	2500.000000	8 1/2	2500.000000	0.000000	1561	9999-12-31	2013-05-08	4789
7120/1-1	CONDUCTOR	30	468.500000	36	480.000000	0.000000	484	9999-12-31	2013-05-08	4790
7120/1-1	SURF.COND.	20	1101.000000	26	1112.000000	1.370000	484	9999-12-31	2013-05-08	4791
7120/1-1	INTERM.	13 3/8	2093.000000	17 1/2	2107.000000	1.500000	484	9999-12-31	2013-05-08	4792
7120/1-1	INTERM.	9 5/8	2569.000000	12 1/4	2569.000000	0.000000	484	9999-12-31	2013-05-08	4793
7120/1-1 R	INTERM.	9 5/8	2610.000000	12 1/4	2610.000000	1.600000	874	9999-12-31	2013-05-08	4794
7120/1-1 R2	LINER	7	4003.000000	8 1/2	4003.000000	1.800000	897	9999-12-31	2013-05-08	4795
7120/1-1 R2	CONDUCTOR	30	468.500000	36	480.000000	0.000000	897	9999-12-31	2013-05-08	4796
7120/1-1 R2	SURF.COND.	20	1101.000000	26	1112.000000	1.370000	897	9999-12-31	2013-05-08	4797
7120/1-1 R2	INTERM.	13 3/8	2093.000000	17 1/2	2107.000000	1.500000	897	9999-12-31	2013-05-08	4798
7120/1-1 R2	INTERM.	9 5/8	2414.000000	12 1/4	2426.000000	0.000000	897	9999-12-31	2013-05-08	4799
7120/1-1 R2	INTERM.	9 5/8	2414.000000	12 1/4	2610.000000	1.600000	897	9999-12-31	2013-05-08	4800
7120/1-2	CONDUCTOR	30	401.000000	36	0.000000	0.000000	1366	9999-12-31	2013-05-08	4801
7120/1-2	INTERM.	20	607.000000	26	622.000000	1.370000	1366	9999-12-31	2013-05-08	4802
7120/1-2	INTERM.	9 5/8	1544.000000	12 1/2	1564.000000	1.270000	1366	9999-12-31	2013-05-08	4803
7120/1-2	LINER	7	2144.000000	8 1/2	2151.000000	1.340000	1366	9999-12-31	2013-05-08	4804
7120/1-2	LINER	4 1/2	2630.000000	5 7/8	2630.000000	0.000000	1366	9999-12-31	2013-05-08	4805
7120/12-1	CONDUCTOR	30	254.000000	36	255.000000	0.000000	123	9999-12-31	2013-05-08	4806
7120/12-1	SURF.COND.	20	666.000000	26	685.000000	1.900000	123	9999-12-31	2013-05-08	4807
7120/12-1	INTERM.	13 3/8	1277.000000	17 1/2	1290.000000	1.930000	123	9999-12-31	2013-05-08	4808
7120/12-1	INTERM.	9 5/8	1835.000000	12 1/4	1850.000000	1.920000	123	9999-12-31	2013-05-08	4809
7120/12-1	LINER	7	3548.000000	8 1/2	3548.000000	0.000000	123	9999-12-31	2013-05-08	4810
7120/12-2	CONDUCTOR	30	312.000000	36	313.000000	0.000000	122	9999-12-31	2013-05-08	4811
7120/12-2	SURF.COND.	20	502.000000	26	515.000000	1.740000	122	9999-12-31	2013-05-08	4812
7120/12-2	INTERM.	13 3/8	1710.000000	17 1/2	1724.000000	1.920000	122	9999-12-31	2013-05-08	4813
7120/12-2	INTERM.	9 5/8	3101.000000	12 1/4	3116.000000	2.080000	122	9999-12-31	2013-05-08	4814
7120/12-2	OPEN HOLE	NONE	4680.000000	8 3/8	4680.000000	0.000000	122	9999-12-31	2013-05-08	4815
7120/12-3	CONDUCTOR	30	269.000000	36	274.000000	0.000000	8	9999-12-31	2013-05-08	4816
7120/12-3	SURF.COND.	20	586.000000	26	605.000000	1.820000	8	9999-12-31	2013-05-08	4817
7120/12-3	INTERM.	13 3/8	1485.000000	17 1/2	1515.000000	1.650000	8	9999-12-31	2013-05-08	4818
7120/12-3	OPEN HOLE	\N	2523.000000	12 1/4	2523.000000	0.000000	8	9999-12-31	2013-05-08	4819
7120/12-4	OPEN HOLE	\N	2199.000000	12 1/4	2199.000000	0.000000	99	9999-12-31	2013-05-08	4820
7120/12-4	CONDUCTOR	30	237.000000	36	237.000000	0.000000	99	9999-12-31	2013-05-08	4821
7120/12-4	SURF.COND.	20	653.000000	26	666.000000	2.400000	99	9999-12-31	2013-05-08	4822
7120/12-4	INTERM.	13 3/8	1185.000000	17 1/2	1199.000000	2.430000	99	9999-12-31	2013-05-08	4823
7120/12-5	PILOT HOLE	\N	510.000000	9 7/8	510.000000	0.000000	6478	9999-12-31	2013-05-08	4824
7120/12-5	CONDUCTOR	30	268.500000	36	268.500000	0.000000	6478	9999-12-31	2013-05-08	4825
7120/12-5	SURF.COND.	20	503.000000	26	510.000000	1.790000	6478	9999-12-31	2013-05-08	4826
7120/12-5	INTERM.	13 3/8	1576.000000	16	1591.000000	1.660000	6478	9999-12-31	2013-05-08	4827
7120/12-5	INTERM.	9 5/8	3154.000000	12 1/4	3164.000000	0.000000	6478	9999-12-31	2013-05-08	4828
7120/12-5	OPEN HOLE	\N	3630.000000	8 1/2	3630.000000	0.000000	6478	9999-12-31	2013-05-08	4829
7120/2-1	OPEN HOLE	\N	3502.000000	8 1/2	3502.000000	0.000000	473	9999-12-31	2013-05-08	4830
7120/2-1	CONDUCTOR	30	473.000000	36	475.000000	0.000000	473	9999-12-31	2013-05-08	4831
7120/2-1	SURF.COND.	20	601.000000	26	915.000000	0.000000	473	9999-12-31	2013-05-08	4832
7120/2-1	INTERM.	16	1038.000000	\N	1050.000000	0.000000	473	9999-12-31	2013-05-08	4833
7120/2-1	INTERM.	13 3/8	1846.000000	17 1/2	1862.000000	1.630000	473	9999-12-31	2013-05-08	4834
7120/2-1	INTERM.	9 5/8	2474.000000	12 1/4	2500.000000	2.100000	473	9999-12-31	2013-05-08	4835
7120/2-2	CONDUCTOR	30	459.000000	36	460.000000	0.000000	1690	9999-12-31	2013-05-08	4836
7120/2-2	INTERM.	18 5/8	785.000000	24	788.000000	1.440000	1690	9999-12-31	2013-05-08	4837
7120/2-2	INTERM.	13 3/8	1785.000000	17 1/2	1790.000000	1.290000	1690	9999-12-31	2013-05-08	4838
7120/2-2	OPEN HOLE	\N	2794.000000	12 1/4	2794.000000	0.000000	1690	9999-12-31	2013-05-08	4839
7120/5-1	OPEN HOLE	\N	2700.000000	12 1/4	2700.000000	0.000000	471	9999-12-31	2013-05-08	4840
7120/5-1	CONDUCTOR	30	381.000000	36	386.000000	0.000000	471	9999-12-31	2013-05-08	4841
7120/5-1	SURF.COND.	20	850.000000	26	865.000000	1.550000	471	9999-12-31	2013-05-08	4842
7120/5-1	INTERM.	13 3/8	1975.000000	17 1/2	1988.000000	1.470000	471	9999-12-31	2013-05-08	4843
7120/6-1	CONDUCTOR	30	399.000000	36	404.000000	0.000000	456	9999-12-31	2013-05-08	4844
7120/6-1	SURF.COND.	20	804.000000	26	815.000000	1.740000	456	9999-12-31	2013-05-08	4845
7120/6-1	INTERM.	13 3/8	2031.000000	17 1/2	2046.000000	1.730000	456	9999-12-31	2013-05-08	4846
7120/6-1	INTERM.	9 5/8	2820.000000	12 1/4	2820.000000	0.000000	456	9999-12-31	2013-05-08	4847
7120/6-2 S	CONDUCTOR	30	407.000000	36	411.000000	0.000000	3558	9999-12-31	2013-05-08	4848
7120/6-2 S	INTERM.	13 3/8	1218.000000	17 1/2	1259.000000	1.460000	3558	9999-12-31	2013-05-08	4849
7120/6-2 S	INTERM.	9 5/8	2564.000000	12 1/4	2566.000000	1.590000	3558	9999-12-31	2013-05-08	4850
7120/6-2 S	LINER	7	3241.000000	8 1/2	3242.000000	0.000000	3558	9999-12-31	2013-05-08	4851
7120/7-1	LINER	7	2839.000000	8 1/2	2839.000000	0.000000	85	9999-12-31	2013-05-08	4852
7120/7-1	CONDUCTOR	30	319.000000	36	319.000000	0.000000	85	9999-12-31	2013-05-08	4853
7120/7-1	SURF.COND.	20	365.500000	26	370.000000	1.150000	85	9999-12-31	2013-05-08	4854
7120/7-1	INTERM.	13 3/8	849.000000	17 1/2	865.000000	1.480000	85	9999-12-31	2013-05-08	4855
7120/7-1	INTERM.	9 5/8	1904.000000	12 1/4	1917.000000	1.710000	85	9999-12-31	2013-05-08	4856
7120/7-2	CONDUCTOR	30	325.500000	36	330.000000	0.000000	18	9999-12-31	2013-05-08	4857
7120/7-2	SURF.COND.	20	365.000000	26	367.000000	0.000000	18	9999-12-31	2013-05-08	4858
7120/7-2	INTERM.	13 3/8	800.000000	17 1/2	815.000000	1.650000	18	9999-12-31	2013-05-08	4859
7120/7-2	INTERM.	9 5/8	1502.000000	12 1/4	1515.000000	1.800000	18	9999-12-31	2013-05-08	4860
7120/7-2	LINER	7	2523.000000	8 1/2	2523.000000	0.000000	18	9999-12-31	2013-05-08	4861
7120/7-3	SURF.COND.	20	700.000000	26	715.000000	1.560000	104	9999-12-31	2013-05-08	4862
7120/7-3	INTERM.	13 3/8	1700.000000	17 1/2	1720.000000	1.790000	104	9999-12-31	2013-05-08	4863
7120/7-3	INTERM.	9 5/8	2605.000000	12 1/4	2625.000000	1.590000	104	9999-12-31	2013-05-08	4864
7120/7-3	OPEN HOLE	\N	3062.000000	8 1/2	3062.000000	0.000000	104	9999-12-31	2013-05-08	4865
7120/7-3	CONDUCTOR	30	331.500000	36	331.500000	0.000000	104	9999-12-31	2013-05-08	4866
7120/8-1	CONDUCTOR	30	357.000000	36	359.000000	0.000000	120	9999-12-31	2013-05-08	4867
7120/8-1	INTERM.	13 3/8	1807.000000	17 1/2	1822.000000	1.640000	120	9999-12-31	2013-05-08	4868
7120/8-1	INTERM.	9 5/8	2593.000000	12 1/4	2610.000000	0.000000	120	9999-12-31	2013-05-08	4869
7120/8-1	SURF.COND.	20	735.000000	26	750.000000	1.490000	120	9999-12-31	2013-05-08	4870
7120/8-2	CONDUCTOR	30	332.000000	36	333.000000	0.000000	50	9999-12-31	2013-05-08	4871
7120/8-2	SURF.COND.	20	735.000000	26	752.000000	0.000000	50	9999-12-31	2013-05-08	4872
7120/8-2	INTERM.	13 3/8	792.000000	17 1/2	800.000000	1.650000	50	9999-12-31	2013-05-08	4873
7120/8-2	INTERM.	9 5/8	1675.000000	12 1/4	1682.000000	1.720000	50	9999-12-31	2013-05-08	4874
7120/8-2	LINER	7	2590.000000	8 1/2	2590.000000	0.000000	50	9999-12-31	2013-05-08	4875
7120/8-3	OPEN HOLE	\N	2335.000000	12 1/2	2335.000000	0.000000	9	9999-12-31	2013-05-08	4876
7120/8-3	CONDUCTOR	30	366.000000	36	366.000000	0.000000	9	9999-12-31	2013-05-08	4877
7120/8-3	SURF.COND.	20	671.000000	26	686.000000	1.670000	9	9999-12-31	2013-05-08	4878
7120/8-3	INTERM.	13 3/8	1500.000000	17 1/2	1515.000000	1.650000	9	9999-12-31	2013-05-08	4879
7120/8-4	CONDUCTOR	30	346.000000	36	351.000000	1.650000	5572	9999-12-31	2013-05-08	4880
7120/8-4	INTERM.	13 3/8	1244.000000	17 1/2	1252.000000	2.050000	5572	9999-12-31	2013-05-08	4881
7120/8-4	INTERM.	9 5/8	2249.000000	12 1/4	2250.000000	0.000000	5572	9999-12-31	2013-05-08	4882
7120/8-4	OPEN HOLE	\N	2697.000000	8 1/2	2697.000000	0.000000	5572	9999-12-31	2013-05-08	4883
7120/9-1	INTERM.	9 5/8	2300.000000	12 1/4	2300.000000	0.000000	82	9999-12-31	2013-05-08	4884
7120/9-1	CONDUCTOR	30	404.000000	36	405.000000	0.000000	82	9999-12-31	2013-05-08	4885
7120/9-1	SURF.COND.	20	744.000000	26	760.000000	1.670000	82	9999-12-31	2013-05-08	4886
7120/9-1	INTERM.	13 3/8	1651.000000	17 1/2	1665.000000	1.800000	82	9999-12-31	2013-05-08	4887
7120/9-2	CONDUCTOR	30	378.000000	36	381.000000	0.000000	107	9999-12-31	2013-05-08	4888
7120/9-2	SURF.COND.	20	1152.000000	26	1170.000000	1.820000	107	9999-12-31	2013-05-08	4889
7120/9-2	INTERM.	13 3/8	2672.000000	17 1/2	2688.000000	1.910000	107	9999-12-31	2013-05-08	4890
7120/9-2	INTERM.	9 5/8	4247.000000	12 1/4	4270.000000	1.960000	107	9999-12-31	2013-05-08	4891
7120/9-2	LINER	7	4782.000000	8 1/2	4796.000000	2.210000	107	9999-12-31	2013-05-08	4892
7120/9-2	OPEN HOLE	\N	5072.000000	6	5072.000000	0.000000	107	9999-12-31	2013-05-08	4893
7121/1-1	CONDUCTOR	30	518.000000	36	526.500000	0.000000	521	9999-12-31	2013-05-08	4894
7121/1-1	SURF.COND.	20	916.000000	26	916.000000	0.000000	521	9999-12-31	2013-05-08	4895
7121/1-1 R	OPEN HOLE	\N	5000.000000	8 1/2	5000.000000	0.000000	896	9999-12-31	2013-05-08	4896
7121/1-1 R	CONDUCTOR	30	518.000000	36	526.500000	0.000000	896	9999-12-31	2013-05-08	4897
7121/1-1 R	SURF.COND.	20	901.000000	26	916.000000	1.510000	896	9999-12-31	2013-05-08	4898
7121/1-1 R	INTERM.	16	1979.500000	\N	2154.000000	1.550000	896	9999-12-31	2013-05-08	4899
7121/1-1 R	INTERM.	11 3/4	2784.000000	\N	2804.000000	1.460000	896	9999-12-31	2013-05-08	4900
7121/4-1	CONDUCTOR	30	419.000000	36	425.000000	0.000000	135	9999-12-31	2013-05-08	4901
7121/4-1	SURF.COND.	20	800.000000	26	817.000000	1.640000	135	9999-12-31	2013-05-08	4902
7121/4-1	INTERM.	13 3/8	1330.000000	17 1/2	1358.000000	1.570000	135	9999-12-31	2013-05-08	4903
7121/4-1	INTERM.	9 5/8	2259.000000	12 1/4	2288.000000	1.610000	135	9999-12-31	2013-05-08	4904
7121/4-1	LINER	7	2609.000000	8 1/2	2609.000000	0.000000	135	9999-12-31	2013-05-08	4905
7121/4-2	CONDUCTOR	30	414.000000	36	417.000000	0.000000	461	9999-12-31	2013-05-08	4906
7121/4-2	SURF.COND.	20	900.000000	26	918.000000	1.390000	461	9999-12-31	2013-05-08	4907
7121/4-2	INTERM.	13 3/8	1759.000000	17 1/2	1774.000000	1.490000	461	9999-12-31	2013-05-08	4908
7121/4-2	INTERM.	9 5/8	2455.000000	12 1/4	2460.000000	1.860000	461	9999-12-31	2013-05-08	4909
7121/4-2	LINER	7	2797.000000	8 1/2	2800.000000	0.000000	461	9999-12-31	2013-05-08	4910
7121/5-1	CONDUCTOR	30	419.500000	36	423.000000	0.000000	479	9999-12-31	2013-05-08	4911
7121/5-1	SURF.COND.	20	849.500000	26	879.000000	1.430000	479	9999-12-31	2013-05-08	4912
7121/5-1	INTERM.	13 3/8	1912.000000	17 1/2	1929.000000	1.590000	479	9999-12-31	2013-05-08	4913
7121/5-1	INTERM.	9 5/8	2739.000000	12 1/4	2755.000000	1.740000	479	9999-12-31	2013-05-08	4914
7121/5-1	LINER	7	3200.000000	8 1/2	3200.000000	0.000000	479	9999-12-31	2013-05-08	4915
7121/5-2	OPEN HOLE	\N	2543.000000	12 1/4	2543.000000	0.000000	907	9999-12-31	2013-05-08	4916
7121/5-2	CONDUCTOR	30	449.000000	36	452.000000	0.000000	907	9999-12-31	2013-05-08	4917
7121/5-2	SURF.COND.	20	829.000000	26	1035.000000	1.530000	907	9999-12-31	2013-05-08	4918
7121/5-2	INTERM.	13 3/8	1898.400000	17 1/2	1977.000000	1.480000	907	9999-12-31	2013-05-08	4919
7121/5-3	CONDUCTOR	30	429.000000	36	430.000000	0.000000	4244	9999-12-31	2013-05-08	4920
7121/5-3	SURF.COND.	13 3/8	960.000000	17 1/2	960.000000	1.650000	4244	9999-12-31	2013-05-08	4921
7121/5-3	OPEN HOLE	\N	1500.000000	12 1/4	1500.000000	0.000000	4244	9999-12-31	2013-05-08	4922
7121/5-3	OPEN HOLE	\N	2265.000000	8 1/2	2265.000000	0.000000	4244	9999-12-31	2013-05-08	4923
7121/7-1	CONDUCTOR	30	415.000000	36	419.000000	0.000000	130	9999-12-31	2013-05-08	4924
7121/7-1	SURF.COND.	20	752.000000	26	770.000000	1.520000	130	9999-12-31	2013-05-08	4925
7121/7-1	INTERM.	13 5/8	1500.000000	17 1/2	1517.000000	1.530000	130	9999-12-31	2013-05-08	4926
7121/7-1	INTERM.	9 5/8	2160.000000	12 1/4	2160.000000	0.000000	130	9999-12-31	2013-05-08	4927
7121/7-2	INTERM.	9 5/8	2156.000000	12 1/4	2156.000000	0.000000	881	9999-12-31	2013-05-08	4928
7121/7-2	CONDUCTOR	30	422.000000	36	426.000000	0.000000	881	9999-12-31	2013-05-08	4929
7121/7-2	SURF.COND.	20	654.000000	26	675.000000	1.740000	881	9999-12-31	2013-05-08	4930
7121/7-2	INTERM.	13 3/8	1680.000000	17 1/2	1698.000000	1.530000	881	9999-12-31	2013-05-08	4931
7122/2-1	CONDUCTOR	30	448.000000	36	450.000000	0.000000	2018	9999-12-31	2013-05-08	4932
7122/2-1	INTERM.	18 5/8	716.000000	26	718.000000	1.810000	2018	9999-12-31	2013-05-08	4933
7122/2-1	INTERM.	13 3/8	1750.000000	17 1/2	1755.000000	1.530000	2018	9999-12-31	2013-05-08	4934
7122/2-1	OPEN HOLE	\N	2120.000000	12 1/4	2120.000000	0.000000	2018	9999-12-31	2013-05-08	4935
7122/4-1	OPEN HOLE	\N	3015.000000	8 1/2	3015.000000	0.000000	1869	9999-12-31	2013-05-08	4936
7122/4-1	CONDUCTOR	30	403.700000	36	405.000000	0.000000	1869	9999-12-31	2013-05-08	4937
7122/4-1	INTERM.	13 3/8	804.000000	17 1/2	806.000000	1.640000	1869	9999-12-31	2013-05-08	4938
7122/4-1	INTERM.	9 5/8	1985.600000	12 1/4	1986.000000	0.000000	1869	9999-12-31	2013-05-08	4939
7122/6-1	CONDUCTOR	30	485.000000	36	489.000000	1.030000	1140	9999-12-31	2013-05-08	4940
7122/6-1	SURF.COND.	20	783.000000	26	928.000000	1.470000	1140	9999-12-31	2013-05-08	4941
7122/6-1	INTERM.	13 3/8	1860.000000	17 1/2	1875.000000	0.000000	1140	9999-12-31	2013-05-08	4942
7122/6-1	OPEN HOLE	\N	2707.000000	12 1/4	2707.000000	0.000000	1140	9999-12-31	2013-05-08	4943
7122/6-2	CONDUCTOR	30	478.000000	36	482.000000	0.000000	5327	9999-12-31	2013-05-08	4944
7122/6-2	SURF.COND.	13 3/8	1088.000000	17 1/2	1104.000000	1.500000	5327	9999-12-31	2013-05-08	4945
7122/6-2	INTERM.	9 5/8	2043.000000	12 1/4	2044.000000	1.500000	5327	9999-12-31	2013-05-08	4946
7122/6-2	OPEN HOLE	\N	3070.000000	8 1/2	3070.000000	0.000000	5327	9999-12-31	2013-05-08	4947
7122/7-1	CONDUCTOR	30	478.000000	36	481.000000	0.000000	4173	9999-12-31	2013-05-08	4948
7122/7-1	SURF.COND.	20	680.000000	26	688.000000	1.560000	4173	9999-12-31	2013-05-08	4949
7122/7-1	INTERM.	9 5/8	1056.000000	12 1/4	1063.000000	2.270000	4173	9999-12-31	2013-05-08	4950
7122/7-1	OPEN HOLE	\N	1524.000000	8 1/2	1524.000000	0.000000	4173	9999-12-31	2013-05-08	4951
7122/7-2	CONDUCTOR	36	479.000000	30	481.000000	0.000000	4391	9999-12-31	2013-05-08	4952
7122/7-2	SURF.COND.	13 3/8	900.000000	17 1/2	910.000000	1.560000	4391	9999-12-31	2013-05-08	4953
7122/7-2	INTERM.	9 5/8	1418.000000	12 1/4	1418.000000	0.000000	4391	9999-12-31	2013-05-08	4954
7122/7-3	CONDUCTOR	30	416.000000	36	421.000000	0.000000	5214	9999-12-31	2013-05-08	4955
7122/7-3	SURF.COND.	13 3/8	995.000000	16	1000.000000	2.620000	5214	9999-12-31	2013-05-08	4956
7122/7-3	INTERM.	9 5/8	1694.000000	12 1/4	1712.000000	1.190000	5214	9999-12-31	2013-05-08	4957
7122/7-3	LINER	7	2405.000000	8 1/2	2420.000000	0.000000	5214	9999-12-31	2013-05-08	4958
7122/7-3	OPEN HOLE	\N	2726.000000	6	2726.000000	0.000000	5214	9999-12-31	2013-05-08	4959
7122/7-3	SURF.COND.	20	529.000000	26	530.000000	1.350000	5214	9999-12-31	2013-05-08	4960
7122/7-4 S	CONDUCTOR	30	442.000000	36	444.000000	1.650000	5406	9999-12-31	2013-05-08	4961
7122/7-4 S	SURF.COND.	13 3/8	1023.000000	17 1/4	1024.000000	0.000000	5406	9999-12-31	2013-05-08	4962
7122/7-4 S	INTERM.	9 5/8	1704.000000	12 1/4	1706.000000	1.780000	5406	9999-12-31	2013-05-08	4963
7122/7-4 S	OPEN HOLE	\N	2550.000000	8 1/2	2550.000000	0.000000	5406	9999-12-31	2013-05-08	4964
7122/7-5	CONDUCTOR	30	441.000000	36	445.000000	0.000000	5439	9999-12-31	2013-05-08	4965
7122/7-5	SURF.COND.	13 3/8	1015.000000	17 1/2	1060.000000	1.650000	5439	9999-12-31	2013-05-08	4966
7122/7-5	OPEN HOLE	\N	2228.000000	12 1/4	2228.000000	0.000000	5439	9999-12-31	2013-05-08	4967
7122/7-5 A	INTERM.	9 5/8	1895.000000	12 1/4	1907.000000	1.730000	5465	9999-12-31	2013-05-08	4968
7122/7-5 A	OPEN HOLE	\N	2186.000000	8 1/2	2186.000000	0.000000	5465	9999-12-31	2013-05-08	4969
7123/4-1 A	OPEN HOLE	\N	2855.000000	8 1/2	2855.000000	1.440000	5808	9999-12-31	2013-05-08	4970
7123/4-1 S	CONDUCTOR	30	485.000000	36	681.000000	0.000000	5786	9999-12-31	2013-05-08	4971
7123/4-1 S	SURF.COND.	13 3/8	1100.000000	17 1/2	1106.000000	1.450000	5786	9999-12-31	2013-05-08	4972
7123/4-1 S	INTERM.	9 5/8	2097.000000	12 1/4	2098.000000	1.970000	5786	9999-12-31	2013-05-08	4973
7123/4-1 S	OPEN HOLE	\N	2920.000000	8 1/2	2920.000000	0.000000	5786	9999-12-31	2013-05-08	4974
7124/3-1	OPEN HOLE	\N	4730.000000	12 1/4	4730.000000	0.000000	1066	9999-12-31	2013-05-08	4975
7124/3-1	CONDUCTOR	30	356.000000	36	360.000000	0.000000	1066	9999-12-31	2013-05-08	4976
7124/3-1	SURF.COND.	20	758.000000	26	765.000000	1.660000	1066	9999-12-31	2013-05-08	4977
7124/3-1	INTERM.	13 3/8	2419.000000	17 1/2	2443.000000	1.860000	1066	9999-12-31	2013-05-08	4978
7125/1-1	CONDUCTOR	30	399.000000	36	0.000000	0.000000	1350	9999-12-31	2013-05-08	4979
7125/1-1	INTERM.	13 3/8	802.000000	17 1/2	0.000000	1.200000	1350	9999-12-31	2013-05-08	4980
7125/1-1	OPEN HOLE	\N	2200.000000	12 1/4	2200.000000	0.000000	1350	9999-12-31	2013-05-08	4981
7125/4-1	CONDUCTOR	30	376.000000	36	376.000000	0.000000	5450	9999-12-31	2013-05-08	4982
7125/4-1	SURF.COND.	20	454.000000	26	454.000000	0.000000	5450	9999-12-31	2013-05-08	4983
7125/4-1	INTERM.	13 3/8	551.000000	17 1/2	551.000000	1.140000	5450	9999-12-31	2013-05-08	4984
7125/4-1	INTERM.	9 5/8	838.000000	12 1/4	838.000000	1.510000	5450	9999-12-31	2013-05-08	4985
7125/4-1	OPEN HOLE	\N	1615.000000	8 1/2	1615.000000	1.850000	5450	9999-12-31	2013-05-08	4986
7125/4-2	CONDUCTOR	30	365.000000	36	365.000000	0.000000	5944	9999-12-31	2013-05-08	4987
7125/4-2	SURF.COND.	13 3/8	503.000000	17 1/2	503.000000	1.600000	5944	9999-12-31	2013-05-08	4988
7125/4-2	INTERM.	9 5/8	810.000000	12 1/4	810.000000	2.180000	5944	9999-12-31	2013-05-08	4989
7125/4-2	OPEN HOLE	\N	1750.000000	8 1/2	1750.000000	0.000000	5944	9999-12-31	2013-05-08	4990
7128/4-1	CONDUCTOR	30	455.000000	36	455.000000	0.000000	2049	9999-12-31	2013-05-08	4991
7128/4-1	INTERM.	20	750.000000	26	750.000000	1.400000	2049	9999-12-31	2013-05-08	4992
7128/4-1	INTERM.	13 3/8	1502.000000	17 1/2	1504.000000	1.740000	2049	9999-12-31	2013-05-08	4993
7128/4-1	OPEN HOLE	\N	2530.000000	8 1/2	0.000000	0.000000	2049	9999-12-31	2013-05-08	4994
7128/4-1	INTERM.	9 5/8	2432.000000	12 1/4	2432.000000	1.500000	2049	9999-12-31	2013-05-08	4995
7128/4-1	OPEN HOLE	\N	2530.000000	8 1/2	2530.000000	0.000000	2049	9999-12-31	2013-05-08	4996
7128/6-1	CONDUCTOR	30	453.000000	36	455.000000	0.000000	1836	9999-12-31	2013-05-08	4997
7128/6-1	INTERM.	20	823.800000	26	825.000000	0.000000	1836	9999-12-31	2013-05-08	4998
7128/6-1	INTERM.	13 3/8	1569.400000	17 1/2	1570.000000	0.000000	1836	9999-12-31	2013-05-08	4999
7128/6-1	INTERM.	9 5/8	1800.000000	12 1/4	1802.000000	0.000000	1836	9999-12-31	2013-05-08	5000
7128/6-1	OPEN HOLE	\N	2543.000000	8 1/2	2543.000000	0.000000	1836	9999-12-31	2013-05-08	5001
7131/4-1	CONDUCTOR	30	403.000000	36	407.000000	0.000000	5093	9999-12-31	2013-05-08	5002
7131/4-1	SURF.COND.	13 3/8	799.000000	17 1/2	806.000000	1.670000	5093	9999-12-31	2013-05-08	5003
7131/4-1	OPEN HOLE	\N	1295.000000	8 1/2	1295.000000	0.000000	5093	9999-12-31	2013-05-08	5004
7216/11-1 S	CONDUCTOR	30	507.000000	36	507.000000	1.460000	4129	9999-12-31	2013-05-08	5005
7216/11-1 S	SURF.COND.	20	999.000000	26	1000.000000	1.580000	4129	9999-12-31	2013-05-08	5006
7216/11-1 S	INTERM.	13 3/8	1390.000000	17 1/2	1437.000000	1.580000	4129	9999-12-31	2013-05-08	5007
7216/11-1 S	INTERM.	9 5/8	2750.000000	12 1/4	2758.000000	1.720000	4129	9999-12-31	2013-05-08	5008
7216/11-1 S	OPEN HOLE	\N	4239.000000	8 1/2	4239.000000	0.000000	4129	9999-12-31	2013-05-08	5009
7219/8-1 S	CONDUCTOR	30	478.000000	36	483.000000	0.000000	2031	9999-12-31	2013-05-08	5010
7219/8-1 S	INTERM.	20	927.000000	26	947.000000	1.310000	2031	9999-12-31	2013-05-08	5011
7219/8-1 S	INTERM.	13 3/8	2128.000000	17 1/2	2149.000000	1.490000	2031	9999-12-31	2013-05-08	5012
7219/8-1 S	INTERM.	9 5/8	3367.000000	12 1/4	3378.000000	1.980000	2031	9999-12-31	2013-05-08	5013
7219/8-1 S	OPEN HOLE	\N	4611.000000	8 1/2	4611.000000	0.000000	2031	9999-12-31	2013-05-08	5014
7219/9-1	CONDUCTOR	30	441.000000	36	443.000000	0.000000	1138	9999-12-31	2013-05-08	5015
7219/9-1	SURF.COND.	20	701.000000	26	718.000000	1.440000	1138	9999-12-31	2013-05-08	5016
7219/9-1	INTERM.	13 3/8	1586.000000	17 1/2	1625.000000	1.600000	1138	9999-12-31	2013-05-08	5017
7219/9-1	INTERM.	9 5/8	2701.000000	12 1/4	2751.000000	1.750000	1138	9999-12-31	2013-05-08	5018
7219/9-1	OPEN HOLE	\N	4300.000000	8 1/2	4300.000000	0.000000	1138	9999-12-31	2013-05-08	5019
7220/6-1	CONDUCTOR	30	391.000000	36	0.000000	0.000000	5039	9999-12-31	2013-05-08	5020
7220/6-1	CONDUCTOR	30	454.000000	36	454.000000	0.000000	5039	9999-12-31	2013-05-08	5021
7220/6-1	SURF.COND.	20	476.000000	26	479.000000	1.150000	5039	9999-12-31	2013-05-08	5022
7220/6-1	INTERM.	13 3/8	543.000000	17 1/2	546.000000	1.390000	5039	9999-12-31	2013-05-08	5023
7220/6-1	INTERM.	9 5/8	1124.000000	12 1/4	1130.000000	2.050000	5039	9999-12-31	2013-05-08	5024
7220/6-1	OPEN HOLE	\N	1540.000000	8 1/2	1540.000000	0.000000	5039	9999-12-31	2013-05-08	5025
7220/8-1	CONDUCTOR	30	470.000000	36	474.000000	0.000000	6484	9999-12-31	2013-05-08	5026
7220/8-1	SURF.COND.	9 5/8	838.000000	12 1/4	850.000000	1.250000	6484	9999-12-31	2013-05-08	5027
7220/8-1	LINER	7	1251.000000	8 1/2	1252.000000	0.000000	6484	9999-12-31	2013-05-08	5028
7220/8-1	OPEN HOLE	\N	2222.000000	6	2222.000000	0.000000	6484	9999-12-31	2013-05-08	5029
7222/11-1	CONDUCTOR	30	427.000000	36	427.000000	0.000000	5916	9999-12-31	2013-05-08	5030
7222/11-1	SURF.COND.	20	600.000000	17 1/2	606.000000	2.040000	5916	9999-12-31	2013-05-08	5031
7222/11-1	INTERM.	9 5/8	1169.000000	12 1/4	1170.000000	2.430000	5916	9999-12-31	2013-05-08	5032
7222/11-1	OPEN HOLE	\N	2244.000000	8 1/2	2244.000000	0.000000	5916	9999-12-31	2013-05-08	5033
7222/6-1 S	PILOT HOLE	\N	600.000000	\N	600.000000	0.000000	5755	9999-12-31	2013-05-08	5034
7222/6-1 S	CONDUCTOR	30	452.000000	36	456.000000	0.000000	5755	9999-12-31	2013-05-08	5035
7222/6-1 S	SURF.COND.	20	599.000000	26	604.000000	0.000000	5755	9999-12-31	2013-05-08	5036
7222/6-1 S	INTERM.	9 5/8	1050.000000	12 1/4	1057.000000	1.760000	5755	9999-12-31	2013-05-08	5037
7222/6-1 S	OPEN HOLE	\N	2848.000000	8 1/2	2848.000000	1.820000	5755	9999-12-31	2013-05-08	5038
7223/5-1	CONDUCTOR	30	412.000000	36	417.000000	0.000000	5960	9999-12-31	2013-05-08	5039
7223/5-1	SURF.COND.	13 3/8	587.000000	17 1/2	602.000000	2.760000	5960	9999-12-31	2013-05-08	5040
7223/5-1	INTERM.	9 5/8	1109.000000	12 1/4	1110.000000	2.870000	5960	9999-12-31	2013-05-08	5041
7223/5-1	OPEN HOLE	\N	2549.000000	8 1/2	2549.000000	0.000000	5960	9999-12-31	2013-05-08	5042
7224/6-1	CONDUCTOR	30	338.000000	36	343.000000	0.000000	5835	9999-12-31	2013-05-08	5043
7224/6-1	PILOT HOLE	\N	706.000000	9 7/8	706.000000	0.000000	5835	9999-12-31	2013-05-08	5044
7224/6-1	SURF.COND.	20	699.000000	17 1/2	706.000000	1.910000	5835	9999-12-31	2013-05-08	5045
7224/6-1	LINER	9 5/8	1503.000000	12 1/4	1505.000000	1.820000	5835	9999-12-31	2013-05-08	5046
7224/6-1	OPEN HOLE	\N	2338.000000	8 1/2	2338.000000	0.000000	5835	9999-12-31	2013-05-08	5047
7224/7-1	OPEN HOLE	\N	3067.000000	8 1/2	3067.000000	0.000000	1245	9999-12-31	2013-05-08	5048
7224/7-1	CONDUCTOR	30	354.000000	36	531.000000	0.000000	1245	9999-12-31	2013-05-08	5049
7224/7-1	SURF.COND.	20	651.000000	26	664.000000	1.690000	1245	9999-12-31	2013-05-08	5050
7224/7-1	INTERM.	13 3/8	1919.000000	17 1/2	1945.000000	1.610000	1245	9999-12-31	2013-05-08	5051
7224/7-1	INTERM.	9 5/8	2644.000000	12 1/4	2704.000000	1.840000	1245	9999-12-31	2013-05-08	5052
7226/11-1	INTERM.	13 3/8	2485.000000	17 1/2	2515.000000	1.890000	1177	9999-12-31	2013-05-08	5053
7226/11-1	INTERM.	9 5/8	4095.000000	12 1/4	4061.000000	1.850000	1177	9999-12-31	2013-05-08	5054
7226/11-1	CONDUCTOR	30	359.000000	36	363.000000	0.000000	1177	9999-12-31	2013-05-08	5055
7226/11-1	SURF.COND.	20	698.000000	26	720.000000	1.730000	1177	9999-12-31	2013-05-08	5056
7226/11-1	OPEN HOLE	\N	5200.000000	8 1/2	5200.000000	0.000000	1177	9999-12-31	2013-05-08	5057
7226/2-1	PILOT HOLE	\N	700.000000	9 7/8	700.000000	0.000000	5807	9999-12-31	2013-05-08	5058
7226/2-1	CONDUCTOR	30	419.000000	36	423.000000	0.000000	5807	9999-12-31	2013-05-08	5059
7226/2-1	SURF.COND.	13 3/8	850.000000	17 1/2	855.000000	1.470000	5807	9999-12-31	2013-05-08	5060
7226/2-1	INTERM.	9 5/8	1599.000000	12 1/4	1600.000000	1.860000	5807	9999-12-31	2013-05-08	5061
7226/2-1	OPEN HOLE	\N	2992.000000	8 1/2	2992.000000	2.010000	5807	9999-12-31	2013-05-08	5062
7226/2-1	SURF.COND.	20	536.000000	26	544.000000	0.000000	5807	9999-12-31	2013-05-08	5063
7227/11-1 A	INTERM.	9 5/8	2289.000000	12 1/4	3446.000000	1.800000	5287	9999-12-31	2013-05-08	5064
7227/11-1 S	CONDUCTOR	30	310.000000	36	320.000000	0.000000	5006	9999-12-31	2013-05-08	5065
7227/11-1 S	SURF.COND.	20	715.000000	26	725.000000	2.070000	5006	9999-12-31	2013-05-08	5066
7227/11-1 S	INTERM.	13 3/8	1094.000000	17 1/2	1100.000000	1.800000	5006	9999-12-31	2013-05-08	5067
7227/11-1 S	OPEN HOLE	\N	2590.000000	12 1/4	2590.000000	0.000000	5006	9999-12-31	2013-05-08	5068
7228/1-1	CONDUCTOR	30	455.000000	36	459.000000	0.000000	6820	9999-12-31	2013-05-08	5069
7228/1-1	PILOT HOLE	\N	755.000000	9 7/8	755.000000	0.000000	6820	9999-12-31	2013-05-08	5070
7228/1-1	SURF.COND.	13 3/8	749.000000	17 1/2	755.000000	0.000000	6820	9999-12-31	2013-05-08	5071
7228/1-1	INTERM.	9 5/8	884.000000	12 1/4	889.000000	1.450000	6820	9999-12-31	2013-05-08	5072
7228/1-1	OPEN HOLE	\N	1714.000000	8 1/2	1714.000000	1.640000	6820	9999-12-31	2013-05-08	5073
7228/2-1 S	SURF.COND.	20	997.000000	26	1013.000000	1.360000	1460	9999-12-31	2013-05-08	5074
7228/2-1 S	CONDUCTOR	30	473.000000	36	476.000000	0.000000	1460	9999-12-31	2013-05-08	5075
7228/2-1 S	INTERM.	13 3/8	2186.000000	17 1/2	2206.000000	1.580000	1460	9999-12-31	2013-05-08	5076
7228/2-1 S	INTERM.	9 5/8	3633.000000	12 1/4	3663.000000	1.860000	1460	9999-12-31	2013-05-08	5077
7228/2-1 S	OPEN HOLE	\N	4300.000000	8 1/2	4300.000000	0.000000	1460	9999-12-31	2013-05-08	5078
7228/7-1 A	CONDUCTOR	30	372.000000	36	373.000000	0.000000	4257	9999-12-31	2013-05-08	5079
7228/7-1 A	INTERM.	20	502.000000	26	503.000000	1.620000	4257	9999-12-31	2013-05-08	5080
7228/7-1 A	INTERM.	13 3/8	1323.000000	17 1/2	1325.000000	1.730000	4257	9999-12-31	2013-05-08	5081
7228/7-1 A	OPEN HOLE	\N	2881.000000	12 1/4	2881.000000	0.000000	4257	9999-12-31	2013-05-08	5082
7228/7-1 B	OPEN HOLE	\N	2227.000000	8 1/2	2227.000000	0.000000	4261	9999-12-31	2013-05-08	5083
7228/7-1 S	CONDUCTOR	30	372.000000	36	375.000000	0.000000	3015	9999-12-31	2013-05-08	5084
7228/7-1 S	INTERM.	20	502.000000	26	510.000000	1.620000	3015	9999-12-31	2013-05-08	5085
7228/7-1 S	INTERM.	13 3/8	1323.000000	17 1/2	1325.000000	1.730000	3015	9999-12-31	2013-05-08	5086
7228/7-1 S	OPEN HOLE	\N	2087.000000	8 1/2	2087.000000	0.000000	3015	9999-12-31	2013-05-08	5087
7228/9-1 S	CONDUCTOR	30	400.000000	36	401.000000	0.000000	1486	9999-12-31	2013-05-08	5088
7228/9-1 S	INTERM.	20	948.000000	26	965.000000	1.620000	1486	9999-12-31	2013-05-08	5089
7228/9-1 S	INTERM.	13 3/8	2600.000000	17 1/2	2614.000000	1.690000	1486	9999-12-31	2013-05-08	5090
7228/9-1 S	INTERM.	9 5/8	4176.000000	12 1/4	4192.000000	1.850000	1486	9999-12-31	2013-05-08	5091
7228/9-1 S	OPEN HOLE	\N	4600.000000	8 1/2	4600.000000	0.000000	1486	9999-12-31	2013-05-08	5092
7229/11-1	CONDUCTOR	30	380.000000	36	380.000000	0.000000	1643	9999-12-31	2013-05-08	5093
7229/11-1	SURF.COND.	20	1085.000000	26	1085.000000	0.000000	1643	9999-12-31	2013-05-08	5094
7229/11-1	INTERM.	14	3000.000000	17 1/2	3000.000000	0.000000	1643	9999-12-31	2013-05-08	5095
7229/11-1	OPEN HOLE	\N	4630.000000	12 1/4	4630.000000	0.000000	1643	9999-12-31	2013-05-08	5096
7316/5-1	CONDUCTOR	30	559.000000	36	560.000000	0.000000	1987	9999-12-31	2013-05-08	5097
7316/5-1	INTERM.	18 3/8	569.000000	24	569.000000	0.000000	1987	9999-12-31	2013-05-08	5098
7316/5-1	LINER	16	877.000000	24	878.000000	1.660000	1987	9999-12-31	2013-05-08	5099
7316/5-1	INTERM.	9 5/8	2956.000000	12 1/4	2973.000000	1.600000	1987	9999-12-31	2013-05-08	5100
7316/5-1	OPEN HOLE	\N	4027.000000	8 1/2	4027.000000	0.000000	1987	9999-12-31	2013-05-08	5101
7321/7-1	INTERM.	13 3/8	1425.000000	17 1/2	1435.000000	1.500000	1284	9999-12-31	2013-05-08	5102
7321/7-1	CONDUCTOR	30	609.000000	36	626.000000	0.000000	1284	9999-12-31	2013-05-08	5103
7321/7-1	SURF.COND.	20	970.000000	26	982.000000	1.310000	1284	9999-12-31	2013-05-08	5104
7321/7-1	OPEN HOLE	\N	3550.000000	12 1/4	3550.000000	0.000000	1284	9999-12-31	2013-05-08	5105
7321/8-1	OPEN HOLE	\N	3482.000000	12 1/4	3482.000000	0.000000	1070	9999-12-31	2013-05-08	5106
7321/8-1	CONDUCTOR	30	578.000000	36	806.000000	0.000000	1070	9999-12-31	2013-05-08	5107
7321/8-1	SURF.COND.	20	796.000000	26	818.000000	1.550000	1070	9999-12-31	2013-05-08	5108
7321/8-1	INTERM.	13 3/8	2513.000000	17 1/2	2532.000000	0.000000	1070	9999-12-31	2013-05-08	5109
7321/9-1	INTERM.	13 3/8	668.000000	17 1/2	680.000000	1.380000	1339	9999-12-31	2013-05-08	5110
7321/9-1	CONDUCTOR	30	543.000000	36	546.000000	0.000000	1339	9999-12-31	2013-05-08	5111
7321/9-1	OPEN HOLE	\N	1800.000000	12 1/4	1800.000000	0.000000	1339	9999-12-31	2013-05-08	5112
7324/10-1	CONDUCTOR	30	494.000000	36	497.000000	0.000000	1411	9999-12-31	2013-05-08	5113
7324/10-1	INTERM.	20	554.000000	26	559.000000	1.350000	1411	9999-12-31	2013-05-08	5114
7324/10-1	INTERM.	13 3/8	1551.000000	17 1/2	1570.000000	1.590000	1411	9999-12-31	2013-05-08	5115
7324/10-1	INTERM.	9 5/8	2216.000000	12 1/4	2235.000000	1.600000	1411	9999-12-31	2013-05-08	5116
7324/10-1	LINER	7	2626.000000	8 1/2	2627.000000	1.710000	1411	9999-12-31	2013-05-08	5117
7324/10-1	OPEN HOLE	\N	2919.000000	6	2919.000000	0.000000	1411	9999-12-31	2013-05-08	5118
8/10-1	CONDUCTOR	20	156.000000	26	157.000000	0.000000	166	9999-12-31	2013-05-08	5119
8/10-1	SURF.COND.	13 3/8	606.000000	17 1/2	610.000000	0.000000	166	9999-12-31	2013-05-08	5120
8/10-1	INTERM.	9 5/8	2125.000000	12 1/4	2126.000000	0.000000	166	9999-12-31	2013-05-08	5121
8/10-1	OPEN HOLE	\N	3099.000000	8 1/2	3099.000000	0.000000	166	9999-12-31	2013-05-08	5122
8/10-2	INTERM.	9 5/8	2997.000000	12 1/4	2997.000000	0.000000	226	9999-12-31	2013-05-08	5123
8/10-2	CONDUCTOR	30	118.000000	36	118.000000	0.000000	226	9999-12-31	2013-05-08	5124
8/10-2	SURF.COND.	20	461.000000	26	478.000000	1.530000	226	9999-12-31	2013-05-08	5125
8/10-2	INTERM.	13 3/8	1198.000000	17 1/2	1211.000000	1.900000	226	9999-12-31	2013-05-08	5126
8/10-3	CONDUCTOR	30	208.000000	36	216.000000	0.000000	6098	9999-12-31	2013-05-08	5127
8/10-3	SURF.COND.	20	1080.000000	26	1100.000000	1.730000	6098	9999-12-31	2013-05-08	5128
8/10-3	PILOT HOLE	\N	1061.000000	12 1/4	1061.000000	0.000000	6098	9999-12-31	2013-05-08	5129
8/10-3	INTERM.	13 5/8	3447.000000	17 1/2	3452.000000	2.150000	6098	9999-12-31	2013-05-08	5130
8/10-3	INTERM.	9 5/8	5245.000000	12 1/2	5350.000000	2.150000	6098	9999-12-31	2013-05-08	5131
8/10-3	OPEN HOLE	\N	5738.000000	8 1/2	5738.000000	0.000000	6098	9999-12-31	2013-05-08	5132
8/1-1	OPEN HOLE	\N	2971.000000	8 1/2	2971.000000	0.000000	301	9999-12-31	2013-05-08	5133
8/1-1	CONDUCTOR	30	132.000000	36	135.000000	0.000000	301	9999-12-31	2013-05-08	5134
8/1-1	SURF.COND.	13 3/8	469.000000	17 1/2	488.000000	0.000000	301	9999-12-31	2013-05-08	5135
8/1-1	INTERM.	9 5/8	1515.000000	12 1/4	1525.000000	0.000000	301	9999-12-31	2013-05-08	5136
8/11-1	CONDUCTOR	30	126.000000	36	130.000000	0.000000	304	9999-12-31	2013-05-08	5137
8/11-1	SURF.COND.	20	457.000000	26	460.000000	0.000000	304	9999-12-31	2013-05-08	5138
8/11-1	INTERM.	13 3/8	1219.000000	17 1/2	1220.000000	0.000000	304	9999-12-31	2013-05-08	5139
8/11-1	INTERM.	9 5/8	2865.000000	12 1/4	2865.000000	0.000000	304	9999-12-31	2013-05-08	5140
8/11-1	LINER	7	3810.000000	8 1/2	3810.000000	0.000000	304	9999-12-31	2013-05-08	5141
8/12-1	CONDUCTOR	30	114.000000	36	114.000000	0.000000	193	9999-12-31	2013-05-08	5142
8/12-1	SURF.COND.	20	333.000000	26	347.000000	0.000000	193	9999-12-31	2013-05-08	5143
8/12-1	INTERM.	13 3/8	1070.000000	17 1/2	1082.000000	0.000000	193	9999-12-31	2013-05-08	5144
8/12-1	INTERM.	9 5/8	1903.000000	12 1/4	1911.000000	0.000000	193	9999-12-31	2013-05-08	5145
8/12-1	OPEN HOLE	\N	2875.000000	8 1/2	2875.000000	0.000000	193	9999-12-31	2013-05-08	5146
8/3-1	INTERM.	9 5/8	3015.000000	12 1/4	3015.000000	0.000000	142	9999-12-31	2013-05-08	5147
8/3-1	SURF.COND.	30	145.000000	36	174.000000	0.000000	142	9999-12-31	2013-05-08	5148
8/3-1	INTERM.	20	274.000000	26	280.000000	0.000000	142	9999-12-31	2013-05-08	5149
8/3-1	INTERM.	13 3/8	1063.000000	17 1/2	1115.000000	0.000000	142	9999-12-31	2013-05-08	5150
8/3-2	CONDUCTOR	30	165.000000	36	165.000000	0.000000	89	9999-12-31	2013-05-08	5151
8/3-2	SURF.COND.	20	485.000000	26	501.000000	1.480000	89	9999-12-31	2013-05-08	5152
8/3-2	INTERM.	13 3/8	1135.000000	17 1/2	1151.000000	1.620000	89	9999-12-31	2013-05-08	5153
8/3-2	OPEN HOLE	\N	2657.000000	12 1/4	2657.000000	0.000000	89	9999-12-31	2013-05-08	5154
8/4-1	CONDUCTOR	30	125.000000	36	125.000000	0.000000	302	9999-12-31	2013-05-08	5155
8/4-1	SURF.COND.	20	410.000000	26	433.000000	0.000000	302	9999-12-31	2013-05-08	5156
8/4-1	INTERM.	13 3/8	1378.000000	17 1/2	1388.000000	0.000000	302	9999-12-31	2013-05-08	5157
8/4-1	OPEN HOLE	\N	2632.000000	12 1/4	2632.000000	0.000000	302	9999-12-31	2013-05-08	5158
8/9-1	CONDUCTOR	30	166.000000	36	166.000000	0.000000	303	9999-12-31	2013-05-08	5159
8/9-1	SURF.COND.	20	400.000000	26	411.000000	0.000000	303	9999-12-31	2013-05-08	5160
8/9-1	INTERM.	13 3/8	991.000000	17 1/2	1005.000000	0.000000	303	9999-12-31	2013-05-08	5161
8/9-1	OPEN HOLE	\N	2375.000000	12 1/4	2375.000000	0.000000	303	9999-12-31	2013-05-08	5162
9/10-1	CONDUCTOR	30	123.000000	36	1123.000000	0.000000	183	9999-12-31	2013-05-08	5163
9/10-1	SURF.COND.	20	248.000000	26	252.000000	0.000000	183	9999-12-31	2013-05-08	5164
9/10-1	INTERM.	13 3/8	960.000000	17 1/2	963.000000	0.000000	183	9999-12-31	2013-05-08	5165
9/10-1	OPEN HOLE	\N	2205.000000	12 1/2	2205.000000	0.000000	183	9999-12-31	2013-05-08	5166
9/11-1	CONDUCTOR	30	127.000000	36	127.000000	0.000000	194	9999-12-31	2013-05-08	5167
9/11-1	INTERM.	20	394.000000	26	411.000000	0.000000	194	9999-12-31	2013-05-08	5168
9/11-1	INTERM.	13 3/8	745.000000	17 1/2	771.000000	0.000000	194	9999-12-31	2013-05-08	5169
9/11-1	INTERM.	9 5/8	1589.000000	12 1/4	1605.000000	0.000000	194	9999-12-31	2013-05-08	5170
9/11-1	OPEN HOLE	\N	2196.000000	8 1/2	2196.000000	0.000000	194	9999-12-31	2013-05-08	5171
9/12-1	OPEN HOLE	\N	2698.000000	8 1/2	2698.000000	0.000000	163	9999-12-31	2013-05-08	5172
9/12-1	CONDUCTOR	30	130.000000	36	132.000000	0.000000	163	9999-12-31	2013-05-08	5173
9/12-1	SURF.COND.	13 3/8	395.000000	18 1/2	402.000000	0.000000	163	9999-12-31	2013-05-08	5174
9/12-1	INTERM.	9 5/8	1210.000000	12 1/2	1218.000000	0.000000	163	9999-12-31	2013-05-08	5175
9/2-1	LINER	7	3756.000000	8 1/2	3756.000000	0.000000	1038	9999-12-31	2013-05-08	5176
9/2-1	INTERM.	13 3/8	757.000000	17 1/2	788.000000	1.540000	1038	9999-12-31	2013-05-08	5177
9/2-1	INTERM.	9 5/8	2571.000000	12 1/4	2603.000000	1.950000	1038	9999-12-31	2013-05-08	5178
9/2-1	CONDUCTOR	30	189.000000	36	318.000000	0.000000	1038	9999-12-31	2013-05-08	5179
9/2-11	CONDUCTOR	30	175.000000	36	177.000000	0.000000	6341	9999-12-31	2013-05-08	5180
9/2-11	INTERM.	9 5/8	1503.000000	12 1/4	1509.000000	2.160000	6341	9999-12-31	2013-05-08	5181
9/2-11	OPEN HOLE	\N	2861.000000	8 1/2	2861.000000	0.000000	6341	9999-12-31	2013-05-08	5182
9/2-2	CONDUCTOR	30	182.000000	36	182.000000	0.000000	1135	9999-12-31	2013-05-08	5183
9/2-2	SURF.COND.	20	334.000000	26	366.000000	1.390000	1135	9999-12-31	2013-05-08	5184
9/2-2	INTERM.	13 3/8	1093.000000	17 1/2	1128.000000	1.780000	1135	9999-12-31	2013-05-08	5185
9/2-2	INTERM.	9 5/8	2838.000000	12 1/4	2875.000000	1.800000	1135	9999-12-31	2013-05-08	5186
9/2-2	OPEN HOLE	\N	3577.000000	8 1/2	3577.000000	0.000000	1135	9999-12-31	2013-05-08	5187
9/2-3	CONDUCTOR	30	163.000000	36	169.000000	0.000000	1294	9999-12-31	2013-05-08	5188
9/2-3	INTERM.	20	350.000000	26	375.000000	1.390000	1294	9999-12-31	2013-05-08	5189
9/2-3	INTERM.	13 3/8	1106.000000	17 1/2	1121.000000	2.040000	1294	9999-12-31	2013-05-08	5190
9/2-3	INTERM.	9 5/8	3195.000000	12 1/4	3210.000000	1.870000	1294	9999-12-31	2013-05-08	5191
9/2-3	LINER	7	3424.000000	8 1/2	3424.000000	0.000000	1294	9999-12-31	2013-05-08	5192
9/2-4 S	LINER	7	4417.000000	8 1/2	4417.000000	0.000000	2258	9999-12-31	2013-05-08	5193
9/2-4 S	CONDUCTOR	30	174.000000	36	175.000000	0.000000	2258	9999-12-31	2013-05-08	5194
9/2-4 S	CONDUCTOR	20	635.000000	26	637.000000	1.740000	2258	9999-12-31	2013-05-08	5195
9/2-4 S	INTERM.	13 3/8	2200.000000	17 1/2	2202.000000	1.850000	2258	9999-12-31	2013-05-08	5196
9/2-4 S	INTERM.	9 5/8	3752.000000	12 1/4	3755.000000	0.000000	2258	9999-12-31	2013-05-08	5197
9/2-5	SURF.COND.	30	159.000000	36	160.000000	0.000000	2599	9999-12-31	2013-05-08	5198
9/2-5	CONDUCTOR	13 3/8	1572.000000	17 1/2	1573.000000	1.810000	2599	9999-12-31	2013-05-08	5199
9/2-5	INTERM.	9 5/8	3115.000000	12 1/4	3117.000000	1.800000	2599	9999-12-31	2013-05-08	5200
9/2-5	LINER	7	3355.000000	8 1/2	3355.000000	0.000000	2599	9999-12-31	2013-05-08	5201
9/2-6 S	LINER	7	5205.000000	8 1/2	5205.000000	0.000000	2867	9999-12-31	2013-05-08	5202
9/2-6 S	SURF.COND.	30	218.000000	36	224.000000	0.000000	2867	9999-12-31	2013-05-08	5203
9/2-6 S	CONDUCTOR	20	824.000000	26	829.000000	1.500000	2867	9999-12-31	2013-05-08	5204
9/2-6 S	INTERM.	13 3/8	1720.000000	17 1/2	1725.000000	2.050000	2867	9999-12-31	2013-05-08	5205
9/2-6 S	INTERM.	9 5/8	4785.000000	12 1/4	4792.000000	0.000000	2867	9999-12-31	2013-05-08	5206
9/2-7 S	SURF.COND.	30	162.000000	36	163.000000	0.000000	3087	9999-12-31	2013-05-08	5207
9/2-7 S	CONDUCTOR	13 3/8	1185.000000	17 1/2	1186.000000	0.000000	3087	9999-12-31	2013-05-08	5208
9/2-7 S	INTERM.	9 5/8	3857.000000	12 1/4	3860.000000	0.000000	3087	9999-12-31	2013-05-08	5209
9/2-7 S	LINER	7	4099.000000	8 1/2	4099.000000	0.000000	3087	9999-12-31	2013-05-08	5210
9/2-8 S	SURF.COND.	30	244.000000	36	245.000000	0.000000	3126	9999-12-31	2013-05-08	5211
9/2-8 S	CONDUCTOR	20	847.000000	26	850.000000	0.000000	3126	9999-12-31	2013-05-08	5212
9/2-8 S	INTERM.	13 3/8	2281.400000	17 1/2	2283.000000	0.000000	3126	9999-12-31	2013-05-08	5213
9/2-8 S	INTERM.	9 5/8	5941.000000	12 1/4	6011.000000	0.000000	3126	9999-12-31	2013-05-08	5214
9/2-9 S	CONDUCTOR	30	161.000000	36	165.000000	0.000000	3703	9999-12-31	2013-05-08	5215
9/2-9 S	INTERM.	20	1062.000000	26	1071.000000	0.000000	3703	9999-12-31	2013-05-08	5216
9/2-9 S	INTERM.	13 3/8	1944.000000	17 1/2	1954.000000	1.600000	3703	9999-12-31	2013-05-08	5217
9/2-9 S	INTERM.	9 5/8	3868.000000	12 1/4	3878.000000	1.610000	3703	9999-12-31	2013-05-08	5218
9/2-9 S	OPEN HOLE	\N	4367.000000	8 1/2	4367.000000	0.000000	3703	9999-12-31	2013-05-08	5219
9/2-A-4	CONDUCTOR	30	231.000000	36	231.000000	0.000000	2828	9999-12-31	2013-05-08	5220
9/2-A-4	SURF.COND.	20	836.000000	26	836.000000	1.550000	2828	9999-12-31	2013-05-08	5221
9/2-A-4	INTERM.	13 3/8	2004.000000	17 1/2	2006.000000	1.800000	2828	9999-12-31	2013-05-08	5222
9/2-A-4	INTERM.	9 5/8	4627.000000	12 1/4	4627.000000	1.550000	2828	9999-12-31	2013-05-08	5223
9/2-A-4	LINER	7	4844.000000	8 1/2	4845.000000	0.000000	2828	9999-12-31	2013-05-08	5224
9/3-1	CONDUCTOR	30	204.500000	36	215.000000	0.000000	921	9999-12-31	2013-05-08	5225
9/3-1	SURF.COND.	20	528.000000	26	540.000000	1.400000	921	9999-12-31	2013-05-08	5226
9/3-1	INTERM.	13 3/8	1349.000000	17 1/2	1360.000000	1.800000	921	9999-12-31	2013-05-08	5227
9/3-1	OPEN HOLE	\N	1971.000000	12 1/4	1971.000000	0.000000	921	9999-12-31	2013-05-08	5228
9/3-2	CONDUCTOR	30	211.000000	36	219.000000	0.000000	5173	9999-12-31	2013-05-08	5229
9/3-2	SURF.COND.	20	501.000000	24	507.000000	0.000000	5173	9999-12-31	2013-05-08	5230
9/3-2	INTERM.	13 3/8	1144.000000	17 1/2	1149.000000	1.680000	5173	9999-12-31	2013-05-08	5231
9/3-2	OPEN HOLE	\N	3154.000000	8 1/2	3154.000000	0.000000	5173	9999-12-31	2013-05-08	5232
9/4-1	OPEN HOLE	\N	2963.000000	12 1/4	2963.000000	0.000000	150	9999-12-31	2013-05-08	5233
9/4-1	CONDUCTOR	36	144.000000	48	146.000000	0.000000	150	9999-12-31	2013-05-08	5234
9/4-1	SURF.COND.	20	334.000000	26	335.000000	0.000000	150	9999-12-31	2013-05-08	5235
9/4-1	INTERM.	13 3/8	1092.000000	17 1/2	1094.000000	0.000000	150	9999-12-31	2013-05-08	5236
9/4-2	CONDUCTOR	36	145.000000	48	146.000000	0.000000	176	9999-12-31	2013-05-08	5237
9/4-2	SURF.COND.	20	334.000000	26	375.000000	0.000000	176	9999-12-31	2013-05-08	5238
9/4-2	INTERM.	13 3/8	1093.000000	17 1/2	1106.000000	0.000000	176	9999-12-31	2013-05-08	5239
9/4-2	OPEN HOLE	\N	3025.000000	12 1/4	3025.000000	0.000000	176	9999-12-31	2013-05-08	5240
9/4-4	CONDUCTOR	30	178.000000	36	178.000000	0.000000	305	9999-12-31	2013-05-08	5241
9/4-4	SURF.COND.	26	420.000000	20	420.000000	0.000000	305	9999-12-31	2013-05-08	5242
9/4-4	INTERM.	13 3/8	1289.000000	17 1/2	1300.000000	0.000000	305	9999-12-31	2013-05-08	5243
9/4-4	OPEN HOLE	\N	2902.000000	12 1/4	2902.000000	0.000000	305	9999-12-31	2013-05-08	5244
9/4-5	CONDUCTOR	36	207.000000	42	213.000000	0.000000	5134	9999-12-31	2013-05-08	5245
9/4-5	SURF.COND.	20	599.000000	26	605.000000	1.570000	5134	9999-12-31	2013-05-08	5246
9/4-5	INTERM.	13 5/8	2526.000000	17	2534.000000	1.880000	5134	9999-12-31	2013-05-08	5247
9/4-5	INTERM.	9 7/8	5209.000000	12 1/4	5234.000000	2.200000	5134	9999-12-31	2013-05-08	5248
9/4-5	OPEN HOLE	\N	5295.000000	9 7/8	5295.000000	0.000000	5134	9999-12-31	2013-05-08	5249
9/4-5	OPEN HOLE	\N	5881.000000	8 1/2	5881.000000	0.000000	5134	9999-12-31	2013-05-08	5250
9/8-1	CONDUCTOR	36	138.000000	48	145.000000	0.000000	145	9999-12-31	2013-05-08	5251
9/8-1	SURF.COND.	20	360.000000	26	412.000000	0.000000	145	9999-12-31	2013-05-08	5252
9/8-1	INTERM.	13 3/8	1265.000000	17 1/2	1279.000000	0.000000	145	9999-12-31	2013-05-08	5253
9/8-1	OPEN HOLE	\N	2176.000000	12 1/4	2176.000000	0.000000	145	9999-12-31	2013-05-08	5254
\.



COPY wellbore_coordinates (wlbwellborename, wlbdrillingoperator, wlbproductionlicence, wlbwelltype, wlbpurposeplanned, wlbcontent, wlbentrydate, wlbcompletiondate, wlbfield, wlbmainarea, wlbgeodeticdatum, wlbnsdeg, wlbnsmin, wlbnssec, wlbnscode, wlbewdeg, wlbewmin, wlbewsec, wlbewcode, wlbnsdecdeg, wlbewdesdeg, wlbnsutm, wlbewutm, wlbutmzone, wlbnpdidwellbore, datesyncnpd) FROM stdin;
1/3-4	Elf Petroleum Norge AS	065	EXPLORATION	WILDCAT	OIL SHOWS	1983-02-15	1983-05-08	\N	NORTH SEA	ED50	56	56	39.21	N	2	43	0.23	E	56.944225	2.716731	6311354.320000	482765.430000	31	2	2013-05-08
2/2-3	Saga Petroleum ASA	066	EXPLORATION	WILDCAT	DRY	1983-02-04	1983-05-11	\N	NORTH SEA	ED50	56	47	36.42	N	3	25	38.14	E	56.793450	3.427261	6294616.140000	526100.020000	31	3	2013-05-08
30/6-12	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	DRY	1983-02-20	1983-03-09	OSEBERG	NORTH SEA	ED50	60	33	15.59	N	2	49	23.31	E	60.554331	2.823142	6713319.530000	490300.270000	31	4	2013-05-08
34/10-17	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	OIL/GAS	1983-02-22	1983-07-08	GULLFAKS SØR	NORTH SEA	ED50	61	3	58.93	N	2	0	50.78	E	61.066369	2.014106	6770741.250000	446787.090000	31	5	2013-05-08
31/2-11	A/S Norske Shell	054	EXPLORATION	APPRAISAL	OIL/GAS	1983-03-17	1983-05-25	TROLL	NORTH SEA	ED50	60	49	27.76	N	3	25	30.16	E	60.824378	3.425044	6743460.350000	523116.740000	31	6	2013-05-08
30/6-13	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL/GAS	1983-03-11	1983-05-14	OSEBERG	NORTH SEA	ED50	60	33	14.59	N	2	49	21.76	E	60.554053	2.822711	6713288.650000	490276.570000	31	7	2013-05-08
7120/12-3	Norsk Hydro Produksjon AS	061	EXPLORATION	WILDCAT	GAS	1983-03-16	1983-05-05	\N	BARENTS SEA	ED50	71	11	43.31	N	20	46	43.70	E	71.195364	20.778806	7899413.560000	492041.760000	34	8	2013-05-08
7120/8-3	Den norske stats oljeselskap a.s	064	EXPLORATION	APPRAISAL	SHOWS	1983-04-07	1983-05-24	SNØHVIT	BARENTS SEA	ED50	71	27	48.77	N	20	36	9.47	E	71.463547	20.602631	7929358.330000	485899.850000	34	9	2013-05-08
30/3-3	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	DRY	1983-04-01	1983-05-30	\N	NORTH SEA	ED50	60	46	11.44	N	2	57	5.58	E	60.769844	2.951550	6737312.210000	497360.470000	31	10	2013-05-08
30/9-2	Norsk Hydro Produksjon AS	079	EXPLORATION	WILDCAT	OIL/GAS	1983-04-01	1983-07-12	OSEBERG	NORTH SEA	ED50	60	27	53.00	N	2	49	13.03	E	60.464722	2.820286	6703339.300000	490116.410000	31	11	2013-05-08
6610/7-1	Den norske stats oljeselskap a.s	084	EXPLORATION	WILDCAT	SHOWS	1983-04-18	1983-06-19	\N	NORWEGIAN SEA	ED50	66	17	32.82	N	10	16	52.92	E	66.292450	10.281367	7353283.540000	557489.790000	32	12	2013-05-08
7117/9-2	Norsk Hydro Produksjon AS	063	EXPLORATION	WILDCAT	DRY	1983-05-07	1983-09-09	\N	BARENTS SEA	ED50	71	25	44.75	N	17	53	32.45	E	71.429097	17.892347	7927929.190000	602781.040000	33	13	2013-05-08
31/2-12	A/S Norske Shell	054	EXPLORATION	APPRAISAL	OIL/GAS	1983-05-26	1983-09-08	TROLL	NORTH SEA	ED50	60	50	5.40	N	3	30	48.47	E	60.834833	3.513464	6744659.320000	527916.410000	31	14	2013-05-08
6609/11-1	Norsk Hydro Produksjon AS	083	EXPLORATION	WILDCAT	DRY	1983-05-19	1983-07-07	\N	NORWEGIAN SEA	ED50	66	8	13.90	N	9	33	47.89	E	66.137194	9.563303	7335502.710000	525429.990000	32	15	2013-05-08
6407/2-2	Saga Petroleum ASA	074	EXPLORATION	WILDCAT	GAS/CONDENSATE	1983-05-17	1983-07-31	ÅSGARD	NORWEGIAN SEA	ED50	64	59	39.64	N	7	31	53.08	E	64.994344	7.531411	7208809.080000	430732.950000	32	16	2013-05-08
7119/12-3	Den norske stats oljeselskap a.s	060	EXPLORATION	WILDCAT	GAS/CONDENSATE	1983-05-20	1983-09-12	\N	BARENTS SEA	ED50	71	14	20.18	N	19	44	37.92	E	71.238939	19.743867	7904727.310000	454909.860000	34	17	2013-05-08
7120/7-2	Den norske stats oljeselskap a.s	077	EXPLORATION	WILDCAT	GAS/CONDENSATE	1983-05-26	1983-08-21	SNØHVIT	BARENTS SEA	ED50	71	19	11.49	N	20	19	44.31	E	71.319858	20.328975	7913417.990000	476011.920000	34	18	2013-05-08
6609/7-1	Phillips Petroleum Company Norway	081	EXPLORATION	WILDCAT	DRY	1983-06-21	1983-08-03	\N	NORWEGIAN SEA	ED50	66	24	56.49	N	9	1	14.91	E	66.415692	9.020808	7366433.200000	500929.070000	32	19	2013-05-08
31/3-1	Den norske stats oljeselskap a.s	085	EXPLORATION	WILDCAT	GAS	1983-07-17	1983-10-13	TROLL	NORTH SEA	ED50	60	46	47.86	N	3	44	3.40	E	60.779961	3.734278	6738661.730000	539989.880000	31	20	2013-05-08
7119/7-1	Norsk Hydro Produksjon AS	076	EXPLORATION	WILDCAT	DRY	1983-07-12	1983-09-11	\N	BARENTS SEA	ED50	71	23	42.40	N	19	15	18.43	E	71.395111	19.255119	7922575.250000	437872.000000	34	21	2013-05-08
31/6-1	Norsk Hydro Produksjon AS	085	EXPLORATION	WILDCAT	OIL/GAS	1983-07-15	1983-10-28	TROLL	NORTH SEA	ED50	60	38	44.89	N	3	40	52.28	E	60.645803	3.681189	6723687.940000	537253.600000	31	22	2013-05-08
34/10-18	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	SHOWS	1983-07-16	1983-08-30	\N	NORTH SEA	ED50	61	14	22.48	N	2	3	18.83	E	61.239578	2.055231	6790001.130000	449285.340000	31	23	2013-05-08
6609/10-1	Saga Petroleum ASA	082	EXPLORATION	WILDCAT	DRY	1983-08-02	1983-08-29	\N	NORWEGIAN SEA	ED50	66	14	42.27	N	9	14	59.50	E	66.245075	9.249861	7347436.330000	511231.960000	32	24	2013-05-08
2/5-7	A/S Norske Shell	067	EXPLORATION	WILDCAT	OIL	1983-08-11	1984-02-24	\N	NORTH SEA	ED50	56	43	16.69	N	3	22	1.07	E	56.721303	3.366964	6286563.740000	522459.700000	31	25	2013-05-08
6610/7-2	Den norske stats oljeselskap a.s	084	EXPLORATION	WILDCAT	DRY	1983-08-28	1984-03-14	\N	NORWEGIAN SEA	ED50	66	27	49.61	N	10	10	10.92	E	66.463781	10.169700	7372281.530000	552123.020000	32	26	2013-05-08
31/5-1	Saga Petroleum ASA	085	EXPLORATION	APPRAISAL	DRY	1983-09-05	1983-09-30	TROLL	NORTH SEA	ED50	60	43	33.17	N	3	32	57.01	E	60.725881	3.549169	6732539.550000	529959.160000	31	27	2013-05-08
7/8-3	Conoco Norway Inc.	069	EXPLORATION	WILDCAT	OIL	1983-09-12	1983-12-12	\N	NORTH SEA	ED50	57	15	30.58	N	2	32	45.78	E	57.258494	2.546050	6346394.870000	472613.750000	31	28	2013-05-08
6407/1-3	Den norske stats oljeselskap a.s	073	EXPLORATION	WILDCAT	OIL/GAS	1983-09-17	1984-01-16	TYRIHANS	NORWEGIAN SEA	ED50	64	52	25.48	N	7	2	53.47	E	64.873744	7.048186	7195989.530000	407531.490000	32	29	2013-05-08
7/11-8	Norsk Hydro Produksjon AS	070	EXPLORATION	WILDCAT	DRY	1983-09-22	1983-12-12	\N	NORTH SEA	ED50	57	12	49.94	N	2	31	46.50	E	57.213872	2.529583	6341434.150000	471586.050000	31	30	2013-05-08
29/9-1	Norsk Hydro Produksjon AS	040	EXPLORATION	APPRAISAL	OIL/GAS	1983-09-23	1984-02-24	MARTIN LINGE	NORTH SEA	ED50	60	28	33.19	N	1	59	58.95	E	60.475886	1.999708	6704986.970000	445007.970000	31	31	2013-05-08
31/5-2	Saga Petroleum ASA	085	EXPLORATION	APPRAISAL	OIL/GAS	1983-10-05	1983-11-11	TROLL	NORTH SEA	ED50	60	43	33.29	N	3	32	52.74	E	60.725914	3.547983	6732542.720000	529894.430000	31	32	2013-05-08
34/10-19	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	DRY	1983-10-05	1983-12-06	GULLFAKS	NORTH SEA	ED50	61	11	10.86	N	2	15	30.55	E	61.186350	2.258486	6783931.440000	460128.360000	31	33	2013-05-08
31/6-2	Den norske stats oljeselskap a.s	085	EXPLORATION	APPRAISAL	GAS	1983-10-18	1983-12-11	TROLL	NORTH SEA	ED50	60	34	58.24	N	3	54	55.76	E	60.582844	3.915489	6716831.540000	550164.400000	31	34	2013-05-08
31/6-3	Norsk Hydro Produksjon AS	085	EXPLORATION	WILDCAT	DRY	1983-11-01	1983-12-26	\N	NORTH SEA	ED50	60	30	4.77	N	3	59	53.57	E	60.501325	3.998214	6707818.420000	554834.840000	31	35	2013-05-08
15/9-18	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	SHOWS	1983-12-16	1984-03-02	\N	NORTH SEA	ED50	58	21	1.95	N	1	48	12.27	E	58.350542	1.803408	6468508.490000	429961.760000	31	36	2013-05-08
34/4-5	Saga Petroleum ASA	057	EXPLORATION	WILDCAT	OIL	1983-11-13	1984-04-06	\N	NORTH SEA	ED50	61	41	9.49	N	2	17	52.00	E	61.685969	2.297778	6839561.780000	462840.140000	31	37	2013-05-08
15/6-6	Esso Exploration and Production Norway A/S	029	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1982-04-01	1982-06-09	SLEIPNER VEST	NORTH SEA	ED50	58	31	14.57	N	1	44	53.78	E	58.520714	1.748272	6487513.040000	427087.520000	31	38	2013-05-08
30/6-6	Den norske stats oljeselskap a.s	053	EXPLORATION	APPRAISAL	DRY	1982-01-09	1982-03-24	OSEBERG	NORTH SEA	ED50	60	36	43.43	N	2	49	54.11	E	60.612064	2.831697	6719748.760000	490785.950000	31	39	2013-05-08
16/7-2	Esso Exploration and Production Norway A/S	072	EXPLORATION	WILDCAT	GAS	1982-01-11	1982-03-30	\N	NORTH SEA	ED50	58	28	26.50	N	2	2	3.12	E	58.474028	2.034200	6482040.150000	443667.120000	31	40	2013-05-08
34/4-4	Saga Petroleum ASA	057	EXPLORATION	WILDCAT	OIL	1982-09-11	1983-02-03	SNORRE	NORTH SEA	ED50	61	30	20.85	N	2	14	9.54	E	61.505792	2.235983	6819527.920000	459334.800000	31	41	2013-05-08
7/11-5	Norsk Hydro Produksjon AS	070	EXPLORATION	WILDCAT	OIL	1982-02-09	1982-06-10	MIME	NORTH SEA	ED50	57	8	6.39	N	2	29	53.53	E	57.135108	2.498203	6332679.580000	469626.100000	31	42	2013-05-08
31/4-6	Norsk Hydro Produksjon AS	055	EXPLORATION	APPRAISAL	OIL/GAS	1982-02-28	1982-04-20	BRAGE	NORTH SEA	ED50	60	31	17.09	N	3	1	59.84	E	60.521414	3.033289	6709640.640000	501827.570000	31	43	2013-05-08
1/9-6 S	Den norske stats oljeselskap a.s	044	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1982-03-21	1982-12-01	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	3.85	N	2	56	0.14	E	56.484403	2.933372	6260135.610000	495896.490000	31	44	2013-05-08
15/9-13	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1982-03-21	1982-05-27	SLEIPNER ØST	NORTH SEA	ED50	58	22	25.96	N	1	56	2.86	E	58.373878	1.934128	6470978.020000	437653.700000	31	45	2013-05-08
2/2-1	Saga Petroleum ASA	066	EXPLORATION	WILDCAT	OIL/GAS	1982-04-09	1982-07-03	\N	NORTH SEA	ED50	56	47	15.69	N	3	38	15.62	E	56.787692	3.637672	6294075.100000	538959.150000	31	46	2013-05-08
25/2-7	Elf Petroleum Norge AS	026	EXPLORATION	WILDCAT	SHOWS	1982-04-01	1982-07-12	\N	NORTH SEA	ED50	59	54	20.41	N	2	38	25.87	E	59.905669	2.640519	6641115.530000	479891.010000	31	47	2013-05-08
2/1-4	BP Petroleum Dev. of Norway AS	019 B	EXPLORATION	APPRAISAL	OIL	1982-04-05	1982-08-03	GYDA	NORTH SEA	ED50	56	54	40.59	N	3	4	0.86	E	56.911275	3.066906	6307652.660000	504074.240000	31	48	2013-05-08
7117/9-1	Norsk Hydro Produksjon AS	063	EXPLORATION	WILDCAT	DRY	1982-04-20	1982-07-16	\N	BARENTS SEA	ED50	71	22	51.05	N	17	56	5.76	E	71.380847	17.934933	7922625.970000	604554.550000	33	49	2013-05-08
7120/8-2	Den norske stats oljeselskap a.s	064	EXPLORATION	WILDCAT	GAS	1982-04-15	1982-07-29	SNØHVIT	BARENTS SEA	ED50	71	20	15.72	N	20	27	57.61	E	71.337700	20.466003	7915359.170000	480927.890000	34	50	2013-05-08
6507/11-2	Saga Petroleum ASA	062	EXPLORATION	WILDCAT	DRY	1982-04-18	1982-05-30	\N	NORWEGIAN SEA	ED50	65	10	59.70	N	7	36	39.84	E	65.183250	7.611067	7229774.550000	434952.380000	32	51	2013-05-08
15/3-5	Elf Petroleum Norge AS	025	EXPLORATION	WILDCAT	OIL	1983-12-28	1984-05-13	\N	NORTH SEA	ED50	58	47	13.04	N	1	50	34.11	E	58.786956	1.842808	6517057.340000	433105.220000	31	52	2013-05-08
30/6-14	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	OIL	1983-12-17	1984-02-08	OSEBERG ØST	NORTH SEA	ED50	60	38	7.69	N	2	59	21.76	E	60.635469	2.989378	6722344.000000	499418.890000	31	53	2013-05-08
2/1-A-3	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1988-09-26	1990-09-19	GYDA	NORTH SEA	ED50	56	54	17.67	N	3	5	6.82	E	56.904908	3.085228	6306945.170000	505190.860000	31	54	2013-05-08
30/9-3	Norsk Hydro Produksjon AS	079	EXPLORATION	WILDCAT	OIL	1983-12-31	1984-02-26	OSEBERG SØR	NORTH SEA	ED50	60	28	16.33	N	2	45	37.55	E	60.471203	2.760431	6704071.580000	486827.210000	31	55	2013-05-08
30/6-10 A	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL/GAS	1982-12-02	1983-03-04	OSEBERG	NORTH SEA	ED50	60	36	29.53	N	2	46	24.74	E	60.608203	2.773539	6719328.260000	487600.490000	31	56	2013-05-08
7/11-7	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1982-12-29	1983-12-25	\N	NORTH SEA	ED50	57	4	10.04	N	2	26	4.82	E	57.069456	2.434672	6325401.220000	465720.080000	31	57	2013-05-08
30/6-11	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	SHOWS	1982-12-20	1983-03-30	\N	NORTH SEA	ED50	60	43	28.95	N	2	44	42.00	E	60.724708	2.745000	6732310.740000	486088.240000	31	58	2013-05-08
34/10-16	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL/GAS	1982-12-14	1983-04-11	GULLFAKS SØR	NORTH SEA	ED50	61	5	35.62	N	2	10	46.66	E	61.093228	2.179628	6773609.610000	455758.160000	31	59	2013-05-08
15/9-17	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	GAS/CONDENSATE	1982-12-09	1983-03-30	SLEIPNER ØST	NORTH SEA	ED50	58	26	44.19	N	1	56	53.58	E	58.445608	1.948217	6478951.280000	438602.650000	31	60	2013-05-08
6407/1-2	Den norske stats oljeselskap a.s	073	EXPLORATION	WILDCAT	GAS/CONDENSATE	1982-11-13	1983-05-15	TYRIHANS	NORWEGIAN SEA	ED50	64	47	50.61	N	7	2	23.76	E	64.797392	7.039933	7187495.230000	406877.130000	32	61	2013-05-08
30/11-3	A/S Norske Shell	035	EXPLORATION	WILDCAT	OIL SHOWS	1982-11-17	1983-03-14	\N	NORTH SEA	ED50	60	2	38.59	N	2	32	15.47	E	60.044053	2.537631	6656563.030000	474243.250000	31	62	2013-05-08
2/1-5	BP Norway Limited  U.A.	019 B	EXPLORATION	WILDCAT	OIL	1982-11-13	1983-04-05	\N	NORTH SEA	ED50	56	47	54.06	N	3	12	21.39	E	56.798350	3.205942	6295099.080000	512578.710000	31	63	2013-05-08
2/6-3	Elf Petroleum Norge AS	008	EXPLORATION	WILDCAT	DRY	1982-11-09	1983-02-25	\N	NORTH SEA	ED50	56	31	49.32	N	3	49	25.38	E	56.530367	3.823717	6265553.750000	550669.460000	31	64	2013-05-08
30/9-1	Norsk Hydro Produksjon AS	079	EXPLORATION	WILDCAT	OIL/GAS	1982-10-24	1983-01-29	OSEBERG	NORTH SEA	ED50	60	28	25.09	N	2	52	45.38	E	60.473636	2.879272	6704324.730000	493362.240000	31	65	2013-05-08
6407/1-1	Den norske stats oljeselskap a.s	073	EXPLORATION	WILDCAT	DRY	1982-10-19	1982-11-13	\N	NORWEGIAN SEA	ED50	64	47	51.66	N	7	2	21.62	E	64.797683	7.039339	7187528.600000	406849.900000	32	66	2013-05-08
34/10-15	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	DRY	1982-10-16	1982-12-12	\N	NORTH SEA	ED50	61	10	30.06	N	2	14	44.57	E	61.175017	2.245714	6782676.910000	459427.040000	31	67	2013-05-08
6507/11-1	Saga Petroleum ASA	062	EXPLORATION	WILDCAT	GAS/CONDENSATE	1981-09-13	1981-12-10	ÅSGARD	NORWEGIAN SEA	ED50	65	4	43.95	N	7	29	23.31	E	65.078875	7.489808	7218274.440000	428996.140000	32	68	2013-05-08
15/9-10	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	DRY	1981-09-15	1981-11-07	\N	NORTH SEA	ED50	58	19	42.92	N	1	46	20.61	E	58.328589	1.772392	6466097.130000	428101.860000	31	69	2013-05-08
31/2-7	A/S Norske Shell	054	EXPLORATION	APPRAISAL	OIL/GAS	1982-04-22	1982-06-14	TROLL	NORTH SEA	ED50	60	51	25.93	N	3	27	9.21	E	60.857203	3.452558	6747126.560000	524587.900000	31	70	2013-05-08
15/9-14	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	DRY	1982-05-01	1982-06-27	\N	NORTH SEA	ED50	58	17	23.19	N	1	41	28.06	E	58.289775	1.691128	6461865.650000	423258.770000	31	71	2013-05-08
30/2-1	Den norske stats oljeselskap a.s	051	EXPLORATION	WILDCAT	GAS/CONDENSATE	1982-05-17	1982-10-12	HULDRA	NORTH SEA	ED50	60	52	5.42	N	2	38	49.16	E	60.868172	2.646989	6748315.200000	480827.130000	31	72	2013-05-08
30/6-7	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL/GAS	1982-05-20	1982-08-24	OSEBERG	NORTH SEA	ED50	60	38	39.49	N	2	45	21.74	E	60.644303	2.756039	6723352.600000	486657.230000	31	73	2013-05-08
15/9-15	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	GAS/CONDENSATE	1982-05-28	1982-08-01	GUNGNE	NORTH SEA	ED50	58	18	7.35	N	1	55	19.28	E	58.302042	1.922022	6462991.440000	436817.550000	31	74	2013-05-08
16/7-3	Esso Exploration and Production Norway A/S	072	EXPLORATION	WILDCAT	DRY	1982-06-11	1982-07-27	\N	NORTH SEA	ED50	58	24	21.96	N	2	8	8.06	E	58.406100	2.135572	6474396.590000	449482.480000	31	75	2013-05-08
6407/2-1	Saga Petroleum ASA	074	EXPLORATION	WILDCAT	SHOWS	1982-06-03	1982-08-06	\N	NORWEGIAN SEA	ED50	64	58	4.97	N	7	28	28.12	E	64.968047	7.474478	7205942.440000	427977.330000	32	76	2013-05-08
30/6-8	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	DRY	1982-06-15	1982-08-06	\N	NORTH SEA	ED50	60	32	11.92	N	2	58	20.59	E	60.536644	2.972386	6711336.900000	498484.700000	31	77	2013-05-08
31/2-8	A/S Norske Shell	054	EXPLORATION	WILDCAT	OIL SHOWS	1982-06-16	1982-08-18	\N	NORTH SEA	ED50	60	57	33.02	N	3	29	49.84	E	60.959172	3.497178	6758502.040000	526925.960000	31	78	2013-05-08
15/9-16	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1982-06-28	1982-08-24	SLEIPNER ØST	NORTH SEA	ED50	58	22	9.97	N	1	52	43.16	E	58.369436	1.878656	6470536.250000	434400.890000	31	79	2013-05-08
2/2-2	Saga Petroleum ASA	066	EXPLORATION	WILDCAT	GAS	1982-07-04	1982-08-27	\N	NORTH SEA	ED50	56	56	40.61	N	3	22	46.81	E	56.944614	3.379669	6311426.050000	523099.440000	31	80	2013-05-08
6507/10-1	BP Norway Limited  U.A.	075	EXPLORATION	WILDCAT	DRY	1982-07-10	1982-10-31	\N	NORWEGIAN SEA	ED50	65	13	10.75	N	7	14	0.47	E	65.219653	7.233464	7234272.640000	417384.990000	32	81	2013-05-08
7120/9-1	Norsk Hydro Produksjon AS	078	EXPLORATION	WILDCAT	GAS	1982-07-25	1982-09-26	SNØHVIT	BARENTS SEA	ED50	71	29	26.57	N	20	56	49.47	E	71.490714	20.947075	7932342.990000	498124.670000	34	82	2013-05-08
30/6-9	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	OIL/GAS	1982-08-28	1982-12-16	OSEBERG	NORTH SEA	ED50	60	30	3.46	N	2	46	52.62	E	60.500961	2.781283	6707382.090000	487984.810000	31	83	2013-05-08
16/1-3	Esso Exploration and Production Norway A/S	001	EXPLORATION	WILDCAT	OIL SHOWS	1982-07-29	1982-09-27	\N	NORTH SEA	ED50	58	48	48.90	N	2	2	56.45	E	58.813583	2.049014	6519834.640000	445067.060000	31	84	2013-05-08
7120/7-1	Den norske stats oljeselskap a.s	077	EXPLORATION	WILDCAT	GAS	1982-07-31	1982-10-08	SNØHVIT	BARENTS SEA	ED50	71	18	36.29	N	20	11	22.21	E	71.310081	20.189503	7912388.540000	471011.630000	34	85	2013-05-08
7/11-6	Norsk Hydro Produksjon AS	070	EXPLORATION	WILDCAT	SHOWS	1982-08-09	1982-10-20	\N	NORTH SEA	ED50	57	6	59.45	N	2	36	55.16	E	57.116514	2.615322	6330563.560000	476703.640000	31	86	2013-05-08
1/3-3	Elf Petroleum Norge AS	065	EXPLORATION	WILDCAT	OIL	1982-08-22	1983-03-24	TAMBAR	NORTH SEA	ED50	56	57	8.56	N	2	58	54.05	E	56.952378	2.981681	6312226.320000	498885.660000	31	87	2013-05-08
31/2-9	A/S Norske Shell	054	EXPLORATION	APPRAISAL	OIL/GAS	1982-08-29	1982-10-01	TROLL	NORTH SEA	ED50	60	52	54.34	N	3	28	3.43	E	60.881761	3.467619	6749867.740000	525386.670000	31	88	2013-05-08
8/3-2	Den norske stats oljeselskap a.s	071	EXPLORATION	WILDCAT	DRY	1982-10-04	1982-12-04	\N	NORTH SEA	ED50	57	54	6.61	N	3	47	45.41	E	57.901836	3.795947	6418204.630000	547178.170000	31	89	2013-05-08
31/2-10	A/S Norske Shell	054	EXPLORATION	APPRAISAL	DRY	1982-10-02	1982-10-31	TROLL	NORTH SEA	ED50	60	47	38.94	N	3	29	39.46	E	60.794150	3.494294	6740119.840000	526908.330000	31	90	2013-05-08
16/7-4	Esso Exploration and Production Norway A/S	072	EXPLORATION	WILDCAT	GAS/CONDENSATE	1982-10-15	1982-12-06	SIGYN	NORTH SEA	ED50	58	17	9.75	N	2	1	30.07	E	58.286042	2.025019	6461118.040000	442828.360000	31	91	2013-05-08
30/6-10	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL/GAS	1982-10-04	1982-12-02	OSEBERG	NORTH SEA	ED50	60	36	29.53	N	2	46	24.74	E	60.608203	2.773539	6719328.260000	487600.490000	31	92	2013-05-08
31/2-13 S	A/S Norske Shell	054	EXPLORATION	APPRAISAL	OIL/GAS	1984-01-02	1984-03-15	TROLL	NORTH SEA	ED50	60	47	14.15	N	3	26	3.43	E	60.787264	3.434286	6739329.730000	523646.720000	31	93	2013-05-08
15/12-1	Den norske stats oljeselskap a.s	038	EXPLORATION	WILDCAT	OIL SHOWS	1975-07-07	1975-09-06	\N	NORTH SEA	ED50	58	10	32.60	N	1	44	23.10	E	58.175722	1.739750	6449113.790000	425871.870000	31	94	2013-05-08
34/10-14	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	1981-12-24	1982-03-19	GULLFAKS	NORTH SEA	ED50	61	14	0.50	N	2	15	18.87	E	61.233472	2.255242	6789182.270000	460013.700000	31	95	2013-05-08
2/11-4	Amoco Norway Oil Company	033	EXPLORATION	APPRAISAL	OIL	1978-03-20	1978-05-18	VALHALL	NORTH SEA	ED50	56	14	50.37	N	3	23	18.92	E	56.247325	3.388589	6233812.770000	524081.550000	31	96	2013-05-08
2/4-3	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1970-01-27	1970-05-31	EKOFISK	NORTH SEA	ED50	56	32	42.12	N	3	14	55.49	E	56.545033	3.248747	6266910.180000	515295.520000	31	97	2013-05-08
30/11-4	A/S Norske Shell	035	EXPLORATION	WILDCAT	OIL SHOWS	1984-01-25	1984-07-24	\N	NORTH SEA	ED50	60	2	43.96	N	2	32	39.47	E	60.045544	2.544297	6656726.580000	474615.760000	31	98	2013-05-08
7120/12-4	Norsk Hydro Produksjon AS	061	EXPLORATION	WILDCAT	DRY	1984-02-18	1984-04-16	\N	BARENTS SEA	ED50	71	3	1.13	N	20	42	32.16	E	71.050314	20.708933	7883245.960000	489450.110000	34	99	2013-05-08
31/3-2	Norsk Hydro Produksjon AS	085	EXPLORATION	APPRAISAL	OIL/GAS	1984-03-05	1984-04-30	TROLL	NORTH SEA	ED50	60	52	11.41	N	3	40	41.79	E	60.869836	3.678275	6748639.400000	536836.480000	31	100	2013-05-08
31/5-3	Saga Petroleum ASA	085	EXPLORATION	APPRAISAL	OIL/GAS	1984-04-10	1984-06-09	TROLL	NORTH SEA	ED50	60	44	37.17	N	3	26	20.44	E	60.743658	3.439011	6734474.490000	523936.460000	31	101	2013-05-08
30/9-3 A	Norsk Hydro Produksjon AS	079	EXPLORATION	WILDCAT	OIL/GAS	1984-02-26	1984-05-20	OSEBERG SØR	NORTH SEA	ED50	60	28	16.33	N	2	45	37.55	E	60.471203	2.760431	6704071.580000	486827.210000	31	102	2013-05-08
33/5-1	Norsk Hydro Produksjon AS	047	EXPLORATION	WILDCAT	SHOWS	1979-07-19	1979-10-18	\N	NORTH SEA	ED50	61	44	46.10	N	1	34	57.40	E	61.746139	1.582611	6846879.890000	425144.480000	31	103	2013-05-08
7120/7-3	Den norske stats oljeselskap a.s	077	EXPLORATION	WILDCAT	SHOWS	1984-03-18	1984-06-09	\N	BARENTS SEA	ED50	71	27	43.31	N	20	10	46.44	E	71.462031	20.179567	7929340.440000	470886.270000	34	104	2013-05-08
31/6-5	Den norske stats oljeselskap a.s	085	EXPLORATION	APPRAISAL	OIL/GAS	1984-03-16	1984-05-21	TROLL	NORTH SEA	ED50	60	37	6.80	N	3	48	20.98	E	60.618556	3.805828	6720730.310000	544106.970000	31	105	2013-05-08
31/2-14	A/S Norske Shell	054	EXPLORATION	APPRAISAL	OIL/GAS	1984-04-23	1984-06-21	TROLL	NORTH SEA	ED50	60	51	26.52	N	3	25	37.68	E	60.857367	3.427133	6747135.560000	523206.430000	31	106	2013-05-08
7120/9-2	Norsk Hydro Produksjon AS	078	EXPLORATION	WILDCAT	GAS	1984-04-18	1984-10-20	SNØHVIT	BARENTS SEA	ED50	71	29	40.81	N	20	42	5.38	E	71.494669	20.701494	7932809.500000	489425.030000	34	107	2013-05-08
6406/3-1	Den norske stats oljeselskap a.s	091	EXPLORATION	WILDCAT	GAS SHOWS	1984-04-27	1984-08-14	\N	NORWEGIAN SEA	ED50	64	45	29.77	N	6	49	21.77	E	64.758269	6.822714	7183474.260000	396410.130000	32	108	2013-05-08
2/1-6	BP Norway Limited  U.A.	019 B	EXPLORATION	APPRAISAL	DRY	1984-04-30	1984-08-12	GYDA	NORTH SEA	ED50	56	55	14.81	N	3	1	38.37	E	56.920781	3.027325	6308709.140000	501663.540000	31	109	2013-05-08
30/6-15	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	OIL/GAS	1984-05-02	1984-09-05	OSEBERG	NORTH SEA	ED50	60	32	18.49	N	2	45	49.64	E	60.538469	2.763789	6711563.120000	487038.750000	31	110	2013-05-08
34/7-1	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1984-05-09	1984-07-24	SNORRE	NORTH SEA	ED50	61	28	21.80	N	2	13	25.55	E	61.472722	2.223764	6815851.930000	458640.580000	31	111	2013-05-08
16/11-1 S	Phillips Petroleum Company Norway	016	EXPLORATION	WILDCAT	DRY	1967-07-14	1967-10-31	\N	NORTH SEA	ED50	58	4	4.00	N	2	34	8.00	E	58.067778	2.568889	6436483.750000	474564.380000	31	112	2013-05-08
15/12-5	Den norske stats oljeselskap a.s	038	EXPLORATION	WILDCAT	OIL	1986-03-12	1986-05-04	VARG	NORTH SEA	ED50	58	4	53.36	N	1	54	53.24	E	58.081489	1.914789	6438443.610000	435998.330000	31	113	2013-05-08
7119/12-2	Den norske stats oljeselskap a.s	060	EXPLORATION	WILDCAT	SHOWS	1981-04-16	1981-06-26	\N	BARENTS SEA	ED50	71	0	51.81	N	19	58	20.81	E	71.014392	19.972447	7879530.380000	462689.200000	34	114	2013-05-08
33/12-5	Mobil Exploration Norway INC	037	EXPLORATION	APPRAISAL	DRY	1975-10-09	1976-02-21	STATFJORD	NORTH SEA	ED50	61	11	5.53	N	1	51	53.39	E	61.184869	1.864831	6784070.290000	438959.620000	31	115	2013-05-08
2/7-14	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1979-08-09	1980-01-20	EKOFISK	NORTH SEA	ED50	56	29	20.30	N	3	14	2.65	E	56.488972	3.234069	6260666.800000	514414.240000	31	116	2013-05-08
2/8-3	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL/GAS SHOWS	1972-06-16	1972-09-03	\N	NORTH SEA	ED50	56	18	31.00	N	3	26	54.10	E	56.308611	3.448361	6240656.750000	527741.320000	31	117	2013-05-08
30/6-5	Den norske stats oljeselskap a.s	053	EXPLORATION	WILDCAT	OIL	1981-06-11	1981-08-15	OSEBERG ØST	NORTH SEA	ED50	60	41	20.60	N	2	57	11.09	E	60.689056	2.953081	6728313.490000	497437.430000	31	118	2013-05-08
33/12-6	Mobil Exploration Norway INC	037	EXPLORATION	WILDCAT	DRY	1976-03-02	1976-06-20	\N	NORTH SEA	ED50	61	4	36.41	N	1	57	17.76	E	61.076781	1.954933	6771950.390000	443612.010000	31	119	2013-05-08
7120/8-1	Den norske stats oljeselskap a.s	064	EXPLORATION	WILDCAT	GAS/CONDENSATE	1981-06-28	1981-09-10	SNØHVIT	BARENTS SEA	ED50	71	24	34.43	N	20	26	6.20	E	71.409564	20.435056	7923384.580000	479897.510000	34	120	2013-05-08
7119/12-1	Den norske stats oljeselskap a.s	060	EXPLORATION	WILDCAT	OIL SHOWS	1980-06-14	1980-10-10	\N	BARENTS SEA	ED50	71	6	8.00	N	19	47	40.29	E	71.102222	19.794525	7889443.980000	456424.420000	34	121	2013-05-08
7120/12-2	Norsk Hydro Produksjon AS	061	EXPLORATION	WILDCAT	GAS/CONDENSATE	1981-04-15	1981-09-11	\N	BARENTS SEA	ED50	71	7	30.30	N	20	48	19.00	E	71.125083	20.805278	7891571.430000	492968.970000	34	122	2013-05-08
7120/12-1	Norsk Hydro Produksjon AS	061	EXPLORATION	WILDCAT	SHOWS	1980-06-01	1980-10-12	\N	BARENTS SEA	ED50	71	6	48.71	N	20	45	20.13	E	71.113531	20.755592	7890289.380000	491169.710000	34	123	2013-05-08
2/8-1	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL SHOWS	1967-11-28	1968-07-02	\N	NORTH SEA	ED50	56	17	47.20	N	3	26	59.70	E	56.296444	3.449917	6239303.150000	527846.410000	31	124	2013-05-08
33/9-3	Mobil Exploration Norway INC	037	EXPLORATION	APPRAISAL	OIL	1974-09-15	1974-11-14	STATFJORD	NORTH SEA	ED50	61	17	55.13	N	1	53	39.94	E	61.298647	1.894428	6796715.850000	440765.420000	31	125	2013-05-08
33/12-4	Mobil Exploration Norway INC	037	EXPLORATION	APPRAISAL	OIL	1975-05-17	1975-07-17	STATFJORD	NORTH SEA	ED50	61	14	19.20	N	1	53	27.50	E	61.238667	1.890972	6790038.190000	440466.880000	31	126	2013-05-08
31/6-6	Den norske stats oljeselskap a.s	085	EXPLORATION	APPRAISAL	GAS	1984-05-22	1984-07-29	TROLL	NORTH SEA	ED50	60	41	57.08	N	3	56	4.61	E	60.699189	3.934614	6729804.220000	551028.070000	31	127	2013-05-08
35/11-1	Mobil Exploration Norway INC	090	EXPLORATION	WILDCAT	DRY	1984-05-23	1984-08-06	\N	NORTH SEA	ED50	61	10	59.27	N	3	39	44.95	E	61.183131	3.662486	6783527.210000	535626.010000	31	128	2013-05-08
2/3-4	Norwegian Gulf Exploration Company AS	022	EXPLORATION	WILDCAT	DRY	1984-05-28	1984-07-24	\N	NORTH SEA	ED50	56	46	45.61	N	3	48	27.89	E	56.779336	3.807747	6293254.690000	549360.760000	31	129	2013-05-08
7121/7-1	Den norske stats oljeselskap a.s	100	EXPLORATION	WILDCAT	GAS/CONDENSATE	1984-06-11	1984-08-05	SNØHVIT	BARENTS SEA	ED50	71	28	20.78	N	21	5	15.18	E	71.472439	21.087550	7930306.010000	503105.180000	34	130	2013-05-08
25/2-8	Elf Petroleum Norge AS	026	EXPLORATION	APPRAISAL	OIL/GAS	1984-06-18	1984-08-01	ØST FRIGG	NORTH SEA	ED50	59	54	45.14	N	2	20	27.62	E	59.912539	2.341006	6642009.400000	463144.400000	31	131	2013-05-08
7119/9-1	Elf Petroleum Norge AS	096	EXPLORATION	WILDCAT	DRY	1984-06-28	1984-09-25	\N	BARENTS SEA	ED50	71	24	53.19	N	19	49	43.26	E	71.414775	19.828683	7924275.600000	458333.920000	34	132	2013-05-08
6407/9-1	A/S Norske Shell	093	EXPLORATION	WILDCAT	OIL	1984-06-26	1984-09-07	DRAUGEN	NORWEGIAN SEA	ED50	64	21	56.14	N	7	47	20.86	E	64.365594	7.789128	7138488.300000	441548.410000	32	133	2013-05-08
16/7-5	Esso Exploration and Production Norway A/S	072	EXPLORATION	WILDCAT	DRY	1984-07-02	1984-08-03	\N	NORTH SEA	ED50	58	21	6.30	N	2	4	56.16	E	58.351750	2.082267	6468386.640000	446284.860000	31	134	2013-05-08
7121/4-1	Den norske stats oljeselskap a.s	099	EXPLORATION	WILDCAT	OIL/GAS	1984-08-06	1984-10-27	SNØHVIT	BARENTS SEA	ED50	71	35	59.68	N	21	9	22.79	E	71.599911	21.156331	7944529.350000	505507.860000	34	135	2013-05-08
35/3-2	Saga Petroleum ASA	041	EXPLORATION	WILDCAT	GAS/CONDENSATE	1980-05-19	1980-10-26	\N	NORTH SEA	ED50	61	51	5.98	N	3	46	28.22	E	61.851661	3.774506	6858062.650000	540764.960000	31	136	2013-05-08
2/1-7	BP Petroleum Dev. of Norway AS	019 B	EXPLORATION	WILDCAT	DRY	1984-09-06	1985-03-06	\N	NORTH SEA	ED50	56	51	51.32	N	3	5	40.36	E	56.864256	3.094544	6302420.540000	505764.550000	31	137	2013-05-08
6507/7-1	Conoco Norway Inc.	095	EXPLORATION	WILDCAT	GAS SHOWS	1984-08-10	1984-12-01	\N	NORWEGIAN SEA	ED50	65	27	16.73	N	7	12	52.77	E	65.454647	7.214658	7260481.160000	417247.400000	32	138	2013-05-08
6407/9-U-4	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	139	2013-05-08
34/10-9	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	1980-03-24	1980-05-09	GULLFAKS	NORTH SEA	ED50	61	12	55.34	N	2	15	0.53	E	61.215372	2.250147	6787169.270000	459717.060000	31	140	2013-05-08
31/6-7	Norsk Hydro Produksjon AS	085	EXPLORATION	APPRAISAL	DRY	1985-04-01	1985-04-13	TROLL	NORTH SEA	ED50	60	33	19.68	N	3	40	39.04	E	60.555467	3.677511	6713624.350000	537156.130000	31	141	2013-05-08
8/3-1	Esso Exploration and Production Norway A/S	003	EXPLORATION	WILDCAT	DRY	1966-07-19	1966-10-10	\N	NORTH SEA	ED50	57	59	13.16	N	3	40	13.29	E	57.986989	3.670358	6427604.280000	539640.290000	31	142	2013-05-08
25/11-1	Esso Exploration and Production Norway A/S	001	EXPLORATION	WILDCAT	OIL	1966-10-18	1967-07-09	BALDER	NORTH SEA	ED50	59	10	53.00	N	2	24	49.00	E	59.181389	2.413611	6560548.970000	466486.570000	31	143	2013-05-08
16/2-1	Esso Exploration and Production Norway A/S	001	EXPLORATION	WILDCAT	OIL SHOWS	1967-07-11	1967-08-09	\N	NORTH SEA	ED50	58	53	35.19	N	2	21	25.77	E	58.893108	2.357158	6528477.900000	462951.380000	31	144	2013-05-08
9/8-1	Esso Exploration and Production Norway A/S	003	EXPLORATION	WILDCAT	OIL SHOWS	1968-05-23	1968-06-29	\N	NORTH SEA	ED50	57	20	33.97	N	4	20	12.98	E	57.342769	4.336939	6356476.030000	580468.980000	31	145	2013-05-08
16/7-1	Esso Exploration and Production Norway A/S	001	EXPLORATION	WILDCAT	DRY	1967-08-11	1967-09-24	\N	NORTH SEA	ED50	58	20	22.38	N	2	18	49.96	E	58.339550	2.313878	6466866.760000	459826.920000	31	146	2013-05-08
16/1-1	Esso Exploration and Production Norway A/S	001	EXPLORATION	WILDCAT	OIL SHOWS	1967-09-26	1967-12-10	\N	NORTH SEA	ED50	58	59	18.40	N	2	2	3.00	E	58.988444	2.034167	6539317.030000	444490.520000	31	147	2013-05-08
16/6-1	Elf Petroleum Norge AS	007	EXPLORATION	WILDCAT	DRY	1967-11-07	1968-01-19	\N	NORTH SEA	ED50	58	42	6.00	N	2	54	44.00	E	58.701667	2.912222	6506985.910000	494913.160000	31	148	2013-05-08
7/11-1	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	GAS/CONDENSATE	1968-02-26	1968-06-15	COD	NORTH SEA	ED50	57	4	15.60	N	2	26	24.40	E	57.071000	2.440111	6325570.430000	466051.280000	31	149	2013-05-08
9/4-1	Conoco Norway Inc.	013	EXPLORATION	WILDCAT	SHOWS	1968-03-31	1968-05-19	\N	NORTH SEA	ED50	57	35	2.00	N	4	1	13.00	E	57.583889	4.020278	6382987.510000	561007.440000	31	150	2013-05-08
16/9-1	Esso Exploration and Production Norway A/S	002	EXPLORATION	WILDCAT	DRY	1968-05-08	1968-07-12	\N	NORTH SEA	ED50	58	22	41.48	N	2	48	16.99	E	58.378189	2.804719	6470980.800000	488578.520000	31	151	2013-05-08
9/4-3	Conoco Norway Inc.	013	EXPLORATION	WILDCAT	DRY	1972-07-14	1972-08-19	\N	NORTH SEA	ED50	57	36	54.50	N	4	18	57.70	E	57.615139	4.316028	6386770.590000	578623.150000	31	152	2013-05-08
17/4-1	Elf Petroleum Norge AS	007	EXPLORATION	WILDCAT	DRY	1968-06-17	1968-08-26	\N	NORTH SEA	ED50	58	35	54.00	N	3	16	5.00	E	58.598333	3.268056	6495507.610000	515580.130000	31	153	2013-05-08
1/3-1	A/S Norske Shell	011	EXPLORATION	WILDCAT	GAS	1968-07-06	1968-11-11	\N	NORTH SEA	ED50	56	51	21.00	N	2	51	5.00	E	56.855833	2.851389	6301488.860000	490936.870000	31	154	2013-05-08
2/8-2	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	SHOWS	1970-06-28	1970-07-30	\N	NORTH SEA	ED50	56	29	52.85	N	3	28	33.60	E	56.498014	3.476000	6261750.200000	529305.510000	31	155	2013-05-08
7/11-2	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1968-07-21	1968-10-14	COD	NORTH SEA	ED50	57	4	15.20	N	2	24	26.50	E	57.070889	2.407361	6325574.830000	464065.410000	31	156	2013-05-08
7/12-1 S	Norwegian Gulf Exploration Company AS	019	EXPLORATION	WILDCAT	DRY	1968-08-31	1968-10-18	\N	NORTH SEA	ED50	57	6	2.90	N	2	51	6.10	E	57.100806	2.851694	6328758.970000	491014.690000	31	157	2013-05-08
7/8-1	Phillips Petroleum Company Norway	016	EXPLORATION	WILDCAT	DRY	1968-08-31	1969-02-05	\N	NORTH SEA	ED50	57	19	20.60	N	2	28	28.80	E	57.322389	2.474667	6353538.760000	468362.200000	31	158	2013-05-08
7/11-3	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL SHOWS	1968-10-17	1969-02-07	COD	NORTH SEA	ED50	57	2	58.80	N	2	28	18.80	E	57.049667	2.471889	6323180.270000	467959.730000	31	159	2013-05-08
2/6-1	Elf Petroleum Norge AS	008	EXPLORATION	WILDCAT	DRY	1969-04-21	1969-05-30	\N	NORTH SEA	ED50	56	35	52.00	N	3	54	55.00	E	56.597778	3.915278	6273128.340000	556201.470000	31	160	2013-05-08
17/10-1	A/S Norske Shell	010	EXPLORATION	WILDCAT	DRY	1968-12-30	1969-03-24	\N	NORTH SEA	ED50	58	1	54.00	N	3	9	58.00	E	58.031667	3.166111	6432394.040000	509810.510000	31	161	2013-05-08
2/3-1	NORSKE MURPHY OIL COMPANY	022	EXPLORATION	WILDCAT	GAS	1969-02-10	1969-04-03	\N	NORTH SEA	ED50	56	53	9.46	N	3	51	38.08	E	56.885961	3.860578	6305162.640000	552439.870000	31	162	2013-05-08
9/12-1	A/S Norske Shell	012	EXPLORATION	WILDCAT	DRY	1969-03-28	1969-05-06	\N	NORTH SEA	ED50	57	11	40.00	N	4	57	21.00	E	57.194444	4.955833	6340869.090000	618188.740000	31	163	2013-05-08
7/3-1	Amoco Norway Oil Company	005	EXPLORATION	WILDCAT	DRY	1969-04-07	1969-06-10	\N	NORTH SEA	ED50	57	50	35.25	N	2	44	55.61	E	57.843125	2.748781	6411418.070000	485085.010000	31	164	2013-05-08
1/3-2	A/S Norske Shell	011	EXPLORATION	WILDCAT	DRY	1969-05-14	1969-07-27	\N	NORTH SEA	ED50	56	56	10.00	N	2	45	0.00	E	56.936111	2.750000	6310443.200000	484786.280000	31	165	2013-05-08
8/10-1	Phillips Petroleum Company Norway	017	EXPLORATION	WILDCAT	DRY	1969-05-30	1969-07-01	\N	NORTH SEA	ED50	57	8	1.04	N	3	3	55.09	E	57.133622	3.065303	6332404.310000	503952.970000	31	166	2013-05-08
7/11-4	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	DRY	1969-07-02	1969-07-31	MIME	NORTH SEA	ED50	57	7	30.50	N	2	29	21.40	E	57.125139	2.489278	6331573.790000	469077.560000	31	167	2013-05-08
2/11-1	Amoco Norway Oil Company	033	EXPLORATION	WILDCAT	OIL	1969-07-14	1969-10-03	VALHALL	NORTH SEA	ED50	56	14	16.98	N	3	27	7.05	E	56.238050	3.451958	6232804.370000	528015.410000	31	168	2013-05-08
2/3-2	NORSKE MURPHY OIL COMPANY	022	EXPLORATION	APPRAISAL	DRY	1969-07-26	1969-08-13	\N	NORTH SEA	ED50	56	54	53.70	N	3	49	2.28	E	56.914917	3.817300	6308353.440000	549764.260000	31	169	2013-05-08
11/10-1	Syracuse Oils Norge A/S	021	EXPLORATION	WILDCAT	DRY	1969-08-02	1969-08-19	\N	NORTH SEA	ED50	57	0	46.00	N	6	10	4.70	E	57.012778	6.167972	6322515.780000	328039.300000	32	170	2013-05-08
33/9-C-16	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1986-03-23	1986-05-07	STATFJORD	NORTH SEA	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	171	2013-05-08
2/4-2	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1969-09-18	1969-12-24	EKOFISK	NORTH SEA	ED50	56	32	8.65	N	3	11	54.57	E	56.535736	3.198492	6265865.230000	512208.290000	31	172	2013-05-08
25/8-1	Esso Exploration and Production Norway A/S	027	EXPLORATION	WILDCAT	OIL	1970-04-28	1970-07-04	BALDER	NORTH SEA	ED50	59	15	2.24	N	2	29	38.21	E	59.250622	2.493947	6568220.990000	471136.400000	31	173	2013-05-08
2/4-4	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1970-06-02	1970-08-01	EKOFISK	NORTH SEA	ED50	56	30	47.90	N	3	12	39.48	E	56.513306	3.210967	6263370.750000	512983.230000	31	174	2013-05-08
10/8-1	Elf Petroleum Norge AS	009	EXPLORATION	WILDCAT	DRY	1970-12-12	1971-01-17	\N	NORTH SEA	ED50	57	25	0.01	N	5	34	21.71	E	57.416669	5.572697	6366836.520000	654520.930000	31	175	2013-05-08
9/4-2	Texaco Exploration Norway AS	013	EXPLORATION	WILDCAT	DRY	1970-07-19	1970-08-29	\N	NORTH SEA	ED50	57	41	11.05	N	4	2	34.85	E	57.686403	4.043014	6394420.370000	562191.390000	31	176	2013-05-08
2/4-5	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1970-06-21	1970-08-27	EKOFISK	NORTH SEA	ED50	56	34	27.24	N	3	12	11.82	E	56.574233	3.203283	6270151.280000	512490.310000	31	177	2013-05-08
2/5-1	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL	1970-08-01	1970-11-22	TOR	NORTH SEA	ED50	56	38	19.95	N	3	20	7.94	E	56.638875	3.335539	6277378.570000	520581.270000	31	178	2013-05-08
2/7-1	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1970-08-03	1970-12-11	ELDFISK	NORTH SEA	ED50	56	25	44.68	N	3	12	14.21	E	56.429078	3.203947	6253994.050000	512579.070000	31	179	2013-05-08
25/10-2	Esso Exploration and Production Norway A/S	028	EXPLORATION	WILDCAT	OIL SHOWS	1970-08-05	1970-08-25	\N	NORTH SEA	ED50	59	9	38.40	N	2	11	38.20	E	59.160667	2.193944	6558372.500000	453904.590000	31	180	2013-05-08
2/4-6	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	GAS/CONDENSATE	1970-08-28	1970-12-10	VEST EKOFISK	NORTH SEA	ED50	56	34	0.40	N	3	5	8.20	E	56.566778	3.085611	6269306.180000	505261.230000	31	181	2013-05-08
25/10-3	Esso Exploration and Production Norway A/S	028	EXPLORATION	APPRAISAL	OIL	1970-08-27	1970-09-13	BALDER	NORTH SEA	ED50	59	12	58.99	N	2	19	41.96	E	59.216386	2.328322	6564492.050000	461651.460000	31	182	2013-05-08
9/10-1	NORSKE MURPHY OIL COMPANY	022	EXPLORATION	WILDCAT	DRY	1970-08-30	1970-09-18	\N	NORTH SEA	ED50	57	0	4.02	N	4	0	33.52	E	57.001117	4.009311	6318104.700000	561313.410000	31	183	2013-05-08
25/11-2	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	SHOWS	1970-09-13	1970-09-24	BALDER	NORTH SEA	ED50	59	13	1.55	N	2	24	35.10	E	59.217097	2.409750	6564527.250000	466301.090000	31	184	2013-05-08
25/11-3	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	DRY	1970-09-25	1970-10-14	BALDER	NORTH SEA	ED50	59	10	36.20	N	2	26	19.10	E	59.176722	2.438639	6560017.010000	467912.570000	31	185	2013-05-08
25/11-4	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	SHOWS	1970-10-15	1970-11-20	BALDER	NORTH SEA	ED50	59	9	38.79	N	2	23	25.07	E	59.160775	2.390297	6558265.450000	465133.180000	31	186	2013-05-08
2/7-2	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1970-12-13	1971-03-02	\N	NORTH SEA	ED50	56	16	0.85	N	3	9	9.04	E	56.266903	3.152511	6235934.460000	509446.590000	31	187	2013-05-08
2/5-2	Amoco Norway Oil Company	006	EXPLORATION	APPRAISAL	OIL	1971-01-15	1971-04-20	TOR	NORTH SEA	ED50	56	38	41.60	N	3	22	20.60	E	56.644889	3.372389	6278059.650000	522837.920000	31	188	2013-05-08
16/5-1	Elf Petroleum Norge AS	007	EXPLORATION	WILDCAT	DRY	1971-01-17	1971-02-08	\N	NORTH SEA	ED50	58	38	53.66	N	2	29	39.69	E	58.648239	2.494358	6501144.010000	470652.690000	31	189	2013-05-08
25/1-1	Elf Petroleum Norge AS	024	EXPLORATION	WILDCAT	OIL/GAS	1971-03-30	1971-07-22	FRIGG	NORTH SEA	ED50	59	53	17.40	N	2	4	42.70	E	59.888167	2.078528	6639470.410000	448427.570000	31	190	2013-05-08
7/9-1	Conoco Norway Inc.	020	EXPLORATION	WILDCAT	DRY	1971-04-22	1971-05-29	\N	NORTH SEA	ED50	57	20	37.10	N	2	51	21.40	E	57.343639	2.855944	6355791.530000	491329.320000	31	191	2013-05-08
7/1-1	Amoco Norway Oil Company	004	EXPLORATION	WILDCAT	DRY	1971-07-03	1971-08-05	\N	NORTH SEA	ED50	57	47	52.00	N	2	9	56.00	E	57.797778	2.165556	6406647.320000	450397.190000	31	192	2013-05-08
8/12-1	Conoco Norway Inc.	014	EXPLORATION	WILDCAT	DRY	1971-05-31	1971-07-23	\N	NORTH SEA	ED50	57	13	18.60	N	3	46	45.13	E	57.221833	3.779203	6342491.380000	547054.640000	31	193	2013-05-08
9/11-1	Conoco Norway Inc.	014	EXPLORATION	WILDCAT	SHOWS	1971-07-03	1971-08-19	\N	NORTH SEA	ED50	57	0	41.40	N	4	31	40.60	E	57.011500	4.527944	6319845.510000	592790.860000	31	194	2013-05-08
25/1-2	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	OIL/GAS	1971-07-22	1971-08-25	FRIGG	NORTH SEA	ED50	59	56	8.00	N	2	4	54.60	E	59.935556	2.081833	6644745.250000	448685.750000	31	195	2013-05-08
2/4-7	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1971-07-24	1971-10-08	TOR	NORTH SEA	ED50	56	38	5.40	N	3	16	45.30	E	56.634833	3.279250	6276913.210000	517130.460000	31	196	2013-05-08
15/6-1	Esso Exploration and Production Norway A/S	029	EXPLORATION	WILDCAT	DRY	1971-08-07	1971-09-08	\N	NORTH SEA	ED50	58	32	48.26	N	1	41	32.80	E	58.546739	1.692444	6490472.460000	423892.240000	31	197	2013-05-08
2/3-3	NORSKE MURPHY OIL COMPANY	022	EXPLORATION	WILDCAT	DRY	1971-10-08	1971-11-20	\N	NORTH SEA	ED50	56	48	18.90	N	3	58	11.50	E	56.805250	3.969861	6296267.730000	559226.210000	31	198	2013-05-08
15/12-3	Den norske stats oljeselskap a.s	038	EXPLORATION	WILDCAT	DRY	1980-06-21	1980-12-22	\N	NORTH SEA	ED50	58	14	36.59	N	1	52	45.67	E	58.243497	1.879353	6456514.340000	434208.300000	31	199	2013-05-08
2/7-17	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	DRY	1980-06-24	1980-07-12	\N	NORTH SEA	ED50	56	20	13.00	N	3	6	4.00	E	56.336944	3.101111	6243724.740000	506251.410000	31	200	2013-05-08
25/4-5	Elf Petroleum Norge AS	036	EXPLORATION	APPRAISAL	OIL/GAS	1980-06-26	1981-03-26	HEIMDAL	NORTH SEA	ED50	59	34	4.75	N	2	11	39.21	E	59.567986	2.194225	6603729.890000	454469.520000	31	201	2013-05-08
6507/12-1	Saga Petroleum ASA	059	EXPLORATION	WILDCAT	DRY	1980-07-01	1980-10-26	\N	NORWEGIAN SEA	ED50	65	7	1.62	N	7	42	42.61	E	65.117117	7.711836	7222304.750000	439520.780000	32	202	2013-05-08
30/3-2	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	DRY	1980-07-04	1980-08-15	\N	NORTH SEA	ED50	60	47	49.23	N	2	55	18.06	E	60.797008	2.921683	6740339.450000	495736.960000	31	203	2013-05-08
34/10-12	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	DRY	1981-07-16	1981-09-12	\N	NORTH SEA	ED50	61	9	26.69	N	2	6	21.72	E	61.157414	2.106033	6780810.910000	451887.140000	31	204	2013-05-08
35/8-1	Norwegian Gulf Exploration Company AS	058	EXPLORATION	WILDCAT	GAS/CONDENSATE	1980-07-27	1981-01-24	VEGA	NORTH SEA	ED50	61	21	26.37	N	3	21	44.09	E	61.357325	3.362247	6802804.700000	519372.880000	31	205	2013-05-08
2/7-18	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	DRY	1980-08-20	1980-08-31	\N	NORTH SEA	ED50	56	20	18.36	N	3	6	13.61	E	56.338433	3.103781	6243890.710000	506416.200000	31	206	2013-05-08
15/5-3	Norsk Hydro Produksjon AS	048	EXPLORATION	WILDCAT	DRY	1980-08-21	1980-12-06	\N	NORTH SEA	ED50	58	43	47.93	N	1	38	12.05	E	58.729981	1.636681	6510938.120000	421061.300000	31	207	2013-05-08
31/2-4	A/S Norske Shell	054	EXPLORATION	WILDCAT	DRY	1980-09-01	1980-09-13	TROLL	NORTH SEA	ED50	60	51	23.57	N	3	30	44.33	E	60.856547	3.512314	6747077.420000	527835.000000	31	208	2013-05-08
33/12-B-19	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1989-12-28	1990-02-19	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	209	2013-05-08
31/2-5	A/S Norske Shell	054	EXPLORATION	WILDCAT	OIL/GAS	1980-10-26	1980-12-21	TROLL	NORTH SEA	ED50	60	46	16.20	N	3	25	53.46	E	60.771167	3.431517	6737535.760000	523507.710000	31	210	2013-05-08
34/10-11	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	1980-10-24	1981-03-04	GULLFAKS	NORTH SEA	ED50	61	13	20.84	N	2	17	32.90	E	61.222456	2.292472	6787932.930000	461999.280000	31	211	2013-05-08
34/10-20	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	DRY	1983-12-23	1984-04-23	\N	NORTH SEA	ED50	61	1	20.39	N	2	17	45.74	E	61.022331	2.296039	6765639.550000	461951.000000	31	212	2013-05-08
25/11-9	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	OIL/GAS	1980-11-04	1980-12-07	BALDER	NORTH SEA	ED50	59	10	14.02	N	2	22	30.84	E	59.170561	2.375233	6559363.150000	464281.940000	31	213	2013-05-08
31/4-4	Norsk Hydro Produksjon AS	055	EXPLORATION	WILDCAT	DRY	1980-12-17	1981-02-17	\N	NORTH SEA	ED50	60	40	1.12	N	3	6	54.12	E	60.666978	3.115033	6725858.960000	506287.020000	31	214	2013-05-08
34/2-2	Amoco Norway Oil Company	056	EXPLORATION	WILDCAT	DRY	1980-11-27	1980-12-12	\N	NORTH SEA	ED50	61	46	28.06	N	2	33	6.20	E	61.774461	2.551722	6849300.930000	476345.980000	31	215	2013-05-08
30/7-8	Norsk Hydro Produksjon AS	040	EXPLORATION	WILDCAT	GAS/CONDENSATE	1980-11-19	1981-04-04	MARTIN LINGE	NORTH SEA	ED50	60	29	43.08	N	2	0	20.56	E	60.495300	2.005711	6707144.140000	445370.620000	31	216	2013-05-08
25/10-4	Esso Exploration and Production Norway A/S	028	EXPLORATION	APPRAISAL	OIL	1980-12-08	1981-01-18	BALDER	NORTH SEA	ED50	59	11	26.04	N	2	19	50.14	E	59.190567	2.330594	6561615.620000	461752.330000	31	217	2013-05-08
15/9-7	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1980-12-26	1981-04-29	SLEIPNER VEST	NORTH SEA	ED50	58	22	56.07	N	1	42	45.99	E	58.382242	1.712775	6472135.590000	424724.770000	31	218	2013-05-08
35/3-4	Saga Petroleum ASA	041	EXPLORATION	WILDCAT	GAS/CONDENSATE	1980-11-30	1981-06-06	\N	NORTH SEA	ED50	61	51	54.54	N	3	52	26.99	E	61.865150	3.874164	6859631.800000	545989.900000	31	219	2013-05-08
3/7-2	Elf Petroleum Norge AS	023	EXPLORATION	WILDCAT	DRY	1981-03-30	1981-06-20	\N	NORTH SEA	ED50	56	29	58.37	N	4	4	8.36	E	56.499547	4.068989	6262331.320000	565809.720000	31	220	2013-05-08
34/10-21	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	GAS	1984-07-26	1984-10-22	GULLFAKS SØR	NORTH SEA	ED50	61	7	33.04	N	2	8	54.53	E	61.125844	2.148481	6777264.060000	454125.770000	31	221	2013-05-08
34/10-7	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	1980-01-07	1980-03-23	GULLFAKS	NORTH SEA	ED50	61	12	13.44	N	2	16	28.56	E	61.203733	2.274600	6785858.020000	461016.270000	31	222	2013-05-08
1/3-5	A/S Norske Shell	011	EXPLORATION	WILDCAT	DRY	1984-10-01	1985-02-11	\N	NORTH SEA	ED50	56	46	16.02	N	2	53	38.85	E	56.771117	2.894125	6292053.660000	493528.570000	31	223	2013-05-08
2/6-2	Elf Petroleum Norge AS	008	EXPLORATION	WILDCAT	OIL SHOWS	1980-01-03	1980-05-25	\N	NORTH SEA	ED50	56	30	48.90	N	3	42	39.66	E	56.513583	3.711017	6263608.180000	543756.410000	31	224	2013-05-08
2/7-15	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1980-01-29	1980-06-02	ELDFISK	NORTH SEA	ED50	56	23	46.82	N	3	18	54.63	E	56.396339	3.315175	6250375.820000	519456.060000	31	225	2013-05-08
8/10-2	Phillips Petroleum Company Norway	017	EXPLORATION	WILDCAT	DRY	1980-02-05	1980-03-17	\N	NORTH SEA	ED50	57	8	6.90	N	3	18	9.50	E	57.135250	3.302639	6332624.270000	518318.790000	31	226	2013-05-08
31/2-2	A/S Norske Shell	054	EXPLORATION	WILDCAT	OIL/GAS	1980-02-27	1980-04-23	TROLL	NORTH SEA	ED50	60	46	47.80	N	3	37	23.50	E	60.779944	3.623194	6738597.320000	533940.270000	31	227	2013-05-08
34/4-2	Saga Petroleum ASA	057	EXPLORATION	WILDCAT	DRY	1980-03-06	1980-05-24	\N	NORTH SEA	ED50	61	30	30.93	N	2	4	17.04	E	61.508592	2.071400	6819953.530000	450579.590000	31	228	2013-05-08
16/4-1	Norsk Hydro Produksjon AS	087	EXPLORATION	WILDCAT	DRY	1984-09-08	1984-11-18	\N	NORTH SEA	ED50	58	38	18.33	N	2	8	17.03	E	58.638425	2.138064	6500262.060000	449959.990000	31	229	2013-05-08
34/10-8	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	1980-03-03	1980-05-25	GULLFAKS	NORTH SEA	ED50	61	9	59.53	N	2	12	3.44	E	61.166536	2.200956	6781760.880000	457008.040000	31	230	2013-05-08
15/9-6	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	DRY	1980-05-06	1980-09-07	SLEIPNER VEST	NORTH SEA	ED50	58	27	13.50	N	1	41	31.40	E	58.453750	1.692056	6480120.130000	423668.060000	31	231	2013-05-08
2/7-16	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	SHOWS	1980-03-20	1980-07-12	\N	NORTH SEA	ED50	56	25	21.68	N	3	5	41.87	E	56.422689	3.094964	6253268.300000	505858.170000	31	232	2013-05-08
34/7-2	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	DRY	1984-09-02	1984-10-10	\N	NORTH SEA	ED50	61	17	57.16	N	2	9	40.90	E	61.299211	2.161361	6796565.810000	455067.400000	31	233	2013-05-08
16/8-2	BP Norway Limited  U.A.	020	EXPLORATION	WILDCAT	DRY	1980-04-03	1980-08-13	\N	NORTH SEA	ED50	58	20	59.81	N	2	24	59.58	E	58.349947	2.416550	6467967.710000	465848.410000	31	234	2013-05-08
31/4-7	Norsk Hydro Produksjon AS	055	EXPLORATION	WILDCAT	OIL/GAS	1984-07-26	1984-09-11	BRAGE	NORTH SEA	ED50	60	34	8.21	N	3	1	5.82	E	60.568947	3.018283	6714934.670000	501002.290000	31	235	2013-05-08
31/2-3	A/S Norske Shell	054	EXPLORATION	APPRAISAL	OIL/GAS	1980-03-28	1980-07-20	TROLL	NORTH SEA	ED50	60	50	27.84	N	3	35	10.82	E	60.841067	3.586339	6745386.820000	531872.260000	31	236	2013-05-08
1/5-1	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	DRY	1973-10-12	1973-10-19	\N	NORTH SEA	ED50	56	34	40.50	N	2	38	28.00	E	56.577917	2.641111	6270600.430000	477951.010000	31	237	2013-05-08
1/5-2	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1973-10-19	1974-04-15	\N	NORTH SEA	ED50	56	34	41.59	N	2	38	30.53	E	56.578219	2.641814	6270633.900000	477994.360000	31	238	2013-05-08
1/6-1	A/S Norske Shell	011	EXPLORATION	WILDCAT	GAS/CONDENSATE	1972-07-10	1972-11-26	ALBUSKJELL	NORTH SEA	ED50	56	38	2.40	N	2	59	50.30	E	56.634000	2.997306	6276785.580000	499834.710000	31	239	2013-05-08
1/6-2	A/S Norske Shell	011	EXPLORATION	WILDCAT	SHOWS	1972-11-28	1973-01-12	\N	NORTH SEA	ED50	56	33	50.60	N	2	51	53.20	E	56.564056	2.864778	6269008.060000	491689.320000	31	240	2013-05-08
1/6-3	A/S Norske Shell	011	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1974-04-12	1974-09-11	ALBUSKJELL	NORTH SEA	ED50	56	38	36.40	N	2	55	49.70	E	56.643444	2.930472	6277839.030000	495735.820000	31	241	2013-05-08
1/6-4	A/S Norske Shell	011	EXPLORATION	WILDCAT	DRY	1975-12-29	1976-04-09	\N	NORTH SEA	ED50	56	44	52.06	N	2	42	23.64	E	56.747794	2.706567	6289490.960000	482053.290000	31	242	2013-05-08
1/9-1	Den norske stats oljeselskap a.s	044	EXPLORATION	WILDCAT	GAS/CONDENSATE	1976-10-14	1977-02-17	\N	NORTH SEA	ED50	56	24	5.07	N	2	54	6.49	E	56.401408	2.901803	6250899.860000	493938.990000	31	243	2013-05-08
1/9-2	Den norske stats oljeselskap a.s	044	EXPLORATION	APPRAISAL	OIL SHOWS	1977-06-01	1977-08-12	\N	NORTH SEA	ED50	56	23	52.77	N	2	55	34.63	E	56.397992	2.926286	6250517.660000	495449.760000	31	244	2013-05-08
1/9-3	Den norske stats oljeselskap a.s	044	EXPLORATION	WILDCAT	DRY	1977-08-13	1977-11-27	\N	NORTH SEA	ED50	56	24	55.68	N	2	54	15.22	E	56.415467	2.904228	6252464.470000	494090.840000	31	245	2013-05-08
1/9-3 R	Den norske stats oljeselskap a.s	044	EXPLORATION	WILDCAT	GAS/CONDENSATE	1978-05-27	1978-09-30	\N	NORTH SEA	ED50	56	24	55.68	N	2	54	15.22	E	56.415467	2.904228	6252464.470000	494090.840000	31	246	2013-05-08
1/9-4	Den norske stats oljeselskap a.s	044	EXPLORATION	WILDCAT	GAS/CONDENSATE	1977-08-13	1978-01-12	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	3.76	N	2	56	0.29	E	56.484378	2.933414	6260132.830000	495899.060000	31	247	2013-05-08
1/9-5	Den norske stats oljeselskap a.s	044	EXPLORATION	APPRAISAL	DRY	1978-10-03	1978-12-16	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	27.69	N	2	57	55.27	E	56.491025	2.965353	6260871.290000	497866.500000	31	248	2013-05-08
2/1-1	Conoco Norway Inc.	019	EXPLORATION	WILDCAT	GAS SHOWS	1972-08-28	1972-11-14	\N	NORTH SEA	ED50	56	45	26.60	N	3	12	18.80	E	56.757389	3.205222	6290539.340000	512548.430000	31	249	2013-05-08
2/1-2	BP Norway Limited  U.A.	019 B	EXPLORATION	WILDCAT	DRY	1977-12-14	1978-02-26	\N	NORTH SEA	ED50	56	57	30.76	N	3	12	32.07	E	56.958544	3.208908	6312932.050000	512705.460000	31	250	2013-05-08
2/1-3	BP Norway Limited  U.A.	019 B	EXPLORATION	WILDCAT	OIL	1979-11-03	1980-03-29	GYDA	NORTH SEA	ED50	56	54	41.39	N	3	6	30.39	E	56.911497	3.108442	6307680.640000	506603.550000	31	251	2013-05-08
2/4-8	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1971-11-25	1972-03-29	TOR	NORTH SEA	ED50	56	38	15.60	N	3	18	55.00	E	56.637667	3.315278	6277238.170000	519339.110000	31	252	2013-05-08
2/4-9	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	GAS/CONDENSATE	1973-08-13	1973-10-09	ALBUSKJELL	NORTH SEA	ED50	56	36	22.20	N	3	5	8.50	E	56.606167	3.085694	6273690.650000	505260.880000	31	253	2013-05-08
2/4-10	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1973-10-13	1973-12-20	\N	NORTH SEA	ED50	56	40	41.60	N	3	13	21.70	E	56.678222	3.222694	6281730.280000	513645.420000	31	254	2013-05-08
2/4-11	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1973-12-25	1974-04-09	\N	NORTH SEA	ED50	56	44	45.90	N	3	13	21.80	E	56.746083	3.222722	6289284.200000	513622.570000	31	255	2013-05-08
2/4-12	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	DRY	1975-07-28	1975-09-08	\N	NORTH SEA	ED50	56	31	26.60	N	3	8	35.90	E	56.524056	3.143306	6264556.610000	508816.770000	31	256	2013-05-08
2/4-19 B	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	GAS/CONDENSATE	1975-12-16	1976-03-15	EKOFISK	NORTH SEA	ED50	56	33	54.97	N	3	12	13.79	E	56.565269	3.203831	6269153.590000	512526.900000	31	257	2013-05-08
2/5-3	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL	1972-04-02	1972-06-15	\N	NORTH SEA	ED50	56	35	50.80	N	3	26	58.80	E	56.597444	3.449667	6272806.930000	527611.800000	31	258	2013-05-08
2/5-4	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL	1972-09-03	1972-10-31	\N	NORTH SEA	ED50	56	33	54.40	N	3	36	56.40	E	56.565111	3.615667	6269287.020000	537837.190000	31	259	2013-05-08
2/5-5	Amoco Norway Oil Company	006	EXPLORATION	APPRAISAL	OIL	1972-12-09	1973-02-09	\N	NORTH SEA	ED50	56	34	54.40	N	3	25	49.10	E	56.581778	3.430306	6271055.430000	526433.880000	31	260	2013-05-08
2/5-6	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL/GAS SHOWS	1978-05-14	1978-08-16	\N	NORTH SEA	ED50	56	34	13.24	N	3	37	16.57	E	56.570344	3.621269	6269872.650000	538176.240000	31	261	2013-05-08
2/7-3	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL/GAS	1972-04-14	1972-10-11	\N	NORTH SEA	ED50	56	23	2.90	N	3	14	45.90	E	56.384139	3.246083	6249000.460000	515195.830000	31	262	2013-05-08
2/7-4	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1972-06-23	1972-09-03	EDDA	NORTH SEA	ED50	56	27	52.03	N	3	6	12.00	E	56.464453	3.103333	6257917.770000	506367.480000	31	263	2013-05-08
2/7-5	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	SHOWS	1972-09-03	1973-01-01	EDDA	NORTH SEA	ED50	56	28	43.00	N	3	9	28.00	E	56.478611	3.157778	6259500.110000	509718.770000	31	264	2013-05-08
2/7-6	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1973-03-31	1973-06-08	ELDFISK	NORTH SEA	ED50	56	25	0.95	N	3	14	35.82	E	56.416931	3.243283	6252649.840000	515010.020000	31	265	2013-05-08
2/7-7	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1973-01-02	1973-03-29	ELDFISK	NORTH SEA	ED50	56	22	6.75	N	3	15	27.86	E	56.368542	3.257739	6247267.000000	515922.070000	31	266	2013-05-08
2/7-8	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1973-06-08	1973-08-12	ELDFISK	NORTH SEA	ED50	56	23	8.60	N	3	19	6.60	E	56.385722	3.318500	6249195.050000	519666.780000	31	267	2013-05-08
2/7-9	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1973-12-25	1974-04-10	EMBLA	NORTH SEA	ED50	56	19	50.60	N	3	14	29.30	E	56.330722	3.241472	6243053.760000	514931.950000	31	268	2013-05-08
2/7-10	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1973-10-06	1973-12-05	EDDA	NORTH SEA	ED50	56	28	31.70	N	3	4	59.70	E	56.475472	3.083250	6259142.670000	505128.450000	31	269	2013-05-08
2/7-11	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	DRY	1975-02-24	1975-03-30	\N	NORTH SEA	ED50	56	19	49.38	N	3	18	29.13	E	56.330383	3.308092	6243032.480000	519051.660000	31	270	2013-05-08
2/7-12	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	SHOWS	1978-12-17	1979-01-30	\N	NORTH SEA	ED50	56	29	43.76	N	3	0	36.37	E	56.495489	3.010103	6261367.670000	500622.030000	31	271	2013-05-08
2/7-13	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	SHOWS	1979-02-01	1979-04-21	\N	NORTH SEA	ED50	56	29	34.74	N	3	1	58.38	E	56.492983	3.032883	6261089.220000	502024.780000	31	272	2013-05-08
2/8-4	Amoco Norway Oil Company	006	EXPLORATION	APPRAISAL	OIL	1973-04-28	1973-06-07	VALHALL	NORTH SEA	ED50	56	17	53.80	N	3	20	38.06	E	56.298278	3.343906	6239469.400000	521284.150000	31	273	2013-05-08
7120/10-1	Esso Exploration and Production Norway A/S	098	EXPLORATION	WILDCAT	DRY	1984-08-10	1984-09-08	\N	BARENTS SEA	ED50	71	3	6.25	N	20	16	29.80	E	71.051736	20.274944	7883536.500000	473722.270000	34	274	2013-05-08
2/8-5	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL SHOWS	1974-04-11	1974-05-23	\N	NORTH SEA	ED50	56	29	58.70	N	3	27	19.70	E	56.499639	3.455472	6261922.510000	528040.500000	31	275	2013-05-08
2/8-6	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL	1975-04-07	1975-06-30	VALHALL	NORTH SEA	ED50	56	15	42.91	N	3	23	40.81	E	56.261919	3.394669	6235439.350000	524449.070000	31	276	2013-05-08
2/8-7	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL SHOWS	1975-07-23	1975-08-24	\N	NORTH SEA	ED50	56	26	49.80	N	3	36	50.60	E	56.447167	3.614056	6256157.920000	537855.510000	31	277	2013-05-08
2/8-8	Amoco Norway Oil Company	006	EXPLORATION	APPRAISAL	OIL	1975-11-10	1976-03-15	VALHALL	NORTH SEA	ED50	56	16	49.81	N	3	24	12.71	E	56.280503	3.403531	6237510.960000	524985.880000	31	278	2013-05-08
2/8-9	Amoco Norway Oil Company	006	EXPLORATION	APPRAISAL	OIL	1976-04-09	1976-06-27	VALHALL	NORTH SEA	ED50	56	17	49.30	N	3	23	4.00	E	56.297028	3.384444	6239343.540000	523793.840000	31	279	2013-05-08
2/8-10	Amoco Norway Oil Company	006	EXPLORATION	APPRAISAL	OIL	1976-06-30	1976-08-29	VALHALL	NORTH SEA	ED50	56	15	53.32	N	3	24	58.81	E	56.264811	3.416336	6235769.110000	525789.330000	31	280	2013-05-08
7/12-6	BP Norway Limited  U.A.	019	EXPLORATION	APPRAISAL	OIL	1981-04-10	1981-07-24	ULA	NORTH SEA	ED50	57	7	16.85	N	2	50	4.14	E	57.121347	2.834483	6331048.100000	489977.470000	31	281	2013-05-08
2/9-1	Amoco Norway Oil Company	032	EXPLORATION	WILDCAT	DRY	1972-11-03	1972-12-07	\N	NORTH SEA	ED50	56	22	11.88	N	3	39	59.77	E	56.369967	3.666603	6247595.250000	541178.190000	31	282	2013-05-08
2/9-2	Amoco Norway Oil Company	032	EXPLORATION	WILDCAT	DRY	1979-07-07	1979-09-04	\N	NORTH SEA	ED50	56	20	56.66	N	3	56	0.70	E	56.349072	3.933528	6245461.360000	557698.070000	31	283	2013-05-08
2/10-1 S	Phillips Petroleum Company Norway	031	EXPLORATION	WILDCAT	GAS SHOWS	1975-09-16	1976-04-23	\N	NORTH SEA	ED50	56	7	32.15	N	3	18	6.68	E	56.125597	3.301856	6220236.980000	518765.860000	31	284	2013-05-08
2/11-2	Amoco Norway Oil Company	033	EXPLORATION	WILDCAT	OIL	1974-11-06	1974-12-29	HOD	NORTH SEA	ED50	56	10	51.20	N	3	25	25.90	E	56.180889	3.423861	6226431.020000	526312.890000	31	285	2013-05-08
2/11-3	Amoco Norway Oil Company	033	EXPLORATION	APPRAISAL	OIL SHOWS	1977-10-10	1977-12-03	HOD	NORTH SEA	ED50	56	10	53.74	N	3	27	51.78	E	56.181594	3.464383	6226525.750000	528827.920000	31	286	2013-05-08
2/11-3 A	Amoco Norway Oil Company	033	EXPLORATION	APPRAISAL	OIL	1977-12-03	1978-03-13	HOD	NORTH SEA	ED50	56	10	53.74	N	3	27	51.78	E	56.181594	3.464383	6226525.750000	528827.920000	31	287	2013-05-08
2/11-5	Amoco Norway Oil Company	033	EXPLORATION	APPRAISAL	OIL SHOWS	1979-05-18	1979-07-05	HOD	NORTH SEA	ED50	56	9	57.70	N	3	26	6.42	E	56.166028	3.435117	6224781.270000	527022.050000	31	288	2013-05-08
2/11-6 S	Amoco Norway Oil Company	033	EXPLORATION	APPRAISAL	OIL	1981-09-02	1982-02-25	HOD	NORTH SEA	ED50	56	10	35.50	N	3	27	36.72	E	56.176528	3.460200	6225960.070000	528571.990000	31	289	2013-05-08
3/5-1	Norwegian Gulf Exploration Company AS	022	EXPLORATION	WILDCAT	DRY	1978-05-03	1978-06-28	\N	NORTH SEA	ED50	56	37	25.78	N	4	25	11.97	E	56.623828	4.419992	6276554.990000	587130.720000	31	290	2013-05-08
3/5-2	Norwegian Gulf Exploration Company AS	022	EXPLORATION	WILDCAT	DRY	1978-06-29	1978-08-20	\N	NORTH SEA	ED50	56	32	34.46	N	4	23	11.10	E	56.542906	4.386417	6267506.240000	585252.660000	31	291	2013-05-08
3/7-1	Elf Petroleum Norge AS	023	EXPLORATION	WILDCAT	DRY	1973-08-01	1973-09-13	\N	NORTH SEA	ED50	56	27	43.50	N	4	0	7.80	E	56.462083	4.002167	6258099.440000	561756.960000	31	292	2013-05-08
3/7-3	Elf Petroleum Norge AS	023	EXPLORATION	WILDCAT	DRY	1981-06-21	1981-08-31	\N	NORTH SEA	ED50	56	24	54.77	N	4	10	54.33	E	56.415214	4.181758	6253058.670000	572913.120000	31	293	2013-05-08
7/8-2	Phillips Petroleum Company Norway	016	EXPLORATION	WILDCAT	DRY	1973-07-24	1973-08-29	\N	NORTH SEA	ED50	57	23	39.35	N	2	35	30.21	E	57.394264	2.591725	6361491.910000	475459.910000	31	294	2013-05-08
7/12-2	BP Norway Limited  U.A.	019	EXPLORATION	WILDCAT	OIL	1976-07-04	1976-09-24	ULA	NORTH SEA	ED50	57	6	41.34	N	2	50	50.73	E	57.111483	2.847425	6329948.210000	490758.670000	31	295	2013-05-08
7/12-3	BP Norway Limited  U.A.	019	EXPLORATION	APPRAISAL	DRY	1977-04-05	1977-06-03	ULA	NORTH SEA	ED50	57	6	24.54	N	2	48	41.56	E	57.106817	2.811544	6329434.140000	488583.990000	31	296	2013-05-08
7/12-3 A	BP Norway Limited  U.A.	019	EXPLORATION	APPRAISAL	OIL SHOWS	1977-06-04	1977-09-06	ULA	NORTH SEA	ED50	57	6	24.54	N	2	48	41.56	E	57.106817	2.811544	6329434.140000	488583.990000	31	297	2013-05-08
6507/7-U-4	Norske Conoco A/S	\N	SHALLOW	\N	\N	1987-06-13	1987-06-17	\N	NORWEGIAN SEA	ED50	65	19	32.58	N	7	19	4.73	E	65.325717	7.317981	7245982.900000	421652.020000	32	1111	2013-05-08
7/12-4	BP Norway Limited  U.A.	019	EXPLORATION	APPRAISAL	OIL	1977-09-11	1977-12-12	ULA	NORTH SEA	ED50	57	5	36.66	N	2	51	36.96	E	57.093517	2.860267	6327946.460000	491532.390000	31	298	2013-05-08
7/12-5	BP Norway Limited  U.A.	019	EXPLORATION	WILDCAT	OIL	1981-02-06	1981-06-07	\N	NORTH SEA	ED50	57	9	49.01	N	2	46	42.35	E	57.163614	2.778431	6335762.940000	486598.600000	31	299	2013-05-08
6506/12-7	Den norske stats oljeselskap a.s	094	EXPLORATION	WILDCAT	GAS/CONDENSATE	1987-05-04	1987-08-12	ÅSGARD	NORWEGIAN SEA	ED50	65	10	4.38	N	6	54	38.87	E	65.167883	6.910797	7228966.150000	402107.960000	32	300	2013-05-08
8/1-1	Phillips Petroleum Company Norway	016	EXPLORATION	WILDCAT	DRY	1971-12-02	1972-02-07	\N	NORTH SEA	ED50	57	51	45.50	N	3	12	27.64	E	57.862639	3.207678	6413581.880000	512323.240000	31	301	2013-05-08
8/4-1	Unocal Norge A/S	005	EXPLORATION	WILDCAT	DRY	1977-06-21	1977-07-25	\N	NORTH SEA	ED50	57	44	50.24	N	3	0	3.86	E	57.747289	3.001072	6400720.560000	500063.830000	31	302	2013-05-08
8/9-1	Conoco Norway Inc.	013	EXPLORATION	WILDCAT	DRY	1975-12-22	1976-02-10	\N	NORTH SEA	ED50	57	26	27.28	N	3	51	3.48	E	57.440911	3.850967	6366931.100000	551083.270000	31	303	2013-05-08
8/11-1	Phillips Petroleum Company Norway	017	EXPLORATION	WILDCAT	DRY	1975-04-24	1975-06-29	\N	NORTH SEA	ED50	57	6	32.00	N	3	38	25.00	E	57.108889	3.640278	6329831.020000	538783.430000	31	304	2013-05-08
9/4-4	Saga Petroleum ASA	013	EXPLORATION	WILDCAT	DRY	1977-07-19	1977-08-20	\N	NORTH SEA	ED50	57	42	1.48	N	4	13	20.79	E	57.700411	4.222442	6396158.570000	572861.290000	31	305	2013-05-08
10/5-1	Conoco Norway Inc.	015	EXPLORATION	WILDCAT	DRY	1976-05-31	1976-06-26	\N	NORTH SEA	ED50	57	34	51.90	N	5	35	25.00	E	57.581083	5.590278	6385172.720000	654878.470000	31	306	2013-05-08
11/9-1	Elf Petroleum Norge AS	009	EXPLORATION	WILDCAT	DRY	1976-01-16	1976-02-28	\N	NORTH SEA	ED50	57	16	33.20	N	6	44	52.60	E	57.275889	6.747944	6350485.550000	364214.180000	32	307	2013-05-08
15/2-1	Norsk Hydro Produksjon AS	048	EXPLORATION	WILDCAT	OIL/GAS SHOWS	1981-11-26	1982-02-24	\N	NORTH SEA	ED50	58	45	19.30	N	1	35	40.58	E	58.755361	1.594606	6513814.190000	418684.570000	31	308	2013-05-08
15/3-1 S	Elf Petroleum Norge AS	025	EXPLORATION	WILDCAT	GAS/CONDENSATE	1974-11-27	1975-07-06	GUDRUN	NORTH SEA	ED50	58	50	57.00	N	1	43	13.25	E	58.849167	1.720347	6524112.640000	426158.890000	31	309	2013-05-08
15/3-2	Elf Petroleum Norge AS	025	EXPLORATION	WILDCAT	DRY	1976-10-29	1977-01-24	\N	NORTH SEA	ED50	58	59	0.50	N	1	47	12.60	E	58.983472	1.786833	6538995.080000	430266.340000	31	310	2013-05-08
15/3-2 R	Elf Petroleum Norge AS	025	EXPLORATION	WILDCAT	SHOWS	1977-07-26	1977-11-27	\N	NORTH SEA	ED50	58	59	0.50	N	1	47	12.60	E	58.983472	1.786833	6538995.080000	430266.340000	31	311	2013-05-08
31/4-8	Norsk Hydro Produksjon AS	055	EXPLORATION	APPRAISAL	OIL/GAS	1986-03-21	1986-05-11	BRAGE	NORTH SEA	ED50	60	31	22.82	N	3	0	9.59	E	60.523006	3.002664	6709817.470000	500146.240000	31	312	2013-05-08
15/3-3	Elf Petroleum Norge AS	025	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1979-01-05	1979-08-09	GUDRUN	NORTH SEA	ED50	58	52	31.25	N	1	46	46.24	E	58.875347	1.779511	6526963.860000	429625.800000	31	313	2013-05-08
15/3-4	Elf Petroleum Norge AS	025	EXPLORATION	WILDCAT	OIL/GAS	1981-10-03	1982-03-30	\N	NORTH SEA	ED50	58	49	5.28	N	1	52	59.82	E	58.818133	1.883283	6520489.030000	435502.740000	31	314	2013-05-08
15/5-1	Norsk Hydro Produksjon AS	048	EXPLORATION	WILDCAT	GAS/CONDENSATE	1977-11-26	1978-04-07	\N	NORTH SEA	ED50	58	35	4.37	N	1	39	8.35	E	58.584547	1.652319	6494728.580000	421641.420000	31	315	2013-05-08
15/5-2	Norsk Hydro Produksjon AS	048	EXPLORATION	WILDCAT	GAS	1978-08-16	1978-12-10	\N	NORTH SEA	ED50	58	38	36.74	N	1	36	16.48	E	58.643539	1.604578	6501352.420000	419002.370000	31	316	2013-05-08
15/6-2	Esso Exploration and Production Norway A/S	029	EXPLORATION	WILDCAT	SHOWS	1971-09-09	1971-10-26	\N	NORTH SEA	ED50	58	32	47.58	N	1	41	54.09	E	58.546550	1.698358	6490444.740000	424236.030000	31	317	2013-05-08
15/6-3	Esso Exploration and Production Norway A/S	029	EXPLORATION	WILDCAT	GAS/CONDENSATE	1974-09-05	1974-12-19	SLEIPNER VEST	NORTH SEA	ED50	58	30	15.84	N	1	42	39.49	E	58.504400	1.710969	6485737.840000	424879.960000	31	318	2013-05-08
15/6-4	Esso Exploration and Production Norway A/S	029	EXPLORATION	WILDCAT	DRY	1976-06-28	1976-08-16	\N	NORTH SEA	ED50	58	37	30.97	N	1	48	19.18	E	58.625269	1.805328	6499093.410000	430617.900000	31	319	2013-05-08
15/6-5	Esso Exploration and Production Norway A/S	029	EXPLORATION	APPRAISAL	SHOWS	1977-10-10	1977-11-29	SLEIPNER VEST	NORTH SEA	ED50	58	30	29.67	N	1	45	50.40	E	58.508242	1.764000	6486107.490000	427978.040000	31	320	2013-05-08
15/8-1	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	GAS/CONDENSATE	1981-07-18	1982-01-07	\N	NORTH SEA	ED50	58	21	48.10	N	1	34	22.31	E	58.363361	1.572864	6470198.700000	416499.090000	31	321	2013-05-08
15/9-1	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	OIL/GAS	1977-02-24	1977-05-30	SLEIPNER VEST	NORTH SEA	ED50	58	28	19.00	N	1	45	11.76	E	58.471944	1.753267	6482077.910000	427277.670000	31	322	2013-05-08
15/9-2	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	GAS/CONDENSATE	1978-04-11	1978-06-17	SLEIPNER VEST	NORTH SEA	ED50	58	25	34.06	N	1	42	28.20	E	58.426128	1.707833	6477027.070000	424529.680000	31	323	2013-05-08
15/9-3	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	SHOWS	1978-12-16	1979-04-03	SLEIPNER VEST	NORTH SEA	ED50	58	29	10.04	N	1	41	38.46	E	58.486122	1.694017	6483722.000000	423852.540000	31	324	2013-05-08
15/9-4	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	GAS/CONDENSATE	1979-04-05	1979-06-14	SLEIPNER VEST	NORTH SEA	ED50	58	24	0.26	N	1	47	6.93	E	58.400072	1.785258	6474041.910000	428999.050000	31	325	2013-05-08
15/9-5	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1979-11-20	1980-04-09	SLEIPNER VEST	NORTH SEA	ED50	58	24	12.47	N	1	42	29.20	E	58.403464	1.708111	6474503.530000	424497.430000	31	326	2013-05-08
15/9-8	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1981-03-04	1981-05-25	SLEIPNER VEST	NORTH SEA	ED50	58	22	55.81	N	1	46	28.32	E	58.382169	1.774533	6472060.110000	428335.920000	31	327	2013-05-08
15/9-9	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	GAS/CONDENSATE	1981-05-04	1981-07-14	SLEIPNER ØST	NORTH SEA	ED50	58	20	47.81	N	1	53	24.98	E	58.346614	1.890272	6467984.080000	435038.520000	31	328	2013-05-08
15/9-11	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1981-09-18	1981-12-23	SLEIPNER ØST	NORTH SEA	ED50	58	24	2.53	N	1	53	41.79	E	58.400703	1.894942	6474001.570000	435410.760000	31	329	2013-05-08
15/9-12	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1981-11-26	1982-02-23	SLEIPNER VEST	NORTH SEA	ED50	58	27	23.17	N	1	43	4.01	E	58.456436	1.717781	6480390.260000	425174.970000	31	330	2013-05-08
15/12-2	Den norske stats oljeselskap a.s	038	EXPLORATION	WILDCAT	DRY	1976-01-07	1976-02-27	\N	NORTH SEA	ED50	58	8	31.05	N	1	55	47.27	E	58.141958	1.929797	6445161.610000	436990.200000	31	331	2013-05-08
16/1-2	Esso Exploration and Production Norway A/S	001	EXPLORATION	WILDCAT	SHOWS	1976-07-04	1976-08-07	\N	NORTH SEA	ED50	58	56	9.22	N	2	13	20.06	E	58.935894	2.222239	6533324.630000	455231.210000	31	332	2013-05-08
30/6-16	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	OIL/GAS	1984-11-09	1985-01-21	\N	NORTH SEA	ED50	60	39	31.72	N	2	41	37.64	E	60.658811	2.693789	6724982.820000	483260.180000	31	333	2013-05-08
16/3-2	Norsk Hydro Produksjon AS	007	EXPLORATION	WILDCAT	DRY	1976-02-11	1976-03-08	\N	NORTH SEA	ED50	58	47	12.80	N	2	47	34.70	E	58.786889	2.792972	6516490.640000	488031.780000	31	334	2013-05-08
16/8-1	Conoco Norway Inc.	020	EXPLORATION	WILDCAT	DRY	1976-09-25	1976-10-29	\N	NORTH SEA	ED50	58	27	24.80	N	2	25	56.80	E	58.456889	2.432444	6479866.890000	466879.220000	31	335	2013-05-08
16/11-2	Phillips Petroleum Company Norway	016	EXPLORATION	WILDCAT	DRY	1973-06-16	1973-07-23	\N	NORTH SEA	ED50	58	11	7.20	N	2	28	9.20	E	58.185333	2.469222	6449614.030000	468787.060000	31	336	2013-05-08
17/9-1	Esso Exploration and Production Norway A/S	002	EXPLORATION	WILDCAT	DRY	1973-09-16	1973-10-23	\N	NORTH SEA	ED50	58	28	27.26	N	3	50	16.18	E	58.474239	3.837828	6481963.510000	548868.520000	31	337	2013-05-08
17/11-2	A/S Norske Shell	010	EXPLORATION	WILDCAT	DRY	1976-04-12	1976-05-17	\N	NORTH SEA	ED50	58	6	54.91	N	3	22	9.81	E	58.115253	3.369392	6441747.950000	521765.260000	31	338	2013-05-08
17/12-1	Phillips Petroleum Company Norway	016	EXPLORATION	WILDCAT	DRY	1971-10-27	1971-11-01	\N	NORTH SEA	ED50	58	11	17.30	N	3	56	22.20	E	58.188139	3.939500	6450188.440000	555243.170000	31	339	2013-05-08
17/12-2	Phillips Petroleum Company Norway	016	EXPLORATION	WILDCAT	OIL	1973-08-31	1973-10-09	\N	NORTH SEA	ED50	58	8	19.70	N	3	42	10.90	E	58.138806	3.703028	6444526.450000	541396.080000	31	340	2013-05-08
17/12-3	Phillips Petroleum Company Norway	016	EXPLORATION	APPRAISAL	DRY	1979-12-12	1980-02-03	\N	NORTH SEA	ED50	58	11	32.84	N	3	51	44.06	E	58.192456	3.862239	6450608.340000	550694.180000	31	341	2013-05-08
18/10-1	Elf Petroleum Norge AS	008	EXPLORATION	WILDCAT	OIL	1979-10-19	1980-01-01	\N	NORTH SEA	ED50	58	4	38.25	N	4	7	0.83	E	58.077292	4.116897	6438006.820000	565878.030000	31	342	2013-05-08
18/11-1	Elf Petroleum Norge AS	008	EXPLORATION	WILDCAT	DRY	1974-02-17	1974-03-31	\N	NORTH SEA	ED50	58	4	21.30	N	4	32	0.10	E	58.072583	4.533361	6437964.920000	590452.020000	31	343	2013-05-08
24/9-1	Conoco Norway Inc.	039	EXPLORATION	WILDCAT	DRY	1976-02-29	1976-07-03	\N	NORTH SEA	ED50	59	16	9.48	N	1	47	31.18	E	59.269300	1.791994	6570815.420000	431138.990000	31	344	2013-05-08
24/9-2	Conoco Norway Inc.	039	EXPLORATION	WILDCAT	DRY	1977-06-13	1977-07-22	\N	NORTH SEA	ED50	59	16	12.43	N	1	55	12.26	E	59.270119	1.920072	6570781.360000	438440.970000	31	345	2013-05-08
24/9-3	Conoco Norway Inc.	039	EXPLORATION	WILDCAT	OIL	1981-01-28	1981-04-15	\N	NORTH SEA	ED50	59	22	25.38	N	1	46	27.28	E	59.373717	1.774244	6582460.550000	430341.200000	31	346	2013-05-08
24/12-1	Den norske stats oljeselskap a.s	045	EXPLORATION	WILDCAT	DRY	1978-01-16	1978-04-09	\N	NORTH SEA	ED50	59	2	29.80	N	1	52	57.93	E	59.041611	1.882758	6545372.480000	435888.070000	31	347	2013-05-08
24/12-2	Den norske stats oljeselskap a.s	045	EXPLORATION	WILDCAT	SHOWS	1981-06-23	1982-01-21	\N	NORTH SEA	ED50	59	12	0.75	N	1	52	53.34	E	59.200208	1.881483	6563033.080000	436110.820000	31	348	2013-05-08
25/1-3	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	GAS	1971-11-14	1972-01-27	FRIGG	NORTH SEA	ED50	59	54	5.00	N	2	10	8.50	E	59.901389	2.169028	6640875.890000	453510.910000	31	349	2013-05-08
25/1-4	Elf Petroleum Norge AS	024	EXPLORATION	WILDCAT	OIL/GAS	1974-04-01	1974-05-30	NORDØST FRIGG	NORTH SEA	ED50	59	59	52.51	N	2	15	54.80	E	59.997919	2.265222	6651562.600000	459011.740000	31	350	2013-05-08
25/1-5	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	OIL/GAS	1975-07-24	1975-09-12	FRIGG	NORTH SEA	ED50	59	52	27.92	N	2	6	36.99	E	59.874422	2.110275	6637915.480000	450183.750000	31	351	2013-05-08
25/1-6	Elf Petroleum Norge AS	024	EXPLORATION	WILDCAT	DRY	1978-01-26	1978-03-18	\N	NORTH SEA	ED50	59	46	57.68	N	2	5	42.23	E	59.782689	2.095064	6627711.350000	449192.600000	31	352	2013-05-08
25/2-1	Elf Petroleum Norge AS	026	EXPLORATION	WILDCAT	GAS	1973-08-04	1973-09-21	ØST FRIGG	NORTH SEA	ED50	59	55	30.20	N	2	23	2.00	E	59.925056	2.383889	6643380.270000	465555.660000	31	353	2013-05-08
25/2-2	Elf Petroleum Norge AS	026	EXPLORATION	APPRAISAL	OIL/GAS	1974-05-31	1974-07-11	ØST FRIGG	NORTH SEA	ED50	59	53	34.80	N	2	20	15.00	E	59.893000	2.337500	6639835.370000	462926.580000	31	354	2013-05-08
25/2-3	Elf Petroleum Norge AS	026	EXPLORATION	WILDCAT	DRY	1974-09-01	1974-10-09	\N	NORTH SEA	ED50	59	49	9.70	N	2	21	21.40	E	59.819361	2.355944	6631624.280000	463878.990000	31	355	2013-05-08
25/2-4	Elf Petroleum Norge AS	026	EXPLORATION	WILDCAT	GAS/CONDENSATE	1975-05-14	1975-10-20	LILLE-FRIGG	NORTH SEA	ED50	59	58	44.09	N	2	22	58.88	E	59.978914	2.383022	6649378.840000	465563.120000	31	356	2013-05-08
25/2-5	Elf Petroleum Norge AS	026	EXPLORATION	WILDCAT	OIL/GAS	1976-03-08	1976-08-04	\N	NORTH SEA	ED50	59	48	1.40	N	2	28	18.30	E	59.800389	2.471750	6629453.960000	470356.850000	31	357	2013-05-08
25/2-6	Elf Petroleum Norge AS	026	EXPLORATION	WILDCAT	OIL SHOWS	1977-08-01	1977-11-15	FRØY	NORTH SEA	ED50	59	45	33.55	N	2	33	5.96	E	59.759319	2.551656	6624847.150000	474809.830000	31	358	2013-05-08
25/4-1	Elf Petroleum Norge AS	036	EXPLORATION	WILDCAT	OIL/GAS	1972-07-01	1972-12-09	HEIMDAL	NORTH SEA	ED50	59	34	27.30	N	2	13	22.60	E	59.574250	2.222944	6604408.110000	456100.430000	31	359	2013-05-08
25/4-2	Elf Petroleum Norge AS	036	EXPLORATION	WILDCAT	OIL	1973-10-18	1973-12-06	\N	NORTH SEA	ED50	59	35	46.51	N	2	18	51.40	E	59.596253	2.314278	6606801.580000	461285.450000	31	360	2013-05-08
25/4-3	Elf Petroleum Norge AS	036	EXPLORATION	WILDCAT	OIL/GAS	1974-10-13	1974-11-22	\N	NORTH SEA	ED50	59	30	44.20	N	2	5	28.90	E	59.512278	2.091361	6597601.320000	448572.590000	31	361	2013-05-08
25/4-4	Elf Petroleum Norge AS	036	EXPLORATION	APPRAISAL	OIL/GAS	1975-05-16	1975-07-07	HEIMDAL	NORTH SEA	ED50	59	36	8.63	N	2	12	26.64	E	59.602397	2.207400	6607552.970000	455259.670000	31	362	2013-05-08
25/8-2	Esso Exploration and Production Norway A/S	027	EXPLORATION	WILDCAT	DRY	1975-09-09	1975-10-01	\N	NORTH SEA	ED50	59	23	43.69	N	2	22	36.82	E	59.395469	2.376894	6584407.390000	464611.070000	31	363	2013-05-08
25/8-3	Esso Exploration and Production Norway A/S	027	EXPLORATION	APPRAISAL	OIL	1981-03-20	1981-04-17	BALDER	NORTH SEA	ED50	59	16	22.17	N	2	31	18.25	E	59.272825	2.521736	6570681.750000	472739.110000	31	364	2013-05-08
25/10-5	Esso Exploration and Production Norway A/S	028	EXPLORATION	APPRAISAL	OIL	1981-06-15	1981-07-17	BALDER	NORTH SEA	ED50	59	10	49.24	N	2	19	26.97	E	59.180344	2.324158	6560481.030000	461373.070000	31	365	2013-05-08
25/11-5	Esso Exploration and Production Norway A/S	001	EXPLORATION	WILDCAT	OIL	1974-04-03	1974-05-08	BALDER	NORTH SEA	ED50	59	12	9.32	N	2	21	55.58	E	59.202589	2.365439	6562934.900000	463755.930000	31	366	2013-05-08
25/11-6	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	OIL	1978-08-20	1978-10-01	BALDER	NORTH SEA	ED50	59	10	58.63	N	2	23	39.13	E	59.182953	2.394203	6560733.030000	465378.940000	31	367	2013-05-08
25/11-7	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	OIL	1978-10-03	1978-10-27	BALDER	NORTH SEA	ED50	59	10	33.07	N	2	21	47.23	E	59.175853	2.363119	6559958.950000	463595.030000	31	368	2013-05-08
25/11-8	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	OIL	1979-09-08	1979-10-16	BALDER	NORTH SEA	ED50	59	11	17.33	N	2	21	39.92	E	59.188147	2.361089	6561329.110000	463492.070000	31	369	2013-05-08
25/11-10	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	SHOWS	1981-01-20	1981-02-17	BALDER	NORTH SEA	ED50	59	10	9.23	N	2	20	58.00	E	59.169231	2.349444	6559229.080000	462806.170000	31	370	2013-05-08
25/11-11	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	OIL	1981-02-18	1981-03-18	BALDER	NORTH SEA	ED50	59	11	47.20	N	2	20	47.43	E	59.196444	2.346508	6562261.120000	462667.990000	31	371	2013-05-08
25/11-12	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	SHOWS	1981-04-18	1981-05-07	BALDER	NORTH SEA	ED50	59	12	2.61	N	2	22	50.81	E	59.200725	2.380781	6562719.110000	464630.250000	31	372	2013-05-08
25/11-13	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	OIL	1981-05-10	1981-05-29	BALDER	NORTH SEA	ED50	59	11	26.88	N	2	23	23.80	E	59.190800	2.389944	6561609.080000	465143.570000	31	373	2013-05-08
25/12-1	A/S Norske Shell	010	EXPLORATION	WILDCAT	DRY	1973-10-03	1973-12-23	\N	NORTH SEA	ED50	59	1	47.00	N	2	49	17.10	E	59.029722	2.821417	6543526.230000	489748.320000	31	374	2013-05-08
29/6-1	BP Norway Limited  U.A.	043	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1981-10-12	1982-05-09	MARTIN LINGE	NORTH SEA	ED50	60	32	17.94	N	1	59	24.05	E	60.538317	1.990014	6711948.140000	444581.730000	31	375	2013-05-08
30/3-1	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	SHOWS	1979-06-11	1979-09-07	HULDRA	NORTH SEA	ED50	60	54	15.35	N	2	40	11.71	E	60.904264	2.669919	6752328.840000	482092.770000	31	376	2013-05-08
30/4-1	BP Norway Limited  U.A.	043	EXPLORATION	WILDCAT	DRY	1978-11-01	1979-05-14	\N	NORTH SEA	ED50	60	37	20.87	N	2	9	34.61	E	60.622464	2.159614	6721189.290000	454007.110000	31	377	2013-05-08
30/4-2	BP Norway Limited  U.A.	043	EXPLORATION	WILDCAT	GAS/CONDENSATE	1979-11-16	1980-05-15	MARTIN LINGE	NORTH SEA	ED50	60	31	1.10	N	2	2	46.22	E	60.516972	2.046172	6709524.950000	447628.550000	31	378	2013-05-08
30/5-1	A/S Norske Shell	034	EXPLORATION	WILDCAT	GAS SHOWS	1972-05-17	1972-07-29	\N	NORTH SEA	ED50	60	31	49.60	N	2	22	11.70	E	60.530444	2.369917	6710811.570000	465418.160000	31	379	2013-05-08
30/6-1	Den norske stats oljeselskap a.s	053	EXPLORATION	WILDCAT	GAS	1979-06-19	1979-09-22	OSEBERG	NORTH SEA	ED50	60	33	15.10	N	2	46	38.36	E	60.554194	2.777322	6713312.000000	487787.270000	31	380	2013-05-08
30/6-2	Den norske stats oljeselskap a.s	053	EXPLORATION	APPRAISAL	OIL/GAS	1979-09-24	1979-12-10	OSEBERG	NORTH SEA	ED50	60	32	12.16	N	2	46	11.11	E	60.536711	2.769753	6711366.110000	487365.310000	31	381	2013-05-08
30/6-3	Den norske stats oljeselskap a.s	053	EXPLORATION	APPRAISAL	OIL/GAS	1979-12-16	1980-03-07	OSEBERG	NORTH SEA	ED50	60	34	52.98	N	2	47	1.41	E	60.581383	2.783725	6716339.170000	488148.390000	31	382	2013-05-08
30/6-4	Den norske stats oljeselskap a.s	053	EXPLORATION	WILDCAT	OIL/GAS	1981-02-17	1981-05-11	OSEBERG	NORTH SEA	ED50	60	30	35.66	N	2	50	53.78	E	60.509906	2.848272	6708367.970000	491667.130000	31	383	2013-05-08
30/7-1	Norsk Hydro Produksjon AS	040	EXPLORATION	WILDCAT	DRY	1975-07-05	1975-08-05	\N	NORTH SEA	ED50	60	29	27.59	N	2	1	34.49	E	60.490997	2.026247	6706648.060000	446491.800000	31	384	2013-05-08
30/7-2	Norsk Hydro Produksjon AS	040	EXPLORATION	WILDCAT	OIL/GAS	1975-08-06	1975-11-09	MARTIN LINGE	NORTH SEA	ED50	60	29	26.06	N	2	1	40.85	E	60.490572	2.028014	6706599.290000	446588.170000	31	385	2013-05-08
30/7-3	Norsk Hydro Produksjon AS	040	EXPLORATION	WILDCAT	DRY	1976-08-06	1976-10-25	\N	NORTH SEA	ED50	60	17	9.24	N	2	14	54.44	E	60.285900	2.248456	6683645.520000	458441.330000	31	386	2013-05-08
30/7-4	Norsk Hydro Produksjon AS	040	EXPLORATION	WILDCAT	DRY	1977-01-25	1977-02-05	\N	NORTH SEA	ED50	60	29	29.72	N	2	3	24.32	E	60.491589	2.056756	6706689.550000	448169.110000	31	387	2013-05-08
30/7-5	Norsk Hydro Produksjon AS	040	EXPLORATION	WILDCAT	DRY	1977-02-05	1977-02-13	\N	NORTH SEA	ED50	60	29	30.19	N	2	3	27.40	E	60.491719	2.057611	6706703.420000	448216.330000	31	388	2013-05-08
30/7-6	Norsk Hydro Produksjon AS	040	EXPLORATION	WILDCAT	DRY	1977-02-14	1977-07-29	\N	NORTH SEA	ED50	60	29	29.82	N	2	3	26.14	E	60.491617	2.057261	6706692.250000	448196.930000	31	389	2013-05-08
30/7-7	Norsk Hydro Produksjon AS	040	EXPLORATION	WILDCAT	GAS SHOWS	1978-12-18	1979-07-01	\N	NORTH SEA	ED50	60	16	19.30	N	2	16	7.30	E	60.272028	2.268694	6682087.960000	459543.340000	31	390	2013-05-08
30/10-1	Esso Exploration and Production Norway A/S	030	EXPLORATION	WILDCAT	OIL/GAS	1973-05-05	1973-07-18	FRIGG	NORTH SEA	ED50	60	0	20.37	N	2	4	7.17	E	60.005658	2.068658	6652562.510000	448059.340000	31	391	2013-05-08
30/10-2	Esso Exploration and Production Norway A/S	030	EXPLORATION	WILDCAT	GAS	1973-12-24	1974-03-28	ODIN	NORTH SEA	ED50	60	4	58.87	N	2	9	42.76	E	60.083019	2.161878	6661108.480000	453367.160000	31	392	2013-05-08
30/10-3	Esso Exploration and Production Norway A/S	030	EXPLORATION	APPRAISAL	GAS	1974-08-08	1974-08-31	ODIN	NORTH SEA	ED50	60	3	12.27	N	2	10	2.06	E	60.053408	2.167239	6657806.990000	453623.900000	31	393	2013-05-08
30/10-4	Esso Exploration and Production Norway A/S	030	EXPLORATION	APPRAISAL	DRY	1974-09-11	1974-09-25	FRIGG	NORTH SEA	ED50	60	0	25.07	N	2	4	6.19	E	60.006964	2.068386	6652708.120000	448046.200000	31	394	2013-05-08
30/10-5	Esso Exploration and Production Norway A/S	030	EXPLORATION	WILDCAT	OIL/GAS	1974-08-25	1975-05-01	FRIGG	NORTH SEA	ED50	60	0	25.88	N	2	4	7.17	E	60.007189	2.068658	6652732.960000	448061.740000	31	395	2013-05-08
30/11-1	A/S Norske Shell	035	EXPLORATION	WILDCAT	DRY	1975-02-05	1975-03-14	\N	NORTH SEA	ED50	60	0	22.43	N	2	31	16.20	E	60.006231	2.521167	6652357.260000	473295.630000	31	396	2013-05-08
30/11-2	A/S Norske Shell	035	EXPLORATION	WILDCAT	DRY	1975-03-18	1975-04-16	\N	NORTH SEA	ED50	60	7	33.20	N	2	39	5.20	E	60.125889	2.651444	6665638.490000	480631.380000	31	397	2013-05-08
31/2-1	A/S Norske Shell	054	EXPLORATION	WILDCAT	OIL/GAS	1979-07-17	1979-11-09	TROLL	NORTH SEA	ED50	60	46	19.16	N	3	33	15.87	E	60.771989	3.554408	6737677.610000	530201.600000	31	398	2013-05-08
31/2-6	A/S Norske Shell	054	EXPLORATION	APPRAISAL	OIL/GAS	1981-07-21	1981-10-17	TROLL	NORTH SEA	ED50	60	54	13.57	N	3	38	49.53	E	60.903769	3.647092	6752401.910000	535105.690000	31	399	2013-05-08
31/4-1	Norsk Hydro Produksjon AS	055	EXPLORATION	WILDCAT	DRY	1979-09-09	1979-09-25	\N	NORTH SEA	ED50	60	36	18.20	N	3	0	32.30	E	60.605056	3.008972	6718956.400000	500491.310000	31	400	2013-05-08
31/4-2	Norsk Hydro Produksjon AS	055	EXPLORATION	WILDCAT	OIL SHOWS	1979-09-25	1979-11-15	\N	NORTH SEA	ED50	60	36	14.60	N	3	0	26.70	E	60.604056	3.007417	6718845.000000	500406.140000	31	401	2013-05-08
31/4-3	Norsk Hydro Produksjon AS	055	EXPLORATION	WILDCAT	OIL/GAS	1979-12-24	1980-05-11	BRAGE	NORTH SEA	ED50	60	35	12.20	N	3	5	38.10	E	60.586722	3.093917	6716918.020000	505145.680000	31	402	2013-05-08
31/4-5	Norsk Hydro Produksjon AS	055	EXPLORATION	WILDCAT	OIL	1981-05-27	1981-07-29	BRAGE	NORTH SEA	ED50	60	33	30.92	N	3	3	25.17	E	60.558589	3.056992	6713782.150000	503125.280000	31	403	2013-05-08
31/6-4	Den norske stats oljeselskap a.s	085	EXPLORATION	APPRAISAL	DRY	1984-03-05	1984-03-16	TROLL	NORTH SEA	ED50	60	37	6.05	N	3	48	20.36	E	60.618347	3.805656	6720706.990000	544097.830000	31	404	2013-05-08
33/5-2	Norsk Hydro Produksjon AS	047	EXPLORATION	WILDCAT	OIL SHOWS	1981-07-31	1981-11-18	\N	NORTH SEA	ED50	61	39	47.14	N	1	37	17.40	E	61.663094	1.621500	6837585.980000	427002.080000	31	405	2013-05-08
33/6-1	Norsk Agip  AS	049	EXPLORATION	WILDCAT	DRY	1979-04-09	1979-07-06	\N	NORTH SEA	ED50	61	32	14.83	N	1	51	57.55	E	61.537453	1.865986	6823341.210000	439704.030000	31	406	2013-05-08
33/9-1	Mobil Exploration Norway INC	037	EXPLORATION	WILDCAT	OIL	1974-04-02	1974-06-04	STATFJORD	NORTH SEA	ED50	61	15	7.29	N	1	50	25.54	E	61.252025	1.840428	6791573.150000	437780.230000	31	407	2013-05-08
33/9-2	Mobil Exploration Norway INC	037	EXPLORATION	APPRAISAL	DRY	1974-08-25	1974-09-14	STATFJORD	NORTH SEA	ED50	61	17	53.75	N	1	53	41.41	E	61.298264	1.894836	6796672.780000	440786.570000	31	408	2013-05-08
33/9-4	Mobil Exploration Norway INC	037	EXPLORATION	WILDCAT	OIL	1975-07-30	1975-09-17	STATFJORD	NORTH SEA	ED50	61	19	46.57	N	1	54	43.04	E	61.329603	1.911956	6800148.020000	441761.910000	31	409	2013-05-08
33/9-5	Mobil Exploration Norway INC	037	EXPLORATION	APPRAISAL	OIL	1975-10-27	1976-01-01	STATFJORD	NORTH SEA	ED50	61	20	47.87	N	1	56	51.70	E	61.346631	1.947694	6802013.310000	443705.300000	31	410	2013-05-08
33/9-6	Mobil Exploration Norway INC	037	EXPLORATION	WILDCAT	OIL	1976-06-23	1976-08-31	\N	NORTH SEA	ED50	61	25	12.80	N	1	48	43.09	E	61.420222	1.811969	6810334.730000	436594.240000	31	411	2013-05-08
33/9-7	Mobil Exploration Norway INC	037	EXPLORATION	WILDCAT	OIL	1976-09-06	1976-11-07	STATFJORD ØST	NORTH SEA	ED50	61	20	12.17	N	1	59	12.66	E	61.336714	1.986850	6800875.600000	445782.730000	31	412	2013-05-08
33/9-8	Mobil Exploration Norway INC	037	EXPLORATION	WILDCAT	OIL	1976-11-11	1977-02-18	STATFJORD NORD	NORTH SEA	ED50	61	26	17.44	N	1	55	4.87	E	61.438178	1.918019	6812236.260000	442286.970000	31	413	2013-05-08
33/9-9	Mobil Exploration Norway INC	037	EXPLORATION	APPRAISAL	OIL/GAS	1977-07-27	1977-11-17	STATFJORD	NORTH SEA	ED50	61	17	10.19	N	1	54	26.05	E	61.286164	1.907236	6795313.860000	441428.360000	31	414	2013-05-08
33/9-10	Mobil Exploration Norway INC	037	EXPLORATION	WILDCAT	DRY	1978-04-08	1978-06-12	\N	NORTH SEA	ED50	61	28	0.21	N	1	46	29.63	E	61.466725	1.774897	6815550.940000	434713.130000	31	415	2013-05-08
33/9-11	Mobil Exploration Norway INC	037	EXPLORATION	WILDCAT	DRY	1978-06-17	1978-08-28	\N	NORTH SEA	ED50	61	29	26.13	N	1	52	46.01	E	61.490592	1.879447	6818109.140000	440329.980000	31	416	2013-05-08
33/12-1	Mobil Exploration Norway INC	037	EXPLORATION	WILDCAT	OIL	1973-12-01	1974-04-18	STATFJORD	NORTH SEA	ED50	61	12	15.14	N	1	49	43.33	E	61.204206	1.828703	6786258.210000	437055.690000	31	417	2013-05-08
33/12-2	Mobil Exploration Norway INC	037	EXPLORATION	WILDCAT	OIL	1974-06-06	1974-08-23	STATFJORD	NORTH SEA	ED50	61	13	31.18	N	1	51	25.97	E	61.225328	1.857214	6788583.710000	438628.860000	31	418	2013-05-08
34/10-A-2 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	1985-10-28	1985-11-26	GULLFAKS	NORTH SEA	ED50	61	10	48.48	N	2	13	6.42	E	61.180133	2.218450	6783264.060000	457967.380000	31	419	2013-05-08
34/2-1	Amoco Norway Oil Company	056	EXPLORATION	WILDCAT	DRY	1979-12-29	1980-02-23	\N	NORTH SEA	ED50	61	46	28.06	N	2	33	6.20	E	61.774461	2.551722	6849300.930000	476345.980000	31	420	2013-05-08
34/2-3	Amoco Norway Oil Company	056	EXPLORATION	WILDCAT	SHOWS	1981-05-15	1981-08-13	\N	NORTH SEA	ED50	61	47	20.91	N	2	30	4.60	E	61.789142	2.501278	6850955.730000	473696.790000	31	421	2013-05-08
34/4-1	Saga Petroleum ASA	057	EXPLORATION	WILDCAT	OIL	1979-07-11	1979-12-16	SNORRE	NORTH SEA	ED50	61	32	49.23	N	2	16	23.66	E	61.547008	2.273239	6824096.500000	461368.880000	31	422	2013-05-08
34/4-3	Saga Petroleum ASA	057	EXPLORATION	WILDCAT	DRY	1981-10-16	1982-03-30	\N	NORTH SEA	ED50	61	36	32.95	N	2	7	34.42	E	61.609153	2.126228	6831114.850000	453647.630000	31	423	2013-05-08
34/10-1	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	OIL	1978-06-20	1978-09-08	GULLFAKS	NORTH SEA	ED50	61	10	46.84	N	2	12	43.67	E	61.179678	2.212131	6783217.390000	457626.920000	31	424	2013-05-08
34/10-2	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	OIL/GAS	1978-09-09	1978-12-08	GULLFAKS SØR	NORTH SEA	ED50	61	6	7.92	N	2	13	39.96	E	61.102200	2.227767	6774577.400000	458365.950000	31	425	2013-05-08
34/10-3	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	OIL	1979-03-14	1979-06-07	GULLFAKS	NORTH SEA	ED50	61	12	49.70	N	2	11	53.65	E	61.213806	2.198236	6787027.860000	456926.290000	31	426	2013-05-08
34/10-4	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	OIL	1979-08-12	1979-10-15	GULLFAKS	NORTH SEA	ED50	61	12	15.65	N	2	13	55.96	E	61.204347	2.232211	6785952.410000	458739.120000	31	427	2013-05-08
34/10-5	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	1979-10-18	1980-01-02	GULLFAKS	NORTH SEA	ED50	61	11	25.35	N	2	10	23.39	E	61.190375	2.173164	6784434.790000	455546.360000	31	428	2013-05-08
34/10-6	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	DRY	1979-11-13	1980-01-22	GULLFAKS	NORTH SEA	ED50	61	14	37.09	N	2	13	43.68	E	61.243636	2.228800	6790330.870000	458607.450000	31	429	2013-05-08
34/10-10	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	DRY	1980-08-15	1980-08-21	\N	NORTH SEA	ED50	61	10	27.95	N	2	14	43.12	E	61.174431	2.245311	6782611.870000	459404.630000	31	430	2013-05-08
34/10-13	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	1981-08-24	1982-01-05	GULLFAKS	NORTH SEA	ED50	61	12	1.93	N	2	18	3.00	E	61.200536	2.300833	6785486.520000	462422.230000	31	431	2013-05-08
35/3-1	Saga Petroleum ASA	041	EXPLORATION	WILDCAT	DRY	1976-07-19	1976-10-26	\N	NORTH SEA	ED50	61	50	41.89	N	3	43	41.36	E	61.844969	3.728156	6857289.000000	538333.830000	31	432	2013-05-08
35/3-5	Saga Petroleum ASA	041	EXPLORATION	WILDCAT	DRY	1981-12-22	1982-03-31	\N	NORTH SEA	ED50	61	47	46.71	N	3	54	44.01	E	61.796308	3.912225	6851990.690000	548099.850000	31	433	2013-05-08
35/8-2	Norwegian Gulf Exploration Company AS	058	EXPLORATION	WILDCAT	GAS/CONDENSATE	1981-08-30	1982-05-21	VEGA	NORTH SEA	ED50	61	16	15.42	N	3	21	58.17	E	61.270950	3.366158	6793184.260000	519635.980000	31	434	2013-05-08
36/1-1	Amoco Norway Oil Company	042	EXPLORATION	WILDCAT	DRY	1975-05-09	1975-06-14	\N	NORTH SEA	ED50	61	56	40.36	N	4	15	43.86	E	61.944544	4.262183	6868811.120000	566230.220000	31	435	2013-05-08
36/1-2	Saga Petroleum ASA	042	EXPLORATION	WILDCAT	SHOWS	1975-08-26	1975-10-27	\N	NORTH SEA	ED50	61	53	0.25	N	4	0	52.19	E	61.883403	4.014497	6861772.370000	553340.710000	31	436	2013-05-08
6507/12-2	Saga Petroleum ASA	059	EXPLORATION	WILDCAT	SHOWS	1981-06-09	1981-11-24	\N	NORWEGIAN SEA	ED50	65	11	48.90	N	7	51	35.41	E	65.196917	7.859836	7231064.180000	446629.360000	32	437	2013-05-08
15/12-4	Den norske stats oljeselskap a.s	038	EXPLORATION	WILDCAT	OIL	1984-09-13	1984-10-31	VARG	NORTH SEA	ED50	58	3	9.16	N	1	54	11.61	E	58.052544	1.903225	6435232.250000	435264.020000	31	438	2013-05-08
31/2-15	A/S Norske Shell	054	EXPLORATION	APPRAISAL	OIL/GAS	1984-09-10	1984-11-15	TROLL	NORTH SEA	ED50	60	55	25.45	N	3	34	2.57	E	60.923736	3.567381	6754585.850000	530762.080000	31	439	2013-05-08
25/4-A-10	Elf Petroleum Norge AS	036	DEVELOPMENT	PRODUCTION	GAS	1985-11-21	1986-04-06	HEIMDAL	NORTH SEA	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	440	2013-05-08
25/10-1	Esso Exploration and Production Norway A/S	028	EXPLORATION	WILDCAT	SHOWS	1969-08-04	1969-10-16	BALDER	NORTH SEA	ED50	59	11	21.72	N	2	19	11.83	E	59.189367	2.319953	6561488.140000	461142.950000	31	441	2013-05-08
34/7-3	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL	1984-09-14	1985-01-02	SNORRE	NORTH SEA	ED50	61	25	54.08	N	2	7	43.89	E	61.431689	2.128858	6811345.100000	453522.970000	31	442	2013-05-08
24/6-1	Total Norge AS	088	EXPLORATION	WILDCAT	GAS/CONDENSATE	1985-02-09	1985-08-25	\N	NORTH SEA	ED50	59	36	0.25	N	1	55	25.16	E	59.600069	1.923656	6607519.080000	439239.590000	31	443	2013-05-08
6407/6-1	Den norske stats oljeselskap a.s	092	EXPLORATION	WILDCAT	DRY	1984-09-16	1984-10-26	\N	NORWEGIAN SEA	ED50	64	38	29.62	N	7	52	31.53	E	64.641561	7.875425	7169163.290000	446258.700000	32	444	2013-05-08
6609/5-1	Den norske stats oljeselskap a.s	080	EXPLORATION	WILDCAT	SHOWS	1984-11-03	1985-01-05	\N	NORWEGIAN SEA	ED50	66	37	42.73	N	9	24	52.17	E	66.628536	9.414492	7390220.930000	518349.040000	32	445	2013-05-08
34/10-22	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	GAS	1984-10-25	1984-11-05	GULLFAKS	NORTH SEA	ED50	61	10	33.50	N	2	11	15.32	E	61.175972	2.187589	6782820.800000	456301.940000	31	446	2013-05-08
31/3-3	Saga Petroleum ASA	085	EXPLORATION	WILDCAT	DRY	1984-10-13	1984-11-18	\N	NORTH SEA	ED50	60	50	2.29	N	3	50	38.16	E	60.833969	3.843933	6744748.950000	545884.320000	31	447	2013-05-08
7/8-4	Conoco Norway Inc.	069	EXPLORATION	WILDCAT	DRY	1984-12-11	1985-02-20	\N	NORTH SEA	ED50	57	15	28.03	N	2	25	46.23	E	57.257786	2.429508	6346368.890000	465582.360000	31	448	2013-05-08
6407/9-2	A/S Norske Shell	093	EXPLORATION	APPRAISAL	OIL	1984-11-18	1985-02-02	DRAUGEN	NORWEGIAN SEA	ED50	64	24	1.31	N	7	48	11.26	E	64.400364	7.803128	7142349.800000	442297.150000	32	449	2013-05-08
6/3-1	Den norske stats oljeselskap a.s	086	EXPLORATION	WILDCAT	OIL/GAS	1984-11-02	1985-02-01	GAUPE	NORTH SEA	ED50	57	58	10.20	N	1	55	30.38	E	57.969500	1.925106	6425966.200000	436408.300000	31	450	2013-05-08
16/3-1	Norsk Hydro Produksjon AS	007	EXPLORATION	WILDCAT	DRY	1976-01-31	1976-02-10	\N	NORTH SEA	ED50	58	47	12.88	N	2	47	32.25	E	58.786911	2.792292	6516493.240000	487992.440000	31	451	2013-05-08
30/9-4 S	Norsk Hydro Produksjon AS	079	EXPLORATION	WILDCAT	OIL/GAS	1984-11-22	1985-03-30	OSEBERG SØR	NORTH SEA	ED50	60	28	12.83	N	2	45	32.05	E	60.470231	2.758903	6703963.610000	486742.810000	31	452	2013-05-08
34/10-29	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	GAS	1985-12-27	1986-01-26	GULLFAKS	NORTH SEA	ED50	61	10	33.06	N	2	11	28.76	E	61.175850	2.191322	6782804.690000	456502.570000	31	453	2013-05-08
7/12-2 R	BP Norway Limited  U.A.	019	EXPLORATION	WILDCAT	OIL	1984-03-24	1984-04-29	ULA	NORTH SEA	ED50	57	6	41.34	N	2	50	50.73	E	57.111483	2.847425	6329948.210000	490758.670000	31	454	2013-05-08
34/7-4	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL	1984-11-19	1985-01-16	SNORRE	NORTH SEA	ED50	61	29	4.44	N	2	8	0.26	E	61.484567	2.133406	6817231.930000	453843.830000	31	455	2013-05-08
7120/6-1	Norsk Hydro Produksjon AS	097	EXPLORATION	WILDCAT	OIL/GAS	1985-02-02	1985-05-02	SNØHVIT	BARENTS SEA	ED50	71	37	11.76	N	20	55	59.72	E	71.619933	20.933256	7946756.850000	497650.920000	34	456	2013-05-08
30/2-2	Den norske stats oljeselskap a.s	051	EXPLORATION	WILDCAT	GAS/CONDENSATE	1984-12-19	1985-05-04	HULDRA	NORTH SEA	ED50	60	49	53.89	N	2	39	51.65	E	60.831636	2.664347	6744240.640000	481749.070000	31	457	2013-05-08
34/7-5	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1985-01-17	1985-03-16	STATFJORD ØST	NORTH SEA	ED50	61	21	54.95	N	2	1	23.67	E	61.365264	2.023242	6804026.010000	447777.650000	31	458	2013-05-08
2/1-8	BP Norway Limited  U.A.	019 B	EXPLORATION	APPRAISAL	OIL	1985-07-28	1985-11-23	GYDA	NORTH SEA	ED50	56	53	40.63	N	3	6	55.95	E	56.894619	3.115542	6305802.540000	507039.080000	31	459	2013-05-08
30/3-4	Den norske stats oljeselskap a.s	052	EXPLORATION	APPRAISAL	OIL/GAS	1985-02-05	1985-06-12	VESLEFRIKK	NORTH SEA	ED50	60	45	56.85	N	2	51	30.20	E	60.765792	2.858389	6736868.130000	492284.130000	31	460	2013-05-08
7121/4-2	Den norske stats oljeselskap a.s	099	EXPLORATION	WILDCAT	GAS/CONDENSATE	1985-01-29	1985-04-14	SNØHVIT	BARENTS SEA	ED50	71	39	26.09	N	21	3	45.96	E	71.657247	21.062767	7950918.800000	502204.760000	34	461	2013-05-08
6506/12-2	Den norske stats oljeselskap a.s	094	EXPLORATION	WILDCAT	DRY	1985-02-12	1985-02-28	\N	NORWEGIAN SEA	ED50	65	1	29.85	N	6	53	29.41	E	65.024958	6.891503	7213073.520000	400672.450000	32	462	2013-05-08
25/1-7	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	OIL/GAS	1985-03-08	1985-05-26	FRIGG	NORTH SEA	ED50	59	55	8.28	N	2	4	52.33	E	59.918967	2.081203	6642898.340000	448624.870000	31	463	2013-05-08
6507/7-2	Conoco Norway Inc.	095	EXPLORATION	WILDCAT	OIL/GAS	1985-02-25	1985-06-10	HEIDRUN	NORWEGIAN SEA	ED50	65	20	12.37	N	7	18	34.52	E	65.336769	7.309589	7247224.930000	421294.240000	32	464	2013-05-08
34/7-6	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL	1985-03-17	1985-05-30	SNORRE	NORTH SEA	ED50	61	27	10.85	N	2	8	17.26	E	61.453014	2.138128	6813713.920000	454048.880000	31	465	2013-05-08
31/6-8	Norsk Hydro Produksjon AS	085	EXPLORATION	APPRAISAL	OIL/GAS	1985-04-14	1985-05-25	TROLL	NORTH SEA	ED50	60	33	21.36	N	3	40	39.07	E	60.555933	3.677519	6713676.330000	537156.050000	31	466	2013-05-08
34/2-4	Amoco Norway Oil Company	056	EXPLORATION	WILDCAT	OIL SHOWS	1985-03-22	1985-06-11	\N	NORTH SEA	ED50	61	45	20.11	N	2	39	37.64	E	61.755586	2.660456	6847163.490000	482072.430000	31	467	2013-05-08
6506/12-3	Den norske stats oljeselskap a.s	094	EXPLORATION	WILDCAT	OIL/GAS	1985-03-02	1985-07-17	ÅSGARD	NORWEGIAN SEA	ED50	65	1	31.09	N	6	53	27.35	E	65.025303	6.890931	7213112.800000	400646.780000	32	468	2013-05-08
6407/9-3	A/S Norske Shell	093	EXPLORATION	APPRAISAL	OIL	1985-05-03	1985-07-28	DRAUGEN	NORWEGIAN SEA	ED50	64	19	48.94	N	7	46	30.91	E	64.330261	7.775253	7134564.040000	440802.820000	32	469	2013-05-08
6507/11-3	Saga Petroleum ASA	062	EXPLORATION	WILDCAT	OIL/GAS	1985-06-03	1985-08-15	ÅSGARD	NORWEGIAN SEA	ED50	65	1	59.80	N	7	30	42.34	E	65.033278	7.511761	7213169.060000	429908.440000	32	470	2013-05-08
7120/5-1	Den norske stats oljeselskap a.s	110	EXPLORATION	WILDCAT	SHOWS	1985-04-17	1985-06-06	\N	BARENTS SEA	ED50	71	34	51.86	N	20	26	12.26	E	71.581072	20.436739	7942513.530000	480135.740000	34	471	2013-05-08
25/1-8 S	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	OIL/GAS	1985-05-28	1985-07-25	FRIGG	NORTH SEA	ED50	59	54	3.28	N	2	6	9.79	E	59.900911	2.102719	6640871.090000	449800.690000	31	472	2013-05-08
7120/2-1	Norsk Hydro Produksjon AS	109	EXPLORATION	WILDCAT	OIL SHOWS	1985-05-05	1985-10-29	\N	BARENTS SEA	ED50	71	58	57.94	N	20	28	35.09	E	71.982761	20.476414	7987305.650000	481923.840000	34	473	2013-05-08
6407/7-1 S	Norsk Hydro Produksjon AS	107	EXPLORATION	WILDCAT	OIL/GAS	1985-10-19	1986-04-07	NJORD	NORWEGIAN SEA	ED50	64	16	31.49	N	7	12	21.12	E	64.275414	7.205867	7129107.110000	413114.250000	32	474	2013-05-08
6506/12-4	Den norske stats oljeselskap a.s	094	EXPLORATION	WILDCAT	SHOWS	1985-03-24	1985-08-13	\N	NORWEGIAN SEA	ED50	65	12	46.97	N	6	43	30.37	E	65.213047	6.725103	7234298.140000	393591.290000	32	475	2013-05-08
34/10-23	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	GAS	1985-05-06	1985-10-13	VALEMON	NORTH SEA	ED50	61	1	6.35	N	2	19	1.57	E	61.018431	2.317103	6765193.090000	463084.940000	31	476	2013-05-08
25/2-9	Elf Petroleum Norge AS	026	EXPLORATION	APPRAISAL	OIL/GAS	1985-06-15	1985-07-24	ØST FRIGG	NORTH SEA	ED50	59	53	10.16	N	2	22	15.09	E	59.886156	2.370858	6639054.920000	464786.030000	31	477	2013-05-08
30/9-5 S	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	GAS	1985-05-27	1985-07-19	OSEBERG SØR	NORTH SEA	ED50	60	21	31.34	N	2	53	37.09	E	60.358706	2.893636	6691522.470000	494131.320000	31	478	2013-05-08
7121/5-1	Den norske stats oljeselskap a.s	110	EXPLORATION	WILDCAT	OIL/GAS	1985-06-07	1985-09-28	SNØHVIT	BARENTS SEA	ED50	71	35	54.88	N	21	24	21.78	E	71.598578	21.406050	7944421.610000	514306.930000	34	479	2013-05-08
6407/9-4	A/S Norske Shell	093	EXPLORATION	APPRAISAL	OIL	1985-07-04	1985-09-10	DRAUGEN	NORWEGIAN SEA	ED50	64	22	14.00	N	7	43	21.84	E	64.370556	7.722733	7139103.840000	438354.840000	32	480	2013-05-08
33/9-A-17	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	\N	1985-05-13	1985-07-19	STATFJORD	NORTH SEA	ED50	61	15	20.75	N	1	51	15.11	E	61.255764	1.854197	6791976.560000	438526.310000	31	481	2013-05-08
6507/7-3	Conoco Norway Inc.	095	EXPLORATION	APPRAISAL	OIL/GAS	1985-07-29	1985-09-18	HEIDRUN	NORWEGIAN SEA	ED50	65	19	1.31	N	7	17	44.79	E	65.317031	7.295775	7245042.820000	420591.730000	32	482	2013-05-08
34/10-24	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	GAS	1985-06-30	1985-08-05	GULLFAKS	NORTH SEA	ED50	61	10	32.65	N	2	11	28.10	E	61.175736	2.191139	6782792.130000	456492.550000	31	483	2013-05-08
7120/1-1	A/S Norske Shell	108	EXPLORATION	WILDCAT	OIL/GAS SHOWS	1985-08-16	1985-11-15	\N	BARENTS SEA	ED50	71	55	0.83	N	20	18	7.13	E	71.916897	20.301981	7980020.260000	475816.850000	34	484	2013-05-08
6507/12-3	Saga Petroleum ASA	059	EXPLORATION	WILDCAT	DRY	1985-08-16	1985-09-13	\N	NORWEGIAN SEA	ED50	65	3	35.82	N	7	49	6.40	E	65.059950	7.818444	7215836.280000	444406.390000	32	485	2013-05-08
6406/6-1	Den norske stats oljeselskap a.s	105	EXPLORATION	WILDCAT	SHOWS	1985-08-15	1985-12-30	\N	NORWEGIAN SEA	ED50	64	43	48.23	N	6	42	14.69	E	64.730064	6.704081	7180531.710000	390653.800000	32	486	2013-05-08
30/6-17	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	DRY	1985-08-12	1985-08-24	OSEBERG	NORTH SEA	ED50	60	34	15.77	N	2	44	59.84	E	60.571047	2.749956	6715194.480000	486293.490000	31	487	2013-05-08
30/6-18	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	OIL/GAS	1985-08-01	1985-11-23	OSEBERG	NORTH SEA	ED50	60	30	30.65	N	2	41	20.65	E	60.508514	2.689069	6708243.700000	482923.040000	31	488	2013-05-08
30/6-19	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL/GAS	1986-04-09	1986-06-21	OSEBERG ØST	NORTH SEA	ED50	60	42	58.03	N	2	54	54.18	E	60.716119	2.915050	6731330.070000	495364.230000	31	489	2013-05-08
6407/4-1	Den norske stats oljeselskap a.s	106	EXPLORATION	WILDCAT	GAS/CONDENSATE	1985-07-20	1985-11-15	\N	NORWEGIAN SEA	ED50	64	35	45.36	N	7	8	42.17	E	64.595933	7.145047	7164900.010000	411212.790000	32	490	2013-05-08
35/3-3	Saga Petroleum ASA	041	EXPLORATION	WILDCAT	DRY	1980-10-30	1980-11-28	\N	NORTH SEA	ED50	61	51	54.60	N	3	52	25.80	E	61.865167	3.873833	6859633.430000	545972.490000	31	491	2013-05-08
6407/9-5	A/S Norske Shell	093	EXPLORATION	APPRAISAL	OIL	1985-09-12	1985-11-13	DRAUGEN	NORWEGIAN SEA	ED50	64	16	42.35	N	7	44	14.66	E	64.278431	7.737406	7128824.580000	438858.990000	32	492	2013-05-08
31/6-8 R	Norsk Hydro Produksjon AS	085	EXPLORATION	APPRAISAL	OIL/GAS	1985-07-22	1985-09-22	TROLL	NORTH SEA	ED50	60	33	21.36	N	3	40	39.07	E	60.555933	3.677519	6713676.330000	537156.050000	31	493	2013-05-08
34/10-16 R	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL/GAS	1983-08-31	1983-09-27	GULLFAKS SØR	NORTH SEA	ED50	61	5	35.62	N	2	10	46.66	E	61.093228	2.179628	6773609.610000	455758.160000	31	494	2013-05-08
34/10-9 R	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	1980-05-29	1980-07-03	GULLFAKS	NORTH SEA	ED50	61	12	55.34	N	2	15	0.53	E	61.215372	2.250147	6787169.270000	459717.060000	31	495	2013-05-08
34/10-7 R	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	1983-05-31	1983-07-14	GULLFAKS	NORTH SEA	ED50	61	12	13.44	N	2	16	28.56	E	61.203733	2.274600	6785858.020000	461016.270000	31	496	2013-05-08
34/2-2 R	Amoco Norway Oil Company	056	EXPLORATION	WILDCAT	DRY	1980-12-12	1981-05-08	\N	NORTH SEA	ED50	61	46	28.06	N	2	33	6.20	E	61.774461	2.551722	6849300.930000	476345.980000	31	497	2013-05-08
31/6-2 R	Den norske stats oljeselskap a.s	085	EXPLORATION	APPRAISAL	GAS	1984-07-31	1984-09-08	TROLL	NORTH SEA	ED50	60	34	58.24	N	3	54	55.76	E	60.582844	3.915489	6716831.540000	550164.400000	31	498	2013-05-08
31/5-2 R	Saga Petroleum ASA	085	EXPLORATION	APPRAISAL	OIL/GAS	1984-06-13	1984-08-30	TROLL	NORTH SEA	ED50	60	43	33.29	N	3	32	52.74	E	60.725914	3.547983	6732542.720000	529894.430000	31	499	2013-05-08
31/2-5 R	A/S Norske Shell	054	EXPLORATION	WILDCAT	OIL/GAS	1981-06-12	1981-07-20	TROLL	NORTH SEA	ED50	60	46	16.20	N	3	25	53.46	E	60.771167	3.431517	6737535.760000	523507.710000	31	500	2013-05-08
31/2-5 R2	A/S Norske Shell	054	EXPLORATION	WILDCAT	OIL/GAS	1984-03-22	1984-04-22	TROLL	NORTH SEA	ED50	60	46	16.20	N	3	25	53.46	E	60.771167	3.431517	6737535.760000	523507.710000	31	501	2013-05-08
31/2-4 R	A/S Norske Shell	054	EXPLORATION	WILDCAT	OIL/GAS	1980-10-09	1981-04-06	TROLL	NORTH SEA	ED50	60	51	23.57	N	3	30	44.33	E	60.856547	3.512314	6747077.420000	527835.000000	31	502	2013-05-08
31/2-4 R2	A/S Norske Shell	054	EXPLORATION	WILDCAT	OIL/GAS	1982-11-04	1982-11-12	TROLL	NORTH SEA	ED50	60	51	23.57	N	3	30	44.33	E	60.856547	3.512314	6747077.420000	527835.000000	31	503	2013-05-08
31/2-2 R	A/S Norske Shell	054	EXPLORATION	WILDCAT	OIL/GAS	1980-06-02	1980-10-06	TROLL	NORTH SEA	ED50	60	46	47.80	N	3	37	23.50	E	60.779944	3.623194	6738597.320000	533940.270000	31	504	2013-05-08
31/2-1 R	A/S Norske Shell	054	EXPLORATION	WILDCAT	OIL/GAS	1981-10-26	1981-11-09	TROLL	NORTH SEA	ED50	60	46	19.16	N	3	33	15.87	E	60.771989	3.554408	6737677.610000	530201.600000	31	505	2013-05-08
30/7-8 R	Norsk Hydro Produksjon AS	040	EXPLORATION	WILDCAT	GAS/CONDENSATE	1981-09-23	1982-01-27	MARTIN LINGE	NORTH SEA	ED50	60	29	43.08	N	2	0	20.56	E	60.495300	2.005711	6707144.140000	445370.620000	31	506	2013-05-08
30/7-6 R	Norsk Hydro Produksjon AS	040	EXPLORATION	WILDCAT	GAS/CONDENSATE	1978-04-18	1978-06-03	MARTIN LINGE	NORTH SEA	ED50	60	29	29.82	N	2	3	26.14	E	60.491617	2.057261	6706692.250000	448196.930000	31	507	2013-05-08
30/3-2 R	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	OIL/GAS	1980-09-02	1981-02-16	VESLEFRIKK	NORTH SEA	ED50	60	47	49.23	N	2	55	18.06	E	60.797008	2.921683	6740339.450000	495736.960000	31	508	2013-05-08
30/3-1 R	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	SHOWS	1982-02-01	1982-04-26	HULDRA	NORTH SEA	ED50	60	54	15.35	N	2	40	11.71	E	60.904264	2.669919	6752328.840000	482092.770000	31	509	2013-05-08
25/10-4 R	Esso Exploration and Production Norway A/S	028	EXPLORATION	APPRAISAL	OIL	1981-06-01	1981-06-13	BALDER	NORTH SEA	ED50	59	11	26.04	N	2	19	50.14	E	59.190567	2.330594	6561615.620000	461752.330000	31	510	2013-05-08
25/10-2 R	Esso Exploration and Production Norway A/S	028	EXPLORATION	WILDCAT	OIL SHOWS	1972-05-02	1972-07-08	\N	NORTH SEA	ED50	59	9	38.40	N	2	11	38.20	E	59.160667	2.193944	6558372.500000	453904.590000	31	511	2013-05-08
25/10-1 R	Esso Exploration and Production Norway A/S	028	EXPLORATION	WILDCAT	SHOWS	1970-07-09	1970-08-03	BALDER	NORTH SEA	ED50	59	11	21.72	N	2	19	14.40	E	59.189367	2.320667	6561487.720000	461183.740000	31	512	2013-05-08
24/12-1 R	Den norske stats oljeselskap a.s	045	EXPLORATION	WILDCAT	OIL SHOWS	1978-06-07	1978-08-14	\N	NORTH SEA	ED50	59	2	29.80	N	1	52	57.93	E	59.041611	1.882758	6545372.480000	435888.070000	31	513	2013-05-08
17/12-1 R	Phillips Petroleum Company Norway	016	EXPLORATION	WILDCAT	OIL	1972-03-14	1972-06-21	\N	NORTH SEA	ED50	58	11	17.30	N	3	56	22.20	E	58.188139	3.939500	6450188.440000	555243.170000	31	514	2013-05-08
17/9-1 R	Esso Exploration and Production Norway A/S	002	EXPLORATION	WILDCAT	DRY	1974-05-18	1974-06-11	\N	NORTH SEA	ED50	58	28	27.26	N	3	50	16.18	E	58.474239	3.837828	6481963.510000	548868.520000	31	515	2013-05-08
15/9-12 R	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1982-03-26	1982-04-27	SLEIPNER VEST	NORTH SEA	ED50	58	27	23.17	N	1	43	4.01	E	58.456436	1.717781	6480390.260000	425174.970000	31	516	2013-05-08
15/6-2 R	Esso Exploration and Production Norway A/S	029	EXPLORATION	WILDCAT	GAS/CONDENSATE	1974-05-09	1974-08-01	\N	NORTH SEA	ED50	58	32	47.58	N	1	41	54.09	E	58.546550	1.698358	6490444.740000	424236.030000	31	517	2013-05-08
6507/7-U-5	Norske Conoco A/S	\N	SHALLOW	\N	\N	1987-06-18	1987-06-23	\N	NORWEGIAN SEA	ED50	65	19	34.50	N	7	19	5.46	E	65.326250	7.318183	7246042.080000	421663.050000	32	1112	2013-05-08
7/12-4 R	BP Norway Limited  U.A.	019	EXPLORATION	APPRAISAL	OIL	1984-03-16	1984-03-20	ULA	NORTH SEA	ED50	57	5	36.66	N	2	51	36.96	E	57.093517	2.860267	6327946.460000	491532.390000	31	518	2013-05-08
7/11-7 R	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1984-09-29	1984-10-08	COD	NORTH SEA	ED50	57	4	10.04	N	2	26	4.82	E	57.069456	2.434672	6325401.220000	465720.080000	31	519	2013-05-08
34/10-A-12	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1987-10-26	1987-12-22	GULLFAKS	NORTH SEA	ED50	61	10	35.05	N	2	11	21.47	E	61.176403	2.189297	6782867.610000	456394.420000	31	520	2013-05-08
7121/1-1	Esso Exploration and Production Norway A/S	111	EXPLORATION	WILDCAT	DRY	1985-10-10	1985-11-13	\N	BARENTS SEA	ED50	71	56	25.74	N	21	4	36.52	E	71.940483	21.076811	7982512.860000	502657.850000	34	521	2013-05-08
6407/6-2	Den norske stats oljeselskap a.s	092	EXPLORATION	WILDCAT	GAS SHOWS	1985-10-04	1985-10-06	\N	NORWEGIAN SEA	ED50	64	42	29.56	N	7	40	32.59	E	64.708211	7.675719	7176774.360000	436871.330000	32	522	2013-05-08
34/10-25	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	DRY	1985-08-06	1985-08-17	GULLFAKS	NORTH SEA	ED50	61	12	11.60	N	2	12	12.77	E	61.203222	2.203547	6785845.530000	457197.250000	31	523	2013-05-08
25/6-1	Saga Petroleum ASA	117	EXPLORATION	WILDCAT	OIL	1985-12-18	1986-02-03	\N	NORTH SEA	ED50	59	31	32.04	N	2	48	2.07	E	59.525567	2.800575	6598746.730000	488717.110000	31	524	2013-05-08
34/7-7	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1985-09-17	1985-12-16	SNORRE	NORTH SEA	ED50	61	26	54.53	N	2	5	55.69	E	61.448481	2.098803	6813237.290000	451945.360000	31	525	2013-05-08
1/6-A-1	Phillips Petroleum Company Norway	011	DEVELOPMENT	PRODUCTION	GAS	1978-06-25	1979-03-08	ALBUSKJELL	NORTH SEA	ED50	56	38	33.73	N	2	56	24.23	E	56.642703	2.940064	6277755.920000	496324.010000	31	526	2013-05-08
1/6-A-3	Phillips Petroleum Company Norway	011	DEVELOPMENT	PRODUCTION	GAS	1979-07-26	1979-09-17	ALBUSKJELL	NORTH SEA	ED50	56	38	33.64	N	2	56	23.90	E	56.642678	2.939972	6277753.140000	496318.380000	31	527	2013-05-08
1/6-A-4	Phillips Petroleum Company Norway	011	DEVELOPMENT	PRODUCTION	GAS	1978-09-03	1978-11-23	ALBUSKJELL	NORTH SEA	ED50	56	38	33.64	N	2	56	23.73	E	56.642678	2.939925	6277753.150000	496315.490000	31	528	2013-05-08
1/6-A-8	Phillips Petroleum Company Norway	011	DEVELOPMENT	PRODUCTION	\N	1979-09-18	1980-01-04	ALBUSKJELL	NORTH SEA	ED50	56	38	33.70	N	2	56	23.68	E	56.642694	2.939911	6277755.000000	496314.640000	31	529	2013-05-08
1/6-A-10	Phillips Petroleum Company Norway	011	DEVELOPMENT	PRODUCTION	GAS	1981-01-12	1981-05-26	ALBUSKJELL	NORTH SEA	ED50	56	38	33.83	N	2	56	23.97	E	56.642731	2.939992	6277759.020000	496319.580000	31	530	2013-05-08
1/6-A-13	Phillips Petroleum Company Norway	011	DEVELOPMENT	PRODUCTION	GAS	1980-01-09	1980-04-16	ALBUSKJELL	NORTH SEA	ED50	56	38	33.93	N	2	56	24.08	E	56.642758	2.940022	6277762.110000	496321.460000	31	531	2013-05-08
1/6-A-15	Phillips Petroleum Company Norway	011	DEVELOPMENT	PRODUCTION	GAS	1979-01-14	1979-07-05	ALBUSKJELL	NORTH SEA	ED50	56	38	33.86	N	2	56	23.75	E	56.642739	2.939931	6277759.950000	496315.830000	31	532	2013-05-08
1/6-A-16	Phillips Petroleum Company Norway	011	DEVELOPMENT	PRODUCTION	GAS	1980-06-25	1981-01-01	ALBUSKJELL	NORTH SEA	ED50	56	38	33.83	N	2	56	23.58	E	56.642731	2.939883	6277759.020000	496312.940000	31	533	2013-05-08
1/6-A-19	Phillips Petroleum Company Norway	011	DEVELOPMENT	PRODUCTION	GAS	1978-11-23	1979-01-14	ALBUSKJELL	NORTH SEA	ED50	56	38	33.93	N	2	56	23.70	E	56.642758	2.939917	6277762.110000	496314.980000	31	534	2013-05-08
1/6-A-20	Phillips Petroleum Company Norway	011	DEVELOPMENT	PRODUCTION	GAS	1980-04-17	1980-06-27	ALBUSKJELL	NORTH SEA	ED50	56	38	33.89	N	2	56	23.53	E	56.642747	2.939869	6277760.880000	496312.080000	31	535	2013-05-08
10/1-A-1	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-04-23	1977-05-16	FRIGG	NORTH SEA	ED50	59	52	31.06	N	2	3	40.37	E	59.875294	2.061214	6638050.530000	447438.280000	31	536	2013-05-08
10/1-A-2	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-02-07	1977-05-28	FRIGG	NORTH SEA	ED50	59	52	31.00	N	2	3	40.33	E	59.875278	2.061203	6638048.680000	447437.630000	31	537	2013-05-08
10/1-A-3	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-06-07	1977-09-08	FRIGG	NORTH SEA	ED50	59	52	31.05	N	2	3	40.53	E	59.875292	2.061258	6638050.190000	447440.770000	31	538	2013-05-08
10/1-A-4	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-08-07	1977-10-06	FRIGG	NORTH SEA	ED50	59	52	30.96	N	2	3	40.64	E	59.875267	2.061289	6638047.380000	447442.440000	31	539	2013-05-08
10/1-A-5	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-02-02	1977-05-22	FRIGG	NORTH SEA	ED50	59	52	30.86	N	2	3	40.40	E	59.875239	2.061222	6638044.340000	447438.660000	31	540	2013-05-08
10/1-A-6	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-08-18	1977-10-25	FRIGG	NORTH SEA	ED50	59	52	30.99	N	2	3	40.49	E	59.875275	2.061247	6638048.340000	447440.120000	31	541	2013-05-08
10/1-A-7	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-08-12	1977-11-26	FRIGG	NORTH SEA	ED50	59	52	30.90	N	2	3	40.60	E	59.875250	2.061278	6638045.530000	447441.790000	31	542	2013-05-08
10/1-A-8	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-01-24	1977-03-02	FRIGG	NORTH SEA	ED50	59	52	30.94	N	2	3	40.93	E	59.875261	2.061369	6638046.700000	447446.940000	31	543	2013-05-08
10/1-A-9	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-06-10	1977-12-04	FRIGG	NORTH SEA	ED50	59	52	30.87	N	2	3	40.75	E	59.875242	2.061319	6638044.570000	447444.110000	31	544	2013-05-08
10/1-A-10	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-05-29	1977-08-02	FRIGG	NORTH SEA	ED50	59	52	30.80	N	2	3	40.82	E	59.875222	2.061339	6638042.390000	447445.170000	31	545	2013-05-08
10/1-A-11	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1976-11-10	1977-04-10	FRIGG	NORTH SEA	ED50	59	52	30.81	N	2	3	40.70	E	59.875225	2.061306	6638042.720000	447443.300000	31	546	2013-05-08
10/1-A-12	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1977-06-03	1977-12-04	FRIGG	NORTH SEA	ED50	59	52	30.85	N	2	3	40.87	E	59.875236	2.061353	6638043.920000	447445.970000	31	547	2013-05-08
10/1-A-13	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-04-05	1978-08-06	FRIGG	NORTH SEA	ED50	59	52	30.63	N	2	3	41.71	E	59.875175	2.061586	6638036.930000	447458.930000	31	548	2013-05-08
10/1-A-14	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-03-31	1978-07-28	FRIGG	NORTH SEA	ED50	59	52	30.60	N	2	3	41.83	E	59.875167	2.061619	6638035.980000	447460.790000	31	549	2013-05-08
10/1-A-15	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-01-04	1978-06-23	FRIGG	NORTH SEA	ED50	59	52	30.70	N	2	3	41.76	E	59.875194	2.061600	6638039.090000	447459.740000	31	550	2013-05-08
10/1-A-16	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-03-24	1978-06-08	FRIGG	NORTH SEA	ED50	59	52	30.65	N	2	3	42.03	E	59.875181	2.061675	6638037.480000	447463.920000	31	551	2013-05-08
10/1-A-17	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-04-15	1978-05-27	FRIGG	NORTH SEA	ED50	59	52	30.80	N	2	3	41.83	E	59.875222	2.061619	6638042.170000	447460.870000	31	552	2013-05-08
10/1-A-18	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-03-28	1978-09-03	FRIGG	NORTH SEA	ED50	59	52	30.68	N	2	3	41.88	E	59.875189	2.061633	6638038.440000	447461.600000	31	553	2013-05-08
10/1-A-19	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-03-19	1978-06-02	FRIGG	NORTH SEA	ED50	59	52	30.71	N	2	3	42.08	E	59.875197	2.061689	6638039.330000	447464.720000	31	554	2013-05-08
2/4-A-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1978-09-18	1979-02-06	EKOFISK	NORTH SEA	ED50	56	31	15.15	N	3	13	23.04	E	56.520875	3.223067	6264215.670000	513725.150000	31	555	2013-05-08
10/1-A-20	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-07-03	1978-11-11	FRIGG	NORTH SEA	ED50	59	52	30.55	N	2	3	42.13	E	59.875153	2.061703	6638034.370000	447465.430000	31	556	2013-05-08
2/4-A-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-01-08	1975-02-23	EKOFISK	NORTH SEA	ED50	56	31	15.10	N	3	13	22.87	E	56.520861	3.223019	6264214.110000	513722.250000	31	557	2013-05-08
10/1-A-21	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-01-04	1978-10-02	FRIGG	NORTH SEA	ED50	59	52	30.68	N	2	3	42.22	E	59.875189	2.061728	6638038.370000	447466.890000	31	558	2013-05-08
2/4-A-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-03-28	1975-07-14	EKOFISK	NORTH SEA	ED50	56	31	15.06	N	3	13	22.72	E	56.520850	3.222978	6264212.870000	513719.690000	31	559	2013-05-08
10/1-A-22	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-01-22	1978-12-01	FRIGG	NORTH SEA	ED50	59	52	30.66	N	2	3	42.38	E	59.875183	2.061772	6638037.710000	447469.370000	31	560	2013-05-08
2/4-A-4	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-11-08	1980-01-22	EKOFISK	NORTH SEA	ED50	56	31	15.00	N	3	13	22.59	E	56.520833	3.222942	6264211.000000	513717.470000	31	561	2013-05-08
10/1-A-23	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-01-23	1978-11-05	FRIGG	NORTH SEA	ED50	59	52	30.59	N	2	3	42.33	E	59.875164	2.061758	6638035.560000	447468.560000	31	562	2013-05-08
10/1-A-24	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-01-20	1978-10-10	FRIGG	NORTH SEA	ED50	59	52	30.74	N	2	3	42.27	E	59.875206	2.061742	6638040.210000	447467.690000	31	563	2013-05-08
25/1-A-1	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-09-18	1979-06-22	FRIGG	NORTH SEA	ED50	59	53	9.39	N	2	4	20.65	E	59.885942	2.072403	6639227.410000	448081.320000	31	564	2013-05-08
25/1-A-2	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-09-22	1979-04-23	FRIGG	NORTH SEA	ED50	59	53	9.44	N	2	4	20.60	E	59.885956	2.072389	6639228.970000	448080.560000	31	565	2013-05-08
25/1-A-3	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	WATER	1978-09-13	1979-04-01	FRIGG	NORTH SEA	ED50	59	53	9.44	N	2	4	20.60	E	59.885956	2.072389	6639228.970000	448080.560000	31	566	2013-05-08
25/1-A-4	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1978-09-28	1979-02-24	FRIGG	NORTH SEA	ED50	59	53	9.33	N	2	4	20.71	E	59.885925	2.072419	6639225.540000	448082.220000	31	567	2013-05-08
25/1-A-5	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1978-10-12	1979-04-16	FRIGG	NORTH SEA	ED50	59	53	9.48	N	2	4	20.74	E	59.885967	2.072428	6639230.180000	448082.750000	31	568	2013-05-08
25/1-A-6	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-09-08	1979-02-10	FRIGG	NORTH SEA	ED50	59	53	9.54	N	2	4	20.68	E	59.885983	2.072411	6639232.050000	448081.850000	31	569	2013-05-08
25/1-A-7	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-10-08	1979-05-25	FRIGG	NORTH SEA	ED50	59	53	6.56	N	2	3	46.05	E	59.885156	2.062792	6639147.440000	447542.160000	31	570	2013-05-08
25/1-A-8	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-10-30	1979-05-20	FRIGG	NORTH SEA	ED50	59	53	9.37	N	2	4	20.86	E	59.885936	2.072461	6639226.750000	448084.570000	31	571	2013-05-08
25/1-A-9	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-09-01	1980-03-18	FRIGG	NORTH SEA	ED50	59	53	9.58	N	2	4	20.82	E	59.885994	2.072450	6639233.250000	448084.040000	31	572	2013-05-08
25/1-A-10	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-10-21	1979-03-13	FRIGG	NORTH SEA	ED50	59	53	9.52	N	2	4	20.88	E	59.885978	2.072467	6639231.390000	448084.950000	31	573	2013-05-08
25/1-A-11	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-10-02	1979-01-01	FRIGG	NORTH SEA	ED50	59	53	9.46	N	2	4	20.94	E	59.885961	2.072483	6639229.520000	448085.850000	31	574	2013-05-08
25/1-A-12	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-10-24	1979-06-29	FRIGG	NORTH SEA	ED50	59	53	9.40	N	2	4	21.46	E	59.885944	2.072628	6639227.550000	448093.910000	31	575	2013-05-08
2/4-A-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-10-26	1974-12-02	EKOFISK	NORTH SEA	ED50	56	31	14.96	N	3	13	22.41	E	56.520822	3.222892	6264209.760000	513714.400000	31	576	2013-05-08
2/4-A-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1984-01-18	1984-06-01	EKOFISK	NORTH SEA	ED50	56	31	15.24	N	3	13	22.98	E	56.520900	3.223050	6264218.450000	513724.120000	31	577	2013-05-08
25/1-A-13	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1978-01-06	1979-07-31	FRIGG	NORTH SEA	ED50	59	53	9.52	N	2	4	21.46	E	59.885978	2.072628	6639231.260000	448093.960000	31	578	2013-05-08
2/4-A-7	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-04-25	1974-06-12	EKOFISK	NORTH SEA	ED50	56	31	15.20	N	3	13	22.80	E	56.520889	3.223000	6264217.200000	513721.040000	31	579	2013-05-08
25/1-A-14	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1977-12-28	1978-07-12	FRIGG	NORTH SEA	ED50	59	53	0.90	N	2	4	14.43	E	59.883583	2.070675	6638966.140000	447980.930000	31	580	2013-05-08
2/4-A-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-06-12	1974-08-02	EKOFISK	NORTH SEA	ED50	56	31	15.15	N	3	13	22.66	E	56.520875	3.222961	6264215.650000	513718.660000	31	581	2013-05-08
25/1-A-15	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-01-11	1979-08-06	FRIGG	NORTH SEA	ED50	59	53	9.64	N	2	4	21.34	E	59.886011	2.072594	6639235.000000	448092.150000	31	582	2013-05-08
2/4-A-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-08-03	1974-09-07	EKOFISK	NORTH SEA	ED50	56	31	15.10	N	3	13	22.51	E	56.520861	3.222919	6264214.090000	513716.100000	31	583	2013-05-08
25/1-A-16	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1978-01-01	1978-08-01	FRIGG	NORTH SEA	ED50	59	53	9.69	N	2	4	21.28	E	59.886025	2.072578	6639236.560000	448091.240000	31	584	2013-05-08
2/4-A-10	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-07-27	1979-11-08	EKOFISK	NORTH SEA	ED50	56	31	15.06	N	3	13	22.33	E	56.520850	3.222869	6264212.840000	513713.020000	31	585	2013-05-08
25/1-A-17	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-12-28	1978-07-17	FRIGG	NORTH SEA	ED50	59	53	9.56	N	2	4	21.60	E	59.885989	2.072667	6639232.470000	448096.160000	31	586	2013-05-08
2/4-A-11	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-07-15	1975-08-20	EKOFISK	NORTH SEA	ED50	56	31	15.32	N	3	13	22.90	E	56.520922	3.223028	6264220.920000	513722.740000	31	587	2013-05-08
2/4-A-12	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-09-22	1986-08-31	EKOFISK	NORTH SEA	ED50	56	31	15.28	N	3	13	22.72	E	56.520911	3.222978	6264219.670000	513719.670000	31	588	2013-05-08
25/1-A-18	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1977-12-12	1978-08-21	FRIGG	NORTH SEA	ED50	59	53	9.62	N	2	4	21.54	E	59.886006	2.072650	6639234.340000	448095.250000	31	589	2013-05-08
2/4-A-13	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1973-11-13	1974-04-24	EKOFISK	NORTH SEA	ED50	56	31	15.24	N	3	13	22.55	E	56.520900	3.222931	6264218.420000	513716.770000	31	590	2013-05-08
25/1-A-19	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-12-17	1978-05-03	FRIGG	NORTH SEA	ED50	59	53	9.73	N	2	4	21.42	E	59.886036	2.072617	6639237.760000	448093.430000	31	591	2013-05-08
2/4-A-14	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-08-17	1975-09-22	EKOFISK	NORTH SEA	ED50	56	31	15.20	N	3	13	22.40	E	56.520889	3.222889	6264217.180000	513714.210000	31	592	2013-05-08
25/1-A-20	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1978-01-16	1978-05-02	FRIGG	NORTH SEA	ED50	59	53	9.67	N	2	4	21.48	E	59.886019	2.072633	6639235.890000	448094.340000	31	593	2013-05-08
25/1-A-21	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1977-11-15	1978-07-10	FRIGG	NORTH SEA	ED50	59	53	9.59	N	2	4	21.74	E	59.885997	2.072706	6639233.360000	448098.350000	31	594	2013-05-08
2/4-A-15	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-09-10	1974-10-26	EKOFISK	NORTH SEA	ED50	56	31	15.17	N	3	13	22.26	E	56.520881	3.222850	6264216.240000	513711.820000	31	595	2013-05-08
25/1-A-22	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1977-11-24	1978-09-01	FRIGG	NORTH SEA	ED50	59	53	9.77	N	2	4	21.53	E	59.886047	2.072647	6639238.980000	448095.160000	31	596	2013-05-08
25/1-A-23	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1977-11-10	1978-08-29	FRIGG	NORTH SEA	ED50	59	53	9.71	N	2	4	21.63	E	59.886031	2.072675	6639237.100000	448096.690000	31	597	2013-05-08
25/1-A-24	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1977-12-01	1979-07-09	FRIGG	NORTH SEA	ED50	59	53	9.65	N	2	4	21.68	E	59.886014	2.072689	6639235.230000	448097.440000	31	598	2013-05-08
2/4-B-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-05-20	1975-07-12	EKOFISK	NORTH SEA	ED50	56	33	54.86	N	3	12	14.26	E	56.565239	3.203961	6269150.220000	512534.930000	31	599	2013-05-08
2/4-B-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-03-17	1975-05-20	EKOFISK	NORTH SEA	ED50	56	33	54.83	N	3	12	14.08	E	56.565231	3.203911	6269149.280000	512531.860000	31	600	2013-05-08
2/4-B-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-06-28	1974-09-17	EKOFISK	NORTH SEA	ED50	56	33	54.79	N	3	12	13.90	E	56.565219	3.203861	6269148.030000	512528.790000	31	601	2013-05-08
2/4-B-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-05-31	1975-07-18	EKOFISK	NORTH SEA	ED50	56	33	54.68	N	3	12	13.57	E	56.565189	3.203769	6269144.620000	512523.170000	31	602	2013-05-08
2/4-B-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-03-22	1975-05-31	EKOFISK	NORTH SEA	ED50	56	33	54.65	N	3	12	13.43	E	56.565181	3.203731	6269143.680000	512520.780000	31	603	2013-05-08
25/1-B-1 H	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1982-01-17	1982-02-17	NORDØST FRIGG	NORTH SEA	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	604	2013-05-08
25/1-B-2 H	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1982-05-21	1983-06-30	NORDØST FRIGG	NORTH SEA	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	605	2013-05-08
2/4-B-7	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-02-28	1974-06-10	EKOFISK	NORTH SEA	ED50	56	33	54.66	N	3	12	13.27	E	56.565183	3.203686	6269143.980000	512518.050000	31	606	2013-05-08
25/1-B-3 H	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1982-07-26	1983-04-24	NORDØST FRIGG	NORTH SEA	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	607	2013-05-08
2/4-B-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-06-03	1979-08-28	EKOFISK	NORTH SEA	ED50	56	33	54.61	N	3	12	13.10	E	56.565169	3.203639	6269142.430000	512515.150000	31	608	2013-05-08
25/1-B-4 H	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1981-12-23	1982-03-20	NORDØST FRIGG	NORTH SEA	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	609	2013-05-08
25/1-B-5 H	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1982-08-04	1983-05-30	NORDØST FRIGG	NORTH SEA	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	610	2013-05-08
2/4-B-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1975-07-12	1975-08-20	EKOFISK	NORTH SEA	ED50	56	33	54.97	N	3	12	14.20	E	56.565269	3.203944	6269153.620000	512533.900000	31	611	2013-05-08
25/1-B-6 H	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1982-03-20	1982-05-21	NORDØST FRIGG	NORTH SEA	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	612	2013-05-08
2/4-B-9 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1984-04-15	1984-06-19	EKOFISK	NORTH SEA	ED50	56	33	54.97	N	3	12	14.20	E	56.565269	3.203944	6269153.620000	512533.900000	31	613	2013-05-08
25/1-B-7 H	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	\N	1982-09-26	1983-05-10	NORDØST FRIGG	NORTH SEA	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	614	2013-05-08
2/4-B-10	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-10-24	1975-02-03	EKOFISK	NORTH SEA	ED50	56	33	54.90	N	3	12	14.04	E	56.565250	3.203900	6269151.440000	512531.170000	31	615	2013-05-08
2/4-B-12	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1983-06-20	1983-10-25	EKOFISK	NORTH SEA	ED50	56	33	54.86	N	3	12	13.70	E	56.565239	3.203806	6269150.190000	512525.370000	31	616	2013-05-08
2/4-B-14	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-01-05	1975-02-03	EKOFISK	NORTH SEA	ED50	56	33	54.76	N	3	12	13.39	E	56.565211	3.203719	6269147.080000	512520.090000	31	617	2013-05-08
2/4-B-15	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1974-06-12	1974-10-15	EKOFISK	NORTH SEA	ED50	56	33	54.72	N	3	12	13.21	E	56.565200	3.203669	6269145.840000	512517.020000	31	618	2013-05-08
2/8-A-1	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1981-12-21	1982-07-30	VALHALL	NORTH SEA	ED50	56	16	41.07	N	3	23	43.94	E	56.278075	3.395539	6237237.870000	524492.600000	31	619	2013-05-08
2/4-B-16	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1980-06-10	1986-07-22	EKOFISK	NORTH SEA	ED50	56	33	54.68	N	3	12	13.04	E	56.565189	3.203622	6269144.590000	512514.120000	31	620	2013-05-08
2/8-A-2	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1982-04-03	1982-10-13	VALHALL	NORTH SEA	ED50	56	16	40.89	N	3	23	44.00	E	56.278025	3.395556	6237232.310000	524493.670000	31	621	2013-05-08
2/4-B-17	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-01-19	1974-06-26	EKOFISK	NORTH SEA	ED50	56	33	55.04	N	3	12	14.08	E	56.565289	3.203911	6269155.770000	512531.840000	31	622	2013-05-08
2/8-A-3	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1982-10-15	1982-12-14	VALHALL	NORTH SEA	ED50	56	16	41.08	N	3	23	44.30	E	56.278078	3.395639	6237238.210000	524498.800000	31	623	2013-05-08
2/4-B-18	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-09-20	1974-10-24	EKOFISK	NORTH SEA	ED50	56	33	55.02	N	3	12	13.97	E	56.565283	3.203881	6269155.150000	512529.970000	31	624	2013-05-08
2/4-B-19	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-12-16	1976-04-16	EKOFISK	NORTH SEA	ED50	56	33	54.98	N	3	12	13.80	E	56.565272	3.203833	6269153.900000	512527.070000	31	625	2013-05-08
2/8-A-4	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1982-12-17	1984-07-12	VALHALL	NORTH SEA	ED50	56	16	41.05	N	3	23	43.42	E	56.278069	3.395394	6237237.200000	524483.660000	31	626	2013-05-08
2/4-B-20	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1980-01-07	1980-06-06	EKOFISK	NORTH SEA	ED50	56	33	54.95	N	3	12	13.64	E	56.565264	3.203789	6269152.970000	512524.340000	31	627	2013-05-08
2/8-A-5	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1983-04-03	1983-10-04	VALHALL	NORTH SEA	ED50	56	16	41.05	N	3	23	43.68	E	56.278069	3.395467	6237237.220000	524488.140000	31	628	2013-05-08
2/4-B-21	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-07-21	1975-09-08	EKOFISK	NORTH SEA	ED50	56	33	54.91	N	3	12	13.47	E	56.565253	3.203742	6269151.720000	512521.440000	31	629	2013-05-08
2/8-A-6	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1983-07-19	1983-09-05	VALHALL	NORTH SEA	ED50	56	16	40.86	N	3	23	43.65	E	56.278017	3.395458	6237231.340000	524487.650000	31	630	2013-05-08
2/4-B-22	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-11-29	1975-01-05	EKOFISK	NORTH SEA	ED50	56	33	54.86	N	3	12	13.28	E	56.565239	3.203689	6269150.170000	512518.200000	31	631	2013-05-08
2/8-A-7	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1983-08-24	1983-10-21	VALHALL	NORTH SEA	ED50	56	16	40.94	N	3	23	43.68	E	56.278039	3.395467	6237233.820000	524488.160000	31	632	2013-05-08
2/4-B-23	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-10-15	1974-11-29	EKOFISK	NORTH SEA	ED50	56	33	54.83	N	3	12	13.14	E	56.565231	3.203650	6269149.230000	512515.820000	31	633	2013-05-08
2/8-A-8	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1983-10-15	1983-11-24	VALHALL	NORTH SEA	ED50	56	16	41.54	N	3	23	43.82	E	56.278206	3.395506	6237252.390000	524490.460000	31	634	2013-05-08
2/8-A-9	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1983-11-20	1984-01-16	VALHALL	NORTH SEA	ED50	56	16	40.92	N	3	23	43.55	E	56.278033	3.395431	6237233.190000	524485.920000	31	635	2013-05-08
2/8-A-10	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1984-01-18	1984-08-31	VALHALL	NORTH SEA	ED50	56	16	40.87	N	3	23	43.43	E	56.278019	3.395397	6237231.630000	524483.870000	31	636	2013-05-08
2/8-A-11	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1984-03-19	1984-05-22	VALHALL	NORTH SEA	ED50	56	16	41.39	N	3	23	43.73	E	56.278164	3.395481	6237247.740000	524488.940000	31	637	2013-05-08
2/8-A-12	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1984-07-13	1984-09-17	VALHALL	NORTH SEA	ED50	56	16	41.64	N	3	23	43.83	E	56.278233	3.395508	6237255.480000	524490.610000	31	638	2013-05-08
2/4-B-24	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-08-28	1979-11-19	EKOFISK	NORTH SEA	ED50	56	33	54.79	N	3	12	12.96	E	56.565219	3.203600	6269147.990000	512512.750000	31	639	2013-05-08
2/8-A-12 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1984-11-12	1984-12-06	VALHALL	NORTH SEA	ED50	56	16	41.64	N	3	23	43.83	E	56.278233	3.395508	6237255.480000	524490.610000	31	640	2013-05-08
2/8-A-13	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1984-05-23	1984-06-22	VALHALL	NORTH SEA	ED50	56	16	41.16	N	3	23	43.67	E	56.278100	3.395464	6237240.620000	524487.940000	31	641	2013-05-08
2/8-A-14	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1984-12-06	1985-03-02	VALHALL	NORTH SEA	ED50	56	16	40.92	N	3	23	43.33	E	56.278033	3.395369	6237233.170000	524482.140000	31	642	2013-05-08
2/8-A-15	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1985-01-09	1985-02-18	VALHALL	NORTH SEA	ED50	56	16	40.83	N	3	23	43.86	E	56.278008	3.395517	6237230.440000	524491.270000	31	643	2013-05-08
2/8-A-16	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1985-02-07	1985-03-13	VALHALL	NORTH SEA	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	644	2013-05-08
2/8-A-17	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1985-03-13	1985-05-19	VALHALL	NORTH SEA	ED50	56	16	41.10	N	3	23	43.55	E	56.278083	3.395431	6237238.760000	524485.890000	31	645	2013-05-08
2/8-A-18	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1985-05-03	1985-07-02	VALHALL	NORTH SEA	ED50	56	16	41.13	N	3	23	44.21	E	56.278092	3.395614	6237239.750000	524497.240000	31	646	2013-05-08
2/4-C-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-07-13	1975-09-15	EKOFISK	NORTH SEA	ED50	56	32	52.84	N	3	12	55.55	E	56.548011	3.215431	6267234.720000	513245.830000	31	647	2013-05-08
2/4-C-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	GAS	1974-11-28	1975-01-10	EKOFISK	NORTH SEA	ED50	56	32	52.87	N	3	12	55.69	E	56.548019	3.215469	6267235.650000	513248.220000	31	648	2013-05-08
2/4-C-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	GAS	1975-01-10	1975-02-10	EKOFISK	NORTH SEA	ED50	56	32	52.91	N	3	12	55.84	E	56.548031	3.215511	6267236.900000	513250.780000	31	649	2013-05-08
2/4-C-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	GAS	1974-08-14	1974-10-25	EKOFISK	NORTH SEA	ED50	56	32	52.98	N	3	12	56.20	E	56.548050	3.215611	6267239.080000	513256.920000	31	650	2013-05-08
2/4-C-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-04-23	1975-06-04	EKOFISK	NORTH SEA	ED50	56	32	52.76	N	3	12	55.62	E	56.547989	3.215450	6267232.250000	513247.040000	31	651	2013-05-08
2/4-C-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-07-08	1974-08-13	EKOFISK	NORTH SEA	ED50	56	32	52.80	N	3	12	55.91	E	56.548000	3.215531	6267233.500000	513251.980000	31	652	2013-05-08
2/4-C-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	GAS	1974-10-26	1974-11-28	EKOFISK	NORTH SEA	ED50	56	32	52.84	N	3	12	56.09	E	56.548011	3.215581	6267234.750000	513255.050000	31	653	2013-05-08
2/8-A-19	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1985-07-10	1985-10-15	VALHALL	NORTH SEA	ED50	56	16	41.20	N	3	23	44.11	E	56.278111	3.395586	6237241.900000	524495.510000	31	654	2013-05-08
2/4-C-10	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-09-15	1975-12-03	EKOFISK	NORTH SEA	ED50	56	32	52.87	N	3	12	56.27	E	56.548019	3.215631	6267235.690000	513258.130000	31	655	2013-05-08
30/10-A-1	Esso Exploration and Production Norway A/S	030	DEVELOPMENT	PRODUCTION	\N	1984-05-15	1984-07-25	ODIN	NORTH SEA	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	656	2013-05-08
30/10-A-2	Esso Exploration and Production Norway A/S	030	DEVELOPMENT	PRODUCTION	\N	1984-05-11	1984-07-03	ODIN	NORTH SEA	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	657	2013-05-08
30/10-A-3	Esso Exploration and Production Norway A/S	030	DEVELOPMENT	PRODUCTION	\N	1984-04-09	1984-05-11	ODIN	NORTH SEA	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	658	2013-05-08
2/4-C-12	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-03-21	1975-04-23	EKOFISK	NORTH SEA	ED50	56	32	52.69	N	3	12	55.84	E	56.547969	3.215511	6267230.100000	513250.800000	31	659	2013-05-08
30/10-A-4	Esso Exploration and Production Norway A/S	030	DEVELOPMENT	PRODUCTION	\N	1983-12-17	1984-02-23	ODIN	NORTH SEA	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	660	2013-05-08
2/4-C-13	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1974-01-12	1974-07-06	EKOFISK	NORTH SEA	ED50	56	32	52.76	N	3	12	55.98	E	56.547989	3.215550	6267232.270000	513253.180000	31	661	2013-05-08
30/10-A-5	Esso Exploration and Production Norway A/S	030	DEVELOPMENT	PRODUCTION	\N	1984-07-27	1984-08-18	ODIN	NORTH SEA	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	662	2013-05-08
2/4-C-14	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-02-10	1975-03-19	EKOFISK	NORTH SEA	ED50	56	32	52.80	N	3	12	56.16	E	56.548000	3.215600	6267233.520000	513256.250000	31	663	2013-05-08
30/10-A-7	Esso Exploration and Production Norway A/S	030	DEVELOPMENT	PRODUCTION	\N	1984-12-05	1984-12-28	ODIN	NORTH SEA	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	664	2013-05-08
2/4-C-15	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1975-06-04	1975-07-13	EKOFISK	NORTH SEA	ED50	56	32	52.80	N	3	12	56.30	E	56.548000	3.215639	6267233.520000	513258.650000	31	665	2013-05-08
30/10-A-8	Esso Exploration and Production Norway A/S	030	DEVELOPMENT	PRODUCTION	\N	1984-12-01	1984-12-24	ODIN	NORTH SEA	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	666	2013-05-08
30/10-A-9	Esso Exploration and Production Norway A/S	030	DEVELOPMENT	PRODUCTION	\N	1984-10-25	1985-01-26	ODIN	NORTH SEA	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	667	2013-05-08
30/10-A-10	Esso Exploration and Production Norway A/S	030	DEVELOPMENT	PRODUCTION	\N	1984-08-20	1984-10-25	ODIN	NORTH SEA	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	668	2013-05-08
30/10-A-11	Esso Exploration and Production Norway A/S	030	DEVELOPMENT	PRODUCTION	\N	1984-05-15	1984-07-25	ODIN	NORTH SEA	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	669	2013-05-08
2/4-K-4	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1984-04-29	1984-12-06	EKOFISK	NORTH SEA	ED50	56	33	55.94	N	3	12	22.93	E	56.565539	3.206369	6269184.050000	512682.840000	31	670	2013-05-08
30/10-A-12	Esso Exploration and Production Norway A/S	030	DEVELOPMENT	PRODUCTION	\N	1984-02-24	1984-04-08	ODIN	NORTH SEA	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	671	2013-05-08
2/4-K-13	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1984-12-05	1988-03-12	EKOFISK	NORTH SEA	ED50	56	33	56.08	N	3	12	23.08	E	56.565578	3.206411	6269188.390000	512685.390000	31	672	2013-05-08
2/4-K-22	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1985-07-01	1985-10-14	EKOFISK	NORTH SEA	ED50	56	33	56.20	N	3	12	23.17	E	56.565611	3.206436	6269192.100000	512686.920000	31	673	2013-05-08
25/4-A-1	Elf Petroleum Norge AS	036	DEVELOPMENT	PRODUCTION	\N	1985-06-06	1985-06-09	HEIMDAL	NORTH SEA	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	674	2013-05-08
25/4-A-2	Elf Petroleum Norge AS	036	DEVELOPMENT	PRODUCTION	GAS	1985-06-09	1986-07-03	HEIMDAL	NORTH SEA	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	675	2013-05-08
25/4-A-3	Elf Petroleum Norge AS	036	DEVELOPMENT	PRODUCTION	GAS	1985-06-28	1986-07-01	HEIMDAL	NORTH SEA	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	676	2013-05-08
25/4-A-4	Elf Petroleum Norge AS	036	DEVELOPMENT	INJECTION	WATER	1985-08-23	1985-12-06	HEIMDAL	NORTH SEA	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	677	2013-05-08
25/4-A-6	Elf Petroleum Norge AS	036	DEVELOPMENT	PRODUCTION	GAS	1985-06-02	1985-08-23	HEIMDAL	NORTH SEA	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	678	2013-05-08
2/4-D-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1976-09-01	1976-09-30	VEST EKOFISK	NORTH SEA	ED50	56	33	47.04	N	3	5	8.93	E	56.563067	3.085814	6268893.100000	505274.210000	31	679	2013-05-08
33/9-A-1	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1983-12-31	1984-09-05	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	680	2013-05-08
2/4-D-4	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1975-04-20	1975-06-07	VEST EKOFISK	NORTH SEA	ED50	56	33	46.92	N	3	5	8.45	E	56.563033	3.085681	6268889.380000	505266.020000	31	681	2013-05-08
33/9-A-2	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1982-10-03	1983-07-04	STATFJORD	NORTH SEA	ED50	61	15	20.99	N	1	51	15.14	E	61.255831	1.854206	6791983.980000	438526.890000	31	682	2013-05-08
2/4-D-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1976-04-16	1976-06-26	VEST EKOFISK	NORTH SEA	ED50	56	33	46.88	N	3	5	8.27	E	56.563022	3.085631	6268888.140000	505262.950000	31	683	2013-05-08
33/9-A-3	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	GAS	1980-01-18	1980-04-11	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	684	2013-05-08
2/4-D-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1975-06-07	1975-08-18	VEST EKOFISK	NORTH SEA	ED50	56	33	47.12	N	3	5	8.89	E	56.563089	3.085803	6268895.570000	505273.520000	31	685	2013-05-08
33/9-A-4	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1983-06-28	1983-12-07	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	686	2013-05-08
33/9-A-6	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1980-08-25	1980-10-14	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	687	2013-05-08
2/4-D-7	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1977-08-17	1977-09-20	VEST EKOFISK	NORTH SEA	ED50	56	33	47.08	N	3	5	8.71	E	56.563078	3.085753	6268894.330000	505270.450000	31	688	2013-05-08
33/9-A-7	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1980-04-12	1980-07-03	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	689	2013-05-08
2/4-D-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1975-08-16	1976-04-14	VEST EKOFISK	NORTH SEA	ED50	56	33	47.04	N	3	5	8.54	E	56.563067	3.085706	6268893.090000	505267.550000	31	690	2013-05-08
33/9-A-8	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	\N	1982-10-21	1983-01-16	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	691	2013-05-08
2/4-D-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1975-01-21	1975-04-20	VEST EKOFISK	NORTH SEA	ED50	56	33	47.00	N	3	5	8.37	E	56.563056	3.085658	6268891.850000	505264.650000	31	692	2013-05-08
2/4-D-10	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1976-09-30	1976-11-11	VEST EKOFISK	NORTH SEA	ED50	56	33	46.95	N	3	5	8.21	E	56.563042	3.085614	6268890.300000	505261.920000	31	693	2013-05-08
33/9-A-8 A	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	\N	1983-01-17	1983-02-03	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	694	2013-05-08
33/9-A-8 B	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	GAS	1983-02-05	1983-04-22	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	695	2013-05-08
2/4-D-11	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1977-03-26	1977-04-22	VEST EKOFISK	NORTH SEA	ED50	56	33	47.20	N	3	5	8.81	E	56.563111	3.085781	6268898.040000	505272.160000	31	696	2013-05-08
2/4-D-12	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1977-04-22	1977-06-01	VEST EKOFISK	NORTH SEA	ED50	56	33	47.17	N	3	5	8.64	E	56.563103	3.085733	6268897.110000	505269.250000	31	697	2013-05-08
33/9-A-9	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1982-05-30	1982-08-30	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	698	2013-05-08
33/9-A-11	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1984-11-01	1985-03-14	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	699	2013-05-08
2/4-D-13	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1977-02-06	1977-07-26	VEST EKOFISK	NORTH SEA	ED50	56	33	47.13	N	3	5	8.47	E	56.563092	3.085686	6268895.870000	505266.350000	31	700	2013-05-08
33/9-A-12	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1980-10-20	1980-12-10	STATFJORD	NORTH SEA	ED50	61	15	10.83	N	1	51	15.16	E	61.253008	1.854211	6791669.630000	438521.670000	31	701	2013-05-08
2/4-D-14	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1976-06-28	1976-09-01	VEST EKOFISK	NORTH SEA	ED50	56	33	47.08	N	3	5	8.31	E	56.563078	3.085642	6268894.320000	505263.620000	31	702	2013-05-08
33/9-A-13	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	\N	1984-05-23	1984-08-26	STATFJORD	NORTH SEA	ED50	61	15	20.80	N	1	51	15.30	E	61.255778	1.854250	6791978.060000	438529.170000	31	703	2013-05-08
33/9-A-14	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	\N	1982-04-20	1982-05-18	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	704	2013-05-08
33/9-A-16	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1980-12-10	1981-01-21	STATFJORD	NORTH SEA	ED50	61	15	20.78	N	1	51	14.96	E	61.255772	1.854156	6791967.890000	438508.870000	31	705	2013-05-08
33/9-A-18	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1982-01-19	1982-02-25	STATFJORD	NORTH SEA	ED50	61	15	20.73	N	1	51	15.24	E	61.255758	1.854233	6791975.910000	438528.240000	31	706	2013-05-08
33/9-A-19	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1981-10-18	1981-12-08	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	707	2013-05-08
33/9-A-20	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	\N	1980-07-03	1980-08-24	STATFJORD	NORTH SEA	ED50	61	15	20.72	N	1	51	14.90	E	61.255756	1.854139	6791975.690000	438523.170000	31	708	2013-05-08
33/9-A-22	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	\N	1984-09-07	1984-10-30	STATFJORD	NORTH SEA	ED50	61	15	19.99	N	1	51	14.09	E	61.255553	1.853914	6791953.310000	438510.700000	31	709	2013-05-08
33/9-A-23	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	\N	1979-03-12	1979-05-01	STATFJORD	NORTH SEA	ED50	61	15	19.96	N	1	51	14.24	E	61.255544	1.853956	6791952.350000	438512.920000	31	710	2013-05-08
33/9-A-25	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	\N	1984-02-16	1984-05-01	STATFJORD	NORTH SEA	ED50	61	15	19.95	N	1	51	13.90	E	61.255542	1.853861	6791952.130000	438507.850000	31	711	2013-05-08
33/9-A-28	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1985-02-07	1985-03-13	STATFJORD	NORTH SEA	ED50	61	15	19.86	N	1	51	14.33	E	61.255517	1.853981	6791949.230000	438514.200000	31	712	2013-05-08
33/9-A-29	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1979-05-01	1979-06-29	STATFJORD	NORTH SEA	ED50	61	15	19.83	N	1	51	14.46	E	61.255508	1.854017	6791948.270000	438516.130000	31	713	2013-05-08
33/9-A-30	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	\N	1983-04-26	1984-01-01	STATFJORD	NORTH SEA	ED50	61	15	19.88	N	1	51	13.40	E	61.255522	1.853722	6791950.090000	438500.360000	31	714	2013-05-08
33/9-A-31	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	\N	1982-07-25	1982-10-20	STATFJORD	NORTH SEA	ED50	61	15	19.85	N	1	51	13.98	E	61.255514	1.853883	6791949.010000	438508.980000	31	715	2013-05-08
2/4-E-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-03-22	1979-06-01	TOR	NORTH SEA	ED50	56	38	31.30	N	3	19	37.62	E	56.642028	3.327117	6277727.020000	520062.990000	31	716	2013-05-08
33/9-A-32	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	\N	1982-03-24	1982-04-18	STATFJORD	NORTH SEA	ED50	61	15	19.82	N	1	51	14.12	E	61.255506	1.853922	6791948.050000	438511.050000	31	717	2013-05-08
2/4-E-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1979-07-19	1979-09-12	TOR	NORTH SEA	ED50	56	38	31.27	N	3	19	37.46	E	56.642019	3.327072	6277726.080000	520060.270000	31	718	2013-05-08
33/9-A-33	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1979-01-09	1979-03-10	STATFJORD	NORTH SEA	ED50	61	15	19.79	N	1	51	14.26	E	61.255497	1.853961	6791947.080000	438513.120000	31	719	2013-05-08
2/4-E-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-06-03	1979-07-17	TOR	NORTH SEA	ED50	56	38	31.24	N	3	19	37.28	E	56.642011	3.327022	6277725.130000	520057.210000	31	720	2013-05-08
33/9-A-34	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1983-07-05	1983-10-25	STATFJORD	NORTH SEA	ED50	61	15	19.77	N	1	51	14.40	E	61.255492	1.854000	6791946.430000	438515.200000	31	721	2013-05-08
33/9-A-36	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	\N	1985-07-21	1985-09-22	STATFJORD	NORTH SEA	ED50	61	15	19.78	N	1	51	13.93	E	61.255494	1.853869	6791946.860000	438508.200000	31	722	2013-05-08
2/4-E-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1978-09-23	1978-11-23	TOR	NORTH SEA	ED50	56	38	31.17	N	3	19	36.94	E	56.641992	3.326928	6277722.940000	520051.430000	31	723	2013-05-08
33/9-A-37	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1981-11-25	1982-01-10	STATFJORD	NORTH SEA	ED50	61	15	19.76	N	1	51	14.06	E	61.255489	1.853906	6791946.210000	438510.130000	31	724	2013-05-08
33/9-A-38	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1979-06-29	1979-11-19	STATFJORD	NORTH SEA	ED50	61	15	19.73	N	1	51	14.20	E	61.255481	1.853944	6791945.240000	438512.200000	31	725	2013-05-08
33/9-A-39	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	GAS	1981-07-05	1981-10-19	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	726	2013-05-08
33/9-A-41	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1981-04-04	1981-07-02	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	727	2013-05-08
33/9-A-42	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	GAS	1981-01-22	1981-05-26	STATFJORD	NORTH SEA	ED50	61	15	19.66	N	1	51	14.15	E	61.255461	1.853931	6791943.090000	438511.410000	31	728	2013-05-08
2/4-E-7	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-09-13	1980-02-25	TOR	NORTH SEA	ED50	56	38	31.40	N	3	19	37.56	E	56.642056	3.327100	6277730.100000	520061.960000	31	729	2013-05-08
2/4-E-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1981-09-09	1981-11-12	TOR	NORTH SEA	ED50	56	38	31.36	N	3	19	37.39	E	56.642044	3.327053	6277728.850000	520059.070000	31	730	2013-05-08
33/12-B-1	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1985-04-06	1985-06-01	STATFJORD	NORTH SEA	ED50	61	12	25.28	N	1	49	52.27	E	61.207022	1.831186	6786569.540000	437194.740000	31	731	2013-05-08
33/12-B-3	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1983-11-19	1983-12-27	STATFJORD	NORTH SEA	ED50	61	12	25.21	N	1	49	52.54	E	61.207003	1.831261	6786567.300000	437198.730000	31	732	2013-05-08
2/4-E-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1977-05-01	1977-07-25	TOR	NORTH SEA	ED50	56	38	31.33	N	3	19	37.22	E	56.642036	3.327006	6277727.910000	520056.170000	31	733	2013-05-08
2/4-E-10	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1977-02-03	1977-04-05	TOR	NORTH SEA	ED50	56	38	31.29	N	3	19	37.06	E	56.642025	3.326961	6277726.660000	520053.450000	31	734	2013-05-08
33/12-B-4	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1985-01-07	1985-03-03	STATFJORD	NORTH SEA	ED50	61	12	25.25	N	1	49	52.07	E	61.207014	1.831131	6786568.670000	437191.740000	31	735	2013-05-08
2/4-E-12	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1978-02-06	1979-01-11	TOR	NORTH SEA	ED50	56	38	31.24	N	3	19	36.71	E	56.642011	3.326864	6277725.090000	520047.500000	31	736	2013-05-08
2/4-E-13	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1977-07-29	1977-11-18	TOR	NORTH SEA	ED50	56	38	31.49	N	3	19	37.50	E	56.642081	3.327083	6277732.880000	520060.920000	31	737	2013-05-08
2/4-E-14	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1980-04-01	1980-09-11	TOR	NORTH SEA	ED50	56	38	31.46	N	3	19	37.33	E	56.642072	3.327036	6277731.940000	520058.030000	31	738	2013-05-08
33/12-B-7	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1984-06-01	1984-07-16	STATFJORD	NORTH SEA	ED50	61	12	25.15	N	1	49	52.48	E	61.206986	1.831244	6786565.460000	437197.800000	31	739	2013-05-08
2/4-E-15	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1977-04-28	1977-04-30	TOR	NORTH SEA	ED50	56	38	31.42	N	3	19	37.17	E	56.642061	3.326992	6277730.690000	520055.310000	31	740	2013-05-08
33/12-B-8	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1983-09-29	1983-12-31	STATFJORD	NORTH SEA	ED50	61	12	25.12	N	1	49	52.61	E	61.206978	1.831281	6786564.500000	437199.720000	31	741	2013-05-08
2/4-E-16	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1977-11-25	1978-01-27	TOR	NORTH SEA	ED50	56	38	31.39	N	3	19	36.99	E	56.642053	3.326942	6277729.750000	520052.250000	31	742	2013-05-08
33/12-B-9	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1984-02-22	1984-04-15	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	743	2013-05-08
2/4-E-17	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-01-11	1979-03-22	TOR	NORTH SEA	ED50	56	38	31.36	N	3	19	36.82	E	56.642044	3.326894	6277728.810000	520049.350000	31	744	2013-05-08
33/12-B-10	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1984-10-20	1984-11-17	STATFJORD	NORTH SEA	ED50	61	12	25.15	N	1	49	52.14	E	61.206986	1.831150	6786565.550000	437192.720000	31	745	2013-05-08
33/12-B-17	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1982-10-21	1982-12-09	STATFJORD	NORTH SEA	ED50	61	12	25.02	N	1	49	52.34	E	61.206950	1.831206	6786561.480000	437195.640000	31	746	2013-05-08
33/12-B-18	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	GAS	1983-04-09	1983-06-20	STATFJORD	NORTH SEA	ED50	61	12	24.99	N	1	49	52.48	E	61.206942	1.831244	6786560.510000	437197.710000	31	747	2013-05-08
33/12-B-21	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1983-01-13	1983-03-03	STATFJORD	NORTH SEA	ED50	61	12	24.95	N	1	49	52.27	E	61.206931	1.831186	6786559.330000	437194.550000	31	748	2013-05-08
33/12-B-23	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1982-10-12	1983-01-03	STATFJORD	NORTH SEA	ED50	61	12	24.10	N	1	49	51.19	E	61.206694	1.830886	6786533.320000	437177.960000	31	749	2013-05-08
33/12-B-24	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1982-04-11	1982-10-31	STATFJORD	NORTH SEA	ED50	61	12	24.07	N	1	49	51.33	E	61.206686	1.830925	6786532.350000	437180.040000	31	750	2013-05-08
33/12-B-25	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1984-01-01	1984-10-20	STATFJORD	NORTH SEA	ED50	61	12	24.11	N	1	49	50.85	E	61.206697	1.830792	6786533.720000	437172.900000	31	751	2013-05-08
33/12-B-26	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1984-11-17	1985-01-07	STATFJORD	NORTH SEA	ED50	61	12	24.07	N	1	49	50.99	E	61.206686	1.830831	6786532.450000	437174.960000	31	752	2013-05-08
2/4-F-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1981-08-11	1982-03-31	ALBUSKJELL	NORTH SEA	ED50	56	37	13.92	N	3	3	13.05	E	56.620533	3.053625	6275287.850000	503290.850000	31	753	2013-05-08
33/12-B-30	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1983-12-17	1984-09-16	STATFJORD	NORTH SEA	ED50	61	12	24.04	N	1	49	50.78	E	61.206678	1.830772	6786531.570000	437171.810000	31	754	2013-05-08
33/12-B-31	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1985-03-08	1985-04-04	STATFJORD	NORTH SEA	ED50	61	12	24.01	N	1	49	50.92	E	61.206669	1.830811	6786530.610000	437173.890000	31	755	2013-05-08
33/12-B-32	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1983-03-04	1983-04-08	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	756	2013-05-08
33/12-B-34	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	GAS	1982-08-22	1982-11-05	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	757	2013-05-08
33/12-B-37	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1983-06-09	1983-08-09	STATFJORD	NORTH SEA	ED50	61	12	23.91	N	1	49	50.99	E	61.206642	1.830831	6786527.500000	437174.870000	31	758	2013-05-08
33/12-B-38	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	\N	1982-07-05	1982-10-29	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	759	2013-05-08
2/4-F-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1979-09-07	1979-09-11	ALBUSKJELL	NORTH SEA	ED50	56	37	13.93	N	3	3	14.21	E	56.620536	3.053947	6275288.170000	503310.620000	31	760	2013-05-08
2/4-F-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1979-09-11	1979-12-04	ALBUSKJELL	NORTH SEA	ED50	56	37	13.21	N	3	3	14.07	E	56.620336	3.053908	6275265.910000	503308.260000	31	761	2013-05-08
33/12-B-39	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1985-06-01	1985-07-24	STATFJORD	NORTH SEA	ED50	61	12	23.84	N	1	49	51.26	E	61.206622	1.830906	6786525.260000	437178.870000	31	762	2013-05-08
33/12-B-41	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1983-08-26	1983-11-18	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	763	2013-05-08
2/4-F-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1981-05-11	1981-08-10	ALBUSKJELL	NORTH SEA	ED50	56	37	13.34	N	3	3	14.36	E	56.620372	3.053989	6275269.930000	503313.200000	31	764	2013-05-08
2/4-F-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1978-10-16	1979-05-18	ALBUSKJELL	NORTH SEA	ED50	56	37	13.31	N	3	3	14.19	E	56.620364	3.053942	6275269.000000	503310.300000	31	765	2013-05-08
2/4-F-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1981-02-24	1981-04-23	ALBUSKJELL	NORTH SEA	ED50	56	37	13.21	N	3	3	13.86	E	56.620336	3.053850	6275265.910000	503304.680000	31	766	2013-05-08
33/9-C-12	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1985-08-08	1985-09-22	STATFJORD	NORTH SEA	ED50	61	17	47.98	N	1	54	11.25	E	61.296661	1.903125	6796486.770000	441227.650000	31	767	2013-05-08
33/9-C-13	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER/GAS	1985-05-13	1985-06-19	STATFJORD	NORTH SEA	ED50	61	17	47.95	N	1	54	11.39	E	61.296653	1.903164	6796485.810000	441229.720000	31	768	2013-05-08
2/4-F-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1980-08-01	1981-02-16	ALBUSKJELL	NORTH SEA	ED50	56	37	13.92	N	3	3	13.30	E	56.620533	3.053694	6275287.850000	503295.110000	31	769	2013-05-08
6507/7-U-6	Norske Conoco A/S	\N	SHALLOW	\N	\N	1987-06-24	1987-06-25	\N	NORWEGIAN SEA	ED50	65	19	32.79	N	7	18	57.37	E	65.325775	7.315936	7245991.950000	421556.980000	32	1113	2013-05-08
33/9-C-21	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1985-04-15	1985-05-13	STATFJORD	NORTH SEA	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	770	2013-05-08
2/4-F-10	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1978-04-22	1979-01-25	ALBUSKJELL	NORTH SEA	ED50	56	37	13.34	N	3	3	14.14	E	56.620372	3.053928	6275269.930000	503309.450000	31	771	2013-05-08
33/9-C-33	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1985-01-04	1985-02-18	STATFJORD	NORTH SEA	ED50	61	17	46.79	N	1	54	10.21	E	61.296331	1.902836	6796450.210000	441211.560000	31	772	2013-05-08
2/4-F-12	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1980-05-06	1980-07-30	ALBUSKJELL	NORTH SEA	ED50	56	37	13.31	N	3	3	13.81	E	56.620364	3.053836	6275269.000000	503303.820000	31	773	2013-05-08
33/9-C-34	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	GAS	1984-12-21	1985-03-25	STATFJORD	NORTH SEA	ED50	61	17	46.76	N	1	54	10.35	E	61.296322	1.902875	6796449.250000	441213.620000	31	774	2013-05-08
2/4-F-15	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1978-08-17	1978-10-16	ALBUSKJELL	NORTH SEA	ED50	56	37	13.41	N	3	3	13.93	E	56.620392	3.053869	6275272.090000	503305.860000	31	775	2013-05-08
33/9-C-38	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1984-12-30	1985-04-15	STATFJORD	NORTH SEA	ED50	61	17	46.72	N	1	54	10.15	E	61.296311	1.902819	6796448.060000	441210.630000	31	776	2013-05-08
2/4-F-16	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1980-02-04	1980-04-28	ALBUSKJELL	NORTH SEA	ED50	56	37	13.34	N	3	3	13.76	E	56.620372	3.053822	6275269.930000	503302.970000	31	777	2013-05-08
33/9-C-42	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	\N	1985-06-19	1985-08-07	STATFJORD	NORTH SEA	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	778	2013-05-08
2/4-F-18	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1979-12-04	1980-02-01	ALBUSKJELL	NORTH SEA	ED50	56	37	13.50	N	3	3	14.04	E	56.620417	3.053900	6275274.880000	503307.740000	31	779	2013-05-08
2/4-F-20	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1979-01-31	1979-09-07	ALBUSKJELL	NORTH SEA	ED50	56	37	13.44	N	3	3	13.71	E	56.620400	3.053808	6275273.020000	503302.110000	31	780	2013-05-08
2/7-A-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1978-11-05	1978-12-26	ELDFISK	NORTH SEA	ED50	56	22	36.30	N	3	15	57.89	E	56.376750	3.266081	6248182.610000	516433.850000	31	781	2013-05-08
2/7-A-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-09-01	1979-12-07	ELDFISK	NORTH SEA	ED50	56	22	36.27	N	3	15	57.74	E	56.376742	3.266039	6248181.680000	516431.280000	31	782	2013-05-08
2/7-A-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1979-10-20	1980-02-06	ELDFISK	NORTH SEA	ED50	56	22	36.41	N	3	15	57.86	E	56.376781	3.266072	6248186.010000	516433.320000	31	783	2013-05-08
2/7-A-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1978-05-02	1979-01-04	ELDFISK	NORTH SEA	ED50	56	22	36.34	N	3	15	57.69	E	56.376761	3.266025	6248183.840000	516430.410000	31	784	2013-05-08
2/7-A-7	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1980-09-08	1980-11-14	ELDFISK	NORTH SEA	ED50	56	22	36.48	N	3	15	58.03	E	56.376800	3.266119	6248188.190000	516436.230000	31	785	2013-05-08
2/7-A-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1978-05-21	1979-01-29	ELDFISK	NORTH SEA	ED50	56	22	36.41	N	3	15	57.67	E	56.376781	3.266019	6248186.000000	516430.060000	31	786	2013-05-08
2/7-A-10	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1980-11-15	1980-12-28	ELDFISK	NORTH SEA	ED50	56	22	36.55	N	3	15	57.96	E	56.376819	3.266100	6248190.350000	516435.020000	31	787	2013-05-08
2/7-A-11	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-12-22	1980-06-18	ELDFISK	NORTH SEA	ED50	56	22	36.52	N	3	15	57.78	E	56.376811	3.266050	6248189.410000	516431.940000	31	788	2013-05-08
2/7-A-12	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1978-05-30	1979-02-19	ELDFISK	NORTH SEA	ED50	56	22	36.48	N	3	15	57.60	E	56.376800	3.266000	6248188.160000	516428.850000	31	789	2013-05-08
2/7-A-14	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1979-04-05	1979-07-11	ELDFISK	NORTH SEA	ED50	56	22	36.59	N	3	15	57.71	E	56.376831	3.266031	6248191.570000	516430.730000	31	790	2013-05-08
2/7-A-15	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1978-06-07	1996-05-09	ELDFISK	NORTH SEA	ED50	56	22	36.58	N	3	15	57.54	E	56.376828	3.265983	6248191.250000	516427.810000	31	791	2013-05-08
2/7-A-16	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1978-05-15	1979-11-05	ELDFISK	NORTH SEA	ED50	56	22	36.09	N	3	15	56.92	E	56.376692	3.265811	6248176.060000	516417.230000	31	792	2013-05-08
2/7-A-18	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1979-05-19	1979-07-23	ELDFISK	NORTH SEA	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	793	2013-05-08
2/7-A-19	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1978-05-01	1979-04-24	ELDFISK	NORTH SEA	ED50	56	22	36.16	N	3	15	56.87	E	56.376711	3.265797	6248178.220000	516416.370000	31	794	2013-05-08
2/7-A-20	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1978-07-25	1979-05-14	ELDFISK	NORTH SEA	ED50	56	22	36.15	N	3	15	56.71	E	56.376708	3.265753	6248177.900000	516413.620000	31	795	2013-05-08
2/7-A-21	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1979-01-08	1979-05-19	ELDFISK	NORTH SEA	ED50	56	22	36.08	N	3	15	56.54	E	56.376689	3.265706	6248175.720000	516410.720000	31	796	2013-05-08
2/7-A-21 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1982-11-15	1983-01-14	ELDFISK	NORTH SEA	ED50	56	22	36.08	N	3	15	56.54	E	56.376689	3.265706	6248175.720000	516410.720000	31	797	2013-05-08
2/7-A-22	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1978-05-29	2000-08-13	ELDFISK	NORTH SEA	ED50	56	22	36.22	N	3	15	56.84	E	56.376728	3.265789	6248180.070000	516415.850000	31	798	2013-05-08
2/7-A-23	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1979-11-19	1980-03-17	ELDFISK	NORTH SEA	ED50	56	22	36.19	N	3	15	56.66	E	56.376719	3.265739	6248179.130000	516412.760000	31	799	2013-05-08
2/7-A-24	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1979-11-26	1980-01-18	ELDFISK	NORTH SEA	ED50	56	22	36.15	N	3	15	56.49	E	56.376708	3.265692	6248177.880000	516409.850000	31	800	2013-05-08
2/7-A-25	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1978-06-05	1979-01-08	ELDFISK	NORTH SEA	ED50	56	22	36.26	N	3	15	56.81	E	56.376739	3.265781	6248181.310000	516415.330000	31	801	2013-05-08
2/7-A-26	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1978-10-08	1978-12-20	ELDFISK	NORTH SEA	ED50	56	22	36.26	N	3	15	56.63	E	56.376739	3.265731	6248181.290000	516412.240000	31	802	2013-05-08
2/7-A-27	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1980-08-22	1980-10-09	ELDFISK	NORTH SEA	ED50	56	22	36.25	N	3	15	56.44	E	56.376736	3.265678	6248180.970000	516408.980000	31	803	2013-05-08
2/7-A-28	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1978-06-13	1980-12-15	ELDFISK	NORTH SEA	ED50	56	22	36.36	N	3	15	56.72	E	56.376767	3.265756	6248184.390000	516413.770000	31	804	2013-05-08
2/7-A-29	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1981-10-01	1982-01-02	ELDFISK	NORTH SEA	ED50	56	22	36.32	N	3	15	56.57	E	56.376756	3.265714	6248183.140000	516411.200000	31	805	2013-05-08
2/7-A-30	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1980-06-18	1980-08-21	ELDFISK	NORTH SEA	ED50	56	22	36.32	N	3	15	56.39	E	56.376756	3.265664	6248183.130000	516408.110000	31	806	2013-05-08
2/7-B-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1980-04-04	1980-09-29	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	6.44	E	56.419161	3.218456	6252892.980000	513477.420000	31	807	2013-05-08
2/7-B-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1985-04-18	1985-09-13	ELDFISK	NORTH SEA	ED50	56	25	8.85	N	3	13	6.13	E	56.419125	3.218369	6252888.950000	513472.120000	31	808	2013-05-08
2/7-B-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1983-09-13	1984-01-14	ELDFISK	NORTH SEA	ED50	56	25	9.59	N	3	13	6.22	E	56.419331	3.218394	6252911.830000	513473.590000	31	809	2013-05-08
2/7-B-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1980-09-29	1981-04-26	ELDFISK	NORTH SEA	ED50	56	25	8.97	N	3	13	6.22	E	56.419158	3.218394	6252892.660000	513473.650000	31	810	2013-05-08
2/7-B-7	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1981-05-10	1981-07-05	ELDFISK	NORTH SEA	ED50	56	25	8.95	N	3	13	6.08	E	56.419153	3.218356	6252892.040000	513471.250000	31	811	2013-05-08
2/7-B-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1981-07-06	1981-08-06	ELDFISK	NORTH SEA	ED50	56	25	9.60	N	3	13	5.32	E	56.419333	3.218144	6252912.090000	513458.160000	31	812	2013-05-08
2/7-B-10	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-10-08	1980-01-09	ELDFISK	NORTH SEA	ED50	56	25	9.05	N	3	13	6.18	E	56.419181	3.218383	6252895.130000	513472.950000	31	813	2013-05-08
2/7-B-11	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-04-20	1979-07-02	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	6.03	E	56.419161	3.218342	6252892.960000	513470.390000	31	814	2013-05-08
2/7-B-12	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1981-08-10	1982-09-26	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	5.53	E	56.419161	3.218203	6252892.930000	513461.820000	31	815	2013-05-08
2/7-B-13	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1984-08-18	1984-11-10	ELDFISK	NORTH SEA	ED50	56	25	9.14	N	3	13	6.30	E	56.419206	3.218417	6252897.920000	513475.000000	31	816	2013-05-08
2/7-B-14	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1979-07-02	1979-08-19	ELDFISK	NORTH SEA	ED50	56	25	9.11	N	3	13	6.13	E	56.419197	3.218369	6252896.980000	513472.090000	31	817	2013-05-08
2/7-B-17	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1984-05-24	1984-07-29	ELDFISK	NORTH SEA	ED50	56	25	9.21	N	3	13	6.25	E	56.419225	3.218403	6252900.080000	513474.140000	31	818	2013-05-08
2/7-B-18	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1980-01-28	1980-03-29	ELDFISK	NORTH SEA	ED50	56	25	9.18	N	3	13	6.06	E	56.419217	3.218350	6252899.150000	513470.880000	31	819	2013-05-08
2/7-B-19	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1979-08-19	1979-10-08	ELDFISK	NORTH SEA	ED50	56	25	9.17	N	3	13	5.90	E	56.419214	3.218306	6252898.830000	513468.140000	31	820	2013-05-08
2/7-B-20	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1983-03-04	1983-05-12	ELDFISK	NORTH SEA	ED50	56	25	9.13	N	3	13	5.74	E	56.419203	3.218261	6252897.580000	513465.410000	31	821	2013-05-08
2/7-C-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-03-09	1979-05-20	EDDA	NORTH SEA	ED50	56	27	52.76	N	3	6	16.17	E	56.464656	3.104492	6257940.450000	506438.830000	31	822	2013-05-08
2/7-C-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1980-05-28	1980-07-04	EDDA	NORTH SEA	ED50	56	27	52.75	N	3	6	15.99	E	56.464653	3.104442	6257940.130000	506435.750000	31	823	2013-05-08
2/7-C-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-07-02	1979-09-03	EDDA	NORTH SEA	ED50	56	27	52.84	N	3	6	16.10	E	56.464678	3.104472	6257942.920000	506437.620000	31	824	2013-05-08
2/7-C-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1980-07-04	1980-09-04	EDDA	NORTH SEA	ED50	56	27	52.81	N	3	6	15.94	E	56.464669	3.104428	6257941.990000	506434.890000	31	825	2013-05-08
2/7-C-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1980-01-24	1980-03-13	EDDA	NORTH SEA	ED50	56	27	52.91	N	3	6	16.05	E	56.464697	3.104458	6257945.080000	506436.770000	31	826	2013-05-08
2/7-C-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-09-03	1979-10-15	EDDA	NORTH SEA	ED50	56	27	52.88	N	3	6	15.88	E	56.464689	3.104411	6257944.150000	506433.860000	31	827	2013-05-08
2/7-C-10	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1980-09-06	1980-11-03	EDDA	NORTH SEA	ED50	56	27	53.00	N	3	6	16.14	E	56.464722	3.104483	6257947.870000	506438.300000	31	828	2013-05-08
2/7-C-11	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-10-15	1980-01-16	EDDA	NORTH SEA	ED50	56	27	52.97	N	3	6	15.99	E	56.464714	3.104442	6257946.940000	506435.740000	31	829	2013-05-08
2/7-C-14	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1979-05-20	1979-07-02	EDDA	NORTH SEA	ED50	56	27	53.04	N	3	6	15.93	E	56.464733	3.104425	6257949.100000	506434.710000	31	830	2013-05-08
2/7-C-15	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1980-03-13	1980-05-19	EDDA	NORTH SEA	ED50	56	27	53.00	N	3	6	15.77	E	56.464722	3.104381	6257947.860000	506431.970000	31	831	2013-05-08
7/11-A-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1977-05-08	1977-06-06	COD	NORTH SEA	ED50	57	4	10.04	N	2	26	5.22	E	57.069456	2.434783	6325401.170000	465726.810000	31	832	2013-05-08
7/11-A-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1977-01-31	1977-03-30	COD	NORTH SEA	ED50	57	4	10.00	N	2	26	5.06	E	57.069444	2.434739	6325399.950000	465724.110000	31	833	2013-05-08
7/11-A-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1976-12-12	1977-02-10	COD	NORTH SEA	ED50	57	4	9.96	N	2	26	4.89	E	57.069433	2.434692	6325398.740000	465721.240000	31	834	2013-05-08
7/11-A-4	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1977-09-01	1977-09-30	COD	NORTH SEA	ED50	57	4	10.13	N	2	26	5.15	E	57.069481	2.434764	6325403.960000	465725.660000	31	835	2013-05-08
7/11-A-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1976-10-22	1976-12-08	COD	NORTH SEA	ED50	57	4	10.09	N	2	26	4.98	E	57.069469	2.434717	6325402.750000	465722.780000	31	836	2013-05-08
7/11-A-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1985-07-07	1985-08-15	COD	NORTH SEA	ED50	57	4	10.04	N	2	26	4.82	E	57.069456	2.434672	6325401.220000	465720.080000	31	837	2013-05-08
7/11-A-7	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1976-08-23	1976-10-21	COD	NORTH SEA	ED50	57	4	10.22	N	2	26	5.08	E	57.069506	2.434744	6325406.750000	465724.500000	31	838	2013-05-08
7/11-A-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1977-07-04	1977-08-22	COD	NORTH SEA	ED50	57	4	10.18	N	2	26	4.91	E	57.069494	2.434697	6325405.540000	465721.630000	31	839	2013-05-08
7/11-A-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1977-03-30	1977-05-03	COD	NORTH SEA	ED50	57	4	10.14	N	2	26	4.75	E	57.069483	2.434653	6325404.330000	465718.920000	31	840	2013-05-08
33/12-3	Mobil Exploration Norway INC	037	EXPLORATION	APPRAISAL	DRY	1975-04-23	1975-05-16	STATFJORD	NORTH SEA	ED50	61	14	19.64	N	1	53	25.80	E	61.238789	1.890500	6790052.240000	440441.760000	31	841	2013-05-08
33/12-B-5	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1985-07-24	1985-09-01	STATFJORD	NORTH SEA	ED50	61	12	25.22	N	1	49	52.20	E	61.207006	1.831167	6786567.700000	437193.660000	31	842	2013-05-08
33/12-B-13	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1985-09-24	1985-11-10	STATFJORD	NORTH SEA	ED50	61	12	25.05	N	1	49	52.54	E	61.206958	1.831261	6786562.350000	437198.640000	31	843	2013-05-08
33/9-A-26	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1985-12-14	1986-01-29	STATFJORD	NORTH SEA	ED50	61	15	19.92	N	1	51	14.04	E	61.255533	1.853900	6791951.160000	438509.920000	31	844	2013-05-08
33/9-A-15	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	\N	1985-09-11	1985-10-12	STATFJORD	NORTH SEA	ED50	61	15	20.81	N	1	51	14.82	E	61.255781	1.854117	6791978.490000	438522.020000	31	845	2013-05-08
33/9-C-28	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1985-09-22	1985-10-17	STATFJORD	NORTH SEA	ED50	61	17	46.86	N	1	54	10.27	E	61.296350	1.902853	6796452.360000	441212.490000	31	846	2013-05-08
30/9-B-21	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1985-09-22	1986-01-13	OSEBERG	NORTH SEA	ED50	60	29	36.17	N	2	49	42.76	E	60.493381	2.828544	6706530.070000	490578.900000	31	847	2013-05-08
33/9-C-7	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1985-10-18	1985-11-24	STATFJORD	NORTH SEA	ED50	61	17	48.04	N	1	54	11.31	E	61.296678	1.903142	6796488.610000	441228.580000	31	848	2013-05-08
30/6-17 R	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	OIL/GAS	1985-11-14	1986-02-04	OSEBERG	NORTH SEA	ED50	60	34	15.77	N	2	44	59.84	E	60.571047	2.749956	6715194.480000	486293.490000	31	849	2013-05-08
34/10-A-1 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1985-08-19	1985-10-17	GULLFAKS	NORTH SEA	ED50	61	11	4.79	N	2	13	15.51	E	61.184664	2.220975	6783767.080000	458109.190000	31	850	2013-05-08
30/9-B-27	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	1986-03-18	1986-05-19	OSEBERG	NORTH SEA	ED50	60	29	36.08	N	2	49	42.79	E	60.493356	2.828553	6706527.280000	490579.350000	31	851	2013-05-08
6506/12-5	Den norske stats oljeselskap a.s	094	EXPLORATION	APPRAISAL	OIL	1985-10-17	1986-03-27	ÅSGARD	NORWEGIAN SEA	ED50	65	2	28.60	N	6	58	21.93	E	65.041278	6.972758	7214766.400000	404557.550000	32	852	2013-05-08
6507/7-4	Conoco Norway Inc.	095	EXPLORATION	APPRAISAL	OIL/GAS	1985-11-06	1986-01-13	HEIDRUN	NORWEGIAN SEA	ED50	65	19	11.56	N	7	15	44.99	E	65.319878	7.262497	7245402.390000	419050.200000	32	853	2013-05-08
34/8-1	Norsk Hydro Produksjon AS	120	EXPLORATION	WILDCAT	OIL/GAS	1985-11-11	1986-03-08	VISUND	NORTH SEA	ED50	61	21	53.50	N	2	25	57.57	E	61.364861	2.432658	6803722.250000	469666.180000	31	854	2013-05-08
25/2-10 S	Elf Petroleum Norge AS	112	EXPLORATION	WILDCAT	OIL/GAS	1985-12-02	1986-03-19	\N	NORTH SEA	ED50	59	53	11.80	N	2	30	8.33	E	59.886611	2.502314	6639043.070000	472144.070000	31	855	2013-05-08
7/11-9	Norsk Hydro Produksjon AS	070	EXPLORATION	WILDCAT	SHOWS	1985-11-26	1986-03-09	\N	NORTH SEA	ED50	57	12	11.79	N	2	24	50.18	E	57.203275	2.413939	6340308.600000	464590.880000	31	856	2013-05-08
34/10-A-3 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1985-11-29	1986-12-02	GULLFAKS	NORTH SEA	ED50	61	11	14.26	N	2	12	41.76	E	61.187294	2.211600	6784066.130000	457608.610000	31	857	2013-05-08
34/10-26	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	DRY	1985-10-18	1985-10-26	GULLFAKS	NORTH SEA	ED50	61	12	59.90	N	2	16	23.77	E	61.216639	2.273269	6787296.340000	460960.740000	31	858	2013-05-08
34/10-10 R	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	DRY	1980-09-19	1980-10-04	\N	NORTH SEA	ED50	61	10	27.95	N	2	14	43.12	E	61.174431	2.245311	6782611.870000	459404.630000	31	859	2013-05-08
6507/7-5 A	Conoco Norway Inc.	095	EXPLORATION	APPRAISAL	OIL/GAS	1986-03-06	1986-04-05	HEIDRUN	NORWEGIAN SEA	ED50	65	21	30.27	N	7	17	35.08	E	65.358408	7.293078	7249656.780000	420590.940000	32	860	2013-05-08
34/10-A-4 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1986-01-31	1986-05-02	GULLFAKS	NORTH SEA	ED50	61	11	17.53	N	2	13	27.47	E	61.188203	2.224297	6784159.150000	458292.510000	31	861	2013-05-08
6/3-2	Den norske stats oljeselskap a.s	086	EXPLORATION	WILDCAT	SHOWS	1985-11-21	1986-03-10	\N	NORTH SEA	ED50	57	54	25.99	N	1	59	14.19	E	57.907219	1.987275	6418975.760000	439982.260000	31	862	2013-05-08
6406/3-2	Den norske stats oljeselskap a.s	091	EXPLORATION	WILDCAT	OIL	1986-06-28	1986-11-22	\N	NORWEGIAN SEA	ED50	64	51	46.78	N	6	49	51.87	E	64.862994	6.831075	7195126.910000	397207.630000	32	863	2013-05-08
2/4-K-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1985-10-15	1990-10-02	EKOFISK	NORTH SEA	ED50	56	33	56.02	N	3	12	23.29	E	56.565561	3.206469	6269186.550000	512688.980000	31	864	2013-05-08
2/4-K-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1985-11-02	1996-02-10	EKOFISK	NORTH SEA	ED50	56	33	55.98	N	3	12	23.11	E	56.565550	3.206419	6269185.300000	512685.910000	31	865	2013-05-08
33/12-B-35	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1985-12-01	1986-01-12	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	866	2013-05-08
34/10-27	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	GAS	1985-12-02	1985-12-14	GULLFAKS	NORTH SEA	ED50	61	10	31.12	N	2	11	23.96	E	61.175311	2.189989	6782745.560000	456430.110000	31	867	2013-05-08
2/8-A-21	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	\N	1986-02-09	1986-03-21	VALHALL	NORTH SEA	ED50	56	16	41.09	N	3	23	43.74	E	56.278081	3.395483	6237238.460000	524489.160000	31	868	2013-05-08
33/9-C-35	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1985-11-23	1986-03-21	STATFJORD	NORTH SEA	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	869	2013-05-08
33/9-C-14	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1985-11-29	1986-01-22	STATFJORD	NORTH SEA	ED50	61	17	47.99	N	1	54	10.77	E	61.296664	1.902992	6796487.200000	441220.510000	31	870	2013-05-08
6407/9-6	A/S Norske Shell	093	EXPLORATION	APPRAISAL	OIL	1986-01-02	1986-03-13	DRAUGEN	NORWEGIAN SEA	ED50	64	19	58.07	N	7	44	23.70	E	64.332797	7.739917	7134880.010000	439100.650000	32	871	2013-05-08
34/10-28	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	GAS	1986-01-02	1986-01-16	GULLFAKS SØR	NORTH SEA	ED50	61	6	31.99	N	2	15	23.72	E	61.108886	2.256589	6775304.140000	459928.280000	31	872	2013-05-08
30/9-B-29	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	1986-01-13	1986-03-18	OSEBERG	NORTH SEA	ED50	60	29	36.10	N	2	49	43.12	E	60.493361	2.828644	6706527.890000	490584.390000	31	873	2013-05-08
7120/1-1 R	A/S Norske Shell	108	EXPLORATION	WILDCAT	OIL/GAS SHOWS	1985-12-02	1985-12-26	\N	BARENTS SEA	ED50	71	55	0.83	N	20	18	7.13	E	71.916897	20.301981	7980020.260000	475816.850000	34	874	2013-05-08
34/4-6	Saga Petroleum ASA	057	EXPLORATION	APPRAISAL	OIL	1985-12-31	1986-03-27	SNORRE	NORTH SEA	ED50	61	34	14.09	N	2	13	19.99	E	61.570581	2.222219	6826753.590000	458688.370000	31	875	2013-05-08
2/4-K-12	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1985-11-23	1986-03-04	EKOFISK	NORTH SEA	ED50	56	33	56.12	N	3	12	23.25	E	56.565589	3.206458	6269189.640000	512688.290000	31	876	2013-05-08
34/10-30	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL/GAS	1986-01-16	1986-05-12	GULLFAKS SØR	NORTH SEA	ED50	61	6	31.07	N	2	15	23.92	E	61.108631	2.256644	6775275.640000	459930.950000	31	877	2013-05-08
34/7-8	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1986-02-05	1986-04-11	VIGDIS	NORTH SEA	ED50	61	22	25.93	N	2	8	33.37	E	61.373869	2.142603	6804894.920000	454171.610000	31	878	2013-05-08
6507/7-5	Conoco Norway Inc.	095	EXPLORATION	APPRAISAL	OIL/GAS	1986-01-16	1986-03-06	HEIDRUN	NORWEGIAN SEA	ED50	65	21	30.27	N	7	17	35.08	E	65.358408	7.293078	7249656.780000	420590.940000	32	879	2013-05-08
33/12-B-22	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1986-03-04	1986-04-29	STATFJORD	NORTH SEA	ED50	61	12	24.14	N	1	49	51.06	E	61.206706	1.830850	6786534.590000	437176.050000	31	880	2013-05-08
7121/7-2	Den norske stats oljeselskap a.s	100	EXPLORATION	WILDCAT	GAS	1986-07-07	1986-08-12	SNØHVIT	BARENTS SEA	ED50	71	26	37.91	N	21	3	21.42	E	71.443864	21.055950	7927117.400000	501987.360000	34	881	2013-05-08
25/4-A-11	Elf Petroleum Norge AS	036	DEVELOPMENT	PRODUCTION	GAS	1985-11-23	1986-02-16	HEIMDAL	NORTH SEA	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	882	2013-05-08
33/9-A-40	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1986-02-01	1986-05-09	STATFJORD	NORTH SEA	ED50	61	15	19.72	N	1	51	13.87	E	61.255478	1.853853	6791945.020000	438507.270000	31	883	2013-05-08
25/5-1	Elf Petroleum Norge AS	102	EXPLORATION	WILDCAT	OIL/GAS	1987-05-12	1987-08-01	FRØY	NORTH SEA	ED50	59	43	47.19	N	2	34	13.46	E	59.729775	2.570406	6621549.920000	475841.980000	31	884	2013-05-08
25/4-A-9	Elf Petroleum Norge AS	036	DEVELOPMENT	PRODUCTION	GAS	1985-12-09	1986-01-03	HEIMDAL	NORTH SEA	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	885	2013-05-08
33/12-B-14	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1986-01-13	1986-03-04	STATFJORD	NORTH SEA	ED50	61	12	25.12	N	1	49	51.93	E	61.206978	1.831092	6786564.680000	437189.570000	31	886	2013-05-08
34/10-31	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	GAS	1986-02-01	1986-04-08	GULLFAKS	NORTH SEA	ED50	61	10	32.40	N	2	11	15.46	E	61.175667	2.187628	6782786.740000	456303.610000	31	887	2013-05-08
34/10-27 R	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	GAS	1986-01-27	1986-01-31	GULLFAKS	NORTH SEA	ED50	61	10	31.12	N	2	11	23.96	E	61.175311	2.189989	6782745.560000	456430.110000	31	888	2013-05-08
34/7-9	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL	1986-04-13	1986-06-12	SNORRE	NORTH SEA	ED50	61	29	11.99	N	2	11	43.60	E	61.486664	2.195444	6817423.200000	457150.880000	31	889	2013-05-08
25/4-A-7	Elf Petroleum Norge AS	036	DEVELOPMENT	PRODUCTION	GAS	1985-11-16	1986-03-10	HEIMDAL	NORTH SEA	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	890	2013-05-08
25/4-A-5	Elf Petroleum Norge AS	036	DEVELOPMENT	PRODUCTION	GAS	1985-11-13	1986-01-27	HEIMDAL	NORTH SEA	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	891	2013-05-08
30/6-20	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	SHOWS	1986-03-10	1986-04-13	\N	NORTH SEA	ED50	60	37	20.52	N	2	42	18.52	E	60.622367	2.705144	6720920.710000	483862.750000	31	892	2013-05-08
35/11-2	Mobil Exploration Norway INC	090	EXPLORATION	WILDCAT	GAS/CONDENSATE	1987-07-20	1987-12-04	VEGA	NORTH SEA	ED50	61	10	26.42	N	3	27	31.36	E	61.174006	3.458711	6782416.830000	524675.040000	31	893	2013-05-08
30/6-17 A	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	OIL/GAS	1986-02-04	1986-03-18	OSEBERG	NORTH SEA	ED50	60	34	15.77	N	2	44	59.84	E	60.571047	2.749956	6715194.480000	486293.490000	31	894	2013-05-08
2/4-1	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL/GAS SHOWS	1969-08-25	1969-09-16	\N	NORTH SEA	ED50	56	32	40.23	N	3	11	55.22	E	56.544508	3.198672	6266841.710000	512216.570000	31	895	2013-05-08
7121/1-1 R	Esso Exploration and Production Norway A/S	111	EXPLORATION	WILDCAT	SHOWS	1986-03-18	1986-08-23	\N	BARENTS SEA	ED50	71	56	25.74	N	21	4	36.52	E	71.940483	21.076811	7982512.860000	502657.850000	34	896	2013-05-08
7120/1-1 R2	A/S Norske Shell	108	EXPLORATION	WILDCAT	OIL/GAS SHOWS	1986-03-13	1986-07-21	\N	BARENTS SEA	ED50	71	55	0.83	N	20	18	7.13	E	71.916897	20.301981	7980020.260000	475816.850000	34	897	2013-05-08
25/7-1 S	Conoco Norway Inc.	103	EXPLORATION	WILDCAT	DRY	1986-04-14	1986-07-19	\N	NORTH SEA	ED50	59	18	35.23	N	2	16	5.37	E	59.309786	2.268158	6574928.800000	458330.760000	31	898	2013-05-08
33/12-B-6	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1986-04-29	1986-06-03	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	899	2013-05-08
2/4-D-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1986-11-13	1987-02-06	VEST EKOFISK	NORTH SEA	ED50	56	33	46.96	N	3	5	8.61	E	56.563044	3.085725	6268890.620000	505268.750000	31	900	2013-05-08
16/10-1	Norsk Agip  AS	101	EXPLORATION	WILDCAT	DRY	1986-05-25	1986-07-14	\N	NORTH SEA	ED50	58	3	23.68	N	2	3	14.05	E	58.056578	2.053903	6435546.750000	444163.520000	31	901	2013-05-08
2/11-7	Norsk Hydro Produksjon AS	068	EXPLORATION	WILDCAT	SHOWS	1986-04-16	1986-09-06	\N	NORTH SEA	ED50	56	14	6.09	N	3	37	38.84	E	56.235025	3.627456	6232552.870000	538896.830000	31	902	2013-05-08
1/6-A-7	Phillips Petroleum Company Norway	011	DEVELOPMENT	PRODUCTION	GAS	1986-02-19	1986-06-28	ALBUSKJELL	NORTH SEA	ED50	56	38	33.73	N	2	56	23.85	E	56.642703	2.939958	6277755.930000	496317.530000	31	903	2013-05-08
29/3-1	Total Norge AS	119	EXPLORATION	WILDCAT	OIL/GAS	1986-05-20	1986-09-15	\N	NORTH SEA	ED50	60	57	50.24	N	1	56	13.25	E	60.963956	1.937014	6759399.560000	442441.230000	31	904	2013-05-08
25/4-A-8	Elf Petroleum Norge AS	036	DEVELOPMENT	PRODUCTION	GAS	1985-11-25	1986-07-01	HEIMDAL	NORTH SEA	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	905	2013-05-08
17/11-1	A/S Norske Shell	010	EXPLORATION	WILDCAT	DRY	1968-05-24	1968-06-30	\N	NORTH SEA	ED50	58	12	36.00	N	3	20	34.90	E	58.210000	3.343028	6452288.880000	520158.200000	31	906	2013-05-08
7121/5-2	Den norske stats oljeselskap a.s	110	EXPLORATION	WILDCAT	OIL/GAS	1986-05-26	1986-07-06	SNØHVIT	BARENTS SEA	ED50	71	40	20.79	N	21	39	24.42	E	71.672442	21.656783	7952737.910000	523051.480000	34	907	2013-05-08
30/9-B-25	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	GAS	1986-05-19	1986-07-08	OSEBERG	NORTH SEA	ED50	60	29	36.05	N	2	49	42.50	E	60.493347	2.828472	6706526.360000	490574.920000	31	908	2013-05-08
33/9-C-32	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	\N	1986-05-08	1986-06-07	STATFJORD	NORTH SEA	ED50	61	17	46.82	N	1	54	10.07	E	61.296339	1.902797	6796451.170000	441209.490000	31	909	2013-05-08
6507/6-1	Saga Petroleum ASA	123	EXPLORATION	WILDCAT	GAS SHOWS	1986-06-15	1986-08-23	\N	NORWEGIAN SEA	ED50	65	36	37.59	N	7	43	43.04	E	65.610442	7.728622	7277265.270000	441417.850000	32	910	2013-05-08
6507/2-1	Norsk Hydro Produksjon AS	122	EXPLORATION	WILDCAT	SHOWS	1986-06-24	1986-09-29	\N	NORWEGIAN SEA	ED50	65	54	2.48	N	7	26	16.43	E	65.900689	7.437897	7309911.230000	428828.150000	32	911	2013-05-08
6407/6-2 R	Den norske stats oljeselskap a.s	092	EXPLORATION	WILDCAT	GAS SHOWS	1986-05-08	1986-05-20	\N	NORWEGIAN SEA	ED50	64	42	29.56	N	7	40	32.59	E	64.708211	7.675719	7176774.360000	436871.330000	32	912	2013-05-08
7/12-A-18	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1987-01-11	1987-04-19	ULA	NORTH SEA	ED50	57	6	40.97	N	2	50	50.72	E	57.111381	2.847422	6329936.760000	490758.480000	31	913	2013-05-08
33/9-C-9	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1986-06-08	1986-07-08	STATFJORD	NORTH SEA	ED50	61	17	48.06	N	1	54	10.83	E	61.296683	1.903008	6796489.350000	441221.440000	31	914	2013-05-08
34/8-2	Norsk Hydro Produksjon AS	120	EXPLORATION	WILDCAT	DRY	1986-10-04	1986-11-17	\N	NORTH SEA	ED50	61	22	10.51	N	2	31	36.09	E	61.369586	2.526692	6804208.510000	474697.570000	31	915	2013-05-08
7126/6-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1985-07-28	1985-07-31	\N	BARENTS SEA	ED50	71	38	49.80	N	26	52	43.30	E	71.647167	26.878694	7949797.520000	495736.740000	35	916	2013-05-08
33/12-B-20	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1986-06-16	1986-07-13	STATFJORD	NORTH SEA	ED50	61	12	24.99	N	1	49	52.13	E	61.206942	1.831147	6786560.610000	437192.490000	31	917	2013-05-08
7222/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1985-08-01	1985-08-04	\N	BARENTS SEA	ED50	72	24	19.74	N	22	47	39.79	E	72.405483	22.794386	8039344.730000	358204.300000	35	919	2013-05-08
7220/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1985-08-04	1985-08-05	\N	BARENTS SEA	ED50	72	45	3.10	N	20	34	45.64	E	72.750861	20.579344	8081493.510000	684430.040000	33	920	2013-05-08
9/3-1	A/S Norske Shell	115	EXPLORATION	WILDCAT	DRY	1986-07-29	1986-09-04	\N	NORTH SEA	ED50	57	49	45.19	N	4	45	58.38	E	57.829219	4.766217	6411210.910000	604894.260000	31	921	2013-05-08
6507/7-6	Conoco Norway Inc.	095	EXPLORATION	APPRAISAL	OIL/GAS	1986-07-23	1986-09-06	HEIDRUN	NORWEGIAN SEA	ED50	65	21	30.03	N	7	19	10.35	E	65.358342	7.319542	7249616.270000	421821.650000	32	922	2013-05-08
34/10-A-2 AH	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1986-05-10	1986-10-17	GULLFAKS	NORTH SEA	ED50	61	10	48.48	N	2	13	6.42	E	61.180133	2.218450	6783264.060000	457967.380000	31	923	2013-05-08
2/8-A-11 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1986-06-17	1986-08-03	VALHALL	NORTH SEA	ED50	56	16	41.39	N	3	23	43.73	E	56.278164	3.395481	6237247.740000	524488.940000	31	924	2013-05-08
6607/12-1	Elf Petroleum Norge AS	127	EXPLORATION	WILDCAT	DRY	1986-07-19	1986-10-01	\N	NORWEGIAN SEA	ED50	66	12	54.15	N	7	44	26.72	E	66.215042	7.740756	7344635.950000	443329.050000	32	925	2013-05-08
33/12-B-40	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1988-07-02	1988-10-25	STATFJORD	NORTH SEA	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	927	2013-05-08
6407/6-2 R2	Den norske stats oljeselskap a.s	092	EXPLORATION	WILDCAT	GAS SHOWS	1986-06-13	1986-06-24	\N	NORWEGIAN SEA	ED50	64	42	29.56	N	7	40	32.59	E	64.708211	7.675719	7176774.360000	436871.330000	32	928	2013-05-08
30/9-B-49 H	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1986-07-09	1986-09-07	OSEBERG	NORTH SEA	ED50	60	32	31.70	N	2	50	14.70	E	60.542139	2.837417	6711959.580000	491079.820000	31	929	2013-05-08
34/10-B-2	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1988-03-25	1988-06-15	GULLFAKS	NORTH SEA	ED50	61	12	10.15	N	2	12	6.05	E	61.202819	2.201681	6785801.890000	457096.390000	31	930	2013-05-08
33/9-C-37	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	\N	1986-07-08	1986-08-16	STATFJORD	NORTH SEA	ED50	61	17	46.75	N	1	54	10.01	E	61.296319	1.902781	6796449.020000	441208.560000	31	931	2013-05-08
2/4-K-23	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1986-03-04	1987-09-29	EKOFISK	NORTH SEA	ED50	56	33	56.12	N	3	12	23.00	E	56.565589	3.206389	6269189.620000	512684.020000	31	932	2013-05-08
6507/8-1	Den norske stats oljeselskap a.s	124	EXPLORATION	APPRAISAL	OIL/GAS	1986-10-28	1986-12-09	HEIDRUN	NORWEGIAN SEA	ED50	65	18	35.03	N	7	20	52.80	E	65.309731	7.348000	7244164.640000	423003.380000	32	933	2013-05-08
30/9-B-20	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	GAS	1986-07-09	1986-08-26	OSEBERG	NORTH SEA	ED50	60	29	36.03	N	2	49	42.58	E	60.493342	2.828494	6706525.740000	490576.140000	31	934	2013-05-08
6407/2-3	Saga Petroleum ASA	074	EXPLORATION	WILDCAT	GAS/CONDENSATE	1986-11-07	1987-01-23	ÅSGARD	NORWEGIAN SEA	ED50	64	56	1.39	N	7	39	53.04	E	64.933719	7.664733	7201913.990000	436877.750000	32	935	2013-05-08
6608/11-1	Den norske stats oljeselskap a.s	128	EXPLORATION	WILDCAT	DRY	1986-07-19	1986-08-13	\N	NORWEGIAN SEA	ED50	66	1	4.02	N	8	23	38.67	E	66.017783	8.394075	7322210.510000	472517.230000	32	936	2013-05-08
30/9-2 R	Norsk Hydro Produksjon AS	079	EXPLORATION	WILDCAT	OIL/GAS	1986-06-01	1986-07-07	OSEBERG	NORTH SEA	ED50	60	27	53.00	N	2	49	13.03	E	60.464722	2.820286	6703339.300000	490116.410000	31	937	2013-05-08
34/10-U-6	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	10	33.99	N	2	11	20.93	E	61.176108	2.189147	6782834.920000	456385.940000	31	938	2013-05-08
2/8-A-16 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1986-04-04	1986-06-17	VALHALL	NORTH SEA	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	939	2013-05-08
34/8-3	Norsk Hydro Produksjon AS	120	EXPLORATION	WILDCAT	OIL/GAS	1988-07-14	1988-09-14	VISUND	NORTH SEA	ED50	61	24	28.04	N	2	32	45.06	E	61.407789	2.545850	6808456.800000	475751.350000	31	940	2013-05-08
2/8-A-18 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	\N	1986-08-13	1986-10-05	VALHALL	NORTH SEA	ED50	56	16	41.13	N	3	23	44.21	E	56.278092	3.395614	6237239.750000	524497.240000	31	941	2013-05-08
34/10-A-5 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1986-12-04	1987-03-18	GULLFAKS	NORTH SEA	ED50	61	10	42.12	N	2	12	38.43	E	61.178367	2.210675	6783072.300000	457546.870000	31	942	2013-05-08
34/4-7	Saga Petroleum ASA	057	EXPLORATION	APPRAISAL	OIL	1987-02-17	1987-05-12	SNORRE	NORTH SEA	ED50	61	31	9.83	N	2	15	15.45	E	61.519397	2.254292	6821032.190000	460326.580000	31	943	2013-05-08
2/4-C-11	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1986-06-16	1986-10-15	EKOFISK	NORTH SEA	ED50	56	32	52.66	N	3	12	55.69	E	56.547961	3.215469	6267229.160000	513248.240000	31	945	2013-05-08
30/9-B-26	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1986-12-21	1987-02-20	OSEBERG	NORTH SEA	ED50	60	29	36.07	N	2	49	42.63	E	60.493353	2.828508	6706526.980000	490576.900000	31	946	2013-05-08
34/7-10	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1986-08-26	1986-10-29	SNORRE	NORTH SEA	ED50	61	25	2.64	N	2	7	36.23	E	61.417400	2.126731	6809754.990000	453388.150000	31	947	2013-05-08
33/9-C-19	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	\N	1986-08-16	1986-10-15	STATFJORD	NORTH SEA	ED50	61	17	47.90	N	1	54	10.85	E	61.296639	1.903014	6796484.390000	441221.660000	31	948	2013-05-08
6406/3-3	Den norske stats oljeselskap a.s	091	EXPLORATION	APPRAISAL	SHOWS	1986-08-04	1986-10-26	ÅSGARD	NORWEGIAN SEA	ED50	64	59	49.18	N	6	53	27.64	E	64.996994	6.891011	7209958.990000	400545.310000	32	949	2013-05-08
7/12-A-10	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	\N	1986-07-09	1986-10-04	ULA	NORTH SEA	ED50	57	6	41.19	N	2	50	50.73	E	57.111442	2.847425	6329943.570000	490758.660000	31	950	2013-05-08
30/9-B-23	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	1986-08-29	1986-11-13	OSEBERG	NORTH SEA	ED50	60	29	36.20	N	2	49	43.09	E	60.493389	2.828636	6706530.980000	490583.940000	31	951	2013-05-08
7/12-A-6	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1986-10-05	1986-10-28	ULA	NORTH SEA	ED50	57	6	41.05	N	2	50	51.04	E	57.111403	2.847511	6329939.230000	490763.870000	31	952	2013-05-08
7317/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1985-08-06	1985-08-08	\N	BARENTS SEA	ED50	73	49	10.92	N	17	22	4.53	E	73.819700	17.367925	8193612.660000	573638.470000	33	953	2013-05-08
7317/2-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1985-08-05	1985-08-06	\N	BARENTS SEA	ED50	73	47	8.06	N	17	23	35.51	E	73.785572	17.393197	8189839.290000	574576.710000	33	954	2013-05-08
7320/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1985-08-08	1985-08-11	\N	BARENTS SEA	ED50	73	51	15.18	N	20	55	0.80	E	73.854217	20.916889	8205107.160000	683391.520000	33	955	2013-05-08
34/10-U-1	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	12	53.89	N	2	16	25.87	E	61.214969	2.273853	6787110.030000	460990.010000	31	956	2013-05-08
7524/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1985-08-12	1985-08-13	\N	UNOPENEDAREA	ED50	75	12	20.54	N	24	43	21.61	E	75.205706	24.722669	8348041.060000	435099.940000	35	957	2013-05-08
7425/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1985-08-14	1985-08-18	\N	UNOPENEDAREA	ED50	74	29	25.30	N	25	46	19.26	E	74.490361	25.772017	8267355.720000	463347.770000	35	958	2013-05-08
34/10-U-2	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	6	1.00	N	2	14	5.77	E	61.100278	2.234936	6774358.750000	458749.970000	31	959	2013-05-08
34/10-U-3	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	5	11.70	N	2	10	46.70	E	61.086583	2.179639	6772869.510000	455749.490000	31	960	2013-05-08
34/10-U-4	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	7	2.50	N	2	11	24.60	E	61.117361	2.190167	6776290.630000	456359.760000	31	961	2013-05-08
34/10-U-5	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	5	44.20	N	2	11	32.30	E	61.095611	2.192306	6773866.570000	456445.120000	31	963	2013-05-08
25/2-U-1	Elf Petroleum Norge AS	026	SHALLOW	\N	\N	1985-09-04	1985-09-05	\N	NORTH SEA	ED50	59	55	9.49	N	2	21	50.36	E	59.919303	2.363989	6642750.110000	464437.000000	31	964	2013-05-08
25/2-U-2	Elf Petroleum Norge AS	026	SHALLOW	\N	\N	1985-09-05	1985-09-05	\N	NORTH SEA	ED50	59	55	9.39	N	2	21	49.78	E	59.919275	2.363828	6642747.110000	464427.960000	31	965	2013-05-08
25/2-U-3	Elf Petroleum Norge AS	026	SHALLOW	\N	\N	1985-09-06	1985-09-06	\N	NORTH SEA	ED50	59	54	15.61	N	2	21	19.92	E	59.904336	2.355533	6641087.880000	463947.990000	31	966	2013-05-08
25/2-U-4	Elf Petroleum Norge AS	026	SHALLOW	\N	\N	1985-09-06	1985-09-06	\N	NORTH SEA	ED50	59	54	15.45	N	2	21	19.28	E	59.904292	2.355356	6641083.030000	463938.000000	31	967	2013-05-08
25/2-U-5	Elf Petroleum Norge AS	026	SHALLOW	\N	\N	1985-09-06	1985-09-07	\N	NORTH SEA	ED50	59	53	27.43	N	2	21	23.62	E	59.890953	2.356561	6639596.860000	463991.000000	31	968	2013-05-08
25/2-U-6	Elf Petroleum Norge AS	026	SHALLOW	\N	\N	1985-09-07	1985-09-07	\N	NORTH SEA	ED50	59	53	27.24	N	2	21	23.04	E	59.890900	2.356400	6639591.070000	463981.930000	31	969	2013-05-08
6506/12-U-1	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	1	14.70	N	6	54	27.70	E	65.020750	6.907694	7212579.340000	401419.460000	32	970	2013-05-08
6506/12-U-2	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	1	2.50	N	6	55	42.40	E	65.017361	6.928444	7212169.590000	402384.460000	32	971	2013-05-08
6506/12-U-3	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	1	12.30	N	6	54	42.50	E	65.020083	6.911806	7212498.660000	401610.650000	32	972	2013-05-08
6407/9-U-1	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	22	1.10	N	7	46	48.70	E	64.366972	7.780194	7138650.070000	441120.170000	32	973	2013-05-08
6407/9-U-2	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	22	43.40	N	7	47	28.60	E	64.378722	7.791278	7139949.130000	441680.020000	32	974	2013-05-08
6407/9-U-3	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	21	0.50	N	7	46	44.30	E	64.350139	7.778972	7136775.510000	441025.130000	32	975	2013-05-08
6507/7-U-3	Norske Conoco A/S	\N	SHALLOW	\N	\N	1986-04-06	1986-04-08	\N	NORWEGIAN SEA	ED50	65	21	29.94	N	7	17	31.31	E	65.358317	7.292031	7249647.890000	420541.950000	32	976	2013-05-08
6506/12-U-4	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1986-04-22	1986-04-22	\N	NORWEGIAN SEA	ED50	65	9	3.39	N	6	44	33.98	E	65.150942	6.742772	7227349.910000	394169.990000	32	977	2013-05-08
6506/12-U-5	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1986-04-16	1986-04-21	\N	NORWEGIAN SEA	ED50	65	9	15.99	N	6	44	3.49	E	65.154442	6.734303	7227754.030000	393787.030000	32	978	2013-05-08
6506/12-U-6	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	9	15.20	N	6	44	45.27	E	65.154222	6.745908	7227710.110000	394330.030000	32	979	2013-05-08
1/9-U-1	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1986-05-06	1986-05-07	\N	NORTH SEA	ED50	56	29	31.72	N	2	55	26.74	E	56.492144	2.924094	6260997.940000	495326.040000	31	980	2013-05-08
6308/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-06-26	1986-06-29	\N	NORWEGIAN SEA	ED50	63	16	20.00	N	8	9	40.00	E	63.272222	8.161111	7016366.780000	457903.060000	32	981	2013-05-08
7323/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-07-02	1986-07-06	\N	BARENTS SEA	ED50	73	16	42.64	N	23	2	32.20	E	73.278511	23.042278	8135977.130000	372976.430000	35	982	2013-05-08
7323/7-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-06-28	1986-07-29	\N	BARENTS SEA	ED50	73	17	0.29	N	23	0	48.15	E	73.283414	23.013375	8136584.590000	372086.470000	35	983	2013-05-08
7323/7-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-06-28	1986-07-29	\N	BARENTS SEA	ED50	73	16	33.70	N	23	3	26.43	E	73.276028	23.057342	8135668.700000	373441.020000	35	984	2013-05-08
7323/7-U-4	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-06-28	1986-07-29	\N	BARENTS SEA	ED50	73	16	37.70	N	23	2	59.89	E	73.277139	23.049969	8135808.020000	373212.870000	35	985	2013-05-08
7323/7-U-5	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-06-28	1986-07-29	\N	BARENTS SEA	ED50	73	16	56.69	N	23	1	9.24	E	73.282414	23.019233	8136460.730000	372266.770000	35	986	2013-05-08
7323/7-U-6	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-06-28	1986-07-29	\N	BARENTS SEA	ED50	73	16	26.58	N	23	4	0.53	E	73.274050	23.066814	8135428.470000	373730.180000	35	987	2013-05-08
7323/7-U-7	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-06-28	1986-07-29	\N	BARENTS SEA	ED50	73	16	47.63	N	23	2	3.49	E	73.279897	23.034303	8136148.410000	372731.060000	35	988	2013-05-08
7323/7-U-8	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-06-28	1986-07-29	\N	BARENTS SEA	ED50	73	16	22.78	N	23	4	24.40	E	73.272994	23.073444	8135296.950000	373935.040000	35	989	2013-05-08
7323/7-U-9	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-06-28	1986-07-29	\N	BARENTS SEA	ED50	73	16	51.01	N	23	1	43.14	E	73.280836	23.028650	8136264.980000	372556.840000	35	990	2013-05-08
7228/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-07-01	1986-08-31	\N	BARENTS SEA	ED50	72	49	3.74	N	28	52	14.82	E	72.817706	28.870783	8081328.710000	561679.410000	35	991	2013-05-08
7227/8-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-07-01	1986-08-31	\N	BARENTS SEA	ED50	72	19	8.87	N	27	33	21.34	E	72.319131	27.555928	8024835.850000	518846.160000	35	993	2013-05-08
2/1-U-1	BP Petroleum Dev. of Norway AS	019	SHALLOW	\N	\N	1986-08-01	1986-08-02	\N	NORTH SEA	ED50	56	54	18.84	N	3	5	3.60	E	56.905233	3.084333	6306981.280000	505136.340000	31	994	2013-05-08
7227/8-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-07-01	1986-08-31	\N	BARENTS SEA	ED50	72	19	1.82	N	27	33	57.33	E	72.317172	27.565925	8024620.570000	519187.110000	35	995	2013-05-08
6507/7-U-1	Norske Conoco A/S	\N	SHALLOW	\N	\N	1985-07-16	1985-07-18	\N	NORWEGIAN SEA	ED50	65	20	55.11	N	7	19	0.15	E	65.348642	7.316708	7248538.950000	421661.000000	32	996	2013-05-08
6507/7-U-2	Norske Conoco A/S	\N	SHALLOW	\N	\N	1985-07-14	1985-07-15	\N	NORWEGIAN SEA	ED50	65	18	15.14	N	7	18	21.24	E	65.304206	7.305900	7243601.070000	421025.010000	32	997	2013-05-08
34/3-U-1	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	46	11.87	N	2	53	5.02	E	61.769964	2.884728	6848723.790000	493916.580000	31	998	2013-05-08
34/3-U-2	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	48	41.10	N	2	44	15.20	E	61.811417	2.737556	6853364.270000	486168.310000	31	999	2013-05-08
34/10-U-7	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	11	2.50	N	2	12	28.80	E	61.184028	2.208000	6783704.610000	457410.640000	31	1000	2013-05-08
25/1-9	Norsk Hydro Produksjon AS	129	EXPLORATION	WILDCAT	OIL/GAS	1986-09-09	1986-10-12	\N	NORTH SEA	ED50	59	50	13.34	N	2	13	30.24	E	59.837039	2.225067	6633671.530000	456562.100000	31	1001	2013-05-08
7227/8-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1986-07-01	1986-08-31	\N	BARENTS SEA	ED50	72	19	5.66	N	27	33	37.64	E	72.318239	27.560456	8024737.820000	519000.570000	35	1002	2013-05-08
6506/12-1	Den norske stats oljeselskap a.s	094	EXPLORATION	WILDCAT	GAS/CONDENSATE	1984-08-16	1985-02-06	ÅSGARD	NORWEGIAN SEA	ED50	65	10	7.58	N	6	43	44.07	E	65.168772	6.728908	7229359.520000	393591.680000	32	1004	2013-05-08
30/6-13 R	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL/GAS	1986-09-08	1986-09-11	OSEBERG	NORTH SEA	ED50	60	33	14.59	N	2	49	21.76	E	60.554053	2.822711	6713288.650000	490276.570000	31	1005	2013-05-08
1/9-A-1 H	Den norske stats oljeselskap a.s	044	DEVELOPMENT	PRODUCTION	GAS	1986-09-22	1986-11-24	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	31.76	N	2	55	27.66	E	56.492156	2.924350	6260999.160000	495341.780000	31	1006	2013-05-08
2/8-A-21 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1986-10-07	1986-12-06	VALHALL	NORTH SEA	ED50	56	16	41.09	N	3	23	43.74	E	56.278081	3.395483	6237238.460000	524489.160000	31	1007	2013-05-08
30/9-B-19	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	\N	1987-04-09	1987-05-22	OSEBERG	NORTH SEA	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	1008	2013-05-08
33/9-C-25	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1986-10-06	1986-11-22	STATFJORD	NORTH SEA	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	1009	2013-05-08
7/12-A-2	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1986-10-29	1987-01-09	ULA	NORTH SEA	ED50	57	6	41.40	N	2	50	50.73	E	57.111500	2.847425	6329950.060000	490758.680000	31	1010	2013-05-08
2/7-A-17	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1986-09-02	1986-11-10	ELDFISK	NORTH SEA	ED50	56	22	36.05	N	3	15	56.75	E	56.376681	3.265764	6248174.810000	516414.320000	31	1011	2013-05-08
30/9-B-24	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1986-11-14	1986-12-20	OSEBERG	NORTH SEA	ED50	60	29	36.03	N	2	49	42.58	E	60.493342	2.828494	6706525.740000	490576.140000	31	1013	2013-05-08
2/12-1	Norsk Hydro Produksjon AS	113	EXPLORATION	WILDCAT	OIL	1986-10-14	1987-03-12	\N	NORTH SEA	ED50	56	14	4.07	N	3	42	27.50	E	56.234464	3.707639	6232538.560000	543868.060000	31	1014	2013-05-08
33/9-C-5	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	\N	1986-11-20	1986-11-25	STATFJORD	NORTH SEA	ED50	61	17	48.10	N	1	54	11.03	E	61.296694	1.903064	6796490.540000	441224.440000	31	1015	2013-05-08
1/9-A-2 H	Den norske stats oljeselskap a.s	044	DEVELOPMENT	PRODUCTION	GAS	1986-11-19	1987-01-04	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	31.66	N	2	55	26.88	E	56.492128	2.924133	6260996.080000	495328.430000	31	1016	2013-05-08
6407/7-2	Norsk Hydro Produksjon AS	107	EXPLORATION	WILDCAT	OIL/GAS	1986-11-19	1987-01-21	NJORD	NORWEGIAN SEA	ED50	64	15	26.39	N	7	10	42.65	E	64.257331	7.178514	7127130.160000	411732.180000	32	1017	2013-05-08
33/9-C-4	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	\N	1986-11-14	1986-11-20	STATFJORD	NORTH SEA	ED50	61	17	48.13	N	1	54	10.89	E	61.296703	1.903025	6796491.500000	441222.370000	31	1018	2013-05-08
7/12-A-3 A	BP Norway Limited  U.A.	019	DEVELOPMENT	INJECTION	WATER	1990-01-28	1990-03-28	ULA	NORTH SEA	ED50	57	6	41.23	N	2	50	50.89	E	57.111453	2.847469	6329944.800000	490761.360000	31	1019	2013-05-08
33/9-C-31	Mobil Exploration Norway INC	037	DEVELOPMENT	PRODUCTION	OIL	1986-11-26	1987-01-14	STATFJORD	NORTH SEA	ED50	61	17	46.85	N	1	54	9.93	E	61.296347	1.902758	6796452.140000	441207.420000	31	1020	2013-05-08
1/9-A-3 H	Den norske stats oljeselskap a.s	044	DEVELOPMENT	PRODUCTION	GAS	1987-01-04	1987-02-19	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	31.50	N	2	55	27.13	E	56.492083	2.924203	6260991.130000	495332.710000	31	1021	2013-05-08
34/10-A-6	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	GAS	1987-02-10	1987-03-08	GULLFAKS	NORTH SEA	ED50	61	10	33.64	N	2	11	23.09	E	61.176011	2.189747	6782823.690000	456418.080000	31	1022	2013-05-08
2/7-B-18 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1986-12-01	1987-01-23	ELDFISK	NORTH SEA	ED50	56	25	9.18	N	3	13	6.06	E	56.419217	3.218350	6252899.150000	513470.880000	31	1023	2013-05-08
6407/6-3	Den norske stats oljeselskap a.s	092	EXPLORATION	WILDCAT	GAS/CONDENSATE	1986-12-13	1987-02-16	MIKKEL	NORWEGIAN SEA	ED50	64	42	31.77	N	7	40	9.84	E	64.708825	7.669400	7176849.070000	436571.550000	32	1024	2013-05-08
2/4-B-10 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1986-12-17	1987-03-21	EKOFISK	NORTH SEA	ED50	56	33	54.90	N	3	12	14.04	E	56.565250	3.203900	6269151.440000	512531.170000	31	1025	2013-05-08
31/4-9	Norsk Hydro Produksjon AS	055	EXPLORATION	APPRAISAL	OIL	1987-01-23	1987-03-07	BRAGE	NORTH SEA	ED50	60	32	2.29	N	3	5	26.92	E	60.533969	3.090811	6711042.080000	504983.640000	31	1026	2013-05-08
30/9-6	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	OIL	1987-03-08	1987-04-21	OSEBERG SØR	NORTH SEA	ED50	60	23	3.77	N	2	49	55.59	E	60.384381	2.832108	6694389.170000	490743.780000	31	1027	2013-05-08
33/9-13 S	Den norske stats oljeselskap a.s	037	EXPLORATION	APPRAISAL	OIL	1987-10-14	1987-12-24	STATFJORD NORD	NORTH SEA	ED50	61	27	4.45	N	1	58	3.00	E	61.451236	1.967500	6813648.010000	444949.130000	31	1028	2013-05-08
2/8-A-13 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1987-01-14	1987-02-25	VALHALL	NORTH SEA	ED50	56	16	41.16	N	3	23	43.67	E	56.278100	3.395464	6237240.620000	524487.940000	31	1029	2013-05-08
25/1-8 SR	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	GAS	1987-02-14	1987-02-18	FRIGG	NORTH SEA	ED50	59	54	3.28	N	2	6	9.79	E	59.900911	2.102719	6640871.090000	449800.690000	31	1030	2013-05-08
25/1-7 R	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	GAS	1987-02-10	1987-02-14	FRIGG	NORTH SEA	ED50	59	55	8.28	N	2	4	52.33	E	59.918967	2.081203	6642898.340000	448624.870000	31	1031	2013-05-08
2/7-B-5 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1986-07-06	1986-08-22	ELDFISK	NORTH SEA	ED50	56	25	9.59	N	3	13	6.22	E	56.419331	3.218394	6252911.830000	513473.590000	31	1032	2013-05-08
2/7-B-10 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1986-08-27	1986-10-27	ELDFISK	NORTH SEA	ED50	56	25	9.05	N	3	13	6.18	E	56.419181	3.218383	6252895.130000	513472.950000	31	1033	2013-05-08
2/7-A-23 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1986-08-24	1986-09-23	ELDFISK	NORTH SEA	ED50	56	22	36.19	N	3	15	56.66	E	56.376719	3.265739	6248179.130000	516412.760000	31	1034	2013-05-08
1/9-A-4 H	Den norske stats oljeselskap a.s	044	DEVELOPMENT	PRODUCTION	GAS	1987-02-21	1987-03-31	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	31.92	N	2	55	27.41	E	56.492200	2.924281	6261004.110000	495337.510000	31	1035	2013-05-08
25/2-11	Elf Petroleum Norge AS	112	EXPLORATION	APPRAISAL	OIL/GAS	1987-02-20	1987-05-10	\N	NORTH SEA	ED50	59	52	27.86	N	2	30	59.58	E	59.874406	2.516550	6637677.850000	472930.940000	31	1036	2013-05-08
30/6-21	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL	1987-02-20	1987-04-09	OSEBERG	NORTH SEA	ED50	60	38	34.88	N	2	43	47.60	E	60.643022	2.729889	6723215.560000	485226.440000	31	1037	2013-05-08
9/2-1	Den norske stats oljeselskap a.s	114	EXPLORATION	WILDCAT	OIL	1987-02-21	1987-04-28	YME	NORTH SEA	ED50	57	49	58.10	N	4	31	27.92	E	57.832806	4.524422	6411261.000000	590526.870000	31	1038	2013-05-08
2/8-A-15 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1987-02-10	1987-03-18	VALHALL	NORTH SEA	ED50	56	16	40.83	N	3	23	43.86	E	56.278008	3.395517	6237230.440000	524491.270000	31	1039	2013-05-08
2/8-A-3 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1986-12-07	1987-01-13	VALHALL	NORTH SEA	ED50	56	16	41.08	N	3	23	44.30	E	56.278078	3.395639	6237238.210000	524498.800000	31	1040	2013-05-08
2/8-A-26	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1992-02-01	1992-04-01	VALHALL	NORTH SEA	ED50	56	16	41.02	N	3	23	44.20	E	56.278061	3.395611	6237236.350000	524497.090000	31	1041	2013-05-08
7/12-A-7	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1987-04-19	1987-11-11	ULA	NORTH SEA	ED50	57	6	41.45	N	2	50	50.50	E	57.111514	2.847361	6329951.620000	490754.810000	31	1042	2013-05-08
33/9-C-30	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	WATER	1987-03-18	1987-05-20	STATFJORD	NORTH SEA	ED50	61	17	46.88	N	1	54	9.78	E	61.296356	1.902717	6796453.100000	441205.200000	31	1043	2013-05-08
6508/5-1	A/S Norske Shell	125	EXPLORATION	WILDCAT	DRY	1987-04-22	1987-05-24	\N	NORWEGIAN SEA	ED50	65	42	51.22	N	8	28	35.37	E	65.714228	8.476492	7288341.640000	475973.170000	32	1044	2013-05-08
34/10-C-7	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1991-04-18	1991-06-26	GULLFAKS	NORTH SEA	ED50	61	12	54.51	N	2	16	26.53	E	61.215142	2.274036	6787129.110000	461000.070000	31	1045	2013-05-08
26/4-1	BP Norway Limited  U.A.	118	EXPLORATION	WILDCAT	DRY	1987-05-08	1987-07-17	\N	NORTH SEA	ED50	59	36	37.84	N	3	1	13.26	E	59.610511	3.020350	6608189.830000	501148.450000	31	1046	2013-05-08
2/4-D-11 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1987-04-06	1987-06-15	VEST EKOFISK	NORTH SEA	ED50	56	33	47.20	N	3	5	8.81	E	56.563111	3.085781	6268898.040000	505272.160000	31	1047	2013-05-08
34/10-A-7	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	1987-03-08	1987-04-09	GULLFAKS	NORTH SEA	ED50	61	10	34.77	N	2	11	21.80	E	61.176325	2.189389	6782858.890000	456399.240000	31	1048	2013-05-08
2/4-A-12 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1986-12-03	1987-02-24	EKOFISK	NORTH SEA	ED50	56	31	15.28	N	3	13	22.72	E	56.520911	3.222978	6264219.670000	513719.670000	31	1049	2013-05-08
33/9-C-15	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1988-10-25	1988-12-18	STATFJORD	NORTH SEA	ED50	61	17	47.97	N	1	54	10.91	E	61.296658	1.903031	6796486.550000	441222.590000	31	1050	2013-05-08
34/10-32	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL/GAS	1987-04-09	1987-07-13	GULLFAKS SØR	NORTH SEA	ED50	61	4	33.37	N	2	12	43.59	E	61.075936	2.212108	6771662.050000	457486.560000	31	1051	2013-05-08
34/10-A-9 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1987-03-22	1987-05-31	GULLFAKS	NORTH SEA	ED50	61	10	36.22	N	2	8	57.56	E	61.176728	2.149322	6782931.130000	454244.820000	31	1052	2013-05-08
34/10-A-8	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1987-04-09	1987-06-06	GULLFAKS	NORTH SEA	ED50	61	10	34.98	N	2	11	21.55	E	61.176383	2.189319	6782865.430000	456395.590000	31	1053	2013-05-08
6407/10-1	Norsk Hydro Produksjon AS	132	EXPLORATION	WILDCAT	GAS SHOWS	1987-05-07	1987-06-19	\N	NORWEGIAN SEA	ED50	64	13	40.66	N	7	11	29.81	E	64.227961	7.191614	7123840.080000	412273.830000	32	1054	2013-05-08
6507/11-4	Saga Petroleum ASA	062	EXPLORATION	WILDCAT	DRY	1987-05-16	1987-06-22	\N	NORWEGIAN SEA	ED50	65	8	10.28	N	7	26	3.45	E	65.136189	7.434292	7224724.360000	426544.700000	32	1055	2013-05-08
6507/7-7	Conoco Norway Inc.	095	EXPLORATION	APPRAISAL	DRY	1987-05-11	1987-06-07	HEIDRUN	NORWEGIAN SEA	ED50	65	17	52.25	N	7	18	50.65	E	65.297847	7.314069	7242882.380000	421386.830000	32	1056	2013-05-08
6407/9-7	A/S Norske Shell	093	EXPLORATION	WILDCAT	DRY	1988-04-26	1988-05-25	\N	NORWEGIAN SEA	ED50	64	29	48.05	N	7	51	44.90	E	64.496681	7.862472	7153029.890000	445350.250000	32	1057	2013-05-08
2/8-A-13 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1987-05-16	1987-06-08	VALHALL	NORTH SEA	ED50	56	16	41.16	N	3	23	43.67	E	56.278100	3.395464	6237240.620000	524487.940000	31	1058	2013-05-08
1/9-A-5 H	Den norske stats oljeselskap a.s	044	DEVELOPMENT	PRODUCTION	GAS	1987-12-31	1988-02-19	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	31.63	N	2	55	27.39	E	56.492119	2.924275	6260995.140000	495337.160000	31	1059	2013-05-08
2/8-A-20	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	\N	1988-06-16	1988-08-18	VALHALL	NORTH SEA	ED50	56	16	40.74	N	3	23	43.61	E	56.277983	3.395447	6237227.630000	524486.990000	31	1060	2013-05-08
2/8-A-28	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1992-07-26	1992-10-06	VALHALL	NORTH SEA	ED50	56	16	40.90	N	3	23	43.91	E	56.278028	3.395531	6237232.610000	524492.120000	31	1061	2013-05-08
2/7-20	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1987-10-15	1988-06-25	EMBLA	NORTH SEA	ED50	56	20	0.10	N	3	14	54.70	E	56.333361	3.248528	6243349.040000	515367.190000	31	1062	2013-05-08
30/9-B-50 H	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1987-05-23	1987-06-27	OSEBERG	NORTH SEA	ED50	60	32	28.37	N	2	48	23.60	E	60.541214	2.806556	6711861.140000	489386.320000	31	1063	2013-05-08
6607/5-1	Esso Exploration and Production Norway A/S	126	EXPLORATION	WILDCAT	DRY	1987-06-09	1987-09-11	\N	NORWEGIAN SEA	ED50	66	38	9.67	N	7	32	21.38	E	66.636019	7.539272	7391750.710000	435359.290000	32	1064	2013-05-08
34/10-A-10	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1987-06-07	1987-08-03	GULLFAKS	NORTH SEA	ED50	61	10	33.92	N	2	11	22.77	E	61.176089	2.189658	6782832.410000	456413.410000	31	1065	2013-05-08
7124/3-1	Saga Petroleum ASA	135	EXPLORATION	WILDCAT	OIL/GAS	1987-05-29	1987-10-20	\N	BARENTS SEA	ED50	71	45	36.03	N	24	46	49.99	E	71.760008	24.780553	7963806.280000	422476.340000	35	1066	2013-05-08
2/8-A-25	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1991-04-17	1991-07-17	VALHALL	NORTH SEA	ED50	56	16	41.20	N	3	23	44.02	E	56.278111	3.395561	6237241.890000	524493.960000	31	1067	2013-05-08
6506/12-8	Den norske stats oljeselskap a.s	094	EXPLORATION	APPRAISAL	OIL/GAS	1988-06-04	1988-08-30	ÅSGARD	NORWEGIAN SEA	ED50	65	0	59.32	N	6	56	58.75	E	65.016478	6.949653	7212038.590000	403380.370000	32	1068	2013-05-08
33/9-12	Den norske stats oljeselskap a.s	037	EXPLORATION	APPRAISAL	OIL	1987-06-19	1987-08-03	STATFJORD ØST	NORTH SEA	ED50	61	19	12.04	N	1	59	36.42	E	61.320011	1.993450	6799009.690000	446107.220000	31	1069	2013-05-08
7321/8-1	Norsk Hydro Produksjon AS	141	EXPLORATION	WILDCAT	SHOWS	1987-06-23	1987-09-03	\N	BARENTS SEA	ED50	73	20	11.99	N	21	24	57.27	E	73.336664	21.415908	8146601.960000	321501.020000	35	1070	2013-05-08
6507/7-8	Conoco Norway Inc.	095	EXPLORATION	APPRAISAL	OIL/GAS	1987-06-09	1987-08-02	HEIDRUN	NORWEGIAN SEA	ED50	65	17	52.68	N	7	18	49.87	E	65.297967	7.313853	7242895.960000	421377.090000	32	1071	2013-05-08
25/2-A-2 H	Elf Petroleum Norge AS	026	DEVELOPMENT	PRODUCTION	GAS	1987-09-09	1987-10-01	ØST FRIGG	NORTH SEA	ED50	59	55	8.60	N	2	21	51.41	E	59.919056	2.364281	6642722.420000	464453.040000	31	1072	2013-05-08
25/2-B-1 H	Elf Petroleum Norge AS	026	DEVELOPMENT	PRODUCTION	GAS	1987-07-12	1987-08-10	ØST FRIGG	NORTH SEA	ED50	59	53	26.25	N	2	21	43.50	E	59.890625	2.362083	6639557.370000	464299.690000	31	1073	2013-05-08
25/2-B-2 H	Elf Petroleum Norge AS	026	DEVELOPMENT	PRODUCTION	GAS	1987-08-12	1987-09-08	ØST FRIGG	NORTH SEA	ED50	59	53	26.48	N	2	21	42.50	E	59.890689	2.361806	6639564.630000	464284.210000	31	1074	2013-05-08
2/7-B-10 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1987-03-11	1987-06-17	ELDFISK	NORTH SEA	ED50	56	25	9.05	N	3	13	6.18	E	56.419181	3.218383	6252895.130000	513472.950000	31	1075	2013-05-08
6507/8-2	Den norske stats oljeselskap a.s	124	EXPLORATION	WILDCAT	DRY	1987-08-15	1987-09-09	\N	NORWEGIAN SEA	ED50	65	20	18.11	N	7	26	15.04	E	65.338364	7.437511	7247248.940000	427253.720000	32	1076	2013-05-08
1/9-A-1 AH	Den norske stats oljeselskap a.s	044	DEVELOPMENT	PRODUCTION	GAS	1987-04-05	1987-05-06	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	31.76	N	2	55	27.66	E	56.492156	2.924350	6260999.160000	495341.780000	31	1077	2013-05-08
6507/7-9	Conoco Norway Inc.	095	EXPLORATION	APPRAISAL	DRY	1987-08-04	1987-08-08	HEIDRUN	NORWEGIAN SEA	ED50	65	19	31.55	N	7	19	3.95	E	65.325431	7.317764	7245951.290000	421641.080000	32	1078	2013-05-08
2/4-A-15 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1987-04-10	1987-07-02	EKOFISK	NORTH SEA	ED50	56	31	15.17	N	3	13	22.26	E	56.520881	3.222850	6264216.240000	513711.820000	31	1079	2013-05-08
30/3-A-1	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1987-07-15	1987-09-23	VESLEFRIKK	NORTH SEA	ED50	60	46	57.82	N	2	53	52.48	E	60.782728	2.897911	6738750.570000	494440.490000	31	1080	2013-05-08
6407/9-U-5	A/S Norske Shell	\N	SHALLOW	\N	\N	1986-08-29	1986-08-29	\N	NORWEGIAN SEA	ED50	64	21	40.60	N	7	46	29.10	E	64.361278	7.774750	7138020.610000	440845.150000	32	1081	2013-05-08
6407/9-U-6	A/S Norske Shell	\N	SHALLOW	\N	\N	1986-08-25	1986-08-25	\N	NORWEGIAN SEA	ED50	64	22	1.10	N	7	46	48.70	E	64.366972	7.780194	7138650.070000	441120.170000	32	1082	2013-05-08
6407/9-U-7	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1083	2013-05-08
30/3-U-1	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1987-02-24	1987-02-24	\N	NORTH SEA	ED50	60	47	0.71	N	2	53	57.93	E	60.783531	2.899425	6738839.860000	494523.070000	31	1084	2013-05-08
30/3-U-2	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	46	58.70	N	2	53	54.60	E	60.782972	2.898500	6738777.750000	494472.600000	31	1085	2013-05-08
30/3-U-3	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1987-03-09	1987-03-09	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1086	2013-05-08
30/3-U-4	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1087	2013-05-08
30/3-U-5	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1088	2013-05-08
30/3-U-6	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1995-10-05	1995-10-05	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1089	2013-05-08
30/3-U-7	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1090	2013-05-08
30/6-U-1	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-09-18	1987-09-18	\N	NORTH SEA	ED50	60	35	41.40	N	2	45	11.50	E	60.594833	2.753194	6717843.150000	486480.970000	31	1091	2013-05-08
30/3-U-8	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1987-03-09	1987-03-10	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1092	2013-05-08
30/6-U-2	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-09-10	1987-09-10	\N	NORTH SEA	ED50	60	35	44.31	N	2	45	13.85	E	60.595642	2.753847	6717933.050000	486517.070000	31	1093	2013-05-08
2/1-U-2	BP Petroleum Dev. of Norway AS	019	SHALLOW	\N	\N	1987-04-07	1987-04-08	\N	NORTH SEA	ED50	56	54	19.25	N	3	5	0.57	E	56.905347	3.083492	6306993.900000	505085.060000	31	1094	2013-05-08
2/1-U-3	BP Petroleum Dev. of Norway AS	019	SHALLOW	\N	\N	1987-04-09	1987-04-10	\N	NORTH SEA	ED50	56	54	19.25	N	3	5	1.44	E	56.905347	3.083733	6306993.920000	505099.780000	31	1095	2013-05-08
2/1-U-4	BP Petroleum Dev. of Norway AS	019	SHALLOW	\N	\N	1987-04-11	1987-04-12	\N	NORTH SEA	ED50	56	54	18.64	N	3	5	1.81	E	56.905178	3.083836	6306975.060000	505106.060000	31	1096	2013-05-08
2/1-U-5	BP Petroleum Dev. of Norway AS	019	SHALLOW	\N	\N	1987-04-14	1987-04-15	\N	NORTH SEA	ED50	56	53	48.17	N	3	5	3.98	E	56.896714	3.084439	6306032.920000	505143.940000	31	1097	2013-05-08
2/1-U-6	BP Petroleum Dev. of Norway AS	019	SHALLOW	\N	\N	1987-04-15	1987-04-16	\N	NORTH SEA	ED50	56	54	16.70	N	3	5	5.29	E	56.904639	3.084803	6306915.150000	505165.010000	31	1098	2013-05-08
2/1-U-7	BP Petroleum Dev. of Norway AS	019	SHALLOW	\N	\N	1987-04-17	1987-04-18	\N	NORTH SEA	ED50	56	53	48.07	N	3	5	5.52	E	56.896686	3.084867	6306029.860000	505170.000000	31	1099	2013-05-08
2/1-U-8	BP Petroleum Dev. of Norway AS	019	SHALLOW	\N	\N	1987-04-19	1987-04-20	\N	NORTH SEA	ED50	56	54	17.66	N	3	5	7.06	E	56.904906	3.085294	6306944.870000	505194.920000	31	1100	2013-05-08
2/1-U-9	BP Petroleum Dev. of Norway AS	019	SHALLOW	\N	\N	1987-04-26	1987-04-27	\N	NORTH SEA	ED50	56	53	46.72	N	3	5	4.63	E	56.896311	3.084619	6305988.100000	505154.990000	31	1101	2013-05-08
2/1-U-10	BP Petroleum Dev. of Norway AS	019	SHALLOW	\N	\N	1987-04-26	1987-04-27	\N	NORTH SEA	ED50	56	54	17.66	N	3	5	6.06	E	56.904906	3.085017	6306944.850000	505178.000000	31	1102	2013-05-08
2/1-U-11	BP Petroleum Dev. of Norway AS	019	SHALLOW	\N	\N	1987-04-26	1987-04-27	\N	NORTH SEA	ED50	56	54	16.24	N	3	5	4.70	E	56.904511	3.084639	6306900.910000	505155.050000	31	1103	2013-05-08
30/6-U-3	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-01	1987-10-01	\N	NORTH SEA	ED50	60	35	43.49	N	2	45	8.40	E	60.595414	2.752333	6717907.990000	486434.050000	31	1104	2013-05-08
30/6-U-4	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-09-11	1987-09-11	\N	NORTH SEA	ED50	60	35	41.81	N	2	45	8.74	E	60.594947	2.752428	6717855.990000	486439.030000	31	1105	2013-05-08
30/6-U-5	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-03	1987-10-03	\N	NORTH SEA	ED50	60	35	44.59	N	2	45	10.69	E	60.595719	2.752969	6717941.890000	486469.020000	31	1106	2013-05-08
30/6-U-6	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-04	1987-10-04	\N	NORTH SEA	ED50	60	36	31.82	N	2	46	24.56	E	60.608839	2.773489	6719399.120000	487597.990000	31	1107	2013-05-08
30/6-U-7	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-09-24	1987-09-24	\N	NORTH SEA	ED50	60	35	43.88	N	2	45	10.76	E	60.595522	2.752989	6717919.920000	486470.000000	31	1108	2013-05-08
30/6-U-8	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-09-23	1987-09-23	\N	NORTH SEA	ED50	60	35	43.69	N	2	45	12.67	E	60.595469	2.753519	6717913.930000	486499.040000	31	1109	2013-05-08
30/6-U-9	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-09-23	1987-09-23	\N	NORTH SEA	ED50	60	35	42.75	N	2	45	11.36	E	60.595208	2.753156	6717884.930000	486479.000000	31	1110	2013-05-08
6507/7-U-7	Norske Conoco A/S	\N	SHALLOW	\N	\N	1987-06-25	1987-06-26	\N	NORWEGIAN SEA	ED50	65	19	32.80	N	7	19	12.52	E	65.325778	7.320144	7245987.030000	421752.980000	32	1114	2013-05-08
6702/9-U-1	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1115	2013-05-08
6702/9-U-2	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1116	2013-05-08
6701/1-U-1	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1117	2013-05-08
6702/9-U-3	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1118	2013-05-08
6602/3-U-1	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1119	2013-05-08
6705/2-U-1	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	1974-08-13	1974-08-16	\N	NORWEGIAN SEA	ED50	67	47	6.60	N	5	23	15.60	E	67.785167	5.387667	7521050.680000	600725.050000	31	1120	2013-05-08
6706/10-U-1	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	1974-08-16	1974-08-17	\N	NORWEGIAN SEA	ED50	67	12	39.00	N	6	17	3.00	E	67.210833	6.284167	7457640.330000	382634.100000	32	1121	2013-05-08
6706/10-U-2	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	1974-08-17	1974-08-18	\N	NORWEGIAN SEA	ED50	67	12	28.20	N	6	18	22.80	E	67.207833	6.306333	7457264.430000	383577.050000	32	1122	2013-05-08
6706/7-U-1	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	1974-08-18	1974-08-20	\N	NORWEGIAN SEA	ED50	67	20	6.00	N	6	6	38.40	E	67.335000	6.110667	7471809.060000	375784.380000	32	1123	2013-05-08
34/10-B-5	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1988-10-25	1989-02-15	GULLFAKS	NORTH SEA	ED50	61	12	11.13	N	2	12	5.24	E	61.203092	2.201456	6785832.360000	457084.670000	31	1124	2013-05-08
6805/6-U-1	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	1974-08-22	1974-08-24	\N	NORWEGIAN SEA	ED50	68	42	54.60	N	5	45	43.80	E	68.715167	5.762167	7625315.480000	611872.620000	31	1125	2013-05-08
33/9-C-26	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1987-07-30	1987-08-28	STATFJORD	NORTH SEA	ED50	61	17	46.92	N	1	54	9.99	E	61.296367	1.902775	6796454.290000	441208.350000	31	1126	2013-05-08
25/2-A-1 H	Elf Petroleum Norge AS	026	DEVELOPMENT	PRODUCTION	GAS	1987-10-02	1987-12-04	ØST FRIGG	NORTH SEA	ED50	59	55	8.85	N	2	21	52.44	E	59.919125	2.364567	6642730.000000	464469.120000	31	1127	2013-05-08
34/10-32 R	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL/GAS	1987-07-15	1987-08-10	GULLFAKS SØR	NORTH SEA	ED50	61	4	33.37	N	2	12	43.59	E	61.075936	2.212108	6771662.050000	457486.560000	31	1128	2013-05-08
2/4-B-20 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1987-06-20	1987-10-21	EKOFISK	NORTH SEA	ED50	56	33	54.95	N	3	12	13.64	E	56.565264	3.203789	6269152.970000	512524.340000	31	1129	2013-05-08
2/4-K-30	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1987-07-24	1987-12-26	EKOFISK	NORTH SEA	ED50	56	33	55.95	N	3	12	21.85	E	56.565542	3.206069	6269184.310000	512664.410000	31	1130	2013-05-08
25/5-1 A	Elf Petroleum Norge AS	102	EXPLORATION	APPRAISAL	OIL	1987-08-01	1987-09-16	FRØY	NORTH SEA	ED50	59	43	47.19	N	2	34	13.46	E	59.729775	2.570406	6621549.920000	475841.980000	31	1131	2013-05-08
34/10-A-11	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1987-08-05	1987-10-20	GULLFAKS	NORTH SEA	ED50	61	10	33.85	N	2	11	22.85	E	61.176069	2.189681	6782830.230000	456414.580000	31	1132	2013-05-08
2/7-B-14 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1987-07-23	1987-10-01	ELDFISK	NORTH SEA	ED50	56	25	9.11	N	3	13	6.13	E	56.419197	3.218369	6252896.980000	513472.090000	31	1133	2013-05-08
6201/11-1	Den norske stats oljeselskap a.s	130	EXPLORATION	WILDCAT	OIL	1987-08-13	1987-11-06	\N	NORWEGIAN SEA	ED50	62	1	52.73	N	1	30	50.37	E	62.031314	1.513992	6878724.500000	422247.770000	31	1134	2013-05-08
9/2-2	Den norske stats oljeselskap a.s	114	EXPLORATION	WILDCAT	OIL SHOWS	1987-08-08	1987-09-21	\N	NORTH SEA	ED50	57	52	44.35	N	4	24	0.69	E	57.878986	4.400192	6416242.450000	583043.780000	31	1135	2013-05-08
6406/8-1	Elf Petroleum Norge AS	131	EXPLORATION	WILDCAT	GAS SHOWS	1987-09-15	1988-04-11	\N	NORWEGIAN SEA	ED50	64	21	55.01	N	6	26	48.16	E	64.365281	6.446711	7140372.600000	376765.250000	32	1136	2013-05-08
33/9-C-6	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1987-08-29	1987-11-01	STATFJORD	NORTH SEA	ED50	61	17	47.07	N	1	54	11.17	E	61.296408	1.903103	6796458.630000	441225.990000	31	1137	2013-05-08
7219/9-1	Norsk Hydro Produksjon AS	136	EXPLORATION	WILDCAT	SHOWS	1987-11-17	1988-02-25	\N	BARENTS SEA	ED50	72	24	0.78	N	19	57	11.68	E	72.400217	19.953244	8040679.940000	667003.560000	33	1138	2013-05-08
7/12-A-3	BP Norway Limited  U.A.	019	DEVELOPMENT	INJECTION	\N	1987-11-15	1988-01-29	ULA	NORTH SEA	ED50	57	6	41.23	N	2	50	50.89	E	57.111453	2.847469	6329944.800000	490761.360000	31	1139	2013-05-08
7122/6-1	Total Norge AS	138	EXPLORATION	WILDCAT	GAS	1987-09-06	1987-11-11	\N	BARENTS SEA	ED50	71	38	19.32	N	22	48	42.80	E	71.638700	22.811889	7949804.840000	563698.430000	34	1140	2013-05-08
7030/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-07-22	1987-09-09	\N	BARENTS SEA	ED50	70	49	36.18	N	30	44	31.07	E	70.826717	30.741964	7859822.320000	417243.640000	36	1141	2013-05-08
7129/10-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-07-22	1987-09-09	\N	BARENTS SEA	ED50	71	7	13.47	N	29	13	23.12	E	71.120408	29.223089	7892512.460000	580274.640000	35	1142	2013-05-08
7129/10-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-07-22	1987-09-09	\N	BARENTS SEA	ED50	71	9	35.45	N	29	16	42.77	E	71.159847	29.278547	7896983.050000	582110.860000	35	1145	2013-05-08
7128/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-07-20	1988-08-28	\N	BARENTS SEA	ED50	71	15	30.24	N	28	51	16.04	E	71.258400	28.854456	7907449.100000	566495.990000	35	1146	2013-05-08
7230/5-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-07-22	1987-09-09	\N	BARENTS SEA	ED50	72	40	51.10	N	30	22	29.51	E	72.680861	30.374864	8068253.420000	612090.400000	35	1148	2013-05-08
7230/5-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-07-22	1987-09-09	\N	BARENTS SEA	ED50	72	41	10.05	N	30	22	26.70	E	72.686125	30.374083	8068838.340000	612031.500000	35	1149	2013-05-08
7230/5-U-4	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-07-22	1987-09-09	\N	BARENTS SEA	ED50	72	41	39.74	N	30	22	26.63	E	72.694372	30.374064	8069757.010000	611979.140000	35	1150	2013-05-08
7230/5-U-5	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-07-22	1987-09-09	\N	BARENTS SEA	ED50	72	42	6.00	N	30	22	31.64	E	72.701667	30.375456	8070572.180000	611979.530000	35	1151	2013-05-08
7230/5-U-6	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-07-22	1987-09-09	\N	BARENTS SEA	ED50	72	42	21.21	N	30	22	28.86	E	72.705892	30.374683	8071041.380000	611927.440000	35	1152	2013-05-08
7231/1-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-08-22	1987-08-28	\N	BARENTS SEA	ED50	72	45	12.45	N	31	7	30.21	E	72.753458	31.125058	8077891.780000	636418.110000	35	1153	2013-05-08
7231/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-08-22	1987-08-28	\N	BARENTS SEA	ED50	72	44	16.31	N	31	7	28.94	E	72.737864	31.124706	8076155.040000	636526.010000	35	1154	2013-05-08
7230/5-U-9	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-08-22	1987-08-28	\N	BARENTS SEA	ED50	72	37	22.44	N	30	22	31.41	E	72.622900	30.375392	8061797.810000	612471.400000	35	1161	2013-05-08
7324/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-08-29	1987-09-05	\N	BARENTS SEA	ED50	73	18	56.92	N	24	8	21.22	E	73.315811	24.139228	8138127.020000	408353.020000	35	1162	2013-05-08
7323/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1987-08-29	1987-09-05	\N	BARENTS SEA	ED50	73	14	17.81	N	23	57	0.65	E	73.238281	23.950181	8129787.090000	401860.550000	35	1163	2013-05-08
31/5-U-1	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-09-20	1987-09-23	\N	NORTH SEA	ED50	60	34	27.00	N	3	39	27.48	E	60.574167	3.657633	6715696.060000	536045.200000	31	1164	2013-05-08
34/7-U-1	Saga Petroleum ASA	\N	SHALLOW	\N	\N	1984-05-09	1984-07-24	\N	NORTH SEA	ED50	61	28	21.80	N	2	13	25.56	E	61.472722	2.223767	6815851.930000	458640.730000	31	1165	2013-05-08
34/7-U-2	Saga Petroleum ASA	\N	SHALLOW	\N	\N	1987-07-31	1987-07-31	\N	NORTH SEA	ED50	61	27	0.80	N	2	8	46.26	E	61.450222	2.146183	6813397.310000	454474.280000	31	1166	2013-05-08
34/7-U-3	Saga Petroleum ASA	\N	SHALLOW	\N	\N	1987-08-02	1987-08-02	\N	NORTH SEA	ED50	61	20	48.00	N	2	7	9.00	E	61.346667	2.119167	6801881.530000	452878.100000	31	1167	2013-05-08
34/7-U-4 A	Saga Petroleum ASA	\N	SHALLOW	\N	\N	1987-08-09	1987-08-09	\N	NORTH SEA	ED50	61	26	57.50	N	2	8	31.28	E	61.449306	2.142022	6813298.110000	454251.070000	31	1168	2013-05-08
34/7-U-5	Saga Petroleum ASA	\N	SHALLOW	\N	\N	1987-08-13	1987-08-13	\N	NORTH SEA	ED50	61	27	0.20	N	2	8	36.13	E	61.450056	2.143369	6813380.710000	454324.000000	31	1169	2013-05-08
34/7-U-6 B	Saga Petroleum ASA	\N	SHALLOW	\N	\N	1987-08-19	1987-08-19	\N	NORTH SEA	ED50	61	26	57.79	N	2	8	36.47	E	61.449386	2.143464	6813306.080000	454328.060000	31	1170	2013-05-08
34/7-U-7 A	Saga Petroleum ASA	\N	SHALLOW	\N	\N	1987-08-17	1987-08-17	\N	NORTH SEA	ED50	61	29	20.30	N	2	13	32.17	E	61.488972	2.225603	6817660.880000	458760.050000	31	1171	2013-05-08
34/7-U-8	Saga Petroleum ASA	\N	SHALLOW	\N	\N	1987-08-03	1987-08-03	\N	NORTH SEA	ED50	61	29	22.79	N	2	13	37.38	E	61.489664	2.227050	6817737.010000	458838.030000	31	1172	2013-05-08
6406/3-4	Den norske stats oljeselskap a.s	091	EXPLORATION	APPRAISAL	OIL SHOWS	1987-09-25	1987-12-29	\N	NORWEGIAN SEA	ED50	64	53	0.11	N	6	50	48.55	E	64.883364	6.846819	7197370.600000	398030.830000	32	1173	2013-05-08
6407/5-1	Mobil Exploration Norway INC	121	EXPLORATION	WILDCAT	SHOWS	1987-12-11	1988-03-04	\N	NORWEGIAN SEA	ED50	64	36	22.40	N	7	28	26.54	E	64.606222	7.474039	7165626.690000	426984.940000	32	1174	2013-05-08
30/3-A-2	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1987-09-25	1987-11-18	VESLEFRIKK	NORTH SEA	ED50	60	46	57.87	N	2	53	52.38	E	60.782742	2.897883	6738752.120000	494438.980000	31	1175	2013-05-08
34/7-11	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	DRY	1987-10-02	1987-10-11	\N	NORTH SEA	ED50	61	16	17.20	N	2	6	47.10	E	61.271444	2.113083	6793507.130000	452438.890000	31	1176	2013-05-08
7226/11-1	Den norske stats oljeselskap a.s	139	EXPLORATION	WILDCAT	GAS	1987-10-22	1988-04-11	\N	BARENTS SEA	ED50	72	14	18.16	N	26	28	44.78	E	72.238378	26.479106	8015817.520000	482263.450000	35	1177	2013-05-08
25/2-10 SR	Elf Petroleum Norge AS	112	EXPLORATION	WILDCAT	OIL/GAS	1987-09-16	1987-09-22	\N	NORTH SEA	ED50	59	53	11.80	N	2	30	8.33	E	59.886611	2.502314	6639043.070000	472144.070000	31	1178	2013-05-08
2/4-K-20	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1987-09-16	1988-12-12	EKOFISK	NORTH SEA	ED50	56	33	55.80	N	3	12	21.89	E	56.565500	3.206081	6269179.670000	512665.100000	31	1179	2013-05-08
2/4-K-28	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1987-09-07	1987-11-17	EKOFISK	NORTH SEA	ED50	56	33	56.00	N	3	12	22.20	E	56.565556	3.206167	6269185.870000	512670.380000	31	1180	2013-05-08
25/1-A-22 A	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1987-10-06	1987-11-01	FRIGG	NORTH SEA	ED50	59	53	9.77	N	2	4	21.53	E	59.886047	2.072647	6639238.980000	448095.160000	31	1181	2013-05-08
25/1-A-3 A	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1987-09-05	1987-09-28	FRIGG	NORTH SEA	ED50	59	53	9.44	N	2	4	20.60	E	59.885956	2.072389	6639228.970000	448080.560000	31	1182	2013-05-08
2/7-A-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1987-10-27	1988-02-25	ELDFISK	NORTH SEA	ED50	56	22	36.44	N	3	15	57.85	E	56.376789	3.266069	6248186.940000	516433.150000	31	1183	2013-05-08
33/9-C-1	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	\N	1987-11-03	1987-11-08	STATFJORD	NORTH SEA	ED50	61	17	48.17	N	1	54	11.09	E	61.296714	1.903081	6796492.690000	441225.370000	31	1184	2013-05-08
34/10-B-1	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1987-11-23	1988-02-17	GULLFAKS	NORTH SEA	ED50	61	12	10.98	N	2	12	5.04	E	61.203050	2.201400	6785827.750000	457081.620000	31	1185	2013-05-08
34/10-3 R	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	OIL	1987-10-03	1987-10-10	GULLFAKS	NORTH SEA	ED50	61	12	49.70	N	2	11	53.65	E	61.213806	2.198236	6787027.860000	456926.290000	31	1186	2013-05-08
34/7-12	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1987-10-11	1987-12-17	TORDIS	NORTH SEA	ED50	61	16	17.86	N	2	6	47.26	E	61.271628	2.113128	6793527.520000	452441.550000	31	1187	2013-05-08
2/2-4	Saga Petroleum ASA	066	EXPLORATION	WILDCAT	GAS	1988-04-16	1988-06-07	\N	NORTH SEA	ED50	56	47	40.88	N	3	39	34.46	E	56.794689	3.659572	6294866.660000	540289.630000	31	1188	2013-05-08
2/4-K-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1987-11-17	1987-11-30	EKOFISK	NORTH SEA	ED50	56	33	55.76	N	3	12	22.10	E	56.565489	3.206139	6269178.450000	512668.690000	31	1189	2013-05-08
31/4-U-1	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-14	1987-10-14	\N	NORTH SEA	ED50	60	32	33.40	N	3	2	50.52	E	60.542611	3.047367	6712002.100000	502598.750000	31	1190	2013-05-08
31/4-U-2	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-09-29	1987-09-30	\N	NORTH SEA	ED50	60	32	34.37	N	3	2	48.70	E	60.542881	3.046861	6712032.090000	502570.990000	31	1191	2013-05-08
31/4-U-3	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-02	1987-10-03	\N	NORTH SEA	ED50	60	32	32.49	N	3	2	52.56	E	60.542358	3.047933	6711973.960000	502629.860000	31	1192	2013-05-08
31/4-U-4	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-02	1987-10-03	\N	NORTH SEA	ED50	60	32	32.43	N	3	2	48.25	E	60.542342	3.046736	6711972.060000	502564.180000	31	1193	2013-05-08
31/4-U-5	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-13	1987-10-14	\N	NORTH SEA	ED50	60	32	34.24	N	3	2	52.98	E	60.542844	3.048050	6712028.110000	502636.220000	31	1194	2013-05-08
31/4-U-6	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-03	1987-10-04	\N	NORTH SEA	ED50	60	32	33.14	N	3	2	55.87	E	60.542539	3.048853	6711994.110000	502680.290000	31	1195	2013-05-08
31/4-U-7	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-08	1987-10-09	\N	NORTH SEA	ED50	60	32	35.63	N	3	2	50.55	E	60.543231	3.047375	6712071.090000	502599.160000	31	1196	2013-05-08
31/4-U-8	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-15	1987-10-16	\N	NORTH SEA	ED50	60	32	31.07	N	3	2	50.68	E	60.541964	3.047411	6711930.010000	502601.240000	31	1197	2013-05-08
31/4-U-9	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-10	1987-10-11	\N	NORTH SEA	ED50	60	32	34.33	N	3	2	53.49	E	60.542869	3.048192	6712030.900000	502643.990000	31	1198	2013-05-08
30/6-U-10	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-02	1987-10-02	\N	NORTH SEA	ED50	60	35	42.91	N	2	45	9.26	E	60.595253	2.752572	6717890.000000	486447.070000	31	1199	2013-05-08
31/6-U-9	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1200	2013-05-08
31/6-U-1	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	39	1.04	N	3	41	44.26	E	60.650289	3.695628	6724195.870000	538037.940000	31	1201	2013-05-08
31/6-U-2	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	39	2.97	N	3	41	46.61	E	60.650825	3.696281	6724255.960000	538073.010000	31	1202	2013-05-08
31/6-U-3	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	39	1.07	N	3	41	39.66	E	60.650297	3.694350	6724196.060000	537968.070000	31	1203	2013-05-08
31/6-U-4	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	38	59.09	N	3	41	46.53	E	60.649747	3.696258	6724135.900000	538073.060000	31	1204	2013-05-08
31/6-U-5	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	39	1.01	N	3	41	50.85	E	60.650281	3.697458	6724196.000000	538138.050000	31	1205	2013-05-08
31/6-U-6	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	39	3.84	N	3	41	41.03	E	60.651067	3.694731	6724281.980000	537987.970000	31	1206	2013-05-08
31/6-U-7	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	38	57.94	N	3	42	46.74	E	60.649428	3.712983	6724110.130000	538987.990000	31	1207	2013-05-08
31/6-U-8	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	39	2.81	N	3	41	46.28	E	60.650781	3.696189	6724250.950000	538068.050000	31	1208	2013-05-08
30/3-A-3	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1987-11-18	1987-12-19	VESLEFRIKK	NORTH SEA	ED50	60	46	57.71	N	2	53	52.27	E	60.782697	2.897853	6738747.170000	494437.300000	31	1209	2013-05-08
2/1-A-8	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	\N	1987-11-18	1990-11-09	GYDA	NORTH SEA	ED50	56	54	17.67	N	3	5	6.60	E	56.904908	3.085167	6306945.170000	505187.140000	31	1210	2013-05-08
31/6-U-10	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1211	2013-05-08
31/6-U-11	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1212	2013-05-08
31/6-U-12	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1213	2013-05-08
31/6-U-13	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1214	2013-05-08
2/7-B-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1987-11-20	1988-02-09	ELDFISK	NORTH SEA	ED50	56	25	8.90	N	3	13	6.31	E	56.419139	3.218419	6252890.500000	513475.200000	31	1215	2013-05-08
6506/11-1	Den norske stats oljeselskap a.s	134	EXPLORATION	WILDCAT	GAS SHOWS	1987-12-30	1988-03-31	\N	NORWEGIAN SEA	ED50	65	11	4.49	N	6	39	53.88	E	65.184581	6.664967	7231229.820000	390662.030000	32	1216	2013-05-08
2/4-A-1 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1987-11-07	1988-02-15	EKOFISK	NORTH SEA	ED50	56	31	15.15	N	3	13	23.04	E	56.520875	3.223067	6264215.670000	513725.150000	31	1217	2013-05-08
2/4-K-27	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1988-01-08	1988-07-14	EKOFISK	NORTH SEA	ED50	56	33	56.03	N	3	12	22.36	E	56.565564	3.206211	6269186.810000	512673.100000	31	1218	2013-05-08
25/1-10	Elf Petroleum Norge AS	024	EXPLORATION	WILDCAT	DRY	1988-04-19	1988-09-14	\N	NORTH SEA	ED50	59	57	8.58	N	2	5	48.11	E	59.952383	2.096697	6646607.840000	449542.000000	31	1219	2013-05-08
34/10-A-13	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	GAS	1987-12-23	1988-02-15	GULLFAKS	NORTH SEA	ED50	61	10	33.68	N	2	11	23.24	E	61.176022	2.189789	6782824.900000	456420.340000	31	1220	2013-05-08
2/4-D-8 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1988-03-18	1988-04-15	VEST EKOFISK	NORTH SEA	ED50	56	33	47.04	N	3	5	8.54	E	56.563067	3.085706	6268893.090000	505267.550000	31	1221	2013-05-08
2/1-A-7	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1988-01-13	1990-09-30	GYDA	NORTH SEA	ED50	56	54	17.61	N	3	5	6.71	E	56.904892	3.085197	6306943.320000	505189.000000	31	1222	2013-05-08
30/6-U-11	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-10-02	1987-10-02	\N	NORTH SEA	ED50	60	35	42.23	N	2	45	3.52	E	60.595064	2.750978	6717869.290000	486359.650000	31	1223	2013-05-08
2/8-11	Amoco Norway Oil Company	006	EXPLORATION	APPRAISAL	OIL	1976-08-10	1976-10-11	VALHALL	NORTH SEA	ED50	56	16	56.30	N	3	22	15.61	E	56.282306	3.371003	6237700.300000	522970.750000	31	1224	2013-05-08
30/6-22	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL	1988-05-21	1988-07-13	OSEBERG ØST	NORTH SEA	ED50	60	43	57.26	N	2	58	53.12	E	60.732572	2.981422	6733159.800000	498986.720000	31	1225	2013-05-08
33/9-14	Den norske stats oljeselskap a.s	037	EXPLORATION	APPRAISAL	OIL	1988-02-17	1988-04-09	STATFJORD NORD	NORTH SEA	ED50	61	26	0.26	N	1	54	4.48	E	61.433406	1.901244	6811719.660000	441383.290000	31	1226	2013-05-08
6406/3-5	Den norske stats oljeselskap a.s	091	EXPLORATION	WILDCAT	SHOWS	1988-04-03	1988-06-01	\N	NORWEGIAN SEA	ED50	64	58	20.07	N	6	58	33.65	E	64.972242	6.976014	7207070.270000	404464.420000	32	1227	2013-05-08
2/8-A-10 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1988-02-13	1988-03-23	VALHALL	NORTH SEA	ED50	56	16	40.87	N	3	23	43.43	E	56.278019	3.395397	6237231.630000	524483.870000	31	1228	2013-05-08
6407/7-3	Norsk Hydro Produksjon AS	107	EXPLORATION	WILDCAT	OIL	1988-03-03	1988-05-18	NJORD	NORWEGIAN SEA	ED50	64	16	44.34	N	7	9	0.13	E	64.278983	7.150036	7129582.240000	410422.660000	32	1229	2013-05-08
31/5-U-2	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1987-09-24	1987-09-25	\N	NORTH SEA	ED50	60	34	26.65	N	3	39	26.16	E	60.574069	3.657267	6715685.030000	536025.210000	31	1230	2013-05-08
2/7-B-4	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1988-11-07	1988-12-29	ELDFISK	NORTH SEA	ED50	56	25	8.86	N	3	13	5.95	E	56.419128	3.218319	6252889.250000	513469.030000	31	1231	2013-05-08
25/2-A-3 H	Elf Petroleum Norge AS	026	DEVELOPMENT	PRODUCTION	GAS	1988-03-06	1988-04-12	ØST FRIGG	NORTH SEA	ED50	59	55	8.61	N	2	21	52.44	E	59.919058	2.364567	6642722.580000	464469.050000	31	1232	2013-05-08
34/7-13	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1988-02-19	1988-04-13	VIGDIS	NORTH SEA	ED50	61	24	19.23	N	2	3	12.49	E	61.405342	2.053469	6808466.370000	449458.440000	31	1233	2013-05-08
30/3-A-4	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1987-12-19	1988-08-15	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	52.48	E	60.782756	2.897911	6738753.670000	494440.490000	31	1234	2013-05-08
30/6-U-12	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1988-01-15	1988-01-15	\N	NORTH SEA	ED50	60	36	28.21	N	2	46	32.06	E	60.607836	2.775572	6719287.040000	487711.680000	31	1235	2013-05-08
30/6-U-13	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1988-01-06	1988-01-06	\N	NORTH SEA	ED50	60	36	29.46	N	2	46	28.50	E	60.608183	2.774583	6719325.900000	487657.670000	31	1236	2013-05-08
30/6-U-14	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1988-01-19	1988-01-19	\N	NORTH SEA	ED50	60	36	31.66	N	2	46	32.10	E	60.608794	2.775583	6719393.780000	487712.650000	31	1237	2013-05-08
30/6-U-15	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1988-01-17	1988-01-17	\N	NORTH SEA	ED50	60	36	29.96	N	2	46	35.57	E	60.608322	2.776547	6719341.000000	487765.250000	31	1238	2013-05-08
30/6-U-16	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1988-01-07	1988-01-07	\N	NORTH SEA	ED50	60	36	30.73	N	2	46	31.62	E	60.608536	2.775450	6719365.030000	487705.250000	31	1239	2013-05-08
30/6-U-17	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1988-01-08	1988-01-08	\N	NORTH SEA	ED50	60	36	29.23	N	2	46	32.48	E	60.608119	2.775689	6719318.570000	487718.180000	31	1240	2013-05-08
30/6-U-19	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1988-01-12	1988-01-12	\N	NORTH SEA	ED50	60	36	30.00	N	2	46	30.78	E	60.608333	2.775217	6719342.490000	487692.400000	31	1241	2013-05-08
30/6-U-18	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1988-01-24	1988-01-24	\N	NORTH SEA	ED50	60	36	30.05	N	2	46	33.58	E	60.608347	2.775994	6719343.890000	487734.990000	31	1242	2013-05-08
30/6-U-20	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	1988-01-21	1988-01-21	\N	NORTH SEA	ED50	60	36	29.99	N	2	46	32.30	E	60.608331	2.775639	6719342.100000	487715.520000	31	1243	2013-05-08
1/9-A-6 H	Den norske stats oljeselskap a.s	044	DEVELOPMENT	PRODUCTION	GAS	1988-02-20	1988-04-18	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	31.79	N	2	55	27.14	E	56.492164	2.924206	6261000.090000	495332.890000	31	1244	2013-05-08
7224/7-1	Den norske stats oljeselskap a.s	137	EXPLORATION	WILDCAT	SHOWS	1988-04-13	1988-06-19	\N	BARENTS SEA	ED50	72	17	6.34	N	24	18	2.98	E	72.285094	24.300828	8023008.800000	408353.140000	35	1245	2013-05-08
6408/4-1	Conoco Norway Inc.	133	EXPLORATION	WILDCAT	DRY	1988-09-18	1988-10-18	\N	NORWEGIAN SEA	ED50	64	40	0.22	N	8	15	27.05	E	64.666728	8.257514	7171699.060000	464550.030000	32	1246	2013-05-08
7/12-A-1	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	\N	1988-02-27	1988-05-13	ULA	NORTH SEA	ED50	57	6	41.49	N	2	50	50.66	E	57.111525	2.847406	6329952.850000	490757.510000	31	1247	2013-05-08
2/8-A-23	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1988-03-23	1988-07-05	VALHALL	NORTH SEA	ED50	56	16	40.96	N	3	23	44.11	E	56.278044	3.395586	6237234.480000	524495.550000	31	1248	2013-05-08
2/4-C-4	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1988-02-15	1988-04-20	EKOFISK	NORTH SEA	ED50	56	32	52.94	N	3	12	56.02	E	56.548039	3.215561	6267237.840000	513253.850000	31	1249	2013-05-08
15/5-2 R	Norsk Hydro Produksjon AS	048	EXPLORATION	WILDCAT	GAS	1979-11-02	1979-12-07	\N	NORTH SEA	ED50	58	38	36.74	N	1	36	16.48	E	58.643539	1.604578	6501352.420000	419002.370000	31	1250	2013-05-08
34/10-A-14	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1988-02-25	1988-04-14	GULLFAKS	NORTH SEA	ED50	61	10	34.98	N	2	11	21.92	E	61.176383	2.189422	6782865.360000	456401.110000	31	1251	2013-05-08
2/1-A-5	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1988-03-18	1988-05-05	GYDA	NORTH SEA	ED50	56	54	17.49	N	3	5	6.93	E	56.904858	3.085258	6306939.610000	505192.730000	31	1252	2013-05-08
34/10-A-15	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1988-04-17	1988-05-31	GULLFAKS	NORTH SEA	ED50	61	10	33.60	N	2	11	22.94	E	61.176000	2.189706	6782822.480000	456415.820000	31	1253	2013-05-08
2/4-E-2 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1988-03-17	1988-05-17	TOR	NORTH SEA	ED50	56	38	31.27	N	3	19	37.46	E	56.642019	3.327072	6277726.080000	520060.270000	31	1254	2013-05-08
2/7-B-13 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1988-04-04	1988-06-30	ELDFISK	NORTH SEA	ED50	56	25	9.14	N	3	13	6.30	E	56.419206	3.218417	6252897.920000	513475.000000	31	1255	2013-05-08
6407/9-U-8	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	21	15.00	N	7	46	59.00	E	64.354167	7.783056	7137220.530000	441230.930000	32	1256	2013-05-08
6407/9-U-9	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	21	15.00	N	7	46	59.00	E	64.354167	7.783056	7137220.530000	441230.930000	32	1257	2013-05-08
6407/9-U-10	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	21	15.00	N	7	46	59.00	E	64.354167	7.783056	7137220.530000	441230.930000	32	1258	2013-05-08
6407/9-U-11	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	21	15.00	N	7	46	59.00	E	64.354167	7.783056	7137220.530000	441230.930000	32	1259	2013-05-08
6407/9-U-12	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	21	15.00	N	7	46	59.00	E	64.354167	7.783056	7137220.530000	441230.930000	32	1260	2013-05-08
6407/9-U-13	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	21	15.00	N	7	46	59.00	E	64.354167	7.783056	7137220.530000	441230.930000	32	1261	2013-05-08
2/7-A-4	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1988-05-07	1988-06-24	ELDFISK	NORTH SEA	ED50	56	22	36.41	N	3	15	58.03	E	56.376781	3.266119	6248186.020000	516436.240000	31	1262	2013-05-08
2/1-A-4	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1988-05-05	1988-06-18	GYDA	NORTH SEA	ED50	56	54	17.73	N	3	5	6.71	E	56.904925	3.085197	6306947.030000	505189.000000	31	1263	2013-05-08
2/4-C-7	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1988-04-24	1988-07-15	EKOFISK	NORTH SEA	ED50	56	32	52.80	N	3	12	55.73	E	56.548000	3.215481	6267233.490000	513248.910000	31	1265	2013-05-08
7/12-A-5	BP Norway Limited  U.A.	019	DEVELOPMENT	INJECTION	WATER	1988-05-15	1989-02-03	ULA	NORTH SEA	ED50	57	6	41.14	N	2	50	50.96	E	57.111428	2.847489	6329942.010000	490762.530000	31	1266	2013-05-08
6408/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-05-20	1988-06-12	\N	NORWEGIAN SEA	ED50	64	10	13.29	N	8	44	53.49	E	64.170358	8.748192	7116198.130000	487757.950000	32	1267	2013-05-08
6307/7-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-05-20	1988-06-12	\N	NORWEGIAN SEA	ED50	63	27	54.35	N	7	14	44.26	E	63.465097	7.245628	7038781.020000	412557.050000	32	1269	2013-05-08
6307/7-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-05-20	1988-06-12	\N	NORWEGIAN SEA	ED50	63	27	19.20	N	7	16	36.97	E	63.455333	7.276936	7037650.960000	414087.990000	32	1270	2013-05-08
6206/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-05-20	1988-06-12	\N	NORWEGIAN SEA	ED50	62	56	27.90	N	6	35	48.17	E	62.941083	6.596714	6981473.150000	378036.940000	32	1273	2013-05-08
6206/2-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-05-20	1988-06-12	\N	NORWEGIAN SEA	ED50	62	56	14.68	N	6	36	38.00	E	62.937411	6.610556	6981038.030000	378723.940000	32	1274	2013-05-08
6206/2-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-05-20	1988-06-12	\N	NORWEGIAN SEA	ED50	62	56	3.01	N	6	37	28.12	E	62.934169	6.624478	6980650.850000	379416.990000	32	1275	2013-05-08
34/7-14	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL	1989-09-28	1989-12-02	TORDIS	NORTH SEA	ED50	61	15	32.24	N	2	6	58.05	E	61.258956	2.116125	6792113.820000	452583.170000	31	1278	2013-05-08
25/1-7 R2	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	GAS	1988-05-07	1988-05-10	FRIGG	NORTH SEA	ED50	59	55	8.28	N	2	4	52.33	E	59.918967	2.081203	6642898.340000	448624.870000	31	1279	2013-05-08
2/7-B-16	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1988-08-31	1988-11-05	ELDFISK	NORTH SEA	ED50	56	25	9.06	N	3	13	5.79	E	56.419183	3.218275	6252895.420000	513466.270000	31	1280	2013-05-08
2/4-K-21	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1988-05-26	1988-07-03	EKOFISK	NORTH SEA	ED50	56	33	56.23	N	3	12	23.36	E	56.565619	3.206489	6269193.040000	512690.160000	31	1281	2013-05-08
7/12-A-12	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	\N	1988-05-21	1988-07-24	ULA	NORTH SEA	ED50	57	6	41.01	N	2	50	50.88	E	57.111392	2.847467	6329938.000000	490761.170000	31	1282	2013-05-08
34/10-B-3	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1988-06-03	1988-07-30	GULLFAKS	NORTH SEA	ED50	61	12	11.16	N	2	12	5.01	E	61.203100	2.201392	6785833.330000	457081.240000	31	1283	2013-05-08
7321/7-1	Mobil Exploration Norway INC	140	EXPLORATION	WILDCAT	GAS SHOWS	1988-06-26	1988-10-22	\N	BARENTS SEA	ED50	73	25	55.57	N	21	4	31.75	E	73.432103	21.075486	8158249.220000	311704.770000	35	1284	2013-05-08
34/10-A-16	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	1988-06-08	1988-07-17	GULLFAKS	NORTH SEA	ED50	61	10	35.09	N	2	11	21.62	E	61.176414	2.189339	6782868.820000	456396.670000	31	1285	2013-05-08
25/1-8 SR2	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	GAS	1988-05-12	1988-05-15	FRIGG	NORTH SEA	ED50	59	54	3.28	N	2	6	9.79	E	59.900911	2.102719	6640871.090000	449800.690000	31	1286	2013-05-08
7/12-7	BP Norway Limited  U.A.	019	EXPLORATION	APPRAISAL	OIL	1988-06-20	1988-07-26	ULA	NORTH SEA	ED50	57	6	31.92	N	2	52	47.27	E	57.108867	2.879797	6329652.990000	492718.910000	31	1287	2013-05-08
35/8-3	Norwegian Gulf Exploration Company AS	058	EXPLORATION	WILDCAT	GAS	1988-07-06	1988-10-15	\N	NORTH SEA	ED50	61	21	5.35	N	3	32	2.63	E	61.351486	3.534064	6802217.370000	528566.790000	31	1288	2013-05-08
2/4-D-15	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1988-06-23	1988-09-01	VEST EKOFISK	NORTH SEA	ED50	56	33	47.04	N	3	5	8.15	E	56.563067	3.085597	6268893.080000	505260.890000	31	1289	2013-05-08
25/2-12	Elf Petroleum Norge AS	026	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1988-07-17	1988-11-12	LILLE-FRIGG	NORTH SEA	ED50	59	57	48.34	N	2	23	40.78	E	59.963428	2.394661	6647648.170000	466196.960000	31	1290	2013-05-08
2/4-K-11	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	\N	1988-07-04	1988-10-11	EKOFISK	NORTH SEA	ED50	56	33	56.12	N	3	12	23.40	E	56.565589	3.206500	6269189.640000	512690.850000	31	1291	2013-05-08
2/7-A-13	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1988-06-27	1989-01-31	ELDFISK	NORTH SEA	ED50	56	22	36.59	N	3	15	57.89	E	56.376831	3.266081	6248191.580000	516433.820000	31	1292	2013-05-08
2/4-B-2 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1988-05-24	1988-08-21	EKOFISK	NORTH SEA	ED50	56	33	54.83	N	3	12	14.08	E	56.565231	3.203911	6269149.280000	512531.860000	31	1293	2013-05-08
9/2-3	Den norske stats oljeselskap a.s	114	EXPLORATION	WILDCAT	OIL	1989-12-04	1990-02-08	YME	NORTH SEA	ED50	57	45	20.20	N	4	22	13.50	E	57.755611	4.370417	6402472.090000	581556.090000	31	1294	2013-05-08
2/4-K-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1989-06-18	1989-08-08	EKOFISK	NORTH SEA	ED50	56	33	56.06	N	3	12	23.47	E	56.565572	3.206519	6269187.790000	512692.050000	31	1295	2013-05-08
30/9-B-4	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1992-06-27	1992-08-04	OSEBERG	NORTH SEA	ED50	60	29	36.44	N	2	49	42.81	E	60.493456	2.828558	6706538.420000	490579.680000	31	1296	2013-05-08
30/9-B-7	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1988-07-21	1990-11-07	OSEBERG	NORTH SEA	ED50	60	29	36.31	N	2	49	42.35	E	60.493419	2.828431	6706534.410000	490572.650000	31	1297	2013-05-08
30/9-B-42	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1988-08-06	1989-05-23	OSEBERG	NORTH SEA	ED50	60	29	35.96	N	2	49	43.37	E	60.493322	2.828714	6706523.540000	490588.190000	31	1298	2013-05-08
2/1-A-6	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1988-07-28	1988-09-25	GYDA	NORTH SEA	ED50	56	54	17.55	N	3	5	6.82	E	56.904875	3.085228	6306941.460000	505190.860000	31	1300	2013-05-08
2/8-A-24	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	\N	1988-09-15	1988-11-07	VALHALL	NORTH SEA	ED50	56	16	41.08	N	3	23	44.09	E	56.278078	3.395581	6237238.190000	524495.180000	31	1301	2013-05-08
34/10-33	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL/GAS	1988-09-25	1988-12-15	GULLFAKS SØR	NORTH SEA	ED50	61	7	34.44	N	2	12	57.10	E	61.126233	2.215861	6777262.000000	457756.180000	31	1302	2013-05-08
34/10-A-17	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1988-07-23	1988-10-08	GULLFAKS	NORTH SEA	ED50	61	10	33.93	N	2	11	23.14	E	61.176092	2.189761	6782832.650000	456418.940000	31	1303	2013-05-08
34/10-B-4	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1988-07-25	1988-09-13	GULLFAKS	NORTH SEA	ED50	61	12	10.10	N	2	12	5.91	E	61.202806	2.201642	6785800.370000	457094.280000	31	1304	2013-05-08
6206/2-U-8	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-05-20	1988-06-12	\N	NORWEGIAN SEA	ED50	62	56	21.43	N	6	36	12.69	E	62.939286	6.603525	6981260.110000	378375.010000	32	1305	2013-05-08
30/9-7	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	OIL	1988-11-02	1988-12-23	OSEBERG SØR	NORTH SEA	ED50	60	25	4.76	N	2	45	7.00	E	60.417989	2.751944	6698146.380000	486338.280000	31	1306	2013-05-08
30/3-A-5	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	\N	1988-08-15	1988-11-27	VESLEFRIKK	NORTH SEA	ED50	60	46	57.77	N	2	53	52.38	E	60.782714	2.897883	6738749.030000	494438.970000	31	1307	2013-05-08
2/5-8	Amoco Norway Oil Company	006	EXPLORATION	APPRAISAL	OIL SHOWS	1988-09-18	1988-11-05	\N	NORTH SEA	ED50	56	35	15.77	N	3	26	22.51	E	56.587714	3.439586	6271719.800000	526999.750000	31	1308	2013-05-08
6507/8-3	Den norske stats oljeselskap a.s	124	EXPLORATION	WILDCAT	GAS SHOWS	1988-09-03	1988-09-20	\N	NORWEGIAN SEA	ED50	65	27	34.61	N	7	38	29.29	E	65.459614	7.641469	7260540.880000	437039.710000	32	1309	2013-05-08
2/4-K-24	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1988-08-03	1988-08-31	EKOFISK	NORTH SEA	ED50	56	33	56.09	N	3	12	22.82	E	56.565581	3.206339	6269188.690000	512680.950000	31	1310	2013-05-08
7/12-8	BP Norway Limited  U.A.	019	EXPLORATION	APPRAISAL	OIL	1988-10-03	1988-12-27	ULA	NORTH SEA	ED50	57	5	1.24	N	2	53	52.61	E	57.083678	2.897947	6326847.140000	493814.130000	31	1311	2013-05-08
7/12-A-4	BP Norway Limited  U.A.	019	DEVELOPMENT	INJECTION	WATER	1988-09-01	1988-11-11	ULA	NORTH SEA	ED50	57	6	41.23	N	2	50	50.89	E	57.111453	2.847469	6329944.800000	490761.360000	31	1312	2013-05-08
2/4-13	Saga Petroleum ASA	146	EXPLORATION	WILDCAT	GAS SHOWS	1988-09-03	1988-10-06	\N	NORTH SEA	ED50	56	41	3.98	N	3	8	44.53	E	56.684439	3.145703	6282409.610000	508926.350000	31	1313	2013-05-08
2/4-C-15 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1988-07-16	1988-11-23	EKOFISK	NORTH SEA	ED50	56	32	52.80	N	3	12	56.30	E	56.548000	3.215639	6267233.520000	513258.650000	31	1314	2013-05-08
6407/9-U-14	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	18	37.91	N	7	44	19.87	E	64.310531	7.738853	7132399.940000	439000.010000	32	1315	2013-05-08
34/10-B-7	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	WATER	1989-03-19	1989-04-26	GULLFAKS	NORTH SEA	ED50	61	12	9.91	N	2	12	6.53	E	61.202753	2.201814	6785794.370000	457103.460000	31	1316	2013-05-08
30/9-U-1	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	29	30.71	N	2	49	38.33	E	60.491864	2.827314	6706361.320000	490510.840000	31	1320	2013-05-08
31/6-U-14	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1988-06-24	1988-06-24	\N	NORTH SEA	ED50	60	39	0.96	N	3	41	47.32	E	60.650267	3.696478	6724193.880000	538084.450000	31	1321	2013-05-08
31/6-U-15	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1988-07-05	1988-07-05	\N	NORTH SEA	ED50	60	39	1.18	N	3	41	41.79	E	60.650328	3.694942	6724199.800000	538000.380000	31	1322	2013-05-08
31/6-U-16	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	39	1.04	N	3	41	46.46	E	60.650289	3.696239	6724196.220000	538071.360000	31	1323	2013-05-08
31/6-U-17	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	39	1.04	N	3	41	46.46	E	60.650289	3.696239	6724196.220000	538071.360000	31	1324	2013-05-08
7430/10-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-07-27	1988-07-29	\N	UNOPENEDAREA	ED50	74	12	47.80	N	30	14	44.18	E	74.213278	30.245606	8238748.260000	598520.960000	35	1325	2013-05-08
7430/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-07-29	1988-08-28	\N	UNOPENEDAREA	ED50	74	26	34.70	N	30	14	56.15	E	74.442972	30.248931	8264346.190000	597223.050000	35	1326	2013-05-08
7127/10-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-08-03	1988-08-07	\N	BARENTS SEA	ED50	71	9	39.46	N	27	5	26.82	E	71.160961	27.090783	7895564.270000	503272.010000	35	1327	2013-05-08
7029/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-08-19	1988-08-23	\N	BARENTS SEA	ED50	70	54	10.17	N	29	54	15.07	E	70.902825	29.904186	7869310.110000	606017.000000	35	1328	2013-05-08
7127/10-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-08-07	1988-08-10	\N	BARENTS SEA	ED50	71	10	55.01	N	27	11	2.44	E	71.181947	27.184011	7897912.620000	506625.000000	35	1329	2013-05-08
7128/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-08-10	1988-08-14	\N	BARENTS SEA	ED50	71	14	25.65	N	28	50	28.85	E	71.240458	28.841347	7905434.380000	566086.980000	35	1330	2013-05-08
7029/3-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-08-23	1988-08-27	\N	BARENTS SEA	ED50	70	56	7.01	N	29	58	53.56	E	70.935281	29.981544	7873063.250000	608660.980000	35	1332	2013-05-08
2/8-A-7 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1988-11-07	1989-01-08	VALHALL	NORTH SEA	ED50	56	16	40.94	N	3	23	43.68	E	56.278039	3.395467	6237233.820000	524488.160000	31	1336	2013-05-08
34/10-A-18	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	WATER	1988-09-27	1988-11-16	GULLFAKS	NORTH SEA	ED50	61	10	34.87	N	2	11	21.49	E	61.176353	2.189303	6782862.040000	456394.650000	31	1337	2013-05-08
34/8-3 A	Norsk Hydro Produksjon AS	120	EXPLORATION	APPRAISAL	OIL/GAS	1988-09-14	1988-10-31	VISUND	NORTH SEA	ED50	61	24	28.04	N	2	32	45.06	E	61.407789	2.545850	6808456.800000	475751.350000	31	1338	2013-05-08
7321/9-1	Norsk Hydro Produksjon AS	141	EXPLORATION	WILDCAT	SHOWS	1988-10-25	1988-11-28	\N	BARENTS SEA	ED50	73	16	7.34	N	21	41	0.68	E	73.268706	21.683522	8138267.660000	329361.050000	35	1339	2013-05-08
6507/8-4	Den norske stats oljeselskap a.s	124	EXPLORATION	WILDCAT	OIL/GAS	1990-06-14	1990-08-13	HEIDRUN	NORWEGIAN SEA	ED50	65	23	17.18	N	7	23	59.65	E	65.388106	7.399903	7252835.580000	425643.790000	32	1340	2013-05-08
30/6-C-11	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	GAS	1988-10-14	1991-09-15	OSEBERG	NORTH SEA	ED50	60	36	29.42	N	2	46	33.60	E	60.608172	2.776000	6719324.390000	487735.230000	31	1341	2013-05-08
6506/12-6	Den norske stats oljeselskap a.s	094	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1986-03-31	1986-08-02	ÅSGARD	NORWEGIAN SEA	ED50	65	9	57.60	N	6	46	43.19	E	65.166000	6.778664	7228967.740000	395911.260000	32	1342	2013-05-08
2/4-14	Saga Petroleum ASA	146	EXPLORATION	WILDCAT	OIL/GAS	1988-10-06	1989-01-31	\N	NORTH SEA	ED50	56	41	5.26	N	3	8	43.08	E	56.684794	3.145300	6282449.130000	508901.590000	31	1343	2013-05-08
2/4-B-3 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1988-10-06	1988-11-12	EKOFISK	NORTH SEA	ED50	56	33	54.79	N	3	12	13.90	E	56.565219	3.203861	6269148.030000	512528.790000	31	1344	2013-05-08
2/4-K-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1988-10-12	1988-11-28	EKOFISK	NORTH SEA	ED50	56	33	55.91	N	3	12	22.81	E	56.565531	3.206336	6269183.120000	512680.800000	31	1345	2013-05-08
25/5-2	Elf Petroleum Norge AS	102	EXPLORATION	WILDCAT	OIL	1989-04-18	1989-07-04	FRØY	NORTH SEA	ED50	59	42	13.28	N	2	32	8.58	E	59.703689	2.535717	6618657.960000	473870.960000	31	1346	2013-05-08
30/3-A-6	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	\N	1988-11-27	1989-01-30	VESLEFRIKK	NORTH SEA	ED50	60	46	57.71	N	2	53	52.48	E	60.782697	2.897911	6738747.170000	494440.480000	31	1347	2013-05-08
2/8-A-18 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1989-02-15	1989-03-24	VALHALL	NORTH SEA	ED50	56	16	41.13	N	3	23	44.21	E	56.278092	3.395614	6237239.750000	524497.240000	31	1348	2013-05-08
34/10-A-16 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1989-10-19	1989-11-13	GULLFAKS	NORTH SEA	ED50	61	10	35.09	N	2	11	21.62	E	61.176414	2.189339	6782868.820000	456396.670000	31	1349	2013-05-08
7125/1-1	Saga Petroleum ASA	135	EXPLORATION	WILDCAT	OIL/GAS	1988-11-30	1988-12-30	\N	BARENTS SEA	ED50	71	53	24.26	N	25	11	15.46	E	71.890072	25.187628	7977833.230000	437126.920000	35	1350	2013-05-08
2/8-12 S	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	SHOWS	1988-11-07	1989-04-27	\N	NORTH SEA	ED50	56	23	48.80	N	3	26	15.40	E	56.396889	3.437611	6250478.400000	527013.720000	31	1351	2013-05-08
34/10-A-19	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	1988-11-04	1988-12-20	GULLFAKS	NORTH SEA	ED50	61	10	33.89	N	2	11	22.99	E	61.176081	2.189719	6782831.440000	456416.680000	31	1352	2013-05-08
2/4-K-7	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1990-09-23	1991-04-20	EKOFISK	NORTH SEA	ED50	56	33	55.84	N	3	12	22.46	E	56.565511	3.206239	6269180.940000	512674.830000	31	1353	2013-05-08
7/12-A-8	BP Norway Limited  U.A.	019	DEVELOPMENT	INJECTION	\N	1989-02-09	1989-04-02	ULA	NORTH SEA	ED50	57	6	41.36	N	2	50	50.57	E	57.111489	2.847381	6329948.830000	490755.980000	31	1354	2013-05-08
25/2-12 A	Elf Petroleum Norge AS	026	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1988-11-12	1989-04-06	LILLE-FRIGG	NORTH SEA	ED50	59	57	48.34	N	2	23	40.78	E	59.963428	2.394661	6647648.170000	466196.960000	31	1355	2013-05-08
35/11-3 S	Mobil Exploration Norway INC	090	EXPLORATION	WILDCAT	OIL SHOWS	1989-06-27	1989-09-09	\N	NORTH SEA	ED50	61	5	12.24	N	3	20	18.47	E	61.086733	3.338464	6772656.110000	518257.030000	31	1356	2013-05-08
2/4-C-6 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1988-12-28	1989-02-11	EKOFISK	NORTH SEA	ED50	56	32	52.76	N	3	12	55.62	E	56.547989	3.215450	6267232.250000	513247.040000	31	1357	2013-05-08
33/12-7	Den norske stats oljeselskap a.s	152	EXPLORATION	WILDCAT	DRY	1989-02-22	1989-04-27	\N	NORTH SEA	ED50	61	7	35.72	N	1	54	32.50	E	61.126589	1.909028	6777538.470000	441227.760000	31	1358	2013-05-08
2/7-A-2 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1989-04-04	1989-06-01	ELDFISK	NORTH SEA	ED50	56	22	36.30	N	3	15	57.89	E	56.376750	3.266081	6248182.610000	516433.850000	31	1359	2013-05-08
6407/7-4	Norsk Hydro Produksjon AS	107	EXPLORATION	APPRAISAL	OIL	1989-01-13	1989-03-28	NJORD	NORWEGIAN SEA	ED50	64	15	43.43	N	7	13	25.84	E	64.262064	7.223844	7127595.360000	413943.150000	32	1360	2013-05-08
2/4-K-10	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	\N	1988-12-11	1989-01-18	EKOFISK	NORTH SEA	ED50	56	33	55.73	N	3	12	22.00	E	56.565481	3.206111	6269177.510000	512666.990000	31	1361	2013-05-08
30/6-C-10	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1988-12-27	1989-02-22	OSEBERG	NORTH SEA	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	1362	2013-05-08
34/10-A-20	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1988-12-09	1989-03-09	GULLFAKS	NORTH SEA	ED50	61	10	34.84	N	2	11	21.71	E	61.176344	2.189364	6782861.070000	456397.920000	31	1363	2013-05-08
34/10-B-6	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	OIL	1989-02-05	1989-03-17	GULLFAKS	NORTH SEA	ED50	61	12	9.87	N	2	12	6.39	E	61.202742	2.201775	6785793.160000	457101.360000	31	1364	2013-05-08
34/10-33 A	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL/GAS	1988-12-15	1989-02-03	GULLFAKS SØR	NORTH SEA	ED50	61	7	34.44	N	2	12	57.10	E	61.126233	2.215861	6777262.000000	457756.180000	31	1365	2013-05-08
7120/1-2	A/S Norske Shell	108	EXPLORATION	WILDCAT	OIL	1989-01-01	1989-03-28	\N	BARENTS SEA	ED50	71	47	29.04	N	20	16	42.98	E	71.791400	20.278606	7966032.040000	474839.560000	34	1366	2013-05-08
6507/11-U-2	Saga Petroleum ASA	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	0	39.50	N	7	33	5.95	E	65.010972	7.551653	7210639.890000	431729.990000	32	1826	2013-05-08
2/7-19	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1980-09-02	1981-02-02	\N	NORTH SEA	ED50	56	20	19.10	N	3	6	12.20	E	56.338639	3.103389	6243913.560000	506391.960000	31	1367	2013-05-08
2/1-A-2	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1989-02-21	1990-08-29	GYDA	NORTH SEA	ED50	56	54	17.61	N	3	5	6.93	E	56.904892	3.085258	6306943.320000	505192.720000	31	1368	2013-05-08
2/8-A-14 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1989-01-15	1989-02-15	VALHALL	NORTH SEA	ED50	56	16	40.92	N	3	23	43.33	E	56.278033	3.395369	6237233.170000	524482.140000	31	1369	2013-05-08
34/10-A-21	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1989-01-15	1989-03-13	GULLFAKS	NORTH SEA	ED50	61	10	34.83	N	2	11	21.34	E	61.176342	2.189261	6782860.830000	456392.390000	31	1370	2013-05-08
2/4-15 S	Saga Petroleum ASA	146	EXPLORATION	WILDCAT	DRY	1989-01-31	1990-03-16	\N	NORTH SEA	ED50	56	40	27.25	N	3	8	38.79	E	56.674236	3.144108	6281273.690000	508831.060000	31	1371	2013-05-08
2/4-B-6 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1989-01-29	1989-03-12	EKOFISK	NORTH SEA	ED50	56	33	54.65	N	3	12	13.43	E	56.565181	3.203731	6269143.680000	512520.780000	31	1372	2013-05-08
2/4-K-29	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1989-01-19	1989-08-31	EKOFISK	NORTH SEA	ED50	56	33	55.97	N	3	12	22.03	E	56.565547	3.206119	6269184.930000	512667.480000	31	1373	2013-05-08
30/6-C-12	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	\N	1989-02-22	1989-08-14	OSEBERG	NORTH SEA	ED50	60	36	29.42	N	2	46	33.60	E	60.608172	2.776000	6719324.390000	487735.230000	31	1374	2013-05-08
35/9-1	Norsk Hydro Produksjon AS	153	EXPLORATION	WILDCAT	OIL/GAS	1989-04-01	1989-05-07	GJØA	NORTH SEA	ED50	61	23	7.95	N	3	59	3.72	E	61.385542	3.984367	6806290.800000	552595.040000	31	1375	2013-05-08
2/4-A-4 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1989-02-11	1989-04-04	EKOFISK	NORTH SEA	ED50	56	31	15.00	N	3	13	22.59	E	56.520833	3.222942	6264211.000000	513717.470000	31	1376	2013-05-08
2/4-K-19	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1989-02-15	1989-07-11	EKOFISK	NORTH SEA	ED50	56	33	55.84	N	3	12	21.98	E	56.565511	3.206106	6269180.910000	512666.630000	31	1377	2013-05-08
2/4-C-19	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1989-11-18	1990-03-14	EKOFISK	NORTH SEA	ED50	56	32	52.91	N	3	12	56.16	E	56.548031	3.215600	6267236.920000	513256.240000	31	1378	2013-05-08
34/10-A-22	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	GAS	1989-02-27	1989-04-06	GULLFAKS	NORTH SEA	ED50	61	10	33.75	N	2	11	23.16	E	61.176042	2.189767	6782827.080000	456419.170000	31	1379	2013-05-08
2/7-B-1 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1989-02-28	1989-03-29	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	6.44	E	56.419161	3.218456	6252892.980000	513477.420000	31	1380	2013-05-08
2/8-A-22	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	\N	1989-04-09	1989-05-17	VALHALL	NORTH SEA	ED50	56	16	40.80	N	3	23	43.53	E	56.278000	3.395425	6237229.480000	524485.600000	31	1381	2013-05-08
1/2-1	PHILLIPS PETROLEUM COMPANY NORWAY	143	EXPLORATION	WILDCAT	OIL	1989-03-20	1989-06-04	BLANE	NORTH SEA	ED50	56	53	15.07	N	2	28	35.70	E	56.887519	2.476583	6305128.260000	468106.290000	31	1382	2013-05-08
2/8-13	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	SHOWS	1989-04-29	1989-06-22	\N	NORTH SEA	ED50	56	23	21.65	N	3	23	57.58	E	56.389347	3.399328	6249624.570000	524655.380000	31	1383	2013-05-08
34/10-33 C	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL/GAS	1989-07-10	1989-08-01	GULLFAKS SØR	NORTH SEA	ED50	61	7	34.44	N	2	12	57.10	E	61.126233	2.215861	6777262.000000	457756.180000	31	1384	2013-05-08
2/1-A-1	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1989-05-08	1990-10-13	GYDA	NORTH SEA	ED50	56	54	17.55	N	3	5	7.04	E	56.904875	3.085289	6306941.470000	505194.590000	31	1385	2013-05-08
34/10-A-23	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1989-03-31	1989-06-16	GULLFAKS	NORTH SEA	ED50	61	10	35.08	N	2	11	21.84	E	61.176411	2.189400	6782868.470000	456399.960000	31	1386	2013-05-08
7/12-A-13	BP Norway Limited  U.A.	019	DEVELOPMENT	INJECTION	\N	1989-04-08	1989-07-02	ULA	NORTH SEA	ED50	57	6	41.41	N	2	50	50.34	E	57.111503	2.847317	6329950.380000	490752.120000	31	1387	2013-05-08
33/9-C-36	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1989-04-20	1989-07-07	STATFJORD	NORTH SEA	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	1388	2013-05-08
30/9-B-3	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	GAS	1989-05-23	1989-07-09	OSEBERG	NORTH SEA	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	1389	2013-05-08
2/4-K-17	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1989-03-22	1989-08-09	EKOFISK	NORTH SEA	ED50	56	33	55.91	N	3	12	22.43	E	56.565531	3.206231	6269183.100000	512674.310000	31	1390	2013-05-08
6608/10-1	Den norske stats oljeselskap a.s	128	EXPLORATION	WILDCAT	DRY	1989-04-15	1989-05-29	\N	NORWEGIAN SEA	ED50	66	6	56.92	N	8	10	0.72	E	66.115811	8.166867	7333255.040000	462357.450000	32	1391	2013-05-08
34/10-B-8	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1989-04-17	1989-05-17	GULLFAKS	NORTH SEA	ED50	61	12	11.20	N	2	12	5.16	E	61.203111	2.201433	6785834.540000	457083.500000	31	1392	2013-05-08
2/4-E-14 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1989-04-29	1989-06-06	TOR	NORTH SEA	ED50	56	38	31.46	N	3	19	37.33	E	56.642072	3.327036	6277731.940000	520058.030000	31	1393	2013-05-08
2/7-21 S	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1989-06-21	1990-01-09	EMBLA	NORTH SEA	ED50	56	19	59.65	N	3	14	53.89	E	56.333236	3.248303	6243335.070000	515353.320000	31	1394	2013-05-08
25/1-7 R3	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	GAS	1989-04-15	1989-04-16	FRIGG	NORTH SEA	ED50	59	55	8.28	N	2	4	52.33	E	59.918967	2.081203	6642898.340000	448624.870000	31	1395	2013-05-08
25/1-8 SR3	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	GAS	1989-04-01	1989-04-06	FRIGG	NORTH SEA	ED50	59	54	3.28	N	2	6	9.79	E	59.900911	2.102719	6640871.090000	449800.690000	31	1396	2013-05-08
13/1-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1989-05-12	1989-05-21	\N	NORTH SEA	ED50	57	51	3.75	N	8	12	13.28	E	57.851042	8.203689	6412549.890000	452733.690000	32	1397	2013-05-08
13/1-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1989-05-21	1989-05-27	\N	NORTH SEA	ED50	57	48	42.78	N	8	12	13.97	E	57.811883	8.203881	6408190.260000	452693.790000	32	1398	2013-05-08
13/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1989-05-27	1989-05-29	\N	NORTH SEA	ED50	57	59	5.13	N	8	22	0.52	E	57.984758	8.366811	6427334.740000	462555.280000	32	1402	2013-05-08
13/2-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1989-05-29	1989-06-01	\N	NORTH SEA	ED50	57	59	40.76	N	8	22	0.62	E	57.994656	8.366839	6428436.630000	462567.250000	32	1403	2013-05-08
27/9-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1989-05-07	1989-05-10	\N	NORTH SEA	ED50	59	24	13.14	N	4	52	4.33	E	59.403650	4.867869	6586640.950000	606050.980000	31	1405	2013-05-08
27/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1989-05-04	1989-05-07	\N	NORTH SEA	ED50	59	24	13.94	N	4	52	5.14	E	59.403872	4.868094	6586666.050000	606063.060000	31	1406	2013-05-08
34/10-33 B	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL/GAS	1989-04-27	1989-07-10	GULLFAKS SØR	NORTH SEA	ED50	61	7	34.44	N	2	12	57.10	E	61.126233	2.215861	6777262.000000	457756.180000	31	1407	2013-05-08
34/10-A-24	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1989-06-06	1989-07-24	GULLFAKS	NORTH SEA	ED50	61	10	33.63	N	2	11	22.72	E	61.176008	2.189644	6782823.450000	456412.550000	31	1408	2013-05-08
2/4-B-4	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1989-06-17	1989-08-06	EKOFISK	NORTH SEA	ED50	56	33	54.76	N	3	12	13.75	E	56.565211	3.203819	6269147.100000	512526.240000	31	1409	2013-05-08
34/10-B-9	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1989-05-19	1989-07-03	GULLFAKS	NORTH SEA	ED50	61	12	11.09	N	2	12	5.10	E	61.203081	2.201417	6785831.140000	457082.560000	31	1410	2013-05-08
7324/10-1	Den norske stats oljeselskap a.s	162	EXPLORATION	WILDCAT	SHOWS	1989-06-03	1989-08-19	\N	BARENTS SEA	ED50	73	9	49.45	N	24	18	47.62	E	73.163736	24.313228	8120918.380000	413162.080000	35	1411	2013-05-08
25/1-A-17 A	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1989-08-05	1989-10-01	FRIGG	NORTH SEA	ED50	59	53	9.56	N	2	4	21.60	E	59.885989	2.072667	6639232.470000	448096.160000	31	1412	2013-05-08
7/12-7 R	BP Norway Limited  U.A.	019	EXPLORATION	APPRAISAL	OIL	1989-05-14	1989-05-22	ULA	NORTH SEA	ED50	57	6	31.92	N	2	52	47.27	E	57.108867	2.879797	6329652.990000	492718.910000	31	1413	2013-05-08
2/8-A-20 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	\N	1989-05-26	1989-07-04	VALHALL	NORTH SEA	ED50	56	16	40.74	N	3	23	43.61	E	56.277983	3.395447	6237227.630000	524486.990000	31	1414	2013-05-08
16/3-3	Esso Exploration and Production Norway A/S	149	EXPLORATION	WILDCAT	DRY	1989-07-24	1989-08-06	\N	NORTH SEA	ED50	58	49	44.79	N	2	58	21.84	E	58.829108	2.972733	6521173.680000	498425.630000	31	1415	2013-05-08
2/12-2 S	Norsk Hydro Produksjon AS	113	EXPLORATION	WILDCAT	SHOWS	1990-02-15	1990-09-14	\N	NORTH SEA	ED50	56	13	54.28	N	3	42	16.63	E	56.231744	3.704619	6232233.960000	543683.970000	31	1416	2013-05-08
15/9-U-1	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	1989-06-10	1989-06-10	\N	NORTH SEA	ED50	58	22	7.53	N	1	54	38.89	E	58.368758	1.910803	6470429.900000	436280.190000	31	1417	2013-05-08
15/9-U-2	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	1989-06-10	1989-06-10	\N	NORTH SEA	ED50	58	22	6.71	N	1	54	37.83	E	58.368531	1.910508	6470404.820000	436262.550000	31	1418	2013-05-08
25/3-1	Elf Petroleum Norge AS	151	EXPLORATION	WILDCAT	DRY	1989-07-05	1989-09-05	\N	NORTH SEA	ED50	59	55	52.99	N	2	46	21.34	E	59.931386	2.772594	6643946.880000	487288.970000	31	1419	2013-05-08
30/9-B-31	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	GAS	1989-08-15	1990-02-05	OSEBERG	NORTH SEA	ED50	60	29	35.96	N	2	49	42.50	E	60.493322	2.828472	6706523.580000	490574.910000	31	1420	2013-05-08
30/9-8	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	DRY	1989-07-29	1989-08-02	OSEBERG SØR	NORTH SEA	ED50	60	25	26.10	N	2	47	58.38	E	60.423917	2.799550	6698797.680000	488962.170000	31	1421	2013-05-08
34/10-U-8	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1989-05-17	1989-05-17	\N	NORTH SEA	ED50	61	12	56.13	N	2	16	27.57	E	61.215592	2.274325	6787179.060000	461016.150000	31	1422	2013-05-08
34/10-U-9	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1989-05-17	1989-05-18	\N	NORTH SEA	ED50	61	12	52.77	N	2	16	22.12	E	61.214658	2.272811	6787076.000000	460933.670000	31	1423	2013-05-08
34/10-U-10	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1989-05-17	1989-05-17	\N	NORTH SEA	ED50	61	12	53.02	N	2	16	23.24	E	61.214728	2.273122	6787083.550000	460950.470000	31	1424	2013-05-08
34/10-U-11	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1989-05-17	1989-05-17	\N	NORTH SEA	ED50	61	12	54.07	N	2	16	26.54	E	61.215019	2.274039	6787115.490000	461000.070000	31	1425	2013-05-08
2/7-B-15	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1989-07-04	1989-10-17	ELDFISK	NORTH SEA	ED50	56	25	9.08	N	3	13	5.97	E	56.419189	3.218325	6252896.050000	513469.350000	31	1426	2013-05-08
31/6-U-18	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	38	44.87	N	3	43	35.36	E	60.645797	3.726489	6723713.850000	539730.960000	31	1427	2013-05-08
33/9-C-40	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1989-06-29	1989-10-23	STATFJORD	NORTH SEA	ED50	61	17	46.71	N	1	54	9.81	E	61.296308	1.902725	6796447.840000	441205.560000	31	1428	2013-05-08
2/7-A-7 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1989-07-10	1989-09-18	ELDFISK	NORTH SEA	ED50	56	22	36.48	N	3	15	58.03	E	56.376800	3.266119	6248188.190000	516436.230000	31	1429	2013-05-08
34/10-B-10	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	1989-06-29	1989-08-21	GULLFAKS	NORTH SEA	ED50	61	12	10.05	N	2	12	6.36	E	61.202792	2.201767	6785798.740000	457100.980000	31	1430	2013-05-08
6307/7-U-3 A	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1988-05-20	1988-06-12	\N	NORWEGIAN SEA	ED50	63	27	19.02	N	7	16	37.70	E	63.455283	7.277139	7037645.120000	414097.950000	32	1431	2013-05-08
2/4-E-11	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1989-06-27	1989-08-27	TOR	NORTH SEA	ED50	56	38	31.27	N	3	19	36.89	E	56.642019	3.326914	6277726.030000	520050.560000	31	1432	2013-05-08
7/12-A-15	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1989-07-02	1989-08-29	ULA	NORTH SEA	ED50	57	6	41.23	N	2	50	50.49	E	57.111453	2.847358	6329944.810000	490754.630000	31	1433	2013-05-08
31/6-U-19	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	38	43.33	N	3	43	34.27	E	60.645369	3.726186	6723666.020000	539714.930000	31	1434	2013-05-08
31/6-U-20	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	38	43.45	N	3	43	36.25	E	60.645403	3.726736	6723670.060000	539744.960000	31	1435	2013-05-08
31/6-U-21	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	38	44.40	N	3	43	33.64	E	60.645667	3.726011	6723699.020000	539704.990000	31	1436	2013-05-08
31/6-U-22	A/S Norske Shell	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	1437	2013-05-08
30/9-B-41	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-06-25	1998-07-29	OSEBERG	NORTH SEA	ED50	60	29	35.94	N	2	49	43.20	E	60.493317	2.828667	6706522.930000	490585.590000	31	1438	2013-05-08
34/10-A-25	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1989-07-22	1989-08-26	GULLFAKS	NORTH SEA	ED50	61	10	34.76	N	2	11	21.42	E	61.176322	2.189283	6782858.650000	456393.560000	31	1439	2013-05-08
2/4-14 R	Saga Petroleum ASA	146	EXPLORATION	WILDCAT	OIL/GAS	1989-05-01	1990-04-06	\N	NORTH SEA	ED50	56	41	5.26	N	3	8	43.08	E	56.684794	3.145300	6282449.130000	508901.590000	31	1440	2013-05-08
35/9-1 R	Norsk Hydro Produksjon AS	153	EXPLORATION	WILDCAT	OIL/GAS	1989-07-03	1989-07-27	GJØA	NORTH SEA	ED50	61	23	7.95	N	3	59	3.72	E	61.385542	3.984367	6806290.800000	552595.040000	31	1441	2013-05-08
30/9-9	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	OIL	1989-09-27	1989-11-06	OSEBERG SØR	NORTH SEA	ED50	60	19	51.23	N	2	52	28.95	E	60.330897	2.874708	6688427.060000	493081.080000	31	1442	2013-05-08
2/9-3	Amoco Norway Oil Company	032	EXPLORATION	WILDCAT	OIL SHOWS	1989-09-13	1989-12-14	\N	NORTH SEA	ED50	56	26	3.38	N	3	47	49.91	E	56.434272	3.797197	6254838.580000	549162.290000	31	1443	2013-05-08
1/9-1 R	Den norske stats oljeselskap a.s	044	EXPLORATION	WILDCAT	GAS/CONDENSATE	1987-05-08	1987-05-17	\N	NORTH SEA	ED50	56	24	5.07	N	2	54	6.49	E	56.401408	2.901803	6250899.860000	493938.990000	31	1444	2013-05-08
2/4-B-15 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1989-09-06	1989-11-06	EKOFISK	NORTH SEA	ED50	56	33	54.72	N	3	12	13.21	E	56.565200	3.203669	6269145.840000	512517.020000	31	1445	2013-05-08
7316/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1989-08-08	1989-08-09	\N	BARENTS SEA	ED50	73	52	55.80	N	16	54	28.90	E	73.882167	16.908028	8200066.060000	559118.540000	33	1446	2013-05-08
7316/6-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1989-08-04	1989-08-28	\N	BARENTS SEA	ED50	73	33	16.50	N	16	49	59.60	E	73.554583	16.833222	8163461.880000	557923.800000	33	1447	2013-05-08
7316/6-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1989-08-04	1989-08-28	\N	BARENTS SEA	ED50	73	34	7.70	N	16	50	0.90	E	73.568806	16.833583	8165048.240000	557886.510000	33	1448	2013-05-08
7317/10-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1989-08-04	1989-08-28	\N	BARENTS SEA	ED50	73	8	58.50	N	17	16	13.00	E	73.149583	17.270278	8118783.090000	573442.870000	33	1449	2013-05-08
34/10-B-11	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1989-09-24	1989-11-06	GULLFAKS	NORTH SEA	ED50	61	12	11.15	N	2	12	4.64	E	61.203097	2.201289	6785833.080000	457075.720000	31	1452	2013-05-08
31/2-16 S	Norsk Hydro Produksjon AS	054	EXPLORATION	APPRAISAL	OIL/GAS	1989-09-27	1989-12-27	TROLL	NORTH SEA	ED50	60	46	0.00	N	3	25	27.55	E	60.766667	3.424319	6737031.980000	523118.870000	31	1453	2013-05-08
2/8-A-4 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1989-09-12	1989-11-07	VALHALL	NORTH SEA	ED50	56	16	41.05	N	3	23	43.42	E	56.278069	3.395394	6237237.200000	524483.660000	31	1454	2013-05-08
30/6-C-8	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	WATER	1989-08-15	1989-10-12	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.76	E	60.608175	2.776044	6719324.700000	487737.660000	31	1455	2013-05-08
34/10-B-12	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1989-11-07	1990-01-14	GULLFAKS	NORTH SEA	ED50	61	12	11.21	N	2	12	4.55	E	61.203114	2.201264	6785834.960000	457074.400000	31	1457	2013-05-08
7/12-A-9	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1989-08-30	1989-10-15	ULA	NORTH SEA	ED50	57	6	41.27	N	2	50	50.65	E	57.111464	2.847403	6329946.040000	490757.320000	31	1458	2013-05-08
25/2-13	Elf Petroleum Norge AS	026	EXPLORATION	APPRAISAL	OIL/GAS	1989-09-06	1990-01-25	\N	NORTH SEA	ED50	59	47	37.69	N	2	27	12.52	E	59.793803	2.453478	6628728.800000	469325.460000	31	1459	2013-05-08
7228/2-1 S	Mobil Exploration Norway INC	160	EXPLORATION	WILDCAT	SHOWS	1989-08-21	1989-12-20	\N	BARENTS SEA	ED50	72	51	9.75	N	28	26	29.61	E	72.852708	28.441558	8084841.650000	547436.900000	35	1460	2013-05-08
30/9-8 R	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	OIL	1989-08-15	1989-09-25	OSEBERG SØR	NORTH SEA	ED50	60	25	26.10	N	2	47	58.38	E	60.423917	2.799550	6698797.680000	488962.170000	31	1461	2013-05-08
2/7-A-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1990-05-10	1990-08-16	ELDFISK	NORTH SEA	ED50	56	22	36.34	N	3	15	58.07	E	56.376761	3.266131	6248183.860000	516436.930000	31	1462	2013-05-08
2/4-B-23 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1989-11-28	1990-02-02	EKOFISK	NORTH SEA	ED50	56	33	54.83	N	3	12	13.14	E	56.565231	3.203650	6269149.230000	512515.820000	31	1463	2013-05-08
34/10-B-10 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1989-08-21	1989-09-24	GULLFAKS	NORTH SEA	ED50	61	12	10.05	N	2	12	6.36	E	61.202792	2.201767	6785798.740000	457100.980000	31	1464	2013-05-08
33/12-B-28	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1989-09-18	1989-11-08	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	1465	2013-05-08
30/9-B-13	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	1989-08-28	1989-10-31	OSEBERG	NORTH SEA	ED50	60	29	36.14	N	2	49	42.86	E	60.493372	2.828572	6706529.130000	490580.420000	31	1466	2013-05-08
3/7-4	A/S Norske Shell	147	EXPLORATION	WILDCAT	GAS/CONDENSATE	1989-09-20	1990-01-23	TRYM	NORTH SEA	ED50	56	24	15.60	N	4	14	22.24	E	56.404333	4.239511	6251910.400000	576498.020000	31	1467	2013-05-08
2/7-U-2	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1990-04-24	1990-04-25	EMBLA	NORTH SEA	ED50	56	19	59.33	N	3	14	52.47	E	56.333147	3.247908	6243325.090000	515328.970000	31	1468	2013-05-08
34/10-A-25 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1989-08-26	1989-09-24	GULLFAKS	NORTH SEA	ED50	61	10	34.76	N	2	11	21.42	E	61.176322	2.189283	6782858.650000	456393.560000	31	1469	2013-05-08
7/12-9	BP Norway Limited  U.A.	019	EXPLORATION	APPRAISAL	OIL	1990-03-18	1990-05-14	ULA	NORTH SEA	ED50	57	4	21.52	N	2	52	56.51	E	57.072644	2.882364	6325620.410000	492867.440000	31	1470	2013-05-08
34/10-A-26	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1989-10-05	1989-12-03	GULLFAKS	NORTH SEA	ED50	61	10	33.78	N	2	11	22.93	E	61.176050	2.189703	6782828.050000	456415.740000	31	1471	2013-05-08
34/10-C-1	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1989-10-01	1990-01-08	GULLFAKS	NORTH SEA	ED50	61	12	53.46	N	2	16	27.98	E	61.214850	2.274439	6787096.380000	461021.350000	31	1472	2013-05-08
25/1-A-4 A	Elf Petroleum Norge AS	024	DEVELOPMENT	PRODUCTION	GAS	1989-10-23	1989-12-17	FRIGG	NORTH SEA	ED50	59	53	9.33	N	2	4	20.71	E	59.885925	2.072419	6639225.540000	448082.220000	31	1473	2013-05-08
2/4-U-1	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1989-09-08	1989-09-10	EKOFISK	NORTH SEA	ED50	56	32	48.47	N	3	13	5.43	E	56.546797	3.218175	6267100.130000	513415.000000	31	1474	2013-05-08
2/4-U-2	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1989-09-07	1989-09-08	EKOFISK	NORTH SEA	ED50	56	32	47.04	N	3	13	5.71	E	56.546400	3.218253	6267055.930000	513419.930000	31	1475	2013-05-08
2/4-U-3	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1989-09-04	1989-09-10	EKOFISK	NORTH SEA	ED50	56	32	39.66	N	3	13	7.66	E	56.544350	3.218794	6266827.850000	513453.960000	31	1476	2013-05-08
2/7-14 R	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1989-06-07	1989-06-19	EKOFISK	NORTH SEA	ED50	56	29	20.30	N	3	14	2.65	E	56.488972	3.234069	6260666.800000	514414.240000	31	1477	2013-05-08
2/7-B-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1989-10-23	1989-12-20	ELDFISK	NORTH SEA	ED50	56	25	8.85	N	3	13	5.91	E	56.419125	3.218308	6252888.930000	513468.350000	31	1478	2013-05-08
6205/3-1	Norsk Hydro Produksjon AS	154	EXPLORATION	WILDCAT	DRY	1989-10-24	1990-02-11	\N	NORWEGIAN SEA	ED50	62	57	8.62	N	5	56	38.11	E	62.952394	5.943919	6983872.900000	649328.840000	31	1479	2013-05-08
33/9-C-10	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	WATER/GAS	1989-10-18	1989-12-30	STATFJORD	NORTH SEA	ED50	61	17	48.03	N	1	54	10.97	E	61.296675	1.903047	6796488.390000	441223.510000	31	1480	2013-05-08
30/6-C-5	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	GAS	1989-10-14	1989-12-09	OSEBERG	NORTH SEA	ED50	60	36	29.54	N	2	46	33.47	E	60.608206	2.775964	6719328.110000	487733.260000	31	1481	2013-05-08
2/4-K-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	\N	1989-10-22	1989-12-25	EKOFISK	NORTH SEA	ED50	56	33	55.82	N	3	12	22.32	E	56.565506	3.206200	6269180.310000	512672.440000	31	1482	2013-05-08
2/7-A-18 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1990-02-21	1990-05-14	ELDFISK	NORTH SEA	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	1483	2013-05-08
31/5-B-6 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	GAS	1989-11-19	1991-10-15	TROLL	NORTH SEA	ED50	60	34	27.55	N	3	39	28.42	E	60.574319	3.657894	6715713.220000	536059.340000	31	1484	2013-05-08
30/6-U-21	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	42	4.10	N	2	56	11.85	E	60.701139	2.936625	6729660.140000	496539.980000	31	1827	2013-05-08
7/12-A-13 A	BP Norway Limited  U.A.	019	DEVELOPMENT	INJECTION	WATER	1989-11-04	1989-12-19	ULA	NORTH SEA	ED50	57	6	41.41	N	2	50	50.34	E	57.111503	2.847317	6329950.380000	490752.120000	31	1485	2013-05-08
7228/9-1 S	Norsk Hydro Produksjon AS	161	EXPLORATION	WILDCAT	OIL/GAS SHOWS	1989-12-22	1990-05-07	\N	BARENTS SEA	ED50	72	23	48.36	N	28	43	8.67	E	72.396767	28.719075	8034238.910000	558023.280000	35	1486	2013-05-08
2/7-A-8 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	CUTTINGS	1989-11-22	1990-01-17	ELDFISK	NORTH SEA	ED50	56	22	36.44	N	3	15	57.85	E	56.376789	3.266069	6248186.940000	516433.150000	31	1487	2013-05-08
25/5-3	Elf Petroleum Norge AS	102	EXPLORATION	WILDCAT	GAS/CONDENSATE	1990-01-27	1990-03-26	SKIRNE	NORTH SEA	ED50	59	35	8.01	N	2	37	46.94	E	59.585558	2.629706	6605469.050000	479087.080000	31	1488	2013-05-08
30/6-C-9	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1989-12-11	1990-02-05	OSEBERG	NORTH SEA	ED50	60	36	29.48	N	2	46	33.35	E	60.608189	2.775931	6719326.260000	487731.430000	31	1489	2013-05-08
34/10-A-27	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1989-12-04	1990-01-15	GULLFAKS	NORTH SEA	ED50	61	10	33.77	N	2	11	22.56	E	61.176047	2.189600	6782827.810000	456410.210000	31	1490	2013-05-08
34/10-C-2	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1989-12-31	1990-04-25	GULLFAKS	NORTH SEA	ED50	61	12	53.71	N	2	16	27.87	E	61.214919	2.274408	6787104.130000	461019.800000	31	1491	2013-05-08
7/7-1	Den norske stats oljeselskap a.s	148	EXPLORATION	WILDCAT	DRY	1989-12-30	1990-02-20	\N	NORTH SEA	ED50	57	24	56.88	N	2	15	59.74	E	57.415800	2.266594	6364053.400000	455943.560000	31	1492	2013-05-08
2/4-K-26	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1989-12-28	1990-02-22	EKOFISK	NORTH SEA	ED50	56	33	56.07	N	3	12	22.53	E	56.565575	3.206258	6269188.050000	512676.000000	31	1493	2013-05-08
25/7-2	Conoco Norway Inc.	103	EXPLORATION	WILDCAT	GAS/CONDENSATE	1990-02-08	1990-07-18	\N	NORTH SEA	ED50	59	16	28.59	N	2	12	26.09	E	59.274608	2.207247	6571051.250000	454816.140000	31	1494	2013-05-08
2/7-22	BP Petroleum Dev. of Norway AS	145	EXPLORATION	WILDCAT	GAS/CONDENSATE	1990-05-17	1990-10-15	\N	NORTH SEA	ED50	56	17	46.25	N	3	9	32.01	E	56.296181	3.158892	6239194.170000	509834.280000	31	1495	2013-05-08
2/4-A-12 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1990-02-21	1990-05-13	EKOFISK	NORTH SEA	ED50	56	31	15.28	N	3	13	22.72	E	56.520911	3.222978	6264219.670000	513719.670000	31	1496	2013-05-08
6407/10-2	Norsk Hydro Produksjon AS	132	EXPLORATION	WILDCAT	SHOWS	1990-05-03	1990-06-23	\N	NORWEGIAN SEA	ED50	64	13	44.34	N	7	16	54.02	E	64.228983	7.281672	7123832.870000	416644.870000	32	1497	2013-05-08
31/5-B-4 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	GAS	1990-01-15	1991-01-01	TROLL	NORTH SEA	ED50	60	34	27.44	N	3	39	26.63	E	60.574289	3.657397	6715709.540000	536032.120000	31	1498	2013-05-08
31/5-B-2 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	GAS	1990-03-12	1991-01-14	TROLL	NORTH SEA	ED50	60	34	27.29	N	3	39	27.15	E	60.574247	3.657542	6715704.980000	536040.080000	31	1499	2013-05-08
31/5-B-3 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	GAS	1990-03-26	1990-06-24	TROLL	NORTH SEA	ED50	60	34	27.14	N	3	39	27.67	E	60.574206	3.657686	6715700.420000	536048.050000	31	1500	2013-05-08
31/5-B-5 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	GAS	1990-02-26	1990-12-01	TROLL	NORTH SEA	ED50	60	34	27.49	N	3	39	27.02	E	60.574303	3.657506	6715711.150000	536038.040000	31	1501	2013-05-08
34/10-A-28	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1990-01-30	1990-04-11	GULLFAKS	NORTH SEA	ED50	61	10	33.81	N	2	11	22.70	E	61.176058	2.189639	6782829.020000	456412.320000	31	1502	2013-05-08
2/4-W-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1990-03-19	1990-05-22	EKOFISK	NORTH SEA	ED50	56	32	39.12	N	3	13	4.37	E	56.544200	3.217881	6266810.970000	513397.820000	31	1503	2013-05-08
30/9-B-40	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1990-02-05	1990-05-03	OSEBERG	NORTH SEA	ED50	60	29	35.93	N	2	49	43.03	E	60.493314	2.828619	6706522.630000	490583.000000	31	1504	2013-05-08
30/6-C-7	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	\N	1990-02-06	1990-03-13	OSEBERG	NORTH SEA	ED50	60	36	29.42	N	2	46	33.72	E	60.608172	2.776033	6719324.390000	487737.050000	31	1505	2013-05-08
2/8-A-27	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1991-07-18	1991-09-03	VALHALL	NORTH SEA	ED50	56	16	40.94	N	3	23	43.97	E	56.278039	3.395547	6237233.850000	524493.140000	31	1506	2013-05-08
2/8-A-30	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1993-01-28	1993-05-03	VALHALL	NORTH SEA	ED50	56	16	40.79	N	3	23	43.73	E	56.277997	3.395481	6237229.190000	524489.040000	31	1507	2013-05-08
1/6-5	Conoco Norway Inc.	144	EXPLORATION	WILDCAT	SHOWS	1990-07-20	1990-09-02	\N	NORTH SEA	ED50	56	32	21.57	N	2	48	4.77	E	56.539325	2.801325	6266264.750000	487781.590000	31	1508	2013-05-08
2/4-C-16	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1990-07-20	1990-10-19	EKOFISK	NORTH SEA	ED50	56	32	52.80	N	3	12	55.62	E	56.548000	3.215450	6267233.490000	513247.030000	31	1509	2013-05-08
6205/3-1 R	Norsk Hydro Produksjon AS	154	EXPLORATION	WILDCAT	SHOWS	1990-09-20	1990-11-30	\N	NORWEGIAN SEA	ED50	62	57	8.62	N	5	56	38.11	E	62.952394	5.943919	6983872.900000	649328.840000	31	1510	2013-05-08
2/7-19 R	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1990-01-15	1990-03-14	\N	NORTH SEA	ED50	56	20	19.10	N	3	6	12.20	E	56.338639	3.103389	6243913.560000	506391.960000	31	1512	2013-05-08
6407/7-2 R	Norsk Hydro Produksjon AS	107	EXPLORATION	WILDCAT	OIL	1990-03-07	1990-04-30	NJORD	NORWEGIAN SEA	ED50	64	15	26.39	N	7	10	42.65	E	64.257331	7.178514	7127130.160000	411732.180000	32	1513	2013-05-08
30/9-10	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	OIL	1990-07-31	1990-09-21	OSEBERG SØR	NORTH SEA	ED50	60	23	23.20	N	2	47	13.16	E	60.389778	2.786989	6694997.500000	488258.200000	31	1514	2013-05-08
34/10-B-13	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	1990-02-13	1990-04-17	GULLFAKS	NORTH SEA	ED50	61	12	9.97	N	2	12	6.08	E	61.202769	2.201689	6785796.310000	457096.770000	31	1515	2013-05-08
30/9-B-39	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1991-04-27	1991-10-15	OSEBERG	NORTH SEA	ED50	60	29	35.91	N	2	49	42.49	E	60.493308	2.828469	6706522.030000	490574.750000	31	1516	2013-05-08
30/9-B-12 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	1991-01-17	1991-03-13	OSEBERG	NORTH SEA	ED50	60	29	36.40	N	2	49	43.19	E	60.493444	2.828664	6706537.170000	490585.480000	31	1517	2013-05-08
34/10-C-3	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1990-03-03	1990-06-22	GULLFAKS	NORTH SEA	ED50	61	12	54.72	N	2	16	26.27	E	61.215200	2.273964	6787135.650000	460996.270000	31	1518	2013-05-08
2/4-B-16 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-03-02	1991-04-17	EKOFISK	NORTH SEA	ED50	56	33	54.68	N	3	12	13.04	E	56.565189	3.203622	6269144.590000	512514.120000	31	1519	2013-05-08
6507/6-2	Saga Petroleum ASA	123	EXPLORATION	WILDCAT	OIL SHOWS	1991-04-27	1991-07-16	\N	NORWEGIAN SEA	ED50	65	44	26.42	N	7	41	6.55	E	65.740672	7.685153	7291819.830000	439718.650000	32	1520	2013-05-08
1/3-6	Elf Petroleum Norge AS	065	EXPLORATION	WILDCAT	GAS/CONDENSATE	1991-03-11	1991-06-22	OSELVAR	NORTH SEA	ED50	56	56	14.92	N	2	42	20.81	E	56.937478	2.705781	6310606.040000	482095.980000	31	1521	2013-05-08
33/9-U-1	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	26	37.06	N	1	55	45.56	E	61.443628	1.929322	6812833.370000	442899.790000	31	1522	2013-05-08
35/11-4	Mobil Exploration Norway INC	090	EXPLORATION	WILDCAT	OIL/GAS	1990-08-18	1990-12-29	FRAM	NORTH SEA	ED50	61	1	59.93	N	3	32	53.58	E	61.033314	3.548217	6766782.480000	529620.950000	31	1523	2013-05-08
15/12-6 S	Den norske stats oljeselskap a.s	038	EXPLORATION	WILDCAT	OIL	1990-08-19	1990-11-04	VARG	NORTH SEA	ED50	58	4	40.30	N	1	53	25.41	E	58.077861	1.890392	6438063.130000	434552.910000	31	1524	2013-05-08
2/4-A-20	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1990-06-25	1990-09-23	EKOFISK	NORTH SEA	ED50	56	31	15.25	N	3	13	22.82	E	56.520903	3.223006	6264218.750000	513721.380000	31	1526	2013-05-08
2/6-4 S	Elf Petroleum Norge AS	008	EXPLORATION	WILDCAT	DRY	1990-04-08	1990-06-02	\N	NORTH SEA	ED50	56	38	59.29	N	3	47	23.27	E	56.649803	3.789797	6278823.480000	548430.040000	31	1527	2013-05-08
30/6-C-6	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	\N	1990-03-14	1990-04-28	OSEBERG	NORTH SEA	ED50	60	36	29.55	N	2	46	33.51	E	60.608208	2.775975	6719328.420000	487733.870000	31	1528	2013-05-08
7/12-A-12 A	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1990-04-15	1990-06-14	ULA	NORTH SEA	ED50	57	6	41.01	N	2	50	50.88	E	57.111392	2.847467	6329938.000000	490761.170000	31	1529	2013-05-08
34/10-33 CR	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL/GAS	1990-02-24	1990-04-27	GULLFAKS SØR	NORTH SEA	ED50	61	7	34.44	N	2	12	57.10	E	61.126233	2.215861	6777262.000000	457756.180000	31	1530	2013-05-08
33/12-B-28 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1990-05-02	1990-06-23	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	1531	2013-05-08
33/9-A-37 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1990-04-21	1990-07-08	STATFJORD	NORTH SEA	ED50	61	15	19.76	N	1	51	14.06	E	61.255489	1.853906	6791946.210000	438510.130000	31	1532	2013-05-08
6507/3-1	Den norske stats oljeselskap a.s	159	EXPLORATION	WILDCAT	GAS/CONDENSATE	1990-05-12	1990-10-26	ALVE	NORWEGIAN SEA	ED50	65	58	29.85	N	7	49	31.52	E	65.974958	7.825422	7317803.720000	446637.440000	32	1533	2013-05-08
25/1-7 R4	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	GAS	1990-03-28	1990-04-05	FRIGG	NORTH SEA	ED50	59	55	8.28	N	2	4	52.33	E	59.918967	2.081203	6642898.340000	448624.870000	31	1534	2013-05-08
2/4-K-15	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1990-04-28	1990-07-15	EKOFISK	NORTH SEA	ED50	56	33	56.02	N	3	12	22.75	E	56.565561	3.206319	6269186.520000	512679.760000	31	1535	2013-05-08
34/7-17 A	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL/GAS	1991-04-07	1991-05-04	VIGDIS	NORTH SEA	ED50	61	20	50.69	N	2	5	42.31	E	61.347414	2.095086	6801982.380000	451591.070000	31	1536	2013-05-08
34/10-B-14	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	1990-04-20	1990-11-12	GULLFAKS	NORTH SEA	ED50	61	12	11.01	N	2	12	4.81	E	61.203058	2.201336	6785828.720000	457078.200000	31	1538	2013-05-08
6406/11-1 S	Saga Petroleum ASA	156	EXPLORATION	WILDCAT	OIL	1990-10-19	1991-02-18	\N	NORWEGIAN SEA	ED50	64	2	45.90	N	6	36	14.16	E	64.046083	6.603933	7104524.700000	383011.320000	32	1539	2013-05-08
34/10-A-27 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1990-04-12	1990-05-19	GULLFAKS	NORTH SEA	ED50	61	10	33.77	N	2	11	22.56	E	61.176047	2.189600	6782827.810000	456410.210000	31	1541	2013-05-08
30/3-A-7	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	\N	1990-06-03	1990-07-16	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	52.06	E	60.782756	2.897794	6738753.680000	494434.140000	31	1542	2013-05-08
2/4-C-1 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1990-04-09	1990-06-06	EKOFISK	NORTH SEA	ED50	56	32	52.84	N	3	12	55.55	E	56.548011	3.215431	6267234.720000	513245.830000	31	1543	2013-05-08
34/7-15 S	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL SHOWS	1990-05-23	1990-09-03	\N	NORTH SEA	ED50	61	24	38.59	N	2	12	53.22	E	61.410719	2.214783	6808951.100000	458078.950000	31	1544	2013-05-08
30/6-23	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL	1990-04-29	1990-07-01	OSEBERG ØST	NORTH SEA	ED50	60	40	58.01	N	2	55	58.97	E	60.682781	2.933047	6727615.500000	496342.560000	31	1545	2013-05-08
30/9-B-15	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	GAS	1990-05-01	1990-07-15	OSEBERG	NORTH SEA	ED50	60	29	36.26	N	2	49	42.72	E	60.493406	2.828533	6706532.850000	490578.290000	31	1546	2013-05-08
2/7-23 S	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1990-05-15	1990-11-21	EMBLA	NORTH SEA	ED50	56	19	59.81	N	3	14	53.63	E	56.333281	3.248231	6243340.000000	515348.840000	31	1547	2013-05-08
2/4-14 R2	Saga Petroleum ASA	146	EXPLORATION	WILDCAT	SHOWS	1990-04-06	1990-04-14	\N	NORTH SEA	ED50	56	41	5.26	N	3	8	43.08	E	56.684794	3.145300	6282449.130000	508901.590000	31	1548	2013-05-08
6201/11-2	Den norske stats oljeselskap a.s	130	EXPLORATION	WILDCAT	DRY	1991-01-11	1991-03-11	\N	NORWEGIAN SEA	ED50	62	1	7.62	N	1	25	16.78	E	62.018783	1.421328	6877443.350000	417366.030000	31	1549	2013-05-08
34/7-16	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1990-06-28	1990-08-13	VIGDIS	NORTH SEA	ED50	61	23	13.06	N	2	6	59.12	E	61.386961	2.116422	6806371.840000	452792.040000	31	1550	2013-05-08
6306/10-1	A/S Norske Shell	155	EXPLORATION	WILDCAT	OIL/GAS SHOWS	1990-09-07	1990-12-17	\N	NORWEGIAN SEA	ED50	63	9	26.32	N	6	19	41.45	E	63.157311	6.328181	7006088.050000	365416.350000	32	1551	2013-05-08
2/8-14	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL SHOWS	1990-08-14	1991-01-22	\N	NORTH SEA	ED50	56	15	48.93	N	3	21	23.11	E	56.263592	3.356419	6235612.570000	522078.600000	31	1552	2013-05-08
2/7-U-1	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1990-04-22	1990-04-23	EMBLA	NORTH SEA	ED50	56	20	0.68	N	3	14	54.11	E	56.333522	3.248364	6243366.930000	515356.990000	31	1553	2013-05-08
33/9-U-2	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	26	37.06	N	1	55	45.56	E	61.443628	1.929322	6812833.370000	442899.790000	31	1554	2013-05-08
33/9-U-3	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	26	37.06	N	1	55	45.56	E	61.443628	1.929322	6812833.370000	442899.790000	31	1555	2013-05-08
33/9-U-0	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	20	18.00	N	1	59	40.55	E	61.338333	1.994597	6801049.580000	446200.060000	31	1556	2013-05-08
7/12-10	BP Norway Limited  U.A.	019	EXPLORATION	APPRAISAL	OIL SHOWS	1991-07-08	1991-08-29	\N	NORTH SEA	ED50	57	10	57.37	N	2	48	18.47	E	57.182603	2.805131	6337871.900000	488219.560000	31	1557	2013-05-08
1/9-6 SR	Den norske stats oljeselskap a.s	044	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1991-04-06	1991-04-20	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	3.85	N	2	56	0.14	E	56.484403	2.933372	6260135.610000	495896.490000	31	1558	2013-05-08
16/4-2	Norsk Hydro Produksjon AS	087	EXPLORATION	WILDCAT	DRY	1990-06-29	1990-07-29	\N	NORTH SEA	ED50	58	35	47.03	N	2	1	48.03	E	58.596397	2.030008	6495668.280000	443619.410000	31	1560	2013-05-08
7120/10-2	Esso Exploration and Production Norway A/S	098	EXPLORATION	WILDCAT	DRY	1990-07-20	1990-09-05	\N	BARENTS SEA	ED50	71	5	34.80	N	20	14	28.31	E	71.093000	20.241197	7888153.580000	472556.900000	34	1561	2013-05-08
30/6-9 R	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	OIL/GAS	1990-05-09	1990-05-12	OSEBERG	NORTH SEA	ED50	60	30	3.46	N	2	46	52.62	E	60.500961	2.781283	6707382.090000	487984.810000	31	1562	2013-05-08
7/11-10 S	Norsk Hydro Produksjon AS	070	EXPLORATION	APPRAISAL	OIL	1990-07-05	1990-09-10	MIME	NORTH SEA	ED50	57	7	12.51	N	2	29	10.56	E	57.120142	2.486267	6331018.860000	468891.060000	31	1563	2013-05-08
2/4-W-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1990-10-12	1990-11-27	EKOFISK	NORTH SEA	ED50	56	32	39.08	N	3	13	4.51	E	56.544189	3.217919	6266809.750000	513400.210000	31	1564	2013-05-08
2/4-A-21	Phillips Petroleum Company Norway	018	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1993-06-27	1993-08-30	EKOFISK	NORTH SEA	ED50	56	31	15.21	N	3	13	22.67	E	56.520892	3.222964	6264217.500000	513718.820000	31	1565	2013-05-08
2/4-A-22	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1990-09-24	1990-12-05	EKOFISK	NORTH SEA	ED50	56	31	15.17	N	3	13	22.51	E	56.520881	3.222919	6264216.260000	513716.090000	31	1566	2013-05-08
2/4-A-18	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-09-22	1991-11-11	EKOFISK	NORTH SEA	ED50	56	31	15.07	N	3	13	22.60	E	56.520853	3.222944	6264213.170000	513717.640000	31	1567	2013-05-08
2/4-A-19	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-02-09	1993-04-05	EKOFISK	NORTH SEA	ED50	56	31	15.02	N	3	13	22.44	E	56.520839	3.222900	6264211.610000	513714.910000	31	1568	2013-05-08
2/4-A-23	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-05-22	1991-07-22	EKOFISK	NORTH SEA	ED50	56	31	15.12	N	3	13	22.35	E	56.520867	3.222875	6264214.700000	513713.360000	31	1569	2013-05-08
2/4-C-20	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1992-01-11	1992-03-15	EKOFISK	NORTH SEA	ED50	56	32	52.73	N	3	12	55.73	E	56.547981	3.215481	6267231.330000	513248.920000	31	1570	2013-05-08
2/4-C-21	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1992-03-16	1992-05-14	EKOFISK	NORTH SEA	ED50	56	32	52.76	N	3	12	55.84	E	56.547989	3.215511	6267232.260000	513250.790000	31	1571	2013-05-08
2/4-C-17	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-03-28	1991-05-18	EKOFISK	NORTH SEA	ED50	56	32	52.84	N	3	12	55.80	E	56.548011	3.215500	6267234.730000	513250.100000	31	1572	2013-05-08
2/4-C-18	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1990-10-20	1991-01-12	EKOFISK	NORTH SEA	ED50	56	32	52.87	N	3	12	55.98	E	56.548019	3.215550	6267235.670000	513253.170000	31	1573	2013-05-08
2/4-C-22	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-01-16	1991-03-25	EKOFISK	NORTH SEA	ED50	56	32	52.80	N	3	12	56.02	E	56.548000	3.215561	6267233.510000	513253.860000	31	1574	2013-05-08
2/4-C-23	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-05-19	1991-07-10	EKOFISK	NORTH SEA	ED50	56	32	52.84	N	3	12	56.20	E	56.548011	3.215611	6267234.750000	513256.930000	31	1575	2013-05-08
2/4-W-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1991-03-19	1991-05-06	EKOFISK	NORTH SEA	ED50	56	32	39.19	N	3	13	4.66	E	56.544219	3.217961	6266813.150000	513402.760000	31	1576	2013-05-08
2/4-W-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1990-11-25	1991-01-26	EKOFISK	NORTH SEA	ED50	56	32	39.19	N	3	13	4.55	E	56.544219	3.217931	6266813.150000	513400.880000	31	1577	2013-05-08
2/4-W-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1991-05-07	1991-07-07	EKOFISK	NORTH SEA	ED50	56	32	39.12	N	3	13	4.62	E	56.544200	3.217950	6266810.990000	513402.090000	31	1578	2013-05-08
2/4-W-4	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	\N	1990-08-05	1990-10-11	EKOFISK	NORTH SEA	ED50	56	32	39.05	N	3	13	4.66	E	56.544181	3.217961	6266808.830000	513402.780000	31	1579	2013-05-08
2/4-W-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1990-06-15	1990-08-05	EKOFISK	NORTH SEA	ED50	56	32	39.19	N	3	13	4.44	E	56.544219	3.217900	6266813.140000	513399.010000	31	1580	2013-05-08
2/4-W-7	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1991-01-27	1991-03-22	EKOFISK	NORTH SEA	ED50	56	32	39.01	N	3	13	4.44	E	56.544169	3.217900	6266807.580000	513399.020000	31	1581	2013-05-08
2/8-A-16 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1990-06-21	1990-07-31	VALHALL	NORTH SEA	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	1582	2013-05-08
34/10-A-24 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1990-06-04	1990-07-26	GULLFAKS	NORTH SEA	ED50	61	10	33.63	N	2	11	22.72	E	61.176008	2.189644	6782823.450000	456412.550000	31	1583	2013-05-08
34/10-B-15	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1990-06-06	1990-09-14	GULLFAKS	NORTH SEA	ED50	61	12	11.05	N	2	12	4.95	E	61.203069	2.201375	6785829.930000	457080.310000	31	1585	2013-05-08
33/9-A-20 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1990-08-01	1990-08-28	STATFJORD	NORTH SEA	ED50	61	15	20.72	N	1	51	14.90	E	61.255756	1.854139	6791975.690000	438523.170000	31	1586	2013-05-08
7018/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1990-06-23	1990-07-25	\N	BARENTS SEA	ED50	70	29	28.25	N	18	19	59.29	E	70.491181	18.333136	7823039.560000	400624.710000	34	1590	2013-05-08
7018/5-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1990-06-23	1990-07-25	\N	BARENTS SEA	ED50	70	30	18.18	N	18	22	28.22	E	70.505050	18.374506	7824518.020000	402232.220000	34	1591	2013-05-08
7018/5-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1990-06-23	1990-07-25	\N	BARENTS SEA	ED50	70	30	56.83	N	18	23	53.86	E	70.515786	18.398294	7825676.350000	403168.840000	34	1592	2013-05-08
34/10-C-4	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1990-06-22	1991-02-09	GULLFAKS	NORTH SEA	ED50	61	12	53.50	N	2	16	28.13	E	61.214861	2.274481	6787097.590000	461023.600000	31	1598	2013-05-08
33/9-C-11	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1990-07-23	1990-09-22	STATFJORD	NORTH SEA	ED50	61	17	48.01	N	1	54	11.11	E	61.296669	1.903086	6796487.730000	441225.590000	31	1599	2013-05-08
35/9-2	Norsk Hydro Produksjon AS	153	EXPLORATION	WILDCAT	OIL/GAS	1991-01-01	1991-04-03	GJØA	NORTH SEA	ED50	61	20	8.62	N	3	56	16.74	E	61.335728	3.937983	6800705.660000	550196.620000	31	1600	2013-05-08
7018/4-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1990-06-23	1990-07-25	\N	BARENTS SEA	ED50	70	30	36.36	N	18	13	0.71	E	70.510100	18.216864	7825341.950000	396391.260000	34	1601	2013-05-08
7018/5-U-6	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1990-06-23	1990-07-25	\N	BARENTS SEA	ED50	70	31	46.48	N	18	24	23.12	E	70.529578	18.406422	7827200.370000	403536.820000	34	1602	2013-05-08
30/9-B-12	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	1990-07-15	1990-09-14	OSEBERG	NORTH SEA	ED50	60	29	36.40	N	2	49	43.19	E	60.493444	2.828664	6706537.170000	490585.480000	31	1603	2013-05-08
6407/6-4	Mobil Exploration Norway INC	092	EXPLORATION	APPRAISAL	OIL SHOWS	1990-10-31	1990-12-13	MIKKEL	NORWEGIAN SEA	ED50	64	37	36.77	N	7	40	51.00	E	64.626881	7.680833	7167706.660000	436926.450000	32	1604	2013-05-08
2/4-A-17	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-03-27	1991-05-20	EKOFISK	NORTH SEA	ED50	56	31	15.12	N	3	13	22.77	E	56.520867	3.222992	6264214.720000	513720.540000	31	1605	2013-05-08
2/4-A-16	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-07-30	1991-09-17	EKOFISK	NORTH SEA	ED50	56	31	15.17	N	3	13	22.91	E	56.520881	3.223031	6264216.280000	513722.930000	31	1606	2013-05-08
2/7-A-19 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1990-09-14	1990-11-20	ELDFISK	NORTH SEA	ED50	56	22	36.16	N	3	15	56.87	E	56.376711	3.265797	6248178.220000	516416.370000	31	1607	2013-05-08
2/11-A-3	Amoco Norway Oil Company	033	DEVELOPMENT	OBSERVATION	OIL	1991-04-12	1991-05-14	HOD	NORTH SEA	ED50	56	10	36.01	N	3	27	36.32	E	56.176669	3.460089	6225975.790000	528564.990000	31	1608	2013-05-08
2/11-A-4	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	OIL	1991-07-24	1991-09-09	HOD	NORTH SEA	ED50	56	10	35.52	N	3	27	36.22	E	56.176533	3.460061	6225960.630000	528563.360000	31	1609	2013-05-08
2/11-A-6	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	OIL	1990-08-13	1990-09-22	HOD	NORTH SEA	ED50	56	10	35.50	N	3	27	36.72	E	56.176528	3.460200	6225960.070000	528571.990000	31	1610	2013-05-08
2/7-24	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	DRY	1990-11-07	1991-04-13	\N	NORTH SEA	ED50	56	18	33.00	N	3	19	23.56	E	56.309167	3.323211	6240675.200000	519997.700000	31	1613	2013-05-08
30/3-A-8	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	WATER	1990-07-17	1990-10-22	VESLEFRIKK	NORTH SEA	ED50	60	46	58.03	N	2	53	52.27	E	60.782786	2.897853	6738757.080000	494437.320000	31	1614	2013-05-08
2/11-A-1	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	\N	1991-01-01	1991-03-06	HOD	NORTH SEA	ED50	56	10	35.52	N	3	27	36.22	E	56.176533	3.460061	6225960.630000	528563.360000	31	1615	2013-05-08
2/11-A-2	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	OIL	1990-09-30	1991-01-04	HOD	NORTH SEA	ED50	56	10	35.65	N	3	27	36.67	E	56.176569	3.460186	6225964.700000	528571.100000	31	1616	2013-05-08
2/4-B-17 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1990-12-17	1991-03-02	EKOFISK	NORTH SEA	ED50	56	33	55.04	N	3	12	14.08	E	56.565289	3.203911	6269155.770000	512531.840000	31	1617	2013-05-08
2/4-B-16 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1986-05-13	1986-07-04	EKOFISK	NORTH SEA	ED50	56	33	54.68	N	3	12	13.04	E	56.565189	3.203622	6269144.590000	512514.120000	31	1624	2013-05-08
2/4-B-18 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1986-07-23	1986-10-14	EKOFISK	NORTH SEA	ED50	56	33	55.02	N	3	12	13.97	E	56.565283	3.203881	6269155.150000	512529.970000	31	1625	2013-05-08
2/4-B-19 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1985-02-12	1985-04-30	EKOFISK	NORTH SEA	ED50	56	33	54.98	N	3	12	13.80	E	56.565272	3.203833	6269153.900000	512527.070000	31	1626	2013-05-08
7229/11-1	A/S Norske Shell	183	EXPLORATION	WILDCAT	DRY	1993-08-09	1993-12-15	\N	BARENTS SEA	ED50	72	12	57.24	N	29	38	29.75	E	72.215900	29.641597	8015210.030000	590031.990000	35	1643	2013-05-08
25/1-8 SR4	Elf Petroleum Norge AS	024	EXPLORATION	APPRAISAL	GAS	1991-04-03	1991-04-14	FRIGG	NORTH SEA	ED50	59	54	3.28	N	2	6	9.79	E	59.900911	2.102719	6640871.090000	449800.690000	31	1644	2013-05-08
2/7-A-3 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1982-06-26	1982-07-31	ELDFISK	NORTH SEA	ED50	56	22	36.27	N	3	15	57.74	E	56.376742	3.266039	6248181.680000	516431.280000	31	1646	2013-05-08
2/7-A-29 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1986-02-23	1986-05-31	ELDFISK	NORTH SEA	ED50	56	22	36.32	N	3	15	56.57	E	56.376756	3.265714	6248183.140000	516411.200000	31	1653	2013-05-08
7427/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1990-07-27	1990-07-30	\N	UNOPENEDAREA	ED50	74	54	55.94	N	27	45	42.31	E	74.915539	27.761753	8314559.090000	522128.970000	35	1661	2013-05-08
7532/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1990-07-30	1990-07-31	\N	UNOPENEDAREA	ED50	75	45	1.00	N	32	32	28.40	E	75.750278	32.541222	8414692.190000	652053.980000	35	1662	2013-05-08
7533/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1990-07-31	1990-08-03	\N	UNOPENEDAREA	ED50	75	56	16.88	N	33	44	59.09	E	75.938022	33.749747	8434835.600000	357769.930000	37	1663	2013-05-08
34/10-A-29	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1990-08-22	1990-10-01	GULLFAKS	NORTH SEA	ED50	61	10	33.70	N	2	11	22.63	E	61.176028	2.189619	6782825.630000	456411.230000	31	1666	2013-05-08
2/1-9	BP Norway Limited  U.A.	019 B	EXPLORATION	APPRAISAL	OIL	1991-04-15	1991-07-06	GYDA	NORTH SEA	ED50	56	51	37.77	N	3	5	4.77	E	56.860492	3.084658	6302000.770000	505162.300000	31	1667	2013-05-08
2/11-6 SR	Amoco Norway Oil Company	033	EXPLORATION	APPRAISAL	OIL	1990-07-19	1990-08-13	HOD	NORTH SEA	ED50	56	10	35.50	N	3	27	36.72	E	56.176528	3.460200	6225960.070000	528571.990000	31	1668	2013-05-08
31/5-4 S	Norsk Hydro Produksjon AS	085	EXPLORATION	APPRAISAL	OIL/GAS	1990-09-13	1990-10-10	TROLL	NORTH SEA	ED50	60	43	16.19	N	3	33	43.06	E	60.721164	3.561961	6732020.100000	530661.480000	31	1669	2013-05-08
34/10-C-5	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1990-09-02	1991-01-03	GULLFAKS	NORTH SEA	ED50	61	12	53.35	N	2	16	27.92	E	61.214819	2.274422	6787092.980000	461020.420000	31	1670	2013-05-08
2/8-A-29	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1992-10-24	1993-01-05	VALHALL	NORTH SEA	ED50	56	16	40.92	N	3	23	43.43	E	56.278033	3.395397	6237233.180000	524483.860000	31	1671	2013-05-08
25/11-14 S	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	OIL	1990-09-13	1990-10-13	BALDER	NORTH SEA	ED50	59	11	17.35	N	2	22	11.48	E	59.188153	2.369856	6561324.970000	463993.000000	31	1672	2013-05-08
30/9-11	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	DRY	1990-10-27	1990-11-19	\N	NORTH SEA	ED50	60	19	27.89	N	2	55	44.00	E	60.324414	2.928889	6687700.500000	496072.290000	31	1673	2013-05-08
2/1-A-13	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1994-01-31	1995-08-06	GYDA	NORTH SEA	ED50	56	54	17.37	N	3	5	6.72	E	56.904825	3.085200	6306935.890000	505189.180000	31	1674	2013-05-08
2/1-A-17	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1990-12-06	1991-02-01	GYDA	NORTH SEA	ED50	56	54	17.31	N	3	5	6.60	E	56.904808	3.085167	6306934.040000	505187.150000	31	1675	2013-05-08
2/1-A-23	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1991-04-17	1991-07-08	GYDA	NORTH SEA	ED50	56	54	17.37	N	3	5	6.29	E	56.904825	3.085081	6306935.890000	505181.900000	31	1676	2013-05-08
34/7-16 R	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1990-09-04	1990-10-15	VIGDIS	NORTH SEA	ED50	61	23	13.06	N	2	6	59.12	E	61.386961	2.116422	6806371.840000	452792.040000	31	1677	2013-05-08
34/7-P-28	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1990-09-12	1990-12-10	SNORRE	NORTH SEA	ED50	61	26	57.99	N	2	8	36.80	E	61.449442	2.143556	6813312.200000	454333.030000	31	1678	2013-05-08
2/7-25 S	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	DRY	1990-11-29	1991-03-31	EMBLA	NORTH SEA	ED50	56	19	59.69	N	3	14	53.90	E	56.333247	3.248306	6243336.310000	515353.490000	31	1679	2013-05-08
15/12-7 S	Den norske stats oljeselskap a.s	116	EXPLORATION	WILDCAT	DRY	1990-11-06	1991-01-07	\N	NORTH SEA	ED50	58	0	49.93	N	1	58	35.54	E	58.013869	1.976539	6430858.600000	439525.830000	31	1680	2013-05-08
7/11-10 SR	Norsk Hydro Produksjon AS	070	EXPLORATION	APPRAISAL	OIL	1990-09-25	1990-10-24	MIME	NORTH SEA	ED50	57	7	12.51	N	2	29	10.56	E	57.120142	2.486267	6331018.860000	468891.060000	31	1681	2013-05-08
34/10-A-30	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1990-10-02	1990-11-05	GULLFAKS	NORTH SEA	ED50	61	10	33.71	N	2	11	23.01	E	61.176031	2.189725	6782825.870000	456416.910000	31	1682	2013-05-08
34/8-4 S	Norsk Hydro Produksjon AS	120	EXPLORATION	WILDCAT	GAS/CONDENSATE	1990-12-06	1991-06-09	VISUND	NORTH SEA	ED50	61	19	29.58	N	2	25	18.67	E	61.324883	2.421853	6799274.110000	469049.020000	31	1683	2013-05-08
30/3-A-9	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	WATER	1990-10-29	1991-05-22	VESLEFRIKK	NORTH SEA	ED50	60	46	57.66	N	2	53	52.38	E	60.782683	2.897883	6738745.620000	494438.970000	31	1684	2013-05-08
2/1-A-6 A	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1990-11-09	1991-04-15	GYDA	NORTH SEA	ED50	56	54	17.55	N	3	5	6.82	E	56.904875	3.085228	6306941.460000	505190.860000	31	1685	2013-05-08
34/7-P-29	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1991-01-01	1991-03-08	SNORRE	NORTH SEA	ED50	61	26	57.99	N	2	8	37.07	E	61.449442	2.143631	6813312.150000	454337.030000	31	1686	2013-05-08
33/9-A-27	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1991-01-01	1991-08-12	STATFJORD	NORTH SEA	ED50	61	15	19.89	N	1	51	14.17	E	61.255525	1.853936	6791950.200000	438511.840000	31	1687	2013-05-08
33/9-C-3	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1990-11-09	1991-05-04	STATFJORD	NORTH SEA	ED50	61	17	48.11	N	1	54	11.37	E	61.296697	1.903158	6796490.760000	441229.510000	31	1688	2013-05-08
31/5-4 A	Norsk Hydro Produksjon AS	085	EXPLORATION	APPRAISAL	OIL/GAS	1990-10-10	1990-12-13	TROLL	NORTH SEA	ED50	60	43	16.19	N	3	33	43.06	E	60.721164	3.561961	6732020.100000	530661.480000	31	1689	2013-05-08
7120/2-2	Norsk Hydro Produksjon AS	109	EXPLORATION	WILDCAT	OIL SHOWS	1991-01-27	1991-03-23	\N	BARENTS SEA	ED50	71	50	23.99	N	20	36	3.59	E	71.839997	20.600997	7971348.280000	486119.440000	34	1690	2013-05-08
25/5-4	Elf Petroleum Norge AS	102	EXPLORATION	WILDCAT	GAS/CONDENSATE	1990-12-22	1991-03-07	SKIRNE	NORTH SEA	ED50	59	36	33.22	N	2	28	32.07	E	59.609228	2.475575	6608163.570000	470403.240000	31	1691	2013-05-08
15/9-U-3	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	22	1.96	N	1	54	30.43	E	58.367211	1.908453	6470259.860000	436139.920000	31	1692	2013-05-08
34/7-U-10	StatoilHydro ASA	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	16	7.04	N	2	6	11.21	E	61.268622	2.103114	6793200.070000	451899.980000	31	1693	2013-05-08
34/7-U-11	StatoilHydro ASA	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	16	11.95	N	2	6	20.47	E	61.269986	2.105686	6793350.100000	452040.000000	31	1694	2013-05-08
34/7-U-12	StatoilHydro ASA	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	16	23.37	N	2	6	37.60	E	61.273158	2.110444	6793699.960000	452299.980000	31	1695	2013-05-08
34/7-U-13	StatoilHydro ASA	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	18	21.32	N	2	6	34.26	E	61.305922	2.109517	6797350.110000	452299.980000	31	1696	2013-05-08
34/7-U-14	StatoilHydro ASA	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	16	33.24	N	2	7	4.18	E	61.275900	2.117828	6793999.970000	452700.000000	31	1697	2013-05-08
30/9-B-2	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	GAS	1990-11-08	1991-01-14	OSEBERG	NORTH SEA	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	1698	2013-05-08
6407/7-5	Norsk Hydro Produksjon AS	107	EXPLORATION	APPRAISAL	SHOWS	1990-12-17	1991-02-15	NJORD	NORWEGIAN SEA	ED50	64	18	24.34	N	7	10	50.58	E	64.306761	7.180717	7132634.020000	411996.500000	32	1699	2013-05-08
30/3-A-10	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	\N	1990-11-13	1991-01-06	VESLEFRIKK	NORTH SEA	ED50	60	46	57.97	N	2	53	52.16	E	60.782769	2.897822	6738755.220000	494435.650000	31	1700	2013-05-08
2/8-A-12 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1990-12-01	1991-03-21	VALHALL	NORTH SEA	ED50	56	16	41.64	N	3	23	43.83	E	56.278233	3.395508	6237255.480000	524490.610000	31	1701	2013-05-08
2/4-16	Saga Petroleum ASA	146	EXPLORATION	WILDCAT	SHOWS	1991-05-07	1991-11-04	\N	NORTH SEA	ED50	56	40	37.23	N	3	9	2.07	E	56.677008	3.150575	6281583.130000	509226.660000	31	1702	2013-05-08
25/4-6 S	Elf Petroleum Norge AS	036	EXPLORATION	WILDCAT	GAS/CONDENSATE	1991-04-15	1991-08-24	VALE	NORTH SEA	ED50	59	42	35.43	N	2	19	4.45	E	59.709842	2.317903	6619449.040000	461620.070000	31	1703	2013-05-08
2/4-K-16	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1990-12-26	1992-01-17	EKOFISK	NORTH SEA	ED50	56	33	55.98	N	3	12	22.57	E	56.565550	3.206269	6269185.270000	512676.690000	31	1704	2013-05-08
30/9-11 A	Norsk Hydro Produksjon AS	104	EXPLORATION	APPRAISAL	SHOWS	1990-11-20	1990-12-29	\N	NORTH SEA	ED50	60	19	27.89	N	2	55	44.00	E	60.324414	2.928889	6687700.500000	496072.290000	31	1705	2013-05-08
2/7-A-23 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1990-11-23	1991-03-14	ELDFISK	NORTH SEA	ED50	56	22	36.19	N	3	15	56.66	E	56.376719	3.265739	6248179.130000	516412.760000	31	1706	2013-05-08
34/10-A-31	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1990-12-07	1991-03-17	GULLFAKS	NORTH SEA	ED50	61	10	33.88	N	2	11	22.62	E	61.176078	2.189617	6782831.200000	456411.150000	31	1707	2013-05-08
34/10-B-14 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1990-12-24	1991-03-08	GULLFAKS	NORTH SEA	ED50	61	12	11.01	N	2	12	4.81	E	61.203058	2.201336	6785828.720000	457078.200000	31	1708	2013-05-08
34/10-B-16	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1991-04-26	1991-06-26	GULLFAKS	NORTH SEA	ED50	61	12	9.99	N	2	12	5.85	E	61.202775	2.201625	6785796.970000	457093.340000	31	1709	2013-05-08
34/10-B-18	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1991-08-11	1991-11-13	GULLFAKS	NORTH SEA	ED50	61	12	11.30	N	2	12	4.84	E	61.203139	2.201344	6785837.690000	457078.760000	31	1710	2013-05-08
6406/12-1 S	Den norske stats oljeselskap a.s	157	EXPLORATION	WILDCAT	DRY	1990-12-15	1991-02-28	\N	NORWEGIAN SEA	ED50	64	4	11.14	N	6	43	56.91	E	64.069761	6.732475	7106932.340000	389379.240000	32	1711	2013-05-08
25/2-14	Elf Petroleum Norge AS	026	EXPLORATION	APPRAISAL	DRY	1991-01-25	1991-03-30	FRØY	NORTH SEA	ED50	59	45	53.52	N	2	35	24.04	E	59.764867	2.590011	6625450.980000	476968.640000	31	1712	2013-05-08
34/7-17	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	SHOWS	1991-02-25	1991-04-07	VIGDIS	NORTH SEA	ED50	61	20	50.69	N	2	5	42.31	E	61.347414	2.095086	6801982.380000	451591.070000	31	1713	2013-05-08
24/9-4	Fina Production Licenses AS	150	EXPLORATION	WILDCAT	OIL SHOWS	1991-04-17	1991-06-17	\N	NORTH SEA	ED50	59	23	21.95	N	1	47	20.29	E	59.389431	1.788969	6584194.970000	431209.790000	31	1714	2013-05-08
2/11-8	Norsk Hydro Produksjon AS	068	EXPLORATION	WILDCAT	DRY	1991-04-03	1991-07-11	\N	NORTH SEA	ED50	56	8	8.60	N	3	20	46.64	E	56.135722	3.346289	6221376.900000	521522.540000	31	1715	2013-05-08
34/10-C-6	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1991-02-11	1991-04-18	GULLFAKS	NORTH SEA	ED50	61	12	54.54	N	2	16	26.30	E	61.215150	2.273972	6787130.070000	460996.650000	31	1716	2013-05-08
30/9-12	Norsk Hydro Produksjon AS	104	EXPLORATION	APPRAISAL	OIL	1991-04-07	1991-05-09	OSEBERG	NORTH SEA	ED50	60	25	57.09	N	2	51	34.90	E	60.432525	2.859694	6699747.910000	492276.080000	31	1717	2013-05-08
34/10-A-20 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1991-01-23	1991-02-24	GULLFAKS	NORTH SEA	ED50	61	10	34.84	N	2	11	21.71	E	61.176344	2.189364	6782861.070000	456397.920000	31	1718	2013-05-08
34/8-5	Norsk Hydro Produksjon AS	120	EXPLORATION	APPRAISAL	SHOWS	1991-02-18	1991-04-01	VISUND	NORTH SEA	ED50	61	19	29.94	N	2	20	57.94	E	61.324983	2.349428	6799321.730000	465171.960000	31	1719	2013-05-08
34/7-P-7	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	WATER/GAS	1994-04-11	1994-06-13	SNORRE	NORTH SEA	ED50	61	26	56.95	N	2	8	36.83	E	61.449153	2.143564	6813280.010000	454333.050000	31	1720	2013-05-08
7/12-A-17	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1991-04-05	1991-10-02	ULA	NORTH SEA	ED50	57	6	41.06	N	2	50	50.64	E	57.111406	2.847400	6329939.550000	490757.140000	31	1722	2013-05-08
30/9-B-8	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	GAS	1991-02-03	1991-04-27	OSEBERG	NORTH SEA	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	1723	2013-05-08
33/9-A-10	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1992-09-04	1992-11-17	STATFJORD	NORTH SEA	ED50	61	15	20.88	N	1	51	14.88	E	61.255800	1.854133	6791980.640000	438522.950000	31	1724	2013-05-08
2/4-K-25	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1992-04-26	1992-07-18	EKOFISK	NORTH SEA	ED50	56	33	56.05	N	3	12	22.64	E	56.565569	3.206289	6269187.440000	512677.880000	31	1726	2013-05-08
1/9-4 R	Den norske stats oljeselskap a.s	044	EXPLORATION	WILDCAT	GAS/CONDENSATE	1991-04-21	1991-04-26	TOMMELITEN GAMMA	NORTH SEA	ED50	56	29	3.76	N	2	56	0.29	E	56.484378	2.933414	6260132.830000	495899.060000	31	1727	2013-05-08
6507/7-A-52	Conoco Norway Inc.	095	DEVELOPMENT	PRODUCTION	OIL	1992-12-18	1993-02-09	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.40	N	7	19	2.74	E	65.325667	7.317428	7245978.020000	421626.130000	32	1731	2013-05-08
6608/10-3	Den norske stats oljeselskap a.s	128	EXPLORATION	APPRAISAL	OIL/GAS	1993-01-07	1993-03-11	NORNE	NORWEGIAN SEA	ED50	66	2	6.66	N	8	4	57.97	E	66.035183	8.082769	7324321.370000	458426.470000	32	1732	2013-05-08
2/7-A-9 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1996-08-08	1996-09-27	ELDFISK	NORTH SEA	ED50	56	22	36.41	N	3	15	57.67	E	56.376781	3.266019	6248186.000000	516430.060000	31	1741	2013-05-08
2/4-B-16 C	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-04-17	1991-06-05	EKOFISK	NORTH SEA	ED50	56	33	54.68	N	3	12	13.04	E	56.565189	3.203622	6269144.590000	512514.120000	31	1745	2013-05-08
34/7-P-25	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1991-03-09	1993-02-15	SNORRE	NORTH SEA	ED50	61	26	57.73	N	2	8	36.81	E	61.449369	2.143558	6813304.150000	454333.070000	31	1746	2013-05-08
34/10-34	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	OIL	1991-04-10	1991-05-31	GULLFAKS	NORTH SEA	ED50	61	13	4.19	N	2	8	4.69	E	61.217831	2.134636	6787519.760000	453515.530000	31	1747	2013-05-08
6507/8-5	Den norske stats oljeselskap a.s	124	EXPLORATION	WILDCAT	DRY	1991-03-02	1991-03-16	\N	NORWEGIAN SEA	ED50	65	20	36.75	N	7	38	4.70	E	65.343542	7.634639	7247612.810000	436442.870000	32	1749	2013-05-08
2/11-A-1 A	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	\N	1991-03-06	1991-04-11	HOD	NORTH SEA	ED50	56	10	35.52	N	3	27	36.22	E	56.176533	3.460061	6225960.630000	528563.360000	31	1751	2013-05-08
33/9-U-4	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1991-02-21	1991-02-21	\N	NORTH SEA	ED50	61	20	38.02	N	1	58	22.18	E	61.343894	1.972828	6801687.130000	445044.970000	31	1752	2013-05-08
15/9-U-4	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	1991-02-23	1991-02-23	\N	NORTH SEA	ED50	58	26	8.74	N	1	55	46.71	E	58.435761	1.929642	6477872.040000	437500.950000	31	1753	2013-05-08
6506/11-2	Den norske stats oljeselskap a.s	134	EXPLORATION	WILDCAT	OIL/GAS	1991-05-08	1991-10-26	\N	NORWEGIAN SEA	ED50	65	3	25.32	N	6	37	22.39	E	65.057033	6.622886	7217095.510000	388157.270000	32	1754	2013-05-08
30/6-C-27 H	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1991-04-02	1991-06-25	OSEBERG	NORTH SEA	ED50	60	32	27.64	N	2	43	9.32	E	60.541011	2.719256	6711855.810000	484596.360000	31	1755	2013-05-08
2/7-26 S	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1991-03-20	1991-09-13	EMBLA	NORTH SEA	ED50	56	19	59.59	N	3	14	53.55	E	56.333219	3.248208	6243333.200000	515347.490000	31	1756	2013-05-08
2/7-B-11 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-06-10	1991-09-07	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	6.03	E	56.419161	3.218342	6252892.960000	513470.390000	31	1757	2013-05-08
2/7-A-20 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1984-06-25	1984-07-15	ELDFISK	NORTH SEA	ED50	56	22	36.15	N	3	15	56.71	E	56.376708	3.265753	6248177.900000	516413.620000	31	1758	2013-05-08
3/7-5	A/S Norske Shell	147	EXPLORATION	WILDCAT	SHOWS	1991-12-06	1992-02-07	\N	NORTH SEA	ED50	56	28	47.00	N	4	18	17.60	E	56.479722	4.304889	6260375.710000	580373.350000	31	1759	2013-05-08
30/3-A-11	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	WATER	1991-05-25	1991-07-02	VESLEFRIKK	NORTH SEA	ED50	60	46	57.87	N	2	53	52.16	E	60.782742	2.897822	6738752.130000	494435.650000	31	1760	2013-05-08
34/10-A-32	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1991-03-17	1991-05-09	GULLFAKS	NORTH SEA	ED50	61	10	34.80	N	2	11	21.57	E	61.176333	2.189325	6782859.860000	456395.820000	31	1761	2013-05-08
15/5-4	Norsk Hydro Produksjon AS	048	EXPLORATION	APPRAISAL	OIL SHOWS	1991-06-06	1991-07-03	ENOCH	NORTH SEA	ED50	58	38	28.40	N	1	33	8.87	E	58.641222	1.552464	6501158.600000	415972.130000	31	1762	2013-05-08
34/7-A-1 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1993-04-06	1993-06-14	SNORRE	NORTH SEA	ED50	61	29	21.92	N	2	13	34.79	E	61.489422	2.226331	6817710.550000	458799.400000	31	1763	2013-05-08
30/3-A-12	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1991-07-03	1991-08-22	VESLEFRIKK	NORTH SEA	ED50	60	46	57.82	N	2	53	52.06	E	60.782728	2.897794	6738750.580000	494434.130000	31	1765	2013-05-08
34/10-A-33	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1991-05-09	1991-09-13	GULLFAKS	NORTH SEA	ED50	61	10	35.01	N	2	11	21.32	E	61.176392	2.189256	6782866.400000	456392.160000	31	1766	2013-05-08
16/10-2	Norsk Agip  AS	101	EXPLORATION	WILDCAT	DRY	1991-06-20	1991-08-01	\N	NORTH SEA	ED50	58	8	26.58	N	2	2	14.91	E	58.140717	2.037475	6444927.850000	443327.640000	31	1767	2013-05-08
15/9-17 R	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	GAS/CONDENSATE	1991-04-28	1991-05-04	SLEIPNER ØST	NORTH SEA	ED50	58	26	44.19	N	1	56	53.58	E	58.445608	1.948217	6478951.280000	438602.650000	31	1768	2013-05-08
2/4-B-5 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-06-23	1991-08-28	EKOFISK	NORTH SEA	ED50	56	33	54.68	N	3	12	13.57	E	56.565189	3.203769	6269144.620000	512523.170000	31	1769	2013-05-08
30/9-12 A	Norsk Hydro Produksjon AS	104	EXPLORATION	APPRAISAL	OIL	1991-05-09	1991-06-04	OSEBERG	NORTH SEA	ED50	60	25	57.09	N	2	51	34.90	E	60.432525	2.859694	6699747.910000	492276.080000	31	1770	2013-05-08
6506/12-U-7	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	1	51.00	N	6	54	44.00	E	65.030833	6.912222	7213695.630000	401669.850000	32	1771	2013-05-08
6506/12-U-8	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	2	7.00	N	6	56	44.00	E	65.035278	6.945556	7214139.320000	403255.450000	32	1772	2013-05-08
6506/12-U-9	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	2	25.00	N	6	56	15.00	E	65.040278	6.937500	7214708.710000	402894.410000	32	1773	2013-05-08
6506/12-U-10	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	1	27.00	N	6	56	3.00	E	65.024167	6.934167	7212918.950000	402678.820000	32	1774	2013-05-08
6506/12-U-11	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	1	6.00	N	6	56	3.00	E	65.018333	6.934167	7212269.070000	402657.570000	32	1775	2013-05-08
6506/12-U-12	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	0	59.00	N	6	54	53.00	E	65.016389	6.914722	7212082.540000	401734.450000	32	1776	2013-05-08
6506/12-U-13	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	1	43.00	N	6	53	8.00	E	65.028611	6.885556	7213489.820000	400405.990000	32	1777	2013-05-08
15/12-8	Den norske stats oljeselskap a.s	038	EXPLORATION	WILDCAT	GAS/CONDENSATE	1991-06-05	1991-07-14	\N	NORTH SEA	ED50	58	3	1.85	N	1	58	3.41	E	58.050514	1.967614	6434946.270000	439060.860000	31	1778	2013-05-08
35/11-5	Mobil Exploration Norway INC	090	EXPLORATION	WILDCAT	OIL/GAS	1991-06-27	1991-11-03	\N	NORTH SEA	ED50	61	4	45.58	N	3	23	53.49	E	61.079328	3.398192	6771849.340000	521483.790000	31	1780	2013-05-08
33/9-C-39	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1991-06-25	1991-10-01	STATFJORD	NORTH SEA	ED50	61	17	46.69	N	1	54	10.29	E	61.296303	1.902858	6796447.100000	441212.700000	31	1781	2013-05-08
6608/10-2	Den norske stats oljeselskap a.s	128	EXPLORATION	WILDCAT	OIL/GAS	1991-10-28	1992-01-29	NORNE	NORWEGIAN SEA	ED50	66	0	49.35	N	8	4	26.48	E	66.013708	8.074022	7321933.620000	457994.680000	32	1782	2013-05-08
2/4-E-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1991-07-10	1991-11-14	TOR	NORTH SEA	ED50	56	38	31.15	N	3	19	36.78	E	56.641986	3.326883	6277722.310000	520048.700000	31	1786	2013-05-08
7/12-11	BP Norway Limited  U.A.	164	EXPLORATION	WILDCAT	SHOWS	1991-08-31	1991-11-06	\N	NORTH SEA	ED50	57	7	10.71	N	2	58	33.19	E	57.119642	2.975886	6330846.330000	498539.760000	31	1787	2013-05-08
34/10-C-8	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1991-06-26	1991-08-19	GULLFAKS	NORTH SEA	ED50	61	12	54.66	N	2	16	26.73	E	61.215183	2.274092	6787133.710000	461003.110000	31	1788	2013-05-08
6607/5-2	Esso Exploration and Production Norway A/S	126	EXPLORATION	WILDCAT	DRY	1991-08-07	1991-11-17	\N	NORWEGIAN SEA	ED50	66	41	3.38	N	7	21	22.52	E	66.684272	7.356256	7397329.730000	427403.490000	32	1789	2013-05-08
2/4-17	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	GAS/CONDENSATE	1991-07-21	1992-02-29	\N	NORTH SEA	ED50	56	41	2.60	N	3	13	45.20	E	56.684056	3.229222	6282380.930000	514043.230000	31	1792	2013-05-08
34/10-B-17	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1991-07-02	1991-08-11	GULLFAKS	NORTH SEA	ED50	61	12	11.10	N	2	12	4.49	E	61.203083	2.201247	6785831.560000	457073.460000	31	1793	2013-05-08
36/7-1	Norsk Hydro Produksjon AS	153	EXPLORATION	WILDCAT	OIL/GAS	1996-03-31	1996-05-07	GJØA	NORTH SEA	ED50	61	21	13.49	N	4	0	57.22	E	61.353747	4.015894	6802775.150000	554334.610000	31	1794	2013-05-08
2/1-A-27	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1992-04-23	1992-06-23	GYDA	NORTH SEA	ED50	56	54	17.31	N	3	5	6.18	E	56.904808	3.085050	6306934.030000	505180.050000	31	1795	2013-05-08
2/1-A-22	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	WATER	1991-09-04	1991-10-24	GYDA	NORTH SEA	ED50	56	54	17.30	N	3	5	6.40	E	56.904806	3.085111	6306933.720000	505183.770000	31	1796	2013-05-08
2/1-A-9	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1991-07-09	1991-09-03	GYDA	NORTH SEA	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	1797	2013-05-08
33/9-A-24	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1991-08-14	1992-03-11	STATFJORD	NORTH SEA	ED50	61	15	19.93	N	1	51	14.38	E	61.255536	1.853994	6791951.380000	438514.990000	31	1798	2013-05-08
2/4-E-6 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-11-14	1992-05-01	TOR	NORTH SEA	ED50	56	38	31.15	N	3	19	36.78	E	56.641986	3.326883	6277722.310000	520048.700000	31	1799	2013-05-08
6814/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1991-06-10	1991-07-07	\N	NORWEGIAN SEA	ED50	68	39	10.90	N	14	11	8.90	E	68.653028	14.185806	7616092.240000	466923.370000	33	1800	2013-05-08
33/9-16	Mobil Exploration Norway INC	172	EXPLORATION	APPRAISAL	SHOWS	1992-11-28	1993-01-20	\N	NORTH SEA	ED50	61	23	28.81	N	1	57	1.93	E	61.391336	1.950536	6806990.410000	443937.380000	31	1801	2013-05-08
6814/4-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1991-06-10	1991-07-07	\N	NORWEGIAN SEA	ED50	68	39	45.80	N	14	9	47.10	E	68.662722	14.163083	7617185.520000	466015.040000	33	1802	2013-05-08
6710/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1991-06-10	1991-07-07	\N	NORWEGIAN SEA	ED50	67	48	16.40	N	10	57	25.30	E	67.804556	10.957028	7522573.750000	582495.550000	32	1803	2013-05-08
6710/3-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1991-06-10	1991-07-07	\N	NORWEGIAN SEA	ED50	67	53	34.70	N	10	48	6.40	E	67.892972	10.801778	7532229.440000	575665.710000	32	1804	2013-05-08
6711/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1991-06-10	1991-07-07	\N	NORWEGIAN SEA	ED50	67	44	12.20	N	11	6	34.30	E	67.736722	11.109528	7515225.700000	589179.700000	32	1805	2013-05-08
6710/3-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1991-07-05	1991-07-06	\N	NORWEGIAN SEA	ED50	67	51	8.00	N	10	59	57.60	E	67.852222	10.999333	7527943.000000	584106.630000	32	1806	2013-05-08
6305/12-1	Norsk Hydro Produksjon AS	154	EXPLORATION	WILDCAT	SHOWS	1991-07-29	1991-09-18	\N	NORWEGIAN SEA	ED50	63	1	25.73	N	5	47	23.94	E	63.023814	5.789983	6991476.940000	641178.970000	31	1808	2013-05-08
33/12-B-2	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	\N	1991-08-17	1992-02-07	STATFJORD	NORTH SEA	ED50	61	12	25.25	N	1	49	52.41	E	61.207014	1.831225	6786568.570000	437196.810000	31	1809	2013-05-08
33/9-15	Mobil Exploration Norway INC	172	EXPLORATION	WILDCAT	SHOWS	1992-04-23	1992-06-08	\N	NORTH SEA	ED50	61	24	24.67	N	1	57	15.76	E	61.406853	1.954378	6808715.450000	444170.280000	31	1810	2013-05-08
30/9-13 S	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	OIL/GAS	1991-07-05	1991-10-11	OSEBERG SØR	NORTH SEA	ED50	60	21	37.69	N	2	43	17.78	E	60.360469	2.721606	6691746.630000	484640.300000	31	1811	2013-05-08
34/7-P-13	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1991-12-29	1992-03-06	SNORRE	NORTH SEA	ED50	61	26	57.08	N	2	8	37.09	E	61.449189	2.143636	6813283.990000	454336.950000	31	1812	2013-05-08
34/7-P-18	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1991-09-11	1991-11-09	SNORRE	NORTH SEA	ED50	61	26	57.21	N	2	8	37.09	E	61.449225	2.143636	6813288.010000	454337.000000	31	1813	2013-05-08
34/7-P-34	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1992-03-06	1992-04-01	SNORRE	NORTH SEA	ED50	61	26	58.12	N	2	8	37.06	E	61.449478	2.143628	6813316.170000	454336.930000	31	1814	2013-05-08
34/7-P-33	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1991-11-10	1991-12-28	SNORRE	NORTH SEA	ED50	61	26	58.11	N	2	8	36.80	E	61.449475	2.143556	6813315.910000	454333.080000	31	1815	2013-05-08
30/10-6	Elf Petroleum Norge AS	142	EXPLORATION	WILDCAT	GAS	1992-01-13	1992-11-09	\N	NORTH SEA	ED50	60	9	13.65	N	2	12	37.38	E	60.153792	2.210383	6668957.090000	456160.100000	31	1816	2013-05-08
34/7-18	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL SHOWS	1991-07-20	1991-09-17	\N	NORTH SEA	ED50	61	19	10.75	N	2	6	40.26	E	61.319653	2.111183	6798878.300000	452410.070000	31	1819	2013-05-08
31/2-16 SR	Norsk Hydro Produksjon AS	054	EXPLORATION	APPRAISAL	OIL/GAS	1991-06-26	1991-07-08	TROLL	NORTH SEA	ED50	60	46	0.00	N	3	25	27.55	E	60.766667	3.424319	6737031.980000	523118.870000	31	1820	2013-05-08
34/10-A-34	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1991-07-14	1991-10-09	GULLFAKS	NORTH SEA	ED50	61	10	34.95	N	2	11	21.78	E	61.176375	2.189383	6782864.460000	456399.010000	31	1821	2013-05-08
35/10-1	Den norske stats oljeselskap a.s	173	EXPLORATION	WILDCAT	OIL	1991-08-01	1992-01-16	\N	NORTH SEA	ED50	61	7	2.05	N	3	13	34.87	E	61.117236	3.226353	6776027.740000	512197.930000	31	1822	2013-05-08
2/7-B-3 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-09-28	1992-01-06	ELDFISK	NORTH SEA	ED50	56	25	8.85	N	3	13	6.13	E	56.419125	3.218369	6252888.950000	513472.120000	31	1824	2013-05-08
6507/11-U-1	Saga Petroleum ASA	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	0	13.34	N	7	33	6.60	E	65.003706	7.551833	7209829.970000	431719.940000	32	1825	2013-05-08
30/6-U-22	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	42	4.10	N	2	56	11.85	E	60.701139	2.936625	6729660.140000	496539.980000	31	1828	2013-05-08
30/6-U-23	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	42	4.10	N	2	56	11.85	E	60.701139	2.936625	6729660.140000	496539.980000	31	1829	2013-05-08
30/6-U-25	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	42	4.10	N	2	56	11.85	E	60.701139	2.936625	6729660.140000	496539.980000	31	1830	2013-05-08
30/6-U-24	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	42	4.10	N	2	56	11.85	E	60.701139	2.936625	6729660.140000	496539.980000	31	1831	2013-05-08
31/5-4 AR	Norsk Hydro Produksjon AS	085	EXPLORATION	APPRAISAL	OIL/GAS	1991-07-09	1991-07-18	TROLL	NORTH SEA	ED50	60	43	16.19	N	3	33	43.06	E	60.721164	3.561961	6732020.100000	530661.480000	31	1832	2013-05-08
34/10-A-34 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1991-10-09	1991-11-16	GULLFAKS	NORTH SEA	ED50	61	10	34.95	N	2	11	21.78	E	61.176375	2.189383	6782864.460000	456399.010000	31	1833	2013-05-08
2/5-9	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL SHOWS	1991-09-10	1992-01-18	\N	NORTH SEA	ED50	56	32	7.18	N	3	33	13.43	E	56.535328	3.553731	6265939.430000	534057.550000	31	1834	2013-05-08
15/12-8 A	Den norske stats oljeselskap a.s	038	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1991-07-14	1991-07-29	\N	NORTH SEA	ED50	58	3	1.85	N	1	58	3.41	E	58.050514	1.967614	6434946.270000	439060.860000	31	1835	2013-05-08
7128/6-1	Conoco Norway Inc.	181	EXPLORATION	WILDCAT	OIL SHOWS	1991-08-11	1991-11-08	\N	BARENTS SEA	ED50	71	31	4.99	N	28	49	3.41	E	71.518053	28.817614	7936359.060000	564304.640000	35	1836	2013-05-08
34/7-19	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL	1991-09-24	1991-12-27	VIGDIS	NORTH SEA	ED50	61	23	38.96	N	2	5	31.46	E	61.394156	2.092072	6807191.070000	451502.270000	31	1838	2013-05-08
1/6-6	A/S Norske Shell	011	EXPLORATION	WILDCAT	SHOWS	1992-02-10	1993-03-08	\N	NORTH SEA	ED50	56	36	41.13	N	2	57	18.19	E	56.611425	2.955053	6274273.590000	497241.020000	31	1839	2013-05-08
6507/2-2	Norsk Hydro Produksjon AS	122	EXPLORATION	WILDCAT	GAS/CONDENSATE	1991-10-21	1992-03-16	MARULK	NORWEGIAN SEA	ED50	65	55	1.69	N	7	30	54.56	E	65.917136	7.515156	7311658.690000	432391.000000	32	1840	2013-05-08
34/10-C-9	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1991-08-19	1992-01-17	GULLFAKS	NORTH SEA	ED50	61	12	53.45	N	2	16	27.61	E	61.214847	2.274336	6787096.130000	461015.830000	31	1841	2013-05-08
34/8-6	Norsk Hydro Produksjon AS	120	EXPLORATION	WILDCAT	SHOWS	1991-09-21	1991-11-03	\N	NORTH SEA	ED50	61	26	31.36	N	2	28	33.35	E	61.442044	2.475931	6812300.640000	472048.810000	31	1842	2013-05-08
6507/7-U-8	Norske Conoco A/S	\N	SHALLOW	\N	\N	1991-09-07	1991-09-08	\N	NORWEGIAN SEA	ED50	65	18	45.77	N	7	15	45.36	E	65.312714	7.262600	7244604.030000	419032.990000	32	1845	2013-05-08
2/2-5	Saga Petroleum ASA	066	EXPLORATION	WILDCAT	OIL	1991-11-07	1992-02-19	\N	NORTH SEA	ED50	56	50	5.80	N	3	27	22.90	E	56.834944	3.456361	6299246.570000	527846.840000	31	1846	2013-05-08
6507/7-U-9	Norske Conoco A/S	\N	SHALLOW	\N	\N	1991-09-09	1991-09-10	\N	NORWEGIAN SEA	ED50	65	16	46.79	N	7	18	45.97	E	65.279664	7.312769	7240857.900000	421272.010000	32	1847	2013-05-08
2/4-B-13	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1991-10-15	1991-12-22	EKOFISK	NORTH SEA	ED50	56	33	54.79	N	3	12	13.50	E	56.565219	3.203750	6269148.010000	512521.970000	31	1848	2013-05-08
2/1-A-26	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1992-08-03	1992-09-18	GYDA	NORTH SEA	ED50	56	54	17.25	N	3	5	6.29	E	56.904792	3.085081	6306932.170000	505181.910000	31	1851	2013-05-08
2/1-A-10	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2008-01-22	2008-05-18	GYDA	NORTH SEA	ED50	56	54	17.49	N	3	5	6.71	E	56.904858	3.085197	6306939.600000	505189.010000	31	1852	2013-05-08
30/6-24 S	Norsk Hydro Produksjon AS	170	EXPLORATION	WILDCAT	SHOWS	1991-10-13	1991-12-07	\N	NORTH SEA	ED50	60	42	2.74	N	2	41	34.28	E	60.700761	2.692856	6729655.590000	483230.990000	31	1855	2013-05-08
7/12-A-1 A	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1991-10-03	1991-11-14	ULA	NORTH SEA	ED50	57	6	41.49	N	2	50	50.66	E	57.111525	2.847406	6329952.850000	490757.510000	31	1856	2013-05-08
30/9-B-46	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1991-10-16	1992-01-30	OSEBERG	NORTH SEA	ED50	60	29	35.84	N	2	49	43.01	E	60.493289	2.828614	6706519.850000	490582.690000	31	1857	2013-05-08
2/8-A-16 C	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1991-10-03	1991-12-16	VALHALL	NORTH SEA	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	1858	2013-05-08
6407/8-1	BP Norway Limited  U.A.	158	EXPLORATION	WILDCAT	SHOWS	1992-03-27	1992-06-07	\N	NORWEGIAN SEA	ED50	64	23	29.16	N	7	21	26.14	E	64.391433	7.357261	7141835.210000	420778.760000	32	1859	2013-05-08
2/7-21 SR	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1991-09-13	1991-10-14	EMBLA	NORTH SEA	ED50	56	19	59.65	N	3	14	53.89	E	56.333236	3.248303	6243335.070000	515353.320000	31	1861	2013-05-08
34/10-B-19	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	1991-11-22	1992-01-07	GULLFAKS	NORTH SEA	ED50	61	12	10.09	N	2	12	6.51	E	61.202803	2.201808	6785799.950000	457103.230000	31	1862	2013-05-08
2/1-A-16	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1991-10-26	1992-01-09	GYDA	NORTH SEA	ED50	56	54	17.55	N	3	5	6.38	E	56.904875	3.085106	6306941.450000	505183.420000	31	1863	2013-05-08
6610/3-1	Den norske stats oljeselskap a.s	177	EXPLORATION	WILDCAT	SHOWS	1992-10-29	1993-02-17	\N	NORWEGIAN SEA	ED50	66	55	29.70	N	10	54	6.28	E	66.924917	10.901744	7424470.290000	583170.040000	32	1864	2013-05-08
2/1-10	BP Norway Limited  U.A.	164	EXPLORATION	WILDCAT	OIL SHOWS	1991-11-09	1992-01-14	\N	NORTH SEA	ED50	56	57	53.61	N	3	1	19.70	E	56.964892	3.022139	6313619.420000	501346.220000	31	1865	2013-05-08
2/1-9 A	BP Norway Limited  U.A.	019 B	EXPLORATION	APPRAISAL	OIL	1992-01-18	1992-03-08	GYDA	NORTH SEA	ED50	56	51	37.77	N	3	5	4.77	E	56.860492	3.084658	6302000.770000	505162.300000	31	1867	2013-05-08
7/7-2	Den norske stats oljeselskap a.s	148	EXPLORATION	WILDCAT	OIL	1992-01-20	1992-04-25	BRYNHILD	NORTH SEA	ED50	57	29	4.16	N	2	18	17.59	E	57.484489	2.304886	6371675.990000	458321.930000	31	1868	2013-05-08
7122/4-1	Esso Exploration and Production Norway A/S	178	EXPLORATION	WILDCAT	SHOWS	1991-11-13	1992-01-13	\N	BARENTS SEA	ED50	71	44	50.47	N	22	5	6.39	E	71.747353	22.085108	7961309.500000	537933.230000	34	1869	2013-05-08
2/8-A-5 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1992-01-03	1992-01-31	VALHALL	NORTH SEA	ED50	56	16	41.05	N	3	23	43.68	E	56.278069	3.395467	6237237.220000	524488.140000	31	1870	2013-05-08
34/10-B-20	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-01-08	1992-02-28	GULLFAKS	NORTH SEA	ED50	61	12	11.27	N	2	12	5.07	E	61.203131	2.201408	6785836.720000	457082.180000	31	1871	2013-05-08
25/11-15	Norsk Hydro Produksjon AS	169	EXPLORATION	WILDCAT	OIL	1991-11-10	1991-12-25	GRANE	NORTH SEA	ED50	59	11	3.50	N	2	29	3.82	E	59.184306	2.484394	6560840.350000	470534.450000	31	1872	2013-05-08
33/9-C-27	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1991-11-27	1992-04-05	STATFJORD	NORTH SEA	ED50	61	17	46.89	N	1	54	10.13	E	61.296358	1.902814	6796453.330000	441210.420000	31	1873	2013-05-08
34/10-35	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	GAS/CONDENSATE	1992-02-05	1992-07-01	VALEMON	NORTH SEA	ED50	61	4	16.17	N	2	19	16.77	E	61.071158	2.321325	6771063.850000	463374.050000	31	1874	2013-05-08
2/7-20 R	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1991-10-14	1991-11-01	EMBLA	NORTH SEA	ED50	56	20	0.10	N	3	14	54.70	E	56.333361	3.248528	6243349.040000	515367.190000	31	1875	2013-05-08
34/10-A-35	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	WATER	1991-11-17	1992-01-21	GULLFAKS	NORTH SEA	ED50	61	10	33.96	N	2	11	22.91	E	61.176100	2.189697	6782833.620000	456415.510000	31	1876	2013-05-08
34/10-C-10	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1991-10-22	1992-03-27	GULLFAKS	NORTH SEA	ED50	61	12	54.83	N	2	16	26.33	E	61.215231	2.273981	6787139.040000	460997.200000	31	1877	2013-05-08
2/7-27 S	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	OIL	1991-11-09	1992-06-17	EMBLA	NORTH SEA	ED50	56	19	59.81	N	3	14	53.77	E	56.333281	3.248269	6243340.010000	515351.240000	31	1878	2013-05-08
35/11-6	Mobil Exploration Norway INC	090	EXPLORATION	APPRAISAL	OIL SHOWS	1992-01-30	1992-04-20	VEGA	NORTH SEA	ED50	61	11	45.82	N	3	27	55.46	E	61.196061	3.465406	6784876.160000	525017.660000	31	1879	2013-05-08
30/9-B-11 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1993-09-20	1993-10-10	OSEBERG	NORTH SEA	ED50	60	29	36.38	N	2	49	43.02	E	60.493439	2.828617	6706536.550000	490582.880000	31	1880	2013-05-08
35/12-1	Saga Petroleum ASA	174	EXPLORATION	WILDCAT	OIL SHOWS	1992-02-27	1992-04-24	\N	NORTH SEA	ED50	61	11	4.06	N	3	57	45.41	E	61.184461	3.962614	6783875.970000	551762.890000	31	1881	2013-05-08
2/7-B-7 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2000-05-19	2000-07-20	ELDFISK	NORTH SEA	ED50	56	25	8.95	N	3	13	6.08	E	56.419153	3.218356	6252892.040000	513471.250000	31	1882	2013-05-08
35/11-4 R	Mobil Exploration Norway INC	090	EXPLORATION	APPRAISAL	OIL/GAS	1991-11-16	1992-01-27	FRAM	NORTH SEA	ED50	61	1	59.93	N	3	32	53.58	E	61.033314	3.548217	6766782.480000	529620.950000	31	1883	2013-05-08
33/9-A-3 A	Mobil Exploration Norway INC	037	DEVELOPMENT	INJECTION	GAS	1980-01-18	1980-04-11	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	1884	2013-05-08
31/2-17 S	Norsk Hydro Produksjon AS	054	EXPLORATION	APPRAISAL	OIL/GAS	1991-12-28	1992-01-20	TROLL	NORTH SEA	ED50	60	52	57.08	N	3	27	5.79	E	60.882522	3.451608	6749946.420000	524516.870000	31	1885	2013-05-08
15/9-U-5	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	25	4.00	N	1	43	4.00	E	58.417778	1.717778	6476086.320000	425092.730000	31	1886	2013-05-08
15/9-U-6	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	25	8.00	N	1	43	4.00	E	58.418889	1.717778	6476210.020000	425095.090000	31	1887	2013-05-08
15/9-U-7	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	25	4.00	N	1	42	57.00	E	58.417778	1.715833	6476088.490000	424979.140000	31	1888	2013-05-08
15/9-U-8	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	25	1.00	N	1	43	6.00	E	58.416944	1.718333	6475992.920000	425123.410000	31	1889	2013-05-08
15/9-U-9	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	25	4.00	N	1	43	12.00	E	58.417778	1.720000	6476083.850000	425222.540000	31	1890	2013-05-08
15/9-U-10	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	25	4.00	N	1	43	6.00	E	58.417778	1.718333	6476085.700000	425125.180000	31	1891	2013-05-08
15/9-U-11	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	25	6.00	N	1	54	24.00	E	58.418333	1.906667	6475953.280000	436127.940000	31	1892	2013-05-08
16/11-U-1	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	23.61	N	2	28	31.38	E	58.189892	2.475383	6450118.710000	469153.320000	31	1893	2013-05-08
16/11-U-2	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	23.61	N	2	28	31.38	E	58.189892	2.475383	6450118.710000	469153.320000	31	1894	2013-05-08
2/7-B-7 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1992-02-01	1992-04-09	ELDFISK	NORTH SEA	ED50	56	25	8.95	N	3	13	6.08	E	56.419153	3.218356	6252892.040000	513471.250000	31	1897	2013-05-08
31/2-17 A	Norsk Hydro Produksjon AS	054	EXPLORATION	APPRAISAL	OIL/GAS	1992-01-20	1992-01-31	TROLL	NORTH SEA	ED50	60	52	57.08	N	3	27	5.79	E	60.882522	3.451608	6749946.420000	524516.870000	31	1898	2013-05-08
31/2-17 B	Norsk Hydro Produksjon AS	054	EXPLORATION	APPRAISAL	GAS	1992-02-01	1992-02-14	TROLL	NORTH SEA	ED50	60	52	57.08	N	3	27	5.79	E	60.882522	3.451608	6749946.420000	524516.870000	31	1899	2013-05-08
31/4-A-1	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1991-12-30	1992-01-31	BRAGE	NORTH SEA	ED50	60	32	33.17	N	3	2	50.52	E	60.542547	3.047367	6711994.980000	502598.750000	31	1900	2013-05-08
31/4-A-2	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1992-01-31	1992-04-15	BRAGE	NORTH SEA	ED50	60	32	33.27	N	3	2	50.23	E	60.542575	3.047286	6711998.070000	502594.330000	31	1901	2013-05-08
31/4-A-3	Norsk Hydro Produksjon AS	055	DEVELOPMENT	INJECTION	WATER	1992-04-17	1992-05-24	BRAGE	NORTH SEA	ED50	60	32	33.22	N	3	2	50.81	E	60.542561	3.047447	6711996.530000	502603.170000	31	1902	2013-05-08
31/4-A-4	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	OIL	1992-11-20	1993-03-05	BRAGE	NORTH SEA	ED50	60	32	33.22	N	3	2	50.29	E	60.542561	3.047303	6711996.520000	502595.250000	31	1903	2013-05-08
31/4-A-5	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1992-05-25	1992-06-27	BRAGE	NORTH SEA	ED50	60	32	32.22	N	3	2	50.63	E	60.542283	3.047397	6711965.590000	502600.450000	31	1904	2013-05-08
31/4-A-6	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1992-08-15	1992-11-20	BRAGE	NORTH SEA	ED50	60	32	33.18	N	3	2	50.64	E	60.542550	3.047400	6711995.290000	502600.580000	31	1905	2013-05-08
2/7-28	Phillips Petroleum Company Norway	018	EXPLORATION	APPRAISAL	SHOWS	1992-03-08	1992-08-07	\N	NORTH SEA	ED50	56	22	52.16	N	3	14	19.29	E	56.381156	3.238692	6248666.780000	514740.540000	31	1906	2013-05-08
25/11-14 SR	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	OIL	1991-10-19	1991-12-02	BALDER	NORTH SEA	ED50	59	11	17.35	N	2	22	11.48	E	59.188153	2.369856	6561324.970000	463993.000000	31	1907	2013-05-08
34/4-8	Saga Petroleum ASA	057	EXPLORATION	WILDCAT	DRY	1994-05-22	1994-06-21	\N	NORTH SEA	ED50	61	35	4.02	N	2	10	9.73	E	61.584450	2.169369	6828333.190000	455901.060000	31	1908	2013-05-08
34/8-4 A	Norsk Hydro Produksjon AS	120	EXPLORATION	APPRAISAL	OIL	1992-02-18	1992-05-27	VISUND	NORTH SEA	ED50	61	19	29.58	N	2	25	18.67	E	61.324883	2.421853	6799274.110000	469049.020000	31	1909	2013-05-08
2/1-A-19	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1992-01-10	1992-04-09	GYDA	NORTH SEA	ED50	56	54	17.42	N	3	5	6.38	E	56.904839	3.085106	6306937.430000	505183.430000	31	1910	2013-05-08
30/6-C-14	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1992-01-01	1992-03-23	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.26	E	60.608175	2.775906	6719324.720000	487730.060000	31	1912	2013-05-08
34/10-C-11	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-01-18	1992-03-05	GULLFAKS	NORTH SEA	ED50	61	12	53.56	N	2	16	27.67	E	61.214878	2.274353	6787099.520000	461016.760000	31	1913	2013-05-08
30/9-B-38	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1992-02-16	1992-05-05	OSEBERG	NORTH SEA	ED50	60	29	36.14	N	2	49	42.86	E	60.493372	2.828572	6706529.130000	490580.420000	31	1915	2013-05-08
34/10-A-36	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-01-22	1992-06-26	GULLFAKS	NORTH SEA	ED50	61	10	34.81	N	2	11	21.94	E	61.176336	2.189428	6782860.100000	456401.350000	31	1916	2013-05-08
2/4-K-18	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1992-01-17	1992-04-26	EKOFISK	NORTH SEA	ED50	56	33	55.91	N	3	12	22.26	E	56.565531	3.206183	6269183.090000	512671.410000	31	1917	2013-05-08
2/4-D-7 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1992-05-11	1992-06-29	VEST EKOFISK	NORTH SEA	ED50	56	33	47.08	N	3	5	8.71	E	56.563078	3.085753	6268894.330000	505270.450000	31	1918	2013-05-08
33/12-B-12	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1994-04-02	1994-05-25	STATFJORD	NORTH SEA	ED50	61	12	25.08	N	1	49	52.41	E	61.206967	1.831225	6786563.310000	437196.720000	31	1919	2013-05-08
25/11-16	Norsk Hydro Produksjon AS	169	EXPLORATION	WILDCAT	OIL	1992-06-29	1992-07-24	SVALIN	NORTH SEA	ED50	59	7	6.55	N	2	23	6.20	E	59.118486	2.385056	6553559.140000	464790.040000	31	1920	2013-05-08
25/11-17	Norsk Hydro Produksjon AS	169	EXPLORATION	WILDCAT	DRY	1993-03-01	1993-03-22	\N	NORTH SEA	ED50	59	3	26.66	N	2	29	6.59	E	59.057406	2.485164	6546709.030000	470469.440000	31	1921	2013-05-08
25/2-C-1 H	Elf Petroleum Norge AS	026	DEVELOPMENT	PRODUCTION	GAS	1992-02-25	1992-06-24	LILLE-FRIGG	NORTH SEA	ED50	59	57	41.88	N	2	23	26.85	E	59.961633	2.390792	6647450.300000	465979.050000	31	1922	2013-05-08
30/3-A-13	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1992-01-29	1992-04-28	VESLEFRIKK	NORTH SEA	ED50	60	46	57.76	N	2	53	52.16	E	60.782711	2.897822	6738748.720000	494435.640000	31	1925	2013-05-08
2/7-A-29 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2004-07-19	2004-08-20	ELDFISK	NORTH SEA	ED50	56	22	36.32	N	3	15	56.57	E	56.376756	3.265714	6248183.140000	516411.200000	31	1926	2013-05-08
6407/10-3	Norsk Hydro Produksjon AS	132	EXPLORATION	WILDCAT	SHOWS	1992-05-29	1992-06-27	\N	NORWEGIAN SEA	ED50	64	6	11.66	N	7	18	11.43	E	64.103239	7.303175	7109795.670000	417314.230000	32	1927	2013-05-08
1/6-7	Conoco Norway Inc.	144	EXPLORATION	WILDCAT	SHOWS	1992-03-16	1992-07-12	\N	NORTH SEA	ED50	56	33	20.01	N	2	54	11.18	E	56.555558	2.903106	6268058.240000	494043.590000	31	1928	2013-05-08
33/12-B-11	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1992-02-27	1992-06-18	STATFJORD	NORTH SEA	ED50	61	12	25.12	N	1	49	52.27	E	61.206978	1.831186	6786564.590000	437194.650000	31	1932	2013-05-08
34/10-B-21	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-02-28	1992-04-17	GULLFAKS	NORTH SEA	ED50	61	12	9.83	N	2	12	6.25	E	61.202731	2.201736	6785791.950000	457099.250000	31	1933	2013-05-08
33/12-B-2 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1992-09-09	1992-11-22	STATFJORD	NORTH SEA	ED50	61	12	25.25	N	1	49	52.41	E	61.207014	1.831225	6786568.570000	437196.810000	31	1934	2013-05-08
33/9-A-21	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1994-12-02	1994-12-21	STATFJORD	NORTH SEA	ED50	61	15	20.69	N	1	51	15.04	E	61.255747	1.854178	6791974.720000	438525.240000	31	1935	2013-05-08
30/6-C-25	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	GAS	1992-03-24	1992-05-04	OSEBERG	NORTH SEA	ED50	60	36	29.24	N	2	46	32.89	E	60.608122	2.775803	6719318.860000	487724.410000	31	1936	2013-05-08
33/9-C-20	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1992-03-02	1992-05-04	STATFJORD	NORTH SEA	ED50	61	17	47.70	N	1	54	9.17	E	61.296583	1.902547	6796478.630000	441196.550000	31	1937	2013-05-08
25/2-15	Elf Petroleum Norge AS	026	EXPLORATION	WILDCAT	OIL SHOWS	1992-11-14	1993-01-13	\N	NORTH SEA	ED50	59	48	53.54	N	2	30	6.20	E	59.814872	2.501722	6631053.910000	472050.870000	31	1938	2013-05-08
33/9-A-35	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1992-03-24	1992-08-27	STATFJORD	NORTH SEA	ED50	61	15	19.81	N	1	51	13.78	E	61.255503	1.853828	6791947.830000	438505.980000	31	1939	2013-05-08
34/10-36	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	1992-04-28	1992-07-13	GULLFAKS SØR	NORTH SEA	ED50	61	6	48.49	N	2	10	35.15	E	61.113469	2.176431	6775866.390000	455614.120000	31	1940	2013-05-08
34/8-7	Norsk Hydro Produksjon AS	120	EXPLORATION	WILDCAT	GAS	1992-03-21	1992-07-16	\N	NORTH SEA	ED50	61	19	9.07	N	2	33	32.15	E	61.319186	2.558931	6798582.220000	476383.070000	31	1941	2013-05-08
30/3-A-14	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1992-08-15	1992-08-21	VESLEFRIKK	NORTH SEA	ED50	60	46	57.82	N	2	53	52.70	E	60.782728	2.897972	6738750.570000	494443.810000	31	1943	2013-05-08
34/10-B-19 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-04-17	1992-05-13	GULLFAKS	NORTH SEA	ED50	61	12	10.09	N	2	12	6.51	E	61.202803	2.201808	6785799.950000	457103.230000	31	1944	2013-05-08
34/10-C-12	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	WATER	1992-03-27	1992-05-17	GULLFAKS	NORTH SEA	ED50	61	12	54.76	N	2	16	26.42	E	61.215211	2.274006	6787136.860000	460998.520000	31	1945	2013-05-08
2/8-A-14 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1992-05-09	1992-07-16	VALHALL	NORTH SEA	ED50	56	16	40.92	N	3	23	43.33	E	56.278033	3.395369	6237233.170000	524482.140000	31	1946	2013-05-08
34/10-A-37	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-07-01	1992-09-10	GULLFAKS	NORTH SEA	ED50	61	10	33.82	N	2	11	23.05	E	61.176061	2.189736	6782829.260000	456417.550000	31	1947	2013-05-08
6407/9-U-15	A/S Norske Shell	\N	SHALLOW	\N	\N	1992-03-17	1992-03-24	\N	NORWEGIAN SEA	ED50	64	21	7.94	N	7	46	52.11	E	64.352206	7.781142	7137003.780000	441134.320000	32	1948	2013-05-08
25/6-2	Saga Petroleum ASA	117	EXPLORATION	WILDCAT	DRY	1992-04-26	1992-05-29	\N	NORTH SEA	ED50	59	33	39.83	N	2	49	13.44	E	59.561064	2.820400	6602696.660000	489849.430000	31	1949	2013-05-08
30/3-5 S	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	OIL	1992-05-01	1992-07-17	VESLEFRIKK	NORTH SEA	ED50	60	46	57.82	N	2	53	52.70	E	60.782728	2.897972	6738750.570000	494443.810000	31	1950	2013-05-08
30/9-B-1	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1992-05-05	1992-06-01	OSEBERG	NORTH SEA	ED50	60	29	36.40	N	2	49	42.36	E	60.493444	2.828433	6706537.200000	490572.810000	31	1951	2013-05-08
30/9-B-1 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1992-06-01	1992-07-09	OSEBERG	NORTH SEA	ED50	60	29	36.40	N	2	49	42.36	E	60.493444	2.828433	6706537.200000	490572.810000	31	1952	2013-05-08
30/6-C-3	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1992-05-04	1992-06-01	OSEBERG	NORTH SEA	ED50	60	36	29.56	N	2	46	33.76	E	60.608211	2.776044	6719328.720000	487737.680000	31	1954	2013-05-08
34/10-B-22	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1992-05-14	1992-06-12	GULLFAKS	NORTH SEA	ED50	61	12	11.26	N	2	12	4.70	E	61.203128	2.201306	6785836.480000	457076.650000	31	1955	2013-05-08
2/4-16 R	Saga Petroleum ASA	146	EXPLORATION	WILDCAT	SHOWS	1992-06-04	1992-07-15	\N	NORTH SEA	ED50	56	40	37.23	N	3	9	2.07	E	56.677008	3.150575	6281583.130000	509226.660000	31	1956	2013-05-08
2/4-C-14 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1992-07-07	1992-09-23	EKOFISK	NORTH SEA	ED50	56	32	52.80	N	3	12	56.16	E	56.548000	3.215600	6267233.520000	513256.250000	31	1958	2013-05-08
25/5-U-1	Elf Petroleum Norge AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	FRØY	NORTH SEA	ED50	59	44	3.56	N	2	33	28.00	E	59.734322	2.557778	6622060.990000	475135.250000	31	1959	2013-05-08
25/5-U-2	Elf Petroleum Norge AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	FRØY	NORTH SEA	ED50	59	44	3.56	N	2	33	28.00	E	59.734322	2.557778	6622060.990000	475135.250000	31	1960	2013-05-08
25/5-U-3	Elf Petroleum Norge AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	FRØY	NORTH SEA	ED50	59	44	3.56	N	2	33	28.00	E	59.734322	2.557778	6622060.990000	475135.250000	31	1961	2013-05-08
25/5-U-4	Elf Petroleum Norge AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	FRØY	NORTH SEA	ED50	59	44	3.56	N	2	33	28.00	E	59.734322	2.557778	6622060.990000	475135.250000	31	1962	2013-05-08
25/5-U-5	Elf Petroleum Norge AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	FRØY	NORTH SEA	ED50	59	44	3.56	N	2	33	28.00	E	59.734322	2.557778	6622060.990000	475135.250000	31	1963	2013-05-08
25/5-U-6	Elf Petroleum Norge AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	FRØY	NORTH SEA	ED50	59	44	3.56	N	2	33	28.00	E	59.734322	2.557778	6622060.990000	475135.250000	31	1964	2013-05-08
25/2-C-2 H	Elf Petroleum Norge AS	026	DEVELOPMENT	PRODUCTION	GAS	1992-10-19	1994-03-25	LILLE-FRIGG	NORTH SEA	ED50	59	57	58.35	N	2	23	18.23	E	59.966208	2.388397	6647961.050000	465850.050000	31	1965	2013-05-08
25/2-C-3 H	Elf Petroleum Norge AS	026	DEVELOPMENT	PRODUCTION	GAS	1993-03-13	1993-11-09	LILLE-FRIGG	NORTH SEA	ED50	59	58	20.51	N	2	23	6.73	E	59.972364	2.385203	6648648.240000	465678.050000	31	1966	2013-05-08
34/7-20	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL SHOWS	1992-07-18	1992-08-27	\N	NORTH SEA	ED50	61	26	39.65	N	2	1	49.98	E	61.444347	2.030550	6812829.080000	448299.250000	31	1967	2013-05-08
34/10-C-13	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1992-05-17	1992-06-28	GULLFAKS	NORTH SEA	ED50	61	12	53.75	N	2	16	28.02	E	61.214931	2.274450	6787105.340000	461022.050000	31	1968	2013-05-08
34/8-8	Norsk Hydro Produksjon AS	120	EXPLORATION	APPRAISAL	OIL	1992-06-30	1992-08-24	VISUND	NORTH SEA	ED50	61	22	46.19	N	2	28	43.81	E	61.379497	2.478836	6805332.030000	472148.130000	31	1969	2013-05-08
30/2-3	Den norske stats oljeselskap a.s	051	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1992-06-11	1992-10-05	HULDRA	NORTH SEA	ED50	60	50	49.05	N	2	39	19.68	E	60.846958	2.655467	6745949.820000	481275.160000	31	1970	2013-05-08
33/9-C-24	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1992-05-30	1992-10-13	STATFJORD	NORTH SEA	ED50	61	17	46.93	N	1	54	10.32	E	61.296369	1.902867	6796454.520000	441213.270000	31	1971	2013-05-08
10/7-1	Esso Exploration and Production Norway A/S	165	EXPLORATION	WILDCAT	DRY	1992-06-28	1992-07-30	\N	NORTH SEA	ED50	57	28	23.30	N	5	3	33.21	E	57.473139	5.059225	6372070.680000	623496.640000	31	1972	2013-05-08
6506/11-3	Den norske stats oljeselskap a.s	134	EXPLORATION	WILDCAT	SHOWS	1992-07-08	1992-10-02	\N	NORWEGIAN SEA	ED50	65	13	58.44	N	6	22	26.89	E	65.232900	6.374136	7237146.880000	377273.800000	32	1973	2013-05-08
6407/9-8	A/S Norske Shell	093	EXPLORATION	WILDCAT	DRY	1992-08-14	1992-09-22	\N	NORWEGIAN SEA	ED50	64	23	7.69	N	7	57	37.47	E	64.385469	7.960408	7140556.610000	449852.140000	32	1974	2013-05-08
30/6-C-1	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	WATER	1992-06-01	1992-09-14	OSEBERG	NORTH SEA	ED50	60	36	29.68	N	2	46	33.50	E	60.608244	2.775972	6719332.440000	487733.740000	31	1975	2013-05-08
15/12-9 S	Den norske stats oljeselskap a.s	038	EXPLORATION	APPRAISAL	OIL	1992-07-17	1992-10-08	VARG	NORTH SEA	ED50	58	4	40.43	N	1	53	25.75	E	58.077897	1.890486	6438067.060000	434558.550000	31	1978	2013-05-08
35/11-7	Mobil Exploration Norway INC	090	EXPLORATION	WILDCAT	OIL/GAS	1992-07-23	1992-09-29	FRAM	NORTH SEA	ED50	61	1	59.74	N	3	35	26.23	E	61.033261	3.590619	6766796.520000	531912.040000	31	1979	2013-05-08
2/1-A-15	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1992-06-24	1992-08-02	GYDA	NORTH SEA	ED50	56	54	17.49	N	3	5	6.50	E	56.904858	3.085139	6306939.600000	505185.450000	31	1980	2013-05-08
25/2-C-1 AH	Elf Petroleum Norge AS	026	DEVELOPMENT	PRODUCTION	GAS	1992-06-26	1992-09-05	LILLE-FRIGG	NORTH SEA	ED50	59	57	41.88	N	2	23	26.85	E	59.961633	2.390792	6647450.300000	465979.050000	31	1981	2013-05-08
34/10-B-23	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-06-13	1992-09-10	GULLFAKS	NORTH SEA	ED50	61	12	10.02	N	2	12	6.59	E	61.202783	2.201831	6785797.770000	457104.400000	31	1982	2013-05-08
2/4-D-13 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1992-07-23	1992-09-20	VEST EKOFISK	NORTH SEA	ED50	56	33	47.13	N	3	5	8.47	E	56.563092	3.085686	6268895.870000	505266.350000	31	1983	2013-05-08
30/3-A-15	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	GAS	1992-12-02	1993-01-30	VESLEFRIKK	NORTH SEA	ED50	60	46	57.98	N	2	53	52.38	E	60.782772	2.897883	6738755.530000	494438.980000	31	1984	2013-05-08
34/10-B-22 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1992-06-21	1992-07-15	GULLFAKS	NORTH SEA	ED50	61	12	11.26	N	2	12	4.70	E	61.203128	2.201306	6785836.480000	457076.650000	31	1985	2013-05-08
25/8-4	Norsk Hydro Produksjon AS	169	EXPLORATION	WILDCAT	OIL	1992-07-25	1992-08-11	\N	NORTH SEA	ED50	59	15	31.31	N	2	36	42.97	E	59.258697	2.611936	6569075.080000	477871.280000	31	1986	2013-05-08
7316/5-1	Norsk Hydro Produksjon AS	184	EXPLORATION	WILDCAT	GAS	1992-07-21	1992-10-05	\N	BARENTS SEA	ED50	73	31	11.89	N	16	25	59.70	E	73.519969	16.433250	8159255.680000	545381.150000	33	1987	2013-05-08
31/2-18	Norsk Hydro Produksjon AS	054	EXPLORATION	APPRAISAL	OIL/GAS	1992-09-15	1992-10-07	TROLL	NORTH SEA	ED50	60	54	10.49	N	3	34	41.79	E	60.902914	3.578275	6752271.730000	531373.190000	31	1988	2013-05-08
30/9-B-18	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1992-07-10	1992-09-26	OSEBERG	NORTH SEA	ED50	60	29	36.31	N	2	49	43.22	E	60.493419	2.828672	6706534.380000	490585.930000	31	1989	2013-05-08
6407/9-9	A/S Norske Shell	093	EXPLORATION	WILDCAT	OIL/GAS	1999-06-22	1999-07-06	\N	NORWEGIAN SEA	ED50	64	24	13.20	N	7	41	37.10	E	64.403667	7.693639	7142821.810000	437026.660000	32	1990	2013-05-08
31/2-U-1	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	50	5.00	N	3	30	49.00	E	60.834722	3.513611	6744647.010000	527924.510000	31	1991	2013-05-08
31/2-U-2	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	50	5.00	N	3	30	49.00	E	60.834722	3.513611	6744647.010000	527924.510000	31	1992	2013-05-08
31/2-U-3	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	50	5.00	N	3	30	49.00	E	60.834722	3.513611	6744647.010000	527924.510000	31	1993	2013-05-08
31/2-U-4	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	50	5.00	N	3	30	49.00	E	60.834722	3.513611	6744647.010000	527924.510000	31	1994	2013-05-08
31/2-U-5	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	50	5.00	N	3	30	49.00	E	60.834722	3.513611	6744647.010000	527924.510000	31	1995	2013-05-08
31/2-U-6	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	50	5.00	N	3	30	49.00	E	60.834722	3.513611	6744647.010000	527924.510000	31	1996	2013-05-08
31/2-U-7	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	50	5.00	N	3	30	49.00	E	60.834722	3.513611	6744647.010000	527924.510000	31	1997	2013-05-08
31/2-U-8	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	50	5.00	N	3	30	49.00	E	60.834722	3.513611	6744647.010000	527924.510000	31	1998	2013-05-08
31/2-U-9	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	50	5.00	N	3	30	49.00	E	60.834722	3.513611	6744647.010000	527924.510000	31	1999	2013-05-08
31/2-U-10	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	50	5.00	N	3	30	49.00	E	60.834722	3.513611	6744647.010000	527924.510000	31	2000	2013-05-08
34/7-A-2 H	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1994-03-24	1994-04-29	SNORRE	NORTH SEA	ED50	61	29	21.82	N	2	13	35.02	E	61.489394	2.226394	6817707.410000	458802.770000	31	2001	2013-05-08
34/7-A-3 H	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1994-01-04	1994-03-23	SNORRE	NORTH SEA	ED50	61	29	21.72	N	2	13	35.25	E	61.489367	2.226458	6817704.280000	458806.130000	31	2002	2013-05-08
34/7-A-4 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1992-09-01	1993-01-07	SNORRE	NORTH SEA	ED50	61	29	21.62	N	2	13	35.47	E	61.489339	2.226519	6817701.150000	458809.350000	31	2003	2013-05-08
6507/7-A-20	Conoco Norway Inc.	095	DEVELOPMENT	PRODUCTION	OIL	1992-11-16	1992-12-17	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.80	N	7	19	2.49	E	65.325778	7.317358	7245990.490000	421623.230000	32	2004	2013-05-08
34/7-A-6 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1993-08-28	1993-11-08	SNORRE	NORTH SEA	ED50	61	29	21.14	N	2	13	34.97	E	61.489206	2.226381	6817686.380000	458801.780000	31	2005	2013-05-08
34/7-A-7 H	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1994-10-26	1994-11-20	SNORRE	NORTH SEA	ED50	61	29	21.23	N	2	13	34.74	E	61.489231	2.226317	6817689.210000	458798.410000	31	2006	2013-05-08
34/7-A-8 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1994-11-21	1995-05-16	SNORRE	NORTH SEA	ED50	61	29	21.34	N	2	13	34.51	E	61.489261	2.226253	6817692.650000	458795.050000	31	2007	2013-05-08
34/7-A-9 H	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1993-06-15	1993-08-27	SNORRE	NORTH SEA	ED50	61	29	21.44	N	2	13	34.29	E	61.489289	2.226192	6817695.780000	458791.830000	31	2008	2013-05-08
34/7-A-10 H	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1993-11-09	1994-01-01	SNORRE	NORTH SEA	ED50	61	29	21.53	N	2	13	34.06	E	61.489314	2.226128	6817698.610000	458788.460000	31	2009	2013-05-08
34/10-A-38	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1992-09-10	1992-11-16	GULLFAKS	NORTH SEA	ED50	61	10	34.88	N	2	11	21.86	E	61.176356	2.189406	6782862.280000	456400.180000	31	2011	2013-05-08
30/6-C-15	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1992-09-19	1992-10-17	OSEBERG	NORTH SEA	ED50	60	36	29.37	N	2	46	33.39	E	60.608158	2.775942	6719322.860000	487732.030000	31	2012	2013-05-08
30/6-C-15 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1992-10-17	1992-11-19	OSEBERG	NORTH SEA	ED50	60	36	29.37	N	2	46	33.39	E	60.608158	2.775942	6719322.860000	487732.030000	31	2013	2013-05-08
2/7-B-2 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1992-11-01	1993-01-05	ELDFISK	NORTH SEA	ED50	56	25	8.90	N	3	13	6.31	E	56.419139	3.218419	6252890.500000	513475.200000	31	2014	2013-05-08
30/10-7	Elf Petroleum Norge AS	142	EXPLORATION	WILDCAT	DRY	1992-09-08	1992-10-17	\N	NORTH SEA	ED50	60	11	28.14	N	2	7	27.27	E	60.191150	2.124242	6673177.940000	451432.820000	31	2015	2013-05-08
30/9-B-18 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1992-09-27	1992-11-02	OSEBERG	NORTH SEA	ED50	60	29	36.31	N	2	49	43.22	E	60.493419	2.828672	6706534.380000	490585.930000	31	2016	2013-05-08
34/10-C-14	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-08-11	1992-11-13	GULLFAKS	NORTH SEA	ED50	61	12	53.40	N	2	16	28.27	E	61.214833	2.274519	6787094.470000	461025.660000	31	2017	2013-05-08
7122/2-1	Norsk Hydro Produksjon AS	179	EXPLORATION	WILDCAT	DRY	1992-10-07	1992-11-11	\N	BARENTS SEA	ED50	71	57	40.28	N	22	38	40.10	E	71.961189	22.644472	7985596.370000	556833.380000	34	2018	2013-05-08
15/9-U-12	Den norske stats oljeselskap a.s	046	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	22	10.00	N	1	54	43.60	E	58.369444	1.912111	6470505.050000	436357.960000	31	2019	2013-05-08
6611/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	66	20	24.89	N	11	48	46.59	E	66.340247	11.812942	7360855.370000	625938.690000	32	2020	2013-05-08
6611/9-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	66	20	49.85	N	11	47	32.97	E	66.347181	11.792492	7361586.590000	624989.110000	32	2021	2013-05-08
34/10-B-24	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-09-10	1992-11-20	GULLFAKS	NORTH SEA	ED50	61	12	11.08	N	2	12	4.72	E	61.203078	2.201311	6785830.900000	457076.880000	31	2023	2013-05-08
15/9-C-2 H	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	\N	1992-10-12	1993-06-29	SLEIPNER ØST	NORTH SEA	ED50	58	26	9.31	N	1	55	46.56	E	58.435919	1.929600	6477889.700000	437498.790000	31	2024	2013-05-08
34/7-21	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1992-10-19	1992-12-11	TORDIS	NORTH SEA	ED50	61	17	36.84	N	2	4	21.14	E	61.293567	2.072539	6796001.430000	450299.760000	31	2026	2013-05-08
2/4-D-1 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1992-10-12	1992-11-27	VEST EKOFISK	NORTH SEA	ED50	56	33	47.04	N	3	5	8.93	E	56.563067	3.085814	6268893.100000	505274.210000	31	2027	2013-05-08
2/1-A-24	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1992-09-18	1992-11-14	GYDA	NORTH SEA	ED50	56	54	17.42	N	3	5	6.18	E	56.904839	3.085050	6306937.430000	505180.040000	31	2028	2013-05-08
34/8-9 S	Norsk Hydro Produksjon AS	120	EXPLORATION	APPRAISAL	OIL	1992-10-25	1992-12-28	VISUND	NORTH SEA	ED50	61	18	50.53	N	2	23	17.89	E	61.314036	2.388303	6798082.190000	467241.650000	31	2029	2013-05-08
34/7-A-5 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1992-10-15	1993-03-28	SNORRE	NORTH SEA	ED50	61	29	21.52	N	2	13	35.71	E	61.489311	2.226586	6817698.010000	458812.870000	31	2030	2013-05-08
7219/8-1 S	Saga Petroleum ASA	182	EXPLORATION	WILDCAT	DRY	1992-10-05	1992-12-26	\N	BARENTS SEA	ED50	72	22	28.32	N	19	23	40.24	E	72.374533	19.394511	8036356.270000	648406.810000	33	2031	2013-05-08
34/10-B-25	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-11-21	1993-05-20	GULLFAKS	NORTH SEA	ED50	61	12	11.02	N	2	12	5.18	E	61.203061	2.201439	6785828.960000	457083.730000	31	2032	2013-05-08
34/10-A-39	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1992-11-16	1992-12-15	GULLFAKS	NORTH SEA	ED50	61	10	34.92	N	2	11	22.01	E	61.176367	2.189447	6782863.490000	456402.440000	31	2034	2013-05-08
33/9-C-2	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1992-10-29	1993-03-22	STATFJORD	NORTH SEA	ED50	61	17	48.14	N	1	54	11.23	E	61.296706	1.903119	6796491.730000	441227.440000	31	2035	2013-05-08
30/9-B-5	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1992-11-02	1992-11-18	OSEBERG	NORTH SEA	ED50	60	29	36.47	N	2	49	42.98	E	60.493464	2.828606	6706539.340000	490582.280000	31	2036	2013-05-08
34/10-C-15	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1992-11-13	1992-12-03	GULLFAKS	NORTH SEA	ED50	61	12	54.79	N	2	16	26.19	E	61.215219	2.273942	6787137.830000	460995.100000	31	2037	2013-05-08
31/2-18 A	Norsk Hydro Produksjon AS	054	EXPLORATION	WILDCAT	OIL/GAS	1992-10-07	1992-10-17	TROLL	NORTH SEA	ED50	60	54	10.49	N	3	34	41.79	E	60.902914	3.578275	6752271.730000	531373.190000	31	2038	2013-05-08
30/9-B-32	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1992-11-20	1992-12-29	OSEBERG	NORTH SEA	ED50	60	29	35.98	N	2	49	42.66	E	60.493328	2.828517	6706524.190000	490577.350000	31	2041	2013-05-08
30/9-B-32 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1992-12-29	1993-01-22	OSEBERG	NORTH SEA	ED50	60	29	35.98	N	2	49	42.66	E	60.493328	2.828517	6706524.190000	490577.350000	31	2042	2013-05-08
15/9-19 S	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	DRY	1992-11-18	1993-01-31	VOLVE	NORTH SEA	ED50	58	26	9.08	N	1	55	47.26	E	58.435856	1.929794	6477882.410000	437510.030000	31	2043	2013-05-08
2/5-10	Norsk Agip  AS	067	EXPLORATION	WILDCAT	OIL SHOWS	1993-05-23	1993-08-26	\N	NORTH SEA	ED50	56	41	21.66	N	3	29	27.32	E	56.689350	3.490922	6283054.460000	530071.860000	31	2044	2013-05-08
30/6-C-4	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	WATER	1992-11-20	1993-01-17	OSEBERG	NORTH SEA	ED50	60	36	29.50	N	2	46	33.88	E	60.608194	2.776078	6719326.860000	487739.500000	31	2045	2013-05-08
31/4-A-4 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1993-03-05	1993-04-21	BRAGE	NORTH SEA	ED50	60	32	33.22	N	3	2	50.29	E	60.542561	3.047303	6711996.520000	502595.250000	31	2046	2013-05-08
2/1-A-14	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1992-11-16	1992-12-19	GYDA	NORTH SEA	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	2047	2013-05-08
2/1-A-16 AY2	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2004-12-01	2005-01-02	GYDA	NORTH SEA	ED50	56	54	17.55	N	3	5	6.38	E	56.904875	3.085106	6306941.450000	505183.420000	31	2048	2013-05-08
7128/4-1	Den norske stats oljeselskap a.s	180	EXPLORATION	WILDCAT	OIL/GAS	1993-12-17	1994-02-26	\N	BARENTS SEA	ED50	71	32	27.33	N	28	4	54.08	E	71.540925	28.081689	7938285.080000	538226.270000	35	2049	2013-05-08
2/10-2	Saga Petroleum ASA	163	EXPLORATION	WILDCAT	OIL SHOWS	1993-02-16	1993-04-25	\N	NORTH SEA	ED50	56	13	8.48	N	3	6	41.62	E	56.219022	3.111561	6230600.200000	506918.760000	31	2050	2013-05-08
33/12-B-29	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1992-11-29	1993-03-04	STATFJORD	NORTH SEA	ED50	61	12	23.97	N	1	49	51.38	E	61.206658	1.830939	6786529.250000	437180.730000	31	2052	2013-05-08
2/4-A-13 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1992-12-27	1993-02-08	EKOFISK	NORTH SEA	ED50	56	31	15.24	N	3	13	22.55	E	56.520900	3.222931	6264218.420000	513716.770000	31	2053	2013-05-08
34/10-C-15 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-12-03	1993-02-19	GULLFAKS	NORTH SEA	ED50	61	12	54.79	N	2	16	26.19	E	61.215219	2.273942	6787137.830000	460995.100000	31	2054	2013-05-08
34/8-7 R	Norsk Hydro Produksjon AS	120	EXPLORATION	WILDCAT	GAS	1992-11-19	1993-02-10	\N	NORTH SEA	ED50	61	19	9.07	N	2	33	32.15	E	61.319186	2.558931	6798582.220000	476383.070000	31	2057	2013-05-08
33/9-A-23 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1992-12-23	1993-03-06	STATFJORD	NORTH SEA	ED50	61	15	19.96	N	1	51	14.24	E	61.255544	1.853956	6791952.350000	438512.920000	31	2058	2013-05-08
31/5-5	Norsk Hydro Produksjon AS	085	EXPLORATION	APPRAISAL	OIL/GAS	1992-12-30	1993-02-11	TROLL	NORTH SEA	ED50	60	41	49.66	N	3	29	8.74	E	60.697128	3.485761	6729309.740000	526523.740000	31	2059	2013-05-08
7/12-A-14	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1992-12-08	1993-02-28	ULA	NORTH SEA	ED50	57	6	41.30	N	2	50	50.40	E	57.111472	2.847333	6329946.980000	490753.120000	31	2060	2013-05-08
2/7-B-10 C	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-01-29	1993-04-07	ELDFISK	NORTH SEA	ED50	56	25	9.05	N	3	13	6.18	E	56.419181	3.218383	6252895.130000	513472.950000	31	2061	2013-05-08
34/7-P-17	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1993-09-29	1994-01-15	SNORRE	NORTH SEA	ED50	61	26	57.21	N	2	8	36.82	E	61.449225	2.143561	6813288.060000	454333.010000	31	2062	2013-05-08
34/7-P-40	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1993-02-15	1993-04-22	SNORRE	NORTH SEA	ED50	61	26	58.25	N	2	8	37.33	E	61.449514	2.143703	6813320.140000	454340.980000	31	2063	2013-05-08
34/7-P-37	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1993-06-20	1993-08-17	SNORRE	NORTH SEA	ED50	61	26	58.24	N	2	8	36.52	E	61.449511	2.143478	6813319.990000	454328.980000	31	2064	2013-05-08
34/7-P-8	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1993-04-22	1993-06-18	SNORRE	NORTH SEA	ED50	61	26	56.95	N	2	8	37.10	E	61.449153	2.143639	6813279.960000	454337.050000	31	2065	2013-05-08
34/10-B-26	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1992-12-14	1993-02-28	GULLFAKS	NORTH SEA	ED50	61	12	10.16	N	2	12	6.42	E	61.202822	2.201783	6785802.130000	457101.910000	31	2066	2013-05-08
34/7-21 A	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL	1992-12-15	1993-02-12	TORDIS	NORTH SEA	ED50	61	17	36.84	N	2	4	21.14	E	61.293567	2.072539	6796001.430000	450299.760000	31	2068	2013-05-08
34/10-A-40	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1993-02-24	1993-08-01	GULLFAKS	NORTH SEA	ED50	61	10	35.02	N	2	11	21.70	E	61.176394	2.189361	6782866.640000	456397.840000	31	2070	2013-05-08
34/10-A-41	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1993-03-18	1993-05-24	GULLFAKS	NORTH SEA	ED50	61	10	33.67	N	2	11	22.86	E	61.176019	2.189683	6782824.660000	456414.660000	31	2071	2013-05-08
16/1-4	Den norske stats oljeselskap a.s	167	EXPLORATION	WILDCAT	GAS/CONDENSATE	1993-03-17	1993-04-13	\N	NORTH SEA	ED50	58	51	55.20	N	2	17	56.12	E	58.865333	2.298922	6525418.880000	459562.760000	31	2072	2013-05-08
2/1-A-24 A	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1992-12-25	1993-02-06	GYDA	NORTH SEA	ED50	56	54	17.42	N	3	5	6.18	E	56.904839	3.085050	6306937.430000	505180.040000	31	2073	2013-05-08
34/10-C-16	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1993-02-20	1993-09-30	GULLFAKS	NORTH SEA	ED50	61	12	53.61	N	2	16	28.19	E	61.214892	2.274497	6787100.980000	461024.540000	31	2074	2013-05-08
30/9-14	Norsk Hydro Produksjon AS	104	EXPLORATION	APPRAISAL	OIL/GAS	1993-03-16	1993-05-14	OSEBERG SØR	NORTH SEA	ED50	60	23	11.31	N	2	42	19.37	E	60.386475	2.705381	6694646.970000	483758.080000	31	2076	2013-05-08
30/6-C-20	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1993-01-20	1993-03-30	OSEBERG	NORTH SEA	ED50	60	36	29.25	N	2	46	33.39	E	60.608125	2.775942	6719319.150000	487732.020000	31	2077	2013-05-08
30/6-C-20 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	\N	1993-03-30	1993-05-07	OSEBERG	NORTH SEA	ED50	60	36	29.25	N	2	46	33.39	E	60.608125	2.775942	6719319.150000	487732.020000	31	2078	2013-05-08
6507/7-A-33	Conoco Norway Inc.	095	DEVELOPMENT	PRODUCTION	OIL	1993-02-10	1993-03-19	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.55	N	7	19	2.51	E	65.325708	7.317364	7245982.740000	421623.280000	32	2079	2013-05-08
34/8-8 R	Norsk Hydro Produksjon AS	120	EXPLORATION	APPRAISAL	OIL	1993-02-16	1993-03-09	VISUND	NORTH SEA	ED50	61	22	46.19	N	2	28	43.81	E	61.379497	2.478836	6805332.030000	472148.130000	31	2080	2013-05-08
6407/9-A-53 H	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	1993-04-05	1993-11-08	DRAUGEN	NORWEGIAN SEA	ED50	64	19	48.94	N	7	46	30.91	E	64.330261	7.775253	7134564.040000	440802.820000	32	2081	2013-05-08
15/9-D-1 H	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1993-04-01	1993-06-07	SLEIPNER ØST	NORTH SEA	ED50	58	23	49.47	N	1	55	1.12	E	58.397075	1.916978	6473576.720000	436692.170000	31	2082	2013-05-08
15/9-D-3 H	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1993-03-02	1993-04-01	SLEIPNER ØST	NORTH SEA	ED50	58	23	49.93	N	1	55	1.95	E	58.397203	1.917208	6473590.730000	436705.870000	31	2083	2013-05-08
15/6-7	Deminex Norge AS	166	EXPLORATION	WILDCAT	DRY	1993-04-24	1993-06-08	\N	NORTH SEA	ED50	58	35	21.41	N	1	52	19.06	E	58.589281	1.871961	6495019.480000	434420.130000	31	2084	2013-05-08
7/12-A-16	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	\N	1993-03-01	1993-05-20	ULA	NORTH SEA	ED50	57	6	41.14	N	2	50	50.57	E	57.111428	2.847381	6329942.030000	490755.970000	31	2085	2013-05-08
2/8-A-24 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1993-06-10	1993-07-09	VALHALL	NORTH SEA	ED50	56	16	41.08	N	3	23	44.09	E	56.278078	3.395581	6237238.190000	524495.180000	31	2086	2013-05-08
30/9-B-9	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1993-01-23	1993-02-11	OSEBERG	NORTH SEA	ED50	60	29	36.34	N	2	49	42.68	E	60.493428	2.828522	6706535.330000	490577.690000	31	2087	2013-05-08
34/10-A-39 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1992-12-15	1993-02-23	GULLFAKS	NORTH SEA	ED50	61	10	34.92	N	2	11	22.01	E	61.176367	2.189447	6782863.490000	456402.440000	31	2088	2013-05-08
2/1-A-31	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1993-02-06	1993-03-27	GYDA	NORTH SEA	ED50	56	54	17.25	N	3	5	6.07	E	56.904792	3.085019	6306932.170000	505178.190000	31	2089	2013-05-08
30/3-A-16	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1993-01-31	1993-04-26	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	51.84	E	60.782756	2.897733	6738753.680000	494430.810000	31	2090	2013-05-08
7323/7-U-10	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1985-08-18	1985-08-25	\N	BARENTS SEA	ED50	73	16	51.54	N	23	1	25.83	E	73.280983	23.023842	8136291.620000	372403.840000	35	2093	2013-05-08
33/9-A-32 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1993-03-29	1993-07-14	STATFJORD	NORTH SEA	ED50	61	15	19.82	N	1	51	14.12	E	61.255506	1.853922	6791948.050000	438511.050000	31	2094	2013-05-08
25/2-15 R	Elf Petroleum Norge AS	026	EXPLORATION	WILDCAT	OIL SHOWS	1993-02-06	1993-03-01	\N	NORTH SEA	ED50	59	48	53.54	N	2	30	6.20	E	59.814872	2.501722	6631053.910000	472050.870000	31	2095	2013-05-08
2/7-D-27	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-03-02	1993-05-07	EMBLA	NORTH SEA	ED50	56	19	58.81	N	3	14	53.77	E	56.333003	3.248269	6243309.090000	515351.360000	31	2096	2013-05-08
7323/7-U-11	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1984-08-20	1984-08-26	\N	BARENTS SEA	ED50	73	16	45.65	N	23	9	29.57	E	73.279347	23.158214	8135827.610000	376698.670000	35	2097	2013-05-08
7323/11-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1984-08-28	1984-08-30	\N	BARENTS SEA	ED50	73	13	59.67	N	23	26	59.32	E	73.233242	23.449811	8130113.910000	385741.910000	35	2098	2013-05-08
30/9-B-9 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1993-02-12	1993-03-12	OSEBERG	NORTH SEA	ED50	60	29	36.34	N	2	49	42.68	E	60.493428	2.828522	6706535.330000	490577.690000	31	2099	2013-05-08
7323/7-U-12	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1984-08-30	1984-08-31	\N	BARENTS SEA	ED50	73	19	5.58	N	23	16	21.46	E	73.318217	23.272628	8139923.930000	380636.480000	35	2100	2013-05-08
30/9-B-5 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1993-04-26	1993-07-03	OSEBERG	NORTH SEA	ED50	60	29	36.47	N	2	49	42.98	E	60.493464	2.828606	6706539.340000	490582.280000	31	2103	2013-05-08
15/9-19 SR	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	OIL	1993-02-17	1993-03-29	VOLVE	NORTH SEA	ED50	58	26	9.08	N	1	55	47.26	E	58.435856	1.929794	6477882.410000	437510.030000	31	2105	2013-05-08
31/2-17 BR	Norsk Hydro Produksjon AS	054	EXPLORATION	APPRAISAL	GAS	1993-02-14	1993-02-24	TROLL	NORTH SEA	ED50	60	52	57.08	N	3	27	5.79	E	60.882522	3.451608	6749946.420000	524516.870000	31	2106	2013-05-08
30/9-B-17	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1993-03-12	1993-04-21	OSEBERG	NORTH SEA	ED50	60	29	36.29	N	2	49	43.06	E	60.493414	2.828628	6706533.770000	490583.480000	31	2107	2013-05-08
6507/7-A-53	Conoco Norway Inc.	095	DEVELOPMENT	PRODUCTION	OIL	1993-03-22	1993-05-16	HEIDRUN	NORWEGIAN SEA	ED50	65	19	1.31	N	7	17	44.79	E	65.317031	7.295775	7245042.820000	420591.730000	32	2108	2013-05-08
33/12-B-27	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1993-04-07	1993-09-07	STATFJORD	NORTH SEA	ED50	61	12	24.04	N	1	49	51.12	E	61.206678	1.830867	6786531.480000	437176.890000	31	2109	2013-05-08
30/3-A-17	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	WATER	1993-04-26	1993-07-01	VESLEFRIKK	NORTH SEA	ED50	60	46	58.08	N	2	53	52.16	E	60.782800	2.897822	6738758.620000	494435.660000	31	2110	2013-05-08
2/7-D-21	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-06-10	1993-07-17	EMBLA	NORTH SEA	ED50	56	19	56.63	N	3	14	53.75	E	56.332397	3.248264	6243241.690000	515351.260000	31	2111	2013-05-08
7/7-3	Den norske stats oljeselskap a.s	148	EXPLORATION	APPRAISAL	SHOWS	1993-04-20	1993-07-04	BRYNHILD	NORTH SEA	ED50	57	27	41.61	N	2	16	20.96	E	57.461558	2.272489	6369143.600000	456352.150000	31	2113	2013-05-08
33/9-17	Mobil Exploration Norway INC	172	EXPLORATION	WILDCAT	OIL SHOWS	1994-04-02	1994-05-04	\N	NORTH SEA	ED50	61	27	18.58	N	1	50	45.79	E	61.455161	1.846053	6814193.730000	438481.990000	31	2114	2013-05-08
34/10-C-17	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1993-03-22	1993-06-22	GULLFAKS	NORTH SEA	ED50	61	12	53.68	N	2	16	28.10	E	61.214911	2.274472	6787103.160000	461023.220000	31	2115	2013-05-08
25/2-15 R2	Elf Petroleum Norge AS	026	EXPLORATION	WILDCAT	OIL SHOWS	1993-03-06	1993-04-11	\N	NORTH SEA	ED50	59	48	53.54	N	2	30	6.20	E	59.814872	2.501722	6631053.910000	472050.870000	31	2116	2013-05-08
6407/9-A-55 H	A/S Norske Shell	093	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1993-04-08	1993-04-26	DRAUGEN	NORWEGIAN SEA	ED50	64	16	42.35	N	7	44	14.66	E	64.278431	7.737406	7128824.580000	438858.990000	32	2117	2013-05-08
34/10-A-32 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1993-09-09	1993-10-04	GULLFAKS	NORTH SEA	ED50	61	10	34.80	N	2	11	21.57	E	61.176333	2.189325	6782859.860000	456395.820000	31	2118	2013-05-08
34/10-B-27	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1993-05-22	1993-07-01	GULLFAKS	NORTH SEA	ED50	61	12	10.19	N	2	12	6.20	E	61.202831	2.201722	6785803.100000	457098.640000	31	2119	2013-05-08
2/7-D-26	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-05-07	1993-06-09	EMBLA	NORTH SEA	ED50	56	19	59.60	N	3	14	53.73	E	56.333222	3.248258	6243333.520000	515350.580000	31	2120	2013-05-08
2/7-D-20	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-07-18	1993-09-05	EMBLA	NORTH SEA	ED50	56	19	59.70	N	3	14	53.86	E	56.333250	3.248294	6243336.620000	515352.800000	31	2121	2013-05-08
2/4-A-11 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-05-10	1993-06-27	EKOFISK	NORTH SEA	ED50	56	31	15.32	N	3	13	22.90	E	56.520922	3.223028	6264220.920000	513722.740000	31	2122	2013-05-08
2/7-29	BP Norway Limited  U.A.	145	EXPLORATION	WILDCAT	OIL	1993-09-18	1994-01-06	\N	NORTH SEA	ED50	56	18	43.62	N	3	4	55.28	E	56.312117	3.082022	6240959.650000	505074.490000	31	2124	2013-05-08
2/7-B-9 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-06-21	1993-09-11	ELDFISK	NORTH SEA	ED50	56	25	9.60	N	3	13	5.32	E	56.419333	3.218144	6252912.090000	513458.160000	31	2125	2013-05-08
2/4-D-15 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	GAS	1993-04-26	1993-05-30	VEST EKOFISK	NORTH SEA	ED50	56	33	47.04	N	3	5	8.15	E	56.563067	3.085597	6268893.080000	505260.890000	31	2126	2013-05-08
2/1-A-20	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1993-04-07	1993-05-22	GYDA	NORTH SEA	ED50	56	54	17.48	N	3	5	6.28	E	56.904856	3.085078	6306939.290000	505181.730000	31	2127	2013-05-08
6506/12-9 S	Den norske stats oljeselskap a.s	094	EXPLORATION	APPRAISAL	OIL/GAS	1993-04-04	1993-09-10	ÅSGARD	NORWEGIAN SEA	ED50	65	6	52.02	N	6	45	15.70	E	65.114450	6.754361	7223265.370000	394568.520000	32	2128	2013-05-08
6407/9-A-55 AH	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	1993-04-27	1993-06-07	DRAUGEN	NORWEGIAN SEA	ED50	64	16	42.35	N	7	44	14.66	E	64.278431	7.737406	7128824.580000	438858.990000	32	2129	2013-05-08
25/4-A-12	Elf Petroleum Norge AS	036	DEVELOPMENT	PRODUCTION	GAS	1993-05-09	1993-11-18	HEIMDAL	NORTH SEA	ED50	59	34	27.41	N	2	13	44.08	E	59.574281	2.228911	6604407.590000	456437.540000	31	2130	2013-05-08
7/12-A-11	BP Norway Limited  U.A.	019	DEVELOPMENT	INJECTION	WATER	1993-06-02	1993-11-13	ULA	NORTH SEA	ED50	57	6	41.10	N	2	50	50.80	E	57.111417	2.847444	6329940.780000	490759.830000	31	2132	2013-05-08
30/6-C-21	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1993-06-10	1993-09-23	OSEBERG	NORTH SEA	ED50	60	36	29.37	N	2	46	32.86	E	60.608158	2.775794	6719322.890000	487723.970000	31	2133	2013-05-08
2/4-18	Saga Petroleum ASA	146	EXPLORATION	WILDCAT	DRY	1993-04-26	1993-04-29	\N	NORTH SEA	ED50	56	41	57.72	N	3	9	44.24	E	56.699367	3.162289	6284073.560000	509938.550000	31	2134	2013-05-08
7/4-1	Den norske stats oljeselskap a.s	148	EXPLORATION	WILDCAT	DRY	1993-07-05	1993-08-21	\N	NORTH SEA	ED50	57	44	11.92	N	2	11	38.95	E	57.736644	2.194153	6399820.830000	452016.110000	31	2136	2013-05-08
30/6-C-20 B	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1993-05-07	1993-07-27	OSEBERG	NORTH SEA	ED50	60	36	29.25	N	2	46	33.39	E	60.608125	2.775942	6719319.150000	487732.020000	31	2137	2013-05-08
25/5-A-1	Elf Petroleum Norge AS	102	DEVELOPMENT	PRODUCTION	OIL	1993-05-16	1994-03-26	FRØY	NORTH SEA	ED50	59	44	3.64	N	2	33	28.15	E	59.734344	2.557819	6622063.450000	475137.610000	31	2138	2013-05-08
2/1-A-18	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1993-05-22	1993-09-17	GYDA	NORTH SEA	ED50	56	54	17.37	N	3	5	6.51	E	56.904825	3.085142	6306935.890000	505185.630000	31	2140	2013-05-08
30/6-23 R	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL	1993-05-16	1993-05-21	OSEBERG ØST	NORTH SEA	ED50	60	40	58.01	N	2	55	58.97	E	60.682781	2.933047	6727615.500000	496342.560000	31	2141	2013-05-08
6407/9-B-1 H	A/S Norske Shell	093	DEVELOPMENT	INJECTION	WATER	1993-08-09	1993-08-26	DRAUGEN	NORWEGIAN SEA	ED50	64	24	0.86	N	7	47	45.32	E	64.400239	7.795922	7142342.440000	441949.530000	32	2142	2013-05-08
6407/9-B-2 H	A/S Norske Shell	093	DEVELOPMENT	INJECTION	WATER	1994-03-22	1994-04-08	DRAUGEN	NORWEGIAN SEA	ED50	64	24	0.84	N	7	47	44.98	E	64.400233	7.795828	7142341.910000	441944.960000	32	2143	2013-05-08
6407/9-B-5 H	A/S Norske Shell	093	DEVELOPMENT	INJECTION	WATER	1994-04-10	1994-05-15	DRAUGEN	NORWEGIAN SEA	ED50	64	24	1.06	N	7	47	44.91	E	64.400294	7.795808	7142348.730000	441944.150000	32	2144	2013-05-08
30/6-C-2	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	WATER	1994-08-30	1994-09-22	OSEBERG	NORTH SEA	ED50	60	36	29.62	N	2	46	33.62	E	60.608228	2.776006	6719330.580000	487735.550000	31	2146	2013-05-08
6407/9-6 R	A/S Norske Shell	093	EXPLORATION	APPRAISAL	OIL	1993-05-19	1993-05-30	DRAUGEN	NORWEGIAN SEA	ED50	64	19	58.07	N	7	44	23.70	E	64.332797	7.739917	7134880.010000	439100.650000	32	2147	2013-05-08
30/9-B-14	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-04-24	1996-05-18	OSEBERG	NORTH SEA	ED50	60	29	36.24	N	2	49	42.55	E	60.493400	2.828486	6706532.240000	490575.700000	31	2148	2013-05-08
2/8-A-10 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1993-09-22	1994-01-07	VALHALL	NORTH SEA	ED50	56	16	40.87	N	3	23	43.43	E	56.278019	3.395397	6237231.630000	524483.870000	31	2150	2013-05-08
6407/9-A-58 H	A/S Norske Shell	093	DEVELOPMENT	INJECTION	GAS	1993-06-09	1993-06-23	DRAUGEN	NORWEGIAN SEA	ED50	64	23	7.69	N	7	57	37.47	E	64.385469	7.960408	7140556.610000	449852.140000	32	2151	2013-05-08
2/4-B-1 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-08-30	1993-11-04	EKOFISK	NORTH SEA	ED50	56	33	54.86	N	3	12	14.26	E	56.565239	3.203961	6269150.220000	512534.930000	31	2152	2013-05-08
2/11-9	Amoco Norway Oil Company	033	EXPLORATION	WILDCAT	SHOWS	1993-07-24	1993-12-23	\N	NORTH SEA	ED50	56	8	49.19	N	3	27	15.34	E	56.146997	3.454261	6222670.770000	528224.920000	31	2153	2013-05-08
33/9-M-1 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1993-07-07	1994-07-05	STATFJORD ØST	NORTH SEA	ED50	61	20	28.12	N	1	59	58.84	E	61.341144	1.999678	6801358.520000	446476.710000	31	2154	2013-05-08
33/9-M-2 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1993-08-13	1994-08-01	STATFJORD ØST	NORTH SEA	ED50	61	20	28.52	N	1	59	59.63	E	61.341256	1.999897	6801370.710000	446488.640000	31	2155	2013-05-08
33/9-M-4 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1996-03-25	1996-04-18	STATFJORD ØST	NORTH SEA	ED50	61	20	27.97	N	1	59	59.27	E	61.341103	1.999797	6801353.780000	446483.030000	31	2156	2013-05-08
34/10-B-28	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1993-07-01	1993-10-19	GULLFAKS	NORTH SEA	ED50	61	12	11.23	N	2	12	4.93	E	61.203119	2.201369	6785835.510000	457080.080000	31	2157	2013-05-08
25/5-A-2	Elf Petroleum Norge AS	102	DEVELOPMENT	INJECTION	\N	1993-07-14	1993-10-01	FRØY	NORTH SEA	ED50	59	44	3.38	N	2	33	27.86	E	59.734272	2.557739	6622055.430000	475133.020000	31	2158	2013-05-08
9/2-U-1	Statoil ASA (old)	114	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	N	0	0	0.00	E	0.000000	0.000000	0.000000	0.000000	0	2159	2013-05-08
9/2-U-2	Statoil ASA (old)	114	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	N	0	0	0.00	E	0.000000	0.000000	0.000000	0.000000	0	2160	2013-05-08
9/2-U-3	Statoil ASA (old)	114	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	0	0	0.00	N	0	0	0.00	E	0.000000	0.000000	0.000000	0.000000	0	2161	2013-05-08
9/2-U-4	Statoil ASA (old)	114	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	57	49	7.80	N	4	31	10.80	E	57.818833	4.519667	6409699.290000	590279.410000	31	2162	2013-05-08
9/2-U-5	Statoil ASA (old)	114	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	57	49	7.80	N	4	31	7.80	E	57.818833	4.518833	6409698.180000	590229.910000	31	2163	2013-05-08
9/2-U-6	Statoil ASA (old)	114	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	57	49	9.50	N	4	31	10.80	E	57.819306	4.519667	6409751.860000	590278.230000	31	2164	2013-05-08
30/9-B-11	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1993-08-11	1993-09-19	OSEBERG	NORTH SEA	ED50	60	29	36.38	N	2	49	43.02	E	60.493439	2.828617	6706536.550000	490582.880000	31	2165	2013-05-08
2/1-A-30	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1993-07-22	1993-11-21	GYDA	NORTH SEA	ED50	56	54	17.19	N	3	5	6.19	E	56.904775	3.085053	6306930.320000	505180.220000	31	2166	2013-05-08
34/7-22	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1993-08-15	1993-10-01	TORDIS	NORTH SEA	ED50	61	16	42.37	N	2	10	18.72	E	61.278436	2.171867	6794244.540000	455600.910000	31	2167	2013-05-08
30/9-B-5 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1993-07-03	1993-07-09	OSEBERG	NORTH SEA	ED50	60	29	36.47	N	2	49	42.98	E	60.493464	2.828606	6706539.340000	490582.280000	31	2168	2013-05-08
34/10-B-29	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1993-10-20	1993-12-09	GULLFAKS	NORTH SEA	ED50	61	12	9.86	N	2	12	6.02	E	61.202739	2.201672	6785792.920000	457095.830000	31	2169	2013-05-08
34/10-B-29 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1993-12-10	1993-12-26	GULLFAKS	NORTH SEA	ED50	61	12	9.86	N	2	12	6.02	E	61.202739	2.201672	6785792.920000	457095.830000	31	2170	2013-05-08
34/7-I-5 H	Saga Petroleum ASA	089	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1993-08-03	1993-10-14	TORDIS	NORTH SEA	ED50	61	16	35.24	N	2	7	3.63	E	61.276456	2.117675	6794061.970000	452692.640000	31	2171	2013-05-08
30/9-B-5 C	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	1993-07-10	1993-08-11	OSEBERG	NORTH SEA	ED50	60	29	36.47	N	2	49	42.98	E	60.493464	2.828606	6706539.340000	490582.280000	31	2172	2013-05-08
34/7-I-1 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1993-10-15	1994-06-01	TORDIS	NORTH SEA	ED50	61	16	31.90	N	2	7	10.60	E	61.275528	2.119611	6793957.220000	452795.050000	31	2173	2013-05-08
15/9-A-10	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1993-08-05	1993-09-14	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.60	N	1	54	29.99	E	58.367389	1.908331	6470279.770000	436133.090000	31	2174	2013-05-08
34/10-C-19	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1993-09-30	1993-12-09	GULLFAKS	NORTH SEA	ED50	61	12	54.86	N	2	16	26.10	E	61.215239	2.273917	6787140.010000	460993.780000	31	2175	2013-05-08
2/4-A-21 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-08-31	1993-11-24	EKOFISK	NORTH SEA	ED50	56	31	15.21	N	3	13	22.67	E	56.520892	3.222964	6264217.500000	513718.820000	31	2176	2013-05-08
2/7-B-12 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-09-28	1993-11-19	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	5.53	E	56.419161	3.218203	6252892.930000	513461.820000	31	2178	2013-05-08
34/8-10 S	Norsk Hydro Produksjon AS	120	EXPLORATION	APPRAISAL	OIL	1993-09-28	1993-12-09	VISUND	NORTH SEA	ED50	61	21	17.30	N	2	27	19.50	E	61.354806	2.455417	6802591.770000	470873.630000	31	2179	2013-05-08
34/8-11	Norsk Hydro Produksjon AS	120	EXPLORATION	APPRAISAL	OIL	1993-12-10	1994-02-08	VISUND	NORTH SEA	ED50	61	21	46.94	N	2	27	37.54	E	61.363039	2.460428	6803506.680000	471149.220000	31	2180	2013-05-08
6707/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	67	17	44.80	N	7	41	25.25	E	67.295778	7.690347	7465140.140000	443591.030000	32	2181	2013-05-08
6507/7-10	Conoco Norway Inc.	095	EXPLORATION	WILDCAT	SHOWS	1993-09-28	1993-10-29	\N	NORWEGIAN SEA	ED50	65	23	26.83	N	7	19	56.32	E	65.390786	7.332311	7253215.710000	422511.290000	32	2182	2013-05-08
6507/8-6	Den norske stats oljeselskap a.s	124	EXPLORATION	WILDCAT	DRY	1993-08-29	1993-10-09	\N	NORWEGIAN SEA	ED50	65	24	35.96	N	7	28	52.74	E	65.409989	7.481317	7255180.500000	429485.260000	32	2183	2013-05-08
34/10-C-18	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	WATER	1993-12-15	1994-02-19	GULLFAKS	NORTH SEA	ED50	61	12	53.42	N	2	16	27.84	E	61.214839	2.274400	6787095.160000	461019.250000	31	2184	2013-05-08
7418/1-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1994-08-23	1994-08-28	\N	UNOPENEDAREA	ED50	74	52	33.30	N	18	5	48.80	E	74.875917	18.096889	8312348.940000	590159.900000	33	2185	2013-05-08
7517/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1994-07-29	1994-08-04	\N	UNOPENEDAREA	ED50	75	14	16.40	N	17	44	59.20	E	75.237889	17.749778	8352199.630000	578189.180000	33	2186	2013-05-08
6610/3-1 R	Den norske stats oljeselskap a.s	177	EXPLORATION	WILDCAT	SHOWS	1993-09-16	1993-12-11	\N	NORWEGIAN SEA	ED50	66	55	29.70	N	10	54	6.28	E	66.924917	10.901744	7424470.290000	583170.040000	32	2193	2013-05-08
2/5-10 A	Norsk Agip  AS	067	EXPLORATION	WILDCAT	OIL SHOWS	1993-08-27	1993-09-25	\N	NORTH SEA	ED50	56	41	21.66	N	3	29	27.32	E	56.689350	3.490922	6283054.460000	530071.860000	31	2194	2013-05-08
30/6-C-18	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1993-09-22	1993-10-28	OSEBERG	NORTH SEA	ED50	60	36	29.37	N	2	46	33.13	E	60.608158	2.775869	6719322.870000	487728.080000	31	2196	2013-05-08
30/6-C-18 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1993-10-28	1993-12-03	OSEBERG	NORTH SEA	ED50	60	36	29.37	N	2	46	33.13	E	60.608158	2.775869	6719322.870000	487728.080000	31	2197	2013-05-08
25/5-A-3	Elf Petroleum Norge AS	102	DEVELOPMENT	INJECTION	WATER	1993-10-01	1993-12-23	FRØY	NORTH SEA	ED50	59	44	3.00	N	2	33	28.00	E	59.734167	2.557778	6622043.670000	475135.130000	31	2198	2013-05-08
15/9-A-6	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1993-09-14	1993-11-05	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.64	N	1	54	29.86	E	58.367400	1.908294	6470281.040000	436131.000000	31	2199	2013-05-08
30/3-A-18	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	\N	1993-10-03	1993-11-06	VESLEFRIKK	NORTH SEA	ED50	60	46	57.87	N	2	53	52.59	E	60.782742	2.897942	6738752.120000	494442.150000	31	2200	2013-05-08
33/9-A-27 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1993-10-21	1994-03-09	STATFJORD	NORTH SEA	ED50	61	15	19.89	N	1	51	14.17	E	61.255525	1.853936	6791950.200000	438511.840000	31	2201	2013-05-08
6507/7-A-29	Conoco Norway Inc.	095	DEVELOPMENT	PRODUCTION	OIL	1993-11-12	1993-12-13	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.77	N	7	19	3.64	E	65.325769	7.317678	7245989.160000	421638.080000	32	2202	2013-05-08
6407/9-C-2 H	A/S Norske Shell	093	DEVELOPMENT	INJECTION	WATER	1993-10-24	1994-01-07	DRAUGEN	NORWEGIAN SEA	ED50	64	18	38.45	N	7	44	18.31	E	64.310681	7.738419	7132417.070000	438979.390000	32	2203	2013-05-08
2/4-C-13 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-11-03	1994-01-01	EKOFISK	NORTH SEA	ED50	56	32	52.76	N	3	12	55.98	E	56.547989	3.215550	6267232.270000	513253.180000	31	2204	2013-05-08
6204/11-1	Den norske stats oljeselskap a.s	175	EXPLORATION	WILDCAT	GAS	1994-10-12	1994-11-14	\N	NORWEGIAN SEA	ED50	62	11	16.96	N	4	23	57.85	E	62.188044	4.399403	6896081.780000	572844.350000	31	2205	2013-05-08
33/9-L-3 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1993-10-10	1993-11-20	STATFJORD ØST	NORTH SEA	ED50	61	19	45.85	N	1	59	11.48	E	61.329403	1.986522	6800061.520000	445752.550000	31	2206	2013-05-08
6305/12-2	Norsk Hydro Produksjon AS	154	EXPLORATION	WILDCAT	SHOWS	1993-10-16	1993-12-17	\N	NORWEGIAN SEA	ED50	63	1	11.39	N	5	40	6.44	E	63.019831	5.668456	6990772.250000	635050.510000	31	2207	2013-05-08
2/8-A-1 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1993-10-09	1993-11-22	VALHALL	NORTH SEA	ED50	56	16	41.07	N	3	23	43.94	E	56.278075	3.395539	6237237.870000	524492.600000	31	2208	2013-05-08
33/9-L-2 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-07-04	1996-08-12	STATFJORD ØST	NORTH SEA	ED50	61	19	46.02	N	1	59	11.05	E	61.329450	1.986403	6800066.880000	445746.240000	31	2209	2013-05-08
33/9-L-4 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1993-11-22	1993-12-15	STATFJORD ØST	NORTH SEA	ED50	61	19	45.47	N	1	59	10.68	E	61.329297	1.986300	6800049.950000	445740.470000	31	2210	2013-05-08
33/12-B-16	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1993-10-13	1993-11-20	STATFJORD	NORTH SEA	ED50	61	12	25.05	N	1	49	52.20	E	61.206958	1.831167	6786562.440000	437193.560000	31	2211	2013-05-08
30/9-B-35	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1993-10-11	1993-12-18	OSEBERG	NORTH SEA	ED50	60	29	36.03	N	2	49	43.16	E	60.493342	2.828656	6706525.720000	490584.990000	31	2212	2013-05-08
2/4-B-21 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1993-12-02	1994-01-07	EKOFISK	NORTH SEA	ED50	56	33	54.91	N	3	12	13.47	E	56.565253	3.203742	6269151.720000	512521.440000	31	2213	2013-05-08
2/1-A-11	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1994-08-25	1994-10-16	GYDA	NORTH SEA	ED50	56	54	17.55	N	3	5	6.61	E	56.904875	3.085169	6306941.460000	505187.310000	31	2214	2013-05-08
34/10-B-30	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1994-01-07	1994-06-17	GULLFAKS	NORTH SEA	ED50	61	12	11.12	N	2	12	4.87	E	61.203089	2.201353	6785832.110000	457079.140000	31	2215	2013-05-08
34/10-A-32 B	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1993-10-04	1993-10-28	GULLFAKS	NORTH SEA	ED50	61	10	34.80	N	2	11	21.57	E	61.176333	2.189325	6782859.860000	456395.820000	31	2216	2013-05-08
34/10-A-29 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2003-11-06	2003-11-22	GULLFAKS	NORTH SEA	ED50	61	10	33.70	N	2	11	22.63	E	61.176028	2.189619	6782825.630000	456411.230000	31	2217	2013-05-08
15/9-A-28	Den norske stats oljeselskap a.s	046	DEVELOPMENT	INJECTION	GAS	1993-11-05	1994-01-01	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.05	N	1	54	32.24	E	58.367236	1.908956	6470262.170000	436169.380000	31	2218	2013-05-08
6407/9-C-1 H	A/S Norske Shell	093	DEVELOPMENT	INJECTION	WATER	1993-11-11	1994-01-20	DRAUGEN	NORWEGIAN SEA	ED50	64	18	38.48	N	7	44	18.65	E	64.310689	7.738514	7132417.910000	438983.970000	32	2219	2013-05-08
30/3-A-19	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1993-11-09	1994-01-02	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	52.27	E	60.782756	2.897853	6738753.670000	494437.310000	31	2221	2013-05-08
3/4-1	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	DRY	1994-01-11	1994-02-26	\N	NORTH SEA	ED50	56	40	53.56	N	4	15	39.09	E	56.681544	4.260858	6282788.240000	577248.850000	31	2222	2013-05-08
30/9-15	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	OIL	1993-12-07	1994-01-05	OSEBERG SØR	NORTH SEA	ED50	60	22	18.63	N	2	55	24.80	E	60.371842	2.923556	6692983.260000	495783.840000	31	2223	2013-05-08
7801/8-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-11	1993-08-15	\N	UNOPENEDAREA	ED50	78	23	6.72	N	1	21	38.22	E	78.385200	1.360617	8702128.740000	463156.890000	31	2226	2013-05-08
7801/8-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-12-14	1993-08-11	\N	UNOPENEDAREA	ED50	78	23	7.50	N	1	21	38.64	E	78.385417	1.360733	8702152.840000	463160.190000	31	2227	2013-05-08
7803/4-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-15	1993-08-17	\N	UNOPENEDAREA	ED50	78	35	3.90	N	3	4	22.68	E	78.584417	3.072967	8723848.010000	501612.290000	31	2228	2013-05-08
7803/4-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-15	1993-08-17	\N	UNOPENEDAREA	ED50	78	35	4.44	N	3	4	22.80	E	78.584567	3.073000	8723864.750000	501613.010000	31	2229	2013-05-08
7803/4-U-3	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-31	1993-09-11	\N	UNOPENEDAREA	ED50	78	35	5.76	N	3	4	13.32	E	78.584933	3.070367	8723905.600000	501554.780000	31	2230	2013-05-08
8006/8-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-17	1993-08-20	\N	UNOPENEDAREA	ED50	80	15	52.92	N	6	35	24.30	E	80.264700	6.590083	8913487.490000	567734.320000	31	2231	2013-05-08
8006/8-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-17	1993-08-20	\N	UNOPENEDAREA	ED50	80	15	52.56	N	6	35	27.06	E	80.264600	6.590850	8913477.240000	567749.460000	31	2232	2013-05-08
8006/8-U-3	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-17	1993-08-20	\N	UNOPENEDAREA	ED50	80	15	53.76	N	6	35	25.80	E	80.264933	6.590500	8913513.980000	567740.570000	31	2233	2013-05-08
8006/8-U-4	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-29	1993-08-30	\N	UNOPENEDAREA	ED50	80	15	52.86	N	6	35	25.44	E	80.264683	6.590400	8913486.000000	567740.400000	31	2234	2013-05-08
8008/7-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-22	1993-08-24	\N	UNOPENEDAREA	ED50	80	28	27.96	N	8	13	38.40	E	80.474433	8.227333	8939148.850000	596452.880000	31	2235	2013-05-08
8008/7-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-22	1993-08-24	\N	UNOPENEDAREA	ED50	80	28	28.56	N	8	13	38.16	E	80.474600	8.227267	8939167.270000	596449.980000	31	2236	2013-05-08
8008/7-U-3	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-22	1993-08-24	\N	UNOPENEDAREA	ED50	80	28	29.10	N	8	13	38.22	E	80.474750	8.227283	8939183.970000	596448.780000	31	2237	2013-05-08
7905/2-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-25	1993-08-28	\N	UNOPENEDAREA	ED50	79	57	33.42	N	5	27	21.60	E	79.959283	5.456000	8878312.860000	547791.970000	31	2238	2013-05-08
7905/2-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-25	1993-08-28	\N	UNOPENEDAREA	ED50	79	57	31.98	N	5	27	23.82	E	79.958883	5.456617	8878268.760000	547805.850000	31	2239	2013-05-08
7905/2-U-3	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-08-25	1993-08-28	\N	UNOPENEDAREA	ED50	79	57	31.38	N	5	27	21.78	E	79.958717	5.456050	8878249.700000	547795.620000	31	2240	2013-05-08
7506/7-U-1 W	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-09-12	1993-09-14	\N	UNOPENEDAREA	ED50	75	29	20.64	N	6	56	49.80	W	75.489067	6.947167	8401756.900000	222990.910000	31	2241	2013-05-08
7506/7-U-2 W	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1993-09-12	1993-09-14	\N	UNOPENEDAREA	ED50	75	29	21.36	N	6	56	48.60	W	75.489267	6.946833	8401777.360000	223003.850000	31	2242	2013-05-08
25/5-A-4	Elf Petroleum Norge AS	102	DEVELOPMENT	PRODUCTION	OIL	1993-12-23	1994-03-03	FRØY	NORTH SEA	ED50	59	44	3.35	N	2	33	27.96	E	59.734264	2.557767	6622054.500000	475134.580000	31	2243	2013-05-08
24/9-5	Fina Production Licenses AS	150	EXPLORATION	WILDCAT	OIL	1993-12-07	1994-01-26	VOLUND	NORTH SEA	ED50	59	29	6.52	N	1	55	10.82	E	59.485144	1.919672	6594725.250000	438806.710000	31	2244	2013-05-08
34/7-P-12	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1994-01-18	1994-04-08	SNORRE	NORTH SEA	ED50	61	26	57.08	N	2	8	36.82	E	61.449189	2.143561	6813284.040000	454332.950000	31	2246	2013-05-08
34/7-I-3 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	\N	1993-12-26	1994-07-19	TORDIS	NORTH SEA	ED50	61	16	34.23	N	2	7	1.68	E	61.276175	2.117133	6794031.110000	452663.180000	31	2247	2013-05-08
30/12-1	Norsk Hydro Produksjon AS	171	EXPLORATION	WILDCAT	DRY	1994-01-06	1994-03-07	\N	NORTH SEA	ED50	60	8	44.30	N	2	51	6.54	E	60.145639	2.851817	6667796.280000	491770.630000	31	2248	2013-05-08
33/12-B-15	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1994-01-12	1994-03-19	STATFJORD	NORTH SEA	ED50	61	12	25.09	N	1	49	52.06	E	61.206969	1.831128	6786563.720000	437191.500000	31	2249	2013-05-08
33/12-B-16 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1993-11-20	1994-01-10	STATFJORD	NORTH SEA	ED50	61	12	25.05	N	1	49	52.20	E	61.206958	1.831167	6786562.440000	437193.560000	31	2251	2013-05-08
6507/7-A-35	Conoco Norway Inc.	095	DEVELOPMENT	PRODUCTION	OIL	1993-12-13	1994-01-11	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	2252	2013-05-08
2/4-18 R	Saga Petroleum ASA	146	EXPLORATION	WILDCAT	SHOWS	1994-02-19	1994-07-10	\N	NORTH SEA	ED50	56	41	57.72	N	3	9	44.24	E	56.699367	3.162289	6284073.560000	509938.550000	31	2253	2013-05-08
6407/9-A-1	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	1994-03-07	1994-05-23	DRAUGEN	NORWEGIAN SEA	ED50	64	21	11.57	N	7	46	57.65	E	64.353214	7.782681	7137114.710000	441210.790000	32	2254	2013-05-08
6608/10-4	Den norske stats oljeselskap a.s	128	EXPLORATION	WILDCAT	OIL/GAS	1993-12-15	1994-03-06	NORNE	NORWEGIAN SEA	ED50	66	2	25.26	N	8	9	41.74	E	66.040350	8.161594	7324847.230000	462006.740000	32	2256	2013-05-08
30/6-C-22	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	GAS	1993-12-04	1994-01-19	OSEBERG	NORTH SEA	ED50	60	36	29.31	N	2	46	33.01	E	60.608142	2.775836	6719321.020000	487726.240000	31	2257	2013-05-08
9/2-4 S	Den norske stats oljeselskap a.s	114	EXPLORATION	APPRAISAL	OIL	1993-12-25	1994-04-11	YME	NORTH SEA	ED50	57	49	7.48	N	4	31	10.74	E	57.818744	4.519650	6409689.370000	590278.650000	31	2258	2013-05-08
2/7-B-19 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-01-23	1994-04-17	ELDFISK	NORTH SEA	ED50	56	25	9.17	N	3	13	5.90	E	56.419214	3.218306	6252898.830000	513468.140000	31	2259	2013-05-08
33/9-K-3 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1994-01-06	1994-04-05	STATFJORD ØST	NORTH SEA	ED50	61	20	38.20	N	1	58	22.51	E	61.343944	1.972919	6801692.630000	445049.970000	31	2260	2013-05-08
33/9-K-2 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1994-02-04	1994-03-30	STATFJORD ØST	NORTH SEA	ED50	61	20	38.37	N	1	58	22.08	E	61.343992	1.972800	6801697.990000	445043.660000	31	2261	2013-05-08
33/9-K-1 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	\N	1994-04-07	1994-04-25	STATFJORD ØST	NORTH SEA	ED50	61	20	37.98	N	1	58	21.27	E	61.343883	1.972575	6801686.110000	445031.430000	31	2262	2013-05-08
2/1-A-30 A	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1993-11-21	1994-05-16	GYDA	NORTH SEA	ED50	56	54	17.19	N	3	5	6.19	E	56.904775	3.085053	6306930.320000	505180.220000	31	2264	2013-05-08
15/9-A-26	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1994-01-04	1994-02-15	SLEIPNER ØST	NORTH SEA	ED50	58	22	1.94	N	1	54	32.12	E	58.367206	1.908922	6470258.800000	436167.370000	31	2265	2013-05-08
34/10-C-20	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	1994-04-05	1994-09-26	GULLFAKS	NORTH SEA	ED50	61	12	53.39	N	2	16	28.06	E	61.214831	2.274461	6787094.200000	461022.520000	31	2266	2013-05-08
30/9-B-30	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	\N	1993-12-03	1994-09-17	OSEBERG	NORTH SEA	ED50	60	29	36.13	N	2	49	43.29	E	60.493369	2.828692	6706528.810000	490586.980000	31	2267	2013-05-08
30/9-B-48	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	WATER	1993-12-22	1994-06-08	OSEBERG	NORTH SEA	ED50	60	29	35.87	N	2	49	43.40	E	60.493297	2.828722	6706520.760000	490588.640000	31	2268	2013-05-08
30/3-6 S	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	OIL	1993-12-26	1994-04-20	VESLEFRIKK	NORTH SEA	ED50	60	46	57.87	N	2	53	51.95	E	60.782742	2.897764	6738752.130000	494432.470000	31	2269	2013-05-08
30/9-B-6	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-09-25	1994-11-27	OSEBERG	NORTH SEA	ED50	60	29	36.48	N	2	49	43.15	E	60.493467	2.828653	6706539.640000	490584.870000	31	2270	2013-05-08
31/4-A-23	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	\N	1993-12-26	1994-02-19	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	50.86	E	60.542525	3.047461	6711992.510000	502603.940000	31	2273	2013-05-08
2/4-C-12 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-01-18	1994-03-08	EKOFISK	NORTH SEA	ED50	56	32	52.69	N	3	12	55.84	E	56.547969	3.215511	6267230.100000	513250.800000	31	2274	2013-05-08
34/10-B-29 B	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1993-12-26	1994-05-03	GULLFAKS	NORTH SEA	ED50	61	12	9.86	N	2	12	6.02	E	61.202739	2.201672	6785792.920000	457095.830000	31	2275	2013-05-08
30/6-C-24	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-01-25	1994-03-27	OSEBERG	NORTH SEA	ED50	60	36	29.18	N	2	46	33.26	E	60.608106	2.775906	6719316.990000	487730.030000	31	2276	2013-05-08
30/6-C-24 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1994-03-28	1994-04-25	OSEBERG	NORTH SEA	ED50	60	36	29.18	N	2	46	33.26	E	60.608106	2.775906	6719316.990000	487730.030000	31	2277	2013-05-08
6507/7-A-17	Conoco Norway Inc.	095	DEVELOPMENT	PRODUCTION	OIL	1994-01-11	1994-02-19	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.73	N	7	19	2.39	E	65.325758	7.317331	7245988.350000	421621.880000	32	2278	2013-05-08
2/4-B-24 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-01-28	1994-05-05	EKOFISK	NORTH SEA	ED50	56	33	54.79	N	3	12	12.96	E	56.565219	3.203600	6269147.990000	512512.750000	31	2279	2013-05-08
2/8-A-7 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1994-02-04	1994-05-09	VALHALL	NORTH SEA	ED50	56	16	40.94	N	3	23	43.68	E	56.278039	3.395467	6237233.820000	524488.160000	31	2283	2013-05-08
15/12-10 S	Saga Petroleum ASA	038	EXPLORATION	APPRAISAL	OIL	1996-10-02	1996-11-04	VARG	NORTH SEA	ED50	58	4	40.48	N	1	53	25.56	E	58.077911	1.890433	6438068.650000	434555.460000	31	2285	2013-05-08
15/9-A-22	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1994-06-01	1994-06-13	SLEIPNER ØST	NORTH SEA	ED50	58	22	1.98	N	1	54	31.98	E	58.367217	1.908883	6470260.070000	436165.120000	31	2286	2013-05-08
24/9-6	Fina Production Licenses AS	150	EXPLORATION	APPRAISAL	OIL	1994-02-01	1994-03-07	VOLUND	NORTH SEA	ED50	59	29	1.50	N	1	57	27.14	E	59.483750	1.957539	6594535.740000	440949.060000	31	2288	2013-05-08
34/7-I-4 H	Saga Petroleum ASA	089	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-10-21	1994-11-21	TORDIS	NORTH SEA	ED50	61	16	32.84	N	2	7	0.30	E	61.275789	2.116750	6793988.380000	452642.050000	31	2289	2013-05-08
6507/7-A-50	Conoco Norway Inc.	095	DEVELOPMENT	PRODUCTION	OIL	1994-02-19	1994-03-16	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.36	N	7	19	2.87	E	65.325656	7.317464	7245976.740000	421627.780000	32	2290	2013-05-08
30/3-A-20	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1995-02-03	1995-02-04	VESLEFRIKK	NORTH SEA	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	2291	2013-05-08
30/3-A-21	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	WATER	1994-03-19	1994-11-11	VESLEFRIKK	NORTH SEA	ED50	60	46	57.82	N	2	53	52.27	E	60.782728	2.897853	6738750.580000	494437.310000	31	2292	2013-05-08
31/4-A-7	Norsk Hydro Produksjon AS	055	DEVELOPMENT	INJECTION	WATER	1994-02-19	1994-04-15	BRAGE	NORTH SEA	ED50	60	32	33.51	N	3	2	50.69	E	60.542642	3.047414	6712005.500000	502601.340000	31	2294	2013-05-08
34/7-23 S	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1994-02-22	1994-04-03	VIGDIS	NORTH SEA	ED50	61	20	24.89	N	2	4	31.54	E	61.340247	2.075428	6801198.830000	450528.180000	31	2296	2013-05-08
2/11-10 S	Amoco Norway Oil Company	033	EXPLORATION	WILDCAT	OIL	1994-02-28	1994-06-14	HOD	NORTH SEA	ED50	56	10	35.52	N	3	27	36.22	E	56.176533	3.460061	6225960.630000	528563.360000	31	2297	2013-05-08
34/7-I-2 H	Saga Petroleum ASA	089	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-11-22	1995-02-19	TORDIS	NORTH SEA	ED50	61	16	33.36	N	2	7	10.86	E	61.275933	2.119683	6794002.350000	452799.530000	31	2298	2013-05-08
6507/2-3	Norsk Hydro Produksjon AS	122	EXPLORATION	WILDCAT	OIL SHOWS	1994-03-14	1994-05-05	\N	NORWEGIAN SEA	ED50	65	51	59.90	N	7	39	58.88	E	65.866639	7.666356	7305876.360000	439155.080000	32	2299	2013-05-08
34/10-A-42	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	GAS	1994-06-06	1994-09-15	GULLFAKS	NORTH SEA	ED50	61	10	34.90	N	2	11	21.26	E	61.176361	2.189239	6782863.010000	456391.220000	31	2301	2013-05-08
33/9-A-2 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1994-03-24	1994-05-27	STATFJORD	NORTH SEA	ED50	61	15	20.99	N	1	51	15.14	E	61.255831	1.854206	6791983.980000	438526.890000	31	2302	2013-05-08
34/10-C-21	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1994-02-19	1994-07-11	GULLFAKS	NORTH SEA	ED50	61	12	54.58	N	2	16	26.44	E	61.215161	2.274011	6787131.290000	460998.760000	31	2303	2013-05-08
6507/7-A-38	Conoco Norway Inc.	095	DEVELOPMENT	INJECTION	GAS	1994-03-30	1994-04-27	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.68	N	7	19	3.20	E	65.325744	7.317556	7245986.530000	421632.310000	32	2305	2013-05-08
2/4-A-6 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-04-16	1994-05-20	EKOFISK	NORTH SEA	ED50	56	31	15.24	N	3	13	22.98	E	56.520900	3.223050	6264218.450000	513724.120000	31	2306	2013-05-08
31/2-G-4 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-03-18	1994-04-19	TROLL	NORTH SEA	ED50	60	45	9.37	N	3	26	21.77	E	60.752603	3.439381	6735470.890000	523949.940000	31	2307	2013-05-08
2/4-C-8 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-03-28	1994-04-29	EKOFISK	NORTH SEA	ED50	56	32	52.80	N	3	12	55.91	E	56.548000	3.215531	6267233.500000	513251.980000	31	2308	2013-05-08
31/2-G-4 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1994-08-02	1994-12-20	TROLL	NORTH SEA	ED50	60	45	9.37	N	3	26	21.77	E	60.752603	3.439381	6735470.890000	523949.940000	31	2309	2013-05-08
34/10-C-22	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1994-03-01	1994-04-04	GULLFAKS	NORTH SEA	ED50	61	12	54.73	N	2	16	26.65	E	61.215203	2.274069	6787135.890000	461001.940000	31	2312	2013-05-08
7/12-A-8 A	BP Norway Limited  U.A.	019	DEVELOPMENT	INJECTION	WATER	1994-04-13	1994-06-24	ULA	NORTH SEA	ED50	57	6	41.36	N	2	50	50.57	E	57.111489	2.847381	6329948.830000	490755.980000	31	2313	2013-05-08
34/10-B-31	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1994-09-15	1994-12-14	GULLFAKS	NORTH SEA	ED50	61	12	10.12	N	2	12	6.28	E	61.202811	2.201744	6785800.920000	457099.810000	31	2314	2013-05-08
15/9-A-24	Den norske stats oljeselskap a.s	046	DEVELOPMENT	INJECTION	GAS	1994-03-27	1994-05-21	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.12	N	1	54	32.14	E	58.367256	1.908928	6470264.360000	436167.790000	31	2316	2013-05-08
2/4-B-22 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-05-29	1994-07-01	EKOFISK	NORTH SEA	ED50	56	33	54.86	N	3	12	13.28	E	56.565239	3.203689	6269150.170000	512518.200000	31	2318	2013-05-08
15/9-20 S	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	GAS	1994-02-16	1994-06-01	GUNGNE	NORTH SEA	ED50	58	22	1.89	N	1	54	31.98	E	58.367192	1.908883	6470257.290000	436165.070000	31	2319	2013-05-08
2/11-A-7	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	\N	1994-04-28	1994-06-14	HOD	NORTH SEA	ED50	56	10	35.49	N	3	27	36.77	E	56.176525	3.460214	6225959.770000	528572.860000	31	2321	2013-05-08
2/11-A-7 A	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	OIL	1994-06-14	1994-07-01	HOD	NORTH SEA	ED50	56	10	35.49	N	3	27	36.77	E	56.176525	3.460214	6225959.770000	528572.860000	31	2322	2013-05-08
31/2-F-6 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-04-19	1994-05-14	TROLL	NORTH SEA	ED50	60	46	28.14	N	3	26	16.63	E	60.774483	3.437953	6737907.510000	523855.860000	31	2324	2013-05-08
31/2-F-6 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1995-05-05	1995-06-02	TROLL	NORTH SEA	ED50	60	46	28.14	N	3	26	16.63	E	60.774483	3.437953	6737907.510000	523855.860000	31	2325	2013-05-08
34/7-23 A	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL	1994-04-08	1994-05-20	VIGDIS	NORTH SEA	ED50	61	20	24.89	N	2	4	31.54	E	61.340247	2.075428	6801198.830000	450528.180000	31	2326	2013-05-08
31/4-A-13	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1994-04-16	1994-06-12	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	50.35	E	60.542478	3.047319	6711987.240000	502596.170000	31	2328	2013-05-08
30/6-C-23	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1994-05-02	1994-06-06	OSEBERG	NORTH SEA	ED50	60	36	29.24	N	2	46	33.14	E	60.608122	2.775872	6719318.850000	487728.210000	31	2329	2013-05-08
2/11-A-1 B	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	OIL	1994-07-09	1994-07-25	HOD	NORTH SEA	ED50	56	10	35.52	N	3	27	36.22	E	56.176533	3.460061	6225960.630000	528563.360000	31	2330	2013-05-08
15/12-U-1	Den norske stats oljeselskap a.s	038	SHALLOW	\N	\N	1994-03-15	1994-04-07	\N	NORTH SEA	ED50	58	5	0.00	N	1	54	0.00	E	58.083333	1.900000	6438663.070000	435129.530000	31	2331	2013-05-08
15/12-U-2	Den norske stats oljeselskap a.s	038	SHALLOW	\N	\N	1994-03-15	1994-04-07	\N	NORTH SEA	ED50	58	5	0.00	N	1	54	0.00	E	58.083333	1.900000	6438663.070000	435129.530000	31	2332	2013-05-08
15/12-U-3	Den norske stats oljeselskap a.s	038	SHALLOW	\N	\N	1994-03-15	1994-04-07	\N	NORTH SEA	ED50	58	5	0.00	N	1	54	0.00	E	58.083333	1.900000	6438663.070000	435129.530000	31	2333	2013-05-08
15/12-U-4	Den norske stats oljeselskap a.s	038	SHALLOW	\N	\N	1994-03-15	1994-04-07	\N	NORTH SEA	ED50	58	5	0.00	N	1	54	0.00	E	58.083333	1.900000	6438663.070000	435129.530000	31	2334	2013-05-08
15/12-U-5	Den norske stats oljeselskap a.s	038	SHALLOW	\N	\N	1994-03-15	1994-04-07	\N	NORTH SEA	ED50	58	5	0.00	N	1	54	0.00	E	58.083333	1.900000	6438663.070000	435129.530000	31	2335	2013-05-08
15/12-U-6	Den norske stats oljeselskap a.s	038	SHALLOW	\N	\N	1994-03-15	1994-04-07	\N	NORTH SEA	ED50	58	5	0.00	N	1	54	0.00	E	58.083333	1.900000	6438663.070000	435129.530000	31	2336	2013-05-08
15/12-U-7	Den norske stats oljeselskap a.s	038	SHALLOW	\N	\N	1994-03-15	1994-04-07	\N	NORTH SEA	ED50	58	5	0.00	N	1	54	0.00	E	58.083333	1.900000	6438663.070000	435129.530000	31	2337	2013-05-08
15/12-U-8	Den norske stats oljeselskap a.s	038	SHALLOW	\N	\N	1994-03-15	1994-04-07	\N	NORTH SEA	ED50	58	5	0.00	N	1	54	0.00	E	58.083333	1.900000	6438663.070000	435129.530000	31	2338	2013-05-08
15/12-U-9	Den norske stats oljeselskap a.s	038	SHALLOW	\N	\N	1994-03-15	1994-04-07	\N	NORTH SEA	ED50	58	5	0.00	N	1	54	0.00	E	58.083333	1.900000	6438663.070000	435129.530000	31	2339	2013-05-08
2/8-A-30 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1994-06-21	1994-08-24	VALHALL	NORTH SEA	ED50	56	16	40.79	N	3	23	43.73	E	56.277997	3.395481	6237229.190000	524489.040000	31	2340	2013-05-08
2/8-A-30 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1994-08-24	1994-09-27	VALHALL	NORTH SEA	ED50	56	16	40.79	N	3	23	43.73	E	56.277997	3.395481	6237229.190000	524489.040000	31	2341	2013-05-08
2/4-C-11 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-06-01	1994-06-25	EKOFISK	NORTH SEA	ED50	56	32	52.66	N	3	12	55.69	E	56.547961	3.215469	6267229.160000	513248.240000	31	2343	2013-05-08
2/7-B-8 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-06-10	1994-09-20	ELDFISK	NORTH SEA	ED50	56	25	8.85	N	3	13	5.91	E	56.419125	3.218308	6252888.930000	513468.350000	31	2344	2013-05-08
6707/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	67	42	20.95	N	7	15	0.00	E	67.705819	7.250000	7511307.600000	425918.140000	32	2345	2013-05-08
6707/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	67	24	47.28	N	7	15	12.17	E	67.413133	7.253381	7478682.640000	425141.810000	32	2346	2013-05-08
6707/8-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	67	15	19.33	N	7	34	18.60	E	67.255369	7.571833	7460748.660000	438383.580000	32	2349	2013-05-08
15/9-A-9	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1994-05-23	1994-06-12	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.54	N	1	54	29.89	E	58.367372	1.908303	6470277.940000	436131.440000	31	2350	2013-05-08
33/9-K-1 AH	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1994-04-25	1994-05-30	STATFJORD ØST	NORTH SEA	ED50	61	20	37.98	N	1	58	21.27	E	61.343883	1.972575	6801686.110000	445031.430000	31	2351	2013-05-08
34/7-P-14	Saga Petroleum ASA	089	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-06-16	1994-07-14	SNORRE	NORTH SEA	ED50	61	26	57.08	N	2	8	37.36	E	61.449189	2.143711	6813283.930000	454340.950000	31	2352	2013-05-08
6507/3-U-1	Statoil ASA (old)	158	SHALLOW	\N	\N	2006-10-06	2006-10-08	\N	NORWEGIAN SEA	ED50	65	58	6.46	N	7	48	5.20	E	65.968461	7.801444	7317100.210000	445534.370000	32	5457	2013-05-08
2/1-A-32	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1994-05-20	1994-08-21	GYDA	NORTH SEA	ED50	56	54	17.31	N	3	5	5.95	E	56.904808	3.084986	6306934.020000	505176.150000	31	2353	2013-05-08
31/2-G-3 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1994-05-15	1995-08-16	TROLL	NORTH SEA	ED50	60	45	19.16	N	3	26	27.75	E	60.755322	3.441042	6735774.400000	524038.450000	31	2354	2013-05-08
30/9-17	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	DRY	1995-03-03	1995-03-14	\N	NORTH SEA	ED50	60	17	39.08	N	2	49	19.44	E	60.294189	2.822067	6684345.260000	490163.050000	31	2355	2013-05-08
6407/9-A-2 A	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	1994-11-05	1994-12-01	DRAUGEN	NORWEGIAN SEA	ED50	64	21	11.57	N	7	46	57.47	E	64.353214	7.782631	7137114.760000	441208.380000	32	2356	2013-05-08
6407/9-A-2	A/S Norske Shell	093	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-09-18	1994-11-04	DRAUGEN	NORWEGIAN SEA	ED50	64	21	11.57	N	7	46	57.47	E	64.353214	7.782631	7137114.760000	441208.380000	32	2357	2013-05-08
25/11-18	Norsk Hydro Produksjon AS	169	EXPLORATION	APPRAISAL	OIL	1994-08-10	1994-10-24	GRANE	NORTH SEA	ED50	59	9	8.45	N	2	28	28.79	E	59.152347	2.474664	6557285.940000	469950.360000	31	2358	2013-05-08
34/7-I-5 AH	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	\N	1994-06-18	1994-10-13	TORDIS	NORTH SEA	ED50	61	16	35.24	N	2	7	3.63	E	61.276456	2.117675	6794061.970000	452692.640000	31	2359	2013-05-08
30/9-16	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	OIL/GAS	1994-06-14	1994-08-08	OSEBERG SØR	NORTH SEA	ED50	60	15	10.35	N	2	45	0.84	E	60.252875	2.750233	6679756.730000	486174.380000	31	2361	2013-05-08
31/4-A-8 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1994-08-07	1994-08-29	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.35	E	60.542617	3.047319	6712002.710000	502596.160000	31	2362	2013-05-08
6507/7-C-2 H	Conoco Norway Inc.	095	DEVELOPMENT	INJECTION	WATER	1994-05-27	1994-06-18	HEIDRUN	NORWEGIAN SEA	ED50	65	17	10.99	N	7	18	10.51	E	65.286386	7.302919	7241619.260000	420832.640000	32	2363	2013-05-08
6407/9-A-6	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	1994-05-24	1994-07-25	DRAUGEN	NORWEGIAN SEA	ED50	64	21	11.42	N	7	46	57.47	E	64.353172	7.782631	7137110.110000	441208.290000	32	2365	2013-05-08
30/6-19 R	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	OIL/GAS	1994-05-15	1994-05-25	OSEBERG ØST	NORTH SEA	ED50	60	42	58.03	N	2	54	54.18	E	60.716119	2.915050	6731330.070000	495364.230000	31	2366	2013-05-08
2/8-A-16 D	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1994-11-02	1994-12-07	VALHALL	NORTH SEA	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	2367	2013-05-08
34/10-C-23	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	1994-10-05	1994-11-01	GULLFAKS	NORTH SEA	ED50	61	12	54.80	N	2	16	26.56	E	61.215222	2.274044	6787138.070000	461000.620000	31	2369	2013-05-08
30/6-C-17	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	\N	1994-06-06	1994-07-01	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.01	E	60.608175	2.775836	6719324.730000	487726.260000	31	2370	2013-05-08
31/4-A-8	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-06-17	1994-08-07	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.35	E	60.542617	3.047319	6712002.710000	502596.160000	31	2371	2013-05-08
33/9-A-31 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1994-06-23	1994-10-24	STATFJORD	NORTH SEA	ED50	61	15	19.85	N	1	51	13.98	E	61.255514	1.853883	6791949.010000	438508.980000	31	2372	2013-05-08
30/6-22 R	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL	1994-05-27	1994-06-02	OSEBERG ØST	NORTH SEA	ED50	60	43	57.26	N	2	58	53.12	E	60.732572	2.981422	6733159.800000	498986.720000	31	2373	2013-05-08
2/4-C-9 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-09-29	1994-11-02	EKOFISK	NORTH SEA	ED50	56	32	52.84	N	3	12	56.09	E	56.548011	3.215581	6267234.750000	513255.050000	31	2374	2013-05-08
30/6-21 R	Norsk Hydro Produksjon AS	053	EXPLORATION	APPRAISAL	OIL/GAS	1994-06-04	1994-06-12	OSEBERG	NORTH SEA	ED50	60	38	34.88	N	2	43	47.60	E	60.643022	2.729889	6723215.560000	485226.440000	31	2375	2013-05-08
2/11-A-5	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	\N	1994-02-28	1994-08-02	HOD	NORTH SEA	ED50	56	10	35.49	N	3	27	36.57	E	56.176525	3.460158	6225959.740000	528569.410000	31	2376	2013-05-08
34/11-1	Den norske stats oljeselskap a.s	193	EXPLORATION	WILDCAT	GAS/CONDENSATE	1994-07-07	1994-10-25	KVITEBJØRN	NORTH SEA	ED50	61	4	44.46	N	2	30	22.74	E	61.079017	2.506317	6771849.790000	473363.910000	31	2377	2013-05-08
6507/7-C-3 H	Conoco Norway Inc.	095	DEVELOPMENT	INJECTION	WATER	1994-06-19	1994-07-15	HEIDRUN	NORWEGIAN SEA	ED50	65	17	11.08	N	7	18	10.97	E	65.286411	7.303047	7241621.890000	420838.680000	32	2378	2013-05-08
33/12-B-42	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1994-08-02	1994-11-02	STATFJORD	NORTH SEA	ED50	61	12	23.81	N	1	49	51.05	E	61.206614	1.830847	6786524.390000	437175.710000	31	2382	2013-05-08
6306/6-1	Den norske stats oljeselskap a.s	198	EXPLORATION	WILDCAT	DRY	1994-06-22	1994-07-05	\N	NORWEGIAN SEA	ED50	63	30	1.45	N	6	49	14.42	E	63.500403	6.820672	7043364.000000	391515.490000	32	2384	2013-05-08
2/4-A-11 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-07-12	1994-08-05	EKOFISK	NORTH SEA	ED50	56	31	15.32	N	3	13	22.90	E	56.520922	3.223028	6264220.920000	513722.740000	31	2385	2013-05-08
15/9-A-27	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1994-07-02	1994-08-27	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.01	N	1	54	32.20	E	58.367225	1.908944	6470260.940000	436168.710000	31	2386	2013-05-08
34/7-16 R2	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1994-06-23	1994-07-05	VIGDIS	NORTH SEA	ED50	61	23	13.06	N	2	6	59.12	E	61.386961	2.116422	6806371.840000	452792.040000	31	2389	2013-05-08
25/8-5 S	Esso Exploration and Production Norway A/S	027 P	EXPLORATION	WILDCAT	OIL	1994-07-21	1994-09-22	JOTUN	NORTH SEA	ED50	59	27	27.10	N	2	21	52.15	E	59.457528	2.364486	6591324.830000	463972.360000	31	2390	2013-05-08
34/10-C-24	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1994-11-24	1995-02-02	GULLFAKS	NORTH SEA	ED50	61	12	53.60	N	2	16	27.81	E	61.214889	2.274392	6787100.740000	461018.860000	31	2391	2013-05-08
34/10-C-25	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1995-01-24	1995-03-15	GULLFAKS	NORTH SEA	ED50	61	12	54.55	N	2	16	26.67	E	61.215153	2.274075	6787130.320000	461002.180000	31	2392	2013-05-08
6507/7-C-1 H	Conoco Norway Inc.	095	DEVELOPMENT	INJECTION	WATER	1994-07-15	1994-07-30	HEIDRUN	NORWEGIAN SEA	ED50	65	17	11.04	N	7	18	10.54	E	65.286400	7.302928	7241620.800000	420833.070000	32	2393	2013-05-08
2/7-30	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL SHOWS	1995-02-27	1995-04-10	\N	NORTH SEA	ED50	56	26	22.49	N	3	16	25.50	E	56.439581	3.273750	6255178.060000	516879.700000	31	2394	2013-05-08
34/7-P-38	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1994-07-14	1994-08-26	SNORRE	NORTH SEA	ED50	61	26	58.24	N	2	8	36.79	E	61.449511	2.143553	6813319.940000	454332.980000	31	2395	2013-05-08
30/6-C-17 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-07-01	1994-07-14	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.01	E	60.608175	2.775836	6719324.730000	487726.260000	31	2396	2013-05-08
15/9-A-5	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1994-08-28	1994-11-11	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.01	N	1	54	32.20	E	58.367225	1.908944	6470260.940000	436168.710000	31	2397	2013-05-08
2/7-B-15 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-10-04	1994-12-14	ELDFISK	NORTH SEA	ED50	56	25	9.08	N	3	13	5.97	E	56.419189	3.218325	6252896.050000	513469.350000	31	2398	2013-05-08
15/9-A-21	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1994-11-11	1995-01-12	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.01	N	1	54	32.20	E	58.367225	1.908944	6470260.940000	436168.710000	31	2399	2013-05-08
34/7-19 R	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL	1994-07-06	1994-07-12	VIGDIS	NORTH SEA	ED50	61	23	38.96	N	2	5	31.46	E	61.394156	2.092072	6807191.070000	451502.270000	31	2401	2013-05-08
31/4-A-26	Norsk Hydro Produksjon AS	055	DEVELOPMENT	INJECTION	WATER	1994-08-31	1994-09-24	BRAGE	NORTH SEA	ED50	60	32	32.97	N	3	2	50.80	E	60.542492	3.047444	6711988.800000	502603.030000	31	2403	2013-05-08
30/6-C-17 B	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1994-07-14	1994-08-29	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.01	E	60.608175	2.775836	6719324.730000	487726.260000	31	2404	2013-05-08
30/9-B-6 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1994-11-28	1994-12-25	OSEBERG	NORTH SEA	ED50	60	29	36.48	N	2	49	43.15	E	60.493467	2.828653	6706539.640000	490584.870000	31	2406	2013-05-08
2/11-A-5 A	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	OIL	1994-08-02	1994-09-16	HOD	NORTH SEA	ED50	56	10	35.49	N	3	27	36.57	E	56.176525	3.460158	6225959.740000	528569.410000	31	2408	2013-05-08
34/10-B-32	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1994-12-15	1995-03-13	GULLFAKS	NORTH SEA	ED50	61	12	11.19	N	2	12	4.78	E	61.203108	2.201328	6785834.300000	457077.820000	31	2409	2013-05-08
2/4-A-15 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-08-26	1994-09-21	EKOFISK	NORTH SEA	ED50	56	31	15.17	N	3	13	22.26	E	56.520881	3.222850	6264216.240000	513711.820000	31	2412	2013-05-08
2/4-B-18 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-08-27	1994-09-20	EKOFISK	NORTH SEA	ED50	56	33	55.02	N	3	12	13.97	E	56.565283	3.203881	6269155.150000	512529.970000	31	2414	2013-05-08
2/7-A-13 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	WATER	1994-11-02	1994-12-19	ELDFISK	NORTH SEA	ED50	56	22	36.59	N	3	15	57.89	E	56.376831	3.266081	6248191.580000	516433.820000	31	2416	2013-05-08
33/9-E-1 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1994-09-12	1994-10-27	STATFJORD NORD	NORTH SEA	ED50	61	26	3.17	N	1	55	29.79	E	61.434214	1.924942	6811788.630000	442648.900000	31	2417	2013-05-08
33/9-E-3 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1995-12-22	1996-03-14	STATFJORD NORD	NORTH SEA	ED50	61	26	3.40	N	1	55	31.03	E	61.434278	1.925286	6811795.450000	442667.390000	31	2418	2013-05-08
33/9-E-4 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-09-25	1998-02-13	STATFJORD NORD	NORTH SEA	ED50	61	26	3.01	N	1	55	30.23	E	61.434169	1.925064	6811783.580000	442655.340000	31	2419	2013-05-08
31/2-B-3 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	INJECTION	GAS	1994-09-02	1995-01-13	TROLL	NORTH SEA	ED50	60	46	39.93	N	3	26	12.02	E	60.777758	3.436672	6738271.820000	523783.680000	31	2420	2013-05-08
2/4-A-2 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-10-08	1994-12-28	EKOFISK	NORTH SEA	ED50	56	31	15.10	N	3	13	22.87	E	56.520861	3.223019	6264214.110000	513722.250000	31	2423	2013-05-08
25/5-A-5	Elf Petroleum Norge AS	102	DEVELOPMENT	PRODUCTION	OIL	1994-09-28	1994-11-01	FRØY	NORTH SEA	ED50	59	44	3.57	N	2	33	27.89	E	59.734325	2.557747	6622061.310000	475133.530000	31	2424	2013-05-08
2/4-C-6 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1994-11-16	1995-01-09	EKOFISK	NORTH SEA	ED50	56	32	52.76	N	3	12	55.62	E	56.547989	3.215450	6267232.250000	513247.040000	31	2425	2013-05-08
7/12-A-2 A	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	\N	1995-12-08	1995-12-20	ULA	NORTH SEA	ED50	57	6	41.40	N	2	50	50.73	E	57.111500	2.847425	6329950.060000	490758.680000	31	2426	2013-05-08
33/9-E-2 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1994-10-28	1995-01-12	STATFJORD NORD	NORTH SEA	ED50	61	26	3.56	N	1	55	30.60	E	61.434322	1.925167	6811800.500000	442661.100000	31	2427	2013-05-08
30/6-C-26	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-09-30	1994-12-18	OSEBERG	NORTH SEA	ED50	60	36	29.18	N	2	46	33.01	E	60.608106	2.775836	6719317.000000	487726.230000	31	2428	2013-05-08
30/6-C-26 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1994-12-20	1995-02-01	OSEBERG	NORTH SEA	ED50	60	36	29.18	N	2	46	33.01	E	60.608106	2.775836	6719317.000000	487726.230000	31	2429	2013-05-08
30/8-1 S	Norsk Hydro Produksjon AS	190	EXPLORATION	WILDCAT	GAS/CONDENSATE	1994-11-01	1995-03-01	TUNE	NORTH SEA	ED50	60	27	46.93	N	2	38	6.53	E	60.463036	2.635147	6703193.600000	479933.470000	31	2430	2013-05-08
34/10-37	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	OIL	1995-01-26	1995-02-22	GULLFAKS SØR	NORTH SEA	ED50	61	8	9.78	N	2	0	55.81	E	61.136050	2.015503	6778501.300000	446979.260000	31	2431	2013-05-08
31/2-E-6 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-09-29	1994-10-25	TROLL	NORTH SEA	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	2433	2013-05-08
6407/8-2	BP Norway Limited  U.A.	158	EXPLORATION	WILDCAT	OIL/GAS	1994-10-19	1994-11-25	\N	NORWEGIAN SEA	ED50	64	17	0.63	N	7	31	25.28	E	64.283508	7.523689	7129613.200000	428524.240000	32	2434	2013-05-08
31/4-A-25	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1994-09-25	1994-10-15	BRAGE	NORTH SEA	ED50	60	32	33.00	N	3	2	50.52	E	60.542500	3.047367	6711989.720000	502598.760000	31	2435	2013-05-08
34/7-P-14 AY1	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1994-10-09	1994-11-21	SNORRE	NORTH SEA	ED50	61	26	57.08	N	2	8	37.36	E	61.449189	2.143711	6813283.930000	454340.950000	31	2436	2013-05-08
34/7-P-31	Saga Petroleum ASA	089	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1994-11-27	1994-12-31	SNORRE	NORTH SEA	ED50	61	26	57.99	N	2	8	37.61	E	61.449442	2.143781	6813312.040000	454345.020000	31	2437	2013-05-08
34/7-P-11	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1995-06-07	1995-09-25	SNORRE	NORTH SEA	ED50	61	26	57.08	N	2	8	36.55	E	61.449189	2.143486	6813284.090000	454328.950000	31	2438	2013-05-08
31/2-D-6 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1994-10-26	1994-12-09	TROLL	NORTH SEA	ED50	60	51	23.74	N	3	26	28.95	E	60.856594	3.441375	6747054.660000	523980.760000	31	2441	2013-05-08
30/6-C-19	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1995-02-02	1995-03-19	OSEBERG	NORTH SEA	ED50	60	36	29.31	N	2	46	33.26	E	60.608142	2.775906	6719321.010000	487730.050000	31	2442	2013-05-08
31/4-A-14	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1994-10-18	1994-11-25	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	2443	2013-05-08
6406/2-1	Saga Petroleum ASA	199	EXPLORATION	WILDCAT	GAS/CONDENSATE	1994-10-30	1995-04-09	\N	NORWEGIAN SEA	ED50	64	52	15.19	N	6	36	21.35	E	64.870886	6.605931	7196390.670000	386574.360000	32	2444	2013-05-08
6506/12-10	Den norske stats oljeselskap a.s	094	EXPLORATION	APPRAISAL	SHOWS	1995-04-21	1995-06-26	ÅSGARD	NORWEGIAN SEA	ED50	65	8	7.82	N	6	49	6.47	E	65.135506	6.818464	7225505.520000	397658.220000	32	2445	2013-05-08
25/5-A-6	Elf Petroleum Norge AS	102	DEVELOPMENT	PRODUCTION	\N	1994-11-02	1994-12-21	FRØY	NORTH SEA	ED50	59	44	3.62	N	2	33	28.05	E	59.734339	2.557792	6622062.840000	475136.040000	31	2446	2013-05-08
30/3-A-6 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	WATER	1994-11-21	1994-12-25	VESLEFRIKK	NORTH SEA	ED50	60	46	57.71	N	2	53	52.48	E	60.782697	2.897911	6738747.170000	494440.480000	31	2447	2013-05-08
34/10-C-26	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1995-03-15	1995-04-05	GULLFAKS	NORTH SEA	ED50	61	12	53.52	N	2	16	27.89	E	61.214867	2.274414	6787098.250000	461020.030000	31	2450	2013-05-08
34/10-C-23 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1994-11-02	1994-11-23	GULLFAKS	NORTH SEA	ED50	61	12	54.80	N	2	16	26.56	E	61.215222	2.274044	6787138.070000	461000.620000	31	2453	2013-05-08
33/9-18	Den norske stats oljeselskap a.s	037	EXPLORATION	WILDCAT	DRY	1994-11-16	1994-12-20	\N	NORTH SEA	ED50	61	15	40.78	N	1	56	7.73	E	61.261328	1.935481	6792522.530000	442897.080000	31	2454	2013-05-08
33/9-18 A	Den norske stats oljeselskap a.s	037	EXPLORATION	WILDCAT	DRY	1994-12-21	1995-01-24	\N	NORTH SEA	ED50	61	15	40.78	N	1	56	7.73	E	61.261328	1.935481	6792522.530000	442897.080000	31	2455	2013-05-08
34/10-B-33	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1995-05-09	1995-06-30	GULLFAKS	NORTH SEA	ED50	61	12	9.98	N	2	12	6.45	E	61.202772	2.201792	6785796.550000	457102.290000	31	2456	2013-05-08
6507/7-A-14	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1994-12-15	1995-01-06	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.99	N	7	19	3.01	E	65.325831	7.317503	7245996.190000	421630.110000	32	2457	2013-05-08
33/12-B-33	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1994-12-06	1995-02-02	STATFJORD	NORTH SEA	ED50	61	12	23.94	N	1	49	51.19	E	61.206650	1.830886	6786528.370000	437177.880000	31	2459	2013-05-08
34/7-24 S	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	SHOWS	1995-02-25	1995-03-24	VIGDIS	NORTH SEA	ED50	61	18	32.92	N	2	1	51.55	E	61.309144	2.030986	6797768.900000	448098.910000	31	2460	2013-05-08
15/9-A-23	Den norske stats oljeselskap a.s	046	DEVELOPMENT	INJECTION	GAS	1996-09-25	1996-11-22	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.05	N	1	54	32.06	E	58.367236	1.908906	6470262.220000	436166.450000	31	2461	2013-05-08
31/4-A-18	Norsk Hydro Produksjon AS	055	DEVELOPMENT	INJECTION	WATER	1994-11-27	1995-01-06	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	51.03	E	60.542525	3.047508	6711992.510000	502606.530000	31	2462	2013-05-08
2/4-K-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1994-12-19	1995-04-16	EKOFISK	NORTH SEA	ED50	56	33	55.86	N	3	12	22.64	E	56.565517	3.206289	6269181.560000	512677.900000	31	2463	2013-05-08
2/8-A-4 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1995-05-11	1995-07-05	VALHALL	NORTH SEA	ED50	56	16	41.05	N	3	23	43.42	E	56.278069	3.395394	6237237.200000	524483.660000	31	2469	2013-05-08
31/2-D-8 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-01-14	1995-01-27	TROLL	NORTH SEA	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	2472	2013-05-08
2/7-A-7 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	WATER	1994-12-27	1995-02-10	ELDFISK	NORTH SEA	ED50	56	22	36.48	N	3	15	58.03	E	56.376800	3.266119	6248188.190000	516436.230000	31	2473	2013-05-08
25/9-1	Amerada Hess Norge AS	189	EXPLORATION	WILDCAT	DRY	1995-03-28	1995-04-22	\N	NORTH SEA	ED50	59	26	58.72	N	2	42	35.67	E	59.449644	2.709908	6590310.690000	483550.580000	31	2476	2013-05-08
33/9-F-1 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1995-08-25	1995-10-31	STATFJORD NORD	NORTH SEA	ED50	61	26	40.59	N	1	57	22.75	E	61.444608	1.956319	6812919.250000	444341.230000	31	2477	2013-05-08
33/9-F-2 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1995-02-19	1995-04-15	STATFJORD NORD	NORTH SEA	ED50	61	26	40.98	N	1	57	23.55	E	61.444717	1.956542	6812931.130000	444353.270000	31	2478	2013-05-08
33/9-F-3 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1997-03-14	1997-05-09	STATFJORD NORD	NORTH SEA	ED50	61	26	40.82	N	1	57	23.99	E	61.444672	1.956664	6812926.070000	444359.710000	31	2479	2013-05-08
33/9-F-4 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-02-06	1999-03-20	STATFJORD NORD	NORTH SEA	ED50	61	26	40.43	N	1	57	23.18	E	61.444564	1.956439	6812914.200000	444347.520000	31	2480	2013-05-08
15/9-A-15	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1995-01-12	1995-03-11	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.63	N	1	54	30.18	E	58.367397	1.908383	6470280.650000	436136.190000	31	2481	2013-05-08
34/7-P-31 A	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	WATER/GAS	1994-12-31	1995-05-12	SNORRE	NORTH SEA	ED50	61	26	57.99	N	2	8	37.61	E	61.449442	2.143781	6813312.040000	454345.020000	31	2482	2013-05-08
25/5-A-7	Elf Petroleum Norge AS	102	DEVELOPMENT	INJECTION	WATER	1995-01-26	1995-07-23	FRØY	NORTH SEA	ED50	59	44	3.60	N	2	33	27.86	E	59.734333	2.557739	6622062.240000	475133.070000	31	2483	2013-05-08
30/9-B-34	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	WATER	1994-12-25	1995-04-30	OSEBERG	NORTH SEA	ED50	60	29	36.01	N	2	49	43.00	E	60.493336	2.828611	6706525.110000	490582.550000	31	2484	2013-05-08
31/4-A-12	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-01-06	1995-01-28	BRAGE	NORTH SEA	ED50	60	32	33.00	N	3	2	51.03	E	60.542500	3.047508	6711989.730000	502606.530000	31	2485	2013-05-08
7618/10-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1994-08-05	1994-08-05	\N	UNOPENEDAREA	ED50	76	7	30.80	N	18	17	24.20	E	76.125222	18.290056	8451853.350000	588031.320000	33	2486	2013-05-08
7618/10-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1994-08-06	1994-08-07	\N	UNOPENEDAREA	ED50	76	7	30.60	N	18	17	25.00	E	76.125167	18.290278	8451847.490000	588037.600000	33	2487	2013-05-08
7618/10-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1994-08-08	1994-08-09	\N	UNOPENEDAREA	ED50	76	7	30.60	N	18	17	27.40	E	76.125167	18.290944	8451848.490000	588055.420000	33	2488	2013-05-08
7617/11-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1994-08-11	1994-08-12	\N	UNOPENEDAREA	ED50	76	7	29.60	N	17	32	51.20	E	76.124889	17.547556	8450833.450000	568179.290000	33	2489	2013-05-08
7616/11-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1994-08-21	1994-08-22	\N	UNOPENEDAREA	ED50	76	7	40.50	N	16	29	7.70	E	76.127917	16.485472	8450199.880000	539754.290000	33	2490	2013-05-08
7616/11-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1994-08-19	1994-08-19	\N	UNOPENEDAREA	ED50	76	7	23.30	N	16	26	9.00	E	76.123139	16.435833	8449634.000000	538439.080000	33	2491	2013-05-08
7617/11-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1994-08-13	1994-08-18	\N	UNOPENEDAREA	ED50	76	7	29.60	N	17	33	5.70	E	76.124889	17.551583	8450838.110000	568287.020000	33	2492	2013-05-08
25/5-A-6 A	Elf Petroleum Norge AS	102	DEVELOPMENT	PRODUCTION	OIL	1994-12-22	1995-01-25	FRØY	NORTH SEA	ED50	59	44	3.62	N	2	33	28.05	E	59.734339	2.557792	6622062.840000	475136.040000	31	2494	2013-05-08
31/4-A-12 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	INJECTION	WATER	1995-01-29	1995-02-16	BRAGE	NORTH SEA	ED50	60	32	33.00	N	3	2	51.03	E	60.542500	3.047508	6711989.730000	502606.530000	31	2495	2013-05-08
34/10-A-43	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1995-03-14	1995-05-07	GULLFAKS	NORTH SEA	ED50	61	10	34.94	N	2	11	21.41	E	61.176372	2.189281	6782864.220000	456393.480000	31	2496	2013-05-08
6507/7-B-3 H	Conoco Norway Inc.	095	DEVELOPMENT	INJECTION	WATER	1995-01-19	1995-02-19	HEIDRUN	NORWEGIAN SEA	ED50	65	18	46.25	N	7	15	45.80	E	65.312847	7.262722	7244618.730000	419039.090000	32	2497	2013-05-08
33/9-A-15 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1995-01-21	1995-04-02	STATFJORD	NORTH SEA	ED50	61	15	20.81	N	1	51	14.82	E	61.255781	1.854117	6791978.490000	438522.020000	31	2498	2013-05-08
30/6-C-6 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-04-03	1995-04-09	OSEBERG	NORTH SEA	ED50	60	36	29.55	N	2	46	33.51	E	60.608208	2.775975	6719328.420000	487733.870000	31	2499	2013-05-08
30/6-C-6 B	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	\N	1995-04-09	1995-05-05	OSEBERG	NORTH SEA	ED50	60	36	29.55	N	2	46	33.51	E	60.608208	2.775975	6719328.420000	487733.870000	31	2500	2013-05-08
34/7-I-4 AH	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1995-09-01	1995-11-24	TORDIS	NORTH SEA	ED50	61	16	32.84	N	2	7	0.30	E	61.275789	2.116750	6793988.380000	452642.050000	31	2501	2013-05-08
34/7-I-2 AH	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1995-06-02	1995-07-20	TORDIS	NORTH SEA	ED50	61	16	33.36	N	2	7	10.86	E	61.275933	2.119683	6794002.350000	452799.530000	31	2502	2013-05-08
2/8-A-25 B	Amoco Norway Oil Company	006	DEVELOPMENT	INJECTION	CUTTINGS	1995-03-30	1995-05-11	VALHALL	NORTH SEA	ED50	56	16	41.20	N	3	23	44.02	E	56.278111	3.395561	6237241.890000	524493.960000	31	2503	2013-05-08
2/8-A-25 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	\N	1995-01-18	1995-02-13	VALHALL	NORTH SEA	ED50	56	16	41.20	N	3	23	44.02	E	56.278111	3.395561	6237241.890000	524493.960000	31	2504	2013-05-08
1/3-7	Elf Petroleum Norge AS	065	EXPLORATION	APPRAISAL	OIL	1995-02-13	1995-05-25	OSELVAR	NORTH SEA	ED50	56	56	25.15	N	2	40	34.61	E	56.940319	2.676281	6310930.490000	480302.330000	31	2505	2013-05-08
33/9-C-18	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1995-01-25	1995-05-10	STATFJORD	NORTH SEA	ED50	61	17	47.88	N	1	54	11.33	E	61.296633	1.903147	6796483.660000	441228.790000	31	2507	2013-05-08
9/2-A-5	Den norske stats oljeselskap a.s	114	DEVELOPMENT	INJECTION	WATER	1995-03-08	1996-03-21	YME	NORTH SEA	ED50	57	49	7.41	N	4	31	10.81	E	57.818725	4.519669	6409687.230000	590279.850000	31	2508	2013-05-08
31/2-D-8 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1995-01-27	1995-03-21	TROLL	NORTH SEA	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	2509	2013-05-08
6507/7-B-2 H	Conoco Norway Inc.	095	DEVELOPMENT	INJECTION	WATER	1995-02-19	1995-03-04	HEIDRUN	NORWEGIAN SEA	ED50	65	18	46.25	N	7	15	45.80	E	65.312847	7.262722	7244618.730000	419039.090000	32	2511	2013-05-08
2/4-K-14	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1995-04-19	1995-10-30	EKOFISK	NORTH SEA	ED50	56	33	56.05	N	3	12	22.92	E	56.565569	3.206367	6269187.450000	512682.660000	31	2513	2013-05-08
31/4-A-21	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1995-02-21	1995-05-05	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.86	E	60.542617	3.047461	6712002.720000	502603.930000	31	2514	2013-05-08
34/10-C-27	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1995-04-06	1995-05-21	GULLFAKS	NORTH SEA	ED50	61	12	54.61	N	2	16	26.21	E	61.215169	2.273947	6787132.250000	460995.330000	31	2515	2013-05-08
15/9-A-20	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1995-03-12	1995-04-20	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.16	N	1	54	32.01	E	58.367267	1.908892	6470265.630000	436165.700000	31	2516	2013-05-08
34/10-38 S	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL/GAS	1995-04-05	1995-05-29	GULLFAKS SØR	NORTH SEA	ED50	61	4	23.27	N	2	1	37.18	E	61.073131	2.026994	6771483.910000	447493.920000	31	2517	2013-05-08
33/12-B-36	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1995-04-20	1995-06-25	STATFJORD	NORTH SEA	ED50	61	12	23.94	N	1	49	50.85	E	61.206650	1.830792	6786528.460000	437172.800000	31	2522	2013-05-08
33/9-D-1 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1995-04-20	1995-06-10	STATFJORD NORD	NORTH SEA	ED50	61	26	50.13	N	1	54	50.13	E	61.447258	1.913925	6813251.330000	442085.420000	31	2523	2013-05-08
33/9-D-2 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1995-11-01	1995-12-19	STATFJORD NORD	NORTH SEA	ED50	61	26	50.51	N	1	54	51.05	E	61.447364	1.914181	6813262.870000	442099.250000	31	2524	2013-05-08
33/9-D-3 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	2000-04-20	2000-09-18	STATFJORD NORD	NORTH SEA	ED50	61	26	50.34	N	1	54	51.48	E	61.447317	1.914300	6813257.500000	442105.530000	31	2525	2013-05-08
33/9-D-4 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1998-12-30	1999-02-18	STATFJORD NORD	NORTH SEA	ED50	61	26	49.96	N	1	54	50.67	E	61.447211	1.914075	6813245.940000	442093.330000	31	2526	2013-05-08
31/2-E-4 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1995-03-23	1995-05-04	TROLL	NORTH SEA	ED50	60	47	56.20	N	3	26	31.84	E	60.798944	3.442178	6740633.630000	524067.650000	31	2527	2013-05-08
6511/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	59	16.00	N	11	23	41.60	E	65.987778	11.394889	7320809.240000	608732.200000	32	2529	2013-05-08
34/10-37 A	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	1995-02-22	1995-04-03	GULLFAKS SØR	NORTH SEA	ED50	61	8	9.78	N	2	0	55.81	E	61.136050	2.015503	6778501.300000	446979.260000	31	2530	2013-05-08
6511/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	38	30.10	N	11	2	49.30	E	65.641694	11.047028	7281689.990000	594200.820000	32	2531	2013-05-08
6510/11-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	5	59.90	N	10	32	8.00	E	65.099972	10.535556	7220654.030000	572139.040000	32	2532	2013-05-08
6510/11-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	5	57.30	N	10	31	38.90	E	65.099250	10.527472	7220564.340000	571761.300000	32	2533	2013-05-08
6511/4-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	38	25.50	N	11	1	18.40	E	65.640417	11.021778	7281510.030000	593043.750000	32	2534	2013-05-08
6510/6-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	38	32.60	N	10	59	20.00	E	65.642389	10.988889	7281681.510000	591523.640000	32	2535	2013-05-08
6510/6-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	38	39.20	N	10	57	32.70	E	65.644222	10.959083	7281842.720000	590146.050000	32	2536	2013-05-08
6510/6-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	38	38.10	N	10	56	32.70	E	65.643917	10.942417	7281784.890000	589380.390000	32	2537	2013-05-08
6510/6-U-4	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	38	40.10	N	10	54	53.80	E	65.644472	10.914944	7281808.020000	588114.680000	32	2538	2013-05-08
6510/10-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	5	57.80	N	10	17	34.10	E	65.099389	10.292806	7220333.690000	560737.560000	32	2539	2013-05-08
6510/10-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	5	57.50	N	10	17	32.80	E	65.099306	10.292444	7220324.050000	560720.790000	32	2540	2013-05-08
6510/10-U-4	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	5	59.40	N	10	13	6.60	E	65.099833	10.218500	7220313.820000	557245.990000	32	2541	2013-05-08
16/4-U-1	Statoil ASA (old)	339	SHALLOW	\N	\N	2006-09-15	2006-09-16	\N	NORTH SEA	ED50	58	31	46.15	N	2	9	2.55	E	58.529486	2.150708	6488123.180000	450540.590000	31	5458	2013-05-08
6507/7-B-1 H	Conoco Norway Inc.	095	DEVELOPMENT	INJECTION	WATER	1995-03-05	1995-03-24	HEIDRUN	NORWEGIAN SEA	ED50	65	18	45.63	N	7	15	46.09	E	65.312675	7.262803	7244599.440000	419042.320000	32	2542	2013-05-08
6510/10-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	11	16.00	N	10	19	15.00	E	65.187778	10.320833	7230210.650000	561848.120000	32	2543	2013-05-08
6510/10-U-5	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1982-05-15	1982-06-15	\N	NORWEGIAN SEA	ED50	65	6	13.10	N	10	9	43.60	E	65.103639	10.162111	7220687.990000	554589.240000	32	2544	2013-05-08
7/12-A-5 A	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1995-03-23	1995-07-03	ULA	NORTH SEA	ED50	57	6	41.14	N	2	50	50.96	E	57.111428	2.847489	6329942.010000	490762.530000	31	2545	2013-05-08
31/4-A-28	Norsk Hydro Produksjon AS	055	DEVELOPMENT	INJECTION	WATER	1995-03-15	1995-08-21	BRAGE	NORTH SEA	ED50	60	32	33.25	N	3	2	51.03	E	60.542569	3.047508	6711997.460000	502606.530000	31	2546	2013-05-08
25/5-A-8	Elf Petroleum Norge AS	102	DEVELOPMENT	PRODUCTION	OIL	1995-10-10	1995-11-28	FRØY	NORTH SEA	ED50	59	44	3.44	N	2	33	27.73	E	59.734289	2.557703	6622057.300000	475131.010000	31	2548	2013-05-08
25/5-A-9	Elf Petroleum Norge AS	102	DEVELOPMENT	INJECTION	WATER	1995-07-24	1995-08-25	FRØY	NORTH SEA	ED50	59	44	3.57	N	2	33	27.73	E	59.734325	2.557703	6622061.330000	475131.030000	31	2549	2013-05-08
31/4-A-28 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	OIL	2007-09-08	2007-12-19	BRAGE	NORTH SEA	ED50	60	32	33.25	N	3	2	51.03	E	60.542569	3.047508	6711997.460000	502606.530000	31	2550	2013-05-08
30/9-B-16	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-04-30	1995-06-07	OSEBERG	NORTH SEA	ED50	60	29	36.27	N	2	49	42.89	E	60.493408	2.828581	6706533.160000	490580.890000	31	2551	2013-05-08
30/9-18	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	DRY	1995-03-14	1995-04-11	\N	NORTH SEA	ED50	60	17	38.69	N	2	49	22.59	E	60.294081	2.822942	6684333.060000	490211.400000	31	2552	2013-05-08
34/10-C-28	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1995-05-22	1995-06-14	GULLFAKS	NORTH SEA	ED50	61	12	53.57	N	2	16	28.04	E	61.214881	2.274456	6787099.770000	461022.280000	31	2553	2013-05-08
2/7-A-5 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	WATER	1995-05-01	1995-06-20	ELDFISK	NORTH SEA	ED50	56	22	36.41	N	3	15	57.86	E	56.376781	3.266072	6248186.010000	516433.320000	31	2554	2013-05-08
30/6-B-51 H	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-04-17	1995-05-30	OSEBERG	NORTH SEA	ED50	60	31	59.58	N	2	44	23.91	E	60.533217	2.739975	6710982.990000	485729.740000	31	2561	2013-05-08
25/11-19 S	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	OIL/GAS	1995-04-24	1995-05-18	BALDER	NORTH SEA	ED50	59	12	48.48	N	2	24	6.88	E	59.213467	2.401911	6564126.950000	465849.930000	31	2562	2013-05-08
2/1-A-28	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1995-10-30	1996-01-19	GYDA	NORTH SEA	ED50	56	54	17.37	N	3	5	6.03	E	56.904825	3.085008	6306935.880000	505177.510000	31	2563	2013-05-08
15/9-A-8	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1995-04-20	1995-05-28	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.78	N	1	54	29.99	E	58.367439	1.908331	6470285.340000	436133.180000	31	2567	2013-05-08
30/9-17 R	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	DRY	1995-04-11	1995-04-13	\N	NORTH SEA	ED50	60	17	39.08	N	2	49	19.44	E	60.294189	2.822067	6684345.260000	490163.050000	31	2569	2013-05-08
30/6-C-16	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-05-18	1995-07-02	OSEBERG	NORTH SEA	ED50	60	36	29.31	N	2	46	33.51	E	60.608142	2.775975	6719321.000000	487733.850000	31	2571	2013-05-08
30/6-C-16 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1995-07-02	1995-08-18	OSEBERG	NORTH SEA	ED50	60	36	29.31	N	2	46	33.51	E	60.608142	2.775975	6719321.000000	487733.850000	31	2572	2013-05-08
25/8-6	Esso Exploration and Production Norway A/S	027 P	EXPLORATION	APPRAISAL	OIL	1995-05-19	1995-06-27	JOTUN	NORTH SEA	ED50	59	28	18.42	N	2	20	15.37	E	59.471783	2.337603	6592927.190000	462464.170000	31	2573	2013-05-08
34/10-39 S	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	DRY	1995-05-31	1995-06-20	\N	NORTH SEA	ED50	61	12	44.79	N	2	1	32.11	E	61.212442	2.025586	6787001.950000	447649.070000	31	2574	2013-05-08
31/5-H-5 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-06-02	1995-06-26	TROLL	NORTH SEA	ED50	60	42	52.25	N	3	30	24.52	E	60.714514	3.506811	6731254.930000	527658.170000	31	2575	2013-05-08
17/3-1	Elf Petroleum Norge AS	188	EXPLORATION	WILDCAT	GAS	1995-06-29	1995-08-20	\N	NORTH SEA	ED50	58	55	2.50	N	3	48	21.33	E	58.917361	3.805925	6531280.150000	546414.750000	31	2576	2013-05-08
15/9-A-12	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1995-07-08	1995-08-06	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.74	N	1	54	30.12	E	58.367428	1.908367	6470284.070000	436135.270000	31	2577	2013-05-08
6608/10-5	Den norske stats oljeselskap a.s	128	EXPLORATION	WILDCAT	DRY	1995-07-05	1995-08-06	\N	NORWEGIAN SEA	ED50	66	10	25.69	N	8	15	3.04	E	66.173803	8.250844	7339671.100000	466228.880000	32	2578	2013-05-08
34/10-B-34	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	1995-07-05	1995-08-10	GULLFAKS	NORTH SEA	ED50	61	12	10.96	N	2	12	4.66	E	61.203044	2.201294	6785827.200000	457075.940000	31	2579	2013-05-08
30/6-C-6 C	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-05-13	2002-07-12	OSEBERG	NORTH SEA	ED50	60	36	29.55	N	2	46	33.51	E	60.608208	2.775975	6719328.420000	487733.870000	31	2580	2013-05-08
33/9-C-22	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1995-05-28	1995-07-11	STATFJORD	NORTH SEA	ED50	61	17	46.98	N	1	54	10.04	E	61.296383	1.902789	6796456.130000	441209.130000	31	2582	2013-05-08
15/9-A-19	Den norske stats oljeselskap a.s	046	DEVELOPMENT	INJECTION	GAS	1995-05-28	1995-07-08	GUNGNE	NORTH SEA	ED50	58	22	2.09	N	1	54	31.93	E	58.367247	1.908869	6470263.490000	436164.360000	31	2583	2013-05-08
2/7-A-4 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	WATER	1995-07-12	1995-09-16	ELDFISK	NORTH SEA	ED50	56	22	36.41	N	3	15	58.03	E	56.376781	3.266119	6248186.020000	516436.240000	31	2584	2013-05-08
31/6-A-30	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-01-28	1996-03-28	TROLL	NORTH SEA	ED50	60	38	43.69	N	3	43	35.38	E	60.645469	3.726494	6723677.340000	539731.670000	31	2585	2013-05-08
31/6-A-15	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1995-10-23	1995-11-08	TROLL	NORTH SEA	ED50	60	38	44.90	N	3	43	35.53	E	60.645806	3.726536	6723714.800000	539733.530000	31	2586	2013-05-08
31/6-A-11	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1995-11-09	1995-11-24	TROLL	NORTH SEA	ED50	60	38	44.90	N	3	43	35.38	E	60.645806	3.726494	6723714.780000	539731.250000	31	2587	2013-05-08
31/6-A-6	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-03-29	1996-06-15	TROLL	NORTH SEA	ED50	60	38	44.90	N	3	43	35.23	E	60.645806	3.726453	6723714.750000	539728.970000	31	2588	2013-05-08
31/6-A-7	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1995-09-24	1995-10-21	TROLL	NORTH SEA	ED50	60	38	44.83	N	3	43	35.23	E	60.645786	3.726453	6723712.590000	539729.000000	31	2589	2013-05-08
31/6-A-35	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-02-21	1996-03-18	TROLL	NORTH SEA	ED50	60	38	43.69	N	3	43	35.53	E	60.645469	3.726536	6723677.370000	539733.940000	31	2590	2013-05-08
30/3-A-22	Statoil ASA (old)	052	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-07-08	1995-08-23	VESLEFRIKK	NORTH SEA	ED50	60	46	57.77	N	2	53	52.59	E	60.782714	2.897942	6738749.020000	494442.150000	31	2592	2013-05-08
30/3-A-22 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	GAS	1995-08-24	1995-09-20	VESLEFRIKK	NORTH SEA	ED50	60	46	57.77	N	2	53	52.59	E	60.782714	2.897942	6738749.020000	494442.150000	31	2593	2013-05-08
31/2-E-1 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-06-02	1995-06-11	TROLL	NORTH SEA	ED50	60	48	1.25	N	3	26	36.66	E	60.800347	3.443517	6740790.370000	524139.470000	31	2594	2013-05-08
2/4-K-8 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1995-08-13	1995-09-10	EKOFISK	NORTH SEA	ED50	56	33	55.82	N	3	12	22.32	E	56.565506	3.206200	6269180.310000	512672.440000	31	2595	2013-05-08
2/8-A-2 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1995-07-09	1995-07-30	VALHALL	NORTH SEA	ED50	56	16	40.89	N	3	23	44.00	E	56.278025	3.395556	6237232.310000	524493.670000	31	2596	2013-05-08
7/12-A-16 A	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1995-08-16	1995-10-01	ULA	NORTH SEA	ED50	57	6	41.14	N	2	50	50.57	E	57.111428	2.847381	6329942.030000	490755.970000	31	2597	2013-05-08
9/2-5	Den norske stats oljeselskap a.s	114	EXPLORATION	APPRAISAL	OIL	1995-06-23	1995-07-21	YME	NORTH SEA	ED50	57	45	15.30	N	4	21	21.16	E	57.754250	4.355878	6402303.160000	580693.950000	31	2599	2013-05-08
31/5-H-6 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-06-27	1995-07-23	TROLL	NORTH SEA	ED50	60	42	46.85	N	3	30	33.96	E	60.713014	3.509433	6731088.960000	527802.560000	31	2600	2013-05-08
31/5-H-6 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1995-07-23	1995-08-28	TROLL	NORTH SEA	ED50	60	42	46.85	N	3	30	33.96	E	60.713014	3.509433	6731088.960000	527802.560000	31	2601	2013-05-08
31/2-E-1 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1995-06-12	1995-07-13	TROLL	NORTH SEA	ED50	60	48	1.25	N	3	26	36.66	E	60.800347	3.443517	6740790.370000	524139.470000	31	2603	2013-05-08
34/10-B-35	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1995-10-13	1995-10-29	GULLFAKS	NORTH SEA	ED50	61	12	10.94	N	2	12	4.89	E	61.203039	2.201358	6785826.540000	457079.370000	31	2607	2013-05-08
34/10-B-35 A	Statoil Petroleum AS	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2012-06-24	2012-07-17	GULLFAKS	NORTH SEA	ED50	61	12	10.94	N	2	12	4.89	E	61.203039	2.201358	6785826.540000	457079.370000	31	2608	2013-05-08
34/10-B-37	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1996-09-15	1997-03-19	GULLFAKS	NORTH SEA	ED50	61	12	10.04	N	2	12	5.99	E	61.202789	2.201664	6785798.490000	457095.450000	31	2609	2013-05-08
6506/12-10 A	Den norske stats oljeselskap a.s	094	EXPLORATION	APPRAISAL	OIL/GAS	1995-06-27	1995-12-11	ÅSGARD	NORWEGIAN SEA	ED50	65	8	7.82	N	6	49	6.47	E	65.135506	6.818464	7225505.520000	397658.220000	32	2610	2013-05-08
25/8-7	Amerada Hess Norge AS	189	EXPLORATION	WILDCAT	OIL SHOWS	1995-07-21	1995-08-12	\N	NORTH SEA	ED50	59	28	28.43	N	2	34	28.57	E	59.474564	2.574603	6593127.020000	475896.000000	31	2612	2013-05-08
2/11-A-8	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	\N	1995-09-26	1995-10-26	HOD	NORTH SEA	ED50	56	10	35.44	N	3	27	36.47	E	56.176511	3.460131	6225958.190000	528567.690000	31	2613	2013-05-08
2/11-A-8 A	Amoco Norway Oil Company	033	DEVELOPMENT	PRODUCTION	OIL	1995-10-26	1995-11-15	HOD	NORTH SEA	ED50	56	10	35.44	N	3	27	36.47	E	56.176511	3.460131	6225958.190000	528567.690000	31	2614	2013-05-08
2/8-A-8 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1995-08-27	1995-09-18	VALHALL	NORTH SEA	ED50	56	16	41.54	N	3	23	43.82	E	56.278206	3.395506	6237252.390000	524490.460000	31	2615	2013-05-08
31/2-F-5 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1995-07-25	1995-08-07	TROLL	NORTH SEA	ED50	60	46	0.20	N	3	25	27.55	E	60.766722	3.424319	6737038.170000	523118.830000	31	2616	2013-05-08
31/4-10	Norsk Hydro Produksjon AS	055	EXPLORATION	APPRAISAL	OIL/GAS	1995-11-14	1995-12-13	BRAGE	NORTH SEA	ED50	60	37	30.24	N	3	11	16.26	E	60.625067	3.187850	6721199.940000	510280.060000	31	2617	2013-05-08
31/4-A-24	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	\N	1996-11-12	1996-11-22	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	50.86	E	60.542478	3.047461	6711987.250000	502603.940000	31	2621	2013-05-08
34/10-C-29	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	OIL	1995-08-09	1995-10-13	GULLFAKS	NORTH SEA	ED50	61	12	54.69	N	2	16	26.50	E	61.215192	2.274028	6787134.680000	460999.690000	31	2622	2013-05-08
25/7-3	Conoco Norway Inc.	103	EXPLORATION	WILDCAT	OIL	1995-07-27	1995-08-28	JOTUN	NORTH SEA	ED50	59	26	8.81	N	2	19	28.00	E	59.435781	2.324444	6588925.440000	461677.840000	31	2623	2013-05-08
33/12-B-10 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1995-08-19	1995-10-23	STATFJORD	NORTH SEA	ED50	61	12	25.15	N	1	49	52.14	E	61.206986	1.831150	6786565.550000	437192.720000	31	2631	2013-05-08
30/3-7 S	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	OIL/GAS	1995-09-21	1995-12-12	VESLEFRIKK	NORTH SEA	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	2632	2013-05-08
31/4-A-27	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1995-09-19	1995-11-01	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	50.52	E	60.542525	3.047367	6711992.510000	502598.760000	31	2633	2013-05-08
34/10-40 S	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	GAS	1995-08-13	1995-10-13	\N	NORTH SEA	ED50	61	12	10.92	N	2	12	4.86	E	61.203033	2.201350	6785825.930000	457078.910000	31	2634	2013-05-08
15/5-5	Norsk Hydro Produksjon AS	048	EXPLORATION	WILDCAT	OIL	1995-08-31	1995-10-05	GLITNE	NORTH SEA	ED50	58	43	3.40	N	1	38	39.41	E	58.717611	1.644281	6509552.030000	421473.460000	31	2635	2013-05-08
2/8-15	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	DRY	1995-11-27	1996-01-09	\N	NORTH SEA	ED50	56	25	5.14	N	3	28	58.96	E	56.418094	3.483044	6252857.510000	529801.710000	31	2636	2013-05-08
34/7-P-24	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1995-09-05	1995-12-06	SNORRE	NORTH SEA	ED50	61	26	57.72	N	2	8	36.54	E	61.449367	2.143483	6813303.900000	454329.070000	31	2637	2013-05-08
2/1-A-24 B	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1995-08-21	1995-10-29	GYDA	NORTH SEA	ED50	56	54	17.42	N	3	5	6.18	E	56.904839	3.085050	6306937.430000	505180.040000	31	2638	2013-05-08
2/8-A-20 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	\N	1997-03-17	1997-05-04	VALHALL	NORTH SEA	ED50	56	16	40.74	N	3	23	43.61	E	56.277983	3.395447	6237227.630000	524486.990000	31	2639	2013-05-08
6406/12-2	Den norske stats oljeselskap a.s	157	EXPLORATION	WILDCAT	DRY	1995-09-01	1995-10-17	\N	NORWEGIAN SEA	ED50	64	6	13.80	N	6	51	43.06	E	64.103833	6.861961	7110509.230000	395821.770000	32	2640	2013-05-08
33/9-A-6 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1995-08-23	1995-10-01	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	2641	2013-05-08
6406/2-1 R	Saga Petroleum ASA	199	EXPLORATION	WILDCAT	GAS/CONDENSATE	1995-08-21	1996-01-07	\N	NORWEGIAN SEA	ED50	64	52	15.19	N	6	36	21.35	E	64.870886	6.605931	7196390.670000	386574.360000	32	2642	2013-05-08
6406/2-2	Saga Petroleum ASA	199	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1995-12-12	1996-03-27	\N	NORWEGIAN SEA	ED50	64	49	46.35	N	6	34	15.43	E	64.829542	6.570953	7191848.600000	384740.990000	32	2644	2013-05-08
6608/10-3 R	Den norske stats oljeselskap a.s	128	EXPLORATION	APPRAISAL	OIL/GAS	1995-08-08	1995-08-17	NORNE	NORWEGIAN SEA	ED50	66	2	6.66	N	8	4	57.97	E	66.035183	8.082769	7324321.370000	458426.470000	32	2645	2013-05-08
25/8-8 S	Esso Exploration and Production Norway A/S	027 P	EXPLORATION	WILDCAT	OIL/GAS	1995-08-22	1995-09-24	JOTUN	NORTH SEA	ED50	59	25	51.87	N	2	24	18.73	E	59.431075	2.405203	6588357.700000	466254.240000	31	2646	2013-05-08
31/2-G-6 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1995-08-24	1995-10-07	TROLL	NORTH SEA	ED50	60	45	8.67	N	3	26	36.00	E	60.752408	3.443333	6735450.680000	524165.550000	31	2649	2013-05-08
33/9-A-30 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2002-05-19	2002-07-07	STATFJORD	NORTH SEA	ED50	61	15	19.88	N	1	51	13.40	E	61.255522	1.853722	6791950.090000	438500.360000	31	2650	2013-05-08
15/9-A-2	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1995-08-29	1996-03-04	GUNGNE	NORTH SEA	ED50	58	22	2.69	N	1	54	29.70	E	58.367414	1.908250	6470282.630000	436128.420000	31	2651	2013-05-08
15/9-B-10	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1995-09-02	1995-10-22	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.54	N	1	43	4.23	E	58.417928	1.717842	6476102.950000	425096.780000	31	2652	2013-05-08
34/7-P-9	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1996-02-01	1996-06-16	SNORRE	NORTH SEA	ED50	61	26	56.95	N	2	8	37.37	E	61.449153	2.143714	6813279.910000	454341.050000	31	2653	2013-05-08
34/7-P-32	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	GAS	1995-12-06	1996-02-01	SNORRE	NORTH SEA	ED50	61	26	58.11	N	2	8	36.53	E	61.449475	2.143481	6813315.970000	454329.080000	31	2654	2013-05-08
25/5-A-2 A	Elf Petroleum Norge AS	102	DEVELOPMENT	INJECTION	WATER	1995-09-10	1995-10-09	FRØY	NORTH SEA	ED50	59	44	3.38	N	2	33	27.86	E	59.734272	2.557739	6622055.430000	475133.020000	31	2655	2013-05-08
25/5-5	Elf Petroleum Norge AS	102	EXPLORATION	WILDCAT	OIL	1995-10-27	1995-11-23	\N	NORTH SEA	ED50	59	33	16.17	N	2	20	40.46	E	59.554492	2.344572	6602133.730000	462949.900000	31	2661	2013-05-08
9/2-A-1	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	1996-02-01	1996-03-08	YME	NORTH SEA	ED50	57	49	7.48	N	4	31	10.74	E	57.818744	4.519650	6409689.370000	590278.650000	31	2662	2013-05-08
30/6-C-10 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-09-14	1995-11-08	OSEBERG	NORTH SEA	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	2663	2013-05-08
6204/10-1	Den norske stats oljeselskap a.s	175	EXPLORATION	WILDCAT	DRY	1995-10-28	1995-11-23	\N	NORWEGIAN SEA	ED50	62	3	20.50	N	4	15	36.60	E	62.055694	4.260167	6881190.160000	565883.940000	31	2666	2013-05-08
25/11-20	Norsk Hydro Produksjon AS	169	EXPLORATION	WILDCAT	DRY	1995-10-08	1995-10-23	\N	NORTH SEA	ED50	59	8	44.62	N	2	33	44.27	E	59.145728	2.562297	6556512.650000	474958.170000	31	2667	2013-05-08
34/10-C-30	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1995-10-13	1995-11-25	GULLFAKS	NORTH SEA	ED50	61	12	53.49	N	2	16	27.75	E	61.214858	2.274375	6787097.340000	461017.930000	31	2674	2013-05-08
7534/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1995-07-30	1995-08-05	\N	UNOPENEDAREA	ED50	75	44	17.33	N	34	12	21.32	E	75.738147	34.205922	8411549.610000	368292.970000	37	2675	2013-05-08
7618/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1995-08-10	1995-08-16	\N	UNOPENEDAREA	ED50	76	11	8.11	N	18	39	59.95	E	76.185586	18.666653	8459171.100000	597677.930000	33	2677	2013-05-08
7618/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1995-08-16	1995-08-21	\N	UNOPENEDAREA	ED50	76	19	28.88	N	18	55	37.64	E	76.324689	18.927122	8475108.000000	603574.470000	33	2678	2013-05-08
7619/8-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1995-08-22	1995-08-25	\N	UNOPENEDAREA	ED50	76	29	57.65	N	19	28	20.47	E	76.499347	19.472353	8495570.040000	616452.280000	33	2679	2013-05-08
7534/6-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1995-08-06	1995-08-10	\N	UNOPENEDAREA	ED50	75	33	33.72	N	34	55	43.20	E	75.559367	34.928667	8390155.050000	386744.230000	37	2680	2013-05-08
34/10-B-36	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1995-10-29	1995-11-18	GULLFAKS	NORTH SEA	ED50	61	12	10.01	N	2	12	6.22	E	61.202781	2.201728	6785797.520000	457098.870000	31	2684	2013-05-08
33/9-C-28 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1995-10-25	1995-10-26	STATFJORD	NORTH SEA	ED50	61	17	46.86	N	1	54	10.27	E	61.296350	1.902853	6796452.360000	441212.490000	31	2685	2013-05-08
33/9-C-28 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1995-10-27	1995-11-14	STATFJORD	NORTH SEA	ED50	61	17	46.86	N	1	54	10.27	E	61.296350	1.902853	6796452.360000	441212.490000	31	2686	2013-05-08
33/9-A-35 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1995-10-26	1996-01-15	STATFJORD	NORTH SEA	ED50	61	15	19.81	N	1	51	13.78	E	61.255503	1.853828	6791947.830000	438505.980000	31	2687	2013-05-08
6407/9-A-5	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	1995-09-20	1995-11-19	DRAUGEN	NORWEGIAN SEA	ED50	64	21	11.42	N	7	46	57.64	E	64.353172	7.782678	7137110.070000	441210.570000	32	2688	2013-05-08
31/2-D-9	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-10-11	1995-10-27	TROLL	NORTH SEA	ED50	60	52	19.55	N	3	26	14.29	E	60.872097	3.437303	6748779.970000	523748.000000	31	2689	2013-05-08
25/8-8 A	Esso Exploration and Production Norway A/S	027 P	EXPLORATION	APPRAISAL	OIL/GAS	1995-09-29	1995-10-11	JOTUN	NORTH SEA	ED50	59	25	51.87	N	2	24	18.73	E	59.431075	2.405203	6588357.700000	466254.240000	31	2690	2013-05-08
31/6-A-12	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-05-04	1996-05-20	TROLL	NORTH SEA	ED50	60	38	44.83	N	3	43	35.38	E	60.645786	3.726494	6723712.610000	539731.280000	31	2691	2013-05-08
15/9-B-14	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1995-10-23	1996-07-07	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.46	N	1	43	4.31	E	58.417906	1.717864	6476100.450000	425098.030000	31	2692	2013-05-08
30/6-C-10 B	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1995-11-10	1995-12-04	OSEBERG	NORTH SEA	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	2693	2013-05-08
30/6-C-10 C	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1996-05-20	1996-09-25	OSEBERG	NORTH SEA	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	2694	2013-05-08
7/12-12 S	BP Norway Limited  U.A.	019	EXPLORATION	WILDCAT	DRY	1995-11-14	1996-03-17	\N	NORTH SEA	ED50	57	6	41.19	N	2	50	50.73	E	57.111442	2.847425	6329943.570000	490758.660000	31	2695	2013-05-08
25/8-8 B	Esso Exploration and Production Norway A/S	027 P	EXPLORATION	APPRAISAL	OIL/GAS	1995-10-12	1995-10-24	JOTUN	NORTH SEA	ED50	59	25	51.87	N	2	24	18.73	E	59.431075	2.405203	6588357.700000	466254.240000	31	2696	2013-05-08
34/7-C-2 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	\N	1995-11-26	1996-12-04	VIGDIS	NORTH SEA	ED50	61	22	49.44	N	2	6	12.55	E	61.380400	2.103486	6805650.440000	452090.880000	31	2698	2013-05-08
2/1-11	BP Norway Limited  U.A.	019 B	EXPLORATION	WILDCAT	OIL	1997-01-14	1997-05-07	\N	NORTH SEA	ED50	56	47	35.28	N	3	3	58.16	E	56.793133	3.066156	6294501.410000	504041.280000	31	2699	2013-05-08
33/9-C-41	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1995-11-14	1996-01-17	STATFJORD	NORTH SEA	ED50	61	17	46.68	N	1	54	9.95	E	61.296300	1.902764	6796446.870000	441207.630000	31	2700	2013-05-08
25/11-21 S	Norsk Hydro Produksjon AS	169	EXPLORATION	APPRAISAL	OIL	1995-10-23	1995-11-14	GRANE	NORTH SEA	ED50	59	9	43.43	N	2	27	53.07	E	59.162064	2.464742	6558372.450000	469391.490000	31	2701	2013-05-08
2/8-F-1	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1995-12-11	1996-05-28	VALHALL	NORTH SEA	ED50	56	16	35.69	N	3	23	47.14	E	56.276581	3.396428	6237071.840000	524548.600000	31	2702	2013-05-08
16/10-3	Norsk Agip  AS	101	EXPLORATION	WILDCAT	DRY	1996-10-22	1996-12-01	\N	NORTH SEA	ED50	58	13	18.54	N	2	19	34.30	E	58.221817	2.326194	6453751.140000	460416.920000	31	2703	2013-05-08
6407/9-A-3	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	1995-11-11	1995-12-21	DRAUGEN	NORWEGIAN SEA	ED50	64	21	11.50	N	7	46	57.64	E	64.353194	7.782678	7137112.540000	441210.620000	32	2707	2013-05-08
31/5-H-5 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1995-11-17	1995-12-17	TROLL	NORTH SEA	ED50	60	42	52.25	N	3	30	24.52	E	60.714514	3.506811	6731254.930000	527658.170000	31	2711	2013-05-08
34/10-A-17 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1995-12-01	1996-01-12	GULLFAKS	NORTH SEA	ED50	61	10	33.93	N	2	11	23.14	E	61.176092	2.189761	6782832.650000	456418.940000	31	2712	2013-05-08
31/4-A-40	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1995-11-06	1996-01-11	BRAGE	NORTH SEA	ED50	60	32	33.51	N	3	2	50.52	E	60.542642	3.047367	6712005.500000	502598.750000	31	2714	2013-05-08
15/9-B-5	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	1995-11-26	1996-08-04	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.57	N	1	43	4.00	E	58.417936	1.717778	6476103.950000	425093.060000	31	2715	2013-05-08
2/8-F-2	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1995-12-08	1996-03-11	VALHALL	NORTH SEA	ED50	56	16	35.65	N	3	23	46.96	E	56.276569	3.396378	6237070.590000	524545.510000	31	2716	2013-05-08
2/8-F-3	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	\N	1995-12-13	1996-10-14	VALHALL	NORTH SEA	ED50	56	16	35.70	N	3	23	47.03	E	56.276583	3.396397	6237072.140000	524546.710000	31	2717	2013-05-08
2/8-F-4	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1996-06-09	1996-12-05	VALHALL	NORTH SEA	ED50	56	16	35.67	N	3	23	47.25	E	56.276575	3.396458	6237071.230000	524550.500000	31	2718	2013-05-08
30/8-1 SR	Norsk Hydro Produksjon AS	190	EXPLORATION	WILDCAT	GAS/CONDENSATE	1995-11-14	1996-03-01	TUNE	NORTH SEA	ED50	60	27	46.93	N	2	38	6.53	E	60.463036	2.635147	6703193.600000	479933.470000	31	2719	2013-05-08
34/10-C-31	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1995-11-27	1996-01-17	GULLFAKS	NORTH SEA	ED50	61	12	54.62	N	2	16	26.59	E	61.215172	2.274053	6787132.500000	461001.010000	31	2720	2013-05-08
25/5-A-10	Elf Petroleum Norge AS	102	DEVELOPMENT	INJECTION	WATER	1995-11-28	1996-02-25	FRØY	NORTH SEA	ED50	59	44	3.51	N	2	33	28.30	E	59.734308	2.557861	6622059.410000	475139.920000	31	2721	2013-05-08
2/1-A-21	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1997-11-27	1998-07-23	GYDA	NORTH SEA	ED50	56	54	17.25	N	3	5	6.49	E	56.904792	3.085136	6306932.180000	505185.290000	31	2722	2013-05-08
30/8-2	Norsk Hydro Produksjon AS	190	EXPLORATION	WILDCAT	OIL SHOWS	1995-12-15	1996-01-14	\N	NORTH SEA	ED50	60	27	24.51	N	2	21	47.92	E	60.456808	2.363311	6702613.660000	464976.310000	31	2723	2013-05-08
30/3-A-7 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1995-12-20	1996-01-04	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	52.06	E	60.782756	2.897794	6738753.680000	494434.140000	31	2724	2013-05-08
34/10-A-44	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1996-01-31	1996-04-18	GULLFAKS	NORTH SEA	ED50	61	10	34.91	N	2	11	21.63	E	61.176364	2.189342	6782863.250000	456396.750000	31	2726	2013-05-08
30/6-C-7 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-08-06	1996-09-01	OSEBERG	NORTH SEA	ED50	60	36	29.42	N	2	46	33.72	E	60.608172	2.776033	6719324.390000	487737.050000	31	2727	2013-05-08
25/10-6 S	Den norske stats oljeselskap a.s	168	EXPLORATION	WILDCAT	SHOWS	1995-12-26	1996-03-22	\N	NORTH SEA	ED50	59	8	8.69	N	2	1	37.54	E	59.135747	2.027094	6555724.910000	444322.990000	31	2728	2013-05-08
33/12-B-2 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-02-08	1996-04-26	STATFJORD	NORTH SEA	ED50	61	12	25.25	N	1	49	52.41	E	61.207014	1.831225	6786568.570000	437196.810000	31	2731	2013-05-08
30/6-B-51 AH	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1996-01-23	1996-08-11	OSEBERG	NORTH SEA	ED50	60	31	59.58	N	2	44	23.91	E	60.533217	2.739975	6710982.990000	485729.740000	31	2732	2013-05-08
34/11-2 S	Den norske stats oljeselskap a.s	193	EXPLORATION	WILDCAT	GAS/CONDENSATE	1996-01-16	1996-05-17	\N	NORTH SEA	ED50	61	13	33.24	N	2	22	56.81	E	61.225900	2.382447	6788267.620000	466835.280000	31	2733	2013-05-08
34/7-C-1 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1996-01-17	1996-12-30	VIGDIS	NORTH SEA	ED50	61	22	49.91	N	2	6	11.80	E	61.380531	2.103278	6805665.130000	452079.950000	31	2734	2013-05-08
31/2-D-2 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1995-12-19	1996-01-28	TROLL	NORTH SEA	ED50	60	51	30.48	N	3	26	43.52	E	60.858467	3.445422	6747264.690000	524199.230000	31	2735	2013-05-08
6506/11-4 S	Den norske stats oljeselskap a.s	134	EXPLORATION	APPRAISAL	OIL	1996-02-11	1996-06-06	ÅSGARD	NORWEGIAN SEA	ED50	65	1	46.17	N	6	36	4.74	E	65.029492	6.601317	7214065.980000	387026.300000	32	2736	2013-05-08
30/9-B-16 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1996-07-08	1996-09-17	OSEBERG	NORTH SEA	ED50	60	29	36.27	N	2	49	42.89	E	60.493408	2.828581	6706533.160000	490580.890000	31	2737	2013-05-08
30/9-B-30 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	1998-01-21	1998-03-08	OSEBERG	NORTH SEA	ED50	60	29	36.13	N	2	49	43.29	E	60.493369	2.828692	6706528.810000	490586.980000	31	2738	2013-05-08
30/9-B-23 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	1999-11-04	1999-12-03	OSEBERG	NORTH SEA	ED50	60	29	36.20	N	2	49	43.09	E	60.493389	2.828636	6706530.980000	490583.940000	31	2739	2013-05-08
30/9-B-23 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	2000-05-22	2000-06-13	OSEBERG	NORTH SEA	ED50	60	29	36.20	N	2	49	43.09	E	60.493389	2.828636	6706530.980000	490583.940000	31	2740	2013-05-08
30/9-B-24 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2007-04-17	2007-08-25	OSEBERG	NORTH SEA	ED50	60	29	36.22	N	2	49	43.26	E	60.493394	2.828683	6706531.590000	490586.530000	31	2742	2013-05-08
30/9-B-36	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-01-23	1996-02-26	OSEBERG	NORTH SEA	ED50	60	29	36.05	N	2	49	43.33	E	60.493347	2.828703	6706526.330000	490587.590000	31	2744	2013-05-08
30/9-B-16 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	WATER	2005-12-04	2006-02-02	OSEBERG	NORTH SEA	ED50	60	29	36.27	N	2	49	42.89	E	60.493408	2.828581	6706533.160000	490580.890000	31	2745	2013-05-08
30/9-B-24 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1997-01-07	1997-03-24	OSEBERG	NORTH SEA	ED50	60	29	36.22	N	2	49	43.26	E	60.493394	2.828683	6706531.590000	490586.530000	31	2746	2013-05-08
34/10-C-32	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1996-01-23	1996-03-17	GULLFAKS	NORTH SEA	ED50	61	12	53.43	N	2	16	28.21	E	61.214842	2.274503	6787095.410000	461024.770000	31	2747	2013-05-08
9/2-B-1 H	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	1996-04-07	1996-05-08	YME	NORTH SEA	ED50	57	45	15.30	N	4	21	21.16	E	57.754250	4.355878	6402303.160000	580693.950000	31	2748	2013-05-08
15/9-B-6	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1996-02-05	1996-07-22	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.61	N	1	43	4.14	E	58.417947	1.717817	6476105.140000	425095.360000	31	2749	2013-05-08
30/6-C-12 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-01-22	1996-02-13	OSEBERG	NORTH SEA	ED50	60	36	29.42	N	2	46	33.60	E	60.608172	2.776000	6719324.390000	487735.230000	31	2750	2013-05-08
30/6-C-12 B	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1996-02-13	1996-03-05	OSEBERG	NORTH SEA	ED50	60	36	29.42	N	2	46	33.60	E	60.608172	2.776000	6719324.390000	487735.230000	31	2751	2013-05-08
30/6-C-12 C	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1996-03-05	1996-04-27	OSEBERG	NORTH SEA	ED50	60	36	29.42	N	2	46	33.60	E	60.608172	2.776000	6719324.390000	487735.230000	31	2752	2013-05-08
33/9-C-17	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-01-20	1996-02-16	STATFJORD	NORTH SEA	ED50	61	17	47.91	N	1	54	11.19	E	61.296642	1.903108	6796484.620000	441226.720000	31	2753	2013-05-08
30/9-B-36 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1996-02-26	1996-04-23	OSEBERG	NORTH SEA	ED50	60	29	36.05	N	2	49	43.33	E	60.493347	2.828703	6706526.330000	490587.590000	31	2754	2013-05-08
30/3-A-7 B	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1996-02-02	1996-02-28	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	52.06	E	60.782756	2.897794	6738753.680000	494434.140000	31	2755	2013-05-08
2/1-A-25	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	OIL	1996-01-22	1996-03-12	GYDA	NORTH SEA	ED50	56	54	17.19	N	3	5	6.38	E	56.904775	3.085106	6306930.320000	505183.430000	31	2756	2013-05-08
31/4-A-17	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-02-02	1996-04-03	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	51.03	E	60.542617	3.047508	6712002.720000	502606.520000	31	2757	2013-05-08
31/2-E-5 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-01-29	1996-02-09	TROLL	NORTH SEA	ED50	60	47	52.42	N	3	26	34.66	E	60.797894	3.442961	6740516.960000	524111.070000	31	2760	2013-05-08
34/7-C-3 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	\N	1996-01-23	1996-12-10	VIGDIS	NORTH SEA	ED50	61	22	49.49	N	2	6	11.82	E	61.380414	2.103283	6805652.130000	452080.060000	31	2761	2013-05-08
31/2-E-5 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1996-02-09	1996-03-02	TROLL	NORTH SEA	ED50	60	47	52.42	N	3	26	34.66	E	60.797894	3.442961	6740516.960000	524111.070000	31	2762	2013-05-08
15/9-A-16	Den norske stats oljeselskap a.s	046	DEVELOPMENT	INJECTION	CO2	1996-03-13	1996-04-16	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.70	N	1	54	30.25	E	58.367417	1.908403	6470282.800000	436137.370000	31	2763	2013-05-08
31/4-A-17 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	INJECTION	WATER	1996-04-04	1996-05-09	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	51.03	E	60.542617	3.047508	6712002.720000	502606.520000	31	2765	2013-05-08
6507/7-A-51	Den norske stats oljeselskap a.s	095	DEVELOPMENT	INJECTION	WATER	1996-03-08	1996-04-23	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.40	N	7	19	3.24	E	65.325667	7.317567	7245977.850000	421632.600000	32	2766	2013-05-08
30/3-A-17 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	WATER	1996-02-29	1996-04-10	VESLEFRIKK	NORTH SEA	ED50	60	46	58.08	N	2	53	52.16	E	60.782800	2.897822	6738758.620000	494435.660000	31	2767	2013-05-08
34/7-C-4 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1999-06-14	1999-08-28	VIGDIS	NORTH SEA	ED50	61	22	49.66	N	2	6	11.87	E	61.380461	2.103297	6805657.380000	452080.880000	31	2768	2013-05-08
25/10-7 S	Esso Exploration and Production Norway A/S	028 P	EXPLORATION	WILDCAT	DRY	1996-05-20	1996-06-08	\N	NORTH SEA	ED50	59	4	57.64	N	2	8	23.75	E	59.082678	2.139931	6549726.890000	450703.950000	31	2769	2013-05-08
35/11-8 S	Norsk Hydro Produksjon AS	090	EXPLORATION	WILDCAT	OIL/GAS	1996-03-03	1996-05-11	FRAM	NORTH SEA	ED50	61	5	25.53	N	3	32	14.85	E	61.090425	3.537458	6773139.140000	528987.440000	31	2772	2013-05-08
2/8-F-2 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1996-03-12	1996-07-08	VALHALL	NORTH SEA	ED50	56	16	35.65	N	3	23	46.96	E	56.276569	3.396378	6237070.590000	524545.510000	31	2773	2013-05-08
31/2-D-7 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1996-03-06	1996-04-07	TROLL	NORTH SEA	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	2774	2013-05-08
7709/7-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1995-08-10	1995-08-11	\N	UNOPENEDAREA	ED50	77	20	26.28	N	9	4	39.66	E	77.340633	9.077683	8592335.100000	355339.220000	33	2775	2013-05-08
7709/7-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1995-08-11	1995-08-11	\N	UNOPENEDAREA	ED50	77	20	25.86	N	9	4	39.86	E	77.340517	9.077739	8592322.000000	355339.260000	33	2776	2013-05-08
7709/7-U-3	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	SHALLOW	\N	\N	1995-08-11	1995-08-13	\N	UNOPENEDAREA	ED50	77	20	25.86	N	9	4	39.84	E	77.340517	9.077733	8592322.020000	355339.130000	33	2777	2013-05-08
7709/7-U-4	Ocean Drilling Program, Texas A & M University	\N	SHALLOW	\N	\N	1995-08-15	1995-08-19	\N	UNOPENEDAREA	ED50	77	20	24.48	N	9	4	39.24	E	77.340133	9.077567	8592279.860000	355330.760000	33	2778	2013-05-08
33/9-C-1 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1996-03-09	1996-04-21	STATFJORD	NORTH SEA	ED50	61	17	48.17	N	1	54	11.09	E	61.296714	1.903081	6796492.690000	441225.370000	31	2779	2013-05-08
15/9-B-7	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1996-03-27	1996-08-28	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.66	N	1	43	4.29	E	58.417961	1.717858	6476106.640000	425097.820000	31	2780	2013-05-08
9/2-B-2 H	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	1996-03-25	1996-07-28	YME	NORTH SEA	ED50	57	45	15.30	N	4	21	21.80	E	57.754250	4.356056	6402303.370000	580704.530000	31	2781	2013-05-08
35/10-2	Den norske stats oljeselskap a.s	173	EXPLORATION	WILDCAT	GAS	1996-04-16	1996-08-22	\N	NORTH SEA	ED50	61	2	22.67	N	3	2	30.60	E	61.039631	3.041833	6767362.830000	502259.880000	31	2783	2013-05-08
2/1-A-14 A	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	\N	1996-03-15	1996-05-08	GYDA	NORTH SEA	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	2784	2013-05-08
2/8-A-26 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1996-03-18	1996-05-02	VALHALL	NORTH SEA	ED50	56	16	41.02	N	3	23	44.20	E	56.278061	3.395611	6237236.350000	524497.090000	31	2785	2013-05-08
34/10-C-33	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1996-03-18	1996-04-04	GULLFAKS	NORTH SEA	ED50	61	12	54.90	N	2	16	26.25	E	61.215250	2.273958	6787141.220000	460996.030000	31	2787	2013-05-08
9/2-A-8	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	1996-03-25	1996-06-06	YME	NORTH SEA	ED50	57	49	7.48	N	4	31	10.74	E	57.818744	4.519650	6409689.370000	590278.650000	31	2790	2013-05-08
6506/11-5 S	Den norske stats oljeselskap a.s	134	EXPLORATION	APPRAISAL	OIL/GAS	1996-09-10	1996-11-10	ÅSGARD	NORWEGIAN SEA	ED50	65	5	17.50	N	6	39	44.00	E	65.088194	6.662222	7220497.620000	390135.870000	32	2794	2013-05-08
6506/12-11 S	Den norske stats oljeselskap a.s	094	EXPLORATION	APPRAISAL	OIL	1996-06-08	1996-09-07	ÅSGARD	NORWEGIAN SEA	ED50	65	5	7.20	N	6	40	54.75	E	65.085333	6.681875	7220144.870000	391047.420000	32	2795	2013-05-08
6407/1-4	Den norske stats oljeselskap a.s	073	EXPLORATION	APPRAISAL	OIL/GAS	1996-06-08	1996-08-23	TYRIHANS	NORWEGIAN SEA	ED50	64	51	46.05	N	7	1	21.25	E	64.862792	7.022569	7194806.980000	406280.050000	32	2796	2013-05-08
31/2-19 S	Norsk Hydro Produksjon AS	191	EXPLORATION	WILDCAT	DRY	1996-05-08	1996-07-13	\N	NORTH SEA	ED50	60	54	37.50	N	3	22	17.32	E	60.910417	3.371478	6753026.190000	520149.180000	31	2798	2013-05-08
31/4-A-15	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	CUTTINGS	1996-05-10	1996-06-25	BRAGE	NORTH SEA	ED50	60	32	33.00	N	3	2	50.69	E	60.542500	3.047414	6711989.720000	502601.350000	31	2801	2013-05-08
34/7-I-3 AH	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	\N	1996-04-25	1996-07-02	TORDIS	NORTH SEA	ED50	61	16	34.23	N	2	7	1.68	E	61.276175	2.117133	6794031.110000	452663.180000	31	2802	2013-05-08
31/6-A-10	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-04-10	1996-06-06	TROLL	NORTH SEA	ED50	60	38	44.98	N	3	43	35.38	E	60.645828	3.726494	6723717.250000	539731.230000	31	2803	2013-05-08
31/5-H-1 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-04-14	1996-04-30	TROLL	NORTH SEA	ED50	60	42	57.98	N	3	30	39.37	E	60.716106	3.510936	6731433.950000	527881.900000	31	2804	2013-05-08
6507/7-A-9	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	\N	1996-04-24	1996-07-04	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.85	N	7	19	2.31	E	65.325792	7.317308	7245992.100000	421620.940000	32	2805	2013-05-08
34/10-A-6 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1996-04-25	1996-06-01	GULLFAKS	NORTH SEA	ED50	61	10	33.64	N	2	11	23.09	E	61.176011	2.189747	6782823.690000	456418.080000	31	2806	2013-05-08
34/10-C-20 AY1	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	1996-04-20	1996-05-24	GULLFAKS	NORTH SEA	ED50	61	12	53.39	N	2	16	28.06	E	61.214831	2.274461	6787094.200000	461022.520000	31	2807	2013-05-08
33/9-A-16 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-05-06	1996-07-11	STATFJORD	NORTH SEA	ED50	61	15	20.78	N	1	51	14.96	E	61.255772	1.854156	6791977.530000	438524.090000	31	2808	2013-05-08
2/7-B-17 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1996-06-13	1996-09-01	ELDFISK	NORTH SEA	ED50	56	25	9.21	N	3	13	6.25	E	56.419225	3.218403	6252900.080000	513474.140000	31	2809	2013-05-08
25/11-21 A	Norsk Hydro Produksjon AS	169	EXPLORATION	APPRAISAL	OIL	1996-05-12	1996-10-01	GRANE	NORTH SEA	ED50	59	9	43.43	N	2	27	53.07	E	59.162064	2.464742	6558372.450000	469391.490000	31	2812	2013-05-08
33/9-M-4 AH	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-04-18	1996-05-21	STATFJORD ØST	NORTH SEA	ED50	61	20	27.97	N	1	59	59.27	E	61.341103	1.999797	6801353.780000	446483.030000	31	2813	2013-05-08
31/6-A-16	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-04-20	1996-05-28	TROLL	NORTH SEA	ED50	60	38	44.83	N	3	43	35.53	E	60.645786	3.726536	6723712.640000	539733.560000	31	2814	2013-05-08
34/10-C-34	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-05-06	1996-06-20	GULLFAKS	NORTH SEA	ED50	61	12	54.87	N	2	16	26.48	E	61.215242	2.274022	6787140.250000	460999.450000	31	2815	2013-05-08
15/9-B-13	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1996-08-30	1996-12-27	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.42	N	1	43	4.17	E	58.417894	1.717825	6476099.260000	425095.730000	31	2816	2013-05-08
2/7-A-12 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1996-05-26	1996-07-23	ELDFISK	NORTH SEA	ED50	56	22	36.48	N	3	15	57.60	E	56.376800	3.266000	6248188.160000	516428.850000	31	2817	2013-05-08
2/1-A-12	BP Norway Limited  U.A.	019 B	DEVELOPMENT	INJECTION	WATER	1996-05-08	1996-08-07	GYDA	NORTH SEA	ED50	56	54	17.61	N	3	5	6.49	E	56.904892	3.085136	6306943.310000	505185.280000	31	2818	2013-05-08
33/12-B-41 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-05-19	1996-06-06	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	2819	2013-05-08
31/5-H-1 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1996-04-30	1996-06-01	TROLL	NORTH SEA	ED50	60	42	57.98	N	3	30	39.37	E	60.716106	3.510936	6731433.950000	527881.900000	31	2820	2013-05-08
25/11-D-1 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	INJECTION	GAS	1996-05-25	1997-04-30	BALDER	NORTH SEA	ED50	59	12	1.03	N	2	24	37.02	E	59.200286	2.410283	6562654.960000	466314.990000	31	2821	2013-05-08
7/12-A-7 A	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	\N	1996-10-11	1996-10-23	ULA	NORTH SEA	ED50	57	6	41.45	N	2	50	50.50	E	57.111514	2.847361	6329951.620000	490754.810000	31	2822	2013-05-08
24/12-3 S	Den norske stats oljeselskap a.s	204	EXPLORATION	WILDCAT	OIL	1996-06-27	1996-07-29	\N	NORTH SEA	ED50	59	5	57.53	N	1	47	23.33	E	59.099314	1.789814	6551890.290000	430671.310000	31	2823	2013-05-08
30/9-B-14 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1996-05-18	1996-07-03	OSEBERG	NORTH SEA	ED50	60	29	36.24	N	2	49	42.55	E	60.493400	2.828486	6706532.240000	490575.700000	31	2824	2013-05-08
34/7-P-39	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1996-06-18	1996-08-12	SNORRE	NORTH SEA	ED50	61	26	58.24	N	2	8	37.06	E	61.449511	2.143628	6813319.880000	454336.980000	31	2827	2013-05-08
9/2-A-4	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	1996-06-08	1996-11-25	YME	NORTH SEA	ED50	57	49	7.53	N	4	31	11.21	E	57.818758	4.519781	6409691.090000	590286.370000	31	2828	2013-05-08
1/3-8	Amoco Norway Oil Company	011	EXPLORATION	WILDCAT	SHOWS	1996-12-12	1997-05-27	\N	NORTH SEA	ED50	56	52	7.14	N	2	53	20.75	E	56.868650	2.889097	6302911.220000	493238.840000	31	2829	2013-05-08
33/9-19 S	Den norske stats oljeselskap a.s	037	EXPLORATION	APPRAISAL	OIL	1996-06-29	1996-07-23	SYGNA	NORTH SEA	ED50	61	28	33.56	N	1	59	50.60	E	61.475989	1.997389	6816380.310000	446585.050000	31	2830	2013-05-08
31/5-H-4 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1996-06-28	1996-08-06	TROLL	NORTH SEA	ED50	60	42	55.16	N	3	30	26.53	E	60.715322	3.507369	6731345.200000	527687.940000	31	2834	2013-05-08
33/12-B-6 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1996-06-28	1996-07-08	STATFJORD	NORTH SEA	ED50	61	12	25.18	N	1	49	52.34	E	61.206994	1.831206	6786566.430000	437195.730000	31	2835	2013-05-08
31/6-A-27	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-06-16	1996-08-16	TROLL	NORTH SEA	ED50	60	38	43.62	N	3	43	35.23	E	60.645450	3.726453	6723675.150000	539729.410000	31	2836	2013-05-08
31/6-A-29	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-07-06	1996-07-27	TROLL	NORTH SEA	ED50	60	38	43.77	N	3	43	35.38	E	60.645492	3.726494	6723679.820000	539731.640000	31	2837	2013-05-08
31/6-A-31	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-06-26	1996-08-07	TROLL	NORTH SEA	ED50	60	38	43.62	N	3	43	35.38	E	60.645450	3.726494	6723675.180000	539731.690000	31	2838	2013-05-08
34/10-C-34 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1996-06-20	1996-08-11	GULLFAKS	NORTH SEA	ED50	61	12	54.87	N	2	16	26.48	E	61.215242	2.274022	6787140.250000	460999.450000	31	2840	2013-05-08
34/10-B-36 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1996-10-04	1996-11-19	GULLFAKS	NORTH SEA	ED50	61	12	10.01	N	2	12	6.22	E	61.202781	2.201728	6785797.520000	457098.870000	31	2841	2013-05-08
31/4-A-9	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1996-06-25	1996-10-06	BRAGE	NORTH SEA	ED50	60	32	33.00	N	3	2	50.35	E	60.542500	3.047319	6711989.720000	502596.170000	31	2845	2013-05-08
34/10-B-5 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1996-08-09	1996-12-21	GULLFAKS	NORTH SEA	ED50	61	12	11.13	N	2	12	5.24	E	61.203092	2.201456	6785832.360000	457084.670000	31	2846	2013-05-08
36/4-1	BP Norway Limited  U.A.	196	EXPLORATION	WILDCAT	DRY	1996-09-03	1996-10-01	\N	NORTH SEA	ED50	61	43	56.60	N	4	2	1.29	E	61.732389	4.033692	6844966.430000	554617.380000	31	2847	2013-05-08
6507/7-A-25	Den norske stats oljeselskap a.s	095	DEVELOPMENT	INJECTION	WATER	1996-07-04	1996-11-16	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.64	N	7	19	2.45	E	65.325733	7.317347	7245985.550000	421622.580000	32	2848	2013-05-08
6406/2-3	Saga Petroleum ASA	199	EXPLORATION	WILDCAT	GAS/CONDENSATE	1996-08-24	1997-04-15	KRISTIN	NORWEGIAN SEA	ED50	64	58	40.80	N	6	24	37.71	E	64.978000	6.410475	7208685.600000	377806.710000	32	2849	2013-05-08
31/6-A-3	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-09-01	1996-10-05	TROLL	NORTH SEA	ED50	60	38	44.83	N	3	43	35.08	E	60.645786	3.726411	6723712.560000	539726.720000	31	2850	2013-05-08
31/6-A-17	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-08-17	1996-10-25	TROLL	NORTH SEA	ED50	60	38	44.75	N	3	43	35.53	E	60.645764	3.726536	6723710.160000	539733.580000	31	2851	2013-05-08
31/6-A-2	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-09-07	1996-10-14	TROLL	NORTH SEA	ED50	60	38	44.90	N	3	43	35.08	E	60.645806	3.726411	6723714.730000	539726.700000	31	2852	2013-05-08
31/6-A-25	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-11-08	1997-01-08	TROLL	NORTH SEA	ED50	60	38	43.77	N	3	43	35.23	E	60.645492	3.726453	6723679.790000	539729.360000	31	2853	2013-05-08
31/6-A-26	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-11-19	1996-12-29	TROLL	NORTH SEA	ED50	60	38	43.69	N	3	43	35.23	E	60.645469	3.726453	6723677.320000	539729.390000	31	2854	2013-05-08
31/6-A-34	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-10-28	1997-01-18	TROLL	NORTH SEA	ED50	60	38	43.77	N	3	43	35.53	E	60.645492	3.726536	6723679.840000	539733.920000	31	2855	2013-05-08
31/6-A-36	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1996-11-30	1996-12-20	TROLL	NORTH SEA	ED50	60	38	43.62	N	3	43	35.53	E	60.645450	3.726536	6723675.200000	539733.970000	31	2856	2013-05-08
34/7-I-3 BH	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1996-07-02	1996-07-18	TORDIS	NORTH SEA	ED50	61	16	34.23	N	2	7	1.68	E	61.276175	2.117133	6794031.110000	452663.180000	31	2857	2013-05-08
30/6-C-7 C	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1996-12-18	1997-02-25	OSEBERG	NORTH SEA	ED50	60	36	29.42	N	2	46	33.72	E	60.608172	2.776033	6719324.390000	487737.050000	31	2859	2013-05-08
33/9-A-34 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-07-24	1996-11-11	STATFJORD	NORTH SEA	ED50	61	15	19.77	N	1	51	14.40	E	61.255492	1.854000	6791946.430000	438515.200000	31	2861	2013-05-08
33/12-B-23 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-07-15	1996-09-19	STATFJORD	NORTH SEA	ED50	61	12	24.10	N	1	49	51.19	E	61.206694	1.830886	6786533.320000	437177.960000	31	2862	2013-05-08
34/7-25 S	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1996-07-31	1996-09-14	TORDIS	NORTH SEA	ED50	61	15	9.24	N	2	8	41.14	E	61.252567	2.144761	6791381.740000	454110.020000	31	2863	2013-05-08
34/11-3	Den norske stats oljeselskap a.s	193	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1996-08-01	1997-01-16	KVITEBJØRN	NORTH SEA	ED50	61	5	45.25	N	2	31	6.51	E	61.095903	2.518475	6773725.820000	474033.730000	31	2866	2013-05-08
9/2-6 S	Den norske stats oljeselskap a.s	114	EXPLORATION	WILDCAT	OIL	1996-08-19	1996-12-13	YME	NORTH SEA	ED50	57	49	7.47	N	4	31	10.95	E	57.818742	4.519708	6409689.140000	590282.120000	31	2867	2013-05-08
34/10-C-35	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1996-08-11	1997-03-14	GULLFAKS	NORTH SEA	ED50	61	12	53.38	N	2	16	27.69	E	61.214828	2.274358	6787093.950000	461017.000000	31	2868	2013-05-08
34/7-A-17 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1996-08-08	1996-11-14	SNORRE	NORTH SEA	ED50	61	29	21.17	N	2	13	34.62	E	61.489214	2.226283	6817687.370000	458796.610000	31	2869	2013-05-08
2/7-B-17 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1996-09-02	1996-09-28	ELDFISK	NORTH SEA	ED50	56	25	9.21	N	3	13	6.25	E	56.419225	3.218403	6252900.080000	513474.140000	31	2870	2013-05-08
30/9-B-10	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-09-23	1996-10-28	OSEBERG	NORTH SEA	ED50	60	29	36.36	N	2	49	42.85	E	60.493433	2.828569	6706535.940000	490580.290000	31	2871	2013-05-08
33/9-19 A	Den norske stats oljeselskap a.s	037	EXPLORATION	APPRAISAL	OIL	1996-07-23	1996-08-09	SYGNA	NORTH SEA	ED50	61	28	33.56	N	1	59	50.60	E	61.475989	1.997389	6816380.310000	446585.050000	31	2872	2013-05-08
33/6-2	Mobil Exploration Norway INC	206	EXPLORATION	WILDCAT	SHOWS	1996-10-28	1997-01-02	\N	NORTH SEA	ED50	61	32	15.87	N	1	56	33.00	E	61.537742	1.942500	6823304.990000	443772.570000	31	2873	2013-05-08
6610/2-1 S	Den norske stats oljeselskap a.s	177	EXPLORATION	WILDCAT	SHOWS	1996-08-27	1996-09-28	\N	NORWEGIAN SEA	ED50	66	48	48.73	N	10	30	26.70	E	66.813536	10.507417	7411584.430000	566228.210000	32	2874	2013-05-08
31/2-F-1 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-08-25	1996-09-07	TROLL	NORTH SEA	ED50	60	46	36.44	N	3	26	9.19	E	60.776789	3.435886	6738163.560000	523741.580000	31	2875	2013-05-08
25/11-D-2 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-08-02	1996-08-12	BALDER	NORTH SEA	ED50	59	11	59.60	N	2	24	33.19	E	59.199889	2.409219	6562611.270000	466253.820000	31	2876	2013-05-08
34/7-P-22	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1996-08-18	1996-11-27	SNORRE	NORTH SEA	ED50	61	26	57.47	N	2	8	36.81	E	61.449297	2.143558	6813296.110000	454332.960000	31	2877	2013-05-08
6407/7-A-14 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	1999-12-16	2000-02-17	NJORD	NORWEGIAN SEA	ED50	64	16	16.39	N	7	12	6.41	E	64.271219	7.201781	7128645.400000	412903.200000	32	2880	2013-05-08
34/10-A-45	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1996-08-23	1996-09-30	GULLFAKS	NORTH SEA	ED50	61	10	34.73	N	2	11	21.65	E	61.176314	2.189347	6782857.680000	456396.980000	31	2881	2013-05-08
25/11-D-2 AH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	1996-08-13	1997-04-06	BALDER	NORTH SEA	ED50	59	11	59.60	N	2	24	33.19	E	59.199889	2.409219	6562611.270000	466253.820000	31	2882	2013-05-08
25/11-C-3 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-08-29	1996-09-19	BALDER	NORTH SEA	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	2884	2013-05-08
2/6-5	Saga Petroleum ASA	008	EXPLORATION	WILDCAT	OIL	1996-11-17	1997-01-11	\N	NORTH SEA	ED50	56	35	36.69	N	3	45	42.73	E	56.593525	3.761869	6272539.870000	546787.120000	31	2885	2013-05-08
30/5-2	Norsk Hydro Produksjon AS	034	EXPLORATION	APPRAISAL	OIL/GAS	1996-10-04	1996-12-21	TUNE	NORTH SEA	ED50	60	30	16.30	N	2	38	12.71	E	60.504528	2.636864	6707814.400000	480053.380000	31	2886	2013-05-08
31/2-F-1 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1996-09-08	1996-10-12	TROLL	NORTH SEA	ED50	60	46	36.44	N	3	26	9.19	E	60.776789	3.435886	6738163.560000	523741.580000	31	2887	2013-05-08
30/6-C-7 B	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1996-11-06	1996-12-18	OSEBERG	NORTH SEA	ED50	60	36	29.42	N	2	46	33.72	E	60.608172	2.776033	6719324.390000	487737.050000	31	2888	2013-05-08
30/3-A-24	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2002-03-06	2002-05-12	VESLEFRIKK	NORTH SEA	ED50	60	46	58.03	N	2	53	52.06	E	60.782786	2.897794	6738757.080000	494434.140000	31	2889	2013-05-08
34/7-J-7 H	Saga Petroleum ASA	089	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-07-02	1997-07-19	TORDIS	NORTH SEA	ED50	61	17	29.79	N	2	9	46.37	E	61.291608	2.162881	6795717.910000	455137.950000	31	2890	2013-05-08
3/7-6	A/S Norske Shell	147	EXPLORATION	WILDCAT	SHOWS	1996-10-08	1996-11-30	\N	NORTH SEA	ED50	56	25	49.44	N	4	18	2.98	E	56.430400	4.300828	6254881.460000	580227.120000	31	2891	2013-05-08
2/8-F-10	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1999-02-25	1999-04-18	VALHALL	NORTH SEA	ED50	56	16	35.67	N	3	23	47.09	E	56.276575	3.396414	6237071.220000	524547.750000	31	2892	2013-05-08
2/8-F-11	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1998-01-07	1998-02-18	VALHALL	NORTH SEA	ED50	56	16	35.61	N	3	23	47.06	E	56.276558	3.396406	6237069.360000	524547.240000	31	2893	2013-05-08
2/8-F-12	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1998-02-18	1998-04-23	VALHALL	NORTH SEA	ED50	56	16	35.49	N	3	23	47.10	E	56.276525	3.396417	6237065.650000	524547.950000	31	2894	2013-05-08
2/8-F-13	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	\N	1998-06-01	1998-08-12	VALHALL	NORTH SEA	ED50	56	16	35.58	N	3	23	47.28	E	56.276550	3.396467	6237068.460000	524551.030000	31	2895	2013-05-08
2/8-F-5	BP Amoco Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2001-06-27	2001-08-08	VALHALL	NORTH SEA	ED50	56	16	36.15	N	3	23	47.15	E	56.276708	3.396431	6237086.070000	524548.690000	31	2897	2013-05-08
2/8-F-6	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1996-12-06	1997-01-28	VALHALL	NORTH SEA	ED50	56	16	35.57	N	3	23	46.96	E	56.276547	3.396378	6237068.110000	524545.530000	31	2898	2013-05-08
2/8-F-7	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1997-05-12	1997-07-07	VALHALL	NORTH SEA	ED50	56	16	35.60	N	3	23	47.17	E	56.276556	3.396436	6237069.060000	524549.140000	31	2899	2013-05-08
2/8-F-8	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1997-07-17	1997-08-24	VALHALL	NORTH SEA	ED50	56	16	35.00	N	3	23	47.00	E	56.276389	3.396389	6237050.490000	524546.320000	31	2900	2013-05-08
9/2-B-3 H	Den norske stats oljeselskap a.s	114	DEVELOPMENT	INJECTION	GAS	1999-08-02	1999-08-29	YME	NORTH SEA	ED50	57	45	15.15	N	4	21	21.75	E	57.754208	4.356042	6402298.710000	580703.800000	31	2901	2013-05-08
33/12-B-28 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-01-30	1997-02-19	STATFJORD	NORTH SEA	ED50	61	12	24.00	N	1	49	51.26	E	61.206667	1.830906	6786530.210000	437178.950000	31	2902	2013-05-08
2/8-F-9	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1997-01-28	1997-04-13	VALHALL	NORTH SEA	ED50	56	16	35.46	N	3	23	47.22	E	56.276517	3.396450	6237064.740000	524550.020000	31	2903	2013-05-08
6608/10-B-1 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	OIL	1999-01-26	1999-04-05	NORNE	NORWEGIAN SEA	ED50	66	0	55.22	N	8	3	17.29	E	66.015339	8.054803	7322128.370000	457125.620000	32	2904	2013-05-08
6608/10-B-2 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	OIL	1996-12-13	1997-12-09	NORNE	NORWEGIAN SEA	ED50	66	0	55.04	N	8	3	17.00	E	66.015289	8.054722	7322122.850000	457121.880000	32	2905	2013-05-08
6608/10-B-3 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	OIL	1999-05-21	1999-07-05	NORNE	NORWEGIAN SEA	ED50	66	0	55.46	N	8	3	17.00	E	66.015406	8.054722	7322135.860000	457122.070000	32	2906	2013-05-08
6608/10-B-4 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	\N	1998-01-12	1998-02-06	NORNE	NORWEGIAN SEA	ED50	66	0	55.47	N	8	3	16.37	E	66.015408	8.054547	7322136.280000	457114.140000	32	2907	2013-05-08
6608/10-C-1 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	INJECTION	WATER	1998-02-12	1998-07-20	NORNE	NORWEGIAN SEA	ED50	66	0	51.89	N	8	3	22.53	E	66.014414	8.056258	7322024.280000	457190.080000	32	2908	2013-05-08
6608/10-C-2 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	INJECTION	WATER	1998-10-01	1998-11-27	NORNE	NORWEGIAN SEA	ED50	66	0	51.97	N	8	3	21.93	E	66.014436	8.056092	7322026.870000	457182.560000	32	2909	2013-05-08
6608/10-C-3 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	INJECTION	WATER	1999-04-06	1999-05-20	NORNE	NORWEGIAN SEA	ED50	66	0	52.05	N	8	3	21.37	E	66.014458	8.055936	7322029.450000	457175.540000	32	2910	2013-05-08
6608/10-C-4 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	INJECTION	GAS	1996-11-18	1997-08-18	NORNE	NORWEGIAN SEA	ED50	66	0	52.20	N	8	3	21.72	E	66.014500	8.056033	7322034.030000	457180.020000	32	2911	2013-05-08
6608/10-D-1 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	\N	1996-09-28	1996-11-18	NORNE	NORWEGIAN SEA	ED50	66	0	49.30	N	8	3	28.89	E	66.013694	8.058025	7321942.880000	457269.010000	32	2912	2013-05-08
6608/10-D-2 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	OIL	1997-01-09	1998-01-05	NORNE	NORWEGIAN SEA	ED50	66	0	49.15	N	8	3	28.53	E	66.013653	8.057925	7321938.310000	457264.410000	32	2913	2013-05-08
6608/10-D-3 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	\N	2000-07-05	2000-08-04	NORNE	NORWEGIAN SEA	ED50	66	0	49.47	N	8	3	27.73	E	66.013742	8.057703	7321948.370000	457254.480000	32	2914	2013-05-08
6608/10-D-4 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	\N	1998-01-07	1998-06-18	NORNE	NORWEGIAN SEA	ED50	66	0	49.62	N	8	3	28.09	E	66.013783	8.057803	7321952.940000	457259.080000	32	2915	2013-05-08
33/9-A-40 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-11-25	1997-01-20	STATFJORD	NORTH SEA	ED50	61	15	19.72	N	1	51	13.87	E	61.255478	1.853853	6791945.020000	438507.270000	31	2916	2013-05-08
2/7-B-6 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2001-01-06	2001-03-09	ELDFISK	NORTH SEA	ED50	56	25	8.97	N	3	13	6.22	E	56.419158	3.218394	6252892.660000	513473.650000	31	2917	2013-05-08
32/4-1	Phillips Petroleum Company Norway	205	EXPLORATION	WILDCAT	DRY	1996-10-21	1996-12-04	\N	NORTH SEA	ED50	60	43	19.90	N	4	4	36.70	E	60.722194	4.076861	6732485.340000	558752.030000	31	2918	2013-05-08
6407/7-A-15 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	OBSERVATION	OIL	1996-09-21	1996-11-02	NJORD	NORWEGIAN SEA	ED50	64	16	16.54	N	7	12	5.61	E	64.271261	7.201558	7128650.350000	412892.570000	32	2921	2013-05-08
25/11-A-5 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-09-27	1996-11-03	BALDER	NORTH SEA	ED50	59	11	30.22	N	2	21	34.19	E	59.191728	2.359497	6561728.700000	463404.950000	31	2922	2013-05-08
2/7-A-14 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1996-10-13	1996-12-01	ELDFISK	NORTH SEA	ED50	56	22	36.59	N	3	15	57.71	E	56.376831	3.266031	6248191.570000	516430.730000	31	2923	2013-05-08
30/6-C-13	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-09-26	1996-10-24	OSEBERG	NORTH SEA	ED50	60	36	29.49	N	2	46	33.13	E	60.608192	2.775869	6719326.580000	487728.090000	31	2924	2013-05-08
31/4-A-32	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-07-21	2000-09-18	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.52	E	60.542617	3.047367	6712002.720000	502598.750000	31	2929	2013-05-08
34/10-C-36	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-10-05	1997-05-30	GULLFAKS	NORTH SEA	ED50	61	12	54.77	N	2	16	26.79	E	61.215214	2.274108	6787137.110000	461004.040000	31	2930	2013-05-08
34/4-9 S	Saga Petroleum ASA	057	EXPLORATION	APPRAISAL	OIL	1997-01-08	1997-02-15	SNORRE	NORTH SEA	ED50	61	30	44.75	N	2	10	18.12	E	61.512431	2.171700	6820309.220000	455922.810000	31	2931	2013-05-08
6610/3-1 R2	Den norske stats oljeselskap a.s	177	EXPLORATION	WILDCAT	SHOWS	1996-10-01	1996-10-07	\N	NORWEGIAN SEA	ED50	66	55	29.70	N	10	54	6.28	E	66.924917	10.901744	7424470.290000	583170.040000	32	2932	2013-05-08
33/9-C-29	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-10-13	1997-01-05	STATFJORD	NORTH SEA	ED50	61	17	46.83	N	1	54	10.41	E	61.296342	1.902892	6796451.400000	441214.550000	31	2933	2013-05-08
31/2-G-1 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-10-14	1996-10-23	TROLL	NORTH SEA	ED50	60	45	14.72	N	3	26	22.19	E	60.754089	3.439497	6735636.460000	523955.190000	31	2936	2013-05-08
25/11-A-6 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	\N	1996-10-07	1998-10-12	BALDER	NORTH SEA	ED50	59	11	28.33	N	2	21	37.41	E	59.191203	2.360392	6561669.750000	463455.490000	31	2937	2013-05-08
30/9-B-10 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1996-10-28	1996-12-05	OSEBERG	NORTH SEA	ED50	60	29	36.36	N	2	49	42.85	E	60.493433	2.828569	6706535.940000	490580.290000	31	2938	2013-05-08
2/7-B-1 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1996-12-08	1997-02-14	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	6.44	E	56.419161	3.218456	6252892.980000	513477.420000	31	2941	2013-05-08
31/6-A-14	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-01-19	1997-03-30	TROLL	NORTH SEA	ED50	60	38	44.98	N	3	43	35.53	E	60.645828	3.726536	6723717.280000	539733.500000	31	2942	2013-05-08
31/6-A-5	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-01-26	1997-03-20	TROLL	NORTH SEA	ED50	60	38	44.98	N	3	43	35.23	E	60.645828	3.726453	6723717.230000	539728.950000	31	2943	2013-05-08
31/6-A-1	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-02-03	1997-03-11	TROLL	NORTH SEA	ED50	60	38	44.98	N	3	43	35.08	E	60.645828	3.726411	6723717.200000	539726.670000	31	2944	2013-05-08
31/6-A-32	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-04-20	1997-05-25	TROLL	NORTH SEA	ED50	60	38	43.54	N	3	43	35.38	E	60.645428	3.726494	6723672.700000	539731.720000	31	2945	2013-05-08
31/6-A-38	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-04-06	1997-09-05	TROLL	NORTH SEA	ED50	60	38	43.77	N	3	43	35.68	E	60.645492	3.726578	6723679.870000	539736.200000	31	2946	2013-05-08
31/6-A-39	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-04-11	1997-07-09	TROLL	NORTH SEA	ED50	60	38	43.69	N	3	43	35.68	E	60.645469	3.726578	6723677.390000	539736.220000	31	2947	2013-05-08
31/6-A-40	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-04-16	1997-09-23	TROLL	NORTH SEA	ED50	60	38	43.62	N	3	43	35.68	E	60.645450	3.726578	6723675.230000	539736.250000	31	2948	2013-05-08
31/6-A-20	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-07-27	1998-03-07	TROLL	NORTH SEA	ED50	60	38	44.83	N	3	43	35.68	E	60.645786	3.726578	6723712.660000	539735.830000	31	2949	2013-05-08
31/6-A-19	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-07-29	1997-11-29	TROLL	NORTH SEA	ED50	60	38	44.90	N	3	43	35.68	E	60.645806	3.726578	6723714.830000	539735.810000	31	2950	2013-05-08
31/6-A-18	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-08-01	1997-12-09	TROLL	NORTH SEA	ED50	60	38	44.98	N	3	43	35.68	E	60.645828	3.726578	6723717.300000	539735.780000	31	2951	2013-05-08
6204/10-2	Den norske stats oljeselskap a.s	175	EXPLORATION	WILDCAT	DRY	1997-01-19	1997-02-12	\N	NORWEGIAN SEA	ED50	62	2	41.24	N	4	7	4.59	E	62.044789	4.117942	6879839.000000	558469.640000	31	2952	2013-05-08
30/6-C-13 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1997-04-14	1997-06-06	OSEBERG	NORTH SEA	ED50	60	36	29.49	N	2	46	33.13	E	60.608192	2.775869	6719326.580000	487728.090000	31	2953	2013-05-08
6507/3-2	Den norske stats oljeselskap a.s	159	EXPLORATION	WILDCAT	DRY	1997-04-06	1997-04-27	\N	NORWEGIAN SEA	ED50	65	45	25.29	N	7	55	18.79	E	65.757025	7.921886	7293435.730000	450602.420000	32	2954	2013-05-08
25/10-8	Esso Exploration and Production Norway A/S	028 P	EXPLORATION	WILDCAT	OIL/GAS	1997-02-17	1997-04-07	\N	NORTH SEA	ED50	59	1	48.48	N	2	13	25.35	E	59.030133	2.223708	6543817.160000	455437.650000	31	2955	2013-05-08
31/2-G-1 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1996-10-23	1997-02-12	TROLL	NORTH SEA	ED50	60	45	14.72	N	3	26	22.19	E	60.754089	3.439497	6735636.460000	523955.190000	31	2956	2013-05-08
6407/7-A-15 AH	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	1996-11-02	1997-05-08	NJORD	NORWEGIAN SEA	ED50	64	16	16.54	N	7	12	5.61	E	64.271261	7.201558	7128650.350000	412892.570000	32	2957	2013-05-08
2/4-X-38	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	CUTTINGS	1996-10-26	1996-12-07	EKOFISK	NORTH SEA	ED50	56	32	51.83	N	3	13	8.70	E	56.547731	3.219083	6267204.200000	513470.520000	31	2959	2013-05-08
33/9-G-3 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1996-12-09	1999-08-01	STATFJORD	NORTH SEA	ED50	61	21	56.57	N	1	56	5.94	E	61.365714	1.934983	6804149.930000	443060.020000	31	2961	2013-05-08
25/11-A-5 AH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	\N	1996-11-04	1997-08-23	BALDER	NORTH SEA	ED50	59	11	30.22	N	2	21	34.19	E	59.191728	2.359497	6561728.700000	463404.950000	31	2963	2013-05-08
7/12-A-6 A	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	ULA	NORTH SEA	ED50	57	6	41.05	N	2	50	51.04	E	57.111403	2.847511	6329939.230000	490763.870000	31	2964	2013-05-08
6507/7-A-46	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1996-11-17	1997-01-12	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.58	N	7	19	4.00	E	65.325717	7.317778	7245983.160000	421642.580000	32	2965	2013-05-08
31/4-A-29	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	WATER	1996-11-23	1996-12-01	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	50.69	E	60.542525	3.047414	6711992.510000	502601.350000	31	2971	2013-05-08
34/10-A-7 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1996-12-01	1997-02-08	GULLFAKS	NORTH SEA	ED50	61	10	34.77	N	2	11	21.80	E	61.176325	2.189389	6782858.890000	456399.240000	31	2972	2013-05-08
6608/8-1	Den norske stats oljeselskap a.s	200	EXPLORATION	WILDCAT	OIL SHOWS	1997-02-01	1997-03-30	\N	NORWEGIAN SEA	ED50	66	18	32.69	N	8	30	58.84	E	66.309081	8.516344	7354632.570000	478313.590000	32	2974	2013-05-08
25/11-A-4 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-11-16	1996-12-04	BALDER	NORTH SEA	ED50	59	11	28.34	N	2	21	34.93	E	59.191206	2.359703	6561670.430000	463416.140000	31	2975	2013-05-08
6506/12-11 SR	Den norske stats oljeselskap a.s	094	EXPLORATION	APPRAISAL	OIL	1996-11-12	1997-02-01	ÅSGARD	NORWEGIAN SEA	ED50	65	5	7.20	N	6	40	54.75	E	65.085333	6.681875	7220144.870000	391047.420000	32	2977	2013-05-08
34/7-P-4	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1997-09-07	1998-03-22	SNORRE	NORTH SEA	ED50	61	26	56.83	N	2	8	37.37	E	61.449119	2.143714	6813276.200000	454341.000000	31	2978	2013-05-08
34/7-P-23	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1997-02-17	1997-06-13	SNORRE	NORTH SEA	ED50	61	26	57.47	N	2	8	37.08	E	61.449297	2.143633	6813296.060000	454336.960000	31	2979	2013-05-08
34/7-P-27	Norsk Hydro Produksjon AS	089	DEVELOPMENT	INJECTION	\N	2001-07-19	2001-08-22	SNORRE	NORTH SEA	ED50	61	26	57.98	N	2	8	36.53	E	61.449439	2.143481	6813311.940000	454329.020000	31	2980	2013-05-08
2/8-A-3 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1996-11-29	1997-01-02	VALHALL	NORTH SEA	ED50	56	16	41.08	N	3	23	44.30	E	56.278078	3.395639	6237238.210000	524498.800000	31	2981	2013-05-08
15/6-U-1	Statoil ASA (old)	303	SHALLOW	\N	\N	2006-09-16	2006-09-17	\N	NORTH SEA	ED50	58	35	11.52	N	1	44	37.79	E	58.586533	1.743831	6494845.900000	426965.900000	31	5459	2013-05-08
2/4-X-8	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1996-12-13	1997-01-22	EKOFISK	NORTH SEA	ED50	56	32	50.96	N	3	13	8.42	E	56.547489	3.219006	6267177.290000	513465.830000	31	2982	2013-05-08
6407/7-A-8 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	INJECTION	GAS	1996-11-27	1997-02-10	NJORD	NORWEGIAN SEA	ED50	64	16	15.25	N	7	12	8.68	E	64.270903	7.202411	7128609.260000	412932.730000	32	2983	2013-05-08
25/11-D-10 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-06-12	1998-07-15	BALDER	NORTH SEA	ED50	59	12	0.37	N	2	24	35.21	E	59.200103	2.409781	6562634.800000	466286.090000	31	2985	2013-05-08
30/11-5	A/S Norske Shell	035	EXPLORATION	WILDCAT	OIL	1996-12-05	1997-01-09	\N	NORTH SEA	ED50	60	8	50.39	N	2	33	59.57	E	60.147331	2.566547	6668054.430000	475929.500000	31	2986	2013-05-08
31/5-H-2 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1996-11-26	1996-12-30	TROLL	NORTH SEA	ED50	60	43	49.05	N	3	30	47.63	E	60.730292	3.513231	6733015.010000	527994.760000	31	2987	2013-05-08
25/8-9	Amerada Hess Norge AS	189	EXPLORATION	WILDCAT	OIL	1997-01-05	1997-02-14	\N	NORTH SEA	ED50	59	28	6.08	N	2	30	24.90	E	59.468356	2.506917	6592462.130000	472055.660000	31	2988	2013-05-08
6608/8-2	StatoilHydro ASA	352	EXPLORATION	WILDCAT	DRY	2007-10-14	2007-11-29	\N	NORWEGIAN SEA	ED50	66	17	52.58	N	8	22	37.01	E	66.297939	8.376947	7353445.910000	472051.000000	32	2989	2013-05-08
36/7-2	Norsk Hydro Produksjon AS	153	EXPLORATION	WILDCAT	OIL	1997-09-02	1997-09-22	\N	NORTH SEA	ED50	61	18	23.50	N	4	19	47.00	E	61.306528	4.329722	6797817.450000	571225.200000	31	2990	2013-05-08
35/4-1	Norsk Hydro Produksjon AS	194	EXPLORATION	WILDCAT	SHOWS	1996-12-23	1997-05-24	\N	NORTH SEA	ED50	61	32	0.55	N	3	18	8.26	E	61.533486	3.302294	6822412.010000	516075.700000	31	2993	2013-05-08
2/4-X-46	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1996-12-08	1997-02-09	EKOFISK	NORTH SEA	ED50	56	32	51.98	N	3	13	8.75	E	56.547772	3.219097	6267208.840000	513471.360000	31	2995	2013-05-08
25/11-C-3 AH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-12-13	1997-12-20	BALDER	NORTH SEA	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	2997	2013-05-08
25/11-A-4 AH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	1996-12-04	1997-08-11	BALDER	NORTH SEA	ED50	59	11	28.34	N	2	21	34.93	E	59.191206	2.359703	6561670.430000	463416.140000	31	2998	2013-05-08
25/11-A-8 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	WATER	1996-12-11	1997-09-30	BALDER	NORTH SEA	ED50	59	11	29.83	N	2	21	32.62	E	59.191619	2.359061	6561716.870000	463379.920000	31	3000	2013-05-08
9/2-A-2	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	1996-12-14	1997-04-17	YME	NORTH SEA	ED50	57	49	7.54	N	4	31	10.87	E	57.818761	4.519686	6409691.270000	590280.750000	31	3001	2013-05-08
31/4-A-16	Norsk Hydro Produksjon AS	055	DEVELOPMENT	INJECTION	WATER	1996-12-16	1997-02-01	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	51.03	E	60.542594	3.047508	6712000.250000	502606.520000	31	3005	2013-05-08
15/9-B-24	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1996-12-30	1997-07-12	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.40	N	1	43	4.77	E	58.417889	1.717992	6476098.450000	425105.460000	31	3006	2013-05-08
25/11-B-7 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-12-17	1997-01-13	BALDER	NORTH SEA	ED50	59	10	40.45	N	2	22	46.46	E	59.177903	2.379572	6560178.370000	464537.600000	31	3007	2013-05-08
2/8-16 S	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	GAS SHOWS	1997-02-08	1997-03-14	\N	NORTH SEA	ED50	56	16	40.75	N	3	23	43.61	E	56.277986	3.395447	6237227.940000	524486.990000	31	3008	2013-05-08
35/11-9	Norsk Hydro Produksjon AS	090	EXPLORATION	APPRAISAL	OIL	1997-03-02	1997-05-01	FRAM	NORTH SEA	ED50	61	3	54.23	N	3	30	6.95	E	61.065064	3.501931	6770298.990000	527092.970000	31	3009	2013-05-08
6507/7-A-36	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1997-01-12	1997-06-10	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.64	N	7	19	3.33	E	65.325733	7.317592	7245985.240000	421633.960000	32	3010	2013-05-08
31/2-E-6 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1996-12-31	1997-01-12	TROLL	NORTH SEA	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	3011	2013-05-08
6406/2-4 S	Saga Petroleum ASA	199	EXPLORATION	APPRAISAL	SHOWS	1997-01-18	1997-04-05	\N	NORWEGIAN SEA	ED50	64	47	58.34	N	6	32	29.26	E	64.799539	6.541461	7188560.780000	383212.300000	32	3012	2013-05-08
15/6-8 S	Deminex Norge AS	166	EXPLORATION	WILDCAT	DRY	1997-02-18	1997-04-05	\N	NORTH SEA	ED50	58	32	57.58	N	1	52	55.90	E	58.549328	1.882194	6490561.260000	434940.960000	31	3014	2013-05-08
7228/7-1 S	Den norske stats oljeselskap a.s	202	EXPLORATION	WILDCAT	DRY	2000-12-05	2001-01-08	\N	BARENTS SEA	ED50	72	15	28.90	N	28	8	59.70	E	72.258028	28.149917	8018306.530000	539111.270000	35	3015	2013-05-08
25/11-B-7 AH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	1997-01-14	1998-04-18	BALDER	NORTH SEA	ED50	59	10	40.45	N	2	22	46.46	E	59.177903	2.379572	6560178.370000	464537.600000	31	3016	2013-05-08
2/4-X-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-01-23	1997-03-09	EKOFISK	NORTH SEA	ED50	56	32	50.99	N	3	13	8.14	E	56.547497	3.218928	6267178.200000	513461.040000	31	3017	2013-05-08
2/4-X-45	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-02-09	1997-03-20	EKOFISK	NORTH SEA	ED50	56	32	52.00	N	3	13	8.61	E	56.547778	3.219058	6267209.450000	513468.970000	31	3018	2013-05-08
34/7-P-25 A	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1997-01-16	1997-02-13	SNORRE	NORTH SEA	ED50	61	26	57.73	N	2	8	36.81	E	61.449369	2.143558	6813304.150000	454333.070000	31	3019	2013-05-08
33/9-C-11 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1997-01-28	1997-02-22	STATFJORD	NORTH SEA	ED50	61	17	48.01	N	1	54	11.11	E	61.296669	1.903086	6796487.730000	441225.590000	31	3020	2013-05-08
6506/12-R-1 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	INJECTION	GAS	1997-02-01	1997-04-03	ÅSGARD	NORWEGIAN SEA	ED50	65	1	59.96	N	6	54	7.17	E	65.033322	6.901992	7213988.860000	401197.360000	32	3021	2013-05-08
31/2-E-6 BH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1997-01-12	1997-02-01	TROLL	NORTH SEA	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	3022	2013-05-08
6407/7-A-10 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	OBSERVATION	OIL	1997-02-11	1997-04-04	NJORD	NORWEGIAN SEA	ED50	64	16	15.78	N	7	12	9.44	E	64.271050	7.202622	7128625.370000	412943.420000	32	3023	2013-05-08
34/7-B-1 H	Saga Petroleum ASA	089	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-02-21	1997-04-08	VIGDIS	NORTH SEA	ED50	61	23	49.46	N	2	7	3.95	E	61.397072	2.117764	6807497.140000	452878.950000	31	3024	2013-05-08
25/8-9 A	Amerada Hess Norge AS	189	EXPLORATION	WILDCAT	OIL	1997-01-29	1997-02-14	\N	NORTH SEA	ED50	59	28	6.08	N	2	30	24.90	E	59.468356	2.506917	6592462.130000	472055.660000	31	3025	2013-05-08
34/10-A-10 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1997-02-27	1997-03-26	GULLFAKS	NORTH SEA	ED50	61	10	33.92	N	2	11	22.77	E	61.176089	2.189658	6782832.410000	456413.410000	31	3026	2013-05-08
31/2-F-4 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-02-13	1997-02-25	TROLL	NORTH SEA	ED50	60	46	31.51	N	3	26	4.76	E	60.775419	3.434656	6738010.580000	523675.570000	31	3027	2013-05-08
33/12-B-28 C	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1997-02-20	1997-04-02	STATFJORD	NORTH SEA	ED50	61	12	24.00	N	1	49	51.26	E	61.206667	1.830906	6786530.210000	437178.950000	31	3038	2013-05-08
30/3-A-2 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	GAS	1997-07-02	1997-08-28	VESLEFRIKK	NORTH SEA	ED50	60	46	57.87	N	2	53	52.38	E	60.782742	2.897883	6738752.120000	494438.980000	31	3039	2013-05-08
7/12-A-10 A	BP Norway Limited  U.A.	019	DEVELOPMENT	PRODUCTION	OIL	1997-02-21	1997-05-04	ULA	NORTH SEA	ED50	57	6	41.19	N	2	50	50.73	E	57.111442	2.847425	6329943.570000	490758.660000	31	3040	2013-05-08
31/6-A-13	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-02-08	1997-12-05	TROLL	NORTH SEA	ED50	60	38	45.05	N	3	43	35.53	E	60.645847	3.726536	6723719.440000	539733.480000	31	3041	2013-05-08
35/11-10	Norsk Hydro Produksjon AS	090	EXPLORATION	APPRAISAL	OIL/GAS	1997-05-19	1997-06-23	FRAM	NORTH SEA	ED50	61	1	10.54	N	3	31	26.29	E	61.019594	3.523969	6765243.580000	528323.080000	31	3042	2013-05-08
2/7-B-14 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-03-23	1997-08-01	ELDFISK	NORTH SEA	ED50	56	25	9.11	N	3	13	6.13	E	56.419197	3.218369	6252896.980000	513472.090000	31	3044	2013-05-08
9/2-A-2 A	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	1997-04-17	1997-05-30	YME	NORTH SEA	ED50	57	49	7.54	N	4	31	10.87	E	57.818761	4.519686	6409691.270000	590280.750000	31	3045	2013-05-08
34/10-G-2 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1997-04-09	1998-10-30	GULLFAKS SØR	NORTH SEA	ED50	61	5	50.07	N	2	16	36.06	E	61.097242	2.276683	6773994.970000	460997.050000	31	3046	2013-05-08
33/9-C-8	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1997-03-13	1997-04-11	STATFJORD	NORTH SEA	ED50	61	17	48.02	N	1	54	11.45	E	61.296672	1.903181	6796487.960000	441230.650000	31	3047	2013-05-08
31/2-F-4 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1997-02-26	1997-03-17	TROLL	NORTH SEA	ED50	60	46	31.51	N	3	26	4.76	E	60.775419	3.434656	6738010.580000	523675.570000	31	3049	2013-05-08
2/4-X-4	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	1997-03-10	1997-04-04	EKOFISK	NORTH SEA	ED50	56	32	50.89	N	3	13	8.40	E	56.547469	3.219000	6267175.120000	513465.490000	31	3050	2013-05-08
6407/7-A-10 AH	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	1997-12-09	1998-02-13	NJORD	NORWEGIAN SEA	ED50	64	16	15.78	N	7	12	9.44	E	64.271050	7.202622	7128625.370000	412943.420000	32	3051	2013-05-08
34/10-A-21 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1999-11-24	2000-01-02	GULLFAKS	NORTH SEA	ED50	61	10	34.83	N	2	11	21.34	E	61.176342	2.189261	6782860.830000	456392.390000	31	3052	2013-05-08
34/10-C-36 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1997-05-30	1998-01-24	GULLFAKS	NORTH SEA	ED50	61	12	54.77	N	2	16	26.79	E	61.215214	2.274108	6787137.110000	461004.040000	31	3054	2013-05-08
2/7-B-14 C	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-04-17	1998-08-01	ELDFISK	NORTH SEA	ED50	56	25	9.11	N	3	13	6.13	E	56.419197	3.218369	6252896.980000	513472.090000	31	3055	2013-05-08
31/4-A-19	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1997-04-14	1997-05-31	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	50.52	E	60.542594	3.047367	6712000.240000	502598.750000	31	3056	2013-05-08
15/9-B-17	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	1997-04-21	1997-07-04	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.42	N	1	43	4.17	E	58.417894	1.717825	6476099.260000	425095.730000	31	3057	2013-05-08
33/12-B-14 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	\N	1997-04-09	1997-05-09	STATFJORD	NORTH SEA	ED50	61	12	25.12	N	1	49	51.93	E	61.206978	1.831092	6786564.680000	437189.570000	31	3058	2013-05-08
34/10-J-1 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	GAS	1997-06-08	1998-08-11	GULLFAKS SØR	NORTH SEA	ED50	61	3	50.67	N	2	0	10.58	E	61.064075	2.002939	6770494.820000	446180.520000	31	3059	2013-05-08
6306/5-1	Amerada Hess Norge AS	197	EXPLORATION	WILDCAT	GAS	1997-06-08	1997-07-10	\N	NORWEGIAN SEA	ED50	63	41	56.42	N	6	33	35.29	E	63.699006	6.559803	7065951.070000	379378.450000	32	3060	2013-05-08
25/8-10 S	Esso Exploration and Production Norway A/S	027	EXPLORATION	WILDCAT	OIL/GAS	1997-04-29	1997-06-05	BALDER	NORTH SEA	ED50	59	16	22.69	N	2	32	6.40	E	59.272969	2.535111	6570692.440000	473501.580000	31	3062	2013-05-08
9/2-A-6	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	\N	1997-03-11	1997-03-29	YME	NORTH SEA	ED50	57	49	7.47	N	4	31	10.95	E	57.818742	4.519708	6409689.140000	590282.120000	31	3063	2013-05-08
34/7-B-2 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1997-04-09	1997-10-14	VIGDIS	NORTH SEA	ED50	61	23	49.33	N	2	7	3.76	E	61.397036	2.117711	6807493.150000	452876.070000	31	3064	2013-05-08
2/4-X-35	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-03-20	1997-05-14	EKOFISK	NORTH SEA	ED50	56	32	51.87	N	3	13	8.28	E	56.547742	3.218967	6267205.410000	513463.350000	31	3066	2013-05-08
16/7-6	Esso Exploration and Production Norway A/S	072	EXPLORATION	WILDCAT	DRY	1997-06-27	1997-07-24	\N	NORTH SEA	ED50	58	15	39.23	N	2	2	36.04	E	58.260897	2.043344	6458303.160000	443863.110000	31	3067	2013-05-08
30/9-B-27 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-05-03	1997-05-23	OSEBERG	NORTH SEA	ED50	60	29	36.08	N	2	49	42.79	E	60.493356	2.828553	6706527.280000	490579.350000	31	3070	2013-05-08
30/9-B-27 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1997-06-19	1997-08-13	OSEBERG	NORTH SEA	ED50	60	29	36.08	N	2	49	42.79	E	60.493356	2.828553	6706527.280000	490579.350000	31	3071	2013-05-08
31/2-M-41	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-03-19	1997-04-05	TROLL	NORTH SEA	ED50	60	55	55.99	N	3	36	25.11	E	60.932219	3.606975	6755550.000000	532900.010000	31	3072	2013-05-08
15/12-11 S	Saga Petroleum ASA	116	EXPLORATION	WILDCAT	DRY	1997-04-10	1997-05-19	\N	NORTH SEA	ED50	58	12	9.78	N	1	42	39.38	E	58.202717	1.710939	6452151.080000	424234.790000	31	3074	2013-05-08
6707/10-1	BP Norway Limited  U.A.	218	EXPLORATION	WILDCAT	GAS	1997-04-19	1997-07-23	\N	NORWEGIAN SEA	ED50	67	4	7.85	N	7	0	36.51	E	67.068847	7.010142	7440629.700000	413490.420000	32	3075	2013-05-08
15/6-8 A	Deminex Norge AS	166	EXPLORATION	WILDCAT	DRY	1997-04-05	1997-04-18	\N	NORTH SEA	ED50	58	32	57.58	N	1	52	55.90	E	58.549328	1.882194	6490561.260000	434940.960000	31	3077	2013-05-08
6506/12-L-1 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1997-04-12	1997-06-26	ÅSGARD	NORWEGIAN SEA	ED50	65	8	17.89	N	6	46	57.32	E	65.138303	6.782589	7225875.760000	395986.710000	32	3079	2013-05-08
6506/11-G-3 H	Den norske stats oljeselskap a.s	134	DEVELOPMENT	INJECTION	GAS	1997-04-23	1997-07-10	ÅSGARD	NORWEGIAN SEA	ED50	65	5	17.79	N	6	39	43.22	E	65.088275	6.662006	7220506.970000	390126.020000	32	3082	2013-05-08
25/11-A-6 AH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	2001-05-20	2001-06-15	BALDER	NORTH SEA	ED50	59	11	28.33	N	2	21	37.41	E	59.191203	2.360392	6561669.750000	463455.490000	31	3083	2013-05-08
2/5-11	Norsk Agip  AS	067	EXPLORATION	WILDCAT	OIL	1997-09-06	1997-11-14	\N	NORTH SEA	ED50	56	42	16.23	N	3	23	1.65	E	56.704508	3.383792	6284699.930000	523500.090000	31	3084	2013-05-08
34/10-41 S	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	DRY	1997-07-13	1997-08-28	\N	NORTH SEA	ED50	61	13	54.34	N	2	5	42.30	E	61.231761	2.095083	6789100.190000	451412.460000	31	3085	2013-05-08
2/8-A-20 C	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	\N	1997-05-04	1997-05-30	VALHALL	NORTH SEA	ED50	56	16	40.74	N	3	23	43.61	E	56.277983	3.395447	6237227.630000	524486.990000	31	3086	2013-05-08
9/2-7 S	Den norske stats oljeselskap a.s	114	EXPLORATION	WILDCAT	OIL	1997-04-22	1997-06-18	YME	NORTH SEA	ED50	57	45	15.15	N	4	21	21.75	E	57.754208	4.356042	6402298.710000	580703.800000	31	3087	2013-05-08
31/5-H-3 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-04-07	1997-04-22	TROLL	NORTH SEA	ED50	60	42	51.32	N	3	30	49.38	E	60.714256	3.513717	6731229.080000	528035.240000	31	3089	2013-05-08
31/5-H-3 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	\N	1997-04-23	1997-05-26	TROLL	NORTH SEA	ED50	60	42	51.32	N	3	30	49.38	E	60.714256	3.513717	6731229.080000	528035.240000	31	3090	2013-05-08
31/5-H-3 BH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1997-05-27	1997-07-10	TROLL	NORTH SEA	ED50	60	42	51.32	N	3	30	49.38	E	60.714256	3.513717	6731229.080000	528035.240000	31	3091	2013-05-08
6407/8-3	BP Norway Limited  U.A.	158	EXPLORATION	WILDCAT	SHOWS	1997-05-13	1997-05-27	\N	NORWEGIAN SEA	ED50	64	18	2.00	N	7	37	41.60	E	64.300556	7.628222	7131399.310000	433625.590000	32	3092	2013-05-08
2/4-X-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-04-05	1997-06-22	EKOFISK	NORTH SEA	ED50	56	32	51.08	N	3	13	8.03	E	56.547522	3.218897	6267180.970000	513459.150000	31	3093	2013-05-08
31/6-A-33	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-03-31	1997-06-28	TROLL	NORTH SEA	ED50	60	38	43.83	N	3	43	35.53	E	60.645508	3.726536	6723681.700000	539733.900000	31	3097	2013-05-08
25/10-8 A	Esso Exploration and Production Norway A/S	028 P	EXPLORATION	WILDCAT	DRY	1997-04-08	1997-04-27	\N	NORTH SEA	ED50	59	1	48.48	N	2	13	25.35	E	59.030133	2.223708	6543817.160000	455437.650000	31	3098	2013-05-08
33/9-C-23	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1997-05-01	1997-06-11	STATFJORD	NORTH SEA	ED50	61	17	46.96	N	1	54	10.19	E	61.296378	1.902831	6796455.480000	441211.350000	31	3099	2013-05-08
33/9-C-23 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1997-06-11	1997-07-22	STATFJORD	NORTH SEA	ED50	61	17	46.96	N	1	54	10.19	E	61.296378	1.902831	6796455.480000	441211.350000	31	3100	2013-05-08
2/4-X-42	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-05-15	1997-07-02	EKOFISK	NORTH SEA	ED50	56	32	51.91	N	3	13	8.73	E	56.547753	3.219092	6267206.680000	513471.030000	31	3101	2013-05-08
25/11-C-13 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	1997-05-07	1998-06-10	BALDER	NORTH SEA	ED50	59	10	59.87	N	2	24	34.62	E	59.183297	2.409617	6560763.490000	466260.160000	31	3102	2013-05-08
6506/12-L-3 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1998-07-13	1998-08-14	ÅSGARD	NORWEGIAN SEA	ED50	65	8	17.83	N	6	46	57.49	E	65.138286	6.782636	7225873.830000	395988.860000	32	3107	2013-05-08
34/10-B-38	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1997-06-02	1997-12-11	GULLFAKS	NORTH SEA	ED50	61	12	10.08	N	2	12	6.13	E	61.202800	2.201703	6785799.710000	457097.560000	31	3108	2013-05-08
34/10-B-13 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1997-05-12	1997-06-01	GULLFAKS	NORTH SEA	ED50	61	12	9.97	N	2	12	6.08	E	61.202769	2.201689	6785796.310000	457096.770000	31	3111	2013-05-08
6507/7-A-7	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1997-07-12	1998-01-15	HEIDRUN	NORWEGIAN SEA	ED50	65	19	33.14	N	7	19	4.05	E	65.325872	7.317792	7246000.470000	421643.690000	32	3112	2013-05-08
15/5-6	Den norske stats oljeselskap a.s	048	EXPLORATION	APPRAISAL	OIL	1997-06-20	1997-07-16	GLITNE	NORTH SEA	ED50	58	41	45.95	N	1	39	3.59	E	58.696097	1.650997	6507148.910000	421814.270000	31	3113	2013-05-08
25/7-4 S	Conoco Norway Inc.	103	EXPLORATION	WILDCAT	DRY	1997-06-02	1997-06-21	\N	NORTH SEA	ED50	59	15	30.00	N	2	15	58.99	E	59.258333	2.266386	6569200.340000	458166.790000	31	3114	2013-05-08
34/7-B-1 AH	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1997-05-18	1997-06-17	VIGDIS	NORTH SEA	ED50	61	23	49.46	N	2	7	3.95	E	61.397072	2.117764	6807497.140000	452878.950000	31	3115	2013-05-08
30/3-A-8 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1999-12-18	2000-02-13	VESLEFRIKK	NORTH SEA	ED50	60	46	58.03	N	2	53	52.27	E	60.782786	2.897853	6738757.080000	494437.320000	31	3116	2013-05-08
25/11-19 SR	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	OIL/GAS	1997-05-01	1997-05-06	BALDER	NORTH SEA	ED50	59	12	48.48	N	2	24	6.88	E	59.213467	2.401911	6564126.950000	465849.930000	31	3117	2013-05-08
33/12-B-22 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1997-05-19	1997-06-02	STATFJORD	NORTH SEA	ED50	61	12	24.14	N	1	49	51.06	E	61.206706	1.830850	6786534.590000	437176.050000	31	3118	2013-05-08
25/11-D-10 BH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	1998-07-23	1998-09-19	BALDER	NORTH SEA	ED50	59	12	0.37	N	2	24	35.21	E	59.200103	2.409781	6562634.800000	466286.090000	31	3119	2013-05-08
31/6-A-28	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-05-09	1998-09-26	TROLL	NORTH SEA	ED50	60	38	43.54	N	3	43	35.23	E	60.645428	3.726453	6723672.680000	539729.440000	31	3120	2013-05-08
2/4-X-3	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-06-22	1997-10-24	EKOFISK	NORTH SEA	ED50	56	32	50.90	N	3	13	8.25	E	56.547472	3.218958	6267175.420000	513462.930000	31	3121	2013-05-08
6506/12-K-3 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	INJECTION	GAS	1997-06-24	1998-06-12	ÅSGARD	NORWEGIAN SEA	ED50	65	8	1.97	N	6	42	25.10	E	65.133881	6.706972	7225509.830000	392423.030000	32	3124	2013-05-08
6406/2-5	Saga Petroleum ASA	199	EXPLORATION	APPRAISAL	DRY	1997-06-03	1997-09-29	KRISTIN	NORWEGIAN SEA	ED50	64	55	53.83	N	6	26	58.65	E	64.931619	6.449625	7203444.560000	379444.850000	32	3125	2013-05-08
9/2-8 S	Den norske stats oljeselskap a.s	114	EXPLORATION	WILDCAT	DRY	1997-06-24	1998-02-02	\N	NORTH SEA	ED50	57	49	7.58	N	4	31	11.00	E	57.818772	4.519722	6409692.560000	590282.870000	31	3126	2013-05-08
2/8-A-9 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1997-07-28	1997-09-08	VALHALL	NORTH SEA	ED50	56	16	40.92	N	3	23	43.55	E	56.278033	3.395431	6237233.190000	524485.920000	31	3127	2013-05-08
31/6-A-37	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1998-05-23	1998-06-13	TROLL	NORTH SEA	ED50	60	38	43.54	N	3	43	35.53	E	60.645428	3.726536	6723672.730000	539734.000000	31	3130	2013-05-08
6507/7-11 S	Conoco Norway Inc.	095	EXPLORATION	WILDCAT	DRY	1997-06-25	1997-08-14	\N	NORWEGIAN SEA	ED50	65	18	4.80	N	7	7	42.27	E	65.301333	7.128408	7243514.990000	412743.080000	32	3131	2013-05-08
25/7-5	Norsk Hydro Produksjon AS	203	EXPLORATION	WILDCAT	OIL	1997-07-16	1997-08-30	\N	NORTH SEA	ED50	59	29	39.81	N	2	1	9.42	E	59.494392	2.019283	6595667.550000	444463.920000	31	3132	2013-05-08
34/7-P-18 A	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1997-07-07	1997-08-23	SNORRE	NORTH SEA	ED50	61	26	57.21	N	2	8	37.09	E	61.449225	2.143636	6813288.010000	454337.000000	31	3133	2013-05-08
34/10-C-37	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	1998-02-05	1998-04-21	GULLFAKS	NORTH SEA	ED50	61	12	53.52	N	2	16	27.52	E	61.214867	2.274311	6787098.310000	461014.510000	31	3134	2013-05-08
2/7-A-14 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2009-05-16	2009-08-21	ELDFISK	NORTH SEA	ED50	56	22	36.59	N	3	15	57.71	E	56.376831	3.266031	6248191.570000	516430.730000	31	3135	2013-05-08
2/7-A-15 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	WATER	2004-10-19	2005-01-24	ELDFISK	NORTH SEA	ED50	56	22	36.58	N	3	15	57.54	E	56.376828	3.265983	6248191.250000	516427.810000	31	3136	2013-05-08
34/8-A-1 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-07-04	1997-07-14	VISUND	NORTH SEA	ED50	61	22	12.57	N	2	27	35.13	E	61.370158	2.459758	6804300.030000	471119.990000	31	3140	2013-05-08
34/8-A-1 AH	Norsk Hydro Produksjon AS	120	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-07-14	1997-09-13	VISUND	NORTH SEA	ED50	61	22	12.57	N	2	27	35.13	E	61.370158	2.459758	6804300.030000	471119.990000	31	3141	2013-05-08
33/12-B-38 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	GAS	1997-06-18	1997-07-20	STATFJORD	NORTH SEA	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	3142	2013-05-08
34/4-10	Saga Petroleum ASA	057	EXPLORATION	WILDCAT	DRY	2000-02-12	2000-03-05	\N	NORTH SEA	ED50	61	37	33.33	N	2	4	30.47	E	61.625925	2.075131	6833020.570000	450963.660000	31	3143	2013-05-08
6305/5-1	Norsk Hydro Produksjon AS	209	EXPLORATION	WILDCAT	GAS	1997-07-27	1997-10-07	ORMEN LANGE	NORWEGIAN SEA	ED50	63	32	27.50	N	5	20	14.90	E	63.540972	5.337472	7048160.150000	616189.140000	31	3144	2013-05-08
15/9-19 A	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	OIL	1997-07-25	1997-11-09	VOLVE	NORTH SEA	ED50	58	26	9.08	N	1	55	47.26	E	58.435856	1.929794	6477882.410000	437510.030000	31	3145	2013-05-08
6506/12-P-3 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	\N	1997-08-07	1997-11-09	ÅSGARD	NORWEGIAN SEA	ED50	65	1	22.92	N	6	52	45.65	E	65.023033	6.879347	7212878.230000	400092.790000	32	3149	2013-05-08
6506/12-P-3 AH	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1997-11-09	1997-12-20	ÅSGARD	NORWEGIAN SEA	ED50	65	1	22.92	N	6	52	45.65	E	65.023033	6.879347	7212878.230000	400092.790000	32	3150	2013-05-08
35/11-10 A	Norsk Hydro Produksjon AS	090	EXPLORATION	APPRAISAL	OIL SHOWS	1997-06-23	1997-07-14	FRAM	NORTH SEA	ED50	61	1	10.54	N	3	31	26.29	E	61.019594	3.523969	6765243.580000	528323.080000	31	3151	2013-05-08
6506/12-K-1 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	INJECTION	GAS	1998-07-24	1998-09-05	ÅSGARD	NORWEGIAN SEA	ED50	65	8	1.66	N	6	42	25.27	E	65.133794	6.707019	7225500.160000	392424.890000	32	3155	2013-05-08
6506/12-L-2 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	\N	1997-06-28	1998-01-12	ÅSGARD	NORWEGIAN SEA	ED50	65	8	17.72	N	6	46	57.36	E	65.138256	6.782600	7225870.480000	395987.050000	32	3156	2013-05-08
2/4-X-47	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-07-02	1997-09-04	EKOFISK	NORTH SEA	ED50	56	32	52.10	N	3	13	8.36	E	56.547806	3.218989	6267212.530000	513464.690000	31	3157	2013-05-08
31/5-J-41	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-07-11	1997-07-26	TROLL	NORTH SEA	ED50	60	43	27.22	N	3	39	28.93	E	60.724228	3.658036	6732410.040000	535899.950000	31	3158	2013-05-08
6507/7-A-28	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1997-08-14	1997-10-21	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.73	N	7	19	3.27	E	65.325758	7.317575	7245988.050000	421633.260000	32	3159	2013-05-08
31/4-A-37	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-07-27	1997-09-03	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	50.69	E	60.542594	3.047414	6712000.240000	502601.340000	31	3160	2013-05-08
31/4-A-37 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-09-04	1997-09-17	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	50.69	E	60.542594	3.047414	6712000.240000	502601.340000	31	3161	2013-05-08
31/4-A-37 B	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1997-09-18	1997-10-19	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	50.69	E	60.542594	3.047414	6712000.240000	502601.340000	31	3162	2013-05-08
34/10-F-4 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-08-09	1997-10-07	GULLFAKS SØR	NORTH SEA	ED50	61	5	51.81	N	2	16	35.81	E	61.097725	2.276614	6774048.850000	460993.910000	31	3163	2013-05-08
34/10-F-4 AH	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1997-10-07	1998-02-11	GULLFAKS SØR	NORTH SEA	ED50	61	5	51.81	N	2	16	35.81	E	61.097725	2.276614	6774048.850000	460993.910000	31	3164	2013-05-08
6506/12-K-2 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	INJECTION	GAS	1997-08-21	1999-07-03	ÅSGARD	NORWEGIAN SEA	ED50	65	8	1.90	N	6	42	24.87	E	65.133861	6.706908	7225507.780000	392419.950000	32	3165	2013-05-08
6510/2-1	A/S Norske Shell	214	EXPLORATION	WILDCAT	SHOWS	1997-08-16	1997-10-10	\N	NORWEGIAN SEA	ED50	65	47	15.60	N	10	25	51.33	E	65.787667	10.430925	7297173.230000	565483.130000	32	3166	2013-05-08
2/8-A-20 D	Amoco Norway Oil Company	006	DEVELOPMENT	INJECTION	CUTTINGS	1997-05-31	1997-06-28	VALHALL	NORTH SEA	ED50	56	16	40.74	N	3	23	43.61	E	56.277983	3.395447	6237227.630000	524486.990000	31	3167	2013-05-08
34/7-26 S	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	DRY	1997-08-19	1997-09-13	TORDIS	NORTH SEA	ED50	61	16	29.38	N	2	7	11.41	E	61.274828	2.119836	6793879.090000	452806.070000	31	3168	2013-05-08
34/7-P-35	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	2000-10-14	2000-12-20	SNORRE	NORTH SEA	ED50	61	26	58.12	N	2	8	37.33	E	61.449478	2.143703	6813316.120000	454340.930000	31	3169	2013-05-08
15/9-B-4	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1997-07-01	1997-11-28	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.78	N	1	43	4.38	E	58.417994	1.717883	6476110.330000	425099.350000	31	3170	2013-05-08
31/4-A-11	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-10-20	1997-11-12	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	50.35	E	60.542594	3.047319	6712000.240000	502596.160000	31	3171	2013-05-08
6506/11-G-4 H	Den norske stats oljeselskap a.s	134	DEVELOPMENT	INJECTION	GAS	1997-07-10	1998-11-28	ÅSGARD	NORWEGIAN SEA	ED50	65	5	17.80	N	6	39	43.59	E	65.088278	6.662108	7220507.100000	390130.860000	32	3172	2013-05-08
30/9-B-26 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	OIL	1997-09-03	1997-10-08	OSEBERG	NORTH SEA	ED50	60	29	36.07	N	2	49	42.63	E	60.493353	2.828508	6706526.980000	490576.900000	31	3173	2013-05-08
30/9-B-26 C	StatoilHydro Petroleum AS	079	DEVELOPMENT	INJECTION	WATER	2008-04-05	2008-06-17	OSEBERG	NORTH SEA	ED50	60	29	36.07	N	2	49	42.63	E	60.493353	2.828508	6706526.980000	490576.900000	31	3174	2013-05-08
33/9-C-42 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1998-01-10	1998-04-01	STATFJORD	NORTH SEA	ED50	61	17	47.71	N	1	54	10.05	E	61.296586	1.902792	6796478.720000	441209.650000	31	3175	2013-05-08
30/3-7 A	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	GAS/CONDENSATE	1997-10-13	1998-01-29	VESLEFRIKK	NORTH SEA	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	3176	2013-05-08
34/8-A-1 BH	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	OIL	1998-03-09	2001-01-15	VISUND	NORTH SEA	ED50	61	22	12.57	N	2	27	35.13	E	61.370158	2.459758	6804300.030000	471119.990000	31	3177	2013-05-08
2/1-A-29	BP Norway Limited  U.A.	019 B	DEVELOPMENT	PRODUCTION	WATER	1997-08-19	1997-10-24	GYDA	NORTH SEA	ED50	56	54	17.13	N	3	5	6.28	E	56.904758	3.085078	6306928.460000	505181.740000	31	3178	2013-05-08
30/9-B-26 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-08-13	1997-09-03	OSEBERG	NORTH SEA	ED50	60	29	36.07	N	2	49	42.63	E	60.493353	2.828508	6706526.980000	490576.900000	31	3179	2013-05-08
16/2-U-1	Statoil ASA (old)	265	SHALLOW	\N	\N	2006-09-17	2006-09-18	\N	NORTH SEA	ED50	58	52	58.42	N	2	22	27.03	E	58.882894	2.374175	6527331.280000	463921.440000	31	5460	2013-05-08
15/9-19 SR2	Den norske stats oljeselskap a.s	046	EXPLORATION	WILDCAT	OIL	1997-07-18	1997-07-25	VOLVE	NORTH SEA	ED50	58	26	9.08	N	1	55	47.26	E	58.435856	1.929794	6477882.410000	437510.030000	31	3180	2013-05-08
34/7-J-7 AH	Saga Petroleum ASA	089	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-07-19	1997-08-10	TORDIS	NORTH SEA	ED50	61	17	29.79	N	2	9	46.37	E	61.291608	2.162881	6795717.910000	455137.950000	31	3181	2013-05-08
2/4-X-1	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-10-22	1997-12-13	EKOFISK	NORTH SEA	ED50	56	32	50.93	N	3	13	7.98	E	56.547481	3.218883	6267176.330000	513458.320000	31	3182	2013-05-08
31/2-D-5 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-07-26	1997-08-09	TROLL	NORTH SEA	ED50	60	51	25.74	N	3	26	34.49	E	60.857150	3.442914	6747117.110000	524063.950000	31	3183	2013-05-08
31/2-D-5 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1997-08-09	1997-10-08	TROLL	NORTH SEA	ED50	60	51	25.74	N	3	26	34.49	E	60.857150	3.442914	6747117.110000	524063.950000	31	3184	2013-05-08
15/9-C-2 AH	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1998-03-29	1998-06-06	SLEIPNER ØST	NORTH SEA	ED50	58	26	9.31	N	1	55	46.56	E	58.435919	1.929600	6477889.700000	437498.790000	31	3185	2013-05-08
2/7-B-5 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-09-03	1997-10-31	ELDFISK	NORTH SEA	ED50	56	25	9.59	N	3	13	6.22	E	56.419331	3.218394	6252911.830000	513473.590000	31	3186	2013-05-08
33/9-A-38 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1997-09-01	1997-10-13	STATFJORD	NORTH SEA	ED50	61	15	19.73	N	1	51	14.20	E	61.255481	1.853944	6791945.240000	438512.200000	31	3187	2013-05-08
6506/12-S-1 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-10-30	1998-01-03	ÅSGARD	NORWEGIAN SEA	ED50	65	0	57.87	N	6	56	45.38	E	65.016075	6.945939	7211999.400000	403203.950000	32	3188	2013-05-08
6506/12-S-1 AH	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1998-01-04	1999-05-29	ÅSGARD	NORWEGIAN SEA	ED50	65	0	57.87	N	6	56	45.38	E	65.016075	6.945939	7211999.400000	403203.950000	32	3189	2013-05-08
2/4-X-40	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1998-02-18	1998-05-01	EKOFISK	NORTH SEA	ED50	56	32	51.93	N	3	13	8.45	E	56.547758	3.219014	6267207.280000	513466.240000	31	3191	2013-05-08
25/8-5 SR	Esso Exploration and Production Norway A/S	027 P	EXPLORATION	WILDCAT	OIL	1997-07-27	1997-08-03	JOTUN	NORTH SEA	ED50	59	27	27.10	N	2	21	52.15	E	59.457528	2.364486	6591324.830000	463972.360000	31	3192	2013-05-08
6507/11-5 S	Den norske stats oljeselskap a.s	062	EXPLORATION	APPRAISAL	OIL/GAS	1997-09-05	1997-10-28	ÅSGARD	NORWEGIAN SEA	ED50	65	0	18.57	N	7	33	25.23	E	65.005158	7.557008	7209986.270000	431967.600000	32	3193	2013-05-08
6506/12-I-1 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1998-01-18	1998-10-25	ÅSGARD	NORWEGIAN SEA	ED50	65	5	7.18	N	6	40	54.43	E	65.085328	6.681786	7220144.400000	391043.230000	32	3194	2013-05-08
34/7-P-26	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	OIL	2004-07-17	2004-10-30	SNORRE	NORTH SEA	ED50	61	26	57.73	N	2	8	37.08	E	61.449369	2.143633	6813304.100000	454337.070000	31	3195	2013-05-08
2/8-A-5 B	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1997-10-24	1998-01-07	VALHALL	NORTH SEA	ED50	56	16	41.05	N	3	23	43.68	E	56.278069	3.395467	6237237.220000	524488.140000	31	3198	2013-05-08
25/11-A-5 BH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	1997-08-23	1997-09-10	BALDER	NORTH SEA	ED50	59	11	30.22	N	2	21	34.19	E	59.191728	2.359497	6561728.700000	463404.950000	31	3199	2013-05-08
34/8-A-7 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	OIL	1997-10-06	1998-07-26	VISUND	NORTH SEA	ED50	61	22	13.26	N	2	27	32.83	E	61.370350	2.459119	6804321.670000	471086.010000	31	3200	2013-05-08
34/8-A-7 AH	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VISUND	NORTH SEA	ED50	61	22	13.26	N	2	27	32.83	E	61.370350	2.459119	6804321.670000	471086.010000	31	3201	2013-05-08
6706/11-1	Den norske stats oljeselskap a.s	217	EXPLORATION	WILDCAT	DRY	1997-10-12	1998-03-22	\N	NORWEGIAN SEA	ED50	67	4	24.77	N	6	27	47.70	E	67.073547	6.463250	7442018.410000	389745.190000	32	3202	2013-05-08
31/6-A-4	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-10-09	1997-11-17	TROLL	NORTH SEA	ED50	60	38	45.05	N	3	43	35.23	E	60.645847	3.726453	6723719.390000	539728.920000	31	3203	2013-05-08
31/6-A-9	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-10-20	1998-04-09	TROLL	NORTH SEA	ED50	60	38	45.05	N	3	43	35.39	E	60.645847	3.726497	6723719.420000	539731.350000	31	3204	2013-05-08
31/6-A-8	Den norske stats oljeselskap a.s	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-10-26	1997-12-24	TROLL	NORTH SEA	ED50	60	38	44.75	N	3	43	35.23	E	60.645764	3.726453	6723710.110000	539729.030000	31	3205	2013-05-08
35/9-3	Norsk Hydro Produksjon AS	153	EXPLORATION	WILDCAT	OIL/GAS	1997-09-23	1997-11-11	\N	NORTH SEA	ED50	61	28	51.76	N	3	58	30.17	E	61.481044	3.975047	6816921.170000	551938.120000	31	3206	2013-05-08
25/8-11	Esso Exploration and Production Norway A/S	027	EXPLORATION	WILDCAT	OIL	1997-10-16	1997-12-02	BALDER	NORTH SEA	ED50	59	18	7.00	N	2	26	51.00	E	59.301944	2.447500	6573957.140000	468534.610000	31	3209	2013-05-08
2/8-17 S	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	OIL SHOWS	1997-12-04	1998-01-17	\N	NORTH SEA	ED50	56	27	21.19	N	3	36	5.18	E	56.455886	3.601439	6257121.590000	537069.240000	31	3210	2013-05-08
2/8-F-17	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1997-10-02	1998-01-28	VALHALL	NORTH SEA	ED50	56	16	35.52	N	3	23	47.25	E	56.276533	3.396458	6237066.600000	524550.530000	31	3211	2013-05-08
33/9-A-41 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1997-12-14	1998-02-17	STATFJORD	NORTH SEA	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	3212	2013-05-08
6406/2-5 A	Saga Petroleum ASA	199	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1997-10-02	1998-02-23	KRISTIN	NORWEGIAN SEA	ED50	64	55	53.83	N	6	26	58.65	E	64.931619	6.449625	7203444.560000	379444.850000	32	3213	2013-05-08
34/7-27	Mobil Exploration Norway INC	089	EXPLORATION	WILDCAT	DRY	1998-09-01	1998-10-07	\N	NORTH SEA	ED50	61	29	32.09	N	2	0	21.00	E	61.492247	2.005833	6818184.410000	447062.530000	31	3214	2013-05-08
31/2-D-10 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1997-10-09	1997-10-29	TROLL	NORTH SEA	ED50	60	51	11.06	N	3	29	15.68	E	60.853072	3.487689	6746680.160000	526499.970000	31	3218	2013-05-08
15/12-A-8	Saga Petroleum ASA	038	DEVELOPMENT	PRODUCTION	OIL	1998-05-15	1998-07-04	VARG	NORTH SEA	ED50	58	4	40.55	N	1	53	25.84	E	58.077931	1.890511	6438070.740000	434560.090000	31	3221	2013-05-08
30/3-7 B	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	OIL/GAS	1998-05-20	1998-08-04	VESLEFRIKK	NORTH SEA	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	3229	2013-05-08
31/4-A-11 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1997-11-28	1997-12-21	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	50.35	E	60.542594	3.047319	6712000.240000	502596.160000	31	3235	2013-05-08
2/8-F-18	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1998-08-18	1999-03-24	VALHALL	NORTH SEA	ED50	56	16	35.51	N	3	23	46.90	E	56.276531	3.396361	6237066.250000	524544.510000	31	3236	2013-05-08
2/8-F-19	BP Amoco Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2000-05-25	2000-11-07	VALHALL	NORTH SEA	ED50	56	16	35.92	N	3	23	47.03	E	56.276644	3.396397	6237078.940000	524546.670000	31	3237	2013-05-08
2/8-F-14	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1998-04-24	1998-05-28	VALHALL	NORTH SEA	ED50	56	16	35.66	N	3	23	47.19	E	56.276572	3.396442	6237070.920000	524549.470000	31	3238	2013-05-08
2/8-F-15	BP Amoco Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2000-09-01	2001-03-09	VALHALL	NORTH SEA	ED50	56	16	36.16	N	3	23	47.04	E	56.276711	3.396400	6237086.360000	524546.800000	31	3239	2013-05-08
2/8-F-16	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1999-04-24	1999-06-26	VALHALL	NORTH SEA	ED50	56	16	35.55	N	3	23	47.03	E	56.276542	3.396397	6237067.500000	524546.740000	31	3240	2013-05-08
2/8-A-19 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1998-02-12	1998-05-20	VALHALL	NORTH SEA	ED50	56	16	41.20	N	3	23	44.11	E	56.278111	3.395586	6237241.900000	524495.510000	31	3242	2013-05-08
25/11-22	Norsk Hydro Produksjon AS	169	EXPLORATION	WILDCAT	DRY	1998-01-07	1998-01-24	\N	NORTH SEA	ED50	59	9	40.27	N	2	31	26.13	E	59.161186	2.523925	6558249.060000	472775.120000	31	3243	2013-05-08
16/7-7 S	Esso Exploration and Production Norway A/S	072	EXPLORATION	WILDCAT	OIL	1997-10-20	1997-12-29	SIGYN	NORTH SEA	ED50	58	17	6.53	N	2	3	51.01	E	58.285147	2.064169	6460985.890000	445122.590000	31	3244	2013-05-08
30/8-3	Norsk Hydro Produksjon AS	190	EXPLORATION	WILDCAT	GAS/CONDENSATE	1997-11-13	1998-01-05	TUNE	NORTH SEA	ED50	60	26	40.54	N	2	38	58.02	E	60.444594	2.649450	6701135.310000	480709.170000	31	3246	2013-05-08
31/2-P-41	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-10-30	1997-11-21	TROLL	NORTH SEA	ED50	60	53	11.46	N	3	31	21.54	E	60.886517	3.522650	6750419.990000	528369.970000	31	3247	2013-05-08
2/4-X-31	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-11-25	1998-01-12	EKOFISK	NORTH SEA	ED50	56	32	51.79	N	3	13	8.26	E	56.547719	3.218961	6267202.940000	513463.010000	31	3248	2013-05-08
6204/11-2	Den norske stats oljeselskap a.s	175	EXPLORATION	WILDCAT	OIL SHOWS	1997-12-06	1997-12-28	\N	NORWEGIAN SEA	ED50	62	11	50.47	N	4	26	37.67	E	62.197353	4.443797	6897169.350000	575131.870000	31	3249	2013-05-08
15/3-6	Amoco Norway Oil Company	187	EXPLORATION	WILDCAT	DRY	1998-12-14	1999-01-05	\N	NORTH SEA	ED50	58	46	23.41	N	1	45	14.90	E	58.773169	1.754139	6515614.350000	427951.240000	31	3250	2013-05-08
15/9-19 B	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	SHOWS	1997-11-09	1998-02-02	VOLVE	NORTH SEA	ED50	58	26	9.08	N	1	55	47.26	E	58.435856	1.929794	6477882.410000	437510.030000	31	3251	2013-05-08
31/6-A-24	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1997-12-25	1997-12-30	TROLL	NORTH SEA	ED50	60	38	43.84	N	3	43	35.23	E	60.645511	3.726453	6723681.960000	539729.340000	31	3253	2013-05-08
31/6-A-21	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	\N	1998-04-21	1998-05-16	TROLL	NORTH SEA	ED50	60	38	43.77	N	3	43	35.08	E	60.645492	3.726411	6723679.770000	539727.080000	31	3254	2013-05-08
31/6-A-22	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1998-01-01	1998-09-18	TROLL	NORTH SEA	ED50	60	38	43.69	N	3	43	35.08	E	60.645469	3.726411	6723677.290000	539727.110000	31	3255	2013-05-08
31/6-A-23	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1998-05-16	1998-10-06	TROLL	NORTH SEA	ED50	60	38	43.62	N	3	43	35.08	E	60.645450	3.726411	6723675.130000	539727.130000	31	3256	2013-05-08
1/5-3 S	Conoco Norway Inc.	144	EXPLORATION	WILDCAT	OIL	1998-06-10	1998-08-06	\N	NORTH SEA	ED50	56	41	24.52	N	2	36	54.13	E	56.690144	2.615036	6283101.440000	476419.160000	31	3257	2013-05-08
6204/10-2 R	Den norske stats oljeselskap a.s	175	EXPLORATION	WILDCAT	GAS	1997-11-04	1997-11-21	\N	NORWEGIAN SEA	ED50	62	2	41.24	N	4	7	4.59	E	62.044789	4.117942	6879839.000000	558469.640000	31	3258	2013-05-08
6505/10-1	A/S Norske Shell	210	EXPLORATION	WILDCAT	DRY	1998-03-28	1998-07-04	\N	NORWEGIAN SEA	ED50	65	7	59.69	N	5	10	29.39	E	65.133247	5.174831	7225243.080000	602035.970000	31	3259	2013-05-08
6608/10-6	Den norske stats oljeselskap a.s	128	EXPLORATION	WILDCAT	OIL	2000-02-29	2000-05-14	URD	NORWEGIAN SEA	ED50	66	3	55.95	N	8	15	26.07	E	66.065542	8.257242	7327600.500000	466374.200000	32	3260	2013-05-08
15/9-B-11	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1998-03-15	1998-07-25	SLEIPNER VEST	NORTH SEA	ED50	58	25	20.45	N	1	43	4.37	E	58.422347	1.717881	6476594.930000	425108.430000	31	3261	2013-05-08
6510/2-1 R	A/S Norske Shell	214	EXPLORATION	WILDCAT	SHOWS	1997-11-05	1997-12-19	\N	NORWEGIAN SEA	ED50	65	47	15.60	N	10	25	51.33	E	65.787667	10.430925	7297173.230000	565483.130000	32	3263	2013-05-08
34/10-A-19 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1997-11-30	1998-01-27	GULLFAKS	NORTH SEA	ED50	61	10	33.89	N	2	11	22.99	E	61.176081	2.189719	6782831.440000	456416.680000	31	3265	2013-05-08
25/8-U-1	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-22	1996-08-23	\N	NORTH SEA	ED50	59	27	4.70	N	2	22	0.73	E	59.451306	2.366869	6590630.630000	464100.880000	31	3266	2013-05-08
33/9-C-19 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1997-11-16	1998-01-07	STATFJORD	NORTH SEA	ED50	61	17	47.90	N	1	54	10.85	E	61.296639	1.903014	6796484.390000	441221.660000	31	3267	2013-05-08
31/5-I-21 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-11-24	1997-12-11	TROLL	NORTH SEA	ED50	60	43	42.83	N	3	34	39.64	E	60.728564	3.577678	6732851.760000	531511.740000	31	3268	2013-05-08
31/5-I-21 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1998-05-25	1998-07-20	TROLL	NORTH SEA	ED50	60	43	42.83	N	3	34	39.64	E	60.728564	3.577678	6732851.760000	531511.740000	31	3269	2013-05-08
34/8-A-2 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	INJECTION	GAS	1997-11-16	2001-12-02	VISUND	NORTH SEA	ED50	61	22	12.80	N	2	27	35.07	E	61.370222	2.459742	6804307.160000	471119.150000	31	3270	2013-05-08
6506/12-R-4 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	INJECTION	GAS	1997-12-25	1999-04-09	ÅSGARD	NORWEGIAN SEA	ED50	65	2	0.27	N	6	54	7.05	E	65.033408	6.901958	7213998.510000	401196.110000	32	3271	2013-05-08
25/8-U-2	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-24	1996-08-24	\N	NORTH SEA	ED50	59	27	2.49	N	2	22	0.61	E	59.450692	2.366836	6590562.290000	464098.340000	31	3272	2013-05-08
25/8-U-3	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-26	1996-08-26	\N	NORTH SEA	ED50	59	28	3.59	N	2	22	33.65	E	59.467664	2.376014	6592447.400000	464636.460000	31	3273	2013-05-08
25/8-U-4	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-25	1996-08-25	\N	NORTH SEA	ED50	59	27	57.66	N	2	24	8.20	E	59.466017	2.402278	6592250.290000	466123.250000	31	3274	2013-05-08
25/8-U-5	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-25	1996-08-25	\N	NORTH SEA	ED50	59	27	13.06	N	2	24	45.49	E	59.453628	2.412636	6590865.430000	466698.130000	31	3275	2013-05-08
25/8-U-6	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-25	1996-08-26	\N	NORTH SEA	ED50	59	26	34.37	N	2	23	48.08	E	59.442881	2.396689	6589676.710000	465783.130000	31	3276	2013-05-08
25/8-U-7	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-27	1996-08-27	\N	NORTH SEA	ED50	59	27	3.79	N	2	21	58.54	E	59.451053	2.366261	6590602.810000	464066.120000	31	3277	2013-05-08
25/11-C-3 BH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	\N	1997-12-21	1998-01-07	BALDER	NORTH SEA	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	3278	2013-05-08
16/2-U-2	Statoil ASA (old)	265	SHALLOW	\N	\N	2006-09-18	2006-09-19	\N	NORTH SEA	ED50	58	52	19.39	N	2	23	27.49	E	58.872053	2.390969	6526115.130000	464878.630000	31	5461	2013-05-08
16/1-5	Den norske stats oljeselskap a.s	167	EXPLORATION	WILDCAT	SHOWS	1998-10-12	1998-11-21	\N	NORTH SEA	ED50	58	47	53.52	N	2	9	12.14	E	58.798200	2.153372	6518040.860000	451073.370000	31	3279	2013-05-08
6204/10-2 A	Den norske stats oljeselskap a.s	175	EXPLORATION	WILDCAT	DRY	1997-11-22	1997-12-04	\N	NORWEGIAN SEA	ED50	62	2	41.24	N	4	7	4.59	E	62.044789	4.117942	6879839.000000	558469.640000	31	3280	2013-05-08
30/9-B-20 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	GAS	1997-11-29	1997-12-22	OSEBERG	NORTH SEA	ED50	60	29	36.15	N	2	49	42.59	E	60.493375	2.828497	6706529.450000	490576.300000	31	3281	2013-05-08
34/7-28	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	DRY	1997-12-30	1998-03-02	\N	NORTH SEA	ED50	61	28	7.55	N	2	1	5.61	E	61.468764	2.018225	6815558.640000	447682.940000	31	3282	2013-05-08
6508/1-1 S	Saga Petroleum ASA	213	EXPLORATION	WILDCAT	DRY	1999-07-25	1999-08-29	\N	NORWEGIAN SEA	ED50	65	57	57.16	N	8	3	15.19	E	65.965878	8.054219	7316615.950000	457016.020000	32	3284	2013-05-08
6507/7-A-22	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1998-01-03	1998-03-28	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.89	N	7	19	3.81	E	65.325803	7.317725	7245992.820000	421640.380000	32	3285	2013-05-08
31/4-A-20	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1997-12-26	1998-05-23	BRAGE	NORTH SEA	ED50	60	32	33.51	N	3	2	50.35	E	60.542642	3.047319	6712005.500000	502596.160000	31	3286	2013-05-08
15/9-B-22	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	\N	1997-11-29	1998-10-31	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.31	N	1	43	4.48	E	58.417864	1.717911	6476095.760000	425100.700000	31	3287	2013-05-08
15/9-B-22 A	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1998-11-16	1999-01-27	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.31	N	1	43	4.48	E	58.417864	1.717911	6476095.760000	425100.700000	31	3288	2013-05-08
30/9-B-46 A	StatoilHydro Petroleum AS	079	DEVELOPMENT	PRODUCTION	OIL	2009-04-10	2009-07-29	OSEBERG	NORTH SEA	ED50	60	29	35.84	N	2	49	43.07	E	60.493289	2.828631	6706519.840000	490583.600000	31	3290	2013-05-08
15/12-A-5	Saga Petroleum ASA	038	DEVELOPMENT	PRODUCTION	OIL	1998-10-17	1998-12-04	VARG	NORTH SEA	ED50	58	4	40.48	N	1	53	25.60	E	58.077911	1.890444	6438068.640000	434556.120000	31	3291	2013-05-08
15/12-A-14	Saga Petroleum ASA	038	DEVELOPMENT	INJECTION	GAS	1998-07-10	1998-08-15	VARG	NORTH SEA	ED50	58	4	40.36	N	1	53	25.71	E	58.077878	1.890475	6438064.900000	434557.860000	31	3292	2013-05-08
15/12-A-6	Saga Petroleum ASA	038	DEVELOPMENT	INJECTION	GAS	1999-05-01	1999-06-20	VARG	NORTH SEA	ED50	58	4	40.50	N	1	53	25.69	\N	58.077917	1.890469	6438069.240000	434557.600000	31	3293	2013-05-08
15/12-A-12	Saga Petroleum ASA	038	DEVELOPMENT	INJECTION	GAS	1999-03-14	1999-09-21	VARG	NORTH SEA	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	3294	2013-05-08
15/12-A-13	Saga Petroleum ASA	038	DEVELOPMENT	PRODUCTION	OIL	1999-07-19	1999-08-25	VARG	NORTH SEA	ED50	58	4	40.50	N	1	53	25.92	E	58.077917	1.890533	6438069.170000	434561.370000	31	3295	2013-05-08
15/12-A-15	Saga Petroleum ASA	038	DEVELOPMENT	PRODUCTION	\N	1998-12-25	1999-03-12	VARG	NORTH SEA	ED50	58	4	40.38	N	1	53	25.80	E	58.077883	1.890500	6438065.500000	434559.340000	31	3296	2013-05-08
31/5-I-22 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1997-12-11	1997-12-19	TROLL	NORTH SEA	ED50	60	43	42.75	N	3	34	39.35	E	60.728542	3.577597	6732849.250000	531507.370000	31	3298	2013-05-08
31/5-I-22 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1997-12-19	1998-07-30	TROLL	NORTH SEA	ED50	60	43	42.75	N	3	34	39.35	E	60.728542	3.577597	6732849.250000	531507.370000	31	3299	2013-05-08
30/3-A-10 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-03-03	1998-03-28	VESLEFRIKK	NORTH SEA	ED50	60	46	57.97	N	2	53	52.16	E	60.782769	2.897822	6738755.220000	494435.650000	31	3302	2013-05-08
30/3-A-10 B	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1998-03-29	1998-05-11	VESLEFRIKK	NORTH SEA	ED50	60	46	57.97	N	2	53	52.16	E	60.782769	2.897822	6738755.220000	494435.650000	31	3303	2013-05-08
2/4-X-10	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-12-14	1998-02-13	EKOFISK	NORTH SEA	ED50	56	32	51.08	N	3	13	8.14	E	56.547522	3.218928	6267180.980000	513461.030000	31	3304	2013-05-08
6704/12-U-1	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	67	1	35.20	N	4	57	25.60	E	67.026444	4.957111	7435859.260000	585234.960000	31	3305	2013-05-08
6506/11-6	Den norske stats oljeselskap a.s	134	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1998-02-24	1998-08-22	KRISTIN	NORWEGIAN SEA	ED50	65	1	26.24	N	6	25	10.71	E	65.023956	6.419642	7213786.470000	378448.140000	32	3306	2013-05-08
31/2-L-41	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-01-26	1998-02-11	TROLL	NORTH SEA	ED50	60	48	44.35	N	3	34	50.05	E	60.812319	3.580569	6742182.060000	531586.980000	31	3308	2013-05-08
31/5-I-14 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-01-11	1998-01-23	TROLL	NORTH SEA	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734240.110000	531720.230000	31	3309	2013-05-08
2/4-X-5	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1998-02-13	1998-03-16	EKOFISK	NORTH SEA	ED50	56	32	51.00	N	3	13	8.00	E	56.547500	3.218889	6267178.500000	513458.650000	31	3310	2013-05-08
30/9-B-30 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1998-03-09	1998-04-28	OSEBERG	NORTH SEA	ED50	60	29	36.13	N	2	49	43.29	E	60.493369	2.828692	6706528.810000	490586.980000	31	3311	2013-05-08
2/4-X-36	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1998-01-06	1998-02-19	EKOFISK	NORTH SEA	ED50	56	32	51.86	N	3	13	8.43	E	56.547739	3.219008	6267205.110000	513465.910000	31	3312	2013-05-08
34/7-29 S	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1998-03-04	1998-04-14	\N	NORTH SEA	ED50	61	21	51.69	N	2	2	23.37	E	61.364358	2.039825	6803911.990000	448662.750000	31	3313	2013-05-08
34/11-4	Den norske stats oljeselskap a.s	193	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1998-12-09	1999-04-14	VALEMON	NORTH SEA	ED50	61	3	26.20	N	2	22	46.50	E	61.057278	2.379583	6769486.550000	466503.350000	31	3314	2013-05-08
34/7-26 SR	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL	1998-01-08	1998-02-02	TORDIS	NORTH SEA	ED50	61	16	29.38	N	2	7	11.41	E	61.274828	2.119836	6793879.090000	452806.070000	31	3315	2013-05-08
25/11-B-11 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	1998-01-23	1998-04-13	BALDER	NORTH SEA	ED50	59	10	42.54	N	2	22	44.00	E	59.178483	2.378889	6560243.380000	464499.140000	31	3316	2013-05-08
25/11-B-14 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-01-17	1998-02-13	BALDER	NORTH SEA	ED50	59	10	42.75	N	2	22	45.85	E	59.178542	2.379403	6560249.600000	464528.570000	31	3317	2013-05-08
25/11-B-14 AH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	INJECTION	WATER	1998-03-20	1998-04-24	BALDER	NORTH SEA	ED50	59	10	42.75	N	2	22	45.85	E	59.178542	2.379403	6560249.600000	464528.570000	31	3318	2013-05-08
34/10-A-14 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GULLFAKS	NORTH SEA	ED50	61	10	34.98	N	2	11	21.92	E	61.176383	2.189422	6782865.360000	456401.110000	31	3319	2013-05-08
34/8-A-1 CH	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VISUND	NORTH SEA	ED50	61	22	12.57	N	2	27	35.13	E	61.370158	2.459758	6804300.030000	471119.990000	31	3320	2013-05-08
2/8-A-6 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1998-06-09	1998-07-29	VALHALL	NORTH SEA	ED50	56	16	40.86	N	3	23	43.65	E	56.278017	3.395458	6237231.340000	524487.650000	31	3321	2013-05-08
6506/11-7	StatoilHydro Petroleum AS	134 B	EXPLORATION	WILDCAT	OIL/GAS	2001-01-25	2001-07-27	MORVIN	NORWEGIAN SEA	ED50	65	10	6.69	N	6	28	12.96	E	65.168525	6.470267	7229792.830000	381477.180000	32	3322	2013-05-08
33/9-A-11 AY1	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1998-03-19	1998-08-20	STATFJORD	NORTH SEA	ED50	61	15	20.85	N	1	51	15.02	E	61.255792	1.854172	6791979.680000	438525.020000	31	3324	2013-05-08
33/9-A-11 AY2	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1998-08-23	1998-10-12	STATFJORD	NORTH SEA	ED50	61	15	20.85	N	1	51	15.02	E	61.255792	1.854172	6791979.680000	438525.020000	31	3325	2013-05-08
2/8-17 A	Amoco Norway Oil Company	006	EXPLORATION	WILDCAT	DRY	1998-01-18	1998-02-21	\N	NORTH SEA	ED50	56	27	21.19	N	3	36	5.18	E	56.455886	3.601439	6257121.590000	537069.240000	31	3328	2013-05-08
34/7-26 A	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	OIL	1998-02-06	1998-04-22	TORDIS	NORTH SEA	ED50	61	16	29.38	N	2	7	11.41	E	61.274828	2.119836	6793879.090000	452806.070000	31	3329	2013-05-08
31/2-P-13 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-02-21	1998-03-12	TROLL	NORTH SEA	ED50	60	52	1.31	N	3	33	28.39	E	60.867031	3.557886	6748265.300000	530301.050000	31	3330	2013-05-08
31/5-I-23 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	\N	1998-04-02	1998-04-12	TROLL	NORTH SEA	ED50	60	43	42.86	N	3	34	39.35	E	60.728572	3.577597	6732852.650000	531507.340000	31	3331	2013-05-08
31/5-I-14 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1998-01-23	1998-03-30	TROLL	NORTH SEA	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	3332	2013-05-08
31/5-I-23 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1998-04-12	1998-05-23	TROLL	NORTH SEA	ED50	60	43	42.86	N	3	34	39.35	E	60.728572	3.577597	6732852.650000	531507.340000	31	3333	2013-05-08
15/9-21 S	Den norske stats oljeselskap a.s	046	EXPLORATION	APPRAISAL	SHOWS	1998-03-23	1998-05-23	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.58	N	1	43	4.61	E	58.417939	1.717947	6476104.070000	425102.970000	31	3334	2013-05-08
6407/7-A-7 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	INJECTION	GAS	1998-02-15	1998-05-28	NJORD	NORWEGIAN SEA	ED50	64	16	15.11	N	7	12	7.93	E	64.270864	7.202203	7128605.210000	412922.520000	32	3335	2013-05-08
31/4-A-36	Norsk Hydro Produksjon AS	055	DEVELOPMENT	INJECTION	WATER	1998-06-06	1998-07-14	BRAGE	NORTH SEA	ED50	60	32	33.17	N	3	2	51.03	E	60.542547	3.047508	6711994.990000	502606.530000	31	3336	2013-05-08
6506/12-P-2 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1998-02-17	1998-04-12	ÅSGARD	NORWEGIAN SEA	ED50	65	1	22.83	N	6	52	45.47	E	65.023008	6.879297	7212875.520000	400090.340000	32	3342	2013-05-08
31/2-P-13 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1999-03-28	1999-05-05	TROLL	NORTH SEA	ED50	60	52	1.31	N	3	33	28.39	E	60.867031	3.557886	6748265.300000	530301.050000	31	3348	2013-05-08
9/2-A-3	Den norske stats oljeselskap a.s	114	DEVELOPMENT	INJECTION	GAS	1998-02-02	1998-02-23	YME	NORTH SEA	ED50	57	49	7.58	N	4	31	11.00	E	57.818772	4.519722	6409692.560000	590282.870000	31	3349	2013-05-08
31/2-M-42 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-03-16	1998-04-13	TROLL	NORTH SEA	ED50	60	57	15.37	N	3	37	42.52	E	60.954269	3.628478	6758017.020000	534041.950000	31	3350	2013-05-08
2/7-B-5 C	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1997-11-01	1997-11-20	ELDFISK	NORTH SEA	ED50	56	25	9.59	N	3	13	6.22	E	56.419331	3.218394	6252911.830000	513473.590000	31	3352	2013-05-08
34/7-P-21	Norsk Hydro Produksjon AS	089	DEVELOPMENT	INJECTION	WATER	1998-05-16	1998-07-15	SNORRE	NORTH SEA	ED50	61	26	57.46	N	2	8	36.54	E	61.449294	2.143483	6813295.850000	454328.960000	31	3354	2013-05-08
35/11-11	Norsk Hydro Produksjon AS	090	EXPLORATION	APPRAISAL	SHOWS	1998-04-16	1998-05-22	FRAM	NORTH SEA	ED50	61	6	31.42	N	3	33	49.08	E	61.108728	3.563633	6775189.730000	530381.590000	31	3356	2013-05-08
6407/7-A-6 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	INJECTION	GAS	1998-10-25	1998-12-28	NJORD	NORWEGIAN SEA	ED50	64	16	14.93	N	7	12	7.23	E	64.270814	7.202008	7128599.910000	412912.950000	32	3357	2013-05-08
6407/7-A-11 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	1999-10-17	1999-12-05	NJORD	NORWEGIAN SEA	ED50	64	16	15.92	N	7	12	8.70	E	64.271089	7.202417	7128629.990000	412933.590000	32	3358	2013-05-08
6407/7-A-17 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	1998-12-30	1999-02-22	NJORD	NORWEGIAN SEA	ED50	64	16	16.85	N	7	12	4.11	E	64.271347	7.201142	7128660.510000	412872.660000	32	3359	2013-05-08
34/10-K-2 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1998-03-21	1998-06-04	GULLFAKS SØR	NORTH SEA	ED50	61	8	10.47	N	2	0	56.65	E	61.136242	2.015736	6778522.460000	446992.150000	31	3360	2013-05-08
1/3-9 S	BP Norway Limited  U.A.	065	EXPLORATION	APPRAISAL	OIL	1998-05-08	1998-07-31	TAMBAR	NORTH SEA	ED50	56	58	57.97	N	2	57	31.33	E	56.982769	2.958703	6315610.110000	497490.000000	31	3362	2013-05-08
6506/12-S-2 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1998-04-08	1999-02-09	ÅSGARD	NORWEGIAN SEA	ED50	65	0	58.08	N	6	56	44.99	E	65.016133	6.945831	7212006.060000	403199.050000	32	3363	2013-05-08
2/4-X-12	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1998-03-16	1998-04-17	EKOFISK	NORTH SEA	ED50	56	32	51.04	N	3	13	8.44	E	56.547511	3.219011	6267179.760000	513466.160000	31	3364	2013-05-08
2/4-K-11 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1998-02-24	1998-04-03	EKOFISK	NORTH SEA	ED50	56	33	56.12	N	3	12	23.40	E	56.565589	3.206500	6269189.640000	512690.850000	31	3365	2013-05-08
6507/7-A-18	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1998-03-29	1998-05-08	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.76	N	7	19	2.61	E	65.325767	7.317392	7245989.210000	421624.750000	32	3366	2013-05-08
34/10-C-38	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1998-04-27	1999-06-25	GULLFAKS	NORTH SEA	ED50	61	12	54.68	N	2	16	26.13	E	61.215189	2.273925	6787134.430000	460994.160000	31	3367	2013-05-08
7/12-A-7 B	BP Amoco Norge AS	019	DEVELOPMENT	PRODUCTION	OIL	2000-08-25	2000-11-22	ULA	NORTH SEA	ED50	57	6	41.45	N	2	50	50.50	E	57.111514	2.847361	6329951.620000	490754.810000	31	3368	2013-05-08
2/7-B-2 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2000-07-23	2000-09-25	ELDFISK	NORTH SEA	ED50	56	25	8.90	N	3	13	6.31	E	56.419139	3.218419	6252890.500000	513475.200000	31	3369	2013-05-08
2/4-X-39	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1998-05-05	1998-08-13	EKOFISK	NORTH SEA	ED50	56	32	51.95	N	3	13	8.31	E	56.547764	3.218975	6267207.890000	513463.850000	31	3370	2013-05-08
31/2-P-14 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-04-16	1998-04-27	TROLL	NORTH SEA	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	3371	2013-05-08
31/2-P-14 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1998-04-28	1998-06-14	TROLL	NORTH SEA	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	3372	2013-05-08
7/12-A-7 C	BP Amoco Norge AS	019	DEVELOPMENT	INJECTION	GAS	2002-01-30	2002-03-18	ULA	NORTH SEA	ED50	57	6	41.45	N	2	50	50.50	E	57.111514	2.847361	6329951.620000	490754.810000	31	3373	2013-05-08
34/7-E-2 H	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1998-04-28	1998-06-22	VIGDIS	NORTH SEA	ED50	61	23	54.63	N	2	4	4.70	E	61.398508	2.067972	6807694.070000	450221.940000	31	3378	2013-05-08
34/10-H-2 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-04-19	1998-05-30	GULLFAKS SØR	NORTH SEA	ED50	61	3	20.40	N	2	4	26.04	E	61.055667	2.073900	6769502.020000	449997.430000	31	3379	2013-05-08
25/11-C-12 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	INJECTION	WATER	1998-04-28	1998-05-27	BALDER	NORTH SEA	ED50	59	10	59.93	N	2	24	36.26	E	59.183314	2.410072	6560765.110000	466286.210000	31	3381	2013-05-08
34/10-H-2 AH	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1998-05-30	1999-02-10	GULLFAKS SØR	NORTH SEA	ED50	61	3	20.40	N	2	4	26.04	E	61.055667	2.073900	6769502.020000	449997.430000	31	3382	2013-05-08
6407/7-A-16 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	1998-09-08	1998-10-14	NJORD	NORWEGIAN SEA	ED50	64	16	16.69	N	7	12	4.90	E	64.271303	7.201361	7128655.260000	412883.150000	32	3383	2013-05-08
2/4-X-2	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1998-04-19	1998-05-23	EKOFISK	NORTH SEA	ED50	56	32	50.91	N	3	13	8.08	E	56.547475	3.218911	6267175.720000	513460.030000	31	3386	2013-05-08
2/4-X-2 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1998-05-23	1998-06-01	EKOFISK	NORTH SEA	ED50	56	32	50.91	N	3	13	8.08	E	56.547475	3.218911	6267175.720000	513460.030000	31	3387	2013-05-08
30/9-B-21 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-05-14	1998-06-07	OSEBERG	NORTH SEA	ED50	60	29	36.17	N	2	49	42.76	E	60.493381	2.828544	6706530.070000	490578.900000	31	3388	2013-05-08
30/9-B-21 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1998-06-08	1998-06-22	OSEBERG	NORTH SEA	ED50	60	29	36.17	N	2	49	42.76	E	60.493381	2.828544	6706530.070000	490578.900000	31	3389	2013-05-08
6507/7-A-40	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1998-05-14	1998-08-01	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.77	N	7	19	4.53	E	65.325769	7.317925	7245988.850000	421649.590000	32	3390	2013-05-08
15/12-12	Saga Petroleum ASA	038	EXPLORATION	WILDCAT	OIL/GAS	2000-12-25	2001-02-09	REV	NORTH SEA	ED50	58	1	40.68	N	1	55	28.34	E	58.027967	1.924539	6432475.780000	436478.400000	31	3391	2013-05-08
6506/12-I-3 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1998-05-22	1999-03-02	ÅSGARD	NORWEGIAN SEA	ED50	65	6	7.47	N	6	40	54.13	E	65.102075	6.681703	7222010.110000	391107.810000	32	3393	2013-05-08
33/12-B-39 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1998-04-11	1998-05-16	STATFJORD	NORTH SEA	ED50	61	12	23.84	N	1	49	51.26	E	61.206622	1.830906	6786525.260000	437178.870000	31	3394	2013-05-08
33/12-B-39 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1998-05-17	1998-07-05	STATFJORD	NORTH SEA	ED50	61	12	23.84	N	1	49	51.26	E	61.206622	1.830906	6786525.260000	437178.870000	31	3395	2013-05-08
31/3-S-41	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-06-16	1998-07-10	TROLL	NORTH SEA	ED50	60	49	20.20	N	3	44	4.25	E	60.822278	3.734514	6743375.150000	539949.990000	31	3396	2013-05-08
24/6-2	Norsk Hydro Produksjon AS	203	EXPLORATION	WILDCAT	OIL/GAS	1998-05-25	1998-07-08	ALVHEIM	NORTH SEA	ED50	59	33	32.41	N	1	57	17.26	E	59.559003	1.954794	6602917.980000	440925.360000	31	3397	2013-05-08
2/4-K-10 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1998-05-19	1998-07-03	EKOFISK	NORTH SEA	ED50	56	33	55.73	N	3	12	22.00	E	56.565481	3.206111	6269177.510000	512666.990000	31	3398	2013-05-08
34/10-B-39	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1998-04-03	1998-05-27	GULLFAKS	NORTH SEA	ED50	61	12	9.90	N	2	12	6.16	E	61.202750	2.201711	6785794.130000	457097.940000	31	3399	2013-05-08
6404/5-U-1	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	1997-08-11	1997-08-11	\N	NORWEGIAN SEA	ED50	64	42	6.70	N	4	34	27.27	E	64.701861	4.574242	7176339.360000	575060.190000	31	3400	2013-05-08
6405/2-U-1	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	56	13.20	N	5	42	22.56	E	64.937000	5.706267	7204350.070000	627895.020000	31	3401	2013-05-08
6606/3-U-1	Den norske stats oljeselskap a.s	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	66	45	33.84	N	6	55	53.25	E	66.759400	6.931458	7406259.310000	408924.960000	32	3402	2013-05-08
2/8-A-3 C	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1998-09-07	1999-04-19	VALHALL	NORTH SEA	ED50	56	16	41.08	N	3	23	44.30	E	56.278078	3.395639	6237238.210000	524498.800000	31	3403	2013-05-08
6406/2-6	Saga Petroleum ASA	199	EXPLORATION	WILDCAT	GAS/CONDENSATE	1998-08-25	1998-11-07	\N	NORWEGIAN SEA	ED50	64	45	31.34	N	6	22	54.69	E	64.758706	6.381858	7184316.920000	375445.840000	32	3407	2013-05-08
31/2-Q-13 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-03-05	1999-03-25	TROLL	NORTH SEA	ED50	60	50	40.92	N	3	37	37.74	E	60.844700	3.627150	6745812.020000	534086.760000	31	3408	2013-05-08
31/2-Q-13 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1999-08-06	1999-09-02	TROLL	NORTH SEA	ED50	60	50	40.92	N	3	37	37.74	E	60.844700	3.627150	6745812.020000	534086.760000	31	3409	2013-05-08
2/4-X-7	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1998-06-01	1998-12-20	EKOFISK	NORTH SEA	ED50	56	32	50.98	N	3	13	8.28	E	56.547494	3.218967	6267177.900000	513463.430000	31	3410	2013-05-08
34/7-P-14 AY2	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1998-07-27	1998-11-12	SNORRE	NORTH SEA	ED50	61	26	57.08	N	2	8	37.36	E	61.449189	2.143711	6813283.930000	454340.950000	31	3412	2013-05-08
2/4-X-34	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1998-08-16	1998-11-03	EKOFISK	NORTH SEA	ED50	56	32	51.75	N	3	13	8.67	E	56.547708	3.219075	6267201.730000	513470.020000	31	3413	2013-05-08
34/10-C-39	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	WATER	2000-01-19	2000-03-30	GULLFAKS	NORTH SEA	ED50	61	12	54.91	N	2	16	26.62	E	61.215253	2.274061	6787141.470000	461001.550000	31	3419	2013-05-08
6506/12-R-2 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	INJECTION	GAS	1998-06-16	1998-07-22	ÅSGARD	NORWEGIAN SEA	ED50	65	2	0.35	N	6	54	6.72	E	65.033431	6.901867	7214001.130000	401191.880000	32	3504	2013-05-08
35/9-4 S	Norsk Hydro Produksjon AS	153	EXPLORATION	APPRAISAL	DRY	1998-07-13	1998-08-13	GJØA	NORTH SEA	ED50	61	19	32.50	N	3	57	55.23	E	61.325694	3.965342	6799609.420000	551677.160000	31	3524	2013-05-08
34/10-D-4 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1998-06-27	1999-03-06	GULLFAKS SØR	NORTH SEA	ED50	61	7	26.68	N	2	14	39.66	E	61.124078	2.244350	6777003.840000	459288.140000	31	3526	2013-05-08
31/2-D-1 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-08-01	1998-08-13	TROLL	NORTH SEA	ED50	60	52	3.17	N	3	26	12.14	E	60.867547	3.436706	6748272.950000	523718.940000	31	3529	2013-05-08
31/2-D-1 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1998-08-14	1998-09-16	TROLL	NORTH SEA	ED50	60	52	3.17	N	3	26	12.14	E	60.867547	3.436706	6748272.950000	523718.940000	31	3530	2013-05-08
16/10-4	Norsk Agip  AS	101	EXPLORATION	WILDCAT	DRY	1998-07-11	1998-08-10	\N	NORTH SEA	ED50	58	4	59.56	N	2	11	57.20	E	58.083211	2.199222	6438401.000000	452774.850000	31	3531	2013-05-08
31/2-Q-11 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-06-27	1999-07-06	TROLL	NORTH SEA	ED50	60	50	40.92	N	3	37	38.29	E	60.844700	3.627303	6745812.100000	534095.060000	31	3532	2013-05-08
31/2-Q-11 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1999-07-07	1999-08-27	TROLL	NORTH SEA	ED50	60	50	40.92	N	3	37	38.29	E	60.844700	3.627303	6745812.100000	534095.060000	31	3533	2013-05-08
31/2-Q-14 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1999-09-07	1999-10-10	TROLL	NORTH SEA	ED50	60	50	40.82	N	3	37	38.02	E	60.844672	3.627228	6745808.970000	534091.020000	31	3534	2013-05-08
6305/7-1	BP Norway Limited  U.A.	208	EXPLORATION	WILDCAT	GAS	1998-07-08	1998-08-30	ORMEN LANGE	NORWEGIAN SEA	ED50	63	21	47.60	N	5	15	43.73	E	63.363222	5.262147	7028228.300000	613145.720000	31	3535	2013-05-08
34/7-P-42	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	\N	1998-07-31	1998-08-28	SNORRE	NORTH SEA	ED50	61	26	58.37	N	2	8	36.52	E	61.449547	2.143478	6813324.010000	454329.030000	31	3537	2013-05-08
31/2-S-14 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-07-12	1998-07-26	TROLL	NORTH SEA	ED50	60	53	42.13	N	3	39	16.38	E	60.895036	3.654550	6751433.180000	535520.020000	31	3538	2013-05-08
31/2-S-14 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1998-07-29	1998-10-19	TROLL	NORTH SEA	ED50	60	53	42.13	N	3	39	16.38	E	60.895036	3.654550	6751433.180000	535520.020000	31	3539	2013-05-08
30/9-B-41 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1998-09-28	1998-11-13	OSEBERG	NORTH SEA	ED50	60	29	35.94	N	2	49	43.20	E	60.493317	2.828667	6706522.930000	490585.590000	31	3540	2013-05-08
30/3-A-9 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1998-08-12	1998-11-21	VESLEFRIKK	NORTH SEA	ED50	60	46	57.66	N	2	53	52.38	E	60.782683	2.897883	6738745.620000	494438.970000	31	3541	2013-05-08
31/4-A-35	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1998-07-25	1998-08-29	BRAGE	NORTH SEA	ED50	60	32	33.17	N	3	2	50.69	E	60.542547	3.047414	6711994.980000	502601.350000	31	3542	2013-05-08
34/10-C-40	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1998-07-01	1998-07-16	GULLFAKS	NORTH SEA	ED50	61	12	54.59	N	2	16	26.82	E	61.215164	2.274117	6787131.530000	461004.430000	31	3549	2013-05-08
34/10-B-40	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1998-09-01	1998-11-12	GULLFAKS	NORTH SEA	ED50	61	12	9.94	N	2	12	6.30	E	61.202761	2.201750	6785795.340000	457100.040000	31	3550	2013-05-08
25/11-D-10 AH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-07-18	1998-07-23	BALDER	NORTH SEA	ED50	59	12	0.37	N	2	24	35.21	E	59.200103	2.409781	6562634.800000	466286.090000	31	3551	2013-05-08
6506/12-P-1 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1998-10-20	1998-11-22	ÅSGARD	NORWEGIAN SEA	ED50	65	1	22.64	N	6	52	45.83	E	65.022956	6.879397	7212869.490000	400094.850000	32	3552	2013-05-08
6507/7-A-37	Den norske stats oljeselskap a.s	095	DEVELOPMENT	INJECTION	WATER	1998-10-16	1999-02-12	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.68	N	7	19	3.70	E	65.325744	7.317694	7245986.350000	421638.780000	32	3553	2013-05-08
33/9-C-12 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1998-09-24	1998-10-19	STATFJORD	NORTH SEA	ED50	61	17	47.98	N	1	54	11.25	E	61.296661	1.903125	6796486.770000	441227.650000	31	3554	2013-05-08
6305/1-1	Norsk Hydro Produksjon AS	209	EXPLORATION	WILDCAT	DRY	1998-08-18	1998-11-19	\N	NORWEGIAN SEA	ED50	63	46	59.72	N	5	16	19.57	E	63.783256	5.272103	7075028.480000	611981.310000	31	3555	2013-05-08
33/12-B-24 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1998-08-13	1998-09-03	STATFJORD	NORTH SEA	ED50	61	12	24.07	N	1	49	51.33	E	61.206686	1.830925	6786532.350000	437180.040000	31	3556	2013-05-08
6608/10-E-3 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	OIL	1998-07-29	1998-09-23	NORNE	NORWEGIAN SEA	ED50	66	2	43.50	N	8	5	57.30	E	66.045417	8.099250	7325451.140000	459189.800000	32	3557	2013-05-08
7120/6-2 S	Statoil ASA (old)	097	EXPLORATION	APPRAISAL	OIL/GAS	2007-06-14	2007-07-22	SNØHVIT	BARENTS SEA	ED50	71	36	0.60	N	20	49	41.70	E	71.600167	20.828250	7944559.340000	493948.960000	34	3558	2013-05-08
6506/12-S-3 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1998-08-17	1998-10-21	ÅSGARD	NORWEGIAN SEA	ED50	65	0	57.96	N	6	56	45.23	E	65.016100	6.945897	7212002.250000	403202.070000	32	3559	2013-05-08
31/4-A-34	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1998-09-01	1998-10-26	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	50.35	E	60.542525	3.047319	6711992.500000	502596.170000	31	3560	2013-05-08
30/9-19	Norsk Hydro Produksjon AS	079	EXPLORATION	WILDCAT	OIL/GAS	1998-09-08	1998-10-30	OSEBERG	NORTH SEA	ED50	60	27	35.38	N	2	41	38.94	E	60.459828	2.694150	6702819.740000	483176.890000	31	3561	2013-05-08
30/6-E-9	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	GAS	1999-05-02	1999-06-07	OSEBERG ØST	NORTH SEA	ED50	60	42	1.87	N	2	56	7.06	E	60.700519	2.935294	6729591.210000	496467.270000	31	3562	2013-05-08
25/11-C-17 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-10-14	1998-11-06	BALDER	NORTH SEA	ED50	59	10	59.03	N	2	24	36.87	E	59.183064	2.410242	6560737.190000	466295.650000	31	3563	2013-05-08
25/11-C-17 AH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	1998-11-06	1998-12-10	BALDER	NORTH SEA	ED50	59	10	59.03	N	2	24	36.87	E	59.183064	2.410242	6560737.190000	466295.650000	31	3564	2013-05-08
34/7-J-1 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1998-09-11	1998-12-21	TORDIS	NORTH SEA	ED50	61	16	29.70	N	2	7	11.87	E	61.274917	2.119964	6793888.900000	452813.050000	31	3565	2013-05-08
6507/11-Y-1 H	Den norske stats oljeselskap a.s	062	DEVELOPMENT	PRODUCTION	GAS	1998-09-08	2000-01-28	ÅSGARD	NORWEGIAN SEA	ED50	65	0	18.51	N	7	33	25.58	E	65.005142	7.557106	7209984.310000	431972.150000	32	3566	2013-05-08
34/7-P-42 A	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1998-08-28	1998-10-07	SNORRE	NORTH SEA	ED50	61	26	58.37	N	2	8	36.52	E	61.449547	2.143478	6813324.010000	454329.030000	31	3567	2013-05-08
34/10-K-2 AH	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1998-08-22	1998-10-04	GULLFAKS SØR	NORTH SEA	ED50	61	8	10.47	N	2	0	56.65	E	61.136242	2.015736	6778522.460000	446992.150000	31	3568	2013-05-08
33/12-B-35 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1998-09-16	1998-10-18	STATFJORD	NORTH SEA	ED50	61	12	23.97	N	1	49	50.71	E	61.206658	1.830753	6786529.430000	437170.730000	31	3569	2013-05-08
30/6-E-2	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1999-01-13	1999-04-26	OSEBERG ØST	NORTH SEA	\N	60	42	2.02	N	2	56	6.91	E	60.700561	2.935253	6729595.850000	496465.000000	31	3572	2013-05-08
2/7-31	Phillips Petroleum Company Norway	018	EXPLORATION	WILDCAT	OIL	1999-01-13	1999-06-09	\N	NORTH SEA	ED50	56	20	12.40	N	3	5	15.40	E	56.336778	3.087611	6243705.050000	505416.770000	31	3573	2013-05-08
34/7-P-14 B	Norsk Hydro Produksjon AS	089	DEVELOPMENT	PRODUCTION	OIL	2002-04-08	2002-06-08	SNORRE	NORTH SEA	ED50	61	26	57.08	N	2	8	37.36	E	61.449189	2.143711	6813283.930000	454340.950000	31	3574	2013-05-08
2/4-X-27	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1998-10-17	1999-10-14	EKOFISK	NORTH SEA	ED50	56	32	51.72	N	3	13	8.24	E	56.547700	3.218956	6267200.770000	513462.680000	31	3575	2013-05-08
15/12-A-2	Saga Petroleum ASA	038	DEVELOPMENT	PRODUCTION	OIL	1998-09-15	1998-10-02	VARG	NORTH SEA	\N	58	4	40.56	N	1	53	25.63	E	58.077933	1.890453	6438071.110000	434556.650000	31	3576	2013-05-08
15/12-A-11	Saga Petroleum ASA	038	DEVELOPMENT	PRODUCTION	OIL	1998-08-16	1998-08-31	VARG	NORTH SEA	\N	58	4	40.43	N	1	53	25.75	E	58.077897	1.890486	6438067.060000	434558.550000	31	3577	2013-05-08
30/6-25 S	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	SHOWS	1998-11-26	1999-01-06	\N	NORTH SEA	\N	60	30	45.70	N	2	43	16.00	E	60.512694	2.721111	6708701.440000	484684.810000	31	3578	2013-05-08
34/7-P-36	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1998-10-09	1999-01-30	SNORRE	NORTH SEA	\N	61	26	58.12	N	2	8	37.61	E	61.449478	2.143781	6813316.060000	454345.080000	31	3583	2013-05-08
34/10-E-4 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	GAS	1998-12-06	1999-06-08	GULLFAKS SØR	NORTH SEA	\N	61	6	38.54	N	2	15	38.70	E	61.110706	2.260750	6775504.260000	460154.860000	31	3585	2013-05-08
31/4-A-33	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-10-30	1998-12-06	BRAGE	NORTH SEA	\N	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	3586	2013-05-08
31/4-A-33 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	\N	1998-12-07	1999-01-22	BRAGE	NORTH SEA	\N	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	3587	2013-05-08
34/10-E-3 H	Statoil Petroleum AS	050	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	GULLFAKS SØR	NORTH SEA	ED50	61	6	38.37	N	2	15	38.19	E	61.110658	2.260608	6775499.090000	460147.160000	31	3589	2013-05-08
31/2-S-13 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-08-07	1998-12-15	TROLL	NORTH SEA	\N	60	53	42.32	N	3	36	16.71	E	60.895089	3.604642	6751413.050000	532811.680000	31	3591	2013-05-08
31/2-S-13 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1998-12-15	1999-03-04	TROLL	NORTH SEA	\N	60	53	42.32	N	3	39	16.71	E	60.895089	3.654642	6751439.110000	535524.930000	31	3592	2013-05-08
30/9-19 A	Norsk Hydro Produksjon AS	079	EXPLORATION	APPRAISAL	OIL/GAS	1998-10-30	1998-12-21	OSEBERG	NORTH SEA	\N	60	27	35.38	N	2	41	38.94	E	60.459828	2.694150	6702819.740000	483176.890000	31	3593	2013-05-08
33/12-B-16 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1998-10-22	1998-12-06	STATFJORD	NORTH SEA	ED50	61	12	25.05	N	1	49	52.20	E	61.206958	1.831167	6786562.440000	437193.560000	31	3594	2013-05-08
2/4-X-48	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2001-11-29	2002-02-06	EKOFISK	NORTH SEA	ED50	56	32	52.09	N	3	13	8.50	E	56.547803	3.219028	6267212.230000	513467.080000	31	3595	2013-05-08
33/9-A-25 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1998-11-30	1999-02-16	STATFJORD	NORTH SEA	\N	61	15	19.95	N	1	51	13.90	E	61.255542	1.853861	6791952.130000	438507.850000	31	3602	2013-05-08
6507/11-Y-4 H	Den norske stats oljeselskap a.s	062	DEVELOPMENT	PRODUCTION	GAS	1999-11-15	2000-01-03	ÅSGARD	NORWEGIAN SEA	ED50	65	0	18.64	N	7	33	25.57	E	65.005178	7.557103	7209988.340000	431972.110000	32	3603	2013-05-08
6507/11-Y-2 H	Statoil ASA (old)	062	DEVELOPMENT	PRODUCTION	GAS	1998-09-26	1998-10-18	ÅSGARD	NORWEGIAN SEA	ED50	65	0	18.50	N	7	33	24.88	E	65.005139	7.556911	7209984.210000	431962.970000	32	3604	2013-05-08
31/6-A-21 A	Den norske stats oljeselskap a.s	085	DEVELOPMENT	PRODUCTION	GAS	1998-10-26	1998-12-16	TROLL	NORTH SEA	ED50	60	38	43.77	N	3	43	35.08	E	60.645492	3.726411	6723679.770000	539727.080000	31	3605	2013-05-08
7533/3-U-7	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1998-08-10	1998-08-16	\N	UNOPENEDAREA	\N	75	48	27.65	N	33	55	22.24	E	75.807681	33.922844	8419931.270000	361199.320000	37	3607	2013-05-08
7634/6-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1998-08-10	1998-08-16	\N	UNOPENEDAREA	ED50	76	37	51.39	N	34	43	49.18	E	76.630942	34.730328	8509827.250000	389879.970000	37	3608	2013-05-08
7533/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1998-08-12	1998-08-18	\N	UNOPENEDAREA	\N	75	55	41.93	N	33	25	37.60	E	75.928314	33.427111	8434557.770000	348951.200000	37	3609	2013-05-08
7634/6-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1998-08-18	1998-08-21	\N	UNOPENEDAREA	\N	76	37	29.83	N	34	45	52.36	E	76.624953	34.764544	8509096.820000	390712.980000	37	3610	2013-05-08
7533/2-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1998-08-10	1998-08-10	\N	UNOPENEDAREA	ED50	75	55	26.66	N	33	26	40.70	E	75.924072	33.444639	8434041.650000	349380.490000	37	3611	2013-05-08
7533/2-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1998-08-21	1998-08-25	\N	UNOPENEDAREA	\N	75	54	44.32	N	33	29	33.29	E	75.912311	33.492581	8432612.830000	350554.510000	37	3613	2013-05-08
34/10-H-1 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-03-03	1999-04-01	GULLFAKS SØR	NORTH SEA	\N	61	3	20.23	N	2	4	26.54	E	61.055619	2.074039	6769496.650000	450004.860000	31	3617	2013-05-08
34/10-H-1 AH	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1999-04-02	1999-04-23	GULLFAKS SØR	NORTH SEA	\N	61	3	20.23	N	2	4	26.54	E	61.055619	2.074039	6769496.650000	450004.860000	31	3618	2013-05-08
30/9-B-13 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	GAS	1998-11-25	1999-02-02	OSEBERG	NORTH SEA	\N	60	29	36.22	N	2	49	42.39	E	60.493394	2.828442	6706531.630000	490573.250000	31	3619	2013-05-08
6506/11-F-4 H	Den norske stats oljeselskap a.s	134	DEVELOPMENT	PRODUCTION	GAS	1996-02-11	1996-06-06	ÅSGARD	NORWEGIAN SEA	\N	65	1	46.17	N	6	36	4.74	E	65.029492	6.601317	7214065.980000	387026.300000	32	3620	2013-05-08
6506/12-I-4 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1998-10-25	1998-12-02	ÅSGARD	NORWEGIAN SEA	\N	65	5	7.20	N	6	40	54.75	E	65.085333	6.681875	7220144.870000	391047.420000	32	3621	2013-05-08
6506/11-G-1 H	Den norske stats oljeselskap a.s	134	DEVELOPMENT	INJECTION	GAS	1996-09-10	1996-11-10	ÅSGARD	NORWEGIAN SEA	ED50	65	5	17.50	N	6	39	44.00	E	65.088194	6.662222	7220497.620000	390135.870000	32	3622	2013-05-08
6507/11-Y-3 H	Den norske stats oljeselskap a.s	062	DEVELOPMENT	PRODUCTION	GAS	2000-01-03	2000-02-19	ÅSGARD	NORWEGIAN SEA	\N	65	0	18.57	N	7	33	25.23	E	65.005158	7.557008	7209986.270000	431967.600000	32	3623	2013-05-08
31/5-I-11 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1998-10-16	1998-10-31	TROLL	NORTH SEA	\N	60	44	27.64	N	3	34	54.21	E	60.741011	3.581725	6734240.110000	531720.230000	31	3624	2013-05-08
31/5-I-11 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1998-11-01	1999-01-21	TROLL	NORTH SEA	\N	60	44	27.64	N	3	34	54.21	E	60.741011	3.581725	6734240.110000	531720.230000	31	3625	2013-05-08
16/1-5 A	Den norske stats oljeselskap a.s	167	EXPLORATION	WILDCAT	SHOWS	1998-11-21	1998-12-06	\N	NORTH SEA	ED50	58	47	53.52	N	2	9	12.14	E	58.798200	2.153372	6518040.860000	451073.370000	31	3626	2013-05-08
6406/2-4 SR	Saga Petroleum ASA	199	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1998-11-12	1999-02-15	\N	NORWEGIAN SEA	ED50	64	47	58.34	N	6	32	29.26	E	64.799539	6.541461	7188560.780000	383212.300000	32	3627	2013-05-08
34/10-B-40 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	2001-07-09	2001-07-31	GULLFAKS	NORTH SEA	ED50	61	12	9.94	N	2	12	6.30	E	61.202761	2.201750	6785795.340000	457100.040000	31	3628	2013-05-08
2/8-A-22 A	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1999-05-14	1999-07-17	VALHALL	NORTH SEA	\N	56	16	40.80	N	3	23	43.53	E	56.278000	3.395425	6237229.480000	524485.600000	31	3630	2013-05-08
34/7-P-10	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	OIL	2003-01-12	2003-03-31	SNORRE	NORTH SEA	ED50	61	26	56.96	N	2	8	37.64	E	61.449156	2.143789	6813280.170000	454345.050000	31	3631	2013-05-08
33/9-A-11 AY3	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	STATFJORD	NORTH SEA	ED50	61	15	20.85	N	1	51	15.02	E	61.255792	1.854172	6791979.680000	438525.020000	31	3632	2013-05-08
34/7-P-20	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	GAS	1999-03-15	1999-06-05	SNORRE	NORTH SEA	\N	61	26	57.22	N	2	8	37.63	E	61.449228	2.143786	6813288.210000	454345.010000	31	3635	2013-05-08
30/6-C-27 AH	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1991-05-25	1991-07-25	OSEBERG	NORTH SEA	ED50	60	32	27.64	N	2	43	9.32	E	60.541011	2.719256	6711855.810000	484596.360000	31	3636	2013-05-08
34/7-E-3 H	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1999-01-07	1999-03-23	VIGDIS	NORTH SEA	\N	61	23	54.99	N	2	4	4.34	E	61.398608	2.067872	6807705.280000	450216.750000	31	3638	2013-05-08
33/9-C-30 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1999-01-15	1999-02-15	STATFJORD	NORTH SEA	ED50	61	17	46.88	N	1	54	9.78	E	61.296356	1.902717	6796453.100000	441205.200000	31	3639	2013-05-08
34/7-I-11 H	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1999-03-23	1999-06-07	TORDIS	NORTH SEA	ED50	61	16	34.68	N	2	7	9.60	E	61.276300	2.119333	1832898.130000	406043.920000	31	3640	2013-05-08
6507/7-A-44	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1999-03-01	1999-05-08	HEIDRUN	NORWEGIAN SEA	\N	65	19	32.52	N	7	19	3.41	E	65.325700	7.317614	7245981.500000	421634.900000	32	3641	2013-05-08
6608/10-E-1 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	OIL	1999-05-28	1999-06-19	NORNE	NORWEGIAN SEA	ED50	66	2	43.38	N	8	5	58.46	E	66.045383	8.099572	7325447.220000	459204.350000	32	3643	2013-05-08
6608/10-E-2 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	OIL	1999-10-16	1999-11-21	NORNE	NORWEGIAN SEA	ED50	66	2	43.19	N	8	5	58.10	E	66.045331	8.099472	7325441.400000	459199.730000	32	3644	2013-05-08
6608/10-E-4 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	\N	2000-02-05	2000-03-12	NORNE	NORWEGIAN SEA	ED50	66	2	43.65	N	8	5	57.65	E	66.045458	8.099347	7325455.720000	459194.270000	32	3645	2013-05-08
2/1-12	BP Norway Limited  U.A.	019 C	EXPLORATION	WILDCAT	DRY	1999-01-08	1999-02-10	\N	NORTH SEA	\N	56	52	13.28	N	3	18	46.44	E	56.870356	3.312900	6303139.220000	519074.960000	31	3648	2013-05-08
30/9-F-20	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	1998-12-24	1999-02-13	OSEBERG SØR	NORTH SEA	ED50	60	23	24.66	N	2	47	49.67	E	60.390183	2.797131	6695040.900000	488817.370000	31	3649	2013-05-08
34/10-B-39 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	\N	1998-12-06	1999-03-22	GULLFAKS	NORTH SEA	\N	61	12	9.90	N	2	12	6.16	E	61.202750	2.201711	6785794.130000	457097.940000	31	3650	2013-05-08
31/4-A-38	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	1999-01-29	1999-03-09	BRAGE	NORTH SEA	\N	60	32	33.34	N	3	2	50.86	E	60.542594	3.047461	6712000.240000	502603.930000	31	3651	2013-05-08
31/5-J-11 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-01-24	1999-02-12	TROLL	NORTH SEA	\N	60	44	35.73	N	3	36	29.10	E	60.743258	3.608083	6734503.430000	533155.150000	31	3653	2013-05-08
31/5-J-11 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1999-02-12	1999-03-15	TROLL	NORTH SEA	\N	60	44	35.73	N	3	36	29.10	E	60.743258	3.608083	6734503.430000	533155.150000	31	3654	2013-05-08
6506/12-L-4 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1999-01-04	1999-02-24	ÅSGARD	NORWEGIAN SEA	\N	65	8	17.70	N	6	46	58.12	E	65.138250	6.782811	7225869.510000	395996.930000	32	3656	2013-05-08
34/8-A-3 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	INJECTION	GAS	1998-12-20	1999-04-09	VISUND	NORTH SEA	\N	61	22	12.92	N	2	27	34.64	E	61.370256	2.459622	6804310.920000	471112.800000	31	3662	2013-05-08
31/2-S-12 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-11-19	2002-01-06	TROLL	NORTH SEA	ED50	60	53	42.04	N	3	39	16.89	E	60.895011	3.654692	6751430.470000	535527.730000	31	3666	2013-05-08
6507/3-3	Den norske stats oljeselskap a.s	159	EXPLORATION	WILDCAT	GAS	1998-12-23	1999-03-25	SKARV	NORWEGIAN SEA	ED50	65	48	3.73	N	7	43	28.69	E	65.801036	7.724636	7298509.860000	441665.210000	32	3668	2013-05-08
33/9-G-4 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-01-26	1999-03-04	STATFJORD	NORTH SEA	\N	61	21	56.39	N	1	56	5.37	E	61.365664	1.934825	6804144.500000	443051.470000	31	3669	2013-05-08
33/9-G-4 AH	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-03-04	1999-03-16	STATFJORD	NORTH SEA	\N	61	21	56.39	N	1	56	5.37	E	61.365664	1.934825	6804144.500000	443051.470000	31	3670	2013-05-08
30/9-F-19	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-02-13	1999-03-22	OSEBERG SØR	NORTH SEA	ED50	60	23	24.66	N	2	47	49.77	E	60.390183	2.797158	6695040.900000	488818.910000	31	3672	2013-05-08
30/9-F-19 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	1999-03-22	1999-04-08	OSEBERG SØR	NORTH SEA	\N	60	23	24.66	N	2	47	49.77	E	60.390183	2.797158	6695040.900000	488818.910000	31	3673	2013-05-08
6506/12-L-2 AH	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1999-03-02	1999-04-06	ÅSGARD	NORWEGIAN SEA	\N	65	8	17.72	N	6	46	57.36	E	65.138256	6.782600	7225870.480000	395987.050000	32	3674	2013-05-08
25/8-B-17	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	OIL	2000-09-13	2000-10-13	JOTUN	NORTH SEA	ED50	59	27	3.67	N	2	22	0.87	E	59.451019	2.366908	6590598.750000	464102.780000	31	3678	2013-05-08
33/9-C-12 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1998-10-19	1998-12-23	STATFJORD	NORTH SEA	ED50	61	17	47.98	N	1	54	11.25	E	61.296661	1.903125	6796486.770000	441227.650000	31	3681	2013-05-08
6507/5-1	Amoco Norway Oil Company	212	EXPLORATION	WILDCAT	OIL/GAS/CONDENSATE	1997-12-24	1998-05-03	SKARV	NORWEGIAN SEA	ED50	65	44	36.11	N	7	39	4.60	E	65.743364	7.651278	7292152.720000	438172.230000	32	3683	2013-05-08
34/10-D-1 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2000-11-17	2001-08-31	GULLFAKS SØR	NORTH SEA	ED50	61	7	26.56	N	2	14	39.45	E	61.124044	2.244292	6777000.160000	459284.950000	31	3686	2013-05-08
34/10-D-3 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-07-31	1999-08-23	GULLFAKS SØR	NORTH SEA	ED50	61	7	26.54	N	2	14	39.12	E	61.124039	2.244200	6776999.600000	459280.010000	31	3687	2013-05-08
34/7-P-36 A	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1999-02-04	1999-03-14	SNORRE	NORTH SEA	\N	61	26	58.12	N	2	8	37.61	E	61.449478	2.143781	6813316.060000	454345.080000	31	3689	2013-05-08
34/10-D-2 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1999-05-13	1999-07-29	GULLFAKS SØR	NORTH SEA	ED50	61	7	26.43	N	2	14	39.25	E	61.124008	2.244236	6776996.180000	459281.910000	31	3690	2013-05-08
33/9-C-19 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	1999-02-23	1999-04-10	STATFJORD	NORTH SEA	\N	61	17	47.90	N	1	54	10.85	E	61.296639	1.903014	6796484.390000	441221.660000	31	3691	2013-05-08
30/3-A-18 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1999-03-27	1999-04-16	VESLEFRIKK	NORTH SEA	\N	60	46	57.87	N	2	53	52.59	E	60.782742	2.897942	6738752.120000	494442.150000	31	3693	2013-05-08
33/9-A-14 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	1999-04-18	1999-06-12	STATFJORD	NORTH SEA	\N	61	15	20.84	N	1	51	14.67	E	61.255789	1.854075	6791979.460000	438519.800000	31	3694	2013-05-08
6507/7-C-4 H	Den norske stats oljeselskap a.s	095	DEVELOPMENT	INJECTION	WATER	1999-02-28	1999-08-03	HEIDRUN	NORWEGIAN SEA	\N	65	17	10.93	N	7	18	11.77	E	65.286369	7.303269	7241616.960000	420848.920000	32	3698	2013-05-08
34/7-29 SR	Saga Petroleum ASA	089	EXPLORATION	WILDCAT	OIL	1999-02-18	1999-03-17	\N	NORTH SEA	\N	61	21	51.69	N	2	2	23.37	E	61.364358	2.039825	6803911.990000	448662.750000	31	3702	2013-05-08
9/2-9 S	Den norske stats oljeselskap a.s	114	EXPLORATION	WILDCAT	OIL	1999-06-29	1999-10-18	YME	NORTH SEA	ED50	57	45	15.19	N	4	21	20.58	E	57.754219	4.355717	6402299.560000	580684.430000	31	3703	2013-05-08
34/7-A-2 AH	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1999-04-20	1999-05-25	SNORRE	NORTH SEA	\N	61	29	21.82	N	2	13	35.02	E	61.489394	2.226394	6817707.410000	458802.770000	31	3704	2013-05-08
6407/7-A-13 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	1999-03-09	1999-04-27	NJORD	NORWEGIAN SEA	ED50	64	16	16.22	N	7	12	7.16	E	64.271172	7.201989	7128639.860000	412913.140000	32	3705	2013-05-08
30/3-A-5 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	1999-03-03	1999-03-27	VESLEFRIKK	NORTH SEA	\N	60	46	57.77	N	2	53	52.38	E	60.782714	2.897883	6738749.030000	494438.970000	31	3706	2013-05-08
34/10-B-4 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1999-04-11	1999-06-19	GULLFAKS	NORTH SEA	\N	61	12	10.10	N	2	12	5.91	E	61.202806	2.201642	6785800.370000	457094.280000	31	3707	2013-05-08
30/9-F-14	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-04-08	1999-05-09	OSEBERG SØR	NORTH SEA	ED50	60	23	24.70	N	2	47	49.34	E	60.390194	2.797039	6695042.160000	488812.330000	31	3708	2013-05-08
30/9-F-14 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	WATER	1999-05-09	1999-05-21	OSEBERG SØR	NORTH SEA	ED50	60	23	24.70	N	2	47	49.34	E	60.390194	2.797039	6695042.160000	488812.330000	31	3709	2013-05-08
2/4-X-16	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1999-04-08	1999-06-15	EKOFISK	NORTH SEA	\N	56	32	51.12	N	3	13	8.47	E	56.547533	3.219019	6267182.240000	513466.670000	31	3710	2013-05-08
33/9-L-1 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-03-23	1999-04-22	STATFJORD ØST	NORTH SEA	\N	61	19	45.63	N	1	59	10.24	E	61.329342	1.986178	6800055.000000	445734.010000	31	3713	2013-05-08
2/7-D-9	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1999-06-14	1999-08-25	EMBLA	NORTH SEA	\N	56	19	59.69	N	3	14	53.51	E	56.333247	3.248197	6243336.290000	515346.790000	31	3714	2013-05-08
6506/12-I-2 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1999-04-09	1999-05-19	ÅSGARD	NORWEGIAN SEA	\N	65	5	7.38	N	6	40	53.92	E	65.085383	6.681644	7220150.830000	391036.800000	32	3715	2013-05-08
30/9-B-29 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-02-24	1999-03-17	OSEBERG	NORTH SEA	\N	60	29	36.12	N	2	49	43.13	E	60.493367	2.828647	6706528.500000	490584.540000	31	3716	2013-05-08
30/9-B-29 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1999-03-17	1999-04-24	OSEBERG	NORTH SEA	\N	60	29	26.12	N	2	49	43.13	E	60.490589	2.828647	6706219.110000	490583.730000	31	3717	2013-05-08
6507/3-3 A	Den norske stats oljeselskap a.s	159	EXPLORATION	WILDCAT	GAS	1999-03-25	1999-05-06	SKARV	NORWEGIAN SEA	ED50	65	48	3.73	N	7	43	28.69	E	65.801036	7.724636	7298509.860000	441665.210000	32	3718	2013-05-08
35/10-3	Den norske stats oljeselskap a.s	173	EXPLORATION	WILDCAT	DRY	1999-06-23	1999-07-14	\N	NORTH SEA	ED50	61	2	47.96	N	3	7	40.70	E	61.046656	3.127972	6768151.380000	506911.670000	31	3719	2013-05-08
34/7-E-1 H	Norsk Hydro Produksjon AS	089	DEVELOPMENT	INJECTION	WATER	2001-04-10	2001-05-19	VIGDIS	NORTH SEA	ED50	61	23	54.71	N	2	4	4.94	E	61.398531	2.068039	6807696.490000	450225.530000	31	3720	2013-05-08
34/7-E-4 H	Norsk Hydro Produksjon AS	089	DEVELOPMENT	INJECTION	WATER	2002-05-06	2002-06-13	VIGDIS	NORTH SEA	ED50	61	23	54.98	N	2	4	4.36	E	61.398606	2.067878	6807704.970000	450217.050000	31	3721	2013-05-08
25/8-B-2	Esso Exploration and Production Norway A/S	027 P	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-05-01	1999-06-25	JOTUN	NORTH SEA	\N	59	27	3.83	N	2	22	0.43	E	59.451064	2.366786	6590603.760000	464095.900000	31	3731	2013-05-08
25/8-B-2 A	Esso Exploration and Production Norway A/S	027 P	DEVELOPMENT	PRODUCTION	OIL	1999-06-26	1999-07-28	JOTUN	NORTH SEA	\N	59	27	3.83	N	2	22	0.43	E	59.451064	2.366786	6590603.760000	464095.900000	31	3732	2013-05-08
6507/7-A-48	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1999-05-03	1999-07-06	HEIDRUN	NORWEGIAN SEA	\N	65	19	32.65	N	7	19	4.60	E	65.325736	7.317944	7245985.120000	421650.400000	32	3733	2013-05-08
6507/7-B-4 H	Den norske stats oljeselskap a.s	095	DEVELOPMENT	INJECTION	WATER	1999-04-11	1999-07-17	HEIDRUN	NORWEGIAN SEA	\N	65	18	45.97	N	7	15	47.09	E	65.312769	7.263081	7244609.600000	419055.550000	32	3735	2013-05-08
34/10-C-41	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1999-06-23	1999-08-23	GULLFAKS	NORTH SEA	\N	61	12	53.64	N	2	16	27.96	E	61.214900	2.274433	6787101.950000	461021.110000	31	3738	2013-05-08
30/9-B-12 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1999-05-04	1999-06-02	OSEBERG	NORTH SEA	ED50	60	29	36.40	N	2	49	43.19	E	60.493444	2.828664	6706537.170000	490585.480000	31	3739	2013-05-08
9/2-A-4 A	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	1999-04-21	1999-05-19	YME	NORTH SEA	\N	57	49	7.53	N	4	31	11.21	E	57.818758	4.519781	6409691.090000	590286.370000	31	3740	2013-05-08
31/5-J-13 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	OIL	1999-03-16	1999-04-24	TROLL	NORTH SEA	ED50	60	44	35.77	N	3	36	28.56	E	60.743269	3.607933	6734504.590000	533146.960000	31	3743	2013-05-08
31/5-J-13 AY1H	StatoilHydro Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2009-01-14	2009-02-08	TROLL	NORTH SEA	ED50	60	44	35.77	N	3	36	28.56	E	60.743269	3.607933	6734504.590000	533146.960000	31	3744	2013-05-08
33/9-C-18 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-04-21	1999-05-24	STATFJORD	NORTH SEA	\N	61	17	47.88	N	1	54	11.33	E	61.296633	1.903147	6796483.660000	441228.790000	31	3745	2013-05-08
6608/10-F-1 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	INJECTION	WATER	1999-04-29	1999-05-27	NORNE	NORWEGIAN SEA	\N	66	2	40.45	N	8	6	6.91	E	66.044569	8.101919	7325354.980000	459309.390000	32	3751	2013-05-08
34/7-I-10 H	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	1999-06-27	1999-09-05	TORDIS	NORTH SEA	ED50	61	16	35.29	N	2	7	6.57	E	61.276469	2.118492	6794062.920000	452736.450000	31	3752	2013-05-08
31/2-P-12 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1999-05-20	1999-06-24	TROLL	NORTH SEA	\N	60	52	1.05	N	3	33	28.79	E	60.866958	3.557997	6748257.300000	530307.160000	31	3753	2013-05-08
6507/7-A-46 A	Statoil Petroleum AS	095	DEVELOPMENT	PRODUCTION	OIL	2010-12-02	2011-04-25	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.58	N	7	19	4.00	E	65.325717	7.317778	7245983.160000	421642.580000	32	3754	2013-05-08
25/11-23	Esso Exploration and Production Norway A/S	001	EXPLORATION	APPRAISAL	OIL	1999-05-13	1999-05-28	BALDER	NORTH SEA	ED50	59	14	7.23	N	2	21	4.64	E	59.235342	2.351289	6566589.880000	462983.220000	31	3755	2013-05-08
6507/5-2	Amoco Norway Oil Company	212	EXPLORATION	APPRAISAL	GAS/CONDENSATE	1999-08-13	1999-09-23	SKARV	NORWEGIAN SEA	ED50	65	42	59.10	N	7	38	18.83	E	65.716417	7.638564	7289162.200000	437524.410000	32	3756	2013-05-08
34/7-30 S	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	DRY	1999-05-26	1999-06-12	TORDIS	NORTH SEA	ED50	61	15	42.27	N	2	10	13.50	E	61.261742	2.170417	6792385.970000	455499.560000	31	3757	2013-05-08
6506/12-J-1 H	Statoil ASA (old)	094	DEVELOPMENT	PRODUCTION	OIL	2007-04-17	2007-08-01	ÅSGARD	NORWEGIAN SEA	ED50	65	9	58.66	N	6	43	59.25	E	65.166294	6.733125	7229076.400000	393779.270000	32	3758	2013-05-08
6704/12-1	Saga Petroleum ASA	215	EXPLORATION	WILDCAT	DRY	1999-06-04	1999-07-24	\N	NORWEGIAN SEA	ED50	67	7	25.00	N	4	42	44.70	E	67.123611	4.712417	7446374.140000	574282.360000	31	3759	2013-05-08
31/2-K-23 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-06-01	1999-06-18	TROLL	NORTH SEA	\N	60	45	21.12	N	3	38	22.98	E	60.755867	3.639717	6735924.150000	534866.210000	31	3760	2013-05-08
31/2-K-23 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1999-07-27	1999-08-18	TROLL	NORTH SEA	\N	60	45	21.12	N	3	38	22.98	E	60.755867	3.639717	6735924.150000	534866.210000	31	3761	2013-05-08
30/9-F-18	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-05-21	1999-07-01	OSEBERG SØR	NORTH SEA	ED50	60	23	24.64	N	2	47	49.62	E	60.390178	2.797117	6695040.290000	488816.610000	31	3762	2013-05-08
30/9-F-18 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	1999-12-16	2000-01-13	OSEBERG SØR	NORTH SEA	ED50	60	23	24.64	N	2	47	49.62	E	60.390178	2.797117	6695040.290000	488816.610000	31	3763	2013-05-08
25/8-12 S	Esso Exploration and Production Norway A/S	027	EXPLORATION	APPRAISAL	OIL	1999-05-29	1999-06-09	BALDER	NORTH SEA	ED50	59	17	22.57	N	2	26	39.45	E	59.289603	2.444292	6572584.320000	468340.440000	31	3771	2013-05-08
25/8-12 A	Esso Exploration and Production Norway A/S	027	EXPLORATION	APPRAISAL	OIL	1999-06-09	1999-06-19	BALDER	NORTH SEA	ED50	59	17	22.57	N	2	26	39.45	E	59.289603	2.444292	6572584.320000	468340.440000	31	3772	2013-05-08
6507/3-3 B	Den norske stats oljeselskap a.s	159	EXPLORATION	WILDCAT	GAS	1999-05-07	1999-06-16	SKARV	NORWEGIAN SEA	ED50	65	48	3.73	N	7	43	28.69	E	65.801036	7.724636	7298509.860000	441665.210000	32	3773	2013-05-08
6608/10-F-2 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	INJECTION	WATER	1999-09-18	1999-10-15	NORNE	NORWEGIAN SEA	ED50	66	2	40.30	N	8	6	6.56	E	66.044528	8.101822	7325350.390000	459304.920000	32	3777	2013-05-08
6608/10-F-3 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	INJECTION	WATER	1999-12-02	2000-02-05	NORNE	NORWEGIAN SEA	ED50	66	2	40.53	N	8	6	6.31	E	66.044592	8.101753	7325357.560000	459301.870000	32	3778	2013-05-08
6608/10-F-4 H	Den norske stats oljeselskap a.s	128	DEVELOPMENT	INJECTION	WATER	2001-06-10	2001-07-06	NORNE	NORWEGIAN SEA	ED50	66	2	40.76	N	8	6	6.09	E	66.044656	8.101692	7325364.720000	459299.200000	32	3779	2013-05-08
6407/12-1	A/S Norske Shell	176	EXPLORATION	WILDCAT	OIL	1999-07-07	1999-07-14	DRAUGEN	NORWEGIAN SEA	ED50	64	14	23.44	N	7	42	7.98	E	64.239844	7.702217	7124559.460000	437067.410000	32	3781	2013-05-08
31/2-K-13 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	OIL	1999-06-20	1999-07-01	TROLL	NORTH SEA	\N	60	46	5.78	N	3	36	41.00	E	60.768272	3.611389	6737291.200000	533309.430000	31	3784	2013-05-08
31/2-K-13 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1999-07-02	1999-07-23	TROLL	NORTH SEA	\N	60	46	5.78	N	3	36	41.00	E	60.768272	3.611389	6737291.200000	533309.430000	31	3786	2013-05-08
34/7-P-45	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	GAS	1999-06-14	1999-10-04	SNORRE	NORTH SEA	\N	61	26	58.38	N	2	8	37.33	E	61.449550	2.143703	6813324.160000	454341.030000	31	3789	2013-05-08
33/9-C-40 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-06-17	1999-07-22	STATFJORD	NORTH SEA	\N	61	17	46.71	N	1	54	9.81	E	61.296308	1.902725	6796447.840000	441205.560000	31	3790	2013-05-08
35/8-4	BP Norway Limited  U.A.	195	EXPLORATION	WILDCAT	DRY	1999-07-04	1999-08-10	\N	NORTH SEA	ED50	61	21	33.03	N	3	30	20.45	E	61.359175	3.505681	6803061.760000	527041.960000	31	3791	2013-05-08
6506/11-F-2 H	Den norske stats oljeselskap a.s	134	DEVELOPMENT	PRODUCTION	GAS	1999-06-07	1999-07-31	ÅSGARD	NORWEGIAN SEA	\N	65	1	46.41	N	6	36	4.20	E	65.029558	6.601167	7214073.670000	387019.520000	32	3792	2013-05-08
34/10-H-3 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1999-06-15	1999-09-18	GULLFAKS SØR	NORTH SEA	ED50	61	3	20.50	N	2	4	26.18	E	61.055694	2.073939	6769505.080000	449999.570000	31	3793	2013-05-08
30/6-E-4	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	OIL	1999-07-01	1999-07-30	OSEBERG ØST	NORTH SEA	ED50	60	42	1.94	N	2	56	6.76	E	60.700539	2.935211	6729593.380000	496462.720000	31	3794	2013-05-08
30/6-E-4 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	1999-07-30	1999-09-11	OSEBERG ØST	NORTH SEA	ED50	60	42	1.94	N	2	56	6.76	E	60.700539	2.935211	6729593.380000	496462.720000	31	3795	2013-05-08
33/12-B-6 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-07-08	1999-08-13	STATFJORD	NORTH SEA	ED50	61	12	25.18	N	1	49	52.34	E	61.206994	1.831206	6786566.430000	437195.730000	31	3796	2013-05-08
30/9-K-12 H	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	WATER	1999-07-06	1999-09-15	OSEBERG SØR	NORTH SEA	ED50	60	15	52.22	N	2	46	34.21	E	60.264506	2.776169	6681046.950000	487614.440000	31	3797	2013-05-08
6407/7-A-5 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	INJECTION	GAS	1999-07-07	1999-08-11	NJORD	NORWEGIAN SEA	ED50	64	16	14.75	N	7	12	6.47	E	64.270764	7.201797	7128594.630000	412902.570000	32	3801	2013-05-08
6407/9-A-4	A/S Norske Shell	093	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-06-03	1999-08-08	DRAUGEN	NORWEGIAN SEA	ED50	64	21	11.50	N	7	46	57.47	E	64.353194	7.782631	7137112.590000	441208.340000	32	3803	2013-05-08
6407/9-A-4 A	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	1999-08-11	1999-10-12	DRAUGEN	NORWEGIAN SEA	ED50	64	21	11.50	N	7	46	57.47	E	64.353194	7.782631	7137112.590000	441208.340000	32	3804	2013-05-08
34/10-D-3 AH	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1999-10-09	2000-01-24	GULLFAKS SØR	NORTH SEA	ED50	61	7	26.54	N	2	14	39.12	E	61.124039	2.244200	6776999.600000	459280.010000	31	3805	2013-05-08
25/8-B-1	Esso Exploration and Production Norway A/S	027 P	DEVELOPMENT	PRODUCTION	OIL	1999-08-02	1999-08-31	JOTUN	NORTH SEA	ED50	59	27	3.93	N	2	22	0.87	E	59.451092	2.366908	6590606.790000	464102.860000	31	3810	2013-05-08
6507/7-12	Conoco Norway Inc.	095	EXPLORATION	WILDCAT	OIL SHOWS	1999-07-17	1999-08-12	\N	NORWEGIAN SEA	ED50	65	26	46.16	N	7	18	17.82	E	65.446156	7.304950	7259419.310000	421406.230000	32	3812	2013-05-08
6507/7-A-13	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1999-07-12	1999-09-04	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.98	N	7	19	3.51	E	65.325828	7.317642	7245995.710000	421636.570000	32	3813	2013-05-08
34/10-K-4 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2000-01-30	2000-04-05	GULLFAKS SØR	NORTH SEA	ED50	61	8	10.45	N	2	0	56.98	E	61.136236	2.015828	6778521.760000	446997.080000	31	3814	2013-05-08
33/9-C-23 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-07-31	1999-08-22	STATFJORD	NORTH SEA	ED50	61	17	46.96	N	1	54	10.19	E	61.296378	1.902831	6796455.480000	441211.350000	31	3815	2013-05-08
34/10-42 S	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	SHOWS	1999-07-15	1999-09-19	VALEMON	NORTH SEA	ED50	61	0	26.99	N	2	17	3.46	E	61.007497	2.284294	6763994.220000	461298.180000	31	3816	2013-05-08
6407/7-A-18 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	1999-09-02	1999-10-19	NJORD	NORWEGIAN SEA	ED50	64	16	16.97	N	7	12	3.36	E	64.271381	7.200933	7128664.510000	412862.680000	32	3825	2013-05-08
9/2-A-6 A	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	1999-07-13	1999-08-19	YME	NORTH SEA	ED50	57	49	7.47	N	4	31	10.95	E	57.818742	4.519708	6409689.140000	590282.120000	31	3830	2013-05-08
35/9-U-1	Statoil ASA (old)	153	SHALLOW	\N	\N	2006-09-25	2006-09-26	GJØA	NORTH SEA	ED50	61	20	27.28	N	3	57	31.54	E	61.340911	3.958761	6801299.170000	551300.010000	31	5462	2013-05-08
25/8-B-3	Esso Exploration and Production Norway A/S	027 P	DEVELOPMENT	PRODUCTION	OIL	1999-09-02	1999-10-01	JOTUN	NORTH SEA	ED50	59	27	3.68	N	2	22	0.57	E	59.451022	2.366825	6590599.100000	464098.060000	31	3831	2013-05-08
30/9-B-33	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-08-13	1999-10-21	OSEBERG	NORTH SEA	ED50	60	29	36.00	N	2	49	42.83	E	60.493333	2.828564	6706524.800000	490579.950000	31	3839	2013-05-08
30/9-B-33 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	1999-12-06	2000-01-17	OSEBERG	NORTH SEA	ED50	60	29	36.00	N	2	49	42.83	E	60.493333	2.828564	6706524.800000	490579.950000	31	3840	2013-05-08
2/7-A-16 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1999-09-26	1999-11-30	ELDFISK	NORTH SEA	ED50	56	22	36.09	N	3	15	56.92	E	56.376692	3.265811	6248176.060000	516417.230000	31	3841	2013-05-08
6508/1-1 A	Saga Petroleum ASA	213	EXPLORATION	WILDCAT	DRY	1999-08-29	1999-09-13	\N	NORWEGIAN SEA	ED50	65	57	57.16	N	8	3	15.19	E	65.965878	8.054219	7316615.950000	457016.020000	32	3849	2013-05-08
34/10-C-42	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	1999-09-01	2000-01-12	GULLFAKS	NORTH SEA	ED50	61	12	53.59	N	2	16	27.44	E	61.214886	2.274289	6787100.490000	461013.340000	31	3853	2013-05-08
33/9-C-5 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-08-28	1999-09-10	STATFJORD	NORTH SEA	ED50	61	17	48.10	N	1	54	11.03	E	61.296694	1.903064	6796490.540000	441224.440000	31	3854	2013-05-08
33/9-C-5 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-07-19	2003-08-05	STATFJORD	NORTH SEA	ED50	61	17	48.10	N	1	54	11.03	E	61.296694	1.903064	6796490.540000	441224.440000	31	3855	2013-05-08
31/2-K-22 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-08-19	1999-08-28	TROLL	NORTH SEA	ED50	60	45	20.93	N	3	38	23.53	E	60.755814	3.639869	6735918.350000	534874.590000	31	3856	2013-05-08
31/2-K-22 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1999-08-28	1999-09-20	TROLL	NORTH SEA	ED50	60	45	20.93	N	3	38	23.53	E	60.755814	3.639869	6735918.350000	534874.590000	31	3857	2013-05-08
34/7-B-3 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	2000-01-05	2000-05-28	VIGDIS	NORTH SEA	ED50	61	23	49.53	N	2	7	3.17	E	61.397092	2.117547	6807499.460000	452867.400000	31	3858	2013-05-08
2/7-D-6	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1999-08-25	1999-11-21	EMBLA	NORTH SEA	ED50	56	19	59.69	N	3	14	53.62	E	56.333247	3.248228	6243336.290000	515348.680000	31	3860	2013-05-08
31/2-O-11 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1999-10-15	1999-11-15	TROLL	NORTH SEA	ED50	60	53	22.53	N	3	33	59.31	E	60.889592	3.566475	6750782.250000	530745.840000	31	3862	2013-05-08
6506/12-J-2 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	GAS	1999-08-24	1999-09-24	ÅSGARD	NORWEGIAN SEA	ED50	65	9	58.83	N	6	43	58.86	E	65.166342	6.733017	7229081.840000	393774.380000	32	3863	2013-05-08
6506/12-J-3 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	1999-09-24	1999-11-02	ÅSGARD	NORWEGIAN SEA	ED50	65	9	58.93	N	6	43	58.86	E	65.166369	6.733017	7229084.940000	393774.490000	32	3864	2013-05-08
33/9-A-22 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-09-23	1999-11-01	STATFJORD	NORTH SEA	ED50	61	15	19.99	N	1	51	14.09	E	61.255553	1.853914	6791953.310000	438510.700000	31	3865	2013-05-08
15/9-B-20	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	1999-01-28	1999-07-01	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.47	N	1	43	4.68	E	58.417908	1.717967	6476100.650000	425104.040000	31	3868	2013-05-08
6507/7-A-43	Den norske stats oljeselskap a.s	095	DEVELOPMENT	INJECTION	WATER	1999-09-13	1999-10-31	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.49	N	7	19	3.18	E	65.325692	7.317550	7245980.650000	421631.900000	32	3870	2013-05-08
33/9-C-1 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER/GAS	1999-09-21	1999-10-16	STATFJORD	NORTH SEA	ED50	61	17	48.17	N	1	54	11.09	E	61.296714	1.903081	6796492.690000	441225.370000	31	3871	2013-05-08
30/9-K-13 H	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	1999-09-16	1999-10-26	OSEBERG SØR	NORTH SEA	ED50	60	15	52.52	N	2	46	33.72	E	60.264589	2.776033	6681056.260000	487606.940000	31	3872	2013-05-08
30/6-E-13	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	WATER	1999-09-25	1999-10-04	OSEBERG ØST	NORTH SEA	ED50	60	42	1.72	N	2	56	6.76	E	60.700478	2.935211	6729586.570000	496462.720000	31	3873	2013-05-08
6507/8-D-2 H	Den norske stats oljeselskap a.s	124	DEVELOPMENT	PRODUCTION	OIL	1999-08-17	1999-11-16	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.95	N	7	20	9.41	E	65.361931	7.335947	7249995.920000	422595.290000	32	3874	2013-05-08
34/8-A-9 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	OIL	1999-11-26	2000-03-08	VISUND	NORTH SEA	ED50	61	22	13.40	N	2	27	31.91	E	61.370389	2.458864	6804326.110000	471072.390000	31	3875	2013-05-08
31/5-J-23 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-09-23	1999-10-02	TROLL	NORTH SEA	ED50	60	43	45.58	N	3	39	23.31	E	60.729328	3.656475	6732977.230000	535809.110000	31	3876	2013-05-08
31/5-J-23 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1999-10-03	1999-10-25	TROLL	NORTH SEA	ED50	60	43	45.58	N	3	39	23.31	E	60.729328	3.656475	6732977.230000	535809.110000	31	3877	2013-05-08
6406/2-7	Saga Petroleum ASA	199	EXPLORATION	WILDCAT	GAS/CONDENSATE	1999-09-22	1999-12-26	\N	NORWEGIAN SEA	ED50	64	50	22.89	N	6	20	31.18	E	64.839692	6.341994	7193415.640000	373929.110000	32	3878	2013-05-08
30/6-E-6	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	\N	1999-10-06	2000-01-19	OSEBERG ØST	NORTH SEA	ED50	60	42	1.94	N	2	56	7.06	E	60.700539	2.935294	6729593.380000	496467.270000	31	3883	2013-05-08
25/6-3	Den norske stats oljeselskap a.s	245	EXPLORATION	WILDCAT	DRY	1999-10-21	1999-11-11	\N	NORTH SEA	ED50	59	42	3.03	N	2	55	25.04	E	59.700842	2.923622	6618251.930000	495701.210000	31	3885	2013-05-08
34/7-30 SR	Saga Petroleum ASA	089	EXPLORATION	APPRAISAL	DRY	1999-11-12	1999-12-02	TORDIS	NORTH SEA	ED50	61	15	42.27	N	2	10	13.50	E	61.261742	2.170417	6792385.970000	455499.560000	31	3886	2013-05-08
34/4-C-6 H	Saga Petroleum ASA	057	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-10-11	1999-11-20	SNORRE	NORTH SEA	ED50	61	31	30.51	N	2	12	40.69	E	61.525142	2.211303	6821699.000000	458047.290000	31	3887	2013-05-08
33/9-C-32 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-10-23	1999-11-10	STATFJORD	NORTH SEA	ED50	61	17	46.82	N	1	54	10.07	E	61.296339	1.902797	6796451.170000	441209.490000	31	3888	2013-05-08
6507/7-A-26	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	1999-11-07	1999-12-31	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.66	N	7	19	2.67	E	65.325739	7.317408	7245986.090000	421625.440000	32	3889	2013-05-08
2/4-W-4 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	1999-11-17	2000-01-12	EKOFISK	NORTH SEA	ED50	56	32	39.08	N	3	13	4.65	E	56.544189	3.217958	6266809.750000	513402.600000	31	3890	2013-05-08
25/8-B-15	Esso Exploration and Production Norway A/S	027 P	DEVELOPMENT	PRODUCTION	OIL	1999-10-04	1999-11-07	JOTUN	NORTH SEA	ED50	59	27	3.64	N	2	22	0.78	E	59.451011	2.366883	6590597.830000	464101.350000	31	3892	2013-05-08
34/10-L-4 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	GAS	1999-11-14	2000-01-27	GULLFAKS SØR	NORTH SEA	ED50	61	5	48.29	N	2	11	33.99	E	61.096747	2.192775	6773992.800000	456471.990000	31	3893	2013-05-08
30/9-K-14 H	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	\N	1999-10-30	1999-12-08	OSEBERG SØR	NORTH SEA	ED50	60	15	52.25	N	2	46	33.67	E	60.264514	2.776019	6681047.910000	487606.140000	31	3894	2013-05-08
34/7-P-19	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1999-10-28	2000-01-27	SNORRE	NORTH SEA	ED50	61	26	57.21	N	2	8	37.36	E	61.449225	2.143711	6813287.960000	454341.000000	31	3895	2013-05-08
33/9-A-17 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-11-12	1999-12-16	STATFJORD	NORTH SEA	ED50	61	15	20.75	N	1	51	15.11	E	61.255764	1.854197	6791976.560000	438526.310000	31	3896	2013-05-08
31/2-K-12 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-10-29	1999-11-10	TROLL	NORTH SEA	ED50	60	46	6.08	N	3	36	40.72	E	60.768356	3.611311	6737300.440000	533305.110000	31	3897	2013-05-08
31/2-K-12 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1999-11-11	1999-12-05	TROLL	NORTH SEA	ED50	60	46	6.08	N	3	36	40.72	E	60.768356	3.611311	6737300.440000	533305.110000	31	3898	2013-05-08
30/3-8 S	Den norske stats oljeselskap a.s	052	EXPLORATION	APPRAISAL	OIL SHOWS	2000-03-26	2000-05-04	VESLEFRIKK	NORTH SEA	ED50	60	46	57.87	N	2	53	52.27	E	60.782742	2.897853	6738752.120000	494437.310000	31	3899	2013-05-08
9/2-B-4 H	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	1999-10-18	1999-11-12	YME	NORTH SEA	ED50	57	45	15.19	N	4	21	20.58	E	57.754219	4.355717	6402299.560000	580684.430000	31	3911	2013-05-08
25/8-B-4 A	Esso Exploration and Production Norway A/S	027 P	DEVELOPMENT	PRODUCTION	OIL	1999-12-22	2000-01-15	JOTUN	NORTH SEA	ED50	59	27	3.78	N	2	22	1.00	E	59.451050	2.366944	6590602.130000	464104.860000	31	3916	2013-05-08
33/9-A-13 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-08-29	1999-09-13	STATFJORD	NORTH SEA	ED50	61	15	20.80	N	1	51	15.30	E	61.255778	1.854250	6791978.060000	438529.170000	31	3920	2013-05-08
6407/6-5	Den norske stats oljeselskap a.s	092	EXPLORATION	APPRAISAL	GAS	1999-11-15	1999-12-27	MIKKEL	NORWEGIAN SEA	ED50	64	38	34.90	N	7	40	3.80	E	64.643028	7.667722	7169519.030000	436337.450000	32	3921	2013-05-08
33/9-C-37 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-11-18	1999-12-03	STATFJORD	NORTH SEA	ED50	61	17	46.75	N	1	54	10.01	E	61.296319	1.902781	6796449.020000	441208.560000	31	3923	2013-05-08
30/6-E-1	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	OIL	2000-04-02	2000-05-13	OSEBERG ØST	NORTH SEA	ED50	60	42	2.02	N	2	56	6.76	E	60.700561	2.935211	6729595.860000	496462.720000	31	3925	2013-05-08
30/6-E-3	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	OIL	2002-02-26	2002-04-12	OSEBERG ØST	NORTH SEA	ED50	60	42	2.02	N	2	56	7.06	E	60.700561	2.935294	6729595.850000	496467.270000	31	3926	2013-05-08
30/6-E-5	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	OIL	2000-11-13	2000-11-25	OSEBERG ØST	NORTH SEA	ED50	60	42	1.94	N	2	56	6.91	E	60.700539	2.935253	6729593.380000	496465.000000	31	3927	2013-05-08
30/6-E-7	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-01-02	2001-01-26	OSEBERG ØST	NORTH SEA	ED50	60	42	1.87	N	2	56	6.76	E	60.700519	2.935211	6729591.210000	496462.720000	31	3928	2013-05-08
30/6-E-8	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2000-06-05	2000-08-04	OSEBERG ØST	NORTH SEA	ED50	60	42	1.88	N	2	56	6.91	E	60.700522	2.935253	6729591.520000	496465.000000	31	3929	2013-05-08
30/6-E-10	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	WATER	2000-08-04	2000-08-18	OSEBERG ØST	NORTH SEA	ED50	60	42	1.79	N	2	56	6.76	E	60.700497	2.935211	6729588.740000	496462.720000	31	3930	2013-05-08
30/6-E-11	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-02-21	2001-03-12	OSEBERG ØST	NORTH SEA	ED50	60	42	1.79	N	2	56	6.91	E	60.700497	2.935253	6729588.740000	496464.990000	31	3931	2013-05-08
30/6-E-12	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	WATER	2000-08-27	2000-09-30	OSEBERG ØST	NORTH SEA	ED50	60	42	1.79	N	2	56	7.06	E	60.700497	2.935294	6729588.730000	496467.270000	31	3932	2013-05-08
30/6-E-14	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	WATER	2000-01-21	2000-03-13	OSEBERG ØST	NORTH SEA	ED50	60	42	1.72	N	2	56	6.91	E	60.700478	2.935253	6729586.570000	496464.990000	31	3933	2013-05-08
30/6-E-15	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	OIL	2001-04-24	2001-06-15	OSEBERG ØST	NORTH SEA	ED50	60	42	1.72	N	2	56	7.06	E	60.700478	2.935294	6729586.570000	496467.270000	31	3934	2013-05-08
6710/10-1	Den norske stats oljeselskap a.s	220	EXPLORATION	WILDCAT	DRY	2000-10-05	2000-10-26	\N	NORWEGIAN SEA	ED50	67	5	51.73	N	10	8	46.78	E	67.097703	10.146328	7442921.700000	549782.260000	32	3941	2013-05-08
6507/11-X-1 H	Den norske stats oljeselskap a.s	062	DEVELOPMENT	PRODUCTION	GAS	1999-12-08	2000-01-05	ÅSGARD	NORWEGIAN SEA	ED50	65	4	1.64	N	7	29	34.19	E	65.067122	7.492831	7216961.450000	429106.960000	32	3943	2013-05-08
6507/11-X-2 H	Den norske stats oljeselskap a.s	062	DEVELOPMENT	PRODUCTION	GAS	2000-01-05	2000-01-29	ÅSGARD	NORWEGIAN SEA	ED50	65	4	1.93	N	7	29	34.19	E	65.067203	7.492831	7216970.420000	429107.180000	32	3944	2013-05-08
31/2-N-14 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-11-19	1999-12-05	TROLL	NORTH SEA	ED50	60	54	56.59	N	3	35	12.03	E	60.915719	3.586675	6753702.130000	531816.150000	31	3945	2013-05-08
31/2-N-14 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	1999-12-05	2000-01-12	TROLL	NORTH SEA	ED50	60	54	56.59	N	3	35	12.03	E	60.915719	3.586675	6753702.130000	531816.150000	31	3946	2013-05-08
34/4-C-5 H	Saga Petroleum ASA	057	DEVELOPMENT	PRODUCTION	OIL	1999-11-22	2000-01-15	SNORRE	NORTH SEA	ED50	61	31	30.52	N	2	12	40.97	E	61.525144	2.211381	6821699.260000	458051.430000	31	3947	2013-05-08
31/2-O-13 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-01-15	2000-01-28	TROLL	NORTH SEA	ED50	60	53	22.58	N	3	33	58.78	E	60.889606	3.566328	6750783.730000	530737.830000	31	3948	2013-05-08
31/2-O-13 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	\N	2000-01-29	2000-02-20	TROLL	NORTH SEA	ED50	60	53	22.58	N	3	33	58.78	E	60.889606	3.566328	6750783.730000	530737.830000	31	3949	2013-05-08
6407/7-A-19 H	StatoilHydro Petroleum AS	107	DEVELOPMENT	OBSERVATION	OIL	2009-10-15	2009-11-05	NJORD	NORWEGIAN SEA	ED50	64	16	16.57	N	7	12	6.16	E	64.271269	7.201711	7128651.070000	412899.990000	32	3950	2013-05-08
25/8-B-11	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	OIL	2000-01-16	2000-03-06	JOTUN	NORTH SEA	ED50	59	27	3.61	N	2	22	0.63	E	59.451003	2.366842	6590596.930000	464098.980000	31	3953	2013-05-08
33/9-N-1 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2000-01-23	2000-03-29	SYGNA	NORTH SEA	ED50	61	28	0.99	N	1	59	30.66	E	61.466942	1.991850	6815377.110000	446274.400000	31	3954	2013-05-08
2/8-A-3 D	Amoco Norway Oil Company	006	DEVELOPMENT	PRODUCTION	OIL	1999-12-30	2000-02-29	VALHALL	NORTH SEA	ED50	56	16	41.08	N	3	23	44.30	E	56.278078	3.395639	6237238.210000	524498.800000	31	3955	2013-05-08
34/4-C-7 H	Statoil ASA (old)	057	DEVELOPMENT	OBSERVATION	OIL	2006-07-15	2006-08-11	SNORRE	NORTH SEA	ED50	61	31	30.51	N	2	12	40.31	E	61.525142	2.211197	6821699.070000	458041.670000	31	3957	2013-05-08
34/4-C-2 H	Saga Petroleum ASA	057	DEVELOPMENT	PRODUCTION	OIL	2000-03-05	2000-04-20	SNORRE	NORTH SEA	ED50	61	31	30.22	N	2	12	40.41	E	61.525061	2.211225	6821690.080000	458043.040000	31	3958	2013-05-08
31/5-J-24 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	1999-12-09	2000-01-26	TROLL	NORTH SEA	ED50	60	43	45.40	N	3	39	23.27	E	60.729278	3.656464	6732971.650000	535808.560000	31	3962	2013-05-08
31/2-Q-12 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-12-23	2000-01-20	TROLL	NORTH SEA	ED50	60	50	40.72	N	3	37	38.29	E	60.844644	3.627303	6745805.920000	534095.120000	31	3963	2013-05-08
31/2-Q-12 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-01-21	2000-02-19	TROLL	NORTH SEA	ED50	60	50	40.72	N	3	37	38.29	E	60.844644	3.627303	6745805.920000	534095.120000	31	3964	2013-05-08
34/8-B-1 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-12-31	2000-01-30	VISUND	NORTH SEA	ED50	61	25	51.00	N	2	34	3.95	E	61.430833	2.567764	6811015.880000	476938.400000	31	3965	2013-05-08
34/8-B-1 AH	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	OIL	2002-02-01	2002-04-08	VISUND	NORTH SEA	ED50	61	25	51.00	N	2	34	3.95	E	61.430833	2.567764	6811015.880000	476938.400000	31	3966	2013-05-08
33/9-A-27 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	1999-12-29	2000-01-28	STATFJORD	NORTH SEA	ED50	61	15	19.89	N	1	51	14.17	E	61.255525	1.853936	6791950.200000	438511.840000	31	3967	2013-05-08
33/9-A-27 C	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL	2008-07-08	2008-07-28	STATFJORD	NORTH SEA	ED50	61	15	19.89	N	1	51	14.17	E	61.255525	1.853936	6791950.200000	438511.840000	31	3968	2013-05-08
6507/8-D-3 H	Den norske stats oljeselskap a.s	124	DEVELOPMENT	PRODUCTION	\N	1999-12-23	2000-02-18	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.95	N	7	20	9.70	E	65.361931	7.336028	7249995.830000	422599.040000	32	3969	2013-05-08
34/8-A-11 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	INJECTION	GAS	2000-03-09	2000-03-19	VISUND	NORTH SEA	ED50	61	22	13.51	N	2	27	30.93	E	61.370419	2.458592	6804329.640000	471057.860000	31	3977	2013-05-08
15/9-A-4	Den norske stats oljeselskap a.s	046	DEVELOPMENT	INJECTION	GAS	2000-01-15	2000-04-12	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.82	N	1	54	29.86	E	58.367450	1.908294	6470286.610000	436131.090000	31	3979	2013-05-08
6407/7-A-12 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	2000-02-22	2000-04-16	NJORD	NORWEGIAN SEA	ED50	64	16	16.08	N	7	12	7.88	E	64.271133	7.202189	7128635.250000	412922.700000	32	3985	2013-05-08
30/9-B-38 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2000-02-08	2000-03-15	OSEBERG	NORTH SEA	ED50	60	29	35.89	N	2	49	42.70	E	60.493303	2.828528	6706521.410000	490577.960000	31	3986	2013-05-08
34/4-C-6 AH	Saga Petroleum ASA	057	DEVELOPMENT	PRODUCTION	OIL	2000-02-02	2000-03-05	SNORRE	NORTH SEA	ED50	61	31	30.51	N	2	12	40.69	E	61.525142	2.211303	6821699.000000	458047.290000	31	3987	2013-05-08
15/9-B-3	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	2000-01-26	2000-02-28	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.73	N	1	43	4.21	E	58.417981	1.717836	6476108.830000	425096.560000	31	3988	2013-05-08
30/9-F-16	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-01-13	2000-04-19	OSEBERG SØR	NORTH SEA	ED50	60	23	24.75	N	2	47	49.87	E	60.390208	2.797186	6695043.680000	488820.450000	31	3989	2013-05-08
34/10-L-2 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	GAS	2000-01-31	2000-03-08	GULLFAKS SØR	NORTH SEA	ED50	61	5	48.44	N	2	11	33.90	E	61.096789	2.192750	6773997.460000	456470.700000	31	3990	2013-05-08
6507/11-X-3 H	Den norske stats oljeselskap a.s	062	DEVELOPMENT	PRODUCTION	GAS	2000-06-30	2000-07-15	ÅSGARD	NORWEGIAN SEA	ED50	65	4	1.93	N	7	29	34.49	E	65.067203	7.492914	7216970.330000	429111.100000	32	3991	2013-05-08
6507/11-X-4 H	Den norske stats oljeselskap a.s	062	DEVELOPMENT	PRODUCTION	GAS	2000-01-31	2000-03-17	ÅSGARD	NORWEGIAN SEA	ED50	65	4	1.63	N	7	29	34.49	E	65.067119	7.492914	7216961.040000	429110.870000	32	3992	2013-05-08
33/12-B-1 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-02-29	2000-03-23	STATFJORD	NORTH SEA	ED50	61	12	25.28	N	1	49	52.27	E	61.207022	1.831186	6786569.540000	437194.740000	31	3993	2013-05-08
33/12-B-1 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	2000-03-23	2000-04-08	STATFJORD	NORTH SEA	ED50	61	12	25.28	N	1	49	52.27	E	61.207022	1.831186	6786569.540000	437194.740000	31	3994	2013-05-08
30/3-8 A	Den norske stats oljeselskap a.s	052	EXPLORATION	APPRAISAL	OIL SHOWS	2000-05-04	2000-05-23	VESLEFRIKK	NORTH SEA	ED50	60	46	57.87	N	2	53	52.27	E	60.782742	2.897853	6738752.120000	494437.310000	31	3995	2013-05-08
34/10-A-46	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2000-03-14	2000-05-14	GULLFAKS	NORTH SEA	ED50	61	10	33.74	N	2	11	22.78	E	61.176039	2.189661	6782826.840000	456413.490000	31	3996	2013-05-08
31/5-J-14 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2000-01-29	2000-03-02	TROLL	NORTH SEA	ED50	60	44	35.57	N	3	36	28.50	E	60.743214	3.607917	6734498.390000	533146.110000	31	3997	2013-05-08
33/9-A-7 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2000-02-13	2000-03-02	STATFJORD	NORTH SEA	ED50	61	15	20.89	N	1	51	15.23	E	61.255803	1.854231	6791980.860000	438528.180000	31	3998	2013-05-08
31/2-Y-24 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-02-21	2000-03-09	TROLL	NORTH SEA	ED50	60	49	51.68	N	3	34	21.08	E	60.831022	3.572522	6744261.400000	531130.990000	31	4001	2013-05-08
31/2-Y-24 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	\N	2000-03-10	2000-03-31	TROLL	NORTH SEA	ED50	60	49	51.68	N	3	34	21.08	E	60.831022	3.572522	6744261.400000	531130.990000	31	4002	2013-05-08
34/7-K-4 H	Saga Petroleum ASA	089	DEVELOPMENT	INJECTION	WATER	2000-03-18	2000-04-08	TORDIS	NORTH SEA	ED50	61	16	33.98	N	2	7	12.64	E	61.276106	2.120178	6794021.170000	452826.300000	31	4003	2013-05-08
31/2-K-14 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-03-27	2000-04-10	TROLL	NORTH SEA	ED50	60	46	5.96	N	3	36	41.19	E	60.768322	3.611442	6737296.790000	533312.260000	31	4004	2013-05-08
31/2-K-14 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-04-10	2000-04-24	TROLL	NORTH SEA	ED50	60	46	5.96	N	3	36	41.19	E	60.768322	3.611442	6737296.790000	533312.260000	31	4005	2013-05-08
31/2-K-14 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-04-24	2000-05-26	TROLL	NORTH SEA	ED50	60	46	5.96	N	3	36	41.19	E	60.768322	3.611442	6737296.790000	533312.260000	31	4006	2013-05-08
2/4-W-6 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	32	39.13	N	3	13	4.49	E	56.544203	3.217914	6266811.290000	513399.870000	31	4007	2013-05-08
2/7-A-19 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	GAS	2000-01-21	2000-02-20	ELDFISK	NORTH SEA	ED50	56	22	36.16	N	3	15	56.87	E	56.376711	3.265797	6248178.220000	516416.370000	31	4008	2013-05-08
2/7-B-13 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	2000-02-05	2000-04-04	ELDFISK	NORTH SEA	ED50	56	25	9.14	N	3	13	6.30	E	56.419206	3.218417	6252897.920000	513475.000000	31	4009	2013-05-08
34/10-J-2 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	GAS	2000-02-13	2000-05-22	GULLFAKS SØR	NORTH SEA	ED50	61	3	50.70	N	2	0	10.25	E	61.064083	2.002847	6770495.830000	446175.580000	31	4010	2013-05-08
34/7-A-5 AH	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	2000-04-25	2000-06-06	SNORRE	NORTH SEA	ED50	61	29	21.52	N	2	13	35.71	E	61.489311	2.226586	6817698.010000	458812.870000	31	4013	2013-05-08
6608/10-E-4 AH	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	OIL	2000-03-12	2000-06-01	NORNE	NORWEGIAN SEA	ED50	66	2	43.65	N	8	5	57.65	E	66.045458	8.099347	7325455.720000	459194.270000	32	4015	2013-05-08
31/2-O-41	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-04-04	2000-05-04	TROLL	NORTH SEA	ED50	60	53	45.53	N	3	27	21.61	E	60.895981	3.456003	6751447.140000	524745.000000	31	4016	2013-05-08
1/3-U-11	DONG E&P Norge AS	274	SHALLOW	\N	\N	2007-03-02	2007-03-03	\N	NORTH SEA	ED50	56	50	58.34	N	2	43	15.35	E	56.849539	2.720931	6300813.050000	482977.950000	31	5500	2013-05-08
6507/7-A-9 A	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	\N	2000-02-10	2000-03-03	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.85	N	7	19	2.31	E	65.325792	7.317308	7245992.100000	421620.940000	32	4018	2013-05-08
25/8-B-4	Esso Exploration and Production Norway A/S	027 P	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	1999-11-18	1999-12-18	JOTUN	NORTH SEA	ED50	59	27	3.78	N	2	22	1.00	E	59.451050	2.366944	6590602.130000	464104.860000	31	4019	2013-05-08
31/2-M-11 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-05-08	2000-07-14	TROLL	NORTH SEA	ED50	60	54	56.09	N	3	37	35.30	E	60.915581	3.626472	6753706.620000	533974.510000	31	4021	2013-05-08
31/2-M-12 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-05-11	2002-07-17	TROLL	NORTH SEA	ED50	60	54	56.28	N	3	37	35.35	E	60.915633	3.626486	6753712.510000	533975.200000	31	4022	2013-05-08
31/2-M-14 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-07-20	2000-07-31	TROLL	NORTH SEA	ED50	60	54	56.25	N	3	37	35.89	E	60.915625	3.626636	6753711.660000	533983.350000	31	4024	2013-05-08
34/7-P-44	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	2000-02-19	2000-05-18	SNORRE	NORTH SEA	ED50	61	26	58.38	N	2	8	37.06	E	61.449550	2.143628	6813324.220000	454337.040000	31	4025	2013-05-08
25/8-B-10	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	INJECTION	WATER	2000-03-09	2000-04-05	JOTUN	NORTH SEA	ED50	59	27	3.75	N	2	22	0.85	E	59.451042	2.366903	6590601.230000	464102.490000	31	4026	2013-05-08
34/7-B-4 H	Norsk Hydro Produksjon AS	089	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-06-04	2000-08-10	VIGDIS	NORTH SEA	ED50	61	23	49.67	N	2	7	3.38	E	61.397131	2.117606	6807503.750000	452870.580000	31	4027	2013-05-08
2/8-F-3 A	BP Amoco Norge AS	006	DEVELOPMENT	PRODUCTION	OIL	2000-03-14	2000-05-17	VALHALL	NORTH SEA	ED50	56	16	35.70	N	3	23	47.03	E	56.276583	3.396397	6237072.140000	524546.710000	31	4029	2013-05-08
6507/8-D-1 H	Den norske stats oljeselskap a.s	124	DEVELOPMENT	PRODUCTION	OIL	2000-02-20	2000-03-29	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.65	N	7	20	9.41	E	65.361847	7.335947	7249986.640000	422595.050000	32	4030	2013-05-08
31/2-S-31 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	INJECTION	WATER	2000-02-22	2000-03-31	TROLL	NORTH SEA	ED50	60	53	46.66	N	3	39	13.63	E	60.896294	3.653786	6751572.920000	535477.170000	31	4031	2013-05-08
9/2-A-2 B	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	2000-02-24	2000-04-10	YME	NORTH SEA	ED50	57	49	7.54	N	4	31	10.87	E	57.818761	4.519686	6409691.270000	590280.750000	31	4032	2013-05-08
34/10-L-1 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	GAS	2000-03-09	2000-03-31	GULLFAKS SØR	NORTH SEA	ED50	61	5	48.30	N	2	11	33.74	E	61.096750	2.192706	6773993.160000	456468.250000	31	4033	2013-05-08
25/8-B-8	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	OIL	2000-04-11	2000-05-06	JOTUN	NORTH SEA	ED50	59	27	3.86	N	2	22	0.93	E	59.451072	2.366925	6590604.620000	464103.780000	31	4036	2013-05-08
33/9-A-18 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2000-03-20	2000-04-12	STATFJORD	NORTH SEA	ED50	61	15	20.73	N	1	51	15.24	E	61.255758	1.854233	6791975.910000	438528.240000	31	4037	2013-05-08
15/9-B-21	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	2000-03-06	2000-04-02	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.27	N	1	43	4.33	E	58.417853	1.717869	6476094.570000	425098.240000	31	4040	2013-05-08
31/3-S-22 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-11-09	2002-12-14	TROLL	NORTH SEA	ED50	60	53	34.84	N	3	40	18.47	E	60.893011	3.671797	6751217.090000	536458.250000	31	4042	2013-05-08
31/3-S-23 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2000-07-23	2000-08-21	TROLL	NORTH SEA	ED50	60	53	34.62	N	3	40	18.99	E	60.892950	3.671942	6751210.370000	536466.160000	31	4043	2013-05-08
15/9-A-3	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	2000-05-21	2001-02-03	GUNGNE	NORTH SEA	ED50	58	22	2.75	N	1	54	29.78	E	58.367431	1.908272	6470284.470000	436129.750000	31	4046	2013-05-08
30/9-B-7 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	GAS	2003-06-01	2003-06-21	OSEBERG	NORTH SEA	ED50	60	29	36.31	N	2	49	42.35	E	60.493419	2.828431	6706534.410000	490572.650000	31	4047	2013-05-08
30/9-B-7 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	OSEBERG	NORTH SEA	ED50	60	29	36.31	N	2	49	42.35	E	60.493419	2.828431	6706534.410000	490572.650000	31	4048	2013-05-08
30/9-B-38 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2000-03-16	2000-05-20	OSEBERG	NORTH SEA	ED50	60	29	35.89	N	2	49	42.70	E	60.493303	2.828528	6706521.410000	490577.960000	31	4049	2013-05-08
34/4-10 R	Saga Petroleum ASA	057	EXPLORATION	WILDCAT	OIL	2000-03-13	2000-04-18	\N	NORTH SEA	ED50	61	37	33.33	N	2	4	30.47	E	61.625925	2.075131	6833020.570000	450963.660000	31	4051	2013-05-08
34/7-J-3 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	1998-02-02	1998-04-22	TORDIS	NORTH SEA	ED50	61	16	29.38	N	2	7	11.41	E	61.274828	2.119836	6793879.090000	452806.070000	31	4052	2013-05-08
30/3-9	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	GAS/CONDENSATE	2000-04-24	2000-07-01	\N	NORTH SEA	ED50	60	47	34.27	N	2	41	43.29	E	60.792853	2.695358	6739912.520000	483415.220000	31	4053	2013-05-08
35/11-12	Norsk Hydro Produksjon AS	248	EXPLORATION	WILDCAT	OIL SHOWS	2000-04-19	2000-05-14	\N	NORTH SEA	ED50	61	7	43.53	N	3	22	53.66	E	61.128758	3.381572	6777350.060000	520555.020000	31	4054	2013-05-08
15/3-7	Den norske stats oljeselskap a.s	025	EXPLORATION	APPRAISAL	OIL/GAS	2001-04-26	2001-09-01	GUDRUN	NORTH SEA	ED50	58	50	54.57	N	1	45	8.59	E	58.848492	1.752386	6524002.590000	428006.130000	31	4055	2013-05-08
34/7-K-1 H	Norsk Hydro Produksjon AS	089	DEVELOPMENT	INJECTION	WATER	2002-10-09	2002-12-05	TORDIS	NORTH SEA	ED50	61	16	34.34	N	2	7	12.77	E	61.276206	2.120214	6794032.280000	452828.390000	31	4056	2013-05-08
34/7-K-3 H	Norsk Hydro Produksjon AS	089	DEVELOPMENT	INJECTION	WATER	2002-02-07	2002-04-15	TORDIS	NORTH SEA	ED50	61	16	33.96	N	2	7	12.98	E	61.276100	2.120272	6794020.480000	452831.360000	31	4058	2013-05-08
6507/5-3	BP Amoco Norge AS	212	EXPLORATION	WILDCAT	GAS	2000-05-15	2000-06-23	SKARV	NORWEGIAN SEA	ED50	65	35	20.68	N	7	24	38.13	E	65.589078	7.410592	7275217.820000	426705.810000	32	4059	2013-05-08
34/8-A-10 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	\N	2000-03-19	2000-05-04	VISUND	NORTH SEA	ED50	61	22	13.47	N	2	27	31.43	E	61.370408	2.458731	6804328.340000	471065.280000	31	4060	2013-05-08
30/6-E-1 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2000-05-13	2000-06-02	OSEBERG ØST	NORTH SEA	ED50	60	42	2.02	N	2	56	6.76	E	60.700561	2.935211	6729595.860000	496462.720000	31	4061	2013-05-08
6507/7-A-9 B	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	2000-03-05	2000-04-30	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.85	N	7	19	2.31	E	65.325792	7.317308	7245992.100000	421620.940000	32	4065	2013-05-08
34/10-F-3 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2000-04-04	2000-05-25	GULLFAKS SØR	NORTH SEA	ED50	61	5	51.78	N	2	16	35.48	E	61.097717	2.276522	6774047.980000	460988.950000	31	4067	2013-05-08
31/2-Y-11 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-04-04	2000-04-17	TROLL	NORTH SEA	ED50	60	50	57.63	N	3	34	54.33	E	60.849342	3.581758	6746306.300000	531615.100000	31	4068	2013-05-08
31/2-Y-11 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-04-18	2000-06-03	TROLL	NORTH SEA	ED50	60	50	57.63	N	3	34	54.33	E	60.849342	3.581758	6746306.300000	531615.100000	31	4069	2013-05-08
6407/7-A-6 AH	Norsk Hydro Produksjon AS	107	DEVELOPMENT	INJECTION	GAS	2000-05-08	2000-05-29	NJORD	NORWEGIAN SEA	ED50	64	16	14.93	N	7	12	7.23	E	64.270814	7.202008	7128599.910000	412912.950000	32	4070	2013-05-08
34/10-I-4 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2000-04-10	2000-05-31	GULLFAKS SØR	NORTH SEA	ED50	61	3	19.24	N	2	2	13.05	E	61.055344	2.036958	6769494.900000	448002.420000	31	4071	2013-05-08
33/9-A-26 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	2000-04-25	2000-05-05	STATFJORD	NORTH SEA	ED50	61	15	19.92	N	1	51	14.04	E	61.255533	1.853900	6791951.160000	438509.920000	31	4074	2013-05-08
9/2-A-1 A	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	2000-05-14	2000-06-27	YME	NORTH SEA	ED50	57	49	7.48	N	4	31	10.74	E	57.818744	4.519650	6409689.370000	590278.650000	31	4075	2013-05-08
33/12-B-11 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2000-04-30	2000-05-14	STATFJORD	NORTH SEA	ED50	61	12	25.12	N	1	49	52.27	E	61.206978	1.831186	6786564.590000	437194.650000	31	4076	2013-05-08
34/7-P-30	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	2000-05-18	2000-08-06	SNORRE	NORTH SEA	ED50	61	26	57.99	N	2	8	37.34	E	61.449442	2.143706	6813312.090000	454341.020000	31	4077	2013-05-08
6406/2-2 R	Den norske stats oljeselskap a.s	199	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2006-02-24	2006-03-03	\N	NORWEGIAN SEA	ED50	64	49	46.35	N	6	34	15.43	E	64.829542	6.570953	7191848.600000	384740.990000	32	4078	2013-05-08
6608/10-D-3 AH	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	OIL	2000-08-05	2000-08-30	NORNE	NORWEGIAN SEA	ED50	66	0	49.47	N	8	3	27.73	E	66.013742	8.057703	7321948.370000	457254.480000	32	4079	2013-05-08
6506/12-M-3 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	INJECTION	OIL/GAS	2000-04-10	2000-06-10	ÅSGARD	NORWEGIAN SEA	ED50	65	10	24.47	N	6	42	2.87	E	65.173464	6.700797	7229929.850000	392294.080000	32	4080	2013-05-08
6507/8-D-4 H	Statoil ASA (old)	124	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-10-25	2001-12-03	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.65	N	7	20	9.71	E	65.361847	7.336031	7249986.540000	422598.920000	32	4081	2013-05-08
25/8-B-7	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	OIL	2000-05-12	2000-06-10	JOTUN	NORTH SEA	ED50	59	27	3.57	N	2	22	0.84	E	59.450992	2.366900	6590595.660000	464102.280000	31	4085	2013-05-08
33/12-B-40 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2000-05-24	2000-06-28	STATFJORD	NORTH SEA	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	4086	2013-05-08
31/2-M-23 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-06-04	2000-06-18	TROLL	NORTH SEA	ED50	60	55	52.99	N	3	39	51.49	E	60.931386	3.664303	6755487.310000	536008.230000	31	4087	2013-05-08
31/2-M-23 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-06-19	2000-07-21	TROLL	NORTH SEA	ED50	60	55	52.99	N	3	39	51.49	E	60.931386	3.664303	6755487.310000	536008.230000	31	4088	2013-05-08
34/8-A-5 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-05-05	2000-06-08	VISUND	NORTH SEA	ED50	61	22	13.10	N	2	27	33.76	E	61.370306	2.459378	6804316.600000	471099.780000	31	4089	2013-05-08
34/8-A-5 AH	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	\N	2000-06-09	2000-07-05	VISUND	NORTH SEA	ED50	61	22	13.10	N	2	27	33.76	E	61.370306	2.459378	6804316.600000	471099.780000	31	4090	2013-05-08
6506/12-N-4 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	2000-05-07	2000-06-17	ÅSGARD	NORWEGIAN SEA	ED50	65	10	25.95	N	6	51	5.51	E	65.173875	6.851531	7229726.870000	399354.510000	32	4091	2013-05-08
34/7-B-4 AH	Norsk Hydro Produksjon AS	089	DEVELOPMENT	PRODUCTION	OIL	2000-08-11	2000-09-28	VIGDIS	NORTH SEA	ED50	61	23	49.67	N	2	7	3.38	E	61.397131	2.117606	6807503.750000	452870.580000	31	4092	2013-05-08
30/9-F-16 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	\N	2000-04-19	2000-05-06	OSEBERG SØR	NORTH SEA	ED50	60	23	24.75	N	2	47	49.87	E	60.390208	2.797186	6695043.680000	488820.450000	31	4093	2013-05-08
6406/2-6 A	Den norske stats oljeselskap a.s	199	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2000-05-24	2000-07-06	\N	NORWEGIAN SEA	ED50	64	45	31.34	N	6	22	54.69	E	64.758706	6.381858	7184316.920000	375445.840000	32	4094	2013-05-08
15/9-B-12	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	\N	2000-05-13	2000-09-16	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.63	N	1	43	4.52	E	58.417953	1.717922	6476105.640000	425101.540000	31	4095	2013-05-08
31/4-A-30	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-06-04	2000-07-05	BRAGE	NORTH SEA	ED50	60	32	33.17	N	3	2	50.86	E	60.542547	3.047461	6711994.980000	502603.940000	31	4096	2013-05-08
31/4-A-30 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2000-07-05	2000-07-20	BRAGE	NORTH SEA	ED50	60	32	33.17	N	3	2	50.86	E	60.542547	3.047461	6711994.980000	502603.940000	31	4097	2013-05-08
34/10-I-2 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2000-05-31	2000-07-06	GULLFAKS SØR	NORTH SEA	ED50	61	3	19.45	N	2	2	12.55	E	61.055403	2.036819	6769501.510000	447995.020000	31	4098	2013-05-08
6608/10-B-4 AH	Den norske stats oljeselskap a.s	128	DEVELOPMENT	OBSERVATION	\N	2001-06-13	2001-07-12	NORNE	NORWEGIAN SEA	ED50	66	0	55.47	N	8	3	16.37	E	66.015408	8.054547	7322136.280000	457114.140000	32	4099	2013-05-08
34/10-B-41	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-05-21	2000-10-11	GULLFAKS	NORTH SEA	ED50	61	12	54.65	N	2	12	26.36	E	61.215181	2.207322	6787175.070000	457416.270000	31	4100	2013-05-08
34/10-B-41 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2000-10-11	2000-12-05	GULLFAKS	NORTH SEA	ED50	61	12	54.65	N	2	12	26.36	E	61.215181	2.207322	6787175.070000	457416.270000	31	4101	2013-05-08
6507/8-F-2 H	Statoil ASA (old)	124	DEVELOPMENT	INJECTION	WATER	2002-04-25	2002-07-08	HEIDRUN	NORWEGIAN SEA	ED50	65	22	10.14	N	7	21	25.23	E	65.369483	7.357008	7250811.820000	423596.730000	32	4102	2013-05-08
6507/8-F-4 H	Statoil ASA (old)	124	DEVELOPMENT	INJECTION	WATER	2002-03-16	2002-04-24	HEIDRUN	NORWEGIAN SEA	ED50	65	22	9.82	N	7	21	25.40	E	65.369394	7.357056	7250801.860000	423598.670000	32	4103	2013-05-08
15/9-B-23	StatoilHydro ASA	046	DEVELOPMENT	\N	\N	9999-12-31	9999-12-31	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.36	N	1	43	4.62	E	58.417878	1.717950	6476097.260000	425103.000000	31	4104	2013-05-08
34/10-E-2 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	GAS	2000-05-27	2000-07-14	GULLFAKS SØR	NORTH SEA	ED50	61	6	38.27	N	2	15	38.33	E	61.110631	2.260647	6775495.970000	460149.220000	31	4107	2013-05-08
6406/2-6 R	Den norske stats oljeselskap a.s	199	EXPLORATION	WILDCAT	GAS/CONDENSATE	2000-05-17	2000-05-23	\N	NORWEGIAN SEA	ED50	64	45	31.34	N	6	22	54.69	E	64.758706	6.381858	7184316.920000	375445.840000	32	4108	2013-05-08
6305/8-1	Norsk Hydro Produksjon AS	250	EXPLORATION	APPRAISAL	OIL/GAS	2000-07-13	2000-09-08	ORMEN LANGE	NORWEGIAN SEA	ED50	63	28	34.84	N	5	24	14.59	E	63.476344	5.404053	7041085.110000	619767.970000	31	4109	2013-05-08
6608/10-E-3 AH	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	OIL	2000-10-02	2000-12-12	NORNE	NORWEGIAN SEA	ED50	66	2	43.50	N	8	5	57.30	E	66.045417	8.099250	7325451.140000	459189.800000	32	4112	2013-05-08
31/5-J-21 Y1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2000-06-10	2000-07-18	TROLL	NORTH SEA	ED50	60	43	45.54	N	3	39	23.88	E	60.729317	3.656633	6732976.080000	535817.760000	31	4113	2013-05-08
31/5-J-21 Y2H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2000-07-24	2000-08-18	TROLL	NORTH SEA	ED50	60	43	45.54	N	3	39	23.88	E	60.729317	3.656633	6732976.080000	535817.760000	31	4114	2013-05-08
25/8-B-20	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	OIL	2000-06-14	2000-07-18	JOTUN	NORTH SEA	ED50	59	27	3.75	N	2	22	0.50	E	59.451042	2.366806	6590601.280000	464096.980000	31	4116	2013-05-08
3/6-1	Norsk Agip  AS	238	EXPLORATION	WILDCAT	DRY	2000-06-20	2000-07-10	\N	NORTH SEA	ED50	56	35	0.14	N	4	53	30.35	E	56.583372	4.891764	6272751.480000	616199.200000	31	4117	2013-05-08
30/9-B-43	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-06-20	2000-08-13	OSEBERG	NORTH SEA	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	4118	2013-05-08
30/9-B-43 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2000-08-14	2000-09-14	OSEBERG	NORTH SEA	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	4119	2013-05-08
33/12-B-21 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2000-07-06	2000-07-27	STATFJORD	NORTH SEA	ED50	61	12	24.95	N	1	49	52.27	E	61.206931	1.831186	6786559.330000	437194.550000	31	4120	2013-05-08
30/2-A-4	Den norske stats oljeselskap a.s	051	DEVELOPMENT	PRODUCTION	GAS	2000-08-10	2000-11-01	HULDRA	NORTH SEA	ED50	60	51	21.13	N	2	39	0.75	E	60.855869	2.650208	6746943.900000	480994.670000	31	4121	2013-05-08
6506/6-1	Mobil Exploration Norway INC	211	EXPLORATION	WILDCAT	GAS	2000-07-10	2000-12-07	\N	NORWEGIAN SEA	ED50	65	31	54.88	N	6	57	47.30	E	65.531911	6.963139	7269443.220000	405870.780000	32	4122	2013-05-08
33/9-A-15 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	\N	2000-07-05	2000-07-23	STATFJORD	NORTH SEA	ED50	61	15	20.81	N	1	51	14.82	E	61.255781	1.854117	6791978.490000	438522.020000	31	4123	2013-05-08
30/3-A-20 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	INJECTION	WATER	2000-10-08	2000-11-12	VESLEFRIKK	NORTH SEA	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	4124	2013-05-08
6507/7-A-23	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	2000-07-18	2000-09-06	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.93	N	7	19	4.18	E	65.325814	7.317828	7245993.930000	421645.200000	32	4125	2013-05-08
6407/7-A-9 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	2000-07-10	2000-10-10	NJORD	NORWEGIAN SEA	ED50	64	16	15.43	N	7	12	9.45	E	64.270953	7.202625	7128614.540000	412943.250000	32	4126	2013-05-08
6507/11-X-4 AH	Den norske stats oljeselskap a.s	062	DEVELOPMENT	PRODUCTION	GAS	2001-01-24	2001-02-23	ÅSGARD	NORWEGIAN SEA	ED50	65	4	1.63	N	7	29	34.49	E	65.067119	7.492914	7216961.040000	429110.870000	32	4127	2013-05-08
31/5-6	Norsk Hydro Produksjon AS	191	EXPLORATION	WILDCAT	OIL SHOWS	2000-07-05	2000-07-25	\N	NORTH SEA	ED50	60	43	19.78	N	3	21	26.35	E	60.722161	3.357319	6732053.040000	519495.400000	31	4128	2013-05-08
7216/11-1 S	Norsk Hydro Produksjon AS	221	EXPLORATION	WILDCAT	DRY	2000-07-24	2000-09-14	\N	BARENTS SEA	ED50	72	0	56.72	N	16	36	22.00	E	72.015756	16.606111	7991645.420000	555345.640000	33	4129	2013-05-08
31/2-M-14 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-08-04	2000-09-29	TROLL	NORTH SEA	ED50	60	54	56.25	N	3	37	35.89	E	60.915625	3.626636	6753711.660000	533983.350000	31	4130	2013-05-08
34/10-J-3 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	GAS	2000-07-17	2000-08-11	GULLFAKS SØR	NORTH SEA	ED50	61	3	50.80	N	2	0	10.38	E	61.064111	2.002883	6770498.890000	446177.580000	31	4131	2013-05-08
31/4-A-32 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2000-09-18	2000-10-29	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.52	E	60.542617	3.047367	6712002.720000	502598.750000	31	4132	2013-05-08
33/9-N-3 H	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2000-10-07	2000-12-11	SYGNA	NORTH SEA	ED50	61	28	1.55	N	1	59	31.85	E	61.467097	1.992181	6815394.160000	446292.280000	31	4133	2013-05-08
25/8-B-12	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	WATER	2000-07-26	2000-08-25	JOTUN	NORTH SEA	ED50	59	27	4.00	N	2	22	0.80	E	59.451111	2.366889	6590608.970000	464101.780000	31	4134	2013-05-08
34/8-A-5 BH	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	\N	2000-07-06	2000-07-25	VISUND	NORTH SEA	ED50	61	22	13.10	N	2	27	33.76	E	61.370306	2.459378	6804316.600000	471099.780000	31	4135	2013-05-08
6506/11-E-3 H	Den norske stats oljeselskap a.s	134	DEVELOPMENT	INJECTION	GAS	2000-07-17	2000-09-08	ÅSGARD	NORWEGIAN SEA	ED50	65	4	6.07	N	6	36	40.67	E	65.068353	6.611297	7218376.970000	387659.910000	32	4136	2013-05-08
33/9-A-42 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	2000-07-29	2000-08-24	STATFJORD	NORTH SEA	ED50	61	15	19.66	N	1	51	14.15	E	61.255461	1.853931	6791943.090000	438511.410000	31	4137	2013-05-08
33/12-B-19 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2000-08-12	2000-10-26	STATFJORD	NORTH SEA	ED50	61	12	25.02	N	1	49	52.00	E	61.206950	1.831111	6786561.570000	437190.560000	31	4138	2013-05-08
2/7-A-22 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2000-08-14	2000-09-30	ELDFISK	NORTH SEA	ED50	56	22	36.22	N	3	15	56.84	E	56.376728	3.265789	6248180.070000	516415.850000	31	4139	2013-05-08
34/7-J-4 H	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	2000-08-23	2000-11-24	TORDIS	NORTH SEA	ED50	61	16	29.73	N	2	7	11.55	E	61.274925	2.119875	6793889.890000	452808.300000	31	4140	2013-05-08
25/7-6	Norsk Hydro Produksjon AS	203	EXPLORATION	APPRAISAL	OIL SHOWS	2000-09-13	2000-10-14	\N	NORTH SEA	ED50	59	29	15.04	N	2	0	37.34	E	59.487511	2.010372	6594908.840000	443947.920000	31	4141	2013-05-08
33/9-20 S	Statoil ASA (old)	037 D	EXPLORATION	APPRAISAL	DRY	2006-07-25	2006-09-09	\N	NORTH SEA	ED50	61	23	48.26	N	1	44	27.25	E	61.396739	1.740903	6807790.250000	432751.220000	31	4143	2013-05-08
34/8-A-5 CH	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	OIL	2000-07-26	2000-08-24	VISUND	NORTH SEA	ED50	61	22	13.10	N	2	27	33.76	E	61.370306	2.459378	6804316.600000	471099.780000	31	4144	2013-05-08
7019/1-1	Norsk Agip  AS	201	EXPLORATION	WILDCAT	GAS	2000-10-06	2000-12-03	\N	BARENTS SEA	ED50	70	55	5.10	N	19	4	22.44	E	70.918083	19.072900	7869589.800000	429692.260000	34	4145	2013-05-08
31/4-11	Norsk Hydro Produksjon AS	055	EXPLORATION	APPRAISAL	OIL/GAS	2000-07-27	2000-09-12	BRAGE	NORTH SEA	ED50	60	36	42.58	N	3	6	1.74	E	60.611828	3.100483	6719714.870000	505501.190000	31	4147	2013-05-08
6507/8-E-1 H	Den norske stats oljeselskap a.s	124	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-08-04	2000-08-27	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.66	N	7	22	9.90	E	65.383239	7.369417	7252329.610000	424213.310000	32	4148	2013-05-08
6507/8-E-3 H	Den norske stats oljeselskap a.s	124	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-08-28	2000-09-05	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	4149	2013-05-08
34/10-I-1 H	Den norske stats oljeselskap a.s	050 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-08-13	2000-09-18	GULLFAKS SØR	NORTH SEA	ED50	61	3	19.28	N	2	2	13.05	E	61.055356	2.036958	6769496.140000	448002.440000	31	4150	2013-05-08
34/10-I-1 AH	Den norske stats oljeselskap a.s	050 B	DEVELOPMENT	PRODUCTION	OIL	2000-09-18	2000-10-04	GULLFAKS SØR	NORTH SEA	ED50	61	3	19.28	N	2	2	13.05	E	61.055356	2.036958	6769496.140000	448002.440000	31	4151	2013-05-08
31/5-J-12 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2000-08-19	2000-09-17	TROLL	NORTH SEA	ED50	60	44	35.53	N	3	36	29.03	E	60.743203	3.608064	6734497.230000	533154.140000	31	4152	2013-05-08
25/8-B-22	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	\N	2000-10-14	2000-11-14	JOTUN	NORTH SEA	ED50	59	27	3.64	N	2	22	1.13	E	59.451011	2.366981	6590597.780000	464106.870000	31	4153	2013-05-08
9/2-A-4 B	Den norske stats oljeselskap a.s	114	DEVELOPMENT	PRODUCTION	OIL	2000-08-28	2000-10-15	YME	NORTH SEA	ED50	57	49	7.53	N	4	31	11.21	E	57.818758	4.519781	6409691.090000	590286.370000	31	4154	2013-05-08
34/10-A-41 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	2000-09-18	2000-10-12	GULLFAKS	NORTH SEA	ED50	61	10	33.67	N	2	11	22.86	E	61.176019	2.189683	6782824.660000	456414.660000	31	4155	2013-05-08
33/9-A-8 C	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	2000-09-03	2000-09-08	STATFJORD	NORTH SEA	ED50	61	15	20.86	N	1	51	15.36	E	61.255794	1.854267	6791979.900000	438530.100000	31	4156	2013-05-08
6507/8-E-3 AH	Den norske stats oljeselskap a.s	124	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-09-06	2000-09-23	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	4157	2013-05-08
31/2-Y-23 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-09-07	2000-09-20	TROLL	NORTH SEA	ED50	60	49	51.88	N	3	34	21.06	E	60.831078	3.572517	6744267.580000	531130.630000	31	4158	2013-05-08
31/2-Y-23 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-09-21	2000-11-07	TROLL	NORTH SEA	ED50	60	49	51.88	N	3	34	21.06	E	60.831078	3.572517	6744267.580000	531130.630000	31	4159	2013-05-08
31/2-Y-22 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-11-09	2000-12-13	TROLL	NORTH SEA	ED50	60	49	51.69	N	3	34	21.62	E	60.831025	3.572672	6744261.780000	531139.140000	31	4160	2013-05-08
31/2-Y-22 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-12-14	2001-01-28	TROLL	NORTH SEA	ED50	60	49	51.69	N	3	34	21.62	E	60.831025	3.572672	6744261.780000	531139.140000	31	4161	2013-05-08
6506/12-H-3 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	GAS	2000-09-15	2000-10-28	ÅSGARD	NORWEGIAN SEA	ED50	65	7	6.68	N	6	40	27.20	E	65.118522	6.674222	7223855.180000	390824.070000	32	4163	2013-05-08
6507/7-A-45	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	2000-09-18	2000-11-02	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.56	N	7	19	3.78	E	65.325711	7.317717	7245982.610000	421639.720000	32	4164	2013-05-08
31/2-Y-13 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-10-03	2000-10-19	TROLL	NORTH SEA	ED50	60	50	57.72	N	3	34	53.83	E	60.849367	3.581619	6746309.020000	531607.530000	31	4165	2013-05-08
31/2-Y-13 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-10-19	2000-11-27	TROLL	NORTH SEA	ED50	60	50	57.72	N	3	34	53.83	E	60.849367	3.581619	6746309.020000	531607.530000	31	4166	2013-05-08
34/7-P-43	Norsk Hydro Produksjon AS	089	DEVELOPMENT	PRODUCTION	OIL	2001-02-01	2001-05-09	SNORRE	NORTH SEA	ED50	61	26	58.37	N	2	8	36.79	E	61.449547	2.143553	6813323.960000	454333.030000	31	4167	2013-05-08
34/7-A-1 AH	Saga Petroleum ASA	089	DEVELOPMENT	PRODUCTION	OIL	2000-10-10	2000-12-25	SNORRE	NORTH SEA	ED50	61	29	21.92	N	2	13	34.79	E	61.489422	2.226331	6817710.550000	458799.400000	31	4168	2013-05-08
34/10-L-3 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	GAS	2000-10-09	2000-11-03	GULLFAKS SØR	NORTH SEA	ED50	61	5	48.59	N	2	11	34.05	E	61.096831	2.192792	6774002.080000	456473.000000	31	4169	2013-05-08
30/9-B-40 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	2000-09-25	2000-10-26	OSEBERG	NORTH SEA	ED50	60	29	35.93	N	2	49	43.03	E	60.493314	2.828619	6706522.630000	490583.000000	31	4170	2013-05-08
34/10-A-47	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2000-11-27	2001-06-07	GULLFAKS SØR	NORTH SEA	ED50	61	10	33.79	N	2	11	23.30	E	61.176053	2.189806	6782828.290000	456421.280000	31	4171	2013-05-08
6407/7-6	Norsk Hydro Produksjon AS	107	EXPLORATION	WILDCAT	GAS/CONDENSATE	2000-10-18	2000-12-16	NJORD	NORWEGIAN SEA	ED50	64	17	40.66	N	7	6	16.31	E	64.294628	7.104531	7131389.980000	408271.690000	32	4172	2013-05-08
7122/7-1	Norsk Agip  AS	229	EXPLORATION	WILDCAT	OIL	2000-09-16	2000-10-05	GOLIAT	BARENTS SEA	ED50	71	17	10.93	N	22	19	7.02	E	71.286369	22.318617	7910064.250000	547217.440000	34	4173	2013-05-08
33/12-B-21 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2000-11-19	2000-12-06	STATFJORD	NORTH SEA	ED50	61	12	24.95	N	1	49	52.27	E	61.206931	1.831186	6786559.330000	437194.550000	31	4174	2013-05-08
2/7-B-11 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2000-10-07	2000-12-20	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	6.03	E	56.419161	3.218342	6252892.960000	513470.390000	31	4175	2013-05-08
34/7-P-41	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	OIL	2004-02-09	2004-04-07	SNORRE	NORTH SEA	ED50	61	26	58.25	N	2	8	37.60	E	61.449514	2.143778	6813320.090000	454344.980000	31	4176	2013-05-08
7/12-A-1 B	BP Amoco Norge AS	019	DEVELOPMENT	PRODUCTION	OIL	2000-12-23	2001-02-12	ULA	NORTH SEA	ED50	57	6	41.49	N	2	50	50.66	E	57.111525	2.847406	6329952.850000	490757.510000	31	4177	2013-05-08
31/5-J-22 Y1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2001-02-05	2001-03-08	TROLL	NORTH SEA	ED50	60	43	45.35	N	3	39	23.79	E	60.729264	3.656608	6732970.190000	535816.450000	31	4178	2013-05-08
31/5-J-22 Y2H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2001-03-09	2001-03-29	TROLL	NORTH SEA	ED50	60	43	45.35	N	3	39	23.79	E	60.729264	3.656608	6732970.190000	535816.450000	31	4179	2013-05-08
6507/8-E-1 AH	Den norske stats oljeselskap a.s	124	DEVELOPMENT	PRODUCTION	\N	2000-10-14	2000-11-23	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.66	N	7	22	9.90	E	65.383239	7.369417	7252329.610000	424213.310000	32	4180	2013-05-08
2/4-X-20	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL/GAS	2000-10-17	2000-12-21	EKOFISK	NORTH SEA	ED50	56	32	51.22	N	3	13	8.47	E	56.547561	3.219019	6267185.330000	513466.660000	31	4181	2013-05-08
6507/8-E-3 BH	Den norske stats oljeselskap a.s	124	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-09-24	2000-10-12	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	4182	2013-05-08
34/4-K-2 H	Saga Petroleum ASA	057	DEVELOPMENT	INJECTION	WATER	2000-12-20	2001-01-30	SNORRE	NORTH SEA	ED50	61	31	31.47	N	2	12	44.10	E	61.525408	2.212250	6821728.090000	458098.030000	31	4183	2013-05-08
34/8-A-10 AH	Norsk Hydro Produksjon AS	120	DEVELOPMENT	INJECTION	WATER/GAS	2000-10-13	2000-11-27	VISUND	NORTH SEA	ED50	61	22	13.47	N	2	27	31.43	E	61.370408	2.458731	6804328.340000	471065.280000	31	4184	2013-05-08
31/2-L-11 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-10-01	2000-10-11	TROLL	NORTH SEA	ED50	60	47	6.36	N	3	33	21.45	E	60.785100	3.555958	6739138.680000	530273.670000	31	4185	2013-05-08
31/2-L-11 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-10-16	2000-11-11	TROLL	NORTH SEA	ED50	60	47	6.36	N	3	33	21.45	E	60.785100	3.555958	6739138.680000	530273.670000	31	4186	2013-05-08
33/9-A-7 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2000-10-27	2000-11-08	STATFJORD	NORTH SEA	ED50	61	15	20.89	N	1	51	15.23	E	61.255803	1.854231	6791980.860000	438528.180000	31	4187	2013-05-08
6407/7-A-5 AH	Norsk Hydro Produksjon AS	107	DEVELOPMENT	INJECTION	GAS	2000-12-11	2001-01-01	NJORD	NORWEGIAN SEA	ED50	64	16	14.75	N	7	12	6.47	E	64.270764	7.201797	7128594.630000	412902.570000	32	4188	2013-05-08
6608/11-2	Den norske stats oljeselskap a.s	128	EXPLORATION	WILDCAT	OIL	2000-10-28	2000-11-24	\N	NORWEGIAN SEA	ED50	66	7	29.32	N	8	20	57.39	E	66.124811	8.349275	7334160.640000	470609.160000	32	4189	2013-05-08
2/7-A-28 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2000-11-08	2001-01-31	ELDFISK	NORTH SEA	ED50	56	22	36.36	N	3	15	56.72	E	56.376767	3.265756	6248184.390000	516413.770000	31	4190	2013-05-08
31/2-M-22 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-01-28	2001-04-10	TROLL	NORTH SEA	ED50	60	55	53.23	N	3	39	51.03	E	60.931453	3.664175	6755494.660000	536001.230000	31	4191	2013-05-08
2/4-B-16 D	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2007-03-06	2007-04-25	EKOFISK	NORTH SEA	ED50	56	33	54.71	N	3	12	13.04	E	56.565197	3.203622	6269145.520000	512514.120000	31	4192	2013-05-08
30/6-E-9 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	WATER	2000-09-23	2000-11-12	OSEBERG ØST	NORTH SEA	ED50	60	42	1.87	N	2	56	7.06	E	60.700519	2.935294	6729591.210000	496467.270000	31	4193	2013-05-08
16/4-3	BP Amoco Norge AS	243	EXPLORATION	WILDCAT	OIL SHOWS	2000-12-05	2000-12-24	\N	NORTH SEA	ED50	58	42	18.51	N	2	3	51.45	E	58.705142	2.064292	6507747.850000	445780.920000	31	4194	2013-05-08
31/4-A-39	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2000-12-12	2001-02-06	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	51.03	E	60.542478	3.047508	6711987.250000	502606.530000	31	4195	2013-05-08
30/2-A-8	Den norske stats oljeselskap a.s	051	DEVELOPMENT	PRODUCTION	GAS	2000-11-03	2001-01-19	HULDRA	NORTH SEA	ED50	60	51	21.48	N	2	39	0.62	E	60.855967	2.650172	6746954.740000	480992.770000	31	4196	2013-05-08
6506/12-H-1 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	GAS	2000-10-28	2000-12-04	ÅSGARD	NORWEGIAN SEA	ED50	65	7	6.39	N	6	40	27.52	E	65.118442	6.674311	7223846.050000	390827.910000	32	4197	2013-05-08
6506/12-J-4 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	2000-12-09	2001-01-17	ÅSGARD	NORWEGIAN SEA	ED50	65	9	58.75	N	6	43	59.42	E	65.166319	6.733172	7229079.110000	393781.580000	32	4198	2013-05-08
31/2-L-13 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-11-05	2000-12-16	TROLL	NORTH SEA	ED50	60	47	6.32	N	3	33	21.98	E	60.785089	3.556106	6739137.510000	530281.700000	31	4199	2013-05-08
25/11-C-3 CH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-12-20	2001-01-08	BALDER	NORTH SEA	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	4200	2013-05-08
25/11-C-3 DH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-01-08	2001-01-21	BALDER	NORTH SEA	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	4201	2013-05-08
15/6-A-3 H	Den norske stats oljeselskap a.s	029	DEVELOPMENT	PRODUCTION	OIL	2000-10-17	2000-12-04	GLITNE	NORTH SEA	ED50	58	42	46.61	N	1	40	5.43	E	58.712947	1.668175	6509005.030000	422847.050000	31	4202	2013-05-08
15/6-A-2 H	Den norske stats oljeselskap a.s	029	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-10-18	2000-11-09	GLITNE	NORTH SEA	ED50	58	42	46.36	N	1	40	5.69	E	58.712878	1.668247	6508997.210000	422851.080000	31	4203	2013-05-08
15/6-A-2 AH	Den norske stats oljeselskap a.s	029	DEVELOPMENT	PRODUCTION	OIL	2000-11-09	2000-12-21	GLITNE	NORTH SEA	ED50	58	42	46.36	N	1	40	5.69	E	58.712878	1.668247	6508997.210000	422851.080000	31	4204	2013-05-08
25/8-B-18	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	OIL	2000-11-16	2000-12-17	JOTUN	NORTH SEA	ED50	59	27	3.53	N	2	22	0.70	E	59.450981	2.366861	6590594.440000	464100.060000	31	4205	2013-05-08
33/9-C-15 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2001-01-01	2001-02-03	STATFJORD	NORTH SEA	ED50	61	17	47.97	N	1	54	10.91	E	61.296658	1.903031	6796486.550000	441222.590000	31	4206	2013-05-08
31/2-N-13 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2000-11-28	2001-01-14	TROLL	NORTH SEA	ED50	60	54	56.39	N	3	35	12.08	E	60.915664	3.586689	6753695.940000	531816.960000	31	4207	2013-05-08
30/6-E-5 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2000-11-25	2000-12-07	OSEBERG ØST	NORTH SEA	ED50	60	42	1.94	N	2	56	6.91	E	60.700539	2.935253	6729593.380000	496465.000000	31	4208	2013-05-08
6507/5-4	BP Amoco Norge AS	212	EXPLORATION	WILDCAT	OIL/GAS	2001-02-10	2001-04-15	SKARV	NORWEGIAN SEA	ED50	65	41	44.78	N	7	34	13.62	E	65.695772	7.570450	7286930.970000	434346.790000	32	4209	2013-05-08
6507/7-A-19	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	2000-11-12	2001-01-03	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.80	N	7	19	2.99	E	65.325778	7.317497	7245990.310000	421629.700000	32	4210	2013-05-08
6507/8-E-3 CH	Den norske stats oljeselskap a.s	124	DEVELOPMENT	PRODUCTION	\N	2000-11-25	2000-12-10	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	4211	2013-05-08
34/8-B-2 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	OIL	2001-01-08	2001-05-09	VISUND	NORTH SEA	ED50	61	25	51.92	N	2	34	5.57	E	61.431089	2.568214	6811044.180000	476962.600000	31	4212	2013-05-08
6507/7-13	Norske Conoco A/S	095	EXPLORATION	WILDCAT	OIL	2000-12-12	2001-01-08	\N	NORWEGIAN SEA	ED50	65	24	4.53	N	7	19	49.20	E	65.401258	7.330333	7254385.050000	422450.330000	32	4213	2013-05-08
34/7-31	Norsk Hydro Produksjon AS	089	EXPLORATION	APPRAISAL	OIL	2001-03-10	2001-04-13	\N	NORTH SEA	ED50	61	18	37.51	N	2	3	59.80	E	61.310419	2.066611	6797883.120000	450008.950000	31	4214	2013-05-08
34/10-I-3 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2000-12-19	2001-02-04	GULLFAKS SØR	NORTH SEA	ED50	61	3	19.55	N	2	2	12.69	E	61.055431	2.036858	6769504.580000	447997.170000	31	4215	2013-05-08
30/9-B-37	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2000-12-04	2001-02-06	OSEBERG	NORTH SEA	ED50	60	29	35.88	N	2	49	42.53	E	60.493300	2.828481	6706521.100000	490575.360000	31	4216	2013-05-08
6608/10-6 R	Den norske stats oljeselskap a.s	128	EXPLORATION	WILDCAT	OIL	2000-11-27	2000-12-02	URD	NORWEGIAN SEA	ED50	66	3	55.95	N	8	15	26.07	E	66.065542	8.257242	7327600.500000	466374.200000	32	4217	2013-05-08
34/10-M-1 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-12-19	2001-01-10	GULLFAKS SØR	NORTH SEA	ED50	61	5	49.35	N	2	11	33.93	E	61.097042	2.192758	6774025.610000	456471.500000	31	4218	2013-05-08
34/10-M-1 AH	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2001-01-10	2001-01-28	GULLFAKS SØR	NORTH SEA	ED50	61	5	49.35	N	2	11	33.93	E	61.097042	2.192758	6774025.610000	456471.500000	31	4219	2013-05-08
33/12-B-11 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2001-01-07	2001-02-08	STATFJORD	NORTH SEA	ED50	61	12	25.12	N	1	49	52.27	E	61.206978	1.831186	6786564.590000	437194.650000	31	4220	2013-05-08
2/8-F-9 A	BP Amoco Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2001-04-05	2001-06-25	VALHALL	NORTH SEA	ED50	56	16	35.46	N	3	23	47.22	E	56.276517	3.396450	6237064.740000	524550.020000	31	4221	2013-05-08
33/9-M-2 AH	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2001-01-13	2001-03-15	STATFJORD ØST	NORTH SEA	ED50	61	20	28.52	N	1	59	59.63	E	61.341256	1.999897	6801370.710000	446488.640000	31	4222	2013-05-08
30/9-F-15	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	WATER	2000-12-19	2001-01-13	OSEBERG SØR	NORTH SEA	ED50	60	23	24.72	N	2	47	49.49	E	60.390200	2.797081	6695042.770000	488814.620000	31	4223	2013-05-08
2/4-X-33	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL/GAS	2001-01-16	2001-02-02	EKOFISK	NORTH SEA	ED50	56	32	51.77	N	3	13	8.54	E	56.547714	3.219039	6267202.340000	513467.800000	31	4224	2013-05-08
34/7-I-5 BH	Norsk Hydro Produksjon AS	089	DEVELOPMENT	PRODUCTION	OIL	2001-01-12	2001-04-06	TORDIS	NORTH SEA	ED50	61	16	35.24	N	2	7	3.63	E	61.276456	2.117675	6794061.970000	452692.640000	31	4225	2013-05-08
25/8-B-25	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	OIL	2000-12-20	2001-01-15	JOTUN	NORTH SEA	ED50	59	27	3.90	N	2	22	0.37	E	59.451083	2.366769	6590605.940000	464094.970000	31	4226	2013-05-08
34/10-C-44	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2000-12-24	2001-02-09	GULLFAKS	NORTH SEA	ED50	61	12	54.84	N	2	16	26.70	E	61.215233	2.274083	6787139.290000	461002.720000	31	4227	2013-05-08
34/10-C-44 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2001-02-09	2001-03-09	GULLFAKS	NORTH SEA	ED50	61	12	54.84	N	2	16	26.70	E	61.215233	2.274083	6787139.290000	461002.720000	31	4228	2013-05-08
31/2-X-24 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-01-07	2001-01-14	TROLL	NORTH SEA	ED50	60	48	29.04	N	3	35	35.20	E	60.808067	3.593111	6741714.480000	532273.600000	31	4229	2013-05-08
31/2-X-24 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-01-18	2001-02-03	TROLL	NORTH SEA	ED50	60	48	29.04	N	3	35	35.20	E	60.808067	3.593111	6741714.480000	532273.600000	31	4230	2013-05-08
34/8-A-23 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	GAS	2001-01-18	2001-06-27	VISUND	NORTH SEA	ED50	61	22	12.02	N	2	27	33.78	E	61.370006	2.459383	6804283.180000	471099.800000	31	4231	2013-05-08
15/6-A-1 H	Den norske stats oljeselskap a.s	029	DEVELOPMENT	PRODUCTION	OIL	2000-12-21	2001-01-19	GLITNE	NORTH SEA	ED50	58	42	47.90	N	1	40	5.29	E	58.713306	1.668136	6509044.970000	422845.590000	31	4232	2013-05-08
34/7-P-21 A	Norsk Hydro Produksjon AS	089	DEVELOPMENT	INJECTION	WATER	2001-02-11	2001-04-01	SNORRE	NORTH SEA	ED50	61	26	57.46	N	2	8	36.54	E	61.449294	2.143483	6813295.850000	454328.960000	31	4233	2013-05-08
25/8-B-12 A	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	JOTUN	NORTH SEA	ED50	59	27	4.00	N	2	22	0.80	E	59.451111	2.366889	6590608.970000	464101.780000	31	4234	2013-05-08
25/8-B-12 B	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	JOTUN	NORTH SEA	ED50	59	27	4.00	N	2	22	0.80	E	59.451111	2.366889	6590608.970000	464101.780000	31	4235	2013-05-08
25/8-B-22 A	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	WATER	2001-01-28	2001-02-01	JOTUN	NORTH SEA	ED50	59	27	3.64	N	2	22	1.13	E	59.451011	2.366981	6590597.780000	464106.870000	31	4236	2013-05-08
31/2-X-11 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-01-14	2001-02-04	TROLL	NORTH SEA	ED50	60	49	57.38	N	3	36	14.59	E	60.832606	3.604053	6744453.120000	532843.810000	31	4237	2013-05-08
31/2-X-11 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-02-05	2001-03-09	TROLL	NORTH SEA	ED50	60	49	57.38	N	3	36	14.59	E	60.832606	3.604053	6744453.120000	532843.810000	31	4238	2013-05-08
30/6-E-7 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2001-01-27	2001-02-20	OSEBERG ØST	NORTH SEA	ED50	60	42	1.87	N	2	56	6.76	E	60.700519	2.935211	6729591.210000	496462.720000	31	4239	2013-05-08
25/11-B-18 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	2001-01-21	2001-03-03	BALDER	NORTH SEA	ED50	59	10	39.19	N	2	22	46.05	E	59.177553	2.379458	6560139.460000	464530.720000	31	4240	2013-05-08
30/2-A-5	Den norske stats oljeselskap a.s	051	DEVELOPMENT	PRODUCTION	GAS	2001-01-19	2001-02-03	HULDRA	NORTH SEA	ED50	60	51	21.55	N	2	39	0.55	E	60.855986	2.650153	6746956.910000	480991.720000	31	4241	2013-05-08
6506/12-M-1 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	INJECTION	OIL	2001-01-18	2001-02-23	ÅSGARD	NORWEGIAN SEA	ED50	65	10	24.29	N	6	48	3.52	E	65.173414	6.800978	7229757.050000	396985.310000	32	4242	2013-05-08
30/9-F-2	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	CUTTINGS	2001-01-17	2001-01-25	OSEBERG SØR	NORTH SEA	ED50	60	23	24.91	N	2	47	49.24	E	60.390253	2.797011	6695048.660000	488810.810000	31	4243	2013-05-08
7121/5-3	Den norske stats oljeselskap a.s	110	EXPLORATION	WILDCAT	OIL/GAS SHOWS	2001-02-16	2001-03-09	\N	BARENTS SEA	ED50	71	30	55.53	N	21	39	42.61	E	71.515425	21.661836	7935226.770000	523420.770000	34	4244	2013-05-08
15/6-A-4 H	Den norske stats oljeselskap a.s	029	DEVELOPMENT	PRODUCTION	\N	2001-01-20	2001-02-03	GLITNE	NORTH SEA	ED50	58	42	44.64	N	1	40	5.63	E	58.712400	1.668231	6508944.040000	422849.060000	31	4245	2013-05-08
6507/7-A-47	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	2001-01-19	2001-03-13	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.63	N	7	19	4.38	E	65.325731	7.317883	7245984.570000	421647.540000	32	4246	2013-05-08
34/10-43 S	Den norske stats oljeselskap a.s	050 B	EXPLORATION	WILDCAT	OIL	2001-02-25	2001-04-11	GULLFAKS SØR	NORTH SEA	ED50	61	6	30.78	N	2	2	59.76	E	61.108550	2.049933	6775410.840000	448788.970000	31	4247	2013-05-08
30/9-B-40 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	\N	2001-02-07	2001-02-25	OSEBERG	NORTH SEA	ED50	60	29	35.93	N	2	49	43.03	E	60.493314	2.828619	6706522.630000	490583.000000	31	4248	2013-05-08
30/9-F-17	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-01-28	2001-05-17	OSEBERG SØR	NORTH SEA	ED50	60	23	24.61	N	2	47	49.24	E	60.390169	2.797011	6695039.380000	488810.790000	31	4249	2013-05-08
30/9-F-17 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-05-18	2001-06-14	OSEBERG SØR	NORTH SEA	ED50	60	23	24.61	N	2	47	49.24	E	60.390169	2.797011	6695039.380000	488810.790000	31	4250	2013-05-08
33/9-C-4 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	2001-03-28	2001-04-18	STATFJORD	NORTH SEA	ED50	61	17	48.13	N	1	54	10.89	E	61.296703	1.903025	6796491.500000	441222.370000	31	4251	2013-05-08
31/2-M-21 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-07-08	2001-09-06	TROLL	NORTH SEA	ED50	60	55	53.04	N	3	39	50.95	E	60.931400	3.664153	6755488.770000	536000.080000	31	4252	2013-05-08
2/4-X-32	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2001-02-19	2001-04-10	EKOFISK	NORTH SEA	ED50	56	32	51.78	N	3	13	8.40	E	56.547717	3.219000	6267202.640000	513465.400000	31	4254	2013-05-08
31/4-A-23 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-03-05	2001-03-31	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	50.86	E	60.542525	3.047461	6711992.510000	502603.940000	31	4255	2013-05-08
31/4-A-23 B	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2001-03-31	2001-04-12	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	50.86	E	60.542525	3.047461	6711992.510000	502603.940000	31	4256	2013-05-08
7228/7-1 A	Den norske stats oljeselskap a.s	202	EXPLORATION	WILDCAT	OIL/GAS	2001-01-08	2001-02-02	\N	BARENTS SEA	ED50	72	15	28.90	N	28	8	59.70	E	72.258028	28.149917	8018306.530000	539111.270000	35	4257	2013-05-08
6507/8-E-2 H	Den norske stats oljeselskap a.s	124	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-01-27	2001-03-13	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.96	N	7	22	9.99	E	65.383322	7.369442	7252338.860000	424214.720000	32	4258	2013-05-08
6507/8-E-4 H	Den norske stats oljeselskap a.s	124	DEVELOPMENT	PRODUCTION	OIL	2001-03-15	2001-05-05	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.65	N	7	22	10.20	E	65.383236	7.369500	7252329.200000	424217.180000	32	4259	2013-05-08
2/7-A-18 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2001-03-08	2001-04-02	ELDFISK	NORTH SEA	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	4260	2013-05-08
7228/7-1 B	Den norske stats oljeselskap a.s	202	EXPLORATION	APPRAISAL	OIL/GAS	2001-02-02	2001-02-10	\N	BARENTS SEA	ED50	72	15	28.90	N	28	8	59.70	E	72.258028	28.149917	8018306.530000	539111.270000	35	4261	2013-05-08
6406/1-1	Den norske stats oljeselskap a.s	257	EXPLORATION	WILDCAT	GAS/CONDENSATE	2001-04-05	2001-06-10	\N	NORWEGIAN SEA	ED50	64	54	26.10	N	6	17	41.20	E	64.907250	6.294778	7201034.630000	372012.520000	32	4262	2013-05-08
30/6-E-11 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	\N	2001-03-12	2001-04-22	OSEBERG ØST	NORTH SEA	ED50	60	42	1.79	N	2	56	6.91	E	60.700497	2.935253	6729588.740000	496464.990000	31	4263	2013-05-08
31/2-N-12 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-03-15	2001-05-05	TROLL	NORTH SEA	ED50	60	54	56.56	N	3	35	11.49	E	60.915711	3.586525	6753701.120000	531808.020000	31	4264	2013-05-08
25/11-A-19 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-03-12	2001-03-30	BALDER	NORTH SEA	ED50	59	11	30.09	N	2	21	31.68	E	59.191692	2.358800	6561725.060000	463365.080000	31	4265	2013-05-08
25/11-A-19 AH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	2001-04-01	2001-05-03	BALDER	NORTH SEA	ED50	59	11	30.09	N	2	21	31.68	E	59.191692	2.358800	6561725.060000	463365.080000	31	4266	2013-05-08
31/2-M-13 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-04-11	2001-06-02	TROLL	NORTH SEA	ED50	60	54	56.17	N	3	37	35.59	E	60.915603	3.626553	6753709.140000	533978.850000	31	4267	2013-05-08
31/2-M-13 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-06-05	2001-07-06	TROLL	NORTH SEA	ED50	60	54	56.17	N	3	37	35.59	E	60.915603	3.626553	6753709.140000	533978.850000	31	4268	2013-05-08
6506/12-S-4 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-02-25	2001-04-14	ÅSGARD	NORWEGIAN SEA	ED50	65	0	57.84	N	6	56	45.48	E	65.016067	6.945967	7211998.430000	403205.220000	32	4269	2013-05-08
6506/12-S-4 AH	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	2001-04-14	2001-04-29	ÅSGARD	NORWEGIAN SEA	ED50	65	0	57.84	N	6	56	45.48	E	65.016067	6.945967	7211998.430000	403205.220000	32	4270	2013-05-08
30/9-F-10	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	WATER	2001-08-13	2001-09-17	OSEBERG SØR	NORTH SEA	ED50	60	23	24.77	N	2	47	49.31	E	60.390214	2.797031	6695044.320000	488811.870000	31	4271	2013-05-08
15/5-B-1 H	Den norske stats oljeselskap a.s	048 B	DEVELOPMENT	INJECTION	WATER	2001-02-25	2001-03-31	GLITNE	NORTH SEA	ED50	58	43	58.56	N	1	38	33.32	E	58.732933	1.642589	6511259.930000	421410.030000	31	4272	2013-05-08
6608/10-7	Den norske stats oljeselskap a.s	128	EXPLORATION	APPRAISAL	OIL	2001-03-30	2001-05-23	URD	NORWEGIAN SEA	ED50	66	4	41.48	N	8	14	43.68	E	66.078189	8.245467	7329016.560000	465858.120000	32	4273	2013-05-08
6507/7-13 A	Conoco Norway Inc.	095	EXPLORATION	APPRAISAL	OIL	2001-01-08	2001-01-21	\N	NORWEGIAN SEA	ED50	65	24	4.55	N	7	19	49.20	E	65.401264	7.330333	7254385.660000	422450.350000	32	4275	2013-05-08
34/10-L-4 AH	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	GAS	2001-02-27	2001-03-08	GULLFAKS SØR	NORTH SEA	ED50	61	5	48.29	N	2	11	33.99	E	61.096747	2.192775	6773992.800000	456471.990000	31	4276	2013-05-08
6507/8-E-3 DH	Den norske stats oljeselskap a.s	124	DEVELOPMENT	PRODUCTION	OIL	2001-02-19	2001-02-27	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	4277	2013-05-08
25/4-9 S	Norsk Hydro Produksjon AS	036	EXPLORATION	WILDCAT	OIL	2003-09-05	2003-09-29	VILJE	NORTH SEA	ED50	59	40	20.50	N	2	16	40.71	E	59.672361	2.277975	6615298.860000	459328.070000	31	4278	2013-05-08
6507/8-F-3 H	Statoil ASA (old)	124	DEVELOPMENT	INJECTION	WATER	2003-08-05	2003-09-01	HEIDRUN	NORWEGIAN SEA	ED50	65	22	10.12	N	7	21	25.52	E	65.369478	7.357089	7250811.100000	423600.460000	32	4284	2013-05-08
6507/8-F-1 H	Statoil ASA (old)	124	DEVELOPMENT	INJECTION	WATER	2003-07-06	2003-09-29	HEIDRUN	NORWEGIAN SEA	ED50	65	22	9.84	N	7	21	25.11	E	65.369400	7.356975	7250802.570000	423594.940000	32	4285	2013-05-08
6407/9-D-1 H	A/S Norske Shell	093	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-05-03	2001-05-29	DRAUGEN	NORWEGIAN SEA	ED50	64	20	32.73	N	7	43	25.83	E	64.342425	7.723842	7135968.290000	438345.370000	32	4286	2013-05-08
6407/9-D-1 AH	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	2001-05-29	2001-07-16	DRAUGEN	NORWEGIAN SEA	ED50	64	20	32.73	N	7	43	25.83	E	64.342425	7.723842	7135968.290000	438345.370000	32	4287	2013-05-08
34/10-L-1 AH	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2001-03-12	2001-04-02	GULLFAKS SØR	NORTH SEA	ED50	61	5	48.30	N	2	11	33.74	E	61.096750	2.192706	6773993.160000	456468.250000	31	4288	2013-05-08
2/7-B-12 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	2001-03-22	2001-05-31	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	5.53	E	56.419161	3.218203	6252892.930000	513461.820000	31	4289	2013-05-08
6407/9-D-2 H	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	2001-05-16	2001-06-24	DRAUGEN	NORWEGIAN SEA	ED50	64	20	32.65	N	7	43	23.86	E	64.342403	7.723294	7135966.340000	438318.890000	32	4290	2013-05-08
6507/7-A-6	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	2001-03-18	2001-05-15	HEIDRUN	NORWEGIAN SEA	ED50	65	19	33.10	N	7	19	3.67	E	65.325861	7.317686	7245999.360000	421638.740000	32	4291	2013-05-08
33/12-B-2 C	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2001-04-15	2001-05-03	STATFJORD	NORTH SEA	ED50	61	12	25.25	N	1	49	52.41	E	61.207014	1.831225	6786568.570000	437196.810000	31	4292	2013-05-08
31/2-L-14 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-03-31	2001-05-01	TROLL	NORTH SEA	ED50	60	47	6.52	N	3	33	22.05	E	60.785144	3.556125	6739143.700000	530282.700000	31	4293	2013-05-08
31/2-L-14 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-05-02	2001-05-24	TROLL	NORTH SEA	ED50	60	47	6.52	N	3	33	22.05	E	60.785144	3.556125	6739143.700000	530282.700000	31	4294	2013-05-08
31/3-Q-21 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-04-27	2001-05-22	TROLL	NORTH SEA	ED50	60	49	55.18	N	3	42	59.48	E	60.831994	3.716522	6744446.600000	538959.640000	31	4296	2013-05-08
6305/9-1	Norsk Hydro Produksjon AS	252	EXPLORATION	WILDCAT	DRY	2001-07-09	2001-07-31	\N	NORWEGIAN SEA	ED50	63	17	59.96	N	5	59	14.63	E	63.299989	5.987397	7022673.850000	649731.560000	31	4297	2013-05-08
30/6-E-15 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2001-06-27	2001-10-05	OSEBERG ØST	NORTH SEA	ED50	60	42	1.72	N	2	56	7.06	E	60.700478	2.935294	6729586.570000	496467.270000	31	4298	2013-05-08
34/10-G-3 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2001-04-12	2001-07-05	GULLFAKS SØR	NORTH SEA	ED50	61	5	50.20	N	2	16	36.25	E	61.097278	2.276736	6773998.960000	460999.950000	31	4299	2013-05-08
31/4-A-22	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2001-04-12	2001-08-13	BRAGE	NORTH SEA	ED50	60	32	33.51	N	3	2	51.03	E	60.542642	3.047508	6712005.510000	502606.520000	31	4300	2013-05-08
34/7-31 A	Norsk Hydro Produksjon AS	089	EXPLORATION	APPRAISAL	OIL	2001-04-13	2001-04-25	VIGDIS	NORTH SEA	ED50	61	18	37.51	N	2	3	59.80	E	61.310419	2.066611	6797883.120000	450008.950000	31	4301	2013-05-08
2/7-A-17 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2001-04-11	2001-06-07	ELDFISK	NORTH SEA	ED50	56	22	36.05	N	3	15	56.75	E	56.376681	3.265764	6248174.810000	516414.320000	31	4302	2013-05-08
33/9-C-26 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2001-05-01	2001-05-21	STATFJORD	NORTH SEA	ED50	61	17	46.92	N	1	54	9.99	E	61.296367	1.902775	6796454.290000	441208.350000	31	4303	2013-05-08
3/7-U-7	DONG Norge AS	289	SHALLOW	\N	\N	2007-03-04	2007-03-04	\N	NORTH SEA	ED50	56	24	10.32	N	4	18	2.92	E	56.402867	4.300811	6251817.030000	580284.060000	31	5501	2013-05-08
2/4-X-17	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2001-04-14	2001-07-01	EKOFISK	NORTH SEA	ED50	56	32	51.23	N	3	13	9.08	E	56.547564	3.219189	6267185.670000	513477.070000	31	4304	2013-05-08
34/7-P-11 A	Norsk Hydro Produksjon AS	089	DEVELOPMENT	INJECTION	WATER	2001-04-26	2001-06-22	SNORRE	NORTH SEA	ED50	61	26	57.08	N	2	8	36.55	E	61.449189	2.143486	6813284.090000	454328.950000	31	4305	2013-05-08
6507/5-4 A	BP Amoco Norge AS	212	EXPLORATION	APPRAISAL	OIL	2001-04-15	2001-06-03	SKARV	NORWEGIAN SEA	ED50	65	41	44.78	N	7	34	13.62	E	65.695772	7.570450	7286930.970000	434346.790000	32	4306	2013-05-08
30/2-A-9	Den norske stats oljeselskap a.s	051	DEVELOPMENT	PRODUCTION	GAS	2001-10-01	2002-02-18	HULDRA	NORTH SEA	ED50	60	51	21.52	N	2	39	0.78	E	60.855978	2.650217	6746955.970000	480995.190000	31	4307	2013-05-08
6506/12-N-3 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	PRODUCTION	OIL	2001-05-01	2001-06-06	ÅSGARD	NORWEGIAN SEA	ED50	65	10	26.22	N	6	51	5.22	E	65.173950	6.851450	7229735.350000	399351.020000	32	4308	2013-05-08
25/4-C-1 H	Norsk Hydro Produksjon AS	036	DEVELOPMENT	PRODUCTION	GAS	2001-05-25	2001-07-27	VALE	NORTH SEA	ED50	59	42	22.46	N	2	18	37.78	E	59.706239	2.310494	6619052.130000	461199.060000	31	4309	2013-05-08
31/2-K-21 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-05-07	2001-05-26	TROLL	NORTH SEA	ED50	60	45	21.13	N	3	38	23.52	E	60.755869	3.639867	6735924.540000	534874.380000	31	4310	2013-05-08
31/2-K-21 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-05-27	2001-06-14	TROLL	NORTH SEA	ED50	60	45	21.13	N	3	38	23.52	E	60.755869	3.639867	6735924.540000	534874.380000	31	4311	2013-05-08
31/2-K-21 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-06-18	2001-07-03	TROLL	NORTH SEA	ED50	60	45	21.13	N	3	38	23.52	E	60.755869	3.639867	6735924.540000	534874.380000	31	4312	2013-05-08
33/12-B-36 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2001-05-16	2001-08-30	STATFJORD	NORTH SEA	ED50	61	12	23.94	N	1	49	50.85	E	61.206650	1.830792	6786528.460000	437172.800000	31	4313	2013-05-08
34/10-J-4 H	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	GAS	2001-09-01	2001-10-14	GULLFAKS SØR	NORTH SEA	ED50	61	3	50.65	N	2	0	10.91	E	61.064069	2.003031	6770494.130000	446185.450000	31	4314	2013-05-08
30/9-K-11 H	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2001-05-23	2001-06-19	OSEBERG SØR	NORTH SEA	ED50	60	15	52.49	N	2	46	34.27	E	60.264581	2.776186	6681055.300000	487615.390000	31	4315	2013-05-08
34/10-B-31 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2001-05-11	2001-05-28	GULLFAKS	NORTH SEA	ED50	61	12	10.12	N	2	12	6.28	E	61.202811	2.201744	6785800.920000	457099.810000	31	4316	2013-05-08
34/10-B-21 A	Den norske stats oljeselskap a.s	050	DEVELOPMENT	PRODUCTION	OIL	2001-05-30	2001-06-13	GULLFAKS	NORTH SEA	ED50	61	12	9.83	N	2	12	6.25	E	61.202731	2.201736	6785791.950000	457099.250000	31	4317	2013-05-08
7/12-A-14 A	BP Amoco Norge AS	019	DEVELOPMENT	PRODUCTION	OIL	2001-07-04	2001-08-10	ULA	NORTH SEA	ED50	57	6	41.30	N	2	50	50.40	E	57.111472	2.847333	6329946.980000	490753.120000	31	4318	2013-05-08
34/7-A-16 H	Norsk Hydro Produksjon AS	089	DEVELOPMENT	PRODUCTION	OIL	2001-08-13	2001-11-10	SNORRE	NORTH SEA	ED50	61	29	21.07	N	2	13	34.85	E	61.489186	2.226347	6817684.240000	458799.980000	31	4319	2013-05-08
1/3-K-1	BP Amoco Norge AS	065	DEVELOPMENT	PRODUCTION	OIL	2001-05-18	2001-06-04	TAMBAR	NORTH SEA	ED50	56	58	57.97	N	2	57	31.33	E	56.982769	2.958703	6315610.110000	497490.000000	31	4320	2013-05-08
6507/11-6	Norsk Hydro Produksjon AS	263	EXPLORATION	WILDCAT	GAS/CONDENSATE	2001-06-13	2001-07-08	\N	NORWEGIAN SEA	ED50	65	1	9.02	N	7	24	52.17	E	65.019172	7.414492	7211708.740000	425288.630000	32	4321	2013-05-08
31/2-Y-14 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-05-26	2001-06-03	TROLL	NORTH SEA	ED50	60	50	57.54	N	3	34	53.68	E	60.849317	3.581578	6746303.430000	531605.310000	31	4322	2013-05-08
31/2-Y-14 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-06-04	2001-07-03	TROLL	NORTH SEA	ED50	60	50	57.54	N	3	34	53.68	E	60.849317	3.581578	6746303.430000	531605.310000	31	4323	2013-05-08
31/2-Y-14 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-07-04	2001-08-02	TROLL	NORTH SEA	ED50	60	50	57.54	N	3	34	53.68	E	60.849317	3.581578	6746303.430000	531605.310000	31	4324	2013-05-08
1/3-K-6	BP Amoco Norge AS	065	DEVELOPMENT	PRODUCTION	OIL	2001-06-05	2001-09-06	TAMBAR	NORTH SEA	ED50	56	58	57.92	N	2	57	31.61	E	56.982756	2.958781	6315608.560000	497494.720000	31	4325	2013-05-08
30/9-F-17 B	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2001-06-25	2001-08-10	OSEBERG SØR	NORTH SEA	ED50	60	23	24.61	N	2	47	49.24	E	60.390169	2.797011	6695039.380000	488810.790000	31	4326	2013-05-08
33/9-A-7 C	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2001-06-10	2001-07-05	STATFJORD	NORTH SEA	ED50	61	15	20.89	N	1	51	15.23	E	61.255803	1.854231	6791980.860000	438528.180000	31	4327	2013-05-08
30/6-C-14 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2001-06-07	2001-08-20	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.26	E	60.608175	2.775906	6719324.720000	487730.060000	31	4328	2013-05-08
2/7-B-1 C	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2001-06-25	2001-07-31	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	6.44	E	56.419161	3.218456	6252892.980000	513477.420000	31	4329	2013-05-08
15/9-A-25	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	GAS	2001-07-07	2001-09-30	SLEIPNER ØST	NORTH SEA	ED50	58	22	1.87	N	1	54	32.04	E	58.367186	1.908900	6470256.660000	436166.040000	31	4330	2013-05-08
34/10-A-41 B	Den norske stats oljeselskap a.s	050	DEVELOPMENT	INJECTION	WATER	2001-08-24	2001-10-14	GULLFAKS	NORTH SEA	ED50	61	10	33.67	N	2	11	22.86	E	61.176019	2.189683	6782824.660000	456414.660000	31	4331	2013-05-08
6608/10-B-4 BH	Den norske stats oljeselskap a.s	128	DEVELOPMENT	PRODUCTION	OIL	2001-07-13	2001-08-07	NORNE	NORWEGIAN SEA	ED50	66	0	55.47	N	8	3	16.37	E	66.015408	8.054547	7322136.280000	457114.140000	32	4332	2013-05-08
25/11-A-20 H	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	INJECTION	\N	2001-06-16	2001-07-12	BALDER	NORTH SEA	ED50	59	11	27.48	N	2	21	36.20	E	59.190967	2.360056	6561643.640000	463436.040000	31	4333	2013-05-08
2/7-B-20 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	INJECTION	WATER	2001-10-04	2001-11-25	ELDFISK	NORTH SEA	ED50	56	25	9.13	N	3	13	5.74	E	56.419203	3.218261	6252897.580000	513465.410000	31	4334	2013-05-08
6507/7-A-35 A	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	2001-06-19	2001-07-12	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	4335	2013-05-08
2/8-A-16 E	BP Amoco Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2001-10-31	2002-02-25	VALHALL	NORTH SEA	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	4336	2013-05-08
31/2-X-22 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-07-04	2001-08-10	TROLL	NORTH SEA	ED50	60	48	28.99	N	3	35	35.73	E	60.808053	3.593258	6741713.000000	532281.630000	31	4337	2013-05-08
25/11-G-24	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-09-13	2001-10-16	GRANE	NORTH SEA	ED50	59	9	54.95	N	2	29	14.79	E	59.165264	2.487442	6558718.600000	470692.300000	31	4338	2013-05-08
25/11-G-24 A	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	INJECTION	GAS	2001-10-17	2001-11-14	GRANE	NORTH SEA	ED50	59	9	54.95	N	2	29	14.79	E	59.165264	2.487442	6558718.600000	470692.300000	31	4339	2013-05-08
6507/8-E-2 AH	Den norske stats oljeselskap a.s	124	DEVELOPMENT	PRODUCTION	\N	2001-07-02	2001-07-30	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.96	N	7	22	9.99	E	65.383322	7.369442	7252338.860000	424214.720000	32	4340	2013-05-08
34/7-C-2 AH	Norsk Hydro Produksjon AS	089	DEVELOPMENT	PRODUCTION	OIL	2001-07-02	2001-10-16	VIGDIS	NORTH SEA	ED50	61	22	49.44	N	2	6	12.55	E	61.380400	2.103486	6805650.440000	452090.880000	31	4341	2013-05-08
33/9-A-23 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2001-07-10	2001-07-24	STATFJORD	NORTH SEA	ED50	61	15	19.96	N	1	51	14.24	E	61.255544	1.853956	6791952.350000	438512.920000	31	4342	2013-05-08
34/10-H-4 H	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2001-07-10	2001-12-30	GULLFAKS SØR	NORTH SEA	ED50	61	3	20.33	N	2	4	26.69	E	61.055647	2.074081	6769499.710000	450007.150000	31	4343	2013-05-08
6506/3-1	CHEVRON PETROLEUM COMPANY OF NORWAY	259	EXPLORATION	WILDCAT	DRY	2001-07-22	2001-08-19	\N	NORWEGIAN SEA	ED50	65	48	20.75	N	6	44	32.64	E	65.805764	6.742400	7300300.070000	396769.020000	32	4344	2013-05-08
34/4-K-4 H	Norsk Hydro Produksjon AS	057	DEVELOPMENT	INJECTION	WATER	2001-08-20	2002-01-10	SNORRE	NORTH SEA	ED50	61	31	31.47	N	2	12	44.77	E	61.525408	2.212436	6821727.970000	458107.930000	31	4345	2013-05-08
6407/2-Z-3 H	Statoil ASA (old)	074	DEVELOPMENT	PRODUCTION	GAS	2001-07-09	2001-07-23	ÅSGARD	NORWEGIAN SEA	ED50	64	58	15.01	N	7	37	19.87	E	64.970836	7.622186	7206093.110000	434956.770000	32	4346	2013-05-08
30/8-A-12 H	Norsk Hydro Produksjon AS	190	DEVELOPMENT	PRODUCTION	GAS	2001-08-15	2001-11-21	TUNE	NORTH SEA	ED50	60	28	3.08	N	2	39	11.91	E	60.467522	2.653308	6703687.870000	480934.940000	31	4347	2013-05-08
30/8-A-13 H	Norsk Hydro Produksjon AS	190	DEVELOPMENT	PRODUCTION	GAS	2001-08-18	2002-01-08	TUNE	NORTH SEA	ED50	60	28	3.35	N	2	39	11.81	E	60.467597	2.653281	6703696.230000	480933.460000	31	4348	2013-05-08
30/8-A-13 AH	Norsk Hydro Produksjon AS	190	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TUNE	NORTH SEA	ED50	60	28	3.35	N	2	39	11.81	E	60.467597	2.653281	6703696.230000	480933.460000	31	4349	2013-05-08
30/9-B-42 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	CUTTINGS	2001-07-27	2001-08-03	OSEBERG	NORTH SEA	ED50	60	29	35.96	N	2	49	43.37	E	60.493322	2.828714	6706523.540000	490588.190000	31	4350	2013-05-08
30/2-A-6	Statoil ASA (old)	051	DEVELOPMENT	PRODUCTION	GAS	2001-07-20	2001-09-24	HULDRA	NORTH SEA	ED50	60	51	21.59	N	2	39	0.71	E	60.855997	2.650197	6746958.140000	480994.150000	31	4351	2013-05-08
6305/9-U-1	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	63	28	57.34	N	5	43	44.26	E	63.482594	5.728961	7042429.980000	635918.030000	31	4352	2013-05-08
6305/5-U-1	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	63	43	0.80	N	5	34	36.92	E	63.716889	5.576922	7068207.970000	627296.950000	31	4353	2013-05-08
6305/5-U-2	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	2006-06-16	2006-06-16	\N	NORWEGIAN SEA	ED50	63	34	3.07	N	5	20	58.55	E	63.567519	5.349597	7051138.900000	616683.010000	31	4354	2013-05-08
6305/5-U-3	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	63	34	31.75	N	5	21	41.24	E	63.575486	5.361456	7052047.860000	617238.940000	31	4355	2013-05-08
25/11-A-4 BH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-08-29	2001-09-05	BALDER	NORTH SEA	ED50	59	11	28.34	N	2	21	34.93	E	59.191206	2.359703	6561670.430000	463416.140000	31	4356	2013-05-08
6305/5-U-4	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	63	34	46.44	N	5	20	5.68	E	63.579567	5.334911	7052453.960000	615904.940000	31	4357	2013-05-08
25/11-A-4 CH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	2001-09-05	2001-10-10	BALDER	NORTH SEA	ED50	59	11	28.34	N	2	21	34.93	E	59.191206	2.359703	6561670.430000	463416.140000	31	4358	2013-05-08
6305/4-U-1	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	63	32	15.05	N	5	14	57.96	E	63.537514	5.249433	7047618.110000	611827.900000	31	4359	2013-05-08
31/2-O-12 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-09-13	2001-09-29	TROLL	NORTH SEA	ED50	60	53	22.46	N	3	33	59.00	E	60.889572	3.566389	6750780.050000	530741.180000	31	4360	2013-05-08
6305/4-U-2	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	63	30	8.88	N	5	6	4.62	E	63.502467	5.101283	7043463.980000	604593.070000	31	4361	2013-05-08
31/2-O-12 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-10-01	2001-11-10	TROLL	NORTH SEA	ED50	60	53	22.46	N	3	33	59.00	E	60.889572	3.566389	6750780.050000	530741.180000	31	4362	2013-05-08
6403/6-U-1	Statoil ASA (old)	\N	SHALLOW	\N	\N	2006-04-06	2006-04-09	\N	NORWEGIAN SEA	ED50	64	36	31.70	N	3	43	8.60	E	64.608806	3.719056	7165231.190000	534404.520000	31	4363	2013-05-08
6403/5-U-1	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	40	47.60	N	3	39	12.80	E	64.679889	3.653556	7173119.030000	531188.980000	31	4364	2013-05-08
6403/5-U-2	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	40	41.97	N	3	38	59.46	E	64.678325	3.649850	7172942.920000	531013.940000	31	4365	2013-05-08
25/11-A-20 AH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	INJECTION	WATER	2001-07-13	2001-08-10	BALDER	NORTH SEA	ED50	59	11	27.48	N	2	21	36.20	E	59.190967	2.360056	6561643.640000	463436.040000	31	4366	2013-05-08
33/9-A-40 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2001-07-31	2001-09-02	STATFJORD	NORTH SEA	ED50	61	15	19.72	N	1	51	13.87	E	61.255478	1.853853	6791945.020000	438507.270000	31	4367	2013-05-08
30/6-E-6 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-10-23	2001-11-15	OSEBERG ØST	NORTH SEA	ED50	60	42	1.94	N	2	56	7.06	E	60.700539	2.935294	6729593.380000	496467.270000	31	4368	2013-05-08
30/6-E-6 B	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	WATER/GAS	2001-11-15	2001-12-20	OSEBERG ØST	NORTH SEA	ED50	60	42	1.94	N	2	56	7.06	E	60.700539	2.935294	6729593.380000	496467.270000	31	4369	2013-05-08
30/9-B-44	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-08-06	2001-09-16	OSEBERG	NORTH SEA	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	4370	2013-05-08
30/9-B-44 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2001-09-16	2001-10-31	OSEBERG	NORTH SEA	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	4371	2013-05-08
6506/12-H-4 H	Statoil ASA (old)	094	DEVELOPMENT	PRODUCTION	GAS	2001-07-26	2001-08-21	ÅSGARD	NORWEGIAN SEA	ED50	65	7	6.48	N	6	40	27.71	E	65.118467	6.674364	7223848.750000	390830.490000	32	4372	2013-05-08
34/10-M-3 H	Statoil ASA (old)	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-07-31	2001-08-23	GULLFAKS SØR	NORTH SEA	ED50	61	5	49.64	N	2	11	34.23	E	61.097122	2.192842	6774034.530000	456476.100000	31	4373	2013-05-08
34/10-M-3 AH	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	\N	2001-08-25	2001-09-06	GULLFAKS SØR	NORTH SEA	ED50	61	5	49.64	N	2	11	34.23	E	61.097122	2.192842	6774034.530000	456476.100000	31	4374	2013-05-08
31/2-L-21 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-08-03	2001-08-19	TROLL	NORTH SEA	ED50	60	48	31.49	N	3	33	21.14	E	60.808747	3.555872	6741772.540000	530246.670000	31	4375	2013-05-08
31/2-L-21 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-08-20	2001-09-19	TROLL	NORTH SEA	ED50	60	48	31.49	N	3	33	21.14	E	60.808747	3.555872	6741772.540000	530246.670000	31	4376	2013-05-08
31/2-L-21 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-09-19	2001-10-25	TROLL	NORTH SEA	ED50	60	48	31.49	N	3	33	21.14	E	60.808747	3.555872	6741772.540000	530246.670000	31	4377	2013-05-08
6507/7-A-41	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2001-07-27	2001-08-27	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.43	N	7	19	2.58	E	65.325675	7.317383	7245979.000000	421624.090000	32	4378	2013-05-08
31/2-X-14 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-08-11	2001-08-27	TROLL	NORTH SEA	ED50	60	49	57.17	N	3	36	14.05	E	60.832547	3.603903	6744446.550000	532835.720000	31	4379	2013-05-08
31/2-X-14 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-09-15	2001-11-05	TROLL	NORTH SEA	ED50	60	49	57.17	N	3	36	14.05	E	60.832547	3.603903	6744446.550000	532835.720000	31	4380	2013-05-08
31/2-X-14 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-11-05	2002-01-04	TROLL	NORTH SEA	ED50	60	49	57.17	N	3	36	14.05	E	60.832547	3.603903	6744446.550000	532835.720000	31	4381	2013-05-08
6506/12-N-2 H	Statoil ASA (old)	094	DEVELOPMENT	PRODUCTION	OIL	2001-08-23	2001-10-11	ÅSGARD	NORWEGIAN SEA	ED50	65	10	26.17	N	6	51	5.23	E	65.173936	6.851453	7229733.800000	399351.100000	32	4382	2013-05-08
24/12-4	Statoil ASA (old)	204	EXPLORATION	WILDCAT	DRY	2001-08-31	2001-09-14	\N	NORTH SEA	ED50	59	11	36.95	N	1	45	42.69	E	59.193597	1.761858	6562417.680000	429264.710000	31	4383	2013-05-08
25/2-16 S	Norsk Hydro Produksjon AS	244	EXPLORATION	WILDCAT	DRY	2001-08-03	2001-09-13	\N	NORTH SEA	ED50	59	45	7.67	N	2	24	33.10	E	59.752131	2.409194	6624109.270000	466798.670000	31	4385	2013-05-08
6608/10-6 R2	Den norske stats oljeselskap a.s	128	EXPLORATION	WILDCAT	OIL	2001-08-13	2001-08-29	URD	NORWEGIAN SEA	ED50	66	3	55.95	N	8	15	26.07	E	66.065542	8.257242	7327600.500000	466374.200000	32	4386	2013-05-08
31/2-N-23 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-11-05	2001-12-08	TROLL	NORTH SEA	ED50	60	56	46.71	N	3	34	49.61	E	60.946308	3.580447	6757106.270000	531448.240000	31	4387	2013-05-08
31/2-N-23 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-10-03	2001-11-05	TROLL	NORTH SEA	ED50	60	56	46.71	N	3	34	49.61	E	60.946308	3.580447	6757106.270000	531448.240000	31	4388	2013-05-08
31/2-N-23 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-09-14	2001-10-02	TROLL	NORTH SEA	ED50	60	56	46.71	N	3	34	49.61	E	60.946308	3.580447	6757106.270000	531448.240000	31	4389	2013-05-08
6507/8-E-2 BH	Den norske stats oljeselskap a.s	124	DEVELOPMENT	PRODUCTION	OIL	2001-07-30	2001-08-26	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.96	N	7	22	9.99	E	65.383322	7.369442	7252338.860000	424214.720000	32	4390	2013-05-08
7122/7-2	Norsk Agip  AS	229	EXPLORATION	APPRAISAL	OIL	2001-09-12	2001-10-19	GOLIAT	BARENTS SEA	ED50	71	17	28.46	N	22	16	57.22	E	71.291239	22.282561	7910579.510000	545915.010000	34	4391	2013-05-08
25/11-G-21	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2001-09-06	2001-12-14	GRANE	NORTH SEA	ED50	59	9	54.76	N	2	29	14.42	E	59.165211	2.487339	6558712.770000	470686.380000	31	4392	2013-05-08
31/2-L-24 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-10-25	2001-10-31	TROLL	NORTH SEA	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	4393	2013-05-08
31/2-L-24 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-10-31	2001-11-29	TROLL	NORTH SEA	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	4394	2013-05-08
31/2-L-24 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2001-11-30	2001-12-31	TROLL	NORTH SEA	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	4395	2013-05-08
1/3-K-3	BP Amoco Norge AS	065	DEVELOPMENT	PRODUCTION	OIL	2001-09-08	2001-11-07	TAMBAR	NORTH SEA	ED50	56	58	58.09	N	2	57	31.51	E	56.982803	2.958753	6315613.820000	497493.040000	31	4396	2013-05-08
2/4-W-5 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2003-08-21	2003-11-09	EKOFISK	NORTH SEA	ED50	56	32	39.18	N	3	13	4.44	E	56.544217	3.217900	6266812.830000	513399.010000	31	4397	2013-05-08
33/9-A-37 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2001-10-05	2001-11-12	STATFJORD	NORTH SEA	ED50	61	15	19.76	N	1	51	14.06	E	61.255489	1.853906	6791946.210000	438510.130000	31	4398	2013-05-08
6506/12-P-4 H	Statoil ASA (old)	094	DEVELOPMENT	PRODUCTION	OIL	2001-08-23	2001-09-15	ÅSGARD	NORWEGIAN SEA	ED50	65	1	22.74	N	6	52	46.19	E	65.022983	6.879497	7212872.420000	400099.670000	32	4399	2013-05-08
6507/8-D-3 AH	Statoil ASA (old)	124	DEVELOPMENT	PRODUCTION	OIL	2001-09-05	2001-10-25	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.95	N	7	20	9.70	E	65.361931	7.336028	7249995.830000	422599.040000	32	4400	2013-05-08
6507/7-A-55	Statoil ASA (old)	095	DEVELOPMENT	INJECTION	WATER	2001-08-29	2001-10-16	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.53	N	7	19	4.44	E	65.325703	7.317900	7245981.460000	421648.230000	32	4401	2013-05-08
30/9-F-1	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-09-18	2002-02-21	OSEBERG SØR	NORTH SEA	ED50	60	23	24.89	N	2	47	49.09	E	60.390247	2.796969	6695048.050000	488808.520000	31	4402	2013-05-08
30/9-F-1 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	GAS	2002-02-25	2002-04-02	OSEBERG SØR	NORTH SEA	ED50	60	23	24.89	N	2	47	49.09	E	60.390247	2.796969	6695048.050000	488808.520000	31	4403	2013-05-08
25/11-C-3 EH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-10-14	2001-10-27	BALDER	NORTH SEA	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	4404	2013-05-08
25/11-C-3 FH	Esso Exploration and Production Norway A/S	001	DEVELOPMENT	PRODUCTION	OIL	2001-10-27	2001-11-14	BALDER	NORTH SEA	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	4405	2013-05-08
2/4-B-17 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	2002-09-04	2002-10-14	EKOFISK	NORTH SEA	ED50	56	33	55.04	N	3	12	14.08	E	56.565289	3.203911	6269155.770000	512531.840000	31	4406	2013-05-08
6506/12-M-2 H	Den norske stats oljeselskap a.s	094	DEVELOPMENT	INJECTION	OIL/GAS	2001-09-17	2001-10-20	ÅSGARD	NORWEGIAN SEA	ED50	65	10	24.35	N	6	48	2.82	E	65.173431	6.800783	7229759.230000	396976.270000	32	4407	2013-05-08
16/2-2	Statoil ASA (old)	265	EXPLORATION	WILDCAT	DRY	2001-09-17	2001-10-04	\N	NORTH SEA	ED50	58	58	7.79	N	2	30	7.79	E	58.968831	2.502164	6536838.500000	471371.060000	31	4408	2013-05-08
2/4-X-19	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2001-07-03	2001-08-15	EKOFISK	NORTH SEA	ED50	56	32	51.21	N	3	13	8.36	E	56.547558	3.218989	6267185.010000	513464.780000	31	4409	2013-05-08
2/4-X-37	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2001-09-11	2001-10-14	EKOFISK	NORTH SEA	ED50	56	32	51.84	N	3	13	8.56	E	56.547733	3.219044	6267204.500000	513468.130000	31	4410	2013-05-08
2/8-F-13 A	BP Amoco Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2001-10-06	2002-02-08	VALHALL	NORTH SEA	ED50	56	16	35.58	N	3	23	47.28	E	56.276550	3.396467	6237068.460000	524551.030000	31	4411	2013-05-08
30/6-C-3 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2001-09-22	2001-10-28	OSEBERG	NORTH SEA	ED50	60	36	29.56	N	2	48	33.76	E	60.608211	2.809378	6719322.960000	489562.790000	31	4412	2013-05-08
33/12-B-14 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-09-27	2001-10-07	STATFJORD	NORTH SEA	ED50	61	12	25.12	N	1	49	51.93	E	61.206978	1.831092	6786564.680000	437189.570000	31	4413	2013-05-08
33/12-B-14 C	Den norske stats oljeselskap a.s	037	DEVELOPMENT	INJECTION	WATER	2001-10-07	2001-11-01	STATFJORD	NORTH SEA	ED50	61	12	25.12	N	1	49	51.93	E	61.206978	1.831092	6786564.680000	437189.570000	31	4414	2013-05-08
31/4-A-10	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-08-21	2001-11-05	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	50.69	E	60.542478	3.047414	6711987.250000	502601.350000	31	4415	2013-05-08
30/6-26	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	OIL/GAS	2001-09-17	2001-10-07	OSEBERG	NORTH SEA	ED50	60	31	39.61	N	2	42	37.70	E	60.527669	2.710472	6710371.890000	484107.910000	31	4416	2013-05-08
34/7-J-2 H	Norsk Hydro Produksjon AS	089	DEVELOPMENT	OBSERVATION	OIL	2001-10-19	2001-12-05	TORDIS	NORTH SEA	ED50	61	16	29.70	N	2	7	11.89	E	61.274917	2.119969	6793888.900000	452813.350000	31	4417	2013-05-08
34/7-J-2 AH	StatoilHydro ASA	089	DEVELOPMENT	PRODUCTION	OIL	2006-06-19	2006-11-24	TORDIS	NORTH SEA	ED50	61	16	29.70	N	2	7	11.89	E	61.274917	2.119969	6793888.900000	452813.350000	31	4418	2013-05-08
34/10-B-42	Den norske stats oljeselskap a.s	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-09-25	2001-11-03	GULLFAKS	NORTH SEA	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	4419	2013-05-08
34/10-B-42 A	Statoil ASA (old)	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-11-03	2002-01-12	GULLFAKS	NORTH SEA	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	4420	2013-05-08
6507/7-A-16	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	2001-10-25	2001-12-19	HEIDRUN	NORWEGIAN SEA	ED50	65	19	33.08	N	7	19	4.33	E	65.325856	7.317869	7245998.520000	421647.260000	32	4421	2013-05-08
34/10-44 S	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	GAS/CONDENSATE	2001-05-30	2001-07-08	GULLFAKS SØR	NORTH SEA	ED50	61	3	50.65	N	2	0	10.91	E	61.064069	2.003031	6770494.130000	446185.450000	31	4422	2013-05-08
34/7-32	Norsk Hydro Produksjon AS	089	EXPLORATION	WILDCAT	DRY	2001-10-08	2001-10-27	\N	NORTH SEA	ED50	61	26	33.90	N	2	2	55.60	E	61.442750	2.048778	6812636.850000	449268.690000	31	4423	2013-05-08
34/8-12 S	Norsk Hydro Produksjon AS	120	EXPLORATION	WILDCAT	OIL	2001-11-06	2001-12-09	GIMLE	NORTH SEA	ED50	61	16	4.90	N	2	20	31.95	E	61.268028	2.342208	6792981.300000	464721.600000	31	4424	2013-05-08
30/6-27	Norsk Hydro Produksjon AS	053	EXPLORATION	WILDCAT	OIL/GAS	2001-10-08	2001-10-30	OSEBERG	NORTH SEA	ED50	60	33	28.86	N	2	40	45.58	E	60.558017	2.679328	6713759.920000	482414.880000	31	4425	2013-05-08
34/10-34 R	Den norske stats oljeselskap a.s	050	EXPLORATION	WILDCAT	OIL	2001-10-06	2001-10-16	GULLFAKS	NORTH SEA	ED50	61	13	4.19	N	2	8	4.69	E	61.217831	2.134636	6787519.760000	453515.530000	31	4426	2013-05-08
36/7-3	Norsk Hydro Produksjon AS	153	EXPLORATION	WILDCAT	DRY	2001-12-12	2002-01-06	\N	NORTH SEA	ED50	61	25	33.12	N	4	2	59.61	E	61.425867	4.049892	6810837.000000	556023.580000	31	4427	2013-05-08
6507/5-5	BP Amoco Norge AS	212	EXPLORATION	APPRAISAL	OIL	2001-11-28	2002-02-14	SKARV	NORWEGIAN SEA	ED50	65	42	8.01	N	7	35	45.36	E	65.702225	7.595933	7287623.700000	435533.040000	32	4428	2013-05-08
33/9-C-19 C	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2001-11-22	2001-12-11	STATFJORD	NORTH SEA	ED50	61	17	47.90	N	1	54	10.85	E	61.296639	1.903014	6796484.390000	441221.660000	31	4429	2013-05-08
30/9-B-5 D	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2001-11-15	2002-01-13	OSEBERG	NORTH SEA	ED50	60	29	36.46	N	2	49	42.98	E	60.493461	2.828606	6706539.030000	490582.280000	31	4430	2013-05-08
2/4-X-18	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2001-10-08	2001-11-26	EKOFISK	NORTH SEA	ED50	56	32	51.22	N	3	13	8.22	E	56.547561	3.218950	6267185.310000	513462.390000	31	4431	2013-05-08
34/10-37 AR	Den norske stats oljeselskap a.s	050	EXPLORATION	APPRAISAL	OIL	2001-10-17	2001-10-25	GULLFAKS SØR	NORTH SEA	ED50	61	8	9.78	N	2	0	55.81	E	61.136050	2.015503	6778501.300000	446979.260000	31	4432	2013-05-08
2/5-12	Amerada Hess Norge AS	006 C	EXPLORATION	WILDCAT	OIL SHOWS	2001-11-24	2002-02-22	\N	NORTH SEA	ED50	56	43	18.50	N	3	34	50.81	E	56.721806	3.580781	6286710.190000	535545.530000	31	4433	2013-05-08
30/6-C-17 C	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-12-04	2002-01-23	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.00	E	60.608175	2.775833	6719324.740000	487726.110000	31	4434	2013-05-08
30/6-C-17 D	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2002-01-23	2002-03-25	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.00	E	60.608175	2.775833	6719324.740000	487726.110000	31	4435	2013-05-08
33/12-B-40 B	Den norske stats oljeselskap a.s	037	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-11-08	2001-11-25	STATFJORD	NORTH SEA	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	4436	2013-05-08
33/12-B-40 C	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL	2001-11-26	2001-12-11	STATFJORD	NORTH SEA	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	4437	2013-05-08
25/8-13	Esso Exploration and Production Norway A/S	027 B	EXPLORATION	WILDCAT	DRY	2001-10-31	2001-11-20	\N	NORTH SEA	ED50	59	21	42.30	N	2	21	48.10	E	59.361750	2.363361	6580659.710000	463806.570000	31	4438	2013-05-08
6608/10-8	Statoil ASA (old)	128	EXPLORATION	WILDCAT	OIL	2001-12-29	2002-04-12	URD	NORWEGIAN SEA	ED50	66	3	34.10	N	8	10	42.80	E	66.059472	8.178556	7326968.440000	462803.250000	32	4439	2013-05-08
31/4-A-10 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2001-11-15	2001-12-31	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	50.69	E	60.542478	3.047414	6711987.250000	502601.350000	31	4440	2013-05-08
6305/4-1	Norsk Hydro Produksjon AS	209	EXPLORATION	APPRAISAL	GAS	2002-03-14	2002-06-03	ORMEN LANGE	NORWEGIAN SEA	ED50	63	34	17.76	N	5	17	55.93	E	63.571600	5.298869	7051501.850000	614148.320000	31	4441	2013-05-08
15/6-A-4 AH	Den norske stats oljeselskap a.s	029	DEVELOPMENT	PRODUCTION	OIL	2001-02-03	2001-04-24	GLITNE	NORTH SEA	ED50	58	42	44.64	N	1	40	5.63	E	58.712400	1.668231	6508944.040000	422849.060000	31	4442	2013-05-08
6507/8-D-4 AH	Statoil ASA (old)	124	DEVELOPMENT	OBSERVATION	OIL	2001-12-04	2001-12-20	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.65	N	7	20	9.71	E	65.361847	7.336031	7249986.540000	422598.920000	32	4443	2013-05-08
2/7-B-4 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	2001-12-14	2002-02-12	ELDFISK	NORTH SEA	ED50	56	25	8.86	N	3	13	5.95	E	56.419128	3.218319	6252889.250000	513469.030000	31	4444	2013-05-08
33/9-M-3 H	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2001-12-12	2002-03-07	STATFJORD ØST	NORTH SEA	ED50	61	20	28.36	N	2	0	0.07	E	61.341211	2.000019	6801365.660000	446495.100000	31	4445	2013-05-08
34/8-A-8 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	OIL	2001-12-03	2002-02-23	VISUND	NORTH SEA	ED50	61	22	13.33	N	2	27	32.35	E	61.370369	2.458986	6804323.890000	471078.900000	31	4446	2013-05-08
30/3-A-4 A	Den norske stats oljeselskap a.s	052	DEVELOPMENT	PRODUCTION	OIL	2001-12-16	2002-01-06	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	52.48	E	60.782756	2.897911	6738753.670000	494440.490000	31	4447	2013-05-08
15/9-A-22 A	Den norske stats oljeselskap a.s	046	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	SLEIPNER ØST	NORTH SEA	ED50	58	22	1.98	N	1	54	31.98	E	58.367217	1.908883	6470260.070000	436165.120000	31	4448	2013-05-08
16/7-A-1 H	Esso Exploration and Production Norway A/S	072	DEVELOPMENT	PRODUCTION	GAS	2001-12-07	2002-04-15	SIGYN	NORTH SEA	ED50	58	17	5.70	N	2	2	37.27	E	58.284917	2.043686	6460977.100000	443921.120000	31	4449	2013-05-08
34/10-45 S	Statoil ASA (old)	050	EXPLORATION	WILDCAT	GAS/CONDENSATE	2001-11-03	2002-01-12	GULLFAKS	NORTH SEA	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	4450	2013-05-08
6406/5-1	A/S Norske Shell	255	EXPLORATION	WILDCAT	GAS/CONDENSATE	2001-12-23	2002-04-30	\N	NORWEGIAN SEA	ED50	64	37	16.62	N	6	36	3.13	E	64.621283	6.600869	7168597.210000	385281.150000	32	4451	2013-05-08
34/7-P-16	Norsk Hydro Produksjon AS	089	DEVELOPMENT	INJECTION	WATER	2001-11-30	2002-02-26	SNORRE	NORTH SEA	ED50	61	26	57.21	N	2	8	36.55	E	61.449225	2.143486	6813288.110000	454329.010000	31	4452	2013-05-08
30/3-7 BR	Den norske stats oljeselskap a.s	052	EXPLORATION	WILDCAT	OIL	2001-11-05	2001-11-17	VESLEFRIKK	NORTH SEA	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	4453	2013-05-08
30/3-4 R	Den norske stats oljeselskap a.s	052	EXPLORATION	APPRAISAL	OIL/GAS	2001-11-02	2001-11-18	VESLEFRIKK	NORTH SEA	ED50	60	45	56.85	N	2	51	30.20	E	60.765792	2.858389	6736868.130000	492284.130000	31	4454	2013-05-08
25/11-G-27	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2001-12-17	2002-01-23	GRANE	NORTH SEA	ED50	59	9	54.83	N	2	29	14.77	E	59.165231	2.487436	6558714.890000	470691.950000	31	4455	2013-05-08
25/11-G-27 A	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2002-11-20	2002-12-17	GRANE	NORTH SEA	ED50	59	9	54.83	N	2	29	14.77	E	59.165231	2.487436	6558714.890000	470691.950000	31	4456	2013-05-08
30/8-A-14 H	Norsk Hydro Produksjon AS	190	DEVELOPMENT	PRODUCTION	GAS	2002-01-09	2002-06-04	TUNE	NORTH SEA	ED50	60	28	3.40	N	2	39	12.34	E	60.467611	2.653428	6703697.730000	480941.560000	31	4457	2013-05-08
7/12-A-16 B	BP Amoco Norge AS	019	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	ULA	NORTH SEA	ED50	57	6	41.14	N	2	50	50.57	E	57.111428	2.847381	6329942.030000	490755.970000	31	4458	2013-05-08
16/7-A-3 H	Esso Exploration and Production Norway A/S	072	DEVELOPMENT	PRODUCTION	OIL	2002-01-04	2002-03-28	SIGYN	NORTH SEA	ED50	58	17	5.91	N	2	2	37.74	E	58.284975	2.043817	6460983.480000	443928.870000	31	4460	2013-05-08
16/7-A-2 H	Esso Exploration and Production Norway A/S	072	DEVELOPMENT	PRODUCTION	GAS	2002-01-20	2002-03-14	SIGYN	NORTH SEA	ED50	58	17	5.97	N	2	2	37.54	E	58.284992	2.043761	6460985.380000	443925.640000	31	4461	2013-05-08
15/9-A-7	Statoil ASA (old)	046	DEVELOPMENT	PRODUCTION	GAS	2002-01-01	2002-02-09	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.71	N	1	54	29.91	E	58.367419	1.908308	6470283.200000	436131.850000	31	4462	2013-05-08
30/9-20 S	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	OIL	2002-01-09	2002-02-11	OSEBERG SØR	NORTH SEA	ED50	60	19	1.67	N	2	48	3.38	E	60.317131	2.800939	6686903.780000	489002.730000	31	4463	2013-05-08
33/12-B-3 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2001-12-19	2002-01-08	STATFJORD	NORTH SEA	ED50	61	12	25.21	N	1	49	52.54	E	61.207003	1.831261	6786567.300000	437198.730000	31	4464	2013-05-08
6404/11-1	BP Amoco Norge AS	254	EXPLORATION	WILDCAT	DRY	2001-12-01	2002-03-10	\N	NORWEGIAN SEA	ED50	64	10	11.91	N	4	21	36.65	E	64.169975	4.360181	7116837.720000	566124.460000	31	4465	2013-05-08
34/7-C-3 AH	Norsk Hydro Produksjon AS	089	DEVELOPMENT	PRODUCTION	OIL	2001-12-21	2002-02-01	VIGDIS	NORTH SEA	ED50	61	22	49.49	N	2	6	11.82	E	61.380414	2.103283	6805652.130000	452080.060000	31	4466	2013-05-08
6507/8-D-4 BH	Statoil ASA (old)	124	DEVELOPMENT	PRODUCTION	OIL	2001-12-20	2002-03-12	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.65	N	7	20	9.71	E	65.361847	7.336031	7249986.540000	422598.920000	32	4467	2013-05-08
33/9-C-27 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2001-12-26	2002-01-30	STATFJORD	NORTH SEA	ED50	61	17	46.89	N	1	54	10.13	E	61.296358	1.902814	6796453.330000	441210.420000	31	4468	2013-05-08
34/10-D-3 BH	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2002-01-13	2002-02-06	GULLFAKS SØR	NORTH SEA	ED50	61	7	26.54	N	2	14	39.12	E	61.124039	2.244200	6776999.600000	459280.010000	31	4469	2013-05-08
6507/7-A-32	Den norske stats oljeselskap a.s	095	DEVELOPMENT	PRODUCTION	OIL	2001-12-26	2002-02-05	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.86	N	7	19	4.47	E	65.325794	7.317908	7245991.660000	421648.890000	32	4471	2013-05-08
31/4-A-33 B	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-02-02	2002-03-05	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	4472	2013-05-08
31/4-A-33 C	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-03-16	2002-03-26	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	4473	2013-05-08
31/4-A-33 D	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2002-03-26	2002-04-30	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	4474	2013-05-08
31/5-I-12 Y1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2002-01-02	2002-02-05	TROLL	NORTH SEA	ED50	60	44	27.51	N	3	34	54.44	E	60.740975	3.581789	6734236.120000	531723.750000	31	4475	2013-05-08
31/5-I-12 Y2H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2002-02-05	2002-03-17	TROLL	NORTH SEA	ED50	60	44	27.51	N	3	34	54.44	E	60.740975	3.581789	6734236.120000	531723.750000	31	4476	2013-05-08
30/6-E-3 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2002-04-13	2002-06-06	OSEBERG ØST	NORTH SEA	ED50	60	42	2.02	N	2	56	7.06	E	60.700561	2.935294	6729595.850000	496467.270000	31	4477	2013-05-08
31/2-P-11 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-01-10	2002-02-26	TROLL	NORTH SEA	ED50	60	52	1.24	N	3	33	28.91	E	60.867011	3.558031	6748263.200000	530308.920000	31	4478	2013-05-08
31/2-P-11 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-02-27	2002-03-26	TROLL	NORTH SEA	ED50	60	52	1.24	N	3	33	28.91	E	60.867011	3.558031	6748263.200000	530308.920000	31	4479	2013-05-08
30/9-B-1 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-01-19	2002-02-23	OSEBERG	NORTH SEA	ED50	60	29	36.40	N	2	49	42.36	E	60.493444	2.828433	6706537.200000	490572.810000	31	4480	2013-05-08
30/9-B-1 C	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2002-02-24	2002-03-20	OSEBERG	NORTH SEA	ED50	60	29	36.40	N	2	49	42.36	E	60.493444	2.828433	6706537.200000	490572.810000	31	4481	2013-05-08
2/4-X-13	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	2002-02-07	2002-03-30	EKOFISK	NORTH SEA	ED50	56	32	51.16	N	3	13	8.06	E	56.547544	3.218906	6267183.450000	513459.660000	31	4482	2013-05-08
31/2-P-21 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-02-01	2002-02-27	TROLL	NORTH SEA	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	4483	2013-05-08
31/2-P-21 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-02-27	2002-04-14	TROLL	NORTH SEA	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	4484	2013-05-08
31/2-P-21 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-04-14	2002-06-06	TROLL	NORTH SEA	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	4485	2013-05-08
30/8-A-11 H	Norsk Hydro Produksjon AS	190	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-02-15	2002-03-26	TUNE	NORTH SEA	ED50	60	28	3.13	N	2	39	12.44	E	60.467536	2.653456	6703689.370000	480943.040000	31	4486	2013-05-08
30/8-A-11 AH	Norsk Hydro Produksjon AS	190	DEVELOPMENT	PRODUCTION	GAS	2002-03-27	2002-04-30	TUNE	NORTH SEA	ED50	60	28	3.13	N	2	39	12.44	E	60.467536	2.653456	6703689.370000	480943.040000	31	4487	2013-05-08
25/11-G-17	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2001-12-15	2002-02-27	GRANE	NORTH SEA	ED50	59	9	54.82	N	2	29	14.31	E	59.165228	2.487308	6558714.640000	470684.640000	31	4488	2013-05-08
34/10-46 S	Statoil ASA (old)	050	EXPLORATION	WILDCAT	GAS	2001-11-13	2002-02-01	GULLFAKS	NORTH SEA	ED50	61	10	33.98	N	2	11	20.93	E	61.176106	2.189147	6782834.610000	456385.940000	31	4489	2013-05-08
33/12-B-15 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2002-01-19	2002-02-23	STATFJORD	NORTH SEA	ED50	61	12	25.09	N	1	49	52.06	E	61.206969	1.831128	6786563.720000	437191.500000	31	4490	2013-05-08
34/4-K-6 H	Norsk Hydro Produksjon AS	057	DEVELOPMENT	INJECTION	WATER	2002-09-09	2002-12-11	SNORRE	NORTH SEA	ED50	61	31	31.75	N	2	12	44.47	E	61.525486	2.212353	6821736.690000	458103.600000	31	4491	2013-05-08
35/3-6	RWE Dea Norge AS	270	EXPLORATION	WILDCAT	DRY	2002-02-06	2002-04-02	\N	NORTH SEA	ED50	61	53	36.96	N	3	59	17.29	E	61.893600	3.988136	6862886.920000	551937.480000	31	4492	2013-05-08
33/12-8 S	Statoil ASA (old)	152	EXPLORATION	WILDCAT	OIL/GAS	2002-03-26	2002-04-26	GULLFAKS SØR	NORTH SEA	ED50	61	4	38.34	N	1	57	56.20	E	61.077317	1.965611	6772000.950000	444189.050000	31	4493	2013-05-08
6506/12-M-4 H	Statoil ASA (old)	094	DEVELOPMENT	INJECTION	OIL/GAS	2002-03-15	2002-04-30	ÅSGARD	NORWEGIAN SEA	ED50	65	10	24.42	N	6	48	3.57	E	65.173450	6.800992	7229761.050000	396986.100000	32	4494	2013-05-08
30/2-A-11	Statoil ASA (old)	051	DEVELOPMENT	PRODUCTION	GAS	2002-02-18	2002-04-13	HULDRA	NORTH SEA	ED50	60	51	21.41	N	2	39	0.69	E	60.855947	2.650192	6746952.570000	480993.810000	31	4495	2013-05-08
6507/7-A-24	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	\N	2002-03-17	2002-05-24	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.96	N	7	19	4.41	E	65.325822	7.317892	7245994.780000	421648.200000	32	4496	2013-05-08
33/9-A-36 A	Statoil ASA (old)	037	DEVELOPMENT	INJECTION	GAS	2002-03-04	2002-03-23	STATFJORD	NORTH SEA	ED50	61	15	19.78	N	1	51	13.93	E	61.255494	1.853869	6791946.860000	438508.200000	31	4497	2013-05-08
25/11-G-26	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2002-03-01	2002-04-10	GRANE	NORTH SEA	ED50	59	9	54.77	N	2	29	14.65	E	59.165214	2.487403	6558713.050000	470690.030000	31	4498	2013-05-08
34/8-A-30 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	INJECTION	WATER	2002-02-23	2002-04-10	VISUND	NORTH SEA	ED50	61	22	13.83	N	2	27	31.41	E	61.370508	2.458725	6804339.480000	471065.070000	31	4499	2013-05-08
34/10-46 A	Statoil ASA (old)	050	EXPLORATION	WILDCAT	OIL/GAS	2002-02-01	2002-03-18	GULLFAKS	NORTH SEA	ED50	61	10	33.98	N	2	11	20.93	E	61.176106	2.189147	6782834.610000	456385.940000	31	4500	2013-05-08
34/10-45 A	Statoil ASA (old)	050	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2002-01-12	2002-02-23	GULLFAKS	NORTH SEA	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	4501	2013-05-08
6608/10-D-1 AH	Statoil ASA (old)	128	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-05-28	2002-06-25	NORNE	NORWEGIAN SEA	ED50	66	0	49.30	N	8	3	28.89	E	66.013694	8.058025	7321942.880000	457269.010000	32	4502	2013-05-08
6608/10-D-1 BH	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	\N	2002-06-26	2002-09-05	NORNE	NORWEGIAN SEA	ED50	66	0	49.30	N	8	3	28.89	E	66.013694	8.058025	7321942.880000	457269.010000	32	4503	2013-05-08
33/9-C-34 A	Statoil ASA (old)	037	DEVELOPMENT	INJECTION	WATER	2002-03-15	2002-04-04	STATFJORD	NORTH SEA	ED50	61	17	46.76	N	1	54	10.35	E	61.296322	1.902875	6796449.250000	441213.620000	31	4504	2013-05-08
31/2-X-13 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-03-19	2002-05-20	TROLL	NORTH SEA	ED50	60	49	57.38	N	3	36	14.05	E	60.832606	3.603903	6744453.050000	532835.660000	31	4505	2013-05-08
31/2-X-13 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-05-21	2002-06-03	TROLL	NORTH SEA	ED50	60	49	57.38	N	3	36	14.05	E	60.832606	3.603903	6744453.050000	532835.660000	31	4506	2013-05-08
31/2-X-13 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-06-04	2002-07-03	TROLL	NORTH SEA	ED50	60	49	57.38	N	3	36	14.05	E	60.832606	3.603903	6744453.050000	532835.660000	31	4507	2013-05-08
34/10-E-4 AH	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	\N	2002-03-26	2002-05-22	GULLFAKS SØR	NORTH SEA	ED50	61	6	38.54	N	2	15	38.70	E	61.110706	2.260750	6775504.260000	460154.860000	31	4508	2013-05-08
34/10-C-43	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2002-03-16	2004-03-08	GULLFAKS	NORTH SEA	ED50	61	12	54.65	N	2	16	26.36	E	61.215181	2.273989	6787133.470000	460997.590000	31	4509	2013-05-08
31/2-N-21 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-04-01	2002-05-13	TROLL	NORTH SEA	ED50	60	56	46.70	N	3	34	49.10	E	60.946306	3.580306	6757105.890000	531440.570000	31	4510	2013-05-08
31/2-N-21 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-05-14	2002-06-19	TROLL	NORTH SEA	ED50	60	56	46.70	N	3	34	49.10	E	60.946306	3.580306	6757105.890000	531440.570000	31	4511	2013-05-08
34/4-C-4 H	Norsk Hydro Produksjon AS	057	DEVELOPMENT	PRODUCTION	OIL	2002-04-17	2002-07-11	SNORRE	NORTH SEA	ED50	61	31	30.23	N	2	12	40.99	E	61.525064	2.211386	6821690.280000	458051.620000	31	4512	2013-05-08
30/9-B-45	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2002-03-19	2002-08-08	OSEBERG	NORTH SEA	ED50	60	29	35.82	N	2	49	42.90	E	60.493283	2.828583	6706519.230000	490581.000000	31	4513	2013-05-08
30/9-F-6	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	WATER	2002-04-02	2002-05-10	OSEBERG SØR	NORTH SEA	ED50	60	23	24.84	N	2	47	49.27	E	60.390233	2.797019	6695046.490000	488811.270000	31	4515	2013-05-08
33/9-A-13 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2002-04-01	2002-05-09	STATFJORD	NORTH SEA	ED50	61	15	20.80	N	1	51	15.30	E	61.255778	1.854250	6791978.060000	438529.170000	31	4516	2013-05-08
25/11-G-20	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-04-11	2002-04-22	GRANE	NORTH SEA	ED50	59	9	55.01	N	2	29	14.68	E	59.165281	2.487411	6558720.470000	470690.570000	31	4517	2013-05-08
25/11-G-20 A	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	GAS	2002-04-22	2002-05-28	GRANE	NORTH SEA	ED50	59	9	55.01	N	2	29	14.68	E	59.165281	2.487411	6558720.470000	470690.570000	31	4518	2013-05-08
25/11-G-20 B	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	55.01	N	2	29	14.68	E	59.165281	2.487411	6558720.470000	470690.570000	31	4519	2013-05-08
33/9-C-38 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2002-04-11	2002-04-28	STATFJORD	NORTH SEA	ED50	61	17	46.72	N	1	54	10.15	E	61.296311	1.902819	6796448.060000	441210.630000	31	4520	2013-05-08
1/5-4 S	Amerada Hess Norge AS	144	EXPLORATION	WILDCAT	OIL SHOWS	2002-04-15	2002-05-22	\N	NORTH SEA	ED50	56	42	32.00	N	2	37	41.00	E	56.708889	2.628056	6285183.540000	477227.980000	31	4521	2013-05-08
2/4-B-11	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2002-04-18	2002-06-30	EKOFISK	NORTH SEA	ED50	56	33	54.90	N	3	12	13.87	E	56.565250	3.203853	6269151.430000	512528.270000	31	4522	2013-05-08
34/10-J-5 H	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	\N	2002-05-25	2002-08-10	GULLFAKS SØR	NORTH SEA	ED50	61	3	50.55	N	2	0	10.41	E	61.064042	2.002892	6770491.150000	446177.910000	31	4523	2013-05-08
30/6-C-6 D	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2002-07-20	2002-08-07	OSEBERG	NORTH SEA	ED50	60	36	29.55	N	2	46	33.51	E	60.608208	2.775975	6719328.420000	487733.870000	31	4524	2013-05-08
34/8-A-4 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-05-25	2002-06-09	VISUND	NORTH SEA	ED50	61	22	13.02	N	2	27	34.21	E	61.370283	2.459503	6804314.070000	471106.440000	31	4525	2013-05-08
34/8-A-4 AH	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	OIL	2002-06-10	2002-08-15	VISUND	NORTH SEA	ED50	61	22	13.02	N	2	27	34.21	E	61.370283	2.459503	6804314.070000	471106.440000	31	4526	2013-05-08
34/10-46 B	Statoil ASA (old)	050	EXPLORATION	APPRAISAL	DRY	2002-03-17	2002-05-12	GULLFAKS	NORTH SEA	ED50	61	10	33.98	N	2	11	20.93	E	61.176106	2.189147	6782834.610000	456385.940000	31	4527	2013-05-08
6507/7-A-31	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2002-07-03	2002-08-12	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.84	N	7	19	4.24	E	65.325789	7.317844	7245991.120000	421645.900000	32	4528	2013-05-08
31/4-A-11 B	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2002-05-28	2002-06-18	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	50.35	E	60.542594	3.047319	6712000.240000	502596.160000	31	4529	2013-05-08
6608/10-8 A	Statoil ASA (old)	128	EXPLORATION	APPRAISAL	OIL	2002-04-12	2002-04-26	URD	NORWEGIAN SEA	ED50	66	3	34.10	N	8	10	42.80	E	66.059472	8.178556	7326968.440000	462803.250000	32	4530	2013-05-08
33/9-C-40 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2002-05-26	2002-06-27	STATFJORD	NORTH SEA	ED50	61	17	46.71	N	1	54	9.81	E	61.296308	1.902725	6796447.840000	441205.560000	31	4531	2013-05-08
33/12-8 A	Statoil ASA (old)	152	EXPLORATION	WILDCAT	OIL/GAS	2002-04-26	2002-05-16	GULLFAKS SØR	NORTH SEA	ED50	61	4	38.34	N	1	57	56.20	E	61.077317	1.965611	6772000.950000	444189.050000	31	4532	2013-05-08
2/4-B-10 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2002-03-03	2002-04-16	EKOFISK	NORTH SEA	ED50	56	33	54.90	N	3	12	14.04	E	56.565250	3.203900	6269151.440000	512531.170000	31	4533	2013-05-08
2/4-X-15	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2002-04-01	2002-08-15	EKOFISK	NORTH SEA	ED50	56	32	51.13	N	3	13	8.30	E	56.547536	3.218972	6267182.540000	513463.760000	31	4534	2013-05-08
6407/9-E-1 H	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	2002-05-04	2002-07-13	DRAUGEN	NORWEGIAN SEA	ED50	64	15	44.90	N	7	43	51.09	E	64.262472	7.730858	7127052.730000	438506.480000	32	4535	2013-05-08
6407/9-E-2 H	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	2002-05-02	2002-06-17	DRAUGEN	NORWEGIAN SEA	ED50	64	15	43.27	N	7	43	51.10	E	64.262019	7.730861	7127002.280000	438505.610000	32	4536	2013-05-08
6305/4-U-3	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	2002-03-16	2002-03-18	\N	NORWEGIAN SEA	ED50	63	34	17.00	N	5	18	25.29	E	63.571389	5.307025	7051492.920000	614553.990000	31	4537	2013-05-08
2/4-X-44	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2002-04-30	2002-06-24	EKOFISK	NORTH SEA	ED50	56	32	52.01	N	3	13	8.47	E	56.547781	3.219019	6267209.750000	513466.580000	31	4539	2013-05-08
25/11-G-19	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2002-06-01	2002-06-28	GRANE	NORTH SEA	ED50	59	9	54.95	N	2	29	14.55	E	59.165264	2.487375	6558718.630000	470688.490000	31	4540	2013-05-08
35/1-1	Phillips Petroleum Company Norway	269	EXPLORATION	WILDCAT	DRY	2002-05-28	2002-07-18	\N	NORTH SEA	ED50	61	50	9.11	N	3	4	24.21	E	61.835864	3.073392	6856062.020000	503864.910000	31	4541	2013-05-08
30/3-A-18 B	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2002-05-28	2002-06-30	VESLEFRIKK	NORTH SEA	ED50	60	46	57.87	N	2	53	52.59	E	60.782742	2.897942	6738752.120000	494442.150000	31	4542	2013-05-08
30/9-F-24	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	OIL/GAS	2002-05-11	2002-06-26	OSEBERG SØR	NORTH SEA	ED50	60	23	24.59	N	2	47	49.71	E	60.390164	2.797142	6695038.740000	488817.980000	31	4543	2013-05-08
30/9-F-24 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	OSEBERG SØR	NORTH SEA	ED50	60	23	24.59	N	2	47	49.71	E	60.390164	2.797142	6695038.740000	488817.980000	31	4544	2013-05-08
30/6-E-11 B	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-06-16	2002-07-02	OSEBERG ØST	NORTH SEA	ED50	60	42	1.79	N	2	56	6.91	E	60.700497	2.935253	6729588.740000	496464.990000	31	4545	2013-05-08
30/6-E-11 C	Norsk Hydro Produksjon AS	053	DEVELOPMENT	INJECTION	GAS	2002-07-03	2002-08-03	OSEBERG ØST	NORTH SEA	ED50	60	42	1.79	N	2	56	6.91	E	60.700497	2.935253	6729588.740000	496464.990000	31	4546	2013-05-08
25/8-B-23	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-05-27	2002-06-21	JOTUN	NORTH SEA	ED50	59	27	3.89	N	2	22	0.72	E	59.451081	2.366867	6590605.580000	464100.480000	31	4547	2013-05-08
25/8-B-23 A	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	OIL	2002-06-22	2002-07-18	JOTUN	NORTH SEA	ED50	59	27	3.89	N	2	22	0.72	E	59.451081	2.366867	6590605.580000	464100.480000	31	4548	2013-05-08
2/4-B-9 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2002-07-13	2002-08-21	EKOFISK	NORTH SEA	ED50	56	33	54.97	N	3	12	14.20	E	56.565269	3.203944	6269153.620000	512533.900000	31	4549	2013-05-08
34/10-A-48 B	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	WATER	2002-05-12	2002-05-26	GULLFAKS	NORTH SEA	ED50	61	10	33.86	N	2	11	23.22	E	61.176072	2.189783	6782830.470000	456420.110000	31	4550	2013-05-08
34/10-M-4 H	Statoil ASA (old)	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-07-07	2002-08-04	GULLFAKS SØR	NORTH SEA	ED50	61	5	49.34	N	2	11	34.18	E	61.097039	2.192828	6774025.260000	456475.240000	31	4551	2013-05-08
34/10-M-4 AH	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2002-08-04	2002-09-26	GULLFAKS SØR	NORTH SEA	ED50	61	5	49.34	N	2	11	34.18	E	61.097039	2.192828	6774025.260000	456475.240000	31	4552	2013-05-08
2/1-A-14 B	BP Norge AS	019 B	DEVELOPMENT	PRODUCTION	\N	2002-06-21	2002-10-14	GYDA	NORTH SEA	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	4553	2013-05-08
31/2-S-11 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-08-07	2002-11-07	TROLL	NORTH SEA	ED50	60	53	42.22	N	3	39	17.03	E	60.895061	3.654731	6751436.060000	535529.790000	31	4555	2013-05-08
2/7-A-24 A	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2002-07-01	2002-08-22	ELDFISK	NORTH SEA	ED50	56	22	36.15	N	3	15	56.49	E	56.376708	3.265692	6248177.880000	516409.850000	31	4557	2013-05-08
31/2-X-21 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-06-29	2002-08-12	TROLL	NORTH SEA	ED50	60	48	29.18	N	3	35	35.81	E	60.808106	3.593281	6741718.890000	532282.780000	31	4558	2013-05-08
34/7-P-15	Norsk Hydro Produksjon AS	089	DEVELOPMENT	PRODUCTION	OIL	2002-06-14	2002-08-14	SNORRE	NORTH SEA	ED50	61	26	57.08	N	2	8	37.63	E	61.449189	2.143786	6813283.880000	454344.950000	31	4559	2013-05-08
34/6-1 S	Norske Conoco A/S	268	EXPLORATION	WILDCAT	DRY	2002-07-18	2002-08-28	\N	NORTH SEA	ED50	61	34	56.34	N	2	41	7.70	E	61.582317	2.685472	6827854.700000	483300.010000	31	4561	2013-05-08
31/2-P-22 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-06-22	2002-07-04	TROLL	NORTH SEA	ED50	60	52	35.82	N	3	29	39.31	E	60.876617	3.494253	6749305.330000	526836.870000	31	4562	2013-05-08
31/2-P-22 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-07-05	2002-08-29	TROLL	NORTH SEA	ED50	60	52	35.82	N	3	29	39.31	E	60.876617	3.494253	6749305.330000	526836.870000	31	4563	2013-05-08
31/2-P-22 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-08-30	2002-09-25	TROLL	NORTH SEA	ED50	60	52	35.82	N	3	29	39.31	E	60.876617	3.494253	6749305.330000	526836.870000	31	4564	2013-05-08
15/9-A-11	Statoil ASA (old)	046	DEVELOPMENT	PRODUCTION	GAS	2002-07-01	2002-08-18	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.67	N	1	54	30.04	E	58.367408	1.908344	6470281.920000	436133.940000	31	4565	2013-05-08
25/8-B-21	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-07-20	2002-08-09	JOTUN	NORTH SEA	ED50	59	27	3.78	N	2	22	0.64	E	59.451050	2.366844	6590602.190000	464099.190000	31	4566	2013-05-08
25/11-G-25	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2002-06-28	2002-08-06	GRANE	NORTH SEA	ED50	59	9	54.71	N	2	29	14.53	E	59.165197	2.487369	6558711.210000	470688.110000	31	4567	2013-05-08
33/9-A-15 C	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2002-07-24	2003-06-11	STATFJORD	NORTH SEA	ED50	61	15	20.81	N	1	51	14.82	E	61.255781	1.854117	6791978.490000	438522.020000	31	4568	2013-05-08
30/9-F-5	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-08-12	2002-10-10	OSEBERG SØR	NORTH SEA	ED50	60	23	24.82	N	2	47	49.12	E	60.390228	2.796978	6695045.880000	488808.970000	31	4569	2013-05-08
30/9-F-5 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2002-10-11	2002-11-19	OSEBERG SØR	NORTH SEA	ED50	60	23	24.82	N	2	47	49.12	E	60.390228	2.796978	6695045.880000	488808.970000	31	4570	2013-05-08
2/8-A-13 C	BP Norge AS	006 B	DEVELOPMENT	INJECTION	CUTTINGS	2003-09-01	2003-09-23	VALHALL	NORTH SEA	ED50	56	16	41.40	N	3	23	43.19	E	56.278167	3.395331	6237248.000000	524479.650000	31	4571	2013-05-08
34/7-A-4 AH	Norsk Hydro Produksjon AS	089	DEVELOPMENT	PRODUCTION	OIL	2002-08-09	2002-10-13	SNORRE	NORTH SEA	ED50	61	29	21.62	N	2	13	35.47	E	61.489339	2.226519	6817701.150000	458809.350000	31	4572	2013-05-08
2/8-A-11 B	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2002-07-21	2002-11-20	VALHALL	NORTH SEA	ED50	56	16	41.39	N	3	23	43.73	E	56.278164	3.395481	6237247.740000	524488.940000	31	4573	2013-05-08
31/2-E-6 CH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-08-12	2002-08-22	TROLL	NORTH SEA	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	4574	2013-05-08
31/2-E-6 DY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-08-22	2002-09-23	TROLL	NORTH SEA	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	4575	2013-05-08
31/2-E-6 DY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-09-23	2002-11-02	TROLL	NORTH SEA	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	4576	2013-05-08
25/11-G-22	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2002-08-24	2002-09-18	GRANE	NORTH SEA	ED50	59	9	54.83	N	2	29	14.54	E	59.165231	2.487372	6558714.920000	470688.300000	31	4577	2013-05-08
33/12-B-26 A	Statoil ASA (old)	037	DEVELOPMENT	INJECTION	WATER	2002-09-30	2002-10-25	STATFJORD	NORTH SEA	ED50	61	12	24.07	N	1	49	50.99	E	61.206686	1.830831	6786532.450000	437174.960000	31	4578	2013-05-08
35/11-A-12 H	Norsk Hydro Produksjon AS	090	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-07-25	2002-08-31	FRAM	NORTH SEA	ED50	61	5	5.36	N	3	30	59.17	E	61.084822	3.516436	6772505.930000	527858.570000	31	4579	2013-05-08
35/11-A-12 AH	Norsk Hydro Produksjon AS	090	DEVELOPMENT	PRODUCTION	OIL	2002-09-17	2002-10-25	FRAM	NORTH SEA	ED50	61	5	5.36	N	3	30	59.17	E	61.084822	3.516436	6772505.930000	527858.570000	31	4580	2013-05-08
34/10-C-45	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2002-11-06	2003-01-26	GULLFAKS	NORTH SEA	ED50	61	12	53.67	N	2	16	27.73	E	61.214908	2.274369	6787102.920000	461017.690000	31	4581	2013-05-08
2/4-X-49	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	2002-08-13	2002-12-12	EKOFISK	NORTH SEA	ED50	56	32	52.07	N	3	13	8.64	E	56.547797	3.219067	6267211.620000	513469.480000	31	4582	2013-05-08
34/7-J-3 AH	Norsk Hydro Produksjon AS	089	DEVELOPMENT	PRODUCTION	OIL	2002-09-03	2002-10-02	TORDIS	NORTH SEA	ED50	61	16	29.38	N	2	7	11.41	E	61.274828	2.119836	6793879.090000	452806.070000	31	4583	2013-05-08
30/9-12 AR	Norsk Hydro Produksjon AS	104	EXPLORATION	APPRAISAL	OIL	2002-07-06	2002-07-11	OSEBERG	NORTH SEA	ED50	60	25	57.09	N	2	51	34.90	E	60.432525	2.859694	6699747.910000	492276.080000	31	4584	2013-05-08
33/12-B-4 A	Statoil ASA (old)	037	DEVELOPMENT	INJECTION	WATER	2002-07-21	2002-08-13	STATFJORD	NORTH SEA	ED50	61	12	25.25	N	1	49	52.07	E	61.207014	1.831131	6786568.670000	437191.740000	31	4585	2013-05-08
30/9-13 SR	Norsk Hydro Produksjon AS	104	EXPLORATION	WILDCAT	OIL/GAS	2002-07-12	2002-07-17	OSEBERG SØR	NORTH SEA	ED50	60	21	37.69	N	2	43	17.78	E	60.360469	2.721606	6691746.630000	484640.300000	31	4586	2013-05-08
30/9-B-14 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2002-08-27	2003-02-06	OSEBERG	NORTH SEA	ED50	60	29	36.24	N	2	49	42.55	E	60.493400	2.828486	6706532.240000	490575.700000	31	4587	2013-05-08
25/8-B-21 A	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	\N	2002-08-09	2002-09-11	JOTUN	NORTH SEA	ED50	59	27	3.78	N	2	22	0.64	E	59.451050	2.366844	6590602.190000	464099.190000	31	4588	2013-05-08
6406/3-6	Statoil ASA (old)	091	EXPLORATION	APPRAISAL	OIL/GAS	2002-09-21	2002-11-15	TYRIHANS	NORWEGIAN SEA	ED50	64	47	43.50	N	6	57	54.90	E	64.795417	6.965250	7187387.140000	403322.780000	32	4589	2013-05-08
33/9-C-11 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2002-09-10	2002-10-03	STATFJORD	NORTH SEA	ED50	61	17	48.01	N	1	54	11.11	E	61.296669	1.903086	6796487.730000	441225.590000	31	4590	2013-05-08
6507/7-A-42	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	OIL	2002-08-10	2002-09-11	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.45	N	7	19	2.81	E	65.325681	7.317447	7245979.540000	421627.080000	32	4591	2013-05-08
6507/7-A-42 A	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2002-09-12	2002-09-24	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.45	N	7	19	2.81	E	65.325681	7.317447	7245979.540000	421627.080000	32	4592	2013-05-08
31/5-5 R	Norsk Hydro Produksjon AS	085	EXPLORATION	APPRAISAL	OIL/GAS	2002-07-18	2002-07-27	TROLL	NORTH SEA	ED50	60	41	49.66	N	3	29	8.74	E	60.697128	3.485761	6729309.740000	526523.740000	31	4593	2013-05-08
25/8-B-29	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-07-26	2003-02-01	JOTUN	NORTH SEA	ED50	59	27	3.82	N	2	22	0.79	E	59.451061	2.366886	6590603.400000	464101.560000	31	4594	2013-05-08
25/8-B-29 A	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	OIL	2003-02-02	2003-03-13	JOTUN	NORTH SEA	ED50	59	27	3.82	N	2	22	0.79	E	59.451061	2.366886	6590603.400000	464101.560000	31	4595	2013-05-08
31/2-X-12 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-08-18	2002-09-23	TROLL	NORTH SEA	ED50	60	49	57.18	N	3	36	14.59	E	60.832550	3.604053	6744446.940000	532843.870000	31	4596	2013-05-08
34/10-C-5 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2004-07-21	2004-08-27	GULLFAKS	NORTH SEA	ED50	61	12	53.35	N	2	16	27.92	E	61.214819	2.274422	6787092.980000	461020.420000	31	4597	2013-05-08
6507/8-E-1 BH	Statoil ASA (old)	124	DEVELOPMENT	PRODUCTION	OIL	2002-08-29	2002-10-11	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.66	N	7	22	9.00	E	65.383239	7.369167	7252329.910000	424201.700000	32	4598	2013-05-08
2/7-A-21 B	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	2002-08-28	2002-11-01	ELDFISK	NORTH SEA	ED50	56	22	36.08	N	3	15	56.54	E	56.376689	3.265706	6248175.720000	516410.720000	31	4599	2013-05-08
30/6-C-15 B	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2002-08-29	2002-11-30	OSEBERG	NORTH SEA	ED50	60	36	29.37	N	2	46	33.39	E	60.608158	2.775942	6719322.860000	487732.030000	31	4600	2013-05-08
34/7-P-2	Norsk Hydro Produksjon AS	089	DEVELOPMENT	INJECTION	WATER	2002-11-12	2003-01-12	SNORRE	NORTH SEA	ED50	61	26	56.82	N	2	8	36.83	E	61.449117	2.143564	6813275.990000	454333.000000	31	4601	2013-05-08
6403/10-1	Norsk Hydro Produksjon AS	253	EXPLORATION	WILDCAT	DRY	2002-10-24	2002-12-30	\N	NORWEGIAN SEA	ED50	64	3	39.18	N	3	0	10.92	E	64.060883	3.003033	7103974.070000	500148.050000	31	4602	2013-05-08
31/4-A-24 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	WATER	2002-09-03	2002-09-18	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	50.86	E	60.542478	3.047461	6711987.250000	502603.940000	31	4603	2013-05-08
31/4-A-29 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	WATER	2002-08-16	2002-08-28	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	50.69	E	60.542525	3.047414	6711992.510000	502601.350000	31	4604	2013-05-08
34/10-B-7 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2002-11-05	2002-12-17	GULLFAKS	NORTH SEA	ED50	61	12	9.91	N	2	12	6.53	E	61.202753	2.201814	6785794.370000	457103.460000	31	4605	2013-05-08
35/11-A-11 H	Norsk Hydro Produksjon AS	090	DEVELOPMENT	PRODUCTION	OIL	2002-09-02	2002-11-24	FRAM	NORTH SEA	ED50	61	5	5.23	N	3	30	58.93	E	61.084786	3.516369	6772501.880000	527855.000000	31	4606	2013-05-08
6507/7-A-30	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-10-18	2002-11-13	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.80	N	7	19	3.87	E	65.325778	7.317742	7245990.010000	421641.080000	32	4607	2013-05-08
6507/7-A-30 A	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2002-12-12	2002-12-27	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.80	N	7	19	3.87	E	65.325778	7.317742	7245990.010000	421641.080000	32	4608	2013-05-08
34/10-47 S	Statoil ASA (old)	050 B	EXPLORATION	WILDCAT	OIL	2002-09-22	2002-11-02	GULLFAKS SØR	NORTH SEA	ED50	61	10	52.50	N	2	3	11.10	E	61.181250	2.053083	6783505.970000	449075.980000	31	4609	2013-05-08
25/11-G-28	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2002-09-20	2002-10-25	GRANE	NORTH SEA	ED50	59	9	54.89	N	2	29	14.90	E	59.165247	2.487472	6558716.730000	470694.030000	31	4610	2013-05-08
2/7-A-2 B	ConocoPhillips Norge	018	DEVELOPMENT	PRODUCTION	OIL	2003-03-04	2003-04-27	ELDFISK	NORTH SEA	ED50	56	22	36.30	N	3	15	57.89	E	56.376750	3.266081	6248182.610000	516433.850000	31	4611	2013-05-08
16/7-8 S	Esso Exploration and Production Norway A/S	072 B	EXPLORATION	WILDCAT	DRY	2002-12-17	2003-01-19	\N	NORTH SEA	ED50	58	20	22.06	N	2	0	35.15	E	58.339461	2.009764	6467078.590000	442021.300000	31	4612	2013-05-08
31/2-L-22 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-09-24	2002-10-07	TROLL	NORTH SEA	ED50	60	48	31.69	N	3	33	21.18	E	60.808803	3.555883	6741778.730000	530247.230000	31	4613	2013-05-08
31/2-L-22 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-10-08	2002-11-10	TROLL	NORTH SEA	ED50	60	48	31.69	N	3	33	21.18	E	60.808803	3.555883	6741778.730000	530247.230000	31	4614	2013-05-08
6507/7-A-24 A	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2002-10-06	2002-10-15	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.96	N	7	19	4.41	E	65.325822	7.317892	7245994.780000	421648.200000	32	4615	2013-05-08
34/8-A-21 H	Norsk Hydro Produksjon AS	120	DEVELOPMENT	PRODUCTION	OIL	2002-10-11	2003-02-09	VISUND	NORTH SEA	ED50	61	22	11.86	N	2	27	32.83	E	61.369961	2.459119	6804278.350000	471085.650000	31	4616	2013-05-08
2/4-B-2 B	ConocoPhillips Norge	018	DEVELOPMENT	PRODUCTION	OIL	2002-11-25	2003-01-06	EKOFISK	NORTH SEA	ED50	56	33	54.83	N	3	12	14.08	E	56.565231	3.203911	6269149.280000	512531.860000	31	4617	2013-05-08
33/9-C-41 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2002-10-11	2002-11-01	STATFJORD	NORTH SEA	ED50	61	17	46.68	N	1	54	9.95	E	61.296300	1.902764	6796446.870000	441207.630000	31	4618	2013-05-08
25/8-C-15	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	INJECTION	\N	2002-11-01	2002-11-18	BALDER	NORTH SEA	ED50	59	15	57.87	N	2	26	59.56	E	59.266075	2.449878	6569961.680000	468637.060000	31	4619	2013-05-08
2/1-A-8 A	BP Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2002-10-21	2003-01-12	GYDA	NORTH SEA	ED50	56	54	17.67	N	3	5	6.60	E	56.904908	3.085167	6306945.170000	505187.140000	31	4620	2013-05-08
6407/5-B-3 H	Statoil ASA (old)	121	DEVELOPMENT	PRODUCTION	GAS	2002-10-16	2002-11-15	MIKKEL	NORWEGIAN SEA	ED50	64	38	49.63	N	7	39	48.69	E	64.647119	7.663525	7169979.180000	436146.520000	32	4621	2013-05-08
6407/6-A-1 H	Statoil ASA (old)	092	DEVELOPMENT	PRODUCTION	GAS	2002-11-28	2003-01-10	MIKKEL	NORWEGIAN SEA	ED50	64	42	45.31	N	7	40	50.92	E	64.712586	7.680811	7177256.800000	437124.170000	32	4622	2013-05-08
6407/6-A-3 H	Statoil ASA (old)	092	DEVELOPMENT	PRODUCTION	GAS	2002-11-16	2002-12-28	MIKKEL	NORWEGIAN SEA	ED50	64	42	45.55	N	7	40	50.28	E	64.712653	7.680633	7177264.410000	437115.850000	32	4623	2013-05-08
31/2-E-3 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-11-06	2003-01-31	TROLL	NORTH SEA	ED50	60	47	59.32	N	3	26	57.75	E	60.799811	3.449375	6740732.820000	524458.730000	31	4624	2013-05-08
31/2-E-3 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-02-01	2003-03-01	TROLL	NORTH SEA	ED50	60	47	59.32	N	3	26	57.75	E	60.799811	3.449375	6740732.820000	524458.730000	31	4625	2013-05-08
31/2-E-3 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-03-02	2003-04-18	TROLL	NORTH SEA	ED50	60	47	59.32	N	3	26	57.75	E	60.799811	3.449375	6740732.820000	524458.730000	31	4626	2013-05-08
2/4-X-29	ConocoPhillips Norge	018	DEVELOPMENT	PRODUCTION	OIL	2002-12-15	2003-01-25	EKOFISK	NORTH SEA	ED50	56	32	51.69	N	3	13	8.51	E	56.547692	3.219031	6267199.860000	513467.290000	31	4627	2013-05-08
25/11-G-18	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2002-10-28	2002-11-20	GRANE	NORTH SEA	ED50	59	9	54.89	N	2	29	14.43	E	59.165247	2.487342	6558716.790000	470686.570000	31	4628	2013-05-08
31/3-S-22 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2002-12-15	2003-02-04	TROLL	NORTH SEA	ED50	60	53	34.84	N	3	40	18.47	E	60.893011	3.671797	6751217.090000	536458.250000	31	4629	2013-05-08
6608/11-3	Statoil ASA (old)	128	EXPLORATION	WILDCAT	DRY	2002-11-26	2002-12-15	\N	NORWEGIAN SEA	ED50	66	6	33.90	N	8	29	48.87	E	66.109417	8.496908	7332383.270000	477263.300000	32	4630	2013-05-08
30/9-F-22	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2002-11-20	2003-03-26	OSEBERG SØR	NORTH SEA	ED50	60	23	24.55	N	2	47	49.42	E	60.390153	2.797061	6695037.510000	488813.540000	31	4631	2013-05-08
6403/10-U-1	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	3	39.44	N	3	0	15.41	E	64.060956	3.004281	7103982.130000	500208.930000	31	4632	2013-05-08
33/9-M-1 AH	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2002-10-29	2002-12-15	STATFJORD ØST	NORTH SEA	ED50	61	20	28.13	N	1	59	58.83	E	61.341147	1.999675	6801358.830000	446476.570000	31	4633	2013-05-08
31/2-L-22 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2002-11-11	2002-12-06	TROLL	NORTH SEA	ED50	60	48	31.69	N	3	33	21.18	E	60.808803	3.555883	6741778.730000	530247.230000	31	4634	2013-05-08
33/12-B-37 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2002-11-12	2002-11-29	STATFJORD	NORTH SEA	ED50	61	12	23.91	N	1	49	50.99	E	61.206642	1.830831	6786527.500000	437174.870000	31	4635	2013-05-08
31/2-20 S	Norsk Hydro Produksjon AS	054	EXPLORATION	WILDCAT	OIL/GAS	2002-11-27	2002-12-08	TROLL	NORTH SEA	ED50	60	47	59.30	N	3	26	57.70	E	60.799806	3.449361	6740732.200000	524457.970000	31	4636	2013-05-08
33/9-C-14 A	Statoil ASA (old)	037	DEVELOPMENT	INJECTION	WATER/GAS	2002-12-08	2002-12-27	STATFJORD	NORTH SEA	ED50	61	17	47.99	N	1	54	10.77	E	61.296664	1.902992	6796487.200000	441220.510000	31	4637	2013-05-08
34/10-47 A	Statoil ASA (old)	050 B	EXPLORATION	WILDCAT	DRY	2002-11-02	2002-11-14	\N	NORTH SEA	ED50	61	10	52.50	N	2	3	11.10	E	61.181250	2.053083	6783505.970000	449075.980000	31	4640	2013-05-08
34/10-J-5 AH	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	GAS	2002-12-13	2003-01-06	GULLFAKS SØR	NORTH SEA	ED50	61	3	50.55	N	2	0	10.41	E	61.064042	2.002892	6770491.150000	446177.910000	31	4642	2013-05-08
35/11-A-14 H	Norsk Hydro Produksjon AS	090	DEVELOPMENT	PRODUCTION	OIL	2002-11-25	2002-12-27	FRAM	NORTH SEA	ED50	61	5	5.13	N	3	30	59.61	E	61.084758	3.516558	6772498.870000	527865.210000	31	4643	2013-05-08
15/12-A-15 A	Pertra AS (OLD)	038	DEVELOPMENT	PRODUCTION	OIL	2003-01-23	2003-02-19	VARG	NORTH SEA	ED50	58	4	40.38	N	1	53	25.80	E	58.077883	1.890500	6438065.500000	434559.340000	31	4644	2013-05-08
30/3-A-23	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2001-11-05	2001-11-17	VESLEFRIKK	NORTH SEA	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	4645	2013-05-08
25/8-C-6	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	OIL	2002-11-18	2003-01-27	BALDER	NORTH SEA	ED50	59	15	57.92	N	2	26	59.36	E	59.266089	2.449822	6569963.260000	468633.900000	31	4646	2013-05-08
6407/7-A-10 BY1H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	2003-01-01	2003-04-08	NJORD	NORWEGIAN SEA	ED50	64	16	15.78	N	7	12	9.44	E	64.271050	7.202622	7128625.370000	412943.420000	32	4648	2013-05-08
6407/7-A-10 BY2H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	2003-04-09	2003-04-15	NJORD	NORWEGIAN SEA	ED50	64	16	15.78	N	7	12	9.44	E	64.271050	7.202622	7128625.370000	412943.420000	32	4649	2013-05-08
6407/7-A-10 BY3H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	2003-04-16	2003-05-18	NJORD	NORWEGIAN SEA	ED50	64	16	15.78	N	7	12	9.44	E	64.271050	7.202622	7128625.370000	412943.420000	32	4650	2013-05-08
34/4-K-3 H	Statoil ASA (old)	057	DEVELOPMENT	INJECTION	WATER	2003-01-22	2003-04-30	SNORRE	NORTH SEA	ED50	61	31	31.47	N	2	12	44.47	E	61.525408	2.212353	6821728.030000	458103.500000	31	4651	2013-05-08
1/9-7	Phillips Petroleum Company Norway	044	EXPLORATION	WILDCAT	GAS/CONDENSATE	2003-03-22	2003-08-02	\N	NORTH SEA	ED50	56	24	31.23	N	2	52	55.00	E	56.408675	2.881944	6251710.630000	492714.660000	31	4652	2013-05-08
33/9-N-2 H	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2002-12-19	2003-02-19	SYGNA	NORTH SEA	ED50	61	28	1.63	N	1	59	31.67	E	61.467119	1.992131	6815396.680000	446289.660000	31	4653	2013-05-08
2/11-S-13	BP Norge AS	033 B	DEVELOPMENT	INJECTION	CUTTINGS	2002-12-06	2003-01-05	VALHALL	NORTH SEA	ED50	56	13	39.50	N	3	26	14.80	E	56.227639	3.437444	6231639.760000	527123.110000	31	4654	2013-05-08
30/3-A-19 A	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2003-01-08	2003-01-21	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	52.27	E	60.782756	2.897853	6738753.670000	494437.310000	31	4655	2013-05-08
2/4-B-17 C	ConocoPhillips Norge	018	DEVELOPMENT	PRODUCTION	OIL	2003-01-10	2003-02-27	EKOFISK	NORTH SEA	ED50	56	33	55.04	N	3	12	14.08	E	56.565289	3.203911	6269155.770000	512531.840000	31	4656	2013-05-08
25/8-B-21 B	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-12-07	2002-12-24	JOTUN	NORTH SEA	ED50	59	27	3.78	N	2	22	0.64	E	59.451050	2.366844	6590602.190000	464099.190000	31	4657	2013-05-08
25/8-B-21 C	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	OIL	2002-12-24	2003-01-16	JOTUN	NORTH SEA	ED50	59	27	3.78	N	2	22	0.64	E	59.451050	2.366844	6590602.190000	464099.190000	31	4658	2013-05-08
33/9-C-7 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-01-06	2003-01-21	STATFJORD	NORTH SEA	ED50	61	17	48.04	N	1	54	11.31	E	61.296678	1.903142	6796488.610000	441228.580000	31	4659	2013-05-08
25/11-G-23	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	INJECTION	WATER	2002-12-17	2003-10-02	GRANE	NORTH SEA	ED50	59	9	54.89	N	2	29	14.66	E	59.165247	2.487406	6558716.760000	470690.220000	31	4660	2013-05-08
34/10-B-1 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2002-12-26	2003-01-12	GULLFAKS	NORTH SEA	ED50	61	12	10.98	N	2	12	5.04	E	61.203050	2.201400	6785827.750000	457081.620000	31	4661	2013-05-08
6608/10-D-4 AH	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2003-01-11	2003-06-09	NORNE	NORWEGIAN SEA	ED50	66	0	49.62	N	8	3	28.09	E	66.013783	8.057803	7321952.940000	457259.080000	32	4662	2013-05-08
6507/7-A-10	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2003-01-01	2003-02-13	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.88	N	7	19	2.54	E	65.325800	7.317372	7245992.950000	421623.940000	32	4663	2013-05-08
34/10-M-2 H	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2002-01-19	2003-03-27	GULLFAKS SØR	NORTH SEA	ED50	61	5	49.65	N	2	11	33.98	E	61.097125	2.192772	6774034.890000	456472.360000	31	4664	2013-05-08
35/11-A-24 H	Norsk Hydro Produksjon AS	090	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-01-04	2003-01-24	FRAM	NORTH SEA	ED50	61	5	7.64	N	3	31	1.51	E	61.085456	3.517086	6772576.750000	527893.070000	31	4665	2013-05-08
35/11-A-24 AH	Norsk Hydro Produksjon AS	090	DEVELOPMENT	INJECTION	GAS	2003-01-25	2003-02-16	FRAM	NORTH SEA	ED50	61	5	7.64	N	3	31	1.51	E	61.085456	3.517086	6772576.750000	527893.070000	31	4666	2013-05-08
34/4-D-4 H	Statoil ASA (old)	057	DEVELOPMENT	PRODUCTION	OIL	2003-06-05	2003-09-29	SNORRE	NORTH SEA	ED50	61	31	32.67	N	2	12	40.98	E	61.525742	2.211383	6821765.780000	458052.380000	31	4667	2013-05-08
6608/10-9	Statoil ASA (old)	128	EXPLORATION	WILDCAT	OIL	2003-01-23	2003-02-18	URD	NORWEGIAN SEA	ED50	66	3	44.15	N	8	13	19.57	E	66.062264	8.222103	7327254.450000	464778.940000	32	4668	2013-05-08
25/8-C-4	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	OIL	2003-02-19	2003-03-23	BALDER	NORTH SEA	ED50	59	15	57.99	N	2	26	59.30	E	59.266108	2.449806	6569965.430000	468632.970000	31	4669	2013-05-08
34/8-A-25 H	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	\N	2003-02-17	2003-03-29	VISUND	NORTH SEA	ED50	61	22	12.20	N	2	27	34.67	E	61.370056	2.459631	6804288.640000	471113.060000	31	4670	2013-05-08
2/11-S-11	BP Norge AS	033 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-01-06	2003-02-01	VALHALL	NORTH SEA	ED50	56	13	39.80	N	3	26	14.55	E	56.227722	3.437375	6231649.010000	527118.740000	31	4671	2013-05-08
2/11-S-11 A	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2003-02-03	2003-03-08	VALHALL	NORTH SEA	ED50	56	13	39.80	N	3	26	14.55	E	56.227722	3.437375	6231649.010000	527118.740000	31	4672	2013-05-08
31/5-I-32 Y1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2003-01-25	2003-02-27	TROLL	NORTH SEA	ED50	60	43	1.00	N	3	35	55.29	E	60.716944	3.598692	6731567.840000	532669.800000	31	4673	2013-05-08
31/5-I-32 Y2H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2003-02-28	2003-03-21	TROLL	NORTH SEA	ED50	60	43	1.00	N	3	35	55.29	E	60.716944	3.598692	6731567.840000	532669.800000	31	4674	2013-05-08
2/4-X-11	ConocoPhillips Norge	018	DEVELOPMENT	PRODUCTION	OIL	2003-02-16	2003-05-10	EKOFISK	NORTH SEA	ED50	56	32	51.05	N	3	13	8.31	E	56.547514	3.218975	6267180.060000	513463.940000	31	4675	2013-05-08
33/9-A-10 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-01-15	2003-02-27	STATFJORD	NORTH SEA	ED50	61	15	20.88	N	1	51	14.88	E	61.255800	1.854133	6791980.640000	438522.950000	31	4676	2013-05-08
34/10-B-42 B	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	\N	2002-01-12	2003-02-20	GULLFAKS	NORTH SEA	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	4677	2013-05-08
34/10-B-42 C	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	\N	2003-02-21	2003-03-01	GULLFAKS	NORTH SEA	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	4678	2013-05-08
31/2-P-23 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-02-06	2003-03-29	TROLL	NORTH SEA	ED50	60	52	35.55	N	3	29	39.71	E	60.876542	3.494364	6749297.020000	526842.970000	31	4679	2013-05-08
31/2-P-23 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-03-30	2003-04-23	TROLL	NORTH SEA	ED50	60	52	35.55	N	3	29	39.71	E	60.876542	3.494364	6749297.020000	526842.970000	31	4680	2013-05-08
6507/7-A-35 B	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2001-07-12	2001-07-19	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	4681	2013-05-08
30/9-B-9 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2003-03-11	2003-05-13	OSEBERG	NORTH SEA	ED50	60	29	36.34	N	2	49	42.68	E	60.493428	2.828522	6706535.330000	490577.690000	31	4682	2013-05-08
34/10-C-41 A	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	WATER	2003-03-07	2003-03-16	GULLFAKS	NORTH SEA	ED50	61	12	53.64	N	2	16	27.96	E	61.214900	2.274433	6787101.950000	461021.110000	31	4683	2013-05-08
34/10-C-26 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2003-03-21	2003-04-03	GULLFAKS	NORTH SEA	ED50	61	12	53.52	N	2	16	27.89	E	61.214867	2.274414	6787098.250000	461020.030000	31	4684	2013-05-08
25/8-B-28	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-03-14	2003-04-04	JOTUN	NORTH SEA	ED50	59	27	3.97	N	2	22	0.65	E	59.451103	2.366847	6590608.060000	464099.400000	31	4685	2013-05-08
25/8-B-28 A	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-04-05	2003-04-11	JOTUN	NORTH SEA	ED50	59	27	3.97	N	2	22	0.65	E	59.451103	2.366847	6590608.060000	464099.400000	31	4686	2013-05-08
34/7-P-37 A	Statoil ASA (old)	089	DEVELOPMENT	INJECTION	WATER	2003-03-14	2003-07-06	SNORRE	NORTH SEA	ED50	61	26	58.24	N	2	8	36.52	E	61.449511	2.143478	6813319.990000	454328.980000	31	4687	2013-05-08
34/10-M-3 BH	Statoil ASA (old)	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-04-02	2003-04-17	GULLFAKS SØR	NORTH SEA	ED50	61	5	49.64	N	2	11	34.23	E	61.097122	2.192842	6774034.530000	456476.100000	31	4688	2013-05-08
34/10-M-3 CH	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	GAS	2003-04-18	2003-05-12	GULLFAKS SØR	NORTH SEA	ED50	61	5	49.64	N	2	11	34.23	E	61.097122	2.192842	6774034.530000	456476.100000	31	4689	2013-05-08
33/12-B-23 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-02-17	2003-03-08	STATFJORD	NORTH SEA	ED50	61	12	24.10	N	1	49	51.19	E	61.206694	1.830886	6786533.320000	437177.960000	31	4690	2013-05-08
33/12-B-23 C	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS	2010-03-11	2010-04-11	STATFJORD	NORTH SEA	ED50	61	12	24.10	N	1	49	51.19	E	61.206694	1.830886	6786533.320000	437177.960000	31	4691	2013-05-08
35/11-A-21 Y1H	Norsk Hydro Produksjon AS	090	DEVELOPMENT	PRODUCTION	OIL	2003-02-17	2003-04-24	FRAM	NORTH SEA	ED50	61	5	7.74	N	3	31	0.83	E	61.085483	3.516897	6772579.770000	527882.860000	31	4692	2013-05-08
35/11-A-21 Y2H	Norsk Hydro Produksjon AS	090	DEVELOPMENT	PRODUCTION	OIL	2003-04-25	2003-05-15	FRAM	NORTH SEA	ED50	61	5	7.74	N	3	31	0.83	E	61.085483	3.516897	6772579.770000	527882.860000	31	4693	2013-05-08
33/9-A-18 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-03-05	2003-03-24	STATFJORD	NORTH SEA	ED50	61	15	20.73	N	1	51	15.24	E	61.255758	1.854233	6791975.910000	438528.240000	31	4694	2013-05-08
2/8-A-12 C	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2003-03-21	2003-06-07	VALHALL	NORTH SEA	ED50	56	16	41.64	N	3	23	43.83	E	56.278233	3.395508	6237255.480000	524490.610000	31	4695	2013-05-08
33/9-E-2 AH	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-03-08	2003-03-18	STATFJORD NORD	NORTH SEA	ED50	61	26	3.56	N	1	55	30.60	E	61.434322	1.925167	6811800.500000	442661.100000	31	4696	2013-05-08
6507/7-A-56	Statoil ASA (old)	095	DEVELOPMENT	INJECTION	WATER	2003-02-22	2003-04-13	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.56	N	7	19	4.66	E	65.325711	7.317961	7245982.310000	421651.100000	32	4697	2013-05-08
34/10-C-15 B	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	\N	2003-04-09	2003-04-16	GULLFAKS	NORTH SEA	ED50	61	12	54.79	N	2	16	26.19	E	61.215219	2.273942	6787137.830000	460995.100000	31	4698	2013-05-08
6608/10-10	Statoil ASA (old)	128	EXPLORATION	WILDCAT	DRY	2003-07-17	2003-08-07	\N	NORWEGIAN SEA	ED50	66	4	17.90	N	8	10	11.40	E	66.071639	8.169833	7328329.750000	462426.270000	32	4699	2013-05-08
34/10-B-15 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2003-03-22	2003-05-01	GULLFAKS	NORTH SEA	ED50	61	12	11.05	N	2	12	4.95	E	61.203069	2.201375	6785829.930000	457080.310000	31	4700	2013-05-08
30/9-F-11	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	WATER	2003-05-02	2003-05-15	OSEBERG SØR	NORTH SEA	ED50	60	23	24.78	N	2	47	49.45	E	60.390217	2.797069	6695044.630000	488814.020000	31	4701	2013-05-08
34/10-B-42 D	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	\N	2003-03-02	2003-03-15	GULLFAKS	NORTH SEA	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	4702	2013-05-08
34/7-D-3 H	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	OIL	2003-03-17	2003-05-03	VIGDIS	NORTH SEA	ED50	61	20	44.37	N	2	4	22.08	E	61.345658	2.072800	6801803.560000	450396.140000	31	4703	2013-05-08
33/9-C-8 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-03-16	2003-04-26	STATFJORD	NORTH SEA	ED50	61	17	48.02	N	1	54	11.45	E	61.296672	1.903181	6796487.960000	441230.650000	31	4704	2013-05-08
6706/6-1	Esso Exploration and Production Norway A/S	264	EXPLORATION	WILDCAT	GAS	2003-05-02	2003-06-17	\N	NORWEGIAN SEA	ED50	67	33	34.79	N	6	41	18.38	E	67.559664	6.688439	7495801.600000	401546.000000	32	4705	2013-05-08
31/2-L-12 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-03-23	2003-04-26	TROLL	NORTH SEA	ED50	60	47	6.56	N	3	33	21.52	E	60.785156	3.555978	6739144.870000	530274.680000	31	4706	2013-05-08
31/2-L-12 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-04-26	2003-05-29	TROLL	NORTH SEA	ED50	60	47	6.56	N	3	33	21.52	E	60.785156	3.555978	6739144.870000	530274.680000	31	4707	2013-05-08
33/9-A-34 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-04-01	2003-04-15	STATFJORD	NORTH SEA	ED50	61	15	19.77	N	1	51	14.40	E	61.255492	1.854000	6791946.430000	438515.200000	31	4708	2013-05-08
34/8-4 AR	Statoil ASA (old)	120	EXPLORATION	APPRAISAL	OIL	2003-02-21	2003-03-07	VISUND	NORTH SEA	ED50	61	19	29.58	N	2	25	18.67	E	61.324883	2.421853	6799274.110000	469049.020000	31	4709	2013-05-08
6407/9-10	A/S Norske Shell	093	EXPLORATION	APPRAISAL	OIL	2003-06-11	2003-06-23	DRAUGEN	NORWEGIAN SEA	ED50	64	22	32.00	N	7	46	9.05	E	64.375556	7.769181	7139616.740000	440607.110000	32	4710	2013-05-08
16/1-6 S	Statoil ASA (old)	167	EXPLORATION	WILDCAT	OIL/GAS	2003-05-22	2003-06-07	\N	NORTH SEA	ED50	58	59	27.95	N	2	17	43.07	E	58.991097	2.295297	6539424.890000	459501.210000	31	4711	2013-05-08
2/11-S-14	BP Norge AS	033 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-03-09	2003-04-12	VALHALL	NORTH SEA	ED50	56	13	39.56	N	3	26	14.90	E	56.227656	3.437472	6231641.620000	527124.820000	31	4712	2013-05-08
2/11-S-14 A	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2003-04-13	2003-05-13	VALHALL	NORTH SEA	ED50	56	13	39.56	N	3	26	14.90	E	56.227656	3.437472	6231641.620000	527124.820000	31	4713	2013-05-08
25/8-C-16	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	WATER	2003-03-23	2003-04-05	BALDER	NORTH SEA	ED50	59	15	57.80	N	2	26	59.62	E	59.266056	2.449894	6569959.510000	468637.990000	31	4714	2013-05-08
6507/7-A-54	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2003-04-20	2003-06-10	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.49	N	7	19	4.06	E	65.325692	7.317794	7245980.350000	421643.280000	32	4715	2013-05-08
25/4-7	Marathon Petroleum Norge AS	203	EXPLORATION	WILDCAT	OIL	2003-03-21	2003-04-17	ALVHEIM	NORTH SEA	ED50	59	32	52.06	N	2	1	10.91	E	59.547794	2.019697	6601613.950000	444575.050000	31	4716	2013-05-08
25/5-C-1 H	TotalFinaElf Exploration Norge AS	102	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-05-11	2003-06-26	SKIRNE	NORTH SEA	ED50	59	37	3.59	N	2	29	49.89	E	59.617664	2.497192	6609093.620000	471630.310000	31	4717	2013-05-08
25/5-C-1 AH	TotalFinaElf Exploration Norge AS	102	DEVELOPMENT	PRODUCTION	GAS	2003-05-11	2003-07-21	SKIRNE	NORTH SEA	ED50	59	37	3.59	N	2	29	49.89	E	59.617664	2.497192	6609093.620000	471630.310000	31	4718	2013-05-08
2/4-X-14	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2003-05-14	2003-06-16	EKOFISK	NORTH SEA	ED50	56	32	51.14	N	3	13	8.19	E	56.547539	3.218942	6267182.840000	513461.880000	31	4719	2013-05-08
2/7-A-3 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2003-06-15	2003-07-19	ELDFISK	NORTH SEA	ED50	56	22	36.27	N	3	15	57.74	E	56.376742	3.266039	6248181.680000	516431.280000	31	4720	2013-05-08
2/7-A-6 A	ConocoPhillips Norge	018	DEVELOPMENT	PRODUCTION	OIL	2004-03-17	2004-06-06	ELDFISK	NORTH SEA	ED50	56	22	36.34	N	3	15	57.69	E	56.376761	3.266025	6248183.840000	516430.410000	31	4721	2013-05-08
15/9-E-3 H	Statoil ASA (old)	046	DEVELOPMENT	PRODUCTION	GAS	2003-09-09	2003-11-09	SLEIPNER VEST	NORTH SEA	ED50	58	29	49.31	N	1	43	22.14	E	58.497031	1.722817	6484904.190000	425554.730000	31	4722	2013-05-08
25/8-B-24	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	JOTUN	NORTH SEA	ED50	59	27	3.72	N	2	22	0.71	E	59.451033	2.366864	6590600.320000	464100.280000	31	4723	2013-05-08
25/8-B-24 A	Esso Exploration and Production Norway A/S	027 B	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	JOTUN	NORTH SEA	ED50	59	27	3.72	N	2	22	0.71	E	59.451033	2.366864	6590600.320000	464100.280000	31	4724	2013-05-08
2/8-F-3 B	BP Norge AS	006 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2002-02-15	2002-03-30	VALHALL	NORTH SEA	ED50	56	16	35.70	N	3	23	47.03	E	56.276583	3.396397	6237072.140000	524546.710000	31	4725	2013-05-08
2/8-F-3 C	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2002-04-06	2002-05-14	VALHALL	NORTH SEA	ED50	56	16	35.70	N	3	23	47.03	E	56.276583	3.396397	6237072.140000	524546.710000	31	4726	2013-05-08
25/8-C-20	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	OIL	2003-04-05	2003-05-02	BALDER	NORTH SEA	ED50	59	15	57.89	N	2	26	59.21	E	59.266081	2.449781	6569962.350000	468631.520000	31	4727	2013-05-08
24/6-3	Marathon Petroleum Norge AS	088 BS	EXPLORATION	APPRAISAL	DRY	2003-04-18	2003-04-22	ALVHEIM	NORTH SEA	ED50	59	34	44.57	N	1	54	47.45	E	59.579047	1.913181	6605187.760000	438610.000000	31	4728	2013-05-08
30/3-A-3 A	Statoil ASA (old)	052	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-04-14	2003-09-29	VESLEFRIKK	NORTH SEA	ED50	60	46	57.71	N	2	53	52.27	E	60.782697	2.897853	6738747.170000	494437.300000	31	4729	2013-05-08
33/9-F-4 AH	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-04-19	2003-05-17	STATFJORD NORD	NORTH SEA	ED50	61	26	40.43	N	1	57	23.18	E	61.444564	1.956439	6812914.200000	444347.520000	31	4730	2013-05-08
31/2-D-4 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-04-20	2003-06-05	TROLL	NORTH SEA	ED50	60	51	24.65	N	3	26	56.32	E	60.856847	3.448978	6747085.620000	524393.640000	31	4731	2013-05-08
31/2-D-4 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-06-06	2003-06-26	TROLL	NORTH SEA	ED50	60	51	24.65	N	3	26	56.32	E	60.856847	3.448978	6747085.620000	524393.640000	31	4732	2013-05-08
15/12-13	Pertra AS (OLD)	038	EXPLORATION	APPRAISAL	DRY	2003-04-23	2003-05-11	REV	NORTH SEA	ED50	58	2	3.83	N	1	55	4.57	E	58.034397	1.917936	6433197.920000	436099.900000	31	4733	2013-05-08
33/9-C-26 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-05-10	2003-06-05	STATFJORD	NORTH SEA	ED50	61	17	46.92	N	1	54	9.99	E	61.296367	1.902775	6796454.290000	441208.350000	31	4734	2013-05-08
25/9-2 S	Esso Exploration and Production Norway A/S	189	EXPLORATION	WILDCAT	DRY	2003-07-18	2003-08-03	\N	NORTH SEA	ED50	59	22	56.26	N	2	41	46.89	E	59.382294	2.696358	6582813.900000	482748.030000	31	4735	2013-05-08
34/7-D-1 H	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	OIL	2003-05-04	2003-06-05	VIGDIS	NORTH SEA	ED50	61	20	44.09	N	2	4	22.33	E	61.345581	2.072869	6801794.840000	450399.730000	31	4738	2013-05-08
25/8-B-28 B	ExxonMobil Exploration & Production Norway AS	027 B	DEVELOPMENT	PRODUCTION	OIL	2003-04-12	2003-05-09	JOTUN	NORTH SEA	ED50	59	27	3.97	N	2	22	0.65	E	59.451103	2.366847	6590608.060000	464099.400000	31	4739	2013-05-08
31/2-P-23 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-04-24	2003-05-29	TROLL	NORTH SEA	ED50	60	52	35.55	N	3	29	39.71	E	60.876542	3.494364	6749297.020000	526842.970000	31	4740	2013-05-08
34/10-C-15 C	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2003-04-17	2003-05-02	GULLFAKS	NORTH SEA	ED50	61	12	54.79	N	2	16	26.19	E	61.215219	2.273942	6787137.830000	460995.100000	31	4741	2013-05-08
34/10-C-23 B	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	\N	2003-05-11	2003-05-28	GULLFAKS	NORTH SEA	ED50	61	12	54.80	N	2	16	26.56	E	61.215222	2.274044	6787138.070000	461000.620000	31	4742	2013-05-08
25/5-B-1 H	TotalFinaElf Exploration Norge AS	102	DEVELOPMENT	PRODUCTION	GAS	2003-02-06	2003-05-10	SKIRNE	NORTH SEA	ED50	59	35	3.78	N	2	38	28.09	E	59.584383	2.641136	6605334.660000	479731.930000	31	4743	2013-05-08
25/8-C-18	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-05-02	2003-06-03	BALDER	NORTH SEA	ED50	59	15	57.96	N	2	26	59.15	E	59.266100	2.449764	6569964.520000	468630.590000	31	4744	2013-05-08
24/6-4	Marathon Petroleum Norge AS	088 BS	EXPLORATION	APPRAISAL	OIL/GAS	2003-04-22	2003-06-02	ALVHEIM	NORTH SEA	ED50	59	34	44.70	N	1	54	46.08	E	59.579083	1.912800	6605192.140000	438588.580000	31	4745	2013-05-08
7/12-A-17 A	BP Norge AS	019	DEVELOPMENT	PRODUCTION	OIL	2003-06-16	2003-10-12	ULA	NORTH SEA	ED50	57	6	41.06	N	2	50	50.64	E	57.111406	2.847400	6329939.550000	490757.140000	31	4746	2013-05-08
34/7-P-1	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	OIL	2003-05-16	2003-08-02	SNORRE	NORTH SEA	ED50	61	26	56.82	N	2	8	36.56	E	61.449117	2.143489	6813276.040000	454329.000000	31	4747	2013-05-08
6506/12-M-2 AH	Statoil ASA (old)	094	DEVELOPMENT	INJECTION	OIL/GAS	2006-02-03	2006-04-02	ÅSGARD	NORWEGIAN SEA	ED50	65	10	24.35	N	6	48	2.82	E	65.173431	6.800783	7229759.230000	396976.270000	32	4748	2013-05-08
6405/7-1	Statoil ASA (old)	281	EXPLORATION	WILDCAT	OIL	2003-06-20	2003-10-10	\N	NORWEGIAN SEA	ED50	64	17	16.42	N	5	7	58.60	E	64.287894	5.132944	7131004.000000	603242.590000	31	4749	2013-05-08
25/8-C-18 A	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	INJECTION	\N	2003-06-04	2003-07-14	BALDER	NORTH SEA	ED50	59	15	57.96	N	2	26	59.15	E	59.266100	2.449764	6569964.520000	468630.590000	31	4750	2013-05-08
2/11-S-12	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2003-05-14	2003-06-20	VALHALL	NORTH SEA	ED50	56	13	39.71	N	3	26	14.99	E	56.227697	3.437497	6231646.270000	527126.340000	31	4751	2013-05-08
2/4-X-50	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2003-06-17	2003-08-04	EKOFISK	NORTH SEA	ED50	56	32	52.06	N	3	13	8.78	E	56.547794	3.219106	6267211.320000	513471.870000	31	4752	2013-05-08
30/9-F-12	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-05-16	2003-07-16	OSEBERG SØR	NORTH SEA	ED50	60	23	24.81	N	2	47	49.60	E	60.390225	2.797111	6695045.550000	488816.320000	31	4753	2013-05-08
15/12-13 A	Pertra AS (OLD)	038	EXPLORATION	APPRAISAL	DRY	2003-05-11	2003-05-17	REV	NORTH SEA	ED50	58	2	3.83	N	1	55	4.57	E	58.034397	1.917936	6433197.920000	436099.900000	31	4754	2013-05-08
30/3-A-3 B	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2003-09-30	2003-11-03	VESLEFRIKK	NORTH SEA	ED50	60	46	57.71	N	2	53	52.27	E	60.782697	2.897853	6738747.170000	494437.300000	31	4755	2013-05-08
34/10-B-21 B	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2001-06-13	2001-06-23	GULLFAKS	NORTH SEA	ED50	61	12	9.83	N	2	12	6.25	E	61.202731	2.201736	6785791.950000	457099.250000	31	4756	2013-05-08
33/9-A-38 B	Statoil ASA (old)	037	DEVELOPMENT	INJECTION	WATER	2003-06-19	2003-07-08	STATFJORD	NORTH SEA	ED50	61	15	19.73	N	1	51	14.20	E	61.255481	1.853944	6791945.240000	438512.200000	31	4757	2013-05-08
34/10-B-9 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2003-06-17	2003-07-09	GULLFAKS	NORTH SEA	ED50	61	12	11.09	N	2	12	5.10	E	61.203081	2.201417	6785831.140000	457082.560000	31	4758	2013-05-08
15/12-13 B	Pertra AS (OLD)	038	EXPLORATION	APPRAISAL	OIL/GAS	2003-05-17	2003-06-11	REV	NORTH SEA	ED50	58	2	3.83	N	1	55	4.57	E	58.034397	1.917936	6433197.920000	436099.900000	31	4759	2013-05-08
34/7-F-3 H	Statoil ASA (old)	089	DEVELOPMENT	OBSERVATION	WATER	2003-06-20	2003-12-31	VIGDIS	NORTH SEA	ED50	61	19	14.58	N	2	3	59.87	E	61.320717	2.066631	6799030.080000	450026.390000	31	4760	2013-05-08
35/8-5 S	Norsk Hydro Produksjon AS	195	EXPLORATION	WILDCAT	SHOWS	2003-06-01	2003-07-20	\N	NORTH SEA	ED50	61	22	40.50	N	3	39	13.22	E	61.377917	3.653672	6805219.700000	534934.950000	31	4761	2013-05-08
6406/1-2	Norsk Agip  AS	256	EXPLORATION	WILDCAT	GAS/CONDENSATE	2003-06-26	2003-09-04	\N	NORWEGIAN SEA	ED50	64	55	32.23	N	6	7	55.71	E	64.925619	6.132142	7203419.290000	364414.820000	32	4762	2013-05-08
34/10-C-23 C	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2003-05-29	2003-06-21	GULLFAKS	NORTH SEA	ED50	61	12	54.80	N	2	16	26.56	E	61.215222	2.274044	6787138.070000	461000.620000	31	4763	2013-05-08
34/8-A-25 AH	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	OIL	2003-06-20	2003-08-18	VISUND	NORTH SEA	ED50	61	22	12.20	N	2	27	34.67	E	61.370056	2.459631	6804288.640000	471113.060000	31	4764	2013-05-08
25/4-8	Marathon Petroleum Norge AS	203	EXPLORATION	APPRAISAL	OIL/GAS	2003-06-03	2003-06-22	\N	NORTH SEA	ED50	59	30	52.34	N	2	3	47.24	E	59.514539	2.063122	6597875.290000	446977.930000	31	4765	2013-05-08
33/9-C-4 B	Statoil ASA (old)	037	DEVELOPMENT	INJECTION	WATER/GAS	2003-06-15	2003-07-07	STATFJORD	NORTH SEA	ED50	61	17	48.13	N	1	54	10.89	E	61.296703	1.903025	6796491.500000	441222.370000	31	4766	2013-05-08
16/1-6 A	Statoil ASA (old)	167	EXPLORATION	WILDCAT	DRY	2003-06-08	2003-06-21	\N	NORTH SEA	ED50	58	59	27.95	N	2	17	43.07	E	58.991097	2.295297	6539424.890000	459501.210000	31	4767	2013-05-08
6507/7-A-34	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	OIL	2003-06-27	2003-07-27	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.57	N	7	19	2.73	E	65.325714	7.317425	7245983.280000	421626.140000	32	4768	2013-05-08
6507/7-A-34 A	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2003-07-27	2003-08-28	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.57	N	7	19	2.73	E	65.325714	7.317425	7245983.280000	421626.140000	32	4769	2013-05-08
31/2-Q-11 BY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-06-30	2003-07-28	TROLL	NORTH SEA	ED50	60	50	40.92	N	3	37	38.29	E	60.844700	3.627303	6745812.100000	534095.060000	31	4770	2013-05-08
31/2-Q-11 BY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-07-28	2003-08-07	TROLL	NORTH SEA	ED50	60	50	40.92	N	3	37	38.29	E	60.844700	3.627303	6745812.100000	534095.060000	31	4771	2013-05-08
15/5-A-5 H	Statoil ASA (old)	048 B	DEVELOPMENT	PRODUCTION	OIL	2003-07-21	2003-09-04	GLITNE	NORTH SEA	ED50	58	42	45.73	N	1	39	30.35	E	58.712703	1.658431	6508989.070000	422282.060000	31	4772	2013-05-08
2/11-S-15	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2003-06-20	2003-08-02	VALHALL	NORTH SEA	ED50	56	13	39.61	N	3	26	14.99	E	56.227669	3.437497	6231643.180000	527126.360000	31	4773	2013-05-08
31/5-I-13 Y1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2003-07-06	2003-08-29	TROLL	NORTH SEA	ED50	60	44	27.80	N	3	34	53.99	E	60.741056	3.581664	6734245.030000	531716.850000	31	4774	2013-05-08
31/5-I-13 Y2H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2003-08-29	2003-10-01	TROLL	NORTH SEA	ED50	60	44	27.80	N	3	34	53.99	E	60.741056	3.581664	6734245.030000	531716.850000	31	4775	2013-05-08
31/5-I-13 Y3H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2003-10-01	2003-11-07	TROLL	NORTH SEA	ED50	60	44	27.80	N	3	34	53.99	E	60.741056	3.581664	6734245.030000	531716.850000	31	4776	2013-05-08
31/5-I-13 Y4H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	44	27.80	N	3	34	53.99	E	60.741056	3.581664	6734245.030000	531716.850000	31	4777	2013-05-08
34/7-F-3 AH	Statoil ASA (old)	089	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	VIGDIS	NORTH SEA	ED50	61	19	14.58	N	2	3	59.87	E	61.320717	2.066631	6799030.080000	450026.390000	31	4778	2013-05-08
33/9-A-29 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-07-27	2003-08-27	STATFJORD	NORTH SEA	ED50	61	15	19.83	N	1	51	14.46	E	61.255508	1.854017	6791948.270000	438516.130000	31	4779	2013-05-08
6406/2-S-3 H	Statoil ASA (old)	199	DEVELOPMENT	PRODUCTION	GAS	2003-08-03	2004-01-31	KRISTIN	NORWEGIAN SEA	ED50	64	58	39.08	N	6	26	5.69	E	64.977522	6.434914	7208585.370000	378957.260000	32	4780	2013-05-08
30/9-B-47	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2003-09-01	2004-12-09	OSEBERG	NORTH SEA	ED50	60	29	35.86	N	2	49	43.24	E	60.493294	2.828678	6706520.460000	490586.200000	31	4781	2013-05-08
34/10-B-39 B	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2003-07-18	2003-08-02	GULLFAKS	NORTH SEA	ED50	61	12	9.90	N	2	12	6.16	E	61.202750	2.201711	6785794.130000	457097.940000	31	4782	2013-05-08
25/8-C-8	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-07-16	2003-08-12	BALDER	NORTH SEA	ED50	59	15	57.98	N	2	26	59.65	E	59.266106	2.449903	6569965.070000	468638.510000	31	4783	2013-05-08
25/8-C-8 A	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	OIL	2003-08-12	2003-09-07	BALDER	NORTH SEA	ED50	59	15	57.98	N	2	26	59.65	E	59.266106	2.449903	6569965.070000	468638.510000	31	4784	2013-05-08
15/9-E-1 H	Statoil ASA (old)	046	DEVELOPMENT	PRODUCTION	GAS	2003-09-25	2003-10-29	SLEIPNER VEST	NORTH SEA	ED50	58	29	49.20	N	1	43	21.44	E	58.497000	1.722622	6484901.000000	425543.330000	31	4785	2013-05-08
6305/8-U-3	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	2002-06-18	2002-06-18	\N	NORWEGIAN SEA	ED50	63	24	10.80	N	5	38	6.60	E	63.403000	5.635167	7033370.740000	631613.440000	31	4786	2013-05-08
6305/8-U-2	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	2002-08-18	2002-08-18	\N	NORWEGIAN SEA	ED50	63	24	39.40	N	5	38	50.10	E	63.410944	5.647250	7034280.300000	632180.110000	31	4787	2013-05-08
6305/8-U-1	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	2000-06-20	2000-06-20	\N	NORWEGIAN SEA	ED50	63	24	31.80	N	5	39	38.00	E	63.408833	5.660556	7034072.740000	632853.960000	31	4788	2013-05-08
6305/8-U-4	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	2003-06-05	2003-06-05	\N	NORWEGIAN SEA	ED50	63	29	47.20	N	5	23	12.10	E	63.496444	5.386694	7043291.320000	618820.000000	31	4789	2013-05-08
6305/8-U-5	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	2003-06-15	2003-06-15	\N	NORWEGIAN SEA	ED50	63	23	24.90	N	5	39	34.30	E	63.390250	5.659528	7032001.230000	632888.610000	31	4790	2013-05-08
6305/8-U-6	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	2003-06-15	2003-06-15	\N	NORWEGIAN SEA	ED50	63	23	24.60	N	5	39	59.00	E	63.390167	5.666389	7032006.200000	633231.670000	31	4791	2013-05-08
6305/5-U-5	Norsk Hydro Produksjon AS	\N	SHALLOW	\N	\N	2003-06-10	2003-06-10	\N	NORWEGIAN SEA	ED50	63	31	36.80	N	5	23	18.70	E	63.526889	5.388528	7046685.380000	618784.660000	31	4792	2013-05-08
30/9-F-26	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	WATER	2003-07-22	2003-09-27	OSEBERG SØR	NORTH SEA	ED50	60	23	24.48	N	2	47	49.45	E	60.390133	2.797069	6695035.350000	488813.990000	31	4793	2013-05-08
34/4-D-1 H	Statoil ASA (old)	057	DEVELOPMENT	PRODUCTION	OIL	2003-07-21	2004-05-10	SNORRE	NORTH SEA	ED50	61	31	32.70	N	2	12	40.00	E	61.525750	2.211111	6821766.890000	458037.910000	31	4794	2013-05-08
34/8-A-22 H	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	OIL	2003-09-13	2004-01-15	VISUND	NORTH SEA	ED50	61	22	11.90	N	2	27	33.30	E	61.369972	2.459250	6804279.530000	471092.640000	31	4795	2013-05-08
34/10-B-3 A	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	WATER	2003-08-16	2003-09-01	GULLFAKS	NORTH SEA	ED50	61	12	11.16	N	2	12	5.01	E	61.203100	2.201392	6785833.330000	457081.240000	31	4796	2013-05-08
6407/7-A-4 H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	GAS	2003-10-01	2004-02-25	NJORD	NORWEGIAN SEA	ED50	64	16	14.59	N	7	12	5.77	E	64.270719	7.201603	7128589.940000	412893.010000	32	4797	2013-05-08
2/4-X-41	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2003-09-01	2003-10-19	EKOFISK	NORTH SEA	ED50	56	32	51.92	N	3	13	8.58	E	56.547756	3.219050	6267206.980000	513468.470000	31	4798	2013-05-08
2/7-B-12 C	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2003-11-05	2004-01-16	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	5.53	E	56.419161	3.218203	6252892.930000	513461.820000	31	4799	2013-05-08
31/2-Q-11 BY3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-08-07	2003-08-24	TROLL	NORTH SEA	ED50	60	50	40.92	N	3	37	38.29	E	60.844700	3.627303	6745812.100000	534095.060000	31	4800	2013-05-08
31/2-K-11 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-08-25	2003-09-24	TROLL	NORTH SEA	ED50	60	46	5.91	N	3	36	40.52	E	60.768308	3.611256	6737295.150000	533302.130000	31	4802	2013-05-08
31/2-K-11 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-09-24	2003-10-11	TROLL	NORTH SEA	ED50	60	46	5.91	N	3	36	40.52	E	60.768308	3.611256	6737295.150000	533302.130000	31	4803	2013-05-08
31/2-K-11 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-10-12	2003-10-27	TROLL	NORTH SEA	ED50	60	46	5.91	N	3	36	40.52	E	60.768308	3.611256	6737295.150000	533302.130000	31	4804	2013-05-08
25/8-14 S	Esso Exploration and Production Norway A/S	027	EXPLORATION	WILDCAT	OIL	2003-08-21	2003-09-22	RINGHORNE ØST	NORTH SEA	ED50	59	17	53.39	N	2	30	22.03	E	59.298164	2.506119	6573509.930000	471869.880000	31	4805	2013-05-08
25/8-C-13	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-09-11	2003-10-05	RINGHORNE ØST	NORTH SEA	ED50	59	15	57.69	N	2	26	59.53	E	59.266025	2.449869	6569956.120000	468636.530000	31	4806	2013-05-08
25/8-C-13 A	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	OIL	2003-10-05	2003-11-13	RINGHORNE ØST	NORTH SEA	ED50	59	15	57.69	N	2	26	59.53	E	59.266025	2.449869	6569956.120000	468636.530000	31	4807	2013-05-08
33/9-C-31 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-09-02	2003-09-25	STATFJORD	NORTH SEA	ED50	61	17	46.85	N	1	54	9.93	E	61.296347	1.902758	6796452.140000	441207.420000	31	4810	2013-05-08
31/4-A-17 BY1	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	\N	2003-11-08	2003-12-14	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	51.03	E	60.542617	3.047508	6712002.720000	502606.520000	31	4811	2013-05-08
31/4-A-17 BY2	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2003-12-15	2003-12-25	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	51.03	E	60.542617	3.047508	6712002.720000	502606.520000	31	4812	2013-05-08
30/9-F-21	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	WATER/GAS	2003-09-29	2004-01-19	OSEBERG SØR	NORTH SEA	ED50	60	23	24.53	N	2	47	49.27	E	60.390147	2.797019	6695036.900000	488811.240000	31	4813	2013-05-08
33/12-B-16 C	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2004-10-29	2004-12-10	STATFJORD	NORTH SEA	ED50	61	12	25.05	N	1	49	52.20	E	61.206958	1.831167	6786562.440000	437193.560000	31	4814	2013-05-08
2/4-X-22	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2003-10-20	2003-12-01	EKOFISK	NORTH SEA	ED50	56	32	51.29	N	3	13	8.24	E	56.547581	3.218956	6267187.480000	513462.720000	31	4815	2013-05-08
34/10-A-48	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2001-11-13	2002-02-01	GULLFAKS	NORTH SEA	ED50	61	10	33.86	N	2	11	23.22	E	61.176072	2.189783	6782830.470000	456420.110000	31	4816	2013-05-08
34/10-A-48 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2002-02-01	2002-03-18	GULLFAKS	NORTH SEA	ED50	61	10	33.86	N	2	11	23.22	E	61.176072	2.189783	6782830.470000	456420.110000	31	4817	2013-05-08
6608/10-D-1 CH	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2003-09-30	2003-11-07	NORNE	NORWEGIAN SEA	ED50	66	0	49.30	N	8	3	28.89	E	66.013694	8.058025	7321942.880000	457269.010000	32	4818	2013-05-08
25/4-6 SR	Norsk Hydro Produksjon AS	036	EXPLORATION	WILDCAT	GAS/CONDENSATE	2003-09-09	2003-09-14	VALE	NORTH SEA	ED50	59	42	35.43	N	2	19	4.45	E	59.709842	2.317903	6619449.040000	461620.070000	31	4819	2013-05-08
6507/7-A-50 A	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2003-10-04	2003-12-08	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.36	N	7	19	2.87	E	65.325656	7.317464	7245976.740000	421627.780000	32	4820	2013-05-08
2/8-N-13	BP Norge AS	006 B	DEVELOPMENT	INJECTION	CUTTINGS	2003-09-16	2003-09-29	VALHALL	NORTH SEA	ED50	56	19	27.50	N	3	21	9.63	E	56.324306	3.352675	6242369.210000	521812.040000	31	4821	2013-05-08
34/10-A-30 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2003-09-17	2003-10-03	GULLFAKS	NORTH SEA	ED50	61	10	33.71	N	2	11	23.01	E	61.176031	2.189725	6782825.870000	456416.910000	31	4822	2013-05-08
34/10-G-1 H	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2003-11-01	2004-02-05	GULLFAKS SØR	NORTH SEA	ED50	61	5	50.23	N	2	16	36.58	E	61.097286	2.276828	6773999.840000	461004.900000	31	4823	2013-05-08
34/10-45 B	Statoil ASA (old)	050	EXPLORATION	WILDCAT	GAS/CONDENSATE	2003-10-10	2003-11-06	GULLFAKS	NORTH SEA	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	4824	2013-05-08
2/8-N-15	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2003-09-30	2003-11-17	VALHALL	NORTH SEA	ED50	56	19	27.60	N	3	21	9.81	E	56.324333	3.352725	6242372.320000	521815.120000	31	4825	2013-05-08
6608/10-C-4 AH	Statoil ASA (old)	128	DEVELOPMENT	INJECTION	WATER	2003-11-15	2004-01-13	NORNE	NORWEGIAN SEA	ED50	66	0	52.20	N	8	3	21.72	E	66.014500	8.056033	7322034.030000	457180.020000	32	4826	2013-05-08
33/12-B-18 A	Statoil ASA (old)	037	DEVELOPMENT	INJECTION	WATER	2003-10-16	2003-11-16	STATFJORD	NORTH SEA	ED50	61	12	24.99	N	1	49	52.48	E	61.206942	1.831244	6786560.510000	437197.710000	31	4827	2013-05-08
2/8-A-8 B	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2003-11-14	2004-01-27	VALHALL	NORTH SEA	ED50	56	16	41.54	N	3	23	43.82	E	56.278206	3.395506	6237252.390000	524490.460000	31	4828	2013-05-08
15/9-E-2 H	Statoil ASA (old)	046	DEVELOPMENT	PRODUCTION	GAS	2003-11-10	2003-12-19	SLEIPNER VEST	NORTH SEA	ED50	58	29	49.42	N	1	43	21.97	E	58.497061	1.722769	6484907.640000	425552.040000	31	4829	2013-05-08
31/2-N-24 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-11-03	2003-12-13	TROLL	NORTH SEA	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	4830	2013-05-08
31/2-N-24 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-12-14	2004-01-09	TROLL	NORTH SEA	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	4831	2013-05-08
31/2-N-24 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-01-12	2004-01-18	TROLL	NORTH SEA	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	4832	2013-05-08
2/7-A-18 C	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2003-12-06	2004-02-14	ELDFISK	NORTH SEA	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	4834	2013-05-08
2/4-X-23	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2003-12-03	2004-01-20	EKOFISK	NORTH SEA	ED50	56	32	51.28	N	3	13	8.38	E	56.547578	3.218994	6267187.180000	513465.110000	31	4835	2013-05-08
2/8-N-10	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2003-11-18	2003-12-27	VALHALL	NORTH SEA	ED50	56	19	27.60	N	3	21	9.63	E	56.324333	3.352675	6242372.300000	521812.030000	31	4836	2013-05-08
31/2-Y-21 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-11-09	2003-12-24	TROLL	NORTH SEA	ED50	60	49	51.89	N	3	34	21.34	E	60.831081	3.572594	6744267.930000	531134.860000	31	4837	2013-05-08
31/2-Y-21 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2003-12-25	2004-01-16	TROLL	NORTH SEA	ED50	60	49	51.89	N	3	34	21.34	E	60.831081	3.572594	6744267.930000	531134.860000	31	4838	2013-05-08
31/2-Y-21 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-01-16	2004-02-01	TROLL	NORTH SEA	ED50	60	49	51.89	N	3	34	21.34	E	60.831081	3.572594	6744267.930000	531134.860000	31	4839	2013-05-08
34/7-P-3	Statoil ASA (old)	089	DEVELOPMENT	INJECTION	OIL	2003-11-13	2004-02-02	SNORRE	NORTH SEA	ED50	61	26	56.82	N	2	8	37.10	E	61.449117	2.143639	6813275.940000	454336.990000	31	4840	2013-05-08
2/4-15 SR	Norsk Hydro Produksjon AS	146	EXPLORATION	WILDCAT	DRY	2003-10-03	2003-10-27	\N	NORTH SEA	ED50	56	40	27.25	N	3	8	38.79	E	56.674236	3.144108	6281273.690000	508831.060000	31	4842	2013-05-08
33/12-B-31 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-11-23	2003-12-08	STATFJORD	NORTH SEA	ED50	61	12	24.01	N	1	49	50.92	E	61.206669	1.830811	6786530.610000	437173.890000	31	4843	2013-05-08
33/9-C-23 C	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2003-11-21	2003-12-08	STATFJORD	NORTH SEA	ED50	61	17	46.96	N	1	54	10.19	E	61.296378	1.902831	6796455.480000	441211.350000	31	4844	2013-05-08
15/12-14	Pertra AS (OLD)	038	EXPLORATION	APPRAISAL	OIL	2003-12-08	2003-12-31	VARG	NORTH SEA	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	4845	2013-05-08
25/8-C-11	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-12-08	2003-12-31	BALDER	NORTH SEA	ED50	59	15	57.83	N	2	26	59.77	E	59.266064	2.449936	6569960.420000	468640.370000	31	4846	2013-05-08
25/8-C-11 A	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	OIL	2004-01-01	2004-02-06	BALDER	NORTH SEA	ED50	59	15	57.83	N	2	26	59.77	E	59.266064	2.449936	6569960.420000	468640.370000	31	4847	2013-05-08
6507/7-C-4 AH	Statoil ASA (old)	095	DEVELOPMENT	INJECTION	WATER	2003-11-27	2003-12-31	HEIDRUN	NORWEGIAN SEA	ED50	65	17	10.93	N	7	18	11.77	E	65.286369	7.303269	7241616.960000	420848.920000	32	4848	2013-05-08
2/4-B-18 C	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2003-12-26	2004-02-22	EKOFISK	NORTH SEA	ED50	56	33	55.02	N	3	12	13.97	E	56.565283	3.203881	6269155.150000	512529.970000	31	4850	2013-05-08
30/3-A-11 A	Statoil ASA (old)	052	DEVELOPMENT	INJECTION	\N	2003-12-14	2003-12-20	VESLEFRIKK	NORTH SEA	ED50	60	46	57.87	N	2	53	52.16	E	60.782742	2.897822	6738752.130000	494435.650000	31	4851	2013-05-08
33/9-A-35 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2004-01-02	2004-02-16	STATFJORD	NORTH SEA	ED50	61	15	19.81	N	1	51	13.78	E	61.255503	1.853828	6791947.830000	438505.980000	31	4852	2013-05-08
34/7-F-1 H	Statoil ASA (old)	089	DEVELOPMENT	INJECTION	WATER	2004-01-05	2004-02-23	VIGDIS	NORTH SEA	ED50	61	19	14.27	N	2	4	0.36	E	61.320631	2.066767	6799020.390000	450033.540000	31	4853	2013-05-08
6507/8-7	Statoil ASA (old)	124	EXPLORATION	WILDCAT	DRY	2004-01-05	2004-01-31	\N	NORWEGIAN SEA	ED50	65	17	42.50	N	7	21	41.60	E	65.295139	7.361556	7242522.230000	423592.820000	32	4854	2013-05-08
34/10-A-15 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	\N	2004-01-15	2004-03-07	GULLFAKS	NORTH SEA	ED50	61	10	33.60	N	2	11	22.94	E	61.176000	2.189706	6782822.480000	456415.820000	31	4855	2013-05-08
31/2-N-24 Y4H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-01-18	2004-02-11	TROLL	NORTH SEA	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	4856	2013-05-08
31/2-N-24 Y5H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-02-12	2004-03-07	TROLL	NORTH SEA	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	4857	2013-05-08
30/9-F-28	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-03-14	2004-05-01	OSEBERG SØR	NORTH SEA	ED50	60	23	24.52	N	2	47	49.75	E	60.390144	2.797153	6695036.570000	488818.590000	31	4858	2013-05-08
30/9-F-28 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2004-05-15	2004-06-11	OSEBERG SØR	NORTH SEA	ED50	60	23	24.52	N	2	47	49.75	E	60.390144	2.797153	6695036.570000	488818.590000	31	4859	2013-05-08
6506/12-N-1 H	Statoil ASA (old)	094	DEVELOPMENT	PRODUCTION	OIL	2004-01-20	2004-05-08	ÅSGARD	NORWEGIAN SEA	ED50	65	10	25.90	N	6	51	5.24	E	65.173861	6.851456	7229725.440000	399350.950000	32	4860	2013-05-08
2/8-N-12	BP Norge AS	006 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-12-27	2004-01-16	VALHALL	NORTH SEA	ED50	56	19	27.70	N	3	21	9.81	E	56.324361	3.352725	6242375.410000	521815.100000	31	4861	2013-05-08
2/8-N-12 A	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2004-01-17	2004-02-27	VALHALL	NORTH SEA	ED50	56	19	27.70	N	3	21	9.81	E	56.324361	3.352725	6242375.410000	521815.100000	31	4862	2013-05-08
2/4-X-25	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2004-01-21	2004-03-04	EKOFISK	NORTH SEA	ED50	56	32	51.63	N	3	13	8.35	E	56.547675	3.218986	6267198.000000	513464.570000	31	4863	2013-05-08
2/4-X-24	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	CUTTINGS	2004-03-08	2004-08-04	EKOFISK	NORTH SEA	ED50	56	32	51.27	N	3	13	8.52	E	56.547575	3.219033	6267186.880000	513467.500000	31	4864	2013-05-08
33/12-B-30 A	Statoil ASA (old)	037	DEVELOPMENT	INJECTION	WATER/GAS	2003-12-22	2004-03-09	STATFJORD	NORTH SEA	ED50	61	12	24.04	N	1	49	50.78	E	61.206678	1.830772	6786531.570000	437171.810000	31	4865	2013-05-08
6406/2-R-3 H	Statoil ASA (old)	199	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2004-02-16	2004-10-05	KRISTIN	NORWEGIAN SEA	ED50	64	57	36.84	N	6	26	18.42	E	64.960233	6.438450	7206652.950000	379046.000000	32	4866	2013-05-08
30/3-A-11 B	Statoil ASA (old)	052	DEVELOPMENT	INJECTION	WATER/GAS	2003-12-21	2003-12-30	VESLEFRIKK	NORTH SEA	ED50	60	46	57.87	N	2	53	52.16	E	60.782742	2.897822	6738752.130000	494435.650000	31	4867	2013-05-08
31/4-A-17 BY3	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2003-12-26	2004-01-23	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	51.03	E	60.542617	3.047508	6712002.720000	502606.520000	31	4869	2013-05-08
15/12-A-6 A	Pertra AS (OLD)	038	DEVELOPMENT	PRODUCTION	WATER	2004-02-01	2004-03-15	VARG	NORTH SEA	ED50	58	4	40.50	N	1	53	25.69	E	58.077917	1.890469	6438069.240000	434557.600000	31	4870	2013-05-08
33/9-C-12 C	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2004-02-01	2004-02-15	STATFJORD	NORTH SEA	ED50	61	17	47.98	N	1	54	11.25	E	61.296661	1.903125	6796486.770000	441227.650000	31	4871	2013-05-08
6507/7-A-29 AY1	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2005-08-30	2005-10-30	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.77	N	7	19	3.64	E	65.325769	7.317678	7245989.160000	421638.080000	32	4872	2013-05-08
25/8-C-10	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-02-08	2004-03-07	BALDER	NORTH SEA	ED50	59	15	57.77	N	2	26	59.48	E	59.266047	2.449856	6569958.600000	468635.760000	31	4873	2013-05-08
25/8-C-10 A	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	OIL	2004-03-08	2004-04-02	BALDER	NORTH SEA	ED50	59	15	57.77	N	2	26	59.48	E	59.266047	2.449856	6569958.600000	468635.760000	31	4874	2013-05-08
15/12-A-12 A	Pertra AS (OLD)	038	DEVELOPMENT	PRODUCTION	OIL	2003-12-08	2003-12-31	VARG	NORTH SEA	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	4875	2013-05-08
2/1-A-17 A	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2004-03-03	2004-06-12	GYDA	NORTH SEA	ED50	56	54	17.31	N	3	5	6.60	E	56.904808	3.085167	6306934.040000	505187.150000	31	4876	2013-05-08
2/7-B-18 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2004-02-11	2004-04-28	ELDFISK	NORTH SEA	ED50	56	25	9.18	N	3	13	6.06	E	56.419217	3.218350	6252899.150000	513470.880000	31	4877	2013-05-08
34/8-A-19 H	Statoil ASA (old)	120	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-03-01	2004-04-11	VISUND	NORTH SEA	ED50	61	22	11.72	N	2	27	31.91	E	61.369922	2.458864	6804274.130000	471071.950000	31	4878	2013-05-08
34/8-A-19 AH	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	OIL	2004-04-13	2004-07-06	VISUND	NORTH SEA	ED50	61	22	11.72	N	2	27	31.91	E	61.369922	2.458864	6804274.130000	471071.950000	31	4879	2013-05-08
2/4-B-3 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2004-03-26	2004-05-05	EKOFISK	NORTH SEA	ED50	56	33	54.79	N	3	12	13.90	E	56.565219	3.203861	6269148.030000	512528.790000	31	4880	2013-05-08
2/8-A-8 C	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	2004-01-28	2004-03-09	VALHALL	NORTH SEA	ED50	56	16	41.54	N	3	23	43.82	E	56.278206	3.395506	6237252.390000	524490.460000	31	4881	2013-05-08
6506/11-N-3 H	Statoil ASA (old)	134 B	DEVELOPMENT	PRODUCTION	\N	2004-03-06	2004-06-19	KRISTIN	NORWEGIAN SEA	ED50	65	1	41.32	N	6	28	46.29	E	65.028144	6.479525	7214139.190000	381286.470000	32	4882	2013-05-08
6406/2-R-4 H	Statoil ASA (old)	199	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-02-02	2004-09-04	KRISTIN	NORWEGIAN SEA	ED50	64	57	36.85	N	6	26	19.14	E	64.960236	6.438650	7206652.870000	379055.450000	32	4883	2013-05-08
34/4-D-2 H	Statoil ASA (old)	057	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-08-27	2004-09-22	SNORRE	NORTH SEA	ED50	61	31	32.67	N	2	12	40.32	E	61.525742	2.211200	6821765.900000	458042.630000	31	4884	2013-05-08
34/4-D-2 AH	Statoil ASA (old)	057	DEVELOPMENT	PRODUCTION	OIL	2004-09-23	2005-02-25	SNORRE	NORTH SEA	ED50	61	31	32.67	N	2	12	40.32	E	61.525742	2.211200	6821765.900000	458042.630000	31	4885	2013-05-08
34/11-A-14	Statoil ASA (old)	193	DEVELOPMENT	PRODUCTION	GAS	2004-03-01	2005-03-09	KVITEBJØRN	NORTH SEA	ED50	61	4	49.21	N	2	29	58.91	E	61.080336	2.499697	6771999.470000	473007.900000	31	4886	2013-05-08
6507/7-A-39	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	OIL	2004-02-01	2004-02-23	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.74	N	7	19	4.30	E	65.325761	7.317861	7245988.000000	421646.590000	32	4887	2013-05-08
6507/7-A-39 AY1	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2004-02-24	2004-04-11	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.74	N	7	19	4.30	E	65.325761	7.317861	7245988.000000	421646.590000	32	4888	2013-05-08
6507/7-A-39 AY2	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2004-04-12	2004-05-07	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.74	N	7	19	4.30	E	65.325761	7.317861	7245988.000000	421646.590000	32	4889	2013-05-08
31/4-A-30 B	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2004-02-13	2004-04-23	BRAGE	NORTH SEA	ED50	60	32	33.17	N	3	2	50.86	E	60.542547	3.047461	6711994.980000	502603.940000	31	4890	2013-05-08
15/9-E-4 H	Statoil ASA (old)	046	DEVELOPMENT	PRODUCTION	GAS	2004-02-02	2004-04-11	SLEIPNER VEST	NORTH SEA	ED50	58	29	49.09	N	1	43	21.62	E	58.496969	1.722672	6484897.550000	425546.180000	31	4891	2013-05-08
31/2-Y-21 Y4H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-02-02	2004-03-18	TROLL	NORTH SEA	ED50	60	49	51.89	N	3	34	21.34	E	60.831081	3.572594	6744267.930000	531134.860000	31	4892	2013-05-08
2/8-N-14	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2004-03-01	2004-03-30	VALHALL	NORTH SEA	ED50	56	19	27.55	N	3	21	9.72	E	56.324319	3.352700	6242370.760000	521813.580000	31	4893	2013-05-08
33/9-A-12 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2004-02-28	2004-03-18	STATFJORD	NORTH SEA	ED50	61	15	10.83	N	1	51	15.16	E	61.253008	1.854211	6791669.630000	438521.670000	31	4894	2013-05-08
30/3-A-14 A	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2004-04-20	2004-05-14	VESLEFRIKK	NORTH SEA	ED50	60	46	57.82	N	2	53	52.70	E	60.782728	2.897972	6738750.570000	494443.810000	31	4895	2013-05-08
25/11-G-14	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	INJECTION	WATER	2004-03-02	2004-04-03	GRANE	NORTH SEA	ED50	59	9	54.94	N	2	29	14.32	E	59.165261	2.487311	6558718.350000	470684.830000	31	4896	2013-05-08
31/3-Q-21 AY1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2004-03-21	2004-04-15	TROLL	NORTH SEA	ED50	60	49	55.18	N	3	42	59.48	E	60.831994	3.716522	6744446.600000	538959.640000	31	4897	2013-05-08
31/3-Q-21 AY2H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2004-04-16	2004-05-13	TROLL	NORTH SEA	ED50	60	49	55.18	N	3	42	59.48	E	60.831994	3.716522	6744446.600000	538959.640000	31	4898	2013-05-08
34/7-C-5 H	Statoil ASA (old)	089	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-03-08	2004-04-14	VIGDIS	NORTH SEA	ED50	61	22	47.22	N	2	6	22.17	E	61.379783	2.106158	6805579.790000	452232.730000	31	4899	2013-05-08
34/7-C-5 AH	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	OIL	2004-04-15	2004-05-18	VIGDIS	NORTH SEA	ED50	61	22	47.22	N	2	6	22.17	E	61.379783	2.106158	6805579.790000	452232.730000	31	4900	2013-05-08
31/2-P-24 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2005-01-25	2005-04-30	TROLL	NORTH SEA	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	4901	2013-05-08
34/10-48 S	Statoil ASA (old)	050	EXPLORATION	WILDCAT	OIL	2004-03-17	2004-12-22	GIMLE	NORTH SEA	ED50	61	12	53.78	N	2	16	27.79	E	61.214939	2.274386	6787106.310000	461018.630000	31	4902	2013-05-08
6406/2-R-1 H	Statoil ASA (old)	199	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2004-04-20	2005-01-08	KRISTIN	NORWEGIAN SEA	ED50	64	57	36.69	N	6	26	19.15	E	64.960192	6.438653	7206647.920000	379055.380000	32	4903	2013-05-08
15/12-A-1	Pertra AS (OLD)	038	DEVELOPMENT	PRODUCTION	OIL	2004-03-26	2004-05-31	VARG	NORTH SEA	ED50	58	4	40.53	N	1	53	25.51	E	58.077925	1.890419	6438070.210000	434554.670000	31	4904	2013-05-08
6507/3-4	Statoil ASA (old)	159	EXPLORATION	APPRAISAL	GAS SHOWS	2004-03-14	2004-04-30	ALVE	NORWEGIAN SEA	ED50	65	59	16.60	N	7	50	45.60	E	65.987944	7.846000	7319233.710000	447598.860000	32	4905	2013-05-08
31/2-F-5 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-04-06	2004-04-21	TROLL	NORTH SEA	ED50	60	46	0.20	N	3	25	26.90	E	60.766722	3.424139	6737038.100000	523108.990000	31	4906	2013-05-08
31/2-F-5 BY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-04-26	2004-06-14	TROLL	NORTH SEA	ED50	60	46	0.20	N	3	25	26.90	E	60.766722	3.424139	6737038.100000	523108.990000	31	4907	2013-05-08
31/2-F-5 BY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-06-15	2004-07-29	TROLL	NORTH SEA	ED50	60	46	0.20	N	3	25	26.90	E	60.766722	3.424139	6737038.100000	523108.990000	31	4908	2013-05-08
31/2-O-14 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-05-18	2004-06-22	TROLL	NORTH SEA	ED50	60	53	22.39	N	3	33	58.69	E	60.889553	3.566303	6750777.840000	530736.530000	31	4909	2013-05-08
24/9-7	Marathon Petroleum Norge AS	150	EXPLORATION	APPRAISAL	OIL/GAS	2004-03-02	2004-03-25	VOLUND	NORTH SEA	ED50	59	28	42.60	N	1	57	44.49	E	59.478500	1.962358	6593946.860000	441212.920000	31	4910	2013-05-08
2/8-G-10	BP Norge AS	006 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-04-08	2005-03-16	VALHALL	NORTH SEA	ED50	56	16	35.46	N	3	23	46.82	E	56.276517	3.396339	6237064.700000	524543.140000	31	4911	2013-05-08
25/11-G-9	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2004-05-03	2004-05-24	GRANE	NORTH SEA	ED50	59	9	54.94	N	2	29	14.09	E	59.165261	2.487247	6558718.380000	470681.180000	31	4912	2013-05-08
31/4-A-31	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2004-05-03	2004-11-13	BRAGE	NORTH SEA	ED50	60	32	33.51	N	3	2	50.86	E	60.542642	3.047461	6712005.500000	502603.930000	31	4913	2013-05-08
34/7-J-1 AH	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	OIL	2004-04-16	2004-06-08	TORDIS	NORTH SEA	ED50	61	16	29.70	N	2	7	11.87	E	61.274917	2.119964	6793888.900000	452813.050000	31	4915	2013-05-08
2/4-X-13 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2004-04-17	2004-05-29	EKOFISK	NORTH SEA	ED50	56	32	51.16	N	3	13	8.06	E	56.547544	3.218906	6267183.450000	513459.660000	31	4916	2013-05-08
33/9-A-26 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2004-03-24	2004-05-01	STATFJORD	NORTH SEA	ED50	61	15	19.92	N	1	51	14.04	E	61.255533	1.853900	6791951.160000	438509.920000	31	4917	2013-05-08
2/4-B-19 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2004-06-03	2004-08-03	EKOFISK	NORTH SEA	ED50	56	33	54.98	N	3	12	13.80	E	56.565272	3.203833	6269153.900000	512527.070000	31	4918	2013-05-08
24/9-7 A	Marathon Petroleum Norge AS	150	EXPLORATION	APPRAISAL	OIL/GAS	2004-03-25	2004-03-29	VOLUND	NORTH SEA	ED50	59	28	42.60	N	1	57	44.49	E	59.478500	1.962358	6593946.860000	441212.920000	31	4919	2013-05-08
2/8-N-11	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2004-04-02	2004-05-07	VALHALL	NORTH SEA	ED50	56	19	27.65	N	3	21	9.72	E	56.324347	3.352700	6242373.860000	521813.570000	31	4920	2013-05-08
25/8-C-9	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	OIL	2004-04-05	2004-06-07	BALDER	NORTH SEA	ED50	59	15	57.81	N	2	26	59.27	E	59.266058	2.449797	6569959.860000	468632.450000	31	4921	2013-05-08
15/6-A-6 Y1H	Statoil ASA (old)	048 B	DEVELOPMENT	PRODUCTION	OIL	2004-04-10	2004-05-21	GLITNE	NORTH SEA	ED50	58	41	38.75	N	1	40	25.28	E	58.694097	1.673689	6506900.000000	423124.930000	31	4922	2013-05-08
15/6-A-6 Y2H	Statoil ASA (old)	048 B	DEVELOPMENT	PRODUCTION	OIL	2004-05-22	2004-06-27	GLITNE	NORTH SEA	ED50	58	41	38.75	N	1	40	25.28	E	58.694097	1.673689	6506900.000000	423124.930000	31	4923	2013-05-08
34/11-A-4	Statoil ASA (old)	193	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2004-05-03	2004-07-21	KVITEBJØRN	NORTH SEA	ED50	61	4	49.07	N	2	29	58.93	E	61.080297	2.499703	6771995.140000	473008.160000	31	4924	2013-05-08
26/4-2	A/S Norske Shell	266	EXPLORATION	WILDCAT	DRY	2004-04-13	2004-04-26	\N	NORTH SEA	ED50	59	44	22.02	N	3	6	3.67	E	59.739450	3.101019	6622553.510000	505679.160000	31	4925	2013-05-08
24/9-7 B	Marathon Petroleum Norge AS	150	EXPLORATION	APPRAISAL	GAS	2004-03-30	2004-04-02	\N	NORTH SEA	ED50	59	28	42.60	N	1	57	44.49	E	59.478500	1.962358	6593946.860000	441212.920000	31	4926	2013-05-08
6406/9-1	A/S Norske Shell	255	EXPLORATION	WILDCAT	GAS	2004-06-15	2005-06-02	\N	NORWEGIAN SEA	ED50	64	26	46.85	N	6	48	55.23	E	64.446347	6.815342	7148739.490000	394862.070000	32	4927	2013-05-08
16/1-7	Esso Exploration and Production Norway A/S	001 B	EXPLORATION	WILDCAT	OIL	2004-04-29	2004-05-28	\N	NORTH SEA	ED50	58	55	58.63	N	2	7	42.36	E	58.932953	2.128433	6533063.650000	449827.580000	31	4928	2013-05-08
2/7-B-20 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2005-02-04	2005-04-15	ELDFISK	NORTH SEA	ED50	56	25	9.13	N	3	13	5.74	E	56.419203	3.218261	6252897.580000	513465.410000	31	4929	2013-05-08
24/9-7 C	Marathon Petroleum Norge AS	150	EXPLORATION	APPRAISAL	OIL	2004-04-05	2004-04-11	VOLUND	NORTH SEA	ED50	59	28	42.60	N	1	57	44.49	E	59.478500	1.962358	6593946.860000	441212.920000	31	4930	2013-05-08
6608/10-B-4 CH	Statoil ASA (old)	128	DEVELOPMENT	OBSERVATION	OIL	2004-06-03	2004-06-19	NORNE	NORWEGIAN SEA	ED50	66	0	55.47	N	8	3	16.37	E	66.015408	8.054547	7322136.280000	457114.140000	32	4931	2013-05-08
6608/10-B-4 DH	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2004-06-20	2004-07-10	NORNE	NORWEGIAN SEA	ED50	66	0	55.47	N	8	3	16.37	E	66.015408	8.054547	7322136.280000	457114.140000	32	4932	2013-05-08
6506/12-Q-2 H	Statoil ASA (old)	094	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-05-03	2004-06-30	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.69	N	6	56	26.84	E	65.040469	6.940789	7214725.010000	403049.900000	32	4933	2013-05-08
6506/12-Q-2 AH	Statoil ASA (old)	094	DEVELOPMENT	PRODUCTION	OIL	2004-07-01	2004-07-28	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.69	N	6	56	26.84	E	65.040469	6.940789	7214725.010000	403049.900000	32	4934	2013-05-08
34/4-I-1 H	Statoil ASA (old)	057	DEVELOPMENT	INJECTION	CUTTINGS	2004-07-31	2004-08-08	SNORRE	NORTH SEA	ED50	61	31	32.27	N	2	12	39.04	E	61.525631	2.210844	6821753.750000	458023.570000	31	4935	2013-05-08
31/2-O-14 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-06-23	2004-07-13	TROLL	NORTH SEA	ED50	60	53	22.39	N	3	33	58.69	E	60.889553	3.566303	6750777.840000	530736.530000	31	4936	2013-05-08
31/2-O-14 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-07-16	2004-08-02	TROLL	NORTH SEA	ED50	60	53	22.39	N	3	33	58.69	E	60.889553	3.566303	6750777.840000	530736.530000	31	4937	2013-05-08
15/9-U-13	StatoilHydro ASA	046	SHALLOW	\N	\N	2003-08-18	2003-08-20	\N	NORTH SEA	ED50	58	29	49.26	N	1	43	21.79	E	58.497017	1.722719	6484902.750000	425549.030000	31	4938	2013-05-08
6608/11-4	Statoil ASA (old)	128	EXPLORATION	WILDCAT	OIL	2004-05-01	2004-05-23	\N	NORWEGIAN SEA	ED50	66	11	56.20	N	8	25	47.60	E	66.198944	8.429889	7342388.560000	474325.310000	32	4939	2013-05-08
2/8-N-7	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2004-05-20	2004-06-09	VALHALL	NORTH SEA	ED50	56	19	27.70	N	3	21	9.63	E	56.324361	3.352675	6242375.390000	521812.010000	31	4940	2013-05-08
34/10-B-42 E	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2003-10-10	2003-11-06	GULLFAKS	NORTH SEA	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	4941	2013-05-08
34/10-B-42 F	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2003-12-04	2004-01-27	GULLFAKS	NORTH SEA	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	4942	2013-05-08
25/8-C-14	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-06-12	2004-07-12	RINGHORNE ØST	NORTH SEA	ED50	59	15	57.75	N	2	26	59.83	E	59.266042	2.449953	6569957.940000	468641.300000	31	4943	2013-05-08
25/8-C-14 A	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	OBSERVATION	OIL	2006-01-04	2006-02-12	RINGHORNE ØST	NORTH SEA	ED50	59	15	57.75	N	2	26	59.83	E	59.266042	2.449953	6569957.940000	468641.300000	31	4944	2013-05-08
6507/7-A-49	Statoil ASA (old)	095	DEVELOPMENT	INJECTION	WATER	2004-05-27	2004-07-12	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.33	N	7	19	2.64	E	65.325647	7.317400	7245975.890000	421624.780000	32	4945	2013-05-08
31/2-O-14 Y4H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-08-03	2004-09-12	TROLL	NORTH SEA	ED50	60	53	22.39	N	3	33	58.69	E	60.889553	3.566303	6750777.840000	530736.530000	31	4946	2013-05-08
15/12-A-10	Pertra AS (OLD)	038	DEVELOPMENT	PRODUCTION	OIL	2004-06-01	2004-08-02	VARG	NORTH SEA	ED50	58	4	40.41	N	1	53	25.65	E	58.077892	1.890458	6438066.460000	434556.900000	31	4947	2013-05-08
34/10-G-2 Y2H	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2004-06-20	2004-07-25	GULLFAKS SØR	NORTH SEA	ED50	61	5	50.07	N	2	16	36.06	E	61.097242	2.276683	6773994.970000	460997.050000	31	4948	2013-05-08
33/9-C-38 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2004-06-14	2004-06-28	STATFJORD	NORTH SEA	ED50	61	17	46.72	N	1	54	10.15	E	61.296311	1.902819	6796448.060000	441210.630000	31	4949	2013-05-08
30/11-6 S	Norsk Hydro Produksjon AS	272	EXPLORATION	WILDCAT	SHOWS	2004-06-03	2004-07-02	\N	NORTH SEA	ED50	60	9	32.65	N	2	37	29.62	E	60.159069	2.624894	6669342.010000	479177.040000	31	4950	2013-05-08
34/10-B-27 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2004-05-30	2004-06-29	GULLFAKS	NORTH SEA	ED50	61	12	10.19	N	2	12	6.20	E	61.202831	2.201722	6785803.100000	457098.640000	31	4951	2013-05-08
2/8-N-5	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2004-06-10	2004-08-12	VALHALL	NORTH SEA	ED50	56	19	27.60	N	3	21	9.44	E	56.324333	3.352622	6242372.290000	521808.760000	31	4952	2013-05-08
34/7-E-5 H	Statoil ASA (old)	089	DEVELOPMENT	INJECTION	WATER	2004-07-02	2004-08-26	VIGDIS	NORTH SEA	ED50	61	21	57.78	N	2	7	15.44	E	61.366050	2.120956	6804039.310000	453002.870000	31	4953	2013-05-08
25/11-G-6	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2004-07-30	2004-08-18	GRANE	NORTH SEA	ED50	59	9	55.05	N	2	29	14.10	E	59.165292	2.487250	6558721.780000	470681.360000	31	4954	2013-05-08
6507/1-1	Chevron Texaco Norge AS	261 BS	EXPLORATION	WILDCAT	DRY	2004-09-25	2004-11-02	\N	NORWEGIAN SEA	ED50	65	56	19.02	N	7	15	39.03	E	65.938617	7.260842	7314349.780000	420879.950000	32	4955	2013-05-08
2/4-B-20 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2004-09-16	2004-11-04	EKOFISK	NORTH SEA	ED50	56	33	54.95	N	3	12	13.64	E	56.565264	3.203789	6269152.970000	512524.340000	31	4956	2013-05-08
30/9-F-12 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2004-07-03	2004-07-22	OSEBERG SØR	NORTH SEA	ED50	60	23	24.81	N	2	47	49.60	E	60.390225	2.797111	6695045.550000	488816.320000	31	4957	2013-05-08
33/12-B-27 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2004-07-25	2004-08-23	STATFJORD	NORTH SEA	ED50	61	12	24.04	N	1	49	51.12	E	61.206678	1.830867	6786531.480000	437176.890000	31	4958	2013-05-08
2/4-X-21 Y1	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2004-09-28	2004-11-09	EKOFISK	NORTH SEA	ED50	56	32	51.31	N	3	13	8.11	E	56.547586	3.218919	6267188.090000	513460.500000	31	4959	2013-05-08
2/4-X-21 Y2	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2004-11-10	2004-12-23	EKOFISK	NORTH SEA	ED50	56	32	51.31	N	3	13	8.11	E	56.547586	3.218919	6267188.090000	513460.500000	31	4960	2013-05-08
2/1-A-16 AY1	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2004-07-20	2004-08-13	GYDA	NORTH SEA	ED50	56	54	17.55	N	3	5	6.38	E	56.904875	3.085106	6306941.450000	505183.420000	31	4961	2013-05-08
30/3-A-23 A	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2004-08-30	2004-10-22	VESLEFRIKK	NORTH SEA	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	4962	2013-05-08
34/10-B-26 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2004-07-19	2004-08-31	GULLFAKS	NORTH SEA	ED50	61	12	10.16	N	2	12	6.42	E	61.202822	2.201783	6785802.130000	457101.910000	31	4963	2013-05-08
15/12-A-9	Pertra AS (OLD)	038	DEVELOPMENT	INJECTION	WATER	2004-08-03	2004-11-03	VARG	NORTH SEA	ED50	58	4	40.39	N	1	53	25.58	E	58.077886	1.890439	6438065.860000	434555.750000	31	4964	2013-05-08
34/11-A-5	Statoil ASA (old)	193	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2004-08-01	2004-10-14	KVITEBJØRN	NORTH SEA	ED50	61	4	49.12	N	2	29	58.87	E	61.080311	2.499686	6771996.690000	473007.280000	31	4965	2013-05-08
2/4-X-43	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2004-12-26	2005-02-15	EKOFISK	NORTH SEA	ED50	56	32	52.02	N	3	13	8.34	E	56.547783	3.218983	6267210.060000	513464.360000	31	4966	2013-05-08
25/8-C-3	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	OIL	2006-03-06	2006-04-10	RINGHORNE ØST	NORTH SEA	ED50	59	15	58.13	N	2	26	59.54	E	59.266147	2.449872	6569969.730000	468636.800000	31	4968	2013-05-08
25/8-C-3 A	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	RINGHORNE ØST	NORTH SEA	ED50	59	15	58.13	N	2	26	59.54	E	59.266147	2.449872	6569969.730000	468636.800000	31	4969	2013-05-08
6507/7-A-40 A	Statoil ASA (old)	095	DEVELOPMENT	INJECTION	WATER	2004-08-14	2004-09-26	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.77	N	7	19	4.53	E	65.325769	7.317925	7245988.850000	421649.590000	32	4970	2013-05-08
30/9-J-12 H	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2004-11-10	2005-10-14	OSEBERG SØR	NORTH SEA	ED50	60	21	16.26	N	2	54	0.05	E	60.354517	2.900014	6691055.360000	494482.510000	31	4971	2013-05-08
30/9-F-25	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2004-08-20	2005-02-07	OSEBERG SØR	NORTH SEA	ED50	60	23	24.46	N	2	47	49.31	E	60.390128	2.797031	6695034.730000	488811.840000	31	4972	2013-05-08
34/10-F-2 Y1H	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2004-07-26	2004-10-17	GULLFAKS SØR	NORTH SEA	ED50	61	5	51.68	N	2	16	35.61	E	61.097689	2.276558	6774044.860000	460990.870000	31	4973	2013-05-08
34/10-F-2 Y2H	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2004-10-18	2004-11-22	GULLFAKS SØR	NORTH SEA	ED50	61	5	51.68	N	2	16	35.61	E	61.097689	2.276558	6774044.860000	460990.870000	31	4974	2013-05-08
34/4-K-7 H	Statoil ASA (old)	057	DEVELOPMENT	INJECTION	WATER	2005-03-27	2005-05-25	SNORRE	NORTH SEA	ED50	61	31	31.75	N	2	12	44.12	E	61.525486	2.212256	6821736.750000	458098.430000	31	4975	2013-05-08
30/9-F-12 B	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2004-07-23	2004-08-18	OSEBERG SØR	NORTH SEA	ED50	60	23	24.81	N	2	47	49.60	E	60.390225	2.797111	6695045.550000	488816.320000	31	4976	2013-05-08
34/8-A-6 H	Statoil ASA (old)	120	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2005-03-05	2005-05-13	VISUND	NORTH SEA	ED50	61	22	13.18	N	2	27	33.30	E	61.370328	2.459250	6804319.130000	471092.970000	31	4977	2013-05-08
25/8-C-1	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-08-08	2004-09-30	BALDER	NORTH SEA	ED50	59	15	58.04	N	2	26	59.09	E	59.266122	2.449747	6569967.000000	468629.660000	31	4978	2013-05-08
25/8-C-1 A	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	OIL	2004-10-01	2004-10-31	BALDER	NORTH SEA	ED50	59	15	58.04	N	2	26	59.09	E	59.266122	2.449747	6569967.000000	468629.660000	31	4979	2013-05-08
2/4-B-12 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-02-24	2005-04-07	EKOFISK	NORTH SEA	ED50	56	33	54.86	N	3	12	13.70	E	56.565239	3.203806	6269150.190000	512525.370000	31	4980	2013-05-08
25/4-C-1 AH	Norsk Hydro Produksjon AS	036	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2005-05-23	2005-09-12	VALE	NORTH SEA	ED50	59	42	22.43	N	2	18	37.83	E	59.706231	2.310508	6619051.190000	461199.830000	31	4981	2013-05-08
6605/8-1	Norsk Hydro Produksjon AS	283	EXPLORATION	WILDCAT	GAS	2005-06-14	2005-10-22	\N	NORWEGIAN SEA	ED50	66	21	51.93	N	5	34	39.23	E	66.364425	5.577564	7363094.510000	615294.530000	31	4984	2013-05-08
34/7-A-3 AH	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	OIL	2004-09-22	2005-03-13	SNORRE	NORTH SEA	ED50	61	29	21.72	N	2	13	35.25	E	61.489367	2.226458	6817704.280000	458806.130000	31	4985	2013-05-08
6406/1-3	Eni Norge AS	256	EXPLORATION	APPRAISAL	DRY	2004-10-16	2004-12-22	\N	NORWEGIAN SEA	ED50	64	54	25.97	N	6	8	25.34	E	64.907214	6.140372	7201351.970000	364711.000000	32	4986	2013-05-08
31/2-K-24 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-09-12	2004-10-31	TROLL	NORTH SEA	ED50	60	45	20.92	N	3	38	22.99	E	60.755811	3.639719	6735917.960000	534866.420000	31	4987	2013-05-08
31/2-K-24 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-11-01	2004-11-25	TROLL	NORTH SEA	ED50	60	45	20.92	N	3	38	22.99	E	60.755811	3.639719	6735917.960000	534866.420000	31	4988	2013-05-08
31/2-K-24 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-11-26	2004-12-13	TROLL	NORTH SEA	ED50	60	45	20.92	N	3	38	22.99	E	60.755811	3.639719	6735917.960000	534866.420000	31	4989	2013-05-08
31/2-K-24 Y4H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2004-12-15	2005-01-28	TROLL	NORTH SEA	ED50	60	45	20.92	N	3	38	22.99	E	60.755811	3.639719	6735917.960000	534866.420000	31	4990	2013-05-08
25/11-G-11	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2004-09-14	2004-10-20	GRANE	NORTH SEA	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	4991	2013-05-08
31/6-U-23	Statoil ASA (old)	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	38	40.00	N	3	43	26.00	E	60.644444	3.723889	6723561.610000	539590.430000	31	4992	2013-05-08
6506/11-P-3 H	Statoil ASA (old)	134 B	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2004-07-16	2005-02-24	KRISTIN	NORWEGIAN SEA	ED50	65	0	52.80	N	6	26	17.29	E	65.014667	6.438136	7212716.410000	379277.010000	32	4993	2013-05-08
6506/11-P-2 H	Statoil ASA (old)	134 B	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2004-08-11	2004-11-21	KRISTIN	NORWEGIAN SEA	ED50	65	0	52.65	N	6	26	17.17	E	65.014625	6.438103	7212711.830000	379275.250000	32	4994	2013-05-08
34/10-C-5 B	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2004-08-28	2004-09-28	GULLFAKS	NORTH SEA	ED50	61	12	53.35	N	2	16	27.92	E	61.214819	2.274422	6787092.980000	461020.420000	31	4995	2013-05-08
31/6-U-24	Statoil ASA (old)	\N	SHALLOW	\N	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	37	55.20	N	3	44	36.20	E	60.632000	3.743389	6722187.470000	540672.550000	31	4996	2013-05-08
25/8-C-7	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	PRODUCTION	OIL	2004-12-11	2005-01-21	BALDER	NORTH SEA	ED50	59	15	57.95	N	2	26	59.51	E	59.266097	2.449864	6569964.160000	468636.280000	31	4997	2013-05-08
7121/4-F-2 H	Statoil ASA (old)	099	DEVELOPMENT	INJECTION	CO2	2004-12-19	2005-02-10	SNØHVIT	BARENTS SEA	ED50	71	36	39.41	N	21	3	24.36	E	71.610947	21.056767	7945754.160000	501998.860000	34	4998	2013-05-08
34/10-A-25 B	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	WATER	2004-12-22	2005-02-02	GULLFAKS	NORTH SEA	ED50	61	10	34.76	N	2	11	21.42	E	61.176322	2.189283	6782858.650000	456393.560000	31	4999	2013-05-08
25/8-15 S	Esso Exploration and Production Norway A/S	027	EXPLORATION	APPRAISAL	OIL	2004-07-13	2004-08-07	BALDER	NORTH SEA	ED50	59	15	58.13	N	2	26	59.53	E	59.266147	2.449869	6569969.730000	468636.650000	31	5000	2013-05-08
34/11-A-11	Statoil ASA (old)	193	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2004-10-17	2005-01-27	KVITEBJØRN	NORTH SEA	ED50	61	4	49.05	N	2	29	59.12	E	61.080292	2.499756	6771994.500000	473011.010000	31	5001	2013-05-08
6608/10-H-3 H	Statoil ASA (old)	128	DEVELOPMENT	INJECTION	WATER	2004-10-04	2005-06-14	URD	NORWEGIAN SEA	ED50	66	4	39.61	N	8	15	3.12	E	66.077669	8.250867	7328955.730000	466101.760000	32	5002	2013-05-08
31/4-A-11 C	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2005-01-02	2005-04-01	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	50.35	E	60.542594	3.047319	6712000.240000	502596.160000	31	5003	2013-05-08
25/11-G-5	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2004-11-07	2005-03-18	GRANE	NORTH SEA	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	5004	2013-05-08
6507/7-A-12	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-10-07	2004-10-31	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.94	N	7	19	3.14	E	65.325817	7.317539	7245994.600000	421631.750000	32	5005	2013-05-08
7227/11-1 S	Statoil ASA (old)	202	EXPLORATION	WILDCAT	DRY	2006-01-13	2006-02-22	\N	BARENTS SEA	ED50	72	14	22.18	N	27	22	14.89	E	72.239494	27.370803	8015904.210000	512625.200000	35	5006	2013-05-08
30/9-N-11 H	Norsk Hydro Produksjon AS	190	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-11-24	2005-01-16	TUNE	NORTH SEA	ED50	60	29	34.21	N	2	40	16.80	E	60.492836	2.671333	6706502.240000	481940.230000	31	5007	2013-05-08
30/9-N-11 AH	Norsk Hydro Produksjon AS	190	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2005-01-17	2005-02-13	TUNE	NORTH SEA	ED50	60	29	34.21	N	2	40	16.80	E	60.492836	2.671333	6706502.240000	481940.230000	31	5008	2013-05-08
30/9-B-4 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2004-12-23	2005-02-05	OSEBERG	NORTH SEA	ED50	60	29	36.44	N	2	49	42.81	E	60.493456	2.828558	6706538.420000	490579.680000	31	5009	2013-05-08
34/10-B-1 B	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2004-11-08	2005-01-08	GULLFAKS	NORTH SEA	ED50	61	12	10.98	N	2	12	5.04	E	61.203050	2.201400	6785827.750000	457081.620000	31	5011	2013-05-08
30/3-A-8 B	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2004-12-12	2005-03-12	VESLEFRIKK	NORTH SEA	ED50	60	46	58.03	N	2	53	52.27	E	60.782786	2.897853	6738757.080000	494437.320000	31	5012	2013-05-08
31/2-L-23 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2005-08-16	2005-09-21	TROLL	NORTH SEA	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	5013	2013-05-08
25/8-C-21	Esso Exploration and Production Norway A/S	027	DEVELOPMENT	INJECTION	CUTTINGS	2004-11-12	2004-12-11	BALDER	NORTH SEA	ED50	59	15	57.84	N	2	26	59.42	E	59.266067	2.449839	6569960.770000	468634.830000	31	5014	2013-05-08
6608/10-H-1 H	Statoil ASA (old)	128	DEVELOPMENT	INJECTION	WATER	2004-12-09	2005-07-05	URD	NORWEGIAN SEA	ED50	66	4	39.24	N	8	15	3.49	E	66.077567	8.250969	7328944.220000	466106.270000	32	5015	2013-05-08
6507/7-A-12 A	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2004-11-01	2005-01-14	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.94	N	7	19	3.14	E	65.325817	7.317539	7245994.600000	421631.750000	32	5016	2013-05-08
15/12-15	Pertra AS (OLD)	038	EXPLORATION	WILDCAT	DRY	2004-11-19	2004-12-21	\N	NORTH SEA	ED50	58	2	43.92	N	1	52	22.98	E	58.045533	1.873050	6434481.040000	433470.040000	31	5017	2013-05-08
33/9-C-38 C	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2005-01-03	2005-02-21	STATFJORD	NORTH SEA	ED50	61	17	46.72	N	1	54	10.15	E	61.296311	1.902819	6796448.060000	441210.630000	31	5018	2013-05-08
31/2-P-24 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2005-05-01	2005-06-04	TROLL	NORTH SEA	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	5019	2013-05-08
31/2-P-24 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2005-06-05	2005-06-27	TROLL	NORTH SEA	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	5020	2013-05-08
31/2-P-24 Y4H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2005-06-28	2005-08-10	TROLL	NORTH SEA	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	5021	2013-05-08
6608/10-G-4 H	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2004-11-14	2005-09-09	URD	NORWEGIAN SEA	ED50	66	4	41.90	N	8	14	56.37	E	66.078306	8.248992	7329027.650000	466017.770000	32	5022	2013-05-08
6407/7-A-13 AH	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	2005-02-09	2005-04-05	NJORD	NORWEGIAN SEA	ED50	64	16	16.22	N	7	12	7.16	E	64.271172	7.201989	7128639.860000	412913.140000	32	5023	2013-05-08
30/9-J-14 H	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2005-04-14	2005-06-06	OSEBERG SØR	NORTH SEA	ED50	60	21	16.14	N	2	54	0.70	E	60.354483	2.900194	6691051.640000	494492.470000	31	5024	2013-05-08
2/4-M-18	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2004-12-12	2005-01-15	EKOFISK	NORTH SEA	ED50	56	32	43.50	N	3	13	23.71	E	56.545417	3.223253	6266947.460000	513727.720000	31	5025	2013-05-08
34/10-A-32 C	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2005-05-18	2008-03-17	GULLFAKS SØR	NORTH SEA	ED50	61	10	34.80	N	2	11	21.57	E	61.176333	2.189325	6782859.860000	456395.820000	31	5026	2013-05-08
2/4-X-30	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-02-16	2005-05-06	EKOFISK	NORTH SEA	ED50	56	32	51.68	N	3	13	8.65	E	56.547689	3.219069	6267199.560000	513469.680000	31	5027	2013-05-08
30/6-G-44 H	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	\N	2005-09-19	2005-10-28	OSEBERG	NORTH SEA	ED50	60	32	15.61	N	2	41	8.01	E	60.537669	2.685558	6711491.970000	482745.720000	31	5028	2013-05-08
30/6-G-44 AH	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	\N	2005-10-29	2007-01-18	OSEBERG	NORTH SEA	ED50	60	32	15.61	N	2	41	8.01	E	60.537669	2.685558	6711491.970000	482745.720000	31	5029	2013-05-08
34/10-B-20 A	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	WATER	2007-02-17	2007-04-19	GULLFAKS	NORTH SEA	ED50	61	12	11.27	N	2	12	5.07	E	61.203131	2.201408	6785836.720000	457082.180000	31	5030	2013-05-08
6507/7-A-28 A	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2005-01-19	2005-02-07	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.73	N	7	19	3.27	E	65.325758	7.317575	7245988.050000	421633.260000	32	5031	2013-05-08
6608/10-G-1 H	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2004-11-28	2005-10-27	URD	NORWEGIAN SEA	ED50	66	4	41.79	N	8	14	56.13	E	66.078275	8.248925	7329024.280000	466014.710000	32	5032	2013-05-08
2/11-S-10	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2004-11-28	2005-09-22	VALHALL	NORTH SEA	ED50	56	13	39.61	N	3	26	14.80	E	56.227669	3.437444	6231643.160000	527123.080000	31	5033	2013-05-08
7121/4-D-1 H	Statoil ASA (old)	099	DEVELOPMENT	PRODUCTION	GAS	2005-03-03	2005-03-31	SNØHVIT	BARENTS SEA	ED50	71	35	30.79	N	21	16	33.85	E	71.591886	21.276069	7943649.340000	509730.590000	34	5034	2013-05-08
7121/4-D-2 H	Statoil ASA (old)	099	DEVELOPMENT	PRODUCTION	GAS	2005-02-16	2005-04-15	SNØHVIT	BARENTS SEA	ED50	71	35	31.07	N	21	16	33.53	E	71.591964	21.275981	7943658.000000	509727.420000	34	5035	2013-05-08
7121/4-D-4 H	Statoil ASA (old)	099	DEVELOPMENT	PRODUCTION	GAS	2005-02-27	2005-05-07	SNØHVIT	BARENTS SEA	ED50	71	35	30.87	N	21	16	35.35	E	71.591908	21.276486	7943651.890000	509745.260000	34	5036	2013-05-08
2/11-S-3	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2005-01-26	2005-05-03	VALHALL	NORTH SEA	ED50	56	13	39.76	N	3	26	14.71	E	56.227711	3.437419	6231647.790000	527121.510000	31	5037	2013-05-08
6406/2-S-1 H	Statoil ASA (old)	199	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2003-08-12	2005-09-30	KRISTIN	NORWEGIAN SEA	ED50	64	58	39.00	N	6	26	6.05	E	64.977500	6.435014	7208582.700000	378961.880000	32	5038	2013-05-08
7220/6-1	Norsk Hydro Produksjon AS	225	EXPLORATION	WILDCAT	OIL SHOWS	2005-01-20	2005-03-29	\N	BARENTS SEA	ED50	72	33	12.56	N	20	59	26.86	E	72.553489	20.990794	8060886.890000	700186.920000	33	5039	2013-05-08
33/12-B-40 D	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2005-01-20	2005-03-27	STATFJORD	NORTH SEA	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	5040	2013-05-08
30/9-F-30	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2005-02-04	2005-04-05	OSEBERG SØR	NORTH SEA	ED50	60	23	24.42	N	2	47	49.49	E	60.390117	2.797081	6695033.490000	488814.600000	31	5041	2013-05-08
30/9-F-30 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	WATER/GAS	2005-04-08	2005-05-18	OSEBERG SØR	NORTH SEA	ED50	60	23	24.42	N	2	47	49.49	E	60.390117	2.797081	6695033.490000	488814.600000	31	5042	2013-05-08
30/9-F-15 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	WATER	2004-06-15	2004-07-03	OSEBERG SØR	NORTH SEA	ED50	60	23	24.72	N	2	47	49.49	E	60.390200	2.797081	6695042.770000	488814.620000	31	5043	2013-05-08
30/9-F-26 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	WATER	2004-03-02	2004-04-20	OSEBERG SØR	NORTH SEA	ED50	60	23	24.48	N	2	47	49.45	E	60.390133	2.797069	6695035.350000	488813.990000	31	5044	2013-05-08
2/1-A-31 A	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2005-01-01	2005-05-25	GYDA	NORTH SEA	ED50	56	54	17.25	N	3	5	6.07	E	56.904792	3.085019	6306932.170000	505178.190000	31	5045	2013-05-08
34/10-48 A	Statoil ASA (old)	050	EXPLORATION	APPRAISAL	OIL	2004-12-23	2005-02-15	GIMLE	NORTH SEA	ED50	61	12	53.78	N	2	16	27.79	E	61.214939	2.274386	6787106.310000	461018.630000	31	5046	2013-05-08
25/11-G-40	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2005-01-25	2005-02-07	GRANE	NORTH SEA	ED50	59	9	54.72	N	2	29	15.23	E	59.165200	2.487564	6558711.430000	470699.230000	31	5047	2013-05-08
25/11-G-40 A	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2005-03-15	2005-09-04	GRANE	NORTH SEA	ED50	59	9	54.72	N	2	29	15.23	E	59.165200	2.487564	6558711.430000	470699.230000	31	5048	2013-05-08
6406/2-S-2 H	Statoil ASA (old)	199	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2003-08-14	2006-05-02	KRISTIN	NORWEGIAN SEA	ED50	64	58	38.99	N	6	26	5.34	E	64.977497	6.434817	7208582.770000	378952.560000	32	5049	2013-05-08
2/4-M-17	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-01-18	2005-02-25	EKOFISK	NORTH SEA	ED50	56	32	43.46	N	3	13	23.58	E	56.545406	3.223217	6266946.220000	513725.510000	31	5050	2013-05-08
31/4-12	Norsk Hydro Produksjon AS	055	EXPLORATION	WILDCAT	DRY	2005-02-06	2005-03-14	\N	NORTH SEA	ED50	60	35	45.40	N	3	9	51.96	E	60.595944	3.164433	6717952.800000	509006.700000	31	5051	2013-05-08
30/6-G-41 H	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL/GAS	2005-11-29	2006-02-05	OSEBERG	NORTH SEA	ED50	60	32	15.38	N	2	41	8.88	E	60.537606	2.685800	6711484.790000	482758.950000	31	5052	2013-05-08
34/7-D-4 H	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	\N	2005-06-06	2005-07-20	VIGDIS	NORTH SEA	ED50	61	20	44.39	N	2	4	22.33	E	61.345664	2.072869	6801804.120000	450399.860000	31	5053	2013-05-08
6406/2-R-4 AH	Statoil ASA (old)	199	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2005-01-22	2005-03-12	KRISTIN	NORWEGIAN SEA	ED50	64	57	36.85	N	6	26	19.14	E	64.960236	6.438650	7206652.870000	379055.450000	32	5055	2013-05-08
6406/1-3 R	Eni Norge AS	256	EXPLORATION	APPRAISAL	DRY	2005-01-25	2005-02-06	\N	NORWEGIAN SEA	ED50	64	54	25.97	N	6	8	25.34	E	64.907214	6.140372	7201351.970000	364711.000000	32	5056	2013-05-08
34/11-A-8	Statoil ASA (old)	193	DEVELOPMENT	INJECTION	WATER	2003-12-17	2004-01-02	KVITEBJØRN	NORTH SEA	ED50	61	4	49.29	N	2	29	58.66	E	61.080358	2.499628	6772001.970000	473004.170000	31	5057	2013-05-08
34/10-D-3 CH	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2005-04-22	2005-05-29	GULLFAKS SØR	NORTH SEA	ED50	61	7	26.54	N	2	14	39.12	E	61.124039	2.244200	6776999.600000	459280.010000	31	5058	2013-05-08
6507/8-D-3 BH	Statoil ASA (old)	124	DEVELOPMENT	PRODUCTION	OIL	2005-04-10	2005-06-09	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.95	N	7	20	9.70	E	65.361931	7.336028	7249995.830000	422599.040000	32	5059	2013-05-08
6406/1-3 R2	Eni Norge AS	256	EXPLORATION	APPRAISAL	DRY	2005-02-26	2005-03-14	\N	NORWEGIAN SEA	ED50	64	54	25.97	N	6	8	25.34	E	64.907214	6.140372	7201351.970000	364711.000000	32	5060	2013-05-08
33/9-C-33 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2005-05-11	2006-04-13	STATFJORD ØST	NORTH SEA	ED50	61	17	46.79	N	1	54	10.21	E	61.296331	1.902836	6796450.210000	441211.560000	31	5061	2013-05-08
2/4-M-23	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-02-28	2005-03-28	EKOFISK	NORTH SEA	ED50	56	32	43.44	N	3	13	23.79	E	56.545400	3.223275	6266945.610000	513729.090000	31	5062	2013-05-08
35/11-13	Norsk Hydro Produksjon AS	090	EXPLORATION	WILDCAT	OIL/GAS	2005-03-18	2005-05-28	\N	NORTH SEA	ED50	61	9	44.10	N	3	32	21.40	E	61.162250	3.539278	6781140.460000	529019.630000	31	5063	2013-05-08
6406/2-R-2 H	Statoil ASA (old)	199	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2005-08-26	2005-11-17	KRISTIN	NORWEGIAN SEA	ED50	64	57	36.68	N	6	26	18.44	E	64.960189	6.438456	7206647.990000	379046.060000	32	5064	2013-05-08
25/8-C-2	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	PRODUCTION	OIL	2005-02-10	2005-04-16	BALDER	NORTH SEA	ED50	59	15	58.10	N	2	26	59.39	E	59.266139	2.449831	6569968.820000	468634.420000	31	5065	2013-05-08
34/10-A-7 B	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2005-02-24	2005-04-06	GULLFAKS	NORTH SEA	ED50	61	10	34.77	N	2	11	21.80	E	61.176325	2.189389	6782858.890000	456399.240000	31	5068	2013-05-08
2/4-X-4 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	2005-06-23	2005-07-14	EKOFISK	NORTH SEA	ED50	56	32	50.89	N	3	13	8.40	E	56.547469	3.219000	6267175.120000	513465.490000	31	5069	2013-05-08
6608/10-E-3 BH	Statoil ASA (old)	128	DEVELOPMENT	OBSERVATION	OIL	2005-03-09	2005-04-03	NORNE	NORWEGIAN SEA	ED50	66	2	43.50	N	8	5	57.30	E	66.045417	8.099250	7325451.140000	459189.800000	32	5070	2013-05-08
2/8-G-11	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL/GAS	2005-03-21	2005-07-14	VALHALL	NORTH SEA	ED50	56	16	35.45	N	3	23	46.94	E	56.276514	3.396372	6237064.400000	524545.210000	31	5072	2013-05-08
15/12-A-16	Pertra AS (OLD)	038	DEVELOPMENT	INJECTION	WATER	2005-03-29	2005-05-14	VARG	NORTH SEA	ED50	58	4	40.42	N	1	53	25.90	E	58.077894	1.890528	6438066.710000	434561.000000	31	5073	2013-05-08
33/12-B-13 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2005-04-16	2005-05-15	STATFJORD	NORTH SEA	ED50	61	12	25.05	N	1	49	52.54	E	61.206958	1.831261	6786562.350000	437198.640000	31	5074	2013-05-08
30/9-B-10 BY1	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2005-02-27	2005-08-27	OSEBERG	NORTH SEA	ED50	60	29	36.36	N	2	49	42.85	E	60.493433	2.828569	6706535.940000	490580.290000	31	5075	2013-05-08
30/9-B-10 BY2	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2005-08-28	2005-11-24	OSEBERG	NORTH SEA	ED50	60	29	36.36	N	2	49	42.85	E	60.493433	2.828569	6706535.940000	490580.290000	31	5076	2013-05-08
6507/7-A-35 C	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	OIL	2005-03-13	2005-03-21	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	5077	2013-05-08
2/11-S-7	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2005-05-04	2005-06-12	VALHALL	NORTH SEA	ED50	56	13	39.71	N	3	26	14.81	E	56.227697	3.437447	6231646.250000	527123.240000	31	5078	2013-05-08
30/3-A-16 A	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2005-04-09	2005-05-22	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	51.84	\N	60.782756	2.897733	6738753.680000	505569.190000	31	5079	2013-05-08
31/5-I-14 BY1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2005-04-20	2005-05-14	TROLL	NORTH SEA	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	5080	2013-05-08
31/5-I-14 BY2H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2005-05-15	2005-05-21	TROLL	NORTH SEA	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	5081	2013-05-08
31/5-I-14 BY3H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2005-05-21	2005-05-30	TROLL	NORTH SEA	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	5082	2013-05-08
31/5-I-14 BY4H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2005-05-31	2005-06-09	TROLL	NORTH SEA	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	5083	2013-05-08
31/5-I-14 BY5H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2005-06-10	2005-07-09	TROLL	NORTH SEA	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	5084	2013-05-08
6302/6-1	Statoil ASA (old)	251	EXPLORATION	WILDCAT	GAS	2005-06-24	2005-10-04	\N	NORWEGIAN SEA	ED50	63	31	38.43	N	2	45	51.56	E	63.527342	2.764322	7044540.650000	488277.590000	31	5086	2013-05-08
34/10-C-9 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2005-05-01	2005-07-26	GULLFAKS	NORTH SEA	ED50	61	12	53.45	N	2	16	27.61	E	61.214847	2.274336	6787096.130000	461015.830000	31	5087	2013-05-08
6406/2-S-4 H	Statoil ASA (old)	199	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2005-04-06	2005-06-28	KRISTIN	NORWEGIAN SEA	ED50	64	58	39.16	N	6	26	6.05	E	64.977544	6.435014	7208587.650000	378962.080000	32	5088	2013-05-08
2/4-M-22	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-03-29	2005-05-16	EKOFISK	NORTH SEA	ED50	56	32	43.39	N	3	13	23.64	E	56.545386	3.223233	6266944.060000	513726.540000	31	5089	2013-05-08
25/11-G-34	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2004-08-19	2005-07-20	GRANE	NORTH SEA	ED50	59	9	54.65	N	2	29	14.87	E	59.165181	2.487464	6558709.310000	470693.500000	31	5090	2013-05-08
15/9-A-23 A	Statoil ASA (old)	046	DEVELOPMENT	PRODUCTION	GAS	2005-04-14	2005-05-31	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.05	N	1	54	32.06	E	58.367236	1.908906	6470262.220000	436166.450000	31	5091	2013-05-08
34/11-A-15	Statoil ASA (old)	193	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2005-04-16	2005-07-31	KVITEBJØRN	NORTH SEA	ED50	61	4	49.27	N	2	29	58.85	E	61.080353	2.499681	6772001.330000	473007.010000	31	5092	2013-05-08
7131/4-1	Statoil ASA (old)	233	EXPLORATION	WILDCAT	DRY	2005-04-02	2005-05-13	\N	BARENTS SEA	ED50	71	41	40.98	N	31	0	40.96	E	71.694717	31.011378	7956245.690000	430296.120000	36	5093	2013-05-08
2/7-B-4 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-05-13	2005-06-29	ELDFISK	NORTH SEA	ED50	56	25	8.86	N	3	13	5.95	E	56.419128	3.218319	6252889.250000	513469.030000	31	5094	2013-05-08
6407/9-F-1 H	A/S Norske Shell	093	DEVELOPMENT	OBSERVATION	\N	2003-06-11	2003-06-23	DRAUGEN	NORWEGIAN SEA	ED50	64	22	32.00	N	7	46	9.20	E	64.375556	7.769222	7139616.700000	440609.120000	32	5095	2013-05-08
6507/7-A-35 D	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	OIL	2005-03-22	2005-04-03	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	5096	2013-05-08
2/4-B-21 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-06-05	2005-07-09	EKOFISK	NORTH SEA	ED50	56	33	54.91	N	3	12	13.47	E	56.565253	3.203742	6269151.720000	512521.440000	31	5097	2013-05-08
6608/10-E-3 CH	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2005-04-04	2005-05-07	NORNE	NORWEGIAN SEA	ED50	66	2	43.50	N	8	5	57.30	E	66.045417	8.099250	7325451.140000	459189.800000	32	5098	2013-05-08
34/8-A-3 AH	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	GAS	2006-02-24	2006-07-22	VISUND	NORTH SEA	ED50	61	22	12.92	N	2	27	34.64	E	61.370256	2.459622	6804310.920000	471112.800000	31	5100	2013-05-08
25/8-C-12	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	PRODUCTION	OIL	2005-04-23	2005-09-09	BALDER	NORTH SEA	ED50	59	15	57.66	N	2	26	59.39	E	59.266017	2.449831	6569955.210000	468634.310000	31	5101	2013-05-08
31/2-N-11 H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	OIL/GAS	2005-07-11	2005-08-24	TROLL	NORTH SEA	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	5102	2013-05-08
31/2-N-11 BY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-02-03	2006-03-15	TROLL	NORTH SEA	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	5103	2013-05-08
31/2-N-11 BY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-03-16	2006-04-06	TROLL	NORTH SEA	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	5104	2013-05-08
31/2-N-11 BY3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-04-07	2006-04-27	TROLL	NORTH SEA	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	5105	2013-05-08
31/2-N-11 BY4H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-04-28	2006-06-17	TROLL	NORTH SEA	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	5106	2013-05-08
31/2-N-11 BY5H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	5107	2013-05-08
31/2-N-11 BY6H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	5108	2013-05-08
2/4-B-12 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-04-08	2005-05-18	EKOFISK	NORTH SEA	ED50	56	33	54.86	N	3	12	13.70	E	56.565239	3.203806	6269150.190000	512525.370000	31	5109	2013-05-08
6507/7-A-35 E	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2005-04-04	2005-04-20	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	5110	2013-05-08
6407/7-A-9 AH	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	2005-05-14	2005-06-06	NJORD	NORWEGIAN SEA	ED50	64	16	15.43	N	7	12	9.45	E	64.270953	7.202625	7128614.540000	412943.250000	32	5111	2013-05-08
2/7-D-7	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-07-01	2005-11-26	EMBLA	NORTH SEA	ED50	56	19	59.76	N	3	14	53.84	E	56.333267	3.248289	6243338.470000	515352.450000	31	5112	2013-05-08
6507/7-A-27	Statoil ASA (old)	095	DEVELOPMENT	INJECTION	WATER	2005-05-18	2005-07-20	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.70	N	7	19	3.05	E	65.325750	7.317514	7245987.200000	421630.390000	32	5113	2013-05-08
2/4-M-24	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-05-16	2005-06-16	EKOFISK	NORTH SEA	ED50	56	32	43.48	N	3	13	23.91	E	56.545411	3.223308	6266946.860000	513731.140000	31	5114	2013-05-08
7121/4-E-2 H	Statoil ASA (old)	099	DEVELOPMENT	PRODUCTION	GAS	2005-07-08	2005-08-21	SNØHVIT	BARENTS SEA	ED50	71	35	41.31	N	21	11	2.21	E	71.594808	21.183947	7943962.920000	506482.580000	34	5115	2013-05-08
7121/4-E-3 H	Statoil ASA (old)	099	DEVELOPMENT	PRODUCTION	GAS	2005-06-23	2005-08-09	SNØHVIT	BARENTS SEA	ED50	71	35	41.41	N	21	11	2.71	E	71.594836	21.184086	7943966.040000	506487.470000	34	5116	2013-05-08
7121/4-E-4 H	Statoil ASA (old)	099	DEVELOPMENT	PRODUCTION	GAS	2005-06-01	2005-08-13	SNØHVIT	BARENTS SEA	ED50	71	35	41.14	N	21	11	3.23	E	71.594761	21.184231	7943957.690000	506492.590000	34	5117	2013-05-08
7/12-A-5 B	BP Norge AS	019	DEVELOPMENT	PRODUCTION	OIL	2005-05-17	2005-08-10	ULA	NORTH SEA	ED50	57	6	41.14	N	2	50	50.96	E	57.111428	2.847489	6329942.010000	490762.530000	31	5118	2013-05-08
15/12-A-3	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2005-05-14	2005-06-22	VARG	NORTH SEA	ED50	58	4	40.59	N	1	53	25.72	E	58.077942	1.890478	6438072.010000	434558.140000	31	5119	2013-05-08
30/6-C-10 D	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2005-08-10	2005-11-06	OSEBERG	NORTH SEA	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	5120	2013-05-08
30/9-F-29 Y1	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2005-07-10	2005-10-13	OSEBERG SØR	NORTH SEA	ED50	60	23	24.40	N	2	47	49.34	E	60.390111	2.797039	6695032.880000	488812.300000	31	5121	2013-05-08
30/9-F-29 Y2	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2005-10-15	2005-12-12	OSEBERG SØR	NORTH SEA	ED50	60	23	24.40	N	2	47	49.34	E	60.390111	2.797039	6695032.880000	488812.300000	31	5122	2013-05-08
34/8-A-6 AH	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	OIL	2005-05-14	2005-07-08	VISUND	NORTH SEA	ED50	61	22	13.18	N	2	27	33.30	E	61.370328	2.459250	6804319.130000	471092.970000	31	5123	2013-05-08
6506/11-P-1 H	Statoil ASA (old)	134 B	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2005-05-31	2005-08-20	KRISTIN	NORWEGIAN SEA	ED50	65	0	52.55	N	6	26	17.85	E	65.014597	6.438292	7212708.370000	379284.020000	32	5124	2013-05-08
2/4-K-15 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2008-01-11	2009-08-20	EKOFISK	NORTH SEA	ED50	56	33	56.02	N	3	12	22.75	E	56.565561	3.206319	6269186.520000	512679.760000	31	5125	2013-05-08
2/4-K-27 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2008-04-30	2008-07-03	EKOFISK	NORTH SEA	ED50	56	33	56.03	N	3	12	22.36	E	56.565564	3.206211	6269186.810000	512673.100000	31	5126	2013-05-08
33/9-A-40 C	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	\N	2005-06-24	2005-11-03	STATFJORD	NORTH SEA	ED50	61	15	19.72	N	1	51	13.87	E	61.255478	1.853853	6791945.020000	438507.270000	31	5127	2013-05-08
2/8-G-18	BP Norge AS	006 B	DEVELOPMENT	INJECTION	WATER	2005-07-25	2005-12-31	VALHALL	NORTH SEA	ED50	56	16	35.60	N	3	23	46.85	E	56.276556	3.396347	6237069.030000	524543.630000	31	5128	2013-05-08
2/4-K-26 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2006-03-16	2006-09-05	EKOFISK	NORTH SEA	ED50	56	33	56.07	N	3	12	22.53	E	56.565575	3.206258	6269188.050000	512676.000000	31	5129	2013-05-08
31/3-S-21 H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2005-06-05	2005-07-20	TROLL	NORTH SEA	ED50	60	53	34.64	N	3	40	18.45	E	60.892956	3.671792	6751210.900000	536458.010000	31	5130	2013-05-08
15/9-A-19 A	Statoil ASA (old)	046	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2005-06-14	2005-10-13	GUNGNE	NORTH SEA	ED50	58	22	2.09	N	1	54	31.93	E	58.367247	1.908869	6470263.490000	436164.360000	31	5131	2013-05-08
31/3-S-21 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2005-09-03	2005-11-04	TROLL	NORTH SEA	ED50	60	53	34.64	N	3	40	18.45	E	60.892956	3.671792	6751210.900000	536458.010000	31	5132	2013-05-08
9/4-5	ExxonMobil Exploration & Production Norway AS	315	EXPLORATION	WILDCAT	DRY	2006-01-08	2006-08-01	\N	NORTH SEA	ED50	57	40	38.81	N	4	16	8.37	E	57.677447	4.268992	6393653.210000	575683.490000	31	5134	2013-05-08
35/2-1	Norsk Hydro Produksjon AS	318	EXPLORATION	WILDCAT	GAS	2005-07-21	2005-08-28	\N	NORTH SEA	ED50	61	53	26.68	N	3	20	34.36	E	61.890744	3.342878	6862221.310000	518024.130000	31	5135	2013-05-08
6608/10-D-3 BY2H	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2005-08-12	2005-09-25	NORNE	NORWEGIAN SEA	ED50	66	0	49.47	N	8	3	27.73	E	66.013742	8.057703	7321948.370000	457254.480000	32	5136	2013-05-08
6608/10-D-3 BY1H	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2005-07-06	2005-10-07	NORNE	NORWEGIAN SEA	ED50	66	0	49.47	N	8	3	27.73	E	66.013742	8.057703	7321948.370000	457254.480000	32	5137	2013-05-08
30/9-J-13 H	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2005-06-09	2005-07-15	OSEBERG SØR	NORTH SEA	ED50	60	21	16.36	N	2	54	0.25	E	60.354544	2.900069	6691058.450000	494485.580000	31	5138	2013-05-08
30/9-J-13 AH	StatoilHydro Petroleum AS	104	DEVELOPMENT	PRODUCTION	\N	2009-04-20	2009-05-20	OSEBERG SØR	NORTH SEA	ED50	60	21	16.36	N	2	54	0.25	E	60.354544	2.900069	6691058.450000	494485.580000	31	5139	2013-05-08
34/10-49 S	Statoil ASA (old)	050	EXPLORATION	WILDCAT	OIL	2006-03-20	2006-05-01	GULLFAKS SØR	NORTH SEA	ED50	61	7	45.10	N	2	5	26.20	E	61.129194	2.090611	6777679.150000	451013.470000	31	5140	2013-05-08
15/12-A-7	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2005-06-23	2005-07-28	VARG	NORTH SEA	ED50	58	4	40.53	N	1	53	25.77	E	58.077925	1.890492	6438070.140000	434558.930000	31	5141	2013-05-08
24/9-U-1	Det Norske Oljeselskap AS	305	SHALLOW	\N	\N	2005-08-15	2005-08-15	\N	NORTH SEA	ED50	59	19	28.97	N	1	59	20.58	E	59.324714	1.989050	6576798.890000	442464.940000	31	5142	2013-05-08
24/9-U-2	Det Norske Oljeselskap AS	305	SHALLOW	\N	\N	2005-08-16	2005-08-16	\N	NORTH SEA	ED50	59	22	0.02	N	1	57	13.22	E	59.366672	1.953672	6581502.140000	440525.040000	31	5143	2013-05-08
2/1-A-7 A	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2005-08-05	2005-10-19	GYDA	NORTH SEA	ED50	56	54	17.61	N	3	5	6.71	E	56.904892	3.085197	6306943.320000	505189.000000	31	5144	2013-05-08
2/4-B-13 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2005-07-31	2005-08-25	EKOFISK	NORTH SEA	ED50	56	33	54.79	N	3	12	13.50	E	56.565219	3.203750	6269148.010000	512521.970000	31	5145	2013-05-08
2/4-B-13 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-08-26	2005-09-18	EKOFISK	NORTH SEA	ED50	56	33	54.79	N	3	12	13.50	E	56.565219	3.203750	6269148.010000	512521.970000	31	5146	2013-05-08
2/4-X-28	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-07-22	2005-08-23	EKOFISK	NORTH SEA	ED50	56	32	51.51	N	3	13	8.23	E	56.547642	3.218953	6267194.280000	513462.530000	31	5147	2013-05-08
2/11-S-5	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2005-06-21	2005-08-15	VALHALL	NORTH SEA	ED50	56	13	39.61	N	3	26	14.62	E	56.227669	3.437394	6231643.140000	527119.980000	31	5148	2013-05-08
34/10-G-3 Y2H	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	\N	2005-07-24	2005-08-18	GULLFAKS SØR	NORTH SEA	ED50	61	5	50.20	N	2	16	36.25	E	61.097278	2.276736	6773998.960000	460999.950000	31	5149	2013-05-08
34/10-G-3 Y3H	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2005-08-19	2006-02-06	GULLFAKS SØR	NORTH SEA	ED50	61	5	50.20	N	2	16	36.25	E	61.097278	2.276736	6773998.960000	460999.950000	31	5150	2013-05-08
6302/6-U-1	Statoil ASA (old)	\N	SHALLOW	\N	\N	2005-06-01	2005-06-10	\N	NORWEGIAN SEA	ED50	63	31	40.27	N	2	45	53.55	E	63.527853	2.764875	7044598.440000	488304.610000	31	5151	2013-05-08
24/9-U-3	Det Norske Oljeselskap AS	305	SHALLOW	\N	\N	2005-08-15	2005-08-15	\N	NORTH SEA	ED50	59	20	57.90	N	1	59	19.52	E	59.349417	1.988756	6579549.870000	442489.950000	31	5152	2013-05-08
24/9-U-4	Det Norske Oljeselskap AS	305	SHALLOW	\N	\N	2005-08-15	2005-08-15	\N	NORTH SEA	ED50	59	19	30.00	N	1	59	23.91	E	59.325000	1.989975	6576829.950000	442518.060000	31	5153	2013-05-08
24/9-U-5	Det Norske Oljeselskap AS	305	SHALLOW	\N	\N	2005-08-16	2005-08-16	\N	NORTH SEA	ED50	59	21	58.98	N	1	57	16.54	E	59.366383	1.954594	6581469.150000	440576.950000	31	5154	2013-05-08
24/9-U-6	Det Norske Oljeselskap AS	305	SHALLOW	\N	\N	2005-08-17	2005-08-17	\N	NORTH SEA	ED50	59	22	1.04	N	1	57	16.61	E	59.366956	1.954614	6581532.850000	440579.050000	31	5155	2013-05-08
7/12-A-2 B	BP Norge AS	019	DEVELOPMENT	PRODUCTION	OIL	2005-10-03	2005-12-14	ULA	NORTH SEA	ED50	57	6	41.40	N	2	50	50.73	E	57.111500	2.847425	6329950.060000	490758.680000	31	5156	2013-05-08
31/3-S-21 BY1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2005-11-07	2005-11-25	TROLL	NORTH SEA	ED50	60	53	34.64	N	3	40	18.45	E	60.892956	3.671792	6751210.900000	536458.010000	31	5157	2013-05-08
31/3-S-21 BY2H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2005-11-26	2005-12-28	TROLL	NORTH SEA	ED50	60	53	34.64	N	3	40	18.45	E	60.892956	3.671792	6751210.900000	536458.010000	31	5158	2013-05-08
31/3-S-21 BY3H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2006-01-01	2006-02-05	TROLL	NORTH SEA	ED50	60	53	34.64	N	3	40	18.45	E	60.892956	3.671792	6751210.900000	536458.010000	31	5159	2013-05-08
34/7-P-29 A	Statoil ASA (old)	089	DEVELOPMENT	INJECTION	WATER/GAS	2008-02-07	2008-05-18	SNORRE	NORTH SEA	ED50	61	26	57.99	N	2	8	37.07	E	61.449442	2.143631	6813312.150000	454337.030000	31	5161	2013-05-08
7122/7-U-1	Eni Norge AS	229	SHALLOW	\N	\N	2005-08-20	2005-08-21	\N	BARENTS SEA	ED50	71	19	52.10	N	22	18	18.20	E	71.331139	22.305056	7915046.220000	546624.170000	34	5162	2013-05-08
7122/7-U-2	Eni Norge AS	229	SHALLOW	\N	\N	2005-08-22	2005-08-23	\N	BARENTS SEA	ED50	71	17	7.70	N	22	14	13.80	E	71.285472	22.237167	7909902.580000	544303.270000	34	5163	2013-05-08
7122/7-U-3	Eni Norge AS	229	SHALLOW	\N	\N	2005-08-24	2008-08-25	\N	BARENTS SEA	ED50	71	15	17.60	N	22	16	4.40	E	71.254889	22.267889	7906514.800000	545474.780000	34	5164	2013-05-08
31/2-L-23 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2005-09-22	2005-10-04	TROLL	NORTH SEA	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	5165	2013-05-08
31/2-L-23 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2005-10-05	2005-10-15	TROLL	NORTH SEA	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	5166	2013-05-08
31/2-L-23 Y4H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2005-10-16	2005-10-22	TROLL	NORTH SEA	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	5167	2013-05-08
31/2-L-23 Y5H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2005-10-23	2005-11-03	TROLL	NORTH SEA	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	5168	2013-05-08
31/2-L-23 Y6H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2005-11-04	2005-12-06	TROLL	NORTH SEA	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	5169	2013-05-08
34/4-K-1 H	Statoil ASA (old)	057	DEVELOPMENT	INJECTION	WATER/GAS	2005-09-14	2006-03-16	SNORRE	NORTH SEA	ED50	61	31	31.47	N	2	12	43.81	E	61.525408	2.212169	6821728.150000	458093.750000	31	5170	2013-05-08
34/11-A-10	Statoil ASA (old)	193	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2005-07-31	2005-10-06	KVITEBJØRN	NORTH SEA	ED50	61	4	49.00	N	2	29	59.19	E	61.080278	2.499775	6771992.940000	473012.040000	31	5171	2013-05-08
6608/10-E-2 AH	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2005-07-28	2005-08-15	NORNE	NORWEGIAN SEA	ED50	66	2	43.19	N	8	5	58.10	E	66.045331	8.099472	7325441.400000	459199.730000	32	5172	2013-05-08
9/3-2	Paladin Resources Norge AS	316	EXPLORATION	WILDCAT	DRY	2005-10-23	2005-12-09	\N	NORTH SEA	ED50	57	49	25.79	N	4	42	39.64	E	57.823831	4.711011	6410526.830000	601631.240000	31	5173	2013-05-08
15/9-22	ExxonMobil Exploration & Production Norway AS	241	EXPLORATION	WILDCAT	DRY	2006-01-01	2006-03-13	\N	NORTH SEA	ED50	58	20	42.41	N	1	40	55.12	E	58.345114	1.681978	6468037.000000	422842.960000	31	5174	2013-05-08
15/3-8	Statoil ASA (old)	025	EXPLORATION	APPRAISAL	OIL/GAS	2005-11-03	2006-04-11	GUDRUN	NORTH SEA	ED50	58	51	27.80	N	1	43	17.00	E	58.857722	1.721389	6525064.070000	426237.200000	31	5175	2013-05-08
31/5-H-2 AH	Norsk Hydro Produksjon AS	085	DEVELOPMENT	OBSERVATION	\N	2005-10-07	2005-10-16	TROLL	NORTH SEA	ED50	60	43	49.05	N	3	30	47.63	E	60.730292	3.513231	6733015.010000	527994.760000	31	5176	2013-05-08
31/5-H-2 BY1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2005-10-17	2005-10-28	TROLL	NORTH SEA	ED50	60	43	49.05	N	3	30	47.63	E	60.730292	3.513231	6733015.010000	527994.760000	31	5177	2013-05-08
31/5-H-2 BY2H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2005-10-29	2005-11-04	TROLL	NORTH SEA	ED50	60	43	49.05	N	3	30	47.63	E	60.730292	3.513231	6733015.010000	527994.760000	31	5178	2013-05-08
31/5-H-2 BY3H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2005-11-05	2005-11-27	TROLL	NORTH SEA	ED50	60	43	49.05	N	3	30	47.63	E	60.730292	3.513231	6733015.010000	527994.760000	31	5179	2013-05-08
2/4-B-4 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2005-09-29	2005-11-11	EKOFISK	NORTH SEA	ED50	56	33	54.76	N	3	12	13.77	E	56.565211	3.203825	6269147.100000	512526.580000	31	5180	2013-05-08
6506/12-Q-3 H	Statoil ASA (old)	094	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2005-08-26	2005-10-16	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.78	N	6	56	27.04	E	65.040494	6.940844	7214727.710000	403052.610000	32	5181	2013-05-08
6506/12-Q-3 AH	Statoil ASA (old)	094	DEVELOPMENT	PRODUCTION	OIL	2005-10-17	2005-12-24	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.78	N	6	56	27.04	E	65.040494	6.940844	7214727.710000	403052.610000	32	5182	2013-05-08
6406/1-4	Eni Norge AS	256	EXPLORATION	APPRAISAL	SHOWS	2005-08-16	2005-12-26	\N	NORWEGIAN SEA	ED50	64	54	34.09	N	6	8	30.84	E	64.909469	6.141900	7201599.890000	364794.600000	32	5183	2013-05-08
25/8-C-18 B	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	INJECTION	WATER	2005-09-22	2005-10-18	BALDER	NORTH SEA	ED50	59	15	57.96	N	2	26	59.15	E	59.266100	2.449764	6569964.520000	468630.590000	31	5184	2013-05-08
25/11-G-8	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2005-09-10	2005-11-27	GRANE	NORTH SEA	ED50	59	9	55.18	N	2	29	14.35	E	59.165328	2.487319	6558725.770000	470685.360000	31	5185	2013-05-08
2/11-S-2	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2005-09-29	2005-11-03	VALHALL	NORTH SEA	ED50	56	13	39.71	N	3	26	14.62	E	56.227697	3.437394	6231646.230000	527119.960000	31	5186	2013-05-08
30/6-C-8 A	Norsk Hydro Produksjon AS	053	DEVELOPMENT	OBSERVATION	\N	2006-02-01	2006-03-26	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.76	E	60.608175	2.776044	6719324.700000	487737.660000	31	5187	2013-05-08
30/6-C-8 B	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	\N	2006-03-27	2006-04-11	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.76	E	60.608175	2.776044	6719324.700000	487737.660000	31	5188	2013-05-08
30/6-C-8 C	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2006-04-12	2006-10-13	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.76	E	60.608175	2.776044	6719324.700000	487737.660000	31	5189	2013-05-08
2/8-G-24	BP Norge AS	006 B	DEVELOPMENT	INJECTION	WATER	2006-01-13	2006-03-10	VALHALL	NORTH SEA	ED50	56	16	35.67	N	3	23	47.12	E	56.276575	3.396422	6237071.220000	524548.260000	31	5190	2013-05-08
6407/7-A-15 BH	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	OIL	2005-10-15	2005-12-14	NJORD	NORWEGIAN SEA	ED50	64	16	16.54	N	7	12	5.61	E	64.271261	7.201558	7128650.350000	412892.570000	32	5191	2013-05-08
1/2-2	Paladin Resources Norge AS	143 CS	EXPLORATION	WILDCAT	OIL SHOWS	2005-12-14	2006-02-02	\N	NORTH SEA	ED50	56	59	32.00	N	2	29	47.66	E	56.992222	2.496572	6316774.330000	469410.100000	31	5192	2013-05-08
33/12-B-22 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2005-11-11	2006-01-27	STATFJORD	NORTH SEA	ED50	61	12	24.14	N	1	49	51.06	E	61.206706	1.830850	6786534.590000	437176.050000	31	5193	2013-05-08
33/9-C-29 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2005-09-21	2005-11-19	STATFJORD	NORTH SEA	ED50	61	17	46.83	N	1	54	10.41	E	61.296342	1.902892	6796451.400000	441214.550000	31	5194	2013-05-08
6507/7-A-29 AY2	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2005-11-01	2005-12-01	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.77	N	7	19	3.64	E	65.325769	7.317678	7245989.160000	421638.080000	32	5195	2013-05-08
6305/8-A-2 H	A/S Norske Shell	250	DEVELOPMENT	OBSERVATION	GAS	2006-02-04	2006-03-11	ORMEN LANGE	NORWEGIAN SEA	ED50	63	29	48.14	N	5	23	11.78	E	63.496706	5.386606	7043320.240000	618814.490000	31	5196	2013-05-08
6305/8-A-2 AH	A/S Norske Shell	250	DEVELOPMENT	PRODUCTION	GAS	2006-03-12	2006-03-25	ORMEN LANGE	NORWEGIAN SEA	ED50	63	29	48.14	N	5	23	11.78	E	63.496706	5.386606	7043320.240000	618814.490000	31	5197	2013-05-08
2/7-A-30 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	1983-05-20	1992-07-22	ELDFISK	NORTH SEA	ED50	56	22	36.32	N	3	15	56.39	E	56.376756	3.265664	6248183.130000	516408.110000	31	5198	2013-05-08
15/12-A-5 A	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2005-09-25	2005-10-10	VARG	NORTH SEA	ED50	58	4	40.48	N	1	53	25.60	E	58.077911	1.890444	6438068.640000	434556.120000	31	5199	2013-05-08
2/4-X-4 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-07-03	2006-09-03	EKOFISK	NORTH SEA	ED50	56	32	50.89	N	3	13	8.40	E	56.547469	3.219000	6267175.120000	513465.490000	31	5200	2013-05-08
30/9-J-16 H	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	WATER	2005-10-17	2006-02-01	OSEBERG SØR	NORTH SEA	ED50	60	21	15.95	N	2	54	0.31	E	60.354431	2.900086	6691045.770000	494486.480000	31	5201	2013-05-08
2/8-G-13	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2006-07-14	2007-02-27	VALHALL	NORTH SEA	ED50	56	16	35.54	N	3	23	46.72	E	56.276539	3.396311	6237067.160000	524541.410000	31	5202	2013-05-08
34/11-A-6	Statoil ASA (old)	193	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2005-10-15	2006-01-12	KVITEBJØRN	NORTH SEA	ED50	61	4	49.18	N	2	29	58.78	E	61.080328	2.499661	6771998.560000	473005.940000	31	5203	2013-05-08
30/3-A-19 B	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2005-12-11	2006-01-04	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	52.27	E	60.782756	2.897853	6738753.670000	494437.310000	31	5204	2013-05-08
2/8-G-15	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	2006-03-26	2006-06-23	VALHALL	NORTH SEA	ED50	56	16	35.52	N	3	23	46.96	E	56.276533	3.396378	6237066.570000	524545.540000	31	5205	2013-05-08
2/7-A-20 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-04-10	2006-05-23	ELDFISK	NORTH SEA	ED50	56	22	36.15	N	3	15	56.71	E	56.376708	3.265753	6248177.900000	516413.620000	31	5206	2013-05-08
6305/8-A-3 H	A/S Norske Shell	250	DEVELOPMENT	PRODUCTION	GAS	2006-03-26	2006-04-19	ORMEN LANGE	NORWEGIAN SEA	ED50	63	29	48.15	N	5	23	11.35	E	63.496708	5.386486	7043320.320000	618808.540000	31	5207	2013-05-08
6305/8-A-6 H	A/S Norske Shell	250	DEVELOPMENT	PRODUCTION	GAS	2006-04-20	2007-03-23	ORMEN LANGE	NORWEGIAN SEA	ED50	63	29	48.63	N	5	23	11.85	E	63.496842	5.386625	7043335.430000	618814.890000	31	5208	2013-05-08
6305/8-A-7 H	A/S Norske Shell	250	DEVELOPMENT	PRODUCTION	GAS	2006-07-11	2007-05-05	ORMEN LANGE	NORWEGIAN SEA	ED50	63	29	48.64	N	5	23	11.41	E	63.496844	5.386503	7043335.510000	618808.800000	31	5209	2013-05-08
6305/5-B-2 H	A/S Norske Shell	209	DEVELOPMENT	OBSERVATION	GAS	2007-02-10	2007-02-27	ORMEN LANGE	NORWEGIAN SEA	ED50	63	31	41.92	N	5	23	16.69	E	63.528311	5.387969	7046842.740000	618750.990000	31	5210	2013-05-08
6305/5-B-3 H	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	GAS	2008-07-17	2008-08-14	ORMEN LANGE	NORWEGIAN SEA	ED50	63	31	41.94	N	5	23	16.25	E	63.528317	5.387847	7046843.130000	618744.890000	31	5211	2013-05-08
6305/5-B-6 H	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	GAS	2008-12-08	2009-03-12	ORMEN LANGE	NORWEGIAN SEA	ED50	63	31	42.41	N	5	23	16.76	E	63.528447	5.387989	7046857.930000	618751.390000	31	5212	2013-05-08
6305/5-B-7 H	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	GAS	2008-11-08	2008-12-07	ORMEN LANGE	NORWEGIAN SEA	ED50	63	31	42.42	N	5	23	16.32	E	63.528450	5.387867	7046858.020000	618745.300000	31	5213	2013-05-08
7122/7-3	Eni Norge AS	229	EXPLORATION	APPRAISAL	OIL/GAS	2005-10-24	2006-01-08	GOLIAT	BARENTS SEA	ED50	71	15	17.53	N	22	16	4.60	E	71.254869	22.267944	7906512.670000	545476.820000	34	5214	2013-05-08
7121/7-N-2 H	Statoil ASA (old)	100	DEVELOPMENT	PRODUCTION	GAS	2006-01-20	2006-02-17	SNØHVIT	BARENTS SEA	ED50	71	29	17.88	N	21	5	2.87	E	71.488300	21.084131	7932075.000000	502981.440000	34	5216	2013-05-08
7121/7-N-3 H	Statoil ASA (old)	100	DEVELOPMENT	PRODUCTION	GAS	2005-12-04	2005-12-28	SNØHVIT	BARENTS SEA	ED50	71	29	17.97	N	21	5	3.38	E	71.488325	21.084272	7932077.790000	502986.460000	34	5217	2013-05-08
7121/7-N-4 H	Statoil ASA (old)	100	DEVELOPMENT	PRODUCTION	GAS	2005-12-30	2006-01-19	SNØHVIT	BARENTS SEA	ED50	71	29	17.70	N	21	5	3.87	E	71.488250	21.084408	7932069.440000	502991.290000	34	5218	2013-05-08
25/8-C-5	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	PRODUCTION	OIL	2005-10-21	2005-12-25	BALDER	NORTH SEA	ED50	59	15	58.02	N	2	26	59.45	E	59.266117	2.449847	6569966.340000	468635.350000	31	5219	2013-05-08
6608/10-B-1 AH	Statoil ASA (old)	128	DEVELOPMENT	OBSERVATION	OIL	2005-11-06	2005-12-03	NORNE	NORWEGIAN SEA	ED50	66	0	55.22	N	8	3	17.29	E	66.015339	8.054803	7322128.370000	457125.620000	32	5220	2013-05-08
6608/10-B-1 BH	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2005-12-04	2006-01-09	NORNE	NORWEGIAN SEA	ED50	66	0	55.22	N	8	3	17.29	E	66.015339	8.054803	7322128.370000	457125.620000	32	5221	2013-05-08
34/7-D-4 AH	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	OIL	2005-07-21	2006-03-25	VIGDIS	NORTH SEA	ED50	61	20	44.39	N	2	4	22.33	E	61.345664	2.072869	6801804.120000	450399.860000	31	5222	2013-05-08
34/10-C-47	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2005-11-28	2006-05-02	GULLFAKS	NORTH SEA	ED50	61	12	54.94	N	2	16	26.39	E	61.215261	2.273997	6787142.430000	460998.130000	31	5223	2013-05-08
6406/2-R-4 BH	Statoil ASA (old)	199	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2005-11-27	2006-02-23	KRISTIN	NORWEGIAN SEA	ED50	64	57	36.85	N	6	26	19.14	E	64.960236	6.438650	7206652.870000	379055.450000	32	5224	2013-05-08
30/9-F-27	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2005-12-13	2006-03-20	OSEBERG SØR	NORTH SEA	ED50	60	23	24.50	N	2	47	49.60	E	60.390139	2.797111	6695035.960000	488816.290000	31	5225	2013-05-08
2/11-S-1	BP Norge AS	033 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2004-08-30	2004-08-31	VALHALL	NORTH SEA	ED50	56	13	39.66	N	3	26	14.53	E	56.227683	3.437369	6231644.670000	527118.420000	31	5226	2013-05-08
2/11-S-1 A	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2005-11-04	2005-12-09	VALHALL	NORTH SEA	ED50	56	13	39.66	N	3	26	14.53	E	56.227683	3.437369	6231644.670000	527118.420000	31	5227	2013-05-08
2/4-M-2	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-07-04	2006-08-08	EKOFISK	NORTH SEA	ED50	56	32	43.78	N	3	13	23.19	E	56.545494	3.223108	6266956.090000	513718.810000	31	5229	2013-05-08
2/4-M-4	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-10-23	2006-11-16	EKOFISK	NORTH SEA	ED50	56	32	43.87	N	3	13	23.43	E	56.545519	3.223175	6266958.890000	513722.900000	31	5230	2013-05-08
2/4-M-7	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-01-22	2006-03-02	EKOFISK	NORTH SEA	ED50	56	32	43.71	N	3	13	23.27	E	56.545475	3.223131	6266953.930000	513720.190000	31	5231	2013-05-08
2/4-M-10	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-05-20	2006-06-04	EKOFISK	NORTH SEA	ED50	56	32	43.85	N	3	13	23.63	E	56.545514	3.223231	6266958.280000	513726.320000	31	5232	2013-05-08
2/4-M-13	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-09-27	2006-10-19	EKOFISK	NORTH SEA	ED50	56	32	43.69	N	3	13	23.47	E	56.545469	3.223186	6266953.330000	513723.600000	31	5233	2013-05-08
2/4-M-16	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-03-03	2006-04-03	EKOFISK	NORTH SEA	ED50	56	32	43.41	N	3	13	23.46	E	56.545392	3.223183	6266944.670000	513723.460000	31	5234	2013-05-08
2/4-M-20	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-04-06	2006-05-20	EKOFISK	NORTH SEA	ED50	56	32	43.59	N	3	13	23.95	E	56.545442	3.223319	6266950.260000	513731.810000	31	5235	2013-05-08
2/4-M-27	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-08-12	2006-09-07	EKOFISK	NORTH SEA	ED50	56	32	43.32	N	3	13	23.75	E	56.545367	3.223264	6266941.900000	513728.420000	31	5236	2013-05-08
2/4-M-30	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-07-29	2007-09-10	EKOFISK	NORTH SEA	ED50	56	32	43.46	N	3	13	24.11	E	56.545406	3.223364	6266946.250000	513734.560000	31	5237	2013-05-08
6608/10-J-2 H	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2005-11-02	2005-12-22	URD	NORWEGIAN SEA	ED50	66	2	56.94	N	8	10	16.42	E	66.049150	8.171228	7325822.280000	462456.230000	32	5238	2013-05-08
2/4-M-21	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	CUTTINGS	2005-12-30	2006-01-18	EKOFISK	NORTH SEA	ED50	56	32	43.35	N	3	13	23.54	E	56.545375	3.223206	6266942.820000	513724.830000	31	5239	2013-05-08
25/11-G-10 Y1	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2005-11-29	2006-01-11	GRANE	NORTH SEA	ED50	59	9	54.99	N	2	29	14.21	E	59.165275	2.487281	6558719.910000	470683.100000	31	5240	2013-05-08
25/11-G-10 Y2	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2006-01-12	2006-02-20	GRANE	NORTH SEA	ED50	59	9	54.99	N	2	29	14.21	E	59.165275	2.487281	6558719.910000	470683.100000	31	5241	2013-05-08
2/7-B-19 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-01-31	2006-04-08	ELDFISK	NORTH SEA	ED50	56	25	9.17	N	3	13	5.90	E	56.419214	3.218306	6252898.830000	513468.140000	31	5242	2013-05-08
31/2-N-11 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	OBSERVATION	OIL/GAS	2005-12-25	2006-02-03	TROLL	NORTH SEA	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	5243	2013-05-08
33/9-C-6 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2005-12-22	2006-01-16	STATFJORD	NORTH SEA	ED50	61	17	47.07	N	1	54	11.17	E	61.296408	1.903103	6796458.630000	441225.990000	31	5244	2013-05-08
25/8-C-14 B	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	PRODUCTION	OIL	2006-02-13	2006-03-05	RINGHORNE ØST	NORTH SEA	ED50	59	15	57.75	N	2	26	59.83	E	59.266042	2.449953	6569957.940000	468641.300000	31	5245	2013-05-08
2/11-S-4 Y1	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2005-12-12	2006-01-17	VALHALL	NORTH SEA	ED50	56	13	39.81	N	3	26	14.81	E	56.227725	3.437447	6231649.340000	527123.220000	31	5246	2013-05-08
2/11-S-4 Y2	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2006-01-18	2006-02-22	VALHALL	NORTH SEA	ED50	56	13	39.81	N	3	26	14.81	E	56.227725	3.437447	6231649.340000	527123.220000	31	5247	2013-05-08
34/11-5 S	Statoil ASA (old)	193	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2006-01-31	2006-06-14	VALEMON	NORTH SEA	ED50	61	4	49.01	N	2	29	59.00	E	61.080281	2.499722	6771993.270000	473009.200000	31	5248	2013-05-08
31/2-O-13 BY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-01-05	2006-03-01	TROLL	NORTH SEA	ED50	60	53	22.58	N	3	33	58.78	E	60.889606	3.566328	6750783.730000	530737.830000	31	5249	2013-05-08
31/2-O-13 BY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-03-02	2006-04-05	TROLL	NORTH SEA	ED50	60	53	22.58	N	3	33	58.78	E	60.889606	3.566328	6750783.730000	530737.830000	31	5250	2013-05-08
33/12-N-1 H	Statoil ASA (old)	037 B	DEVELOPMENT	PRODUCTION	OIL	2007-08-21	2007-11-13	GULLFAKS SØR	NORTH SEA	ED50	61	4	44.19	N	1	59	23.37	E	61.078942	1.989825	6772161.540000	445498.250000	31	5251	2013-05-08
33/12-N-2 H	Statoil ASA (old)	037 B	DEVELOPMENT	PRODUCTION	OIL	2007-06-28	2007-08-20	GULLFAKS SØR	NORTH SEA	ED50	61	4	44.56	N	1	59	23.28	E	61.079044	1.989800	6772173.010000	445497.070000	31	5253	2013-05-08
33/12-N-3 H	Statoil ASA (old)	037 B	DEVELOPMENT	OBSERVATION	OIL	2006-05-13	2006-06-08	GULLFAKS SØR	NORTH SEA	ED50	61	4	44.57	N	1	59	23.58	E	61.079047	1.989883	6772173.250000	445501.570000	31	5254	2013-05-08
33/12-N-4 H	Statoil ASA (old)	037 B	DEVELOPMENT	PRODUCTION	OIL	2007-05-11	2007-06-27	GULLFAKS SØR	NORTH SEA	ED50	61	4	44.21	N	1	59	23.67	E	61.078947	1.989908	6772162.090000	445502.750000	31	5255	2013-05-08
33/12-B-20 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2006-02-19	2006-03-20	STATFJORD	NORTH SEA	ED50	61	12	24.99	N	1	49	52.13	E	61.206942	1.831147	6786560.610000	437192.490000	31	5256	2013-05-08
7/12-A-9 A	BP Norge AS	019	DEVELOPMENT	OBSERVATION	\N	2006-01-13	2006-08-30	ULA	NORTH SEA	ED50	57	6	41.27	N	2	50	50.65	E	57.111464	2.847403	6329946.040000	490757.320000	31	5257	2013-05-08
6407/7-A-9 BH	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	GAS	2006-01-27	2006-03-23	NJORD	NORWEGIAN SEA	ED50	64	16	15.43	N	7	12	9.45	E	64.270953	7.202625	7128614.540000	412943.250000	32	5258	2013-05-08
6507/7-A-15	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2006-01-26	2006-02-25	HEIDRUN	NORWEGIAN SEA	ED50	65	19	33.05	N	7	19	4.11	E	65.325847	7.317808	7245997.670000	421644.390000	32	5259	2013-05-08
6507/7-A-15 A	Statoil ASA (old)	095	DEVELOPMENT	INJECTION	WATER/GAS	2006-02-26	2006-04-10	HEIDRUN	NORWEGIAN SEA	ED50	65	19	33.05	N	7	19	4.11	E	65.325847	7.317808	7245997.670000	421644.390000	32	5260	2013-05-08
30/3-A-17 B	Statoil ASA (old)	052	DEVELOPMENT	INJECTION	WATER/GAS	2006-01-15	2006-03-01	VESLEFRIKK	NORTH SEA	ED50	60	46	58.08	N	2	53	52.16	E	60.782800	2.897822	6738758.620000	494435.660000	31	5261	2013-05-08
6608/10-J-1 H	Statoil ASA (old)	128	DEVELOPMENT	INJECTION	WATER	2006-02-13	2006-03-24	URD	NORWEGIAN SEA	ED50	66	2	56.67	N	8	10	17.09	E	66.049075	8.171414	7325813.810000	462464.550000	32	5262	2013-05-08
6608/10-J-3 H	Statoil ASA (old)	128	DEVELOPMENT	OBSERVATION	\N	2005-12-22	2006-02-03	URD	NORWEGIAN SEA	ED50	66	2	57.04	N	8	10	16.67	E	66.049178	8.171297	7325825.340000	462459.420000	32	5263	2013-05-08
31/2-X-23 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-02-13	2006-04-30	TROLL	NORTH SEA	ED50	60	48	29.24	N	3	35	35.28	E	60.808122	3.593133	6741720.670000	532274.750000	31	5264	2013-05-08
31/2-X-23 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-05-01	2006-05-21	TROLL	NORTH SEA	ED50	60	48	29.24	N	3	35	35.28	E	60.808122	3.593133	6741720.670000	532274.750000	31	5265	2013-05-08
31/2-X-23 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-05-22	2006-06-06	TROLL	NORTH SEA	ED50	60	48	29.24	N	3	35	35.28	E	60.808122	3.593133	6741720.670000	532274.750000	31	5266	2013-05-08
31/2-X-23 Y4H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	48	29.24	N	3	35	35.28	E	60.808122	3.593133	6741720.670000	532274.750000	31	5267	2013-05-08
25/4-E-1 H	Norsk Hydro Produksjon AS	036	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2007-06-21	2007-07-20	VILJE	NORTH SEA	ED50	59	39	22.93	N	2	16	42.24	E	59.656369	2.278400	6613517.730000	459332.650000	31	5269	2013-05-08
6608/10-J-3 AH	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2006-02-04	2006-04-22	URD	NORWEGIAN SEA	ED50	66	2	57.04	N	8	10	16.67	E	66.049178	8.171297	7325825.340000	462459.420000	32	5270	2013-05-08
15/12-16 S	Talisman Energy Norge AS	038	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2006-02-06	2006-03-31	REV	NORTH SEA	ED50	58	1	40.39	N	1	55	27.97	E	58.027886	1.924436	6432466.910000	436472.190000	31	5271	2013-05-08
30/9-J-11 H	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	\N	2006-06-29	2006-09-19	OSEBERG SØR	NORTH SEA	ED50	60	21	16.17	N	2	53	59.85	E	60.354492	2.899958	6691052.580000	494479.440000	31	5272	2013-05-08
25/4-D-1 H	Norsk Hydro Produksjon AS	036	DEVELOPMENT	PRODUCTION	\N	2007-05-16	2007-06-05	VILJE	NORTH SEA	ED50	59	39	22.03	N	2	16	40.86	E	59.656119	2.278017	6613490.130000	459310.750000	31	5273	2013-05-08
6506/11-N-3 AH	Statoil ASA (old)	134 B	DEVELOPMENT	PRODUCTION	\N	2007-09-28	2007-10-22	KRISTIN	NORWEGIAN SEA	ED50	65	1	41.32	N	6	28	46.29	E	65.028144	6.479525	7214139.190000	381286.470000	32	5274	2013-05-08
30/6-G-43 Y1H	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2006-02-06	2006-04-17	OSEBERG	NORTH SEA	ED50	60	32	15.50	N	2	41	7.84	E	60.537639	2.685511	6711488.580000	482743.120000	31	5275	2013-05-08
30/6-G-43 Y2H	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2006-04-18	2006-06-30	OSEBERG	NORTH SEA	ED50	60	32	15.50	N	2	41	7.84	E	60.537639	2.685511	6711488.580000	482743.120000	31	5276	2013-05-08
25/11-G-35	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2006-02-21	2006-03-15	GRANE	NORTH SEA	ED50	59	9	54.72	N	2	29	14.99	E	59.165200	2.487497	6558711.460000	470695.420000	31	5277	2013-05-08
25/11-G-35 A	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2006-03-16	2006-04-13	GRANE	NORTH SEA	ED50	59	9	54.72	N	2	29	14.99	E	59.165200	2.487497	6558711.460000	470695.420000	31	5278	2013-05-08
34/4-D-6 H	Statoil ASA (old)	057	DEVELOPMENT	PRODUCTION	OIL	2006-03-19	2006-06-15	SNORRE	NORTH SEA	ED50	61	31	32.96	N	2	12	40.67	E	61.525822	2.211297	6821774.810000	458047.910000	31	5279	2013-05-08
33/9-C-40 C	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2007-06-27	2007-07-30	STATFJORD	NORTH SEA	ED50	61	17	46.71	N	1	54	9.81	E	61.296308	1.902725	6796447.840000	441205.560000	31	5280	2013-05-08
7/12-A-9 B	BP Norge AS	019	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	ULA	NORTH SEA	ED50	57	6	41.27	N	2	50	50.65	E	57.111464	2.847403	6329946.040000	490757.320000	31	5281	2013-05-08
34/10-49 A	Statoil ASA (old)	050	EXPLORATION	WILDCAT	DRY	2006-05-21	2006-06-02	\N	NORTH SEA	ED50	61	7	45.10	N	2	5	26.20	E	61.129194	2.090611	6777679.150000	451013.470000	31	5282	2013-05-08
2/11-S-8 Y1	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2006-03-07	2006-04-06	VALHALL	NORTH SEA	ED50	56	13	39.76	N	3	26	14.90	E	56.227711	3.437472	6231647.810000	527124.780000	31	5283	2013-05-08
2/11-S-8 Y2	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2006-04-07	2006-04-22	VALHALL	NORTH SEA	ED50	56	13	39.76	N	3	26	14.90	E	56.227711	3.437472	6231647.810000	527124.780000	31	5284	2013-05-08
35/11-B-21 H	Norsk Hydro Produksjon AS	090	DEVELOPMENT	OBSERVATION	OIL	2006-03-27	2006-05-21	FRAM	NORTH SEA	ED50	61	2	34.25	N	3	35	58.52	E	61.042847	3.599589	6767868.690000	532386.890000	31	5285	2013-05-08
35/11-B-21 AH	Norsk Hydro Produksjon AS	090	DEVELOPMENT	PRODUCTION	OIL	2006-05-22	2006-06-21	FRAM	NORTH SEA	ED50	61	2	34.25	N	3	35	58.52	E	61.042847	3.599589	6767868.690000	532386.890000	31	5286	2013-05-08
7227/11-1 A	Statoil ASA (old)	202	EXPLORATION	WILDCAT	SHOWS	2006-02-24	2006-03-24	\N	BARENTS SEA	ED50	72	14	22.18	N	27	22	14.89	E	72.239494	27.370803	8015904.210000	512625.200000	35	5287	2013-05-08
6507/8-E-4 AH	Statoil ASA (old)	124	DEVELOPMENT	PRODUCTION	OIL	2006-04-01	2006-05-20	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.65	N	7	22	10.20	E	65.383236	7.369500	7252329.200000	424217.180000	32	5288	2013-05-08
34/8-A-4 BH	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	OIL	2006-04-10	2006-10-15	VISUND	NORTH SEA	ED50	61	22	13.02	N	2	27	34.21	E	61.370283	2.459503	6804314.070000	471106.440000	31	5289	2013-05-08
30/9-B-19 A	Norsk Hydro Produksjon AS	079	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2006-04-02	2006-12-04	OSEBERG	NORTH SEA	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	5290	2013-05-08
30/9-B-19 B	Norsk Hydro Produksjon AS	079	DEVELOPMENT	INJECTION	GAS	2006-12-05	2007-03-10	OSEBERG	NORTH SEA	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	5291	2013-05-08
25/11-G-39	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	OBSERVATION	\N	2006-04-29	2006-06-08	GRANE	NORTH SEA	ED50	59	9	54.66	N	2	29	15.10	E	59.165183	2.487528	6558709.590000	470697.150000	31	5292	2013-05-08
25/11-G-39 AY1	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	\N	2006-06-13	2007-06-15	GRANE	NORTH SEA	ED50	59	9	54.66	N	2	29	15.10	E	59.165183	2.487528	6558709.590000	470697.150000	31	5293	2013-05-08
6506/11-8	Statoil ASA (old)	134 B	EXPLORATION	APPRAISAL	OIL	2006-03-24	2006-07-16	MORVIN	NORWEGIAN SEA	ED50	65	7	13.60	N	6	26	49.30	E	65.120444	6.447028	7224481.280000	380172.200000	32	5295	2013-05-08
6403/6-1	Statoil ASA (old)	322	EXPLORATION	WILDCAT	DRY	2006-04-10	2006-07-23	\N	NORWEGIAN SEA	ED50	64	36	30.46	N	3	43	9.58	E	64.608461	3.719328	7165192.950000	534417.980000	31	5296	2013-05-08
2/4-E-18	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2006-08-16	2006-09-28	TOR	NORTH SEA	ED50	56	38	31.34	N	3	19	36.68	E	56.642039	3.326856	6277728.180000	520046.970000	31	5297	2013-05-08
2/4-E-18 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-09-29	2006-10-24	TOR	NORTH SEA	ED50	56	38	31.34	N	3	19	36.68	E	56.642039	3.326856	6277728.180000	520046.970000	31	5298	2013-05-08
7830/6-U-1	SINTEF Petroleumsforskning AS	\N	SHALLOW	\N	\N	2005-09-16	2005-09-19	\N	UNOPENEDAREA	ED50	78	44	59.90	N	30	57	5.90	E	78.749972	30.951639	8745234.980000	586004.110000	35	5299	2013-05-08
7831/2-U-1	SINTEF Petroleumsforskning AS	\N	SHALLOW	\N	\N	2005-09-19	2005-09-21	\N	UNOPENEDAREA	ED50	78	54	59.90	N	31	34	20.80	E	78.916639	31.572444	8764768.090000	598035.480000	35	5300	2013-05-08
7831/2-U-2	SINTEF Petroleumsforskning AS	\N	SHALLOW	\N	\N	2005-09-22	2005-09-29	\N	UNOPENEDAREA	ED50	78	54	59.80	N	31	34	55.50	E	78.916611	31.582083	8764781.210000	598241.980000	35	5301	2013-05-08
7830/5-U-1	SINTEF Petroleumsforskning AS	\N	SHALLOW	\N	\N	2005-09-22	2005-09-23	\N	UNOPENEDAREA	ED50	78	40	53.80	N	30	30	2.70	E	78.681611	30.500750	8736992.160000	576659.860000	35	5302	2013-05-08
7830/3-U-1	SINTEF Petroleumsforskning AS	\N	SHALLOW	\N	\N	2005-09-29	2005-10-05	\N	UNOPENEDAREA	ED50	78	45	0.30	N	30	53	19.40	E	78.750083	30.888722	8745155.450000	584635.920000	35	5303	2013-05-08
7/8-5 S	Talisman Energy Norge AS	301	EXPLORATION	APPRAISAL	DRY	2006-04-18	2006-06-03	\N	NORTH SEA	ED50	57	15	2.65	N	2	34	10.91	E	57.250736	2.569697	6345521.930000	474034.890000	31	5304	2013-05-08
6507/7-A-11	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	\N	2006-04-20	2006-06-13	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.92	N	7	19	2.91	E	65.325811	7.317475	7245994.060000	421628.760000	32	5305	2013-05-08
6507/7-A-11 A	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	\N	2006-06-14	2006-06-27	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.92	N	7	19	2.91	E	65.325811	7.317475	7245994.060000	421628.760000	32	5306	2013-05-08
6507/3-5 S	StatoilHydro ASA	159 B	EXPLORATION	WILDCAT	GAS/CONDENSATE	2008-02-28	2008-05-08	ALVE	NORWEGIAN SEA	ED50	65	58	6.48	N	7	48	35.91	E	65.968467	7.809975	7317093.450000	445922.000000	32	5307	2013-05-08
25/8-C-17	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	PRODUCTION	OIL	2006-04-10	2006-05-26	RINGHORNE ØST	NORTH SEA	ED50	59	15	58.07	N	2	26	59.24	E	59.266131	2.449789	6569967.910000	468631.720000	31	5308	2013-05-08
33/12-B-42 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2006-07-01	2007-01-25	STATFJORD	NORTH SEA	ED50	61	12	23.81	N	1	49	51.05	E	61.206614	1.830847	6786524.390000	437175.710000	31	5309	2013-05-08
25/4-K-1 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2006-06-28	2006-11-05	ALVHEIM	NORTH SEA	ED50	59	32	52.14	N	2	1	8.65	E	59.547817	2.019069	6601616.950000	444539.600000	31	5310	2013-05-08
25/4-K-2 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2006-06-24	2006-08-14	ALVHEIM	NORTH SEA	ED50	59	32	52.16	N	2	1	10.90	E	59.547822	2.019694	6601617.040000	444574.940000	31	5311	2013-05-08
25/4-K-3 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	OBSERVATION	OIL	2006-05-10	2006-06-13	ALVHEIM	NORTH SEA	ED50	59	32	51.58	N	2	1	9.79	E	59.547661	2.019386	6601599.360000	444557.240000	31	5312	2013-05-08
25/4-K-3 AH	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2006-06-14	2006-08-05	ALVHEIM	NORTH SEA	ED50	59	32	51.58	N	2	1	9.79	E	59.547661	2.019386	6601599.360000	444557.240000	31	5313	2013-05-08
2/7-A-30 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-09-16	2007-03-01	ELDFISK	NORTH SEA	ED50	56	22	36.32	N	3	15	56.39	E	56.376756	3.265664	6248183.130000	516408.110000	31	5314	2013-05-08
6608/11-5	Statoil ASA (old)	128	EXPLORATION	WILDCAT	SHOWS	2006-06-18	2006-07-14	\N	NORWEGIAN SEA	ED50	66	11	9.50	N	8	28	50.60	E	66.185972	8.480722	7340922.660000	476602.530000	32	5316	2013-05-08
6506/12-Q-1 H	Statoil ASA (old)	094	DEVELOPMENT	OBSERVATION	OIL	2006-05-27	2006-07-16	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.49	N	6	56	27.35	E	65.040414	6.940931	7214718.610000	403056.370000	32	5317	2013-05-08
6506/12-Q-1 AY1H	Statoil ASA (old)	094	DEVELOPMENT	PRODUCTION	OIL	2006-07-17	2006-08-13	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.49	N	6	56	27.35	E	65.040414	6.940931	7214718.610000	403056.370000	32	5318	2013-05-08
6506/12-Q-1 AY2H	Statoil ASA (old)	094	DEVELOPMENT	PRODUCTION	OIL	2006-08-15	2006-10-03	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.49	N	6	56	27.35	E	65.040414	6.940931	7214718.610000	403056.370000	32	5319	2013-05-08
31/2-L-13 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-05-18	2006-06-23	TROLL	NORTH SEA	ED50	60	47	6.32	N	3	33	21.98	E	60.785089	3.556106	6739137.510000	530281.700000	31	5320	2013-05-08
31/2-L-13 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-06-24	2006-07-09	TROLL	NORTH SEA	ED50	60	47	6.32	N	3	33	21.98	E	60.785089	3.556106	6739137.510000	530281.700000	31	5321	2013-05-08
31/2-L-13 AY3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-08-24	2006-09-29	TROLL	NORTH SEA	ED50	60	47	6.32	N	3	33	21.98	E	60.785089	3.556106	6739137.510000	530281.700000	31	5322	2013-05-08
30/3-A-5 B	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2006-05-06	2006-06-21	VESLEFRIKK	NORTH SEA	ED50	60	46	57.77	N	2	53	52.38	E	60.782714	2.897883	6738749.030000	494438.970000	31	5323	2013-05-08
2/1-A-32 A	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2006-10-01	2007-01-31	GYDA	NORTH SEA	ED50	56	54	17.31	N	3	5	5.95	E	56.904808	3.084986	6306934.020000	505176.150000	31	5324	2013-05-08
34/10-E-4 BH	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	GAS	2006-04-23	2006-05-26	GULLFAKS SØR	NORTH SEA	ED50	61	6	38.54	N	2	15	38.70	E	61.110706	2.260750	6775504.260000	460154.860000	31	5325	2013-05-08
6507/8-D-5 H	Statoil ASA (old)	124	DEVELOPMENT	PRODUCTION	OIL	2006-06-01	2007-03-04	HEIDRUN	NORWEGIAN SEA	ED50	65	21	46.29	N	7	20	7.01	E	65.362858	7.335281	7250100.120000	422567.020000	32	5326	2013-05-08
7122/6-2	Statoil ASA (old)	110 B	EXPLORATION	WILDCAT	GAS	2006-08-10	2006-09-19	\N	BARENTS SEA	ED50	71	35	13.60	N	22	51	21.54	E	71.587111	22.855983	7944100.000000	565425.040000	34	5327	2013-05-08
34/10-49 B	Statoil ASA (old)	050	EXPLORATION	WILDCAT	OIL	2006-05-01	2006-06-12	GULLFAKS SØR	NORTH SEA	ED50	61	7	45.10	N	2	5	26.20	E	61.129194	2.090611	6777679.150000	451013.470000	31	5328	2013-05-08
6407/7-A-5 BH	Norsk Hydro Produksjon AS	107	DEVELOPMENT	INJECTION	WATER	2006-06-18	2006-08-13	NJORD	NORWEGIAN SEA	ED50	64	16	14.75	N	7	12	6.47	E	64.270764	7.201797	7128594.630000	412902.570000	32	5329	2013-05-08
2/8-N-3	BP Norge AS	006 B	DEVELOPMENT	OBSERVATION	OIL	2006-05-05	2006-05-11	VALHALL	NORTH SEA	ED50	56	19	27.75	N	3	21	9.54	E	56.324375	3.352650	6242376.930000	521810.460000	31	5330	2013-05-08
2/8-N-3 AY1	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2006-05-24	2006-09-13	VALHALL	NORTH SEA	ED50	56	19	27.75	N	3	21	9.54	E	56.324375	3.352650	6242376.930000	521810.460000	31	5331	2013-05-08
30/9-F-31	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	WATER	2006-06-13	2007-02-08	OSEBERG SØR	NORTH SEA	60ED50	60	23	24.43	N	2	47	49.63	E	60.390119	2.797119	6695033.790000	488816.740000	31	5333	2013-05-08
33/12-N-3 AH	Statoil ASA (old)	037 B	DEVELOPMENT	PRODUCTION	OIL	2006-06-09	2007-01-20	GULLFAKS SØR	NORTH SEA	ED50	61	4	44.57	N	1	59	23.58	E	61.079047	1.989883	6772173.250000	445501.570000	31	5334	2013-05-08
31/5-4 AR2	Statoil ASA (old)	085	EXPLORATION	APPRAISAL	OIL/GAS	2003-08-24	2003-09-05	TROLL	NORTH SEA	ED50	60	43	16.19	N	3	33	43.06	E	60.721164	3.561961	6732020.100000	530661.480000	31	5335	2013-05-08
31/2-M-24 Y1H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2006-07-31	2009-07-22	TROLL	NORTH SEA	ED50	60	55	53.18	N	3	39	51.57	E	60.931439	3.664325	6755493.200000	536009.370000	31	5336	2013-05-08
31/2-M-24 Y2H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2009-07-23	2009-08-05	TROLL	NORTH SEA	ED50	60	55	53.18	N	3	39	51.57	E	60.931439	3.664325	6755493.200000	536009.370000	31	5337	2013-05-08
31/2-M-24 Y3H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2009-08-05	2009-08-24	TROLL	NORTH SEA	ED50	60	55	53.18	N	3	39	51.57	E	60.931439	3.664325	6755493.200000	536009.370000	31	5338	2013-05-08
31/2-M-24 Y4H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	55	53.18	N	3	39	51.57	E	60.931439	3.664325	6755493.200000	536009.370000	31	5339	2013-05-08
6608/10-G-2 H	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2006-06-06	2006-07-10	URD	NORWEGIAN SEA	ED50	66	4	42.05	N	8	14	55.45	E	66.078347	8.248736	7329032.430000	466006.260000	32	5340	2013-05-08
7120/8-U-4	Statoil ASA (old)	064	SHALLOW	\N	\N	2007-11-15	2007-11-15	\N	BARENTS SEA	ED50	71	28	37.02	N	20	26	45.31	E	71.476950	20.445919	7930897.010000	480352.980000	34	5341	2013-05-08
34/11-A-2	Statoil ASA (old)	193	DEVELOPMENT	PRODUCTION	\N	2006-07-09	2006-10-24	KVITEBJØRN	NORTH SEA	ED50	61	4	48.96	N	2	29	59.07	E	61.080267	2.499742	6771991.720000	473010.240000	31	5342	2013-05-08
2/8-N-6	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2006-06-18	2006-09-24	VALHALL	NORTH SEA	ED50	56	19	27.65	N	3	21	9.54	E	56.324347	3.352650	6242373.840000	521810.470000	31	5343	2013-05-08
2/8-N-8	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALHALL	NORTH SEA	ED50	56	19	27.75	N	3	21	9.75	E	56.324375	3.352708	6242376.950000	521814.070000	31	5344	2013-05-08
2/8-G-6	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2008-05-05	2008-07-18	VALHALL	NORTH SEA	ED50	56	16	35.40	N	3	23	46.81	E	56.276500	3.396336	6237062.840000	524542.980000	31	5345	2013-05-08
2/8-G-7	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2008-07-23	2009-01-26	VALHALL	NORTH SEA	ED50	56	16	35.39	N	3	23	46.93	E	56.276497	3.396369	6237062.550000	524545.040000	31	5346	2013-05-08
2/8-G-8	BP Norge AS	006 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2006-08-01	2006-08-03	VALHALL	NORTH SEA	ED50	56	16	35.38	N	3	23	47.05	E	56.276494	3.396403	6237062.250000	524547.110000	31	5347	2013-05-08
2/8-G-12	BP Norge AS	006 B	DEVELOPMENT	INJECTION	WATER	2009-10-13	2009-11-30	VALHALL	NORTH SEA	ED50	56	16	35.44	N	3	23	47.06	E	56.276511	3.396406	6237064.100000	524547.270000	31	5348	2013-05-08
2/8-G-14	BP Norge AS	006 B	DEVELOPMENT	INJECTION	WATER	2007-12-03	2008-03-13	VALHALL	NORTH SEA	ED50	56	16	35.53	N	3	23	46.84	E	56.276536	3.396344	6237066.870000	524543.470000	31	5349	2013-05-08
2/8-G-16	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	2009-02-01	2009-03-24	VALHALL	NORTH SEA	ED50	56	16	35.51	N	3	23	47.08	E	56.276531	3.396411	6237066.270000	524547.600000	31	5350	2013-05-08
15/9-F-14	StatoilHydro ASA	046 BS	DEVELOPMENT	PRODUCTION	OIL	2008-05-10	2008-07-03	VOLVE	NORTH SEA	ED50	58	26	29.77	N	1	53	15.08	E	58.441603	1.887522	6478562.340000	435052.460000	31	5351	2013-05-08
2/8-G-22	BP Norge AS	006 B	DEVELOPMENT	INJECTION	WATER	2007-10-06	2007-11-04	VALHALL	NORTH SEA	ED50	56	16	35.64	N	3	23	46.88	E	56.276567	3.396356	6237070.270000	524544.140000	31	5352	2013-05-08
2/8-G-23	BP Norge AS	006 B	DEVELOPMENT	INJECTION	\N	2013-02-27	9999-12-31	VALHALL	NORTH SEA	ED50	56	16	35.68	N	3	23	47.00	E	56.276578	3.396389	6237071.520000	524546.200000	31	5353	2013-05-08
6607/2-U-1	Eni Norge AS	329	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	\N	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	5354	2013-05-08
6607/2-U-2	Eni Norge AS	329	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	\N	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	5355	2013-05-08
6607/2-U-3	Eni Norge AS	329	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	\N	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	5356	2013-05-08
6607/1-U-1	Eni Norge AS	329	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	\N	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	5357	2013-05-08
6607/2-U-4	Eni Norge AS	329	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	\N	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	5358	2013-05-08
6406/6-2	A/S Norske Shell	255	EXPLORATION	WILDCAT	DRY	2006-09-23	2007-01-31	\N	NORWEGIAN SEA	ED50	64	31	0.51	N	6	53	8.53	E	64.516808	6.885703	7156474.060000	398508.770000	32	5359	2013-05-08
15/12-A-9 A	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2006-08-11	2006-08-29	VARG	NORTH SEA	ED50	58	4	40.39	N	1	53	25.58	E	58.077886	1.890439	6438065.860000	434555.750000	31	5360	2013-05-08
6507/7-A-11 B	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2006-06-28	2006-09-30	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.92	N	7	19	2.91	E	65.325811	7.317475	7245994.060000	421628.760000	32	5361	2013-05-08
34/10-E-1 Y1H	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	GAS	2006-07-04	2006-08-21	GULLFAKS SØR	NORTH SEA	ED50	61	6	38.43	N	2	15	38.84	E	61.110675	2.260789	6775500.840000	460156.920000	31	5362	2013-05-08
34/10-E-1 Y2H	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	GAS	2006-08-22	2006-09-02	GULLFAKS SØR	NORTH SEA	ED50	61	6	38.43	N	2	15	38.84	E	61.110675	2.260789	6775500.840000	460156.920000	31	5363	2013-05-08
33/9-A-16 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2006-07-11	2006-10-21	STATFJORD	NORTH SEA	ED50	61	15	20.78	N	1	51	14.96	E	61.255772	1.854156	6791977.530000	438524.090000	31	5364	2013-05-08
35/11-14 S	Norsk Hydro Produksjon AS	090 B	EXPLORATION	APPRAISAL	OIL/GAS	2006-08-23	2006-12-07	\N	NORTH SEA	ED50	61	9	2.41	N	3	32	51.76	E	61.150669	3.547711	6779854.280000	529484.240000	31	5365	2013-05-08
34/4-C-7 AH	Statoil ASA (old)	057	DEVELOPMENT	PRODUCTION	OIL	2007-08-13	2007-10-06	SNORRE	NORTH SEA	ED50	61	31	30.51	N	2	12	40.31	E	61.525142	2.211197	6821699.070000	458041.670000	31	5366	2013-05-08
6504/4-U-1	Eni Norge AS	324	SHALLOW	\N	\N	2006-06-23	2006-06-23	\N	NORWEGIAN SEA	ED50	65	42	44.37	N	4	19	39.66	E	65.712325	4.327683	7288673.070000	560936.510000	31	5367	2013-05-08
6504/4-U-2	Eni Norge AS	324	SHALLOW	\N	\N	2006-06-24	2006-06-24	\N	NORWEGIAN SEA	ED50	65	40	34.90	N	4	19	39.50	E	65.676361	4.327639	7284665.080000	561019.130000	31	5368	2013-05-08
6504/5-U-1	Eni Norge AS	324	SHALLOW	\N	\N	2006-06-22	2006-06-22	\N	NORWEGIAN SEA	ED50	65	42	13.04	N	4	26	16.63	E	65.703622	4.437953	7287814.570000	566019.050000	31	5369	2013-05-08
6504/5-U-2	Eni Norge AS	324	SHALLOW	\N	\N	2006-06-25	2006-06-25	\N	NORWEGIAN SEA	ED50	65	40	29.08	N	4	25	41.60	E	65.674744	4.428222	7284586.230000	565645.490000	31	5370	2013-05-08
6504/5-U-3	Eni Norge AS	324	SHALLOW	\N	\N	2006-06-26	2006-06-26	\N	NORWEGIAN SEA	ED50	65	40	11.72	N	4	24	41.88	E	65.669922	4.411633	7284031.620000	564895.180000	31	5371	2013-05-08
6504/5-U-4	Eni Norge AS	324	SHALLOW	\N	\N	2006-06-27	2006-06-27	\N	NORWEGIAN SEA	ED50	65	39	49.58	N	4	23	11.67	E	65.663772	4.386575	7283320.620000	563758.470000	31	5372	2013-05-08
6504/5-U-5	Eni Norge AS	324	SHALLOW	\N	\N	2006-06-23	2006-06-23	\N	NORWEGIAN SEA	ED50	65	41	38.46	N	4	22	43.92	E	65.694017	4.378867	7286683.330000	563330.140000	31	5373	2013-05-08
30/9-F-2 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	INJECTION	CUTTINGS	2006-08-15	2006-08-24	OSEBERG SØR	NORTH SEA	ED50	60	23	24.91	N	2	47	49.24	E	60.390253	2.797011	6695048.660000	488810.810000	31	5374	2013-05-08
6406/3-7	Statoil ASA (old)	314	EXPLORATION	WILDCAT	DRY	2006-07-22	2006-09-19	\N	NORWEGIAN SEA	ED50	64	46	14.70	N	6	42	29.30	E	64.770750	6.708139	7185056.840000	391011.070000	32	5375	2013-05-08
35/2-1 R	Norsk Hydro Produksjon AS	318	EXPLORATION	WILDCAT	GAS	2006-06-15	2006-07-25	\N	NORTH SEA	ED50	61	53	26.68	N	3	20	34.36	E	61.890744	3.342878	6862221.310000	518024.130000	31	5376	2013-05-08
2/4-K-19 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2006-10-03	2006-12-21	EKOFISK	NORTH SEA	ED50	56	33	55.84	N	3	12	21.98	E	56.565511	3.206106	6269180.910000	512666.630000	31	5377	2013-05-08
2/7-B-16 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-10-18	2007-02-07	ELDFISK	NORTH SEA	ED50	56	25	9.06	N	3	13	5.79	E	56.419183	3.218275	6252895.420000	513466.270000	31	5378	2013-05-08
25/11-G-12 Y1	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2006-08-11	2006-10-21	GRANE	NORTH SEA	ED50	59	9	55.12	N	2	29	14.45	E	59.165311	2.487347	6558723.900000	470686.940000	31	5379	2013-05-08
25/11-G-12 Y2	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2006-10-23	2006-12-09	GRANE	NORTH SEA	ED50	59	9	55.12	N	2	29	14.45	E	59.165311	2.487347	6558723.900000	470686.940000	31	5380	2013-05-08
31/3-S-24 Y1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2006-07-16	2006-11-16	TROLL	NORTH SEA	ED50	60	53	34.82	N	3	40	19.01	E	60.893006	3.671947	6751216.560000	536466.390000	31	5381	2013-05-08
31/3-S-24 Y2H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2006-11-17	2006-12-30	TROLL	NORTH SEA	ED50	60	53	34.82	N	3	40	19.01	E	60.893006	3.671947	6751216.560000	536466.390000	31	5382	2013-05-08
31/3-S-24 Y3H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2006-12-31	2007-03-07	TROLL	NORTH SEA	ED50	60	53	34.82	N	3	40	19.01	E	60.893006	3.671947	6751216.560000	536466.390000	31	5383	2013-05-08
6608/10-11 S	Statoil ASA (old)	128	EXPLORATION	WILDCAT	GAS	2006-07-12	2006-08-15	URD	NORWEGIAN SEA	ED50	66	0	48.68	N	8	3	14.73	E	66.013522	8.054092	7321926.370000	457090.310000	32	5386	2013-05-08
2/4-X-1 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	2006-10-17	2006-12-03	EKOFISK	NORTH SEA	ED50	56	32	50.93	N	3	13	7.98	E	56.547481	3.218883	6267176.330000	513458.320000	31	5387	2013-05-08
30/3-A-15 A	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2006-09-01	2006-10-25	VESLEFRIKK	NORTH SEA	ED50	60	46	57.98	N	2	53	52.38	E	60.782772	2.897883	6738755.530000	494438.980000	31	5388	2013-05-08
25/8-B-30	ExxonMobil Exploration & Production Norway AS	027 B	DEVELOPMENT	PRODUCTION	OIL	2006-08-14	2006-10-04	JOTUN	NORTH SEA	ED50	59	27	3.60	N	2	22	0.99	E	59.451000	2.366942	6590596.570000	464104.650000	31	5389	2013-05-08
6608/10-K-3 H	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2006-09-04	2006-10-17	NORNE	NORWEGIAN SEA	ED50	66	0	48.68	N	8	3	14.54	E	66.013522	8.054039	7321926.410000	457087.910000	32	5390	2013-05-08
2/8-N-2	BP Norge AS	006 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2003-08-08	2003-08-14	VALHALL	NORTH SEA	ED50	56	19	27.70	N	3	21	9.44	E	56.324361	3.352622	6242375.380000	521808.750000	31	5392	2013-05-08
15/12-A-4	Saga Petroleum ASA	038	DEVELOPMENT	INJECTION	CUTTINGS	1996-10-02	1996-11-04	VARG	NORTH SEA	ED50	58	4	40.48	N	1	53	25.56	E	58.077911	1.890433	6438068.650000	434555.460000	31	5393	2013-05-08
25/4-J-1 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	INJECTION	WATER	2006-09-06	2006-09-10	ALVHEIM	NORTH SEA	ED50	59	34	54.47	N	2	3	28.18	E	59.581797	2.057828	6605369.240000	446784.490000	31	5394	2013-05-08
25/4-J-2 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	INJECTION	WATER	2006-08-25	2006-10-13	ALVHEIM	NORTH SEA	ED50	59	34	53.62	N	2	3	30.80	E	59.581561	2.058556	6605342.360000	446825.220000	31	5395	2013-05-08
25/4-J-1 AH	Marathon Petroleum Norge AS	203	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2006-09-11	2006-09-21	ALVHEIM	NORTH SEA	ED50	59	34	54.47	N	2	3	28.18	E	59.581797	2.057828	6605369.240000	446784.490000	31	5397	2013-05-08
6305/5-M-2	A/S Norske Shell	209	DEVELOPMENT	OBSERVATION	\N	2006-08-05	2006-08-30	ORMEN LANGE	NORWEGIAN SEA	ED50	63	36	46.95	N	5	21	36.16	E	63.613042	5.360044	7056228.000000	617014.510000	31	5398	2013-05-08
31/2-G-1 BY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-08-03	2007-03-08	TROLL	NORTH SEA	ED50	60	45	14.72	N	3	26	22.19	E	60.754089	3.439497	6735636.460000	523955.190000	31	5399	2013-05-08
31/2-G-1 BY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-03-09	2007-05-07	TROLL	NORTH SEA	ED50	60	45	14.72	N	3	26	22.19	E	60.754089	3.439497	6735636.460000	523955.190000	31	5400	2013-05-08
24/6-B-1 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	OBSERVATION	\N	2006-12-05	2007-01-01	ALVHEIM	NORTH SEA	ED50	59	32	47.53	N	1	59	19.14	E	59.546536	1.988650	6601500.130000	442817.640000	31	5401	2013-05-08
24/6-B-1 AH	Marathon Petroleum Norge AS	203	DEVELOPMENT	OBSERVATION	\N	2007-01-02	2007-01-10	ALVHEIM	NORTH SEA	ED50	59	32	47.53	N	1	59	19.14	E	59.546536	1.988650	6601500.130000	442817.640000	31	5402	2013-05-08
24/6-B-1 BH	Marathon Petroleum Norge AS	203	DEVELOPMENT	OBSERVATION	OIL	2007-01-11	2007-01-18	ALVHEIM	NORTH SEA	ED50	59	32	47.53	N	1	59	19.14	E	59.546536	1.988650	6601500.130000	442817.640000	31	5403	2013-05-08
34/10-C-46	Statoil ASA (old)	050	DEVELOPMENT	WILDCAT	OIL	2004-03-17	2004-12-22	GIMLE	NORTH SEA	ED50	61	12	53.74	N	2	16	27.64	E	61.214928	2.274344	6787105.100000	461016.370000	31	5404	2013-05-08
34/10-E-1 Y3H	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	GAS	2006-09-03	2006-10-08	GULLFAKS SØR	NORTH SEA	ED50	61	6	38.43	N	2	15	38.84	E	61.110675	2.260789	6775500.840000	460156.920000	31	5405	2013-05-08
7122/7-4 S	Eni Norge AS	229	EXPLORATION	APPRAISAL	OIL/GAS	2006-09-21	2006-11-25	GOLIAT	BARENTS SEA	ED50	71	15	13.07	N	22	19	5.41	E	71.253631	22.318169	7906413.020000	547280.980000	34	5406	2013-05-08
2/4-M-25	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	2006-12-29	2007-01-14	EKOFISK	NORTH SEA	ED50	56	32	43.53	N	3	13	24.03	E	56.545425	3.223342	6266948.410000	513733.180000	31	5407	2013-05-08
2/4-M-26	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2008-03-27	2008-04-30	EKOFISK	NORTH SEA	ED50	56	32	43.28	N	3	13	23.62	E	56.545356	3.223228	6266940.660000	513726.210000	31	5408	2013-05-08
2/4-M-29	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-05-03	2007-06-15	EKOFISK	NORTH SEA	ED50	56	32	43.41	N	3	13	23.99	E	56.545392	3.223331	6266944.700000	513732.510000	31	5409	2013-05-08
2/4-M-6	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2008-02-20	2008-03-23	EKOFISK	NORTH SEA	ED50	56	32	43.67	N	3	13	23.15	E	56.545464	3.223097	6266952.690000	513718.140000	31	5410	2013-05-08
2/4-M-8	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-10-02	2007-11-13	EKOFISK	NORTH SEA	ED50	56	32	43.76	N	3	13	23.39	E	56.545489	3.223164	6266955.490000	513722.230000	31	5411	2013-05-08
2/4-M-11	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-06-29	2007-07-25	EKOFISK	NORTH SEA	ED50	56	32	43.60	N	3	13	23.23	E	56.545444	3.223119	6266950.530000	513719.510000	31	5412	2013-05-08
2/4-M-14	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-01-29	2007-03-18	EKOFISK	NORTH SEA	ED50	56	32	43.74	N	3	13	23.59	E	56.545483	3.223219	6266954.880000	513725.650000	31	5413	2013-05-08
2/4-M-15	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	2006-11-21	2006-12-11	EKOFISK	NORTH SEA	ED50	56	32	43.78	N	3	13	23.72	E	56.545494	3.223256	6266956.120000	513727.860000	31	5414	2013-05-08
33/12-B-17 A	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2006-09-19	2007-02-19	STATFJORD	NORTH SEA	ED50	61	12	25.02	N	1	49	52.34	E	61.206950	1.831206	6786561.480000	437195.640000	31	5415	2013-05-08
34/10-B-7 B	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2006-10-15	2006-11-06	GULLFAKS	NORTH SEA	ED50	61	12	9.91	N	2	12	6.53	E	61.202753	2.201814	6785794.370000	457103.460000	31	5416	2013-05-08
15/12-A-12 B	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2006-09-14	2006-10-26	VARG	NORTH SEA	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	5417	2013-05-08
25/8-B-32	ExxonMobil Exploration & Production Norway AS	027 B	DEVELOPMENT	PRODUCTION	\N	2006-10-05	2006-11-01	JOTUN	NORTH SEA	ED50	59	27	3.72	N	2	22	0.71	E	59.451033	2.366864	6590600.320000	464100.280000	31	5418	2013-05-08
2/7-A-5 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2008-02-15	2008-04-12	ELDFISK	NORTH SEA	ED50	56	22	36.41	N	3	15	57.86	E	56.376781	3.266072	6248186.010000	516433.320000	31	5419	2013-05-08
2/4-M-10 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-06-05	2006-08-10	EKOFISK	NORTH SEA	ED50	56	32	43.85	N	3	13	23.63	E	56.545514	3.223231	6266958.280000	513726.320000	31	5420	2013-05-08
31/4-A-16 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	OBSERVATION	OIL	2006-12-05	2007-02-20	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	51.03	E	60.542594	3.047508	6712000.250000	502606.520000	31	5421	2013-05-08
31/4-A-16 B	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2007-02-21	2007-03-27	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	51.03	E	60.542594	3.047508	6712000.250000	502606.520000	31	5422	2013-05-08
30/9-J-11 AH	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	\N	2006-09-20	2006-09-29	OSEBERG SØR	NORTH SEA	ED50	60	21	16.17	N	2	53	59.85	E	60.354492	2.899958	6691052.580000	494479.440000	31	5423	2013-05-08
35/11-B-24 H	Norsk Hydro Produksjon AS	090	DEVELOPMENT	INJECTION	WATER	2006-12-26	2007-01-19	FRAM	NORTH SEA	ED50	61	2	33.79	N	3	35	59.73	E	61.042719	3.599925	6767854.630000	532405.170000	31	5424	2013-05-08
6608/10-K-1 H	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2006-10-18	2006-12-20	NORNE	NORWEGIAN SEA	ED50	66	0	48.32	N	8	3	14.92	E	66.013422	8.054144	7321915.190000	457092.530000	32	5425	2013-05-08
30/9-J-11 BH	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	OIL	2006-09-30	2006-10-30	OSEBERG SØR	NORTH SEA	ED50	60	21	16.17	N	2	53	59.85	E	60.354492	2.899958	6691052.580000	494479.440000	31	5426	2013-05-08
34/10-A-24 B	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2007-04-12	2007-05-03	GULLFAKS	NORTH SEA	ED50	61	10	33.63	N	2	11	22.72	E	61.176008	2.189644	6782823.450000	456412.550000	31	5427	2013-05-08
2/11-S-7 F2	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2005-05-04	2005-06-12	HOD	NORTH SEA	ED50	56	13	39.71	N	3	26	14.81	E	56.227697	3.437447	6231646.250000	527123.240000	31	5428	2013-05-08
2/11-S-1 AF2	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2005-11-01	2005-12-09	HOD	NORTH SEA	ED50	56	13	39.66	N	3	26	14.53	E	56.227683	3.437369	6231644.670000	527118.420000	31	5429	2013-05-08
6507/11-7	Norsk Hydro Produksjon AS	263	EXPLORATION	WILDCAT	DRY	2006-12-13	2007-02-12	\N	NORWEGIAN SEA	ED50	65	10	54.58	N	7	21	52.80	E	65.181828	7.364667	7229892.520000	423410.550000	32	5430	2013-05-08
31/2-N-22 Y1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2006-10-20	2007-01-07	TROLL	NORTH SEA	ED50	60	56	46.92	N	3	34	49.07	E	60.946367	3.580297	6757112.700000	531440.060000	31	5431	2013-05-08
31/2-N-22 Y2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-01-09	2007-01-18	TROLL	NORTH SEA	ED50	60	56	46.92	N	3	34	49.07	E	60.946367	3.580297	6757112.700000	531440.060000	31	5432	2013-05-08
31/2-N-22 Y3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-01-19	2007-02-24	TROLL	NORTH SEA	ED50	60	56	46.92	N	3	34	49.07	E	60.946367	3.580297	6757112.700000	531440.060000	31	5433	2013-05-08
33/9-A-32 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2006-11-25	2006-12-31	STATFJORD	NORTH SEA	ED50	61	15	19.82	N	1	51	14.12	E	61.255506	1.853922	6791948.050000	438511.050000	31	5434	2013-05-08
6406/8-2	Total E&P Norge AS	323	EXPLORATION	WILDCAT	DRY	2006-10-28	2007-04-08	\N	NORWEGIAN SEA	ED50	64	28	49.95	N	6	20	17.62	E	64.480542	6.338228	7153423.990000	372069.890000	32	5435	2013-05-08
25/8-B-31	ExxonMobil Exploration & Production Norway AS	027 B	DEVELOPMENT	PRODUCTION	\N	2006-11-02	2006-12-03	JOTUN	NORTH SEA	ED50	59	27	3.71	N	2	22	1.07	E	59.451031	2.366964	6590599.960000	464105.940000	31	5436	2013-05-08
34/10-B-17 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2006-11-23	2007-01-03	GULLFAKS	NORTH SEA	ED50	61	12	11.10	N	2	12	4.49	E	61.203083	2.201247	6785831.560000	457073.460000	31	5437	2013-05-08
34/10-B-7 C	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	WATER	2008-08-21	2008-09-23	GULLFAKS	NORTH SEA	ED50	61	12	9.91	N	2	12	6.53	E	61.202753	2.201814	6785794.370000	457103.460000	31	5438	2013-05-08
7122/7-5	Eni Norge AS	229	EXPLORATION	WILDCAT	DRY	2006-11-28	2006-12-23	\N	BARENTS SEA	ED50	71	16	24.70	N	22	16	40.43	E	71.273528	22.277897	7908600.890000	545789.790000	34	5439	2013-05-08
2/4-X-26	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-01-01	2007-02-08	EKOFISK	NORTH SEA	ED50	56	32	51.61	N	3	13	8.49	E	56.547669	3.219025	6267197.390000	513466.960000	31	5440	2013-05-08
16/4-4	Statoil ASA (old)	339	EXPLORATION	WILDCAT	GAS/CONDENSATE	2006-12-28	2007-03-23	\N	NORTH SEA	ED50	58	31	48.00	N	2	8	59.80	E	58.530000	2.149944	6488180.960000	450496.830000	31	5441	2013-05-08
15/12-17 S	Talisman Energy Norge AS	038	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2006-12-23	2007-02-04	REV	NORTH SEA	ED50	58	1	42.68	N	1	55	23.46	E	58.028522	1.923183	6432538.900000	436399.330000	31	5442	2013-05-08
6506/12-Q-4 H	Statoil ASA (old)	094	DEVELOPMENT	OBSERVATION	OIL	2006-11-03	2007-01-13	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.58	N	6	56	27.55	E	65.040439	6.940986	7214721.310000	403059.080000	32	5444	2013-05-08
6506/12-Q-4 AY1H	Statoil ASA (old)	094	DEVELOPMENT	PRODUCTION	OIL	2007-01-14	2007-03-26	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.58	N	6	56	27.55	E	65.040439	6.940986	7214721.310000	403059.080000	32	5445	2013-05-08
6506/12-Q-4 AY2H	Statoil ASA (old)	094	DEVELOPMENT	PRODUCTION	OIL	2007-03-27	2007-05-28	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.58	N	6	56	27.55	E	65.040439	6.940986	7214721.310000	403059.080000	32	5446	2013-05-08
6506/12-Q-5 Y1H	StatoilHydro Petroleum AS	094	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2009-08-27	2009-11-11	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.75	N	6	56	27.45	E	65.040486	6.940958	7214726.610000	403057.940000	32	5447	2013-05-08
2/4-X-1 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	2006-12-04	2006-12-26	EKOFISK	NORTH SEA	ED50	56	32	50.93	N	3	13	7.98	E	56.547481	3.218883	6267176.330000	513458.320000	31	5448	2013-05-08
2/4-K-6 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2007-09-19	2007-11-08	EKOFISK	NORTH SEA	ED50	56	33	55.86	N	3	12	22.64	E	56.565517	3.206289	6269181.560000	512677.900000	31	5449	2013-05-08
7125/4-1	Norsk Hydro Produksjon AS	393	EXPLORATION	WILDCAT	OIL/GAS	2007-01-17	2007-03-07	\N	BARENTS SEA	ED50	71	33	0.80	N	25	14	22.32	E	71.550222	25.239533	7939886.060000	437821.200000	35	5450	2013-05-08
34/11-A-13	Statoil ASA (old)	193	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2006-12-07	2007-07-31	KVITEBJØRN	NORTH SEA	ED50	61	4	49.15	N	2	29	58.98	E	61.080319	2.499717	6771997.610000	473008.930000	31	5451	2013-05-08
25/11-G-30 Y1	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2006-12-08	2007-01-17	GRANE	NORTH SEA	ED50	59	9	54.71	N	2	29	14.76	E	59.165197	2.487433	6558711.180000	470691.760000	31	5452	2013-05-08
25/11-G-30 Y2	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2007-01-18	2007-02-09	GRANE	NORTH SEA	ED50	59	9	54.71	N	2	29	14.76	E	59.165197	2.487433	6558711.180000	470691.760000	31	5453	2013-05-08
6406/9-2	A/S Norske Shell	255	EXPLORATION	APPRAISAL	GAS	2007-02-05	2007-07-01	\N	NORWEGIAN SEA	ED50	64	28	34.83	N	6	48	9.46	E	64.476342	6.802628	7152101.790000	394366.070000	32	5454	2013-05-08
34/10-A-6 B	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2007-02-02	2007-02-27	GULLFAKS	NORTH SEA	ED50	61	10	33.64	N	2	11	23.09	E	61.176011	2.189747	6782823.690000	456418.080000	31	5455	2013-05-08
2/4-M-15 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2006-12-12	2006-12-27	EKOFISK	NORTH SEA	ED50	56	32	43.78	N	3	13	23.72	E	56.545494	3.223256	6266956.120000	513727.860000	31	5456	2013-05-08
30/6-G-44 BH	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2007-01-19	2007-03-31	OSEBERG	NORTH SEA	ED50	60	32	15.61	N	2	41	8.01	E	60.537669	2.685558	6711491.970000	482745.720000	31	5463	2013-05-08
33/9-A-40 D	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2007-01-12	2007-03-11	STATFJORD	NORTH SEA	ED50	61	15	19.72	N	1	51	13.87	E	61.255478	1.853853	6791945.020000	438507.270000	31	5464	2013-05-08
7122/7-5 A	Eni Norge AS	229	EXPLORATION	WILDCAT	OIL	2006-12-23	2007-01-13	GOLIAT	BARENTS SEA	ED50	71	16	24.70	N	22	16	40.43	E	71.273528	22.277897	7908600.890000	545789.790000	34	5465	2013-05-08
30/9-F-13	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	OIL	2007-02-16	2007-05-13	OSEBERG SØR	NORTH SEA	ED50	60	23	24.68	N	2	47	49.20	E	60.390189	2.797000	6695041.540000	488810.180000	31	5466	2013-05-08
30/9-F-13 A	Norsk Hydro Produksjon AS	104	DEVELOPMENT	PRODUCTION	OIL	2007-08-30	2008-01-20	OSEBERG SØR	NORTH SEA	ED50	60	23	24.68	N	2	47	49.20	E	60.390189	2.797000	6695041.540000	488810.180000	31	5467	2013-05-08
33/12-N-5 H	StatoilHydro ASA	037 B	DEVELOPMENT	PRODUCTION	OIL	2007-02-15	2007-05-03	GULLFAKS SØR	NORTH SEA	ED50	61	2	37.96	N	1	58	55.88	E	61.043878	1.982189	6768262.470000	445025.560000	31	5468	2013-05-08
6507/7-A-44 A	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2007-02-10	2007-03-13	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.52	N	7	19	3.41	E	65.325700	7.317614	7245981.500000	421634.900000	32	5469	2013-05-08
25/11-24	Norsk Hydro Produksjon AS	169	EXPLORATION	WILDCAT	OIL	2007-02-18	2007-03-29	\N	NORTH SEA	ED50	59	6	12.68	N	2	20	27.73	E	59.103522	2.341036	6551916.900000	462253.220000	31	5470	2013-05-08
6607/2-1	Eni Norge AS	329	EXPLORATION	WILDCAT	DRY	2007-02-09	2007-03-26	\N	NORWEGIAN SEA	ED50	66	49	20.18	N	7	22	15.50	E	66.822272	7.370972	7412692.490000	428455.220000	32	5471	2013-05-08
25/8-C-24	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	OBSERVATION	OIL	2007-01-13	2007-02-12	BALDER	NORTH SEA	ED50	59	15	57.72	N	2	26	59.68	E	59.266033	2.449911	6569957.030000	468638.920000	31	5472	2013-05-08
25/8-C-24 A	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	PRODUCTION	OIL	2007-02-12	2007-03-31	BALDER	NORTH SEA	ED50	59	15	57.72	N	2	26	59.68	E	59.266033	2.449911	6569957.030000	468638.920000	31	5473	2013-05-08
7/11-11 S	Talisman Energy Norge AS	301	EXPLORATION	APPRAISAL	OIL SHOWS	2007-03-29	2007-06-10	MIME	NORTH SEA	ED50	57	7	34.87	N	2	28	58.68	E	57.126353	2.482967	6331711.790000	468696.470000	31	5474	2013-05-08
24/6-B-1 CH	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2007-01-19	2007-03-07	ALVHEIM	NORTH SEA	ED50	59	32	47.53	N	1	59	19.14	E	59.546536	1.988650	6601500.130000	442817.640000	31	5475	2013-05-08
35/11-B-31 H	Norsk Hydro Produksjon AS	090	DEVELOPMENT	INJECTION	CUTTINGS	2007-01-26	2007-02-09	FRAM	NORTH SEA	ED50	61	2	25.06	N	3	34	33.92	E	61.040294	3.576089	6767572.950000	531120.060000	31	5476	2013-05-08
34/7-F-2 H	Statoil Petroleum AS	089	DEVELOPMENT	INJECTION	WATER	2012-06-21	2012-07-27	VIGDIS	NORTH SEA	ED50	61	19	14.23	N	2	4	0.09	E	61.320619	2.066692	6799019.210000	450029.500000	31	5477	2013-05-08
34/10-C-20 AY2	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	WATER	2006-12-20	2007-03-17	GULLFAKS	NORTH SEA	ED50	61	12	53.39	N	2	16	28.06	E	61.214831	2.274461	6787094.200000	461022.520000	31	5478	2013-05-08
34/7-F-4 H	Statoil ASA (old)	089	DEVELOPMENT	INJECTION	\N	2007-01-24	2007-03-27	VIGDIS	NORTH SEA	ED50	61	19	14.57	N	2	4	0.15	E	61.320714	2.066708	6799029.710000	450030.550000	31	5479	2013-05-08
2/4-M-25 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-01-15	2007-01-24	EKOFISK	NORTH SEA	ED50	56	32	43.53	N	3	13	24.03	E	56.545425	3.223342	6266948.410000	513733.180000	31	5480	2013-05-08
30/3-A-2 B	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2007-02-27	2007-05-25	VESLEFRIKK	NORTH SEA	ED50	60	46	57.87	N	2	53	52.38	E	60.782742	2.897883	6738752.120000	494438.980000	31	5481	2013-05-08
2/4-K-9 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2007-03-05	2007-05-26	EKOFISK	NORTH SEA	ED50	56	33	55.76	N	3	12	22.10	E	56.565489	3.206139	6269178.440000	512668.690000	31	5482	2013-05-08
34/8-A-25 BH	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	OIL	2007-03-08	2007-03-19	VISUND	NORTH SEA	ED50	61	22	12.20	N	2	27	34.67	E	61.370056	2.459631	6804288.640000	471113.060000	31	5483	2013-05-08
15/12-17 A	Talisman Energy Norge AS	038	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2007-02-04	2007-03-23	REV	NORTH SEA	ED50	58	1	42.68	N	1	55	23.46	E	58.028522	1.923183	6432538.900000	436399.330000	31	5484	2013-05-08
1/3-K-5	BP Norge AS	065	DEVELOPMENT	OBSERVATION	OIL	2007-04-04	2007-07-01	TAMBAR ØST	NORTH SEA	ED50	56	58	58.01	N	2	57	31.57	E	56.982781	2.958769	6315611.340000	497494.050000	31	5485	2013-05-08
1/3-K-5 A	BP Norge AS	065	DEVELOPMENT	PRODUCTION	OIL	2007-07-02	2007-08-13	TAMBAR ØST	NORTH SEA	ED50	56	58	58.01	N	2	57	31.57	E	56.982781	2.958769	6315611.340000	497494.050000	31	5486	2013-05-08
31/2-D-7 AY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-03-05	2007-04-07	TROLL	NORTH SEA	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	5487	2013-05-08
31/2-D-7 AY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-04-08	2007-04-14	TROLL	NORTH SEA	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	5488	2013-05-08
31/2-D-7 AY3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-04-15	2007-04-21	TROLL	NORTH SEA	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	5489	2013-05-08
31/2-D-7 AY5H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-04-30	2007-05-05	TROLL	NORTH SEA	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	5490	2013-05-08
35/11-B-11 H	Norsk Hydro Produksjon AS	090	DEVELOPMENT	PRODUCTION	OIL	2007-02-18	2007-06-09	FRAM	NORTH SEA	ED50	61	2	21.98	N	3	34	32.11	E	61.039439	3.575586	6767477.410000	531093.740000	31	5491	2013-05-08
31/2-D-7 AY6H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-05-06	2007-05-11	TROLL	NORTH SEA	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	5492	2013-05-08
31/2-D-7 AY7H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-05-12	2007-05-25	TROLL	NORTH SEA	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	5493	2013-05-08
15/6-9 S	Statoil ASA (old)	303	EXPLORATION	APPRAISAL	OIL/GAS	2007-03-29	2007-05-27	\N	NORTH SEA	ED50	58	35	13.71	N	1	44	34.87	E	58.587142	1.743019	6494914.510000	426920.010000	31	5494	2013-05-08
34/10-C-50	Statoil Petroleum AS	050	DEVELOPMENT	INJECTION	WATER	9999-12-31	9999-12-31	GULLFAKS	NORTH SEA	ED50	61	12	54.75	N	2	16	26.04	E	61.215208	2.273900	6787136.610000	460992.840000	31	5495	2013-05-08
25/11-G-2 Y1	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2007-02-10	2007-04-10	GRANE	NORTH SEA	ED50	59	9	55.11	N	2	29	13.99	E	59.165308	2.487219	6558723.650000	470679.630000	31	5496	2013-05-08
25/11-G-2 Y2	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2007-04-13	2007-05-06	GRANE	NORTH SEA	ED50	59	9	55.11	N	2	29	13.99	E	59.165308	2.487219	6558723.650000	470679.630000	31	5497	2013-05-08
25/11-G-2 Y3	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2007-05-07	2007-07-25	GRANE	NORTH SEA	ED50	59	9	55.11	N	2	29	13.99	E	59.165308	2.487219	6558723.650000	470679.630000	31	5498	2013-05-08
1/3-U-10	DONG E&P Norge AS	274	SHALLOW	\N	\N	2007-03-01	2007-03-01	\N	NORTH SEA	ED50	56	55	39.83	N	2	42	20.61	E	56.927731	2.705725	6309521.020000	482087.930000	31	5499	2013-05-08
15/9-A-18	Statoil ASA (old)	046	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2007-03-12	2007-07-07	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.02	N	1	54	31.85	E	58.367228	1.908847	6470261.340000	436163.030000	31	5502	2013-05-08
2/1-A-2 A	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2007-02-17	2007-04-19	GYDA	NORTH SEA	ED50	56	54	17.61	N	3	5	6.93	E	56.904892	3.085258	6306943.320000	505192.720000	31	5503	2013-05-08
2/4-M-19	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-03-20	2007-04-30	EKOFISK	NORTH SEA	ED50	56	32	43.55	N	3	13	23.82	E	56.545431	3.223283	6266949.020000	513729.600000	31	5504	2013-05-08
6305/5-B-1 H	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	ORMEN LANGE	NORWEGIAN SEA	ED50	63	31	41.90	N	5	23	17.09	E	63.528306	5.388081	7046842.330000	618756.530000	31	5505	2013-05-08
6305/5-B-4 H	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	ORMEN LANGE	NORWEGIAN SEA	ED50	63	31	41.93	N	5	23	15.78	E	63.528314	5.387717	7046842.580000	618738.410000	31	5506	2013-05-08
6305/5-B-5 H	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	ORMEN LANGE	NORWEGIAN SEA	ED50	63	31	42.38	N	5	23	17.16	E	63.528439	5.388100	7046857.210000	618756.940000	31	5507	2013-05-08
6305/5-B-8 H	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	ORMEN LANGE	NORWEGIAN SEA	ED50	63	31	42.42	N	5	23	15.85	E	63.528450	5.387736	7046857.770000	618738.810000	31	5508	2013-05-08
6305/8-A-1 H	A/S Norske Shell	250	DEVELOPMENT	PRODUCTION	GAS	2006-03-25	2007-06-12	ORMEN LANGE	NORWEGIAN SEA	ED50	63	29	48.00	N	5	23	10.10	E	63.496667	5.386139	7043315.040000	618791.430000	31	5509	2013-05-08
6305/8-A-4 H	A/S Norske Shell	250	DEVELOPMENT	PRODUCTION	GAS	2009-01-25	2009-02-27	ORMEN LANGE	NORWEGIAN SEA	ED50	63	29	48.16	N	5	23	10.91	E	63.496711	5.386364	7043320.410000	618802.440000	31	5510	2013-05-08
6305/8-A-5 H	A/S Norske Shell	250	DEVELOPMENT	PRODUCTION	GAS	2008-12-24	2009-01-22	ORMEN LANGE	NORWEGIAN SEA	ED50	63	29	48.61	N	5	23	12.28	E	63.496836	5.386744	7043335.030000	618820.860000	31	5511	2013-05-08
6305/8-A-8 H	A/S Norske Shell	250	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	ORMEN LANGE	NORWEGIAN SEA	ED50	63	29	48.65	N	5	23	10.97	E	63.496847	5.386381	7043335.600000	618802.710000	31	5512	2013-05-08
2/4-B-8 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-06-06	2007-09-05	EKOFISK	NORTH SEA	ED50	56	33	54.61	N	3	12	13.10	E	56.565169	3.203639	6269142.430000	512515.150000	31	5513	2013-05-08
33/12-B-11 C	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	GAS	2007-03-17	2007-05-07	STATFJORD	NORTH SEA	ED50	61	12	25.12	N	1	49	52.27	E	61.206978	1.831186	6786564.590000	437194.650000	31	5514	2013-05-08
34/7-P-32 A	Statoil ASA (old)	089	DEVELOPMENT	INJECTION	WATER/GAS	2007-03-20	2007-07-20	SNORRE	NORTH SEA	ED50	61	26	58.11	N	2	8	36.53	E	61.449475	2.143481	6813315.970000	454329.080000	31	5515	2013-05-08
2/11-S-6	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	\N	2002-11-05	2002-11-11	VALHALL	NORTH SEA	ED50	56	13	39.66	N	3	26	14.72	E	56.227683	3.437422	6231644.700000	527121.700000	31	5516	2013-05-08
35/11-15 S	Norsk Hydro Produksjon AS	090	EXPLORATION	WILDCAT	OIL/GAS	2007-04-01	2007-06-28	\N	NORTH SEA	ED50	61	6	50.28	N	3	31	19.94	E	61.113967	3.522206	6775754.760000	528143.880000	31	5517	2013-05-08
6504/5-1 S	Eni Norge AS	324	EXPLORATION	WILDCAT	DRY	2007-03-31	2007-06-28	\N	NORWEGIAN SEA	ED50	65	41	38.46	N	4	22	43.92	E	65.694017	4.378867	7286683.330000	563330.140000	31	5518	2013-05-08
6507/7-A-17 A	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	OIL	2007-04-16	2007-04-25	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.73	N	7	19	2.39	E	65.325758	7.317331	7245988.350000	421621.880000	32	5519	2013-05-08
6507/7-A-17 B	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2007-04-26	2007-05-09	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.73	N	7	19	2.39	E	65.325758	7.317331	7245988.350000	421621.880000	32	5520	2013-05-08
6608/10-K-4 H	Statoil ASA (old)	128	DEVELOPMENT	PRODUCTION	OIL	2007-03-29	2007-05-29	NORNE	NORWEGIAN SEA	ED50	66	0	48.42	N	8	3	15.17	E	66.013450	8.054214	7321918.240000	457095.730000	32	5521	2013-05-08
24/6-B-2 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2008-02-15	2008-03-09	ALVHEIM	NORTH SEA	ED50	59	32	46.95	N	1	59	18.03	E	59.546375	1.988342	6601482.450000	442799.930000	31	5522	2013-05-08
24/6-B-3 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	OBSERVATION	OIL	2007-04-09	2007-04-22	ALVHEIM	NORTH SEA	ED50	59	32	48.09	N	1	59	18.03	\N	59.546692	1.988342	6601517.710000	557199.530000	31	5523	2013-05-08
2/4-X-34 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	2007-03-25	2007-05-08	EKOFISK	NORTH SEA	ED50	56	32	51.75	N	3	13	8.68	E	56.547708	3.219078	6267201.730000	513470.190000	31	5524	2013-05-08
30/6-C-15 C	Norsk Hydro Produksjon AS	053	DEVELOPMENT	PRODUCTION	OIL	2007-04-05	2007-09-05	OSEBERG	NORTH SEA	ED50	60	36	29.37	N	2	46	33.39	E	60.608158	2.775942	6719322.860000	487732.030000	31	5525	2013-05-08
25/8-C-23	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	PRODUCTION	OIL	2007-04-03	2007-08-12	BALDER	NORTH SEA	ED50	59	15	57.74	N	2	26	59.33	E	59.266039	2.449814	6569957.690000	468633.380000	31	5526	2013-05-08
31/4-A-40 A	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2007-06-12	2007-07-25	BRAGE	NORTH SEA	ED50	60	32	33.51	N	3	2	50.52	E	60.542642	3.047367	6712005.500000	502598.750000	31	5527	2013-05-08
34/7-G-1 H	Statoil ASA (old)	089	DEVELOPMENT	INJECTION	WATER	2007-08-27	2007-09-21	VIGDIS	NORTH SEA	ED50	61	22	43.75	N	2	6	21.25	E	61.378819	2.105903	6805472.610000	452217.610000	31	5528	2013-05-08
34/7-G-2 H	StatoilHydro ASA	089	DEVELOPMENT	INJECTION	WATER	2008-04-11	2008-06-23	VIGDIS	NORTH SEA	ED50	61	22	43.75	N	2	6	21.24	E	61.378819	2.105900	6805472.610000	452217.460000	31	5529	2013-05-08
34/7-G-3 H	Statoil ASA (old)	089	DEVELOPMENT	PRODUCTION	OIL	2007-04-24	2007-12-23	VIGDIS	NORTH SEA	ED50	61	22	44.14	N	2	6	21.06	E	61.378928	2.105850	6805484.710000	452214.950000	31	5530	2013-05-08
34/7-G-4 H	StatoilHydro ASA	089	DEVELOPMENT	OBSERVATION	\N	2009-03-23	2009-04-14	VIGDIS	NORTH SEA	ED50	61	22	44.12	N	2	6	21.36	E	61.378922	2.105933	6805484.030000	452219.400000	31	5531	2013-05-08
24/6-B-3 AY1H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2008-03-20	2008-04-02	ALVHEIM	NORTH SEA	ED50	59	32	48.09	N	1	59	18.03	E	59.546692	1.988342	6601517.710000	442800.470000	31	5532	2013-05-08
24/6-B-3 AY2H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2008-04-03	2008-05-02	ALVHEIM	NORTH SEA	ED50	59	32	48.09	N	1	59	18.03	E	59.546692	1.988342	6601517.710000	442800.470000	31	5533	2013-05-08
34/7-U-15	StatoilHydro ASA	\N	SHALLOW	\N	\N	2007-03-30	2007-04-01	VIGDIS	NORTH SEA	ED50	61	22	43.24	N	2	6	21.71	E	61.378678	2.106031	6805456.730000	452224.220000	31	5534	2013-05-08
2/1-A-14 C	Talisman Energy Norge AS	019 B	DEVELOPMENT	INJECTION	WATER	2007-04-19	2007-05-21	GYDA	NORTH SEA	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	5535	2013-05-08
6608/10-H-1 AH	StatoilHydro ASA	128	DEVELOPMENT	INJECTION	WATER	2007-05-11	2007-05-29	URD	NORWEGIAN SEA	ED50	66	4	39.24	N	8	15	3.49	E	66.077567	8.250969	7328944.220000	466106.270000	32	5536	2013-05-08
35/2-U-1	Statoil Petroleum AS	318	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	52	34.71	N	3	24	51.01	E	61.876308	3.414169	6860634.930000	521781.960000	31	5537	2013-05-08
35/2-U-2	Statoil Petroleum AS	318	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	52	34.71	N	3	24	52.31	E	61.876308	3.414531	6860635.050000	521800.950000	31	5538	2013-05-08
35/2-U-3	Statoil Petroleum AS	318	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	52	34.06	N	3	24	52.37	E	61.876128	3.414547	6860614.940000	521801.960000	31	5539	2013-05-08
35/2-U-4	Statoil Petroleum AS	318	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	52	34.06	N	3	24	51.01	E	61.876128	3.414169	6860614.810000	521782.090000	31	5540	2013-05-08
31/5-J-24 AY1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2007-05-14	2007-07-19	TROLL	NORTH SEA	ED50	60	43	45.40	N	3	39	23.27	E	60.729278	3.656464	6732971.650000	535808.560000	31	5541	2013-05-08
31/5-J-24 AY2H	StatoilHydro Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2007-07-19	2007-07-27	TROLL	NORTH SEA	ED50	60	43	45.40	N	3	39	23.27	E	60.729278	3.656464	6732971.650000	535808.560000	31	5542	2013-05-08
31/5-J-24 AY3H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2007-07-27	2007-08-19	TROLL	NORTH SEA	ED50	60	43	45.40	N	3	39	23.27	E	60.729278	3.656464	6732971.650000	535808.560000	31	5543	2013-05-08
34/7-U-16	StatoilHydro ASA	\N	SHALLOW	\N	\N	2007-05-11	2007-05-13	TORDIS	NORTH SEA	ED50	61	16	31.53	N	2	6	53.26	E	61.275425	2.114794	6793949.270000	452536.650000	31	5544	2013-05-08
34/7-R-1 H	Statoil ASA (old)	089	DEVELOPMENT	INJECTION	WATER	2007-05-30	2007-06-16	TORDIS	NORTH SEA	ED50	61	16	32.22	N	2	6	54.69	E	61.275617	2.115192	6793970.330000	452558.240000	31	5545	2013-05-08
15/12-U-10	Pertra ASA	337	SHALLOW	\N	\N	2007-04-20	2007-04-20	\N	NORTH SEA	ED50	58	12	51.44	N	1	46	37.16	E	58.214289	1.776989	6453367.080000	428140.020000	31	5546	2013-05-08
15/12-U-11	Pertra ASA	337	SHALLOW	\N	\N	2007-04-21	2007-04-21	\N	NORTH SEA	ED50	58	12	51.96	N	1	46	40.94	E	58.214433	1.778039	6453382.040000	428202.000000	31	5547	2013-05-08
15/12-U-12	Pertra ASA	337	SHALLOW	\N	\N	2007-04-22	2007-04-22	\N	NORTH SEA	ED50	58	12	53.45	N	1	46	38.07	E	58.214847	1.777242	6453428.970000	428156.000000	31	5548	2013-05-08
34/4-C-4 AH	Statoil ASA (old)	057	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	SNORRE	NORTH SEA	ED50	61	31	30.23	N	2	12	40.99	E	61.525064	2.211386	6821690.280000	458051.620000	31	5549	2013-05-08
6407/7-7 S	Norsk Hydro Produksjon AS	107	EXPLORATION	WILDCAT	GAS/CONDENSATE	2007-08-03	2007-09-20	NJORD	NORWEGIAN SEA	ED50	64	17	40.10	N	7	7	10.50	E	64.294472	7.119583	7131351.020000	408999.470000	32	5550	2013-05-08
16/2-3	Statoil ASA (old)	265	EXPLORATION	WILDCAT	OIL/GAS	2007-08-01	2007-09-28	\N	NORTH SEA	ED50	58	53	0.30	N	2	22	24.30	E	58.883417	2.373417	6527389.840000	463878.260000	31	5551	2013-05-08
34/8-A-25 CH	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	OIL	2007-04-20	2007-05-15	VISUND	NORTH SEA	ED50	61	22	12.20	N	2	27	34.67	E	61.370056	2.459631	6804288.640000	471113.060000	31	5552	2013-05-08
31/2-D-7 AY4H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-04-22	2007-04-29	TROLL	NORTH SEA	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	5553	2013-05-08
6407/7-B-1 Y1H	Norsk Hydro Produksjon AS	107	DEVELOPMENT	PRODUCTION	\N	2007-07-06	2008-01-07	NJORD	NORWEGIAN SEA	ED50	64	17	40.10	N	7	7	10.50	E	64.294472	7.119583	7131351.020000	408999.470000	32	5554	2013-05-08
25/4-D-1 AH	Norsk Hydro Produksjon AS	036	DEVELOPMENT	PRODUCTION	OIL	2007-06-06	2007-06-20	VILJE	NORTH SEA	ED50	59	39	22.03	N	2	16	40.86	E	59.656119	2.278017	6613490.130000	459310.750000	31	5555	2013-05-08
2/4-20	ConocoPhillips Skandinavia AS	018	EXPLORATION	WILDCAT	DRY	2007-09-22	2008-03-14	\N	NORTH SEA	ED50	56	36	43.17	N	3	8	40.08	E	56.611992	3.144467	6274345.100000	508867.610000	31	5556	2013-05-08
34/10-C-51	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	WATER	2007-05-07	2007-07-31	GULLFAKS	NORTH SEA	ED50	61	12	53.74	N	2	16	27.64	E	61.214928	2.274344	6787105.100000	461016.370000	31	5557	2013-05-08
34/10-B-4 B	Statoil ASA (old)	050	DEVELOPMENT	INJECTION	WATER	2007-05-09	2007-05-31	GULLFAKS	NORTH SEA	ED50	61	12	10.10	N	2	12	5.91	E	61.202806	2.201642	6785800.370000	457094.280000	31	5558	2013-05-08
34/8-A-25 DH	Statoil ASA (old)	120	DEVELOPMENT	PRODUCTION	OIL	2007-05-16	2007-08-01	VISUND	NORTH SEA	ED50	61	22	12.20	N	2	27	34.67	E	61.370056	2.459631	6804288.640000	471113.060000	31	5559	2013-05-08
34/11-A-12	Statoil ASA (old)	193	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2007-08-04	2007-12-22	KVITEBJØRN	NORTH SEA	ED50	61	4	49.10	N	2	29	59.05	E	61.080306	2.499736	6771996.050000	473009.970000	31	5560	2013-05-08
15/5-A-7 H	Statoil ASA (old)	048 B	DEVELOPMENT	PRODUCTION	OIL	2007-06-06	2007-09-30	GLITNE	NORTH SEA	ED50	58	42	45.05	N	1	37	52.05	E	58.712514	1.631125	6509000.010000	420699.940000	31	5561	2013-05-08
6507/11-8	Statoil ASA (old)	062	EXPLORATION	WILDCAT	GAS	2007-05-31	2007-07-03	YTTERGRYTA	NORWEGIAN SEA	ED50	65	6	41.74	N	7	30	33.21	E	65.111594	7.509225	7221898.700000	429994.970000	32	5562	2013-05-08
24/9-8	Det Norske Oljeselskap AS	305	EXPLORATION	WILDCAT	DRY	2007-07-18	2007-09-04	\N	NORTH SEA	ED50	59	21	59.99	N	1	57	17.97	E	59.366664	1.954992	6581500.030000	440600.020000	31	5563	2013-05-08
6405/10-U-1	Statoil ASA (old)	\N	SHALLOW	\N	\N	2007-07-02	2007-07-05	\N	NORWEGIAN SEA	ED50	64	0	50.57	N	5	16	46.05	E	64.014047	5.279458	7100747.480000	611424.830000	31	5564	2013-05-08
6405/10-1	Statoil ASA (old)	281	EXPLORATION	WILDCAT	GAS	2007-07-05	2007-09-07	\N	NORWEGIAN SEA	ED50	64	0	49.10	N	5	16	45.80	E	64.013639	5.279389	7100701.880000	611423.070000	31	5565	2013-05-08
15/6-9 A	Statoil ASA (old)	303	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2007-05-26	2007-06-13	\N	NORTH SEA	ED50	58	35	13.71	N	1	44	34.87	E	58.587142	1.743019	6494914.510000	426920.010000	31	5566	2013-05-08
33/9-A-2 B	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	GAS	2007-06-10	2007-10-31	STATFJORD	NORTH SEA	ED50	61	15	20.99	N	1	51	15.14	E	61.255831	1.854206	6791983.980000	438526.890000	31	5567	2013-05-08
35/11-B-12 H	Norsk Hydro Produksjon AS	090	DEVELOPMENT	OBSERVATION	OIL	2007-06-26	2007-09-02	FRAM	NORTH SEA	ED50	61	2	21.88	N	3	34	32.37	E	61.039411	3.575658	6767474.350000	531097.660000	31	5568	2013-05-08
35/11-B-12 AH	Norsk Hydro Produksjon AS	090	DEVELOPMENT	PRODUCTION	OIL	2007-09-03	2007-11-18	FRAM	NORTH SEA	ED50	61	2	21.88	N	3	34	32.37	E	61.039411	3.575658	6767474.350000	531097.660000	31	5569	2013-05-08
7/7-4	BG Norge AS	335	EXPLORATION	WILDCAT	DRY	2007-08-29	2007-10-20	\N	NORTH SEA	ED50	57	22	37.81	N	2	16	4.10	E	57.377169	2.267806	6359752.140000	455970.010000	31	5570	2013-05-08
15/6-9 B	Statoil ASA (old)	303	EXPLORATION	APPRAISAL	OIL	2007-06-13	2007-07-23	\N	NORTH SEA	ED50	58	35	13.71	N	1	44	34.87	E	58.587142	1.743019	6494914.510000	426920.010000	31	5571	2013-05-08
7120/8-4	StatoilHydro ASA	064	EXPLORATION	WILDCAT	DRY	2007-11-14	2007-12-10	\N	BARENTS SEA	ED50	71	28	36.76	N	20	26	44.22	E	71.476878	20.445617	7930889.050000	480342.170000	34	5572	2013-05-08
34/10-A-38 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2007-07-01	2007-07-17	GULLFAKS	NORTH SEA	ED50	61	10	34.88	N	2	11	21.86	E	61.176356	2.189406	6782862.280000	456400.180000	31	5573	2013-05-08
34/10-B-26 AY2	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2007-07-16	2007-08-04	GULLFAKS	NORTH SEA	ED50	61	12	10.16	N	2	12	6.42	E	61.202822	2.201783	6785802.130000	457101.910000	31	5574	2013-05-08
6507/7-A-30 B	Statoil ASA (old)	095	DEVELOPMENT	OBSERVATION	OIL	2007-08-08	2007-08-16	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.80	N	7	19	3.87	E	65.325778	7.317742	7245990.010000	421641.080000	32	5575	2013-05-08
6507/7-A-30 C	Statoil ASA (old)	095	DEVELOPMENT	PRODUCTION	OIL	2007-08-17	2007-09-07	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.80	N	7	19	3.87	E	65.325778	7.317742	7245990.010000	421641.080000	32	5576	2013-05-08
6506/12-R-3 Y1H	Statoil ASA (old)	094	DEVELOPMENT	INJECTION	GAS	2007-07-06	2008-07-25	ÅSGARD	NORWEGIAN SEA	ED50	65	2	0.42	N	6	54	6.94	E	65.033450	6.901928	7214003.200000	401194.830000	32	5577	2013-05-08
33/9-M-2 BH	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL	2007-07-10	2007-08-18	STATFJORD ØST	NORTH SEA	ED50	61	20	28.52	N	1	59	59.63	E	61.341256	1.999897	6801370.710000	446488.640000	31	5578	2013-05-08
25/4-E-1 AH	Norsk Hydro Produksjon AS	036	DEVELOPMENT	PRODUCTION	\N	2007-07-23	2007-08-12	VILJE	NORTH SEA	ED50	59	39	22.93	N	2	16	42.24	E	59.656369	2.278400	6613517.730000	459332.650000	31	5579	2013-05-08
24/6-A-1 H	Marathon Petroleum Norge AS	088 BS	DEVELOPMENT	OBSERVATION	OIL	2007-07-18	2007-07-30	ALVHEIM	NORTH SEA	ED50	59	34	34.30	N	1	55	26.81	E	59.576194	1.924114	6604860.040000	439222.400000	31	5580	2013-05-08
24/6-A-1 AY1H	Marathon Petroleum Norge AS	088 BS	DEVELOPMENT	PRODUCTION	OIL	2007-07-31	2007-08-29	ALVHEIM	NORTH SEA	ED50	59	34	34.30	N	1	55	26.81	E	59.576194	1.924114	6604860.040000	439222.400000	31	5581	2013-05-08
24/6-A-1 AY2H	Marathon Petroleum Norge AS	088 BS	DEVELOPMENT	PRODUCTION	OIL	2007-08-30	2007-12-09	ALVHEIM	NORTH SEA	ED50	59	34	34.30	N	1	55	26.81	E	59.576194	1.924114	6604860.040000	439222.400000	31	5582	2013-05-08
24/6-A-4 H	Marathon Petroleum Norge AS	088 BS	DEVELOPMENT	PRODUCTION	OIL	2007-07-05	2007-12-09	ALVHEIM	NORTH SEA	ED50	59	34	33.74	N	1	55	27.95	E	59.576039	1.924431	6604842.430000	439240.010000	31	5583	2013-05-08
25/11-G-39 BY1	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2007-07-29	2007-09-18	GRANE	NORTH SEA	ED50	59	9	54.66	N	2	29	15.10	E	59.165183	2.487528	6558709.590000	470697.150000	31	5584	2013-05-08
25/11-G-39 BY2	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2007-09-30	2007-10-21	GRANE	NORTH SEA	ED50	59	9	54.66	N	2	29	15.10	E	59.165183	2.487528	6558709.590000	470697.150000	31	5585	2013-05-08
25/11-G-39 BY3	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2007-10-22	2007-11-27	GRANE	NORTH SEA	ED50	59	9	54.66	N	2	29	15.10	E	59.165183	2.487528	6558709.590000	470697.150000	31	5586	2013-05-08
6506/11-N-2 H	Statoil ASA (old)	134 B	DEVELOPMENT	PRODUCTION	GAS	2007-07-09	2008-05-01	KRISTIN	NORWEGIAN SEA	ED50	65	1	41.17	N	6	28	46.18	E	65.028103	6.479494	7214134.610000	381284.840000	32	5587	2013-05-08
2/4-M-1	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	2008-05-02	2008-05-26	EKOFISK	NORTH SEA	ED50	56	32	43.73	N	3	13	23.07	E	56.545481	3.223075	6266954.540000	513716.770000	31	5588	2013-05-08
2/4-M-3	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2008-01-24	2008-02-19	EKOFISK	NORTH SEA	ED50	56	32	43.82	N	3	13	23.31	E	56.545506	3.223142	6266957.340000	513720.860000	31	5589	2013-05-08
2/4-M-5	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2008-09-05	2008-10-20	EKOFISK	NORTH SEA	ED50	56	32	43.91	N	3	13	23.55	E	56.545531	3.223208	6266960.130000	513724.950000	31	5590	2013-05-08
2/4-M-9	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2008-06-29	2008-07-30	EKOFISK	NORTH SEA	ED50	56	32	43.80	N	3	13	23.51	E	56.545500	3.223197	6266956.730000	513724.280000	31	5591	2013-05-08
2/4-M-12	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-12-17	2008-01-22	EKOFISK	NORTH SEA	ED50	56	32	43.64	N	3	13	23.35	E	56.545456	3.223153	6266951.770000	513721.560000	31	5592	2013-05-08
2/4-M-28	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-11-17	2007-12-16	EKOFISK	NORTH SEA	ED50	56	32	43.37	N	3	13	23.87	E	56.545381	3.223297	6266943.450000	513730.470000	31	5593	2013-05-08
33/9-C-12 D	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	GAS	2007-08-07	2007-09-21	STATFJORD	NORTH SEA	ED50	61	17	47.98	N	1	54	11.25	E	61.296661	1.903125	6796486.770000	441227.650000	31	5594	2013-05-08
15/9-A-14	Statoil ASA (old)	046	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2007-08-10	2008-02-28	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.56	N	1	54	30.10	E	58.367378	1.908361	6470278.510000	436134.860000	31	5595	2013-05-08
11/5-1	Norsk Hydro Produksjon AS	317	EXPLORATION	WILDCAT	DRY	2007-08-07	2007-09-12	\N	NORTH SEA	ED50	57	36	46.27	N	6	36	24.09	E	57.612853	6.606692	6388275.790000	357020.500000	32	5596	2013-05-08
30/9-B-28	Norsk Hydro Produksjon AS	079	DEVELOPMENT	PRODUCTION	OIL	2007-09-16	2008-03-14	OSEBERG	NORTH SEA	ED50	60	29	36.10	N	2	49	42.96	E	60.493361	2.828600	6706527.890000	490581.940000	31	5597	2013-05-08
31/2-X-12 AH	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-08-25	2007-09-23	TROLL	NORTH SEA	ED50	60	49	57.18	N	3	36	14.59	E	60.832550	3.604053	6744446.940000	532843.870000	31	5598	2013-05-08
15/9-F-12	Statoil ASA (old)	046 BS	DEVELOPMENT	PRODUCTION	OIL	2007-07-22	2007-09-14	VOLVE	NORTH SEA	ED50	58	26	30.17	N	1	53	14.93	E	58.441714	1.887481	6478574.750000	435050.230000	31	5599	2013-05-08
34/4-C-1 H	Statoil ASA (old)	057	DEVELOPMENT	PRODUCTION	OIL	2007-10-10	2008-02-07	SNORRE	NORTH SEA	ED50	61	31	30.21	N	2	12	40.03	E	61.525058	2.211119	6821689.830000	458037.420000	31	5600	2013-05-08
30/3-A-22 B	Statoil ASA (old)	052	DEVELOPMENT	PRODUCTION	OIL	2007-08-20	2008-01-13	VESLEFRIKK	NORTH SEA	ED50	60	46	57.77	N	2	53	52.59	E	60.782714	2.897942	6738749.020000	494442.150000	31	5601	2013-05-08
31/3-Q-21 BY1H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2007-08-23	2008-07-24	TROLL	NORTH SEA	ED50	60	49	55.18	N	3	42	59.48	E	60.831994	3.716522	6744446.600000	538959.640000	31	5602	2013-05-08
31/3-Q-21 BY2H	Norsk Hydro Produksjon AS	085	DEVELOPMENT	PRODUCTION	OIL	2008-07-26	2008-08-20	TROLL	NORTH SEA	ED50	60	49	55.18	N	3	42	59.48	E	60.831994	3.716522	6744446.600000	538959.640000	31	5603	2013-05-08
31/2-L-11 BY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-07-13	2007-08-24	TROLL	NORTH SEA	ED50	60	47	6.36	N	3	33	21.45	E	60.785100	3.555958	6739138.680000	530273.670000	31	5604	2013-05-08
31/2-L-11 BY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-08-28	2007-10-06	TROLL	NORTH SEA	ED50	60	47	6.36	N	3	33	21.45	E	60.785100	3.555958	6739138.680000	530273.670000	31	5605	2013-05-08
31/4-A-40 B	Norsk Hydro Produksjon AS	055	DEVELOPMENT	PRODUCTION	OIL	2007-07-25	2007-08-22	BRAGE	NORTH SEA	ED50	60	32	33.51	N	3	2	50.52	E	60.542642	3.047367	6712005.500000	502598.750000	31	5606	2013-05-08
15/12-18 S	Det norske oljeselskap ASA (old)	337	EXPLORATION	WILDCAT	OIL	2007-09-05	2007-11-07	\N	NORTH SEA	ED50	58	12	53.07	N	1	46	40.43	E	58.214742	1.777897	6453416.520000	428194.300000	31	5607	2013-05-08
15/12-18 A	Det norske oljeselskap ASA (old)	337	EXPLORATION	APPRAISAL	OIL	2007-11-08	2007-12-11	\N	NORTH SEA	ED50	58	12	53.07	N	1	46	40.43	E	58.214742	1.777897	6453416.520000	428194.300000	31	5608	2013-05-08
34/10-B-30 A	Statoil ASA (old)	050	DEVELOPMENT	PRODUCTION	OIL	2007-08-22	2008-11-28	GULLFAKS	NORTH SEA	ED50	61	12	11.12	N	2	12	4.87	E	61.203089	2.201353	6785832.110000	457079.140000	31	5609	2013-05-08
15/9-F-7	Statoil ASA (old)	046 BS	DEVELOPMENT	PRODUCTION	WATER	2007-09-16	2007-10-11	VOLVE	NORTH SEA	ED50	58	26	29.87	N	1	53	14.86	E	58.441631	1.887461	6478565.500000	435048.940000	31	5610	2013-05-08
2/4-X-40 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-08-09	2007-09-21	EKOFISK	NORTH SEA	ED50	56	32	51.93	N	3	13	8.45	\N	56.547758	3.219014	6267207.280000	486533.760000	31	5611	2013-05-08
16/1-8	Lundin Norway AS	338	EXPLORATION	WILDCAT	OIL	2007-09-08	2007-11-13	EDVARD GRIEG	NORTH SEA	ED50	58	50	8.63	N	2	14	6.36	E	58.835731	2.235100	6522162.970000	455844.010000	31	5612	2013-05-08
1/3-10	DONG E&P Norge AS	274	EXPLORATION	APPRAISAL	OIL/GAS	2007-10-25	2008-01-07	OSELVAR	NORTH SEA	ED50	56	55	39.86	N	2	42	20.69	E	56.927739	2.705747	6309521.940000	482089.290000	31	5614	2013-05-08
25/4-E-1 BY1H	Norsk Hydro Produksjon AS	036	DEVELOPMENT	PRODUCTION	OIL	2007-08-13	2007-08-27	VILJE	NORTH SEA	ED50	59	39	22.93	N	2	16	42.24	E	59.656369	2.278400	6613517.730000	459332.650000	31	5616	2013-05-08
25/4-E-1 BY2H	Norsk Hydro Produksjon AS	036	DEVELOPMENT	PRODUCTION	OIL	2007-08-30	2007-09-19	VILJE	NORTH SEA	ED50	59	39	22.93	N	2	16	42.24	E	59.656369	2.278400	6613517.730000	459332.650000	31	5617	2013-05-08
31/2-P-14 BY1H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-10-15	2007-11-23	TROLL	NORTH SEA	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	5618	2013-05-08
31/2-P-14 BY2H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-11-24	2007-12-09	TROLL	NORTH SEA	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	5619	2013-05-08
31/2-P-14 BY3H	Norsk Hydro Produksjon AS	054	DEVELOPMENT	PRODUCTION	OIL	2007-12-10	2007-12-25	TROLL	NORTH SEA	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	5620	2013-05-08
31/4-A-28 B	StatoilHydro Petroleum AS	055	DEVELOPMENT	PRODUCTION	OIL	2007-12-20	2008-01-31	BRAGE	NORTH SEA	ED50	60	32	33.25	N	3	2	51.03	E	60.542569	3.047508	6711997.460000	502606.530000	31	5621	2013-05-08
6506/12-I-1 AH	StatoilHydro ASA	094	DEVELOPMENT	PRODUCTION	OIL	2008-06-22	2008-09-16	ÅSGARD	NORWEGIAN SEA	ED50	65	5	7.18	N	6	40	54.43	E	65.085328	6.681786	7220144.400000	391043.230000	32	5622	2013-05-08
6407/9-E-3 H	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	2007-11-22	2008-01-22	DRAUGEN	NORWEGIAN SEA	ED50	64	15	44.07	N	7	43	55.33	E	64.262242	7.732036	7127025.900000	438563.030000	32	5623	2013-05-08
6608/10-F-4 AH	Statoil ASA (old)	128	DEVELOPMENT	INJECTION	WATER	2007-10-01	2007-11-08	NORNE	NORWEGIAN SEA	ED50	66	2	40.76	N	8	6	6.09	E	66.044656	8.101692	7325364.720000	459299.200000	32	5624	2013-05-08
16/2-4	StatoilHydro ASA	265	EXPLORATION	APPRAISAL	OIL/GAS	2007-10-08	2007-12-15	\N	NORTH SEA	ED50	58	52	21.50	N	2	23	24.70	E	58.872639	2.390194	6526180.800000	464834.530000	31	5625	2013-05-08
6609/6-1	StatoilHydro Petroleum AS	286	EXPLORATION	WILDCAT	DRY	2007-09-17	2007-11-07	\N	NORWEGIAN SEA	ED50	66	41	59.67	N	9	56	1.23	E	66.699908	9.933675	7398424.830000	541212.600000	32	5626	2013-05-08
30/6-C-21 A	StatoilHydro Petroleum AS	053	DEVELOPMENT	PRODUCTION	OIL	2007-12-01	2008-06-13	OSEBERG	NORTH SEA	ED50	60	36	29.37	N	2	46	32.86	E	60.608158	2.775794	6719322.890000	487723.970000	31	5627	2013-05-08
33/12-B-1 C	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2007-09-20	2007-11-04	STATFJORD	NORTH SEA	ED50	61	12	25.28	N	1	49	52.27	E	61.207022	1.831186	6786569.540000	437194.740000	31	5628	2013-05-08
2/4-X-1 C	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2007-10-13	2007-12-09	EKOFISK	NORTH SEA	ED50	56	32	50.93	N	3	13	7.98	E	56.547481	3.218883	6267176.330000	513458.320000	31	5629	2013-05-08
17/12-U-1	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	10	32.62	N	3	55	8.79	E	58.175728	3.919108	6448790.130000	554063.010000	31	5630	2013-05-08
2/9-U-1	ConocoPhillips Skandinavia AS	273	SHALLOW	\N	\N	2007-10-13	2007-10-13	\N	NORTH SEA	ED50	56	16	27.76	N	3	48	45.14	E	56.274378	3.812539	6237052.780000	550318.490000	31	5631	2013-05-08
2/9-U-2	ConocoPhillips Skandinavia AS	273	SHALLOW	\N	\N	2007-10-14	2007-10-14	\N	NORTH SEA	ED50	56	16	28.29	N	3	48	41.69	E	56.274525	3.811581	6237068.470000	550258.950000	31	5632	2013-05-08
2/9-U-3	ConocoPhillips Skandinavia AS	273	SHALLOW	\N	\N	2007-10-14	2007-10-15	\N	NORTH SEA	ED50	56	16	29.68	N	3	48	44.26	E	56.274911	3.812294	6237111.960000	550302.650000	31	5633	2013-05-08
6407/9-D-3 H	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	OIL	2008-02-14	2008-04-14	DRAUGEN	NORWEGIAN SEA	ED50	64	21	39.15	N	7	42	45.81	E	64.360875	7.712725	7138034.920000	437850.000000	32	5634	2013-05-08
2/1-A-9 A	Talisman Energy Norge AS	019 B	DEVELOPMENT	INJECTION	WATER	2007-10-19	2007-10-25	GYDA	NORTH SEA	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	5635	2013-05-08
6407/6-6	StatoilHydro ASA	312	EXPLORATION	WILDCAT	GAS	2008-01-02	2008-02-05	\N	NORWEGIAN SEA	ED50	64	35	28.82	N	7	44	32.03	E	64.591339	7.742231	7163686.590000	439783.190000	32	5636	2013-05-08
6407/6-U-6	StatoilHydro Petroleum AS	312	SHALLOW	\N	\N	2008-01-02	2008-01-04	\N	NORWEGIAN SEA	ED50	64	35	28.60	N	7	44	31.20	E	64.591278	7.742000	7163680.000000	439772.020000	32	5637	2013-05-08
24/12-5 S	Noil Energy ASA	341	EXPLORATION	APPRAISAL	DRY	2007-11-15	2007-12-21	\N	NORTH SEA	ED50	59	6	41.66	N	1	47	21.25	E	59.111572	1.789236	6553255.800000	430662.970000	31	5638	2013-05-08
2/4-K-16 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	33	55.98	N	3	12	22.57	E	56.565550	3.206269	6269185.270000	512676.690000	31	5639	2013-05-08
25/11-G-31	Norsk Hydro Produksjon AS	169 B1	DEVELOPMENT	INJECTION	\N	2007-11-30	2007-12-17	GRANE	NORTH SEA	ED50	59	9	54.77	N	2	29	14.88	E	59.165214	2.487467	6558713.020000	470693.690000	31	5640	2013-05-08
35/11-B-23 H	StatoilHydro Petroleum AS	090	DEVELOPMENT	OBSERVATION	OIL	2007-11-27	2008-01-13	FRAM	NORTH SEA	ED50	61	2	33.90	N	3	35	59.47	E	61.042750	3.599853	6767857.990000	532401.240000	31	5641	2013-05-08
25/11-25 S	StatoilHydro Petroleum AS	169	EXPLORATION	WILDCAT	OIL	2008-01-20	2008-02-15	SVALIN	NORTH SEA	ED50	59	8	48.64	N	2	23	21.12	E	59.146844	2.389200	6556714.790000	465056.230000	31	5642	2013-05-08
25/11-25 A	StatoilHydro Petroleum AS	169	EXPLORATION	WILDCAT	DRY	2008-02-15	2008-03-10	\N	NORTH SEA	ED50	59	8	48.64	N	2	23	21.12	E	59.146844	2.389200	6556714.790000	465056.230000	31	5643	2013-05-08
35/11-B-23 AY1H	StatoilHydro Petroleum AS	090	DEVELOPMENT	PRODUCTION	OIL	2008-01-14	2008-03-15	FRAM	NORTH SEA	ED50	61	2	33.90	N	3	35	59.47	E	61.042750	3.599853	6767857.990000	532401.240000	31	5644	2013-05-08
35/11-B-23 AY2H	StatoilHydro Petroleum AS	090	DEVELOPMENT	PRODUCTION	OIL	2008-03-16	2008-04-26	FRAM	NORTH SEA	ED50	61	2	33.90	N	3	35	59.47	E	61.042750	3.599853	6767857.990000	532401.240000	31	5645	2013-05-08
17/12-U-2	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	10	31.55	N	3	55	7.80	E	58.175431	3.918833	6448756.820000	554047.290000	31	5646	2013-05-08
17/12-U-3	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	10	32.65	N	3	55	4.30	E	58.175736	3.917861	6448790.060000	553989.640000	31	5647	2013-05-08
15/6-U-2	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1974-10-11	1974-10-16	\N	NORTH SEA	ED50	58	28	59.00	N	1	43	8.00	E	58.483056	1.718889	6483352.660000	425296.140000	31	5648	2013-05-08
9/4-U-1	ExxonMobil Exploration & Production Norway AS	315	SHALLOW	\N	\N	2005-01-23	2005-01-23	\N	NORTH SEA	ED50	57	40	38.75	N	4	16	3.51	E	57.677431	4.267642	6393649.850000	575603.010000	31	5649	2013-05-08
9/4-U-2	ExxonMobil Exploration & Production Norway AS	315	SHALLOW	\N	\N	2005-01-25	2005-01-25	\N	NORTH SEA	ED50	57	40	38.82	N	4	16	3.39	E	57.677450	4.267608	6393651.970000	575600.980000	31	5650	2013-05-08
9/4-U-3	ExxonMobil Exploration & Production Norway AS	315	SHALLOW	\N	\N	2005-01-27	2007-01-27	\N	NORTH SEA	ED50	57	40	38.82	N	4	16	3.57	E	57.677450	4.267658	6393652.030000	575603.960000	31	5651	2013-05-08
9/4-U-4	ExxonMobil Exploration & Production Norway AS	315	SHALLOW	\N	\N	2005-01-29	2005-01-29	\N	NORTH SEA	ED50	57	40	39.86	N	4	16	6.63	E	57.677739	4.268508	6393685.140000	575654.050000	31	5652	2013-05-08
9/4-U-5	ExxonMobil Exploration & Production Norway AS	315	SHALLOW	\N	\N	2005-01-30	2005-01-30	\N	NORTH SEA	ED50	57	40	37.82	N	4	16	16.68	E	57.677172	4.271300	6393625.170000	575821.720000	31	5653	2013-05-08
25/8-U-8	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-28	1996-08-28	\N	NORTH SEA	ED50	59	27	3.67	N	2	22	3.13	E	59.451019	2.367536	6590598.410000	464138.380000	31	5654	2013-05-08
25/8-U-9	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-28	1996-08-28	\N	NORTH SEA	ED50	59	27	11.66	N	2	22	21.44	E	59.453239	2.372622	6590842.840000	464429.090000	31	5655	2013-05-08
25/8-U-10	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-28	1996-08-28	\N	NORTH SEA	ED50	59	27	5.71	N	2	22	26.46	E	59.451586	2.374017	6590658.040000	464506.420000	31	5656	2013-05-08
25/8-U-11	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-28	1996-08-28	\N	NORTH SEA	ED50	59	27	10.73	N	2	22	50.02	E	59.452981	2.380561	6590809.850000	464878.930000	31	5657	2013-05-08
25/8-U-12	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-28	1996-08-28	\N	NORTH SEA	ED50	59	27	16.72	N	2	22	45.17	E	59.454644	2.379214	6590995.850000	464804.280000	31	5658	2013-05-08
25/8-U-13	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1996-08-28	1966-08-28	\N	NORTH SEA	ED50	59	27	18.93	N	2	23	10.94	E	59.455258	2.386372	6591060.450000	465210.740000	31	5659	2013-05-08
25/8-U-14	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1997-07-02	1997-07-02	\N	NORTH SEA	ED50	59	28	35.02	N	2	14	0.34	E	59.476394	2.233428	6593504.090000	456567.000000	31	5660	2013-05-08
25/8-U-15	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1997-07-03	1997-07-03	\N	NORTH SEA	ED50	59	27	17.21	N	2	23	5.72	E	59.454781	2.384922	6591008.000000	465128.050000	31	5661	2013-05-08
25/8-U-16	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1997-07-03	1997-07-03	\N	NORTH SEA	ED50	59	27	15.93	N	2	23	8.09	E	59.454425	2.385581	6590968.060000	465165.010000	31	5662	2013-05-08
25/8-U-17	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1997-07-04	1997-07-04	\N	NORTH SEA	ED50	59	27	23.60	N	2	23	3.31	E	59.456556	2.384253	6591206.020000	465091.920000	31	5663	2013-05-08
25/8-U-18	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1997-07-03	1997-07-03	\N	NORTH SEA	ED50	59	27	46.55	N	2	24	19.30	E	59.462931	2.405361	6591905.060000	466294.930000	31	5664	2013-05-08
25/8-U-19	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1997-07-04	1997-07-04	\N	NORTH SEA	ED50	59	26	35.04	N	2	23	23.75	E	59.443067	2.389931	6589700.930000	465400.030000	31	5665	2013-05-08
25/8-U-20	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1997-07-04	1997-07-04	\N	NORTH SEA	ED50	59	27	30.76	N	2	21	46.72	E	59.458544	2.362978	6591438.860000	463887.940000	31	5666	2013-05-08
25/11-U-1	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1974-10-02	1974-10-02	\N	NORTH SEA	ED50	59	12	10.00	N	2	22	45.00	E	59.202778	2.379167	6562948.550000	464540.200000	31	5667	2013-05-08
25/11-U-2	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1974-10-07	1974-10-07	\N	NORTH SEA	ED50	59	12	10.00	N	2	22	45.00	E	59.202778	2.379167	6562948.550000	464540.200000	31	5668	2013-05-08
25/11-U-3	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1978-10-27	1978-10-27	\N	NORTH SEA	ED50	59	10	33.54	N	2	23	47.08	E	59.175983	2.396411	6559955.800000	465498.120000	31	5669	2013-05-08
25/11-U-4	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1978-10-28	1978-10-28	\N	NORTH SEA	ED50	59	10	33.54	N	2	23	47.08	E	59.175983	2.396411	6559955.800000	465498.120000	31	5670	2013-05-08
25/11-U-5	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	15	58.19	N	2	26	57.53	E	59.266164	2.449314	6569971.850000	468604.990000	31	5671	2013-05-08
25/11-U-6	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	15	58.79	N	2	27	0.24	E	59.266331	2.450067	6569990.050000	468648.060000	31	5672	2013-05-08
25/11-U-7	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	15	56.78	N	2	26	58.63	E	59.265772	2.449619	6569928.090000	468622.050000	31	5673	2013-05-08
25/11-U-8	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	15	57.40	N	2	27	1.46	E	59.265944	2.450406	6569946.900000	468667.020000	31	5674	2013-05-08
25/11-U-9	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	11	41.51	N	2	19	14.34	E	59.194864	2.320650	6562099.880000	461189.030000	31	5675	2013-05-08
25/11-U-10	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	11	41.49	N	2	19	15.73	E	59.194858	2.321036	6562099.030000	461211.080000	31	5676	2013-05-08
25/11-U-11	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	15	55.98	N	2	27	56.04	E	59.265550	2.465567	6569895.940000	469531.010000	31	5677	2013-05-08
25/11-U-12	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	15	29.60	N	2	26	53.95	E	59.258222	2.448319	6569087.950000	468540.980000	31	5678	2013-05-08
25/11-U-13	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	15	29.44	N	2	26	54.14	E	59.258178	2.448372	6569082.980000	468543.950000	31	5679	2013-05-08
25/11-U-14	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	15	2.30	N	2	26	20.12	E	59.250639	2.438922	6568247.970000	467998.010000	31	5680	2013-05-08
25/11-U-15	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	14	48.55	N	2	26	3.31	E	59.246819	2.434253	6567824.900000	467728.080000	31	5681	2013-05-08
25/11-U-16	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	14	48.49	N	2	26	3.50	E	59.246803	2.434306	6567823.010000	467731.070000	31	5682	2013-05-08
7/4-2	Lundin Norway AS	148	EXPLORATION	APPRAISAL	OIL	2007-12-15	2008-03-13	BRYNHILD	NORTH SEA	ED50	57	30	13.50	N	2	18	33.18	E	57.503750	2.309217	6373817.590000	458603.390000	31	5683	2013-05-08
34/12-1	Eni Norge AS	293	EXPLORATION	WILDCAT	GAS/CONDENSATE	2007-11-03	2008-04-30	\N	NORTH SEA	ED50	61	13	19.88	N	2	59	55.62	E	61.222189	2.998783	6787697.570000	499934.650000	31	5684	2013-05-08
6507/2-4	Eni Norge AS	122	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2007-11-17	2008-02-19	MARULK	NORWEGIAN SEA	ED50	65	56	27.42	N	7	35	38.18	E	65.940950	7.593939	7314229.990000	436037.200000	32	5685	2013-05-08
1/3-U-1	BG Norge AS	274 BS	SHALLOW	\N	\N	2007-10-10	2007-10-10	\N	NORTH SEA	ED50	56	45	10.48	N	2	49	41.90	E	56.752911	2.828306	6290035.250000	489500.390000	31	5686	2013-05-08
1/3-U-2	BG Norge AS	274 BS	SHALLOW	\N	\N	2007-10-10	2007-10-10	\N	NORTH SEA	ED50	56	45	8.33	N	2	49	41.91	E	56.752314	2.828308	6289968.770000	489500.390000	31	5687	2013-05-08
1/3-U-3	BG Norge AS	274 BS	SHALLOW	\N	\N	2007-10-10	2007-10-10	\N	NORTH SEA	ED50	56	45	9.40	N	2	49	38.51	E	56.752611	2.827364	6290002.000000	489442.720000	31	5688	2013-05-08
2/1-A-27 A	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2007-11-14	2007-12-24	GYDA	NORTH SEA	ED50	56	54	17.31	N	3	5	6.18	E	56.904808	3.085050	6306934.030000	505180.050000	31	5689	2013-05-08
1/3-U-4	BG Norge AS	274 BS	SHALLOW	\N	\N	2007-10-11	2007-10-11	\N	NORTH SEA	ED50	56	45	12.43	N	2	49	43.54	E	56.753453	2.828761	6290095.480000	489528.400000	31	5690	2013-05-08
1/3-U-5	BG Norge AS	274 BS	SHALLOW	\N	\N	2007-10-11	2007-10-11	\N	NORTH SEA	ED50	56	45	12.24	N	2	49	39.64	E	56.753400	2.827678	6290089.770000	489462.140000	31	5691	2013-05-08
1/6-U-1	BG Norge AS	297	SHALLOW	\N	\N	2007-10-12	2007-10-12	\N	NORTH SEA	ED50	56	45	0.11	N	2	49	33.85	E	56.750031	2.826069	6289714.950000	489362.830000	31	5692	2013-05-08
15/9-F-4	Statoil ASA (old)	046 BS	DEVELOPMENT	INJECTION	WATER	2007-10-13	2007-11-06	VOLVE	NORTH SEA	ED50	58	26	29.72	N	1	53	14.92	E	58.441589	1.887478	6478560.840000	435049.840000	31	5693	2013-05-08
34/10-A-45 A	StatoilHydro ASA	050	DEVELOPMENT	PRODUCTION	OIL	2008-08-12	2008-09-06	GULLFAKS	NORTH SEA	ED50	61	10	34.73	N	2	11	21.65	E	61.176314	2.189347	6782857.680000	456396.980000	31	5694	2013-05-08
31/2-E-1 BY1H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2007-11-21	2008-01-11	TROLL	NORTH SEA	ED50	60	48	1.25	N	3	26	36.66	E	60.800347	3.443517	6740790.370000	524139.470000	31	5695	2013-05-08
31/2-E-1 BY2H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-01-12	2008-03-01	TROLL	NORTH SEA	ED50	60	48	1.25	N	3	26	36.66	E	60.800347	3.443517	6740790.370000	524139.470000	31	5696	2013-05-08
30/9-L-53 H	StatoilHydro Petroleum AS	079	DEVELOPMENT	OBSERVATION	\N	2007-11-21	2008-01-19	OSEBERG SØR	NORTH SEA	ED50	60	28	5.12	N	2	40	54.07	E	60.468089	2.681686	6703743.100000	482495.770000	31	5697	2013-05-08
30/9-L-53 AH	StatoilHydro Petroleum AS	079	DEVELOPMENT	PRODUCTION	OIL	2008-01-20	2008-04-10	OSEBERG SØR	NORTH SEA	ED50	60	28	5.12	N	2	40	54.07	E	60.468089	2.681686	6703743.100000	482495.770000	31	5698	2013-05-08
6608/10-E-2 BH	StatoilHydro ASA	128	DEVELOPMENT	OBSERVATION	OIL	2007-11-23	2008-02-14	NORNE	NORWEGIAN SEA	ED50	66	2	43.19	N	8	5	58.10	E	66.045331	8.099472	7325441.400000	459199.730000	32	5699	2013-05-08
6608/10-E-2 CH	StatoilHydro ASA	128	DEVELOPMENT	PRODUCTION	OIL	2008-02-15	2008-03-09	NORNE	NORWEGIAN SEA	ED50	66	2	43.19	N	8	5	58.10	E	66.045331	8.099472	7325441.400000	459199.730000	32	5700	2013-05-08
33/12-B-40 E	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL	2007-11-24	2008-01-21	STATFJORD	NORTH SEA	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	5701	2013-05-08
33/9-C-27 B	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL	2007-11-29	2008-01-10	STATFJORD	NORTH SEA	ED50	61	17	46.89	N	1	54	10.13	E	61.296358	1.902814	6796453.330000	441210.420000	31	5702	2013-05-08
30/9-F-14 B	StatoilHydro Petroleum AS	104	DEVELOPMENT	INJECTION	WATER/GAS	2008-04-11	2008-06-21	OSEBERG SØR	NORTH SEA	ED50	60	23	24.70	N	2	47	49.34	E	60.390194	2.797039	6695042.160000	488812.330000	31	5703	2013-05-08
25/4-K-4 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	\N	2007-12-11	2007-12-18	ALVHEIM	NORTH SEA	ED50	59	32	52.72	N	2	1	9.76	E	59.547978	2.019378	6601634.630000	444557.290000	31	5704	2013-05-08
15/12-19	BG Norge AS	292	EXPLORATION	WILDCAT	OIL/GAS	2008-02-18	2008-05-20	GAUPE	NORTH SEA	ED50	58	0	13.64	N	1	55	16.36	E	58.003789	1.921211	6429787.220000	436238.870000	31	5705	2013-05-08
25/11-U-17	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	14	35.03	N	2	25	46.36	E	59.243064	2.429544	6567408.980000	467455.920000	31	5706	2013-05-08
25/11-U-18	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	14	7.69	N	2	25	12.56	E	59.235469	2.420156	6566567.910000	466912.950000	31	5707	2013-05-08
25/11-U-19	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	14	7.53	N	2	25	12.69	E	59.235425	2.420192	6566562.940000	466914.970000	31	5708	2013-05-08
25/11-U-20	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	13	40.38	N	2	24	38.71	E	59.227883	2.410753	6565727.850000	466368.950000	31	5709	2013-05-08
25/11-U-21	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	13	13.07	N	2	24	4.94	E	59.220297	2.401372	6564887.850000	465825.990000	31	5710	2013-05-08
25/11-U-22	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	13	12.95	N	2	24	5.32	E	59.220264	2.401478	6564884.090000	465831.980000	31	5711	2013-05-08
25/11-U-23	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	12	28.27	N	2	23	31.37	E	59.207853	2.392047	6563506.910000	465281.020000	31	5712	2013-05-08
25/11-U-24	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	12	28.28	N	2	23	9.49	E	59.207856	2.385969	6563510.400000	464933.940000	31	5713	2013-05-08
25/11-U-25	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	12	28.14	N	2	23	9.81	E	59.207817	2.386058	6563506.020000	464938.980000	31	5714	2013-05-08
25/11-U-26	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	12	24.37	N	2	23	6.16	E	59.206769	2.385044	6563389.940000	464880.010000	31	5715	2013-05-08
25/11-U-27	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	11	37.46	N	2	20	1.99	E	59.193739	2.333886	6561966.980000	461943.930000	31	5716	2013-05-08
25/11-U-28	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	11	37.43	N	2	20	1.93	E	59.193731	2.333869	6561966.060000	461942.970000	31	5717	2013-05-08
25/11-U-29	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	11	37.33	N	2	20	1.93	E	59.193703	2.333869	6561962.960000	461942.940000	31	5718	2013-05-08
25/11-U-30	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	11	33.17	N	2	22	48.77	E	59.192547	2.380214	6561808.770000	464589.420000	31	5719	2013-05-08
25/11-U-31	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	11	33.17	N	2	20	48.76	E	59.192547	2.346878	6561826.940000	462684.850000	31	5720	2013-05-08
25/11-U-32	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	14	23.73	N	2	26	12.11	E	59.239925	2.436697	6567055.970000	467861.030000	31	5721	2013-05-08
25/11-U-33	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	14	23.57	N	2	26	12.36	E	59.239881	2.436767	6567050.990000	467864.950000	31	5722	2013-05-08
25/11-U-34	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	13	52.56	N	2	25	56.60	E	59.231267	2.432389	6566093.890000	467607.010000	31	5723	2013-05-08
25/11-U-35	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	13	21.20	N	2	25	40.78	E	59.222556	2.427994	6565125.990000	467347.910000	31	5724	2013-05-08
25/11-U-36	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	13	21.10	N	2	25	40.91	E	59.222528	2.428031	6565122.880000	467349.940000	31	5725	2013-05-08
25/11-U-37	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	12	50.13	N	2	25	24.85	E	59.213925	2.423569	6564167.100000	467087.010000	31	5726	2013-05-08
25/11-U-38	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	12	24.85	N	2	25	12.41	E	59.206903	2.420114	6563386.840000	466882.910000	31	5727	2013-05-08
25/11-U-39	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	12	24.69	N	2	25	12.54	E	59.206858	2.420150	6563381.880000	466884.930000	31	5728	2013-05-08
25/11-U-40	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	16	22.92	N	2	28	30.23	E	59.273033	2.475064	6570724.970000	470079.020000	31	5729	2013-05-08
25/11-U-41	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	16	23.42	N	2	28	32.94	E	59.273172	2.475817	6570740.100000	470122.050000	31	5730	2013-05-08
25/11-U-42	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	16	21.41	N	2	28	31.52	E	59.272614	2.475422	6570678.100000	470099.080000	31	5731	2013-05-08
25/11-U-43	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	16	22.03	N	2	28	34.28	E	59.272786	2.476189	6570696.930000	470142.930000	31	5732	2013-05-08
25/11-U-44	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	14	0.49	N	2	23	34.14	E	59.233469	2.392817	6566359.080000	465350.940000	31	5733	2013-05-08
25/11-U-45	Esso Exploration and Production Norway A/S	001	SHALLOW	\N	\N	1999-08-19	1999-09-04	\N	NORTH SEA	ED50	59	14	0.56	N	2	23	35.21	E	59.233489	2.393114	6566361.090000	465367.920000	31	5734	2013-05-08
2/5-U-1	Lundin Norway AS	006 C	SHALLOW	\N	\N	2008-01-22	2008-01-22	\N	NORTH SEA	ED50	56	36	24.57	N	3	26	1.98	E	56.606825	3.433883	6273844.850000	526636.030000	31	5735	2013-05-08
2/5-U-2	Lundin Norway AS	006 C	SHALLOW	\N	\N	2008-01-23	2008-01-23	\N	NORTH SEA	ED50	56	36	24.32	N	3	25	58.34	E	56.606756	3.432872	6273836.730000	526574.010000	31	5736	2013-05-08
2/5-U-3	Lundin Norway AS	006 C	SHALLOW	\N	\N	2008-01-23	2008-01-23	\N	NORTH SEA	ED50	56	36	26.16	N	3	25	59.77	E	56.607267	3.433269	6273893.780000	526598.040000	31	5737	2013-05-08
25/5-U-7	Lundin Norway AS	363	SHALLOW	\N	\N	2008-01-28	2008-01-28	\N	NORTH SEA	ED50	59	44	40.90	N	2	23	42.79	E	59.744694	2.395219	6623288.220000	466005.780000	31	5738	2013-05-08
25/5-U-8	Lundin Norway AS	363	SHALLOW	\N	\N	2008-01-29	2008-01-29	\N	NORTH SEA	ED50	59	44	40.69	N	2	23	38.97	E	59.744636	2.394158	6623282.270000	465946.080000	31	5739	2013-05-08
25/5-U-9	Lundin Norway AS	363	SHALLOW	\N	\N	2008-01-30	2008-01-30	\N	NORTH SEA	ED50	59	44	42.59	N	2	23	40.40	E	59.745164	2.394556	6623340.840000	465968.940000	31	5740	2013-05-08
25/10-U-1	Lundin Norway AS	304	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	59	6	34.80	N	2	9	58.80	E	59.109667	2.166333	6552712.950000	452254.730000	31	5741	2013-05-08
25/10-U-2	Lundin Norway AS	304	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	59	6	34.80	N	2	9	58.80	E	59.109667	2.166333	6552712.950000	452254.730000	31	5742	2013-05-08
25/10-U-3	Lundin Norway AS	304	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	59	6	34.80	N	2	9	58.80	E	59.109667	2.166333	6552712.950000	452254.730000	31	5743	2013-05-08
25/11-G-1 Y1	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2007-12-17	2008-02-10	GRANE	NORTH SEA	ED50	59	9	55.05	N	2	29	13.86	E	59.165292	2.487183	6558721.810000	470677.550000	31	5744	2013-05-08
25/11-G-1 Y2	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2008-02-11	2008-03-04	GRANE	NORTH SEA	ED50	59	9	55.05	N	2	29	13.86	E	59.165292	2.487183	6558721.810000	470677.550000	31	5745	2013-05-08
25/11-G-1 Y3	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2008-03-05	2008-03-29	GRANE	NORTH SEA	ED50	59	9	55.05	N	2	29	13.86	E	59.165292	2.487183	6558721.810000	470677.550000	31	5746	2013-05-08
25/11-G-1 Y4	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2008-03-30	2008-04-22	GRANE	NORTH SEA	ED50	59	9	55.05	N	2	29	13.86	E	59.165292	2.487183	6558721.810000	470677.550000	31	5747	2013-05-08
30/10-U-1	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1980-04-09	1980-04-30	\N	NORTH SEA	ED50	60	4	40.93	N	2	9	49.99	E	60.078036	2.163886	6660552.080000	453471.880000	31	5748	2013-05-08
30/10-U-2	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1980-04-09	1980-04-30	\N	NORTH SEA	ED50	60	4	41.00	N	2	10	2.22	E	60.078056	2.167283	6660551.860000	453660.950000	31	5749	2013-05-08
30/10-U-3	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1980-04-09	1980-04-30	\N	NORTH SEA	ED50	60	4	38.11	N	2	9	55.05	E	60.077253	2.165292	6660463.850000	453548.990000	31	5750	2013-05-08
30/10-U-4	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1980-04-09	1980-04-30	\N	NORTH SEA	ED50	60	4	34.55	N	2	10	3.09	E	60.076264	2.167525	6660352.160000	453671.890000	31	5751	2013-05-08
30/10-U-5	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1980-04-09	1980-04-30	\N	NORTH SEA	ED50	60	4	35.14	N	2	9	50.21	E	60.076428	2.163947	6660372.920000	453473.020000	31	5752	2013-05-08
30/10-U-6	Esso Exploration and Production Norway A/S	\N	SHALLOW	\N	\N	1980-04-09	1980-04-30	\N	NORTH SEA	ED50	60	4	37.19	N	2	9	57.14	E	60.076997	2.165872	6660434.980000	453580.940000	31	5753	2013-05-08
6704/3-U-1	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	1974-08-20	1974-08-22	\N	NORWEGIAN SEA	ED50	67	57	0.00	N	4	56	0.00	E	67.950000	4.933333	7538752.020000	580990.130000	31	5754	2013-05-08
7222/6-1 S	StatoilHydro Petroleum AS	228	EXPLORATION	WILDCAT	OIL/GAS	2008-01-07	2008-03-10	\N	BARENTS SEA	ED50	72	37	25.01	N	22	55	51.40	E	72.623614	22.930944	8063310.530000	364449.650000	35	5755	2013-05-08
31/2-Q-14 AY1H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-03-03	2008-03-31	TROLL	NORTH SEA	ED50	60	50	40.82	N	3	37	38.02	E	60.844672	3.627228	6745808.970000	534091.020000	31	5756	2013-05-08
31/2-Q-14 AY2H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-04-01	2008-04-17	TROLL	NORTH SEA	ED50	60	50	40.82	N	3	37	38.02	E	60.844672	3.627228	6745808.970000	534091.020000	31	5757	2013-05-08
34/8-A-9 AH	StatoilHydro ASA	120	DEVELOPMENT	PRODUCTION	OIL	2008-03-03	2008-04-29	VISUND	NORTH SEA	ED50	61	22	13.40	N	2	27	31.91	E	61.370389	2.458864	6804326.110000	471072.390000	31	5758	2013-05-08
34/10-B-12 A	StatoilHydro ASA	050	DEVELOPMENT	PRODUCTION	OIL	2008-01-27	2008-03-17	GULLFAKS	NORTH SEA	ED50	61	12	11.21	N	2	12	4.55	E	61.203114	2.201264	6785834.960000	457074.400000	31	5759	2013-05-08
7607/12-U-1	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	1974-08-26	1974-08-30	\N	UNOPENEDAREA	ED50	76	9	0.00	N	7	52	0.50	E	76.150000	7.866806	8457524.680000	629916.950000	31	5760	2013-05-08
6901/3-U-1	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	1974-09-01	1974-09-05	\N	NORWEGIAN SEA	ED50	69	50	0.20	N	1	14	0.30	E	69.833389	1.233417	7748482.640000	432033.930000	31	5761	2013-05-08
6908/1-U-1	ExxonMobil Exploration & Production Norway AS	\N	SHALLOW	\N	\N	1974-09-06	1974-09-07	\N	NORWEGIAN SEA	ED50	69	53	0.35	N	8	41	0.10	E	69.883431	8.683361	7753111.220000	487845.430000	32	5762	2013-05-08
6908/1-U-2	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	1974-09-07	1974-09-08	\N	NORWEGIAN SEA	ED50	69	52	0.30	N	8	41	0.80	E	69.866750	8.683556	7751250.970000	487843.240000	32	5763	2013-05-08
6908/12-U-1	NATIONAL SCIENCE FOUNDATION	\N	SHALLOW	\N	\N	1974-09-13	1974-09-14	\N	NORWEGIAN SEA	ED50	69	12	0.41	N	8	5	0.80	E	69.200114	8.083556	7677149.850000	463680.220000	32	5764	2013-05-08
31/1-1	Marathon Petroleum Norge AS	311	EXPLORATION	WILDCAT	DRY	2008-01-02	2008-02-15	\N	NORTH SEA	ED50	60	49	8.86	N	3	18	54.13	E	60.819128	3.315036	6742841.840000	517136.600000	31	5765	2013-05-08
6507/11-9	StatoilHydro Petroleum AS	263	EXPLORATION	WILDCAT	GAS	2008-03-12	2008-04-18	\N	NORWEGIAN SEA	ED50	65	9	7.80	N	7	25	10.60	E	65.152167	7.419611	7226521.880000	425900.640000	32	5766	2013-05-08
31/2-P-14 BY4H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2007-12-26	2008-01-18	TROLL	NORTH SEA	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	5767	2013-05-08
25/4-K-5 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2007-12-19	2008-02-10	ALVHEIM	NORTH SEA	ED50	59	32	52.73	N	2	1	10.89	E	59.547981	2.019692	6601634.680000	444575.040000	31	5768	2013-05-08
15/9-F-5	StatoilHydro ASA	046 BS	DEVELOPMENT	INJECTION	WATER	2008-07-14	2008-08-23	VOLVE	NORTH SEA	ED50	58	26	29.66	N	1	53	14.99	E	58.441572	1.887497	6478558.970000	435050.940000	31	5769	2013-05-08
25/5-U-10	Det norske oljeselskap ASA (old)	414	SHALLOW	\N	\N	2008-01-10	2008-01-14	FRØY	NORTH SEA	ED50	59	44	20.34	N	2	34	2.28	E	59.738983	2.567300	6622576.550000	475674.030000	31	5770	2013-05-08
33/9-C-31 B	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL	2008-01-25	2008-02-23	STATFJORD	NORTH SEA	ED50	61	17	46.85	N	1	54	9.93	E	61.296347	1.902758	6796452.140000	441207.420000	31	5771	2013-05-08
34/11-A-3	StatoilHydro ASA	193	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2008-05-08	2008-06-20	KVITEBJØRN	NORTH SEA	ED50	61	4	49.01	N	2	29	59.00	E	61.080281	2.499722	6771993.270000	473009.200000	31	5772	2013-05-08
16/1-9	Noil Energy ASA	001 B	EXPLORATION	WILDCAT	OIL/GAS	2008-02-19	2008-04-22	\N	NORTH SEA	ED50	58	54	48.04	N	2	12	7.25	E	58.913344	2.202014	6530827.420000	454037.120000	31	5773	2013-05-08
34/10-C-52	StatoilHydro ASA	050	DEVELOPMENT	OBSERVATION	\N	2007-12-21	2008-03-14	GULLFAKS	NORTH SEA	ED50	61	12	54.70	N	2	16	26.88	E	61.215194	2.274133	6787134.930000	461005.360000	31	5774	2013-05-08
34/10-C-52 A	StatoilHydro ASA	050	DEVELOPMENT	PRODUCTION	OIL	2008-03-15	2008-04-07	GULLFAKS	NORTH SEA	ED50	61	12	54.70	N	2	16	26.88	E	61.215194	2.274133	6787134.930000	461005.360000	31	5775	2013-05-08
31/2-D-1 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-08-26	2010-09-15	TROLL	NORTH SEA	ED50	60	52	3.17	N	3	26	12.14	E	60.867547	3.436706	6748272.950000	523718.940000	31	5776	2013-05-08
31/2-D-1 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-09-16	2010-09-27	TROLL	NORTH SEA	ED50	60	52	3.17	N	3	26	12.14	E	60.867547	3.436706	6748272.950000	523718.940000	31	5777	2013-05-08
31/2-D-1 BY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-09-28	2010-10-10	TROLL	NORTH SEA	ED50	60	52	3.17	N	3	26	12.14	E	60.867547	3.436706	6748272.950000	523718.940000	31	5778	2013-05-08
1/3-10 A	DONG E&P Norge AS	274	EXPLORATION	APPRAISAL	OIL/GAS	2008-01-07	2008-02-13	OSELVAR	NORTH SEA	ED50	56	55	39.83	N	2	42	20.61	E	56.927731	2.705725	6309521.020000	482087.930000	31	5779	2013-05-08
34/4-K-8 H	StatoilHydro ASA	057	DEVELOPMENT	INJECTION	WATER/GAS	2008-05-02	2008-07-10	SNORRE	NORTH SEA	61ED50	61	31	31.75	N	2	12	43.81	E	61.525486	2.212169	6821736.810000	458093.850000	31	5780	2013-05-08
25/5-U-11	Det norske oljeselskap ASA (old)	414	SHALLOW	\N	\N	2008-01-10	2008-01-14	FRØY	NORTH SEA	ED50	59	44	23.40	N	2	33	59.71	E	59.739833	2.566586	6622671.470000	475634.520000	31	5781	2013-05-08
25/5-U-12	Det norske oljeselskap ASA (old)	414	SHALLOW	\N	\N	2008-01-10	2008-01-14	FRØY	NORTH SEA	ED50	59	44	20.11	N	2	33	53.72	E	59.738919	2.564922	6622570.310000	475540.310000	31	5782	2013-05-08
31/4-A-35 A	StatoilHydro ASA	055	DEVELOPMENT	INJECTION	GAS	2008-02-26	2008-06-22	BRAGE	NORTH SEA	ED50	60	32	33.17	N	3	2	50.69	E	60.542547	3.047414	6711994.980000	502601.350000	31	5783	2013-05-08
30/2-4 S	StatoilHydro ASA	051	EXPLORATION	WILDCAT	DRY	2008-05-01	2008-08-09	\N	NORTH SEA	ED50	60	51	21.37	N	2	39	0.53	E	60.855936	2.650147	6746951.350000	480991.390000	31	5784	2013-05-08
15/9-F-15 A	StatoilHydro ASA	046 BS	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2008-12-12	2009-01-13	VOLVE	NORTH SEA	ED50	58	26	29.71	N	1	53	15.15	E	58.441586	1.887542	6478560.470000	435053.560000	31	5785	2013-05-08
7123/4-1 S	StatoilHydro ASA	110 C	EXPLORATION	APPRAISAL	SHOWS	2008-03-12	2008-04-21	\N	BARENTS SEA	ED50	71	36	49.30	N	23	3	48.70	E	71.613694	23.063528	7947301.070000	572637.440000	34	5786	2013-05-08
2/4-X-12 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2008-09-21	2008-12-02	EKOFISK	NORTH SEA	ED50	56	32	51.04	N	3	13	8.44	E	56.547511	3.219011	6267179.760000	513466.160000	31	5787	2013-05-08
30/9-L-51 H	StatoilHydro Petroleum AS	079	DEVELOPMENT	OBSERVATION	\N	2008-06-26	2008-07-23	OSEBERG SØR	NORTH SEA	ED50	60	28	5.34	N	2	40	53.40	E	60.468150	2.681500	6703749.960000	482485.570000	31	5788	2013-05-08
30/9-L-51 AH	StatoilHydro Petroleum AS	079	DEVELOPMENT	PRODUCTION	OIL	2008-07-23	2008-09-17	OSEBERG SØR	NORTH SEA	ED50	60	28	5.34	N	2	40	53.40	E	60.468150	2.681500	6703749.960000	482485.570000	31	5789	2013-05-08
30/3-A-21 A	StatoilHydro ASA	052	DEVELOPMENT	PRODUCTION	WATER/GAS	2008-03-10	2008-05-08	VESLEFRIKK	NORTH SEA	ED50	60	46	57.82	N	2	53	52.27	E	60.782728	2.897853	6738750.580000	494437.310000	31	5790	2013-05-08
33/9-21 S	Revus Energy ASA	037 D	EXPLORATION	APPRAISAL	OIL	2008-12-23	2009-03-19	\N	NORTH SEA	ED50	61	23	48.26	N	1	44	27.25	E	61.396739	1.740903	6807790.250000	432751.220000	31	5791	2013-05-08
6305/5-B-2 AH	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	GAS	2007-02-28	2008-01-23	ORMEN LANGE	NORWEGIAN SEA	ED50	63	31	41.92	N	5	23	16.69	E	63.528311	5.387969	7046842.740000	618750.990000	31	5792	2013-05-08
7/1-2 S	StatoilHydro Petroleum AS	271	EXPLORATION	WILDCAT	DRY	2008-03-20	2008-05-08	\N	NORTH SEA	ED50	57	55	57.09	N	2	4	10.82	E	57.932525	2.069672	6421722.870000	444903.980000	31	5793	2013-05-08
15/9-F-15 C	StatoilHydro ASA	046 BS	DEVELOPMENT	PRODUCTION	OIL	2009-01-18	2009-03-06	VOLVE	NORTH SEA	ED50	58	26	29.71	N	1	53	15.15	E	58.441586	1.887542	6478560.470000	435053.560000	31	5794	2013-05-08
24/6-B-2 AY1H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2008-05-05	2008-05-14	ALVHEIM	NORTH SEA	ED50	59	32	46.95	N	1	59	18.03	E	59.546375	1.988342	6601482.450000	442799.930000	31	5795	2013-05-08
24/6-B-2 AY2H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2008-05-15	2008-05-26	ALVHEIM	NORTH SEA	ED50	59	32	46.95	N	1	59	18.03	E	59.546375	1.988342	6601482.450000	442799.930000	31	5796	2013-05-08
6608/10-H-2 H	StatoilHydro ASA	128	DEVELOPMENT	INJECTION	WATER	2008-03-28	2008-05-12	URD	NORWEGIAN SEA	ED50	66	4	39.52	N	8	15	2.86	E	66.077644	8.250794	7328952.980000	466098.460000	32	5797	2013-05-08
33/12-B-12 A	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL	2008-03-16	2008-04-24	STATFJORD	NORTH SEA	ED50	61	12	25.08	N	1	49	52.41	E	61.206967	1.831225	6786563.310000	437196.720000	31	5798	2013-05-08
6507/7-A-41 A	StatoilHydro ASA	095	DEVELOPMENT	PRODUCTION	OIL	2008-06-17	2008-08-06	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.43	N	7	19	2.58	E	65.325675	7.317383	7245979.000000	421624.090000	32	5799	2013-05-08
30/9-21 S	StatoilHydro Petroleum AS	104	EXPLORATION	WILDCAT	OIL/GAS	2008-03-13	2008-04-30	OSEBERG	NORTH SEA	ED50	60	25	29.12	N	2	41	38.47	E	60.424756	2.694019	6698913.450000	483151.560000	31	5800	2013-05-08
2/9-4	ConocoPhillips Skandinavia AS	273	EXPLORATION	WILDCAT	DRY	2008-03-20	2008-07-04	\N	NORTH SEA	ED50	56	16	28.89	N	3	48	45.95	E	56.274692	3.812764	6237087.880000	550332.010000	31	5801	2013-05-08
6407/1-B-3 H	StatoilHydro ASA	073	DEVELOPMENT	INJECTION	OIL	2008-04-30	2008-06-14	TYRIHANS	NORWEGIAN SEA	ED50	64	48	41.95	N	7	3	24.58	E	64.811653	7.056828	7189059.310000	407728.360000	32	5802	2013-05-08
30/6-E-4 B	Statoil Petroleum AS	053	DEVELOPMENT	PRODUCTION	OIL	2008-05-26	2011-12-22	OSEBERG ØST	NORTH SEA	ED50	60	42	1.94	N	2	56	6.76	E	60.700539	2.935211	6729593.380000	496462.720000	31	5803	2013-05-08
6506/11-U-1	StatoilHydro ASA	\N	SHALLOW	\N	\N	2007-09-07	2007-09-10	\N	NORWEGIAN SEA	ED50	65	9	46.66	N	6	29	49.93	E	65.162961	6.497203	7229122.780000	382714.080000	32	5804	2013-05-08
30/9-21 A	StatoilHydro Petroleum AS	104	EXPLORATION	WILDCAT	OIL	2008-05-04	2008-06-15	\N	NORTH SEA	ED50	60	25	29.12	N	2	41	38.47	E	60.424756	2.694019	6698913.450000	483151.560000	31	5805	2013-05-08
1/3-11	DONG E&P Norge AS	274	EXPLORATION	WILDCAT	OIL	2008-05-28	2008-08-30	\N	NORTH SEA	ED50	56	50	58.47	N	2	43	15.43	E	56.849575	2.720953	6300817.060000	482979.330000	31	5806	2013-05-08
7226/2-1	StatoilHydro ASA	395	EXPLORATION	WILDCAT	GAS	2008-05-18	2008-07-19	\N	BARENTS SEA	ED50	72	53	31.60	N	26	35	39.50	E	72.892111	26.594306	8088712.120000	486678.610000	35	5807	2013-05-08
7123/4-1 A	StatoilHydro ASA	110 C	EXPLORATION	APPRAISAL	SHOWS	2008-04-21	2008-05-14	\N	BARENTS SEA	ED50	71	36	49.30	N	23	3	48.70	E	71.613694	23.063528	7947301.070000	572637.440000	34	5808	2013-05-08
6506/11-U-2	StatoilHydro ASA	\N	SHALLOW	\N	\N	2007-09-23	2007-09-26	\N	NORWEGIAN SEA	ED50	65	9	29.55	N	6	27	42.23	E	65.158208	6.461731	7228659.770000	381031.190000	32	5809	2013-05-08
33/9-A-34 C	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL	2008-04-21	2008-05-21	STATFJORD	NORTH SEA	ED50	61	15	19.77	N	1	51	14.40	E	61.255492	1.854000	6791946.430000	438515.200000	31	5810	2013-05-08
34/3-1 S	BG Norge AS	373 S	EXPLORATION	WILDCAT	OIL	2008-04-28	2008-09-10	KNARR	NORTH SEA	ED50	61	48	46.30	N	2	46	46.60	E	61.812861	2.779611	6853516.950000	488385.320000	31	5811	2013-05-08
6605/8-2	StatoilHydro Petroleum AS	283	EXPLORATION	WILDCAT	DRY	2008-05-11	2008-07-10	\N	NORWEGIAN SEA	ED50	66	18	43.60	N	5	31	43.70	E	66.312111	5.528806	7357177.730000	613350.280000	31	5812	2013-05-08
6407/8-4 S	StatoilHydro Petroleum AS	348	EXPLORATION	WILDCAT	GAS	2008-04-20	2008-05-21	\N	NORWEGIAN SEA	ED50	64	26	47.80	N	7	38	54.20	E	64.446611	7.648389	7147652.530000	434947.460000	32	5813	2013-05-08
6407/8-4 A	StatoilHydro Petroleum AS	348	EXPLORATION	WILDCAT	GAS	2008-05-22	2008-06-16	\N	NORWEGIAN SEA	ED50	64	26	47.80	N	7	38	54.20	E	64.446611	7.648389	7147652.530000	434947.460000	32	5814	2013-05-08
31/2-Y-12 Y1H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-04-24	2008-05-28	TROLL	NORTH SEA	ED50	60	50	57.44	N	3	34	54.18	E	60.849289	3.581717	6746300.400000	531612.890000	31	5815	2013-05-08
31/2-Y-12 Y2H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-05-29	2008-06-21	TROLL	NORTH SEA	ED50	60	50	57.44	N	3	34	54.18	E	60.849289	3.581717	6746300.400000	531612.890000	31	5816	2013-05-08
30/6-C-24 BY1	StatoilHydro Petroleum AS	053	DEVELOPMENT	PRODUCTION	OIL	2008-08-06	2008-12-10	OSEBERG	NORTH SEA	ED50	60	36	29.18	N	2	46	33.26	E	60.608106	2.775906	6719316.990000	487730.030000	31	5817	2013-05-08
30/6-C-24 BY2	StatoilHydro Petroleum AS	053	DEVELOPMENT	PRODUCTION	OIL	2008-12-11	2009-02-08	OSEBERG	NORTH SEA	ED50	60	36	29.18	N	2	46	33.26	E	60.608106	2.775906	6719316.990000	487730.030000	31	5818	2013-05-08
34/10-C-52 B	StatoilHydro ASA	050	DEVELOPMENT	PRODUCTION	OIL	2008-04-08	2008-06-10	GULLFAKS	NORTH SEA	ED50	61	12	54.70	N	2	16	26.88	E	61.215194	2.274133	6787134.930000	461005.360000	31	5819	2013-05-08
33/9-C-10 A	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	WATER/GAS	1989-12-31	1990-01-25	STATFJORD	NORTH SEA	ED50	61	17	48.03	N	1	54	10.97	E	61.296675	1.903047	6796488.390000	441223.510000	31	5820	2013-05-08
35/11-B-13 H	StatoilHydro Petroleum AS	090	DEVELOPMENT	PRODUCTION	OIL	2008-05-15	2008-07-25	FRAM	NORTH SEA	ED50	61	2	21.64	N	3	34	32.93	E	61.039344	3.575814	6767467.000000	531106.130000	31	5821	2013-05-08
31/2-O-11 AY1H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-05-04	2008-05-11	TROLL	NORTH SEA	ED50	60	53	22.53	N	3	33	59.31	E	60.889592	3.566475	6750782.250000	530745.840000	31	5822	2013-05-08
31/2-O-11 AY2H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-05-12	2008-06-01	TROLL	NORTH SEA	ED50	60	53	22.53	N	3	33	59.31	E	60.889592	3.566475	6750782.250000	530745.840000	31	5823	2013-05-08
15/12-20 S	Talisman Energy Norge AS	038	EXPLORATION	WILDCAT	OIL	2008-05-28	2008-07-01	VARG	NORTH SEA	ED50	58	4	40.53	N	1	53	25.77	E	58.077925	1.890492	6438070.140000	434558.930000	31	5824	2013-05-08
2/7-A-22 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2008-06-11	2008-07-30	ELDFISK	NORTH SEA	ED50	56	22	36.22	N	3	15	56.84	E	56.376728	3.265789	6248180.070000	516415.850000	31	5825	2013-05-08
6407/1-B-1 H	StatoilHydro ASA	073	DEVELOPMENT	OBSERVATION	OIL	2008-06-27	2008-07-04	TYRIHANS	NORWEGIAN SEA	ED50	64	48	41.60	N	7	3	24.26	E	64.811556	7.056739	7189048.610000	407723.810000	32	5826	2013-05-08
6407/1-B-1 AH	StatoilHydro ASA	073	DEVELOPMENT	PRODUCTION	OIL	2008-08-05	2008-09-27	TYRIHANS	NORWEGIAN SEA	ED50	64	48	41.60	N	7	3	24.26	E	64.811556	7.056739	7189048.610000	407723.810000	32	5827	2013-05-08
15/9-A-14 A	StatoilHydro ASA	046	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2008-05-08	2008-08-10	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.56	N	1	54	30.10	E	58.367378	1.908361	6470278.510000	436134.860000	31	5828	2013-05-08
25/11-G-3	Statoil Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	OIL	2009-10-09	2010-01-25	GRANE	NORTH SEA	ED50	59	9	55.17	N	2	29	14.11	E	59.165325	2.487253	6558725.490000	470681.550000	31	5829	2013-05-08
25/11-G-15	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	OIL	2008-11-10	2008-12-19	GRANE	NORTH SEA	ED50	59	9	55.00	N	2	29	14.44	E	59.165278	2.487344	6558720.190000	470686.750000	31	5830	2013-05-08
25/11-G-16 Y1	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2008-07-19	2008-09-09	GRANE	NORTH SEA	ED50	59	9	55.07	N	2	29	14.59	E	59.165297	2.487386	6558722.340000	470689.150000	31	5831	2013-05-08
2/1-A-32 B	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2008-06-08	2008-07-08	GYDA	NORTH SEA	ED50	56	54	17.31	N	3	5	5.95	E	56.904808	3.084986	6306934.020000	505176.150000	31	5832	2013-05-08
6406/2-Q-1 H	StatoilHydro ASA	199	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2008-05-09	2008-08-22	KRISTIN	NORWEGIAN SEA	ED50	64	52	52.12	N	6	26	6.15	E	64.881144	6.435042	7197850.520000	378527.720000	32	5833	2013-05-08
34/8-A-33 H	StatoilHydro ASA	120	DEVELOPMENT	INJECTION	CUTTINGS	2008-07-27	2008-08-21	VISUND	NORTH SEA	ED50	61	22	13.50	N	2	27	34.63	E	61.370417	2.459619	6804328.870000	471112.800000	31	5834	2013-05-08
7224/6-1	StatoilHydro Petroleum AS	394	EXPLORATION	WILDCAT	GAS	2008-07-22	2008-08-21	\N	BARENTS SEA	ED50	72	37	29.09	N	24	54	43.41	E	72.624747	24.912058	8060051.260000	430414.450000	35	5835	2013-05-08
33/9-A-17 B	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL	2008-06-01	2008-06-17	STATFJORD	NORTH SEA	ED50	61	15	20.75	N	1	51	15.11	E	61.255764	1.854197	6791976.560000	438526.310000	31	5836	2013-05-08
33/9-C-5 C	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL	2008-06-27	2008-07-29	STATFJORD	NORTH SEA	ED50	61	17	48.10	N	1	54	11.03	E	61.296694	1.903064	6796490.540000	441224.440000	31	5837	2013-05-08
34/7-P-10 A	StatoilHydro ASA	089	DEVELOPMENT	INJECTION	WATER/GAS	2008-07-01	2008-07-17	SNORRE	NORTH SEA	ED50	61	26	56.96	N	2	8	37.64	E	61.449156	2.143789	6813280.170000	454345.050000	31	5838	2013-05-08
32/2-1	Talisman Energy Norge AS	369	EXPLORATION	WILDCAT	DRY	2008-06-18	2008-07-01	\N	NORTH SEA	ED50	60	46	29.35	N	4	20	0.36	E	60.774819	4.333433	6738602.990000	572630.040000	31	5839	2013-05-08
33/9-N-4 H	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	SYGNA	NORTH SEA	ED50	61	28	1.33	N	1	59	31.42	E	61.467036	1.992061	6815387.450000	446285.810000	31	5840	2013-05-08
2/4-M-1 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2008-05-27	2008-06-20	EKOFISK	NORTH SEA	ED50	56	32	43.73	N	3	13	23.07	E	56.545481	3.223075	6266954.540000	513716.770000	31	5841	2013-05-08
15/5-7	StatoilHydro ASA	048	EXPLORATION	APPRAISAL	OIL	2008-07-04	2008-09-07	\N	NORTH SEA	ED50	58	33	22.20	N	1	39	19.30	E	58.556167	1.655361	6491564.700000	421754.960000	31	5842	2013-05-08
31/4-A-1 A	StatoilHydro Petroleum AS	055	DEVELOPMENT	PRODUCTION	OIL	2008-07-23	2008-11-19	BRAGE	NORTH SEA	ED50	60	32	33.17	N	3	2	50.52	E	60.542547	3.047367	6711994.980000	502598.750000	31	5843	2013-05-08
6407/7-8	StatoilHydro Petroleum AS	107	EXPLORATION	WILDCAT	GAS/CONDENSATE	2008-06-18	2008-09-14	\N	NORWEGIAN SEA	ED50	64	25	49.30	N	7	7	38.40	E	64.430361	7.127333	7146478.820000	409820.680000	32	5844	2013-05-08
31/2-G-6 AY1H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-08-25	2008-09-22	TROLL	NORTH SEA	ED50	60	45	8.67	N	3	26	36.00	E	60.752408	3.443333	6735450.680000	524165.550000	31	5845	2013-05-08
31/2-G-6 AY2H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-09-23	2008-10-07	TROLL	NORTH SEA	ED50	60	45	8.67	N	3	26	36.00	E	60.752408	3.443333	6735450.680000	524165.550000	31	5846	2013-05-08
34/11-A-1	Statoil Petroleum AS	193	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2010-10-12	2012-08-10	KVITEBJØRN	NORTH SEA	ED50	61	4	48.90	N	2	29	59.14	E	61.080250	2.499761	6771989.850000	473011.270000	31	5847	2013-05-08
34/11-A-7	Statoil Petroleum AS	193	DEVELOPMENT	PRODUCTION	\N	2010-03-05	2010-06-27	KVITEBJØRN	NORTH SEA	ED50	61	4	49.24	N	2	29	58.73	E	61.080344	2.499647	6772000.420000	473005.210000	31	5848	2013-05-08
34/11-A-9	StatoilHydro Petroleum AS	193	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2008-12-29	2009-12-01	KVITEBJØRN	NORTH SEA	ED50	61	4	48.93	N	2	29	59.25	E	61.080258	2.499792	6771990.770000	473012.930000	31	5849	2013-05-08
34/11-A-16	Statoil Petroleum AS	193	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	KVITEBJØRN	NORTH SEA	ED50	61	4	49.32	N	2	29	58.78	E	61.080367	2.499661	6772002.890000	473005.980000	31	5850	2013-05-08
25/11-G-13 Y1	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2009-03-09	2009-07-23	GRANE	NORTH SEA	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	5851	2013-05-08
24/6-A-2 H	Marathon Petroleum Norge AS	088 BS	DEVELOPMENT	PRODUCTION	OIL	2008-11-13	2009-01-04	ALVHEIM	NORTH SEA	ED50	59	34	34.88	N	1	55	27.91	E	59.576356	1.924419	6604877.700000	439239.950000	31	5852	2013-05-08
24/6-A-3 H	Marathon Petroleum Norge AS	088 BS	DEVELOPMENT	OBSERVATION	\N	2008-07-02	2008-07-15	ALVHEIM	NORTH SEA	ED50	59	34	34.32	N	1	55	29.06	E	59.576200	1.924739	6604860.090000	439257.720000	31	5853	2013-05-08
24/6-A-3 AY1H	Marathon Petroleum Norge AS	088 BS	DEVELOPMENT	PRODUCTION	OIL	2008-07-16	2008-08-21	ALVHEIM	NORTH SEA	ED50	59	34	34.32	N	1	55	29.06	E	59.576200	1.924739	6604860.090000	439257.720000	31	5854	2013-05-08
24/6-A-3 AY2H	Marathon Petroleum Norge AS	088 BS	DEVELOPMENT	PRODUCTION	OIL	2008-08-22	2008-09-26	ALVHEIM	NORTH SEA	ED50	59	34	34.32	N	1	55	29.06	E	59.576200	1.924739	6604860.090000	439257.720000	31	5855	2013-05-08
24/6-A-3 AY3H	Marathon Petroleum Norge AS	088 BS	DEVELOPMENT	PRODUCTION	OIL	2008-09-28	2008-11-09	ALVHEIM	NORTH SEA	ED50	59	34	34.32	N	1	55	29.06	E	59.576200	1.924739	6604860.090000	439257.720000	31	5856	2013-05-08
30/9-F-9	StatoilHydro Petroleum AS	104	DEVELOPMENT	OBSERVATION	OIL/GAS	2008-06-24	2009-03-12	OSEBERG SØR	NORTH SEA	ED50	60	23	24.68	N	2	47	49.51	E	60.390189	2.797086	6695041.530000	488814.930000	31	5857	2013-05-08
30/9-F-9 AY1	Statoil Petroleum AS	104	DEVELOPMENT	PRODUCTION	OIL/GAS	2009-03-13	2010-09-15	OSEBERG SØR	NORTH SEA	ED50	60	23	24.68	N	2	47	49.51	E	60.390189	2.797086	6695041.530000	488814.930000	31	5858	2013-05-08
30/9-F-9 AY2	Statoil Petroleum AS	104	DEVELOPMENT	PRODUCTION	OIL/GAS	2010-09-16	2010-10-30	OSEBERG SØR	NORTH SEA	ED50	60	23	24.68	N	2	47	49.51	E	60.390189	2.797086	6695041.530000	488814.930000	31	5859	2013-05-08
25/11-G-16 Y2	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2008-09-10	2008-10-03	GRANE	NORTH SEA	ED50	59	9	55.07	N	2	29	14.59	E	59.165297	2.487386	6558722.340000	470689.150000	31	5860	2013-05-08
25/11-G-16 Y3	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2008-10-04	2008-10-24	GRANE	NORTH SEA	ED50	59	9	55.07	N	2	29	14.59	E	59.165297	2.487386	6558722.340000	470689.150000	31	5861	2013-05-08
34/7-D-2 H	StatoilHydro ASA	089	DEVELOPMENT	OBSERVATION	OIL	2008-07-01	2008-08-06	VIGDIS	NORTH SEA	ED50	61	20	44.04	N	2	4	22.33	E	61.345567	2.072869	6801793.290000	450399.710000	31	5862	2013-05-08
30/3-A-7 C	StatoilHydro ASA	052	DEVELOPMENT	PRODUCTION	OIL	2008-07-16	2009-03-12	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	52.06	E	60.782756	2.897794	6738753.680000	494434.140000	31	5863	2013-05-08
15/9-A-1	StatoilHydro ASA	046	DEVELOPMENT	\N	\N	9999-12-31	9999-12-31	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.62	N	1	54	29.62	E	58.367394	1.908228	6470280.490000	436127.090000	31	5864	2013-05-08
15/9-A-13	StatoilHydro ASA	046	DEVELOPMENT	OBSERVATION	\N	2008-11-13	2009-01-06	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.49	N	1	54	30.02	E	58.367358	1.908339	6470276.360000	436133.520000	31	5865	2013-05-08
15/9-A-17	StatoilHydro ASA	046	DEVELOPMENT	\N	\N	9999-12-31	9999-12-31	SLEIPNER ØST	NORTH SEA	ED50	58	22	1.96	N	1	54	31.77	E	58.367211	1.908825	6470259.510000	436161.700000	31	5866	2013-05-08
6706/12-1	StatoilHydro ASA	218	EXPLORATION	WILDCAT	GAS	2008-07-12	2008-08-28	\N	NORWEGIAN SEA	ED50	67	2	43.30	N	6	52	37.60	E	67.045361	6.877111	7438203.840000	407619.330000	32	5867	2013-05-08
6608/11-6	StatoilHydro ASA	128	EXPLORATION	WILDCAT	DRY	2008-07-17	2008-08-06	\N	NORWEGIAN SEA	ED50	66	6	50.56	N	8	23	0.03	E	66.114044	8.383342	7332944.960000	472135.970000	32	5868	2013-05-08
6506/12-R-3 Y2H	StatoilHydro ASA	094	DEVELOPMENT	INJECTION	GAS	2008-07-26	2008-09-17	ÅSGARD	NORWEGIAN SEA	ED50	65	2	0.42	N	6	54	6.94	E	65.033450	6.901928	7214003.200000	401194.830000	32	5869	2013-05-08
15/9-B-1	StatoilHydro Petroleum AS	046	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2009-07-16	2009-11-19	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.65	N	1	43	3.92	E	58.417958	1.717756	6476106.450000	425091.810000	31	5870	2013-05-08
15/9-B-2	Statoil Petroleum AS	046	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2009-11-24	2010-03-20	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.69	N	1	43	4.06	E	58.417969	1.717794	6476107.640000	425094.110000	31	5871	2013-05-08
15/9-B-8	Statoil Petroleum AS	046	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2010-03-30	2010-06-27	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.70	N	1	43	4.43	E	58.417972	1.717897	6476107.840000	425100.120000	31	5872	2013-05-08
15/9-B-9	StatoilHydro ASA	046	DEVELOPMENT	\N	\N	9999-12-31	9999-12-31	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.50	N	1	43	4.08	E	58.417917	1.717800	6476101.760000	425094.320000	31	5873	2013-05-08
15/9-B-15	StatoilHydro ASA	046	DEVELOPMENT	\N	\N	9999-12-31	9999-12-31	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.51	N	1	43	4.46	E	58.417919	1.717906	6476101.950000	425100.490000	31	5874	2013-05-08
15/9-B-18	StatoilHydro ASA	046	DEVELOPMENT	\N	\N	9999-12-31	9999-12-31	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.39	N	1	43	4.39	E	58.417886	1.717886	6476098.260000	425099.280000	31	5875	2013-05-08
15/9-B-19	StatoilHydro ASA	046	DEVELOPMENT	\N	\N	9999-12-31	9999-12-31	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.43	N	1	43	4.54	E	58.417897	1.717928	6476099.450000	425101.740000	31	5876	2013-05-08
15/12-A-8 A	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2008-07-30	2008-08-21	VARG	NORTH SEA	ED50	58	4	40.55	N	1	53	25.84	E	58.077931	1.890511	6438070.740000	434560.090000	31	5877	2013-05-08
30/9-B-30 C	StatoilHydro Petroleum AS	079	DEVELOPMENT	PRODUCTION	OIL	2008-08-01	2008-10-17	OSEBERG	NORTH SEA	ED50	60	29	36.13	N	2	49	43.29	E	60.493369	2.828692	6706528.810000	490586.980000	31	5878	2013-05-08
16/1-10	Lundin Norway AS	338	EXPLORATION	APPRAISAL	OIL	2008-11-13	2009-02-05	EDVARD GRIEG	NORTH SEA	ED50	58	51	14.61	N	2	16	30.85	E	58.854058	2.275236	6524177.970000	458183.010000	31	5879	2013-05-08
31/2-F-6 BY1H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-08-01	2008-08-26	TROLL	NORTH SEA	ED50	60	46	28.14	N	3	26	16.63	E	60.774483	3.437953	6737907.510000	523855.860000	31	5880	2013-05-08
31/2-F-6 BY2H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-08-26	2008-09-27	TROLL	NORTH SEA	ED50	60	46	28.14	N	3	26	16.63	E	60.774483	3.437953	6737907.510000	523855.860000	31	5881	2013-05-08
34/7-D-2 AH	StatoilHydro ASA	089	DEVELOPMENT	PRODUCTION	OIL	2008-08-07	2008-09-13	VIGDIS	NORTH SEA	ED50	61	20	44.04	N	2	4	22.33	E	61.345567	2.072869	6801793.290000	450399.710000	31	5882	2013-05-08
6507/7-A-36 A	StatoilHydro ASA	095	DEVELOPMENT	PRODUCTION	OIL	2008-08-30	2008-11-26	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.64	N	7	19	3.33	E	65.325733	7.317592	7245985.240000	421633.960000	32	5883	2013-05-08
2/1-A-28 A	Talisman Energy Norge AS	019 B	DEVELOPMENT	INJECTION	WATER	2008-07-20	2008-08-22	GYDA	NORTH SEA	ED50	56	54	17.37	N	3	5	6.03	E	56.904825	3.085008	6306935.880000	505177.510000	31	5884	2013-05-08
35/11-B-14 Y1H	StatoilHydro Petroleum AS	090	DEVELOPMENT	INJECTION	WATER	2008-08-13	2008-09-20	FRAM	NORTH SEA	ED50	61	2	21.53	N	3	34	33.18	E	61.039314	3.575883	6767463.630000	531109.910000	31	5885	2013-05-08
35/11-B-14 Y2H	StatoilHydro Petroleum AS	090	DEVELOPMENT	INJECTION	WATER	2008-09-21	2008-10-20	FRAM	NORTH SEA	ED50	61	2	21.53	N	3	34	33.18	E	61.039314	3.575883	6767463.630000	531109.910000	31	5886	2013-05-08
6407/7-A-18 AH	StatoilHydro Petroleum AS	107	DEVELOPMENT	OBSERVATION	OIL	2008-09-14	2008-10-25	NJORD	NORWEGIAN SEA	ED50	64	16	16.97	N	7	12	3.36	E	64.271381	7.200933	7128664.510000	412862.680000	32	5887	2013-05-08
6407/7-A-18 BH	StatoilHydro Petroleum AS	107	DEVELOPMENT	PRODUCTION	OIL	2008-10-26	2008-12-10	NJORD	NORWEGIAN SEA	ED50	64	16	16.97	N	7	12	3.36	E	64.271381	7.200933	7128664.510000	412862.680000	32	5888	2013-05-08
2/4-U-11	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-23	2008-08-25	EKOFISK	NORTH SEA	ED50	56	32	35.06	N	3	13	32.16	E	56.543072	3.225600	6266686.970000	513872.910000	31	5889	2013-05-08
2/4-U-12	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-22	2008-08-23	EKOFISK	NORTH SEA	ED50	56	32	35.61	N	3	13	30.04	E	56.543225	3.225011	6266703.860000	513836.640000	31	5890	2013-05-08
2/4-U-13	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-06	2008-08-08	EKOFISK	NORTH SEA	ED50	56	32	33.89	N	3	13	31.15	E	56.542747	3.225319	6266650.740000	513855.780000	31	5891	2013-05-08
2/4-U-14	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-07-30	2008-07-31	EKOFISK	NORTH SEA	ED50	56	32	34.45	N	3	13	29.04	E	56.542903	3.224733	6266667.940000	513819.680000	31	5892	2013-05-08
2/4-U-15	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-15	2008-08-15	EKOFISK	NORTH SEA	ED50	56	32	39.50	N	3	13	27.57	E	56.544306	3.224325	6266824.000000	513794.060000	31	5893	2013-05-08
2/4-U-16	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-11	2008-08-11	EKOFISK	NORTH SEA	ED50	56	32	40.15	N	3	13	26.63	E	56.544486	3.224064	6266844.050000	513777.930000	31	5894	2013-05-08
2/4-U-17	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-14	2008-08-14	EKOFISK	NORTH SEA	ED50	56	32	39.11	N	3	13	26.28	E	56.544197	3.223967	6266811.870000	513772.060000	31	5895	2013-05-08
2/4-U-18	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-08	2008-08-08	EKOFISK	NORTH SEA	ED50	56	32	39.67	N	3	13	25.46	E	56.544353	3.223739	6266829.140000	513758.000000	31	5896	2013-05-08
2/4-U-19	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-27	2008-08-27	EKOFISK	NORTH SEA	ED50	56	32	39.74	N	3	13	37.52	E	56.544372	3.227089	6266831.980000	513963.990000	31	5897	2013-05-08
2/4-U-20	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-28	2008-08-28	EKOFISK	NORTH SEA	ED50	56	32	40.55	N	3	13	35.42	E	56.544597	3.226506	6266856.910000	513928.030000	31	5898	2013-05-08
2/4-U-21	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-17	2008-08-17	EKOFISK	NORTH SEA	ED50	56	32	38.74	N	3	13	36.40	E	56.544094	3.226778	6266801.000000	513944.960000	31	5899	2013-05-08
2/4-U-22	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-25	2008-08-25	EKOFISK	NORTH SEA	ED50	56	32	39.49	N	3	13	34.12	E	56.544303	3.226144	6266824.060000	513905.940000	31	5900	2013-05-08
2/4-U-23	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-07-25	2008-07-25	EKOFISK	NORTH SEA	ED50	56	32	42.65	N	3	13	38.93	E	56.545181	3.227481	6266922.040000	513987.770000	31	5901	2013-05-08
2/4-U-24	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-07-26	2008-07-26	EKOFISK	NORTH SEA	ED50	56	32	41.53	N	3	13	35.37	E	56.544869	3.226492	6266887.200000	513927.080000	31	5902	2013-05-08
2/4-U-25	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-07-29	2008-07-29	EKOFISK	NORTH SEA	ED50	56	32	40.39	N	3	13	38.92	E	56.544553	3.227478	6266852.160000	513987.830000	31	5903	2013-05-08
2/4-U-26	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-07	2008-08-07	EKOFISK	NORTH SEA	ED50	56	32	44.05	N	3	13	40.40	E	56.545569	3.227889	6266965.410000	514012.740000	31	5904	2013-05-08
2/7-U-11	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-01	2008-08-01	ELDFISK	NORTH SEA	ED50	56	25	5.34	N	3	13	16.95	E	56.418150	3.221375	6252781.010000	513657.890000	31	5905	2013-05-08
2/7-U-12	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-07-18	2008-07-18	ELDFISK	NORTH SEA	ED50	56	25	4.85	N	3	13	15.40	E	56.418014	3.220944	6252765.780000	513631.380000	31	5906	2013-05-08
2/7-U-13	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-02	2008-08-02	ELDFISK	NORTH SEA	ED50	56	25	3.66	N	3	13	15.68	E	56.417683	3.221022	6252729.000000	513636.290000	31	5907	2013-05-08
2/7-U-14	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-10	2008-08-10	ELDFISK	NORTH SEA	ED50	56	25	4.15	N	3	13	17.83	E	56.417819	3.221619	6252744.270000	513673.090000	31	5908	2013-05-08
2/7-U-15	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-07-22	2008-07-22	ELDFISK	NORTH SEA	ED50	56	25	5.80	N	3	13	22.02	E	56.418278	3.222783	6252795.520000	513744.730000	31	5909	2013-05-08
2/7-U-16	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-07-15	2008-07-15	ELDFISK	NORTH SEA	ED50	56	25	4.01	N	3	13	19.53	E	56.417781	3.222092	6252740.030000	513702.240000	31	5910	2013-05-08
2/7-U-17	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-07-19	2008-07-19	ELDFISK	NORTH SEA	ED50	56	25	6.10	N	3	13	17.98	E	56.418361	3.221661	6252804.570000	513675.470000	31	5911	2013-05-08
2/7-U-18	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-07-14	2008-07-14	ELDFISK	NORTH SEA	ED50	56	25	6.43	N	3	13	24.71	E	56.418453	3.223531	6252815.140000	513790.770000	31	5912	2013-05-08
2/7-U-19	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-07-16	2008-07-16	ELDFISK	NORTH SEA	ED50	56	25	8.27	N	3	13	13.65	E	56.418964	3.220458	6252871.420000	513601.050000	31	5913	2013-05-08
2/7-B-8 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2009-10-30	2010-02-07	ELDFISK	NORTH SEA	ED50	56	25	8.85	N	3	13	5.91	E	56.419125	3.218308	6252888.930000	513468.350000	31	5914	2013-05-08
2/4-K-21 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2008-09-05	2008-10-30	EKOFISK	NORTH SEA	ED50	56	33	56.23	N	3	12	23.36	E	56.565619	3.206489	6269193.040000	512690.160000	31	5915	2013-05-08
7222/11-1	StatoilHydro Petroleum AS	228	EXPLORATION	WILDCAT	OIL/GAS	2008-08-24	2008-11-04	\N	BARENTS SEA	ED50	72	4	20.30	N	22	28	26.40	E	72.072306	22.474000	8003058.010000	344625.310000	35	5916	2013-05-08
34/7-33	StatoilHydro ASA	089	EXPLORATION	WILDCAT	SHOWS	2008-08-16	2008-10-15	\N	NORTH SEA	ED50	61	19	2.50	N	2	5	46.40	E	61.317361	2.096222	6798634.030000	451605.510000	31	5917	2013-05-08
6707/10-2 S	StatoilHydro ASA	218	EXPLORATION	WILDCAT	GAS	2008-08-31	2008-10-13	\N	NORWEGIAN SEA	ED50	67	2	48.80	N	7	3	38.30	E	67.046889	7.060639	7438113.360000	415608.900000	32	5918	2013-05-08
30/11-7	StatoilHydro Petroleum AS	035 B	EXPLORATION	WILDCAT	GAS/CONDENSATE	2008-11-12	2009-02-03	\N	NORTH SEA	ED50	60	0	21.24	N	2	22	25.62	E	60.005900	2.373783	6652389.100000	465075.910000	31	5919	2013-05-08
2/4-X-35 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2009-06-20	2010-12-13	EKOFISK	NORTH SEA	ED50	56	32	51.87	N	3	13	8.28	E	56.547742	3.218967	6267205.410000	513463.350000	31	5920	2013-05-08
34/3-1 A	BG Norge AS	373 S	EXPLORATION	APPRAISAL	OIL	2008-09-10	2008-10-30	KNARR	NORTH SEA	ED50	61	48	46.30	N	2	46	46.60	E	61.812861	2.779611	6853516.950000	488385.320000	31	5921	2013-05-08
6507/6-3	StatoilHydro ASA	212 C	EXPLORATION	WILDCAT	DRY	2008-10-31	2008-11-24	\N	NORWEGIAN SEA	ED50	65	38	58.28	N	7	55	37.60	E	65.649522	7.927111	7281450.370000	450637.290000	32	5922	2013-05-08
2/4-X-16 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2009-02-07	2009-05-14	EKOFISK	NORTH SEA	ED50	56	32	51.12	N	3	13	8.47	E	56.547533	3.219019	6267182.240000	513466.670000	31	5923	2013-05-08
31/2-Y-11 BY1H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-09-23	2008-11-07	TROLL	NORTH SEA	ED50	60	50	57.63	N	3	34	54.34	E	60.849342	3.581761	6746306.300000	531615.250000	31	5924	2013-05-08
31/2-Y-11 BY2H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2008-11-11	2008-12-15	TROLL	NORTH SEA	ED50	60	50	57.63	N	3	34	54.34	E	60.849342	3.581761	6746306.300000	531615.250000	31	5925	2013-05-08
34/7-U-17	StatoilHydro ASA	089	SHALLOW	\N	\N	2008-08-12	2008-08-15	\N	NORTH SEA	ED50	61	19	2.50	N	2	5	46.40	E	61.317361	2.096222	6798634.030000	451605.510000	31	5926	2013-05-08
15/9-F-9	StatoilHydro ASA	046 BS	DEVELOPMENT	PRODUCTION	WATER	2008-08-27	2008-09-06	VOLVE	NORTH SEA	ED50	58	26	29.74	N	1	53	15.00	E	58.441594	1.887500	6478561.440000	435051.150000	31	5927	2013-05-08
1/3-U-12	DONG E&P Norge AS	274	SHALLOW	\N	\N	2008-09-15	2008-09-15	\N	NORTH SEA	ED50	56	55	55.01	N	2	40	16.99	E	56.931947	2.671386	6309999.930000	480000.040000	31	5928	2013-05-08
1/3-U-13	DONG E&P Norge AS	274	SHALLOW	\N	\N	2008-09-15	2008-09-15	\N	NORTH SEA	ED50	56	55	55.01	N	2	40	16.99	E	56.931947	2.671386	6309999.930000	480000.040000	31	5929	2013-05-08
1/3-U-14	DONG E&P Norge AS	274	SHALLOW	\N	\N	2008-09-15	2008-09-15	\N	NORTH SEA	ED50	56	55	55.01	N	2	40	16.99	E	56.931947	2.671386	6309999.930000	480000.040000	31	5930	2013-05-08
6707/10-2 A	StatoilHydro ASA	218	EXPLORATION	WILDCAT	GAS	2008-10-14	2008-12-01	\N	NORWEGIAN SEA	ED50	67	2	48.80	N	7	3	38.30	E	67.046889	7.060639	7438113.360000	415608.900000	32	5931	2013-05-08
3/7-7	DONG E&P Norge AS	289	EXPLORATION	WILDCAT	SHOWS	2008-09-03	2008-10-27	\N	NORTH SEA	ED50	56	24	10.58	N	4	18	3.14	E	56.402939	4.300872	6251825.140000	580287.680000	31	5932	2013-05-08
33/9-A-15 D	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	GAS	2008-09-03	2008-10-07	STATFJORD	NORTH SEA	ED50	61	15	20.81	N	1	51	14.82	E	61.255781	1.854117	6791978.490000	438522.020000	31	5933	2013-05-08
30/9-F-15 B	StatoilHydro Petroleum AS	104	DEVELOPMENT	PRODUCTION	WATER	2008-10-20	2008-11-12	OSEBERG SØR	NORTH SEA	ED50	60	23	24.72	N	2	47	49.49	E	60.390200	2.797081	6695042.770000	488814.620000	31	5934	2013-05-08
15/12-C-1 H	Talisman Energy Norge AS	038 C	DEVELOPMENT	PRODUCTION	GAS	2000-12-25	2001-02-09	REV	NORTH SEA	ED50	58	1	40.68	N	1	55	28.34	E	58.027967	1.924539	6432475.780000	436478.400000	31	5935	2013-05-08
15/12-C-2 H	Talisman Energy Norge AS	038 C	DEVELOPMENT	PRODUCTION	GAS	2006-02-06	2006-03-31	REV	NORTH SEA	ED50	58	1	40.39	N	1	55	27.97	E	58.027886	1.924436	6432466.910000	436472.190000	31	5936	2013-05-08
15/12-D-1 H	Talisman Energy Norge AS	038 C	DEVELOPMENT	PRODUCTION	GAS	2008-10-10	2008-11-14	REV	NORTH SEA	ED50	58	1	42.62	N	1	55	23.63	E	58.028506	1.923231	6432537.000000	436402.090000	31	5937	2013-05-08
2/4-U-27	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-29	2008-08-29	EKOFISK	NORTH SEA	ED50	56	32	10.79	N	3	12	39.17	E	56.536331	3.210881	6265933.670000	512970.070000	31	5938	2013-05-08
2/4-U-28	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-30	2008-08-30	EKOFISK	NORTH SEA	ED50	56	32	10.78	N	3	12	43.26	E	56.536328	3.212017	6265933.580000	513039.940000	31	5939	2013-05-08
2/4-U-29	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-31	2008-08-31	EKOFISK	NORTH SEA	ED50	56	32	12.61	N	3	12	41.23	E	56.536836	3.211453	6265990.050000	513005.090000	31	5940	2013-05-08
2/4-U-30	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2008-08-31	2008-08-31	EKOFISK	NORTH SEA	ED50	56	32	9.82	N	3	12	36.12	E	56.536061	3.210033	6265903.520000	512918.050000	31	5941	2013-05-08
33/9-C-37 B	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2008-10-08	2008-11-05	STATFJORD	NORTH SEA	ED50	61	17	46.75	N	1	54	10.01	E	61.296319	1.902781	6796449.020000	441208.560000	31	5942	2013-05-08
34/8-14 S	StatoilHydro ASA	120	EXPLORATION	WILDCAT	OIL/GAS	2008-09-17	2008-10-21	VISUND SØR	NORTH SEA	ED50	61	18	37.90	N	2	20	32.90	E	61.310528	2.342472	6797715.240000	464783.400000	31	5943	2013-05-08
7125/4-2	StatoilHydro Petroleum AS	393	EXPLORATION	APPRAISAL	OIL	2008-11-07	2008-12-01	\N	BARENTS SEA	ED50	71	32	46.24	N	25	0	16.34	E	71.546178	25.004539	7939693.230000	429508.930000	35	5944	2013-05-08
2/4-M-8 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2008-10-20	2009-02-16	EKOFISK	NORTH SEA	ED50	56	32	43.76	N	3	13	23.39	E	56.545489	3.223164	6266955.490000	513722.230000	31	5945	2013-05-08
15/5-7 A	StatoilHydro ASA	048	EXPLORATION	APPRAISAL	DRY	2008-09-09	2008-10-13	\N	NORTH SEA	ED50	58	33	22.20	N	1	39	19.30	E	58.556167	1.655361	6491564.700000	421754.960000	31	5946	2013-05-08
6507/11-V-1 H	StatoilHydro ASA	062	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2008-10-01	2008-10-15	YTTERGRYTA	NORWEGIAN SEA	ED50	65	6	41.74	N	7	30	33.21	E	65.111594	7.509225	7221898.700000	429994.970000	32	5947	2013-05-08
2/5-13	StatoilHydro Petroleum AS	296	EXPLORATION	WILDCAT	DRY	2008-09-25	2009-01-21	\N	NORTH SEA	ED50	56	42	3.60	N	3	23	27.00	E	56.701000	3.390833	6284311.840000	523933.480000	31	5948	2013-05-08
6608/10-12	StatoilHydro ASA	128	EXPLORATION	WILDCAT	OIL	2008-10-19	2008-12-21	SKULD	NORWEGIAN SEA	ED50	66	13	45.69	N	8	18	45.70	E	66.229358	8.312694	7345831.650000	469084.890000	32	5949	2013-05-08
8/10-U-1	ConocoPhillips Skandinavia AS	331	SHALLOW	\N	\N	2008-09-04	2008-09-04	\N	NORTH SEA	ED50	57	2	22.97	N	3	16	57.49	E	57.039714	3.282636	6321983.910000	517152.070000	31	5950	2013-05-08
8/10-U-2	ConocoPhillips Skandinavia AS	331	SHALLOW	\N	\N	2008-09-05	2008-09-05	\N	NORTH SEA	ED50	57	2	22.36	N	3	17	0.99	E	57.039544	3.283608	6321965.290000	517211.150000	31	5951	2013-05-08
8/10-U-3	ConocoPhillips Skandinavia AS	331	SHALLOW	\N	\N	2008-09-06	2008-09-06	\N	NORTH SEA	ED50	57	2	24.32	N	3	17	0.21	E	57.040089	3.283392	6322025.840000	517197.750000	31	5952	2013-05-08
6407/7-8 A	StatoilHydro Petroleum AS	107	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2008-09-14	2008-11-05	\N	NORWEGIAN SEA	ED50	64	25	49.30	N	7	7	38.40	E	64.430361	7.127333	7146478.820000	409820.680000	32	5953	2013-05-08
34/8-14 A	StatoilHydro ASA	120	EXPLORATION	APPRAISAL	OIL/GAS	2008-10-29	2008-12-01	VISUND SØR	NORTH SEA	ED50	61	18	37.90	N	2	20	32.90	E	61.310528	2.342472	6797715.240000	464783.400000	31	5954	2013-05-08
2/7-B-21	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2008-11-27	2009-06-11	ELDFISK	NORTH SEA	ED50	56	25	9.06	N	3	13	5.79	E	56.419183	3.218275	6252895.420000	513466.270000	31	5955	2013-05-08
2/7-B-22	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2009-11-12	2010-04-16	ELDFISK	NORTH SEA	ED50	56	25	8.93	N	3	13	5.89	E	56.419147	3.218303	6252891.410000	513468.000000	31	5956	2013-05-08
34/10-A-48 C	StatoilHydro ASA	050	DEVELOPMENT	PRODUCTION	OIL	2009-04-16	2009-08-12	GULLFAKS	NORTH SEA	ED50	61	10	33.86	N	2	11	23.22	E	61.176072	2.189783	6782830.470000	456420.110000	31	5957	2013-05-08
2/5-14 S	Lundin Norway AS	006 C	EXPLORATION	WILDCAT	SHOWS	2008-12-30	2009-04-12	\N	NORTH SEA	ED50	56	36	25.92	N	3	26	2.42	E	56.607200	3.434006	6273886.640000	526643.270000	31	5958	2013-05-08
7223/5-1	StatoilHydro Petroleum AS	228	EXPLORATION	APPRAISAL	GAS	2008-12-05	2009-01-14	\N	BARENTS SEA	ED50	72	32	6.18	N	23	20	7.74	E	72.535050	23.335483	8052579.210000	377307.190000	35	5960	2013-05-08
2/7-A-13 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2008-10-06	2009-01-01	ELDFISK	NORTH SEA	ED50	56	22	36.59	N	3	15	57.89	E	56.376831	3.266081	6248191.580000	516433.820000	31	5961	2013-05-08
34/4-L-1 H	Statoil Petroleum AS	057	DEVELOPMENT	\N	\N	9999-12-31	9999-12-31	SNORRE	NORTH SEA	ED50	61	31	31.44	N	2	12	42.84	E	61.525400	2.211900	6821727.390000	458079.400000	31	5962	2013-05-08
34/4-L-2 H	StatoilHydro ASA	057	DEVELOPMENT	INJECTION	WATER/GAS	2008-11-25	2009-02-12	SNORRE	NORTH SEA	ED50	61	31	31.44	N	2	12	43.16	E	61.525400	2.211989	6821727.330000	458084.130000	31	5963	2013-05-08
34/4-L-3 H	Statoil Petroleum AS	057	DEVELOPMENT	INJECTION	WATER/GAS	2012-10-29	2013-01-27	SNORRE	NORTH SEA	ED50	61	31	31.73	N	2	12	43.14	E	61.525481	2.211983	6821736.310000	458083.940000	31	5964	2013-05-08
31/3-S-23 AY1H	StatoilHydro Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2008-10-30	2008-12-26	TROLL	NORTH SEA	ED50	60	53	34.62	N	3	40	18.99	E	60.892950	3.671942	6751210.370000	536466.160000	31	5965	2013-05-08
31/3-S-23 AY2H	StatoilHydro Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2008-12-29	2009-01-20	TROLL	NORTH SEA	ED50	60	53	34.62	N	3	40	18.99	E	60.892950	3.671942	6751210.370000	536466.160000	31	5966	2013-05-08
33/9-A-24 A	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL	2008-10-28	2008-11-26	STATFJORD	NORTH SEA	ED50	61	15	19.93	N	1	51	14.38	E	61.255536	1.853994	6791951.380000	438514.990000	31	5967	2013-05-08
34/7-U-18	Statoil Petroleum AS	\N	SHALLOW	\N	\N	2009-02-12	2009-02-13	\N	NORTH SEA	ED50	61	23	23.50	N	2	8	33.10	E	61.389861	2.142528	6806676.270000	454191.000000	31	5968	2013-05-08
2/4-M-13 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2009-03-01	2009-03-23	EKOFISK	NORTH SEA	ED50	56	32	43.69	N	3	13	23.47	E	56.545469	3.223186	6266953.330000	513723.600000	31	5969	2013-05-08
2/4-K-6 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2008-11-09	2009-01-01	EKOFISK	NORTH SEA	ED50	56	33	55.86	N	3	12	22.64	E	56.565517	3.206289	6269181.560000	512677.900000	31	5970	2013-05-08
34/8-A-14 H	StatoilHydro ASA	120	DEVELOPMENT	PRODUCTION	WATER	2008-12-27	2009-10-03	VISUND	NORTH SEA	ED50	61	22	12.47	N	2	27	28.59	E	61.370131	2.457942	6804297.740000	471022.850000	31	5971	2013-05-08
34/8-A-26 H	StatoilHydro Petroleum AS	120	DEVELOPMENT	INJECTION	GAS	2009-03-14	2009-05-24	VISUND	NORTH SEA	ED50	61	22	12.33	N	2	27	35.09	E	61.370092	2.459747	6804292.610000	471119.330000	31	5972	2013-05-08
34/7-34	StatoilHydro ASA	089	EXPLORATION	WILDCAT	OIL	2009-02-14	2009-03-10	VIGDIS	NORTH SEA	ED50	61	23	22.40	N	2	8	32.30	E	61.389556	2.142306	6806642.390000	454178.680000	31	5973	2013-05-08
30/8-4 S	StatoilHydro ASA	190	EXPLORATION	WILDCAT	OIL	2008-11-29	2009-02-04	\N	NORTH SEA	ED50	60	20	5.03	N	2	36	9.32	E	60.334731	2.602589	6688913.560000	478056.630000	31	5974	2013-05-08
2/1-13 S	Talisman Energy Norge AS	299	EXPLORATION	WILDCAT	OIL/GAS SHOWS	2008-11-07	2009-03-07	\N	NORTH SEA	ED50	56	47	9.50	N	3	2	29.72	E	56.785972	3.041589	6293703.090000	502541.050000	31	5975	2013-05-08
6407/1-A-4 H	StatoilHydro ASA	073	DEVELOPMENT	PRODUCTION	OIL	2008-12-06	2009-01-24	TYRIHANS	NORWEGIAN SEA	ED50	64	53	20.09	N	7	4	17.06	E	64.888914	7.071406	7197645.850000	408682.790000	32	5976	2013-05-08
6407/1-A-4 AY1H	StatoilHydro ASA	073	DEVELOPMENT	PRODUCTION	OIL	2009-01-24	2009-02-07	TYRIHANS	NORWEGIAN SEA	ED50	64	53	20.09	N	7	4	17.06	E	64.888914	7.071406	7197645.850000	408682.790000	32	5977	2013-05-08
6407/1-A-4 AY2H	StatoilHydro ASA	073	DEVELOPMENT	PRODUCTION	OIL	2009-02-08	2009-03-21	TYRIHANS	NORWEGIAN SEA	ED50	64	53	20.09	N	7	4	17.06	E	64.888914	7.071406	7197645.850000	408682.790000	32	5978	2013-05-08
6605/1-1	StatoilHydro ASA	328	EXPLORATION	WILDCAT	DRY	2008-12-07	2009-02-03	\N	NORWEGIAN SEA	ED50	66	48	23.70	N	5	10	32.60	E	66.806583	5.175722	7411677.280000	595608.970000	31	5979	2013-05-08
6506/9-1	Total E&P Norge AS	211 B	EXPLORATION	APPRAISAL	GAS	2009-01-20	2009-09-15	\N	NORWEGIAN SEA	ED50	65	29	57.31	N	6	56	12.98	E	65.499253	6.936939	7265844.080000	404541.060000	32	5980	2013-05-08
25/11-G-15 AY1	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2008-12-20	2009-01-03	GRANE	NORTH SEA	ED50	59	9	55.00	N	2	29	14.44	E	59.165278	2.487344	6558720.190000	470686.750000	31	5981	2013-05-08
25/11-G-15 AY2	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2009-01-04	2009-01-31	GRANE	NORTH SEA	ED50	59	9	55.00	N	2	29	14.44	E	59.165278	2.487344	6558720.190000	470686.750000	31	5982	2013-05-08
35/11-B-24 AH	StatoilHydro Petroleum AS	090	DEVELOPMENT	INJECTION	WATER	2008-12-02	2008-12-30	FRAM	NORTH SEA	ED50	61	2	33.79	N	3	35	59.73	E	61.042719	3.599925	6767854.630000	532405.170000	31	5983	2013-05-08
6603/12-1	A/S Norske Shell	326	EXPLORATION	WILDCAT	GAS	2009-03-26	2009-06-20	\N	NORWEGIAN SEA	ED50	66	8	52.35	N	3	56	29.67	E	66.147875	3.941575	7336898.260000	542488.150000	31	5985	2013-05-08
6603/12-U-1	A/S Norske Shell	326	SHALLOW	\N	\N	2009-03-23	2009-03-24	\N	NORWEGIAN SEA	ED50	66	8	50.73	N	3	56	26.70	E	66.147425	3.940750	7336847.540000	542451.680000	31	5986	2013-05-08
30/9-F-2 B	StatoilHydro Petroleum AS	104	DEVELOPMENT	INJECTION	CUTTINGS	2008-12-22	2009-01-08	OSEBERG SØR	NORTH SEA	ED50	60	23	24.91	N	2	47	49.24	E	60.390253	2.797011	6695048.660000	488810.810000	31	5987	2013-05-08
34/10-C-1 A	StatoilHydro Petroleum AS	050	DEVELOPMENT	PRODUCTION	OIL	2009-03-05	2009-05-04	GULLFAKS	NORTH SEA	ED50	61	12	53.46	N	2	16	27.98	E	61.214850	2.274439	6787096.380000	461021.350000	31	5988	2013-05-08
15/9-A-13 A	StatoilHydro ASA	046	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2009-01-07	2009-02-12	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.49	N	1	54	30.02	E	58.367358	1.908339	6470276.360000	436133.520000	31	5989	2013-05-08
30/8-A-21 H	StatoilHydro Petroleum AS	190	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2008-12-30	2009-03-10	TUNE	NORTH SEA	ED50	60	27	26.46	N	2	36	29.02	E	60.457350	2.608061	6702568.850000	478440.010000	31	5990	2013-05-08
30/8-A-21 AH	StatoilHydro Petroleum AS	190	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2009-03-16	2009-05-15	TUNE	NORTH SEA	ED50	60	27	26.46	N	2	36	29.02	E	60.457350	2.608061	6702568.850000	478440.010000	31	5991	2013-05-08
33/9-C-3 A	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL	2008-11-25	2009-01-24	STATFJORD	NORTH SEA	ED50	61	17	48.11	N	1	54	11.37	E	61.296697	1.903158	6796490.760000	441229.510000	31	5992	2013-05-08
2/4-M-29 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2009-04-10	2009-06-03	EKOFISK	NORTH SEA	ED50	56	32	43.41	N	3	13	23.99	E	56.545392	3.223331	6266944.700000	513732.510000	31	5993	2013-05-08
30/9-B-21 C	StatoilHydro Petroleum AS	079	DEVELOPMENT	INJECTION	GAS	2008-12-07	2009-03-04	OSEBERG	NORTH SEA	ED50	60	29	36.17	N	2	49	42.76	E	60.493381	2.828544	6706530.070000	490578.900000	31	5994	2013-05-08
2/1-14 S	Talisman Energy Norge AS	019 B	EXPLORATION	WILDCAT	DRY	2008-12-07	2009-02-28	\N	NORTH SEA	ED50	56	54	17.31	N	3	5	6.38	E	56.904808	3.085106	6306934.030000	505183.430000	31	5995	2013-05-08
34/7-P-22 A	StatoilHydro ASA	089	DEVELOPMENT	INJECTION	WATER	2008-12-06	2009-02-12	SNORRE	NORTH SEA	ED50	61	26	57.47	N	2	8	36.81	E	61.449297	2.143558	6813296.110000	454332.960000	31	5996	2013-05-08
34/8-14 B	StatoilHydro ASA	120	EXPLORATION	APPRAISAL	OIL/GAS	2008-12-25	2009-01-25	VISUND SØR	NORTH SEA	ED50	61	18	37.90	N	2	20	32.90	E	61.310528	2.342472	6797715.240000	464783.400000	31	5997	2013-05-08
16/2-U-3	StatoilHydro ASA	265	SHALLOW	\N	\N	2008-09-26	2008-09-26	\N	NORTH SEA	ED50	58	48	48.92	N	2	22	14.30	E	58.813589	2.370639	6519616.060000	463645.040000	31	5998	2013-05-08
16/2-U-4	StatoilHydro ASA	265	SHALLOW	\N	\N	2008-09-27	2008-09-27	\N	NORTH SEA	ED50	58	48	49.56	N	2	22	10.53	E	58.813767	2.369592	6519636.420000	463584.730000	31	5999	2013-05-08
35/6-1 S	StatoilHydro ASA	376	EXPLORATION	WILDCAT	DRY	2009-02-04	2009-02-10	\N	NORTH SEA	ED50	61	32	2.92	N	3	54	40.82	E	61.534144	3.911339	6822786.900000	548462.020000	31	6000	2013-05-08
16/2-U-5	StatoilHydro ASA	265	SHALLOW	\N	\N	2008-09-27	2008-09-27	\N	NORTH SEA	ED50	58	48	50.88	N	2	22	13.57	E	58.814133	2.370436	6519676.790000	463633.890000	31	6001	2013-05-08
6507/3-L-2 H	StatoilHydro ASA	159 B	DEVELOPMENT	PRODUCTION	GAS	2009-01-07	2009-03-02	ALVE	NORWEGIAN SEA	ED50	65	58	6.60	N	7	48	34.80	E	65.968500	7.809667	7317097.430000	445908.060000	32	6002	2013-05-08
6407/7-U-1	StatoilHydro Petroleum AS	107	SHALLOW	\N	\N	2008-06-16	2008-06-17	\N	NORWEGIAN SEA	ED50	64	25	49.30	N	7	7	38.40	E	64.430361	7.127333	7146478.820000	409820.680000	32	6003	2013-05-08
34/10-A-28 A	StatoilHydro ASA	050	DEVELOPMENT	PRODUCTION	OIL	2009-01-06	2009-03-19	GULLFAKS	NORTH SEA	ED50	61	10	33.81	N	2	11	22.70	E	61.176058	2.189639	6782829.020000	456412.320000	31	6004	2013-05-08
35/9-U-2	Statoil ASA (old)	153	SHALLOW	\N	\N	2009-01-03	2009-01-07	GJØA	NORTH SEA	ED50	61	23	18.66	N	3	58	54.62	E	61.388517	3.981839	6806620.140000	552455.000000	31	6005	2013-05-08
35/9-F-1 H	StatoilHydro ASA	153	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2009-01-08	2009-03-05	GJØA	NORTH SEA	ED50	61	23	17.55	N	3	58	52.17	E	61.388208	3.981158	6806585.250000	552419.160000	31	6006	2013-05-08
9/2-C-1	Talisman Energy Norge AS	316	DEVELOPMENT	PRODUCTION	\N	2009-05-30	2009-06-11	YME	NORTH SEA	ED50	57	48	57.99	N	4	32	7.55	E	57.816108	4.535431	6409417.080000	591222.690000	31	6007	2013-05-08
9/2-C-2	Talisman Energy Norge AS	316	DEVELOPMENT	PRODUCTION	\N	2009-01-30	2009-09-26	YME	NORTH SEA	ED50	57	48	57.89	N	4	32	7.56	E	57.816081	4.535433	6409414.000000	591222.930000	31	6008	2013-05-08
9/2-C-3	Talisman Energy Norge AS	316	DEVELOPMENT	PRODUCTION	\N	2009-03-24	2009-04-18	YME	NORTH SEA	ED50	57	48	57.94	N	4	32	7.69	E	57.816094	4.535469	6409415.590000	591225.040000	31	6009	2013-05-08
9/2-C-4	Talisman Energy Norge AS	316	DEVELOPMENT	PRODUCTION	OIL	2009-04-21	2009-12-31	YME	NORTH SEA	ED50	57	48	57.91	N	4	32	7.69	E	57.816086	4.535469	6409414.660000	591225.060000	31	6010	2013-05-08
9/2-C-5	Talisman Energy Norge AS	316	DEVELOPMENT	INJECTION	WATER/GAS	2009-03-09	2009-03-23	YME	NORTH SEA	ED50	57	48	57.88	N	4	32	7.47	E	57.816078	4.535408	6409413.650000	591221.450000	31	6012	2013-05-08
9/2-C-6	Talisman Energy Norge AS	316	DEVELOPMENT	INJECTION	WATER/GAS	2009-01-23	2009-08-09	YME	NORTH SEA	ED50	57	48	57.93	N	4	32	7.44	E	57.816092	4.535400	6409415.190000	591220.920000	31	6013	2013-05-08
9/2-D-1 H	Talisman Energy Norge AS	316	DEVELOPMENT	PRODUCTION	OIL	2009-07-20	2010-06-17	YME	NORTH SEA	ED50	57	45	22.88	N	4	22	7.49	E	57.756356	4.368747	6402552.950000	581455.070000	31	6014	2013-05-08
9/2-D-2 H	Talisman Energy Norge AS	316	DEVELOPMENT	PRODUCTION	OIL	2009-07-29	2010-05-06	YME	NORTH SEA	ED50	57	45	17.25	N	4	22	1.85	E	57.754792	4.367181	6402376.980000	581365.360000	31	6015	2013-05-08
9/2-D-3 H	Talisman Energy Norge AS	316	DEVELOPMENT	INJECTION	WATER	2009-06-26	2010-02-24	YME	NORTH SEA	ED50	57	45	17.19	N	4	22	2.27	E	57.754775	4.367297	6402375.260000	581372.340000	31	6016	2013-05-08
9/2-C-8	Talisman Energy Norge AS	316	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	YME	NORTH SEA	ED50	57	48	57.85	N	4	32	7.59	E	57.816069	4.535442	6409412.770000	591223.450000	31	6018	2013-05-08
9/2-C-9	Talisman Energy Norge AS	316	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	YME	NORTH SEA	ED50	57	48	57.86	N	4	32	7.53	E	57.816072	4.535425	6409413.060000	591222.450000	31	6019	2013-05-08
34/10-B-2 A	StatoilHydro ASA	050	DEVELOPMENT	PRODUCTION	OIL	2009-01-07	2009-01-25	GULLFAKS	NORTH SEA	ED50	61	12	10.15	N	2	12	6.05	E	61.202819	2.201681	6785801.890000	457096.390000	31	6020	2013-05-08
34/8-14 C	StatoilHydro ASA	120	EXPLORATION	APPRAISAL	OIL/GAS	2008-12-02	2008-12-08	VISUND SØR	NORTH SEA	ED50	61	18	37.90	N	2	20	32.90	E	61.310528	2.342472	6797715.240000	464783.400000	31	6021	2013-05-08
34/8-U-1	StatoilHydro ASA	120	SHALLOW	\N	\N	2009-03-14	2009-03-16	VISUND	NORTH SEA	ED50	61	24	14.80	N	2	34	50.00	E	61.404111	2.580556	6808034.710000	477601.750000	31	6022	2013-05-08
6506/12-U-14	StatoilHydro ASA	094	SHALLOW	\N	\N	2008-10-06	2008-10-06	ÅSGARD	NORWEGIAN SEA	ED50	65	13	1.10	N	6	54	28.50	E	65.216972	6.907917	7234439.510000	402154.370000	32	6023	2013-05-08
34/8-13 A	StatoilHydro ASA	120	EXPLORATION	WILDCAT	OIL	2009-03-17	2009-05-13	\N	NORTH SEA	ED50	61	24	15.80	N	2	34	52.00	E	61.404389	2.581111	6808065.460000	477631.610000	31	6024	2013-05-08
34/8-13 S	StatoilHydro ASA	120	EXPLORATION	WILDCAT	OIL	2009-05-14	2009-06-26	\N	NORTH SEA	ED50	61	24	15.80	N	2	34	52.00	E	61.404389	2.581111	6808065.460000	477631.610000	31	6025	2013-05-08
3/7-U-8	DONG E&P Norge AS	289	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	56	22	54.80	N	4	14	15.07	E	56.381889	4.237519	6249410.140000	576420.050000	31	6026	2013-05-08
6507/8-D-2 AH	StatoilHydro ASA	124	DEVELOPMENT	OBSERVATION	OIL	2009-01-27	2009-02-12	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.95	N	7	20	9.41	E	65.361931	7.335947	7249995.920000	422595.290000	32	6027	2013-05-08
6507/8-D-2 BH	StatoilHydro ASA	124	DEVELOPMENT	PRODUCTION	OIL	2009-02-16	2009-02-25	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.95	N	7	20	9.41	E	65.361931	7.335947	7249995.920000	422595.290000	32	6028	2013-05-08
6608/10-12 A	StatoilHydro ASA	128	EXPLORATION	APPRAISAL	OIL	2008-12-25	2009-01-25	SKULD	NORWEGIAN SEA	ED50	66	13	45.69	N	8	18	45.70	E	66.229358	8.312694	7345831.650000	469084.890000	32	6029	2013-05-08
15/6-10	ExxonMobil Exploration & Production Norway AS	029 B	EXPLORATION	WILDCAT	GAS/CONDENSATE	2009-02-07	2009-04-06	\N	NORTH SEA	ED50	58	40	55.72	N	1	50	15.19	E	58.682144	1.837553	6505392.930000	432599.020000	31	6030	2013-05-08
33/9-A-18 C	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	GAS	2008-12-23	2009-01-12	STATFJORD	NORTH SEA	ED50	61	15	20.73	N	1	51	15.24	E	61.255758	1.854233	6791975.910000	438528.240000	31	6031	2013-05-08
24/9-P-4 H	Marathon Petroleum Norge AS	150	DEVELOPMENT	OBSERVATION	\N	2009-02-21	2009-03-16	VOLUND	NORTH SEA	ED50	59	29	45.83	N	1	57	55.57	E	59.496064	1.965436	6595899.970000	441417.710000	31	6032	2013-05-08
24/9-P-4 AH	Marathon Petroleum Norge AS	150	DEVELOPMENT	INJECTION	WATER	2009-03-17	2009-04-02	VOLUND	NORTH SEA	ED50	59	29	45.83	N	1	57	55.57	E	59.496064	1.965436	6595899.970000	441417.710000	31	6033	2013-05-08
30/9-22	StatoilHydro Petroleum AS	104	EXPLORATION	WILDCAT	OIL/GAS	2009-01-29	2009-03-10	OSEBERG SØR	NORTH SEA	ED50	60	17	31.78	N	2	42	5.84	E	60.292161	2.701622	6684143.450000	483503.350000	31	6034	2013-05-08
30/9-J-15 H	StatoilHydro Petroleum AS	104	DEVELOPMENT	PRODUCTION	OIL	2009-01-09	2009-03-23	OSEBERG SØR	NORTH SEA	ED50	60	21	16.04	N	2	54	0.51	E	60.354456	2.900142	6691048.550000	494489.550000	31	6035	2013-05-08
34/8-14 D	StatoilHydro ASA	120	EXPLORATION	APPRAISAL	OIL/GAS	2009-01-26	2009-02-10	VISUND SØR	NORTH SEA	ED50	61	18	37.90	N	2	20	32.90	E	61.310528	2.342472	6797715.240000	464783.400000	31	6036	2013-05-08
31/5-J-13 AY3H	StatoilHydro Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2009-02-15	2009-03-14	TROLL	NORTH SEA	ED50	60	44	35.77	N	3	36	28.56	E	60.743269	3.607933	6734504.590000	533146.960000	31	6037	2013-05-08
31/2-Y-13 BY1H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2009-02-13	2009-03-11	TROLL	NORTH SEA	ED50	60	50	57.72	N	3	34	53.83	E	60.849367	3.581619	6746309.020000	531607.530000	31	6038	2013-05-08
31/2-Y-13 BY2H	StatoilHydro ASA	054	DEVELOPMENT	PRODUCTION	OIL	2009-03-12	2009-04-12	TROLL	NORTH SEA	ED50	60	50	57.72	N	3	34	53.83	E	60.849367	3.581619	6746309.020000	531607.530000	31	6039	2013-05-08
24/9-P-1 H	Marathon Petroleum Norge AS	150	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	VOLUND	NORTH SEA	ED50	59	29	46.46	N	1	57	54.56	E	59.496239	1.965156	6595919.700000	441402.130000	31	6040	2013-05-08
24/9-P-1 AH	Marathon Petroleum Norge AS	150	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VOLUND	NORTH SEA	ED50	59	29	46.46	N	1	57	54.56	E	59.496239	1.965156	6595919.700000	441402.130000	31	6041	2013-05-08
16/2-5	StatoilHydro ASA	265	EXPLORATION	WILDCAT	OIL/GAS	2009-02-22	2009-05-13	\N	NORTH SEA	ED50	58	48	50.91	N	2	22	11.02	E	58.814142	2.369728	6519678.100000	463592.990000	31	6042	2013-05-08
30/5-3 S	StatoilHydro Petroleum AS	309	EXPLORATION	WILDCAT	GAS	2009-02-06	2009-04-12	\N	NORTH SEA	ED50	60	39	26.30	N	2	39	33.60	E	60.657306	2.659333	6724824.400000	481375.720000	31	6043	2013-05-08
6705/10-1	StatoilHydro ASA	327 B	EXPLORATION	WILDCAT	GAS	2009-02-05	2009-03-19	\N	NORWEGIAN SEA	ED50	67	0	58.40	N	5	17	47.80	E	67.016222	5.296611	7435225.680000	600057.620000	31	6044	2013-05-08
30/3-10 S	StatoilHydro ASA	052	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2009-02-14	2009-04-29	\N	NORTH SEA	ED50	60	47	43.50	N	2	41	11.80	E	60.795417	2.686611	6740200.340000	482940.390000	31	6045	2013-05-08
15/9-F-15 B	StatoilHydro ASA	046 BS	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2009-01-13	2009-01-18	VOLVE	NORTH SEA	ED50	58	26	29.71	N	1	53	15.15	E	58.441586	1.887542	6478560.470000	435053.560000	31	6046	2013-05-08
15/12-21	Talisman Energy Norge AS	038	EXPLORATION	WILDCAT	OIL	2009-03-15	2009-05-21	\N	NORTH SEA	ED50	58	13	40.47	N	1	52	56.82	E	58.227908	1.882450	6454775.770000	434361.340000	31	6047	2013-05-08
33/9-A-18 D	Statoil ASA (old)	037	DEVELOPMENT	PRODUCTION	GAS	2009-01-13	2009-02-08	STATFJORD	NORTH SEA	ED50	61	15	20.73	N	1	51	15.24	E	61.255758	1.854233	6791975.910000	438528.240000	31	6048	2013-05-08
6407/7-A-11 AH	StatoilHydro Petroleum AS	107	DEVELOPMENT	PRODUCTION	OIL	2009-01-26	2009-04-04	NJORD	NORWEGIAN SEA	ED50	64	16	15.92	N	7	12	8.70	E	64.271089	7.202417	7128629.990000	412933.590000	32	6049	2013-05-08
6507/7-A-26 A	StatoilHydro ASA	095	DEVELOPMENT	PRODUCTION	OIL	2009-01-29	2009-04-20	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.66	N	7	19	2.67	E	65.325739	7.317408	7245986.090000	421625.440000	32	6050	2013-05-08
2/1-A-16 B	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2009-02-17	2009-04-16	GYDA	NORTH SEA	ED50	56	54	17.55	N	3	5	6.38	E	56.904875	3.085106	6306941.450000	505183.420000	31	6051	2013-05-08
25/11-G-15 AY3	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2009-02-01	2009-02-24	GRANE	NORTH SEA	ED50	59	9	55.00	N	2	29	14.44	E	59.165278	2.487344	6558720.190000	470686.750000	31	6052	2013-05-08
2/4-K-29 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2009-03-07	2009-05-31	EKOFISK	NORTH SEA	ED50	56	33	55.97	N	3	12	22.03	E	56.565547	3.206119	6269184.930000	512667.480000	31	6053	2013-05-08
33/9-C-15 B	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2009-03-13	2009-04-01	STATFJORD	NORTH SEA	ED50	61	17	47.97	N	1	54	10.91	E	61.296658	1.903031	6796486.550000	441222.590000	31	6054	2013-05-08
30/5-3 A	StatoilHydro Petroleum AS	309	EXPLORATION	WILDCAT	GAS	2009-04-15	2009-05-30	\N	NORTH SEA	ED50	60	39	26.30	N	2	39	33.60	E	60.657306	2.659333	6724824.400000	481375.720000	31	6055	2013-05-08
31/4-A-22 A	StatoilHydro Petroleum AS	055	DEVELOPMENT	INJECTION	WATER	2009-02-13	2009-05-22	BRAGE	NORTH SEA	ED50	60	32	33.51	N	3	2	51.03	E	60.542642	3.047508	6712005.510000	502606.520000	31	6056	2013-05-08
25/11-G-13 Y2	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2009-07-24	2009-08-17	GRANE	NORTH SEA	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	6057	2013-05-08
25/11-G-13 Y3	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2009-08-17	2009-09-19	GRANE	NORTH SEA	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	6058	2013-05-08
25/11-G-13 Y4	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	6059	2013-05-08
31/5-J-13 AY2H	StatoilHydro Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2009-02-09	2009-02-15	TROLL	NORTH SEA	ED50	60	44	35.77	N	3	36	28.56	E	60.743269	3.607933	6734504.590000	533146.960000	31	6060	2013-05-08
7323/7-U-14	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1984-08-15	1984-08-19	\N	BARENTS SEA	ED50	73	15	41.22	N	23	16	7.01	E	73.261450	23.268614	8133610.180000	380113.210000	35	6061	2013-05-08
7323/11-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	SHALLOW	\N	\N	1984-08-27	1984-08-28	\N	BARENTS SEA	ED50	73	13	59.95	N	23	27	0.04	E	73.233319	23.450011	8130122.190000	385748.860000	35	6062	2013-05-08
35/6-2 S	StatoilHydro ASA	376	EXPLORATION	WILDCAT	DRY	2009-02-11	2009-04-04	\N	NORTH SEA	ED50	61	32	0.98	N	3	54	40.72	E	61.533606	3.911311	6822726.850000	548461.380000	31	6063	2013-05-08
35/6-U-1	StatoilHydro ASA	376	SHALLOW	\N	\N	2009-02-10	2009-02-11	\N	NORTH SEA	ED50	61	32	1.90	N	3	54	40.73	E	61.533861	3.911314	6822755.320000	548461.130000	31	6064	2013-05-08
33/9-A-28 A	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	OIL	2009-03-10	2009-04-05	STATFJORD	NORTH SEA	ED50	61	15	19.86	N	1	51	14.33	E	61.255517	1.853981	6791949.230000	438514.200000	31	6065	2013-05-08
24/9-P-5 H	Marathon Petroleum Norge AS	150	DEVELOPMENT	PRODUCTION	OIL/GAS	2009-04-10	2009-05-03	VOLUND	NORTH SEA	ED50	59	29	45.25	N	1	57	54.46	E	59.495903	1.965128	6595882.300000	441399.970000	31	6066	2013-05-08
34/4-L-2 AH	StatoilHydro ASA	057	DEVELOPMENT	INJECTION	WATER	2009-03-07	2009-03-31	SNORRE	NORTH SEA	ED50	61	31	31.44	N	2	12	43.16	E	61.525400	2.211989	6821727.330000	458084.130000	31	6067	2013-05-08
36/7-E-1 H	StatoilHydro Petroleum AS	153	DEVELOPMENT	PRODUCTION	GAS	2009-09-18	2009-11-15	GJØA	NORTH SEA	ED50	61	21	48.97	N	4	0	53.45	E	61.363603	4.014847	6803872.050000	554261.530000	31	6068	2013-05-08
36/7-E-2 H	Statoil Petroleum AS	153	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GJØA	NORTH SEA	ED50	61	21	49.09	N	4	0	53.05	E	61.363636	4.014736	6803875.670000	554255.530000	31	6069	2013-05-08
36/7-E-3 H	StatoilHydro Petroleum AS	153	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2009-05-29	2009-06-21	GJØA	NORTH SEA	ED50	61	21	49.21	N	4	0	52.64	E	61.363669	4.014622	6803879.290000	554249.390000	31	6070	2013-05-08
36/7-E-4 H	StatoilHydro Petroleum AS	153	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2009-03-21	2009-04-26	GJØA	NORTH SEA	ED50	61	21	49.17	N	4	0	53.49	E	61.363658	4.014858	6803878.250000	554262.030000	31	6071	2013-05-08
15/9-A-23 B	StatoilHydro Petroleum AS	046	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2009-03-16	2009-04-28	SLEIPNER ØST	NORTH SEA	ED50	58	22	2.05	N	1	54	32.06	E	58.367236	1.908906	6470262.220000	436166.450000	31	6072	2013-05-08
6507/3-6	Det norske oljeselskap ASA (old)	383	EXPLORATION	WILDCAT	DRY	2009-05-29	2009-06-23	\N	NORWEGIAN SEA	ED50	65	47	47.37	N	7	55	16.50	E	65.796492	7.921250	7297834.850000	450648.810000	32	6073	2013-05-08
34/7-G-4 AH	StatoilHydro ASA	089	DEVELOPMENT	OBSERVATION	\N	2009-04-15	2009-04-20	VIGDIS	NORTH SEA	ED50	61	22	44.12	N	2	6	21.36	\N	61.378922	2.105933	6805484.030000	547780.600000	31	6074	2013-05-08
34/7-G-4 BH	StatoilHydro ASA	089	DEVELOPMENT	PRODUCTION	OIL	2009-04-20	2009-06-13	VIGDIS	NORTH SEA	ED50	61	22	44.12	N	2	6	21.36	E	61.378922	2.105933	6805484.030000	452219.400000	31	6075	2013-05-08
6407/1-C-2 H	StatoilHydro ASA	073	DEVELOPMENT	OBSERVATION	OIL	2009-04-04	2009-05-16	TYRIHANS	NORWEGIAN SEA	ED50	64	47	23.71	N	7	0	42.00	E	64.789919	7.011667	7186704.650000	405508.370000	32	6076	2013-05-08
6407/1-C-2 AY1H	StatoilHydro ASA	073	DEVELOPMENT	PRODUCTION	OIL	2009-05-16	2009-05-30	TYRIHANS	NORWEGIAN SEA	ED50	64	47	23.71	N	7	0	42.00	E	64.789919	7.011667	7186704.650000	405508.370000	32	6077	2013-05-08
6407/1-C-2 AY2H	StatoilHydro ASA	073	DEVELOPMENT	PRODUCTION	OIL	2009-05-31	2009-07-15	TYRIHANS	NORWEGIAN SEA	ED50	64	47	23.71	N	7	0	42.00	E	64.789919	7.011667	7186704.650000	405508.370000	32	6078	2013-05-08
30/9-F-26 B	Statoil Petroleum AS	104	DEVELOPMENT	INJECTION	WATER	2011-01-11	2011-05-09	OSEBERG SØR	NORTH SEA	ED50	60	23	24.48	N	2	47	49.45	E	60.390133	2.797069	6695035.350000	488813.990000	31	6079	2013-05-08
34/7-34 A	StatoilHydro ASA	089	EXPLORATION	APPRAISAL	OIL	2009-03-10	2009-03-20	VIGDIS	NORTH SEA	ED50	61	23	22.40	N	2	8	32.30	E	61.389556	2.142306	6806642.390000	454178.680000	31	6080	2013-05-08
6507/8-D-2 CH	StatoilHydro ASA	124	DEVELOPMENT	PRODUCTION	OIL	2009-03-27	2009-04-02	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.95	N	7	20	9.41	E	65.361931	7.335947	7249995.920000	422595.290000	32	6081	2013-05-08
25/8-16 S	ExxonMobil Exploration & Production Norway AS	027 D	EXPLORATION	WILDCAT	OIL	2009-04-10	2009-05-13	\N	NORTH SEA	ED50	59	24	56.25	N	2	29	2.34	E	59.415625	2.483983	6586599.870000	470710.440000	31	6082	2013-05-08
6406/3-U-1	StatoilHydro Petroleum AS	091	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	50	10.15	N	6	47	13.67	E	64.836153	6.787131	7192208.920000	395021.030000	32	6083	2013-05-08
35/2-2	StatoilHydro Petroleum AS	318	EXPLORATION	APPRAISAL	GAS	2009-06-02	2009-07-26	\N	NORTH SEA	ED50	61	52	36.20	N	3	24	51.00	E	61.876722	3.414167	6860681.030000	521781.520000	31	6084	2013-05-08
30/11-7 A	StatoilHydro Petroleum AS	035 B	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2009-04-02	2009-05-25	\N	NORTH SEA	ED50	60	0	21.24	N	2	22	25.62	E	60.005900	2.373783	6652389.100000	465075.910000	31	6085	2013-05-08
33/9-C-32 B	StatoilHydro Petroleum AS	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2009-04-13	2009-05-04	STATFJORD	NORTH SEA	ED50	61	17	46.82	N	1	54	10.07	E	61.296339	1.902797	6796451.170000	441209.490000	31	6086	2013-05-08
6407/7-U-2	StatoilHydro Petroleum AS	107	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	16	21.13	N	7	6	26.82	E	64.272536	7.107450	7128924.670000	408339.670000	32	6087	2013-05-08
30/3-A-3 C	StatoilHydro Petroleum AS	052	DEVELOPMENT	PRODUCTION	OIL	2009-04-13	2009-05-29	VESLEFRIKK	NORTH SEA	ED50	60	46	57.71	N	2	53	52.27	E	60.782697	2.897853	6738747.170000	494437.300000	31	6088	2013-05-08
15/12-A-7 A	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2008-05-26	2008-07-01	VARG	NORTH SEA	ED50	58	4	40.53	N	1	53	25.77	E	58.077925	1.890492	6438070.140000	434558.930000	31	6089	2013-05-08
36/7-E-4 AY1H	StatoilHydro Petroleum AS	153	DEVELOPMENT	PRODUCTION	\N	2009-04-27	2009-07-19	GJØA	NORTH SEA	ED50	61	21	49.17	N	4	0	53.49	E	61.363658	4.014858	6803878.250000	554262.030000	31	6090	2013-05-08
36/7-E-4 AY2H	StatoilHydro Petroleum AS	153	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GJØA	NORTH SEA	ED50	61	21	49.17	N	4	0	53.49	E	61.363658	4.014858	6803878.250000	554262.030000	31	6091	2013-05-08
31/5-H-6 BY1H	StatoilHydro Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2009-04-27	2009-05-30	TROLL	NORTH SEA	ED50	60	42	46.85	N	3	30	33.96	E	60.713014	3.509433	6731088.960000	527802.560000	31	6092	2013-05-08
31/5-H-6 BY2H	StatoilHydro Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2009-05-31	2009-06-20	TROLL	NORTH SEA	ED50	60	42	46.85	N	3	30	33.96	E	60.713014	3.509433	6731088.960000	527802.560000	31	6093	2013-05-08
2/8-G-19	BP Norge AS	006 B	DEVELOPMENT	INJECTION	WATER	2009-08-09	2009-10-09	VALHALL	NORTH SEA	ED50	56	16	35.59	N	3	23	46.98	E	56.276553	3.396383	6237068.730000	524545.870000	31	6094	2013-05-08
35/12-2	Wintershall Norge ASA	378	EXPLORATION	WILDCAT	OIL/GAS	2009-05-30	2009-07-15	\N	NORTH SEA	ED50	61	9	59.66	N	3	40	13.34	E	61.166572	3.670372	6781687.130000	536069.000000	31	6095	2013-05-08
6407/6-U-2	StatoilHydro Petroleum AS	312	SHALLOW	\N	\N	2009-04-10	2009-04-11	\N	NORWEGIAN SEA	ED50	64	33	53.11	N	7	40	25.72	E	64.564753	7.673811	7160790.880000	436445.970000	32	6096	2013-05-08
36/7-E-3 AH	StatoilHydro Petroleum AS	153	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GJØA	NORTH SEA	ED50	61	21	49.21	N	4	0	52.64	E	61.363669	4.014622	6803879.290000	554249.390000	31	6097	2013-05-08
8/10-3	ConocoPhillips Skandinavia AS	331	EXPLORATION	WILDCAT	DRY	2010-06-02	2010-10-06	\N	NORTH SEA	ED50	57	2	23.57	N	3	17	1.85	E	57.039881	3.283847	6322002.760000	517225.490000	31	6098	2013-05-08
15/9-F-10	StatoilHydro Petroleum AS	046 BS	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2009-04-06	2009-06-14	VOLVE	NORTH SEA	ED50	58	26	29.68	N	1	53	15.07	E	58.441578	1.887519	6478559.560000	435052.250000	31	6099	2013-05-08
6407/6-7 S	StatoilHydro ASA	312	EXPLORATION	WILDCAT	GAS	2009-04-12	2009-05-27	\N	NORWEGIAN SEA	ED50	64	33	53.10	N	7	40	26.80	E	64.564750	7.674111	7160790.270000	436460.340000	32	6100	2013-05-08
15/9-F-10 A	StatoilHydro Petroleum AS	046 BS	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	VOLVE	NORTH SEA	ED50	58	26	29.68	N	1	53	15.07	E	58.441578	1.887519	6478559.560000	435052.250000	31	6101	2013-05-08
15/9-F-10 B	StatoilHydro Petroleum AS	046 BS	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VOLVE	NORTH SEA	ED50	58	26	29.68	N	1	53	15.07	E	58.441578	1.887519	6478559.560000	435052.250000	31	6102	2013-05-08
34/7-P-27 A	StatoilHydro Petroleum AS	089	DEVELOPMENT	PRODUCTION	OIL	2009-05-25	2009-08-08	SNORRE	NORTH SEA	ED50	61	26	57.98	N	2	8	36.53	E	61.449439	2.143481	6813311.940000	454329.020000	31	6103	2013-05-08
6506/11-A-1 H	Statoil Petroleum AS	134 B	DEVELOPMENT	PRODUCTION	OIL/GAS/CONDENSATE	2009-12-04	2010-08-20	MORVIN	NORWEGIAN SEA	ED50	65	8	14.21	N	6	28	40.18	E	65.137281	6.477828	7226298.470000	381692.180000	32	6104	2013-05-08
6506/11-A-3 H	Statoil Petroleum AS	134 B	DEVELOPMENT	PRODUCTION	\N	2009-11-27	2010-02-21	MORVIN	NORWEGIAN SEA	ED50	65	8	14.47	N	6	28	39.91	E	65.137353	6.477753	7226306.660000	381688.990000	32	6105	2013-05-08
6407/2-4	Det norske oljeselskap ASA (old)	380	EXPLORATION	WILDCAT	DRY	2009-07-23	2009-08-31	\N	NORWEGIAN SEA	ED50	64	57	47.40	N	7	26	51.20	E	64.963167	7.447556	7205429.550000	426693.130000	32	6106	2013-05-08
31/2-X-22 AY1H	StatoilHydro Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2009-04-30	2009-06-13	TROLL	NORTH SEA	ED50	60	48	28.99	N	3	35	35.73	E	60.808053	3.593258	6741713.000000	532281.630000	31	6107	2013-05-08
31/2-X-22 AY2H	StatoilHydro Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2009-06-14	2009-07-20	TROLL	NORTH SEA	ED50	60	48	28.99	N	3	35	35.73	E	60.808053	3.593258	6741713.000000	532281.630000	31	6108	2013-05-08
33/9-21 A	Wintershall Norge ASA	037 D	EXPLORATION	APPRAISAL	OIL	2009-04-17	2009-04-30	\N	NORTH SEA	ED50	61	23	48.26	N	1	44	27.25	E	61.396739	1.740903	6807790.250000	432751.220000	31	6109	2013-05-08
6407/8-5 S	StatoilHydro Petroleum AS	348	EXPLORATION	WILDCAT	OIL	2009-05-02	2009-05-26	HYME	NORWEGIAN SEA	ED50	64	20	56.60	N	7	33	44.30	E	64.349056	7.562306	7136873.690000	430558.810000	32	6110	2013-05-08
2/11-S-4 Y1F2	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2005-12-12	2006-01-17	HOD	NORTH SEA	ED50	56	13	39.81	N	3	26	14.81	E	56.227725	3.437447	6231649.340000	527123.220000	31	6111	2013-05-08
2/11-S-4 Y2F2	BP Norge AS	033 B	DEVELOPMENT	PRODUCTION	OIL	2006-01-10	2006-02-22	HOD	NORTH SEA	ED50	56	13	39.81	N	3	26	14.81	E	56.227725	3.437447	6231649.340000	527123.220000	31	6112	2013-05-08
34/11-U-1	StatoilHydro ASA	\N	SHALLOW	\N	\N	2008-11-13	2008-11-16	\N	NORTH SEA	ED50	61	2	27.22	N	2	20	21.80	E	61.040894	2.339389	6767682.900000	464314.870000	31	6113	2013-05-08
34/11-U-2	StatoilHydro Petroleum AS	\N	SHALLOW	\N	\N	2008-11-17	2008-11-19	\N	NORTH SEA	ED50	61	2	26.98	N	2	20	21.65	E	61.040828	2.339347	6767675.490000	464312.540000	31	6114	2013-05-08
7222/11-U-1	StatoilHydro Petroleum AS	228	SHALLOW	\N	\N	2008-08-03	2008-08-06	\N	BARENTS SEA	ED50	72	4	20.70	N	22	28	27.40	E	72.072417	22.474278	8003069.660000	344635.760000	35	6115	2013-05-08
6608/10-M-2 H	Statoil Petroleum AS	128	DEVELOPMENT	PRODUCTION	OIL	2010-09-30	2010-11-14	NORNE	NORWEGIAN SEA	ED50	66	0	17.81	N	8	1	55.28	E	66.004947	8.032022	7320985.900000	456074.470000	32	6116	2013-05-08
6608/10-M-4 H	Statoil Petroleum AS	128	DEVELOPMENT	PRODUCTION	OIL	2010-03-20	2010-05-13	NORNE	NORWEGIAN SEA	ED50	66	0	17.65	N	8	1	56.16	E	66.004903	8.032267	7320980.780000	456085.490000	32	6117	2013-05-08
6305/5-3 S	A/S Norske Shell	209	EXPLORATION	APPRAISAL	GAS	2009-08-19	2009-10-27	ORMEN LANGE	NORWEGIAN SEA	ED50	63	34	53.76	N	5	25	7.38	E	63.581600	5.418717	7052835.000000	620055.010000	31	6118	2013-05-08
2/4-VA-4 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2009-07-11	2009-08-07	EKOFISK	NORTH SEA	ED50	56	32	12.84	N	3	12	42.86	E	56.536900	3.211906	6265997.250000	513032.910000	31	6119	2013-05-08
25/10-9	Lundin Norway AS	304	EXPLORATION	WILDCAT	DRY	2009-06-09	2009-07-27	\N	NORTH SEA	ED50	59	6	34.66	N	2	10	7.80	E	59.109628	2.168833	6552706.830000	452397.850000	31	6120	2013-05-08
6507/7-A-2	StatoilHydro Petroleum AS	095	DEVELOPMENT	INJECTION	OIL/GAS	2009-05-31	2009-08-30	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.97	N	7	19	2.48	E	65.325825	7.317356	7245995.750000	421623.240000	32	6121	2013-05-08
6507/11-10	Det norske oljeselskap ASA	476	EXPLORATION	WILDCAT	DRY	2010-01-16	2010-02-16	\N	NORWEGIAN SEA	ED50	65	5	29.53	N	7	35	46.63	E	65.091536	7.596286	7219569.850000	434033.030000	32	6122	2013-05-08
6507/3-7	StatoilHydro Petroleum AS	159 D	EXPLORATION	WILDCAT	GAS	2009-06-02	2009-07-22	\N	NORWEGIAN SEA	ED50	65	49	24.24	N	7	43	8.15	E	65.823400	7.718931	7301007.560000	441455.110000	32	6123	2013-05-08
24/9-P-5 AH	Marathon Petroleum Norge AS	150	DEVELOPMENT	PRODUCTION	OIL/GAS	2009-05-04	2009-05-28	VOLUND	NORTH SEA	ED50	59	29	45.25	N	1	57	54.46	E	59.495903	1.965128	6595882.300000	441399.970000	31	6124	2013-05-08
6507/3-U-2	Statoil ASA (old)	159 D	SHALLOW	\N	\N	2009-06-01	2009-06-02	\N	NORWEGIAN SEA	ED50	65	49	24.26	N	7	43	8.34	E	65.823406	7.718983	7301008.120000	441457.540000	32	6125	2013-05-08
25/11-G-7	Statoil Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	OIL	2010-05-13	2010-07-19	GRANE	NORTH SEA	ED50	59	9	55.12	N	2	29	14.22	E	59.165311	2.487283	6558723.930000	470683.290000	31	6126	2013-05-08
25/11-G-32	Statoil Petroleum AS	169 B1	DEVELOPMENT	INJECTION	WATER	2010-03-29	2010-12-12	GRANE	NORTH SEA	ED50	59	9	54.84	N	2	29	15.01	E	59.165233	2.487503	6558715.170000	470695.770000	31	6127	2013-05-08
25/8-16 A	ExxonMobil Exploration & Production Norway AS	027 D	EXPLORATION	APPRAISAL	DRY	2009-05-13	2009-05-23	\N	NORTH SEA	ED50	59	24	56.25	N	2	29	2.34	E	59.415625	2.483983	6586599.870000	470710.440000	31	6128	2013-05-08
2/7-U-20	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-06	2009-06-06	ELDFISK	NORTH SEA	ED50	56	22	29.00	N	3	15	48.99	E	56.374722	3.263608	6247956.320000	516282.020000	31	6129	2013-05-08
2/7-U-23	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-06	2009-06-06	ELDFISK	NORTH SEA	ED50	56	22	27.09	N	3	15	45.87	E	56.374192	3.262742	6247897.060000	516228.720000	31	6130	2013-05-08
2/7-U-24	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-02	2009-06-02	ELDFISK	NORTH SEA	ED50	56	22	26.07	N	3	15	43.40	E	56.373908	3.262056	6247865.360000	516186.460000	31	6131	2013-05-08
2/7-U-25	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-02	2009-06-04	ELDFISK	NORTH SEA	ED50	56	22	24.02	N	3	15	46.28	E	56.373339	3.262856	6247802.160000	516236.120000	31	6132	2013-05-08
2/7-U-26	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-07	2009-06-07	ELDFISK	NORTH SEA	ED50	56	22	25.11	N	3	15	48.79	E	56.373642	3.263553	6247836.030000	516279.050000	31	6133	2013-05-08
2/7-U-27	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-08	2009-06-08	ELDFISK	NORTH SEA	ED50	56	22	24.61	N	3	15	50.04	E	56.373503	3.263900	6247820.650000	516300.560000	31	6134	2013-05-08
2/7-U-28	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-09	2009-06-09	ELDFISK	NORTH SEA	ED50	56	22	23.22	N	3	15	46.83	E	56.373117	3.263008	6247777.460000	516245.650000	31	6135	2013-05-08
2/7-U-29	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-09	2009-06-09	ELDFISK	NORTH SEA	ED50	56	22	22.37	N	3	15	50.62	E	56.372881	3.264061	6247751.430000	516310.780000	31	6136	2013-05-08
17/12-4	BG Norge AS	407	EXPLORATION	APPRAISAL	OIL	2009-06-17	2009-07-10	\N	NORTH SEA	ED50	58	10	37.58	N	3	55	11.05	E	58.177106	3.919736	6448944.030000	554097.840000	31	6137	2013-05-08
6506/12-P-4 AH	StatoilHydro Petroleum AS	094	DEVELOPMENT	PRODUCTION	OIL	2009-06-26	2009-08-09	ÅSGARD	NORWEGIAN SEA	ED50	65	1	22.74	N	6	52	46.19	E	65.022983	6.879497	7212872.420000	400099.670000	32	6138	2013-05-08
15/12-21 A	Talisman Energy Norge AS	038	EXPLORATION	APPRAISAL	OIL	2009-05-23	2009-06-21	\N	NORTH SEA	ED50	58	13	40.47	N	1	52	56.82	E	58.227908	1.882450	6454775.770000	434361.340000	31	6139	2013-05-08
33/9-C-28 C	StatoilHydro Petroleum AS	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2009-05-15	2009-06-10	STATFJORD	NORTH SEA	ED50	61	17	46.86	N	1	54	10.27	E	61.296350	1.902853	6796452.360000	441212.490000	31	6140	2013-05-08
30/9-J-13 BH	StatoilHydro Petroleum AS	104	DEVELOPMENT	PRODUCTION	OIL	2009-05-20	2009-06-09	OSEBERG SØR	NORTH SEA	ED50	60	21	16.36	N	2	54	0.25	E	60.354544	2.900069	6691058.450000	494485.580000	31	6141	2013-05-08
33/9-21 B	Wintershall Norge ASA	037 D	EXPLORATION	APPRAISAL	OIL	2009-04-30	2009-06-11	\N	NORTH SEA	ED50	61	23	48.26	N	1	44	27.25	E	61.396739	1.740903	6807790.250000	432751.220000	31	6142	2013-05-08
6306/6-2	Det norske oljeselskap ASA (old)	321	EXPLORATION	WILDCAT	DRY	2009-08-21	2009-11-17	\N	NORWEGIAN SEA	ED50	63	41	4.90	N	6	40	16.20	E	63.684694	6.671167	7064151.710000	384823.290000	32	6143	2013-05-08
6506/12-12 S	StatoilHydro Petroleum AS	094	EXPLORATION	APPRAISAL	OIL/GAS	2009-06-01	2009-08-06	ÅSGARD	NORWEGIAN SEA	ED50	65	13	1.19	N	6	54	29.77	E	65.216997	6.908269	7234441.750000	402170.960000	32	6144	2013-05-08
25/11-G-37	Statoil Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	54.53	N	2	29	14.86	E	59.165147	2.487461	6558705.600000	470693.310000	31	6145	2013-05-08
6506/12-U-15	StatoilHydro ASA	094	SHALLOW	\N	\N	9999-12-31	9999-12-31	ÅSGARD	NORWEGIAN SEA	ED50	65	13	1.86	N	6	54	28.09	E	65.217183	6.907803	7234463.200000	402149.830000	32	6146	2013-05-08
34/10-52 S	Statoil Petroleum AS	050	EXPLORATION	APPRAISAL	DRY	2009-08-11	2009-11-26	GULLFAKS SØR	NORTH SEA	ED50	61	4	16.83	N	2	11	31.37	E	61.071342	2.192047	6771163.490000	456397.820000	31	6147	2013-05-08
1/2-U-1	ConocoPhillips Skandinavia AS	143	SHALLOW	\N	\N	2009-05-09	2009-05-09	\N	NORTH SEA	ED50	56	56	55.58	N	2	27	5.01	E	56.948772	2.451392	6311958.730000	466625.990000	31	6148	2013-05-08
1/2-U-2	ConocoPhillips Skandinavia AS	143	SHALLOW	\N	\N	2009-05-12	2009-05-12	\N	NORTH SEA	ED50	56	56	56.95	N	2	27	7.69	E	56.949153	2.452136	6312000.730000	466671.620000	31	6149	2013-05-08
1/2-U-3	ConocoPhillips Skandinavia AS	143	SHALLOW	\N	\N	2009-05-12	2009-05-12	\N	NORTH SEA	ED50	56	56	54.99	N	2	27	8.52	E	56.948608	2.452367	6311940.010000	466685.160000	31	6150	2013-05-08
6407/2-5 S	StatoilHydro Petroleum AS	074	EXPLORATION	WILDCAT	OIL/GAS	2009-07-26	2009-09-02	\N	NORWEGIAN SEA	ED50	64	50	55.69	N	7	38	5.70	E	64.848803	7.634917	7192481.710000	435264.210000	32	6151	2013-05-08
6407/2-U-1	StatoilHydro Petroleum AS	074 B	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	64	50	55.69	N	7	38	5.70	E	64.848803	7.634917	7192481.710000	435264.210000	32	6152	2013-05-08
6407/8-5 A	StatoilHydro Petroleum AS	348	EXPLORATION	APPRAISAL	OIL	2009-05-30	2009-06-13	HYME	NORWEGIAN SEA	ED50	64	20	56.60	N	7	33	44.30	E	64.349056	7.562306	7136873.690000	430558.810000	32	6153	2013-05-08
35/3-7 S	VNG Norge AS (old)	270	EXPLORATION	WILDCAT	GAS	2009-06-28	2009-10-01	\N	NORTH SEA	ED50	61	50	7.24	N	3	49	31.83	E	61.835344	3.825508	6856278.070000	543472.410000	31	6154	2013-05-08
2/7-U-30	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-10	2009-06-10	ELDFISK	NORTH SEA	ED50	56	22	21.09	N	3	15	52.40	E	56.372525	3.264556	6247711.970000	516341.470000	31	6155	2013-05-08
2/7-U-21	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-02	2009-06-02	ELDFISK	NORTH SEA	ED50	56	22	27.33	N	3	15	45.17	E	56.374258	3.262547	6247904.430000	516216.680000	31	6156	2013-05-08
16/1-11	Det norske oljeselskap ASA	001 B	EXPLORATION	APPRAISAL	OIL/GAS	2010-02-23	2010-04-26	\N	NORTH SEA	ED50	58	55	36.15	N	2	11	7.48	E	58.926708	2.185411	6532327.000000	453098.970000	31	6157	2013-05-08
30/6-C-20 CY1	Statoil Petroleum AS	053	DEVELOPMENT	PRODUCTION	OIL	2009-09-09	2011-04-14	OSEBERG	NORTH SEA	ED50	60	36	29.25	N	2	46	33.39	E	60.608125	2.775942	6719319.150000	487732.020000	31	6158	2013-05-08
30/6-C-20 CY2	Statoil Petroleum AS	053	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	OSEBERG	NORTH SEA	ED50	60	36	29.25	N	2	46	33.39	E	60.608125	2.775942	6719319.150000	487732.020000	31	6159	2013-05-08
2/8-G-16 A	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	2009-03-25	2009-03-31	VALHALL	NORTH SEA	ED50	56	16	35.51	N	3	23	47.08	E	56.276531	3.396411	6237066.270000	524547.600000	31	6160	2013-05-08
2/8-G-16 B	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2009-04-01	2009-08-05	VALHALL	NORTH SEA	ED50	56	16	35.51	N	3	23	47.08	E	56.276531	3.396411	6237066.270000	524547.600000	31	6161	2013-05-08
34/4-K-5 H	Statoil Petroleum AS	057	DEVELOPMENT	INJECTION	WATER/GAS	2009-06-26	2010-01-31	SNORRE	NORTH SEA	ED50	61	31	31.75	N	2	12	44.78	E	61.525486	2.212439	6821736.640000	458108.180000	31	6162	2013-05-08
15/9-F-9 A	StatoilHydro ASA	046 BS	DEVELOPMENT	PRODUCTION	WATER	2009-07-03	2009-07-13	VOLVE	NORTH SEA	ED50	58	26	29.74	N	1	53	15.00	E	58.441594	1.887500	6478561.440000	435051.150000	31	6163	2013-05-08
7/12-A-15 A	BP Norge AS	019	DEVELOPMENT	PRODUCTION	OIL	2009-09-12	2009-10-19	ULA	NORTH SEA	ED50	57	6	41.23	N	2	50	50.49	E	57.111453	2.847358	6329944.810000	490754.630000	31	6164	2013-05-08
31/4-A-13 A	StatoilHydro Petroleum AS	055	DEVELOPMENT	PRODUCTION	\N	2009-06-28	2009-08-25	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	50.35	E	60.542478	3.047319	6711987.240000	502596.170000	31	6165	2013-05-08
16/1-12	Lundin Norway AS	338	EXPLORATION	WILDCAT	OIL	2009-07-29	2009-09-08	\N	NORTH SEA	ED50	58	48	22.53	N	2	15	50.77	E	58.806258	2.264103	6518862.540000	457482.170000	31	6166	2013-05-08
25/5-6	Lundin Norway AS	363	EXPLORATION	WILDCAT	DRY	2009-08-27	2009-09-19	\N	NORTH SEA	ED50	59	44	18.85	N	2	23	52.81	E	59.738569	2.398003	6622604.690000	466156.040000	31	6167	2013-05-08
2/4-VA-1 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2009-09-06	2009-09-30	EKOFISK	NORTH SEA	ED50	56	32	12.65	N	3	12	43.37	E	56.536847	3.212047	6265991.400000	513041.640000	31	6169	2013-05-08
2/4-VA-2 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2009-08-10	2009-09-05	EKOFISK	NORTH SEA	ED50	56	32	12.91	N	3	12	43.04	E	56.536919	3.211956	6265999.430000	513035.980000	31	6170	2013-05-08
2/4-VA-3 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2009-10-02	2009-10-25	EKOFISK	NORTH SEA	ED50	56	32	12.58	N	3	12	43.19	E	56.536828	3.211997	6265989.230000	513038.580000	31	6171	2013-05-08
2/4-X-8 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2009-11-19	2010-01-21	EKOFISK	NORTH SEA	ED50	56	32	50.96	N	3	13	8.42	E	56.547489	3.219006	6267177.290000	513465.830000	31	6172	2013-05-08
25/11-G-13 A	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	\N	2009-08-31	2009-09-04	GRANE	NORTH SEA	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	6173	2013-05-08
25/11-G-13 B	StatoilHydro Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	OIL	2009-08-28	2009-08-30	GRANE	NORTH SEA	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	6174	2013-05-08
35/11-R-14 H	Statoil Petroleum AS	090 C	DEVELOPMENT	OBSERVATION	GAS	2009-08-14	2009-10-21	VEGA	NORTH SEA	ED50	61	10	25.86	N	3	26	29.24	E	61.173850	3.441456	6782393.120000	523746.960000	31	6175	2013-05-08
35/11-R-14 AH	Statoil Petroleum AS	090 C	DEVELOPMENT	PRODUCTION	GAS	2009-10-22	2009-11-21	VEGA	NORTH SEA	ED50	61	10	25.86	N	3	26	29.24	E	61.173850	3.441456	6782393.120000	523746.960000	31	6176	2013-05-08
35/11-R-12 H	Statoil Petroleum AS	090 C	DEVELOPMENT	PRODUCTION	GAS	2009-11-30	2010-01-31	VEGA	NORTH SEA	ED50	61	10	26.31	N	3	26	29.65	E	61.173975	3.441569	6782407.080000	523752.990000	31	6177	2013-05-08
17/12-4 A	BG Norge AS	407	EXPLORATION	APPRAISAL	OIL	2009-07-10	2009-08-15	\N	NORTH SEA	ED50	58	10	37.58	N	3	55	11.05	E	58.177106	3.919736	6448944.030000	554097.840000	31	6178	2013-05-08
31/2-F-1 BY1H	StatoilHydro Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2009-09-04	2009-10-16	TROLL	NORTH SEA	ED50	60	46	36.44	N	3	26	9.19	E	60.776789	3.435886	6738163.560000	523741.580000	31	6179	2013-05-08
31/2-F-1 BY2H	StatoilHydro Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2009-10-17	2009-11-05	TROLL	NORTH SEA	ED50	60	46	36.44	N	3	26	9.19	E	60.776789	3.435886	6738163.560000	523741.580000	31	6180	2013-05-08
35/9-F-1 AH	StatoilHydro ASA	153	DEVELOPMENT	PRODUCTION	GAS	2009-07-31	2009-09-04	GJØA	NORTH SEA	ED50	61	23	17.55	N	3	58	52.17	E	61.388208	3.981158	6806585.250000	552419.160000	31	6181	2013-05-08
30/9-23	StatoilHydro Petroleum AS	104	EXPLORATION	WILDCAT	DRY	2009-07-29	2009-08-21	\N	NORTH SEA	ED50	60	27	32.76	N	2	59	7.64	E	60.459100	2.985456	6702699.700000	499199.970000	31	6182	2013-05-08
6507/8-E-3 EH	StatoilHydro Petroleum AS	124	DEVELOPMENT	PRODUCTION	OIL	2009-07-22	2009-07-28	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	6183	2013-05-08
25/8-U-22	Det norske oljeselskap ASA	169 C	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	59	24	13.00	N	2	22	7.00	E	59.403611	2.368611	6585318.470000	464149.240000	31	6638	2013-05-08
15/9-F-15	StatoilHydro ASA	046 BS	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2008-09-07	2008-12-12	VOLVE	NORTH SEA	ED50	58	26	29.71	N	1	53	15.15	E	58.441586	1.887542	6478560.470000	435053.560000	31	6184	2013-05-08
25/8-17	ExxonMobil Exploration & Production Norway AS	027 D	EXPLORATION	WILDCAT	OIL	2009-10-09	2009-10-29	JETTE	NORTH SEA	ED50	59	23	32.14	N	2	20	2.20	E	59.392261	2.333944	6584073.730000	462168.230000	31	6185	2013-05-08
15/9-23	Det norske oljeselskap ASA	408	EXPLORATION	WILDCAT	DRY	2009-11-18	2010-01-03	\N	NORTH SEA	ED50	58	16	29.10	N	1	52	23.20	E	58.274750	1.873111	6459999.910000	433900.090000	31	6186	2013-05-08
25/1-11	Det norske oljeselskap ASA	460	EXPLORATION	WILDCAT	DRY	2010-01-04	2010-01-12	\N	NORTH SEA	ED50	59	47	25.12	N	2	13	6.43	E	59.790311	2.218453	6628472.080000	456130.020000	31	6187	2013-05-08
6609/10-2	Det norske oljeselskap ASA (old)	483 S	EXPLORATION	WILDCAT	DRY	2009-09-05	2009-10-03	\N	NORWEGIAN SEA	ED50	66	2	29.00	N	9	3	6.00	E	66.041389	9.051667	7324709.970000	502341.290000	32	6188	2013-05-08
25/9-3	Norwegian Energy Company ASA	412	EXPLORATION	WILDCAT	DRY	2009-08-28	2009-09-20	\N	NORTH SEA	ED50	59	26	5.03	N	2	40	42.88	E	59.434731	2.678578	6588658.010000	481766.000000	31	6189	2013-05-08
15/12-A-3 A	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2009-09-05	2009-09-29	VARG	NORTH SEA	ED50	58	4	40.59	N	1	53	25.72	E	58.077942	1.890478	6438072.010000	434558.140000	31	6190	2013-05-08
6407/12-2	GDF SUEZ E&P Norge AS	469	EXPLORATION	WILDCAT	DRY	2009-11-23	2009-12-20	\N	NORWEGIAN SEA	ED50	64	9	40.44	N	7	48	27.87	E	64.161233	7.807742	7115699.990000	442019.970000	32	6191	2013-05-08
6608/10-E-1 Y2H	StatoilHydro Petroleum AS	128	DEVELOPMENT	PRODUCTION	OIL	2009-10-26	2009-12-03	NORNE	NORWEGIAN SEA	ED50	66	2	43.34	N	8	5	58.46	E	66.045372	8.099572	7325445.980000	459204.330000	32	6192	2013-05-08
25/11-G-3 AY1	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2010-01-26	2010-02-11	GRANE	NORTH SEA	ED50	59	9	55.17	N	2	29	14.11	E	59.165325	2.487253	6558725.490000	470681.550000	31	6193	2013-05-08
25/11-G-3 AY2	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2010-02-13	2010-02-24	GRANE	NORTH SEA	ED50	59	9	55.17	N	2	29	14.11	E	59.165325	2.487253	6558725.490000	470681.550000	31	6194	2013-05-08
25/11-G-3 AY3	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2010-03-05	2010-03-16	GRANE	NORTH SEA	ED50	59	9	55.17	N	2	29	14.11	E	59.165325	2.487253	6558725.490000	470681.550000	31	6195	2013-05-08
30/9-U-2	StatoilHydro Petroleum AS	079	SHALLOW	\N	\N	2009-09-09	2009-09-11	\N	NORTH SEA	ED50	60	29	5.80	N	2	42	40.90	E	60.484944	2.711361	6705612.950000	484135.830000	31	6196	2013-05-08
33/12-B-31 B	StatoilHydro Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2009-09-19	2009-10-28	STATFJORD	NORTH SEA	ED50	61	12	24.01	N	1	49	50.92	E	61.206669	1.830811	6786530.610000	437173.890000	31	6197	2013-05-08
30/6-C-10 E	StatoilHydro Petroleum AS	053	DEVELOPMENT	PRODUCTION	\N	2009-08-06	2009-08-29	OSEBERG	NORTH SEA	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	6198	2013-05-08
31/2-M-24 AH	StatoilHydro Petroleum AS	054	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2009-07-23	2009-07-25	TROLL	NORTH SEA	ED50	60	55	53.18	N	3	39	51.57	E	60.931439	3.664325	6755493.200000	536009.370000	31	6200	2013-05-08
31/5-H-3 CY1H	Statoil Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2009-11-10	2009-12-15	TROLL	NORTH SEA	ED50	60	42	51.32	N	3	30	49.38	E	60.714256	3.513717	6731229.080000	528035.240000	31	6201	2013-05-08
31/5-H-3 CY2H	Statoil Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2009-12-15	2010-01-10	TROLL	NORTH SEA	ED50	60	42	51.32	N	3	30	49.38	E	60.714256	3.513717	6731229.080000	528035.240000	31	6202	2013-05-08
30/9-B-46 B	StatoilHydro Petroleum AS	079	DEVELOPMENT	OBSERVATION	OIL	2009-07-29	2009-08-01	OSEBERG	NORTH SEA	ED50	60	29	35.84	N	2	49	43.07	E	60.493289	2.828631	6706519.840000	490583.600000	31	6203	2013-05-08
30/9-B-46 C	StatoilHydro Petroleum AS	079	DEVELOPMENT	OBSERVATION	OIL	2009-08-01	2009-08-05	OSEBERG	NORTH SEA	ED50	60	29	35.84	N	2	49	43.07	E	60.493289	2.828631	6706519.840000	490583.600000	31	6204	2013-05-08
30/9-B-46 D	StatoilHydro Petroleum AS	079	DEVELOPMENT	PRODUCTION	OIL	2009-08-06	2009-09-12	OSEBERG	NORTH SEA	ED50	60	29	35.84	N	2	49	43.07	E	60.493289	2.828631	6706519.840000	490583.600000	31	6205	2013-05-08
6407/1-C-3 Y1H	Statoil Petroleum AS	073	DEVELOPMENT	PRODUCTION	OIL	2009-12-17	2010-02-07	TYRIHANS	NORWEGIAN SEA	ED50	64	47	23.72	N	7	0	42.34	E	64.789922	7.011761	7186704.820000	405512.860000	32	6206	2013-05-08
6407/1-C-3 AY1H	Statoil Petroleum AS	073	DEVELOPMENT	PRODUCTION	OIL	2010-02-22	2010-03-25	TYRIHANS	NORWEGIAN SEA	ED50	64	47	23.72	N	7	0	42.34	E	64.789922	7.011761	7186704.820000	405512.860000	32	6207	2013-05-08
6506/12-12 A	StatoilHydro Petroleum AS	094	EXPLORATION	APPRAISAL	OIL/GAS	2009-08-06	2009-09-02	ÅSGARD	NORWEGIAN SEA	ED50	65	13	1.19	N	6	54	29.77	E	65.216997	6.908269	7234441.750000	402170.960000	32	6208	2013-05-08
6507/8-E-3 FH	StatoilHydro Petroleum AS	124	DEVELOPMENT	PRODUCTION	OIL	2009-08-04	2009-09-10	HEIDRUN	NORWEGIAN SEA	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	6209	2013-05-08
30/9-24	StatoilHydro Petroleum AS	079	EXPLORATION	WILDCAT	DRY	2009-09-10	2009-10-17	\N	NORTH SEA	ED50	60	29	4.70	N	2	42	43.20	E	60.484639	2.712000	6705578.760000	484170.800000	31	6210	2013-05-08
17/12-4 B	BG Norge AS	407	EXPLORATION	APPRAISAL	OIL	2009-08-16	2009-08-26	\N	NORTH SEA	ED50	58	10	37.58	N	3	55	11.05	E	58.177106	3.919736	6448944.030000	554097.840000	31	6211	2013-05-08
34/10-53 S	Statoil Petroleum AS	050	EXPLORATION	WILDCAT	GAS/CONDENSATE	2010-12-06	2011-03-24	\N	NORTH SEA	ED50	61	4	4.68	N	2	7	0.34	E	61.067967	2.116761	6770840.060000	452330.000000	31	6212	2013-05-08
31/5-I-21 BY1H	StatoilHydro Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2009-10-02	2009-11-12	TROLL	NORTH SEA	ED50	60	43	42.83	N	3	34	39.64	E	60.728564	3.577678	6732851.760000	531511.740000	31	6213	2013-05-08
31/5-I-21 BY2H	StatoilHydro Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2009-11-13	2009-12-04	TROLL	NORTH SEA	ED50	60	43	42.83	N	3	34	39.64	E	60.728564	3.577678	6732851.760000	531511.740000	31	6214	2013-05-08
25/2-17	StatoilHydro Petroleum AS	442	EXPLORATION	WILDCAT	OIL	2009-09-07	2009-10-11	\N	NORTH SEA	ED50	59	51	57.13	N	2	37	50.39	E	59.865869	2.630664	6636686.060000	479314.990000	31	6215	2013-05-08
16/4-5	Lundin Norway AS	359	EXPLORATION	WILDCAT	OIL SHOWS	2010-02-04	2010-03-07	\N	NORTH SEA	ED50	58	43	44.13	N	2	17	32.29	E	58.728925	2.292303	6510234.130000	459020.490000	31	6216	2013-05-08
6506/12-Q-5 Y2H	StatoilHydro Petroleum AS	094	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2009-11-12	2009-12-20	ÅSGARD	NORWEGIAN SEA	ED50	65	2	25.75	N	6	56	27.45	E	65.040486	6.940958	7214726.610000	403057.940000	32	6217	2013-05-08
33/9-C-21 A	StatoilHydro Petroleum AS	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2009-09-19	2009-10-02	STATFJORD	NORTH SEA	ED50	61	17	47.84	N	1	54	11.13	E	61.296622	1.903092	6796482.470000	441225.790000	31	6218	2013-05-08
31/4-A-13 B	StatoilHydro Petroleum AS	055	DEVELOPMENT	PRODUCTION	OIL	2009-08-28	2009-09-21	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	50.35	E	60.542478	3.047319	6711987.240000	502596.170000	31	6219	2013-05-08
2/4-K-30 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2009-10-08	2010-01-07	EKOFISK	NORTH SEA	ED50	56	33	55.95	N	3	12	21.85	E	56.565542	3.206069	6269184.310000	512664.410000	31	6220	2013-05-08
2/7-A-18 D	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2009-10-01	2009-11-27	ELDFISK	NORTH SEA	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	6221	2013-05-08
24/9-9 S	Marathon Petroleum Norge AS	340	EXPLORATION	WILDCAT	OIL	2009-09-12	2009-10-07	BØYLA	NORTH SEA	ED50	59	19	40.49	N	1	50	17.27	E	59.327914	1.838131	6577295.290000	433882.570000	31	6222	2013-05-08
2/4-VA-5 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2009-12-25	2010-01-11	EKOFISK	NORTH SEA	ED50	56	32	12.61	N	3	12	43.22	E	56.536836	3.212006	6265990.160000	513039.080000	31	6223	2013-05-08
2/4-VA-6 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2010-01-12	2010-02-06	EKOFISK	NORTH SEA	ED50	56	32	12.86	N	3	12	42.88	E	56.536906	3.211911	6265997.870000	513033.250000	31	6224	2013-05-08
2/4-VA-8 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2010-02-07	2010-03-03	EKOFISK	NORTH SEA	ED50	56	32	12.79	N	3	12	42.70	E	56.536886	3.211861	6265995.700000	513030.180000	31	6225	2013-05-08
16/1-8 R	Lundin Norway AS	338	EXPLORATION	WILDCAT	OIL	2009-10-02	2009-10-10	EDVARD GRIEG	NORTH SEA	ED50	58	50	8.63	N	2	14	6.36	E	58.835731	2.235100	6522162.970000	455844.010000	31	6226	2013-05-08
34/4-11	Petro-Canada Norge AS	375	EXPLORATION	WILDCAT	OIL	2009-10-13	2010-01-10	\N	NORTH SEA	ED50	61	38	41.00	N	2	5	53.74	E	61.644722	2.098261	6835097.240000	452218.980000	31	6227	2013-05-08
30/4-D-1 H	Total E&P Norge AS	043	DEVELOPMENT	OBSERVATION	GAS/CONDENSATE	2009-09-19	2010-02-21	MARTIN LINGE	NORTH SEA	ED50	60	30	23.20	N	2	2	40.66	E	60.506444	2.044628	6708353.670000	447526.740000	31	6228	2013-05-08
30/4-D-1 AH	Total E&P Norge AS	043	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2010-02-22	2010-03-28	MARTIN LINGE	NORTH SEA	ED50	60	30	23.20	N	2	2	40.66	E	60.506444	2.044628	6708353.670000	447526.740000	31	6229	2013-05-08
34/10-A-36 A	StatoilHydro Petroleum AS	050	DEVELOPMENT	OBSERVATION	OIL	2009-10-22	2009-10-29	GULLFAKS	NORTH SEA	ED50	61	10	34.81	N	2	11	21.94	E	61.176336	2.189428	6782860.100000	456401.350000	31	6230	2013-05-08
34/10-A-36 B	StatoilHydro Petroleum AS	050	DEVELOPMENT	PRODUCTION	OIL	2009-10-30	2009-11-10	GULLFAKS	NORTH SEA	ED50	61	10	34.81	N	2	11	21.94	E	61.176336	2.189428	6782860.100000	456401.350000	31	6231	2013-05-08
16/1-13	Lundin Norway AS	338	EXPLORATION	APPRAISAL	OIL	2009-11-30	2010-01-21	EDVARD GRIEG	NORTH SEA	ED50	58	51	17.39	N	2	15	17.80	E	58.854831	2.254944	6524276.810000	457013.220000	31	6232	2013-05-08
34/8-A-8 AH	Statoil Petroleum AS	120	DEVELOPMENT	OBSERVATION	OIL	2009-12-05	2010-01-31	VISUND	NORTH SEA	ED50	61	22	13.33	N	2	27	32.35	E	61.370369	2.458986	6804323.890000	471078.900000	31	6233	2013-05-08
34/8-A-8 BH	Statoil Petroleum AS	120	DEVELOPMENT	PRODUCTION	OIL	2010-03-31	2010-05-10	VISUND	NORTH SEA	ED50	61	22	13.33	N	2	27	32.35	E	61.370369	2.458986	6804323.890000	471078.900000	31	6234	2013-05-08
6608/10-13	StatoilHydro Petroleum AS	437	EXPLORATION	WILDCAT	DRY	2009-10-17	2009-11-07	\N	NORWEGIAN SEA	ED50	66	0	25.40	N	8	18	10.20	E	66.007056	8.302833	7321057.760000	468365.640000	32	6235	2013-05-08
15/12-A-10 A	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2009-10-19	2009-11-09	VARG	NORTH SEA	ED50	58	4	40.41	N	1	53	25.65	E	58.077892	1.890458	6438066.460000	434556.900000	31	6236	2013-05-08
2/4-VA-7 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2010-03-05	2010-04-19	EKOFISK	NORTH SEA	ED50	56	32	12.53	N	3	12	43.04	E	56.536814	3.211956	6265987.680000	513036.020000	31	6237	2013-05-08
6506/11-B-3 H	Statoil Petroleum AS	134 B	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2009-10-22	2010-05-31	MORVIN	NORWEGIAN SEA	ED50	65	9	47.48	N	6	29	49.94	E	65.163189	6.497206	7229148.140000	382715.220000	32	6238	2013-05-08
24/9-9 A	Marathon Petroleum Norge AS	340	EXPLORATION	APPRAISAL	OIL	2009-10-07	2009-10-15	BØYLA	NORTH SEA	ED50	59	19	40.49	N	1	50	17.27	E	59.327914	1.838131	6577295.290000	433882.570000	31	6239	2013-05-08
24/9-P-3 H	Marathon Petroleum Norge AS	150	DEVELOPMENT	OBSERVATION	OIL/GAS	2009-11-10	2009-12-05	VOLUND	NORTH SEA	ED50	59	29	44.69	N	1	57	55.60	E	59.495747	1.965444	6595864.700000	441417.630000	31	6240	2013-05-08
24/9-P-3 AH	Marathon Petroleum Norge AS	150	DEVELOPMENT	PRODUCTION	OIL/GAS	2009-12-06	2010-05-22	VOLUND	NORTH SEA	ED50	59	29	44.69	N	1	57	55.60	E	59.495747	1.965444	6595864.700000	441417.630000	31	6241	2013-05-08
34/10-C-6 A	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	OIL	2009-12-16	2010-07-25	GULLFAKS	NORTH SEA	ED50	61	12	54.54	N	2	16	26.30	E	61.215150	2.273972	6787130.070000	460996.650000	31	6242	2013-05-08
6305/7-D-3 H	A/S Norske Shell	208	DEVELOPMENT	PRODUCTION	GAS	2010-04-02	2010-04-24	ORMEN LANGE	NORWEGIAN SEA	ED50	63	23	8.61	N	5	18	51.43	E	63.385725	5.314286	7030827.630000	615662.170000	31	6243	2013-05-08
6305/7-D-6 H	A/S Norske Shell	208	DEVELOPMENT	PRODUCTION	\N	2009-11-15	2009-12-20	ORMEN LANGE	NORWEGIAN SEA	ED50	63	23	8.93	N	5	18	52.35	E	63.385814	5.314542	7030837.990000	615674.580000	31	6244	2013-05-08
6305/7-D-7 H	A/S Norske Shell	208	DEVELOPMENT	OBSERVATION	GAS	2009-12-28	2010-01-24	ORMEN LANGE	NORWEGIAN SEA	ED50	63	23	9.03	N	5	18	51.97	E	63.385842	5.314436	7030840.890000	615669.190000	31	6245	2013-05-08
6305/7-D-7 AH	A/S Norske Shell	208	DEVELOPMENT	PRODUCTION	GAS	2010-03-16	2010-08-09	ORMEN LANGE	NORWEGIAN SEA	ED50	63	23	9.03	N	5	18	51.97	E	63.385842	5.314436	7030840.890000	615669.190000	31	6246	2013-05-08
30/3-A-1 A	Statoil Petroleum AS	052	DEVELOPMENT	PRODUCTION	OIL	2009-11-14	2010-01-02	VESLEFRIKK	NORTH SEA	ED50	60	46	57.82	N	2	53	52.48	E	60.782728	2.897911	6738750.570000	494440.490000	31	6247	2013-05-08
30/3-A-1 B	Statoil Petroleum AS	052	DEVELOPMENT	PRODUCTION	OIL	2010-02-13	2010-03-19	VESLEFRIKK	NORTH SEA	ED50	60	46	57.82	N	2	53	52.48	E	60.782728	2.897911	6738750.570000	494440.490000	31	6248	2013-05-08
34/3-2 S	BG Norge AS	373 S	EXPLORATION	WILDCAT	SHOWS	2009-10-25	2009-12-30	\N	NORTH SEA	ED50	61	48	45.06	N	2	49	16.46	E	61.812517	2.821239	6853471.840000	490579.030000	31	6249	2013-05-08
24/9-P-2 H	Marathon Petroleum Norge AS	150	DEVELOPMENT	OBSERVATION	OIL/GAS	2009-12-29	2010-01-29	VOLUND	NORTH SEA	ED50	59	29	45.81	N	1	57	53.32	E	59.496058	1.964811	6595899.900000	441382.310000	31	6250	2013-05-08
24/9-P-2 AY1H	Marathon Petroleum Norge AS	150	DEVELOPMENT	PRODUCTION	OIL/GAS	2010-01-30	2010-02-24	VOLUND	NORTH SEA	ED50	59	29	45.81	N	1	57	53.32	E	59.496058	1.964811	6595899.900000	441382.310000	31	6251	2013-05-08
24/9-P-2 AY2H	Marathon Petroleum Norge AS	150	DEVELOPMENT	PRODUCTION	OIL/GAS	2010-02-25	2010-04-09	VOLUND	NORTH SEA	ED50	59	29	45.81	N	1	57	53.32	E	59.496058	1.964811	6595899.900000	441382.310000	31	6252	2013-05-08
25/4-10 S	Marathon Petroleum Norge AS	203	EXPLORATION	WILDCAT	OIL	2009-10-20	2009-11-10	ALVHEIM	NORTH SEA	ED50	59	30	51.43	N	2	0	13.78	E	59.514286	2.003828	6597895.930000	443621.940000	31	6253	2013-05-08
24/9-9 B	Marathon Petroleum Norge AS	340	EXPLORATION	APPRAISAL	OIL	2009-10-15	2009-10-25	BØYLA	NORTH SEA	ED50	59	19	40.49	N	1	50	17.27	E	59.327914	1.838131	6577295.290000	433882.570000	31	6254	2013-05-08
25/4-10 A	Marathon Petroleum Norge AS	203	EXPLORATION	WILDCAT	GAS	2009-11-11	2009-11-28	\N	NORTH SEA	ED50	59	30	51.43	N	2	0	13.78	E	59.514286	2.003828	6597895.930000	443621.940000	31	6255	2013-05-08
35/8-P-13 H	Statoil Petroleum AS	248	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2010-02-19	2010-04-07	VEGA	NORTH SEA	ED50	61	22	16.08	N	3	22	37.22	E	61.371133	3.377006	6804347.330000	520153.260000	31	6256	2013-05-08
6407/7-A-19 AH	StatoilHydro Petroleum AS	107	DEVELOPMENT	PRODUCTION	OIL	2009-11-11	2009-12-03	NJORD	NORWEGIAN SEA	ED50	64	16	16.57	N	7	12	6.16	E	64.271269	7.201711	7128651.070000	412899.990000	32	6257	2013-05-08
25/8-U-23	Det norske oljeselskap ASA	169 C	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	59	24	13.00	N	2	22	6.00	E	59.403611	2.368333	6585318.620000	464133.460000	31	6639	2013-05-08
6507/3-8	StatoilHydro Petroleum AS	159 B	EXPLORATION	WILDCAT	OIL/GAS	2009-11-09	2009-12-15	\N	NORWEGIAN SEA	ED50	65	59	28.20	N	7	59	27.70	E	65.991167	7.991028	7319479.290000	454189.610000	32	6258	2013-05-08
7223/5-U-1	StatoilHydro Petroleum AS	228	SHALLOW	\N	\N	2008-11-01	2008-11-02	\N	BARENTS SEA	ED50	72	32	6.07	N	23	20	7.80	E	72.535019	23.335500	8052575.780000	377307.540000	35	6259	2013-05-08
1/3-12 S	BG Norge AS	297	EXPLORATION	WILDCAT	DRY	2009-12-01	2010-07-22	\N	NORTH SEA	ED50	56	45	11.24	N	2	49	43.55	E	56.753122	2.828764	6290058.680000	489528.480000	31	6260	2013-05-08
25/8-17 A	ExxonMobil Exploration & Production Norway AS	027 D	EXPLORATION	APPRAISAL	OIL	2009-10-30	2009-11-15	JETTE	NORTH SEA	ED50	59	23	32.14	N	2	20	2.20	E	59.392261	2.333944	6584073.730000	462168.230000	31	6261	2013-05-08
35/9-C-1 Y1H	Statoil Petroleum AS	153	DEVELOPMENT	PRODUCTION	OIL	2010-01-26	2010-03-20	GJØA	NORTH SEA	ED50	61	20	26.90	N	3	57	30.46	E	61.340806	3.958461	6801287.170000	551284.140000	31	6262	2013-05-08
35/9-C-2 H	Statoil Petroleum AS	153	DEVELOPMENT	OBSERVATION	OIL	2010-05-08	2010-05-25	GJØA	NORTH SEA	ED50	61	20	26.94	N	3	57	29.62	E	61.340817	3.958228	6801288.230000	551271.630000	31	6263	2013-05-08
35/9-C-3 Y1H	Statoil Petroleum AS	153	DEVELOPMENT	PRODUCTION	OIL	2010-07-12	2010-08-17	GJØA	NORTH SEA	ED50	61	20	27.13	N	3	57	29.65	E	61.340869	3.958236	6801294.110000	551271.990000	31	6264	2013-05-08
35/9-C-4 Y1H	Statoil Petroleum AS	153	DEVELOPMENT	PRODUCTION	OIL	2010-01-01	2010-04-13	GJØA	NORTH SEA	ED50	61	20	27.10	N	3	57	30.50	E	61.340861	3.958472	6801293.370000	551284.640000	31	6265	2013-05-08
33/9-C-19 D	Den norske stats oljeselskap a.s	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2009-11-11	2009-11-29	STATFJORD	NORTH SEA	ED50	61	17	47.90	N	1	54	10.85	E	61.296639	1.903014	6796484.390000	441221.660000	31	6266	2013-05-08
7/12-A-17 B	BP Norge AS	019	DEVELOPMENT	INJECTION	WATER/GAS	2009-12-08	2010-03-04	ULA	NORTH SEA	ED50	57	6	41.06	N	2	50	50.64	E	57.111406	2.847400	6329939.550000	490757.140000	31	6267	2013-05-08
31/4-A-34 A	Statoil Petroleum AS	055	DEVELOPMENT	OBSERVATION	\N	2009-11-23	2009-12-20	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	50.35	E	60.542525	3.047319	6711992.500000	502596.170000	31	6268	2013-05-08
31/4-A-34 B	Statoil Petroleum AS	055	DEVELOPMENT	PRODUCTION	\N	2009-12-21	2009-12-27	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	50.35	E	60.542525	3.047319	6711992.500000	502596.170000	31	6269	2013-05-08
34/10-A-36 C	StatoilHydro Petroleum AS	050	DEVELOPMENT	PRODUCTION	OIL	2009-11-11	2009-12-02	GULLFAKS	NORTH SEA	ED50	61	10	34.81	N	2	11	21.94	E	61.176336	2.189428	6782860.100000	456401.350000	31	6270	2013-05-08
34/11-U-11	StatoilHydro Petroleum AS	193	SHALLOW	\N	\N	2009-12-17	2009-12-20	\N	NORTH SEA	ED50	61	2	24.76	N	2	20	17.53	E	61.040211	2.338203	6767607.430000	464250.030000	31	6271	2013-05-08
33/12-B-25 A	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2009-12-29	2010-02-18	STATFJORD	NORTH SEA	ED50	61	12	24.11	N	1	49	50.85	E	61.206697	1.830792	6786533.720000	437172.900000	31	6272	2013-05-08
30/9-B-27 C	Statoil Petroleum AS	079	DEVELOPMENT	PRODUCTION	OIL	2009-12-20	2010-06-23	OSEBERG	NORTH SEA	ED50	60	29	36.08	N	2	49	42.79	E	60.493356	2.828553	6706527.280000	490579.350000	31	6273	2013-05-08
34/11-U-3	StatoilHydro Petroleum AS	193	SHALLOW	\N	\N	2009-06-27	2009-06-27	\N	NORTH SEA	ED50	61	2	26.01	N	2	20	18.77	E	61.040558	2.338547	6767645.920000	464269.020000	31	6274	2013-05-08
34/11-U-4	StatoilHydro Petroleum AS	193	SHALLOW	\N	\N	2009-06-21	2009-06-21	\N	NORTH SEA	ED50	61	2	25.55	N	2	20	22.91	E	61.040431	2.339697	6767631.060000	464331.000000	31	6275	2013-05-08
34/11-U-5	StatoilHydro Petroleum AS	193	SHALLOW	\N	\N	2009-06-29	2009-06-29	\N	NORTH SEA	ED50	61	2	25.49	N	2	20	23.31	E	61.040414	2.339808	6767629.140000	464336.980000	31	6276	2013-05-08
34/11-U-6	StatoilHydro Petroleum AS	193	SHALLOW	\N	\N	2009-06-25	2009-06-25	\N	NORTH SEA	ED50	61	2	24.76	N	2	20	20.26	E	61.040211	2.338961	6767607.020000	464290.990000	31	6277	2013-05-08
34/11-U-7	StatoilHydro Petroleum AS	193	SHALLOW	\N	\N	2009-06-23	2009-06-23	\N	NORTH SEA	ED50	61	2	25.10	N	2	20	24.19	E	61.040306	2.340053	6767616.940000	464350.070000	31	6278	2013-05-08
34/11-U-8	StatoilHydro Petroleum AS	193	SHALLOW	\N	\N	2009-06-20	2009-06-20	\N	NORTH SEA	ED50	61	2	22.97	N	2	20	24.23	E	61.039714	2.340064	6767551.030000	464350.000000	31	6279	2013-05-08
34/11-U-9	StatoilHydro Petroleum AS	193	SHALLOW	\N	\N	2009-06-22	2009-06-22	\N	NORTH SEA	ED50	61	2	24.02	N	2	20	20.48	E	61.040006	2.339022	6767584.090000	464294.060000	31	6280	2013-05-08
34/11-U-10	StatoilHydro Petroleum AS	193	SHALLOW	\N	\N	2009-07-01	2009-07-01	\N	NORTH SEA	ED50	61	2	28.59	N	2	20	17.58	E	61.041275	2.338217	6767725.930000	464251.970000	31	6281	2013-05-08
15/12-A-9 B	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2009-12-07	2009-12-27	VARG	NORTH SEA	ED50	58	4	40.39	N	1	53	25.58	E	58.077886	1.890439	6438065.860000	434555.750000	31	6282	2013-05-08
34/4-12 S	Statoil Petroleum AS	057	EXPLORATION	WILDCAT	OIL	2009-12-19	2010-01-25	\N	NORTH SEA	ED50	61	33	8.00	N	2	17	37.70	E	61.552222	2.293806	6824665.280000	462468.370000	31	6283	2013-05-08
6507/2-U-1	StatoilHydro ASA	122	SHALLOW	\N	\N	2009-07-12	2009-07-13	\N	NORWEGIAN SEA	ED50	65	56	0.49	N	7	32	39.40	E	65.933469	7.544278	7313447.860000	433759.050000	32	6284	2013-05-08
6506/11-A-2 H	Statoil Petroleum AS	134 B	DEVELOPMENT	PRODUCTION	OIL	2010-03-12	2011-05-31	MORVIN	NORWEGIAN SEA	ED50	65	8	14.32	N	6	28	39.77	E	65.137311	6.477714	7226302.090000	381686.980000	32	6285	2013-05-08
15/3-U-1	Statoil ASA (old)	025	SHALLOW	\N	\N	2008-10-20	2008-10-21	GUDRUN	NORTH SEA	ED50	58	50	43.13	N	1	44	34.80	E	58.845314	1.743000	6523658.910000	427457.900000	31	6286	2013-05-08
15/3-U-2	Statoil ASA (old)	025	SHALLOW	\N	\N	2008-10-22	2008-10-23	GUDRUN	NORTH SEA	ED50	58	50	44.25	N	1	44	38.11	E	58.845625	1.743919	6523692.550000	427511.610000	31	6287	2013-05-08
15/3-U-3	Statoil ASA (old)	025	SHALLOW	\N	\N	2008-10-24	2008-10-25	GUDRUN	NORTH SEA	ED50	58	50	41.49	N	1	44	36.83	E	58.844858	1.743564	6523607.580000	427489.490000	31	6288	2013-05-08
15/3-U-4	Statoil ASA (old)	025	SHALLOW	\N	\N	2008-10-28	2008-10-29	GUDRUN	NORTH SEA	ED50	58	50	43.60	N	1	44	40.06	E	58.845444	1.744461	6523671.860000	427542.490000	31	6289	2013-05-08
15/3-U-5	Statoil ASA (old)	025	SHALLOW	\N	\N	2008-11-01	2008-11-02	GUDRUN	NORTH SEA	ED50	58	50	40.06	N	1	44	40.65	E	58.844461	1.744625	6523562.200000	427549.890000	31	6290	2013-05-08
31/2-O-26 Y1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2009-12-23	2010-01-24	TROLL	NORTH SEA	ED50	60	54	54.31	N	3	31	22.99	E	60.915086	3.523053	6753602.380000	528366.450000	31	6291	2013-05-08
31/2-O-26 Y2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-01-25	2010-02-24	TROLL	NORTH SEA	ED50	60	54	54.31	N	3	31	22.99	E	60.915086	3.523053	6753602.380000	528366.450000	31	6292	2013-05-08
35/9-5	Nexen Exploration Norge AS	419	EXPLORATION	WILDCAT	DRY	2010-01-01	2010-02-07	\N	NORTH SEA	ED50	61	19	28.90	N	3	48	45.19	E	61.324694	3.812553	6799386.690000	543499.700000	31	6293	2013-05-08
2/7-A-18 E	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	OIL	2009-11-28	2009-12-24	ELDFISK	NORTH SEA	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	6294	2013-05-08
34/8-U-2	StatoilHydro ASA	120	SHALLOW	\N	\N	2009-10-02	2009-10-03	\N	NORTH SEA	ED50	61	18	2.22	N	2	21	50.55	E	61.300617	2.364042	6796599.800000	465927.860000	31	6295	2013-05-08
6506/11-A-4 H	Statoil Petroleum AS	134 B	DEVELOPMENT	PRODUCTION	OIL	2010-02-22	2010-04-17	MORVIN	NORWEGIAN SEA	ED50	65	8	14.36	N	6	28	40.58	E	65.137322	6.477939	7226302.910000	381697.580000	32	6296	2013-05-08
6305/7-D-2 H	A/S Norske Shell	208	DEVELOPMENT	PRODUCTION	GAS	2010-04-28	2010-09-04	ORMEN LANGE	NORWEGIAN SEA	ED50	63	23	8.51	N	5	18	51.81	E	63.385697	5.314392	7030824.720000	615667.550000	31	6297	2013-05-08
31/2-U-11	Statoil Petroleum AS	054	SHALLOW	\N	\N	2009-12-05	2009-12-06	TROLL	NORTH SEA	ED50	60	54	53.90	N	3	31	25.50	E	60.914972	3.523750	6753590.000000	528404.360000	31	6298	2013-05-08
31/2-O-21 Y1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-02-26	2010-04-05	TROLL	NORTH SEA	ED50	60	54	54.15	N	3	31	22.11	E	60.915042	3.522808	6753597.320000	528353.230000	31	6299	2013-05-08
31/2-O-21 Y2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-04-06	2010-04-21	TROLL	NORTH SEA	ED50	60	54	54.15	N	3	31	22.11	E	60.915042	3.522808	6753597.320000	528353.230000	31	6300	2013-05-08
31/2-O-23 Y1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-10-14	2010-11-19	TROLL	NORTH SEA	ED50	60	54	54.42	N	3	31	22.31	E	60.915117	3.522864	6753605.700000	528356.180000	31	6301	2013-05-08
31/2-O-25 Y1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-04-23	2012-06-20	TROLL	NORTH SEA	ED50	60	54	54.17	N	3	31	22.89	E	60.915047	3.523025	6753598.040000	528364.980000	31	6302	2013-05-08
2/4-K-28 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2010-02-22	2010-04-19	EKOFISK	NORTH SEA	ED50	56	33	56.00	N	3	12	22.20	E	56.565556	3.206167	6269185.870000	512670.380000	31	6303	2013-05-08
31/2-Y-23 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	2010-05-02	2010-05-24	TROLL	NORTH SEA	ED50	60	49	51.88	N	3	34	21.06	E	60.831078	3.572517	6744267.580000	531130.630000	31	6304	2013-05-08
6608/10-14 S	Statoil Petroleum AS	128	EXPLORATION	WILDCAT	OIL/GAS	2010-02-22	2010-04-01	SKULD	NORWEGIAN SEA	ED50	66	8	58.50	N	8	14	45.69	E	66.149583	8.246025	7336974.110000	465979.130000	32	6306	2013-05-08
34/5-1 S	BG Norge AS	374 S	EXPLORATION	WILDCAT	OIL	2010-01-07	2010-03-13	\N	NORTH SEA	ED50	61	44	35.19	N	2	35	55.37	E	61.743108	2.598714	6845792.020000	478803.990000	31	6307	2013-05-08
31/2-U-12	Statoil Petroleum AS	054	SHALLOW	\N	\N	2010-01-25	2010-01-27	TROLL	NORTH SEA	ED50	60	50	2.82	N	3	30	53.96	E	60.834117	3.514989	6744580.140000	527999.950000	31	6308	2013-05-08
6507/5-U-2	BP Norge AS	212	SHALLOW	\N	\N	2010-01-09	2010-01-11	SKARV	NORWEGIAN SEA	ED50	65	44	19.85	N	7	39	20.12	E	65.738847	7.655589	7291645.130000	438359.060000	32	6309	2013-05-08
2/4-X-43 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2010-03-31	2010-05-26	EKOFISK	NORTH SEA	ED50	56	32	52.02	N	3	13	8.34	E	56.547783	3.218983	6267210.060000	513464.360000	31	6310	2013-05-08
7/12-A-3 B	BP Norge AS	019	DEVELOPMENT	PRODUCTION	OIL	2010-03-26	2010-05-29	ULA	NORTH SEA	ED50	57	6	41.23	N	2	50	50.89	E	57.111453	2.847469	6329944.800000	490761.360000	31	6311	2013-05-08
35/9-C-4 Y2H	Statoil Petroleum AS	153	DEVELOPMENT	PRODUCTION	OIL	2010-04-13	2010-05-06	GJØA	NORTH SEA	ED50	61	20	27.10	N	3	57	30.50	E	61.340861	3.958472	6801293.370000	551284.640000	31	6312	2013-05-08
34/11-U-12	Statoil Petroleum AS	193	SHALLOW	\N	\N	2009-12-21	2009-12-28	\N	NORTH SEA	ED50	61	2	24.76	N	2	20	17.53	E	61.040211	2.338203	6767607.430000	464250.030000	31	6313	2013-05-08
31/2-M-14 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-01-16	2010-02-12	TROLL	NORTH SEA	ED50	60	54	56.25	N	3	37	35.89	E	60.915625	3.626636	6753711.660000	533983.350000	31	6314	2013-05-08
31/2-M-14 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-02-13	2010-02-23	TROLL	NORTH SEA	ED50	60	54	56.25	N	3	37	35.89	E	60.915625	3.626636	6753711.660000	533983.350000	31	6315	2013-05-08
34/4-12 A	Statoil Petroleum AS	057	EXPLORATION	WILDCAT	OIL	2010-01-27	2010-02-18	SNORRE	NORTH SEA	ED50	61	33	8.00	N	2	17	37.70	E	61.552222	2.293806	6824665.280000	462468.370000	31	6316	2013-05-08
15/12-A-7 B	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	\N	2010-01-11	2010-02-06	VARG	NORTH SEA	ED50	58	4	40.53	N	1	53	25.77	E	58.077925	1.890492	6438070.140000	434558.930000	31	6317	2013-05-08
6507/5-U-1	BP Norge AS	212	SHALLOW	\N	\N	2010-01-06	2010-01-08	SKARV	NORWEGIAN SEA	ED50	65	44	16.79	N	7	39	7.16	E	65.737997	7.651989	7291553.940000	438191.990000	32	6318	2013-05-08
9/2-C-7	Talisman Energy Norge AS	316	DEVELOPMENT	PRODUCTION	\N	2010-01-09	2010-01-28	YME	NORTH SEA	ED50	57	48	57.88	N	4	32	7.66	E	57.816078	4.535461	6409413.720000	591224.580000	31	6319	2013-05-08
31/4-A-34 C	Statoil Petroleum AS	055	DEVELOPMENT	PRODUCTION	OIL	2009-12-28	2010-01-24	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	50.35	E	60.542525	3.047319	6711992.500000	502596.170000	31	6320	2013-05-08
6507/5-6 S	BP Norge AS	212	EXPLORATION	WILDCAT	GAS	2010-01-12	2010-06-08	SKARV	NORWEGIAN SEA	ED50	65	44	19.36	N	7	39	20.52	E	65.738711	7.655700	7291629.850000	438363.830000	32	6321	2013-05-08
6407/7-A-5 CH	Statoil Petroleum AS	107	DEVELOPMENT	PRODUCTION	GAS	2010-01-09	2010-02-20	NJORD	NORWEGIAN SEA	ED50	64	16	14.75	N	7	12	6.47	E	64.270764	7.201797	7128594.630000	412902.570000	32	6322	2013-05-08
6507/5-A-3 H	BP Norge AS	212	DEVELOPMENT	PRODUCTION	GAS	2010-03-22	2010-04-04	SKARV	NORWEGIAN SEA	ED50	65	44	19.51	N	7	39	21.42	E	65.738753	7.655950	7291634.250000	438375.390000	32	6323	2013-05-08
6507/5-A-4 H	BP Norge AS	212	DEVELOPMENT	PRODUCTION	GAS	2010-02-19	2010-03-21	SKARV	NORWEGIAN SEA	ED50	65	44	19.09	N	7	39	21.83	E	65.738636	7.656064	7291621.130000	438380.330000	32	6324	2013-05-08
6507/5-A-6 H	BP Norge AS	212	DEVELOPMENT	PRODUCTION	GAS	2010-04-04	2011-04-23	SKARV	NORWEGIAN SEA	ED50	65	44	18.94	N	7	39	20.93	E	65.738594	7.655814	7291616.740000	438368.770000	32	6325	2013-05-08
15/12-22	Det norske oljeselskap ASA	337	EXPLORATION	WILDCAT	DRY	2010-04-17	2010-05-16	\N	NORTH SEA	ED50	58	12	12.30	N	1	59	14.40	E	58.203417	1.987333	6451951.660000	440480.330000	31	6326	2013-05-08
15/12-23	Talisman Energy Norge AS	038 D	EXPLORATION	APPRAISAL	OIL	2010-04-01	2010-05-29	\N	NORTH SEA	ED50	58	13	5.55	N	1	53	3.58	E	58.218208	1.884328	6453694.020000	434453.740000	31	6327	2013-05-08
24/12-6 S	Det norske oljeselskap ASA	341	EXPLORATION	WILDCAT	DRY	2010-08-16	2010-12-20	\N	NORTH SEA	ED50	59	3	54.14	N	1	45	15.24	E	59.065039	1.754233	6548111.450000	428561.940000	31	6328	2013-05-08
35/8-P-11 H	Statoil Petroleum AS	248	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2010-04-09	2010-05-14	VEGA	NORTH SEA	ED50	61	22	16.36	N	3	22	36.39	E	61.371211	3.376775	6804355.930000	520140.890000	31	6330	2013-05-08
31/4-A-32 B	Statoil Petroleum AS	055	DEVELOPMENT	PRODUCTION	OIL	2010-02-08	2010-03-19	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.52	E	60.542617	3.047367	6712002.720000	502598.750000	31	6331	2013-05-08
6506/9-2 S	Centrica Resources (Norge) AS	433	EXPLORATION	WILDCAT	GAS/CONDENSATE	2010-02-11	2010-04-28	\N	NORWEGIAN SEA	ED50	65	15	51.04	N	6	44	4.36	E	65.264178	6.734544	7239978.200000	394237.400000	32	6332	2013-05-08
25/11-G-4	Statoil Petroleum AS	169 B1	DEVELOPMENT	\N	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	55.24	N	2	29	14.24	E	59.165344	2.487289	6558727.640000	470683.630000	31	6333	2013-05-08
25/11-G-29	Statoil Petroleum AS	169 B1	DEVELOPMENT	\N	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	54.65	N	2	29	14.64	E	59.165181	2.487400	6558709.340000	470689.840000	31	6334	2013-05-08
25/11-G-33	Statoil Petroleum AS	169 B1	DEVELOPMENT	\N	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	54.59	N	2	29	14.75	E	59.165164	2.487431	6558707.470000	470691.580000	31	6335	2013-05-08
25/11-G-36	Statoil Petroleum AS	169 B1	DEVELOPMENT	INJECTION	WATER	2012-07-06	2012-07-21	GRANE	NORTH SEA	ED50	59	9	54.78	N	2	29	15.12	E	59.165217	2.487533	6558713.300000	470697.500000	31	6336	2013-05-08
25/11-G-38	Statoil Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	OIL	2010-12-21	2011-03-08	GRANE	NORTH SEA	ED50	59	9	54.59	N	2	29	14.98	E	59.165164	2.487494	6558707.440000	470695.230000	31	6337	2013-05-08
6608/10-K-2 H	Statoil Petroleum AS	128	DEVELOPMENT	OBSERVATION	OIL	2010-03-03	2010-04-11	NORNE	NORWEGIAN SEA	ED50	66	0	48.58	N	8	3	14.29	E	66.013494	8.053969	7321923.360000	457084.720000	32	6338	2013-05-08
6608/10-K-2 AH	Statoil Petroleum AS	128	DEVELOPMENT	PRODUCTION	OIL	2010-04-13	2010-04-28	NORNE	NORWEGIAN SEA	ED50	66	0	48.58	N	8	3	14.29	E	66.013494	8.053969	7321923.360000	457084.720000	32	6339	2013-05-08
15/12-A-7 C	Talisman Energy Norge AS	038	DEVELOPMENT	INJECTION	WATER	2010-02-07	2010-02-22	VARG	NORTH SEA	ED50	58	4	40.53	N	1	53	25.77	E	58.077925	1.890492	6438070.140000	434558.930000	31	6340	2013-05-08
9/2-11	Talisman Energy Norge AS	316 DS	EXPLORATION	WILDCAT	DRY	2010-03-09	2010-03-29	\N	NORTH SEA	ED50	57	55	21.46	N	4	33	35.71	E	57.922628	4.559919	6421307.830000	592404.020000	31	6341	2013-05-08
34/10-A-18 A	Statoil Petroleum AS	050	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	GULLFAKS	NORTH SEA	ED50	61	10	34.87	N	2	11	21.49	E	61.176353	2.189303	6782862.040000	456394.650000	31	6342	2013-05-08
31/2-M-14 BY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-02-25	2010-04-09	TROLL	NORTH SEA	ED50	60	54	56.25	N	3	37	35.89	E	60.915625	3.626636	6753711.660000	533983.350000	31	6343	2013-05-08
6407/1-C-3 AY2H	Statoil Petroleum AS	073	DEVELOPMENT	PRODUCTION	OIL	2010-03-26	2010-04-21	TYRIHANS	NORWEGIAN SEA	ED50	64	47	23.72	N	7	0	42.34	E	64.789922	7.011761	7186704.820000	405512.860000	32	6344	2013-05-08
25/10-10	ExxonMobil Exploration & Production Norway AS	028 S	EXPLORATION	WILDCAT	DRY	2010-03-01	2010-04-02	\N	NORTH SEA	ED50	59	11	5.51	N	2	17	50.70	E	59.184864	2.297417	6561000.080000	459850.020000	31	6345	2013-05-08
2/2-6	Talisman Energy Norge AS	332	EXPLORATION	WILDCAT	DRY	2010-03-27	2010-05-14	\N	NORTH SEA	ED50	56	48	17.52	N	3	26	7.49	E	56.804867	3.435414	6295890.120000	526589.960000	31	6346	2013-05-08
34/4-D-7 H	Statoil Petroleum AS	057	DEVELOPMENT	PRODUCTION	OIL	2010-09-09	2010-11-22	SNORRE	NORTH SEA	ED50	61	31	32.96	N	2	12	40.33	E	61.525822	2.211203	6821774.870000	458042.890000	31	6347	2013-05-08
6603/5-1 S	A/S Norske Shell	392	EXPLORATION	WILDCAT	DRY	2010-09-06	2010-12-20	\N	NORWEGIAN SEA	ED50	66	34	33.21	N	3	32	46.05	E	66.575892	3.546125	7384397.320000	524227.520000	31	6348	2013-05-08
34/10-B-24 A	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	OIL	2010-08-16	2010-08-31	GULLFAKS	NORTH SEA	ED50	61	12	11.08	N	2	12	4.72	E	61.203078	2.201311	6785830.900000	457076.880000	31	6349	2013-05-08
6406/3-8	Wintershall Norge ASA	475 BS	EXPLORATION	WILDCAT	OIL	2010-05-16	2010-08-10	\N	NORWEGIAN SEA	ED50	64	56	9.31	N	6	56	33.42	E	64.935919	6.942617	7203074.630000	402756.750000	32	6350	2013-05-08
6407/2-6 S	Statoil Petroleum AS	473	EXPLORATION	WILDCAT	OIL/GAS	2010-04-03	2010-05-13	\N	NORWEGIAN SEA	ED50	64	46	17.20	N	7	36	19.00	E	64.771444	7.605278	7183892.380000	433668.920000	32	6351	2013-05-08
34/5-1 A	BG Norge AS	374 S	EXPLORATION	APPRAISAL	DRY	2010-03-16	2010-04-10	\N	NORTH SEA	ED50	61	44	35.19	N	2	35	55.37	E	61.743108	2.598714	6845792.020000	478803.990000	31	6352	2013-05-08
25/11-G-41	Statoil Petroleum AS	169 B1	DEVELOPMENT	INJECTION	WATER	2010-05-23	2010-06-05	GRANE	NORTH SEA	ED50	59	9	54.84	N	2	29	15.01	E	59.165233	2.487503	6558715.170000	470695.770000	31	6353	2013-05-08
15/3-9	Statoil Petroleum AS	187	EXPLORATION	WILDCAT	OIL/GAS	2010-05-19	2010-08-13	\N	NORTH SEA	ED50	58	49	14.00	N	1	46	20.70	E	58.820556	1.772417	6520870.800000	429104.880000	31	6354	2013-05-08
15/3-U-6	Statoil Petroleum AS	187	SHALLOW	\N	\N	2010-05-18	2010-05-19	\N	NORTH SEA	ED50	58	49	14.50	N	1	46	20.70	E	58.820694	1.772417	6520886.260000	429105.170000	31	6355	2013-05-08
6604/10-1	A/S Norske Shell	326	EXPLORATION	APPRAISAL	GAS	2010-05-26	2010-09-03	\N	NORWEGIAN SEA	ED50	66	11	0.10	N	4	11	42.79	E	66.183361	4.195219	7341048.530000	553857.270000	31	6356	2013-05-08
31/4-A-32 C	Statoil Petroleum AS	055	DEVELOPMENT	PRODUCTION	OIL	2010-03-20	2010-04-13	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.52	E	60.542617	3.047367	6712002.720000	502598.750000	31	6357	2013-05-08
15/9-B-8 A	Statoil Petroleum AS	046	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2010-10-28	2010-12-06	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.70	N	1	43	4.43	E	58.417972	1.717897	6476107.840000	425100.120000	31	6358	2013-05-08
34/7-P-35 A	Statoil Petroleum AS	089	DEVELOPMENT	PRODUCTION	OIL	2010-04-12	2010-05-25	SNORRE	NORTH SEA	ED50	61	26	58.12	N	2	8	37.33	E	61.449478	2.143703	6813316.120000	454340.930000	31	6359	2013-05-08
6407/1-A-1 H	Statoil Petroleum AS	073	DEVELOPMENT	OBSERVATION	OIL/GAS	2010-05-10	2010-06-30	TYRIHANS	NORWEGIAN SEA	ED50	64	53	20.09	N	7	4	16.72	E	64.888914	7.071311	7197645.980000	408678.320000	32	6360	2013-05-08
6407/1-A-1 AY1H	Statoil Petroleum AS	073	DEVELOPMENT	PRODUCTION	OIL/GAS	2010-06-30	2010-07-20	TYRIHANS	NORWEGIAN SEA	ED50	64	53	20.09	N	7	4	16.72	E	64.888914	7.071311	7197645.980000	408678.320000	32	6361	2013-05-08
6407/1-A-1 AY2H	Statoil Petroleum AS	073	DEVELOPMENT	PRODUCTION	OIL/GAS	2010-07-21	2010-08-20	TYRIHANS	NORWEGIAN SEA	ED50	64	53	20.09	N	7	4	16.72	E	64.888914	7.071311	7197645.980000	408678.320000	32	6362	2013-05-08
6407/1-A-1 AY3H	Statoil Petroleum AS	073	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TYRIHANS	NORWEGIAN SEA	ED50	64	53	20.09	N	7	4	16.72	E	64.888914	7.071311	7197645.980000	408678.320000	32	6363	2013-05-08
16/1-11 A	Det norske oljeselskap ASA	001 B	EXPLORATION	APPRAISAL	OIL	2010-04-26	2010-05-09	\N	NORTH SEA	ED50	58	55	36.15	N	2	11	7.48	E	58.926708	2.185411	6532327.000000	453098.970000	31	6364	2013-05-08
31/2-P-13 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-04-06	2010-08-02	TROLL	NORTH SEA	ED50	60	52	1.31	N	3	33	28.39	E	60.867031	3.557886	6748265.300000	530301.050000	31	6365	2013-05-08
31/2-P-13 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-08-08	2010-08-18	TROLL	NORTH SEA	ED50	60	52	1.31	N	3	33	28.39	E	60.867031	3.557886	6748265.300000	530301.050000	31	6366	2013-05-08
6507/7-14 S	RWE Dea Norge AS	435	EXPLORATION	WILDCAT	GAS	2010-06-14	2010-09-26	\N	NORWEGIAN SEA	ED50	65	25	35.84	N	7	10	28.05	E	65.426622	7.174458	7257411.950000	415293.970000	32	6367	2013-05-08
25/1-11 R	Det norske oljeselskap ASA	460	EXPLORATION	WILDCAT	OIL	2010-04-04	2010-04-26	\N	NORTH SEA	ED50	59	47	25.12	N	2	13	6.43	E	59.790311	2.218453	6628472.080000	456130.020000	31	6368	2013-05-08
35/9-C-2 AH	Statoil Petroleum AS	153	DEVELOPMENT	PRODUCTION	OIL	2010-05-26	2010-07-10	GJØA	NORTH SEA	ED50	61	20	26.94	N	3	57	29.62	E	61.340817	3.958228	6801288.230000	551271.630000	31	6369	2013-05-08
6407/12-3	Centrica Resources (Norge) AS	470	EXPLORATION	WILDCAT	DRY	2010-05-14	2010-06-02	\N	NORWEGIAN SEA	ED50	64	14	17.73	N	7	48	54.34	E	64.238258	7.815094	7124275.910000	442537.320000	32	6370	2013-05-08
6507/5-A-1 H	BP Norge AS	212	DEVELOPMENT	PRODUCTION	GAS	2011-05-11	2011-05-30	SKARV	NORWEGIAN SEA	ED50	65	44	19.36	N	7	39	20.52	E	65.738711	7.655700	7291629.850000	438363.830000	32	6371	2013-05-08
31/4-A-19 A	Statoil Petroleum AS	055	DEVELOPMENT	PRODUCTION	OIL	2010-05-10	2010-08-25	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	50.52	E	60.542594	3.047367	6712000.240000	502598.750000	31	6372	2013-05-08
31/4-A-19 B	Statoil Petroleum AS	055	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	BRAGE	NORTH SEA	ED50	60	32	33.34	N	3	2	50.52	E	60.542594	3.047367	6712000.240000	502598.750000	31	6373	2013-05-08
16/2-6	Lundin Norway AS	501	EXPLORATION	WILDCAT	OIL	2010-07-20	2010-09-20	\N	NORTH SEA	ED50	58	49	25.26	N	2	36	54.76	E	58.823683	2.615211	6520633.120000	477779.050000	31	6374	2013-05-08
33/12-B-26 B	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS	2010-05-03	2010-05-22	STATFJORD	NORTH SEA	ED50	61	12	24.07	N	1	49	50.99	E	61.206686	1.830831	6786532.450000	437174.960000	31	6375	2013-05-08
25/1-11 A	Det norske oljeselskap ASA	460	EXPLORATION	APPRAISAL	OIL/GAS	2010-04-29	2010-05-14	\N	NORTH SEA	ED50	59	47	25.12	N	2	13	6.43	E	59.790311	2.218453	6628472.080000	456130.020000	31	6376	2013-05-08
9/2-C-2 A	Talisman Energy Norge AS	316	DEVELOPMENT	PRODUCTION	OIL	2010-08-07	2010-09-30	YME	NORTH SEA	ED50	57	48	57.89	N	4	32	7.56	E	57.816081	4.535433	6409414.000000	591222.930000	31	6377	2013-05-08
6507/3-U-3	BP Norge AS	159	SHALLOW	\N	\N	2010-07-04	2010-07-06	SKARV	NORWEGIAN SEA	ED50	65	47	54.06	N	7	42	52.16	E	65.798350	7.714489	7298219.970000	441195.000000	32	6378	2013-05-08
6507/3-D-2 H	BP Norge AS	159	DEVELOPMENT	PRODUCTION	NOT APPLICABLE	2010-08-08	2010-08-20	SKARV	NORWEGIAN SEA	ED50	65	47	54.22	N	7	43	14.43	E	65.798394	7.720675	7298219.140000	441478.050000	32	6379	2013-05-08
6507/3-D-3 H	BP Norge AS	159	DEVELOPMENT	PRODUCTION	NOT APPLICABLE	2010-07-22	2010-08-04	SKARV	NORWEGIAN SEA	ED50	65	47	53.82	N	7	43	14.96	E	65.798283	7.720822	7298206.620000	441484.530000	32	6380	2013-05-08
15/9-24	Det norske oljeselskap ASA	408	EXPLORATION	WILDCAT	DRY	2010-05-18	2010-06-10	\N	NORTH SEA	ED50	58	16	27.50	N	1	58	55.90	E	58.274306	1.982194	6459848.560000	440297.520000	31	6381	2013-05-08
16/7-9	Lundin Norway AS	409	EXPLORATION	WILDCAT	DRY	2010-12-05	2011-01-03	\N	NORTH SEA	ED50	58	15	17.49	N	2	17	25.01	E	58.254858	2.290281	6457451.590000	458345.930000	31	6382	2013-05-08
34/10-U-12	Statoil Petroleum AS	050	SHALLOW	\N	\N	2010-04-21	2010-04-22	GULLFAKS SØR	NORTH SEA	ED50	61	4	14.49	N	2	11	32.08	E	61.070692	2.192244	6771090.960000	456407.570000	31	6383	2013-05-08
25/5-U-21	Det norske oljeselskap ASA	364	SHALLOW	\N	\N	9999-12-31	9999-12-31	FRØY	NORTH SEA	ED50	59	44	21.42	N	2	34	1.37	E	59.739283	2.567047	6622610.050000	475660.040000	31	6384	2013-05-08
25/5-U-22	Det norske oljeselskap ASA	364	SHALLOW	\N	\N	9999-12-31	9999-12-31	FRØY	NORTH SEA	ED50	59	44	20.48	N	2	34	1.38	E	59.739022	2.567050	6622580.970000	475660.010000	31	6385	2013-05-08
25/5-U-23	Det norske oljeselskap ASA	364	SHALLOW	\N	\N	9999-12-31	9999-12-31	FRØY	NORTH SEA	ED50	59	44	21.42	N	2	34	3.22	E	59.739283	2.567561	6622609.860000	475688.930000	31	6386	2013-05-08
25/5-U-24	Det norske oljeselskap ASA	364	SHALLOW	\N	\N	9999-12-31	9999-12-31	FRØY	NORTH SEA	ED50	59	44	22.36	N	2	34	1.36	E	59.739544	2.567044	6622639.130000	475660.070000	31	6387	2013-05-08
25/5-U-25	Det norske oljeselskap ASA	364	SHALLOW	\N	\N	9999-12-31	9999-12-31	FRØY	NORTH SEA	ED50	59	44	21.41	N	2	33	59.51	E	59.739281	2.566531	6622609.930000	475630.990000	31	6388	2013-05-08
6507/3-L-4 H	Statoil Petroleum AS	159 B	DEVELOPMENT	OBSERVATION	OIL	2010-06-06	2010-07-25	ALVE	NORWEGIAN SEA	ED50	65	58	6.32	N	7	48	36.84	E	65.968422	7.810233	7317088.270000	445933.640000	32	6389	2013-05-08
6507/3-L-4 AH	Statoil Petroleum AS	159 B	DEVELOPMENT	PRODUCTION	OIL	2010-07-25	2010-08-23	ALVE	NORWEGIAN SEA	ED50	65	58	6.32	N	7	48	36.84	E	65.968422	7.810233	7317088.270000	445933.640000	32	6390	2013-05-08
34/10-A-43 A	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	OIL	2010-09-14	2010-10-23	GULLFAKS	NORTH SEA	ED50	61	10	34.94	N	2	11	21.41	E	61.176372	2.189281	6782864.220000	456393.480000	31	6391	2013-05-08
34/10-A-43 B	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	OIL	2010-10-24	2010-11-10	GULLFAKS	NORTH SEA	ED50	61	10	34.94	N	2	11	21.41	E	61.176372	2.189281	6782864.220000	456393.480000	31	6392	2013-05-08
7122/7-U-4	Eni Norge AS	229	SHALLOW	\N	\N	2010-06-13	2010-06-15	GOLIAT	BARENTS SEA	ED50	71	16	37.69	N	22	16	44.52	E	71.277136	22.279033	7909004.140000	545821.990000	34	6393	2013-05-08
7122/7-U-5	Eni Norge AS	229	SHALLOW	\N	\N	2010-06-11	2010-06-13	GOLIAT	BARENTS SEA	ED50	71	15	33.78	N	22	15	42.68	E	71.259383	22.261856	7907011.480000	545247.960000	34	6394	2013-05-08
7122/7-U-6	Eni Norge AS	229	SHALLOW	\N	\N	2010-06-15	2010-06-17	GOLIAT	BARENTS SEA	ED50	71	17	12.19	N	22	17	14.34	E	71.286719	22.287317	7910079.140000	546095.960000	34	6395	2013-05-08
7122/7-U-7	Eni Norge AS	229	SHALLOW	\N	\N	2010-06-17	2010-06-18	GOLIAT	BARENTS SEA	ED50	71	18	14.84	N	22	18	40.42	E	71.304122	22.311228	7912038.210000	546909.970000	34	6396	2013-05-08
7122/10-U-1	Eni Norge AS	229	SHALLOW	\N	\N	2010-06-18	2010-06-20	GOLIAT	BARENTS SEA	ED50	71	14	34.70	N	22	15	6.74	E	71.242972	22.251872	7905173.920000	544927.890000	34	6397	2013-05-08
9/1-1 S	Premier Oil Norge AS	406	EXPLORATION	WILDCAT	DRY	2011-10-01	2011-11-21	\N	NORTH SEA	ED50	57	53	37.03	N	4	0	56.02	E	57.893619	4.015561	6417463.910000	560208.890000	31	6398	2013-05-08
16/1-14	Lundin Norway AS	338	EXPLORATION	WILDCAT	OIL	2010-09-26	2010-11-30	\N	NORTH SEA	ED50	58	53	9.28	N	2	12	10.46	E	58.885911	2.202906	6527772.150000	454052.090000	31	6399	2013-05-08
7224/6-U-1	Statoil Petroleum AS	394	SHALLOW	\N	\N	2008-07-14	2008-07-16	\N	BARENTS SEA	ED50	72	37	29.40	N	24	54	43.40	E	72.624833	24.912056	8060060.860000	430414.690000	35	6400	2013-05-08
7226/2-U-1	Statoil Petroleum AS	395	SHALLOW	\N	\N	2008-05-12	2008-05-14	\N	BARENTS SEA	ED50	72	53	31.90	N	26	35	39.00	E	72.892194	26.594167	8088721.450000	486674.120000	35	6401	2013-05-08
31/2-Y-23 CY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-05-27	2010-06-21	TROLL	NORTH SEA	ED50	60	49	51.88	N	3	34	21.06	E	60.831078	3.572517	6744267.580000	531130.630000	31	6402	2013-05-08
31/2-Y-23 CY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-06-22	2010-07-09	TROLL	NORTH SEA	ED50	60	49	51.88	N	3	34	21.06	E	60.831078	3.572517	6744267.580000	531130.630000	31	6403	2013-05-08
15/12-23 A	Talisman Energy Norge AS	038 D	EXPLORATION	APPRAISAL	OIL	2010-05-31	2010-07-18	\N	NORTH SEA	ED50	58	13	5.55	N	1	53	3.58	E	58.218208	1.884328	6453694.020000	434453.740000	31	6404	2013-05-08
6507/5-J-1 H	BP Norge AS	212	DEVELOPMENT	PRODUCTION	NOT APPLICABLE	2012-04-28	2012-05-28	SKARV	NORWEGIAN SEA	ED50	65	44	17.71	N	7	39	4.83	E	65.738253	7.651342	7291583.050000	438162.930000	32	6405	2013-05-08
6507/5-J-2 H	BP Norge AS	212	DEVELOPMENT	INJECTION	GAS	2012-04-07	2012-09-24	SKARV	NORWEGIAN SEA	ED50	65	44	17.78	N	7	39	5.28	E	65.738272	7.651467	7291585.100000	438168.710000	32	6406	2013-05-08
6507/5-J-3 H	BP Norge AS	212	DEVELOPMENT	INJECTION	\N	2012-09-28	2012-10-14	SKARV	NORWEGIAN SEA	ED50	65	44	17.36	N	7	39	5.69	E	65.738156	7.651581	7291571.980000	438173.650000	32	6407	2013-05-08
6507/5-J-4 H	BP Norge AS	212	DEVELOPMENT	PRODUCTION	\N	2012-10-18	2012-12-02	SKARV	NORWEGIAN SEA	ED50	65	44	17.29	N	7	39	5.24	E	65.738136	7.651456	7291569.940000	438167.870000	32	6408	2013-05-08
30/3-A-19 C	Statoil Petroleum AS	052	DEVELOPMENT	PRODUCTION	OIL	2010-07-09	2010-08-07	VESLEFRIKK	NORTH SEA	ED50	60	46	57.92	N	2	53	52.27	E	60.782756	2.897853	6738753.670000	494437.310000	31	6409	2013-05-08
33/12-B-37 B	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2010-06-12	2010-06-23	STATFJORD	NORTH SEA	ED50	61	12	23.91	N	1	49	50.99	E	61.206642	1.830831	6786527.500000	437174.870000	31	6410	2013-05-08
24/6-B-4 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	OBSERVATION	OIL/GAS	2010-06-05	2010-06-24	ALVHEIM	NORTH SEA	ED50	59	32	47.51	N	1	59	16.82	E	59.546531	1.988006	6601500.060000	442781.190000	31	6411	2013-05-08
24/6-B-4 AY1H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL/GAS	2010-06-26	2010-08-02	ALVHEIM	NORTH SEA	ED50	59	32	47.51	N	1	59	16.89	E	59.546531	1.988025	6601500.050000	442782.290000	31	6412	2013-05-08
24/6-B-4 AY2H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL/GAS	2010-08-03	2010-08-23	ALVHEIM	NORTH SEA	ED50	59	32	47.51	N	1	59	16.89	E	59.546531	1.988025	6601500.050000	442782.290000	31	6413	2013-05-08
34/4-D-3 H	Statoil Petroleum AS	057	DEVELOPMENT	PRODUCTION	OIL	2012-01-24	2012-06-03	SNORRE	NORTH SEA	ED50	61	31	32.67	N	2	12	40.67	E	61.525742	2.211297	6821765.840000	458047.800000	31	6414	2013-05-08
34/4-D-5 H	Statoil Petroleum AS	057	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	SNORRE	NORTH SEA	ED50	61	31	32.82	N	2	12	40.50	E	61.525783	2.211250	6821770.510000	458045.350000	31	6415	2013-05-08
25/11-G-7 AY1	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2010-08-21	2010-09-13	GRANE	NORTH SEA	ED50	59	9	55.12	N	2	29	14.22	E	59.165311	2.487283	6558723.930000	470683.290000	31	6416	2013-05-08
25/11-G-7 AY2	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2010-09-14	2010-10-27	GRANE	NORTH SEA	ED50	59	9	55.12	N	2	29	14.22	E	59.165311	2.487283	6558723.930000	470683.290000	31	6417	2013-05-08
25/11-G-7 AY3	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2010-10-28	2010-11-13	GRANE	NORTH SEA	ED50	59	9	55.12	N	2	29	14.22	E	59.165311	2.487283	6558723.930000	470683.290000	31	6418	2013-05-08
30/6-C-4 A	Statoil Petroleum AS	053	DEVELOPMENT	INJECTION	CUTTINGS	2010-06-15	2010-07-13	OSEBERG	NORTH SEA	ED50	60	36	29.49	N	2	46	33.88	E	60.608192	2.776078	6719326.550000	487739.500000	31	6419	2013-05-08
2/7-B-1 D	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2010-08-17	2011-01-04	ELDFISK	NORTH SEA	ED50	56	25	8.98	N	3	13	6.44	E	56.419161	3.218456	6252892.980000	513477.420000	31	6420	2013-05-08
35/9-C-3 Y2H	Statoil Petroleum AS	153	DEVELOPMENT	PRODUCTION	OIL	2010-08-18	2010-09-06	GJØA	NORTH SEA	ED50	61	20	27.13	N	3	57	29.65	E	61.340869	3.958236	6801294.110000	551271.990000	31	6421	2013-05-08
15/9-B-8 B	Statoil Petroleum AS	046	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2010-12-07	2010-12-28	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.70	N	1	43	4.43	E	58.417972	1.717897	6476107.840000	425100.120000	31	6422	2013-05-08
25/5-7	Total E&P Norge AS	102 C	EXPLORATION	WILDCAT	GAS/CONDENSATE	2010-08-25	2010-10-23	ATLA	NORTH SEA	ED50	59	39	43.26	N	2	34	15.39	E	59.662017	2.570942	6614003.760000	475823.340000	31	6423	2013-05-08
34/7-P-6	Statoil Petroleum AS	089	DEVELOPMENT	INJECTION	WATER/GAS	2010-10-21	2010-11-30	SNORRE	NORTH SEA	ED50	61	26	56.95	N	2	8	36.56	E	61.449153	2.143489	6813280.070000	454329.050000	31	6424	2013-05-08
31/5-U-3	Statoil Petroleum AS	054	SHALLOW	\N	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	44	25.85	N	3	30	39.64	E	60.740514	3.511011	6734152.650000	527864.840000	31	6425	2013-05-08
15/3-U-7	Statoil Petroleum AS	025	SHALLOW	\N	\N	2010-08-15	2010-08-19	GUDRUN	NORTH SEA	ED50	58	50	42.60	N	1	44	41.60	E	58.845167	1.744889	6523640.470000	427566.590000	31	6426	2013-05-08
35/1-2 S	Statoil Petroleum AS	269	EXPLORATION	WILDCAT	DRY	2010-09-12	2010-12-19	\N	NORTH SEA	ED50	61	51	56.00	N	3	3	21.40	E	61.865556	3.055944	6859368.860000	502943.270000	31	6427	2013-05-08
35/1-U-1	Statoil Petroleum AS	269	SHALLOW	\N	\N	2010-08-24	2010-08-27	\N	NORTH SEA	ED50	61	51	56.35	N	3	3	19.90	E	61.865653	3.055528	6859379.670000	502921.340000	31	6428	2013-05-08
35/9-6 S	RWE Dea Norge AS	420	EXPLORATION	WILDCAT	OIL/GAS	2010-09-29	2010-12-07	\N	NORTH SEA	ED50	61	22	16.29	N	3	41	33.54	E	61.371192	3.692650	6804492.080000	537025.980000	31	6429	2013-05-08
3/7-A-1 H	DONG E&P Norge AS	147	DEVELOPMENT	OBSERVATION	GAS/CONDENSATE	2010-09-01	2010-10-20	TRYM	NORTH SEA	ED50	56	22	54.88	N	4	14	14.76	E	56.381911	4.237433	6249412.520000	576414.690000	31	6430	2013-05-08
3/8-U-1	Lundin Norway AS	400	SHALLOW	\N	\N	2009-09-23	2009-09-24	\N	NORTH SEA	ED50	56	27	15.69	N	4	25	6.14	E	56.454358	4.418372	6257691.290000	587420.980000	31	6431	2013-05-08
3/8-U-2	Lundin Norway AS	400	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	56	27	16.21	N	4	25	2.49	E	56.454503	4.417358	6257706.070000	587358.160000	31	6432	2013-05-08
3/8-U-3	Lundin Norway AS	400	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	56	27	17.73	N	4	25	5.10	E	56.454925	4.418083	6257753.990000	587401.870000	31	6433	2013-05-08
35/8-Q-12 H	Statoil Petroleum AS	248	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2010-11-21	2011-02-17	VEGA	NORTH SEA	61ED50	61	15	42.18	N	3	21	32.26	E	61.261717	3.358961	6792153.590000	519255.670000	31	6434	2013-05-08
35/8-Q-14 H	Statoil Petroleum AS	248	DEVELOPMENT	PRODUCTION	\N	2010-11-13	2011-07-22	VEGA	NORTH SEA	ED50	61	15	41.99	N	3	21	31.32	E	61.261664	3.358700	6792147.640000	519241.700000	31	6435	2013-05-08
30/9-B-44 B	Statoil Petroleum AS	079	DEVELOPMENT	OBSERVATION	OIL	2010-09-06	2010-11-04	OSEBERG	NORTH SEA	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	6436	2013-05-08
30/9-B-44 C	Statoil Petroleum AS	079	DEVELOPMENT	PRODUCTION	OIL	2010-11-27	2011-02-09	OSEBERG	NORTH SEA	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	6437	2013-05-08
33/12-B-2 D	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS	2010-09-17	2010-10-09	STATFJORD	NORTH SEA	ED50	61	12	25.25	N	1	49	52.41	E	61.207014	1.831225	6786568.570000	437196.810000	31	6438	2013-05-08
3/7-A-2 H	DONG E&P Norge AS	147	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2011-02-09	2011-03-31	TRYM	NORTH SEA	ED50	56	22	54.71	N	4	14	15.39	E	56.381864	4.237608	6249407.460000	576425.590000	31	6439	2013-05-08
25/1-12	Det norske oljeselskap ASA	460	EXPLORATION	WILDCAT	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	59	51	26.70	N	2	10	56.70	E	59.857417	2.182417	6635969.610000	454199.490000	31	6440	2013-05-08
6305/4-2 S	A/S Norske Shell	209	EXPLORATION	APPRAISAL	DRY	2010-11-04	2011-02-11	ORMEN LANGE	NORWEGIAN SEA	ED50	63	38	14.90	N	5	17	54.12	E	63.637472	5.298367	7058837.630000	613859.590000	31	6441	2013-05-08
34/4-13 S	Petro-Canada Norge AS	375	EXPLORATION	APPRAISAL	OIL	2010-08-27	2011-01-02	\N	NORTH SEA	ED50	61	38	42.96	N	2	6	0.20	E	61.645267	2.100056	6835156.570000	452314.900000	31	6442	2013-05-08
2/4-X-9 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL/GAS	2010-08-30	2010-10-13	EKOFISK	NORTH SEA	ED50	56	32	51.08	N	3	13	8.03	E	56.547522	3.218897	6267180.970000	513459.150000	31	6443	2013-05-08
6507/5-U-3	BP Norge AS	212	SHALLOW	\N	\N	2010-08-26	2010-08-28	SKARV	NORWEGIAN SEA	ED50	65	42	14.16	N	7	35	20.12	E	65.703933	7.588922	7287821.280000	435215.440000	32	6444	2013-05-08
6507/5-B-2 H	BP Norge AS	212	DEVELOPMENT	INJECTION	GAS	2010-12-12	2011-01-02	SKARV	NORWEGIAN SEA	ED50	65	42	14.31	N	7	35	20.46	E	65.703975	7.589017	7287825.830000	435219.880000	32	6445	2013-05-08
6507/5-B-3 H	BP Norge AS	212	DEVELOPMENT	INJECTION	\N	2010-11-14	2010-11-26	SKARV	NORWEGIAN SEA	ED50	65	42	13.99	N	7	35	21.26	E	65.703886	7.589239	7287815.690000	435229.860000	32	6446	2013-05-08
6507/5-B-5 H	BP Norge AS	212	DEVELOPMENT	OBSERVATION	OIL	2011-08-28	2013-02-06	SKARV	NORWEGIAN SEA	ED50	65	42	15.74	N	7	35	27.91	E	65.704372	7.591086	7287867.960000	435315.870000	32	6447	2013-05-08
6507/5-B-5 AH	BP Norge AS	212	DEVELOPMENT	OBSERVATION	OIL	2013-02-07	2013-03-14	SKARV	NORWEGIAN SEA	ED50	65	42	15.74	N	7	35	27.91	E	65.704372	7.591086	7287867.960000	435315.870000	32	6448	2013-05-08
6507/5-B-6 H	BP Norge AS	212	DEVELOPMENT	PRODUCTION	OIL	2011-01-03	2012-03-10	SKARV	NORWEGIAN SEA	ED50	65	42	15.88	N	7	35	28.24	E	65.704411	7.591178	7287872.200000	435320.180000	32	6449	2013-05-08
6507/5-B-8 H	BP Norge AS	212	DEVELOPMENT	PRODUCTION	OIL	2011-08-03	2013-01-13	SKARV	NORWEGIAN SEA	ED50	65	42	15.72	N	7	35	29.38	E	65.704367	7.591494	7287866.920000	435334.600000	32	6450	2013-05-08
6507/5-B-9 H	BP Norge AS	212	DEVELOPMENT	PRODUCTION	\N	2011-07-09	2011-07-31	SKARV	NORWEGIAN SEA	ED50	65	42	15.74	N	7	35	29.04	E	65.704372	7.591400	7287867.640000	435330.280000	32	6451	2013-05-08
6507/5-B-10 H	BP Norge AS	212	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2010-10-01	2010-11-11	SKARV	NORWEGIAN SEA	ED50	65	42	15.43	N	7	35	28.71	E	65.704286	7.591308	7287858.140000	435325.860000	32	6452	2013-05-08
6507/5-B-10 AH	BP Norge AS	212	DEVELOPMENT	PRODUCTION	OIL	2011-01-26	2011-02-12	SKARV	NORWEGIAN SEA	ED50	65	42	15.43	N	7	35	28.71	E	65.704286	7.591308	7287858.140000	435325.860000	32	6453	2013-05-08
6406/3-D-2 H	Statoil Petroleum AS	091	DEVELOPMENT	INJECTION	GAS	2010-09-09	2010-11-05	TYRIHANS	NORWEGIAN SEA	ED50	64	46	47.14	N	6	59	26.20	E	64.779761	6.990611	7185604.530000	404472.080000	32	6454	2013-05-08
31/5-Z-1 H	Statoil Petroleum AS	085	DEVELOPMENT	INJECTION	GAS	2010-10-06	2010-11-01	TROLL	NORTH SEA	ED50	60	44	25.87	N	3	30	39.63	E	60.740519	3.511008	6734153.270000	527864.680000	31	6455	2013-05-08
31/5-Z-2 H	Statoil Petroleum AS	085	DEVELOPMENT	INJECTION	GAS	2010-11-04	2010-11-27	TROLL	NORTH SEA	ED50	60	42	50.91	N	3	30	15.98	E	60.714142	3.504439	6731212.470000	527529.030000	31	6456	2013-05-08
35/9-B-1 H	GDF SUEZ E&P Norge AS	153	DEVELOPMENT	OBSERVATION	OIL	2010-12-02	2011-01-25	GJØA	NORTH SEA	ED50	61	20	24.99	N	3	57	31.67	E	61.340275	3.958797	6801228.340000	551302.990000	31	6457	2013-05-08
35/9-B-2 H	GDF SUEZ E&P Norge AS	153	DEVELOPMENT	PRODUCTION	GAS	2012-04-04	2012-05-02	GJØA	NORTH SEA	ED50	61	20	25.02	N	3	57	30.82	E	61.340283	3.958561	6801229.080000	551290.340000	31	6458	2013-05-08
35/9-B-3 H	GDF SUEZ E&P Norge AS	153	DEVELOPMENT	PRODUCTION	OIL	2011-02-22	2011-06-23	GJØA	NORTH SEA	ED50	61	20	25.22	N	3	57	30.86	E	61.340339	3.958572	6801235.280000	551290.840000	31	6459	2013-05-08
35/9-D-1 Y1H	GDF SUEZ E&P Norge AS	153	DEVELOPMENT	PRODUCTION	OIL	2011-01-27	2011-05-03	GJØA	NORTH SEA	ED50	61	20	28.65	N	3	57	32.49	E	61.341292	3.959025	6801341.760000	551313.510000	31	6460	2013-05-08
35/9-D-3 H	GDF SUEZ E&P Norge AS	153	DEVELOPMENT	PRODUCTION	OIL	2012-03-19	2012-04-03	GJØA	NORTH SEA	ED50	61	20	28.88	N	3	57	31.69	E	61.341356	3.958803	6801348.700000	551301.520000	31	6461	2013-05-08
34/8-A-30 AH	Statoil Petroleum AS	120	DEVELOPMENT	INJECTION	WATER/GAS	2010-10-27	2011-01-29	VISUND	NORTH SEA	ED50	61	22	13.83	N	2	27	31.41	E	61.370508	2.458725	6804339.480000	471065.070000	31	6462	2013-05-08
2/4-K-14 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	33	56.05	N	3	12	22.92	E	56.565569	3.206367	6269187.450000	512682.660000	31	6463	2013-05-08
30/3-A-13 A	Statoil Petroleum AS	052	DEVELOPMENT	PRODUCTION	\N	2010-10-05	2011-01-14	VESLEFRIKK	NORTH SEA	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	6464	2013-05-08
30/3-A-13 BY1	Statoil Petroleum AS	052	DEVELOPMENT	PRODUCTION	OIL	2011-01-15	2011-02-02	VESLEFRIKK	NORTH SEA	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	6465	2013-05-08
6407/7-A-8 AH	Statoil Petroleum AS	107	DEVELOPMENT	PRODUCTION	OIL	2010-10-14	2010-11-27	NJORD	NORWEGIAN SEA	ED50	64	16	15.25	N	7	12	8.68	E	64.270903	7.202411	7128609.260000	412932.730000	32	6466	2013-05-08
7119/12-U-1	Statoil Petroleum AS	488	SHALLOW	\N	\N	2011-01-06	2011-01-10	\N	BARENTS SEA	ED50	71	1	42.96	N	19	49	20.51	E	71.028600	19.822364	7881214.020000	457270.990000	34	6467	2013-05-08
7119/12-4	Statoil Petroleum AS	488	EXPLORATION	WILDCAT	DRY	2011-01-12	2011-02-17	\N	BARENTS SEA	ED50	71	1	42.91	N	19	49	20.56	E	71.028586	19.822378	7881212.460000	457271.460000	34	6468	2013-05-08
3/7-A-1 AH	DONG E&P Norge AS	147	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2010-10-21	2010-12-06	TRYM	NORTH SEA	ED50	56	22	54.88	N	4	14	14.76	E	56.381911	4.237433	6249412.520000	576414.690000	31	6469	2013-05-08
2/4-B-2 C	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2010-12-15	2011-02-28	EKOFISK	NORTH SEA	ED50	56	33	54.83	N	3	12	14.08	E	56.565231	3.203911	6269149.280000	512531.860000	31	6470	2013-05-08
2/8-G-8 A	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2009-12-23	2010-05-29	VALHALL	NORTH SEA	ED50	56	16	35.38	N	3	23	47.05	E	56.276494	3.396403	6237062.250000	524547.110000	31	6471	2013-05-08
6305/9-U-2	Det norske oljeselskap AS	468	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	63	26	51.86	N	5	54	53.37	E	63.447739	5.914825	7038957.150000	645347.270000	31	6472	2013-05-08
7/12-U-1	Det norske oljeselskap ASA	450	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	57	1	18.70	N	2	51	27.70	E	57.021861	2.857694	6319970.030000	491359.890000	31	6473	2013-05-08
7/12-U-2	Det norske oljeselskap ASA	450	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	57	1	20.70	N	2	51	26.60	E	57.022417	2.857389	6320031.910000	491341.460000	31	6474	2013-05-08
7/12-U-3	Det norske oljeselskap ASA	450	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	57	1	19.20	N	2	51	23.90	E	57.022000	2.856639	6319985.630000	491295.830000	31	6475	2013-05-08
3/8-1	Lundin Norway AS	400	EXPLORATION	WILDCAT	DRY	2010-10-29	2010-12-29	\N	NORTH SEA	ED50	56	27	16.93	N	4	25	7.30	E	56.454703	4.418694	6257730.030000	587440.040000	31	6476	2013-05-08
35/1-U-2	Statoil Petroleum AS	269	SHALLOW	\N	\N	2010-08-24	2010-09-12	\N	NORTH SEA	ED50	61	51	56.35	N	3	3	19.90	E	61.865653	3.055528	6859379.670000	502921.340000	31	6477	2013-05-08
7120/12-5	Eni Norge AS	489	EXPLORATION	WILDCAT	DRY	2010-10-17	2011-01-03	\N	BARENTS SEA	ED50	71	11	57.92	N	20	54	54.97	E	71.199422	20.915269	7899853.810000	496952.150000	34	6478	2013-05-08
25/8-C-23 A	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2011-01-07	2011-02-28	BALDER	NORTH SEA	ED50	59	15	57.74	N	2	26	59.33	E	59.266039	2.449814	6569957.690000	468633.380000	31	6479	2013-05-08
25/8-C-23 B	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	PRODUCTION	OIL	2011-03-01	2011-05-12	BALDER	NORTH SEA	ED50	59	15	57.74	N	2	26	59.33	E	59.266039	2.449814	6569957.690000	468633.380000	31	6480	2013-05-08
34/11-A-1 A	Statoil Petroleum AS	193	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	KVITEBJØRN	NORTH SEA	ED50	61	4	48.90	N	2	29	59.14	E	61.080250	2.499761	6771989.850000	473011.270000	31	6481	2013-05-08
2/1-A-25 A	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2011-02-01	2011-05-26	GYDA	NORTH SEA	ED50	56	54	17.19	N	3	5	6.38	E	56.904775	3.085106	6306930.320000	505183.430000	31	6482	2013-05-08
31/2-O-23 Y2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2010-11-22	2010-12-03	TROLL	NORTH SEA	ED50	60	54	54.42	N	3	31	22.31	E	60.915117	3.522864	6753605.700000	528356.180000	31	6483	2013-05-08
7220/8-1	Statoil Petroleum AS	532	EXPLORATION	WILDCAT	OIL/GAS	2011-02-27	2011-05-02	\N	BARENTS SEA	ED50	72	29	28.92	N	20	20	2.25	E	72.491367	20.333958	8051910.710000	678908.520000	33	6484	2013-05-08
31/5-J-14 AY1H	Statoil Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2011-01-02	2011-03-05	TROLL	NORTH SEA	ED50	60	44	35.57	N	3	36	28.50	E	60.743214	3.607917	6734498.390000	533146.110000	31	6485	2013-05-08
31/5-J-14 AY2H	Statoil Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2011-03-06	2011-03-22	TROLL	NORTH SEA	ED50	60	44	35.57	N	3	36	28.50	E	60.743214	3.607917	6734498.390000	533146.110000	31	6486	2013-05-08
7220/8-U-1	Statoil Petroleum AS	532	SHALLOW	\N	\N	2011-02-22	2011-02-26	\N	BARENTS SEA	ED50	72	29	29.26	N	20	20	1.10	E	72.491461	20.333639	8051920.260000	678896.900000	33	6487	2013-05-08
15/6-11 S	Statoil Petroleum AS	303	EXPLORATION	APPRAISAL	DRY	2010-10-27	2010-12-19	\N	NORTH SEA	ED50	58	34	8.32	N	1	42	10.54	E	58.568978	1.702928	6492936.580000	424550.220000	31	6488	2013-05-08
25/4-L-1 H	Marathon Petroleum Norge AS	036 C	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2010-10-18	2010-11-16	ALVHEIM	NORTH SEA	ED50	59	35	9.41	N	2	5	11.18	E	59.585947	2.086439	6605808.810000	448406.780000	31	6489	2013-05-08
25/4-L-1 BY1H	Marathon Petroleum Norge AS	036 C	DEVELOPMENT	PRODUCTION	OIL	2011-06-21	2011-07-21	ALVHEIM	NORTH SEA	ED50	59	35	9.41	N	2	5	11.18	E	59.585947	2.086439	6605808.810000	448406.780000	31	6490	2013-05-08
25/4-L-1 BY2H	Marathon Petroleum Norge AS	036 C	DEVELOPMENT	PRODUCTION	OIL	2011-07-22	2011-08-07	ALVHEIM	NORTH SEA	ED50	59	35	9.41	N	2	5	11.18	E	59.585947	2.086439	6605808.810000	448406.780000	31	6491	2013-05-08
25/4-L-2 Y1H	Marathon Petroleum Norge AS	036 C	DEVELOPMENT	PRODUCTION	OIL	2010-10-28	2010-12-28	ALVHEIM	NORTH SEA	ED50	59	35	8.83	N	2	5	10.20	E	59.585786	2.086167	6605791.080000	448391.160000	31	6492	2013-05-08
25/4-L-2 Y2H	Marathon Petroleum Norge AS	036 C	DEVELOPMENT	PRODUCTION	OIL	2011-01-02	2011-01-26	ALVHEIM	NORTH SEA	ED50	59	35	8.83	N	2	5	10.20	E	59.585786	2.086167	6605791.080000	448391.160000	31	6493	2013-05-08
25/4-L-3 H	Marathon Petroleum Norge AS	036 C	DEVELOPMENT	PRODUCTION	OIL	2010-11-04	2011-02-22	ALVHEIM	NORTH SEA	ED50	59	35	8.85	N	2	5	12.45	E	59.585792	2.086792	6605791.210000	448426.470000	31	6494	2013-05-08
34/10-53 A	Statoil Petroleum AS	050	EXPLORATION	WILDCAT	GAS/CONDENSATE	2011-03-24	2011-06-01	\N	NORTH SEA	ED50	61	4	4.68	N	2	7	0.34	E	61.067967	2.116761	6770840.060000	452330.000000	31	6495	2013-05-08
2/1-A-19 A	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	OIL	2010-11-17	2010-12-15	GYDA	NORTH SEA	ED50	56	54	17.42	N	3	5	6.38	E	56.904839	3.085106	6306937.430000	505183.430000	31	6496	2013-05-08
31/4-A-33 E	Statoil Petroleum AS	055	DEVELOPMENT	INJECTION	CUTTINGS	2010-11-04	2010-11-28	BRAGE	NORTH SEA	ED50	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	6497	2013-05-08
6507/8-D-1 AH	Statoil Petroleum AS	124	DEVELOPMENT	PRODUCTION	OIL	2010-12-31	2011-01-31	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.65	N	7	20	9.41	E	65.361847	7.335947	7249986.640000	422595.050000	32	6498	2013-05-08
2/4-X-6 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2011-03-30	2011-07-01	EKOFISK	NORTH SEA	ED50	56	32	50.99	N	3	13	8.14	E	56.547497	3.218928	6267178.200000	513461.040000	31	6499	2013-05-08
34/8-A-17 H	Statoil Petroleum AS	120	DEVELOPMENT	PRODUCTION	OIL/GAS/CONDENSATE	2011-03-19	2012-04-22	VISUND	NORTH SEA	ED50	61	22	11.56	N	2	27	31.06	E	61.369878	2.458628	6804269.280000	471059.290000	31	6500	2013-05-08
17/6-1	Norwegian Energy Company ASA	545	EXPLORATION	WILDCAT	OIL	2011-01-05	2011-02-07	\N	NORTH SEA	ED50	58	44	15.46	N	3	55	34.93	E	58.737628	3.926369	6511357.460000	553627.980000	31	6501	2013-05-08
6305/9-2	Det norske oljeselskap AS	468	EXPLORATION	WILDCAT	DRY	2010-12-26	2011-03-13	\N	NORWEGIAN SEA	ED50	63	26	51.86	N	5	54	53.37	E	63.447739	5.914825	7038957.150000	645347.270000	31	6502	2013-05-08
6608/10-M-3 H	Statoil Petroleum AS	128	DEVELOPMENT	PRODUCTION	OIL	2010-11-15	2011-02-01	NORNE	NORWEGIAN SEA	ED50	66	0	17.92	N	8	1	55.54	E	66.004978	8.032094	7320989.260000	456077.800000	32	6503	2013-05-08
6407/1-W-2 H	StatoilHydro ASA	073	DEVELOPMENT	INJECTION	WATER	2010-11-22	2011-01-30	TYRIHANS	NORWEGIAN SEA	ED50	64	50	5.37	N	7	0	55.41	E	64.834825	7.015392	7191701.920000	405842.220000	32	6504	2013-05-08
6507/7-A-45 A	Statoil Petroleum AS	095	DEVELOPMENT	PRODUCTION	OIL	2011-06-10	2011-06-26	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.56	N	7	19	3.78	E	65.325711	7.317717	7245982.610000	421639.720000	32	6505	2013-05-08
34/10-C-38 A	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GULLFAKS	NORTH SEA	ED50	61	12	54.68	N	2	16	26.13	E	61.215189	2.273925	6787134.430000	460994.160000	31	6506	2013-05-08
25/6-4 S	Det norske oljeselskap ASA	414	EXPLORATION	WILDCAT	DRY	2012-01-10	2012-02-15	\N	NORTH SEA	ED50	59	41	10.27	N	2	53	1.23	E	59.686186	2.883675	6616623.050000	493449.990000	31	6507	2013-05-08
35/9-B-1 AH	GDF SUEZ E&P Norge AS	153	DEVELOPMENT	PRODUCTION	OIL	2011-03-29	2012-02-25	GJØA	NORTH SEA	ED50	61	20	24.99	N	3	57	31.67	E	61.340275	3.958797	6801228.340000	551302.990000	31	6508	2013-05-08
25/4-L-1 AH	Marathon Petroleum Norge AS	036 C	DEVELOPMENT	OBSERVATION	OIL	2010-11-17	2010-11-25	ALVHEIM	NORTH SEA	ED50	59	35	9.41	N	2	5	11.18	E	59.585947	2.086439	6605808.810000	448406.780000	31	6509	2013-05-08
31/4-A-14 A	Statoil Petroleum AS	055	DEVELOPMENT	OBSERVATION	OIL	2010-12-23	2011-03-06	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	6510	2013-05-08
31/4-A-14 B	Statoil Petroleum AS	055	DEVELOPMENT	OBSERVATION	OIL	2011-03-07	2011-03-15	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	6511	2013-05-08
31/2-G-3 AY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-01-08	2011-02-15	TROLL	NORTH SEA	ED50	60	45	19.16	N	3	26	27.75	E	60.755322	3.441042	6735774.400000	524038.450000	31	6512	2013-05-08
31/2-G-3 AY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-02-16	2011-02-27	TROLL	NORTH SEA	ED50	60	45	19.16	N	3	26	27.75	E	60.755322	3.441042	6735774.400000	524038.450000	31	6513	2013-05-08
31/2-G-3 AY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-02-28	2011-03-13	TROLL	NORTH SEA	ED50	60	45	19.16	N	3	26	27.75	E	60.755322	3.441042	6735774.400000	524038.450000	31	6514	2013-05-08
15/12-A-1 A	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2011-03-04	2011-03-10	VARG	NORTH SEA	ED50	58	4	40.53	N	1	53	25.51	E	58.077925	1.890419	6438070.210000	434554.670000	31	6515	2013-05-08
35/12-3 S	Wintershall Norge ASA	378	EXPLORATION	WILDCAT	DRY	2010-12-24	2011-02-16	\N	NORTH SEA	ED50	61	5	19.99	N	3	44	56.37	E	61.088886	3.748992	6773079.850000	540398.010000	31	6516	2013-05-08
16/1-15	Lundin Norway AS	338	EXPLORATION	WILDCAT	OIL	2011-01-22	2011-04-05	EDVARD GRIEG	NORTH SEA	ED50	58	52	23.82	N	2	15	41.30	E	58.873283	2.261472	6526327.330000	457412.510000	31	6517	2013-05-08
15/6-12	Statoil Petroleum AS	303	EXPLORATION	WILDCAT	OIL	2010-12-22	2011-02-09	\N	NORTH SEA	ED50	58	37	48.53	N	1	44	43.20	E	58.630147	1.745333	6499700.070000	427144.050000	31	6518	2013-05-08
15/9-B-8 C	Statoil Petroleum AS	046	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2010-12-29	2011-01-23	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.70	N	1	43	4.43	E	58.417972	1.717897	6476107.840000	425100.120000	31	6519	2013-05-08
1/3-U-15	DONG E&P Norge AS	274	SHALLOW	\N	\N	2010-12-29	2010-12-30	\N	NORTH SEA	ED50	56	55	53.62	N	2	40	16.30	E	56.931561	2.671194	6309957.000000	479988.170000	31	6520	2013-05-08
1/3-U-16	DONG E&P Norge AS	274	SHALLOW	\N	\N	2010-12-30	2010-12-31	\N	NORTH SEA	ED50	56	55	53.46	N	2	40	16.36	E	56.931517	2.671211	6309952.050000	479989.160000	31	6521	2013-05-08
25/11-G-38 AY1	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2011-03-31	2011-04-24	GRANE	NORTH SEA	ED50	59	9	54.59	N	2	29	14.98	E	59.165164	2.487494	6558707.440000	470695.230000	31	6522	2013-05-08
25/11-G-38 AY2	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2011-04-25	2011-05-08	GRANE	NORTH SEA	ED50	59	9	54.59	N	2	29	14.98	E	59.165164	2.487494	6558707.440000	470695.230000	31	6523	2013-05-08
25/11-G-38 AY3	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2011-05-11	2011-05-24	GRANE	NORTH SEA	ED50	59	9	54.59	N	2	29	14.98	E	59.165164	2.487494	6558707.440000	470695.230000	31	6524	2013-05-08
25/11-G-38 AY4	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	54.59	N	2	29	14.98	E	59.165164	2.487494	6558707.440000	470695.230000	31	6525	2013-05-08
15/6-11 A	Statoil Petroleum AS	303	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2010-12-26	2011-03-13	\N	NORTH SEA	ED50	58	34	8.30	N	1	42	10.50	E	58.568972	1.702917	6492935.970000	424549.560000	31	6526	2013-05-08
35/9-D-1 Y2H	GDF SUEZ E&P Norge AS	153	DEVELOPMENT	PRODUCTION	OIL	2011-05-17	2011-06-03	GJØA	NORTH SEA	ED50	61	20	28.65	N	3	57	32.49	E	61.341292	3.959025	6801341.760000	551313.510000	31	6527	2013-05-08
6406/3-U-2	Wintershall Norge ASA	475 BS	SHALLOW	\N	\N	2010-05-16	2010-05-17	\N	NORWEGIAN SEA	ED50	64	56	8.82	N	6	56	35.19	E	64.935783	6.943108	7203058.710000	402779.490000	32	6528	2013-05-08
6406/3-U-3	Wintershall Norge ASA	475 BS	SHALLOW	\N	\N	2010-05-19	2010-05-20	\N	NORWEGIAN SEA	ED50	64	56	9.57	N	6	56	32.17	E	64.935992	6.942269	7203083.210000	402740.610000	32	6529	2013-05-08
2/4-E-4	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TOR	NORTH SEA	ED50	56	38	31.22	N	3	19	37.13	E	56.642006	3.326981	6277724.500000	520054.660000	31	6530	2013-05-08
24/9-10 S	Marathon Petroleum Norge AS	340 BS	EXPLORATION	WILDCAT	OIL	2011-01-06	2011-02-02	\N	NORTH SEA	ED50	59	16	34.73	N	1	55	36.13	E	59.276314	1.926703	6571465.010000	438830.010000	31	6531	2013-05-08
25/4-L-3 AY1H	Marathon Petroleum Norge AS	036 C	DEVELOPMENT	PRODUCTION	OIL	2011-02-23	2011-04-30	ALVHEIM	NORTH SEA	ED50	59	35	8.85	N	2	5	12.45	E	59.585792	2.086792	6605791.210000	448426.470000	31	6532	2013-05-08
25/4-L-3 AY2H	Marathon Petroleum Norge AS	036 C	DEVELOPMENT	PRODUCTION	OIL	2011-05-13	2011-05-31	ALVHEIM	NORTH SEA	ED50	59	35	8.85	N	2	5	12.45	E	59.585792	2.086792	6605791.210000	448426.470000	31	6533	2013-05-08
2/4-K-20 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2011-01-13	2011-03-21	EKOFISK	NORTH SEA	ED50	56	33	55.85	N	3	12	12.93	E	56.565514	3.203592	6269180.760000	512512.140000	31	6534	2013-05-08
6305/7-D-1 H	A/S Norske Shell	208	DEVELOPMENT	PRODUCTION	GAS	2011-03-19	2011-05-23	ORMEN LANGE	NORWEGIAN SEA	ED50	63	23	8.41	N	5	18	52.19	E	63.385669	5.314497	7030821.820000	615672.940000	31	6535	2013-05-08
6305/7-D-5 H	A/S Norske Shell	208	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	ORMEN LANGE	NORWEGIAN SEA	ED50	63	23	8.84	N	5	18	52.73	E	63.385789	5.314647	7030835.390000	615679.950000	31	6536	2013-05-08
6305/7-D-8 H	A/S Norske Shell	208	DEVELOPMENT	PRODUCTION	GAS	2011-04-11	2011-06-21	ORMEN LANGE	NORWEGIAN SEA	ED50	63	23	9.13	N	5	18	51.59	E	63.385869	5.314331	7030843.790000	615663.800000	31	6537	2013-05-08
6507/8-8	Nexen Exploration Norge AS	434	EXPLORATION	WILDCAT	DRY	2011-02-26	2011-04-20	\N	NORWEGIAN SEA	ED50	65	16	52.50	N	7	25	27.66	E	65.281250	7.424350	7240899.970000	426482.010000	32	6538	2013-05-08
6407/7-A-4 AH	Statoil Petroleum AS	107	DEVELOPMENT	PRODUCTION	OIL	2011-01-24	2011-03-15	NJORD	NORWEGIAN SEA	ED50	64	16	14.59	N	7	12	5.77	E	64.270719	7.201603	7128589.940000	412893.010000	32	6539	2013-05-08
30/11-8 S	Statoil Petroleum AS	035	EXPLORATION	WILDCAT	OIL/GAS/CONDENSATE	2011-03-20	2011-05-20	\N	NORTH SEA	ED50	60	13	3.03	N	2	29	22.20	E	60.217508	2.489500	6675900.930000	471711.390000	31	6540	2013-05-08
6406/3-D-4 H	Statoil Petroleum AS	091	DEVELOPMENT	OBSERVATION	OIL	2011-02-16	2011-04-29	TYRIHANS	NORWEGIAN SEA	ED50	64	46	47.02	N	6	59	27.03	E	64.779728	6.990842	7185600.470000	404482.920000	32	6541	2013-05-08
6406/3-D-4 AY1H	Statoil Petroleum AS	091	DEVELOPMENT	PRODUCTION	OIL	2011-04-30	2011-05-25	TYRIHANS	NORWEGIAN SEA	ED50	64	46	47.02	N	6	59	27.03	E	64.779728	6.990842	7185600.470000	404482.920000	32	6542	2013-05-08
6406/3-D-4 AY2H	Statoil Petroleum AS	091	DEVELOPMENT	PRODUCTION	OIL	2011-06-15	2011-07-15	TYRIHANS	NORWEGIAN SEA	ED50	64	46	47.02	N	6	59	27.03	E	64.779728	6.990842	7185600.470000	404482.920000	32	6543	2013-05-08
15/9-B-8 D	Statoil Petroleum AS	046	DEVELOPMENT	PRODUCTION	GAS	2011-01-23	2011-02-06	SLEIPNER VEST	NORTH SEA	ED50	58	25	4.70	N	1	43	4.43	E	58.417972	1.717897	6476107.840000	425100.120000	31	6544	2013-05-08
34/7-P-17 A	Statoil Petroleum AS	089	DEVELOPMENT	INJECTION	WATER/GAS	2011-01-25	2011-04-02	SNORRE	NORTH SEA	ED50	61	26	57.21	N	2	8	36.82	E	61.449225	2.143561	6813288.060000	454333.010000	31	6545	2013-05-08
34/4-C-8 H	Statoil Petroleum AS	057	DEVELOPMENT	PRODUCTION	OIL	2011-05-08	2011-07-20	SNORRE	NORTH SEA	ED50	61	31	30.50	N	2	12	40.00	E	61.525139	2.211111	6821698.810000	458037.090000	31	6546	2013-05-08
2/7-A-27 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2011-04-19	2011-07-25	ELDFISK	NORTH SEA	ED50	56	22	36.25	N	3	15	56.44	E	56.376736	3.265678	6248180.970000	516408.980000	31	6547	2013-05-08
33/9-A-20 B	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS	2011-03-06	2011-04-04	STATFJORD	NORTH SEA	ED50	61	15	20.72	N	1	51	14.90	E	61.255756	1.854139	6791975.690000	438523.170000	31	6548	2013-05-08
7/11-12 S	ConocoPhillips Skandinavia AS	301 CS	EXPLORATION	WILDCAT	SHOWS	2011-03-27	2011-07-16	\N	NORTH SEA	ED50	57	0	54.51	N	2	36	13.54	E	57.015142	2.603761	6319282.810000	475938.000000	31	6549	2013-05-08
30/3-A-13 BY2	Statoil Petroleum AS	052	DEVELOPMENT	PRODUCTION	OIL	2011-02-21	2011-04-30	VESLEFRIKK	NORTH SEA	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	6550	2013-05-08
6508/1-2	Det norske oljeselskap ASA	482	EXPLORATION	WILDCAT	OIL/GAS	2011-08-21	2011-09-12	\N	NORWEGIAN SEA	ED50	65	55	50.28	N	8	1	52.78	E	65.930633	8.031328	7312703.590000	455915.050000	32	6551	2013-05-08
6508/1-U-2	Det norske oljeselskap ASA	482	SHALLOW	\N	\N	2011-08-18	2011-08-20	\N	NORWEGIAN SEA	ED50	65	55	49.87	N	8	1	53.14	E	65.930519	8.031428	7312690.830000	455919.410000	32	6552	2013-05-08
16/3-4	Lundin Norway AS	501	EXPLORATION	WILDCAT	OIL	2011-05-16	2011-06-28	\N	NORTH SEA	ED50	58	48	11.36	N	2	43	8.30	E	58.803156	2.718972	6518317.530000	483761.470000	31	6553	2013-05-08
31/2-P-21 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-04-29	2011-05-26	TROLL	NORTH SEA	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	6554	2013-05-08
31/2-P-21 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-05-28	2011-06-08	TROLL	NORTH SEA	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	6555	2013-05-08
30/9-B-12 C	Statoil Petroleum AS	079	DEVELOPMENT	PRODUCTION	OIL	2011-04-21	2011-05-14	OSEBERG	NORTH SEA	ED50	60	29	36.40	N	2	49	43.19	E	60.493444	2.828664	6706537.170000	490585.480000	31	6556	2013-05-08
6407/4-2	Statoil Petroleum AS	429	EXPLORATION	APPRAISAL	SHOWS	2011-02-14	2011-04-13	\N	NORWEGIAN SEA	ED50	64	35	36.80	N	7	10	35.60	E	64.593556	7.176556	7164591.360000	412712.990000	32	6557	2013-05-08
34/10-B-11 A	Statoil Petroleum AS	050	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	GULLFAKS	NORTH SEA	ED50	61	12	11.14	N	2	12	4.64	E	61.203094	2.201289	6785832.780000	457075.710000	31	6558	2013-05-08
6506/12-K-4 H	Statoil Petroleum AS	094	DEVELOPMENT	PRODUCTION	OIL	2011-04-14	2011-06-26	ÅSGARD	NORWEGIAN SEA	ED50	65	8	1.73	N	6	42	25.51	E	65.133814	6.707086	7225502.210000	392428.100000	32	6559	2013-05-08
24/9-10 A	Marathon Petroleum Norge AS	340 BS	EXPLORATION	APPRAISAL	OIL	2011-02-03	2011-02-20	\N	NORTH SEA	ED50	59	16	34.73	N	1	55	36.13	E	59.276314	1.926703	6571465.010000	438830.010000	31	6560	2013-05-08
16/2-7	Lundin Norway AS	501	EXPLORATION	WILDCAT	OIL	2011-07-19	2011-09-01	\N	NORTH SEA	ED50	58	46	47.77	N	2	39	16.28	E	58.779936	2.654522	6515749.450000	480024.060000	31	6561	2013-05-08
16/2-8	Statoil Petroleum AS	265	EXPLORATION	WILDCAT	OIL	2011-07-18	2011-08-19	\N	NORTH SEA	ED50	58	48	57.00	N	2	32	30.60	E	58.815833	2.541833	6519785.690000	473535.660000	31	6562	2013-05-08
25/10-11	Marathon Petroleum Norge AS	505	EXPLORATION	WILDCAT	OIL	2011-02-22	2011-08-09	\N	NORTH SEA	ED50	59	12	48.06	N	2	7	42.29	E	59.213350	2.128414	6564286.030000	450233.920000	31	6563	2013-05-08
31/4-A-14 C	Statoil Petroleum AS	055	DEVELOPMENT	PRODUCTION	OIL	2011-03-16	2011-04-02	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	6564	2013-05-08
6507/8-D-3 CH	Statoil Petroleum AS	124	DEVELOPMENT	PRODUCTION	OIL	2011-05-01	2011-05-27	HEIDRUN	NORWEGIAN SEA	ED50	65	21	42.95	N	7	20	9.70	E	65.361931	7.336028	7249995.830000	422599.040000	32	6565	2013-05-08
31/2-S-14 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-04-01	2011-04-22	TROLL	NORTH SEA	ED50	60	53	42.13	N	3	39	16.38	E	60.895036	3.654550	6751433.180000	535520.020000	31	6566	2013-05-08
31/2-S-14 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-04-23	2011-05-04	TROLL	NORTH SEA	ED50	60	53	42.13	N	3	39	16.38	E	60.895036	3.654550	6751433.180000	535520.020000	31	6567	2013-05-08
6604/2-1	BG Norge AS	522	EXPLORATION	WILDCAT	DRY	2011-03-21	2011-05-07	\N	NORWEGIAN SEA	ED50	66	47	1.79	N	4	33	34.85	E	66.783831	4.559681	7408330.210000	568606.890000	31	6568	2013-05-08
2/8-G-1	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALHALL	NORTH SEA	ED50	56	16	35.34	N	3	23	46.67	E	56.276483	3.396297	6237060.970000	524540.580000	31	6569	2013-05-08
2/8-G-2	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALHALL	NORTH SEA	ED50	56	16	35.33	N	3	23	46.79	E	56.276481	3.396331	6237060.680000	524542.650000	31	6570	2013-05-08
2/8-G-3	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALHALL	NORTH SEA	ED50	56	16	35.32	N	3	23	46.91	E	56.276478	3.396364	6237060.380000	524544.710000	31	6571	2013-05-08
2/8-G-4	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2012-05-09	2012-08-05	VALHALL	NORTH SEA	ED50	56	16	35.31	N	3	23	47.03	E	56.276475	3.396397	6237060.080000	524546.780000	31	6572	2013-05-08
2/8-G-5	BP Norge AS	006 B	DEVELOPMENT	OBSERVATION	\N	2013-01-30	2013-02-23	VALHALL	NORTH SEA	ED50	56	16	35.40	N	3	23	46.69	E	56.276500	3.396303	6237062.830000	524540.910000	31	6573	2013-05-08
2/8-G-9	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALHALL	NORTH SEA	ED50	56	16	35.47	N	3	23	46.70	E	56.276519	3.396306	6237065.000000	524541.070000	31	6574	2013-05-08
2/8-G-17	BP Norge AS	006 B	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	VALHALL	NORTH SEA	ED50	56	16	35.61	N	3	23	46.73	E	56.276558	3.396314	6237069.330000	524541.570000	31	6575	2013-05-08
2/8-G-20	BP Norge AS	006 B	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	VALHALL	NORTH SEA	ED50	56	16	35.58	N	3	23	47.10	E	56.276550	3.396417	6237068.440000	524547.940000	31	6576	2013-05-08
2/8-G-21	BP Norge AS	006 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2011-04-24	2011-05-03	VALHALL	NORTH SEA	ED50	56	16	35.34	N	3	23	46.67	E	56.276483	3.396297	6237060.970000	524540.580000	31	6577	2013-05-08
6507/8-U-1	Nexen Exploration Norge AS	434	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	65	16	52.21	N	7	25	29.88	E	65.281169	7.424967	7240890.270000	426510.550000	32	6578	2013-05-08
2/8-G-21 A	BP Norge AS	006 B	DEVELOPMENT	INJECTION	CUTTINGS	2011-07-06	2011-11-25	VALHALL	NORTH SEA	ED50	56	16	35.34	N	3	23	46.67	E	56.276483	3.396297	6237060.970000	524540.580000	31	6579	2013-05-08
15/12-A-12 C	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	\N	2011-03-23	2011-04-11	VARG	NORTH SEA	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	6580	2013-05-08
31/2-P-21 BY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-06-09	2011-06-26	TROLL	NORTH SEA	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	6581	2013-05-08
6407/3-1 S	Statoil Petroleum AS	312	EXPLORATION	WILDCAT	DRY	2011-04-14	2011-05-08	\N	NORWEGIAN SEA	ED50	64	46	32.49	N	7	42	14.23	E	64.775692	7.703953	7184265.960000	438370.920000	32	6582	2013-05-08
2/4-U-4	Statoil Petroleum AS	146	SHALLOW	\N	\N	2010-04-24	2010-04-24	\N	NORTH SEA	ED50	56	42	0.90	N	3	8	36.80	E	56.700250	3.143556	6284169.330000	508791.120000	31	6583	2013-05-08
2/4-U-5	Statoil Petroleum AS	146	SHALLOW	\N	\N	2010-04-28	2010-04-28	\N	NORTH SEA	ED50	56	41	58.90	N	3	8	37.20	E	56.699694	3.143667	6284107.500000	508798.050000	31	6584	2013-05-08
2/4-U-6	Statoil Petroleum AS	146	SHALLOW	\N	\N	2010-04-28	2010-04-28	\N	NORTH SEA	ED50	56	41	59.60	N	3	8	33.80	E	56.699889	3.142722	6284129.030000	508740.170000	31	6585	2013-05-08
35/8-Q-12 AH	Statoil Petroleum AS	248	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2011-02-18	2011-05-17	VEGA	NORTH SEA	ED50	61	15	42.18	N	3	21	32.26	E	61.261717	3.358961	6792153.590000	519255.670000	31	6586	2013-05-08
7225/3-1	Total E&P Norge AS	535	EXPLORATION	WILDCAT	GAS	2011-04-30	2011-09-25	\N	BARENTS SEA	ED50	72	54	58.35	N	25	52	2.70	E	72.916208	25.867417	8091706.130000	462863.020000	35	6587	2013-05-08
34/3-3 S	BG Norge AS	373 S	EXPLORATION	APPRAISAL	OIL	2011-09-11	2011-11-19	\N	NORTH SEA	ED50	61	47	42.49	N	2	43	4.38	E	61.795136	2.717883	6851554.920000	485123.660000	31	6588	2013-05-08
35/12-4 S	Wintershall Norge ASA	378	EXPLORATION	APPRAISAL	OIL/GAS	2011-04-23	2011-06-26	\N	NORTH SEA	ED50	61	11	6.76	N	3	41	29.40	E	61.185211	3.691500	6783775.120000	537183.780000	31	6589	2013-05-08
31/4-A-14 D	Statoil Petroleum AS	055	DEVELOPMENT	PRODUCTION	OIL	2011-04-03	2011-04-26	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	6590	2013-05-08
6/3-A-1 H	BG Norge AS	292	DEVELOPMENT	PRODUCTION	OIL/GAS	2011-04-26	2011-05-25	GAUPE	NORTH SEA	ED50	57	57	31.92	N	1	55	47.32	E	57.958867	1.929811	6424777.990000	436667.930000	31	6591	2013-05-08
7120/2-3 S	Lundin Norway AS	438	EXPLORATION	WILDCAT	GAS	2011-05-16	2011-07-09	\N	BARENTS SEA	ED50	71	47	20.97	N	20	21	44.23	E	71.789158	20.362286	7965749.130000	477755.390000	34	6592	2013-05-08
16/1-15 A	Lundin Norway AS	338	EXPLORATION	APPRAISAL	OIL	2011-04-06	2011-05-13	EDVARD GRIEG	NORTH SEA	ED50	58	52	23.82	N	2	15	41.30	E	58.873283	2.261472	6526327.330000	457412.510000	31	6593	2013-05-08
6406/3-9	Maersk Oil Norway AS	431	EXPLORATION	WILDCAT	OIL	2011-11-09	2012-03-26	\N	NORWEGIAN SEA	ED50	64	58	4.55	N	6	41	12.73	E	64.967931	6.686869	7207058.170000	390803.200000	32	6594	2013-05-08
15/12-A-12 D	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	\N	2011-04-15	2011-04-20	VARG	NORTH SEA	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	6595	2013-05-08
31/2-K-12 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-05-11	2011-06-04	TROLL	NORTH SEA	ED50	60	46	6.08	N	3	36	40.72	E	60.768356	3.611311	6737300.440000	533305.110000	31	6596	2013-05-08
31/2-K-12 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-06-07	2011-06-25	TROLL	NORTH SEA	ED50	60	46	6.08	N	3	36	40.72	E	60.768356	3.611311	6737300.440000	533305.110000	31	6597	2013-05-08
2/1-A-32 C	Talisman Energy Norge AS	019 B	DEVELOPMENT	OBSERVATION	OIL	2012-12-04	2013-04-16	GYDA	NORTH SEA	ED50	56	54	17.31	N	3	5	5.95	E	56.904808	3.084986	6306934.020000	505176.150000	31	6598	2013-05-08
35/7-1 S	Idemitsu Petroleum Norge AS	377 S	EXPLORATION	WILDCAT	DRY	2011-05-13	2011-08-15	\N	NORTH SEA	ED50	61	21	38.86	N	3	13	11.73	E	61.360794	3.219925	6803157.240000	511760.250000	31	6599	2013-05-08
25/8-C-19	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	OBSERVATION	\N	2011-05-21	2011-09-04	BALDER	NORTH SEA	ED50	59	15	58.05	N	2	26	59.59	E	59.266125	2.449886	6569967.250000	468637.580000	31	6600	2013-05-08
25/8-C-19 A	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	OBSERVATION	OIL	2011-09-05	2012-01-21	BALDER	NORTH SEA	ED50	59	15	58.05	N	2	26	59.59	E	59.266125	2.449886	6569967.250000	468637.580000	31	6601	2013-05-08
25/8-C-19 B	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	PRODUCTION	OIL	2012-01-22	2012-10-19	BALDER	NORTH SEA	ED50	59	15	58.05	N	2	26	59.59	E	59.266125	2.449886	6569967.250000	468637.580000	31	6602	2013-05-08
7120/2-U-1	Lundin Norway AS	438	SHALLOW	\N	\N	2011-05-15	2011-05-16	\N	BARENTS SEA	ED50	71	47	20.65	N	20	21	45.27	E	71.789069	20.362575	7965739.110000	477765.360000	34	6603	2013-05-08
31/8-1	E.ON Ruhrgas Norge AS	416	EXPLORATION	WILDCAT	DRY	2011-06-27	2011-07-24	\N	NORTH SEA	ED50	60	22	11.23	N	3	34	4.94	E	60.369786	3.568039	6692886.870000	531330.950000	31	6604	2013-05-08
16/7-U-1	Statoil Petroleum AS	569	SHALLOW	\N	\N	2011-07-07	2011-07-09	SIGYN	NORTH SEA	ED50	58	29	56.75	N	2	1	32.27	E	58.499097	2.025631	6484838.570000	443207.780000	31	6605	2013-05-08
25/11-G-23 A	Statoil Petroleum AS	169 B1	DEVELOPMENT	INJECTION	WATER	2011-06-23	2011-07-23	GRANE	NORTH SEA	ED50	59	9	54.89	N	2	29	14.66	E	59.165247	2.487406	6558716.760000	470690.220000	31	6606	2013-05-08
16/7-10	Statoil Petroleum AS	569	EXPLORATION	WILDCAT	GAS/CONDENSATE	2011-07-06	2011-09-14	\N	NORTH SEA	ED50	58	29	56.56	N	2	1	31.42	E	58.499044	2.025394	6484832.900000	443193.930000	31	6607	2013-05-08
15/12-E-1 H	BG Norge AS	292	DEVELOPMENT	PRODUCTION	OIL	2011-05-31	2011-07-11	GAUPE	NORTH SEA	ED50	58	0	43.03	N	1	55	31.57	E	58.011953	1.925436	6430692.120000	436503.030000	31	6608	2013-05-08
2/4-K-8 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2011-09-23	2011-11-23	EKOFISK	NORTH SEA	ED50	56	33	55.82	N	3	12	22.32	E	56.565506	3.206200	6269180.310000	512672.440000	31	6609	2013-05-08
33/9-A-37 C	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2011-09-17	2011-10-26	STATFJORD	NORTH SEA	ED50	61	15	19.76	N	1	51	14.06	E	61.255489	1.853906	6791946.210000	438510.130000	31	6610	2013-05-08
30/11-8 A	Statoil Petroleum AS	035	EXPLORATION	WILDCAT	OIL/GAS/CONDENSATE	2011-05-20	2011-07-03	\N	NORTH SEA	ED50	60	13	3.03	N	2	29	22.20	E	60.217508	2.489500	6675900.930000	471711.390000	31	6611	2013-05-08
1/3-A-1 H	DONG E&P Norge AS	274	DEVELOPMENT	PRODUCTION	OIL	2011-07-22	2011-09-25	OSELVAR	NORTH SEA	ED50	56	55	55.06	N	2	40	16.66	E	56.931961	2.671294	6310001.500000	479994.470000	31	6612	2013-05-08
1/3-A-2 H	DONG E&P Norge AS	274	DEVELOPMENT	PRODUCTION	OIL	2011-11-18	2012-02-08	OSELVAR	NORTH SEA	ED50	56	55	54.89	N	2	40	16.67	E	56.931914	2.671297	6309996.240000	479994.610000	31	6613	2013-05-08
1/3-A-3 H	DONG E&P Norge AS	274	DEVELOPMENT	PRODUCTION	OIL	2012-03-04	2012-05-15	OSELVAR	NORTH SEA	ED50	56	55	55.07	N	2	40	17.32	E	56.931964	2.671478	6310001.760000	480005.630000	31	6614	2013-05-08
16/2-9 S	Statoil Petroleum AS	265	EXPLORATION	WILDCAT	OIL	2011-08-22	2011-09-24	\N	NORTH SEA	ED50	58	54	46.39	N	2	26	22.80	E	58.912886	2.439667	6530637.430000	467724.910000	31	6615	2013-05-08
6507/7-A-3	Statoil Petroleum AS	095	DEVELOPMENT	INJECTION	WATER	2011-07-13	2011-10-03	HEIDRUN	NORWEGIAN SEA	ED50	65	19	33.01	N	7	19	2.85	E	65.325836	7.317458	7245996.860000	421628.060000	32	6616	2013-05-08
35/12-4 A	Wintershall Norge ASA	378	EXPLORATION	APPRAISAL	DRY	2011-06-26	2011-07-17	\N	NORTH SEA	ED50	61	11	6.76	N	3	41	29.40	E	61.185211	3.691500	6783775.120000	537183.780000	31	6617	2013-05-08
2/4-B-18 D	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2011-07-14	2011-09-26	EKOFISK	NORTH SEA	ED50	56	33	55.02	N	3	12	13.97	E	56.565283	3.203881	6269155.150000	512529.970000	31	6618	2013-05-08
31/2-D-2 AY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-07-16	2011-08-06	TROLL	NORTH SEA	ED50	60	51	30.48	N	3	26	43.52	E	60.858467	3.445422	6747264.690000	524199.230000	31	6619	2013-05-08
31/2-D-2 AY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-08-07	2011-08-14	TROLL	NORTH SEA	ED50	60	51	30.48	N	3	26	43.52	E	60.858467	3.445422	6747264.690000	524199.230000	31	6620	2013-05-08
31/2-D-2 AY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-08-15	2011-08-23	TROLL	NORTH SEA	ED50	60	51	30.48	N	3	26	43.52	E	60.858467	3.445422	6747264.690000	524199.230000	31	6621	2013-05-08
3/4-2 S	Det norske oljeselskap ASA	356	EXPLORATION	WILDCAT	DRY	2012-07-19	2012-08-31	\N	NORTH SEA	ED50	56	38	47.24	N	4	5	38.18	E	56.646456	4.093939	6278707.020000	567085.050000	31	6622	2013-05-08
31/4-A-14 E	Statoil Petroleum AS	055	DEVELOPMENT	PRODUCTION	OIL	2011-07-06	2011-07-28	BRAGE	NORTH SEA	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	6623	2013-05-08
2/8-G-20 A	BP Norge AS	006 B	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	VALHALL	NORTH SEA	ED50	56	16	35.58	N	3	23	47.10	E	56.276550	3.396417	6237068.440000	524547.940000	31	6624	2013-05-08
6608/10-H-4 H	Statoil Petroleum AS	128	DEVELOPMENT	OBSERVATION	WATER	2011-07-01	2011-07-20	URD	NORWEGIAN SEA	ED50	66	4	39.34	N	8	15	3.75	E	66.077594	8.251042	7328947.280000	466109.580000	32	6625	2013-05-08
6608/10-H-4 AH	Statoil Petroleum AS	128	DEVELOPMENT	INJECTION	WATER	2011-07-21	2011-08-06	URD	NORWEGIAN SEA	ED50	66	4	39.34	N	8	15	3.75	E	66.077594	8.251042	7328947.280000	466109.580000	32	6626	2013-05-08
30/9-F-7	Norsk Hydro Produksjon AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2006-09-06	2006-09-18	OSEBERG SØR	NORTH SEA	ED50	60	23	24.86	N	2	47	49.42	E	60.390239	2.797061	6695047.100000	488813.570000	31	6627	2013-05-08
30/9-F-7 A	Statoil Petroleum AS	104	DEVELOPMENT	PRODUCTION	OIL	2011-07-31	2011-12-22	OSEBERG SØR	NORTH SEA	ED50	60	23	24.86	N	2	47	49.42	E	60.390239	2.797061	6695047.100000	488813.570000	31	6628	2013-05-08
16/3-4 A	Lundin Norway AS	501	EXPLORATION	WILDCAT	OIL	2011-06-28	2011-07-18	\N	NORTH SEA	ED50	58	48	14.50	N	2	43	8.50	E	58.804028	2.719028	6518414.640000	483765.090000	31	6629	2013-05-08
8/10-4 S	Centrica Resources (Norge) AS	405	EXPLORATION	WILDCAT	OIL	2011-08-15	2011-10-27	\N	NORTH SEA	ED50	57	3	53.80	N	3	2	43.60	E	57.064944	3.045444	6324758.010000	502755.980000	31	6630	2013-05-08
2/4-U-31	Statoil Petroleum AS	146	SHALLOW	\N	\N	2011-06-07	2011-06-07	\N	NORTH SEA	ED50	56	42	15.60	N	3	7	56.70	E	56.704333	3.132417	6284622.490000	508108.110000	31	6631	2013-05-08
2/4-U-32	Statoil Petroleum AS	146	SHALLOW	\N	\N	2011-06-07	2011-06-07	\N	NORTH SEA	ED50	56	42	16.40	N	3	7	53.40	E	56.704556	3.131500	6284647.120000	508051.940000	31	6632	2013-05-08
2/4-U-33	Statoil Petroleum AS	146	SHALLOW	\N	\N	2011-06-06	2011-06-06	\N	NORTH SEA	ED50	56	42	17.60	N	3	7	56.40	E	56.704889	3.132333	6284684.320000	508102.890000	31	6633	2013-05-08
2/4-U-34	Statoil Petroleum AS	146	SHALLOW	\N	\N	2011-06-07	2011-06-07	\N	NORTH SEA	ED50	56	41	42.20	N	3	8	25.50	E	56.695056	3.140417	6283590.720000	508600.080000	31	6634	2013-05-08
2/4-U-35	Statoil Petroleum AS	146	SHALLOW	\N	\N	2011-06-08	2011-06-08	\N	NORTH SEA	ED50	56	41	43.00	N	3	8	25.10	E	56.695278	3.140306	6283615.440000	508593.230000	31	6635	2013-05-08
2/4-U-36	Statoil Petroleum AS	146	SHALLOW	\N	\N	2011-06-08	2011-06-08	\N	NORTH SEA	ED50	56	41	44.20	N	3	8	28.10	E	56.695611	3.141139	6283652.650000	508644.190000	31	6636	2013-05-08
25/8-U-21	Det norske oljeselskap ASA	169 C	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	59	24	14.00	N	2	22	6.00	E	59.403889	2.368333	6585349.550000	464133.760000	31	6637	2013-05-08
25/8-U-24	Det norske oljeselskap ASA	169 C	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	59	24	12.00	N	2	22	8.00	E	59.403333	2.368889	6585287.380000	464164.720000	31	6640	2013-05-08
30/3-A-20 B	Statoil Petroleum AS	052	DEVELOPMENT	PRODUCTION	OIL	2011-09-18	2011-11-30	VESLEFRIKK	NORTH SEA	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	6641	2013-05-08
6607/12-2 S	Total E&P Norge AS	127	EXPLORATION	WILDCAT	OIL/GAS	2011-07-22	2011-10-25	\N	NORWEGIAN SEA	ED50	66	1	17.99	N	7	51	50.30	E	66.021664	7.863972	7322976.960000	448482.960000	32	6642	2013-05-08
6506/12-P-1 AH	Statoil Petroleum AS	094	DEVELOPMENT	OBSERVATION	OIL	2011-07-21	2011-09-04	ÅSGARD	NORWEGIAN SEA	ED50	65	1	22.64	N	6	52	46.01	E	65.022956	6.879447	7212869.410000	400097.210000	32	6643	2013-05-08
6506/12-P-1 BH	Statoil Petroleum AS	094	DEVELOPMENT	PRODUCTION	OIL	2011-09-05	2011-09-30	ÅSGARD	NORWEGIAN SEA	ED50	65	1	22.64	N	6	52	46.01	E	65.022956	6.879447	7212869.410000	400097.210000	32	6644	2013-05-08
6406/3-D-1 H	Statoil Petroleum AS	091	DEVELOPMENT	OBSERVATION	OIL	2011-08-22	2011-09-30	TYRIHANS	NORWEGIAN SEA	ED50	64	46	46.91	N	6	59	26.80	E	64.779697	6.990778	7185597.160000	404479.780000	32	6645	2013-05-08
6406/3-D-1 AY1H	Statoil Petroleum AS	091	DEVELOPMENT	PRODUCTION	OIL	2011-10-01	2011-10-25	TYRIHANS	NORWEGIAN SEA	ED50	64	46	46.91	N	6	59	26.80	E	64.779697	6.990778	7185597.160000	404479.780000	32	6646	2013-05-08
6406/3-D-1 AY2H	Statoil Petroleum AS	091	DEVELOPMENT	PRODUCTION	OIL	2011-10-26	2012-01-09	TYRIHANS	NORWEGIAN SEA	ED50	64	46	46.91	N	6	59	26.80	E	64.779697	6.990778	7185597.160000	404479.780000	32	6647	2013-05-08
6407/5-2 S	OMV (Norge) AS	471	EXPLORATION	WILDCAT	GAS	2011-07-26	2011-09-04	\N	NORWEGIAN SEA	ED50	64	34	48.69	N	7	37	11.92	E	64.580192	7.619978	7162566.200000	433903.890000	32	6648	2013-05-08
30/9-F-23	Statoil Petroleum AS	104	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	OSEBERG SØR	NORTH SEA	ED50	60	23	24.57	N	2	47	49.56	E	60.390158	2.797100	6695038.120000	488815.680000	31	6649	2013-05-08
35/9-C-1 AY1H	GDF SUEZ E&P Norge AS	153	DEVELOPMENT	PRODUCTION	OIL	2011-07-31	2011-09-14	GJØA	NORTH SEA	ED50	61	20	26.90	N	3	57	30.46	E	61.340806	3.958461	6801287.170000	551284.140000	31	6650	2013-05-08
35/9-C-1 AY2H	GDF SUEZ E&P Norge AS	153	DEVELOPMENT	PRODUCTION	OIL	2011-09-15	2011-10-25	GJØA	NORTH SEA	ED50	61	20	26.90	N	3	57	30.46	E	61.340806	3.958461	6801287.170000	551284.140000	31	6651	2013-05-08
31/2-X-11 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-07-31	2011-08-22	TROLL	NORTH SEA	ED50	60	49	57.38	N	3	36	14.59	E	60.832606	3.604053	6744453.120000	532843.810000	31	6652	2013-05-08
31/2-X-11 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-08-23	2011-09-04	TROLL	NORTH SEA	ED50	60	49	57.38	N	3	36	14.59	E	60.832606	3.604053	6744453.120000	532843.810000	31	6653	2013-05-08
31/2-Q-12 BH	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-08-09	2011-08-31	TROLL	NORTH SEA	ED50	60	50	40.72	N	3	37	38.29	E	60.844644	3.627303	6745805.920000	534095.120000	31	6654	2013-05-08
7/11-12 A	ConocoPhillips Skandinavia AS	301 CS	EXPLORATION	WILDCAT	GAS	2011-08-08	2011-12-31	\N	NORTH SEA	ED50	57	0	54.51	N	2	36	13.50	E	57.015142	2.603750	6319282.820000	475937.320000	31	6655	2013-05-08
25/11-G-5 A	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2011-08-03	2011-08-09	GRANE	NORTH SEA	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	6656	2013-05-08
34/10-52 A	Statoil Petroleum AS	050	EXPLORATION	WILDCAT	OIL/GAS	2011-06-17	2011-08-07	\N	NORTH SEA	ED50	61	4	14.90	N	2	11	31.40	E	61.070806	2.192056	6771103.770000	456397.530000	31	6657	2013-05-08
34/10-52 B	Statoil Petroleum AS	050	EXPLORATION	WILDCAT	OIL/GAS	2011-08-07	2011-08-23	\N	NORTH SEA	ED50	61	4	14.90	N	2	11	31.40	E	61.070806	2.192056	6771103.770000	456397.530000	31	6658	2013-05-08
6305/5-C-2 H	A/S Norske Shell	209	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2011-09-10	2011-10-02	ORMEN LANGE	NORWEGIAN SEA	ED50	63	34	21.74	N	5	20	54.51	E	63.572706	5.348475	7051714.460000	616606.090000	31	6659	2013-05-08
6305/5-C-2 AH	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	ORMEN LANGE	NORWEGIAN SEA	ED50	63	34	21.74	N	5	20	54.51	E	63.572706	5.348475	7051714.460000	616606.090000	31	6660	2013-05-08
6305/5-C-3 H	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	ORMEN LANGE	NORWEGIAN SEA	ED50	63	34	21.75	N	5	20	54.07	E	63.572708	5.348353	7051714.540000	616600.010000	31	6661	2013-05-08
6305/5-C-7 H	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	\N	2011-08-21	2011-11-21	ORMEN LANGE	NORWEGIAN SEA	ED50	63	34	22.23	N	5	20	54.11	E	63.572842	5.348364	7051729.410000	616600.020000	31	6662	2013-05-08
34/8-U-3	Statoil Petroleum AS	120	SHALLOW	\N	\N	2011-09-20	2011-09-22	VISUND SØR	NORTH SEA	ED50	61	18	3.15	N	2	21	46.98	E	61.300875	2.363050	6796629.090000	465875.020000	31	6663	2013-05-08
6507/7-A-21	Statoil Petroleum AS	095	DEVELOPMENT	PRODUCTION	OIL	2012-01-02	2012-03-30	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.87	N	7	19	3.58	E	65.325797	7.317661	7245992.280000	421637.390000	32	6664	2013-05-08
34/8-V-4 H	Statoil Petroleum AS	120	DEVELOPMENT	OBSERVATION	OIL	2011-09-28	2011-12-11	VISUND SØR	NORTH SEA	ED50	61	18	1.95	N	2	21	49.80	E	61.300542	2.363833	6796591.550000	465916.620000	31	6665	2013-05-08
34/8-V-4 AH	Statoil Petroleum AS	120	DEVELOPMENT	OBSERVATION	OIL	2011-12-15	2012-02-11	VISUND SØR	NORTH SEA	ED50	61	18	1.95	N	2	21	49.78	E	61.300542	2.363828	6796591.560000	465916.320000	31	6666	2013-05-08
34/8-V-4 BY1H	Statoil Petroleum AS	120	DEVELOPMENT	PRODUCTION	OIL	2012-02-11	2012-08-22	VISUND SØR	NORTH SEA	ED50	61	18	1.95	N	2	21	49.78	E	61.300542	2.363828	6796591.560000	465916.320000	31	6667	2013-05-08
34/8-V-4 BY2H	Statoil Petroleum AS	120	DEVELOPMENT	PRODUCTION	OIL/GAS	2012-08-23	2012-09-16	VISUND SØR	NORTH SEA	ED50	61	18	1.95	N	2	21	49.78	E	61.300542	2.363828	6796591.560000	465916.320000	31	6668	2013-05-08
16/1-U-1	Lundin Norway AS	338	SHALLOW	\N	\N	2011-06-10	2011-06-10	\N	NORTH SEA	ED50	58	50	33.39	N	2	14	56.77	E	58.842608	2.249103	6522919.650000	456660.930000	31	6669	2013-05-08
16/1-U-2	Lundin Norway AS	338	SHALLOW	\N	\N	2011-06-10	2011-06-10	\N	NORTH SEA	ED50	58	50	34.36	N	2	14	53.26	E	58.842878	2.248128	6522950.290000	456604.990000	31	6670	2013-05-08
16/1-U-3	Lundin Norway AS	338	SHALLOW	\N	\N	2011-06-10	2011-06-10	\N	NORTH SEA	ED50	58	50	32.32	N	2	14	53.26	E	58.842311	2.248128	6522887.190000	456604.280000	31	6671	2013-05-08
16/1-U-4	Lundin Norway AS	338	SHALLOW	\N	\N	2011-06-10	2011-06-10	\N	NORTH SEA	ED50	58	50	36.12	N	2	14	54.89	E	58.843367	2.248581	6523004.430000	456631.730000	31	6672	2013-05-08
16/1-U-5	Lundin Norway AS	338	SHALLOW	\N	\N	2011-06-10	2011-06-10	\N	NORTH SEA	ED50	58	50	35.01	N	2	14	58.77	E	58.843058	2.249658	6522969.400000	456693.550000	31	6673	2013-05-08
16/1-U-6	Lundin Norway AS	338	SHALLOW	\N	\N	2010-09-24	2010-09-24	\N	NORTH SEA	ED50	58	53	9.32	N	2	12	11.50	E	58.885922	2.203194	6527773.190000	454068.750000	31	6674	2013-05-08
31/5-J-22 AY1H	Statoil Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2011-10-25	2011-11-15	TROLL	NORTH SEA	ED50	60	43	45.35	N	3	39	23.79	E	60.729264	3.656608	6732970.190000	535816.450000	31	6675	2013-05-08
31/5-J-22 AY2H	Statoil Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2011-11-16	2011-11-30	TROLL	NORTH SEA	ED50	60	43	45.35	N	3	39	23.79	E	60.729264	3.656608	6732970.190000	535816.450000	31	6676	2013-05-08
31/5-J-22 AY3H	Statoil Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2011-12-01	2011-12-20	TROLL	NORTH SEA	ED50	60	43	45.35	N	3	39	23.79	E	60.729264	3.656608	6732970.190000	535816.450000	31	6677	2013-05-08
7124/4-1 S	GDF SUEZ E&P Norge AS	530	EXPLORATION	WILDCAT	DRY	2011-09-18	2011-10-12	\N	BARENTS SEA	ED50	71	35	16.16	N	24	5	56.84	E	71.587822	24.099122	7945629.990000	397765.980000	35	6678	2013-05-08
31/2-G-4 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-09-16	2011-10-08	TROLL	NORTH SEA	ED50	60	45	9.37	N	3	26	21.77	E	60.752603	3.439381	6735470.890000	523949.940000	31	6679	2013-05-08
31/2-G-4 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-10-09	2011-10-26	TROLL	NORTH SEA	ED50	60	45	9.37	N	3	26	21.77	E	60.752603	3.439381	6735470.890000	523949.940000	31	6680	2013-05-08
15/8-2	Statoil Petroleum AS	303	EXPLORATION	WILDCAT	DRY	2011-08-23	2011-10-21	\N	NORTH SEA	ED50	58	24	55.10	N	1	32	49.90	E	58.415306	1.547194	6476013.730000	415122.230000	31	6681	2013-05-08
34/10-F-3 AH	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	OIL	2011-10-14	2012-04-25	GULLFAKS SØR	NORTH SEA	ED50	61	5	51.78	N	2	16	35.48	E	61.097717	2.276522	6774047.980000	460988.950000	31	6682	2013-05-08
34/3-U-3	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	46	8.30	N	2	47	32.28	E	61.768972	2.792300	6848625.430000	489038.410000	31	6683	2013-05-08
34/3-U-4	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	46	4.27	N	2	47	38.27	E	61.767853	2.793964	6848500.450000	489125.830000	31	6684	2013-05-08
34/3-U-5	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	46	0.00	N	2	47	43.51	E	61.766667	2.795419	6848368.070000	489202.240000	31	6685	2013-05-08
34/3-U-6	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	45	55.54	N	2	47	47.94	E	61.765428	2.796650	6848229.850000	489266.750000	31	6686	2013-05-08
34/3-U-7	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	45	55.16	N	2	44	7.40	E	61.765322	2.735389	6848229.730000	486033.220000	31	6687	2013-05-08
34/3-U-8	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	45	59.64	N	2	44	11.76	E	61.766567	2.736600	6848368.100000	486097.710000	31	6688	2013-05-08
34/3-U-9	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	46	3.92	N	2	44	16.93	E	61.767756	2.738036	6848500.240000	486174.040000	31	6689	2013-05-08
34/3-U-10	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	46	7.97	N	2	44	22.87	E	61.768881	2.739686	6848625.210000	486261.630000	31	6690	2013-05-08
34/3-U-11	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	46	1.67	N	2	47	39.22	E	61.767131	2.794228	6848419.950000	489139.500000	31	6691	2013-05-08
34/3-U-12	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	46	1.33	N	2	44	16.02	E	61.767036	2.737783	6848420.140000	486160.380000	31	6692	2013-05-08
34/3-U-13	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	47	41.45	N	2	42	58.68	E	61.794847	2.716300	6851523.100000	485040.020000	31	6693	2013-05-08
34/3-U-14	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	48	2.87	N	2	46	58.21	E	61.800797	2.782836	6852172.430000	488550.790000	31	6694	2013-05-08
34/3-U-15	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	45	48.26	N	2	45	55.00	E	61.763406	2.765278	6848010.150000	487610.050000	31	6695	2013-05-08
34/6-U-1	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	44	37.68	N	2	46	13.83	E	61.743800	2.770508	6845825.080000	487878.440000	31	6696	2013-05-08
34/6-U-2	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	44	37.23	N	2	46	3.46	E	61.743675	2.767628	6845811.690000	487726.240000	31	6697	2013-05-08
34/6-U-3	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	44	37.21	N	2	45	53.06	E	61.743669	2.764739	6845811.620000	487573.650000	31	6698	2013-05-08
34/6-U-4	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	44	37.62	N	2	45	42.69	E	61.743783	2.761858	6845824.860000	487421.550000	31	6699	2013-05-08
34/6-U-5	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	KNARR	NORTH SEA	ED50	61	44	38.14	N	2	45	58.26	E	61.743928	2.766183	6845840.130000	487650.050000	31	6700	2013-05-08
6608/11-7 S	Rocksource ASA	559	EXPLORATION	WILDCAT	DRY	2011-09-08	2011-10-25	\N	NORWEGIAN SEA	ED50	66	14	1.32	N	8	30	47.34	E	66.233700	8.513150	7346231.060000	478105.000000	32	6701	2013-05-08
6507/2-N-2 H	Eni Norge AS	122	DEVELOPMENT	OBSERVATION	GAS/CONDENSATE	2011-10-03	2011-11-21	MARULK	NORWEGIAN SEA	ED50	65	56	0.57	N	7	32	36.69	E	65.933492	7.543525	7313451.130000	433724.860000	32	6702	2013-05-08
6507/2-N-2 AH	Eni Norge AS	122	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2011-11-23	2012-03-01	MARULK	NORWEGIAN SEA	ED50	65	56	0.57	N	7	32	36.69	E	65.933492	7.543525	7313451.130000	433724.860000	32	6703	2013-05-08
6507/2-N-4 H	Eni Norge AS	122	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2011-12-22	2012-11-12	MARULK	NORWEGIAN SEA	ED50	65	56	0.41	N	7	32	37.60	E	65.933447	7.543778	7313445.910000	433736.250000	32	6704	2013-05-08
15/3-A-5	Statoil Petroleum AS	025	DEVELOPMENT	OBSERVATION	\N	2011-12-12	2012-05-20	GUDRUN	NORTH SEA	ED50	58	50	42.42	N	1	44	37.69	E	58.845117	1.743803	6523636.080000	427503.810000	31	6705	2013-05-08
15/3-A-6	Statoil Petroleum AS	025	DEVELOPMENT	PRODUCTION	\N	2012-09-26	2012-11-01	GUDRUN	NORTH SEA	ED50	58	50	42.46	N	1	44	37.82	E	58.845128	1.743839	6523637.280000	427505.920000	31	6706	2013-05-08
15/3-A-7	Statoil Petroleum AS	025	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GUDRUN	NORTH SEA	ED50	58	50	42.53	N	1	44	37.92	E	58.845147	1.743867	6523639.410000	427507.560000	31	6707	2013-05-08
15/3-A-12	Statoil Petroleum AS	025	DEVELOPMENT	PRODUCTION	\N	2011-10-15	2012-09-16	GUDRUN	NORTH SEA	ED50	58	50	42.47	N	1	44	38.17	E	58.845131	1.743936	6523637.480000	427511.530000	31	6708	2013-05-08
15/3-A-13	Statoil Petroleum AS	025	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GUDRUN	NORTH SEA	ED50	58	50	42.31	N	1	44	37.82	E	58.845086	1.743839	6523632.640000	427505.830000	31	6709	2013-05-08
15/3-A-16	Statoil Petroleum AS	025	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GUDRUN	NORTH SEA	ED50	58	50	42.43	N	1	44	38.22	E	58.845119	1.743950	6523636.230000	427512.310000	31	6710	2013-05-08
16/2-7 A	Lundin Norway AS	501	EXPLORATION	APPRAISAL	OIL	2011-09-02	2011-09-29	\N	NORTH SEA	ED50	58	46	47.77	N	2	39	16.28	E	58.779936	2.654522	6515749.450000	480024.060000	31	6711	2013-05-08
6407/7-A-2 H	Statoil Petroleum AS	107	\N	\N	\N	9999-12-31	9999-12-31	NJORD	NORWEGIAN SEA	ED50	64	16	14.23	N	7	12	4.34	E	64.270619	7.201206	7128579.350000	412873.460000	32	6712	2013-05-08
6407/7-A-3 H	Statoil Petroleum AS	107	DEVELOPMENT	PRODUCTION	\N	2011-11-11	2011-12-30	NJORD	NORWEGIAN SEA	ED50	64	16	14.42	N	7	12	5.04	E	64.270672	7.201400	7128584.960000	412883.040000	32	6713	2013-05-08
15/3-A-9	Statoil Petroleum AS	025	DEVELOPMENT	PRODUCTION	GAS	2012-11-27	2013-03-12	GUDRUN	NORTH SEA	ED50	58	50	42.35	N	1	44	37.77	E	58.845097	1.743825	6523633.890000	427505.050000	31	6714	2013-05-08
16/2-10	Statoil Petroleum AS	265	EXPLORATION	APPRAISAL	OIL	2011-09-28	2011-10-28	\N	NORTH SEA	ED50	58	51	16.10	N	2	32	37.45	E	58.854472	2.543736	6524087.400000	473674.880000	31	6715	2013-05-08
16/2-U-6	Statoil Petroleum AS	265	SHALLOW	\N	\N	2011-09-26	2011-09-27	\N	NORTH SEA	ED50	58	51	16.10	N	2	32	36.20	E	58.854472	2.543389	6524087.540000	473654.850000	31	6716	2013-05-08
6305/5-C-5 H	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	ORMEN LANGE	NORWEGIAN SEA	ED50	63	34	22.44	N	5	20	55.58	E	63.572900	5.348772	7051736.650000	616620.050000	31	6717	2013-05-08
6305/5-C-6 H	A/S Norske Shell	209	DEVELOPMENT	PRODUCTION	GAS	2012-01-02	2012-03-05	ORMEN LANGE	NORWEGIAN SEA	ED50	63	34	22.21	N	5	20	54.46	E	63.572836	5.348461	7051728.970000	616604.870000	31	6718	2013-05-08
34/10-E-2 AH	Statoil Petroleum AS	050	DEVELOPMENT	INJECTION	GAS	2011-10-16	2012-05-17	GULLFAKS SØR	NORTH SEA	ED50	61	6	38.27	N	2	15	38.33	E	61.110631	2.260647	6775495.970000	460149.220000	31	6719	2013-05-08
16/5-2 S	Lundin Norway AS	501	EXPLORATION	APPRAISAL	DRY	2011-11-29	2012-02-01	\N	NORTH SEA	ED50	58	44	43.55	N	2	37	58.20	E	58.745431	2.632833	6511913.920000	478748.940000	31	6720	2013-05-08
25/11-G-5 BY1	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2011-10-20	2011-11-09	GRANE	NORTH SEA	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	6721	2013-05-08
25/11-G-5 BY2	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2011-11-10	2011-11-28	GRANE	NORTH SEA	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	6722	2013-05-08
25/11-G-5 BY3	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2011-11-29	2011-12-08	GRANE	NORTH SEA	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	6723	2013-05-08
25/11-G-5 BY4	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2011-12-11	2011-12-29	GRANE	NORTH SEA	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	6724	2013-05-08
6507/6-4 S	E.ON Ruhrgas Norge AS	350	EXPLORATION	WILDCAT	DRY	2011-10-26	2011-11-16	\N	NORWEGIAN SEA	ED50	65	38	6.20	N	7	43	32.80	E	65.635056	7.725778	7280010.990000	441342.380000	32	6725	2013-05-08
2/7-A-15 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2011-10-13	2012-02-15	ELDFISK	NORTH SEA	ED50	56	22	36.58	N	3	15	57.54	E	56.376828	3.265983	6248191.250000	516427.810000	31	6726	2013-05-08
7/12-13 S	Det norske oljeselskap ASA	450	EXPLORATION	WILDCAT	DRY	2012-01-29	2012-05-18	\N	NORTH SEA	ED50	57	1	20.46	N	2	51	24.40	E	57.022350	2.856778	6320024.570000	491304.350000	31	6727	2013-05-08
7121/9-1	DONG E&P Norge AS	518	EXPLORATION	WILDCAT	DRY	2011-10-16	2011-11-29	\N	BARENTS SEA	ED50	71	15	31.96	N	21	42	41.85	E	71.258878	21.711625	7906633.300000	525519.420000	34	6728	2013-05-08
33/12-9 S	Statoil Petroleum AS	152	EXPLORATION	WILDCAT	OIL	2011-10-31	2012-01-09	\N	NORTH SEA	ED50	61	1	46.89	N	1	56	0.72	E	61.029692	1.933533	6766724.250000	442371.980000	31	6729	2013-05-08
6507/7-15 S	RWE Dea Norge AS	435	EXPLORATION	WILDCAT	GAS	2012-01-10	2012-05-02	\N	NORWEGIAN SEA	ED50	65	25	31.81	N	7	5	56.11	E	65.425503	7.098919	7257390.900000	411785.990000	32	6730	2013-05-08
6506/12-NB-1 H	Statoil Petroleum AS	094	DEVELOPMENT	PRODUCTION	OIL/GAS	2009-08-06	2009-09-02	ÅSGARD	NORWEGIAN SEA	ED50	65	13	1.19	N	6	54	29.77	E	65.216997	6.908269	7234441.750000	402170.960000	32	6731	2013-05-08
31/2-P-11 AY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-11-07	2011-12-21	TROLL	NORTH SEA	ED50	60	52	1.24	N	3	33	28.91	E	60.867011	3.558031	6748263.200000	530308.920000	31	6732	2013-05-08
31/2-P-11 AY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-01-02	2012-02-02	TROLL	NORTH SEA	ED50	60	52	1.24	N	3	33	28.91	E	60.867011	3.558031	6748263.200000	530308.920000	31	6733	2013-05-08
33/9-C-1 C	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	WATER	2012-01-11	2012-05-05	STATFJORD	NORTH SEA	ED50	61	17	48.17	N	1	54	11.09	E	61.296714	1.903081	6796492.690000	441225.370000	31	6734	2013-05-08
6608/10-M-4 AH	Statoil Petroleum AS	128	DEVELOPMENT	PRODUCTION	OIL	2011-12-19	2012-01-21	NORNE	NORWEGIAN SEA	ED50	66	0	17.65	N	8	1	56.16	E	66.004903	8.032267	7320980.780000	456085.490000	32	6735	2013-05-08
2/4-21	Statoil Petroleum AS	146	EXPLORATION	WILDCAT	GAS/CONDENSATE	2012-01-19	2012-05-25	\N	NORTH SEA	ED50	56	42	0.81	N	3	8	34.31	E	56.700225	3.142864	6284166.460000	508748.770000	31	6736	2013-05-08
8/10-4 A	Centrica Resources (Norge) AS	405	EXPLORATION	APPRAISAL	OIL	2011-10-27	2011-12-18	\N	NORTH SEA	ED50	57	3	53.80	N	3	2	43.60	E	57.064944	3.045444	6324758.010000	502755.980000	31	6737	2013-05-08
7/8-U-1	Lotos Exploration and Production Norge AS	498	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	57	17	54.97	N	2	27	16.69	E	57.298603	2.454636	6350900.300000	467134.680000	31	6738	2013-05-08
7/8-U-2	Lotos Exploration and Production Norge AS	498	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	57	17	57.04	N	2	27	15.63	E	57.299178	2.454342	6350964.450000	467117.450000	31	6739	2013-05-08
7/8-U-3	Lotos Exploration and Production Norge AS	498	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	57	17	56.47	N	2	27	19.45	E	57.299019	2.455403	6350946.310000	467181.250000	31	6740	2013-05-08
31/4-A-23 C	Statoil Petroleum AS	055	DEVELOPMENT	PRODUCTION	\N	2011-12-21	2012-05-02	BRAGE	NORTH SEA	ED50	60	32	33.09	N	3	2	50.86	E	60.542525	3.047461	6711992.510000	502603.940000	31	6741	2013-05-08
16/2-11	Lundin Norway AS	501	EXPLORATION	APPRAISAL	OIL	2012-02-05	2012-03-29	\N	NORTH SEA	ED50	58	48	13.06	N	2	34	19.92	E	58.803628	2.572200	6518414.990000	475280.980000	31	6742	2013-05-08
31/2-N-13 AY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-12-12	2012-01-06	TROLL	NORTH SEA	ED50	60	54	56.39	N	3	35	12.08	E	60.915664	3.586689	6753695.940000	531816.960000	31	6743	2013-05-08
31/2-N-13 AY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-01-07	2012-02-04	TROLL	NORTH SEA	ED50	60	54	56.39	N	3	35	12.08	E	60.915664	3.586689	6753695.940000	531816.960000	31	6744	2013-05-08
34/3-3 A	BG Norge AS	373 S	EXPLORATION	APPRAISAL	OIL	2011-11-19	2012-01-03	\N	NORTH SEA	ED50	61	47	42.49	N	2	43	4.38	E	61.795136	2.717883	6851554.920000	485123.660000	31	6745	2013-05-08
33/9-A-33 A	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	OIL/GAS	2011-12-10	2012-03-30	STATFJORD	NORTH SEA	ED50	61	15	19.79	N	1	51	14.26	E	61.255497	1.853961	6791947.080000	438513.120000	31	6746	2013-05-08
2/8-18 S	Faroe Petroleum Norge AS	440 S	EXPLORATION	WILDCAT	DRY	2012-05-23	2012-07-12	\N	NORTH SEA	ED50	56	22	37.58	N	3	22	24.88	E	56.377106	3.373578	6248253.050000	523072.920000	31	6747	2013-05-08
31/2-D-8 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2011-11-28	2012-01-22	TROLL	NORTH SEA	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	6748	2013-05-08
31/2-D-8 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-01-24	2012-02-06	TROLL	NORTH SEA	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	6749	2013-05-08
31/2-D-8 BY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-02-07	2012-02-21	TROLL	NORTH SEA	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	6750	2013-05-08
31/2-D-8 BY4H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	6751	2013-05-08
2/4-B-9 C	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2011-11-17	2012-02-26	EKOFISK	NORTH SEA	ED50	56	33	54.97	N	3	12	14.20	E	56.565269	3.203944	6269153.620000	512533.900000	31	6752	2013-05-08
6507/6-4 A	E.ON Ruhrgas Norge AS	350	EXPLORATION	WILDCAT	DRY	2011-11-16	2012-01-29	\N	NORWEGIAN SEA	ED50	65	38	6.20	N	7	43	32.80	E	65.635056	7.725778	7280010.990000	441342.380000	32	6753	2013-05-08
7220/7-U-1	Statoil Petroleum AS	532	SHALLOW	\N	\N	2011-12-06	2011-12-06	\N	BARENTS SEA	ED50	72	27	45.00	N	20	9	5.00	E	72.462500	20.151389	8048166.570000	673074.570000	33	6754	2013-05-08
8/10-4 B	Centrica Resources (Norge) AS	405	EXPLORATION	APPRAISAL	DRY	2011-12-19	2012-01-02	\N	NORTH SEA	ED50	57	3	53.80	N	3	2	43.60	E	57.064944	3.045444	6324758.010000	502755.980000	31	6755	2013-05-08
7220/7-1	Statoil Petroleum AS	532	EXPLORATION	WILDCAT	OIL	2011-12-06	2012-01-25	\N	BARENTS SEA	ED50	72	27	37.91	N	20	9	8.69	E	72.460531	20.152414	8047950.550000	673127.760000	33	6756	2013-05-08
6407/1-B-4 H	Statoil Petroleum AS	073	DEVELOPMENT	OBSERVATION	OIL	2012-01-24	2012-03-20	TYRIHANS	NORWEGIAN SEA	ED50	64	48	41.60	N	7	3	24.60	E	64.811556	7.056833	7189048.470000	407728.290000	32	6757	2013-05-08
6407/1-B-4 AY1H	Statoil Petroleum AS	073	DEVELOPMENT	PRODUCTION	OIL	2012-03-21	2012-04-09	TYRIHANS	NORWEGIAN SEA	ED50	64	48	41.60	N	7	3	24.60	E	64.811556	7.056833	7189048.470000	407728.290000	32	6758	2013-05-08
6407/1-B-4 AY2H	Statoil Petroleum AS	073	DEVELOPMENT	PRODUCTION	OIL	2012-04-09	2012-06-22	TYRIHANS	NORWEGIAN SEA	ED50	64	48	41.60	N	7	3	24.60	E	64.811556	7.056833	7189048.470000	407728.290000	32	6759	2013-05-08
34/10-K-4 AH	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2012-04-29	2012-06-24	GULLFAKS SØR	NORTH SEA	ED50	61	8	10.45	N	2	0	56.98	E	61.136236	2.015828	6778521.760000	446997.080000	31	6760	2013-05-08
34/8-V-3 H	Statoil Petroleum AS	120	DEVELOPMENT	PRODUCTION	\N	2013-03-17	9999-12-31	VISUND SØR	NORTH SEA	ED50	61	18	2.24	N	2	21	49.18	E	61.300622	2.363661	6796600.620000	465907.480000	31	6761	2013-05-08
30/6-U-26	Statoil Petroleum AS	053	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	33	58.85	N	2	44	40.70	E	60.566347	2.744639	6714672.110000	486000.020000	31	6762	2013-05-08
2/8-N-1	BP Norge AS	006 B	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2012-01-18	2012-01-21	VALHALL	NORTH SEA	ED50	56	19	27.65	N	3	21	9.35	E	56.324347	3.352597	6242373.820000	521807.210000	31	6763	2013-05-08
2/8-N-1 A	BP Norge AS	006 B	DEVELOPMENT	OBSERVATION	\N	2012-03-05	2012-05-20	VALHALL	NORTH SEA	ED50	56	19	27.65	N	3	21	9.35	E	56.324347	3.352597	6242373.820000	521807.210000	31	6764	2013-05-08
2/8-N-4	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALHALL	NORTH SEA	ED50	56	19	27.81	N	3	21	9.63	E	56.324392	3.352675	6242378.790000	521811.990000	31	6765	2013-05-08
2/8-N-9	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	2013-04-22	9999-12-31	VALHALL	NORTH SEA	ED50	56	19	27.55	N	3	21	9.54	E	56.324319	3.352650	6242370.750000	521810.490000	31	6766	2013-05-08
2/8-N-16	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	OIL	2012-10-09	2013-04-10	VALHALL	NORTH SEA	ED50	56	19	27.79	N	3	21	9.38	E	56.324386	3.352606	6242378.150000	521807.700000	31	6767	2013-05-08
30/6-28 S	Statoil Petroleum AS	053	EXPLORATION	WILDCAT	OIL	2012-01-17	2012-03-30	\N	NORTH SEA	ED50	60	33	59.33	N	2	44	40.69	E	60.566481	2.744636	6714686.960000	485999.930000	31	6768	2013-05-08
2/4-K-5 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2012-01-09	2012-03-09	EKOFISK	NORTH SEA	ED50	56	33	55.91	N	3	12	22.81	E	56.565531	3.206336	6269183.120000	512680.800000	31	6769	2013-05-08
34/10-H-2 BH	Statoil Petroleum AS	050 B	DEVELOPMENT	PRODUCTION	OIL/GAS	2013-01-23	2013-03-11	GULLFAKS SØR	NORTH SEA	ED50	61	3	20.40	N	2	4	26.04	E	61.055667	2.073900	6769502.020000	449997.430000	31	6770	2013-05-08
2/4-X-42 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	CUTTINGS	2012-03-01	2012-04-19	EKOFISK	NORTH SEA	ED50	56	32	51.91	N	3	13	8.73	E	56.547753	3.219092	6267206.680000	513471.030000	31	6771	2013-05-08
7120/6-3 S	Lundin Norway AS	490	EXPLORATION	WILDCAT	OIL	2012-10-11	2012-12-01	\N	BARENTS SEA	ED50	71	41	2.43	N	20	43	16.97	E	71.684008	20.721381	7953925.230000	490226.960000	34	6772	2013-05-08
34/7-G-4 CH	Statoil Petroleum AS	089	DEVELOPMENT	PRODUCTION	OIL	2012-01-15	2012-04-06	VIGDIS	NORTH SEA	ED50	61	22	44.12	N	2	6	21.36	E	61.378922	2.105933	6805484.030000	452219.400000	31	6773	2013-05-08
6407/1-5 S	Wintershall Norge ASA	475 BS	EXPLORATION	APPRAISAL	OIL/GAS	2012-02-01	2012-05-21	\N	NORWEGIAN SEA	ED50	64	59	20.14	N	7	0	17.24	E	64.988928	7.004789	7208886.090000	405880.980000	32	6774	2013-05-08
7220/5-1	Statoil Petroleum AS	532	EXPLORATION	APPRAISAL	OIL/GAS	2012-01-24	2012-03-24	\N	BARENTS SEA	ED50	72	31	0.78	N	20	20	28.55	E	72.516883	20.341264	8054768.820000	678900.070000	33	6775	2013-05-08
35/9-7	Wintershall Norge ASA	418	EXPLORATION	WILDCAT	OIL	2012-02-28	2012-04-14	\N	NORTH SEA	ED50	61	16	6.83	N	3	40	23.28	E	61.268564	3.673133	6793049.400000	536100.570000	31	6776	2013-05-08
7220/5-U-1	Statoil Petroleum AS	532	SHALLOW	\N	\N	2012-01-26	2012-01-27	\N	BARENTS SEA	ED50	72	31	1.06	N	20	20	25.47	E	72.516961	20.340408	8054774.910000	678870.710000	33	6777	2013-05-08
2/4-U-7	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-11	2009-06-11	EKOFISK	NORTH SEA	ED50	56	31	12.00	N	3	14	17.23	E	56.520000	3.238119	6264121.380000	514651.670000	31	6778	2013-05-08
2/4-U-8	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-11	2009-06-11	EKOFISK	NORTH SEA	ED50	56	31	14.05	N	3	14	18.97	E	56.520569	3.238603	6264184.870000	514681.190000	31	6779	2013-05-08
2/4-U-9	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-10	2009-06-10	EKOFISK	NORTH SEA	ED50	56	31	12.19	N	3	14	21.31	E	56.520053	3.239253	6264127.500000	514721.390000	31	6780	2013-05-08
2/4-U-10	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-11	2009-06-11	EKOFISK	NORTH SEA	ED50	56	31	10.86	N	3	14	14.32	E	56.519683	3.237311	6264085.960000	514602.060000	31	6781	2013-05-08
30/9-F-8 Y1	Statoil Petroleum AS	104	DEVELOPMENT	PRODUCTION	OIL	2012-11-05	2013-03-18	OSEBERG SØR	NORTH SEA	ED50	60	23	24.88	N	2	47	49.56	E	60.390244	2.797100	6695047.720000	488815.710000	31	6782	2013-05-08
30/9-F-8 Y2	Statoil Petroleum AS	104	DEVELOPMENT	PRODUCTION	OIL	2013-03-19	2013-04-06	OSEBERG SØR	NORTH SEA	ED50	60	23	24.88	N	2	47	49.56	E	60.390244	2.797100	6695047.720000	488815.710000	31	6783	2013-05-08
31/5-I-12 AY1H	Statoil Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2012-02-27	2012-03-24	TROLL	NORTH SEA	ED50	60	44	27.51	N	3	34	54.44	E	60.740975	3.581789	6734236.120000	531723.750000	31	6784	2013-05-08
31/5-I-12 AY2H	Statoil Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2012-03-26	2012-04-18	TROLL	NORTH SEA	ED50	60	44	27.51	N	3	34	54.44	E	60.740975	3.581789	6734236.120000	531723.750000	31	6785	2013-05-08
6506/11-F-3 H	Statoil Petroleum AS	134	DEVELOPMENT	PRODUCTION	OIL	2012-01-26	2012-03-05	ÅSGARD	NORWEGIAN SEA	ED50	65	1	46.46	N	6	36	4.47	E	65.029572	6.601242	7214075.090000	387023.110000	32	6786	2013-05-08
34/8-A-18 H	Statoil Petroleum AS	120	DEVELOPMENT	PRODUCTION	\N	2012-11-17	2012-12-30	VISUND	NORTH SEA	ED50	61	22	11.65	N	2	27	31.33	E	61.369903	2.458703	6804272.030000	471063.320000	31	6787	2013-05-08
16/1-U-7	Det norske oljeselskap ASA	001 B	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	55	20.17	N	2	11	53.25	E	58.922269	2.198125	6531823.890000	453825.040000	31	6788	2013-05-08
31/2-Y-24 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-02-19	2012-04-23	TROLL	NORTH SEA	ED50	60	49	51.68	N	3	34	21.08	E	60.831022	3.572522	6744261.400000	531130.990000	31	6789	2013-05-08
31/2-Y-24 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-04-24	2012-06-12	TROLL	NORTH SEA	ED50	60	49	51.68	N	3	34	21.08	E	60.831022	3.572522	6744261.400000	531130.990000	31	6790	2013-05-08
24/6-B-5 H	Marathon Petroleum Norge AS	203	DEVELOPMENT	OBSERVATION	OIL	2012-04-05	2012-04-30	ALVHEIM	NORTH SEA	ED50	59	32	46.09	N	1	59	22.93	E	59.546136	1.989703	6601454.680000	442876.480000	31	6791	2013-05-08
24/6-B-5 AY1H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2012-05-01	2012-05-27	ALVHEIM	NORTH SEA	ED50	59	32	46.09	N	1	59	22.93	E	59.546136	1.989703	6601454.680000	442876.480000	31	6792	2013-05-08
24/6-B-5 AY2H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2012-05-29	2012-06-20	ALVHEIM	NORTH SEA	ED50	59	32	46.09	N	1	59	22.93	E	59.546136	1.989703	6601454.680000	442876.480000	31	6793	2013-05-08
24/6-B-5 AY3H	Marathon Petroleum Norge AS	203	DEVELOPMENT	PRODUCTION	OIL	2012-07-12	2012-08-10	ALVHEIM	NORTH SEA	ED50	59	32	46.09	N	1	59	22.93	E	59.546136	1.989703	6601454.680000	442876.480000	31	6794	2013-05-08
34/10-C-18 A	Statoil Petroleum AS	050	DEVELOPMENT	OBSERVATION	\N	2012-02-12	9999-12-31	GULLFAKS	NORTH SEA	ED50	61	12	53.42	N	2	16	27.84	E	61.214839	2.274400	6787095.160000	461019.250000	31	6795	2013-05-08
34/10-C-18 B	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GULLFAKS	NORTH SEA	ED50	61	12	53.42	N	2	16	27.84	E	61.214839	2.274400	6787095.160000	461019.250000	31	6796	2013-05-08
31/2-K-14 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-04-25	2012-05-18	TROLL	NORTH SEA	ED50	60	46	5.96	N	3	36	41.19	E	60.768322	3.611442	6737296.790000	533312.260000	31	6797	2013-05-08
31/2-K-14 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-05-19	2012-05-31	TROLL	NORTH SEA	ED50	60	46	5.96	N	3	36	41.19	E	60.768322	3.611442	6737296.790000	533312.260000	31	6798	2013-05-08
34/10-F-1 H	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	OIL	2012-05-02	2012-07-25	GULLFAKS SØR	NORTH SEA	ED50	61	5	51.83	N	2	16	36.14	E	61.097731	2.276706	6774049.410000	460998.850000	31	6799	2013-05-08
15/5-A-7 AH	Statoil Petroleum AS	048 B	DEVELOPMENT	PRODUCTION	\N	2012-05-12	2012-05-31	GLITNE	NORTH SEA	ED50	58	42	45.05	N	1	37	52.05	E	58.712514	1.631125	6509000.010000	420699.940000	31	6800	2013-05-08
25/8-C-13 B	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	OBSERVATION	OIL	2012-04-22	2012-05-28	RINGHORNE ØST	NORTH SEA	ED50	59	15	57.69	N	2	26	59.53	E	59.266025	2.449869	6569956.120000	468636.530000	31	6801	2013-05-08
25/8-C-13 C	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	PRODUCTION	OIL	2012-05-29	2012-07-18	RINGHORNE ØST	NORTH SEA	ED50	59	15	57.69	N	2	26	59.53	E	59.266025	2.449869	6569956.120000	468636.530000	31	6802	2013-05-08
25/11-G-21 A	Statoil Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	OIL	2012-02-13	2012-03-27	GRANE	NORTH SEA	ED50	59	9	54.76	N	2	29	14.42	E	59.165211	2.487339	6558712.770000	470686.380000	31	6803	2013-05-08
25/11-G-21 BY1	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2012-03-28	2012-05-16	GRANE	NORTH SEA	ED50	59	9	54.76	N	2	29	14.42	E	59.165211	2.487339	6558712.770000	470686.380000	31	6804	2013-05-08
25/11-G-21 BY2	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2012-05-21	2012-06-05	GRANE	NORTH SEA	ED50	59	9	54.76	N	2	29	14.42	E	59.165211	2.487339	6558712.770000	470686.380000	31	6805	2013-05-08
25/11-G-21 BY3	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	54.76	N	2	29	14.42	E	59.165211	2.487339	6558712.770000	470686.380000	31	6806	2013-05-08
33/12-B-8 A	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS/CONDENSATE	2012-04-03	2012-04-23	STATFJORD	NORTH SEA	ED50	61	12	25.12	N	1	49	52.61	E	61.206978	1.831281	6786564.500000	437199.720000	31	6807	2013-05-08
6608/10-R-1 H	Statoil Petroleum AS	128	DEVELOPMENT	INJECTION	WATER	2012-03-25	2012-05-09	SKULD	NORWEGIAN SEA	ED50	66	8	40.99	N	8	14	13.42	E	66.144719	8.237061	7336436.860000	465568.080000	32	6808	2013-05-08
6608/10-P-2 H	Statoil Petroleum AS	128	DEVELOPMENT	OBSERVATION	\N	2012-03-12	2012-03-25	SKULD	NORWEGIAN SEA	ED50	66	8	37.41	N	8	13	58.26	E	66.143725	8.232850	7336328.340000	465376.680000	32	6809	2013-05-08
34/7-H-1 H	Statoil Petroleum AS	089	DEVELOPMENT	INJECTION	WATER	2012-12-27	2013-02-16	VIGDIS	NORTH SEA	ED50	61	23	21.46	N	2	8	28.01	E	61.389294	2.141114	6806614.140000	454114.640000	31	6810	2013-05-08
34/7-H-2 H	Statoil Petroleum AS	089	DEVELOPMENT	OBSERVATION	OIL	2013-04-11	2013-05-04	VIGDIS	NORTH SEA	ED50	61	23	21.39	N	2	8	28.85	E	61.389275	2.141347	6806611.810000	454127.070000	31	6811	2013-05-08
34/7-H-3 H	Statoil Petroleum AS	089	DEVELOPMENT	PRODUCTION	OIL	2012-05-04	2012-06-18	VIGDIS	NORTH SEA	ED50	61	23	21.20	N	2	8	28.78	E	61.389222	2.141328	6806605.940000	454125.960000	31	6812	2013-05-08
34/7-H-4 H	Statoil Petroleum AS	089	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VIGDIS	NORTH SEA	ED50	61	23	21.27	N	2	8	27.95	E	61.389242	2.141097	6806608.270000	454113.670000	31	6813	2013-05-08
7/1-U-1	Talisman Energy Norge AS	568	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	0	3.18	N	2	7	56.49	E	58.000883	2.132358	6429283.950000	448713.970000	31	6814	2013-05-08
16/10-U-1	Talisman Energy Norge AS	568	SHALLOW	\N	\N	2012-03-27	2012-03-27	\N	NORTH SEA	ED50	58	0	0.11	N	2	8	0.65	E	58.000031	2.133514	6429188.130000	448781.050000	31	6815	2013-05-08
16/10-U-2	Talisman Energy Norge AS	568	SHALLOW	\N	\N	2012-03-27	2012-03-27	\N	NORTH SEA	ED50	58	0	1.46	N	2	7	57.53	E	58.000406	2.132647	6429230.540000	448730.360000	31	6816	2013-05-08
2/1-U-12	Talisman Energy Norge AS	299	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	56	51	3.57	N	3	18	49.36	E	56.850992	3.313711	6300983.920000	519134.290000	31	6817	2013-05-08
2/1-U-13	Talisman Energy Norge AS	299	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	56	51	1.51	N	3	18	50.33	E	56.850419	3.313981	6300920.300000	519151.020000	31	6818	2013-05-08
2/1-U-14	Talisman Energy Norge AS	299	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	56	51	3.01	N	3	18	53.10	E	56.850836	3.314750	6300966.890000	519197.730000	31	6819	2013-05-08
7228/1-1	Norwegian Energy Company ASA	396	EXPLORATION	WILDCAT	DRY	2012-03-29	2012-04-26	\N	BARENTS SEA	ED50	72	51	0.92	N	28	18	55.19	E	72.850256	28.315331	8084472.590000	543289.800000	35	6820	2013-05-08
6201/11-3	Lundin Norway AS	519	EXPLORATION	WILDCAT	OIL	2012-05-08	2012-06-16	\N	NORWEGIAN SEA	ED50	62	2	44.96	N	1	30	13.07	E	62.045822	1.503631	6880352.980000	421743.000000	31	6821	2013-05-08
33/6-4	Wintershall Norge ASA	370	EXPLORATION	WILDCAT	DRY	2012-07-05	2012-08-03	\N	NORTH SEA	ED50	61	38	58.23	N	1	44	1.51	E	61.649508	1.733753	6835951.920000	432916.390000	31	6822	2013-05-08
16/1-16	Wintershall Norge ASA	457	EXPLORATION	APPRAISAL	OIL	2012-10-23	2012-12-06	\N	NORTH SEA	ED50	58	54	47.77	N	2	15	54.65	E	58.913269	2.265181	6530777.390000	457675.240000	31	6823	2013-05-08
2/7-U-31	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1998-06-20	1998-06-21	\N	NORTH SEA	ED50	56	20	12.06	N	3	5	13.55	E	56.336683	3.087097	6243694.490000	505385.010000	31	6824	2013-05-08
2/7-U-32	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1998-06-21	1998-06-21	\N	NORTH SEA	ED50	56	20	14.44	N	3	5	12.01	E	56.337344	3.086669	6243768.050000	505358.470000	31	6825	2013-05-08
2/7-U-33	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1998-06-21	1998-06-21	\N	NORTH SEA	ED50	56	20	13.57	N	3	5	16.26	E	56.337103	3.087850	6243741.240000	505431.490000	31	6826	2013-05-08
7/11-U-1	ConocoPhillips Skandinavia AS	301 CS	SHALLOW	\N	\N	2010-09-09	2010-09-09	\N	NORTH SEA	ED50	57	1	0.09	N	2	35	26.11	E	57.016692	2.590586	6319460.080000	475138.970000	31	6827	2013-05-08
7/11-U-2	ConocoPhillips Skandinavia AS	301 CS	SHALLOW	\N	\N	2010-09-10	2010-09-10	\N	NORTH SEA	ED50	57	1	1.49	N	2	35	28.76	E	57.017081	2.591322	6319503.100000	475183.930000	31	6828	2013-05-08
7/11-U-3	ConocoPhillips Skandinavia AS	301 CS	SHALLOW	\N	\N	2010-09-10	2010-09-10	\N	NORTH SEA	ED50	57	0	59.58	N	2	35	29.67	E	57.016550	2.591575	6319443.950000	475198.920000	31	6829	2013-05-08
7/11-U-4	ConocoPhillips Skandinavia AS	301 CS	SHALLOW	\N	\N	2010-09-10	2010-09-11	\N	NORTH SEA	ED50	57	0	54.38	N	2	36	12.18	E	57.015106	2.603383	6319278.930000	475915.030000	31	6830	2013-05-08
7/11-U-5	ConocoPhillips Skandinavia AS	301 CS	SHALLOW	\N	\N	2010-09-11	2010-09-11	\N	NORTH SEA	ED50	57	0	55.81	N	2	36	14.77	E	57.015503	2.604103	6319322.890000	475958.980000	31	6831	2013-05-08
2/4-B-19 C	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2012-04-17	2012-06-17	EKOFISK	NORTH SEA	ED50	56	33	54.98	N	3	12	13.80	E	56.565272	3.203833	6269153.900000	512527.070000	31	6832	2013-05-08
2/4-K-12 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2012-04-08	2012-06-30	EKOFISK	NORTH SEA	ED50	56	33	56.12	N	3	12	23.25	E	56.565589	3.206458	6269189.640000	512688.290000	31	6833	2013-05-08
25/5-D-1 H	Total E&P Norge AS	102 C	DEVELOPMENT	PRODUCTION	GAS	2012-06-06	2012-07-04	ATLA	NORTH SEA	ED50	59	39	43.26	N	2	34	15.39	E	59.662017	2.570942	6614003.760000	475823.340000	31	6834	2013-05-08
33/6-3 S	Suncor Energy Norge AS	375 B	EXPLORATION	APPRAISAL	DRY	2012-04-17	2012-07-24	\N	NORTH SEA	ED50	61	35	38.70	N	1	57	9.74	E	61.594083	1.952706	6829572.040000	444416.050000	31	6835	2013-05-08
2/7-U-22	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2009-06-01	2009-06-01	\N	NORTH SEA	ED50	56	22	27.00	N	3	15	43.26	E	56.374167	3.262017	6247894.100000	516183.950000	31	6836	2013-05-08
2/7-U-34	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1988-06-25	1988-06-26	\N	NORTH SEA	ED50	56	20	0.00	N	3	14	54.69	E	56.333333	3.248525	6243345.940000	515367.020000	31	6837	2013-05-08
2/7-U-35	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1988-06-27	1988-06-28	\N	NORTH SEA	ED50	56	19	59.97	N	3	14	53.82	E	56.333325	3.248283	6243344.960000	515352.090000	31	6838	2013-05-08
2/7-U-36	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1997-10-18	1997-10-18	\N	NORTH SEA	ED50	56	22	30.60	N	3	15	53.08	E	56.375167	3.264744	6248006.060000	516352.010000	31	6839	2013-05-08
2/7-U-37	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1997-10-18	1997-10-19	\N	NORTH SEA	ED50	56	22	29.50	N	3	15	54.59	E	56.374861	3.265164	6247972.150000	516378.040000	31	6840	2013-05-08
30/9-M-11 H	Statoil Petroleum AS	104	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	OSEBERG SØR	NORTH SEA	ED50	60	18	0.62	N	2	44	22.48	E	60.300172	2.739578	6685026.820000	485605.350000	31	6841	2013-05-08
30/9-M-12 H	Statoil Petroleum AS	104	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	OSEBERG SØR	NORTH SEA	ED50	60	18	0.25	N	2	44	22.99	E	60.300069	2.739719	6685015.340000	485613.130000	31	6842	2013-05-08
30/9-M-12 AH	Statoil Petroleum AS	104	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	OSEBERG SØR	NORTH SEA	ED50	60	18	0.25	N	2	44	22.99	E	60.300069	2.739719	6685015.340000	485613.130000	31	6843	2013-05-08
30/9-M-13 H	Statoil Petroleum AS	104	DEVELOPMENT	PRODUCTION	\N	2013-03-26	9999-12-31	OSEBERG SØR	NORTH SEA	ED50	60	18	0.45	N	2	44	22.28	E	60.300125	2.739522	6685021.570000	485602.250000	31	6844	2013-05-08
30/9-M-14 H	Statoil Petroleum AS	104	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2012-11-21	2013-02-04	OSEBERG SØR	NORTH SEA	ED50	60	18	0.42	N	2	44	23.19	E	60.300117	2.739775	6685020.590000	485616.220000	31	6845	2013-05-08
30/9-M-14 AH	Statoil Petroleum AS	104	DEVELOPMENT	PRODUCTION	OIL	2013-02-05	2013-03-23	OSEBERG SØR	NORTH SEA	ED50	60	18	0.42	N	2	44	23.19	E	60.300117	2.739775	6685020.590000	485616.220000	31	6846	2013-05-08
31/5-H-5 BY1H	Statoil Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2012-07-30	2012-09-19	TROLL	NORTH SEA	ED50	60	42	52.25	N	3	30	24.52	E	60.714514	3.506811	6731254.930000	527658.170000	31	6847	2013-05-08
31/5-H-5 BY2H	Statoil Petroleum AS	085	DEVELOPMENT	PRODUCTION	OIL	2012-09-20	2012-10-20	TROLL	NORTH SEA	ED50	60	42	52.25	N	3	30	24.52	E	60.714514	3.506811	6731254.930000	527658.170000	31	6848	2013-05-08
16/2-11 A	Lundin Norway AS	501	EXPLORATION	APPRAISAL	OIL	2012-04-01	2012-05-05	\N	NORTH SEA	ED50	58	48	13.06	N	2	34	19.92	E	58.803628	2.572200	6518414.990000	475280.980000	31	6849	2013-05-08
31/2-O-25 Y2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-06-23	2012-07-19	TROLL	NORTH SEA	ED50	60	54	54.17	N	3	31	22.89	E	60.915047	3.523025	6753598.040000	528364.980000	31	6850	2013-05-08
6506/11-9 S	Centrica Resources (Norge) AS	477	EXPLORATION	WILDCAT	DRY	2012-05-09	2012-09-03	\N	NORWEGIAN SEA	ED50	65	10	18.54	N	6	37	21.26	E	65.171817	6.622572	7229882.110000	388624.070000	32	6852	2013-05-08
6407/8-C-2 H	Statoil Petroleum AS	348	DEVELOPMENT	OBSERVATION	OIL	2012-05-04	2012-06-13	HYME	NORWEGIAN SEA	ED50	64	21	29.37	N	7	33	4.09	E	64.358158	7.551136	7137900.180000	430042.520000	32	6853	2013-05-08
6407/8-C-2 AY1H	Statoil Petroleum AS	348	DEVELOPMENT	PRODUCTION	OIL	2012-11-16	2012-12-19	HYME	NORWEGIAN SEA	ED50	64	21	29.37	N	7	33	4.09	E	64.358158	7.551136	7137900.180000	430042.520000	32	6854	2013-05-08
6407/8-C-2 AY2H	Statoil Petroleum AS	348	DEVELOPMENT	PRODUCTION	OIL	2012-12-20	2013-01-12	HYME	NORWEGIAN SEA	ED50	64	21	29.37	N	7	33	4.09	E	64.358158	7.551136	7137900.180000	430042.520000	32	6855	2013-05-08
6407/8-C-4 H	Statoil Petroleum AS	348	DEVELOPMENT	INJECTION	WATER	2012-06-18	2012-07-04	HYME	NORWEGIAN SEA	ED50	64	21	29.39	N	7	33	4.96	E	64.358164	7.551378	7137900.530000	430054.200000	32	6856	2013-05-08
33/9-A-17 C	StatoilHydro ASA	037	DEVELOPMENT	PRODUCTION	GAS	2012-11-20	2013-03-07	STATFJORD	NORTH SEA	ED50	61	15	20.75	N	1	51	15.11	E	61.255764	1.854197	6791976.560000	438526.310000	31	6857	2013-05-08
6608/10-P-2 AH	Statoil Petroleum AS	128	DEVELOPMENT	PRODUCTION	OIL	2012-05-28	2012-06-06	SKULD	NORWEGIAN SEA	ED50	66	8	37.41	N	8	13	58.26	E	66.143725	8.232850	7336328.340000	465376.680000	32	6858	2013-05-08
6506/12-P-2 Y2H	Statoil Petroleum AS	094	DEVELOPMENT	PRODUCTION	OIL	2012-04-12	2012-06-10	ÅSGARD	NORWEGIAN SEA	ED50	65	1	22.83	N	6	52	45.47	E	65.023008	6.879297	7212875.520000	400090.340000	32	6859	2013-05-08
2/4-U-37	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-06-21	1994-06-22	\N	NORTH SEA	ED50	56	32	51.47	N	3	13	6.56	E	56.547631	3.218489	6267192.950000	513434.010000	31	6860	2013-05-08
2/4-U-38	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-06-23	1994-06-25	\N	NORTH SEA	ED50	56	32	51.47	N	3	13	9.72	E	56.547631	3.219367	6267193.130000	513487.980000	31	6861	2013-05-08
2/4-U-39	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-06-29	1994-06-30	\N	NORTH SEA	ED50	56	32	56.15	N	3	13	12.91	E	56.548931	3.220253	6267338.000000	513542.000000	31	6862	2013-05-08
2/4-U-40	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-07-02	1994-07-04	\N	NORTH SEA	ED50	56	32	53.95	N	3	13	13.01	E	56.548319	3.220281	6267269.990000	513543.930000	31	6863	2013-05-08
2/4-U-41	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-07-05	1994-07-06	\N	NORTH SEA	ED50	56	32	55.28	N	3	13	11.09	E	56.548689	3.219747	6267311.000000	513511.000000	31	6864	2013-05-08
2/4-U-42	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-07-07	1994-07-08	\N	NORTH SEA	ED50	56	32	50.40	N	3	13	6.26	E	56.547333	3.218406	6267159.850000	513428.990000	31	6865	2013-05-08
2/4-U-43	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-07-08	1994-07-09	\N	NORTH SEA	ED50	56	32	50.34	N	3	13	6.85	E	56.547317	3.218569	6267158.030000	513439.070000	31	6866	2013-05-08
2/4-U-44	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-06-28	1994-06-28	\N	NORTH SEA	ED50	56	32	50.05	N	3	13	26.28	E	56.547236	3.223967	6267150.130000	513770.960000	31	6867	2013-05-08
2/4-U-45	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-07-04	1994-07-05	\N	NORTH SEA	ED50	56	32	48.11	N	3	13	25.22	E	56.546697	3.223672	6267090.090000	513753.050000	31	6868	2013-05-08
2/4-U-46	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-06-25	1994-06-26	\N	NORTH SEA	ED50	56	32	49.52	N	3	13	15.16	E	56.547089	3.220878	6267133.130000	513581.090000	31	6869	2013-05-08
2/4-U-47	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-06-26	1994-06-28	\N	NORTH SEA	ED50	56	32	49.57	N	3	13	20.19	E	56.547103	3.222275	6267134.950000	513666.990000	31	6870	2013-05-08
2/4-U-48	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1994-07-01	1994-07-02	\N	NORTH SEA	ED50	56	32	46.99	N	3	13	16.90	E	56.546386	3.221361	6267055.000000	513611.060000	31	6871	2013-05-08
2/4-U-49	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	1996-02-11	1996-02-12	\N	NORTH SEA	ED50	56	29	25.54	N	3	19	48.70	E	56.490428	3.330194	6260853.120000	520332.920000	31	6872	2013-05-08
2/4-U-50	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	2001-07-01	2001-07-01	\N	NORTH SEA	ED50	56	33	51.99	N	3	12	7.63	E	56.564442	3.202119	6269061.140000	512422.010000	31	6873	2013-05-08
2/4-U-51	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	2001-07-03	2001-07-03	\N	NORTH SEA	ED50	56	33	47.26	N	3	12	12.00	E	56.563128	3.203333	6268915.110000	512497.050000	31	6874	2013-05-08
2/4-U-52	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	2002-09-13	2002-09-14	\N	NORTH SEA	ED50	56	32	45.27	N	3	13	19.58	E	56.545908	3.222106	6267001.960000	513657.000000	31	6875	2013-05-08
2/4-U-53	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	2002-09-13	2002-09-13	\N	NORTH SEA	ED50	56	32	43.16	N	3	13	24.95	E	56.545322	3.223597	6266937.020000	513748.940000	31	6876	2013-05-08
2/4-U-54	Phillips Petroleum Company Norway	018	SHALLOW	\N	\N	2002-09-12	2002-09-12	\N	NORTH SEA	ED50	56	32	42.13	N	3	13	22.20	E	56.545036	3.222833	6266905.020000	513702.070000	31	6877	2013-05-08
2/4-U-55	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2006-10-23	2006-10-23	\N	NORTH SEA	ED50	56	36	42.10	N	3	8	39.16	E	56.611694	3.144211	6274311.980000	508851.990000	31	6878	2013-05-08
2/4-U-56	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2006-10-24	2006-10-24	\N	NORTH SEA	ED50	56	36	44.07	N	3	8	38.35	E	56.612242	3.143986	6274372.870000	508838.050000	31	6879	2013-05-08
2/4-U-57	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2011-02-10	2011-02-11	\N	NORTH SEA	ED50	56	31	12.83	N	3	13	24.42	E	56.520231	3.223450	6264144.010000	513748.970000	31	6880	2013-05-08
34/7-35 S	Statoil Petroleum AS	552	EXPLORATION	WILDCAT	DRY	2012-05-10	2012-07-22	\N	NORTH SEA	ED50	61	18	3.71	N	2	12	18.88	E	61.301031	2.205244	6796739.080000	457420.960000	31	6881	2013-05-08
34/7-U-19	Statoil Petroleum AS	552	SHALLOW	\N	\N	2012-05-06	2012-05-08	\N	NORTH SEA	ED50	61	18	3.72	N	2	12	20.23	E	61.301033	2.205619	6796739.140000	457441.050000	31	6882	2013-05-08
2/4-X-38 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	2012-04-27	2012-06-19	EKOFISK	NORTH SEA	ED50	56	32	51.83	N	3	13	8.70	E	56.547731	3.219083	6267204.200000	513470.520000	31	6883	2013-05-08
25/8-U-25	Det norske oljeselskap ASA	169 C	SHALLOW	\N	\N	2012-05-07	2012-05-07	\N	NORTH SEA	ED50	59	24	13.06	N	2	22	6.39	E	59.403628	2.368442	6585320.410000	464139.630000	31	6884	2013-05-08
25/8-D-1 H	Det norske oljeselskap ASA	027 D	DEVELOPMENT	OBSERVATION	OIL	2012-05-26	2012-06-09	JETTE	NORTH SEA	ED50	59	24	13.52	N	2	22	8.32	E	59.403756	2.368978	6585334.350000	464170.210000	31	6885	2013-05-08
25/8-D-1 AH	Det norske oljeselskap ASA	027 D	DEVELOPMENT	PRODUCTION	OIL	2012-06-10	2012-09-11	JETTE	NORTH SEA	ED50	59	24	13.52	N	2	22	8.32	E	59.403756	2.368978	6585334.350000	464170.210000	31	6886	2013-05-08
25/8-E-1 H	Det norske oljeselskap ASA	027 D	DEVELOPMENT	PRODUCTION	OIL	2012-09-17	2012-10-20	JETTE	NORTH SEA	ED50	59	24	12.39	N	2	22	8.34	E	59.403442	2.368983	6585299.400000	464170.190000	31	6887	2013-05-08
16/2-13 S	Lundin Norway AS	501	EXPLORATION	APPRAISAL	OIL	2012-07-25	2012-08-29	\N	NORTH SEA	ED50	58	49	58.48	N	2	39	10.34	E	58.832911	2.652872	6521648.760000	479959.230000	31	6888	2013-05-08
34/3-U-16	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	47	27.36	N	2	51	40.48	E	61.790933	2.861244	6851062.260000	492682.240000	31	6889	2013-05-08
34/3-U-17	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	45	58.49	N	2	50	23.40	E	61.766247	2.839833	6848314.770000	491546.280000	31	6890	2013-05-08
34/3-U-18	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	47	14.50	N	2	48	19.43	E	61.787361	2.805397	6850671.850000	489735.760000	31	6891	2013-05-08
34/3-U-19	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	48	43.21	N	2	46	24.65	E	61.812003	2.773514	6853422.430000	488063.660000	31	6892	2013-05-08
34/3-U-20	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	47	45.71	N	2	44	48.81	E	61.796031	2.746892	6851648.270000	486653.680000	31	6893	2013-05-08
34/3-U-21	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	48	42.13	N	2	46	38.65	E	61.811703	2.777403	6853388.300000	488268.500000	31	6894	2013-05-08
34/3-U-22	BG Norge AS	373 S	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	61	47	10.62	N	2	50	3.76	E	61.786283	2.834378	6850547.550000	491264.020000	31	6895	2013-05-08
16/10-U-3	Talisman Energy Norge AS	568	SHALLOW	\N	\N	2012-05-04	2012-05-04	\N	NORTH SEA	ED50	58	0	5.16	N	2	7	54.85	E	58.001433	2.131903	6429345.530000	448687.830000	31	6896	2013-05-08
16/10-U-4	Talisman Energy Norge AS	568	SHALLOW	\N	\N	2012-05-04	2012-05-04	\N	NORTH SEA	ED50	58	0	3.40	N	2	7	52.61	E	58.000944	2.131281	6429291.570000	448650.350000	31	6897	2013-05-08
16/2-14	Statoil Petroleum AS	265	EXPLORATION	APPRAISAL	OIL	2012-09-14	2012-11-19	\N	NORTH SEA	ED50	58	50	25.97	N	2	31	2.14	E	58.840547	2.517261	6522547.560000	472136.180000	31	6898	2013-05-08
17/12-U-4	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	47.73	N	3	57	19.78	E	58.196592	3.955494	6451142.740000	556170.280000	31	6899	2013-05-08
17/12-U-5	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	43.24	N	3	53	55.59	E	58.195344	3.898775	6450958.030000	552837.910000	31	6900	2013-05-08
17/12-U-6	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	42.63	N	3	53	59.72	E	58.195175	3.899922	6450940.060000	552905.600000	31	6901	2013-05-08
17/12-U-7	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	41.05	N	3	53	56.65	E	58.194736	3.899069	6450890.530000	552856.120000	31	6902	2013-05-08
17/12-U-8	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	40.15	N	3	53	49.58	E	58.194486	3.897106	6450861.160000	552741.040000	31	6903	2013-05-08
17/12-U-9	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	39.53	N	3	53	53.70	E	58.194314	3.898250	6450842.880000	552808.580000	31	6904	2013-05-08
17/12-U-10	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	37.95	N	3	53	50.63	E	58.193875	3.897397	6450793.350000	552759.090000	31	6905	2013-05-08
17/12-U-11	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	9	58.50	N	3	55	12.76	E	58.166250	3.920211	6447735.810000	554142.270000	31	6906	2013-05-08
17/12-U-12	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	12	31.95	N	3	54	34.98	E	58.208875	3.909717	6452473.080000	553460.800000	31	6907	2013-05-08
17/12-U-13	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	39.36	N	3	52	33.03	E	58.194267	3.875842	6450820.290000	551491.290000	31	6908	2013-05-08
17/12-U-14	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	10	22.95	N	3	54	21.03	E	58.173042	3.905842	6448480.510000	553286.700000	31	6909	2013-05-08
17/12-U-15	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	20.77	N	3	56	35.16	E	58.189103	3.943100	6450298.710000	555453.340000	31	6910	2013-05-08
17/12-U-16	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	22.70	N	3	54	49.48	E	58.189639	3.913744	6450334.630000	553726.520000	31	6911	2013-05-08
17/12-U-17	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	39.06	N	3	53	57.45	E	58.194183	3.899292	6450829.160000	552870.010000	31	6912	2013-05-08
17/12-U-18	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	28.46	N	3	54	28.59	E	58.191239	3.907942	6450508.160000	553382.940000	31	6913	2013-05-08
17/12-U-19	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	25.90	N	3	54	38.20	E	58.190528	3.910611	6450431.100000	553540.960000	31	6914	2013-05-08
17/12-U-20	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	18.18	N	3	55	1.62	E	58.188383	3.917117	6450197.530000	553926.700000	31	6915	2013-05-08
17/12-U-21	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	8.90	N	3	55	39.82	E	58.185806	3.927728	6449919.080000	554554.560000	31	6916	2013-05-08
17/12-U-22	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	26.36	N	3	56	56.74	E	58.190656	3.949094	6450476.530000	555803.360000	31	6917	2013-05-08
17/12-U-23	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	10	22.82	N	3	56	16.82	E	58.173006	3.938006	6448502.360000	555178.740000	31	6918	2013-05-08
17/12-U-24	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	10	4.15	N	3	55	38.15	E	58.167819	3.927264	6447916.230000	554554.820000	31	6919	2013-05-08
17/12-U-25	BG Norge AS	407	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	11	31.40	N	3	54	23.93	E	58.192056	3.906647	6450598.050000	553305.620000	31	6920	2013-05-08
35/2-3	Statoil Petroleum AS	318	EXPLORATION	WILDCAT	DRY	2012-06-14	2012-07-24	\N	NORTH SEA	ED50	61	49	2.00	N	3	35	11.00	E	61.817222	3.586389	6854122.470000	530898.560000	31	6921	2013-05-08
35/2-U-5	Statoil Petroleum AS	318	SHALLOW	\N	\N	2012-05-19	2012-05-20	\N	NORTH SEA	ED50	61	49	1.94	N	3	35	13.28	E	61.817206	3.587022	6854120.920000	530931.940000	31	6922	2013-05-08
34/10-B-35 B	Statoil Petroleum AS	050	DEVELOPMENT	INJECTION	WATER	2012-07-18	2013-03-04	GULLFAKS	NORTH SEA	ED50	61	12	10.94	N	2	12	4.89	E	61.203039	2.201358	6785826.540000	457079.370000	31	6923	2013-05-08
31/2-N-24 AY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-06-11	2012-08-02	TROLL	NORTH SEA	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	6924	2013-05-08
31/2-N-24 AY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-08-02	2012-08-17	TROLL	NORTH SEA	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	6925	2013-05-08
31/2-N-24 AY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-08-18	2012-08-28	TROLL	NORTH SEA	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	6926	2013-05-08
6507/7-A-19 A	Statoil Petroleum AS	095	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.80	N	7	19	2.99	E	65.325778	7.317497	7245990.310000	421629.700000	32	6927	2013-05-08
6507/7-A-9 C	Statoil Petroleum AS	095	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.85	N	7	19	2.31	E	65.325792	7.317308	7245992.100000	421620.940000	32	6928	2013-05-08
6507/7-A-33 A	Statoil Petroleum AS	095	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.55	N	7	19	2.51	E	65.325708	7.317364	7245982.740000	421623.280000	32	6929	2013-05-08
31/2-D-6 AY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-07-17	2013-02-28	TROLL	NORTH SEA	ED50	60	51	23.74	N	3	26	28.95	E	60.856594	3.441375	6747054.660000	523980.760000	31	6930	2013-05-08
31/2-D-6 AY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2013-03-01	2013-03-11	TROLL	NORTH SEA	ED50	60	51	23.74	N	3	26	28.95	E	60.856594	3.441375	6747054.660000	523980.760000	31	6931	2013-05-08
31/2-D-6 AY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2013-03-12	2013-04-02	TROLL	NORTH SEA	ED50	60	51	23.74	N	3	26	28.95	E	60.856594	3.441375	6747054.660000	523980.760000	31	6932	2013-05-08
2/4-21 A	Statoil Petroleum AS	146	EXPLORATION	APPRAISAL	GAS/CONDENSATE	2012-05-25	2012-07-18	\N	NORTH SEA	ED50	56	42	0.81	N	3	8	34.31	E	56.700225	3.142864	6284166.460000	508748.770000	31	6933	2013-05-08
2/4-A-92	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1969-09-18	1969-12-24	EKOFISK	NORTH SEA	ED50	56	32	8.65	N	3	11	54.57	E	56.535736	3.198492	6265865.230000	512208.290000	31	6934	2013-05-08
2/4-A-93	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1970-01-27	1970-05-31	EKOFISK	NORTH SEA	ED50	56	32	42.12	N	3	14	55.49	E	56.545033	3.248747	6266910.180000	515295.520000	31	6935	2013-05-08
2/4-A-94	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1970-06-02	1970-08-01	EKOFISK	NORTH SEA	ED50	56	30	47.90	N	3	12	39.48	E	56.513306	3.210967	6263370.750000	512983.230000	31	6936	2013-05-08
2/4-A-95	Phillips Petroleum Company Norway	018	DEVELOPMENT	PRODUCTION	OIL	1970-06-21	1970-08-27	EKOFISK	NORTH SEA	ED50	56	34	27.24	N	3	12	11.82	E	56.574233	3.203283	6270151.280000	512490.310000	31	6937	2013-05-08
30/6-E-14 A	Statoil Petroleum AS	053	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2012-06-04	2012-06-24	OSEBERG ØST	NORTH SEA	ED50	60	42	1.72	N	2	56	6.91	E	60.700478	2.935253	6729586.570000	496464.990000	31	6938	2013-05-08
30/6-E-14 B	Statoil Petroleum AS	053	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	OSEBERG ØST	NORTH SEA	ED50	60	42	1.72	N	2	56	6.91	E	60.700478	2.935253	6729586.570000	496464.990000	31	6939	2013-05-08
15/12-C-1 AH	Talisman Energy Norge AS	038 C	DEVELOPMENT	PRODUCTION	GAS	2012-07-15	2012-09-03	REV	NORTH SEA	ED50	58	1	40.68	N	1	55	28.34	E	58.027967	1.924539	6432475.780000	436478.400000	31	6940	2013-05-08
2/11-U-1	BP Norge AS	033	SHALLOW	\N	\N	2012-06-09	2012-06-09	HOD	NORTH SEA	ED50	56	11	34.17	N	3	28	9.57	E	56.192825	3.469325	6227777.830000	529126.180000	31	6941	2013-05-08
2/11-U-2	BP Norge AS	033	SHALLOW	\N	\N	2012-06-14	2012-06-14	HOD	NORTH SEA	ED50	56	11	34.77	N	3	28	6.51	E	56.192992	3.468475	6227796.020000	529073.300000	31	6942	2013-05-08
2/11-U-3	BP Norge AS	033	SHALLOW	\N	\N	2012-06-14	2012-06-15	HOD	NORTH SEA	ED50	56	11	35.89	N	3	28	8.59	E	56.193303	3.469053	6227830.890000	529108.920000	31	6943	2013-05-08
2/11-U-4	BP Norge AS	033	SHALLOW	\N	\N	2012-06-11	2012-06-12	HOD	NORTH SEA	ED50	56	11	37.45	N	3	28	1.74	E	56.193736	3.467150	6227878.320000	528990.510000	31	6944	2013-05-08
2/11-U-5	BP Norge AS	033	SHALLOW	\N	\N	2012-06-11	2012-06-11	HOD	NORTH SEA	ED50	56	11	37.60	N	3	28	1.77	E	56.193778	3.467158	6227882.960000	528991.000000	31	6945	2013-05-08
2/11-U-6	BP Norge AS	033	SHALLOW	\N	\N	2012-06-09	2012-06-11	HOD	NORTH SEA	ED50	56	11	38.55	N	3	28	3.53	E	56.194042	3.467647	6227912.540000	529021.140000	31	6946	2013-05-08
2/11-U-7	BP Norge AS	033	SHALLOW	\N	\N	2012-06-07	2012-06-09	HOD	NORTH SEA	ED50	56	11	38.54	N	3	28	0.19	E	56.194039	3.466719	6227911.840000	528963.560000	31	6947	2013-05-08
2/11-U-8	BP Norge AS	033	SHALLOW	\N	\N	2012-06-12	2012-06-14	HOD	NORTH SEA	ED50	56	11	39.68	N	3	28	1.83	E	56.194356	3.467175	6227947.280000	528991.600000	31	6948	2013-05-08
2/11-U-9	BP Norge AS	033	SHALLOW	\N	\N	2012-06-12	2012-06-12	HOD	NORTH SEA	ED50	56	11	39.49	N	3	28	1.84	E	56.194303	3.467178	6227941.410000	528991.810000	31	6949	2013-05-08
6507/7-A-43 A	Statoil Petroleum AS	095	DEVELOPMENT	PRODUCTION	OIL	2012-06-29	2012-08-19	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.49	N	7	19	3.18	E	65.325692	7.317550	7245980.650000	421631.900000	32	6950	2013-05-08
6507/3-9 S	BP Norge AS	212 E	EXPLORATION	WILDCAT	GAS	2012-06-01	2012-07-15	\N	NORWEGIAN SEA	ED50	65	56	44.28	N	7	41	32.83	E	65.945633	7.692453	7314655.030000	440529.010000	32	6951	2013-05-08
16/2-12	Statoil Petroleum AS	265	EXPLORATION	WILDCAT	OIL	2012-07-25	2012-09-07	\N	NORTH SEA	ED50	58	53	4.25	N	2	29	18.06	E	58.884514	2.488350	6527455.670000	470504.870000	31	6952	2013-05-08
34/10-G-4 H	Statoil Petroleum AS	050	DEVELOPMENT	OBSERVATION	NOT APPLICABLE	2012-08-25	2012-10-03	GULLFAKS SØR	NORTH SEA	ED50	61	5	50.33	N	2	16	36.44	E	61.097314	2.276789	6774002.950000	461002.840000	31	6953	2013-05-08
34/10-G-4 AH	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	OIL	2012-10-06	2012-11-28	GULLFAKS SØR	NORTH SEA	ED50	61	5	50.33	N	2	16	36.44	E	61.097314	2.276789	6774002.950000	461002.840000	31	6954	2013-05-08
7/11-13	Det norske oljeselskap ASA	497	EXPLORATION	WILDCAT	DRY	2012-09-10	2012-11-03	\N	NORTH SEA	ED50	57	14	26.71	N	2	26	34.75	E	57.240753	2.442986	6344465.970000	466379.950000	31	6955	2013-05-08
33/9-C-23 D	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS	2012-07-14	2012-08-18	STATFJORD	NORTH SEA	ED50	61	17	46.96	N	1	54	10.18	E	61.296378	1.902828	6796455.480000	441211.200000	31	6956	2013-05-08
2/8-N-1 B	BP Norge AS	006 B	DEVELOPMENT	PRODUCTION	\N	2012-05-21	2012-10-07	VALHALL	NORTH SEA	ED50	56	19	27.65	N	3	21	9.35	E	56.324347	3.352597	6242373.820000	521807.210000	31	6957	2013-05-08
35/2-U-6	Statoil Petroleum AS	318	SHALLOW	\N	\N	2012-05-30	2012-06-12	\N	NORTH SEA	ED50	61	49	0.70	N	3	35	13.30	E	61.816861	3.587028	6854082.550000	530932.580000	31	6958	2013-05-08
2/4-X-38 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2012-06-20	2012-07-21	EKOFISK	NORTH SEA	ED50	56	32	51.83	N	3	13	8.70	E	56.547731	3.219083	6267204.200000	513470.520000	31	6959	2013-05-08
6506/6-2	Maersk Oil Norway AS	513	EXPLORATION	WILDCAT	DRY	2012-12-06	2013-02-23	\N	NORWEGIAN SEA	ED50	65	38	17.77	N	6	51	56.50	E	65.638269	6.865694	7281441.930000	401771.050000	32	6960	2013-05-08
31/2-K-13 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	2013-04-04	9999-12-31	TROLL	NORTH SEA	ED50	60	46	5.78	N	3	36	41.00	E	60.768272	3.611389	6737291.200000	533309.430000	31	6961	2013-05-08
31/2-K-13 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	46	5.78	N	3	36	41.00	E	60.768272	3.611389	6737291.200000	533309.430000	31	6962	2013-05-08
31/2-K-13 BY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	46	5.78	N	3	36	41.00	E	60.768272	3.611389	6737291.200000	533309.430000	31	6963	2013-05-08
24/9-P-6 H	Marathon Petroleum Norge AS	150	DEVELOPMENT	OBSERVATION	OIL	2012-09-08	2012-10-03	VOLUND	NORTH SEA	ED50	59	29	45.25	N	1	57	56.75	E	59.495903	1.965764	6595881.740000	441435.990000	31	6964	2013-05-08
24/9-P-6 AH	Marathon Petroleum Norge AS	150	DEVELOPMENT	PRODUCTION	OIL	2012-10-04	2012-11-05	VOLUND	NORTH SEA	ED50	59	29	45.25	N	1	57	56.75	E	59.495903	1.965764	6595881.740000	441435.990000	31	6965	2013-05-08
2/11-U-10	BP Norge AS	033	SHALLOW	\N	\N	2012-06-14	2012-06-14	HOD	NORTH SEA	ED50	56	11	37.28	N	3	28	4.03	E	56.193689	3.467786	6227873.330000	529030.020000	31	6966	2013-05-08
2/11-U-11	BP Norge AS	033	SHALLOW	\N	\N	2012-06-14	2012-06-14	HOD	NORTH SEA	ED50	56	11	37.42	N	3	28	3.84	E	56.193728	3.467733	6227877.640000	529026.720000	31	6967	2013-05-08
2/11-U-12	BP Norge AS	033	SHALLOW	\N	\N	2012-06-07	2012-06-07	HOD	NORTH SEA	ED50	56	11	37.01	N	3	28	2.42	E	56.193614	3.467339	6227864.800000	529002.330000	31	6968	2013-05-08
2/11-U-13	BP Norge AS	033	SHALLOW	\N	\N	2012-06-07	2012-06-07	HOD	NORTH SEA	ED50	56	11	38.16	N	3	28	4.56	E	56.193933	3.467933	6227900.600000	529038.970000	31	6969	2013-05-08
2/11-U-14	BP Norge AS	033	SHALLOW	\N	\N	2012-06-06	2012-06-07	\N	NORTH SEA	ED50	56	11	36.48	N	3	28	5.39	E	56.193467	3.468164	6227848.760000	529053.630000	31	6970	2013-05-08
34/6-2 S	Total E&P Norge AS	554	EXPLORATION	WILDCAT	OIL	2012-08-05	2012-11-06	\N	NORTH SEA	ED50	61	35	24.52	N	2	45	14.21	E	61.590144	2.753947	6828711.060000	486939.000000	31	6971	2013-05-08
2/4-VB-1 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	31	13.52	N	3	14	21.74	E	56.520422	3.239372	6264168.640000	514728.590000	31	6972	2013-05-08
2/4-VB-2 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2013-01-22	2013-05-02	EKOFISK	NORTH SEA	ED50	56	31	13.78	N	3	14	21.41	E	56.520494	3.239281	6264176.660000	514722.930000	31	6973	2013-05-08
2/4-VB-3 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	31	13.45	N	3	14	21.56	E	56.520403	3.239322	6264166.470000	514725.530000	31	6974	2013-05-08
2/4-VB-4 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	31	13.71	N	3	14	21.23	E	56.520475	3.239231	6264174.490000	514719.860000	31	6975	2013-05-08
2/4-VB-5 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2012-11-14	2013-01-20	EKOFISK	NORTH SEA	ED50	56	31	13.36	N	3	14	21.33	E	56.520378	3.239258	6264163.670000	514721.600000	31	6976	2013-05-08
2/4-VB-6 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	31	13.61	N	3	14	21.49	E	56.520447	3.239303	6264171.410000	514724.310000	31	6977	2013-05-08
2/4-VB-7 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	\N	2013-05-04	9999-12-31	EKOFISK	NORTH SEA	ED50	56	31	13.30	N	3	14	21.15	E	56.520361	3.239208	6264161.810000	514718.530000	31	6978	2013-05-08
16/2-15	Statoil Petroleum AS	265	EXPLORATION	APPRAISAL	OIL	2012-11-21	2013-01-10	\N	NORTH SEA	ED50	58	47	0.09	N	2	33	34.49	E	58.783358	2.559581	6516162.710000	474536.970000	31	6979	2013-05-08
2/4-VB-8 H	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	31	13.56	N	3	14	20.83	E	56.520433	3.239119	6264169.830000	514713.040000	31	6980	2013-05-08
2/4-K-1 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2012-08-04	2012-09-22	EKOFISK	NORTH SEA	ED50	56	33	56.06	N	3	12	23.47	E	56.565572	3.206519	6269187.790000	512692.050000	31	6981	2013-05-08
33/12-B-7 A	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS	2012-09-20	2012-10-29	STATFJORD	NORTH SEA	ED50	61	12	25.15	N	1	49	52.48	E	61.206986	1.831244	6786565.460000	437197.800000	31	6982	2013-05-08
25/11-G-17 A	Statoil Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	OIL	2012-07-24	2012-08-31	GRANE	NORTH SEA	ED50	59	9	54.82	N	2	29	14.31	E	59.165228	2.487308	6558714.640000	470684.640000	31	6983	2013-05-08
25/11-G-17 B	Statoil Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	OIL	2012-09-01	2012-09-02	GRANE	NORTH SEA	ED50	59	9	54.82	N	2	29	14.31	E	59.165228	2.487308	6558714.640000	470684.640000	31	6984	2013-05-08
6507/11-Y-1 AH	Statoil Petroleum AS	062	DEVELOPMENT	PRODUCTION	GAS	2012-08-16	2012-09-26	ÅSGARD	NORWEGIAN SEA	ED50	65	0	18.51	N	7	33	25.58	E	65.005142	7.557106	7209984.310000	431972.150000	32	6986	2013-05-08
31/2-K-23 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	45	21.12	N	3	38	22.98	E	60.755867	3.639717	6735924.150000	534866.210000	31	6987	2013-05-08
31/2-K-23 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	45	21.12	N	3	38	22.98	E	60.755867	3.639717	6735924.150000	534866.210000	31	6988	2013-05-08
6406/3-D-3 H	Statoil Petroleum AS	091	DEVELOPMENT	OBSERVATION	OIL	2012-09-11	2012-10-21	TYRIHANS	NORWEGIAN SEA	ED50	64	46	47.25	N	6	59	26.43	E	64.779792	6.990675	7185607.840000	404475.230000	32	6989	2013-05-08
6406/3-D-3 AY1H	Statoil Petroleum AS	091	DEVELOPMENT	PRODUCTION	OIL	2012-10-22	2012-11-14	TYRIHANS	NORWEGIAN SEA	ED50	64	46	47.25	N	6	59	26.43	E	64.779792	6.990675	7185607.840000	404475.230000	32	6990	2013-05-08
6406/3-D-3 AY2H	Statoil Petroleum AS	091	DEVELOPMENT	PRODUCTION	OIL	2012-11-15	2013-01-25	TYRIHANS	NORWEGIAN SEA	ED50	64	46	47.25	N	6	59	26.43	E	64.779792	6.990675	7185607.840000	404475.230000	32	6991	2013-05-08
7016/2-U-1	Eni Norge AS	529	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	BARENTS SEA	ED50	70	50	48.79	N	16	33	28.64	E	70.846886	16.557956	7861264.090000	557046.910000	33	6992	2013-05-08
16/2-U-14	Statoil Petroleum AS	265	SHALLOW	\N	\N	2012-09-10	2012-09-12	\N	NORTH SEA	ED50	58	50	25.00	N	2	31	2.22	E	58.840278	2.517283	6522517.550000	472137.250000	31	6993	2013-05-08
31/2-P-24 AH	Statoil Petroleum AS	054	DEVELOPMENT	OBSERVATION	OIL	2012-09-11	2012-09-23	TROLL	NORTH SEA	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	6994	2013-05-08
31/2-P-24 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-11-06	2013-01-04	TROLL	NORTH SEA	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	6995	2013-05-08
31/2-P-24 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2013-01-06	2013-02-09	TROLL	NORTH SEA	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	6996	2013-05-08
31/2-P-24 BY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2013-02-10	2013-03-07	TROLL	NORTH SEA	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	6997	2013-05-08
15/12-A-3 B	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2012-10-29	2013-01-02	VARG	NORTH SEA	ED50	58	4	40.59	N	1	53	25.72	E	58.077942	1.890478	6438072.010000	434558.140000	31	6998	2013-05-08
34/11-B-2	Statoil Petroleum AS	193 D	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.95	N	2	20	19.61	E	61.040819	2.338781	6767674.880000	464281.920000	31	6999	2013-05-08
34/11-B-3	Statoil Petroleum AS	193 D	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.99	N	2	20	19.75	E	61.040831	2.338819	6767676.090000	464284.030000	31	7000	2013-05-08
34/11-B-7	Statoil Petroleum AS	193 D	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.88	N	2	20	19.69	E	61.040800	2.338803	6767672.700000	464283.100000	31	7001	2013-05-08
34/11-B-8	Statoil Petroleum AS	193 D	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.92	N	2	20	19.83	E	61.040811	2.338842	6767673.910000	464285.210000	31	7002	2013-05-08
34/11-B-9	Statoil Petroleum AS	193 D	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.95	N	2	20	19.98	E	61.040819	2.338883	6767674.820000	464287.470000	31	7003	2013-05-08
34/11-B-10	Statoil Petroleum AS	193 D	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.99	N	2	20	20.13	E	61.040831	2.338925	6767676.030000	464289.740000	31	7004	2013-05-08
34/11-B-12	Statoil Petroleum AS	193 D	DEVELOPMENT	PRODUCTION	\N	2012-12-16	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.76	N	2	20	19.82	E	61.040767	2.338839	6767668.960000	464285.010000	31	7005	2013-05-08
34/11-B-13	Statoil Petroleum AS	193 D	DEVELOPMENT	PRODUCTION	\N	2012-12-08	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.80	N	2	20	19.97	E	61.040778	2.338881	6767670.180000	464287.280000	31	7006	2013-05-08
34/11-B-14	Statoil Petroleum AS	193 D	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.84	N	2	20	20.11	E	61.040789	2.338919	6767671.400000	464289.390000	31	7007	2013-05-08
34/11-B-17	Statoil Petroleum AS	193 D	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.69	N	2	20	19.90	E	61.040747	2.338861	6767666.790000	464286.190000	31	7008	2013-05-08
34/11-B-18	Statoil Petroleum AS	193 D	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.73	N	2	20	20.05	E	61.040758	2.338903	6767668.000000	464288.450000	31	7009	2013-05-08
34/11-B-19	Statoil Petroleum AS	193 D	DEVELOPMENT	OBSERVATION	\N	2012-10-21	2012-10-27	VALEMON	NORTH SEA	ED50	61	2	26.77	N	2	20	20.19	E	61.040769	2.338942	6767669.220000	464290.570000	31	7010	2013-05-08
34/11-B-20	Statoil Petroleum AS	193 D	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VALEMON	NORTH SEA	ED50	61	2	26.81	N	2	20	20.34	E	61.040781	2.338983	6767670.430000	464292.830000	31	7011	2013-05-08
33/9-C-13 A	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	OIL	2012-09-02	2012-09-24	STATFJORD	NORTH SEA	ED50	61	17	47.95	N	1	54	11.39	E	61.296653	1.903164	6796485.810000	441229.720000	31	7012	2013-05-08
16/2-U-13	Lundin Norway AS	501	SHALLOW	\N	\N	2012-07-23	2012-07-24	\N	NORTH SEA	ED50	58	49	59.50	N	2	39	12.25	E	58.833194	2.653403	6521680.150000	479990.030000	31	7013	2013-05-08
7220/10-U-1	Eni Norge AS	533	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	BARENTS SEA	ED50	72	0	57.37	N	20	3	30.27	E	72.015936	20.058408	7998244.960000	674143.220000	33	7014	2013-05-08
7220/10-1	Eni Norge AS	533	EXPLORATION	WILDCAT	GAS/CONDENSATE	2012-08-12	2012-10-16	\N	BARENTS SEA	ED50	72	0	57.34	N	20	3	25.01	E	72.015928	20.056947	7998239.810000	674093.100000	33	7015	2013-05-08
34/7-U-20	Statoil Petroleum AS	089	SHALLOW	\N	\N	9999-12-31	9999-12-31	TORDIS	NORTH SEA	ED50	61	16	34.56	N	2	7	15.37	E	61.276267	2.120936	6794038.570000	452867.200000	31	7016	2013-05-08
34/7-P-25 B	Statoil Petroleum AS	089	DEVELOPMENT	INJECTION	\N	2012-09-14	2012-10-22	SNORRE	NORTH SEA	ED50	61	26	57.73	N	2	8	36.81	E	61.449369	2.143558	6813304.150000	454333.070000	31	7017	2013-05-08
31/2-E-5 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-11-09	2012-12-01	TROLL	NORTH SEA	ED50	60	47	52.42	N	3	26	34.66	E	60.797894	3.442961	6740516.960000	524111.070000	31	7018	2013-05-08
31/2-E-5 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-12-02	2012-12-15	TROLL	NORTH SEA	ED50	60	47	52.42	N	3	26	34.66	E	60.797894	3.442961	6740516.960000	524111.070000	31	7019	2013-05-08
31/2-E-5 BY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2012-12-16	2013-01-02	TROLL	NORTH SEA	ED50	60	47	52.42	N	3	26	34.66	E	60.797894	3.442961	6740516.960000	524111.070000	31	7020	2013-05-08
16/10-5	Talisman Energy Norge AS	568	EXPLORATION	WILDCAT	DRY	2012-10-02	2012-11-27	\N	NORTH SEA	ED50	58	0	1.37	N	2	7	59.99	E	58.000381	2.133331	6429227.240000	448770.710000	31	7021	2013-05-08
2/4-Z-9	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2012-11-07	2013-01-05	EKOFISK	NORTH SEA	ED50	56	32	40.12	N	3	13	35.96	E	56.544478	3.226656	6266843.640000	513937.300000	31	7022	2013-05-08
2/4-Z-10	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	2013-04-25	9999-12-31	EKOFISK	NORTH SEA	ED50	56	32	40.19	N	3	13	35.99	E	56.544497	3.226664	6266845.810000	513937.810000	31	7023	2013-05-08
2/4-Z-11	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL/GAS	2013-01-07	2013-02-15	EKOFISK	NORTH SEA	ED50	56	32	39.70	N	3	13	35.81	E	56.544361	3.226614	6266830.650000	513934.780000	31	7024	2013-05-08
2/4-Z-15	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	32	40.01	N	3	13	35.98	E	56.544447	3.226661	6266840.240000	513937.650000	31	7025	2013-05-08
2/4-Z-16	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	32	40.15	N	3	13	36.05	E	56.544486	3.226681	6266844.570000	513938.840000	31	7026	2013-05-08
2/4-Z-17	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL/GAS	2013-02-27	2013-04-10	EKOFISK	NORTH SEA	ED50	56	32	40.22	N	3	13	36.12	E	56.544506	3.226700	6266846.740000	513940.020000	31	7027	2013-05-08
16/2-13 A	Lundin Norway AS	501	EXPLORATION	APPRAISAL	OIL	2012-08-30	2012-10-01	\N	NORTH SEA	ED50	58	49	58.48	N	2	39	10.34	E	58.832911	2.652872	6521648.760000	479959.230000	31	7028	2013-05-08
25/11-G-17 CY1	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2012-09-03	2012-09-27	GRANE	NORTH SEA	ED50	59	9	54.82	N	2	29	14.31	E	59.165228	2.487308	6558714.640000	470684.640000	31	7029	2013-05-08
25/11-G-17 CY2	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	OIL	2012-10-02	2012-11-27	GRANE	NORTH SEA	ED50	59	9	54.82	N	2	29	14.31	E	59.165228	2.487308	6558714.640000	470684.640000	31	7030	2013-05-08
2/1-U-15	Det norske oljeselskap ASA	542	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	56	52	58.00	N	3	12	45.10	E	56.882778	3.212528	6304498.530000	512951.800000	31	7031	2013-05-08
2/1-U-16	Det norske oljeselskap ASA	542	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	56	52	59.50	N	3	12	47.90	E	56.883194	3.213306	6304545.060000	512999.060000	31	7032	2013-05-08
2/1-U-17	Det norske oljeselskap ASA	542	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	56	53	0.00	N	3	12	44.10	E	56.883333	3.212250	6304560.320000	512934.680000	31	7033	2013-05-08
6507/7-A-51 A	Statoil Petroleum AS	095	DEVELOPMENT	PRODUCTION	OIL	2012-10-05	2012-10-24	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.40	N	7	19	3.24	E	65.325667	7.317567	7245977.850000	421632.600000	32	7034	2013-05-08
30/6-C-14 B	Statoil Petroleum AS	053	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	OSEBERG	NORTH SEA	ED50	60	36	29.43	N	2	46	33.26	E	60.608175	2.775906	6719324.720000	487730.060000	31	7035	2013-05-08
25/8-C-15 A	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	OBSERVATION	\N	2012-11-29	2012-12-26	BALDER	NORTH SEA	ED50	59	15	57.87	N	2	26	59.56	E	59.266075	2.449878	6569961.680000	468637.060000	31	7036	2013-05-08
25/8-C-15 B	ExxonMobil Exploration & Production Norway AS	027	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	BALDER	NORTH SEA	ED50	59	15	57.87	N	2	26	59.56	E	59.266075	2.449878	6569961.680000	468637.060000	31	7037	2013-05-08
34/11-B-19 A	Statoil Petroleum AS	193 D	DEVELOPMENT	INJECTION	CUTTINGS	2012-10-29	2012-11-30	VALEMON	NORTH SEA	ED50	61	2	26.77	N	2	20	20.19	E	61.040769	2.338942	6767669.220000	464290.570000	31	7038	2013-05-08
6607/12-3	Statoil Petroleum AS	385	EXPLORATION	WILDCAT	GAS	2012-10-22	2012-12-26	\N	NORWEGIAN SEA	ED50	66	9	37.30	N	7	56	34.10	E	66.160361	7.942806	7338373.160000	452318.440000	32	7039	2013-05-08
33/9-C-39 A	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS	2012-10-05	2012-10-25	STATFJORD	NORTH SEA	ED50	61	17	46.69	N	1	54	10.29	E	61.296303	1.902858	6796447.100000	441212.700000	31	7040	2013-05-08
25/11-G-11 A	Statoil Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	OIL	2012-12-31	2013-04-04	GRANE	NORTH SEA	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	7041	2013-05-08
25/11-G-11 BY1	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	\N	2013-04-05	9999-12-31	GRANE	NORTH SEA	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	7042	2013-05-08
25/11-G-11 BY2	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	7043	2013-05-08
25/11-G-11 BY3	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	7044	2013-05-08
25/11-G-11 BY4	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	7045	2013-05-08
16/3-5	Lundin Norway AS	501	EXPLORATION	APPRAISAL	OIL	2013-01-04	2013-03-09	\N	NORTH SEA	ED50	58	46	31.59	N	2	42	18.59	E	58.775442	2.705164	6515235.000000	482950.010000	31	7046	2013-05-08
16/2-16	Lundin Norway AS	501	EXPLORATION	APPRAISAL	OIL	2012-11-11	2012-12-12	\N	NORTH SEA	ED50	58	51	1.14	N	2	35	50.55	E	58.850317	2.597375	6523604.820000	476766.880000	31	7047	2013-05-08
25/11-U-46	Statoil Petroleum AS	169	SHALLOW	\N	\N	2011-10-13	2011-10-13	\N	NORTH SEA	ED50	59	8	35.57	N	2	24	28.61	E	59.143214	2.407947	6556300.840000	466125.150000	31	7048	2013-05-08
25/11-U-47	Statoil Petroleum AS	169	SHALLOW	\N	\N	2011-10-14	2011-10-14	\N	NORTH SEA	ED50	59	8	36.32	N	2	24	30.06	E	59.143422	2.408350	6556323.840000	466148.400000	31	7049	2013-05-08
35/11-U-1	Statoil Petroleum AS	090	SHALLOW	\N	\N	2012-01-30	2012-01-30	\N	NORTH SEA	ED50	61	7	39.03	N	3	32	47.67	E	61.127508	3.546575	6777273.870000	529444.640000	31	7050	2013-05-08
7122/7-6	Eni Norge AS	229	EXPLORATION	APPRAISAL	OIL	2012-10-21	2013-01-04	GOLIAT	BARENTS SEA	ED50	71	16	11.44	N	22	19	20.14	E	71.269844	22.322261	7908224.310000	547388.200000	34	7051	2013-05-08
7122/7-U-8	Eni Norge AS	229	SHALLOW	\N	\N	9999-12-31	9999-12-31	GOLIAT	BARENTS SEA	ED50	71	16	12.67	N	22	19	23.62	E	71.270186	22.323228	7908263.170000	547422.010000	34	7052	2013-05-08
7/8-6 S	Lotos Exploration and Production Norge AS	498	EXPLORATION	WILDCAT	DRY	2012-11-09	2013-01-05	\N	NORTH SEA	ED50	57	17	55.17	N	2	27	19.16	E	57.298658	2.455322	6350906.150000	467176.080000	31	7053	2013-05-08
6507/7-A-8	Statoil Petroleum AS	095	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	HEIDRUN	NORWEGIAN SEA	ED50	65	19	33.17	N	7	19	4.27	E	65.325881	7.317853	7246001.320000	421646.560000	32	7054	2013-05-08
33/12-B-8 B	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS	2012-11-06	2012-11-24	STATFJORD	NORTH SEA	ED50	61	12	25.12	N	1	49	52.61	E	61.206978	1.831281	6786564.500000	437199.720000	31	7055	2013-05-08
34/10-E-4 CH	Statoil Petroleum AS	050	DEVELOPMENT	INJECTION	GAS	2012-11-26	2013-01-23	GULLFAKS SØR	NORTH SEA	ED50	61	6	38.54	N	2	15	38.70	E	61.110706	2.260750	6775504.260000	460154.860000	31	7056	2013-05-08
33/9-C-9 A	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	WATER	2012-12-04	2013-03-20	STATFJORD	NORTH SEA	ED50	61	17	48.06	N	1	54	10.83	E	61.296683	1.903008	6796489.350000	441221.440000	31	7057	2013-05-08
3/7-8 S	DONG E&P Norge AS	147	EXPLORATION	WILDCAT	OIL/GAS	2012-12-04	2013-03-03	\N	NORTH SEA	ED50	56	23	10.72	N	4	14	0.52	E	56.386311	4.233478	6249897.850000	576161.650000	31	7058	2013-05-08
34/6-2 A	Total E&P Norge AS	554	EXPLORATION	APPRAISAL	OIL	2012-11-06	2012-12-13	\N	NORTH SEA	ED50	61	35	24.52	N	2	45	14.21	E	61.590144	2.753947	6828711.060000	486939.000000	31	7059	2013-05-08
6608/10-G-3 H	Statoil Petroleum AS	128	DEVELOPMENT	PRODUCTION	NOT APPLICABLE	2012-12-01	2013-01-01	URD	NORWEGIAN SEA	ED50	66	4	42.16	N	8	14	55.69	E	66.078378	8.248803	7329035.800000	466009.320000	32	7060	2013-05-08
34/10-C-30 A	Statoil Petroleum AS	050	DEVELOPMENT	INJECTION	CUTTINGS	2012-12-05	2013-01-02	GULLFAKS	NORTH SEA	61ED50	61	12	53.49	N	2	16	27.75	E	61.214858	2.274375	6787097.340000	461017.930000	31	7061	2013-05-08
2/4-X-27 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	OIL	2012-12-05	2013-02-06	EKOFISK	NORTH SEA	ED50	56	32	51.72	N	3	13	8.24	E	56.547700	3.218956	6267200.770000	513462.680000	31	7062	2013-05-08
2/4-K-13 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	WATER	2013-02-01	2013-04-16	EKOFISK	NORTH SEA	ED50	56	33	56.08	N	3	12	23.08	E	56.565578	3.206411	6269188.390000	512685.390000	31	7063	2013-05-08
15/12-A-12 E	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2013-01-08	2013-02-12	VARG	NORTH SEA	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	7064	2013-05-08
2/7-U-38	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2012-11-21	2012-11-22	ELDFISK	NORTH SEA	ED50	56	22	4.00	N	3	16	43.40	E	56.367778	3.278722	6247187.020000	517218.680000	31	7065	2013-05-08
2/7-U-39	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2012-11-23	2012-11-24	ELDFISK	NORTH SEA	ED50	56	22	3.79	N	3	16	39.38	E	56.367719	3.277606	6247180.250000	517149.720000	31	7066	2013-05-08
2/7-U-40	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2012-11-24	2012-11-24	ELDFISK	NORTH SEA	ED50	56	22	5.82	N	3	16	41.03	E	56.368283	3.278064	6247243.130000	517177.780000	31	7067	2013-05-08
2/7-U-41	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2012-11-24	2012-11-25	ELDFISK	NORTH SEA	ED50	56	22	25.92	N	3	14	31.47	E	56.373867	3.242075	6247856.200000	514952.330000	31	7068	2013-05-08
2/7-U-42	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2012-11-26	2012-11-26	ELDFISK	NORTH SEA	ED50	56	22	25.80	N	3	14	27.38	E	56.373833	3.240939	6247852.240000	514882.170000	31	7069	2013-05-08
2/7-U-43	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2012-11-26	2012-11-27	ELDFISK	NORTH SEA	ED50	56	22	27.88	N	3	14	29.07	E	56.374411	3.241408	6247916.660000	514910.940000	31	7070	2013-05-08
34/8-U-4	Statoil Petroleum AS	120	SHALLOW	\N	\N	9999-12-31	9999-12-31	VISUND	NORTH SEA	ED50	61	26	7.37	N	2	35	22.79	E	61.435381	2.589664	6811514.870000	478110.040000	31	7071	2013-05-08
34/8-15 S	Statoil Petroleum AS	120	EXPLORATION	WILDCAT	DRY	2013-01-03	2013-02-19	\N	NORTH SEA	ED50	61	26	6.10	N	2	35	20.84	E	61.435028	2.589122	6811475.750000	478080.890000	31	7072	2013-05-08
34/8-C-4 H	Statoil Petroleum AS	120	DEVELOPMENT	OBSERVATION	OIL	2013-02-19	2013-03-05	VISUND	NORTH SEA	ED50	61	26	6.10	N	2	35	20.84	E	61.435028	2.589122	6811475.750000	478080.890000	31	7073	2013-05-08
34/8-C-4 AH	Statoil Petroleum AS	120	DEVELOPMENT	PRODUCTION	OIL	2013-03-06	2013-03-28	VISUND	NORTH SEA	ED50	61	26	6.10	N	2	35	20.84	E	61.435028	2.589122	6811475.750000	478080.890000	31	7074	2013-05-08
34/8-C-3 H	Statoil Petroleum AS	120	DEVELOPMENT	OBSERVATION	OIL	2013-03-30	2013-05-04	VISUND	NORTH SEA	ED50	61	26	6.10	N	2	35	20.84	E	61.435028	2.589122	6811475.750000	478080.890000	31	7075	2013-05-08
2/1-A-32 D	Talisman Energy Norge AS	019 B	DEVELOPMENT	PRODUCTION	\N	2013-04-29	9999-12-31	GYDA	NORTH SEA	ED50	56	54	17.31	N	3	5	5.95	E	56.904808	3.084986	6306934.020000	505176.150000	31	7076	2013-05-08
33/12-B-30 B	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	WATER/GAS	2013-01-06	2013-03-11	STATFJORD	NORTH SEA	ED50	61	12	24.04	N	1	49	50.78	E	61.206678	1.830772	6786531.570000	437171.810000	31	7077	2013-05-08
15/9-F-11	Statoil Petroleum AS	046 BS	DEVELOPMENT	OBSERVATION	\N	2013-03-15	9999-12-31	VOLVE	NORTH SEA	ED50	58	26	29.96	N	1	53	14.87	E	58.441656	1.887464	6478568.280000	435049.150000	31	7078	2013-05-08
15/9-F-11 A	Statoil Petroleum AS	046 BS	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	VOLVE	NORTH SEA	ED50	58	26	29.96	N	1	53	14.87	E	58.441656	1.887464	6478568.280000	435049.150000	31	7079	2013-05-08
15/9-F-11 B	Statoil Petroleum AS	046 BS	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VOLVE	NORTH SEA	ED50	58	26	29.96	N	1	53	14.87	E	58.441656	1.887464	6478568.280000	435049.150000	31	7080	2013-05-08
2/7-U-44	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2012-11-27	2012-11-28	ELDFISK	NORTH SEA	ED50	56	22	26.11	N	3	15	36.50	E	56.373919	3.260139	6247866.150000	516068.070000	31	7081	2013-05-08
2/7-U-45	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2012-11-28	2012-11-28	ELDFISK	NORTH SEA	ED50	56	22	26.27	N	3	15	40.35	E	56.373964	3.261208	6247871.340000	516134.110000	31	7082	2013-05-08
2/7-U-46	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2012-11-28	2012-11-29	ELDFISK	NORTH SEA	ED50	56	22	25.19	N	3	15	40.42	E	56.373664	3.261228	6247837.960000	516135.430000	31	7083	2013-05-08
2/7-U-47	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2012-11-29	2012-11-29	ELDFISK	NORTH SEA	ED50	56	22	24.95	N	3	15	36.70	E	56.373597	3.260194	6247830.290000	516071.640000	31	7084	2013-05-08
16/2-17 S	Statoil Petroleum AS	265	EXPLORATION	APPRAISAL	\N	2013-03-25	9999-12-31	\N	NORTH SEA	ED50	58	48	15.92	N	2	31	46.03	E	58.804422	2.529453	6518520.010000	472811.620000	31	7085	2013-05-08
6407/1-6 S	Wintershall Norge AS	475	EXPLORATION	WILDCAT	GAS/CONDENSATE	2012-12-08	2013-01-24	\N	NORWEGIAN SEA	ED50	64	56	25.71	N	7	8	36.88	E	64.940475	7.143578	7203288.270000	412267.930000	32	7086	2013-05-08
30/9-J-14 AH	Statoil Petroleum AS	104	DEVELOPMENT	PRODUCTION	OIL	2013-01-10	2013-02-11	OSEBERG SØR	NORTH SEA	ED50	60	21	16.14	N	2	54	0.70	E	60.354483	2.900194	6691051.640000	494492.470000	31	7087	2013-05-08
31/2-N-14 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	54	56.59	N	3	35	12.03	E	60.915719	3.586675	6753702.130000	531816.150000	31	7088	2013-05-08
31/2-N-14 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	54	56.59	N	3	35	12.03	E	60.915719	3.586675	6753702.130000	531816.150000	31	7089	2013-05-08
31/2-N-14 BY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	54	56.59	N	3	35	12.03	E	60.915719	3.586675	6753702.130000	531816.150000	31	7090	2013-05-08
6610/10-1	Statoil Petroleum AS	386	EXPLORATION	WILDCAT	DRY	2013-01-02	2013-02-03	\N	NORWEGIAN SEA	ED50	66	14	9.42	N	10	2	46.89	E	66.235950	10.046358	7346789.970000	547052.080000	32	7091	2013-05-08
6407/1-A-2 H	Statoil Petroleum AS	073	DEVELOPMENT	OBSERVATION	OIL	2013-01-07	2013-03-12	TYRIHANS	NORWEGIAN SEA	ED50	64	53	20.44	N	7	4	16.70	E	64.889011	7.071306	7197656.820000	408678.390000	32	7092	2013-05-08
6407/1-A-2 AY1H	Statoil Petroleum AS	073	DEVELOPMENT	PRODUCTION	OIL	2013-03-15	2013-03-28	TYRIHANS	NORWEGIAN SEA	ED50	64	53	20.44	N	7	4	16.70	E	64.889011	7.071306	7197656.820000	408678.390000	32	7093	2013-05-08
6407/1-A-2 AY3H	Statoil Petroleum AS	073	DEVELOPMENT	PRODUCTION	\N	2013-04-15	9999-12-31	TYRIHANS	NORWEGIAN SEA	ED50	64	53	20.44	N	7	4	16.70	E	64.889011	7.071306	7197656.820000	408678.390000	32	7094	2013-05-08
16/1-16 A	Wintershall Norge AS	457	EXPLORATION	APPRAISAL	OIL	2012-12-07	2013-01-01	\N	NORTH SEA	ED50	58	54	47.77	N	2	15	54.65	E	58.913269	2.265181	6530777.390000	457675.240000	31	7095	2013-05-08
6608/10-P-1 H	Statoil Petroleum AS	128	DEVELOPMENT	OBSERVATION	OIL	2013-02-08	2013-04-09	SKULD	NORWEGIAN SEA	ED50	66	8	37.07	N	8	13	59.13	E	66.143631	8.233092	7336317.680000	465387.460000	32	7096	2013-05-08
6608/10-R-4 H	Statoil Petroleum AS	128	DEVELOPMENT	INJECTION	\N	2013-01-03	2013-01-12	SKULD	NORWEGIAN SEA	ED50	66	8	41.13	N	8	14	13.75	E	66.144758	8.237153	7336441.140000	465572.270000	32	7097	2013-05-08
16/4-6 S	Lundin Norway AS	359	EXPLORATION	WILDCAT	OIL	2013-03-11	2013-05-04	\N	NORTH SEA	ED50	58	41	33.84	N	2	13	52.02	E	58.692733	2.231117	6506243.360000	455431.360000	31	7098	2013-05-08
6608/10-P-4 H	Statoil Petroleum AS	128	DEVELOPMENT	PRODUCTION	OIL	2013-02-15	2013-03-23	SKULD	NORWEGIAN SEA	ED50	66	8	37.31	N	8	13	59.46	E	66.143697	8.233183	7336325.060000	465391.690000	32	7099	2013-05-08
4/4-U-1	Repsol Exploration Norge AS	541	SHALLOW	\N	\N	2012-12-11	2012-12-12	\N	NORTH SEA	ED50	56	38	8.65	N	5	8	11.57	E	56.635736	5.136547	6279019.940000	631050.610000	31	7100	2013-05-08
4/4-U-2	Repsol Exploration Norge AS	541	SHALLOW	\N	\N	2012-12-11	2012-12-11	\N	NORTH SEA	ED50	56	38	10.02	N	5	8	12.12	E	56.636117	5.136700	6279062.580000	631058.660000	31	7101	2013-05-08
4/4-U-3	Repsol Exploration Norge AS	541	SHALLOW	\N	\N	2012-12-06	2012-12-06	\N	NORTH SEA	ED50	56	38	8.47	N	5	8	9.13	E	56.635686	5.135869	6279013.080000	631009.220000	31	7102	2013-05-08
4/4-U-4	Repsol Exploration Norge AS	541	SHALLOW	\N	\N	2012-12-12	2012-12-13	\N	NORTH SEA	ED50	56	38	10.58	N	5	8	8.30	E	56.636272	5.135639	6279077.860000	630993.050000	31	7103	2013-05-08
2/7-U-48	ConocoPhillips Skandinavia AS	018	SHALLOW	\N	\N	2012-11-29	2012-11-29	ELDFISK	NORTH SEA	ED50	56	22	25.88	N	3	15	36.08	E	56.373856	3.260022	6247859.010000	516060.890000	31	7104	2013-05-08
25/11-26	Statoil Petroleum AS	169	EXPLORATION	WILDCAT	DRY	2013-01-18	2013-02-18	\N	NORTH SEA	ED50	59	14	3.21	N	2	36	40.99	E	59.234225	2.611386	6566350.080000	477824.030000	31	7105	2013-05-08
7122/7-H-1 H	Eni Norge AS	229	DEVELOPMENT	OBSERVATION	WATER	2013-02-06	2013-03-07	GOLIAT	BARENTS SEA	ED50	71	17	11.17	N	22	17	17.32	E	71.286436	22.288144	7910048.170000	546126.270000	34	7106	2013-05-08
16/2-16 A	Lundin Norway AS	501	EXPLORATION	APPRAISAL	OIL	2012-12-13	2013-02-07	\N	NORTH SEA	ED50	58	51	1.14	N	2	35	50.55	E	58.850317	2.597375	6523604.820000	476766.880000	31	7107	2013-05-08
7122/7-H-1 AH	Eni Norge AS	229	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	GOLIAT	BARENTS SEA	ED50	71	17	11.17	N	22	17	17.32	E	71.286436	22.288144	7910048.170000	546126.270000	34	7108	2013-05-08
34/7-P-12 A	Statoil Petroleum AS	089	DEVELOPMENT	PRODUCTION	OIL	2013-01-25	2013-03-12	SNORRE	NORTH SEA	ED50	61	26	57.08	N	2	8	36.82	E	61.449189	2.143561	6813284.040000	454332.950000	31	7109	2013-05-08
6201/11-3 R	Lundin Norway AS	519	EXPLORATION	WILDCAT	OIL	2012-08-16	2012-10-21	\N	NORWEGIAN SEA	ED50	62	2	44.96	N	1	30	13.07	E	62.045822	1.503631	6880352.980000	421743.000000	31	7110	2013-05-08
6506/6-U-1	Maersk Oil Norway AS	513	SHALLOW	\N	\N	2012-12-06	2012-12-08	\N	NORWEGIAN SEA	ED50	65	38	18.57	N	6	51	55.59	E	65.638492	6.865442	7281467.080000	401760.260000	32	7111	2013-05-08
8/5-1	Lundin Norway AS	453 S	EXPLORATION	WILDCAT	DRY	2013-01-10	2013-03-31	\N	NORTH SEA	ED50	57	33	43.83	N	3	34	49.67	E	57.562175	3.580464	6380260.010000	534730.000000	31	7112	2013-05-08
16/1-17	Lundin Norway AS	338	EXPLORATION	WILDCAT	DRY	2013-02-11	2013-03-20	\N	NORTH SEA	ED50	58	50	17.95	N	2	19	23.32	E	58.838319	2.323144	6522396.520000	460929.420000	31	7113	2013-05-08
7218/11-1	Repsol Exploration Norge AS	531	EXPLORATION	WILDCAT	DRY	2013-03-04	2013-04-10	\N	BARENTS SEA	ED50	72	5	29.10	N	18	25	59.40	E	72.091417	18.433167	8002706.260000	617779.140000	33	7114	2013-05-08
16/8-3 S	Statoil Petroleum AS	360	EXPLORATION	WILDCAT	DRY	2013-03-11	2013-04-30	\N	NORTH SEA	ED50	58	17	43.40	N	2	34	54.50	E	58.295389	2.581806	6461821.090000	475483.630000	31	7115	2013-05-08
6608/10-G-3 AH	Statoil Petroleum AS	128	DEVELOPMENT	PRODUCTION	OIL	2013-01-02	2013-03-12	URD	NORWEGIAN SEA	ED50	66	4	42.16	N	8	14	55.69	E	66.078378	8.248803	7329035.800000	466009.320000	32	7116	2013-05-08
7122/7-H-3 H	Eni Norge AS	229	DEVELOPMENT	INJECTION	WATER	2013-03-10	2013-03-31	GOLIAT	BARENTS SEA	ED50	71	17	11.69	N	22	17	17.22	E	71.286581	22.288117	7910064.260000	546124.930000	34	7117	2013-05-08
7122/7-H-4 H	Eni Norge AS	229	DEVELOPMENT	INJECTION	\N	2013-04-07	9999-12-31	GOLIAT	BARENTS SEA	ED50	71	17	11.29	N	22	17	17.90	E	71.286469	22.288306	7910052.010000	546131.960000	34	7118	2013-05-08
7218/11-U-1	Repsol Exploration Norge AS	531	SHALLOW	\N	\N	2013-03-02	2013-03-04	\N	BARENTS SEA	ED50	72	5	28.80	N	18	26	0.30	E	72.091333	18.433417	8002697.470000	617788.240000	33	7119	2013-05-08
35/9-8	Wintershall Norge AS	418	EXPLORATION	APPRAISAL	OIL	2013-02-03	2013-04-11	\N	NORTH SEA	ED50	61	17	6.71	N	3	40	33.63	E	61.285197	3.676008	6794903.770000	536235.580000	31	7120	2013-05-08
7/4-3	Lundin Norway AS	495	EXPLORATION	WILDCAT	\N	2013-04-05	9999-12-31	\N	NORTH SEA	ED50	57	42	16.54	N	2	12	15.81	E	57.704594	2.204392	6396245.560000	452583.870000	31	7121	2013-05-08
15/12-A-1 B	Talisman Energy Norge AS	038	DEVELOPMENT	PRODUCTION	OIL	2013-02-19	2013-04-09	VARG	NORTH SEA	ED50	58	4	40.53	N	1	53	25.51	E	58.077925	1.890419	6438070.210000	434554.670000	31	7122	2013-05-08
16/5-3	Statoil Petroleum AS	502	EXPLORATION	APPRAISAL	OIL	2013-02-20	2013-03-18	\N	NORTH SEA	ED50	58	43	53.95	N	2	33	28.64	E	58.731653	2.557956	6510405.940000	474405.050000	31	7123	2013-05-08
6507/7-A-28 B	Statoil Petroleum AS	095	DEVELOPMENT	OBSERVATION	OIL	2013-02-25	2013-04-12	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.73	N	7	19	3.27	E	65.325758	7.317575	7245988.050000	421633.260000	32	7124	2013-05-08
6507/7-A-28 C	Statoil Petroleum AS	095	DEVELOPMENT	PRODUCTION	\N	2013-04-13	9999-12-31	HEIDRUN	NORWEGIAN SEA	ED50	65	19	32.73	N	7	19	3.27	E	65.325758	7.317575	7245988.050000	421633.260000	32	7125	2013-05-08
25/11-A-21 H	ExxonMobil Exploration & Production Norway AS	001	DEVELOPMENT	OBSERVATION	OIL	2013-04-15	2013-04-22	BALDER	NORTH SEA	ED50	59	11	29.61	N	2	21	29.42	E	59.191558	2.358172	6561710.560000	463329.070000	31	7126	2013-05-08
25/11-A-21 AH	ExxonMobil Exploration & Production Norway AS	001	DEVELOPMENT	PRODUCTION	\N	2013-04-23	9999-12-31	BALDER	NORTH SEA	ED50	59	11	29.61	N	2	21	29.42	E	59.191558	2.358172	6561710.560000	463329.070000	31	7127	2013-05-08
25/11-A-22 H	ExxonMobil Exploration & Production Norway AS	001	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	BALDER	NORTH SEA	ED50	59	11	27.42	N	2	21	31.55	E	59.190950	2.358764	6561642.490000	463362.220000	31	7128	2013-05-08
25/11-A-23 H	ExxonMobil Exploration & Production Norway AS	001	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	BALDER	NORTH SEA	ED50	59	11	28.71	N	2	21	27.69	E	59.191308	2.357692	6561682.980000	463301.340000	31	7129	2013-05-08
16/5-U-1	Statoil Petroleum AS	502	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	43	53.95	N	2	33	27.19	E	58.731653	2.557553	6510406.090000	474381.730000	31	7130	2013-05-08
6608/10-M-4 BH	Statoil Petroleum AS	128	DEVELOPMENT	PRODUCTION	\N	2013-04-06	9999-12-31	NORNE	NORWEGIAN SEA	ED50	66	0	17.65	N	8	1	56.16	E	66.004903	8.032267	7320980.780000	456085.490000	32	7131	2013-05-08
25/4-F-1 H	Marathon Oil Norge AS	036 D	DEVELOPMENT	OBSERVATION	OIL	2013-03-26	2013-04-25	VILJE	NORTH SEA	ED50	59	39	23.85	N	2	16	43.68	E	59.656625	2.278800	6613545.950000	459355.500000	31	7132	2013-05-08
25/11-A-22 AH	ExxonMobil Exploration & Production Norway AS	001	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	BALDER	NORTH SEA	ED50	59	11	27.42	N	2	21	31.55	E	59.190950	2.358764	6561642.490000	463362.220000	31	7133	2013-05-08
2/4-X-27 B	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	2013-02-07	9999-12-31	EKOFISK	NORTH SEA	ED50	56	32	51.72	N	3	13	8.24	E	56.547700	3.218956	6267200.770000	513462.680000	31	7134	2013-05-08
33/12-B-5 A	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	GAS	2013-04-02	2013-05-03	STATFJORD	NORTH SEA	ED50	61	12	25.22	N	1	49	52.20	E	61.207006	1.831167	6786567.700000	437193.660000	31	7135	2013-05-08
2/11-A-3 A	BP Norge AS	033	DEVELOPMENT	PRODUCTION	OIL	1991-05-15	1991-07-23	HOD	NORTH SEA	ED50	56	10	36.01	N	3	27	36.32	E	56.176669	3.460089	6225975.790000	528564.990000	31	7136	2013-05-08
3/7-9 S	DONG E&P Norge AS	289	EXPLORATION	WILDCAT	DRY	2013-03-14	2013-04-30	\N	NORTH SEA	ED50	56	26	20.84	N	4	10	10.75	E	56.439122	4.169653	6255706.910000	572120.990000	31	7137	2013-05-08
25/4-F-1 AH	Marathon Oil Norge AS	036 D	DEVELOPMENT	PRODUCTION	\N	2013-04-26	9999-12-31	VILJE	NORTH SEA	ED50	59	39	23.85	N	2	16	43.68	E	59.656625	2.278800	6613545.950000	459355.500000	31	7138	2013-05-08
30/9-J-14 BH	Statoil Petroleum AS	104	DEVELOPMENT	PRODUCTION	OIL	2013-02-19	2013-04-07	OSEBERG SØR	NORTH SEA	ED50	60	21	16.14	N	2	54	0.70	E	60.354483	2.900194	6691051.640000	494492.470000	31	7139	2013-05-08
16/2-17 A	Statoil Petroleum AS	265	EXPLORATION	APPRAISAL	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	48	15.92	N	2	31	46.03	E	58.804422	2.529453	6518520.010000	472811.620000	31	7140	2013-05-08
6406/9-3	A/S Norske Shell	255	EXPLORATION	WILDCAT	\N	2013-04-17	9999-12-31	\N	NORWEGIAN SEA	ED50	64	25	15.99	N	6	58	42.79	E	64.421108	6.978553	7145667.700000	402625.050000	32	7141	2013-05-08
26/5-1	Rocksource Exploration Norway AS	506 S	EXPLORATION	WILDCAT	\N	2013-04-10	9999-12-31	\N	NORTH SEA	ED50	59	40	18.91	N	3	38	35.70	E	59.671919	3.643250	6615204.040000	536235.080000	31	7142	2013-05-08
2/4-K-18 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	33	55.91	N	3	12	22.26	E	56.565531	3.206183	6269183.090000	512671.410000	31	7143	2013-05-08
16/2-U-17	Statoil Petroleum AS	265	SHALLOW	\N	\N	2013-03-22	2013-03-24	\N	NORTH SEA	ED50	58	48	16.00	N	2	31	47.30	E	58.804444	2.529806	6518522.350000	472832.020000	31	7144	2013-05-08
2/4-B-7 A	ConocoPhillips Skandinavia AS	018	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	EKOFISK	NORTH SEA	ED50	56	33	54.66	N	3	12	13.27	E	56.565183	3.203686	6269143.980000	512518.050000	31	7145	2013-05-08
34/8-C-3 AH	Statoil Petroleum AS	120	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VISUND	NORTH SEA	ED50	61	26	6.10	N	2	35	20.84	E	61.435028	2.589122	6811475.750000	478080.890000	31	7146	2013-05-08
33/9-C-30 B	Statoil Petroleum AS	037	DEVELOPMENT	PRODUCTION	\N	2013-04-28	9999-12-31	STATFJORD	NORTH SEA	ED50	61	17	46.88	N	1	54	9.78	E	61.296356	1.902717	6796453.100000	441205.200000	31	7147	2013-05-08
34/10-H-4 AH	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	\N	2013-04-04	2013-04-12	GULLFAKS SØR	NORTH SEA	ED50	61	3	20.33	N	2	4	26.69	E	61.055647	2.074081	6769499.710000	450007.150000	31	7148	2013-05-08
7225/3-2	Total E&P Norge AS	535	EXPLORATION	APPRAISAL	\N	2013-04-30	9999-12-31	\N	BARENTS SEA	ED50	72	57	5.17	N	25	58	23.34	E	72.951436	25.973150	8095573.090000	466396.980000	35	7149	2013-05-08
31/2-O-22 Y1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	2013-05-04	9999-12-31	TROLL	NORTH SEA	ED50	60	54	54.29	N	3	31	22.22	E	60.915081	3.522839	6753601.670000	528354.850000	31	7150	2013-05-08
31/2-O-22 Y2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	54	54.29	N	3	31	22.22	E	60.915081	3.522839	6753601.670000	528354.850000	31	7151	2013-05-08
31/2-O-22 Y3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	54	54.29	N	3	31	22.22	E	60.915081	3.522839	6753601.670000	528354.850000	31	7152	2013-05-08
31/2-O-22 Y4H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	54	54.29	N	3	31	22.22	E	60.915081	3.522839	6753601.670000	528354.850000	31	7153	2013-05-08
31/2-O-22 Y5H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	54	54.29	N	3	31	22.22	E	60.915081	3.522839	6753601.670000	528354.850000	31	7154	2013-05-08
31/2-O-24 Y1H	Statoil Petroleum AS	054	DEVELOPMENT	\N	\N	2013-04-28	2013-05-03	TROLL	NORTH SEA	ED50	60	54	54.03	N	3	31	22.80	E	60.915008	3.523000	6753593.690000	528363.660000	31	7155	2013-05-08
6406/6-3	Wintershall Norge AS	511	EXPLORATION	WILDCAT	\N	2013-04-14	9999-12-31	\N	NORWEGIAN SEA	ED50	64	34	24.44	N	6	58	27.63	E	64.573456	6.974342	7162645.900000	402964.040000	32	7156	2013-05-08
31/2-K-22 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2013-03-21	2013-03-30	TROLL	NORTH SEA	ED50	60	45	20.93	N	3	38	23.53	E	60.755814	3.639869	6735918.350000	534874.590000	31	7157	2013-05-08
31/2-K-22 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	OIL	2013-04-04	2013-04-10	TROLL	NORTH SEA	ED50	60	45	20.93	N	3	38	23.53	E	60.755814	3.639869	6735918.350000	534874.590000	31	7158	2013-05-08
6407/1-A-2 AY2H	Statoil Petroleum AS	073	DEVELOPMENT	PRODUCTION	OIL	2013-03-29	2013-04-14	TYRIHANS	NORWEGIAN SEA	ED50	64	53	20.44	N	7	4	16.70	E	64.889011	7.071306	7197656.820000	408678.390000	32	7159	2013-05-08
34/7-H-2 AH	Statoil Petroleum AS	089	DEVELOPMENT	OBSERVATION	\N	2013-05-05	9999-12-31	VIGDIS	NORTH SEA	ED50	61	23	21.39	N	2	8	28.85	E	61.389275	2.141347	6806611.810000	454127.070000	31	7160	2013-05-08
34/7-H-2 BH	Statoil Petroleum AS	089	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	VIGDIS	NORTH SEA	ED50	61	23	21.39	N	2	8	28.85	E	61.389275	2.141347	6806611.810000	454127.070000	31	7161	2013-05-08
31/2-L-24 BY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	2013-04-11	9999-12-31	TROLL	NORTH SEA	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	7162	2013-05-08
31/2-L-24 BY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	7163	2013-05-08
31/2-L-24 BY3H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	7164	2013-05-08
35/11-R-14 BH	Statoil Petroleum AS	090 C	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VEGA	NORTH SEA	ED50	61	10	26.02	N	3	26	28.98	E	61.173894	3.441383	6782398.040000	523743.040000	31	7165	2013-05-08
7220/5-2	Statoil Petroleum AS	532	EXPLORATION	WILDCAT	\N	9999-12-31	9999-12-31	\N	BARENTS SEA	ED50	72	33	40.29	N	20	23	54.84	E	72.561192	20.398567	8059865.220000	680370.770000	33	7166	2013-05-08
6407/7-A-20 H	Statoil Petroleum AS	107	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	NJORD	NORWEGIAN SEA	ED50	64	16	16.88	N	7	12	5.42	E	64.271356	7.201506	7128660.940000	412890.310000	32	7167	2013-05-08
6407/7-A-20 AY2H	StatoilHydro Petroleum AS	107	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	NJORD	NORWEGIAN SEA	ED50	64	16	16.88	N	7	12	5.42	E	64.271356	7.201506	7128660.940000	412890.310000	32	7168	2013-05-08
16/2-21	Lundin Norway AS	501	EXPLORATION	APPRAISAL	\N	2013-05-05	9999-12-31	\N	NORTH SEA	ED50	58	46	40.81	N	2	36	38.77	E	58.778003	2.610769	6515548.040000	477492.990000	31	7169	2013-05-08
31/2-X-21 AY1H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	48	29.18	N	3	35	35.81	E	60.808106	3.593281	6741718.890000	532282.780000	31	7170	2013-05-08
31/2-X-21 AY2H	Statoil Petroleum AS	054	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	TROLL	NORTH SEA	ED50	60	48	29.18	N	3	35	35.81	E	60.808106	3.593281	6741718.890000	532282.780000	31	7171	2013-05-08
34/10-B-14 B	Statoil Petroleum AS	050	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	GULLFAKS	NORTH SEA	ED50	61	12	11.01	N	2	12	4.81	E	61.203058	2.201336	6785828.720000	457078.200000	31	7172	2013-05-08
6407/7-A-20 AY1H	Statoil Petroleum AS	107	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	NJORD	NORWEGIAN SEA	ED50	64	16	16.88	N	7	12	5.42	E	64.271356	7.201506	7128660.940000	412890.310000	32	7173	2013-05-08
6608/10-P-1 AH	Statoil Petroleum AS	128	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	SKULD	NORWEGIAN SEA	ED50	66	8	37.07	N	8	13	59.13	E	66.143631	8.233092	7336317.680000	465387.460000	32	7174	2013-05-08
16/2-17 B	Statoil Petroleum AS	265	EXPLORATION	APPRAISAL	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	48	15.92	N	2	31	46.03	E	58.804422	2.529453	6518520.010000	472811.620000	31	7175	2013-05-08
34/8-V-1 H	Statoil Petroleum AS	120	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VISUND SØR	NORTH SEA	ED50	61	18	1.81	N	2	21	49.50	E	61.300503	2.363750	6796587.260000	465912.110000	31	7176	2013-05-08
34/8-V-2 H	Statoil Petroleum AS	120	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	VISUND SØR	NORTH SEA	ED50	61	18	2.10	N	2	21	48.90	E	61.300583	2.363583	6796596.320000	465903.270000	31	7177	2013-05-08
34/8-V-2 AH	Statoil Petroleum AS	120	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	VISUND SØR	NORTH SEA	ED50	61	18	2.10	N	2	21	48.90	E	61.300583	2.363583	6796596.320000	465903.270000	31	7178	2013-05-08
25/11-27	Statoil Petroleum AS	169	EXPLORATION	WILDCAT	\N	2013-05-06	9999-12-31	\N	NORTH SEA	ED50	59	14	15.78	N	2	32	51.25	E	59.237717	2.547569	6566761.870000	474185.050000	31	7179	2013-05-08
2/1-16 S	Talisman Energy Norge AS	299	EXPLORATION	WILDCAT	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	56	51	1.72	N	3	18	52.69	E	56.850478	3.314636	6300926.970000	519190.970000	31	7180	2013-05-08
16/2-20	Lundin Norway AS	501	EXPLORATION	WILDCAT	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	56	25.80	N	2	25	34.09	E	58.940500	2.426136	6533718.880000	466971.950000	31	7181	2013-05-08
16/3-6	Lundin Norway AS	501	EXPLORATION	APPRAISAL	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	58	49	7.86	N	2	42	11.40	E	58.818850	2.703167	6520069.070000	482855.930000	31	7182	2013-05-08
34/10-A-20 B	Statoil Petroleum AS	050	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	GULLFAKS	NORTH SEA	ED50	61	10	34.84	N	2	11	21.71	E	61.176344	2.189364	6782861.070000	456397.920000	31	7183	2013-05-08
34/10-A-20 C	Statoil Petroleum AS	050	DEVELOPMENT	INJECTION	\N	9999-12-31	9999-12-31	GULLFAKS	NORTH SEA	ED50	61	10	34.84	N	2	11	21.71	E	61.176344	2.189364	6782861.070000	456397.920000	31	7184	2013-05-08
31/3-U-1	Tullow Oil Norge AS	551	SHALLOW	\N	\N	9999-12-31	9999-12-31	\N	NORTH SEA	ED50	60	57	50.97	N	3	41	17.51	E	60.964158	3.688197	6759150.980000	537265.050000	31	7185	2013-05-08
25/11-G-37 A	Statoil Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	54.53	N	2	29	14.86	E	59.165147	2.487461	6558705.600000	470693.310000	31	7186	2013-05-08
25/11-G-37 B	Statoil Petroleum AS	169 B1	DEVELOPMENT	OBSERVATION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	54.53	N	2	29	14.86	E	59.165147	2.487461	6558705.600000	470693.310000	31	7187	2013-05-08
25/11-G-37 CY1	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	54.53	N	2	29	14.86	E	59.165147	2.487461	6558705.600000	470693.310000	31	7188	2013-05-08
25/11-G-37 CY2	Statoil Petroleum AS	169 B1	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GRANE	NORTH SEA	ED50	59	9	54.53	N	2	29	14.86	E	59.165147	2.487461	6558705.600000	470693.310000	31	7189	2013-05-08
34/10-D-2 AH	Statoil Petroleum AS	050	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	GULLFAKS SØR	NORTH SEA	ED50	61	7	26.43	N	2	14	39.25	E	61.124008	2.244236	6776996.180000	459281.910000	31	7190	2013-05-08
6407/9-E-4 H	A/S Norske Shell	093	DEVELOPMENT	PRODUCTION	\N	9999-12-31	9999-12-31	DRAUGEN	NORWEGIAN SEA	ED50	64	15	23.37	N	7	42	13.16	E	64.256492	7.703656	7126412.930000	437174.990000	32	7191	2013-05-08
6608/2-1 S	RWE Dea Norge AS	330	EXPLORATION	WILDCAT	\N	9999-12-31	9999-12-31	\N	NORWEGIAN SEA	ED50	66	58	6.99	N	8	23	38.11	E	66.968608	8.393919	7428199.920000	473538.330000	32	7192	2013-05-08
\.



COPY wellbore_core (wlbname, wlbcorenumber, wlbcoreintervaltop, wlbcoreintervalbottom, wlbcoreintervaluom, wlbtotalcorelength, wlbnumberofcores, wlbcoresampleavailable, wlbnpdidwellbore, wlbcoredateupdated, datesyncnpd, wellbore_core_id) FROM stdin;
1/2-1	1	10208.000000	10208.400000	[ft  ]	56.200000	8	YES	1382	9999-12-31	2013-05-08	1
1/2-1	2	10216.000000	10233.000000	[ft  ]	56.200000	8	YES	1382	9999-12-31	2013-05-08	2
1/2-1	3	0.000000	0.000000	\N	56.200000	8	YES	1382	9999-12-31	2013-05-08	3
1/2-1	4	10256.000000	10286.000000	[ft  ]	56.200000	8	YES	1382	9999-12-31	2013-05-08	4
1/2-1	5	10286.000000	10358.000000	[ft  ]	56.200000	8	YES	1382	9999-12-31	2013-05-08	5
1/2-1	6	10358.000000	10364.600000	[ft  ]	56.200000	8	YES	1382	9999-12-31	2013-05-08	6
1/2-1	7	10368.000000	10377.600000	[ft  ]	56.200000	8	YES	1382	9999-12-31	2013-05-08	7
1/2-1	8	10368.000000	10395.300000	[ft  ]	56.200000	8	YES	1382	9999-12-31	2013-05-08	8
1/2-2	1	3141.500000	3186.400000	[m   ]	44.900000	1	YES	5192	9999-12-31	2013-05-08	9
1/3-1	1	3403.400000	3422.600000	[m   ]	19.800000	1	YES	154	9999-12-31	2013-05-08	10
1/3-10	1	3159.000000	3231.800000	[m   ]	72.800000	1	YES	5614	9999-12-31	2013-05-08	11
1/3-11	1	3288.000000	3298.400000	[m   ]	93.700000	5	YES	5806	9999-12-31	2013-05-08	12
1/3-11	2	3300.000000	3320.500000	[m   ]	93.700000	5	YES	5806	9999-12-31	2013-05-08	13
1/3-11	3	3320.600000	3354.700000	[m   ]	93.700000	5	YES	5806	9999-12-31	2013-05-08	14
1/3-11	4	3398.900000	3411.900000	[m   ]	93.700000	5	YES	5806	9999-12-31	2013-05-08	15
1/3-11	5	3412.800000	3428.500000	[m   ]	93.700000	5	YES	5806	9999-12-31	2013-05-08	16
1/3-12 S	1	5876.000000	5884.400000	[m   ]	8.400000	1	YES	6260	9999-12-31	2013-05-08	17
1/3-2	1	3589.000000	3589.300000	[m   ]	30.000000	1	YES	165	9999-12-31	2013-05-08	18
1/3-3	1	4129.000000	4147.400000	[m   ]	84.900000	6	YES	87	9999-12-31	2013-05-08	19
1/3-3	2	4181.000000	4199.200000	[m   ]	84.900000	6	YES	87	9999-12-31	2013-05-08	20
1/3-3	3	4199.200000	4213.000000	[m   ]	84.900000	6	YES	87	9999-12-31	2013-05-08	21
1/3-3	4	4213.000000	4231.000000	[m   ]	84.900000	6	YES	87	9999-12-31	2013-05-08	22
1/3-3	5	4231.000000	4234.500000	[m   ]	84.900000	6	YES	87	9999-12-31	2013-05-08	23
1/3-3	6	4234.500000	4247.500000	[m   ]	84.900000	6	YES	87	9999-12-31	2013-05-08	24
1/3-4	1	2817.000000	2818.100000	[m   ]	9.900000	2	YES	2	9999-12-31	2013-05-08	25
1/3-4	2	4805.000000	4814.000000	[m   ]	9.900000	2	YES	2	9999-12-31	2013-05-08	26
1/3-5	1	4805.000000	4814.000000	[m   ]	9.000000	1	YES	223	9999-12-31	2013-05-08	27
1/3-6	1	2921.000000	2928.500000	[m   ]	7.500000	1	YES	1521	9999-12-31	2013-05-08	28
1/3-7	1	3164.000000	3181.700000	[m   ]	74.500000	4	YES	2505	9999-12-31	2013-05-08	29
1/3-7	2	3188.000000	3204.700000	[m   ]	74.500000	4	YES	2505	9999-12-31	2013-05-08	30
1/3-7	3	3205.000000	3223.300000	[m   ]	74.500000	4	YES	2505	9999-12-31	2013-05-08	31
1/3-7	4	3224.000000	3245.800000	[m   ]	74.500000	4	YES	2505	9999-12-31	2013-05-08	32
1/3-8	1	5024.000000	5039.100000	[m   ]	15.000000	1	YES	2829	9999-12-31	2013-05-08	33
1/3-9 S	1	4273.000000	4322.700000	[m   ]	104.800000	2	YES	3362	9999-12-31	2013-05-08	34
1/3-9 S	2	4323.000000	4378.100000	[m   ]	104.800000	2	YES	3362	9999-12-31	2013-05-08	35
1/6-1	1	10425.000000	10463.000000	[ft  ]	16.800000	2	YES	239	9999-12-31	2013-05-08	36
1/6-1	2	15106.000000	15123.000000	[ft  ]	16.800000	2	YES	239	9999-12-31	2013-05-08	37
1/6-2	1	10584.800000	10633.600000	[ft  ]	15.000000	1	YES	240	9999-12-31	2013-05-08	38
1/6-3	1	10247.000000	10307.000000	[ft  ]	222.200000	11	YES	241	9999-12-31	2013-05-08	39
1/6-3	10	10290.000000	10332.000000	[ft  ]	222.200000	11	YES	241	9999-12-31	2013-05-08	40
1/6-3	11	10336.000000	10373.000000	[ft  ]	222.200000	11	YES	241	9999-12-31	2013-05-08	41
1/6-3	2	10357.000000	10435.000000	[ft  ]	222.200000	11	YES	241	9999-12-31	2013-05-08	42
1/6-3	3	10435.000000	10495.000000	[ft  ]	222.200000	11	YES	241	9999-12-31	2013-05-08	43
1/6-3	4	10495.000000	10581.000000	[ft  ]	222.200000	11	YES	241	9999-12-31	2013-05-08	44
1/6-3	5	10581.000000	10665.000000	[ft  ]	222.200000	11	YES	241	9999-12-31	2013-05-08	45
1/6-3	6	10665.000000	10709.000000	[ft  ]	222.200000	11	YES	241	9999-12-31	2013-05-08	46
1/6-3	7	10709.000000	10793.000000	[ft  ]	222.200000	11	YES	241	9999-12-31	2013-05-08	47
1/6-3	8	10793.000000	10883.000000	[ft  ]	222.200000	11	YES	241	9999-12-31	2013-05-08	48
1/6-3	9	10883.000000	10968.000000	[ft  ]	222.200000	11	YES	241	9999-12-31	2013-05-08	49
1/6-5	1	1725.000000	1728.900000	[m   ]	12.500000	2	YES	1508	9999-12-31	2013-05-08	50
1/6-5	2	1742.500000	1751.100000	[m   ]	12.500000	2	YES	1508	9999-12-31	2013-05-08	51
1/6-6	1	5555.000000	5565.000000	[m   ]	10.000000	1	YES	1839	9999-12-31	2013-05-08	52
1/6-7	1	3295.000000	3313.800000	[m   ]	54.400000	3	YES	1928	9999-12-31	2013-05-08	53
1/6-7	2	4754.000000	4772.000000	[m   ]	54.400000	3	YES	1928	9999-12-31	2013-05-08	54
1/6-7	3	4773.000000	4800.600000	[m   ]	54.400000	3	YES	1928	9999-12-31	2013-05-08	55
1/6-A-10	1	10232.000000	10272.000000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	56
1/6-A-10	10	10732.000000	10770.000000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	57
1/6-A-10	11	10770.000000	10797.000000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	58
1/6-A-10	12	10830.000000	10836.900000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	59
1/6-A-10	13	11620.000000	11654.000000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	60
1/6-A-10	14	11724.000000	11754.600000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	61
1/6-A-10	15	11761.000000	11781.400000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	62
1/6-A-10	16	11785.000000	11813.300000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	63
1/6-A-10	17	11816.000000	11835.100000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	64
1/6-A-10	2	10277.000000	10321.000000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	65
1/6-A-10	3	10322.000000	10378.000000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	66
1/6-A-10	4	10378.000000	10388.600000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	67
1/6-A-10	5	10389.000000	10449.600000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	68
1/6-A-10	6	10449.000000	10495.500000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	69
1/6-A-10	7	10495.000000	10552.000000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	70
1/6-A-10	8	10555.000000	10578.600000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	71
1/6-A-10	9	10692.000000	107314.000000	[ft  ]	181.000000	17	YES	530	9999-12-31	2013-05-08	72
1/6-A-7	1	11169.000000	11184.000000	[ft  ]	45.100000	8	YES	903	9999-12-31	2013-05-08	73
1/6-A-7	2	11188.000000	11218.000000	[ft  ]	45.100000	8	YES	903	9999-12-31	2013-05-08	74
1/6-A-7	3	11315.000000	11345.000000	[ft  ]	45.100000	8	YES	903	9999-12-31	2013-05-08	75
1/6-A-7	4	11345.000000	11317.000000	[ft  ]	45.100000	8	YES	903	9999-12-31	2013-05-08	76
1/6-A-7	5	11431.000000	11435.000000	[ft  ]	45.100000	8	YES	903	9999-12-31	2013-05-08	77
1/6-A-7	6	11460.000000	11484.000000	[ft  ]	45.100000	8	YES	903	9999-12-31	2013-05-08	78
1/6-A-7	7	11489.000000	11513.000000	[ft  ]	45.100000	8	YES	903	9999-12-31	2013-05-08	79
1/6-A-7	8	11610.000000	11622.000000	[ft  ]	45.100000	8	YES	903	9999-12-31	2013-05-08	80
1/9-1	1	3048.000000	3057.200000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	81
1/9-1	10	3198.300000	3216.900000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	82
1/9-1	11	3216.900000	3234.100000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	83
1/9-1	12	3327.200000	3335.300000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	84
1/9-1	2	3057.200000	3075.800000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	85
1/9-1	3	3075.800000	3094.000000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	86
1/9-1	4	3094.000000	3105.300000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	87
1/9-1	5	3105.300000	3123.900000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	88
1/9-1	6	3123.900000	3142.600000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	89
1/9-1	7	3142.500000	3160.000000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	90
1/9-1	8	3161.000000	3179.600000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	91
1/9-1	9	3179.600000	3197.600000	[m   ]	191.300000	12	YES	243	9999-12-31	2013-05-08	92
1/9-2	1	3130.900000	3148.800000	[m   ]	88.600000	5	YES	244	9999-12-31	2013-05-08	93
1/9-2	2	3149.100000	3167.100000	[m   ]	88.600000	5	YES	244	9999-12-31	2013-05-08	94
1/9-2	3	3167.400000	3185.700000	[m   ]	88.600000	5	YES	244	9999-12-31	2013-05-08	95
1/9-2	4	3185.700000	3201.100000	[m   ]	88.600000	5	YES	244	9999-12-31	2013-05-08	96
1/9-2	5	3201.100000	3219.600000	[m   ]	88.600000	5	YES	244	9999-12-31	2013-05-08	97
1/9-3 R	1	3053.000000	3065.300000	[m   ]	180.400000	8	YES	246	9999-12-31	2013-05-08	98
1/9-3 R	2	3066.700000	3082.600000	[m   ]	180.400000	8	YES	246	9999-12-31	2013-05-08	99
1/9-3 R	3	3105.300000	3123.500000	[m   ]	180.400000	8	YES	246	9999-12-31	2013-05-08	100
1/9-3 R	4	3164.600000	3170.500000	[m   ]	180.400000	8	YES	246	9999-12-31	2013-05-08	101
1/9-3 R	5	3175.200000	3178.700000	[m   ]	180.400000	8	YES	246	9999-12-31	2013-05-08	102
1/9-3 R	6	3191.800000	3207.600000	[m   ]	180.400000	8	YES	246	9999-12-31	2013-05-08	103
1/9-3 R	7	3208.300000	3214.100000	[m   ]	180.400000	8	YES	246	9999-12-31	2013-05-08	104
1/9-3 R	8	3214.900000	3233.400000	[m   ]	180.400000	8	YES	246	9999-12-31	2013-05-08	105
1/9-4	1	3122.800000	3141.200000	[m   ]	148.800000	9	YES	247	9999-12-31	2013-05-08	106
1/9-4	2	3141.200000	3159.500000	[m   ]	148.800000	9	YES	247	9999-12-31	2013-05-08	107
1/9-4	3	3159.500000	3173.500000	[m   ]	148.800000	9	YES	247	9999-12-31	2013-05-08	108
1/9-4	4	3173.500000	3191.800000	[m   ]	148.800000	9	YES	247	9999-12-31	2013-05-08	109
1/9-4	5	3191.800000	3210.100000	[m   ]	148.800000	9	YES	247	9999-12-31	2013-05-08	110
1/9-4	6	3210.100000	3218.600000	[m   ]	148.800000	9	YES	247	9999-12-31	2013-05-08	111
1/9-4	7	3219.900000	3238.000000	[m   ]	148.800000	9	YES	247	9999-12-31	2013-05-08	112
1/9-4	8	3238.200000	3256.500000	[m   ]	148.800000	9	YES	247	9999-12-31	2013-05-08	113
1/9-4	9	3256.500000	3273.800000	[m   ]	148.800000	9	YES	247	9999-12-31	2013-05-08	114
1/9-5	1	3215.700000	3234.000000	[m   ]	18.300000	1	YES	248	9999-12-31	2013-05-08	115
1/9-6 S	1	3415.700000	3426.300000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	116
1/9-6 S	10	3556.500000	3573.500000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	117
1/9-6 S	11	3575.000000	3584.400000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	118
1/9-6 S	12	3584.800000	3597.500000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	119
1/9-6 S	13	3598.000000	3615.800000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	120
1/9-6 S	14	3618.100000	3618.700000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	121
1/9-6 S	2	3427.000000	3444.400000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	122
1/9-6 S	3	3445.000000	3457.000000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	123
1/9-6 S	4	3463.600000	3481.100000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	124
1/9-6 S	5	3481.700000	3499.500000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	125
1/9-6 S	6	3500.900000	3517.800000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	126
1/9-6 S	7	3518.700000	3530.000000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	127
1/9-6 S	8	3530.500000	3534.300000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	128
1/9-6 S	9	3537.900000	3555.000000	[m   ]	184.100000	14	YES	44	2012-10-12	2013-05-08	129
1/9-7	1	3104.400000	3107.000000	[m   ]	31.000000	2	YES	4652	2012-10-12	2013-05-08	130
1/9-7	2	3107.000000	3135.400000	[m   ]	31.000000	2	YES	4652	2012-10-12	2013-05-08	131
1/9-A-1 H	1	3226.000000	3244.100000	[m   ]	117.900000	6	YES	1006	9999-12-31	2013-05-08	132
1/9-A-1 H	2	3277.000000	3288.500000	[m   ]	117.900000	6	YES	1006	9999-12-31	2013-05-08	133
1/9-A-1 H	3	3291.500000	3319.100000	[m   ]	117.900000	6	YES	1006	9999-12-31	2013-05-08	134
1/9-A-1 H	4	3319.000000	3346.300000	[m   ]	117.900000	6	YES	1006	9999-12-31	2013-05-08	135
1/9-A-1 H	5	3346.500000	3374.000000	[m   ]	117.900000	6	YES	1006	9999-12-31	2013-05-08	136
1/9-A-1 H	6	3374.200000	3382.100000	[m   ]	117.900000	6	YES	1006	9999-12-31	2013-05-08	137
1/9-A-3 H	1	3089.000000	3107.400000	[m   ]	18.400000	1	YES	1021	9999-12-31	2013-05-08	138
1/9-A-4 H	1	3353.000000	3380.900000	[m   ]	27.900000	1	YES	1035	9999-12-31	2013-05-08	139
10/1-A-8	1	1848.000000	1853.000000	[ft  ]	4.600000	3	YES	543	9999-12-31	2013-05-08	140
10/1-A-8	2	1857.000000	1866.000000	[ft  ]	4.600000	3	YES	543	9999-12-31	2013-05-08	141
10/1-A-8	3	1866.000000	1867.000000	[ft  ]	4.600000	3	YES	543	9999-12-31	2013-05-08	142
10/7-1	1	1561.000000	1565.200000	[m   ]	4.200000	1	YES	1972	9999-12-31	2013-05-08	143
15/12-1	1	8570.000000	8578.000000	[ft  ]	51.500000	8	YES	94	9999-12-31	2013-05-08	144
15/12-1	2	8579.000000	8611.000000	[ft  ]	51.500000	8	YES	94	9999-12-31	2013-05-08	145
15/12-1	3	8642.000000	8698.000000	[ft  ]	51.500000	8	YES	94	9999-12-31	2013-05-08	146
15/12-1	4	10063.000000	10083.000000	[ft  ]	51.500000	8	YES	94	9999-12-31	2013-05-08	147
15/12-1	5	10255.000000	10314.000000	[ft  ]	51.500000	8	YES	94	9999-12-31	2013-05-08	148
15/12-1	6	10314.000000	10341.000000	[ft  ]	51.500000	8	YES	94	9999-12-31	2013-05-08	149
15/12-1	7	10350.000000	10409.000000	[ft  ]	51.500000	8	YES	94	9999-12-31	2013-05-08	150
15/12-1	8	10409.000000	10438.000000	[ft  ]	51.500000	8	YES	94	9999-12-31	2013-05-08	151
15/12-10 S	1	3427.000000	3446.600000	[m   ]	19.600000	1	YES	2285	9999-12-31	2013-05-08	152
15/12-11 S	1	2724.000000	2724.500000	[m   ]	19.000000	2	YES	3074	9999-12-31	2013-05-08	153
15/12-11 S	2	3400.000000	3418.600000	[m   ]	19.000000	2	YES	3074	9999-12-31	2013-05-08	154
15/12-12	1	2864.000000	2892.000000	[m   ]	130.600000	6	YES	3391	9999-12-31	2013-05-08	155
15/12-12	2	2892.000000	2920.000000	[m   ]	130.600000	6	YES	3391	9999-12-31	2013-05-08	156
15/12-12	3	2920.000000	2948.000000	[m   ]	130.600000	6	YES	3391	9999-12-31	2013-05-08	157
15/12-12	4	2948.000000	2974.700000	[m   ]	130.600000	6	YES	3391	9999-12-31	2013-05-08	158
15/12-12	5	2976.000000	2984.200000	[m   ]	130.600000	6	YES	3391	9999-12-31	2013-05-08	159
15/12-12	6	2986.000000	2997.700000	[m   ]	130.600000	6	YES	3391	9999-12-31	2013-05-08	160
15/12-19	1	2975.000000	3002.500000	[m   ]	156.300000	3	YES	5705	9999-12-31	2013-05-08	161
15/12-19	2	3002.500000	3066.900000	[m   ]	156.300000	3	YES	5705	9999-12-31	2013-05-08	162
15/12-19	3	3067.100000	3131.600000	[m   ]	156.300000	3	YES	5705	9999-12-31	2013-05-08	163
15/12-2	1	2823.000000	2835.400000	[m   ]	12.400000	1	YES	331	9999-12-31	2013-05-08	164
15/12-20 S	1	3815.000000	3841.200000	[m   ]	78.100000	2	YES	5824	9999-12-31	2013-05-08	165
15/12-20 S	2	3843.000000	3897.900000	[m   ]	78.100000	2	YES	5824	9999-12-31	2013-05-08	166
15/12-21	1	3054.000000	3088.200000	[m   ]	88.300000	2	YES	6047	9999-12-31	2013-05-08	167
15/12-21	2	3113.000000	3167.100000	[m   ]	88.300000	2	YES	6047	9999-12-31	2013-05-08	168
15/12-23	1	3187.000000	3241.500000	[m   ]	108.800000	2	YES	6327	9999-12-31	2013-05-08	169
15/12-23	2	3241.500000	3295.800000	[m   ]	108.800000	2	YES	6327	9999-12-31	2013-05-08	170
15/12-23 A	1	4614.500000	4663.500000	[m   ]	125.700000	3	YES	6404	9999-12-31	2013-05-08	171
15/12-23 A	2	4664.000000	4701.800000	[m   ]	125.700000	3	YES	6404	9999-12-31	2013-05-08	172
15/12-23 A	3	4701.200000	4740.100000	[m   ]	125.700000	3	YES	6404	9999-12-31	2013-05-08	173
15/12-3	1	3256.000000	3263.300000	[m   ]	16.200000	2	YES	199	9999-12-31	2013-05-08	174
15/12-3	2	4424.000000	4432.900000	[m   ]	16.200000	2	YES	199	9999-12-31	2013-05-08	175
15/12-4	1	2439.000000	2449.000000	[m   ]	46.500000	4	YES	438	9999-12-31	2013-05-08	176
15/12-4	2	2494.500000	2498.700000	[m   ]	46.500000	4	YES	438	9999-12-31	2013-05-08	177
15/12-4	3	2499.000000	2513.600000	[m   ]	46.500000	4	YES	438	9999-12-31	2013-05-08	178
15/12-4	4	2902.000000	2919.700000	[m   ]	46.500000	4	YES	438	9999-12-31	2013-05-08	179
15/12-5	1	2892.000000	2904.000000	[m   ]	68.000000	3	YES	113	9999-12-31	2013-05-08	180
15/12-5	2	2910.500000	2938.500000	[m   ]	68.000000	3	YES	113	9999-12-31	2013-05-08	181
15/12-5	3	2939.000000	2967.000000	[m   ]	68.000000	3	YES	113	9999-12-31	2013-05-08	182
15/12-6 S	1	2838.000000	2864.600000	[m   ]	131.700000	7	YES	1524	9999-12-31	2013-05-08	183
15/12-6 S	2	2865.000000	2891.800000	[m   ]	131.700000	7	YES	1524	9999-12-31	2013-05-08	184
15/12-6 S	3	2892.000000	2907.900000	[m   ]	131.700000	7	YES	1524	9999-12-31	2013-05-08	185
15/12-6 S	4	2910.000000	2937.400000	[m   ]	131.700000	7	YES	1524	9999-12-31	2013-05-08	186
15/12-6 S	5	2937.600000	2953.000000	[m   ]	131.700000	7	YES	1524	9999-12-31	2013-05-08	187
15/12-6 S	6	2953.000000	2964.400000	[m   ]	131.700000	7	YES	1524	9999-12-31	2013-05-08	188
15/12-6 S	7	2980.000000	2988.300000	[m   ]	131.700000	7	YES	1524	9999-12-31	2013-05-08	189
15/12-7 S	1	3028.000000	3053.500000	[m   ]	25.500000	1	YES	1680	9999-12-31	2013-05-08	190
15/12-8 A	1	2841.000000	2847.400000	[m   ]	61.000000	3	YES	1835	9999-12-31	2013-05-08	191
15/12-8 A	2	2847.400000	2874.900000	[m   ]	61.000000	3	YES	1835	9999-12-31	2013-05-08	192
15/12-8 A	3	2874.900000	2902.000000	[m   ]	61.000000	3	YES	1835	9999-12-31	2013-05-08	193
15/12-9 S	1	3389.000000	3416.000000	[m   ]	184.500000	7	YES	1978	9999-12-31	2013-05-08	194
15/12-9 S	2	3416.000000	3443.600000	[m   ]	184.500000	7	YES	1978	9999-12-31	2013-05-08	195
15/12-9 S	3	3443.600000	3471.000000	[m   ]	184.500000	7	YES	1978	9999-12-31	2013-05-08	196
15/12-9 S	4	3471.300000	3499.000000	[m   ]	184.500000	7	YES	1978	9999-12-31	2013-05-08	197
15/12-9 S	5	3499.100000	3527.000000	[m   ]	184.500000	7	YES	1978	9999-12-31	2013-05-08	198
15/12-9 S	6	3527.300000	3555.000000	[m   ]	184.500000	7	YES	1978	9999-12-31	2013-05-08	199
15/12-9 S	7	3652.000000	3670.500000	[m   ]	184.500000	7	YES	1978	9999-12-31	2013-05-08	200
15/12-A-14	1	3785.000000	3820.600000	[m   ]	171.000000	4	YES	3292	9999-12-31	2013-05-08	201
15/12-A-14	2	3822.000000	3865.200000	[m   ]	171.000000	4	YES	3292	9999-12-31	2013-05-08	202
15/12-A-14	3	3868.000000	3914.500000	[m   ]	171.000000	4	YES	3292	9999-12-31	2013-05-08	203
15/12-A-14	4	3914.000000	3959.700000	[m   ]	171.000000	4	YES	3292	9999-12-31	2013-05-08	204
15/12-A-5	1	3483.000000	3495.000000	[m   ]	202.700000	5	YES	3291	9999-12-31	2013-05-08	205
15/12-A-5	2	3497.000000	3524.000000	[m   ]	202.700000	5	YES	3291	9999-12-31	2013-05-08	206
15/12-A-5	3	3524.000000	3578.700000	[m   ]	202.700000	5	YES	3291	9999-12-31	2013-05-08	207
15/12-A-5	4	3579.000000	3633.500000	[m   ]	202.700000	5	YES	3291	9999-12-31	2013-05-08	208
15/12-A-5	5	3634.000000	3688.500000	[m   ]	202.700000	5	YES	3291	9999-12-31	2013-05-08	209
15/12-A-8	1	3135.000000	3161.800000	[m   ]	116.200000	6	YES	3221	9999-12-31	2013-05-08	210
15/12-A-8	2	3162.000000	3190.000000	[m   ]	116.200000	6	YES	3221	9999-12-31	2013-05-08	211
15/12-A-8	3	3190.000000	3222.200000	[m   ]	116.200000	6	YES	3221	9999-12-31	2013-05-08	212
15/12-A-8	4	3223.000000	3237.300000	[m   ]	116.200000	6	YES	3221	9999-12-31	2013-05-08	213
15/12-A-8	5	3237.300000	3239.000000	[m   ]	116.200000	6	YES	3221	9999-12-31	2013-05-08	214
15/12-A-8	6	3241.000000	3254.200000	[m   ]	116.200000	6	YES	3221	9999-12-31	2013-05-08	215
15/2-1	1	4368.000000	4369.800000	[m   ]	22.000000	2	YES	308	9999-12-31	2013-05-08	216
15/2-1	2	4369.800000	4390.000000	[m   ]	22.000000	2	YES	308	9999-12-31	2013-05-08	217
15/3-1 S	1	3947.000000	3950.500000	[m   ]	20.000000	4	YES	309	9999-12-31	2013-05-08	218
15/3-1 S	2	4083.000000	4090.500000	[m   ]	20.000000	4	YES	309	9999-12-31	2013-05-08	219
15/3-1 S	3	4141.000000	4150.000000	[m   ]	20.000000	4	YES	309	9999-12-31	2013-05-08	220
15/3-1 S	4	4991.000000	4993.300000	[m   ]	20.000000	4	YES	309	9999-12-31	2013-05-08	221
15/3-2 R	1	4402.000000	4403.800000	[m   ]	18.500000	4	YES	311	9999-12-31	2013-05-08	222
15/3-2 R	2	4406.000000	4407.800000	[m   ]	18.500000	4	YES	311	9999-12-31	2013-05-08	223
15/3-2 R	3	4565.000000	4575.000000	[m   ]	18.500000	4	YES	311	9999-12-31	2013-05-08	224
15/3-2 R	4	4656.000000	4662.000000	[m   ]	18.500000	4	YES	311	9999-12-31	2013-05-08	225
15/3-3	1	4262.000000	4268.500000	[m   ]	78.900000	6	YES	313	9999-12-31	2013-05-08	226
15/3-3	2	4274.000000	4287.000000	[m   ]	78.900000	6	YES	313	9999-12-31	2013-05-08	227
15/3-3	3	4287.500000	4307.900000	[m   ]	78.900000	6	YES	313	9999-12-31	2013-05-08	228
15/3-3	4	4547.000000	4562.000000	[m   ]	78.900000	6	YES	313	9999-12-31	2013-05-08	229
15/3-3	5	4851.000000	4860.000000	[m   ]	78.900000	6	YES	313	9999-12-31	2013-05-08	230
15/3-3	6	4995.000000	5004.000000	[m   ]	78.900000	6	YES	313	9999-12-31	2013-05-08	231
15/3-4	1	1678.000000	1683.000000	[m   ]	50.400000	5	YES	314	9999-12-31	2013-05-08	232
15/3-4	2	3792.000000	3795.600000	[m   ]	50.400000	5	YES	314	9999-12-31	2013-05-08	233
15/3-4	3	3796.100000	3806.000000	[m   ]	50.400000	5	YES	314	9999-12-31	2013-05-08	234
15/3-4	4	3806.000000	3821.100000	[m   ]	50.400000	5	YES	314	9999-12-31	2013-05-08	235
15/3-4	5	3821.000000	3839.300000	[m   ]	50.400000	5	YES	314	9999-12-31	2013-05-08	236
15/3-6	1	2140.000000	2158.100000	[m   ]	73.000000	3	YES	3250	9999-12-31	2013-05-08	237
15/3-6	2	2158.100000	2175.700000	[m   ]	73.000000	3	YES	3250	9999-12-31	2013-05-08	238
15/3-6	3	2278.000000	2297.700000	[m   ]	73.000000	3	YES	3250	9999-12-31	2013-05-08	239
15/3-7	1	4609.000000	4615.700000	[m   ]	46.400000	4	YES	4055	9999-12-31	2013-05-08	240
15/3-7	2	4616.600000	4617.500000	[m   ]	46.400000	4	YES	4055	9999-12-31	2013-05-08	241
15/3-7	3	4620.500000	4633.600000	[m   ]	46.400000	4	YES	4055	9999-12-31	2013-05-08	242
15/3-7	4	4643.000000	4668.800000	[m   ]	46.400000	4	YES	4055	9999-12-31	2013-05-08	243
15/3-8	1	4167.000000	4179.600000	[m   ]	158.900000	7	YES	5175	9999-12-31	2013-05-08	244
15/3-8	2	4179.600000	4200.500000	[m   ]	158.900000	7	YES	5175	9999-12-31	2013-05-08	245
15/3-8	3	4202.000000	4238.500000	[m   ]	158.900000	7	YES	5175	9999-12-31	2013-05-08	246
15/3-8	4	4238.500000	4275.200000	[m   ]	158.900000	7	YES	5175	9999-12-31	2013-05-08	247
15/3-8	5	4275.200000	4302.500000	[m   ]	158.900000	7	YES	5175	9999-12-31	2013-05-08	248
15/3-8	6	4478.500000	4492.500000	[m   ]	158.900000	7	YES	5175	9999-12-31	2013-05-08	249
15/3-8	7	4494.000000	4505.100000	[m   ]	158.900000	7	YES	5175	9999-12-31	2013-05-08	250
15/3-9	1	4124.000000	4147.000000	[m   ]	55.200000	2	YES	6354	2012-10-16	2013-05-08	251
15/3-9	2	4482.000000	4514.200000	[m   ]	55.200000	2	YES	6354	2012-10-16	2013-05-08	252
15/5-1	1	3561.000000	3577.900000	[m   ]	50.400000	5	YES	315	9999-12-31	2013-05-08	253
15/5-1	2	3578.500000	3590.200000	[m   ]	50.400000	5	YES	315	9999-12-31	2013-05-08	254
15/5-1	3	3591.100000	3600.400000	[m   ]	50.400000	5	YES	315	9999-12-31	2013-05-08	255
15/5-1	4	3609.000000	3620.000000	[m   ]	50.400000	5	YES	315	9999-12-31	2013-05-08	256
15/5-1	5	3623.000000	3642.500000	[m   ]	50.400000	5	YES	315	9999-12-31	2013-05-08	257
15/5-2	1	4013.600000	4018.800000	[m   ]	15.000000	2	YES	316	9999-12-31	2013-05-08	258
15/5-2	2	4032.500000	4042.300000	[m   ]	15.000000	2	YES	316	9999-12-31	2013-05-08	259
15/5-3	1	3815.000000	3826.200000	[m   ]	14.900000	2	YES	207	9999-12-31	2013-05-08	260
15/5-3	2	5038.000000	5041.700000	[m   ]	14.900000	2	YES	207	9999-12-31	2013-05-08	261
15/5-4	1	2106.000000	2124.800000	[m   ]	40.700000	4	YES	1762	9999-12-31	2013-05-08	262
15/5-4	2	2124.000000	2129.000000	[m   ]	40.700000	4	YES	1762	9999-12-31	2013-05-08	263
15/5-4	3	2129.000000	2132.000000	[m   ]	40.700000	4	YES	1762	9999-12-31	2013-05-08	264
15/5-4	4	2132.000000	2145.900000	[m   ]	40.700000	4	YES	1762	9999-12-31	2013-05-08	265
15/5-5	1	2157.000000	2175.500000	[m   ]	37.100000	3	YES	2635	9999-12-31	2013-05-08	266
15/5-5	2	2175.500000	2177.900000	[m   ]	37.100000	3	YES	2635	9999-12-31	2013-05-08	267
15/5-5	3	2181.500000	2198.200000	[m   ]	37.100000	3	YES	2635	9999-12-31	2013-05-08	268
15/5-6	1	2180.000000	2202.300000	[m   ]	22.300000	1	YES	3113	9999-12-31	2013-05-08	269
15/5-7	1	3826.000000	3880.500000	[m   ]	114.000000	3	YES	5842	9999-12-31	2013-05-08	270
15/5-7	2	3880.500000	3927.400000	[m   ]	114.000000	3	YES	5842	9999-12-31	2013-05-08	271
15/5-7	3	3927.400000	3940.000000	[m   ]	114.000000	3	YES	5842	9999-12-31	2013-05-08	272
15/6-11 A	1	4148.000000	4181.000000	[m   ]	33.000000	1	YES	6526	9999-12-31	2013-05-08	273
15/6-2	1	7336.000000	7356.000000	[ft  ]	13.000000	3	YES	317	9999-12-31	2013-05-08	274
15/6-2	2	7666.000000	7670.000000	[ft  ]	13.000000	3	YES	317	9999-12-31	2013-05-08	275
15/6-2	3	8843.000000	8849.000000	[ft  ]	13.000000	3	YES	317	9999-12-31	2013-05-08	276
15/6-2 R	1	11735.000000	11783.000000	[ft  ]	64.300000	5	YES	517	9999-12-31	2013-05-08	277
15/6-2 R	2	11783.000000	11822.000000	[ft  ]	64.300000	5	YES	517	9999-12-31	2013-05-08	278
15/6-2 R	3	11823.000000	11870.000000	[ft  ]	64.300000	5	YES	517	9999-12-31	2013-05-08	279
15/6-2 R	4	11870.000000	11898.000000	[ft  ]	64.300000	5	YES	517	9999-12-31	2013-05-08	280
15/6-2 R	5	11898.000000	11946.000000	[ft  ]	64.300000	5	YES	517	9999-12-31	2013-05-08	281
15/6-3	1	11523.000000	11552.000000	[ft  ]	125.800000	10	YES	318	9999-12-31	2013-05-08	282
15/6-3	10	11918.000000	11978.000000	[ft  ]	125.800000	10	YES	318	9999-12-31	2013-05-08	283
15/6-3	2	11553.000000	11585.000000	[ft  ]	125.800000	10	YES	318	9999-12-31	2013-05-08	284
15/6-3	3	11585.600000	11643.000000	[ft  ]	125.800000	10	YES	318	9999-12-31	2013-05-08	285
15/6-3	4	11643.000000	11700.000000	[ft  ]	125.800000	10	YES	318	9999-12-31	2013-05-08	286
15/6-3	5	11700.000000	11743.000000	[ft  ]	125.800000	10	YES	318	9999-12-31	2013-05-08	287
15/6-3	6	11743.000000	11758.000000	[ft  ]	125.800000	10	YES	318	9999-12-31	2013-05-08	288
15/6-3	7	11799.000000	11806.000000	[ft  ]	125.800000	10	YES	318	9999-12-31	2013-05-08	289
15/6-3	8	11806.400000	11860.000000	[ft  ]	125.800000	10	YES	318	9999-12-31	2013-05-08	290
15/6-3	9	11860.000000	11918.000000	[ft  ]	125.800000	10	YES	318	9999-12-31	2013-05-08	291
15/6-4	1	10585.000000	10604.000000	[ft  ]	54.400000	4	YES	319	9999-12-31	2013-05-08	292
15/6-4	2	10607.000000	10651.200000	[ft  ]	54.400000	4	YES	319	9999-12-31	2013-05-08	293
15/6-4	3	3271.300000	3290.100000	[m   ]	54.400000	4	YES	319	9999-12-31	2013-05-08	294
15/6-4	4	3290.100000	3308.100000	[m   ]	54.400000	4	YES	319	9999-12-31	2013-05-08	295
15/6-5	1	3629.000000	3647.500000	[m   ]	52.500000	4	YES	320	9999-12-31	2013-05-08	296
15/6-5	2	3647.500000	3655.700000	[m   ]	52.500000	4	YES	320	9999-12-31	2013-05-08	297
15/6-5	3	3656.400000	3674.000000	[m   ]	52.500000	4	YES	320	9999-12-31	2013-05-08	298
15/6-5	4	3674.100000	3682.300000	[m   ]	52.500000	4	YES	320	9999-12-31	2013-05-08	299
15/6-6	1	3591.000000	3609.500000	[m   ]	53.400000	3	YES	38	9999-12-31	2013-05-08	300
15/6-6	2	3609.500000	3625.500000	[m   ]	53.400000	3	YES	38	9999-12-31	2013-05-08	301
15/6-6	3	3625.500000	3644.400000	[m   ]	53.400000	3	YES	38	9999-12-31	2013-05-08	302
15/6-7	1	3414.000000	3429.700000	[m   ]	15.700000	1	YES	2084	9999-12-31	2013-05-08	303
15/6-8 A	1	2438.000000	2448.200000	[m   ]	10.200000	1	YES	3077	9999-12-31	2013-05-08	304
15/6-8 S	1	3172.000000	3180.900000	[m   ]	8.900000	1	YES	3014	9999-12-31	2013-05-08	305
15/6-9 S	1	3761.300000	3810.700000	[m   ]	49.400000	1	YES	5494	9999-12-31	2013-05-08	306
15/8-1	1	3658.000000	3667.500000	[m   ]	47.500000	5	YES	321	9999-12-31	2013-05-08	307
15/8-1	2	3667.500000	3678.600000	[m   ]	47.500000	5	YES	321	9999-12-31	2013-05-08	308
15/8-1	3	3678.800000	3680.600000	[m   ]	47.500000	5	YES	321	9999-12-31	2013-05-08	309
15/8-1	4	3681.900000	3699.000000	[m   ]	47.500000	5	YES	321	9999-12-31	2013-05-08	310
15/8-1	5	3699.000000	3706.200000	[m   ]	47.500000	5	YES	321	9999-12-31	2013-05-08	311
15/9-1	1	3521.000000	3539.300000	[m   ]	153.700000	9	YES	322	9999-12-31	2013-05-08	312
15/9-1	2	3539.300000	3557.500000	[m   ]	153.700000	9	YES	322	9999-12-31	2013-05-08	313
15/9-1	3	3557.500000	3567.700000	[m   ]	153.700000	9	YES	322	9999-12-31	2013-05-08	314
15/9-1	4	3570.000000	3584.500000	[m   ]	153.700000	9	YES	322	9999-12-31	2013-05-08	315
15/9-1	5	3587.800000	3602.300000	[m   ]	153.700000	9	YES	322	9999-12-31	2013-05-08	316
15/9-1	6	3603.100000	3621.300000	[m   ]	153.700000	9	YES	322	9999-12-31	2013-05-08	317
15/9-1	7	3621.300000	3639.100000	[m   ]	153.700000	9	YES	322	9999-12-31	2013-05-08	318
15/9-1	8	3639.100000	3657.400000	[m   ]	153.700000	9	YES	322	9999-12-31	2013-05-08	319
15/9-1	9	3657.400000	3675.500000	[m   ]	153.700000	9	YES	322	9999-12-31	2013-05-08	320
15/9-10	1	3061.000000	3062.400000	[m   ]	52.200000	4	YES	69	9999-12-31	2013-05-08	321
15/9-10	2	3082.000000	3101.000000	[m   ]	52.200000	4	YES	69	9999-12-31	2013-05-08	322
15/9-10	3	3137.000000	3151.800000	[m   ]	52.200000	4	YES	69	9999-12-31	2013-05-08	323
15/9-10	4	3153.000000	3171.000000	[m   ]	52.200000	4	YES	69	9999-12-31	2013-05-08	324
15/9-11	1	2364.000000	2370.000000	[m   ]	104.300000	11	YES	329	9999-12-31	2013-05-08	325
15/9-11	10	2492.000000	2505.100000	[m   ]	104.300000	11	YES	329	9999-12-31	2013-05-08	326
15/9-11	11	2506.000000	2513.500000	[m   ]	104.300000	11	YES	329	9999-12-31	2013-05-08	327
15/9-11	2	2370.000000	2374.000000	[m   ]	104.300000	11	YES	329	9999-12-31	2013-05-08	328
15/9-11	3	2395.000000	2406.000000	[m   ]	104.300000	11	YES	329	9999-12-31	2013-05-08	329
15/9-11	4	2406.000000	2423.600000	[m   ]	104.300000	11	YES	329	9999-12-31	2013-05-08	330
15/9-11	5	2424.000000	2429.000000	[m   ]	104.300000	11	YES	329	9999-12-31	2013-05-08	331
15/9-11	6	2436.000000	2449.000000	[m   ]	104.300000	11	YES	329	9999-12-31	2013-05-08	332
15/9-11	7	2449.000000	2457.500000	[m   ]	104.300000	11	YES	329	9999-12-31	2013-05-08	333
15/9-11	8	\N	0.000000	\N	104.300000	11	YES	329	9999-12-31	2013-05-08	334
15/9-11	9	2473.000000	2491.500000	[m   ]	104.300000	11	YES	329	9999-12-31	2013-05-08	335
15/9-12	1	3504.500000	3522.200000	[m   ]	168.800000	11	YES	330	9999-12-31	2013-05-08	336
15/9-12	10	3662.000000	3664.800000	[m   ]	168.800000	11	YES	330	9999-12-31	2013-05-08	337
15/9-12	11	3681.000000	3692.400000	[m   ]	168.800000	11	YES	330	9999-12-31	2013-05-08	338
15/9-12	2	3522.300000	3540.200000	[m   ]	168.800000	11	YES	330	9999-12-31	2013-05-08	339
15/9-12	3	3540.200000	3553.300000	[m   ]	168.800000	11	YES	330	9999-12-31	2013-05-08	340
15/9-12	4	3554.000000	3572.000000	[m   ]	168.800000	11	YES	330	9999-12-31	2013-05-08	341
15/9-12	5	3572.200000	3589.800000	[m   ]	168.800000	11	YES	330	9999-12-31	2013-05-08	342
15/9-12	6	3590.000000	3607.700000	[m   ]	168.800000	11	YES	330	9999-12-31	2013-05-08	343
15/9-12	7	3608.000000	3625.700000	[m   ]	168.800000	11	YES	330	9999-12-31	2013-05-08	344
15/9-12	8	3626.000000	3642.700000	[m   ]	168.800000	11	YES	330	9999-12-31	2013-05-08	345
15/9-12	9	3644.000000	3661.600000	[m   ]	168.800000	11	YES	330	9999-12-31	2013-05-08	346
15/9-13	1	2404.000000	2420.000000	[m   ]	51.400000	7	YES	45	9999-12-31	2013-05-08	347
15/9-13	2	2423.000000	2434.500000	[m   ]	51.400000	7	YES	45	9999-12-31	2013-05-08	348
15/9-13	3	2435.000000	2453.500000	[m   ]	51.400000	7	YES	45	9999-12-31	2013-05-08	349
15/9-13	4	2763.000000	2772.300000	[m   ]	51.400000	7	YES	45	9999-12-31	2013-05-08	350
15/9-13	5	2772.700000	2778.000000	[m   ]	51.400000	7	YES	45	9999-12-31	2013-05-08	351
15/9-13	6	2778.000000	2786.000000	[m   ]	51.400000	7	YES	45	9999-12-31	2013-05-08	352
15/9-13	7	2787.000000	2799.900000	[m   ]	51.400000	7	YES	45	9999-12-31	2013-05-08	353
15/9-14	1	3228.000000	3235.300000	[m   ]	26.200000	2	YES	71	9999-12-31	2013-05-08	354
15/9-14	2	3267.000000	3285.900000	[m   ]	26.200000	2	YES	71	9999-12-31	2013-05-08	355
15/9-15	1	2805.000000	2823.400000	[m   ]	73.000000	4	YES	74	9999-12-31	2013-05-08	356
15/9-15	2	2823.400000	2841.600000	[m   ]	73.000000	4	YES	74	9999-12-31	2013-05-08	357
15/9-15	3	2841.600000	2859.900000	[m   ]	73.000000	4	YES	74	9999-12-31	2013-05-08	358
15/9-15	4	2859.900000	2878.200000	[m   ]	73.000000	4	YES	74	9999-12-31	2013-05-08	359
15/9-16	1	2382.000000	2395.700000	[m   ]	113.900000	7	YES	79	9999-12-31	2013-05-08	360
15/9-16	2	2397.000000	2414.200000	[m   ]	113.900000	7	YES	79	9999-12-31	2013-05-08	361
15/9-16	3	2414.500000	2427.500000	[m   ]	113.900000	7	YES	79	9999-12-31	2013-05-08	362
15/9-16	4	2427.500000	2440.200000	[m   ]	113.900000	7	YES	79	9999-12-31	2013-05-08	363
15/9-16	5	2441.000000	2460.000000	[m   ]	113.900000	7	YES	79	9999-12-31	2013-05-08	364
15/9-16	6	2460.000000	2479.500000	[m   ]	113.900000	7	YES	79	9999-12-31	2013-05-08	365
15/9-16	7	2479.500000	2498.300000	[m   ]	113.900000	7	YES	79	9999-12-31	2013-05-08	366
15/9-17	1	2382.000000	2392.000000	[m   ]	148.600000	10	YES	60	9999-12-31	2013-05-08	367
15/9-17	10	2810.000000	2828.900000	[m   ]	148.600000	10	YES	60	9999-12-31	2013-05-08	368
15/9-17	2	2392.000000	2407.500000	[m   ]	148.600000	10	YES	60	9999-12-31	2013-05-08	369
15/9-17	3	2407.500000	2425.000000	[m   ]	148.600000	10	YES	60	9999-12-31	2013-05-08	370
15/9-17	4	2425.300000	2441.100000	[m   ]	148.600000	10	YES	60	9999-12-31	2013-05-08	371
15/9-17	5	2442.000000	2451.300000	[m   ]	148.600000	10	YES	60	9999-12-31	2013-05-08	372
15/9-17	6	2714.000000	2723.100000	[m   ]	148.600000	10	YES	60	9999-12-31	2013-05-08	373
15/9-17	7	2723.200000	2741.200000	[m   ]	148.600000	10	YES	60	9999-12-31	2013-05-08	374
15/9-17	8	2741.200000	2757.500000	[m   ]	148.600000	10	YES	60	9999-12-31	2013-05-08	375
15/9-17	9	2757.500000	2775.400000	[m   ]	148.600000	10	YES	60	9999-12-31	2013-05-08	376
15/9-18	1	2630.000000	2632.200000	[m   ]	52.500000	4	YES	36	9999-12-31	2013-05-08	377
15/9-18	2	2632.500000	2645.900000	[m   ]	52.500000	4	YES	36	9999-12-31	2013-05-08	378
15/9-18	3	3230.000000	3248.400000	[m   ]	52.500000	4	YES	36	9999-12-31	2013-05-08	379
15/9-18	4	3248.000000	3266.500000	[m   ]	52.500000	4	YES	36	9999-12-31	2013-05-08	380
15/9-19 A	1	3837.000000	3852.200000	[m   ]	177.000000	7	YES	3145	9999-12-31	2013-05-08	381
15/9-19 A	2	3854.000000	3881.700000	[m   ]	177.000000	7	YES	3145	9999-12-31	2013-05-08	382
15/9-19 A	3	3881.500000	3908.400000	[m   ]	177.000000	7	YES	3145	9999-12-31	2013-05-08	383
15/9-19 A	4	3908.500000	3934.500000	[m   ]	177.000000	7	YES	3145	9999-12-31	2013-05-08	384
15/9-19 A	5	3935.500000	3963.000000	[m   ]	177.000000	7	YES	3145	9999-12-31	2013-05-08	385
15/9-19 A	6	3963.000000	3991.000000	[m   ]	177.000000	7	YES	3145	9999-12-31	2013-05-08	386
15/9-19 A	7	3991.000000	4016.700000	[m   ]	177.000000	7	YES	3145	9999-12-31	2013-05-08	387
15/9-19 B	1	4037.000000	4049.800000	[m   ]	66.800000	4	YES	3251	9999-12-31	2013-05-08	388
15/9-19 B	2	4054.500000	4071.800000	[m   ]	66.800000	4	YES	3251	9999-12-31	2013-05-08	389
15/9-19 B	3	4072.000000	4090.000000	[m   ]	66.800000	4	YES	3251	9999-12-31	2013-05-08	390
15/9-19 B	4	4090.500000	4109.200000	[m   ]	66.800000	4	YES	3251	9999-12-31	2013-05-08	391
15/9-19 SR	1	3643.000000	3647.800000	[m   ]	59.000000	3	YES	2105	9999-12-31	2013-05-08	392
15/9-19 SR	2	4328.000000	4354.200000	[m   ]	59.000000	3	YES	2105	9999-12-31	2013-05-08	393
15/9-19 SR	3	4355.000000	4383.000000	[m   ]	59.000000	3	YES	2105	9999-12-31	2013-05-08	394
15/9-2	1	3498.000000	3514.600000	[m   ]	192.800000	11	YES	323	9999-12-31	2013-05-08	395
15/9-2	10	3661.100000	3669.000000	[m   ]	192.800000	11	YES	323	9999-12-31	2013-05-08	396
15/9-2	11	3674.000000	3690.800000	[m   ]	192.800000	11	YES	323	9999-12-31	2013-05-08	397
15/9-2	2	3515.000000	3533.300000	[m   ]	192.800000	11	YES	323	9999-12-31	2013-05-08	398
15/9-2	3	3533.300000	3551.600000	[m   ]	192.800000	11	YES	323	9999-12-31	2013-05-08	399
15/9-2	4	3551.600000	3569.900000	[m   ]	192.800000	11	YES	323	9999-12-31	2013-05-08	400
15/9-2	5	3569.900000	3588.200000	[m   ]	192.800000	11	YES	323	9999-12-31	2013-05-08	401
15/9-2	6	3588.200000	3606.200000	[m   ]	192.800000	11	YES	323	9999-12-31	2013-05-08	402
15/9-2	7	3606.200000	3625.700000	[m   ]	192.800000	11	YES	323	9999-12-31	2013-05-08	403
15/9-2	8	3624.500000	3642.500000	[m   ]	192.800000	11	YES	323	9999-12-31	2013-05-08	404
15/9-2	9	3645.700000	3661.100000	[m   ]	192.800000	11	YES	323	9999-12-31	2013-05-08	405
15/9-21 S	1	4747.000000	4752.300000	[m   ]	94.300000	4	YES	3334	9999-12-31	2013-05-08	406
15/9-21 S	2	4753.000000	4784.000000	[m   ]	94.300000	4	YES	3334	9999-12-31	2013-05-08	407
15/9-21 S	3	4784.000000	4815.000000	[m   ]	94.300000	4	YES	3334	9999-12-31	2013-05-08	408
15/9-21 S	4	4816.000000	4843.000000	[m   ]	94.300000	4	YES	3334	9999-12-31	2013-05-08	409
15/9-3	1	3511.000000	3528.700000	[m   ]	68.700000	4	YES	324	9999-12-31	2013-05-08	410
15/9-3	2	3529.000000	3546.700000	[m   ]	68.700000	4	YES	324	9999-12-31	2013-05-08	411
15/9-3	3	3547.000000	3565.100000	[m   ]	68.700000	4	YES	324	9999-12-31	2013-05-08	412
15/9-3	4	3565.100000	3579.700000	[m   ]	68.700000	4	YES	324	9999-12-31	2013-05-08	413
15/9-4	1	3457.000000	3475.200000	[m   ]	137.800000	9	YES	325	9999-12-31	2013-05-08	414
15/9-4	2	3457.300000	3493.100000	[m   ]	137.800000	9	YES	325	9999-12-31	2013-05-08	415
15/9-4	3	3493.100000	3510.900000	[m   ]	137.800000	9	YES	325	9999-12-31	2013-05-08	416
15/9-4	4	3510.900000	3528.800000	[m   ]	137.800000	9	YES	325	9999-12-31	2013-05-08	417
15/9-4	5	3528.900000	3544.200000	[m   ]	137.800000	9	YES	325	9999-12-31	2013-05-08	418
15/9-4	6	3544.200000	3556.000000	[m   ]	137.800000	9	YES	325	9999-12-31	2013-05-08	419
15/9-4	7	3557.000000	3566.700000	[m   ]	137.800000	9	YES	325	9999-12-31	2013-05-08	420
15/9-4	8	3569.000000	3584.800000	[m   ]	137.800000	9	YES	325	9999-12-31	2013-05-08	421
15/9-4	9	3587.000000	3594.800000	[m   ]	137.800000	9	YES	325	9999-12-31	2013-05-08	422
15/9-5	1	3525.000000	3543.400000	[m   ]	133.500000	9	YES	326	9999-12-31	2013-05-08	423
15/9-5	2	3543.400000	3547.000000	[m   ]	133.500000	9	YES	326	9999-12-31	2013-05-08	424
15/9-5	3	3547.000000	3565.400000	[m   ]	133.500000	9	YES	326	9999-12-31	2013-05-08	425
15/9-5	4	3565.400000	3583.800000	[m   ]	133.500000	9	YES	326	9999-12-31	2013-05-08	426
15/9-5	5	3584.100000	3600.400000	[m   ]	133.500000	9	YES	326	9999-12-31	2013-05-08	427
15/9-5	6	3600.700000	3618.900000	[m   ]	133.500000	9	YES	326	9999-12-31	2013-05-08	428
15/9-5	7	3619.200000	3634.900000	[m   ]	133.500000	9	YES	326	9999-12-31	2013-05-08	429
15/9-5	8	3635.400000	3643.800000	[m   ]	133.500000	9	YES	326	9999-12-31	2013-05-08	430
15/9-5	9	3645.300000	3662.300000	[m   ]	133.500000	9	YES	326	9999-12-31	2013-05-08	431
15/9-6	1	3768.500000	3778.200000	[m   ]	11.300000	2	YES	231	9999-12-31	2013-05-08	432
15/9-6	2	3810.000000	3811.600000	[m   ]	11.300000	2	YES	231	9999-12-31	2013-05-08	433
15/9-7	1	3516.000000	3530.200000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	434
15/9-7	10	3633.000000	3642.500000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	435
15/9-7	11	3643.000000	3653.000000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	436
15/9-7	12	3653.000000	3671.800000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	437
15/9-7	2	3530.200000	3531.500000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	438
15/9-7	3	3533.000000	3551.000000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	439
15/9-7	4	3550.000000	3567.800000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	440
15/9-7	5	3568.000000	3585.600000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	441
15/9-7	6	3585.600000	3597.900000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	442
15/9-7	7	3597.900000	3616.700000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	443
15/9-7	8	3615.000000	3620.400000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	444
15/9-7	9	3621.000000	3633.400000	[m   ]	156.100000	12	YES	218	9999-12-31	2013-05-08	445
15/9-8	1	3448.400000	3465.800000	[m   ]	45.000000	4	YES	327	9999-12-31	2013-05-08	446
15/9-8	2	3466.000000	3477.700000	[m   ]	45.000000	4	YES	327	9999-12-31	2013-05-08	447
15/9-8	3	3477.000000	3477.500000	[m   ]	45.000000	4	YES	327	9999-12-31	2013-05-08	448
15/9-8	4	3478.000000	3493.400000	[m   ]	45.000000	4	YES	327	9999-12-31	2013-05-08	449
15/9-9	1	2648.000000	2665.700000	[m   ]	118.100000	7	YES	328	9999-12-31	2013-05-08	450
15/9-9	2	2666.000000	2684.000000	[m   ]	118.100000	7	YES	328	9999-12-31	2013-05-08	451
15/9-9	3	2684.000000	2701.900000	[m   ]	118.100000	7	YES	328	9999-12-31	2013-05-08	452
15/9-9	4	2702.000000	2719.900000	[m   ]	118.100000	7	YES	328	9999-12-31	2013-05-08	453
15/9-9	5	2720.000000	2738.400000	[m   ]	118.100000	7	YES	328	9999-12-31	2013-05-08	454
15/9-9	6	2738.400000	2755.600000	[m   ]	118.100000	7	YES	328	9999-12-31	2013-05-08	455
15/9-9	7	3032.000000	3043.100000	[m   ]	118.100000	7	YES	328	9999-12-31	2013-05-08	456
15/9-A-12	1	2746.000000	2773.200000	[m   ]	81.000000	2	YES	2577	9999-12-31	2013-05-08	457
15/9-A-12	2	3083.000000	3136.800000	[m   ]	81.000000	2	YES	2577	9999-12-31	2013-05-08	458
15/9-A-15	1	3728.000000	3780.200000	[m   ]	120.700000	4	YES	2481	9999-12-31	2013-05-08	459
15/9-A-15	2	4121.000000	4141.700000	[m   ]	120.700000	4	YES	2481	9999-12-31	2013-05-08	460
15/9-A-15	3	4141.100000	4162.200000	[m   ]	120.700000	4	YES	2481	9999-12-31	2013-05-08	461
15/9-A-15	4	4163.000000	4189.700000	[m   ]	120.700000	4	YES	2481	9999-12-31	2013-05-08	462
15/9-A-19	1	4655.000000	4683.400000	[m   ]	28.400000	1	YES	2583	9999-12-31	2013-05-08	463
15/9-A-21	1	3586.000000	3613.700000	[m   ]	27.700000	1	YES	2399	9999-12-31	2013-05-08	464
15/9-A-22	1	2940.000000	2949.200000	[m   ]	130.000000	6	YES	2286	9999-12-31	2013-05-08	465
15/9-A-22	2	2949.200000	2977.600000	[m   ]	130.000000	6	YES	2286	9999-12-31	2013-05-08	466
15/9-A-22	3	2977.600000	3005.800000	[m   ]	130.000000	6	YES	2286	9999-12-31	2013-05-08	467
15/9-A-22	4	3005.900000	3015.200000	[m   ]	130.000000	6	YES	2286	9999-12-31	2013-05-08	468
15/9-A-22	5	3015.200000	3043.200000	[m   ]	130.000000	6	YES	2286	9999-12-31	2013-05-08	469
15/9-A-22	6	3216.000000	3243.200000	[m   ]	130.000000	6	YES	2286	9999-12-31	2013-05-08	470
15/9-A-23 A	1	5390.000000	5416.800000	[m   ]	26.800000	1	YES	5091	9999-12-31	2013-05-08	471
15/9-A-26	1	2597.000000	2597.300000	[m   ]	47.000000	6	YES	2265	9999-12-31	2013-05-08	472
15/9-A-26	2	2598.000000	2606.200000	[m   ]	47.000000	6	YES	2265	9999-12-31	2013-05-08	473
15/9-A-26	3	2612.000000	2612.200000	[m   ]	47.000000	6	YES	2265	9999-12-31	2013-05-08	474
15/9-A-26	4	2613.600000	2616.400000	[m   ]	47.000000	6	YES	2265	9999-12-31	2013-05-08	475
15/9-A-26	5	2632.000000	2644.100000	[m   ]	47.000000	6	YES	2265	9999-12-31	2013-05-08	476
15/9-A-26	6	2660.000000	2683.400000	[m   ]	47.000000	6	YES	2265	9999-12-31	2013-05-08	477
15/9-A-27	1	2878.000000	2897.000000	[m   ]	19.000000	1	YES	2386	9999-12-31	2013-05-08	478
15/9-A-5	1	3299.000000	3325.900000	[m   ]	53.600000	2	YES	2397	9999-12-31	2013-05-08	479
15/9-A-5	2	3400.000000	3426.700000	[m   ]	53.600000	2	YES	2397	9999-12-31	2013-05-08	480
15/9-A-8	1	3046.000000	3070.400000	[m   ]	28.900000	2	YES	2567	9999-12-31	2013-05-08	481
15/9-A-8	2	3511.000000	3515.500000	[m   ]	28.900000	2	YES	2567	9999-12-31	2013-05-08	482
15/9-B-10	1	3530.000000	3604.400000	[m   ]	148.500000	2	YES	2652	9999-12-31	2013-05-08	483
15/9-B-10	2	3604.400000	3678.600000	[m   ]	148.500000	2	YES	2652	9999-12-31	2013-05-08	484
15/9-B-13	1	5816.000000	5823.600000	[m   ]	35.900000	2	YES	2816	9999-12-31	2013-05-08	485
15/9-B-13	2	5824.000000	5852.400000	[m   ]	35.900000	2	YES	2816	9999-12-31	2013-05-08	486
15/9-B-14	1	3587.000000	3661.400000	[m   ]	74.400000	1	YES	2692	9999-12-31	2013-05-08	487
15/9-B-4	1	6190.000000	6244.000000	[m   ]	143.700000	3	YES	3170	9999-12-31	2013-05-08	488
15/9-B-4	2	6244.000000	6281.700000	[m   ]	143.700000	3	YES	3170	9999-12-31	2013-05-08	489
15/9-B-4	3	6281.700000	6333.700000	[m   ]	143.700000	3	YES	3170	9999-12-31	2013-05-08	490
15/9-B-5	1	4354.000000	4363.600000	[m   ]	49.400000	4	YES	2715	9999-12-31	2013-05-08	491
15/9-B-5	2	4367.000000	4369.900000	[m   ]	49.400000	4	YES	2715	9999-12-31	2013-05-08	492
15/9-B-5	3	4372.000000	4397.600000	[m   ]	49.400000	4	YES	2715	9999-12-31	2013-05-08	493
15/9-B-5	4	4399.300000	4410.600000	[m   ]	49.400000	4	YES	2715	9999-12-31	2013-05-08	494
15/9-B-6	1	4189.000000	4198.900000	[m   ]	19.000000	2	YES	2749	9999-12-31	2013-05-08	495
15/9-B-6	2	4199.000000	4208.000000	[m   ]	19.000000	2	YES	2749	9999-12-31	2013-05-08	496
15/9-B-7	1	5280.000000	5326.200000	[m   ]	46.200000	1	YES	2780	9999-12-31	2013-05-08	497
15/9-C-2 AH	1	3247.000000	3274.600000	[m   ]	56.000000	2	YES	3185	9999-12-31	2013-05-08	498
15/9-C-2 AH	2	3275.000000	3303.400000	[m   ]	56.000000	2	YES	3185	9999-12-31	2013-05-08	499
15/9-D-3 H	1	2468.100000	2476.000000	[m   ]	62.200000	3	YES	2083	9999-12-31	2013-05-08	500
15/9-D-3 H	2	2479.000000	2506.300000	[m   ]	62.200000	3	YES	2083	9999-12-31	2013-05-08	501
15/9-D-3 H	3	2506.300000	2532.000000	[m   ]	62.200000	3	YES	2083	9999-12-31	2013-05-08	502
15/9-E-4 H	1	4310.000000	4334.300000	[m   ]	24.300000	1	YES	4891	9999-12-31	2013-05-08	503
16/10-1	1	2855.000000	2873.000000	[m   ]	27.000000	2	YES	901	9999-12-31	2013-05-08	504
16/10-1	2	2925.000000	2934.000000	[m   ]	27.000000	2	YES	901	9999-12-31	2013-05-08	505
16/10-4	1	2477.000000	2499.500000	[m   ]	22.500000	1	YES	3531	9999-12-31	2013-05-08	506
16/1-1	1	5100.000000	5130.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	507
16/1-1	10	7932.000000	7959.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	508
16/1-1	11	7962.000000	7992.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	509
16/1-1	12	7992.000000	8022.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	510
16/1-1	13	8305.000000	8332.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	511
16/1-1	14	8619.000000	8646.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	512
16/1-1	15	8680.000000	8690.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	513
16/1-1	16	8699.000000	8760.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	514
16/1-1	17	8934.000000	8975.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	515
16/1-1	18	10479.000000	10509.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	516
16/1-1	2	5643.000000	5673.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	517
16/1-1	3	6315.000000	6349.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	518
16/1-1	4	7060.000000	7103.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	519
16/1-1	5	7353.000000	7407.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	520
16/1-1	6	7609.000000	7639.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	521
16/1-1	7	7639.000000	7692.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	522
16/1-1	8	7692.000000	7701.000000	[ft  ]	171.000000	18	YES	147	9999-12-31	2013-05-08	523
16/1-1	9	\N	0.000000	\N	171.000000	18	YES	147	9999-12-31	2013-05-08	524
16/1-10	1	1868.000000	1873.000000	[m   ]	114.900000	7	YES	5879	9999-12-31	2013-05-08	525
16/1-10	2	1873.000000	1891.000000	[m   ]	114.900000	7	YES	5879	9999-12-31	2013-05-08	526
16/1-10	3	1891.000000	1901.400000	[m   ]	114.900000	7	YES	5879	9999-12-31	2013-05-08	527
16/1-10	4	1901.500000	1911.600000	[m   ]	114.900000	7	YES	5879	9999-12-31	2013-05-08	528
16/1-10	5	1914.600000	1934.000000	[m   ]	114.900000	7	YES	5879	9999-12-31	2013-05-08	529
16/1-10	6	1934.000000	1958.900000	[m   ]	114.900000	7	YES	5879	9999-12-31	2013-05-08	530
16/1-10	7	1960.500000	1987.600000	[m   ]	114.900000	7	YES	5879	9999-12-31	2013-05-08	531
16/1-11	1	2385.500000	2411.900000	[m   ]	135.900000	5	YES	6157	9999-12-31	2013-05-08	532
16/1-11	2	2412.500000	2439.100000	[m   ]	135.900000	5	YES	6157	9999-12-31	2013-05-08	533
16/1-11	3	2439.500000	2466.600000	[m   ]	135.900000	5	YES	6157	9999-12-31	2013-05-08	534
16/1-11	4	2466.500000	2494.400000	[m   ]	135.900000	5	YES	6157	9999-12-31	2013-05-08	535
16/1-11	5	2494.100000	2522.000000	[m   ]	135.900000	5	YES	6157	9999-12-31	2013-05-08	536
16/1-12	1	1864.000000	1877.900000	[m   ]	71.800000	8	YES	6166	9999-12-31	2013-05-08	537
16/1-12	2	1878.500000	1904.700000	[m   ]	71.800000	8	YES	6166	9999-12-31	2013-05-08	538
16/1-12	3	1904.700000	1912.000000	[m   ]	71.800000	8	YES	6166	9999-12-31	2013-05-08	539
16/1-12	4	1912.000000	1919.400000	[m   ]	71.800000	8	YES	6166	9999-12-31	2013-05-08	540
16/1-12	5	1919.500000	1922.800000	[m   ]	71.800000	8	YES	6166	9999-12-31	2013-05-08	541
16/1-12	6	1923.000000	1925.800000	[m   ]	71.800000	8	YES	6166	9999-12-31	2013-05-08	542
16/1-12	7	1926.000000	1931.100000	[m   ]	71.800000	8	YES	6166	9999-12-31	2013-05-08	543
16/1-12	8	1931.500000	1937.500000	[m   ]	71.800000	8	YES	6166	9999-12-31	2013-05-08	544
16/1-13	1	1917.000000	1917.700000	[m   ]	81.500000	5	YES	6232	9999-12-31	2013-05-08	545
16/1-13	2	1917.700000	1919.500000	[m   ]	81.500000	5	YES	6232	9999-12-31	2013-05-08	546
16/1-13	3	1919.700000	1944.700000	[m   ]	81.500000	5	YES	6232	9999-12-31	2013-05-08	547
16/1-13	4	1946.700000	1973.300000	[m   ]	81.500000	5	YES	6232	9999-12-31	2013-05-08	548
16/1-13	5	1973.700000	2001.100000	[m   ]	81.500000	5	YES	6232	9999-12-31	2013-05-08	549
16/1-14	1	2373.000000	2413.100000	[m   ]	94.000000	3	YES	6399	9999-12-31	2013-05-08	550
16/1-14	2	2400.100000	2427.700000	[m   ]	94.000000	3	YES	6399	9999-12-31	2013-05-08	551
16/1-14	3	2427.700000	2454.000000	[m   ]	94.000000	3	YES	6399	9999-12-31	2013-05-08	552
16/1-15	1	1915.000000	1931.200000	[m   ]	52.100000	4	YES	6517	9999-12-31	2013-05-08	553
16/1-15	2	1931.200000	1937.100000	[m   ]	52.100000	4	YES	6517	9999-12-31	2013-05-08	554
16/1-15	3	1946.000000	1960.100000	[m   ]	52.100000	4	YES	6517	9999-12-31	2013-05-08	555
16/1-15	4	1960.300000	1976.200000	[m   ]	52.100000	4	YES	6517	9999-12-31	2013-05-08	556
16/1-3	1	2282.000000	2291.800000	[m   ]	8.500000	1	YES	84	9999-12-31	2013-05-08	557
16/1-4	1	1549.000000	1559.000000	[m   ]	68.000000	7	YES	2072	9999-12-31	2013-05-08	558
16/1-4	2	1561.000000	1568.700000	[m   ]	68.000000	7	YES	2072	9999-12-31	2013-05-08	559
16/1-4	3	1590.000000	1607.600000	[m   ]	68.000000	7	YES	2072	9999-12-31	2013-05-08	560
16/1-4	4	1695.000000	1699.000000	[m   ]	68.000000	7	YES	2072	9999-12-31	2013-05-08	561
16/1-4	5	1699.000000	1706.000000	[m   ]	68.000000	7	YES	2072	9999-12-31	2013-05-08	562
16/1-4	6	1708.000000	1724.200000	[m   ]	68.000000	7	YES	2072	9999-12-31	2013-05-08	563
16/1-4	7	1936.000000	1941.700000	[m   ]	68.000000	7	YES	2072	9999-12-31	2013-05-08	564
16/1-5	1	2023.000000	2028.900000	[m   ]	40.800000	3	YES	3279	9999-12-31	2013-05-08	565
16/1-5	2	2031.000000	2038.900000	[m   ]	40.800000	3	YES	3279	9999-12-31	2013-05-08	566
16/1-5	3	2039.000000	2066.000000	[m   ]	40.800000	3	YES	3279	9999-12-31	2013-05-08	567
16/1-5 A	1	2123.000000	2150.000000	[m   ]	27.000000	1	YES	3626	9999-12-31	2013-05-08	568
16/1-6 S	1	1872.000000	1898.900000	[m   ]	26.900000	1	YES	4711	9999-12-31	2013-05-08	569
16/1-8	1	1930.000000	1935.300000	[m   ]	14.400000	3	YES	5612	9999-12-31	2013-05-08	570
16/1-8	2	1944.000000	1945.600000	[m   ]	14.400000	3	YES	5612	9999-12-31	2013-05-08	571
16/1-8	3	1965.500000	1973.000000	[m   ]	14.400000	3	YES	5612	9999-12-31	2013-05-08	572
16/1-9	1	2417.500000	2426.800000	[m   ]	9.300000	1	YES	5773	9999-12-31	2013-05-08	573
16/2-1	1	5705.000000	5737.000000	[ft  ]	85.300000	7	YES	144	9999-12-31	2013-05-08	574
16/2-1	2	5737.000000	5797.000000	[ft  ]	85.300000	7	YES	144	9999-12-31	2013-05-08	575
16/2-1	3	5796.000000	5856.000000	[ft  ]	85.300000	7	YES	144	9999-12-31	2013-05-08	576
16/2-1	4	5857.000000	5917.000000	[ft  ]	85.300000	7	YES	144	9999-12-31	2013-05-08	577
16/2-1	5	5917.000000	5977.000000	[ft  ]	85.300000	7	YES	144	9999-12-31	2013-05-08	578
16/2-1	6	6165.000000	6170.000000	[ft  ]	85.300000	7	YES	144	9999-12-31	2013-05-08	579
16/2-1	7	6175.000000	6180.000000	[ft  ]	85.300000	7	YES	144	9999-12-31	2013-05-08	580
16/2-3	1	1715.700000	1749.900000	[m   ]	144.600000	3	YES	5551	9999-12-31	2013-05-08	581
16/2-3	2	1743.000000	1798.600000	[m   ]	144.600000	3	YES	5551	9999-12-31	2013-05-08	582
16/2-3	3	1798.000000	1852.900000	[m   ]	144.600000	3	YES	5551	9999-12-31	2013-05-08	583
16/2-4	1	1701.000000	1701.900000	[m   ]	112.200000	5	YES	5625	9999-12-31	2013-05-08	584
16/2-4	2	1706.000000	1708.700000	[m   ]	112.200000	5	YES	5625	9999-12-31	2013-05-08	585
16/2-4	3	1709.000000	1761.800000	[m   ]	112.200000	5	YES	5625	9999-12-31	2013-05-08	586
16/2-4	4	1762.000000	1816.000000	[m   ]	112.200000	5	YES	5625	9999-12-31	2013-05-08	587
16/2-4	5	1882.000000	1883.900000	[m   ]	112.200000	5	YES	5625	9999-12-31	2013-05-08	588
16/2-5	1	1894.000000	1947.300000	[m   ]	97.200000	3	YES	6042	9999-12-31	2013-05-08	589
16/2-5	2	1948.000000	1966.900000	[m   ]	97.200000	3	YES	6042	9999-12-31	2013-05-08	590
16/2-5	3	1967.000000	1992.000000	[m   ]	97.200000	3	YES	6042	9999-12-31	2013-05-08	591
16/2-6	1	1935.000000	1939.500000	[m   ]	22.900000	3	YES	6374	2012-10-16	2013-05-08	592
16/2-6	2	1939.500000	1956.200000	[m   ]	22.900000	3	YES	6374	2012-10-16	2013-05-08	593
16/2-6	3	1958.600000	1960.300000	[m   ]	22.900000	3	YES	6374	2012-10-16	2013-05-08	594
16/3-2	1	1998.000000	2000.600000	[m   ]	3.500000	2	YES	334	9999-12-31	2013-05-08	595
16/3-2	2	2017.500000	2019.000000	[m   ]	3.500000	2	YES	334	9999-12-31	2013-05-08	596
16/4-1	1	2161.000000	2172.000000	[m   ]	30.500000	3	YES	229	9999-12-31	2013-05-08	597
16/4-1	2	2404.000000	2421.500000	[m   ]	30.500000	3	YES	229	9999-12-31	2013-05-08	598
16/4-1	3	2907.000000	2909.000000	[m   ]	30.500000	3	YES	229	9999-12-31	2013-05-08	599
16/4-2	1	1920.000000	1926.200000	[m   ]	6.200000	1	YES	1560	9999-12-31	2013-05-08	600
16/4-4	1	2275.300000	2301.800000	[m   ]	26.500000	1	YES	5441	9999-12-31	2013-05-08	601
16/4-5	1	1896.000000	1898.700000	[m   ]	39.500000	2	YES	6216	9999-12-31	2013-05-08	602
16/4-5	2	1898.000000	1924.800000	[m   ]	39.500000	2	YES	6216	9999-12-31	2013-05-08	603
16/5-1	1	1537.000000	1582.000000	[m   ]	53.000000	2	YES	189	9999-12-31	2013-05-08	604
16/5-1	2	1929.000000	1942.000000	[m   ]	53.000000	2	YES	189	9999-12-31	2013-05-08	605
16/6-1	1	2057.000000	2060.500000	[m   ]	3.500000	1	YES	148	9999-12-31	2013-05-08	606
16/7-1	1	1793.100000	1807.800000	[m   ]	14.600000	1	YES	146	9999-12-31	2013-05-08	607
16/7-2	1	2300.000000	2301.500000	[m   ]	45.300000	4	YES	40	9999-12-31	2013-05-08	608
16/7-2	2	2347.000000	2356.500000	[m   ]	45.300000	4	YES	40	9999-12-31	2013-05-08	609
16/7-2	3	2356.500000	2375.000000	[m   ]	45.300000	4	YES	40	9999-12-31	2013-05-08	610
16/7-2	4	2675.000000	2690.800000	[m   ]	45.300000	4	YES	40	9999-12-31	2013-05-08	611
16/7-3	1	2342.000000	2350.700000	[m   ]	23.300000	2	YES	75	9999-12-31	2013-05-08	612
16/7-3	2	2351.000000	2365.600000	[m   ]	23.300000	2	YES	75	9999-12-31	2013-05-08	613
16/7-4	1	2568.000000	2573.400000	[m   ]	96.600000	6	YES	91	9999-12-31	2013-05-08	614
16/7-4	2	2591.000000	2605.900000	[m   ]	96.600000	6	YES	91	9999-12-31	2013-05-08	615
16/7-4	3	2607.000000	2624.600000	[m   ]	96.600000	6	YES	91	9999-12-31	2013-05-08	616
16/7-4	4	2625.000000	2643.500000	[m   ]	96.600000	6	YES	91	9999-12-31	2013-05-08	617
16/7-4	5	2643.500000	2662.500000	[m   ]	96.600000	6	YES	91	9999-12-31	2013-05-08	618
16/7-4	6	2662.500000	2680.800000	[m   ]	96.600000	6	YES	91	9999-12-31	2013-05-08	619
16/7-5	1	2590.000000	2603.100000	[m   ]	13.100000	1	YES	134	9999-12-31	2013-05-08	620
16/7-6	1	2562.000000	2589.000000	[m   ]	63.400000	2	YES	3067	9999-12-31	2013-05-08	621
16/7-6	2	2589.000000	2625.400000	[m   ]	63.400000	2	YES	3067	9999-12-31	2013-05-08	622
16/7-7 S	1	2735.000000	2761.600000	[m   ]	144.100000	5	YES	3244	9999-12-31	2013-05-08	623
16/7-7 S	2	2767.500000	2802.800000	[m   ]	144.100000	5	YES	3244	9999-12-31	2013-05-08	624
16/7-7 S	3	2803.500000	2838.800000	[m   ]	144.100000	5	YES	3244	9999-12-31	2013-05-08	625
16/7-7 S	4	2839.500000	2875.500000	[m   ]	144.100000	5	YES	3244	9999-12-31	2013-05-08	626
16/7-7 S	5	2875.500000	2886.900000	[m   ]	144.100000	5	YES	3244	9999-12-31	2013-05-08	627
16/7-8 S	1	2827.000000	2829.900000	[m   ]	2.900000	1	YES	4612	9999-12-31	2013-05-08	628
16/9-1	1	1226.800000	1245.100000	[m   ]	26.800000	2	YES	151	9999-12-31	2013-05-08	629
16/9-1	2	2396.000000	2404.600000	[m   ]	26.800000	2	YES	151	9999-12-31	2013-05-08	630
17/11-2	1	8310.000000	8323.000000	[ft  ]	7.300000	2	YES	338	9999-12-31	2013-05-08	631
17/11-2	2	8323.000000	8335.000000	[ft  ]	7.300000	2	YES	338	9999-12-31	2013-05-08	632
17/12-2	1	7647.000000	7656.000000	[ft  ]	2.700000	1	YES	340	9999-12-31	2013-05-08	633
17/12-4	1	2268.000000	2295.600000	[m   ]	81.300000	2	YES	6137	9999-12-31	2013-05-08	634
17/12-4	2	2295.600000	2349.300000	[m   ]	81.300000	2	YES	6137	9999-12-31	2013-05-08	635
17/3-1	1	2388.000000	2390.000000	[m   ]	32.000000	4	YES	2576	9999-12-31	2013-05-08	636
17/3-1	2	2391.000000	2400.200000	[m   ]	32.000000	4	YES	2576	9999-12-31	2013-05-08	637
17/3-1	3	2400.200000	2417.900000	[m   ]	32.000000	4	YES	2576	9999-12-31	2013-05-08	638
17/3-1	4	2849.000000	2852.200000	[m   ]	32.000000	4	YES	2576	9999-12-31	2013-05-08	639
17/4-1	1	2271.000000	2288.000000	[m   ]	19.500000	2	YES	153	9999-12-31	2013-05-08	640
17/4-1	2	3881.500000	3884.000000	[m   ]	19.500000	2	YES	153	9999-12-31	2013-05-08	641
17/9-1	1	7441.000000	7447.000000	[ft  ]	23.300000	2	YES	337	9999-12-31	2013-05-08	642
17/9-1	2	7500.000000	7529.000000	[ft  ]	23.300000	2	YES	337	9999-12-31	2013-05-08	643
17/9-1 R	1	10082.000000	10098.000000	[ft  ]	23.300000	3	YES	515	9999-12-31	2013-05-08	644
18/10-1	1	2421.000000	2432.500000	[m   ]	48.000000	3	YES	342	9999-12-31	2013-05-08	645
18/10-1	2	2432.500000	2450.500000	[m   ]	48.000000	3	YES	342	9999-12-31	2013-05-08	646
18/10-1	3	2450.500000	2469.000000	[m   ]	48.000000	3	YES	342	9999-12-31	2013-05-08	647
18/11-1	1	2082.000000	2086.000000	[m   ]	4.000000	1	YES	343	9999-12-31	2013-05-08	648
2/10-2	1	3085.000000	3086.600000	[m   ]	22.500000	4	YES	2050	9999-12-31	2013-05-08	649
2/10-2	2	3089.000000	3098.200000	[m   ]	22.500000	4	YES	2050	9999-12-31	2013-05-08	650
2/10-2	3	4151.000000	4153.100000	[m   ]	22.500000	4	YES	2050	9999-12-31	2013-05-08	651
2/10-2	4	4154.000000	4163.600000	[m   ]	22.500000	4	YES	2050	9999-12-31	2013-05-08	652
2/1-1	1	10386.000000	10425.000000	[ft  ]	11.900000	1	YES	249	9999-12-31	2013-05-08	653
2/1-10	1	4193.000000	4219.000000	[m   ]	95.500000	5	YES	1865	9999-12-31	2013-05-08	654
2/1-10	2	4219.000000	4246.000000	[m   ]	95.500000	5	YES	1865	9999-12-31	2013-05-08	655
2/1-10	3	4246.000000	4272.700000	[m   ]	95.500000	5	YES	1865	9999-12-31	2013-05-08	656
2/1-10	4	4272.700000	4278.500000	[m   ]	95.500000	5	YES	1865	9999-12-31	2013-05-08	657
2/1-10	5	4278.500000	4288.300000	[m   ]	95.500000	5	YES	1865	9999-12-31	2013-05-08	658
2/11-1	1	3863.600000	3878.300000	[ft  ]	14.600000	1	YES	168	9999-12-31	2013-05-08	659
2/11-10 S	1	3913.000000	3962.500000	[m   ]	49.500000	1	YES	2297	9999-12-31	2013-05-08	660
2/11-2	1	8731.000000	8740.000000	[ft  ]	9.300000	4	YES	285	2013-03-23	2013-05-08	661
2/11-2	2	8740.000000	8749.000000	[ft  ]	9.300000	4	YES	285	2013-03-23	2013-05-08	662
2/11-2	3	8749.000000	8758.000000	[ft  ]	9.300000	4	YES	285	2013-03-23	2013-05-08	663
2/11-2	4	8758.000000	8761.000000	[ft  ]	9.300000	4	YES	285	2013-03-23	2013-05-08	664
2/11-3	1	2776.000000	2792.000000	[m   ]	35.500000	3	YES	286	2013-03-23	2013-05-08	665
2/11-3	2	2789.000000	2789.500000	[m   ]	35.500000	3	YES	286	2013-03-23	2013-05-08	666
2/11-3	3	2792.000000	2811.000000	[m   ]	35.500000	3	YES	286	2013-03-23	2013-05-08	667
2/11-3 A	1	3192.000000	3198.300000	[m   ]	36.300000	7	YES	287	2013-03-23	2013-05-08	668
2/11-3 A	2	3201.500000	3206.300000	[m   ]	36.300000	7	YES	287	2013-03-23	2013-05-08	669
2/11-3 A	3	3206.300000	3209.900000	[m   ]	36.300000	7	YES	287	2013-03-23	2013-05-08	670
2/11-3 A	4	3226.000000	3230.100000	[m   ]	36.300000	7	YES	287	2013-03-23	2013-05-08	671
2/11-3 A	5	3231.900000	3235.700000	[m   ]	36.300000	7	YES	287	2013-03-23	2013-05-08	672
2/11-3 A	6	3235.900000	3239.100000	[m   ]	36.300000	7	YES	287	2013-03-23	2013-05-08	673
2/11-3 A	7	3240.900000	3251.400000	[m   ]	36.300000	7	YES	287	2013-03-23	2013-05-08	674
2/1-13 S	1	4274.000000	4301.100000	[m   ]	27.100000	1	YES	5975	9999-12-31	2013-05-08	675
2/11-4	1	2580.000000	2616.300000	[m   ]	36.300000	5	YES	96	2013-03-23	2013-05-08	676
2/11-6 S	1	3693.100000	3712.000000	[m   ]	19.200000	1	YES	289	2013-03-23	2013-05-08	677
2/11-8	1	4574.000000	4583.900000	[m   ]	9.900000	1	YES	1715	9999-12-31	2013-05-08	678
2/11-9	1	3038.000000	3049.000000	[m   ]	33.300000	4	YES	2153	9999-12-31	2013-05-08	679
2/11-9	2	\N	0.000000	\N	33.300000	4	YES	2153	9999-12-31	2013-05-08	680
2/11-9	3	3060.200000	3068.700000	[m   ]	33.300000	4	YES	2153	9999-12-31	2013-05-08	681
2/11-9	4	4211.000000	4224.800000	[m   ]	33.300000	4	YES	2153	9999-12-31	2013-05-08	682
2/11-A-1	1	4605.000000	4614.600000	[m   ]	9.600000	1	YES	1615	9999-12-31	2013-05-08	683
2/11-A-1 A	1	4036.000000	4043.000000	[m   ]	228.500000	3	YES	1751	9999-12-31	2013-05-08	684
2/11-A-1 A	2	4044.500000	4056.000000	[m   ]	228.500000	3	YES	1751	9999-12-31	2013-05-08	685
2/11-A-1 A	3	4056.000000	4066.000000	[m   ]	228.500000	3	YES	1751	9999-12-31	2013-05-08	686
2/11-A-1 B	1	3749.500000	3768.000000	[m   ]	18.500000	1	YES	2330	9999-12-31	2013-05-08	687
2/11-A-2	1	3380.000000	3391.000000	[m   ]	126.100000	10	YES	1616	9999-12-31	2013-05-08	688
2/11-A-2	10	3538.000000	3564.600000	[m   ]	126.100000	10	YES	1616	9999-12-31	2013-05-08	689
2/11-A-2	2	3407.000000	3409.800000	[m   ]	126.100000	10	YES	1616	9999-12-31	2013-05-08	690
2/11-A-2	3	3410.000000	3418.700000	[m   ]	126.100000	10	YES	1616	9999-12-31	2013-05-08	691
2/11-A-2	4	3439.000000	3464.800000	[m   ]	126.100000	10	YES	1616	9999-12-31	2013-05-08	692
2/11-A-2	5	3470.000000	3494.600000	[m   ]	126.100000	10	YES	1616	9999-12-31	2013-05-08	693
2/11-A-2	6	\N	0.000000	\N	126.100000	10	YES	1616	9999-12-31	2013-05-08	694
2/11-A-2	7	3484.000000	3509.700000	[m   ]	126.100000	10	YES	1616	9999-12-31	2013-05-08	695
2/11-A-2	8	3510.600000	3510.700000	[m   ]	126.100000	10	YES	1616	9999-12-31	2013-05-08	696
2/11-A-2	9	3518.000000	3518.900000	[m   ]	126.100000	10	YES	1616	9999-12-31	2013-05-08	697
2/11-A-7	1	3346.000000	3360.500000	[m   ]	14.500000	1	YES	2321	9999-12-31	2013-05-08	698
2/11-A-8	1	3391.000000	3410.100000	[m   ]	19.100000	1	YES	2613	9999-12-31	2013-05-08	699
2/1-2	1	3318.000000	3336.200000	[m   ]	18.200000	1	YES	250	9999-12-31	2013-05-08	700
2/12-1	1	4633.000000	4650.900000	[m   ]	37.900000	3	YES	1014	9999-12-31	2013-05-08	701
2/12-1	2	4651.000000	4660.500000	[m   ]	37.900000	3	YES	1014	9999-12-31	2013-05-08	702
2/12-1	3	4662.000000	4672.500000	[m   ]	37.900000	3	YES	1014	9999-12-31	2013-05-08	703
2/12-2 S	1	5530.000000	5539.200000	[m   ]	9.200000	1	YES	1416	9999-12-31	2013-05-08	704
2/1-3	1	3823.000000	3832.200000	[m   ]	51.100000	4	YES	251	9999-12-31	2013-05-08	705
2/1-3	2	3838.000000	3855.700000	[m   ]	51.100000	4	YES	251	9999-12-31	2013-05-08	706
2/1-3	3	3856.400000	3862.200000	[m   ]	51.100000	4	YES	251	9999-12-31	2013-05-08	707
2/1-3	4	3875.000000	3893.500000	[m   ]	51.100000	4	YES	251	9999-12-31	2013-05-08	708
2/1-4	1	4036.000000	4063.700000	[m   ]	101.800000	5	YES	48	9999-12-31	2013-05-08	709
2/1-4	2	4063.900000	4082.400000	[m   ]	101.800000	5	YES	48	9999-12-31	2013-05-08	710
2/1-4	3	4082.400000	4101.100000	[m   ]	101.800000	5	YES	48	9999-12-31	2013-05-08	711
2/1-4	4	4101.100000	4119.400000	[m   ]	101.800000	5	YES	48	9999-12-31	2013-05-08	712
2/1-4	5	4119.400000	4138.000000	[m   ]	101.800000	5	YES	48	9999-12-31	2013-05-08	713
2/1-5	1	3928.900000	3947.300000	[m   ]	18.400000	1	YES	63	9999-12-31	2013-05-08	714
2/1-6	1	4127.000000	4153.300000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	715
2/1-6	10	4313.000000	4336.800000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	716
2/1-6	11	4336.800000	4364.300000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	717
2/1-6	12	4364.300000	4391.500000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	718
2/1-6	2	4153.700000	4181.300000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	719
2/1-6	3	4181.400000	4208.600000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	720
2/1-6	4	4208.500000	4235.400000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	721
2/1-6	5	4235.400000	4245.600000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	722
2/1-6	6	4245.600000	4254.700000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	723
2/1-6	7	4254.600000	4263.200000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	724
2/1-6	8	4263.300000	4265.400000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	725
2/1-6	9	4303.000000	4313.000000	[m   ]	228.200000	12	YES	109	9999-12-31	2013-05-08	726
2/1-7	1	5115.100000	5124.300000	[m   ]	30.000000	4	YES	137	9999-12-31	2013-05-08	727
2/1-7	2	5124.300000	5125.500000	[m   ]	30.000000	4	YES	137	9999-12-31	2013-05-08	728
2/1-7	3	5125.500000	5127.000000	[m   ]	30.000000	4	YES	137	9999-12-31	2013-05-08	729
2/1-7	4	5147.000000	5165.000000	[m   ]	30.000000	4	YES	137	9999-12-31	2013-05-08	730
2/1-8	1	3898.000000	3924.000000	[m   ]	58.900000	3	YES	459	9999-12-31	2013-05-08	731
2/1-8	2	3925.800000	3931.000000	[m   ]	58.900000	3	YES	459	9999-12-31	2013-05-08	732
2/1-8	3	3953.000000	3981.300000	[m   ]	58.900000	3	YES	459	9999-12-31	2013-05-08	733
2/1-9	1	4019.000000	4046.000000	[m   ]	133.500000	5	YES	1667	9999-12-31	2013-05-08	734
2/1-9	2	4046.000000	4074.000000	[m   ]	133.500000	5	YES	1667	9999-12-31	2013-05-08	735
2/1-9	3	4074.000000	4102.000000	[m   ]	133.500000	5	YES	1667	9999-12-31	2013-05-08	736
2/1-9	4	4102.000000	4124.500000	[m   ]	133.500000	5	YES	1667	9999-12-31	2013-05-08	737
2/1-9	5	4125.000000	4153.000000	[m   ]	133.500000	5	YES	1667	9999-12-31	2013-05-08	738
2/1-9 A	1	4141.000000	4178.000000	[m   ]	177.500000	6	YES	1867	9999-12-31	2013-05-08	739
2/1-9 A	2	4178.000000	4223.600000	[m   ]	177.500000	6	YES	1867	9999-12-31	2013-05-08	740
2/1-9 A	3	4223.500000	4251.500000	[m   ]	177.500000	6	YES	1867	9999-12-31	2013-05-08	741
2/1-9 A	4	4251.500000	4279.400000	[m   ]	177.500000	6	YES	1867	9999-12-31	2013-05-08	742
2/1-9 A	5	4279.400000	4307.400000	[m   ]	177.500000	6	YES	1867	9999-12-31	2013-05-08	743
2/1-9 A	6	4307.500000	4319.100000	[m   ]	177.500000	6	YES	1867	9999-12-31	2013-05-08	744
2/1-A-1	1	4680.000000	4681.000000	[m   ]	65.500000	9	YES	1385	9999-12-31	2013-05-08	745
2/1-A-1	2	4681.000000	4682.500000	[m   ]	65.500000	9	YES	1385	9999-12-31	2013-05-08	746
2/1-A-1	3	4682.500000	4691.000000	[m   ]	65.500000	9	YES	1385	9999-12-31	2013-05-08	747
2/1-A-1	4	4691.400000	4693.800000	[m   ]	65.500000	9	YES	1385	9999-12-31	2013-05-08	748
2/1-A-1	5	4693.800000	4695.100000	[m   ]	65.500000	9	YES	1385	9999-12-31	2013-05-08	749
2/1-A-1	6	4698.000000	4707.500000	[m   ]	65.500000	9	YES	1385	9999-12-31	2013-05-08	750
2/1-A-1	7	4707.500000	4709.700000	[m   ]	65.500000	9	YES	1385	9999-12-31	2013-05-08	751
2/1-A-1	8	4716.000000	4734.200000	[m   ]	65.500000	9	YES	1385	9999-12-31	2013-05-08	752
2/1-A-1	9	4734.000000	4754.000000	[m   ]	65.500000	9	YES	1385	9999-12-31	2013-05-08	753
2/1-A-12	1	5916.000000	5921.700000	[m   ]	22.100000	3	YES	2818	9999-12-31	2013-05-08	754
2/1-A-12	2	5925.000000	5927.900000	[m   ]	22.100000	3	YES	2818	9999-12-31	2013-05-08	755
2/1-A-12	3	5928.500000	5938.100000	[m   ]	22.100000	3	YES	2818	9999-12-31	2013-05-08	756
2/1-A-16	1	4802.000000	4810.500000	[m   ]	35.900000	2	YES	1863	9999-12-31	2013-05-08	757
2/1-A-16	2	4855.000000	4882.400000	[m   ]	35.900000	2	YES	1863	9999-12-31	2013-05-08	758
2/1-A-17	1	4275.000000	4299.000000	[m   ]	90.000000	4	YES	1675	9999-12-31	2013-05-08	759
2/1-A-17	2	4306.000000	4329.300000	[m   ]	90.000000	4	YES	1675	9999-12-31	2013-05-08	760
2/1-A-17	3	4329.300000	4356.000000	[m   ]	90.000000	4	YES	1675	9999-12-31	2013-05-08	761
2/1-A-17	4	4356.400000	4372.000000	[m   ]	90.000000	4	YES	1675	9999-12-31	2013-05-08	762
2/1-A-23	1	4758.000000	4784.500000	[m   ]	63.000000	3	YES	1676	9999-12-31	2013-05-08	763
2/1-A-23	2	4784.500000	4800.500000	[m   ]	63.000000	3	YES	1676	9999-12-31	2013-05-08	764
2/1-A-23	3	4800.500000	4821.000000	[m   ]	63.000000	3	YES	1676	9999-12-31	2013-05-08	765
2/1-A-26	1	4062.000000	4089.100000	[m   ]	27.100000	1	YES	1851	9999-12-31	2013-05-08	766
2/1-A-29	1	6176.000000	6202.500000	[m   ]	26.500000	1	YES	3178	9999-12-31	2013-05-08	767
2/1-A-30	1	5620.500000	5631.100000	[m   ]	16.000000	2	YES	2166	9999-12-31	2013-05-08	768
2/1-A-30	2	5641.000000	5646.400000	[m   ]	16.000000	2	YES	2166	9999-12-31	2013-05-08	769
2/1-A-30 A	1	5569.000000	5646.800000	[m   ]	77.800000	1	YES	2264	9999-12-31	2013-05-08	770
2/1-A-4	1	4380.000000	4398.400000	[m   ]	106.100000	6	YES	1263	9999-12-31	2013-05-08	771
2/1-A-4	2	4398.400000	4425.500000	[m   ]	106.100000	6	YES	1263	9999-12-31	2013-05-08	772
2/1-A-4	3	4426.000000	4429.600000	[m   ]	106.100000	6	YES	1263	9999-12-31	2013-05-08	773
2/1-A-4	4	4430.000000	4442.500000	[m   ]	106.100000	6	YES	1263	9999-12-31	2013-05-08	774
2/1-A-4	5	4442.500000	4469.500000	[m   ]	106.100000	6	YES	1263	9999-12-31	2013-05-08	775
2/1-A-4	6	4470.000000	4497.600000	[m   ]	106.100000	6	YES	1263	9999-12-31	2013-05-08	776
2/1-A-5	1	4481.000000	4491.400000	[m   ]	19.200000	2	YES	1252	9999-12-31	2013-05-08	777
2/1-A-5	2	4499.500000	4508.300000	[m   ]	19.200000	2	YES	1252	9999-12-31	2013-05-08	778
2/1-A-6	1	4403.000000	4430.500000	[m   ]	54.500000	2	YES	1300	9999-12-31	2013-05-08	779
2/1-A-6	2	4430.500000	4457.800000	[m   ]	54.500000	2	YES	1300	9999-12-31	2013-05-08	780
2/1-A-7	1	4081.000000	4084.000000	[m   ]	83.100000	6	YES	1222	9999-12-31	2013-05-08	781
2/1-A-7	2	4088.500000	4105.800000	[m   ]	83.100000	6	YES	1222	9999-12-31	2013-05-08	782
2/1-A-7	3	4107.500000	4109.100000	[m   ]	83.100000	6	YES	1222	9999-12-31	2013-05-08	783
2/1-A-7	4	4110.000000	4128.300000	[m   ]	83.100000	6	YES	1222	9999-12-31	2013-05-08	784
2/1-A-7	5	4130.000000	4154.400000	[m   ]	83.100000	6	YES	1222	9999-12-31	2013-05-08	785
2/1-A-7	6	4140.000000	4158.500000	[m   ]	83.100000	6	YES	1222	9999-12-31	2013-05-08	786
2/2-1	1	3355.800000	3365.000000	[m   ]	32.800000	4	YES	46	9999-12-31	2013-05-08	787
2/2-1	2	3712.000000	3713.800000	[m   ]	32.800000	4	YES	46	9999-12-31	2013-05-08	788
2/2-1	3	3714.000000	3725.300000	[m   ]	32.800000	4	YES	46	9999-12-31	2013-05-08	789
2/2-1	4	3726.000000	3736.500000	[m   ]	32.800000	4	YES	46	9999-12-31	2013-05-08	790
2/2-2	1	1979.300000	1994.300000	[m   ]	22.300000	2	YES	80	9999-12-31	2013-05-08	791
2/2-2	2	2939.700000	2947.000000	[m   ]	22.300000	2	YES	80	9999-12-31	2013-05-08	792
2/2-3	1	3887.700000	3905.000000	[m   ]	17.300000	1	YES	3	9999-12-31	2013-05-08	793
2/2-5	1	3592.000000	3609.000000	[m   ]	35.000000	2	YES	1846	9999-12-31	2013-05-08	794
2/2-5	2	3678.000000	3706.000000	[m   ]	35.000000	2	YES	1846	9999-12-31	2013-05-08	795
2/3-4	1	3125.400000	3144.000000	[m   ]	28.600000	1	YES	129	9999-12-31	2013-05-08	796
2/4-12	1	10437.000000	10485.000000	[ft  ]	81.400000	5	YES	256	9999-12-31	2013-05-08	797
2/4-12	2	10640.000000	10700.000000	[ft  ]	81.400000	5	YES	256	9999-12-31	2013-05-08	798
2/4-12	3	10790.000000	10826.000000	[ft  ]	81.400000	5	YES	256	9999-12-31	2013-05-08	799
2/4-12	4	10908.000000	10968.000000	[ft  ]	81.400000	5	YES	256	9999-12-31	2013-05-08	800
2/4-12	5	11040.000000	11100.000000	[ft  ]	81.400000	5	YES	256	9999-12-31	2013-05-08	801
2/4-15 S	1	3867.000000	3869.500000	[m   ]	56.000000	1	YES	1371	9999-12-31	2013-05-08	802
2/4-17	1	14235.000000	14292.900000	[ft  ]	17.600000	1	YES	1792	9999-12-31	2013-05-08	803
2/4-18 R	1	5134.000000	5137.200000	[m   ]	12.200000	2	YES	2253	9999-12-31	2013-05-08	804
2/4-18 R	2	5105.000000	5114.000000	[m   ]	12.200000	2	YES	2253	9999-12-31	2013-05-08	805
2/4-2	1	\N	0.000000	\N	32.300000	8	YES	172	9999-12-31	2013-05-08	806
2/4-2	2	10010.000000	10017.000000	[ft  ]	32.300000	8	YES	172	9999-12-31	2013-05-08	807
2/4-2	3	10496.000000	10510.000000	[ft  ]	32.300000	8	YES	172	9999-12-31	2013-05-08	808
2/4-2	4	10515.000000	10528.000000	[ft  ]	32.300000	8	YES	172	9999-12-31	2013-05-08	809
2/4-2	5	10565.000000	10573.000000	[ft  ]	32.300000	8	YES	172	9999-12-31	2013-05-08	810
2/4-2	6	10605.000000	10621.500000	[ft  ]	32.300000	8	YES	172	9999-12-31	2013-05-08	811
2/4-2	7	10653.000000	10657.000000	[ft  ]	32.300000	8	YES	172	9999-12-31	2013-05-08	812
2/4-2	8	10713.000000	10755.000000	[ft  ]	32.300000	8	YES	172	9999-12-31	2013-05-08	813
2/4-3	1	\N	0.000000	\N	87.500000	18	YES	97	9999-12-31	2013-05-08	814
2/4-3	10	10379.000000	10388.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	815
2/4-3	11	10385.000000	10395.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	816
2/4-3	12	10550.000000	10573.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	817
2/4-3	13	10665.000000	10669.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	818
2/4-3	14	10669.000000	10679.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	819
2/4-3	15	10679.000000	10708.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	820
2/4-3	16	10750.000000	10769.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	821
2/4-3	17	10870.000000	10894.500000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	822
2/4-3	18	10894.500000	10949.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	823
2/4-3	2	10220.000000	10225.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	824
2/4-3	3	10226.000000	10233.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	825
2/4-3	4	10235.000000	10252.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	826
2/4-3	5	10250.000000	10276.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	827
2/4-3	6	10276.000000	10279.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	828
2/4-3	7	10279.000000	10289.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	829
2/4-3	8	10294.000000	10310.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	830
2/4-3	9	10314.000000	10324.000000	[ft  ]	87.500000	18	YES	97	9999-12-31	2013-05-08	831
2/4-4	1	10520.000000	10522.000000	[ft  ]	8.200000	3	YES	174	9999-12-31	2013-05-08	832
2/4-4	2	10647.000000	10648.000000	[ft  ]	8.200000	3	YES	174	9999-12-31	2013-05-08	833
2/4-4	3	10790.000000	10817.000000	[ft  ]	8.200000	3	YES	174	9999-12-31	2013-05-08	834
2/4-5	1	10150.000000	10151.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	835
2/4-5	10	10548.000000	10578.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	836
2/4-5	11	10578.000000	10608.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	837
2/4-5	12	10608.000000	10638.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	838
2/4-5	2	10168.000000	10198.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	839
2/4-5	3	10198.000000	10220.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	840
2/4-5	4	10220.000000	10232.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	841
2/4-5	5	10280.000000	10300.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	842
2/4-5	6	10440.000000	10458.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	843
2/4-5	7	10458.000000	10488.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	844
2/4-5	8	10488.000000	10518.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	845
2/4-5	9	10518.000000	10548.000000	[ft  ]	86.300000	12	YES	177	9999-12-31	2013-05-08	846
2/4-6	1	10234.000000	10265.000000	[ft  ]	61.000000	5	YES	181	9999-12-31	2013-05-08	847
2/4-6	2	10289.000000	10319.000000	[ft  ]	61.000000	5	YES	181	9999-12-31	2013-05-08	848
2/4-6	3	10319.000000	10349.000000	[ft  ]	61.000000	5	YES	181	9999-12-31	2013-05-08	849
2/4-6	4	10349.000000	10409.000000	[ft  ]	61.000000	5	YES	181	9999-12-31	2013-05-08	850
2/4-6	5	10514.000000	10564.000000	[ft  ]	61.000000	5	YES	181	9999-12-31	2013-05-08	851
2/4-7	1	10405.000000	10445.000000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	852
2/4-7	10	10814.000000	10830.000000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	853
2/4-7	11	10874.000000	10880.000000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	854
2/4-7	12	10904.000000	10924.500000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	855
2/4-7	13	10934.000000	10955.000000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	856
2/4-7	2	10445.000000	10483.000000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	857
2/4-7	3	10483.000000	10532.000000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	858
2/4-7	4	10532.000000	10579.000000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	859
2/4-7	5	10579.000000	10615.000000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	860
2/4-7	6	10630.000000	10660.000000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	861
2/4-7	7	10670.000000	10708.000000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	862
2/4-7	8	10707.000000	10766.500000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	863
2/4-7	9	10767.000000	10814.000000	[ft  ]	163.800000	13	YES	196	9999-12-31	2013-05-08	864
2/4-8	1	9795.000000	9806.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	865
2/4-8	10	10033.000000	10092.500000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	866
2/4-8	11	10094.000000	10154.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	867
2/4-8	12	10155.000000	10190.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	868
2/4-8	13	10197.000000	10204.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	869
2/4-8	14	10258.000000	10269.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	870
2/4-8	15	10270.000000	10331.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	871
2/4-8	16	10331.000000	10392.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	872
2/4-8	17	10392.000000	10453.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	873
2/4-8	18	10453.000000	10514.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	874
2/4-8	19	10514.000000	10575.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	875
2/4-8	2	9820.000000	9846.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	876
2/4-8	20	10575.000000	10653.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	877
2/4-8	3	9852.000000	9873.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	878
2/4-8	4	9873.000000	9891.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	879
2/4-8	5	9913.000000	9921.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	880
2/4-8	6	9921.000000	9953.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	881
2/4-8	7	9959.000000	9978.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	882
2/4-8	8	9980.000000	10007.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	883
2/4-8	9	10007.000000	10031.000000	[ft  ]	176.200000	20	YES	252	9999-12-31	2013-05-08	884
2/4-A-13	1	10348.000000	10349.000000	[ft  ]	62.600000	11	YES	590	9999-12-31	2013-05-08	885
2/4-A-13	10	10640.000000	10700.000000	[ft  ]	62.600000	11	YES	590	9999-12-31	2013-05-08	886
2/4-A-13	11	10700.000000	10760.000000	[ft  ]	62.600000	11	YES	590	9999-12-31	2013-05-08	887
2/4-A-13	2	10384.000000	10388.000000	[ft  ]	62.600000	11	YES	590	9999-12-31	2013-05-08	888
2/4-A-13	3	10450.000000	10452.000000	[ft  ]	62.600000	11	YES	590	9999-12-31	2013-05-08	889
2/4-A-13	4	10459.000000	10467.000000	[ft  ]	62.600000	11	YES	590	9999-12-31	2013-05-08	890
2/4-A-13	5	10490.000000	10490.500000	[ft  ]	62.600000	11	YES	590	9999-12-31	2013-05-08	891
2/4-A-13	6	10520.000000	10550.000000	[ft  ]	62.600000	11	YES	590	9999-12-31	2013-05-08	892
2/4-A-13	7	10550.000000	10580.000000	[ft  ]	62.600000	11	YES	590	9999-12-31	2013-05-08	893
2/4-A-13	8	10580.000000	10610.000000	[ft  ]	62.600000	11	YES	590	9999-12-31	2013-05-08	894
2/4-A-13	9	10610.000000	10620.000000	[ft  ]	62.600000	11	YES	590	9999-12-31	2013-05-08	895
2/4-A-15 A	1	12692.000000	12722.000000	[ft  ]	58.500000	4	YES	1079	9999-12-31	2013-05-08	896
2/4-A-15 A	2	12854.000000	12884.000000	[ft  ]	58.500000	4	YES	1079	9999-12-31	2013-05-08	897
2/4-A-15 A	3	13197.000000	13224.000000	[ft  ]	58.500000	4	YES	1079	9999-12-31	2013-05-08	898
2/4-A-15 A	4	13197.000000	13224.000000	[ft  ]	58.500000	4	YES	1079	9999-12-31	2013-05-08	899
2/4-A-17	1	10384.000000	10416.000000	[ft  ]	47.000000	9	YES	1605	9999-12-31	2013-05-08	900
2/4-A-17	2	10416.000000	10453.000000	[ft  ]	47.000000	9	YES	1605	9999-12-31	2013-05-08	901
2/4-A-17	3	10453.000000	10474.000000	[ft  ]	47.000000	9	YES	1605	9999-12-31	2013-05-08	902
2/4-A-17	4	10567.000000	10570.000000	[ft  ]	47.000000	9	YES	1605	9999-12-31	2013-05-08	903
2/4-A-17	5	10632.000000	10645.300000	[ft  ]	47.000000	9	YES	1605	9999-12-31	2013-05-08	904
2/4-A-17	6	10644.000000	10649.500000	[ft  ]	47.000000	9	YES	1605	9999-12-31	2013-05-08	905
2/4-A-17	7	10890.000000	10900.800000	[ft  ]	47.000000	9	YES	1605	9999-12-31	2013-05-08	906
2/4-A-17	8	10904.000000	10919.900000	[ft  ]	47.000000	9	YES	1605	9999-12-31	2013-05-08	907
2/4-A-17	9	10921.000000	10938.700000	[ft  ]	47.000000	9	YES	1605	9999-12-31	2013-05-08	908
2/4-A-21	1	15055.000000	15086.600000	[ft  ]	43.700000	11	YES	1565	9999-12-31	2013-05-08	909
2/4-A-21	10	15308.000000	15320.400000	[ft  ]	43.700000	11	YES	1565	9999-12-31	2013-05-08	910
2/4-A-21	11	15385.300000	15394.000000	[ft  ]	43.700000	11	YES	1565	9999-12-31	2013-05-08	911
2/4-A-21	2	15091.000000	15109.200000	[ft  ]	43.700000	11	YES	1565	9999-12-31	2013-05-08	912
2/4-A-21	3	15108.000000	15113.100000	[ft  ]	43.700000	11	YES	1565	9999-12-31	2013-05-08	913
2/4-A-21	4	15116.000000	15119.700000	[ft  ]	43.700000	11	YES	1565	9999-12-31	2013-05-08	914
2/4-A-21	5	15177.000000	15179.000000	[ft  ]	43.700000	11	YES	1565	9999-12-31	2013-05-08	915
2/4-A-21	6	15186.000000	15187.600000	[ft  ]	43.700000	11	YES	1565	9999-12-31	2013-05-08	916
2/4-A-21	7	15224.000000	15232.000000	[ft  ]	43.700000	11	YES	1565	9999-12-31	2013-05-08	917
2/4-A-21	8	15254.000000	15275.100000	[ft  ]	43.700000	11	YES	1565	9999-12-31	2013-05-08	918
2/4-A-21	9	15276.000000	15307.000000	[ft  ]	43.700000	11	YES	1565	9999-12-31	2013-05-08	919
2/4-A-4 A	1	11800.000000	11800.500000	[ft  ]	131.900000	7	YES	1376	9999-12-31	2013-05-08	920
2/4-A-4 A	2	11815.000000	11824.000000	[ft  ]	131.900000	7	YES	1376	9999-12-31	2013-05-08	921
2/4-A-4 A	3	11840.000000	11853.300000	[ft  ]	131.900000	7	YES	1376	9999-12-31	2013-05-08	922
2/4-A-4 A	4	11871.000000	11885.000000	[ft  ]	131.900000	7	YES	1376	9999-12-31	2013-05-08	923
2/4-A-4 A	5	\N	0.000000	\N	131.900000	7	YES	1376	9999-12-31	2013-05-08	924
2/4-A-4 A	6	12205.000000	12220.000000	[ft  ]	131.900000	7	YES	1376	9999-12-31	2013-05-08	925
2/4-A-4 A	7	12221.000000	12232.600000	[ft  ]	131.900000	7	YES	1376	9999-12-31	2013-05-08	926
2/4-A-5	1	10678.000000	10708.000000	[ft  ]	17.400000	2	YES	576	9999-12-31	2013-05-08	927
2/4-A-5	2	10711.000000	10738.000000	[ft  ]	17.400000	2	YES	576	9999-12-31	2013-05-08	928
2/4-A-6	1	11076.000000	11077.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	929
2/4-A-6	10	11210.000000	11211.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	930
2/4-A-6	11	11240.000000	11245.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	931
2/4-A-6	12	11246.000000	11257.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	932
2/4-A-6	13	11258.000000	11284.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	933
2/4-A-6	14	11284.000000	11301.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	934
2/4-A-6	15	11304.000000	11333.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	935
2/4-A-6	16	11334.000000	11344.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	936
2/4-A-6	17	11344.000000	11374.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	937
2/4-A-6	18	11374.000000	11382.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	938
2/4-A-6	19	11383.000000	11408.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	939
2/4-A-6	2	11092.000000	11109.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	940
2/4-A-6	20	11413.000000	11429.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	941
2/4-A-6	21	11433.000000	11458.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	942
2/4-A-6	22	11463.000000	11484.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	943
2/4-A-6	24	11485.000000	11513.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	944
2/4-A-6	25	11514.000000	11528.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	945
2/4-A-6	26	11529.000000	11549.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	946
2/4-A-6	27	11559.000000	11575.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	947
2/4-A-6	28	11589.000000	11590.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	948
2/4-A-6	29	11619.000000	11620.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	949
2/4-A-6	3	11115.000000	11134.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	950
2/4-A-6	30	11628.000000	11634.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	951
2/4-A-6	31	11657.000000	11674.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	952
2/4-A-6	32	11677.000000	11704.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	953
2/4-A-6	33	11707.000000	11727.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	954
2/4-A-6	34	11737.000000	11767.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	955
2/4-A-6	35	11767.000000	11809.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	956
2/4-A-6	36	11809.000000	11870.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	957
2/4-A-6	37	11870.000000	11919.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	958
2/4-A-6	38	11921.000000	11957.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	959
2/4-A-6	4	11145.000000	11149.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	960
2/4-A-6	5	11156.000000	11158.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	961
2/4-A-6	6	11174.000000	11176.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	962
2/4-A-6	7	11177.000000	11181.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	963
2/4-A-6	8	11184.000000	11201.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	964
2/4-A-6	9	11201.000000	11204.000000	[ft  ]	268.500000	38	YES	577	9999-12-31	2013-05-08	965
2/4-A-8	1	10070.000000	10098.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	966
2/4-A-8	10	10474.000000	10534.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	967
2/4-A-8	11	10534.000000	10578.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	968
2/4-A-8	12	10590.000000	10650.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	969
2/4-A-8	13	10650.000000	10704.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	970
2/4-A-8	14	10704.000000	10760.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	971
2/4-A-8	2	10100.000000	10130.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	972
2/4-A-8	3	10130.000000	10170.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	973
2/4-A-8	4	10170.000000	10230.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	974
2/4-A-8	5	10230.000000	10273.600000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	975
2/4-A-8	6	10273.600000	10330.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	976
2/4-A-8	7	10330.000000	10390.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	977
2/4-A-8	8	10390.000000	10414.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	978
2/4-A-8	9	10414.000000	10474.000000	[ft  ]	286.000000	14	YES	581	9999-12-31	2013-05-08	979
2/4-B-12	1	10051.000000	11050.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	980
2/4-B-12	10	11236.000000	11243.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	981
2/4-B-12	11	11243.000000	11251.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	982
2/4-B-12	12	11444.000000	11445.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	983
2/4-B-12	13	\N	0.000000	\N	304.000000	40	YES	616	9999-12-31	2013-05-08	984
2/4-B-12	14	11310.000000	11312.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	985
2/4-B-12	15	\N	0.000000	\N	304.000000	40	YES	616	9999-12-31	2013-05-08	986
2/4-B-12	16	11357.000000	11362.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	987
2/4-B-12	17	11392.000000	11401.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	988
2/4-B-12	18	11436.000000	11447.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	989
2/4-B-12	19	11467.000000	11492.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	990
2/4-B-12	2	11094.000000	11101.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	991
2/4-B-12	20	11494.000000	11501.200000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	992
2/4-B-12	21	11505.000000	11512.200000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	993
2/4-B-12	22	11513.000000	11525.200000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	994
2/4-B-12	23	11573.000000	11576.900000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	995
2/4-B-12	24	11578.000000	11591.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	996
2/4-B-12	25	11614.000000	11631.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	997
2/4-B-12	26	11641.000000	11656.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	998
2/4-B-12	27	11658.000000	11674.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	999
2/4-B-12	28	11683.000000	11703.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1000
2/4-B-12	29	11706.000000	11737.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1001
2/4-B-12	3	11109.000000	11120.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1002
2/4-B-12	30	11736.000000	11767.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1003
2/4-B-12	31	11770.000000	11786.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1004
2/4-B-12	32	11788.000000	11816.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1005
2/4-B-12	33	11819.000000	11849.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1006
2/4-B-12	34	11850.000000	11865.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1007
2/4-B-12	35	11865.000000	11874.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1008
2/4-B-12	36	11890.000000	11920.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1009
2/4-B-12	37	11921.000000	11950.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1010
2/4-B-12	38	11952.000000	11981.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1011
2/4-B-12	39	11982.000000	12012.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1012
2/4-B-12	4	11126.000000	11128.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1013
2/4-B-12	40	12011.000000	12039.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1014
2/4-B-12	5	11159.000000	11169.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1015
2/4-B-12	6	11171.000000	11172.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1016
2/4-B-12	7	11180.000000	11187.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1017
2/4-B-12	8	11195.000000	11203.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1018
2/4-B-12	9	11215.000000	11225.000000	[ft  ]	304.000000	40	YES	616	9999-12-31	2013-05-08	1019
2/4-B-16	1	10084.000000	10107.100000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1020
2/4-B-16	10	10410.000000	10416.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1021
2/4-B-16	11	10443.000000	10458.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1022
2/4-B-16	12	10463.000000	10471.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1023
2/4-B-16	13	10470.000000	10470.400000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1024
2/4-B-16	14	10585.800000	10588.600000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1025
2/4-B-16	15	10605.700000	10615.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1026
2/4-B-16	16	10628.000000	10638.700000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1027
2/4-B-16	17	10667.000000	10679.700000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1028
2/4-B-16	2	10084.000000	10112.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1029
2/4-B-16	3	10113.000000	10115.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1030
2/4-B-16	4	10132.000000	10140.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1031
2/4-B-16	5	10143.000000	10150.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1032
2/4-B-16	6	10187.000000	10189.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1033
2/4-B-16	7	10193.000000	10201.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1034
2/4-B-16	8	10340.000000	10349.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1035
2/4-B-16	9	10395.000000	10400.000000	[ft  ]	113.700000	17	YES	620	9999-12-31	2013-05-08	1036
2/4-B-19	1	9758.000000	9818.000000	[ft  ]	44.800000	4	YES	625	9999-12-31	2013-05-08	1037
2/4-B-19	2	10188.000000	10206.600000	[ft  ]	44.800000	4	YES	625	9999-12-31	2013-05-08	1038
2/4-B-19	3	10316.000000	10325.600000	[ft  ]	44.800000	4	YES	625	9999-12-31	2013-05-08	1039
2/4-B-19	4	10325.600000	10366.000000	[ft  ]	44.800000	4	YES	625	9999-12-31	2013-05-08	1040
2/4-B-19	1	9758.000000	9818.000000	[ft  ]	61.000000	4	YES	625	9999-12-31	2013-05-08	1041
2/4-B-19	2	10188.000000	10206.600000	[ft  ]	61.000000	4	YES	625	9999-12-31	2013-05-08	1042
2/4-B-19	3	10316.000000	10325.600000	[ft  ]	61.000000	4	YES	625	9999-12-31	2013-05-08	1043
2/4-B-19	4	10325.600000	10366.000000	[ft  ]	61.000000	4	YES	625	9999-12-31	2013-05-08	1044
2/4-B-19 A	1	8405.000000	8454.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1045
2/4-B-19 A	10	10105.000000	10117.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1046
2/4-B-19 A	11	10118.000000	10122.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1047
2/4-B-19 A	12	10130.000000	10134.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1048
2/4-B-19 A	13	10159.000000	10180.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1049
2/4-B-19 A	14	10181.000000	10205.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1050
2/4-B-19 A	15	10207.000000	10237.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1051
2/4-B-19 A	16	10237.000000	10259.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1052
2/4-B-19 A	17	10260.000000	10275.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1053
2/4-B-19 A	18	10290.000000	10305.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1054
2/4-B-19 A	2	8464.000000	9864.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1055
2/4-B-19 A	20	10315.000000	10345.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1056
2/4-B-19 A	21	10345.000000	10374.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1057
2/4-B-19 A	22	10375.000000	10408.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1058
2/4-B-19 A	23	10409.000000	10445.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1059
2/4-B-19 A	24	10469.000000	10498.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1060
2/4-B-19 A	25	10499.000000	10525.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1061
2/4-B-19 A	26	10527.000000	10560.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1062
2/4-B-19 A	3	9870.000000	9871.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1063
2/4-B-19 A	4	9897.000000	9921.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1064
2/4-B-19 A	5	9927.000000	9951.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1065
2/4-B-19 A	6	9957.000000	9982.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1066
2/4-B-19 A	7	9985.000000	10016.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1067
2/4-B-19 A	8	10046.000000	10074.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1068
2/4-B-19 A	9	10075.000000	10087.000000	[ft  ]	183.000000	26	YES	1626	9999-12-31	2013-05-08	1069
2/4-B-20	1	11913.000000	11916.000000	[ft  ]	44.000000	9	YES	627	9999-12-31	2013-05-08	1070
2/4-B-20	2	11923.000000	11951.000000	[ft  ]	44.000000	9	YES	627	9999-12-31	2013-05-08	1071
2/4-B-20	3	12060.000000	12067.000000	[ft  ]	44.000000	9	YES	627	9999-12-31	2013-05-08	1072
2/4-B-20	4	12068.000000	12069.000000	[ft  ]	44.000000	9	YES	627	9999-12-31	2013-05-08	1073
2/4-B-20	5	12173.000000	12188.000000	[ft  ]	44.000000	9	YES	627	9999-12-31	2013-05-08	1074
2/4-B-20	6	12190.000000	12204.000000	[ft  ]	44.000000	9	YES	627	9999-12-31	2013-05-08	1075
2/4-B-20	7	12358.000000	12373.000000	[ft  ]	44.000000	9	YES	627	9999-12-31	2013-05-08	1076
2/4-B-20	8	12378.000000	12394.000000	[ft  ]	44.000000	9	YES	627	9999-12-31	2013-05-08	1077
2/4-B-20	9	12433.000000	12463.000000	[ft  ]	44.000000	9	YES	627	9999-12-31	2013-05-08	1078
2/4-B-4	1	10135.000000	10156.300000	[ft  ]	65.300000	12	YES	1409	9999-12-31	2013-05-08	1079
2/4-B-4	10	10454.000000	10482.000000	[ft  ]	65.300000	12	YES	1409	9999-12-31	2013-05-08	1080
2/4-B-4	11	10615.000000	10645.000000	[ft  ]	65.300000	12	YES	1409	9999-12-31	2013-05-08	1081
2/4-B-4	12	10645.000000	10674.100000	[ft  ]	65.300000	12	YES	1409	9999-12-31	2013-05-08	1082
2/4-B-4	2	10158.000000	10186.700000	[ft  ]	65.300000	12	YES	1409	9999-12-31	2013-05-08	1083
2/4-B-4	3	10328.000000	10334.800000	[ft  ]	65.300000	12	YES	1409	9999-12-31	2013-05-08	1084
2/4-B-4	4	10336.900000	10361.300000	[ft  ]	65.300000	12	YES	1409	9999-12-31	2013-05-08	1085
2/4-B-4	5	10363.000000	10370.000000	[ft  ]	65.300000	12	YES	1409	9999-12-31	2013-05-08	1086
2/4-B-4	6	\N	0.000000	\N	65.300000	12	YES	1409	9999-12-31	2013-05-08	1087
2/4-B-4	7	10380.900000	10390.400000	[ft  ]	65.300000	12	YES	1409	9999-12-31	2013-05-08	1088
2/4-B-4	8	10392.000000	10401.500000	[ft  ]	65.300000	12	YES	1409	9999-12-31	2013-05-08	1089
2/4-B-4	9	10433.000000	10450.200000	[ft  ]	65.300000	12	YES	1409	9999-12-31	2013-05-08	1090
2/4-C-11	1	1225.600000	1229.700000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1091
2/4-C-11	10	\N	0.000000	\N	150.500000	40	YES	945	9999-12-31	2013-05-08	1092
2/4-C-11	11	\N	0.000000	\N	150.500000	40	YES	945	9999-12-31	2013-05-08	1093
2/4-C-11	12	\N	0.000000	\N	150.500000	40	YES	945	9999-12-31	2013-05-08	1094
2/4-C-11	13	7536.000000	7563.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1095
2/4-C-11	14	\N	0.000000	\N	150.500000	40	YES	945	9999-12-31	2013-05-08	1096
2/4-C-11	15	\N	0.000000	\N	150.500000	40	YES	945	9999-12-31	2013-05-08	1097
2/4-C-11	16	\N	0.000000	\N	150.500000	40	YES	945	9999-12-31	2013-05-08	1098
2/4-C-11	17	9560.000000	9572.500000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1099
2/4-C-11	18	9660.000000	9662.500000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1100
2/4-C-11	19	9690.000000	9690.200000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1101
2/4-C-11	2	\N	0.000000	\N	150.500000	40	YES	945	9999-12-31	2013-05-08	1102
2/4-C-11	20	9810.000000	9812.900000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1103
2/4-C-11	21	9835.000000	9844.500000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1104
2/4-C-11	22	9884.000000	9884.200000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1105
2/4-C-11	23	9888.000000	9900.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1106
2/4-C-11	24	9902.000000	9909.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1107
2/4-C-11	25	9932.000000	9962.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1108
2/4-C-11	26	9962.000000	9992.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1109
2/4-C-11	27	9992.000000	10022.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1110
2/4-C-11	28	10022.000000	10034.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1111
2/4-C-11	29	10040.000000	10043.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1112
2/4-C-11	3	1733.000000	1757.700000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1113
2/4-C-11	30	10045.000000	10047.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1114
2/4-C-11	31	10049.000000	10074.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1115
2/4-C-11	32	10074.000000	10081.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1116
2/4-C-11	33	10084.000000	10097.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1117
2/4-C-11	34	10097.000000	10127.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1118
2/4-C-11	35	10127.000000	10157.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1119
2/4-C-11	36	10157.000000	10187.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1120
2/4-C-11	37	10187.000000	10217.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1121
2/4-C-11	38	10217.000000	10232.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1122
2/4-C-11	39	10232.000000	10262.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1123
2/4-C-11	4	3808.000000	3816.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1124
2/4-C-11	40	10262.000000	10292.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1125
2/4-C-11	5	5108.000000	5128.800000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1126
2/4-C-11	6	5612.000000	5621.000000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1127
2/4-C-11	7	5642.600000	5659.600000	[ft  ]	150.500000	40	YES	945	9999-12-31	2013-05-08	1128
2/4-C-11	8	\N	0.000000	\N	150.500000	40	YES	945	9999-12-31	2013-05-08	1129
2/4-C-11	9	\N	0.000000	\N	150.500000	40	YES	945	9999-12-31	2013-05-08	1130
2/4-C-13 A	1	10302.000000	10308.800000	[ft  ]	47.000000	7	YES	2204	9999-12-31	2013-05-08	1131
2/4-C-13 A	2	10330.000000	10357.700000	[ft  ]	47.000000	7	YES	2204	9999-12-31	2013-05-08	1132
2/4-C-13 A	3	10419.000000	10424.500000	[ft  ]	47.000000	7	YES	2204	9999-12-31	2013-05-08	1133
2/4-C-13 A	4	10429.000000	10444.000000	[ft  ]	47.000000	7	YES	2204	9999-12-31	2013-05-08	1134
2/4-C-13 A	5	10453.000000	10460.700000	[ft  ]	47.000000	7	YES	2204	9999-12-31	2013-05-08	1135
2/4-C-13 A	6	10576.000000	10607.100000	[ft  ]	47.000000	7	YES	2204	9999-12-31	2013-05-08	1136
2/4-C-13 A	7	10847.000000	10907.600000	[ft  ]	47.000000	7	YES	2204	9999-12-31	2013-05-08	1137
2/4-C-4	1	11970.000000	11981.000000	[ft  ]	182.000000	5	YES	1249	9999-12-31	2013-05-08	1138
2/4-C-4	2	12018.000000	12026.000000	[ft  ]	182.000000	5	YES	1249	9999-12-31	2013-05-08	1139
2/4-C-4	3	12120.000000	12147.000000	[ft  ]	182.000000	5	YES	1249	9999-12-31	2013-05-08	1140
2/4-C-4	4	12438.000000	12464.000000	[ft  ]	182.000000	5	YES	1249	9999-12-31	2013-05-08	1141
2/4-C-4	5	12538.000000	12567.000000	[ft  ]	182.000000	5	YES	1249	9999-12-31	2013-05-08	1142
2/4-C-7	1	10968.000000	10976.000000	[ft  ]	142.000000	8	YES	1265	9999-12-31	2013-05-08	1143
2/4-C-7	2	10998.000000	10998.300000	[ft  ]	142.000000	8	YES	1265	9999-12-31	2013-05-08	1144
2/4-C-7	3	11018.000000	11025.000000	[ft  ]	142.000000	8	YES	1265	9999-12-31	2013-05-08	1145
2/4-C-7	4	11030.000000	11039.000000	[ft  ]	142.000000	8	YES	1265	9999-12-31	2013-05-08	1146
2/4-C-7	5	11339.000000	11342.000000	[ft  ]	142.000000	8	YES	1265	9999-12-31	2013-05-08	1147
2/4-C-7	6	11343.000000	11372.000000	[ft  ]	142.000000	8	YES	1265	9999-12-31	2013-05-08	1148
2/4-C-7	7	11373.000000	11376.000000	[ft  ]	142.000000	8	YES	1265	9999-12-31	2013-05-08	1149
2/4-C-7	8	11404.000000	11433.000000	[ft  ]	142.000000	8	YES	1265	9999-12-31	2013-05-08	1150
2/4-C-8	1	9607.000000	9667.000000	[ft  ]	107.600000	10	YES	652	9999-12-31	2013-05-08	1151
2/4-C-8	10	10503.000000	10560.000000	[ft  ]	107.600000	10	YES	652	9999-12-31	2013-05-08	1152
2/4-C-8	2	9667.000000	9717.000000	[ft  ]	107.600000	10	YES	652	9999-12-31	2013-05-08	1153
2/4-C-8	3	9717.000000	9751.000000	[ft  ]	107.600000	10	YES	652	9999-12-31	2013-05-08	1154
2/4-C-8	4	9754.000000	9774.000000	[ft  ]	107.600000	10	YES	652	9999-12-31	2013-05-08	1155
2/4-C-8	5	9774.000000	9795.000000	[ft  ]	107.600000	10	YES	652	9999-12-31	2013-05-08	1156
2/4-C-8	6	9802.000000	9815.000000	[ft  ]	107.600000	10	YES	652	9999-12-31	2013-05-08	1157
2/4-C-8	7	9990.000000	10021.000000	[ft  ]	107.600000	10	YES	652	9999-12-31	2013-05-08	1158
2/4-C-8	8	10021.000000	10052.000000	[ft  ]	107.600000	10	YES	652	9999-12-31	2013-05-08	1159
2/4-C-8	9	10240.000000	10296.800000	[ft  ]	107.600000	10	YES	652	9999-12-31	2013-05-08	1160
2/4-D-1 A	1	11416.000000	11422.900000	[ft  ]	42.400000	7	YES	2027	9999-12-31	2013-05-08	1161
2/4-D-1 A	2	11433.000000	11454.000000	[ft  ]	42.400000	7	YES	2027	9999-12-31	2013-05-08	1162
2/4-D-1 A	3	11594.000000	11599.000000	[ft  ]	42.400000	7	YES	2027	9999-12-31	2013-05-08	1163
2/4-D-1 A	4	11634.000000	11644.300000	[ft  ]	42.400000	7	YES	2027	9999-12-31	2013-05-08	1164
2/4-D-1 A	5	11819.000000	11849.000000	[ft  ]	42.400000	7	YES	2027	9999-12-31	2013-05-08	1165
2/4-D-1 A	6	12133.000000	12153.900000	[ft  ]	42.400000	7	YES	2027	9999-12-31	2013-05-08	1166
2/4-D-1 A	7	12160.000000	12205.100000	[ft  ]	42.400000	7	YES	2027	9999-12-31	2013-05-08	1167
2/4-D-1 A	8	11431.000000	11433.000000	[ft  ]	42.400000	7	YES	2027	9999-12-31	2013-05-08	1168
2/4-D-11	1	10028.000000	10056.000000	[ft  ]	8.500000	1	YES	696	9999-12-31	2013-05-08	1169
2/4-D-15 A	1	10618.000000	10664.000000	[ft  ]	58.700000	6	YES	2126	9999-12-31	2013-05-08	1170
2/4-D-15 A	2	10664.000000	10688.800000	[ft  ]	58.700000	6	YES	2126	9999-12-31	2013-05-08	1171
2/4-D-15 A	3	10689.000000	10722.500000	[ft  ]	58.700000	6	YES	2126	9999-12-31	2013-05-08	1172
2/4-D-15 A	4	10726.000000	10761.100000	[ft  ]	58.700000	6	YES	2126	9999-12-31	2013-05-08	1173
2/4-D-15 A	5	10776.000000	10794.000000	[ft  ]	58.700000	6	YES	2126	9999-12-31	2013-05-08	1174
2/4-D-15 A	6	10802.000000	10812.600000	[ft  ]	58.700000	6	YES	2126	9999-12-31	2013-05-08	1175
2/4-D-8	1	3075.300000	3089.500000	[m   ]	19.600000	2	YES	690	9999-12-31	2013-05-08	1176
2/4-D-8	2	3230.600000	3236.100000	[m   ]	19.600000	2	YES	690	9999-12-31	2013-05-08	1177
2/4-E-10	1	10005.000000	10065.000000	[ft  ]	36.400000	4	YES	734	9999-12-31	2013-05-08	1178
2/4-E-10	2	10250.000000	10265.000000	[ft  ]	36.400000	4	YES	734	9999-12-31	2013-05-08	1179
2/4-E-10	3	10266.000000	10292.000000	[ft  ]	36.400000	4	YES	734	9999-12-31	2013-05-08	1180
2/4-E-10	4	10292.000000	10307.000000	[ft  ]	36.400000	4	YES	734	9999-12-31	2013-05-08	1181
2/4-E-14	1	10776.000000	10798.000000	[ft  ]	60.800000	10	YES	738	9999-12-31	2013-05-08	1182
2/4-E-14	10	11278.000000	11284.000000	[ft  ]	60.800000	10	YES	738	9999-12-31	2013-05-08	1183
2/4-E-14	2	10827.000000	10849.400000	[ft  ]	60.800000	10	YES	738	9999-12-31	2013-05-08	1184
2/4-E-14	3	10877.300000	10887.000000	[ft  ]	60.800000	10	YES	738	9999-12-31	2013-05-08	1185
2/4-E-14	4	10899.000000	10909.900000	[ft  ]	60.800000	10	YES	738	9999-12-31	2013-05-08	1186
2/4-E-14	5	10935.000000	10980.000000	[ft  ]	60.800000	10	YES	738	9999-12-31	2013-05-08	1187
2/4-E-14	6	10980.100000	11031.700000	[ft  ]	60.800000	10	YES	738	9999-12-31	2013-05-08	1188
2/4-E-14	7	11033.000000	11057.400000	[ft  ]	60.800000	10	YES	738	9999-12-31	2013-05-08	1189
2/4-E-14	8	11247.000000	11255.000000	[ft  ]	60.800000	10	YES	738	9999-12-31	2013-05-08	1190
2/4-E-14	9	11255.000000	112559.000000	[ft  ]	60.800000	10	YES	738	9999-12-31	2013-05-08	1191
2/4-E-18	1	3375.100000	3390.900000	[m   ]	66.200000	3	YES	5297	9999-12-31	2013-05-08	1192
2/4-E-18	2	3391.800000	3410.300000	[m   ]	66.200000	3	YES	5297	9999-12-31	2013-05-08	1193
2/4-E-18	3	3550.600000	3582.500000	[m   ]	66.200000	3	YES	5297	9999-12-31	2013-05-08	1194
2/4-E-6	1	12546.000000	12568.500000	[ft  ]	76.800000	10	YES	1786	9999-12-31	2013-05-08	1195
2/4-E-6	10	12935.000000	12966.000000	[ft  ]	76.800000	10	YES	1786	9999-12-31	2013-05-08	1196
2/4-E-6	2	12657.000000	12665.500000	[ft  ]	76.800000	10	YES	1786	9999-12-31	2013-05-08	1197
2/4-E-6	3	12718.000000	12749.000000	[ft  ]	76.800000	10	YES	1786	9999-12-31	2013-05-08	1198
2/4-E-6	4	12749.000000	12768.000000	[ft  ]	76.800000	10	YES	1786	9999-12-31	2013-05-08	1199
2/4-E-6	5	12790.000000	12821.000000	[ft  ]	76.800000	10	YES	1786	9999-12-31	2013-05-08	1200
2/4-E-6	6	12821.000000	12848.000000	[ft  ]	76.800000	10	YES	1786	9999-12-31	2013-05-08	1201
2/4-E-6	7	12852.000000	12879.000000	[ft  ]	76.800000	10	YES	1786	9999-12-31	2013-05-08	1202
2/4-E-6	8	12879.000000	12906.000000	[ft  ]	76.800000	10	YES	1786	9999-12-31	2013-05-08	1203
2/4-E-6	9	12906.000000	12934.000000	[ft  ]	76.800000	10	YES	1786	9999-12-31	2013-05-08	1204
2/4-F-10	1	10361.000000	10385.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1205
2/4-F-10	10	10724.000000	10769.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1206
2/4-F-10	11	10769.000000	10798.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1207
2/4-F-10	12	10798.000000	10838.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1208
2/4-F-10	13	10838.000000	10884.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1209
2/4-F-10	14	10884.000000	10944.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1210
2/4-F-10	15	10944.000000	11004.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1211
2/4-F-10	2	10388.000000	10420.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1212
2/4-F-10	3	10418.000000	10478.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1213
2/4-F-10	4	10481.000000	10510.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1214
2/4-F-10	5	10511.000000	10573.600000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1215
2/4-F-10	6	10572.000000	10621.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1216
2/4-F-10	7	10607.000000	10639.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1217
2/4-F-10	8	10639.000000	10698.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1218
2/4-F-10	9	10695.000000	10724.000000	[ft  ]	200.000000	15	YES	771	9999-12-31	2013-05-08	1219
2/4-K-13	1	9408.000000	9463.500000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1220
2/4-K-13	10	10254.000000	10284.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1221
2/4-K-13	11	10409.000000	10413.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1222
2/4-K-13	12	10430.000000	10434.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1223
2/4-K-13	13	\N	0.000000	\N	92.000000	23	YES	672	9999-12-31	2013-05-08	1224
2/4-K-13	14	10537.000000	10550.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1225
2/4-K-13	15	10551.000000	10555.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1226
2/4-K-13	16	10581.000000	10586.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1227
2/4-K-13	17	10611.000000	10633.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1228
2/4-K-13	18	10634.000000	10641.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1229
2/4-K-13	19	10646.000000	10654.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1230
2/4-K-13	2	9848.800000	9897.300000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1231
2/4-K-13	20	10668.000000	10675.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1232
2/4-K-13	21	10679.000000	10693.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1233
2/4-K-13	22	10696.000000	10700.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1234
2/4-K-13	23	10702.000000	10713.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1235
2/4-K-13	3	9897.000000	9908.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1236
2/4-K-13	4	10165.000000	10175.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1237
2/4-K-13	5	10175.000000	10177.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1238
2/4-K-13	6	10206.000000	10209.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1239
2/4-K-13	7	\N	0.000000	\N	92.000000	23	YES	672	9999-12-31	2013-05-08	1240
2/4-K-13	8	10223.000000	10230.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1241
2/4-K-13	9	10232.000000	10252.000000	[ft  ]	92.000000	23	YES	672	9999-12-31	2013-05-08	1242
2/4-K-18	1	10723.300000	10728.300000	[ft  ]	46.000000	8	YES	1917	9999-12-31	2013-05-08	1243
2/4-K-18	2	10854.000000	10868.600000	[ft  ]	46.000000	8	YES	1917	9999-12-31	2013-05-08	1244
2/4-K-18	3	10921.400000	10936.400000	[ft  ]	46.000000	8	YES	1917	9999-12-31	2013-05-08	1245
2/4-K-18	4	11169.000000	11176.700000	[ft  ]	46.000000	8	YES	1917	9999-12-31	2013-05-08	1246
2/4-K-18	5	11327.000000	11333.000000	[ft  ]	46.000000	8	YES	1917	9999-12-31	2013-05-08	1247
2/4-K-18	6	12628.000000	12631.200000	[ft  ]	46.000000	8	YES	1917	9999-12-31	2013-05-08	1248
2/4-K-18	7	12658.000000	12696.600000	[ft  ]	46.000000	8	YES	1917	9999-12-31	2013-05-08	1249
2/4-K-18	8	13362.000000	13424.100000	[ft  ]	46.000000	8	YES	1917	9999-12-31	2013-05-08	1250
2/4-K-22	1	4463.000000	4484.000000	[ft  ]	13.000000	2	YES	673	9999-12-31	2013-05-08	1251
2/4-K-22	2	6370.000000	6395.000000	[ft  ]	13.000000	2	YES	673	9999-12-31	2013-05-08	1252
2/4-K-23	1	10279.000000	10295.000000	[ft  ]	92.000000	10	YES	932	9999-12-31	2013-05-08	1253
2/4-K-23	10	10576.700000	10581.700000	[ft  ]	92.000000	10	YES	932	9999-12-31	2013-05-08	1254
2/4-K-23	2	10314.000000	10314.200000	[ft  ]	92.000000	10	YES	932	9999-12-31	2013-05-08	1255
2/4-K-23	3	10331.000000	10332.400000	[ft  ]	92.000000	10	YES	932	9999-12-31	2013-05-08	1256
2/4-K-23	4	10346.000000	10347.700000	[ft  ]	92.000000	10	YES	932	9999-12-31	2013-05-08	1257
2/4-K-23	5	\N	0.000000	\N	92.000000	10	YES	932	9999-12-31	2013-05-08	1258
2/4-K-23	6	10432.000000	10434.600000	[ft  ]	92.000000	10	YES	932	9999-12-31	2013-05-08	1259
2/4-K-23	7	10508.000000	10517.000000	[ft  ]	92.000000	10	YES	932	9999-12-31	2013-05-08	1260
2/4-K-23	8	10539.000000	10539.300000	[ft  ]	92.000000	10	YES	932	9999-12-31	2013-05-08	1261
2/4-K-23	9	10569.000000	10575.400000	[ft  ]	92.000000	10	YES	932	9999-12-31	2013-05-08	1262
2/4-K-26	1	11581.000000	11605.000000	[ft  ]	32.800000	9	YES	1493	9999-12-31	2013-05-08	1263
2/4-K-26	2	11606.000000	11610.000000	[ft  ]	32.800000	9	YES	1493	9999-12-31	2013-05-08	1264
2/4-K-26	3	11611.000000	11630.000000	[ft  ]	32.800000	9	YES	1493	9999-12-31	2013-05-08	1265
2/4-K-26	4	11781.000000	11784.000000	[ft  ]	32.800000	9	YES	1493	9999-12-31	2013-05-08	1266
2/4-K-26	5	11786.000000	11793.500000	[ft  ]	32.800000	9	YES	1493	9999-12-31	2013-05-08	1267
2/4-K-26	6	11795.000000	11807.000000	[ft  ]	32.800000	9	YES	1493	9999-12-31	2013-05-08	1268
2/4-K-26	7	11809.000000	11813.000000	[ft  ]	32.800000	9	YES	1493	9999-12-31	2013-05-08	1269
2/4-K-26	8	11845.000000	11878.000000	[ft  ]	32.800000	9	YES	1493	9999-12-31	2013-05-08	1270
2/4-K-26	9	12026.000000	12085.000000	[ft  ]	32.800000	9	YES	1493	9999-12-31	2013-05-08	1271
2/4-K-4	1	11885.000000	11895.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1272
2/4-K-4	10	12014.000000	12035.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1273
2/4-K-4	11	12036.000000	12054.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1274
2/4-K-4	12	12054.000000	12070.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1275
2/4-K-4	13	12072.000000	12083.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1276
2/4-K-4	14	12084.000000	12086.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1277
2/4-K-4	15	12086.000000	12107.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1278
2/4-K-4	16	12106.000000	12108.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1279
2/4-K-4	17	\N	0.000000	\N	252.400000	48	YES	670	9999-12-31	2013-05-08	1280
2/4-K-4	18	12116.000000	12118.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1281
2/4-K-4	19	12119.000000	12133.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1282
2/4-K-4	2	11897.000000	11917.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1283
2/4-K-4	20	12133.000000	12140.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1284
2/4-K-4	21	12141.000000	12155.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1285
2/4-K-4	22	12155.000000	12161.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1286
2/4-K-4	23	12161.000000	12168.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1287
2/4-K-4	24	12173.000000	12174.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1288
2/4-K-4	25	12174.000000	12200.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1289
2/4-K-4	26	12204.000000	12218.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1290
2/4-K-4	27	12234.000000	12259.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1291
2/4-K-4	28	12259.000000	12264.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1292
2/4-K-4	29	12268.000000	12270.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1293
2/4-K-4	3	11925.000000	11945.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1294
2/4-K-4	30	12298.000000	12305.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1295
2/4-K-4	31	12306.000000	12308.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1296
2/4-K-4	32	12308.000000	12321.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1297
2/4-K-4	33	12321.000000	12343.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1298
2/4-K-4	34	12351.000000	12365.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1299
2/4-K-4	35	12357.000000	12371.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1300
2/4-K-4	36	12373.000000	12377.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1301
2/4-K-4	37	12378.000000	12386.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1302
2/4-K-4	38	12390.000000	12420.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1303
2/4-K-4	39	12420.000000	12432.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1304
2/4-K-4	4	11946.000000	11950.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1305
2/4-K-4	40	12449.000000	12455.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1306
2/4-K-4	41	12456.000000	12467.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1307
2/4-K-4	42	12472.000000	12484.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1308
2/4-K-4	43	12484.000000	12510.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1309
2/4-K-4	44	12514.000000	12544.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1310
2/4-K-4	45	12544.000000	12574.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1311
2/4-K-4	46	12574.000000	12615.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1312
2/4-K-4	47	12634.000000	12694.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1313
2/4-K-4	48	12694.000000	12725.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1314
2/4-K-4	5	\N	0.000000	\N	252.400000	48	YES	670	9999-12-31	2013-05-08	1315
2/4-K-4	6	11954.000000	11969.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1316
2/4-K-4	7	11971.000000	11976.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1317
2/4-K-4	8	11977.000000	12006.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1318
2/4-K-4	9	12007.000000	12013.000000	[ft  ]	252.400000	48	YES	670	9999-12-31	2013-05-08	1319
2/4-X-15	1	4907.300000	4934.600000	[ft  ]	27.300000	1	YES	4534	9999-12-31	2013-05-08	1320
2/4-X-32	1	10571.000000	10662.500000	[ft  ]	56.000000	2	YES	4254	9999-12-31	2013-05-08	1321
2/4-X-32	2	10662.500000	10754.500000	[ft  ]	56.000000	2	YES	4254	9999-12-31	2013-05-08	1322
2/4-X-47	1	15736.000000	15796.000000	[ft  ]	39.600000	3	YES	3157	9999-12-31	2013-05-08	1323
2/4-X-47	2	15796.000000	15864.800000	[ft  ]	39.600000	3	YES	3157	9999-12-31	2013-05-08	1324
2/4-X-47	3	15837.800000	15864.900000	[ft  ]	39.600000	3	YES	3157	9999-12-31	2013-05-08	1325
2/5-1	1	9995.000000	10018.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1326
2/5-1	10	10251.000000	10253.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1327
2/5-1	11	10291.000000	10314.500000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1328
2/5-1	12	10314.500000	10337.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1329
2/5-1	13	10337.000000	10372.700000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1330
2/5-1	14	10387.000000	10415.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1331
2/5-1	15	10425.000000	10439.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1332
2/5-1	16	10439.000000	10450.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1333
2/5-1	17	10450.000000	10479.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1334
2/5-1	18	10479.000000	10505.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1335
2/5-1	19	10505.000000	10559.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1336
2/5-1	2	10021.000000	10034.500000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1337
2/5-1	20	10559.000000	10616.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1338
2/5-1	21	10616.000000	10699.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1339
2/5-1	22	10699.000000	10774.600000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1340
2/5-1	23	10789.000000	10878.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1341
2/5-1	3	10036.000000	10043.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1342
2/5-1	4	10043.000000	10069.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1343
2/5-1	5	10069.000000	10101.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1344
2/5-1	6	10101.000000	10141.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1345
2/5-1	7	10141.000000	10175.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1346
2/5-1	8	10175.000000	10204.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1347
2/5-1	9	10204.000000	10251.000000	[ft  ]	244.000000	23	YES	178	9999-12-31	2013-05-08	1348
2/5-10	1	4575.000000	4584.700000	[m   ]	15.000000	2	YES	2044	9999-12-31	2013-05-08	1349
2/5-10	2	4584.700000	4590.000000	[m   ]	15.000000	2	YES	2044	9999-12-31	2013-05-08	1350
2/5-10 A	1	4612.000000	4620.800000	[m   ]	27.500000	3	YES	2194	9999-12-31	2013-05-08	1351
2/5-10 A	2	4621.500000	4631.400000	[m   ]	27.500000	3	YES	2194	9999-12-31	2013-05-08	1352
2/5-10 A	3	4631.400000	4640.200000	[m   ]	27.500000	3	YES	2194	9999-12-31	2013-05-08	1353
2/5-11	1	3312.000000	3330.000000	[m   ]	125.000000	4	YES	3084	9999-12-31	2013-05-08	1354
2/5-11	2	3330.000000	3366.000000	[m   ]	125.000000	4	YES	3084	9999-12-31	2013-05-08	1355
2/5-11	3	3393.000000	3418.000000	[m   ]	125.000000	4	YES	3084	9999-12-31	2013-05-08	1356
2/5-11	4	3419.000000	3465.000000	[m   ]	125.000000	4	YES	3084	9999-12-31	2013-05-08	1357
2/5-2	1	10235.000000	10244.000000	[ft  ]	53.600000	5	YES	188	9999-12-31	2013-05-08	1358
2/5-2	2	10295.000000	10338.000000	[ft  ]	53.600000	5	YES	188	9999-12-31	2013-05-08	1359
2/5-2	3	10413.000000	10458.000000	[ft  ]	53.600000	5	YES	188	9999-12-31	2013-05-08	1360
2/5-2	4	10614.000000	10669.000000	[ft  ]	53.600000	5	YES	188	9999-12-31	2013-05-08	1361
2/5-2	5	10841.000000	10865.000000	[ft  ]	53.600000	5	YES	188	9999-12-31	2013-05-08	1362
2/5-3	1	9998.000000	10011.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1363
2/5-3	10	10301.000000	10339.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1364
2/5-3	11	10342.000000	10402.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1365
2/5-3	12	10402.000000	10430.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1366
2/5-3	13	10435.000000	10461.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1367
2/5-3	14	10472.000000	10494.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1368
2/5-3	15	10505.000000	10549.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1369
2/5-3	2	10012.000000	10023.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1370
2/5-3	3	10025.000000	10064.600000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1371
2/5-3	4	10068.000000	10125.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1372
2/5-3	5	10125.000000	10145.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1373
2/5-3	6	10145.000000	10208.600000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1374
2/5-3	7	10208.600000	10243.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1375
2/5-3	8	10243.000000	10265.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1376
2/5-3	9	10265.000000	10301.000000	[ft  ]	123.300000	15	YES	258	9999-12-31	2013-05-08	1377
2/5-5	1	10776.000000	10838.000000	[ft  ]	36.600000	2	YES	260	9999-12-31	2013-05-08	1378
2/5-5	2	10838.000000	10896.000000	[ft  ]	36.600000	2	YES	260	9999-12-31	2013-05-08	1379
2/5-6	1	3915.000000	3925.000000	[m   ]	10.000000	1	YES	261	9999-12-31	2013-05-08	1380
2/5-7	1	3303.000000	3308.400000	[m   ]	32.800000	5	YES	25	9999-12-31	2013-05-08	1381
2/5-7	2	3312.000000	3321.100000	[m   ]	32.800000	5	YES	25	9999-12-31	2013-05-08	1382
2/5-7	3	3326.500000	3335.600000	[m   ]	32.800000	5	YES	25	9999-12-31	2013-05-08	1383
2/5-7	4	\N	0.000000	\N	32.800000	5	YES	25	9999-12-31	2013-05-08	1384
2/5-7	5	3339.000000	3348.300000	[m   ]	32.800000	5	YES	25	9999-12-31	2013-05-08	1385
2/5-8	1	3115.000000	3130.000000	[m   ]	112.200000	5	YES	1308	9999-12-31	2013-05-08	1386
2/5-8	2	3130.000000	3142.000000	[m   ]	112.200000	5	YES	1308	9999-12-31	2013-05-08	1387
2/5-8	3	3207.000000	3234.900000	[m   ]	112.200000	5	YES	1308	9999-12-31	2013-05-08	1388
2/5-8	4	3235.000000	3263.000000	[m   ]	112.200000	5	YES	1308	9999-12-31	2013-05-08	1389
2/5-8	5	3262.000000	3291.300000	[m   ]	112.200000	5	YES	1308	9999-12-31	2013-05-08	1390
2/6-1	1	3223.900000	3232.500000	[m   ]	8.600000	1	YES	160	9999-12-31	2013-05-08	1391
2/6-2	1	3877.000000	3886.100000	[m   ]	23.700000	3	YES	224	9999-12-31	2013-05-08	1392
2/6-2	2	4220.000000	4228.600000	[m   ]	23.700000	3	YES	224	9999-12-31	2013-05-08	1393
2/6-2	3	4229.000000	4235.000000	[m   ]	23.700000	3	YES	224	9999-12-31	2013-05-08	1394
2/6-3	1	3551.000000	3558.700000	[m   ]	12.600000	3	YES	64	9999-12-31	2013-05-08	1395
2/6-3	2	3886.000000	3887.000000	[m   ]	12.600000	3	YES	64	9999-12-31	2013-05-08	1396
2/6-3	3	4053.000000	4056.900000	[m   ]	12.600000	3	YES	64	9999-12-31	2013-05-08	1397
2/6-4 S	1	2530.000000	2534.000000	[m   ]	4.000000	1	YES	1527	9999-12-31	2013-05-08	1398
2/6-5	1	2852.000000	2854.000000	[m   ]	49.100000	8	YES	2885	9999-12-31	2013-05-08	1399
2/6-5	2	2904.000000	2917.000000	[m   ]	49.100000	8	YES	2885	9999-12-31	2013-05-08	1400
2/6-5	3	2929.000000	2934.700000	[m   ]	49.100000	8	YES	2885	9999-12-31	2013-05-08	1401
2/6-5	4	2935.000000	2953.000000	[m   ]	49.100000	8	YES	2885	9999-12-31	2013-05-08	1402
2/6-5	5	2953.000000	2956.800000	[m   ]	49.100000	8	YES	2885	9999-12-31	2013-05-08	1403
2/6-5	6	2957.000000	2958.500000	[m   ]	49.100000	8	YES	2885	9999-12-31	2013-05-08	1404
2/6-5	7	2977.000000	2980.100000	[m   ]	49.100000	8	YES	2885	9999-12-31	2013-05-08	1405
2/6-5	8	3252.000000	3254.100000	[m   ]	49.100000	8	YES	2885	9999-12-31	2013-05-08	1406
2/7-1	1	9700.000000	9721.000000	[ft  ]	38.400000	4	YES	179	9999-12-31	2013-05-08	1407
2/7-1	2	9721.000000	9751.000000	[ft  ]	38.400000	4	YES	179	9999-12-31	2013-05-08	1408
2/7-1	3	9751.000000	9797.600000	[ft  ]	38.400000	4	YES	179	9999-12-31	2013-05-08	1409
2/7-1	4	9950.000000	9981.000000	[ft  ]	38.400000	4	YES	179	9999-12-31	2013-05-08	1410
2/7-13	1	8942.000000	8948.000000	[ft  ]	21.900000	5	YES	272	9999-12-31	2013-05-08	1411
2/7-13	2	8973.000000	8985.000000	[ft  ]	21.900000	5	YES	272	9999-12-31	2013-05-08	1412
2/7-13	3	9104.000000	9118.000000	[ft  ]	21.900000	5	YES	272	9999-12-31	2013-05-08	1413
2/7-13	4	9118.000000	9124.600000	[ft  ]	21.900000	5	YES	272	9999-12-31	2013-05-08	1414
2/7-13	5	9138.000000	9154.000000	[ft  ]	21.900000	5	YES	272	9999-12-31	2013-05-08	1415
2/7-14	1	10240.000000	10290.000000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1416
2/7-14	10	10630.000000	10654.800000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1417
2/7-14	11	10745.900000	10783.000000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1418
2/7-14	12	10798.000000	10817.000000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1419
2/7-14	13	10819.000000	10845.700000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1420
2/7-14	2	10299.000000	10342.000000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1421
2/7-14	3	10358.000000	10367.900000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1422
2/7-14	4	10377.000000	10400.000000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1423
2/7-14	5	10400.000000	10445.600000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1424
2/7-14	6	10451.000000	10455.000000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1425
2/7-14	7	10476.000000	10514.600000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1426
2/7-14	8	10533.000000	10557.000000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1427
2/7-14	9	10600.000000	10627.000000	[ft  ]	119.000000	13	YES	116	9999-12-31	2013-05-08	1428
2/7-15	1	11422.000000	11459.000000	[ft  ]	92.000000	7	YES	225	9999-12-31	2013-05-08	1429
2/7-15	2	11459.000000	11472.000000	[ft  ]	92.000000	7	YES	225	9999-12-31	2013-05-08	1430
2/7-15	3	11474.000000	11514.000000	[ft  ]	92.000000	7	YES	225	9999-12-31	2013-05-08	1431
2/7-15	4	11514.000000	11562.000000	[ft  ]	92.000000	7	YES	225	9999-12-31	2013-05-08	1432
2/7-15	5	11562.000000	11602.000000	[ft  ]	92.000000	7	YES	225	9999-12-31	2013-05-08	1433
2/7-15	6	11602.000000	11619.000000	[ft  ]	92.000000	7	YES	225	9999-12-31	2013-05-08	1434
2/7-15	7	13214.000000	13246.600000	[ft  ]	92.000000	7	YES	225	9999-12-31	2013-05-08	1435
2/7-16	1	10441.000000	10501.000000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1436
2/7-16	10	10921.000000	10981.000000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1437
2/7-16	11	10981.000000	11038.600000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1438
2/7-16	12	11041.000000	11101.000000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1439
2/7-16	13	11101.000000	11161.000000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1440
2/7-16	14	11163.000000	11172.000000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1441
2/7-16	2	10501.000000	10558.900000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1442
2/7-16	3	10560.000000	10619.600000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1443
2/7-16	4	10621.000000	10661.100000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1444
2/7-16	5	10681.000000	10729.000000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1445
2/7-16	6	10730.000000	10788.000000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1446
2/7-16	7	10790.000000	10841.600000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1447
2/7-16	8	10843.000000	10901.600000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1448
2/7-16	9	10903.000000	10908.600000	[ft  ]	185.300000	14	YES	232	9999-12-31	2013-05-08	1449
2/7-19	1	10314.000000	10370.300000	[ft  ]	4.000000	1	YES	1367	9999-12-31	2013-05-08	1450
2/7-2	1	9888.000000	9904.000000	[ft  ]	26.500000	3	YES	187	9999-12-31	2013-05-08	1451
2/7-2	2	9904.000000	9934.000000	[ft  ]	26.500000	3	YES	187	9999-12-31	2013-05-08	1452
2/7-2	3	12976.000000	13004.000000	[ft  ]	26.500000	3	YES	187	9999-12-31	2013-05-08	1453
2/7-20	1	10075.000000	10105.000000	[ft  ]	38.200000	4	YES	1062	2012-10-16	2013-05-08	1454
2/7-20	2	14421.000000	14437.700000	[ft  ]	38.200000	4	YES	1062	2012-10-16	2013-05-08	1455
2/7-20	3	14437.700000	14469.400000	[ft  ]	38.200000	4	YES	1062	2012-10-16	2013-05-08	1456
2/7-20	4	14735.000000	14792.000000	[ft  ]	38.200000	4	YES	1062	2012-10-16	2013-05-08	1457
2/7-21 S	1	14175.000000	14196.000000	[ft  ]	115.400000	11	YES	1394	9999-12-31	2013-05-08	1458
2/7-21 S	10	16213.000000	16243.000000	[ft  ]	115.400000	11	YES	1394	9999-12-31	2013-05-08	1459
2/7-21 S	11	16471.000000	16531.300000	[ft  ]	115.400000	11	YES	1394	9999-12-31	2013-05-08	1460
2/7-21 S	2	14196.000000	14251.000000	[ft  ]	115.400000	11	YES	1394	9999-12-31	2013-05-08	1461
2/7-21 S	3	14256.000000	14378.600000	[ft  ]	115.400000	11	YES	1394	9999-12-31	2013-05-08	1462
2/7-21 S	4	14621.000000	14649.400000	[ft  ]	115.400000	11	YES	1394	9999-12-31	2013-05-08	1463
2/7-21 S	5	14649.400000	14684.400000	[ft  ]	115.400000	11	YES	1394	9999-12-31	2013-05-08	1464
2/7-21 S	6	14980.000000	15008.900000	[ft  ]	115.400000	11	YES	1394	9999-12-31	2013-05-08	1465
2/7-21 S	7	15250.000000	15299.000000	[ft  ]	115.400000	11	YES	1394	9999-12-31	2013-05-08	1466
2/7-21 S	8	15299.000000	15311.600000	[ft  ]	115.400000	11	YES	1394	9999-12-31	2013-05-08	1467
2/7-21 S	9	15355.000000	15393.100000	[ft  ]	115.400000	11	YES	1394	9999-12-31	2013-05-08	1468
2/7-23 S	1	\N	0.000000	\N	273.000000	21	YES	1547	9999-12-31	2013-05-08	1469
2/7-23 S	10	14813.000000	14857.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1470
2/7-23 S	11	14857.000000	14913.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1471
2/7-23 S	12	14913.000000	14975.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1472
2/7-23 S	13	14975.000000	15020.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1473
2/7-23 S	14	15020.000000	15111.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1474
2/7-23 S	15	15111.000000	15174.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1475
2/7-23 S	16	15174.000000	15210.600000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1476
2/7-23 S	17	15211.000000	15257.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1477
2/7-23 S	18	15257.000000	15296.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1478
2/7-23 S	19	15296.000000	15328.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1479
2/7-23 S	2	14520.000000	14586.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1480
2/7-23 S	20	15329.000000	15390.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1481
2/7-23 S	21	15390.000000	15480.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1482
2/7-23 S	3	14586.000000	14647.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1483
2/7-23 S	4	14647.000000	14658.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1484
2/7-23 S	5	14658.000000	14685.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1485
2/7-23 S	6	14692.000000	14750.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1486
2/7-23 S	7	14750.000000	14774.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1487
2/7-23 S	8	14777.000000	14795.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1488
2/7-23 S	9	14795.000000	14813.000000	[ft  ]	273.000000	21	YES	1547	9999-12-31	2013-05-08	1489
2/7-24	1	14711.000000	14767.200000	[ft  ]	17.000000	1	YES	1613	9999-12-31	2013-05-08	1490
2/7-25 S	1	15698.000000	15753.600000	[ft  ]	68.800000	4	YES	1679	2012-12-05	2013-05-08	1491
2/7-25 S	2	15889.000000	15923.000000	[ft  ]	68.800000	4	YES	1679	2012-12-05	2013-05-08	1492
2/7-25 S	3	16693.000000	16733.600000	[ft  ]	68.800000	4	YES	1679	2012-12-05	2013-05-08	1493
2/7-25 S	4	16740.000000	16784.400000	[ft  ]	68.800000	4	YES	1679	2012-12-05	2013-05-08	1494
2/7-26 S	1	10500.000000	10545.500000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1495
2/7-26 S	10	14660.000000	14693.600000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1496
2/7-26 S	11	14696.000000	14743.800000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1497
2/7-26 S	12	14746.000000	14807.200000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1498
2/7-26 S	13	14807.000000	14848.000000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1499
2/7-26 S	14	14854.000000	14903.600000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1500
2/7-26 S	15	14903.000000	14935.600000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1501
2/7-26 S	16	15312.000000	15403.600000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1502
2/7-26 S	17	15404.000000	15495.100000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1503
2/7-26 S	18	15844.000000	15907.700000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1504
2/7-26 S	2	14103.000000	14153.900000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1505
2/7-26 S	3	14417.000000	14453.100000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1506
2/7-26 S	4	14457.000000	14480.800000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1507
2/7-26 S	5	14481.000000	14545.800000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1508
2/7-26 S	6	14558.000000	14581.600000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1509
2/7-26 S	7	14586.000000	14592.100000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1510
2/7-26 S	8	14598.000000	14635.600000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1511
2/7-26 S	9	14636.000000	14658.000000	[ft  ]	259.000000	18	YES	1756	9999-12-31	2013-05-08	1512
2/7-27 S	1	10410.000000	10462.000000	[ft  ]	36.300000	4	YES	1878	2012-12-05	2013-05-08	1513
2/7-27 S	2	10715.000000	10745.000000	[ft  ]	36.300000	4	YES	1878	2012-12-05	2013-05-08	1514
2/7-27 S	3	15039.000000	15056.000000	[ft  ]	36.300000	4	YES	1878	2012-12-05	2013-05-08	1515
2/7-27 S	4	15056.000000	15075.600000	[ft  ]	36.300000	4	YES	1878	2012-12-05	2013-05-08	1516
2/7-28	1	11202.000000	11262.200000	[ft  ]	23.800000	2	YES	1906	9999-12-31	2013-05-08	1517
2/7-28	2	11529.000000	11547.000000	[ft  ]	23.800000	2	YES	1906	9999-12-31	2013-05-08	1518
2/7-29	1	4474.000000	4483.600000	[ft  ]	113.000000	7	YES	2124	9999-12-31	2013-05-08	1519
2/7-29	2	4483.600000	4501.300000	[ft  ]	113.000000	7	YES	2124	9999-12-31	2013-05-08	1520
2/7-29	3	4501.300000	4519.000000	[ft  ]	113.000000	7	YES	2124	9999-12-31	2013-05-08	1521
2/7-29	4	4519.000000	4538.000000	[ft  ]	113.000000	7	YES	2124	9999-12-31	2013-05-08	1522
2/7-29	5	4538.000000	4548.800000	[ft  ]	113.000000	7	YES	2124	9999-12-31	2013-05-08	1523
2/7-29	6	4684.100000	4703.300000	[ft  ]	113.000000	7	YES	2124	9999-12-31	2013-05-08	1524
2/7-29	7	4853.000000	4872.000000	[ft  ]	113.000000	7	YES	2124	9999-12-31	2013-05-08	1525
2/7-3	1	9354.000000	9370.000000	[ft  ]	9.500000	4	YES	262	9999-12-31	2013-05-08	1526
2/7-3	2	9388.000000	9392.000000	[ft  ]	9.500000	4	YES	262	9999-12-31	2013-05-08	1527
2/7-3	3	9431.000000	9472.000000	[ft  ]	9.500000	4	YES	262	9999-12-31	2013-05-08	1528
2/7-3	4	9480.000000	9484.000000	[ft  ]	9.500000	4	YES	262	9999-12-31	2013-05-08	1529
2/7-30	1	10302.000000	10363.600000	[ft  ]	125.500000	6	YES	2394	9999-12-31	2013-05-08	1530
2/7-30	2	10363.600000	10454.600000	[ft  ]	125.500000	6	YES	2394	9999-12-31	2013-05-08	1531
2/7-30	3	10454.600000	10545.000000	[ft  ]	125.500000	6	YES	2394	9999-12-31	2013-05-08	1532
2/7-30	4	10545.000000	10602.600000	[ft  ]	125.500000	6	YES	2394	9999-12-31	2013-05-08	1533
2/7-30	5	10602.000000	10623.000000	[ft  ]	125.500000	6	YES	2394	9999-12-31	2013-05-08	1534
2/7-30	6	10658.000000	10748.300000	[ft  ]	125.500000	6	YES	2394	9999-12-31	2013-05-08	1535
2/7-31	1	15734.000000	15741.600000	[ft  ]	41.300000	4	YES	3573	9999-12-31	2013-05-08	1536
2/7-31	2	15785.000000	15877.600000	[ft  ]	41.300000	4	YES	3573	9999-12-31	2013-05-08	1537
2/7-31	3	15877.600000	15905.600000	[ft  ]	41.300000	4	YES	3573	9999-12-31	2013-05-08	1538
2/7-31	4	15908.000000	15915.300000	[ft  ]	41.300000	4	YES	3573	9999-12-31	2013-05-08	1539
2/7-4	1	10224.000000	10258.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1540
2/7-4	10	10563.000000	10580.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1541
2/7-4	11	10605.000000	10651.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1542
2/7-4	12	10651.000000	10679.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1543
2/7-4	2	10258.000000	10302.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1544
2/7-4	3	10302.000000	10344.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1545
2/7-4	4	10359.000000	10379.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1546
2/7-4	5	10380.000000	10396.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1547
2/7-4	6	10405.000000	10448.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1548
2/7-4	7	10448.000000	10474.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1549
2/7-4	8	10477.000000	10517.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1550
2/7-4	9	10517.000000	10535.000000	[ft  ]	113.100000	12	YES	263	9999-12-31	2013-05-08	1551
2/7-5	1	10237.000000	10293.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1552
2/7-5	10	10619.000000	10655.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1553
2/7-5	11	10658.000000	10713.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1554
2/7-5	12	10714.000000	10771.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1555
2/7-5	13	10772.000000	10822.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1556
2/7-5	2	10293.000000	10350.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1557
2/7-5	3	10350.000000	10367.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1558
2/7-5	4	10367.000000	10417.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1559
2/7-5	5	10417.000000	10431.500000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1560
2/7-5	6	10431.500000	10490.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1561
2/7-5	7	10490.000000	10504.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1562
2/7-5	8	10504.000000	10562.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1563
2/7-5	9	10562.000000	10570.000000	[ft  ]	143.900000	13	YES	264	9999-12-31	2013-05-08	1564
2/7-A-1	1	11535.000000	11538.000000	[ft  ]	28.600000	5	YES	1462	9999-12-31	2013-05-08	1565
2/7-A-1	2	11598.000000	11633.000000	[ft  ]	28.600000	5	YES	1462	9999-12-31	2013-05-08	1566
2/7-A-1	3	11782.000000	11800.000000	[ft  ]	28.600000	5	YES	1462	9999-12-31	2013-05-08	1567
2/7-A-1	4	11849.000000	11864.000000	[ft  ]	28.600000	5	YES	1462	9999-12-31	2013-05-08	1568
2/7-A-1	5	12084.000000	12106.000000	[ft  ]	28.600000	5	YES	1462	9999-12-31	2013-05-08	1569
2/7-A-13 B	1	3526.500000	3553.400000	[m   ]	26.900000	1	YES	5961	9999-12-31	2013-05-08	1570
2/7-A-18	1	9500.000000	9531.000000	[ft  ]	64.700000	5	YES	793	9999-12-31	2013-05-08	1571
2/7-A-18	2	9531.000000	9560.000000	[ft  ]	64.700000	5	YES	793	9999-12-31	2013-05-08	1572
2/7-A-18	3	9638.000000	9697.000000	[ft  ]	64.700000	5	YES	793	9999-12-31	2013-05-08	1573
2/7-A-18	4	9698.000000	9728.000000	[ft  ]	64.700000	5	YES	793	9999-12-31	2013-05-08	1574
2/7-A-18	5	9860.000000	9918.900000	[ft  ]	64.700000	5	YES	793	9999-12-31	2013-05-08	1575
2/7-A-18 A	1	9500.000000	9531.000000	[ft  ]	64.000000	5	YES	1483	9999-12-31	2013-05-08	1576
2/7-A-18 A	2	9531.000000	9560.000000	[ft  ]	64.000000	5	YES	1483	9999-12-31	2013-05-08	1577
2/7-A-18 A	3	9638.000000	9698.000000	[ft  ]	64.000000	5	YES	1483	9999-12-31	2013-05-08	1578
2/7-A-18 A	4	9698.000000	9725.000000	[ft  ]	64.000000	5	YES	1483	9999-12-31	2013-05-08	1579
2/7-A-18 A	5	9860.000000	9919.500000	[ft  ]	64.000000	5	YES	1483	9999-12-31	2013-05-08	1580
2/7-A-19 A	1	9818.000000	9839.000000	[ft  ]	46.200000	5	YES	1607	9999-12-31	2013-05-08	1581
2/7-A-19 A	2	9879.000000	9885.600000	[ft  ]	46.200000	5	YES	1607	9999-12-31	2013-05-08	1582
2/7-A-19 A	3	9929.000000	9972.100000	[ft  ]	46.200000	5	YES	1607	9999-12-31	2013-05-08	1583
2/7-A-19 A	4	9972.000000	9992.000000	[ft  ]	46.200000	5	YES	1607	9999-12-31	2013-05-08	1584
2/7-A-19 A	5	10032.000000	10091.000000	[ft  ]	46.200000	5	YES	1607	9999-12-31	2013-05-08	1585
2/7-A-2 A	1	9867.000000	9896.000000	[ft  ]	28.300000	4	YES	1359	9999-12-31	2013-05-08	1586
2/7-A-2 A	2	9896.600000	9902.000000	[ft  ]	28.300000	4	YES	1359	9999-12-31	2013-05-08	1587
2/7-A-2 A	3	9927.300000	9963.900000	[ft  ]	28.300000	4	YES	1359	9999-12-31	2013-05-08	1588
2/7-A-2 A	4	10065.600000	10087.800000	[ft  ]	28.300000	4	YES	1359	9999-12-31	2013-05-08	1589
2/7-A-20	1	9732.000000	9792.000000	[ft  ]	53.500000	8	YES	795	9999-12-31	2013-05-08	1590
2/7-A-20	2	9792.000000	9798.000000	[ft  ]	53.500000	8	YES	795	9999-12-31	2013-05-08	1591
2/7-A-20	3	9825.000000	9847.000000	[ft  ]	53.500000	8	YES	795	9999-12-31	2013-05-08	1592
2/7-A-20	4	9856.000000	9866.400000	[ft  ]	53.500000	8	YES	795	9999-12-31	2013-05-08	1593
2/7-A-20	5	9887.000000	9914.000000	[ft  ]	53.500000	8	YES	795	9999-12-31	2013-05-08	1594
2/7-A-20	6	9917.000000	9927.000000	[ft  ]	53.500000	8	YES	795	9999-12-31	2013-05-08	1595
2/7-A-20	7	9948.000000	9966.000000	[ft  ]	53.500000	8	YES	795	9999-12-31	2013-05-08	1596
2/7-A-20	8	9978.000000	10000.000000	[ft  ]	53.500000	8	YES	795	9999-12-31	2013-05-08	1597
2/7-A-23 B	1	10226.000000	10227.000000	[ft  ]	27.400000	8	YES	1706	9999-12-31	2013-05-08	1598
2/7-A-23 B	2	10256.000000	10259.000000	[ft  ]	27.400000	8	YES	1706	9999-12-31	2013-05-08	1599
2/7-A-23 B	3	10286.000000	10288.000000	[ft  ]	27.400000	8	YES	1706	9999-12-31	2013-05-08	1600
2/7-A-23 B	4	10315.000000	10319.000000	[ft  ]	27.400000	8	YES	1706	9999-12-31	2013-05-08	1601
2/7-A-23 B	5	10336.000000	10366.000000	[ft  ]	27.400000	8	YES	1706	9999-12-31	2013-05-08	1602
2/7-A-23 B	6	10371.000000	10397.000000	[ft  ]	27.400000	8	YES	1706	9999-12-31	2013-05-08	1603
2/7-A-23 B	7	10408.000000	10410.000000	[ft  ]	27.400000	8	YES	1706	9999-12-31	2013-05-08	1604
2/7-A-23 B	8	10469.000000	10498.000000	[ft  ]	27.400000	8	YES	1706	9999-12-31	2013-05-08	1605
2/7-A-25	1	9690.000000	9696.000000	[ft  ]	58.000000	10	YES	801	9999-12-31	2013-05-08	1606
2/7-A-25	10	9856.000000	9881.000000	[ft  ]	58.000000	10	YES	801	9999-12-31	2013-05-08	1607
2/7-A-25	2	9699.000000	9706.000000	[ft  ]	58.000000	10	YES	801	9999-12-31	2013-05-08	1608
2/7-A-25	3	9707.000000	9718.000000	[ft  ]	58.000000	10	YES	801	9999-12-31	2013-05-08	1609
2/7-A-25	4	9738.000000	6752.800000	[ft  ]	58.000000	10	YES	801	9999-12-31	2013-05-08	1610
2/7-A-25	5	9759.000000	9783.000000	[ft  ]	58.000000	10	YES	801	9999-12-31	2013-05-08	1611
2/7-A-25	6	9783.000000	9783.700000	[ft  ]	58.000000	10	YES	801	9999-12-31	2013-05-08	1612
2/7-A-25	7	9813.000000	9819.000000	[ft  ]	58.000000	10	YES	801	9999-12-31	2013-05-08	1613
2/7-A-25	8	9822.000000	9830.000000	[ft  ]	58.000000	10	YES	801	9999-12-31	2013-05-08	1614
2/7-A-25	9	9834.000000	9857.000000	[ft  ]	58.000000	10	YES	801	9999-12-31	2013-05-08	1615
2/7-A-6	1	9474.000000	9501.000000	[ft  ]	113.600000	7	YES	784	9999-12-31	2013-05-08	1616
2/7-A-6	2	9506.000000	9563.000000	[ft  ]	113.600000	7	YES	784	9999-12-31	2013-05-08	1617
2/7-A-6	3	9567.000000	9621.000000	[ft  ]	113.600000	7	YES	784	9999-12-31	2013-05-08	1618
2/7-A-6	4	9628.000000	9687.600000	[ft  ]	113.600000	7	YES	784	9999-12-31	2013-05-08	1619
2/7-A-6	5	9688.000000	9746.900000	[ft  ]	113.600000	7	YES	784	9999-12-31	2013-05-08	1620
2/7-A-6	6	9739.000000	9796.100000	[ft  ]	113.600000	7	YES	784	9999-12-31	2013-05-08	1621
2/7-A-6	7	9799.000000	9858.600000	[ft  ]	113.600000	7	YES	784	9999-12-31	2013-05-08	1622
2/7-B-1 A	1	\N	0.000000	\N	10.600000	4	YES	1380	9999-12-31	2013-05-08	1623
2/7-B-1 A	2	12030.000000	12046.800000	[ft  ]	10.600000	4	YES	1380	9999-12-31	2013-05-08	1624
2/7-B-1 A	3	12054.000000	12060.800000	[ft  ]	10.600000	4	YES	1380	9999-12-31	2013-05-08	1625
2/7-B-1 A	4	12211.000000	12222.000000	[ft  ]	10.600000	4	YES	1380	9999-12-31	2013-05-08	1626
2/7-B-11	1	9812.000000	9849.600000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1627
2/7-B-11	10	10250.000000	10259.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1628
2/7-B-11	11	10310.000000	10345.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1629
2/7-B-11	12	10348.000000	10408.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1630
2/7-B-11	13	10408.000000	10468.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1631
2/7-B-11	14	10468.000000	10529.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1632
2/7-B-11	15	10529.000000	10589.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1633
2/7-B-11	16	10589.000000	10649.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1634
2/7-B-11	2	9849.600000	9909.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1635
2/7-B-11	3	9909.000000	9938.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1636
2/7-B-11	4	9938.000000	9998.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1637
2/7-B-11	5	9998.000000	10058.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1638
2/7-B-11	6	10060.000000	10120.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1639
2/7-B-11	7	10120.000000	10128.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1640
2/7-B-11	8	10131.000000	10185.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1641
2/7-B-11	9	10190.000000	10250.000000	[ft  ]	278.000000	16	YES	814	9999-12-31	2013-05-08	1642
2/7-B-12	1	9489.000000	9542.000000	[ft  ]	127.100000	10	YES	815	9999-12-31	2013-05-08	1643
2/7-B-12	10	12540.000000	12595.600000	[ft  ]	127.100000	10	YES	815	9999-12-31	2013-05-08	1644
2/7-B-12	2	9545.000000	9593.000000	[ft  ]	127.100000	10	YES	815	9999-12-31	2013-05-08	1645
2/7-B-12	3	9606.000000	9651.000000	[ft  ]	127.100000	10	YES	815	9999-12-31	2013-05-08	1646
2/7-B-12	4	9668.000000	9721.000000	[ft  ]	127.100000	10	YES	815	9999-12-31	2013-05-08	1647
2/7-B-12	5	9728.000000	9778.000000	[ft  ]	127.100000	10	YES	815	9999-12-31	2013-05-08	1648
2/7-B-12	6	9789.000000	9844.000000	[ft  ]	127.100000	10	YES	815	9999-12-31	2013-05-08	1649
2/7-B-12	7	9850.000000	9890.000000	[ft  ]	127.100000	10	YES	815	9999-12-31	2013-05-08	1650
2/7-B-12	8	9908.000000	9963.000000	[ft  ]	127.100000	10	YES	815	9999-12-31	2013-05-08	1651
2/7-B-12	9	12360.000000	12371.500000	[ft  ]	127.100000	10	YES	815	9999-12-31	2013-05-08	1652
2/7-B-12 A	1	10185.000000	10224.800000	[ft  ]	62.500000	5	YES	2178	9999-12-31	2013-05-08	1653
2/7-B-12 A	2	10224.000000	10269.100000	[ft  ]	62.500000	5	YES	2178	9999-12-31	2013-05-08	1654
2/7-B-12 A	3	10379.000000	10411.000000	[ft  ]	62.500000	5	YES	2178	9999-12-31	2013-05-08	1655
2/7-B-12 A	4	10417.000000	10470.000000	[ft  ]	62.500000	5	YES	2178	9999-12-31	2013-05-08	1656
2/7-B-12 A	5	10470.000000	10505.000000	[ft  ]	62.500000	5	YES	2178	9999-12-31	2013-05-08	1657
2/7-B-13 A	1	11485.000000	11515.000000	[ft  ]	189.000000	7	YES	1255	9999-12-31	2013-05-08	1658
2/7-B-13 A	2	11550.000000	11580.800000	[ft  ]	189.000000	7	YES	1255	9999-12-31	2013-05-08	1659
2/7-B-13 A	3	11654.000000	11684.000000	[ft  ]	189.000000	7	YES	1255	9999-12-31	2013-05-08	1660
2/7-B-13 A	4	11791.000000	11821.000000	[ft  ]	189.000000	7	YES	1255	9999-12-31	2013-05-08	1661
2/7-B-13 A	5	11821.000000	11851.000000	[ft  ]	189.000000	7	YES	1255	9999-12-31	2013-05-08	1662
2/7-B-13 A	6	11855.000000	11885.000000	[ft  ]	189.000000	7	YES	1255	9999-12-31	2013-05-08	1663
2/7-B-13 A	7	12076.000000	12105.600000	[ft  ]	189.000000	7	YES	1255	9999-12-31	2013-05-08	1664
2/7-B-15	1	10707.000000	10736.800000	[ft  ]	64.100000	3	YES	1426	9999-12-31	2013-05-08	1665
2/7-B-15	2	10763.000000	10892.700000	[ft  ]	64.100000	3	YES	1426	9999-12-31	2013-05-08	1666
2/7-B-15	3	10875.000000	10935.600000	[ft  ]	64.100000	3	YES	1426	9999-12-31	2013-05-08	1667
2/7-B-3	1	6020.000000	6035.900000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1668
2/7-B-3	10	8331.000000	8347.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1669
2/7-B-3	11	10777.000000	10785.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1670
2/7-B-3	12	10786.000000	10801.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1671
2/7-B-3	13	10816.000000	10835.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1672
2/7-B-3	14	10835.000000	10865.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1673
2/7-B-3	15	10867.000000	10895.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1674
2/7-B-3	16	10895.000000	10922.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1675
2/7-B-3	17	10925.000000	10955.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1676
2/7-B-3	18	10956.000000	10968.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1677
2/7-B-3	19	\N	0.000000	\N	54.800000	21	YES	808	9999-12-31	2013-05-08	1678
2/7-B-3	2	6054.000000	6062.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1679
2/7-B-3	20	11126.000000	11127.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1680
2/7-B-3	21	11128.000000	11157.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1681
2/7-B-3	3	6067.000000	6090.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1682
2/7-B-3	4	6097.000000	6123.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1683
2/7-B-3	5	6127.000000	6150.600000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1684
2/7-B-3	6	6151.000000	6176.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1685
2/7-B-3	7	6628.000000	6636.600000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1686
2/7-B-3	8	6638.000000	6666.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1687
2/7-B-3	9	8300.000000	8309.000000	[ft  ]	54.800000	21	YES	808	9999-12-31	2013-05-08	1688
2/7-B-7 A	1	10634.000000	10663.600000	[ft  ]	83.000000	7	YES	1897	9999-12-31	2013-05-08	1689
2/7-B-7 A	2	10664.000000	10685.100000	[ft  ]	83.000000	7	YES	1897	9999-12-31	2013-05-08	1690
2/7-B-7 A	3	10724.000000	10746.000000	[ft  ]	83.000000	7	YES	1897	9999-12-31	2013-05-08	1691
2/7-B-7 A	4	10746.000000	10808.600000	[ft  ]	83.000000	7	YES	1897	9999-12-31	2013-05-08	1692
2/7-B-7 A	5	10808.600000	10847.000000	[ft  ]	83.000000	7	YES	1897	9999-12-31	2013-05-08	1693
2/7-B-7 A	6	10867.000000	10909.100000	[ft  ]	83.000000	7	YES	1897	9999-12-31	2013-05-08	1694
2/7-B-7 A	7	10918.000000	10973.100000	[ft  ]	83.000000	7	YES	1897	9999-12-31	2013-05-08	1695
2/7-B-8 B	1	3247.000000	3266.000000	[m   ]	19.000000	1	YES	5914	9999-12-31	2013-05-08	1696
2/7-B-9 A	1	12437.000000	12461.300000	[ft  ]	43.600000	5	YES	2125	9999-12-31	2013-05-08	1697
2/7-B-9 A	2	12464.000000	12494.100000	[ft  ]	43.600000	5	YES	2125	9999-12-31	2013-05-08	1698
2/7-B-9 A	3	12526.000000	12558.300000	[ft  ]	43.600000	5	YES	2125	9999-12-31	2013-05-08	1699
2/7-B-9 A	4	12847.000000	12872.400000	[ft  ]	43.600000	5	YES	2125	9999-12-31	2013-05-08	1700
2/7-B-9 A	5	12878.000000	12909.000000	[ft  ]	43.600000	5	YES	2125	9999-12-31	2013-05-08	1701
2/7-D-6	1	15690.000000	15754.900000	[ft  ]	19.800000	1	YES	3860	9999-12-31	2013-05-08	1702
2/7-D-7	1	5615.600000	5642.800000	[m   ]	27.100000	1	YES	5112	9999-12-31	2013-05-08	1703
2/8-10	1	\N	0.000000	\N	22.000000	4	YES	280	2012-10-16	2013-05-08	1704
2/8-10	2	8140.000000	8170.000000	[ft  ]	22.000000	4	YES	280	2012-10-16	2013-05-08	1705
2/8-10	3	8173.000000	8188.000000	[ft  ]	22.000000	4	YES	280	2012-10-16	2013-05-08	1706
2/8-10	4	8197.000000	8224.000000	[ft  ]	22.000000	4	YES	280	2012-10-16	2013-05-08	1707
2/8-11	1	8128.000000	8147.000000	[ft  ]	12.500000	2	YES	1224	2012-10-16	2013-05-08	1708
2/8-11	2	8147.000000	8168.000000	[ft  ]	12.500000	2	YES	1224	2012-10-16	2013-05-08	1709
2/8-12 S	1	5226.500000	5243.600000	[m   ]	17.100000	1	YES	1351	9999-12-31	2013-05-08	1710
2/8-13	1	1780.000000	1782.000000	[m   ]	2.000000	1	YES	1383	9999-12-31	2013-05-08	1711
2/8-15	1	3386.000000	3410.500000	[m   ]	52.400000	2	YES	2636	9999-12-31	2013-05-08	1712
2/8-15	2	3410.500000	3438.400000	[m   ]	52.400000	2	YES	2636	9999-12-31	2013-05-08	1713
2/8-17 S	1	2587.000000	2604.600000	[m   ]	86.800000	4	YES	3210	9999-12-31	2013-05-08	1714
2/8-17 S	2	2605.000000	2623.900000	[m   ]	86.800000	4	YES	3210	9999-12-31	2013-05-08	1715
2/8-17 S	3	2624.000000	2651.800000	[m   ]	86.800000	4	YES	3210	9999-12-31	2013-05-08	1716
2/8-17 S	4	2651.800000	2674.300000	[m   ]	86.800000	4	YES	3210	9999-12-31	2013-05-08	1717
2/8-2	1	2961.700000	2970.900000	[m   ]	15.500000	2	YES	155	9999-12-31	2013-05-08	1718
2/8-2	2	3231.200000	3237.600000	[m   ]	15.500000	2	YES	155	9999-12-31	2013-05-08	1719
2/8-6	1	8089.000000	8116.000000	[ft  ]	20.100000	2	YES	276	2012-10-16	2013-05-08	1720
2/8-6	2	8153.000000	8192.000000	[ft  ]	20.100000	2	YES	276	2012-10-16	2013-05-08	1721
2/8-7	1	8538.000000	8546.000000	[ft  ]	2.400000	1	YES	277	9999-12-31	2013-05-08	1722
2/8-8	1	8038.000000	8083.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1723
2/8-8	10	8345.000000	8354.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1724
2/8-8	11	8375.000000	8390.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1725
2/8-8	12	8393.000000	8401.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1726
2/8-8	13	8417.000000	8433.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1727
2/8-8	14	8515.000000	8533.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1728
2/8-8	2	8083.000000	8143.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1729
2/8-8	3	8143.000000	8158.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1730
2/8-8	4	8160.000000	8188.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1731
2/8-8	5	8188.000000	8196.600000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1732
2/8-8	6	8218.000000	8226.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1733
2/8-8	7	8246.000000	8251.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1734
2/8-8	8	8276.000000	8292.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1735
2/8-8	9	8314.000000	8345.000000	[ft  ]	82.300000	14	YES	278	2012-10-16	2013-05-08	1736
2/8-9	1	8302.000000	8327.600000	[ft  ]	38.700000	4	YES	279	2012-10-16	2013-05-08	1737
2/8-9	2	8332.000000	8347.000000	[ft  ]	38.700000	4	YES	279	2012-10-16	2013-05-08	1738
2/8-9	3	8347.000000	8377.000000	[ft  ]	38.700000	4	YES	279	2012-10-16	2013-05-08	1739
2/8-9	4	8382.000000	8439.000000	[ft  ]	38.700000	4	YES	279	2012-10-16	2013-05-08	1740
2/8-A-1	1	2415.400000	2422.000000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1741
2/8-A-1	10	2501.000000	2503.000000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1742
2/8-A-1	11	2520.000000	2527.000000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1743
2/8-A-1	12	2528.400000	2531.400000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1744
2/8-A-1	13	2532.700000	2539.800000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1745
2/8-A-1	14	2541.400000	2542.400000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1746
2/8-A-1	15	2542.400000	2551.400000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1747
2/8-A-1	16	2552.300000	2560.400000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1748
2/8-A-1	17	2560.400000	2573.500000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1749
2/8-A-1	18	2577.900000	2582.000000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1750
2/8-A-1	19	2582.200000	2600.100000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1751
2/8-A-1	2	2436.000000	2440.000000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1752
2/8-A-1	3	2443.000000	2450.200000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1753
2/8-A-1	4	2451.000000	2463.000000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1754
2/8-A-1	5	2463.000000	2469.000000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1755
2/8-A-1	6	2478.000000	2484.000000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1756
2/8-A-1	7	2486.100000	2488.100000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1757
2/8-A-1	8	2488.100000	2498.000000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1758
2/8-A-1	9	2498.000000	2501.000000	[m   ]	184.900000	19	YES	619	9999-12-31	2013-05-08	1759
2/8-A-1 A	1	2430.000000	2431.500000	[m   ]	18.800000	3	YES	2208	9999-12-31	2013-05-08	1760
2/8-A-1 A	2	2435.000000	2444.300000	[m   ]	18.800000	3	YES	2208	9999-12-31	2013-05-08	1761
2/8-A-1 A	3	2444.500000	2452.500000	[m   ]	18.800000	3	YES	2208	9999-12-31	2013-05-08	1762
2/8-A-13 A	1	3259.000000	3264.300000	[m   ]	30.300000	3	YES	1029	9999-12-31	2013-05-08	1763
2/8-A-13 A	2	3277.700000	3284.700000	[m   ]	30.300000	3	YES	1029	9999-12-31	2013-05-08	1764
2/8-A-13 A	3	3286.400000	3304.700000	[m   ]	30.300000	3	YES	1029	9999-12-31	2013-05-08	1765
2/8-A-15 A	1	2847.000000	2847.700000	[m   ]	4.100000	2	YES	1039	9999-12-31	2013-05-08	1766
2/8-A-15 A	2	2855.400000	2858.800000	[m   ]	4.100000	2	YES	1039	9999-12-31	2013-05-08	1767
2/8-A-16 A	1	2821.400000	2824.100000	[m   ]	36.000000	4	YES	939	9999-12-31	2013-05-08	1768
2/8-A-16 A	2	2831.500000	2840.700000	[m   ]	36.000000	4	YES	939	9999-12-31	2013-05-08	1769
2/8-A-16 A	3	2840.700000	2840.800000	[m   ]	36.000000	4	YES	939	9999-12-31	2013-05-08	1770
2/8-A-16 A	4	2849.000000	2857.400000	[m   ]	36.000000	4	YES	939	9999-12-31	2013-05-08	1771
2/8-A-2	1	3255.000000	3264.200000	[m   ]	26.600000	3	YES	621	9999-12-31	2013-05-08	1772
2/8-A-2	2	3264.500000	3273.900000	[m   ]	26.600000	3	YES	621	9999-12-31	2013-05-08	1773
2/8-A-2	3	3275.400000	3283.400000	[m   ]	26.600000	3	YES	621	9999-12-31	2013-05-08	1774
2/8-A-24	1	3238.000000	3247.700000	[m   ]	51.300000	4	YES	1301	9999-12-31	2013-05-08	1775
2/8-A-24	2	3247.700000	3256.700000	[m   ]	51.300000	4	YES	1301	9999-12-31	2013-05-08	1776
2/8-A-24	3	3256.700000	3274.700000	[m   ]	51.300000	4	YES	1301	9999-12-31	2013-05-08	1777
2/8-A-24	4	3375.000000	3389.600000	[m   ]	51.300000	4	YES	1301	9999-12-31	2013-05-08	1778
2/8-A-29	1	2616.800000	2620.700000	[m   ]	18.500000	4	YES	1671	9999-12-31	2013-05-08	1779
2/8-A-29	2	2622.000000	2625.600000	[m   ]	18.500000	4	YES	1671	9999-12-31	2013-05-08	1780
2/8-A-29	3	2630.000000	2633.500000	[m   ]	18.500000	4	YES	1671	9999-12-31	2013-05-08	1781
2/8-A-29	4	2633.700000	2641.300000	[m   ]	18.500000	4	YES	1671	9999-12-31	2013-05-08	1782
2/8-A-6 A	1	\N	0.000000	\N	12.400000	5	YES	3321	9999-12-31	2013-05-08	1783
2/8-A-6 A	2	\N	0.000000	\N	12.400000	5	YES	3321	9999-12-31	2013-05-08	1784
2/8-A-6 A	3	2674.000000	2676.600000	[m   ]	12.400000	5	YES	3321	9999-12-31	2013-05-08	1785
2/8-A-6 A	4	2678.500000	2682.400000	[m   ]	12.400000	5	YES	3321	9999-12-31	2013-05-08	1786
2/8-A-6 A	5	2683.000000	2688.900000	[m   ]	12.400000	5	YES	3321	9999-12-31	2013-05-08	1787
2/8-A-7 A	1	2733.800000	2734.500000	[m   ]	24.200000	4	YES	1336	9999-12-31	2013-05-08	1788
2/8-A-7 A	2	2741.000000	2742.400000	[m   ]	24.200000	4	YES	1336	9999-12-31	2013-05-08	1789
2/8-A-7 A	3	2786.300000	2791.400000	[m   ]	24.200000	4	YES	1336	9999-12-31	2013-05-08	1790
2/8-A-7 A	4	2814.000000	2832.000000	[m   ]	24.200000	4	YES	1336	9999-12-31	2013-05-08	1791
2/8-F-14	1	2579.000000	2585.900000	[m   ]	14.200000	5	YES	3238	9999-12-31	2013-05-08	1792
2/8-F-14	2	2587.000000	2587.500000	[m   ]	14.200000	5	YES	3238	9999-12-31	2013-05-08	1793
2/8-F-14	3	2593.000000	2594.800000	[m   ]	14.200000	5	YES	3238	9999-12-31	2013-05-08	1794
2/8-F-14	4	2595.000000	2599.500000	[m   ]	14.200000	5	YES	3238	9999-12-31	2013-05-08	1795
2/8-F-14	5	2600.000000	2600.500000	[m   ]	14.200000	5	YES	3238	9999-12-31	2013-05-08	1796
2/8-F-2	1	4537.000000	4554.200000	[m   ]	35.000000	2	YES	2716	9999-12-31	2013-05-08	1797
2/8-F-2	2	4555.900000	4573.800000	[m   ]	35.000000	2	YES	2716	9999-12-31	2013-05-08	1798
2/9-2	1	3897.000000	3915.000000	[m   ]	18.000000	1	YES	283	9999-12-31	2013-05-08	1799
2/9-3	1	4524.600000	4535.400000	[m   ]	20.200000	2	YES	1443	9999-12-31	2013-05-08	1800
2/9-3	2	4535.600000	4547.000000	[m   ]	20.200000	2	YES	1443	9999-12-31	2013-05-08	1801
24/12-1 R	1	4170.500000	4172.800000	[m   ]	11.500000	3	YES	513	9999-12-31	2013-05-08	1802
24/12-1 R	2	4172.800000	4178.200000	[m   ]	11.500000	3	YES	513	9999-12-31	2013-05-08	1803
24/12-1 R	3	4178.900000	4182.000000	[m   ]	11.500000	3	YES	513	9999-12-31	2013-05-08	1804
24/12-2	1	4960.000000	4977.700000	[m   ]	17.700000	1	YES	348	9999-12-31	2013-05-08	1805
24/12-3 S	1	2396.000000	2406.300000	[m   ]	10.300000	1	YES	2823	9999-12-31	2013-05-08	1806
24/6-1	1	2181.000000	2182.600000	[m   ]	54.600000	5	YES	443	9999-12-31	2013-05-08	1807
24/6-1	2	4479.000000	4497.000000	[m   ]	54.600000	5	YES	443	9999-12-31	2013-05-08	1808
24/6-1	3	4497.000000	4513.500000	[m   ]	54.600000	5	YES	443	9999-12-31	2013-05-08	1809
24/6-1	4	4623.000000	4629.000000	[m   ]	54.600000	5	YES	443	9999-12-31	2013-05-08	1810
24/6-1	5	4688.000000	4701.500000	[m   ]	54.600000	5	YES	443	9999-12-31	2013-05-08	1811
24/6-2	1	2010.000000	2011.300000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1812
24/6-2	10	2138.000000	2155.500000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1813
24/6-2	11	2156.000000	2174.300000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1814
24/6-2	12	2174.000000	2192.000000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1815
24/6-2	2	2012.000000	2028.800000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1816
24/6-2	3	2029.000000	2057.000000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1817
24/6-2	4	2057.000000	2062.900000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1818
24/6-2	5	2075.000000	2075.600000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1819
24/6-2	6	2076.000000	2083.600000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1820
24/6-2	7	2084.000000	2102.000000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1821
24/6-2	8	2102.000000	2119.900000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1822
24/6-2	9	2120.000000	2138.800000	[m   ]	168.600000	12	YES	3397	9999-12-31	2013-05-08	1823
24/6-4	1	2124.000000	2151.700000	[m   ]	54.300000	2	YES	4745	9999-12-31	2013-05-08	1824
24/6-4	2	2151.700000	2178.300000	[m   ]	54.300000	2	YES	4745	9999-12-31	2013-05-08	1825
24/9-1	1	4441.900000	4460.100000	[m   ]	18.500000	1	YES	344	9999-12-31	2013-05-08	1826
24/9-10 S	1	2223.000000	2248.800000	[m   ]	53.600000	2	YES	6531	9999-12-31	2013-05-08	1827
24/9-10 S	2	2250.000000	2277.800000	[m   ]	53.600000	2	YES	6531	9999-12-31	2013-05-08	1828
24/9-3	1	1777.900000	1780.800000	[m   ]	18.600000	5	YES	346	9999-12-31	2013-05-08	1829
24/9-3	2	1783.400000	1787.000000	[m   ]	18.600000	5	YES	346	9999-12-31	2013-05-08	1830
24/9-3	3	1788.000000	1788.600000	[m   ]	18.600000	5	YES	346	9999-12-31	2013-05-08	1831
24/9-3	4	1788.900000	1794.600000	[m   ]	18.600000	5	YES	346	9999-12-31	2013-05-08	1832
24/9-3	5	1794.600000	1797.200000	[m   ]	18.600000	5	YES	346	9999-12-31	2013-05-08	1833
24/9-4	1	1773.000000	1778.900000	[m   ]	11.200000	2	YES	1714	9999-12-31	2013-05-08	1834
24/9-4	2	1782.000000	1787.300000	[m   ]	11.200000	2	YES	1714	9999-12-31	2013-05-08	1835
24/9-5	1	2000.000000	2001.800000	[m   ]	36.500000	4	YES	2244	9999-12-31	2013-05-08	1836
24/9-5	2	2002.500000	2019.900000	[m   ]	36.500000	4	YES	2244	9999-12-31	2013-05-08	1837
24/9-5	3	2020.300000	2033.100000	[m   ]	36.500000	4	YES	2244	9999-12-31	2013-05-08	1838
24/9-5	4	2048.300000	2052.800000	[m   ]	36.500000	4	YES	2244	9999-12-31	2013-05-08	1839
24/9-6	1	2022.100000	2024.000000	[m   ]	22.700000	3	YES	2288	9999-12-31	2013-05-08	1840
24/9-6	2	2024.000000	2032.200000	[m   ]	22.700000	3	YES	2288	9999-12-31	2013-05-08	1841
24/9-6	3	2032.500000	2045.100000	[m   ]	22.700000	3	YES	2288	9999-12-31	2013-05-08	1842
24/9-7	1	1830.000000	1856.800000	[m   ]	85.100000	4	YES	4910	9999-12-31	2013-05-08	1843
24/9-7	2	1857.000000	1876.500000	[m   ]	85.100000	4	YES	4910	9999-12-31	2013-05-08	1844
24/9-7	3	1876.500000	1906.800000	[m   ]	85.100000	4	YES	4910	9999-12-31	2013-05-08	1845
24/9-7	4	1906.900000	1915.400000	[m   ]	85.100000	4	YES	4910	9999-12-31	2013-05-08	1846
24/9-7 B	1	1922.500000	1978.200000	[m   ]	55.700000	1	YES	4926	9999-12-31	2013-05-08	1847
24/9-9 S	1	2207.000000	2233.800000	[m   ]	41.700000	2	YES	6222	9999-12-31	2013-05-08	1848
24/9-9 S	2	2234.000000	2260.900000	[m   ]	41.700000	2	YES	6222	9999-12-31	2013-05-08	1849
24/9-P-4 H	1	2071.000000	2095.500000	[m   ]	71.400000	3	YES	6032	9999-12-31	2013-05-08	1850
24/9-P-4 H	2	2098.000000	2122.200000	[m   ]	71.400000	3	YES	6032	9999-12-31	2013-05-08	1851
24/9-P-4 H	3	2123.000000	2145.700000	[m   ]	71.400000	3	YES	6032	9999-12-31	2013-05-08	1852
25/10-1 R	1	5480.000000	5517.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1853
25/10-1 R	10	5725.000000	5756.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1854
25/10-1 R	11	5767.000000	5797.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1855
25/10-1 R	12	5799.000000	5859.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1856
25/10-1 R	13	5859.000000	5919.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1857
25/10-1 R	2	5517.000000	5549.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1858
25/10-1 R	3	5550.000000	5605.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1859
25/10-1 R	4	5605.000000	5645.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1860
25/10-1 R	5	5645.000000	5688.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1861
25/10-1 R	6	5688.000000	5705.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1862
25/10-1 R	7	5705.000000	5719.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1863
25/10-1 R	8	5719.000000	5733.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1864
25/10-1 R	9	5680.000000	5714.000000	[ft  ]	142.000000	13	YES	512	9999-12-31	2013-05-08	1865
25/10-2 R	1	6478.000000	6524.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1866
25/10-2 R	10	9874.000000	9896.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1867
25/10-2 R	11	9902.000000	9951.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1868
25/10-2 R	12	9951.000000	10003.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1869
25/10-2 R	13	10006.000000	10010.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1870
25/10-2 R	14	10424.000000	10425.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1871
25/10-2 R	2	6524.000000	6578.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1872
25/10-2 R	3	6599.000000	6652.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1873
25/10-2 R	4	6652.000000	6711.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1874
25/10-2 R	5	6838.000000	6896.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1875
25/10-2 R	6	6896.000000	6953.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1876
25/10-2 R	7	7161.000000	7187.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1877
25/10-2 R	8	7789.000000	7801.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1878
25/10-2 R	9	9850.000000	9874.000000	[ft  ]	175.600000	14	YES	511	9999-12-31	2013-05-08	1879
25/10-3	1	5750.000000	5801.000000	[ft  ]	15.500000	1	YES	182	9999-12-31	2013-05-08	1880
25/10-5	1	1739.000000	1742.900000	[m   ]	13.400000	4	YES	365	9999-12-31	2013-05-08	1881
25/10-5	2	1776.700000	1777.700000	[m   ]	13.400000	4	YES	365	9999-12-31	2013-05-08	1882
25/10-5	3	1781.000000	1781.900000	[m   ]	13.400000	4	YES	365	9999-12-31	2013-05-08	1883
25/10-5	4	1785.200000	1792.800000	[m   ]	13.400000	4	YES	365	9999-12-31	2013-05-08	1884
25/10-6 S	1	4339.200000	4343.500000	[m   ]	12.500000	3	YES	2728	9999-12-31	2013-05-08	1885
25/10-6 S	2	4344.000000	4349.500000	[m   ]	12.500000	3	YES	2728	9999-12-31	2013-05-08	1886
25/10-6 S	3	4397.000000	4399.700000	[m   ]	12.500000	3	YES	2728	9999-12-31	2013-05-08	1887
25/10-7 S	1	2200.000000	2230.300000	[m   ]	178.300000	5	YES	2769	9999-12-31	2013-05-08	1888
25/10-7 S	2	2232.000000	2269.200000	[m   ]	178.300000	5	YES	2769	9999-12-31	2013-05-08	1889
25/10-7 S	3	2269.200000	2306.700000	[m   ]	178.300000	5	YES	2769	9999-12-31	2013-05-08	1890
25/10-7 S	4	2306.700000	2342.400000	[m   ]	178.300000	5	YES	2769	9999-12-31	2013-05-08	1891
25/10-7 S	5	2342.400000	2380.000000	[m   ]	178.300000	5	YES	2769	9999-12-31	2013-05-08	1892
25/10-8	1	2080.000000	2107.900000	[m   ]	56.400000	2	YES	2955	9999-12-31	2013-05-08	1893
25/10-8	2	2518.000000	2546.500000	[m   ]	56.400000	2	YES	2955	9999-12-31	2013-05-08	1894
25/10-8 A	1	3110.000000	3147.600000	[m   ]	92.200000	3	YES	3098	9999-12-31	2013-05-08	1895
25/10-8 A	2	3147.000000	3164.600000	[m   ]	92.200000	3	YES	3098	9999-12-31	2013-05-08	1896
25/10-8 A	3	3165.000000	3202.000000	[m   ]	92.200000	3	YES	3098	9999-12-31	2013-05-08	1897
25/1-1	1	1871.000000	1877.000000	[m   ]	41.800000	6	YES	190	9999-12-31	2013-05-08	1898
25/1-1	2	1891.500000	1895.000000	[m   ]	41.800000	6	YES	190	9999-12-31	2013-05-08	1899
25/1-1	3	1900.000000	1910.000000	[m   ]	41.800000	6	YES	190	9999-12-31	2013-05-08	1900
25/1-1	4	2687.000000	2696.000000	[m   ]	41.800000	6	YES	190	9999-12-31	2013-05-08	1901
25/1-1	5	2826.000000	2843.100000	[m   ]	41.800000	6	YES	190	9999-12-31	2013-05-08	1902
25/1-1	6	2993.000000	2997.500000	[m   ]	41.800000	6	YES	190	9999-12-31	2013-05-08	1903
25/11-1	1	\N	\N	\N	105.600000	14	YES	143	9999-12-31	2013-05-08	1904
25/11-1	10	6606.000000	6636.000000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1905
25/11-1	11	7175.000000	7212.000000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1906
25/11-1	12	7709.000000	7755.000000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1907
25/11-1	13	7845.000000	7858.000000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1908
25/11-1	14	8032.000000	8065.000000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1909
25/11-1	2	\N	0.000000	\N	105.600000	14	YES	143	9999-12-31	2013-05-08	1910
25/11-1	3	3623.000000	3640.000000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1911
25/11-1	4	5665.000000	5695.000000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1912
25/11-1	5	5695.000000	5728.000000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1913
25/11-1	6	5714.000000	5725.000000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1914
25/11-1	7	6159.000000	6196.000000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1915
25/11-1	8	6196.000000	6247.000000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1916
25/11-1	9	6420.000000	6432.500000	[ft  ]	105.600000	14	YES	143	9999-12-31	2013-05-08	1917
25/11-14 S	1	1862.000000	1864.000000	[m   ]	21.800000	5	YES	1672	9999-12-31	2013-05-08	1918
25/11-14 S	2	1864.000000	1868.000000	[m   ]	21.800000	5	YES	1672	9999-12-31	2013-05-08	1919
25/11-14 S	3	1868.000000	1876.500000	[m   ]	21.800000	5	YES	1672	9999-12-31	2013-05-08	1920
25/11-14 S	4	1876.500000	1883.000000	[m   ]	21.800000	5	YES	1672	9999-12-31	2013-05-08	1921
25/11-14 S	5	1883.300000	1883.800000	[m   ]	21.800000	5	YES	1672	9999-12-31	2013-05-08	1922
25/11-15	1	1680.000000	1696.000000	[m   ]	132.000000	7	YES	1872	9999-12-31	2013-05-08	1923
25/11-15	2	1696.800000	1705.800000	[m   ]	132.000000	7	YES	1872	9999-12-31	2013-05-08	1924
25/11-15	3	1708.000000	1728.000000	[m   ]	132.000000	7	YES	1872	9999-12-31	2013-05-08	1925
25/11-15	4	1728.000000	1740.000000	[m   ]	132.000000	7	YES	1872	9999-12-31	2013-05-08	1926
25/11-15	5	1740.500000	1762.600000	[m   ]	132.000000	7	YES	1872	9999-12-31	2013-05-08	1927
25/11-15	6	1762.600000	1781.100000	[m   ]	132.000000	7	YES	1872	9999-12-31	2013-05-08	1928
25/11-15	7	1781.100000	1796.600000	[m   ]	132.000000	7	YES	1872	9999-12-31	2013-05-08	1929
25/11-16	1	1699.000000	1713.000000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1930
25/11-16	10	1821.000000	1838.400000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1931
25/11-16	11	1839.000000	1854.000000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1932
25/11-16	12	1855.000000	1881.300000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1933
25/11-16	13	1882.000000	1886.000000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1934
25/11-16	14	1887.000000	1914.500000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1935
25/11-16	2	1713.000000	1725.700000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1936
25/11-16	3	1730.000000	1740.300000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1937
25/11-16	4	1747.500000	1748.000000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1938
25/11-16	5	1748.500000	1767.000000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1939
25/11-16	6	1767.500000	1784.000000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1940
25/11-16	7	1784.500000	1786.000000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1941
25/11-16	8	1786.000000	1803.000000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1942
25/11-16	9	1803.000000	1820.700000	[m   ]	208.800000	14	YES	1920	9999-12-31	2013-05-08	1943
25/11-17	1	1625.500000	1640.000000	[m   ]	152.600000	9	YES	1921	9999-12-31	2013-05-08	1944
25/11-17	2	1643.000000	1651.600000	[m   ]	152.600000	9	YES	1921	9999-12-31	2013-05-08	1945
25/11-17	3	1654.000000	1660.500000	[m   ]	152.600000	9	YES	1921	9999-12-31	2013-05-08	1946
25/11-17	4	1661.500000	1679.000000	[m   ]	152.600000	9	YES	1921	9999-12-31	2013-05-08	1947
25/11-17	5	1679.600000	1705.000000	[m   ]	152.600000	9	YES	1921	9999-12-31	2013-05-08	1948
25/11-17	6	1706.500000	1732.000000	[m   ]	152.600000	9	YES	1921	9999-12-31	2013-05-08	1949
25/11-17	7	1732.600000	1759.000000	[m   ]	152.600000	9	YES	1921	9999-12-31	2013-05-08	1950
25/11-17	8	2018.000000	2035.900000	[m   ]	152.600000	9	YES	1921	9999-12-31	2013-05-08	1951
25/11-17	9	2248.000000	2255.900000	[m   ]	152.600000	9	YES	1921	9999-12-31	2013-05-08	1952
25/11-19 S	1	1871.000000	1889.400000	[m   ]	65.700000	3	YES	2562	9999-12-31	2013-05-08	1953
25/11-19 S	2	1889.400000	1908.500000	[m   ]	65.700000	3	YES	2562	9999-12-31	2013-05-08	1954
25/11-19 S	3	1908.500000	1936.700000	[m   ]	65.700000	3	YES	2562	9999-12-31	2013-05-08	1955
25/11-20	1	1661.000000	1678.300000	[m   ]	53.700000	4	YES	2667	9999-12-31	2013-05-08	1956
25/11-20	2	1679.500000	1697.100000	[m   ]	53.700000	4	YES	2667	9999-12-31	2013-05-08	1957
25/11-20	3	1697.500000	1708.300000	[m   ]	53.700000	4	YES	2667	9999-12-31	2013-05-08	1958
25/11-20	4	1711.500000	1719.500000	[m   ]	53.700000	4	YES	2667	9999-12-31	2013-05-08	1959
25/11-21 S	1	1778.000000	1785.200000	[m   ]	97.800000	7	YES	2701	9999-12-31	2013-05-08	1960
25/11-21 S	2	1789.000000	1807.700000	[m   ]	97.800000	7	YES	2701	9999-12-31	2013-05-08	1961
25/11-21 S	3	1808.000000	1826.800000	[m   ]	97.800000	7	YES	2701	9999-12-31	2013-05-08	1962
25/11-21 S	4	1827.000000	1846.000000	[m   ]	97.800000	7	YES	2701	9999-12-31	2013-05-08	1963
25/11-21 S	5	1846.000000	1865.700000	[m   ]	97.800000	7	YES	2701	9999-12-31	2013-05-08	1964
25/11-21 S	6	1865.000000	1874.900000	[m   ]	97.800000	7	YES	2701	9999-12-31	2013-05-08	1965
25/11-21 S	7	1876.000000	1880.500000	[m   ]	97.800000	7	YES	2701	9999-12-31	2013-05-08	1966
25/11-22	1	1686.000000	1717.900000	[m   ]	59.700000	5	YES	3243	9999-12-31	2013-05-08	1967
25/11-22	2	1718.000000	1722.400000	[m   ]	59.700000	5	YES	3243	9999-12-31	2013-05-08	1968
25/11-22	3	1736.000000	1746.000000	[m   ]	59.700000	5	YES	3243	9999-12-31	2013-05-08	1969
25/11-22	4	1747.000000	1760.300000	[m   ]	59.700000	5	YES	3243	9999-12-31	2013-05-08	1970
25/11-22	5	1770.000000	1770.200000	[m   ]	59.700000	5	YES	3243	9999-12-31	2013-05-08	1971
25/11-23	1	1710.000000	1747.000000	[m   ]	55.500000	2	YES	3755	9999-12-31	2013-05-08	1972
25/11-23	2	1747.000000	1765.500000	[m   ]	55.500000	2	YES	3755	9999-12-31	2013-05-08	1973
25/11-25 S	1	2045.000000	2061.700000	[m   ]	16.700000	1	YES	5642	9999-12-31	2013-05-08	1974
25/11-5	1	5654.000000	5661.000000	[ft  ]	2.100000	1	YES	366	9999-12-31	2013-05-08	1975
25/11-7	1	1748.600000	1751.000000	[m   ]	20.300000	4	YES	368	9999-12-31	2013-05-08	1976
25/11-7	2	1751.000000	1753.000000	[m   ]	20.300000	4	YES	368	9999-12-31	2013-05-08	1977
25/11-7	3	1753.000000	1762.400000	[m   ]	20.300000	4	YES	368	9999-12-31	2013-05-08	1978
25/11-7	4	1762.400000	1772.300000	[m   ]	20.300000	4	YES	368	9999-12-31	2013-05-08	1979
25/11-8	1	\N	0.000000	\N	40.700000	9	YES	369	9999-12-31	2013-05-08	1980
25/11-8	2	1730.200000	1734.200000	[m   ]	40.700000	9	YES	369	9999-12-31	2013-05-08	1981
25/11-8	3	1737.000000	1740.000000	[m   ]	40.700000	9	YES	369	9999-12-31	2013-05-08	1982
25/11-8	4	1742.500000	1753.300000	[m   ]	40.700000	9	YES	369	9999-12-31	2013-05-08	1983
25/11-8	5	1756.000000	1757.000000	[m   ]	40.700000	9	YES	369	9999-12-31	2013-05-08	1984
25/11-8	6	1762.300000	1771.700000	[m   ]	40.700000	9	YES	369	9999-12-31	2013-05-08	1985
25/11-8	7	1771.600000	1778.400000	[m   ]	40.700000	9	YES	369	9999-12-31	2013-05-08	1986
25/11-8	8	1781.200000	1788.000000	[m   ]	40.700000	9	YES	369	9999-12-31	2013-05-08	1987
25/11-8	9	1791.000000	1798.000000	[m   ]	40.700000	9	YES	369	9999-12-31	2013-05-08	1988
25/11-9	1	1718.000000	1721.500000	[m   ]	4.500000	4	YES	213	9999-12-31	2013-05-08	1989
25/11-9	2	\N	0.000000	\N	4.500000	4	YES	213	9999-12-31	2013-05-08	1990
25/11-9	3	\N	0.000000	\N	4.500000	4	YES	213	9999-12-31	2013-05-08	1991
25/11-9	4	1734.000000	1735.000000	[m   ]	4.500000	4	YES	213	9999-12-31	2013-05-08	1992
25/11-A-5 H	1	2219.000000	2244.300000	[m   ]	43.400000	2	YES	2922	9999-12-31	2013-05-08	1993
25/11-A-5 H	2	2245.000000	2263.100000	[m   ]	43.400000	2	YES	2922	9999-12-31	2013-05-08	1994
25/11-B-14 H	1	1768.000000	1793.800000	[m   ]	134.400000	5	YES	3317	9999-12-31	2013-05-08	1995
25/11-B-14 H	2	1794.400000	1821.600000	[m   ]	134.400000	5	YES	3317	9999-12-31	2013-05-08	1996
25/11-B-14 H	3	1821.600000	1848.700000	[m   ]	134.400000	5	YES	3317	9999-12-31	2013-05-08	1997
25/11-B-14 H	4	1848.700000	1876.300000	[m   ]	134.400000	5	YES	3317	9999-12-31	2013-05-08	1998
25/11-B-14 H	5	1876.300000	1903.100000	[m   ]	134.400000	5	YES	3317	9999-12-31	2013-05-08	1999
25/11-B-7 H	1	2076.000000	2098.200000	[m   ]	49.000000	2	YES	3007	9999-12-31	2013-05-08	2000
25/11-B-7 H	2	2161.000000	2187.800000	[m   ]	49.000000	2	YES	3007	9999-12-31	2013-05-08	2001
25/11-C-17 H	1	2197.000000	2212.300000	[m   ]	51.400000	2	YES	3563	9999-12-31	2013-05-08	2002
25/11-C-17 H	2	2212.300000	2247.400000	[m   ]	51.400000	2	YES	3563	9999-12-31	2013-05-08	2003
25/11-C-3 CH	1	2729.000000	2782.500000	[m   ]	53.500000	1	YES	4200	9999-12-31	2013-05-08	2004
25/11-C-3 H	1	2008.000000	2032.400000	[m   ]	24.400000	1	YES	2884	9999-12-31	2013-05-08	2005
25/11-G-24	1	1840.000000	1849.800000	[m   ]	107.600000	9	YES	4338	9999-12-31	2013-05-08	2006
25/11-G-24	2	1852.000000	1855.800000	[m   ]	107.600000	9	YES	4338	9999-12-31	2013-05-08	2007
25/11-G-24	3	1855.800000	1860.300000	[m   ]	107.600000	9	YES	4338	9999-12-31	2013-05-08	2008
25/11-G-24	4	\N	0.000000	\N	107.600000	9	YES	4338	9999-12-31	2013-05-08	2009
25/11-G-24	5	1879.500000	1879.600000	[m   ]	107.600000	9	YES	4338	9999-12-31	2013-05-08	2010
25/11-G-24	6	1930.000000	1953.200000	[m   ]	107.600000	9	YES	4338	9999-12-31	2013-05-08	2011
25/11-G-24	7	1957.000000	1974.200000	[m   ]	107.600000	9	YES	4338	9999-12-31	2013-05-08	2012
25/11-G-24	8	1975.000000	2002.700000	[m   ]	107.600000	9	YES	4338	9999-12-31	2013-05-08	2013
25/11-G-24	9	2002.700000	2024.100000	[m   ]	107.600000	9	YES	4338	9999-12-31	2013-05-08	2014
25/11-G-27	1	1935.600000	1960.500000	[m   ]	69.200000	4	YES	4455	9999-12-31	2013-05-08	2015
25/11-G-27	2	1963.000000	1982.300000	[m   ]	69.200000	4	YES	4455	9999-12-31	2013-05-08	2016
25/11-G-27	3	1985.500000	2005.800000	[m   ]	69.200000	4	YES	4455	9999-12-31	2013-05-08	2017
25/11-G-27	4	2005.900000	2010.600000	[m   ]	69.200000	4	YES	4455	9999-12-31	2013-05-08	2018
25/12-1	1	8037.100000	8055.400000	[ft  ]	18.000000	1	YES	374	9999-12-31	2013-05-08	2019
25/1-3	1	1951.000000	1965.300000	[m   ]	44.600000	4	YES	349	9999-12-31	2013-05-08	2020
25/1-3	2	1969.000000	1982.900000	[m   ]	44.600000	4	YES	349	9999-12-31	2013-05-08	2021
25/1-3	3	1991.100000	2005.000000	[m   ]	44.600000	4	YES	349	9999-12-31	2013-05-08	2022
25/1-3	4	2563.000000	2565.500000	[m   ]	44.600000	4	YES	349	9999-12-31	2013-05-08	2023
25/1-4	1	1922.000000	1933.000000	[m   ]	83.500000	8	YES	350	9999-12-31	2013-05-08	2024
25/1-4	2	1935.500000	1949.500000	[m   ]	83.500000	8	YES	350	9999-12-31	2013-05-08	2025
25/1-4	3	1953.500000	1970.500000	[m   ]	83.500000	8	YES	350	9999-12-31	2013-05-08	2026
25/1-4	4	1970.500000	1976.500000	[m   ]	83.500000	8	YES	350	9999-12-31	2013-05-08	2027
25/1-4	5	1984.000000	1990.000000	[m   ]	83.500000	8	YES	350	9999-12-31	2013-05-08	2028
25/1-4	6	1993.000000	1999.000000	[m   ]	83.500000	8	YES	350	9999-12-31	2013-05-08	2029
25/1-4	7	2001.000000	2010.000000	[m   ]	83.500000	8	YES	350	9999-12-31	2013-05-08	2030
25/1-4	8	2010.000000	2023.500000	[m   ]	83.500000	8	YES	350	9999-12-31	2013-05-08	2031
25/1-5	1	1914.000000	1923.000000	[m   ]	18.000000	2	YES	351	9999-12-31	2013-05-08	2032
25/1-5	2	1928.000000	1932.000000	[m   ]	18.000000	2	YES	351	9999-12-31	2013-05-08	2033
25/1-6	1	2127.000000	2136.000000	[m   ]	8.000000	1	YES	352	9999-12-31	2013-05-08	2034
25/1-7	1	1876.000000	1879.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2035
25/1-7	10	\N	0.000000	\N	376.500000	33	YES	463	9999-12-31	2013-05-08	2036
25/1-7	11	1959.000000	1985.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2037
25/1-7	12	1987.000000	2007.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2038
25/1-7	13	2007.000000	2033.100000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2039
25/1-7	14	2033.400000	2045.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2040
25/1-7	15	2046.500000	2063.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2041
25/1-7	16	2064.000000	2065.800000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2042
25/1-7	17	2066.500000	2079.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2043
25/1-7	18	2090.000000	2101.900000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2044
25/1-7	19	2103.000000	2116.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2045
25/1-7	2	1880.000000	1880.900000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2046
25/1-7	20	2127.000000	2132.500000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2047
25/1-7	21	2134.000000	2146.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2048
25/1-7	22	2150.000000	2165.300000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2049
25/1-7	23	2168.500000	2177.300000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2050
25/1-7	24	2179.500000	2195.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2051
25/1-7	25	2195.500000	2202.800000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2052
25/1-7	26	2213.000000	2220.800000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2053
25/1-7	27	2222.000000	2240.200000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2054
25/1-7	28	2241.100000	2246.600000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2055
25/1-7	29	2252.000000	2270.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2056
25/1-7	3	1882.000000	1890.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2057
25/1-7	30	2412.000000	2419.000000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2058
25/1-7	31	\N	0.000000	\N	376.500000	33	YES	463	9999-12-31	2013-05-08	2059
25/1-7	32	\N	0.000000	\N	376.500000	33	YES	463	9999-12-31	2013-05-08	2060
25/1-7	33	2710.000000	2719.900000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2061
25/1-7	4	1891.000000	1897.800000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2062
25/1-7	5	1900.100000	1917.400000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2063
25/1-7	6	1918.000000	1933.500000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2064
25/1-7	7	\N	0.000000	\N	376.500000	33	YES	463	9999-12-31	2013-05-08	2065
25/1-7	8	\N	0.000000	\N	376.500000	33	YES	463	9999-12-31	2013-05-08	2066
25/1-7	9	1939.000000	1947.800000	[m   ]	376.500000	33	YES	463	9999-12-31	2013-05-08	2067
25/1-8 S	1	1939.000000	1948.900000	[m   ]	130.500000	9	YES	472	9999-12-31	2013-05-08	2068
25/1-8 S	2	1950.000000	1953.200000	[m   ]	130.500000	9	YES	472	9999-12-31	2013-05-08	2069
25/1-8 S	3	1953.200000	1968.300000	[m   ]	130.500000	9	YES	472	9999-12-31	2013-05-08	2070
25/1-8 S	4	1971.000000	1996.500000	[m   ]	130.500000	9	YES	472	9999-12-31	2013-05-08	2071
25/1-8 S	5	1997.800000	1999.000000	[m   ]	130.500000	9	YES	472	9999-12-31	2013-05-08	2072
25/1-8 S	6	2025.000000	2055.000000	[m   ]	130.500000	9	YES	472	9999-12-31	2013-05-08	2073
25/1-8 S	7	2055.000000	2082.500000	[m   ]	130.500000	9	YES	472	9999-12-31	2013-05-08	2074
25/1-8 S	8	2082.500000	2094.400000	[m   ]	130.500000	9	YES	472	9999-12-31	2013-05-08	2075
25/1-8 S	9	2094.400000	2110.500000	[m   ]	130.500000	9	YES	472	9999-12-31	2013-05-08	2076
25/1-9	1	2048.000000	2049.200000	[m   ]	68.700000	5	YES	1001	9999-12-31	2013-05-08	2077
25/1-9	2	2049.500000	2068.000000	[m   ]	68.700000	5	YES	1001	9999-12-31	2013-05-08	2078
25/1-9	3	2068.000000	2087.200000	[m   ]	68.700000	5	YES	1001	9999-12-31	2013-05-08	2079
25/1-9	4	2088.500000	2107.000000	[m   ]	68.700000	5	YES	1001	9999-12-31	2013-05-08	2080
25/1-9	5	2234.000000	2255.000000	[m   ]	68.700000	5	YES	1001	9999-12-31	2013-05-08	2081
25/1-A-14	1	1950.000000	1963.300000	[m   ]	53.800000	4	YES	580	9999-12-31	2013-05-08	2082
25/1-A-14	2	1964.000000	1980.900000	[m   ]	53.800000	4	YES	580	9999-12-31	2013-05-08	2083
25/1-A-14	3	1982.000000	1996.000000	[m   ]	53.800000	4	YES	580	9999-12-31	2013-05-08	2084
25/1-A-14	4	2008.000000	2017.600000	[m   ]	53.800000	4	YES	580	9999-12-31	2013-05-08	2085
25/1-B-4 H	1	1933.000000	1935.300000	[m   ]	16.000000	3	YES	609	9999-12-31	2013-05-08	2086
25/1-B-4 H	2	1935.300000	1937.500000	[m   ]	16.000000	3	YES	609	9999-12-31	2013-05-08	2087
25/1-B-4 H	3	1937.500000	1949.000000	[m   ]	16.000000	3	YES	609	9999-12-31	2013-05-08	2088
25/2-1	1	1950.000000	1966.300000	[m   ]	25.100000	2	YES	353	9999-12-31	2013-05-08	2089
25/2-1	2	1984.200000	1991.000000	[m   ]	25.100000	2	YES	353	9999-12-31	2013-05-08	2090
25/2-10 S	1	2237.000000	2245.000000	[m   ]	53.700000	9	YES	855	9999-12-31	2013-05-08	2091
25/2-10 S	2	\N	0.000000	\N	53.700000	9	YES	855	9999-12-31	2013-05-08	2092
25/2-10 S	3	2246.000000	2246.900000	[m   ]	53.700000	9	YES	855	9999-12-31	2013-05-08	2093
25/2-10 S	4	2247.600000	2256.800000	[m   ]	53.700000	9	YES	855	9999-12-31	2013-05-08	2094
25/2-10 S	5	2257.000000	2269.200000	[m   ]	53.700000	9	YES	855	9999-12-31	2013-05-08	2095
25/2-10 S	6	\N	0.000000	\N	53.700000	9	YES	855	9999-12-31	2013-05-08	2096
25/2-10 S	7	\N	0.000000	\N	53.700000	9	YES	855	9999-12-31	2013-05-08	2097
25/2-10 S	8	2582.000000	2597.000000	[m   ]	53.700000	9	YES	855	9999-12-31	2013-05-08	2098
25/2-10 S	9	2888.000000	2892.000000	[m   ]	53.700000	9	YES	855	9999-12-31	2013-05-08	2099
25/2-11	1	\N	0.000000	\N	20.600000	4	YES	1036	9999-12-31	2013-05-08	2100
25/2-11	2	1951.000000	1969.000000	[m   ]	20.600000	4	YES	1036	9999-12-31	2013-05-08	2101
25/2-11	3	1969.000000	1969.900000	[m   ]	20.600000	4	YES	1036	9999-12-31	2013-05-08	2102
25/2-11	4	1973.000000	1975.000000	[m   ]	20.600000	4	YES	1036	9999-12-31	2013-05-08	2103
25/2-12	1	\N	0.000000	\N	60.600000	5	YES	1290	9999-12-31	2013-05-08	2104
25/2-12	2	3685.000000	3686.100000	[m   ]	60.600000	5	YES	1290	9999-12-31	2013-05-08	2105
25/2-12	3	3690.000000	3715.400000	[m   ]	60.600000	5	YES	1290	9999-12-31	2013-05-08	2106
25/2-12	4	3943.000000	3952.200000	[m   ]	60.600000	5	YES	1290	9999-12-31	2013-05-08	2107
25/2-12	5	3994.000000	4019.000000	[m   ]	60.600000	5	YES	1290	9999-12-31	2013-05-08	2108
25/2-13	1	3340.000000	3341.800000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2109
25/2-13	10	\N	0.000000	\N	295.300000	19	YES	1459	9999-12-31	2013-05-08	2110
25/2-13	11	3709.000000	3726.300000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2111
25/2-13	12	3727.000000	3744.700000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2112
25/2-13	13	3745.000000	3763.000000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2113
25/2-13	14	3763.000000	3781.500000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2114
25/2-13	15	3781.500000	3792.000000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2115
25/2-13	16	3792.000000	3810.600000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2116
25/2-13	17	3810.500000	3828.800000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2117
25/2-13	18	3829.000000	3847.000000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2118
25/2-13	19	3847.000000	3854.200000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2119
25/2-13	2	3367.000000	3394.800000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2120
25/2-13	3	3387.000000	3406.000000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2121
25/2-13	4	3405.000000	3423.000000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2122
25/2-13	5	3429.000000	3441.000000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2123
25/2-13	6	3441.000000	3469.000000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2124
25/2-13	7	3459.000000	3468.600000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2125
25/2-13	8	3649.000000	3667.100000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2126
25/2-13	9	3667.100000	3669.700000	[m   ]	295.300000	19	YES	1459	9999-12-31	2013-05-08	2127
25/2-14	1	\N	0.000000	\N	37.800000	4	YES	1712	9999-12-31	2013-05-08	2128
25/2-14	2	\N	0.000000	\N	37.800000	4	YES	1712	9999-12-31	2013-05-08	2129
25/2-14	3	3130.000000	3149.000000	[m   ]	37.800000	4	YES	1712	9999-12-31	2013-05-08	2130
25/2-14	4	3149.000000	3167.800000	[m   ]	37.800000	4	YES	1712	9999-12-31	2013-05-08	2131
25/2-15 R2	1	3569.000000	3587.500000	[m   ]	32.000000	2	YES	2116	9999-12-31	2013-05-08	2132
25/2-15 R2	2	3587.500000	3601.000000	[m   ]	32.000000	2	YES	2116	9999-12-31	2013-05-08	2133
25/2-17	1	1955.000000	1973.900000	[m   ]	58.100000	3	YES	6215	9999-12-31	2013-05-08	2134
25/2-17	2	1974.000000	1986.200000	[m   ]	58.100000	3	YES	6215	9999-12-31	2013-05-08	2135
25/2-17	3	1987.000000	2014.000000	[m   ]	58.100000	3	YES	6215	9999-12-31	2013-05-08	2136
25/2-2	1	1991.000000	2001.500000	[m   ]	21.000000	3	YES	354	9999-12-31	2013-05-08	2137
25/2-2	2	2002.000000	2004.000000	[m   ]	21.000000	3	YES	354	9999-12-31	2013-05-08	2138
25/2-2	3	2004.000000	2012.500000	[m   ]	21.000000	3	YES	354	9999-12-31	2013-05-08	2139
25/2-4	1	3650.000000	3659.000000	[m   ]	81.800000	6	YES	356	9999-12-31	2013-05-08	2140
25/2-4	2	3659.000000	3676.000000	[m   ]	81.800000	6	YES	356	9999-12-31	2013-05-08	2141
25/2-4	3	3677.000000	3695.000000	[m   ]	81.800000	6	YES	356	9999-12-31	2013-05-08	2142
25/2-4	4	3817.000000	3833.800000	[m   ]	81.800000	6	YES	356	9999-12-31	2013-05-08	2143
25/2-4	5	3835.000000	3845.000000	[m   ]	81.800000	6	YES	356	9999-12-31	2013-05-08	2144
25/2-4	6	3852.000000	3863.000000	[m   ]	81.800000	6	YES	356	9999-12-31	2013-05-08	2145
25/2-5	1	3339.500000	3340.000000	[m   ]	28.500000	5	YES	357	9999-12-31	2013-05-08	2146
25/2-5	2	3350.000000	3352.000000	[m   ]	28.500000	5	YES	357	9999-12-31	2013-05-08	2147
25/2-5	3	3354.000000	3362.000000	[m   ]	28.500000	5	YES	357	9999-12-31	2013-05-08	2148
25/2-5	4	3363.000000	3372.000000	[m   ]	28.500000	5	YES	357	9999-12-31	2013-05-08	2149
25/2-5	5	3476.000000	3484.700000	[m   ]	28.500000	5	YES	357	9999-12-31	2013-05-08	2150
25/2-6	1	3159.600000	3165.100000	[m   ]	31.900000	4	YES	358	9999-12-31	2013-05-08	2151
25/2-6	2	3253.400000	3262.400000	[m   ]	31.900000	4	YES	358	9999-12-31	2013-05-08	2152
25/2-6	3	3262.400000	3271.800000	[m   ]	31.900000	4	YES	358	9999-12-31	2013-05-08	2153
25/2-6	4	3509.700000	3518.700000	[m   ]	31.900000	4	YES	358	9999-12-31	2013-05-08	2154
25/2-7	1	3409.000000	3414.000000	[m   ]	40.000000	4	YES	47	9999-12-31	2013-05-08	2155
25/2-7	2	3424.500000	3443.500000	[m   ]	40.000000	4	YES	47	9999-12-31	2013-05-08	2156
25/2-7	3	3791.000000	3798.000000	[m   ]	40.000000	4	YES	47	9999-12-31	2013-05-08	2157
25/2-7	4	4101.000000	4110.000000	[m   ]	40.000000	4	YES	47	9999-12-31	2013-05-08	2158
25/2-8	1	1919.500000	1926.000000	[m   ]	149.600000	8	YES	131	9999-12-31	2013-05-08	2159
25/2-8	2	1925.000000	1931.800000	[m   ]	149.600000	8	YES	131	9999-12-31	2013-05-08	2160
25/2-8	3	1933.600000	1939.000000	[m   ]	149.600000	8	YES	131	9999-12-31	2013-05-08	2161
25/2-8	4	1975.000000	1982.000000	[m   ]	149.600000	8	YES	131	9999-12-31	2013-05-08	2162
25/2-8	5	2076.000000	2084.100000	[m   ]	149.600000	8	YES	131	9999-12-31	2013-05-08	2163
25/2-8	6	2186.000000	2193.500000	[m   ]	149.600000	8	YES	131	9999-12-31	2013-05-08	2164
25/2-8	7	2193.800000	2200.000000	[m   ]	149.600000	8	YES	131	9999-12-31	2013-05-08	2165
25/2-8	8	2200.000000	2209.000000	[m   ]	149.600000	8	YES	131	9999-12-31	2013-05-08	2166
25/2-9	1	1939.400000	1957.000000	[m   ]	172.700000	12	YES	477	9999-12-31	2013-05-08	2167
25/2-9	10	\N	0.000000	\N	172.700000	12	YES	477	9999-12-31	2013-05-08	2168
25/2-9	11	2220.000000	2236.900000	[m   ]	172.700000	12	YES	477	9999-12-31	2013-05-08	2169
25/2-9	12	2238.200000	2255.000000	[m   ]	172.700000	12	YES	477	9999-12-31	2013-05-08	2170
25/2-9	2	1959.600000	1985.000000	[m   ]	172.700000	12	YES	477	9999-12-31	2013-05-08	2171
25/2-9	3	1987.600000	2013.000000	[m   ]	172.700000	12	YES	477	9999-12-31	2013-05-08	2172
25/2-9	4	2015.300000	2033.000000	[m   ]	172.700000	12	YES	477	9999-12-31	2013-05-08	2173
25/2-9	5	2034.000000	2036.800000	[m   ]	172.700000	12	YES	477	9999-12-31	2013-05-08	2174
25/2-9	6	2060.800000	2074.000000	[m   ]	172.700000	12	YES	477	9999-12-31	2013-05-08	2175
25/2-9	7	\N	0.000000	\N	172.700000	12	YES	477	9999-12-31	2013-05-08	2176
25/2-9	8	2080.000000	2103.300000	[m   ]	172.700000	12	YES	477	9999-12-31	2013-05-08	2177
25/2-9	9	2107.000000	2117.900000	[m   ]	172.700000	12	YES	477	9999-12-31	2013-05-08	2178
25/2-C-1 AH	1	3625.000000	3634.700000	[m   ]	165.800000	10	YES	1981	9999-12-31	2013-05-08	2179
25/2-C-1 AH	10	3776.100000	3791.000000	[m   ]	165.800000	10	YES	1981	9999-12-31	2013-05-08	2180
25/2-C-1 AH	2	3637.000000	3654.500000	[m   ]	165.800000	10	YES	1981	9999-12-31	2013-05-08	2181
25/2-C-1 AH	3	3652.000000	3665.100000	[m   ]	165.800000	10	YES	1981	9999-12-31	2013-05-08	2182
25/2-C-1 AH	4	3666.000000	3684.800000	[m   ]	165.800000	10	YES	1981	9999-12-31	2013-05-08	2183
25/2-C-1 AH	5	3685.000000	3704.000000	[m   ]	165.800000	10	YES	1981	9999-12-31	2013-05-08	2184
25/2-C-1 AH	6	3704.000000	3720.500000	[m   ]	165.800000	10	YES	1981	9999-12-31	2013-05-08	2185
25/2-C-1 AH	7	3720.600000	3739.000000	[m   ]	165.800000	10	YES	1981	9999-12-31	2013-05-08	2186
25/2-C-1 AH	8	3739.800000	3758.000000	[m   ]	165.800000	10	YES	1981	9999-12-31	2013-05-08	2187
25/2-C-1 AH	9	3758.000000	3776.100000	[m   ]	165.800000	10	YES	1981	9999-12-31	2013-05-08	2188
25/2-C-1 H	1	3617.000000	3630.000000	[m   ]	83.500000	5	YES	1922	9999-12-31	2013-05-08	2189
25/2-C-1 H	2	3630.000000	3648.000000	[m   ]	83.500000	5	YES	1922	9999-12-31	2013-05-08	2190
25/2-C-1 H	3	3648.000000	3666.000000	[m   ]	83.500000	5	YES	1922	9999-12-31	2013-05-08	2191
25/2-C-1 H	4	3666.000000	3682.500000	[m   ]	83.500000	5	YES	1922	9999-12-31	2013-05-08	2192
25/2-C-1 H	5	3691.000000	3708.800000	[m   ]	83.500000	5	YES	1922	9999-12-31	2013-05-08	2193
25/2-C-2 H	1	3631.000000	3649.000000	[m   ]	51.600000	3	YES	1965	9999-12-31	2013-05-08	2194
25/2-C-2 H	2	3649.000000	3667.000000	[m   ]	51.600000	3	YES	1965	9999-12-31	2013-05-08	2195
25/2-C-2 H	3	3667.000000	3682.600000	[m   ]	51.600000	3	YES	1965	9999-12-31	2013-05-08	2196
25/2-C-3 H	1	3719.000000	3732.500000	[m   ]	70.000000	4	YES	1966	9999-12-31	2013-05-08	2197
25/2-C-3 H	2	3733.000000	3752.000000	[m   ]	70.000000	4	YES	1966	9999-12-31	2013-05-08	2198
25/2-C-3 H	3	3752.000000	3771.000000	[m   ]	70.000000	4	YES	1966	9999-12-31	2013-05-08	2199
25/2-C-3 H	4	3771.000000	3789.600000	[m   ]	70.000000	4	YES	1966	9999-12-31	2013-05-08	2200
25/3-1	1	3112.000000	3129.900000	[m   ]	43.700000	2	YES	1419	9999-12-31	2013-05-08	2201
25/3-1	2	3858.000000	3873.900000	[m   ]	43.700000	2	YES	1419	9999-12-31	2013-05-08	2202
25/4-1	1	1936.000000	1944.000000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2203
25/4-1	10	3288.000000	3306.000000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2204
25/4-1	11	3306.000000	3316.000000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2205
25/4-1	12	3316.000000	3333.900000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2206
25/4-1	13	3334.000000	3352.000000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2207
25/4-1	14	3370.000000	3388.000000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2208
25/4-1	15	3388.000000	3406.000000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2209
25/4-1	16	3407.300000	3418.000000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2210
25/4-1	17	3418.000000	3436.000000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2211
25/4-1	18	3436.000000	3454.200000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2212
25/4-1	2	2078.000000	2095.300000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2213
25/4-1	3	2096.000000	2114.000000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2214
25/4-1	4	2409.400000	2413.500000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2215
25/4-1	5	3088.000000	3092.500000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2216
25/4-1	6	3188.000000	3195.000000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2217
25/4-1	7	3195.000000	3204.000000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2218
25/4-1	8	3204.000000	3222.400000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2219
25/4-1	9	3222.400000	3234.800000	[m   ]	254.000000	18	YES	359	9999-12-31	2013-05-08	2220
25/4-2	1	2171.200000	2172.000000	[m   ]	80.000000	1	YES	360	9999-12-31	2013-05-08	2221
25/4-3	1	2124.000000	2128.500000	[m   ]	10.500000	3	YES	361	9999-12-31	2013-05-08	2222
25/4-3	2	2133.000000	2135.000000	[m   ]	10.500000	3	YES	361	9999-12-31	2013-05-08	2223
25/4-3	3	2135.000000	2139.000000	[m   ]	10.500000	3	YES	361	9999-12-31	2013-05-08	2224
25/4-4	1	2142.000000	2151.000000	[m   ]	28.000000	4	YES	362	9999-12-31	2013-05-08	2225
25/4-4	2	\N	0.000000	\N	28.000000	4	YES	362	9999-12-31	2013-05-08	2226
25/4-4	3	2160.000000	2161.000000	[m   ]	28.000000	4	YES	362	9999-12-31	2013-05-08	2227
25/4-4	4	2167.000000	2170.000000	[m   ]	28.000000	4	YES	362	9999-12-31	2013-05-08	2228
25/4-5	1	2130.000000	2146.000000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2229
25/4-5	10	3695.000000	3713.100000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2230
25/4-5	11	3713.000000	3730.800000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2231
25/4-5	12	3954.500000	3970.500000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2232
25/4-5	13	3971.500000	3984.000000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2233
25/4-5	14	3985.000000	3998.500000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2234
25/4-5	15	3998.500000	4014.500000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2235
25/4-5	16	4183.500000	4198.000000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2236
25/4-5	17	4140.000000	4158.000000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2237
25/4-5	2	2148.000000	2152.000000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2238
25/4-5	3	2154.500000	2158.000000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2239
25/4-5	4	2158.000000	2172.800000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2240
25/4-5	5	2172.000000	2180.400000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2241
25/4-5	6	2181.000000	2190.900000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2242
25/4-5	7	2191.000000	2199.600000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2243
25/4-5	8	2200.000000	2218.000000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2244
25/4-5	9	2224.000000	2232.000000	[m   ]	217.500000	17	YES	201	9999-12-31	2013-05-08	2245
25/4-6 S	1	3712.000000	3714.300000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2246
25/4-6 S	10	4061.000000	4070.000000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2247
25/4-6 S	11	4124.000000	4131.100000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2248
25/4-6 S	12	4131.500000	4134.000000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2249
25/4-6 S	2	3715.000000	3733.200000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2250
25/4-6 S	3	3734.000000	3745.800000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2251
25/4-6 S	4	3746.000000	3774.000000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2252
25/4-6 S	5	3774.000000	3790.400000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2253
25/4-6 S	6	3791.000000	3818.800000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2254
25/4-6 S	7	3819.000000	3846.300000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2255
25/4-6 S	8	3846.500000	3873.000000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2256
25/4-6 S	9	3874.000000	3902.200000	[m   ]	234.900000	12	YES	1703	9999-12-31	2013-05-08	2257
25/4-7	1	2104.000000	2129.800000	[m   ]	52.000000	2	YES	4716	9999-12-31	2013-05-08	2258
25/4-7	2	2130.000000	2156.200000	[m   ]	52.000000	2	YES	4716	9999-12-31	2013-05-08	2259
25/4-8	1	2082.000000	2107.100000	[m   ]	51.700000	2	YES	4765	9999-12-31	2013-05-08	2260
25/4-8	2	2109.000000	2135.600000	[m   ]	51.700000	2	YES	4765	9999-12-31	2013-05-08	2261
25/4-9 S	1	2237.000000	2254.500000	[m   ]	17.500000	1	YES	4278	9999-12-31	2013-05-08	2262
25/4-A-12	1	3183.500000	3194.500000	[m   ]	85.600000	6	YES	2130	9999-12-31	2013-05-08	2263
25/4-A-12	2	3197.000000	3201.700000	[m   ]	85.600000	6	YES	2130	9999-12-31	2013-05-08	2264
25/4-A-12	3	3202.500000	3220.000000	[m   ]	85.600000	6	YES	2130	9999-12-31	2013-05-08	2265
25/4-A-12	4	3280.000000	3298.000000	[m   ]	85.600000	6	YES	2130	9999-12-31	2013-05-08	2266
25/4-A-12	5	3298.000000	3315.300000	[m   ]	85.600000	6	YES	2130	9999-12-31	2013-05-08	2267
25/4-A-12	6	3316.500000	3333.600000	[m   ]	85.600000	6	YES	2130	9999-12-31	2013-05-08	2268
25/4-A-4	1	2480.200000	2484.000000	[m   ]	129.300000	9	YES	677	9999-12-31	2013-05-08	2269
25/4-A-4	2	2488.000000	2502.800000	[m   ]	129.300000	9	YES	677	9999-12-31	2013-05-08	2270
25/4-A-4	3	2504.000000	2521.000000	[m   ]	129.300000	9	YES	677	9999-12-31	2013-05-08	2271
25/4-A-4	4	2523.000000	2535.000000	[m   ]	129.300000	9	YES	677	9999-12-31	2013-05-08	2272
25/4-A-4	5	2539.000000	2556.600000	[m   ]	129.300000	9	YES	677	9999-12-31	2013-05-08	2273
25/4-A-4	6	2560.000000	2574.000000	[m   ]	129.300000	9	YES	677	9999-12-31	2013-05-08	2274
25/4-A-4	7	\N	0.000000	\N	129.300000	9	YES	677	9999-12-31	2013-05-08	2275
25/4-A-4	8	2578.000000	2594.900000	[m   ]	129.300000	9	YES	677	9999-12-31	2013-05-08	2276
25/4-A-4	9	2596.500000	2613.000000	[m   ]	129.300000	9	YES	677	9999-12-31	2013-05-08	2277
25/4-A-6	1	2081.000000	2096.600000	[m   ]	119.100000	10	YES	678	9999-12-31	2013-05-08	2278
25/4-A-6	10	2206.500000	2223.000000	[m   ]	119.100000	10	YES	678	9999-12-31	2013-05-08	2279
25/4-A-6	2	2097.000000	2109.100000	[m   ]	119.100000	10	YES	678	9999-12-31	2013-05-08	2280
25/4-A-6	3	2110.400000	2122.000000	[m   ]	119.100000	10	YES	678	9999-12-31	2013-05-08	2281
25/4-A-6	4	2124.300000	2137.000000	[m   ]	119.100000	10	YES	678	9999-12-31	2013-05-08	2282
25/4-A-6	5	2152.000000	2154.900000	[m   ]	119.100000	10	YES	678	9999-12-31	2013-05-08	2283
25/4-A-6	6	2156.500000	2164.000000	[m   ]	119.100000	10	YES	678	9999-12-31	2013-05-08	2284
25/4-A-6	7	2166.000000	2179.600000	[m   ]	119.100000	10	YES	678	9999-12-31	2013-05-08	2285
25/4-A-6	8	2179.000000	2188.500000	[m   ]	119.100000	10	YES	678	9999-12-31	2013-05-08	2286
25/4-A-6	9	2188.500000	2205.000000	[m   ]	119.100000	10	YES	678	9999-12-31	2013-05-08	2287
25/4-E-1 H	2	2956.000000	2974.500000	[m   ]	53.900000	4	YES	5269	9999-12-31	2013-05-08	2288
25/4-E-1 H	3	2974.500000	2992.500000	[m   ]	53.900000	4	YES	5269	9999-12-31	2013-05-08	2289
25/4-E-1 H	4	2993.000000	3010.500000	[m   ]	53.900000	4	YES	5269	9999-12-31	2013-05-08	2290
25/4-J-1 AH	1	2112.000000	2147.900000	[m   ]	67.800000	2	YES	5397	9999-12-31	2013-05-08	2291
25/4-J-1 AH	2	2148.000000	2179.900000	[m   ]	67.800000	2	YES	5397	9999-12-31	2013-05-08	2292
25/5-1	1	\N	0.000000	\N	151.500000	9	YES	884	9999-12-31	2013-05-08	2293
25/5-1	2	2990.000000	3007.800000	[m   ]	151.500000	9	YES	884	9999-12-31	2013-05-08	2294
25/5-1	3	3008.500000	3027.300000	[m   ]	151.500000	9	YES	884	9999-12-31	2013-05-08	2295
25/5-1	4	3027.500000	3046.200000	[m   ]	151.500000	9	YES	884	9999-12-31	2013-05-08	2296
25/5-1	5	3046.200000	3063.500000	[m   ]	151.500000	9	YES	884	9999-12-31	2013-05-08	2297
25/5-1	6	3064.000000	3080.400000	[m   ]	151.500000	9	YES	884	9999-12-31	2013-05-08	2298
25/5-1	7	3235.100000	3253.000000	[m   ]	151.500000	9	YES	884	9999-12-31	2013-05-08	2299
25/5-1	8	3253.500000	3272.000000	[m   ]	151.500000	9	YES	884	9999-12-31	2013-05-08	2300
25/5-1	9	3272.600000	3291.000000	[m   ]	151.500000	9	YES	884	9999-12-31	2013-05-08	2301
25/5-2	1	3176.000000	3194.000000	[m   ]	50.200000	4	YES	1346	9999-12-31	2013-05-08	2302
25/5-2	2	3194.000000	3196.700000	[m   ]	50.200000	4	YES	1346	9999-12-31	2013-05-08	2303
25/5-2	3	3197.000000	3215.200000	[m   ]	50.200000	4	YES	1346	9999-12-31	2013-05-08	2304
25/5-2	4	3215.200000	3226.500000	[m   ]	50.200000	4	YES	1346	9999-12-31	2013-05-08	2305
25/5-3	1	2386.000000	2403.800000	[m   ]	31.000000	2	YES	1488	9999-12-31	2013-05-08	2306
25/5-3	2	2615.000000	2638.400000	[m   ]	31.000000	2	YES	1488	9999-12-31	2013-05-08	2307
25/5-4	1	2904.000000	2921.900000	[m   ]	59.800000	3	YES	1691	9999-12-31	2013-05-08	2308
25/5-4	2	2922.000000	2947.400000	[m   ]	59.800000	3	YES	1691	9999-12-31	2013-05-08	2309
25/5-4	3	3059.000000	3075.600000	[m   ]	59.800000	3	YES	1691	9999-12-31	2013-05-08	2310
25/5-5	1	2162.500000	2172.300000	[m   ]	37.300000	2	YES	2661	9999-12-31	2013-05-08	2311
25/5-5	2	2172.300000	2199.800000	[m   ]	37.300000	2	YES	2661	9999-12-31	2013-05-08	2312
25/5-7	1	2690.000000	2744.200000	[m   ]	54.200000	1	YES	6423	9999-12-31	2013-05-08	2313
25/5-A-1	1	3171.000000	3188.600000	[m   ]	95.900000	4	YES	2138	9999-12-31	2013-05-08	2314
25/5-A-1	2	3189.000000	3212.800000	[m   ]	95.900000	4	YES	2138	9999-12-31	2013-05-08	2315
25/5-A-1	3	3213.000000	3241.000000	[m   ]	95.900000	4	YES	2138	9999-12-31	2013-05-08	2316
25/5-A-1	4	3241.000000	3267.500000	[m   ]	95.900000	4	YES	2138	9999-12-31	2013-05-08	2317
25/5-A-2	1	3903.000000	3920.900000	[m   ]	24.900000	2	YES	2158	9999-12-31	2013-05-08	2318
25/5-A-2	2	3927.000000	3934.000000	[m   ]	24.900000	2	YES	2158	9999-12-31	2013-05-08	2319
25/5-A-3	1	3408.000000	3418.300000	[m   ]	75.300000	5	YES	2198	9999-12-31	2013-05-08	2320
25/5-A-3	2	3418.300000	3433.900000	[m   ]	75.300000	5	YES	2198	9999-12-31	2013-05-08	2321
25/5-A-3	3	3437.000000	3447.000000	[m   ]	75.300000	5	YES	2198	9999-12-31	2013-05-08	2322
25/5-A-3	4	3460.000000	3472.000000	[m   ]	75.300000	5	YES	2198	9999-12-31	2013-05-08	2323
25/5-A-3	5	3472.000000	3499.400000	[m   ]	75.300000	5	YES	2198	9999-12-31	2013-05-08	2324
25/5-A-4	1	3582.000000	3600.000000	[m   ]	62.400000	4	YES	2243	9999-12-31	2013-05-08	2325
25/5-A-4	2	3600.000000	3619.400000	[m   ]	62.400000	4	YES	2243	9999-12-31	2013-05-08	2326
25/5-A-4	3	3622.000000	3640.200000	[m   ]	62.400000	4	YES	2243	9999-12-31	2013-05-08	2327
25/5-A-4	4	3640.200000	3647.000000	[m   ]	62.400000	4	YES	2243	9999-12-31	2013-05-08	2328
25/5-A-7	1	4447.000000	4455.200000	[m   ]	88.000000	7	YES	2483	9999-12-31	2013-05-08	2329
25/5-A-7	2	4457.000000	4462.200000	[m   ]	88.000000	7	YES	2483	9999-12-31	2013-05-08	2330
25/5-A-7	3	4462.200000	4464.900000	[m   ]	88.000000	7	YES	2483	9999-12-31	2013-05-08	2331
25/5-A-7	4	4466.000000	4472.600000	[m   ]	88.000000	7	YES	2483	9999-12-31	2013-05-08	2332
25/5-A-7	5	4472.600000	4491.900000	[m   ]	88.000000	7	YES	2483	9999-12-31	2013-05-08	2333
25/5-A-7	6	4492.000000	4529.300000	[m   ]	88.000000	7	YES	2483	9999-12-31	2013-05-08	2334
25/5-A-7	7	4529.300000	4538.000000	[m   ]	88.000000	7	YES	2483	9999-12-31	2013-05-08	2335
25/5-A-9	1	3527.000000	3564.200000	[m   ]	83.500000	2	YES	2549	9999-12-31	2013-05-08	2336
25/5-A-9	2	3564.200000	3610.500000	[m   ]	83.500000	2	YES	2549	9999-12-31	2013-05-08	2337
25/6-1	1	2289.000000	2300.000000	[m   ]	21.100000	2	YES	524	9999-12-31	2013-05-08	2338
25/6-1	2	2300.000000	2310.100000	[m   ]	21.100000	2	YES	524	9999-12-31	2013-05-08	2339
25/6-3	1	2062.000000	2079.500000	[m   ]	45.800000	2	YES	3885	9999-12-31	2013-05-08	2340
25/6-3	2	2080.000000	2108.400000	[m   ]	45.800000	2	YES	3885	9999-12-31	2013-05-08	2341
25/7-1 S	1	3589.000000	3591.500000	[m   ]	10.400000	2	YES	898	9999-12-31	2013-05-08	2342
25/7-1 S	2	3547.000000	3554.800000	[m   ]	10.400000	2	YES	898	9999-12-31	2013-05-08	2343
25/7-2	1	4125.000000	4136.300000	[m   ]	73.800000	6	YES	1494	9999-12-31	2013-05-08	2344
25/7-2	2	4136.200000	4145.700000	[m   ]	73.800000	6	YES	1494	9999-12-31	2013-05-08	2345
25/7-2	3	4145.700000	4154.600000	[m   ]	73.800000	6	YES	1494	9999-12-31	2013-05-08	2346
25/7-2	4	4154.700000	4169.200000	[m   ]	73.800000	6	YES	1494	9999-12-31	2013-05-08	2347
25/7-2	5	4345.000000	4347.400000	[m   ]	73.800000	6	YES	1494	9999-12-31	2013-05-08	2348
25/7-2	6	4461.500000	4488.600000	[m   ]	73.800000	6	YES	1494	9999-12-31	2013-05-08	2349
25/7-3	1	2099.000000	2110.600000	[m   ]	30.700000	2	YES	2623	9999-12-31	2013-05-08	2350
25/7-3	2	2111.000000	2130.200000	[m   ]	30.700000	2	YES	2623	9999-12-31	2013-05-08	2351
25/7-5	1	\N	0.000000	\N	161.400000	11	YES	3132	9999-12-31	2013-05-08	2352
25/7-5	10	2093.000000	2122.000000	[m   ]	161.400000	11	YES	3132	9999-12-31	2013-05-08	2353
25/7-5	11	2122.000000	2149.800000	[m   ]	161.400000	11	YES	3132	9999-12-31	2013-05-08	2354
25/7-5	2	1977.000000	1983.000000	[m   ]	161.400000	11	YES	3132	9999-12-31	2013-05-08	2355
25/7-5	3	1983.000000	2002.800000	[m   ]	161.400000	11	YES	3132	9999-12-31	2013-05-08	2356
25/7-5	4	2003.000000	2031.500000	[m   ]	161.400000	11	YES	3132	9999-12-31	2013-05-08	2357
25/7-5	5	2031.500000	2048.000000	[m   ]	161.400000	11	YES	3132	9999-12-31	2013-05-08	2358
25/7-5	6	2048.000000	2057.500000	[m   ]	161.400000	11	YES	3132	9999-12-31	2013-05-08	2359
25/7-5	7	2058.000000	2059.700000	[m   ]	161.400000	11	YES	3132	9999-12-31	2013-05-08	2360
25/7-5	8	2060.000000	2076.100000	[m   ]	161.400000	11	YES	3132	9999-12-31	2013-05-08	2361
25/7-5	9	2078.000000	2084.700000	[m   ]	161.400000	11	YES	3132	9999-12-31	2013-05-08	2362
25/7-6	1	2061.000000	2079.700000	[m   ]	18.700000	1	YES	4141	9999-12-31	2013-05-08	2363
25/8-1	1	5500.000000	5528.000000	[ft  ]	98.800000	7	YES	173	9999-12-31	2013-05-08	2364
25/8-1	2	5657.000000	5715.000000	[ft  ]	98.800000	7	YES	173	9999-12-31	2013-05-08	2365
25/8-1	3	5713.000000	5770.000000	[ft  ]	98.800000	7	YES	173	9999-12-31	2013-05-08	2366
25/8-1	4	5770.000000	5815.000000	[ft  ]	98.800000	7	YES	173	9999-12-31	2013-05-08	2367
25/8-1	5	5815.000000	5875.000000	[ft  ]	98.800000	7	YES	173	9999-12-31	2013-05-08	2368
25/8-1	6	6000.000000	6060.000000	[ft  ]	98.800000	7	YES	173	9999-12-31	2013-05-08	2369
25/8-1	7	7740.000000	7794.000000	[ft  ]	98.800000	7	YES	173	9999-12-31	2013-05-08	2370
25/8-10 S	1	1722.000000	1749.700000	[m   ]	64.700000	2	YES	3062	9999-12-31	2013-05-08	2371
25/8-10 S	2	1749.000000	1786.000000	[m   ]	64.700000	2	YES	3062	9999-12-31	2013-05-08	2372
25/8-11	1	1763.000000	1789.700000	[m   ]	26.700000	1	YES	3209	9999-12-31	2013-05-08	2373
25/8-12 A	1	1951.000000	1988.500000	[m   ]	37.500000	1	YES	3772	9999-12-31	2013-05-08	2374
25/8-12 S	1	1905.000000	1938.800000	[m   ]	33.800000	1	YES	3771	9999-12-31	2013-05-08	2375
25/8-4	1	1659.600000	1670.000000	[m   ]	157.600000	11	YES	1986	9999-12-31	2013-05-08	2376
25/8-4	10	1830.500000	1837.000000	[m   ]	157.600000	11	YES	1986	9999-12-31	2013-05-08	2377
25/8-4	11	1837.000000	1837.500000	[m   ]	157.600000	11	YES	1986	9999-12-31	2013-05-08	2378
25/8-4	2	1672.500000	1694.000000	[m   ]	157.600000	11	YES	1986	9999-12-31	2013-05-08	2379
25/8-4	3	1695.500000	1706.000000	[m   ]	157.600000	11	YES	1986	9999-12-31	2013-05-08	2380
25/8-4	4	1722.500000	1746.000000	[m   ]	157.600000	11	YES	1986	9999-12-31	2013-05-08	2381
25/8-4	5	1746.000000	1759.000000	[m   ]	157.600000	11	YES	1986	9999-12-31	2013-05-08	2382
25/8-4	6	1759.000000	1777.000000	[m   ]	157.600000	11	YES	1986	9999-12-31	2013-05-08	2383
25/8-4	7	1777.000000	1794.700000	[m   ]	157.600000	11	YES	1986	9999-12-31	2013-05-08	2384
25/8-4	8	1794.700000	1811.000000	[m   ]	157.600000	11	YES	1986	9999-12-31	2013-05-08	2385
25/8-4	9	1812.500000	1829.000000	[m   ]	157.600000	11	YES	1986	9999-12-31	2013-05-08	2386
25/8-5 S	1	2136.400000	2150.600000	[m   ]	23.400000	2	YES	2390	9999-12-31	2013-05-08	2387
25/8-5 S	2	3052.000000	3061.200000	[m   ]	23.400000	2	YES	2390	9999-12-31	2013-05-08	2388
25/8-6	1	2054.000000	2056.000000	[m   ]	67.300000	8	YES	2573	9999-12-31	2013-05-08	2389
25/8-6	2	2057.000000	2063.500000	[m   ]	67.300000	8	YES	2573	9999-12-31	2013-05-08	2390
25/8-6	3	2077.000000	2084.200000	[m   ]	67.300000	8	YES	2573	9999-12-31	2013-05-08	2391
25/8-6	4	2084.500000	2096.900000	[m   ]	67.300000	8	YES	2573	9999-12-31	2013-05-08	2392
25/8-6	5	2097.000000	2098.900000	[m   ]	67.300000	8	YES	2573	9999-12-31	2013-05-08	2393
25/8-6	6	2100.000000	2109.500000	[m   ]	67.300000	8	YES	2573	9999-12-31	2013-05-08	2394
25/8-6	7	2109.500000	2119.000000	[m   ]	67.300000	8	YES	2573	9999-12-31	2013-05-08	2395
25/8-6	8	2119.000000	2137.500000	[m   ]	67.300000	8	YES	2573	9999-12-31	2013-05-08	2396
25/8-7	1	2053.000000	2053.700000	[m   ]	29.300000	3	YES	2612	9999-12-31	2013-05-08	2397
25/8-7	2	2053.000000	2061.900000	[m   ]	29.300000	3	YES	2612	9999-12-31	2013-05-08	2398
25/8-7	3	2319.000000	2338.700000	[m   ]	29.300000	3	YES	2612	9999-12-31	2013-05-08	2399
25/8-8 A	1	2414.000000	2450.000000	[m   ]	109.600000	4	YES	2690	9999-12-31	2013-05-08	2400
25/8-8 A	2	2450.000000	2464.300000	[m   ]	109.600000	4	YES	2690	9999-12-31	2013-05-08	2401
25/8-8 A	3	2464.300000	2496.000000	[m   ]	109.600000	4	YES	2690	9999-12-31	2013-05-08	2402
25/8-8 A	4	2496.000000	2523.700000	[m   ]	109.600000	4	YES	2690	9999-12-31	2013-05-08	2403
25/8-8 B	1	2375.000000	2381.100000	[m   ]	60.800000	3	YES	2696	9999-12-31	2013-05-08	2404
25/8-8 B	2	2387.000000	2414.000000	[m   ]	60.800000	3	YES	2696	9999-12-31	2013-05-08	2405
25/8-8 B	3	2414.000000	2441.800000	[m   ]	60.800000	3	YES	2696	9999-12-31	2013-05-08	2406
25/8-8 S	1	2228.000000	2252.800000	[m   ]	78.700000	3	YES	2646	9999-12-31	2013-05-08	2407
25/8-8 S	2	2255.000000	2282.000000	[m   ]	78.700000	3	YES	2646	9999-12-31	2013-05-08	2408
25/8-8 S	3	2282.000000	2309.000000	[m   ]	78.700000	3	YES	2646	9999-12-31	2013-05-08	2409
25/8-9	1	2098.000000	2125.000000	[m   ]	77.400000	3	YES	2988	9999-12-31	2013-05-08	2410
25/8-9	2	2440.000000	2468.000000	[m   ]	77.400000	3	YES	2988	9999-12-31	2013-05-08	2411
25/8-9	3	2468.000000	2490.400000	[m   ]	77.400000	3	YES	2988	9999-12-31	2013-05-08	2412
25/8-9 A	1	2495.000000	2522.100000	[m   ]	80.400000	3	YES	3025	9999-12-31	2013-05-08	2413
25/8-9 A	2	2523.000000	2549.700000	[m   ]	80.400000	3	YES	3025	9999-12-31	2013-05-08	2414
25/8-9 A	3	2523.000000	2549.700000	[m   ]	80.400000	3	YES	3025	9999-12-31	2013-05-08	2415
25/8-B-2	1	2313.000000	2348.000000	[m   ]	63.000000	2	YES	3731	9999-12-31	2013-05-08	2416
25/8-B-2	2	2349.000000	2377.000000	[m   ]	63.000000	2	YES	3731	9999-12-31	2013-05-08	2417
25/9-1	1	2183.000000	2194.500000	[m   ]	11.500000	1	YES	2476	9999-12-31	2013-05-08	2418
26/4-1	1	2253.000000	2265.700000	[m   ]	76.900000	4	YES	1046	9999-12-31	2013-05-08	2419
26/4-1	2	2270.000000	2297.700000	[m   ]	76.900000	4	YES	1046	9999-12-31	2013-05-08	2420
26/4-1	3	2754.000000	2781.700000	[m   ]	76.900000	4	YES	1046	9999-12-31	2013-05-08	2421
26/4-1	4	3308.000000	3316.900000	[m   ]	76.900000	4	YES	1046	9999-12-31	2013-05-08	2422
29/3-1	1	3525.000000	3542.900000	[m   ]	35.300000	2	YES	904	9999-12-31	2013-05-08	2423
29/3-1	2	3543.200000	3560.000000	[m   ]	35.300000	2	YES	904	9999-12-31	2013-05-08	2424
29/6-1	1	4219.500000	4238.000000	[m   ]	120.100000	7	YES	375	9999-12-31	2013-05-08	2425
29/6-1	2	4238.000000	4256.000000	[m   ]	120.100000	7	YES	375	9999-12-31	2013-05-08	2426
29/6-1	3	4256.000000	4274.000000	[m   ]	120.100000	7	YES	375	9999-12-31	2013-05-08	2427
29/6-1	4	4274.000000	4292.000000	[m   ]	120.100000	7	YES	375	9999-12-31	2013-05-08	2428
29/6-1	5	4292.000000	4310.000000	[m   ]	120.100000	7	YES	375	9999-12-31	2013-05-08	2429
29/6-1	6	4310.000000	4328.200000	[m   ]	120.100000	7	YES	375	9999-12-31	2013-05-08	2430
29/6-1	7	4328.200000	4339.700000	[m   ]	120.100000	7	YES	375	9999-12-31	2013-05-08	2431
29/9-1	1	4386.000000	4403.800000	[m   ]	55.400000	3	YES	31	9999-12-31	2013-05-08	2432
29/9-1	2	4404.000000	4417.500000	[m   ]	55.400000	3	YES	31	9999-12-31	2013-05-08	2433
29/9-1	3	4419.000000	4430.100000	[m   ]	55.400000	3	YES	31	9999-12-31	2013-05-08	2434
3/4-1	1	2740.000000	2758.100000	[m   ]	18.000000	1	YES	2222	9999-12-31	2013-05-08	2435
3/6-1	1	2008.000000	2010.600000	[m   ]	2.600000	1	YES	4117	9999-12-31	2013-05-08	2436
3/7-1	1	3221.000000	3227.000000	[m   ]	6.000000	1	YES	292	9999-12-31	2013-05-08	2437
3/7-2	1	2570.000000	2572.000000	[m   ]	31.300000	5	YES	220	9999-12-31	2013-05-08	2438
3/7-2	2	2575.500000	2588.800000	[m   ]	31.300000	5	YES	220	9999-12-31	2013-05-08	2439
3/7-2	3	2602.000000	2604.800000	[m   ]	31.300000	5	YES	220	9999-12-31	2013-05-08	2440
3/7-2	4	2911.000000	2919.000000	[m   ]	31.300000	5	YES	220	9999-12-31	2013-05-08	2441
3/7-2	5	4310.000000	4319.000000	[m   ]	31.300000	5	YES	220	9999-12-31	2013-05-08	2442
3/7-3	1	2830.000000	2839.600000	[m   ]	19.600000	3	YES	293	9999-12-31	2013-05-08	2443
3/7-3	2	3337.500000	3338.500000	[m   ]	19.600000	3	YES	293	9999-12-31	2013-05-08	2444
3/7-3	3	3339.000000	3348.000000	[m   ]	19.600000	3	YES	293	9999-12-31	2013-05-08	2445
3/7-4	1	3416.000000	3436.000000	[m   ]	123.500000	8	YES	1467	9999-12-31	2013-05-08	2446
3/7-4	2	3437.000000	3464.700000	[m   ]	123.500000	8	YES	1467	9999-12-31	2013-05-08	2447
3/7-4	3	3464.400000	3487.900000	[m   ]	123.500000	8	YES	1467	9999-12-31	2013-05-08	2448
3/7-4	4	3492.000000	3501.200000	[m   ]	123.500000	8	YES	1467	9999-12-31	2013-05-08	2449
3/7-4	5	3504.000000	3514.000000	[m   ]	123.500000	8	YES	1467	9999-12-31	2013-05-08	2450
3/7-4	6	3514.000000	3520.000000	[m   ]	123.500000	8	YES	1467	9999-12-31	2013-05-08	2451
3/7-4	7	3526.000000	3553.400000	[m   ]	123.500000	8	YES	1467	9999-12-31	2013-05-08	2452
3/7-4	8	3553.400000	3574.300000	[m   ]	123.500000	8	YES	1467	9999-12-31	2013-05-08	2453
3/7-5	1	3383.000000	3392.100000	[m   ]	9.100000	1	YES	1759	9999-12-31	2013-05-08	2454
3/7-6	1	3640.000000	3650.400000	[m   ]	10.400000	1	YES	2891	9999-12-31	2013-05-08	2455
30/10-1	1	6482.000000	6490.000000	[ft  ]	25.300000	5	YES	391	9999-12-31	2013-05-08	2456
30/10-1	2	6490.000000	6521.000000	[ft  ]	25.300000	5	YES	391	9999-12-31	2013-05-08	2457
30/10-1	3	6534.000000	6545.000000	[ft  ]	25.300000	5	YES	391	9999-12-31	2013-05-08	2458
30/10-1	4	6545.000000	6563.000000	[ft  ]	25.300000	5	YES	391	9999-12-31	2013-05-08	2459
30/10-1	5	6578.000000	6593.000000	[ft  ]	25.300000	5	YES	391	9999-12-31	2013-05-08	2460
30/10-2	1	6638.000000	6643.000000	[ft  ]	3.100000	2	YES	392	9999-12-31	2013-05-08	2461
30/10-2	2	6643.000000	6648.000000	[ft  ]	3.100000	2	YES	392	9999-12-31	2013-05-08	2462
30/10-3	1	6594.000000	6624.000000	[ft  ]	57.300000	6	YES	393	9999-12-31	2013-05-08	2463
30/10-3	2	6620.000000	6655.000000	[ft  ]	57.300000	6	YES	393	9999-12-31	2013-05-08	2464
30/10-3	3	6653.000000	6683.000000	[ft  ]	57.300000	6	YES	393	9999-12-31	2013-05-08	2465
30/10-3	4	6682.000000	6712.000000	[ft  ]	57.300000	6	YES	393	9999-12-31	2013-05-08	2466
30/10-3	5	6712.000000	6745.000000	[ft  ]	57.300000	6	YES	393	9999-12-31	2013-05-08	2467
30/10-3	6	6742.000000	6772.000000	[ft  ]	57.300000	6	YES	393	9999-12-31	2013-05-08	2468
30/10-5	1	15059.000000	15089.000000	[ft  ]	9.000000	1	YES	395	9999-12-31	2013-05-08	2469
30/10-6	1	4663.000000	4671.800000	[m   ]	83.600000	6	YES	1816	9999-12-31	2013-05-08	2470
30/10-6	2	4672.000000	4691.000000	[m   ]	83.600000	6	YES	1816	9999-12-31	2013-05-08	2471
30/10-6	3	4691.000000	4693.400000	[m   ]	83.600000	6	YES	1816	9999-12-31	2013-05-08	2472
30/10-6	4	4697.000000	4716.000000	[m   ]	83.600000	6	YES	1816	9999-12-31	2013-05-08	2473
30/10-6	5	4946.000000	4964.000000	[m   ]	83.600000	6	YES	1816	9999-12-31	2013-05-08	2474
30/10-6	6	4964.000000	4980.000000	[m   ]	83.600000	6	YES	1816	9999-12-31	2013-05-08	2475
30/10-7	1	2207.000000	2211.000000	[m   ]	28.400000	2	YES	2015	9999-12-31	2013-05-08	2476
30/10-7	2	2211.000000	2225.400000	[m   ]	28.400000	2	YES	2015	9999-12-31	2013-05-08	2477
30/10-A-4	1	2026.000000	2031.300000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2478
30/10-A-4	10	2080.000000	2085.400000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2479
30/10-A-4	11	2006.000000	2091.000000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2480
30/10-A-4	12	2092.000000	2098.000000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2481
30/10-A-4	13	2139.900000	2148.400000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2482
30/10-A-4	14	2175.000000	2181.200000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2483
30/10-A-4	2	2032.000000	2035.200000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2484
30/10-A-4	3	2035.700000	2045.100000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2485
30/10-A-4	4	2045.100000	2049.400000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2486
30/10-A-4	5	2051.600000	2059.100000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2487
30/10-A-4	6	2059.300000	2063.600000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2488
30/10-A-4	7	2064.300000	2069.300000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2489
30/10-A-4	8	2070.000000	2073.400000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2490
30/10-A-4	9	2074.000000	2080.000000	[m   ]	79.300000	14	YES	660	9999-12-31	2013-05-08	2491
30/11-1	1	6490.000000	6520.000000	[ft  ]	13.300000	2	YES	396	9999-12-31	2013-05-08	2492
30/11-1	2	6521.000000	6534.200000	[ft  ]	13.300000	2	YES	396	9999-12-31	2013-05-08	2493
30/11-3	1	3445.000000	3459.800000	[m   ]	33.400000	2	YES	62	9999-12-31	2013-05-08	2494
30/11-3	2	3460.000000	3478.500000	[m   ]	33.400000	2	YES	62	9999-12-31	2013-05-08	2495
30/11-4	1	3514.000000	3531.500000	[m   ]	41.900000	5	YES	98	9999-12-31	2013-05-08	2496
30/11-4	2	4635.000000	4645.700000	[m   ]	41.900000	5	YES	98	9999-12-31	2013-05-08	2497
30/11-4	3	4652.000000	4664.900000	[m   ]	41.900000	5	YES	98	9999-12-31	2013-05-08	2498
30/11-4	4	4839.000000	4839.400000	[m   ]	41.900000	5	YES	98	9999-12-31	2013-05-08	2499
30/11-4	5	5011.000000	5011.400000	[m   ]	41.900000	5	YES	98	9999-12-31	2013-05-08	2500
30/11-6 S	1	3196.000000	3214.400000	[m   ]	103.000000	3	YES	4950	9999-12-31	2013-05-08	2501
30/11-6 S	2	3214.400000	3269.000000	[m   ]	103.000000	3	YES	4950	9999-12-31	2013-05-08	2502
30/11-6 S	3	3269.000000	3299.000000	[m   ]	103.000000	3	YES	4950	9999-12-31	2013-05-08	2503
30/11-7	1	3983.000000	3998.000000	[m   ]	15.000000	1	YES	5919	9999-12-31	2013-05-08	2504
30/11-7 A	1	4022.400000	4023.300000	[m   ]	85.500000	5	YES	6085	9999-12-31	2013-05-08	2505
30/11-7 A	2	4039.000000	4053.200000	[m   ]	85.500000	5	YES	6085	9999-12-31	2013-05-08	2506
30/11-7 A	3	4053.200000	4068.800000	[m   ]	85.500000	5	YES	6085	9999-12-31	2013-05-08	2507
30/11-7 A	4	4068.800000	4096.200000	[m   ]	85.500000	5	YES	6085	9999-12-31	2013-05-08	2508
30/11-7 A	5	4096.200000	4123.600000	[m   ]	85.500000	5	YES	6085	9999-12-31	2013-05-08	2509
30/12-1	1	2901.000000	2927.200000	[m   ]	64.700000	3	YES	2248	9999-12-31	2013-05-08	2510
30/12-1	2	2927.600000	2960.100000	[m   ]	64.700000	3	YES	2248	9999-12-31	2013-05-08	2511
30/12-1	3	2961.000000	2966.900000	[m   ]	64.700000	3	YES	2248	9999-12-31	2013-05-08	2512
30/2-1	1	1952.000000	1954.000000	[m   ]	109.100000	11	YES	72	9999-12-31	2013-05-08	2513
30/2-1	10	3758.000000	3776.000000	[m   ]	109.100000	11	YES	72	9999-12-31	2013-05-08	2514
30/2-1	11	3776.000000	3794.000000	[m   ]	109.100000	11	YES	72	9999-12-31	2013-05-08	2515
30/2-1	2	1954.000000	1968.100000	[m   ]	109.100000	11	YES	72	9999-12-31	2013-05-08	2516
30/2-1	3	3696.000000	3700.800000	[m   ]	109.100000	11	YES	72	9999-12-31	2013-05-08	2517
30/2-1	4	3701.000000	3708.300000	[m   ]	109.100000	11	YES	72	9999-12-31	2013-05-08	2518
30/2-1	5	3712.000000	3716.400000	[m   ]	109.100000	11	YES	72	9999-12-31	2013-05-08	2519
30/2-1	6	3717.000000	3733.600000	[m   ]	109.100000	11	YES	72	9999-12-31	2013-05-08	2520
30/2-1	7	3733.600000	3734.700000	[m   ]	109.100000	11	YES	72	9999-12-31	2013-05-08	2521
30/2-1	8	3735.800000	3751.900000	[m   ]	109.100000	11	YES	72	9999-12-31	2013-05-08	2522
30/2-1	9	3751.500000	3758.000000	[m   ]	109.100000	11	YES	72	9999-12-31	2013-05-08	2523
30/2-2	1	3908.000000	3912.500000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2524
30/2-2	10	4026.000000	4027.900000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2525
30/2-2	11	4029.000000	4031.600000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2526
30/2-2	12	4031.800000	4047.700000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2527
30/2-2	13	4047.700000	4048.900000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2528
30/2-2	14	4048.900000	4052.500000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2529
30/2-2	15	4076.000000	4093.800000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2530
30/2-2	16	4094.000000	4112.300000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2531
30/2-2	17	4112.300000	4130.300000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2532
30/2-2	18	4130.500000	4135.500000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2533
30/2-2	2	3939.000000	3957.300000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2534
30/2-2	3	3957.300000	3965.800000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2535
30/2-2	4	3966.000000	3979.800000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2536
30/2-2	5	3979.800000	3987.600000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2537
30/2-2	6	3987.800000	3989.600000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2538
30/2-2	7	3989.600000	3993.500000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2539
30/2-2	8	3993.500000	3997.500000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2540
30/2-2	9	4014.000000	4025.600000	[m   ]	156.000000	18	YES	457	9999-12-31	2013-05-08	2541
30/2-3	1	3749.000000	3755.900000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2542
30/2-3	10	3886.500000	3897.000000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2543
30/2-3	11	3897.700000	3915.000000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2544
30/2-3	12	3915.600000	3928.000000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2545
30/2-3	13	3928.100000	3932.000000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2546
30/2-3	14	\N	0.000000	\N	170.100000	17	YES	1970	9999-12-31	2013-05-08	2547
30/2-3	15	3954.500000	3962.000000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2548
30/2-3	16	3962.000000	3968.800000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2549
30/2-3	17	3968.800000	3986.000000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2550
30/2-3	2	3756.000000	3761.100000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2551
30/2-3	3	3792.000000	3813.300000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2552
30/2-3	4	3816.000000	3829.100000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2553
30/2-3	5	3830.000000	3836.300000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2554
30/2-3	6	3836.300000	3855.000000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2555
30/2-3	7	3855.100000	3867.000000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2556
30/2-3	8	3868.000000	3873.900000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2557
30/2-3	9	3857.000000	3886.500000	[m   ]	170.100000	17	YES	1970	9999-12-31	2013-05-08	2558
30/3-1 R	1	3863.600000	3880.000000	[m   ]	16.900000	1	YES	509	9999-12-31	2013-05-08	2559
30/3-2 R	1	2828.000000	2833.800000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2560
30/3-2 R	10	3083.700000	3102.000000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2561
30/3-2 R	11	3102.000000	3121.400000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2562
30/3-2 R	12	3295.000000	3306.600000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2563
30/3-2 R	2	2834.500000	2842.000000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2564
30/3-2 R	3	2860.000000	2864.400000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2565
30/3-2 R	4	2879.000000	2893.500000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2566
30/3-2 R	5	2897.000000	2898.400000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2567
30/3-2 R	6	2898.500000	2916.000000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2568
30/3-2 R	7	2916.000000	2934.600000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2569
30/3-2 R	8	2934.600000	2951.200000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2570
30/3-2 R	9	3073.000000	3082.500000	[m   ]	147.900000	12	YES	508	9999-12-31	2013-05-08	2571
30/3-3	1	2979.000000	2992.500000	[m   ]	13.500000	1	YES	10	9999-12-31	2013-05-08	2572
30/3-4	1	2830.000000	2834.400000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2573
30/3-4	10	2953.000000	2972.300000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2574
30/3-4	11	3086.000000	3113.000000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2575
30/3-4	12	3113.000000	3130.700000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2576
30/3-4	2	2835.000000	2839.300000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2577
30/3-4	3	2840.000000	2851.800000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2578
30/3-4	4	2853.000000	2862.000000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2579
30/3-4	5	2865.000000	2879.600000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2580
30/3-4	6	2880.500000	2907.900000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2581
30/3-4	7	2907.900000	2928.800000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2582
30/3-4	8	2930.000000	2937.300000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2583
30/3-4	9	2938.000000	2952.500000	[m   ]	178.100000	12	YES	460	9999-12-31	2013-05-08	2584
30/3-5 S	1	4060.000000	4066.000000	[m   ]	162.300000	5	YES	1950	9999-12-31	2013-05-08	2585
30/3-5 S	2	4076.000000	4107.700000	[m   ]	162.300000	5	YES	1950	9999-12-31	2013-05-08	2586
30/3-5 S	3	4108.000000	4160.800000	[m   ]	162.300000	5	YES	1950	9999-12-31	2013-05-08	2587
30/3-5 S	4	4168.000000	4213.100000	[m   ]	162.300000	5	YES	1950	9999-12-31	2013-05-08	2588
30/3-5 S	5	4429.000000	4445.600000	[m   ]	162.300000	5	YES	1950	9999-12-31	2013-05-08	2589
30/3-6 S	1	5241.000000	5265.500000	[m   ]	122.300000	7	YES	2269	9999-12-31	2013-05-08	2590
30/3-6 S	2	5294.000000	5313.700000	[m   ]	122.300000	7	YES	2269	9999-12-31	2013-05-08	2591
30/3-6 S	3	5315.000000	5323.000000	[m   ]	122.300000	7	YES	2269	9999-12-31	2013-05-08	2592
30/3-6 S	4	5328.000000	5340.800000	[m   ]	122.300000	7	YES	2269	9999-12-31	2013-05-08	2593
30/3-6 S	5	5341.000000	5356.400000	[m   ]	122.300000	7	YES	2269	9999-12-31	2013-05-08	2594
30/3-6 S	6	5359.000000	5386.100000	[m   ]	122.300000	7	YES	2269	9999-12-31	2013-05-08	2595
30/3-6 S	7	5451.000000	5478.600000	[m   ]	122.300000	7	YES	2269	9999-12-31	2013-05-08	2596
30/3-7 A	1	5909.000000	5922.400000	[m   ]	13.400000	1	YES	3176	9999-12-31	2013-05-08	2597
30/3-7 B	1	4346.000000	4353.200000	[m   ]	37.000000	3	YES	3229	9999-12-31	2013-05-08	2598
30/3-7 B	2	4354.000000	4358.500000	[m   ]	37.000000	3	YES	3229	9999-12-31	2013-05-08	2599
30/3-7 B	3	5715.000000	5740.200000	[m   ]	37.000000	3	YES	3229	9999-12-31	2013-05-08	2600
30/3-7 S	1	4678.000000	4689.800000	[m   ]	93.000000	9	YES	2632	9999-12-31	2013-05-08	2601
30/3-7 S	2	4691.000000	4709.300000	[m   ]	93.000000	9	YES	2632	9999-12-31	2013-05-08	2602
30/3-7 S	3	4709.500000	4719.000000	[m   ]	93.000000	9	YES	2632	9999-12-31	2013-05-08	2603
30/3-7 S	4	4719.500000	4734.100000	[m   ]	93.000000	9	YES	2632	9999-12-31	2013-05-08	2604
30/3-7 S	5	4735.000000	4740.300000	[m   ]	93.000000	9	YES	2632	9999-12-31	2013-05-08	2605
30/3-7 S	6	4742.000000	4754.500000	[m   ]	93.000000	9	YES	2632	9999-12-31	2013-05-08	2606
30/3-7 S	7	4754.500000	4758.400000	[m   ]	93.000000	9	YES	2632	9999-12-31	2013-05-08	2607
30/3-7 S	8	4760.000000	4770.700000	[m   ]	93.000000	9	YES	2632	9999-12-31	2013-05-08	2608
30/3-7 S	9	4865.000000	4871.400000	[m   ]	93.000000	9	YES	2632	9999-12-31	2013-05-08	2609
30/3-9	1	3899.000000	3900.000000	[m   ]	0.600000	1	YES	4053	9999-12-31	2013-05-08	2610
30/3-A-1	1	2821.000000	2837.200000	[m   ]	183.300000	5	YES	1080	9999-12-31	2013-05-08	2611
30/3-A-1	2	2837.000000	2864.500000	[m   ]	183.300000	5	YES	1080	9999-12-31	2013-05-08	2612
30/3-A-1	3	2864.500000	2919.400000	[m   ]	183.300000	5	YES	1080	9999-12-31	2013-05-08	2613
30/3-A-1	4	2919.600000	2959.100000	[m   ]	183.300000	5	YES	1080	9999-12-31	2013-05-08	2614
30/3-A-1	5	3058.000000	3112.800000	[m   ]	183.300000	5	YES	1080	9999-12-31	2013-05-08	2615
30/3-A-10	1	3771.000000	3821.100000	[m   ]	177.500000	4	YES	1700	9999-12-31	2013-05-08	2616
30/3-A-10	2	3821.000000	3874.800000	[m   ]	177.500000	4	YES	1700	9999-12-31	2013-05-08	2617
30/3-A-10	3	3875.000000	3922.200000	[m   ]	177.500000	4	YES	1700	9999-12-31	2013-05-08	2618
30/3-A-10	4	4015.000000	4042.500000	[m   ]	177.500000	4	YES	1700	9999-12-31	2013-05-08	2619
30/3-A-11	1	3077.000000	3130.000000	[m   ]	175.800000	4	YES	1760	9999-12-31	2013-05-08	2620
30/3-A-11	2	3131.000000	3185.800000	[m   ]	175.800000	4	YES	1760	9999-12-31	2013-05-08	2621
30/3-A-11	3	3186.000000	3209.000000	[m   ]	175.800000	4	YES	1760	9999-12-31	2013-05-08	2622
30/3-A-11	4	3338.000000	3383.000000	[m   ]	175.800000	4	YES	1760	9999-12-31	2013-05-08	2623
30/3-A-12	1	4261.000000	4288.000000	[m   ]	54.600000	2	YES	1765	9999-12-31	2013-05-08	2624
30/3-A-12	2	4477.000000	4504.600000	[m   ]	54.600000	2	YES	1765	9999-12-31	2013-05-08	2625
30/3-A-13	1	4867.000000	4886.700000	[m   ]	19.700000	1	YES	1925	9999-12-31	2013-05-08	2626
30/3-A-15	1	4148.000000	4176.900000	[m   ]	147.500000	4	YES	1984	9999-12-31	2013-05-08	2627
30/3-A-15	2	4177.000000	4231.000000	[m   ]	147.500000	4	YES	1984	9999-12-31	2013-05-08	2628
30/3-A-15	3	4231.000000	4260.900000	[m   ]	147.500000	4	YES	1984	9999-12-31	2013-05-08	2629
30/3-A-15	4	4400.000000	4434.800000	[m   ]	147.500000	4	YES	1984	9999-12-31	2013-05-08	2630
30/3-A-16	1	4485.500000	4507.000000	[m   ]	41.300000	2	YES	2090	9999-12-31	2013-05-08	2631
30/3-A-16	2	4509.500000	4528.000000	[m   ]	41.300000	2	YES	2090	9999-12-31	2013-05-08	2632
30/3-A-17	1	4023.000000	4049.300000	[m   ]	26.300000	1	YES	2110	9999-12-31	2013-05-08	2633
30/3-A-19	1	2981.000000	3007.300000	[m   ]	53.300000	2	YES	2221	9999-12-31	2013-05-08	2634
30/3-A-19	2	3260.000000	3287.000000	[m   ]	53.300000	2	YES	2221	9999-12-31	2013-05-08	2635
30/3-A-2	1	3492.500000	3510.100000	[m   ]	124.600000	4	YES	1175	9999-12-31	2013-05-08	2636
30/3-A-2	2	3519.000000	3549.000000	[m   ]	124.600000	4	YES	1175	9999-12-31	2013-05-08	2637
30/3-A-2	3	3549.000000	3604.000000	[m   ]	124.600000	4	YES	1175	9999-12-31	2013-05-08	2638
30/3-A-2	4	3746.000000	3768.000000	[m   ]	124.600000	4	YES	1175	9999-12-31	2013-05-08	2639
30/3-A-20 A	1	4380.000000	4432.900000	[m   ]	52.900000	1	YES	4124	9999-12-31	2013-05-08	2640
30/3-A-24	1	3772.000000	3800.000000	[m   ]	104.600000	3	YES	2889	9999-12-31	2013-05-08	2641
30/3-A-24	2	3800.000000	3826.600000	[m   ]	104.600000	3	YES	2889	9999-12-31	2013-05-08	2642
30/3-A-24	3	3973.000000	4023.000000	[m   ]	104.600000	3	YES	2889	9999-12-31	2013-05-08	2643
30/3-A-3	1	3225.000000	3253.000000	[m   ]	194.500000	8	YES	1209	9999-12-31	2013-05-08	2644
30/3-A-3	2	3253.000000	3280.700000	[m   ]	194.500000	8	YES	1209	9999-12-31	2013-05-08	2645
30/3-A-3	3	3281.000000	3307.700000	[m   ]	194.500000	8	YES	1209	9999-12-31	2013-05-08	2646
30/3-A-3	4	3309.000000	3336.900000	[m   ]	194.500000	8	YES	1209	9999-12-31	2013-05-08	2647
30/3-A-3	5	3640.000000	3690.400000	[m   ]	194.500000	8	YES	1209	9999-12-31	2013-05-08	2648
30/3-A-3	6	3692.200000	3711.800000	[m   ]	194.500000	8	YES	1209	9999-12-31	2013-05-08	2649
30/3-A-3	7	3712.000000	3717.500000	[m   ]	194.500000	8	YES	1209	9999-12-31	2013-05-08	2650
30/3-A-3	8	3719.000000	3727.800000	[m   ]	194.500000	8	YES	1209	9999-12-31	2013-05-08	2651
30/3-A-4	1	3166.000000	3179.500000	[m   ]	105.300000	4	YES	1234	9999-12-31	2013-05-08	2652
30/3-A-4	2	3180.000000	3208.300000	[m   ]	105.300000	4	YES	1234	9999-12-31	2013-05-08	2653
30/3-A-4	3	3247.000000	3274.500000	[m   ]	105.300000	4	YES	1234	9999-12-31	2013-05-08	2654
30/3-A-4	4	3395.000000	3450.500000	[m   ]	105.300000	4	YES	1234	9999-12-31	2013-05-08	2655
30/3-A-5	1	3726.000000	3736.000000	[m   ]	111.700000	4	YES	1307	9999-12-31	2013-05-08	2656
30/3-A-5	2	3738.000000	3784.000000	[m   ]	111.700000	4	YES	1307	9999-12-31	2013-05-08	2657
30/3-A-5	3	4047.500000	4075.300000	[m   ]	111.700000	4	YES	1307	9999-12-31	2013-05-08	2658
30/3-A-5	4	4243.000000	4270.900000	[m   ]	111.700000	4	YES	1307	9999-12-31	2013-05-08	2659
30/3-A-6	1	3883.000000	3933.200000	[m   ]	134.200000	3	YES	1347	9999-12-31	2013-05-08	2660
30/3-A-6	2	3933.000000	3988.800000	[m   ]	134.200000	3	YES	1347	9999-12-31	2013-05-08	2661
30/3-A-6	3	4174.000000	4202.000000	[m   ]	134.200000	3	YES	1347	9999-12-31	2013-05-08	2662
30/3-A-6 A	1	4747.000000	4748.800000	[m   ]	7.500000	2	YES	2447	9999-12-31	2013-05-08	2663
30/3-A-6 A	2	4753.000000	4758.800000	[m   ]	7.500000	2	YES	2447	9999-12-31	2013-05-08	2664
30/3-A-7	1	3336.000000	3390.200000	[m   ]	107.100000	2	YES	1542	9999-12-31	2013-05-08	2665
30/3-A-7	2	3559.000000	3611.900000	[m   ]	107.100000	2	YES	1542	9999-12-31	2013-05-08	2666
30/3-A-7 A	1	4490.200000	4526.200000	[m   ]	36.000000	1	YES	2724	9999-12-31	2013-05-08	2667
30/3-A-8	1	5518.000000	5536.400000	[m   ]	18.400000	1	YES	1614	9999-12-31	2013-05-08	2668
30/3-A-9	1	4890.000000	4905.900000	[m   ]	65.200000	4	YES	1684	9999-12-31	2013-05-08	2669
30/3-A-9	2	4906.000000	4924.800000	[m   ]	65.200000	4	YES	1684	9999-12-31	2013-05-08	2670
30/3-A-9	3	4927.500000	4940.000000	[m   ]	65.200000	4	YES	1684	9999-12-31	2013-05-08	2671
30/3-A-9	4	4940.000000	4958.100000	[m   ]	65.200000	4	YES	1684	9999-12-31	2013-05-08	2672
30/4-2	1	\N	0.000000	\N	122.100000	13	YES	378	9999-12-31	2013-05-08	2673
30/4-2	10	3871.500000	3873.000000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2674
30/4-2	11	3873.000000	3891.400000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2675
30/4-2	12	3891.400000	3909.700000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2676
30/4-2	13	4239.500000	4257.800000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2677
30/4-2	2	2043.000000	2047.400000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2678
30/4-2	3	3784.000000	3784.900000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2679
30/4-2	4	3788.800000	3805.400000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2680
30/4-2	5	3805.400000	3822.300000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2681
30/4-2	6	3823.500000	3829.900000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2682
30/4-2	7	3829.900000	3834.700000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2683
30/4-2	8	3834.700000	3852.800000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2684
30/4-2	9	3853.100000	3871.300000	[m   ]	122.100000	13	YES	378	9999-12-31	2013-05-08	2685
30/4-D-1 H	1	1769.000000	1777.300000	[m   ]	116.100000	6	YES	6228	9999-12-31	2013-05-08	2686
30/4-D-1 H	2	1778.000000	1788.800000	[m   ]	116.100000	6	YES	6228	9999-12-31	2013-05-08	2687
30/4-D-1 H	3	1796.000000	3909.400000	[m   ]	116.100000	6	YES	6228	9999-12-31	2013-05-08	2688
30/4-D-1 H	4	3886.000000	3909.400000	[m   ]	116.100000	6	YES	6228	9999-12-31	2013-05-08	2689
30/4-D-1 H	5	3909.400000	3952.000000	[m   ]	116.100000	6	YES	6228	9999-12-31	2013-05-08	2690
30/4-D-1 H	6	3952.000000	3961.600000	[m   ]	116.100000	6	YES	6228	9999-12-31	2013-05-08	2691
30/5-1	1	4114.800000	4116.800000	[m   ]	2.000000	1	YES	379	9999-12-31	2013-05-08	2692
30/5-2	1	3531.000000	3558.300000	[m   ]	100.900000	3	YES	2886	9999-12-31	2013-05-08	2693
30/5-2	2	3558.500000	3595.400000	[m   ]	100.900000	3	YES	2886	9999-12-31	2013-05-08	2694
30/5-2	3	3595.500000	3632.400000	[m   ]	100.900000	3	YES	2886	9999-12-31	2013-05-08	2695
30/5-3 S	1	3456.500000	3483.800000	[m   ]	83.600000	3	YES	6043	9999-12-31	2013-05-08	2696
30/5-3 S	2	3483.800000	3511.400000	[m   ]	83.600000	3	YES	6043	9999-12-31	2013-05-08	2697
30/5-3 S	3	4139.000000	4167.700000	[m   ]	83.600000	3	YES	6043	9999-12-31	2013-05-08	2698
30/6-1	1	2333.000000	2338.800000	[m   ]	39.500000	6	YES	380	9999-12-31	2013-05-08	2699
30/6-1	2	2339.500000	2345.200000	[m   ]	39.500000	6	YES	380	9999-12-31	2013-05-08	2700
30/6-1	3	2345.500000	2356.400000	[m   ]	39.500000	6	YES	380	9999-12-31	2013-05-08	2701
30/6-1	4	2356.700000	2365.600000	[m   ]	39.500000	6	YES	380	9999-12-31	2013-05-08	2702
30/6-1	5	2365.600000	2373.900000	[m   ]	39.500000	6	YES	380	9999-12-31	2013-05-08	2703
30/6-1	6	2722.000000	2731.700000	[m   ]	39.500000	6	YES	380	9999-12-31	2013-05-08	2704
30/6-10	1	2461.000000	2475.000000	[m   ]	119.300000	11	YES	92	9999-12-31	2013-05-08	2705
30/6-10	10	2554.500000	2557.500000	[m   ]	119.300000	11	YES	92	9999-12-31	2013-05-08	2706
30/6-10	11	2572.500000	2590.500000	[m   ]	119.300000	11	YES	92	9999-12-31	2013-05-08	2707
30/6-10	2	2475.000000	2488.100000	[m   ]	119.300000	11	YES	92	9999-12-31	2013-05-08	2708
30/6-10	3	2493.000000	2502.000000	[m   ]	119.300000	11	YES	92	9999-12-31	2013-05-08	2709
30/6-10	4	2503.000000	2509.500000	[m   ]	119.300000	11	YES	92	9999-12-31	2013-05-08	2710
30/6-10	5	2510.000000	2517.200000	[m   ]	119.300000	11	YES	92	9999-12-31	2013-05-08	2711
30/6-10	6	2517.200000	2528.400000	[m   ]	119.300000	11	YES	92	9999-12-31	2013-05-08	2712
30/6-10	7	2530.000000	2548.000000	[m   ]	119.300000	11	YES	92	9999-12-31	2013-05-08	2713
30/6-10	8	2548.000000	2551.000000	[m   ]	119.300000	11	YES	92	9999-12-31	2013-05-08	2714
30/6-10	9	2553.000000	2554.400000	[m   ]	119.300000	11	YES	92	9999-12-31	2013-05-08	2715
30/6-10 A	1	2467.000000	2475.700000	[m   ]	114.900000	10	YES	56	9999-12-31	2013-05-08	2716
30/6-10 A	10	2602.600000	2606.600000	[m   ]	114.900000	10	YES	56	9999-12-31	2013-05-08	2717
30/6-10 A	2	2477.500000	2495.600000	[m   ]	114.900000	10	YES	56	9999-12-31	2013-05-08	2718
30/6-10 A	3	2496.000000	2512.800000	[m   ]	114.900000	10	YES	56	9999-12-31	2013-05-08	2719
30/6-10 A	4	2515.000000	2519.700000	[m   ]	114.900000	10	YES	56	9999-12-31	2013-05-08	2720
30/6-10 A	5	2520.000000	2535.900000	[m   ]	114.900000	10	YES	56	9999-12-31	2013-05-08	2721
30/6-10 A	6	2537.000000	2546.000000	[m   ]	114.900000	10	YES	56	9999-12-31	2013-05-08	2722
30/6-10 A	7	2546.000000	2561.200000	[m   ]	114.900000	10	YES	56	9999-12-31	2013-05-08	2723
30/6-10 A	8	2563.700000	2573.200000	[m   ]	114.900000	10	YES	56	9999-12-31	2013-05-08	2724
30/6-10 A	9	2574.500000	2587.900000	[m   ]	114.900000	10	YES	56	9999-12-31	2013-05-08	2725
30/6-11	1	3265.000000	3266.800000	[m   ]	65.300000	7	YES	58	9999-12-31	2013-05-08	2726
30/6-11	2	3452.000000	3460.000000	[m   ]	65.300000	7	YES	58	9999-12-31	2013-05-08	2727
30/6-11	3	3461.000000	3465.900000	[m   ]	65.300000	7	YES	58	9999-12-31	2013-05-08	2728
30/6-11	4	3468.500000	3484.500000	[m   ]	65.300000	7	YES	58	9999-12-31	2013-05-08	2729
30/6-11	5	3484.500000	3501.700000	[m   ]	65.300000	7	YES	58	9999-12-31	2013-05-08	2730
30/6-11	6	3502.500000	3508.000000	[m   ]	65.300000	7	YES	58	9999-12-31	2013-05-08	2731
30/6-11	7	3756.000000	3768.000000	[m   ]	65.300000	7	YES	58	9999-12-31	2013-05-08	2732
30/6-13	1	2584.000000	2599.600000	[m   ]	62.900000	9	YES	7	9999-12-31	2013-05-08	2733
30/6-13	2	2599.900000	2616.400000	[m   ]	62.900000	9	YES	7	9999-12-31	2013-05-08	2734
30/6-13	3	2616.500000	2619.700000	[m   ]	62.900000	9	YES	7	9999-12-31	2013-05-08	2735
30/6-13	4	2623.000000	2629.100000	[m   ]	62.900000	9	YES	7	9999-12-31	2013-05-08	2736
30/6-13	5	\N	0.000000	\N	62.900000	9	YES	7	9999-12-31	2013-05-08	2737
30/6-13	6	2642.000000	2645.700000	[m   ]	62.900000	9	YES	7	9999-12-31	2013-05-08	2738
30/6-13	7	2646.000000	2654.900000	[m   ]	62.900000	9	YES	7	9999-12-31	2013-05-08	2739
30/6-13	8	2654.000000	2669.600000	[m   ]	62.900000	9	YES	7	9999-12-31	2013-05-08	2740
30/6-13	9	2669.000000	2672.300000	[m   ]	62.900000	9	YES	7	9999-12-31	2013-05-08	2741
30/6-14	1	2566.100000	2567.600000	[m   ]	28.200000	3	YES	53	9999-12-31	2013-05-08	2742
30/6-14	2	2608.000000	2621.200000	[m   ]	28.200000	3	YES	53	9999-12-31	2013-05-08	2743
30/6-14	3	2785.000000	2798.500000	[m   ]	28.200000	3	YES	53	9999-12-31	2013-05-08	2744
30/6-15	1	3254.000000	3272.100000	[m   ]	136.700000	8	YES	110	9999-12-31	2013-05-08	2745
30/6-15	2	3272.000000	3291.500000	[m   ]	136.700000	8	YES	110	9999-12-31	2013-05-08	2746
30/6-15	3	3294.000000	3321.000000	[m   ]	136.700000	8	YES	110	9999-12-31	2013-05-08	2747
30/6-15	4	3321.000000	3348.000000	[m   ]	136.700000	8	YES	110	9999-12-31	2013-05-08	2748
30/6-15	5	3349.000000	3363.600000	[m   ]	136.700000	8	YES	110	9999-12-31	2013-05-08	2749
30/6-15	6	3365.000000	3376.000000	[m   ]	136.700000	8	YES	110	9999-12-31	2013-05-08	2750
30/6-15	7	3377.000000	3388.100000	[m   ]	136.700000	8	YES	110	9999-12-31	2013-05-08	2751
30/6-15	8	3390.000000	3398.500000	[m   ]	136.700000	8	YES	110	9999-12-31	2013-05-08	2752
30/6-16	1	2856.000000	2866.000000	[m   ]	81.800000	7	YES	333	9999-12-31	2013-05-08	2753
30/6-16	2	2866.000000	2877.200000	[m   ]	81.800000	7	YES	333	9999-12-31	2013-05-08	2754
30/6-16	3	2878.500000	2889.900000	[m   ]	81.800000	7	YES	333	9999-12-31	2013-05-08	2755
30/6-16	4	2890.000000	2906.000000	[m   ]	81.800000	7	YES	333	9999-12-31	2013-05-08	2756
30/6-16	5	2923.000000	2937.400000	[m   ]	81.800000	7	YES	333	9999-12-31	2013-05-08	2757
30/6-16	6	2937.400000	2948.400000	[m   ]	81.800000	7	YES	333	9999-12-31	2013-05-08	2758
30/6-16	7	2982.000000	2989.900000	[m   ]	81.800000	7	YES	333	9999-12-31	2013-05-08	2759
30/6-17 A	1	2420.000000	2427.200000	[m   ]	81.800000	7	YES	894	9999-12-31	2013-05-08	2760
30/6-17 A	2	2466.000000	2493.800000	[m   ]	81.800000	7	YES	894	9999-12-31	2013-05-08	2761
30/6-17 A	3	2493.900000	2494.000000	[m   ]	81.800000	7	YES	894	9999-12-31	2013-05-08	2762
30/6-17 A	4	2501.000000	2511.000000	[m   ]	81.800000	7	YES	894	9999-12-31	2013-05-08	2763
30/6-17 A	5	2636.000000	2647.700000	[m   ]	81.800000	7	YES	894	9999-12-31	2013-05-08	2764
30/6-17 A	6	2649.000000	2650.500000	[m   ]	81.800000	7	YES	894	9999-12-31	2013-05-08	2765
30/6-17 A	7	2651.000000	2674.300000	[m   ]	81.800000	7	YES	894	9999-12-31	2013-05-08	2766
30/6-17 R	1	2324.000000	2342.200000	[m   ]	89.500000	6	YES	849	9999-12-31	2013-05-08	2767
30/6-17 R	2	2411.000000	2417.000000	[m   ]	89.500000	6	YES	849	9999-12-31	2013-05-08	2768
30/6-17 R	3	2423.000000	2443.900000	[m   ]	89.500000	6	YES	849	9999-12-31	2013-05-08	2769
30/6-17 R	4	2444.000000	2445.400000	[m   ]	89.500000	6	YES	849	9999-12-31	2013-05-08	2770
30/6-17 R	5	2570.000000	2588.300000	[m   ]	89.500000	6	YES	849	9999-12-31	2013-05-08	2771
30/6-17 R	6	2588.300000	2612.600000	[m   ]	89.500000	6	YES	849	9999-12-31	2013-05-08	2772
30/6-18	1	3126.000000	3128.500000	[m   ]	74.500000	8	YES	488	9999-12-31	2013-05-08	2773
30/6-18	2	3139.000000	3146.200000	[m   ]	74.500000	8	YES	488	9999-12-31	2013-05-08	2774
30/6-18	3	3146.200000	3148.000000	[m   ]	74.500000	8	YES	488	9999-12-31	2013-05-08	2775
30/6-18	4	3148.000000	3166.600000	[m   ]	74.500000	8	YES	488	9999-12-31	2013-05-08	2776
30/6-18	5	3166.600000	3184.000000	[m   ]	74.500000	8	YES	488	9999-12-31	2013-05-08	2777
30/6-18	6	3184.000000	3187.600000	[m   ]	74.500000	8	YES	488	9999-12-31	2013-05-08	2778
30/6-18	7	3192.000000	3210.300000	[m   ]	74.500000	8	YES	488	9999-12-31	2013-05-08	2779
30/6-18	8	3210.300000	3215.000000	[m   ]	74.500000	8	YES	488	9999-12-31	2013-05-08	2780
30/6-19	1	2858.000000	2886.000000	[m   ]	93.700000	4	YES	489	9999-12-31	2013-05-08	2781
30/6-19	2	2886.000000	2913.700000	[m   ]	93.700000	4	YES	489	9999-12-31	2013-05-08	2782
30/6-19	3	2914.000000	2942.000000	[m   ]	93.700000	4	YES	489	9999-12-31	2013-05-08	2783
30/6-19	4	2942.000000	2954.000000	[m   ]	93.700000	4	YES	489	9999-12-31	2013-05-08	2784
30/6-2	1	2202.000000	2205.200000	[m   ]	51.200000	7	YES	381	9999-12-31	2013-05-08	2785
30/6-2	2	2205.500000	2209.300000	[m   ]	51.200000	7	YES	381	9999-12-31	2013-05-08	2786
30/6-2	3	2210.000000	2227.500000	[m   ]	51.200000	7	YES	381	9999-12-31	2013-05-08	2787
30/6-2	4	2227.500000	2237.800000	[m   ]	51.200000	7	YES	381	9999-12-31	2013-05-08	2788
30/6-2	5	2435.000000	2437.500000	[m   ]	51.200000	7	YES	381	9999-12-31	2013-05-08	2789
30/6-2	6	2444.500000	2452.300000	[m   ]	51.200000	7	YES	381	9999-12-31	2013-05-08	2790
30/6-2	7	2571.000000	2577.200000	[m   ]	51.200000	7	YES	381	9999-12-31	2013-05-08	2791
30/6-21	1	2563.000000	2580.300000	[m   ]	104.600000	4	YES	1037	9999-12-31	2013-05-08	2792
30/6-21	2	2581.000000	2596.700000	[m   ]	104.600000	4	YES	1037	9999-12-31	2013-05-08	2793
30/6-21	3	2597.000000	2651.900000	[m   ]	104.600000	4	YES	1037	9999-12-31	2013-05-08	2794
30/6-21	4	2652.000000	2668.700000	[m   ]	104.600000	4	YES	1037	9999-12-31	2013-05-08	2795
30/6-22	1	2854.000000	2881.600000	[m   ]	178.200000	6	YES	1225	9999-12-31	2013-05-08	2796
30/6-22	2	2881.600000	2905.500000	[m   ]	178.200000	6	YES	1225	9999-12-31	2013-05-08	2797
30/6-22	3	2906.000000	2921.500000	[m   ]	178.200000	6	YES	1225	9999-12-31	2013-05-08	2798
30/6-22	4	2921.600000	2958.400000	[m   ]	178.200000	6	YES	1225	9999-12-31	2013-05-08	2799
30/6-22	5	2958.500000	3009.900000	[m   ]	178.200000	6	YES	1225	9999-12-31	2013-05-08	2800
30/6-22	6	3122.500000	3150.300000	[m   ]	178.200000	6	YES	1225	9999-12-31	2013-05-08	2801
30/6-23	1	2787.000000	2813.700000	[m   ]	138.000000	6	YES	1545	9999-12-31	2013-05-08	2802
30/6-23	2	2814.000000	2821.500000	[m   ]	138.000000	6	YES	1545	9999-12-31	2013-05-08	2803
30/6-23	3	2822.300000	2850.000000	[m   ]	138.000000	6	YES	1545	9999-12-31	2013-05-08	2804
30/6-23	4	2850.000000	2868.500000	[m   ]	138.000000	6	YES	1545	9999-12-31	2013-05-08	2805
30/6-23	5	2869.000000	2902.000000	[m   ]	138.000000	6	YES	1545	9999-12-31	2013-05-08	2806
30/6-23	6	3018.000000	3045.000000	[m   ]	138.000000	6	YES	1545	9999-12-31	2013-05-08	2807
30/6-24 S	1	3682.000000	3692.000000	[m   ]	30.000000	2	YES	1855	9999-12-31	2013-05-08	2808
30/6-24 S	2	3696.500000	3712.000000	[m   ]	30.000000	2	YES	1855	9999-12-31	2013-05-08	2809
30/6-26	1	2690.000000	2717.700000	[m   ]	27.700000	1	YES	4416	9999-12-31	2013-05-08	2810
30/6-27	1	3162.000000	3188.900000	[m   ]	26.900000	1	YES	4425	9999-12-31	2013-05-08	2811
30/6-3	1	2421.000000	2430.700000	[m   ]	33.600000	4	YES	382	9999-12-31	2013-05-08	2812
30/6-3	2	2431.000000	2437.500000	[m   ]	33.600000	4	YES	382	9999-12-31	2013-05-08	2813
30/6-3	3	2438.500000	2444.000000	[m   ]	33.600000	4	YES	382	9999-12-31	2013-05-08	2814
30/6-3	4	2444.100000	2456.000000	[m   ]	33.600000	4	YES	382	9999-12-31	2013-05-08	2815
30/6-4	1	2638.000000	2643.600000	[m   ]	41.800000	4	YES	383	9999-12-31	2013-05-08	2816
30/6-4	2	2654.000000	2672.600000	[m   ]	41.800000	4	YES	383	9999-12-31	2013-05-08	2817
30/6-4	3	2672.000000	2682.400000	[m   ]	41.800000	4	YES	383	9999-12-31	2013-05-08	2818
30/6-4	4	2685.500000	2692.700000	[m   ]	41.800000	4	YES	383	9999-12-31	2013-05-08	2819
30/6-5	1	2843.500000	2848.200000	[m   ]	87.700000	8	YES	118	9999-12-31	2013-05-08	2820
30/6-5	2	2848.300000	2853.100000	[m   ]	87.700000	8	YES	118	9999-12-31	2013-05-08	2821
30/6-5	3	2871.500000	2874.400000	[m   ]	87.700000	8	YES	118	9999-12-31	2013-05-08	2822
30/6-5	4	2874.500000	2893.800000	[m   ]	87.700000	8	YES	118	9999-12-31	2013-05-08	2823
30/6-5	5	2893.700000	2909.100000	[m   ]	87.700000	8	YES	118	9999-12-31	2013-05-08	2824
30/6-5	6	2909.000000	2919.600000	[m   ]	87.700000	8	YES	118	9999-12-31	2013-05-08	2825
30/6-5	7	2919.500000	2938.900000	[m   ]	87.700000	8	YES	118	9999-12-31	2013-05-08	2826
30/6-5	8	2938.700000	2949.500000	[m   ]	87.700000	8	YES	118	9999-12-31	2013-05-08	2827
30/6-6	1	2921.000000	2933.000000	[m   ]	34.900000	3	YES	39	9999-12-31	2013-05-08	2828
30/6-6	2	2936.500000	2954.000000	[m   ]	34.900000	3	YES	39	9999-12-31	2013-05-08	2829
30/6-6	3	2963.600000	2969.000000	[m   ]	34.900000	3	YES	39	9999-12-31	2013-05-08	2830
30/6-7	1	2648.000000	2666.100000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2831
30/6-7	10	2762.000000	2778.800000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2832
30/6-7	11	2780.000000	2793.900000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2833
30/6-7	12	2793.900000	2812.400000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2834
30/6-7	2	2666.100000	2675.000000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2835
30/6-7	3	2679.500000	2692.200000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2836
30/6-7	4	2692.200000	2693.700000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2837
30/6-7	5	2694.000000	2705.000000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2838
30/6-7	6	2707.000000	2719.400000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2839
30/6-7	7	2720.000000	2733.100000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2840
30/6-7	8	2733.100000	2750.000000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2841
30/6-7	9	2751.000000	2761.400000	[m   ]	154.300000	12	YES	73	9999-12-31	2013-05-08	2842
30/6-8	1	2768.000000	2784.600000	[m   ]	63.800000	4	YES	77	9999-12-31	2013-05-08	2843
30/6-8	2	3033.000000	3050.900000	[m   ]	63.800000	4	YES	77	9999-12-31	2013-05-08	2844
30/6-8	3	3051.100000	3067.700000	[m   ]	63.800000	4	YES	77	9999-12-31	2013-05-08	2845
30/6-8	4	3156.000000	3168.700000	[m   ]	63.800000	4	YES	77	9999-12-31	2013-05-08	2846
30/6-9	1	2462.000000	2480.000000	[m   ]	160.800000	10	YES	83	9999-12-31	2013-05-08	2847
30/6-9	10	2607.000000	2624.200000	[m   ]	160.800000	10	YES	83	9999-12-31	2013-05-08	2848
30/6-9	2	2480.000000	2498.500000	[m   ]	160.800000	10	YES	83	9999-12-31	2013-05-08	2849
30/6-9	3	2498.500000	2516.000000	[m   ]	160.800000	10	YES	83	9999-12-31	2013-05-08	2850
30/6-9	4	2516.500000	2532.800000	[m   ]	160.800000	10	YES	83	9999-12-31	2013-05-08	2851
30/6-9	5	2533.000000	2534.000000	[m   ]	160.800000	10	YES	83	9999-12-31	2013-05-08	2852
30/6-9	6	2535.000000	2552.800000	[m   ]	160.800000	10	YES	83	9999-12-31	2013-05-08	2853
30/6-9	7	2553.000000	2571.000000	[m   ]	160.800000	10	YES	83	9999-12-31	2013-05-08	2854
30/6-9	8	2571.000000	2589.000000	[m   ]	160.800000	10	YES	83	9999-12-31	2013-05-08	2855
30/6-9	9	2589.000000	2607.000000	[m   ]	160.800000	10	YES	83	9999-12-31	2013-05-08	2856
30/6-C-10	1	3037.000000	3061.300000	[m   ]	131.100000	7	YES	1362	9999-12-31	2013-05-08	2857
30/6-C-10	2	3063.000000	3074.200000	[m   ]	131.100000	7	YES	1362	9999-12-31	2013-05-08	2858
30/6-C-10	3	3075.100000	3090.000000	[m   ]	131.100000	7	YES	1362	9999-12-31	2013-05-08	2859
30/6-C-10	4	3091.000000	3092.300000	[m   ]	131.100000	7	YES	1362	9999-12-31	2013-05-08	2860
30/6-C-10	5	3140.000000	3144.500000	[m   ]	131.100000	7	YES	1362	9999-12-31	2013-05-08	2861
30/6-C-10	6	3146.000000	3168.000000	[m   ]	131.100000	7	YES	1362	9999-12-31	2013-05-08	2862
30/6-C-10	7	3168.000000	3220.000000	[m   ]	131.100000	7	YES	1362	9999-12-31	2013-05-08	2863
30/6-C-11	1	2613.000000	2637.600000	[m   ]	58.100000	2	YES	1341	9999-12-31	2013-05-08	2864
30/6-C-11	2	2645.000000	2678.500000	[m   ]	58.100000	2	YES	1341	9999-12-31	2013-05-08	2865
30/6-C-12	1	3792.500000	3829.000000	[m   ]	116.900000	4	YES	1374	9999-12-31	2013-05-08	2866
30/6-C-12	2	3829.000000	3843.500000	[m   ]	116.900000	4	YES	1374	9999-12-31	2013-05-08	2867
30/6-C-12	3	3928.000000	3944.700000	[m   ]	116.900000	4	YES	1374	9999-12-31	2013-05-08	2868
30/6-C-12	4	3954.500000	3993.700000	[m   ]	116.900000	4	YES	1374	9999-12-31	2013-05-08	2869
30/6-C-14	1	3421.600000	3434.900000	[m   ]	69.000000	3	YES	1912	9999-12-31	2013-05-08	2870
30/6-C-14	2	3435.000000	3467.700000	[m   ]	69.000000	3	YES	1912	9999-12-31	2013-05-08	2871
30/6-C-14	3	3468.100000	3491.000000	[m   ]	69.000000	3	YES	1912	9999-12-31	2013-05-08	2872
30/6-C-15	1	3277.000000	3289.700000	[m   ]	64.500000	3	YES	2012	9999-12-31	2013-05-08	2873
30/6-C-15	2	3290.000000	3326.500000	[m   ]	64.500000	3	YES	2012	9999-12-31	2013-05-08	2874
30/6-C-15	3	3326.600000	3341.000000	[m   ]	64.500000	3	YES	2012	9999-12-31	2013-05-08	2875
30/6-C-27 H	1	2646.000000	2673.700000	[m   ]	152.600000	5	YES	1755	9999-12-31	2013-05-08	2876
30/6-C-27 H	2	2674.000000	2701.000000	[m   ]	152.600000	5	YES	1755	9999-12-31	2013-05-08	2877
30/6-C-27 H	3	2701.000000	2755.500000	[m   ]	152.600000	5	YES	1755	9999-12-31	2013-05-08	2878
30/6-C-27 H	4	2756.000000	2773.600000	[m   ]	152.600000	5	YES	1755	9999-12-31	2013-05-08	2879
30/6-C-27 H	5	2822.000000	2847.800000	[m   ]	152.600000	5	YES	1755	9999-12-31	2013-05-08	2880
30/6-C-4	1	5245.000000	5281.200000	[m   ]	91.000000	2	YES	2045	9999-12-31	2013-05-08	2881
30/6-C-4	2	5281.000000	5335.700000	[m   ]	91.000000	2	YES	2045	9999-12-31	2013-05-08	2882
30/6-C-5	1	3879.000000	3884.000000	[m   ]	41.400000	6	YES	1481	9999-12-31	2013-05-08	2883
30/6-C-5	2	3884.000000	3884.900000	[m   ]	41.400000	6	YES	1481	9999-12-31	2013-05-08	2884
30/6-C-5	3	3888.000000	3892.200000	[m   ]	41.400000	6	YES	1481	9999-12-31	2013-05-08	2885
30/6-C-5	4	3894.000000	3898.100000	[m   ]	41.400000	6	YES	1481	9999-12-31	2013-05-08	2886
30/6-C-5	5	\N	0.000000	\N	41.400000	6	YES	1481	9999-12-31	2013-05-08	2887
30/6-C-5	6	3922.000000	3949.200000	[m   ]	41.400000	6	YES	1481	9999-12-31	2013-05-08	2888
30/6-C-6	1	3498.000000	3515.100000	[m   ]	17.100000	1	YES	1528	9999-12-31	2013-05-08	2889
30/6-C-7	1	2746.000000	2755.500000	[m   ]	64.200000	3	YES	1505	9999-12-31	2013-05-08	2890
30/6-C-7	2	2756.000000	2779.700000	[m   ]	64.200000	3	YES	1505	9999-12-31	2013-05-08	2891
30/6-C-7	3	2780.000000	2811.000000	[m   ]	64.200000	3	YES	1505	9999-12-31	2013-05-08	2892
30/6-C-8	1	3777.000000	3800.300000	[m   ]	126.000000	8	YES	1455	9999-12-31	2013-05-08	2893
30/6-C-8	2	3801.000000	3819.500000	[m   ]	126.000000	8	YES	1455	9999-12-31	2013-05-08	2894
30/6-C-8	3	3919.000000	3922.000000	[m   ]	126.000000	8	YES	1455	9999-12-31	2013-05-08	2895
30/6-C-8	4	3928.000000	3929.000000	[m   ]	126.000000	8	YES	1455	9999-12-31	2013-05-08	2896
30/6-C-8	5	3940.000000	3943.700000	[m   ]	126.000000	8	YES	1455	9999-12-31	2013-05-08	2897
30/6-C-8	6	3946.000000	3967.100000	[m   ]	126.000000	8	YES	1455	9999-12-31	2013-05-08	2898
30/6-C-8	7	3967.500000	3987.500000	[m   ]	126.000000	8	YES	1455	9999-12-31	2013-05-08	2899
30/6-C-8	8	3988.500000	4024.000000	[m   ]	126.000000	8	YES	1455	9999-12-31	2013-05-08	2900
30/6-C-8 A	1	3465.000000	3501.000000	[m   ]	72.100000	2	YES	5187	9999-12-31	2013-05-08	2901
30/6-C-8 A	2	3531.000000	3567.100000	[m   ]	72.100000	2	YES	5187	9999-12-31	2013-05-08	2902
30/6-E-1	1	4192.000000	4247.500000	[m   ]	55.500000	1	YES	3925	9999-12-31	2013-05-08	2903
30/7-2	1	1753.000000	1764.500000	[m   ]	77.800000	8	YES	385	9999-12-31	2013-05-08	2904
30/7-2	2	1765.200000	1780.000000	[m   ]	77.800000	8	YES	385	9999-12-31	2013-05-08	2905
30/7-2	3	1780.200000	1792.400000	[m   ]	77.800000	8	YES	385	9999-12-31	2013-05-08	2906
30/7-2	4	1792.400000	1800.600000	[m   ]	77.800000	8	YES	385	9999-12-31	2013-05-08	2907
30/7-2	5	1802.500000	1816.200000	[m   ]	77.800000	8	YES	385	9999-12-31	2013-05-08	2908
30/7-2	6	1819.000000	1821.700000	[m   ]	77.800000	8	YES	385	9999-12-31	2013-05-08	2909
30/7-2	7	1970.000000	1979.000000	[m   ]	77.800000	8	YES	385	9999-12-31	2013-05-08	2910
30/7-2	8	1983.700000	1989.200000	[m   ]	77.800000	8	YES	385	9999-12-31	2013-05-08	2911
30/7-3	1	3918.500000	3924.900000	[m   ]	6.400000	1	YES	386	9999-12-31	2013-05-08	2912
30/7-7	1	4758.300000	4767.000000	[m   ]	8.700000	1	NO	390	9999-12-31	2013-05-08	2913
30/7-8	1	3888.500000	3898.400000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2914
30/7-8	10	4093.800000	4105.800000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2915
30/7-8	11	4105.800000	4123.900000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2916
30/7-8	12	4123.900000	4138.000000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2917
30/7-8	13	4139.000000	4148.700000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2918
30/7-8	14	4148.700000	4155.500000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2919
30/7-8	2	4082.300000	4096.000000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2920
30/7-8	3	4100.800000	4107.600000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2921
30/7-8	4	4110.000000	4125.700000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2922
30/7-8	5	4126.000000	4128.900000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2923
30/7-8	6	\N	0.000000	\N	296.000000	15	YES	216	9999-12-31	2013-05-08	2924
30/7-8	7	4065.000000	4075.800000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2925
30/7-8	8	4075.800000	4083.000000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2926
30/7-8	9	4083.000000	4093.800000	[m   ]	296.000000	15	YES	216	9999-12-31	2013-05-08	2927
30/7-8 R	1	4489.600000	4501.000000	[m   ]	296.000000	2	YES	506	9999-12-31	2013-05-08	2928
30/7-8 R	2	4527.000000	4540.500000	[m   ]	296.000000	2	YES	506	9999-12-31	2013-05-08	2929
30/8-1 S	1	3457.000000	3461.400000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2930
30/8-1 S	10	3701.000000	3709.700000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2931
30/8-1 S	11	3710.300000	3739.700000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2932
30/8-1 S	12	3739.700000	3742.200000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2933
30/8-1 S	13	3743.000000	3754.700000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2934
30/8-1 S	2	3526.000000	3527.000000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2935
30/8-1 S	3	3563.000000	3572.800000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2936
30/8-1 S	4	3572.900000	3600.500000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2937
30/8-1 S	5	3601.000000	3615.500000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2938
30/8-1 S	6	3616.000000	3620.700000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2939
30/8-1 S	7	3621.000000	3648.700000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2940
30/8-1 S	8	3648.700000	3677.700000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2941
30/8-1 S	9	3677.700000	3700.800000	[m   ]	203.500000	13	YES	2430	9999-12-31	2013-05-08	2942
30/8-2	1	2129.000000	2133.600000	[m   ]	21.300000	2	YES	2723	9999-12-31	2013-05-08	2943
30/8-2	2	2135.000000	2151.700000	[m   ]	21.300000	2	YES	2723	9999-12-31	2013-05-08	2944
30/8-3	1	3342.000000	3378.900000	[m   ]	121.000000	3	YES	3246	9999-12-31	2013-05-08	2945
30/8-3	2	3379.000000	3435.000000	[m   ]	121.000000	3	YES	3246	9999-12-31	2013-05-08	2946
30/8-3	3	3531.000000	3559.200000	[m   ]	121.000000	3	YES	3246	9999-12-31	2013-05-08	2947
30/8-4 S	1	3910.500000	3932.900000	[m   ]	75.100000	2	YES	5974	9999-12-31	2013-05-08	2948
30/8-4 S	2	3988.500000	4041.200000	[m   ]	75.100000	2	YES	5974	9999-12-31	2013-05-08	2949
30/8-A-11 H	1	4503.000000	4530.200000	[m   ]	155.600000	6	YES	4486	9999-12-31	2013-05-08	2950
30/8-A-11 H	2	4531.000000	4577.000000	[m   ]	155.600000	6	YES	4486	9999-12-31	2013-05-08	2951
30/8-A-11 H	3	4577.000000	4583.300000	[m   ]	155.600000	6	YES	4486	9999-12-31	2013-05-08	2952
30/8-A-11 H	4	4584.000000	4595.800000	[m   ]	155.600000	6	YES	4486	9999-12-31	2013-05-08	2953
30/8-A-11 H	5	4638.000000	4665.600000	[m   ]	155.600000	6	YES	4486	9999-12-31	2013-05-08	2954
30/8-A-11 H	6	4720.000000	4756.800000	[m   ]	155.600000	6	YES	4486	9999-12-31	2013-05-08	2955
30/9-1	1	2681.800000	2699.000000	[m   ]	92.800000	7	YES	65	9999-12-31	2013-05-08	2956
30/9-1	2	2700.000000	2707.000000	[m   ]	92.800000	7	YES	65	9999-12-31	2013-05-08	2957
30/9-1	3	2708.500000	2713.200000	[m   ]	92.800000	7	YES	65	9999-12-31	2013-05-08	2958
30/9-1	4	2714.000000	2730.500000	[m   ]	92.800000	7	YES	65	9999-12-31	2013-05-08	2959
30/9-1	5	2737.300000	2749.900000	[m   ]	92.800000	7	YES	65	9999-12-31	2013-05-08	2960
30/9-1	6	2750.000000	2768.000000	[m   ]	92.800000	7	YES	65	9999-12-31	2013-05-08	2961
30/9-1	7	2768.000000	2784.800000	[m   ]	92.800000	7	YES	65	9999-12-31	2013-05-08	2962
30/9-10	1	2725.000000	2725.100000	[m   ]	147.900000	7	YES	1514	9999-12-31	2013-05-08	2963
30/9-10	2	2726.000000	2729.000000	[m   ]	147.900000	7	YES	1514	9999-12-31	2013-05-08	2964
30/9-10	3	2730.000000	2732.100000	[m   ]	147.900000	7	YES	1514	9999-12-31	2013-05-08	2965
30/9-10	4	2747.000000	2771.000000	[m   ]	147.900000	7	YES	1514	9999-12-31	2013-05-08	2966
30/9-10	5	2774.500000	2824.100000	[m   ]	147.900000	7	YES	1514	9999-12-31	2013-05-08	2967
30/9-10	6	2825.000000	2871.300000	[m   ]	147.900000	7	YES	1514	9999-12-31	2013-05-08	2968
30/9-10	7	2872.500000	2895.000000	[m   ]	147.900000	7	YES	1514	9999-12-31	2013-05-08	2969
30/9-11	1	2382.000000	2402.000000	[m   ]	60.000000	4	YES	1673	9999-12-31	2013-05-08	2970
30/9-11	2	2450.000000	2454.000000	[m   ]	60.000000	4	YES	1673	9999-12-31	2013-05-08	2971
30/9-11	3	2455.000000	2464.000000	[m   ]	60.000000	4	YES	1673	9999-12-31	2013-05-08	2972
30/9-11	4	2484.000000	2511.000000	[m   ]	60.000000	4	YES	1673	9999-12-31	2013-05-08	2973
30/9-11 A	1	2545.000000	2552.200000	[m   ]	39.100000	4	YES	1705	9999-12-31	2013-05-08	2974
30/9-11 A	2	2553.000000	2575.000000	[m   ]	39.100000	4	YES	1705	9999-12-31	2013-05-08	2975
30/9-11 A	3	2576.000000	2578.000000	[m   ]	39.100000	4	YES	1705	9999-12-31	2013-05-08	2976
30/9-11 A	4	2652.000000	2660.000000	[m   ]	39.100000	4	YES	1705	9999-12-31	2013-05-08	2977
30/9-12	1	2617.000000	2639.000000	[m   ]	140.700000	10	YES	1717	9999-12-31	2013-05-08	2978
30/9-12	10	2788.000000	2804.200000	[m   ]	140.700000	10	YES	1717	9999-12-31	2013-05-08	2979
30/9-12	2	2663.000000	2691.000000	[m   ]	140.700000	10	YES	1717	9999-12-31	2013-05-08	2980
30/9-12	3	2691.000000	2712.000000	[m   ]	140.700000	10	YES	1717	9999-12-31	2013-05-08	2981
30/9-12	4	2714.000000	2726.000000	[m   ]	140.700000	10	YES	1717	9999-12-31	2013-05-08	2982
30/9-12	5	2726.000000	2730.000000	[m   ]	140.700000	10	YES	1717	9999-12-31	2013-05-08	2983
30/9-12	6	2730.000000	2734.000000	[m   ]	140.700000	10	YES	1717	9999-12-31	2013-05-08	2984
30/9-12	7	2734.000000	2739.500000	[m   ]	140.700000	10	YES	1717	9999-12-31	2013-05-08	2985
30/9-12	8	2739.500000	2753.000000	[m   ]	140.700000	10	YES	1717	9999-12-31	2013-05-08	2986
30/9-12	9	2758.500000	2786.000000	[m   ]	140.700000	10	YES	1717	9999-12-31	2013-05-08	2987
30/9-12 A	1	2874.000000	2876.000000	[m   ]	38.000000	6	YES	1770	9999-12-31	2013-05-08	2988
30/9-12 A	2	2877.000000	2887.000000	[m   ]	38.000000	6	YES	1770	9999-12-31	2013-05-08	2989
30/9-12 A	3	2888.000000	2899.000000	[m   ]	38.000000	6	YES	1770	9999-12-31	2013-05-08	2990
30/9-12 A	4	2901.000000	2904.000000	[m   ]	38.000000	6	YES	1770	9999-12-31	2013-05-08	2991
30/9-12 A	5	2906.000000	2912.000000	[m   ]	38.000000	6	YES	1770	9999-12-31	2013-05-08	2992
30/9-12 A	6	2914.000000	2920.000000	[m   ]	38.000000	6	YES	1770	9999-12-31	2013-05-08	2993
30/9-13 S	1	2957.000000	2975.000000	[m   ]	228.500000	11	YES	1811	9999-12-31	2013-05-08	2994
30/9-13 S	10	3150.200000	3178.000000	[m   ]	228.500000	11	YES	1811	9999-12-31	2013-05-08	2995
30/9-13 S	11	3179.000000	3188.000000	[m   ]	228.500000	11	YES	1811	9999-12-31	2013-05-08	2996
30/9-13 S	2	2975.000000	2985.000000	[m   ]	228.500000	11	YES	1811	9999-12-31	2013-05-08	2997
30/9-13 S	3	2985.000000	3018.000000	[m   ]	228.500000	11	YES	1811	9999-12-31	2013-05-08	2998
30/9-13 S	4	3018.000000	3040.700000	[m   ]	228.500000	11	YES	1811	9999-12-31	2013-05-08	2999
30/9-13 S	5	3041.000000	3066.700000	[m   ]	228.500000	11	YES	1811	9999-12-31	2013-05-08	3000
30/9-13 S	6	3067.000000	3086.000000	[m   ]	228.500000	11	YES	1811	9999-12-31	2013-05-08	3001
30/9-13 S	7	3086.000000	3093.600000	[m   ]	228.500000	11	YES	1811	9999-12-31	2013-05-08	3002
30/9-13 S	8	3095.000000	3122.000000	[m   ]	228.500000	11	YES	1811	9999-12-31	2013-05-08	3003
30/9-13 S	9	3122.000000	3150.400000	[m   ]	228.500000	11	YES	1811	9999-12-31	2013-05-08	3004
30/9-14	1	2968.500000	2980.000000	[m   ]	310.000000	11	YES	2076	9999-12-31	2013-05-08	3005
30/9-14	10	3500.000000	3500.400000	[m   ]	310.000000	11	YES	2076	9999-12-31	2013-05-08	3006
30/9-14	11	3503.000000	3534.100000	[m   ]	310.000000	11	YES	2076	9999-12-31	2013-05-08	3007
30/9-14	2	2981.000000	2985.400000	[m   ]	310.000000	11	YES	2076	9999-12-31	2013-05-08	3008
30/9-14	3	2985.500000	3003.000000	[m   ]	310.000000	11	YES	2076	9999-12-31	2013-05-08	3009
30/9-14	4	3003.500000	3031.000000	[m   ]	310.000000	11	YES	2076	9999-12-31	2013-05-08	3010
30/9-14	5	3031.100000	3058.000000	[m   ]	310.000000	11	YES	2076	9999-12-31	2013-05-08	3011
30/9-14	6	3058.500000	3113.000000	[m   ]	310.000000	11	YES	2076	9999-12-31	2013-05-08	3012
30/9-14	7	3113.100000	3166.000000	[m   ]	310.000000	11	YES	2076	9999-12-31	2013-05-08	3013
30/9-14	8	3166.200000	3218.000000	[m   ]	310.000000	11	YES	2076	9999-12-31	2013-05-08	3014
30/9-14	9	3470.000000	3500.000000	[m   ]	310.000000	11	YES	2076	9999-12-31	2013-05-08	3015
30/9-15	1	2240.000000	2249.600000	[m   ]	56.000000	3	YES	2223	9999-12-31	2013-05-08	3016
30/9-15	2	2256.000000	2280.600000	[m   ]	56.000000	3	YES	2223	9999-12-31	2013-05-08	3017
30/9-15	3	2283.500000	2305.300000	[m   ]	56.000000	3	YES	2223	9999-12-31	2013-05-08	3018
30/9-16	1	2694.000000	2722.400000	[m   ]	129.400000	4	YES	2361	9999-12-31	2013-05-08	3019
30/9-16	2	2722.500000	2759.700000	[m   ]	129.400000	4	YES	2361	9999-12-31	2013-05-08	3020
30/9-16	3	2759.700000	2796.400000	[m   ]	129.400000	4	YES	2361	9999-12-31	2013-05-08	3021
30/9-16	4	3459.000000	3486.200000	[m   ]	129.400000	4	YES	2361	9999-12-31	2013-05-08	3022
30/9-19	1	3184.000000	3240.300000	[m   ]	90.000000	3	YES	3561	9999-12-31	2013-05-08	3023
30/9-19	2	3240.300000	3246.700000	[m   ]	90.000000	3	YES	3561	9999-12-31	2013-05-08	3024
30/9-19	3	3494.000000	3521.300000	[m   ]	90.000000	3	YES	3561	9999-12-31	2013-05-08	3025
30/9-19 A	1	3300.000000	3341.500000	[m   ]	41.500000	1	YES	3593	9999-12-31	2013-05-08	3026
30/9-2	1	2591.000000	2594.000000	[m   ]	176.700000	12	YES	11	9999-12-31	2013-05-08	3027
30/9-2	10	2723.000000	2738.200000	[m   ]	176.700000	12	YES	11	9999-12-31	2013-05-08	3028
30/9-2	11	2741.000000	2757.000000	[m   ]	176.700000	12	YES	11	9999-12-31	2013-05-08	3029
30/9-2	12	2759.000000	2776.800000	[m   ]	176.700000	12	YES	11	9999-12-31	2013-05-08	3030
30/9-2	2	2594.000000	2611.400000	[m   ]	176.700000	12	YES	11	9999-12-31	2013-05-08	3031
30/9-2	3	\N	0.000000	\N	176.700000	12	YES	11	9999-12-31	2013-05-08	3032
30/9-2	4	2614.000000	2632.000000	[m   ]	176.700000	12	YES	11	9999-12-31	2013-05-08	3033
30/9-2	5	2632.000000	2650.400000	[m   ]	176.700000	12	YES	11	9999-12-31	2013-05-08	3034
30/9-2	6	2650.500000	2668.800000	[m   ]	176.700000	12	YES	11	9999-12-31	2013-05-08	3035
30/9-2	7	2669.000000	2687.000000	[m   ]	176.700000	12	YES	11	9999-12-31	2013-05-08	3036
30/9-2	8	2687.000000	2704.300000	[m   ]	176.700000	12	YES	11	9999-12-31	2013-05-08	3037
30/9-2	9	2705.000000	2722.500000	[m   ]	176.700000	12	YES	11	9999-12-31	2013-05-08	3038
30/9-20 S	1	2791.000000	2826.500000	[m   ]	72.700000	2	YES	4463	9999-12-31	2013-05-08	3039
30/9-20 S	2	2826.500000	2863.700000	[m   ]	72.700000	2	YES	4463	9999-12-31	2013-05-08	3040
30/9-21 A	1	3650.000000	3667.400000	[m   ]	71.300000	3	YES	5805	9999-12-31	2013-05-08	3041
30/9-21 A	2	3667.000000	3694.400000	[m   ]	71.300000	3	YES	5805	9999-12-31	2013-05-08	3042
30/9-21 A	3	3798.000000	3824.600000	[m   ]	71.300000	3	YES	5805	9999-12-31	2013-05-08	3043
30/9-22	1	2841.000000	2895.400000	[m   ]	108.600000	2	YES	6034	9999-12-31	2013-05-08	3044
30/9-22	2	2895.500000	2949.700000	[m   ]	108.600000	2	YES	6034	9999-12-31	2013-05-08	3045
30/9-3	1	2714.500000	2715.500000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3046
30/9-3	10	2860.000000	2869.400000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3047
30/9-3	11	2870.000000	2888.000000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3048
30/9-3	12	2888.000000	2906.500000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3049
30/9-3	13	2995.000000	3007.500000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3050
30/9-3	14	3008.500000	3026.500000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3051
30/9-3	15	3026.500000	3030.900000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3052
30/9-3	2	2716.000000	2719.300000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3053
30/9-3	3	2719.700000	2735.500000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3054
30/9-3	4	2735.500000	2753.500000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3055
30/9-3	5	2753.500000	2781.000000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3056
30/9-3	6	2781.000000	2800.000000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3057
30/9-3	7	2802.000000	2824.000000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3058
30/9-3	8	2824.000000	2842.300000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3059
30/9-3	9	2842.500000	2860.000000	[m   ]	223.500000	15	YES	55	9999-12-31	2013-05-08	3060
30/9-3 A	1	\N	0.000000	\N	170.900000	14	YES	102	9999-12-31	2013-05-08	3061
30/9-3 A	10	2981.000000	2981.800000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3062
30/9-3 A	11	2982.000000	3005.000000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3063
30/9-3 A	12	3007.900000	3018.000000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3064
30/9-3 A	13	3018.000000	3036.500000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3065
30/9-3 A	14	3084.000000	3102.500000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3066
30/9-3 A	2	2853.000000	2861.000000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3067
30/9-3 A	3	2861.000000	2872.300000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3068
30/9-3 A	4	2873.000000	2891.200000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3069
30/9-3 A	5	2891.500000	2909.000000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3070
30/9-3 A	6	2909.500000	2927.300000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3071
30/9-3 A	7	2928.000000	2951.000000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3072
30/9-3 A	8	2951.000000	2968.000000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3073
30/9-3 A	9	2968.000000	2980.300000	[m   ]	170.900000	14	YES	102	9999-12-31	2013-05-08	3074
30/9-4 S	1	3332.000000	3350.300000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3075
30/9-4 S	10	3475.000000	3483.800000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3076
30/9-4 S	11	3484.000000	3498.100000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3077
30/9-4 S	12	3580.000000	3598.000000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3078
30/9-4 S	13	4268.000000	4276.300000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3079
30/9-4 S	2	3350.600000	3368.000000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3080
30/9-4 S	3	3368.600000	3379.000000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3081
30/9-4 S	4	3432.400000	3436.000000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3082
30/9-4 S	5	3437.000000	3444.500000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3083
30/9-4 S	6	3445.000000	3466.200000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3084
30/9-4 S	7	3457.000000	3462.700000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3085
30/9-4 S	8	3467.000000	3469.600000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3086
30/9-4 S	9	3472.000000	3474.700000	[m   ]	126.500000	13	YES	452	9999-12-31	2013-05-08	3087
30/9-5 S	1	2455.000000	2472.300000	[m   ]	35.500000	2	YES	478	9999-12-31	2013-05-08	3088
30/9-5 S	2	2608.000000	2626.200000	[m   ]	35.500000	2	YES	478	9999-12-31	2013-05-08	3089
30/9-6	1	2593.500000	2603.300000	[m   ]	55.200000	5	YES	1027	9999-12-31	2013-05-08	3090
30/9-6	2	2608.000000	2623.500000	[m   ]	55.200000	5	YES	1027	9999-12-31	2013-05-08	3091
30/9-6	3	2628.000000	2636.000000	[m   ]	55.200000	5	YES	1027	9999-12-31	2013-05-08	3092
30/9-6	4	2649.000000	2665.200000	[m   ]	55.200000	5	YES	1027	9999-12-31	2013-05-08	3093
30/9-6	5	2671.000000	2676.800000	[m   ]	55.200000	5	YES	1027	9999-12-31	2013-05-08	3094
30/9-7	1	2832.000000	2857.800000	[m   ]	53.800000	2	YES	1306	9999-12-31	2013-05-08	3095
30/9-7	2	2860.000000	2887.000000	[m   ]	53.800000	2	YES	1306	9999-12-31	2013-05-08	3096
30/9-8 R	1	2800.000000	2836.400000	[m   ]	134.200000	3	YES	1461	9999-12-31	2013-05-08	3097
30/9-8 R	2	2836.500000	2892.200000	[m   ]	134.200000	3	YES	1461	9999-12-31	2013-05-08	3098
30/9-8 R	3	2892.200000	2934.300000	[m   ]	134.200000	3	YES	1461	9999-12-31	2013-05-08	3099
30/9-9	1	2291.000000	2304.700000	[m   ]	70.900000	7	YES	1442	9999-12-31	2013-05-08	3100
30/9-9	2	2306.000000	2312.400000	[m   ]	70.900000	7	YES	1442	9999-12-31	2013-05-08	3101
30/9-9	3	2313.000000	2316.000000	[m   ]	70.900000	7	YES	1442	9999-12-31	2013-05-08	3102
30/9-9	4	2322.000000	2326.700000	[m   ]	70.900000	7	YES	1442	9999-12-31	2013-05-08	3103
30/9-9	5	2347.000000	2357.000000	[m   ]	70.900000	7	YES	1442	9999-12-31	2013-05-08	3104
30/9-9	6	2393.000000	2410.300000	[m   ]	70.900000	7	YES	1442	9999-12-31	2013-05-08	3105
30/9-9	7	2411.000000	2426.900000	[m   ]	70.900000	7	YES	1442	9999-12-31	2013-05-08	3106
30/9-B-12	1	3498.000000	3513.700000	[m   ]	15.700000	1	YES	1603	9999-12-31	2013-05-08	3107
30/9-B-13	1	3179.000000	3204.400000	[m   ]	66.700000	3	YES	1466	9999-12-31	2013-05-08	3108
30/9-B-13	2	3313.000000	3319.000000	[m   ]	66.700000	3	YES	1466	9999-12-31	2013-05-08	3109
30/9-B-13	3	3348.500000	3383.800000	[m   ]	66.700000	3	YES	1466	9999-12-31	2013-05-08	3110
30/9-B-15	1	3951.000000	3955.000000	[m   ]	130.000000	6	YES	1546	9999-12-31	2013-05-08	3111
30/9-B-15	2	3956.000000	3960.700000	[m   ]	130.000000	6	YES	1546	9999-12-31	2013-05-08	3112
30/9-B-15	3	3961.000000	3983.500000	[m   ]	130.000000	6	YES	1546	9999-12-31	2013-05-08	3113
30/9-B-15	4	3984.000000	3984.800000	[m   ]	130.000000	6	YES	1546	9999-12-31	2013-05-08	3114
30/9-B-15	5	4004.000000	4057.500000	[m   ]	130.000000	6	YES	1546	9999-12-31	2013-05-08	3115
30/9-B-15	6	4058.000000	4112.500000	[m   ]	130.000000	6	YES	1546	9999-12-31	2013-05-08	3116
30/9-B-16	1	2575.000000	2576.000000	[m   ]	37.100000	3	YES	2551	9999-12-31	2013-05-08	3117
30/9-B-16	2	2576.500000	2594.600000	[m   ]	37.100000	3	YES	2551	9999-12-31	2013-05-08	3118
30/9-B-16	3	2595.000000	2613.000000	[m   ]	37.100000	3	YES	2551	9999-12-31	2013-05-08	3119
30/9-B-18	1	3859.000000	3891.300000	[m   ]	42.500000	2	YES	1989	9999-12-31	2013-05-08	3120
30/9-B-18	2	3893.000000	3903.200000	[m   ]	42.500000	2	YES	1989	9999-12-31	2013-05-08	3121
30/9-B-2	1	4046.000000	4073.000000	[m   ]	100.000000	3	YES	1698	9999-12-31	2013-05-08	3122
30/9-B-2	2	4073.000000	4109.300000	[m   ]	100.000000	3	YES	1698	9999-12-31	2013-05-08	3123
30/9-B-2	3	4109.500000	4146.000000	[m   ]	100.000000	3	YES	1698	9999-12-31	2013-05-08	3124
30/9-B-20	1	3071.000000	3098.700000	[m   ]	135.800000	7	YES	934	9999-12-31	2013-05-08	3125
30/9-B-20	2	3099.100000	3113.000000	[m   ]	135.800000	7	YES	934	9999-12-31	2013-05-08	3126
30/9-B-20	3	3113.000000	3124.500000	[m   ]	135.800000	7	YES	934	9999-12-31	2013-05-08	3127
30/9-B-20	4	3126.000000	3136.200000	[m   ]	135.800000	7	YES	934	9999-12-31	2013-05-08	3128
30/9-B-20	5	3138.000000	3166.000000	[m   ]	135.800000	7	YES	934	9999-12-31	2013-05-08	3129
30/9-B-20	6	3166.000000	3189.500000	[m   ]	135.800000	7	YES	934	9999-12-31	2013-05-08	3130
30/9-B-20	7	3162.000000	3183.000000	[m   ]	135.800000	7	YES	934	9999-12-31	2013-05-08	3131
30/9-B-21	1	2988.000000	3016.000000	[m   ]	201.000000	8	YES	847	9999-12-31	2013-05-08	3132
30/9-B-21	2	3016.000000	3043.300000	[m   ]	201.000000	8	YES	847	9999-12-31	2013-05-08	3133
30/9-B-21	3	3044.000000	3071.000000	[m   ]	201.000000	8	YES	847	9999-12-31	2013-05-08	3134
30/9-B-21	4	3072.000000	3094.400000	[m   ]	201.000000	8	YES	847	9999-12-31	2013-05-08	3135
30/9-B-21	5	3095.000000	3108.900000	[m   ]	201.000000	8	YES	847	9999-12-31	2013-05-08	3136
30/9-B-21	6	3109.000000	3137.000000	[m   ]	201.000000	8	YES	847	9999-12-31	2013-05-08	3137
30/9-B-21	7	3137.000000	3165.000000	[m   ]	201.000000	8	YES	847	9999-12-31	2013-05-08	3138
30/9-B-21	8	3165.000000	3191.500000	[m   ]	201.000000	8	YES	847	9999-12-31	2013-05-08	3139
30/9-B-23	1	4035.000000	4056.500000	[m   ]	137.100000	6	YES	951	9999-12-31	2013-05-08	3140
30/9-B-23	2	4053.000000	4066.300000	[m   ]	137.100000	6	YES	951	9999-12-31	2013-05-08	3141
30/9-B-23	3	4067.000000	4084.300000	[m   ]	137.100000	6	YES	951	9999-12-31	2013-05-08	3142
30/9-B-23	4	4084.500000	4112.500000	[m   ]	137.100000	6	YES	951	9999-12-31	2013-05-08	3143
30/9-B-23	5	4112.500000	4140.500000	[m   ]	137.100000	6	YES	951	9999-12-31	2013-05-08	3144
30/9-B-23	6	4140.500000	4159.300000	[m   ]	137.100000	6	YES	951	9999-12-31	2013-05-08	3145
30/9-B-24	1	3344.000000	3355.600000	[m   ]	67.500000	3	YES	1013	9999-12-31	2013-05-08	3146
30/9-B-24	2	3358.000000	3386.900000	[m   ]	67.500000	3	YES	1013	9999-12-31	2013-05-08	3147
30/9-B-24	3	3386.000000	3414.000000	[m   ]	67.500000	3	YES	1013	9999-12-31	2013-05-08	3148
30/9-B-24 B	1	3579.000000	3587.900000	[m   ]	24.100000	3	YES	2742	9999-12-31	2013-05-08	3149
30/9-B-24 B	2	3609.000000	3618.500000	[m   ]	24.100000	3	YES	2742	9999-12-31	2013-05-08	3150
30/9-B-24 B	3	3905.000000	3910.700000	[m   ]	24.100000	3	YES	2742	9999-12-31	2013-05-08	3151
30/9-B-25	1	3712.000000	3747.600000	[m   ]	28.000000	2	YES	908	9999-12-31	2013-05-08	3152
30/9-B-25	2	3749.000000	3777.000000	[m   ]	28.000000	2	YES	908	9999-12-31	2013-05-08	3153
30/9-B-26	1	4202.000000	4230.100000	[m   ]	93.900000	4	YES	946	9999-12-31	2013-05-08	3154
30/9-B-26	2	4230.000000	4258.000000	[m   ]	93.900000	4	YES	946	9999-12-31	2013-05-08	3155
30/9-B-26	3	4258.000000	4285.800000	[m   ]	93.900000	4	YES	946	9999-12-31	2013-05-08	3156
30/9-B-26	4	4286.000000	4304.100000	[m   ]	93.900000	4	YES	946	9999-12-31	2013-05-08	3157
30/9-B-27	1	3151.000000	3177.900000	[m   ]	187.000000	7	YES	851	9999-12-31	2013-05-08	3158
30/9-B-27	2	3178.000000	3205.300000	[m   ]	187.000000	7	YES	851	9999-12-31	2013-05-08	3159
30/9-B-27	3	3205.500000	3233.500000	[m   ]	187.000000	7	YES	851	9999-12-31	2013-05-08	3160
30/9-B-27	4	3233.000000	3261.500000	[m   ]	187.000000	7	YES	851	9999-12-31	2013-05-08	3161
30/9-B-27	5	3261.500000	3289.500000	[m   ]	187.000000	7	YES	851	9999-12-31	2013-05-08	3162
30/9-B-27	6	3289.500000	3317.400000	[m   ]	187.000000	7	YES	851	9999-12-31	2013-05-08	3163
30/9-B-27	7	3317.500000	3345.500000	[m   ]	187.000000	7	YES	851	9999-12-31	2013-05-08	3164
30/9-B-29	1	3215.000000	3237.300000	[m   ]	145.000000	6	YES	873	9999-12-31	2013-05-08	3165
30/9-B-29	2	3238.000000	3260.300000	[m   ]	145.000000	6	YES	873	9999-12-31	2013-05-08	3166
30/9-B-29	3	3263.000000	3280.500000	[m   ]	145.000000	6	YES	873	9999-12-31	2013-05-08	3167
30/9-B-29	4	3280.500000	3306.700000	[m   ]	145.000000	6	YES	873	9999-12-31	2013-05-08	3168
30/9-B-29	5	3307.000000	3334.900000	[m   ]	145.000000	6	YES	873	9999-12-31	2013-05-08	3169
30/9-B-29	6	3335.000000	3362.800000	[m   ]	145.000000	6	YES	873	9999-12-31	2013-05-08	3170
30/9-B-3	1	2446.000000	2450.000000	[m   ]	127.500000	4	YES	1389	9999-12-31	2013-05-08	3171
30/9-B-3	2	2719.000000	2743.800000	[m   ]	127.500000	4	YES	1389	9999-12-31	2013-05-08	3172
30/9-B-3	3	2744.000000	2799.200000	[m   ]	127.500000	4	YES	1389	9999-12-31	2013-05-08	3173
30/9-B-3	4	2799.500000	2842.000000	[m   ]	127.500000	4	YES	1389	9999-12-31	2013-05-08	3174
30/9-B-4	1	2844.000000	2869.000000	[m   ]	40.400000	2	YES	1296	9999-12-31	2013-05-08	3175
30/9-B-4	2	2869.000000	2884.400000	[m   ]	40.400000	2	YES	1296	9999-12-31	2013-05-08	3176
30/9-B-40	1	4384.000000	4411.000000	[m   ]	161.200000	6	YES	1504	9999-12-31	2013-05-08	3177
30/9-B-40	2	4411.000000	4420.900000	[m   ]	161.200000	6	YES	1504	9999-12-31	2013-05-08	3178
30/9-B-40	3	4421.000000	4429.000000	[m   ]	161.200000	6	YES	1504	9999-12-31	2013-05-08	3179
30/9-B-40	4	4487.000000	4514.000000	[m   ]	161.200000	6	YES	1504	9999-12-31	2013-05-08	3180
30/9-B-40	5	4515.000000	4569.500000	[m   ]	161.200000	6	YES	1504	9999-12-31	2013-05-08	3181
30/9-B-40	6	4569.500000	4604.200000	[m   ]	161.200000	6	YES	1504	9999-12-31	2013-05-08	3182
30/9-B-44 B	1	4242.000000	4278.700000	[m   ]	73.100000	2	YES	6436	9999-12-31	2013-05-08	3183
30/9-B-44 B	2	4278.700000	4315.100000	[m   ]	73.100000	2	YES	6436	9999-12-31	2013-05-08	3184
30/9-B-46 A	1	3334.000000	3369.900000	[m   ]	35.700000	1	YES	3290	9999-12-31	2013-05-08	3185
30/9-B-49 H	1	2631.000000	2657.800000	[m   ]	89.900000	5	YES	929	9999-12-31	2013-05-08	3186
30/9-B-49 H	2	2658.000000	2671.700000	[m   ]	89.900000	5	YES	929	9999-12-31	2013-05-08	3187
30/9-B-49 H	3	2673.100000	2687.200000	[m   ]	89.900000	5	YES	929	9999-12-31	2013-05-08	3188
30/9-B-49 H	4	2688.000000	2715.500000	[m   ]	89.900000	5	YES	929	9999-12-31	2013-05-08	3189
30/9-B-49 H	5	2715.000000	2722.800000	[m   ]	89.900000	5	YES	929	9999-12-31	2013-05-08	3190
30/9-B-50 H	1	\N	0.000000	\N	139.500000	9	YES	1063	9999-12-31	2013-05-08	3191
30/9-B-50 H	2	3156.000000	3173.200000	[m   ]	139.500000	9	YES	1063	9999-12-31	2013-05-08	3192
30/9-B-50 H	3	3173.200000	3181.500000	[m   ]	139.500000	9	YES	1063	9999-12-31	2013-05-08	3193
30/9-B-50 H	4	3181.500000	3184.600000	[m   ]	139.500000	9	YES	1063	9999-12-31	2013-05-08	3194
30/9-B-50 H	5	3185.000000	3188.500000	[m   ]	139.500000	9	YES	1063	9999-12-31	2013-05-08	3195
30/9-B-50 H	6	3188.800000	3216.300000	[m   ]	139.500000	9	YES	1063	9999-12-31	2013-05-08	3196
30/9-B-50 H	7	3216.300000	3238.400000	[m   ]	139.500000	9	YES	1063	9999-12-31	2013-05-08	3197
30/9-B-50 H	8	3238.500000	3266.200000	[m   ]	139.500000	9	YES	1063	9999-12-31	2013-05-08	3198
30/9-B-50 H	9	3266.200000	3296.100000	[m   ]	139.500000	9	YES	1063	9999-12-31	2013-05-08	3199
30/9-F-18	1	3944.000000	3961.700000	[m   ]	17.700000	1	YES	3762	9999-12-31	2013-05-08	3200
30/9-F-26	1	4307.000000	4318.700000	[m   ]	80.500000	4	YES	4793	9999-12-31	2013-05-08	3201
30/9-F-26	2	4319.000000	4340.000000	[m   ]	80.500000	4	YES	4793	9999-12-31	2013-05-08	3202
30/9-F-26	3	4431.000000	4451.900000	[m   ]	80.500000	4	YES	4793	9999-12-31	2013-05-08	3203
30/9-F-26	4	4452.000000	4478.900000	[m   ]	80.500000	4	YES	4793	9999-12-31	2013-05-08	3204
30/9-F-6	1	3004.000000	3031.900000	[m   ]	27.900000	1	YES	4515	9999-12-31	2013-05-08	3205
30/9-J-13 H	1	2480.000000	2506.000000	[m   ]	80.500000	3	YES	5138	9999-12-31	2013-05-08	3206
30/9-J-13 H	2	2527.000000	2554.700000	[m   ]	80.500000	3	YES	5138	9999-12-31	2013-05-08	3207
30/9-J-13 H	3	2777.000000	2803.800000	[m   ]	80.500000	3	YES	5138	9999-12-31	2013-05-08	3208
30/9-K-12 H	1	3858.000000	3894.000000	[m   ]	36.000000	1	YES	3797	9999-12-31	2013-05-08	3209
31/2-1	1	1450.000000	1453.500000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3210
31/2-1	10	1542.000000	1559.000000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3211
31/2-1	11	1560.000000	1577.400000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3212
31/2-1	12	1577.400000	1595.500000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3213
31/2-1	13	1595.500000	1613.500000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3214
31/2-1	14	1613.500000	1616.600000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3215
31/2-1	15	1617.500000	1634.100000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3216
31/2-1	16	1634.100000	1638.400000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3217
31/2-1	17	1638.400000	1652.100000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3218
31/2-1	18	1652.300000	1662.700000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3219
31/2-1	2	1454.000000	1455.500000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3220
31/2-1	3	1456.600000	1465.600000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3221
31/2-1	4	1465.600000	1474.600000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3222
31/2-1	5	1474.600000	1485.600000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3223
31/2-1	6	1488.000000	1493.300000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3224
31/2-1	7	1514.000000	1521.800000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3225
31/2-1	8	1523.600000	1532.700000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3226
31/2-1	9	1533.000000	1541.800000	[m   ]	186.200000	18	YES	398	9999-12-31	2013-05-08	3227
31/2-10	1	1575.300000	1580.200000	[m   ]	145.700000	10	YES	90	9999-12-31	2013-05-08	3228
31/2-10	10	1723.000000	1741.500000	[m   ]	145.700000	10	YES	90	9999-12-31	2013-05-08	3229
31/2-10	2	1585.000000	1592.500000	[m   ]	145.700000	10	YES	90	9999-12-31	2013-05-08	3230
31/2-10	3	1599.000000	1617.000000	[m   ]	145.700000	10	YES	90	9999-12-31	2013-05-08	3231
31/2-10	4	1617.500000	1634.400000	[m   ]	145.700000	10	YES	90	9999-12-31	2013-05-08	3232
31/2-10	5	1637.000000	1655.300000	[m   ]	145.700000	10	YES	90	9999-12-31	2013-05-08	3233
31/2-10	6	1655.500000	1674.000000	[m   ]	145.700000	10	YES	90	9999-12-31	2013-05-08	3234
31/2-10	7	1674.000000	1686.400000	[m   ]	145.700000	10	YES	90	9999-12-31	2013-05-08	3235
31/2-10	8	1692.000000	1704.400000	[m   ]	145.700000	10	YES	90	9999-12-31	2013-05-08	3236
31/2-10	9	1704.500000	1723.000000	[m   ]	145.700000	10	YES	90	9999-12-31	2013-05-08	3237
31/2-11	1	\N	0.000000	\N	58.700000	8	YES	6	9999-12-31	2013-05-08	3238
31/2-11	2	\N	0.000000	\N	58.700000	8	YES	6	9999-12-31	2013-05-08	3239
31/2-11	3	\N	0.000000	\N	58.700000	8	YES	6	9999-12-31	2013-05-08	3240
31/2-11	4	1555.000000	1562.400000	[m   ]	58.700000	8	YES	6	9999-12-31	2013-05-08	3241
31/2-11	5	1564.000000	1568.900000	[m   ]	58.700000	8	YES	6	9999-12-31	2013-05-08	3242
31/2-11	6	1578.000000	1587.500000	[m   ]	58.700000	8	YES	6	9999-12-31	2013-05-08	3243
31/2-11	7	1592.000000	1610.500000	[m   ]	58.700000	8	YES	6	9999-12-31	2013-05-08	3244
31/2-11	8	1610.500000	1628.800000	[m   ]	58.700000	8	YES	6	9999-12-31	2013-05-08	3245
31/2-12	1	1366.000000	1375.500000	[m   ]	86.300000	10	YES	14	9999-12-31	2013-05-08	3246
31/2-12	10	1449.000000	1458.500000	[m   ]	86.300000	10	YES	14	9999-12-31	2013-05-08	3247
31/2-12	2	1375.000000	1378.700000	[m   ]	86.300000	10	YES	14	9999-12-31	2013-05-08	3248
31/2-12	3	1380.000000	1386.000000	[m   ]	86.300000	10	YES	14	9999-12-31	2013-05-08	3249
31/2-12	4	1389.000000	1398.200000	[m   ]	86.300000	10	YES	14	9999-12-31	2013-05-08	3250
31/2-12	5	1398.000000	1407.200000	[m   ]	86.300000	10	YES	14	9999-12-31	2013-05-08	3251
31/2-12	6	1407.000000	1416.000000	[m   ]	86.300000	10	YES	14	9999-12-31	2013-05-08	3252
31/2-12	7	1416.000000	1424.200000	[m   ]	86.300000	10	YES	14	9999-12-31	2013-05-08	3253
31/2-12	8	1427.000000	1436.000000	[m   ]	86.300000	10	YES	14	9999-12-31	2013-05-08	3254
31/2-12	9	1436.000000	1449.000000	[m   ]	86.300000	10	YES	14	9999-12-31	2013-05-08	3255
31/2-13 S	1	1744.000000	1754.000000	[m   ]	78.200000	8	YES	93	9999-12-31	2013-05-08	3256
31/2-13 S	2	1754.000000	1757.000000	[m   ]	78.200000	8	YES	93	9999-12-31	2013-05-08	3257
31/2-13 S	3	1772.000000	1782.000000	[m   ]	78.200000	8	YES	93	9999-12-31	2013-05-08	3258
31/2-13 S	4	1784.000000	1795.000000	[m   ]	78.200000	8	YES	93	9999-12-31	2013-05-08	3259
31/2-13 S	5	1795.000000	1807.000000	[m   ]	78.200000	8	YES	93	9999-12-31	2013-05-08	3260
31/2-13 S	6	1807.000000	1813.000000	[m   ]	78.200000	8	YES	93	9999-12-31	2013-05-08	3261
31/2-13 S	7	1813.000000	1824.000000	[m   ]	78.200000	8	YES	93	9999-12-31	2013-05-08	3262
31/2-13 S	8	1825.000000	1840.700000	[m   ]	78.200000	8	YES	93	9999-12-31	2013-05-08	3263
31/2-14	1	1535.000000	1542.200000	[m   ]	48.300000	7	YES	106	9999-12-31	2013-05-08	3264
31/2-14	2	1544.500000	1553.800000	[m   ]	48.300000	7	YES	106	9999-12-31	2013-05-08	3265
31/2-14	3	1560.000000	1562.900000	[m   ]	48.300000	7	YES	106	9999-12-31	2013-05-08	3266
31/2-14	4	1564.000000	1570.000000	[m   ]	48.300000	7	YES	106	9999-12-31	2013-05-08	3267
31/2-14	5	1571.000000	1576.900000	[m   ]	48.300000	7	YES	106	9999-12-31	2013-05-08	3268
31/2-14	6	1580.000000	1586.300000	[m   ]	48.300000	7	YES	106	9999-12-31	2013-05-08	3269
31/2-14	7	1589.500000	1598.200000	[m   ]	48.300000	7	YES	106	9999-12-31	2013-05-08	3270
31/2-15	1	1486.000000	1491.600000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3271
31/2-15	10	1541.000000	1559.000000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3272
31/2-15	11	1559.000000	1574.400000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3273
31/2-15	12	1577.000000	1588.200000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3274
31/2-15	2	1493.000000	1499.800000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3275
31/2-15	3	1501.000000	1501.900000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3276
31/2-15	4	1503.000000	1507.500000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3277
31/2-15	5	1510.000000	1516.600000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3278
31/2-15	6	1516.500000	1520.500000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3279
31/2-15	7	1520.000000	1528.900000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3280
31/2-15	8	1530.000000	1532.500000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3281
31/2-15	9	1533.000000	1540.200000	[m   ]	92.500000	12	YES	439	9999-12-31	2013-05-08	3282
31/2-17 A	1	1703.000000	1710.300000	[m   ]	68.700000	5	YES	1898	9999-12-31	2013-05-08	3283
31/2-17 A	2	1710.500000	1714.700000	[m   ]	68.700000	5	YES	1898	9999-12-31	2013-05-08	3284
31/2-17 A	3	1714.500000	1740.600000	[m   ]	68.700000	5	YES	1898	9999-12-31	2013-05-08	3285
31/2-17 A	4	1740.600000	1745.400000	[m   ]	68.700000	5	YES	1898	9999-12-31	2013-05-08	3286
31/2-17 A	5	1756.000000	1782.300000	[m   ]	68.700000	5	YES	1898	9999-12-31	2013-05-08	3287
31/2-17 B	1	1833.500000	1836.000000	[m   ]	2.800000	1	YES	1899	9999-12-31	2013-05-08	3288
31/2-17 S	1	1877.000000	1912.000000	[m   ]	132.000000	6	YES	1885	9999-12-31	2013-05-08	3289
31/2-17 S	2	1912.000000	1946.800000	[m   ]	132.000000	6	YES	1885	9999-12-31	2013-05-08	3290
31/2-17 S	3	1947.000000	1977.800000	[m   ]	132.000000	6	YES	1885	9999-12-31	2013-05-08	3291
31/2-17 S	4	1977.800000	1984.700000	[m   ]	132.000000	6	YES	1885	9999-12-31	2013-05-08	3292
31/2-17 S	5	1993.000000	2012.000000	[m   ]	132.000000	6	YES	1885	9999-12-31	2013-05-08	3293
31/2-17 S	6	2016.000000	2022.300000	[m   ]	132.000000	6	YES	1885	9999-12-31	2013-05-08	3294
31/2-18	1	1498.000000	1516.000000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3295
31/2-18	10	1638.500000	1653.400000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3296
31/2-18	11	1654.000000	1666.500000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3297
31/2-18	12	1666.500000	1678.500000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3298
31/2-18	2	1516.000000	1533.500000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3299
31/2-18	3	1534.000000	1551.800000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3300
31/2-18	4	1552.000000	1570.000000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3301
31/2-18	5	1570.000000	1588.000000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3302
31/2-18	6	1588.000000	1599.000000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3303
31/2-18	7	1599.000000	1608.900000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3304
31/2-18	8	1610.500000	1627.100000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3305
31/2-18	9	1628.500000	1638.100000	[m   ]	180.500000	12	YES	1988	9999-12-31	2013-05-08	3306
31/2-19 S	1	1745.000000	1748.400000	[m   ]	31.900000	5	YES	2798	9999-12-31	2013-05-08	3307
31/2-19 S	2	1748.400000	1755.600000	[m   ]	31.900000	5	YES	2798	9999-12-31	2013-05-08	3308
31/2-19 S	3	2515.600000	2517.200000	[m   ]	31.900000	5	YES	2798	9999-12-31	2013-05-08	3309
31/2-19 S	4	3190.000000	3190.900000	[m   ]	31.900000	5	YES	2798	9999-12-31	2013-05-08	3310
31/2-19 S	5	3196.000000	3214.800000	[m   ]	31.900000	5	YES	2798	9999-12-31	2013-05-08	3311
31/2-2	1	1515.000000	1521.100000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3312
31/2-2	10	1604.000000	1606.400000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3313
31/2-2	11	1608.000000	1617.000000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3314
31/2-2	12	1617.000000	1626.000000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3315
31/2-2	13	1626.000000	1632.500000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3316
31/2-2	2	1525.000000	1527.000000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3317
31/2-2	3	1535.000000	1547.600000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3318
31/2-2	4	1553.000000	1560.000000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3319
31/2-2	5	1560.000000	1569.000000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3320
31/2-2	6	1569.000000	1578.000000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3321
31/2-2	7	1578.000000	1581.000000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3322
31/2-2	8	1585.000000	1598.000000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3323
31/2-2	9	1598.000000	1603.600000	[m   ]	94.200000	13	YES	227	9999-12-31	2013-05-08	3324
31/2-3	1	1412.000000	1415.500000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3325
31/2-3	10	1484.500000	1496.400000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3326
31/2-3	11	1496.400000	1514.500000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3327
31/2-3	12	1514.500000	1529.600000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3328
31/2-3	13	1533.000000	1540.900000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3329
31/2-3	14	1551.000000	1564.500000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3330
31/2-3	15	1564.500000	1566.500000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3331
31/2-3	16	1566.600000	1584.300000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3332
31/2-3	17	1584.000000	1599.700000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3333
31/2-3	18	1601.000000	1619.300000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3334
31/2-3	19	1619.000000	1623.900000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3335
31/2-3	2	1421.000000	1425.000000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3336
31/2-3	20	1624.000000	1627.700000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3337
31/2-3	21	1628.000000	1645.400000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3338
31/2-3	22	2116.000000	2133.900000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3339
31/2-3	3	1425.000000	1441.000000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3340
31/2-3	4	1443.000000	1449.300000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3341
31/2-3	5	1450.000000	1461.200000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3342
31/2-3	6	1462.400000	1467.800000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3343
31/2-3	7	\N	0.000000	\N	211.500000	22	YES	236	9999-12-31	2013-05-08	3344
31/2-3	8	1469.200000	1473.000000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3345
31/2-3	9	1473.000000	1475.000000	[m   ]	211.500000	22	YES	236	9999-12-31	2013-05-08	3346
31/2-4 R	1	1320.000000	1325.700000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3347
31/2-4 R	10	1426.500000	1426.700000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3348
31/2-4 R	11	1443.500000	1452.500000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3349
31/2-4 R	12	1452.500000	1454.200000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3350
31/2-4 R	13	1454.500000	1468.300000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3351
31/2-4 R	14	1472.500000	1479.500000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3352
31/2-4 R	15	1482.500000	1483.200000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3353
31/2-4 R	16	1484.500000	1490.000000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3354
31/2-4 R	17	1490.000000	1506.800000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3355
31/2-4 R	18	1508.000000	1524.600000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3356
31/2-4 R	19	1526.000000	1543.300000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3357
31/2-4 R	2	1326.000000	1326.500000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3358
31/2-4 R	20	1544.000000	1562.000000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3359
31/2-4 R	21	1562.000000	1566.900000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3360
31/2-4 R	22	1567.000000	1582.800000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3361
31/2-4 R	23	1585.000000	1599.200000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3362
31/2-4 R	24	1603.000000	1606.600000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3363
31/2-4 R	25	1607.000000	1621.000000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3364
31/2-4 R	26	1621.000000	1626.100000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3365
31/2-4 R	27	1627.000000	1644.400000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3366
31/2-4 R	28	1645.000000	1662.900000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3367
31/2-4 R	29	5025.000000	5033.400000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3368
31/2-4 R	3	1338.000000	1347.000000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3369
31/2-4 R	4	1347.000000	1357.000000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3370
31/2-4 R	5	1365.000000	1378.000000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3371
31/2-4 R	6	1379.000000	1397.000000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3372
31/2-4 R	7	1397.000000	1410.000000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3373
31/2-4 R	8	1410.000000	1415.000000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3374
31/2-4 R	9	1415.000000	1425.000000	[m   ]	291.000000	29	YES	502	9999-12-31	2013-05-08	3375
31/2-5	1	1511.700000	1514.300000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3376
31/2-5	10	1565.000000	1573.400000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3377
31/2-5	11	1573.400000	1573.900000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3378
31/2-5	12	1573.900000	1577.400000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3379
31/2-5	13	1589.500000	1589.600000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3380
31/2-5	14	1590.500000	1599.500000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3381
31/2-5	15	1599.500000	1604.000000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3382
31/2-5	16	1604.000000	1611.900000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3383
31/2-5	17	1613.000000	1615.400000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3384
31/2-5	18	1616.000000	1625.000000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3385
31/2-5	19	1625.000000	1633.400000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3386
31/2-5	2	1514.800000	1517.400000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3387
31/2-5	20	1634.000000	1642.900000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3388
31/2-5	21	1643.000000	1651.600000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3389
31/2-5	3	\N	0.000000	\N	97.900000	21	YES	210	9999-12-31	2013-05-08	3390
31/2-5	4	1536.000000	1538.000000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3391
31/2-5	5	1539.500000	1540.500000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3392
31/2-5	6	1542.000000	1545.600000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3393
31/2-5	7	1547.000000	1563.700000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3394
31/2-5	8	1555.000000	1555.200000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3395
31/2-5	9	1555.500000	1564.500000	[m   ]	97.900000	21	YES	210	9999-12-31	2013-05-08	3396
31/2-6	1	1504.400000	1514.000000	[m   ]	121.700000	9	YES	399	9999-12-31	2013-05-08	3397
31/2-6	2	1514.000000	1532.500000	[m   ]	121.700000	9	YES	399	9999-12-31	2013-05-08	3398
31/2-6	3	1532.500000	1550.900000	[m   ]	121.700000	9	YES	399	9999-12-31	2013-05-08	3399
31/2-6	4	1551.000000	1555.800000	[m   ]	121.700000	9	YES	399	9999-12-31	2013-05-08	3400
31/2-6	5	1557.500000	1575.800000	[m   ]	121.700000	9	YES	399	9999-12-31	2013-05-08	3401
31/2-6	6	1576.000000	1582.400000	[m   ]	121.700000	9	YES	399	9999-12-31	2013-05-08	3402
31/2-6	7	1583.900000	1602.300000	[m   ]	121.700000	9	YES	399	9999-12-31	2013-05-08	3403
31/2-6	8	1602.800000	1618.700000	[m   ]	121.700000	9	YES	399	9999-12-31	2013-05-08	3404
31/2-6	9	1618.800000	1632.300000	[m   ]	121.700000	9	YES	399	9999-12-31	2013-05-08	3405
31/2-7	1	1547.000000	1556.500000	[m   ]	72.300000	6	YES	70	9999-12-31	2013-05-08	3406
31/2-7	2	\N	0.000000	\N	72.300000	6	YES	70	9999-12-31	2013-05-08	3407
31/2-7	3	1562.000000	1577.800000	[m   ]	72.300000	6	YES	70	9999-12-31	2013-05-08	3408
31/2-7	4	1587.500000	1597.000000	[m   ]	72.300000	6	YES	70	9999-12-31	2013-05-08	3409
31/2-7	5	1597.000000	1615.800000	[m   ]	72.300000	6	YES	70	9999-12-31	2013-05-08	3410
31/2-7	6	1616.000000	1634.700000	[m   ]	72.300000	6	YES	70	9999-12-31	2013-05-08	3411
31/2-8	1	1841.800000	1851.500000	[m   ]	45.700000	3	YES	78	9999-12-31	2013-05-08	3412
31/2-8	2	1852.500000	1869.700000	[m   ]	45.700000	3	YES	78	9999-12-31	2013-05-08	3413
31/2-8	3	1870.000000	1888.900000	[m   ]	45.700000	3	YES	78	9999-12-31	2013-05-08	3414
31/2-9	1	1554.000000	1563.000000	[m   ]	69.800000	5	YES	88	9999-12-31	2013-05-08	3415
31/2-9	2	1563.000000	1571.300000	[m   ]	69.800000	5	YES	88	9999-12-31	2013-05-08	3416
31/2-9	3	1573.000000	1591.600000	[m   ]	69.800000	5	YES	88	9999-12-31	2013-05-08	3417
31/2-9	4	1591.600000	1607.800000	[m   ]	69.800000	5	YES	88	9999-12-31	2013-05-08	3418
31/2-9	5	1610.000000	1627.700000	[m   ]	69.800000	5	YES	88	9999-12-31	2013-05-08	3419
31/2-D-10 H	1	1502.000000	1520.000000	[m   ]	129.000000	7	YES	3218	9999-12-31	2013-05-08	3420
31/2-D-10 H	2	1520.500000	1539.300000	[m   ]	129.000000	7	YES	3218	9999-12-31	2013-05-08	3421
31/2-D-10 H	3	1539.300000	1558.100000	[m   ]	129.000000	7	YES	3218	9999-12-31	2013-05-08	3422
31/2-D-10 H	4	1558.100000	1577.100000	[m   ]	129.000000	7	YES	3218	9999-12-31	2013-05-08	3423
31/2-D-10 H	5	1577.100000	1595.300000	[m   ]	129.000000	7	YES	3218	9999-12-31	2013-05-08	3424
31/2-D-10 H	6	1595.300000	1613.500000	[m   ]	129.000000	7	YES	3218	9999-12-31	2013-05-08	3425
31/2-D-10 H	7	1613.500000	1631.600000	[m   ]	129.000000	7	YES	3218	9999-12-31	2013-05-08	3426
31/2-D-9	1	1540.400000	1541.100000	[m   ]	74.300000	6	YES	2689	9999-12-31	2013-05-08	3427
31/2-D-9	2	1543.300000	1552.000000	[m   ]	74.300000	6	YES	2689	9999-12-31	2013-05-08	3428
31/2-D-9	3	1553.000000	1571.500000	[m   ]	74.300000	6	YES	2689	9999-12-31	2013-05-08	3429
31/2-D-9	4	1570.600000	1588.000000	[m   ]	74.300000	6	YES	2689	9999-12-31	2013-05-08	3430
31/2-D-9	5	1588.400000	1606.700000	[m   ]	74.300000	6	YES	2689	9999-12-31	2013-05-08	3431
31/2-D-9	6	1607.000000	1617.700000	[m   ]	74.300000	6	YES	2689	9999-12-31	2013-05-08	3432
31/2-E-6 H	1	1750.600000	1769.300000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3433
31/2-E-6 H	10	1873.700000	1889.800000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3434
31/2-E-6 H	11	1890.300000	1903.300000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3435
31/2-E-6 H	12	1903.600000	1922.000000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3436
31/2-E-6 H	2	1769.300000	1788.200000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3437
31/2-E-6 H	3	1788.200000	1798.400000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3438
31/2-E-6 H	4	1804.800000	1817.600000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3439
31/2-E-6 H	5	1822.300000	1840.900000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3440
31/2-E-6 H	6	1841.600000	1854.900000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3441
31/2-E-6 H	7	1854.900000	1860.900000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3442
31/2-E-6 H	8	1861.400000	1865.700000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3443
31/2-E-6 H	9	1867.500000	1869.200000	[m   ]	152.000000	12	YES	2433	9999-12-31	2013-05-08	3444
31/2-F-6 H	1	1862.000000	1869.500000	[m   ]	132.000000	8	YES	2324	9999-12-31	2013-05-08	3445
31/2-F-6 H	2	1869.800000	1887.300000	[m   ]	132.000000	8	YES	2324	9999-12-31	2013-05-08	3446
31/2-F-6 H	3	1887.900000	1905.700000	[m   ]	132.000000	8	YES	2324	9999-12-31	2013-05-08	3447
31/2-F-6 H	4	1905.900000	1923.900000	[m   ]	132.000000	8	YES	2324	9999-12-31	2013-05-08	3448
31/2-F-6 H	5	1923.900000	1941.800000	[m   ]	132.000000	8	YES	2324	9999-12-31	2013-05-08	3449
31/2-F-6 H	6	1941.900000	1959.500000	[m   ]	132.000000	8	YES	2324	9999-12-31	2013-05-08	3450
31/2-F-6 H	7	1960.200000	1978.200000	[m   ]	132.000000	8	YES	2324	9999-12-31	2013-05-08	3451
31/2-F-6 H	8	1978.200000	1995.900000	[m   ]	132.000000	8	YES	2324	9999-12-31	2013-05-08	3452
31/2-G-4 H	1	1596.100000	1613.900000	[m   ]	161.500000	9	YES	2307	9999-12-31	2013-05-08	3453
31/2-G-4 H	2	1614.600000	1632.100000	[m   ]	161.500000	9	YES	2307	9999-12-31	2013-05-08	3454
31/2-G-4 H	3	1632.600000	1650.000000	[m   ]	161.500000	9	YES	2307	9999-12-31	2013-05-08	3455
31/2-G-4 H	4	1650.100000	1667.900000	[m   ]	161.500000	9	YES	2307	9999-12-31	2013-05-08	3456
31/2-G-4 H	5	1668.300000	1686.300000	[m   ]	161.500000	9	YES	2307	9999-12-31	2013-05-08	3457
31/2-G-4 H	6	1686.600000	1705.000000	[m   ]	161.500000	9	YES	2307	9999-12-31	2013-05-08	3458
31/2-G-4 H	7	1705.200000	1723.400000	[m   ]	161.500000	9	YES	2307	9999-12-31	2013-05-08	3459
31/2-G-4 H	8	1723.400000	1741.700000	[m   ]	161.500000	9	YES	2307	9999-12-31	2013-05-08	3460
31/2-G-4 H	9	1742.400000	1760.500000	[m   ]	161.500000	9	YES	2307	9999-12-31	2013-05-08	3461
31/2-L-41	1	1488.000000	1504.800000	[m   ]	123.700000	7	YES	3308	9999-12-31	2013-05-08	3462
31/2-L-41	2	1505.500000	1523.000000	[m   ]	123.700000	7	YES	3308	9999-12-31	2013-05-08	3463
31/2-L-41	3	1523.500000	1542.000000	[m   ]	123.700000	7	YES	3308	9999-12-31	2013-05-08	3464
31/2-L-41	4	1542.000000	1558.800000	[m   ]	123.700000	7	YES	3308	9999-12-31	2013-05-08	3465
31/2-L-41	5	1559.000000	1577.200000	[m   ]	123.700000	7	YES	3308	9999-12-31	2013-05-08	3466
31/2-L-41	6	1577.500000	1596.100000	[m   ]	123.700000	7	YES	3308	9999-12-31	2013-05-08	3467
31/2-L-41	7	1596.000000	1613.300000	[m   ]	123.700000	7	YES	3308	9999-12-31	2013-05-08	3468
31/2-M-41	1	1492.000000	1510.900000	[m   ]	136.900000	10	YES	3072	9999-12-31	2013-05-08	3469
31/2-M-41	10	1616.000000	1634.200000	[m   ]	136.900000	10	YES	3072	9999-12-31	2013-05-08	3470
31/2-M-41	2	1510.900000	1527.300000	[m   ]	136.900000	10	YES	3072	9999-12-31	2013-05-08	3471
31/2-M-41	3	1528.000000	1545.400000	[m   ]	136.900000	10	YES	3072	9999-12-31	2013-05-08	3472
31/2-M-41	4	1546.000000	1564.000000	[m   ]	136.900000	10	YES	3072	9999-12-31	2013-05-08	3473
31/2-M-41	5	1564.000000	1569.600000	[m   ]	136.900000	10	YES	3072	9999-12-31	2013-05-08	3474
31/2-M-41	6	1570.000000	1581.500000	[m   ]	136.900000	10	YES	3072	9999-12-31	2013-05-08	3475
31/2-M-41	7	1581.500000	1592.100000	[m   ]	136.900000	10	YES	3072	9999-12-31	2013-05-08	3476
31/2-M-41	8	1594.500000	1602.800000	[m   ]	136.900000	10	YES	3072	9999-12-31	2013-05-08	3477
31/2-M-41	9	1604.000000	1616.000000	[m   ]	136.900000	10	YES	3072	9999-12-31	2013-05-08	3478
31/2-M-42 H	1	1545.000000	1550.200000	[m   ]	132.600000	10	YES	3350	9999-12-31	2013-05-08	3479
31/2-M-42 H	10	1671.000000	1684.400000	[m   ]	132.600000	10	YES	3350	9999-12-31	2013-05-08	3480
31/2-M-42 H	2	1550.000000	1569.500000	[m   ]	132.600000	10	YES	3350	9999-12-31	2013-05-08	3481
31/2-M-42 H	3	1569.500000	1586.900000	[m   ]	132.600000	10	YES	3350	9999-12-31	2013-05-08	3482
31/2-M-42 H	4	1587.500000	1605.400000	[m   ]	132.600000	10	YES	3350	9999-12-31	2013-05-08	3483
31/2-M-42 H	5	1605.500000	1624.200000	[m   ]	132.600000	10	YES	3350	9999-12-31	2013-05-08	3484
31/2-M-42 H	6	1624.500000	1640.500000	[m   ]	132.600000	10	YES	3350	9999-12-31	2013-05-08	3485
31/2-M-42 H	7	1640.500000	1645.600000	[m   ]	132.600000	10	YES	3350	9999-12-31	2013-05-08	3486
31/2-M-42 H	8	1646.000000	1651.200000	[m   ]	132.600000	10	YES	3350	9999-12-31	2013-05-08	3487
31/2-M-42 H	9	1653.500000	1667.900000	[m   ]	132.600000	10	YES	3350	9999-12-31	2013-05-08	3488
31/2-N-11 AH	1	2770.000000	2787.900000	[m   ]	53.800000	4	YES	5243	9999-12-31	2013-05-08	3489
31/2-N-11 AH	2	2789.000000	2803.500000	[m   ]	53.800000	4	YES	5243	9999-12-31	2013-05-08	3490
31/2-N-11 AH	3	2889.000000	2901.700000	[m   ]	53.800000	4	YES	5243	9999-12-31	2013-05-08	3491
31/2-N-11 AH	4	2902.000000	2910.700000	[m   ]	53.800000	4	YES	5243	9999-12-31	2013-05-08	3492
31/2-O-41	1	\N	0.000000	\N	43.200000	4	YES	4016	9999-12-31	2013-05-08	3493
31/2-O-41	2	1608.000000	1626.100000	[m   ]	43.200000	4	YES	4016	9999-12-31	2013-05-08	3494
31/2-O-41	3	1626.100000	1634.300000	[m   ]	43.200000	4	YES	4016	9999-12-31	2013-05-08	3495
31/2-O-41	4	1634.500000	1652.400000	[m   ]	43.200000	4	YES	4016	9999-12-31	2013-05-08	3496
31/2-P-41	1	1502.000000	1518.800000	[m   ]	129.700000	9	YES	3247	9999-12-31	2013-05-08	3497
31/2-P-41	2	1520.000000	1537.700000	[m   ]	129.700000	9	YES	3247	9999-12-31	2013-05-08	3498
31/2-P-41	3	1538.000000	1555.000000	[m   ]	129.700000	9	YES	3247	9999-12-31	2013-05-08	3499
31/2-P-41	4	1556.000000	1574.500000	[m   ]	129.700000	9	YES	3247	9999-12-31	2013-05-08	3500
31/2-P-41	5	1574.500000	1592.900000	[m   ]	129.700000	9	YES	3247	9999-12-31	2013-05-08	3501
31/2-P-41	6	1592.900000	1610.600000	[m   ]	129.700000	9	YES	3247	9999-12-31	2013-05-08	3502
31/2-P-41	7	1610.600000	1616.400000	[m   ]	129.700000	9	YES	3247	9999-12-31	2013-05-08	3503
31/2-P-41	8	1616.500000	1617.500000	[m   ]	129.700000	9	YES	3247	9999-12-31	2013-05-08	3504
31/2-P-41	9	1634.500000	1651.500000	[m   ]	129.700000	9	YES	3247	9999-12-31	2013-05-08	3505
31/3-1	1	1351.000000	1362.300000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3506
31/3-1	10	1498.100000	1516.800000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3507
31/3-1	11	1516.000000	1535.400000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3508
31/3-1	12	1535.400000	1553.600000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3509
31/3-1	13	1553.900000	1572.600000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3510
31/3-1	14	1572.600000	1578.600000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3511
31/3-1	15	1591.300000	1610.000000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3512
31/3-1	2	1366.000000	1371.500000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3513
31/3-1	3	1372.000000	1390.700000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3514
31/3-1	4	1391.000000	1405.200000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3515
31/3-1	5	1407.000000	1424.000000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3516
31/3-1	6	1424.300000	1442.300000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3517
31/3-1	7	1442.600000	1461.300000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3518
31/3-1	8	1461.000000	1480.000000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3519
31/3-1	9	1480.000000	1498.000000	[m   ]	244.800000	15	YES	20	9999-12-31	2013-05-08	3520
31/3-2	1	1565.000000	1575.500000	[m   ]	65.300000	5	YES	100	9999-12-31	2013-05-08	3521
31/3-2	2	1581.000000	1590.700000	[m   ]	65.300000	5	YES	100	9999-12-31	2013-05-08	3522
31/3-2	3	1593.000000	1606.300000	[m   ]	65.300000	5	YES	100	9999-12-31	2013-05-08	3523
31/3-2	4	1608.000000	1626.000000	[m   ]	65.300000	5	YES	100	9999-12-31	2013-05-08	3524
31/3-2	5	1626.000000	1639.900000	[m   ]	65.300000	5	YES	100	9999-12-31	2013-05-08	3525
31/3-3	1	1580.000000	1596.000000	[m   ]	166.400000	7	YES	447	9999-12-31	2013-05-08	3526
31/3-3	2	1764.000000	1782.000000	[m   ]	166.400000	7	YES	447	9999-12-31	2013-05-08	3527
31/3-3	3	1782.000000	1810.000000	[m   ]	166.400000	7	YES	447	9999-12-31	2013-05-08	3528
31/3-3	4	1810.000000	1837.500000	[m   ]	166.400000	7	YES	447	9999-12-31	2013-05-08	3529
31/3-3	5	1837.500000	1858.900000	[m   ]	166.400000	7	YES	447	9999-12-31	2013-05-08	3530
31/3-3	6	1861.000000	1888.500000	[m   ]	166.400000	7	YES	447	9999-12-31	2013-05-08	3531
31/3-3	7	1888.500000	1916.500000	[m   ]	166.400000	7	YES	447	9999-12-31	2013-05-08	3532
31/3-Q-21 H	1	1637.000000	1655.500000	[m   ]	96.000000	6	YES	4296	9999-12-31	2013-05-08	3533
31/3-Q-21 H	2	1655.500000	1672.400000	[m   ]	96.000000	6	YES	4296	9999-12-31	2013-05-08	3534
31/3-Q-21 H	3	1674.000000	1692.600000	[m   ]	96.000000	6	YES	4296	9999-12-31	2013-05-08	3535
31/3-Q-21 H	4	1692.600000	1709.400000	[m   ]	96.000000	6	YES	4296	9999-12-31	2013-05-08	3536
31/3-Q-21 H	5	1710.600000	1726.300000	[m   ]	96.000000	6	YES	4296	9999-12-31	2013-05-08	3537
31/3-Q-21 H	6	1726.300000	1735.800000	[m   ]	96.000000	6	YES	4296	9999-12-31	2013-05-08	3538
31/4-10	1	2005.000000	2023.800000	[m   ]	189.400000	11	YES	2617	9999-12-31	2013-05-08	3539
31/4-10	10	2227.000000	2248.900000	[m   ]	189.400000	11	YES	2617	9999-12-31	2013-05-08	3540
31/4-10	11	2250.100000	2266.000000	[m   ]	189.400000	11	YES	2617	9999-12-31	2013-05-08	3541
31/4-10	2	2023.800000	2042.100000	[m   ]	189.400000	11	YES	2617	9999-12-31	2013-05-08	3542
31/4-10	3	2042.100000	2059.700000	[m   ]	189.400000	11	YES	2617	9999-12-31	2013-05-08	3543
31/4-10	4	2059.700000	2078.000000	[m   ]	189.400000	11	YES	2617	9999-12-31	2013-05-08	3544
31/4-10	5	2078.000000	2096.600000	[m   ]	189.400000	11	YES	2617	9999-12-31	2013-05-08	3545
31/4-10	6	2096.600000	2105.300000	[m   ]	189.400000	11	YES	2617	9999-12-31	2013-05-08	3546
31/4-10	7	2171.500000	2186.500000	[m   ]	189.400000	11	YES	2617	9999-12-31	2013-05-08	3547
31/4-10	8	2189.500000	2216.100000	[m   ]	189.400000	11	YES	2617	9999-12-31	2013-05-08	3548
31/4-10	9	2217.000000	2226.700000	[m   ]	189.400000	11	YES	2617	9999-12-31	2013-05-08	3549
31/4-11	1	2123.000000	2133.600000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3550
31/4-11	10	2316.000000	2333.500000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3551
31/4-11	11	2343.000000	2354.200000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3552
31/4-11	12	2361.000000	2367.000000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3553
31/4-11	13	2370.000000	2376.700000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3554
31/4-11	14	2376.700000	2395.000000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3555
31/4-11	15	2395.000000	2412.900000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3556
31/4-11	16	2413.000000	2431.000000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3557
31/4-11	2	2134.000000	2138.000000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3558
31/4-11	3	2144.000000	2149.000000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3559
31/4-11	4	2149.000000	2156.700000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3560
31/4-11	5	2157.000000	2161.000000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3561
31/4-11	6	2179.000000	2179.500000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3562
31/4-11	7	2187.000000	2204.500000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3563
31/4-11	8	2204.500000	2221.100000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3564
31/4-11	9	2222.000000	2240.000000	[m   ]	179.400000	16	YES	4147	9999-12-31	2013-05-08	3565
31/4-2	1	2205.700000	2222.700000	[m   ]	26.000000	3	YES	401	9999-12-31	2013-05-08	3566
31/4-2	2	2490.300000	2495.100000	[m   ]	26.000000	3	YES	401	9999-12-31	2013-05-08	3567
31/4-2	3	2688.900000	2693.000000	[m   ]	26.000000	3	YES	401	9999-12-31	2013-05-08	3568
31/4-3	1	2155.000000	2171.000000	[m   ]	70.900000	7	YES	402	9999-12-31	2013-05-08	3569
31/4-3	2	2171.000000	2186.700000	[m   ]	70.900000	7	YES	402	9999-12-31	2013-05-08	3570
31/4-3	3	2357.000000	2365.800000	[m   ]	70.900000	7	YES	402	9999-12-31	2013-05-08	3571
31/4-3	4	2544.800000	2561.500000	[m   ]	70.900000	7	YES	402	9999-12-31	2013-05-08	3572
31/4-3	5	2704.800000	2718.500000	[m   ]	70.900000	7	YES	402	9999-12-31	2013-05-08	3573
31/4-3	6	\N	0.000000	\N	70.900000	7	YES	402	9999-12-31	2013-05-08	3574
31/4-3	7	4977.800000	4981.000000	[m   ]	70.900000	7	YES	402	9999-12-31	2013-05-08	3575
31/4-4	1	2490.000000	2508.000000	[m   ]	18.000000	1	YES	214	9999-12-31	2013-05-08	3576
31/4-5	1	2063.000000	2065.000000	[m   ]	143.600000	9	YES	403	9999-12-31	2013-05-08	3577
31/4-5	2	2065.000000	2083.000000	[m   ]	143.600000	9	YES	403	9999-12-31	2013-05-08	3578
31/4-5	3	2083.000000	2100.100000	[m   ]	143.600000	9	YES	403	9999-12-31	2013-05-08	3579
31/4-5	4	2100.100000	2119.000000	[m   ]	143.600000	9	YES	403	9999-12-31	2013-05-08	3580
31/4-5	5	2119.000000	2136.600000	[m   ]	143.600000	9	YES	403	9999-12-31	2013-05-08	3581
31/4-5	6	2137.500000	2155.600000	[m   ]	143.600000	9	YES	403	9999-12-31	2013-05-08	3582
31/4-5	7	2156.500000	2173.800000	[m   ]	143.600000	9	YES	403	9999-12-31	2013-05-08	3583
31/4-5	8	2173.800000	2191.700000	[m   ]	143.600000	9	YES	403	9999-12-31	2013-05-08	3584
31/4-5	9	2292.400000	2309.900000	[m   ]	143.600000	9	YES	403	9999-12-31	2013-05-08	3585
31/4-6	1	2132.000000	2148.300000	[m   ]	82.300000	5	YES	43	9999-12-31	2013-05-08	3586
31/4-6	2	2149.000000	2159.500000	[m   ]	82.300000	5	YES	43	9999-12-31	2013-05-08	3587
31/4-6	3	2159.500000	2178.000000	[m   ]	82.300000	5	YES	43	9999-12-31	2013-05-08	3588
31/4-6	4	2178.100000	2195.000000	[m   ]	82.300000	5	YES	43	9999-12-31	2013-05-08	3589
31/4-6	5	2195.500000	2214.000000	[m   ]	82.300000	5	YES	43	9999-12-31	2013-05-08	3590
31/4-7	1	2045.000000	2063.000000	[m   ]	100.000000	5	YES	235	9999-12-31	2013-05-08	3591
31/4-7	2	2064.000000	2082.000000	[m   ]	100.000000	5	YES	235	9999-12-31	2013-05-08	3592
31/4-7	3	2083.000000	2111.000000	[m   ]	100.000000	5	YES	235	9999-12-31	2013-05-08	3593
31/4-7	4	2111.000000	2135.000000	[m   ]	100.000000	5	YES	235	9999-12-31	2013-05-08	3594
31/4-7	5	2139.000000	2150.000000	[m   ]	100.000000	5	YES	235	9999-12-31	2013-05-08	3595
31/4-8	1	2347.000000	2355.900000	[m   ]	99.100000	6	YES	312	9999-12-31	2013-05-08	3596
31/4-8	2	2359.000000	2375.000000	[m   ]	99.100000	6	YES	312	9999-12-31	2013-05-08	3597
31/4-8	3	2377.000000	2395.600000	[m   ]	99.100000	6	YES	312	9999-12-31	2013-05-08	3598
31/4-8	4	2395.000000	2413.600000	[m   ]	99.100000	6	YES	312	9999-12-31	2013-05-08	3599
31/4-8	5	2413.600000	2432.300000	[m   ]	99.100000	6	YES	312	9999-12-31	2013-05-08	3600
31/4-8	6	2432.300000	2451.100000	[m   ]	99.100000	6	YES	312	9999-12-31	2013-05-08	3601
31/4-9	1	\N	0.000000	\N	125.300000	10	YES	1026	9999-12-31	2013-05-08	3602
31/4-9	10	2194.000000	2222.000000	[m   ]	125.300000	10	YES	1026	9999-12-31	2013-05-08	3603
31/4-9	2	\N	0.000000	\N	125.300000	10	YES	1026	9999-12-31	2013-05-08	3604
31/4-9	3	2105.000000	2106.800000	[m   ]	125.300000	10	YES	1026	9999-12-31	2013-05-08	3605
31/4-9	4	2107.000000	2114.900000	[m   ]	125.300000	10	YES	1026	9999-12-31	2013-05-08	3606
31/4-9	5	2116.500000	2131.500000	[m   ]	125.300000	10	YES	1026	9999-12-31	2013-05-08	3607
31/4-9	6	2132.500000	2151.100000	[m   ]	125.300000	10	YES	1026	9999-12-31	2013-05-08	3608
31/4-9	7	2149.500000	2164.500000	[m   ]	125.300000	10	YES	1026	9999-12-31	2013-05-08	3609
31/4-9	8	2164.500000	2176.500000	[m   ]	125.300000	10	YES	1026	9999-12-31	2013-05-08	3610
31/4-9	9	2176.500000	2194.400000	[m   ]	125.300000	10	YES	1026	9999-12-31	2013-05-08	3611
31/4-A-1	1	2164.000000	2192.100000	[m   ]	62.600000	2	YES	1900	9999-12-31	2013-05-08	3612
31/4-A-1	2	2192.100000	2226.600000	[m   ]	62.600000	2	YES	1900	9999-12-31	2013-05-08	3613
31/4-A-12	1	2768.000000	2823.100000	[m   ]	96.000000	2	YES	2485	9999-12-31	2013-05-08	3614
31/4-A-12	2	2823.100000	2864.000000	[m   ]	96.000000	2	YES	2485	9999-12-31	2013-05-08	3615
31/4-A-13	1	3703.000000	3731.000000	[m   ]	55.900000	2	YES	2328	9999-12-31	2013-05-08	3616
31/4-A-13	2	3731.000000	3758.900000	[m   ]	55.900000	2	YES	2328	9999-12-31	2013-05-08	3617
31/4-A-14	1	5049.100000	5075.600000	[m   ]	124.700000	4	YES	2443	9999-12-31	2013-05-08	3618
31/4-A-14	2	5076.000000	5111.500000	[m   ]	124.700000	4	YES	2443	9999-12-31	2013-05-08	3619
31/4-A-14	3	5159.000000	5186.600000	[m   ]	124.700000	4	YES	2443	9999-12-31	2013-05-08	3620
31/4-A-14	4	5186.600000	5221.600000	[m   ]	124.700000	4	YES	2443	9999-12-31	2013-05-08	3621
31/4-A-17 A	1	3783.000000	3846.900000	[m   ]	147.100000	3	YES	2765	9999-12-31	2013-05-08	3622
31/4-A-17 A	2	3847.000000	3884.000000	[m   ]	147.100000	3	YES	2765	9999-12-31	2013-05-08	3623
31/4-A-17 A	3	3884.000000	3930.300000	[m   ]	147.100000	3	YES	2765	9999-12-31	2013-05-08	3624
31/4-A-2	1	4256.000000	4283.200000	[m   ]	118.800000	5	YES	1901	9999-12-31	2013-05-08	3625
31/4-A-2	2	4282.000000	4286.000000	[m   ]	118.800000	5	YES	1901	9999-12-31	2013-05-08	3626
31/4-A-2	3	4287.000000	4314.000000	[m   ]	118.800000	5	YES	1901	9999-12-31	2013-05-08	3627
31/4-A-2	4	4315.000000	4352.600000	[m   ]	118.800000	5	YES	1901	9999-12-31	2013-05-08	3628
31/4-A-2	5	4353.000000	4376.000000	[m   ]	118.800000	5	YES	1901	9999-12-31	2013-05-08	3629
31/4-A-23	1	3095.000000	3110.000000	[m   ]	55.500000	4	YES	2273	9999-12-31	2013-05-08	3630
31/4-A-23	2	3110.000000	3126.100000	[m   ]	55.500000	4	YES	2273	9999-12-31	2013-05-08	3631
31/4-A-23	3	3132.500000	3146.300000	[m   ]	55.500000	4	YES	2273	9999-12-31	2013-05-08	3632
31/4-A-23	4	3150.500000	3161.100000	[m   ]	55.500000	4	YES	2273	9999-12-31	2013-05-08	3633
31/4-A-26	1	3340.000000	3358.000000	[m   ]	73.300000	3	YES	2403	9999-12-31	2013-05-08	3634
31/4-A-26	2	3358.500000	3386.800000	[m   ]	73.300000	3	YES	2403	9999-12-31	2013-05-08	3635
31/4-A-26	3	3386.800000	3413.800000	[m   ]	73.300000	3	YES	2403	9999-12-31	2013-05-08	3636
31/4-A-3	1	2906.000000	2948.200000	[m   ]	216.700000	8	YES	1902	9999-12-31	2013-05-08	3637
31/4-A-3	2	2949.000000	2967.500000	[m   ]	216.700000	8	YES	1902	9999-12-31	2013-05-08	3638
31/4-A-3	3	3314.000000	3341.400000	[m   ]	216.700000	8	YES	1902	9999-12-31	2013-05-08	3639
31/4-A-3	4	3341.500000	3377.400000	[m   ]	216.700000	8	YES	1902	9999-12-31	2013-05-08	3640
31/4-A-3	5	3377.500000	3412.500000	[m   ]	216.700000	8	YES	1902	9999-12-31	2013-05-08	3641
31/4-A-3	6	3412.000000	3423.800000	[m   ]	216.700000	8	YES	1902	9999-12-31	2013-05-08	3642
31/4-A-3	7	3424.500000	3452.700000	[m   ]	216.700000	8	YES	1902	9999-12-31	2013-05-08	3643
31/4-A-3	8	3453.500000	3481.200000	[m   ]	216.700000	8	YES	1902	9999-12-31	2013-05-08	3644
31/4-A-4	1	3478.000000	3483.800000	[m   ]	282.500000	12	YES	1903	9999-12-31	2013-05-08	3645
31/4-A-4	10	3750.800000	3785.600000	[m   ]	282.500000	12	YES	1903	9999-12-31	2013-05-08	3646
31/4-A-4	11	3785.600000	3832.200000	[m   ]	282.500000	12	YES	1903	9999-12-31	2013-05-08	3647
31/4-A-4	12	3832.200000	3855.700000	[m   ]	282.500000	12	YES	1903	9999-12-31	2013-05-08	3648
31/4-A-4	2	3484.000000	3503.400000	[m   ]	282.500000	12	YES	1903	9999-12-31	2013-05-08	3649
31/4-A-4	3	3503.500000	3527.000000	[m   ]	282.500000	12	YES	1903	9999-12-31	2013-05-08	3650
31/4-A-4	4	\N	0.000000	\N	282.500000	12	YES	1903	9999-12-31	2013-05-08	3651
31/4-A-4	5	3546.000000	3570.000000	[m   ]	282.500000	12	YES	1903	9999-12-31	2013-05-08	3652
31/4-A-4	6	3570.200000	3597.900000	[m   ]	282.500000	12	YES	1903	9999-12-31	2013-05-08	3653
31/4-A-4	7	3671.500000	3678.300000	[m   ]	282.500000	12	YES	1903	9999-12-31	2013-05-08	3654
31/4-A-4	8	3680.500000	3709.500000	[m   ]	282.500000	12	YES	1903	9999-12-31	2013-05-08	3655
31/4-A-4	9	3709.500000	3750.800000	[m   ]	282.500000	12	YES	1903	9999-12-31	2013-05-08	3656
31/4-A-7	1	4384.000000	4412.100000	[m   ]	133.500000	3	YES	2294	9999-12-31	2013-05-08	3657
31/4-A-7	2	4412.100000	4466.300000	[m   ]	133.500000	3	YES	2294	9999-12-31	2013-05-08	3658
31/4-A-7	3	4466.300000	4517.500000	[m   ]	133.500000	3	YES	2294	9999-12-31	2013-05-08	3659
31/5-2	1	1505.000000	1505.500000	[m   ]	96.100000	6	YES	32	9999-12-31	2013-05-08	3660
31/5-2	2	1506.800000	1521.900000	[m   ]	96.100000	6	YES	32	9999-12-31	2013-05-08	3661
31/5-2	3	1524.800000	1542.500000	[m   ]	96.100000	6	YES	32	9999-12-31	2013-05-08	3662
31/5-2	4	1543.200000	1570.400000	[m   ]	96.100000	6	YES	32	9999-12-31	2013-05-08	3663
31/5-2	5	1570.500000	1588.300000	[m   ]	96.100000	6	YES	32	9999-12-31	2013-05-08	3664
31/5-2	6	1589.000000	1601.400000	[m   ]	96.100000	6	YES	32	9999-12-31	2013-05-08	3665
31/5-3	1	1550.000000	1568.000000	[m   ]	73.300000	4	YES	101	9999-12-31	2013-05-08	3666
31/5-3	2	1568.000000	1594.400000	[m   ]	73.300000	4	YES	101	9999-12-31	2013-05-08	3667
31/5-3	3	1595.000000	1622.000000	[m   ]	73.300000	4	YES	101	9999-12-31	2013-05-08	3668
31/5-3	4	\N	0.000000	\N	73.300000	4	YES	101	9999-12-31	2013-05-08	3669
31/5-4 S	1	1647.500000	1647.800000	[m   ]	88.400000	9	YES	1669	9999-12-31	2013-05-08	3670
31/5-4 S	2	1649.500000	1649.700000	[m   ]	88.400000	9	YES	1669	9999-12-31	2013-05-08	3671
31/5-4 S	3	1650.000000	1667.500000	[m   ]	88.400000	9	YES	1669	9999-12-31	2013-05-08	3672
31/5-4 S	4	1667.000000	1672.400000	[m   ]	88.400000	9	YES	1669	9999-12-31	2013-05-08	3673
31/5-4 S	5	1674.900000	1685.000000	[m   ]	88.400000	9	YES	1669	9999-12-31	2013-05-08	3674
31/5-4 S	6	1685.000000	1703.000000	[m   ]	88.400000	9	YES	1669	9999-12-31	2013-05-08	3675
31/5-4 S	7	1703.000000	1708.600000	[m   ]	88.400000	9	YES	1669	9999-12-31	2013-05-08	3676
31/5-4 S	8	1716.400000	1731.200000	[m   ]	88.400000	9	YES	1669	9999-12-31	2013-05-08	3677
31/5-4 S	9	1731.200000	1747.300000	[m   ]	88.400000	9	YES	1669	9999-12-31	2013-05-08	3678
31/5-5	1	1555.000000	1571.500000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3679
31/5-5	10	1710.500000	1736.000000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3680
31/5-5	11	1835.000000	1860.000000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3681
31/5-5	12	1861.000000	1888.900000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3682
31/5-5	2	1571.500000	1583.000000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3683
31/5-5	3	1585.500000	1601.000000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3684
31/5-5	4	1603.500000	1622.000000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3685
31/5-5	5	1622.700000	1640.000000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3686
31/5-5	6	1640.000000	1658.000000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3687
31/5-5	7	1658.000000	1674.700000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3688
31/5-5	8	1675.000000	1693.000000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3689
31/5-5	9	1693.000000	1710.500000	[m   ]	250.500000	12	YES	2059	9999-12-31	2013-05-08	3690
31/5-B-4 H	1	1498.000000	1500.500000	[m   ]	136.600000	7	YES	1498	9999-12-31	2013-05-08	3691
31/5-B-4 H	2	1502.000000	1513.000000	[m   ]	136.600000	7	YES	1498	9999-12-31	2013-05-08	3692
31/5-B-4 H	3	1515.000000	1530.700000	[m   ]	136.600000	7	YES	1498	9999-12-31	2013-05-08	3693
31/5-B-4 H	4	1533.000000	1569.500000	[m   ]	136.600000	7	YES	1498	9999-12-31	2013-05-08	3694
31/5-B-4 H	5	1569.500000	1580.000000	[m   ]	136.600000	7	YES	1498	9999-12-31	2013-05-08	3695
31/5-B-4 H	6	1581.000000	1615.000000	[m   ]	136.600000	7	YES	1498	9999-12-31	2013-05-08	3696
31/5-B-4 H	7	1615.000000	1642.400000	[m   ]	136.600000	7	YES	1498	9999-12-31	2013-05-08	3697
31/5-B-6 H	1	1519.000000	1524.500000	[m   ]	145.500000	6	YES	1484	9999-12-31	2013-05-08	3698
31/5-B-6 H	2	1525.100000	1539.100000	[m   ]	145.500000	6	YES	1484	9999-12-31	2013-05-08	3699
31/5-B-6 H	3	1542.600000	1559.300000	[m   ]	145.500000	6	YES	1484	9999-12-31	2013-05-08	3700
31/5-B-6 H	4	1559.300000	1587.300000	[m   ]	145.500000	6	YES	1484	9999-12-31	2013-05-08	3701
31/5-B-6 H	5	1587.300000	1631.900000	[m   ]	145.500000	6	YES	1484	9999-12-31	2013-05-08	3702
31/5-B-6 H	6	1641.800000	1677.800000	[m   ]	145.500000	6	YES	1484	9999-12-31	2013-05-08	3703
31/5-H-3 BH	1	2656.000000	2665.700000	[m   ]	9.700000	1	YES	3091	9999-12-31	2013-05-08	3704
31/5-H-5 H	1	1724.500000	1742.600000	[m   ]	190.700000	11	YES	2575	9999-12-31	2013-05-08	3705
31/5-H-5 H	10	1891.000000	1910.200000	[m   ]	190.700000	11	YES	2575	9999-12-31	2013-05-08	3706
31/5-H-5 H	11	1910.200000	1926.300000	[m   ]	190.700000	11	YES	2575	9999-12-31	2013-05-08	3707
31/5-H-5 H	2	1743.000000	1761.000000	[m   ]	190.700000	11	YES	2575	9999-12-31	2013-05-08	3708
31/5-H-5 H	3	1761.000000	1779.600000	[m   ]	190.700000	11	YES	2575	9999-12-31	2013-05-08	3709
31/5-H-5 H	4	1779.500000	1797.500000	[m   ]	190.700000	11	YES	2575	9999-12-31	2013-05-08	3710
31/5-H-5 H	5	1798.000000	1816.700000	[m   ]	190.700000	11	YES	2575	9999-12-31	2013-05-08	3711
31/5-H-5 H	6	1816.700000	1834.600000	[m   ]	190.700000	11	YES	2575	9999-12-31	2013-05-08	3712
31/5-H-5 H	7	1835.000000	1845.500000	[m   ]	190.700000	11	YES	2575	9999-12-31	2013-05-08	3713
31/5-H-5 H	8	1854.000000	1872.900000	[m   ]	190.700000	11	YES	2575	9999-12-31	2013-05-08	3714
31/5-H-5 H	9	1873.000000	1889.900000	[m   ]	190.700000	11	YES	2575	9999-12-31	2013-05-08	3715
31/5-J-41	1	1543.000000	1560.600000	[m   ]	107.000000	6	YES	3158	9999-12-31	2013-05-08	3716
31/5-J-41	2	1561.000000	1579.000000	[m   ]	107.000000	6	YES	3158	9999-12-31	2013-05-08	3717
31/5-J-41	3	1579.000000	1597.400000	[m   ]	107.000000	6	YES	3158	9999-12-31	2013-05-08	3718
31/5-J-41	4	1597.400000	1614.400000	[m   ]	107.000000	6	YES	3158	9999-12-31	2013-05-08	3719
31/5-J-41	5	1615.000000	1633.000000	[m   ]	107.000000	6	YES	3158	9999-12-31	2013-05-08	3720
31/5-J-41	6	1633.000000	1651.000000	[m   ]	107.000000	6	YES	3158	9999-12-31	2013-05-08	3721
31/6-1	1	\N	0.000000	\N	235.400000	20	YES	22	9999-12-31	2013-05-08	3722
31/6-1	10	1461.000000	1477.100000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3723
31/6-1	11	1479.500000	1497.800000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3724
31/6-1	12	1498.000000	1514.600000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3725
31/6-1	13	1515.500000	1534.000000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3726
31/6-1	14	1534.000000	1542.700000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3727
31/6-1	15	1543.000000	1555.800000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3728
31/6-1	16	1561.000000	1561.900000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3729
31/6-1	17	1563.000000	1581.800000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3730
31/6-1	18	1581.500000	1588.500000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3731
31/6-1	19	1588.500000	1605.500000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3732
31/6-1	2	1349.000000	1350.000000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3733
31/6-1	20	4070.000000	4070.800000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3734
31/6-1	3	1352.500000	1361.000000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3735
31/6-1	4	1361.500000	1370.700000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3736
31/6-1	5	1371.000000	1383.000000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3737
31/6-1	6	1389.000000	1407.300000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3738
31/6-1	7	1407.500000	1424.200000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3739
31/6-1	8	1425.500000	1440.500000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3740
31/6-1	9	1443.500000	1461.500000	[m   ]	235.400000	20	YES	22	9999-12-31	2013-05-08	3741
31/6-2	1	1435.000000	1453.300000	[m   ]	183.300000	9	YES	34	9999-12-31	2013-05-08	3742
31/6-2	2	1453.000000	1471.400000	[m   ]	183.300000	9	YES	34	9999-12-31	2013-05-08	3743
31/6-2	3	1471.600000	1483.600000	[m   ]	183.300000	9	YES	34	9999-12-31	2013-05-08	3744
31/6-2	4	1483.600000	1497.100000	[m   ]	183.300000	9	YES	34	9999-12-31	2013-05-08	3745
31/6-2	5	1497.100000	1515.900000	[m   ]	183.300000	9	YES	34	9999-12-31	2013-05-08	3746
31/6-2	6	1515.700000	1543.400000	[m   ]	183.300000	9	YES	34	9999-12-31	2013-05-08	3747
31/6-2	7	1543.600000	1571.500000	[m   ]	183.300000	9	YES	34	9999-12-31	2013-05-08	3748
31/6-2	8	1571.500000	1589.000000	[m   ]	183.300000	9	YES	34	9999-12-31	2013-05-08	3749
31/6-2	9	1591.000000	1618.300000	[m   ]	183.300000	9	YES	34	9999-12-31	2013-05-08	3750
31/6-3	1	1495.000000	1499.400000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3751
31/6-3	10	1620.000000	1638.500000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3752
31/6-3	11	1638.500000	1665.800000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3753
31/6-3	12	1666.000000	1694.100000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3754
31/6-3	2	1499.500000	1509.000000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3755
31/6-3	3	1509.000000	1521.500000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3756
31/6-3	4	1528.000000	1528.600000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3757
31/6-3	5	1533.500000	1542.700000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3758
31/6-3	6	1551.500000	1565.400000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3759
31/6-3	7	1565.500000	1582.500000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3760
31/6-3	8	1582.500000	1601.300000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3761
31/6-3	9	1601.500000	1620.000000	[m   ]	177.800000	12	YES	35	9999-12-31	2013-05-08	3762
31/6-5	1	1470.000000	1497.300000	[m   ]	246.400000	10	YES	105	9999-12-31	2013-05-08	3763
31/6-5	10	1693.000000	1720.700000	[m   ]	246.400000	10	YES	105	9999-12-31	2013-05-08	3764
31/6-5	2	1497.000000	1518.000000	[m   ]	246.400000	10	YES	105	9999-12-31	2013-05-08	3765
31/6-5	3	1523.000000	1550.500000	[m   ]	246.400000	10	YES	105	9999-12-31	2013-05-08	3766
31/6-5	4	1550.500000	1557.400000	[m   ]	246.400000	10	YES	105	9999-12-31	2013-05-08	3767
31/6-5	5	1557.500000	1584.000000	[m   ]	246.400000	10	YES	105	9999-12-31	2013-05-08	3768
31/6-5	6	1584.000000	1611.000000	[m   ]	246.400000	10	YES	105	9999-12-31	2013-05-08	3769
31/6-5	7	1611.000000	1637.800000	[m   ]	246.400000	10	YES	105	9999-12-31	2013-05-08	3770
31/6-5	8	1638.000000	1665.800000	[m   ]	246.400000	10	YES	105	9999-12-31	2013-05-08	3771
31/6-5	9	1665.500000	1693.500000	[m   ]	246.400000	10	YES	105	9999-12-31	2013-05-08	3772
31/6-6	1	1525.000000	1544.900000	[m   ]	236.100000	9	YES	127	9999-12-31	2013-05-08	3773
31/6-6	2	1552.000000	1575.900000	[m   ]	236.100000	9	YES	127	9999-12-31	2013-05-08	3774
31/6-6	3	1579.500000	1607.400000	[m   ]	236.100000	9	YES	127	9999-12-31	2013-05-08	3775
31/6-6	4	1607.000000	1633.500000	[m   ]	236.100000	9	YES	127	9999-12-31	2013-05-08	3776
31/6-6	5	1634.500000	1662.300000	[m   ]	236.100000	9	YES	127	9999-12-31	2013-05-08	3777
31/6-6	6	1662.300000	1689.400000	[m   ]	236.100000	9	YES	127	9999-12-31	2013-05-08	3778
31/6-6	7	1689.400000	1716.400000	[m   ]	236.100000	9	YES	127	9999-12-31	2013-05-08	3779
31/6-6	8	1716.400000	1744.600000	[m   ]	236.100000	9	YES	127	9999-12-31	2013-05-08	3780
31/6-6	9	1744.600000	1772.600000	[m   ]	236.100000	9	YES	127	9999-12-31	2013-05-08	3781
31/6-8	1	\N	0.000000	\N	145.800000	12	YES	466	9999-12-31	2013-05-08	3782
31/6-8	10	1641.500000	1659.000000	[m   ]	145.800000	12	YES	466	9999-12-31	2013-05-08	3783
31/6-8	11	1663.000000	1673.000000	[m   ]	145.800000	12	YES	466	9999-12-31	2013-05-08	3784
31/6-8	12	1681.500000	1699.000000	[m   ]	145.800000	12	YES	466	9999-12-31	2013-05-08	3785
31/6-8	2	1503.000000	1512.000000	[m   ]	145.800000	12	YES	466	9999-12-31	2013-05-08	3786
31/6-8	3	1520.000000	1530.000000	[m   ]	145.800000	12	YES	466	9999-12-31	2013-05-08	3787
31/6-8	4	1537.000000	1551.000000	[m   ]	145.800000	12	YES	466	9999-12-31	2013-05-08	3788
31/6-8	5	1555.000000	1566.000000	[m   ]	145.800000	12	YES	466	9999-12-31	2013-05-08	3789
31/6-8	6	1567.500000	1586.000000	[m   ]	145.800000	12	YES	466	9999-12-31	2013-05-08	3790
31/6-8	7	1586.000000	1604.000000	[m   ]	145.800000	12	YES	466	9999-12-31	2013-05-08	3791
31/6-8	8	1604.500000	1623.000000	[m   ]	145.800000	12	YES	466	9999-12-31	2013-05-08	3792
31/6-8	9	1623.000000	1641.000000	[m   ]	145.800000	12	YES	466	9999-12-31	2013-05-08	3793
31/6-A-11	1	1511.500000	1521.100000	[m   ]	28.100000	2	YES	2587	9999-12-31	2013-05-08	3794
31/6-A-11	2	1530.000000	1548.500000	[m   ]	28.100000	2	YES	2587	9999-12-31	2013-05-08	3795
31/6-A-33	1	1594.000000	1608.300000	[m   ]	31.500000	3	YES	3097	9999-12-31	2013-05-08	3796
31/6-A-33	2	1795.000000	1808.300000	[m   ]	31.500000	3	YES	3097	9999-12-31	2013-05-08	3797
31/6-A-33	3	1811.000000	1815.000000	[m   ]	31.500000	3	YES	3097	9999-12-31	2013-05-08	3798
31/6-A-8	1	\N	0.000000	\N	183.400000	21	YES	3205	9999-12-31	2013-05-08	3799
31/6-A-8	10	1469.700000	1478.700000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3800
31/6-A-8	11	1478.700000	1487.900000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3801
31/6-A-8	12	1487.900000	1497.500000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3802
31/6-A-8	13	1506.000000	1507.500000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3803
31/6-A-8	14	1507.500000	1516.000000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3804
31/6-A-8	15	1516.000000	1533.600000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3805
31/6-A-8	16	1534.100000	1551.500000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3806
31/6-A-8	17	1552.100000	1570.000000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3807
31/6-A-8	18	1570.000000	1580.500000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3808
31/6-A-8	19	1581.000000	1597.600000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3809
31/6-A-8	2	\N	0.000000	\N	183.400000	21	YES	3205	9999-12-31	2013-05-08	3810
31/6-A-8	20	1599.000000	1620.500000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3811
31/6-A-8	21	1754.000000	1772.200000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3812
31/6-A-8	3	\N	0.000000	\N	183.400000	21	YES	3205	9999-12-31	2013-05-08	3813
31/6-A-8	4	\N	0.000000	\N	183.400000	21	YES	3205	9999-12-31	2013-05-08	3814
31/6-A-8	5	\N	0.000000	\N	183.400000	21	YES	3205	9999-12-31	2013-05-08	3815
31/6-A-8	6	\N	0.000000	\N	183.400000	21	YES	3205	9999-12-31	2013-05-08	3816
31/6-A-8	7	1443.000000	1452.000000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3817
31/6-A-8	8	1452.000000	1459.800000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3818
31/6-A-8	9	1460.600000	1469.600000	[m   ]	183.400000	21	YES	3205	9999-12-31	2013-05-08	3819
32/4-1	1	1220.000000	1232.600000	[m   ]	40.800000	4	YES	2918	9999-12-31	2013-05-08	3820
32/4-1	2	1232.600000	1237.100000	[m   ]	40.800000	4	YES	2918	9999-12-31	2013-05-08	3821
32/4-1	3	1237.500000	1242.100000	[m   ]	40.800000	4	YES	2918	9999-12-31	2013-05-08	3822
32/4-1	4	1256.000000	1275.200000	[m   ]	40.800000	4	YES	2918	9999-12-31	2013-05-08	3823
33/12-1	1	7950.000000	7989.000000	[ft  ]	71.900000	8	YES	417	9999-12-31	2013-05-08	3824
33/12-1	2	8010.000000	8023.000000	[ft  ]	71.900000	8	YES	417	9999-12-31	2013-05-08	3825
33/12-1	3	8032.000000	8040.000000	[ft  ]	71.900000	8	YES	417	9999-12-31	2013-05-08	3826
33/12-1	4	8145.000000	8205.000000	[ft  ]	71.900000	8	YES	417	9999-12-31	2013-05-08	3827
33/12-1	5	8205.000000	8244.000000	[ft  ]	71.900000	8	YES	417	9999-12-31	2013-05-08	3828
33/12-1	6	8265.000000	8272.000000	[ft  ]	71.900000	8	YES	417	9999-12-31	2013-05-08	3829
33/12-1	7	8343.000000	8388.000000	[ft  ]	71.900000	8	YES	417	9999-12-31	2013-05-08	3830
33/12-1	8	9334.000000	9359.000000	[ft  ]	71.900000	8	YES	417	9999-12-31	2013-05-08	3831
33/12-2	1	8659.500000	8697.000000	[ft  ]	23.900000	3	YES	418	9999-12-31	2013-05-08	3832
33/12-2	2	8870.000000	8901.000000	[ft  ]	23.900000	3	YES	418	9999-12-31	2013-05-08	3833
33/12-2	3	8919.000000	8929.000000	[ft  ]	23.900000	3	YES	418	9999-12-31	2013-05-08	3834
33/12-4	1	8824.000000	8837.000000	[ft  ]	30.800000	7	YES	126	9999-12-31	2013-05-08	3835
33/12-4	2	8837.000000	8859.000000	[ft  ]	30.800000	7	YES	126	9999-12-31	2013-05-08	3836
33/12-4	3	8874.000000	8901.000000	[ft  ]	30.800000	7	YES	126	9999-12-31	2013-05-08	3837
33/12-4	4	8901.000000	8928.000000	[ft  ]	30.800000	7	YES	126	9999-12-31	2013-05-08	3838
33/12-4	5	9071.000000	9083.000000	[ft  ]	30.800000	7	YES	126	9999-12-31	2013-05-08	3839
33/12-4	6	\N	0.000000	\N	30.800000	7	YES	126	9999-12-31	2013-05-08	3840
33/12-4	7	\N	0.000000	\N	30.800000	7	YES	126	9999-12-31	2013-05-08	3841
33/12-6	1	3736.000000	3742.500000	[m   ]	6.500000	1	YES	119	9999-12-31	2013-05-08	3842
33/12-7	1	3035.000000	3051.500000	[m   ]	16.500000	1	YES	1358	9999-12-31	2013-05-08	3843
33/12-B-10	1	2720.000000	2738.000000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3844
33/12-B-10	10	2858.000000	2885.500000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3845
33/12-B-10	11	2886.000000	2906.700000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3846
33/12-B-10	12	2907.500000	2935.000000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3847
33/12-B-10	13	2935.000000	2939.600000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3848
33/12-B-10	2	2738.000000	2760.000000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3849
33/12-B-10	3	2760.000000	2769.900000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3850
33/12-B-10	4	2786.000000	2792.400000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3851
33/12-B-10	5	2793.500000	2802.900000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3852
33/12-B-10	6	2804.500000	2817.900000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3853
33/12-B-10	7	2819.000000	2831.700000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3854
33/12-B-10	8	2832.500000	2850.000000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3855
33/12-B-10	9	2852.000000	2857.500000	[m   ]	179.200000	13	YES	745	9999-12-31	2013-05-08	3856
33/12-B-13	1	2890.900000	2899.800000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3857
33/12-B-13	10	2980.200000	3007.800000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3858
33/12-B-13	11	3008.200000	3035.900000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3859
33/12-B-13	12	3036.000000	3063.700000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3860
33/12-B-13	13	3063.200000	3090.800000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3861
33/12-B-13	14	3091.000000	3118.000000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3862
33/12-B-13	2	2900.100000	2908.200000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3863
33/12-B-13	3	2909.400000	2911.200000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3864
33/12-B-13	4	2913.000000	2918.000000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3865
33/12-B-13	5	2918.000000	2925.400000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3866
33/12-B-13	6	2926.000000	2933.000000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3867
33/12-B-13	7	2935.600000	2944.200000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3868
33/12-B-13	8	2945.600000	2952.600000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3869
33/12-B-13	9	2953.000000	2980.000000	[m   ]	218.600000	14	YES	843	9999-12-31	2013-05-08	3870
33/12-B-16	1	3316.000000	3331.600000	[m   ]	42.300000	2	YES	2211	9999-12-31	2013-05-08	3871
33/12-B-16	2	3332.000000	3358.700000	[m   ]	42.300000	2	YES	2211	9999-12-31	2013-05-08	3872
33/12-B-16 A	1	3220.000000	3247.100000	[m   ]	54.300000	2	YES	2251	9999-12-31	2013-05-08	3873
33/12-B-16 A	2	3345.000000	3372.200000	[m   ]	54.300000	2	YES	2251	9999-12-31	2013-05-08	3874
33/12-B-18	1	3494.000000	3499.000000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3875
33/12-B-18	10	3868.600000	3896.400000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3876
33/12-B-18	11	3896.500000	3924.300000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3877
33/12-B-18	12	3924.500000	3952.200000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3878
33/12-B-18	2	3499.000000	3516.200000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3879
33/12-B-18	3	3683.500000	3711.400000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3880
33/12-B-18	4	3711.400000	3728.700000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3881
33/12-B-18	5	3729.700000	3754.600000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3882
33/12-B-18	6	3756.000000	3783.500000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3883
33/12-B-18	7	3785.000000	3812.900000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3884
33/12-B-18	8	3812.900000	3840.600000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3885
33/12-B-18	9	3840.600000	3868.400000	[m   ]	287.400000	12	YES	747	9999-12-31	2013-05-08	3886
33/12-B-19	1	3406.000000	3424.000000	[m   ]	18.000000	1	YES	209	9999-12-31	2013-05-08	3887
33/12-B-20	1	2683.000000	2710.700000	[m   ]	82.700000	3	YES	917	9999-12-31	2013-05-08	3888
33/12-B-20	2	2711.000000	2739.000000	[m   ]	82.700000	3	YES	917	9999-12-31	2013-05-08	3889
33/12-B-20	3	2739.000000	2767.000000	[m   ]	82.700000	3	YES	917	9999-12-31	2013-05-08	3890
33/12-B-21	1	3275.100000	3302.000000	[m   ]	43.700000	2	YES	748	9999-12-31	2013-05-08	3891
33/12-B-21	2	3303.000000	3317.000000	[m   ]	43.700000	2	YES	748	9999-12-31	2013-05-08	3892
33/12-B-23 A	1	4036.000000	4115.100000	[m   ]	120.200000	4	YES	2862	9999-12-31	2013-05-08	3893
33/12-B-23 A	2	4117.000000	4134.500000	[m   ]	120.200000	4	YES	2862	9999-12-31	2013-05-08	3894
33/12-B-23 A	3	4135.000000	4149.600000	[m   ]	120.200000	4	YES	2862	9999-12-31	2013-05-08	3895
33/12-B-23 A	4	4149.600000	4158.600000	[m   ]	120.200000	4	YES	2862	9999-12-31	2013-05-08	3896
33/12-B-26	1	4049.000000	4076.500000	[m   ]	217.500000	9	YES	752	9999-12-31	2013-05-08	3897
33/12-B-26	2	4076.500000	4104.000000	[m   ]	217.500000	9	YES	752	9999-12-31	2013-05-08	3898
33/12-B-26	3	4104.000000	4107.500000	[m   ]	217.500000	9	YES	752	9999-12-31	2013-05-08	3899
33/12-B-26	4	4108.000000	4135.500000	[m   ]	217.500000	9	YES	752	9999-12-31	2013-05-08	3900
33/12-B-26	5	4136.000000	4163.000000	[m   ]	217.500000	9	YES	752	9999-12-31	2013-05-08	3901
33/12-B-26	6	4163.000000	4190.200000	[m   ]	217.500000	9	YES	752	9999-12-31	2013-05-08	3902
33/12-B-26	7	4191.000000	4218.000000	[m   ]	217.500000	9	YES	752	9999-12-31	2013-05-08	3903
33/12-B-26	8	4219.000000	4245.700000	[m   ]	217.500000	9	YES	752	9999-12-31	2013-05-08	3904
33/12-B-26	9	4245.700000	4269.400000	[m   ]	217.500000	9	YES	752	9999-12-31	2013-05-08	3905
33/12-B-37	1	3156.400000	3183.800000	[m   ]	164.500000	6	YES	758	9999-12-31	2013-05-08	3906
33/12-B-37	2	3184.000000	3211.000000	[m   ]	164.500000	6	YES	758	9999-12-31	2013-05-08	3907
33/12-B-37	3	3211.500000	3239.400000	[m   ]	164.500000	6	YES	758	9999-12-31	2013-05-08	3908
33/12-B-37	4	3239.400000	3266.800000	[m   ]	164.500000	6	YES	758	9999-12-31	2013-05-08	3909
33/12-B-37	5	3267.000000	3294.200000	[m   ]	164.500000	6	YES	758	9999-12-31	2013-05-08	3910
33/12-B-37	6	3294.500000	3322.000000	[m   ]	164.500000	6	YES	758	9999-12-31	2013-05-08	3911
33/12-B-39	1	3415.000000	3441.600000	[m   ]	223.300000	8	YES	762	9999-12-31	2013-05-08	3912
33/12-B-39	2	3443.000000	3470.700000	[m   ]	223.300000	8	YES	762	9999-12-31	2013-05-08	3913
33/12-B-39	3	3471.000000	3498.900000	[m   ]	223.300000	8	YES	762	9999-12-31	2013-05-08	3914
33/12-B-39	4	3499.000000	3526.000000	[m   ]	223.300000	8	YES	762	9999-12-31	2013-05-08	3915
33/12-B-39	5	3526.500000	3554.500000	[m   ]	223.300000	8	YES	762	9999-12-31	2013-05-08	3916
33/12-B-39	6	3554.000000	3581.600000	[m   ]	223.300000	8	YES	762	9999-12-31	2013-05-08	3917
33/12-B-39	7	3581.500000	3608.000000	[m   ]	223.300000	8	YES	762	9999-12-31	2013-05-08	3918
33/12-B-39	8	3609.000000	3636.500000	[m   ]	223.300000	8	YES	762	9999-12-31	2013-05-08	3919
33/12-B-41	1	3948.000000	3971.500000	[m   ]	244.000000	11	YES	763	9999-12-31	2013-05-08	3920
33/12-B-41	10	4159.500000	4186.700000	[m   ]	244.000000	11	YES	763	9999-12-31	2013-05-08	3921
33/12-B-41	11	4187.000000	4203.000000	[m   ]	244.000000	11	YES	763	9999-12-31	2013-05-08	3922
33/12-B-41	2	\N	0.000000	\N	244.000000	11	YES	763	9999-12-31	2013-05-08	3923
33/12-B-41	3	3980.000000	4007.500000	[m   ]	244.000000	11	YES	763	9999-12-31	2013-05-08	3924
33/12-B-41	4	4007.500000	4035.000000	[m   ]	244.000000	11	YES	763	9999-12-31	2013-05-08	3925
33/12-B-41	5	4035.000000	4061.000000	[m   ]	244.000000	11	YES	763	9999-12-31	2013-05-08	3926
33/12-B-41	6	4062.500000	4084.700000	[m   ]	244.000000	11	YES	763	9999-12-31	2013-05-08	3927
33/12-B-41	7	4085.000000	4109.500000	[m   ]	244.000000	11	YES	763	9999-12-31	2013-05-08	3928
33/12-B-41	8	4109.500000	4137.000000	[m   ]	244.000000	11	YES	763	9999-12-31	2013-05-08	3929
33/12-B-41	9	4137.000000	4159.100000	[m   ]	244.000000	11	YES	763	9999-12-31	2013-05-08	3930
33/12-B-6	1	2591.000000	2607.800000	[m   ]	136.500000	6	YES	899	9999-12-31	2013-05-08	3931
33/12-B-6	2	2607.500000	2616.800000	[m   ]	136.500000	6	YES	899	9999-12-31	2013-05-08	3932
33/12-B-6	3	2617.000000	2644.500000	[m   ]	136.500000	6	YES	899	9999-12-31	2013-05-08	3933
33/12-B-6	4	2644.800000	2672.000000	[m   ]	136.500000	6	YES	899	9999-12-31	2013-05-08	3934
33/12-B-6	5	2672.000000	2699.900000	[m   ]	136.500000	6	YES	899	9999-12-31	2013-05-08	3935
33/12-B-6	6	2699.500000	2727.200000	[m   ]	136.500000	6	YES	899	9999-12-31	2013-05-08	3936
33/12-B-9	1	3715.000000	3741.800000	[m   ]	148.800000	6	YES	743	9999-12-31	2013-05-08	3937
33/12-B-9	2	3742.500000	3770.000000	[m   ]	148.800000	6	YES	743	9999-12-31	2013-05-08	3938
33/12-B-9	3	3770.000000	3792.500000	[m   ]	148.800000	6	YES	743	9999-12-31	2013-05-08	3939
33/12-B-9	4	3803.000000	3825.000000	[m   ]	148.800000	6	YES	743	9999-12-31	2013-05-08	3940
33/12-B-9	5	3825.000000	3852.000000	[m   ]	148.800000	6	YES	743	9999-12-31	2013-05-08	3941
33/12-B-9	6	3852.500000	3870.600000	[m   ]	148.800000	6	YES	743	9999-12-31	2013-05-08	3942
33/5-1	1	3066.000000	3076.500000	[m   ]	10.500000	1	YES	103	9999-12-31	2013-05-08	3943
33/5-2	1	4053.500000	4069.800000	[m   ]	38.600000	3	YES	405	9999-12-31	2013-05-08	3944
33/5-2	2	4071.500000	4083.500000	[m   ]	38.600000	3	YES	405	9999-12-31	2013-05-08	3945
33/5-2	3	4087.200000	4099.700000	[m   ]	38.600000	3	YES	405	9999-12-31	2013-05-08	3946
33/6-1	1	3607.000000	3615.500000	[m   ]	13.100000	2	YES	406	9999-12-31	2013-05-08	3947
33/6-1	2	3802.000000	3806.600000	[m   ]	13.100000	2	YES	406	9999-12-31	2013-05-08	3948
33/6-2	1	3500.000000	3519.700000	[m   ]	31.500000	2	YES	2873	9999-12-31	2013-05-08	3949
33/6-2	2	3540.000000	3551.900000	[m   ]	31.500000	2	YES	2873	9999-12-31	2013-05-08	3950
33/9-1	1	8101.000000	8156.000000	[ft  ]	5.700000	2	YES	407	9999-12-31	2013-05-08	3951
33/9-1	2	8156.000000	8174.500000	[ft  ]	5.700000	2	YES	407	9999-12-31	2013-05-08	3952
33/9-10	1	3358.000000	3376.000000	[m   ]	18.000000	1	YES	415	9999-12-31	2013-05-08	3953
33/9-11	1	3134.000000	3152.000000	[m   ]	18.000000	1	YES	416	9999-12-31	2013-05-08	3954
33/9-12	1	2467.000000	2498.500000	[m   ]	96.200000	3	YES	1069	9999-12-31	2013-05-08	3955
33/9-12	2	2499.000000	2528.800000	[m   ]	96.200000	3	YES	1069	9999-12-31	2013-05-08	3956
33/9-12	3	2531.000000	2565.900000	[m   ]	96.200000	3	YES	1069	9999-12-31	2013-05-08	3957
33/9-13 S	1	2732.000000	2754.300000	[m   ]	93.500000	4	YES	1028	9999-12-31	2013-05-08	3958
33/9-13 S	2	2756.000000	2783.400000	[m   ]	93.500000	4	YES	1028	9999-12-31	2013-05-08	3959
33/9-13 S	3	2783.400000	2799.900000	[m   ]	93.500000	4	YES	1028	9999-12-31	2013-05-08	3960
33/9-13 S	4	2801.000000	2828.300000	[m   ]	93.500000	4	YES	1028	9999-12-31	2013-05-08	3961
33/9-14	1	2680.000000	2707.700000	[m   ]	159.000000	6	YES	1226	9999-12-31	2013-05-08	3962
33/9-14	2	2707.500000	2744.100000	[m   ]	159.000000	6	YES	1226	9999-12-31	2013-05-08	3963
33/9-14	3	2744.000000	2744.100000	[m   ]	159.000000	6	YES	1226	9999-12-31	2013-05-08	3964
33/9-14	4	2782.000000	2810.700000	[m   ]	159.000000	6	YES	1226	9999-12-31	2013-05-08	3965
33/9-14	5	2810.700000	2838.500000	[m   ]	159.000000	6	YES	1226	9999-12-31	2013-05-08	3966
33/9-14	6	2842.000000	2879.000000	[m   ]	159.000000	6	YES	1226	9999-12-31	2013-05-08	3967
33/9-15	1	2711.000000	2721.800000	[m   ]	119.800000	8	YES	1810	9999-12-31	2013-05-08	3968
33/9-15	2	2723.000000	2731.600000	[m   ]	119.800000	8	YES	1810	9999-12-31	2013-05-08	3969
33/9-15	3	2733.000000	2769.600000	[m   ]	119.800000	8	YES	1810	9999-12-31	2013-05-08	3970
33/9-15	4	2770.200000	2783.100000	[m   ]	119.800000	8	YES	1810	9999-12-31	2013-05-08	3971
33/9-15	5	2783.000000	2800.500000	[m   ]	119.800000	8	YES	1810	9999-12-31	2013-05-08	3972
33/9-15	6	2801.000000	2806.700000	[m   ]	119.800000	8	YES	1810	9999-12-31	2013-05-08	3973
33/9-15	7	2811.000000	2820.000000	[m   ]	119.800000	8	YES	1810	9999-12-31	2013-05-08	3974
33/9-15	8	2820.000000	2838.500000	[m   ]	119.800000	8	YES	1810	9999-12-31	2013-05-08	3975
33/9-16	1	2681.000000	2707.000000	[m   ]	67.800000	3	YES	1801	9999-12-31	2013-05-08	3976
33/9-16	2	2707.000000	2734.200000	[m   ]	67.800000	3	YES	1801	9999-12-31	2013-05-08	3977
33/9-16	3	2734.200000	2748.000000	[m   ]	67.800000	3	YES	1801	9999-12-31	2013-05-08	3978
33/9-17	1	3029.000000	3034.500000	[m   ]	29.300000	3	YES	2114	9999-12-31	2013-05-08	3979
33/9-17	2	3034.500000	3041.700000	[m   ]	29.300000	3	YES	2114	9999-12-31	2013-05-08	3980
33/9-17	3	3042.500000	3059.100000	[m   ]	29.300000	3	YES	2114	9999-12-31	2013-05-08	3981
33/9-18	1	2967.000000	2975.700000	[m   ]	23.700000	3	YES	2454	9999-12-31	2013-05-08	3982
33/9-18	2	3045.000000	3054.000000	[m   ]	23.700000	3	YES	2454	9999-12-31	2013-05-08	3983
33/9-18	3	3233.000000	3239.000000	[m   ]	23.700000	3	YES	2454	9999-12-31	2013-05-08	3984
33/9-18 A	1	3397.000000	3403.100000	[m   ]	6.000000	1	YES	2455	9999-12-31	2013-05-08	3985
33/9-19 S	1	2709.000000	2727.200000	[m   ]	18.100000	1	YES	2830	9999-12-31	2013-05-08	3986
33/9-3	1	7940.000000	7960.000000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3987
33/9-3	10	8381.000000	8432.000000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3988
33/9-3	11	8441.000000	8498.000000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3989
33/9-3	12	8498.000000	8555.000000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3990
33/9-3	13	8556.000000	8596.300000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3991
33/9-3	2	8000.000000	8006.000000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3992
33/9-3	3	8014.000000	8048.000000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3993
33/9-3	4	8051.000000	8109.000000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3994
33/9-3	5	8109.000000	8135.000000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3995
33/9-3	6	8164.000000	8224.000000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3996
33/9-3	7	8224.000000	8246.600000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3997
33/9-3	8	8261.000000	8309.000000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3998
33/9-3	9	8321.000000	8346.300000	[ft  ]	155.800000	13	YES	125	9999-12-31	2013-05-08	3999
33/9-4	1	2547.200000	2555.400000	[m   ]	64.900000	9	YES	409	9999-12-31	2013-05-08	4000
33/9-4	2	2555.400000	2564.900000	[m   ]	64.900000	9	YES	409	9999-12-31	2013-05-08	4001
33/9-4	3	2564.900000	2568.600000	[m   ]	64.900000	9	YES	409	9999-12-31	2013-05-08	4002
33/9-4	4	2568.600000	2577.700000	[m   ]	64.900000	9	YES	409	9999-12-31	2013-05-08	4003
33/9-4	5	2577.700000	2581.100000	[m   ]	64.900000	9	YES	409	9999-12-31	2013-05-08	4004
33/9-4	6	2581.100000	2585.000000	[m   ]	64.900000	9	YES	409	9999-12-31	2013-05-08	4005
33/9-4	7	2585.000000	2594.200000	[m   ]	64.900000	9	YES	409	9999-12-31	2013-05-08	4006
33/9-4	8	2594.200000	2603.300000	[m   ]	64.900000	9	YES	409	9999-12-31	2013-05-08	4007
33/9-4	9	2603.300000	2612.400000	[m   ]	64.900000	9	YES	409	9999-12-31	2013-05-08	4008
33/9-5	1	2611.500000	2628.000000	[m   ]	16.700000	1	YES	410	9999-12-31	2013-05-08	4009
33/9-6	1	2997.000000	3015.000000	[m   ]	36.400000	2	YES	411	9999-12-31	2013-05-08	4010
33/9-6	2	3015.000000	3033.400000	[m   ]	36.400000	2	YES	411	9999-12-31	2013-05-08	4011
33/9-7	1	2465.000000	2465.700000	[m   ]	110.500000	9	YES	412	9999-12-31	2013-05-08	4012
33/9-7	2	2474.000000	2490.300000	[m   ]	110.500000	9	YES	412	9999-12-31	2013-05-08	4013
33/9-7	3	2493.000000	2511.300000	[m   ]	110.500000	9	YES	412	9999-12-31	2013-05-08	4014
33/9-7	4	2511.300000	2526.300000	[m   ]	110.500000	9	YES	412	9999-12-31	2013-05-08	4015
33/9-7	5	2527.000000	2537.000000	[m   ]	110.500000	9	YES	412	9999-12-31	2013-05-08	4016
33/9-7	6	2537.000000	2547.900000	[m   ]	110.500000	9	YES	412	9999-12-31	2013-05-08	4017
33/9-7	7	2550.000000	2561.800000	[m   ]	110.500000	9	YES	412	9999-12-31	2013-05-08	4018
33/9-7	8	2575.000000	2591.900000	[m   ]	110.500000	9	YES	412	9999-12-31	2013-05-08	4019
33/9-7	9	2592.000000	2595.600000	[m   ]	110.500000	9	YES	412	9999-12-31	2013-05-08	4020
33/9-8	1	2670.000000	2671.000000	[m   ]	37.300000	3	YES	413	9999-12-31	2013-05-08	4021
33/9-8	2	2688.500000	2706.300000	[m   ]	37.300000	3	YES	413	9999-12-31	2013-05-08	4022
33/9-8	3	2706.800000	2724.500000	[m   ]	37.300000	3	YES	413	9999-12-31	2013-05-08	4023
33/9-9	1	2414.000000	2421.900000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4024
33/9-9	10	2722.300000	2732.300000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4025
33/9-9	11	2732.300000	2740.300000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4026
33/9-9	12	2740.300000	2754.800000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4027
33/9-9	13	2754.800000	2768.600000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4028
33/9-9	14	2768.800000	2774.300000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4029
33/9-9	15	2774.300000	2786.600000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4030
33/9-9	16	2786.600000	2793.000000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4031
33/9-9	17	2793.000000	2807.500000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4032
33/9-9	18	2807.500000	2818.400000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4033
33/9-9	19	2818.400000	2826.200000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4034
33/9-9	2	2432.300000	2444.300000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4035
33/9-9	20	2826.200000	2837.500000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4036
33/9-9	21	2837.500000	2853.500000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4037
33/9-9	22	2853.500000	2866.000000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4038
33/9-9	23	2866.000000	2876.500000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4039
33/9-9	3	2444.300000	2444.800000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4040
33/9-9	4	2446.300000	2455.300000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4041
33/9-9	5	2455.300000	2468.300000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4042
33/9-9	6	2468.300000	2482.300000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4043
33/9-9	7	2482.300000	2500.600000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4044
33/9-9	8	2500.600000	2517.800000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4045
33/9-9	9	2719.000000	2722.300000	[m   ]	258.700000	23	YES	414	9999-12-31	2013-05-08	4046
33/9-A-17	1	3257.000000	3275.900000	[m   ]	138.800000	7	YES	481	9999-12-31	2013-05-08	4047
33/9-A-17	2	3275.900000	3288.000000	[m   ]	138.800000	7	YES	481	9999-12-31	2013-05-08	4048
33/9-A-17	3	3288.900000	3316.000000	[m   ]	138.800000	7	YES	481	9999-12-31	2013-05-08	4049
33/9-A-17	4	3316.500000	3333.000000	[m   ]	138.800000	7	YES	481	9999-12-31	2013-05-08	4050
33/9-A-17	5	3335.500000	3345.000000	[m   ]	138.800000	7	YES	481	9999-12-31	2013-05-08	4051
33/9-A-17	6	3345.300000	3369.000000	[m   ]	138.800000	7	YES	481	9999-12-31	2013-05-08	4052
33/9-A-17	7	3370.300000	3398.000000	[m   ]	138.800000	7	YES	481	9999-12-31	2013-05-08	4053
33/9-A-18	1	3097.000000	3115.500000	[m   ]	37.000000	2	YES	706	9999-12-31	2013-05-08	4054
33/9-A-18	2	3115.500000	3134.000000	[m   ]	37.000000	2	YES	706	9999-12-31	2013-05-08	4055
33/9-A-2	1	4003.600000	4031.100000	[m   ]	27.500000	1	YES	682	9999-12-31	2013-05-08	4056
33/9-A-22	1	3631.000000	3658.500000	[m   ]	132.500000	6	YES	709	9999-12-31	2013-05-08	4057
33/9-A-22	2	3658.500000	3686.000000	[m   ]	132.500000	6	YES	709	9999-12-31	2013-05-08	4058
33/9-A-22	3	3686.000000	3713.600000	[m   ]	132.500000	6	YES	709	9999-12-31	2013-05-08	4059
33/9-A-22	4	3713.500000	3733.200000	[m   ]	132.500000	6	YES	709	9999-12-31	2013-05-08	4060
33/9-A-22	5	3737.500000	3748.000000	[m   ]	132.500000	6	YES	709	9999-12-31	2013-05-08	4061
33/9-A-22	6	3748.000000	3767.400000	[m   ]	132.500000	6	YES	709	9999-12-31	2013-05-08	4062
33/9-A-23	1	2463.000000	2467.600000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4063
33/9-A-23	10	2561.500000	2563.600000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4064
33/9-A-23	11	2579.500000	2582.600000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4065
33/9-A-23	12	2587.400000	2605.200000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4066
33/9-A-23	13	2605.400000	2623.300000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4067
33/9-A-23	14	2623.400000	2641.400000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4068
33/9-A-23	15	2641.400000	2644.200000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4069
33/9-A-23	16	2645.000000	2662.600000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4070
33/9-A-23	17	2967.900000	2985.900000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4071
33/9-A-23	18	2985.900000	3004.000000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4072
33/9-A-23	19	3004.000000	3022.000000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4073
33/9-A-23	2	2473.000000	2479.000000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4074
33/9-A-23	3	2479.000000	2495.300000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4075
33/9-A-23	4	2496.500000	2505.200000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4076
33/9-A-23	5	2505.500000	2517.000000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4077
33/9-A-23	6	2517.000000	2527.700000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4078
33/9-A-23	7	2528.000000	2530.500000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4079
33/9-A-23	8	2532.000000	2540.100000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4080
33/9-A-23	9	2543.500000	2560.300000	[m   ]	218.600000	19	YES	710	9999-12-31	2013-05-08	4081
33/9-A-31	1	3236.100000	3245.200000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4082
33/9-A-31	10	3450.200000	3498.700000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4083
33/9-A-31	11	3477.000000	3505.100000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4084
33/9-A-31	12	3507.000000	3526.800000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4085
33/9-A-31	2	3255.000000	3274.500000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4086
33/9-A-31	3	3284.800000	3302.000000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4087
33/9-A-31	4	3302.000000	3370.700000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4088
33/9-A-31	5	3321.000000	3348.800000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4089
33/9-A-31	6	3349.000000	3375.900000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4090
33/9-A-31	7	3376.900000	3403.600000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4091
33/9-A-31	8	3404.200000	3431.700000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4092
33/9-A-31	9	3431.700000	3443.700000	[m   ]	259.700000	12	YES	715	9999-12-31	2013-05-08	4093
33/9-A-32	1	3395.000000	3417.100000	[m   ]	39.000000	2	YES	717	9999-12-31	2013-05-08	4094
33/9-A-32	2	3417.700000	3434.000000	[m   ]	39.000000	2	YES	717	9999-12-31	2013-05-08	4095
33/9-A-37	1	3392.000000	3406.600000	[m   ]	127.400000	8	YES	724	9999-12-31	2013-05-08	4096
33/9-A-37	2	3408.000000	3420.200000	[m   ]	127.400000	8	YES	724	9999-12-31	2013-05-08	4097
33/9-A-37	3	3423.000000	3438.100000	[m   ]	127.400000	8	YES	724	9999-12-31	2013-05-08	4098
33/9-A-37	4	3440.000000	3458.400000	[m   ]	127.400000	8	YES	724	9999-12-31	2013-05-08	4099
33/9-A-37	5	3458.400000	3476.400000	[m   ]	127.400000	8	YES	724	9999-12-31	2013-05-08	4100
33/9-A-37	6	3476.400000	3492.500000	[m   ]	127.400000	8	YES	724	9999-12-31	2013-05-08	4101
33/9-A-37	7	3494.500000	3508.900000	[m   ]	127.400000	8	YES	724	9999-12-31	2013-05-08	4102
33/9-A-37	8	3508.500000	3526.700000	[m   ]	127.400000	8	YES	724	9999-12-31	2013-05-08	4103
33/9-A-37 B	1	2511.000000	2532.100000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4104
33/9-A-37 B	10	\N	0.000000	\N	648.800000	15	YES	4398	9999-12-31	2013-05-08	4105
33/9-A-37 B	11	2976.100000	3007.400000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4106
33/9-A-37 B	12	3007.400000	3031.900000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4107
33/9-A-37 B	13	3031.900000	3104.100000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4108
33/9-A-37 B	14	3104.100000	3183.100000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4109
33/9-A-37 B	15	3183.100000	3232.700000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4110
33/9-A-37 B	2	2533.000000	2569.800000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4111
33/9-A-37 B	3	2569.000000	2602.400000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4112
33/9-A-37 B	4	2603.000000	2639.400000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4113
33/9-A-37 B	5	2639.000000	2693.400000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4114
33/9-A-37 B	6	2693.000000	2748.100000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4115
33/9-A-37 B	7	2748.100000	2821.000000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4116
33/9-A-37 B	8	2821.000000	2830.200000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4117
33/9-A-37 B	9	2830.200000	2903.100000	[m   ]	648.800000	15	YES	4398	9999-12-31	2013-05-08	4118
33/9-A-42	1	3317.700000	3321.300000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4119
33/9-A-42	10	3422.800000	3439.300000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4120
33/9-A-42	11	3440.000000	3448.500000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4121
33/9-A-42	12	3457.000000	3472.100000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4122
33/9-A-42	2	3322.600000	3330.800000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4123
33/9-A-42	3	3342.000000	3353.000000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4124
33/9-A-42	4	3357.000000	3367.300000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4125
33/9-A-42	5	3367.300000	3370.900000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4126
33/9-A-42	6	3372.900000	3378.100000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4127
33/9-A-42	7	3378.400000	3387.800000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4128
33/9-A-42	8	3387.800000	3404.200000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4129
33/9-A-42	9	3404.500000	3422.800000	[m   ]	125.900000	12	YES	728	9999-12-31	2013-05-08	4130
33/9-A-9	1	3022.900000	3040.900000	[m   ]	232.500000	10	YES	698	9999-12-31	2013-05-08	4131
33/9-A-9	10	3240.000000	3264.800000	[m   ]	232.500000	10	YES	698	9999-12-31	2013-05-08	4132
33/9-A-9	2	3040.900000	3059.800000	[m   ]	232.500000	10	YES	698	9999-12-31	2013-05-08	4133
33/9-A-9	3	3059.800000	3087.800000	[m   ]	232.500000	10	YES	698	9999-12-31	2013-05-08	4134
33/9-A-9	4	3087.800000	3115.800000	[m   ]	232.500000	10	YES	698	9999-12-31	2013-05-08	4135
33/9-A-9	5	3115.800000	3125.900000	[m   ]	232.500000	10	YES	698	9999-12-31	2013-05-08	4136
33/9-A-9	6	3128.300000	3156.000000	[m   ]	232.500000	10	YES	698	9999-12-31	2013-05-08	4137
33/9-A-9	7	3156.000000	3183.400000	[m   ]	232.500000	10	YES	698	9999-12-31	2013-05-08	4138
33/9-A-9	8	3190.000000	3211.900000	[m   ]	232.500000	10	YES	698	9999-12-31	2013-05-08	4139
33/9-A-9	9	3212.000000	3238.700000	[m   ]	232.500000	10	YES	698	9999-12-31	2013-05-08	4140
33/9-C-11	1	3051.000000	3094.600000	[m   ]	115.300000	4	YES	1599	9999-12-31	2013-05-08	4141
33/9-C-11	2	3100.000000	3123.400000	[m   ]	115.300000	4	YES	1599	9999-12-31	2013-05-08	4142
33/9-C-11	3	3124.000000	3150.600000	[m   ]	115.300000	4	YES	1599	9999-12-31	2013-05-08	4143
33/9-C-11	4	3521.000000	3548.700000	[m   ]	115.300000	4	YES	1599	9999-12-31	2013-05-08	4144
33/9-C-13	1	3082.000000	3103.600000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4145
33/9-C-13	10	3221.000000	3248.700000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4146
33/9-C-13	11	3248.500000	3274.000000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4147
33/9-C-13	12	3276.000000	3300.800000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4148
33/9-C-13	2	3109.000000	3109.500000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4149
33/9-C-13	3	3110.000000	3120.400000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4150
33/9-C-13	4	3121.000000	3128.500000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4151
33/9-C-13	5	3128.500000	3136.000000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4152
33/9-C-13	6	3136.000000	3154.000000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4153
33/9-C-13	7	3154.000000	3164.900000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4154
33/9-C-13	8	3165.000000	3192.800000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4155
33/9-C-13	9	3193.000000	3220.900000	[m   ]	210.900000	12	YES	768	9999-12-31	2013-05-08	4156
33/9-C-21	1	3055.000000	3081.400000	[m   ]	155.800000	6	YES	770	9999-12-31	2013-05-08	4157
33/9-C-21	2	3083.000000	3110.300000	[m   ]	155.800000	6	YES	770	9999-12-31	2013-05-08	4158
33/9-C-21	3	3111.000000	3137.800000	[m   ]	155.800000	6	YES	770	9999-12-31	2013-05-08	4159
33/9-C-21	4	3138.000000	3165.900000	[m   ]	155.800000	6	YES	770	9999-12-31	2013-05-08	4160
33/9-C-21	5	3166.000000	3193.700000	[m   ]	155.800000	6	YES	770	9999-12-31	2013-05-08	4161
33/9-C-21	6	3193.000000	3212.700000	[m   ]	155.800000	6	YES	770	9999-12-31	2013-05-08	4162
33/9-C-25	1	3328.000000	3348.500000	[m   ]	102.900000	4	YES	1009	9999-12-31	2013-05-08	4163
33/9-C-25	2	3349.000000	3376.300000	[m   ]	102.900000	4	YES	1009	9999-12-31	2013-05-08	4164
33/9-C-25	3	3376.000000	3403.800000	[m   ]	102.900000	4	YES	1009	9999-12-31	2013-05-08	4165
33/9-C-25	4	3404.000000	3431.300000	[m   ]	102.900000	4	YES	1009	9999-12-31	2013-05-08	4166
33/9-C-27	1	3182.000000	3201.500000	[m   ]	35.900000	4	YES	1873	9999-12-31	2013-05-08	4167
33/9-C-27	2	3202.000000	3202.300000	[m   ]	35.900000	4	YES	1873	9999-12-31	2013-05-08	4168
33/9-C-27	3	3213.000000	3223.300000	[m   ]	35.900000	4	YES	1873	9999-12-31	2013-05-08	4169
33/9-C-27	4	3242.000000	3247.800000	[m   ]	35.900000	4	YES	1873	9999-12-31	2013-05-08	4170
33/9-C-30	1	4457.000000	4512.000000	[m   ]	315.800000	7	YES	1043	9999-12-31	2013-05-08	4171
33/9-C-30	2	4512.000000	4567.000000	[m   ]	315.800000	7	YES	1043	9999-12-31	2013-05-08	4172
33/9-C-30	3	4567.000000	4622.000000	[m   ]	315.800000	7	YES	1043	9999-12-31	2013-05-08	4173
33/9-C-30	4	4622.000000	4644.500000	[m   ]	315.800000	7	YES	1043	9999-12-31	2013-05-08	4174
33/9-C-30	5	4644.500000	4671.000000	[m   ]	315.800000	7	YES	1043	9999-12-31	2013-05-08	4175
33/9-C-30	6	4671.500000	4717.000000	[m   ]	315.800000	7	YES	1043	9999-12-31	2013-05-08	4176
33/9-C-30	7	4718.500000	4773.000000	[m   ]	315.800000	7	YES	1043	9999-12-31	2013-05-08	4177
33/9-C-31	1	2971.000000	2989.000000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4178
33/9-C-31	10	3306.000000	3333.600000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4179
33/9-C-31	11	3333.000000	3360.000000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4180
33/9-C-31	12	3360.000000	3387.000000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4181
33/9-C-31	13	3387.000000	3414.100000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4182
33/9-C-31	14	3414.000000	3441.000000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4183
33/9-C-31	2	2989.000000	2994.500000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4184
33/9-C-31	3	2994.500000	3000.100000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4185
33/9-C-31	4	3004.500000	3015.700000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4186
33/9-C-31	5	3015.500000	3026.000000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4187
33/9-C-31	6	3026.000000	3053.800000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4188
33/9-C-31	7	3225.000000	3251.700000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4189
33/9-C-31	8	3252.000000	3279.300000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4190
33/9-C-31	9	3279.000000	3306.000000	[m   ]	292.400000	14	YES	1020	9999-12-31	2013-05-08	4191
33/9-C-37	1	2988.000000	2998.500000	[m   ]	110.700000	7	YES	931	9999-12-31	2013-05-08	4192
33/9-C-37	2	2998.500000	3015.600000	[m   ]	110.700000	7	YES	931	9999-12-31	2013-05-08	4193
33/9-C-37	3	3017.000000	3031.500000	[m   ]	110.700000	7	YES	931	9999-12-31	2013-05-08	4194
33/9-C-37	4	3035.900000	3043.000000	[m   ]	110.700000	7	YES	931	9999-12-31	2013-05-08	4195
33/9-C-37	5	3042.000000	3053.700000	[m   ]	110.700000	7	YES	931	9999-12-31	2013-05-08	4196
33/9-C-37	6	3069.500000	3097.000000	[m   ]	110.700000	7	YES	931	9999-12-31	2013-05-08	4197
33/9-C-37	7	3097.000000	3121.300000	[m   ]	110.700000	7	YES	931	9999-12-31	2013-05-08	4198
33/9-C-38	1	2792.000000	2819.500000	[m   ]	55.000000	2	YES	776	9999-12-31	2013-05-08	4199
33/9-C-38	2	2819.500000	2847.000000	[m   ]	55.000000	2	YES	776	9999-12-31	2013-05-08	4200
33/9-C-40	1	3753.000000	3753.800000	[m   ]	5.900000	4	YES	1428	9999-12-31	2013-05-08	4201
33/9-C-40	2	3755.800000	3758.500000	[m   ]	5.900000	4	YES	1428	9999-12-31	2013-05-08	4202
33/9-C-40	3	3761.500000	3762.200000	[m   ]	5.900000	4	YES	1428	9999-12-31	2013-05-08	4203
33/9-C-40	4	3779.000000	3780.000000	[m   ]	5.900000	4	YES	1428	9999-12-31	2013-05-08	4204
33/9-C-42	1	3217.200000	3230.200000	[m   ]	283.400000	11	YES	778	9999-12-31	2013-05-08	4205
33/9-C-42	10	3446.800000	3474.800000	[m   ]	283.400000	11	YES	778	9999-12-31	2013-05-08	4206
33/9-C-42	11	3474.700000	3502.600000	[m   ]	283.400000	11	YES	778	9999-12-31	2013-05-08	4207
33/9-C-42	2	3230.000000	3258.000000	[m   ]	283.400000	11	YES	778	9999-12-31	2013-05-08	4208
33/9-C-42	3	3257.600000	3285.200000	[m   ]	283.400000	11	YES	778	9999-12-31	2013-05-08	4209
33/9-C-42	4	3285.600000	3313.400000	[m   ]	283.400000	11	YES	778	9999-12-31	2013-05-08	4210
33/9-C-42	5	3313.500000	3336.400000	[m   ]	283.400000	11	YES	778	9999-12-31	2013-05-08	4211
33/9-C-42	6	3336.400000	3364.300000	[m   ]	283.400000	11	YES	778	9999-12-31	2013-05-08	4212
33/9-C-42	7	3364.300000	3391.000000	[m   ]	283.400000	11	YES	778	9999-12-31	2013-05-08	4213
33/9-C-42	8	3391.300000	3418.900000	[m   ]	283.400000	11	YES	778	9999-12-31	2013-05-08	4214
33/9-C-42	9	3418.900000	3446.800000	[m   ]	283.400000	11	YES	778	9999-12-31	2013-05-08	4215
33/9-C-5	1	3658.000000	3678.900000	[m   ]	197.800000	6	YES	1015	9999-12-31	2013-05-08	4216
33/9-C-5	2	3681.600000	3737.000000	[m   ]	197.800000	6	YES	1015	9999-12-31	2013-05-08	4217
33/9-C-5	3	3737.000000	3778.000000	[m   ]	197.800000	6	YES	1015	9999-12-31	2013-05-08	4218
33/9-C-5	4	3778.000000	3830.000000	[m   ]	197.800000	6	YES	1015	9999-12-31	2013-05-08	4219
33/9-C-5	5	3831.000000	3832.000000	[m   ]	197.800000	6	YES	1015	9999-12-31	2013-05-08	4220
33/9-C-5	6	3833.000000	3860.500000	[m   ]	197.800000	6	YES	1015	9999-12-31	2013-05-08	4221
33/9-C-6	1	3755.000000	3779.400000	[m   ]	219.700000	7	YES	1137	9999-12-31	2013-05-08	4222
33/9-C-6	2	3778.500000	3800.000000	[m   ]	219.700000	7	YES	1137	9999-12-31	2013-05-08	4223
33/9-C-6	3	3800.000000	3831.500000	[m   ]	219.700000	7	YES	1137	9999-12-31	2013-05-08	4224
33/9-C-6	4	3832.000000	3861.700000	[m   ]	219.700000	7	YES	1137	9999-12-31	2013-05-08	4225
33/9-C-6	5	3861.700000	3880.600000	[m   ]	219.700000	7	YES	1137	9999-12-31	2013-05-08	4226
33/9-C-6	6	3879.700000	3929.700000	[m   ]	219.700000	7	YES	1137	9999-12-31	2013-05-08	4227
33/9-C-6	7	3929.700000	3973.700000	[m   ]	219.700000	7	YES	1137	9999-12-31	2013-05-08	4228
33/9-E-1 H	1	2879.000000	2906.400000	[m   ]	118.000000	5	YES	2417	9999-12-31	2013-05-08	4229
33/9-E-1 H	2	2906.500000	2933.600000	[m   ]	118.000000	5	YES	2417	9999-12-31	2013-05-08	4230
33/9-E-1 H	3	3106.000000	3132.400000	[m   ]	118.000000	5	YES	2417	9999-12-31	2013-05-08	4231
33/9-E-1 H	4	3133.000000	3160.000000	[m   ]	118.000000	5	YES	2417	9999-12-31	2013-05-08	4232
33/9-E-1 H	5	3160.500000	3170.700000	[m   ]	118.000000	5	YES	2417	9999-12-31	2013-05-08	4233
33/9-F-2 H	1	2922.000000	2949.300000	[m   ]	63.400000	3	YES	2478	9999-12-31	2013-05-08	4234
33/9-F-2 H	2	2949.000000	2957.700000	[m   ]	63.400000	3	YES	2478	9999-12-31	2013-05-08	4235
33/9-F-2 H	3	2957.700000	2985.100000	[m   ]	63.400000	3	YES	2478	9999-12-31	2013-05-08	4236
33/9-G-3 H	1	3524.000000	3530.500000	[m   ]	48.400000	2	YES	2961	9999-12-31	2013-05-08	4237
33/9-G-3 H	2	3530.500000	3572.400000	[m   ]	48.400000	2	YES	2961	9999-12-31	2013-05-08	4238
33/9-L-3 H	1	2612.000000	2640.000000	[m   ]	95.600000	4	YES	2206	9999-12-31	2013-05-08	4239
33/9-L-3 H	2	2640.000000	2650.000000	[m   ]	95.600000	4	YES	2206	9999-12-31	2013-05-08	4240
33/9-L-3 H	3	2653.000000	2681.500000	[m   ]	95.600000	4	YES	2206	9999-12-31	2013-05-08	4241
33/9-L-3 H	4	2681.500000	2710.100000	[m   ]	95.600000	4	YES	2206	9999-12-31	2013-05-08	4242
33/9-L-4 H	1	2852.000000	2852.100000	[m   ]	48.800000	3	YES	2210	9999-12-31	2013-05-08	4243
33/9-L-4 H	2	2854.600000	2875.000000	[m   ]	48.800000	3	YES	2210	9999-12-31	2013-05-08	4244
33/9-L-4 H	3	2875.000000	2903.300000	[m   ]	48.800000	3	YES	2210	9999-12-31	2013-05-08	4245
33/9-M-1 H	1	2490.000000	2506.700000	[m   ]	57.300000	4	YES	2154	9999-12-31	2013-05-08	4246
33/9-M-1 H	2	2508.000000	2528.900000	[m   ]	57.300000	4	YES	2154	9999-12-31	2013-05-08	4247
33/9-M-1 H	3	2529.000000	2533.700000	[m   ]	57.300000	4	YES	2154	9999-12-31	2013-05-08	4248
33/9-M-1 H	4	2535.000000	2550.000000	[m   ]	57.300000	4	YES	2154	9999-12-31	2013-05-08	4249
33/9-M-2 H	1	4008.000000	4011.500000	[m   ]	77.200000	6	YES	2155	9999-12-31	2013-05-08	4250
33/9-M-2 H	2	4013.000000	4015.500000	[m   ]	77.200000	6	YES	2155	9999-12-31	2013-05-08	4251
33/9-M-2 H	3	4015.500000	4020.000000	[m   ]	77.200000	6	YES	2155	9999-12-31	2013-05-08	4252
33/9-M-2 H	4	4020.000000	4030.600000	[m   ]	77.200000	6	YES	2155	9999-12-31	2013-05-08	4253
33/9-M-2 H	5	4031.000000	4058.500000	[m   ]	77.200000	6	YES	2155	9999-12-31	2013-05-08	4254
33/9-M-2 H	6	4058.500000	4087.100000	[m   ]	77.200000	6	YES	2155	9999-12-31	2013-05-08	4255
33/9-M-4 H	1	3569.000000	3596.600000	[m   ]	27.600000	1	YES	2156	9999-12-31	2013-05-08	4256
34/10-1	1	1782.000000	1785.900000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4257
34/10-1	10	1911.300000	1922.100000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4258
34/10-1	11	1923.100000	1938.800000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4259
34/10-1	12	1938.800000	1951.100000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4260
34/10-1	13	2232.500000	2244.500000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4261
34/10-1	2	1790.500000	1792.800000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4262
34/10-1	3	1802.500000	1815.600000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4263
34/10-1	4	1819.000000	1835.600000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4264
34/10-1	5	1835.800000	1853.300000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4265
34/10-1	6	1853.300000	1862.300000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4266
34/10-1	7	1865.400000	1873.800000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4267
34/10-1	8	1875.000000	1889.500000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4268
34/10-1	9	1893.500000	1911.300000	[m   ]	189.000000	13	YES	424	2012-12-05	2013-05-08	4269
34/10-11	1	1870.000000	1879.700000	[m   ]	39.800000	6	YES	211	9999-12-31	2013-05-08	4270
34/10-11	2	1887.000000	1890.700000	[m   ]	39.800000	6	YES	211	9999-12-31	2013-05-08	4271
34/10-11	3	1891.500000	1893.800000	[m   ]	39.800000	6	YES	211	9999-12-31	2013-05-08	4272
34/10-11	4	1899.000000	1906.500000	[m   ]	39.800000	6	YES	211	9999-12-31	2013-05-08	4273
34/10-11	5	1909.000000	1920.000000	[m   ]	39.800000	6	YES	211	9999-12-31	2013-05-08	4274
34/10-11	6	1920.000000	1925.600000	[m   ]	39.800000	6	YES	211	9999-12-31	2013-05-08	4275
34/10-12	1	2037.000000	2041.000000	[m   ]	4.000000	1	YES	204	9999-12-31	2013-05-08	4276
34/10-13	1	1931.100000	1931.300000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4277
34/10-13	10	2011.500000	2017.500000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4278
34/10-13	11	2018.500000	2034.100000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4279
34/10-13	12	2035.000000	2044.700000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4280
34/10-13	13	2047.200000	2062.900000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4281
34/10-13	14	2065.500000	2075.400000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4282
34/10-13	15	2077.000000	2085.000000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4283
34/10-13	16	3373.500000	3390.100000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4284
34/10-13	2	1931.300000	1941.800000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4285
34/10-13	3	\N	0.000000	\N	145.000000	16	YES	431	9999-12-31	2013-05-08	4286
34/10-13	4	1944.000000	1959.800000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4287
34/10-13	5	1961.000000	1961.900000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4288
34/10-13	6	1963.000000	1973.700000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4289
34/10-13	7	1974.000000	1987.300000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4290
34/10-13	8	1988.000000	1997.200000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4291
34/10-13	9	2003.000000	2011.200000	[m   ]	145.000000	16	YES	431	9999-12-31	2013-05-08	4292
34/10-14	1	1889.000000	1895.900000	[m   ]	150.300000	10	YES	95	9999-12-31	2013-05-08	4293
34/10-14	10	2210.000000	2224.500000	[m   ]	150.300000	10	YES	95	9999-12-31	2013-05-08	4294
34/10-14	2	1907.800000	1921.900000	[m   ]	150.300000	10	YES	95	9999-12-31	2013-05-08	4295
34/10-14	3	1925.000000	1932.700000	[m   ]	150.300000	10	YES	95	9999-12-31	2013-05-08	4296
34/10-14	4	1939.500000	1949.400000	[m   ]	150.300000	10	YES	95	9999-12-31	2013-05-08	4297
34/10-14	5	1957.000000	1972.500000	[m   ]	150.300000	10	YES	95	9999-12-31	2013-05-08	4298
34/10-14	6	1972.500000	1990.400000	[m   ]	150.300000	10	YES	95	9999-12-31	2013-05-08	4299
34/10-14	7	1991.000000	2009.400000	[m   ]	150.300000	10	YES	95	9999-12-31	2013-05-08	4300
34/10-14	8	2010.000000	2028.000000	[m   ]	150.300000	10	YES	95	9999-12-31	2013-05-08	4301
34/10-14	9	2028.000000	2047.000000	[m   ]	150.300000	10	YES	95	9999-12-31	2013-05-08	4302
34/10-15	1	1870.000000	1879.500000	[m   ]	100.400000	10	YES	67	9999-12-31	2013-05-08	4303
34/10-15	10	2316.500000	2322.000000	[m   ]	100.400000	10	YES	67	9999-12-31	2013-05-08	4304
34/10-15	2	1888.000000	1897.000000	[m   ]	100.400000	10	YES	67	9999-12-31	2013-05-08	4305
34/10-15	3	1900.000000	1905.700000	[m   ]	100.400000	10	YES	67	9999-12-31	2013-05-08	4306
34/10-15	4	1917.000000	1923.000000	[m   ]	100.400000	10	YES	67	9999-12-31	2013-05-08	4307
34/10-15	5	1935.000000	1940.700000	[m   ]	100.400000	10	YES	67	9999-12-31	2013-05-08	4308
34/10-15	6	2170.000000	2187.000000	[m   ]	100.400000	10	YES	67	9999-12-31	2013-05-08	4309
34/10-15	7	2187.500000	2199.800000	[m   ]	100.400000	10	YES	67	9999-12-31	2013-05-08	4310
34/10-15	8	2201.000000	2211.400000	[m   ]	100.400000	10	YES	67	9999-12-31	2013-05-08	4311
34/10-15	9	2301.000000	2314.800000	[m   ]	100.400000	10	YES	67	9999-12-31	2013-05-08	4312
34/10-16	1	3170.000000	3175.400000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4313
34/10-16	10	3311.000000	3322.000000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4314
34/10-16	11	3323.000000	3341.400000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4315
34/10-16	12	3341.400000	3348.400000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4316
34/10-16	13	3348.100000	3356.000000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4317
34/10-16	14	3359.000000	3363.000000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4318
34/10-16	15	3363.000000	3369.000000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4319
34/10-16	16	3369.000000	3378.000000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4320
34/10-16	17	3378.000000	3387.000000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4321
34/10-16	18	3387.000000	3395.800000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4322
34/10-16	19	3396.000000	3413.400000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4323
34/10-16	2	3177.000000	3195.000000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4324
34/10-16	20	3414.000000	3430.500000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4325
34/10-16	21	3431.000000	3447.900000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4326
34/10-16	22	3450.000000	3465.800000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4327
34/10-16	23	3811.000000	3829.400000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4328
34/10-16	3	3195.000000	3211.800000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4329
34/10-16	4	3219.000000	3228.500000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4330
34/10-16	5	3229.000000	3247.000000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4331
34/10-16	6	3247.000000	3260.500000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4332
34/10-16	7	3261.000000	3279.000000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4333
34/10-16	8	3280.000000	3297.000000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4334
34/10-16	9	3298.000000	3308.000000	[m   ]	292.000000	23	YES	59	9999-12-31	2013-05-08	4335
34/10-17	1	2681.300000	2699.300000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4336
34/10-17	10	2840.000000	2858.000000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4337
34/10-17	11	2858.000000	2875.700000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4338
34/10-17	12	2876.000000	2894.300000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4339
34/10-17	13	2894.000000	2909.700000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4340
34/10-17	14	2912.000000	2930.000000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4341
34/10-17	15	2930.000000	2948.300000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4342
34/10-17	16	2948.000000	2965.800000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4343
34/10-17	2	2700.100000	2718.100000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4344
34/10-17	3	2718.000000	2736.400000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4345
34/10-17	4	2736.000000	2754.000000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4346
34/10-17	5	2754.000000	2771.300000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4347
34/10-17	6	2772.000000	2790.000000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4348
34/10-17	7	2790.000000	2808.500000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4349
34/10-17	8	2808.000000	2826.200000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4350
34/10-17	9	2826.000000	2840.300000	[m   ]	282.600000	16	YES	5	9999-12-31	2013-05-08	4351
34/10-18	1	2344.000000	2357.000000	[m   ]	37.500000	3	YES	23	9999-12-31	2013-05-08	4352
34/10-18	2	2361.000000	2368.000000	[m   ]	37.500000	3	YES	23	9999-12-31	2013-05-08	4353
34/10-18	3	2376.500000	2394.000000	[m   ]	37.500000	3	YES	23	9999-12-31	2013-05-08	4354
34/10-19	1	1763.000000	1780.700000	[m   ]	44.400000	3	YES	33	9999-12-31	2013-05-08	4355
34/10-19	2	1847.000000	1855.700000	[m   ]	44.400000	3	YES	33	9999-12-31	2013-05-08	4356
34/10-19	3	1856.500000	1874.400000	[m   ]	44.400000	3	YES	33	9999-12-31	2013-05-08	4357
34/10-2	1	3031.000000	3041.200000	[m   ]	70.500000	8	YES	425	2012-12-05	2013-05-08	4358
34/10-2	2	3103.000000	3113.600000	[m   ]	70.500000	8	YES	425	2012-12-05	2013-05-08	4359
34/10-2	3	3338.000000	3345.200000	[m   ]	70.500000	8	YES	425	2012-12-05	2013-05-08	4360
34/10-2	4	3345.200000	3361.400000	[m   ]	70.500000	8	YES	425	2012-12-05	2013-05-08	4361
34/10-2	5	3363.500000	3366.300000	[m   ]	70.500000	8	YES	425	2012-12-05	2013-05-08	4362
34/10-2	6	3366.600000	3371.900000	[m   ]	70.500000	8	YES	425	2012-12-05	2013-05-08	4363
34/10-2	7	3371.900000	3382.400000	[m   ]	70.500000	8	YES	425	2012-12-05	2013-05-08	4364
34/10-2	8	3382.400000	3390.100000	[m   ]	70.500000	8	YES	425	2012-12-05	2013-05-08	4365
34/10-21	1	3289.000000	3306.300000	[m   ]	104.400000	6	YES	221	9999-12-31	2013-05-08	4366
34/10-21	2	3307.000000	3331.400000	[m   ]	104.400000	6	YES	221	9999-12-31	2013-05-08	4367
34/10-21	3	3333.900000	3359.000000	[m   ]	104.400000	6	YES	221	9999-12-31	2013-05-08	4368
34/10-21	4	3361.500000	3383.200000	[m   ]	104.400000	6	YES	221	9999-12-31	2013-05-08	4369
34/10-21	5	3970.000000	3973.600000	[m   ]	104.400000	6	YES	221	9999-12-31	2013-05-08	4370
34/10-21	6	3973.500000	3985.400000	[m   ]	104.400000	6	YES	221	9999-12-31	2013-05-08	4371
34/10-22	1	\N	0.000000	\N	22.300000	8	YES	446	2012-12-22	2013-05-08	4372
34/10-22	2	\N	0.000000	\N	22.300000	8	YES	446	2012-12-22	2013-05-08	4373
34/10-22	3	428.000000	432.200000	[m   ]	22.300000	8	YES	446	2012-12-22	2013-05-08	4374
34/10-22	4	\N	0.000000	\N	22.300000	8	YES	446	2012-12-22	2013-05-08	4375
34/10-22	5	\N	0.000000	\N	22.300000	8	YES	446	2012-12-22	2013-05-08	4376
34/10-22	6	448.100000	457.200000	[m   ]	22.300000	8	YES	446	2012-12-22	2013-05-08	4377
34/10-22	7	465.100000	466.500000	[m   ]	22.300000	8	YES	446	2012-12-22	2013-05-08	4378
34/10-22	8	466.500000	474.000000	[m   ]	22.300000	8	YES	446	2012-12-22	2013-05-08	4379
34/10-23	1	4082.000000	4100.600000	[m   ]	221.000000	11	YES	476	9999-12-31	2013-05-08	4380
34/10-23	10	4253.000000	4279.400000	[m   ]	221.000000	11	YES	476	9999-12-31	2013-05-08	4381
34/10-23	11	4280.000000	4308.000000	[m   ]	221.000000	11	YES	476	9999-12-31	2013-05-08	4382
34/10-23	2	4103.000000	4130.500000	[m   ]	221.000000	11	YES	476	9999-12-31	2013-05-08	4383
34/10-23	3	4130.500000	4144.000000	[m   ]	221.000000	11	YES	476	9999-12-31	2013-05-08	4384
34/10-23	4	4144.200000	4167.000000	[m   ]	221.000000	11	YES	476	9999-12-31	2013-05-08	4385
34/10-23	5	4167.500000	4169.000000	[m   ]	221.000000	11	YES	476	9999-12-31	2013-05-08	4386
34/10-23	6	4169.700000	4197.000000	[m   ]	221.000000	11	YES	476	9999-12-31	2013-05-08	4387
34/10-23	7	4197.600000	4210.000000	[m   ]	221.000000	11	YES	476	9999-12-31	2013-05-08	4388
34/10-23	8	4211.600000	4224.000000	[m   ]	221.000000	11	YES	476	9999-12-31	2013-05-08	4389
34/10-23	9	4225.100000	4253.000000	[m   ]	221.000000	11	YES	476	9999-12-31	2013-05-08	4390
34/10-3	1	1904.000000	1918.700000	[m   ]	132.800000	9	YES	426	2012-12-05	2013-05-08	4391
34/10-3	2	1919.400000	1928.800000	[m   ]	132.800000	9	YES	426	2012-12-05	2013-05-08	4392
34/10-3	3	1930.900000	1933.400000	[m   ]	132.800000	9	YES	426	2012-12-05	2013-05-08	4393
34/10-3	4	1936.100000	1947.700000	[m   ]	132.800000	9	YES	426	2012-12-05	2013-05-08	4394
34/10-3	5	1953.200000	1969.000000	[m   ]	132.800000	9	YES	426	2012-12-05	2013-05-08	4395
34/10-3	6	1971.100000	1989.200000	[m   ]	132.800000	9	YES	426	2012-12-05	2013-05-08	4396
34/10-3	7	1991.900000	2007.300000	[m   ]	132.800000	9	YES	426	2012-12-05	2013-05-08	4397
34/10-3	8	2007.300000	2025.000000	[m   ]	132.800000	9	YES	426	2012-12-05	2013-05-08	4398
34/10-3	9	2467.000000	2478.800000	[m   ]	132.800000	9	YES	426	2012-12-05	2013-05-08	4399
34/10-30	1	2942.400000	2945.800000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4400
34/10-30	10	3252.500000	3270.200000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4401
34/10-30	11	3270.500000	3288.800000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4402
34/10-30	12	3288.800000	3305.200000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4403
34/10-30	13	3306.000000	3326.600000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4404
34/10-30	14	3411.000000	3429.400000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4405
34/10-30	15	3429.000000	3446.000000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4406
34/10-30	16	3446.500000	3465.000000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4407
34/10-30	17	3465.000000	3478.500000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4408
34/10-30	18	3543.000000	3561.300000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4409
34/10-30	19	3561.500000	3579.800000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4410
34/10-30	2	3125.000000	3146.000000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4411
34/10-30	20	3548.000000	3597.500000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4412
34/10-30	21	3597.500000	3615.000000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4413
34/10-30	22	3615.500000	3633.700000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4414
34/10-30	3	3146.000000	3171.700000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4415
34/10-30	4	3173.000000	3179.500000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4416
34/10-30	5	3179.500000	3186.500000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4417
34/10-30	6	3186.500000	3199.500000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4418
34/10-30	7	3199.500000	3217.600000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4419
34/10-30	8	3217.500000	3235.600000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4420
34/10-30	9	3235.500000	3252.800000	[m   ]	356.500000	22	YES	877	9999-12-31	2013-05-08	4421
34/10-32	1	3176.000000	3189.500000	[m   ]	115.600000	6	YES	1051	9999-12-31	2013-05-08	4422
34/10-32	2	3359.000000	3371.300000	[m   ]	115.600000	6	YES	1051	9999-12-31	2013-05-08	4423
34/10-32	3	3373.000000	3400.000000	[m   ]	115.600000	6	YES	1051	9999-12-31	2013-05-08	4424
34/10-32	4	3400.000000	3427.400000	[m   ]	115.600000	6	YES	1051	9999-12-31	2013-05-08	4425
34/10-32	5	3427.400000	3447.000000	[m   ]	115.600000	6	YES	1051	9999-12-31	2013-05-08	4426
34/10-32	6	3707.000000	3722.700000	[m   ]	115.600000	6	YES	1051	9999-12-31	2013-05-08	4427
34/10-33	1	\N	0.000000	\N	271.900000	18	YES	1302	9999-12-31	2013-05-08	4428
34/10-33	10	3308.000000	3336.000000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4429
34/10-33	11	3336.000000	3348.900000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4430
34/10-33	12	3349.500000	3373.000000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4431
34/10-33	13	3373.000000	3382.500000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4432
34/10-33	14	3382.500000	3410.300000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4433
34/10-33	15	3410.500000	3434.900000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4434
34/10-33	16	3799.000000	3815.700000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4435
34/10-33	17	3815.500000	3825.900000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4436
34/10-33	18	3830.000000	3840.000000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4437
34/10-33	2	3188.000000	3197.000000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4438
34/10-33	3	3199.000000	3218.700000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4439
34/10-33	4	3223.000000	3234.700000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4440
34/10-33	5	3235.000000	3250.900000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4441
34/10-33	6	3251.000000	3271.000000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4442
34/10-33	7	3273.500000	3283.200000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4443
34/10-33	8	3285.500000	3298.000000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4444
34/10-33	9	3289.500000	3307.600000	[m   ]	271.900000	18	YES	1302	9999-12-31	2013-05-08	4445
34/10-33 B	1	3742.000000	3751.000000	[m   ]	24.400000	3	YES	1407	9999-12-31	2013-05-08	4446
34/10-33 B	2	3785.000000	3790.600000	[m   ]	24.400000	3	YES	1407	9999-12-31	2013-05-08	4447
34/10-33 B	3	3850.000000	3859.800000	[m   ]	24.400000	3	YES	1407	9999-12-31	2013-05-08	4448
34/10-34	1	1995.000000	2011.000000	[m   ]	271.300000	11	YES	1747	9999-12-31	2013-05-08	4449
34/10-34	10	2226.000000	2254.000000	[m   ]	271.300000	11	YES	1747	9999-12-31	2013-05-08	4450
34/10-34	11	2254.000000	2273.000000	[m   ]	271.300000	11	YES	1747	9999-12-31	2013-05-08	4451
34/10-34	2	2013.000000	2039.000000	[m   ]	271.300000	11	YES	1747	9999-12-31	2013-05-08	4452
34/10-34	3	2033.000000	2067.800000	[m   ]	271.300000	11	YES	1747	9999-12-31	2013-05-08	4453
34/10-34	4	2072.000000	2096.000000	[m   ]	271.300000	11	YES	1747	9999-12-31	2013-05-08	4454
34/10-34	5	2096.000000	2121.300000	[m   ]	271.300000	11	YES	1747	9999-12-31	2013-05-08	4455
34/10-34	6	2126.000000	2150.000000	[m   ]	271.300000	11	YES	1747	9999-12-31	2013-05-08	4456
34/10-34	7	2150.000000	2170.000000	[m   ]	271.300000	11	YES	1747	9999-12-31	2013-05-08	4457
34/10-34	8	2171.000000	2198.000000	[m   ]	271.300000	11	YES	1747	9999-12-31	2013-05-08	4458
34/10-34	9	2198.000000	2226.200000	[m   ]	271.300000	11	YES	1747	9999-12-31	2013-05-08	4459
34/10-35	1	3931.000000	3938.000000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4460
34/10-35	10	4046.000000	4056.600000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4461
34/10-35	11	4057.500000	4063.600000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4462
34/10-35	12	4250.000000	4275.600000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4463
34/10-35	13	4276.000000	4286.900000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4464
34/10-35	2	3939.000000	3944.000000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4465
34/10-35	3	\N	0.000000	\N	133.500000	13	YES	1874	2013-03-12	2013-05-08	4466
34/10-35	4	3949.500000	3955.500000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4467
34/10-35	5	3968.000000	3970.800000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4468
34/10-35	6	3984.000000	3994.000000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4469
34/10-35	7	3994.000000	4013.000000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4470
34/10-35	8	4013.000000	4017.500000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4471
34/10-35	9	4018.000000	4046.000000	[m   ]	133.500000	13	YES	1874	2013-03-12	2013-05-08	4472
34/10-36	1	3029.000000	3053.000000	[m   ]	78.000000	3	YES	1940	9999-12-31	2013-05-08	4473
34/10-36	2	3363.000000	3390.000000	[m   ]	78.000000	3	YES	1940	9999-12-31	2013-05-08	4474
34/10-36	3	3390.000000	3417.000000	[m   ]	78.000000	3	YES	1940	9999-12-31	2013-05-08	4475
34/10-37	1	2626.000000	2644.700000	[m   ]	45.800000	2	YES	2431	9999-12-31	2013-05-08	4476
34/10-37	2	2645.000000	2672.100000	[m   ]	45.800000	2	YES	2431	9999-12-31	2013-05-08	4477
34/10-37 A	1	2664.000000	2684.100000	[m   ]	70.800000	5	YES	2530	9999-12-31	2013-05-08	4478
34/10-37 A	2	2684.500000	2704.900000	[m   ]	70.800000	5	YES	2530	9999-12-31	2013-05-08	4479
34/10-37 A	3	2705.500000	2717.300000	[m   ]	70.800000	5	YES	2530	9999-12-31	2013-05-08	4480
34/10-37 A	4	2720.500000	2729.300000	[m   ]	70.800000	5	YES	2530	9999-12-31	2013-05-08	4481
34/10-37 A	5	2731.000000	2740.800000	[m   ]	70.800000	5	YES	2530	9999-12-31	2013-05-08	4482
34/10-38 S	1	3140.000000	3140.100000	[m   ]	161.200000	9	YES	2517	9999-12-31	2013-05-08	4483
34/10-38 S	2	3465.000000	3482.400000	[m   ]	161.200000	9	YES	2517	9999-12-31	2013-05-08	4484
34/10-38 S	3	3482.400000	3484.100000	[m   ]	161.200000	9	YES	2517	9999-12-31	2013-05-08	4485
34/10-38 S	4	3485.000000	3513.200000	[m   ]	161.200000	9	YES	2517	9999-12-31	2013-05-08	4486
34/10-38 S	5	3513.400000	3535.400000	[m   ]	161.200000	9	YES	2517	9999-12-31	2013-05-08	4487
34/10-38 S	6	3537.000000	3565.500000	[m   ]	161.200000	9	YES	2517	9999-12-31	2013-05-08	4488
34/10-38 S	7	3565.500000	3595.800000	[m   ]	161.200000	9	YES	2517	9999-12-31	2013-05-08	4489
34/10-38 S	8	3598.000000	3611.800000	[m   ]	161.200000	9	YES	2517	9999-12-31	2013-05-08	4490
34/10-38 S	9	3613.000000	3631.300000	[m   ]	161.200000	9	YES	2517	9999-12-31	2013-05-08	4491
34/10-4	1	1826.000000	1844.700000	[m   ]	78.100000	6	YES	427	2012-12-06	2013-05-08	4492
34/10-4	2	1845.000000	1852.400000	[m   ]	78.100000	6	YES	427	2012-12-06	2013-05-08	4493
34/10-4	3	1857.000000	1873.500000	[m   ]	78.100000	6	YES	427	2012-12-06	2013-05-08	4494
34/10-4	4	1873.500000	1891.000000	[m   ]	78.100000	6	YES	427	2012-12-06	2013-05-08	4495
34/10-4	5	1891.000000	1909.000000	[m   ]	78.100000	6	YES	427	2012-12-06	2013-05-08	4496
34/10-4	6	2350.500000	2356.000000	[m   ]	78.100000	6	YES	427	2012-12-06	2013-05-08	4497
34/10-42 S	1	4109.000000	4110.700000	[m   ]	38.400000	2	YES	3816	9999-12-31	2013-05-08	4498
34/10-42 S	2	4217.000000	4253.700000	[m   ]	38.400000	2	YES	3816	9999-12-31	2013-05-08	4499
34/10-48 S	1	5174.000000	5207.200000	[m   ]	33.200000	1	YES	4902	9999-12-31	2013-05-08	4500
34/10-5	1	1910.700000	1928.700000	[m   ]	39.400000	4	YES	428	2012-12-06	2013-05-08	4501
34/10-5	2	1930.000000	1934.200000	[m   ]	39.400000	4	YES	428	2012-12-06	2013-05-08	4502
34/10-5	3	1949.200000	1959.800000	[m   ]	39.400000	4	YES	428	2012-12-06	2013-05-08	4503
34/10-5	4	1967.400000	1974.000000	[m   ]	39.400000	4	YES	428	2012-12-06	2013-05-08	4504
34/10-7	1	1813.000000	1819.000000	[m   ]	61.500000	6	YES	222	2012-11-15	2013-05-08	4505
34/10-7	2	1821.000000	1839.000000	[m   ]	61.500000	6	YES	222	2012-11-15	2013-05-08	4506
34/10-7	3	1839.000000	1853.700000	[m   ]	61.500000	6	YES	222	2012-11-15	2013-05-08	4507
34/10-7	4	1857.000000	1865.000000	[m   ]	61.500000	6	YES	222	2012-11-15	2013-05-08	4508
34/10-7	5	1875.000000	1882.200000	[m   ]	61.500000	6	YES	222	2012-11-15	2013-05-08	4509
34/10-7	6	1942.000000	1949.600000	[m   ]	61.500000	6	YES	222	2012-11-15	2013-05-08	4510
34/10-8	1	1823.000000	1828.500000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4511
34/10-8	10	1925.000000	1939.500000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4512
34/10-8	11	1939.500000	1956.000000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4513
34/10-8	12	1956.000000	1956.600000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4514
34/10-8	13	1964.000000	1975.800000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4515
34/10-8	2	1828.500000	1832.500000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4516
34/10-8	3	1839.000000	1851.500000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4517
34/10-8	4	1856.500000	1860.800000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4518
34/10-8	5	1861.500000	1869.000000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4519
34/10-8	6	1877.000000	1883.600000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4520
34/10-8	7	1885.000000	1898.500000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4521
34/10-8	8	1898.500000	1908.500000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4522
34/10-8	9	1908.500000	1925.000000	[m   ]	123.800000	13	YES	230	2012-11-15	2013-05-08	4523
34/10-9	1	1850.000000	1863.500000	[m   ]	50.600000	4	YES	140	2012-11-16	2013-05-08	4524
34/10-9	2	2089.000000	2093.200000	[m   ]	50.600000	4	YES	140	2012-11-16	2013-05-08	4525
34/10-9	3	2094.000000	2109.500000	[m   ]	50.600000	4	YES	140	2012-11-16	2013-05-08	4526
34/10-9	4	2112.000000	2129.400000	[m   ]	50.600000	4	YES	140	2012-11-16	2013-05-08	4527
34/10-9 R	1	2400.000000	2400.400000	[m   ]	4.100000	2	YES	495	2012-11-16	2013-05-08	4528
34/10-9 R	2	2400.500000	2404.200000	[m   ]	4.100000	2	YES	495	2012-11-16	2013-05-08	4529
34/10-A-1 H	1	1782.000000	1792.000000	[m   ]	60.000000	5	YES	850	9999-12-31	2013-05-08	4530
34/10-A-1 H	2	1792.000000	1811.000000	[m   ]	60.000000	5	YES	850	9999-12-31	2013-05-08	4531
34/10-A-1 H	3	1811.000000	1829.500000	[m   ]	60.000000	5	YES	850	9999-12-31	2013-05-08	4532
34/10-A-1 H	4	1829.500000	1857.000000	[m   ]	60.000000	5	YES	850	9999-12-31	2013-05-08	4533
34/10-A-1 H	5	1857.000000	1884.500000	[m   ]	60.000000	5	YES	850	9999-12-31	2013-05-08	4534
34/10-A-11	1	1900.000000	1909.500000	[m   ]	130.500000	6	YES	1132	9999-12-31	2013-05-08	4535
34/10-A-11	2	1910.000000	1913.500000	[m   ]	130.500000	6	YES	1132	9999-12-31	2013-05-08	4536
34/10-A-11	3	1923.000000	1941.700000	[m   ]	130.500000	6	YES	1132	9999-12-31	2013-05-08	4537
34/10-A-11	4	1942.500000	1996.800000	[m   ]	130.500000	6	YES	1132	9999-12-31	2013-05-08	4538
34/10-A-11	5	1996.800000	2026.200000	[m   ]	130.500000	6	YES	1132	9999-12-31	2013-05-08	4539
34/10-A-11	6	2028.000000	2043.000000	[m   ]	130.500000	6	YES	1132	9999-12-31	2013-05-08	4540
34/10-A-12	1	3130.000000	3152.800000	[m   ]	22.800000	1	YES	520	9999-12-31	2013-05-08	4541
34/10-A-14	1	2249.000000	2268.000000	[m   ]	140.700000	5	YES	1251	9999-12-31	2013-05-08	4542
34/10-A-14	2	2277.000000	2309.000000	[m   ]	140.700000	5	YES	1251	9999-12-31	2013-05-08	4543
34/10-A-14	3	2315.500000	2337.000000	[m   ]	140.700000	5	YES	1251	9999-12-31	2013-05-08	4544
34/10-A-14	4	2338.700000	2385.000000	[m   ]	140.700000	5	YES	1251	9999-12-31	2013-05-08	4545
34/10-A-14	5	2385.800000	2408.000000	[m   ]	140.700000	5	YES	1251	9999-12-31	2013-05-08	4546
34/10-A-15	1	2528.500000	2558.400000	[m   ]	79.600000	4	YES	1253	9999-12-31	2013-05-08	4547
34/10-A-15	2	2561.000000	2574.700000	[m   ]	79.600000	4	YES	1253	9999-12-31	2013-05-08	4548
34/10-A-15	3	2574.700000	2592.700000	[m   ]	79.600000	4	YES	1253	9999-12-31	2013-05-08	4549
34/10-A-15	4	2597.000000	2614.900000	[m   ]	79.600000	4	YES	1253	9999-12-31	2013-05-08	4550
34/10-A-16	1	2362.500000	2393.800000	[m   ]	109.700000	4	YES	1285	9999-12-31	2013-05-08	4551
34/10-A-16	2	2403.000000	2423.900000	[m   ]	109.700000	4	YES	1285	9999-12-31	2013-05-08	4552
34/10-A-16	3	2425.000000	2453.500000	[m   ]	109.700000	4	YES	1285	9999-12-31	2013-05-08	4553
34/10-A-16	4	2455.500000	2484.600000	[m   ]	109.700000	4	YES	1285	9999-12-31	2013-05-08	4554
34/10-A-19	1	1955.000000	1963.900000	[m   ]	67.200000	3	YES	1352	9999-12-31	2013-05-08	4555
34/10-A-19	2	2009.500000	2045.000000	[m   ]	67.200000	3	YES	1352	9999-12-31	2013-05-08	4556
34/10-A-19	3	2045.500000	2067.000000	[m   ]	67.200000	3	YES	1352	9999-12-31	2013-05-08	4557
34/10-A-21	1	2734.000000	2751.000000	[m   ]	79.500000	3	YES	1370	9999-12-31	2013-05-08	4558
34/10-A-21	2	2765.000000	2818.500000	[m   ]	79.500000	3	YES	1370	9999-12-31	2013-05-08	4559
34/10-A-21	3	2819.000000	2828.000000	[m   ]	79.500000	3	YES	1370	9999-12-31	2013-05-08	4560
34/10-A-25 A	1	3480.000000	3506.400000	[m   ]	26.400000	1	YES	1469	9999-12-31	2013-05-08	4561
34/10-A-28	1	2310.000000	2327.400000	[m   ]	143.900000	6	YES	1502	9999-12-31	2013-05-08	4562
34/10-A-28	2	2328.000000	2341.100000	[m   ]	143.900000	6	YES	1502	9999-12-31	2013-05-08	4563
34/10-A-28	3	2342.000000	2368.800000	[m   ]	143.900000	6	YES	1502	9999-12-31	2013-05-08	4564
34/10-A-28	4	2369.000000	2395.700000	[m   ]	143.900000	6	YES	1502	9999-12-31	2013-05-08	4565
34/10-A-28	5	2396.000000	2433.600000	[m   ]	143.900000	6	YES	1502	9999-12-31	2013-05-08	4566
34/10-A-28	6	2240.000000	2462.300000	[m   ]	143.900000	6	YES	1502	9999-12-31	2013-05-08	4567
34/10-A-29	1	2728.500000	2745.000000	[m   ]	40.000000	2	YES	1666	9999-12-31	2013-05-08	4568
34/10-A-29	2	2745.000000	2768.400000	[m   ]	40.000000	2	YES	1666	9999-12-31	2013-05-08	4569
34/10-A-3 H	1	1791.500000	1807.400000	[m   ]	113.600000	6	YES	857	9999-12-31	2013-05-08	4570
34/10-A-3 H	2	1809.500000	1833.300000	[m   ]	113.600000	6	YES	857	9999-12-31	2013-05-08	4571
34/10-A-3 H	3	1835.000000	1854.300000	[m   ]	113.600000	6	YES	857	9999-12-31	2013-05-08	4572
34/10-A-3 H	4	1857.500000	1864.700000	[m   ]	113.600000	6	YES	857	9999-12-31	2013-05-08	4573
34/10-A-3 H	5	1871.500000	1890.500000	[m   ]	113.600000	6	YES	857	9999-12-31	2013-05-08	4574
34/10-A-3 H	6	1890.500000	1918.400000	[m   ]	113.600000	6	YES	857	9999-12-31	2013-05-08	4575
34/10-A-32 A	1	2595.500000	2601.300000	[m   ]	5.800000	1	YES	2118	9999-12-31	2013-05-08	4576
34/10-A-33	1	2517.000000	2543.800000	[m   ]	98.900000	4	YES	1766	9999-12-31	2013-05-08	4577
34/10-A-33	2	2544.500000	2572.000000	[m   ]	98.900000	4	YES	1766	9999-12-31	2013-05-08	4578
34/10-A-33	3	2573.500000	2595.000000	[m   ]	98.900000	4	YES	1766	9999-12-31	2013-05-08	4579
34/10-A-33	4	2596.700000	2618.000000	[m   ]	98.900000	4	YES	1766	9999-12-31	2013-05-08	4580
34/10-A-37	1	3291.500000	3302.000000	[m   ]	30.400000	2	YES	1947	9999-12-31	2013-05-08	4581
34/10-A-37	2	3305.500000	3325.000000	[m   ]	30.400000	2	YES	1947	9999-12-31	2013-05-08	4582
34/10-A-4 H	1	1483.000000	1483.800000	[m   ]	9.400000	2	YES	861	9999-12-31	2013-05-08	4583
34/10-A-4 H	2	1708.000000	1716.600000	[m   ]	9.400000	2	YES	861	9999-12-31	2013-05-08	4584
34/10-A-40	1	3464.000000	3492.000000	[m   ]	56.000000	2	YES	2070	9999-12-31	2013-05-08	4585
34/10-A-40	2	3492.000000	3520.000000	[m   ]	56.000000	2	YES	2070	9999-12-31	2013-05-08	4586
34/10-A-5 H	1	1461.100000	1470.600000	[m   ]	157.400000	8	YES	942	9999-12-31	2013-05-08	4587
34/10-A-5 H	2	1621.000000	1622.300000	[m   ]	157.400000	8	YES	942	9999-12-31	2013-05-08	4588
34/10-A-5 H	3	1785.000000	1801.000000	[m   ]	157.400000	8	YES	942	9999-12-31	2013-05-08	4589
34/10-A-5 H	4	1811.000000	1839.100000	[m   ]	157.400000	8	YES	942	9999-12-31	2013-05-08	4590
34/10-A-5 H	5	1839.100000	1867.000000	[m   ]	157.400000	8	YES	942	9999-12-31	2013-05-08	4591
34/10-A-5 H	6	1867.000000	1891.900000	[m   ]	157.400000	8	YES	942	9999-12-31	2013-05-08	4592
34/10-A-5 H	7	1893.300000	1921.500000	[m   ]	157.400000	8	YES	942	9999-12-31	2013-05-08	4593
34/10-A-5 H	8	1921.500000	1942.800000	[m   ]	157.400000	8	YES	942	9999-12-31	2013-05-08	4594
34/10-A-6 A	1	2577.000000	2590.000000	[m   ]	18.700000	2	YES	2806	9999-12-31	2013-05-08	4595
34/10-A-6 A	2	2604.000000	2609.800000	[m   ]	18.700000	2	YES	2806	9999-12-31	2013-05-08	4596
34/10-A-8	1	2024.000000	2050.900000	[m   ]	250.000000	6	YES	1053	9999-12-31	2013-05-08	4597
34/10-A-8	2	2051.000000	2078.300000	[m   ]	250.000000	6	YES	1053	9999-12-31	2013-05-08	4598
34/10-A-8	3	2078.500000	2120.300000	[m   ]	250.000000	6	YES	1053	9999-12-31	2013-05-08	4599
34/10-A-8	4	2127.000000	2175.000000	[m   ]	250.000000	6	YES	1053	9999-12-31	2013-05-08	4600
34/10-A-8	5	2178.500000	2232.000000	[m   ]	250.000000	6	YES	1053	9999-12-31	2013-05-08	4601
34/10-A-8	6	2232.300000	2284.800000	[m   ]	250.000000	6	YES	1053	9999-12-31	2013-05-08	4602
34/10-A-9 H	1	1849.000000	1861.700000	[m   ]	209.000000	10	YES	1052	9999-12-31	2013-05-08	4603
34/10-A-9 H	10	2206.400000	2214.900000	[m   ]	209.000000	10	YES	1052	9999-12-31	2013-05-08	4604
34/10-A-9 H	2	1868.000000	1893.700000	[m   ]	209.000000	10	YES	1052	9999-12-31	2013-05-08	4605
34/10-A-9 H	3	1894.000000	1917.300000	[m   ]	209.000000	10	YES	1052	9999-12-31	2013-05-08	4606
34/10-A-9 H	4	1917.300000	1925.000000	[m   ]	209.000000	10	YES	1052	9999-12-31	2013-05-08	4607
34/10-A-9 H	5	1925.000000	1948.900000	[m   ]	209.000000	10	YES	1052	9999-12-31	2013-05-08	4608
34/10-A-9 H	6	1952.000000	1978.600000	[m   ]	209.000000	10	YES	1052	9999-12-31	2013-05-08	4609
34/10-A-9 H	7	1979.000000	2006.100000	[m   ]	209.000000	10	YES	1052	9999-12-31	2013-05-08	4610
34/10-A-9 H	8	2007.000000	2034.800000	[m   ]	209.000000	10	YES	1052	9999-12-31	2013-05-08	4611
34/10-A-9 H	9	2179.000000	2206.400000	[m   ]	209.000000	10	YES	1052	9999-12-31	2013-05-08	4612
34/10-B-1	1	2039.000000	2066.700000	[m   ]	245.600000	5	YES	1185	9999-12-31	2013-05-08	4613
34/10-B-1	2	2066.700000	2121.600000	[m   ]	245.600000	5	YES	1185	9999-12-31	2013-05-08	4614
34/10-B-1	3	2121.600000	2175.000000	[m   ]	245.600000	5	YES	1185	9999-12-31	2013-05-08	4615
34/10-B-1	4	2176.500000	2231.600000	[m   ]	245.600000	5	YES	1185	9999-12-31	2013-05-08	4616
34/10-B-1	5	2231.600000	2286.200000	[m   ]	245.600000	5	YES	1185	9999-12-31	2013-05-08	4617
34/10-B-10	1	3134.000000	3161.700000	[m   ]	27.700000	1	YES	1430	9999-12-31	2013-05-08	4618
34/10-B-10 A	1	3184.000000	3193.200000	[m   ]	38.000000	3	YES	1464	9999-12-31	2013-05-08	4619
34/10-B-10 A	2	3267.000000	3276.000000	[m   ]	38.000000	3	YES	1464	9999-12-31	2013-05-08	4620
34/10-B-10 A	3	3276.000000	3297.800000	[m   ]	38.000000	3	YES	1464	9999-12-31	2013-05-08	4621
34/10-B-11	1	3150.500000	3166.800000	[m   ]	37.000000	3	YES	1452	9999-12-31	2013-05-08	4622
34/10-B-11	2	3455.500000	3459.600000	[m   ]	37.000000	3	YES	1452	9999-12-31	2013-05-08	4623
34/10-B-11	3	3472.000000	3488.700000	[m   ]	37.000000	3	YES	1452	9999-12-31	2013-05-08	4624
34/10-B-12	1	2707.000000	2758.400000	[m   ]	254.300000	9	YES	1457	9999-12-31	2013-05-08	4625
34/10-B-12	2	2761.000000	2815.000000	[m   ]	254.300000	9	YES	1457	9999-12-31	2013-05-08	4626
34/10-B-12	3	2815.000000	2850.000000	[m   ]	254.300000	9	YES	1457	9999-12-31	2013-05-08	4627
34/10-B-12	4	2852.000000	2873.900000	[m   ]	254.300000	9	YES	1457	9999-12-31	2013-05-08	4628
34/10-B-12	5	2881.000000	2899.000000	[m   ]	254.300000	9	YES	1457	9999-12-31	2013-05-08	4629
34/10-B-12	6	2899.000000	2912.200000	[m   ]	254.300000	9	YES	1457	9999-12-31	2013-05-08	4630
34/10-B-12	7	2913.000000	2942.500000	[m   ]	254.300000	9	YES	1457	9999-12-31	2013-05-08	4631
34/10-B-12	8	2943.000000	2956.400000	[m   ]	254.300000	9	YES	1457	9999-12-31	2013-05-08	4632
34/10-B-12	9	2963.000000	2982.000000	[m   ]	254.300000	9	YES	1457	9999-12-31	2013-05-08	4633
34/10-B-14	1	3749.000000	3775.700000	[m   ]	40.600000	2	YES	1538	9999-12-31	2013-05-08	4634
34/10-B-14	2	3776.000000	3789.900000	[m   ]	40.600000	2	YES	1538	9999-12-31	2013-05-08	4635
34/10-B-18	1	4095.000000	4106.600000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4636
34/10-B-18	10	4354.600000	4376.000000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4637
34/10-B-18	11	4378.500000	4388.000000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4638
34/10-B-18	12	4387.700000	4395.100000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4639
34/10-B-18	2	4106.000000	4133.000000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4640
34/10-B-18	3	4133.000000	4143.900000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4641
34/10-B-18	4	4144.700000	4170.000000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4642
34/10-B-18	5	4170.200000	4188.000000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4643
34/10-B-18	6	4188.000000	4216.500000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4644
34/10-B-18	7	4216.500000	4244.000000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4645
34/10-B-18	8	4300.500000	4337.400000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4646
34/10-B-18	9	4327.500000	4351.700000	[m   ]	250.000000	12	YES	1710	9999-12-31	2013-05-08	4647
34/10-B-2	1	2475.000000	2501.400000	[m   ]	110.300000	3	YES	930	9999-12-31	2013-05-08	4648
34/10-B-2	2	2502.000000	2530.800000	[m   ]	110.300000	3	YES	930	9999-12-31	2013-05-08	4649
34/10-B-2	3	2536.000000	2591.200000	[m   ]	110.300000	3	YES	930	9999-12-31	2013-05-08	4650
34/10-B-21	1	3262.000000	3262.700000	[m   ]	31.100000	2	YES	1933	9999-12-31	2013-05-08	4651
34/10-B-21	2	2390.000000	2420.400000	[m   ]	31.100000	2	YES	1933	9999-12-31	2013-05-08	4652
34/10-B-4	1	2771.000000	2798.200000	[m   ]	82.400000	2	YES	1304	9999-12-31	2013-05-08	4653
34/10-B-4	2	2799.000000	2854.200000	[m   ]	82.400000	2	YES	1304	9999-12-31	2013-05-08	4654
34/10-B-5	1	3185.000000	3218.000000	[m   ]	33.000000	1	YES	1124	9999-12-31	2013-05-08	4655
34/10-B-9	1	2011.000000	2037.100000	[m   ]	98.900000	6	YES	1410	9999-12-31	2013-05-08	4656
34/10-B-9	2	2038.000000	2047.900000	[m   ]	98.900000	6	YES	1410	9999-12-31	2013-05-08	4657
34/10-B-9	3	2050.500000	2056.200000	[m   ]	98.900000	6	YES	1410	9999-12-31	2013-05-08	4658
34/10-B-9	4	2058.000000	2076.800000	[m   ]	98.900000	6	YES	1410	9999-12-31	2013-05-08	4659
34/10-B-9	5	2080.000000	2095.600000	[m   ]	98.900000	6	YES	1410	9999-12-31	2013-05-08	4660
34/10-B-9	6	2097.500000	2119.300000	[m   ]	98.900000	6	YES	1410	9999-12-31	2013-05-08	4661
34/10-C-1	1	2066.000000	2091.100000	[m   ]	102.000000	3	YES	1472	9999-12-31	2013-05-08	4662
34/10-C-1	2	2091.100000	2142.200000	[m   ]	102.000000	3	YES	1472	9999-12-31	2013-05-08	4663
34/10-C-1	3	2351.000000	2376.900000	[m   ]	102.000000	3	YES	1472	9999-12-31	2013-05-08	4664
34/10-C-10	1	3545.000000	3572.500000	[m   ]	57.700000	2	YES	1877	9999-12-31	2013-05-08	4665
34/10-C-10	2	3572.500000	3602.700000	[m   ]	57.700000	2	YES	1877	9999-12-31	2013-05-08	4666
34/10-C-12	1	2966.000000	3002.900000	[m   ]	67.900000	2	YES	1945	9999-12-31	2013-05-08	4667
34/10-C-12	2	3003.000000	3034.000000	[m   ]	67.900000	2	YES	1945	9999-12-31	2013-05-08	4668
34/10-C-13	1	\N	0.000000	\N	114.200000	9	YES	1968	9999-12-31	2013-05-08	4669
34/10-C-13	2	\N	0.000000	\N	114.200000	9	YES	1968	9999-12-31	2013-05-08	4670
34/10-C-13	3	2584.000000	2592.000000	[m   ]	114.200000	9	YES	1968	9999-12-31	2013-05-08	4671
34/10-C-13	4	2592.000000	2601.700000	[m   ]	114.200000	9	YES	1968	9999-12-31	2013-05-08	4672
34/10-C-13	5	2601.700000	2625.000000	[m   ]	114.200000	9	YES	1968	9999-12-31	2013-05-08	4673
34/10-C-13	6	2629.000000	2647.600000	[m   ]	114.200000	9	YES	1968	9999-12-31	2013-05-08	4674
34/10-C-13	7	\N	0.000000	\N	114.200000	9	YES	1968	9999-12-31	2013-05-08	4675
34/10-C-13	8	2656.500000	2674.000000	[m   ]	114.200000	9	YES	1968	9999-12-31	2013-05-08	4676
34/10-C-13	9	2674.500000	2711.000000	[m   ]	114.200000	9	YES	1968	9999-12-31	2013-05-08	4677
34/10-C-2	1	2270.500000	2297.100000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4678
34/10-C-2	10	2457.000000	2484.200000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4679
34/10-C-2	11	2484.000000	2538.000000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4680
34/10-C-2	12	2538.000000	2560.300000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4681
34/10-C-2	13	2585.000000	2605.200000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4682
34/10-C-2	2	2297.500000	2336.600000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4683
34/10-C-2	3	2337.000000	2356.800000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4684
34/10-C-2	4	2358.000000	2382.000000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4685
34/10-C-2	5	2383.500000	2411.600000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4686
34/10-C-2	6	2415.000000	2433.900000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4687
34/10-C-2	7	2436.000000	2338.000000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4688
34/10-C-2	8	2438.000000	2440.000000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4689
34/10-C-2	9	2441.000000	2455.700000	[m   ]	298.600000	13	YES	1491	9999-12-31	2013-05-08	4690
34/10-C-20	1	4293.200000	4299.300000	[m   ]	25.800000	4	YES	2266	9999-12-31	2013-05-08	4691
34/10-C-20	2	4299.300000	4304.900000	[m   ]	25.800000	4	YES	2266	9999-12-31	2013-05-08	4692
34/10-C-20	3	4306.000000	4319.000000	[m   ]	25.800000	4	YES	2266	9999-12-31	2013-05-08	4693
34/10-C-20	4	4320.000000	4321.100000	[m   ]	25.800000	4	YES	2266	9999-12-31	2013-05-08	4694
34/10-C-21	1	2285.000000	2299.200000	[m   ]	112.700000	8	YES	2303	9999-12-31	2013-05-08	4695
34/10-C-21	2	2301.500000	2312.500000	[m   ]	112.700000	8	YES	2303	9999-12-31	2013-05-08	4696
34/10-C-21	3	2312.500000	2325.000000	[m   ]	112.700000	8	YES	2303	9999-12-31	2013-05-08	4697
34/10-C-21	4	2325.000000	2336.000000	[m   ]	112.700000	8	YES	2303	9999-12-31	2013-05-08	4698
34/10-C-21	5	2336.000000	2363.000000	[m   ]	112.700000	8	YES	2303	9999-12-31	2013-05-08	4699
34/10-C-21	6	2363.000000	2378.000000	[m   ]	112.700000	8	YES	2303	9999-12-31	2013-05-08	4700
34/10-C-21	7	2378.000000	2383.900000	[m   ]	112.700000	8	YES	2303	9999-12-31	2013-05-08	4701
34/10-C-21	8	2384.000000	2400.100000	[m   ]	112.700000	8	YES	2303	9999-12-31	2013-05-08	4702
34/10-C-23	1	2706.000000	2726.000000	[m   ]	108.600000	7	YES	2369	9999-12-31	2013-05-08	4703
34/10-C-23	2	2730.000000	2732.900000	[m   ]	108.600000	7	YES	2369	9999-12-31	2013-05-08	4704
34/10-C-23	3	2749.000000	2775.300000	[m   ]	108.600000	7	YES	2369	9999-12-31	2013-05-08	4705
34/10-C-23	4	2776.000000	2797.200000	[m   ]	108.600000	7	YES	2369	9999-12-31	2013-05-08	4706
34/10-C-23	5	2799.000000	2822.700000	[m   ]	108.600000	7	YES	2369	9999-12-31	2013-05-08	4707
34/10-C-23	6	2826.000000	2834.800000	[m   ]	108.600000	7	YES	2369	9999-12-31	2013-05-08	4708
34/10-C-23	7	2835.000000	2840.700000	[m   ]	108.600000	7	YES	2369	9999-12-31	2013-05-08	4709
34/10-C-26	1	2163.000000	2177.200000	[m   ]	14.200000	1	YES	2450	9999-12-31	2013-05-08	4710
34/10-C-29	1	3742.000000	3760.600000	[m   ]	70.100000	4	YES	2622	9999-12-31	2013-05-08	4711
34/10-C-29	2	3762.000000	3779.500000	[m   ]	70.100000	4	YES	2622	9999-12-31	2013-05-08	4712
34/10-C-29	3	3780.000000	3791.000000	[m   ]	70.100000	4	YES	2622	9999-12-31	2013-05-08	4713
34/10-C-29	4	3992.000000	4015.000000	[m   ]	70.100000	4	YES	2622	9999-12-31	2013-05-08	4714
34/10-C-3	1	2351.000000	2375.700000	[m   ]	177.700000	6	YES	1518	9999-12-31	2013-05-08	4715
34/10-C-3	2	2377.000000	2431.000000	[m   ]	177.700000	6	YES	1518	9999-12-31	2013-05-08	4716
34/10-C-3	3	2431.000000	2456.400000	[m   ]	177.700000	6	YES	1518	9999-12-31	2013-05-08	4717
34/10-C-3	4	2547.000000	2555.300000	[m   ]	177.700000	6	YES	1518	9999-12-31	2013-05-08	4718
34/10-C-3	5	2555.300000	2569.000000	[m   ]	177.700000	6	YES	1518	9999-12-31	2013-05-08	4719
34/10-C-3	6	2569.000000	2619.900000	[m   ]	177.700000	6	YES	1518	9999-12-31	2013-05-08	4720
34/10-C-32	1	3883.000000	3910.000000	[m   ]	48.600000	2	YES	2747	9999-12-31	2013-05-08	4721
34/10-C-32	2	4868.000000	4889.600000	[m   ]	48.600000	2	YES	2747	9999-12-31	2013-05-08	4722
34/10-C-4	1	2815.000000	2818.300000	[m   ]	217.400000	10	YES	1598	9999-12-31	2013-05-08	4723
34/10-C-4	10	3016.500000	3064.600000	[m   ]	217.400000	10	YES	1598	9999-12-31	2013-05-08	4724
34/10-C-4	2	2820.000000	2843.700000	[m   ]	217.400000	10	YES	1598	9999-12-31	2013-05-08	4725
34/10-C-4	3	2846.500000	2858.000000	[m   ]	217.400000	10	YES	1598	9999-12-31	2013-05-08	4726
34/10-C-4	4	2859.000000	2886.000000	[m   ]	217.400000	10	YES	1598	9999-12-31	2013-05-08	4727
34/10-C-4	5	2886.000000	2907.500000	[m   ]	217.400000	10	YES	1598	9999-12-31	2013-05-08	4728
34/10-C-4	6	2907.000000	2933.700000	[m   ]	217.400000	10	YES	1598	9999-12-31	2013-05-08	4729
34/10-C-4	7	2934.000000	2961.300000	[m   ]	217.400000	10	YES	1598	9999-12-31	2013-05-08	4730
34/10-C-4	8	2961.500000	2989.300000	[m   ]	217.400000	10	YES	1598	9999-12-31	2013-05-08	4731
34/10-C-4	9	2989.000000	3016.600000	[m   ]	217.400000	10	YES	1598	9999-12-31	2013-05-08	4732
34/10-C-45	1	2503.000000	2505.400000	[m   ]	8.600000	2	YES	4581	9999-12-31	2013-05-08	4733
34/10-C-45	2	2510.100000	2516.300000	[m   ]	8.600000	2	YES	4581	9999-12-31	2013-05-08	4734
34/10-C-6	1	2825.000000	2852.000000	[m   ]	108.100000	3	YES	1716	9999-12-31	2013-05-08	4735
34/10-C-6	2	2910.000000	2936.000000	[m   ]	108.100000	3	YES	1716	9999-12-31	2013-05-08	4736
34/10-C-6	3	3025.000000	3080.100000	[m   ]	108.100000	3	YES	1716	9999-12-31	2013-05-08	4737
34/10-C-8	1	2342.000000	2244.100000	[m   ]	76.300000	6	YES	1788	9999-12-31	2013-05-08	4738
34/10-C-8	2	2351.000000	2393.400000	[m   ]	76.300000	6	YES	1788	9999-12-31	2013-05-08	4739
34/10-C-8	3	2544.000000	2550.000000	[m   ]	76.300000	6	YES	1788	9999-12-31	2013-05-08	4740
34/10-C-8	4	2554.000000	2563.000000	[m   ]	76.300000	6	YES	1788	9999-12-31	2013-05-08	4741
34/10-C-8	5	2564.000000	2588.000000	[m   ]	76.300000	6	YES	1788	9999-12-31	2013-05-08	4742
34/10-C-8	6	2591.000000	2605.500000	[m   ]	76.300000	6	YES	1788	9999-12-31	2013-05-08	4743
34/10-E-1 Y1H	1	3583.000000	3597.100000	[m   ]	33.100000	2	YES	5362	9999-12-31	2013-05-08	4744
34/10-E-1 Y1H	2	3597.000000	3616.000000	[m   ]	33.100000	2	YES	5362	9999-12-31	2013-05-08	4745
34/10-F-4 H	1	3493.000000	3528.500000	[m   ]	35.500000	1	YES	3163	9999-12-31	2013-05-08	4746
34/10-G-2 H	1	3563.000000	3590.800000	[m   ]	27.800000	1	YES	3046	2012-11-06	2013-05-08	4747
34/10-G-3 H	1	4809.000000	4824.400000	[m   ]	23.800000	2	YES	4299	9999-12-31	2013-05-08	4748
34/10-G-3 H	2	4826.000000	4834.400000	[m   ]	23.800000	2	YES	4299	9999-12-31	2013-05-08	4749
34/10-H-2 H	1	3780.000000	3788.600000	[m   ]	33.200000	2	YES	3379	9999-12-31	2013-05-08	4750
34/10-H-2 H	2	3794.000000	3818.700000	[m   ]	33.200000	2	YES	3379	9999-12-31	2013-05-08	4751
34/10-I-3 H	1	2850.000000	2861.200000	[m   ]	11.200000	1	YES	4215	9999-12-31	2013-05-08	4752
34/10-J-3 H	1	3262.000000	3290.000000	[m   ]	28.000000	1	YES	4131	9999-12-31	2013-05-08	4753
34/10-J-4 H	1	4447.000000	4492.600000	[m   ]	45.600000	1	YES	4314	9999-12-31	2013-05-08	4754
34/10-K-2 H	1	3246.000000	3255.400000	[m   ]	81.000000	4	YES	3360	9999-12-31	2013-05-08	4755
34/10-K-2 H	2	3255.400000	3281.500000	[m   ]	81.000000	4	YES	3360	9999-12-31	2013-05-08	4756
34/10-K-2 H	3	3861.000000	3876.900000	[m   ]	81.000000	4	YES	3360	9999-12-31	2013-05-08	4757
34/10-K-2 H	4	3992.000000	4021.600000	[m   ]	81.000000	4	YES	3360	9999-12-31	2013-05-08	4758
34/10-L-4 H	1	4371.000000	4397.400000	[m   ]	35.200000	2	YES	3893	9999-12-31	2013-05-08	4759
34/10-L-4 H	2	4399.000000	4407.900000	[m   ]	35.200000	2	YES	3893	9999-12-31	2013-05-08	4760
34/10-M-1 H	1	3396.000000	3448.900000	[m   ]	99.100000	2	YES	4218	9999-12-31	2013-05-08	4761
34/10-M-1 H	2	3450.000000	3496.200000	[m   ]	99.100000	2	YES	4218	9999-12-31	2013-05-08	4762
34/11-1	1	4050.000000	4060.200000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4763
34/11-1	10	4156.500000	4163.100000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4764
34/11-1	11	4168.000000	4189.600000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4765
34/11-1	12	4193.000000	4220.300000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4766
34/11-1	2	4060.200000	4062.800000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4767
34/11-1	3	4074.000000	4079.400000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4768
34/11-1	4	4080.000000	4090.000000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4769
34/11-1	5	4093.000000	4104.500000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4770
34/11-1	6	4106.000000	4111.800000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4771
34/11-1	7	4113.000000	4122.500000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4772
34/11-1	8	4125.000000	4136.000000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4773
34/11-1	9	4141.500000	4154.200000	[m   ]	131.000000	12	YES	2377	2012-11-16	2013-05-08	4774
34/11-2 S	1	3846.000000	3849.700000	[m   ]	173.500000	9	YES	2733	2012-11-16	2013-05-08	4775
34/11-2 S	2	4083.000000	4110.800000	[m   ]	173.500000	9	YES	2733	2012-11-16	2013-05-08	4776
34/11-2 S	3	4111.000000	4115.000000	[m   ]	173.500000	9	YES	2733	2012-11-16	2013-05-08	4777
34/11-2 S	4	4116.000000	4125.400000	[m   ]	173.500000	9	YES	2733	2012-11-16	2013-05-08	4778
34/11-2 S	5	4126.000000	4154.400000	[m   ]	173.500000	9	YES	2733	2012-11-16	2013-05-08	4779
34/11-2 S	6	4209.000000	4237.000000	[m   ]	173.500000	9	YES	2733	2012-11-16	2013-05-08	4780
34/11-2 S	7	4237.000000	4265.000000	[m   ]	173.500000	9	YES	2733	2012-11-16	2013-05-08	4781
34/11-2 S	8	4266.000000	4293.900000	[m   ]	173.500000	9	YES	2733	2012-11-16	2013-05-08	4782
34/11-2 S	9	4460.000000	4476.300000	[m   ]	173.500000	9	YES	2733	2012-11-16	2013-05-08	4783
34/11-3	1	2027.000000	2035.600000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4784
34/11-3	10	4095.000000	4111.300000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4785
34/11-3	11	4142.000000	4182.500000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4786
34/11-3	12	4480.000000	4480.300000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4787
34/11-3	2	4040.000000	4047.400000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4788
34/11-3	3	4048.500000	4050.600000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4789
34/11-3	4	4054.000000	4060.000000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4790
34/11-3	5	4060.500000	4068.300000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4791
34/11-3	6	4071.500000	4072.600000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4792
34/11-3	7	4073.500000	4078.300000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4793
34/11-3	8	4078.500000	4082.100000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4794
34/11-3	9	4082.100000	4085.600000	[m   ]	101.800000	12	YES	2866	9999-12-31	2013-05-08	4795
34/11-4	1	4150.000000	4176.900000	[m   ]	50.300000	2	YES	3314	9999-12-31	2013-05-08	4796
34/11-4	2	4177.000000	4200.200000	[m   ]	50.300000	2	YES	3314	9999-12-31	2013-05-08	4797
34/11-A-11	1	4360.000000	4379.400000	[m   ]	19.400000	1	YES	5001	9999-12-31	2013-05-08	4798
34/11-A-3	1	5726.000000	5741.000000	[m   ]	15.000000	1	YES	5772	9999-12-31	2013-05-08	4799
34/11-A-4	1	4311.000000	4324.600000	[m   ]	13.600000	1	YES	4924	9999-12-31	2013-05-08	4800
34/2-2 R	1	3665.000000	3675.200000	[m   ]	10.200000	1	YES	497	9999-12-31	2013-05-08	4801
34/2-3	1	3360.500000	3372.600000	[m   ]	44.600000	3	YES	421	9999-12-31	2013-05-08	4802
34/2-3	2	3377.600000	3396.200000	[m   ]	44.600000	3	YES	421	9999-12-31	2013-05-08	4803
34/2-3	3	3396.500000	3404.400000	[m   ]	44.600000	3	YES	421	9999-12-31	2013-05-08	4804
34/2-4	1	3827.000000	3837.900000	[m   ]	10.900000	1	YES	467	9999-12-31	2013-05-08	4805
34/3-1 S	1	3868.000000	3891.300000	[m   ]	60.600000	2	YES	5811	9999-12-31	2013-05-08	4806
34/3-1 S	2	3895.000000	3932.300000	[m   ]	60.600000	2	YES	5811	9999-12-31	2013-05-08	4807
34/3-2 S	1	4053.000000	4079.900000	[m   ]	26.900000	1	YES	6249	9999-12-31	2013-05-08	4808
34/4-1	1	\N	0.000000	\N	89.900000	11	YES	422	9999-12-31	2013-05-08	4809
34/4-1	10	2615.300000	2617.300000	[m   ]	89.900000	11	YES	422	9999-12-31	2013-05-08	4810
34/4-1	11	2665.000000	2674.600000	[m   ]	89.900000	11	YES	422	9999-12-31	2013-05-08	4811
34/4-1	2	2509.200000	2510.500000	[m   ]	89.900000	11	YES	422	9999-12-31	2013-05-08	4812
34/4-1	3	2516.000000	2531.800000	[m   ]	89.900000	11	YES	422	9999-12-31	2013-05-08	4813
34/4-1	4	2531.800000	2539.900000	[m   ]	89.900000	11	YES	422	9999-12-31	2013-05-08	4814
34/4-1	5	2541.400000	2544.100000	[m   ]	89.900000	11	YES	422	9999-12-31	2013-05-08	4815
34/4-1	6	2557.000000	2563.500000	[m   ]	89.900000	11	YES	422	9999-12-31	2013-05-08	4816
34/4-1	7	2570.800000	2589.800000	[m   ]	89.900000	11	YES	422	9999-12-31	2013-05-08	4817
34/4-1	8	2589.800000	2608.900000	[m   ]	89.900000	11	YES	422	9999-12-31	2013-05-08	4818
34/4-1	9	2608.800000	2614.700000	[m   ]	89.900000	11	YES	422	9999-12-31	2013-05-08	4819
34/4-10 R	1	3953.000000	3980.400000	[m   ]	27.400000	1	YES	4051	9999-12-31	2013-05-08	4820
34/4-12 A	1	2590.000000	2643.700000	[m   ]	53.700000	1	YES	6316	9999-12-31	2013-05-08	4821
34/4-12 S	1	2757.000000	2809.400000	[m   ]	52.400000	1	YES	6283	9999-12-31	2013-05-08	4822
34/4-13 S	1	4801.000000	4826.900000	[m   ]	68.400000	4	YES	6442	2013-01-15	2013-05-08	4823
34/4-13 S	2	4828.000000	4834.600000	[m   ]	68.400000	4	YES	6442	2013-01-15	2013-05-08	4824
34/4-13 S	3	4835.000000	4849.000000	[m   ]	68.400000	4	YES	6442	2013-01-15	2013-05-08	4825
34/4-13 S	4	4894.000000	4915.900000	[m   ]	68.400000	4	YES	6442	2013-01-15	2013-05-08	4826
34/4-2	1	2595.600000	2602.600000	[m   ]	7.000000	1	YES	228	9999-12-31	2013-05-08	4827
34/4-3	1	3567.000000	3576.200000	[m   ]	41.100000	4	YES	423	9999-12-31	2013-05-08	4828
34/4-3	2	3576.200000	3584.700000	[m   ]	41.100000	4	YES	423	9999-12-31	2013-05-08	4829
34/4-3	3	3990.900000	4006.800000	[m   ]	41.100000	4	YES	423	9999-12-31	2013-05-08	4830
34/4-3	4	4358.000000	4365.500000	[m   ]	41.100000	4	YES	423	9999-12-31	2013-05-08	4831
34/4-4	1	2433.700000	2444.100000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4832
34/4-4	10	2548.600000	2566.800000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4833
34/4-4	11	2566.800000	2576.100000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4834
34/4-4	12	2578.300000	2595.400000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4835
34/4-4	13	2596.200000	2607.500000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4836
34/4-4	14	2614.400000	2621.300000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4837
34/4-4	15	2624.000000	2634.600000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4838
34/4-4	2	2444.800000	2457.000000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4839
34/4-4	3	2457.900000	2471.300000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4840
34/4-4	4	2472.200000	2482.500000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4841
34/4-4	5	2482.600000	2486.000000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4842
34/4-4	6	2489.300000	2501.900000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4843
34/4-4	7	2501.900000	2519.500000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4844
34/4-4	8	2519.500000	2535.000000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4845
34/4-4	9	2535.000000	2548.600000	[m   ]	184.100000	15	YES	41	2012-12-22	2013-05-08	4846
34/4-5	1	3423.000000	3437.700000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4847
34/4-5	10	3580.000000	3588.500000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4848
34/4-5	11	3588.000000	3595.000000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4849
34/4-5	12	3595.000000	3604.200000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4850
34/4-5	13	3605.000000	3609.000000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4851
34/4-5	14	3610.000000	3617.000000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4852
34/4-5	15	3617.000000	3621.200000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4853
34/4-5	16	3621.000000	3630.200000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4854
34/4-5	17	3630.000000	3648.800000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4855
34/4-5	2	3473.000000	3481.400000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4856
34/4-5	3	3484.000000	3496.200000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4857
34/4-5	4	3496.000000	3507.600000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4858
34/4-5	5	3508.000000	3518.000000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4859
34/4-5	6	3519.000000	3526.700000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4860
34/4-5	7	3527.000000	3536.700000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4861
34/4-5	8	3564.000000	3569.500000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4862
34/4-5	9	3571.000000	3580.000000	[m   ]	141.400000	17	YES	37	9999-12-31	2013-05-08	4863
34/4-6	1	2549.500000	2553.300000	[m   ]	55.800000	6	YES	875	9999-12-31	2013-05-08	4864
34/4-6	2	2576.000000	2583.000000	[m   ]	55.800000	6	YES	875	9999-12-31	2013-05-08	4865
34/4-6	3	2589.000000	2596.500000	[m   ]	55.800000	6	YES	875	9999-12-31	2013-05-08	4866
34/4-6	4	2600.000000	2612.900000	[m   ]	55.800000	6	YES	875	9999-12-31	2013-05-08	4867
34/4-6	5	2614.000000	2622.400000	[m   ]	55.800000	6	YES	875	9999-12-31	2013-05-08	4868
34/4-6	6	2642.000000	2660.500000	[m   ]	55.800000	6	YES	875	9999-12-31	2013-05-08	4869
34/4-7	1	2506.000000	2511.000000	[m   ]	181.800000	10	YES	943	9999-12-31	2013-05-08	4870
34/4-7	10	2693.000000	2711.700000	[m   ]	181.800000	10	YES	943	9999-12-31	2013-05-08	4871
34/4-7	2	2512.000000	2531.200000	[m   ]	181.800000	10	YES	943	9999-12-31	2013-05-08	4872
34/4-7	3	2536.000000	2563.500000	[m   ]	181.800000	10	YES	943	9999-12-31	2013-05-08	4873
34/4-7	4	2563.500000	2591.300000	[m   ]	181.800000	10	YES	943	9999-12-31	2013-05-08	4874
34/4-7	5	2591.300000	2603.000000	[m   ]	181.800000	10	YES	943	9999-12-31	2013-05-08	4875
34/4-7	6	2619.300000	2647.000000	[m   ]	181.800000	10	YES	943	9999-12-31	2013-05-08	4876
34/4-7	7	2647.000000	2656.500000	[m   ]	181.800000	10	YES	943	9999-12-31	2013-05-08	4877
34/4-7	8	2656.500000	2675.000000	[m   ]	181.800000	10	YES	943	9999-12-31	2013-05-08	4878
34/4-7	9	2675.000000	2692.700000	[m   ]	181.800000	10	YES	943	9999-12-31	2013-05-08	4879
34/4-9 S	1	2515.000000	2597.500000	[m   ]	207.800000	3	YES	2931	9999-12-31	2013-05-08	4880
34/4-9 S	2	2598.000000	2658.800000	[m   ]	207.800000	3	YES	2931	9999-12-31	2013-05-08	4881
34/4-9 S	3	2659.000000	2723.500000	[m   ]	207.800000	3	YES	2931	9999-12-31	2013-05-08	4882
34/4-C-6 H	1	3000.000000	3018.500000	[m   ]	485.700000	10	YES	3887	9999-12-31	2013-05-08	4883
34/4-C-6 H	10	3476.000000	3490.000000	[m   ]	485.700000	10	YES	3887	9999-12-31	2013-05-08	4884
34/4-C-6 H	2	3020.000000	3060.200000	[m   ]	485.700000	10	YES	3887	9999-12-31	2013-05-08	4885
34/4-C-6 H	3	3060.000000	3115.800000	[m   ]	485.700000	10	YES	3887	9999-12-31	2013-05-08	4886
34/4-C-6 H	4	3116.000000	3187.500000	[m   ]	485.700000	10	YES	3887	9999-12-31	2013-05-08	4887
34/4-C-6 H	5	3189.000000	3235.000000	[m   ]	485.700000	10	YES	3887	9999-12-31	2013-05-08	4888
34/4-C-6 H	6	3235.000000	3302.900000	[m   ]	485.700000	10	YES	3887	9999-12-31	2013-05-08	4889
34/4-C-6 H	7	3303.000000	3385.900000	[m   ]	485.700000	10	YES	3887	9999-12-31	2013-05-08	4890
34/4-C-6 H	8	3386.000000	3449.000000	[m   ]	485.700000	10	YES	3887	9999-12-31	2013-05-08	4891
34/4-C-6 H	9	3449.000000	3475.000000	[m   ]	485.700000	10	YES	3887	9999-12-31	2013-05-08	4892
34/5-1 S	1	3640.500000	3667.500000	[m   ]	48.400000	2	YES	6307	9999-12-31	2013-05-08	4893
34/5-1 S	2	3667.500000	3688.900000	[m   ]	48.400000	2	YES	6307	9999-12-31	2013-05-08	4894
34/7-1	1	2394.000000	2409.500000	[m   ]	219.800000	10	YES	111	9999-12-31	2013-05-08	4895
34/7-1	10	2605.000000	2623.000000	[m   ]	219.800000	10	YES	111	9999-12-31	2013-05-08	4896
34/7-1	2	2412.000000	2432.900000	[m   ]	219.800000	10	YES	111	9999-12-31	2013-05-08	4897
34/7-1	3	2435.000000	2463.000000	[m   ]	219.800000	10	YES	111	9999-12-31	2013-05-08	4898
34/7-1	4	2463.000000	2490.000000	[m   ]	219.800000	10	YES	111	9999-12-31	2013-05-08	4899
34/7-1	5	2490.000000	2518.000000	[m   ]	219.800000	10	YES	111	9999-12-31	2013-05-08	4900
34/7-1	6	2518.000000	2545.000000	[m   ]	219.800000	10	YES	111	9999-12-31	2013-05-08	4901
34/7-1	7	2545.000000	2573.100000	[m   ]	219.800000	10	YES	111	9999-12-31	2013-05-08	4902
34/7-1	8	2573.000000	2594.000000	[m   ]	219.800000	10	YES	111	9999-12-31	2013-05-08	4903
34/7-1	9	2595.000000	2604.300000	[m   ]	219.800000	10	YES	111	9999-12-31	2013-05-08	4904
34/7-10	1	2522.000000	2539.100000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4905
34/7-10	10	2617.500000	2624.000000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4906
34/7-10	11	2624.000000	2635.500000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4907
34/7-10	12	2635.500000	2641.500000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4908
34/7-10	13	2641.500000	2655.000000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4909
34/7-10	14	2655.000000	2663.000000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4910
34/7-10	2	2540.500000	2551.600000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4911
34/7-10	3	2552.500000	2558.400000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4912
34/7-10	4	2558.500000	2574.000000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4913
34/7-10	5	2574.000000	2577.700000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4914
34/7-10	6	2592.000000	2598.000000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4915
34/7-10	7	2599.500000	2602.000000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4916
34/7-10	8	2602.000000	2608.500000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4917
34/7-10	9	2608.500000	2617.500000	[m   ]	122.800000	14	YES	947	9999-12-31	2013-05-08	4918
34/7-12	1	2169.000000	2196.300000	[m   ]	181.200000	10	YES	1187	9999-12-31	2013-05-08	4919
34/7-12	10	2333.000000	2356.600000	[m   ]	181.200000	10	YES	1187	9999-12-31	2013-05-08	4920
34/7-12	2	2196.500000	2212.900000	[m   ]	181.200000	10	YES	1187	9999-12-31	2013-05-08	4921
34/7-12	3	2214.000000	2215.500000	[m   ]	181.200000	10	YES	1187	9999-12-31	2013-05-08	4922
34/7-12	4	2216.000000	2224.900000	[m   ]	181.200000	10	YES	1187	9999-12-31	2013-05-08	4923
34/7-12	5	2228.000000	2242.400000	[m   ]	181.200000	10	YES	1187	9999-12-31	2013-05-08	4924
34/7-12	6	2242.000000	2261.500000	[m   ]	181.200000	10	YES	1187	9999-12-31	2013-05-08	4925
34/7-12	7	2262.000000	2289.900000	[m   ]	181.200000	10	YES	1187	9999-12-31	2013-05-08	4926
34/7-12	8	2290.000000	2305.000000	[m   ]	181.200000	10	YES	1187	9999-12-31	2013-05-08	4927
34/7-12	9	2305.500000	2332.500000	[m   ]	181.200000	10	YES	1187	9999-12-31	2013-05-08	4928
34/7-13	1	2496.000000	2500.000000	[m   ]	118.000000	6	YES	1233	9999-12-31	2013-05-08	4929
34/7-13	2	2500.000000	2515.300000	[m   ]	118.000000	6	YES	1233	9999-12-31	2013-05-08	4930
34/7-13	3	2515.500000	2532.000000	[m   ]	118.000000	6	YES	1233	9999-12-31	2013-05-08	4931
34/7-13	4	2532.000000	2559.600000	[m   ]	118.000000	6	YES	1233	9999-12-31	2013-05-08	4932
34/7-13	5	2560.000000	2587.700000	[m   ]	118.000000	6	YES	1233	9999-12-31	2013-05-08	4933
34/7-13	6	2873.000000	2889.900000	[m   ]	118.000000	6	YES	1233	9999-12-31	2013-05-08	4934
34/7-14	1	\N	0.000000	\N	210.100000	11	YES	1278	9999-12-31	2013-05-08	4935
34/7-14	10	2353.500000	2380.200000	[m   ]	210.100000	11	YES	1278	9999-12-31	2013-05-08	4936
34/7-14	11	2380.500000	2408.200000	[m   ]	210.100000	11	YES	1278	9999-12-31	2013-05-08	4937
34/7-14	4	2194.000000	2222.000000	[m   ]	210.100000	11	YES	1278	9999-12-31	2013-05-08	4938
34/7-14	5	2222.000000	2249.200000	[m   ]	210.100000	11	YES	1278	9999-12-31	2013-05-08	4939
34/7-14	6	2249.500000	2275.700000	[m   ]	210.100000	11	YES	1278	9999-12-31	2013-05-08	4940
34/7-14	7	2276.500000	2300.000000	[m   ]	210.100000	11	YES	1278	9999-12-31	2013-05-08	4941
34/7-14	8	2300.000000	2325.500000	[m   ]	210.100000	11	YES	1278	9999-12-31	2013-05-08	4942
34/7-14	9	2325.500000	2353.500000	[m   ]	210.100000	11	YES	1278	9999-12-31	2013-05-08	4943
34/7-15 S	1	4379.000000	4393.200000	[m   ]	14.200000	1	YES	1544	9999-12-31	2013-05-08	4944
34/7-16	1	\N	0.000000	\N	118.700000	7	YES	1550	9999-12-31	2013-05-08	4945
34/7-16	2	2389.100000	2408.000000	[m   ]	118.700000	7	YES	1550	9999-12-31	2013-05-08	4946
34/7-16	3	2408.200000	2432.000000	[m   ]	118.700000	7	YES	1550	9999-12-31	2013-05-08	4947
34/7-16	4	2436.000000	2459.400000	[m   ]	118.700000	7	YES	1550	9999-12-31	2013-05-08	4948
34/7-16	5	2460.000000	2487.500000	[m   ]	118.700000	7	YES	1550	9999-12-31	2013-05-08	4949
34/7-16	6	2487.500000	2504.300000	[m   ]	118.700000	7	YES	1550	9999-12-31	2013-05-08	4950
34/7-16	7	2504.500000	2512.800000	[m   ]	118.700000	7	YES	1550	9999-12-31	2013-05-08	4951
34/7-17	1	2460.000000	2478.500000	[m   ]	117.700000	8	YES	1713	9999-12-31	2013-05-08	4952
34/7-17	2	2478.500000	2496.900000	[m   ]	117.700000	8	YES	1713	9999-12-31	2013-05-08	4953
34/7-17	3	2498.000000	2507.500000	[m   ]	117.700000	8	YES	1713	9999-12-31	2013-05-08	4954
34/7-17	4	2508.000000	2531.600000	[m   ]	117.700000	8	YES	1713	9999-12-31	2013-05-08	4955
34/7-17	5	2534.000000	2542.000000	[m   ]	117.700000	8	YES	1713	9999-12-31	2013-05-08	4956
34/7-17	6	2545.000000	2552.500000	[m   ]	117.700000	8	YES	1713	9999-12-31	2013-05-08	4957
34/7-17	7	2554.000000	2570.200000	[m   ]	117.700000	8	YES	1713	9999-12-31	2013-05-08	4958
34/7-17	8	2571.000000	2586.000000	[m   ]	117.700000	8	YES	1713	9999-12-31	2013-05-08	4959
34/7-17 A	1	2497.000000	2517.000000	[m   ]	20.000000	1	YES	1536	9999-12-31	2013-05-08	4960
34/7-18	1	\N	0.000000	\N	25.800000	5	YES	1819	9999-12-31	2013-05-08	4961
34/7-18	2	1775.000000	1780.300000	[m   ]	25.800000	5	YES	1819	9999-12-31	2013-05-08	4962
34/7-18	3	2285.000000	2287.700000	[m   ]	25.800000	5	YES	1819	9999-12-31	2013-05-08	4963
34/7-18	4	2286.000000	2289.800000	[m   ]	25.800000	5	YES	1819	9999-12-31	2013-05-08	4964
34/7-18	5	2290.000000	2306.000000	[m   ]	25.800000	5	YES	1819	9999-12-31	2013-05-08	4965
34/7-19	1	2439.000000	2447.700000	[m   ]	219.700000	10	YES	1838	9999-12-31	2013-05-08	4966
34/7-19	10	2633.000000	2659.400000	[m   ]	219.700000	10	YES	1838	9999-12-31	2013-05-08	4967
34/7-19	2	2451.000000	2478.800000	[m   ]	219.700000	10	YES	1838	9999-12-31	2013-05-08	4968
34/7-19	3	2479.000000	2503.000000	[m   ]	219.700000	10	YES	1838	9999-12-31	2013-05-08	4969
34/7-19	4	2503.000000	2508.700000	[m   ]	219.700000	10	YES	1838	9999-12-31	2013-05-08	4970
34/7-19	5	2509.000000	2529.600000	[m   ]	219.700000	10	YES	1838	9999-12-31	2013-05-08	4971
34/7-19	6	2530.000000	2557.300000	[m   ]	219.700000	10	YES	1838	9999-12-31	2013-05-08	4972
34/7-19	7	2558.000000	2576.300000	[m   ]	219.700000	10	YES	1838	9999-12-31	2013-05-08	4973
34/7-19	8	2577.000000	2604.000000	[m   ]	219.700000	10	YES	1838	9999-12-31	2013-05-08	4974
34/7-19	9	2605.000000	2632.900000	[m   ]	219.700000	10	YES	1838	9999-12-31	2013-05-08	4975
34/7-2	1	2147.300000	2160.200000	[m   ]	23.600000	3	YES	233	9999-12-31	2013-05-08	4976
34/7-2	2	2161.600000	2164.000000	[m   ]	23.600000	3	YES	233	9999-12-31	2013-05-08	4977
34/7-2	3	2168.600000	2175.800000	[m   ]	23.600000	3	YES	233	9999-12-31	2013-05-08	4978
34/7-20	1	2576.000000	2579.900000	[m   ]	57.900000	3	YES	1967	9999-12-31	2013-05-08	4979
34/7-20	2	2581.000000	2606.700000	[m   ]	57.900000	3	YES	1967	9999-12-31	2013-05-08	4980
34/7-20	3	2608.500000	2636.000000	[m   ]	57.900000	3	YES	1967	9999-12-31	2013-05-08	4981
34/7-21	1	1858.000000	1880.700000	[m   ]	91.900000	5	YES	2026	9999-12-31	2013-05-08	4982
34/7-21	2	2515.000000	2522.200000	[m   ]	91.900000	5	YES	2026	9999-12-31	2013-05-08	4983
34/7-21	3	2530.000000	2547.000000	[m   ]	91.900000	5	YES	2026	9999-12-31	2013-05-08	4984
34/7-21	4	2547.000000	2565.800000	[m   ]	91.900000	5	YES	2026	9999-12-31	2013-05-08	4985
34/7-21	5	2566.000000	2592.200000	[m   ]	91.900000	5	YES	2026	9999-12-31	2013-05-08	4986
34/7-21 A	1	2847.000000	2873.500000	[m   ]	68.600000	5	YES	2068	9999-12-31	2013-05-08	4987
34/7-21 A	2	2874.000000	2885.300000	[m   ]	68.600000	5	YES	2068	9999-12-31	2013-05-08	4988
34/7-21 A	3	2890.000000	2900.800000	[m   ]	68.600000	5	YES	2068	9999-12-31	2013-05-08	4989
34/7-21 A	4	2901.000000	2910.100000	[m   ]	68.600000	5	YES	2068	9999-12-31	2013-05-08	4990
34/7-21 A	5	2943.000000	2953.900000	[m   ]	68.600000	5	YES	2068	9999-12-31	2013-05-08	4991
34/7-22	1	2226.000000	2234.300000	[m   ]	98.200000	7	YES	2167	9999-12-31	2013-05-08	4992
34/7-22	2	2235.000000	2254.300000	[m   ]	98.200000	7	YES	2167	9999-12-31	2013-05-08	4993
34/7-22	3	2255.000000	2271.400000	[m   ]	98.200000	7	YES	2167	9999-12-31	2013-05-08	4994
34/7-22	4	2272.000000	2281.000000	[m   ]	98.200000	7	YES	2167	9999-12-31	2013-05-08	4995
34/7-22	5	2284.000000	2289.000000	[m   ]	98.200000	7	YES	2167	9999-12-31	2013-05-08	4996
34/7-22	6	2291.000000	2302.700000	[m   ]	98.200000	7	YES	2167	9999-12-31	2013-05-08	4997
34/7-22	7	2303.000000	2331.500000	[m   ]	98.200000	7	YES	2167	9999-12-31	2013-05-08	4998
34/7-23 A	1	3199.000000	3222.700000	[m   ]	91.000000	5	YES	2326	9999-12-31	2013-05-08	4999
34/7-23 A	2	3223.000000	3251.000000	[m   ]	91.000000	5	YES	2326	9999-12-31	2013-05-08	5000
34/7-23 A	3	3251.000000	3267.000000	[m   ]	91.000000	5	YES	2326	9999-12-31	2013-05-08	5001
34/7-23 A	4	3267.000000	3278.200000	[m   ]	91.000000	5	YES	2326	9999-12-31	2013-05-08	5002
34/7-23 A	5	3279.000000	3291.100000	[m   ]	91.000000	5	YES	2326	9999-12-31	2013-05-08	5003
34/7-23 S	1	3079.000000	3095.900000	[m   ]	46.800000	5	YES	2296	9999-12-31	2013-05-08	5004
34/7-23 S	2	3106.000000	3108.000000	[m   ]	46.800000	5	YES	2296	9999-12-31	2013-05-08	5005
34/7-23 S	3	3108.000000	3117.000000	[m   ]	46.800000	5	YES	2296	9999-12-31	2013-05-08	5006
34/7-23 S	4	3117.000000	3124.000000	[m   ]	46.800000	5	YES	2296	9999-12-31	2013-05-08	5007
34/7-23 S	5	3124.000000	3136.000000	[m   ]	46.800000	5	YES	2296	9999-12-31	2013-05-08	5008
34/7-25 S	1	2805.000000	2831.500000	[m   ]	54.700000	2	YES	2863	9999-12-31	2013-05-08	5009
34/7-25 S	2	2832.000000	2860.200000	[m   ]	54.700000	2	YES	2863	9999-12-31	2013-05-08	5010
34/7-26 A	1	4104.000000	4130.700000	[m   ]	110.400000	4	YES	3329	9999-12-31	2013-05-08	5011
34/7-26 A	2	4132.000000	4153.600000	[m   ]	110.400000	4	YES	3329	9999-12-31	2013-05-08	5012
34/7-26 A	3	4153.500000	4178.400000	[m   ]	110.400000	4	YES	3329	9999-12-31	2013-05-08	5013
34/7-26 A	4	4179.000000	4216.300000	[m   ]	110.400000	4	YES	3329	9999-12-31	2013-05-08	5014
34/7-26 SR	1	4510.000000	4521.000000	[m   ]	76.000000	2	YES	3315	9999-12-31	2013-05-08	5015
34/7-26 SR	2	4534.000000	4599.000000	[m   ]	76.000000	2	YES	3315	9999-12-31	2013-05-08	5016
34/7-27	1	2742.000000	2756.400000	[m   ]	14.400000	1	YES	3214	9999-12-31	2013-05-08	5017
34/7-28	1	2668.000000	2692.700000	[m   ]	55.700000	2	YES	3282	9999-12-31	2013-05-08	5018
34/7-28	2	2694.000000	2725.000000	[m   ]	55.700000	2	YES	3282	9999-12-31	2013-05-08	5019
34/7-29 S	1	2701.000000	2717.900000	[m   ]	23.600000	2	YES	3313	9999-12-31	2013-05-08	5020
34/7-29 S	2	2718.000000	2724.700000	[m   ]	23.600000	2	YES	3313	9999-12-31	2013-05-08	5021
34/7-3	1	2396.000000	2414.000000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5022
34/7-3	10	2481.500000	2486.800000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5023
34/7-3	11	2487.500000	2505.500000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5024
34/7-3	12	\N	0.000000	\N	169.500000	19	YES	442	9999-12-31	2013-05-08	5025
34/7-3	13	2506.500000	2515.500000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5026
34/7-3	14	2515.500000	2518.000000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5027
34/7-3	15	2519.000000	2527.000000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5028
34/7-3	16	2527.500000	2528.400000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5029
34/7-3	17	2549.500000	2553.000000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5030
34/7-3	18	2606.000000	2623.000000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5031
34/7-3	19	2625.000000	2643.000000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5032
34/7-3	2	2414.000000	2414.500000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5033
34/7-3	3	2414.500000	2425.500000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5034
34/7-3	4	2425.500000	2434.100000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5035
34/7-3	5	2439.000000	2449.800000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5036
34/7-3	6	2450.000000	2458.800000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5037
34/7-3	7	2459.500000	2467.800000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5038
34/7-3	8	2469.000000	2470.700000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5039
34/7-3	9	2471.000000	2481.500000	[m   ]	169.500000	19	YES	442	9999-12-31	2013-05-08	5040
34/7-30 SR	1	2403.000000	2448.300000	[m   ]	45.300000	1	YES	3886	9999-12-31	2013-05-08	5041
34/7-31	1	2472.000000	2499.300000	[m   ]	33.700000	2	YES	4214	9999-12-31	2013-05-08	5042
34/7-31	2	2499.300000	2505.700000	[m   ]	33.700000	2	YES	4214	9999-12-31	2013-05-08	5043
34/7-33	1	1772.000000	1798.000000	[m   ]	53.000000	2	YES	5917	9999-12-31	2013-05-08	5044
34/7-33	2	1798.000000	1825.000000	[m   ]	53.000000	2	YES	5917	9999-12-31	2013-05-08	5045
34/7-34	1	2473.000000	2502.200000	[m   ]	29.200000	1	YES	5973	9999-12-31	2013-05-08	5046
34/7-4	1	2533.000000	2536.700000	[m   ]	23.800000	3	YES	455	9999-12-31	2013-05-08	5047
34/7-4	2	2537.500000	2552.500000	[m   ]	23.800000	3	YES	455	9999-12-31	2013-05-08	5048
34/7-4	3	2552.500000	2557.600000	[m   ]	23.800000	3	YES	455	9999-12-31	2013-05-08	5049
34/7-5	1	\N	0.000000	\N	127.700000	11	YES	458	9999-12-31	2013-05-08	5050
34/7-5	10	2624.000000	2631.600000	[m   ]	127.700000	11	YES	458	9999-12-31	2013-05-08	5051
34/7-5	11	2869.000000	2883.400000	[m   ]	127.700000	11	YES	458	9999-12-31	2013-05-08	5052
34/7-5	2	2510.000000	2520.700000	[m   ]	127.700000	11	YES	458	9999-12-31	2013-05-08	5053
34/7-5	3	2521.000000	2527.300000	[m   ]	127.700000	11	YES	458	9999-12-31	2013-05-08	5054
34/7-5	4	2529.500000	2541.200000	[m   ]	127.700000	11	YES	458	9999-12-31	2013-05-08	5055
34/7-5	5	2542.000000	2555.100000	[m   ]	127.700000	11	YES	458	9999-12-31	2013-05-08	5056
34/7-5	6	2555.100000	2571.900000	[m   ]	127.700000	11	YES	458	9999-12-31	2013-05-08	5057
34/7-5	7	2573.000000	2590.700000	[m   ]	127.700000	11	YES	458	9999-12-31	2013-05-08	5058
34/7-5	8	2591.000000	2607.500000	[m   ]	127.700000	11	YES	458	9999-12-31	2013-05-08	5059
34/7-5	9	2609.000000	2622.200000	[m   ]	127.700000	11	YES	458	9999-12-31	2013-05-08	5060
34/7-6	1	2516.000000	2524.600000	[m   ]	151.200000	13	YES	465	9999-12-31	2013-05-08	5061
34/7-6	10	2612.500000	2624.000000	[m   ]	151.200000	13	YES	465	9999-12-31	2013-05-08	5062
34/7-6	11	2913.000000	2925.500000	[m   ]	151.200000	13	YES	465	9999-12-31	2013-05-08	5063
34/7-6	12	2927.000000	2953.200000	[m   ]	151.200000	13	YES	465	9999-12-31	2013-05-08	5064
34/7-6	13	3560.000000	3578.500000	[m   ]	151.200000	13	YES	465	9999-12-31	2013-05-08	5065
34/7-6	2	2527.600000	2542.600000	[m   ]	151.200000	13	YES	465	9999-12-31	2013-05-08	5066
34/7-6	3	\N	0.000000	\N	151.200000	13	YES	465	9999-12-31	2013-05-08	5067
34/7-6	4	\N	0.000000	\N	151.200000	13	YES	465	9999-12-31	2013-05-08	5068
34/7-6	5	2549.000000	2556.800000	[m   ]	151.200000	13	YES	465	9999-12-31	2013-05-08	5069
34/7-6	6	2557.100000	2568.700000	[m   ]	151.200000	13	YES	465	9999-12-31	2013-05-08	5070
34/7-6	7	2568.700000	2582.000000	[m   ]	151.200000	13	YES	465	9999-12-31	2013-05-08	5071
34/7-6	8	2582.000000	2594.500000	[m   ]	151.200000	13	YES	465	9999-12-31	2013-05-08	5072
34/7-6	9	2598.500000	2612.000000	[m   ]	151.200000	13	YES	465	9999-12-31	2013-05-08	5073
34/7-7	1	2562.000000	2568.000000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5074
34/7-7	10	2886.400000	2895.700000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5075
34/7-7	11	2895.700000	2905.000000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5076
34/7-7	12	2905.000000	2913.500000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5077
34/7-7	13	2913.700000	2923.100000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5078
34/7-7	14	2923.100000	2932.300000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5079
34/7-7	15	2932.400000	2941.600000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5080
34/7-7	16	2941.600000	2950.800000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5081
34/7-7	17	2951.100000	2963.800000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5082
34/7-7	18	3320.000000	3328.500000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5083
34/7-7	19	3329.000000	3337.500000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5084
34/7-7	2	2569.000000	2574.800000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5085
34/7-7	3	2585.000000	2593.500000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5086
34/7-7	4	2593.500000	2613.000000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5087
34/7-7	5	2614.000000	2623.300000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5088
34/7-7	6	2624.000000	2635.300000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5089
34/7-7	7	2635.500000	2655.000000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5090
34/7-7	8	2656.000000	2667.700000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5091
34/7-7	9	2877.000000	2886.400000	[m   ]	194.200000	19	YES	525	9999-12-31	2013-05-08	5092
34/7-8	1	2280.000000	2294.400000	[m   ]	59.100000	4	YES	878	9999-12-31	2013-05-08	5093
34/7-8	2	2325.000000	2344.700000	[m   ]	59.100000	4	YES	878	9999-12-31	2013-05-08	5094
34/7-8	3	2346.000000	2365.000000	[m   ]	59.100000	4	YES	878	9999-12-31	2013-05-08	5095
34/7-8	4	2401.000000	2406.400000	[m   ]	59.100000	4	YES	878	9999-12-31	2013-05-08	5096
34/7-9	1	2470.000000	2494.500000	[m   ]	244.000000	10	YES	889	9999-12-31	2013-05-08	5097
34/7-9	10	2692.500000	2720.500000	[m   ]	244.000000	10	YES	889	9999-12-31	2013-05-08	5098
34/7-9	2	2494.500000	2518.000000	[m   ]	244.000000	10	YES	889	9999-12-31	2013-05-08	5099
34/7-9	3	2518.000000	2546.000000	[m   ]	244.000000	10	YES	889	9999-12-31	2013-05-08	5100
34/7-9	4	2546.000000	2574.000000	[m   ]	244.000000	10	YES	889	9999-12-31	2013-05-08	5101
34/7-9	5	2574.000000	2593.000000	[m   ]	244.000000	10	YES	889	9999-12-31	2013-05-08	5102
34/7-9	6	2593.000000	2607.700000	[m   ]	244.000000	10	YES	889	9999-12-31	2013-05-08	5103
34/7-9	7	2615.000000	2642.300000	[m   ]	244.000000	10	YES	889	9999-12-31	2013-05-08	5104
34/7-9	8	2643.000000	2670.500000	[m   ]	244.000000	10	YES	889	9999-12-31	2013-05-08	5105
34/7-9	9	2670.000000	2692.500000	[m   ]	244.000000	10	YES	889	9999-12-31	2013-05-08	5106
34/7-A-1 H	1	2639.000000	2667.000000	[m   ]	38.300000	2	YES	1763	9999-12-31	2013-05-08	5107
34/7-A-1 H	2	2667.000000	2677.300000	[m   ]	38.300000	2	YES	1763	9999-12-31	2013-05-08	5108
34/7-A-2 H	1	3463.000000	3536.600000	[m   ]	198.900000	4	YES	2001	9999-12-31	2013-05-08	5109
34/7-A-2 H	2	3537.000000	3611.100000	[m   ]	198.900000	4	YES	2001	9999-12-31	2013-05-08	5110
34/7-A-2 H	3	3611.300000	3648.500000	[m   ]	198.900000	4	YES	2001	9999-12-31	2013-05-08	5111
34/7-A-2 H	4	3749.000000	3763.000000	[m   ]	198.900000	4	YES	2001	9999-12-31	2013-05-08	5112
34/7-A-3 H	1	4175.000000	4230.600000	[m   ]	194.600000	8	YES	2002	9999-12-31	2013-05-08	5113
34/7-A-3 H	2	4230.000000	4293.900000	[m   ]	194.600000	8	YES	2002	9999-12-31	2013-05-08	5114
34/7-A-3 H	3	4294.000000	4316.700000	[m   ]	194.600000	8	YES	2002	9999-12-31	2013-05-08	5115
34/7-A-3 H	4	4318.000000	4328.000000	[m   ]	194.600000	8	YES	2002	9999-12-31	2013-05-08	5116
34/7-A-3 H	5	4331.000000	4343.600000	[m   ]	194.600000	8	YES	2002	9999-12-31	2013-05-08	5117
34/7-A-3 H	6	4343.000000	4354.400000	[m   ]	194.600000	8	YES	2002	9999-12-31	2013-05-08	5118
34/7-A-3 H	7	4354.000000	4356.800000	[m   ]	194.600000	8	YES	2002	9999-12-31	2013-05-08	5119
34/7-A-3 H	8	4360.000000	4375.800000	[m   ]	194.600000	8	YES	2002	9999-12-31	2013-05-08	5120
34/7-A-4 H	1	2759.000000	2788.000000	[m   ]	266.000000	11	YES	2003	9999-12-31	2013-05-08	5121
34/7-A-4 H	10	2976.500000	3004.000000	[m   ]	266.000000	11	YES	2003	9999-12-31	2013-05-08	5122
34/7-A-4 H	11	3004.500000	3027.000000	[m   ]	266.000000	11	YES	2003	9999-12-31	2013-05-08	5123
34/7-A-4 H	2	2787.600000	2815.000000	[m   ]	266.000000	11	YES	2003	9999-12-31	2013-05-08	5124
34/7-A-4 H	3	2815.000000	2840.000000	[m   ]	266.000000	11	YES	2003	9999-12-31	2013-05-08	5125
34/7-A-4 H	4	2840.000000	2854.000000	[m   ]	266.000000	11	YES	2003	9999-12-31	2013-05-08	5126
34/7-A-4 H	5	2854.500000	2869.000000	[m   ]	266.000000	11	YES	2003	9999-12-31	2013-05-08	5127
34/7-A-4 H	6	2869.500000	2887.000000	[m   ]	266.000000	11	YES	2003	9999-12-31	2013-05-08	5128
34/7-A-4 H	7	2888.000000	2916.500000	[m   ]	266.000000	11	YES	2003	9999-12-31	2013-05-08	5129
34/7-A-4 H	8	2916.500000	2951.000000	[m   ]	266.000000	11	YES	2003	9999-12-31	2013-05-08	5130
34/7-A-4 H	9	2952.000000	2975.600000	[m   ]	266.000000	11	YES	2003	9999-12-31	2013-05-08	5131
34/7-A-5 H	1	2860.000000	2868.200000	[m   ]	116.500000	7	YES	2030	9999-12-31	2013-05-08	5132
34/7-A-5 H	2	2868.200000	2884.000000	[m   ]	116.500000	7	YES	2030	9999-12-31	2013-05-08	5133
34/7-A-5 H	3	2884.000000	2902.500000	[m   ]	116.500000	7	YES	2030	9999-12-31	2013-05-08	5134
34/7-A-5 H	4	2903.000000	2931.000000	[m   ]	116.500000	7	YES	2030	9999-12-31	2013-05-08	5135
34/7-A-5 H	5	2931.000000	2939.000000	[m   ]	116.500000	7	YES	2030	9999-12-31	2013-05-08	5136
34/7-A-5 H	6	2939.000000	2968.300000	[m   ]	116.500000	7	YES	2030	9999-12-31	2013-05-08	5137
34/7-A-5 H	7	2971.000000	2979.700000	[m   ]	116.500000	7	YES	2030	9999-12-31	2013-05-08	5138
34/7-A-9 H	1	2523.000000	2535.800000	[m   ]	276.800000	7	YES	2008	9999-12-31	2013-05-08	5139
34/7-A-9 H	2	2536.000000	2591.400000	[m   ]	276.800000	7	YES	2008	9999-12-31	2013-05-08	5140
34/7-A-9 H	3	2591.500000	2647.000000	[m   ]	276.800000	7	YES	2008	9999-12-31	2013-05-08	5141
34/7-A-9 H	4	2636.000000	2664.700000	[m   ]	276.800000	7	YES	2008	9999-12-31	2013-05-08	5142
34/7-A-9 H	5	2665.000000	2708.800000	[m   ]	276.800000	7	YES	2008	9999-12-31	2013-05-08	5143
34/7-A-9 H	6	2709.500000	2743.300000	[m   ]	276.800000	7	YES	2008	9999-12-31	2013-05-08	5144
34/7-A-9 H	7	2743.500000	2790.300000	[m   ]	276.800000	7	YES	2008	9999-12-31	2013-05-08	5145
34/7-C-2 H	1	2990.000000	3004.500000	[m   ]	72.400000	7	YES	2698	9999-12-31	2013-05-08	5146
34/7-C-2 H	2	3005.000000	3015.000000	[m   ]	72.400000	7	YES	2698	9999-12-31	2013-05-08	5147
34/7-C-2 H	3	3016.000000	3022.100000	[m   ]	72.400000	7	YES	2698	9999-12-31	2013-05-08	5148
34/7-C-2 H	4	3025.000000	3035.900000	[m   ]	72.400000	7	YES	2698	9999-12-31	2013-05-08	5149
34/7-C-2 H	5	3038.500000	3048.000000	[m   ]	72.400000	7	YES	2698	9999-12-31	2013-05-08	5150
34/7-C-2 H	6	3050.500000	3064.900000	[m   ]	72.400000	7	YES	2698	9999-12-31	2013-05-08	5151
34/7-C-2 H	7	3067.500000	3074.500000	[m   ]	72.400000	7	YES	2698	9999-12-31	2013-05-08	5152
34/7-C-5 H	1	3035.500000	3035.900000	[m   ]	38.900000	2	YES	4899	9999-12-31	2013-05-08	5153
34/7-C-5 H	2	3080.500000	3119.000000	[m   ]	38.900000	2	YES	4899	9999-12-31	2013-05-08	5154
34/7-E-2 H	1	4227.000000	4259.600000	[m   ]	114.500000	4	YES	3378	9999-12-31	2013-05-08	5155
34/7-E-2 H	2	4262.000000	4271.600000	[m   ]	114.500000	4	YES	3378	9999-12-31	2013-05-08	5156
34/7-E-2 H	3	4273.000000	4312.300000	[m   ]	114.500000	4	YES	3378	9999-12-31	2013-05-08	5157
34/7-E-2 H	4	4312.500000	4345.500000	[m   ]	114.500000	4	YES	3378	9999-12-31	2013-05-08	5158
34/7-E-4 H	1	2979.000000	3024.800000	[m   ]	45.800000	1	YES	3721	9999-12-31	2013-05-08	5159
34/7-I-1 H	1	2884.000000	2930.400000	[m   ]	46.400000	1	YES	2173	9999-12-31	2013-05-08	5160
34/7-I-10 H	1	4898.000000	4914.300000	[m   ]	63.600000	3	YES	3752	9999-12-31	2013-05-08	5161
34/7-I-10 H	2	4914.500000	4935.400000	[m   ]	63.600000	3	YES	3752	9999-12-31	2013-05-08	5162
34/7-I-10 H	3	4935.500000	4962.000000	[m   ]	63.600000	3	YES	3752	9999-12-31	2013-05-08	5163
34/7-I-11 H	1	2625.000000	2671.200000	[m   ]	73.800000	2	YES	3640	9999-12-31	2013-05-08	5164
34/7-I-11 H	2	2671.200000	2698.800000	[m   ]	73.800000	2	YES	3640	9999-12-31	2013-05-08	5165
34/7-I-2 H	1	2835.000000	2886.800000	[m   ]	77.600000	3	YES	2298	9999-12-31	2013-05-08	5166
34/7-I-2 H	2	3311.000000	3326.200000	[m   ]	77.600000	3	YES	2298	9999-12-31	2013-05-08	5167
34/7-I-2 H	3	3328.000000	3338.600000	[m   ]	77.600000	3	YES	2298	9999-12-31	2013-05-08	5168
34/7-I-3 H	1	2590.000000	2603.000000	[m   ]	18.000000	1	YES	2247	9999-12-31	2013-05-08	5169
34/7-I-5 H	1	2921.000000	2949.000000	[m   ]	127.500000	5	YES	2171	9999-12-31	2013-05-08	5170
34/7-I-5 H	2	2949.000000	2967.500000	[m   ]	127.500000	5	YES	2171	9999-12-31	2013-05-08	5171
34/7-I-5 H	3	2967.500000	2995.000000	[m   ]	127.500000	5	YES	2171	9999-12-31	2013-05-08	5172
34/7-I-5 H	4	2995.500000	3023.900000	[m   ]	127.500000	5	YES	2171	9999-12-31	2013-05-08	5173
34/7-I-5 H	5	3024.000000	3049.000000	[m   ]	127.500000	5	YES	2171	9999-12-31	2013-05-08	5174
34/7-P-11	1	4985.000000	5013.000000	[m   ]	104.500000	9	YES	2438	9999-12-31	2013-05-08	5175
34/7-P-11	2	5013.000000	5022.700000	[m   ]	104.500000	9	YES	2438	9999-12-31	2013-05-08	5176
34/7-P-11	3	5024.000000	5037.800000	[m   ]	104.500000	9	YES	2438	9999-12-31	2013-05-08	5177
34/7-P-11	4	5037.000000	5043.500000	[m   ]	104.500000	9	YES	2438	9999-12-31	2013-05-08	5178
34/7-P-11	5	5044.000000	5051.400000	[m   ]	104.500000	9	YES	2438	9999-12-31	2013-05-08	5179
34/7-P-11	6	5052.800000	5068.500000	[m   ]	104.500000	9	YES	2438	9999-12-31	2013-05-08	5180
34/7-P-11	7	5070.000000	5073.700000	[m   ]	104.500000	9	YES	2438	9999-12-31	2013-05-08	5181
34/7-P-11	8	5074.000000	5083.700000	[m   ]	104.500000	9	YES	2438	9999-12-31	2013-05-08	5182
34/7-P-11	9	5084.000000	5094.100000	[m   ]	104.500000	9	YES	2438	9999-12-31	2013-05-08	5183
34/7-P-12	1	3492.000000	3501.000000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5184
34/7-P-12	10	3874.000000	3886.000000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5185
34/7-P-12	11	3887.500000	3894.900000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5186
34/7-P-12	12	3895.500000	3909.300000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5187
34/7-P-12	13	3910.000000	3937.000000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5188
34/7-P-12	14	3938.000000	3965.500000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5189
34/7-P-12	15	3965.500000	3973.600000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5190
34/7-P-12	2	3502.000000	3509.800000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5191
34/7-P-12	3	3735.000000	3759.300000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5192
34/7-P-12	4	3760.000000	3766.900000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5193
34/7-P-12	5	3767.000000	3776.100000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5194
34/7-P-12	6	3776.000000	3791.700000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5195
34/7-P-12	7	3791.500000	3802.100000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5196
34/7-P-12	8	3802.500000	3804.700000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5197
34/7-P-12	9	3805.000000	3823.800000	[m   ]	200.000000	15	YES	2246	9999-12-31	2013-05-08	5198
34/7-P-13	1	3305.500000	3309.500000	[m   ]	31.600000	2	YES	1812	9999-12-31	2013-05-08	5199
34/7-P-13	2	3671.000000	3698.600000	[m   ]	31.600000	2	YES	1812	9999-12-31	2013-05-08	5200
34/7-P-14	1	3104.000000	3130.000000	[m   ]	152.400000	4	YES	2352	9999-12-31	2013-05-08	5201
34/7-P-14	2	3130.000000	3144.700000	[m   ]	152.400000	4	YES	2352	9999-12-31	2013-05-08	5202
34/7-P-14	3	3146.000000	3201.800000	[m   ]	152.400000	4	YES	2352	9999-12-31	2013-05-08	5203
34/7-P-14	4	3202.000000	3257.900000	[m   ]	152.400000	4	YES	2352	9999-12-31	2013-05-08	5204
34/7-P-18	1	2784.000000	2790.000000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5205
34/7-P-18	10	3018.000000	3044.300000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5206
34/7-P-18	11	3045.000000	3064.000000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5207
34/7-P-18	12	3064.000000	3099.000000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5208
34/7-P-18	13	3100.000000	3103.400000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5209
34/7-P-18	14	3104.000000	3132.300000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5210
34/7-P-18	15	3132.000000	3134.300000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5211
34/7-P-18	2	2793.000000	2811.300000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5212
34/7-P-18	3	2811.000000	2820.000000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5213
34/7-P-18	4	2820.700000	2837.600000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5214
34/7-P-18	5	2828.500000	2856.500000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5215
34/7-P-18	6	2856.500000	2873.500000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5216
34/7-P-18	7	2874.500000	2890.000000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5217
34/7-P-18	8	2892.500000	2902.000000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5218
34/7-P-18	9	3016.000000	3017.500000	[m   ]	209.000000	15	YES	1813	9999-12-31	2013-05-08	5219
34/7-P-25	1	3219.000000	3224.500000	[m   ]	22.500000	2	YES	1746	9999-12-31	2013-05-08	5220
34/7-P-25	2	3338.000000	3355.000000	[m   ]	22.500000	2	YES	1746	9999-12-31	2013-05-08	5221
34/7-P-28	1	2843.000000	2847.800000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5222
34/7-P-28	10	2914.000000	2915.400000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5223
34/7-P-28	11	2915.500000	2922.000000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5224
34/7-P-28	12	2922.500000	2923.000000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5225
34/7-P-28	13	2923.300000	2941.000000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5226
34/7-P-28	14	2942.000000	2948.600000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5227
34/7-P-28	15	2948.600000	2966.000000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5228
34/7-P-28	2	2852.000000	2859.300000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5229
34/7-P-28	3	2860.000000	2863.300000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5230
34/7-P-28	4	2870.000000	2876.200000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5231
34/7-P-28	5	2877.500000	2882.000000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5232
34/7-P-28	6	2882.500000	2883.000000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5233
34/7-P-28	7	2883.500000	2886.000000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5234
34/7-P-28	8	2893.000000	2906.500000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5235
34/7-P-28	9	2909.000000	2914.000000	[m   ]	104.100000	15	YES	1678	9999-12-31	2013-05-08	5236
34/7-P-29	1	2532.000000	2544.800000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5237
34/7-P-29	10	2775.000000	2801.500000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5238
34/7-P-29	11	2801.500000	2838.000000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5239
34/7-P-29	12	2838.000000	2875.500000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5240
34/7-P-29	13	2875.500000	2905.000000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5241
34/7-P-29	14	2905.000000	2942.000000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5242
34/7-P-29	2	2546.000000	2558.800000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5243
34/7-P-29	3	2559.000000	2576.400000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5244
34/7-P-29	4	2577.000000	2591.000000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5245
34/7-P-29	5	2591.500000	2606.000000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5246
34/7-P-29	6	2609.500000	2626.500000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5247
34/7-P-29	7	2720.000000	2747.000000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5248
34/7-P-29	8	2748.000000	2774.000000	[m   ]	308.500000	14	YES	1686	9999-12-31	2013-05-08	5249
34/7-P-29	9	\N	0.000000	\N	308.500000	14	YES	1686	9999-12-31	2013-05-08	5250
34/7-P-31	1	3428.000000	3430.500000	[m   ]	68.000000	3	YES	2437	9999-12-31	2013-05-08	5251
34/7-P-31	2	3502.000000	3502.400000	[m   ]	68.000000	3	YES	2437	9999-12-31	2013-05-08	5252
34/7-P-31	3	3530.100000	3595.400000	[m   ]	68.000000	3	YES	2437	9999-12-31	2013-05-08	5253
34/7-P-33	1	2870.000000	2881.000000	[m   ]	48.200000	5	YES	1815	9999-12-31	2013-05-08	5254
34/7-P-33	2	2881.000000	2886.800000	[m   ]	48.200000	5	YES	1815	9999-12-31	2013-05-08	5255
34/7-P-33	3	2888.200000	2897.600000	[m   ]	48.200000	5	YES	1815	9999-12-31	2013-05-08	5256
34/7-P-33	4	2898.000000	2902.000000	[m   ]	48.200000	5	YES	1815	9999-12-31	2013-05-08	5257
34/7-P-33	5	2902.000000	2921.000000	[m   ]	48.200000	5	YES	1815	9999-12-31	2013-05-08	5258
34/7-P-40	1	3205.000000	3214.000000	[m   ]	68.500000	5	YES	2063	9999-12-31	2013-05-08	5259
34/7-P-40	2	3298.000000	3307.000000	[m   ]	68.500000	5	YES	2063	9999-12-31	2013-05-08	5260
34/7-P-40	3	3307.000000	3330.700000	[m   ]	68.500000	5	YES	2063	9999-12-31	2013-05-08	5261
34/7-P-40	4	3331.000000	3356.000000	[m   ]	68.500000	5	YES	2063	9999-12-31	2013-05-08	5262
34/7-P-40	5	3356.000000	3379.200000	[m   ]	68.500000	5	YES	2063	9999-12-31	2013-05-08	5263
34/7-P-42	1	3660.000000	3675.900000	[m   ]	15.900000	1	YES	3537	9999-12-31	2013-05-08	5264
34/7-P-7	1	4012.000000	4021.800000	[m   ]	15.200000	2	YES	1720	9999-12-31	2013-05-08	5265
34/7-P-7	2	4022.000000	4027.400000	[m   ]	15.200000	2	YES	1720	9999-12-31	2013-05-08	5266
34/7-P-8	1	3445.000000	3455.000000	[m   ]	155.200000	11	YES	2065	9999-12-31	2013-05-08	5267
34/7-P-8	10	3631.000000	3645.000000	[m   ]	155.200000	11	YES	2065	9999-12-31	2013-05-08	5268
34/7-P-8	11	3645.000000	3648.000000	[m   ]	155.200000	11	YES	2065	9999-12-31	2013-05-08	5269
34/7-P-8	2	3455.000000	3476.700000	[m   ]	155.200000	11	YES	2065	9999-12-31	2013-05-08	5270
34/7-P-8	3	3477.300000	3497.000000	[m   ]	155.200000	11	YES	2065	9999-12-31	2013-05-08	5271
34/7-P-8	4	3504.000000	3512.200000	[m   ]	155.200000	11	YES	2065	9999-12-31	2013-05-08	5272
34/7-P-8	5	3529.000000	3555.400000	[m   ]	155.200000	11	YES	2065	9999-12-31	2013-05-08	5273
34/7-P-8	6	3556.000000	3564.800000	[m   ]	155.200000	11	YES	2065	9999-12-31	2013-05-08	5274
34/7-P-8	7	3567.000000	3570.200000	[m   ]	155.200000	11	YES	2065	9999-12-31	2013-05-08	5275
34/7-P-8	8	3590.000000	3614.800000	[m   ]	155.200000	11	YES	2065	9999-12-31	2013-05-08	5276
34/7-P-8	9	3616.000000	3630.900000	[m   ]	155.200000	11	YES	2065	9999-12-31	2013-05-08	5277
34/8-1	1	2768.000000	2793.800000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5278
34/8-1	10	2947.700000	2974.700000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5279
34/8-1	11	3044.000000	3064.600000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5280
34/8-1	12	3294.000000	3316.100000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5281
34/8-1	13	3512.000000	3520.600000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5282
34/8-1	2	2794.000000	2821.900000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5283
34/8-1	3	2822.000000	2830.800000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5284
34/8-1	4	2839.500000	2853.000000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5285
34/8-1	5	2854.000000	2882.000000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5286
34/8-1	6	2882.000000	2892.200000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5287
34/8-1	7	2894.000000	2920.000000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5288
34/8-1	8	2920.000000	2928.200000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5289
34/8-1	9	2929.000000	2947.700000	[m   ]	226.300000	13	YES	854	9999-12-31	2013-05-08	5290
34/8-10 S	1	1924.000000	1925.800000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5291
34/8-10 S	10	2996.000000	3002.200000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5292
34/8-10 S	11	3002.200000	3029.900000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5293
34/8-10 S	12	3029.900000	3042.000000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5294
34/8-10 S	13	3042.000000	3053.600000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5295
34/8-10 S	14	3053.600000	3058.600000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5296
34/8-10 S	15	3058.600000	3083.400000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5297
34/8-10 S	16	3084.500000	3085.600000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5298
34/8-10 S	17	3086.500000	3097.200000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5299
34/8-10 S	18	3097.500000	3111.400000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5300
34/8-10 S	19	3114.600000	3122.800000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5301
34/8-10 S	2	1926.000000	1941.500000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5302
34/8-10 S	20	3122.800000	3123.800000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5303
34/8-10 S	21	3124.000000	3129.300000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5304
34/8-10 S	22	3130.500000	3147.000000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5305
34/8-10 S	23	3270.000000	3281.600000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5306
34/8-10 S	3	2874.000000	2878.100000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5307
34/8-10 S	4	2880.000000	2884.700000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5308
34/8-10 S	5	2884.700000	2894.900000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5309
34/8-10 S	6	2894.900000	2897.400000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5310
34/8-10 S	7	2913.500000	2917.400000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5311
34/8-10 S	8	2917.400000	2919.400000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5312
34/8-10 S	9	2922.000000	2924.800000	[m   ]	203.000000	23	YES	2179	9999-12-31	2013-05-08	5313
34/8-11	1	2859.000000	2871.000000	[m   ]	123.000000	8	YES	2180	2012-12-22	2013-05-08	5314
34/8-11	2	2871.000000	2889.000000	[m   ]	123.000000	8	YES	2180	2012-12-22	2013-05-08	5315
34/8-11	3	2889.000000	2896.200000	[m   ]	123.000000	8	YES	2180	2012-12-22	2013-05-08	5316
34/8-11	4	2915.000000	2929.200000	[m   ]	123.000000	8	YES	2180	2012-12-22	2013-05-08	5317
34/8-11	5	2932.000000	2960.000000	[m   ]	123.000000	8	YES	2180	2012-12-22	2013-05-08	5318
34/8-11	6	2960.000000	2986.400000	[m   ]	123.000000	8	YES	2180	2012-12-22	2013-05-08	5319
34/8-11	7	2986.400000	3000.200000	[m   ]	123.000000	8	YES	2180	2012-12-22	2013-05-08	5320
34/8-11	8	3002.000000	3005.400000	[m   ]	123.000000	8	YES	2180	2012-12-22	2013-05-08	5321
34/8-13 A	1	3416.000000	3438.100000	[m   ]	28.700000	2	YES	6024	9999-12-31	2013-05-08	5322
34/8-13 A	2	3439.000000	3445.600000	[m   ]	28.700000	2	YES	6024	9999-12-31	2013-05-08	5323
34/8-13 S	1	3906.000000	3931.400000	[m   ]	45.700000	2	YES	6025	9999-12-31	2013-05-08	5324
34/8-13 S	2	3932.000000	3952.300000	[m   ]	45.700000	2	YES	6025	9999-12-31	2013-05-08	5325
34/8-14 A	1	3504.600000	3531.700000	[m   ]	57.300000	3	YES	5954	9999-12-31	2013-05-08	5326
34/8-14 A	2	3532.000000	3550.800000	[m   ]	57.300000	3	YES	5954	9999-12-31	2013-05-08	5327
34/8-14 A	3	3558.000000	3569.500000	[m   ]	57.300000	3	YES	5954	9999-12-31	2013-05-08	5328
34/8-14 S	1	3194.000000	3221.000000	[m   ]	54.800000	2	YES	5943	9999-12-31	2013-05-08	5329
34/8-14 S	2	3221.000000	3248.800000	[m   ]	54.800000	2	YES	5943	9999-12-31	2013-05-08	5330
34/8-2	1	3008.000000	3019.800000	[m   ]	11.800000	1	YES	915	2012-12-22	2013-05-08	5331
34/8-3	1	2839.000000	2849.000000	[m   ]	117.100000	7	YES	940	2012-12-22	2013-05-08	5332
34/8-3	2	2849.000000	2871.000000	[m   ]	117.100000	7	YES	940	2012-12-22	2013-05-08	5333
34/8-3	3	2871.000000	2895.000000	[m   ]	117.100000	7	YES	940	2012-12-22	2013-05-08	5334
34/8-3	4	2895.000000	2898.500000	[m   ]	117.100000	7	YES	940	2012-12-22	2013-05-08	5335
34/8-3	5	2899.000000	2927.000000	[m   ]	117.100000	7	YES	940	2012-12-22	2013-05-08	5336
34/8-3	6	2927.000000	2946.000000	[m   ]	117.100000	7	YES	940	2012-12-22	2013-05-08	5337
34/8-3	7	2946.000000	2957.100000	[m   ]	117.100000	7	YES	940	2012-12-22	2013-05-08	5338
34/8-3 A	1	3034.000000	3061.900000	[m   ]	111.900000	5	YES	1338	2012-12-22	2013-05-08	5339
34/8-3 A	2	3062.000000	3079.900000	[m   ]	111.900000	5	YES	1338	2012-12-22	2013-05-08	5340
34/8-3 A	3	3081.000000	3101.800000	[m   ]	111.900000	5	YES	1338	2012-12-22	2013-05-08	5341
34/8-3 A	4	3103.000000	3130.900000	[m   ]	111.900000	5	YES	1338	2012-12-22	2013-05-08	5342
34/8-3 A	5	3131.000000	3148.500000	[m   ]	111.900000	5	YES	1338	2012-12-22	2013-05-08	5343
34/8-4 A	1	2909.000000	2914.100000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5344
34/8-4 A	10	3146.500000	3155.000000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5345
34/8-4 A	11	3156.000000	3183.000000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5346
34/8-4 A	12	3183.000000	3196.200000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5347
34/8-4 A	13	3197.500000	3197.800000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5348
34/8-4 A	14	3198.500000	3201.000000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5349
34/8-4 A	15	3247.500000	3258.400000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5350
34/8-4 A	16	3329.000000	3342.500000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5351
34/8-4 A	2	2994.000000	3006.100000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5352
34/8-4 A	3	3063.000000	3071.800000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5353
34/8-4 A	4	3072.500000	3087.700000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5354
34/8-4 A	5	3088.000000	3102.600000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5355
34/8-4 A	6	3103.000000	3112.400000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5356
34/8-4 A	7	3113.500000	3117.700000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5357
34/8-4 A	8	3118.500000	3134.700000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5358
34/8-4 A	9	3135.000000	3146.300000	[m   ]	174.000000	16	YES	1909	9999-12-31	2013-05-08	5359
34/8-4 S	1	3005.000000	3019.700000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5360
34/8-4 S	10	3292.000000	3317.700000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5361
34/8-4 S	11	3319.000000	3332.400000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5362
34/8-4 S	12	3333.000000	3358.500000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5363
34/8-4 S	13	3385.000000	3412.000000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5364
34/8-4 S	14	3412.000000	3438.800000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5365
34/8-4 S	15	3439.000000	3465.500000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5366
34/8-4 S	16	3466.000000	3485.500000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5367
34/8-4 S	17	4044.000000	4071.500000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5368
34/8-4 S	2	3067.000000	3084.600000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5369
34/8-4 S	3	3096.000000	3122.800000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5370
34/8-4 S	4	3123.500000	3142.600000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5371
34/8-4 S	5	3176.000000	3188.800000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5372
34/8-4 S	6	3190.000000	3207.600000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5373
34/8-4 S	7	3208.000000	3235.700000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5374
34/8-4 S	8	3255.000000	3272.400000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5375
34/8-4 S	9	3276.000000	3285.000000	[m   ]	355.500000	17	YES	1683	9999-12-31	2013-05-08	5376
34/8-5	1	2855.000000	2881.000000	[m   ]	191.300000	9	YES	1719	2012-12-22	2013-05-08	5377
34/8-5	2	2883.000000	2911.000000	[m   ]	191.300000	9	YES	1719	2012-12-22	2013-05-08	5378
34/8-5	3	2910.500000	2931.000000	[m   ]	191.300000	9	YES	1719	2012-12-22	2013-05-08	5379
34/8-5	4	2931.500000	2959.500000	[m   ]	191.300000	9	YES	1719	2012-12-22	2013-05-08	5380
34/8-5	5	2959.500000	2985.300000	[m   ]	191.300000	9	YES	1719	2012-12-22	2013-05-08	5381
34/8-5	6	2986.500000	2999.000000	[m   ]	191.300000	9	YES	1719	2012-12-22	2013-05-08	5382
34/8-5	7	3033.300000	3049.000000	[m   ]	191.300000	9	YES	1719	2012-12-22	2013-05-08	5383
34/8-5	8	3354.000000	3375.300000	[m   ]	191.300000	9	YES	1719	2012-12-22	2013-05-08	5384
34/8-5	9	3406.000000	3419.500000	[m   ]	191.300000	9	YES	1719	2012-12-22	2013-05-08	5385
34/8-6	1	3572.000000	3584.600000	[m   ]	12.600000	1	YES	1842	9999-12-31	2013-05-08	5386
34/8-7	1	4471.000000	4491.400000	[m   ]	36.600000	5	YES	1941	9999-12-31	2013-05-08	5387
34/8-7	2	4654.000000	4656.800000	[m   ]	36.600000	5	YES	1941	9999-12-31	2013-05-08	5388
34/8-7	3	5118.000000	5118.300000	[m   ]	36.600000	5	YES	1941	9999-12-31	2013-05-08	5389
34/8-7	4	5127.000000	5132.300000	[m   ]	36.600000	5	YES	1941	9999-12-31	2013-05-08	5390
34/8-7	5	5422.000000	5429.900000	[m   ]	36.600000	5	YES	1941	9999-12-31	2013-05-08	5391
34/8-8	1	2885.000000	2912.000000	[m   ]	216.800000	10	YES	1969	9999-12-31	2013-05-08	5392
34/8-8	10	3567.400000	3575.000000	[m   ]	216.800000	10	YES	1969	9999-12-31	2013-05-08	5393
34/8-8	2	2912.000000	2919.000000	[m   ]	216.800000	10	YES	1969	9999-12-31	2013-05-08	5394
34/8-8	3	2920.500000	2948.000000	[m   ]	216.800000	10	YES	1969	9999-12-31	2013-05-08	5395
34/8-8	4	2948.000000	2975.800000	[m   ]	216.800000	10	YES	1969	9999-12-31	2013-05-08	5396
34/8-8	5	2976.500000	3004.000000	[m   ]	216.800000	10	YES	1969	9999-12-31	2013-05-08	5397
34/8-8	6	3004.000000	3031.500000	[m   ]	216.800000	10	YES	1969	9999-12-31	2013-05-08	5398
34/8-8	7	3031.500000	3066.000000	[m   ]	216.800000	10	YES	1969	9999-12-31	2013-05-08	5399
34/8-8	8	3068.500000	3083.000000	[m   ]	216.800000	10	YES	1969	9999-12-31	2013-05-08	5400
34/8-8	9	3503.000000	3517.200000	[m   ]	216.800000	10	YES	1969	9999-12-31	2013-05-08	5401
34/8-9 S	1	1109.000000	1113.300000	[m   ]	36.400000	6	YES	2029	2012-12-22	2013-05-08	5402
34/8-9 S	2	2936.000000	2947.500000	[m   ]	36.400000	6	YES	2029	2012-12-22	2013-05-08	5403
34/8-9 S	3	2948.500000	2954.000000	[m   ]	36.400000	6	YES	2029	2012-12-22	2013-05-08	5404
34/8-9 S	4	\N	0.000000	\N	36.400000	6	YES	2029	2012-12-22	2013-05-08	5405
34/8-9 S	5	3170.500000	3176.000000	[m   ]	36.400000	6	YES	2029	2012-12-22	2013-05-08	5406
34/8-9 S	6	3178.000000	3192.900000	[m   ]	36.400000	6	YES	2029	2012-12-22	2013-05-08	5407
34/8-A-1 AH	1	4440.000000	4441.300000	[m   ]	78.300000	8	YES	3141	9999-12-31	2013-05-08	5408
34/8-A-1 AH	2	4443.500000	4467.000000	[m   ]	78.300000	8	YES	3141	9999-12-31	2013-05-08	5409
34/8-A-1 AH	3	4468.000000	4480.600000	[m   ]	78.300000	8	YES	3141	9999-12-31	2013-05-08	5410
34/8-A-1 AH	4	4484.000000	4492.300000	[m   ]	78.300000	8	YES	3141	9999-12-31	2013-05-08	5411
34/8-A-1 AH	5	4493.000000	4498.200000	[m   ]	78.300000	8	YES	3141	9999-12-31	2013-05-08	5412
34/8-A-1 AH	6	4498.500000	4507.500000	[m   ]	78.300000	8	YES	3141	9999-12-31	2013-05-08	5413
34/8-A-1 AH	7	4507.500000	4522.000000	[m   ]	78.300000	8	YES	3141	9999-12-31	2013-05-08	5414
34/8-A-1 AH	8	4523.500000	4527.500000	[m   ]	78.300000	8	YES	3141	9999-12-31	2013-05-08	5415
34/8-A-1 H	1	1069.000000	1070.800000	[m   ]	12.000000	5	YES	3140	9999-12-31	2013-05-08	5416
34/8-A-1 H	2	\N	0.000000	\N	12.000000	5	YES	3140	9999-12-31	2013-05-08	5417
34/8-A-1 H	3	1082.500000	1089.000000	[m   ]	12.000000	5	YES	3140	9999-12-31	2013-05-08	5418
34/8-A-1 H	4	\N	0.000000	\N	12.000000	5	YES	3140	9999-12-31	2013-05-08	5419
34/8-A-1 H	5	1100.000000	1103.700000	[m   ]	12.000000	5	YES	3140	9999-12-31	2013-05-08	5420
34/8-A-33 H	1	1124.000000	1142.000000	[m   ]	45.900000	3	YES	5834	9999-12-31	2013-05-08	5421
34/8-A-33 H	2	1409.000000	1421.800000	[m   ]	45.900000	3	YES	5834	9999-12-31	2013-05-08	5422
34/8-A-33 H	4	1611.000000	1626.100000	[m   ]	45.900000	3	YES	5834	9999-12-31	2013-05-08	5423
34/8-B-1 H	1	3049.000000	3082.000000	[m   ]	70.600000	2	YES	3965	9999-12-31	2013-05-08	5424
34/8-B-1 H	2	3083.000000	3120.600000	[m   ]	70.600000	2	YES	3965	9999-12-31	2013-05-08	5425
35/10-1	1	3329.000000	3340.800000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5426
35/10-1	10	3422.800000	3432.000000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5427
35/10-1	11	3432.000000	3437.000000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5428
35/10-1	12	3438.000000	3450.700000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5429
35/10-1	13	3450.800000	3469.100000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5430
35/10-1	14	3469.000000	3486.100000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5431
35/10-1	15	3489.000000	3511.500000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5432
35/10-1	16	3511.100000	3517.900000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5433
35/10-1	17	3575.000000	3602.500000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5434
35/10-1	18	3602.000000	3630.000000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5435
35/10-1	19	3630.000000	3657.700000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5436
35/10-1	2	3342.000000	3360.500000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5437
35/10-1	3	3360.000000	3388.000000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5438
35/10-1	4	3388.200000	3396.500000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5439
35/10-1	5	3396.500000	3400.600000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5440
35/10-1	6	3401.000000	3414.800000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5441
35/10-1	7	3415.000000	3416.800000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5442
35/10-1	8	3416.800000	3419.400000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5443
35/10-1	9	3419.400000	3422.700000	[m   ]	257.200000	19	YES	1822	9999-12-31	2013-05-08	5444
35/10-2	1	1960.000000	1966.500000	[m   ]	101.000000	9	YES	2783	9999-12-31	2013-05-08	5445
35/10-2	2	1966.500000	1974.000000	[m   ]	101.000000	9	YES	2783	9999-12-31	2013-05-08	5446
35/10-2	3	2018.000000	2023.000000	[m   ]	101.000000	9	YES	2783	9999-12-31	2013-05-08	5447
35/10-2	4	4154.000000	4162.300000	[m   ]	101.000000	9	YES	2783	9999-12-31	2013-05-08	5448
35/10-2	5	4162.300000	4169.300000	[m   ]	101.000000	9	YES	2783	9999-12-31	2013-05-08	5449
35/10-2	6	4169.500000	4184.600000	[m   ]	101.000000	9	YES	2783	9999-12-31	2013-05-08	5450
35/10-2	7	4185.500000	4206.200000	[m   ]	101.000000	9	YES	2783	9999-12-31	2013-05-08	5451
35/10-2	8	4207.000000	4223.200000	[m   ]	101.000000	9	YES	2783	9999-12-31	2013-05-08	5452
35/10-2	9	4224.000000	4238.800000	[m   ]	101.000000	9	YES	2783	9999-12-31	2013-05-08	5453
35/11-1	1	2552.800000	2562.100000	[m   ]	9.300000	1	YES	128	9999-12-31	2013-05-08	5454
35/11-10	1	879.100000	880.000000	[m   ]	243.100000	8	YES	3042	9999-12-31	2013-05-08	5455
35/11-10	2	1975.000000	2007.100000	[m   ]	243.100000	8	YES	3042	9999-12-31	2013-05-08	5456
35/11-10	3	2008.000000	2040.600000	[m   ]	243.100000	8	YES	3042	9999-12-31	2013-05-08	5457
35/11-10	4	2041.000000	2078.200000	[m   ]	243.100000	8	YES	3042	9999-12-31	2013-05-08	5458
35/11-10	5	2268.000000	2296.000000	[m   ]	243.100000	8	YES	3042	9999-12-31	2013-05-08	5459
35/11-10	6	2296.000000	2314.800000	[m   ]	243.100000	8	YES	3042	9999-12-31	2013-05-08	5460
35/11-10	7	2676.000000	2722.900000	[m   ]	243.100000	8	YES	3042	9999-12-31	2013-05-08	5461
35/11-10	8	2723.000000	2769.600000	[m   ]	243.100000	8	YES	3042	9999-12-31	2013-05-08	5462
35/11-11	1	2550.500000	2551.000000	[m   ]	181.400000	9	YES	3356	9999-12-31	2013-05-08	5463
35/11-11	2	2552.000000	2569.200000	[m   ]	181.400000	9	YES	3356	9999-12-31	2013-05-08	5464
35/11-11	3	2570.000000	2597.000000	[m   ]	181.400000	9	YES	3356	9999-12-31	2013-05-08	5465
35/11-11	4	2597.500000	2620.000000	[m   ]	181.400000	9	YES	3356	9999-12-31	2013-05-08	5466
35/11-11	5	2621.000000	2638.200000	[m   ]	181.400000	9	YES	3356	9999-12-31	2013-05-08	5467
35/11-11	6	2638.300000	2647.000000	[m   ]	181.400000	9	YES	3356	9999-12-31	2013-05-08	5468
35/11-11	7	2695.500000	2722.000000	[m   ]	181.400000	9	YES	3356	9999-12-31	2013-05-08	5469
35/11-11	8	2723.000000	2767.400000	[m   ]	181.400000	9	YES	3356	9999-12-31	2013-05-08	5470
35/11-11	9	3085.000000	3102.300000	[m   ]	181.400000	9	YES	3356	9999-12-31	2013-05-08	5471
35/11-12	1	3120.000000	3146.000000	[m   ]	26.000000	1	YES	4054	9999-12-31	2013-05-08	5472
35/11-13	1	3100.000000	3114.400000	[m   ]	33.700000	2	YES	5063	9999-12-31	2013-05-08	5473
35/11-13	2	3115.000000	3134.300000	[m   ]	33.700000	2	YES	5063	9999-12-31	2013-05-08	5474
35/11-14 S	1	3110.000000	3136.500000	[m   ]	53.300000	2	YES	5365	9999-12-31	2013-05-08	5475
35/11-14 S	2	3137.000000	3163.800000	[m   ]	53.300000	2	YES	5365	9999-12-31	2013-05-08	5476
35/11-15 S	1	2928.000000	2954.700000	[m   ]	52.100000	2	YES	5517	9999-12-31	2013-05-08	5477
35/11-15 S	2	2955.000000	2980.400000	[m   ]	52.100000	2	YES	5517	9999-12-31	2013-05-08	5478
35/11-2	1	\N	0.000000	\N	148.300000	8	YES	893	9999-12-31	2013-05-08	5479
35/11-2	2	3042.000000	3045.200000	[m   ]	148.300000	8	YES	893	9999-12-31	2013-05-08	5480
35/11-2	3	3369.000000	3391.600000	[m   ]	148.300000	8	YES	893	9999-12-31	2013-05-08	5481
35/11-2	4	3392.900000	3416.000000	[m   ]	148.300000	8	YES	893	9999-12-31	2013-05-08	5482
35/11-2	5	3416.000000	3428.000000	[m   ]	148.300000	8	YES	893	9999-12-31	2013-05-08	5483
35/11-2	6	3428.000000	3467.000000	[m   ]	148.300000	8	YES	893	9999-12-31	2013-05-08	5484
35/11-2	7	3467.000000	3489.300000	[m   ]	148.300000	8	YES	893	9999-12-31	2013-05-08	5485
35/11-2	8	3490.000000	3516.200000	[m   ]	148.300000	8	YES	893	9999-12-31	2013-05-08	5486
35/11-3 S	1	1987.000000	1996.000000	[m   ]	59.800000	3	YES	1356	9999-12-31	2013-05-08	5487
35/11-3 S	2	3062.000000	3086.000000	[m   ]	59.800000	3	YES	1356	9999-12-31	2013-05-08	5488
35/11-3 S	3	3446.000000	3472.800000	[m   ]	59.800000	3	YES	1356	9999-12-31	2013-05-08	5489
35/11-4	1	1977.000000	1981.400000	[m   ]	135.200000	8	YES	1523	9999-12-31	2013-05-08	5490
35/11-4	2	1982.000000	2007.700000	[m   ]	135.200000	8	YES	1523	9999-12-31	2013-05-08	5491
35/11-4	3	2009.000000	2027.800000	[m   ]	135.200000	8	YES	1523	9999-12-31	2013-05-08	5492
35/11-4	4	2033.000000	2057.700000	[m   ]	135.200000	8	YES	1523	9999-12-31	2013-05-08	5493
35/11-4	5	2058.000000	2083.800000	[m   ]	135.200000	8	YES	1523	9999-12-31	2013-05-08	5494
35/11-4	6	2285.000000	2289.800000	[m   ]	135.200000	8	YES	1523	9999-12-31	2013-05-08	5495
35/11-4	7	2293.000000	2300.400000	[m   ]	135.200000	8	YES	1523	9999-12-31	2013-05-08	5496
35/11-4	8	2303.000000	2326.500000	[m   ]	135.200000	8	YES	1523	9999-12-31	2013-05-08	5497
35/11-5	1	3215.000000	3236.800000	[m   ]	124.600000	7	YES	1780	9999-12-31	2013-05-08	5498
35/11-5	2	3239.000000	3251.500000	[m   ]	124.600000	7	YES	1780	9999-12-31	2013-05-08	5499
35/11-5	3	3252.800000	3267.800000	[m   ]	124.600000	7	YES	1780	9999-12-31	2013-05-08	5500
35/11-5	4	3269.000000	3286.600000	[m   ]	124.600000	7	YES	1780	9999-12-31	2013-05-08	5501
35/11-5	5	3287.000000	3299.600000	[m   ]	124.600000	7	YES	1780	9999-12-31	2013-05-08	5502
35/11-5	6	3304.000000	3321.200000	[m   ]	124.600000	7	YES	1780	9999-12-31	2013-05-08	5503
35/11-5	7	3328.000000	3355.900000	[m   ]	124.600000	7	YES	1780	9999-12-31	2013-05-08	5504
35/11-6	1	3072.000000	3076.000000	[m   ]	231.800000	11	YES	1879	9999-12-31	2013-05-08	5505
35/11-6	10	3636.500000	3673.000000	[m   ]	231.800000	11	YES	1879	9999-12-31	2013-05-08	5506
35/11-6	11	3673.000000	3705.300000	[m   ]	231.800000	11	YES	1879	9999-12-31	2013-05-08	5507
35/11-6	2	3162.000000	3180.700000	[m   ]	231.800000	11	YES	1879	9999-12-31	2013-05-08	5508
35/11-6	3	3181.000000	3193.200000	[m   ]	231.800000	11	YES	1879	9999-12-31	2013-05-08	5509
35/11-6	4	3501.000000	3513.000000	[m   ]	231.800000	11	YES	1879	9999-12-31	2013-05-08	5510
35/11-6	5	3516.000000	3542.000000	[m   ]	231.800000	11	YES	1879	9999-12-31	2013-05-08	5511
35/11-6	6	3544.000000	3558.000000	[m   ]	231.800000	11	YES	1879	9999-12-31	2013-05-08	5512
35/11-6	7	3558.000000	3581.000000	[m   ]	231.800000	11	YES	1879	9999-12-31	2013-05-08	5513
35/11-6	8	3581.000000	3608.800000	[m   ]	231.800000	11	YES	1879	9999-12-31	2013-05-08	5514
35/11-6	9	3608.800000	3636.000000	[m   ]	231.800000	11	YES	1879	9999-12-31	2013-05-08	5515
35/11-7	1	1801.000000	1827.500000	[m   ]	201.300000	11	YES	1979	9999-12-31	2013-05-08	5516
35/11-7	10	2486.300000	2513.000000	[m   ]	201.300000	11	YES	1979	9999-12-31	2013-05-08	5517
35/11-7	11	2514.000000	2541.000000	[m   ]	201.300000	11	YES	1979	9999-12-31	2013-05-08	5518
35/11-7	2	1828.000000	1841.600000	[m   ]	201.300000	11	YES	1979	9999-12-31	2013-05-08	5519
35/11-7	3	1841.600000	1868.000000	[m   ]	201.300000	11	YES	1979	9999-12-31	2013-05-08	5520
35/11-7	4	1868.800000	1883.000000	[m   ]	201.300000	11	YES	1979	9999-12-31	2013-05-08	5521
35/11-7	5	1884.500000	1892.000000	[m   ]	201.300000	11	YES	1979	9999-12-31	2013-05-08	5522
35/11-7	6	2000.000000	2001.100000	[m   ]	201.300000	11	YES	1979	9999-12-31	2013-05-08	5523
35/11-7	7	2429.500000	2440.000000	[m   ]	201.300000	11	YES	1979	9999-12-31	2013-05-08	5524
35/11-7	8	2440.000000	2457.000000	[m   ]	201.300000	11	YES	1979	9999-12-31	2013-05-08	5525
35/11-7	9	2458.000000	2486.300000	[m   ]	201.300000	11	YES	1979	9999-12-31	2013-05-08	5526
35/11-8 S	1	2866.000000	2883.700000	[m   ]	95.900000	4	YES	2772	9999-12-31	2013-05-08	5527
35/11-8 S	2	2884.000000	2911.500000	[m   ]	95.900000	4	YES	2772	9999-12-31	2013-05-08	5528
35/11-8 S	3	2911.500000	2936.200000	[m   ]	95.900000	4	YES	2772	9999-12-31	2013-05-08	5529
35/11-8 S	4	2938.000000	2964.000000	[m   ]	95.900000	4	YES	2772	9999-12-31	2013-05-08	5530
35/11-9	1	2638.000000	2666.000000	[m   ]	102.500000	3	YES	3009	9999-12-31	2013-05-08	5531
35/11-9	2	2666.000000	2714.200000	[m   ]	102.500000	3	YES	3009	9999-12-31	2013-05-08	5532
35/11-9	3	2714.200000	2740.500000	[m   ]	102.500000	3	YES	3009	9999-12-31	2013-05-08	5533
35/12-1	1	2415.000000	2441.600000	[m   ]	49.000000	4	YES	1881	9999-12-31	2013-05-08	5534
35/12-1	2	2442.000000	2456.700000	[m   ]	49.000000	4	YES	1881	9999-12-31	2013-05-08	5535
35/12-1	3	2457.000000	2458.400000	[m   ]	49.000000	4	YES	1881	9999-12-31	2013-05-08	5536
35/12-1	4	2598.000000	2605.200000	[m   ]	49.000000	4	YES	1881	9999-12-31	2013-05-08	5537
35/12-2	1	1974.000000	2025.700000	[m   ]	124.700000	3	YES	6095	9999-12-31	2013-05-08	5538
35/12-2	2	2028.000000	2055.000000	[m   ]	124.700000	3	YES	6095	9999-12-31	2013-05-08	5539
35/12-2	3	2055.000000	2101.000000	[m   ]	124.700000	3	YES	6095	9999-12-31	2013-05-08	5540
35/12-3 S	1	2040.000000	2059.700000	[m   ]	37.500000	2	YES	6516	9999-12-31	2013-05-08	5541
35/12-3 S	2	2062.000000	2080.000000	[m   ]	37.500000	2	YES	6516	9999-12-31	2013-05-08	5542
35/3-2	1	3593.200000	3610.800000	[m   ]	87.100000	7	YES	136	9999-12-31	2013-05-08	5543
35/3-2	2	3611.000000	3613.300000	[m   ]	87.100000	7	YES	136	9999-12-31	2013-05-08	5544
35/3-2	3	3613.300000	3617.300000	[m   ]	87.100000	7	YES	136	9999-12-31	2013-05-08	5545
35/3-2	4	3625.000000	3641.000000	[m   ]	87.100000	7	YES	136	9999-12-31	2013-05-08	5546
35/3-2	5	3690.700000	3710.200000	[m   ]	87.100000	7	YES	136	9999-12-31	2013-05-08	5547
35/3-2	6	3944.500000	3960.400000	[m   ]	87.100000	7	YES	136	9999-12-31	2013-05-08	5548
35/3-2	7	3998.200000	4010.100000	[m   ]	87.100000	7	YES	136	9999-12-31	2013-05-08	5549
35/3-4	1	3400.600000	3415.400000	[m   ]	96.800000	11	YES	219	9999-12-31	2013-05-08	5550
35/3-4	10	3536.000000	3542.800000	[m   ]	96.800000	11	YES	219	9999-12-31	2013-05-08	5551
35/3-4	11	4087.000000	4088.500000	[m   ]	96.800000	11	YES	219	9999-12-31	2013-05-08	5552
35/3-4	2	3447.300000	3457.600000	[m   ]	96.800000	11	YES	219	9999-12-31	2013-05-08	5553
35/3-4	3	3458.500000	3459.600000	[m   ]	96.800000	11	YES	219	9999-12-31	2013-05-08	5554
35/3-4	4	3459.700000	3478.100000	[m   ]	96.800000	11	YES	219	9999-12-31	2013-05-08	5555
35/3-4	5	3478.100000	3488.600000	[m   ]	96.800000	11	YES	219	9999-12-31	2013-05-08	5556
35/3-4	6	3491.800000	3497.000000	[m   ]	96.800000	11	YES	219	9999-12-31	2013-05-08	5557
35/3-4	7	3497.800000	3509.500000	[m   ]	96.800000	11	YES	219	9999-12-31	2013-05-08	5558
35/3-4	8	3509.500000	3514.800000	[m   ]	96.800000	11	YES	219	9999-12-31	2013-05-08	5559
35/3-4	9	3518.000000	3530.700000	[m   ]	96.800000	11	YES	219	9999-12-31	2013-05-08	5560
35/3-5	1	3227.700000	3245.200000	[m   ]	65.000000	5	YES	433	9999-12-31	2013-05-08	5561
35/3-5	2	3245.200000	3257.600000	[m   ]	65.000000	5	YES	433	9999-12-31	2013-05-08	5562
35/3-5	3	3257.100000	3274.600000	[m   ]	65.000000	5	YES	433	9999-12-31	2013-05-08	5563
35/3-5	4	3274.700000	3292.100000	[m   ]	65.000000	5	YES	433	9999-12-31	2013-05-08	5564
35/3-5	5	\N	0.000000	\N	65.000000	5	YES	433	9999-12-31	2013-05-08	5565
35/3-7 S	1	3620.000000	3643.000000	[m   ]	51.000000	2	YES	6154	9999-12-31	2013-05-08	5566
35/3-7 S	2	3643.000000	3671.000000	[m   ]	51.000000	2	YES	6154	9999-12-31	2013-05-08	5567
35/4-1	1	4084.000000	4093.400000	[m   ]	236.300000	9	YES	2993	9999-12-31	2013-05-08	5568
35/4-1	2	4093.500000	4107.500000	[m   ]	236.300000	9	YES	2993	9999-12-31	2013-05-08	5569
35/4-1	3	4108.500000	4113.700000	[m   ]	236.300000	9	YES	2993	9999-12-31	2013-05-08	5570
35/4-1	4	4113.500000	4140.800000	[m   ]	236.300000	9	YES	2993	9999-12-31	2013-05-08	5571
35/4-1	5	4141.000000	4177.100000	[m   ]	236.300000	9	YES	2993	9999-12-31	2013-05-08	5572
35/4-1	6	4178.000000	4222.400000	[m   ]	236.300000	9	YES	2993	9999-12-31	2013-05-08	5573
35/4-1	7	4222.100000	4266.000000	[m   ]	236.300000	9	YES	2993	9999-12-31	2013-05-08	5574
35/4-1	8	4447.000000	4474.900000	[m   ]	236.300000	9	YES	2993	9999-12-31	2013-05-08	5575
35/4-1	9	4708.000000	4737.300000	[m   ]	236.300000	9	YES	2993	9999-12-31	2013-05-08	5576
35/8-1	1	3522.600000	3528.700000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5577
35/8-1	10	3647.300000	3666.000000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5578
35/8-1	11	3666.000000	3671.900000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5579
35/8-1	12	3672.000000	3690.900000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5580
35/8-1	13	3690.900000	3709.700000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5581
35/8-1	2	3536.100000	3549.600000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5582
35/8-1	3	3549.600000	3567.100000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5583
35/8-1	4	3567.700000	3569.800000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5584
35/8-1	5	3569.800000	3587.300000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5585
35/8-1	6	3587.300000	3601.800000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5586
35/8-1	7	3602.400000	3610.400000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5587
35/8-1	8	3610.400000	3628.100000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5588
35/8-1	9	3628.100000	3647.300000	[m   ]	172.300000	13	YES	205	9999-12-31	2013-05-08	5589
35/8-2	1	3316.900000	3318.500000	[m   ]	98.300000	7	YES	434	9999-12-31	2013-05-08	5590
35/8-2	2	3667.200000	3685.500000	[m   ]	98.300000	7	YES	434	9999-12-31	2013-05-08	5591
35/8-2	3	3685.500000	3689.400000	[m   ]	98.300000	7	YES	434	9999-12-31	2013-05-08	5592
35/8-2	4	3689.400000	3706.300000	[m   ]	98.300000	7	YES	434	9999-12-31	2013-05-08	5593
35/8-2	5	3706.500000	3725.800000	[m   ]	98.300000	7	YES	434	9999-12-31	2013-05-08	5594
35/8-2	6	3725.100000	3743.800000	[m   ]	98.300000	7	YES	434	9999-12-31	2013-05-08	5595
35/8-2	7	3743.800000	3753.400000	[m   ]	98.300000	7	YES	434	9999-12-31	2013-05-08	5596
35/8-3	1	3830.000000	3848.000000	[m   ]	18.000000	1	YES	1288	9999-12-31	2013-05-08	5597
35/8-5 S	1	3381.000000	3382.500000	[m   ]	99.200000	6	YES	4761	9999-12-31	2013-05-08	5598
35/8-5 S	2	3383.500000	3401.600000	[m   ]	99.200000	6	YES	4761	9999-12-31	2013-05-08	5599
35/8-5 S	3	3401.600000	3415.000000	[m   ]	99.200000	6	YES	4761	9999-12-31	2013-05-08	5600
35/8-5 S	4	3415.500000	3443.300000	[m   ]	99.200000	6	YES	4761	9999-12-31	2013-05-08	5601
35/8-5 S	5	3845.000000	3856.300000	[m   ]	99.200000	6	YES	4761	9999-12-31	2013-05-08	5602
35/8-5 S	6	3856.300000	3883.500000	[m   ]	99.200000	6	YES	4761	9999-12-31	2013-05-08	5603
35/9-1	1	2040.000000	2065.600000	[m   ]	153.400000	8	YES	1375	9999-12-31	2013-05-08	5604
35/9-1	2	2094.000000	2102.000000	[m   ]	153.400000	8	YES	1375	9999-12-31	2013-05-08	5605
35/9-1	3	2107.000000	2137.700000	[m   ]	153.400000	8	YES	1375	9999-12-31	2013-05-08	5606
35/9-1	4	2138.000000	2150.000000	[m   ]	153.400000	8	YES	1375	9999-12-31	2013-05-08	5607
35/9-1	5	2225.000000	2238.000000	[m   ]	153.400000	8	YES	1375	9999-12-31	2013-05-08	5608
35/9-1	6	2242.000000	2270.400000	[m   ]	153.400000	8	YES	1375	9999-12-31	2013-05-08	5609
35/9-1	7	2270.000000	2305.000000	[m   ]	153.400000	8	YES	1375	9999-12-31	2013-05-08	5610
35/9-1	8	2305.000000	2316.500000	[m   ]	153.400000	8	YES	1375	9999-12-31	2013-05-08	5611
35/9-2	1	2110.500000	2111.200000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5612
35/9-2	10	2621.000000	2638.600000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5613
35/9-2	11	2638.600000	2665.600000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5614
35/9-2	12	2666.000000	2694.000000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5615
35/9-2	13	2694.000000	2722.300000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5616
35/9-2	14	2722.300000	2759.000000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5617
35/9-2	15	2759.800000	2763.000000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5618
35/9-2	16	2764.500000	2778.000000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5619
35/9-2	17	2778.300000	2784.000000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5620
35/9-2	2	2114.000000	2141.900000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5621
35/9-2	3	2271.000000	2299.000000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5622
35/9-2	4	2299.000000	2327.000000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5623
35/9-2	5	2327.000000	2350.200000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5624
35/9-2	6	2365.000000	2391.900000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5625
35/9-2	7	2393.000000	2421.000000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5626
35/9-2	8	2483.000000	2520.600000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5627
35/9-2	9	2520.600000	2554.300000	[m   ]	386.000000	17	YES	1600	9999-12-31	2013-05-08	5628
35/9-3	1	1885.000000	1903.400000	[m   ]	104.400000	5	YES	3206	9999-12-31	2013-05-08	5629
35/9-3	2	1870.000000	1888.800000	[m   ]	104.400000	5	YES	3206	9999-12-31	2013-05-08	5630
35/9-3	3	2663.000000	2675.300000	[m   ]	104.400000	5	YES	3206	9999-12-31	2013-05-08	5631
35/9-3	4	2676.000000	2703.300000	[m   ]	104.400000	5	YES	3206	9999-12-31	2013-05-08	5632
35/9-3	5	2703.200000	2730.800000	[m   ]	104.400000	5	YES	3206	9999-12-31	2013-05-08	5633
35/9-6 S	1	3266.000000	3273.400000	[m   ]	132.100000	7	YES	6429	9999-12-31	2013-05-08	5634
35/9-6 S	2	3275.000000	3295.700000	[m   ]	132.100000	7	YES	6429	9999-12-31	2013-05-08	5635
35/9-6 S	3	3295.000000	3314.000000	[m   ]	132.100000	7	YES	6429	9999-12-31	2013-05-08	5636
35/9-6 S	4	3316.000000	3318.800000	[m   ]	132.100000	7	YES	6429	9999-12-31	2013-05-08	5637
35/9-6 S	5	3434.000000	3460.100000	[m   ]	132.100000	7	YES	6429	9999-12-31	2013-05-08	5638
35/9-6 S	6	3517.000000	3558.800000	[m   ]	132.100000	7	YES	6429	9999-12-31	2013-05-08	5639
35/9-6 S	7	3679.000000	3693.000000	[m   ]	132.100000	7	YES	6429	9999-12-31	2013-05-08	5640
36/1-1	1	5210.000000	5230.000000	[ft  ]	6.100000	1	YES	435	9999-12-31	2013-05-08	5641
36/1-2	1	2987.000000	3005.800000	[m   ]	18.400000	1	YES	436	9999-12-31	2013-05-08	5642
36/4-1	1	2714.000000	2714.400000	[m   ]	0.400000	1	YES	2847	9999-12-31	2013-05-08	5643
36/7-1	1	2124.000000	2142.900000	[m   ]	280.800000	9	YES	1794	9999-12-31	2013-05-08	5644
36/7-1	2	2143.000000	2169.700000	[m   ]	280.800000	9	YES	1794	9999-12-31	2013-05-08	5645
36/7-1	3	2171.000000	2199.000000	[m   ]	280.800000	9	YES	1794	9999-12-31	2013-05-08	5646
36/7-1	4	2199.000000	2226.800000	[m   ]	280.800000	9	YES	1794	9999-12-31	2013-05-08	5647
36/7-1	5	2247.000000	2272.900000	[m   ]	280.800000	9	YES	1794	9999-12-31	2013-05-08	5648
36/7-1	6	2275.000000	2308.300000	[m   ]	280.800000	9	YES	1794	9999-12-31	2013-05-08	5649
36/7-1	7	2309.000000	2345.600000	[m   ]	280.800000	9	YES	1794	9999-12-31	2013-05-08	5650
36/7-1	8	2346.000000	2383.100000	[m   ]	280.800000	9	YES	1794	9999-12-31	2013-05-08	5651
36/7-1	9	2383.000000	2429.500000	[m   ]	280.800000	9	YES	1794	9999-12-31	2013-05-08	5652
6/3-1	1	2967.000000	2985.300000	[m   ]	148.100000	8	YES	450	9999-12-31	2013-05-08	5653
6/3-1	2	2986.000000	2987.700000	[m   ]	148.100000	8	YES	450	9999-12-31	2013-05-08	5654
6/3-1	3	2988.000000	3006.700000	[m   ]	148.100000	8	YES	450	9999-12-31	2013-05-08	5655
6/3-1	4	3007.000000	3024.900000	[m   ]	148.100000	8	YES	450	9999-12-31	2013-05-08	5656
6/3-1	5	3025.000000	3043.000000	[m   ]	148.100000	8	YES	450	9999-12-31	2013-05-08	5657
6/3-1	6	3043.000000	3061.600000	[m   ]	148.100000	8	YES	450	9999-12-31	2013-05-08	5658
6/3-1	7	3061.600000	3089.000000	[m   ]	148.100000	8	YES	450	9999-12-31	2013-05-08	5659
6/3-1	8	3089.000000	3116.500000	[m   ]	148.100000	8	YES	450	9999-12-31	2013-05-08	5660
6/3-2	1	2794.000000	2803.500000	[m   ]	218.500000	11	YES	862	9999-12-31	2013-05-08	5661
6/3-2	10	3174.100000	3197.500000	[m   ]	218.500000	11	YES	862	9999-12-31	2013-05-08	5662
6/3-2	11	4088.000000	4089.900000	[m   ]	218.500000	11	YES	862	9999-12-31	2013-05-08	5663
6/3-2	2	2803.500000	2831.600000	[m   ]	218.500000	11	YES	862	9999-12-31	2013-05-08	5664
6/3-2	3	2831.600000	2859.200000	[m   ]	218.500000	11	YES	862	9999-12-31	2013-05-08	5665
6/3-2	4	3042.000000	3047.000000	[m   ]	218.500000	11	YES	862	9999-12-31	2013-05-08	5666
6/3-2	5	3049.000000	3075.100000	[m   ]	218.500000	11	YES	862	9999-12-31	2013-05-08	5667
6/3-2	6	3077.000000	3100.100000	[m   ]	218.500000	11	YES	862	9999-12-31	2013-05-08	5668
6/3-2	7	3100.000000	3127.500000	[m   ]	218.500000	11	YES	862	9999-12-31	2013-05-08	5669
6/3-2	8	3127.500000	3155.500000	[m   ]	218.500000	11	YES	862	9999-12-31	2013-05-08	5670
6/3-2	9	3155.500000	3174.100000	[m   ]	218.500000	11	YES	862	9999-12-31	2013-05-08	5671
6201/11-1	1	2701.000000	2712.300000	[m   ]	115.500000	9	YES	1134	9999-12-31	2013-05-08	5672
6201/11-1	2	2729.000000	2739.300000	[m   ]	115.500000	9	YES	1134	9999-12-31	2013-05-08	5673
6201/11-1	3	2740.000000	2765.700000	[m   ]	115.500000	9	YES	1134	9999-12-31	2013-05-08	5674
6201/11-1	4	2767.500000	2777.500000	[m   ]	115.500000	9	YES	1134	9999-12-31	2013-05-08	5675
6201/11-1	5	2779.500000	2785.000000	[m   ]	115.500000	9	YES	1134	9999-12-31	2013-05-08	5676
6201/11-1	6	2822.000000	2835.100000	[m   ]	115.500000	9	YES	1134	9999-12-31	2013-05-08	5677
6201/11-1	7	2836.000000	2846.000000	[m   ]	115.500000	9	YES	1134	9999-12-31	2013-05-08	5678
6201/11-1	8	2853.500000	2881.300000	[m   ]	115.500000	9	YES	1134	9999-12-31	2013-05-08	5679
6201/11-1	9	2881.500000	2918.600000	[m   ]	115.500000	9	YES	1134	9999-12-31	2013-05-08	5680
6201/11-2	1	3697.000000	3710.900000	[m   ]	13.900000	1	YES	1549	9999-12-31	2013-05-08	5681
6204/10-1	1	811.000000	827.600000	[m   ]	47.600000	4	YES	2666	9999-12-31	2013-05-08	5682
6204/10-1	2	1890.000000	1898.900000	[m   ]	47.600000	4	YES	2666	9999-12-31	2013-05-08	5683
6204/10-1	3	1948.000000	1955.000000	[m   ]	47.600000	4	YES	2666	9999-12-31	2013-05-08	5684
6204/10-1	4	1974.000000	1994.200000	[m   ]	47.600000	4	YES	2666	9999-12-31	2013-05-08	5685
6204/10-2 A	1	2105.000000	2120.300000	[m   ]	15.300000	1	YES	3280	9999-12-31	2013-05-08	5686
6204/10-2 R	1	1872.000000	1889.600000	[m   ]	27.000000	2	YES	3258	9999-12-31	2013-05-08	5687
6204/10-2 R	2	1951.000000	1961.100000	[m   ]	27.000000	2	YES	3258	9999-12-31	2013-05-08	5688
6204/11-1	1	2008.000000	2016.000000	[m   ]	110.500000	6	YES	2205	9999-12-31	2013-05-08	5689
6204/11-1	2	2016.000000	2025.800000	[m   ]	110.500000	6	YES	2205	9999-12-31	2013-05-08	5690
6204/11-1	3	2133.000000	2158.300000	[m   ]	110.500000	6	YES	2205	9999-12-31	2013-05-08	5691
6204/11-1	4	2778.000000	2793.000000	[m   ]	110.500000	6	YES	2205	9999-12-31	2013-05-08	5692
6204/11-1	5	2793.500000	2818.200000	[m   ]	110.500000	6	YES	2205	9999-12-31	2013-05-08	5693
6204/11-1	6	2818.200000	2846.000000	[m   ]	110.500000	6	YES	2205	9999-12-31	2013-05-08	5694
6205/3-1	1	4220.000000	4227.300000	[m   ]	55.000000	6	YES	1479	9999-12-31	2013-05-08	5695
6205/3-1 R	1	4332.000000	4340.000000	[m   ]	55.000000	6	YES	1510	9999-12-31	2013-05-08	5696
6205/3-1 R	2	4449.000000	4452.000000	[m   ]	55.000000	6	YES	1510	9999-12-31	2013-05-08	5697
6205/3-1 R	3	4787.000000	4789.500000	[m   ]	55.000000	6	YES	1510	9999-12-31	2013-05-08	5698
6205/3-1 R	4	4963.000000	4980.600000	[m   ]	55.000000	6	YES	1510	9999-12-31	2013-05-08	5699
6205/3-1 R	5	5016.000000	5021.600000	[m   ]	55.000000	6	YES	1510	9999-12-31	2013-05-08	5700
6205/3-1 R	6	5252.000000	5262.800000	[m   ]	55.000000	6	YES	1510	9999-12-31	2013-05-08	5701
6302/6-1	1	3903.000000	3910.700000	[m   ]	15.500000	3	YES	5086	9999-12-31	2013-05-08	5702
6302/6-1	2	3911.600000	3916.300000	[m   ]	15.500000	3	YES	5086	9999-12-31	2013-05-08	5703
6302/6-1	3	3936.000000	3939.100000	[m   ]	15.500000	3	YES	5086	9999-12-31	2013-05-08	5704
6305/1-1	1	2556.000000	2573.200000	[m   ]	66.000000	5	YES	3555	9999-12-31	2013-05-08	5705
6305/1-1	2	2574.000000	2582.200000	[m   ]	66.000000	5	YES	3555	9999-12-31	2013-05-08	5706
6305/1-1	3	2601.000000	2601.900000	[m   ]	66.000000	5	YES	3555	9999-12-31	2013-05-08	5707
6305/1-1	4	2610.000000	2623.200000	[m   ]	66.000000	5	YES	3555	9999-12-31	2013-05-08	5708
6305/1-1	5	3643.000000	3669.600000	[m   ]	66.000000	5	YES	3555	9999-12-31	2013-05-08	5709
6305/12-1	1	3692.000000	3692.300000	[m   ]	11.400000	3	YES	1808	9999-12-31	2013-05-08	5710
6305/12-1	2	4168.000000	4177.900000	[m   ]	11.400000	3	YES	1808	9999-12-31	2013-05-08	5711
6305/12-1	3	4300.000000	4301.200000	[m   ]	11.400000	3	YES	1808	9999-12-31	2013-05-08	5712
6305/12-2	1	2964.000000	2968.300000	[m   ]	33.900000	6	YES	2207	9999-12-31	2013-05-08	5713
6305/12-2	2	2971.000000	2975.000000	[m   ]	33.900000	6	YES	2207	9999-12-31	2013-05-08	5714
6305/12-2	3	2975.000000	2983.500000	[m   ]	33.900000	6	YES	2207	9999-12-31	2013-05-08	5715
6305/12-2	4	3002.000000	3009.600000	[m   ]	33.900000	6	YES	2207	9999-12-31	2013-05-08	5716
6305/12-2	5	3016.000000	3022.800000	[m   ]	33.900000	6	YES	2207	9999-12-31	2013-05-08	5717
6305/12-2	6	3158.000000	3160.700000	[m   ]	33.900000	6	YES	2207	9999-12-31	2013-05-08	5718
6305/4-1	1	1761.000000	1778.600000	[m   ]	47.900000	4	YES	4441	9999-12-31	2013-05-08	5719
6305/4-1	2	2769.000000	2788.200000	[m   ]	47.900000	4	YES	4441	9999-12-31	2013-05-08	5720
6305/4-1	3	2788.000000	2806.400000	[m   ]	47.900000	4	YES	4441	9999-12-31	2013-05-08	5721
6305/4-1	4	2807.000000	2817.300000	[m   ]	47.900000	4	YES	4441	9999-12-31	2013-05-08	5722
6305/4-2 S	1	2844.200000	2856.000000	[m   ]	28.900000	3	YES	6441	9999-12-31	2013-05-08	5723
6305/4-2 S	2	2858.000000	2865.000000	[m   ]	28.900000	3	YES	6441	9999-12-31	2013-05-08	5724
6305/4-2 S	3	2879.000000	2903.000000	[m   ]	28.900000	3	YES	6441	9999-12-31	2013-05-08	5725
6305/5-1	1	2730.000000	2748.600000	[m   ]	84.200000	6	YES	3144	9999-12-31	2013-05-08	5726
6305/5-1	2	2749.000000	2767.000000	[m   ]	84.200000	6	YES	3144	9999-12-31	2013-05-08	5727
6305/5-1	3	2767.500000	2771.800000	[m   ]	84.200000	6	YES	3144	9999-12-31	2013-05-08	5728
6305/5-1	4	2771.800000	2783.900000	[m   ]	84.200000	6	YES	3144	9999-12-31	2013-05-08	5729
6305/5-1	5	2785.000000	2791.900000	[m   ]	84.200000	6	YES	3144	9999-12-31	2013-05-08	5730
6305/5-1	6	2792.000000	2816.300000	[m   ]	84.200000	6	YES	3144	9999-12-31	2013-05-08	5731
6305/5-B-2 AH	1	2839.000000	2854.500000	[m   ]	15.500000	1	YES	5792	9999-12-31	2013-05-08	5732
6305/5-M-2	2	2671.000000	2673.800000	[m   ]	9.700000	2	YES	5398	9999-12-31	2013-05-08	5733
6305/5-M-2	3	2675.000000	2681.900000	[m   ]	9.700000	2	YES	5398	9999-12-31	2013-05-08	5734
6305/7-1	1	2917.000000	2943.800000	[m   ]	94.100000	4	YES	3535	9999-12-31	2013-05-08	5735
6305/7-1	2	2944.000000	2971.200000	[m   ]	94.100000	4	YES	3535	9999-12-31	2013-05-08	5736
6305/7-1	3	2971.000000	2984.900000	[m   ]	94.100000	4	YES	3535	9999-12-31	2013-05-08	5737
6305/7-1	4	2985.500000	3011.800000	[m   ]	94.100000	4	YES	3535	9999-12-31	2013-05-08	5738
6305/7-D-7 H	1	2958.000000	2985.700000	[m   ]	63.300000	4	YES	6245	9999-12-31	2013-05-08	5739
6305/7-D-7 H	2	2985.700000	3002.400000	[m   ]	63.300000	4	YES	6245	9999-12-31	2013-05-08	5740
6305/7-D-7 H	3	3002.400000	3009.300000	[m   ]	63.300000	4	YES	6245	9999-12-31	2013-05-08	5741
6305/7-D-7 H	4	3009.500000	3021.500000	[m   ]	63.300000	4	YES	6245	9999-12-31	2013-05-08	5742
6305/8-1	1	2895.000000	2914.500000	[m   ]	90.700000	5	YES	4109	9999-12-31	2013-05-08	5743
6305/8-1	2	2915.500000	2943.300000	[m   ]	90.700000	5	YES	4109	9999-12-31	2013-05-08	5744
6305/8-1	3	2943.300000	2958.900000	[m   ]	90.700000	5	YES	4109	9999-12-31	2013-05-08	5745
6305/8-1	4	2959.100000	2980.300000	[m   ]	90.700000	5	YES	4109	9999-12-31	2013-05-08	5746
6305/8-1	5	2981.000000	2987.700000	[m   ]	90.700000	5	YES	4109	9999-12-31	2013-05-08	5747
6305/8-A-2 H	1	2864.000000	2867.000000	[m   ]	4.400000	3	YES	5196	9999-12-31	2013-05-08	5748
6305/8-A-2 H	2	2867.000000	2867.500000	[m   ]	4.400000	3	YES	5196	9999-12-31	2013-05-08	5749
6305/8-A-2 H	3	2869.000000	2870.000000	[m   ]	4.400000	3	YES	5196	9999-12-31	2013-05-08	5750
6305/9-1	1	2477.000000	2494.400000	[m   ]	17.400000	1	YES	4297	9999-12-31	2013-05-08	5751
6306/10-1	1	1144.000000	1170.000000	[m   ]	75.700000	5	YES	1551	9999-12-31	2013-05-08	5752
6306/10-1	2	1172.000000	1198.700000	[m   ]	75.700000	5	YES	1551	9999-12-31	2013-05-08	5753
6306/10-1	3	2747.000000	2758.300000	[m   ]	75.700000	5	YES	1551	9999-12-31	2013-05-08	5754
6306/10-1	4	2880.000000	2888.000000	[m   ]	75.700000	5	YES	1551	9999-12-31	2013-05-08	5755
6306/10-1	5	3156.000000	3159.700000	[m   ]	75.700000	5	YES	1551	9999-12-31	2013-05-08	5756
6306/5-1	1	1757.000000	1762.000000	[m   ]	5.000000	1	YES	3060	9999-12-31	2013-05-08	5757
6306/6-1	1	1176.000000	1194.800000	[m   ]	18.800000	1	YES	2384	9999-12-31	2013-05-08	5758
6403/6-1	1	3058.100000	3084.400000	[m   ]	26.200000	1	YES	5296	9999-12-31	2013-05-08	5759
6405/10-1	1	3004.000000	3014.000000	[m   ]	31.200000	2	YES	5565	9999-12-31	2013-05-08	5760
6405/10-1	2	3014.000000	3035.200000	[m   ]	31.200000	2	YES	5565	9999-12-31	2013-05-08	5761
6405/7-1	1	2754.000000	2764.000000	[m   ]	124.200000	7	YES	4749	9999-12-31	2013-05-08	5762
6405/7-1	2	2781.000000	2806.600000	[m   ]	124.200000	7	YES	4749	9999-12-31	2013-05-08	5763
6405/7-1	3	2808.000000	2831.600000	[m   ]	124.200000	7	YES	4749	9999-12-31	2013-05-08	5764
6405/7-1	4	2835.000000	2861.500000	[m   ]	124.200000	7	YES	4749	9999-12-31	2013-05-08	5765
6405/7-1	5	2862.000000	2869.400000	[m   ]	124.200000	7	YES	4749	9999-12-31	2013-05-08	5766
6405/7-1	6	3751.000000	3756.000000	[m   ]	124.200000	7	YES	4749	9999-12-31	2013-05-08	5767
6405/7-1	7	3757.000000	3783.100000	[m   ]	124.200000	7	YES	4749	9999-12-31	2013-05-08	5768
6406/1-1	1	4680.000000	4681.500000	[m   ]	110.500000	7	YES	4262	9999-12-31	2013-05-08	5769
6406/1-1	2	4681.500000	4684.600000	[m   ]	110.500000	7	YES	4262	9999-12-31	2013-05-08	5770
6406/1-1	3	4685.000000	4704.200000	[m   ]	110.500000	7	YES	4262	9999-12-31	2013-05-08	5771
6406/1-1	4	4704.200000	4715.300000	[m   ]	110.500000	7	YES	4262	9999-12-31	2013-05-08	5772
6406/1-1	5	4716.000000	4745.700000	[m   ]	110.500000	7	YES	4262	9999-12-31	2013-05-08	5773
6406/1-1	6	4746.000000	4756.600000	[m   ]	110.500000	7	YES	4262	9999-12-31	2013-05-08	5774
6406/1-1	7	4756.600000	4792.000000	[m   ]	110.500000	7	YES	4262	9999-12-31	2013-05-08	5775
6406/11-1 S	1	3604.000000	3605.500000	[m   ]	112.700000	11	YES	1539	9999-12-31	2013-05-08	5776
6406/11-1 S	10	3725.000000	3728.500000	[m   ]	112.700000	11	YES	1539	9999-12-31	2013-05-08	5777
6406/11-1 S	11	3733.000000	3747.000000	[m   ]	112.700000	11	YES	1539	9999-12-31	2013-05-08	5778
6406/11-1 S	2	3615.000000	3623.800000	[m   ]	112.700000	11	YES	1539	9999-12-31	2013-05-08	5779
6406/11-1 S	3	3625.000000	3637.700000	[m   ]	112.700000	11	YES	1539	9999-12-31	2013-05-08	5780
6406/11-1 S	4	3642.000000	3649.200000	[m   ]	112.700000	11	YES	1539	9999-12-31	2013-05-08	5781
6406/11-1 S	5	3653.000000	3664.000000	[m   ]	112.700000	11	YES	1539	9999-12-31	2013-05-08	5782
6406/11-1 S	6	3665.000000	3683.800000	[m   ]	112.700000	11	YES	1539	9999-12-31	2013-05-08	5783
6406/11-1 S	7	3684.000000	3692.200000	[m   ]	112.700000	11	YES	1539	9999-12-31	2013-05-08	5784
6406/11-1 S	8	3694.000000	3712.000000	[m   ]	112.700000	11	YES	1539	9999-12-31	2013-05-08	5785
6406/11-1 S	9	3712.000000	3721.000000	[m   ]	112.700000	11	YES	1539	9999-12-31	2013-05-08	5786
6406/12-1 S	1	3603.000000	3630.300000	[m   ]	37.000000	3	YES	1711	9999-12-31	2013-05-08	5787
6406/12-1 S	2	3630.300000	3638.000000	[m   ]	37.000000	3	YES	1711	9999-12-31	2013-05-08	5788
6406/12-1 S	3	3816.000000	3817.600000	[m   ]	37.000000	3	YES	1711	9999-12-31	2013-05-08	5789
6406/12-2	1	3731.000000	3758.400000	[m   ]	61.300000	3	YES	2640	9999-12-31	2013-05-08	5790
6406/12-2	2	3797.000000	3823.700000	[m   ]	61.300000	3	YES	2640	9999-12-31	2013-05-08	5791
6406/12-2	3	3999.000000	4006.200000	[m   ]	61.300000	3	YES	2640	9999-12-31	2013-05-08	5792
6406/2-1	1	4422.000000	4430.000000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5793
6406/2-1	10	4868.000000	4896.600000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5794
6406/2-1	11	4909.000000	4926.300000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5795
6406/2-1	12	4929.000000	4955.600000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5796
6406/2-1	13	4956.000000	4957.800000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5797
6406/2-1	14	4963.000000	4986.200000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5798
6406/2-1	15	4987.000000	4998.200000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5799
6406/2-1	16	4999.000000	5009.000000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5800
6406/2-1	17	5009.000000	5020.300000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5801
6406/2-1	18	5022.000000	5049.100000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5802
6406/2-1	19	5050.000000	5063.000000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5803
6406/2-1	2	4603.000000	4630.800000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5804
6406/2-1	20	5063.500000	5090.700000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5805
6406/2-1	21	5091.000000	5118.700000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5806
6406/2-1	22	5119.000000	5148.200000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5807
6406/2-1	23	5148.500000	5167.700000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5808
6406/2-1	24	5183.000000	5198.800000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5809
6406/2-1	25	5201.000000	5219.300000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5810
6406/2-1	26	5223.000000	5247.900000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5811
6406/2-1	27	5249.000000	5268.100000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5812
6406/2-1	28	5269.000000	5290.600000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5813
6406/2-1	3	4630.500000	4664.500000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5814
6406/2-1	4	4664.500000	4702.500000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5815
6406/2-1	5	4702.500000	4748.300000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5816
6406/2-1	6	4748.500000	4795.300000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5817
6406/2-1	7	4795.500000	4813.200000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5818
6406/2-1	8	4824.500000	4835.700000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5819
6406/2-1	9	4839.000000	4853.600000	[m   ]	616.800000	28	YES	2444	9999-12-31	2013-05-08	5820
6406/2-1 R	1	5643.000000	5651.700000	[m   ]	8.700000	1	YES	2642	9999-12-31	2013-05-08	5821
6406/2-2	1	4479.000000	4495.000000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5822
6406/2-2	10	5016.500000	5053.900000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5823
6406/2-2	11	5054.000000	5091.400000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5824
6406/2-2	12	5091.500000	5128.700000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5825
6406/2-2	2	4626.000000	4647.700000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5826
6406/2-2	3	4648.000000	4684.900000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5827
6406/2-2	4	4685.000000	4722.300000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5828
6406/2-2	5	4722.300000	4759.200000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5829
6406/2-2	6	4868.000000	4905.000000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5830
6406/2-2	7	4905.000000	4941.900000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5831
6406/2-2	8	4942.000000	4979.200000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5832
6406/2-2	9	4979.500000	5016.500000	[m   ]	408.700000	12	YES	2644	9999-12-31	2013-05-08	5833
6406/2-3	1	4380.000000	4401.500000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5834
6406/2-3	10	4777.500000	4806.100000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5835
6406/2-3	11	4898.000000	4925.400000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5836
6406/2-3	12	5038.000000	5064.900000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5837
6406/2-3	2	4402.000000	4425.500000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5838
6406/2-3	3	4633.000000	4639.000000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5839
6406/2-3	4	4642.000000	4650.800000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5840
6406/2-3	5	4651.500000	4661.500000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5841
6406/2-3	6	4661.500000	4671.000000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5842
6406/2-3	7	4671.000000	4699.400000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5843
6406/2-3	8	4699.300000	4727.800000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5844
6406/2-3	9	4754.000000	4777.500000	[m   ]	243.300000	10	YES	2849	9999-12-31	2013-05-08	5845
6406/2-4 SR	1	4615.000000	4619.400000	[m   ]	323.000000	10	YES	3627	9999-12-31	2013-05-08	5846
6406/2-4 SR	10	4992.200000	5046.500000	[m   ]	323.000000	10	YES	3627	9999-12-31	2013-05-08	5847
6406/2-4 SR	2	4620.000000	4627.900000	[m   ]	323.000000	10	YES	3627	9999-12-31	2013-05-08	5848
6406/2-4 SR	3	4692.000000	4719.000000	[m   ]	323.000000	10	YES	3627	9999-12-31	2013-05-08	5849
6406/2-4 SR	4	4762.000000	4818.200000	[m   ]	323.000000	10	YES	3627	9999-12-31	2013-05-08	5850
6406/2-4 SR	5	4818.500000	4838.200000	[m   ]	323.000000	10	YES	3627	9999-12-31	2013-05-08	5851
6406/2-4 SR	6	4838.500000	4857.200000	[m   ]	323.000000	10	YES	3627	9999-12-31	2013-05-08	5852
6406/2-4 SR	7	4857.200000	4898.400000	[m   ]	323.000000	10	YES	3627	9999-12-31	2013-05-08	5853
6406/2-4 SR	8	4898.500000	4936.100000	[m   ]	323.000000	10	YES	3627	9999-12-31	2013-05-08	5854
6406/2-4 SR	9	4939.100000	4992.200000	[m   ]	323.000000	10	YES	3627	9999-12-31	2013-05-08	5855
6406/2-5	1	4795.000000	4803.900000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5856
6406/2-5	10	5019.500000	5073.300000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5857
6406/2-5	11	5073.500000	5105.300000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5858
6406/2-5	12	5105.300000	5105.400000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5859
6406/2-5	13	5105.000000	5111.000000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5860
6406/2-5	2	4805.000000	4833.000000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5861
6406/2-5	3	4833.000000	4861.200000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5862
6406/2-5	4	4861.500000	4888.900000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5863
6406/2-5	5	4889.500000	4918.000000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5864
6406/2-5	6	4918.000000	4944.900000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5865
6406/2-5	7	4945.000000	4973.500000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5866
6406/2-5	8	4973.500000	4991.600000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5867
6406/2-5	9	4991.600000	5020.000000	[m   ]	314.600000	13	YES	3125	9999-12-31	2013-05-08	5868
6406/2-5 A	1	5307.000000	5316.200000	[m   ]	169.800000	7	YES	3213	9999-12-31	2013-05-08	5869
6406/2-5 A	2	5316.200000	5326.000000	[m   ]	169.800000	7	YES	3213	9999-12-31	2013-05-08	5870
6406/2-5 A	3	5326.000000	5353.700000	[m   ]	169.800000	7	YES	3213	9999-12-31	2013-05-08	5871
6406/2-5 A	4	5354.000000	5389.800000	[m   ]	169.800000	7	YES	3213	9999-12-31	2013-05-08	5872
6406/2-5 A	5	5390.500000	5429.300000	[m   ]	169.800000	7	YES	3213	9999-12-31	2013-05-08	5873
6406/2-5 A	6	5505.000000	5526.700000	[m   ]	169.800000	7	YES	3213	9999-12-31	2013-05-08	5874
6406/2-5 A	7	5527.000000	5553.900000	[m   ]	169.800000	7	YES	3213	9999-12-31	2013-05-08	5875
6406/2-6	1	4504.000000	4530.700000	[m   ]	26.700000	1	YES	3407	9999-12-31	2013-05-08	5876
6406/2-6 A	1	5129.000000	5150.300000	[m   ]	21.300000	1	YES	4094	9999-12-31	2013-05-08	5877
6406/2-7	1	4573.000000	4599.300000	[m   ]	79.300000	3	YES	3878	9999-12-31	2013-05-08	5878
6406/2-7	2	4625.000000	4656.900000	[m   ]	79.300000	3	YES	3878	9999-12-31	2013-05-08	5879
6406/2-7	3	4709.000000	4730.200000	[m   ]	79.300000	3	YES	3878	9999-12-31	2013-05-08	5880
6406/2-Q-1 H	1	5577.000000	5609.500000	[m   ]	32.500000	1	YES	5833	9999-12-31	2013-05-08	5881
6406/2-R-4 H	1	5074.000000	5100.300000	[m   ]	148.600000	6	YES	4883	9999-12-31	2013-05-08	5882
6406/2-R-4 H	2	5101.000000	5144.200000	[m   ]	148.600000	6	YES	4883	9999-12-31	2013-05-08	5883
6406/2-R-4 H	3	5144.200000	5180.200000	[m   ]	148.600000	6	YES	4883	9999-12-31	2013-05-08	5884
6406/2-R-4 H	4	5180.200000	5183.600000	[m   ]	148.600000	6	YES	4883	9999-12-31	2013-05-08	5885
6406/2-R-4 H	5	5196.500000	5209.500000	[m   ]	148.600000	6	YES	4883	9999-12-31	2013-05-08	5886
6406/2-R-4 H	6	5210.300000	5237.000000	[m   ]	148.600000	6	YES	4883	9999-12-31	2013-05-08	5887
6406/2-S-3 H	1	5175.000000	5196.100000	[m   ]	128.000000	6	YES	4780	9999-12-31	2013-05-08	5888
6406/2-S-3 H	3	5196.100000	5222.500000	[m   ]	128.000000	6	YES	4780	9999-12-31	2013-05-08	5889
6406/2-S-3 H	4	5222.500000	5249.400000	[m   ]	128.000000	6	YES	4780	9999-12-31	2013-05-08	5890
6406/2-S-3 H	5	5305.000000	5330.700000	[m   ]	128.000000	6	YES	4780	9999-12-31	2013-05-08	5891
6406/2-S-3 H	6	5331.000000	5358.900000	[m   ]	128.000000	6	YES	4780	9999-12-31	2013-05-08	5892
6406/3-1	1	3783.000000	3794.500000	[m   ]	72.800000	4	YES	108	9999-12-31	2013-05-08	5893
6406/3-1	2	3794.500000	3822.000000	[m   ]	72.800000	4	YES	108	9999-12-31	2013-05-08	5894
6406/3-1	3	3822.000000	3846.300000	[m   ]	72.800000	4	YES	108	9999-12-31	2013-05-08	5895
6406/3-1	4	4537.000000	4548.000000	[m   ]	72.800000	4	YES	108	9999-12-31	2013-05-08	5896
6406/3-2	1	3931.000000	3933.900000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5897
6406/3-2	10	4094.000000	4119.800000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5898
6406/3-2	11	4121.000000	4148.300000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5899
6406/3-2	12	4282.000000	4296.000000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5900
6406/3-2	13	4298.500000	4308.000000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5901
6406/3-2	14	4308.500000	4335.000000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5902
6406/3-2	15	4336.000000	4340.900000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5903
6406/3-2	16	4345.500000	4361.000000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5904
6406/3-2	17	4363.000000	4376.000000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5905
6406/3-2	2	3935.000000	3952.000000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5906
6406/3-2	3	3952.000000	3964.300000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5907
6406/3-2	4	3965.000000	3981.500000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5908
6406/3-2	5	3983.000000	4001.300000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5909
6406/3-2	6	4001.000000	4027.000000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5910
6406/3-2	7	4027.500000	4047.000000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5911
6406/3-2	8	4048.000000	4056.600000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5912
6406/3-2	9	4067.000000	4094.000000	[m   ]	285.600000	17	YES	863	9999-12-31	2013-05-08	5913
6406/3-3	1	3938.000000	3952.500000	[m   ]	30.700000	2	YES	949	9999-12-31	2013-05-08	5914
6406/3-3	2	3956.000000	3972.200000	[m   ]	30.700000	2	YES	949	9999-12-31	2013-05-08	5915
6406/3-4	1	4020.000000	4048.400000	[m   ]	157.800000	6	YES	1173	9999-12-31	2013-05-08	5916
6406/3-4	2	4048.400000	4076.600000	[m   ]	157.800000	6	YES	1173	9999-12-31	2013-05-08	5917
6406/3-4	3	4076.500000	4094.800000	[m   ]	157.800000	6	YES	1173	9999-12-31	2013-05-08	5918
6406/3-4	4	4094.800000	4122.700000	[m   ]	157.800000	6	YES	1173	9999-12-31	2013-05-08	5919
6406/3-4	5	4156.000000	4184.300000	[m   ]	157.800000	6	YES	1173	9999-12-31	2013-05-08	5920
6406/3-4	6	4185.000000	4212.800000	[m   ]	157.800000	6	YES	1173	9999-12-31	2013-05-08	5921
6406/3-5	1	3815.000000	3836.000000	[m   ]	21.000000	1	YES	1227	9999-12-31	2013-05-08	5922
6406/3-8	1	3846.000000	3873.900000	[m   ]	83.500000	2	YES	6350	2012-08-24	2013-05-08	5923
6406/3-8	2	3874.000000	3929.600000	[m   ]	83.500000	2	YES	6350	2012-08-24	2013-05-08	5924
6406/3-9	1	4086.000000	4115.600000	[m   ]	50.500000	3	YES	6594	9999-12-31	2013-05-08	5925
6406/3-9	2	4116.000000	4128.100000	[m   ]	50.500000	3	YES	6594	9999-12-31	2013-05-08	5926
6406/3-9	3	4129.000000	4137.800000	[m   ]	50.500000	3	YES	6594	9999-12-31	2013-05-08	5927
6406/3-D-2 H	1	4005.200000	4139.500000	[m   ]	243.700000	2	YES	6454	9999-12-31	2013-05-08	5928
6406/3-D-2 H	2	4178.000000	4287.400000	[m   ]	243.700000	2	YES	6454	9999-12-31	2013-05-08	5929
6406/5-1	1	4230.000000	4254.400000	[m   ]	98.000000	5	YES	4451	9999-12-31	2013-05-08	5930
6406/5-1	2	4342.000000	4366.100000	[m   ]	98.000000	5	YES	4451	9999-12-31	2013-05-08	5931
6406/5-1	3	4377.000000	4401.500000	[m   ]	98.000000	5	YES	4451	9999-12-31	2013-05-08	5932
6406/5-1	4	4495.000000	4496.500000	[m   ]	98.000000	5	YES	4451	9999-12-31	2013-05-08	5933
6406/5-1	5	4499.000000	4522.500000	[m   ]	98.000000	5	YES	4451	9999-12-31	2013-05-08	5934
6406/6-1	1	4211.000000	4238.600000	[m   ]	27.600000	1	YES	486	9999-12-31	2013-05-08	5935
6406/8-1	1	4370.000000	4388.500000	[m   ]	137.900000	6	YES	1136	9999-12-31	2013-05-08	5936
6406/8-1	2	4388.500000	4416.000000	[m   ]	137.900000	6	YES	1136	9999-12-31	2013-05-08	5937
6406/8-1	3	4416.000000	4443.800000	[m   ]	137.900000	6	YES	1136	9999-12-31	2013-05-08	5938
6406/8-1	4	4443.800000	4471.700000	[m   ]	137.900000	6	YES	1136	9999-12-31	2013-05-08	5939
6406/8-1	5	4471.700000	4498.600000	[m   ]	137.900000	6	YES	1136	9999-12-31	2013-05-08	5940
6406/8-1	6	4649.500000	4658.900000	[m   ]	137.900000	6	YES	1136	9999-12-31	2013-05-08	5941
6406/9-1	1	4546.500000	4559.900000	[m   ]	95.800000	4	YES	4927	9999-12-31	2013-05-08	5942
6406/9-1	2	4591.000000	4618.800000	[m   ]	95.800000	4	YES	4927	9999-12-31	2013-05-08	5943
6406/9-1	3	4684.000000	4710.100000	[m   ]	95.800000	4	YES	4927	9999-12-31	2013-05-08	5944
6406/9-1	4	4784.000000	4812.500000	[m   ]	95.800000	4	YES	4927	9999-12-31	2013-05-08	5945
6406/9-2	1	4828.000000	4857.100000	[m   ]	91.900000	4	YES	5454	9999-12-31	2013-05-08	5946
6406/9-2	2	5096.000000	5100.300000	[m   ]	91.900000	4	YES	5454	9999-12-31	2013-05-08	5947
6406/9-2	3	5103.000000	5134.500000	[m   ]	91.900000	4	YES	5454	9999-12-31	2013-05-08	5948
6406/9-2	4	5209.700000	5236.800000	[m   ]	91.900000	4	YES	5454	9999-12-31	2013-05-08	5949
6407/10-1	1	2582.000000	2610.000000	[m   ]	137.900000	5	YES	1054	9999-12-31	2013-05-08	5950
6407/10-1	2	2748.000000	2776.000000	[m   ]	137.900000	5	YES	1054	9999-12-31	2013-05-08	5951
6407/10-1	3	2817.000000	2845.000000	[m   ]	137.900000	5	YES	1054	9999-12-31	2013-05-08	5952
6407/10-1	4	2845.000000	2872.900000	[m   ]	137.900000	5	YES	1054	9999-12-31	2013-05-08	5953
6407/10-1	5	2983.000000	3011.000000	[m   ]	137.900000	5	YES	1054	9999-12-31	2013-05-08	5954
6407/10-2	1	3446.000000	3457.200000	[m   ]	23.200000	2	YES	1497	9999-12-31	2013-05-08	5955
6407/10-2	2	3682.000000	3694.000000	[m   ]	23.200000	2	YES	1497	9999-12-31	2013-05-08	5956
6407/10-3	1	1830.000000	1836.300000	[m   ]	6.900000	2	YES	1927	9999-12-31	2013-05-08	5957
6407/10-3	2	2972.000000	2972.600000	[m   ]	6.900000	2	YES	1927	9999-12-31	2013-05-08	5958
6407/1-2	1	3661.000000	3678.300000	[m   ]	57.100000	4	YES	61	9999-12-31	2013-05-08	5959
6407/1-2	2	3679.000000	3688.500000	[m   ]	57.100000	4	YES	61	9999-12-31	2013-05-08	5960
6407/1-2	3	3688.500000	3701.000000	[m   ]	57.100000	4	YES	61	9999-12-31	2013-05-08	5961
6407/1-2	4	3701.500000	3719.300000	[m   ]	57.100000	4	YES	61	9999-12-31	2013-05-08	5962
6407/12-2	1	1035.000000	1049.000000	[m   ]	14.000000	1	YES	6191	9999-12-31	2013-05-08	5963
6407/1-3	1	3619.000000	3619.700000	[m   ]	101.000000	7	YES	29	9999-12-31	2013-05-08	5964
6407/1-3	2	3621.000000	3639.000000	[m   ]	101.000000	7	YES	29	9999-12-31	2013-05-08	5965
6407/1-3	3	3639.000000	3657.700000	[m   ]	101.000000	7	YES	29	9999-12-31	2013-05-08	5966
6407/1-3	4	3657.000000	3684.000000	[m   ]	101.000000	7	YES	29	9999-12-31	2013-05-08	5967
6407/1-3	5	3684.000000	3710.400000	[m   ]	101.000000	7	YES	29	9999-12-31	2013-05-08	5968
6407/1-3	6	3711.000000	3716.200000	[m   ]	101.000000	7	YES	29	9999-12-31	2013-05-08	5969
6407/1-3	7	3748.000000	3758.000000	[m   ]	101.000000	7	YES	29	9999-12-31	2013-05-08	5970
6407/1-4	1	2498.000000	2526.000000	[m   ]	88.000000	3	YES	2796	9999-12-31	2013-05-08	5971
6407/1-4	2	3679.000000	3706.600000	[m   ]	88.000000	3	YES	2796	9999-12-31	2013-05-08	5972
6407/1-4	3	3706.600000	3739.000000	[m   ]	88.000000	3	YES	2796	9999-12-31	2013-05-08	5973
6407/1-B-3 H	1	3722.000000	3777.000000	[m   ]	191.300000	3	YES	5802	9999-12-31	2013-05-08	5974
6407/1-B-3 H	2	3777.000000	3858.200000	[m   ]	191.300000	3	YES	5802	9999-12-31	2013-05-08	5975
6407/1-B-3 H	3	3889.000000	3944.200000	[m   ]	191.300000	3	YES	5802	9999-12-31	2013-05-08	5976
6407/2-1	1	2417.000000	2434.400000	[m   ]	66.100000	6	YES	76	9999-12-31	2013-05-08	5977
6407/2-1	2	2940.000000	2940.300000	[m   ]	66.100000	6	YES	76	9999-12-31	2013-05-08	5978
6407/2-1	3	2943.000000	2957.700000	[m   ]	66.100000	6	YES	76	9999-12-31	2013-05-08	5979
6407/2-1	4	3085.000000	3100.400000	[m   ]	66.100000	6	YES	76	9999-12-31	2013-05-08	5980
6407/2-1	5	3478.000000	3479.600000	[m   ]	66.100000	6	YES	76	9999-12-31	2013-05-08	5981
6407/2-1	6	3480.000000	3496.800000	[m   ]	66.100000	6	YES	76	9999-12-31	2013-05-08	5982
6407/2-2	1	2461.300000	2471.100000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5983
6407/2-2	10	2552.000000	2559.000000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5984
6407/2-2	11	2565.000000	2579.700000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5985
6407/2-2	12	2582.000000	2583.200000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5986
6407/2-2	2	2473.000000	2476.200000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5987
6407/2-2	3	2479.000000	2497.000000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5988
6407/2-2	4	2497.000000	2499.200000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5989
6407/2-2	5	2501.000000	2506.400000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5990
6407/2-2	6	2508.000000	2513.800000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5991
6407/2-2	7	2518.000000	2527.000000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5992
6407/2-2	8	2527.000000	2534.400000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5993
6407/2-2	9	2536.000000	2548.000000	[m   ]	95.900000	12	YES	16	9999-12-31	2013-05-08	5994
6407/2-3	1	2428.000000	2455.500000	[m   ]	169.700000	10	YES	935	9999-12-31	2013-05-08	5995
6407/2-3	10	2741.000000	2769.000000	[m   ]	169.700000	10	YES	935	9999-12-31	2013-05-08	5996
6407/2-3	2	2455.500000	2476.500000	[m   ]	169.700000	10	YES	935	9999-12-31	2013-05-08	5997
6407/2-3	3	2476.500000	2502.400000	[m   ]	169.700000	10	YES	935	9999-12-31	2013-05-08	5998
6407/2-3	4	2502.500000	2511.000000	[m   ]	169.700000	10	YES	935	9999-12-31	2013-05-08	5999
6407/2-3	5	2511.000000	2538.700000	[m   ]	169.700000	10	YES	935	9999-12-31	2013-05-08	6000
6407/2-3	6	2538.500000	2556.500000	[m   ]	169.700000	10	YES	935	9999-12-31	2013-05-08	6001
6407/2-3	7	2557.000000	2558.000000	[m   ]	169.700000	10	YES	935	9999-12-31	2013-05-08	6002
6407/2-3	8	2558.000000	2571.600000	[m   ]	169.700000	10	YES	935	9999-12-31	2013-05-08	6003
6407/2-3	9	\N	0.000000	\N	169.700000	10	YES	935	9999-12-31	2013-05-08	6004
6407/2-5 S	1	2751.000000	2778.500000	[m   ]	82.200000	2	YES	6151	9999-12-31	2013-05-08	6005
6407/2-5 S	2	2833.000000	2887.700000	[m   ]	82.200000	2	YES	6151	9999-12-31	2013-05-08	6006
6407/2-6 S	1	2997.000000	3051.300000	[m   ]	109.500000	2	YES	6351	9999-12-31	2013-05-08	6007
6407/2-6 S	2	3070.000000	3125.200000	[m   ]	109.500000	2	YES	6351	9999-12-31	2013-05-08	6008
6407/2-Z-3 H	1	3367.000000	3398.800000	[m   ]	31.800000	1	YES	4346	9999-12-31	2013-05-08	6009
6407/4-1	1	2286.000000	2293.400000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6010
6407/4-1	10	4284.000000	4299.700000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6011
6407/4-1	11	4301.000000	4304.500000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6012
6407/4-1	12	4304.500000	4313.600000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6013
6407/4-1	13	4314.000000	4325.100000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6014
6407/4-1	14	4327.000000	4337.800000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6015
6407/4-1	15	4605.000000	4619.300000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6016
6407/4-1	2	2384.000000	2392.300000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6017
6407/4-1	3	3889.000000	3896.000000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6018
6407/4-1	4	3898.000000	3926.000000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6019
6407/4-1	5	3926.000000	3953.500000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6020
6407/4-1	6	3953.000000	3981.200000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6021
6407/4-1	7	4021.000000	4048.600000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6022
6407/4-1	8	4048.600000	4076.200000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6023
6407/4-1	9	4278.000000	4283.700000	[m   ]	231.800000	15	YES	490	9999-12-31	2013-05-08	6024
6407/4-2	1	4013.000000	4066.600000	[m   ]	53.600000	1	YES	6557	9999-12-31	2013-05-08	6025
6407/5-1	1	3964.000000	3973.100000	[m   ]	23.800000	2	YES	1174	9999-12-31	2013-05-08	6026
6407/5-1	2	4206.000000	4220.700000	[m   ]	23.800000	2	YES	1174	9999-12-31	2013-05-08	6027
6407/5-B-3 H	1	2462.000000	2437.000000	[m   ]	74.400000	2	YES	4621	9999-12-31	2013-05-08	6028
6407/5-B-3 H	2	2489.000000	2537.000000	[m   ]	74.400000	2	YES	4621	9999-12-31	2013-05-08	6029
6407/6-1	1	1870.000000	1877.300000	[m   ]	15.100000	4	YES	444	9999-12-31	2013-05-08	6030
6407/6-1	2	1877.300000	1886.400000	[m   ]	15.100000	4	YES	444	9999-12-31	2013-05-08	6031
6407/6-1	3	1887.100000	1887.600000	[m   ]	15.100000	4	YES	444	9999-12-31	2013-05-08	6032
6407/6-1	4	1887.700000	1888.200000	[m   ]	15.100000	4	YES	444	9999-12-31	2013-05-08	6033
6407/6-3	1	2472.000000	2482.600000	[m   ]	114.800000	7	YES	1024	9999-12-31	2013-05-08	6034
6407/6-3	2	2491.000000	2509.400000	[m   ]	114.800000	7	YES	1024	9999-12-31	2013-05-08	6035
6407/6-3	3	2509.400000	2521.600000	[m   ]	114.800000	7	YES	1024	9999-12-31	2013-05-08	6036
6407/6-3	4	2522.000000	2545.000000	[m   ]	114.800000	7	YES	1024	9999-12-31	2013-05-08	6037
6407/6-3	5	2552.000000	2566.200000	[m   ]	114.800000	7	YES	1024	9999-12-31	2013-05-08	6038
6407/6-3	6	2575.000000	2584.400000	[m   ]	114.800000	7	YES	1024	9999-12-31	2013-05-08	6039
6407/6-3	7	2588.000000	2615.000000	[m   ]	114.800000	7	YES	1024	9999-12-31	2013-05-08	6040
6407/6-4	1	2658.000000	2686.000000	[m   ]	41.100000	2	YES	1604	9999-12-31	2013-05-08	6041
6407/6-4	2	3082.000000	3095.100000	[m   ]	41.100000	2	YES	1604	9999-12-31	2013-05-08	6042
6407/6-5	1	2490.000000	2544.800000	[m   ]	107.400000	2	YES	3921	9999-12-31	2013-05-08	6043
6407/6-5	2	2545.000000	2597.500000	[m   ]	107.400000	2	YES	3921	9999-12-31	2013-05-08	6044
6407/6-6	1	2115.000000	2141.300000	[m   ]	52.100000	2	YES	5636	9999-12-31	2013-05-08	6045
6407/6-6	2	2204.000000	2229.800000	[m   ]	52.100000	2	YES	5636	9999-12-31	2013-05-08	6046
6407/6-7 S	1	2756.500000	2778.800000	[m   ]	22.300000	1	YES	6100	9999-12-31	2013-05-08	6047
6407/6-A-3 H	1	2420.000000	2459.300000	[m   ]	137.500000	3	YES	4623	9999-12-31	2013-05-08	6048
6407/6-A-3 H	2	2467.000000	2515.300000	[m   ]	137.500000	3	YES	4623	9999-12-31	2013-05-08	6049
6407/6-A-3 H	3	2517.000000	2567.000000	[m   ]	137.500000	3	YES	4623	9999-12-31	2013-05-08	6050
6407/7-1 S	1	2713.000000	2726.100000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6051
6407/7-1 S	10	2951.000000	2970.000000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6052
6407/7-1 S	11	2970.000000	2988.700000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6053
6407/7-1 S	12	2988.700000	3013.300000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6054
6407/7-1 S	13	3013.500000	3040.900000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6055
6407/7-1 S	14	3052.000000	3060.200000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6056
6407/7-1 S	15	3063.000000	3083.700000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6057
6407/7-1 S	16	3090.500000	3118.000000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6058
6407/7-1 S	2	2760.000000	2770.700000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6059
6407/7-1 S	3	2772.000000	2781.300000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6060
6407/7-1 S	4	2783.000000	2801.900000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6061
6407/7-1 S	5	2804.000000	2832.700000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6062
6407/7-1 S	6	2844.000000	2854.800000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6063
6407/7-1 S	7	2871.000000	2892.500000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6064
6407/7-1 S	8	2895.000000	2922.800000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6065
6407/7-1 S	9	2923.000000	2951.000000	[m   ]	315.000000	16	YES	474	9999-12-31	2013-05-08	6066
6407/7-2	1	2673.000000	2686.900000	[m   ]	111.000000	11	YES	1017	9999-12-31	2013-05-08	6067
6407/7-2	10	2879.000000	2896.000000	[m   ]	111.000000	11	YES	1017	9999-12-31	2013-05-08	6068
6407/7-2	11	2896.000000	2913.600000	[m   ]	111.000000	11	YES	1017	9999-12-31	2013-05-08	6069
6407/7-2	2	2701.000000	2718.900000	[m   ]	111.000000	11	YES	1017	9999-12-31	2013-05-08	6070
6407/7-2	3	2723.000000	2739.600000	[m   ]	111.000000	11	YES	1017	9999-12-31	2013-05-08	6071
6407/7-2	4	2775.000000	2787.100000	[m   ]	111.000000	11	YES	1017	9999-12-31	2013-05-08	6072
6407/7-2	5	2791.500000	2803.200000	[m   ]	111.000000	11	YES	1017	9999-12-31	2013-05-08	6073
6407/7-2	6	2804.500000	2823.500000	[m   ]	111.000000	11	YES	1017	9999-12-31	2013-05-08	6074
6407/7-2	7	2823.500000	2841.100000	[m   ]	111.000000	11	YES	1017	9999-12-31	2013-05-08	6075
6407/7-2	8	2841.500000	2869.400000	[m   ]	111.000000	11	YES	1017	9999-12-31	2013-05-08	6076
6407/7-2	9	2869.500000	2869.800000	[m   ]	111.000000	11	YES	1017	9999-12-31	2013-05-08	6077
6407/7-3	1	2852.000000	2871.700000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6078
6407/7-3	10	3030.600000	3043.400000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6079
6407/7-3	11	3043.500000	3069.000000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6080
6407/7-3	12	3069.000000	3070.400000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6081
6407/7-3	13	3071.000000	3085.000000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6082
6407/7-3	14	3086.000000	3100.500000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6083
6407/7-3	2	2873.000000	2892.500000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6084
6407/7-3	3	2937.000000	2946.200000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6085
6407/7-3	4	2946.300000	2952.900000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6086
6407/7-3	5	2953.000000	2967.600000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6087
6407/7-3	6	2967.000000	2984.400000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6088
6407/7-3	7	2984.400000	3012.300000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6089
6407/7-3	8	3012.300000	3025.500000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6090
6407/7-3	9	3025.500000	3030.600000	[m   ]	201.300000	14	YES	1229	9999-12-31	2013-05-08	6091
6407/7-4	1	2877.000000	2897.000000	[m   ]	190.700000	10	YES	1360	9999-12-31	2013-05-08	6092
6407/7-4	10	3128.000000	3140.000000	[m   ]	190.700000	10	YES	1360	9999-12-31	2013-05-08	6093
6407/7-4	2	2974.600000	2982.800000	[m   ]	190.700000	10	YES	1360	9999-12-31	2013-05-08	6094
6407/7-4	3	2982.800000	3010.500000	[m   ]	190.700000	10	YES	1360	9999-12-31	2013-05-08	6095
6407/7-4	4	3010.600000	3037.300000	[m   ]	190.700000	10	YES	1360	9999-12-31	2013-05-08	6096
6407/7-4	5	3037.300000	3040.600000	[m   ]	190.700000	10	YES	1360	9999-12-31	2013-05-08	6097
6407/7-4	6	3040.600000	3068.100000	[m   ]	190.700000	10	YES	1360	9999-12-31	2013-05-08	6098
6407/7-4	7	3069.000000	3097.300000	[m   ]	190.700000	10	YES	1360	9999-12-31	2013-05-08	6099
6407/7-4	8	3087.000000	3100.000000	[m   ]	190.700000	10	YES	1360	9999-12-31	2013-05-08	6100
6407/7-4	9	3101.000000	3125.000000	[m   ]	190.700000	10	YES	1360	9999-12-31	2013-05-08	6101
6407/7-5	1	3075.000000	3083.700000	[m   ]	111.200000	5	YES	1699	9999-12-31	2013-05-08	6102
6407/7-5	2	3168.000000	3195.500000	[m   ]	111.200000	5	YES	1699	9999-12-31	2013-05-08	6103
6407/7-5	3	3195.500000	3214.500000	[m   ]	111.200000	5	YES	1699	9999-12-31	2013-05-08	6104
6407/7-5	4	3359.000000	3383.000000	[m   ]	111.200000	5	YES	1699	9999-12-31	2013-05-08	6105
6407/7-5	5	3410.000000	3437.000000	[m   ]	111.200000	5	YES	1699	9999-12-31	2013-05-08	6106
6407/7-6	1	3701.000000	3707.600000	[m   ]	126.200000	6	YES	4172	9999-12-31	2013-05-08	6107
6407/7-6	2	3743.000000	3769.000000	[m   ]	126.200000	6	YES	4172	9999-12-31	2013-05-08	6108
6407/7-6	3	3770.500000	3785.700000	[m   ]	126.200000	6	YES	4172	9999-12-31	2013-05-08	6109
6407/7-6	4	3786.000000	3808.700000	[m   ]	126.200000	6	YES	4172	9999-12-31	2013-05-08	6110
6407/7-6	5	3809.000000	3837.300000	[m   ]	126.200000	6	YES	4172	9999-12-31	2013-05-08	6111
6407/7-6	6	3837.400000	3864.900000	[m   ]	126.200000	6	YES	4172	9999-12-31	2013-05-08	6112
6407/7-7 S	1	3378.000000	3405.200000	[m   ]	163.600000	5	YES	5550	9999-12-31	2013-05-08	6113
6407/7-7 S	2	3578.000000	3604.700000	[m   ]	163.600000	5	YES	5550	9999-12-31	2013-05-08	6114
6407/7-7 S	3	3605.000000	3633.200000	[m   ]	163.600000	5	YES	5550	9999-12-31	2013-05-08	6115
6407/7-7 S	4	3633.200000	3686.700000	[m   ]	163.600000	5	YES	5550	9999-12-31	2013-05-08	6116
6407/7-7 S	5	3687.000000	3715.000000	[m   ]	163.600000	5	YES	5550	9999-12-31	2013-05-08	6117
6407/7-8	1	4472.000000	4483.500000	[m   ]	155.900000	7	YES	5844	9999-12-31	2013-05-08	6118
6407/7-8	2	4563.000000	4590.000000	[m   ]	155.900000	7	YES	5844	9999-12-31	2013-05-08	6119
6407/7-8	3	4757.000000	4772.200000	[m   ]	155.900000	7	YES	5844	9999-12-31	2013-05-08	6120
6407/7-8	4	4806.000000	4822.400000	[m   ]	155.900000	7	YES	5844	9999-12-31	2013-05-08	6121
6407/7-8	5	4822.400000	4836.000000	[m   ]	155.900000	7	YES	5844	9999-12-31	2013-05-08	6122
6407/7-8	6	4872.000000	4910.900000	[m   ]	155.900000	7	YES	5844	9999-12-31	2013-05-08	6123
6407/7-8	7	4937.000000	4970.500000	[m   ]	155.900000	7	YES	5844	9999-12-31	2013-05-08	6124
6407/7-A-10 H	1	3584.000000	3584.000000	[m   ]	26.800000	1	YES	3023	9999-12-31	2013-05-08	6125
6407/7-A-6 H	1	3157.000000	3157.000000	[m   ]	142.400000	6	YES	3357	9999-12-31	2013-05-08	6126
6407/7-A-6 H	2	3182.800000	3182.800000	[m   ]	142.400000	6	YES	3357	9999-12-31	2013-05-08	6127
6407/7-A-6 H	3	3210.200000	3210.200000	[m   ]	142.400000	6	YES	3357	9999-12-31	2013-05-08	6128
6407/7-A-6 H	4	3237.000000	3237.000000	[m   ]	142.400000	6	YES	3357	9999-12-31	2013-05-08	6129
6407/7-A-6 H	5	3261.000000	3261.000000	[m   ]	142.400000	6	YES	3357	9999-12-31	2013-05-08	6130
6407/7-A-6 H	6	3278.000000	3278.000000	[m   ]	142.400000	6	YES	3357	9999-12-31	2013-05-08	6131
6407/8-2	1	1736.000000	1744.800000	[m   ]	16.800000	3	YES	2434	9999-12-31	2013-05-08	6132
6407/8-2	2	1744.800000	1750.800000	[m   ]	16.800000	3	YES	2434	9999-12-31	2013-05-08	6133
6407/8-2	3	1764.000000	1766.000000	[m   ]	16.800000	3	YES	2434	9999-12-31	2013-05-08	6134
6407/8-4 S	1	2221.000000	2248.200000	[m   ]	53.500000	2	YES	5813	9999-12-31	2013-05-08	6135
6407/8-4 S	2	2379.000000	2405.300000	[m   ]	53.500000	2	YES	5813	9999-12-31	2013-05-08	6136
6407/9-1	1	1631.000000	1643.200000	[m   ]	58.500000	5	YES	133	9999-12-31	2013-05-08	6137
6407/9-1	2	1645.000000	1661.400000	[m   ]	58.500000	5	YES	133	9999-12-31	2013-05-08	6138
6407/9-1	3	1663.000000	1670.000000	[m   ]	58.500000	5	YES	133	9999-12-31	2013-05-08	6139
6407/9-1	4	1670.000000	1673.900000	[m   ]	58.500000	5	YES	133	9999-12-31	2013-05-08	6140
6407/9-1	5	1674.000000	1683.000000	[m   ]	58.500000	5	YES	133	9999-12-31	2013-05-08	6141
6407/9-2	1	1638.000000	1639.300000	[m   ]	40.600000	8	YES	449	9999-12-31	2013-05-08	6142
6407/9-2	2	1640.000000	1641.000000	[m   ]	40.600000	8	YES	449	9999-12-31	2013-05-08	6143
6407/9-2	3	1653.500000	1670.000000	[m   ]	40.600000	8	YES	449	9999-12-31	2013-05-08	6144
6407/9-2	4	1671.500000	1680.700000	[m   ]	40.600000	8	YES	449	9999-12-31	2013-05-08	6145
6407/9-2	5	1684.000000	1686.700000	[m   ]	40.600000	8	YES	449	9999-12-31	2013-05-08	6146
6407/9-2	6	1688.000000	1693.800000	[m   ]	40.600000	8	YES	449	9999-12-31	2013-05-08	6147
6407/9-2	7	\N	0.000000	\N	40.600000	8	YES	449	9999-12-31	2013-05-08	6148
6407/9-2	8	1702.000000	1706.200000	[m   ]	40.600000	8	YES	449	9999-12-31	2013-05-08	6149
6407/9-3	1	1620.500000	1621.200000	[m   ]	46.400000	9	YES	469	9999-12-31	2013-05-08	6150
6407/9-3	2	1621.800000	1623.300000	[m   ]	46.400000	9	YES	469	9999-12-31	2013-05-08	6151
6407/9-3	3	\N	0.000000	\N	46.400000	9	YES	469	9999-12-31	2013-05-08	6152
6407/9-3	4	\N	0.000000	\N	46.400000	9	YES	469	9999-12-31	2013-05-08	6153
6407/9-3	5	1627.500000	1628.000000	[m   ]	46.400000	9	YES	469	9999-12-31	2013-05-08	6154
6407/9-3	6	1634.000000	1650.900000	[m   ]	46.400000	9	YES	469	9999-12-31	2013-05-08	6155
6407/9-3	7	1652.000000	1667.000000	[m   ]	46.400000	9	YES	469	9999-12-31	2013-05-08	6156
6407/9-3	8	1667.000000	1672.000000	[m   ]	46.400000	9	YES	469	9999-12-31	2013-05-08	6157
6407/9-3	9	1673.000000	1679.800000	[m   ]	46.400000	9	YES	469	9999-12-31	2013-05-08	6158
6407/9-4	1	1666.000000	1671.100000	[m   ]	40.300000	5	YES	480	9999-12-31	2013-05-08	6159
6407/9-4	2	1673.000000	1674.700000	[m   ]	40.300000	5	YES	480	9999-12-31	2013-05-08	6160
6407/9-4	3	1676.300000	1684.000000	[m   ]	40.300000	5	YES	480	9999-12-31	2013-05-08	6161
6407/9-4	4	1685.700000	1695.000000	[m   ]	40.300000	5	YES	480	9999-12-31	2013-05-08	6162
6407/9-4	5	1695.500000	1711.000000	[m   ]	40.300000	5	YES	480	9999-12-31	2013-05-08	6163
6407/9-5	1	1654.300000	1668.700000	[m   ]	42.400000	4	YES	492	9999-12-31	2013-05-08	6164
6407/9-5	2	1671.000000	1672.900000	[m   ]	42.400000	4	YES	492	9999-12-31	2013-05-08	6165
6407/9-5	3	1674.000000	1683.700000	[m   ]	42.400000	4	YES	492	9999-12-31	2013-05-08	6166
6407/9-5	4	1685.000000	1701.400000	[m   ]	42.400000	4	YES	492	9999-12-31	2013-05-08	6167
6407/9-6	1	1646.000000	1657.800000	[m   ]	42.200000	4	YES	871	9999-12-31	2013-05-08	6168
6407/9-6	2	1660.000000	1672.700000	[m   ]	42.200000	4	YES	871	9999-12-31	2013-05-08	6169
6407/9-6	3	1672.700000	1677.000000	[m   ]	42.200000	4	YES	871	9999-12-31	2013-05-08	6170
6407/9-6	4	1678.800000	1690.300000	[m   ]	42.200000	4	YES	871	9999-12-31	2013-05-08	6171
6407/9-8	1	1605.000000	1622.100000	[m   ]	89.300000	7	YES	1974	9999-12-31	2013-05-08	6172
6407/9-8	2	1623.000000	1633.100000	[m   ]	89.300000	7	YES	1974	9999-12-31	2013-05-08	6173
6407/9-8	3	1633.500000	1642.000000	[m   ]	89.300000	7	YES	1974	9999-12-31	2013-05-08	6174
6407/9-8	4	1650.000000	1666.000000	[m   ]	89.300000	7	YES	1974	9999-12-31	2013-05-08	6175
6407/9-8	5	1666.000000	1685.000000	[m   ]	89.300000	7	YES	1974	9999-12-31	2013-05-08	6176
6407/9-8	6	1723.000000	1741.900000	[m   ]	89.300000	7	YES	1974	9999-12-31	2013-05-08	6177
6407/9-8	7	1742.000000	1758.700000	[m   ]	89.300000	7	YES	1974	9999-12-31	2013-05-08	6178
6407/9-A-2	1	1885.800000	1885.800000	[m   ]	63.700000	5	YES	2357	9999-12-31	2013-05-08	6179
6407/9-A-2	2	1895.000000	1895.000000	[m   ]	63.700000	5	YES	2357	9999-12-31	2013-05-08	6180
6407/9-A-2	3	1913.000000	1913.000000	[m   ]	63.700000	5	YES	2357	9999-12-31	2013-05-08	6181
6407/9-A-2	4	1931.300000	1931.300000	[m   ]	63.700000	5	YES	2357	9999-12-31	2013-05-08	6182
6407/9-A-2	5	1940.900000	1940.900000	[m   ]	63.700000	5	YES	2357	9999-12-31	2013-05-08	6183
6407/9-B-1 H	1	1965.500000	1965.500000	[m   ]	20.700000	2	YES	2142	9999-12-31	2013-05-08	6184
6407/9-B-1 H	2	1974.500000	1974.500000	[m   ]	20.700000	2	YES	2142	9999-12-31	2013-05-08	6185
6407/9-C-2 H	1	\N	\N	\N	39.500000	4	YES	2203	9999-12-31	2013-05-08	6186
6407/9-C-2 H	2	1928.000000	1928.000000	[m   ]	39.500000	4	YES	2203	9999-12-31	2013-05-08	6187
6407/9-C-2 H	3	1940.000000	1940.000000	[m   ]	39.500000	4	YES	2203	9999-12-31	2013-05-08	6188
6407/9-C-2 H	4	1968.000000	1968.000000	[m   ]	39.500000	4	YES	2203	9999-12-31	2013-05-08	6189
6408/4-1	1	1745.000000	1746.400000	[m   ]	1.400000	1	YES	1246	9999-12-31	2013-05-08	6190
6505/10-1	1	3485.000000	3493.900000	[m   ]	63.400000	3	YES	3259	9999-12-31	2013-05-08	6191
6505/10-1	2	3693.000000	3720.800000	[m   ]	63.400000	3	YES	3259	9999-12-31	2013-05-08	6192
6505/10-1	3	3857.000000	3883.700000	[m   ]	63.400000	3	YES	3259	9999-12-31	2013-05-08	6193
6506/11-1	1	4140.000000	4167.500000	[m   ]	89.300000	4	YES	1216	9999-12-31	2013-05-08	6194
6506/11-1	2	4167.500000	4195.500000	[m   ]	89.300000	4	YES	1216	9999-12-31	2013-05-08	6195
6506/11-1	3	4262.000000	4273.500000	[m   ]	89.300000	4	YES	1216	9999-12-31	2013-05-08	6196
6506/11-1	4	4483.000000	4505.300000	[m   ]	89.300000	4	YES	1216	9999-12-31	2013-05-08	6197
6506/11-2	1	4241.000000	4242.700000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6198
6506/11-2	10	4575.500000	4602.900000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6199
6506/11-2	11	4603.000000	4630.000000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6200
6506/11-2	12	4631.000000	4659.000000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6201
6506/11-2	13	4659.000000	4682.800000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6202
6506/11-2	14	4686.500000	4690.200000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6203
6506/11-2	15	4693.500000	4717.000000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6204
6506/11-2	2	4242.900000	4276.300000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6205
6506/11-2	3	4310.000000	4337.000000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6206
6506/11-2	4	4361.000000	4380.900000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6207
6506/11-2	5	4386.000000	4411.000000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6208
6506/11-2	6	4416.000000	4443.000000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6209
6506/11-2	7	4488.000000	4495.700000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6210
6506/11-2	8	4498.000000	4507.500000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6211
6506/11-2	9	4548.000000	4575.100000	[m   ]	310.400000	15	YES	1754	9999-12-31	2013-05-08	6212
6506/11-3	1	3143.500000	3170.000000	[m   ]	128.000000	10	YES	1973	9999-12-31	2013-05-08	6213
6506/11-3	10	4202.000000	4223.800000	[m   ]	128.000000	10	YES	1973	9999-12-31	2013-05-08	6214
6506/11-3	2	3919.000000	3929.700000	[m   ]	128.000000	10	YES	1973	9999-12-31	2013-05-08	6215
6506/11-3	3	3930.000000	3943.600000	[m   ]	128.000000	10	YES	1973	9999-12-31	2013-05-08	6216
6506/11-3	4	3943.600000	3945.000000	[m   ]	128.000000	10	YES	1973	9999-12-31	2013-05-08	6217
6506/11-3	5	3976.000000	3984.400000	[m   ]	128.000000	10	YES	1973	9999-12-31	2013-05-08	6218
6506/11-3	6	3986.000000	3993.000000	[m   ]	128.000000	10	YES	1973	9999-12-31	2013-05-08	6219
6506/11-3	7	3993.000000	4000.900000	[m   ]	128.000000	10	YES	1973	9999-12-31	2013-05-08	6220
6506/11-3	8	4172.000000	4173.700000	[m   ]	128.000000	10	YES	1973	9999-12-31	2013-05-08	6221
6506/11-3	9	4174.000000	4202.000000	[m   ]	128.000000	10	YES	1973	9999-12-31	2013-05-08	6222
6506/11-4 S	1	4260.000000	4270.500000	[m   ]	333.300000	8	YES	2736	9999-12-31	2013-05-08	6223
6506/11-4 S	2	4272.000000	4299.900000	[m   ]	333.300000	8	YES	2736	9999-12-31	2013-05-08	6224
6506/11-4 S	3	4790.000000	4826.000000	[m   ]	333.300000	8	YES	2736	9999-12-31	2013-05-08	6225
6506/11-4 S	4	4826.000000	4881.700000	[m   ]	333.300000	8	YES	2736	9999-12-31	2013-05-08	6226
6506/11-4 S	5	4881.900000	4937.500000	[m   ]	333.300000	8	YES	2736	9999-12-31	2013-05-08	6227
6506/11-4 S	6	4937.500000	5011.900000	[m   ]	333.300000	8	YES	2736	9999-12-31	2013-05-08	6228
6506/11-4 S	7	5011.900000	5030.800000	[m   ]	333.300000	8	YES	2736	9999-12-31	2013-05-08	6229
6506/11-4 S	8	5030.800000	5085.200000	[m   ]	333.300000	8	YES	2736	9999-12-31	2013-05-08	6230
6506/11-5 S	1	4540.000000	4609.500000	[m   ]	179.100000	3	YES	2794	9999-12-31	2013-05-08	6231
6506/11-5 S	2	4609.000000	4656.800000	[m   ]	179.100000	3	YES	2794	9999-12-31	2013-05-08	6232
6506/11-5 S	3	4657.000000	4718.800000	[m   ]	179.100000	3	YES	2794	9999-12-31	2013-05-08	6233
6506/11-6	1	4652.000000	4661.300000	[m   ]	297.100000	10	YES	3306	9999-12-31	2013-05-08	6234
6506/11-6	10	5098.000000	5125.200000	[m   ]	297.100000	10	YES	3306	9999-12-31	2013-05-08	6235
6506/11-6	2	4661.300000	4688.500000	[m   ]	297.100000	10	YES	3306	9999-12-31	2013-05-08	6236
6506/11-6	3	4688.500000	4710.900000	[m   ]	297.100000	10	YES	3306	9999-12-31	2013-05-08	6237
6506/11-6	4	4711.000000	4738.000000	[m   ]	297.100000	10	YES	3306	9999-12-31	2013-05-08	6238
6506/11-6	5	4738.000000	4792.800000	[m   ]	297.100000	10	YES	3306	9999-12-31	2013-05-08	6239
6506/11-6	6	4813.000000	4836.800000	[m   ]	297.100000	10	YES	3306	9999-12-31	2013-05-08	6240
6506/11-6	7	4837.000000	4858.000000	[m   ]	297.100000	10	YES	3306	9999-12-31	2013-05-08	6241
6506/11-6	8	4858.000000	4913.600000	[m   ]	297.100000	10	YES	3306	9999-12-31	2013-05-08	6242
6506/11-6	9	4952.000000	4980.800000	[m   ]	297.100000	10	YES	3306	9999-12-31	2013-05-08	6243
6506/11-7	1	4475.000000	4482.600000	\N	120.600000	7	YES	3322	2012-08-22	2013-05-08	6244
6506/11-7	2	4591.000000	4609.000000	[m   ]	120.600000	7	YES	3322	2012-08-22	2013-05-08	6245
6506/11-7	3	4664.000000	4675.300000	[m   ]	120.600000	7	YES	3322	2012-08-22	2013-05-08	6246
6506/11-7	4	4685.000000	4728.600000	[m   ]	120.600000	7	YES	3322	2012-08-22	2013-05-08	6247
6506/11-7	5	4755.000000	4764.000000	[m   ]	120.600000	7	YES	3322	2012-08-22	2013-05-08	6248
6506/11-7	6	4779.000000	4790.900000	[m   ]	120.600000	7	YES	3322	2012-08-22	2013-05-08	6249
6506/11-7	7	4859.000000	4878.400000	[m   ]	120.600000	7	YES	3322	2012-08-22	2013-05-08	6250
6506/11-8	2	4624.000000	4658.400000	[m   ]	108.100000	8	YES	5295	9999-12-31	2013-05-08	6251
6506/11-8	3	4658.400000	4671.400000	[m   ]	108.100000	8	YES	5295	9999-12-31	2013-05-08	6252
6506/11-8	4	4671.400000	4674.200000	[m   ]	108.100000	8	YES	5295	9999-12-31	2013-05-08	6253
6506/11-8	5	4674.400000	4699.800000	[m   ]	108.100000	8	YES	5295	9999-12-31	2013-05-08	6254
6506/11-8	6	4743.000000	4753.000000	[m   ]	108.100000	8	YES	5295	9999-12-31	2013-05-08	6255
6506/11-8	7	4753.000000	4769.400000	[m   ]	108.100000	8	YES	5295	9999-12-31	2013-05-08	6256
6506/11-8	8	4769.400000	4775.400000	[m   ]	108.100000	8	YES	5295	9999-12-31	2013-05-08	6257
6506/11-A-4 H	1	5019.000000	5022.700000	[m   ]	3.700000	1	YES	6296	9999-12-31	2013-05-08	6258
6506/11-N-3 H	1	5087.000000	5113.000000	[m   ]	123.000000	6	YES	4882	9999-12-31	2013-05-08	6259
6506/11-N-3 H	2	5114.000000	5141.100000	[m   ]	123.000000	6	YES	4882	9999-12-31	2013-05-08	6260
6506/11-N-3 H	3	5141.000000	5160.900000	[m   ]	123.000000	6	YES	4882	9999-12-31	2013-05-08	6261
6506/11-N-3 H	4	5163.000000	5171.400000	[m   ]	123.000000	6	YES	4882	9999-12-31	2013-05-08	6262
6506/11-N-3 H	5	5171.000000	5184.700000	[m   ]	123.000000	6	YES	4882	9999-12-31	2013-05-08	6263
6506/11-N-3 H	6	5193.200000	5221.100000	[m   ]	123.000000	6	YES	4882	9999-12-31	2013-05-08	6264
6506/12-1	1	3975.000000	3993.000000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6265
6506/12-1	10	4219.000000	4229.500000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6266
6506/12-1	11	4231.000000	4250.000000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6267
6506/12-1	12	4252.000000	4274.500000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6268
6506/12-1	13	4276.000000	4277.500000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6269
6506/12-1	14	4279.000000	4290.400000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6270
6506/12-1	2	3993.000000	4018.400000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6271
6506/12-1	3	4018.500000	4044.000000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6272
6506/12-1	4	4044.000000	4070.800000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6273
6506/12-1	5	4071.000000	4097.400000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6274
6506/12-1	6	4098.000000	4124.800000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6275
6506/12-1	7	4125.000000	4151.700000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6276
6506/12-1	8	4173.000000	4190.900000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6277
6506/12-1	9	4191.000000	4205.400000	[m   ]	319.400000	14	YES	1004	9999-12-31	2013-05-08	6278
6506/12-10	1	4564.000000	4592.200000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6279
6506/12-10	10	4928.100000	4964.000000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6280
6506/12-10	11	4964.600000	4986.000000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6281
6506/12-10	12	4986.600000	5023.000000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6282
6506/12-10	13	5023.800000	5059.000000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6283
6506/12-10	14	5059.500000	5096.000000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6284
6506/12-10	2	4592.200000	4616.000000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6285
6506/12-10	3	4660.000000	4671.100000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6286
6506/12-10	4	4672.000000	4694.800000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6287
6506/12-10	5	4696.000000	4717.900000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6288
6506/12-10	6	4848.000000	4873.300000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6289
6506/12-10	7	4873.300000	4886.000000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6290
6506/12-10	8	4887.000000	4908.400000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6291
6506/12-10	9	4908.400000	4928.000000	[m   ]	357.200000	14	YES	2445	9999-12-31	2013-05-08	6292
6506/12-10 A	1	5674.000000	5711.500000	[m   ]	176.400000	11	YES	2610	9999-12-31	2013-05-08	6293
6506/12-10 A	10	6160.000000	6178.000000	[m   ]	176.400000	11	YES	2610	9999-12-31	2013-05-08	6294
6506/12-10 A	11	6223.000000	6230.500000	[m   ]	176.400000	11	YES	2610	9999-12-31	2013-05-08	6295
6506/12-10 A	2	5711.500000	5748.400000	[m   ]	176.400000	11	YES	2610	9999-12-31	2013-05-08	6296
6506/12-10 A	3	5948.000000	5948.500000	[m   ]	176.400000	11	YES	2610	9999-12-31	2013-05-08	6297
6506/12-10 A	4	5959.000000	5971.200000	[m   ]	176.400000	11	YES	2610	9999-12-31	2013-05-08	6298
6506/12-10 A	5	5972.000000	5984.700000	[m   ]	176.400000	11	YES	2610	9999-12-31	2013-05-08	6299
6506/12-10 A	6	5986.000000	6005.000000	[m   ]	176.400000	11	YES	2610	9999-12-31	2013-05-08	6300
6506/12-10 A	7	6038.000000	6057.000000	[m   ]	176.400000	11	YES	2610	9999-12-31	2013-05-08	6301
6506/12-10 A	8	6057.000000	6060.700000	[m   ]	176.400000	11	YES	2610	9999-12-31	2013-05-08	6302
6506/12-10 A	9	6119.000000	6128.600000	[m   ]	176.400000	11	YES	2610	9999-12-31	2013-05-08	6303
6506/12-11 S	1	5041.000000	5054.700000	[m   ]	187.300000	6	YES	2795	9999-12-31	2013-05-08	6304
6506/12-11 S	2	5063.000000	5116.800000	[m   ]	187.300000	6	YES	2795	9999-12-31	2013-05-08	6305
6506/12-11 S	3	5117.000000	5146.000000	[m   ]	187.300000	6	YES	2795	9999-12-31	2013-05-08	6306
6506/12-11 S	4	5146.000000	5166.800000	[m   ]	187.300000	6	YES	2795	9999-12-31	2013-05-08	6307
6506/12-11 S	5	5167.000000	5212.700000	[m   ]	187.300000	6	YES	2795	9999-12-31	2013-05-08	6308
6506/12-11 S	6	5212.700000	5237.000000	[m   ]	187.300000	6	YES	2795	9999-12-31	2013-05-08	6309
6506/12-12 A	1	5150.000000	5200.000000	[m   ]	50.000000	1	YES	6208	9999-12-31	2013-05-08	6310
6506/12-12 S	1	4132.000000	4167.000000	[m   ]	35.000000	1	YES	6144	9999-12-31	2013-05-08	6311
6506/12-3	1	3836.000000	3845.500000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6312
6506/12-3	10	4116.000000	4144.000000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6313
6506/12-3	11	4144.000000	4170.000000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6314
6506/12-3	12	4170.000000	4197.500000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6315
6506/12-3	13	4197.500000	4221.500000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6316
6506/12-3	14	4221.500000	4249.500000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6317
6506/12-3	15	4249.500000	4268.000000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6318
6506/12-3	2	3845.500000	3855.000000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6319
6506/12-3	3	3855.000000	3864.200000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6320
6506/12-3	4	3864.200000	3882.600000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6321
6506/12-3	5	3884.000000	3911.200000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6322
6506/12-3	6	3911.200000	3926.000000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6323
6506/12-3	7	3949.000000	3977.000000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6324
6506/12-3	8	3977.000000	4003.000000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6325
6506/12-3	9	4004.000000	4017.900000	[m   ]	288.800000	15	YES	468	9999-12-31	2013-05-08	6326
6506/12-4	1	3129.000000	3150.900000	[m   ]	58.500000	3	YES	475	9999-12-31	2013-05-08	6327
6506/12-4	2	3972.000000	3980.100000	[m   ]	58.500000	3	YES	475	9999-12-31	2013-05-08	6328
6506/12-4	3	3980.200000	4008.700000	[m   ]	58.500000	3	YES	475	9999-12-31	2013-05-08	6329
6506/12-5	1	3148.000000	3175.200000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6330
6506/12-5	10	4004.000000	4030.900000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6331
6506/12-5	11	4031.000000	4046.200000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6332
6506/12-5	12	4046.500000	4064.500000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6333
6506/12-5	13	4064.500000	4066.600000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6334
6506/12-5	14	4067.000000	4080.500000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6335
6506/12-5	15	4085.000000	4106.600000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6336
6506/12-5	16	4112.000000	4123.800000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6337
6506/12-5	17	4124.000000	4135.800000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6338
6506/12-5	18	4136.000000	4154.100000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6339
6506/12-5	19	4154.000000	4179.800000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6340
6506/12-5	2	3175.200000	3188.000000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6341
6506/12-5	20	4180.000000	4203.500000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6342
6506/12-5	21	4205.000000	4216.000000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6343
6506/12-5	22	4245.000000	4269.000000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6344
6506/12-5	23	4271.000000	4285.600000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6345
6506/12-5	24	4286.000000	4299.800000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6346
6506/12-5	25	4305.000000	4324.500000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6347
6506/12-5	26	4327.000000	4335.000000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6348
6506/12-5	27	4335.000000	4361.900000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6349
6506/12-5	3	3910.000000	3917.700000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6350
6506/12-5	4	3918.000000	3928.300000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6351
6506/12-5	5	3929.000000	3943.700000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6352
6506/12-5	6	3944.000000	3949.000000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6353
6506/12-5	7	3949.000000	3967.500000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6354
6506/12-5	8	3967.500000	3993.700000	[m   ]	429.400000	27	YES	852	9999-12-31	2013-05-08	6355
6506/12-5	9	\N	0.000000	\N	429.400000	27	YES	852	9999-12-31	2013-05-08	6356
6506/12-6	1	4184.000000	4210.000000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6357
6506/12-6	10	4517.000000	4543.500000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6358
6506/12-6	11	4552.000000	4578.700000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6359
6506/12-6	12	4587.000000	4607.000000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6360
6506/12-6	13	4607.000000	4634.500000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6361
6506/12-6	2	4210.000000	4230.000000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6362
6506/12-6	3	4230.000000	4242.900000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6363
6506/12-6	4	4243.000000	4266.500000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6364
6506/12-6	5	4312.000000	4336.300000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6365
6506/12-6	6	4339.000000	4367.000000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6366
6506/12-6	7	4435.500000	4463.000000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6367
6506/12-6	8	4463.000000	4488.200000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6368
6506/12-6	9	4490.000000	4517.300000	[m   ]	302.300000	13	YES	1342	9999-12-31	2013-05-08	6369
6506/12-7	1	4053.000000	4053.500000	[m   ]	62.600000	8	YES	300	9999-12-31	2013-05-08	6370
6506/12-7	2	4427.500000	4435.500000	[m   ]	62.600000	8	YES	300	9999-12-31	2013-05-08	6371
6506/12-7	3	4436.000000	4439.100000	[m   ]	62.600000	8	YES	300	9999-12-31	2013-05-08	6372
6506/12-7	4	4467.000000	4468.100000	[m   ]	62.600000	8	YES	300	9999-12-31	2013-05-08	6373
6506/12-7	5	4468.500000	4475.800000	[m   ]	62.600000	8	YES	300	9999-12-31	2013-05-08	6374
6506/12-7	6	4477.500000	4483.000000	[m   ]	62.600000	8	YES	300	9999-12-31	2013-05-08	6375
6506/12-7	7	4483.500000	4502.500000	[m   ]	62.600000	8	YES	300	9999-12-31	2013-05-08	6376
6506/12-7	8	4672.000000	4700.000000	[m   ]	62.600000	8	YES	300	9999-12-31	2013-05-08	6377
6506/12-8	1	\N	0.000000	\N	208.600000	8	YES	1068	9999-12-31	2013-05-08	6378
6506/12-8	2	3878.000000	3904.800000	[m   ]	208.600000	8	YES	1068	9999-12-31	2013-05-08	6379
6506/12-8	3	3905.000000	3941.200000	[m   ]	208.600000	8	YES	1068	9999-12-31	2013-05-08	6380
6506/12-8	4	3941.000000	3972.200000	[m   ]	208.600000	8	YES	1068	9999-12-31	2013-05-08	6381
6506/12-8	5	3973.000000	3995.800000	[m   ]	208.600000	8	YES	1068	9999-12-31	2013-05-08	6382
6506/12-8	6	4003.000000	4036.800000	[m   ]	208.600000	8	YES	1068	9999-12-31	2013-05-08	6383
6506/12-8	7	4235.000000	4258.600000	[m   ]	208.600000	8	YES	1068	9999-12-31	2013-05-08	6384
6506/12-8	8	4258.600000	4293.000000	[m   ]	208.600000	8	YES	1068	9999-12-31	2013-05-08	6385
6506/12-9 S	1	4415.000000	4434.200000	[m   ]	300.300000	11	YES	2128	9999-12-31	2013-05-08	6386
6506/12-9 S	10	4815.300000	4825.000000	[m   ]	300.300000	11	YES	2128	9999-12-31	2013-05-08	6387
6506/12-9 S	11	4830.000000	4846.900000	[m   ]	300.300000	11	YES	2128	9999-12-31	2013-05-08	6388
6506/12-9 S	2	4462.000000	4489.700000	[m   ]	300.300000	11	YES	2128	9999-12-31	2013-05-08	6389
6506/12-9 S	3	4489.700000	4515.000000	[m   ]	300.300000	11	YES	2128	9999-12-31	2013-05-08	6390
6506/12-9 S	4	4598.000000	4634.900000	[m   ]	300.300000	11	YES	2128	9999-12-31	2013-05-08	6391
6506/12-9 S	5	4635.000000	4654.500000	[m   ]	300.300000	11	YES	2128	9999-12-31	2013-05-08	6392
6506/12-9 S	6	4671.500000	4703.000000	[m   ]	300.300000	11	YES	2128	9999-12-31	2013-05-08	6393
6506/12-9 S	7	4703.300000	4741.000000	[m   ]	300.300000	11	YES	2128	9999-12-31	2013-05-08	6394
6506/12-9 S	8	4741.100000	4778.000000	[m   ]	300.300000	11	YES	2128	9999-12-31	2013-05-08	6395
6506/12-9 S	9	4779.000000	4815.300000	[m   ]	300.300000	11	YES	2128	9999-12-31	2013-05-08	6396
6506/12-H-1 H	1	5040.700000	5076.800000	[m   ]	83.200000	2	YES	4197	9999-12-31	2013-05-08	6397
6506/12-H-1 H	2	5222.000000	5269.100000	[m   ]	83.200000	2	YES	4197	9999-12-31	2013-05-08	6398
6506/12-I-1 AH	1	6077.700000	6104.700000	[m   ]	51.300000	3	YES	5622	9999-12-31	2013-05-08	6399
6506/12-I-1 AH	2	6105.000000	6114.500000	[m   ]	51.300000	3	YES	5622	9999-12-31	2013-05-08	6400
6506/12-I-1 AH	3	6115.500000	6130.400000	[m   ]	51.300000	3	YES	5622	9999-12-31	2013-05-08	6401
6506/12-J-1 H	1	3734.000000	3769.200000	[m   ]	224.700000	6	YES	3758	9999-12-31	2013-05-08	6402
6506/12-J-1 H	2	3770.200000	3803.100000	[m   ]	224.700000	6	YES	3758	9999-12-31	2013-05-08	6403
6506/12-J-1 H	3	4097.500000	4125.000000	[m   ]	224.700000	6	YES	3758	9999-12-31	2013-05-08	6404
6506/12-J-1 H	4	4124.500000	4152.900000	[m   ]	224.700000	6	YES	3758	9999-12-31	2013-05-08	6405
6506/12-J-1 H	5	4152.900000	4181.300000	[m   ]	224.700000	6	YES	3758	9999-12-31	2013-05-08	6406
6506/12-J-1 H	6	4245.000000	4317.300000	[m   ]	224.700000	6	YES	3758	9999-12-31	2013-05-08	6407
6506/12-J-3 H	1	4532.000000	4582.300000	[m   ]	177.300000	2	YES	3864	9999-12-31	2013-05-08	6408
6506/12-J-3 H	2	4998.000000	5125.100000	[m   ]	177.300000	2	YES	3864	9999-12-31	2013-05-08	6409
6506/12-K-1 H	1	4910.000000	4995.500000	[m   ]	175.500000	2	YES	3155	9999-12-31	2013-05-08	6410
6506/12-K-1 H	2	5100.100000	5190.000000	[m   ]	175.500000	2	YES	3155	9999-12-31	2013-05-08	6411
6506/12-K-3 H	1	4109.000000	4189.900000	[m   ]	472.300000	6	YES	3124	9999-12-31	2013-05-08	6412
6506/12-K-3 H	2	4189.000000	4240.600000	[m   ]	472.300000	6	YES	3124	9999-12-31	2013-05-08	6413
6506/12-K-3 H	3	4295.000000	4377.500000	[m   ]	472.300000	6	YES	3124	9999-12-31	2013-05-08	6414
6506/12-K-3 H	4	4378.000000	4459.700000	[m   ]	472.300000	6	YES	3124	9999-12-31	2013-05-08	6415
6506/12-K-3 H	5	4460.000000	4542.700000	[m   ]	472.300000	6	YES	3124	9999-12-31	2013-05-08	6416
6506/12-K-3 H	6	4542.000000	4634.900000	[m   ]	472.300000	6	YES	3124	9999-12-31	2013-05-08	6417
6506/12-L-2 H	1	4527.000000	4583.100000	[m   ]	314.400000	5	YES	3156	9999-12-31	2013-05-08	6418
6506/12-L-2 H	2	4583.900000	4606.900000	[m   ]	314.400000	5	YES	3156	9999-12-31	2013-05-08	6419
6506/12-L-2 H	3	4769.000000	4846.100000	[m   ]	314.400000	5	YES	3156	9999-12-31	2013-05-08	6420
6506/12-L-2 H	4	4846.500000	4927.200000	[m   ]	314.400000	5	YES	3156	9999-12-31	2013-05-08	6421
6506/12-L-2 H	5	4928.500000	5005.900000	[m   ]	314.400000	5	YES	3156	9999-12-31	2013-05-08	6422
6506/12-L-3 H	1	4642.000000	4731.900000	[m   ]	89.900000	1	YES	3107	9999-12-31	2013-05-08	6423
6506/12-N-1 H	1	5166.000000	5170.100000	[m   ]	72.000000	5	YES	4860	9999-12-31	2013-05-08	6424
6506/12-N-1 H	2	5173.000000	5190.700000	[m   ]	72.000000	5	YES	4860	9999-12-31	2013-05-08	6425
6506/12-N-1 H	3	5311.000000	5336.000000	[m   ]	72.000000	5	YES	4860	9999-12-31	2013-05-08	6426
6506/12-N-1 H	4	5338.000000	5347.600000	[m   ]	72.000000	5	YES	4860	9999-12-31	2013-05-08	6427
6506/12-N-1 H	5	5348.000000	5363.600000	[m   ]	72.000000	5	YES	4860	9999-12-31	2013-05-08	6428
6506/12-N-3 H	1	3847.000000	3868.900000	[m   ]	108.200000	2	YES	4308	9999-12-31	2013-05-08	6429
6506/12-N-3 H	2	4910.900000	4997.200000	[m   ]	108.200000	2	YES	4308	9999-12-31	2013-05-08	6430
6506/12-N-4 H	1	5610.000000	5650.400000	[m   ]	356.200000	8	YES	4091	9999-12-31	2013-05-08	6431
6506/12-N-4 H	2	5655.000000	5679.300000	[m   ]	356.200000	8	YES	4091	9999-12-31	2013-05-08	6432
6506/12-N-4 H	3	5697.000000	5723.500000	[m   ]	356.200000	8	YES	4091	9999-12-31	2013-05-08	6433
6506/12-N-4 H	4	5851.000000	5929.900000	[m   ]	356.200000	8	YES	4091	9999-12-31	2013-05-08	6434
6506/12-N-4 H	5	5931.000000	5969.900000	[m   ]	356.200000	8	YES	4091	9999-12-31	2013-05-08	6435
6506/12-N-4 H	6	5972.500000	6021.500000	[m   ]	356.200000	8	YES	4091	9999-12-31	2013-05-08	6436
6506/12-N-4 H	7	6024.000000	6063.800000	[m   ]	356.200000	8	YES	4091	9999-12-31	2013-05-08	6437
6506/12-N-4 H	8	6064.000000	6122.500000	[m   ]	356.200000	8	YES	4091	9999-12-31	2013-05-08	6438
6506/12-Q-2 H	1	4365.900000	4412.100000	[m   ]	167.200000	7	YES	4933	9999-12-31	2013-05-08	6439
6506/12-Q-2 H	2	4676.000000	4700.400000	[m   ]	167.200000	7	YES	4933	9999-12-31	2013-05-08	6440
6506/12-Q-2 H	3	4701.000000	4718.500000	[m   ]	167.200000	7	YES	4933	9999-12-31	2013-05-08	6441
6506/12-Q-2 H	4	4718.500000	4736.400000	[m   ]	167.200000	7	YES	4933	9999-12-31	2013-05-08	6442
6506/12-Q-2 H	5	4736.400000	4750.700000	[m   ]	167.200000	7	YES	4933	9999-12-31	2013-05-08	6443
6506/12-Q-2 H	6	5268.000000	5279.600000	[m   ]	167.200000	7	YES	4933	9999-12-31	2013-05-08	6444
6506/12-Q-2 H	7	5280.000000	5315.400000	[m   ]	167.200000	7	YES	4933	9999-12-31	2013-05-08	6445
6506/12-R-1 H	1	4465.000000	4546.600000	[m   ]	165.200000	2	YES	3021	9999-12-31	2013-05-08	6446
6506/12-R-1 H	2	4547.000000	4630.600000	[m   ]	165.200000	2	YES	3021	9999-12-31	2013-05-08	6447
6506/12-R-4 H	1	3192.000000	3205.000000	[m   ]	161.200000	3	YES	3271	9999-12-31	2013-05-08	6448
6506/12-R-4 H	2	4450.000000	4524.200000	[m   ]	161.200000	3	YES	3271	9999-12-31	2013-05-08	6449
6506/12-R-4 H	3	4524.000000	4598.000000	[m   ]	161.200000	3	YES	3271	9999-12-31	2013-05-08	6450
6506/12-S-4 H	1	4652.000000	4682.500000	[m   ]	108.500000	5	YES	4269	9999-12-31	2013-05-08	6451
6506/12-S-4 H	2	4683.000000	4698.500000	[m   ]	108.500000	5	YES	4269	9999-12-31	2013-05-08	6452
6506/12-S-4 H	3	4698.500000	4710.800000	[m   ]	108.500000	5	YES	4269	9999-12-31	2013-05-08	6453
6506/12-S-4 H	4	4711.000000	4747.600000	[m   ]	108.500000	5	YES	4269	9999-12-31	2013-05-08	6454
6506/12-S-4 H	5	5408.000000	5421.600000	[m   ]	108.500000	5	YES	4269	9999-12-31	2013-05-08	6455
6506/3-1	1	3101.500000	3169.000000	[m   ]	67.500000	1	YES	4344	9999-12-31	2013-05-08	6456
6506/6-1	1	5001.000000	5004.400000	[m   ]	66.000000	3	YES	4122	9999-12-31	2013-05-08	6457
6506/6-1	2	5212.000000	5220.400000	[m   ]	66.000000	3	YES	4122	9999-12-31	2013-05-08	6458
6506/6-1	3	5221.500000	5275.900000	[m   ]	66.000000	3	YES	4122	9999-12-31	2013-05-08	6459
6506/9-1	1	5289.000000	5316.600000	[m   ]	230.700000	5	YES	5980	9999-12-31	2013-05-08	6460
6506/9-1	2	5316.600000	5353.200000	[m   ]	230.700000	5	YES	5980	9999-12-31	2013-05-08	6461
6506/9-1	3	5446.800000	5501.700000	[m   ]	230.700000	5	YES	5980	9999-12-31	2013-05-08	6462
6506/9-1	4	5502.000000	5530.800000	[m   ]	230.700000	5	YES	5980	9999-12-31	2013-05-08	6463
6506/9-1	5	5531.000000	5613.800000	[m   ]	230.700000	5	YES	5980	9999-12-31	2013-05-08	6464
6506/9-2 S	1	4342.000000	4368.700000	[m   ]	81.700000	2	YES	6332	9999-12-31	2013-05-08	6465
6506/9-2 S	2	4416.000000	4471.000000	[m   ]	81.700000	2	YES	6332	9999-12-31	2013-05-08	6466
6507/10-1	1	2880.500000	2887.400000	[m   ]	15.200000	2	YES	81	9999-12-31	2013-05-08	6467
6507/10-1	2	3073.600000	3081.900000	[m   ]	15.200000	2	YES	81	9999-12-31	2013-05-08	6468
6507/11-1	1	2502.700000	2508.800000	[m   ]	31.000000	5	YES	68	9999-12-31	2013-05-08	6469
6507/11-1	2	2509.800000	2511.400000	[m   ]	31.000000	5	YES	68	9999-12-31	2013-05-08	6470
6507/11-1	3	2514.300000	2517.000000	[m   ]	31.000000	5	YES	68	9999-12-31	2013-05-08	6471
6507/11-1	4	2520.000000	2524.000000	[m   ]	31.000000	5	YES	68	9999-12-31	2013-05-08	6472
6507/11-1	5	2527.700000	2543.000000	[m   ]	31.000000	5	YES	68	9999-12-31	2013-05-08	6473
6507/11-2	1	1965.500000	1975.000000	[m   ]	48.400000	6	YES	51	9999-12-31	2013-05-08	6474
6507/11-2	2	1976.000000	1977.200000	[m   ]	48.400000	6	YES	51	9999-12-31	2013-05-08	6475
6507/11-2	3	1991.400000	2001.000000	[m   ]	48.400000	6	YES	51	9999-12-31	2013-05-08	6476
6507/11-2	4	2002.900000	2014.900000	[m   ]	48.400000	6	YES	51	9999-12-31	2013-05-08	6477
6507/11-2	5	2119.000000	2124.500000	[m   ]	48.400000	6	YES	51	9999-12-31	2013-05-08	6478
6507/11-2	6	2126.000000	2127.900000	[m   ]	48.400000	6	YES	51	9999-12-31	2013-05-08	6479
6507/11-3	1	2428.000000	2437.500000	[m   ]	136.200000	9	YES	470	9999-12-31	2013-05-08	6480
6507/11-3	2	2437.500000	2456.000000	[m   ]	136.200000	9	YES	470	9999-12-31	2013-05-08	6481
6507/11-3	3	2456.000000	2465.300000	[m   ]	136.200000	9	YES	470	9999-12-31	2013-05-08	6482
6507/11-3	4	2467.000000	2494.500000	[m   ]	136.200000	9	YES	470	9999-12-31	2013-05-08	6483
6507/11-3	5	2494.500000	2522.000000	[m   ]	136.200000	9	YES	470	9999-12-31	2013-05-08	6484
6507/11-3	6	2522.000000	2536.800000	[m   ]	136.200000	9	YES	470	9999-12-31	2013-05-08	6485
6507/11-3	7	2636.000000	2643.900000	[m   ]	136.200000	9	YES	470	9999-12-31	2013-05-08	6486
6507/11-3	8	2650.000000	2660.200000	[m   ]	136.200000	9	YES	470	9999-12-31	2013-05-08	6487
6507/11-3	9	2668.500000	2677.500000	[m   ]	136.200000	9	YES	470	9999-12-31	2013-05-08	6488
6507/11-4	1	2564.000000	2591.800000	[m   ]	56.000000	2	YES	1055	9999-12-31	2013-05-08	6489
6507/11-4	2	2685.000000	2713.200000	[m   ]	56.000000	2	YES	1055	9999-12-31	2013-05-08	6490
6507/11-5 S	1	2488.000000	2508.000000	[m   ]	155.000000	7	YES	3193	9999-12-31	2013-05-08	6491
6507/11-5 S	2	2508.000000	2534.700000	[m   ]	155.000000	7	YES	3193	9999-12-31	2013-05-08	6492
6507/11-5 S	3	2535.000000	2539.600000	[m   ]	155.000000	7	YES	3193	9999-12-31	2013-05-08	6493
6507/11-5 S	4	2541.000000	2554.000000	[m   ]	155.000000	7	YES	3193	9999-12-31	2013-05-08	6494
6507/11-5 S	5	2554.000000	2582.000000	[m   ]	155.000000	7	YES	3193	9999-12-31	2013-05-08	6495
6507/11-5 S	6	2582.000000	2608.500000	[m   ]	155.000000	7	YES	3193	9999-12-31	2013-05-08	6496
6507/11-5 S	7	2609.000000	2645.300000	[m   ]	155.000000	7	YES	3193	9999-12-31	2013-05-08	6497
6507/11-6	1	3036.000000	3063.700000	[m   ]	27.700000	1	YES	4321	9999-12-31	2013-05-08	6498
6507/11-8	1	2427.700000	2451.100000	[m   ]	67.500000	2	YES	5562	9999-12-31	2013-05-08	6499
6507/11-8	2	2462.000000	2506.100000	[m   ]	67.500000	2	YES	5562	9999-12-31	2013-05-08	6500
6507/11-9	1	2621.000000	2641.300000	[m   ]	20.300000	1	YES	5766	9999-12-31	2013-05-08	6501
6507/11-X-2 H	1	2622.000000	2629.200000	[m   ]	72.300000	4	YES	3944	9999-12-31	2013-05-08	6502
6507/11-X-2 H	2	2640.000000	2642.200000	[m   ]	72.300000	4	YES	3944	9999-12-31	2013-05-08	6503
6507/11-X-2 H	3	2674.600000	2710.000000	[m   ]	72.300000	4	YES	3944	9999-12-31	2013-05-08	6504
6507/11-X-2 H	4	2710.000000	2737.500000	[m   ]	72.300000	4	YES	3944	9999-12-31	2013-05-08	6505
6507/11-X-4 AH	1	\N	\N	\N	139.400000	5	YES	4127	9999-12-31	2013-05-08	6506
6507/11-X-4 AH	2	3620.000000	3644.500000	[m   ]	139.400000	5	YES	4127	9999-12-31	2013-05-08	6507
6507/11-X-4 AH	3	3647.000000	3672.300000	[m   ]	139.400000	5	YES	4127	9999-12-31	2013-05-08	6508
6507/11-X-4 AH	4	3674.000000	3711.000000	[m   ]	139.400000	5	YES	4127	9999-12-31	2013-05-08	6509
6507/11-X-4 AH	5	3820.000000	3872.600000	[m   ]	139.400000	5	YES	4127	9999-12-31	2013-05-08	6510
6507/12-1	1	2404.000000	2405.700000	[m   ]	38.700000	4	YES	202	9999-12-31	2013-05-08	6511
6507/12-1	2	2520.000000	2537.300000	[m   ]	38.700000	4	YES	202	9999-12-31	2013-05-08	6512
6507/12-1	3	2707.000000	2715.800000	[m   ]	38.700000	4	YES	202	9999-12-31	2013-05-08	6513
6507/12-1	4	3708.000000	3719.000000	[m   ]	38.700000	4	YES	202	9999-12-31	2013-05-08	6514
6507/12-2	1	\N	0.000000	\N	9.200000	2	YES	437	9999-12-31	2013-05-08	6515
6507/12-2	2	4975.000000	4984.200000	[m   ]	9.200000	2	YES	437	9999-12-31	2013-05-08	6516
6507/12-3	1	1981.000000	1988.500000	[m   ]	23.900000	3	YES	485	9999-12-31	2013-05-08	6517
6507/12-3	2	\N	0.000000	\N	23.900000	3	YES	485	9999-12-31	2013-05-08	6518
6507/12-3	3	2503.500000	2519.000000	[m   ]	23.900000	3	YES	485	9999-12-31	2013-05-08	6519
6507/2-2	1	2822.000000	2849.500000	[m   ]	91.400000	6	YES	1840	9999-12-31	2013-05-08	6520
6507/2-2	2	3273.000000	3295.800000	[m   ]	91.400000	6	YES	1840	9999-12-31	2013-05-08	6521
6507/2-2	3	3330.000000	3339.300000	[m   ]	91.400000	6	YES	1840	9999-12-31	2013-05-08	6522
6507/2-2	4	3685.400000	3700.400000	[m   ]	91.400000	6	YES	1840	9999-12-31	2013-05-08	6523
6507/2-2	5	3770.000000	3778.500000	[m   ]	91.400000	6	YES	1840	9999-12-31	2013-05-08	6524
6507/2-2	6	3921.000000	3929.300000	[m   ]	91.400000	6	YES	1840	9999-12-31	2013-05-08	6525
6507/2-3	1	2850.000000	2878.000000	[m   ]	50.700000	3	YES	2299	9999-12-31	2013-05-08	6526
6507/2-3	2	2878.000000	2890.900000	[m   ]	50.700000	3	YES	2299	9999-12-31	2013-05-08	6527
6507/2-3	3	3254.000000	3263.800000	[m   ]	50.700000	3	YES	2299	9999-12-31	2013-05-08	6528
6507/2-4	1	2835.000000	2852.000000	[m   ]	50.300000	3	YES	5685	9999-12-31	2013-05-08	6529
6507/2-4	2	3334.000000	3342.300000	[m   ]	50.300000	3	YES	5685	9999-12-31	2013-05-08	6530
6507/2-4	3	3342.300000	3344.800000	[m   ]	50.300000	3	YES	5685	9999-12-31	2013-05-08	6531
6507/3-1	1	3612.000000	3635.000000	[m   ]	183.800000	7	YES	1533	9999-12-31	2013-05-08	6532
6507/3-1	2	3635.000000	3660.800000	[m   ]	183.800000	7	YES	1533	9999-12-31	2013-05-08	6533
6507/3-1	3	3769.000000	3796.900000	[m   ]	183.800000	7	YES	1533	9999-12-31	2013-05-08	6534
6507/3-1	4	3797.000000	3825.000000	[m   ]	183.800000	7	YES	1533	9999-12-31	2013-05-08	6535
6507/3-1	5	3825.000000	3857.900000	[m   ]	183.800000	7	YES	1533	9999-12-31	2013-05-08	6536
6507/3-1	6	3994.000000	4022.000000	[m   ]	183.800000	7	YES	1533	9999-12-31	2013-05-08	6537
6507/3-1	7	3671.000000	3698.300000	[m   ]	183.800000	7	YES	1533	9999-12-31	2013-05-08	6538
6507/3-2	1	1230.000000	1233.400000	[m   ]	11.200000	2	YES	2954	9999-12-31	2013-05-08	6539
6507/3-2	2	1402.000000	1409.800000	[m   ]	11.200000	2	YES	2954	9999-12-31	2013-05-08	6540
6507/3-3	1	2721.000000	2747.700000	[m   ]	221.300000	6	YES	3668	9999-12-31	2013-05-08	6541
6507/3-3	2	3375.000000	3401.400000	[m   ]	221.300000	6	YES	3668	9999-12-31	2013-05-08	6542
6507/3-3	3	3403.000000	3435.500000	[m   ]	221.300000	6	YES	3668	9999-12-31	2013-05-08	6543
6507/3-3	4	3461.000000	3487.400000	[m   ]	221.300000	6	YES	3668	9999-12-31	2013-05-08	6544
6507/3-3	5	3545.000000	3599.900000	[m   ]	221.300000	6	YES	3668	9999-12-31	2013-05-08	6545
6507/3-3	6	3600.000000	3654.500000	[m   ]	221.300000	6	YES	3668	9999-12-31	2013-05-08	6546
6507/3-4	1	3728.000000	3762.200000	[m   ]	88.500000	2	YES	4905	9999-12-31	2013-05-08	6547
6507/3-4	2	3764.000000	3818.300000	[m   ]	88.500000	2	YES	4905	9999-12-31	2013-05-08	6548
6507/3-5 S	1	3959.000000	4012.400000	[m   ]	90.200000	2	YES	5307	9999-12-31	2013-05-08	6549
6507/3-5 S	2	4144.000000	4180.800000	[m   ]	90.200000	2	YES	5307	9999-12-31	2013-05-08	6550
6507/3-7	1	3546.000000	3601.400000	[m   ]	107.000000	2	YES	6123	9999-12-31	2013-05-08	6551
6507/3-7	2	3601.400000	3653.000000	[m   ]	107.000000	2	YES	6123	9999-12-31	2013-05-08	6552
6507/3-8	1	2695.000000	2715.100000	[m   ]	120.400000	5	YES	6258	9999-12-31	2013-05-08	6553
6507/3-8	2	2743.000000	2783.200000	[m   ]	120.400000	5	YES	6258	9999-12-31	2013-05-08	6554
6507/3-8	3	2784.000000	2794.600000	[m   ]	120.400000	5	YES	6258	9999-12-31	2013-05-08	6555
6507/3-8	4	2795.000000	2822.200000	[m   ]	120.400000	5	YES	6258	9999-12-31	2013-05-08	6556
6507/3-8	5	2822.000000	2844.300000	[m   ]	120.400000	5	YES	6258	9999-12-31	2013-05-08	6557
6507/3-L-2 H	1	4042.000000	4070.300000	[m   ]	28.300000	1	YES	6002	9999-12-31	2013-05-08	6558
6507/5-1	1	3392.500000	3392.700000	[m   ]	282.600000	9	YES	3683	9999-12-31	2013-05-08	6559
6507/5-1	2	3395.000000	3422.100000	[m   ]	282.600000	9	YES	3683	9999-12-31	2013-05-08	6560
6507/5-1	3	3422.100000	3449.800000	[m   ]	282.600000	9	YES	3683	9999-12-31	2013-05-08	6561
6507/5-1	4	3449.800000	3470.900000	[m   ]	282.600000	9	YES	3683	9999-12-31	2013-05-08	6562
6507/5-1	5	3470.900000	3498.400000	[m   ]	282.600000	9	YES	3683	9999-12-31	2013-05-08	6563
6507/5-1	6	3498.400000	3542.700000	[m   ]	282.600000	9	YES	3683	9999-12-31	2013-05-08	6564
6507/5-1	7	3562.000000	3613.500000	[m   ]	282.600000	9	YES	3683	9999-12-31	2013-05-08	6565
6507/5-1	8	3616.000000	3645.600000	[m   ]	282.600000	9	YES	3683	9999-12-31	2013-05-08	6566
6507/5-1	9	3645.000000	3698.600000	[m   ]	282.600000	9	YES	3683	9999-12-31	2013-05-08	6567
6507/5-2	1	3626.000000	3684.800000	[m   ]	186.300000	3	YES	3756	9999-12-31	2013-05-08	6568
6507/5-2	2	3684.800000	3743.800000	[m   ]	186.300000	3	YES	3756	9999-12-31	2013-05-08	6569
6507/5-2	3	3743.800000	3812.300000	[m   ]	186.300000	3	YES	3756	9999-12-31	2013-05-08	6570
6507/5-3	1	2836.500000	2840.000000	[m   ]	14.700000	4	YES	4059	9999-12-31	2013-05-08	6571
6507/5-3	2	2843.000000	2843.700000	[m   ]	14.700000	4	YES	4059	9999-12-31	2013-05-08	6572
6507/5-3	3	2844.000000	2851.600000	[m   ]	14.700000	4	YES	4059	9999-12-31	2013-05-08	6573
6507/5-3	4	2852.000000	2855.000000	[m   ]	14.700000	4	YES	4059	9999-12-31	2013-05-08	6574
6507/5-4	1	3512.500000	3534.500000	[m   ]	211.000000	4	YES	4209	9999-12-31	2013-05-08	6575
6507/5-4	2	3535.000000	3594.500000	[m   ]	211.000000	4	YES	4209	9999-12-31	2013-05-08	6576
6507/5-4	3	3594.000000	3679.000000	[m   ]	211.000000	4	YES	4209	9999-12-31	2013-05-08	6577
6507/5-4	4	3678.000000	3722.500000	[m   ]	211.000000	4	YES	4209	9999-12-31	2013-05-08	6578
6507/5-5	1	3654.700000	3736.000000	[m   ]	77.600000	1	YES	4428	9999-12-31	2013-05-08	6579
6507/5-6 S	1	4436.000000	4454.500000	[m   ]	18.500000	1	YES	6321	9999-12-31	2013-05-08	6580
6507/5-A-4 H	1	2965.500000	3000.500000	[m   ]	120.800000	1	YES	6324	9999-12-31	2013-05-08	6581
6507/5-A-4 H	2	3675.000000	3706.200000	[m   ]	120.800000	1	YES	6324	9999-12-31	2013-05-08	6582
6507/5-A-4 H	3	3708.000000	3762.600000	[m   ]	120.800000	1	YES	6324	9999-12-31	2013-05-08	6583
6507/5-A-6 H	1	4438.000000	4517.800000	[m   ]	79.800000	1	YES	6325	9999-12-31	2013-05-08	6584
6507/6-1	1	1023.000000	1040.800000	[m   ]	51.200000	4	YES	910	9999-12-31	2013-05-08	6585
6507/6-1	2	1045.000000	1056.000000	[m   ]	51.200000	4	YES	910	9999-12-31	2013-05-08	6586
6507/6-1	3	3041.000000	3045.200000	[m   ]	51.200000	4	YES	910	9999-12-31	2013-05-08	6587
6507/6-1	4	3995.000000	4013.200000	[m   ]	51.200000	4	YES	910	9999-12-31	2013-05-08	6588
6507/6-2	1	3727.000000	3732.200000	[m   ]	12.200000	2	YES	1520	9999-12-31	2013-05-08	6589
6507/6-2	2	3732.200000	3739.200000	[m   ]	12.200000	2	YES	1520	9999-12-31	2013-05-08	6590
6507/6-4 A	1	4726.000000	4754.000000	[m   ]	28.000000	1	YES	6753	9999-12-31	2013-05-08	6591
6507/7-1	1	3504.000000	3512.700000	[m   ]	64.700000	7	YES	138	9999-12-31	2013-05-08	6592
6507/7-1	2	4340.000000	4346.200000	[m   ]	64.700000	7	YES	138	9999-12-31	2013-05-08	6593
6507/7-1	3	4346.200000	4356.800000	[m   ]	64.700000	7	YES	138	9999-12-31	2013-05-08	6594
6507/7-1	4	\N	0.000000	\N	64.700000	7	YES	138	9999-12-31	2013-05-08	6595
6507/7-1	5	4356.700000	4375.200000	[m   ]	64.700000	7	YES	138	9999-12-31	2013-05-08	6596
6507/7-1	6	4475.000000	4488.400000	[m   ]	64.700000	7	YES	138	9999-12-31	2013-05-08	6597
6507/7-1	7	4593.000000	4600.400000	[m   ]	64.700000	7	YES	138	9999-12-31	2013-05-08	6598
6507/7-10	1	2448.000000	2453.100000	[m   ]	34.700000	3	YES	2182	9999-12-31	2013-05-08	6599
6507/7-10	2	2476.500000	2480.100000	[m   ]	34.700000	3	YES	2182	9999-12-31	2013-05-08	6600
6507/7-10	3	2525.000000	2551.000000	[m   ]	34.700000	3	YES	2182	9999-12-31	2013-05-08	6601
6507/7-11 S	1	3461.000000	3487.800000	[m   ]	26.800000	1	YES	3131	9999-12-31	2013-05-08	6602
6507/7-13 A	1	2416.000000	2440.400000	[m   ]	69.000000	3	YES	4275	9999-12-31	2013-05-08	6603
6507/7-13 A	2	2443.000000	2466.900000	[m   ]	69.000000	3	YES	4275	9999-12-31	2013-05-08	6604
6507/7-13 A	3	2466.500000	2487.300000	[m   ]	69.000000	3	YES	4275	9999-12-31	2013-05-08	6605
6507/7-14 S	1	4221.000000	4275.600000	[m   ]	54.600000	1	YES	6367	2012-10-17	2013-05-08	6606
6507/7-2	1	2283.500000	2295.700000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6607
6507/7-2	10	2410.000000	2420.100000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6608
6507/7-2	11	2422.000000	2427.200000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6609
6507/7-2	12	2431.000000	2435.000000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6610
6507/7-2	13	2436.000000	2443.500000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6611
6507/7-2	14	2444.000000	2448.200000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6612
6507/7-2	2	2300.500000	2310.700000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6613
6507/7-2	3	2316.000000	2318.500000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6614
6507/7-2	4	2320.000000	2325.100000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6615
6507/7-2	5	2327.000000	2342.000000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6616
6507/7-2	6	2345.000000	2362.000000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6617
6507/7-2	7	2363.500000	2378.100000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6618
6507/7-2	8	2379.000000	2392.000000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6619
6507/7-2	9	2394.000000	2408.600000	[m   ]	135.700000	14	YES	464	9999-12-31	2013-05-08	6620
6507/7-3	1	2360.000000	2360.700000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6621
6507/7-3	10	2570.000000	2586.500000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6622
6507/7-3	11	2587.000000	2616.500000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6623
6507/7-3	12	2615.500000	2643.000000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6624
6507/7-3	13	2643.000000	2661.000000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6625
6507/7-3	2	2361.000000	2376.600000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6626
6507/7-3	3	2381.000000	2386.700000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6627
6507/7-3	4	2386.100000	2414.500000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6628
6507/7-3	5	2415.000000	2442.800000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6629
6507/7-3	6	2442.800000	2471.000000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6630
6507/7-3	7	2500.000000	2519.700000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6631
6507/7-3	8	2521.000000	2541.700000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6632
6507/7-3	9	2543.000000	2569.100000	[m   ]	258.400000	13	YES	482	9999-12-31	2013-05-08	6633
6507/7-4	1	2435.000000	2461.000000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6634
6507/7-4	10	2684.000000	2712.100000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6635
6507/7-4	11	2612.000000	2639.600000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6636
6507/7-4	12	2739.500000	2766.700000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6637
6507/7-4	2	2463.000000	2490.700000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6638
6507/7-4	3	2491.000000	2518.500000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6639
6507/7-4	4	2518.500000	2546.000000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6640
6507/7-4	5	2546.000000	2573.500000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6641
6507/7-4	6	2573.000000	2601.100000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6642
6507/7-4	7	2601.500000	2629.400000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6643
6507/7-4	8	2629.000000	2656.800000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6644
6507/7-4	9	2657.000000	2684.800000	[m   ]	328.700000	12	YES	853	9999-12-31	2013-05-08	6645
6507/7-5	1	2255.000000	2282.900000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6646
6507/7-5	10	2482.000000	2497.600000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6647
6507/7-5	11	2501.000000	2509.000000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6648
6507/7-5	12	2512.000000	2533.600000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6649
6507/7-5	13	2538.000000	2553.100000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6650
6507/7-5	14	2556.000000	2578.700000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6651
6507/7-5	15	2581.500000	2591.100000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6652
6507/7-5	16	2596.500000	2623.900000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6653
6507/7-5	17	2625.000000	2644.500000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6654
6507/7-5	2	2282.500000	2308.800000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6655
6507/7-5	3	2308.500000	2336.400000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6656
6507/7-5	4	2336.000000	2349.600000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6657
6507/7-5	5	2362.000000	2385.500000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6658
6507/7-5	6	2390.000000	2407.800000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6659
6507/7-5	7	2411.000000	2438.900000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6660
6507/7-5	8	2439.000000	2466.900000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6661
6507/7-5	9	2467.000000	2480.700000	[m   ]	374.200000	17	YES	879	9999-12-31	2013-05-08	6662
6507/7-5 A	1	2557.000000	2568.800000	[m   ]	66.000000	6	YES	860	9999-12-31	2013-05-08	6663
6507/7-5 A	2	2572.000000	2572.900000	[m   ]	66.000000	6	YES	860	9999-12-31	2013-05-08	6664
6507/7-5 A	3	2573.000000	2592.300000	[m   ]	66.000000	6	YES	860	9999-12-31	2013-05-08	6665
6507/7-5 A	4	2595.000000	2610.100000	[m   ]	66.000000	6	YES	860	9999-12-31	2013-05-08	6666
6507/7-5 A	5	2611.700000	2622.500000	[m   ]	66.000000	6	YES	860	9999-12-31	2013-05-08	6667
6507/7-5 A	6	2622.500000	2629.600000	[m   ]	66.000000	6	YES	860	9999-12-31	2013-05-08	6668
6507/7-6	1	2129.000000	2156.700000	[m   ]	183.200000	10	YES	922	9999-12-31	2013-05-08	6669
6507/7-6	10	2442.000000	2460.300000	[m   ]	183.200000	10	YES	922	9999-12-31	2013-05-08	6670
6507/7-6	2	2157.900000	2184.400000	[m   ]	183.200000	10	YES	922	9999-12-31	2013-05-08	6671
6507/7-6	3	2305.000000	2306.600000	[m   ]	183.200000	10	YES	922	9999-12-31	2013-05-08	6672
6507/7-6	4	2315.000000	2341.900000	[m   ]	183.200000	10	YES	922	9999-12-31	2013-05-08	6673
6507/7-6	5	2344.000000	2363.300000	[m   ]	183.200000	10	YES	922	9999-12-31	2013-05-08	6674
6507/7-6	6	2364.500000	2390.400000	[m   ]	183.200000	10	YES	922	9999-12-31	2013-05-08	6675
6507/7-6	7	2392.500000	2404.700000	[m   ]	183.200000	10	YES	922	9999-12-31	2013-05-08	6676
6507/7-6	8	2405.000000	2419.800000	[m   ]	183.200000	10	YES	922	9999-12-31	2013-05-08	6677
6507/7-6	9	2424.000000	2441.000000	[m   ]	183.200000	10	YES	922	9999-12-31	2013-05-08	6678
6507/7-8	1	2405.000000	2423.500000	[m   ]	119.700000	7	YES	1071	9999-12-31	2013-05-08	6679
6507/7-8	2	2423.500000	2441.700000	[m   ]	119.700000	7	YES	1071	9999-12-31	2013-05-08	6680
6507/7-8	3	2442.000000	2458.900000	[m   ]	119.700000	7	YES	1071	9999-12-31	2013-05-08	6681
6507/7-8	4	2460.100000	2479.000000	[m   ]	119.700000	7	YES	1071	9999-12-31	2013-05-08	6682
6507/7-8	5	2479.000000	2497.300000	[m   ]	119.700000	7	YES	1071	9999-12-31	2013-05-08	6683
6507/7-8	6	2497.500000	2516.800000	[m   ]	119.700000	7	YES	1071	9999-12-31	2013-05-08	6684
6507/7-8	7	2516.000000	2525.000000	[m   ]	119.700000	7	YES	1071	9999-12-31	2013-05-08	6685
6507/7-A-15 A	1	3658.000000	3672.600000	[m   ]	99.300000	8	YES	5260	9999-12-31	2013-05-08	6686
6507/7-A-15 A	2	3672.800000	3679.600000	[m   ]	99.300000	8	YES	5260	9999-12-31	2013-05-08	6687
6507/7-A-15 A	3	3682.300000	3689.200000	[m   ]	99.300000	8	YES	5260	9999-12-31	2013-05-08	6688
6507/7-A-15 A	4	3690.600000	3717.300000	[m   ]	99.300000	8	YES	5260	9999-12-31	2013-05-08	6689
6507/7-A-15 A	5	3717.000000	3735.400000	[m   ]	99.300000	8	YES	5260	9999-12-31	2013-05-08	6690
6507/7-A-15 A	6	3736.000000	3748.800000	[m   ]	99.300000	8	YES	5260	9999-12-31	2013-05-08	6691
6507/7-A-15 A	7	3759.000000	3765.100000	[m   ]	99.300000	8	YES	5260	9999-12-31	2013-05-08	6692
6507/7-A-15 A	8	3765.000000	3772.000000	[m   ]	99.300000	8	YES	5260	9999-12-31	2013-05-08	6693
6507/7-A-17	1	3648.000000	3676.500000	[m   ]	189.800000	7	YES	2278	9999-12-31	2013-05-08	6694
6507/7-A-17	2	3676.500000	3704.700000	[m   ]	189.800000	7	YES	2278	9999-12-31	2013-05-08	6695
6507/7-A-17	3	3705.000000	3724.800000	[m   ]	189.800000	7	YES	2278	9999-12-31	2013-05-08	6696
6507/7-A-17	4	3724.000000	3752.500000	[m   ]	189.800000	7	YES	2278	9999-12-31	2013-05-08	6697
6507/7-A-17	5	3753.000000	3781.400000	[m   ]	189.800000	7	YES	2278	9999-12-31	2013-05-08	6698
6507/7-A-17	6	3781.500000	3809.600000	[m   ]	189.800000	7	YES	2278	9999-12-31	2013-05-08	6699
6507/7-A-17	7	3810.000000	3838.300000	[m   ]	189.800000	7	YES	2278	9999-12-31	2013-05-08	6700
6507/7-A-20	1	2435.000000	2471.400000	[m   ]	242.500000	11	YES	2004	9999-12-31	2013-05-08	6701
6507/7-A-20	10	2721.500000	2731.000000	[m   ]	242.500000	11	YES	2004	9999-12-31	2013-05-08	6702
6507/7-A-20	11	2732.500000	2747.000000	[m   ]	242.500000	11	YES	2004	9999-12-31	2013-05-08	6703
6507/7-A-20	2	2472.000000	2478.200000	[m   ]	242.500000	11	YES	2004	9999-12-31	2013-05-08	6704
6507/7-A-20	3	2478.600000	2514.000000	[m   ]	242.500000	11	YES	2004	9999-12-31	2013-05-08	6705
6507/7-A-20	4	2515.500000	2539.000000	[m   ]	242.500000	11	YES	2004	9999-12-31	2013-05-08	6706
6507/7-A-20	5	2541.000000	2568.200000	[m   ]	242.500000	11	YES	2004	9999-12-31	2013-05-08	6707
6507/7-A-20	6	2622.000000	2644.600000	[m   ]	242.500000	11	YES	2004	9999-12-31	2013-05-08	6708
6507/7-A-20	7	2650.000000	2677.300000	[m   ]	242.500000	11	YES	2004	9999-12-31	2013-05-08	6709
6507/7-A-20	8	2679.000000	2688.300000	[m   ]	242.500000	11	YES	2004	9999-12-31	2013-05-08	6710
6507/7-A-20	9	2690.500000	2720.000000	[m   ]	242.500000	11	YES	2004	9999-12-31	2013-05-08	6711
6507/7-A-27	1	3182.000000	3208.300000	[m   ]	144.300000	9	YES	5113	9999-12-31	2013-05-08	6712
6507/7-A-27	2	3209.000000	3236.300000	[m   ]	144.300000	9	YES	5113	9999-12-31	2013-05-08	6713
6507/7-A-27	3	3236.300000	3252.800000	[m   ]	144.300000	9	YES	5113	9999-12-31	2013-05-08	6714
6507/7-A-27	4	3257.700000	3269.700000	[m   ]	144.300000	9	YES	5113	9999-12-31	2013-05-08	6715
6507/7-A-27	5	3272.700000	3289.000000	[m   ]	144.300000	9	YES	5113	9999-12-31	2013-05-08	6716
6507/7-A-27	6	3297.000000	3305.100000	[m   ]	144.300000	9	YES	5113	9999-12-31	2013-05-08	6717
6507/7-A-27	7	3308.000000	3310.100000	[m   ]	144.300000	9	YES	5113	9999-12-31	2013-05-08	6718
6507/7-A-27	8	3310.100000	3337.000000	[m   ]	144.300000	9	YES	5113	9999-12-31	2013-05-08	6719
6507/7-A-27	9	3337.000000	3345.000000	[m   ]	144.300000	9	YES	5113	9999-12-31	2013-05-08	6720
6507/7-A-33	1	3228.000000	3264.900000	[m   ]	47.900000	2	YES	2079	9999-12-31	2013-05-08	6721
6507/7-A-33	2	3265.000000	3276.000000	[m   ]	47.900000	2	YES	2079	9999-12-31	2013-05-08	6722
6507/7-A-35	1	3159.000000	3169.600000	[m   ]	19.400000	5	YES	2252	9999-12-31	2013-05-08	6723
6507/7-A-35	2	3172.000000	3173.500000	[m   ]	19.400000	5	YES	2252	9999-12-31	2013-05-08	6724
6507/7-A-35	3	3176.000000	3176.800000	[m   ]	19.400000	5	YES	2252	9999-12-31	2013-05-08	6725
6507/7-A-35	4	3178.000000	3180.000000	[m   ]	19.400000	5	YES	2252	9999-12-31	2013-05-08	6726
6507/7-A-35	5	3185.000000	3189.600000	[m   ]	19.400000	5	YES	2252	9999-12-31	2013-05-08	6727
6507/7-A-38	1	2293.000000	2318.900000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6728
6507/7-A-38	10	2667.000000	2671.000000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6729
6507/7-A-38	11	2671.000000	2696.100000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6730
6507/7-A-38	12	2708.000000	2714.300000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6731
6507/7-A-38	13	2715.000000	2727.100000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6732
6507/7-A-38	14	2729.500000	2743.500000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6733
6507/7-A-38	15	2744.000000	2750.600000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6734
6507/7-A-38	16	2752.000000	2769.500000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6735
6507/7-A-38	17	2770.500000	2785.100000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6736
6507/7-A-38	18	2786.000000	2801.700000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6737
6507/7-A-38	19	2805.000000	2816.900000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6738
6507/7-A-38	2	2321.000000	2357.800000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6739
6507/7-A-38	20	2825.000000	2852.900000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6740
6507/7-A-38	3	2358.000000	2391.700000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6741
6507/7-A-38	4	2429.000000	2444.700000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6742
6507/7-A-38	5	2446.500000	2482.500000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6743
6507/7-A-38	6	2484.000000	2498.400000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6744
6507/7-A-38	7	2521.000000	2532.700000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6745
6507/7-A-38	8	2533.000000	2544.200000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6746
6507/7-A-38	9	2547.000000	2562.900000	[m   ]	356.700000	20	YES	2305	9999-12-31	2013-05-08	6747
6507/7-A-40	1	2865.500000	2871.500000	[m   ]	101.700000	10	YES	3390	9999-12-31	2013-05-08	6748
6507/7-A-40	10	2990.600000	3007.900000	[m   ]	101.700000	10	YES	3390	9999-12-31	2013-05-08	6749
6507/7-A-40	2	2884.000000	2901.400000	[m   ]	101.700000	10	YES	3390	9999-12-31	2013-05-08	6750
6507/7-A-40	3	2901.500000	2914.500000	[m   ]	101.700000	10	YES	3390	9999-12-31	2013-05-08	6751
6507/7-A-40	4	2916.000000	2918.600000	[m   ]	101.700000	10	YES	3390	9999-12-31	2013-05-08	6752
6507/7-A-40	5	2931.000000	2937.000000	[m   ]	101.700000	10	YES	3390	9999-12-31	2013-05-08	6753
6507/7-A-40	6	2937.000000	2951.700000	[m   ]	101.700000	10	YES	3390	9999-12-31	2013-05-08	6754
6507/7-A-40	7	\N	\N	\N	101.700000	10	YES	3390	9999-12-31	2013-05-08	6755
6507/7-A-40	8	2965.300000	2977.600000	[m   ]	101.700000	10	YES	3390	9999-12-31	2013-05-08	6756
6507/7-A-40	9	2977.700000	2990.100000	[m   ]	101.700000	10	YES	3390	9999-12-31	2013-05-08	6757
6507/7-A-46	1	2652.000000	2669.900000	[m   ]	130.900000	6	YES	2965	9999-12-31	2013-05-08	6758
6507/7-A-46	2	2670.000000	2687.900000	[m   ]	130.900000	6	YES	2965	9999-12-31	2013-05-08	6759
6507/7-A-46	3	2691.000000	2702.500000	[m   ]	130.900000	6	YES	2965	9999-12-31	2013-05-08	6760
6507/7-A-46	4	2702.000000	2729.600000	[m   ]	130.900000	6	YES	2965	9999-12-31	2013-05-08	6761
6507/7-A-46	5	2729.000000	2757.000000	[m   ]	130.900000	6	YES	2965	9999-12-31	2013-05-08	6762
6507/7-A-46	6	2757.000000	2785.000000	[m   ]	130.900000	6	YES	2965	9999-12-31	2013-05-08	6763
6507/7-A-50	1	2991.000000	3019.300000	[m   ]	148.000000	7	YES	2290	9999-12-31	2013-05-08	6764
6507/7-A-50	2	3019.500000	3047.300000	[m   ]	148.000000	7	YES	2290	9999-12-31	2013-05-08	6765
6507/7-A-50	3	3048.000000	3076.400000	[m   ]	148.000000	7	YES	2290	9999-12-31	2013-05-08	6766
6507/7-A-50	4	3076.500000	3095.100000	[m   ]	148.000000	7	YES	2290	9999-12-31	2013-05-08	6767
6507/7-A-50	5	3096.000000	3111.200000	[m   ]	148.000000	7	YES	2290	9999-12-31	2013-05-08	6768
6507/7-A-50	6	3114.000000	3116.400000	[m   ]	148.000000	7	YES	2290	9999-12-31	2013-05-08	6769
6507/7-A-50	7	3117.000000	3144.300000	[m   ]	148.000000	7	YES	2290	9999-12-31	2013-05-08	6770
6507/7-A-52	1	3064.500000	3076.000000	[m   ]	94.500000	7	YES	1731	9999-12-31	2013-05-08	6771
6507/7-A-52	2	3107.000000	3120.000000	[m   ]	94.500000	7	YES	1731	9999-12-31	2013-05-08	6772
6507/7-A-52	3	3135.500000	3143.000000	[m   ]	94.500000	7	YES	1731	9999-12-31	2013-05-08	6773
6507/7-A-52	4	3143.500000	3155.000000	[m   ]	94.500000	7	YES	1731	9999-12-31	2013-05-08	6774
6507/7-A-52	5	3184.500000	3195.000000	[m   ]	94.500000	7	YES	1731	9999-12-31	2013-05-08	6775
6507/7-A-52	6	3195.900000	3223.000000	[m   ]	94.500000	7	YES	1731	9999-12-31	2013-05-08	6776
6507/7-A-52	7	3224.000000	3234.000000	[m   ]	94.500000	7	YES	1731	9999-12-31	2013-05-08	6777
6507/7-A-56	1	3223.000000	3249.200000	[m   ]	56.300000	2	YES	4697	9999-12-31	2013-05-08	6778
6507/7-A-56	2	3250.000000	3280.000000	[m   ]	56.300000	2	YES	4697	9999-12-31	2013-05-08	6779
6507/7-A-9	1	3369.000000	3369.700000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6780
6507/7-A-9	10	3436.000000	3448.500000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6781
6507/7-A-9	11	3448.500000	3451.900000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6782
6507/7-A-9	12	3454.000000	3457.700000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6783
6507/7-A-9	13	3458.000000	3462.300000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6784
6507/7-A-9	14	3462.500000	3476.000000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6785
6507/7-A-9	15	3476.000000	3494.200000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6786
6507/7-A-9	16	3637.000000	3650.000000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6787
6507/7-A-9	2	3370.500000	3371.400000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6788
6507/7-A-9	3	3374.500000	3378.400000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6789
6507/7-A-9	4	3380.000000	3383.900000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6790
6507/7-A-9	5	3384.500000	3386.900000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6791
6507/7-A-9	6	3388.000000	3393.600000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6792
6507/7-A-9	7	3394.000000	3406.400000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6793
6507/7-A-9	8	3406.500000	3416.900000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6794
6507/7-A-9	9	3417.500000	3435.600000	[m   ]	126.700000	16	YES	2805	9999-12-31	2013-05-08	6795
6507/7-B-3 H	1	3200.000000	3230.900000	[m   ]	83.400000	3	YES	2497	9999-12-31	2013-05-08	6796
6507/7-B-3 H	2	3231.000000	3260.500000	[m   ]	83.400000	3	YES	2497	9999-12-31	2013-05-08	6797
6507/7-B-3 H	3	3261.000000	3284.000000	[m   ]	83.400000	3	YES	2497	9999-12-31	2013-05-08	6798
6507/7-C-2 H	1	2533.000000	2561.000000	[m   ]	81.400000	3	YES	2363	9999-12-31	2013-05-08	6799
6507/7-C-2 H	2	2562.000000	2597.100000	[m   ]	81.400000	3	YES	2363	9999-12-31	2013-05-08	6800
6507/7-C-2 H	3	2599.000000	2617.300000	[m   ]	81.400000	3	YES	2363	9999-12-31	2013-05-08	6801
6507/7-C-3 H	1	3089.500000	3120.500000	[m   ]	59.800000	2	YES	2378	9999-12-31	2013-05-08	6802
6507/7-C-3 H	2	3120.500000	3149.300000	[m   ]	59.800000	2	YES	2378	9999-12-31	2013-05-08	6803
6507/8-1	1	\N	0.000000	\N	167.100000	9	YES	933	9999-12-31	2013-05-08	6804
6507/8-1	2	2262.000000	2272.300000	[m   ]	167.100000	9	YES	933	9999-12-31	2013-05-08	6805
6507/8-1	3	2290.000000	2314.500000	[m   ]	167.100000	9	YES	933	9999-12-31	2013-05-08	6806
6507/8-1	4	2316.000000	2343.900000	[m   ]	167.100000	9	YES	933	9999-12-31	2013-05-08	6807
6507/8-1	5	2369.000000	2386.900000	[m   ]	167.100000	9	YES	933	9999-12-31	2013-05-08	6808
6507/8-1	6	2398.000000	2411.600000	[m   ]	167.100000	9	YES	933	9999-12-31	2013-05-08	6809
6507/8-1	7	2417.000000	2434.300000	[m   ]	167.100000	9	YES	933	9999-12-31	2013-05-08	6810
6507/8-1	8	2439.000000	2466.900000	[m   ]	167.100000	9	YES	933	9999-12-31	2013-05-08	6811
6507/8-1	9	2467.000000	2494.800000	[m   ]	167.100000	9	YES	933	9999-12-31	2013-05-08	6812
6507/8-2	1	1894.000000	1913.900000	[m   ]	24.600000	3	YES	1076	9999-12-31	2013-05-08	6813
6507/8-2	2	\N	0.000000	\N	24.600000	3	YES	1076	9999-12-31	2013-05-08	6814
6507/8-2	3	1990.500000	1996.000000	[m   ]	24.600000	3	YES	1076	9999-12-31	2013-05-08	6815
6507/8-3	1	1378.900000	1380.000000	[m   ]	13.500000	2	YES	1309	9999-12-31	2013-05-08	6816
6507/8-3	2	1395.000000	1406.800000	[m   ]	13.500000	2	YES	1309	9999-12-31	2013-05-08	6817
6507/8-4	1	2128.000000	2150.000000	[m   ]	170.300000	11	YES	1340	9999-12-31	2013-05-08	6818
6507/8-4	10	2292.000000	2295.600000	[m   ]	170.300000	11	YES	1340	9999-12-31	2013-05-08	6819
6507/8-4	11	2301.000000	2317.500000	[m   ]	170.300000	11	YES	1340	9999-12-31	2013-05-08	6820
6507/8-4	2	2155.000000	2171.000000	[m   ]	170.300000	11	YES	1340	9999-12-31	2013-05-08	6821
6507/8-4	3	2172.000000	2185.000000	[m   ]	170.300000	11	YES	1340	9999-12-31	2013-05-08	6822
6507/8-4	4	2185.000000	2198.000000	[m   ]	170.300000	11	YES	1340	9999-12-31	2013-05-08	6823
6507/8-4	5	2200.000000	2205.000000	[m   ]	170.300000	11	YES	1340	9999-12-31	2013-05-08	6824
6507/8-4	6	2207.000000	2226.000000	[m   ]	170.300000	11	YES	1340	9999-12-31	2013-05-08	6825
6507/8-4	7	2227.000000	2245.000000	[m   ]	170.300000	11	YES	1340	9999-12-31	2013-05-08	6826
6507/8-4	8	2246.000000	2264.000000	[m   ]	170.300000	11	YES	1340	9999-12-31	2013-05-08	6827
6507/8-4	9	2265.000000	2291.200000	[m   ]	170.300000	11	YES	1340	9999-12-31	2013-05-08	6828
6507/8-5	1	1857.700000	1879.300000	[m   ]	21.600000	1	YES	1749	9999-12-31	2013-05-08	6829
6507/8-6	1	2054.000000	2059.300000	[m   ]	5.300000	1	YES	2183	9999-12-31	2013-05-08	6830
6507/8-D-3 AH	1	2888.000000	2901.600000	[m   ]	66.800000	8	YES	4400	9999-12-31	2013-05-08	6831
6507/8-D-3 AH	2	2902.500000	2916.400000	[m   ]	66.800000	8	YES	4400	9999-12-31	2013-05-08	6832
6507/8-D-3 AH	3	2917.000000	2929.000000	[m   ]	66.800000	8	YES	4400	9999-12-31	2013-05-08	6833
6507/8-D-3 AH	4	2930.000000	2933.500000	[m   ]	66.800000	8	YES	4400	9999-12-31	2013-05-08	6834
6507/8-D-3 AH	5	2934.000000	2937.500000	[m   ]	66.800000	8	YES	4400	9999-12-31	2013-05-08	6835
6507/8-D-3 AH	6	2938.000000	2945.400000	[m   ]	66.800000	8	YES	4400	9999-12-31	2013-05-08	6836
6507/8-D-3 AH	7	2947.500000	2954.200000	[m   ]	66.800000	8	YES	4400	9999-12-31	2013-05-08	6837
6507/8-D-3 AH	8	2956.500000	2962.800000	[m   ]	66.800000	8	YES	4400	9999-12-31	2013-05-08	6838
6507/8-D-3 H	1	2832.000000	2833.600000	[m   ]	11.300000	3	YES	3969	9999-12-31	2013-05-08	6839
6507/8-D-3 H	2	2859.000000	2861.100000	[m   ]	11.300000	3	YES	3969	9999-12-31	2013-05-08	6840
6507/8-D-3 H	3	2875.000000	2882.600000	[m   ]	11.300000	3	YES	3969	9999-12-31	2013-05-08	6841
6507/8-D-4 BH	1	3539.000000	3562.700000	[m   ]	42.900000	2	YES	4467	9999-12-31	2013-05-08	6842
6507/8-D-4 BH	2	3566.000000	3585.200000	[m   ]	42.900000	2	YES	4467	9999-12-31	2013-05-08	6843
6508/5-1	1	1786.000000	1798.200000	[m   ]	12.200000	1	YES	1044	9999-12-31	2013-05-08	6844
6510/2-1	1	1827.000000	1837.200000	[m   ]	26.500000	3	YES	3166	9999-12-31	2013-05-08	6845
6510/2-1	2	2126.000000	2142.300000	[m   ]	26.500000	3	YES	3166	9999-12-31	2013-05-08	6846
6603/12-1	1	3714.000000	3732.500000	[m   ]	18.500000	1	YES	5985	9999-12-31	2013-05-08	6847
6604/10-1	1	3601.400000	3655.300000	[m   ]	53.900000	1	YES	6356	9999-12-31	2013-05-08	6848
6605/1-1	1	3239.000000	3250.400000	[m   ]	23.500000	2	YES	5979	9999-12-31	2013-05-08	6849
6605/1-1	2	3254.000000	3266.100000	[m   ]	23.500000	2	YES	5979	9999-12-31	2013-05-08	6850
6605/8-1	1	4190.000000	4199.000000	[m   ]	9.000000	1	YES	4984	9999-12-31	2013-05-08	6851
6605/8-2	1	3893.000000	3920.600000	[m   ]	47.500000	3	YES	5812	9999-12-31	2013-05-08	6852
6605/8-2	2	3921.000000	3928.200000	[m   ]	47.500000	3	YES	5812	9999-12-31	2013-05-08	6853
6605/8-2	3	3929.000000	3941.800000	[m   ]	47.500000	3	YES	5812	9999-12-31	2013-05-08	6854
6607/12-1	1	1409.000000	1417.600000	[m   ]	17.200000	1	YES	925	9999-12-31	2013-05-08	6855
6607/5-1	1	2975.000000	2982.700000	[m   ]	24.000000	2	YES	1064	9999-12-31	2013-05-08	6856
6607/5-1	2	3405.700000	3422.500000	[m   ]	24.000000	2	YES	1064	9999-12-31	2013-05-08	6857
6607/5-2	1	4161.000000	4188.300000	[m   ]	17.300000	1	YES	1789	9999-12-31	2013-05-08	6858
6608/10-1	1	2885.000000	2897.300000	[m   ]	61.200000	3	YES	1391	9999-12-31	2013-05-08	6859
6608/10-1	2	3063.000000	3090.200000	[m   ]	61.200000	3	YES	1391	9999-12-31	2013-05-08	6860
6608/10-1	3	3163.000000	3184.800000	[m   ]	61.200000	3	YES	1391	9999-12-31	2013-05-08	6861
6608/10-12	1	2777.000000	2797.400000	[m   ]	92.000000	5	YES	5949	9999-12-31	2013-05-08	6862
6608/10-12	2	2797.400000	2811.800000	[m   ]	92.000000	5	YES	5949	9999-12-31	2013-05-08	6863
6608/10-12	3	2812.400000	2826.600000	[m   ]	92.000000	5	YES	5949	9999-12-31	2013-05-08	6864
6608/10-12	4	2827.000000	2845.200000	[m   ]	92.000000	5	YES	5949	9999-12-31	2013-05-08	6865
6608/10-12	5	2845.200000	2870.000000	[m   ]	92.000000	5	YES	5949	9999-12-31	2013-05-08	6866
6608/10-14 S	1	2437.000000	2463.800000	[m   ]	207.500000	5	YES	6306	9999-12-31	2013-05-08	6867
6608/10-14 S	2	2549.500000	2604.500000	[m   ]	207.500000	5	YES	6306	9999-12-31	2013-05-08	6868
6608/10-14 S	3	2605.000000	2659.000000	[m   ]	207.500000	5	YES	6306	9999-12-31	2013-05-08	6869
6608/10-14 S	4	2659.000000	2704.500000	[m   ]	207.500000	5	YES	6306	9999-12-31	2013-05-08	6870
6608/10-14 S	5	2705.500000	2731.700000	[m   ]	207.500000	5	YES	6306	9999-12-31	2013-05-08	6871
6608/10-2	1	2590.000000	2616.700000	[m   ]	141.500000	6	YES	1782	9999-12-31	2013-05-08	6872
6608/10-2	2	2617.600000	2641.000000	[m   ]	141.500000	6	YES	1782	9999-12-31	2013-05-08	6873
6608/10-2	3	2646.000000	2673.800000	[m   ]	141.500000	6	YES	1782	9999-12-31	2013-05-08	6874
6608/10-2	4	2674.000000	2681.800000	[m   ]	141.500000	6	YES	1782	9999-12-31	2013-05-08	6875
6608/10-2	5	2686.000000	2714.200000	[m   ]	141.500000	6	YES	1782	9999-12-31	2013-05-08	6876
6608/10-2	6	2714.200000	2741.800000	[m   ]	141.500000	6	YES	1782	9999-12-31	2013-05-08	6877
6608/10-3	1	2560.000000	2576.400000	[m   ]	203.900000	11	YES	1732	9999-12-31	2013-05-08	6878
6608/10-3	10	2710.600000	2738.000000	[m   ]	203.900000	11	YES	1732	9999-12-31	2013-05-08	6879
6608/10-3	11	2738.600000	2765.000000	[m   ]	203.900000	11	YES	1732	9999-12-31	2013-05-08	6880
6608/10-3	2	2576.400000	2604.000000	[m   ]	203.900000	11	YES	1732	9999-12-31	2013-05-08	6881
6608/10-3	3	2604.000000	2605.000000	[m   ]	203.900000	11	YES	1732	9999-12-31	2013-05-08	6882
6608/10-3	4	2618.000000	2622.000000	[m   ]	203.900000	11	YES	1732	9999-12-31	2013-05-08	6883
6608/10-3	5	2627.000000	2652.700000	[m   ]	203.900000	11	YES	1732	9999-12-31	2013-05-08	6884
6608/10-3	6	2653.000000	2680.100000	[m   ]	203.900000	11	YES	1732	9999-12-31	2013-05-08	6885
6608/10-3	7	2680.100000	2702.000000	[m   ]	203.900000	11	YES	1732	9999-12-31	2013-05-08	6886
6608/10-3	8	2703.000000	2704.000000	[m   ]	203.900000	11	YES	1732	9999-12-31	2013-05-08	6887
6608/10-3	9	2705.000000	2710.600000	[m   ]	203.900000	11	YES	1732	9999-12-31	2013-05-08	6888
6608/10-4	1	\N	0.000000	\N	145.600000	8	YES	2256	9999-12-31	2013-05-08	6889
6608/10-4	2	2560.000000	2586.200000	[m   ]	145.600000	8	YES	2256	9999-12-31	2013-05-08	6890
6608/10-4	3	2587.000000	2615.200000	[m   ]	145.600000	8	YES	2256	9999-12-31	2013-05-08	6891
6608/10-4	4	2615.200000	2641.900000	[m   ]	145.600000	8	YES	2256	9999-12-31	2013-05-08	6892
6608/10-4	5	2642.000000	2660.000000	[m   ]	145.600000	8	YES	2256	9999-12-31	2013-05-08	6893
6608/10-4	6	2660.000000	2673.000000	[m   ]	145.600000	8	YES	2256	9999-12-31	2013-05-08	6894
6608/10-4	7	2673.000000	2682.500000	[m   ]	145.600000	8	YES	2256	9999-12-31	2013-05-08	6895
6608/10-4	8	2683.000000	2707.100000	[m   ]	145.600000	8	YES	2256	9999-12-31	2013-05-08	6896
6608/10-6	1	1827.000000	1834.000000	[m   ]	127.800000	10	YES	3260	9999-12-31	2013-05-08	6897
6608/10-6	10	1956.000000	1971.500000	[m   ]	127.800000	10	YES	3260	9999-12-31	2013-05-08	6898
6608/10-6	2	1838.000000	1839.900000	[m   ]	127.800000	10	YES	3260	9999-12-31	2013-05-08	6899
6608/10-6	3	1843.000000	1862.300000	[m   ]	127.800000	10	YES	3260	9999-12-31	2013-05-08	6900
6608/10-6	4	1862.300000	1877.100000	[m   ]	127.800000	10	YES	3260	9999-12-31	2013-05-08	6901
6608/10-6	5	1878.000000	1892.800000	[m   ]	127.800000	10	YES	3260	9999-12-31	2013-05-08	6902
6608/10-6	6	1897.000000	1898.300000	[m   ]	127.800000	10	YES	3260	9999-12-31	2013-05-08	6903
6608/10-6	7	1900.000000	1923.300000	[m   ]	127.800000	10	YES	3260	9999-12-31	2013-05-08	6904
6608/10-6	8	1923.300000	1935.200000	[m   ]	127.800000	10	YES	3260	9999-12-31	2013-05-08	6905
6608/10-6	9	1936.000000	1954.200000	[m   ]	127.800000	10	YES	3260	9999-12-31	2013-05-08	6906
6608/10-7	1	1955.000000	1966.100000	[m   ]	139.100000	8	YES	4273	9999-12-31	2013-05-08	6907
6608/10-7	2	1973.500000	1986.900000	[m   ]	139.100000	8	YES	4273	9999-12-31	2013-05-08	6908
6608/10-7	3	1987.000000	1993.700000	[m   ]	139.100000	8	YES	4273	9999-12-31	2013-05-08	6909
6608/10-7	4	1993.500000	1998.700000	[m   ]	139.100000	8	YES	4273	9999-12-31	2013-05-08	6910
6608/10-7	5	1998.300000	2024.200000	[m   ]	139.100000	8	YES	4273	9999-12-31	2013-05-08	6911
6608/10-7	6	2024.200000	2052.200000	[m   ]	139.100000	8	YES	4273	9999-12-31	2013-05-08	6912
6608/10-7	7	2052.200000	2074.000000	[m   ]	139.100000	8	YES	4273	9999-12-31	2013-05-08	6913
6608/10-7	8	2074.000000	2101.000000	[m   ]	139.100000	8	YES	4273	9999-12-31	2013-05-08	6914
6608/10-8	1	2295.000000	2319.500000	[m   ]	94.200000	7	YES	4439	9999-12-31	2013-05-08	6915
6608/10-8	2	2371.000000	2397.100000	[m   ]	94.200000	7	YES	4439	9999-12-31	2013-05-08	6916
6608/10-8	3	2398.000000	2412.200000	[m   ]	94.200000	7	YES	4439	9999-12-31	2013-05-08	6917
6608/10-8	4	2424.000000	2433.600000	[m   ]	94.200000	7	YES	4439	9999-12-31	2013-05-08	6918
6608/10-8	5	2435.000000	2437.800000	[m   ]	94.200000	7	YES	4439	9999-12-31	2013-05-08	6919
6608/10-8	6	2438.000000	2451.700000	[m   ]	94.200000	7	YES	4439	9999-12-31	2013-05-08	6920
6608/10-8	7	2452.000000	2455.400000	[m   ]	94.200000	7	YES	4439	9999-12-31	2013-05-08	6921
6608/10-9	1	2140.000000	2163.000000	[m   ]	33.300000	2	YES	4668	9999-12-31	2013-05-08	6922
6608/10-9	2	2164.000000	2174.300000	[m   ]	33.300000	2	YES	4668	9999-12-31	2013-05-08	6923
6608/10-C-4 H	1	2584.000000	2587.300000	[m   ]	39.000000	2	YES	2911	9999-12-31	2013-05-08	6924
6608/10-C-4 H	2	2588.000000	2623.700000	[m   ]	39.000000	2	YES	2911	9999-12-31	2013-05-08	6925
6608/10-D-1 H	1	3083.000000	3137.800000	[m   ]	308.900000	7	YES	2912	9999-12-31	2013-05-08	6926
6608/10-D-1 H	2	3138.000000	3171.900000	[m   ]	308.900000	7	YES	2912	9999-12-31	2013-05-08	6927
6608/10-D-1 H	3	3172.000000	3226.900000	[m   ]	308.900000	7	YES	2912	9999-12-31	2013-05-08	6928
6608/10-D-1 H	4	3226.000000	3274.500000	[m   ]	308.900000	7	YES	2912	9999-12-31	2013-05-08	6929
6608/10-D-1 H	5	3274.500000	3284.800000	[m   ]	308.900000	7	YES	2912	9999-12-31	2013-05-08	6930
6608/10-D-1 H	6	3285.000000	3335.100000	[m   ]	308.900000	7	YES	2912	9999-12-31	2013-05-08	6931
6608/10-D-1 H	7	3336.000000	3392.400000	[m   ]	308.900000	7	YES	2912	9999-12-31	2013-05-08	6932
6608/10-E-2 BH	1	3984.000000	4001.700000	[m   ]	85.400000	5	YES	5699	9999-12-31	2013-05-08	6933
6608/10-E-2 BH	2	4002.000000	4014.000000	[m   ]	85.400000	5	YES	5699	9999-12-31	2013-05-08	6934
6608/10-E-2 BH	3	4029.000000	4054.500000	[m   ]	85.400000	5	YES	5699	9999-12-31	2013-05-08	6935
6608/10-E-2 BH	4	4056.000000	4072.300000	[m   ]	85.400000	5	YES	5699	9999-12-31	2013-05-08	6936
6608/10-E-2 BH	5	4079.000000	4092.900000	[m   ]	85.400000	5	YES	5699	9999-12-31	2013-05-08	6937
6608/10-F-1 H	1	2892.000000	2947.200000	[m   ]	92.300000	2	YES	3751	9999-12-31	2013-05-08	6938
6608/10-F-1 H	2	2948.000000	2985.000000	[m   ]	92.300000	2	YES	3751	9999-12-31	2013-05-08	6939
6608/10-H-3 H	1	2467.000000	2470.300000	[m   ]	37.800000	3	YES	5002	9999-12-31	2013-05-08	6940
6608/10-H-3 H	2	2473.000000	2499.900000	[m   ]	37.800000	3	YES	5002	9999-12-31	2013-05-08	6941
6608/10-H-3 H	3	2500.000000	2507.600000	[m   ]	37.800000	3	YES	5002	9999-12-31	2013-05-08	6942
6608/11-1	1	1372.000000	1397.700000	[m   ]	25.700000	1	YES	936	9999-12-31	2013-05-08	6943
6608/11-2	1	1742.000000	1756.100000	[m   ]	70.300000	4	YES	4189	9999-12-31	2013-05-08	6944
6608/11-2	2	1757.000000	1760.200000	[m   ]	70.300000	4	YES	4189	9999-12-31	2013-05-08	6945
6608/11-2	3	1760.000000	1763.700000	[m   ]	70.300000	4	YES	4189	9999-12-31	2013-05-08	6946
6608/11-2	4	1765.000000	1766.700000	[m   ]	70.300000	4	YES	4189	9999-12-31	2013-05-08	6947
6608/11-3	1	1985.000000	1991.100000	[m   ]	6.100000	1	YES	4630	9999-12-31	2013-05-08	6948
6608/11-4	1	1662.000000	1681.000000	[m   ]	44.200000	2	YES	4939	9999-12-31	2013-05-08	6949
6608/11-4	2	1688.000000	1713.300000	[m   ]	44.200000	2	YES	4939	9999-12-31	2013-05-08	6950
6608/11-5	1	1559.000000	1571.800000	[m   ]	12.800000	1	YES	5316	9999-12-31	2013-05-08	6951
6608/8-1	1	1833.000000	1833.400000	[m   ]	17.800000	4	YES	2974	9999-12-31	2013-05-08	6952
6608/8-1	2	1834.000000	1842.800000	[m   ]	17.800000	4	YES	2974	9999-12-31	2013-05-08	6953
6608/8-1	3	2766.000000	2767.800000	[m   ]	17.800000	4	YES	2974	9999-12-31	2013-05-08	6954
6608/8-1	4	2768.000000	2774.800000	[m   ]	17.800000	4	YES	2974	9999-12-31	2013-05-08	6955
6609/10-1	1	1644.000000	1655.700000	[m   ]	21.000000	2	YES	24	9999-12-31	2013-05-08	6956
6609/10-1	2	1798.000000	1807.400000	[m   ]	21.000000	2	YES	24	9999-12-31	2013-05-08	6957
6609/11-1	1	2548.000000	2566.500000	[m   ]	35.600000	2	YES	15	9999-12-31	2013-05-08	6958
6609/11-1	2	2717.000000	2735.000000	[m   ]	35.600000	2	YES	15	9999-12-31	2013-05-08	6959
6609/5-1	1	3009.000000	3020.400000	[m   ]	17.400000	1	YES	445	9999-12-31	2013-05-08	6960
6609/7-1	1	1944.200000	1946.000000	[m   ]	2.800000	2	YES	19	9999-12-31	2013-05-08	6961
6609/7-1	2	1968.000000	1969.000000	[m   ]	2.800000	2	YES	19	9999-12-31	2013-05-08	6962
6610/2-1 S	1	2051.000000	2079.900000	[m   ]	59.200000	3	YES	2874	9999-12-31	2013-05-08	6963
6610/2-1 S	2	2328.000000	2329.800000	[m   ]	59.200000	3	YES	2874	9999-12-31	2013-05-08	6964
6610/2-1 S	3	2330.000000	2358.400000	[m   ]	59.200000	3	YES	2874	9999-12-31	2013-05-08	6965
6610/3-1	1	1580.000000	1584.800000	[m   ]	82.200000	11	YES	1864	9999-12-31	2013-05-08	6966
6610/3-1	2	1708.000000	1714.700000	[m   ]	82.200000	11	YES	1864	9999-12-31	2013-05-08	6967
6610/3-1	3	2292.000000	2301.200000	[m   ]	82.200000	11	YES	1864	9999-12-31	2013-05-08	6968
6610/3-1	4	2301.200000	2305.300000	[m   ]	82.200000	11	YES	1864	9999-12-31	2013-05-08	6969
6610/3-1	5	2305.500000	2313.900000	[m   ]	82.200000	11	YES	1864	9999-12-31	2013-05-08	6970
6610/3-1	6	2514.000000	2531.500000	[m   ]	82.200000	11	YES	1864	9999-12-31	2013-05-08	6971
6610/3-1	7	2661.000000	2668.100000	[m   ]	82.200000	11	YES	1864	9999-12-31	2013-05-08	6972
6610/3-1	8	2668.100000	2692.500000	[m   ]	82.200000	11	YES	1864	9999-12-31	2013-05-08	6973
6610/3-1 R	2	3315.000000	3324.300000	[m   ]	20.300000	3	YES	2193	9999-12-31	2013-05-08	6974
6610/3-1 R	3	3720.000000	3724.400000	[m   ]	20.300000	3	YES	2193	9999-12-31	2013-05-08	6975
6610/7-1	1	2183.000000	2200.600000	[m   ]	61.700000	4	YES	12	9999-12-31	2013-05-08	6976
6610/7-1	2	2661.000000	2677.000000	[m   ]	61.700000	4	YES	12	9999-12-31	2013-05-08	6977
6610/7-1	3	2677.500000	2686.500000	[m   ]	61.700000	4	YES	12	9999-12-31	2013-05-08	6978
6610/7-1	4	2706.000000	2725.200000	[m   ]	61.700000	4	YES	12	9999-12-31	2013-05-08	6979
6610/7-2	1	1498.000000	1507.000000	[m   ]	24.000000	2	YES	26	9999-12-31	2013-05-08	6980
6610/7-2	2	4180.000000	4195.000000	[m   ]	24.000000	2	YES	26	9999-12-31	2013-05-08	6981
6704/12-1	1	2554.000000	2574.700000	[m   ]	35.100000	3	NO	3759	9999-12-31	2013-05-08	6982
6704/12-1	2	2997.000000	3005.400000	[m   ]	35.100000	3	NO	3759	9999-12-31	2013-05-08	6983
6704/12-1	3	4097.000000	4103.000000	[m   ]	35.100000	3	NO	3759	9999-12-31	2013-05-08	6984
6705/10-1	1	3226.000000	3252.200000	[m   ]	101.100000	4	YES	6044	9999-12-31	2013-05-08	6985
6705/10-1	2	3252.200000	3279.400000	[m   ]	101.100000	4	YES	6044	9999-12-31	2013-05-08	6986
6705/10-1	3	3279.500000	3305.400000	[m   ]	101.100000	4	YES	6044	9999-12-31	2013-05-08	6987
6705/10-1	4	3305.500000	3327.300000	[m   ]	101.100000	4	YES	6044	9999-12-31	2013-05-08	6988
6706/11-1	1	2297.000000	2304.200000	[m   ]	58.500000	5	YES	3202	9999-12-31	2013-05-08	6989
6706/11-1	2	2306.500000	2323.000000	[m   ]	58.500000	5	YES	3202	9999-12-31	2013-05-08	6990
6706/11-1	3	3107.500000	3112.000000	[m   ]	58.500000	5	YES	3202	9999-12-31	2013-05-08	6991
6706/11-1	4	3112.000000	3136.700000	[m   ]	58.500000	5	YES	3202	9999-12-31	2013-05-08	6992
6706/11-1	5	3744.000000	3749.600000	[m   ]	58.500000	5	YES	3202	9999-12-31	2013-05-08	6993
6706/12-1	1	2628.000000	2645.000000	[m   ]	111.000000	6	YES	5867	9999-12-31	2013-05-08	6994
6706/12-1	2	2646.000000	2664.000000	[m   ]	111.000000	6	YES	5867	9999-12-31	2013-05-08	6995
6706/12-1	3	2664.000000	2682.200000	[m   ]	111.000000	6	YES	5867	9999-12-31	2013-05-08	6996
6706/12-1	4	2682.200000	2699.800000	[m   ]	111.000000	6	YES	5867	9999-12-31	2013-05-08	6997
6706/12-1	5	2700.000000	2713.300000	[m   ]	111.000000	6	YES	5867	9999-12-31	2013-05-08	6998
6706/12-1	6	3534.000000	3560.900000	[m   ]	111.000000	6	YES	5867	9999-12-31	2013-05-08	6999
6706/6-1	1	3277.000000	3283.600000	[m   ]	6.600000	1	NO	4705	9999-12-31	2013-05-08	7000
6707/10-1	1	2967.000000	2986.000000	[m   ]	193.600000	10	YES	3075	9999-12-31	2013-05-08	7001
6707/10-1	10	4118.000000	4138.200000	[m   ]	193.600000	10	YES	3075	9999-12-31	2013-05-08	7002
6707/10-1	2	2985.400000	3011.800000	[m   ]	193.600000	10	YES	3075	9999-12-31	2013-05-08	7003
6707/10-1	3	3012.500000	3026.700000	[m   ]	193.600000	10	YES	3075	9999-12-31	2013-05-08	7004
6707/10-1	4	3030.000000	3047.500000	[m   ]	193.600000	10	YES	3075	9999-12-31	2013-05-08	7005
6707/10-1	5	3048.500000	3065.400000	[m   ]	193.600000	10	YES	3075	9999-12-31	2013-05-08	7006
6707/10-1	6	3066.000000	3083.500000	[m   ]	193.600000	10	YES	3075	9999-12-31	2013-05-08	7007
6707/10-1	7	3085.000000	3107.200000	[m   ]	193.600000	10	YES	3075	9999-12-31	2013-05-08	7008
6707/10-1	8	3107.000000	3127.600000	[m   ]	193.600000	10	YES	3075	9999-12-31	2013-05-08	7009
6707/10-1	9	3127.600000	3146.600000	[m   ]	193.600000	10	YES	3075	9999-12-31	2013-05-08	7010
6707/10-2 A	1	4434.000000	4461.000000	[m   ]	53.800000	2	YES	5931	9999-12-31	2013-05-08	7011
6707/10-2 A	2	4461.000000	4487.800000	[m   ]	53.800000	2	YES	5931	9999-12-31	2013-05-08	7012
6707/10-2 S	1	3158.000000	3176.400000	[m   ]	146.100000	8	YES	5918	9999-12-31	2013-05-08	7013
6707/10-2 S	2	3177.000000	3194.000000	[m   ]	146.100000	8	YES	5918	9999-12-31	2013-05-08	7014
6707/10-2 S	3	3195.200000	3213.900000	[m   ]	146.100000	8	YES	5918	9999-12-31	2013-05-08	7015
6707/10-2 S	4	3214.000000	3231.800000	[m   ]	146.100000	8	YES	5918	9999-12-31	2013-05-08	7016
6707/10-2 S	5	3232.000000	3247.300000	[m   ]	146.100000	8	YES	5918	9999-12-31	2013-05-08	7017
6707/10-2 S	6	3246.000000	3263.900000	[m   ]	146.100000	8	YES	5918	9999-12-31	2013-05-08	7018
6707/10-2 S	7	3264.000000	3281.000000	[m   ]	146.100000	8	YES	5918	9999-12-31	2013-05-08	7019
6707/10-2 S	8	3282.000000	3306.200000	[m   ]	146.100000	8	YES	5918	9999-12-31	2013-05-08	7020
6710/10-1	1	1095.000000	1111.800000	[m   ]	22.800000	2	YES	3941	9999-12-31	2013-05-08	7021
6710/10-1	2	1456.000000	1462.000000	[m   ]	22.800000	2	YES	3941	9999-12-31	2013-05-08	7022
7/1-1	1	7360.000000	7385.000000	[ft  ]	16.400000	2	YES	192	9999-12-31	2013-05-08	7023
7/1-1	2	8042.000000	8100.000000	[ft  ]	16.400000	2	YES	192	9999-12-31	2013-05-08	7024
7/11-1	1	9589.000000	9618.500000	[ft  ]	19.700000	3	YES	149	2013-01-15	2013-05-08	7025
7/11-1	2	9622.000000	9644.000000	[ft  ]	19.700000	3	YES	149	2013-01-15	2013-05-08	7026
7/11-1	3	9688.000000	9701.000000	[ft  ]	19.700000	3	YES	149	2013-01-15	2013-05-08	7027
7/11-10 S	1	4350.000000	4359.300000	[m   ]	35.400000	3	YES	1563	9999-12-31	2013-05-08	7028
7/11-10 S	2	4366.000000	4388.700000	[m   ]	35.400000	3	YES	1563	9999-12-31	2013-05-08	7029
7/11-10 S	3	4389.000000	4402.500000	[m   ]	35.400000	3	YES	1563	9999-12-31	2013-05-08	7030
7/11-11 S	1	4479.000000	4533.500000	[m   ]	109.500000	2	YES	5474	9999-12-31	2013-05-08	7031
7/11-11 S	2	4533.500000	4588.300000	[m   ]	109.500000	2	YES	5474	9999-12-31	2013-05-08	7032
7/11-2	1	3030.600000	3046.200000	[m   ]	15.500000	1	YES	156	2013-01-15	2013-05-08	7033
7/11-3	1	3074.200000	3082.000000	[m   ]	36.900000	3	YES	159	2013-01-19	2013-05-08	7034
7/11-3	2	3092.800000	3105.000000	[m   ]	36.900000	3	YES	159	2013-01-19	2013-05-08	7035
7/11-3	3	3160.300000	3177.200000	[m   ]	36.900000	3	YES	159	2013-01-19	2013-05-08	7036
7/11-5	1	4159.000000	4176.200000	[m   ]	61.400000	5	YES	42	9999-12-31	2013-05-08	7037
7/11-5	2	4177.100000	4185.800000	[m   ]	61.400000	5	YES	42	9999-12-31	2013-05-08	7038
7/11-5	3	4185.800000	4194.800000	[m   ]	61.400000	5	YES	42	9999-12-31	2013-05-08	7039
7/11-5	4	4195.000000	4212.900000	[m   ]	61.400000	5	YES	42	9999-12-31	2013-05-08	7040
7/11-5	5	4213.000000	4230.700000	[m   ]	61.400000	5	YES	42	9999-12-31	2013-05-08	7041
7/11-6	1	4100.000000	4117.700000	[m   ]	57.600000	4	YES	86	9999-12-31	2013-05-08	7042
7/11-6	2	4118.000000	4131.100000	[m   ]	57.600000	4	YES	86	9999-12-31	2013-05-08	7043
7/11-6	3	4131.100000	4149.400000	[m   ]	57.600000	4	YES	86	9999-12-31	2013-05-08	7044
7/11-6	4	4149.400000	4157.800000	[m   ]	57.600000	4	YES	86	9999-12-31	2013-05-08	7045
7/11-7	1	14923.000000	14959.000000	[ft  ]	68.700000	6	YES	57	9999-12-31	2013-05-08	7046
7/11-7	2	14961.000000	14966.000000	[ft  ]	68.700000	6	YES	57	9999-12-31	2013-05-08	7047
7/11-7	3	14966.000000	14995.000000	[ft  ]	68.700000	6	YES	57	9999-12-31	2013-05-08	7048
7/11-7	4	15012.000000	15051.000000	[ft  ]	68.700000	6	YES	57	9999-12-31	2013-05-08	7049
7/11-7	5	15052.000000	15103.000000	[ft  ]	68.700000	6	YES	57	9999-12-31	2013-05-08	7050
7/11-7	6	15105.000000	15152.000000	[ft  ]	68.700000	6	YES	57	9999-12-31	2013-05-08	7051
7/11-8	1	2725.000000	2744.000000	[m   ]	19.000000	1	YES	30	9999-12-31	2013-05-08	7052
7/11-9	1	4166.000000	4179.000000	[m   ]	43.700000	3	YES	856	9999-12-31	2013-05-08	7053
7/11-9	2	4179.000000	4190.000000	[m   ]	43.700000	3	YES	856	9999-12-31	2013-05-08	7054
7/11-9	3	4191.000000	4209.700000	[m   ]	43.700000	3	YES	856	9999-12-31	2013-05-08	7055
7/11-A-5	1	9450.000000	9475.000000	[ft  ]	55.800000	4	YES	836	9999-12-31	2013-05-08	7056
7/11-A-5	2	9475.000000	9535.000000	[ft  ]	55.800000	4	YES	836	9999-12-31	2013-05-08	7057
7/11-A-5	3	9535.000000	9573.000000	[ft  ]	55.800000	4	YES	836	9999-12-31	2013-05-08	7058
7/11-A-5	4	9573.000000	9633.000000	[ft  ]	55.800000	4	YES	836	9999-12-31	2013-05-08	7059
7/12-10	1	3616.000000	3627.800000	[m   ]	38.800000	2	YES	1557	9999-12-31	2013-05-08	7060
7/12-10	2	3628.000000	3655.000000	[m   ]	38.800000	2	YES	1557	9999-12-31	2013-05-08	7061
7/12-11	1	3802.700000	3812.000000	[m   ]	9.300000	1	YES	1787	9999-12-31	2013-05-08	7062
7/12-2	1	3385.800000	3404.000000	[m   ]	106.500000	11	YES	295	9999-12-31	2013-05-08	7063
7/12-2	10	3458.900000	3476.900000	[m   ]	106.500000	11	YES	295	9999-12-31	2013-05-08	7064
7/12-2	11	3634.200000	3652.300000	[m   ]	106.500000	11	YES	295	9999-12-31	2013-05-08	7065
7/12-2	2	3404.000000	3414.000000	[m   ]	106.500000	11	YES	295	9999-12-31	2013-05-08	7066
7/12-2	3	3414.000000	3417.200000	[m   ]	106.500000	11	YES	295	9999-12-31	2013-05-08	7067
7/12-2	4	3417.200000	3420.500000	[m   ]	106.500000	11	YES	295	9999-12-31	2013-05-08	7068
7/12-2	5	3421.700000	3429.000000	[m   ]	106.500000	11	YES	295	9999-12-31	2013-05-08	7069
7/12-2	6	3430.000000	3438.500000	[m   ]	106.500000	11	YES	295	9999-12-31	2013-05-08	7070
7/12-2	7	3439.100000	3440.200000	[m   ]	106.500000	11	YES	295	9999-12-31	2013-05-08	7071
7/12-2	8	3440.300000	3449.800000	[m   ]	106.500000	11	YES	295	9999-12-31	2013-05-08	7072
7/12-2	9	3449.800000	3458.900000	[m   ]	106.500000	11	YES	295	9999-12-31	2013-05-08	7073
7/12-3	1	3612.200000	3628.600000	[m   ]	16.400000	1	YES	296	9999-12-31	2013-05-08	7074
7/12-3 A	1	3642.500000	3660.000000	[m   ]	85.100000	7	YES	297	9999-12-31	2013-05-08	7075
7/12-3 A	2	3660.000000	3678.300000	[m   ]	85.100000	7	YES	297	9999-12-31	2013-05-08	7076
7/12-3 A	3	3678.300000	3692.200000	[m   ]	85.100000	7	YES	297	9999-12-31	2013-05-08	7077
7/12-3 A	4	3692.200000	3697.600000	[m   ]	85.100000	7	YES	297	9999-12-31	2013-05-08	7078
7/12-3 A	5	3697.600000	3698.000000	[m   ]	85.100000	7	YES	297	9999-12-31	2013-05-08	7079
7/12-3 A	6	3700.000000	3718.000000	[m   ]	85.100000	7	YES	297	9999-12-31	2013-05-08	7080
7/12-3 A	7	3718.000000	3730.000000	[m   ]	85.100000	7	YES	297	9999-12-31	2013-05-08	7081
7/12-4	1	3447.500000	3465.800000	[m   ]	108.200000	7	YES	298	9999-12-31	2013-05-08	7082
7/12-4	2	3465.800000	3474.500000	[m   ]	108.200000	7	YES	298	9999-12-31	2013-05-08	7083
7/12-4	3	3474.500000	3491.500000	[m   ]	108.200000	7	YES	298	9999-12-31	2013-05-08	7084
7/12-4	4	3492.500000	3510.700000	[m   ]	108.200000	7	YES	298	9999-12-31	2013-05-08	7085
7/12-4	5	3510.700000	3519.700000	[m   ]	108.200000	7	YES	298	9999-12-31	2013-05-08	7086
7/12-4	6	3519.700000	3538.400000	[m   ]	108.200000	7	YES	298	9999-12-31	2013-05-08	7087
7/12-4	7	3538.400000	3556.700000	[m   ]	108.200000	7	YES	298	9999-12-31	2013-05-08	7088
7/12-5	1	3844.500000	3862.700000	[m   ]	67.800000	4	YES	299	9999-12-31	2013-05-08	7089
7/12-5	2	3862.700000	3876.400000	[m   ]	67.800000	4	YES	299	9999-12-31	2013-05-08	7090
7/12-5	3	3876.300000	3894.300000	[m   ]	67.800000	4	YES	299	9999-12-31	2013-05-08	7091
7/12-5	4	3894.300000	3912.200000	[m   ]	67.800000	4	YES	299	9999-12-31	2013-05-08	7092
7/12-6	1	3406.700000	3434.300000	[m   ]	240.100000	9	YES	281	9999-12-31	2013-05-08	7093
7/12-6	2	3434.300000	3461.300000	[m   ]	240.100000	9	YES	281	9999-12-31	2013-05-08	7094
7/12-6	3	3461.600000	3488.600000	[m   ]	240.100000	9	YES	281	9999-12-31	2013-05-08	7095
7/12-6	4	3488.600000	3515.500000	[m   ]	240.100000	9	YES	281	9999-12-31	2013-05-08	7096
7/12-6	5	3515.500000	3542.800000	[m   ]	240.100000	9	YES	281	9999-12-31	2013-05-08	7097
7/12-6	6	3542.800000	3569.800000	[m   ]	240.100000	9	YES	281	9999-12-31	2013-05-08	7098
7/12-6	7	3569.800000	3596.800000	[m   ]	240.100000	9	YES	281	9999-12-31	2013-05-08	7099
7/12-6	8	3596.800000	3624.300000	[m   ]	240.100000	9	YES	281	9999-12-31	2013-05-08	7100
7/12-6	9	3624.300000	3647.200000	[m   ]	240.100000	9	YES	281	9999-12-31	2013-05-08	7101
7/12-7	1	3800.000000	3801.600000	[m   ]	42.600000	4	YES	1287	9999-12-31	2013-05-08	7102
7/12-7	2	3801.600000	3810.000000	[m   ]	42.600000	4	YES	1287	9999-12-31	2013-05-08	7103
7/12-7	3	3810.900000	3829.000000	[m   ]	42.600000	4	YES	1287	9999-12-31	2013-05-08	7104
7/12-7	4	3829.400000	3842.000000	[m   ]	42.600000	4	YES	1287	9999-12-31	2013-05-08	7105
7/12-8	1	3724.500000	3750.000000	[m   ]	26.000000	1	YES	1311	9999-12-31	2013-05-08	7106
7/12-9	1	3689.000000	3721.500000	[m   ]	32.500000	1	YES	1470	9999-12-31	2013-05-08	7107
7/12-A-1	1	3875.000000	3889.100000	[m   ]	92.400000	3	YES	1247	9999-12-31	2013-05-08	7108
7/12-A-1	2	3889.100000	3930.800000	[m   ]	92.400000	3	YES	1247	9999-12-31	2013-05-08	7109
7/12-A-1	3	3930.800000	3967.400000	[m   ]	92.400000	3	YES	1247	9999-12-31	2013-05-08	7110
7/12-A-12	1	4068.500000	4084.300000	[m   ]	23.500000	2	YES	1282	9999-12-31	2013-05-08	7111
7/12-A-12	2	4084.300000	4094.000000	[m   ]	23.500000	2	YES	1282	9999-12-31	2013-05-08	7112
7/12-A-12 A	1	4540.000000	4552.000000	[m   ]	67.000000	5	YES	1529	9999-12-31	2013-05-08	7113
7/12-A-12 A	2	4552.000000	4553.000000	[m   ]	67.000000	5	YES	1529	9999-12-31	2013-05-08	7114
7/12-A-12 A	3	4556.000000	4574.000000	[m   ]	67.000000	5	YES	1529	9999-12-31	2013-05-08	7115
7/12-A-12 A	4	4576.000000	4579.000000	[m   ]	67.000000	5	YES	1529	9999-12-31	2013-05-08	7116
7/12-A-12 A	5	4579.000000	4612.000000	[m   ]	67.000000	5	YES	1529	9999-12-31	2013-05-08	7117
7/12-A-13	1	5020.000000	5030.200000	[m   ]	41.700000	4	YES	1387	9999-12-31	2013-05-08	7118
7/12-A-13	2	5047.000000	5052.300000	[m   ]	41.700000	4	YES	1387	9999-12-31	2013-05-08	7119
7/12-A-13	3	5053.000000	5066.600000	[m   ]	41.700000	4	YES	1387	9999-12-31	2013-05-08	7120
7/12-A-13	4	5099.000000	5111.600000	[m   ]	41.700000	4	YES	1387	9999-12-31	2013-05-08	7121
7/12-A-13 A	1	4381.000000	4404.800000	[m   ]	23.800000	1	YES	1485	9999-12-31	2013-05-08	7122
7/12-A-15	1	3501.000000	3541.800000	[m   ]	155.900000	5	YES	1433	9999-12-31	2013-05-08	7123
7/12-A-15	2	3541.800000	3585.500000	[m   ]	155.900000	5	YES	1433	9999-12-31	2013-05-08	7124
7/12-A-15	3	3585.600000	3630.200000	[m   ]	155.900000	5	YES	1433	9999-12-31	2013-05-08	7125
7/12-A-15	4	3630.200000	3644.700000	[m   ]	155.900000	5	YES	1433	9999-12-31	2013-05-08	7126
7/12-A-15	5	3838.000000	3850.000000	[m   ]	155.900000	5	YES	1433	9999-12-31	2013-05-08	7127
7/12-A-16	1	5100.000000	5127.100000	[m   ]	27.100000	1	YES	2085	9999-12-31	2013-05-08	7128
7/12-A-18	1	3692.700000	3710.400000	[m   ]	133.700000	6	YES	913	9999-12-31	2013-05-08	7129
7/12-A-18	2	3710.600000	3724.600000	[m   ]	133.700000	6	YES	913	9999-12-31	2013-05-08	7130
7/12-A-18	3	3724.600000	3750.400000	[m   ]	133.700000	6	YES	913	9999-12-31	2013-05-08	7131
7/12-A-18	4	3751.800000	3778.500000	[m   ]	133.700000	6	YES	913	9999-12-31	2013-05-08	7132
7/12-A-18	5	3778.500000	3805.800000	[m   ]	133.700000	6	YES	913	9999-12-31	2013-05-08	7133
7/12-A-18	6	3805.800000	3829.000000	[m   ]	133.700000	6	YES	913	9999-12-31	2013-05-08	7134
7/12-A-3	1	3869.000000	3896.400000	[m   ]	67.000000	4	YES	1139	9999-12-31	2013-05-08	7135
7/12-A-3	2	3896.400000	3913.300000	[m   ]	67.000000	4	YES	1139	9999-12-31	2013-05-08	7136
7/12-A-3	3	3913.300000	3930.100000	[m   ]	67.000000	4	YES	1139	9999-12-31	2013-05-08	7137
7/12-A-3	4	3939.000000	3945.000000	[m   ]	67.000000	4	YES	1139	9999-12-31	2013-05-08	7138
7/12-A-3 A	1	4018.000000	4046.000000	[m   ]	28.000000	1	YES	1019	9999-12-31	2013-05-08	7139
7/12-A-7	1	3911.000000	3911.400000	[m   ]	63.300000	6	YES	1042	9999-12-31	2013-05-08	7140
7/12-A-7	2	3916.000000	3925.000000	[m   ]	63.300000	6	YES	1042	9999-12-31	2013-05-08	7141
7/12-A-7	3	3940.000000	3949.600000	[m   ]	63.300000	6	YES	1042	9999-12-31	2013-05-08	7142
7/12-A-7	4	4078.000000	4096.300000	[m   ]	63.300000	6	YES	1042	9999-12-31	2013-05-08	7143
7/12-A-7	5	4166.000000	4184.400000	[m   ]	63.300000	6	YES	1042	9999-12-31	2013-05-08	7144
7/12-A-7	6	4231.000000	4238.700000	[m   ]	63.300000	6	YES	1042	9999-12-31	2013-05-08	7145
7/12-A-8	1	4347.000000	4374.300000	[m   ]	45.900000	3	YES	1354	9999-12-31	2013-05-08	7146
7/12-A-8	2	4374.500000	4391.500000	[m   ]	45.900000	3	YES	1354	9999-12-31	2013-05-08	7147
7/12-A-8	3	4391.500000	4393.200000	[m   ]	45.900000	3	YES	1354	9999-12-31	2013-05-08	7148
7/12-A-9 A	1	3822.000000	3848.200000	[m   ]	101.100000	3	YES	5257	9999-12-31	2013-05-08	7149
7/12-A-9 A	2	3848.200000	3903.600000	[m   ]	101.100000	3	YES	5257	9999-12-31	2013-05-08	7150
7/12-A-9 A	3	3903.600000	3923.100000	[m   ]	101.100000	3	YES	5257	9999-12-31	2013-05-08	7151
7/3-1	1	4380.600000	4385.000000	[m   ]	53.800000	3	YES	164	9999-12-31	2013-05-08	7152
7/3-1	2	4414.700000	4433.900000	[m   ]	53.800000	3	YES	164	9999-12-31	2013-05-08	7153
7/3-1	3	4547.900000	4575.400000	[m   ]	53.800000	3	YES	164	9999-12-31	2013-05-08	7154
7/4-1	1	2980.000000	2988.600000	[m   ]	24.600000	3	YES	2136	9999-12-31	2013-05-08	7155
7/4-1	2	3015.000000	3023.600000	[m   ]	24.600000	3	YES	2136	9999-12-31	2013-05-08	7156
7/4-1	3	3069.000000	3076.400000	[m   ]	24.600000	3	YES	2136	9999-12-31	2013-05-08	7157
7/4-2	1	3378.500000	3403.200000	[m   ]	42.200000	2	YES	5683	9999-12-31	2013-05-08	7158
7/4-2	2	3403.900000	3421.400000	[m   ]	42.200000	2	YES	5683	9999-12-31	2013-05-08	7159
7/7-1	1	2786.000000	2803.000000	[m   ]	34.500000	2	YES	1492	9999-12-31	2013-05-08	7160
7/7-1	2	3296.000000	3313.500000	[m   ]	34.500000	2	YES	1492	9999-12-31	2013-05-08	7161
7/7-2	1	3242.000000	3243.000000	[m   ]	33.600000	5	YES	1868	9999-12-31	2013-05-08	7162
7/7-2	2	3243.000000	3246.500000	[m   ]	33.600000	5	YES	1868	9999-12-31	2013-05-08	7163
7/7-2	3	3338.000000	3348.600000	[m   ]	33.600000	5	YES	1868	9999-12-31	2013-05-08	7164
7/7-2	4	3350.000000	3357.100000	[m   ]	33.600000	5	YES	1868	9999-12-31	2013-05-08	7165
7/7-2	5	3357.000000	3368.400000	[m   ]	33.600000	5	YES	1868	9999-12-31	2013-05-08	7166
7/7-3	1	3486.000000	3489.300000	[m   ]	20.800000	3	YES	2113	9999-12-31	2013-05-08	7167
7/7-3	2	3489.300000	3490.000000	[m   ]	20.800000	3	YES	2113	9999-12-31	2013-05-08	7168
7/7-3	3	3491.000000	3516.000000	[m   ]	20.800000	3	YES	2113	9999-12-31	2013-05-08	7169
7/8-3	1	3731.000000	3739.500000	[m   ]	36.700000	4	YES	28	9999-12-31	2013-05-08	7170
7/8-3	2	3739.800000	3741.500000	[m   ]	36.700000	4	YES	28	9999-12-31	2013-05-08	7171
7/8-3	3	3741.700000	3760.100000	[m   ]	36.700000	4	YES	28	9999-12-31	2013-05-08	7172
7/8-3	4	3760.100000	3768.200000	[m   ]	36.700000	4	YES	28	9999-12-31	2013-05-08	7173
7/8-4	1	3825.000000	3831.300000	[m   ]	34.800000	2	YES	448	9999-12-31	2013-05-08	7174
7/8-4	2	3831.500000	3859.000000	[m   ]	34.800000	2	YES	448	9999-12-31	2013-05-08	7175
7/9-1	1	7249.000000	7264.500000	[ft  ]	7.700000	2	YES	191	9999-12-31	2013-05-08	7176
7/9-1	2	7403.000000	7413.000000	[ft  ]	7.700000	2	YES	191	9999-12-31	2013-05-08	7177
7019/1-1	1	2220.000000	2234.300000	[m   ]	28.100000	3	YES	4145	9999-12-31	2013-05-08	7178
7019/1-1	2	2457.000000	2463.800000	[m   ]	28.100000	3	YES	4145	9999-12-31	2013-05-08	7179
7019/1-1	3	2561.000000	2568.000000	[m   ]	28.100000	3	YES	4145	9999-12-31	2013-05-08	7180
7117/9-1	1	1355.000000	1365.600000	[m   ]	10.600000	1	YES	49	9999-12-31	2013-05-08	7181
7117/9-2	1	3475.000000	3478.300000	[m   ]	35.400000	4	YES	13	9999-12-31	2013-05-08	7182
7117/9-2	2	3676.000000	3680.000000	[m   ]	35.400000	4	YES	13	9999-12-31	2013-05-08	7183
7117/9-2	3	4378.000000	4394.100000	[m   ]	35.400000	4	YES	13	9999-12-31	2013-05-08	7184
7117/9-2	4	4860.000000	4872.000000	[m   ]	35.400000	4	YES	13	9999-12-31	2013-05-08	7185
7119/12-1	1	2667.000000	2672.700000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7186
7119/12-1	10	2772.000000	2790.000000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7187
7119/12-1	11	2810.000000	2828.500000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7188
7119/12-1	12	2828.500000	2845.700000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7189
7119/12-1	13	2924.000000	2936.200000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7190
7119/12-1	14	2984.000000	3001.600000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7191
7119/12-1	2	2674.000000	2674.200000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7192
7119/12-1	3	2675.500000	2677.800000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7193
7119/12-1	4	2680.000000	2685.200000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7194
7119/12-1	5	2700.000000	2712.700000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7195
7119/12-1	6	2714.000000	2714.800000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7196
7119/12-1	7	2718.000000	2736.300000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7197
7119/12-1	8	2736.300000	2753.700000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7198
7119/12-1	9	2754.000000	2772.000000	[m   ]	163.900000	14	YES	121	9999-12-31	2013-05-08	7199
7119/12-2	1	1378.500000	1384.700000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7200
7119/12-2	10	1511.400000	1517.700000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7201
7119/12-2	11	1518.000000	1519.000000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7202
7119/12-2	12	1520.000000	1525.500000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7203
7119/12-2	13	1525.900000	1544.000000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7204
7119/12-2	14	1542.000000	1560.000000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7205
7119/12-2	15	1560.000000	1578.500000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7206
7119/12-2	16	1578.500000	1597.400000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7207
7119/12-2	17	1598.500000	1616.800000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7208
7119/12-2	18	1616.500000	1635.300000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7209
7119/12-2	19	1635.500000	1654.000000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7210
7119/12-2	2	1387.000000	1404.800000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7211
7119/12-2	20	1654.500000	1673.300000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7212
7119/12-2	21	1673.000000	1690.500000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7213
7119/12-2	3	1405.000000	1412.000000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7214
7119/12-2	4	1413.000000	1417.900000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7215
7119/12-2	5	1421.000000	1433.600000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7216
7119/12-2	6	1433.500000	1433.900000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7217
7119/12-2	7	1473.000000	1490.100000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7218
7119/12-2	8	1490.100000	1490.400000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7219
7119/12-2	9	1492.000000	1510.400000	[m   ]	261.300000	21	YES	114	9999-12-31	2013-05-08	7220
7119/12-3	1	3145.000000	3148.300000	[m   ]	26.300000	3	YES	17	9999-12-31	2013-05-08	7221
7119/12-3	2	3148.300000	3154.900000	[m   ]	26.300000	3	YES	17	9999-12-31	2013-05-08	7222
7119/12-3	3	3250.000000	3266.500000	[m   ]	26.300000	3	YES	17	9999-12-31	2013-05-08	7223
7119/9-1	1	2745.000000	2764.900000	[m   ]	34.200000	2	YES	132	9999-12-31	2013-05-08	7224
7119/9-1	2	2763.000000	2779.300000	[m   ]	34.200000	2	YES	132	9999-12-31	2013-05-08	7225
7120/10-1	1	1570.000000	1583.500000	[m   ]	13.500000	1	YES	274	9999-12-31	2013-05-08	7226
7120/10-2	1	2127.000000	2135.600000	[m   ]	8.600000	1	YES	1561	9999-12-31	2013-05-08	7227
7120/1-1 R2	1	3185.800000	3194.500000	[m   ]	11.000000	2	YES	897	9999-12-31	2013-05-08	7228
7120/1-1 R2	2	4000.000000	4002.300000	[m   ]	11.000000	2	YES	897	9999-12-31	2013-05-08	7229
7120/1-2	1	1815.000000	1825.000000	[m   ]	25.500000	4	YES	1366	9999-12-31	2013-05-08	7230
7120/1-2	2	1957.000000	1968.000000	[m   ]	25.500000	4	YES	1366	9999-12-31	2013-05-08	7231
7120/1-2	3	2581.000000	2582.000000	[m   ]	25.500000	4	YES	1366	9999-12-31	2013-05-08	7232
7120/1-2	4	2582.000000	2585.500000	[m   ]	25.500000	4	YES	1366	9999-12-31	2013-05-08	7233
7120/12-1	1	1535.000000	1546.300000	[m   ]	44.900000	5	YES	123	9999-12-31	2013-05-08	7234
7120/12-1	2	1661.000000	1668.000000	[m   ]	44.900000	5	YES	123	9999-12-31	2013-05-08	7235
7120/12-1	3	1702.600000	1708.300000	[m   ]	44.900000	5	YES	123	9999-12-31	2013-05-08	7236
7120/12-1	4	2042.000000	2058.600000	[m   ]	44.900000	5	YES	123	9999-12-31	2013-05-08	7237
7120/12-1	5	3521.000000	3525.600000	[m   ]	44.900000	5	YES	123	9999-12-31	2013-05-08	7238
7120/12-2	1	1888.000000	1903.500000	[m   ]	135.700000	9	YES	122	9999-12-31	2013-05-08	7239
7120/12-2	2	1960.000000	1979.400000	[m   ]	135.700000	9	YES	122	9999-12-31	2013-05-08	7240
7120/12-2	3	1978.000000	1994.900000	[m   ]	135.700000	9	YES	122	9999-12-31	2013-05-08	7241
7120/12-2	4	1996.000000	2013.200000	[m   ]	135.700000	9	YES	122	9999-12-31	2013-05-08	7242
7120/12-2	5	2013.200000	2031.900000	[m   ]	135.700000	9	YES	122	9999-12-31	2013-05-08	7243
7120/12-2	6	2032.000000	2050.000000	[m   ]	135.700000	9	YES	122	9999-12-31	2013-05-08	7244
7120/12-2	7	3671.000000	3688.400000	[m   ]	135.700000	9	YES	122	9999-12-31	2013-05-08	7245
7120/12-2	8	4117.000000	4128.100000	[m   ]	135.700000	9	YES	122	9999-12-31	2013-05-08	7246
7120/12-2	9	4675.000000	4680.500000	[m   ]	135.700000	9	YES	122	9999-12-31	2013-05-08	7247
7120/12-3	1	2195.000000	2213.000000	[m   ]	18.000000	1	YES	8	9999-12-31	2013-05-08	7248
7120/12-4	1	1514.000000	1532.000000	[m   ]	42.100000	3	YES	99	9999-12-31	2013-05-08	7249
7120/12-4	2	1654.000000	1661.100000	[m   ]	42.100000	3	YES	99	9999-12-31	2013-05-08	7250
7120/12-4	3	2182.000000	2199.000000	[m   ]	42.100000	3	YES	99	9999-12-31	2013-05-08	7251
7120/2-1	1	1960.000000	1972.400000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7252
7120/2-1	10	2126.000000	2126.400000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7253
7120/2-1	11	2127.000000	2132.700000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7254
7120/2-1	12	2133.600000	2142.000000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7255
7120/2-1	13	2142.600000	2151.000000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7256
7120/2-1	14	2152.000000	2170.000000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7257
7120/2-1	15	2170.000000	2188.800000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7258
7120/2-1	16	2188.800000	2206.000000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7259
7120/2-1	17	2207.000000	2225.800000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7260
7120/2-1	18	2225.800000	2243.000000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7261
7120/2-1	19	2637.000000	2645.900000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7262
7120/2-1	2	1973.000000	1988.400000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7263
7120/2-1	20	3478.000000	3480.500000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7264
7120/2-1	3	1988.400000	2004.000000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7265
7120/2-1	4	2006.000000	2023.800000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7266
7120/2-1	5	2024.000000	2041.500000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7267
7120/2-1	6	2047.000000	2049.800000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7268
7120/2-1	7	2050.000000	2068.500000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7269
7120/2-1	8	2068.500000	2075.000000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7270
7120/2-1	9	2104.000000	2104.500000	[m   ]	233.700000	20	YES	473	9999-12-31	2013-05-08	7271
7120/2-2	1	1895.000000	1922.700000	[m   ]	71.000000	6	YES	1690	9999-12-31	2013-05-08	7272
7120/2-2	2	2163.000000	2163.500000	[m   ]	71.000000	6	YES	1690	9999-12-31	2013-05-08	7273
7120/2-2	3	2180.000000	2201.500000	[m   ]	71.000000	6	YES	1690	9999-12-31	2013-05-08	7274
7120/2-2	4	2393.000000	2400.900000	[m   ]	71.000000	6	YES	1690	9999-12-31	2013-05-08	7275
7120/2-2	5	2636.000000	2645.800000	[m   ]	71.000000	6	YES	1690	9999-12-31	2013-05-08	7276
7120/2-2	6	2720.000000	2723.500000	[m   ]	71.000000	6	YES	1690	9999-12-31	2013-05-08	7277
7120/5-1	1	2286.000000	2312.800000	[m   ]	138.500000	6	YES	471	9999-12-31	2013-05-08	7278
7120/5-1	2	2313.000000	2323.100000	[m   ]	138.500000	6	YES	471	9999-12-31	2013-05-08	7279
7120/5-1	3	2323.000000	2351.000000	[m   ]	138.500000	6	YES	471	9999-12-31	2013-05-08	7280
7120/5-1	4	2351.000000	2377.400000	[m   ]	138.500000	6	YES	471	9999-12-31	2013-05-08	7281
7120/5-1	5	2378.000000	2398.000000	[m   ]	138.500000	6	YES	471	9999-12-31	2013-05-08	7282
7120/5-1	6	2398.000000	2424.700000	[m   ]	138.500000	6	YES	471	9999-12-31	2013-05-08	7283
7120/6-1	1	2371.000000	2373.500000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7284
7120/6-1	10	2505.000000	2530.500000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7285
7120/6-1	11	2530.500000	2549.000000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7286
7120/6-1	12	2549.000000	2565.000000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7287
7120/6-1	2	2373.600000	2377.000000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7288
7120/6-1	3	2381.000000	2398.000000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7289
7120/6-1	4	2398.000000	2417.600000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7290
7120/6-1	5	2418.500000	2440.000000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7291
7120/6-1	6	2443.500000	2470.000000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7292
7120/6-1	7	2470.500000	2476.000000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7293
7120/6-1	8	2476.500000	2492.000000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7294
7120/6-1	9	2492.500000	2503.000000	[m   ]	184.100000	12	YES	456	9999-12-31	2013-05-08	7295
7120/6-2 S	1	2566.500000	2598.200000	[m   ]	114.100000	2	YES	3558	9999-12-31	2013-05-08	7296
7120/6-2 S	2	2599.500000	2681.900000	[m   ]	114.100000	2	YES	3558	9999-12-31	2013-05-08	7297
7120/7-1	1	2410.000000	2428.800000	[m   ]	68.700000	4	YES	85	9999-12-31	2013-05-08	7298
7120/7-1	2	2428.800000	2441.700000	[m   ]	68.700000	4	YES	85	9999-12-31	2013-05-08	7299
7120/7-1	3	2441.800000	2460.400000	[m   ]	68.700000	4	YES	85	9999-12-31	2013-05-08	7300
7120/7-1	4	2460.400000	2478.700000	[m   ]	68.700000	4	YES	85	9999-12-31	2013-05-08	7301
7120/7-2	1	2166.000000	2184.000000	[m   ]	78.400000	5	YES	18	9999-12-31	2013-05-08	7302
7120/7-2	2	2184.000000	2190.000000	[m   ]	78.400000	5	YES	18	9999-12-31	2013-05-08	7303
7120/7-2	3	2190.000000	2208.000000	[m   ]	78.400000	5	YES	18	9999-12-31	2013-05-08	7304
7120/7-2	4	2208.000000	2226.800000	[m   ]	78.400000	5	YES	18	9999-12-31	2013-05-08	7305
7120/7-2	5	2226.800000	2244.400000	[m   ]	78.400000	5	YES	18	9999-12-31	2013-05-08	7306
7120/7-3	1	2867.000000	2884.400000	[m   ]	41.400000	3	YES	104	9999-12-31	2013-05-08	7307
7120/7-3	2	2885.000000	2898.500000	[m   ]	41.400000	3	YES	104	9999-12-31	2013-05-08	7308
7120/7-3	3	2899.000000	2909.500000	[m   ]	41.400000	3	YES	104	9999-12-31	2013-05-08	7309
7120/8-1	1	2112.000000	2121.400000	[m   ]	107.800000	7	YES	120	9999-12-31	2013-05-08	7310
7120/8-1	2	2171.500000	2181.000000	[m   ]	107.800000	7	YES	120	9999-12-31	2013-05-08	7311
7120/8-1	3	2181.000000	2195.000000	[m   ]	107.800000	7	YES	120	9999-12-31	2013-05-08	7312
7120/8-1	4	2195.000000	2214.000000	[m   ]	107.800000	7	YES	120	9999-12-31	2013-05-08	7313
7120/8-1	5	2214.000000	2232.800000	[m   ]	107.800000	7	YES	120	9999-12-31	2013-05-08	7314
7120/8-1	6	2232.800000	2251.500000	[m   ]	107.800000	7	YES	120	9999-12-31	2013-05-08	7315
7120/8-1	7	2251.500000	2270.000000	[m   ]	107.800000	7	YES	120	9999-12-31	2013-05-08	7316
7120/8-2	1	2085.000000	2101.400000	[m   ]	132.900000	8	YES	50	9999-12-31	2013-05-08	7317
7120/8-2	2	2101.400000	2120.000000	[m   ]	132.900000	8	YES	50	9999-12-31	2013-05-08	7318
7120/8-2	3	2120.000000	2138.000000	[m   ]	132.900000	8	YES	50	9999-12-31	2013-05-08	7319
7120/8-2	4	2138.000000	2153.600000	[m   ]	132.900000	8	YES	50	9999-12-31	2013-05-08	7320
7120/8-2	5	2153.600000	2172.000000	[m   ]	132.900000	8	YES	50	9999-12-31	2013-05-08	7321
7120/8-2	6	2172.000000	2185.600000	[m   ]	132.900000	8	YES	50	9999-12-31	2013-05-08	7322
7120/8-2	7	2185.500000	2200.300000	[m   ]	132.900000	8	YES	50	9999-12-31	2013-05-08	7323
7120/8-2	8	2201.000000	2218.500000	[m   ]	132.900000	8	YES	50	9999-12-31	2013-05-08	7324
7120/8-3	1	2198.000000	2216.000000	[m   ]	36.000000	2	YES	9	9999-12-31	2013-05-08	7325
7120/8-3	2	2216.000000	2234.000000	[m   ]	36.000000	2	YES	9	9999-12-31	2013-05-08	7326
7120/9-1	1	1843.000000	1860.500000	[m   ]	121.900000	7	YES	82	9999-12-31	2013-05-08	7327
7120/9-1	2	1861.000000	1879.200000	[m   ]	121.900000	7	YES	82	9999-12-31	2013-05-08	7328
7120/9-1	3	1879.600000	1894.500000	[m   ]	121.900000	7	YES	82	9999-12-31	2013-05-08	7329
7120/9-1	4	1894.500000	1912.200000	[m   ]	121.900000	7	YES	82	9999-12-31	2013-05-08	7330
7120/9-1	5	1912.200000	1929.000000	[m   ]	121.900000	7	YES	82	9999-12-31	2013-05-08	7331
7120/9-1	6	1929.700000	1947.400000	[m   ]	121.900000	7	YES	82	9999-12-31	2013-05-08	7332
7120/9-1	7	1950.100000	1965.700000	[m   ]	121.900000	7	YES	82	9999-12-31	2013-05-08	7333
7121/1-1 R	1	3137.500000	3138.500000	[m   ]	5.000000	3	YES	896	9999-12-31	2013-05-08	7334
7121/1-1 R	2	3385.000000	3386.000000	[m   ]	5.000000	3	YES	896	9999-12-31	2013-05-08	7335
7121/1-1 R	3	3511.000000	3513.700000	[m   ]	5.000000	3	YES	896	9999-12-31	2013-05-08	7336
7121/4-1	1	2321.000000	2339.200000	[m   ]	95.400000	4	YES	135	9999-12-31	2013-05-08	7337
7121/4-1	2	2339.200000	2366.700000	[m   ]	95.400000	4	YES	135	9999-12-31	2013-05-08	7338
7121/4-1	3	2366.700000	2394.000000	[m   ]	95.400000	4	YES	135	9999-12-31	2013-05-08	7339
7121/4-1	4	2394.000000	2416.400000	[m   ]	95.400000	4	YES	135	9999-12-31	2013-05-08	7340
7121/4-2	1	2463.000000	2481.200000	[m   ]	134.300000	7	YES	461	9999-12-31	2013-05-08	7341
7121/4-2	2	2481.000000	2499.000000	[m   ]	134.300000	7	YES	461	9999-12-31	2013-05-08	7342
7121/4-2	3	2499.000000	2527.000000	[m   ]	134.300000	7	YES	461	9999-12-31	2013-05-08	7343
7121/4-2	4	2527.000000	2548.600000	[m   ]	134.300000	7	YES	461	9999-12-31	2013-05-08	7344
7121/4-2	5	2549.000000	2555.500000	[m   ]	134.300000	7	YES	461	9999-12-31	2013-05-08	7345
7121/4-2	6	2555.500000	2583.500000	[m   ]	134.300000	7	YES	461	9999-12-31	2013-05-08	7346
7121/4-2	7	2583.500000	2597.500000	[m   ]	134.300000	7	YES	461	9999-12-31	2013-05-08	7347
7121/4-D-1 H	1	2390.500000	2473.000000	[m   ]	233.800000	3	YES	5034	9999-12-31	2013-05-08	7348
7121/4-D-1 H	2	2473.000000	2554.800000	[m   ]	233.800000	3	YES	5034	9999-12-31	2013-05-08	7349
7121/4-D-1 H	3	2555.000000	2624.600000	[m   ]	233.800000	3	YES	5034	9999-12-31	2013-05-08	7350
7121/4-E-4 H	1	2423.000000	2423.400000	[m   ]	68.100000	3	YES	5117	9999-12-31	2013-05-08	7351
7121/4-E-4 H	2	2423.500000	2424.000000	[m   ]	68.100000	3	YES	5117	9999-12-31	2013-05-08	7352
7121/4-E-4 H	3	2429.000000	2496.200000	[m   ]	68.100000	3	YES	5117	9999-12-31	2013-05-08	7353
7121/4-F-2 H	1	2520.000000	2521.400000	[m   ]	179.400000	7	YES	4998	9999-12-31	2013-05-08	7354
7121/4-F-2 H	2	2522.000000	2586.400000	[m   ]	179.400000	7	YES	4998	9999-12-31	2013-05-08	7355
7121/4-F-2 H	3	2669.000000	2710.400000	[m   ]	179.400000	7	YES	4998	9999-12-31	2013-05-08	7356
7121/4-F-2 H	4	2710.200000	2712.000000	[m   ]	179.400000	7	YES	4998	9999-12-31	2013-05-08	7357
7121/4-F-2 H	5	2712.000000	2735.600000	[m   ]	179.400000	7	YES	4998	9999-12-31	2013-05-08	7358
7121/4-F-2 H	6	2735.500000	2751.500000	[m   ]	179.400000	7	YES	4998	9999-12-31	2013-05-08	7359
7121/4-F-2 H	7	2751.500000	2782.300000	[m   ]	179.400000	7	YES	4998	9999-12-31	2013-05-08	7360
7121/5-1	1	2371.000000	2392.000000	[m   ]	188.600000	10	YES	479	9999-12-31	2013-05-08	7361
7121/5-1	10	3082.000000	3103.000000	[m   ]	188.600000	10	YES	479	9999-12-31	2013-05-08	7362
7121/5-1	2	2392.000000	2400.400000	[m   ]	188.600000	10	YES	479	9999-12-31	2013-05-08	7363
7121/5-1	3	2400.400000	2428.000000	[m   ]	188.600000	10	YES	479	9999-12-31	2013-05-08	7364
7121/5-1	4	2428.300000	2442.000000	[m   ]	188.600000	10	YES	479	9999-12-31	2013-05-08	7365
7121/5-1	5	2442.000000	2470.000000	[m   ]	188.600000	10	YES	479	9999-12-31	2013-05-08	7366
7121/5-1	6	2470.000000	2498.000000	[m   ]	188.600000	10	YES	479	9999-12-31	2013-05-08	7367
7121/5-1	7	2498.000000	2509.000000	[m   ]	188.600000	10	YES	479	9999-12-31	2013-05-08	7368
7121/5-1	8	2509.000000	2509.000000	[m   ]	188.600000	10	YES	479	9999-12-31	2013-05-08	7369
7121/5-1	9	2509.400000	2536.000000	[m   ]	188.600000	10	YES	479	9999-12-31	2013-05-08	7370
7121/5-2	1	2324.000000	2342.800000	[m   ]	74.800000	3	YES	907	9999-12-31	2013-05-08	7371
7121/5-2	2	2343.000000	2371.000000	[m   ]	74.800000	3	YES	907	9999-12-31	2013-05-08	7372
7121/5-2	3	2371.000000	2399.000000	[m   ]	74.800000	3	YES	907	9999-12-31	2013-05-08	7373
7121/5-3	1	1887.000000	1915.000000	[m   ]	53.600000	2	YES	4244	9999-12-31	2013-05-08	7374
7121/5-3	2	1992.000000	2017.600000	[m   ]	53.600000	2	YES	4244	9999-12-31	2013-05-08	7375
7121/7-1	1	1851.000000	1867.100000	[m   ]	82.500000	4	YES	130	9999-12-31	2013-05-08	7376
7121/7-1	2	1868.000000	1894.400000	[m   ]	82.500000	4	YES	130	9999-12-31	2013-05-08	7377
7121/7-1	3	1895.000000	1922.800000	[m   ]	82.500000	4	YES	130	9999-12-31	2013-05-08	7378
7121/7-1	4	1922.800000	1935.000000	[m   ]	82.500000	4	YES	130	9999-12-31	2013-05-08	7379
7121/7-2	1	1903.000000	1927.200000	[m   ]	35.200000	2	YES	881	9999-12-31	2013-05-08	7380
7121/7-2	2	1928.500000	1939.500000	[m   ]	35.200000	2	YES	881	9999-12-31	2013-05-08	7381
7121/7-N-3 H	1	1843.500000	1926.000000	[m   ]	121.100000	2	YES	5217	9999-12-31	2013-05-08	7382
7121/7-N-3 H	2	1926.000000	1964.600000	[m   ]	121.100000	2	YES	5217	9999-12-31	2013-05-08	7383
7122/2-1	1	1771.000000	1776.200000	[m   ]	123.600000	8	YES	2018	9999-12-31	2013-05-08	7384
7122/2-1	2	1776.200000	1778.100000	[m   ]	123.600000	8	YES	2018	9999-12-31	2013-05-08	7385
7122/2-1	3	1779.000000	1784.100000	[m   ]	123.600000	8	YES	2018	9999-12-31	2013-05-08	7386
7122/2-1	4	1812.000000	1824.600000	[m   ]	123.600000	8	YES	2018	9999-12-31	2013-05-08	7387
7122/2-1	5	1833.000000	1860.600000	[m   ]	123.600000	8	YES	2018	9999-12-31	2013-05-08	7388
7122/2-1	6	1860.600000	1888.300000	[m   ]	123.600000	8	YES	2018	9999-12-31	2013-05-08	7389
7122/2-1	7	1888.300000	1915.700000	[m   ]	123.600000	8	YES	2018	9999-12-31	2013-05-08	7390
7122/2-1	8	1915.700000	1931.800000	[m   ]	123.600000	8	YES	2018	9999-12-31	2013-05-08	7391
7122/4-1	1	2333.000000	2351.000000	[m   ]	98.600000	4	YES	1869	9999-12-31	2013-05-08	7392
7122/4-1	2	2339.000000	2357.000000	[m   ]	98.600000	4	YES	1869	9999-12-31	2013-05-08	7393
7122/4-1	3	2357.000000	2381.600000	[m   ]	98.600000	4	YES	1869	9999-12-31	2013-05-08	7394
7122/4-1	4	2382.000000	2410.000000	[m   ]	98.600000	4	YES	1869	9999-12-31	2013-05-08	7395
7122/6-1	1	2019.000000	2039.200000	[m   ]	79.400000	4	YES	1140	9999-12-31	2013-05-08	7396
7122/6-1	2	2039.200000	2063.900000	[m   ]	79.400000	4	YES	1140	9999-12-31	2013-05-08	7397
7122/6-1	3	2064.000000	2086.900000	[m   ]	79.400000	4	YES	1140	9999-12-31	2013-05-08	7398
7122/6-1	4	2087.000000	2098.700000	[m   ]	79.400000	4	YES	1140	9999-12-31	2013-05-08	7399
7122/6-2	1	2452.000000	2506.700000	[m   ]	54.700000	1	YES	5327	9999-12-31	2013-05-08	7400
7122/7-1	1	1133.000000	1133.900000	[m   ]	43.400000	3	YES	4173	9999-12-31	2013-05-08	7401
7122/7-1	2	1136.000000	1151.000000	[m   ]	43.400000	3	YES	4173	9999-12-31	2013-05-08	7402
7122/7-1	3	1151.000000	1178.500000	[m   ]	43.400000	3	YES	4173	9999-12-31	2013-05-08	7403
7122/7-2	1	1075.000000	1087.500000	[m   ]	79.800000	5	YES	4391	9999-12-31	2013-05-08	7404
7122/7-2	2	1089.000000	1105.400000	[m   ]	79.800000	5	YES	4391	9999-12-31	2013-05-08	7405
7122/7-2	3	1109.000000	1122.200000	[m   ]	79.800000	5	YES	4391	9999-12-31	2013-05-08	7406
7122/7-2	4	1123.000000	1135.500000	[m   ]	79.800000	5	YES	4391	9999-12-31	2013-05-08	7407
7122/7-2	5	1135.000000	1160.800000	[m   ]	79.800000	5	YES	4391	9999-12-31	2013-05-08	7408
7122/7-3	1	1082.000000	1085.300000	[m   ]	58.900000	7	YES	5214	9999-12-31	2013-05-08	7409
7122/7-3	2	1086.000000	1105.000000	[m   ]	58.900000	7	YES	5214	9999-12-31	2013-05-08	7410
7122/7-3	3	1146.000000	1156.800000	[m   ]	58.900000	7	YES	5214	9999-12-31	2013-05-08	7411
7122/7-3	4	1187.000000	1189.500000	[m   ]	58.900000	7	YES	5214	9999-12-31	2013-05-08	7412
7122/7-3	5	1812.000000	1823.200000	[m   ]	58.900000	7	YES	5214	9999-12-31	2013-05-08	7413
7122/7-3	6	1824.000000	1834.300000	[m   ]	58.900000	7	YES	5214	9999-12-31	2013-05-08	7414
7122/7-3	7	2519.000000	2520.900000	[m   ]	58.900000	7	YES	5214	9999-12-31	2013-05-08	7415
7122/7-4 S	1	1182.000000	1197.500000	[m   ]	69.800000	6	YES	5406	9999-12-31	2013-05-08	7416
7122/7-4 S	2	1198.000000	1214.900000	[m   ]	69.800000	6	YES	5406	9999-12-31	2013-05-08	7417
7122/7-4 S	3	1794.000000	1818.300000	[m   ]	69.800000	6	YES	5406	9999-12-31	2013-05-08	7418
7122/7-4 S	4	1820.000000	1820.700000	[m   ]	69.800000	6	YES	5406	9999-12-31	2013-05-08	7419
7122/7-4 S	5	1885.000000	1886.000000	[m   ]	69.800000	6	YES	5406	9999-12-31	2013-05-08	7420
7122/7-4 S	6	2052.000000	2063.400000	[m   ]	69.800000	6	YES	5406	9999-12-31	2013-05-08	7421
7122/7-5	1	1900.000000	1910.800000	[m   ]	10.800000	1	YES	5439	9999-12-31	2013-05-08	7422
7123/4-1 A	1	2670.000000	2696.600000	[m   ]	26.600000	1	YES	5808	9999-12-31	2013-05-08	7423
7123/4-1 S	1	2435.000000	2451.600000	[m   ]	47.500000	2	YES	5786	9999-12-31	2013-05-08	7424
7123/4-1 S	2	2470.000000	2500.900000	[m   ]	47.500000	2	YES	5786	9999-12-31	2013-05-08	7425
7124/3-1	1	1288.000000	1300.600000	[m   ]	117.100000	5	YES	1066	9999-12-31	2013-05-08	7426
7124/3-1	2	1303.500000	1331.500000	[m   ]	117.100000	5	YES	1066	9999-12-31	2013-05-08	7427
7124/3-1	3	1331.000000	1358.800000	[m   ]	117.100000	5	YES	1066	9999-12-31	2013-05-08	7428
7124/3-1	4	1359.000000	1386.800000	[m   ]	117.100000	5	YES	1066	9999-12-31	2013-05-08	7429
7124/3-1	5	1386.800000	1407.700000	[m   ]	117.100000	5	YES	1066	9999-12-31	2013-05-08	7430
7125/1-1	1	1360.000000	1368.000000	[m   ]	36.000000	2	YES	1350	9999-12-31	2013-05-08	7431
7125/1-1	2	1406.000000	1434.000000	[m   ]	36.000000	2	YES	1350	9999-12-31	2013-05-08	7432
7125/4-1	1	885.000000	894.700000	[m   ]	23.800000	2	YES	5450	9999-12-31	2013-05-08	7433
7125/4-1	2	895.000000	909.100000	[m   ]	23.800000	2	YES	5450	9999-12-31	2013-05-08	7434
7128/4-1	1	1574.000000	1576.300000	[m   ]	82.900000	5	YES	2049	9999-12-31	2013-05-08	7435
7128/4-1	2	1814.000000	1836.000000	[m   ]	82.900000	5	YES	2049	9999-12-31	2013-05-08	7436
7128/4-1	3	1837.000000	1865.700000	[m   ]	82.900000	5	YES	2049	9999-12-31	2013-05-08	7437
7128/4-1	4	2362.000000	2389.500000	[m   ]	82.900000	5	YES	2049	9999-12-31	2013-05-08	7438
7128/4-1	5	2526.000000	2528.500000	[m   ]	82.900000	5	YES	2049	9999-12-31	2013-05-08	7439
7128/6-1	1	1629.000000	1641.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7440
7128/6-1	10	1755.000000	1781.100000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7441
7128/6-1	11	1783.200000	1810.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7442
7128/6-1	12	1810.100000	1838.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7443
7128/6-1	13	1838.100000	1873.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7444
7128/6-1	14	1874.800000	1892.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7445
7128/6-1	15	1892.500000	1928.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7446
7128/6-1	16	1928.600000	1965.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7447
7128/6-1	17	1968.000000	2005.300000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7448
7128/6-1	18	2005.300000	2030.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7449
7128/6-1	19	2030.900000	2043.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7450
7128/6-1	2	1643.000000	1644.800000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7451
7128/6-1	20	2043.300000	2066.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7452
7128/6-1	21	2066.900000	2094.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7453
7128/6-1	22	2094.600000	2131.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7454
7128/6-1	23	2222.000000	2249.400000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7455
7128/6-1	24	2540.000000	2541.700000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7456
7128/6-1	3	1645.000000	1646.600000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7457
7128/6-1	4	\N	0.000000	\N	443.700000	24	YES	1836	9999-12-31	2013-05-08	7458
7128/6-1	5	\N	0.000000	\N	443.700000	24	YES	1836	9999-12-31	2013-05-08	7459
7128/6-1	6	1701.300000	1710.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7460
7128/6-1	7	1710.300000	1728.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7461
7128/6-1	8	1728.000000	1745.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7462
7128/6-1	9	1745.000000	1755.000000	[m   ]	443.700000	24	YES	1836	9999-12-31	2013-05-08	7463
7131/4-1	1	915.000000	944.100000	[m   ]	77.000000	2	YES	5093	9999-12-31	2013-05-08	7464
7131/4-1	2	1070.000000	1117.900000	[m   ]	77.000000	2	YES	5093	9999-12-31	2013-05-08	7465
7216/11-1 S	1	2988.000000	2996.400000	[m   ]	16.400000	2	YES	4129	9999-12-31	2013-05-08	7466
7216/11-1 S	2	4230.000000	4238.000000	[m   ]	16.400000	2	YES	4129	9999-12-31	2013-05-08	7467
7219/8-1 S	1	4270.000000	4277.400000	[m   ]	23.000000	3	YES	2031	9999-12-31	2013-05-08	7468
7219/8-1 S	2	4550.000000	4551.000000	[m   ]	23.000000	3	YES	2031	9999-12-31	2013-05-08	7469
7219/8-1 S	3	4597.000000	4611.500000	[m   ]	23.000000	3	YES	2031	9999-12-31	2013-05-08	7470
7219/9-1	1	1922.500000	1929.500000	[m   ]	216.300000	10	YES	1138	9999-12-31	2013-05-08	7471
7219/9-1	10	2742.000000	2767.600000	[m   ]	216.300000	10	YES	1138	9999-12-31	2013-05-08	7472
7219/9-1	2	1930.000000	1958.000000	[m   ]	216.300000	10	YES	1138	9999-12-31	2013-05-08	7473
7219/9-1	3	1958.000000	1984.900000	[m   ]	216.300000	10	YES	1138	9999-12-31	2013-05-08	7474
7219/9-1	4	1984.900000	1987.800000	[m   ]	216.300000	10	YES	1138	9999-12-31	2013-05-08	7475
7219/9-1	5	1988.000000	2015.800000	[m   ]	216.300000	10	YES	1138	9999-12-31	2013-05-08	7476
7219/9-1	6	2015.900000	2044.000000	[m   ]	216.300000	10	YES	1138	9999-12-31	2013-05-08	7477
7219/9-1	7	2044.000000	2071.700000	[m   ]	216.300000	10	YES	1138	9999-12-31	2013-05-08	7478
7219/9-1	8	2071.700000	2099.400000	[m   ]	216.300000	10	YES	1138	9999-12-31	2013-05-08	7479
7219/9-1	9	2099.400000	2114.000000	[m   ]	216.300000	10	YES	1138	9999-12-31	2013-05-08	7480
7220/6-1	1	1149.000000	1166.500000	[m   ]	55.000000	3	YES	5039	9999-12-31	2013-05-08	7481
7220/6-1	2	1167.000000	1197.500000	[m   ]	55.000000	3	YES	5039	9999-12-31	2013-05-08	7482
7220/6-1	3	1197.400000	1204.400000	[m   ]	55.000000	3	YES	5039	9999-12-31	2013-05-08	7483
7220/8-1	1	1292.500000	1296.500000	[m   ]	110.500000	5	YES	6484	9999-12-31	2013-05-08	7484
7220/8-1	2	1297.500000	1324.200000	[m   ]	110.500000	5	YES	6484	9999-12-31	2013-05-08	7485
7220/8-1	3	1324.500000	1351.400000	[m   ]	110.500000	5	YES	6484	9999-12-31	2013-05-08	7486
7220/8-1	4	1351.500000	1377.900000	[m   ]	110.500000	5	YES	6484	9999-12-31	2013-05-08	7487
7220/8-1	5	1378.500000	1405.000000	[m   ]	110.500000	5	YES	6484	9999-12-31	2013-05-08	7488
7222/11-1	1	778.000000	798.800000	[m   ]	75.800000	5	YES	5916	9999-12-31	2013-05-08	7489
7222/11-1	2	798.500000	807.100000	[m   ]	75.800000	5	YES	5916	9999-12-31	2013-05-08	7490
7222/11-1	3	1287.000000	1299.500000	[m   ]	75.800000	5	YES	5916	9999-12-31	2013-05-08	7491
7222/11-1	4	2209.500000	2227.700000	[m   ]	75.800000	5	YES	5916	9999-12-31	2013-05-08	7492
7222/11-1	5	2227.700000	2243.500000	[m   ]	75.800000	5	YES	5916	9999-12-31	2013-05-08	7493
7222/6-1 S	1	1147.000000	1155.200000	[m   ]	33.100000	4	YES	5755	9999-12-31	2013-05-08	7494
7222/6-1 S	2	1637.000000	1651.000000	[m   ]	33.100000	4	YES	5755	9999-12-31	2013-05-08	7495
7222/6-1 S	3	1941.000000	1943.800000	[m   ]	33.100000	4	YES	5755	9999-12-31	2013-05-08	7496
7222/6-1 S	4	1951.000000	1959.100000	[m   ]	33.100000	4	YES	5755	9999-12-31	2013-05-08	7497
7223/5-1	1	1579.000000	1593.200000	[m   ]	27.000000	2	YES	5960	9999-12-31	2013-05-08	7498
7223/5-1	2	1933.000000	1945.800000	[m   ]	27.000000	2	YES	5960	9999-12-31	2013-05-08	7499
7224/6-1	1	1007.000000	1041.000000	[m   ]	34.000000	1	YES	5835	9999-12-31	2013-05-08	7500
7224/7-1	1	898.000000	907.500000	[m   ]	46.200000	5	YES	1245	9999-12-31	2013-05-08	7501
7224/7-1	2	907.500000	925.100000	[m   ]	46.200000	5	YES	1245	9999-12-31	2013-05-08	7502
7224/7-1	3	926.000000	931.000000	[m   ]	46.200000	5	YES	1245	9999-12-31	2013-05-08	7503
7224/7-1	4	1725.000000	1732.500000	[m   ]	46.200000	5	YES	1245	9999-12-31	2013-05-08	7504
7224/7-1	5	1734.000000	1740.700000	[m   ]	46.200000	5	YES	1245	9999-12-31	2013-05-08	7505
7226/11-1	1	1167.000000	1168.000000	[m   ]	114.700000	10	YES	1177	9999-12-31	2013-05-08	7506
7226/11-1	10	5195.000000	5199.600000	[m   ]	114.700000	10	YES	1177	9999-12-31	2013-05-08	7507
7226/11-1	2	1202.000000	1223.400000	[m   ]	114.700000	10	YES	1177	9999-12-31	2013-05-08	7508
7226/11-1	3	1224.000000	1247.300000	[m   ]	114.700000	10	YES	1177	9999-12-31	2013-05-08	7509
7226/11-1	4	2140.000000	2142.000000	[m   ]	114.700000	10	YES	1177	9999-12-31	2013-05-08	7510
7226/11-1	5	2951.000000	2957.000000	[m   ]	114.700000	10	YES	1177	9999-12-31	2013-05-08	7511
7226/11-1	6	3057.000000	3083.100000	[m   ]	114.700000	10	YES	1177	9999-12-31	2013-05-08	7512
7226/11-1	7	3236.000000	3238.400000	[m   ]	114.700000	10	YES	1177	9999-12-31	2013-05-08	7513
7226/11-1	8	4139.000000	4145.900000	[m   ]	114.700000	10	YES	1177	9999-12-31	2013-05-08	7514
7226/11-1	9	4593.000000	4613.000000	[m   ]	114.700000	10	YES	1177	9999-12-31	2013-05-08	7515
7226/2-1	1	905.000000	952.100000	[m   ]	108.500000	4	YES	5807	9999-12-31	2013-05-08	7516
7226/2-1	2	1365.000000	1418.500000	[m   ]	108.500000	4	YES	5807	9999-12-31	2013-05-08	7517
7226/2-1	3	1747.000000	1750.800000	[m   ]	108.500000	4	YES	5807	9999-12-31	2013-05-08	7518
7226/2-1	4	2892.000000	2896.100000	[m   ]	108.500000	4	YES	5807	9999-12-31	2013-05-08	7519
7228/2-1 S	1	0.000000	0.000000	[m   ]	27.300000	4	YES	1460	9999-12-31	2013-05-08	7520
7228/2-1 S	2	1286.300000	1295.500000	[m   ]	27.300000	4	YES	1460	9999-12-31	2013-05-08	7521
7228/2-1 S	3	1384.000000	1387.500000	[m   ]	27.300000	4	YES	1460	9999-12-31	2013-05-08	7522
7228/2-1 S	4	2315.000000	2320.800000	[m   ]	27.300000	4	YES	1460	9999-12-31	2013-05-08	7523
7228/2-1 S	5	4189.000000	4198.300000	[m   ]	27.300000	4	YES	1460	9999-12-31	2013-05-08	7524
7228/7-1 A	1	2059.000000	2074.700000	[m   ]	73.600000	4	YES	4257	9999-12-31	2013-05-08	7525
7228/7-1 A	2	2075.100000	2102.800000	[m   ]	73.600000	4	YES	4257	9999-12-31	2013-05-08	7526
7228/7-1 A	3	2455.000000	2457.300000	[m   ]	73.600000	4	YES	4257	9999-12-31	2013-05-08	7527
7228/7-1 A	4	2833.000000	2860.900000	[m   ]	73.600000	4	YES	4257	9999-12-31	2013-05-08	7528
7228/7-1 S	1	1367.000000	1394.900000	[m   ]	27.900000	1	YES	3015	9999-12-31	2013-05-08	7529
7228/9-1 S	1	1042.000000	1049.800000	[m   ]	115.400000	7	YES	1486	9999-12-31	2013-05-08	7530
7228/9-1 S	2	1083.000000	1092.600000	[m   ]	115.400000	7	YES	1486	9999-12-31	2013-05-08	7531
7228/9-1 S	3	1094.500000	1122.200000	[m   ]	115.400000	7	YES	1486	9999-12-31	2013-05-08	7532
7228/9-1 S	4	1123.000000	1133.500000	[m   ]	115.400000	7	YES	1486	9999-12-31	2013-05-08	7533
7228/9-1 S	5	2871.000000	2888.100000	[m   ]	115.400000	7	YES	1486	9999-12-31	2013-05-08	7534
7228/9-1 S	6	4300.000000	4318.700000	[m   ]	115.400000	7	YES	1486	9999-12-31	2013-05-08	7535
7228/9-1 S	7	4418.000000	4442.000000	[m   ]	115.400000	7	YES	1486	9999-12-31	2013-05-08	7536
7229/11-1	1	4088.000000	4096.000000	[m   ]	180.000000	9	YES	1643	9999-12-31	2013-05-08	7537
7229/11-1	2	4097.500000	4104.500000	[m   ]	180.000000	9	YES	1643	9999-12-31	2013-05-08	7538
7229/11-1	3	4130.500000	4158.300000	[m   ]	180.000000	9	YES	1643	9999-12-31	2013-05-08	7539
7229/11-1	4	4158.500000	4182.700000	[m   ]	180.000000	9	YES	1643	9999-12-31	2013-05-08	7540
7229/11-1	5	4183.000000	4211.600000	[m   ]	180.000000	9	YES	1643	9999-12-31	2013-05-08	7541
7229/11-1	6	4211.700000	4240.000000	[m   ]	180.000000	9	YES	1643	9999-12-31	2013-05-08	7542
7229/11-1	7	4240.300000	4268.800000	[m   ]	180.000000	9	YES	1643	9999-12-31	2013-05-08	7543
7229/11-1	8	4269.000000	4276.000000	[m   ]	180.000000	9	YES	1643	9999-12-31	2013-05-08	7544
7229/11-1	9	4373.000000	4394.100000	[m   ]	180.000000	9	YES	1643	9999-12-31	2013-05-08	7545
7316/5-1	1	896.000000	906.600000	[m   ]	42.900000	3	YES	1987	9999-12-31	2013-05-08	7546
7316/5-1	2	1347.500000	1374.000000	[m   ]	42.900000	3	YES	1987	9999-12-31	2013-05-08	7547
7316/5-1	3	1460.600000	1472.000000	[m   ]	42.900000	3	YES	1987	9999-12-31	2013-05-08	7548
7321/7-1	1	1907.000000	1910.000000	[m   ]	16.200000	4	YES	1284	9999-12-31	2013-05-08	7549
7321/7-1	2	2003.000000	2004.000000	[m   ]	16.200000	4	YES	1284	9999-12-31	2013-05-08	7550
7321/7-1	3	2004.000000	2007.500000	[m   ]	16.200000	4	YES	1284	9999-12-31	2013-05-08	7551
7321/7-1	4	2386.000000	2394.700000	[m   ]	16.200000	4	YES	1284	9999-12-31	2013-05-08	7552
7321/8-1	1	1443.500000	1465.500000	[m   ]	97.100000	7	YES	1070	9999-12-31	2013-05-08	7553
7321/8-1	2	1465.500000	1493.100000	[m   ]	97.100000	7	YES	1070	9999-12-31	2013-05-08	7554
7321/8-1	3	1493.700000	1516.400000	[m   ]	97.100000	7	YES	1070	9999-12-31	2013-05-08	7555
7321/8-1	4	1516.600000	1544.600000	[m   ]	97.100000	7	YES	1070	9999-12-31	2013-05-08	7556
7321/8-1	5	2670.800000	2677.900000	[m   ]	97.100000	7	YES	1070	9999-12-31	2013-05-08	7557
7321/8-1	6	2839.000000	2846.900000	[m   ]	97.100000	7	YES	1070	9999-12-31	2013-05-08	7558
7321/8-1	7	3430.000000	3431.400000	[m   ]	97.100000	7	YES	1070	9999-12-31	2013-05-08	7559
7321/9-1	1	1365.000000	1384.100000	[m   ]	32.100000	2	YES	1339	9999-12-31	2013-05-08	7560
7321/9-1	2	1385.200000	1398.200000	[m   ]	32.100000	2	YES	1339	9999-12-31	2013-05-08	7561
7324/10-1	1	1411.000000	1414.600000	[m   ]	36.400000	5	YES	1411	9999-12-31	2013-05-08	7562
7324/10-1	2	1659.000000	1667.300000	[m   ]	36.400000	5	YES	1411	9999-12-31	2013-05-08	7563
7324/10-1	3	1777.000000	1782.600000	[m   ]	36.400000	5	YES	1411	9999-12-31	2013-05-08	7564
7324/10-1	4	2640.200000	2640.500000	[m   ]	36.400000	5	YES	1411	9999-12-31	2013-05-08	7565
7324/10-1	5	2640.500000	2659.100000	[m   ]	36.400000	5	YES	1411	9999-12-31	2013-05-08	7566
7418/1-U-1	1	8.400000	126.100000	[m   ]	118.100000	1	YES	2185	9999-12-31	2013-05-08	7567
7427/3-U-1	1	1.500000	90.300000	[m   ]	88.200000	1	YES	1661	9999-12-31	2013-05-08	7568
7517/12-U-1	1	110.800000	200.000000	[m   ]	89.300000	1	YES	2186	9999-12-31	2013-05-08	7569
7532/2-U-1	1	4.000000	19.900000	[m   ]	14.800000	1	YES	1662	9999-12-31	2013-05-08	7570
7533/2-U-1	1	2.200000	200.500000	[m   ]	198.300000	1	YES	3609	9999-12-31	2013-05-08	7571
7533/2-U-2	1	4.300000	88.100000	[m   ]	83.800000	1	YES	3611	9999-12-31	2013-05-08	7572
7533/2-U-3	1	7.400000	26.700000	[m   ]	19.300000	1	YES	3613	9999-12-31	2013-05-08	7573
7533/3-U-1	1	1.200000	121.000000	[m   ]	116.300000	1	YES	1663	9999-12-31	2013-05-08	7574
7533/3-U-7	1	1.600000	201.100000	[m   ]	199.500000	1	YES	3607	9999-12-31	2013-05-08	7575
7534/4-U-1	1	4.000000	233.600000	[m   ]	229.500000	1	YES	2675	9999-12-31	2013-05-08	7576
7534/6-U-1	1	10.600000	120.100000	[m   ]	109.500000	1	YES	2680	9999-12-31	2013-05-08	7577
7616/11-U-1	1	2.000000	69.300000	[m   ]	67.300000	1	YES	2491	9999-12-31	2013-05-08	7578
7616/11-U-2	1	35.500000	47.800000	[m   ]	12.400000	1	YES	2490	9999-12-31	2013-05-08	7579
7617/11-U-1	1	11.100000	30.300000	[m   ]	19.200000	1	YES	2489	9999-12-31	2013-05-08	7580
7617/11-U-2	1	10.500000	12.000000	[m   ]	138.600000	2	YES	2492	9999-12-31	2013-05-08	7581
7617/11-U-2	2	17.000000	154.100000	[m   ]	138.600000	2	YES	2492	9999-12-31	2013-05-08	7582
7618/10-U-1	1	13.100000	28.800000	[m   ]	15.700000	1	YES	2486	9999-12-31	2013-05-08	7583
7618/10-U-2	1	13.400000	13.500000	[m   ]	12.000000	1	YES	2487	9999-12-31	2013-05-08	7584
7618/10-U-3	1	14.100000	22.400000	[m   ]	8.200000	1	YES	2488	9999-12-31	2013-05-08	7585
7618/12-U-1	1	13.200000	198.500000	[m   ]	185.300000	1	YES	2677	9999-12-31	2013-05-08	7586
7618/9-U-1	1	12.800000	170.600000	[m   ]	157.800000	1	YES	2678	9999-12-31	2013-05-08	7587
7619/8-U-1	1	6.200000	138.700000	[m   ]	132.500000	1	YES	2679	9999-12-31	2013-05-08	7588
7634/6-U-1	1	7.300000	122.300000	[m   ]	115.000000	1	YES	3610	9999-12-31	2013-05-08	7589
7634/6-U-3	1	3.000000	40.900000	[m   ]	37.900000	1	YES	3608	9999-12-31	2013-05-08	7590
7830/3-U-1	1	3.000000	200.000000	[m   ]	197.000000	1	YES	5303	9999-12-31	2013-05-08	7591
7830/5-U-1	1	19.000000	147.000000	[m   ]	128.000000	1	YES	5302	9999-12-31	2013-05-08	7592
7830/6-U-1	1	3.000000	53.000000	[m   ]	50.000000	1	YES	5299	9999-12-31	2013-05-08	7593
7831/2-U-1	1	8.000000	28.000000	[m   ]	20.000000	1	YES	5300	9999-12-31	2013-05-08	7594
7831/2-U-2	1	5.000000	19.000000	[m   ]	14.000000	1	YES	5301	9999-12-31	2013-05-08	7595
8/12-1	1	6181.000000	6235.000000	[ft  ]	33.800000	3	YES	193	9999-12-31	2013-05-08	7596
8/12-1	2	8811.000000	8817.500000	[ft  ]	33.800000	3	YES	193	9999-12-31	2013-05-08	7597
8/12-1	3	8919.000000	8996.500000	[ft  ]	33.800000	3	YES	193	9999-12-31	2013-05-08	7598
8/3-1	1	2075.000000	2075.500000	[m   ]	25.000000	5	YES	142	9999-12-31	2013-05-08	7599
8/3-1	2	2079.000000	2083.000000	[m   ]	25.000000	5	YES	142	9999-12-31	2013-05-08	7600
8/3-1	3	2206.000000	2214.800000	[m   ]	25.000000	5	YES	142	9999-12-31	2013-05-08	7601
8/3-1	4	2968.400000	2972.000000	[m   ]	25.000000	5	YES	142	9999-12-31	2013-05-08	7602
8/3-1	5	3007.000000	3015.000000	[m   ]	25.000000	5	YES	142	9999-12-31	2013-05-08	7603
8/3-2	1	2384.000000	2388.500000	[m   ]	9.200000	2	YES	89	9999-12-31	2013-05-08	7604
8/3-2	2	2389.000000	2397.300000	[m   ]	9.200000	2	YES	89	9999-12-31	2013-05-08	7605
9/10-1	1	7036.000000	7066.000000	[ft  ]	10.000000	1	YES	183	9999-12-31	2013-05-08	7606
9/11-1	1	6500.000000	6530.000000	[ft  ]	27.800000	2	YES	194	9999-12-31	2013-05-08	7607
9/11-1	2	6702.000000	6762.000000	[ft  ]	27.800000	2	YES	194	9999-12-31	2013-05-08	7608
9/2-1	1	3111.000000	3123.500000	[m   ]	110.700000	5	YES	1038	9999-12-31	2013-05-08	7609
9/2-1	2	3174.000000	3202.200000	[m   ]	110.700000	5	YES	1038	9999-12-31	2013-05-08	7610
9/2-1	3	3202.200000	3215.800000	[m   ]	110.700000	5	YES	1038	9999-12-31	2013-05-08	7611
9/2-1	4	3231.000000	3259.200000	[m   ]	110.700000	5	YES	1038	9999-12-31	2013-05-08	7612
9/2-1	5	3259.300000	3287.600000	[m   ]	110.700000	5	YES	1038	9999-12-31	2013-05-08	7613
9/2-2	1	3135.000000	3163.400000	[m   ]	45.400000	2	YES	1135	9999-12-31	2013-05-08	7614
9/2-2	2	3414.000000	3431.000000	[m   ]	45.400000	2	YES	1135	9999-12-31	2013-05-08	7615
9/2-3	1	3264.000000	3292.300000	[m   ]	28.300000	1	YES	1294	9999-12-31	2013-05-08	7616
9/2-4 S	1	4150.000000	4166.900000	[m   ]	16.900000	1	YES	2258	9999-12-31	2013-05-08	7617
9/2-5	1	3154.000000	3163.600000	[m   ]	38.000000	2	YES	2599	9999-12-31	2013-05-08	7618
9/2-5	2	3164.500000	3192.900000	[m   ]	38.000000	2	YES	2599	9999-12-31	2013-05-08	7619
9/2-6 S	1	4793.000000	4802.800000	[m   ]	49.800000	2	YES	2867	9999-12-31	2013-05-08	7620
9/2-6 S	2	4804.200000	4844.200000	[m   ]	49.800000	2	YES	2867	9999-12-31	2013-05-08	7621
9/2-7 S	1	3868.000000	3892.200000	[m   ]	53.800000	2	YES	3087	9999-12-31	2013-05-08	7622
9/2-7 S	2	3892.800000	3922.400000	[m   ]	53.800000	2	YES	3087	9999-12-31	2013-05-08	7623
9/2-8 S	1	5842.000000	5869.300000	[m   ]	84.300000	4	YES	3126	9999-12-31	2013-05-08	7624
9/2-8 S	2	5870.000000	5876.500000	[m   ]	84.300000	4	YES	3126	9999-12-31	2013-05-08	7625
9/2-8 S	3	5876.500000	5898.600000	[m   ]	84.300000	4	YES	3126	9999-12-31	2013-05-08	7626
9/2-8 S	4	5898.600000	5927.000000	[m   ]	84.300000	4	YES	3126	9999-12-31	2013-05-08	7627
9/2-9 S	1	3995.000000	4010.700000	[m   ]	15.700000	1	YES	3703	9999-12-31	2013-05-08	7628
9/2-A-4	1	4635.000000	4647.100000	[m   ]	68.000000	3	YES	2828	9999-12-31	2013-05-08	7629
9/2-A-4	2	4648.500000	4676.700000	[m   ]	68.000000	3	YES	2828	9999-12-31	2013-05-08	7630
9/2-A-4	3	4676.700000	4704.400000	[m   ]	68.000000	3	YES	2828	9999-12-31	2013-05-08	7631
9/3-1	1	1798.000000	1805.400000	[m   ]	7.400000	1	YES	921	9999-12-31	2013-05-08	7632
9/8-1	1	1926.000000	1933.400000	[m   ]	23.800000	2	YES	145	9999-12-31	2013-05-08	7633
9/8-1	2	2114.000000	2130.600000	[m   ]	23.800000	2	YES	145	9999-12-31	2013-05-08	7634
\.



COPY wellbore_core_photo (wlbname, wlbcorenumber, wlbcorephototitle, wlbcorephotoimgurl, wlbnpdidwellbore, wlbcorephotodateupdated, wellbore_core_photo_id) FROM stdin;
1/2-1	1	10208-10228ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_01_10208-10228ft.jpg	1382	9999-12-31	1
1/2-1	2	19228-10262ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_02_19228-10262ft.jpg	1382	9999-12-31	2
1/2-1	3	10262-10277ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_03_10262-10277ft.jpg	1382	9999-12-31	3
1/2-1	4	10277-10292ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_04_10277-10292ft.jpg	1382	9999-12-31	4
1/2-1	5	10292-10307ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_05_10292-10307ft.jpg	1382	9999-12-31	5
1/2-1	6	10307-10322ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_06_10307-10322ft.jpg	1382	9999-12-31	6
1/2-1	7	10322-10337ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_07_10322-10337ft.jpg	1382	9999-12-31	7
1/2-1	8	10337-10352ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_08_10337-10352ft.jpg	1382	9999-12-31	8
1/2-1	9	10352-10364ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_09_10352-10364ft.jpg	1382	9999-12-31	9
1/2-1	10	10368-10377ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_10_10368-10377ft.jpg	1382	9999-12-31	10
1/2-1	11	10368-10383ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_11_10368-10383ft.jpg	1382	9999-12-31	11
1/2-1	12	10383-10395ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1382_12_10383-10395ft.jpg	1382	9999-12-31	12
1/3-3	1	4129-4135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_01_4129-4135m.jpg	87	9999-12-31	13
1/3-3	2	4135-4141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_02_4135-4141m.jpg	87	9999-12-31	14
1/3-3	3	4141-4148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_03_4141-4148m.jpg	87	9999-12-31	15
1/3-3	4	4147-4186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_04_4147-4186m.jpg	87	9999-12-31	16
1/3-3	5	4186-4192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_05_4186-4192m.jpg	87	9999-12-31	17
1/3-3	6	4192-4198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_06_4192-4198m.jpg	87	9999-12-31	18
1/3-3	7	4198-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_07_4198-4203m.jpg	87	9999-12-31	19
1/3-3	8	4203-4209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_08_4203-4209m.jpg	87	9999-12-31	20
1/3-3	9	4209-4215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_09_4209-4215m.jpg	87	9999-12-31	21
1/3-3	10	4215-4221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_10_4215-4221m.jpg	87	9999-12-31	22
1/3-3	11	4221-4227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_11_4221-4227m.jpg	87	9999-12-31	23
1/3-3	12	4227-4231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_12_4227-4231m.jpg	87	9999-12-31	24
1/3-3	13	4231-4234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_13_4231-4234m.jpg	87	9999-12-31	25
1/3-3	14	4239-4244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_14_4239-4244m.jpg	87	9999-12-31	26
1/3-3	15	4244-4247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/87_15_4244-4247m.jpg	87	9999-12-31	27
1/3-7	1	3164-3169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_001_3164-3169m.jpg	2505	9999-12-31	28
1/3-7	2	3169-3174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_002_3169-3174m.jpg	2505	9999-12-31	29
1/3-7	3	3174-3179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_003_3174-3179m.jpg	2505	9999-12-31	30
1/3-7	4	3179-3181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_004_3179-3181m.jpg	2505	9999-12-31	31
1/3-7	5	3188-3189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_005_3188-3189m.jpg	2505	9999-12-31	32
1/3-7	6	3189-3190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_006_3189-3190m.jpg	2505	9999-12-31	33
1/3-7	7	3190-3191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_007_3190-3191m.jpg	2505	9999-12-31	34
1/3-7	8	3191-3192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_008_3191-3192m.jpg	2505	9999-12-31	35
1/3-7	9	3192-3193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_009_3192-3193m.jpg	2505	9999-12-31	36
1/3-7	10	3193-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_010_3193-3194m.jpg	2505	9999-12-31	37
1/3-7	11	3194-3195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_011_3194-3195m.jpg	2505	9999-12-31	38
1/3-7	12	3195-3196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_012_3195-3196m.jpg	2505	9999-12-31	39
1/3-7	13	3196-3197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_013_3196-3197m.jpg	2505	9999-12-31	40
1/3-7	14	3197-3198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_014_3197-3198m.jpg	2505	9999-12-31	41
1/3-7	15	3198-3199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_015_3198-3199m.jpg	2505	9999-12-31	42
1/3-7	16	3199-3200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_016_3199-3200m.jpg	2505	9999-12-31	43
1/3-7	17	3200-3201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_017_3200-3201m.jpg	2505	9999-12-31	44
1/3-7	18	3201-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_018_3201-3202m.jpg	2505	9999-12-31	45
1/3-7	19	3202-3203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_019_3202-3203m.jpg	2505	9999-12-31	46
1/3-7	20	3203-3204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_020_3203-3204m.jpg	2505	9999-12-31	47
1/3-7	21	3204-3205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_021_3204-3205m.jpg	2505	9999-12-31	48
1/3-7	22	3205-3206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_022_3205-3206m.jpg	2505	9999-12-31	49
1/3-7	23	3206-3207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_023_3206-3207m.jpg	2505	9999-12-31	50
1/3-7	24	3207-3208m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_024_3207-3208m.jpg	2505	9999-12-31	51
1/3-7	25	3208-3209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_025_3208-3209m.jpg	2505	9999-12-31	52
1/3-7	26	3209-3210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_026_3209-3210m.jpg	2505	9999-12-31	53
1/3-7	27	3210-3211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_027_3210-3211m.jpg	2505	9999-12-31	54
1/3-7	28	3211-3212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_028_3211-3212m.jpg	2505	9999-12-31	55
1/3-7	29	3212-3213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_029_3212-3213m.jpg	2505	9999-12-31	56
1/3-7	30	3213-3214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_030_3213-3214m.jpg	2505	9999-12-31	57
1/3-7	31	3214-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_031_3214-3215m.jpg	2505	9999-12-31	58
1/3-7	32	3215-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_032_3215-3216m.jpg	2505	9999-12-31	59
1/3-7	33	3216-3217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_033_3216-3217m.jpg	2505	9999-12-31	60
1/3-7	34	3217-3218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_034_3217-3218m.jpg	2505	9999-12-31	61
1/3-7	35	3218-3219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_035_3218-3219m.jpg	2505	9999-12-31	62
1/3-7	36	3219-3220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_036_3219-3220m.jpg	2505	9999-12-31	63
1/3-7	37	3220-3221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_037_3220-3221m.jpg	2505	9999-12-31	64
1/3-7	38	3221-3222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_038_3221-3222m.jpg	2505	9999-12-31	65
1/3-7	39	3222-3223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_039_3222-3223m.jpg	2505	9999-12-31	66
1/3-7	40	3223-3224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_040_3223-3224m.jpg	2505	9999-12-31	67
1/3-7	51	3224-3225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_051_3224-3225m.jpg	2505	9999-12-31	68
1/3-7	52	3225-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_052_3225-3226m.jpg	2505	9999-12-31	69
1/3-7	53	3226-3227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_053_3226-3227m.jpg	2505	9999-12-31	70
1/3-7	54	3227-3228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_054_3227-3228m.jpg	2505	9999-12-31	71
1/3-7	55	3228-3229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_055_3228-3229m.jpg	2505	9999-12-31	72
1/3-7	56	3229-3230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_056_3229-3230m.jpg	2505	9999-12-31	73
1/3-7	57	3230-3231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_057_3230-3231m.jpg	2505	9999-12-31	74
1/3-7	58	3231-3232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_058_3231-3232m.jpg	2505	9999-12-31	75
1/3-7	59	3232-3233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_059_3232-3233m.jpg	2505	9999-12-31	76
1/3-7	60	3233-3234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_060_3233-3234m.jpg	2505	9999-12-31	77
1/3-7	71	3234-3235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_071_3234-3235m.jpg	2505	9999-12-31	78
1/3-7	72	3235-3236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_072_3235-3236m.jpg	2505	9999-12-31	79
1/3-7	73	3236-3237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_073_3236-3237m.jpg	2505	9999-12-31	80
1/3-7	74	3237-3238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_074_3237-3238m.jpg	2505	9999-12-31	81
1/3-7	75	3238-3239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_075_3238-3239m.jpg	2505	9999-12-31	82
1/3-7	76	3239-3240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_076_3239-3240m.jpg	2505	9999-12-31	83
1/3-7	77	3240-3241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_077_3240-3241m.jpg	2505	9999-12-31	84
1/3-7	78	3241-3242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_078_3241-3242m.jpg	2505	9999-12-31	85
1/3-7	79	3242-3243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_079_3242-3243m.jpg	2505	9999-12-31	86
1/3-7	80	3243-3244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_080_3243-3244m.jpg	2505	9999-12-31	87
1/3-7	81	3244-3245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_081_3244-3245m.jpg	2505	9999-12-31	88
1/3-7	101	3164-3169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_101_3164-3169m.jpg	2505	9999-12-31	89
1/3-7	102	3169-3174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_102_3169-3174m.jpg	2505	9999-12-31	90
1/3-7	103	3174-3179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_103_3174-3179m.jpg	2505	9999-12-31	91
1/3-7	104	3179-3181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_104_3179-3181m.jpg	2505	9999-12-31	92
1/3-7	105	3188-3193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_105_3188-3193m.jpg	2505	9999-12-31	93
1/3-7	106	3193-3198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_106_3193-3198m.jpg	2505	9999-12-31	94
1/3-7	107	3198-3203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_107_3198-3203m.jpg	2505	9999-12-31	95
1/3-7	108	3203-3204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_108_3203-3204m.jpg	2505	9999-12-31	96
1/3-7	109	3205-3210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_109_3205-3210m.jpg	2505	9999-12-31	97
1/3-7	110	3210-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_110_3210-3215m.jpg	2505	9999-12-31	98
1/3-7	111	3215-3220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_111_3215-3220m.jpg	2505	9999-12-31	99
1/3-7	112	3220-3223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_112_3220-3223m.jpg	2505	9999-12-31	100
1/3-7	113	3224-3229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_113_3224-3229m.jpg	2505	9999-12-31	101
1/3-7	114	3229-3234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_114_3229-3234m.jpg	2505	9999-12-31	102
1/3-7	115	3234-3239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_115_3234-3239m.jpg	2505	9999-12-31	103
1/3-7	116	3239-3244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_116_3239-3244m.jpg	2505	9999-12-31	104
1/3-7	117	3244-3245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2505_117_3244-3245m.jpg	2505	9999-12-31	105
1/3-8	1	5024-5029m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2829_01_5024-5029m.jpg	2829	9999-12-31	106
1/3-8	2	5029-5034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2829_02_5029-5034m.jpg	2829	9999-12-31	107
1/3-8	3	5034-5039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2829_03_5034-5039m.jpg	2829	9999-12-31	108
1/3-9 S	1	4273-4278m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_01_4273-4278m.jpg	3362	9999-12-31	109
1/3-9 S	2	4278-4283m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_02_4278-4283m.jpg	3362	9999-12-31	110
1/3-9 S	3	4283-4288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_03_4283-4288m.jpg	3362	9999-12-31	111
1/3-9 S	4	4288-4293m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_04_4288-4293m.jpg	3362	9999-12-31	112
1/3-9 S	5	4293-4298m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_05_4293-4298m.jpg	3362	9999-12-31	113
1/3-9 S	6	4298-4303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_06_4298-4303m.jpg	3362	9999-12-31	114
1/3-9 S	7	4303-4308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_07_4303-4308m.jpg	3362	9999-12-31	115
1/3-9 S	8	4308-4313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_08_4308-4313m.jpg	3362	9999-12-31	116
1/3-9 S	9	4313-4318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_09_4313-4318m.jpg	3362	9999-12-31	117
1/3-9 S	10	4318-4322m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_10_4318-4322m.jpg	3362	9999-12-31	118
1/3-9 S	11	4323-4328m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_11_4323-4328m.jpg	3362	9999-12-31	119
1/3-9 S	12	4328-4333m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_12_4328-4333m.jpg	3362	9999-12-31	120
1/3-9 S	13	4333-4338m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_13_4333-4338m.jpg	3362	9999-12-31	121
1/3-9 S	14	4338-4343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_14_4338-4343m.jpg	3362	9999-12-31	122
1/3-9 S	15	4343-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_15_4343-4348m.jpg	3362	9999-12-31	123
1/3-9 S	16	4348-4353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_16_4348-4353m.jpg	3362	9999-12-31	124
1/3-9 S	17	4353-4358m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_17_4353-4358m.jpg	3362	9999-12-31	125
1/3-9 S	18	4358-4363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_18_4358-4363m.jpg	3362	9999-12-31	126
1/3-9 S	20	4368-4373m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_20_4368-4373m.jpg	3362	9999-12-31	127
1/3-9 S	21	4373-4378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_21_4373-4378m.jpg	3362	9999-12-31	128
1/3-9 S	22	4378-4378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3362_22_4378-4378m.jpg	3362	9999-12-31	129
1/6-2	1	10584-10601ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/240_01_10584-10601ft.jpg	240	9999-12-31	130
1/6-2	2	10601-10616ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/240_02_10601-10616ft.jpg	240	9999-12-31	131
1/6-2	3	10616-10635ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/240_03_10616-10635ft.jpg	240	9999-12-31	132
1/6-5	1	1725-1728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1508_01_1725-1728m.jpg	1508	9999-12-31	133
1/6-5	2	1742-1747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1508_02_1742-1747m.jpg	1508	9999-12-31	134
1/6-5	3	1747-1751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1508_03_1747-1751m.jpg	1508	9999-12-31	135
1/6-7	1	3295-3299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_01_3295-3299m.jpg	1928	9999-12-31	136
1/6-7	2	3299-3303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_02_3299-3303m.jpg	1928	9999-12-31	137
1/6-7	3	3303-3307m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_03_3303-3307m.jpg	1928	9999-12-31	138
1/6-7	4	3307-3311m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_04_3307-3311m.jpg	1928	9999-12-31	139
1/6-7	5	3311-3313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_05_3311-3313m.jpg	1928	9999-12-31	140
1/6-7	6	4754-4759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_06_4754-4759m.jpg	1928	9999-12-31	141
1/6-7	7	4759-4764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_07_4759-4764m.jpg	1928	9999-12-31	142
1/6-7	8	4764-4769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_08_4764-4769m.jpg	1928	9999-12-31	143
1/6-7	9	4769-4772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_09_4769-4772m.jpg	1928	9999-12-31	144
1/6-7	10	4773-4778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_10_4773-4778m.jpg	1928	9999-12-31	145
1/6-7	11	4778-4783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_11_4778-4783m.jpg	1928	9999-12-31	146
1/6-7	12	4783-4788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_12_4783-4788m.jpg	1928	9999-12-31	147
1/6-7	13	4788-4793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_13_4788-4793m.jpg	1928	9999-12-31	148
1/6-7	14	4793-4798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_14_4793-4798m.jpg	1928	9999-12-31	149
1/6-7	15	4798-4800m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1928_15_4798-4800m.jpg	1928	9999-12-31	150
1/9-4	1	3122-3125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_01_3122-3125m.jpg	247	9999-12-31	151
1/9-4	2	3125-3128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_02_3125-3128m.jpg	247	9999-12-31	152
1/9-4	3	3128-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_03_3128-3130m.jpg	247	9999-12-31	153
1/9-4	4	3130-3133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_04_3130-3133m.jpg	247	9999-12-31	154
1/9-4	5	3133-3136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_05_3133-3136m.jpg	247	9999-12-31	155
1/9-4	6	3136-3138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_06_3136-3138m.jpg	247	9999-12-31	156
1/9-4	7	3138-3141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_07_3138-3141m.jpg	247	9999-12-31	157
1/9-4	8	3141-3143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_08_3141-3143m.jpg	247	9999-12-31	158
1/9-4	9	3143-3146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_09_3143-3146m.jpg	247	9999-12-31	159
1/9-4	10	3146-3149m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_10_3146-3149m.jpg	247	9999-12-31	160
1/9-4	11	3149-3152m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_11_3149-3152m.jpg	247	9999-12-31	161
1/9-4	12	3152-3154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_12_3152-3154m.jpg	247	9999-12-31	162
1/9-4	13	3154-3157m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_13_3154-3157m.jpg	247	9999-12-31	163
1/9-4	14	3157-3159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_14_3157-3159m.jpg	247	9999-12-31	164
1/9-4	15	3159-3162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_15_3159-3162m.jpg	247	9999-12-31	165
1/9-4	16	3162-3164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_16_3162-3164m.jpg	247	9999-12-31	166
1/9-4	17	3164-3167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_17_3164-3167m.jpg	247	9999-12-31	167
1/9-4	18	3167-3170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_18_3167-3170m.jpg	247	9999-12-31	168
1/9-4	19	3170-3173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_19_3170-3173m.jpg	247	9999-12-31	169
1/9-4	20	3173-3173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_20_3173-3173m.jpg	247	9999-12-31	170
1/9-4	21	3173-3176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_21_3173-3176m.jpg	247	9999-12-31	171
1/9-4	22	3176-3178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_22_3176-3178m.jpg	247	9999-12-31	172
1/9-4	23	3178-3181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_23_3178-3181m.jpg	247	9999-12-31	173
1/9-4	23	3181-3184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_23_3181-3184m.jpg	247	9999-12-31	174
1/9-4	24	3184-3187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_24_3184-3187m.jpg	247	9999-12-31	175
1/9-4	25	3187-3189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_25_3187-3189m.jpg	247	9999-12-31	176
1/9-4	26	3189-3191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_26_3189-3191m.jpg	247	9999-12-31	177
1/9-4	27	3191-3195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_27_3191-3195m.jpg	247	9999-12-31	178
1/9-4	28	3194-3197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_28_3194-3197m.jpg	247	9999-12-31	179
1/9-4	29	3197-3199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_29_3197-3199m.jpg	247	9999-12-31	180
1/9-4	30	3199-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_30_3199-3202m.jpg	247	9999-12-31	181
1/9-4	31	3202-3205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_31_3202-3205m.jpg	247	9999-12-31	182
1/9-4	32	3205-3208m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_32_3205-3208m.jpg	247	9999-12-31	183
1/9-4	33	3208-3210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_33_3208-3210m.jpg	247	9999-12-31	184
1/9-4	34	3210-3212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_34_3210-3212m.jpg	247	9999-12-31	185
1/9-4	35	3212-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_35_3212-3215m.jpg	247	9999-12-31	186
1/9-4	36	3215-3218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_36_3215-3218m.jpg	247	9999-12-31	187
1/9-4	37	3218-3218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_37_3218-3218m.jpg	247	9999-12-31	188
1/9-4	38	3219-3222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_38_3219-3222m.jpg	247	9999-12-31	189
1/9-4	39	3222-3225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_39_3222-3225m.jpg	247	9999-12-31	190
1/9-4	40	3225-3228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_40_3225-3228m.jpg	247	9999-12-31	191
1/9-4	51	3222-3225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_51_3222-3225m.jpg	247	9999-12-31	192
1/9-4	52	3225-3228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_52_3225-3228m.jpg	247	9999-12-31	193
1/9-4	53	3228-3230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_53_3228-3230m.jpg	247	9999-12-31	194
1/9-4	54	3230-3233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_54_3230-3233m.jpg	247	9999-12-31	195
1/9-4	55	3233-3236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_55_3233-3236m.jpg	247	9999-12-31	196
1/9-4	56	3236-3238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_56_3236-3238m.jpg	247	9999-12-31	197
1/9-4	57	3238-3240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_57_3238-3240m.jpg	247	9999-12-31	198
1/9-4	58	3240-3243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_58_3240-3243m.jpg	247	9999-12-31	199
1/9-4	59	3243-3246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_59_3243-3246m.jpg	247	9999-12-31	200
1/9-4	60	3246-3249m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_60_3246-3249m.jpg	247	9999-12-31	201
1/9-4	61	3249-3251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_61_3249-3251m.jpg	247	9999-12-31	202
1/9-4	62	3251-3254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_62_3251-3254m.jpg	247	9999-12-31	203
1/9-4	63	3254-3256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_63_3254-3256m.jpg	247	9999-12-31	204
1/9-4	64	3256-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_64_3256-3259m.jpg	247	9999-12-31	205
1/9-4	65	3259-3261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_65_3259-3261m.jpg	247	9999-12-31	206
1/9-4	66	3261-3264m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_66_3261-3264m.jpg	247	9999-12-31	207
1/9-4	67	3264-3267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_67_3264-3267m.jpg	247	9999-12-31	208
1/9-4	68	3267-3270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_68_3267-3270m.jpg	247	9999-12-31	209
1/9-4	69	3270-3272m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_69_3270-3272m.jpg	247	9999-12-31	210
1/9-4	70	3272-3273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/247_70_3272-3273m.jpg	247	9999-12-31	211
1/9-6 S	1	3415-3420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_01_3415-3420m.jpg	44	9999-12-31	212
1/9-6 S	2	3420-3425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_02_3420-3425m.jpg	44	9999-12-31	213
1/9-6 S	3	3425-3426m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_03_3425-3426m.jpg	44	9999-12-31	214
1/9-6 S	4	3427-3432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_04_3427-3432m.jpg	44	9999-12-31	215
1/9-6 S	5	3432-3437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_05_3432-3437m.jpg	44	9999-12-31	216
1/9-6 S	6	3437-3442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_06_3437-3442m.jpg	44	9999-12-31	217
1/9-6 S	7	3442-3444m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_07_3442-3444m.jpg	44	9999-12-31	218
1/9-6 S	8	3445-3450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_08_3445-3450m.jpg	44	9999-12-31	219
1/9-6 S	8	3450-3455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_08_3450-3455m.jpg	44	9999-12-31	220
1/9-6 S	10	3455-3457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_10_3455-3457m.jpg	44	9999-12-31	221
1/9-6 S	11	3463-3468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_11_3463-3468m.jpg	44	9999-12-31	222
1/9-6 S	12	3468-3473m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_12_3468-3473m.jpg	44	9999-12-31	223
1/9-6 S	13	3473-3478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_13_3473-3478m.jpg	44	9999-12-31	224
1/9-6 S	14	3478-3481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_14_3478-3481m.jpg	44	9999-12-31	225
1/9-6 S	15	3481-3486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_15_3481-3486m.jpg	44	9999-12-31	226
1/9-6 S	16	3486-3491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_16_3486-3491m.jpg	44	9999-12-31	227
1/9-6 S	17	3491-3496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_17_3491-3496m.jpg	44	9999-12-31	228
1/9-6 S	18	3496-3499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_18_3496-3499m.jpg	44	9999-12-31	229
1/9-6 S	19	3500-3505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_19_3500-3505m.jpg	44	9999-12-31	230
1/9-6 S	20	3505-3510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_20_3505-3510m.jpg	44	9999-12-31	231
1/9-6 S	21	3510-3515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_21_3510-3515m.jpg	44	9999-12-31	232
1/9-6 S	22	3515-3517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_22_3515-3517m.jpg	44	9999-12-31	233
1/9-6 S	23	3518-3523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_23_3518-3523m.jpg	44	9999-12-31	234
1/9-6 S	24	3523-3528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_24_3523-3528m.jpg	44	9999-12-31	235
1/9-6 S	25	3528-3530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_25_3528-3530m.jpg	44	9999-12-31	236
1/9-6 S	26	3530-3534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_26_3530-3534m.jpg	44	9999-12-31	237
1/9-6 S	27	3537-3542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_27_3537-3542m.jpg	44	9999-12-31	238
1/9-6 S	28	3542-3547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_28_3542-3547m.jpg	44	9999-12-31	239
1/9-6 S	29	3547-3552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_29_3547-3552m.jpg	44	9999-12-31	240
1/9-6 S	30	3552-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_30_3552-3555m.jpg	44	9999-12-31	241
1/9-6 S	31	3556-3561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_31_3556-3561m.jpg	44	9999-12-31	242
1/9-6 S	32	3561-3566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_32_3561-3566m.jpg	44	9999-12-31	243
1/9-6 S	33	3566-3571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_33_3566-3571m.jpg	44	9999-12-31	244
1/9-6 S	34	3571-3573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_34_3571-3573m.jpg	44	9999-12-31	245
1/9-6 S	35	3575-3580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_35_3575-3580m.jpg	44	9999-12-31	246
1/9-6 S	36	3580-3584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_36_3580-3584m.jpg	44	9999-12-31	247
1/9-6 S	37	3584-3589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_37_3584-3589m.jpg	44	9999-12-31	248
1/9-6 S	38	3589-3594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_38_3589-3594m.jpg	44	9999-12-31	249
1/9-6 S	39	3594-3597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_39_3594-3597m.jpg	44	9999-12-31	250
1/9-6 S	40	3598-3602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_40_3598-3602m.jpg	44	9999-12-31	251
1/9-6 S	41	3603-3608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_41_3603-3608m.jpg	44	9999-12-31	252
1/9-6 S	42	3608-3613mj	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_42_3608-3613mj.jpg	44	9999-12-31	253
1/9-6 S	43	3613-3615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_43_3613-3615m.jpg	44	9999-12-31	254
1/9-6 S	44	3618-3619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/44_44_3618-3619m.jpg	44	9999-12-31	255
15/12-10 S	1	3427-3432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2285_01_3427-3432m.jpg	2285	9999-12-31	256
15/12-10 S	2	3432-3437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2285_02_3432-3437m.jpg	2285	9999-12-31	257
15/12-10 S	3	3437-3442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2285_03_3437-3442m.jpg	2285	9999-12-31	258
15/12-10 S	4	3442-3446m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2285_04_3442-3446m.jpg	2285	9999-12-31	259
15/12-11 S	1	2724-2725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3074_01_2724-2725m.jpg	3074	9999-12-31	260
15/12-11 S	2	3400-3405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3074_02_3400-3405m.jpg	3074	9999-12-31	261
15/12-11 S	3	3405-3410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3074_03_3405-3410m.jpg	3074	9999-12-31	262
15/12-11 S	4	3410-3415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3074_04_3410-3415m.jpg	3074	9999-12-31	263
15/12-11 S	5	3415-3418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3074_05_3415-3418m.jpg	3074	9999-12-31	264
15/12-12	1	2864-2869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_01_2864-2869m.jpg	3391	9999-12-31	265
15/12-12	2	2869-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_02_2869-2874m.jpg	3391	9999-12-31	266
15/12-12	3	2874-2879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_03_2874-2879m.jpg	3391	9999-12-31	267
15/12-12	4	2879-2884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_04_2879-2884m.jpg	3391	9999-12-31	268
15/12-12	5	2884-2889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_05_2884-2889m.jpg	3391	9999-12-31	269
15/12-12	6	2889-2894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_06_2889-2894m.jpg	3391	9999-12-31	270
15/12-12	7	2894-2899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_07_2894-2899m.jpg	3391	9999-12-31	271
15/12-12	8	2899-2904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_08_2899-2904m.jpg	3391	9999-12-31	272
15/12-12	9	2904-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_09_2904-2909m.jpg	3391	9999-12-31	273
15/12-12	10	2909-2914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_10_2909-2914m.jpg	3391	9999-12-31	274
15/12-12	11	2914-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_11_2914-2919m.jpg	3391	9999-12-31	275
15/12-12	12	2919-2924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_12_2919-2924m.jpg	3391	9999-12-31	276
15/12-12	13	2924-2929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_13_2924-2929m.jpg	3391	9999-12-31	277
15/12-12	14	2929-2934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_14_2929-2934m.jpg	3391	9999-12-31	278
15/12-12	15	2934-2939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_15_2934-2939m.jpg	3391	9999-12-31	279
15/12-12	16	2939-2944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_16_2939-2944m.jpg	3391	9999-12-31	280
15/12-12	17	2944-2949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_17_2944-2949m.jpg	3391	9999-12-31	281
15/12-12	18	2949-2954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_18_2949-2954m.jpg	3391	9999-12-31	282
15/12-12	19	2954-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_19_2954-2959m.jpg	3391	9999-12-31	283
15/12-12	20	2959-2964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_20_2959-2964m.jpg	3391	9999-12-31	284
15/12-12	21	2964-2969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_21_2964-2969m.jpg	3391	9999-12-31	285
15/12-12	22	2969-2974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_22_2969-2974m.jpg	3391	9999-12-31	286
15/12-12	23	2974-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_23_2974-2980m.jpg	3391	9999-12-31	287
15/12-12	24	2980-2984m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_24_2980-2984m.jpg	3391	9999-12-31	288
15/12-12	25	2986-2991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_25_2986-2991m.jpg	3391	9999-12-31	289
15/12-12	26	2991-2996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_26_2991-2996m.jpg	3391	9999-12-31	290
15/12-12	27	2996-2998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3391_27_2996-2998m.jpg	3391	9999-12-31	291
15/12-3	1	3256-3258m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_01_3256-3258m.jpg	199	9999-12-31	292
15/12-3	1	4424-4426m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_01_4424-4426m.jpg	199	9999-12-31	293
15/12-3	2	3258-3261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_02_3258-3261m.jpg	199	9999-12-31	294
15/12-3	2	3261-3263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_02_3261-3263m.jpg	199	9999-12-31	295
15/12-3	3	3258-3261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_03_3258-3261m.jpg	199	9999-12-31	296
15/12-3	3	3261-3263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_03_3261-3263m.jpg	199	9999-12-31	297
15/12-3	4	3256-3258m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_04_3256-3258m.jpg	199	9999-12-31	298
15/12-3	4	4424-4426m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_04_4424-4426m.jpg	199	9999-12-31	299
15/12-3	5	4426-4429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_05_4426-4429m.jpg	199	9999-12-31	300
15/12-3	5	4429-4432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_05_4429-4432m.jpg	199	9999-12-31	301
15/12-3	6	4426-4429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_06_4426-4429m.jpg	199	9999-12-31	302
15/12-3	6	4429-4432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_06_4429-4432m.jpg	199	9999-12-31	303
15/12-3	7	4432-4433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/199_07_4432-4433m.jpg	199	9999-12-31	304
15/12-4	1	2439-2444m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/438_01_2439-2444m.jpg	438	9999-12-31	305
15/12-4	2	2444-2449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/438_02_2444-2449m.jpg	438	9999-12-31	306
15/12-4	3	2494-2498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/438_03_2494-2498m.jpg	438	9999-12-31	307
15/12-4	4	2499-2504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/438_04_2499-2504m.jpg	438	9999-12-31	308
15/12-4	5	2504-2509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/438_05_2504-2509m.jpg	438	9999-12-31	309
15/12-4	6	2509-2513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/438_06_2509-2513m.jpg	438	9999-12-31	310
15/12-4	7	2902-2907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/438_07_2902-2907m.jpg	438	9999-12-31	311
15/12-4	8	2908-2914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/438_08_2908-2914m.jpg	438	9999-12-31	312
15/12-4	9	2914-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/438_09_2914-2919m.jpg	438	9999-12-31	313
15/12-6 S	1	2838-2843m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_01_2838-2843m.jpg	1524	9999-12-31	314
15/12-6 S	3	2848-2853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_03_2848-2853m.jpg	1524	9999-12-31	315
15/12-6 S	4	2853-2858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_04_2853-2858m.jpg	1524	9999-12-31	316
15/12-6 S	5	2858-2863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_05_2858-2863m.jpg	1524	9999-12-31	317
15/12-6 S	6	2863-2864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_06_2863-2864m.jpg	1524	9999-12-31	318
15/12-6 S	7	2865-2870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_07_2865-2870m.jpg	1524	9999-12-31	319
15/12-6 S	8	2870-2875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_08_2870-2875m.jpg	1524	9999-12-31	320
15/12-6 S	9	2875-2880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_09_2875-2880m.jpg	1524	9999-12-31	321
15/12-6 S	10	2880-2885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_10_2880-2885m.jpg	1524	9999-12-31	322
15/12-6 S	11	2885-2890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_11_2885-2890m.jpg	1524	9999-12-31	323
15/12-6 S	12	2890-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_12_2890-2891m.jpg	1524	9999-12-31	324
15/12-6 S	13	2892-2897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_13_2892-2897m.jpg	1524	9999-12-31	325
15/12-6 S	14	2897-2902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_14_2897-2902m.jpg	1524	9999-12-31	326
15/12-6 S	15	2902-2907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_15_2902-2907m.jpg	1524	9999-12-31	327
15/12-6 S	16	2907-2908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_16_2907-2908m.jpg	1524	9999-12-31	328
15/12-6 S	17	2910-2915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_17_2910-2915m.jpg	1524	9999-12-31	329
15/12-6 S	18	2915-2910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_18_2915-2910m.jpg	1524	9999-12-31	330
15/12-6 S	19	2920-2925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_19_2920-2925m.jpg	1524	9999-12-31	331
15/12-6 S	20	2925-2930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_20_2925-2930m.jpg	1524	9999-12-31	332
15/12-6 S	21	2930-2935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_21_2930-2935m.jpg	1524	9999-12-31	333
15/12-6 S	22	2935-2937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_22_2935-2937m.jpg	1524	9999-12-31	334
15/12-6 S	23	2937-2942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_23_2937-2942m.jpg	1524	9999-12-31	335
15/12-6 S	24	2942-2947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_24_2942-2947m.jpg	1524	9999-12-31	336
15/12-6 S	25	2947-2952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_25_2947-2952m.jpg	1524	9999-12-31	337
15/12-6 S	26	2952-2953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_26_2952-2953m.jpg	1524	9999-12-31	338
15/12-6 S	27	2953-2958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_27_2953-2958m.jpg	1524	9999-12-31	339
15/12-6 S	28	2958-2963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_28_2958-2963m.jpg	1524	9999-12-31	340
15/12-6 S	29	2963-2964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_29_2963-2964m.jpg	1524	9999-12-31	341
15/12-6 S	30	2980-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_30_2980-2985m.jpg	1524	9999-12-31	342
15/12-6 S	31	2985-2988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1524_31_2985-2988m.jpg	1524	9999-12-31	343
15/12-7 S	1	3028-3033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1680_01_3028-3033m.jpg	1680	9999-12-31	344
15/12-7 S	2	3033-3038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1680_02_3033-3038m.jpg	1680	9999-12-31	345
15/12-7 S	3	3038-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1680_03_3038-3043m.jpg	1680	9999-12-31	346
15/12-7 S	4	3043-3048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1680_04_3043-3048m.jpg	1680	9999-12-31	347
15/12-7 S	5	3048-3053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1680_05_3048-3053m.jpg	1680	9999-12-31	348
15/12-7 S	6	3053-3054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1680_06_3053-3054m.jpg	1680	9999-12-31	349
15/12-8 A	1	2841-2846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_01_2841-2846m.jpg	1835	9999-12-31	350
15/12-8 A	2	2846-2847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_02_2846-2847m.jpg	1835	9999-12-31	351
15/12-8 A	3	2847-2852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_03_2847-2852m.jpg	1835	9999-12-31	352
15/12-8 A	4	2852-2857m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_04_2852-2857m.jpg	1835	9999-12-31	353
15/12-8 A	5	2857-2862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_05_2857-2862m.jpg	1835	9999-12-31	354
15/12-8 A	6	2862-2867m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_06_2862-2867m.jpg	1835	9999-12-31	355
15/12-8 A	7	2867-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_07_2867-2872m.jpg	1835	9999-12-31	356
15/12-8 A	8	2872-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_08_2872-2874m.jpg	1835	9999-12-31	357
15/12-8 A	9	2874-2879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_09_2874-2879m.jpg	1835	9999-12-31	358
15/12-8 A	10	2879-2884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_10_2879-2884m.jpg	1835	9999-12-31	359
15/12-8 A	11	2884-2889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_11_2884-2889m.jpg	1835	9999-12-31	360
15/12-8 A	12	2889-2894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_12_2889-2894m.jpg	1835	9999-12-31	361
15/12-8 A	13	2894-2899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_13_2894-2899m.jpg	1835	9999-12-31	362
15/12-8 A	14	2899-2902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1835_14_2899-2902m.jpg	1835	9999-12-31	363
15/12-A-8	1	3135-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_01_3135-3140m.jpg	3221	9999-12-31	364
15/12-A-8	2	3140-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_02_3140-3145m.jpg	3221	9999-12-31	365
15/12-A-8	3	3145-3150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_03_3145-3150m.jpg	3221	9999-12-31	366
15/12-A-8	4	3150-3155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_04_3150-3155m.jpg	3221	9999-12-31	367
15/12-A-8	5	3155-3160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_05_3155-3160m.jpg	3221	9999-12-31	368
15/12-A-8	6	3160-3162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_06_3160-3162m.jpg	3221	9999-12-31	369
15/12-A-8	7	3162-3167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_07_3162-3167m.jpg	3221	9999-12-31	370
15/12-A-8	8	3167-3172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_08_3167-3172m.jpg	3221	9999-12-31	371
15/12-A-8	9	3172-3177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_09_3172-3177m.jpg	3221	9999-12-31	372
15/12-A-8	10	3177-3182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_10_3177-3182m.jpg	3221	9999-12-31	373
15/12-A-8	11	3182-3187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_11_3182-3187m.jpg	3221	9999-12-31	374
15/12-A-8	12	3187-3190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_12_3187-3190m.jpg	3221	9999-12-31	375
15/12-A-8	13	3190-3195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_13_3190-3195m.jpg	3221	9999-12-31	376
15/12-A-8	14	3195-3200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_14_3195-3200m.jpg	3221	9999-12-31	377
15/12-A-8	15	3200-3205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_15_3200-3205m.jpg	3221	9999-12-31	378
15/12-A-8	16	3205-3210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_16_3205-3210m.jpg	3221	9999-12-31	379
15/12-A-8	17	3210-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_17_3210-3215m.jpg	3221	9999-12-31	380
15/12-A-8	18	3215-3220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_18_3215-3220m.jpg	3221	9999-12-31	381
15/12-A-8	19	3220-3222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_19_3220-3222m.jpg	3221	9999-12-31	382
15/12-A-8	20	3223-3228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_20_3223-3228m.jpg	3221	9999-12-31	383
15/12-A-8	21	3228-3233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_21_3228-3233m.jpg	3221	9999-12-31	384
15/12-A-8	22	3233-3237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_22_3233-3237m.jpg	3221	9999-12-31	385
15/12-A-8	23	3237-3239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_23_3237-3239m.jpg	3221	9999-12-31	386
15/12-A-8	24	3241-3246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_24_3241-3246m.jpg	3221	9999-12-31	387
15/12-A-8	25	3246-3251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_25_3246-3251m.jpg	3221	9999-12-31	388
15/12-A-8	26	3251-3256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3221_26_3251-3256m.jpg	3221	9999-12-31	389
15/2-1	1	4365-4368m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/308_01_4365-4368m.jpg	308	9999-12-31	390
15/2-1	2	4368-4371m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/308_02_4368-4371m.jpg	308	9999-12-31	391
15/2-1	3	4375-4378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/308_03_4375-4378m.jpg	308	9999-12-31	392
15/2-1	4	4379-4384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/308_04_4379-4384m.jpg	308	9999-12-31	393
15/2-1	5	4384-4389m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/308_05_4384-4389m.jpg	308	9999-12-31	394
15/3-6	1	2140-2145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_01_2140-2145m.jpg	3250	9999-12-31	395
15/3-6	2	2145-2150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_02_2145-2150m.jpg	3250	9999-12-31	396
15/3-6	3	2150-2155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_03_2150-2155m.jpg	3250	9999-12-31	397
15/3-6	4	2155-2159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_04_2155-2159m.jpg	3250	9999-12-31	398
15/3-6	5	2159-2164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_05_2159-2164m.jpg	3250	9999-12-31	399
15/3-6	6	2164-2169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_06_2164-2169m.jpg	3250	9999-12-31	400
15/3-6	7	2169-2174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_07_2169-2174m.jpg	3250	9999-12-31	401
15/3-6	8	2174-2281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_08_2174-2281m.jpg	3250	9999-12-31	402
15/3-6	9	2281-2286m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_09_2281-2286m.jpg	3250	9999-12-31	403
15/3-6	10	2286-2291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_10_2286-2291m.jpg	3250	9999-12-31	404
15/3-6	11	2291-2296m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_11_2291-2296m.jpg	3250	9999-12-31	405
15/3-6	12	2296-2298m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3250_12_2296-2298m.jpg	3250	9999-12-31	406
15/3-7	1	4609-4614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4055_01_4609-4614m.jpg	4055	9999-12-31	407
15/3-7	2	4614-4621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4055_02_4614-4621m.jpg	4055	9999-12-31	408
15/3-7	3	4621-4626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4055_03_4621-4626m.jpg	4055	9999-12-31	409
15/3-7	4	4626-4631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4055_04_4626-4631m.jpg	4055	9999-12-31	410
15/3-7	5	4631-4645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4055_05_4631-4645m.jpg	4055	9999-12-31	411
15/3-7	6	4645-4650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4055_06_4645-4650m.jpg	4055	9999-12-31	412
15/3-7	7	4650-4655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4055_07_4650-4655m.jpg	4055	9999-12-31	413
15/3-7	8	4655-4660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4055_08_4655-4660m.jpg	4055	9999-12-31	414
15/3-7	9	4660-4665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4055_09_4660-4665m.jpg	4055	9999-12-31	415
15/3-7	10	4665-4668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4055_10_4665-4668m.jpg	4055	9999-12-31	416
15/5-5	1	2157-2162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2635_01_2157-2162m.jpg	2635	9999-12-31	417
15/5-5	2	2162-2167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2635_02_2162-2167m.jpg	2635	9999-12-31	418
15/5-5	3	2167-2172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2635_03_2167-2172m.jpg	2635	9999-12-31	419
15/5-5	4	2172-2175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2635_04_2172-2175m.jpg	2635	9999-12-31	420
15/5-5	5	2175-2177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2635_05_2175-2177m.jpg	2635	9999-12-31	421
15/5-5	6	2181-2186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2635_06_2181-2186m.jpg	2635	9999-12-31	422
15/5-5	7	2186-2191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2635_07_2186-2191m.jpg	2635	9999-12-31	423
15/5-5	8	2191-2196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2635_08_2191-2196m.jpg	2635	9999-12-31	424
15/5-5	9	2196-2198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2635_09_2196-2198m.jpg	2635	9999-12-31	425
15/5-6	1	2180-2185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3113_01_2180-2185m.jpg	3113	9999-12-31	426
15/5-6	2	2185-2190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3113_02_2185-2190m.jpg	3113	9999-12-31	427
15/5-6	3	2190-2195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3113_03_2190-2195m.jpg	3113	9999-12-31	428
15/5-6	4	2195-2200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3113_04_2195-2200m.jpg	3113	9999-12-31	429
15/5-6	5	2200-2202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3113_05_2200-2202m.jpg	3113	9999-12-31	430
15/6-7	1	3414-3419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2084_01_3414-3419m.jpg	2084	9999-12-31	431
15/6-7	2	3419-3424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2084_02_3419-3424m.jpg	2084	9999-12-31	432
15/6-7	3	3424-3429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2084_03_3424-3429m.jpg	2084	9999-12-31	433
15/6-7	4	3429-3430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2084_04_3429-3430m.jpg	2084	9999-12-31	434
15/6-8 A	1	2438-2443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3077_01_2438-2443m.jpg	3077	9999-12-31	435
15/6-8 A	2	2443-2448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3077_02_2443-2448m.jpg	3077	9999-12-31	436
15/6-8 A	3	2448-2449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3077_03_2448-2449m.jpg	3077	9999-12-31	437
15/6-8 S	1	3172-3177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3014_01_3172-3177m.jpg	3014	9999-12-31	438
15/6-8 S	2	3177-3180m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3014_02_3177-3180m.jpg	3014	9999-12-31	439
15/8-1	1	3658-3661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_01_3658-3661m.jpg	321	9999-12-31	440
15/8-1	2	3661-3664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_02_3661-3664m.jpg	321	9999-12-31	441
15/8-1	3	3664-3667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_03_3664-3667m.jpg	321	9999-12-31	442
15/8-1	4	3667-3668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_04_3667-3668m.jpg	321	9999-12-31	443
15/8-1	5	3667-3670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_05_3667-3670m.jpg	321	9999-12-31	444
15/8-1	6	3670-3673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_06_3670-3673m.jpg	321	9999-12-31	445
15/8-1	7	3673-3676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_07_3673-3676m.jpg	321	9999-12-31	446
15/8-1	8	3676-3678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_08_3676-3678m.jpg	321	9999-12-31	447
15/8-1	9	3678-3680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_09_3678-3680m.jpg	321	9999-12-31	448
15/8-1	10	3681-3684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_10_3681-3684m.jpg	321	9999-12-31	449
15/8-1	11	3684-3687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_11_3684-3687m.jpg	321	9999-12-31	450
15/8-1	12	3687-3690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_12_3687-3690m.jpg	321	9999-12-31	451
15/8-1	13	3690-3693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_13_3690-3693m.jpg	321	9999-12-31	452
15/8-1	14	3693-3696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_14_3693-3696m.jpg	321	9999-12-31	453
15/8-1	15	3696-3699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_15_3696-3699m.jpg	321	9999-12-31	454
15/8-1	16	3699-3702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_16_3699-3702m.jpg	321	9999-12-31	455
15/8-1	17	3702-3705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_17_3702-3705m.jpg	321	9999-12-31	456
15/8-1	18	3705-3706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/321_18_3705-3706m.jpg	321	9999-12-31	457
15/9-1	1	3539-3539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_01_3539-3539m.jpg	322	9999-12-31	458
15/9-1	2	3536-3538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_02_3536-3538m.jpg	322	9999-12-31	459
15/9-1	3	3534-3536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_03_3534-3536m.jpg	322	9999-12-31	460
15/9-1	4	3531-3534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_04_3531-3534m.jpg	322	9999-12-31	461
15/9-1	5	3529-3531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_05_3529-3531m.jpg	322	9999-12-31	462
15/9-1	6	3526-3529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_06_3526-3529m.jpg	322	9999-12-31	463
15/9-1	7	3523-3526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_07_3523-3526m.jpg	322	9999-12-31	464
15/9-1	8	3521-3523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_08_3521-3523m.jpg	322	9999-12-31	465
15/9-1	9	3555-3556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_09_3555-3556m.jpg	322	9999-12-31	466
15/9-1	10	3552-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_10_3552-3555m.jpg	322	9999-12-31	467
15/9-1	11	3550-3552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_11_3550-3552m.jpg	322	9999-12-31	468
15/9-1	12	3547-3550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_12_3547-3550m.jpg	322	9999-12-31	469
15/9-1	13	3545-3547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_13_3545-3547m.jpg	322	9999-12-31	470
15/9-1	14	3543-3545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_14_3543-3545m.jpg	322	9999-12-31	471
15/9-1	15	3541-3543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_15_3541-3543m.jpg	322	9999-12-31	472
15/9-1	16	3539-3541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_16_3539-3541m.jpg	322	9999-12-31	473
15/9-1	17	3566-3567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_17_3566-3567m.jpg	322	9999-12-31	474
15/9-1	18	3563-3566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_18_3563-3566m.jpg	322	9999-12-31	475
15/9-1	19	3561-3563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_19_3561-3563m.jpg	322	9999-12-31	476
15/9-1	20	3559-3561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_20_3559-3561m.jpg	322	9999-12-31	477
15/9-1	21	3557-3559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_21_3557-3559m.jpg	322	9999-12-31	478
15/9-1	22	3556-3557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_22_3556-3557m.jpg	322	9999-12-31	479
15/9-1	23	3584-3585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_23_3584-3585m.jpg	322	9999-12-31	480
15/9-1	24	3581-3584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_24_3581-3584m.jpg	322	9999-12-31	481
15/9-1	25	3579-3581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_25_3579-3581m.jpg	322	9999-12-31	482
15/9-1	26	3577-3579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_26_3577-3579m.jpg	322	9999-12-31	483
15/9-1	27	3574-3577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_27_3574-3577m.jpg	322	9999-12-31	484
15/9-1	28	3572-3574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_28_3572-3574m.jpg	322	9999-12-31	485
15/9-1	29	3569-3572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_29_3569-3572m.jpg	322	9999-12-31	486
15/9-1	30	3567-3569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_30_3567-3569m.jpg	322	9999-12-31	487
15/9-1	31	3601-3603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_31_3601-3603m.jpg	322	9999-12-31	488
15/9-1	32	3599-3601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_32_3599-3601m.jpg	322	9999-12-31	489
15/9-1	33	3596-3599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_33_3596-3599m.jpg	322	9999-12-31	490
15/9-1	34	3594-3596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_34_3594-3596m.jpg	322	9999-12-31	491
15/9-1	35	3592-3594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_35_3592-3594m.jpg	322	9999-12-31	492
15/9-1	36	3589-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_36_3589-3592m.jpg	322	9999-12-31	493
15/9-1	37	3587-3589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_37_3587-3589m.jpg	322	9999-12-31	494
15/9-1	38	3586-3587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_38_3586-3587m.jpg	322	9999-12-31	495
15/9-1	39	3619-2621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_39_3619-2621m.jpg	322	9999-12-31	496
15/9-1	40	3617-3619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_40_3617-3619m.jpg	322	9999-12-31	497
15/9-1	41	3615-3617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_41_3615-3617m.jpg	322	9999-12-31	498
15/9-1	42	3612-3615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_42_3612-3615m.jpg	322	9999-12-31	499
15/9-1	43	3610-3612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_43_3610-3612m.jpg	322	9999-12-31	500
15/9-1	44	3608-3610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_44_3608-3610m.jpg	322	9999-12-31	501
15/9-1	45	3605-3608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_45_3605-3608m.jpg	322	9999-12-31	502
15/9-1	46	3603-3605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_46_3603-3605m.jpg	322	9999-12-31	503
15/9-1	47	3636-3639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_47_3636-3639m.jpg	322	9999-12-31	504
15/9-1	48	3633-3636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_48_3633-3636m.jpg	322	9999-12-31	505
15/9-1	49	3631-3633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_49_3631-3633m.jpg	322	9999-12-31	506
15/9-1	50	3629-3631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_50_3629-3631m.jpg	322	9999-12-31	507
15/9-1	51	3626-3629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_51_3626-3629m.jpg	322	9999-12-31	508
15/9-1	52	3624-3626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_52_3624-3626m.jpg	322	9999-12-31	509
15/9-1	53	3621-3624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_53_3621-3624m.jpg	322	9999-12-31	510
15/9-1	54	3649-3652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_54_3649-3652m.jpg	322	9999-12-31	511
15/9-1	55	3647-3649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_55_3647-3649m.jpg	322	9999-12-31	512
15/9-1	56	3644-3647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_56_3644-3647m.jpg	322	9999-12-31	513
15/9-1	57	3641-3644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_57_3641-3644m.jpg	322	9999-12-31	514
15/9-1	58	3639-3641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_58_3639-3641m.jpg	322	9999-12-31	515
15/9-1	59	3655-3657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_59_3655-3657m.jpg	322	9999-12-31	516
15/9-1	60	3652-3655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_60_3652-3655m.jpg	322	9999-12-31	517
15/9-1	61	3660-3662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_61_3660-3662m.jpg	322	9999-12-31	518
15/9-1	62	3657-3660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_62_3657-3660m.jpg	322	9999-12-31	519
15/9-1	63	3665-3668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_63_3665-3668m.jpg	322	9999-12-31	520
15/9-1	64	3662-3665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_64_3662-3665m.jpg	322	9999-12-31	521
15/9-1	65	3668-3670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_65_3668-3670m.jpg	322	9999-12-31	522
15/9-1	66	3670-3673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_66_3670-3673m.jpg	322	9999-12-31	523
15/9-1	67	3673-3675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/322_67_3673-3675m.jpg	322	9999-12-31	524
15/9-10	1	3061-3062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_01_3061-3062m.jpg	69	9999-12-31	525
15/9-10	2	3082-3087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_02_3082-3087m.jpg	69	9999-12-31	526
15/9-10	3	3087-3092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_03_3087-3092m.jpg	69	9999-12-31	527
15/9-10	3	3092-3097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_03_3092-3097m.jpg	69	9999-12-31	528
15/9-10	4	3087-3092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_04_3087-3092m.jpg	69	9999-12-31	529
15/9-10	4	3092-3097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_04_3092-3097m.jpg	69	9999-12-31	530
15/9-10	5	3097-3101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_05_3097-3101m.jpg	69	9999-12-31	531
15/9-10	6	3137-3142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_06_3137-3142m.jpg	69	9999-12-31	532
15/9-10	7	3142-3147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_07_3142-3147m.jpg	69	9999-12-31	533
15/9-10	8	3147-3151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_08_3147-3151m.jpg	69	9999-12-31	534
15/9-10	9	3153-3158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_09_3153-3158m.jpg	69	9999-12-31	535
15/9-10	9	3158-3163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_09_3158-3163m.jpg	69	9999-12-31	536
15/9-10	10	3153-3158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_10_3153-3158m.jpg	69	9999-12-31	537
15/9-10	10	3158-3163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_10_3158-3163m.jpg	69	9999-12-31	538
15/9-10	11	3163-3168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_11_3163-3168m.jpg	69	9999-12-31	539
15/9-10	12	3168-3171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/69_12_3168-3171m.jpg	69	9999-12-31	540
15/9-11	1	2364-2367m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_01_2364-2367m.jpg	329	9999-12-31	541
15/9-11	2	2367-2370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_02_2367-2370m.jpg	329	9999-12-31	542
15/9-11	3	2370-2373m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_03_2370-2373m.jpg	329	9999-12-31	543
15/9-11	4	2373-2374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_04_2373-2374m.jpg	329	9999-12-31	544
15/9-11	5	2395-2398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_05_2395-2398m.jpg	329	9999-12-31	545
15/9-11	6	2398-2401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_06_2398-2401m.jpg	329	9999-12-31	546
15/9-11	7	2401-2404m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_07_2401-2404m.jpg	329	9999-12-31	547
15/9-11	8	2404-2406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_08_2404-2406m.jpg	329	9999-12-31	548
15/9-11	9	2406-2409m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_09_2406-2409m.jpg	329	9999-12-31	549
15/9-11	10	2409-2412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_10_2409-2412m.jpg	329	9999-12-31	550
15/9-11	11	2412-2415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_11_2412-2415m.jpg	329	9999-12-31	551
15/9-11	12	2415-2418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_12_2415-2418m.jpg	329	9999-12-31	552
15/9-11	13	2418-2421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_13_2418-2421m.jpg	329	9999-12-31	553
15/9-11	14	2421-2423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_14_2421-2423m.jpg	329	9999-12-31	554
15/9-11	15	2424-2427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_15_2424-2427m.jpg	329	9999-12-31	555
15/9-11	16	2427-2429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_16_2427-2429m.jpg	329	9999-12-31	556
15/9-11	17	2436-2439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_17_2436-2439m.jpg	329	9999-12-31	557
15/9-11	18	2439-2442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_18_2439-2442m.jpg	329	9999-12-31	558
15/9-11	19	2442-2445m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_19_2442-2445m.jpg	329	9999-12-31	559
15/9-11	20	2445-2448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_20_2445-2448m.jpg	329	9999-12-31	560
15/9-11	21	2448-2449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_21_2448-2449m.jpg	329	9999-12-31	561
15/9-11	22	2449-2452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_22_2449-2452m.jpg	329	9999-12-31	562
15/9-11	23	2452-2455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_23_2452-2455m.jpg	329	9999-12-31	563
15/9-11	24	2455-2457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_24_2455-2457m.jpg	329	9999-12-31	564
15/9-11	25	2473-2476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_25_2473-2476m.jpg	329	9999-12-31	565
15/9-11	26	2476-2479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_26_2476-2479m.jpg	329	9999-12-31	566
15/9-11	27	2479-2482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_27_2479-2482m.jpg	329	9999-12-31	567
15/9-11	28	2482-2485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_28_2482-2485m.jpg	329	9999-12-31	568
15/9-11	29	2485-2488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_29_2485-2488m.jpg	329	9999-12-31	569
15/9-11	30	2488-2491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_30_2488-2491m.jpg	329	9999-12-31	570
15/9-11	31	2491-2492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_31_2491-2492m.jpg	329	9999-12-31	571
15/9-11	32	2492-2495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_32_2492-2495m.jpg	329	9999-12-31	572
15/9-11	33	2495-2498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_33_2495-2498m.jpg	329	9999-12-31	573
15/9-11	34	2498-2501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_34_2498-2501m.jpg	329	9999-12-31	574
15/9-11	35	2501-2504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_35_2501-2504m.jpg	329	9999-12-31	575
15/9-11	36	2504-2505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_36_2504-2505m.jpg	329	9999-12-31	576
15/9-11	37	2506-2509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_37_2506-2509m.jpg	329	9999-12-31	577
15/9-11	38	2509-2512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_38_2509-2512m.jpg	329	9999-12-31	578
15/9-11	39	2512-2513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/329_39_2512-2513m.jpg	329	9999-12-31	579
15/9-14	1	3228-3233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/71_01_3228-3233m.jpg	71	9999-12-31	580
15/9-14	2	3234-3235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/71_02_3234-3235m.jpg	71	9999-12-31	581
15/9-14	3	3267-3272m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/71_03_3267-3272m.jpg	71	9999-12-31	582
15/9-14	4	3272-3277m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/71_04_3272-3277m.jpg	71	9999-12-31	583
15/9-14	5	3277-3282m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/71_05_3277-3282m.jpg	71	9999-12-31	584
15/9-14	6	3282-3286m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/71_06_3282-3286m.jpg	71	9999-12-31	585
15/9-15	1	2805-2810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_01_2805-2810m.jpg	74	9999-12-31	586
15/9-15	2	2810-2815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_02_2810-2815m.jpg	74	9999-12-31	587
15/9-15	3	2815-2820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_03_2815-2820m.jpg	74	9999-12-31	588
15/9-15	4	2820-2923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_04_2820-2923m.jpg	74	9999-12-31	589
15/9-15	5	2823-2828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_05_2823-2828m.jpg	74	9999-12-31	590
15/9-15	6	2833-2838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_06_2833-2838m.jpg	74	9999-12-31	591
15/9-15	7	2838-2841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_07_2838-2841m.jpg	74	9999-12-31	592
15/9-15	8	2841-2846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_08_2841-2846m.jpg	74	9999-12-31	593
15/9-15	9	2846-2851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_09_2846-2851m.jpg	74	9999-12-31	594
15/9-15	10	2851-2856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_10_2851-2856m.jpg	74	9999-12-31	595
15/9-15	11	2856-2859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_11_2856-2859m.jpg	74	9999-12-31	596
15/9-15	12	2859-2864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_12_2859-2864m.jpg	74	9999-12-31	597
15/9-15	13	2864-2869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_13_2864-2869m.jpg	74	9999-12-31	598
15/9-15	14	2869-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_14_2869-2874m.jpg	74	9999-12-31	599
15/9-15	15	2874-2878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/74_15_2874-2878m.jpg	74	9999-12-31	600
15/9-18	1	2630-2632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/36_01_2630-2632m.jpg	36	9999-12-31	601
15/9-18	2	2632-2637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/36_02_2632-2637m.jpg	36	9999-12-31	602
15/9-18	3	2637-2642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/36_03_2637-2642m.jpg	36	9999-12-31	603
15/9-18	4	2642-2645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/36_04_2642-2645m.jpg	36	9999-12-31	604
15/9-18	5	3230-3236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/36_05_3230-3236m.jpg	36	9999-12-31	605
15/9-18	6	3236-3242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/36_06_3236-3242m.jpg	36	9999-12-31	606
15/9-18	7	3242-3248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/36_07_3242-3248m.jpg	36	9999-12-31	607
15/9-18	8	3248-3249m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/36_08_3248-3249m.jpg	36	9999-12-31	608
15/9-18	9	3248-3254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/36_09_3248-3254m.jpg	36	9999-12-31	609
15/9-18	10	3254-3260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/36_10_3254-3260m.jpg	36	9999-12-31	610
15/9-18	11	3260-3266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/36_11_3260-3266m.jpg	36	9999-12-31	611
15/9-19 A	1	3837-3842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_01_3837-3842m.jpg	3145	9999-12-31	612
15/9-19 A	2	3842-3847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_02_3842-3847m.jpg	3145	9999-12-31	613
15/9-19 A	3	3847-3852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_03_3847-3852m.jpg	3145	9999-12-31	614
15/9-19 A	4	3852-3853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_04_3852-3853m.jpg	3145	9999-12-31	615
15/9-19 A	5	3854-3859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_05_3854-3859m.jpg	3145	9999-12-31	616
15/9-19 A	6	3859-3864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_06_3859-3864m.jpg	3145	9999-12-31	617
15/9-19 A	7	3864-3869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_07_3864-3869m.jpg	3145	9999-12-31	618
15/9-19 A	8	3869-3874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_08_3869-3874m.jpg	3145	9999-12-31	619
15/9-19 A	9	3874-3879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_09_3874-3879m.jpg	3145	9999-12-31	620
15/9-19 A	10	3879-3881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_10_3879-3881m.jpg	3145	9999-12-31	621
15/9-19 A	11	3881-3886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_11_3881-3886m.jpg	3145	9999-12-31	622
15/9-19 A	12	3886-3891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_12_3886-3891m.jpg	3145	9999-12-31	623
15/9-19 A	13	3891-3896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_13_3891-3896m.jpg	3145	9999-12-31	624
15/9-19 A	14	3896-3901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_14_3896-3901m.jpg	3145	9999-12-31	625
15/9-19 A	15	3901-3906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_15_3901-3906m.jpg	3145	9999-12-31	626
15/9-19 A	16	3906-3908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_16_3906-3908m.jpg	3145	9999-12-31	627
15/9-19 A	17	3908-3913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_17_3908-3913m.jpg	3145	9999-12-31	628
15/9-19 A	18	3913-3918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_18_3913-3918m.jpg	3145	9999-12-31	629
15/9-19 A	19	3918-3923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_19_3918-3923m.jpg	3145	9999-12-31	630
15/9-19 A	20	3923-3928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_20_3923-3928m.jpg	3145	9999-12-31	631
15/9-19 A	21	3928-3933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_21_3928-3933m.jpg	3145	9999-12-31	632
15/9-19 A	22	3933-3934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_22_3933-3934m.jpg	3145	9999-12-31	633
15/9-19 A	23	3935-3940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_23_3935-3940m.jpg	3145	9999-12-31	634
15/9-19 A	24	3940-3945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_24_3940-3945m.jpg	3145	9999-12-31	635
15/9-19 A	25	3945-3950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_25_3945-3950m.jpg	3145	9999-12-31	636
15/9-19 A	26	3950-3955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_26_3950-3955m.jpg	3145	9999-12-31	637
15/9-19 A	27	3955-3960m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_27_3955-3960m.jpg	3145	9999-12-31	638
15/9-19 A	28	3960-3963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_28_3960-3963m.jpg	3145	9999-12-31	639
15/9-19 A	29	3963-3968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_29_3963-3968m.jpg	3145	9999-12-31	640
15/9-19 A	30	3968-3973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_30_3968-3973m.jpg	3145	9999-12-31	641
15/9-19 A	31	3973-3978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_31_3973-3978m.jpg	3145	9999-12-31	642
15/9-19 A	32	3978-3983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_32_3978-3983m.jpg	3145	9999-12-31	643
15/9-19 A	33	3983-3988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_33_3983-3988m.jpg	3145	9999-12-31	644
15/9-19 A	34	3988-3991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_34_3988-3991m.jpg	3145	9999-12-31	645
15/9-19 A	35	3991-3996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_35_3991-3996m.jpg	3145	9999-12-31	646
15/9-19 A	36	3996-4001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_36_3996-4001m.jpg	3145	9999-12-31	647
15/9-19 A	37	4001-4006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_37_4001-4006m.jpg	3145	9999-12-31	648
15/9-19 A	38	4006-4011m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_38_4006-4011m.jpg	3145	9999-12-31	649
15/9-19 A	39	4011-4016m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_39_4011-4016m.jpg	3145	9999-12-31	650
15/9-19 A	40	4016-4017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3145_40_4016-4017m.jpg	3145	9999-12-31	651
15/9-19 B	1	4037-4042m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_01_4037-4042m.jpg	3251	9999-12-31	652
15/9-19 B	2	4042-4047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_02_4042-4047m.jpg	3251	9999-12-31	653
15/9-19 B	3	4047-4049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_03_4047-4049m.jpg	3251	9999-12-31	654
15/9-19 B	4	4054-4059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_04_4054-4059m.jpg	3251	9999-12-31	655
15/9-19 B	5	4059-4069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_05_4059-4069m.jpg	3251	9999-12-31	656
15/9-19 B	6	4064-4069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_06_4064-4069m.jpg	3251	9999-12-31	657
15/9-19 B	7	4069-4071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_07_4069-4071m.jpg	3251	9999-12-31	658
15/9-19 B	8	4072-4077m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_08_4072-4077m.jpg	3251	9999-12-31	659
15/9-19 B	9	4077-4082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_09_4077-4082m.jpg	3251	9999-12-31	660
15/9-19 B	10	4082-4087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_10_4082-4087m.jpg	3251	9999-12-31	661
15/9-19 B	11	4087-4089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_11_4087-4089m.jpg	3251	9999-12-31	662
15/9-19 B	12	4090-4095m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_12_4090-4095m.jpg	3251	9999-12-31	663
15/9-19 B	13	4095-4100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_13_4095-4100m.jpg	3251	9999-12-31	664
15/9-19 B	14	4100-4105m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_14_4100-4105m.jpg	3251	9999-12-31	665
15/9-19 B	15	4105-4109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3251_15_4105-4109m.jpg	3251	9999-12-31	666
15/9-19 S	1	3643-3647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_01_3643-3647m.jpg	2043	9999-12-31	667
15/9-19 S	2	4328-4333m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_02_4328-4333m.jpg	2043	9999-12-31	668
15/9-19 S	3	4338-4343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_03_4338-4343m.jpg	2043	9999-12-31	669
15/9-19 S	4	4343-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_04_4343-4348m.jpg	2043	9999-12-31	670
15/9-19 S	5	4348-4353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_05_4348-4353m.jpg	2043	9999-12-31	671
15/9-19 S	6	4353-4354m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_06_4353-4354m.jpg	2043	9999-12-31	672
15/9-19 S	7	4355-4360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_07_4355-4360m.jpg	2043	9999-12-31	673
15/9-19 S	8	4360-4365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_08_4360-4365m.jpg	2043	9999-12-31	674
15/9-19 S	9	4365-4370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_09_4365-4370m.jpg	2043	9999-12-31	675
15/9-19 S	10	4370-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_10_4370-4375m.jpg	2043	9999-12-31	676
15/9-19 S	11	4375-4380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_11_4375-4380m.jpg	2043	9999-12-31	677
15/9-19 S	12	4380-4383m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2043_12_4380-4383m.jpg	2043	9999-12-31	678
15/9-20 S	1	2940-2945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_01_2940-2945m.jpg	2319	9999-12-31	679
15/9-20 S	2	2945-2950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_02_2945-2950m.jpg	2319	9999-12-31	680
15/9-20 S	3	2950-2954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_03_2950-2954m.jpg	2319	9999-12-31	681
15/9-20 S	4	2954-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_04_2954-2959m.jpg	2319	9999-12-31	682
15/9-20 S	5	2959-2964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_05_2959-2964m.jpg	2319	9999-12-31	683
15/9-20 S	6	2964-2969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_06_2964-2969m.jpg	2319	9999-12-31	684
15/9-20 S	7	2969-2974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_07_2969-2974m.jpg	2319	9999-12-31	685
15/9-20 S	8	2974-2977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_08_2974-2977m.jpg	2319	9999-12-31	686
15/9-20 S	9	2977-2982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_09_2977-2982m.jpg	2319	9999-12-31	687
15/9-20 S	10	2982-2987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_10_2982-2987m.jpg	2319	9999-12-31	688
15/9-20 S	11	2987-2992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_11_2987-2992m.jpg	2319	9999-12-31	689
15/9-20 S	12	2992-2997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_12_2992-2997m.jpg	2319	9999-12-31	690
15/9-20 S	13	2997-3002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_13_2997-3002m.jpg	2319	9999-12-31	691
15/9-20 S	14	3002-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_14_3002-3006m.jpg	2319	9999-12-31	692
15/9-20 S	15	3006-3010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_15_3006-3010m.jpg	2319	9999-12-31	693
15/9-20 S	16	3010-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_16_3010-3015m.jpg	2319	9999-12-31	694
15/9-20 S	17	3015-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_17_3015-3015m.jpg	2319	9999-12-31	695
15/9-20 S	18	3015-3020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_18_3015-3020m.jpg	2319	9999-12-31	696
15/9-20 S	19	3020-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_19_3020-3025m.jpg	2319	9999-12-31	697
15/9-20 S	20	3025-3030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_20_3025-3030m.jpg	2319	9999-12-31	698
15/9-20 S	21	3030-3035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_21_3030-3035m.jpg	2319	9999-12-31	699
15/9-20 S	22	3035-3040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_22_3035-3040m.jpg	2319	9999-12-31	700
15/9-20 S	23	3040-3045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_23_3040-3045m.jpg	2319	9999-12-31	701
15/9-20 S	24	3216-3221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_24_3216-3221m.jpg	2319	9999-12-31	702
15/9-20 S	25	3221-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_25_3221-3226m.jpg	2319	9999-12-31	703
15/9-20 S	26	3226-3231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_26_3226-3231m.jpg	2319	9999-12-31	704
15/9-20 S	27	3231-3236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_27_3231-3236m.jpg	2319	9999-12-31	705
15/9-20 S	28	3236-3241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_28_3236-3241m.jpg	2319	9999-12-31	706
15/9-20 S	29	3241-3244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2319_29_3241-3244m.jpg	2319	9999-12-31	707
15/9-21 S	1	4747-4752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_01_4747-4752m.jpg	3334	9999-12-31	708
15/9-21 S	2	4752-4752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_02_4752-4752m.jpg	3334	9999-12-31	709
15/9-21 S	3	4753-4758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_03_4753-4758m.jpg	3334	9999-12-31	710
15/9-21 S	4	4758-4763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_04_4758-4763m.jpg	3334	9999-12-31	711
15/9-21 S	5	4763-4768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_05_4763-4768m.jpg	3334	9999-12-31	712
15/9-21 S	6	4768-4773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_06_4768-4773m.jpg	3334	9999-12-31	713
15/9-21 S	7	4773-4778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_07_4773-4778m.jpg	3334	9999-12-31	714
15/9-21 S	8	4778-4783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_08_4778-4783m.jpg	3334	9999-12-31	715
15/9-21 S	9	4783-4784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_09_4783-4784m.jpg	3334	9999-12-31	716
15/9-21 S	10	4784-4789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_10_4784-4789m.jpg	3334	9999-12-31	717
15/9-21 S	11	4789-4794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_11_4789-4794m.jpg	3334	9999-12-31	718
15/9-21 S	12	4794-4799m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_12_4794-4799m.jpg	3334	9999-12-31	719
15/9-21 S	13	4799-4804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_13_4799-4804m.jpg	3334	9999-12-31	720
15/9-21 S	14	4804-4809m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_14_4804-4809m.jpg	3334	9999-12-31	721
15/9-21 S	15	4809-4814m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_15_4809-4814m.jpg	3334	9999-12-31	722
15/9-21 S	16	4814-4815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_16_4814-4815m.jpg	3334	9999-12-31	723
15/9-21 S	17	4816-4821m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_17_4816-4821m.jpg	3334	9999-12-31	724
15/9-21 S	18	4821-4826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_18_4821-4826m.jpg	3334	9999-12-31	725
15/9-21 S	19	4826-4830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_19_4826-4830m.jpg	3334	9999-12-31	726
15/9-21 S	20	4831-4836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_20_4831-4836m.jpg	3334	9999-12-31	727
15/9-21 S	21	4836-4841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_21_4836-4841m.jpg	3334	9999-12-31	728
15/9-21 S	22	4841-4843m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3334_22_4841-4843m.jpg	3334	9999-12-31	729
15/9-A-12	1	2746-2751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_01_2746-2751m.jpg	2577	9999-12-31	730
15/9-A-12	2	2751-2756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_02_2751-2756m.jpg	2577	9999-12-31	731
15/9-A-12	3	2756-2761m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_03_2756-2761m.jpg	2577	9999-12-31	732
15/9-A-12	4	2761-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_04_2761-2766m.jpg	2577	9999-12-31	733
15/9-A-12	5	2766-2771m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_05_2766-2771m.jpg	2577	9999-12-31	734
15/9-A-12	6	2771-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_06_2771-2774m.jpg	2577	9999-12-31	735
15/9-A-12	7	3083-3088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_07_3083-3088m.jpg	2577	9999-12-31	736
15/9-A-12	8	3088-3093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_08_3088-3093m.jpg	2577	9999-12-31	737
15/9-A-12	9	3093-3098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_09_3093-3098m.jpg	2577	9999-12-31	738
15/9-A-12	10	3098-3103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_10_3098-3103m.jpg	2577	9999-12-31	739
15/9-A-12	11	3103-3108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_11_3103-3108m.jpg	2577	9999-12-31	740
15/9-A-12	12	3108-3113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_12_3108-3113m.jpg	2577	9999-12-31	741
15/9-A-12	13	3113-3118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_13_3113-3118m.jpg	2577	9999-12-31	742
15/9-A-12	14	3118-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_14_3118-3123m.jpg	2577	9999-12-31	743
15/9-A-12	15	3123-3128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_15_3123-3128m.jpg	2577	9999-12-31	744
15/9-A-12	16	3128-3133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_16_3128-3133m.jpg	2577	9999-12-31	745
15/9-A-12	17	3133-3137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2577_17_3133-3137m.jpg	2577	9999-12-31	746
15/9-A-15	1	3728-3733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_01_3728-3733m.jpg	2481	9999-12-31	747
15/9-A-15	2	3733-3738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_02_3733-3738m.jpg	2481	9999-12-31	748
15/9-A-15	3	3738-3743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_03_3738-3743m.jpg	2481	9999-12-31	749
15/9-A-15	4	3743-3748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_04_3743-3748m.jpg	2481	9999-12-31	750
15/9-A-15	5	3748-3753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_05_3748-3753m.jpg	2481	9999-12-31	751
15/9-A-15	6	3753-3758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_06_3753-3758m.jpg	2481	9999-12-31	752
15/9-A-15	7	3758-3763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_07_3758-3763m.jpg	2481	9999-12-31	753
15/9-A-15	8	3763-3768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_08_3763-3768m.jpg	2481	9999-12-31	754
15/9-A-15	9	3768-3773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_09_3768-3773m.jpg	2481	9999-12-31	755
15/9-A-15	10	3773-3778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_10_3773-3778m.jpg	2481	9999-12-31	756
15/9-A-15	11	3778-3780m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_11_3778-3780m.jpg	2481	9999-12-31	757
15/9-A-15	12	4121-4126m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_12_4121-4126m.jpg	2481	9999-12-31	758
15/9-A-15	13	4126-4131m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_13_4126-4131m.jpg	2481	9999-12-31	759
15/9-A-15	14	4131-4136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_14_4131-4136m.jpg	2481	9999-12-31	760
15/9-A-15	15	4136-4141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_15_4136-4141m.jpg	2481	9999-12-31	761
15/9-A-15	16	4141-4142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_16_4141-4142m.jpg	2481	9999-12-31	762
15/9-A-15	17	4141-4146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_17_4141-4146m.jpg	2481	9999-12-31	763
15/9-A-15	18	4146-4151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_18_4146-4151m.jpg	2481	9999-12-31	764
15/9-A-15	19	4151-4156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_19_4151-4156m.jpg	2481	9999-12-31	765
15/9-A-15	20	4156-4161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_20_4156-4161m.jpg	2481	9999-12-31	766
15/9-A-15	21	4161-4162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_21_4161-4162m.jpg	2481	9999-12-31	767
15/9-A-15	22	4163-4168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_22_4163-4168m.jpg	2481	9999-12-31	768
15/9-A-15	23	4168-4173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_23_4168-4173m.jpg	2481	9999-12-31	769
15/9-A-15	24	4173-4178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_24_4173-4178m.jpg	2481	9999-12-31	770
15/9-A-15	25	4178-4183m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_25_4178-4183m.jpg	2481	9999-12-31	771
15/9-A-15	26	4183-4188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_26_4183-4188m.jpg	2481	9999-12-31	772
15/9-A-15	27	4188-4190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2481_27_4188-4190m.jpg	2481	9999-12-31	773
15/9-A-20	1	2878-2883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2516_1_2878-2883m.jpg	2516	9999-12-31	774
15/9-A-20	2	2883-2888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2516_2_2883-2888m.jpg	2516	9999-12-31	775
15/9-A-20	3	2888-2893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2516_3_2888-2893m.jpg	2516	9999-12-31	776
15/9-A-20	4	2893-2897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2516_4_2893-2897m.jpg	2516	9999-12-31	777
15/9-A-21	1	3586-3591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2399_1_3586-3591m.jpg	2399	9999-12-31	778
15/9-A-21	2	3591-3596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2399_2_3591-3596m.jpg	2399	9999-12-31	779
15/9-A-21	3	3596-3601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2399_3_3596-3601m.jpg	2399	9999-12-31	780
15/9-A-21	4	3601-3606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2399_4_3601-3606m.jpg	2399	9999-12-31	781
15/9-A-21	5	3606-3611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2399_5_3606-3611m.jpg	2399	9999-12-31	782
15/9-A-21	6	3611-3614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2399_6_3611-3614m.jpg	2399	9999-12-31	783
15/9-A-22	1	2940-2945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_01_2940-2945m.jpg	2286	9999-12-31	784
15/9-A-22	2	2945-2950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_02_2945-2950m.jpg	2286	9999-12-31	785
15/9-A-22	3	2950-2954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_03_2950-2954m.jpg	2286	9999-12-31	786
15/9-A-22	4	2954-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_04_2954-2959m.jpg	2286	9999-12-31	787
15/9-A-22	5	2959-2964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_05_2959-2964m.jpg	2286	9999-12-31	788
15/9-A-22	6	2964-2969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_06_2964-2969m.jpg	2286	9999-12-31	789
15/9-A-22	7	2969-2974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_07_2969-2974m.jpg	2286	9999-12-31	790
15/9-A-22	8	2974-2977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_08_2974-2977m.jpg	2286	9999-12-31	791
15/9-A-22	9	2977-2982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_09_2977-2982m.jpg	2286	9999-12-31	792
15/9-A-22	10	2982-2987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_10_2982-2987m.jpg	2286	9999-12-31	793
15/9-A-22	11	2987-2992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_11_2987-2992m.jpg	2286	9999-12-31	794
15/9-A-22	12	2992-2997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_12_2992-2997m.jpg	2286	9999-12-31	795
15/9-A-22	13	2997-3002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_13_2997-3002m.jpg	2286	9999-12-31	796
15/9-A-22	14	3002-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_14_3002-3006m.jpg	2286	9999-12-31	797
15/9-A-22	15	3006-3010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_15_3006-3010m.jpg	2286	9999-12-31	798
15/9-A-22	16	3010-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_16_3010-3015m.jpg	2286	9999-12-31	799
15/9-A-22	17	3015-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_17_3015-3015m.jpg	2286	9999-12-31	800
15/9-A-22	18	3015-3020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_18_3015-3020m.jpg	2286	9999-12-31	801
15/9-A-22	19	3020-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_19_3020-3025m.jpg	2286	9999-12-31	802
15/9-A-22	20	3025-3030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_20_3025-3030m.jpg	2286	9999-12-31	803
15/9-A-22	21	3030-3035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_21_3030-3035m.jpg	2286	9999-12-31	804
15/9-A-22	22	3035-3040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_22_3035-3040m.jpg	2286	9999-12-31	805
15/9-A-22	23	3040-3045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_23_3040-3045m.jpg	2286	9999-12-31	806
15/9-A-22	24	3216-3221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_24_3216-3221m.jpg	2286	9999-12-31	807
15/9-A-22	25	3221-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_25_3221-3226m.jpg	2286	9999-12-31	808
15/9-A-22	26	3226-3231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_26_3226-3231m.jpg	2286	9999-12-31	809
15/9-A-22	27	3231-3236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_27_3231-3236m.jpg	2286	9999-12-31	810
15/9-A-22	28	3236-3241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_28_3236-3241m.jpg	2286	9999-12-31	811
15/9-A-22	29	3241-3244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2286_29_3241-3244m.jpg	2286	9999-12-31	812
15/9-A-26	1	2597-2598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_01_2597-2598m.jpg	2265	9999-12-31	813
15/9-A-26	2	2598-2602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_02_2598-2602m.jpg	2265	9999-12-31	814
15/9-A-26	3	2602-2606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_03_2602-2606m.jpg	2265	9999-12-31	815
15/9-A-26	4	2606-2607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_04_2606-2607m.jpg	2265	9999-12-31	816
15/9-A-26	5	2612-2613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_05_2612-2613m.jpg	2265	9999-12-31	817
15/9-A-26	6	2613-2617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_06_2613-2617m.jpg	2265	9999-12-31	818
15/9-A-26	7	2632-2636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_07_2632-2636m.jpg	2265	9999-12-31	819
15/9-A-26	8	2636-2640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_08_2636-2640m.jpg	2265	9999-12-31	820
15/9-A-26	9	2640-2644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_09_2640-2644m.jpg	2265	9999-12-31	821
15/9-A-26	10	2644-2645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_10_2644-2645m.jpg	2265	9999-12-31	822
15/9-A-26	11	2660-2664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_11_2660-2664m.jpg	2265	9999-12-31	823
15/9-A-26	12	2664-2668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_12_2664-2668m.jpg	2265	9999-12-31	824
15/9-A-26	13	2668-2672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_13_2668-2672m.jpg	2265	9999-12-31	825
15/9-A-26	14	2672-2676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_14_2672-2676m.jpg	2265	9999-12-31	826
15/9-A-26	15	2676-2680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_15_2676-2680m.jpg	2265	9999-12-31	827
15/9-A-26	16	2680-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2265_16_2680-2684m.jpg	2265	9999-12-31	828
15/9-A-5	1	3299-3304m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_01_3299-3304m.jpg	2397	9999-12-31	829
15/9-A-5	2	3304-3309m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_02_3304-3309m.jpg	2397	9999-12-31	830
15/9-A-5	3	3309-3314m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_03_3309-3314m.jpg	2397	9999-12-31	831
15/9-A-5	4	3314-3319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_04_3314-3319m.jpg	2397	9999-12-31	832
15/9-A-5	5	3319-3324m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_05_3319-3324m.jpg	2397	9999-12-31	833
15/9-A-5	6	3324-3326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_06_3324-3326m.jpg	2397	9999-12-31	834
15/9-A-5	7	3400-3405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_07_3400-3405m.jpg	2397	9999-12-31	835
15/9-A-5	8	3405-3410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_08_3405-3410m.jpg	2397	9999-12-31	836
15/9-A-5	9	3410-3415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_09_3410-3415m.jpg	2397	9999-12-31	837
15/9-A-5	10	3415-3420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_10_3415-3420m.jpg	2397	9999-12-31	838
15/9-A-5	11	3420-3425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_11_3420-3425m.jpg	2397	9999-12-31	839
15/9-A-5	12	3425-3427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2397_12_3425-3427m.jpg	2397	9999-12-31	840
15/9-A-8	1	3046-3051m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2567_01_3046-3051m.jpg	2567	9999-12-31	841
15/9-A-8	2	3051-3056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2567_02_3051-3056m.jpg	2567	9999-12-31	842
15/9-A-8	3	3056-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2567_03_3056-3061m.jpg	2567	9999-12-31	843
15/9-A-8	4	3061-3066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2567_04_3061-3066m.jpg	2567	9999-12-31	844
15/9-A-8	5	3066-3070m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2567_05_3066-3070m.jpg	2567	9999-12-31	845
15/9-A-8	6	3511-3515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2567_06_3511-3515m.jpg	2567	9999-12-31	846
15/9-B-10	1	3530-3535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_01_3530-3535m.jpg	2652	9999-12-31	847
15/9-B-10	2	3535-3540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_02_3535-3540m.jpg	2652	9999-12-31	848
15/9-B-10	3	3540-3545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_03_3540-3545m.jpg	2652	9999-12-31	849
15/9-B-10	4	3545-3550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_04_3545-3550m.jpg	2652	9999-12-31	850
15/9-B-10	5	3550-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_05_3550-3555m.jpg	2652	9999-12-31	851
15/9-B-10	6	3555-3560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_06_3555-3560m.jpg	2652	9999-12-31	852
15/9-B-10	7	3560-3565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_07_3560-3565m.jpg	2652	9999-12-31	853
15/9-B-10	8	3565-3570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_08_3565-3570m.jpg	2652	9999-12-31	854
15/9-B-10	9	3570-3575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_09_3570-3575m.jpg	2652	9999-12-31	855
15/9-B-10	10	3575-3580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_10_3575-3580m.jpg	2652	9999-12-31	856
15/9-B-10	11	3580-3585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_11_3580-3585m.jpg	2652	9999-12-31	857
15/9-B-10	12	3585-3590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_12_3585-3590m.jpg	2652	9999-12-31	858
15/9-B-10	13	3590-3595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_13_3590-3595m.jpg	2652	9999-12-31	859
15/9-B-10	14	3595-3600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_14_3595-3600m.jpg	2652	9999-12-31	860
15/9-B-10	15	3600-3604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_15_3600-3604m.jpg	2652	9999-12-31	861
15/9-B-10	16	3604-3609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_16_3604-3609m.jpg	2652	9999-12-31	862
15/9-B-10	17	3609-3614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_17_3609-3614m.jpg	2652	9999-12-31	863
15/9-B-10	18	3614-3619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_18_3614-3619m.jpg	2652	9999-12-31	864
15/9-B-10	19	3619-3624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_19_3619-3624m.jpg	2652	9999-12-31	865
15/9-B-10	20	3624-3629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_20_3624-3629m.jpg	2652	9999-12-31	866
15/9-B-10	21	3629-3634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_21_3629-3634m.jpg	2652	9999-12-31	867
15/9-B-10	22	3634-3639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_22_3634-3639m.jpg	2652	9999-12-31	868
15/9-B-10	23	3639-3644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_23_3639-3644m.jpg	2652	9999-12-31	869
15/9-B-10	24	3644-3649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_24_3644-3649m.jpg	2652	9999-12-31	870
15/9-B-10	25	3649-3654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_25_3649-3654m.jpg	2652	9999-12-31	871
15/9-B-10	26	3654-3659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_26_3654-3659m.jpg	2652	9999-12-31	872
15/9-B-10	27	3659-3664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_27_3659-3664m.jpg	2652	9999-12-31	873
15/9-B-10	28	3664-3669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_28_3664-3669m.jpg	2652	9999-12-31	874
15/9-B-10	29	3669-3674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_29_3669-3674m.jpg	2652	9999-12-31	875
15/9-B-10	30	3674-3679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2652_30_3674-3679m.jpg	2652	9999-12-31	876
15/9-B-14	1	3587-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_01_3587-3592m.jpg	2692	9999-12-31	877
15/9-B-14	2	3592-3597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_02_3592-3597m.jpg	2692	9999-12-31	878
15/9-B-14	3	3597-3602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_03_3597-3602m.jpg	2692	9999-12-31	879
15/9-B-14	4	3602-3607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_04_3602-3607m.jpg	2692	9999-12-31	880
15/9-B-14	5	3607-3612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_05_3607-3612m.jpg	2692	9999-12-31	881
15/9-B-14	6	3612-3617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_06_3612-3617m.jpg	2692	9999-12-31	882
15/9-B-14	7	3617-3622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_07_3617-3622m.jpg	2692	9999-12-31	883
15/9-B-14	8	3622-3627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_08_3622-3627m.jpg	2692	9999-12-31	884
15/9-B-14	9	3627-3632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_09_3627-3632m.jpg	2692	9999-12-31	885
15/9-B-14	10	3632-3637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_10_3632-3637m.jpg	2692	9999-12-31	886
15/9-B-14	11	3637-3642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_11_3637-3642m.jpg	2692	9999-12-31	887
15/9-B-14	12	3642-3647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_12_3642-3647m.jpg	2692	9999-12-31	888
15/9-B-14	13	3647-3652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_13_3647-3652m.jpg	2692	9999-12-31	889
15/9-B-14	14	3652-3657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_14_3652-3657m.jpg	2692	9999-12-31	890
15/9-B-14	15	3657-3662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2692_15_3657-3662m.jpg	2692	9999-12-31	891
15/9-B-4	1	6190-6195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_01_6190-6195m.jpg	3170	9999-12-31	892
15/9-B-4	2	6195-6200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_02_6195-6200m.jpg	3170	9999-12-31	893
15/9-B-4	3	6200-6205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_03_6200-6205m.jpg	3170	9999-12-31	894
15/9-B-4	4	6205-6210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_04_6205-6210m.jpg	3170	9999-12-31	895
15/9-B-4	5	6210-6215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_05_6210-6215m.jpg	3170	9999-12-31	896
15/9-B-4	6	6215-6220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_06_6215-6220m.jpg	3170	9999-12-31	897
15/9-B-4	7	6220-6225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_07_6220-6225m.jpg	3170	9999-12-31	898
15/9-B-4	8	6225-6230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_08_6225-6230m.jpg	3170	9999-12-31	899
15/9-B-4	9	6230-6235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_09_6230-6235m.jpg	3170	9999-12-31	900
15/9-B-4	10	6235-6240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_10_6235-6240m.jpg	3170	9999-12-31	901
15/9-B-4	11	6240-6244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_11_6240-6244m.jpg	3170	9999-12-31	902
15/9-B-4	12	6244-6249m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_12_6244-6249m.jpg	3170	9999-12-31	903
15/9-B-4	13	6249-6254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_13_6249-6254m.jpg	3170	9999-12-31	904
15/9-B-4	14	6254-6259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_14_6254-6259m.jpg	3170	9999-12-31	905
15/9-B-4	15	6259-6264m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_15_6259-6264m.jpg	3170	9999-12-31	906
15/9-B-4	16	6264-6269m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_16_6264-6269m.jpg	3170	9999-12-31	907
15/9-B-4	17	6269-6274m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_17_6269-6274m.jpg	3170	9999-12-31	908
15/9-B-4	18	6274-6279m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_18_6274-6279m.jpg	3170	9999-12-31	909
15/9-B-4	19	6279-6281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_19_6279-6281m.jpg	3170	9999-12-31	910
15/9-B-4	20	6281-6286m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_20_6281-6286m.jpg	3170	9999-12-31	911
15/9-B-4	21	6286-6291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_21_6286-6291m.jpg	3170	9999-12-31	912
15/9-B-4	22	6291-6296m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_22_6291-6296m.jpg	3170	9999-12-31	913
15/9-B-4	23	6296-6301m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_23_6296-6301m.jpg	3170	9999-12-31	914
15/9-B-4	24	6301-6306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_24_6301-6306m.jpg	3170	9999-12-31	915
15/9-B-4	25	6306-6311m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_25_6306-6311m.jpg	3170	9999-12-31	916
15/9-B-4	26	6311-6316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_26_6311-6316m.jpg	3170	9999-12-31	917
15/9-B-4	27	6316-6321m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_27_6316-6321m.jpg	3170	9999-12-31	918
15/9-B-4	28	6321-6326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_28_6321-6326m.jpg	3170	9999-12-31	919
15/9-B-4	29	6326-6331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_29_6326-6331m.jpg	3170	9999-12-31	920
15/9-B-4	30	6331-6334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3170_30_6331-6334m.jpg	3170	9999-12-31	921
15/9-D-3 H	1	2468-2473m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_01_2468-2473m.jpg	2083	9999-12-31	922
15/9-D-3 H	2	2473-2477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_02_2473-2477m.jpg	2083	9999-12-31	923
15/9-D-3 H	3	2479-2484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_03_2479-2484m.jpg	2083	9999-12-31	924
15/9-D-3 H	4	2484-2489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_04_2484-2489m.jpg	2083	9999-12-31	925
15/9-D-3 H	5	2489-2494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_05_2489-2494m.jpg	2083	9999-12-31	926
15/9-D-3 H	6	2494-2499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_06_2494-2499m.jpg	2083	9999-12-31	927
15/9-D-3 H	7	2499-2504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_07_2499-2504m.jpg	2083	9999-12-31	928
15/9-D-3 H	8	2504-2506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_08_2504-2506m.jpg	2083	9999-12-31	929
15/9-D-3 H	9	2506-2511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_09_2506-2511m.jpg	2083	9999-12-31	930
15/9-D-3 H	10	2511-2516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_10_2511-2516m.jpg	2083	9999-12-31	931
15/9-D-3 H	11	2516-2521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_11_2516-2521m.jpg	2083	9999-12-31	932
15/9-D-3 H	12	2521-2526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_12_2521-2526m.jpg	2083	9999-12-31	933
15/9-D-3 H	13	2526-2531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_13_2526-2531m.jpg	2083	9999-12-31	934
15/9-D-3 H	14	2531-2533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2083_14_2531-2533m.jpg	2083	9999-12-31	935
16/10-1	1	2855-2859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/901_01_2855-2859m.jpg	901	9999-12-31	936
16/10-1	2	2860-2864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/901_02_2860-2864m.jpg	901	9999-12-31	937
16/10-1	3	2865-2869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/901_03_2865-2869m.jpg	901	9999-12-31	938
16/10-1	4	2870-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/901_04_2870-2872m.jpg	901	9999-12-31	939
16/10-1	5	2925-2929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/901_05_2925-2929m.jpg	901	9999-12-31	940
16/10-1	6	2930-2933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/901_06_2930-2933m.jpg	901	9999-12-31	941
16/1-4	1	1549-1553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_01_1549-1553m.jpg	2072	9999-12-31	942
16/1-4	2	1553-1557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_02_1553-1557m.jpg	2072	9999-12-31	943
16/1-4	3	1557-1559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_03_1557-1559m.jpg	2072	9999-12-31	944
16/1-4	4	1561-1565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_04_1561-1565m.jpg	2072	9999-12-31	945
16/1-4	5	1565-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_05_1565-1568m.jpg	2072	9999-12-31	946
16/1-4	6	1590-1594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_06_1590-1594m.jpg	2072	9999-12-31	947
16/1-4	7	1594-1598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_07_1594-1598m.jpg	2072	9999-12-31	948
16/1-4	8	1598-1602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_08_1598-1602m.jpg	2072	9999-12-31	949
16/1-4	9	1602-1606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_09_1602-1606m.jpg	2072	9999-12-31	950
16/1-4	10	1606-1607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_10_1606-1607m.jpg	2072	9999-12-31	951
16/1-4	11	1695-1699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_11_1695-1699m.jpg	2072	9999-12-31	952
16/1-4	12	1703-1706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_12_1703-1706m.jpg	2072	9999-12-31	953
16/1-4	13	1708-1712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_13_1708-1712m.jpg	2072	9999-12-31	954
16/1-4	14	1712-1716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_14_1712-1716m.jpg	2072	9999-12-31	955
16/1-4	15	1716-1720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_15_1716-1720m.jpg	2072	9999-12-31	956
16/1-4	16	1720-1724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_16_1720-1724m.jpg	2072	9999-12-31	957
16/1-4	17	1724-1724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_17_1724-1724m.jpg	2072	9999-12-31	958
16/1-4	18	1936-1940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_18_1936-1940m.jpg	2072	9999-12-31	959
16/1-4	19	1940-1942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2072_19_1940-1942m.jpg	2072	9999-12-31	960
16/1-5	1	2023-2028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3279_01_2023-2028m.jpg	3279	9999-12-31	961
16/1-5	2	2028-2029m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3279_02_2028-2029m.jpg	3279	9999-12-31	962
16/1-5	3	2031-2036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3279_03_2031-2036m.jpg	3279	9999-12-31	963
16/1-5	4	2036-2039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3279_04_2036-2039m.jpg	3279	9999-12-31	964
16/1-5	5	2039-2044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3279_05_2039-2044m.jpg	3279	9999-12-31	965
16/1-5	6	2044	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3279_06_2044_2049m.jpg	3279	9999-12-31	966
16/1-5	7	2049-2054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3279_07_2049-2054m.jpg	3279	9999-12-31	967
16/1-5	8	2054-2059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3279_08_2054-2059m.jpg	3279	9999-12-31	968
16/1-5	9	2059-2064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3279_09_2059-2064m.jpg	3279	9999-12-31	969
16/1-5	10	2064-2066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3279_10_2064-2066m.jpg	3279	9999-12-31	970
16/1-5 A	1	2123-2128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3626_01_2123-2128m.jpg	3626	9999-12-31	971
16/1-5 A	2	2128-2133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3626_02_2128-2133m.jpg	3626	9999-12-31	972
16/1-5 A	3	2133-2138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3626_03_2133-2138m.jpg	3626	9999-12-31	973
16/1-5 A	4	2138-2143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3626_04_2138-2143m.jpg	3626	9999-12-31	974
16/1-5 A	5	2143-2148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3626_05_2143-2148m.jpg	3626	9999-12-31	975
16/1-5 A	6	2148-2150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3626_06_2148-2150m.jpg	3626	9999-12-31	976
16/1-6 S	1	1972-1876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4711_01_1972-1876m.jpg	4711	9999-12-31	977
16/1-6 S	2	1876-1880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4711_02_1876-1880m.jpg	4711	9999-12-31	978
16/1-6 S	3	1880-1884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4711_03_1880-1884m.jpg	4711	9999-12-31	979
16/1-6 S	4	1884-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4711_04_1884-1888m.jpg	4711	9999-12-31	980
16/1-6 S	5	1888-1890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4711_05_1888-1890m.jpg	4711	9999-12-31	981
16/1-6 S	6	1894-1896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4711_06_1894-1896m.jpg	4711	9999-12-31	982
16/1-6 S	7	1896-1898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4711_07_1896-1898m.jpg	4711	9999-12-31	983
16/4-1	1	2161-2166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/229_01_2161-2166m.jpg	229	9999-12-31	984
16/4-1	2	2166-2171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/229_02_2166-2171m.jpg	229	9999-12-31	985
16/4-1	3	2171-2172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/229_03_2171-2172m.jpg	229	9999-12-31	986
16/4-1	4	2404-2409m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/229_04_2404-2409m.jpg	229	9999-12-31	987
16/4-1	5	2409-2414m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/229_05_2409-2414m.jpg	229	9999-12-31	988
16/4-1	6	2414-2419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/229_06_2414-2419m.jpg	229	9999-12-31	989
16/4-1	7	2419-2421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/229_07_2419-2421m.jpg	229	9999-12-31	990
16/4-1	8	2907-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/229_08_2907-2909m.jpg	229	9999-12-31	991
16/4-2	1	1920-1924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1560_01_1920-1924m.jpg	1560	9999-12-31	992
16/4-2	2	1924-1926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1560_02_1924-1926m.jpg	1560	9999-12-31	993
16/7-2	1	2301-2302m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/40_01_2301-2302m.jpg	40	9999-12-31	994
16/7-2	2	2347-2353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/40_02_2347-2353m.jpg	40	9999-12-31	995
16/7-2	3	2353-2356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/40_03_2353-2356m.jpg	40	9999-12-31	996
16/7-2	4	2356-2362m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/40_04_2356-2362m.jpg	40	9999-12-31	997
16/7-2	5	2362-2368m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/40_05_2362-2368m.jpg	40	9999-12-31	998
16/7-2	6	2368-2374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/40_06_2368-2374m.jpg	40	9999-12-31	999
16/7-2	7	2374-2375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/40_07_2374-2375m.jpg	40	9999-12-31	1000
16/7-2	8	2675-2681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/40_08_2675-2681m.jpg	40	9999-12-31	1001
16/7-2	9	2687-2690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/40_09_2687-2690m.jpg	40	9999-12-31	1002
16/7-2	10	2681-2687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/40_10_2681-2687m.jpg	40	9999-12-31	1003
16/7-3	1	2342-2348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/75_01_2342-2348m.jpg	75	9999-12-31	1004
16/7-3	2	2348-2450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/75_02_2348-2450m.jpg	75	9999-12-31	1005
16/7-3	3	2351-2357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/75_03_2351-2357m.jpg	75	9999-12-31	1006
16/7-3	4	2357-2363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/75_04_2357-2363m.jpg	75	9999-12-31	1007
16/7-3	5	2363-2365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/75_05_2363-2365m.jpg	75	9999-12-31	1008
16/7-4	1	2568-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_01_2568-2573m.jpg	91	9999-12-31	1009
16/7-4	2	2573-2574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_02_2573-2574m.jpg	91	9999-12-31	1010
16/7-4	3	2591-2596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_03_2591-2596m.jpg	91	9999-12-31	1011
16/7-4	4	2596-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_04_2596-2601m.jpg	91	9999-12-31	1012
16/7-4	5	2601-2605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_05_2601-2605m.jpg	91	9999-12-31	1013
16/7-4	6	2607-2612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_06_2607-2612m.jpg	91	9999-12-31	1014
16/7-4	7	2612-2617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_07_2612-2617m.jpg	91	9999-12-31	1015
16/7-4	8	2617-2622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_08_2617-2622m.jpg	91	9999-12-31	1016
16/7-4	9	2622-2624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_09_2622-2624m.jpg	91	9999-12-31	1017
16/7-4	10	2625-2630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_10_2625-2630m.jpg	91	9999-12-31	1018
16/7-4	11	2630-2635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_11_2630-2635m.jpg	91	9999-12-31	1019
16/7-4	12	2635-2640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_12_2635-2640m.jpg	91	9999-12-31	1020
16/7-4	13	2640-2643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_13_2640-2643m.jpg	91	9999-12-31	1021
16/7-4	14	2643-2648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_14_2643-2648m.jpg	91	9999-12-31	1022
16/7-4	15	2648-2653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_15_2648-2653m.jpg	91	9999-12-31	1023
16/7-4	16	2653-2658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_16_2653-2658m.jpg	91	9999-12-31	1024
16/7-4	17	2658-2662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_17_2658-2662m.jpg	91	9999-12-31	1025
16/7-4	18	2662-2667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_18_2662-2667m.jpg	91	9999-12-31	1026
16/7-4	19	2667-2672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_19_2667-2672m.jpg	91	9999-12-31	1027
16/7-4	20	2672-2677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_20_2672-2677m.jpg	91	9999-12-31	1028
16/7-4	21	2677-2680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/91_21_2677-2680m.jpg	91	9999-12-31	1029
16/7-5	1	2590-2596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/134_01_2590-2596m.jpg	134	9999-12-31	1030
16/7-5	2	2596-2602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/134_02_2596-2602m.jpg	134	9999-12-31	1031
16/7-5	3	2602-2603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/134_03_2602-2603m.jpg	134	9999-12-31	1032
16/7-6	1	2562-2567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_01_2562-2567m.jpg	3067	9999-12-31	1033
16/7-6	2	2567-2572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_02_2567-2572m.jpg	3067	9999-12-31	1034
16/7-6	3	2672-2577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_03_2672-2577m.jpg	3067	9999-12-31	1035
16/7-6	4	2577-2582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_04_2577-2582m.jpg	3067	9999-12-31	1036
16/7-6	5	2582-2587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_05_2582-2587m.jpg	3067	9999-12-31	1037
16/7-6	6	2587-2589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_06_2587-2589m.jpg	3067	9999-12-31	1038
16/7-6	7	2589-2594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_07_2589-2594m.jpg	3067	9999-12-31	1039
16/7-6	8	2594-2599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_08_2594-2599m.jpg	3067	9999-12-31	1040
16/7-6	9	2599-2604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_09_2599-2604m.jpg	3067	9999-12-31	1041
16/7-6	10	2604-2609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_10_2604-2609m.jpg	3067	9999-12-31	1042
16/7-6	11	2609-2614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_11_2609-2614m.jpg	3067	9999-12-31	1043
16/7-6	12	2614-2619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_12_2614-2619m.jpg	3067	9999-12-31	1044
16/7-6	13	2619-2624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_13_2619-2624m.jpg	3067	9999-12-31	1045
16/7-6	14	2624-2625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3067_14_2624-2625m.jpg	3067	9999-12-31	1046
16/7-8 S	1	2827-2829m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4612_01_2827-2829m.jpg	4612	9999-12-31	1047
17/3-1	1	2388-2390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2576_01_2388-2390m.jpg	2576	9999-12-31	1048
17/3-1	2	2391-2396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2576_02_2391-2396m.jpg	2576	9999-12-31	1049
17/3-1	3	2396-2400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2576_03_2396-2400m.jpg	2576	9999-12-31	1050
17/3-1	4	2400-2405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2576_04_2400-2405m.jpg	2576	9999-12-31	1051
17/3-1	5	2405-2410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2576_05_2405-2410m.jpg	2576	9999-12-31	1052
17/3-1	6	2410-2415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2576_06_2410-2415m.jpg	2576	9999-12-31	1053
17/3-1	7	2415-2418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2576_07_2415-2418m.jpg	2576	9999-12-31	1054
17/3-1	8	2849-2852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2576_08_2849-2852m.jpg	2576	9999-12-31	1055
18/10-1	1	2421-2424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_01_2421-2424m.jpg	342	9999-12-31	1056
18/10-1	2	2424-2427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_02_2424-2427m.jpg	342	9999-12-31	1057
18/10-1	3	2427-2430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_03_2427-2430m.jpg	342	9999-12-31	1058
18/10-1	4	2430-2432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_04_2430-2432m.jpg	342	9999-12-31	1059
18/10-1	5	2432-2435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_05_2432-2435m.jpg	342	9999-12-31	1060
18/10-1	6	2435-2439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_06_2435-2439m.jpg	342	9999-12-31	1061
18/10-1	7	2439-2442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_07_2439-2442m.jpg	342	9999-12-31	1062
18/10-1	8	2442-2445m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_08_2442-2445m.jpg	342	9999-12-31	1063
18/10-1	9	2445-2449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_09_2445-2449m.jpg	342	9999-12-31	1064
18/10-1	10	2449-2450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_10_2449-2450m.jpg	342	9999-12-31	1065
18/10-1	11	2450-2453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_11_2450-2453m.jpg	342	9999-12-31	1066
18/10-1	12	2453-2457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_12_2453-2457m.jpg	342	9999-12-31	1067
18/10-1	13	2457-2460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_13_2457-2460m.jpg	342	9999-12-31	1068
18/10-1	14	2460-2463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_14_2460-2463m.jpg	342	9999-12-31	1069
18/10-1	15	2463-2467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_15_2463-2467m.jpg	342	9999-12-31	1070
18/10-1	16	2467-2469m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/342_16_2467-2469m.jpg	342	9999-12-31	1071
2/10-2	1	3085-3086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2050_01_3085-3086m.jpg	2050	9999-12-31	1072
2/10-2	2	3089-3093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2050_02_3089-3093m.jpg	2050	9999-12-31	1073
2/10-2	3	3093-3097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2050_03_3093-3097m.jpg	2050	9999-12-31	1074
2/10-2	4	3097-3098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2050_04_3097-3098m.jpg	2050	9999-12-31	1075
2/10-2	5	4151-4153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2050_05_4151-4153m.jpg	2050	9999-12-31	1076
2/10-2	6	4154-4158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2050_06_4154-4158m.jpg	2050	9999-12-31	1077
2/10-2	7	4158-4162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2050_07_4158-4162m.jpg	2050	9999-12-31	1078
2/10-2	8	4162-4163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2050_08_4162-4163m.jpg	2050	9999-12-31	1079
2/1-1	1	10385-10400ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/249_01_10385-10400ft.jpg	249	9999-12-31	1080
2/1-1	2	10400-10415ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/249_02_10400-10415ft.jpg	249	9999-12-31	1081
2/1-1	3	10415-10425ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/249_03_10415-10425ft.jpg	249	9999-12-31	1082
2/1-10	1	4193-4198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_01_4193-4198m.jpg	1865	9999-12-31	1083
2/1-10	2	4198-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_02_4198-4203m.jpg	1865	9999-12-31	1084
2/1-10	3	4203-4208m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_03_4203-4208m.jpg	1865	9999-12-31	1085
2/1-10	4	4208-4213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_04_4208-4213m.jpg	1865	9999-12-31	1086
2/1-10	5	4213-4218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_05_4213-4218m.jpg	1865	9999-12-31	1087
2/1-10	6	4218-4221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_06_4218-4221m.jpg	1865	9999-12-31	1088
2/1-10	7	4221-4226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_07_4221-4226m.jpg	1865	9999-12-31	1089
2/1-10	8	4226-4231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_08_4226-4231m.jpg	1865	9999-12-31	1090
2/1-10	9	4231-4236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_09_4231-4236m.jpg	1865	9999-12-31	1091
2/1-10	10	4236-4241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_10_4236-4241m.jpg	1865	9999-12-31	1092
2/1-10	11	4241-4246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_11_4241-4246m.jpg	1865	9999-12-31	1093
2/1-10	12	4246-4250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_12_4246-4250m.jpg	1865	9999-12-31	1094
2/1-10	13	4250-4255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_13_4250-4255m.jpg	1865	9999-12-31	1095
2/1-10	14	4255-4260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_14_4255-4260m.jpg	1865	9999-12-31	1096
2/1-10	15	4260-4265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_15_4260-4265m.jpg	1865	9999-12-31	1097
2/1-10	16	4265-4270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_16_4265-4270m.jpg	1865	9999-12-31	1098
2/1-10	17	4270-4274m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_17_4270-4274m.jpg	1865	9999-12-31	1099
2/1-10	18	4274-4279m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_18_4274-4279m.jpg	1865	9999-12-31	1100
2/1-10	19	4279-4284m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_19_4279-4284m.jpg	1865	9999-12-31	1101
2/1-10	20	4284-4288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1865_20_4284-4288m.jpg	1865	9999-12-31	1102
2/11-10 S	1	3913-3917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2297_01_3913-3917m.jpg	2297	9999-12-31	1103
2/11-10 S	2	3918-3922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2297_02_3918-3922m.jpg	2297	9999-12-31	1104
2/11-10 S	3	3923-3927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2297_03_3923-3927m.jpg	2297	9999-12-31	1105
2/11-10 S	4	3928-3931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2297_04_3928-3931m.jpg	2297	9999-12-31	1106
2/11-10 S	5	3932-3935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2297_05_3932-3935m.jpg	2297	9999-12-31	1107
2/11-10 S	6	3936-3955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2297_06_3936-3955m.jpg	2297	9999-12-31	1108
2/11-10 S	7	3956-3960m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2297_07_3956-3960m.jpg	2297	9999-12-31	1109
2/11-10 S	8	3961-3962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2297_08_3961-3962m.jpg	2297	9999-12-31	1110
2/11-3	1	2776-2779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_01_2776-2779m.jpg	286	2013-03-22	1111
2/11-3	2	2779-2782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_02_2779-2782m.jpg	286	2013-03-22	1112
2/11-3	3	2785-2788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_03_2785-2788m.jpg	286	2013-03-22	1113
2/11-3	4	2788-2791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_04_2788-2791m.jpg	286	2013-03-22	1114
2/11-3	5	2789-2789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_05_2789-2789m.jpg	286	2013-03-22	1115
2/11-3	6	2791-2792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_06_2791-2792m.jpg	286	2013-03-22	1116
2/11-3	7	2792-2795m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_07_2792-2795m.jpg	286	2013-03-22	1117
2/11-3	8	2795-2798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_08_2795-2798m.jpg	286	2013-03-22	1118
2/11-3	9	2798-2801m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_09_2798-2801m.jpg	286	2013-03-22	1119
2/11-3	10	2801-2804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_10_2801-2804m.jpg	286	2013-03-22	1120
2/11-3	11	2804-2807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_11_2804-2807m.jpg	286	2013-03-22	1121
2/11-3	12	2807-2810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_12_2807-2810m.jpg	286	2013-03-22	1122
2/11-3	13	2810-2811m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/286_13_2810-2811m.jpg	286	2013-03-22	1123
2/11-3 A	1	3192-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_01_3192-3194m.jpg	287	2013-03-22	1124
2/11-3 A	2	3194-3197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_02_3194-3197m.jpg	287	2013-03-22	1125
2/11-3 A	3	3197-3198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_03_3197-3198m.jpg	287	2013-03-22	1126
2/11-3 A	4	3201-3204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_04_3201-3204m.jpg	287	2013-03-22	1127
2/11-3 A	5	3204-3206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_05_3204-3206m.jpg	287	2013-03-22	1128
2/11-3 A	6	3206-3209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_06_3206-3209m.jpg	287	2013-03-22	1129
2/11-3 A	7	3209-3209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_07_3209-3209m.jpg	287	2013-03-22	1130
2/11-3 A	8	3226-3228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_08_3226-3228m.jpg	287	2013-03-22	1131
2/11-3 A	9	3228-3230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_09_3228-3230m.jpg	287	2013-03-22	1132
2/11-3 A	10	3231-3234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_10_3231-3234m.jpg	287	2013-03-22	1133
2/11-3 A	11	3234-3235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_11_3234-3235m.jpg	287	2013-03-22	1134
2/11-3 A	12	3235-3238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_12_3235-3238m.jpg	287	2013-03-22	1135
2/11-3 A	13	3238-3239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_13_3238-3239m.jpg	287	2013-03-22	1136
2/11-3 A	14	3240-3243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_14_3240-3243m.jpg	287	2013-03-22	1137
2/11-3 A	15	3243-3245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_15_3243-3245m.jpg	287	2013-03-22	1138
2/11-3 A	16	3245-3248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_16_3245-3248m.jpg	287	2013-03-22	1139
2/11-3 A	17	3248-3250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_17_3248-3250m.jpg	287	2013-03-22	1140
2/11-3 A	18	3250-3252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/287_18_3250-3252m.jpg	287	2013-03-22	1141
2/11-6 S	1	3693-3696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_01_3693-3696m.jpg	289	2013-03-22	1142
2/11-6 S	2	3696-3703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_02_3696-3703m.jpg	289	2013-03-22	1143
2/11-6 S	3	3703-3709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_03_3703-3709m.jpg	289	2013-03-22	1144
2/11-6 S	4	3709-3711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_04_3709-3711m.jpg	289	2013-03-22	1145
2/11-6 S	5	3711-3717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_05_3711-3717m.jpg	289	2013-03-22	1146
2/11-6 S	6	3717-3720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_06_3717-3720m.jpg	289	2013-03-22	1147
2/11-6 S	7	3720-3723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_07_3720-3723m.jpg	289	2013-03-22	1148
2/11-6 S	8	3723-3727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_08_3723-3727m.jpg	289	2013-03-22	1149
2/11-6 S	9	3727-3734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_09_3727-3734m.jpg	289	2013-03-22	1150
2/11-6 S	10	3734-3736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_10_3734-3736m.jpg	289	2013-03-22	1151
2/11-6 S	11	3736-3739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_11_3736-3739m.jpg	289	2013-03-22	1152
2/11-6 S	12	3739-3740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/289_12_3739-3740m.jpg	289	2013-03-22	1153
2/11-8	1	4574-4579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1715_01_4574-4579m.jpg	1715	9999-12-31	1154
2/11-8	2	4579-4584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1715_02_4579-4584m.jpg	1715	9999-12-31	1155
2/11-A-1 B	1	3749-3754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2330_1_3749-3754m.jpg	2330	9999-12-31	1156
2/11-A-1 B	2	3754-3759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2330_2_3754-3759m.jpg	2330	9999-12-31	1157
2/11-A-1 B	3	3759-3764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2330_3_3759-3764m.jpg	2330	9999-12-31	1158
2/11-A-1 B	4	3764-3768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2330_4_3764-3768m.jpg	2330	9999-12-31	1159
2/11-A-7	1	3346-3351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2321_1_3346-3351m.jpg	2321	9999-12-31	1160
2/11-A-7	2	3351-3356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2321_2_3351-3356m.jpg	2321	9999-12-31	1161
2/11-A-7	3	3356-3360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2321_3_3356-3360m.jpg	2321	9999-12-31	1162
2/11-A-8	1	3391-3396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2613_1_3391-3396m.jpg	2613	9999-12-31	1163
2/11-A-8	2	3396-3401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2613_2_3396-3401m.jpg	2613	9999-12-31	1164
2/11-A-8	3	3401-3406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2613_3_3401-3406m.jpg	2613	9999-12-31	1165
2/11-A-8	4	3406-3410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2613_4_3406-3410m.jpg	2613	9999-12-31	1166
2/1-2	1	3318-3322m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/250_01_3318-3322m.jpg	250	9999-12-31	1167
2/1-2	2	3322-3327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/250_02_3322-3327m.jpg	250	9999-12-31	1168
2/1-2	3	3327-3331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/250_03_3327-3331m.jpg	250	9999-12-31	1169
2/1-2	4	3331-3336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/250_04_3331-3336m.jpg	250	9999-12-31	1170
2/1-2	5	3336-3336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/250_05_3336-3336m.jpg	250	9999-12-31	1171
2/12-1	1	4633-4638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1014_01_4633-4638m.jpg	1014	9999-12-31	1172
2/12-1	2	4638-4643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1014_02_4638-4643m.jpg	1014	9999-12-31	1173
2/12-1	3	4643-4648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1014_03_4643-4648m.jpg	1014	9999-12-31	1174
2/12-1	4	4648-4653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1014_04_4648-4653m.jpg	1014	9999-12-31	1175
2/12-1	5	4653-4658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1014_05_4653-4658m.jpg	1014	9999-12-31	1176
2/12-1	6	4658-4664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1014_06_4658-4664m.jpg	1014	9999-12-31	1177
2/12-1	7	4664-4669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1014_07_4664-4669m.jpg	1014	9999-12-31	1178
2/12-1	8	4669-4672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1014_08_4669-4672m.jpg	1014	9999-12-31	1179
2/12-2 S	1	5530-5535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1416_01_5530-5535m.jpg	1416	9999-12-31	1180
2/12-2 S	2	5535-5539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1416_02_5535-5539m.jpg	1416	9999-12-31	1181
2/1-3	1	3823-3827m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_01_3823-3827m.jpg	251	9999-12-31	1182
2/1-3	2	3827-3832m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_02_3827-3832m.jpg	251	9999-12-31	1183
2/1-3	3	3832-3832m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_03_3832-3832m.jpg	251	9999-12-31	1184
2/1-3	4	3838-3842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_04_3838-3842m.jpg	251	9999-12-31	1185
2/1-3	5	3842-3847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_05_3842-3847m.jpg	251	9999-12-31	1186
2/1-3	6	3847-3851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_06_3847-3851m.jpg	251	9999-12-31	1187
2/1-3	7	3851-3855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_07_3851-3855m.jpg	251	9999-12-31	1188
2/1-3	8	3856-3860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_08_3856-3860m.jpg	251	9999-12-31	1189
2/1-3	9	3860-3862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_09_3860-3862m.jpg	251	9999-12-31	1190
2/1-3	10	3875-3878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_10_3875-3878m.jpg	251	9999-12-31	1191
2/1-3	11	3879-3884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_11_3879-3884m.jpg	251	9999-12-31	1192
2/1-3	12	3884-3888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_12_3884-3888m.jpg	251	9999-12-31	1193
2/1-3	13	3888-3893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_13_3888-3893m.jpg	251	9999-12-31	1194
2/1-3	14	3893-3893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/251_14_3893-3893m.jpg	251	9999-12-31	1195
2/1-4	1	4036-4042m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_01_4036-4042m.jpg	48	9999-12-31	1196
2/1-4	2	4042-4048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_02_4042-4048m.jpg	48	9999-12-31	1197
2/1-4	3	4048-4054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_03_4048-4054m.jpg	48	9999-12-31	1198
2/1-4	4	4054-4060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_04_4054-4060m.jpg	48	9999-12-31	1199
2/1-4	5	4060-4063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_05_4060-4063m.jpg	48	9999-12-31	1200
2/1-4	6	4063-4069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_06_4063-4069m.jpg	48	9999-12-31	1201
2/1-4	7	4069-4075m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_07_4069-4075m.jpg	48	9999-12-31	1202
2/1-4	8	4075-4081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_08_4075-4081m.jpg	48	9999-12-31	1203
2/1-4	9	4081-4082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_09_4081-4082m.jpg	48	9999-12-31	1204
2/1-4	10	4082-4088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_10_4082-4088m.jpg	48	9999-12-31	1205
2/1-4	11	4088-4094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_11_4088-4094m.jpg	48	9999-12-31	1206
2/1-4	12	4094-4100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_12_4094-4100m.jpg	48	9999-12-31	1207
2/1-4	13	4100-4101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_13_4100-4101m.jpg	48	9999-12-31	1208
2/1-4	14	4101-4107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_14_4101-4107m.jpg	48	9999-12-31	1209
2/1-4	15	4107-4113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_15_4107-4113m.jpg	48	9999-12-31	1210
2/1-4	16	4113-4119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_16_4113-4119m.jpg	48	9999-12-31	1211
2/1-4	17	4119-4119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_17_4119-4119m.jpg	48	9999-12-31	1212
2/1-4	18	4119-4125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_18_4119-4125m.jpg	48	9999-12-31	1213
2/1-4	19	4125-4131m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_19_4125-4131m.jpg	48	9999-12-31	1214
2/1-4	20	4131-4137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_20_4131-4137m.jpg	48	9999-12-31	1215
2/1-4	21	4137-4138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/48_21_4137-4138m.jpg	48	9999-12-31	1216
2/1-5	1	3928-3934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/63_01_3928-3934m.jpg	63	9999-12-31	1217
2/1-5	2	3935-3941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/63_02_3935-3941m.jpg	63	9999-12-31	1218
2/1-5	3	3942-3947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/63_03_3942-3947m.jpg	63	9999-12-31	1219
2/1-6	1	4127-4133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_01_4127-4133m.jpg	109	9999-12-31	1220
2/1-6	2	4133-4139m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_02_4133-4139m.jpg	109	9999-12-31	1221
2/1-6	3	4139-4144m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_03_4139-4144m.jpg	109	9999-12-31	1222
2/1-6	4	4145-4151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_04_4145-4151m.jpg	109	9999-12-31	1223
2/1-6	5	4151-4154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_05_4151-4154m.jpg	109	9999-12-31	1224
2/1-6	6	4153-4159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_06_4153-4159m.jpg	109	9999-12-31	1225
2/1-6	7	4159-4165m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_07_4159-4165m.jpg	109	9999-12-31	1226
2/1-6	8	4165-4170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_08_4165-4170m.jpg	109	9999-12-31	1227
2/1-6	9	4171-4177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_09_4171-4177m.jpg	109	9999-12-31	1228
2/1-6	10	4177-4181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_10_4177-4181m.jpg	109	9999-12-31	1229
2/1-6	11	4181-4187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_11_4181-4187m.jpg	109	9999-12-31	1230
2/1-6	12	4187-4193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_12_4187-4193m.jpg	109	9999-12-31	1231
2/1-6	13	4193-4199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_13_4193-4199m.jpg	109	9999-12-31	1232
2/1-6	14	4199-4205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_14_4199-4205m.jpg	109	9999-12-31	1233
2/1-6	15	4205-4209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_15_4205-4209m.jpg	109	9999-12-31	1234
2/1-6	16	4208-4214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_16_4208-4214m.jpg	109	9999-12-31	1235
2/1-6	17	4214-4220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_17_4214-4220m.jpg	109	9999-12-31	1236
2/1-6	18	4220-4226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_18_4220-4226m.jpg	109	9999-12-31	1237
2/1-6	19	4226-4232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_19_4226-4232m.jpg	109	9999-12-31	1238
2/1-6	20	4232-4235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_20_4232-4235m.jpg	109	9999-12-31	1239
2/1-6	21	4235-4241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_21_4235-4241m.jpg	109	9999-12-31	1240
2/1-6	22	4241-4246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_22_4241-4246m.jpg	109	9999-12-31	1241
2/1-6	23	4245-4251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_23_4245-4251m.jpg	109	9999-12-31	1242
2/1-6	24	4251-4254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_24_4251-4254m.jpg	109	9999-12-31	1243
2/1-6	25	4254-4260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_25_4254-4260m.jpg	109	9999-12-31	1244
2/1-6	26	4260-4263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_26_4260-4263m.jpg	109	9999-12-31	1245
2/1-6	27	4263-4266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_27_4263-4266m.jpg	109	9999-12-31	1246
2/1-6	28	4303-4309m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_28_4303-4309m.jpg	109	9999-12-31	1247
2/1-6	29	4309-4314m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_29_4309-4314m.jpg	109	9999-12-31	1248
2/1-6	30	4313-4319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_30_4313-4319m.jpg	109	9999-12-31	1249
2/1-6	31	4319-4325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_31_4319-4325m.jpg	109	9999-12-31	1250
2/1-6	32	4325-4331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_32_4325-4331m.jpg	109	9999-12-31	1251
2/1-6	33	4331-4336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_33_4331-4336m.jpg	109	9999-12-31	1252
2/1-6	34	4336-4342m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_34_4336-4342m.jpg	109	9999-12-31	1253
2/1-6	35	4342-4347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_35_4342-4347m.jpg	109	9999-12-31	1254
2/1-6	36	4348-4354m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_36_4348-4354m.jpg	109	9999-12-31	1255
2/1-6	37	4354-4360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_37_4354-4360m.jpg	109	9999-12-31	1256
2/1-6	38	4360-4364m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_38_4360-4364m.jpg	109	9999-12-31	1257
2/1-6	39	4364-4370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_39_4364-4370m.jpg	109	9999-12-31	1258
2/1-6	40	4370-4376m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_40_4370-4376m.jpg	109	9999-12-31	1259
2/1-6	41	4376-4382m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_41_4376-4382m.jpg	109	9999-12-31	1260
2/1-6	42	4382-4387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_42_4382-4387m.jpg	109	9999-12-31	1261
2/1-6	43	4388-4392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/109_43_4388-4392m.jpg	109	9999-12-31	1262
2/1-7	1	5115-5121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/137_01_5115-5121m.jpg	137	9999-12-31	1263
2/1-7	2	5121-5124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/137_02_5121-5124m.jpg	137	9999-12-31	1264
2/1-7	3	5124-5125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/137_03_5124-5125m.jpg	137	9999-12-31	1265
2/1-7	4	5125-5127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/137_04_5125-5127m.jpg	137	9999-12-31	1266
2/1-7	5	5147-5153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/137_05_5147-5153m.jpg	137	9999-12-31	1267
2/1-7	6	5153-5159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/137_06_5153-5159m.jpg	137	9999-12-31	1268
2/1-7	7	5159-5165m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/137_07_5159-5165m.jpg	137	9999-12-31	1269
2/1-8	1	3898-3903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_01_3898-3903m.jpg	459	9999-12-31	1270
2/1-8	2	3903-3908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_02_3903-3908m.jpg	459	9999-12-31	1271
2/1-8	3	3908-3913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_03_3908-3913m.jpg	459	9999-12-31	1272
2/1-8	4	3913-3918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_04_3913-3918m.jpg	459	9999-12-31	1273
2/1-8	5	3918-3923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_05_3918-3923m.jpg	459	9999-12-31	1274
2/1-8	6	3923-3924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_06_3923-3924m.jpg	459	9999-12-31	1275
2/1-8	7	3925-3930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_07_3925-3930m.jpg	459	9999-12-31	1276
2/1-8	8	3930-3935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_08_3930-3935m.jpg	459	9999-12-31	1277
2/1-8	9	3935-3940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_09_3935-3940m.jpg	459	9999-12-31	1278
2/1-8	10	3940-3945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_10_3940-3945m.jpg	459	9999-12-31	1279
2/1-8	11	3945-3950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_11_3945-3950m.jpg	459	9999-12-31	1280
2/1-8	12	3950-3953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_12_3950-3953m.jpg	459	9999-12-31	1281
2/1-8	13	3953-3958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_13_3953-3958m.jpg	459	9999-12-31	1282
2/1-8	14	3958-3963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_14_3958-3963m.jpg	459	9999-12-31	1283
2/1-8	15	3963-3968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_15_3963-3968m.jpg	459	9999-12-31	1284
2/1-8	16	3968-3973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_16_3968-3973m.jpg	459	9999-12-31	1285
2/1-8	17	3973-3978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_17_3973-3978m.jpg	459	9999-12-31	1286
2/1-8	18	3978-3981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/459_18_3978-3981m.jpg	459	9999-12-31	1287
2/1-9	1	4019-4024m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_01_4019-4024m.jpg	1667	9999-12-31	1288
2/1-9	2	4024-4029m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_02_4024-4029m.jpg	1667	9999-12-31	1289
2/1-9	3	4039-4034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_03_4039-4034m.jpg	1667	9999-12-31	1290
2/1-9	4	4034-4039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_04_4034-4039m.jpg	1667	9999-12-31	1291
2/1-9	5	4039-4044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_05_4039-4044m.jpg	1667	9999-12-31	1292
2/1-9	6	4044-4046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_06_4044-4046m.jpg	1667	9999-12-31	1293
2/1-9	7	4046-4051m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_07_4046-4051m.jpg	1667	9999-12-31	1294
2/1-9	8	4051-4056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_08_4051-4056m.jpg	1667	9999-12-31	1295
2/1-9	9	4056-4061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_09_4056-4061m.jpg	1667	9999-12-31	1296
2/1-9	10	4061-4066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_10_4061-4066m.jpg	1667	9999-12-31	1297
2/1-9	11	4066-4071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_11_4066-4071m.jpg	1667	9999-12-31	1298
2/1-9	12	4071-4074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_12_4071-4074m.jpg	1667	9999-12-31	1299
2/1-9	13	4074-4079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_13_4074-4079m.jpg	1667	9999-12-31	1300
2/1-9	14	4079-4084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_14_4079-4084m.jpg	1667	9999-12-31	1301
2/1-9	15	4084-4089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_15_4084-4089m.jpg	1667	9999-12-31	1302
2/1-9	16	4089-4094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_16_4089-4094m.jpg	1667	9999-12-31	1303
2/1-9	17	4094-4099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_17_4094-4099m.jpg	1667	9999-12-31	1304
2/1-9	18	4099-4102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_18_4099-4102m.jpg	1667	9999-12-31	1305
2/1-9	19	4102-4107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_19_4102-4107m.jpg	1667	9999-12-31	1306
2/1-9	20	4107-4112m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_20_4107-4112m.jpg	1667	9999-12-31	1307
2/1-9	21	4112-4117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_21_4112-4117m.jpg	1667	9999-12-31	1308
2/1-9	22	4117-4122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_22_4117-4122m.jpg	1667	9999-12-31	1309
2/1-9	23	4122-4124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_23_4122-4124m.jpg	1667	9999-12-31	1310
2/1-9	24	4125-4130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_24_4125-4130m.jpg	1667	9999-12-31	1311
2/1-9	25	4130-4135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_25_4130-4135m.jpg	1667	9999-12-31	1312
2/1-9	26	4135-4140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_26_4135-4140m.jpg	1667	9999-12-31	1313
2/1-9	27	4140-4145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_27_4140-4145m.jpg	1667	9999-12-31	1314
2/1-9	28	4145-4150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_28_4145-4150m.jpg	1667	9999-12-31	1315
2/1-9	29	4150-4152m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1667_29_4150-4152m.jpg	1667	9999-12-31	1316
2/1-9 A	1	4141-4146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_01_4141-4146m.jpg	1867	9999-12-31	1317
2/1-9 A	2	4146-4151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_02_4146-4151m.jpg	1867	9999-12-31	1318
2/1-9 A	3	4151-4156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_03_4151-4156m.jpg	1867	9999-12-31	1319
2/1-9 A	4	4156-4161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_04_4156-4161m.jpg	1867	9999-12-31	1320
2/1-9 A	5	4161-4166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_05_4161-4166m.jpg	1867	9999-12-31	1321
2/1-9 A	6	4166-4171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_06_4166-4171m.jpg	1867	9999-12-31	1322
2/1-9 A	7	4171-4176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_07_4171-4176m.jpg	1867	9999-12-31	1323
2/1-9 A	8	4176-4178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_08_4176-4178m.jpg	1867	9999-12-31	1324
2/1-9 A	9	4178-4183m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_09_4178-4183m.jpg	1867	9999-12-31	1325
2/1-9 A	10	4183-4188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_10_4183-4188m.jpg	1867	9999-12-31	1326
2/1-9 A	11	4188-4193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_11_4188-4193m.jpg	1867	9999-12-31	1327
2/1-9 A	12	4193-4198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_12_4193-4198m.jpg	1867	9999-12-31	1328
2/1-9 A	13	4198-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_13_4198-4203m.jpg	1867	9999-12-31	1329
2/1-9 A	14	4203-4208m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_14_4203-4208m.jpg	1867	9999-12-31	1330
2/1-9 A	15	4208-4213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_15_4208-4213m.jpg	1867	9999-12-31	1331
2/1-9 A	16	4213-4218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_16_4213-4218m.jpg	1867	9999-12-31	1332
2/1-9 A	17	4218-4223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_17_4218-4223m.jpg	1867	9999-12-31	1333
2/1-9 A	18	4223-4224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_18_4223-4224m.jpg	1867	9999-12-31	1334
2/1-9 A	19	4223-4228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_19_4223-4228m.jpg	1867	9999-12-31	1335
2/1-9 A	20	4228-4233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_20_4228-4233m.jpg	1867	9999-12-31	1336
2/1-9 A	21	4233-4238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_21_4233-4238m.jpg	1867	9999-12-31	1337
2/1-9 A	22	4238-4243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_22_4238-4243m.jpg	1867	9999-12-31	1338
2/1-9 A	23	4243-4248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_23_4243-4248m.jpg	1867	9999-12-31	1339
2/1-9 A	24	4248-4251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_24_4248-4251m.jpg	1867	9999-12-31	1340
2/1-9 A	25	4251-4256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_25_4251-4256m.jpg	1867	9999-12-31	1341
2/1-9 A	26	4256-4261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_26_4256-4261m.jpg	1867	9999-12-31	1342
2/1-9 A	27	4261-4266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_27_4261-4266m.jpg	1867	9999-12-31	1343
2/1-9 A	28	4266-4271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_28_4266-4271m.jpg	1867	9999-12-31	1344
2/1-9 A	29	4271-4276m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_29_4271-4276m.jpg	1867	9999-12-31	1345
2/1-9 A	30	4276-4279m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_30_4276-4279m.jpg	1867	9999-12-31	1346
2/1-9 A	31	4279-4284m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_31_4279-4284m.jpg	1867	9999-12-31	1347
2/1-9 A	32	4284-4289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_32_4284-4289m.jpg	1867	9999-12-31	1348
2/1-9 A	33	4289-4294m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_33_4289-4294m.jpg	1867	9999-12-31	1349
2/1-9 A	34	4294-4299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_34_4294-4299m.jpg	1867	9999-12-31	1350
2/1-9 A	35	4299-4304m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_35_4299-4304m.jpg	1867	9999-12-31	1351
2/1-9 A	36	4304-4307m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_36_4304-4307m.jpg	1867	9999-12-31	1352
2/1-9 A	37	4307-4312m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_37_4307-4312m.jpg	1867	9999-12-31	1353
2/1-9 A	38	4312-3217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_38_4312-3217m.jpg	1867	9999-12-31	1354
2/1-9 A	39	4317-4319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1867_39_4317-4319m.jpg	1867	9999-12-31	1355
2/1-A-30 A	1	5569-5574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2264_01_5569-5574m.jpg	2264	9999-12-31	1356
2/1-A-30 A	2	5574-5579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2264_02_5574-5579m.jpg	2264	9999-12-31	1357
2/1-A-30 A	3	5579-5584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2264_03_5579-5584m.jpg	2264	9999-12-31	1358
2/1-A-30 A	4	5584-5585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2264_04_5584-5585m.jpg	2264	9999-12-31	1359
2/1-A-30 A	5	5585-5590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2264_05_5585-5590m.jpg	2264	9999-12-31	1360
2/1-A-30 A	6	5590-5590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2264_06_5590-5590m.jpg	2264	9999-12-31	1361
2/1-A-30 A	7	5635-5639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2264_07_5635-5639m.jpg	2264	9999-12-31	1362
2/1-A-30 A	8	5639-5644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2264_08_5639-5644m.jpg	2264	9999-12-31	1363
2/1-A-30 A	9	5644-5647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2264_09_5644-5647m.jpg	2264	9999-12-31	1364
2/1-U-2	1	4537-4542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1094_1_4537-4542m.jpg	1094	9999-12-31	1365
2/1-U-2	2	4542-4547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1094_2_4542-4547m.jpg	1094	9999-12-31	1366
2/1-U-2	3	4547-4552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1094_3_4547-4552m.jpg	1094	9999-12-31	1367
2/1-U-2	4	4552-4554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1094_4_4552-4554m.jpg	1094	9999-12-31	1368
2/1-U-2	5	4556-4560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1094_5_4556-4560m.jpg	1094	9999-12-31	1369
2/1-U-2	6	4560-4565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1094_6_4560-4565m.jpg	1094	9999-12-31	1370
2/1-U-2	7	4565-4570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1094_7_4565-4570m.jpg	1094	9999-12-31	1371
2/1-U-2	8	4570-4574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1094_8_4570-4574m.jpg	1094	9999-12-31	1372
2/2-1	1	3356-3360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/46_01_3356-3360m.jpg	46	9999-12-31	1373
2/2-1	2	3361-3365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/46_02_3361-3365m.jpg	46	9999-12-31	1374
2/2-1	3	3713-3714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/46_03_3713-3714m.jpg	46	9999-12-31	1375
2/2-1	4	3715-3719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/46_04_3715-3719m.jpg	46	9999-12-31	1376
2/2-1	5	3720-3724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/46_05_3720-3724m.jpg	46	9999-12-31	1377
2/2-1	6	3725-3726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/46_06_3725-3726m.jpg	46	9999-12-31	1378
2/2-1	7	3727-3731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/46_07_3727-3731m.jpg	46	9999-12-31	1379
2/2-1	8	3732-3736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/46_08_3732-3736m.jpg	46	9999-12-31	1380
2/2-1	9	3736-3737m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/46_09_3736-3737m.jpg	46	9999-12-31	1381
2/2-2	1	1980-1982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/80_01_1980-1982m.jpg	80	9999-12-31	1382
2/2-2	2	1983-1986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/80_02_1983-1986m.jpg	80	9999-12-31	1383
2/2-2	3	1987-1990m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/80_03_1987-1990m.jpg	80	9999-12-31	1384
2/2-2	4	1991-1993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/80_04_1991-1993m.jpg	80	9999-12-31	1385
2/2-2	5	1994-1994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/80_05_1994-1994m.jpg	80	9999-12-31	1386
2/2-2	6	2940-2943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/80_06_2940-2943m.jpg	80	9999-12-31	1387
2/2-2	7	2944-2946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/80_07_2944-2946m.jpg	80	9999-12-31	1388
2/2-2	8	2946-2947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/80_08_2946-2947m.jpg	80	9999-12-31	1389
2/2-3	1	3887-3894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3_01_3887-3894m.jpg	3	9999-12-31	1390
2/2-3	2	3894-3901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3_02_3894-3901m.jpg	3	9999-12-31	1391
2/2-3	3	3901-3905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3_03_3901-3905m.jpg	3	9999-12-31	1392
2/2-5	1	3592-3597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1846_1_3592-3597m.jpg	1846	9999-12-31	1393
2/2-5	2	3597-3602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1846_02_3597-3602m.jpg	1846	9999-12-31	1394
2/2-5	3	3602-3607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1846_03_3602-3607m.jpg	1846	9999-12-31	1395
2/2-5	4	3607-3609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1846_04_3607-3609m.jpg	1846	9999-12-31	1396
2/2-5	5	3678-3683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1846_05_3678-3683m.jpg	1846	9999-12-31	1397
2/2-5	6	3683-3688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1846_06_3683-3688m.jpg	1846	9999-12-31	1398
2/2-5	7	3688-3693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1846_07_3688-3693m.jpg	1846	9999-12-31	1399
2/2-5	8	3693-3698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1846_08_3693-3698m.jpg	1846	9999-12-31	1400
2/2-5	9	3698-3703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1846_09_3698-3703m.jpg	1846	9999-12-31	1401
2/2-5	10	3703-3706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1846_10_3703-3706m.jpg	1846	9999-12-31	1402
2/3-4	1	3125-3128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/129_01_3125-3128m.jpg	129	9999-12-31	1403
2/3-4	2	3129-3132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/129_02_3129-3132m.jpg	129	9999-12-31	1404
2/3-4	3	3133-3136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/129_03_3133-3136m.jpg	129	9999-12-31	1405
2/3-4	4	3137-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/129_04_3137-3140m.jpg	129	9999-12-31	1406
2/3-4	5	3141-3143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/129_05_3141-3143m.jpg	129	9999-12-31	1407
2/4-17	1	14235-14250ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1792_01_14235-14250ft.jpg	1792	9999-12-31	1408
2/4-17	2	14250-14265ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1792_02_14250-14265ft.jpg	1792	9999-12-31	1409
2/4-17	3	14265-14280ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1792_03_14265-14280ft.jpg	1792	9999-12-31	1410
2/4-17	4	14280-14293ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1792_04_14280-14293ft.jpg	1792	9999-12-31	1411
2/4-A-21	1	15055-15070ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_01_15055-15070ft.jpg	1565	9999-12-31	1412
2/4-A-21	2	15070-15085ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_02_15070-15085ft.jpg	1565	9999-12-31	1413
2/4-A-21	3	15085-15087ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_03_15085-15087ft.jpg	1565	9999-12-31	1414
2/4-A-21	4	15091-15100ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_04_15091-15100ft.jpg	1565	9999-12-31	1415
2/4-A-21	5	15100-15108ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_05_15100-15108ft.jpg	1565	9999-12-31	1416
2/4-A-21	6	15108-15113ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_06_15108-15113ft.jpg	1565	9999-12-31	1417
2/4-A-21	7	15116-15119ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_07_15116-15119ft.jpg	1565	9999-12-31	1418
2/4-A-21	8	15177-15179ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_08_15177-15179ft.jpg	1565	9999-12-31	1419
2/4-A-21	9	15186-15187ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_09_15186-15187ft.jpg	1565	9999-12-31	1420
2/4-A-21	10	15224-15231ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_10_15224-15231ft.jpg	1565	9999-12-31	1421
2/4-A-21	11	15254-15269ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_11_15254-15269ft.jpg	1565	9999-12-31	1422
2/4-A-21	12	15269-15275ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_12_15269-15275ft.jpg	1565	9999-12-31	1423
2/4-A-21	13	15278-15293ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_13_15278-15293ft.jpg	1565	9999-12-31	1424
2/4-A-21	14	15293-15307ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_14_15293-15307ft.jpg	1565	9999-12-31	1425
2/4-A-21	15	15308-15320ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_15_15308-15320ft.jpg	1565	9999-12-31	1426
2/4-A-21	16	15385-15394ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1565_16_15385-15394ft.jpg	1565	9999-12-31	1427
2/4-D-1 A	1	11417-11422ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_01_11417-11422ft.jpg	2027	9999-12-31	1428
2/4-D-1 A	2	11431-11433ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_02_11431-11433ft.jpg	2027	9999-12-31	1429
2/4-D-1 A	3	11433-11448ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_03_11433-11448ft.jpg	2027	9999-12-31	1430
2/4-D-1 A	4	11448-11454ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_04_11448-11454ft.jpg	2027	9999-12-31	1431
2/4-D-1 A	5	11594-11599ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_05_11594-11599ft.jpg	2027	9999-12-31	1432
2/4-D-1 A	6	11634-11644ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_06_11634-11644ft.jpg	2027	9999-12-31	1433
2/4-D-1 A	7	11819-11834ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_07_11819-11834ft.jpg	2027	9999-12-31	1434
2/4-D-1 A	8	11834-11849ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_08_11834-11849ft.jpg	2027	9999-12-31	1435
2/4-D-1 A	9	12133-12148ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_09_12133-12148ft.jpg	2027	9999-12-31	1436
2/4-D-1 A	10	12148-12153ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_10_12148-12153ft.jpg	2027	9999-12-31	1437
2/4-D-1 A	11	12160-12174ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_11_12160-12174ft.jpg	2027	9999-12-31	1438
2/4-D-1 A	12	12174-12189ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_12_12174-12189ft.jpg	2027	9999-12-31	1439
2/4-D-1 A	13	12189-12203ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_13_12189-12203ft.jpg	2027	9999-12-31	1440
2/4-D-1 A	14	12203-12205ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2027_14_12203-12205ft.jpg	2027	9999-12-31	1441
2/4-D-15 A	1	10618-10633ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_01_10618-10633ft.jpg	2126	9999-12-31	1442
2/4-D-15 A	2	10633-10648ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_02_10633-10648ft.jpg	2126	9999-12-31	1443
2/4-D-15 A	3	10648-10663ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_03_10648-10663ft.jpg	2126	9999-12-31	1444
2/4-D-15 A	4	10663-10664ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_04_10663-10664ft.jpg	2126	9999-12-31	1445
2/4-D-15 A	5	10664-10679ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_05_10664-10679ft.jpg	2126	9999-12-31	1446
2/4-D-15 A	6	10679-10688ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_06_10679-10688ft.jpg	2126	9999-12-31	1447
2/4-D-15 A	7	10689-10704ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_07_10689-10704ft.jpg	2126	9999-12-31	1448
2/4-D-15 A	8	10704-10719ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_08_10704-10719ft.jpg	2126	9999-12-31	1449
2/4-D-15 A	9	10719-10722ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_09_10719-10722ft.jpg	2126	9999-12-31	1450
2/4-D-15 A	10	10726-10741ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_10_10726-10741ft.jpg	2126	9999-12-31	1451
2/4-D-15 A	11	10741-10756ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_11_10741-10756ft.jpg	2126	9999-12-31	1452
2/4-D-15 A	12	10756-10760ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_12_10756-10760ft.jpg	2126	9999-12-31	1453
2/4-D-15 A	13	10776-10791ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_13_10776-10791ft.jpg	2126	9999-12-31	1454
2/4-D-15 A	14	10791-10794ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_14_10791-10794ft.jpg	2126	9999-12-31	1455
2/4-D-15 A	15	10802-10812ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2126_15_10802-10812ft.jpg	2126	9999-12-31	1456
2/4-X-12	1	1545-1550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_01_1545-1550m.jpg	3364	9999-12-31	1457
2/4-X-12	2	1550-1550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_02_1550-1550m.jpg	3364	9999-12-31	1458
2/4-X-12	3	1550-1555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_03_1550-1555m.jpg	3364	9999-12-31	1459
2/4-X-12	4	1555-1560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_04_1555-1560m.jpg	3364	9999-12-31	1460
2/4-X-12	5	1560-1565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_05_1560-1565m.jpg	3364	9999-12-31	1461
2/4-X-12	6	1565-1569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_06_1565-1569m.jpg	3364	9999-12-31	1462
2/4-X-12	7	1569-1574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_07_1569-1574m.jpg	3364	9999-12-31	1463
2/4-X-12	8	1574-1579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_08_1574-1579m.jpg	3364	9999-12-31	1464
2/4-X-12	9	1579-1584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_09_1579-1584m.jpg	3364	9999-12-31	1465
2/4-X-12	10	1584-1587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_10_1584-1587m.jpg	3364	9999-12-31	1466
2/4-X-12	11	1587-1592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_11_1587-1592m.jpg	3364	9999-12-31	1467
2/4-X-12	12	1592-1597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_12_1592-1597m.jpg	3364	9999-12-31	1468
2/4-X-12	13	1597-1602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_13_1597-1602m.jpg	3364	9999-12-31	1469
2/4-X-12	14	1602-1605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_14_1602-1605m.jpg	3364	9999-12-31	1470
2/4-X-12	15	1605-1610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_15_1605-1610m.jpg	3364	9999-12-31	1471
2/4-X-12	16	1615-1620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_16_1615-1620m.jpg	3364	9999-12-31	1472
2/4-X-12	17	1624-1629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_17_1624-1629m.jpg	3364	9999-12-31	1473
2/4-X-12	18	1629-1634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_18_1629-1634m.jpg	3364	9999-12-31	1474
2/4-X-12	19	1634-1639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_19_1634-1639m.jpg	3364	9999-12-31	1475
2/4-X-12	20	1639-1640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_20_1639-1640m.jpg	3364	9999-12-31	1476
2/4-X-12	21	1640-1645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_21_1640-1645m.jpg	3364	9999-12-31	1477
2/4-X-12	22	1645-1646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_22_1645-1646m.jpg	3364	9999-12-31	1478
2/4-X-12	23	1646-1651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_23_1646-1651m.jpg	3364	9999-12-31	1479
2/4-X-12	24	1651-1651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_24_1651-1651m.jpg	3364	9999-12-31	1480
2/4-X-12	25	1653-1658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_25_1653-1658m.jpg	3364	9999-12-31	1481
2/4-X-12	26	1658-1663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_26_1658-1663m.jpg	3364	9999-12-31	1482
2/4-X-12	27	1663-1668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_27_1663-1668m.jpg	3364	9999-12-31	1483
2/4-X-12	28	1671-1676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_28_1671-1676m.jpg	3364	9999-12-31	1484
2/4-X-12	29	1676-1681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_29_1676-1681m.jpg	3364	9999-12-31	1485
2/4-X-12	30	1681-1684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3364_30_1681-1684m.jpg	3364	9999-12-31	1486
2/4-X-32	1	10571-10586ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_01_10571-10586ft.jpg	4254	9999-12-31	1487
2/4-X-32	2	10586-10601ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_02_10586-10601ft.jpg	4254	9999-12-31	1488
2/4-X-32	3	10601-10616ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_03_10601-10616ft.jpg	4254	9999-12-31	1489
2/4-X-32	4	10616-10631ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_04_10616-10631ft.jpg	4254	9999-12-31	1490
2/4-X-32	5	10631-10646ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_05_10631-10646ft.jpg	4254	9999-12-31	1491
2/4-X-32	6	10646-10661ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_06_10646-10661ft.jpg	4254	9999-12-31	1492
2/4-X-32	7	10661-10662ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_07_10661-10662ft.jpg	4254	9999-12-31	1493
2/4-X-32	8	10662-10676ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_08_10662-10676ft.jpg	4254	9999-12-31	1494
2/4-X-32	9	10676-10691ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_09_10676-10691ft.jpg	4254	9999-12-31	1495
2/4-X-32	10	10691-10706ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_10_10691-10706ft.jpg	4254	9999-12-31	1496
2/4-X-32	11	10706-10721ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_11_10706-10721ft.jpg	4254	9999-12-31	1497
2/4-X-32	12	10721-10736ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_12_10721-10736ft.jpg	4254	9999-12-31	1498
2/4-X-32	13	10736-10751ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_13_10736-10751ft.jpg	4254	9999-12-31	1499
2/4-X-32	14	10751-10754ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4254_14_10751-10754ft.jpg	4254	9999-12-31	1500
2/4-X-47	1	15736-15751	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3157_01_15736-15751.jpg	3157	9999-12-31	1501
2/4-X-47	2	15751-15766	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3157_02_15751-15766.jpg	3157	9999-12-31	1502
2/4-X-47	3	15766-15781	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3157_03_15766-15781.jpg	3157	9999-12-31	1503
2/4-X-47	4	15781-15796	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3157_04_15781-15796.jpg	3157	9999-12-31	1504
2/4-X-47	5	15796-15811	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3157_05_15796-15811.jpg	3157	9999-12-31	1505
2/4-X-47	6	15811-15826	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3157_06_15811-15826.jpg	3157	9999-12-31	1506
2/4-X-47	8	15826-15837	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3157_08_15826-15837.jpg	3157	9999-12-31	1507
2/4-X-47	9	15837-15852	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3157_09_15837-15852.jpg	3157	9999-12-31	1508
2/4-X-47	10	15852-15865	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3157_10_15852-15865.jpg	3157	9999-12-31	1509
2/5-10	1	4575-4580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2044_01_4575-4580m.jpg	2044	9999-12-31	1510
2/5-10	2	4580-4584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2044_02_4580-4584m.jpg	2044	9999-12-31	1511
2/5-10	3	4584-4589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2044_03_4584-4589m.jpg	2044	9999-12-31	1512
2/5-10	4	4589-4591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2044_04_4589-4591m.jpg	2044	9999-12-31	1513
2/5-10 A	1	4612-4617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2194_01_4612-4617m.jpg	2194	9999-12-31	1514
2/5-10 A	2	4612-4620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2194_02_4612-4620m.jpg	2194	9999-12-31	1515
2/5-10 A	3	4621-4626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2194_03_4621-4626m.jpg	2194	9999-12-31	1516
2/5-10 A	4	4626-4631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2194_04_4626-4631m.jpg	2194	9999-12-31	1517
2/5-10 A	5	4631-4631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2194_05_4631-4631m.jpg	2194	9999-12-31	1518
2/5-10 A	6	4631-4636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2194_06_4631-4636m.jpg	2194	9999-12-31	1519
2/5-11	1	3312-3317m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_01_3312-3317m.jpg	3084	9999-12-31	1520
2/5-11	2	3317-3322m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_02_3317-3322m.jpg	3084	9999-12-31	1521
2/5-11	3	3322-3327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_03_3322-3327m.jpg	3084	9999-12-31	1522
2/5-11	4	3327-3330m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_04_3327-3330m.jpg	3084	9999-12-31	1523
2/5-11	5	3330-3335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_05_3330-3335m.jpg	3084	9999-12-31	1524
2/5-11	6	3335-3340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_06_3335-3340m.jpg	3084	9999-12-31	1525
2/5-11	7	3340-3345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_07_3340-3345m.jpg	3084	9999-12-31	1526
2/5-11	8	3345-3350m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_08_3345-3350m.jpg	3084	9999-12-31	1527
2/5-11	9	3350-3355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_09_3350-3355m.jpg	3084	9999-12-31	1528
2/5-11	10	3355-3360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_10_3355-3360m.jpg	3084	9999-12-31	1529
2/5-11	11	3360-3365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_11_3360-3365m.jpg	3084	9999-12-31	1530
2/5-11	12	3365-3366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_12_3365-3366m.jpg	3084	9999-12-31	1531
2/5-11	13	3393-3398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_13_3393-3398m.jpg	3084	9999-12-31	1532
2/5-11	14	3398-3403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_14_3398-3403m.jpg	3084	9999-12-31	1533
2/5-11	15	3403-3408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_15_3403-3408m.jpg	3084	9999-12-31	1534
2/5-11	16	3408-3413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_16_3408-3413m.jpg	3084	9999-12-31	1535
2/5-11	17	3413-3418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_17_3413-3418m.jpg	3084	9999-12-31	1536
2/5-11	18	3419-3424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_18_3419-3424m.jpg	3084	9999-12-31	1537
2/5-11	19	3424-3429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_19_3424-3429m.jpg	3084	9999-12-31	1538
2/5-11	20	3429-3434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_20_3429-3434m.jpg	3084	9999-12-31	1539
2/5-11	21	3434-3439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_21_3434-3439m.jpg	3084	9999-12-31	1540
2/5-11	22	3439-3444m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_22_3439-3444m.jpg	3084	9999-12-31	1541
2/5-11	23	3444-3449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_23_3444-3449m.jpg	3084	9999-12-31	1542
2/5-11	24	3449-3454m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_24_3449-3454m.jpg	3084	9999-12-31	1543
2/5-11	25	3454-3459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_25_3454-3459m.jpg	3084	9999-12-31	1544
2/5-11	26	3459-3464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_26_3459-3464m.jpg	3084	9999-12-31	1545
2/5-11	27	3464-3465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3084_27_3464-3465m.jpg	3084	9999-12-31	1546
2/5-2	1	10235-10253ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_01_10235-10253ft.jpg	188	9999-12-31	1547
2/5-2	2	10253-10271ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_02_10253-10271ft.jpg	188	9999-12-31	1548
2/5-2	3	10271-10289ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_03_10271-10289ft.jpg	188	9999-12-31	1549
2/5-2	4	10289-10307ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_04_10289-10307ft.jpg	188	9999-12-31	1550
2/5-2	5	10307-10321ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_05_10307-10321ft.jpg	188	9999-12-31	1551
2/5-2	6	10321-10415ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_06_10321-10415ft.jpg	188	9999-12-31	1552
2/5-2	7	10415-10423ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_07_10415-10423ft.jpg	188	9999-12-31	1553
2/5-2	8	10415-10432ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_08_10415-10432ft.jpg	188	9999-12-31	1554
2/5-2	9	10249-10458ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_09_10249-10458ft.jpg	188	9999-12-31	1555
2/5-2	10	10432-10449ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_10_10432-10449ft.jpg	188	9999-12-31	1556
2/5-2	11	10614-10630ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_11_10614-10630ft.jpg	188	9999-12-31	1557
2/5-2	12	10630-10647ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_12_10630-10647ft.jpg	188	9999-12-31	1558
2/5-2	13	10647-10664ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_13_10647-10664ft.jpg	188	9999-12-31	1559
2/5-2	14	10664-10850ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_14_10664-10850ft.jpg	188	9999-12-31	1560
2/5-2	15	10850-10865ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/188_15_10850-10865ft.jpg	188	9999-12-31	1561
2/5-3	1	10015-10032ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_01_10015-10032ft.jpg	258	9999-12-31	1562
2/5-3	2	10015-10032ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_02_10015-10032ft.jpg	258	9999-12-31	1563
2/5-3	3	10032-10049ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_03_10032-10049ft.jpg	258	9999-12-31	1564
2/5-3	4	10049-10064ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_04_10049-10064ft.jpg	258	9999-12-31	1565
2/5-3	5	10064-10081ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_05_10064-10081ft.jpg	258	9999-12-31	1566
2/5-3	6	10081-10097ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_06_10081-10097ft.jpg	258	9999-12-31	1567
2/5-3	7	10097-10112ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_07_10097-10112ft.jpg	258	9999-12-31	1568
2/5-3	8	10112-10127ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_08_10112-10127ft.jpg	258	9999-12-31	1569
2/5-3	9	10127-10142ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_09_10127-10142ft.jpg	258	9999-12-31	1570
2/5-3	10	10142-10145ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_10_10142-10145ft.jpg	258	9999-12-31	1571
2/5-3	11	10145-10161ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_11_10145-10161ft.jpg	258	9999-12-31	1572
2/5-3	12	10161-10208ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_12_10161-10208ft.jpg	258	9999-12-31	1573
2/5-3	13	10208-10226ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_13_10208-10226ft.jpg	258	9999-12-31	1574
2/5-3	14	10226-10246ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_14_10226-10246ft.jpg	258	9999-12-31	1575
2/5-3	15	10246-10260ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_15_10246-10260ft.jpg	258	9999-12-31	1576
2/5-3	16	10260-10279ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_16_10260-10279ft.jpg	258	9999-12-31	1577
2/5-3	17	10279-10297ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_17_10279-10297ft.jpg	258	9999-12-31	1578
2/5-3	18	10297-10314ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_18_10297-10314ft.jpg	258	9999-12-31	1579
2/5-3	19	10314-10330ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_19_10314-10330ft.jpg	258	9999-12-31	1580
2/5-3	20	10330-10350ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_20_10330-10350ft.jpg	258	9999-12-31	1581
2/5-3	21	10350-10364ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_21_10350-10364ft.jpg	258	9999-12-31	1582
2/5-3	22	10364-10379ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_22_10364-10379ft.jpg	258	9999-12-31	1583
2/5-3	23	10379-10395ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_23_10379-10395ft.jpg	258	9999-12-31	1584
2/5-3	24	10395-10412ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_24_10395-10412ft.jpg	258	9999-12-31	1585
2/5-3	25	10412-10427ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_25_10412-10427ft.jpg	258	9999-12-31	1586
2/5-3	26	10427-10443ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_26_10427-10443ft.jpg	258	9999-12-31	1587
2/5-3	27	10443-10458ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_27_10443-10458ft.jpg	258	9999-12-31	1588
2/5-3	28	10458-10483ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_28_10458-10483ft.jpg	258	9999-12-31	1589
2/5-3	29	10483-10510ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_29_10483-10510ft.jpg	258	9999-12-31	1590
2/5-3	30	10510-10527ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_30_10510-10527ft.jpg	258	9999-12-31	1591
2/5-3	31	10527-10542ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_31_10527-10542ft.jpg	258	9999-12-31	1592
2/5-3	32	10542-10549ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/258_32_10542-10549ft.jpg	258	9999-12-31	1593
2/5-7	1	3303-3308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/25_01_3303-3308m.jpg	25	9999-12-31	1594
2/5-7	2	3312-3318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/25_02_3312-3318m.jpg	25	9999-12-31	1595
2/5-7	3	3318-3321m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/25_03_3318-3321m.jpg	25	9999-12-31	1596
2/5-7	4	3326-3332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/25_04_3326-3332m.jpg	25	9999-12-31	1597
2/5-7	5	3332-3335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/25_05_3332-3335m.jpg	25	9999-12-31	1598
2/5-7	6	3339-3345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/25_06_3339-3345m.jpg	25	9999-12-31	1599
2/5-7	7	3345-3348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/25_07_3345-3348m.jpg	25	9999-12-31	1600
2/5-8	1	3115-3120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_01_3115-3120m.jpg	1308	9999-12-31	1601
2/5-8	2	3120-3125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_02_3120-3125m.jpg	1308	9999-12-31	1602
2/5-8	3	3125-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_03_3125-3130m.jpg	1308	9999-12-31	1603
2/5-8	4	3130-3135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_04_3130-3135m.jpg	1308	9999-12-31	1604
2/5-8	5	3135-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_05_3135-3140m.jpg	1308	9999-12-31	1605
2/5-8	6	3140-3142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_06_3140-3142m.jpg	1308	9999-12-31	1606
2/5-8	7	3207-3212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_07_3207-3212m.jpg	1308	9999-12-31	1607
2/5-8	8	3212-3217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_08_3212-3217m.jpg	1308	9999-12-31	1608
2/5-8	9	3217-3222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_09_3217-3222m.jpg	1308	9999-12-31	1609
2/5-8	10	3222-3227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_10_3222-3227m.jpg	1308	9999-12-31	1610
2/5-8	11	3227-3232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_11_3227-3232m.jpg	1308	9999-12-31	1611
2/5-8	12	3232-3234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_12_3232-3234m.jpg	1308	9999-12-31	1612
2/5-8	13	3235-3240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_13_3235-3240m.jpg	1308	9999-12-31	1613
2/5-8	14	3240-3245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_14_3240-3245m.jpg	1308	9999-12-31	1614
2/5-8	15	3245-3249m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_15_3245-3249m.jpg	1308	9999-12-31	1615
2/5-8	16	3249-3254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_16_3249-3254m.jpg	1308	9999-12-31	1616
2/5-8	17	3254-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_17_3254-3259m.jpg	1308	9999-12-31	1617
2/5-8	18	3259-3263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_18_3259-3263m.jpg	1308	9999-12-31	1618
2/5-8	19	3263-3268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_19_3263-3268m.jpg	1308	9999-12-31	1619
2/5-8	20	3268-3273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_20_3268-3273m.jpg	1308	9999-12-31	1620
2/5-8	21	3273-3278m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_21_3273-3278m.jpg	1308	9999-12-31	1621
2/5-8	22	3278-3283m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_22_3278-3283m.jpg	1308	9999-12-31	1622
2/5-8	23	3283-3288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_23_3283-3288m.jpg	1308	9999-12-31	1623
2/5-8	24	3288-3291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1308_24_3288-3291m.jpg	1308	9999-12-31	1624
2/6-1	1	3223-3227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/160_01_3223-3227m.jpg	160	9999-12-31	1625
2/6-1	2	3227-3231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/160_02_3227-3231m.jpg	160	9999-12-31	1626
2/6-1	3	3231-3233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/160_03_3231-3233m.jpg	160	9999-12-31	1627
2/6-2	1	3877-3880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/224_01_3877-3880m.jpg	224	9999-12-31	1628
2/6-2	2	3880-3883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/224_02_3880-3883m.jpg	224	9999-12-31	1629
2/6-2	3	3883-3886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/224_03_3883-3886m.jpg	224	9999-12-31	1630
2/6-2	4	4220-4223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/224_04_4220-4223m.jpg	224	9999-12-31	1631
2/6-2	5	4223-4226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/224_05_4223-4226m.jpg	224	9999-12-31	1632
2/6-2	6	4226-4228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/224_06_4226-4228m.jpg	224	9999-12-31	1633
2/6-2	7	4230-4232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/224_07_4230-4232m.jpg	224	9999-12-31	1634
2/6-2	8	4232-4235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/224_08_4232-4235m.jpg	224	9999-12-31	1635
2/6-5	1	2852-2854m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_01_2852-2854m.jpg	2885	9999-12-31	1636
2/6-5	2	2904-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_02_2904-2909m.jpg	2885	9999-12-31	1637
2/6-5	3	2909-2914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_03_2909-2914m.jpg	2885	9999-12-31	1638
2/6-5	4	2914-2917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_04_2914-2917m.jpg	2885	9999-12-31	1639
2/6-5	5	2929-2934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_05_2929-2934m.jpg	2885	9999-12-31	1640
2/6-5	6	2934-2935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_06_2934-2935m.jpg	2885	9999-12-31	1641
2/6-5	7	2935-2940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_07_2935-2940m.jpg	2885	9999-12-31	1642
2/6-5	8	2940-2945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_08_2940-2945m.jpg	2885	9999-12-31	1643
2/6-5	9	2945-2950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_09_2945-2950m.jpg	2885	9999-12-31	1644
2/6-5	10	2950-2953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_10_2950-2953m.jpg	2885	9999-12-31	1645
2/6-5	11	2953-2956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_11_2953-2956m.jpg	2885	9999-12-31	1646
2/6-5	12	2957-2958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_12_2957-2958m.jpg	2885	9999-12-31	1647
2/6-5	13	2977-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_13_2977-2980m.jpg	2885	9999-12-31	1648
2/6-5	14	3252-3254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2885_14_3252-3254m.jpg	2885	9999-12-31	1649
2/7-20	1	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_01_10075-10105ft.jpg	1062	9999-12-31	1650
2/7-20	2	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_02_10075-10105ft.jpg	1062	9999-12-31	1651
2/7-20	3	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_03_10075-10105ft.jpg	1062	9999-12-31	1652
2/7-20	4	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_04_10075-10105ft.jpg	1062	9999-12-31	1653
2/7-20	5	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_05_10075-10105ft.jpg	1062	9999-12-31	1654
2/7-20	6	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_06_10075-10105ft.jpg	1062	9999-12-31	1655
2/7-20	7	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_07_10075-10105ft.jpg	1062	9999-12-31	1656
2/7-20	8	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_08_10075-10105ft.jpg	1062	9999-12-31	1657
2/7-20	9	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_09_10075-10105ft.jpg	1062	9999-12-31	1658
2/7-20	10	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_10_10075-10105ft.jpg	1062	9999-12-31	1659
2/7-20	11	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_11_10075-10105ft.jpg	1062	9999-12-31	1660
2/7-20	12	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_12_10075-10105ft.jpg	1062	9999-12-31	1661
2/7-20	13	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_13_10075-10105ft.jpg	1062	9999-12-31	1662
2/7-20	14	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_14_10075-10105ft.jpg	1062	9999-12-31	1663
2/7-20	15	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_15_10075-10105ft.jpg	1062	9999-12-31	1664
2/7-20	16	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_16_10075-10105ft.jpg	1062	9999-12-31	1665
2/7-20	17	10075-10105ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_17_10075-10105ft.jpg	1062	9999-12-31	1666
2/7-20	18	14421-14437ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_18_14421-14437ft.jpg	1062	9999-12-31	1667
2/7-20	19	14421-14437ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_19_14421-14437ft.jpg	1062	9999-12-31	1668
2/7-20	20	14421-14437ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_20_14421-14437ft.jpg	1062	9999-12-31	1669
2/7-20	21	14421-14437ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_21_14421-14437ft.jpg	1062	9999-12-31	1670
2/7-20	22	14421-14437ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_22_14421-14437ft.jpg	1062	9999-12-31	1671
2/7-20	23	14421-14437ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_23_14421-14437ft.jpg	1062	9999-12-31	1672
2/7-20	24	14421-14437ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_24_14421-14437ft.jpg	1062	9999-12-31	1673
2/7-20	25	14421-14437ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_25_14421-14437ft.jpg	1062	9999-12-31	1674
2/7-20	26	14421-14437ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_26_14421-14437ft.jpg	1062	9999-12-31	1675
2/7-20	27	14421-14437ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_27_14421-14437ft.jpg	1062	9999-12-31	1676
2/7-20	28	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_28_14437-14469ft.jpg	1062	9999-12-31	1677
2/7-20	29	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_29_14437-14469ft.jpg	1062	9999-12-31	1678
2/7-20	30	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_30_14437-14469ft.jpg	1062	9999-12-31	1679
2/7-20	31	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_31_14437-14469ft.jpg	1062	9999-12-31	1680
2/7-20	32	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_32_14437-14469ft.jpg	1062	9999-12-31	1681
2/7-20	33	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_33_14437-14469ft.jpg	1062	9999-12-31	1682
2/7-20	34	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_34_14437-14469ft.jpg	1062	9999-12-31	1683
2/7-20	35	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_35_14437-14469ft.jpg	1062	9999-12-31	1684
2/7-20	36	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_36_14437-14469ft.jpg	1062	9999-12-31	1685
2/7-20	37	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_37_14437-14469ft.jpg	1062	9999-12-31	1686
2/7-20	38	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_38_14437-14469ft.jpg	1062	9999-12-31	1687
2/7-20	39	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_39_14437-14469ft.jpg	1062	9999-12-31	1688
2/7-20	40	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_40_14437-14469ft.jpg	1062	9999-12-31	1689
2/7-20	41	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_41_14437-14469ft.jpg	1062	9999-12-31	1690
2/7-20	42	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_42_14437-14469ft.jpg	1062	9999-12-31	1691
2/7-20	43	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_43_14437-14469ft.jpg	1062	9999-12-31	1692
2/7-20	44	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_44_14437-14469ft.jpg	1062	9999-12-31	1693
2/7-20	45	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_45_14437-14469ft.jpg	1062	9999-12-31	1694
2/7-20	46	14437-14469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_46_14437-14469ft.jpg	1062	9999-12-31	1695
2/7-20	47	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_47_14735-14792ft.jpg	1062	9999-12-31	1696
2/7-20	48	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_48_14735-14792ft.jpg	1062	9999-12-31	1697
2/7-20	49	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_49_14735-14792ft.jpg	1062	9999-12-31	1698
2/7-20	50	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_50_14735-14792ft.jpg	1062	9999-12-31	1699
2/7-20	51	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_51_14735-14792ft.jpg	1062	9999-12-31	1700
2/7-20	52	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_52_14735-14792ft.jpg	1062	9999-12-31	1701
2/7-20	53	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_53_14735-14792ft.jpg	1062	9999-12-31	1702
2/7-20	54	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_54_14735-14792ft.jpg	1062	9999-12-31	1703
2/7-20	55	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_55_14735-14792ft.jpg	1062	9999-12-31	1704
2/7-20	56	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_56_14735-14792ft.jpg	1062	9999-12-31	1705
2/7-20	57	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_57_14735-14792ft.jpg	1062	9999-12-31	1706
2/7-20	58	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_58_14735-14792ft.jpg	1062	9999-12-31	1707
2/7-20	59	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_59_14735-14792ft.jpg	1062	9999-12-31	1708
2/7-20	60	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_60_14735-14792ft.jpg	1062	9999-12-31	1709
2/7-20	61	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_61_14735-14792ft.jpg	1062	9999-12-31	1710
2/7-20	62	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_62_14735-14792ft.jpg	1062	9999-12-31	1711
2/7-20	63	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_63_14735-14792ft.jpg	1062	9999-12-31	1712
2/7-20	64	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_64_14735-14792ft.jpg	1062	9999-12-31	1713
2/7-20	65	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_65_14735-14792ft.jpg	1062	9999-12-31	1714
2/7-20	66	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_66_14735-14792ft.jpg	1062	9999-12-31	1715
2/7-20	67	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_67_14735-14792ft.jpg	1062	9999-12-31	1716
2/7-20	68	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_68_14735-14792ft.jpg	1062	9999-12-31	1717
2/7-20	69	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_69_14735-14792ft.jpg	1062	9999-12-31	1718
2/7-20	70	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_70_14735-14792ft.jpg	1062	9999-12-31	1719
2/7-20	71	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_71_14735-14792ft.jpg	1062	9999-12-31	1720
2/7-20	72	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_72_14735-14792ft.jpg	1062	9999-12-31	1721
2/7-20	73	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_73_14735-14792ft.jpg	1062	9999-12-31	1722
2/7-20	74	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_74_14735-14792ft.jpg	1062	9999-12-31	1723
2/7-20	75	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_75_14735-14792ft.jpg	1062	9999-12-31	1724
2/7-20	76	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_76_14735-14792ft.jpg	1062	9999-12-31	1725
2/7-20	77	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_77_14735-14792ft.jpg	1062	9999-12-31	1726
2/7-20	78	14735-14792ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1062_78_14735-14792ft.jpg	1062	9999-12-31	1727
2/7-21 S	1	14175-14190ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_01_14175-14190ft.jpg	1394	9999-12-31	1728
2/7-21 S	1	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_01_3547-3555m.jpg	1394	9999-12-31	1729
2/7-21 S	2	14190-14196ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_02_14190-14196ft.jpg	1394	9999-12-31	1730
2/7-21 S	2	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_02_3547-3555m.jpg	1394	9999-12-31	1731
2/7-21 S	3	14196-14211ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_03_14196-14211ft.jpg	1394	9999-12-31	1732
2/7-21 S	3	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_03_3547-3555m.jpg	1394	9999-12-31	1733
2/7-21 S	4	14211-14226ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_04_14211-14226ft.jpg	1394	9999-12-31	1734
2/7-21 S	4	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_04_3547-3555m.jpg	1394	9999-12-31	1735
2/7-21 S	5	14226-14241ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_05_14226-14241ft.jpg	1394	9999-12-31	1736
2/7-21 S	5	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_05_3547-3555m.jpg	1394	9999-12-31	1737
2/7-21 S	6	14241-14251ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_06_14241-14251ft.jpg	1394	9999-12-31	1738
2/7-21 S	7	14256-14271ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_07_14256-14271ft.jpg	1394	9999-12-31	1739
2/7-21 S	7	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_07_3547-3555m.jpg	1394	9999-12-31	1740
2/7-21 S	8	14271-14278ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_08_14271-14278ft.jpg	1394	9999-12-31	1741
2/7-21 S	8	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_08_3547-3555m.jpg	1394	9999-12-31	1742
2/7-21 S	9	14621-14636ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_09_14621-14636ft.jpg	1394	9999-12-31	1743
2/7-21 S	9	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_09_3547-3555m.jpg	1394	9999-12-31	1744
2/7-21 S	10	14636-14649ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_10_14636-14649ft.jpg	1394	9999-12-31	1745
2/7-21 S	10	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_10_3547-3555m.jpg	1394	9999-12-31	1746
2/7-21 S	11	14649-14664ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_11_14649-14664ft.jpg	1394	9999-12-31	1747
2/7-21 S	11	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_11_3547-3555m.jpg	1394	9999-12-31	1748
2/7-21 S	12	14664-14679ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_12_14664-14679ft.jpg	1394	9999-12-31	1749
2/7-21 S	12	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_12_3547-3555m.jpg	1394	9999-12-31	1750
2/7-21 S	13	14679-14684ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_13_14679-14684ft.jpg	1394	9999-12-31	1751
2/7-21 S	13	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_13_3547-3555m.jpg	1394	9999-12-31	1752
2/7-21 S	14	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_14_3547-3555m.jpg	1394	9999-12-31	1753
2/7-21 S	15	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_15_3547-3555m.jpg	1394	9999-12-31	1754
2/7-21 S	16	3589-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_16_3589-3592m.jpg	1394	9999-12-31	1755
2/7-21 S	17	3589-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_17_3589-3592m.jpg	1394	9999-12-31	1756
2/7-21 S	18	3589-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_18_3589-3592m.jpg	1394	9999-12-31	1757
2/7-21 S	19	3589-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_19_3589-3592m.jpg	1394	9999-12-31	1758
2/7-21 S	20	3589-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1394_20_3589-3592m.jpg	1394	9999-12-31	1759
2/7-23 S	1	14520-14526ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_01_14520-14526ft.jpg	1547	9999-12-31	1760
2/7-23 S	2	14526-14532ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_02_14526-14532ft.jpg	1547	9999-12-31	1761
2/7-23 S	3	14532-14538ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_03_14532-14538ft.jpg	1547	9999-12-31	1762
2/7-23 S	4	14538-14544ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_04_14538-14544ft.jpg	1547	9999-12-31	1763
2/7-23 S	5	14544-14550ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_05_14544-14550ft.jpg	1547	9999-12-31	1764
2/7-23 S	6	14550-14556ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_06_14550-14556ft.jpg	1547	9999-12-31	1765
2/7-23 S	7	14556-14582ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_07_14556-14582ft.jpg	1547	9999-12-31	1766
2/7-23 S	8	14562-14568ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_08_14562-14568ft.jpg	1547	9999-12-31	1767
2/7-23 S	9	14568-14574ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_09_14568-14574ft.jpg	1547	9999-12-31	1768
2/7-23 S	10	14574-14580ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_10_14574-14580ft.jpg	1547	9999-12-31	1769
2/7-23 S	11	14580-14588ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_11_14580-14588ft.jpg	1547	9999-12-31	1770
2/7-23 S	12	14586-14592ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_12_14586-14592ft.jpg	1547	9999-12-31	1771
2/7-23 S	13	14592-14598ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_13_14592-14598ft.jpg	1547	9999-12-31	1772
2/7-23 S	14	14598-14604ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_14_14598-14604ft.jpg	1547	9999-12-31	1773
2/7-23 S	15	14604-14610ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_15_14604-14610ft.jpg	1547	9999-12-31	1774
2/7-23 S	16	14610-14615ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_16_14610-14615ft.jpg	1547	9999-12-31	1775
2/7-23 S	17	14615-14619ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_17_14615-14619ft.jpg	1547	9999-12-31	1776
2/7-23 S	18	14619-14625ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_18_14619-14625ft.jpg	1547	9999-12-31	1777
2/7-23 S	19	14625-14631ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_19_14625-14631ft.jpg	1547	9999-12-31	1778
2/7-23 S	20	14631-14637ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_20_14631-14637ft.jpg	1547	9999-12-31	1779
2/7-23 S	21	14637-14643ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_21_14637-14643ft.jpg	1547	9999-12-31	1780
2/7-23 S	22	14643-14647ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_22_14643-14647ft.jpg	1547	9999-12-31	1781
2/7-23 S	23	14647-14653ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_23_14647-14653ft.jpg	1547	9999-12-31	1782
2/7-23 S	24	14653-14658ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_24_14653-14658ft.jpg	1547	9999-12-31	1783
2/7-23 S	25	14658-14663ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_25_14658-14663ft.jpg	1547	9999-12-31	1784
2/7-23 S	26	14663-14669ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_26_14663-14669ft.jpg	1547	9999-12-31	1785
2/7-23 S	27	14669-14675ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_27_14669-14675ft.jpg	1547	9999-12-31	1786
2/7-23 S	28	14675-14681ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_28_14675-14681ft.jpg	1547	9999-12-31	1787
2/7-23 S	29	14681-14687ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_29_14681-14687ft.jpg	1547	9999-12-31	1788
2/7-23 S	30	14687-14692ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_30_14687-14692ft.jpg	1547	9999-12-31	1789
2/7-23 S	31	14692-14698ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_31_14692-14698ft.jpg	1547	9999-12-31	1790
2/7-23 S	32	14698-14704ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_32_14698-14704ft.jpg	1547	9999-12-31	1791
2/7-23 S	33	14704-14710ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_33_14704-14710ft.jpg	1547	9999-12-31	1792
2/7-23 S	34	14710-14718ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_34_14710-14718ft.jpg	1547	9999-12-31	1793
2/7-23 S	35	14716-14721ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_35_14716-14721ft.jpg	1547	9999-12-31	1794
2/7-23 S	36	14721-14727ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_36_14721-14727ft.jpg	1547	9999-12-31	1795
2/7-23 S	37	14727-14733ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_37_14727-14733ft.jpg	1547	9999-12-31	1796
2/7-23 S	38	14733-14739ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_38_14733-14739ft.jpg	1547	9999-12-31	1797
2/7-23 S	39	14739-14745ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_39_14739-14745ft.jpg	1547	9999-12-31	1798
2/7-23 S	40	14745-14749ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_40_14745-14749ft.jpg	1547	9999-12-31	1799
2/7-23 S	41	14749-14755ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_41_14749-14755ft.jpg	1547	9999-12-31	1800
2/7-23 S	42	14755-14761ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_42_14755-14761ft.jpg	1547	9999-12-31	1801
2/7-23 S	43	14761-14767ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_43_14761-14767ft.jpg	1547	9999-12-31	1802
2/7-23 S	44	14767-15773ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_44_14767-15773ft.jpg	1547	9999-12-31	1803
2/7-23 S	45	14773-14776ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_45_14773-14776ft.jpg	1547	9999-12-31	1804
2/7-23 S	46	14777-14783ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_46_14777-14783ft.jpg	1547	9999-12-31	1805
2/7-23 S	47	14783-14789ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_47_14783-14789ft.jpg	1547	9999-12-31	1806
2/7-23 S	48	14789-14795ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_48_14789-14795ft.jpg	1547	9999-12-31	1807
2/7-23 S	49	14795-14795ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_49_14795-14795ft.jpg	1547	9999-12-31	1808
2/7-23 S	50	14795-14801ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_50_14795-14801ft.jpg	1547	9999-12-31	1809
2/7-23 S	51	14801-14807ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_51_14801-14807ft.jpg	1547	9999-12-31	1810
2/7-23 S	52	14807-14813ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_52_14807-14813ft.jpg	1547	9999-12-31	1811
2/7-23 S	53	14814-14820ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_53_14814-14820ft.jpg	1547	9999-12-31	1812
2/7-23 S	54	14820-14828ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_54_14820-14828ft.jpg	1547	9999-12-31	1813
2/7-23 S	55	14826-14832ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_55_14826-14832ft.jpg	1547	9999-12-31	1814
2/7-23 S	56	14832-14838ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_56_14832-14838ft.jpg	1547	9999-12-31	1815
2/7-23 S	57	14838-14843ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_57_14838-14843ft.jpg	1547	9999-12-31	1816
2/7-23 S	58	14843-14849ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_58_14843-14849ft.jpg	1547	9999-12-31	1817
2/7-23 S	59	14849-14855ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_59_14849-14855ft.jpg	1547	9999-12-31	1818
2/7-23 S	60	14855-14857ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_60_14855-14857ft.jpg	1547	9999-12-31	1819
2/7-23 S	61	14857-14863ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_61_14857-14863ft.jpg	1547	9999-12-31	1820
2/7-23 S	62	14863-14869ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_62_14863-14869ft.jpg	1547	9999-12-31	1821
2/7-23 S	63	14869-14875ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_63_14869-14875ft.jpg	1547	9999-12-31	1822
2/7-23 S	64	14875-14881ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_64_14875-14881ft.jpg	1547	9999-12-31	1823
2/7-23 S	65	14881-14886ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_65_14881-14886ft.jpg	1547	9999-12-31	1824
2/7-23 S	66	14886-14892ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_66_14886-14892ft.jpg	1547	9999-12-31	1825
2/7-23 S	67	14892-14898ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_67_14892-14898ft.jpg	1547	9999-12-31	1826
2/7-23 S	68	14899-14905ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_68_14899-14905ft.jpg	1547	9999-12-31	1827
2/7-23 S	69	14905-14911ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_69_14905-14911ft.jpg	1547	9999-12-31	1828
2/7-23 S	70	14911-14913ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_70_14911-14913ft.jpg	1547	9999-12-31	1829
2/7-23 S	71	14913-14919ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_71_14913-14919ft.jpg	1547	9999-12-31	1830
2/7-23 S	72	14919-14925ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_72_14919-14925ft.jpg	1547	9999-12-31	1831
2/7-23 S	73	14925-14931ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_73_14925-14931ft.jpg	1547	9999-12-31	1832
2/7-23 S	74	14931-14937ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_74_14931-14937ft.jpg	1547	9999-12-31	1833
2/7-23 S	75	14937-14943ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_75_14937-14943ft.jpg	1547	9999-12-31	1834
2/7-23 S	76	14943-14949ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_76_14943-14949ft.jpg	1547	9999-12-31	1835
2/7-23 S	77	14949-14955ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_77_14949-14955ft.jpg	1547	9999-12-31	1836
2/7-23 S	78	14955-14961ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_78_14955-14961ft.jpg	1547	9999-12-31	1837
2/7-23 S	79	14961-14967ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_79_14961-14967ft.jpg	1547	9999-12-31	1838
2/7-23 S	80	14967-14973ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_80_14967-14973ft.jpg	1547	9999-12-31	1839
2/7-23 S	81	14974-14975ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_81_14974-14975ft.jpg	1547	9999-12-31	1840
2/7-23 S	82	14975-14981ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_82_14975-14981ft.jpg	1547	9999-12-31	1841
2/7-23 S	83	14981-14987ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_83_14981-14987ft.jpg	1547	9999-12-31	1842
2/7-23 S	84	14987-14993ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_84_14987-14993ft.jpg	1547	9999-12-31	1843
2/7-23 S	85	14996-15002ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_85_14996-15002ft.jpg	1547	9999-12-31	1844
2/7-23 S	86	15002-15008ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_86_15002-15008ft.jpg	1547	9999-12-31	1845
2/7-23 S	87	15008-15014ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_87_15008-15014ft.jpg	1547	9999-12-31	1846
2/7-23 S	88	15014-15020ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_88_15014-15020ft.jpg	1547	9999-12-31	1847
2/7-23 S	89	15020-15026ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_89_15020-15026ft.jpg	1547	9999-12-31	1848
2/7-23 S	90	15026-15032ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_90_15026-15032ft.jpg	1547	9999-12-31	1849
2/7-23 S	91	15032-15038ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_91_15032-15038ft.jpg	1547	9999-12-31	1850
2/7-23 S	92	15038-15044ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_92_15038-15044ft.jpg	1547	9999-12-31	1851
2/7-23 S	93	15044-15050ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_93_15044-15050ft.jpg	1547	9999-12-31	1852
2/7-23 S	94	15050-15056ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_94_15050-15056ft.jpg	1547	9999-12-31	1853
2/7-23 S	95	15056-15062ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_95_15056-15062ft.jpg	1547	9999-12-31	1854
2/7-23 S	96	15062-15068ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_96_15062-15068ft.jpg	1547	9999-12-31	1855
2/7-23 S	97	15068-15074ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_97_15068-15074ft.jpg	1547	9999-12-31	1856
2/7-23 S	98	15074-15080ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_98_15074-15080ft.jpg	1547	9999-12-31	1857
2/7-23 S	99	15080-15086ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_99_15080-15086ft.jpg	1547	9999-12-31	1858
2/7-23 S	100	15086-15092ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_100_15086-15092ft.jpg	1547	9999-12-31	1859
2/7-23 S	101	15092-15098ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_101_15092-15098ft.jpg	1547	9999-12-31	1860
2/7-23 S	101	15098-15104ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_101_15098-15104ft.jpg	1547	9999-12-31	1861
2/7-23 S	102	15104-15110ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_102_15104-15110ft.jpg	1547	9999-12-31	1862
2/7-23 S	103	15110-15111ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_103_15110-15111ft.jpg	1547	9999-12-31	1863
2/7-23 S	104	15111-15117ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_104_15111-15117ft.jpg	1547	9999-12-31	1864
2/7-23 S	105	15117-15123ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_105_15117-15123ft.jpg	1547	9999-12-31	1865
2/7-23 S	106	15123-15129ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_106_15123-15129ft.jpg	1547	9999-12-31	1866
2/7-23 S	107	15129-15135ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_107_15129-15135ft.jpg	1547	9999-12-31	1867
2/7-23 S	108	15135-15141ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_108_15135-15141ft.jpg	1547	9999-12-31	1868
2/7-23 S	109	15141-15147ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_109_15141-15147ft.jpg	1547	9999-12-31	1869
2/7-23 S	110	15147-15153ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_110_15147-15153ft.jpg	1547	9999-12-31	1870
2/7-23 S	111	15153-15159ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_111_15153-15159ft.jpg	1547	9999-12-31	1871
2/7-23 S	112	15159-15165ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_112_15159-15165ft.jpg	1547	9999-12-31	1872
2/7-23 S	113	15165-15171ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_113_15165-15171ft.jpg	1547	9999-12-31	1873
2/7-23 S	114	15171-15174ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_114_15171-15174ft.jpg	1547	9999-12-31	1874
2/7-23 S	115	15174-15180ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_115_15174-15180ft.jpg	1547	9999-12-31	1875
2/7-23 S	116	15180-15186ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_116_15180-15186ft.jpg	1547	9999-12-31	1876
2/7-23 S	117	15186-15192ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_117_15186-15192ft.jpg	1547	9999-12-31	1877
2/7-23 S	118	15192-15198ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_118_15192-15198ft.jpg	1547	9999-12-31	1878
2/7-23 S	119	15198-15204ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_119_15198-15204ft.jpg	1547	9999-12-31	1879
2/7-23 S	120	15204-15210ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_120_15204-15210ft.jpg	1547	9999-12-31	1880
2/7-23 S	121	15211-15217ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_121_15211-15217ft.jpg	1547	9999-12-31	1881
2/7-23 S	122	15217-15223ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_122_15217-15223ft.jpg	1547	9999-12-31	1882
2/7-23 S	123	15223-15229ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_123_15223-15229ft.jpg	1547	9999-12-31	1883
2/7-23 S	124	15229-15235ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_124_15229-15235ft.jpg	1547	9999-12-31	1884
2/7-23 S	125	15235-15241ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_125_15235-15241ft.jpg	1547	9999-12-31	1885
2/7-23 S	126	15241-15247ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_126_15241-15247ft.jpg	1547	9999-12-31	1886
2/7-23 S	127	15247-15253ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_127_15247-15253ft.jpg	1547	9999-12-31	1887
2/7-23 S	128	15253-15257ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_128_15253-15257ft.jpg	1547	9999-12-31	1888
2/7-23 S	129	15257-15263ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_129_15257-15263ft.jpg	1547	9999-12-31	1889
2/7-23 S	130	15263-15269ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_130_15263-15269ft.jpg	1547	9999-12-31	1890
2/7-23 S	131	15269-15275ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_131_15269-15275ft.jpg	1547	9999-12-31	1891
2/7-23 S	132	15275-15281ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_132_15275-15281ft.jpg	1547	9999-12-31	1892
2/7-23 S	133	15281-15287ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_133_15281-15287ft.jpg	1547	9999-12-31	1893
2/7-23 S	134	15287-15293ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_134_15287-15293ft.jpg	1547	9999-12-31	1894
2/7-23 S	135	15293-15296ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_135_15293-15296ft.jpg	1547	9999-12-31	1895
2/7-23 S	136	15296-15302ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_136_15296-15302ft.jpg	1547	9999-12-31	1896
2/7-23 S	137	15302-15308ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_137_15302-15308ft.jpg	1547	9999-12-31	1897
2/7-23 S	138	15308-15314ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_138_15308-15314ft.jpg	1547	9999-12-31	1898
2/7-23 S	139	15314-15320ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_139_15314-15320ft.jpg	1547	9999-12-31	1899
2/7-23 S	140	15320-15326ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_140_15320-15326ft.jpg	1547	9999-12-31	1900
2/7-23 S	141	15320-15328ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_141_15320-15328ft.jpg	1547	9999-12-31	1901
2/7-23 S	142	15329-15335ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_142_15329-15335ft.jpg	1547	9999-12-31	1902
2/7-23 S	143	15335-15341ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_143_15335-15341ft.jpg	1547	9999-12-31	1903
2/7-23 S	144	15341-15347ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_144_15341-15347ft.jpg	1547	9999-12-31	1904
2/7-23 S	145	15347-15353ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_145_15347-15353ft.jpg	1547	9999-12-31	1905
2/7-23 S	146	15353-15359ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_146_15353-15359ft.jpg	1547	9999-12-31	1906
2/7-23 S	147	15359-15365ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_147_15359-15365ft.jpg	1547	9999-12-31	1907
2/7-23 S	148	15365-15371ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_148_15365-15371ft.jpg	1547	9999-12-31	1908
2/7-23 S	149	15371-15377ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_149_15371-15377ft.jpg	1547	9999-12-31	1909
2/7-23 S	150	15377-15383ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_150_15377-15383ft.jpg	1547	9999-12-31	1910
2/7-23 S	151	15383-15389ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_151_15383-15389ft.jpg	1547	9999-12-31	1911
2/7-23 S	152	15389-15390ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_152_15389-15390ft.jpg	1547	9999-12-31	1912
2/7-23 S	153	15396-15402ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_153_15396-15402ft.jpg	1547	9999-12-31	1913
2/7-23 S	154	15402-15408ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_154_15402-15408ft.jpg	1547	9999-12-31	1914
2/7-23 S	155	15408-15414ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_155_15408-15414ft.jpg	1547	9999-12-31	1915
2/7-23 S	156	15414-15420ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_156_15414-15420ft.jpg	1547	9999-12-31	1916
2/7-23 S	157	15420-15426ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_157_15420-15426ft.jpg	1547	9999-12-31	1917
2/7-23 S	158	15426-15432ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_158_15426-15432ft.jpg	1547	9999-12-31	1918
2/7-23 S	159	15432	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_159_15432.-15438ft.jpg	1547	9999-12-31	1919
2/7-23 S	160	15438-15444ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_160_15438-15444ft.jpg	1547	9999-12-31	1920
2/7-23 S	161	15444-15450ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_161_15444-15450ft.jpg	1547	9999-12-31	1921
2/7-23 S	162	15450-15456ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_162_15450-15456ft.jpg	1547	9999-12-31	1922
2/7-23 S	163	15456-15462ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_163_15456-15462ft.jpg	1547	9999-12-31	1923
2/7-23 S	164	15462-15468ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_164_15462-15468ft.jpg	1547	9999-12-31	1924
2/7-23 S	165	15468-15474ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_165_15468-15474ft.jpg	1547	9999-12-31	1925
2/7-23 S	166	15474-15480ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1547_166_15474-15480ft.jpg	1547	9999-12-31	1926
2/7-25 S	1	15690-15696ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_01_15690-15696ft.jpg	1679	2013-02-02	1927
2/7-25 S	2	15696-15702ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_02_15696-15702ft.jpg	1679	2013-02-02	1928
2/7-25 S	3	15702-15708ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_03_15702-15708ft.jpg	1679	2013-02-02	1929
2/7-25 S	4	15708-15714ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_04_15708-15714ft.jpg	1679	2013-02-02	1930
2/7-25 S	5	15714-15720ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_05_15714-15720ft.jpg	1679	2013-02-02	1931
2/7-25 S	6	15720-15726ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_06_15720-15726ft.jpg	1679	2013-02-02	1932
2/7-25 S	7	15726-15732ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_07_15726-15732ft.jpg	1679	2013-02-02	1933
2/7-25 S	8	15732-15738ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_08_15732-15738ft.jpg	1679	2013-02-02	1934
2/7-25 S	9	15738-15744ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_09_15738-15744ft.jpg	1679	2013-02-02	1935
2/7-25 S	10	15744-15750ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_10_15744-15750ft.jpg	1679	2013-02-02	1936
2/7-25 S	11	15750-15753ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_11_15750-15753ft.jpg	1679	2013-02-02	1937
2/7-25 S	12	15889-15895ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_12_15889-15895ft.jpg	1679	2013-02-02	1938
2/7-25 S	13	15895-15901ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_13_15895-15901ft.jpg	1679	2013-02-02	1939
2/7-25 S	14	15901-15907ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_14_15901-15907ft.jpg	1679	2013-02-02	1940
2/7-25 S	15	15907-15913ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_15_15907-15913ft.jpg	1679	2013-02-02	1941
2/7-25 S	16	15913-15919ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_16_15913-15919ft.jpg	1679	2013-02-02	1942
2/7-25 S	17	15919-15923ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_17_15919-15923ft.jpg	1679	2013-02-02	1943
2/7-25 S	18	16693-16699ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_18_16693-16699ft.jpg	1679	2013-02-02	1944
2/7-25 S	19	16699-16705ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_19_16699-16705ft.jpg	1679	2013-02-02	1945
2/7-25 S	20	16705-16711ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_20_16705-16711ft.jpg	1679	2013-02-02	1946
2/7-25 S	21	16711-16717ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_21_16711-16717ft.jpg	1679	2013-02-02	1947
2/7-25 S	22	16717-16723ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_22_16717-16723ft.jpg	1679	2013-02-02	1948
2/7-25 S	23	16723-16729ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_23_16723-16729ft.jpg	1679	2013-02-02	1949
2/7-25 S	24	16729-16733ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_24_16729-16733ft.jpg	1679	2013-02-02	1950
2/7-25 S	25	16734-16740ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_25_16734-16740ft.jpg	1679	2013-02-02	1951
2/7-25 S	26	16740-16746ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_26_16740-16746ft.jpg	1679	2013-02-02	1952
2/7-25 S	27	16746-16752ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_27_16746-16752ft.jpg	1679	2013-02-02	1953
2/7-25 S	28	16752-16758ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_28_16752-16758ft.jpg	1679	2013-02-02	1954
2/7-25 S	29	16758-16764ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_29_16758-16764ft.jpg	1679	2013-02-02	1955
2/7-25 S	30	16764-16770ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_30_16764-16770ft.jpg	1679	2013-02-02	1956
2/7-25 S	31	16770-16776ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_31_16770-16776ft.jpg	1679	2013-02-02	1957
2/7-25 S	32	16776-16778ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1679_32_16776-16778ft.jpg	1679	2013-02-02	1958
2/7-26 S	0	5480-5487ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_00_5480-5487ft.jpg	1756	9999-12-31	1959
2/7-26 S	1	10500-10510ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_01_10500-10510ft.jpg	1756	9999-12-31	1960
2/7-26 S	2	10510-10522ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_02_10510-10522ft.jpg	1756	9999-12-31	1961
2/7-26 S	3	10522-10534ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_03_10522-10534ft.jpg	1756	9999-12-31	1962
2/7-26 S	4	10534-10545ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_04_10534-10545ft.jpg	1756	9999-12-31	1963
2/7-26 S	5	14103-14118ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_05_14103-14118ft.jpg	1756	9999-12-31	1964
2/7-26 S	6	14118-14133ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_06_14118-14133ft.jpg	1756	9999-12-31	1965
2/7-26 S	7	14133-14148ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_07_14133-14148ft.jpg	1756	9999-12-31	1966
2/7-26 S	8	14148-14153ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_08_14148-14153ft.jpg	1756	9999-12-31	1967
2/7-26 S	9	14417-14432ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_09_14417-14432ft.jpg	1756	9999-12-31	1968
2/7-26 S	10	14432-14447ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_10_14432-14447ft.jpg	1756	9999-12-31	1969
2/7-26 S	11	14447-14453ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_11_14447-14453ft.jpg	1756	9999-12-31	1970
2/7-26 S	12	14457-14472ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_12_14457-14472ft.jpg	1756	9999-12-31	1971
2/7-26 S	13	14472-14480ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_13_14472-14480ft.jpg	1756	9999-12-31	1972
2/7-26 S	14	14481-14496ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_14_14481-14496ft.jpg	1756	9999-12-31	1973
2/7-26 S	15	14496-14511ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_15_14496-14511ft.jpg	1756	9999-12-31	1974
2/7-26 S	16	14511-14526ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_16_14511-14526ft.jpg	1756	9999-12-31	1975
2/7-26 S	17	14526-14541ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_17_14526-14541ft.jpg	1756	9999-12-31	1976
2/7-26 S	18	14541-14545ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_18_14541-14545ft.jpg	1756	9999-12-31	1977
2/7-26 S	19	14558-14573ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_19_14558-14573ft.jpg	1756	9999-12-31	1978
2/7-26 S	20	14573-14581ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_20_14573-14581ft.jpg	1756	9999-12-31	1979
2/7-26 S	21	14586-14592ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_21_14586-14592ft.jpg	1756	9999-12-31	1980
2/7-26 S	22	14598-14613ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_22_14598-14613ft.jpg	1756	9999-12-31	1981
2/7-26 S	23	14613-14628ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_23_14613-14628ft.jpg	1756	9999-12-31	1982
2/7-26 S	24	14628-14635ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_24_14628-14635ft.jpg	1756	9999-12-31	1983
2/7-26 S	25	14636-14651ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_25_14636-14651ft.jpg	1756	9999-12-31	1984
2/7-26 S	26	14651-14658ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_26_14651-14658ft.jpg	1756	9999-12-31	1985
2/7-26 S	27	14660-14675ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_27_14660-14675ft.jpg	1756	9999-12-31	1986
2/7-26 S	28	14675-14690ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_28_14675-14690ft.jpg	1756	9999-12-31	1987
2/7-26 S	29	14790-14693ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_29_14790-14693ft.jpg	1756	9999-12-31	1988
2/7-26 S	30	14696-14711ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_30_14696-14711ft.jpg	1756	9999-12-31	1989
2/7-26 S	31	14711-14726ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_31_14711-14726ft.jpg	1756	9999-12-31	1990
2/7-26 S	32	14726-14741ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_32_14726-14741ft.jpg	1756	9999-12-31	1991
2/7-26 S	33	14741-14743ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_33_14741-14743ft.jpg	1756	9999-12-31	1992
2/7-26 S	34	14746-14761ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_34_14746-14761ft.jpg	1756	9999-12-31	1993
2/7-26 S	35	14761-14776ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_35_14761-14776ft.jpg	1756	9999-12-31	1994
2/7-26 S	36	14776-14791ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_36_14776-14791ft.jpg	1756	9999-12-31	1995
2/7-26 S	37	14791-14806ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_37_14791-14806ft.jpg	1756	9999-12-31	1996
2/7-26 S	38	14806-14807ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_38_14806-14807ft.jpg	1756	9999-12-31	1997
2/7-26 S	39	14807-14822ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_39_14807-14822ft.jpg	1756	9999-12-31	1998
2/7-26 S	40	14822-14837ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_40_14822-14837ft.jpg	1756	9999-12-31	1999
2/7-26 S	41	14854-14869ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_41_14854-14869ft.jpg	1756	9999-12-31	2000
2/7-26 S	42	14869-14884ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_42_14869-14884ft.jpg	1756	9999-12-31	2001
2/7-26 S	43	14884-14899ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_43_14884-14899ft.jpg	1756	9999-12-31	2002
2/7-26 S	44	14899-14903ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_44_14899-14903ft.jpg	1756	9999-12-31	2003
2/7-26 S	45	14903-14918ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_45_14903-14918ft.jpg	1756	9999-12-31	2004
2/7-26 S	46	14918-14933ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_46_14918-14933ft.jpg	1756	9999-12-31	2005
2/7-26 S	47	14933-14935ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_47_14933-14935ft.jpg	1756	9999-12-31	2006
2/7-26 S	48	15312-15327ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_48_15312-15327ft.jpg	1756	9999-12-31	2007
2/7-26 S	49	15327-15342ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_49_15327-15342ft.jpg	1756	9999-12-31	2008
2/7-26 S	50	15342-15357ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_50_15342-15357ft.jpg	1756	9999-12-31	2009
2/7-26 S	51	15357-15372ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_51_15357-15372ft.jpg	1756	9999-12-31	2010
2/7-26 S	52	15372-15387ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_52_15372-15387ft.jpg	1756	9999-12-31	2011
2/7-26 S	53	15387-15402ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_53_15387-15402ft.jpg	1756	9999-12-31	2012
2/7-26 S	54	15402-15403ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_54_15402-15403ft.jpg	1756	9999-12-31	2013
2/7-26 S	55	15404-15419ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_55_15404-15419ft.jpg	1756	9999-12-31	2014
2/7-26 S	56	15419-15434ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_56_15419-15434ft.jpg	1756	9999-12-31	2015
2/7-26 S	57	15434-15449ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_57_15434-15449ft.jpg	1756	9999-12-31	2016
2/7-26 S	58	15449-15464ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_58_15449-15464ft.jpg	1756	9999-12-31	2017
2/7-26 S	59	15464-15479ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_59_15464-15479ft.jpg	1756	9999-12-31	2018
2/7-26 S	60	15479-15494ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_60_15479-15494ft.jpg	1756	9999-12-31	2019
2/7-26 S	61	15494-15495ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_61_15494-15495ft.jpg	1756	9999-12-31	2020
2/7-26 S	62	15844-15859ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_62_15844-15859ft.jpg	1756	9999-12-31	2021
2/7-26 S	63	15859-15874ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_63_15859-15874ft.jpg	1756	9999-12-31	2022
2/7-26 S	64	15874-15889ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_64_15874-15889ft.jpg	1756	9999-12-31	2023
2/7-26 S	65	15889-15904ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_65_15889-15904ft.jpg	1756	9999-12-31	2024
2/7-26 S	66	15904-15907ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1756_66_15904-15907ft.jpg	1756	9999-12-31	2025
2/7-27 S	1	10410-10425ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1878_01_10410-10425ft.jpg	1878	2013-02-02	2026
2/7-27 S	2	10425-10440ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1878_02_10425-10440ft.jpg	1878	2013-02-02	2027
2/7-27 S	3	10440-10455ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1878_03_10440-10455ft.jpg	1878	2013-02-02	2028
2/7-27 S	4	10455-10462ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1878_04_10455-10462ft.jpg	1878	2013-02-02	2029
2/7-27 S	5	10715-10730ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1878_05_10715-10730ft.jpg	1878	2013-02-02	2030
2/7-27 S	6	10730-10745ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1878_06_10730-10745ft.jpg	1878	2013-02-02	2031
2/7-27 S	7	15039-15054ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1878_07_15039-15054ft.jpg	1878	2013-02-02	2032
2/7-27 S	8	15054-15056ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1878_08_15054-15056ft.jpg	1878	2013-02-02	2033
2/7-27 S	9	15056-15071ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1878_09_15056-15071ft.jpg	1878	2013-02-02	2034
2/7-27 S	10	15071-15075ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1878_10_15071-15075ft.jpg	1878	2013-02-02	2035
2/7-29	1	4474-4479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_01_4474-4479m.jpg	2124	9999-12-31	2036
2/7-29	2	4479-4483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_02_4479-4483m.jpg	2124	9999-12-31	2037
2/7-29	3	4483-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_03_4483-4488m.jpg	2124	9999-12-31	2038
2/7-29	4	4488-4493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_04_4488-4493m.jpg	2124	9999-12-31	2039
2/7-29	5	4493-4498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_05_4493-4498m.jpg	2124	9999-12-31	2040
2/7-29	6	4498-4501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_06_4498-4501m.jpg	2124	9999-12-31	2041
2/7-29	7	4501-4506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_07_4501-4506m.jpg	2124	9999-12-31	2042
2/7-29	8	4506-4511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_08_4506-4511m.jpg	2124	9999-12-31	2043
2/7-29	9	4511-4516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_09_4511-4516m.jpg	2124	9999-12-31	2044
2/7-29	10	4516-4519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_10_4516-4519m.jpg	2124	9999-12-31	2045
2/7-29	11	4519-4524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_11_4519-4524m.jpg	2124	9999-12-31	2046
2/7-29	12	4524-4529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_12_4524-4529m.jpg	2124	9999-12-31	2047
2/7-29	13	4529-4534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_13_4529-4534m.jpg	2124	9999-12-31	2048
2/7-29	14	4534-4538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_14_4534-4538m.jpg	2124	9999-12-31	2049
2/7-29	15	4538-4543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_15_4538-4543m.jpg	2124	9999-12-31	2050
2/7-29	16	4543-4548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_16_4543-4548m.jpg	2124	9999-12-31	2051
2/7-29	17	4548-4549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_17_4548-4549m.jpg	2124	9999-12-31	2052
2/7-29	18	4684-4689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_18_4684-4689m.jpg	2124	9999-12-31	2053
2/7-29	19	4689-4694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_19_4689-4694m.jpg	2124	9999-12-31	2054
2/7-29	20	4694-4699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_20_4694-4699m.jpg	2124	9999-12-31	2055
2/7-29	21	4699-4703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_21_4699-4703m.jpg	2124	9999-12-31	2056
2/7-29	22	4853-4858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_22_4853-4858m.jpg	2124	9999-12-31	2057
2/7-29	23	4858-4863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_23_4858-4863m.jpg	2124	9999-12-31	2058
2/7-29	24	4863-4868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_24_4863-4868m.jpg	2124	9999-12-31	2059
2/7-29	25	4868-4872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2124_25_4868-4872m.jpg	2124	9999-12-31	2060
2/7-30	1	10302-10317ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_01_10302-10317ft.jpg	2394	9999-12-31	2061
2/7-30	2	10317-10332ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_02_10317-10332ft.jpg	2394	9999-12-31	2062
2/7-30	3	10332-10347ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_03_10332-10347ft.jpg	2394	9999-12-31	2063
2/7-30	4	10347-10362ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_04_10347-10362ft.jpg	2394	9999-12-31	2064
2/7-30	5	10362-10363ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_05_10362-10363ft.jpg	2394	9999-12-31	2065
2/7-30	6	10363-10378ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_06_10363-10378ft.jpg	2394	9999-12-31	2066
2/7-30	7	10378-10393ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_07_10378-10393ft.jpg	2394	9999-12-31	2067
2/7-30	8	10393-10408ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_08_10393-10408ft.jpg	2394	9999-12-31	2068
2/7-30	9	10408-10423ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_09_10408-10423ft.jpg	2394	9999-12-31	2069
2/7-30	10	10423-10438ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_10_10423-10438ft.jpg	2394	9999-12-31	2070
2/7-30	11	10438-10453ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_11_10438-10453ft.jpg	2394	9999-12-31	2071
2/7-30	12	10453-10454ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_12_10453-10454ft.jpg	2394	9999-12-31	2072
2/7-30	13	10454-10469ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_13_10454-10469ft.jpg	2394	9999-12-31	2073
2/7-30	14	10469-10484ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_14_10469-10484ft.jpg	2394	9999-12-31	2074
2/7-30	15	10484-10499ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_15_10484-10499ft.jpg	2394	9999-12-31	2075
2/7-30	16	10499-10514ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_16_10499-10514ft.jpg	2394	9999-12-31	2076
2/7-30	17	10514-10529ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_17_10514-10529ft.jpg	2394	9999-12-31	2077
2/7-30	18	10529-10544ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_18_10529-10544ft.jpg	2394	9999-12-31	2078
2/7-30	19	10544-10545ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_19_10544-10545ft.jpg	2394	9999-12-31	2079
2/7-30	20	10545-10560ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_20_10545-10560ft.jpg	2394	9999-12-31	2080
2/7-30	21	10560-10575ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_21_10560-10575ft.jpg	2394	9999-12-31	2081
2/7-30	22	10575-10590ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_22_10575-10590ft.jpg	2394	9999-12-31	2082
2/7-30	23	10590-10602ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_23_10590-10602ft.jpg	2394	9999-12-31	2083
2/7-30	24	10602-10617ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_24_10602-10617ft.jpg	2394	9999-12-31	2084
2/7-30	25	10617-10623ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_25_10617-10623ft.jpg	2394	9999-12-31	2085
2/7-30	26	10658-10673ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_26_10658-10673ft.jpg	2394	9999-12-31	2086
2/7-30	27	10673-10688ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_27_10673-10688ft.jpg	2394	9999-12-31	2087
2/7-30	28	10688-10703ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_28_10688-10703ft.jpg	2394	9999-12-31	2088
2/7-30	29	10703-10718ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_29_10703-10718ft.jpg	2394	9999-12-31	2089
2/7-30	30	10718-10733ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_30_10718-10733ft.jpg	2394	9999-12-31	2090
2/7-30	31	10733-10748ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2394_31_10733-10748ft.jpg	2394	9999-12-31	2091
2/7-31	1	15734-15791ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3573_01_15734-15791ft.jpg	3573	9999-12-31	2092
2/7-31	2	15791-15806ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3573_02_15791-15806ft.jpg	3573	9999-12-31	2093
2/7-31	3	15806-15821ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3573_03_15806-15821ft.jpg	3573	9999-12-31	2094
2/7-31	5	15821-15836ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3573_05_15821-15836ft.jpg	3573	9999-12-31	2095
2/7-31	6	15836-15851ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3573_06_15836-15851ft.jpg	3573	9999-12-31	2096
2/7-31	7	15851-15866ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3573_07_15851-15866ft.jpg	3573	9999-12-31	2097
2/7-31	7	15866-15880ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3573_07_15866-15880ft.jpg	3573	9999-12-31	2098
2/7-31	8	15880-15895ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3573_08_15880-15895ft.jpg	3573	9999-12-31	2099
2/7-31	9	15895-15911ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3573_09_15895-15911ft.jpg	3573	9999-12-31	2100
2/7-31	10	15911-15915ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3573_10_15911-15915ft.jpg	3573	9999-12-31	2101
2/7-B-12 A	1	10185-10200ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_01_10185-10200ft.jpg	2178	9999-12-31	2102
2/7-B-12 A	2	10200-10215ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_02_10200-10215ft.jpg	2178	9999-12-31	2103
2/7-B-12 A	3	10215-10224ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_03_10215-10224ft.jpg	2178	9999-12-31	2104
2/7-B-12 A	4	10224-10239ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_04_10224-10239ft.jpg	2178	9999-12-31	2105
2/7-B-12 A	5	10229-10254ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_05_10229-10254ft.jpg	2178	9999-12-31	2106
2/7-B-12 A	6	10254-10269ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_06_10254-10269ft.jpg	2178	9999-12-31	2107
2/7-B-12 A	8	10269-10269ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_08_10269-10269ft.jpg	2178	9999-12-31	2108
2/7-B-12 A	9	10379-10386ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_09_10379-10386ft.jpg	2178	9999-12-31	2109
2/7-B-12 A	10	10386-10401ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_10_10386-10401ft.jpg	2178	9999-12-31	2110
2/7-B-12 A	11	10401-10411ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_11_10401-10411ft.jpg	2178	9999-12-31	2111
2/7-B-12 A	12	10417-10432ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_12_10417-10432ft.jpg	2178	9999-12-31	2112
2/7-B-12 A	13	10432-10447ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_13_10432-10447ft.jpg	2178	9999-12-31	2113
2/7-B-12 A	14	10447-10462ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_14_10447-10462ft.jpg	2178	9999-12-31	2114
2/7-B-12 A	15	10462-10470ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_15_10462-10470ft.jpg	2178	9999-12-31	2115
2/7-B-12 A	16	10470-10485ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_16_10470-10485ft.jpg	2178	9999-12-31	2116
2/7-B-12 A	17	10485-10500ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_17_10485-10500ft.jpg	2178	9999-12-31	2117
2/7-B-12 A	18	10500-10505ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2178_18_10500-10505ft.jpg	2178	9999-12-31	2118
2/7-B-9 A	1	12437-12452ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_01_12437-12452ft.jpg	2125	9999-12-31	2119
2/7-B-9 A	2	12452-12461ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_02_12452-12461ft.jpg	2125	9999-12-31	2120
2/7-B-9 A	3	12464-12479ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_03_12464-12479ft.jpg	2125	9999-12-31	2121
2/7-B-9 A	4	12479-12493ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_04_12479-12493ft.jpg	2125	9999-12-31	2122
2/7-B-9 A	5	12493-12494ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_05_12493-12494ft.jpg	2125	9999-12-31	2123
2/7-B-9 A	6	12526-12541ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_06_12526-12541ft.jpg	2125	9999-12-31	2124
2/7-B-9 A	7	12541-12556ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_07_12541-12556ft.jpg	2125	9999-12-31	2125
2/7-B-9 A	8	12556-12558ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_08_12556-12558ft.jpg	2125	9999-12-31	2126
2/7-B-9 A	9	12847-12862ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_09_12847-12862ft.jpg	2125	9999-12-31	2127
2/7-B-9 A	10	12862-12872ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_10_12862-12872ft.jpg	2125	9999-12-31	2128
2/7-B-9 A	11	12878-12893ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_11_12878-12893ft.jpg	2125	9999-12-31	2129
2/7-B-9 A	12	12893-12908ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_12_12893-12908ft.jpg	2125	9999-12-31	2130
2/7-B-9 A	13	12908-12909ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2125_13_12908-12909ft.jpg	2125	9999-12-31	2131
2/8-12 S	1	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_01_5226-5243m.jpg	1351	9999-12-31	2132
2/8-12 S	2	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_02_5226-5243m.jpg	1351	9999-12-31	2133
2/8-12 S	3	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_03_5226-5243m.jpg	1351	9999-12-31	2134
2/8-12 S	4	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_04_5226-5243m.jpg	1351	9999-12-31	2135
2/8-12 S	5	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_05_5226-5243m.jpg	1351	9999-12-31	2136
2/8-12 S	6	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_06_5226-5243m.jpg	1351	9999-12-31	2137
2/8-12 S	7	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_07_5226-5243m.jpg	1351	9999-12-31	2138
2/8-12 S	8	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_08_5226-5243m.jpg	1351	9999-12-31	2139
2/8-12 S	9	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_09_5226-5243m.jpg	1351	9999-12-31	2140
2/8-12 S	10	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_10_5226-5243m.jpg	1351	9999-12-31	2141
2/8-12 S	11	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_11_5226-5243m.jpg	1351	9999-12-31	2142
2/8-12 S	12	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_12_5226-5243m.jpg	1351	9999-12-31	2143
2/8-12 S	13	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_13_5226-5243m.jpg	1351	9999-12-31	2144
2/8-12 S	14	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_14_5226-5243m.jpg	1351	9999-12-31	2145
2/8-12 S	15	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_15_5226-5243m.jpg	1351	9999-12-31	2146
2/8-12 S	16	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_16_5226-5243m.jpg	1351	9999-12-31	2147
2/8-12 S	17	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_17_5226-5243m.jpg	1351	9999-12-31	2148
2/8-12 S	18	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_18_5226-5243m.jpg	1351	9999-12-31	2149
2/8-12 S	19	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_19_5226-5243m.jpg	1351	9999-12-31	2150
2/8-12 S	20	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_20_5226-5243m.jpg	1351	9999-12-31	2151
2/8-12 S	21	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_21_5226-5243m.jpg	1351	9999-12-31	2152
2/8-12 S	22	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_22_5226-5243m.jpg	1351	9999-12-31	2153
2/8-12 S	23	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_23_5226-5243m.jpg	1351	9999-12-31	2154
2/8-12 S	24	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_24_5226-5243m.jpg	1351	9999-12-31	2155
2/8-12 S	25	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_25_5226-5243m.jpg	1351	9999-12-31	2156
2/8-12 S	26	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_26_5226-5243m.jpg	1351	9999-12-31	2157
2/8-12 S	27	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_27_5226-5243m.jpg	1351	9999-12-31	2158
2/8-12 S	28	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_28_5226-5243m.jpg	1351	9999-12-31	2159
2/8-12 S	29	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_29_5226-5243m.jpg	1351	9999-12-31	2160
2/8-12 S	30	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_30_5226-5243m.jpg	1351	9999-12-31	2161
2/8-12 S	31	5224-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_31_5224-5243m.jpg	1351	9999-12-31	2162
2/8-12 S	32	5226-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1351_32_5226-5243m.jpg	1351	9999-12-31	2163
2/8-13	1	1780-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1383_01_1780-1782m.jpg	1383	9999-12-31	2164
2/8-15	1	3386-3391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2636_01_3386-3391m.jpg	2636	9999-12-31	2165
2/8-15	2	3391-3396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2636_02_3391-3396m.jpg	2636	9999-12-31	2166
2/8-15	3	3396-3401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2636_03_3396-3401m.jpg	2636	9999-12-31	2167
2/8-15	4	3401-3406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2636_04_3401-3406m.jpg	2636	9999-12-31	2168
2/8-15	5	3406-3410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2636_05_3406-3410m.jpg	2636	9999-12-31	2169
2/8-15	6	3410-3415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2636_06_3410-3415m.jpg	2636	9999-12-31	2170
2/8-15	7	3415-3420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2636_07_3415-3420m.jpg	2636	9999-12-31	2171
2/8-15	8	3420-3425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2636_08_3420-3425m.jpg	2636	9999-12-31	2172
2/8-15	9	3425-3430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2636_09_3425-3430m.jpg	2636	9999-12-31	2173
2/8-15	10	3430-3435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2636_10_3430-3435m.jpg	2636	9999-12-31	2174
2/8-15	11	3435-3438m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2636_11_3435-3438m.jpg	2636	9999-12-31	2175
2/8-17 S	1	2587-2592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_01_2587-2592m.jpg	3210	9999-12-31	2176
2/8-17 S	2	2592-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_02_2592-2597m.jpg	3210	9999-12-31	2177
2/8-17 S	3	2597-2602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_03_2597-2602m.jpg	3210	9999-12-31	2178
2/8-17 S	4	2602-2604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_04_2602-2604m.jpg	3210	9999-12-31	2179
2/8-17 S	5	2605-2610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_05_2605-2610m.jpg	3210	9999-12-31	2180
2/8-17 S	6	2610-2615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_06_2610-2615m.jpg	3210	9999-12-31	2181
2/8-17 S	7	2615-2620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_07_2615-2620m.jpg	3210	9999-12-31	2182
2/8-17 S	8	2620-2624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_08_2620-2624m.jpg	3210	9999-12-31	2183
2/8-17 S	9	2624-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_09_2624-2629m.jpg	3210	9999-12-31	2184
2/8-17 S	10	2629-2634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_10_2629-2634m.jpg	3210	9999-12-31	2185
2/8-17 S	11	2634-2639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_11_2634-2639m.jpg	3210	9999-12-31	2186
2/8-17 S	12	2639-2644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_12_2639-2644m.jpg	3210	9999-12-31	2187
2/8-17 S	13	2644-2649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_13_2644-2649m.jpg	3210	9999-12-31	2188
2/8-17 S	14	2649-2652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_14_2649-2652m.jpg	3210	9999-12-31	2189
2/8-17 S	15	2652-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_15_2652-2656m.jpg	3210	9999-12-31	2190
2/8-17 S	16	2656-2661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_16_2656-2661m.jpg	3210	9999-12-31	2191
2/8-17 S	17	2661-2666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_17_2661-2666m.jpg	3210	9999-12-31	2192
2/8-17 S	18	2666-2671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_18_2666-2671m.jpg	3210	9999-12-31	2193
2/8-17 S	19	2671-2674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3210_19_2671-2674m.jpg	3210	9999-12-31	2194
2/8-8	1	8160-8166ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_01_8160-8166ft.jpg	278	9999-12-31	2195
2/8-8	2	8160-8166ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_02_8160-8166ft.jpg	278	9999-12-31	2196
2/8-8	3	8166-8172ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_03_8166-8172ft.jpg	278	9999-12-31	2197
2/8-8	4	8166-8172ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_04_8166-8172ft.jpg	278	9999-12-31	2198
2/8-8	5	8172-8177ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_05_8172-8177ft.jpg	278	9999-12-31	2199
2/8-8	6	8172-8177ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_06_8172-8177ft.jpg	278	9999-12-31	2200
2/8-8	7	8177-8183ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_07_8177-8183ft.jpg	278	9999-12-31	2201
2/8-8	8	8177-8183ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_08_8177-8183ft.jpg	278	9999-12-31	2202
2/8-8	9	8183-8188ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_09_8183-8188ft.jpg	278	9999-12-31	2203
2/8-8	10	8183-8186ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_10_8183-8186ft.jpg	278	9999-12-31	2204
2/8-8	11	8188-8190ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_11_8188-8190ft.jpg	278	9999-12-31	2205
2/8-8	12	8188-8190ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_12_8188-8190ft.jpg	278	9999-12-31	2206
2/8-8	13	8190-8196ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_13_8190-8196ft.jpg	278	9999-12-31	2207
2/8-8	14	8190-8196ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_14_8190-8196ft.jpg	278	9999-12-31	2208
2/8-8	15	8218-8224ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_15_8218-8224ft.jpg	278	9999-12-31	2209
2/8-8	16	8218-8224ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_16_8218-8224ft.jpg	278	9999-12-31	2210
2/8-8	17	8224-8226ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_17_8224-8226ft.jpg	278	9999-12-31	2211
2/8-8	18	8224-8226ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_18_8224-8226ft.jpg	278	9999-12-31	2212
2/8-8	19	8246-8251ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_19_8246-8251ft.jpg	278	9999-12-31	2213
2/8-8	20	8246-8251ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_20_8246-8251ft.jpg	278	9999-12-31	2214
2/8-8	21	8276-8280ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_21_8276-8280ft.jpg	278	9999-12-31	2215
2/8-8	22	8276-8280ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_22_8276-8280ft.jpg	278	9999-12-31	2216
2/8-8	23	8314-8320ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_23_8314-8320ft.jpg	278	9999-12-31	2217
2/8-8	24	8314-8320ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_24_8314-8320ft.jpg	278	9999-12-31	2218
2/8-8	25	8320-8326ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_25_8320-8326ft.jpg	278	9999-12-31	2219
2/8-8	26	8320-8326ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_26_8320-8326ft.jpg	278	9999-12-31	2220
2/8-8	27	8326-8332ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_27_8326-8332ft.jpg	278	9999-12-31	2221
2/8-8	28	8326-8332ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_28_8326-8332ft.jpg	278	9999-12-31	2222
2/8-8	29	8332-8338ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_29_8332-8338ft.jpg	278	9999-12-31	2223
2/8-8	30	8332-8338ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_30_8332-8338ft.jpg	278	9999-12-31	2224
2/8-8	31	8338-8344ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_31_8338-8344ft.jpg	278	9999-12-31	2225
2/8-8	32	8338-8344ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_32_8338-8344ft.jpg	278	9999-12-31	2226
2/8-8	33	8338-8345ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_33_8338-8345ft.jpg	278	9999-12-31	2227
2/8-8	34	8344-8345ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_34_8344-8345ft.jpg	278	9999-12-31	2228
2/8-8	35	8345-8351ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_35_8345-8351ft.jpg	278	9999-12-31	2229
2/8-8	36	8345-8351ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_36_8345-8351ft.jpg	278	9999-12-31	2230
2/8-8	37	8351-8354ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_37_8351-8354ft.jpg	278	9999-12-31	2231
2/8-8	38	8351-8354ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_38_8351-8354ft.jpg	278	9999-12-31	2232
2/8-8	39	8375-8381ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_39_8375-8381ft.jpg	278	9999-12-31	2233
2/8-8	40	8375-8381ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_40_8375-8381ft.jpg	278	9999-12-31	2234
2/8-8	41	8381-8387ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_41_8381-8387ft.jpg	278	9999-12-31	2235
2/8-8	42	8381-8387ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_42_8381-8387ft.jpg	278	9999-12-31	2236
2/8-8	43	8387-8390ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_43_8387-8390ft.jpg	278	9999-12-31	2237
2/8-8	44	8387-8390ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_44_8387-8390ft.jpg	278	9999-12-31	2238
2/8-8	45	8393-8399ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_45_8393-8399ft.jpg	278	9999-12-31	2239
2/8-8	46	8393-8399ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_46_8393-8399ft.jpg	278	9999-12-31	2240
2/8-8	47	8399-8401ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_47_8399-8401ft.jpg	278	9999-12-31	2241
2/8-8	48	8399-8401ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_48_8399-8401ft.jpg	278	9999-12-31	2242
2/8-8	49	8417-8423ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_49_8417-8423ft.jpg	278	9999-12-31	2243
2/8-8	50	8417-8423ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_50_8417-8423ft.jpg	278	9999-12-31	2244
2/8-8	51	8423-8429ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_51_8423-8429ft.jpg	278	9999-12-31	2245
2/8-8	52	8423-8429ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_52_8423-8429ft.jpg	278	9999-12-31	2246
2/8-8	53	8429-8433ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_53_8429-8433ft.jpg	278	9999-12-31	2247
2/8-8	54	8429-8433ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_54_8429-8433ft.jpg	278	9999-12-31	2248
2/8-8	55	8515-8521ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_55_8515-8521ft.jpg	278	9999-12-31	2249
2/8-8	56	8515-8521ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_56_8515-8521ft.jpg	278	9999-12-31	2250
2/8-8	57	8521-8527ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_57_8521-8527ft.jpg	278	9999-12-31	2251
2/8-8	58	8521-8527ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_58_8521-8527ft.jpg	278	9999-12-31	2252
2/8-8	59	8527-8533ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_59_8527-8533ft.jpg	278	9999-12-31	2253
2/8-8	60	8527-8533ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/278_60_8527-8533ft.jpg	278	9999-12-31	2254
2/8-A-25 A	1	5152-5156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2504_1_5152-5156m.jpg	2504	9999-12-31	2255
2/8-A-29	1	2617-2621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1671_01_2617-2621m.jpg	1671	9999-12-31	2256
2/8-A-29	2	2622-2626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1671_02_2622-2626m.jpg	1671	9999-12-31	2257
2/8-A-29	3	2630-2634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1671_03_2630-2634m.jpg	1671	9999-12-31	2258
2/8-A-29	4	2634-2638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1671_04_2634-2638m.jpg	1671	9999-12-31	2259
2/8-A-29	5	2638-2642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1671_05_2638-2642m.jpg	1671	9999-12-31	2260
2/9-3	1	4524-4529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1443_01_4524-4529m.jpg	1443	9999-12-31	2261
2/9-3	2	4529-4534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1443_02_4529-4534m.jpg	1443	9999-12-31	2262
2/9-3	3	4534-4538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1443_03_4534-4538m.jpg	1443	9999-12-31	2263
2/9-3	4	4538-4543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1443_04_4538-4543m.jpg	1443	9999-12-31	2264
2/9-3	5	4543-4548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1443_05_4543-4548m.jpg	1443	9999-12-31	2265
2/9-3	6	4548-4552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1443_06_4548-4552m.jpg	1443	9999-12-31	2266
24/12-1 R	1	4170-4172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/513_01_4170-4172m.jpg	513	9999-12-31	2267
24/12-1 R	2	4172-4175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/513_02_4172-4175m.jpg	513	9999-12-31	2268
24/12-1 R	3	4175-4178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/513_03_4175-4178m.jpg	513	9999-12-31	2269
24/12-1 R	4	4178-4179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/513_04_4178-4179m.jpg	513	9999-12-31	2270
24/12-1 R	5	4179-4181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/513_05_4179-4181m.jpg	513	9999-12-31	2271
24/12-1 R	6	4181-4182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/513_06_4181-4182m.jpg	513	9999-12-31	2272
24/12-2	1	4960-4965m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/348_01_4960-4965m.jpg	348	9999-12-31	2273
24/12-2	2	4965-4970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/348_02_4965-4970m.jpg	348	9999-12-31	2274
24/12-2	3	4970-4975m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/348_03_4970-4975m.jpg	348	9999-12-31	2275
24/12-2	3	4975-4977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/348_03_4975-4977m.jpg	348	9999-12-31	2276
24/12-3 S	1	2396-2401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2823_01_2396-2401m.jpg	2823	9999-12-31	2277
24/12-3 S	2	2401-2406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2823_02_2401-2406m.jpg	2823	9999-12-31	2278
24/12-3 S	3	2406-2407m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2823_03_2406-2407m.jpg	2823	9999-12-31	2279
24/6-1	1	2181-2183m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_01_2181-2183m.jpg	443	9999-12-31	2280
24/6-1	2	4479-4485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_02_4479-4485m.jpg	443	9999-12-31	2281
24/6-1	3	4485-4491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_03_4485-4491m.jpg	443	9999-12-31	2282
24/6-1	4	4491-4497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_04_4491-4497m.jpg	443	9999-12-31	2283
24/6-1	5	4497-4503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_05_4497-4503m.jpg	443	9999-12-31	2284
24/6-1	6	4503-4509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_06_4503-4509m.jpg	443	9999-12-31	2285
24/6-1	7	4509-4513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_07_4509-4513m.jpg	443	9999-12-31	2286
24/6-1	8	4623-4629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_08_4623-4629m.jpg	443	9999-12-31	2287
24/6-1	9	4629-4632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_09_4629-4632m.jpg	443	9999-12-31	2288
24/6-1	10	4688-4694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_10_4688-4694m.jpg	443	9999-12-31	2289
24/6-1	11	4694-4700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_11_4694-4700m.jpg	443	9999-12-31	2290
24/6-1	12	4700-4702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/443_12_4700-4702m.jpg	443	9999-12-31	2291
24/6-2	1	2010-2011m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_01_2010-2011m.jpg	3397	9999-12-31	2292
24/6-2	2	2012-2017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_02_2012-2017m.jpg	3397	9999-12-31	2293
24/6-2	3	2017-2022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_03_2017-2022m.jpg	3397	9999-12-31	2294
24/6-2	4	2022-2027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_04_2022-2027m.jpg	3397	9999-12-31	2295
24/6-2	5	2027-2028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_05_2027-2028m.jpg	3397	9999-12-31	2296
24/6-2	6	2029-2034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_06_2029-2034m.jpg	3397	9999-12-31	2297
24/6-2	7	2034-2039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_07_2034-2039m.jpg	3397	9999-12-31	2298
24/6-2	8	2039-2044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_08_2039-2044m.jpg	3397	9999-12-31	2299
24/6-2	9	2044-2049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_09_2044-2049m.jpg	3397	9999-12-31	2300
24/6-2	10	2049-2054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_10_2049-2054m.jpg	3397	9999-12-31	2301
24/6-2	11	2054-2057m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_11_2054-2057m.jpg	3397	9999-12-31	2302
24/6-2	12	2057-2062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_12_2057-2062m.jpg	3397	9999-12-31	2303
24/6-2	13	2062-2063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_13_2062-2063m.jpg	3397	9999-12-31	2304
24/6-2	14	2075-2076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_14_2075-2076m.jpg	3397	9999-12-31	2305
24/6-2	15	2076-2081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_15_2076-2081m.jpg	3397	9999-12-31	2306
24/6-2	16	2081-2083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_16_2081-2083m.jpg	3397	9999-12-31	2307
24/6-2	17	2084-2089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_17_2084-2089m.jpg	3397	9999-12-31	2308
24/6-2	18	2089-2094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_18_2089-2094m.jpg	3397	9999-12-31	2309
24/6-2	19	2094-2099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_19_2094-2099m.jpg	3397	9999-12-31	2310
24/6-2	20	2099-2102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_20_2099-2102m.jpg	3397	9999-12-31	2311
24/6-2	21	2102-2107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_21_2102-2107m.jpg	3397	9999-12-31	2312
24/6-2	22	2107-2112m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_22_2107-2112m.jpg	3397	9999-12-31	2313
24/6-2	23	2112-2117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_23_2112-2117m.jpg	3397	9999-12-31	2314
24/6-2	24	2117-2120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_24_2117-2120m.jpg	3397	9999-12-31	2315
24/6-2	25	2120-2125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_25_2120-2125m.jpg	3397	9999-12-31	2316
24/6-2	26	2125-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_26_2125-2130m.jpg	3397	9999-12-31	2317
24/6-2	27	2130-2135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_27_2130-2135m.jpg	3397	9999-12-31	2318
24/6-2	28	2135-2138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_28_2135-2138m.jpg	3397	9999-12-31	2319
24/6-2	29	2138-2143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_29_2138-2143m.jpg	3397	9999-12-31	2320
24/6-2	30	2143-2148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_30_2143-2148m.jpg	3397	9999-12-31	2321
24/6-2	31	2148-2153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_31_2148-2153m.jpg	3397	9999-12-31	2322
24/6-2	32	2153-2155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_32_2153-2155m.jpg	3397	9999-12-31	2323
24/6-2	33	2156-2161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_33_2156-2161m.jpg	3397	9999-12-31	2324
24/6-2	34	2161-2166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_34_2161-2166m.jpg	3397	9999-12-31	2325
24/6-2	35	2166-2171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_35_2166-2171m.jpg	3397	9999-12-31	2326
24/6-2	36	2171-2174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_36_2171-2174m.jpg	3397	9999-12-31	2327
24/6-2	37	2174-2179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_37_2174-2179m.jpg	3397	9999-12-31	2328
24/6-2	38	2179-2184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_38_2179-2184m.jpg	3397	9999-12-31	2329
24/6-2	39	2184-2189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_39_2184-2189m.jpg	3397	9999-12-31	2330
24/6-2	40	2189-2192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3397_40_2189-2192m.jpg	3397	9999-12-31	2331
24/9-3	1	1777-1780m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/346_01_1777-1780m.jpg	346	9999-12-31	2332
24/9-3	2	1780-1780m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/346_02_1780-1780m.jpg	346	9999-12-31	2333
24/9-3	3	1783-1785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/346_03_1783-1785m.jpg	346	9999-12-31	2334
24/9-3	4	1786-1787m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/346_04_1786-1787m.jpg	346	9999-12-31	2335
24/9-3	5	1787-1788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/346_05_1787-1788m.jpg	346	9999-12-31	2336
24/9-3	6	1788-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/346_06_1788-1794m.jpg	346	9999-12-31	2337
24/9-3	7	1788-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/346_07_1788-1794m.jpg	346	9999-12-31	2338
24/9-3	8	1788-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/346_08_1788-1794m.jpg	346	9999-12-31	2339
24/9-3	9	1794-1797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/346_09_1794-1797m.jpg	346	9999-12-31	2340
24/9-4	1	1773-1776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1714_01_1773-1776m.jpg	1714	9999-12-31	2341
24/9-4	2	1776-1778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1714_02_1776-1778m.jpg	1714	9999-12-31	2342
24/9-4	3	1782-1785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1714_03_1782-1785m.jpg	1714	9999-12-31	2343
24/9-4	4	1785-1787m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1714_04_1785-1787m.jpg	1714	9999-12-31	2344
24/9-4	5	1787-1791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1714_05_1787-1791m.jpg	1714	9999-12-31	2345
24/9-5	1	2000-2002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2244_01_2000-2002m.jpg	2244	9999-12-31	2346
24/9-5	2	2002-2007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2244_02_2002-2007m.jpg	2244	9999-12-31	2347
24/9-5	3	2007-2012m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2244_03_2007-2012m.jpg	2244	9999-12-31	2348
24/9-5	4	2012-2017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2244_04_2012-2017m.jpg	2244	9999-12-31	2349
24/9-5	5	2017-2020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2244_05_2017-2020m.jpg	2244	9999-12-31	2350
24/9-5	6	2020-2025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2244_06_2020-2025m.jpg	2244	9999-12-31	2351
24/9-5	7	2025-2030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2244_07_2025-2030m.jpg	2244	9999-12-31	2352
24/9-5	8	2030-2033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2244_08_2030-2033m.jpg	2244	9999-12-31	2353
24/9-5	9	2048-2052m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2244_09_2048-2052m.jpg	2244	9999-12-31	2354
24/9-6	1	2022-2024m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2288_01_2022-2024m.jpg	2288	9999-12-31	2355
24/9-6	2	2024-2029m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2288_02_2024-2029m.jpg	2288	9999-12-31	2356
24/9-6	3	2029-2032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2288_03_2029-2032m.jpg	2288	9999-12-31	2357
24/9-6	4	2032-2037m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2288_04_2032-2037m.jpg	2288	9999-12-31	2358
24/9-6	5	2037-2042m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2288_05_2037-2042m.jpg	2288	9999-12-31	2359
24/9-6	6	2042-2045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2288_06_2042-2045m.jpg	2288	9999-12-31	2360
25/10-1	1	5480-5487ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_01_5480-5487ft.jpg	441	9999-12-31	2361
25/10-1	2	5487-5497ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_02_5487-5497ft.jpg	441	9999-12-31	2362
25/10-1	3	5497-5508ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_03_5497-5508ft.jpg	441	9999-12-31	2363
25/10-1	4	5508-5517ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_04_5508-5517ft.jpg	441	9999-12-31	2364
25/10-1	5	5517-5526ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_05_5517-5526ft.jpg	441	9999-12-31	2365
25/10-1	6	5526-5537ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_06_5526-5537ft.jpg	441	9999-12-31	2366
25/10-1	7	5537-5549ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_07_5537-5549ft.jpg	441	9999-12-31	2367
25/10-1	8	5550-5560ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_08_5550-5560ft.jpg	441	9999-12-31	2368
25/10-1	9	5560-5572ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_09_5560-5572ft.jpg	441	9999-12-31	2369
25/10-1	10	5572-5584ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_10_5572-5584ft.jpg	441	9999-12-31	2370
25/10-1	11	5584-5596ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_11_5584-5596ft.jpg	441	9999-12-31	2371
25/10-1	12	5596-5605ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_12_5596-5605ft.jpg	441	9999-12-31	2372
25/10-1	13	5605-5613ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_13_5605-5613ft.jpg	441	9999-12-31	2373
25/10-1	14	5619-5628ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_14_5619-5628ft.jpg	441	9999-12-31	2374
25/10-1	15	4528-5636ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_15_4528-5636ft.jpg	441	9999-12-31	2375
25/10-1	16	5636-5645ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_16_5636-5645ft.jpg	441	9999-12-31	2376
25/10-1	17	5645-5453ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_17_5645-5453ft.jpg	441	9999-12-31	2377
25/10-1	18	5653-5662ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_18_5653-5662ft.jpg	441	9999-12-31	2378
25/10-1	19	5662-5671ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_19_5662-5671ft.jpg	441	9999-12-31	2379
25/10-1	20	5671-5680ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_20_5671-5680ft.jpg	441	9999-12-31	2380
25/10-1	21	5688-5696ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_21_5688-5696ft.jpg	441	9999-12-31	2381
25/10-1	22	5696-5705ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_22_5696-5705ft.jpg	441	9999-12-31	2382
25/10-1	23	5705-5713ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_23_5705-5713ft.jpg	441	9999-12-31	2383
25/10-1	24	5713-5719ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_24_5713-5719ft.jpg	441	9999-12-31	2384
25/10-1	25	5719-5727ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_25_5719-5727ft.jpg	441	9999-12-31	2385
25/10-1	26	5727-5733ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_26_5727-5733ft.jpg	441	9999-12-31	2386
25/10-1	27	5680-5687ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_27_5680-5687ft.jpg	441	9999-12-31	2387
25/10-1	28	5687-5696ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_28_5687-5696ft.jpg	441	9999-12-31	2388
25/10-1	29	5696-5705ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_29_5696-5705ft.jpg	441	9999-12-31	2389
25/10-1	30	5705-5714ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_30_5705-5714ft.jpg	441	9999-12-31	2390
25/10-1	31	5725-5732ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_31_5725-5732ft.jpg	441	9999-12-31	2391
25/10-1	32	5732-5741ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_32_5732-5741ft.jpg	441	9999-12-31	2392
25/10-1	33	5741-5750ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_33_5741-5750ft.jpg	441	9999-12-31	2393
25/10-1	34	5750-5756ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_34_5750-5756ft.jpg	441	9999-12-31	2394
25/10-1	35	5767-5776ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_35_5767-5776ft.jpg	441	9999-12-31	2395
25/10-1	36	5776-5785ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_36_5776-5785ft.jpg	441	9999-12-31	2396
25/10-1	37	5785-5794ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_37_5785-5794ft.jpg	441	9999-12-31	2397
25/10-1	38	5794-5797ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_38_5794-5797ft.jpg	441	9999-12-31	2398
25/10-1	39	5799-5859ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_39_5799-5859ft.jpg	441	9999-12-31	2399
25/10-1	40	5799-5859ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_40_5799-5859ft.jpg	441	9999-12-31	2400
25/10-1	41	5799-5859ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_41_5799-5859ft.jpg	441	9999-12-31	2401
25/10-1	42	5799-5859ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_42_5799-5859ft.jpg	441	9999-12-31	2402
25/10-1	43	5799-5859ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_43_5799-5859ft.jpg	441	9999-12-31	2403
25/10-1	44	5799-5859ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_44_5799-5859ft.jpg	441	9999-12-31	2404
25/10-1	45	5799-5859ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_45_5799-5859ft.jpg	441	9999-12-31	2405
25/10-1	46	5859-5919ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_46_5859-5919ft.jpg	441	9999-12-31	2406
25/10-1	47	5859-5919ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_47_5859-5919ft.jpg	441	9999-12-31	2407
25/10-1	48	5859-5919ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_48_5859-5919ft.jpg	441	9999-12-31	2408
25/10-1	49	5859-5919ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_49_5859-5919ft.jpg	441	9999-12-31	2409
25/10-1	50	5859-5919ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_50_5859-5919ft.jpg	441	9999-12-31	2410
25/10-1	51	5859-5919ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_51_5859-5919ft.jpg	441	9999-12-31	2411
25/10-1	52	5859-5919ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/441_52_5859-5919ft.jpg	441	9999-12-31	2412
25/10-6 S	1	4339-4343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2728_01_4339-4343m.jpg	2728	9999-12-31	2413
25/10-6 S	2	4344-4349m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2728_02_4344-4349m.jpg	2728	9999-12-31	2414
25/10-6 S	3	4349-4399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2728_03_4349-4399m.jpg	2728	9999-12-31	2415
25/10-7 S	1	2200-2205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_01_2200-2205m.jpg	2769	9999-12-31	2416
25/10-7 S	2	2205-2210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_02_2205-2210m.jpg	2769	9999-12-31	2417
25/10-7 S	3	2210-2215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_03_2210-2215m.jpg	2769	9999-12-31	2418
25/10-7 S	4	2215-2220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_04_2215-2220m.jpg	2769	9999-12-31	2419
25/10-7 S	5	2220-2225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_05_2220-2225m.jpg	2769	9999-12-31	2420
25/10-7 S	6	2225-2230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_06_2225-2230m.jpg	2769	9999-12-31	2421
25/10-7 S	7	2230-2230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_07_2230-2230m.jpg	2769	9999-12-31	2422
25/10-7 S	8	2232-2237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_08_2232-2237m.jpg	2769	9999-12-31	2423
25/10-7 S	9	2237-2242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_09_2237-2242m.jpg	2769	9999-12-31	2424
25/10-7 S	10	2242-2247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_10_2242-2247m.jpg	2769	9999-12-31	2425
25/10-7 S	11	2247-2252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_11_2247-2252m.jpg	2769	9999-12-31	2426
25/10-7 S	12	2252-2257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_12_2252-2257m.jpg	2769	9999-12-31	2427
25/10-7 S	13	2257-2262m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_13_2257-2262m.jpg	2769	9999-12-31	2428
25/10-7 S	14	2262-2267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_14_2262-2267m.jpg	2769	9999-12-31	2429
25/10-7 S	15	2267-2269m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_15_2267-2269m.jpg	2769	9999-12-31	2430
25/10-7 S	16	2269-2274m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_16_2269-2274m.jpg	2769	9999-12-31	2431
25/10-7 S	17	2274-2279m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_17_2274-2279m.jpg	2769	9999-12-31	2432
25/10-7 S	18	2279-2284m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_18_2279-2284m.jpg	2769	9999-12-31	2433
25/10-7 S	19	2284-2289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_19_2284-2289m.jpg	2769	9999-12-31	2434
25/10-7 S	20	2289-2294m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_20_2289-2294m.jpg	2769	9999-12-31	2435
25/10-7 S	21	2294-2299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_21_2294-2299m.jpg	2769	9999-12-31	2436
25/10-7 S	22	2299-2304m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_22_2299-2304m.jpg	2769	9999-12-31	2437
25/10-7 S	23	2304-2307m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_23_2304-2307m.jpg	2769	9999-12-31	2438
25/10-7 S	24	2307-2311m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_24_2307-2311m.jpg	2769	9999-12-31	2439
25/10-7 S	25	2311-2316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_25_2311-2316m.jpg	2769	9999-12-31	2440
25/10-7 S	26	2316-2321m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_26_2316-2321m.jpg	2769	9999-12-31	2441
25/10-7 S	27	2321-2326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_27_2321-2326m.jpg	2769	9999-12-31	2442
25/10-7 S	28	2326-2331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_28_2326-2331m.jpg	2769	9999-12-31	2443
25/10-7 S	29	2331-2336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_29_2331-2336m.jpg	2769	9999-12-31	2444
25/10-7 S	30	2336-2341m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_30_2336-2341m.jpg	2769	9999-12-31	2445
25/10-7 S	31	2341-2342m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_31_2341-2342m.jpg	2769	9999-12-31	2446
25/10-7 S	32	2342-2347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_32_2342-2347m.jpg	2769	9999-12-31	2447
25/10-7 S	33	2347-2352m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_33_2347-2352m.jpg	2769	9999-12-31	2448
25/10-7 S	34	2352-2357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_34_2352-2357m.jpg	2769	9999-12-31	2449
25/10-7 S	35	2357-2362m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_35_2357-2362m.jpg	2769	9999-12-31	2450
25/10-7 S	36	2362-2367m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_36_2362-2367m.jpg	2769	9999-12-31	2451
25/10-7 S	37	2367-2372m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_37_2367-2372m.jpg	2769	9999-12-31	2452
25/10-7 S	38	2372-2377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_38_2372-2377m.jpg	2769	9999-12-31	2453
25/10-7 S	39	2377-2380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2769_39_2377-2380m.jpg	2769	9999-12-31	2454
25/10-8	1	2080-2085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_01_2080-2085m.jpg	2955	9999-12-31	2455
25/10-8	2	2085-2090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_02_2085-2090m.jpg	2955	9999-12-31	2456
25/10-8	3	2090-2095m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_03_2090-2095m.jpg	2955	9999-12-31	2457
25/10-8	4	2095-2100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_04_2095-2100m.jpg	2955	9999-12-31	2458
25/10-8	5	2100-2105m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_05_2100-2105m.jpg	2955	9999-12-31	2459
25/10-8	6	2105-2107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_06_2105-2107m.jpg	2955	9999-12-31	2460
25/10-8	7	2518-2523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_07_2518-2523m.jpg	2955	9999-12-31	2461
25/10-8	8	2523-2528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_08_2523-2528m.jpg	2955	9999-12-31	2462
25/10-8	9	2528-2533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_09_2528-2533m.jpg	2955	9999-12-31	2463
25/10-8	10	2533-2538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_10_2533-2538m.jpg	2955	9999-12-31	2464
25/10-8	11	2538-2543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_11_2538-2543m.jpg	2955	9999-12-31	2465
25/10-8	12	2543-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2955_12_2543-2546m.jpg	2955	9999-12-31	2466
25/10-8 A	1	3110-3115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_01_3110-3115m.jpg	3098	9999-12-31	2467
25/10-8 A	2	3115-3120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_02_3115-3120m.jpg	3098	9999-12-31	2468
25/10-8 A	3	3120-3125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_03_3120-3125m.jpg	3098	9999-12-31	2469
25/10-8 A	4	3125-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_04_3125-3130m.jpg	3098	9999-12-31	2470
25/10-8 A	5	3130-2335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_05_3130-2335m.jpg	3098	9999-12-31	2471
25/10-8 A	6	3135-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_06_3135-3140m.jpg	3098	9999-12-31	2472
25/10-8 A	7	3140-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_07_3140-3145m.jpg	3098	9999-12-31	2473
25/10-8 A	8	3145-3147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_08_3145-3147m.jpg	3098	9999-12-31	2474
25/10-8 A	9	3147-3152m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_09_3147-3152m.jpg	3098	9999-12-31	2475
25/10-8 A	10	3152-3157m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_10_3152-3157m.jpg	3098	9999-12-31	2476
25/10-8 A	11	3157-3162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_11_3157-3162m.jpg	3098	9999-12-31	2477
25/10-8 A	12	3162-3164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_12_3162-3164m.jpg	3098	9999-12-31	2478
25/10-8 A	13	3165-3170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_13_3165-3170m.jpg	3098	9999-12-31	2479
25/10-8 A	14	3170-3175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_14_3170-3175m.jpg	3098	9999-12-31	2480
25/10-8 A	15	3175-3180m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_15_3175-3180m.jpg	3098	9999-12-31	2481
25/10-8 A	16	3180-3185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_16_3180-3185m.jpg	3098	9999-12-31	2482
25/10-8 A	17	3185-3190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_17_3185-3190m.jpg	3098	9999-12-31	2483
25/10-8 A	18	3190-3195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_18_3190-3195m.jpg	3098	9999-12-31	2484
25/10-8 A	19	3195-3200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_19_3195-3200m.jpg	3098	9999-12-31	2485
25/10-8 A	20	3200-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3098_20_3200-3202m.jpg	3098	9999-12-31	2486
25/11-14 S	1	2010-2014m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_01_2010-2014m.jpg	1672	9999-12-31	2487
25/11-14 S	2	2014-2018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_02_2014-2018m.jpg	1672	9999-12-31	2488
25/11-14 S	3	2018-2020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_03_2018-2020m.jpg	1672	9999-12-31	2489
25/11-14 S	4	2020-2024m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_04_2020-2024m.jpg	1672	9999-12-31	2490
25/11-14 S	5	2024-2028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_05_2024-2028m.jpg	1672	9999-12-31	2491
25/11-14 S	6	2028-2032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_06_2028-2032m.jpg	1672	9999-12-31	2492
25/11-14 S	7	2032-2036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_07_2032-2036m.jpg	1672	9999-12-31	2493
25/11-14 S	8	2036-2037m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_08_2036-2037m.jpg	1672	9999-12-31	2494
25/11-14 S	9	2038-2042m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_09_2038-2042m.jpg	1672	9999-12-31	2495
25/11-14 S	10	2042-2045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_10_2042-2045m.jpg	1672	9999-12-31	2496
25/11-14 S	11	2046-2049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_11_2046-2049m.jpg	1672	9999-12-31	2497
25/11-14 S	12	2050-2054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_12_2050-2054m.jpg	1672	9999-12-31	2498
25/11-14 S	13	2054-2058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_13_2054-2058m.jpg	1672	9999-12-31	2499
25/11-14 S	14	2058-2062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_14_2058-2062m.jpg	1672	9999-12-31	2500
25/11-14 S	15	2062-2064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_15_2062-2064m.jpg	1672	9999-12-31	2501
25/11-14 S	16	2064-2068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_16_2064-2068m.jpg	1672	9999-12-31	2502
25/11-14 S	17	2068-2070m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_17_2068-2070m.jpg	1672	9999-12-31	2503
25/11-14 S	18	1882-1883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1672_18_1882-1883m.jpg	1672	9999-12-31	2504
25/11-15	1	1680-1785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_01_1680-1785m.jpg	1872	2013-02-14	2505
25/11-15	2	1685-1689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_02_1685-1689m.jpg	1872	2013-02-14	2506
25/11-15	3	1689-1694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_03_1689-1694m.jpg	1872	2013-02-14	2507
25/11-15	4	1694-1699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_04_1694-1699m.jpg	1872	2013-02-14	2508
25/11-15	5	1699-1704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_05_1699-1704m.jpg	1872	2013-02-14	2509
25/11-15	6	1699-1704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_06_1699-1704m.jpg	1872	2013-02-14	2510
25/11-15	7	1704-1705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_07_1704-1705m.jpg	1872	2013-02-14	2511
25/11-15	8	1708-1713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_08_1708-1713m.jpg	1872	2013-02-14	2512
25/11-15	9	1713-1718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_09_1713-1718m.jpg	1872	2013-02-14	2513
25/11-15	10	1718-1723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_10_1718-1723m.jpg	1872	2013-02-14	2514
25/11-15	11	1723-1728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_11_1723-1728m.jpg	1872	2013-02-14	2515
25/11-15	12	1728-1733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_12_1728-1733m.jpg	1872	2013-02-14	2516
25/11-15	13	1733-1738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_13_1733-1738m.jpg	1872	2013-02-14	2517
25/11-15	14	1738-1745m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_14_1738-1745m.jpg	1872	2013-02-14	2518
25/11-15	15	1745-1750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_15_1745-1750m.jpg	1872	2013-02-14	2519
25/11-15	16	1750-1754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_16_1750-1754m.jpg	1872	2013-02-14	2520
25/11-15	17	1754-1759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_17_1754-1759m.jpg	1872	2013-02-14	2521
25/11-15	18	1759-1764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_18_1759-1764m.jpg	1872	2013-02-14	2522
25/11-15	19	1764-1769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_19_1764-1769m.jpg	1872	2013-02-14	2523
25/11-15	20	1769-1774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_20_1769-1774m.jpg	1872	2013-02-14	2524
25/11-15	21	1774-1779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_21_1774-1779m.jpg	1872	2013-02-14	2525
25/11-15	22	1779-1784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_22_1779-1784m.jpg	1872	2013-02-14	2526
25/11-15	23	1784-1789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_23_1784-1789m.jpg	1872	2013-02-14	2527
25/11-15	24	1789-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_24_1789-1794m.jpg	1872	2013-02-14	2528
25/11-15	25	1794-1796m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1872_25_1794-1796m.jpg	1872	2013-02-14	2529
25/11-16	1	1699-1704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_01_1699-1704m.jpg	1920	9999-12-31	2530
25/11-16	2	1704-1709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_02_1704-1709m.jpg	1920	9999-12-31	2531
25/11-16	3	1709-1713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_03_1709-1713m.jpg	1920	9999-12-31	2532
25/11-16	4	1713-1718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_04_1713-1718m.jpg	1920	9999-12-31	2533
25/11-16	5	1718-1723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_05_1718-1723m.jpg	1920	9999-12-31	2534
25/11-16	6	1723-1725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_06_1723-1725m.jpg	1920	9999-12-31	2535
25/11-16	7	1730-1735m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_07_1730-1735m.jpg	1920	9999-12-31	2536
25/11-16	8	1735-1740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_08_1735-1740m.jpg	1920	9999-12-31	2537
25/11-16	9	1740-1740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_09_1740-1740m.jpg	1920	9999-12-31	2538
25/11-16	10	1747-1748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_10_1747-1748m.jpg	1920	9999-12-31	2539
25/11-16	11	1748-1753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_11_1748-1753m.jpg	1920	9999-12-31	2540
25/11-16	12	1753-1758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_12_1753-1758m.jpg	1920	9999-12-31	2541
25/11-16	13	1758-1763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_13_1758-1763m.jpg	1920	9999-12-31	2542
25/11-16	14	1763-1767m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_14_1763-1767m.jpg	1920	9999-12-31	2543
25/11-16	15	1767-1772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_15_1767-1772m.jpg	1920	9999-12-31	2544
25/11-16	16	1772-1777m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_16_1772-1777m.jpg	1920	9999-12-31	2545
25/11-16	17	1777-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_17_1777-1782m.jpg	1920	9999-12-31	2546
25/11-16	18	1782-1784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_18_1782-1784m.jpg	1920	9999-12-31	2547
25/11-16	19	1784-1786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_19_1784-1786m.jpg	1920	9999-12-31	2548
25/11-16	20	1786-1791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_20_1786-1791m.jpg	1920	9999-12-31	2549
25/11-16	21	1791-1796m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_21_1791-1796m.jpg	1920	9999-12-31	2550
25/11-16	22	1796-1801m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_22_1796-1801m.jpg	1920	9999-12-31	2551
25/11-16	23	1803-1808m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_23_1803-1808m.jpg	1920	9999-12-31	2552
25/11-16	24	1808-1813m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_24_1808-1813m.jpg	1920	9999-12-31	2553
25/11-16	25	1813-1818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_25_1813-1818m.jpg	1920	9999-12-31	2554
25/11-16	26	1818-1820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_26_1818-1820m.jpg	1920	9999-12-31	2555
25/11-16	27	1821-1826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_27_1821-1826m.jpg	1920	9999-12-31	2556
25/11-16	28	1826-1831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_28_1826-1831m.jpg	1920	9999-12-31	2557
25/11-16	29	1831-1836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_29_1831-1836m.jpg	1920	9999-12-31	2558
25/11-16	30	1836-1838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_30_1836-1838m.jpg	1920	9999-12-31	2559
25/11-16	31	1839-1844m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_31_1839-1844m.jpg	1920	9999-12-31	2560
25/11-16	32	1849-1854m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_32_1849-1854m.jpg	1920	9999-12-31	2561
25/11-16	33	1844-1849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_33_1844-1849m.jpg	1920	9999-12-31	2562
25/11-16	34	1855-1860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_34_1855-1860m.jpg	1920	9999-12-31	2563
25/11-16	35	1860-1865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_35_1860-1865m.jpg	1920	9999-12-31	2564
25/11-16	36	1865-1870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_36_1865-1870m.jpg	1920	9999-12-31	2565
25/11-16	37	1870-1875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_37_1870-1875m.jpg	1920	9999-12-31	2566
25/11-16	38	1875-1880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_38_1875-1880m.jpg	1920	9999-12-31	2567
25/11-16	39	1880-1881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_39_1880-1881m.jpg	1920	9999-12-31	2568
25/11-16	40	1882-1886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_40_1882-1886m.jpg	1920	9999-12-31	2569
25/11-16	41	1887-1892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_41_1887-1892m.jpg	1920	9999-12-31	2570
25/11-16	42	1892-1897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_42_1892-1897m.jpg	1920	9999-12-31	2571
25/11-16	43	1897-1902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_43_1897-1902m.jpg	1920	9999-12-31	2572
25/11-16	44	1902-1907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_44_1902-1907m.jpg	1920	9999-12-31	2573
25/11-16	45	1907-1912m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_45_1907-1912m.jpg	1920	9999-12-31	2574
25/11-16	46	1912-1914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1920_46_1912-1914m.jpg	1920	9999-12-31	2575
25/11-17	1	1625-1630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_01_1625-1630m.jpg	1921	9999-12-31	2576
25/11-17	2	1630-1635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_02_1630-1635m.jpg	1921	9999-12-31	2577
25/11-17	3	1635-1640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_03_1635-1640m.jpg	1921	9999-12-31	2578
25/11-17	4	1640-1641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_04_1640-1641m.jpg	1921	9999-12-31	2579
25/11-17	5	1643-1648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_05_1643-1648m.jpg	1921	9999-12-31	2580
25/11-17	6	1648-1651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_06_1648-1651m.jpg	1921	9999-12-31	2581
25/11-17	7	1654-1659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_07_1654-1659m.jpg	1921	9999-12-31	2582
25/11-17	8	1659-1660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_08_1659-1660m.jpg	1921	9999-12-31	2583
25/11-17	9	1661-1666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_09_1661-1666m.jpg	1921	9999-12-31	2584
25/11-17	10	1666-1671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_10_1666-1671m.jpg	1921	9999-12-31	2585
25/11-17	11	1671-1675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_11_1671-1675m.jpg	1921	9999-12-31	2586
25/11-17	12	1676-1679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_12_1676-1679m.jpg	1921	9999-12-31	2587
25/11-17	13	1679-1684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_13_1679-1684m.jpg	1921	9999-12-31	2588
25/11-17	14	1684-1689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_14_1684-1689m.jpg	1921	9999-12-31	2589
25/11-17	15	1689-1694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_15_1689-1694m.jpg	1921	9999-12-31	2590
25/11-17	16	1694-1699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_16_1694-1699m.jpg	1921	9999-12-31	2591
25/11-17	17	1699-1704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_17_1699-1704m.jpg	1921	9999-12-31	2592
25/11-17	18	1704-1705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_18_1704-1705m.jpg	1921	9999-12-31	2593
25/11-17	19	1706-1711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_19_1706-1711m.jpg	1921	9999-12-31	2594
25/11-17	20	1711-1716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_20_1711-1716m.jpg	1921	9999-12-31	2595
25/11-17	21	1716-1721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_21_1716-1721m.jpg	1921	9999-12-31	2596
25/11-17	22	1721-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_22_1721-1726m.jpg	1921	9999-12-31	2597
25/11-17	23	1726-1731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_23_1726-1731m.jpg	1921	9999-12-31	2598
25/11-17	24	1731-1732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_24_1731-1732m.jpg	1921	9999-12-31	2599
25/11-17	25	1732-1737m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_25_1732-1737m.jpg	1921	9999-12-31	2600
25/11-17	26	1737-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_26_1737-1742m.jpg	1921	9999-12-31	2601
25/11-17	27	1742-1747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_27_1742-1747m.jpg	1921	9999-12-31	2602
25/11-17	28	1747-1752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_28_1747-1752m.jpg	1921	9999-12-31	2603
25/11-17	29	1752-1757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_29_1752-1757m.jpg	1921	9999-12-31	2604
25/11-17	30	1757-1759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_30_1757-1759m.jpg	1921	9999-12-31	2605
25/11-17	31	2018-2023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_31_2018-2023m.jpg	1921	9999-12-31	2606
25/11-17	32	2023-2028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_32_2023-2028m.jpg	1921	9999-12-31	2607
25/11-17	33	2028-2033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_33_2028-2033m.jpg	1921	9999-12-31	2608
25/11-17	34	2033-2035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_34_2033-2035m.jpg	1921	9999-12-31	2609
25/11-17	35	2248-2253m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_35_2248-2253m.jpg	1921	9999-12-31	2610
25/11-17	36	2253-2256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1921_36_2253-2256m.jpg	1921	9999-12-31	2611
25/11-18	1	1690-1691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_01_1690-1691m.jpg	2358	9999-12-31	2612
25/11-18	2	1690-1691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_02_1690-1691m.jpg	2358	9999-12-31	2613
25/11-18	3	1699-1700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_03_1699-1700m.jpg	2358	9999-12-31	2614
25/11-18	4	1699-1700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_04_1699-1700m.jpg	2358	9999-12-31	2615
25/11-18	5	1728-1729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_05_1728-1729m.jpg	2358	9999-12-31	2616
25/11-18	6	1720-1722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_06_1720-1722m.jpg	2358	9999-12-31	2617
25/11-18	7	1720-1722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_07_1720-1722m.jpg	2358	9999-12-31	2618
25/11-18	8	1720-1722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_08_1720-1722m.jpg	2358	9999-12-31	2619
25/11-18	9	1720-1722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_09_1720-1722m.jpg	2358	9999-12-31	2620
25/11-18	10	1747-1750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_10_1747-1750m.jpg	2358	9999-12-31	2621
25/11-18	11	1747-1750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_11_1747-1750m.jpg	2358	9999-12-31	2622
25/11-18	12	1747-1750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_12_1747-1750m.jpg	2358	9999-12-31	2623
25/11-18	13	1747-1750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_13_1747-1750m.jpg	2358	9999-12-31	2624
25/11-18	15	1747-1750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_15_1747-1750m.jpg	2358	9999-12-31	2625
25/11-18	16	1751-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_16_1751-1756m.jpg	2358	9999-12-31	2626
25/11-18	17	1751-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_17_1751-1756m.jpg	2358	9999-12-31	2627
25/11-18	18	1751-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_18_1751-1756m.jpg	2358	9999-12-31	2628
25/11-18	19	1751-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_19_1751-1756m.jpg	2358	9999-12-31	2629
25/11-18	20	1751-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_20_1751-1756m.jpg	2358	9999-12-31	2630
25/11-18	21	1751-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_21_1751-1756m.jpg	2358	9999-12-31	2631
25/11-18	22	1751-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_22_1751-1756m.jpg	2358	9999-12-31	2632
25/11-18	23	1751-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_23_1751-1756m.jpg	2358	9999-12-31	2633
25/11-18	24	1751-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_24_1751-1756m.jpg	2358	9999-12-31	2634
25/11-18	25	1769-1772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_25_1769-1772m.jpg	2358	9999-12-31	2635
25/11-18	26	1769-1172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_26_1769-1172m.jpg	2358	9999-12-31	2636
25/11-18	27	1769-1772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_27_1769-1772m.jpg	2358	9999-12-31	2637
25/11-18	28	1769-1772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_28_1769-1772m.jpg	2358	9999-12-31	2638
25/11-18	29	1769-1772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_29_1769-1772m.jpg	2358	9999-12-31	2639
25/11-18	30	1769-1772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_30_1769-1772m.jpg	2358	9999-12-31	2640
25/11-18	32	1778-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_32_1778-1782m.jpg	2358	9999-12-31	2641
25/11-18	33	1778-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_33_1778-1782m.jpg	2358	9999-12-31	2642
25/11-18	34	1778-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_34_1778-1782m.jpg	2358	9999-12-31	2643
25/11-18	35	1778-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_35_1778-1782m.jpg	2358	9999-12-31	2644
25/11-18	36	1778-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_36_1778-1782m.jpg	2358	9999-12-31	2645
25/11-18	37	1778-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_37_1778-1782m.jpg	2358	9999-12-31	2646
25/11-18	38	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_38_1787-1794m.jpg	2358	9999-12-31	2647
25/11-18	39	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_39_1787-1794m.jpg	2358	9999-12-31	2648
25/11-18	40	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_40_1787-1794m.jpg	2358	9999-12-31	2649
25/11-18	41	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_41_1787-1794m.jpg	2358	9999-12-31	2650
25/11-18	42	1787-1749m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_42_1787-1749m.jpg	2358	9999-12-31	2651
25/11-18	43	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_43_1787-1794m.jpg	2358	9999-12-31	2652
25/11-18	44	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_44_1787-1794m.jpg	2358	9999-12-31	2653
25/11-18	45	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_45_1787-1794m.jpg	2358	9999-12-31	2654
25/11-18	46	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_46_1787-1794m.jpg	2358	9999-12-31	2655
25/11-18	47	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_47_1787-1794m.jpg	2358	9999-12-31	2656
25/11-18	48	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_48_1787-1794m.jpg	2358	9999-12-31	2657
25/11-18	49	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_49_1787-1794m.jpg	2358	9999-12-31	2658
25/11-18	50	1787-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_50_1787-1794m.jpg	2358	9999-12-31	2659
25/11-18	51	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_51_1796-1804m.jpg	2358	9999-12-31	2660
25/11-18	52	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_52_1796-1804m.jpg	2358	9999-12-31	2661
25/11-18	53	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_53_1796-1804m.jpg	2358	9999-12-31	2662
25/11-18	54	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_54_1796-1804m.jpg	2358	9999-12-31	2663
25/11-18	55	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_55_1796-1804m.jpg	2358	9999-12-31	2664
25/11-18	56	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_56_1796-1804m.jpg	2358	9999-12-31	2665
25/11-18	57	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_57_1796-1804m.jpg	2358	9999-12-31	2666
25/11-18	58	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_58_1796-1804m.jpg	2358	9999-12-31	2667
25/11-18	59	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_59_1796-1804m.jpg	2358	9999-12-31	2668
25/11-18	60	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_60_1796-1804m.jpg	2358	9999-12-31	2669
25/11-18	61	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_61_1796-1804m.jpg	2358	9999-12-31	2670
25/11-18	62	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_62_1796-1804m.jpg	2358	9999-12-31	2671
25/11-18	63	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_63_1796-1804m.jpg	2358	9999-12-31	2672
25/11-18	64	1796-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_64_1796-1804m.jpg	2358	9999-12-31	2673
25/11-18	65	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_65_1712-1719m.jpg	2358	9999-12-31	2674
25/11-18	66	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_66_1712-1719m.jpg	2358	9999-12-31	2675
25/11-18	67	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_67_1712-1719m.jpg	2358	9999-12-31	2676
25/11-18	68	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_68_1712-1719m.jpg	2358	9999-12-31	2677
25/11-18	69	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_69_1712-1719m.jpg	2358	9999-12-31	2678
25/11-18	70	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_70_1712-1719m.jpg	2358	9999-12-31	2679
25/11-18	71	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_71_1712-1719m.jpg	2358	9999-12-31	2680
25/11-18	72	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_72_1712-1719m.jpg	2358	9999-12-31	2681
25/11-18	73	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_73_1712-1719m.jpg	2358	9999-12-31	2682
25/11-18	74	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_74_1712-1719m.jpg	2358	9999-12-31	2683
25/11-18	75	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_75_1712-1719m.jpg	2358	9999-12-31	2684
25/11-18	76	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_76_1712-1719m.jpg	2358	9999-12-31	2685
25/11-18	77	1712-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_77_1712-1719m.jpg	2358	9999-12-31	2686
25/11-18	78	17120-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_78_17120-1726m.jpg	2358	9999-12-31	2687
25/11-18	79	1720-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_79_1720-1726m.jpg	2358	9999-12-31	2688
25/11-18	80	1720-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_80_1720-1726m.jpg	2358	9999-12-31	2689
25/11-18	81	1720-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_81_1720-1726m.jpg	2358	9999-12-31	2690
25/11-18	82	1720-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_82_1720-1726m.jpg	2358	9999-12-31	2691
25/11-18	83	1720-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_83_1720-1726m.jpg	2358	9999-12-31	2692
25/11-18	84	1720-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_84_1720-1726m.jpg	2358	9999-12-31	2693
25/11-18	85	1720-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_85_1720-1726m.jpg	2358	9999-12-31	2694
25/11-18	86	1720-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_86_1720-1726m.jpg	2358	9999-12-31	2695
25/11-18	87	1720-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_87_1720-1719m.jpg	2358	9999-12-31	2696
25/11-18	88	1728-1732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_88_1728-1732m.jpg	2358	9999-12-31	2697
25/11-18	89	1728-1732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_89_1728-1732m.jpg	2358	9999-12-31	2698
25/11-18	90	1728-1732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_90_1728-1732m.jpg	2358	9999-12-31	2699
25/11-18	91	1728-1732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_91_1728-1732m.jpg	2358	9999-12-31	2700
25/11-18	92	1728-1732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_92_1728-1732m.jpg	2358	9999-12-31	2701
25/11-18	93	1728-1732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_93_1728-1732m.jpg	2358	9999-12-31	2702
25/11-18	94	1728-1732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_94_1728-1732m.jpg	2358	9999-12-31	2703
25/11-18	95	1728-1732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_95_1728-1732m.jpg	2358	9999-12-31	2704
25/11-18	96	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_96_1733-1742m.jpg	2358	9999-12-31	2705
25/11-18	97	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_97_1733-1742m.jpg	2358	9999-12-31	2706
25/11-18	98	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_98_1733-1742m.jpg	2358	9999-12-31	2707
25/11-18	99	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_99_1733-1742m.jpg	2358	9999-12-31	2708
25/11-18	100	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_100_1733-1742m.jpg	2358	9999-12-31	2709
25/11-18	101	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_101_1733-1742m.jpg	2358	9999-12-31	2710
25/11-18	102	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_102_1733-1742m.jpg	2358	9999-12-31	2711
25/11-18	103	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_103_1733-1742m.jpg	2358	9999-12-31	2712
25/11-18	104	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_104_1733-1742m.jpg	2358	9999-12-31	2713
25/11-18	105	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_105_1733-1742m.jpg	2358	9999-12-31	2714
25/11-18	106	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_106_1733-1742m.jpg	2358	9999-12-31	2715
25/11-18	107	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_107_1733-1742m.jpg	2358	9999-12-31	2716
25/11-18	108	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_108_1733-1742m.jpg	2358	9999-12-31	2717
25/11-18	109	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_109_1733-1742m.jpg	2358	9999-12-31	2718
25/11-18	110	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_110_1733-1742m.jpg	2358	9999-12-31	2719
25/11-18	111	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_111_1733-1742m.jpg	2358	9999-12-31	2720
25/11-18	112	1733-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2358_112_1733-1742m.jpg	2358	9999-12-31	2721
25/11-19 S	1	1871-1875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_01_1871-1875m.jpg	2562	9999-12-31	2722
25/11-19 S	2	1875-1879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_02_1875-1879m.jpg	2562	9999-12-31	2723
25/11-19 S	3	1879-1883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_03_1879-1883m.jpg	2562	9999-12-31	2724
25/11-19 S	4	1883-1887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_04_1883-1887m.jpg	2562	9999-12-31	2725
25/11-19 S	5	1887-1889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_05_1887-1889m.jpg	2562	9999-12-31	2726
25/11-19 S	6	1889-1893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_06_1889-1893m.jpg	2562	9999-12-31	2727
25/11-19 S	7	1893-1897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_07_1893-1897m.jpg	2562	9999-12-31	2728
25/11-19 S	8	1897-1901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_08_1897-1901m.jpg	2562	9999-12-31	2729
25/11-19 S	9	1901-1905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_09_1901-1905m.jpg	2562	9999-12-31	2730
25/11-19 S	10	1905-1908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_10_1905-1908m.jpg	2562	9999-12-31	2731
25/11-19 S	11	1908-1912m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_11_1908-1912m.jpg	2562	9999-12-31	2732
25/11-19 S	12	1912-1916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_12_1912-1916m.jpg	2562	9999-12-31	2733
25/11-19 S	13	1916-1920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_13_1916-1920m.jpg	2562	9999-12-31	2734
25/11-19 S	14	1920-1924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_14_1920-1924m.jpg	2562	9999-12-31	2735
25/11-19 S	15	1924-1928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_15_1924-1928m.jpg	2562	9999-12-31	2736
25/11-19 S	16	1928-1932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_16_1928-1932m.jpg	2562	9999-12-31	2737
25/11-19 S	17	1932-1936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_17_1932-1936m.jpg	2562	9999-12-31	2738
25/11-19 S	18	1936-1937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2562_18_1936-1937m.jpg	2562	9999-12-31	2739
25/11-20	1	1661-1666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_01_1661-1666m.jpg	2667	9999-12-31	2740
25/11-20	2	1666-1671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_02_1666-1671m.jpg	2667	9999-12-31	2741
25/11-20	3	1671-1676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_03_1671-1676m.jpg	2667	9999-12-31	2742
25/11-20	4	1676-1678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_04_1676-1678m.jpg	2667	9999-12-31	2743
25/11-20	5	1679-1684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_05_1679-1684m.jpg	2667	9999-12-31	2744
25/11-20	6	1684-1689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_06_1684-1689m.jpg	2667	9999-12-31	2745
25/11-20	7	1689-1694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_07_1689-1694m.jpg	2667	9999-12-31	2746
25/11-20	8	1694-1697m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_08_1694-1697m.jpg	2667	9999-12-31	2747
25/11-20	9	1697-1702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_09_1697-1702m.jpg	2667	9999-12-31	2748
25/11-20	10	1702-1707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_10_1702-1707m.jpg	2667	9999-12-31	2749
25/11-20	11	1707-1708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_11_1707-1708m.jpg	2667	9999-12-31	2750
25/11-20	12	1711-1716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_12_1711-1716m.jpg	2667	9999-12-31	2751
25/11-20	13	1716-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_13_1716-1719m.jpg	2667	9999-12-31	2752
25/11-20	14	1747-1750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2667_14_1747-1750m.jpg	2667	9999-12-31	2753
25/11-21 S	1	1778-1783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_01_1778-1783m.jpg	2701	9999-12-31	2754
25/11-21 S	2	1783-1785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_02_1783-1785m.jpg	2701	9999-12-31	2755
25/11-21 S	3	1789-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_03_1789-1794m.jpg	2701	9999-12-31	2756
25/11-21 S	4	1794-1799m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_04_1794-1799m.jpg	2701	9999-12-31	2757
25/11-21 S	5	1799-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_05_1799-1804m.jpg	2701	9999-12-31	2758
25/11-21 S	6	1804-1807m,	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_06_1804-1807m,.jpg	2701	9999-12-31	2759
25/11-21 S	7	1808-1813m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_07_1808-1813m.jpg	2701	9999-12-31	2760
25/11-21 S	8	1813-1818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_08_1813-1818m.jpg	2701	9999-12-31	2761
25/11-21 S	9	1818-1823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_09_1818-1823m.jpg	2701	9999-12-31	2762
25/11-21 S	10	1823-1826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_10_1823-1826m.jpg	2701	9999-12-31	2763
25/11-21 S	11	1827-1832m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_11_1827-1832m.jpg	2701	9999-12-31	2764
25/11-21 S	12	1832-1837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_12_1832-1837m.jpg	2701	9999-12-31	2765
25/11-21 S	13	1837-1842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_13_1837-1842m.jpg	2701	9999-12-31	2766
25/11-21 S	14	1842-1846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_14_1842-1846m.jpg	2701	9999-12-31	2767
25/11-21 S	15	1846-1851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_15_1846-1851m.jpg	2701	9999-12-31	2768
25/11-21 S	16	1851-1856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_16_1851-1856m.jpg	2701	9999-12-31	2769
25/11-21 S	17	1856-1861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_17_1856-1861m.jpg	2701	9999-12-31	2770
25/11-21 S	18	1861-1865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_18_1861-1865m.jpg	2701	9999-12-31	2771
25/11-21 S	19	1865-1870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_19_1865-1870m.jpg	2701	9999-12-31	2772
25/11-21 S	20	1870-1874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_20_1870-1874m.jpg	2701	9999-12-31	2773
25/11-21 S	21	1876-1880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2701_21_1876-1880m.jpg	2701	9999-12-31	2774
25/11-22	1	Core1-1	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_01_Core1-1.jpg	3243	9999-12-31	2775
25/11-22	2	Core1-2	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_02_Core1-2.jpg	3243	9999-12-31	2776
25/11-22	3	Core1-3	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_03_Core1-3.jpg	3243	9999-12-31	2777
25/11-22	4	Core1-4	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_04_Core1-4.jpg	3243	9999-12-31	2778
25/11-22	5	Core1-5	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_05_Core1-5.jpg	3243	9999-12-31	2779
25/11-22	6	Core1-6	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_06_Core1-6.jpg	3243	9999-12-31	2780
25/11-22	7	Core1-7	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_07_Core1-7.jpg	3243	9999-12-31	2781
25/11-22	8	Core1-8	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_08_Core1-8.jpg	3243	9999-12-31	2782
25/11-22	9	Core1-9	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_09_Core1-9.jpg	3243	9999-12-31	2783
25/11-22	10	Core1-10	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_10_Core1-10.jpg	3243	9999-12-31	2784
25/11-22	11	Core1-11	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_11_Core1-11.jpg	3243	9999-12-31	2785
25/11-22	12	Core1-12	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_12_Core1-12.jpg	3243	9999-12-31	2786
25/11-22	13	Core1-13	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_13_Core1-13.jpg	3243	9999-12-31	2787
25/11-22	14	Core1-14	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_14_Core1-14.jpg	3243	9999-12-31	2788
25/11-22	15	Core1-15	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_15_Core1-15.jpg	3243	9999-12-31	2789
25/11-22	16	Core1-16	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_16_Core1-16.jpg	3243	9999-12-31	2790
25/11-22	17	Core1-17	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_17_Core1-17.jpg	3243	9999-12-31	2791
25/11-22	18	Core1-18	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_18_Core1-18.jpg	3243	9999-12-31	2792
25/11-22	19	Core1-19	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_19_Core1-19.jpg	3243	9999-12-31	2793
25/11-22	20	Core1-20	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_20_Core1-20.jpg	3243	9999-12-31	2794
25/11-22	21	Core1-21	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_21_Core1-21.jpg	3243	9999-12-31	2795
25/11-22	22	Core1-22	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_22_Core1-22.jpg	3243	9999-12-31	2796
25/11-22	23	Core1-23	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_23_Core1-23.jpg	3243	9999-12-31	2797
25/11-22	24	Core1-24	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_24_Core1-24.jpg	3243	9999-12-31	2798
25/11-22	25	Core1-25	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_25_Core1-25.jpg	3243	9999-12-31	2799
25/11-22	26	Core1-26	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_26_Core1-26.jpg	3243	9999-12-31	2800
25/11-22	27	Core1-27	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_27_Core1-27.jpg	3243	9999-12-31	2801
25/11-22	28	Core1-28	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_28_Core1-28.jpg	3243	9999-12-31	2802
25/11-22	29	Core1-29	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_29_Core1-29.jpg	3243	9999-12-31	2803
25/11-22	30	Core1-30	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_30_Core1-30.jpg	3243	9999-12-31	2804
25/11-22	31	Core1-31	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_31_Core1-31.jpg	3243	9999-12-31	2805
25/11-22	32	Core1-32	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_32_Core1-32.jpg	3243	9999-12-31	2806
25/11-22	33	Core2-1	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_33_Core2-1.jpg	3243	9999-12-31	2807
25/11-22	34	Core2-2	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_34_Core2-2.jpg	3243	9999-12-31	2808
25/11-22	35	Core2-3	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_35_Core2-3.jpg	3243	9999-12-31	2809
25/11-22	36	Core2-4	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_36_Core2-4.jpg	3243	9999-12-31	2810
25/11-22	37	Core2-5	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_37_Core2-5.jpg	3243	9999-12-31	2811
25/11-22	38	Core3-1	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_38_Core3-1.jpg	3243	9999-12-31	2812
25/11-22	39	Core3-2	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_39_Core3-2.jpg	3243	9999-12-31	2813
25/11-22	40	Core3-3	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_40_Core3-3.jpg	3243	9999-12-31	2814
25/11-22	41	Core3-4	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_41_Core3-4.jpg	3243	9999-12-31	2815
25/11-22	42	Core3-5	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_42_Core3-5.jpg	3243	9999-12-31	2816
25/11-22	43	Core3-6	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_43_Core3-6.jpg	3243	9999-12-31	2817
25/11-22	44	Core3-7	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_44_Core3-7.jpg	3243	9999-12-31	2818
25/11-22	45	Core3-8	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_45_Core3-8.jpg	3243	9999-12-31	2819
25/11-22	46	Core3-9	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_46_Core3-9.jpg	3243	9999-12-31	2820
25/11-22	47	Core3-10	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_47_Core3-10.jpg	3243	9999-12-31	2821
25/11-22	48	Core4-1	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_48_Core4-1.jpg	3243	9999-12-31	2822
25/11-22	49	Core4-2	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_49_Core4-2.jpg	3243	9999-12-31	2823
25/11-22	50	Core4-3	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_50_Core4-3.jpg	3243	9999-12-31	2824
25/11-22	51	Core4-4	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_51_Core4-4.jpg	3243	9999-12-31	2825
25/11-22	52	Core4-5	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_52_Core4-5.jpg	3243	9999-12-31	2826
25/11-22	53	Core4-6	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_53_Core4-6.jpg	3243	9999-12-31	2827
25/11-22	54	Core4-7	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_54_Core4-7.jpg	3243	9999-12-31	2828
25/11-22	55	Core4-8	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_55_Core4-8.jpg	3243	9999-12-31	2829
25/11-22	56	Core4-9	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_56_Core4-9.jpg	3243	9999-12-31	2830
25/11-22	57	Core4-10	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_57_Core4-10.jpg	3243	9999-12-31	2831
25/11-22	58	Core4-11	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_58_Core4-11.jpg	3243	9999-12-31	2832
25/11-22	59	Core4-12	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_59_Core4-12.jpg	3243	9999-12-31	2833
25/11-22	60	Core4-13	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_60_Core4-13.jpg	3243	9999-12-31	2834
25/11-22	61	Core4-14	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_61_Core4-14.jpg	3243	9999-12-31	2835
25/11-22	62	Cores5-1	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3243_62_Cores5-1.jpg	3243	9999-12-31	2836
25/11-23	1	1710-1715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_01_1710-1715m.jpg	3755	9999-12-31	2837
25/11-23	2	1715-1720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_02_1715-1720m.jpg	3755	9999-12-31	2838
25/11-23	3	1720-1725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_03_1720-1725m.jpg	3755	9999-12-31	2839
25/11-23	4	1725-1730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_04_1725-1730m.jpg	3755	9999-12-31	2840
25/11-23	5	1730-1735m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_05_1730-1735m.jpg	3755	9999-12-31	2841
25/11-23	6	1735-1740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_06_1735-1740m.jpg	3755	9999-12-31	2842
25/11-23	7	1740-1745m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_07_1740-1745m.jpg	3755	9999-12-31	2843
25/11-23	8	1745-1747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_08_1745-1747m.jpg	3755	9999-12-31	2844
25/11-23	9	1747-1752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_09_1747-1752m.jpg	3755	9999-12-31	2845
25/11-23	10	1752-1757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_10_1752-1757m.jpg	3755	9999-12-31	2846
25/11-23	11	1757-1762m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_11_1757-1762m.jpg	3755	9999-12-31	2847
25/11-23	12	1762-1766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3755_12_1762-1766m.jpg	3755	9999-12-31	2848
25/11-A-5 H	1	2219-2224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2922_01_2219-2224m.jpg	2922	9999-12-31	2849
25/11-A-5 H	2	2224-2229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2922_02_2224-2229m.jpg	2922	9999-12-31	2850
25/11-A-5 H	3	2229-2234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2922_03_2229-2234m.jpg	2922	9999-12-31	2851
25/11-A-5 H	4	2234-2239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2922_04_2234-2239m.jpg	2922	9999-12-31	2852
25/11-A-5 H	5	2239-2244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2922_05_2239-2244m.jpg	2922	9999-12-31	2853
25/11-A-5 H	6	2244-2245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2922_06_2244-2245m.jpg	2922	9999-12-31	2854
25/11-A-5 H	7	2245-2250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2922_07_2245-2250m.jpg	2922	9999-12-31	2855
25/11-A-5 H	8	2250-2255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2922_08_2250-2255m.jpg	2922	9999-12-31	2856
25/11-A-5 H	9	2255-2260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2922_09_2255-2260m.jpg	2922	9999-12-31	2857
25/11-A-5 H	10	2260-2263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2922_10_2260-2263m.jpg	2922	9999-12-31	2858
25/11-B-14 H	1	1768-1773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_01_1768-1773m.jpg	3317	9999-12-31	2859
25/11-B-14 H	2	1773-1778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_02_1773-1778m.jpg	3317	9999-12-31	2860
25/11-B-14 H	3	1778-1783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_03_1778-1783m.jpg	3317	9999-12-31	2861
25/11-B-14 H	4	1783-1788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_04_1783-1788m.jpg	3317	9999-12-31	2862
25/11-B-14 H	5	1788-1793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_05_1788-1793m.jpg	3317	9999-12-31	2863
25/11-B-14 H	6	1793-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_06_1793-1794m.jpg	3317	9999-12-31	2864
25/11-B-14 H	7	1794-1799m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_07_1794-1799m.jpg	3317	9999-12-31	2865
25/11-B-14 H	8	1799-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_08_1799-1804m.jpg	3317	9999-12-31	2866
25/11-B-14 H	9	1804-1809m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_09_1804-1809m.jpg	3317	9999-12-31	2867
25/11-B-14 H	10	1809-1814m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_10_1809-1814m.jpg	3317	9999-12-31	2868
25/11-B-14 H	11	1814-1819m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_11_1814-1819m.jpg	3317	9999-12-31	2869
25/11-B-14 H	12	1819-1821m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_12_1819-1821m.jpg	3317	9999-12-31	2870
25/11-B-14 H	13	1821-1826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_13_1821-1826m.jpg	3317	9999-12-31	2871
25/11-B-14 H	14	1826-1831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_14_1826-1831m.jpg	3317	9999-12-31	2872
25/11-B-14 H	15	1831-1836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_15_1831-1836m.jpg	3317	9999-12-31	2873
25/11-B-14 H	16	1836-1841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_16_1836-1841m.jpg	3317	9999-12-31	2874
25/11-B-14 H	17	1841-1846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_17_1841-1846m.jpg	3317	9999-12-31	2875
25/11-B-14 H	18	1846-1848m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_18_1846-1848m.jpg	3317	9999-12-31	2876
25/11-B-14 H	19	1848-1853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_19_1848-1853m.jpg	3317	9999-12-31	2877
25/11-B-14 H	20	1853-1858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_20_1853-1858m.jpg	3317	9999-12-31	2878
25/11-B-14 H	21	1858-1863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_21_1858-1863m.jpg	3317	9999-12-31	2879
25/11-B-14 H	22	1863-1868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_22_1863-1868m.jpg	3317	9999-12-31	2880
25/11-B-14 H	23	1868-1873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_23_1868-1873m.jpg	3317	9999-12-31	2881
25/11-B-14 H	24	1873-1876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_24_1873-1876m.jpg	3317	9999-12-31	2882
25/11-B-14 H	25	1876-1881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_25_1876-1881m.jpg	3317	9999-12-31	2883
25/11-B-14 H	26	1881-1886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_26_1881-1886m.jpg	3317	9999-12-31	2884
25/11-B-14 H	27	1886-1891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_27_1886-1891m.jpg	3317	9999-12-31	2885
25/11-B-14 H	28	1891-1896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_28_1891-1896m.jpg	3317	9999-12-31	2886
25/11-B-14 H	29	1896-1901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_29_1896-1901m.jpg	3317	9999-12-31	2887
25/11-B-14 H	30	1901-1903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3317_30_1901-1903m.jpg	3317	9999-12-31	2888
25/11-B-7 H	1	2076-2081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_01_2076-2081m.jpg	3007	9999-12-31	2889
25/11-B-7 H	1	2652-2657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_01_2652-2657m.jpg	3007	9999-12-31	2890
25/11-B-7 H	2	2081-2086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_02_2081-2086m.jpg	3007	9999-12-31	2891
25/11-B-7 H	2	2657-2662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_02_2657-2662m.jpg	3007	9999-12-31	2892
25/11-B-7 H	3	2086-2091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_03_2086-2091m.jpg	3007	9999-12-31	2893
25/11-B-7 H	3	2662-2667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_03_2662-2667m.jpg	3007	9999-12-31	2894
25/11-B-7 H	4	2091-2096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_04_2091-2096m.jpg	3007	9999-12-31	2895
25/11-B-7 H	4	2667-2670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_04_2667-2670m.jpg	3007	9999-12-31	2896
25/11-B-7 H	5	2096-2098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_05_2096-2098m.jpg	3007	9999-12-31	2897
25/11-B-7 H	5	2670-2675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_05_2670-2675m.jpg	3007	9999-12-31	2898
25/11-B-7 H	6	2161-2166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_06_2161-2166m.jpg	3007	9999-12-31	2899
25/11-B-7 H	6	2675-2680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_06_2675-2680m.jpg	3007	9999-12-31	2900
25/11-B-7 H	7	2166-2171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_07_2166-2171m.jpg	3007	9999-12-31	2901
25/11-B-7 H	7	2680-2685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_07_2680-2685m.jpg	3007	9999-12-31	2902
25/11-B-7 H	8	2171-2176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_08_2171-2176m.jpg	3007	9999-12-31	2903
25/11-B-7 H	8	2685-2688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_08_2685-2688m.jpg	3007	9999-12-31	2904
25/11-B-7 H	9	2176-2181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_09_2176-2181m.jpg	3007	9999-12-31	2905
25/11-B-7 H	9	2691-2696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_09_2691-2696m.jpg	3007	9999-12-31	2906
25/11-B-7 H	10	2181-2186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_10_2181-2186m.jpg	3007	9999-12-31	2907
25/11-B-7 H	10	2696-2701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_10_2696-2701m.jpg	3007	9999-12-31	2908
25/11-B-7 H	11	2701-2702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_11_2701-2702m.jpg	3007	9999-12-31	2909
25/11-B-7 H	12	2702-2707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_12_2702-2707m.jpg	3007	9999-12-31	2910
25/11-B-7 H	13	2707-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_13_2707-2712m.jpg	3007	9999-12-31	2911
25/11-B-7 H	14	2712-2717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_14_2712-2717m.jpg	3007	9999-12-31	2912
25/11-B-7 H	15	2717-2722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_15_2717-2722m.jpg	3007	9999-12-31	2913
25/11-B-7 H	16	2722-2727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_16_2722-2727m.jpg	3007	9999-12-31	2914
25/11-B-7 H	17	2727-2729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_17_2727-2729m.jpg	3007	9999-12-31	2915
25/11-B-7 H	18	2729-2734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_18_2729-2734m.jpg	3007	9999-12-31	2916
25/11-B-7 H	19	2734-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_19_2734-2739m.jpg	3007	9999-12-31	2917
25/11-B-7 H	20	2739-2744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_20_2739-2744m.jpg	3007	9999-12-31	2918
25/11-B-7 H	21	2744-2749m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_21_2744-2749m.jpg	3007	9999-12-31	2919
25/11-B-7 H	22	2749-2754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_22_2749-2754m.jpg	3007	9999-12-31	2920
25/11-B-7 H	23	2754-2757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_23_2754-2757m.jpg	3007	9999-12-31	2921
25/11-B-7 H	24	2757-2762m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_24_2757-2762m.jpg	3007	9999-12-31	2922
25/11-B-7 H	25	2762-2767m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_25_2762-2767m.jpg	3007	9999-12-31	2923
25/11-B-7 H	26	2767-2772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_26_2767-2772m.jpg	3007	9999-12-31	2924
25/11-B-7 H	27	2772-2777m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_27_2772-2777m.jpg	3007	9999-12-31	2925
25/11-B-7 H	28	2777-2782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_28_2777-2782m.jpg	3007	9999-12-31	2926
25/11-B-7 H	29	2782-2785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3007_29_2782-2785m.jpg	3007	9999-12-31	2927
25/11-C-17 H	1	2197-2202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_01_2197-2202m.jpg	3563	9999-12-31	2928
25/11-C-17 H	2	2202-2207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_02_2202-2207m.jpg	3563	9999-12-31	2929
25/11-C-17 H	3	2207-2212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_03_2207-2212m.jpg	3563	9999-12-31	2930
25/11-C-17 H	4	2212-2212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_04_2212-2212m.jpg	3563	9999-12-31	2931
25/11-C-17 H	5	2212-2217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_05_2212-2217m.jpg	3563	9999-12-31	2932
25/11-C-17 H	6	2217-2222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_06_2217-2222m.jpg	3563	9999-12-31	2933
25/11-C-17 H	7	2222-2227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_07_2222-2227m.jpg	3563	9999-12-31	2934
25/11-C-17 H	8	2227-2232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_08_2227-2232m.jpg	3563	9999-12-31	2935
25/11-C-17 H	9	2232-2237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_09_2232-2237m.jpg	3563	9999-12-31	2936
25/11-C-17 H	10	2237-2242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_10_2237-2242m.jpg	3563	9999-12-31	2937
25/11-C-17 H	11	2242-2247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_11_2242-2247m.jpg	3563	9999-12-31	2938
25/11-C-17 H	12	2247-2248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3563_12_2247-2248m.jpg	3563	9999-12-31	2939
25/11-C-3 H	1	2008-2013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2884_01_2008-2013m.jpg	2884	9999-12-31	2940
25/11-C-3 H	2	2013-2018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2884_02_2013-2018m.jpg	2884	9999-12-31	2941
25/11-C-3 H	3	2018-2023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2884_03_2018-2023m.jpg	2884	9999-12-31	2942
25/11-C-3 H	4	2023-2028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2884_04_2023-2028m.jpg	2884	9999-12-31	2943
25/11-C-3 H	5	2028-2032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2884_05_2028-2032m.jpg	2884	9999-12-31	2944
25/1-7	1	1876-1879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_01_1876-1879m.jpg	463	9999-12-31	2945
25/1-7	2	1879-1880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_02_1879-1880m.jpg	463	9999-12-31	2946
25/1-7	3	1880-1881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_03_1880-1881m.jpg	463	9999-12-31	2947
25/1-7	4	1881-1882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_04_1881-1882m.jpg	463	9999-12-31	2948
25/1-7	5	1882-1886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_05_1882-1886m.jpg	463	9999-12-31	2949
25/1-7	6	1886-1890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_06_1886-1890m.jpg	463	9999-12-31	2950
25/1-7	6	3547-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_06_3547-3555m.jpg	463	9999-12-31	2951
25/1-7	7	1890-1891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_07_1890-1891m.jpg	463	9999-12-31	2952
25/1-7	8	1891-1895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_08_1891-1895m.jpg	463	9999-12-31	2953
25/1-7	9	1895-1897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_09_1895-1897m.jpg	463	9999-12-31	2954
25/1-7	10	1900-1903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_10_1900-1903m.jpg	463	9999-12-31	2955
25/1-7	11	1900-1901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_11_1900-1901m.jpg	463	9999-12-31	2956
25/1-7	12	1903-1905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_12_1903-1905m.jpg	463	9999-12-31	2957
25/1-7	13	1905-1908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_13_1905-1908m.jpg	463	9999-12-31	2958
25/1-7	14	1908-1910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_14_1908-1910m.jpg	463	9999-12-31	2959
25/1-7	15	1910-1913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_15_1910-1913m.jpg	463	9999-12-31	2960
25/1-7	16	1913-1916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_16_1913-1916m.jpg	463	9999-12-31	2961
25/1-7	17	1916-1917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_17_1916-1917m.jpg	463	9999-12-31	2962
25/1-7	18	1917-1918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_18_1917-1918m.jpg	463	9999-12-31	2963
25/1-7	19	1918-1921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_19_1918-1921m.jpg	463	9999-12-31	2964
25/1-7	20	1924-1925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_20_1924-1925m.jpg	463	9999-12-31	2965
25/1-7	21	1921-1924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_21_1921-1924m.jpg	463	9999-12-31	2966
25/1-7	22	1925-1928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_22_1925-1928m.jpg	463	9999-12-31	2967
25/1-7	23	1928-1931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_23_1928-1931m.jpg	463	9999-12-31	2968
25/1-7	24	1931-1933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_24_1931-1933m.jpg	463	9999-12-31	2969
25/1-7	25	1936-1937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_25_1936-1937m.jpg	463	9999-12-31	2970
25/1-7	26	1938-1939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_26_1938-1939m.jpg	463	9999-12-31	2971
25/1-7	27	1939-1941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_27_1939-1941m.jpg	463	9999-12-31	2972
25/1-7	28	1933-1934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_28_1933-1934m.jpg	463	9999-12-31	2973
25/1-7	29	1942-1945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_29_1942-1945m.jpg	463	9999-12-31	2974
25/1-7	30	1945-1947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_30_1945-1947m.jpg	463	9999-12-31	2975
25/1-7	31	1947-1948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_31_1947-1948m.jpg	463	9999-12-31	2976
25/1-7	32	1948-1949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_32_1948-1949m.jpg	463	9999-12-31	2977
25/1-7	33	1949-1952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_33_1949-1952m.jpg	463	9999-12-31	2978
25/1-7	34	1952-1955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_34_1952-1955m.jpg	463	9999-12-31	2979
25/1-7	35	1955-1958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_35_1955-1958m.jpg	463	9999-12-31	2980
25/1-7	36	1957-1960m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_36_1957-1960m.jpg	463	9999-12-31	2981
25/1-7	37	1960-1962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_37_1960-1962m.jpg	463	9999-12-31	2982
25/1-7	38	1963-1966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_38_1963-1966m.jpg	463	9999-12-31	2983
25/1-7	39	1965-1969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_39_1965-1969m.jpg	463	9999-12-31	2984
25/1-7	40	1969-1972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_40_1969-1972m.jpg	463	9999-12-31	2985
25/1-7	41	1972-1975m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_41_1972-1975m.jpg	463	9999-12-31	2986
25/1-7	42	1975-1976m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_42_1975-1976m.jpg	463	9999-12-31	2987
25/1-7	43	1978-1981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_43_1978-1981m.jpg	463	9999-12-31	2988
25/1-7	44	1981-1984m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_44_1981-1984m.jpg	463	9999-12-31	2989
25/1-7	45	1984-1985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_45_1984-1985m.jpg	463	9999-12-31	2990
25/1-7	46	2005-2008m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_46_2005-2008m.jpg	463	9999-12-31	2991
25/1-7	47	1986-1987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_47_1986-1987m.jpg	463	9999-12-31	2992
25/1-7	48	1987-1991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_48_1987-1991m.jpg	463	9999-12-31	2993
25/1-7	48	2014-2017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_48_2014-2017m.jpg	463	9999-12-31	2994
25/1-7	49	1993-1994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_49_1993-1994m.jpg	463	9999-12-31	2995
25/1-7	50	1995-1999m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_50_1995-1999m.jpg	463	9999-12-31	2996
25/1-7	51	1995-1997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_51_1995-1997m.jpg	463	9999-12-31	2997
25/1-7	52	2000-2003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_52_2000-2003m.jpg	463	9999-12-31	2998
25/1-7	53	2003-2005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_53_2003-2005m.jpg	463	9999-12-31	2999
25/1-7	54	2004-2005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_54_2004-2005m.jpg	463	9999-12-31	3000
25/1-7	55	2008-2010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_55_2008-2010m.jpg	463	9999-12-31	3001
25/1-7	57	2011-2013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_57_2011-2013m.jpg	463	9999-12-31	3002
25/1-7	59	2017-2019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_59_2017-2019m.jpg	463	9999-12-31	3003
25/1-7	60	2020-2023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_60_2020-2023m.jpg	463	9999-12-31	3004
25/1-7	61	2023-2026m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_61_2023-2026m.jpg	463	9999-12-31	3005
25/1-7	62	2026-2029m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_62_2026-2029m.jpg	463	9999-12-31	3006
25/1-7	63	2029-2032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_63_2029-2032m.jpg	463	9999-12-31	3007
25/1-7	64	2032-2033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_64_2032-2033m.jpg	463	9999-12-31	3008
25/1-7	65	2032-2033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_65_2032-2033m.jpg	463	9999-12-31	3009
25/1-7	66	2033-2036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_66_2033-2036m.jpg	463	9999-12-31	3010
25/1-7	67	2036-2037m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_67_2036-2037m.jpg	463	9999-12-31	3011
25/1-7	68	2037-2041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_68_2037-2041m.jpg	463	9999-12-31	3012
25/1-7	69	2037-2041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_69_2037-2041m.jpg	463	9999-12-31	3013
25/1-7	70	2041-2045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_70_2041-2045m.jpg	463	9999-12-31	3014
25/1-7	71	2045-2046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_71_2045-2046m.jpg	463	9999-12-31	3015
25/1-7	72	2045-2048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_72_2045-2048m.jpg	463	9999-12-31	3016
25/1-7	73	2049-2053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_73_2049-2053m.jpg	463	9999-12-31	3017
25/1-7	74	2053-2054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_74_2053-2054m.jpg	463	9999-12-31	3018
25/1-7	75	2054-2058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_75_2054-2058m.jpg	463	9999-12-31	3019
25/1-7	76	2058-2062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_76_2058-2062m.jpg	463	9999-12-31	3020
25/1-7	77	2062-2063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_77_2062-2063m.jpg	463	9999-12-31	3021
25/1-7	78	2063-2064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_78_2063-2064m.jpg	463	9999-12-31	3022
25/1-7	79	2064-2066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_79_2064-2066m.jpg	463	9999-12-31	3023
25/1-7	80	2065-2066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_80_2065-2066m.jpg	463	9999-12-31	3024
25/1-7	81	2066-2070m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_81_2066-2070m.jpg	463	9999-12-31	3025
25/1-7	82	2070-2073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_82_2070-2073m.jpg	463	9999-12-31	3026
25/1-7	83	2075-2079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_83_2075-2079m.jpg	463	9999-12-31	3027
25/1-7	84	2073-2075m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_84_2073-2075m.jpg	463	9999-12-31	3028
25/1-7	85	2079-2082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_85_2079-2082m.jpg	463	9999-12-31	3029
25/1-7	86	2082-2083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_86_2082-2083m.jpg	463	9999-12-31	3030
25/1-7	87	2084-2087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_87_2084-2087m.jpg	463	9999-12-31	3031
25/1-7	88	2087-2090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_88_2087-2090m.jpg	463	9999-12-31	3032
25/1-7	89	2090-2092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_89_2090-2092m.jpg	463	9999-12-31	3033
25/1-7	90	2092-2093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_90_2092-2093m.jpg	463	9999-12-31	3034
25/1-7	91	2093-2097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_91_2093-2097m.jpg	463	9999-12-31	3035
25/1-7	92	2097-2101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_92_2097-2101m.jpg	463	9999-12-31	3036
25/1-7	93	2101-2102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_93_2101-2102m.jpg	463	9999-12-31	3037
25/1-7	94	2101-2103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_94_2101-2103m.jpg	463	9999-12-31	3038
25/1-7	95	2103-2107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_95_2103-2107m.jpg	463	9999-12-31	3039
25/1-7	96	2107-2111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_96_2107-2111m.jpg	463	9999-12-31	3040
25/1-7	97	2111-2112m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_97_2111-2112m.jpg	463	9999-12-31	3041
25/1-7	98	2112-2116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_98_2112-2116m.jpg	463	9999-12-31	3042
25/1-7	99	2116-2119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_99_2116-2119m.jpg	463	9999-12-31	3043
25/1-7	100	2119-2120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_100_2119-2120m.jpg	463	9999-12-31	3044
25/1-7	101	2120-2121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_101_2120-2121m.jpg	463	9999-12-31	3045
25/1-7	102	2121-2122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_102_2121-2122m.jpg	463	9999-12-31	3046
25/1-7	103	2122-2124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_103_2122-2124m.jpg	463	9999-12-31	3047
25/1-7	104	2124-2126m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_104_2124-2126m.jpg	463	9999-12-31	3048
25/1-7	105	2124-2127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_105_2124-2127m.jpg	463	9999-12-31	3049
25/1-7	106	2127-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_106_2127-2130m.jpg	463	9999-12-31	3050
25/1-7	107	2126-2132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_107_2126-2132m.jpg	463	9999-12-31	3051
25/1-7	108	2132-2133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_108_2132-2133m.jpg	463	9999-12-31	3052
25/1-7	109	2134-2137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_109_2134-2137m.jpg	463	9999-12-31	3053
25/1-7	110	2138-2142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_110_2138-2142m.jpg	463	9999-12-31	3054
25/1-7	111	2142-2146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_111_2142-2146m.jpg	463	9999-12-31	3055
25/1-7	112	2146-2147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_112_2146-2147m.jpg	463	9999-12-31	3056
25/1-7	113	2147-2148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_113_2147-2148m.jpg	463	9999-12-31	3057
25/1-7	114	2150-2154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_114_2150-2154m.jpg	463	9999-12-31	3058
25/1-7	115	2154-2158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_115_2154-2158m.jpg	463	9999-12-31	3059
25/1-7	116	2156-2157m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_116_2156-2157m.jpg	463	9999-12-31	3060
25/1-7	117	2158-2162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_117_2158-2162m.jpg	463	9999-12-31	3061
25/1-7	118	2163-2165m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_118_2163-2165m.jpg	463	9999-12-31	3062
25/1-7	119	2162-2165m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_119_2162-2165m.jpg	463	9999-12-31	3063
25/1-7	120	2166-2167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_120_2166-2167m.jpg	463	9999-12-31	3064
25/1-7	121	2166-2169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_121_2166-2169m.jpg	463	9999-12-31	3065
25/1-7	122	2169-2172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_122_2169-2172m.jpg	463	9999-12-31	3066
25/1-7	123	2177-2178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_123_2177-2178m.jpg	463	9999-12-31	3067
25/1-7	124	2178-2179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_124_2178-2179m.jpg	463	9999-12-31	3068
25/1-7	125	2172-2173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_125_2172-2173m.jpg	463	9999-12-31	3069
25/1-7	126	2173-2177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_126_2173-2177m.jpg	463	9999-12-31	3070
25/1-7	127	2179-2183m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_127_2179-2183m.jpg	463	9999-12-31	3071
25/1-7	128	2183-2186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_128_2183-2186m.jpg	463	9999-12-31	3072
25/1-7	129	2178-2179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_129_2178-2179m.jpg	463	9999-12-31	3073
25/1-7	130	2186-2189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_130_2186-2189m.jpg	463	9999-12-31	3074
25/1-7	131	2189-2192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_131_2189-2192m.jpg	463	9999-12-31	3075
25/1-7	132	2192-2195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_132_2192-2195m.jpg	463	9999-12-31	3076
25/1-7	133	2195-2196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_133_2195-2196m.jpg	463	9999-12-31	3077
25/1-7	134	2197-2000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_134_2197-2000m.jpg	463	9999-12-31	3078
25/1-7	135	2201-2203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_135_2201-2203m.jpg	463	9999-12-31	3079
25/1-7	136	2213-2217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_136_2213-2217m.jpg	463	9999-12-31	3080
25/1-7	137	2217-2220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_137_2217-2220m.jpg	463	9999-12-31	3081
25/1-7	138	2220-2221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_138_2220-2221m.jpg	463	9999-12-31	3082
25/1-7	139	2223-226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_139_2223-226m.jpg	463	9999-12-31	3083
25/1-7	140	2226-2229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_140_2226-2229m.jpg	463	9999-12-31	3084
25/1-7	141	2235-2238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_141_2235-2238m.jpg	463	9999-12-31	3085
25/1-7	142	2241-2244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_142_2241-2244m.jpg	463	9999-12-31	3086
25/1-7	143	2229-2232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_143_2229-2232m.jpg	463	9999-12-31	3087
25/1-7	144	2232-2235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_144_2232-2235m.jpg	463	9999-12-31	3088
25/1-7	145	2238-2240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_145_2238-2240m.jpg	463	9999-12-31	3089
25/1-7	146	2242-2243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_146_2242-2243m.jpg	463	9999-12-31	3090
25/1-7	147	2244-2249m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_147_2244-2249m.jpg	463	9999-12-31	3091
25/1-7	149	2245-2246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_149_2245-2246m.jpg	463	9999-12-31	3092
25/1-7	150	2246-2247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_150_2246-2247m.jpg	463	9999-12-31	3093
25/1-7	151	2252-2256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_151_2252-2256m.jpg	463	9999-12-31	3094
25/1-7	152	2256-2260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_152_2256-2260m.jpg	463	9999-12-31	3095
25/1-7	153	2260-2261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_153_2260-2261m.jpg	463	9999-12-31	3096
25/1-7	154	2261-2262m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_154_2261-2262m.jpg	463	9999-12-31	3097
25/1-7	155	2262-2265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_155_2262-2265m.jpg	463	9999-12-31	3098
25/1-7	156	2265-2268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_156_2265-2268m.jpg	463	9999-12-31	3099
25/1-7	157	2266-2269m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_157_2266-2269m.jpg	463	9999-12-31	3100
25/1-7	158	2268-2269m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_158_2268-2269m.jpg	463	9999-12-31	3101
25/1-7	159	2269-2270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_159_2269-2270m.jpg	463	9999-12-31	3102
25/1-7	160	2412-2416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_160_2412-2416m.jpg	463	9999-12-31	3103
25/1-7	161	2416-2419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_161_2416-2419m.jpg	463	9999-12-31	3104
25/1-7	162	2414-2415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_162_2414-2415m.jpg	463	9999-12-31	3105
25/1-7	163	2417-2418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_163_2417-2418m.jpg	463	9999-12-31	3106
25/1-7	164	2609-2612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_164_2609-2612m.jpg	463	9999-12-31	3107
25/1-7	165	2612-2614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_165_2612-2614m.jpg	463	9999-12-31	3108
25/1-7	166	2710-2713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_166_2710-2713m.jpg	463	9999-12-31	3109
25/1-7	167	2713-2716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_167_2713-2716m.jpg	463	9999-12-31	3110
25/1-7	168	2716-2718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/463_168_2716-2718m.jpg	463	9999-12-31	3111
25/1-8 S	1	1939-1942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_01_1939-1942m.jpg	472	9999-12-31	3112
25/1-8 S	2	1942-1946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_02_1942-1946m.jpg	472	9999-12-31	3113
25/1-8 S	3	1946-1950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_03_1946-1950m.jpg	472	9999-12-31	3114
25/1-8 S	4	1950-1952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_04_1950-1952m.jpg	472	9999-12-31	3115
25/1-8 S	5	1952-1956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_05_1952-1956m.jpg	472	9999-12-31	3116
25/1-8 S	6	1956-1960m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_06_1956-1960m.jpg	472	9999-12-31	3117
25/1-8 S	7	1960-1964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_07_1960-1964m.jpg	472	9999-12-31	3118
25/1-8 S	8	1964-1968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_08_1964-1968m.jpg	472	9999-12-31	3119
25/1-8 S	9	1970-1974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_09_1970-1974m.jpg	472	9999-12-31	3120
25/1-8 S	10	1974-1977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_10_1974-1977m.jpg	472	9999-12-31	3121
25/1-8 S	11	1978-1982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_11_1978-1982m.jpg	472	9999-12-31	3122
25/1-8 S	12	1982-1986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_12_1982-1986m.jpg	472	9999-12-31	3123
25/1-8 S	13	1986-1990m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_13_1986-1990m.jpg	472	9999-12-31	3124
25/1-8 S	14	1990-1994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_14_1990-1994m.jpg	472	9999-12-31	3125
25/1-8 S	15	1994-1996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_15_1994-1996m.jpg	472	9999-12-31	3126
25/1-8 S	16	1997-1999m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_16_1997-1999m.jpg	472	9999-12-31	3127
25/1-8 S	17	2025-2029m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_17_2025-2029m.jpg	472	9999-12-31	3128
25/1-8 S	18	2029-2033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_18_2029-2033m.jpg	472	9999-12-31	3129
25/1-8 S	19	2033-2037m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_19_2033-2037m.jpg	472	9999-12-31	3130
25/1-8 S	20	2037-2041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_20_2037-2041m.jpg	472	9999-12-31	3131
25/1-8 S	21	2041-2045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_21_2041-2045m.jpg	472	9999-12-31	3132
25/1-8 S	22	2045-2049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_22_2045-2049m.jpg	472	9999-12-31	3133
25/1-8 S	23	2049-2050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_23_2049-2050m.jpg	472	9999-12-31	3134
25/1-8 S	24	2053-2057m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_24_2053-2057m.jpg	472	9999-12-31	3135
25/1-8 S	25	2057-2061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_25_2057-2061m.jpg	472	9999-12-31	3136
25/1-8 S	26	2061-2064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_26_2061-2064m.jpg	472	9999-12-31	3137
25/1-8 S	27	2065-2069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_27_2065-2069m.jpg	472	9999-12-31	3138
25/1-8 S	28	2069-2070m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_28_2069-2070m.jpg	472	9999-12-31	3139
25/1-8 S	29	2080-2084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_29_2080-2084m.jpg	472	9999-12-31	3140
25/1-8 S	30	2084-2087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_30_2084-2087m.jpg	472	9999-12-31	3141
25/1-8 S	31	2098-2102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_31_2098-2102m.jpg	472	9999-12-31	3142
25/1-8 S	32	2102-2106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_32_2102-2106m.jpg	472	9999-12-31	3143
25/1-8 S	33	2106-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/472_33_2106-2110m.jpg	472	9999-12-31	3144
25/1-9	1	2048-2049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_01_2048-2049m.jpg	1001	9999-12-31	3145
25/1-9	2	2049-2053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_02_2049-2053m.jpg	1001	9999-12-31	3146
25/1-9	3	2054-2058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_03_2054-2058m.jpg	1001	9999-12-31	3147
25/1-9	4	2059-2063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_04_2059-2063m.jpg	1001	9999-12-31	3148
25/1-9	5	2064-2067m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_05_2064-2067m.jpg	1001	9999-12-31	3149
25/1-9	6	2068-2072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_06_2068-2072m.jpg	1001	9999-12-31	3150
25/1-9	7	2073-2077m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_07_2073-2077m.jpg	1001	9999-12-31	3151
25/1-9	8	2078-2082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_08_2078-2082m.jpg	1001	9999-12-31	3152
25/1-9	9	2083-2087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_09_2083-2087m.jpg	1001	9999-12-31	3153
25/1-9	10	2088-2092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_10_2088-2092m.jpg	1001	9999-12-31	3154
25/1-9	11	2093-2097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_11_2093-2097m.jpg	1001	9999-12-31	3155
25/1-9	12	2098-2102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_12_2098-2102m.jpg	1001	9999-12-31	3156
25/1-9	13	2103-2107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_13_2103-2107m.jpg	1001	9999-12-31	3157
25/1-9	14	2234-2238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_14_2234-2238m.jpg	1001	9999-12-31	3158
25/1-9	15	2239-2243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_15_2239-2243m.jpg	1001	9999-12-31	3159
25/1-9	16	2244-2248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_16_2244-2248m.jpg	1001	9999-12-31	3160
25/1-9	17	2249-2253m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_17_2249-2253m.jpg	1001	9999-12-31	3161
25/1-9	18	2254-2255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1001_18_2254-2255m.jpg	1001	9999-12-31	3162
25/2-10 S	1	2237-2241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_01_2237-2241m.jpg	855	9999-12-31	3163
25/2-10 S	2	2242-2244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_02_2242-2244m.jpg	855	9999-12-31	3164
25/2-10 S	3	2246-2247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_03_2246-2247m.jpg	855	9999-12-31	3165
25/2-10 S	4	2247-2252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_04_2247-2252m.jpg	855	9999-12-31	3166
25/2-10 S	5	2252-2257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_05_2252-2257m.jpg	855	9999-12-31	3167
25/2-10 S	6	2257-2260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_06_2257-2260m.jpg	855	9999-12-31	3168
25/2-10 S	7	2261-2264m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_07_2261-2264m.jpg	855	9999-12-31	3169
25/2-10 S	8	2265-2269m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_08_2265-2269m.jpg	855	9999-12-31	3170
25/2-10 S	9	2582-2586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_09_2582-2586m.jpg	855	9999-12-31	3171
25/2-10 S	10	2587-2592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_10_2587-2592m.jpg	855	9999-12-31	3172
25/2-10 S	11	2592-2596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_11_2592-2596m.jpg	855	9999-12-31	3173
25/2-10 S	12	2888-2892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/855_12_2888-2892m.jpg	855	9999-12-31	3174
25/2-12	1	3685-3686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_01_3685-3686m.jpg	1290	9999-12-31	3175
25/2-12	2	3685-3686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_02_3685-3686m.jpg	1290	9999-12-31	3176
25/2-12	3	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_03_3690-3715m.jpg	1290	9999-12-31	3177
25/2-12	4	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_04_3690-3715m.jpg	1290	9999-12-31	3178
25/2-12	5	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_05_3690-3715m.jpg	1290	9999-12-31	3179
25/2-12	6	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_06_3690-3715m.jpg	1290	9999-12-31	3180
25/2-12	7	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_07_3690-3715m.jpg	1290	9999-12-31	3181
25/2-12	8	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_08_3690-3715m.jpg	1290	9999-12-31	3182
25/2-12	9	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_09_3690-3715m.jpg	1290	9999-12-31	3183
25/2-12	10	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_10_3690-3715m.jpg	1290	9999-12-31	3184
25/2-12	11	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_11_3690-3715m.jpg	1290	9999-12-31	3185
25/2-12	12	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_12_3690-3715m.jpg	1290	9999-12-31	3186
25/2-12	13	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_13_3690-3715m.jpg	1290	9999-12-31	3187
25/2-12	14	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_14_3690-3715m.jpg	1290	9999-12-31	3188
25/2-12	15	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_15_3690-3715m.jpg	1290	9999-12-31	3189
25/2-12	16	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_16_3690-3715m.jpg	1290	9999-12-31	3190
25/2-12	17	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_17_3690-3715m.jpg	1290	9999-12-31	3191
25/2-12	18	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_18_3690-3715m.jpg	1290	9999-12-31	3192
25/2-12	19	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_19_3690-3715m.jpg	1290	9999-12-31	3193
25/2-12	20	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_20_3690-3715m.jpg	1290	9999-12-31	3194
25/2-12	21	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_21_3690-3715m.jpg	1290	9999-12-31	3195
25/2-12	22	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_22_3690-3715m.jpg	1290	9999-12-31	3196
25/2-12	23	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_23_3690-3715m.jpg	1290	9999-12-31	3197
25/2-12	24	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_24_3690-3715m.jpg	1290	9999-12-31	3198
25/2-12	25	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_25_3690-3715m.jpg	1290	9999-12-31	3199
25/2-12	26	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_26_3690-3715m.jpg	1290	9999-12-31	3200
25/2-12	27	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_27_3690-3715m.jpg	1290	9999-12-31	3201
25/2-12	28	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_28_3690-3715m.jpg	1290	9999-12-31	3202
25/2-12	29	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_29_3690-3715m.jpg	1290	9999-12-31	3203
25/2-12	30	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_30_3690-3715m.jpg	1290	9999-12-31	3204
25/2-12	31	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_31_3690-3715m.jpg	1290	9999-12-31	3205
25/2-12	32	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_32_3690-3715m.jpg	1290	9999-12-31	3206
25/2-12	33	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_33_3690-3715m.jpg	1290	9999-12-31	3207
25/2-12	34	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_34_3690-3715m.jpg	1290	9999-12-31	3208
25/2-12	35	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_35_3690-3715m.jpg	1290	9999-12-31	3209
25/2-12	36	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_36_3690-3715m.jpg	1290	9999-12-31	3210
25/2-12	37	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_37_3690-3715m.jpg	1290	9999-12-31	3211
25/2-12	38	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_38_3690-3715m.jpg	1290	9999-12-31	3212
25/2-12	39	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_39_3690-3715m.jpg	1290	9999-12-31	3213
25/2-12	40	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_40_3690-3715m.jpg	1290	9999-12-31	3214
25/2-12	41	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_41_3690-3715m.jpg	1290	9999-12-31	3215
25/2-12	42	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_42_3690-3715m.jpg	1290	9999-12-31	3216
25/2-12	43	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_43_3690-3715m.jpg	1290	9999-12-31	3217
25/2-12	44	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_44_3690-3715m.jpg	1290	9999-12-31	3218
25/2-12	45	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_45_3690-3715m.jpg	1290	9999-12-31	3219
25/2-12	46	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_46_3690-3715m.jpg	1290	9999-12-31	3220
25/2-12	47	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_47_3690-3715m.jpg	1290	9999-12-31	3221
25/2-12	48	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_48_3690-3715m.jpg	1290	9999-12-31	3222
25/2-12	49	3690-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_49_3690-3715m.jpg	1290	9999-12-31	3223
25/2-12	50	3943-3948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_50_3943-3948m.jpg	1290	9999-12-31	3224
25/2-12	51	3948-3952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_51_3948-3952m.jpg	1290	9999-12-31	3225
25/2-12	52	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_52_3994-4019m.jpg	1290	9999-12-31	3226
25/2-12	53	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_53_3994-4019m.jpg	1290	9999-12-31	3227
25/2-12	54	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_54_3994-4019m.jpg	1290	9999-12-31	3228
25/2-12	55	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_55_3994-4019m.jpg	1290	9999-12-31	3229
25/2-12	56	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_56_3994-4019m.jpg	1290	9999-12-31	3230
25/2-12	57	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_57_3994-4019m.jpg	1290	9999-12-31	3231
25/2-12	58	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_58_3994-4019m.jpg	1290	9999-12-31	3232
25/2-12	59	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_59_3994-4019m.jpg	1290	9999-12-31	3233
25/2-12	60	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_60_3994-4019m.jpg	1290	9999-12-31	3234
25/2-12	61	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_61_3994-4019m.jpg	1290	9999-12-31	3235
25/2-12	62	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_62_3994-4019m.jpg	1290	9999-12-31	3236
25/2-12	63	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_63_3994-4019m.jpg	1290	9999-12-31	3237
25/2-12	64	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_64_3994-4019m.jpg	1290	9999-12-31	3238
25/2-12	65	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_65_3994-4019m.jpg	1290	9999-12-31	3239
25/2-12	66	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_66_3994-4019m.jpg	1290	9999-12-31	3240
25/2-12	67	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_67_3994-4019m.jpg	1290	9999-12-31	3241
25/2-12	68	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_68_3994-4019m.jpg	1290	9999-12-31	3242
25/2-12	69	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_69_3994-4019m.jpg	1290	9999-12-31	3243
25/2-12	70	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_70_3994-4019m.jpg	1290	9999-12-31	3244
25/2-12	71	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_71_3994-4019m.jpg	1290	9999-12-31	3245
25/2-12	72	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_72_3994-4019m.jpg	1290	9999-12-31	3246
25/2-12	73	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_73_3994-4019m.jpg	1290	9999-12-31	3247
25/2-12	74	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_74_3994-4019m.jpg	1290	9999-12-31	3248
25/2-12	75	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_75_3994-4019m.jpg	1290	9999-12-31	3249
25/2-12	76	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_76_3994-4019m.jpg	1290	9999-12-31	3250
25/2-12	77	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_77_3994-4019m.jpg	1290	9999-12-31	3251
25/2-12	78	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_78_3994-4019m.jpg	1290	9999-12-31	3252
25/2-12	79	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_79_3994-4019m.jpg	1290	9999-12-31	3253
25/2-12	80	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_80_3994-4019m.jpg	1290	9999-12-31	3254
25/2-12	81	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_81_3994-4019m.jpg	1290	9999-12-31	3255
25/2-12	82	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_82_3994-4019m.jpg	1290	9999-12-31	3256
25/2-12	83	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_83_3994-4019m.jpg	1290	9999-12-31	3257
25/2-12	84	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_84_3994-4019m.jpg	1290	9999-12-31	3258
25/2-12	85	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_85_3994-4019m.jpg	1290	9999-12-31	3259
25/2-12	86	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_86_3994-4019m.jpg	1290	9999-12-31	3260
25/2-12	87	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_87_3994-4019m.jpg	1290	9999-12-31	3261
25/2-12	88	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_88_3994-4019m.jpg	1290	9999-12-31	3262
25/2-12	89	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_89_3994-4019m.jpg	1290	9999-12-31	3263
25/2-12	90	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_90_3994-4019m.jpg	1290	9999-12-31	3264
25/2-12	91	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_91_3994-4019m.jpg	1290	9999-12-31	3265
25/2-12	92	3994-4919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_92_3994-4919m.jpg	1290	9999-12-31	3266
25/2-12	93	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_93_3994-4019m.jpg	1290	9999-12-31	3267
25/2-12	94	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_94_3994-4019m.jpg	1290	9999-12-31	3268
25/2-12	95	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_95_3994-4019m.jpg	1290	9999-12-31	3269
25/2-12	96	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_96_3994-4019m.jpg	1290	9999-12-31	3270
25/2-12	97	3994-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1290_97_3994-4019m.jpg	1290	9999-12-31	3271
25/2-14	1	3130-3135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1712_01_3130-3135m.jpg	1712	9999-12-31	3272
25/2-14	2	3135-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1712_02_3135-3140m.jpg	1712	9999-12-31	3273
25/2-14	3	3140-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1712_03_3140-3145m.jpg	1712	9999-12-31	3274
25/2-14	4	3145-3149m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1712_04_3145-3149m.jpg	1712	9999-12-31	3275
25/2-14	5	3149-3154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1712_05_3149-3154m.jpg	1712	9999-12-31	3276
25/2-14	6	3154-3159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1712_06_3154-3159m.jpg	1712	9999-12-31	3277
25/2-14	7	3159-3164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1712_07_3159-3164m.jpg	1712	9999-12-31	3278
25/2-14	8	3164-3167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1712_08_3164-3167m.jpg	1712	9999-12-31	3279
25/2-15 R2	1	3569-3574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2116_01_3569-3574m.jpg	2116	9999-12-31	3280
25/2-15 R2	2	3574-3579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2116_02_3574-3579m.jpg	2116	9999-12-31	3281
25/2-15 R2	3	3579-3584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2116_03_3579-3584m.jpg	2116	9999-12-31	3282
25/2-15 R2	4	3584-3587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2116_04_3584-3587m.jpg	2116	9999-12-31	3283
25/2-15 R2	5	3587-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2116_05_3587-3592m.jpg	2116	9999-12-31	3284
25/2-15 R2	6	3592-3597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2116_06_3592-3597m.jpg	2116	9999-12-31	3285
25/2-15 R2	7	3597-3601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2116_07_3597-3601m.jpg	2116	9999-12-31	3286
25/2-7	1	3409-3414m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/47_01_3409-3414m.jpg	47	9999-12-31	3287
25/2-7	2	3424-3429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/47_02_3424-3429m.jpg	47	9999-12-31	3288
25/2-7	3	3429-3434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/47_03_3429-3434m.jpg	47	9999-12-31	3289
25/2-7	4	3434-3439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/47_04_3434-3439m.jpg	47	9999-12-31	3290
25/2-7	5	3439-3792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/47_05_3439-3792m.jpg	47	9999-12-31	3291
25/2-7	6	3792-3797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/47_06_3792-3797m.jpg	47	9999-12-31	3292
25/2-7	7	3797-4109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/47_07_3797-4109m.jpg	47	9999-12-31	3293
25/2-7	8	4109-4114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/47_08_4109-4114m.jpg	47	9999-12-31	3294
25/2-8	1	1919-1920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_01_1919-1920m.jpg	131	9999-12-31	3295
25/2-8	2	1920-2922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_02_1920-2922m.jpg	131	9999-12-31	3296
25/2-8	3	1922-1924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_03_1922-1924m.jpg	131	9999-12-31	3297
25/2-8	4	1925-1926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_04_1925-1926m.jpg	131	9999-12-31	3298
25/2-8	5	1925-1927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_05_1925-1927m.jpg	131	9999-12-31	3299
25/2-8	6	1927-1930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_06_1927-1930m.jpg	131	9999-12-31	3300
25/2-8	7	1930-1932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_07_1930-1932m.jpg	131	9999-12-31	3301
25/2-8	8	1932-1933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_08_1932-1933m.jpg	131	9999-12-31	3302
25/2-8	9	1933-1935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_09_1933-1935m.jpg	131	9999-12-31	3303
25/2-8	10	1935-1938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_10_1935-1938m.jpg	131	9999-12-31	3304
25/2-8	11	1938-1941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_11_1938-1941m.jpg	131	9999-12-31	3305
25/2-8	12	1975-1977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_12_1975-1977m.jpg	131	9999-12-31	3306
25/2-8	13	1978-1980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_13_1978-1980m.jpg	131	9999-12-31	3307
25/2-8	14	1980-1983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_14_1980-1983m.jpg	131	9999-12-31	3308
25/2-8	15	2075-2078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_15_2075-2078m.jpg	131	9999-12-31	3309
25/2-8	16	2078-2081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_16_2078-2081m.jpg	131	9999-12-31	3310
25/2-8	17	2081-2084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_17_2081-2084m.jpg	131	9999-12-31	3311
25/2-8	18	2185-2186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_18_2185-2186m.jpg	131	9999-12-31	3312
25/2-8	19	2186-2188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_19_2186-2188m.jpg	131	9999-12-31	3313
25/2-8	20	2188-2192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_20_2188-2192m.jpg	131	9999-12-31	3314
25/2-8	21	2192-2195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_21_2192-2195m.jpg	131	9999-12-31	3315
25/2-8	22	2195-2199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_22_2195-2199m.jpg	131	9999-12-31	3316
25/2-8	23	2199-2201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_23_2199-2201m.jpg	131	9999-12-31	3317
25/2-8	24	2201-2204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_24_2201-2204m.jpg	131	9999-12-31	3318
25/2-8	25	2204-2208m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_25_2204-2208m.jpg	131	9999-12-31	3319
25/2-8	27	2208-2211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/131_27_2208-2211m.jpg	131	9999-12-31	3320
25/2-9	1	1939-1942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_01_1939-1942m.jpg	477	9999-12-31	3321
25/2-9	2	1942-1945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_02_1942-1945m.jpg	477	9999-12-31	3322
25/2-9	3	1945-1951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_03_1945-1951m.jpg	477	9999-12-31	3323
25/2-9	4	1946-1948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_04_1946-1948m.jpg	477	9999-12-31	3324
25/2-9	5	1955-1952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_05_1955-1952m.jpg	477	9999-12-31	3325
25/2-9	6	1952-1955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_06_1952-1955m.jpg	477	9999-12-31	3326
25/2-9	7	1955-1957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_07_1955-1957m.jpg	477	9999-12-31	3327
25/2-9	8	1959-1963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_08_1959-1963m.jpg	477	9999-12-31	3328
25/2-9	9	1962-1967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_09_1962-1967m.jpg	477	9999-12-31	3329
25/2-9	10	1963-1966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_10_1963-1966m.jpg	477	9999-12-31	3330
25/2-9	11	1969-1971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_11_1969-1971m.jpg	477	9999-12-31	3331
25/2-9	12	1971-1974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_12_1971-1974m.jpg	477	9999-12-31	3332
25/2-9	13	1974-1978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_13_1974-1978m.jpg	477	9999-12-31	3333
25/2-9	14	1978-1981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_14_1978-1981m.jpg	477	9999-12-31	3334
25/2-9	15	1981-1984m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_15_1981-1984m.jpg	477	9999-12-31	3335
25/2-9	16	1985-1986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_16_1985-1986m.jpg	477	9999-12-31	3336
25/2-9	17	1987-1990m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_17_1987-1990m.jpg	477	9999-12-31	3337
25/2-9	18	1990-1993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_18_1990-1993m.jpg	477	9999-12-31	3338
25/2-9	19	1994-1997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_19_1994-1997m.jpg	477	9999-12-31	3339
25/2-9	20	1997-2000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_20_1997-2000m.jpg	477	9999-12-31	3340
25/2-9	21	2004-2007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_21_2004-2007m.jpg	477	9999-12-31	3341
25/2-9	22	2007-2009m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_22_2007-2009m.jpg	477	9999-12-31	3342
25/2-9	23	2010-2012m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_23_2010-2012m.jpg	477	9999-12-31	3343
25/2-9	24	2015-2021m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_24_2015-2021m.jpg	477	9999-12-31	3344
25/2-9	25	2016-2019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_25_2016-2019m.jpg	477	9999-12-31	3345
25/2-9	26	2022-2025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_26_2022-2025m.jpg	477	9999-12-31	3346
25/2-9	27	2025-2028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_27_2025-2028m.jpg	477	9999-12-31	3347
25/2-9	28	2028-2031m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_28_2028-2031m.jpg	477	9999-12-31	3348
25/2-9	29	2031-2032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_29_2031-2032m.jpg	477	9999-12-31	3349
25/2-9	30	2033-2034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_30_2033-2034m.jpg	477	9999-12-31	3350
25/2-9	31	2034-2036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_31_2034-2036m.jpg	477	9999-12-31	3351
25/2-9	32	2060-2063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_32_2060-2063m.jpg	477	9999-12-31	3352
25/2-9	33	2063-2067m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_33_2063-2067m.jpg	477	9999-12-31	3353
25/2-9	34	2067-2070m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_34_2067-2070m.jpg	477	9999-12-31	3354
25/2-9	35	2070-2073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_35_2070-2073m.jpg	477	9999-12-31	3355
25/2-9	36	2074-2074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_36_2074-2074m.jpg	477	9999-12-31	3356
25/2-9	37	2080-2083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_37_2080-2083m.jpg	477	9999-12-31	3357
25/2-9	38	2083-2089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_38_2083-2089m.jpg	477	9999-12-31	3358
25/2-9	39	2084-2091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_39_2084-2091m.jpg	477	9999-12-31	3359
25/2-9	40	2089-2094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_40_2089-2094m.jpg	477	9999-12-31	3360
25/2-9	41	2093-2101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_41_2093-2101m.jpg	477	9999-12-31	3361
25/2-9	42	2097-2100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_42_2097-2100m.jpg	477	9999-12-31	3362
25/2-9	43	2100-2104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_43_2100-2104m.jpg	477	9999-12-31	3363
25/2-9	44	2102-2103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_44_2102-2103m.jpg	477	9999-12-31	3364
25/2-9	45	2107-2119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_45_2107-2119m.jpg	477	9999-12-31	3365
25/2-9	46	2111-2115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_46_2111-2115m.jpg	477	9999-12-31	3366
25/2-9	47	2115-2117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_47_2115-2117m.jpg	477	9999-12-31	3367
25/2-9	47	2143-2144m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_47_2143-2144m.jpg	477	9999-12-31	3368
25/2-9	48	2220-2224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_48_2220-2224m.jpg	477	9999-12-31	3369
25/2-9	49	2224-2227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_49_2224-2227m.jpg	477	9999-12-31	3370
25/2-9	50	2228-2232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_50_2228-2232m.jpg	477	9999-12-31	3371
25/2-9	51	2232-2236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_51_2232-2236m.jpg	477	9999-12-31	3372
25/2-9	52	2238-2242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_52_2238-2242m.jpg	477	9999-12-31	3373
25/2-9	53	2242-2246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_53_2242-2246m.jpg	477	9999-12-31	3374
25/2-9	54	2246-2250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_54_2246-2250m.jpg	477	9999-12-31	3375
25/2-9	55	2250-2254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_55_2250-2254m.jpg	477	9999-12-31	3376
25/2-9	56	2255-2256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/477_56_2255-2256m.jpg	477	9999-12-31	3377
25/2-C-1 AH	1	3625-3630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1981_01_3625-3630m.jpg	1981	9999-12-31	3378
25/2-C-1 AH	2	3630-3635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1981_02_3630-3635m.jpg	1981	9999-12-31	3379
25/2-C-1 AH	3	3637-3642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1981_03_3637-3642m.jpg	1981	9999-12-31	3380
25/2-C-1 AH	4	3642-3647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1981_04_3642-3647m.jpg	1981	9999-12-31	3381
25/2-C-1 AH	5	3647-3652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1981_05_3647-3652m.jpg	1981	9999-12-31	3382
25/2-C-1 AH	6	3652-3655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1981_06_3652-3655m.jpg	1981	9999-12-31	3383
25/2-C-2 H	1	3631-3636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_01_3631-3636m.jpg	1965	9999-12-31	3384
25/2-C-2 H	2	3636-3641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_02_3636-3641m.jpg	1965	9999-12-31	3385
25/2-C-2 H	3	3641-3646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_03_3641-3646m.jpg	1965	9999-12-31	3386
25/2-C-2 H	4	3646-3649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_04_3646-3649m.jpg	1965	9999-12-31	3387
25/2-C-2 H	5	3649-3654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_05_3649-3654m.jpg	1965	9999-12-31	3388
25/2-C-2 H	6	3654-3659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_06_3654-3659m.jpg	1965	9999-12-31	3389
25/2-C-2 H	7	3659-3664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_07_3659-3664m.jpg	1965	9999-12-31	3390
25/2-C-2 H	8	3664-3667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_08_3664-3667m.jpg	1965	9999-12-31	3391
25/2-C-2 H	9	3667-3672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_09_3667-3672m.jpg	1965	9999-12-31	3392
25/2-C-2 H	10	3672-3677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_10_3672-3677m.jpg	1965	9999-12-31	3393
25/2-C-2 H	11	3677-3682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_11_3677-3682m.jpg	1965	9999-12-31	3394
25/2-C-2 H	12	3682-3683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1965_12_3682-3683m.jpg	1965	9999-12-31	3395
25/2-C-3 H	1	3719-3724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_01_3719-3724m.jpg	1966	9999-12-31	3396
25/2-C-3 H	2	3724-3729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_02_3724-3729m.jpg	1966	9999-12-31	3397
25/2-C-3 H	3	3724-3733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_03_3724-3733m.jpg	1966	9999-12-31	3398
25/2-C-3 H	4	3733-3738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_04_3733-3738m.jpg	1966	9999-12-31	3399
25/2-C-3 H	5	3738-3743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_05_3738-3743m.jpg	1966	9999-12-31	3400
25/2-C-3 H	6	3743-3748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_06_3743-3748m.jpg	1966	9999-12-31	3401
25/2-C-3 H	7	3748-3752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_07_3748-3752m.jpg	1966	9999-12-31	3402
25/2-C-3 H	8	3752-3757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_08_3752-3757m.jpg	1966	9999-12-31	3403
25/2-C-3 H	9	3757-3762m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_09_3757-3762m.jpg	1966	9999-12-31	3404
25/2-C-3 H	10	3762-3767m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_10_3762-3767m.jpg	1966	9999-12-31	3405
25/2-C-3 H	11	3767-3771m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_11_3767-3771m.jpg	1966	9999-12-31	3406
25/2-C-3 H	12	3771-3776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_12_3771-3776m.jpg	1966	9999-12-31	3407
25/2-C-3 H	13	3776-3781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_13_3776-3781m.jpg	1966	9999-12-31	3408
25/2-C-3 H	14	3781-3786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_14_3781-3786m.jpg	1966	9999-12-31	3409
25/2-C-3 H	15	3786-3790m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1966_15_3786-3790m.jpg	1966	9999-12-31	3410
25/3-1	1	3112-3117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1419_01_3112-3117m.jpg	1419	9999-12-31	3411
25/3-1	2	3117-3122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1419_02_3117-3122m.jpg	1419	9999-12-31	3412
25/3-1	3	3122-3127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1419_03_3122-3127m.jpg	1419	9999-12-31	3413
25/3-1	4	3127-3129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1419_04_3127-3129m.jpg	1419	9999-12-31	3414
25/3-1	5	3858-3863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1419_05_3858-3863m.jpg	1419	9999-12-31	3415
25/3-1	6	3863-3868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1419_06_3863-3868m.jpg	1419	9999-12-31	3416
25/3-1	7	3868-3873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1419_07_3868-3873m.jpg	1419	9999-12-31	3417
25/3-1	8	3873-3874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1419_08_3873-3874m.jpg	1419	9999-12-31	3418
25/4-A-12	1	3183-3188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_01_3183-3188m.jpg	2130	9999-12-31	3419
25/4-A-12	2	3188-3193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_02_3188-3193m.jpg	2130	9999-12-31	3420
25/4-A-12	3	3193-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_03_3193-3194m.jpg	2130	9999-12-31	3421
25/4-A-12	4	3197-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_04_3197-3202m.jpg	2130	9999-12-31	3422
25/4-A-12	5	3202-3207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_05_3202-3207m.jpg	2130	9999-12-31	3423
25/4-A-12	6	3207-3212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_06_3207-3212m.jpg	2130	9999-12-31	3424
25/4-A-12	7	3212-3217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_07_3212-3217m.jpg	2130	9999-12-31	3425
25/4-A-12	8	3217-3220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_08_3217-3220m.jpg	2130	9999-12-31	3426
25/4-A-12	9	3280-3285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_09_3280-3285m.jpg	2130	9999-12-31	3427
25/4-A-12	10	3285-3290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_10_3285-3290m.jpg	2130	9999-12-31	3428
25/4-A-12	11	3290-3295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_11_3290-3295m.jpg	2130	9999-12-31	3429
25/4-A-12	12	3295-3298m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_12_3295-3298m.jpg	2130	9999-12-31	3430
25/4-A-12	13	3298-3303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_13_3298-3303m.jpg	2130	9999-12-31	3431
25/4-A-12	14	3303-3308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_14_3303-3308m.jpg	2130	9999-12-31	3432
25/4-A-12	15	3308-3313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_15_3308-3313m.jpg	2130	9999-12-31	3433
25/4-A-12	16	3313-3315m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_16_3313-3315m.jpg	2130	9999-12-31	3434
25/4-A-12	17	3316-3321m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_17_3316-3321m.jpg	2130	9999-12-31	3435
25/4-A-12	18	3321-3326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_18_3321-3326m.jpg	2130	9999-12-31	3436
25/4-A-12	19	3326-3331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_19_3326-3331m.jpg	2130	9999-12-31	3437
25/4-A-12	20	3331-3334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2130_20_3331-3334m.jpg	2130	9999-12-31	3438
25/5-1	1	2990-2995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_01_2990-2995m.jpg	884	9999-12-31	3439
25/5-1	2	2995-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_02_2995-3000m.jpg	884	9999-12-31	3440
25/5-1	3	3000-3005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_03_3000-3005m.jpg	884	9999-12-31	3441
25/5-1	4	3005-3007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_04_3005-3007m.jpg	884	9999-12-31	3442
25/5-1	5	3008-3013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_05_3008-3013m.jpg	884	9999-12-31	3443
25/5-1	6	3013-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_06_3013-3018m.jpg	884	9999-12-31	3444
25/5-1	7	3018-3023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_07_3018-3023m.jpg	884	9999-12-31	3445
25/5-1	8	3023-3027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_08_3023-3027m.jpg	884	9999-12-31	3446
25/5-1	9	3027-3032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_09_3027-3032m.jpg	884	9999-12-31	3447
25/5-1	10	3032-3037m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_10_3032-3037m.jpg	884	9999-12-31	3448
25/5-1	11	3037-3042m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_11_3037-3042m.jpg	884	9999-12-31	3449
25/5-1	12	3042-3048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_12_3042-3048m.jpg	884	9999-12-31	3450
25/5-1	13	3046-3051m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_13_3046-3051m.jpg	884	9999-12-31	3451
25/5-1	14	3051-3056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_14_3051-3056m.jpg	884	9999-12-31	3452
25/5-1	15	3056-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_15_3056-3061m.jpg	884	9999-12-31	3453
25/5-1	16	3061-3063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_16_3061-3063m.jpg	884	9999-12-31	3454
25/5-1	17	3064-3069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_17_3064-3069m.jpg	884	9999-12-31	3455
25/5-1	18	3069-3074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_18_3069-3074m.jpg	884	9999-12-31	3456
25/5-1	19	3074-3079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_19_3074-3079m.jpg	884	9999-12-31	3457
25/5-1	20	3079-3080m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_20_3079-3080m.jpg	884	9999-12-31	3458
25/5-1	21	3235-3240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_21_3235-3240m.jpg	884	9999-12-31	3459
25/5-1	22	3240-3245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_22_3240-3245m.jpg	884	9999-12-31	3460
25/5-1	23	3245-3250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_23_3245-3250m.jpg	884	9999-12-31	3461
25/5-1	24	3250-3253m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_24_3250-3253m.jpg	884	9999-12-31	3462
25/5-1	25	3253-3258m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_25_3253-3258m.jpg	884	9999-12-31	3463
25/5-1	26	3258-3263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_26_3258-3263m.jpg	884	9999-12-31	3464
25/5-1	27	3263-3268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_27_3263-3268m.jpg	884	9999-12-31	3465
25/5-1	28	3268-3272m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_28_3268-3272m.jpg	884	9999-12-31	3466
25/5-1	29	3272-3277m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_29_3272-3277m.jpg	884	9999-12-31	3467
25/5-1	30	3277-3282m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_30_3277-3282m.jpg	884	9999-12-31	3468
25/5-1	31	3282-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_31_3282-3287m.jpg	884	9999-12-31	3469
25/5-1	32	3287-3291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/884_32_3287-3291m.jpg	884	9999-12-31	3470
25/5-2	1	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_01_3176-3194m.jpg	1346	9999-12-31	3471
25/5-2	2	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_02_3176-3194m.jpg	1346	9999-12-31	3472
25/5-2	3	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_03_3176-3194m.jpg	1346	9999-12-31	3473
25/5-2	4	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_04_3176-3194m.jpg	1346	9999-12-31	3474
25/5-2	5	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_05_3176-3194m.jpg	1346	9999-12-31	3475
25/5-2	6	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_06_3176-3194m.jpg	1346	9999-12-31	3476
25/5-2	7	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_07_3176-3194m.jpg	1346	9999-12-31	3477
25/5-2	8	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_08_3176-3194m.jpg	1346	9999-12-31	3478
25/5-2	9	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_09_3176-3194m.jpg	1346	9999-12-31	3479
25/5-2	10	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_10_3176-3194m.jpg	1346	9999-12-31	3480
25/5-2	11	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_11_3176-3194m.jpg	1346	9999-12-31	3481
25/5-2	12	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_12_3176-3194m.jpg	1346	9999-12-31	3482
25/5-2	13	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_13_3176-3194m.jpg	1346	9999-12-31	3483
25/5-2	14	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_14_3176-3194m.jpg	1346	9999-12-31	3484
25/5-2	15	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_15_3176-3194m.jpg	1346	9999-12-31	3485
25/5-2	16	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_16_3176-3194m.jpg	1346	9999-12-31	3486
25/5-2	17	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_17_3176-3194m.jpg	1346	9999-12-31	3487
25/5-2	18	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_18_3176-3194m.jpg	1346	9999-12-31	3488
25/5-2	19	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_19_3176-3194m.jpg	1346	9999-12-31	3489
25/5-2	20	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_20_3176-3194m.jpg	1346	9999-12-31	3490
25/5-2	21	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_21_3176-3194m.jpg	1346	9999-12-31	3491
25/5-2	22	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_22_3176-3194m.jpg	1346	9999-12-31	3492
25/5-2	23	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_23_3176-3194m.jpg	1346	9999-12-31	3493
25/5-2	24	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_24_3176-3194m.jpg	1346	9999-12-31	3494
25/5-2	25	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_25_3176-3194m.jpg	1346	9999-12-31	3495
25/5-2	26	3716-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_26_3716-3194m.jpg	1346	9999-12-31	3496
25/5-2	27	3176-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_27_3176-3194m.jpg	1346	9999-12-31	3497
25/5-2	28	3194-3196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_28_3194-3196m.jpg	1346	9999-12-31	3498
25/5-2	29	3194-3196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_29_3194-3196m.jpg	1346	9999-12-31	3499
25/5-2	30	3194-3196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_30_3194-3196m.jpg	1346	9999-12-31	3500
25/5-2	31	3194-3196M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_31_3194-3196M.jpg	1346	9999-12-31	3501
25/5-2	32	3194-3196M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_32_3194-3196M.jpg	1346	9999-12-31	3502
25/5-2	33	3197-3215M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_33_3197-3215M.jpg	1346	9999-12-31	3503
25/5-2	34	3197-3215M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_34_3197-3215M.jpg	1346	9999-12-31	3504
25/5-2	35	3197-3215M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_35_3197-3215M.jpg	1346	9999-12-31	3505
25/5-2	36	3197-3215M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_36_3197-3215M.jpg	1346	9999-12-31	3506
25/5-2	37	3197-3215M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_37_3197-3215M.jpg	1346	9999-12-31	3507
25/5-2	38	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_38_3197-3215m.jpg	1346	9999-12-31	3508
25/5-2	39	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_39_3197-3215m.jpg	1346	9999-12-31	3509
25/5-2	40	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_40_3197-3215m.jpg	1346	9999-12-31	3510
25/5-2	41	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_41_3197-3215m.jpg	1346	9999-12-31	3511
25/5-2	42	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_42_3197-3215m.jpg	1346	9999-12-31	3512
25/5-2	43	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_43_3197-3215m.jpg	1346	9999-12-31	3513
25/5-2	44	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_44_3197-3215m.jpg	1346	9999-12-31	3514
25/5-2	45	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_45_3197-3215m.jpg	1346	9999-12-31	3515
25/5-2	46	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_46_3197-3215m.jpg	1346	9999-12-31	3516
25/5-2	47	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_47_3197-3215m.jpg	1346	9999-12-31	3517
25/5-2	48	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_48_3197-3215m.jpg	1346	9999-12-31	3518
25/5-2	49	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_49_3197-3215m.jpg	1346	9999-12-31	3519
25/5-2	50	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_50_3197-3215m.jpg	1346	9999-12-31	3520
25/5-2	51	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_51_3197-3215m.jpg	1346	9999-12-31	3521
25/5-2	52	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_52_3197-3215m.jpg	1346	9999-12-31	3522
25/5-2	53	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_53_3197-3215m.jpg	1346	9999-12-31	3523
25/5-2	54	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_54_3197-3215m.jpg	1346	9999-12-31	3524
25/5-2	55	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_55_3197-3215m.jpg	1346	9999-12-31	3525
25/5-2	56	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_56_3197-3215m.jpg	1346	9999-12-31	3526
25/5-2	57	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_57_3197-3215m.jpg	1346	9999-12-31	3527
25/5-2	58	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_58_3197-3215m.jpg	1346	9999-12-31	3528
25/5-2	59	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_59_3197-3215m.jpg	1346	9999-12-31	3529
25/5-2	60	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_60_3197-3215m.jpg	1346	9999-12-31	3530
25/5-2	61	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_61_3197-3215m.jpg	1346	9999-12-31	3531
25/5-2	62	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_62_3197-3215m.jpg	1346	9999-12-31	3532
25/5-2	63	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_63_3197-3215m.jpg	1346	9999-12-31	3533
25/5-2	64	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_64_3197-3215m.jpg	1346	9999-12-31	3534
25/5-2	65	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_65_3197-3215m.jpg	1346	9999-12-31	3535
25/5-2	66	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_66_3197-3215m.jpg	1346	9999-12-31	3536
25/5-2	67	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_67_3197-3215m.jpg	1346	9999-12-31	3537
25/5-2	68	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_68_3197-3215m.jpg	1346	9999-12-31	3538
25/5-2	69	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_69_3197-3215m.jpg	1346	9999-12-31	3539
25/5-2	70	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_70_3197-3215m.jpg	1346	9999-12-31	3540
25/5-2	71	3197-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_71_3197-3215m.jpg	1346	9999-12-31	3541
25/5-2	72	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_72_3215-3226m.jpg	1346	9999-12-31	3542
25/5-2	73	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_73_3215-3226m.jpg	1346	9999-12-31	3543
25/5-2	74	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_74_3215-3226m.jpg	1346	9999-12-31	3544
25/5-2	75	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_75_3215-3226m.jpg	1346	9999-12-31	3545
25/5-2	76	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_76_3215-3226m.jpg	1346	9999-12-31	3546
25/5-2	77	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_77_3215-3226m.jpg	1346	9999-12-31	3547
25/5-2	78	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_78_3215-3226m.jpg	1346	9999-12-31	3548
25/5-2	79	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_79_3215-3226m.jpg	1346	9999-12-31	3549
25/5-2	80	3225-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_80_3225-3226m.jpg	1346	9999-12-31	3550
25/5-2	81	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_81_3215-3226m.jpg	1346	9999-12-31	3551
25/5-2	82	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_82_3215-3226m.jpg	1346	9999-12-31	3552
25/5-2	83	3225-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_83_3225-3226m.jpg	1346	9999-12-31	3553
25/5-2	84	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_84_3215-3226m.jpg	1346	9999-12-31	3554
25/5-2	85	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_85_3215-3226m.jpg	1346	9999-12-31	3555
25/5-2	86	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_86_3215-3226m.jpg	1346	9999-12-31	3556
25/5-2	87	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_87_3215-3226m.jpg	1346	9999-12-31	3557
25/5-2	88	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_88_3215-3226m.jpg	1346	9999-12-31	3558
25/5-2	89	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_89_3215-3226m.jpg	1346	9999-12-31	3559
25/5-2	90	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_90_3215-3226m.jpg	1346	9999-12-31	3560
25/5-2	91	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_91_3215-3226m.jpg	1346	9999-12-31	3561
25/5-2	92	3215-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1346_92_3215-3226m.jpg	1346	9999-12-31	3562
25/5-3	1	2391-2396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1488_01_2391-2396m.jpg	1488	9999-12-31	3563
25/5-3	2	2396-2410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1488_02_2396-2410m.jpg	1488	9999-12-31	3564
25/5-3	3	2401-2403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1488_03_2401-2403m.jpg	1488	9999-12-31	3565
25/5-3	4	2386-2391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1488_04_2386-2391m.jpg	1488	9999-12-31	3566
25/5-3	5	2615-2620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1488_05_2615-2620m.jpg	1488	9999-12-31	3567
25/5-3	6	2620-2625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1488_06_2620-2625m.jpg	1488	9999-12-31	3568
25/5-3	7	2625-2628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1488_07_2625-2628m.jpg	1488	9999-12-31	3569
25/5-5	1	2162-2167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2661_01_2162-2167m.jpg	2661	9999-12-31	3570
25/5-5	2	2167-2172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2661_02_2167-2172m.jpg	2661	9999-12-31	3571
25/5-5	3	2172-2172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2661_03_2172-2172m.jpg	2661	9999-12-31	3572
25/5-5	4	2172-2177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2661_04_2172-2177m.jpg	2661	9999-12-31	3573
25/5-5	5	2177-2182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2661_05_2177-2182m.jpg	2661	9999-12-31	3574
25/5-5	6	2182-2187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2661_06_2182-2187m.jpg	2661	9999-12-31	3575
25/5-5	7	2187-2192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2661_07_2187-2192m.jpg	2661	9999-12-31	3576
25/5-5	8	2192-2197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2661_08_2192-2197m.jpg	2661	9999-12-31	3577
25/5-5	9	2197-2199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2661_09_2197-2199m.jpg	2661	9999-12-31	3578
25/5-A-1	1	3171-3176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_01_3171-3176m.jpg	2138	9999-12-31	3579
25/5-A-1	2	3176-3181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_02_3176-3181m.jpg	2138	9999-12-31	3580
25/5-A-1	3	3181-3186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_03_3181-3186m.jpg	2138	9999-12-31	3581
25/5-A-1	4	3186-3189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_04_3186-3189m.jpg	2138	9999-12-31	3582
25/5-A-1	5	3189-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_05_3189-3194m.jpg	2138	9999-12-31	3583
25/5-A-1	6	3194-3199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_06_3194-3199m.jpg	2138	9999-12-31	3584
25/5-A-1	7	3199-3204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_07_3199-3204m.jpg	2138	9999-12-31	3585
25/5-A-1	8	3204-3209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_08_3204-3209m.jpg	2138	9999-12-31	3586
25/5-A-1	9	3209-3213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_09_3209-3213m.jpg	2138	9999-12-31	3587
25/5-A-1	10	3213-3218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_10_3213-3218m.jpg	2138	9999-12-31	3588
25/5-A-1	11	3218-3223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_11_3218-3223m.jpg	2138	9999-12-31	3589
25/5-A-1	12	3223-3228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_12_3223-3228m.jpg	2138	9999-12-31	3590
25/5-A-1	13	3228-3233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_13_3228-3233m.jpg	2138	9999-12-31	3591
25/5-A-1	14	3233-3238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_14_3233-3238m.jpg	2138	9999-12-31	3592
25/5-A-1	15	3238-3241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_15_3238-3241m.jpg	2138	9999-12-31	3593
25/5-A-1	16	3241-3246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_16_3241-3246m.jpg	2138	9999-12-31	3594
25/5-A-1	17	3246-3251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_17_3246-3251m.jpg	2138	9999-12-31	3595
25/5-A-1	18	3251-3256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_18_3251-3256m.jpg	2138	9999-12-31	3596
25/5-A-1	19	3256-3261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_19_3256-3261m.jpg	2138	9999-12-31	3597
25/5-A-1	20	3261-3266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_20_3261-3266m.jpg	2138	9999-12-31	3598
25/5-A-1	21	3266-3268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2138_21_3266-3268m.jpg	2138	9999-12-31	3599
25/5-A-2	1	3903-3908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2158_01_3903-3908m.jpg	2158	9999-12-31	3600
25/5-A-2	2	3908-3913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2158_02_3908-3913m.jpg	2158	9999-12-31	3601
25/5-A-2	3	3913-3918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2158_03_3913-3918m.jpg	2158	9999-12-31	3602
25/5-A-2	4	3918-3921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2158_04_3918-3921m.jpg	2158	9999-12-31	3603
25/5-A-2	5	3927-3932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2158_05_3927-3932m.jpg	2158	9999-12-31	3604
25/5-A-2	6	3932-3934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2158_06_3932-3934m.jpg	2158	9999-12-31	3605
25/5-A-3	1	3408-3413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_01_3408-3413m.jpg	2198	9999-12-31	3606
25/5-A-3	2	3413-3418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_02_3413-3418m.jpg	2198	9999-12-31	3607
25/5-A-3	3	3418-3418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_03_3418-3418m.jpg	2198	9999-12-31	3608
25/5-A-3	4	3418-3423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_04_3418-3423m.jpg	2198	9999-12-31	3609
25/5-A-3	5	3423-3428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_05_3423-3428m.jpg	2198	9999-12-31	3610
25/5-A-3	6	3428-3433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_06_3428-3433m.jpg	2198	9999-12-31	3611
25/5-A-3	7	3433-3434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_07_3433-3434m.jpg	2198	9999-12-31	3612
25/5-A-3	8	3437-3442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_08_3437-3442m.jpg	2198	9999-12-31	3613
25/5-A-3	9	3442-3447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_09_3442-3447m.jpg	2198	9999-12-31	3614
25/5-A-3	10	3460-3465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_10_3460-3465m.jpg	2198	9999-12-31	3615
25/5-A-3	11	3465-3470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_11_3465-3470m.jpg	2198	9999-12-31	3616
25/5-A-3	12	3470-3472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_12_3470-3472m.jpg	2198	9999-12-31	3617
25/5-A-3	13	3472-3477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_13_3472-3477m.jpg	2198	9999-12-31	3618
25/5-A-3	14	3477-3482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_14_3477-3482m.jpg	2198	9999-12-31	3619
25/5-A-3	15	3482-3487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_15_3482-3487m.jpg	2198	9999-12-31	3620
25/5-A-3	16	3487-3492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_16_3487-3492m.jpg	2198	9999-12-31	3621
25/5-A-3	17	3492-3497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_17_3492-3497m.jpg	2198	9999-12-31	3622
25/5-A-3	18	3497-3499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_18_3497-3499m.jpg	2198	9999-12-31	3623
25/5-A-3	19	3499-3504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2198_19_3499-3504m.jpg	2198	9999-12-31	3624
25/5-A-4	1	3582-3587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_01_3582-3587m.jpg	2243	9999-12-31	3625
25/5-A-4	2	3587-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_02_3587-3592m.jpg	2243	9999-12-31	3626
25/5-A-4	3	3592-3597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_03_3592-3597m.jpg	2243	9999-12-31	3627
25/5-A-4	4	3597-3600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_04_3597-3600m.jpg	2243	9999-12-31	3628
25/5-A-4	5	3600-3605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_05_3600-3605m.jpg	2243	9999-12-31	3629
25/5-A-4	6	3605-3610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_06_3605-3610m.jpg	2243	9999-12-31	3630
25/5-A-4	7	3610-3615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_07_3610-3615m.jpg	2243	9999-12-31	3631
25/5-A-4	8	3615-3620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_08_3615-3620m.jpg	2243	9999-12-31	3632
25/5-A-4	9	3622-3627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_09_3622-3627m.jpg	2243	9999-12-31	3633
25/5-A-4	10	3627-3632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_10_3627-3632m.jpg	2243	9999-12-31	3634
25/5-A-4	11	3632-3637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_11_3632-3637m.jpg	2243	9999-12-31	3635
25/5-A-4	12	3637-3640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_12_3637-3640m.jpg	2243	9999-12-31	3636
25/5-A-4	13	3640-3645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_13_3640-3645m.jpg	2243	9999-12-31	3637
25/5-A-4	14	3645-3647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2243_14_3645-3647m.jpg	2243	9999-12-31	3638
25/5-A-7	1	4447-4452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_01_4447-4452m.jpg	2483	9999-12-31	3639
25/5-A-7	2	4452-4455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_02_4452-4455m.jpg	2483	9999-12-31	3640
25/5-A-7	3	4457-4462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_03_4457-4462m.jpg	2483	9999-12-31	3641
25/5-A-7	4	4462-4465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_04_4462-4465m.jpg	2483	9999-12-31	3642
25/5-A-7	5	4466-4471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_05_4466-4471m.jpg	2483	9999-12-31	3643
25/5-A-7	6	4471-4473m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_06_4471-4473m.jpg	2483	9999-12-31	3644
25/5-A-7	7	4473-4477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_07_4473-4477m.jpg	2483	9999-12-31	3645
25/5-A-7	8	4477-4482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_08_4477-4482m.jpg	2483	9999-12-31	3646
25/5-A-7	9	4482-4487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_09_4482-4487m.jpg	2483	9999-12-31	3647
25/5-A-7	10	4487-4492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_10_4487-4492m.jpg	2483	9999-12-31	3648
25/5-A-7	11	4492-4497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_11_4492-4497m.jpg	2483	9999-12-31	3649
25/5-A-7	12	4497-4502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_12_4497-4502m.jpg	2483	9999-12-31	3650
25/5-A-7	13	4502-4507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_13_4502-4507m.jpg	2483	9999-12-31	3651
25/5-A-7	14	4507-4512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_14_4507-4512m.jpg	2483	9999-12-31	3652
25/5-A-7	15	4512-4517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_15_4512-4517m.jpg	2483	9999-12-31	3653
25/5-A-7	16	4522-4527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_16_4522-4527m.jpg	2483	9999-12-31	3654
25/5-A-7	17	4517-4522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_17_4517-4522m.jpg	2483	9999-12-31	3655
25/5-A-7	18	4527-4529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_18_4527-4529m.jpg	2483	9999-12-31	3656
25/5-A-7	19	4529-4534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_19_4529-4534m.jpg	2483	9999-12-31	3657
25/5-A-7	20	4534-4538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2483_20_4534-4538m.jpg	2483	9999-12-31	3658
25/5-A-9	1	3527-3532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_01_3527-3532m.jpg	2549	9999-12-31	3659
25/5-A-9	2	3532-3537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_02_3532-3537m.jpg	2549	9999-12-31	3660
25/5-A-9	3	3537-3542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_03_3537-3542m.jpg	2549	9999-12-31	3661
25/5-A-9	4	3542-3547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_04_3542-3547m.jpg	2549	9999-12-31	3662
25/5-A-9	5	3547-3552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_05_3547-3552m.jpg	2549	9999-12-31	3663
25/5-A-9	6	3552-3557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_06_3552-3557m.jpg	2549	9999-12-31	3664
25/5-A-9	7	3557-3562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_07_3557-3562m.jpg	2549	9999-12-31	3665
25/5-A-9	8	3562-3564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_08_3562-3564m.jpg	2549	9999-12-31	3666
25/5-A-9	9	3564-3569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_09_3564-3569m.jpg	2549	9999-12-31	3667
25/5-A-9	10	3569-3574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_10_3569-3574m.jpg	2549	9999-12-31	3668
25/5-A-9	11	3574-3579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_11_3574-3579m.jpg	2549	9999-12-31	3669
25/5-A-9	12	3579-3584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_12_3579-3584m.jpg	2549	9999-12-31	3670
25/5-A-9	13	3584-3589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_13_3584-3589m.jpg	2549	9999-12-31	3671
25/5-A-9	14	3589-3594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_14_3589-3594m.jpg	2549	9999-12-31	3672
25/5-A-9	15	3594-3599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_15_3594-3599m.jpg	2549	9999-12-31	3673
25/5-A-9	16	3599-3604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_16_3599-3604m.jpg	2549	9999-12-31	3674
25/5-A-9	17	3604-3609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_17_3604-3609m.jpg	2549	9999-12-31	3675
25/5-A-9	18	3609-3611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2549_18_3609-3611m.jpg	2549	9999-12-31	3676
25/6-3	1	2062-2067m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3885_01_2062-2067m.jpg	3885	9999-12-31	3677
25/6-3	2	2067-2072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3885_02_2067-2072m.jpg	3885	9999-12-31	3678
25/6-3	3	2072-2077m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3885_03_2072-2077m.jpg	3885	9999-12-31	3679
25/6-3	4	2077-2082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3885_04_2077-2082m.jpg	3885	9999-12-31	3680
25/6-3	5	2082-2087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3885_05_2082-2087m.jpg	3885	9999-12-31	3681
25/6-3	6	2087-2092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3885_06_2087-2092m.jpg	3885	9999-12-31	3682
25/6-3	7	2092-2097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3885_07_2092-2097m.jpg	3885	9999-12-31	3683
25/6-3	8	2097-2102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3885_08_2097-2102m.jpg	3885	9999-12-31	3684
25/6-3	9	2102-2107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3885_09_2102-2107m.jpg	3885	9999-12-31	3685
25/6-3	10	2107-2108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3885_10_2107-2108m.jpg	3885	9999-12-31	3686
25/7-2	1	4125-4130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_01_4125-4130m.jpg	1494	9999-12-31	3687
25/7-2	2	4130-4135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_02_4130-4135m.jpg	1494	9999-12-31	3688
25/7-2	3	4135-4136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_03_4135-4136m.jpg	1494	9999-12-31	3689
25/7-2	4	4136-4141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_04_4136-4141m.jpg	1494	9999-12-31	3690
25/7-2	5	4141-4145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_05_4141-4145m.jpg	1494	9999-12-31	3691
25/7-2	6	4145-4150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_06_4145-4150m.jpg	1494	9999-12-31	3692
25/7-2	7	4150-4154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_07_4150-4154m.jpg	1494	9999-12-31	3693
25/7-2	8	4154-4159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_08_4154-4159m.jpg	1494	9999-12-31	3694
25/7-2	9	4159-4164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_09_4159-4164m.jpg	1494	9999-12-31	3695
25/7-2	10	4164-4169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_10_4164-4169m.jpg	1494	9999-12-31	3696
25/7-2	11	4169-4347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_11_4169-4347m.jpg	1494	9999-12-31	3697
25/7-2	12	4461-4466m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_12_4461-4466m.jpg	1494	9999-12-31	3698
25/7-2	13	4466-4471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_13_4466-4471m.jpg	1494	9999-12-31	3699
25/7-2	14	4471-4476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_14_4471-4476m.jpg	1494	9999-12-31	3700
25/7-2	16	4476-4481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_16_4476-4481m.jpg	1494	9999-12-31	3701
25/7-2	17	4481-4486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_17_4481-4486m.jpg	1494	9999-12-31	3702
25/7-2	18	4486-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1494_18_4486-4488m.jpg	1494	9999-12-31	3703
25/7-3	1	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_01_2099-2110m.jpg	2623	9999-12-31	3704
25/7-3	2	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_02_2099-2110m.jpg	2623	9999-12-31	3705
25/7-3	3	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_03_2099-2110m.jpg	2623	9999-12-31	3706
25/7-3	4	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_04_2099-2110m.jpg	2623	9999-12-31	3707
25/7-3	5	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_05_2099-2110m.jpg	2623	9999-12-31	3708
25/7-3	6	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_06_2099-2110m.jpg	2623	9999-12-31	3709
25/7-3	7	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_07_2099-2110m.jpg	2623	9999-12-31	3710
25/7-3	8	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_08_2099-2110m.jpg	2623	9999-12-31	3711
25/7-3	9	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_09_2099-2110m.jpg	2623	9999-12-31	3712
25/7-3	10	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_10_2099-2110m.jpg	2623	9999-12-31	3713
25/7-3	11	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_11_2099-2110m.jpg	2623	9999-12-31	3714
25/7-3	12	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_12_2099-2110m.jpg	2623	9999-12-31	3715
25/7-3	13	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_13_2099-2110m.jpg	2623	9999-12-31	3716
25/7-3	14	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_14_2099-2110m.jpg	2623	9999-12-31	3717
25/7-3	15	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_15_2099-2110m.jpg	2623	9999-12-31	3718
25/7-3	16	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_16_2099-2110m.jpg	2623	9999-12-31	3719
25/7-3	17	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_17_2099-2110m.jpg	2623	9999-12-31	3720
25/7-3	18	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_18_2099-2110m.jpg	2623	9999-12-31	3721
25/7-3	19	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_19_2099-2110m.jpg	2623	9999-12-31	3722
25/7-3	20	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_20_2099-2110m.jpg	2623	9999-12-31	3723
25/7-3	21	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_21_2099-2110m.jpg	2623	9999-12-31	3724
25/7-3	22	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_22_2099-2110m.jpg	2623	9999-12-31	3725
25/7-3	23	2099-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_23_2099-2110m.jpg	2623	9999-12-31	3726
25/7-3	24	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_24_2111-2130m.jpg	2623	9999-12-31	3727
25/7-3	25	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_25_2111-2130m.jpg	2623	9999-12-31	3728
25/7-3	26	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_26_2111-2130m.jpg	2623	9999-12-31	3729
25/7-3	27	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_27_2111-2130m.jpg	2623	9999-12-31	3730
25/7-3	28	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_28_2111-2130m.jpg	2623	9999-12-31	3731
25/7-3	29	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_29_2111-2130m.jpg	2623	9999-12-31	3732
25/7-3	30	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_30_2111-2130m.jpg	2623	9999-12-31	3733
25/7-3	31	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_31_2111-2130m.jpg	2623	9999-12-31	3734
25/7-3	32	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_32_2111-2130m.jpg	2623	9999-12-31	3735
25/7-3	33	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_33_2111-2130m.jpg	2623	9999-12-31	3736
25/7-3	34	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_34_2111-2130m.jpg	2623	9999-12-31	3737
25/7-3	35	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_35_2111-2130m.jpg	2623	9999-12-31	3738
25/7-3	36	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_36_2111-2130m.jpg	2623	9999-12-31	3739
25/7-3	37	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_37_2111-2130m.jpg	2623	9999-12-31	3740
25/7-3	38	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_38_2111-2130m.jpg	2623	9999-12-31	3741
25/7-3	39	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_39_2111-2130m.jpg	2623	9999-12-31	3742
25/7-3	40	2110-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_40_2110-2130m.jpg	2623	9999-12-31	3743
25/7-3	41	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_41_2111-2130m.jpg	2623	9999-12-31	3744
25/7-3	42	2111-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2623_42_2111-2130m.jpg	2623	9999-12-31	3745
25/7-5	1	1977-1982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_01_1977-1982m.jpg	3132	9999-12-31	3746
25/7-5	2	1982-1983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_02_1982-1983m.jpg	3132	9999-12-31	3747
25/7-5	3	1983-1988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_03_1983-1988m.jpg	3132	9999-12-31	3748
25/7-5	4	1988-1993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_04_1988-1993m.jpg	3132	9999-12-31	3749
25/7-5	5	1993-1998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_05_1993-1998m.jpg	3132	9999-12-31	3750
25/7-5	6	1998-2002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_06_1998-2002m.jpg	3132	9999-12-31	3751
25/7-5	7	2003-2008m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_07_2003-2008m.jpg	3132	9999-12-31	3752
25/7-5	8	2008-2013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_08_2008-2013m.jpg	3132	9999-12-31	3753
25/7-5	9	2013-2018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_09_2013-2018m.jpg	3132	9999-12-31	3754
25/7-5	10	2018-2023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_10_2018-2023m.jpg	3132	9999-12-31	3755
25/7-5	11	2028-2031m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_11_2028-2031m.jpg	3132	9999-12-31	3756
25/7-5	12	2031-2036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_12_2031-2036m.jpg	3132	9999-12-31	3757
25/7-5	13	2036-2041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_13_2036-2041m.jpg	3132	9999-12-31	3758
25/7-5	14	2041-2046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_14_2041-2046m.jpg	3132	9999-12-31	3759
25/7-5	15	2046-2048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_15_2046-2048m.jpg	3132	9999-12-31	3760
25/7-5	16	2048-2053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_16_2048-2053m.jpg	3132	9999-12-31	3761
25/7-5	17	2053-2057m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_17_2053-2057m.jpg	3132	9999-12-31	3762
25/7-5	18	2058-2060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_18_2058-2060m.jpg	3132	9999-12-31	3763
25/7-5	19	2060-2065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_19_2060-2065m.jpg	3132	9999-12-31	3764
25/7-5	20	2065-2070m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_20_2065-2070m.jpg	3132	9999-12-31	3765
25/7-5	21	2070-2075m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_21_2070-2075m.jpg	3132	9999-12-31	3766
25/7-5	22	2075-2076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_22_2075-2076m.jpg	3132	9999-12-31	3767
25/7-5	23	2078-2083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_23_2078-2083m.jpg	3132	9999-12-31	3768
25/7-5	24	2083-2084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_24_2083-2084m.jpg	3132	9999-12-31	3769
25/7-5	25	2093-2098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_25_2093-2098m.jpg	3132	9999-12-31	3770
25/7-5	26	2098-2103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_26_2098-2103m.jpg	3132	9999-12-31	3771
25/7-5	27	2103-2108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_27_2103-2108m.jpg	3132	9999-12-31	3772
25/7-5	28	2108-2113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_28_2108-2113m.jpg	3132	9999-12-31	3773
25/7-5	29	2113-2118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_29_2113-2118m.jpg	3132	9999-12-31	3774
25/7-5	30	2118-2122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_30_2118-2122m.jpg	3132	9999-12-31	3775
25/7-5	31	2122-2127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_31_2122-2127m.jpg	3132	9999-12-31	3776
25/7-5	32	2127-2132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_32_2127-2132m.jpg	3132	9999-12-31	3777
25/7-5	33	2132-2137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_33_2132-2137m.jpg	3132	9999-12-31	3778
25/7-5	34	2137-2142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_34_2137-2142m.jpg	3132	9999-12-31	3779
25/7-5	35	2142-2147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_35_2142-2147m.jpg	3132	9999-12-31	3780
25/7-5	36	2147-2150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3132_36_2147-2150m.jpg	3132	9999-12-31	3781
25/7-6	1	2061-2065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4141_01_2061-2065m.jpg	4141	9999-12-31	3782
25/7-6	2	2065-2069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4141_02_2065-2069m.jpg	4141	9999-12-31	3783
25/7-6	3	2069-2073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4141_03_2069-2073m.jpg	4141	9999-12-31	3784
25/7-6	4	2073-2077m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4141_04_2073-2077m.jpg	4141	9999-12-31	3785
25/7-6	5	2077-2079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4141_05_2077-2079m.jpg	4141	9999-12-31	3786
25/8-10 S	1	1749-1754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3062_01_1749-1754m.jpg	3062	9999-12-31	3787
25/8-10 S	2	1754-1759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3062_02_1754-1759m.jpg	3062	9999-12-31	3788
25/8-10 S	3	1759-1764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3062_03_1759-1764m.jpg	3062	9999-12-31	3789
25/8-10 S	4	1764-1769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3062_04_1764-1769m.jpg	3062	9999-12-31	3790
25/8-10 S	5	1769-1774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3062_05_1769-1774m.jpg	3062	9999-12-31	3791
25/8-10 S	6	1774-1779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3062_06_1774-1779m.jpg	3062	9999-12-31	3792
25/8-10 S	7	1779-1784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3062_07_1779-1784m.jpg	3062	9999-12-31	3793
25/8-10 S	8	1784-1786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3062_08_1784-1786m.jpg	3062	9999-12-31	3794
25/8-11	1	1763-1768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3209_01_1763-1768m.jpg	3209	9999-12-31	3795
25/8-11	2	1768-1773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3209_02_1768-1773m.jpg	3209	9999-12-31	3796
25/8-11	3	1773-1778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3209_03_1773-1778m.jpg	3209	9999-12-31	3797
25/8-11	4	1778-1783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3209_04_1778-1783m.jpg	3209	9999-12-31	3798
25/8-11	5	1783-1788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3209_05_1783-1788m.jpg	3209	9999-12-31	3799
25/8-11	6	1788-1790m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3209_06_1788-1790m.jpg	3209	9999-12-31	3800
25/8-12 A	1	1951-1956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3772_01_1951-1956m.jpg	3772	9999-12-31	3801
25/8-12 A	2	1956-1961m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3772_02_1956-1961m.jpg	3772	9999-12-31	3802
25/8-12 A	3	1961-1966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3772_03_1961-1966m.jpg	3772	9999-12-31	3803
25/8-12 A	4	1966-1971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3772_04_1966-1971m.jpg	3772	9999-12-31	3804
25/8-12 A	5	1971-1976m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3772_05_1971-1976m.jpg	3772	9999-12-31	3805
25/8-12 A	6	1976-1981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3772_06_1976-1981m.jpg	3772	9999-12-31	3806
25/8-12 A	7	1981-1986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3772_07_1981-1986m.jpg	3772	9999-12-31	3807
25/8-12 A	8	1986-1989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3772_08_1986-1989m.jpg	3772	9999-12-31	3808
25/8-12 S	1	1905-1910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3771_01_1905-1910m.jpg	3771	9999-12-31	3809
25/8-12 S	2	1910-1915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3771_02_1910-1915m.jpg	3771	9999-12-31	3810
25/8-12 S	3	1915-1920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3771_03_1915-1920m.jpg	3771	9999-12-31	3811
25/8-12 S	4	1920-1925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3771_04_1920-1925m.jpg	3771	9999-12-31	3812
25/8-12 S	5	1925-1930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3771_05_1925-1930m.jpg	3771	9999-12-31	3813
25/8-12 S	6	1930-1935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3771_06_1930-1935m.jpg	3771	9999-12-31	3814
25/8-12 S	7	1935-1939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3771_07_1935-1939m.jpg	3771	9999-12-31	3815
25/8-4	1	1659-1664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_01_1659-1664m.jpg	1986	9999-12-31	3816
25/8-4	2	1664-1669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_02_1664-1669m.jpg	1986	9999-12-31	3817
25/8-4	3	1669-1670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_03_1669-1670m.jpg	1986	9999-12-31	3818
25/8-4	4	1672-1677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_04_1672-1677m.jpg	1986	9999-12-31	3819
25/8-4	5	1677-1682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_05_1677-1682m.jpg	1986	9999-12-31	3820
25/8-4	6	1682-1687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_06_1682-1687m.jpg	1986	9999-12-31	3821
25/8-4	7	1687-1692m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_07_1687-1692m.jpg	1986	9999-12-31	3822
25/8-4	8	1692-1694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_08_1692-1694m.jpg	1986	9999-12-31	3823
25/8-4	9	1695-1700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_09_1695-1700m.jpg	1986	9999-12-31	3824
25/8-4	10	1700-1705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_10_1700-1705m.jpg	1986	9999-12-31	3825
25/8-4	11	1705-1706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_11_1705-1706m.jpg	1986	9999-12-31	3826
25/8-4	12	1722-1727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_12_1722-1727m.jpg	1986	9999-12-31	3827
25/8-4	13	1727-1732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_13_1727-1732m.jpg	1986	9999-12-31	3828
25/8-4	14	1737-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_14_1737-1742m.jpg	1986	9999-12-31	3829
25/8-4	15	1742-1746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_15_1742-1746m.jpg	1986	9999-12-31	3830
25/8-4	16	1746-1751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_16_1746-1751m.jpg	1986	9999-12-31	3831
25/8-4	17	1751-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_17_1751-1756m.jpg	1986	9999-12-31	3832
25/8-4	18	1756-1759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_18_1756-1759m.jpg	1986	9999-12-31	3833
25/8-4	19	1759-1764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_19_1759-1764m.jpg	1986	9999-12-31	3834
25/8-4	20	1764-1769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_20_1764-1769m.jpg	1986	9999-12-31	3835
25/8-4	21	1769-1774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_21_1769-1774m.jpg	1986	9999-12-31	3836
25/8-4	22	1774-1776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_22_1774-1776m.jpg	1986	9999-12-31	3837
25/8-4	23	1777-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_23_1777-1782m.jpg	1986	9999-12-31	3838
25/8-4	24	1782-1787m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_24_1782-1787m.jpg	1986	9999-12-31	3839
25/8-4	25	1787-1792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_25_1787-1792m.jpg	1986	9999-12-31	3840
25/8-4	26	1792-1794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_26_1792-1794m.jpg	1986	9999-12-31	3841
25/8-4	27	1794-1799m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_27_1794-1799m.jpg	1986	9999-12-31	3842
25/8-4	28	1799-1804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_28_1799-1804m.jpg	1986	9999-12-31	3843
25/8-4	29	1804-1809m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_29_1804-1809m.jpg	1986	9999-12-31	3844
25/8-4	30	1809-1811m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_30_1809-1811m.jpg	1986	9999-12-31	3845
25/8-4	31	1812-1817m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_31_1812-1817m.jpg	1986	9999-12-31	3846
25/8-4	32	1817-1822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_32_1817-1822m.jpg	1986	9999-12-31	3847
25/8-4	33	1822-1827m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_33_1822-1827m.jpg	1986	9999-12-31	3848
25/8-4	34	1827-1829m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_34_1827-1829m.jpg	1986	9999-12-31	3849
25/8-4	35	1830-1835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_35_1830-1835m.jpg	1986	9999-12-31	3850
25/8-4	36	1835-1838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1986_36_1835-1838m.jpg	1986	9999-12-31	3851
25/8-5 S	1	2135-2140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2390_01_2135-2140m.jpg	2390	9999-12-31	3852
25/8-5 S	2	2140-2144m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2390_02_2140-2144m.jpg	2390	9999-12-31	3853
25/8-5 S	3	2144-2148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2390_03_2144-2148m.jpg	2390	9999-12-31	3854
25/8-5 S	4	2148-2150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2390_04_2148-2150m.jpg	2390	9999-12-31	3855
25/8-5 S	5	3052-3057m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2390_05_3052-3057m.jpg	2390	9999-12-31	3856
25/8-5 S	6	3057-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2390_06_3057-3061m.jpg	2390	9999-12-31	3857
25/8-6	1	2054-2056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_01_2054-2056m.jpg	2573	9999-12-31	3858
25/8-6	2	2057-2061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_02_2057-2061m.jpg	2573	9999-12-31	3859
25/8-6	3	2061-2063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_03_2061-2063m.jpg	2573	9999-12-31	3860
25/8-6	4	2077-2081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_04_2077-2081m.jpg	2573	9999-12-31	3861
25/8-6	5	2081-2084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_05_2081-2084m.jpg	2573	9999-12-31	3862
25/8-6	6	2084-2088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_06_2084-2088m.jpg	2573	9999-12-31	3863
25/8-6	7	2088-2092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_07_2088-2092m.jpg	2573	9999-12-31	3864
25/8-6	8	2092-2096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_08_2092-2096m.jpg	2573	9999-12-31	3865
25/8-6	9	2096-2097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_09_2096-2097m.jpg	2573	9999-12-31	3866
25/8-6	10	2097-2099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_10_2097-2099m.jpg	2573	9999-12-31	3867
25/8-6	11	2100-2104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_11_2100-2104m.jpg	2573	9999-12-31	3868
25/8-6	12	2104-2108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_12_2104-2108m.jpg	2573	9999-12-31	3869
25/8-6	13	2108-2109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_13_2108-2109m.jpg	2573	9999-12-31	3870
25/8-6	14	2109-2113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_14_2109-2113m.jpg	2573	9999-12-31	3871
25/8-6	15	2113-2117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_15_2113-2117m.jpg	2573	9999-12-31	3872
25/8-6	16	2117-2119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_16_2117-2119m.jpg	2573	9999-12-31	3873
25/8-6	17	2119-2123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_17_2119-2123m.jpg	2573	9999-12-31	3874
25/8-6	18	2123-2127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_18_2123-2127m.jpg	2573	9999-12-31	3875
25/8-6	19	2127-2131m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_19_2127-2131m.jpg	2573	9999-12-31	3876
25/8-6	20	2131-2135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_20_2131-2135m.jpg	2573	9999-12-31	3877
25/8-6	21	2135-2137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2573_21_2135-2137m.jpg	2573	9999-12-31	3878
25/8-7	1	2053-2054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2612_01_2053-2054m.jpg	2612	9999-12-31	3879
25/8-7	2	2054-2058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2612_02_2054-2058m.jpg	2612	9999-12-31	3880
25/8-7	3	2058-2062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2612_03_2058-2062m.jpg	2612	9999-12-31	3881
25/8-7	4	2319-2324m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2612_04_2319-2324m.jpg	2612	9999-12-31	3882
25/8-7	5	2324-2329m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2612_05_2324-2329m.jpg	2612	9999-12-31	3883
25/8-7	6	2329-2334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2612_06_2329-2334m.jpg	2612	9999-12-31	3884
25/8-7	7	2334-2339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2612_07_2334-2339m.jpg	2612	9999-12-31	3885
25/8-8 A	1	2414-2419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_01_2414-2419m.jpg	2690	9999-12-31	3886
25/8-8 A	2	2419-2424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_02_2419-2424m.jpg	2690	9999-12-31	3887
25/8-8 A	3	2424-2429m,	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_03_2424-2429m,.jpg	2690	9999-12-31	3888
25/8-8 A	4	2429-2434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_04_2429-2434m.jpg	2690	9999-12-31	3889
25/8-8 A	5	2434-2439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_05_2434-2439m.jpg	2690	9999-12-31	3890
25/8-8 A	6	2439-2444m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_06_2439-2444m.jpg	2690	9999-12-31	3891
25/8-8 A	7	2444-2449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_07_2444-2449m.jpg	2690	9999-12-31	3892
25/8-8 A	8	2449-2450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_08_2449-2450m.jpg	2690	9999-12-31	3893
25/8-8 A	9	2450-2455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_09_2450-2455m.jpg	2690	9999-12-31	3894
25/8-8 A	10	2455-2460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_10_2455-2460m.jpg	2690	9999-12-31	3895
25/8-8 A	11	2460-2464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_11_2460-2464m.jpg	2690	9999-12-31	3896
25/8-8 A	12	2464-2469m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_12_2464-2469m.jpg	2690	9999-12-31	3897
25/8-8 A	13	2469-2474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_13_2469-2474m.jpg	2690	9999-12-31	3898
25/8-8 A	14	2474-2479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_14_2474-2479m.jpg	2690	9999-12-31	3899
25/8-8 A	15	2479-2484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_15_2479-2484m.jpg	2690	9999-12-31	3900
25/8-8 A	16	2484-2489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_16_2484-2489m.jpg	2690	9999-12-31	3901
25/8-8 A	17	2489-2494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_17_2489-2494m.jpg	2690	9999-12-31	3902
25/8-8 A	18	2494-2495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_18_2494-2495m.jpg	2690	9999-12-31	3903
25/8-8 A	19	2495-2500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_19_2495-2500m.jpg	2690	9999-12-31	3904
25/8-8 A	20	2500-2505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_20_2500-2505m.jpg	2690	9999-12-31	3905
25/8-8 A	21	2505-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_21_2505-2510m.jpg	2690	9999-12-31	3906
25/8-8 A	22	2510-2515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_22_2510-2515m.jpg	2690	9999-12-31	3907
25/8-8 A	23	2515-2520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_23_2515-2520m.jpg	2690	9999-12-31	3908
25/8-8 A	24	2520-2524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2690_24_2520-2524m.jpg	2690	9999-12-31	3909
25/8-8 S	1	2228-2233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_01_2228-2233m.jpg	2646	9999-12-31	3910
25/8-8 S	2	2233-2238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_02_2233-2238m.jpg	2646	9999-12-31	3911
25/8-8 S	3	2238-2243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_03_2238-2243m.jpg	2646	9999-12-31	3912
25/8-8 S	4	2243-2248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_04_2243-2248m.jpg	2646	9999-12-31	3913
25/8-8 S	5	2248-2252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_05_2248-2252m.jpg	2646	9999-12-31	3914
25/8-8 S	6	2255-2260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_06_2255-2260m.jpg	2646	9999-12-31	3915
25/8-8 S	7	2260-2265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_07_2260-2265m.jpg	2646	9999-12-31	3916
25/8-8 S	8	2265-2270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_08_2265-2270m.jpg	2646	9999-12-31	3917
25/8-8 S	9	2270-2275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_09_2270-2275m.jpg	2646	9999-12-31	3918
25/8-8 S	10	2275-2280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_10_2275-2280m.jpg	2646	9999-12-31	3919
25/8-8 S	11	2280-2282m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_11_2280-2282m.jpg	2646	9999-12-31	3920
25/8-8 S	12	2282-2287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_12_2282-2287m.jpg	2646	9999-12-31	3921
25/8-8 S	13	2287-2292m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_13_2287-2292m.jpg	2646	9999-12-31	3922
25/8-8 S	14	2292-2297m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_14_2292-2297m.jpg	2646	9999-12-31	3923
25/8-8 S	15	2297-2302m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_15_2297-2302m.jpg	2646	9999-12-31	3924
25/8-8 S	16	2302-2307m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_16_2302-2307m.jpg	2646	9999-12-31	3925
25/8-8 S	17	2307-2309m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2646_17_2307-2309m.jpg	2646	9999-12-31	3926
25/8-9	1	2098-2103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_01_2098-2103m.jpg	2988	9999-12-31	3927
25/8-9	2	2103-2108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_02_2103-2108m.jpg	2988	9999-12-31	3928
25/8-9	3	2108-2113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_03_2108-2113m.jpg	2988	9999-12-31	3929
25/8-9	4	2113-2118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_04_2113-2118m.jpg	2988	9999-12-31	3930
25/8-9	5	2118-2123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_05_2118-2123m.jpg	2988	9999-12-31	3931
25/8-9	6	2123-2125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_06_2123-2125m.jpg	2988	9999-12-31	3932
25/8-9	7	2440-2445m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_07_2440-2445m.jpg	2988	9999-12-31	3933
25/8-9	8	2445-2450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_08_2445-2450m.jpg	2988	9999-12-31	3934
25/8-9	9	2450-2455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_09_2450-2455m.jpg	2988	9999-12-31	3935
25/8-9	10	2455-2460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_10_2455-2460m.jpg	2988	9999-12-31	3936
25/8-9	11	2460-2465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_11_2460-2465m.jpg	2988	9999-12-31	3937
25/8-9	12	2465-2468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_12_2465-2468m.jpg	2988	9999-12-31	3938
25/8-9	13	2468-2473m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_13_2468-2473m.jpg	2988	9999-12-31	3939
25/8-9	14	2473-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_14_2473-2478m.jpg	2988	9999-12-31	3940
25/8-9	15	2478-2483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_15_2478-2483m.jpg	2988	9999-12-31	3941
25/8-9	16	2483-2488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_16_2483-2488m.jpg	2988	9999-12-31	3942
25/8-9	17	2488-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2988_17_2488-2490m.jpg	2988	9999-12-31	3943
25/8-9 A	1	2495-2500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_01_2495-2500m.jpg	3025	9999-12-31	3944
25/8-9 A	2	2500-2505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_02_2500-2505m.jpg	3025	9999-12-31	3945
25/8-9 A	3	2505-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_03_2505-2510m.jpg	3025	9999-12-31	3946
25/8-9 A	4	2510-2515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_04_2510-2515m.jpg	3025	9999-12-31	3947
25/8-9 A	5	2515-2520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_05_2515-2520m.jpg	3025	9999-12-31	3948
25/8-9 A	6	2520-2522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_06_2520-2522m.jpg	3025	9999-12-31	3949
25/8-9 A	7	2523-2528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_07_2523-2528m.jpg	3025	9999-12-31	3950
25/8-9 A	8	2528-2533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_08_2528-2533m.jpg	3025	9999-12-31	3951
25/8-9 A	9	2533-2538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_09_2533-2538m.jpg	3025	9999-12-31	3952
25/8-9 A	10	2538-2543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_10_2538-2543m.jpg	3025	9999-12-31	3953
25/8-9 A	11	2543-2548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_11_2543-2548m.jpg	3025	9999-12-31	3954
25/8-9 A	12	2548-2550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3025_12_2548-2550m.jpg	3025	9999-12-31	3955
25/8-B-2	1	2313-2318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_01_2313-2318m.jpg	3731	9999-12-31	3956
25/8-B-2	2	2318-2323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_02_2318-2323m.jpg	3731	9999-12-31	3957
25/8-B-2	3	2323-2327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_03_2323-2327m.jpg	3731	9999-12-31	3958
25/8-B-2	4	2327-2331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_04_2327-2331m.jpg	3731	9999-12-31	3959
25/8-B-2	5	2331-2335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_05_2331-2335m.jpg	3731	9999-12-31	3960
25/8-B-2	6	2335-2339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_06_2335-2339m.jpg	3731	9999-12-31	3961
25/8-B-2	7	2339-2343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_07_2339-2343m.jpg	3731	9999-12-31	3962
25/8-B-2	8	2343-2347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_08_2343-2347m.jpg	3731	9999-12-31	3963
25/8-B-2	9	2347-2349m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_09_2347-2349m.jpg	3731	9999-12-31	3964
25/8-B-2	10	2349-2353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_10_2349-2353m.jpg	3731	9999-12-31	3965
25/8-B-2	11	2353-2357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_11_2353-2357m.jpg	3731	9999-12-31	3966
25/8-B-2	12	2357-2361m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_12_2357-2361m.jpg	3731	9999-12-31	3967
25/8-B-2	13	2361-2365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3731_13_2361-2365m.jpg	3731	9999-12-31	3968
25/9-1	1	2183-2188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2476_01_2183-2188m.jpg	2476	9999-12-31	3969
25/9-1	2	2188-2193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2476_02_2188-2193m.jpg	2476	9999-12-31	3970
25/9-1	3	2193-2195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2476_03_2193-2195m.jpg	2476	9999-12-31	3971
26/4-1	1	2253-2258m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_01_2253-2258m.jpg	1046	9999-12-31	3972
26/4-1	2	2258-2263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_02_2258-2263m.jpg	1046	9999-12-31	3973
26/4-1	3	2263-2265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_03_2263-2265m.jpg	1046	9999-12-31	3974
26/4-1	4	2270-2275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_04_2270-2275m.jpg	1046	9999-12-31	3975
26/4-1	5	2275-2280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_05_2275-2280m.jpg	1046	9999-12-31	3976
26/4-1	6	2280-2285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_06_2280-2285m.jpg	1046	9999-12-31	3977
26/4-1	7	2285-2290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_07_2285-2290m.jpg	1046	9999-12-31	3978
26/4-1	8	2290-2295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_08_2290-2295m.jpg	1046	9999-12-31	3979
26/4-1	9	2754-2759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_09_2754-2759m.jpg	1046	9999-12-31	3980
26/4-1	10	2295-2297m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_10_2295-2297m.jpg	1046	9999-12-31	3981
26/4-1	11	2759-2764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_11_2759-2764m.jpg	1046	9999-12-31	3982
26/4-1	12	2764-2769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_12_2764-2769m.jpg	1046	9999-12-31	3983
26/4-1	13	2769-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_13_2769-2774m.jpg	1046	9999-12-31	3984
26/4-1	14	2774-2779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_14_2774-2779m.jpg	1046	9999-12-31	3985
26/4-1	15	2779-2781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_15_2779-2781m.jpg	1046	9999-12-31	3986
26/4-1	16	3308-3313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_16_3308-3313m.jpg	1046	9999-12-31	3987
26/4-1	17	3313-3316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1046_17_3313-3316m.jpg	1046	9999-12-31	3988
29/3-1	1	3525-3542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/904_01_3525-3542m.jpg	904	9999-12-31	3989
29/3-1	2	3525-3536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/904_02_3525-3536m.jpg	904	9999-12-31	3990
29/3-1	3	3525-3542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/904_03_3525-3542m.jpg	904	9999-12-31	3991
29/3-1	4	3543-3546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/904_04_3543-3546m.jpg	904	9999-12-31	3992
29/3-1	5	3549-3554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/904_05_3549-3554m.jpg	904	9999-12-31	3993
29/3-1	6	3555-3560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/904_06_3555-3560m.jpg	904	9999-12-31	3994
29/6-1	1	4219-4225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_01_4219-4225m.jpg	375	9999-12-31	3995
29/6-1	2	4225-4231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_02_4225-4231m.jpg	375	9999-12-31	3996
29/6-1	3	4231-4237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_03_4231-4237m.jpg	375	9999-12-31	3997
29/6-1	4	4237-4237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_04_4237-4237m.jpg	375	9999-12-31	3998
29/6-1	5	4238-4244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_05_4238-4244m.jpg	375	9999-12-31	3999
29/6-1	6	4244-4250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_06_4244-4250m.jpg	375	9999-12-31	4000
29/6-1	7	4250-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_07_4250-4356m.jpg	375	9999-12-31	4001
29/6-1	8	4256-4262m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_08_4256-4262m.jpg	375	9999-12-31	4002
29/6-1	9	4262-4268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_09_4262-4268m.jpg	375	9999-12-31	4003
29/6-1	10	4268-4274m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_10_4268-4274m.jpg	375	9999-12-31	4004
29/6-1	11	4274-4280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_11_4274-4280m.jpg	375	9999-12-31	4005
29/6-1	12	4280-4286m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_12_4280-4286m.jpg	375	9999-12-31	4006
29/6-1	13	4286-4292m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_13_4286-4292m.jpg	375	9999-12-31	4007
29/6-1	14	4292-4298m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_14_4292-4298m.jpg	375	9999-12-31	4008
29/6-1	15	4298-4309m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_15_4298-4309m.jpg	375	9999-12-31	4009
29/6-1	16	4304-4310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_16_4304-4310m.jpg	375	9999-12-31	4010
29/6-1	17	4310-4316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_17_4310-4316m.jpg	375	9999-12-31	4011
29/6-1	18	4316-4322m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_18_4316-4322m.jpg	375	9999-12-31	4012
29/6-1	19	4322-4328m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_19_4322-4328m.jpg	375	9999-12-31	4013
29/6-1	20	4328-4328m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_20_4328-4328m.jpg	375	9999-12-31	4014
29/6-1	21	4328-4334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_21_4328-4334m.jpg	375	9999-12-31	4015
29/6-1	22	4334-4339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/375_22_4334-4339m.jpg	375	9999-12-31	4016
29/9-1	1	4386-4390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_01_4386-4390m.jpg	31	9999-12-31	4017
29/9-1	2	3290-4394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_02_3290-4394m.jpg	31	9999-12-31	4018
29/9-1	3	4394-4398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_03_4394-4398m.jpg	31	9999-12-31	4019
29/9-1	4	4398-4402m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_04_4398-4402m.jpg	31	9999-12-31	4020
29/9-1	5	4402-4406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_05_4402-4406m.jpg	31	9999-12-31	4021
29/9-1	6	4406-4410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_06_4406-4410m.jpg	31	9999-12-31	4022
29/9-1	7	4410-4414m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_07_4410-4414m.jpg	31	9999-12-31	4023
29/9-1	8	4414-4417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_08_4414-4417m.jpg	31	9999-12-31	4024
29/9-1	9	4418-4422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_09_4418-4422m.jpg	31	9999-12-31	4025
29/9-1	10	4422-4436m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_10_4422-4436m.jpg	31	9999-12-31	4026
29/9-1	11	4426-4430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_11_4426-4430m.jpg	31	9999-12-31	4027
29/9-1	12	4430-4434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_12_4430-4434m.jpg	31	9999-12-31	4028
29/9-1	13	4434-4436m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/31_13_4434-4436m.jpg	31	9999-12-31	4029
3/4-1	1	2740-2744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2222_01_2740-2744m.jpg	2222	9999-12-31	4030
3/4-1	2	2744-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2222_02_2744-2748m.jpg	2222	9999-12-31	4031
3/4-1	3	2748-2752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2222_03_2748-2752m.jpg	2222	9999-12-31	4032
3/4-1	4	2752-2756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2222_04_2752-2756m.jpg	2222	9999-12-31	4033
3/4-1	5	2756-2758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2222_05_2756-2758m.jpg	2222	9999-12-31	4034
3/6-1	1	2008-2022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4117_01_2008-2022m.jpg	4117	9999-12-31	4035
3/7-3	1	2830-2835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/293_01_2830-2835m.jpg	293	9999-12-31	4036
3/7-3	2	2835-2839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/293_02_2835-2839m.jpg	293	9999-12-31	4037
3/7-3	3	3337-3338m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/293_03_3337-3338m.jpg	293	9999-12-31	4038
3/7-3	4	3339-3344m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/293_04_3339-3344m.jpg	293	9999-12-31	4039
3/7-3	5	3344-3348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/293_05_3344-3348m.jpg	293	9999-12-31	4040
3/7-4	1	3416-3421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_01_3416-3421m.jpg	1467	9999-12-31	4041
3/7-4	2	3421-3426m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_02_3421-3426m.jpg	1467	9999-12-31	4042
3/7-4	3	3426-3431m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_03_3426-3431m.jpg	1467	9999-12-31	4043
3/7-4	4	3431-3434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_04_3431-3434m.jpg	1467	9999-12-31	4044
3/7-4	6	3437-3442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_06_3437-3442m.jpg	1467	9999-12-31	4045
3/7-4	7	3442-3447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_07_3442-3447m.jpg	1467	9999-12-31	4046
3/7-4	8	3447-3452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_08_3447-3452m.jpg	1467	9999-12-31	4047
3/7-4	9	3452-3457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_09_3452-3457m.jpg	1467	9999-12-31	4048
3/7-4	10	3457-3462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_10_3457-3462m.jpg	1467	9999-12-31	4049
3/7-4	11	3462-3465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_11_3462-3465m.jpg	1467	9999-12-31	4050
3/7-4	12	3464-3469m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_12_3464-3469m.jpg	1467	9999-12-31	4051
3/7-4	13	3469-3474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_13_3469-3474m.jpg	1467	9999-12-31	4052
3/7-4	14	3474-3479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_14_3474-3479m.jpg	1467	9999-12-31	4053
3/7-4	15	3479-3484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_15_3479-3484m.jpg	1467	9999-12-31	4054
3/7-4	16	3484-3487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_16_3484-3487m.jpg	1467	9999-12-31	4055
3/7-4	17	3492-3497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_17_3492-3497m.jpg	1467	9999-12-31	4056
3/7-4	18	3497-3501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_18_3497-3501m.jpg	1467	9999-12-31	4057
3/7-4	19	3504-3509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_19_3504-3509m.jpg	1467	9999-12-31	4058
3/7-4	20	3509-3514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_20_3509-3514m.jpg	1467	9999-12-31	4059
3/7-4	21	3514-3519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_21_3514-3519m.jpg	1467	9999-12-31	4060
3/7-4	22	3519-3524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_22_3519-3524m.jpg	1467	9999-12-31	4061
3/7-4	23	3524-3525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_23_3524-3525m.jpg	1467	9999-12-31	4062
3/7-4	24	3526-3531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_24_3526-3531m.jpg	1467	9999-12-31	4063
3/7-4	25	3531-3536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_25_3531-3536m.jpg	1467	9999-12-31	4064
3/7-4	26	3536-3541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_26_3536-3541m.jpg	1467	9999-12-31	4065
3/7-4	27	3541-3546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_27_3541-3546m.jpg	1467	9999-12-31	4066
3/7-4	28	3546-3551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_28_3546-3551m.jpg	1467	9999-12-31	4067
3/7-4	29	3551-3553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_29_3551-3553m.jpg	1467	9999-12-31	4068
3/7-4	30	3553-3558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_30_3553-3558m.jpg	1467	9999-12-31	4069
3/7-4	31	3558-3563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_31_3558-3563m.jpg	1467	9999-12-31	4070
3/7-4	32	3563-3568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_32_3563-3568m.jpg	1467	9999-12-31	4071
3/7-4	33	3568-3573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_33_3568-3573m.jpg	1467	9999-12-31	4072
3/7-4	34	3573-3574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1467_34_3573-3574m.jpg	1467	9999-12-31	4073
3/7-5	1	3383-3388m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1759_01_3383-3388m.jpg	1759	9999-12-31	4074
3/7-5	2	3388-3392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1759_02_3388-3392m.jpg	1759	9999-12-31	4075
3/7-6	1	3640-3645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2891_01_3640-3645m.jpg	2891	9999-12-31	4076
3/7-6	2	3645-3650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2891_02_3645-3650m.jpg	2891	9999-12-31	4077
3/7-6	3	3650-3651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2891_03_3650-3651m.jpg	2891	9999-12-31	4078
30/10-6	1	4663-4666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_01_4663-4666m.jpg	1816	9999-12-31	4079
30/10-6	2	4666-4669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_02_4666-4669m.jpg	1816	9999-12-31	4080
30/10-6	3	4669-4671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_03_4669-4671m.jpg	1816	9999-12-31	4081
30/10-6	4	4672-4674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_04_4672-4674m.jpg	1816	9999-12-31	4082
30/10-6	5	4675-4678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_05_4675-4678m.jpg	1816	9999-12-31	4083
30/10-6	6	4678-4681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_06_4678-4681m.jpg	1816	9999-12-31	4084
30/10-6	7	4681-4684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_07_4681-4684m.jpg	1816	9999-12-31	4085
30/10-6	8	4684-4687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_08_4684-4687m.jpg	1816	9999-12-31	4086
30/10-6	9	4687-4689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_09_4687-4689m.jpg	1816	9999-12-31	4087
30/10-6	10	4689-4691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_10_4689-4691m.jpg	1816	9999-12-31	4088
30/10-6	11	4691-4693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_11_4691-4693m.jpg	1816	9999-12-31	4089
30/10-6	12	4697-4700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_12_4697-4700m.jpg	1816	9999-12-31	4090
30/10-6	13	4700-4703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_13_4700-4703m.jpg	1816	9999-12-31	4091
30/10-6	14	4703-4706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_14_4703-4706m.jpg	1816	9999-12-31	4092
30/10-6	15	4706-4709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_15_4706-4709m.jpg	1816	9999-12-31	4093
30/10-6	16	4709-4712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_16_4709-4712m.jpg	1816	9999-12-31	4094
30/10-6	17	4712-4714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_17_4712-4714m.jpg	1816	9999-12-31	4095
30/10-6	18	4714-4716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_18_4714-4716m.jpg	1816	9999-12-31	4096
30/10-6	19	4946-4949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_19_4946-4949m.jpg	1816	9999-12-31	4097
30/10-6	20	4949-4952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_20_4949-4952m.jpg	1816	9999-12-31	4098
30/10-6	21	4952-4955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_21_4952-4955m.jpg	1816	9999-12-31	4099
30/10-6	22	4955-4958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_22_4955-4958m.jpg	1816	9999-12-31	4100
30/10-6	23	4958-4961m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_23_4958-4961m.jpg	1816	9999-12-31	4101
30/10-6	24	4961-4964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_24_4961-4964m.jpg	1816	9999-12-31	4102
30/10-6	25	4964-4967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_25_4964-4967m.jpg	1816	9999-12-31	4103
30/10-6	26	4967-4970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_26_4967-4970m.jpg	1816	9999-12-31	4104
30/10-6	27	4970-4973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_27_4970-4973m.jpg	1816	9999-12-31	4105
30/10-6	28	4973-4976m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_28_4973-4976m.jpg	1816	9999-12-31	4106
30/10-6	29	4976-4979m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_29_4976-4979m.jpg	1816	9999-12-31	4107
30/10-6	30	4979-4980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1816_30_4979-4980m.jpg	1816	9999-12-31	4108
30/10-7	1	2207-2211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2015_01_2207-2211m.jpg	2015	9999-12-31	4109
30/10-7	2	2211-2215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2015_02_2211-2215m.jpg	2015	9999-12-31	4110
30/10-7	3	2215-2219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2015_03_2215-2219m.jpg	2015	9999-12-31	4111
30/10-7	4	2219-2223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2015_04_2219-2223m.jpg	2015	9999-12-31	4112
30/10-7	5	2223-2225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2015_05_2223-2225m.jpg	2015	9999-12-31	4113
30/12-1	1	2901-2906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_01_2901-2906m.jpg	2248	9999-12-31	4114
30/12-1	2	2906-2911m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_02_2906-2911m.jpg	2248	9999-12-31	4115
30/12-1	3	2911-2916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_03_2911-2916m.jpg	2248	9999-12-31	4116
30/12-1	4	2916-2921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_04_2916-2921m.jpg	2248	9999-12-31	4117
30/12-1	5	2921-2926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_05_2921-2926m.jpg	2248	9999-12-31	4118
30/12-1	6	2926-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_06_2926-2927m.jpg	2248	9999-12-31	4119
30/12-1	7	2927-2932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_07_2927-2932m.jpg	2248	9999-12-31	4120
30/12-1	8	2932-2937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_08_2932-2937m.jpg	2248	9999-12-31	4121
30/12-1	9	2937-2942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_09_2937-2942m.jpg	2248	9999-12-31	4122
30/12-1	10	2942-2947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_10_2942-2947m.jpg	2248	9999-12-31	4123
30/12-1	11	2947-2952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_11_2947-2952m.jpg	2248	9999-12-31	4124
30/12-1	12	2952-2957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_12_2952-2957m.jpg	2248	9999-12-31	4125
30/12-1	13	2957-2960m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_13_2957-2960m.jpg	2248	9999-12-31	4126
30/12-1	14	2961-2966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_14_2961-2966m.jpg	2248	9999-12-31	4127
30/12-1	15	2966-2967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2248_15_2966-2967m.jpg	2248	9999-12-31	4128
30/3-2 R	1	2828-2830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_01_2828-2830m.jpg	508	9999-12-31	4129
30/3-2 R	3	2830-2833m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_03_2830-2833m.jpg	508	9999-12-31	4130
30/3-2 R	4	2833-2834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_04_2833-2834m.jpg	508	9999-12-31	4131
30/3-2 R	5	2834-2837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_05_2834-2837m.jpg	508	9999-12-31	4132
30/3-2 R	6	2837-2839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_06_2837-2839m.jpg	508	9999-12-31	4133
30/3-2 R	7	2839-2842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_07_2839-2842m.jpg	508	9999-12-31	4134
30/3-2 R	8	2860-2862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_08_2860-2862m.jpg	508	9999-12-31	4135
30/3-2 R	9	2862-2864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_09_2862-2864m.jpg	508	9999-12-31	4136
30/3-2 R	10	2879-2882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_10_2879-2882m.jpg	508	9999-12-31	4137
30/3-2 R	11	2881-2884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_11_2881-2884m.jpg	508	9999-12-31	4138
30/3-2 R	12	2884-2887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_12_2884-2887m.jpg	508	9999-12-31	4139
30/3-2 R	13	2887-2889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_13_2887-2889m.jpg	508	9999-12-31	4140
30/3-2 R	14	2889-2892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_14_2889-2892m.jpg	508	9999-12-31	4141
30/3-2 R	15	2892-2895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_15_2892-2895m.jpg	508	9999-12-31	4142
30/3-2 R	16	2895-2896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_16_2895-2896m.jpg	508	9999-12-31	4143
30/3-2 R	17	2897-2898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_17_2897-2898m.jpg	508	9999-12-31	4144
30/3-2 R	18	2898-2901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_18_2898-2901m.jpg	508	9999-12-31	4145
30/3-2 R	19	2901-2903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_19_2901-2903m.jpg	508	9999-12-31	4146
30/3-2 R	20	2903-2906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_20_2903-2906m.jpg	508	9999-12-31	4147
30/3-2 R	21	2906-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_21_2906-2909m.jpg	508	9999-12-31	4148
30/3-2 R	22	2909-2912m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_22_2909-2912m.jpg	508	9999-12-31	4149
30/3-2 R	23	2912-2914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_23_2912-2914m.jpg	508	9999-12-31	4150
30/3-2 R	24	2914-2915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_24_2914-2915m.jpg	508	9999-12-31	4151
30/3-2 R	25	2916-2918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_25_2916-2918m.jpg	508	9999-12-31	4152
30/3-2 R	26	2918-2921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_26_2918-2921m.jpg	508	9999-12-31	4153
30/3-2 R	27	2921-2924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_27_2921-2924m.jpg	508	9999-12-31	4154
30/3-2 R	28	2924-2926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_28_2924-2926m.jpg	508	9999-12-31	4155
30/3-2 R	29	2926-2929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_29_2926-2929m.jpg	508	9999-12-31	4156
30/3-2 R	30	2929-2932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_30_2929-2932m.jpg	508	9999-12-31	4157
30/3-2 R	31	2932-2934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_31_2932-2934m.jpg	508	9999-12-31	4158
30/3-2 R	32	2934-2937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_32_2934-2937m.jpg	508	9999-12-31	4159
30/3-2 R	33	2937-2940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_33_2937-2940m.jpg	508	9999-12-31	4160
30/3-2 R	34	2940-2942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_34_2940-2942m.jpg	508	9999-12-31	4161
30/3-2 R	35	2942-2945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_35_2942-2945m.jpg	508	9999-12-31	4162
30/3-2 R	36	2945-2948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_36_2945-2948m.jpg	508	9999-12-31	4163
30/3-2 R	37	2948-2950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_37_2948-2950m.jpg	508	9999-12-31	4164
30/3-2 R	38	2950-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_38_2950-2951m.jpg	508	9999-12-31	4165
30/3-2 R	39	3073-3075m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_39_3073-3075m.jpg	508	9999-12-31	4166
30/3-2 R	40	3075-3078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_40_3075-3078m.jpg	508	9999-12-31	4167
30/3-2 R	41	3078-3081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_41_3078-3081m.jpg	508	9999-12-31	4168
30/3-2 R	42	3081-3082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_42_3081-3082m.jpg	508	9999-12-31	4169
30/3-2 R	43	3083-3086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_43_3083-3086m.jpg	508	9999-12-31	4170
30/3-2 R	44	3086-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_44_3086-3089m.jpg	508	9999-12-31	4171
30/3-2 R	45	3089-3091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_45_3089-3091m.jpg	508	9999-12-31	4172
30/3-2 R	46	3091-3094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_46_3091-3094m.jpg	508	9999-12-31	4173
30/3-2 R	47	3094-3097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_47_3094-3097m.jpg	508	9999-12-31	4174
30/3-2 R	48	3097-3099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_48_3097-3099m.jpg	508	9999-12-31	4175
30/3-2 R	49	3099-3102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_49_3099-3102m.jpg	508	9999-12-31	4176
30/3-2 R	50	3102-3104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_50_3102-3104m.jpg	508	9999-12-31	4177
30/3-2 R	51	3104-3107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_51_3104-3107m.jpg	508	9999-12-31	4178
30/3-2 R	52	3107-3110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_52_3107-3110m.jpg	508	9999-12-31	4179
30/3-2 R	53	3110-3112m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_53_3110-3112m.jpg	508	9999-12-31	4180
30/3-2 R	54	3112-3115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_54_3112-3115m.jpg	508	9999-12-31	4181
30/3-2 R	55	3115-3118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_55_3115-3118m.jpg	508	9999-12-31	4182
30/3-2 R	56	3118-3120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_56_3118-3120m.jpg	508	9999-12-31	4183
30/3-2 R	57	3120-3121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_57_3120-3121m.jpg	508	9999-12-31	4184
30/3-2 R	58	3295-3297m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_58_3295-3297m.jpg	508	9999-12-31	4185
30/3-2 R	59	3297-3300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_59_3297-3300m.jpg	508	9999-12-31	4186
30/3-2 R	60	3300-3303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_60_3300-3303m.jpg	508	9999-12-31	4187
30/3-2 R	61	3303-3305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_61_3303-3305m.jpg	508	9999-12-31	4188
30/3-2 R	62	3305-3306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/508_62_3305-3306m.jpg	508	9999-12-31	4189
30/3-4	1	2830-2834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_01_2830-2834m.jpg	460	9999-12-31	4190
30/3-4	2	2835-2839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_02_2835-2839m.jpg	460	9999-12-31	4191
30/3-4	3	2840-2846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_03_2840-2846m.jpg	460	9999-12-31	4192
30/3-4	4	2846-2851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_04_2846-2851m.jpg	460	9999-12-31	4193
30/3-4	5	2853-2859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_05_2853-2859m.jpg	460	9999-12-31	4194
30/3-4	6	2859-2862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_06_2859-2862m.jpg	460	9999-12-31	4195
30/3-4	7	2865-2871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_07_2865-2871m.jpg	460	9999-12-31	4196
30/3-4	8	2871-2877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_08_2871-2877m.jpg	460	9999-12-31	4197
30/3-4	9	2877-2879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_09_2877-2879m.jpg	460	9999-12-31	4198
30/3-4	10	2880-2886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_10_2880-2886m.jpg	460	9999-12-31	4199
30/3-4	11	2886-2892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_11_2886-2892m.jpg	460	9999-12-31	4200
30/3-4	12	2892-2898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_12_2892-2898m.jpg	460	9999-12-31	4201
30/3-4	13	2898-2904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_13_2898-2904m.jpg	460	9999-12-31	4202
30/3-4	14	2904-2907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_14_2904-2907m.jpg	460	9999-12-31	4203
30/3-4	15	2907-2913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_15_2907-2913m.jpg	460	9999-12-31	4204
30/3-4	16	2913-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_16_2913-2919m.jpg	460	9999-12-31	4205
30/3-4	17	2919-2915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_17_2919-2915m.jpg	460	9999-12-31	4206
30/3-4	18	2925-2928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_18_2925-2928m.jpg	460	9999-12-31	4207
30/3-4	19	2930-2936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_19_2930-2936m.jpg	460	9999-12-31	4208
30/3-4	20	2936-2937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_20_2936-2937m.jpg	460	9999-12-31	4209
30/3-4	21	2938-2944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_21_2938-2944m.jpg	460	9999-12-31	4210
30/3-4	22	2944-2950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_22_2944-2950m.jpg	460	9999-12-31	4211
30/3-4	23	2950-2952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_23_2950-2952m.jpg	460	9999-12-31	4212
30/3-4	24	2953-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_24_2953-2959m.jpg	460	9999-12-31	4213
30/3-4	25	2959-2965m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_25_2959-2965m.jpg	460	9999-12-31	4214
30/3-4	26	2965-2971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_26_2965-2971m.jpg	460	9999-12-31	4215
30/3-4	27	2971-2972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_27_2971-2972m.jpg	460	9999-12-31	4216
30/3-4	28	3086-3092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_28_3086-3092m.jpg	460	9999-12-31	4217
30/3-4	29	3092-3098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_29_3092-3098m.jpg	460	9999-12-31	4218
30/3-4	30	3098-3104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_30_3098-3104m.jpg	460	9999-12-31	4219
30/3-4	31	3104-3110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_31_3104-3110m.jpg	460	9999-12-31	4220
30/3-4	32	3110-3113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_32_3110-3113m.jpg	460	9999-12-31	4221
30/3-4	33	3113-3119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_33_3113-3119m.jpg	460	9999-12-31	4222
30/3-4	34	3119-3125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_34_3119-3125m.jpg	460	9999-12-31	4223
30/3-4	35	3125-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/460_35_3125-3130m.jpg	460	9999-12-31	4224
30/3-7 A	1	5909-5914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3176_01_5909-5914m.jpg	3176	9999-12-31	4225
30/3-7 A	2	5914-5919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3176_02_5914-5919m.jpg	3176	9999-12-31	4226
30/3-7 A	3	5919-5922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3176_03_5919-5922m.jpg	3176	9999-12-31	4227
30/3-7 B	1	4346-4351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3229_01_4346-4351m.jpg	3229	9999-12-31	4228
30/3-7 B	2	4351-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3229_02_4351-4356m.jpg	3229	9999-12-31	4229
30/3-7 B	3	4356-4358m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3229_03_4356-4358m.jpg	3229	9999-12-31	4230
30/3-7 B	4	5715-5720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3229_04_5715-5720m.jpg	3229	9999-12-31	4231
30/3-7 B	5	5720-5725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3229_05_5720-5725m.jpg	3229	9999-12-31	4232
30/3-7 B	6	5725-5730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3229_06_5725-5730m.jpg	3229	9999-12-31	4233
30/3-7 B	7	5730-5735m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3229_07_5730-5735m.jpg	3229	9999-12-31	4234
30/3-7 B	8	5735-5740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3229_08_5735-5740m.jpg	3229	9999-12-31	4235
30/3-7 B	9	5740-5741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3229_09_5740-5741m.jpg	3229	9999-12-31	4236
30/3-7 S	1	4678-4683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_01_4678-4683m.jpg	2632	9999-12-31	4237
30/3-7 S	2	4683-4688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_02_4683-4688m.jpg	2632	9999-12-31	4238
30/3-7 S	3	4688-4689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_03_4688-4689m.jpg	2632	9999-12-31	4239
30/3-7 S	4	4691-4696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_04_4691-4696m.jpg	2632	9999-12-31	4240
30/3-7 S	5	4696-4701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_05_4696-4701m.jpg	2632	9999-12-31	4241
30/3-7 S	6	4701-4706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_06_4701-4706m.jpg	2632	9999-12-31	4242
30/3-7 S	7	4706-4709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_07_4706-4709m.jpg	2632	9999-12-31	4243
30/3-7 S	8	4709-4714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_08_4709-4714m.jpg	2632	9999-12-31	4244
30/3-7 S	9	4714-4719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_09_4714-4719m.jpg	2632	9999-12-31	4245
30/3-7 S	10	4719-4724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_10_4719-4724m.jpg	2632	9999-12-31	4246
30/3-7 S	11	4724-4729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_11_4724-4729m.jpg	2632	9999-12-31	4247
30/3-7 S	12	4729-4734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_12_4729-4734m.jpg	2632	9999-12-31	4248
30/3-7 S	13	4735-4740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_13_4735-4740m.jpg	2632	9999-12-31	4249
30/3-7 S	14	4740-4741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_14_4740-4741m.jpg	2632	9999-12-31	4250
30/3-7 S	15	4742-4747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_15_4742-4747m.jpg	2632	9999-12-31	4251
30/3-7 S	16	4747-4752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_16_4747-4752m.jpg	2632	9999-12-31	4252
30/3-7 S	17	4752-4754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_17_4752-4754m.jpg	2632	9999-12-31	4253
30/3-7 S	18	4754-4758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_18_4754-4758m.jpg	2632	9999-12-31	4254
30/3-7 S	19	4760-4765m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_19_4760-4765m.jpg	2632	9999-12-31	4255
30/3-7 S	20	4765-4770m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_20_4765-4770m.jpg	2632	9999-12-31	4256
30/3-7 S	21	4770-4771m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_21_4770-4771m.jpg	2632	9999-12-31	4257
30/3-7 S	22	4865-4870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_22_4865-4870m.jpg	2632	9999-12-31	4258
30/3-7 S	23	4870-4871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2632_23_4870-4871m.jpg	2632	9999-12-31	4259
30/3-9	1	3899-3900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4053_01_3899-3900m.jpg	4053	9999-12-31	4260
30/3-A-1	1	2821-2826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_01_2821-2826m.jpg	1080	9999-12-31	4261
30/3-A-1	2	2826-2831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_02_2826-2831m.jpg	1080	9999-12-31	4262
30/3-A-1	3	2831-2836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_03_2831-2836m.jpg	1080	9999-12-31	4263
30/3-A-1	4	2836-2837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_04_2836-2837m.jpg	1080	9999-12-31	4264
30/3-A-1	5	2837-2842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_05_2837-2842m.jpg	1080	9999-12-31	4265
30/3-A-1	6	2842-2847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_06_2842-2847m.jpg	1080	9999-12-31	4266
30/3-A-1	7	2847-2852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_07_2847-2852m.jpg	1080	9999-12-31	4267
30/3-A-1	8	2852-2857m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_08_2852-2857m.jpg	1080	9999-12-31	4268
30/3-A-1	9	2857-2862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_09_2857-2862m.jpg	1080	9999-12-31	4269
30/3-A-1	10	2862-2864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_10_2862-2864m.jpg	1080	9999-12-31	4270
30/3-A-1	11	2864-2869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_11_2864-2869m.jpg	1080	9999-12-31	4271
30/3-A-1	12	2869-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_12_2869-2874m.jpg	1080	9999-12-31	4272
30/3-A-1	13	2874-2879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_13_2874-2879m.jpg	1080	9999-12-31	4273
30/3-A-1	14	2879-2884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_14_2879-2884m.jpg	1080	9999-12-31	4274
30/3-A-1	15	2884-2889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_15_2884-2889m.jpg	1080	9999-12-31	4275
30/3-A-1	16	2889-2894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_16_2889-2894m.jpg	1080	9999-12-31	4276
30/3-A-1	17	2894-2899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_17_2894-2899m.jpg	1080	9999-12-31	4277
30/3-A-1	18	2899-2904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_18_2899-2904m.jpg	1080	9999-12-31	4278
30/3-A-1	19	2904-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_19_2904-2909m.jpg	1080	9999-12-31	4279
30/3-A-1	20	2909-2914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_20_2909-2914m.jpg	1080	9999-12-31	4280
30/3-A-1	21	2914-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_21_2914-2919m.jpg	1080	9999-12-31	4281
30/3-A-1	22	2919-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_22_2919-2919m.jpg	1080	9999-12-31	4282
30/3-A-1	23	2920-2924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_23_2920-2924m.jpg	1080	9999-12-31	4283
30/3-A-1	24	2924-2929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_24_2924-2929m.jpg	1080	9999-12-31	4284
30/3-A-1	25	2929-2934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_25_2929-2934m.jpg	1080	9999-12-31	4285
30/3-A-1	26	2934-2939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_26_2934-2939m.jpg	1080	9999-12-31	4286
30/3-A-1	27	2939-2944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_27_2939-2944m.jpg	1080	9999-12-31	4287
30/3-A-1	28	2944-2949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_28_2944-2949m.jpg	1080	9999-12-31	4288
30/3-A-1	29	2949-2954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_29_2949-2954m.jpg	1080	9999-12-31	4289
30/3-A-1	30	2954-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_30_2954-2959m.jpg	1080	9999-12-31	4290
30/3-A-1	31	2959-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_31_2959-2959m.jpg	1080	9999-12-31	4291
30/3-A-1	32	3058-3063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_32_3058-3063m.jpg	1080	9999-12-31	4292
30/3-A-1	33	3063-3068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_33_3063-3068m.jpg	1080	9999-12-31	4293
30/3-A-1	34	3068-3073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_34_3068-3073m.jpg	1080	9999-12-31	4294
30/3-A-1	35	3073-3078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_35_3073-3078m.jpg	1080	9999-12-31	4295
30/3-A-1	36	3078-3083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_36_3078-3083m.jpg	1080	9999-12-31	4296
30/3-A-1	37	3083-3088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_37_3083-3088m.jpg	1080	9999-12-31	4297
30/3-A-1	38	3088-3093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_38_3088-3093m.jpg	1080	9999-12-31	4298
30/3-A-1	39	3093-3098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_39_3093-3098m.jpg	1080	9999-12-31	4299
30/3-A-1	40	3098-3103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_40_3098-3103m.jpg	1080	9999-12-31	4300
30/3-A-1	41	3103-3108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_41_3103-3108m.jpg	1080	9999-12-31	4301
30/3-A-1	42	3108-3113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1080_42_3108-3113m.jpg	1080	9999-12-31	4302
30/3-A-10	1	3777-3782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_01_3777-3782m.jpg	1700	9999-12-31	4303
30/3-A-10	2	3782-3787m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_02_3782-3787m.jpg	1700	9999-12-31	4304
30/3-A-10	3	3787-3792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_03_3787-3792m.jpg	1700	9999-12-31	4305
30/3-A-10	3	3797-3802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_03_3797-3802m.jpg	1700	9999-12-31	4306
30/3-A-10	4	3792-3797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_04_3792-3797m.jpg	1700	9999-12-31	4307
30/3-A-10	5	3797-3802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_05_3797-3802m.jpg	1700	9999-12-31	4308
30/3-A-10	6	3802-3807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_06_3802-3807m.jpg	1700	9999-12-31	4309
30/3-A-10	7	3807-3812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_07_3807-3812m.jpg	1700	9999-12-31	4310
30/3-A-10	8	3812-3817m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_08_3812-3817m.jpg	1700	9999-12-31	4311
30/3-A-10	9	3817-3821m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_09_3817-3821m.jpg	1700	9999-12-31	4312
30/3-A-10	10	3821-3826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_10_3821-3826m.jpg	1700	9999-12-31	4313
30/3-A-10	11	3826-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_11_3826-3831m.jpg	1700	9999-12-31	4314
30/3-A-10	12	3831-3836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_12_3831-3836m.jpg	1700	9999-12-31	4315
30/3-A-10	13	3836-3841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_13_3836-3841m.jpg	1700	9999-12-31	4316
30/3-A-10	14	3841-3846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_14_3841-3846m.jpg	1700	9999-12-31	4317
30/3-A-10	15	3846-3851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_15_3846-3851m.jpg	1700	9999-12-31	4318
30/3-A-10	16	3851-3856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_16_3851-3856m.jpg	1700	9999-12-31	4319
30/3-A-10	17	3856-3861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_17_3856-3861m.jpg	1700	9999-12-31	4320
30/3-A-10	18	3861-3865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_18_3861-3865m.jpg	1700	9999-12-31	4321
30/3-A-10	19	3866-3870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_19_3866-3870m.jpg	1700	9999-12-31	4322
30/3-A-10	20	3871-3874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_20_3871-3874m.jpg	1700	9999-12-31	4323
30/3-A-10	21	3875-3880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_21_3875-3880m.jpg	1700	9999-12-31	4324
30/3-A-10	22	3880-3885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_22_3880-3885m.jpg	1700	9999-12-31	4325
30/3-A-10	23	3885-3890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_23_3885-3890m.jpg	1700	9999-12-31	4326
30/3-A-10	24	3890-3895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_24_3890-3895m.jpg	1700	9999-12-31	4327
30/3-A-10	25	3895-3900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_25_3895-3900m.jpg	1700	9999-12-31	4328
30/3-A-10	26	3900-3905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_26_3900-3905m.jpg	1700	9999-12-31	4329
30/3-A-10	27	3905-3910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_27_3905-3910m.jpg	1700	9999-12-31	4330
30/3-A-10	28	3910-3915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_28_3910-3915m.jpg	1700	9999-12-31	4331
30/3-A-10	29	3915-3920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_29_3915-3920m.jpg	1700	9999-12-31	4332
30/3-A-10	30	3920-3922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_30_3920-3922m.jpg	1700	9999-12-31	4333
30/3-A-10	31	4015-4020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_31_4015-4020m.jpg	1700	9999-12-31	4334
30/3-A-10	32	4020-4025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_32_4020-4025m.jpg	1700	9999-12-31	4335
30/3-A-10	33	4025-4030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_33_4025-4030m.jpg	1700	9999-12-31	4336
30/3-A-10	34	4030-4035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_34_4030-4035m.jpg	1700	9999-12-31	4337
30/3-A-10	35	4035-4040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_35_4035-4040m.jpg	1700	9999-12-31	4338
30/3-A-10	36	4040-4042m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1700_36_4040-4042m.jpg	1700	9999-12-31	4339
30/3-A-15	1	4148-4153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_01_4148-4153m.jpg	1984	9999-12-31	4340
30/3-A-15	2	4153-4158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_02_4153-4158m.jpg	1984	9999-12-31	4341
30/3-A-15	3	4158-4163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_03_4158-4163m.jpg	1984	9999-12-31	4342
30/3-A-15	4	4163-4168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_04_4163-4168m.jpg	1984	9999-12-31	4343
30/3-A-15	5	4168-4173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_05_4168-4173m.jpg	1984	9999-12-31	4344
30/3-A-15	6	4173-4177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_06_4173-4177m.jpg	1984	9999-12-31	4345
30/3-A-15	7	4177-4182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_07_4177-4182m.jpg	1984	9999-12-31	4346
30/3-A-15	8	4182-4187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_08_4182-4187m.jpg	1984	9999-12-31	4347
30/3-A-15	9	4182-4187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_09_4182-4187m.jpg	1984	9999-12-31	4348
30/3-A-15	10	4187-4192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_10_4187-4192m.jpg	1984	9999-12-31	4349
30/3-A-15	11	4192-4197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_11_4192-4197m.jpg	1984	9999-12-31	4350
30/3-A-15	12	4197-4202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_12_4197-4202m.jpg	1984	9999-12-31	4351
30/3-A-15	13	4202-4207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_13_4202-4207m.jpg	1984	9999-12-31	4352
30/3-A-15	14	4207-4212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_14_4207-4212m.jpg	1984	9999-12-31	4353
30/3-A-15	15	4212-4217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_15_4212-4217m.jpg	1984	9999-12-31	4354
30/3-A-15	16	4217-4222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_16_4217-4222m.jpg	1984	9999-12-31	4355
30/3-A-15	17	4222-4227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_17_4222-4227m.jpg	1984	9999-12-31	4356
30/3-A-15	18	4227-4231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_18_4227-4231m.jpg	1984	9999-12-31	4357
30/3-A-15	19	4231-4236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_19_4231-4236m.jpg	1984	9999-12-31	4358
30/3-A-15	20	4237-4241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_20_4237-4241m.jpg	1984	9999-12-31	4359
30/3-A-15	21	4241-4246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_21_4241-4246m.jpg	1984	9999-12-31	4360
30/3-A-15	22	4246-4251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_22_4246-4251m.jpg	1984	9999-12-31	4361
30/3-A-15	23	4251-4256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_23_4251-4256m.jpg	1984	9999-12-31	4362
30/3-A-15	24	4256-4261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_24_4256-4261m.jpg	1984	9999-12-31	4363
30/3-A-15	25	4400-4405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_25_4400-4405m.jpg	1984	9999-12-31	4364
30/3-A-15	26	4405-4510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_26_4405-4510m.jpg	1984	9999-12-31	4365
30/3-A-15	27	4410-4415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_27_4410-4415m.jpg	1984	9999-12-31	4366
30/3-A-15	28	4415-4520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_28_4415-4520m.jpg	1984	9999-12-31	4367
30/3-A-15	29	4420-4425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_29_4420-4425m.jpg	1984	9999-12-31	4368
30/3-A-15	30	4425-4530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_30_4425-4530m.jpg	1984	9999-12-31	4369
30/3-A-15	31	4430-4435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1984_31_4430-4435m.jpg	1984	9999-12-31	4370
30/3-A-16	1	4485-4490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2090_01_4485-4490m.jpg	2090	9999-12-31	4371
30/3-A-16	2	4490-4495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2090_02_4490-4495m.jpg	2090	9999-12-31	4372
30/3-A-16	3	4495-4500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2090_03_4495-4500m.jpg	2090	9999-12-31	4373
30/3-A-16	4	4500-4505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2090_04_4500-4505m.jpg	2090	9999-12-31	4374
30/3-A-16	5	4505-4508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2090_05_4505-4508m.jpg	2090	9999-12-31	4375
30/3-A-16	6	4509-4514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2090_06_4509-4514m.jpg	2090	9999-12-31	4376
30/3-A-16	7	4514-4519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2090_07_4514-4519m.jpg	2090	9999-12-31	4377
30/3-A-16	8	4519-4524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2090_08_4519-4524m.jpg	2090	9999-12-31	4378
30/3-A-16	9	4524-4529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2090_09_4524-4529m.jpg	2090	9999-12-31	4379
30/3-A-17	1	4023-4028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2110_01_4023-4028m.jpg	2110	9999-12-31	4380
30/3-A-17	2	4028-4033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2110_02_4028-4033m.jpg	2110	9999-12-31	4381
30/3-A-17	3	4033-4038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2110_03_4033-4038m.jpg	2110	9999-12-31	4382
30/3-A-17	4	4038-4043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2110_04_4038-4043m.jpg	2110	9999-12-31	4383
30/3-A-17	5	4043-4048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2110_05_4043-4048m.jpg	2110	9999-12-31	4384
30/3-A-17	6	4048-4049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2110_06_4048-4049m.jpg	2110	9999-12-31	4385
30/3-A-17	6	4048-4050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2110_06_4048-4050m.jpg	2110	9999-12-31	4386
30/3-A-19	1	2981-2986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_01_2981-2986m.jpg	2221	9999-12-31	4387
30/3-A-19	2	2986-2991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_02_2986-2991m.jpg	2221	9999-12-31	4388
30/3-A-19	3	2991-2996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_03_2991-2996m.jpg	2221	9999-12-31	4389
30/3-A-19	4	2996-3001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_04_2996-3001m.jpg	2221	9999-12-31	4390
30/3-A-19	5	3001-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_05_3001-3006m.jpg	2221	9999-12-31	4391
30/3-A-19	6	3006-3007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_06_3006-3007m.jpg	2221	9999-12-31	4392
30/3-A-19	7	3260-3265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_07_3260-3265m.jpg	2221	9999-12-31	4393
30/3-A-19	8	3265-3270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_08_3265-3270m.jpg	2221	9999-12-31	4394
30/3-A-19	9	3270-3275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_09_3270-3275m.jpg	2221	9999-12-31	4395
30/3-A-19	10	3275-3280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_10_3275-3280m.jpg	2221	9999-12-31	4396
30/3-A-19	11	3280-3285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_11_3280-3285m.jpg	2221	9999-12-31	4397
30/3-A-19	12	3285-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2221_12_3285-3287m.jpg	2221	9999-12-31	4398
30/3-A-20 A	1	4380-4385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4124_01_4380-4385m.jpg	4124	9999-12-31	4399
30/3-A-20 A	2	4385-4390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4124_02_4385-4390m.jpg	4124	9999-12-31	4400
30/3-A-20 A	3	4390-4395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4124_03_4390-4395m.jpg	4124	9999-12-31	4401
30/3-A-20 A	4	4395-4400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4124_04_4395-4400m.jpg	4124	9999-12-31	4402
30/3-A-20 A	5	4400-4405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4124_05_4400-4405m.jpg	4124	9999-12-31	4403
30/3-A-20 A	6	4405-4410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4124_06_4405-4410m.jpg	4124	9999-12-31	4404
30/3-A-20 A	7	4410-4415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4124_07_4410-4415m.jpg	4124	9999-12-31	4405
30/3-A-20 A	8	4415-4420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4124_08_4415-4420m.jpg	4124	9999-12-31	4406
30/3-A-20 A	9	4420-4425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4124_09_4420-4425m.jpg	4124	9999-12-31	4407
30/3-A-20 A	10	4425-4430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4124_10_4425-4430m.jpg	4124	9999-12-31	4408
30/3-A-20 A	11	4430-4432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4124_11_4430-4432m.jpg	4124	9999-12-31	4409
30/3-A-5	1	3726-3731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_01_3726-3731m.jpg	1307	9999-12-31	4410
30/3-A-5	2	3731-3736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_02_3731-3736m.jpg	1307	9999-12-31	4411
30/3-A-5	3	3738-3743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_03_3738-3743m.jpg	1307	9999-12-31	4412
30/3-A-5	4	3743-3748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_04_3743-3748m.jpg	1307	9999-12-31	4413
30/3-A-5	5	3748-3753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_05_3748-3753m.jpg	1307	9999-12-31	4414
30/3-A-5	6	3753-3758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_06_3753-3758m.jpg	1307	9999-12-31	4415
30/3-A-5	7	3758-3763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_07_3758-3763m.jpg	1307	9999-12-31	4416
30/3-A-5	8	3763-3768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_08_3763-3768m.jpg	1307	9999-12-31	4417
30/3-A-5	9	3768-3773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_09_3768-3773m.jpg	1307	9999-12-31	4418
30/3-A-5	10	3773-3778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_10_3773-3778m.jpg	1307	9999-12-31	4419
30/3-A-5	11	3778-3783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_11_3778-3783m.jpg	1307	9999-12-31	4420
30/3-A-5	12	3783-3784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_12_3783-3784m.jpg	1307	9999-12-31	4421
30/3-A-5	13	4047-4052m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_13_4047-4052m.jpg	1307	9999-12-31	4422
30/3-A-5	14	4052-4057m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_14_4052-4057m.jpg	1307	9999-12-31	4423
30/3-A-5	15	4057-4062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_15_4057-4062m.jpg	1307	9999-12-31	4424
30/3-A-5	16	4062-4067m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_16_4062-4067m.jpg	1307	9999-12-31	4425
30/3-A-5	17	4067-4072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_17_4067-4072m.jpg	1307	9999-12-31	4426
30/3-A-5	18	4072-4076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_18_4072-4076m.jpg	1307	9999-12-31	4427
30/3-A-5	19	4243-4248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_19_4243-4248m.jpg	1307	9999-12-31	4428
30/3-A-5	20	4248-4253m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_20_4248-4253m.jpg	1307	9999-12-31	4429
30/3-A-5	21	4253-4258m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_21_4253-4258m.jpg	1307	9999-12-31	4430
30/3-A-5	22	4258-4263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_22_4258-4263m.jpg	1307	9999-12-31	4431
30/3-A-5	23	4263-4268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_23_4263-4268m.jpg	1307	9999-12-31	4432
30/3-A-5	24	4268-4271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1307_24_4268-4271m.jpg	1307	9999-12-31	4433
30/3-A-7 A	1	4490-4495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2724_1_4490-4495m.jpg	2724	9999-12-31	4434
30/3-A-7 A	2	4495-4500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2724_2_4495-4500m.jpg	2724	9999-12-31	4435
30/3-A-7 A	3	4500-4505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2724_3_4500-4505m.jpg	2724	9999-12-31	4436
30/3-A-7 A	4	4505-4510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2724_4_4505-4510m.jpg	2724	9999-12-31	4437
30/3-A-7 A	5	4510-4515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2724_5_4510-4515m.jpg	2724	9999-12-31	4438
30/3-A-7 A	6	4515-4520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2724_6_4515-4520m.jpg	2724	9999-12-31	4439
30/3-A-7 A	7	4520-4525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2724_7_4520-4525m.jpg	2724	9999-12-31	4440
30/3-A-7 A	8	4525-4526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2724_8_4525-4526m.jpg	2724	9999-12-31	4441
30/5-2	1	3531-3536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_01_3531-3536m.jpg	2886	9999-12-31	4442
30/5-2	2	3536-3541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_02_3536-3541m.jpg	2886	9999-12-31	4443
30/5-2	3	3541-3546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_03_3541-3546m.jpg	2886	9999-12-31	4444
30/5-2	4	3546-3551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_04_3546-3551m.jpg	2886	9999-12-31	4445
30/5-2	5	3551-3556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_05_3551-3556m.jpg	2886	9999-12-31	4446
30/5-2	6	3556-3558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_06_3556-3558m.jpg	2886	9999-12-31	4447
30/5-2	7	3558-3563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_07_3558-3563m.jpg	2886	9999-12-31	4448
30/5-2	8	3563-3568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_08_3563-3568m.jpg	2886	9999-12-31	4449
30/5-2	9	3568-3573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_09_3568-3573m.jpg	2886	9999-12-31	4450
30/5-2	10	3573-3578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_10_3573-3578m.jpg	2886	9999-12-31	4451
30/5-2	11	3578-3583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_11_3578-3583m.jpg	2886	9999-12-31	4452
30/5-2	12	3583-3588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_12_3583-3588m.jpg	2886	9999-12-31	4453
30/5-2	13	3588-3593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_13_3588-3593m.jpg	2886	9999-12-31	4454
30/5-2	14	3593-3595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_14_3593-3595m.jpg	2886	9999-12-31	4455
30/5-2	15	3595-3600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_15_3595-3600m.jpg	2886	9999-12-31	4456
30/5-2	16	3600-3605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_16_3600-3605m.jpg	2886	9999-12-31	4457
30/5-2	17	3605-3610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_17_3605-3610m.jpg	2886	9999-12-31	4458
30/5-2	18	3610-3615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_18_3610-3615m.jpg	2886	9999-12-31	4459
30/5-2	19	3615-3620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_19_3615-3620m.jpg	2886	9999-12-31	4460
30/5-2	20	3620-3625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_20_3620-3625m.jpg	2886	9999-12-31	4461
30/5-2	21	3625-3620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_21_3625-3620m.jpg	2886	9999-12-31	4462
30/5-2	22	3630-3632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2886_22_3630-3632m.jpg	2886	9999-12-31	4463
30/6-13	1	2584-2588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_01_2584-2588m.jpg	7	9999-12-31	4464
30/6-13	2	2589-2593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_02_2589-2593m.jpg	7	9999-12-31	4465
30/6-13	3	2594-2598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_03_2594-2598m.jpg	7	9999-12-31	4466
30/6-13	4	2599-2599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_04_2599-2599m.jpg	7	9999-12-31	4467
30/6-13	5	2599-2604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_05_2599-2604m.jpg	7	9999-12-31	4468
30/6-13	6	2604-2608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_06_2604-2608m.jpg	7	9999-12-31	4469
30/6-13	7	2609-2613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_07_2609-2613m.jpg	7	9999-12-31	4470
30/6-13	8	2614-2616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_08_2614-2616m.jpg	7	9999-12-31	4471
30/6-13	9	2616-2619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_09_2616-2619m.jpg	7	9999-12-31	4472
30/6-13	10	2623-2628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_10_2623-2628m.jpg	7	9999-12-31	4473
30/6-13	11	2628-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_11_2628-2629m.jpg	7	9999-12-31	4474
30/6-13	12	2642-2645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_12_2642-2645m.jpg	7	9999-12-31	4475
30/6-13	13	2646-2651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_13_2646-2651m.jpg	7	9999-12-31	4476
30/6-13	14	2651-2654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_14_2651-2654m.jpg	7	9999-12-31	4477
30/6-13	15	2654-2659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_15_2654-2659m.jpg	7	9999-12-31	4478
30/6-13	16	2659-2660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_16_2659-2660m.jpg	7	9999-12-31	4479
30/6-13	17	2669-2672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/7_17_2669-2672m.jpg	7	9999-12-31	4480
30/6-17 A	1	2420-2426m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_01_2420-2426m.jpg	894	9999-12-31	4481
30/6-17 A	2	2426-2427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_02_2426-2427m.jpg	894	9999-12-31	4482
30/6-17 A	3	2466-2472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_03_2466-2472m.jpg	894	9999-12-31	4483
30/6-17 A	4	2472-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_04_2472-2478m.jpg	894	9999-12-31	4484
30/6-17 A	5	2478-2484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_05_2478-2484m.jpg	894	9999-12-31	4485
30/6-17 A	6	2484-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_06_2484-2490m.jpg	894	9999-12-31	4486
30/6-17 A	7	2490-2493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_07_2490-2493m.jpg	894	9999-12-31	4487
30/6-17 A	8	2493-2494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_08_2493-2494m.jpg	894	9999-12-31	4488
30/6-17 A	9	2501-2507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_09_2501-2507m.jpg	894	9999-12-31	4489
30/6-17 A	10	2507-2511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_10_2507-2511m.jpg	894	9999-12-31	4490
30/6-17 A	11	2636-2642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_11_2636-2642m.jpg	894	9999-12-31	4491
30/6-17 A	12	2642-2647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_12_2642-2647m.jpg	894	9999-12-31	4492
30/6-17 A	13	2649-2650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_13_2649-2650m.jpg	894	9999-12-31	4493
30/6-17 A	14	2651-2657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_14_2651-2657m.jpg	894	9999-12-31	4494
30/6-17 A	15	2657-2663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_15_2657-2663m.jpg	894	9999-12-31	4495
30/6-17 A	16	2663-2669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_16_2663-2669m.jpg	894	9999-12-31	4496
30/6-17 A	17	2669-2674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/894_17_2669-2674m.jpg	894	9999-12-31	4497
30/6-17 R	1	2324-2329m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_01_2324-2329m.jpg	849	9999-12-31	4498
30/6-17 R	2	2329-2334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_02_2329-2334m.jpg	849	9999-12-31	4499
30/6-17 R	3	2334-2339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_03_2334-2339m.jpg	849	9999-12-31	4500
30/6-17 R	4	2339-2342m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_04_2339-2342m.jpg	849	9999-12-31	4501
30/6-17 R	5	2411-2417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_05_2411-2417m.jpg	849	9999-12-31	4502
30/6-17 R	6	2417-2423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_06_2417-2423m.jpg	849	9999-12-31	4503
30/6-17 R	7	2423-2429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_07_2423-2429m.jpg	849	9999-12-31	4504
30/6-17 R	8	2429-2435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_08_2429-2435m.jpg	849	9999-12-31	4505
30/6-17 R	9	2435-2441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_09_2435-2441m.jpg	849	9999-12-31	4506
30/6-17 R	10	2441-2443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_10_2441-2443m.jpg	849	9999-12-31	4507
30/6-17 R	11	2444-2445m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_11_2444-2445m.jpg	849	9999-12-31	4508
30/6-17 R	12	2570-2576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_12_2570-2576m.jpg	849	9999-12-31	4509
30/6-17 R	13	2576-2582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_13_2576-2582m.jpg	849	9999-12-31	4510
30/6-17 R	14	2582-2588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_14_2582-2588m.jpg	849	9999-12-31	4511
30/6-17 R	15	2588-2588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_15_2588-2588m.jpg	849	9999-12-31	4512
30/6-17 R	16	2488-2594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_16_2488-2594m.jpg	849	9999-12-31	4513
30/6-17 R	17	2594-2600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_17_2594-2600m.jpg	849	9999-12-31	4514
30/6-17 R	18	2600-2606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_18_2600-2606m.jpg	849	9999-12-31	4515
30/6-17 R	19	2606-2612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_19_2606-2612m.jpg	849	9999-12-31	4516
30/6-17 R	20	2612-2613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/849_20_2612-2613m.jpg	849	9999-12-31	4517
30/6-18	1	3126-3129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_01_3126-3129m.jpg	488	9999-12-31	4518
30/6-18	2	3139-3144m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_02_3139-3144m.jpg	488	9999-12-31	4519
30/6-18	3	3144-3146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_03_3144-3146m.jpg	488	9999-12-31	4520
30/6-18	4	3146-3148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_04_3146-3148m.jpg	488	9999-12-31	4521
30/6-18	5	3148-3153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_05_3148-3153m.jpg	488	9999-12-31	4522
30/6-18	6	3153-3158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_06_3153-3158m.jpg	488	9999-12-31	4523
30/6-18	7	3158-3163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_07_3158-3163m.jpg	488	9999-12-31	4524
30/6-18	8	3163-3166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_08_3163-3166m.jpg	488	9999-12-31	4525
30/6-18	9	3166-3171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_09_3166-3171m.jpg	488	9999-12-31	4526
30/6-18	10	3171-3176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_10_3171-3176m.jpg	488	9999-12-31	4527
30/6-18	11	3176-3181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_11_3176-3181m.jpg	488	9999-12-31	4528
30/6-18	12	3181-3184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_12_3181-3184m.jpg	488	9999-12-31	4529
30/6-18	13	3184-3188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_13_3184-3188m.jpg	488	9999-12-31	4530
30/6-18	14	3192-3197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_14_3192-3197m.jpg	488	9999-12-31	4531
30/6-18	15	3197-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_15_3197-3202m.jpg	488	9999-12-31	4532
30/6-18	16	3202-3207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_16_3202-3207m.jpg	488	9999-12-31	4533
30/6-18	17	3207-3210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_17_3207-3210m.jpg	488	9999-12-31	4534
30/6-18	18	3210-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_18_3210-3215m.jpg	488	9999-12-31	4535
30/6-18	19	3215-3217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/488_19_3215-3217m.jpg	488	9999-12-31	4536
30/6-19	1	2858-2862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_01_2858-2862m.jpg	489	9999-12-31	4537
30/6-19	2	2862-2866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_02_2862-2866m.jpg	489	9999-12-31	4538
30/6-19	3	2866-2870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_03_2866-2870m.jpg	489	9999-12-31	4539
30/6-19	4	2870-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_04_2870-2874m.jpg	489	9999-12-31	4540
30/6-19	5	2874-2878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_05_2874-2878m.jpg	489	9999-12-31	4541
30/6-19	6	2878-2882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_06_2878-2882m.jpg	489	9999-12-31	4542
30/6-19	7	2882-2886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_07_2882-2886m.jpg	489	9999-12-31	4543
30/6-19	8	2886-2890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_08_2886-2890m.jpg	489	9999-12-31	4544
30/6-19	9	2890-2894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_09_2890-2894m.jpg	489	9999-12-31	4545
30/6-19	10	2894-2898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_10_2894-2898m.jpg	489	9999-12-31	4546
30/6-19	11	2898-2902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_11_2898-2902m.jpg	489	9999-12-31	4547
30/6-19	12	2902-2906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_12_2902-2906m.jpg	489	9999-12-31	4548
30/6-19	13	2906-2910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_13_2906-2910m.jpg	489	9999-12-31	4549
30/6-19	14	2910-2913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_14_2910-2913m.jpg	489	9999-12-31	4550
30/6-19	15	2914-2918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_15_2914-2918m.jpg	489	9999-12-31	4551
30/6-19	16	2918-2922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_16_2918-2922m.jpg	489	9999-12-31	4552
30/6-19	17	2922-2926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_17_2922-2926m.jpg	489	9999-12-31	4553
30/6-19	18	2926-2930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_18_2926-2930m.jpg	489	9999-12-31	4554
30/6-19	19	2930-2934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_19_2930-2934m.jpg	489	9999-12-31	4555
30/6-19	20	2934-2938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_20_2934-2938m.jpg	489	9999-12-31	4556
30/6-19	21	2938-2942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_21_2938-2942m.jpg	489	9999-12-31	4557
30/6-19	22	2942-2046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_22_2942-2046m.jpg	489	9999-12-31	4558
30/6-19	23	2946-2950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_23_2946-2950m.jpg	489	9999-12-31	4559
30/6-19	24	2950-2954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_24_2950-2954m.jpg	489	9999-12-31	4560
30/6-19	25	2954-2958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_25_2954-2958m.jpg	489	9999-12-31	4561
30/6-19	26	2958-2962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_26_2958-2962m.jpg	489	9999-12-31	4562
30/6-19	27	2962-2966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_27_2962-2966m.jpg	489	9999-12-31	4563
30/6-19	28	2966-2970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/489_28_2966-2970m.jpg	489	9999-12-31	4564
30/6-7	1	2648-2652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_01_2648-2652m.jpg	73	9999-12-31	4565
30/6-7	2	2652-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_02_2652-2656m.jpg	73	9999-12-31	4566
30/6-7	3	2656-2660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_03_2656-2660m.jpg	73	9999-12-31	4567
30/6-7	4	2660-2664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_04_2660-2664m.jpg	73	9999-12-31	4568
30/6-7	5	2664-2666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_05_2664-2666m.jpg	73	9999-12-31	4569
30/6-7	6	2666-2670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_06_2666-2670m.jpg	73	9999-12-31	4570
30/6-7	7	2670-2674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_07_2670-2674m.jpg	73	9999-12-31	4571
30/6-7	8	2674-2675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_08_2674-2675m.jpg	73	9999-12-31	4572
30/6-7	9	2679-2683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_09_2679-2683m.jpg	73	9999-12-31	4573
30/6-7	10	2683-2687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_10_2683-2687m.jpg	73	9999-12-31	4574
30/6-7	11	2687-2691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_11_2687-2691m.jpg	73	9999-12-31	4575
30/6-7	12	2691-2692m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_12_2691-2692m.jpg	73	9999-12-31	4576
30/6-7	13	2692-2693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_13_2692-2693m.jpg	73	9999-12-31	4577
30/6-7	14	2694-2698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_14_2694-2698m.jpg	73	9999-12-31	4578
30/6-7	15	2698-2702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_15_2698-2702m.jpg	73	9999-12-31	4579
30/6-7	16	2702-2705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_16_2702-2705m.jpg	73	9999-12-31	4580
30/6-7	17	2707-2711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_17_2707-2711m.jpg	73	9999-12-31	4581
30/6-7	18	2711-2715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_18_2711-2715m.jpg	73	9999-12-31	4582
30/6-7	19	2715-2719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_19_2715-2719m.jpg	73	9999-12-31	4583
30/6-7	20	2719-2719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_20_2719-2719m.jpg	73	9999-12-31	4584
30/6-7	21	2720-2724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_21_2720-2724m.jpg	73	9999-12-31	4585
30/6-7	22	2724-2728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_22_2724-2728m.jpg	73	9999-12-31	4586
30/6-7	23	2728-2732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_23_2728-2732m.jpg	73	9999-12-31	4587
30/6-7	24	2732-2733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_24_2732-2733m.jpg	73	9999-12-31	4588
30/6-7	25	2733-2737m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_25_2733-2737m.jpg	73	9999-12-31	4589
30/6-7	26	2737-2741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_26_2737-2741m.jpg	73	9999-12-31	4590
30/6-7	27	2741-2745m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_27_2741-2745m.jpg	73	9999-12-31	4591
30/6-7	28	2745-2749m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_28_2745-2749m.jpg	73	9999-12-31	4592
30/6-7	29	2749-2750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_29_2749-2750m.jpg	73	9999-12-31	4593
30/6-7	30	2751-2755m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_30_2751-2755m.jpg	73	9999-12-31	4594
30/6-7	31	2755-2759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_31_2755-2759m.jpg	73	9999-12-31	4595
30/6-7	32	2759-2761m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_32_2759-2761m.jpg	73	9999-12-31	4596
30/6-7	33	2762-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_33_2762-2766m.jpg	73	9999-12-31	4597
30/6-7	34	2766-2770m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_34_2766-2770m.jpg	73	9999-12-31	4598
30/6-7	35	2770-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_35_2770-2774m.jpg	73	9999-12-31	4599
30/6-7	36	2774-2778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_36_2774-2778m.jpg	73	9999-12-31	4600
30/6-7	37	2778-2779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_37_2778-2779m.jpg	73	9999-12-31	4601
30/6-7	38	2780-2784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_38_2780-2784m.jpg	73	9999-12-31	4602
30/6-7	39	2784-2788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_39_2784-2788m.jpg	73	9999-12-31	4603
30/6-7	40	2788-2792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_40_2788-2792m.jpg	73	9999-12-31	4604
30/6-7	41	2792-2793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_41_2792-2793m.jpg	73	9999-12-31	4605
30/6-7	42	2793-2797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_42_2793-2797m.jpg	73	9999-12-31	4606
30/6-7	43	2797-2801m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_43_2797-2801m.jpg	73	9999-12-31	4607
30/6-7	44	2801-2805m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_44_2801-2805m.jpg	73	9999-12-31	4608
30/6-7	45	2805-2808m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_45_2805-2808m.jpg	73	9999-12-31	4609
30/6-7	46	2809-2812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/73_46_2809-2812m.jpg	73	9999-12-31	4610
30/8-1 S	1	3457-3461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_01_3457-3461m.jpg	2430	9999-12-31	4611
30/8-1 S	2	3461-3461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_02_3461-3461m.jpg	2430	9999-12-31	4612
30/8-1 S	4	3526-3527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_04_3526-3527m.jpg	2430	9999-12-31	4613
30/8-1 S	5	3563-3567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_05_3563-3567m.jpg	2430	9999-12-31	4614
30/8-1 S	6	3567-3571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_06_3567-3571m.jpg	2430	9999-12-31	4615
30/8-1 S	7	3571-3572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_07_3571-3572m.jpg	2430	9999-12-31	4616
30/8-1 S	8	3572-3576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_08_3572-3576m.jpg	2430	9999-12-31	4617
30/8-1 S	9	3576-3580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_09_3576-3580m.jpg	2430	9999-12-31	4618
30/8-1 S	10	3580-3584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_10_3580-3584m.jpg	2430	9999-12-31	4619
30/8-1 S	11	3584-3588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_11_3584-3588m.jpg	2430	9999-12-31	4620
30/8-1 S	12	3588-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_12_3588-3592m.jpg	2430	9999-12-31	4621
30/8-1 S	13	3592-3596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_13_3592-3596m.jpg	2430	9999-12-31	4622
30/8-1 S	14	3596-3600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_14_3596-3600m.jpg	2430	9999-12-31	4623
30/8-1 S	15	3600-3600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_15_3600-3600m.jpg	2430	9999-12-31	4624
30/8-1 S	16	3601-3605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_16_3601-3605m.jpg	2430	9999-12-31	4625
30/8-1 S	17	3605-3609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_17_3605-3609m.jpg	2430	9999-12-31	4626
30/8-1 S	18	3609-3613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_18_3609-3613m.jpg	2430	9999-12-31	4627
30/8-1 S	19	3613-3615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_19_3613-3615m.jpg	2430	9999-12-31	4628
30/8-1 S	20	3620-3620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_20_3620-3620m.jpg	2430	9999-12-31	4629
30/8-1 S	21	3621-3625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_21_3621-3625m.jpg	2430	9999-12-31	4630
30/8-1 S	22	3625-3629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_22_3625-3629m.jpg	2430	9999-12-31	4631
30/8-1 S	23	3629-3633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_23_3629-3633m.jpg	2430	9999-12-31	4632
30/8-1 S	24	3633-3637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_24_3633-3637m.jpg	2430	9999-12-31	4633
30/8-1 S	25	3687-3641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_25_3687-3641m.jpg	2430	9999-12-31	4634
30/8-1 S	26	3641-3645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_26_3641-3645m.jpg	2430	9999-12-31	4635
30/8-1 S	27	3645-3648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_27_3645-3648m.jpg	2430	9999-12-31	4636
30/8-1 S	28	3648-3652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_28_3648-3652m.jpg	2430	9999-12-31	4637
30/8-1 S	29	3652-3656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_29_3652-3656m.jpg	2430	9999-12-31	4638
30/8-1 S	30	3656-3660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_30_3656-3660m.jpg	2430	9999-12-31	4639
30/8-1 S	31	3460-3664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_31_3460-3664m.jpg	2430	9999-12-31	4640
30/8-1 S	32	3664-3668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_32_3664-3668m.jpg	2430	9999-12-31	4641
30/8-1 S	33	3668-3672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_33_3668-3672m.jpg	2430	9999-12-31	4642
30/8-1 S	34	3672-3676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_34_3672-3676m.jpg	2430	9999-12-31	4643
30/8-1 S	35	3678-3677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_35_3678-3677m.jpg	2430	9999-12-31	4644
30/8-1 S	36	3677-3681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_36_3677-3681m.jpg	2430	9999-12-31	4645
30/8-1 S	37	3681-3685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_37_3681-3685m.jpg	2430	9999-12-31	4646
30/8-1 S	38	3685-3689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_38_3685-3689m.jpg	2430	9999-12-31	4647
30/8-1 S	39	3689-3693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_39_3689-3693m.jpg	2430	9999-12-31	4648
30/8-1 S	40	3693-3697m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_40_3693-3697m.jpg	2430	9999-12-31	4649
30/8-1 S	41	3697-3700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_41_3697-3700m.jpg	2430	9999-12-31	4650
30/8-1 S	42	3701-3705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_42_3701-3705m.jpg	2430	9999-12-31	4651
30/8-1 S	43	3705-3709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_43_3705-3709m.jpg	2430	9999-12-31	4652
30/8-1 S	44	3709-3710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_44_3709-3710m.jpg	2430	9999-12-31	4653
30/8-1 S	45	3710-3714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_45_3710-3714m.jpg	2430	9999-12-31	4654
30/8-1 S	46	3714-3718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_46_3714-3718m.jpg	2430	9999-12-31	4655
30/8-1 S	47	3718-3722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_47_3718-3722m.jpg	2430	9999-12-31	4656
30/8-1 S	48	3722-3726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_48_3722-3726m.jpg	2430	9999-12-31	4657
30/8-1 S	49	3726-3730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_49_3726-3730m.jpg	2430	9999-12-31	4658
30/8-1 S	50	3730-3734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_50_3730-3734m.jpg	2430	9999-12-31	4659
30/8-1 S	51	3734-3738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_51_3734-3738m.jpg	2430	9999-12-31	4660
30/8-1 S	52	3738-3739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_52_3738-3739m.jpg	2430	9999-12-31	4661
30/8-1 S	53	3739-3742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_53_3739-3742m.jpg	2430	9999-12-31	4662
30/8-1 S	54	3743-3747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_54_3743-3747m.jpg	2430	9999-12-31	4663
30/8-1 S	55	3747-3751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_55_3747-3751m.jpg	2430	9999-12-31	4664
30/8-1 S	56	3751-3754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2430_56_3751-3754m.jpg	2430	9999-12-31	4665
30/8-2	1	2129-2133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2723_01_2129-2133m.jpg	2723	9999-12-31	4666
30/8-2	2	2135-2140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2723_02_2135-2140m.jpg	2723	9999-12-31	4667
30/8-2	3	2140-2145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2723_03_2140-2145m.jpg	2723	9999-12-31	4668
30/8-2	4	2145-2150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2723_04_2145-2150m.jpg	2723	9999-12-31	4669
30/8-2	5	2150-2151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2723_05_2150-2151m.jpg	2723	9999-12-31	4670
30/8-3	1	3342-3347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_01_3342-3347m.jpg	3246	9999-12-31	4671
30/8-3	2	3347-3352m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_02_3347-3352m.jpg	3246	9999-12-31	4672
30/8-3	3	3352-3357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_03_3352-3357m.jpg	3246	9999-12-31	4673
30/8-3	4	3357-3362m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_04_3357-3362m.jpg	3246	9999-12-31	4674
30/8-3	5	3362-3367m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_05_3362-3367m.jpg	3246	9999-12-31	4675
30/8-3	6	3367-3372m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_06_3367-3372m.jpg	3246	9999-12-31	4676
30/8-3	7	3372-3377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_07_3372-3377m.jpg	3246	9999-12-31	4677
30/8-3	8	3377-3378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_08_3377-3378m.jpg	3246	9999-12-31	4678
30/8-3	9	3379-3384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_09_3379-3384m.jpg	3246	9999-12-31	4679
30/8-3	10	3384-3389m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_10_3384-3389m.jpg	3246	9999-12-31	4680
30/8-3	11	3389-3394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_11_3389-3394m.jpg	3246	9999-12-31	4681
30/8-3	12	3394-3399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_12_3394-3399m.jpg	3246	9999-12-31	4682
30/8-3	13	3399-3404m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_13_3399-3404m.jpg	3246	9999-12-31	4683
30/8-3	14	3404-3409m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_14_3404-3409m.jpg	3246	9999-12-31	4684
30/8-3	15	3409-3414m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_15_3409-3414m.jpg	3246	9999-12-31	4685
30/8-3	16	3414-3419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_16_3414-3419m.jpg	3246	9999-12-31	4686
30/8-3	17	3419-3424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_17_3419-3424m.jpg	3246	9999-12-31	4687
30/8-3	18	3424-3429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_18_3424-3429m.jpg	3246	9999-12-31	4688
30/8-3	19	3429-3434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_19_3429-3434m.jpg	3246	9999-12-31	4689
30/8-3	20	3434-3435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_20_3434-3435m.jpg	3246	9999-12-31	4690
30/8-3	21	3531-3536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_21_3531-3536m.jpg	3246	9999-12-31	4691
30/8-3	22	3536-3541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_22_3536-3541m.jpg	3246	9999-12-31	4692
30/8-3	23	3541-3546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_23_3541-3546m.jpg	3246	9999-12-31	4693
30/8-3	24	3546-3551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_24_3546-3551m.jpg	3246	9999-12-31	4694
30/8-3	25	3551-3556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_25_3551-3556m.jpg	3246	9999-12-31	4695
30/8-3	26	3556-3559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3246_26_3556-3559m.jpg	3246	9999-12-31	4696
30/9-12	1	2617-2622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_01_2617-2622m.jpg	1717	9999-12-31	4697
30/9-12	2	2622-2627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_02_2622-2627m.jpg	1717	9999-12-31	4698
30/9-12	3	2627-2632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_03_2627-2632m.jpg	1717	9999-12-31	4699
30/9-12	4	2632-2637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_04_2632-2637m.jpg	1717	9999-12-31	4700
30/9-12	5	2637-2666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_05_2637-2666m.jpg	1717	9999-12-31	4701
30/9-12	6	2666-2671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_06_2666-2671m.jpg	1717	9999-12-31	4702
30/9-12	7	2671-2676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_07_2671-2676m.jpg	1717	9999-12-31	4703
30/9-12	8	2676-2681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_08_2676-2681m.jpg	1717	9999-12-31	4704
30/9-12	9	2681-2686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_09_2681-2686m.jpg	1717	9999-12-31	4705
30/9-12	10	2686-2690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_10_2686-2690m.jpg	1717	9999-12-31	4706
30/9-12	11	2691-2696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_11_2691-2696m.jpg	1717	9999-12-31	4707
30/9-12	12	2696-2701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_12_2696-2701m.jpg	1717	9999-12-31	4708
30/9-12	13	2701-2708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_13_2701-2708m.jpg	1717	9999-12-31	4709
30/9-12	14	2708-2713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_14_2708-2713m.jpg	1717	9999-12-31	4710
30/9-12	15	2713-2718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_15_2713-2718m.jpg	1717	9999-12-31	4711
30/9-12	16	2718-2723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_16_2718-2723m.jpg	1717	9999-12-31	4712
30/9-12	17	2723-2725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_17_2723-2725m.jpg	1717	9999-12-31	4713
30/9-12	18	2726-2730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_18_2726-2730m.jpg	1717	9999-12-31	4714
30/9-12	19	2730-2735m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_19_2730-2735m.jpg	1717	9999-12-31	4715
30/9-12	20	2735-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_20_2735-2739m.jpg	1717	9999-12-31	4716
30/9-12	21	2739-2744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_21_2739-2744m.jpg	1717	9999-12-31	4717
30/9-12	22	2744-2749m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_22_2744-2749m.jpg	1717	9999-12-31	4718
30/9-12	23	2749-2752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_23_2749-2752m.jpg	1717	9999-12-31	4719
30/9-12	24	2758-2763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_24_2758-2763m.jpg	1717	9999-12-31	4720
30/9-12	25	2763-2768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_25_2763-2768m.jpg	1717	9999-12-31	4721
30/9-12	26	2768-2773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_26_2768-2773m.jpg	1717	9999-12-31	4722
30/9-12	27	2773-2778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_27_2773-2778m.jpg	1717	9999-12-31	4723
30/9-12	28	2778-2783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_28_2778-2783m.jpg	1717	9999-12-31	4724
30/9-12	29	2783-2790m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_29_2783-2790m.jpg	1717	9999-12-31	4725
30/9-12	30	2790-2795m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_30_2790-2795m.jpg	1717	9999-12-31	4726
30/9-12	31	2795-2800m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_31_2795-2800m.jpg	1717	9999-12-31	4727
30/9-12	32	2800-2804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1717_32_2800-2804m.jpg	1717	9999-12-31	4728
30/9-12 A	1	2874-2880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1770_01_2874-2880m.jpg	1770	9999-12-31	4729
30/9-12 A	2	2880-2885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1770_02_2880-2885m.jpg	1770	9999-12-31	4730
30/9-12 A	3	2885-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1770_03_2885-2891m.jpg	1770	9999-12-31	4731
30/9-12 A	4	2891-2896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1770_04_2891-2896m.jpg	1770	9999-12-31	4732
30/9-12 A	5	2896-2903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1770_05_2896-2903m.jpg	1770	9999-12-31	4733
30/9-12 A	6	2903-2910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1770_06_2903-2910m.jpg	1770	9999-12-31	4734
30/9-12 A	7	2911-2917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1770_07_2911-2917m.jpg	1770	9999-12-31	4735
30/9-12 A	8	2917-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1770_08_2917-2919m.jpg	1770	9999-12-31	4736
30/9-13 S	1	2957-2962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_01_2957-2962m.jpg	1811	9999-12-31	4737
30/9-13 S	2	2962-2967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_02_2962-2967m.jpg	1811	9999-12-31	4738
30/9-13 S	3	2967-2972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_03_2967-2972m.jpg	1811	9999-12-31	4739
30/9-13 S	4	2972-2977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_04_2972-2977m.jpg	1811	9999-12-31	4740
30/9-13 S	5	2977-2982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_05_2977-2982m.jpg	1811	9999-12-31	4741
30/9-13 S	6	2982-2984m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_06_2982-2984m.jpg	1811	9999-12-31	4742
30/9-13 S	7	2985-2990m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_07_2985-2990m.jpg	1811	9999-12-31	4743
30/9-13 S	8	2990-2995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_08_2990-2995m.jpg	1811	9999-12-31	4744
30/9-13 S	9	2995-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_09_2995-3000m.jpg	1811	9999-12-31	4745
30/9-13 S	10	3000-3005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_10_3000-3005m.jpg	1811	9999-12-31	4746
30/9-13 S	11	3005-3010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_11_3005-3010m.jpg	1811	9999-12-31	4747
30/9-13 S	12	3010-3014m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_12_3010-3014m.jpg	1811	9999-12-31	4748
30/9-13 S	13	3014-3019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_13_3014-3019m.jpg	1811	9999-12-31	4749
30/9-13 S	14	3019-3024m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_14_3019-3024m.jpg	1811	9999-12-31	4750
30/9-13 S	15	3024-3029m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_15_3024-3029m.jpg	1811	9999-12-31	4751
30/9-13 S	16	3029-3034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_16_3029-3034m.jpg	1811	9999-12-31	4752
30/9-13 S	17	3034-3039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_17_3034-3039m.jpg	1811	9999-12-31	4753
30/9-13 S	18	3039-3044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_18_3039-3044m.jpg	1811	9999-12-31	4754
30/9-13 S	19	3044-3049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_19_3044-3049m.jpg	1811	9999-12-31	4755
30/9-13 S	20	3049-3054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_20_3049-3054m.jpg	1811	9999-12-31	4756
30/9-13 S	21	3054-3059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_21_3054-3059m.jpg	1811	9999-12-31	4757
30/9-13 S	22	3059-3064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_22_3059-3064m.jpg	1811	9999-12-31	4758
30/9-13 S	23	3064-3069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_23_3064-3069m.jpg	1811	9999-12-31	4759
30/9-13 S	24	3069-3074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_24_3069-3074m.jpg	1811	9999-12-31	4760
30/9-13 S	25	3074-3079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_25_3074-3079m.jpg	1811	9999-12-31	4761
30/9-13 S	26	3079-3084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_26_3079-3084m.jpg	1811	9999-12-31	4762
30/9-13 S	27	3084-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_27_3084-3089m.jpg	1811	9999-12-31	4763
30/9-13 S	28	3089-3093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_28_3089-3093m.jpg	1811	9999-12-31	4764
30/9-13 S	29	3059-3100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_29_3059-3100m.jpg	1811	9999-12-31	4765
30/9-13 S	30	3100-3105m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_30_3100-3105m.jpg	1811	9999-12-31	4766
30/9-13 S	31	3105-3110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_31_3105-3110m.jpg	1811	9999-12-31	4767
30/9-13 S	32	3110-3115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_32_3110-3115m.jpg	1811	9999-12-31	4768
30/9-13 S	33	3115-3120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_33_3115-3120m.jpg	1811	9999-12-31	4769
30/9-13 S	34	3120-3125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_34_3120-3125m.jpg	1811	9999-12-31	4770
30/9-13 S	35	3125-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_35_3125-3130m.jpg	1811	9999-12-31	4771
30/9-13 S	36	3130-3135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_36_3130-3135m.jpg	1811	9999-12-31	4772
30/9-13 S	37	3135-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_37_3135-3140m.jpg	1811	9999-12-31	4773
30/9-13 S	38	3140-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_38_3140-3145m.jpg	1811	9999-12-31	4774
30/9-13 S	39	3145-3150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_39_3145-3150m.jpg	1811	9999-12-31	4775
30/9-13 S	40	3150-3154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_40_3150-3154m.jpg	1811	9999-12-31	4776
30/9-13 S	41	3154-3159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_41_3154-3159m.jpg	1811	9999-12-31	4777
30/9-13 S	42	3159-3164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_42_3159-3164m.jpg	1811	9999-12-31	4778
30/9-13 S	43	3164-3169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_43_3164-3169m.jpg	1811	9999-12-31	4779
30/9-13 S	44	3169-3174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_44_3169-3174m.jpg	1811	9999-12-31	4780
30/9-13 S	45	3174-3178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_45_3174-3178m.jpg	1811	9999-12-31	4781
30/9-13 S	46	3179-3184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_46_3179-3184m.jpg	1811	9999-12-31	4782
30/9-13 S	47	3184-3188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1811_47_3184-3188m.jpg	1811	9999-12-31	4783
30/9-14	1	2968-2973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_01_2968-2973m.jpg	2076	9999-12-31	4784
30/9-14	2	2973-2978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_02_2973-2978m.jpg	2076	9999-12-31	4785
30/9-14	3	2978-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_03_2978-2980m.jpg	2076	9999-12-31	4786
30/9-14	4	2981-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_04_2981-2985m.jpg	2076	9999-12-31	4787
30/9-14	5	2985-2990m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_05_2985-2990m.jpg	2076	9999-12-31	4788
30/9-14	6	2990-2995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_06_2990-2995m.jpg	2076	9999-12-31	4789
30/9-14	7	2995-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_07_2995-3000m.jpg	2076	9999-12-31	4790
30/9-14	8	3000-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_08_3000-3003m.jpg	2076	9999-12-31	4791
30/9-14	9	3003-3008m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_09_3003-3008m.jpg	2076	9999-12-31	4792
30/9-14	10	3008-3013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_10_3008-3013m.jpg	2076	9999-12-31	4793
30/9-14	11	3013-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_11_3013-3018m.jpg	2076	9999-12-31	4794
30/9-14	12	3018-3023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_12_3018-3023m.jpg	2076	9999-12-31	4795
30/9-14	13	3023-3028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_13_3023-3028m.jpg	2076	9999-12-31	4796
30/9-14	14	3028-3031m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_14_3028-3031m.jpg	2076	9999-12-31	4797
30/9-14	15	3031-3036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_15_3031-3036m.jpg	2076	9999-12-31	4798
30/9-14	16	3036-3041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_16_3036-3041m.jpg	2076	9999-12-31	4799
30/9-14	17	3041-3046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_17_3041-3046m.jpg	2076	9999-12-31	4800
30/9-14	18	3046-3051m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_18_3046-3051m.jpg	2076	9999-12-31	4801
30/9-14	19	3051-3056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_19_3051-3056m.jpg	2076	9999-12-31	4802
30/9-14	20	3056-3058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_20_3056-3058m.jpg	2076	9999-12-31	4803
30/9-14	21	3059-3063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_21_3059-3063m.jpg	2076	9999-12-31	4804
30/9-14	22	3063-3068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_22_3063-3068m.jpg	2076	9999-12-31	4805
30/9-14	23	3068-3073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_23_3068-3073m.jpg	2076	9999-12-31	4806
30/9-14	24	3073-3078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_24_3073-3078m.jpg	2076	9999-12-31	4807
30/9-14	25	3078-3083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_25_3078-3083m.jpg	2076	9999-12-31	4808
30/9-14	27	3088-3093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_27_3088-3093m.jpg	2076	9999-12-31	4809
30/9-14	28	3093-3098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_28_3093-3098m.jpg	2076	9999-12-31	4810
30/9-14	29	3098-3103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_29_3098-3103m.jpg	2076	9999-12-31	4811
30/9-14	30	3103-3108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_30_3103-3108m.jpg	2076	9999-12-31	4812
30/9-14	31	3108-3113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_31_3108-3113m.jpg	2076	9999-12-31	4813
30/9-14	32	3113-3113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_32_3113-3113m.jpg	2076	9999-12-31	4814
30/9-14	33	3113-3118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_33_3113-3118m.jpg	2076	9999-12-31	4815
30/9-14	34	3118-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_34_3118-3123m.jpg	2076	9999-12-31	4816
30/9-14	35	3123-3128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_35_3123-3128m.jpg	2076	9999-12-31	4817
30/9-14	36	3128-3133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_36_3128-3133m.jpg	2076	9999-12-31	4818
30/9-14	37	3133-3138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_37_3133-3138m.jpg	2076	9999-12-31	4819
30/9-14	38	3138-3143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_38_3138-3143m.jpg	2076	9999-12-31	4820
30/9-14	39	3143-3148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_39_3143-3148m.jpg	2076	9999-12-31	4821
30/9-14	40	3148-3153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_40_3148-3153m.jpg	2076	9999-12-31	4822
30/9-14	41	3153-3158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_41_3153-3158m.jpg	2076	9999-12-31	4823
30/9-14	42	3158-3163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_42_3158-3163m.jpg	2076	9999-12-31	4824
30/9-14	43	3163-3166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_43_3163-3166m.jpg	2076	9999-12-31	4825
30/9-14	44	3166-3171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_44_3166-3171m.jpg	2076	9999-12-31	4826
30/9-14	45	3171-3176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_45_3171-3176m.jpg	2076	9999-12-31	4827
30/9-14	46	3176-3181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_46_3176-3181m.jpg	2076	9999-12-31	4828
30/9-14	47	3181-3186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_47_3181-3186m.jpg	2076	9999-12-31	4829
30/9-14	48	3186-3191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_48_3186-3191m.jpg	2076	9999-12-31	4830
30/9-14	49	3191-3196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_49_3191-3196m.jpg	2076	9999-12-31	4831
30/9-14	50	3196-3201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_50_3196-3201m.jpg	2076	9999-12-31	4832
30/9-14	51	3201-3206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_51_3201-3206m.jpg	2076	9999-12-31	4833
30/9-14	52	3206-3211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_52_3206-3211m.jpg	2076	9999-12-31	4834
30/9-14	53	3211-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_53_3211-3216m.jpg	2076	9999-12-31	4835
30/9-14	54	3216-3218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_54_3216-3218m.jpg	2076	9999-12-31	4836
30/9-14	55	3470-3475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_55_3470-3475m.jpg	2076	9999-12-31	4837
30/9-14	56	3475-3480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_56_3475-3480m.jpg	2076	9999-12-31	4838
30/9-14	57	3480-3485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_57_3480-3485m.jpg	2076	9999-12-31	4839
30/9-14	58	3485-3490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_58_3485-3490m.jpg	2076	9999-12-31	4840
30/9-14	59	3490-3495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_59_3490-3495m.jpg	2076	9999-12-31	4841
30/9-14	60	3495-3500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_60_3495-3500m.jpg	2076	9999-12-31	4842
30/9-14	61	3500-3501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_61_3500-3501m.jpg	2076	9999-12-31	4843
30/9-14	62	3500-3508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_62_3500-3508m.jpg	2076	9999-12-31	4844
30/9-14	63	3508-3513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_63_3508-3513m.jpg	2076	9999-12-31	4845
30/9-14	64	3513-3518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_64_3513-3518m.jpg	2076	9999-12-31	4846
30/9-14	65	3518-3523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_65_3518-3523m.jpg	2076	9999-12-31	4847
30/9-14	66	3523-3528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_66_3523-3528m.jpg	2076	9999-12-31	4848
30/9-14	67	3528-3533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_67_3528-3533m.jpg	2076	9999-12-31	4849
30/9-14	68	3533-3534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2076_68_3533-3534m.jpg	2076	9999-12-31	4850
30/9-15	1	2240-2245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_01_2240-2245m.jpg	2223	9999-12-31	4851
30/9-15	2	2245-2249m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_02_2245-2249m.jpg	2223	9999-12-31	4852
30/9-15	3	2256-2261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_03_2256-2261m.jpg	2223	9999-12-31	4853
30/9-15	4	2261-2266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_04_2261-2266m.jpg	2223	9999-12-31	4854
30/9-15	5	2266-2271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_05_2266-2271m.jpg	2223	9999-12-31	4855
30/9-15	6	2271-2276m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_06_2271-2276m.jpg	2223	9999-12-31	4856
30/9-15	7	2276-2280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_07_2276-2280m.jpg	2223	9999-12-31	4857
30/9-15	8	2283-2288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_08_2283-2288m.jpg	2223	9999-12-31	4858
30/9-15	9	2288-2293m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_09_2288-2293m.jpg	2223	9999-12-31	4859
30/9-15	10	2293-2298m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_10_2293-2298m.jpg	2223	9999-12-31	4860
30/9-15	11	2298-2303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_11_2298-2303m.jpg	2223	9999-12-31	4861
30/9-15	12	2303-2305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2223_12_2303-2305m.jpg	2223	9999-12-31	4862
30/9-2	1	2591-2594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_01_2591-2594m.jpg	11	9999-12-31	4863
30/9-2	2	2594-2599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_02_2594-2599m.jpg	11	9999-12-31	4864
30/9-2	3	2598-2604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_03_2598-2604m.jpg	11	9999-12-31	4865
30/9-2	4	2604-2609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_04_2604-2609m.jpg	11	9999-12-31	4866
30/9-2	5	2609-2612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_05_2609-2612m.jpg	11	9999-12-31	4867
30/9-2	6	2614-2619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_06_2614-2619m.jpg	11	9999-12-31	4868
30/9-2	7	2619-2624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_07_2619-2624m.jpg	11	9999-12-31	4869
30/9-2	8	2624-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_08_2624-2629m.jpg	11	9999-12-31	4870
30/9-2	9	2629-2632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_09_2629-2632m.jpg	11	9999-12-31	4871
30/9-2	10	2632-2637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_10_2632-2637m.jpg	11	9999-12-31	4872
30/9-2	11	2637-2642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_11_2637-2642m.jpg	11	9999-12-31	4873
30/9-2	12	2642-2647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_12_2642-2647m.jpg	11	9999-12-31	4874
30/9-2	13	2647-2651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_13_2647-2651m.jpg	11	9999-12-31	4875
30/9-2	14	2650-2655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_14_2650-2655m.jpg	11	9999-12-31	4876
30/9-2	15	2655-2660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_15_2655-2660m.jpg	11	9999-12-31	4877
30/9-2	16	2660-2665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_16_2660-2665m.jpg	11	9999-12-31	4878
30/9-2	17	2665-2669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_17_2665-2669m.jpg	11	9999-12-31	4879
30/9-2	18	2669-2674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_18_2669-2674m.jpg	11	9999-12-31	4880
30/9-2	19	2674-2679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_19_2674-2679m.jpg	11	9999-12-31	4881
30/9-2	20	2679-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_20_2679-2684m.jpg	11	9999-12-31	4882
30/9-2	21	2684-2687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_21_2684-2687m.jpg	11	9999-12-31	4883
30/9-2	22	2687-2692m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_22_2687-2692m.jpg	11	9999-12-31	4884
30/9-2	23	2692-2697m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_23_2692-2697m.jpg	11	9999-12-31	4885
30/9-2	24	2697-2702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_24_2697-2702m.jpg	11	9999-12-31	4886
30/9-2	25	2702-2705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_25_2702-2705m.jpg	11	9999-12-31	4887
30/9-2	26	2705-2710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_26_2705-2710m.jpg	11	9999-12-31	4888
30/9-2	27	2710-2715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_27_2710-2715m.jpg	11	9999-12-31	4889
30/9-2	28	2715-2720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_28_2715-2720m.jpg	11	9999-12-31	4890
30/9-2	29	2720-2723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_29_2720-2723m.jpg	11	9999-12-31	4891
30/9-2	30	2723-2728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_30_2723-2728m.jpg	11	9999-12-31	4892
30/9-2	31	2728-2733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_31_2728-2733m.jpg	11	9999-12-31	4893
30/9-2	32	2733-2738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_32_2733-2738m.jpg	11	9999-12-31	4894
30/9-2	33	2738-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_33_2738-2739m.jpg	11	9999-12-31	4895
30/9-2	34	2741-2746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_34_2741-2746m.jpg	11	9999-12-31	4896
30/9-2	35	2746-2751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_35_2746-2751m.jpg	11	9999-12-31	4897
30/9-2	36	2751-2755m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_36_2751-2755m.jpg	11	9999-12-31	4898
30/9-2	37	2756-2757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_37_2756-2757m.jpg	11	9999-12-31	4899
30/9-2	38	2759-2764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_38_2759-2764m.jpg	11	9999-12-31	4900
30/9-2	39	2764-2769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_39_2764-2769m.jpg	11	9999-12-31	4901
30/9-2	40	2769-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_40_2769-2774m.jpg	11	9999-12-31	4902
30/9-2	41	2774-2777m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/11_41_2774-2777m.jpg	11	9999-12-31	4903
30/9-3 A	1	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_01_2853-2861m.jpg	102	9999-12-31	4904
30/9-3 A	2	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_02_2853-2861m.jpg	102	9999-12-31	4905
30/9-3 A	3	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_03_2853-2861m.jpg	102	9999-12-31	4906
30/9-3 A	4	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_04_2853-2861m.jpg	102	9999-12-31	4907
30/9-3 A	5	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_05_2853-2861m.jpg	102	9999-12-31	4908
30/9-3 A	6	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_06_2853-2861m.jpg	102	9999-12-31	4909
30/9-3 A	7	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_07_2853-2861m.jpg	102	9999-12-31	4910
30/9-3 A	8	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_08_2853-2861m.jpg	102	9999-12-31	4911
30/9-3 A	9	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_09_2853-2861m.jpg	102	9999-12-31	4912
30/9-3 A	10	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_10_2853-2861m.jpg	102	9999-12-31	4913
30/9-3 A	11	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_11_2853-2861m.jpg	102	9999-12-31	4914
30/9-3 A	12	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_12_2853-2861m.jpg	102	9999-12-31	4915
30/9-3 A	13	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_13_2853-2861m.jpg	102	9999-12-31	4916
30/9-3 A	14	2853-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_14_2853-2861m.jpg	102	9999-12-31	4917
30/9-3 A	15	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_15_2861-2872m.jpg	102	9999-12-31	4918
30/9-3 A	16	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_16_2861-2872m.jpg	102	9999-12-31	4919
30/9-3 A	17	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_17_2861-2872m.jpg	102	9999-12-31	4920
30/9-3 A	18	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_18_2861-2872m.jpg	102	9999-12-31	4921
30/9-3 A	19	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_19_2861-2872m.jpg	102	9999-12-31	4922
30/9-3 A	20	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_20_2861-2872m.jpg	102	9999-12-31	4923
30/9-3 A	21	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_21_2861-2872m.jpg	102	9999-12-31	4924
30/9-3 A	22	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_22_2861-2872m.jpg	102	9999-12-31	4925
30/9-3 A	23	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_23_2861-2872m.jpg	102	9999-12-31	4926
30/9-3 A	24	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_24_2861-2872m.jpg	102	9999-12-31	4927
30/9-3 A	25	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_25_2861-2872m.jpg	102	9999-12-31	4928
30/9-3 A	26	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_26_2861-2872m.jpg	102	9999-12-31	4929
30/9-3 A	27	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_27_2861-2872m.jpg	102	9999-12-31	4930
30/9-3 A	28	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_28_2861-2872m.jpg	102	9999-12-31	4931
30/9-3 A	29	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_29_2861-2872m.jpg	102	9999-12-31	4932
30/9-3 A	30	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_30_2861-2872m.jpg	102	9999-12-31	4933
30/9-3 A	31	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_31_2861-2872m.jpg	102	9999-12-31	4934
30/9-3 A	32	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_32_2861-2872m.jpg	102	9999-12-31	4935
30/9-3 A	33	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_33_2861-2872m.jpg	102	9999-12-31	4936
30/9-3 A	34	2861-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_34_2861-2872m.jpg	102	9999-12-31	4937
30/9-3 A	35	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_35_2873-2891m.jpg	102	9999-12-31	4938
30/9-3 A	36	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_36_2873-2891m.jpg	102	9999-12-31	4939
30/9-3 A	37	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_37_2873-2891m.jpg	102	9999-12-31	4940
30/9-3 A	38	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_38_2873-2891m.jpg	102	9999-12-31	4941
30/9-3 A	39	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_39_2873-2891m.jpg	102	9999-12-31	4942
30/9-3 A	40	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_40_2873-2891m.jpg	102	9999-12-31	4943
30/9-3 A	41	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_41_2873-2891m.jpg	102	9999-12-31	4944
30/9-3 A	42	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_42_2873-2891m.jpg	102	9999-12-31	4945
30/9-3 A	43	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_43_2873-2891m.jpg	102	9999-12-31	4946
30/9-3 A	44	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_44_2873-2891m.jpg	102	9999-12-31	4947
30/9-3 A	45	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_45_2873-2891m.jpg	102	9999-12-31	4948
30/9-3 A	46	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_46_2873-2891m.jpg	102	9999-12-31	4949
30/9-3 A	47	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_47_2873-2891m.jpg	102	9999-12-31	4950
30/9-3 A	48	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_48_2873-2891m.jpg	102	9999-12-31	4951
30/9-3 A	49	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_49_2873-2891m.jpg	102	9999-12-31	4952
30/9-3 A	50	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_50_2873-2891m.jpg	102	9999-12-31	4953
30/9-3 A	51	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_51_2873-2891m.jpg	102	9999-12-31	4954
30/9-3 A	52	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_52_2873-2891m.jpg	102	9999-12-31	4955
30/9-3 A	53	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_53_2873-2891m.jpg	102	9999-12-31	4956
30/9-3 A	54	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_54_2873-2891m.jpg	102	9999-12-31	4957
30/9-3 A	55	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_55_2873-2891m.jpg	102	9999-12-31	4958
30/9-3 A	56	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_56_2873-2891m.jpg	102	9999-12-31	4959
30/9-3 A	57	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_57_2873-2891m.jpg	102	9999-12-31	4960
30/9-3 A	58	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_58_2873-2891m.jpg	102	9999-12-31	4961
30/9-3 A	59	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_59_2873-2891m.jpg	102	9999-12-31	4962
30/9-3 A	60	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_60_2873-2891m.jpg	102	9999-12-31	4963
30/9-3 A	61	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_61_2873-2891m.jpg	102	9999-12-31	4964
30/9-3 A	62	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_62_2873-2891m.jpg	102	9999-12-31	4965
30/9-3 A	63	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_63_2873-2891m.jpg	102	9999-12-31	4966
30/9-3 A	64	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_64_2873-2891m.jpg	102	9999-12-31	4967
30/9-3 A	65	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_65_2873-2891m.jpg	102	9999-12-31	4968
30/9-3 A	66	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_66_2873-2891m.jpg	102	9999-12-31	4969
30/9-3 A	67	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_67_2873-2891m.jpg	102	9999-12-31	4970
30/9-3 A	68	2873-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_68_2873-2891m.jpg	102	9999-12-31	4971
30/9-3 A	69	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_69_2891-2909m.jpg	102	9999-12-31	4972
30/9-3 A	70	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_70_2891-2909m.jpg	102	9999-12-31	4973
30/9-3 A	71	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_71_2891-2909m.jpg	102	9999-12-31	4974
30/9-3 A	72	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_72_2891-2909m.jpg	102	9999-12-31	4975
30/9-3 A	73	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_73_2891-2909m.jpg	102	9999-12-31	4976
30/9-3 A	74	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_74_2891-2909m.jpg	102	9999-12-31	4977
30/9-3 A	75	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_75_2891-2909m.jpg	102	9999-12-31	4978
30/9-3 A	76	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_76_2891-2909m.jpg	102	9999-12-31	4979
30/9-3 A	77	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_77_2891-2909m.jpg	102	9999-12-31	4980
30/9-3 A	78	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_78_2891-2909m.jpg	102	9999-12-31	4981
30/9-3 A	79	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_79_2891-2909m.jpg	102	9999-12-31	4982
30/9-3 A	80	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_80_2891-2909m.jpg	102	9999-12-31	4983
30/9-3 A	81	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_81_2891-2909m.jpg	102	9999-12-31	4984
30/9-3 A	82	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_82_2891-2909m.jpg	102	9999-12-31	4985
30/9-3 A	83	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_83_2891-2909m.jpg	102	9999-12-31	4986
30/9-3 A	84	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_84_2891-2909m.jpg	102	9999-12-31	4987
30/9-3 A	85	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_85_2891-2909m.jpg	102	9999-12-31	4988
30/9-3 A	86	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_86_2891-2909m.jpg	102	9999-12-31	4989
30/9-3 A	87	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_87_2891-2909m.jpg	102	9999-12-31	4990
30/9-3 A	88	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_88_2891-2909m.jpg	102	9999-12-31	4991
30/9-3 A	89	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_89_2891-2909m.jpg	102	9999-12-31	4992
30/9-3 A	90	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_90_2891-2909m.jpg	102	9999-12-31	4993
30/9-3 A	91	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_91_2891-2909m.jpg	102	9999-12-31	4994
30/9-3 A	92	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_92_2891-2909m.jpg	102	9999-12-31	4995
30/9-3 A	93	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_93_2891-2909m.jpg	102	9999-12-31	4996
30/9-3 A	94	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_94_2891-2909m.jpg	102	9999-12-31	4997
30/9-3 A	95	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_95_2891-2909m.jpg	102	9999-12-31	4998
30/9-3 A	96	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_96_2891-2909m.jpg	102	9999-12-31	4999
30/9-3 A	97	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_97_2891-2909m.jpg	102	9999-12-31	5000
30/9-3 A	98	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_98_2891-2909m.jpg	102	9999-12-31	5001
30/9-3 A	99	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_99_2891-2909m.jpg	102	9999-12-31	5002
30/9-3 A	100	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_100_2891-2909m.jpg	102	9999-12-31	5003
30/9-3 A	100	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_100_2909-2927m.jpg	102	9999-12-31	5004
30/9-3 A	101	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_101_2891-2909m.jpg	102	9999-12-31	5005
30/9-3 A	102	2891-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_102_2891-2909m.jpg	102	9999-12-31	5006
30/9-3 A	103	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_103_2909-2927m.jpg	102	9999-12-31	5007
30/9-3 A	104	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_104_2909-2927m.jpg	102	9999-12-31	5008
30/9-3 A	105	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_105_2909-2927m.jpg	102	9999-12-31	5009
30/9-3 A	106	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_106_2909-2927m.jpg	102	9999-12-31	5010
30/9-3 A	107	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_107_2909-2927m.jpg	102	9999-12-31	5011
30/9-3 A	108	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_108_2909-2927m.jpg	102	9999-12-31	5012
30/9-3 A	109	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_109_2909-2927m.jpg	102	9999-12-31	5013
30/9-3 A	110	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_110_2909-2927m.jpg	102	9999-12-31	5014
30/9-3 A	111	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_111_2909-2927m.jpg	102	9999-12-31	5015
30/9-3 A	112	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_112_2909-2927m.jpg	102	9999-12-31	5016
30/9-3 A	113	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_113_2909-2927m.jpg	102	9999-12-31	5017
30/9-3 A	114	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_114_2909-2927m.jpg	102	9999-12-31	5018
30/9-3 A	115	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_115_2909-2927m.jpg	102	9999-12-31	5019
30/9-3 A	116	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_116_2909-2927m.jpg	102	9999-12-31	5020
30/9-3 A	117	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_117_2909-2927m.jpg	102	9999-12-31	5021
30/9-3 A	118	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_118_2909-2927m.jpg	102	9999-12-31	5022
30/9-3 A	119	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_119_2909-2927m.jpg	102	9999-12-31	5023
30/9-3 A	120	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_120_2909-2927m.jpg	102	9999-12-31	5024
30/9-3 A	121	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_121_2909-2927m.jpg	102	9999-12-31	5025
30/9-3 A	122	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_122_2909-2927m.jpg	102	9999-12-31	5026
30/9-3 A	123	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_123_2909-2927m.jpg	102	9999-12-31	5027
30/9-3 A	124	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_124_2909-2927m.jpg	102	9999-12-31	5028
30/9-3 A	125	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_125_2909-2927m.jpg	102	9999-12-31	5029
30/9-3 A	126	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_126_2909-2927m.jpg	102	9999-12-31	5030
30/9-3 A	127	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_127_2909-2927m.jpg	102	9999-12-31	5031
30/9-3 A	128	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_128_2909-2927m.jpg	102	9999-12-31	5032
30/9-3 A	129	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_129_2909-2927m.jpg	102	9999-12-31	5033
30/9-3 A	130	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_130_2909-2927m.jpg	102	9999-12-31	5034
30/9-3 A	131	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_131_2909-2927m.jpg	102	9999-12-31	5035
30/9-3 A	132	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_132_2909-2927m.jpg	102	9999-12-31	5036
30/9-3 A	133	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_133_2909-2927m.jpg	102	9999-12-31	5037
30/9-3 A	134	2909-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_134_2909-2927m.jpg	102	9999-12-31	5038
30/9-3 A	135	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_135_2928-2951m.jpg	102	9999-12-31	5039
30/9-3 A	136	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_136_2928-2951m.jpg	102	9999-12-31	5040
30/9-3 A	137	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_137_2928-2951m.jpg	102	9999-12-31	5041
30/9-3 A	138	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_138_2928-2951m.jpg	102	9999-12-31	5042
30/9-3 A	139	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_139_2928-2951m.jpg	102	9999-12-31	5043
30/9-3 A	140	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_140_2928-2951m.jpg	102	9999-12-31	5044
30/9-3 A	141	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_141_2928-2951m.jpg	102	9999-12-31	5045
30/9-3 A	142	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_142_2928-2951m.jpg	102	9999-12-31	5046
30/9-3 A	143	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_143_2928-2951m.jpg	102	9999-12-31	5047
30/9-3 A	144	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_144_2928-2951m.jpg	102	9999-12-31	5048
30/9-3 A	145	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_145_2928-2951m.jpg	102	9999-12-31	5049
30/9-3 A	146	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_146_2928-2951m.jpg	102	9999-12-31	5050
30/9-3 A	147	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_147_2928-2951m.jpg	102	9999-12-31	5051
30/9-3 A	148	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_148_2928-2951m.jpg	102	9999-12-31	5052
30/9-3 A	149	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_149_2928-2951m.jpg	102	9999-12-31	5053
30/9-3 A	150	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_150_2928-2951m.jpg	102	9999-12-31	5054
30/9-3 A	151	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_151_2928-2951m.jpg	102	9999-12-31	5055
30/9-3 A	152	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_152_2928-2951m.jpg	102	9999-12-31	5056
30/9-3 A	153	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_153_2928-2951m.jpg	102	9999-12-31	5057
30/9-3 A	154	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_154_2928-2951m.jpg	102	9999-12-31	5058
30/9-3 A	155	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_155_2928-2951m.jpg	102	9999-12-31	5059
30/9-3 A	156	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_156_2928-2951m.jpg	102	9999-12-31	5060
30/9-3 A	157	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_157_2928-2951m.jpg	102	9999-12-31	5061
30/9-3 A	158	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_158_2928-2951m.jpg	102	9999-12-31	5062
30/9-3 A	159	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_159_2928-2951m.jpg	102	9999-12-31	5063
30/9-3 A	160	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_160_2928-2951m.jpg	102	9999-12-31	5064
30/9-3 A	161	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_161_2928-2951m.jpg	102	9999-12-31	5065
30/9-3 A	162	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_162_2928-2951m.jpg	102	9999-12-31	5066
30/9-3 A	163	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_163_2928-2951m.jpg	102	9999-12-31	5067
30/9-3 A	164	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_164_2928-2951m.jpg	102	9999-12-31	5068
30/9-3 A	165	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_165_2928-2951m.jpg	102	9999-12-31	5069
30/9-3 A	166	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_166_2928-2951m.jpg	102	9999-12-31	5070
30/9-3 A	167	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_167_2928-2951m.jpg	102	9999-12-31	5071
30/9-3 A	168	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_168_2928-2951m.jpg	102	9999-12-31	5072
30/9-3 A	169	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_169_2928-2951m.jpg	102	9999-12-31	5073
30/9-3 A	170	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_170_2928-2951m.jpg	102	9999-12-31	5074
30/9-3 A	171	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_171_2928-2951m.jpg	102	9999-12-31	5075
30/9-3 A	172	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_172_2928-2951m.jpg	102	9999-12-31	5076
30/9-3 A	173	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_173_2928-2951m.jpg	102	9999-12-31	5077
30/9-3 A	174	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_174_2928-2951m.jpg	102	9999-12-31	5078
30/9-3 A	175	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_175_2928-2951m.jpg	102	9999-12-31	5079
30/9-3 A	176	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_176_2928-2951m.jpg	102	9999-12-31	5080
30/9-3 A	177	2928-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_177_2928-2951m.jpg	102	9999-12-31	5081
30/9-3 A	178	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_178_2951-2968m.jpg	102	9999-12-31	5082
30/9-3 A	179	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_179_2951-2968m.jpg	102	9999-12-31	5083
30/9-3 A	180	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_180_2951-2968m.jpg	102	9999-12-31	5084
30/9-3 A	181	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_181_2951-2968m.jpg	102	9999-12-31	5085
30/9-3 A	182	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_182_2951-2968m.jpg	102	9999-12-31	5086
30/9-3 A	183	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_183_2951-2968m.jpg	102	9999-12-31	5087
30/9-3 A	184	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_184_2951-2968m.jpg	102	9999-12-31	5088
30/9-3 A	185	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_185_2951-2968m.jpg	102	9999-12-31	5089
30/9-3 A	186	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_186_2951-2968m.jpg	102	9999-12-31	5090
30/9-3 A	187	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_187_2951-2968m.jpg	102	9999-12-31	5091
30/9-3 A	188	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_188_2951-2968m.jpg	102	9999-12-31	5092
30/9-3 A	189	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_189_2951-2968m.jpg	102	9999-12-31	5093
30/9-3 A	190	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_190_2951-2968m.jpg	102	9999-12-31	5094
30/9-3 A	191	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_191_2951-2968m.jpg	102	9999-12-31	5095
30/9-3 A	192	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_192_2951-2968m.jpg	102	9999-12-31	5096
30/9-3 A	193	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_193_2951-2968m.jpg	102	9999-12-31	5097
30/9-3 A	194	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_194_2951-2968m.jpg	102	9999-12-31	5098
30/9-3 A	195	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_195_2951-2968m.jpg	102	9999-12-31	5099
30/9-3 A	196	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_196_2951-2968m.jpg	102	9999-12-31	5100
30/9-3 A	197	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_197_2951-2968m.jpg	102	9999-12-31	5101
30/9-3 A	198	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_198_2951-2968m.jpg	102	9999-12-31	5102
30/9-3 A	199	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_199_2951-2968m.jpg	102	9999-12-31	5103
30/9-3 A	200	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_200_2951-2968m.jpg	102	9999-12-31	5104
30/9-3 A	201	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_201_2951-2968m.jpg	102	9999-12-31	5105
30/9-3 A	202	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_202_2951-2968m.jpg	102	9999-12-31	5106
30/9-3 A	203	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_203_2951-2968m.jpg	102	9999-12-31	5107
30/9-3 A	204	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_204_2951-2968m.jpg	102	9999-12-31	5108
30/9-3 A	205	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_205_2951-2968m.jpg	102	9999-12-31	5109
30/9-3 A	206	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_206_2951-2968m.jpg	102	9999-12-31	5110
30/9-3 A	207	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_207_2951-2968m.jpg	102	9999-12-31	5111
30/9-3 A	208	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_208_2951-2968m.jpg	102	9999-12-31	5112
30/9-3 A	209	2951-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_209_2951-2968m.jpg	102	9999-12-31	5113
30/9-3 A	210	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_210_2968-2980m.jpg	102	9999-12-31	5114
30/9-3 A	211	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_211_2968-2980m.jpg	102	9999-12-31	5115
30/9-3 A	212	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_212_2968-2980m.jpg	102	9999-12-31	5116
30/9-3 A	213	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_213_2968-2980m.jpg	102	9999-12-31	5117
30/9-3 A	214	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_214_2968-2980m.jpg	102	9999-12-31	5118
30/9-3 A	215	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_215_2968-2980m.jpg	102	9999-12-31	5119
30/9-3 A	216	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_216_2968-2980m.jpg	102	9999-12-31	5120
30/9-3 A	217	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_217_2968-2980m.jpg	102	9999-12-31	5121
30/9-3 A	218	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_218_2968-2980m.jpg	102	9999-12-31	5122
30/9-3 A	219	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_219_2968-2980m.jpg	102	9999-12-31	5123
30/9-3 A	220	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_220_2968-2980m.jpg	102	9999-12-31	5124
30/9-3 A	221	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_221_2968-2980m.jpg	102	9999-12-31	5125
30/9-3 A	222	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_222_2968-2980m.jpg	102	9999-12-31	5126
30/9-3 A	223	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_223_2968-2980m.jpg	102	9999-12-31	5127
30/9-3 A	224	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_224_2968-2980m.jpg	102	9999-12-31	5128
30/9-3 A	225	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_225_2968-2980m.jpg	102	9999-12-31	5129
30/9-3 A	226	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_226_2968-2980m.jpg	102	9999-12-31	5130
30/9-3 A	227	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_227_2968-2980m.jpg	102	9999-12-31	5131
30/9-3 A	228	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_228_2968-2980m.jpg	102	9999-12-31	5132
30/9-3 A	229	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_229_2968-2980m.jpg	102	9999-12-31	5133
30/9-3 A	230	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_230_2968-2980m.jpg	102	9999-12-31	5134
30/9-3 A	231	2968-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_231_2968-2980m.jpg	102	9999-12-31	5135
30/9-3 A	232	2981-2982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_232_2981-2982m.jpg	102	9999-12-31	5136
30/9-3 A	233	2981-2982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_233_2981-2982m.jpg	102	9999-12-31	5137
30/9-3 A	234	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_234_2982-3003m.jpg	102	9999-12-31	5138
30/9-3 A	235	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_235_2982-3003m.jpg	102	9999-12-31	5139
30/9-3 A	236	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_236_2982-3003m.jpg	102	9999-12-31	5140
30/9-3 A	237	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_237_2982-3003m.jpg	102	9999-12-31	5141
30/9-3 A	238	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_238_2982-3003m.jpg	102	9999-12-31	5142
30/9-3 A	239	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_239_2982-3003m.jpg	102	9999-12-31	5143
30/9-3 A	240	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_240_2982-3003m.jpg	102	9999-12-31	5144
30/9-3 A	241	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_241_2982-3003m.jpg	102	9999-12-31	5145
30/9-3 A	242	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_242_2982-3003m.jpg	102	9999-12-31	5146
30/9-3 A	243	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_243_2982-3003m.jpg	102	9999-12-31	5147
30/9-3 A	244	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_244_2982-3003m.jpg	102	9999-12-31	5148
30/9-3 A	245	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_245_2982-3003m.jpg	102	9999-12-31	5149
30/9-3 A	246	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_246_2982-3003m.jpg	102	9999-12-31	5150
30/9-3 A	247	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_247_2982-3003m.jpg	102	9999-12-31	5151
30/9-3 A	248	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_248_2982-3003m.jpg	102	9999-12-31	5152
30/9-3 A	249	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_249_2982-3003m.jpg	102	9999-12-31	5153
30/9-3 A	250	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_250_2982-3003m.jpg	102	9999-12-31	5154
30/9-3 A	251	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_251_2982-3003m.jpg	102	9999-12-31	5155
30/9-3 A	252	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_252_2982-3003m.jpg	102	9999-12-31	5156
30/9-3 A	253	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_253_2982-3003m.jpg	102	9999-12-31	5157
30/9-3 A	254	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_254_2982-3003m.jpg	102	9999-12-31	5158
30/9-3 A	255	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_255_2982-3003m.jpg	102	9999-12-31	5159
30/9-3 A	256	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_256_2982-3003m.jpg	102	9999-12-31	5160
30/9-3 A	257	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_257_2982-3003m.jpg	102	9999-12-31	5161
30/9-3 A	258	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_258_2982-3003m.jpg	102	9999-12-31	5162
30/9-3 A	259	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_259_2982-3003m.jpg	102	9999-12-31	5163
30/9-3 A	260	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_260_2982-3003m.jpg	102	9999-12-31	5164
30/9-3 A	261	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_261_2982-3003m.jpg	102	9999-12-31	5165
30/9-3 A	262	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_262_2982-3003m.jpg	102	9999-12-31	5166
30/9-3 A	263	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_263_2982-3003m.jpg	102	9999-12-31	5167
30/9-3 A	264	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_264_2982-3003m.jpg	102	9999-12-31	5168
30/9-3 A	265	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_265_2982-3003m.jpg	102	9999-12-31	5169
30/9-3 A	266	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_266_2982-3003m.jpg	102	9999-12-31	5170
30/9-3 A	267	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_267_2982-3003m.jpg	102	9999-12-31	5171
30/9-3 A	268	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_268_2982-3003m.jpg	102	9999-12-31	5172
30/9-3 A	269	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_269_2982-3003m.jpg	102	9999-12-31	5173
30/9-3 A	270	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_270_2982-3003m.jpg	102	9999-12-31	5174
30/9-3 A	271	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_271_2982-3003m.jpg	102	9999-12-31	5175
30/9-3 A	272	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_272_2982-3003m.jpg	102	9999-12-31	5176
30/9-3 A	273	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_273_2982-3003m.jpg	102	9999-12-31	5177
30/9-3 A	274	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_274_2982-3003m.jpg	102	9999-12-31	5178
30/9-3 A	275	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_275_2982-3003m.jpg	102	9999-12-31	5179
30/9-3 A	276	2982-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_276_2982-3003m.jpg	102	9999-12-31	5180
30/9-3 A	277	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_277_3007-3018m.jpg	102	9999-12-31	5181
30/9-3 A	278	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_278_3007-3018m.jpg	102	9999-12-31	5182
30/9-3 A	279	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_279_3007-3018m.jpg	102	9999-12-31	5183
30/9-3 A	280	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_280_3007-3018m.jpg	102	9999-12-31	5184
30/9-3 A	281	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_281_3007-3018m.jpg	102	9999-12-31	5185
30/9-3 A	282	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_282_3007-3018m.jpg	102	9999-12-31	5186
30/9-3 A	283	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_283_3007-3018m.jpg	102	9999-12-31	5187
30/9-3 A	284	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_284_3007-3018m.jpg	102	9999-12-31	5188
30/9-3 A	285	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_285_3007-3018m.jpg	102	9999-12-31	5189
30/9-3 A	286	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_286_3007-3018m.jpg	102	9999-12-31	5190
30/9-3 A	287	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_287_3007-3018m.jpg	102	9999-12-31	5191
30/9-3 A	288	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_288_3007-3018m.jpg	102	9999-12-31	5192
30/9-3 A	289	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_289_3007-3018m.jpg	102	9999-12-31	5193
30/9-3 A	290	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_290_3007-3018m.jpg	102	9999-12-31	5194
30/9-3 A	291	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_291_3007-3018m.jpg	102	9999-12-31	5195
30/9-3 A	292	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_292_3007-3018m.jpg	102	9999-12-31	5196
30/9-3 A	293	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_293_3007-3018m.jpg	102	9999-12-31	5197
30/9-3 A	294	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_294_3007-3018m.jpg	102	9999-12-31	5198
30/9-3 A	295	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_295_3007-3018m.jpg	102	9999-12-31	5199
30/9-3 A	296	3018-3036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_296_3018-3036m.jpg	102	9999-12-31	5200
30/9-3 A	297	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_297_3007-3018m.jpg	102	9999-12-31	5201
30/9-3 A	298	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_298_3007-3018m.jpg	102	9999-12-31	5202
30/9-3 A	299	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_299_3007-3018m.jpg	102	9999-12-31	5203
30/9-3 A	300	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_300_3007-3018m.jpg	102	9999-12-31	5204
30/9-3 A	301	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_301_3007-3018m.jpg	102	9999-12-31	5205
30/9-3 A	302	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_302_3007-3018m.jpg	102	9999-12-31	5206
30/9-3 A	303	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_303_3007-3018m.jpg	102	9999-12-31	5207
30/9-3 A	304	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_304_3007-3018m.jpg	102	9999-12-31	5208
30/9-3 A	305	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_305_3007-3018m.jpg	102	9999-12-31	5209
30/9-3 A	306	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_306_3007-3018m.jpg	102	9999-12-31	5210
30/9-3 A	307	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_307_3007-3018m.jpg	102	9999-12-31	5211
30/9-3 A	308	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_308_3007-3018m.jpg	102	9999-12-31	5212
30/9-3 A	309	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_309_3007-3018m.jpg	102	9999-12-31	5213
30/9-3 A	310	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_310_3007-3018m.jpg	102	9999-12-31	5214
30/9-3 A	311	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_311_3007-3018m.jpg	102	9999-12-31	5215
30/9-3 A	312	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_312_3007-3018m.jpg	102	9999-12-31	5216
30/9-3 A	313	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_313_3007-3018m.jpg	102	9999-12-31	5217
30/9-3 A	314	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_314_3007-3018m.jpg	102	9999-12-31	5218
30/9-3 A	315	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_315_3007-3018m.jpg	102	9999-12-31	5219
30/9-3 A	316	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_316_3007-3018m.jpg	102	9999-12-31	5220
30/9-3 A	317	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_317_3007-3018m.jpg	102	9999-12-31	5221
30/9-3 A	318	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_318_3007-3018m.jpg	102	9999-12-31	5222
30/9-3 A	319	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_319_3007-3018m.jpg	102	9999-12-31	5223
30/9-3 A	320	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_320_3007-3018m.jpg	102	9999-12-31	5224
30/9-3 A	321	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_321_3007-3018m.jpg	102	9999-12-31	5225
30/9-3 A	322	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_322_3007-3018m.jpg	102	9999-12-31	5226
30/9-3 A	323	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_323_3007-3018m.jpg	102	9999-12-31	5227
30/9-3 A	324	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_324_3007-3018m.jpg	102	9999-12-31	5228
30/9-3 A	325	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_325_3007-3018m.jpg	102	9999-12-31	5229
30/9-3 A	326	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_326_3007-3018m.jpg	102	9999-12-31	5230
30/9-3 A	327	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_327_3007-3018m.jpg	102	9999-12-31	5231
30/9-3 A	328	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_328_3007-3018m.jpg	102	9999-12-31	5232
30/9-3 A	329	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_329_3007-3018m.jpg	102	9999-12-31	5233
30/9-3 A	330	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_330_3007-3018m.jpg	102	9999-12-31	5234
30/9-3 A	331	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_331_3007-3018m.jpg	102	9999-12-31	5235
30/9-3 A	332	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_332_3007-3018m.jpg	102	9999-12-31	5236
30/9-3 A	333	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_333_3007-3018m.jpg	102	9999-12-31	5237
30/9-3 A	334	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_334_3007-3018m.jpg	102	9999-12-31	5238
30/9-3 A	335	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_335_3007-3018m.jpg	102	9999-12-31	5239
30/9-3 A	336	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_336_3007-3018m.jpg	102	9999-12-31	5240
30/9-3 A	337	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_337_3007-3018m.jpg	102	9999-12-31	5241
30/9-3 A	338	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_338_3007-3018m.jpg	102	9999-12-31	5242
30/9-3 A	339	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_339_3007-3018m.jpg	102	9999-12-31	5243
30/9-3 A	340	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_340_3007-3018m.jpg	102	9999-12-31	5244
30/9-3 A	341	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_341_3007-3018m.jpg	102	9999-12-31	5245
30/9-3 A	342	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_342_3007-3018m.jpg	102	9999-12-31	5246
30/9-3 A	343	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_343_3007-3018m.jpg	102	9999-12-31	5247
30/9-3 A	344	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_344_3007-3018m.jpg	102	9999-12-31	5248
30/9-3 A	345	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_345_3007-3018m.jpg	102	9999-12-31	5249
30/9-3 A	346	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_346_3007-3018m.jpg	102	9999-12-31	5250
30/9-3 A	347	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_347_3007-3018m.jpg	102	9999-12-31	5251
30/9-3 A	348	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_348_3007-3018m.jpg	102	9999-12-31	5252
30/9-3 A	349	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_349_3007-3018m.jpg	102	9999-12-31	5253
30/9-3 A	350	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_350_3007-3018m.jpg	102	9999-12-31	5254
30/9-3 A	351	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_351_3007-3018m.jpg	102	9999-12-31	5255
30/9-3 A	352	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_352_3007-3018m.jpg	102	9999-12-31	5256
30/9-3 A	353	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_353_3007-3018m.jpg	102	9999-12-31	5257
30/9-3 A	354	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_354_3007-3018m.jpg	102	9999-12-31	5258
30/9-3 A	355	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_355_3007-3018m.jpg	102	9999-12-31	5259
30/9-3 A	356	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_356_3007-3018m.jpg	102	9999-12-31	5260
30/9-3 A	357	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_357_3007-3018m.jpg	102	9999-12-31	5261
30/9-3 A	358	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_358_3007-3018m.jpg	102	9999-12-31	5262
30/9-3 A	359	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_359_3007-3018m.jpg	102	9999-12-31	5263
30/9-3 A	360	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_360_3007-3018m.jpg	102	9999-12-31	5264
30/9-3 A	361	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_361_3007-3018m.jpg	102	9999-12-31	5265
30/9-3 A	362	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_362_3007-3018m.jpg	102	9999-12-31	5266
30/9-3 A	363	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_363_3007-3018m.jpg	102	9999-12-31	5267
30/9-3 A	364	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_364_3007-3018m.jpg	102	9999-12-31	5268
30/9-3 A	365	3007-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/102_365_3007-3018m.jpg	102	9999-12-31	5269
30/9-8 R	1	2800-2805m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_01_2800-2805m.jpg	1461	9999-12-31	5270
30/9-8 R	2	2805-2810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_02_2805-2810m.jpg	1461	9999-12-31	5271
30/9-8 R	3	2810-2815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_03_2810-2815m.jpg	1461	9999-12-31	5272
30/9-8 R	4	2815-2810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_04_2815-2810m.jpg	1461	9999-12-31	5273
30/9-8 R	5	2820-2825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_05_2820-2825m.jpg	1461	9999-12-31	5274
30/9-8 R	6	2825-2830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_06_2825-2830m.jpg	1461	9999-12-31	5275
30/9-8 R	7	2830-2835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_07_2830-2835m.jpg	1461	9999-12-31	5276
30/9-8 R	8	2835-2839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_08_2835-2839m.jpg	1461	9999-12-31	5277
30/9-8 R	9	2839-2844m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_09_2839-2844m.jpg	1461	9999-12-31	5278
30/9-8 R	10	2844-2849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_10_2844-2849m.jpg	1461	9999-12-31	5279
30/9-8 R	11	2849-2854m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_11_2849-2854m.jpg	1461	9999-12-31	5280
30/9-8 R	12	2854-2859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_12_2854-2859m.jpg	1461	9999-12-31	5281
30/9-8 R	13	2859-2864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_13_2859-2864m.jpg	1461	9999-12-31	5282
30/9-8 R	14	2864-2869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_14_2864-2869m.jpg	1461	9999-12-31	5283
30/9-8 R	15	2869-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_15_2869-2874m.jpg	1461	9999-12-31	5284
30/9-8 R	16	2874-2879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_16_2874-2879m.jpg	1461	9999-12-31	5285
30/9-8 R	17	2979-2884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_17_2979-2884m.jpg	1461	9999-12-31	5286
30/9-8 R	18	2884-2889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_18_2884-2889m.jpg	1461	9999-12-31	5287
30/9-8 R	19	2889-2893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_19_2889-2893m.jpg	1461	9999-12-31	5288
30/9-8 R	20	2893-2898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_20_2893-2898m.jpg	1461	9999-12-31	5289
30/9-8 R	21	2903-2908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_21_2903-2908m.jpg	1461	9999-12-31	5290
30/9-8 R	22	2918-2923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_22_2918-2923m.jpg	1461	9999-12-31	5291
30/9-8 R	23	2923-2928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_23_2923-2928m.jpg	1461	9999-12-31	5292
30/9-8 R	24	2928-2933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_24_2928-2933m.jpg	1461	9999-12-31	5293
30/9-8 R	25	2933-2934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_25_2933-2934m.jpg	1461	9999-12-31	5294
30/9-8 R	26	2898-2903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_26_2898-2903m.jpg	1461	9999-12-31	5295
30/9-8 R	27	2908-2913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_27_2908-2913m.jpg	1461	9999-12-31	5296
30/9-8 R	28	2913-2918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1461_28_2913-2918m.jpg	1461	9999-12-31	5297
30/9-B-16	1	2575-2576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2551_01_2575-2576m.jpg	2551	9999-12-31	5298
30/9-B-16	2	2576-2580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2551_02_2576-2580m.jpg	2551	9999-12-31	5299
30/9-B-16	3	2580-2584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2551_03_2580-2584m.jpg	2551	9999-12-31	5300
30/9-B-16	4	2584-2588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2551_04_2584-2588m.jpg	2551	9999-12-31	5301
30/9-B-16	5	2588-2592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2551_05_2588-2592m.jpg	2551	9999-12-31	5302
30/9-B-16	6	2592-2595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2551_06_2592-2595m.jpg	2551	9999-12-31	5303
30/9-B-16	7	2595-2599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2551_07_2595-2599m.jpg	2551	9999-12-31	5304
30/9-B-16	8	2599-2603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2551_08_2599-2603m.jpg	2551	9999-12-31	5305
30/9-B-16	9	2603-2607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2551_09_2603-2607m.jpg	2551	9999-12-31	5306
30/9-B-16	10	2607-2611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2551_10_2607-2611m.jpg	2551	9999-12-31	5307
30/9-B-16	11	2611-2613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2551_11_2611-2613m.jpg	2551	9999-12-31	5308
30/9-B-4	1	2844-2849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1296_01_2844-2849m.jpg	1296	9999-12-31	5309
30/9-B-4	2	2849-2854m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1296_02_2849-2854m.jpg	1296	9999-12-31	5310
30/9-B-4	3	2854-2859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1296_03_2854-2859m.jpg	1296	9999-12-31	5311
30/9-B-4	4	2859-2864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1296_04_2859-2864m.jpg	1296	9999-12-31	5312
30/9-B-4	5	2864-2869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1296_05_2864-2869m.jpg	1296	9999-12-31	5313
30/9-B-4	6	2869-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1296_06_2869-2874m.jpg	1296	9999-12-31	5314
30/9-B-4	7	2874-2879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1296_07_2874-2879m.jpg	1296	9999-12-31	5315
30/9-B-4	8	2079-2884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1296_08_2079-2884m.jpg	1296	9999-12-31	5316
30/9-B-4	9	2884-2885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1296_09_2884-2885m.jpg	1296	9999-12-31	5317
30/9-B-5 A	1	2940-2945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_01_2940-2945m.jpg	2103	9999-12-31	5318
30/9-B-5 A	2	2945-2950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_02_2945-2950m.jpg	2103	9999-12-31	5319
30/9-B-5 A	3	2950-2954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_03_2950-2954m.jpg	2103	9999-12-31	5320
30/9-B-5 A	4	2954-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_04_2954-2959m.jpg	2103	9999-12-31	5321
30/9-B-5 A	5	2959-2964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_05_2959-2964m.jpg	2103	9999-12-31	5322
30/9-B-5 A	6	2964-2969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_06_2964-2969m.jpg	2103	9999-12-31	5323
30/9-B-5 A	7	2969-2974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_07_2969-2974m.jpg	2103	9999-12-31	5324
30/9-B-5 A	8	2974-2977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_08_2974-2977m.jpg	2103	9999-12-31	5325
30/9-B-5 A	9	2977-2982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_09_2977-2982m.jpg	2103	9999-12-31	5326
30/9-B-5 A	10	2982-2987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_10_2982-2987m.jpg	2103	9999-12-31	5327
30/9-B-5 A	11	2987-2992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_11_2987-2992m.jpg	2103	9999-12-31	5328
30/9-B-5 A	12	2992-2997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_12_2992-2997m.jpg	2103	9999-12-31	5329
30/9-B-5 A	13	2997-3002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_13_2997-3002m.jpg	2103	9999-12-31	5330
30/9-B-5 A	14	3002-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_14_3002-3006m.jpg	2103	9999-12-31	5331
30/9-B-5 A	15	3006-3010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_15_3006-3010m.jpg	2103	9999-12-31	5332
30/9-B-5 A	16	3010-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_16_3010-3015m.jpg	2103	9999-12-31	5333
30/9-B-5 A	17	3015-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_17_3015-3015m.jpg	2103	9999-12-31	5334
30/9-B-5 A	18	3015-3020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_18_3015-3020m.jpg	2103	9999-12-31	5335
30/9-B-5 A	19	3020-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_19_3020-3025m.jpg	2103	9999-12-31	5336
30/9-B-5 A	20	3025-3030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_20_3025-3030m.jpg	2103	9999-12-31	5337
30/9-B-5 A	21	3030-3035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_21_3030-3035m.jpg	2103	9999-12-31	5338
30/9-B-5 A	22	3035-3040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_22_3035-3040m.jpg	2103	9999-12-31	5339
30/9-B-5 A	23	3040-3045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_23_3040-3045m.jpg	2103	9999-12-31	5340
30/9-B-5 A	24	3216-3221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_24_3216-3221m.jpg	2103	9999-12-31	5341
30/9-B-5 A	25	3221-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_25_3221-3226m.jpg	2103	9999-12-31	5342
30/9-B-5 A	26	3226-3231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_26_3226-3231m.jpg	2103	9999-12-31	5343
30/9-B-5 A	27	3231-3236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_27_3231-3236m.jpg	2103	9999-12-31	5344
30/9-B-5 A	28	3236-3241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_28_3236-3241m.jpg	2103	9999-12-31	5345
30/9-B-5 A	29	3241-3244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2103_29_3241-3244m.jpg	2103	9999-12-31	5346
30/9-F-18	1	3944-3949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3762_01_3944-3949m.jpg	3762	9999-12-31	5347
30/9-F-18	2	3949-3954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3762_02_3949-3954m.jpg	3762	9999-12-31	5348
30/9-F-18	3	3954-3959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3762_03_3954-3959m.jpg	3762	9999-12-31	5349
30/9-F-18	4	3959-3962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3762_04_3959-3962m.jpg	3762	9999-12-31	5350
31/2-1	1	1450-1452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_01_1450-1452m.jpg	398	9999-12-31	5351
31/2-1	2	1452-1453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_02_1452-1453m.jpg	398	9999-12-31	5352
31/2-1	3	1454-1455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_03_1454-1455m.jpg	398	9999-12-31	5353
31/2-1	4	1456-1459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_04_1456-1459m.jpg	398	9999-12-31	5354
31/2-1	5	1459-1462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_05_1459-1462m.jpg	398	9999-12-31	5355
31/2-1	6	1462-1464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_06_1462-1464m.jpg	398	9999-12-31	5356
31/2-1	7	1464-1465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_07_1464-1465m.jpg	398	9999-12-31	5357
31/2-1	8	1465-1468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_08_1465-1468m.jpg	398	9999-12-31	5358
31/2-1	9	1468-1471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_09_1468-1471m.jpg	398	9999-12-31	5359
31/2-1	10	1471-1473m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_10_1471-1473m.jpg	398	9999-12-31	5360
31/2-1	11	1373-1474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_11_1373-1474m.jpg	398	9999-12-31	5361
31/2-1	12	1474-1477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_12_1474-1477m.jpg	398	9999-12-31	5362
31/2-1	13	1477-1480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_13_1477-1480m.jpg	398	9999-12-31	5363
31/2-1	14	1480-1482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_14_1480-1482m.jpg	398	9999-12-31	5364
31/2-1	15	1482-1485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_15_1482-1485m.jpg	398	9999-12-31	5365
31/2-1	16	1485-1486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_16_1485-1486m.jpg	398	9999-12-31	5366
31/2-1	17	1488-1490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_17_1488-1490m.jpg	398	9999-12-31	5367
31/2-1	18	1490-1493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_18_1490-1493m.jpg	398	9999-12-31	5368
31/2-1	19	1514-1516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_19_1514-1516m.jpg	398	9999-12-31	5369
31/2-1	20	1516-1519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_20_1516-1519m.jpg	398	9999-12-31	5370
31/2-1	21	1519-1521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_21_1519-1521m.jpg	398	9999-12-31	5371
31/2-1	22	1523-1526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_22_1523-1526m.jpg	398	9999-12-31	5372
31/2-1	23	1526-1529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_23_1526-1529m.jpg	398	9999-12-31	5373
31/2-1	24	1529-1531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_24_1529-1531m.jpg	398	9999-12-31	5374
31/2-1	25	1531-1531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_25_1531-1531m.jpg	398	9999-12-31	5375
31/2-1	26	1533-1535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_26_1533-1535m.jpg	398	9999-12-31	5376
31/2-1	27	1535-1538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_27_1535-1538m.jpg	398	9999-12-31	5377
31/2-1	28	1538-1541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_28_1538-1541m.jpg	398	9999-12-31	5378
31/2-1	29	1541-1542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_29_1541-1542m.jpg	398	9999-12-31	5379
31/2-1	30	1542-1544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_30_1542-1544m.jpg	398	9999-12-31	5380
31/2-1	31	1544-1547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_31_1544-1547m.jpg	398	9999-12-31	5381
31/2-1	32	1547-1550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_32_1547-1550m.jpg	398	9999-12-31	5382
31/2-1	33	1550-1552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_33_1550-1552m.jpg	398	9999-12-31	5383
31/2-1	34	1552-1555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_34_1552-1555m.jpg	398	9999-12-31	5384
31/2-1	35	1555-1558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_35_1555-1558m.jpg	398	9999-12-31	5385
31/2-1	36	1558-1559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_36_1558-1559m.jpg	398	9999-12-31	5386
31/2-1	37	1560-1562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_37_1560-1562m.jpg	398	9999-12-31	5387
31/2-1	38	1562-1565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_38_1562-1565m.jpg	398	9999-12-31	5388
31/2-1	39	1565-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_39_1565-1568m.jpg	398	9999-12-31	5389
31/2-1	40	1568-1570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_40_1568-1570m.jpg	398	9999-12-31	5390
31/2-1	41	1570-1573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_41_1570-1573m.jpg	398	9999-12-31	5391
31/2-1	42	1573-1576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_42_1573-1576m.jpg	398	9999-12-31	5392
31/2-1	43	1576-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_43_1576-1577m.jpg	398	9999-12-31	5393
31/2-1	44	1577-1580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_44_1577-1580m.jpg	398	9999-12-31	5394
31/2-1	45	1580-1582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_45_1580-1582m.jpg	398	9999-12-31	5395
31/2-1	46	1582-1585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_46_1582-1585m.jpg	398	9999-12-31	5396
31/2-1	47	1585-1588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_47_1585-1588m.jpg	398	9999-12-31	5397
31/2-1	48	1588-1590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_48_1588-1590m.jpg	398	9999-12-31	5398
31/2-1	49	1590-1593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_49_1590-1593m.jpg	398	9999-12-31	5399
31/2-1	50	1593-1595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_50_1593-1595m.jpg	398	9999-12-31	5400
31/2-1	51	1595-1598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_51_1595-1598m.jpg	398	9999-12-31	5401
31/2-1	52	1598-1600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_52_1598-1600m.jpg	398	9999-12-31	5402
31/2-1	53	1600-1603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_53_1600-1603m.jpg	398	9999-12-31	5403
31/2-1	55	1603-1606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_55_1603-1606m.jpg	398	9999-12-31	5404
31/2-1	56	1606-1609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_56_1606-1609m.jpg	398	9999-12-31	5405
31/2-1	57	1609-1611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_57_1609-1611m.jpg	398	9999-12-31	5406
31/2-1	58	1611-1613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_58_1611-1613m.jpg	398	9999-12-31	5407
31/2-1	59	1613-1616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_59_1613-1616m.jpg	398	9999-12-31	5408
31/2-1	60	1616-1617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_60_1616-1617m.jpg	398	9999-12-31	5409
31/2-1	61	1620-1622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_61_1620-1622m.jpg	398	9999-12-31	5410
31/2-1	62	1622-1625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_62_1622-1625m.jpg	398	9999-12-31	5411
31/2-1	63	1625-1628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_63_1625-1628m.jpg	398	9999-12-31	5412
31/2-1	64	1628-1631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_64_1628-1631m.jpg	398	9999-12-31	5413
31/2-1	65	1631-1633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_65_1631-1633m.jpg	398	9999-12-31	5414
31/2-1	66	1633-1634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_66_1633-1634m.jpg	398	9999-12-31	5415
31/2-1	67	1634-1636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_67_1634-1636m.jpg	398	9999-12-31	5416
31/2-1	68	1636-1638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_68_1636-1638m.jpg	398	9999-12-31	5417
31/2-1	69	1638-1641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_69_1638-1641m.jpg	398	9999-12-31	5418
31/2-1	70	1641-1643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_70_1641-1643m.jpg	398	9999-12-31	5419
31/2-1	71	1643-1646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_71_1643-1646m.jpg	398	9999-12-31	5420
31/2-1	72	1646-1649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_72_1646-1649m.jpg	398	9999-12-31	5421
31/2-1	73	1649-1651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_73_1649-1651m.jpg	398	9999-12-31	5422
31/2-1	74	1651-1652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_74_1651-1652m.jpg	398	9999-12-31	5423
31/2-1	75	1652-1655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_75_1652-1655m.jpg	398	9999-12-31	5424
31/2-1	76	1655-1657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_76_1655-1657m.jpg	398	9999-12-31	5425
31/2-1	77	1657-1660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_77_1657-1660m.jpg	398	9999-12-31	5426
31/2-1	78	1660-1663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/398_78_1660-1663m.jpg	398	9999-12-31	5427
31/2-10	1	1575-1580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_01_1575-1580m.jpg	90	9999-12-31	5428
31/2-10	2	1580-1581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_02_1580-1581m.jpg	90	9999-12-31	5429
31/2-10	3	1585-1590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_03_1585-1590m.jpg	90	9999-12-31	5430
31/2-10	4	1590-1592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_04_1590-1592m.jpg	90	9999-12-31	5431
31/2-10	5	1599-1604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_05_1599-1604m.jpg	90	9999-12-31	5432
31/2-10	6	1604-1609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_06_1604-1609m.jpg	90	9999-12-31	5433
31/2-10	7	1609-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_07_1609-1615m.jpg	90	9999-12-31	5434
31/2-10	8	1615-1617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_08_1615-1617m.jpg	90	9999-12-31	5435
31/2-10	9	1617-1622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_09_1617-1622m.jpg	90	9999-12-31	5436
31/2-10	10	1622-1628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_10_1622-1628m.jpg	90	9999-12-31	5437
31/2-10	11	1628-1633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_11_1628-1633m.jpg	90	9999-12-31	5438
31/2-10	12	1633-1634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_12_1633-1634m.jpg	90	9999-12-31	5439
31/2-10	13	1637-1642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_13_1637-1642m.jpg	90	9999-12-31	5440
31/2-10	14	1642-1647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_14_1642-1647m.jpg	90	9999-12-31	5441
31/2-10	15	1647-1653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_15_1647-1653m.jpg	90	9999-12-31	5442
31/2-10	16	1653-1655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_16_1653-1655m.jpg	90	9999-12-31	5443
31/2-10	17	1655-1660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_17_1655-1660m.jpg	90	9999-12-31	5444
31/2-10	18	1660-1666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_18_1660-1666m.jpg	90	9999-12-31	5445
31/2-10	19	1666-1671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_19_1666-1671m.jpg	90	9999-12-31	5446
31/2-10	20	1671-1674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_20_1671-1674m.jpg	90	9999-12-31	5447
31/2-10	21	1674-1679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_21_1674-1679m.jpg	90	9999-12-31	5448
31/2-10	22	1679-1684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_22_1679-1684m.jpg	90	9999-12-31	5449
31/2-10	23	1684-1687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_23_1684-1687m.jpg	90	9999-12-31	5450
31/2-10	24	1692-1697m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_24_1692-1697m.jpg	90	9999-12-31	5451
31/2-10	25	1697-1703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_25_1697-1703m.jpg	90	9999-12-31	5452
31/2-10	26	1703-1704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_26_1703-1704m.jpg	90	9999-12-31	5453
31/2-10	27	1704-1709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_27_1704-1709m.jpg	90	9999-12-31	5454
31/2-10	28	1709-1715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_28_1709-1715m.jpg	90	9999-12-31	5455
31/2-10	29	1715-1720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_29_1715-1720m.jpg	90	9999-12-31	5456
31/2-10	30	1720-1722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_30_1720-1722m.jpg	90	9999-12-31	5457
31/2-10	31	1723-1728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_31_1723-1728m.jpg	90	9999-12-31	5458
31/2-10	32	1728-1733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_32_1728-1733m.jpg	90	9999-12-31	5459
31/2-10	33	1733-1739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_33_1733-1739m.jpg	90	9999-12-31	5460
31/2-10	34	1739-1741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/90_34_1739-1741m.jpg	90	9999-12-31	5461
31/2-11	1	1555-1561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_01_1555-1561m.jpg	6	9999-12-31	5462
31/2-11	2	1561-1562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_02_1561-1562m.jpg	6	9999-12-31	5463
31/2-11	3	1564-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_03_1564-1568m.jpg	6	9999-12-31	5464
31/2-11	4	1578-1584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_04_1578-1584m.jpg	6	9999-12-31	5465
31/2-11	5	1584-1587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_05_1584-1587m.jpg	6	9999-12-31	5466
31/2-11	6	1592-1598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_06_1592-1598m.jpg	6	9999-12-31	5467
31/2-11	7	1598-1604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_07_1598-1604m.jpg	6	9999-12-31	5468
31/2-11	8	1604-1610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_08_1604-1610m.jpg	6	9999-12-31	5469
31/2-11	9	1610-1611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_09_1610-1611m.jpg	6	9999-12-31	5470
31/2-11	10	1610-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_10_1610-1615m.jpg	6	9999-12-31	5471
31/2-11	11	1616-1622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_11_1616-1622m.jpg	6	9999-12-31	5472
31/2-11	12	1622-1627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_12_1622-1627m.jpg	6	9999-12-31	5473
31/2-11	13	1628-1629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/6_13_1628-1629m.jpg	6	9999-12-31	5474
31/2-12	1	1366-1372m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_01_1366-1372m.jpg	14	9999-12-31	5475
31/2-12	2	1372-1375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_02_1372-1375m.jpg	14	9999-12-31	5476
31/2-12	3	1375-1378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_03_1375-1378m.jpg	14	9999-12-31	5477
31/2-12	4	1380-1386m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_04_1380-1386m.jpg	14	9999-12-31	5478
31/2-12	5	1386-1387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_05_1386-1387m.jpg	14	9999-12-31	5479
31/2-12	6	1389-1395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_06_1389-1395m.jpg	14	9999-12-31	5480
31/2-12	7	1395-1397m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_07_1395-1397m.jpg	14	9999-12-31	5481
31/2-12	8	1398-1403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_08_1398-1403m.jpg	14	9999-12-31	5482
31/2-12	9	1404-1407m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_09_1404-1407m.jpg	14	9999-12-31	5483
31/2-12	10	1407-1413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_10_1407-1413m.jpg	14	9999-12-31	5484
31/2-12	11	1413-1416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_11_1413-1416m.jpg	14	9999-12-31	5485
31/2-12	12	1416-1422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_12_1416-1422m.jpg	14	9999-12-31	5486
31/2-12	13	1422-1424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_13_1422-1424m.jpg	14	9999-12-31	5487
31/2-12	14	1427-1433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_14_1427-1433m.jpg	14	9999-12-31	5488
31/2-12	15	1433-1436m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_15_1433-1436m.jpg	14	9999-12-31	5489
31/2-12	16	1436-1442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_16_1436-1442m.jpg	14	9999-12-31	5490
31/2-12	17	1442-1447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_17_1442-1447m.jpg	14	9999-12-31	5491
31/2-12	18	1448-1449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_18_1448-1449m.jpg	14	9999-12-31	5492
31/2-12	19	1449-1455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_19_1449-1455m.jpg	14	9999-12-31	5493
31/2-12	20	1455-1458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/14_20_1455-1458m.jpg	14	9999-12-31	5494
31/2-13 S	1	1744-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_01_1744-1756m.jpg	93	9999-12-31	5495
31/2-13 S	2	1756-1774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_02_1756-1774m.jpg	93	9999-12-31	5496
31/2-13 S	3	1774-1778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_03_1774-1778m.jpg	93	9999-12-31	5497
31/2-13 S	4	1778-1781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_04_1778-1781m.jpg	93	9999-12-31	5498
31/2-13 S	5	1781-1786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_05_1781-1786m.jpg	93	9999-12-31	5499
31/2-13 S	6	1786-1789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_06_1786-1789m.jpg	93	9999-12-31	5500
31/2-13 S	7	1789-1793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_07_1789-1793m.jpg	93	9999-12-31	5501
31/2-13 S	8	1793-1796m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_08_1793-1796m.jpg	93	9999-12-31	5502
31/2-13 S	9	1796-1800m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_09_1796-1800m.jpg	93	9999-12-31	5503
31/2-13 S	10	1800-1803m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_10_1800-1803m.jpg	93	9999-12-31	5504
31/2-13 S	11	1803-1807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_11_1803-1807m.jpg	93	9999-12-31	5505
31/2-13 S	12	1807-1811m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_12_1807-1811m.jpg	93	9999-12-31	5506
31/2-13 S	13	1811-1814m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_13_1811-1814m.jpg	93	9999-12-31	5507
31/2-13 S	14	1814-1817m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_14_1814-1817m.jpg	93	9999-12-31	5508
31/2-13 S	15	1818-1822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_15_1818-1822m.jpg	93	9999-12-31	5509
31/2-13 S	16	1822-1825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_16_1822-1825m.jpg	93	9999-12-31	5510
31/2-13 S	17	1826-1829m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_17_1826-1829m.jpg	93	9999-12-31	5511
31/2-13 S	18	1829-1832m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_18_1829-1832m.jpg	93	9999-12-31	5512
31/2-13 S	19	1833-1837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_19_1833-1837m.jpg	93	9999-12-31	5513
31/2-13 S	20	1837-1839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/93_20_1837-1839m.jpg	93	9999-12-31	5514
31/2-14	1	1535-1541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_01_1535-1541m.jpg	106	9999-12-31	5515
31/2-14	2	1541-1542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_02_1541-1542m.jpg	106	9999-12-31	5516
31/2-14	3	1544-1550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_03_1544-1550m.jpg	106	9999-12-31	5517
31/2-14	4	1550-1553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_04_1550-1553m.jpg	106	9999-12-31	5518
31/2-14	5	1560-1562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_05_1560-1562m.jpg	106	9999-12-31	5519
31/2-14	6	1564-1570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_06_1564-1570m.jpg	106	9999-12-31	5520
31/2-14	7	1570-1570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_07_1570-1570m.jpg	106	9999-12-31	5521
31/2-14	8	1571-1576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_08_1571-1576m.jpg	106	9999-12-31	5522
31/2-14	9	1580-1586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_09_1580-1586m.jpg	106	9999-12-31	5523
31/2-14	10	1586-1586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_10_1586-1586m.jpg	106	9999-12-31	5524
31/2-14	11	1589-1595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_11_1589-1595m.jpg	106	9999-12-31	5525
31/2-14	12	1595-1598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/106_12_1595-1598m.jpg	106	9999-12-31	5526
31/2-15	1	1486-1491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_01_1486-1491m.jpg	439	9999-12-31	5527
31/2-15	2	1493-1499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_02_1493-1499m.jpg	439	9999-12-31	5528
31/2-15	3	1499-1500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_03_1499-1500m.jpg	439	9999-12-31	5529
31/2-15	4	1501-1502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_04_1501-1502m.jpg	439	9999-12-31	5530
31/2-15	5	1503-1507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_05_1503-1507m.jpg	439	9999-12-31	5531
31/2-15	6	1510-1516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_06_1510-1516m.jpg	439	9999-12-31	5532
31/2-15	7	1516-1517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_07_1516-1517m.jpg	439	9999-12-31	5533
31/2-15	8	1516-1520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_08_1516-1520m.jpg	439	9999-12-31	5534
31/2-15	9	1520-1526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_09_1520-1526m.jpg	439	9999-12-31	5535
31/2-15	10	1526-1528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_10_1526-1528m.jpg	439	9999-12-31	5536
31/2-15	11	1530-1532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_11_1530-1532m.jpg	439	9999-12-31	5537
31/2-15	12	1533-1539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_12_1533-1539m.jpg	439	9999-12-31	5538
31/2-15	13	1539-1540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_13_1539-1540m.jpg	439	9999-12-31	5539
31/2-15	14	1541-1547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_14_1541-1547m.jpg	439	9999-12-31	5540
31/2-15	15	1547-1553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_15_1547-1553m.jpg	439	9999-12-31	5541
31/2-15	16	1553-1559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_16_1553-1559m.jpg	439	9999-12-31	5542
31/2-15	17	1559-1565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_17_1559-1565m.jpg	439	9999-12-31	5543
31/2-15	18	1565-1571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_18_1565-1571m.jpg	439	9999-12-31	5544
31/2-15	19	1571-1574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_19_1571-1574m.jpg	439	9999-12-31	5545
31/2-15	20	1577-1583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_20_1577-1583m.jpg	439	9999-12-31	5546
31/2-15	21	1583-1588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/439_21_1583-1588m.jpg	439	9999-12-31	5547
31/2-17 A	1	1703-1707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_01_1703-1707m.jpg	1898	9999-12-31	5548
31/2-17 A	2	1707-1710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_02_1707-1710m.jpg	1898	9999-12-31	5549
31/2-17 A	3	1710-1714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_03_1710-1714m.jpg	1898	9999-12-31	5550
31/2-17 A	4	1714-1715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_04_1714-1715m.jpg	1898	9999-12-31	5551
31/2-17 A	5	1714-1718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_05_1714-1718m.jpg	1898	9999-12-31	5552
31/2-17 A	6	1718-1722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_06_1718-1722m.jpg	1898	9999-12-31	5553
31/2-17 A	8	1722-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_08_1722-1726m.jpg	1898	9999-12-31	5554
31/2-17 A	9	1726-1730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_09_1726-1730m.jpg	1898	9999-12-31	5555
31/2-17 A	10	1730-1734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_10_1730-1734m.jpg	1898	9999-12-31	5556
31/2-17 A	11	1734-1738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_11_1734-1738m.jpg	1898	9999-12-31	5557
31/2-17 A	12	1738-1740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_12_1738-1740m.jpg	1898	9999-12-31	5558
31/2-17 A	13	1741-1745m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_13_1741-1745m.jpg	1898	9999-12-31	5559
31/2-17 A	14	1745-1746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_14_1745-1746m.jpg	1898	9999-12-31	5560
31/2-17 A	15	1756-1760m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_15_1756-1760m.jpg	1898	9999-12-31	5561
31/2-17 A	16	1760-1764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_16_1760-1764m.jpg	1898	9999-12-31	5562
31/2-17 A	17	1764-1768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_17_1764-1768m.jpg	1898	9999-12-31	5563
31/2-17 A	18	1768-1772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_18_1768-1772m.jpg	1898	9999-12-31	5564
31/2-17 A	19	1772-1776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_19_1772-1776m.jpg	1898	9999-12-31	5565
31/2-17 A	20	1776-1780m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_20_1776-1780m.jpg	1898	9999-12-31	5566
31/2-17 A	21	1780-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1898_21_1780-1782m.jpg	1898	9999-12-31	5567
31/2-17 B	1	1833-1836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1899_01_1833-1836m.jpg	1899	9999-12-31	5568
31/2-17 S	1	1877-1882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_01_1877-1882m.jpg	1885	9999-12-31	5569
31/2-17 S	2	1882-1887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_02_1882-1887m.jpg	1885	9999-12-31	5570
31/2-17 S	3	1887-1892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_03_1887-1892m.jpg	1885	9999-12-31	5571
31/2-17 S	4	1892-1897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_04_1892-1897m.jpg	1885	9999-12-31	5572
31/2-17 S	5	1897-1902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_05_1897-1902m.jpg	1885	9999-12-31	5573
31/2-17 S	6	1902-1907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_06_1902-1907m.jpg	1885	9999-12-31	5574
31/2-17 S	7	1907-1912m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_07_1907-1912m.jpg	1885	9999-12-31	5575
31/2-17 S	8	1912-1817m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_08_1912-1817m.jpg	1885	9999-12-31	5576
31/2-17 S	9	1817-1922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_09_1817-1922m.jpg	1885	9999-12-31	5577
31/2-17 S	10	1922-1927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_10_1922-1927m.jpg	1885	9999-12-31	5578
31/2-17 S	11	1932-1937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_11_1932-1937m.jpg	1885	9999-12-31	5579
31/2-17 S	12	1937-1942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_12_1937-1942m.jpg	1885	9999-12-31	5580
31/2-17 S	13	1942-1946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_13_1942-1946m.jpg	1885	9999-12-31	5581
31/2-17 S	14	1947-1952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_14_1947-1952m.jpg	1885	9999-12-31	5582
31/2-17 S	15	1952-1957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_15_1952-1957m.jpg	1885	9999-12-31	5583
31/2-17 S	16	1957-1962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_16_1957-1962m.jpg	1885	9999-12-31	5584
31/2-17 S	17	1962-1967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_17_1962-1967m.jpg	1885	9999-12-31	5585
31/2-17 S	18	1967-1972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_18_1967-1972m.jpg	1885	9999-12-31	5586
31/2-17 S	19	1972-1977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_19_1972-1977m.jpg	1885	9999-12-31	5587
31/2-17 S	20	1977-1981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_20_1977-1981m.jpg	1885	9999-12-31	5588
31/2-17 S	21	1981-1994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_21_1981-1994m.jpg	1885	9999-12-31	5589
31/2-17 S	22	1994-1999m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_22_1994-1999m.jpg	1885	9999-12-31	5590
31/2-17 S	23	1999-2004m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_23_1999-2004m.jpg	1885	9999-12-31	5591
31/2-17 S	24	2004-2009m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_24_2004-2009m.jpg	1885	9999-12-31	5592
31/2-17 S	25	2009-2017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_25_2009-2017m.jpg	1885	9999-12-31	5593
31/2-17 S	26	2017-2022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_26_2017-2022m.jpg	1885	9999-12-31	5594
31/2-17 S	27	2022-2023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1885_27_2022-2023m.jpg	1885	9999-12-31	5595
31/2-18	1	1498-1503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_01_1498-1503m.jpg	1988	9999-12-31	5596
31/2-18	2	1503-1508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_02_1503-1508m.jpg	1988	9999-12-31	5597
31/2-18	3	1508-1513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_03_1508-1513m.jpg	1988	9999-12-31	5598
31/2-18	4	1513-1516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_04_1513-1516m.jpg	1988	9999-12-31	5599
31/2-18	5	1516-1521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_05_1516-1521m.jpg	1988	9999-12-31	5600
31/2-18	6	1521-1526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_06_1521-1526m.jpg	1988	9999-12-31	5601
31/2-18	7	1526-1531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_07_1526-1531m.jpg	1988	9999-12-31	5602
31/2-18	8	1531-1534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_08_1531-1534m.jpg	1988	9999-12-31	5603
31/2-18	9	1534-1539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_09_1534-1539m.jpg	1988	9999-12-31	5604
31/2-18	10	1539-1544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_10_1539-1544m.jpg	1988	9999-12-31	5605
31/2-18	11	1544-1549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_11_1544-1549m.jpg	1988	9999-12-31	5606
31/2-18	12	1549-1552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_12_1549-1552m.jpg	1988	9999-12-31	5607
31/2-18	13	1552-1557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_13_1552-1557m.jpg	1988	9999-12-31	5608
31/2-18	14	1557-1562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_14_1557-1562m.jpg	1988	9999-12-31	5609
31/2-18	15	1562-1567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_15_1562-1567m.jpg	1988	9999-12-31	5610
31/2-18	16	1567-1570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_16_1567-1570m.jpg	1988	9999-12-31	5611
31/2-18	17	1570-1575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_17_1570-1575m.jpg	1988	9999-12-31	5612
31/2-18	18	1575-1580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_18_1575-1580m.jpg	1988	9999-12-31	5613
31/2-18	19	1580-1585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_19_1580-1585m.jpg	1988	9999-12-31	5614
31/2-18	20	1585-1588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_20_1585-1588m.jpg	1988	9999-12-31	5615
31/2-18	21	1588-1593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_21_1588-1593m.jpg	1988	9999-12-31	5616
31/2-18	22	1593-1598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_22_1593-1598m.jpg	1988	9999-12-31	5617
31/2-18	23	1598-1599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_23_1598-1599m.jpg	1988	9999-12-31	5618
31/2-18	24	1599-1604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_24_1599-1604m.jpg	1988	9999-12-31	5619
31/2-18	25	1604-1607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_25_1604-1607m.jpg	1988	9999-12-31	5620
31/2-18	26	1610-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_26_1610-1615m.jpg	1988	9999-12-31	5621
31/2-18	27	1615-1620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_27_1615-1620m.jpg	1988	9999-12-31	5622
31/2-18	28	1620-1625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_28_1620-1625m.jpg	1988	9999-12-31	5623
31/2-18	29	1625-1627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_29_1625-1627m.jpg	1988	9999-12-31	5624
31/2-18	30	1628-1633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_30_1628-1633m.jpg	1988	9999-12-31	5625
31/2-18	31	1633-1638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_31_1633-1638m.jpg	1988	9999-12-31	5626
31/2-18	32	1638-1638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_32_1638-1638m.jpg	1988	9999-12-31	5627
31/2-18	33	1638-1643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_33_1638-1643m.jpg	1988	9999-12-31	5628
31/2-18	34	1643-1648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_34_1643-1648m.jpg	1988	9999-12-31	5629
31/2-18	35	1648-1653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_35_1648-1653m.jpg	1988	9999-12-31	5630
31/2-18	36	1653-1654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_36_1653-1654m.jpg	1988	9999-12-31	5631
31/2-18	37	1654-1659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_37_1654-1659m.jpg	1988	9999-12-31	5632
31/2-18	38	1659-1664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_38_1659-1664m.jpg	1988	9999-12-31	5633
31/2-18	39	1664-1667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_39_1664-1667m.jpg	1988	9999-12-31	5634
31/2-18	40	1667-1671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_40_1667-1671m.jpg	1988	9999-12-31	5635
31/2-18	41	1671-1676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_41_1671-1676m.jpg	1988	9999-12-31	5636
31/2-18	42	1676-1679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1988_42_1676-1679m.jpg	1988	9999-12-31	5637
31/2-19 S	1	1745-1748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2798_01_1745-1748m.jpg	2798	9999-12-31	5638
31/2-19 S	2	1748-1752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2798_02_1748-1752m.jpg	2798	9999-12-31	5639
31/2-19 S	3	1752-1755m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2798_03_1752-1755m.jpg	2798	9999-12-31	5640
31/2-19 S	4	2515-2517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2798_04_2515-2517m.jpg	2798	9999-12-31	5641
31/2-19 S	5	3190-3191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2798_05_3190-3191m.jpg	2798	9999-12-31	5642
31/2-19 S	6	3196-3201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2798_06_3196-3201m.jpg	2798	9999-12-31	5643
31/2-19 S	7	3201-3206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2798_07_3201-3206m.jpg	2798	9999-12-31	5644
31/2-19 S	8	3206-3211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2798_08_3206-3211m.jpg	2798	9999-12-31	5645
31/2-19 S	9	3211-3214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2798_09_3211-3214m.jpg	2798	9999-12-31	5646
31/2-2	1	1515-1517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_01_1515-1517m.jpg	227	9999-12-31	5647
31/2-2	2	1517-1520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_02_1517-1520m.jpg	227	9999-12-31	5648
31/2-2	3	1520-1521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_03_1520-1521m.jpg	227	9999-12-31	5649
31/2-2	4	1525-1527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_04_1525-1527m.jpg	227	9999-12-31	5650
31/2-2	5	1535-1537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_05_1535-1537m.jpg	227	9999-12-31	5651
31/2-2	6	1537-1540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_06_1537-1540m.jpg	227	9999-12-31	5652
31/2-2	7	1540-1543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_07_1540-1543m.jpg	227	9999-12-31	5653
31/2-2	8	1543-1545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_08_1543-1545m.jpg	227	9999-12-31	5654
31/2-2	9	1545-1547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_09_1545-1547m.jpg	227	9999-12-31	5655
31/2-2	10	1555-1558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_10_1555-1558m.jpg	227	9999-12-31	5656
31/2-2	11	1558-1560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_11_1558-1560m.jpg	227	9999-12-31	5657
31/2-2	12	1560-1562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_12_1560-1562m.jpg	227	9999-12-31	5658
31/2-2	13	1562-1565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_13_1562-1565m.jpg	227	9999-12-31	5659
31/2-2	14	1565-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_14_1565-1568m.jpg	227	9999-12-31	5660
31/2-2	15	1568-1569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_15_1568-1569m.jpg	227	9999-12-31	5661
31/2-2	16	1569-1571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_16_1569-1571m.jpg	227	9999-12-31	5662
31/2-2	17	1574-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_17_1574-1577m.jpg	227	9999-12-31	5663
31/2-2	18	1578-1580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_18_1578-1580m.jpg	227	9999-12-31	5664
31/2-2	19	1585-1587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_19_1585-1587m.jpg	227	9999-12-31	5665
31/2-2	20	1587-1590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_20_1587-1590m.jpg	227	9999-12-31	5666
31/2-2	21	1590-1593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_21_1590-1593m.jpg	227	9999-12-31	5667
31/2-2	22	1593-1595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_22_1593-1595m.jpg	227	9999-12-31	5668
31/2-2	23	1595-1598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_23_1595-1598m.jpg	227	9999-12-31	5669
31/2-2	24	1598-1600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_24_1598-1600m.jpg	227	9999-12-31	5670
31/2-2	25	1600-1603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_25_1600-1603m.jpg	227	9999-12-31	5671
31/2-2	26	1603-1604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_26_1603-1604m.jpg	227	9999-12-31	5672
31/2-2	27	1604-1606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_27_1604-1606m.jpg	227	9999-12-31	5673
31/2-2	28	1608-1610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_28_1608-1610m.jpg	227	9999-12-31	5674
31/2-2	29	1610-1611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_29_1610-1611m.jpg	227	9999-12-31	5675
31/2-2	30	1616-1617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_30_1616-1617m.jpg	227	9999-12-31	5676
31/2-2	31	1617-1618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_31_1617-1618m.jpg	227	9999-12-31	5677
31/2-2	32	1619-1621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_32_1619-1621m.jpg	227	9999-12-31	5678
31/2-2	33	1622-1623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_33_1622-1623m.jpg	227	9999-12-31	5679
31/2-2	34	1624-1626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_34_1624-1626m.jpg	227	9999-12-31	5680
31/2-2	35	1626-1628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_35_1626-1628m.jpg	227	9999-12-31	5681
31/2-2	36	1628-1631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_36_1628-1631m.jpg	227	9999-12-31	5682
31/2-2	37	1631-1632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/227_37_1631-1632m.jpg	227	9999-12-31	5683
31/2-3	1	1412-1414m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_01_1412-1414m.jpg	236	9999-12-31	5684
31/2-3	2	1414-1416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_02_1414-1416m.jpg	236	9999-12-31	5685
31/2-3	3	1421-1423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_03_1421-1423m.jpg	236	9999-12-31	5686
31/2-3	4	1423-1425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_04_1423-1425m.jpg	236	9999-12-31	5687
31/2-3	5	1425-1427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_05_1425-1427m.jpg	236	9999-12-31	5688
31/2-3	6	1427-1430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_06_1427-1430m.jpg	236	9999-12-31	5689
31/2-3	7	1430-1433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_07_1430-1433m.jpg	236	9999-12-31	5690
31/2-3	8	1433-1435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_08_1433-1435m.jpg	236	9999-12-31	5691
31/2-3	9	1435-1438m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_09_1435-1438m.jpg	236	9999-12-31	5692
31/2-3	10	1438-1441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_10_1438-1441m.jpg	236	9999-12-31	5693
31/2-3	11	1443-1445m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_11_1443-1445m.jpg	236	9999-12-31	5694
31/2-3	12	1445-1448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_12_1445-1448m.jpg	236	9999-12-31	5695
31/2-3	13	1448-1449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_13_1448-1449m.jpg	236	9999-12-31	5696
31/2-3	14	1450-1452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_14_1450-1452m.jpg	236	9999-12-31	5697
31/2-3	15	1452-1455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_15_1452-1455m.jpg	236	9999-12-31	5698
31/2-3	16	1455-1458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_16_1455-1458m.jpg	236	9999-12-31	5699
31/2-3	17	1458-1460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_17_1458-1460m.jpg	236	9999-12-31	5700
31/2-3	18	1460-1461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_18_1460-1461m.jpg	236	9999-12-31	5701
31/2-3	19	1462-1463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_19_1462-1463m.jpg	236	9999-12-31	5702
31/2-3	20	1469-1471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_20_1469-1471m.jpg	236	9999-12-31	5703
31/2-3	21	1471-1473m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_21_1471-1473m.jpg	236	9999-12-31	5704
31/2-3	22	1473-1475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_22_1473-1475m.jpg	236	9999-12-31	5705
31/2-3	23	1484-1487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_23_1484-1487m.jpg	236	9999-12-31	5706
31/2-3	24	1487-1489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_24_1487-1489m.jpg	236	9999-12-31	5707
31/2-3	25	1489-1492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_25_1489-1492m.jpg	236	9999-12-31	5708
31/2-3	26	1492-1495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_26_1492-1495m.jpg	236	9999-12-31	5709
31/2-3	27	1495-1496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_27_1495-1496m.jpg	236	9999-12-31	5710
31/2-3	28	1496-1499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_28_1496-1499m.jpg	236	9999-12-31	5711
31/2-3	29	1499-1501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_29_1499-1501m.jpg	236	9999-12-31	5712
31/2-3	30	1501-1504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_30_1501-1504m.jpg	236	9999-12-31	5713
31/2-3	31	1504-1507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_31_1504-1507m.jpg	236	9999-12-31	5714
31/2-3	32	1507-1509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_32_1507-1509m.jpg	236	9999-12-31	5715
31/2-3	33	1509-1512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_33_1509-1512m.jpg	236	9999-12-31	5716
31/2-3	34	1512-1514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_34_1512-1514m.jpg	236	9999-12-31	5717
31/2-3	35	1514-1517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_35_1514-1517m.jpg	236	9999-12-31	5718
31/2-3	36	1517-1519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_36_1517-1519m.jpg	236	9999-12-31	5719
31/2-3	37	1519-1522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_37_1519-1522m.jpg	236	9999-12-31	5720
31/2-3	38	1522-1525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_38_1522-1525m.jpg	236	9999-12-31	5721
31/2-3	39	1525-1528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_39_1525-1528m.jpg	236	9999-12-31	5722
31/2-3	40	1528-1529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_40_1528-1529m.jpg	236	9999-12-31	5723
31/2-3	41	1533-1535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_41_1533-1535m.jpg	236	9999-12-31	5724
31/2-3	42	1535-1538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_42_1535-1538m.jpg	236	9999-12-31	5725
31/2-3	43	1538-1540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_43_1538-1540m.jpg	236	9999-12-31	5726
31/2-3	44	1551-1553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_44_1551-1553m.jpg	236	9999-12-31	5727
31/2-3	45	1553-1556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_45_1553-1556m.jpg	236	9999-12-31	5728
31/2-3	46	1556-1559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_46_1556-1559m.jpg	236	9999-12-31	5729
31/2-3	47	1559-1561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_47_1559-1561m.jpg	236	9999-12-31	5730
31/2-3	48	1561-1564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_48_1561-1564m.jpg	236	9999-12-31	5731
31/2-3	49	1564-1566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_49_1564-1566m.jpg	236	9999-12-31	5732
31/2-3	50	1566-1569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_50_1566-1569m.jpg	236	9999-12-31	5733
31/2-3	51	1569-1572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_51_1569-1572m.jpg	236	9999-12-31	5734
31/2-3	52	1572-1574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_52_1572-1574m.jpg	236	9999-12-31	5735
31/2-3	53	1574-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_53_1574-1577m.jpg	236	9999-12-31	5736
31/2-3	54	1577-1580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_54_1577-1580m.jpg	236	9999-12-31	5737
31/2-3	55	1580-1582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_55_1580-1582m.jpg	236	9999-12-31	5738
31/2-3	56	1582-1584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_56_1582-1584m.jpg	236	9999-12-31	5739
31/2-3	57	1584-1586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_57_1584-1586m.jpg	236	9999-12-31	5740
31/2-3	58	1586-1589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_58_1586-1589m.jpg	236	9999-12-31	5741
31/2-3	59	1589-1592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_59_1589-1592m.jpg	236	9999-12-31	5742
31/2-3	60	1592-1594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_60_1592-1594m.jpg	236	9999-12-31	5743
31/2-3	61	1594-1597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_61_1594-1597m.jpg	236	9999-12-31	5744
31/2-3	62	1601-1603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_62_1601-1603m.jpg	236	9999-12-31	5745
31/2-3	63	1603-1606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_63_1603-1606m.jpg	236	9999-12-31	5746
31/2-3	64	1606-1609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_64_1606-1609m.jpg	236	9999-12-31	5747
31/2-3	65	1609-1611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_65_1609-1611m.jpg	236	9999-12-31	5748
31/2-3	66	1611-1614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_66_1611-1614m.jpg	236	9999-12-31	5749
31/2-3	67	1614-1617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_67_1614-1617m.jpg	236	9999-12-31	5750
31/2-3	68	1617-1619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_68_1617-1619m.jpg	236	9999-12-31	5751
31/2-3	69	1619-1621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_69_1619-1621m.jpg	236	9999-12-31	5752
31/2-3	70	1621-1623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_70_1621-1623m.jpg	236	9999-12-31	5753
31/2-3	71	1624-1626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_71_1624-1626m.jpg	236	9999-12-31	5754
31/2-3	72	1626-1627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_72_1626-1627m.jpg	236	9999-12-31	5755
31/2-3	73	1628-1630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_73_1628-1630m.jpg	236	9999-12-31	5756
31/2-3	74	1730-1633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_74_1730-1633m.jpg	236	9999-12-31	5757
31/2-3	75	1633-1636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_75_1633-1636m.jpg	236	9999-12-31	5758
31/2-3	76	1636-1638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_76_1636-1638m.jpg	236	9999-12-31	5759
31/2-3	77	1638-1641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_77_1638-1641m.jpg	236	9999-12-31	5760
31/2-3	78	1641-1644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_78_1641-1644m.jpg	236	9999-12-31	5761
31/2-3	79	1644-1645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_79_1644-1645m.jpg	236	9999-12-31	5762
31/2-3	80	2116-2118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_80_2116-2118m.jpg	236	9999-12-31	5763
31/2-3	81	2118-2121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_81_2118-2121m.jpg	236	9999-12-31	5764
31/2-3	82	2121-2124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_82_2121-2124m.jpg	236	9999-12-31	5765
31/2-3	83	2126-2129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_83_2126-2129m.jpg	236	9999-12-31	5766
31/2-3	84	2129-2132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_84_2129-2132m.jpg	236	9999-12-31	5767
31/2-3	85	2132-2133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/236_85_2132-2133m.jpg	236	9999-12-31	5768
31/2-4 R	1	1320-1323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_01_1320-1323m.jpg	502	9999-12-31	5769
31/2-4 R	2	1323-1325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_02_1323-1325m.jpg	502	9999-12-31	5770
31/2-4 R	3	1325-1326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_03_1325-1326m.jpg	502	9999-12-31	5771
31/2-4 R	4	1326-1327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_04_1326-1327m.jpg	502	9999-12-31	5772
31/2-4 R	5	1338-1340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_05_1338-1340m.jpg	502	9999-12-31	5773
31/2-4 R	6	1340-1343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_06_1340-1343m.jpg	502	9999-12-31	5774
31/2-4 R	7	1343-1346m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_07_1343-1346m.jpg	502	9999-12-31	5775
31/2-4 R	8	1346-1347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_08_1346-1347m.jpg	502	9999-12-31	5776
31/2-4 R	9	1347-1349m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_09_1347-1349m.jpg	502	9999-12-31	5777
31/2-4 R	10	1349-1352m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_10_1349-1352m.jpg	502	9999-12-31	5778
31/2-4 R	11	1352-1355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_11_1352-1355m.jpg	502	9999-12-31	5779
31/2-4 R	12	1355-1357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_12_1355-1357m.jpg	502	9999-12-31	5780
31/2-4 R	13	1365-1367m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_13_1365-1367m.jpg	502	9999-12-31	5781
31/2-4 R	14	1367-1370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_14_1367-1370m.jpg	502	9999-12-31	5782
31/2-4 R	15	1370-1373m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_15_1370-1373m.jpg	502	9999-12-31	5783
31/2-4 R	16	1373-1375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_16_1373-1375m.jpg	502	9999-12-31	5784
31/2-4 R	17	1375-1378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_17_1375-1378m.jpg	502	9999-12-31	5785
31/2-4 R	18	1379-1381m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_18_1379-1381m.jpg	502	9999-12-31	5786
31/2-4 R	19	1381-1384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_19_1381-1384m.jpg	502	9999-12-31	5787
31/2-4 R	20	1384-1387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_20_1384-1387m.jpg	502	9999-12-31	5788
31/2-4 R	21	1387-1389m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_21_1387-1389m.jpg	502	9999-12-31	5789
31/2-4 R	22	1389-1392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_22_1389-1392m.jpg	502	9999-12-31	5790
31/2-4 R	23	1392-1395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_23_1392-1395m.jpg	502	9999-12-31	5791
31/2-4 R	24	1395-1397m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_24_1395-1397m.jpg	502	9999-12-31	5792
31/2-4 R	25	1397-1399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_25_1397-1399m.jpg	502	9999-12-31	5793
31/2-4 R	26	1399-1402m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_26_1399-1402m.jpg	502	9999-12-31	5794
31/2-4 R	27	1402-1405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_27_1402-1405m.jpg	502	9999-12-31	5795
31/2-4 R	28	1405-1407m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_28_1405-1407m.jpg	502	9999-12-31	5796
31/2-4 R	29	1410-1412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_29_1410-1412m.jpg	502	9999-12-31	5797
31/2-4 R	30	1412-1415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_30_1412-1415m.jpg	502	9999-12-31	5798
31/2-4 R	31	1415-1418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_31_1415-1418m.jpg	502	9999-12-31	5799
31/2-4 R	32	1418-1420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_32_1418-1420m.jpg	502	9999-12-31	5800
31/2-4 R	33	1420-1423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_33_1420-1423m.jpg	502	9999-12-31	5801
31/2-4 R	34	1423-1425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_34_1423-1425m.jpg	502	9999-12-31	5802
31/2-4 R	35	1426-1427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_35_1426-1427m.jpg	502	9999-12-31	5803
31/2-4 R	36	1443-1446m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_36_1443-1446m.jpg	502	9999-12-31	5804
31/2-4 R	37	1446-1448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_37_1446-1448m.jpg	502	9999-12-31	5805
31/2-4 R	38	1448-1451m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_38_1448-1451m.jpg	502	9999-12-31	5806
31/2-4 R	39	1451-1452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_39_1451-1452m.jpg	502	9999-12-31	5807
31/2-4 R	40	1452-1454m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_40_1452-1454m.jpg	502	9999-12-31	5808
31/2-4 R	41	1454-1457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_41_1454-1457m.jpg	502	9999-12-31	5809
31/2-4 R	42	1457-1459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_42_1457-1459m.jpg	502	9999-12-31	5810
31/2-4 R	43	1459-1462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_43_1459-1462m.jpg	502	9999-12-31	5811
31/2-4 R	44	1462-1465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_44_1462-1465m.jpg	502	9999-12-31	5812
31/2-4 R	45	1465-1468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_45_1465-1468m.jpg	502	9999-12-31	5813
31/2-4 R	46	1468-1468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_46_1468-1468m.jpg	502	9999-12-31	5814
31/2-4 R	47	1472-1475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_47_1472-1475m.jpg	502	9999-12-31	5815
31/2-4 R	48	1475-1477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_48_1475-1477m.jpg	502	9999-12-31	5816
31/2-4 R	49	1477-1479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_49_1477-1479m.jpg	502	9999-12-31	5817
31/2-4 R	50	1482-1483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_50_1482-1483m.jpg	502	9999-12-31	5818
31/2-4 R	51	1484-1487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_51_1484-1487m.jpg	502	9999-12-31	5819
31/2-4 R	52	1487-1489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_52_1487-1489m.jpg	502	9999-12-31	5820
31/2-4 R	53	1489-1489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_53_1489-1489m.jpg	502	9999-12-31	5821
31/2-4 R	54	1490-1492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_54_1490-1492m.jpg	502	9999-12-31	5822
31/2-4 R	55	1492-1495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_55_1492-1495m.jpg	502	9999-12-31	5823
31/2-4 R	56	1495-1498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_56_1495-1498m.jpg	502	9999-12-31	5824
31/2-4 R	57	1498-1500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_57_1498-1500m.jpg	502	9999-12-31	5825
31/2-4 R	58	1500-1503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_58_1500-1503m.jpg	502	9999-12-31	5826
31/2-4 R	59	1503-1506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_59_1503-1506m.jpg	502	9999-12-31	5827
31/2-4 R	60	1506-1506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_60_1506-1506m.jpg	502	9999-12-31	5828
31/2-4 R	61	1508-1510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_61_1508-1510m.jpg	502	9999-12-31	5829
31/2-4 R	62	1510-1513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_62_1510-1513m.jpg	502	9999-12-31	5830
31/2-4 R	63	1508-1516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_63_1508-1516m.jpg	502	9999-12-31	5831
31/2-4 R	64	1516-1518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_64_1516-1518m.jpg	502	9999-12-31	5832
31/2-4 R	65	1518-1521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_65_1518-1521m.jpg	502	9999-12-31	5833
31/2-4 R	66	1521-1524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_66_1521-1524m.jpg	502	9999-12-31	5834
31/2-4 R	67	1521-1524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_67_1521-1524m.jpg	502	9999-12-31	5835
31/2-4 R	68	1524-1525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_68_1524-1525m.jpg	502	9999-12-31	5836
31/2-4 R	69	1526-1528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_69_1526-1528m.jpg	502	9999-12-31	5837
31/2-4 R	70	1528-1531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_70_1528-1531m.jpg	502	9999-12-31	5838
31/2-4 R	71	1531-1534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_71_1531-1534m.jpg	502	9999-12-31	5839
31/2-4 R	72	1534-1536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_72_1534-1536m.jpg	502	9999-12-31	5840
31/2-4 R	73	1536-1539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_73_1536-1539m.jpg	502	9999-12-31	5841
31/2-4 R	74	1539-1542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_74_1539-1542m.jpg	502	9999-12-31	5842
31/2-4 R	75	1542-1543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_75_1542-1543m.jpg	502	9999-12-31	5843
31/2-4 R	76	1544-1546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_76_1544-1546m.jpg	502	9999-12-31	5844
31/2-4 R	77	1546-1549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_77_1546-1549m.jpg	502	9999-12-31	5845
31/2-4 R	78	1549-1552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_78_1549-1552m.jpg	502	9999-12-31	5846
31/2-4 R	79	1552-1554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_79_1552-1554m.jpg	502	9999-12-31	5847
31/2-4 R	80	1554-1557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_80_1554-1557m.jpg	502	9999-12-31	5848
31/2-4 R	81	1557-1560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_81_1557-1560m.jpg	502	9999-12-31	5849
31/2-4 R	82	1560-1562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_82_1560-1562m.jpg	502	9999-12-31	5850
31/2-4 R	83	1562-1564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_83_1562-1564m.jpg	502	9999-12-31	5851
31/2-4 R	84	1564-1566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_84_1564-1566m.jpg	502	9999-12-31	5852
31/2-4 R	85	1567-1569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_85_1567-1569m.jpg	502	9999-12-31	5853
31/2-4 R	86	1569-1572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_86_1569-1572m.jpg	502	9999-12-31	5854
31/2-4 R	87	1572-1575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_87_1572-1575m.jpg	502	9999-12-31	5855
31/2-4 R	88	1575-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_88_1575-1577m.jpg	502	9999-12-31	5856
31/2-4 R	89	1577-1580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_89_1577-1580m.jpg	502	9999-12-31	5857
31/2-4 R	90	1580-1582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_90_1580-1582m.jpg	502	9999-12-31	5858
31/2-4 R	91	1585-1587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_91_1585-1587m.jpg	502	9999-12-31	5859
31/2-4 R	92	1587-1590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_92_1587-1590m.jpg	502	9999-12-31	5860
31/2-4 R	93	1590-1593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_93_1590-1593m.jpg	502	9999-12-31	5861
31/2-4 R	94	1593-1595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_94_1593-1595m.jpg	502	9999-12-31	5862
31/2-4 R	95	1595-1598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_95_1595-1598m.jpg	502	9999-12-31	5863
31/2-4 R	96	1598-1599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_96_1598-1599m.jpg	502	9999-12-31	5864
31/2-4 R	97	1603-1605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_97_1603-1605m.jpg	502	9999-12-31	5865
31/2-4 R	98	1605-1606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_98_1605-1606m.jpg	502	9999-12-31	5866
31/2-4 R	99	1607-1609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_99_1607-1609m.jpg	502	9999-12-31	5867
31/2-4 R	100	1609-1612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_100_1609-1612m.jpg	502	9999-12-31	5868
31/2-4 R	101	1612-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_101_1612-1615m.jpg	502	9999-12-31	5869
31/2-4 R	102	1615-1617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_102_1615-1617m.jpg	502	9999-12-31	5870
31/2-4 R	103	1617-1620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_103_1617-1620m.jpg	502	9999-12-31	5871
31/2-4 R	104	1620-1621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_104_1620-1621m.jpg	502	9999-12-31	5872
31/2-4 R	105	1621-1623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_105_1621-1623m.jpg	502	9999-12-31	5873
31/2-4 R	106	1623-1626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_106_1623-1626m.jpg	502	9999-12-31	5874
31/2-4 R	107	1627-1629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_107_1627-1629m.jpg	502	9999-12-31	5875
31/2-4 R	108	1629-1632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_108_1629-1632m.jpg	502	9999-12-31	5876
31/2-4 R	109	1632-1635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_109_1632-1635m.jpg	502	9999-12-31	5877
31/2-4 R	110	1635-1637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_110_1635-1637m.jpg	502	9999-12-31	5878
31/2-4 R	111	1637-1640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_111_1637-1640m.jpg	502	9999-12-31	5879
31/2-4 R	112	1640-1643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_112_1640-1643m.jpg	502	9999-12-31	5880
31/2-4 R	113	1643-1644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_113_1643-1644m.jpg	502	9999-12-31	5881
31/2-4 R	114	1647-1650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_114_1647-1650m.jpg	502	9999-12-31	5882
31/2-4 R	115	1650-1653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_115_1650-1653m.jpg	502	9999-12-31	5883
31/2-4 R	116	1653-1655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_116_1653-1655m.jpg	502	9999-12-31	5884
31/2-4 R	117	1655-1658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_117_1655-1658m.jpg	502	9999-12-31	5885
31/2-4 R	118	1658-1661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_118_1658-1661m.jpg	502	9999-12-31	5886
31/2-4 R	119	1661-1662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_119_1661-1662m.jpg	502	9999-12-31	5887
31/2-4 R	120	5025-5027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_120_5025-5027m.jpg	502	9999-12-31	5888
31/2-4 R	121	5027-5030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_121_5027-5030m.jpg	502	9999-12-31	5889
31/2-4 R	122	5030-5033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_122_5030-5033m.jpg	502	9999-12-31	5890
31/2-4 R	123	5033-5034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/502_123_5033-5034m.jpg	502	9999-12-31	5891
31/2-5	1	1512-1513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_01_1512-1513m.jpg	210	9999-12-31	5892
31/2-5	2	1515-1516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_02_1515-1516m.jpg	210	9999-12-31	5893
31/2-5	3	1536-1538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_03_1536-1538m.jpg	210	9999-12-31	5894
31/2-5	4	1539-1540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_04_1539-1540m.jpg	210	9999-12-31	5895
31/2-5	5	1542-1544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_05_1542-1544m.jpg	210	9999-12-31	5896
31/2-5	6	1544-1545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_06_1544-1545m.jpg	210	9999-12-31	5897
31/2-5	7	1547-1549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_07_1547-1549m.jpg	210	9999-12-31	5898
31/2-5	8	1549-1552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_08_1549-1552m.jpg	210	9999-12-31	5899
31/2-5	9	1555-1555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_09_1555-1555m.jpg	210	9999-12-31	5900
31/2-5	10	1552-1553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_10_1552-1553m.jpg	210	9999-12-31	5901
31/2-5	11	1555-1558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_11_1555-1558m.jpg	210	9999-12-31	5902
31/2-5	12	1558-1560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_12_1558-1560m.jpg	210	9999-12-31	5903
31/2-5	13	1560-1563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_13_1560-1563m.jpg	210	9999-12-31	5904
31/2-5	14	1563-1564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_14_1563-1564m.jpg	210	9999-12-31	5905
31/2-5	15	1565-1567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_15_1565-1567m.jpg	210	9999-12-31	5906
31/2-5	16	1567-1570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_16_1567-1570m.jpg	210	9999-12-31	5907
31/2-5	17	1570-1573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_17_1570-1573m.jpg	210	9999-12-31	5908
31/2-5	18	1573-1573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_18_1573-1573m.jpg	210	9999-12-31	5909
31/2-5	19	1573-1574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_19_1573-1574m.jpg	210	9999-12-31	5910
31/2-5	20	1573-1576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_20_1573-1576m.jpg	210	9999-12-31	5911
31/2-5	21	1576-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_21_1576-1577m.jpg	210	9999-12-31	5912
31/2-5	22	1589-1589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_22_1589-1589m.jpg	210	9999-12-31	5913
31/2-5	23	1590-1593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_23_1590-1593m.jpg	210	9999-12-31	5914
31/2-5	24	1593-1595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_24_1593-1595m.jpg	210	9999-12-31	5915
31/2-5	25	1595-1598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_25_1595-1598m.jpg	210	9999-12-31	5916
31/2-5	26	1598-1599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_26_1598-1599m.jpg	210	9999-12-31	5917
31/2-5	27	1599-1602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_27_1599-1602m.jpg	210	9999-12-31	5918
31/2-5	28	1602-1604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_28_1602-1604m.jpg	210	9999-12-31	5919
31/2-5	29	1604-1606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_29_1604-1606m.jpg	210	9999-12-31	5920
31/2-5	30	1606-1609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_30_1606-1609m.jpg	210	9999-12-31	5921
31/2-5	31	1609-1611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_31_1609-1611m.jpg	210	9999-12-31	5922
31/2-5	32	1613-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_32_1613-1615m.jpg	210	9999-12-31	5923
31/2-5	33	1616-1618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_33_1616-1618m.jpg	210	9999-12-31	5924
31/2-5	34	1618-1621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_34_1618-1621m.jpg	210	9999-12-31	5925
31/2-5	35	1621-1624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_35_1621-1624m.jpg	210	9999-12-31	5926
31/2-5	36	1624-1625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_36_1624-1625m.jpg	210	9999-12-31	5927
31/2-5	37	1625-1627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_37_1625-1627m.jpg	210	9999-12-31	5928
31/2-5	38	1627-1630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_38_1627-1630m.jpg	210	9999-12-31	5929
31/2-5	39	1630-1633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_39_1630-1633m.jpg	210	9999-12-31	5930
31/2-5	40	1633-1633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_40_1633-1633m.jpg	210	9999-12-31	5931
31/2-5	41	1634-1636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_41_1634-1636m.jpg	210	9999-12-31	5932
31/2-5	42	1636-1639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_42_1636-1639m.jpg	210	9999-12-31	5933
31/2-5	43	1639-1642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_43_1639-1642m.jpg	210	9999-12-31	5934
31/2-5	44	1642-1643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_44_1642-1643m.jpg	210	9999-12-31	5935
31/2-5	45	1643-1645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_45_1643-1645m.jpg	210	9999-12-31	5936
31/2-5	46	1645-1648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_46_1645-1648m.jpg	210	9999-12-31	5937
31/2-5	47	1648-1651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_47_1648-1651m.jpg	210	9999-12-31	5938
31/2-5	48	1651-1652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/210_48_1651-1652m.jpg	210	9999-12-31	5939
31/2-6	1	1504-1509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_01_1504-1509m.jpg	399	9999-12-31	5940
31/2-6	2	1509-1514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_02_1509-1514m.jpg	399	9999-12-31	5941
31/2-6	3	1514-1519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_03_1514-1519m.jpg	399	9999-12-31	5942
31/2-6	4	1519-1524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_04_1519-1524m.jpg	399	9999-12-31	5943
31/2-6	5	1524-1530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_05_1524-1530m.jpg	399	9999-12-31	5944
31/2-6	6	1530-1532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_06_1530-1532m.jpg	399	9999-12-31	5945
31/2-6	7	1532-1537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_07_1532-1537m.jpg	399	9999-12-31	5946
31/2-6	8	1537-1543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_08_1537-1543m.jpg	399	9999-12-31	5947
31/2-6	9	1543-1548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_09_1543-1548m.jpg	399	9999-12-31	5948
31/2-6	10	1548-1550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_10_1548-1550m.jpg	399	9999-12-31	5949
31/2-6	11	1551-1555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_11_1551-1555m.jpg	399	9999-12-31	5950
31/2-6	12	1557-1562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_12_1557-1562m.jpg	399	9999-12-31	5951
31/2-6	13	1562-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_13_1562-1568m.jpg	399	9999-12-31	5952
31/2-6	14	1568-1573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_14_1568-1573m.jpg	399	9999-12-31	5953
31/2-6	15	1573-1575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_15_1573-1575m.jpg	399	9999-12-31	5954
31/2-6	16	1576-1581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_16_1576-1581m.jpg	399	9999-12-31	5955
31/2-6	17	1581-1582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_17_1581-1582m.jpg	399	9999-12-31	5956
31/2-6	18	1583-1589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_18_1583-1589m.jpg	399	9999-12-31	5957
31/2-6	19	1589-1594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_19_1589-1594m.jpg	399	9999-12-31	5958
31/2-6	20	1594-1600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_20_1594-1600m.jpg	399	9999-12-31	5959
31/2-6	21	1600-1602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_21_1600-1602m.jpg	399	9999-12-31	5960
31/2-6	22	1602-1608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_22_1602-1608m.jpg	399	9999-12-31	5961
31/2-6	23	1608-1613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_23_1608-1613m.jpg	399	9999-12-31	5962
31/2-6	24	1613-1618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_24_1613-1618m.jpg	399	9999-12-31	5963
31/2-6	25	1618-1624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_25_1618-1624m.jpg	399	9999-12-31	5964
31/2-6	26	1624-1629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_26_1624-1629m.jpg	399	9999-12-31	5965
31/2-6	27	1629-1632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/399_27_1629-1632m.jpg	399	9999-12-31	5966
31/2-7	1	1547-1553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_01_1547-1553m.jpg	70	9999-12-31	5967
31/2-7	2	1553-1556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_02_1553-1556m.jpg	70	9999-12-31	5968
31/2-7	3	1562-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_03_1562-1568m.jpg	70	9999-12-31	5969
31/2-7	4	1568-1574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_04_1568-1574m.jpg	70	9999-12-31	5970
31/2-7	5	1574-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_05_1574-1577m.jpg	70	9999-12-31	5971
31/2-7	6	1587-1593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_06_1587-1593m.jpg	70	9999-12-31	5972
31/2-7	7	1593-1597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_07_1593-1597m.jpg	70	9999-12-31	5973
31/2-7	8	1597-1603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_08_1597-1603m.jpg	70	9999-12-31	5974
31/2-7	9	1603-1609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_09_1603-1609m.jpg	70	9999-12-31	5975
31/2-7	10	1609-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_10_1609-1615m.jpg	70	9999-12-31	5976
31/2-7	11	1615-1616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_11_1615-1616m.jpg	70	9999-12-31	5977
31/2-7	12	1616-1622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_12_1616-1622m.jpg	70	9999-12-31	5978
31/2-7	13	1622-1628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_13_1622-1628m.jpg	70	9999-12-31	5979
31/2-7	14	1628-1634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_14_1628-1634m.jpg	70	9999-12-31	5980
31/2-7	15	1634-1635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/70_15_1634-1635m.jpg	70	9999-12-31	5981
31/2-8	1	1841-1847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/78_01_1841-1847m.jpg	78	2013-02-14	5982
31/2-8	2	1847-1851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/78_02_1847-1851m.jpg	78	2013-02-14	5983
31/2-8	3	1852-1857m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/78_03_1852-1857m.jpg	78	2013-02-14	5984
31/2-8	4	1857-1863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/78_04_1857-1863m.jpg	78	2013-02-14	5985
31/2-8	5	1863-1868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/78_05_1863-1868m.jpg	78	2013-02-14	5986
31/2-8	6	1868-1869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/78_06_1868-1869m.jpg	78	2013-02-14	5987
31/2-8	7	1870-1875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/78_07_1870-1875m.jpg	78	2013-02-14	5988
31/2-8	8	1875-1880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/78_08_1875-1880m.jpg	78	2013-02-14	5989
31/2-8	9	1880-1886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/78_09_1880-1886m.jpg	78	2013-02-14	5990
31/2-8	10	1886-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/78_10_1886-1888m.jpg	78	2013-02-14	5991
31/2-9	1	1554-1559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_01_1554-1559m.jpg	88	9999-12-31	5992
31/2-9	2	1559-1563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_02_1559-1563m.jpg	88	9999-12-31	5993
31/2-9	3	1563-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_03_1563-1568m.jpg	88	9999-12-31	5994
31/2-9	4	1568-1571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_04_1568-1571m.jpg	88	9999-12-31	5995
31/2-9	5	1573-1578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_05_1573-1578m.jpg	88	9999-12-31	5996
31/2-9	6	1578-1583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_06_1578-1583m.jpg	88	9999-12-31	5997
31/2-9	7	1583-1589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_07_1583-1589m.jpg	88	9999-12-31	5998
31/2-9	8	1589-1591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_08_1589-1591m.jpg	88	9999-12-31	5999
31/2-9	9	1591-1597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_09_1591-1597m.jpg	88	9999-12-31	6000
31/2-9	10	1597-1602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_10_1597-1602m.jpg	88	9999-12-31	6001
31/2-9	11	1602-1607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_11_1602-1607m.jpg	88	9999-12-31	6002
31/2-9	12	1610-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_12_1610-1615m.jpg	88	9999-12-31	6003
31/2-9	13	1615-1620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_13_1615-1620m.jpg	88	9999-12-31	6004
31/2-9	14	1620-1626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_14_1620-1626m.jpg	88	9999-12-31	6005
31/2-9	15	1628-1627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/88_15_1628-1627m.jpg	88	9999-12-31	6006
31/2-D-10 H	1	1502-1507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_01_1502-1507m.jpg	3218	9999-12-31	6007
31/2-D-10 H	2	1507-1512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_02_1507-1512m.jpg	3218	9999-12-31	6008
31/2-D-10 H	3	1512-1517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_03_1512-1517m.jpg	3218	9999-12-31	6009
31/2-D-10 H	4	1517-1520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_04_1517-1520m.jpg	3218	9999-12-31	6010
31/2-D-10 H	5	1520-1525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_05_1520-1525m.jpg	3218	9999-12-31	6011
31/2-D-10 H	6	1525-1530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_06_1525-1530m.jpg	3218	9999-12-31	6012
31/2-D-10 H	7	1530-1535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_07_1530-1535m.jpg	3218	9999-12-31	6013
31/2-D-10 H	8	1535-1539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_08_1535-1539m.jpg	3218	9999-12-31	6014
31/2-D-10 H	9	1539-1544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_09_1539-1544m.jpg	3218	9999-12-31	6015
31/2-D-10 H	10	1544-1549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_10_1544-1549m.jpg	3218	9999-12-31	6016
31/2-D-10 H	11	1549-1554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_11_1549-1554m.jpg	3218	9999-12-31	6017
31/2-D-10 H	12	1554-1558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_12_1554-1558m.jpg	3218	9999-12-31	6018
31/2-D-10 H	13	1558-1563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_13_1558-1563m.jpg	3218	9999-12-31	6019
31/2-D-10 H	14	1563-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_14_1563-1568m.jpg	3218	9999-12-31	6020
31/2-D-10 H	15	1568-1573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_15_1568-1573m.jpg	3218	9999-12-31	6021
31/2-D-10 H	16	1573-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_16_1573-1577m.jpg	3218	9999-12-31	6022
31/2-D-10 H	17	1577-1582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_17_1577-1582m.jpg	3218	9999-12-31	6023
31/2-D-10 H	18	1582-1587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_18_1582-1587m.jpg	3218	9999-12-31	6024
31/2-D-10 H	19	1587-1592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_19_1587-1592m.jpg	3218	9999-12-31	6025
31/2-D-10 H	20	1592-1595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_20_1592-1595m.jpg	3218	9999-12-31	6026
31/2-D-10 H	21	1595-1600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_21_1595-1600m.jpg	3218	9999-12-31	6027
31/2-D-10 H	22	1600-1605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_22_1600-1605m.jpg	3218	9999-12-31	6028
31/2-D-10 H	23	1605-1610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_23_1605-1610m.jpg	3218	9999-12-31	6029
31/2-D-10 H	24	1610-1613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_24_1610-1613m.jpg	3218	9999-12-31	6030
31/2-D-10 H	25	1613-1618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_25_1613-1618m.jpg	3218	9999-12-31	6031
31/2-D-10 H	26	1618-1623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_26_1618-1623m.jpg	3218	9999-12-31	6032
31/2-D-10 H	27	1623-1628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_27_1623-1628m.jpg	3218	9999-12-31	6033
31/2-D-10 H	28	1628-1631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3218_28_1628-1631m.jpg	3218	9999-12-31	6034
31/2-D-9	1	1540-1541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_01_1540-1541m.jpg	2689	9999-12-31	6035
31/2-D-9	2	1543-1548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_02_1543-1548m.jpg	2689	9999-12-31	6036
31/2-D-9	3	1548-1552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_03_1548-1552m.jpg	2689	9999-12-31	6037
31/2-D-9	4	1553-1558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_04_1553-1558m.jpg	2689	9999-12-31	6038
31/2-D-9	5	1558-1563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_05_1558-1563m.jpg	2689	9999-12-31	6039
31/2-D-9	6	1563-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_06_1563-1568m.jpg	2689	9999-12-31	6040
31/2-D-9	7	1568-1572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_07_1568-1572m.jpg	2689	9999-12-31	6041
31/2-D-9	8	1571-1575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_08_1571-1575m.jpg	2689	9999-12-31	6042
31/2-D-9	9	1575-1580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_09_1575-1580m.jpg	2689	9999-12-31	6043
31/2-D-9	10	1581-1585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_10_1581-1585m.jpg	2689	9999-12-31	6044
31/2-D-9	11	1588-1593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_11_1588-1593m.jpg	2689	9999-12-31	6045
31/2-D-9	12	1593-1598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_12_1593-1598m.jpg	2689	9999-12-31	6046
31/2-D-9	13	1598-1603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_13_1598-1603m.jpg	2689	9999-12-31	6047
31/2-D-9	14	1603-1607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_14_1603-1607m.jpg	2689	9999-12-31	6048
31/2-D-9	15	1507-1612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_15_1507-1612m.jpg	2689	9999-12-31	6049
31/2-D-9	16	1512-1617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_16_1512-1617m.jpg	2689	9999-12-31	6050
31/2-D-9	17	1517-1618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2689_17_1517-1618m.jpg	2689	9999-12-31	6051
31/2-E-6 H	1	1750-1754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_01_1750-1754m.jpg	2433	9999-12-31	6052
31/2-E-6 H	2	1754-1758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_02_1754-1758m.jpg	2433	9999-12-31	6053
31/2-E-6 H	3	1758-1762m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_03_1758-1762m.jpg	2433	9999-12-31	6054
31/2-E-6 H	4	1762-1766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_04_1762-1766m.jpg	2433	9999-12-31	6055
31/2-E-6 H	5	1766-1769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_05_1766-1769m.jpg	2433	9999-12-31	6056
31/2-E-6 H	6	1769-1773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_06_1769-1773m.jpg	2433	9999-12-31	6057
31/2-E-6 H	7	1773-1777m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_07_1773-1777m.jpg	2433	9999-12-31	6058
31/2-E-6 H	8	1777-1781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_08_1777-1781m.jpg	2433	9999-12-31	6059
31/2-E-6 H	9	1781-1785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_09_1781-1785m.jpg	2433	9999-12-31	6060
31/2-E-6 H	10	1785-1788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_10_1785-1788m.jpg	2433	9999-12-31	6061
31/2-E-6 H	11	1788-1792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_11_1788-1792m.jpg	2433	9999-12-31	6062
31/2-E-6 H	12	1792-1796m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_12_1792-1796m.jpg	2433	9999-12-31	6063
31/2-E-6 H	13	1796-1798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_13_1796-1798m.jpg	2433	9999-12-31	6064
31/2-E-6 H	14	1804-1808m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_14_1804-1808m.jpg	2433	9999-12-31	6065
31/2-E-6 H	15	1808-1812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_15_1808-1812m.jpg	2433	9999-12-31	6066
31/2-E-6 H	16	1812-1816m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_16_1812-1816m.jpg	2433	9999-12-31	6067
31/2-E-6 H	17	1816-1818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_17_1816-1818m.jpg	2433	9999-12-31	6068
31/2-E-6 H	18	1822-1826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_18_1822-1826m.jpg	2433	9999-12-31	6069
31/2-E-6 H	19	1826-1830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_19_1826-1830m.jpg	2433	9999-12-31	6070
31/2-E-6 H	20	1830-1834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_20_1830-1834m.jpg	2433	9999-12-31	6071
31/2-E-6 H	21	1834-1838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_21_1834-1838m.jpg	2433	9999-12-31	6072
31/2-E-6 H	22	1838-1841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_22_1838-1841m.jpg	2433	9999-12-31	6073
31/2-E-6 H	23	1841-1845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_23_1841-1845m.jpg	2433	9999-12-31	6074
31/2-E-6 H	24	1845-1849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_24_1845-1849m.jpg	2433	9999-12-31	6075
31/2-E-6 H	25	1849-1853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_25_1849-1853m.jpg	2433	9999-12-31	6076
31/2-E-6 H	26	1853-1855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_26_1853-1855m.jpg	2433	9999-12-31	6077
31/2-E-6 H	27	1855-1858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_27_1855-1858m.jpg	2433	9999-12-31	6078
31/2-E-6 H	28	1858-1861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_28_1858-1861m.jpg	2433	9999-12-31	6079
31/2-E-6 H	29	1861-1865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_29_1861-1865m.jpg	2433	9999-12-31	6080
31/2-E-6 H	30	1865-1866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_30_1865-1866m.jpg	2433	9999-12-31	6081
31/2-E-6 H	31	1867-1869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_31_1867-1869m.jpg	2433	9999-12-31	6082
31/2-E-6 H	32	1874-1877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_32_1874-1877m.jpg	2433	9999-12-31	6083
31/2-E-6 H	33	1877-1881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_33_1877-1881m.jpg	2433	9999-12-31	6084
31/2-E-6 H	34	1881-1885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_34_1881-1885m.jpg	2433	9999-12-31	6085
31/2-E-6 H	35	1885-1889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_35_1885-1889m.jpg	2433	9999-12-31	6086
31/2-E-6 H	36	1889-1890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_36_1889-1890m.jpg	2433	9999-12-31	6087
31/2-E-6 H	37	1890-1894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_37_1890-1894m.jpg	2433	9999-12-31	6088
31/2-E-6 H	38	1894-1898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_38_1894-1898m.jpg	2433	9999-12-31	6089
31/2-E-6 H	39	1898-1902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_39_1898-1902m.jpg	2433	9999-12-31	6090
31/2-E-6 H	40	1902-1903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_40_1902-1903m.jpg	2433	9999-12-31	6091
31/2-E-6 H	41	1903-1907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_41_1903-1907m.jpg	2433	9999-12-31	6092
31/2-E-6 H	42	1907-1911m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_42_1907-1911m.jpg	2433	9999-12-31	6093
31/2-E-6 H	43	1911-1915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_43_1911-1915m.jpg	2433	9999-12-31	6094
31/2-E-6 H	44	1915-1919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_44_1915-1919m.jpg	2433	9999-12-31	6095
31/2-E-6 H	45	1919-1922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2433_45_1919-1922m.jpg	2433	9999-12-31	6096
31/2-F-6 H	1	1862-1866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_01_1862-1866m.jpg	2324	9999-12-31	6097
31/2-F-6 H	2	1866-1869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_02_1866-1869m.jpg	2324	9999-12-31	6098
31/2-F-6 H	3	1869-1873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_03_1869-1873m.jpg	2324	9999-12-31	6099
31/2-F-6 H	4	1873-1877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_04_1873-1877m.jpg	2324	9999-12-31	6100
31/2-F-6 H	5	1877-1881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_05_1877-1881m.jpg	2324	9999-12-31	6101
31/2-F-6 H	6	1881-1885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_06_1881-1885m.jpg	2324	9999-12-31	6102
31/2-F-6 H	7	1885-1887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_07_1885-1887m.jpg	2324	9999-12-31	6103
31/2-F-6 H	8	1887-1891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_08_1887-1891m.jpg	2324	9999-12-31	6104
31/2-F-6 H	9	1891-1895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_09_1891-1895m.jpg	2324	9999-12-31	6105
31/2-F-6 H	10	1895-1899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_10_1895-1899m.jpg	2324	9999-12-31	6106
31/2-F-6 H	11	1899-1903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_11_1899-1903m.jpg	2324	9999-12-31	6107
31/2-F-6 H	12	1903-1906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_12_1903-1906m.jpg	2324	9999-12-31	6108
31/2-F-6 H	13	1906-1909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_13_1906-1909m.jpg	2324	9999-12-31	6109
31/2-F-6 H	14	1909-1913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_14_1909-1913m.jpg	2324	9999-12-31	6110
31/2-F-6 H	15	1913-1917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_15_1913-1917m.jpg	2324	9999-12-31	6111
31/2-F-6 H	16	1917-1921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_16_1917-1921m.jpg	2324	9999-12-31	6112
31/2-F-6 H	17	1921-1924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_17_1921-1924m.jpg	2324	9999-12-31	6113
31/2-F-6 H	18	1924-1927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_18_1924-1927m.jpg	2324	9999-12-31	6114
31/2-F-6 H	19	1927-1931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_19_1927-1931m.jpg	2324	9999-12-31	6115
31/2-F-6 H	20	1931-1935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_20_1931-1935m.jpg	2324	9999-12-31	6116
31/2-F-6 H	21	1935-1939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_21_1935-1939m.jpg	2324	9999-12-31	6117
31/2-F-6 H	22	1939-1942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_22_1939-1942m.jpg	2324	9999-12-31	6118
31/2-F-6 H	23	1941-1945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_23_1941-1945m.jpg	2324	9999-12-31	6119
31/2-F-6 H	24	1945-1949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_24_1945-1949m.jpg	2324	9999-12-31	6120
31/2-F-6 H	25	1949-1953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_25_1949-1953m.jpg	2324	9999-12-31	6121
31/2-F-6 H	26	1953-1957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_26_1953-1957m.jpg	2324	9999-12-31	6122
31/2-F-6 H	27	1957-1960m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_27_1957-1960m.jpg	2324	9999-12-31	6123
31/2-F-6 H	28	1960-1964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_28_1960-1964m.jpg	2324	9999-12-31	6124
31/2-F-6 H	29	1964-1968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_29_1964-1968m.jpg	2324	9999-12-31	6125
31/2-F-6 H	30	1968-1972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_30_1968-1972m.jpg	2324	9999-12-31	6126
31/2-F-6 H	31	1972-1976m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_31_1972-1976m.jpg	2324	9999-12-31	6127
31/2-F-6 H	32	1976-1978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_32_1976-1978m.jpg	2324	9999-12-31	6128
31/2-F-6 H	33	1978-1982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_33_1978-1982m.jpg	2324	9999-12-31	6129
31/2-F-6 H	34	1982-1986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_34_1982-1986m.jpg	2324	9999-12-31	6130
31/2-F-6 H	35	1986-1990m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_35_1986-1990m.jpg	2324	9999-12-31	6131
31/2-F-6 H	36	1990-1994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_36_1990-1994m.jpg	2324	9999-12-31	6132
31/2-F-6 H	37	1994-1996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2324_37_1994-1996m.jpg	2324	9999-12-31	6133
31/2-G-4 H	1	1596-1600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_01_1596-1600m.jpg	2307	9999-12-31	6134
31/2-G-4 H	2	1600-1604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_02_1600-1604m.jpg	2307	9999-12-31	6135
31/2-G-4 H	3	1604-1608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_03_1604-1608m.jpg	2307	9999-12-31	6136
31/2-G-4 H	4	1608-1612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_04_1608-1612m.jpg	2307	9999-12-31	6137
31/2-G-4 H	5	1612-1614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_05_1612-1614m.jpg	2307	9999-12-31	6138
31/2-G-4 H	6	1614-1618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_06_1614-1618m.jpg	2307	9999-12-31	6139
31/2-G-4 H	7	1618-1622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_07_1618-1622m.jpg	2307	9999-12-31	6140
31/2-G-4 H	8	1622-1626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_08_1622-1626m.jpg	2307	9999-12-31	6141
31/2-G-4 H	9	1626-1630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_09_1626-1630m.jpg	2307	9999-12-31	6142
31/2-G-4 H	10	1630-1632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_10_1630-1632m.jpg	2307	9999-12-31	6143
31/2-G-4 H	11	1632-1636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_11_1632-1636m.jpg	2307	9999-12-31	6144
31/2-G-4 H	12	1636-1640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_12_1636-1640m.jpg	2307	9999-12-31	6145
31/2-G-4 H	13	1640-1644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_13_1640-1644m.jpg	2307	9999-12-31	6146
31/2-G-4 H	14	1644-1648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_14_1644-1648m.jpg	2307	9999-12-31	6147
31/2-G-4 H	15	1648-1650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_15_1648-1650m.jpg	2307	9999-12-31	6148
31/2-G-4 H	16	1650-1654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_16_1650-1654m.jpg	2307	9999-12-31	6149
31/2-G-4 H	17	1654-1658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_17_1654-1658m.jpg	2307	9999-12-31	6150
31/2-G-4 H	18	1658-1662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_18_1658-1662m.jpg	2307	9999-12-31	6151
31/2-G-4 H	19	1662-1666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_19_1662-1666m.jpg	2307	9999-12-31	6152
31/2-G-4 H	20	1666-1668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_20_1666-1668m.jpg	2307	9999-12-31	6153
31/2-G-4 H	21	1668-1672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_21_1668-1672m.jpg	2307	9999-12-31	6154
31/2-G-4 H	22	1672-1676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_22_1672-1676m.jpg	2307	9999-12-31	6155
31/2-G-4 H	23	1676-1680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_23_1676-1680m.jpg	2307	9999-12-31	6156
31/2-G-4 H	24	1680-1684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_24_1680-1684m.jpg	2307	9999-12-31	6157
31/2-G-4 H	25	1684-1686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_25_1684-1686m.jpg	2307	9999-12-31	6158
31/2-G-4 H	26	1686-1690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_26_1686-1690m.jpg	2307	9999-12-31	6159
31/2-G-4 H	27	1690-1694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_27_1690-1694m.jpg	2307	9999-12-31	6160
31/2-G-4 H	28	1694-1698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_28_1694-1698m.jpg	2307	9999-12-31	6161
31/2-G-4 H	29	1698-1702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_29_1698-1702m.jpg	2307	9999-12-31	6162
31/2-G-4 H	30	1702-1705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_30_1702-1705m.jpg	2307	9999-12-31	6163
31/2-G-4 H	31	1705-1709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_31_1705-1709m.jpg	2307	9999-12-31	6164
31/2-G-4 H	32	1709-1713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_32_1709-1713m.jpg	2307	9999-12-31	6165
31/2-G-4 H	33	1713-1717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_33_1713-1717m.jpg	2307	9999-12-31	6166
31/2-G-4 H	34	1717-1721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_34_1717-1721m.jpg	2307	9999-12-31	6167
31/2-G-4 H	35	1721-1723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_35_1721-1723m.jpg	2307	9999-12-31	6168
31/2-G-4 H	36	1723-1727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_36_1723-1727m.jpg	2307	9999-12-31	6169
31/2-G-4 H	36	1727-1731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_36_1727-1731m.jpg	2307	9999-12-31	6170
31/2-G-4 H	37	1731-1735m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_37_1731-1735m.jpg	2307	9999-12-31	6171
31/2-G-4 H	38	1735-1739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_38_1735-1739m.jpg	2307	9999-12-31	6172
31/2-G-4 H	39	1739-1742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_39_1739-1742m.jpg	2307	9999-12-31	6173
31/2-G-4 H	40	1742-1746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_40_1742-1746m.jpg	2307	9999-12-31	6174
31/2-G-4 H	41	1746-1750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_41_1746-1750m.jpg	2307	9999-12-31	6175
31/2-G-4 H	42	1750-1754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_42_1750-1754m.jpg	2307	9999-12-31	6176
31/2-G-4 H	43	1754-1758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_43_1754-1758m.jpg	2307	9999-12-31	6177
31/2-G-4 H	44	1758-1761m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2307_44_1758-1761m.jpg	2307	9999-12-31	6178
31/2-L-41	1	1488-1492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_01_1488-1492m.jpg	3308	9999-12-31	6179
31/2-L-41	2	1492-1496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_02_1492-1496m.jpg	3308	9999-12-31	6180
31/2-L-41	3	1496-1500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_03_1496-1500m.jpg	3308	9999-12-31	6181
31/2-L-41	4	1500-1504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_04_1500-1504m.jpg	3308	9999-12-31	6182
31/2-L-41	5	1504-1505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_05_1504-1505m.jpg	3308	9999-12-31	6183
31/2-L-41	6	1505-1509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_06_1505-1509m.jpg	3308	9999-12-31	6184
31/2-L-41	7	1509-1513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_07_1509-1513m.jpg	3308	9999-12-31	6185
31/2-L-41	8	1513-1517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_08_1513-1517m.jpg	3308	9999-12-31	6186
31/2-L-41	9	1517-1521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_09_1517-1521m.jpg	3308	9999-12-31	6187
31/2-L-41	10	1521-1523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_10_1521-1523m.jpg	3308	9999-12-31	6188
31/2-L-41	11	1523-1527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_11_1523-1527m.jpg	3308	9999-12-31	6189
31/2-L-41	12	1527-1531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_12_1527-1531m.jpg	3308	9999-12-31	6190
31/2-L-41	13	1531-1535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_13_1531-1535m.jpg	3308	9999-12-31	6191
31/2-L-41	14	1535-1539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_14_1535-1539m.jpg	3308	9999-12-31	6192
31/2-L-41	15	1539-1542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_15_1539-1542m.jpg	3308	9999-12-31	6193
31/2-L-41	16	1542-1546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_16_1542-1546m.jpg	3308	9999-12-31	6194
31/2-L-41	17	1546-1550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_17_1546-1550m.jpg	3308	9999-12-31	6195
31/2-L-41	18	1550-1554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_18_1550-1554m.jpg	3308	9999-12-31	6196
31/2-L-41	19	1554-1558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_19_1554-1558m.jpg	3308	9999-12-31	6197
31/2-L-41	20	1558-1559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_20_1558-1559m.jpg	3308	9999-12-31	6198
31/2-L-41	21	1559-1563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_21_1559-1563m.jpg	3308	9999-12-31	6199
31/2-L-41	22	1563-1567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_22_1563-1567m.jpg	3308	9999-12-31	6200
31/2-L-41	23	1567-1571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_23_1567-1571m.jpg	3308	9999-12-31	6201
31/2-L-41	24	1571-1575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_24_1571-1575m.jpg	3308	9999-12-31	6202
31/2-L-41	25	1575-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_25_1575-1577m.jpg	3308	9999-12-31	6203
31/2-L-41	26	1577-1581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_26_1577-1581m.jpg	3308	9999-12-31	6204
31/2-L-41	27	1581-1585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_27_1581-1585m.jpg	3308	9999-12-31	6205
31/2-L-41	28	1585-1589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_28_1585-1589m.jpg	3308	9999-12-31	6206
31/2-L-41	29	1589-1593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_29_1589-1593m.jpg	3308	9999-12-31	6207
31/2-L-41	30	1593-1596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_30_1593-1596m.jpg	3308	9999-12-31	6208
31/2-L-41	31	1596-1600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_31_1596-1600m.jpg	3308	9999-12-31	6209
31/2-L-41	32	1600-1604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_32_1600-1604m.jpg	3308	9999-12-31	6210
31/2-L-41	33	1604-1608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_33_1604-1608m.jpg	3308	9999-12-31	6211
31/2-L-41	34	1608-1612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_34_1608-1612m.jpg	3308	9999-12-31	6212
31/2-L-41	35	1612-1613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3308_35_1612-1613m.jpg	3308	9999-12-31	6213
31/2-M-41	1	1497-1502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_01_1497-1502m.jpg	3072	9999-12-31	6214
31/2-M-41	2	1502-1507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_02_1502-1507m.jpg	3072	9999-12-31	6215
31/2-M-41	3	1507-1511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_03_1507-1511m.jpg	3072	9999-12-31	6216
31/2-M-41	4	1511-1515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_04_1511-1515m.jpg	3072	9999-12-31	6217
31/2-M-41	5	1515-1520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_05_1515-1520m.jpg	3072	9999-12-31	6218
31/2-M-41	6	1520-1525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_06_1520-1525m.jpg	3072	9999-12-31	6219
31/2-M-41	7	1525-1527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_07_1525-1527m.jpg	3072	9999-12-31	6220
31/2-M-41	8	1528-1533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_08_1528-1533m.jpg	3072	9999-12-31	6221
31/2-M-41	9	1533-1538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_09_1533-1538m.jpg	3072	9999-12-31	6222
31/2-M-41	10	1538-1543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_10_1538-1543m.jpg	3072	9999-12-31	6223
31/2-M-41	11	1543-1545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_11_1543-1545m.jpg	3072	9999-12-31	6224
31/2-M-41	12	1546-1551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_12_1546-1551m.jpg	3072	9999-12-31	6225
31/2-M-41	13	1551-1556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_13_1551-1556m.jpg	3072	9999-12-31	6226
31/2-M-41	14	1556-1561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_14_1556-1561m.jpg	3072	9999-12-31	6227
31/2-M-41	15	1561-1564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_15_1561-1564m.jpg	3072	9999-12-31	6228
31/2-M-41	16	1564-1569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_16_1564-1569m.jpg	3072	9999-12-31	6229
31/2-M-41	17	1569-1570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_17_1569-1570m.jpg	3072	9999-12-31	6230
31/2-M-41	18	1570-1575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_18_1570-1575m.jpg	3072	9999-12-31	6231
31/2-M-41	19	1575-1580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_19_1575-1580m.jpg	3072	9999-12-31	6232
31/2-M-41	20	1580-1581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_20_1580-1581m.jpg	3072	9999-12-31	6233
31/2-M-41	21	1581-1586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_21_1581-1586m.jpg	3072	9999-12-31	6234
31/2-M-41	22	1586-1591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_22_1586-1591m.jpg	3072	9999-12-31	6235
31/2-M-41	23	1591-1592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_23_1591-1592m.jpg	3072	9999-12-31	6236
31/2-M-41	24	1594-1599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_24_1594-1599m.jpg	3072	9999-12-31	6237
31/2-M-41	25	1599-1603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_25_1599-1603m.jpg	3072	9999-12-31	6238
31/2-M-41	26	1604-1609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_26_1604-1609m.jpg	3072	9999-12-31	6239
31/2-M-41	27	1609-1614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_27_1609-1614m.jpg	3072	9999-12-31	6240
31/2-M-41	28	1614-1616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_28_1614-1616m.jpg	3072	9999-12-31	6241
31/2-M-41	29	1616-1621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_29_1616-1621m.jpg	3072	9999-12-31	6242
31/2-M-41	30	1621-1626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_30_1621-1626m.jpg	3072	9999-12-31	6243
31/2-M-41	31	1626-1631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_31_1626-1631m.jpg	3072	9999-12-31	6244
31/2-M-41	32	1631-1634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3072_32_1631-1634m.jpg	3072	9999-12-31	6245
31/2-P-41	1	1502-1507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_01_1502-1507m.jpg	3247	9999-12-31	6246
31/2-P-41	2	1507-1512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_02_1507-1512m.jpg	3247	9999-12-31	6247
31/2-P-41	3	1512-1517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_03_1512-1517m.jpg	3247	9999-12-31	6248
31/2-P-41	4	1517-1519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_04_1517-1519m.jpg	3247	9999-12-31	6249
31/2-P-41	5	1520-1525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_05_1520-1525m.jpg	3247	9999-12-31	6250
31/2-P-41	6	1525-1530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_06_1525-1530m.jpg	3247	9999-12-31	6251
31/2-P-41	7	1530-1535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_07_1530-1535m.jpg	3247	9999-12-31	6252
31/2-P-41	8	1535-1538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_08_1535-1538m.jpg	3247	9999-12-31	6253
31/2-P-41	9	1538-1543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_09_1538-1543m.jpg	3247	9999-12-31	6254
31/2-P-41	10	1543-1548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_10_1543-1548m.jpg	3247	9999-12-31	6255
31/2-P-41	11	1548-1553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_11_1548-1553m.jpg	3247	9999-12-31	6256
31/2-P-41	12	1553-1555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_12_1553-1555m.jpg	3247	9999-12-31	6257
31/2-P-41	13	1556-1561 m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_13_1556-1561 m.jpg	3247	9999-12-31	6258
31/2-P-41	14	1561-1566 m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_14_1561-1566 m.jpg	3247	9999-12-31	6259
31/2-P-41	15	1566-1571 m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_15_1566-1571 m.jpg	3247	9999-12-31	6260
31/2-P-41	16	1571-1574 m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_16_1571-1574 m.jpg	3247	9999-12-31	6261
31/2-P-41	17	1574-1579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_17_1574-1579m.jpg	3247	9999-12-31	6262
31/2-P-41	18	1579-1584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_18_1579-1584m.jpg	3247	9999-12-31	6263
31/2-P-41	19	1584-1589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_19_1584-1589m.jpg	3247	9999-12-31	6264
31/2-P-41	20	1589-1592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_20_1589-1592m.jpg	3247	9999-12-31	6265
31/2-P-41	21	1592-1597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_21_1592-1597m.jpg	3247	9999-12-31	6266
31/2-P-41	22	1597-1602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_22_1597-1602m.jpg	3247	9999-12-31	6267
31/2-P-41	23	1602-1607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_23_1602-1607m.jpg	3247	9999-12-31	6268
31/2-P-41	24	1607-1610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_24_1607-1610m.jpg	3247	9999-12-31	6269
31/2-P-41	25	1610-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_25_1610-1615m.jpg	3247	9999-12-31	6270
31/2-P-41	26	1615-1616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_26_1615-1616m.jpg	3247	9999-12-31	6271
31/2-P-41	27	1616-1617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_27_1616-1617m.jpg	3247	9999-12-31	6272
31/2-P-41	28	1634-1639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_28_1634-1639m.jpg	3247	9999-12-31	6273
31/2-P-41	29	1639-1644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_29_1639-1644m.jpg	3247	9999-12-31	6274
31/2-P-41	30	1644-1649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_30_1644-1649m.jpg	3247	9999-12-31	6275
31/2-P-41	31	1649-1652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3247_31_1649-1652m.jpg	3247	9999-12-31	6276
31/2-S-13 H	1	3483-3488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_01_3483-3488m.jpg	3591	9999-12-31	6277
31/2-S-13 H	2	3488-3493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_02_3488-3493m.jpg	3591	9999-12-31	6278
31/2-S-13 H	3	3493-3495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_03_3493-3495m.jpg	3591	9999-12-31	6279
31/2-S-13 H	4	3497-3502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_04_3497-3502m.jpg	3591	9999-12-31	6280
31/2-S-13 H	5	3502-3507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_05_3502-3507m.jpg	3591	9999-12-31	6281
31/2-S-13 H	6	3507-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_06_3507-3512m.jpg	3591	9999-12-31	6282
31/2-S-13 H	7	3512-3517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_07_3512-3517m.jpg	3591	9999-12-31	6283
31/2-S-13 H	8	3517-3522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_08_3517-3522m.jpg	3591	9999-12-31	6284
31/2-S-13 H	9	3522-3524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_09_3522-3524m.jpg	3591	9999-12-31	6285
31/2-S-13 H	10	3524-3529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_10_3524-3529m.jpg	3591	9999-12-31	6286
31/2-S-13 H	11	3529-3534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_11_3529-3534m.jpg	3591	9999-12-31	6287
31/2-S-13 H	12	3534-3539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_12_3534-3539m.jpg	3591	9999-12-31	6288
31/2-S-13 H	13	3539-3544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_13_3539-3544m.jpg	3591	9999-12-31	6289
31/2-S-13 H	14	3544-3549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_14_3544-3549m.jpg	3591	9999-12-31	6290
31/2-S-13 H	15	3549-3554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_15_3549-3554m.jpg	3591	9999-12-31	6291
31/2-S-13 H	16	3554-3559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_16_3554-3559m.jpg	3591	9999-12-31	6292
31/2-S-13 H	17	3559-3564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_17_3559-3564m.jpg	3591	9999-12-31	6293
31/2-S-13 H	18	3564-3569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_18_3564-3569m.jpg	3591	9999-12-31	6294
31/2-S-13 H	19	3569-3574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_19_3569-3574m.jpg	3591	9999-12-31	6295
31/2-S-13 H	20	3574-3579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_20_3574-3579m.jpg	3591	9999-12-31	6296
31/2-S-13 H	21	3579-3584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_21_3579-3584m.jpg	3591	9999-12-31	6297
31/2-S-13 H	22	3584-3589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_22_3584-3589m.jpg	3591	9999-12-31	6298
31/2-S-13 H	23	3589-3594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_23_3589-3594m.jpg	3591	9999-12-31	6299
31/2-S-13 H	24	3594-3599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_24_3594-3599m.jpg	3591	9999-12-31	6300
31/2-S-13 H	25	3599-3604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_25_3599-3604m.jpg	3591	9999-12-31	6301
31/2-S-13 H	26	3604-3609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_26_3604-3609m.jpg	3591	9999-12-31	6302
31/2-S-13 H	27	3409-3614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_27_3409-3614m.jpg	3591	9999-12-31	6303
31/2-S-13 H	28	3614-3619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_28_3614-3619m.jpg	3591	9999-12-31	6304
31/2-S-13 H	29	3419-3624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_29_3419-3624m.jpg	3591	9999-12-31	6305
31/2-S-13 H	30	3624-3629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_30_3624-3629m.jpg	3591	9999-12-31	6306
31/2-S-13 H	31	3429-3634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_31_3429-3634m.jpg	3591	9999-12-31	6307
31/2-S-13 H	32	3634-3639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_32_3634-3639m.jpg	3591	9999-12-31	6308
31/2-S-13 H	33	3639-3644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_33_3639-3644m.jpg	3591	9999-12-31	6309
31/2-S-13 H	34	3644-3649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_34_3644-3649m.jpg	3591	9999-12-31	6310
31/2-S-13 H	35	3649-3654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_35_3649-3654m.jpg	3591	9999-12-31	6311
31/2-S-13 H	36	3654-3659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_36_3654-3659m.jpg	3591	9999-12-31	6312
31/2-S-13 H	37	3659-3664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_37_3659-3664m.jpg	3591	9999-12-31	6313
31/2-S-13 H	38	3664-3669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_38_3664-3669m.jpg	3591	9999-12-31	6314
31/2-S-13 H	39	3669-3674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_39_3669-3674m.jpg	3591	9999-12-31	6315
31/2-S-13 H	40	3674-3679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_40_3674-3679m.jpg	3591	9999-12-31	6316
31/2-S-13 H	41	3679-3684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_41_3679-3684m.jpg	3591	9999-12-31	6317
31/2-S-13 H	42	3684-3689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3591_42_3684-3689m.jpg	3591	9999-12-31	6318
31/3-1	1	1351-1356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_01_1351-1356m.jpg	20	9999-12-31	6319
31/3-1	2	1356-1361m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_02_1356-1361m.jpg	20	9999-12-31	6320
31/3-1	3	1361-1362m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_03_1361-1362m.jpg	20	9999-12-31	6321
31/3-1	4	1366-1371m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_04_1366-1371m.jpg	20	9999-12-31	6322
31/3-1	5	1371-1372m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_05_1371-1372m.jpg	20	9999-12-31	6323
31/3-1	6	1372-1377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_06_1372-1377m.jpg	20	9999-12-31	6324
31/3-1	7	1377-1382m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_07_1377-1382m.jpg	20	9999-12-31	6325
31/3-1	8	1382-1387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_08_1382-1387m.jpg	20	9999-12-31	6326
31/3-1	9	1387-1390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_09_1387-1390m.jpg	20	9999-12-31	6327
31/3-1	10	1391-1396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_10_1391-1396m.jpg	20	9999-12-31	6328
31/3-1	11	1396-1401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_11_1396-1401m.jpg	20	9999-12-31	6329
31/3-1	12	1401-1405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_12_1401-1405m.jpg	20	9999-12-31	6330
31/3-1	13	1406-1411m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_13_1406-1411m.jpg	20	9999-12-31	6331
31/3-1	14	1411-1416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_14_1411-1416m.jpg	20	9999-12-31	6332
31/3-1	15	1416-1421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_15_1416-1421m.jpg	20	9999-12-31	6333
31/3-1	16	1421-1424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_16_1421-1424m.jpg	20	9999-12-31	6334
31/3-1	17	1424-1429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_17_1424-1429m.jpg	20	9999-12-31	6335
31/3-1	18	1429-1434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_18_1429-1434m.jpg	20	9999-12-31	6336
31/3-1	19	1434-1439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_19_1434-1439m.jpg	20	9999-12-31	6337
31/3-1	20	1439-1442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_20_1439-1442m.jpg	20	9999-12-31	6338
31/3-1	21	1442-1447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_21_1442-1447m.jpg	20	9999-12-31	6339
31/3-1	22	1447-1452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_22_1447-1452m.jpg	20	9999-12-31	6340
31/3-1	23	1452-1457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_23_1452-1457m.jpg	20	9999-12-31	6341
31/3-1	24	1457-1461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_24_1457-1461m.jpg	20	9999-12-31	6342
31/3-1	25	1461-1466m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_25_1461-1466m.jpg	20	9999-12-31	6343
31/3-1	26	1466-1471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_26_1466-1471m.jpg	20	9999-12-31	6344
31/3-1	27	1471-1476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_27_1471-1476m.jpg	20	9999-12-31	6345
31/3-1	28	1476-1480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_28_1476-1480m.jpg	20	9999-12-31	6346
31/3-1	29	1480-1485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_29_1480-1485m.jpg	20	9999-12-31	6347
31/3-1	30	1485-1490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_30_1485-1490m.jpg	20	9999-12-31	6348
31/3-1	31	1490-1495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_31_1490-1495m.jpg	20	9999-12-31	6349
31/3-1	32	1495-1498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_32_1495-1498m.jpg	20	9999-12-31	6350
31/3-1	33	1498-1503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_33_1498-1503m.jpg	20	9999-12-31	6351
31/3-1	34	1503-1508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_34_1503-1508m.jpg	20	9999-12-31	6352
31/3-1	35	1508-1513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_35_1508-1513m.jpg	20	9999-12-31	6353
31/3-1	36	1513-1516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_36_1513-1516m.jpg	20	9999-12-31	6354
31/3-1	37	1516-1521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_37_1516-1521m.jpg	20	9999-12-31	6355
31/3-1	38	1521-1526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_38_1521-1526m.jpg	20	9999-12-31	6356
31/3-1	39	1526-1531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_39_1526-1531m.jpg	20	9999-12-31	6357
31/3-1	40	1531-1535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_40_1531-1535m.jpg	20	9999-12-31	6358
31/3-1	41	1535-1540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_41_1535-1540m.jpg	20	9999-12-31	6359
31/3-1	42	1540-1545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_42_1540-1545m.jpg	20	9999-12-31	6360
31/3-1	43	1545-1550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_43_1545-1550m.jpg	20	9999-12-31	6361
31/3-1	44	1550-1553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_44_1550-1553m.jpg	20	9999-12-31	6362
31/3-1	45	1553-1558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_45_1553-1558m.jpg	20	9999-12-31	6363
31/3-1	46	1558-1563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_46_1558-1563m.jpg	20	9999-12-31	6364
31/3-1	47	1563-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_47_1563-1568m.jpg	20	9999-12-31	6365
31/3-1	48	1568-1572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_48_1568-1572m.jpg	20	9999-12-31	6366
31/3-1	49	1572-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_49_1572-1577m.jpg	20	9999-12-31	6367
31/3-1	50	1577-1581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_50_1577-1581m.jpg	20	9999-12-31	6368
31/3-1	51	1582-1587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_51_1582-1587m.jpg	20	9999-12-31	6369
31/3-1	52	1587-1590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_52_1587-1590m.jpg	20	9999-12-31	6370
31/3-1	53	1591-1596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_53_1591-1596m.jpg	20	9999-12-31	6371
31/3-1	54	1596-1601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_54_1596-1601m.jpg	20	9999-12-31	6372
31/3-1	55	1601-1605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_55_1601-1605m.jpg	20	9999-12-31	6373
31/3-1	56	1606-1610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/20_56_1606-1610m.jpg	20	9999-12-31	6374
31/3-2	1	1565-1570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_01_1565-1570m.jpg	100	9999-12-31	6375
31/3-2	2	1570-1575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_02_1570-1575m.jpg	100	9999-12-31	6376
31/3-2	3	1575-1576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_03_1575-1576m.jpg	100	9999-12-31	6377
31/3-2	4	1581-1586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_04_1581-1586m.jpg	100	9999-12-31	6378
31/3-2	5	1586-1590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_05_1586-1590m.jpg	100	9999-12-31	6379
31/3-2	6	1593-1598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_06_1593-1598m.jpg	100	9999-12-31	6380
31/3-2	7	1598-1603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_07_1598-1603m.jpg	100	9999-12-31	6381
31/3-2	8	1603-1606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_08_1603-1606m.jpg	100	9999-12-31	6382
31/3-2	9	1608-1613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_09_1608-1613m.jpg	100	9999-12-31	6383
31/3-2	10	1613-1618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_10_1613-1618m.jpg	100	9999-12-31	6384
31/3-2	11	1618-1623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_11_1618-1623m.jpg	100	9999-12-31	6385
31/3-2	12	1623-1626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_12_1623-1626m.jpg	100	9999-12-31	6386
31/3-2	13	1626-1631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_13_1626-1631m.jpg	100	9999-12-31	6387
31/3-2	14	1631-1636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_14_1631-1636m.jpg	100	9999-12-31	6388
31/3-2	15	1626-1639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/100_15_1626-1639m.jpg	100	9999-12-31	6389
31/3-3	1	1580-1585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_01_1580-1585m.jpg	447	9999-12-31	6390
31/3-3	2	1585-1590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_02_1585-1590m.jpg	447	9999-12-31	6391
31/3-3	3	1590-1595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_03_1590-1595m.jpg	447	9999-12-31	6392
31/3-3	4	1595-1596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_04_1595-1596m.jpg	447	9999-12-31	6393
31/3-3	5	1764-1769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_05_1764-1769m.jpg	447	9999-12-31	6394
31/3-3	6	1769-1774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_06_1769-1774m.jpg	447	9999-12-31	6395
31/3-3	7	1774-1779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_07_1774-1779m.jpg	447	9999-12-31	6396
31/3-3	8	1779-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_08_1779-1782m.jpg	447	9999-12-31	6397
31/3-3	9	1782-1787m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_09_1782-1787m.jpg	447	9999-12-31	6398
31/3-3	10	1787-1792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_10_1787-1792m.jpg	447	9999-12-31	6399
31/3-3	11	1792-1797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_11_1792-1797m.jpg	447	9999-12-31	6400
31/3-3	12	1797-1802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_12_1797-1802m.jpg	447	9999-12-31	6401
31/3-3	13	1802-1807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_13_1802-1807m.jpg	447	9999-12-31	6402
31/3-3	14	1807-1810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_14_1807-1810m.jpg	447	9999-12-31	6403
31/3-3	15	1810-1815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_15_1810-1815m.jpg	447	9999-12-31	6404
31/3-3	16	1815-1820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_16_1815-1820m.jpg	447	9999-12-31	6405
31/3-3	17	1820-1825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_17_1820-1825m.jpg	447	9999-12-31	6406
31/3-3	18	1825-1830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_18_1825-1830m.jpg	447	9999-12-31	6407
31/3-3	19	1830-1835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_19_1830-1835m.jpg	447	9999-12-31	6408
31/3-3	20	1835-1837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_20_1835-1837m.jpg	447	9999-12-31	6409
31/3-3	21	1837-1842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_21_1837-1842m.jpg	447	9999-12-31	6410
31/3-3	22	1842-1847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_22_1842-1847m.jpg	447	9999-12-31	6411
31/3-3	23	1847-1852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_23_1847-1852m.jpg	447	9999-12-31	6412
31/3-3	24	1852-1857m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_24_1852-1857m.jpg	447	9999-12-31	6413
31/3-3	25	1857-1858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_25_1857-1858m.jpg	447	9999-12-31	6414
31/3-3	26	1861-1866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_26_1861-1866m.jpg	447	9999-12-31	6415
31/3-3	27	1866-1871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_27_1866-1871m.jpg	447	9999-12-31	6416
31/3-3	28	1871-1876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_28_1871-1876m.jpg	447	9999-12-31	6417
31/3-3	29	1876-1881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_29_1876-1881m.jpg	447	9999-12-31	6418
31/3-3	30	1881-1886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_30_1881-1886m.jpg	447	9999-12-31	6419
31/3-3	31	1886-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_31_1886-1888m.jpg	447	9999-12-31	6420
31/3-3	32	1888-1893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_32_1888-1893m.jpg	447	9999-12-31	6421
31/3-3	33	1893-1898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_33_1893-1898m.jpg	447	9999-12-31	6422
31/3-3	34	1898-1903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_34_1898-1903m.jpg	447	9999-12-31	6423
31/3-3	35	1903-1908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_35_1903-1908m.jpg	447	9999-12-31	6424
31/3-3	36	1908-1913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_36_1908-1913m.jpg	447	9999-12-31	6425
31/3-3	37	1913-1916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/447_37_1913-1916m.jpg	447	9999-12-31	6426
31/4-4	1	2490-2492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/214_01_2490-2492m.jpg	214	9999-12-31	6427
31/4-4	2	2492-2495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/214_02_2492-2495m.jpg	214	9999-12-31	6428
31/4-4	3	2495-2498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/214_03_2495-2498m.jpg	214	9999-12-31	6429
31/4-4	4	2498-2500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/214_04_2498-2500m.jpg	214	9999-12-31	6430
31/4-4	5	2500-2503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/214_05_2500-2503m.jpg	214	9999-12-31	6431
31/4-4	6	2503-2506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/214_06_2503-2506m.jpg	214	9999-12-31	6432
31/4-4	7	2506-2508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/214_07_2506-2508m.jpg	214	9999-12-31	6433
31/4-A-12	1	2768-2773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_01_2768-2773m.jpg	2485	9999-12-31	6434
31/4-A-12	2	2773-2778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_02_2773-2778m.jpg	2485	9999-12-31	6435
31/4-A-12	3	2778-2783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_03_2778-2783m.jpg	2485	9999-12-31	6436
31/4-A-12	4	2783-2788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_04_2783-2788m.jpg	2485	9999-12-31	6437
31/4-A-12	5	2788-2793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_05_2788-2793m.jpg	2485	9999-12-31	6438
31/4-A-12	6	2793-2798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_06_2793-2798m.jpg	2485	9999-12-31	6439
31/4-A-12	7	2798-2803m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_07_2798-2803m.jpg	2485	9999-12-31	6440
31/4-A-12	8	2803-2808m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_08_2803-2808m.jpg	2485	9999-12-31	6441
31/4-A-12	9	2808-2813m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_09_2808-2813m.jpg	2485	9999-12-31	6442
31/4-A-12	10	2813-2818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_10_2813-2818m.jpg	2485	9999-12-31	6443
31/4-A-12	11	2818-2823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_11_2818-2823m.jpg	2485	9999-12-31	6444
31/4-A-12	12	2823-2823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_12_2823-2823m.jpg	2485	9999-12-31	6445
31/4-A-12	13	2823-2828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_13_2823-2828m.jpg	2485	9999-12-31	6446
31/4-A-12	14	2828-2833m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_14_2828-2833m.jpg	2485	9999-12-31	6447
31/4-A-12	15	2833-2838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_15_2833-2838m.jpg	2485	9999-12-31	6448
31/4-A-12	16	2838-2843m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_16_2838-2843m.jpg	2485	9999-12-31	6449
31/4-A-12	17	2843-2848m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_17_2843-2848m.jpg	2485	9999-12-31	6450
31/4-A-12	18	2848-2853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_18_2848-2853m.jpg	2485	9999-12-31	6451
31/4-A-12	19	2853-2858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_19_2853-2858m.jpg	2485	9999-12-31	6452
31/4-A-12	20	2858-2863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_20_2858-2863m.jpg	2485	9999-12-31	6453
31/4-A-12	21	2863-2864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2485_21_2863-2864m.jpg	2485	9999-12-31	6454
31/4-A-13	1	3703-3708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_01_3703-3708m.jpg	2328	9999-12-31	6455
31/4-A-13	2	3708-3713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_02_3708-3713m.jpg	2328	9999-12-31	6456
31/4-A-13	3	3713-3718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_03_3713-3718m.jpg	2328	9999-12-31	6457
31/4-A-13	4	3718-3723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_04_3718-3723m.jpg	2328	9999-12-31	6458
31/4-A-13	5	3723-3728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_05_3723-3728m.jpg	2328	9999-12-31	6459
31/4-A-13	6	3728-3731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_06_3728-3731m.jpg	2328	9999-12-31	6460
31/4-A-13	7	3731-3736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_07_3731-3736m.jpg	2328	9999-12-31	6461
31/4-A-13	8	3738-3741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_08_3738-3741m.jpg	2328	9999-12-31	6462
31/4-A-13	9	3741-3746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_09_3741-3746m.jpg	2328	9999-12-31	6463
31/4-A-13	10	3746-3751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_10_3746-3751m.jpg	2328	9999-12-31	6464
31/4-A-13	11	3751-3756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_11_3751-3756m.jpg	2328	9999-12-31	6465
31/4-A-13	12	3756-3759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2328_12_3756-3759m.jpg	2328	9999-12-31	6466
31/4-A-14	1	5049-5054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_01_5049-5054m.jpg	2443	9999-12-31	6467
31/4-A-14	2	5054-5059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_02_5054-5059m.jpg	2443	9999-12-31	6468
31/4-A-14	3	5059-5064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_03_5059-5064m.jpg	2443	9999-12-31	6469
31/4-A-14	4	5064-5069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_04_5064-5069m.jpg	2443	9999-12-31	6470
31/4-A-14	5	5069-5074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_05_5069-5074m.jpg	2443	9999-12-31	6471
31/4-A-14	6	5074-5076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_06_5074-5076m.jpg	2443	9999-12-31	6472
31/4-A-14	7	5076-5081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_07_5076-5081m.jpg	2443	9999-12-31	6473
31/4-A-14	8	5081-5086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_08_5081-5086m.jpg	2443	9999-12-31	6474
31/4-A-14	9	5086-5091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_09_5086-5091m.jpg	2443	9999-12-31	6475
31/4-A-14	10	5091-5096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_10_5091-5096m.jpg	2443	9999-12-31	6476
31/4-A-14	11	5096-5101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_11_5096-5101m.jpg	2443	9999-12-31	6477
31/4-A-14	12	5101-5106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_12_5101-5106m.jpg	2443	9999-12-31	6478
31/4-A-14	13	5106-5111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_13_5106-5111m.jpg	2443	9999-12-31	6479
31/4-A-14	14	5111-5112m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_14_5111-5112m.jpg	2443	9999-12-31	6480
31/4-A-14	15	5159-5164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_15_5159-5164m.jpg	2443	9999-12-31	6481
31/4-A-14	16	5164-5169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_16_5164-5169m.jpg	2443	9999-12-31	6482
31/4-A-14	17	5169-5174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_17_5169-5174m.jpg	2443	9999-12-31	6483
31/4-A-14	18	5174-5179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_18_5174-5179m.jpg	2443	9999-12-31	6484
31/4-A-14	19	5179-5184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_19_5179-5184m.jpg	2443	9999-12-31	6485
31/4-A-14	20	5184-5187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_20_5184-5187m.jpg	2443	9999-12-31	6486
31/4-A-14	21	5186-5191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_21_5186-5191m.jpg	2443	9999-12-31	6487
31/4-A-14	22	5191-5196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_22_5191-5196m.jpg	2443	9999-12-31	6488
31/4-A-14	23	5196-5201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_23_5196-5201m.jpg	2443	9999-12-31	6489
31/4-A-14	24	5201-5206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_24_5201-5206m.jpg	2443	9999-12-31	6490
31/4-A-14	25	5206-5211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_25_5206-5211m.jpg	2443	9999-12-31	6491
31/4-A-14	26	5211-5216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_26_5211-5216m.jpg	2443	9999-12-31	6492
31/4-A-14	27	5216-5221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_27_5216-5221m.jpg	2443	9999-12-31	6493
31/4-A-14	28	5221-5222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2443_28_5221-5222m.jpg	2443	9999-12-31	6494
31/4-A-17 A	1	3783-3788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_01_3783-3788m.jpg	2765	9999-12-31	6495
31/4-A-17 A	2	3788-3793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_02_3788-3793m.jpg	2765	9999-12-31	6496
31/4-A-17 A	3	3793-3798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_03_3793-3798m.jpg	2765	9999-12-31	6497
31/4-A-17 A	4	3798-3803m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_04_3798-3803m.jpg	2765	9999-12-31	6498
31/4-A-17 A	5	3803-3808m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_05_3803-3808m.jpg	2765	9999-12-31	6499
31/4-A-17 A	6	3808-3813m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_06_3808-3813m.jpg	2765	9999-12-31	6500
31/4-A-17 A	7	3813-3818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_07_3813-3818m.jpg	2765	9999-12-31	6501
31/4-A-17 A	8	3818-3823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_08_3818-3823m.jpg	2765	9999-12-31	6502
31/4-A-17 A	9	3823-3828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_09_3823-3828m.jpg	2765	9999-12-31	6503
31/4-A-17 A	10	3828-3833m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_10_3828-3833m.jpg	2765	9999-12-31	6504
31/4-A-17 A	11	3833-3838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_11_3833-3838m.jpg	2765	9999-12-31	6505
31/4-A-17 A	12	3838-3843m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_12_3838-3843m.jpg	2765	9999-12-31	6506
31/4-A-17 A	13	3843-3847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_13_3843-3847m.jpg	2765	9999-12-31	6507
31/4-A-17 A	14	3847-3852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_14_3847-3852m.jpg	2765	9999-12-31	6508
31/4-A-17 A	15	3852-3857m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_15_3852-3857m.jpg	2765	9999-12-31	6509
31/4-A-17 A	16	3857-3862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_16_3857-3862m.jpg	2765	9999-12-31	6510
31/4-A-17 A	17	3862-3867m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_17_3862-3867m.jpg	2765	9999-12-31	6511
31/4-A-17 A	18	3867-3872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_18_3867-3872m.jpg	2765	9999-12-31	6512
31/4-A-17 A	19	3872-3877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_19_3872-3877m.jpg	2765	9999-12-31	6513
31/4-A-17 A	20	3877-3882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_20_3877-3882m.jpg	2765	9999-12-31	6514
31/4-A-17 A	21	3882-3884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_21_3882-3884m.jpg	2765	9999-12-31	6515
31/4-A-17 A	22	3884-3889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_22_3884-3889m.jpg	2765	9999-12-31	6516
31/4-A-17 A	23	3889-3894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_23_3889-3894m.jpg	2765	9999-12-31	6517
31/4-A-17 A	24	3894-3899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_24_3894-3899m.jpg	2765	9999-12-31	6518
31/4-A-17 A	25	3899-3904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_25_3899-3904m.jpg	2765	9999-12-31	6519
31/4-A-17 A	26	3904-3909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_26_3904-3909m.jpg	2765	9999-12-31	6520
31/4-A-17 A	27	3909-3914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_27_3909-3914m.jpg	2765	9999-12-31	6521
31/4-A-17 A	28	3914-3919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_28_3914-3919m.jpg	2765	9999-12-31	6522
31/4-A-17 A	29	3919-3924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_29_3919-3924m.jpg	2765	9999-12-31	6523
31/4-A-17 A	30	3924-3929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_30_3924-3929m.jpg	2765	9999-12-31	6524
31/4-A-17 A	31	3929-3931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2765_31_3929-3931m.jpg	2765	9999-12-31	6525
31/4-A-26	1	3340-3345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_01_3340-3345m.jpg	2403	9999-12-31	6526
31/4-A-26	2	3345-3350m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_02_3345-3350m.jpg	2403	9999-12-31	6527
31/4-A-26	3	3350-3355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_03_3350-3355m.jpg	2403	9999-12-31	6528
31/4-A-26	4	3355-3358m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_04_3355-3358m.jpg	2403	9999-12-31	6529
31/4-A-26	5	3358-3363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_05_3358-3363m.jpg	2403	9999-12-31	6530
31/4-A-26	6	3363-3368m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_06_3363-3368m.jpg	2403	9999-12-31	6531
31/4-A-26	7	3368-3373m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_07_3368-3373m.jpg	2403	9999-12-31	6532
31/4-A-26	8	3373-3378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_08_3373-3378m.jpg	2403	9999-12-31	6533
31/4-A-26	9	3378-3383m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_09_3378-3383m.jpg	2403	9999-12-31	6534
31/4-A-26	10	3383-3386m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_10_3383-3386m.jpg	2403	9999-12-31	6535
31/4-A-26	11	3386-3391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_11_3386-3391m.jpg	2403	9999-12-31	6536
31/4-A-26	12	3391-3396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_12_3391-3396m.jpg	2403	9999-12-31	6537
31/4-A-26	13	3396-3401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_13_3396-3401m.jpg	2403	9999-12-31	6538
31/4-A-26	14	3401-3406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_14_3401-3406m.jpg	2403	9999-12-31	6539
31/4-A-26	15	3406-3411m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_15_3406-3411m.jpg	2403	9999-12-31	6540
31/4-A-26	16	3411-3413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2403_16_3411-3413m.jpg	2403	9999-12-31	6541
31/4-A-4	1	3478-3483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_01_3478-3483m.jpg	1903	9999-12-31	6542
31/4-A-4	2	3483-3484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_02_3483-3484m.jpg	1903	9999-12-31	6543
31/4-A-4	3	3484-3489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_03_3484-3489m.jpg	1903	9999-12-31	6544
31/4-A-4	4	3489-3494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_04_3489-3494m.jpg	1903	9999-12-31	6545
31/4-A-4	5	3494-3499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_05_3494-3499m.jpg	1903	9999-12-31	6546
31/4-A-4	6	3499-3503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_06_3499-3503m.jpg	1903	9999-12-31	6547
31/4-A-4	7	3503-3508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_07_3503-3508m.jpg	1903	9999-12-31	6548
31/4-A-4	8	3508-3513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_08_3508-3513m.jpg	1903	9999-12-31	6549
31/4-A-4	9	3513-3518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_09_3513-3518m.jpg	1903	9999-12-31	6550
31/4-A-4	10	3518-3523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_10_3518-3523m.jpg	1903	9999-12-31	6551
31/4-A-4	11	3523-3528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_11_3523-3528m.jpg	1903	9999-12-31	6552
31/4-A-4	12	3543-3548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_12_3543-3548m.jpg	1903	9999-12-31	6553
31/4-A-4	13	3548-3553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_13_3548-3553m.jpg	1903	9999-12-31	6554
31/4-A-4	14	3553-3558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_14_3553-3558m.jpg	1903	9999-12-31	6555
31/4-A-4	15	3558-3563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_15_3558-3563m.jpg	1903	9999-12-31	6556
31/4-A-4	16	3563-3568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_16_3563-3568m.jpg	1903	9999-12-31	6557
31/4-A-4	17	3568-3570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_17_3568-3570m.jpg	1903	9999-12-31	6558
31/4-A-4	18	3570-3575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_18_3570-3575m.jpg	1903	9999-12-31	6559
31/4-A-4	19	3575-3580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_19_3575-3580m.jpg	1903	9999-12-31	6560
31/4-A-4	20	3580-3585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_20_3580-3585m.jpg	1903	9999-12-31	6561
31/4-A-4	21	3585-3590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_21_3585-3590m.jpg	1903	9999-12-31	6562
31/4-A-4	22	3590-3595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_22_3590-3595m.jpg	1903	9999-12-31	6563
31/4-A-4	23	3595-3598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_23_3595-3598m.jpg	1903	9999-12-31	6564
31/4-A-4	24	3671-3676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_24_3671-3676m.jpg	1903	9999-12-31	6565
31/4-A-4	25	3676-3679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_25_3676-3679m.jpg	1903	9999-12-31	6566
31/4-A-4	26	3680-3685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_26_3680-3685m.jpg	1903	9999-12-31	6567
31/4-A-4	27	3685-3690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_27_3685-3690m.jpg	1903	9999-12-31	6568
31/4-A-4	28	3690-3695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_28_3690-3695m.jpg	1903	9999-12-31	6569
31/4-A-4	29	3695-3700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_29_3695-3700m.jpg	1903	9999-12-31	6570
31/4-A-4	30	3700-3705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_30_3700-3705m.jpg	1903	9999-12-31	6571
31/4-A-4	31	3705-3709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_31_3705-3709m.jpg	1903	9999-12-31	6572
31/4-A-4	32	3709-3714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_32_3709-3714m.jpg	1903	9999-12-31	6573
31/4-A-4	33	3714-3719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_33_3714-3719m.jpg	1903	9999-12-31	6574
31/4-A-4	34	3719-3724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_34_3719-3724m.jpg	1903	9999-12-31	6575
31/4-A-4	35	3724-3729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_35_3724-3729m.jpg	1903	9999-12-31	6576
31/4-A-4	36	3729-3734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_36_3729-3734m.jpg	1903	9999-12-31	6577
31/4-A-4	37	3734-3739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_37_3734-3739m.jpg	1903	9999-12-31	6578
31/4-A-4	38	3739-3744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_38_3739-3744m.jpg	1903	9999-12-31	6579
31/4-A-4	39	3744-3749m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_39_3744-3749m.jpg	1903	9999-12-31	6580
31/4-A-4	40	3749-3751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_40_3749-3751m.jpg	1903	9999-12-31	6581
31/4-A-4	41	3751-3755m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_41_3751-3755m.jpg	1903	9999-12-31	6582
31/4-A-4	42	3755-3760m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_42_3755-3760m.jpg	1903	9999-12-31	6583
31/4-A-4	43	3760-3765m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_43_3760-3765m.jpg	1903	9999-12-31	6584
31/4-A-4	44	3765-3770m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_44_3765-3770m.jpg	1903	9999-12-31	6585
31/4-A-4	45	3770-3775m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_45_3770-3775m.jpg	1903	9999-12-31	6586
31/4-A-4	46	3775-3780m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_46_3775-3780m.jpg	1903	9999-12-31	6587
31/4-A-4	47	3780-3785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_47_3780-3785m.jpg	1903	9999-12-31	6588
31/4-A-4	48	3785-3786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_48_3785-3786m.jpg	1903	9999-12-31	6589
31/4-A-4	49	3786-3790m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_49_3786-3790m.jpg	1903	9999-12-31	6590
31/4-A-4	50	3790-3795m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_50_3790-3795m.jpg	1903	9999-12-31	6591
31/4-A-4	51	3795-3800m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_51_3795-3800m.jpg	1903	9999-12-31	6592
31/4-A-4	52	3800-3805m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_52_3800-3805m.jpg	1903	9999-12-31	6593
31/4-A-4	53	3805-3810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_53_3805-3810m.jpg	1903	9999-12-31	6594
31/4-A-4	54	3810-3815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_54_3810-3815m.jpg	1903	9999-12-31	6595
31/4-A-4	55	3815-3820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_55_3815-3820m.jpg	1903	9999-12-31	6596
31/4-A-4	56	3820-3825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_56_3820-3825m.jpg	1903	9999-12-31	6597
31/4-A-4	57	3825-3830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_57_3825-3830m.jpg	1903	9999-12-31	6598
31/4-A-4	58	3830-3832m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_58_3830-3832m.jpg	1903	9999-12-31	6599
31/4-A-4	59	3832-3837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_59_3832-3837m.jpg	1903	9999-12-31	6600
31/4-A-4	60	3837-3842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_60_3837-3842m.jpg	1903	9999-12-31	6601
31/4-A-4	61	3842-3847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_61_3842-3847m.jpg	1903	9999-12-31	6602
31/4-A-4	62	3847-3852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_62_3847-3852m.jpg	1903	9999-12-31	6603
31/4-A-4	63	3852-3856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1903_63_3852-3856m.jpg	1903	9999-12-31	6604
31/4-A-7	1	4384-4389m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_01_4384-4389m.jpg	2294	9999-12-31	6605
31/4-A-7	2	4389-4394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_02_4389-4394m.jpg	2294	9999-12-31	6606
31/4-A-7	3	4394-4399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_03_4394-4399m.jpg	2294	9999-12-31	6607
31/4-A-7	4	4399-4404m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_04_4399-4404m.jpg	2294	9999-12-31	6608
31/4-A-7	5	4404-4409m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_05_4404-4409m.jpg	2294	9999-12-31	6609
31/4-A-7	6	4409-4412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_06_4409-4412m.jpg	2294	9999-12-31	6610
31/4-A-7	7	4412-4417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_07_4412-4417m.jpg	2294	9999-12-31	6611
31/4-A-7	8	4417-4422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_08_4417-4422m.jpg	2294	9999-12-31	6612
31/4-A-7	9	4422-4427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_09_4422-4427m.jpg	2294	9999-12-31	6613
31/4-A-7	10	4427-4432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_10_4427-4432m.jpg	2294	9999-12-31	6614
31/4-A-7	11	4432-4437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_11_4432-4437m.jpg	2294	9999-12-31	6615
31/4-A-7	12	4437-4442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_12_4437-4442m.jpg	2294	9999-12-31	6616
31/4-A-7	13	4442-4447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_13_4442-4447m.jpg	2294	9999-12-31	6617
31/4-A-7	14	3337-4452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_14_3337-4452m.jpg	2294	9999-12-31	6618
31/4-A-7	15	4452-4457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_15_4452-4457m.jpg	2294	9999-12-31	6619
31/4-A-7	16	4457-4462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_16_4457-4462m.jpg	2294	9999-12-31	6620
31/4-A-7	17	4462-4465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_17_4462-4465m.jpg	2294	9999-12-31	6621
31/4-A-7	18	4466-4471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_18_4466-4471m.jpg	2294	9999-12-31	6622
31/4-A-7	19	4471-4476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_19_4471-4476m.jpg	2294	9999-12-31	6623
31/4-A-7	20	4476-4481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_20_4476-4481m.jpg	2294	9999-12-31	6624
31/4-A-7	21	4481-4486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_21_4481-4486m.jpg	2294	9999-12-31	6625
31/4-A-7	22	4486-4491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_22_4486-4491m.jpg	2294	9999-12-31	6626
31/4-A-7	23	4491-4496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_23_4491-4496m.jpg	2294	9999-12-31	6627
31/4-A-7	24	4496-4501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_24_4496-4501m.jpg	2294	9999-12-31	6628
31/4-A-7	25	4501-4506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_25_4501-4506m.jpg	2294	9999-12-31	6629
31/4-A-7	26	4506-4511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_26_4506-4511m.jpg	2294	9999-12-31	6630
31/4-A-7	27	4511-4516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_27_4511-4516m.jpg	2294	9999-12-31	6631
31/4-A-7	28	4516-4517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2294_28_4516-4517m.jpg	2294	9999-12-31	6632
31/5-2	1	1505-1506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_01_1505-1506m.jpg	32	9999-12-31	6633
31/5-2	2	1506-1510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_02_1506-1510m.jpg	32	9999-12-31	6634
31/5-2	3	1511-1515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_03_1511-1515m.jpg	32	9999-12-31	6635
31/5-2	4	1516-1520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_04_1516-1520m.jpg	32	9999-12-31	6636
31/5-2	5	1521-1522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_05_1521-1522m.jpg	32	9999-12-31	6637
31/5-2	6	1524-1529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_06_1524-1529m.jpg	32	9999-12-31	6638
31/5-2	7	1529-1534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_07_1529-1534m.jpg	32	9999-12-31	6639
31/5-2	8	1534-1539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_08_1534-1539m.jpg	32	9999-12-31	6640
31/5-2	9	1539-1542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_09_1539-1542m.jpg	32	9999-12-31	6641
31/5-2	10	1543-1547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_10_1543-1547m.jpg	32	9999-12-31	6642
31/5-2	11	1548-1553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_11_1548-1553m.jpg	32	9999-12-31	6643
31/5-2	12	1553-1558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_12_1553-1558m.jpg	32	9999-12-31	6644
31/5-2	13	1558-1563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_13_1558-1563m.jpg	32	9999-12-31	6645
31/5-2	14	1563-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_14_1563-1568m.jpg	32	9999-12-31	6646
31/5-2	15	1568-1570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_15_1568-1570m.jpg	32	9999-12-31	6647
31/5-2	16	1570-1575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_16_1570-1575m.jpg	32	9999-12-31	6648
31/5-2	17	1575-1580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_17_1575-1580m.jpg	32	9999-12-31	6649
31/5-2	18	1580-1585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_18_1580-1585m.jpg	32	9999-12-31	6650
31/5-2	19	1585-1588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_19_1585-1588m.jpg	32	9999-12-31	6651
31/5-2	20	1589-1594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_20_1589-1594m.jpg	32	9999-12-31	6652
31/5-2	21	1594-1599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_21_1594-1599m.jpg	32	9999-12-31	6653
31/5-2	22	1599-1601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/32_22_1599-1601m.jpg	32	9999-12-31	6654
31/5-3	1	1550-1555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_01_1550-1555m.jpg	101	9999-12-31	6655
31/5-3	2	155-1560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_02_155-1560m.jpg	101	9999-12-31	6656
31/5-3	3	1560-1565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_03_1560-1565m.jpg	101	9999-12-31	6657
31/5-3	4	1565-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_04_1565-1568m.jpg	101	9999-12-31	6658
31/5-3	5	1568-1573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_05_1568-1573m.jpg	101	9999-12-31	6659
31/5-3	6	1573-1578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_06_1573-1578m.jpg	101	9999-12-31	6660
31/5-3	7	1578-1583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_07_1578-1583m.jpg	101	9999-12-31	6661
31/5-3	8	1583-1588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_08_1583-1588m.jpg	101	9999-12-31	6662
31/5-3	9	1588-1593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_09_1588-1593m.jpg	101	9999-12-31	6663
31/5-3	10	1593-1594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_10_1593-1594m.jpg	101	9999-12-31	6664
31/5-3	11	1595-1600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_11_1595-1600m.jpg	101	9999-12-31	6665
31/5-3	12	1600-1605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_12_1600-1605m.jpg	101	9999-12-31	6666
31/5-3	13	1605-1610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_13_1605-1610m.jpg	101	9999-12-31	6667
31/5-3	14	1610-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_14_1610-1615m.jpg	101	9999-12-31	6668
31/5-3	15	1615-1620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_15_1615-1620m.jpg	101	9999-12-31	6669
31/5-3	16	1620-1622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/101_16_1620-1622m.jpg	101	9999-12-31	6670
31/5-4 S	1	1647-1649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_01_1647-1649m.jpg	1669	9999-12-31	6671
31/5-4 S	2	1650-1655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_02_1650-1655m.jpg	1669	9999-12-31	6672
31/5-4 S	3	1655-1660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_03_1655-1660m.jpg	1669	9999-12-31	6673
31/5-4 S	4	1660-1665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_04_1660-1665m.jpg	1669	9999-12-31	6674
31/5-4 S	5	1665-1668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_05_1665-1668m.jpg	1669	9999-12-31	6675
31/5-4 S	6	1668-1672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_06_1668-1672m.jpg	1669	9999-12-31	6676
31/5-4 S	7	1647-1679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_07_1647-1679m.jpg	1669	9999-12-31	6677
31/5-4 S	8	1679-1684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_08_1679-1684m.jpg	1669	9999-12-31	6678
31/5-4 S	9	1684-1685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_09_1684-1685m.jpg	1669	9999-12-31	6679
31/5-4 S	10	1685-1690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_10_1685-1690m.jpg	1669	9999-12-31	6680
31/5-4 S	11	1690-1695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_11_1690-1695m.jpg	1669	9999-12-31	6681
31/5-4 S	12	1695-1700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_12_1695-1700m.jpg	1669	9999-12-31	6682
31/5-4 S	13	1700-1703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_13_1700-1703m.jpg	1669	9999-12-31	6683
31/5-4 S	14	1703-1708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_14_1703-1708m.jpg	1669	9999-12-31	6684
31/5-4 S	15	1708-1719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_15_1708-1719m.jpg	1669	9999-12-31	6685
31/5-4 S	16	1719-1724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_16_1719-1724m.jpg	1669	9999-12-31	6686
31/5-4 S	17	1724-1729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_17_1724-1729m.jpg	1669	9999-12-31	6687
31/5-4 S	18	1729-1731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_18_1729-1731m.jpg	1669	9999-12-31	6688
31/5-4 S	19	1731-1736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_19_1731-1736m.jpg	1669	9999-12-31	6689
31/5-4 S	20	1736-1741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_20_1736-1741m.jpg	1669	9999-12-31	6690
31/5-4 S	21	1741-1746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_21_1741-1746m.jpg	1669	9999-12-31	6691
31/5-4 S	22	1746-1747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1669_22_1746-1747m.jpg	1669	9999-12-31	6692
31/5-5	1	1555-1560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_01_1555-1560m.jpg	2059	9999-12-31	6693
31/5-5	2	1560-1565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_02_1560-1565m.jpg	2059	9999-12-31	6694
31/5-5	3	1565-1570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_03_1565-1570m.jpg	2059	9999-12-31	6695
31/5-5	4	1570-1571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_04_1570-1571m.jpg	2059	9999-12-31	6696
31/5-5	5	1571-1576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_05_1571-1576m.jpg	2059	9999-12-31	6697
31/5-5	6	1576-1581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_06_1576-1581m.jpg	2059	9999-12-31	6698
31/5-5	7	1581-1583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_07_1581-1583m.jpg	2059	9999-12-31	6699
31/5-5	8	1585-1590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_08_1585-1590m.jpg	2059	9999-12-31	6700
31/5-5	9	1590-1595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_09_1590-1595m.jpg	2059	9999-12-31	6701
31/5-5	10	1595-1600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_10_1595-1600m.jpg	2059	9999-12-31	6702
31/5-5	11	1600-1602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_11_1600-1602m.jpg	2059	9999-12-31	6703
31/5-5	12	1603-1608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_12_1603-1608m.jpg	2059	9999-12-31	6704
31/5-5	13	1608-1613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_13_1608-1613m.jpg	2059	9999-12-31	6705
31/5-5	14	1613-1618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_14_1613-1618m.jpg	2059	9999-12-31	6706
31/5-5	15	1618-1622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_15_1618-1622m.jpg	2059	9999-12-31	6707
31/5-5	16	1622-1627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_16_1622-1627m.jpg	2059	9999-12-31	6708
31/5-5	17	1627-1632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_17_1627-1632m.jpg	2059	9999-12-31	6709
31/5-5	18	1632-1637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_18_1632-1637m.jpg	2059	9999-12-31	6710
31/5-5	19	1637-1640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_19_1637-1640m.jpg	2059	9999-12-31	6711
31/5-5	20	1640-1645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_20_1640-1645m.jpg	2059	9999-12-31	6712
31/5-5	21	1645-1650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_21_1645-1650m.jpg	2059	9999-12-31	6713
31/5-5	22	1650-1655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_22_1650-1655m.jpg	2059	9999-12-31	6714
31/5-5	23	1655-1658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_23_1655-1658m.jpg	2059	9999-12-31	6715
31/5-5	24	1658-1663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_24_1658-1663m.jpg	2059	9999-12-31	6716
31/5-5	25	1663-1668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_25_1663-1668m.jpg	2059	9999-12-31	6717
31/5-5	26	1668-1673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_26_1668-1673m.jpg	2059	9999-12-31	6718
31/5-5	27	1673-1674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_27_1673-1674m.jpg	2059	9999-12-31	6719
31/5-5	28	1675-1680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_28_1675-1680m.jpg	2059	9999-12-31	6720
31/5-5	29	1680-1685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_29_1680-1685m.jpg	2059	9999-12-31	6721
31/5-5	30	1685-1690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_30_1685-1690m.jpg	2059	9999-12-31	6722
31/5-5	31	1690-1693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_31_1690-1693m.jpg	2059	9999-12-31	6723
31/5-5	32	1693-1698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_32_1693-1698m.jpg	2059	9999-12-31	6724
31/5-5	33	1698-1703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_33_1698-1703m.jpg	2059	9999-12-31	6725
31/5-5	34	1703-1708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_34_1703-1708m.jpg	2059	9999-12-31	6726
31/5-5	35	1708-1710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_35_1708-1710m.jpg	2059	9999-12-31	6727
31/5-5	36	1710-1715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_36_1710-1715m.jpg	2059	9999-12-31	6728
31/5-5	37	1715-1720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_37_1715-1720m.jpg	2059	9999-12-31	6729
31/5-5	38	1720-1725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_38_1720-1725m.jpg	2059	9999-12-31	6730
31/5-5	39	1725-1730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_39_1725-1730m.jpg	2059	9999-12-31	6731
31/5-5	40	1730-1735m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_40_1730-1735m.jpg	2059	9999-12-31	6732
31/5-5	41	1735-1736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_41_1735-1736m.jpg	2059	9999-12-31	6733
31/5-5	42	1835-1840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_42_1835-1840m.jpg	2059	9999-12-31	6734
31/5-5	43	1840-1845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_43_1840-1845m.jpg	2059	9999-12-31	6735
31/5-5	44	1845-1850m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_44_1845-1850m.jpg	2059	9999-12-31	6736
31/5-5	45	1850-1855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_45_1850-1855m.jpg	2059	9999-12-31	6737
31/5-5	46	1855-1860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_46_1855-1860m.jpg	2059	9999-12-31	6738
31/5-5	47	1860-1861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_47_1860-1861m.jpg	2059	9999-12-31	6739
31/5-5	48	1861-1866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_48_1861-1866m.jpg	2059	9999-12-31	6740
31/5-5	49	1866-1871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_49_1866-1871m.jpg	2059	9999-12-31	6741
31/5-5	50	1871-1876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_50_1871-1876m.jpg	2059	9999-12-31	6742
31/5-5	51	1876-1881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_51_1876-1881m.jpg	2059	9999-12-31	6743
31/5-5	52	1881-1886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_52_1881-1886m.jpg	2059	9999-12-31	6744
31/5-5	53	1886-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2059_53_1886-1888m.jpg	2059	9999-12-31	6745
31/5-J-41	1	1543-1548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_01_1543-1548m.jpg	3158	9999-12-31	6746
31/5-J-41	2	1548-1553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_02_1548-1553m.jpg	3158	9999-12-31	6747
31/5-J-41	3	1553-1558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_03_1553-1558m.jpg	3158	9999-12-31	6748
31/5-J-41	4	1558-1561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_04_1558-1561m.jpg	3158	9999-12-31	6749
31/5-J-41	5	1561-1566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_05_1561-1566m.jpg	3158	9999-12-31	6750
31/5-J-41	6	1566-1571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_06_1566-1571m.jpg	3158	9999-12-31	6751
31/5-J-41	7	1571-1576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_07_1571-1576m.jpg	3158	9999-12-31	6752
31/5-J-41	8	1576-1579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_08_1576-1579m.jpg	3158	9999-12-31	6753
31/5-J-41	9	1579-1584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_09_1579-1584m.jpg	3158	9999-12-31	6754
31/5-J-41	10	1584-1589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_10_1584-1589m.jpg	3158	9999-12-31	6755
31/5-J-41	11	1589-1594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_11_1589-1594m.jpg	3158	9999-12-31	6756
31/5-J-41	12	1594-1597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_12_1594-1597m.jpg	3158	9999-12-31	6757
31/5-J-41	13	1597-1602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_13_1597-1602m.jpg	3158	9999-12-31	6758
31/5-J-41	14	1602-1607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_14_1602-1607m.jpg	3158	9999-12-31	6759
31/5-J-41	15	1607-1612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_15_1607-1612m.jpg	3158	9999-12-31	6760
31/5-J-41	16	1612-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_16_1612-1615m.jpg	3158	9999-12-31	6761
31/5-J-41	17	1615-1620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_17_1615-1620m.jpg	3158	9999-12-31	6762
31/5-J-41	18	1620-1625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_18_1620-1625m.jpg	3158	9999-12-31	6763
31/5-J-41	19	1625-1630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_19_1625-1630m.jpg	3158	9999-12-31	6764
31/5-J-41	20	1630-1633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_20_1630-1633m.jpg	3158	9999-12-31	6765
31/5-J-41	21	1633-1638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_21_1633-1638m.jpg	3158	9999-12-31	6766
31/5-J-41	22	1638-1643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_22_1638-1643m.jpg	3158	9999-12-31	6767
31/5-J-41	23	1643-1648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_23_1643-1648m.jpg	3158	9999-12-31	6768
31/5-J-41	24	1648-1651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3158_24_1648-1651m.jpg	3158	9999-12-31	6769
31/6-1	1	1349-1350m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_01_1349-1350m.jpg	22	9999-12-31	6770
31/6-1	2	1352-1357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_02_1352-1357m.jpg	22	9999-12-31	6771
31/6-1	3	1357-1361m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_03_1357-1361m.jpg	22	9999-12-31	6772
31/6-1	4	1361-1366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_04_1361-1366m.jpg	22	9999-12-31	6773
31/6-1	5	1366-1370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_05_1366-1370m.jpg	22	9999-12-31	6774
31/6-1	6	1371-1376m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_06_1371-1376m.jpg	22	9999-12-31	6775
31/6-1	7	1376-1381m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_07_1376-1381m.jpg	22	9999-12-31	6776
31/6-1	8	1381-1384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_08_1381-1384m.jpg	22	9999-12-31	6777
31/6-1	9	1389-1394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_09_1389-1394m.jpg	22	9999-12-31	6778
31/6-1	10	1394-1399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_10_1394-1399m.jpg	22	9999-12-31	6779
31/6-1	11	1399-1404m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_11_1399-1404m.jpg	22	9999-12-31	6780
31/6-1	12	1404-1407m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_12_1404-1407m.jpg	22	9999-12-31	6781
31/6-1	13	1407-1412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_13_1407-1412m.jpg	22	9999-12-31	6782
31/6-1	14	1412-1417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_14_1412-1417m.jpg	22	9999-12-31	6783
31/6-1	15	1417-1422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_15_1417-1422m.jpg	22	9999-12-31	6784
31/6-1	16	1422-1424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_16_1422-1424m.jpg	22	9999-12-31	6785
31/6-1	17	1425-1430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_17_1425-1430m.jpg	22	9999-12-31	6786
31/6-1	18	1430-1435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_18_1430-1435m.jpg	22	9999-12-31	6787
31/6-1	19	1435-1440m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_19_1435-1440m.jpg	22	9999-12-31	6788
31/6-1	20	1443-1448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_20_1443-1448m.jpg	22	9999-12-31	6789
31/6-1	21	1448-1453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_21_1448-1453m.jpg	22	9999-12-31	6790
31/6-1	22	1453-1458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_22_1453-1458m.jpg	22	9999-12-31	6791
31/6-1	23	1458-1461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_23_1458-1461m.jpg	22	9999-12-31	6792
31/6-1	24	1461-1466m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_24_1461-1466m.jpg	22	9999-12-31	6793
31/6-1	25	1466-1471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_25_1466-1471m.jpg	22	9999-12-31	6794
31/6-1	26	1471-1476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_26_1471-1476m.jpg	22	9999-12-31	6795
31/6-1	27	1476-1477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_27_1476-1477m.jpg	22	9999-12-31	6796
31/6-1	28	1479-1484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_28_1479-1484m.jpg	22	9999-12-31	6797
31/6-1	29	1484-1489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_29_1484-1489m.jpg	22	9999-12-31	6798
31/6-1	30	1489-1494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_30_1489-1494m.jpg	22	9999-12-31	6799
31/6-1	31	1494-1497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_31_1494-1497m.jpg	22	9999-12-31	6800
31/6-1	32	1498-1503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_32_1498-1503m.jpg	22	9999-12-31	6801
31/6-1	33	1503-1508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_33_1503-1508m.jpg	22	9999-12-31	6802
31/6-1	34	1508-1513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_34_1508-1513m.jpg	22	9999-12-31	6803
31/6-1	35	1513-1514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_35_1513-1514m.jpg	22	9999-12-31	6804
31/6-1	36	1515-1520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_36_1515-1520m.jpg	22	9999-12-31	6805
31/6-1	37	1520-1525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_37_1520-1525m.jpg	22	9999-12-31	6806
31/6-1	38	1525-1530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_38_1525-1530m.jpg	22	9999-12-31	6807
31/6-1	39	1530-1534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_39_1530-1534m.jpg	22	9999-12-31	6808
31/6-1	40	1534-1539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_40_1534-1539m.jpg	22	9999-12-31	6809
31/6-1	41	1539-1542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_41_1539-1542m.jpg	22	9999-12-31	6810
31/6-1	42	1543-1548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_42_1543-1548m.jpg	22	9999-12-31	6811
31/6-1	43	1548-1553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_43_1548-1553m.jpg	22	9999-12-31	6812
31/6-1	44	1553-1555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_44_1553-1555m.jpg	22	9999-12-31	6813
31/6-1	45	1561-1562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_45_1561-1562m.jpg	22	9999-12-31	6814
31/6-1	46	1563-1568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_46_1563-1568m.jpg	22	9999-12-31	6815
31/6-1	47	1568-1573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_47_1568-1573m.jpg	22	9999-12-31	6816
31/6-1	48	1573-1578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_48_1573-1578m.jpg	22	9999-12-31	6817
31/6-1	49	1578-1581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_49_1578-1581m.jpg	22	9999-12-31	6818
31/6-1	50	1581-1586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_50_1581-1586m.jpg	22	9999-12-31	6819
31/6-1	51	1586-1588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_51_1586-1588m.jpg	22	9999-12-31	6820
31/6-1	52	1588-1593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_52_1588-1593m.jpg	22	9999-12-31	6821
31/6-1	53	1593-1598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_53_1593-1598m.jpg	22	9999-12-31	6822
31/6-1	54	1598-1603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_54_1598-1603m.jpg	22	9999-12-31	6823
31/6-1	55	1603-4070m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/22_55_1603-4070m.jpg	22	9999-12-31	6824
31/6-2	1	1435-1441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_01_1435-1441m.jpg	34	9999-12-31	6825
31/6-2	2	1441-1447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_02_1441-1447m.jpg	34	9999-12-31	6826
31/6-2	3	1447-1453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_03_1447-1453m.jpg	34	9999-12-31	6827
31/6-2	4	1453-1453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_04_1453-1453m.jpg	34	9999-12-31	6828
31/6-2	5	1453-1459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_05_1453-1459m.jpg	34	9999-12-31	6829
31/6-2	6	1459-1465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_06_1459-1465m.jpg	34	9999-12-31	6830
31/6-2	7	1465-1471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_07_1465-1471m.jpg	34	9999-12-31	6831
31/6-2	8	1471-1472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_08_1471-1472m.jpg	34	9999-12-31	6832
31/6-2	9	1471-1477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_09_1471-1477m.jpg	34	9999-12-31	6833
31/6-2	10	1477-1483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_10_1477-1483m.jpg	34	9999-12-31	6834
31/6-2	11	1483-1489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_11_1483-1489m.jpg	34	9999-12-31	6835
31/6-2	12	1489-1495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_12_1489-1495m.jpg	34	9999-12-31	6836
31/6-2	13	1495-1497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_13_1495-1497m.jpg	34	9999-12-31	6837
31/6-2	14	1497-1503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_14_1497-1503m.jpg	34	9999-12-31	6838
31/6-2	15	1509	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_15_1509_1515m.jpg	34	9999-12-31	6839
31/6-2	16	1503-1509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_16_1503-1509m.jpg	34	9999-12-31	6840
31/6-2	17	1515-1516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_17_1515-1516m.jpg	34	9999-12-31	6841
31/6-2	18	1515-1521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_18_1515-1521m.jpg	34	9999-12-31	6842
31/6-2	19	1521-1527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_19_1521-1527m.jpg	34	9999-12-31	6843
31/6-2	20	1527-1533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_20_1527-1533m.jpg	34	9999-12-31	6844
31/6-2	21	1533-1539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_21_1533-1539m.jpg	34	9999-12-31	6845
31/6-2	22	1539-1543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_22_1539-1543m.jpg	34	9999-12-31	6846
31/6-2	23	1543-1549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_23_1543-1549m.jpg	34	9999-12-31	6847
31/6-2	24	1549-1555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_24_1549-1555m.jpg	34	9999-12-31	6848
31/6-2	25	1555-1561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_25_1555-1561m.jpg	34	9999-12-31	6849
31/6-2	26	1561-1567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_26_1561-1567m.jpg	34	9999-12-31	6850
31/6-2	27	1567-1571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_27_1567-1571m.jpg	34	9999-12-31	6851
31/6-2	28	1571-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_28_1571-1577m.jpg	34	9999-12-31	6852
31/6-2	29	1577-1583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_29_1577-1583m.jpg	34	9999-12-31	6853
31/6-2	30	1583-1589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_30_1583-1589m.jpg	34	9999-12-31	6854
31/6-2	31	1591-1597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_31_1591-1597m.jpg	34	9999-12-31	6855
31/6-2	32	1597-1603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_32_1597-1603m.jpg	34	9999-12-31	6856
31/6-2	33	1603-1609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_33_1603-1609m.jpg	34	9999-12-31	6857
31/6-2	34	1609-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_34_1609-1615m.jpg	34	9999-12-31	6858
31/6-2	35	1615-1618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/34_35_1615-1618m.jpg	34	9999-12-31	6859
31/6-3	1	1495-1499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_01_1495-1499m.jpg	35	9999-12-31	6860
31/6-3	2	1499-1503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_02_1499-1503m.jpg	35	9999-12-31	6861
31/6-3	3	1504-1508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_03_1504-1508m.jpg	35	9999-12-31	6862
31/6-3	4	1509-1513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_04_1509-1513m.jpg	35	9999-12-31	6863
31/6-3	5	1514-1518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_05_1514-1518m.jpg	35	9999-12-31	6864
31/6-3	6	1519-1521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_06_1519-1521m.jpg	35	9999-12-31	6865
31/6-3	7	1528-1529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_07_1528-1529m.jpg	35	9999-12-31	6866
31/6-3	8	1533-1537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_08_1533-1537m.jpg	35	9999-12-31	6867
31/6-3	9	1538-1542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_09_1538-1542m.jpg	35	9999-12-31	6868
31/6-3	10	1551-1555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_10_1551-1555m.jpg	35	9999-12-31	6869
31/6-3	11	1556-1560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_11_1556-1560m.jpg	35	9999-12-31	6870
31/6-3	12	1561-1564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_12_1561-1564m.jpg	35	9999-12-31	6871
31/6-3	13	1565-1569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_13_1565-1569m.jpg	35	9999-12-31	6872
31/6-3	14	1570-1574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_14_1570-1574m.jpg	35	9999-12-31	6873
31/6-3	15	1575-1579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_15_1575-1579m.jpg	35	9999-12-31	6874
31/6-3	16	1580-1581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_16_1580-1581m.jpg	35	9999-12-31	6875
31/6-3	17	1582-1588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_17_1582-1588m.jpg	35	9999-12-31	6876
31/6-3	18	1587-1591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_18_1587-1591m.jpg	35	9999-12-31	6877
31/6-3	19	1592-1596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_19_1592-1596m.jpg	35	9999-12-31	6878
31/6-3	20	1597-1600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_20_1597-1600m.jpg	35	9999-12-31	6879
31/6-3	21	1601-1605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_21_1601-1605m.jpg	35	9999-12-31	6880
31/6-3	22	1606-1610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_22_1606-1610m.jpg	35	9999-12-31	6881
31/6-3	23	1611-1615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_23_1611-1615m.jpg	35	9999-12-31	6882
31/6-3	24	1616-1619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_24_1616-1619m.jpg	35	9999-12-31	6883
31/6-3	25	1620-1624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_25_1620-1624m.jpg	35	9999-12-31	6884
31/6-3	26	1625-1629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_26_1625-1629m.jpg	35	9999-12-31	6885
31/6-3	27	1630-1624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_27_1630-1624m.jpg	35	9999-12-31	6886
31/6-3	28	1635-1638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_28_1635-1638m.jpg	35	9999-12-31	6887
31/6-3	29	1638-1642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_29_1638-1642m.jpg	35	9999-12-31	6888
31/6-3	30	1643-1647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_30_1643-1647m.jpg	35	9999-12-31	6889
31/6-3	31	1648-1652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_31_1648-1652m.jpg	35	9999-12-31	6890
31/6-3	32	1653-1657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_32_1653-1657m.jpg	35	9999-12-31	6891
31/6-3	33	1658-1662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_33_1658-1662m.jpg	35	9999-12-31	6892
31/6-3	34	1663-1665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_34_1663-1665m.jpg	35	9999-12-31	6893
31/6-3	35	1666-1670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_35_1666-1670m.jpg	35	9999-12-31	6894
31/6-3	36	1671-1675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_36_1671-1675m.jpg	35	9999-12-31	6895
31/6-3	37	1676-1680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_37_1676-1680m.jpg	35	9999-12-31	6896
31/6-3	38	1681-1685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_38_1681-1685m.jpg	35	9999-12-31	6897
31/6-3	39	1686-1690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_39_1686-1690m.jpg	35	9999-12-31	6898
31/6-3	40	1691-1694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/35_40_1691-1694m.jpg	35	9999-12-31	6899
31/6-5	1	1470-1475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_01_1470-1475m.jpg	105	9999-12-31	6900
31/6-5	2	1475-1480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_02_1475-1480m.jpg	105	9999-12-31	6901
31/6-5	3	1480-1485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_03_1480-1485m.jpg	105	9999-12-31	6902
31/6-5	4	1485-1490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_04_1485-1490m.jpg	105	9999-12-31	6903
31/6-5	5	1490-1495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_05_1490-1495m.jpg	105	9999-12-31	6904
31/6-5	6	1495-1497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_06_1495-1497m.jpg	105	9999-12-31	6905
31/6-5	7	1497-1502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_07_1497-1502m.jpg	105	9999-12-31	6906
31/6-5	8	1502-1507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_08_1502-1507m.jpg	105	9999-12-31	6907
31/6-5	9	1507-1512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_09_1507-1512m.jpg	105	9999-12-31	6908
31/6-5	10	1512-1517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_10_1512-1517m.jpg	105	9999-12-31	6909
31/6-5	11	1517-1518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_11_1517-1518m.jpg	105	9999-12-31	6910
31/6-5	12	1523-1528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_12_1523-1528m.jpg	105	9999-12-31	6911
31/6-5	13	1528-1533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_13_1528-1533m.jpg	105	9999-12-31	6912
31/6-5	14	1533-1538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_14_1533-1538m.jpg	105	9999-12-31	6913
31/6-5	15	1538-1543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_15_1538-1543m.jpg	105	9999-12-31	6914
31/6-5	16	1543-1548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_16_1543-1548m.jpg	105	9999-12-31	6915
31/6-5	17	1548-1550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_17_1548-1550m.jpg	105	9999-12-31	6916
31/6-5	18	1550-1555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_18_1550-1555m.jpg	105	9999-12-31	6917
31/6-5	19	1555-1557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_19_1555-1557m.jpg	105	9999-12-31	6918
31/6-5	20	1557-1562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_20_1557-1562m.jpg	105	9999-12-31	6919
31/6-5	21	1562-1567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_21_1562-1567m.jpg	105	9999-12-31	6920
31/6-5	22	1567-1572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_22_1567-1572m.jpg	105	9999-12-31	6921
31/6-5	23	1572-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_23_1572-1577m.jpg	105	9999-12-31	6922
31/6-5	24	1577-1582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_24_1577-1582m.jpg	105	9999-12-31	6923
31/6-5	25	1582-1584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_25_1582-1584m.jpg	105	9999-12-31	6924
31/6-5	26	1584-1589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_26_1584-1589m.jpg	105	9999-12-31	6925
31/6-5	27	1589-1594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_27_1589-1594m.jpg	105	9999-12-31	6926
31/6-5	28	1594-1599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_28_1594-1599m.jpg	105	9999-12-31	6927
31/6-5	29	1599-1604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_29_1599-1604m.jpg	105	9999-12-31	6928
31/6-5	30	1604-1609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_30_1604-1609m.jpg	105	9999-12-31	6929
31/6-5	31	1609-1611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_31_1609-1611m.jpg	105	9999-12-31	6930
31/6-5	32	1611-1616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_32_1611-1616m.jpg	105	9999-12-31	6931
31/6-5	33	1616-1621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_33_1616-1621m.jpg	105	9999-12-31	6932
31/6-5	34	1621-1626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_34_1621-1626m.jpg	105	9999-12-31	6933
31/6-5	35	1626-1631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_35_1626-1631m.jpg	105	9999-12-31	6934
31/6-5	36	1631-1636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_36_1631-1636m.jpg	105	9999-12-31	6935
31/6-5	37	1636-1637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_37_1636-1637m.jpg	105	9999-12-31	6936
31/6-5	38	1638-1643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_38_1638-1643m.jpg	105	9999-12-31	6937
31/6-5	39	1643-1648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_39_1643-1648m.jpg	105	9999-12-31	6938
31/6-5	40	1648-1653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_40_1648-1653m.jpg	105	9999-12-31	6939
31/6-5	41	1653-1658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_41_1653-1658m.jpg	105	9999-12-31	6940
31/6-5	42	1658-1663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_42_1658-1663m.jpg	105	9999-12-31	6941
31/6-5	43	1663-1665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_43_1663-1665m.jpg	105	9999-12-31	6942
31/6-5	44	1665-1670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_44_1665-1670m.jpg	105	9999-12-31	6943
31/6-5	45	1670-1675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_45_1670-1675m.jpg	105	9999-12-31	6944
31/6-5	46	1675-1680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_46_1675-1680m.jpg	105	9999-12-31	6945
31/6-5	47	1680-1685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_47_1680-1685m.jpg	105	9999-12-31	6946
31/6-5	48	1685-1690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_48_1685-1690m.jpg	105	9999-12-31	6947
31/6-5	49	1690-1693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_49_1690-1693m.jpg	105	9999-12-31	6948
31/6-5	50	1693-1698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_50_1693-1698m.jpg	105	9999-12-31	6949
31/6-5	51	1698-1703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_51_1698-1703m.jpg	105	9999-12-31	6950
31/6-5	52	1703-1708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_52_1703-1708m.jpg	105	9999-12-31	6951
31/6-5	53	1708-1713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_53_1708-1713m.jpg	105	9999-12-31	6952
31/6-5	54	1713-1718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_54_1713-1718m.jpg	105	9999-12-31	6953
31/6-5	55	1718-1720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/105_55_1718-1720m.jpg	105	9999-12-31	6954
31/6-6	1	1525-1530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_01_1525-1530m.jpg	127	9999-12-31	6955
31/6-6	2	1530-1535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_02_1530-1535m.jpg	127	9999-12-31	6956
31/6-6	3	1535-1540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_03_1535-1540m.jpg	127	9999-12-31	6957
31/6-6	4	1540-1544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_04_1540-1544m.jpg	127	9999-12-31	6958
31/6-6	5	1552-1557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_05_1552-1557m.jpg	127	9999-12-31	6959
31/6-6	6	1557-1562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_06_1557-1562m.jpg	127	9999-12-31	6960
31/6-6	7	1562-1567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_07_1562-1567m.jpg	127	9999-12-31	6961
31/6-6	8	1567-1572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_08_1567-1572m.jpg	127	9999-12-31	6962
31/6-6	9	1572-1575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_09_1572-1575m.jpg	127	9999-12-31	6963
31/6-6	10	1579-1584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_10_1579-1584m.jpg	127	9999-12-31	6964
31/6-6	11	1584-1589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_11_1584-1589m.jpg	127	9999-12-31	6965
31/6-6	12	1589-1594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_12_1589-1594m.jpg	127	9999-12-31	6966
31/6-6	13	1594-1599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_13_1594-1599m.jpg	127	9999-12-31	6967
31/6-6	14	1599-1604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_14_1599-1604m.jpg	127	9999-12-31	6968
31/6-6	15	1604-1607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_15_1604-1607m.jpg	127	9999-12-31	6969
31/6-6	16	1607-1612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_16_1607-1612m.jpg	127	9999-12-31	6970
31/6-6	17	1612-1617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_17_1612-1617m.jpg	127	9999-12-31	6971
31/6-6	18	1617-1622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_18_1617-1622m.jpg	127	9999-12-31	6972
31/6-6	19	1622-1627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_19_1622-1627m.jpg	127	9999-12-31	6973
31/6-6	20	1627-1632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_20_1627-1632m.jpg	127	9999-12-31	6974
31/6-6	21	1632-1633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_21_1632-1633m.jpg	127	9999-12-31	6975
31/6-6	22	1634-1639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_22_1634-1639m.jpg	127	9999-12-31	6976
31/6-6	23	1639-1644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_23_1639-1644m.jpg	127	9999-12-31	6977
31/6-6	24	1644-1649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_24_1644-1649m.jpg	127	9999-12-31	6978
31/6-6	25	1649-1654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_25_1649-1654m.jpg	127	9999-12-31	6979
31/6-6	26	1654-1659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_26_1654-1659m.jpg	127	9999-12-31	6980
31/6-6	27	1659-1662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_27_1659-1662m.jpg	127	9999-12-31	6981
31/6-6	28	1662-1667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_28_1662-1667m.jpg	127	9999-12-31	6982
31/6-6	29	1667-1672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_29_1667-1672m.jpg	127	9999-12-31	6983
31/6-6	30	1672-1677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_30_1672-1677m.jpg	127	9999-12-31	6984
31/6-6	31	1677-1682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_31_1677-1682m.jpg	127	9999-12-31	6985
31/6-6	32	1682-1687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_32_1682-1687m.jpg	127	9999-12-31	6986
31/6-6	33	1687-1689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_33_1687-1689m.jpg	127	9999-12-31	6987
31/6-6	34	1689-1694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_34_1689-1694m.jpg	127	9999-12-31	6988
31/6-6	35	1694-1699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_35_1694-1699m.jpg	127	9999-12-31	6989
31/6-6	36	1699-1704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_36_1699-1704m.jpg	127	9999-12-31	6990
31/6-6	37	1704-1709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_37_1704-1709m.jpg	127	9999-12-31	6991
31/6-6	38	1709-1714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_38_1709-1714m.jpg	127	9999-12-31	6992
31/6-6	39	1714-1716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_39_1714-1716m.jpg	127	9999-12-31	6993
31/6-6	40	1716-1721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_40_1716-1721m.jpg	127	9999-12-31	6994
31/6-6	41	1721-1726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_41_1721-1726m.jpg	127	9999-12-31	6995
31/6-6	42	1726-1731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_42_1726-1731m.jpg	127	9999-12-31	6996
31/6-6	43	1731-1736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_43_1731-1736m.jpg	127	9999-12-31	6997
31/6-6	44	1736-1741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_44_1736-1741m.jpg	127	9999-12-31	6998
31/6-6	45	1741-1744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_45_1741-1744m.jpg	127	9999-12-31	6999
31/6-6	46	1744-1749m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_46_1744-1749m.jpg	127	9999-12-31	7000
31/6-6	47	1749-1754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_47_1749-1754m.jpg	127	9999-12-31	7001
31/6-6	48	1754-1759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_48_1754-1759m.jpg	127	9999-12-31	7002
31/6-6	49	1759-1764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_49_1759-1764m.jpg	127	9999-12-31	7003
31/6-6	50	1764-1769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_50_1764-1769m.jpg	127	9999-12-31	7004
31/6-6	51	1769-1772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/127_51_1769-1772m.jpg	127	9999-12-31	7005
31/6-8	1	1503-1508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_01_1503-1508m.jpg	466	9999-12-31	7006
31/6-8	2	1508-1513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_02_1508-1513m.jpg	466	9999-12-31	7007
31/6-8	3	1513-1514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_03_1513-1514m.jpg	466	9999-12-31	7008
31/6-8	4	1520-1525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_04_1520-1525m.jpg	466	9999-12-31	7009
31/6-8	5	1525-1530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_05_1525-1530m.jpg	466	9999-12-31	7010
31/6-8	6	1537-1542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_06_1537-1542m.jpg	466	9999-12-31	7011
31/6-8	7	1542-1547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_07_1542-1547m.jpg	466	9999-12-31	7012
31/6-8	8	1547-1551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_08_1547-1551m.jpg	466	9999-12-31	7013
31/6-8	9	1560-1565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_09_1560-1565m.jpg	466	9999-12-31	7014
31/6-8	10	1555-1560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_10_1555-1560m.jpg	466	9999-12-31	7015
31/6-8	11	1565-1566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_11_1565-1566m.jpg	466	9999-12-31	7016
31/6-8	12	1567-1572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_12_1567-1572m.jpg	466	9999-12-31	7017
31/6-8	13	1572-1577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_13_1572-1577m.jpg	466	9999-12-31	7018
31/6-8	14	1577-1582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_14_1577-1582m.jpg	466	9999-12-31	7019
31/6-8	15	1582-1586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_15_1582-1586m.jpg	466	9999-12-31	7020
31/6-8	16	1586-1591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_16_1586-1591m.jpg	466	9999-12-31	7021
31/6-8	17	1591-1596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_17_1591-1596m.jpg	466	9999-12-31	7022
31/6-8	18	1596-1601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_18_1596-1601m.jpg	466	9999-12-31	7023
31/6-8	19	1601-1604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_19_1601-1604m.jpg	466	9999-12-31	7024
31/6-8	20	1604-1609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_20_1604-1609m.jpg	466	9999-12-31	7025
31/6-8	21	1609-1614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_21_1609-1614m.jpg	466	9999-12-31	7026
31/6-8	22	1614-1619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_22_1614-1619m.jpg	466	9999-12-31	7027
31/6-8	23	1619-1623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_23_1619-1623m.jpg	466	9999-12-31	7028
31/6-8	24	1623-1628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_24_1623-1628m.jpg	466	9999-12-31	7029
31/6-8	25	1628-1633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_25_1628-1633m.jpg	466	9999-12-31	7030
31/6-8	26	1633-1638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_26_1633-1638m.jpg	466	9999-12-31	7031
31/6-8	27	1638-1641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_27_1638-1641m.jpg	466	9999-12-31	7032
31/6-8	28	1641-1646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_28_1641-1646m.jpg	466	9999-12-31	7033
31/6-8	29	1646-1651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_29_1646-1651m.jpg	466	9999-12-31	7034
31/6-8	30	1651-1656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_30_1651-1656m.jpg	466	9999-12-31	7035
31/6-8	31	1656-1659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_31_1656-1659m.jpg	466	9999-12-31	7036
31/6-8	32	1663-1669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_32_1663-1669m.jpg	466	9999-12-31	7037
31/6-8	33	1669-1673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_33_1669-1673m.jpg	466	9999-12-31	7038
31/6-8	34	1681-1687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_34_1681-1687m.jpg	466	9999-12-31	7039
31/6-8	35	1687-1693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_35_1687-1693m.jpg	466	9999-12-31	7040
31/6-8	36	1693-1699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_36_1693-1699m.jpg	466	9999-12-31	7041
31/6-8	37	1699-1700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/466_37_1699-1700m.jpg	466	9999-12-31	7042
31/6-A-11	1	1511-1516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2587_1_1511-1516m.jpg	2587	9999-12-31	7043
31/6-A-11	2	1516-1521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2587_2_1516-1521m.jpg	2587	9999-12-31	7044
31/6-A-11	3	1530-1535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2587_3_1530-1535m.jpg	2587	9999-12-31	7045
31/6-A-11	4	1535-1540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2587_4_1535-1540m.jpg	2587	9999-12-31	7046
31/6-A-11	5	1540-1545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2587_5_1540-1545m.jpg	2587	9999-12-31	7047
31/6-A-11	6	1545-1549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2587_6_1545-1549m.jpg	2587	9999-12-31	7048
32/4-1	1	1220-1225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2918_01_1220-1225m.jpg	2918	9999-12-31	7049
32/4-1	2	1225-1230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2918_02_1225-1230m.jpg	2918	9999-12-31	7050
32/4-1	3	1230-1232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2918_03_1230-1232m.jpg	2918	9999-12-31	7051
32/4-1	4	1232-1237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2918_04_1232-1237m.jpg	2918	9999-12-31	7052
32/4-1	5	1237-1242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2918_05_1237-1242m.jpg	2918	9999-12-31	7053
32/4-1	6	1256-1261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2918_06_1256-1261m.jpg	2918	9999-12-31	7054
32/4-1	7	1261-1266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2918_07_1261-1266m.jpg	2918	9999-12-31	7055
32/4-1	8	1266-1271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2918_08_1266-1271m.jpg	2918	9999-12-31	7056
32/4-1	9	1271-1275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2918_09_1271-1275m.jpg	2918	9999-12-31	7057
33/12-B-16	1	3316-3321m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2211_01_3316-3321m.jpg	2211	9999-12-31	7058
33/12-B-16	2	3321-3326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2211_02_3321-3326m.jpg	2211	9999-12-31	7059
33/12-B-16	3	3326-3331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2211_03_3326-3331m.jpg	2211	9999-12-31	7060
33/12-B-16	4	3331-3332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2211_04_3331-3332m.jpg	2211	9999-12-31	7061
33/12-B-16	5	3332-3337m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2211_05_3332-3337m.jpg	2211	9999-12-31	7062
33/12-B-16	6	3337-3342m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2211_06_3337-3342m.jpg	2211	9999-12-31	7063
33/12-B-16	7	3342-3347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2211_07_3342-3347m.jpg	2211	9999-12-31	7064
33/12-B-16	8	3347-3352m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2211_08_3347-3352m.jpg	2211	9999-12-31	7065
33/12-B-16	9	3352-3357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2211_09_3352-3357m.jpg	2211	9999-12-31	7066
33/12-B-16	10	3357-3358m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2211_10_3357-3358m.jpg	2211	9999-12-31	7067
33/12-B-16 A	1	3220-3225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_01_3220-3225m.jpg	2251	9999-12-31	7068
33/12-B-16 A	2	3225-3230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_02_3225-3230m.jpg	2251	9999-12-31	7069
33/12-B-16 A	3	3230-3235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_03_3230-3235m.jpg	2251	9999-12-31	7070
33/12-B-16 A	4	3235-3240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_04_3235-3240m.jpg	2251	9999-12-31	7071
33/12-B-16 A	5	3240-3245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_05_3240-3245m.jpg	2251	9999-12-31	7072
33/12-B-16 A	6	3245-3247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_06_3245-3247m.jpg	2251	9999-12-31	7073
33/12-B-16 A	7	3245-3250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_07_3245-3250m.jpg	2251	9999-12-31	7074
33/12-B-16 A	8	3250-3255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_08_3250-3255m.jpg	2251	9999-12-31	7075
33/12-B-16 A	9	3255-3260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_09_3255-3260m.jpg	2251	9999-12-31	7076
33/12-B-16 A	10	3260-3265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_10_3260-3265m.jpg	2251	9999-12-31	7077
33/12-B-16 A	11	3265-3270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_11_3265-3270m.jpg	2251	9999-12-31	7078
33/12-B-16 A	12	3270-3273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2251_12_3270-3273m.jpg	2251	9999-12-31	7079
33/12-B-2 A	1	4060-4065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_01_4060-4065m.jpg	1934	9999-12-31	7080
33/12-B-2 A	2	4065-4070m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_02_4065-4070m.jpg	1934	9999-12-31	7081
33/12-B-2 A	3	4070-4075m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_03_4070-4075m.jpg	1934	9999-12-31	7082
33/12-B-2 A	4	4075-4076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_04_4075-4076m.jpg	1934	9999-12-31	7083
33/12-B-2 A	5	4076-4081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_05_4076-4081m.jpg	1934	9999-12-31	7084
33/12-B-2 A	6	4081-4086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_06_4081-4086m.jpg	1934	9999-12-31	7085
33/12-B-2 A	7	4086-4091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_07_4086-4091m.jpg	1934	9999-12-31	7086
33/12-B-2 A	8	4091-4096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_08_4091-4096m.jpg	1934	9999-12-31	7087
33/12-B-2 A	9	4096-4101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_09_4096-4101m.jpg	1934	9999-12-31	7088
33/12-B-2 A	10	4101-4106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_10_4101-4106m.jpg	1934	9999-12-31	7089
33/12-B-2 A	11	4106-4108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_11_4106-4108m.jpg	1934	9999-12-31	7090
33/12-B-2 A	12	4108-4113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_12_4108-4113m.jpg	1934	9999-12-31	7091
33/12-B-2 A	13	4113-4118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_13_4113-4118m.jpg	1934	9999-12-31	7092
33/12-B-2 A	14	4118-4123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_14_4118-4123m.jpg	1934	9999-12-31	7093
33/12-B-2 A	15	4123-4128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_15_4123-4128m.jpg	1934	9999-12-31	7094
33/12-B-2 A	16	4128-4133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_16_4128-4133m.jpg	1934	9999-12-31	7095
33/12-B-2 A	17	4133-4138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_17_4133-4138m.jpg	1934	9999-12-31	7096
33/12-B-2 A	18	4138-4143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_18_4138-4143m.jpg	1934	9999-12-31	7097
33/12-B-2 A	19	4143-4148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_19_4143-4148m.jpg	1934	9999-12-31	7098
33/12-B-2 A	20	4148-4153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_20_4148-4153m.jpg	1934	9999-12-31	7099
33/12-B-2 A	21	4153-4158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_21_4153-4158m.jpg	1934	9999-12-31	7100
33/12-B-2 A	22	4158-4161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_22_4158-4161m.jpg	1934	9999-12-31	7101
33/12-B-2 A	23	4168-4173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_23_4168-4173m.jpg	1934	9999-12-31	7102
33/12-B-2 A	24	4173-4178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_24_4173-4178m.jpg	1934	9999-12-31	7103
33/12-B-2 A	25	4178-4183m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_25_4178-4183m.jpg	1934	9999-12-31	7104
33/12-B-2 A	26	4183-4188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_26_4183-4188m.jpg	1934	9999-12-31	7105
33/12-B-2 A	27	4188-4193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_27_4188-4193m.jpg	1934	9999-12-31	7106
33/12-B-2 A	28	4193-4198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_28_4193-4198m.jpg	1934	9999-12-31	7107
33/12-B-2 A	29	4198-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_29_4198-4203m.jpg	1934	9999-12-31	7108
33/12-B-2 A	30	4203-4208m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_30_4203-4208m.jpg	1934	9999-12-31	7109
33/12-B-2 A	31	4208-4213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_31_4208-4213m.jpg	1934	9999-12-31	7110
33/12-B-2 A	32	4213-4213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_32_4213-4213m.jpg	1934	9999-12-31	7111
33/12-B-2 A	33	4429-4434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_33_4429-4434m.jpg	1934	9999-12-31	7112
33/12-B-2 A	34	4434-4439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_34_4434-4439m.jpg	1934	9999-12-31	7113
33/12-B-2 A	35	4439-4444m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_35_4439-4444m.jpg	1934	9999-12-31	7114
33/12-B-2 A	36	4444-4446m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1934_36_4444-4446m.jpg	1934	9999-12-31	7115
33/12-B-23 A	1	4036-4041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_01_4036-4041m.jpg	2862	9999-12-31	7116
33/12-B-23 A	2	4041-4046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_02_4041-4046m.jpg	2862	9999-12-31	7117
33/12-B-23 A	3	4046-4051m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_03_4046-4051m.jpg	2862	9999-12-31	7118
33/12-B-23 A	4	4051-4056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_04_4051-4056m.jpg	2862	9999-12-31	7119
33/12-B-23 A	5	4056-4061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_05_4056-4061m.jpg	2862	9999-12-31	7120
33/12-B-23 A	6	4061-4066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_06_4061-4066m.jpg	2862	9999-12-31	7121
33/12-B-23 A	7	4066-4071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_07_4066-4071m.jpg	2862	9999-12-31	7122
33/12-B-23 A	8	4071-4076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_08_4071-4076m.jpg	2862	9999-12-31	7123
33/12-B-23 A	9	4076-4081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_09_4076-4081m.jpg	2862	9999-12-31	7124
33/12-B-23 A	10	4081-4086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_10_4081-4086m.jpg	2862	9999-12-31	7125
33/12-B-23 A	11	4086-4091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_11_4086-4091m.jpg	2862	9999-12-31	7126
33/12-B-23 A	12	4091-4096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_12_4091-4096m.jpg	2862	9999-12-31	7127
33/12-B-23 A	13	4096-4101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_13_4096-4101m.jpg	2862	9999-12-31	7128
33/12-B-23 A	14	4101-4106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_14_4101-4106m.jpg	2862	9999-12-31	7129
33/12-B-23 A	15	4106-4111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_15_4106-4111m.jpg	2862	9999-12-31	7130
33/12-B-23 A	16	4111-4115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_16_4111-4115m.jpg	2862	9999-12-31	7131
33/12-B-23 A	17	4117-4122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_17_4117-4122m.jpg	2862	9999-12-31	7132
33/12-B-23 A	18	4122-4127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_18_4122-4127m.jpg	2862	9999-12-31	7133
33/12-B-23 A	19	4127-4132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_19_4127-4132m.jpg	2862	9999-12-31	7134
33/12-B-23 A	20	4132-4134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_20_4132-4134m.jpg	2862	9999-12-31	7135
33/12-B-23 A	21	4135-4140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_21_4135-4140m.jpg	2862	9999-12-31	7136
33/12-B-23 A	22	4140-4145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_22_4140-4145m.jpg	2862	9999-12-31	7137
33/12-B-23 A	23	4145-4149m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_23_4145-4149m.jpg	2862	9999-12-31	7138
33/12-B-23 A	24	4149-4154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_24_4149-4154m.jpg	2862	9999-12-31	7139
33/12-B-23 A	25	4154-4159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2862_25_4154-4159m.jpg	2862	9999-12-31	7140
33/5-1	1	3066-3068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/103_01_3066-3068m.jpg	103	9999-12-31	7141
33/5-1	2	3068-3071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/103_02_3068-3071m.jpg	103	9999-12-31	7142
33/5-1	3	3071-3074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/103_03_3071-3074m.jpg	103	9999-12-31	7143
33/5-1	4	3074-3076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/103_04_3074-3076m.jpg	103	9999-12-31	7144
33/5-2	1	4053-4057m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/405_01_4053-4057m.jpg	405	9999-12-31	7145
33/5-2	2	4057-4061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/405_02_4057-4061m.jpg	405	9999-12-31	7146
33/5-2	3	4061-4064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/405_03_4061-4064m.jpg	405	9999-12-31	7147
33/5-2	4	4065-4068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/405_04_4065-4068m.jpg	405	9999-12-31	7148
33/5-2	5	4071-4074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/405_05_4071-4074m.jpg	405	9999-12-31	7149
33/5-2	6	4075-4079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/405_06_4075-4079m.jpg	405	9999-12-31	7150
33/5-2	7	4080-4082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/405_07_4080-4082m.jpg	405	9999-12-31	7151
33/5-2	8	4087-4090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/405_08_4087-4090m.jpg	405	9999-12-31	7152
33/5-2	9	4091-4095m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/405_09_4091-4095m.jpg	405	9999-12-31	7153
33/5-2	10	4096-4099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/405_10_4096-4099m.jpg	405	9999-12-31	7154
33/6-2	1	3500-3505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2873_01_3500-3505m.jpg	2873	9999-12-31	7155
33/6-2	2	3505-3510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2873_02_3505-3510m.jpg	2873	9999-12-31	7156
33/6-2	3	3510-3515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2873_03_3510-3515m.jpg	2873	9999-12-31	7157
33/6-2	4	3515-3519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2873_04_3515-3519m.jpg	2873	9999-12-31	7158
33/6-2	5	3540-3545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2873_05_3540-3545m.jpg	2873	9999-12-31	7159
33/6-2	6	3545-3550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2873_06_3545-3550m.jpg	2873	9999-12-31	7160
33/6-2	7	3550-3552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2873_07_3550-3552m.jpg	2873	9999-12-31	7161
33/9-1	1	8101-8156ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/407_01_8101-8156ft.jpg	407	9999-12-31	7162
33/9-1	2	8101-8156ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/407_02_8101-8156ft.jpg	407	9999-12-31	7163
33/9-1	3	8101-8156ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/407_03_8101-8156ft.jpg	407	9999-12-31	7164
33/9-1	4	8156-8174ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/407_04_8156-8174ft.jpg	407	9999-12-31	7165
33/9-10	1	3358-3360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/415_01_3358-3360m.jpg	415	9999-12-31	7166
33/9-10	2	3360-3363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/415_02_3360-3363m.jpg	415	9999-12-31	7167
33/9-10	3	3363-3366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/415_03_3363-3366m.jpg	415	9999-12-31	7168
33/9-10	4	3366-3369m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/415_04_3366-3369m.jpg	415	9999-12-31	7169
33/9-10	5	3368-3371m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/415_05_3368-3371m.jpg	415	9999-12-31	7170
33/9-10	6	3371-3374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/415_06_3371-3374m.jpg	415	9999-12-31	7171
33/9-10	7	3374-3376m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/415_07_3374-3376m.jpg	415	9999-12-31	7172
33/9-11	1	3134-3136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/416_01_3134-3136m.jpg	416	9999-12-31	7173
33/9-11	2	3136-3139m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/416_02_3136-3139m.jpg	416	9999-12-31	7174
33/9-11	3	3139-3142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/416_03_3139-3142m.jpg	416	9999-12-31	7175
33/9-11	4	3142-3144m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/416_04_3142-3144m.jpg	416	9999-12-31	7176
33/9-11	5	3144-3147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/416_05_3144-3147m.jpg	416	9999-12-31	7177
33/9-11	6	3147-3150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/416_06_3147-3150m.jpg	416	9999-12-31	7178
33/9-11	7	3150-3152m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/416_07_3150-3152m.jpg	416	9999-12-31	7179
33/9-15	1	2711-2716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_01_2711-2716m.jpg	1810	9999-12-31	7180
33/9-15	2	2716-2721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_02_2716-2721m.jpg	1810	9999-12-31	7181
33/9-15	3	2721-2722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_03_2721-2722m.jpg	1810	9999-12-31	7182
33/9-15	4	2723-2728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_04_2723-2728m.jpg	1810	9999-12-31	7183
33/9-15	5	2728-2731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_05_2728-2731m.jpg	1810	9999-12-31	7184
33/9-15	6	2733-2738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_06_2733-2738m.jpg	1810	9999-12-31	7185
33/9-15	7	2738-2743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_07_2738-2743m.jpg	1810	9999-12-31	7186
33/9-15	8	2748-2753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_08_2748-2753m.jpg	1810	9999-12-31	7187
33/9-15	9	2753-2758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_09_2753-2758m.jpg	1810	9999-12-31	7188
33/9-15	10	2758-2763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_10_2758-2763m.jpg	1810	9999-12-31	7189
33/9-15	11	2763-2768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_11_2763-2768m.jpg	1810	9999-12-31	7190
33/9-15	12	2768-2769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_12_2768-2769m.jpg	1810	9999-12-31	7191
33/9-15	13	2770-2775m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_13_2770-2775m.jpg	1810	9999-12-31	7192
33/9-15	14	2775-2780m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_14_2775-2780m.jpg	1810	9999-12-31	7193
33/9-15	15	2780-2783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_15_2780-2783m.jpg	1810	9999-12-31	7194
33/9-15	16	2788-2793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_16_2788-2793m.jpg	1810	9999-12-31	7195
33/9-15	17	2793-2798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_17_2793-2798m.jpg	1810	9999-12-31	7196
33/9-15	18	2798-2800m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_18_2798-2800m.jpg	1810	9999-12-31	7197
33/9-15	19	2801-2806m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_19_2801-2806m.jpg	1810	9999-12-31	7198
33/9-15	20	2806-2807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_20_2806-2807m.jpg	1810	9999-12-31	7199
33/9-15	21	2811-2816m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_21_2811-2816m.jpg	1810	9999-12-31	7200
33/9-15	22	2816-2820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_22_2816-2820m.jpg	1810	9999-12-31	7201
33/9-15	23	2820-2825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_23_2820-2825m.jpg	1810	9999-12-31	7202
33/9-15	24	2825-2830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_24_2825-2830m.jpg	1810	9999-12-31	7203
33/9-15	25	2830-2835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1810_25_2830-2835m.jpg	1810	9999-12-31	7204
33/9-16	1	2681-2686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_01_2681-2686m.jpg	1801	9999-12-31	7205
33/9-16	2	2686-2691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_02_2686-2691m.jpg	1801	9999-12-31	7206
33/9-16	3	2691-2696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_03_2691-2696m.jpg	1801	9999-12-31	7207
33/9-16	4	2696-2701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_04_2696-2701m.jpg	1801	9999-12-31	7208
33/9-16	5	2701-2706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_05_2701-2706m.jpg	1801	9999-12-31	7209
33/9-16	6	2706-2707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_06_2706-2707m.jpg	1801	9999-12-31	7210
33/9-16	7	2707-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_07_2707-2712m.jpg	1801	9999-12-31	7211
33/9-16	8	2712-2717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_08_2712-2717m.jpg	1801	9999-12-31	7212
33/9-16	9	2717-2722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_09_2717-2722m.jpg	1801	9999-12-31	7213
33/9-16	10	2722-2727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_10_2722-2727m.jpg	1801	9999-12-31	7214
33/9-16	11	2727-2732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_11_2727-2732m.jpg	1801	9999-12-31	7215
33/9-16	12	2732-2734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_12_2732-2734m.jpg	1801	9999-12-31	7216
33/9-16	13	2734-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_13_2734-2739m.jpg	1801	9999-12-31	7217
33/9-16	14	2739-2744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_14_2739-2744m.jpg	1801	9999-12-31	7218
33/9-16	15	2744-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1801_15_2744-2748m.jpg	1801	9999-12-31	7219
33/9-17	1	3029-3034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2114_01_3029-3034m.jpg	2114	9999-12-31	7220
33/9-17	2	3034-3035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2114_02_3034-3035m.jpg	2114	9999-12-31	7221
33/9-17	3	3035-3039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2114_03_3035-3039m.jpg	2114	9999-12-31	7222
33/9-17	4	3039-3041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2114_04_3039-3041m.jpg	2114	9999-12-31	7223
33/9-17	5	3042-3047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2114_05_3042-3047m.jpg	2114	9999-12-31	7224
33/9-17	6	3047-3052m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2114_06_3047-3052m.jpg	2114	9999-12-31	7225
33/9-17	7	3052-3057m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2114_07_3052-3057m.jpg	2114	9999-12-31	7226
33/9-17	8	3057-3059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2114_08_3057-3059m.jpg	2114	9999-12-31	7227
33/9-18	1	2967-2972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2454_01_2967-2972m.jpg	2454	9999-12-31	7228
33/9-18	2	2972-2975m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2454_02_2972-2975m.jpg	2454	9999-12-31	7229
33/9-18	3	3045-3050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2454_03_3045-3050m.jpg	2454	9999-12-31	7230
33/9-18	4	3040-3054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2454_04_3040-3054m.jpg	2454	9999-12-31	7231
33/9-18	5	3233-3238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2454_05_3233-3238m.jpg	2454	9999-12-31	7232
33/9-18	6	3238-3239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2454_06_3238-3239m.jpg	2454	9999-12-31	7233
33/9-18 A	1	3397-3402m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2455_01_3397-3402m.jpg	2455	9999-12-31	7234
33/9-18 A	2	3402-3403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2455_02_3402-3403m.jpg	2455	9999-12-31	7235
33/9-19 S	1	2709-2714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2830_01_2709-2714m.jpg	2830	9999-12-31	7236
33/9-19 S	2	2714-2719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2830_02_2714-2719m.jpg	2830	9999-12-31	7237
33/9-19 S	3	2719-2714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2830_03_2719-2714m.jpg	2830	9999-12-31	7238
33/9-19 S	4	2724-2727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2830_04_2724-2727m.jpg	2830	9999-12-31	7239
33/9-6	1	2997-2999m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_01_2997-2999m.jpg	411	9999-12-31	7240
33/9-6	2	2999-3002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_02_2999-3002m.jpg	411	9999-12-31	7241
33/9-6	3	3002-3005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_03_3002-3005m.jpg	411	9999-12-31	7242
33/9-6	4	3005-3007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_04_3005-3007m.jpg	411	9999-12-31	7243
33/9-6	5	3007-3010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_05_3007-3010m.jpg	411	9999-12-31	7244
33/9-6	6	3010-3013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_06_3010-3013m.jpg	411	9999-12-31	7245
33/9-6	7	3013-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_07_3013-3015m.jpg	411	9999-12-31	7246
33/9-6	8	3015-3017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_08_3015-3017m.jpg	411	9999-12-31	7247
33/9-6	9	3017-3020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_09_3017-3020m.jpg	411	9999-12-31	7248
33/9-6	10	3020-3023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_10_3020-3023m.jpg	411	9999-12-31	7249
33/9-6	11	3023-2035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_11_3023-2035m.jpg	411	9999-12-31	7250
33/9-6	12	3025-3028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_12_3025-3028m.jpg	411	9999-12-31	7251
33/9-6	13	3028-3031m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_13_3028-3031m.jpg	411	9999-12-31	7252
33/9-6	14	3031-3033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/411_14_3031-3033m.jpg	411	9999-12-31	7253
33/9-9	1	24414-2416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_01_24414-2416m.jpg	414	9999-12-31	7254
33/9-9	2	2416-2419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_02_2416-2419m.jpg	414	9999-12-31	7255
33/9-9	3	2419-2421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_03_2419-2421m.jpg	414	9999-12-31	7256
33/9-9	4	2421-2424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_04_2421-2424m.jpg	414	9999-12-31	7257
33/9-9	5	2424-2426m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_05_2424-2426m.jpg	414	9999-12-31	7258
33/9-9	6	2426-2429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_06_2426-2429m.jpg	414	9999-12-31	7259
33/9-9	7	2429-2432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_07_2429-2432m.jpg	414	9999-12-31	7260
33/9-9	8	2432-2432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_08_2432-2432m.jpg	414	9999-12-31	7261
33/9-9	9	2432-2434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_09_2432-2434m.jpg	414	9999-12-31	7262
33/9-9	10	2434-2437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_10_2434-2437m.jpg	414	9999-12-31	7263
33/9-9	11	2437-2439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_11_2437-2439m.jpg	414	9999-12-31	7264
33/9-9	12	2439-2443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_12_2439-2443m.jpg	414	9999-12-31	7265
33/9-9	13	2442-2444m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_13_2442-2444m.jpg	414	9999-12-31	7266
33/9-9	14	2444-2446m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_14_2444-2446m.jpg	414	9999-12-31	7267
33/9-9	15	2446-2448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_15_2446-2448m.jpg	414	9999-12-31	7268
33/9-9	16	2448-2451m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_16_2448-2451m.jpg	414	9999-12-31	7269
33/9-9	17	2451-2453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_17_2451-2453m.jpg	414	9999-12-31	7270
33/9-9	18	2453-2455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_18_2453-2455m.jpg	414	9999-12-31	7271
33/9-9	19	2455-2458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_19_2455-2458m.jpg	414	9999-12-31	7272
33/9-9	20	2458-2460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_20_2458-2460m.jpg	414	9999-12-31	7273
33/9-9	21	2460-2463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_21_2460-2463m.jpg	414	9999-12-31	7274
33/9-9	22	2463-2465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_22_2463-2465m.jpg	414	9999-12-31	7275
33/9-9	23	2465-2465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_23_2465-2465m.jpg	414	9999-12-31	7276
33/9-9	24	2468-2470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_24_2468-2470m.jpg	414	9999-12-31	7277
33/9-9	25	2470-2473m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_25_2470-2473m.jpg	414	9999-12-31	7278
33/9-9	26	2473-2475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_26_2473-2475m.jpg	414	9999-12-31	7279
33/9-9	27	2475-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_27_2475-2478m.jpg	414	9999-12-31	7280
33/9-9	28	2478-2480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_28_2478-2480m.jpg	414	9999-12-31	7281
33/9-9	29	2480-2481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_29_2480-2481m.jpg	414	9999-12-31	7282
33/9-9	30	2481-2484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_30_2481-2484m.jpg	414	9999-12-31	7283
33/9-9	31	2484-2487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_31_2484-2487m.jpg	414	9999-12-31	7284
33/9-9	32	2487-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_32_2487-2490m.jpg	414	9999-12-31	7285
33/9-9	33	2490-2492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_33_2490-2492m.jpg	414	9999-12-31	7286
33/9-9	34	2492-2495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_34_2492-2495m.jpg	414	9999-12-31	7287
33/9-9	35	2495-2498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_35_2495-2498m.jpg	414	9999-12-31	7288
33/9-9	36	2498-2500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_36_2498-2500m.jpg	414	9999-12-31	7289
33/9-9	37	2500-2503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_37_2500-2503m.jpg	414	9999-12-31	7290
33/9-9	38	2503-2505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_38_2503-2505m.jpg	414	9999-12-31	7291
33/9-9	39	2505-2508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_39_2505-2508m.jpg	414	9999-12-31	7292
33/9-9	40	2508-2522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_40_2508-2522m.jpg	414	9999-12-31	7293
33/9-9	41	2511-2513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_41_2511-2513m.jpg	414	9999-12-31	7294
33/9-9	42	2513-2516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_42_2513-2516m.jpg	414	9999-12-31	7295
33/9-9	43	2516-2516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_43_2516-2516m.jpg	414	9999-12-31	7296
33/9-9	44	2719-2722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_44_2719-2722m.jpg	414	9999-12-31	7297
33/9-9	45	2722-2725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_45_2722-2725m.jpg	414	9999-12-31	7298
33/9-9	46	2725-2727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_46_2725-2727m.jpg	414	9999-12-31	7299
33/9-9	47	2727-2732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_47_2727-2732m.jpg	414	9999-12-31	7300
33/9-9	48	2732-2734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_48_2732-2734m.jpg	414	9999-12-31	7301
33/9-9	49	2734-2737m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_49_2734-2737m.jpg	414	9999-12-31	7302
33/9-9	50	2737-2740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_50_2737-2740m.jpg	414	9999-12-31	7303
33/9-9	51	2740-2742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_51_2740-2742m.jpg	414	9999-12-31	7304
33/9-9	51	2742-2745m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_51_2742-2745m.jpg	414	9999-12-31	7305
33/9-9	52	2742-2745m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_52_2742-2745m.jpg	414	9999-12-31	7306
33/9-9	53	2745-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_53_2745-2748m.jpg	414	9999-12-31	7307
33/9-9	54	2748-2750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_54_2748-2750m.jpg	414	9999-12-31	7308
33/9-9	55	2750-2754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_55_2750-2754m.jpg	414	9999-12-31	7309
33/9-9	56	2754-2757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_56_2754-2757m.jpg	414	9999-12-31	7310
33/9-9	57	2757-2760m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_57_2757-2760m.jpg	414	9999-12-31	7311
33/9-9	58	2760-2762m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_58_2760-2762m.jpg	414	9999-12-31	7312
33/9-9	59	2762-2765m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_59_2762-2765m.jpg	414	9999-12-31	7313
33/9-9	60	2765-2768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_60_2765-2768m.jpg	414	9999-12-31	7314
33/9-9	61	2768-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_61_2768-2774m.jpg	414	9999-12-31	7315
33/9-9	62	2774-2776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_62_2774-2776m.jpg	414	9999-12-31	7316
33/9-9	63	2776-2779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_63_2776-2779m.jpg	414	9999-12-31	7317
33/9-9	64	2779-2782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_64_2779-2782m.jpg	414	9999-12-31	7318
33/9-9	65	2782-2784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_65_2782-2784m.jpg	414	9999-12-31	7319
33/9-9	66	2784-2786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_66_2784-2786m.jpg	414	9999-12-31	7320
33/9-9	67	2786-2789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_67_2786-2789m.jpg	414	9999-12-31	7321
33/9-9	68	2789-2791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_68_2789-2791m.jpg	414	9999-12-31	7322
33/9-9	69	2791-2793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_69_2791-2793m.jpg	414	9999-12-31	7323
33/9-9	70	2793-2795m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_70_2793-2795m.jpg	414	9999-12-31	7324
33/9-9	71	2795-2798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_71_2795-2798m.jpg	414	9999-12-31	7325
33/9-9	72	2798-2807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_72_2798-2807m.jpg	414	9999-12-31	7326
33/9-9	73	2807-2810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_73_2807-2810m.jpg	414	9999-12-31	7327
33/9-9	74	2810-2812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_74_2810-2812m.jpg	414	9999-12-31	7328
33/9-9	75	2812-2815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_75_2812-2815m.jpg	414	9999-12-31	7329
33/9-9	76	2815-2818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_76_2815-2818m.jpg	414	9999-12-31	7330
33/9-9	77	2818-2821m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_77_2818-2821m.jpg	414	9999-12-31	7331
33/9-9	78	2821-2823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_78_2821-2823m.jpg	414	9999-12-31	7332
33/9-9	79	2823-2826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_79_2823-2826m.jpg	414	9999-12-31	7333
33/9-9	80	2826-2828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_80_2826-2828m.jpg	414	9999-12-31	7334
33/9-9	81	2828-2831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_81_2828-2831m.jpg	414	9999-12-31	7335
33/9-9	82	2831-2834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_82_2831-2834m.jpg	414	9999-12-31	7336
33/9-9	83	2834-2837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_83_2834-2837m.jpg	414	9999-12-31	7337
33/9-9	84	2837-2840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_84_2837-2840m.jpg	414	9999-12-31	7338
33/9-9	85	2840-2842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_85_2840-2842m.jpg	414	9999-12-31	7339
33/9-9	86	2842-2845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_86_2842-2845m.jpg	414	9999-12-31	7340
33/9-9	87	2845-2847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_87_2845-2847m.jpg	414	9999-12-31	7341
33/9-9	88	2847-2850m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_88_2847-2850m.jpg	414	9999-12-31	7342
33/9-9	89	2850-2853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_89_2850-2853m.jpg	414	9999-12-31	7343
33/9-9	90	2853-2856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_90_2853-2856m.jpg	414	9999-12-31	7344
33/9-9	91	2856-2858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_91_2856-2858m.jpg	414	9999-12-31	7345
33/9-9	92	2861-2863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_92_2861-2863m.jpg	414	9999-12-31	7346
33/9-9	93	2863-2866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_93_2863-2866m.jpg	414	9999-12-31	7347
33/9-9	94	2866-2868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_94_2866-2868m.jpg	414	9999-12-31	7348
33/9-9	95	2868-2871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_95_2868-2871m.jpg	414	9999-12-31	7349
33/9-9	96	2871-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_96_2871-2874m.jpg	414	9999-12-31	7350
33/9-9	97	2874-2876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_97_2874-2876m.jpg	414	9999-12-31	7351
33/9-9	901	2858-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/414_901_2858-2861m.jpg	414	9999-12-31	7352
33/9-A-32 A	1	3395-3399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2094_01_3395-3399m.jpg	2094	9999-12-31	7353
33/9-A-32 A	2	3399-3403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2094_02_3399-3403m.jpg	2094	9999-12-31	7354
33/9-A-32 A	3	3403-3407m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2094_03_3403-3407m.jpg	2094	9999-12-31	7355
33/9-A-32 A	4	3407-3411m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2094_04_3407-3411m.jpg	2094	9999-12-31	7356
33/9-A-32 A	5	3411-3415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2094_05_3411-3415m.jpg	2094	9999-12-31	7357
33/9-A-32 A	6	3415-3417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2094_06_3415-3417m.jpg	2094	9999-12-31	7358
33/9-A-32 A	7	3417-3421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2094_07_3417-3421m.jpg	2094	9999-12-31	7359
33/9-A-32 A	8	3421-3425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2094_08_3421-3425m.jpg	2094	9999-12-31	7360
33/9-A-32 A	9	3425-3429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2094_09_3425-3429m.jpg	2094	9999-12-31	7361
33/9-A-32 A	10	3429-3433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2094_10_3429-3433m.jpg	2094	9999-12-31	7362
33/9-A-32 A	11	3433-3435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2094_11_3433-3435m.jpg	2094	9999-12-31	7363
33/9-E-1 H	1	2879-2883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_01_2879-2883m.jpg	2417	9999-12-31	7364
33/9-E-1 H	2	2883-2887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_02_2883-2887m.jpg	2417	9999-12-31	7365
33/9-E-1 H	3	2887-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_03_2887-2891m.jpg	2417	9999-12-31	7366
33/9-E-1 H	4	2891-2895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_04_2891-2895m.jpg	2417	9999-12-31	7367
33/9-E-1 H	5	2895-2899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_05_2895-2899m.jpg	2417	9999-12-31	7368
33/9-E-1 H	6	2899-2903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_06_2899-2903m.jpg	2417	9999-12-31	7369
33/9-E-1 H	7	2903-2907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_07_2903-2907m.jpg	2417	9999-12-31	7370
33/9-E-1 H	8	2907-2910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_08_2907-2910m.jpg	2417	9999-12-31	7371
33/9-E-1 H	9	2910-2914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_09_2910-2914m.jpg	2417	9999-12-31	7372
33/9-E-1 H	10	2914-2918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_10_2914-2918m.jpg	2417	9999-12-31	7373
33/9-E-1 H	11	2918-2922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_11_2918-2922m.jpg	2417	9999-12-31	7374
33/9-E-1 H	12	2922-2926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_12_2922-2926m.jpg	2417	9999-12-31	7375
33/9-E-1 H	13	2926-2930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_13_2926-2930m.jpg	2417	9999-12-31	7376
33/9-E-1 H	14	2930-2934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_14_2930-2934m.jpg	2417	9999-12-31	7377
33/9-E-1 H	15	3106-3110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_15_3106-3110m.jpg	2417	9999-12-31	7378
33/9-E-1 H	16	3110-3114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_16_3110-3114m.jpg	2417	9999-12-31	7379
33/9-E-1 H	17	3114-3118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_17_3114-3118m.jpg	2417	9999-12-31	7380
33/9-E-1 H	18	3118-3122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_18_3118-3122m.jpg	2417	9999-12-31	7381
33/9-E-1 H	19	3122-3126m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_19_3122-3126m.jpg	2417	9999-12-31	7382
33/9-E-1 H	20	3126-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_20_3126-3130m.jpg	2417	9999-12-31	7383
33/9-E-1 H	21	3130-3133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_21_3130-3133m.jpg	2417	9999-12-31	7384
33/9-E-1 H	22	3133-3137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_22_3133-3137m.jpg	2417	9999-12-31	7385
33/9-E-1 H	23	3137-3141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_23_3137-3141m.jpg	2417	9999-12-31	7386
33/9-E-1 H	24	3141-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_24_3141-3145m.jpg	2417	9999-12-31	7387
33/9-E-1 H	25	3145-3149m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_25_3145-3149m.jpg	2417	9999-12-31	7388
33/9-E-1 H	26	3149-3153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_26_3149-3153m.jpg	2417	9999-12-31	7389
33/9-E-1 H	27	3153-3157m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_27_3153-3157m.jpg	2417	9999-12-31	7390
33/9-E-1 H	28	3157-3160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_28_3157-3160m.jpg	2417	9999-12-31	7391
33/9-E-1 H	29	3160-3164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_29_3160-3164m.jpg	2417	9999-12-31	7392
33/9-E-1 H	30	3164-3168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_30_3164-3168m.jpg	2417	9999-12-31	7393
33/9-E-1 H	31	3168-3171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2417_31_3168-3171m.jpg	2417	9999-12-31	7394
33/9-F-2 H	1	2922-2926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_01_2922-2926m.jpg	2478	9999-12-31	7395
33/9-F-2 H	2	2926-2930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_02_2926-2930m.jpg	2478	9999-12-31	7396
33/9-F-2 H	3	2930-2934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_03_2930-2934m.jpg	2478	9999-12-31	7397
33/9-F-2 H	4	2934-2938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_04_2934-2938m.jpg	2478	9999-12-31	7398
33/9-F-2 H	5	2938-2942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_05_2938-2942m.jpg	2478	9999-12-31	7399
33/9-F-2 H	6	2942-2946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_06_2942-2946m.jpg	2478	9999-12-31	7400
33/9-F-2 H	7	2946-2949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_07_2946-2949m.jpg	2478	9999-12-31	7401
33/9-F-2 H	8	2949-2953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_08_2949-2953m.jpg	2478	9999-12-31	7402
33/9-F-2 H	9	2953-2957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_09_2953-2957m.jpg	2478	9999-12-31	7403
33/9-F-2 H	10	2957-2958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_10_2957-2958m.jpg	2478	9999-12-31	7404
33/9-F-2 H	11	2958-2961m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_11_2958-2961m.jpg	2478	9999-12-31	7405
33/9-F-2 H	12	2961-2955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_12_2961-2955m.jpg	2478	9999-12-31	7406
33/9-F-2 H	13	2965-2969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_13_2965-2969m.jpg	2478	9999-12-31	7407
33/9-F-2 H	14	2969-2973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_14_2969-2973m.jpg	2478	9999-12-31	7408
33/9-F-2 H	15	2973-2977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_15_2973-2977m.jpg	2478	9999-12-31	7409
33/9-F-2 H	16	2977-2981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_16_2977-2981m.jpg	2478	9999-12-31	7410
33/9-F-2 H	17	2981-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_17_2981-2985m.jpg	2478	9999-12-31	7411
33/9-F-2 H	18	2985-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2478_18_2985-2985m.jpg	2478	9999-12-31	7412
33/9-G-3 H	1	3524-2529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2961_01_3524-2529m.jpg	2961	9999-12-31	7413
33/9-G-3 H	2	3529-2530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2961_02_3529-2530m.jpg	2961	9999-12-31	7414
33/9-G-3 H	3	3530-2535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2961_03_3530-2535m.jpg	2961	9999-12-31	7415
33/9-G-3 H	4	3535-2540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2961_04_3535-2540m.jpg	2961	9999-12-31	7416
33/9-G-3 H	5	3540-2545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2961_05_3540-2545m.jpg	2961	9999-12-31	7417
33/9-G-3 H	6	3545-2550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2961_06_3545-2550m.jpg	2961	9999-12-31	7418
33/9-G-3 H	7	3550-2555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2961_07_3550-2555m.jpg	2961	9999-12-31	7419
33/9-G-3 H	8	3555-2560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2961_08_3555-2560m.jpg	2961	9999-12-31	7420
33/9-G-3 H	9	3560-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2961_09_3560-2565m.jpg	2961	9999-12-31	7421
33/9-G-3 H	10	3565-2570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2961_10_3565-2570m.jpg	2961	9999-12-31	7422
33/9-G-3 H	11	3570-2572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2961_11_3570-2572m.jpg	2961	9999-12-31	7423
33/9-L-3 H	1	2612-2616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_01_2612-2616m.jpg	2206	9999-12-31	7424
33/9-L-3 H	2	2616-2620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_02_2616-2620m.jpg	2206	9999-12-31	7425
33/9-L-3 H	3	2620-2624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_03_2620-2624m.jpg	2206	9999-12-31	7426
33/9-L-3 H	4	2624-2628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_04_2624-2628m.jpg	2206	9999-12-31	7427
33/9-L-3 H	5	2628-2632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_05_2628-2632m.jpg	2206	9999-12-31	7428
33/9-L-3 H	6	2632-2636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_06_2632-2636m.jpg	2206	9999-12-31	7429
33/9-L-3 H	7	2636-2640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_07_2636-2640m.jpg	2206	9999-12-31	7430
33/9-L-3 H	8	2640-2644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_08_2640-2644m.jpg	2206	9999-12-31	7431
33/9-L-3 H	9	2644-2648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_09_2644-2648m.jpg	2206	9999-12-31	7432
33/9-L-3 H	10	2648-2650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_10_2648-2650m.jpg	2206	9999-12-31	7433
33/9-L-3 H	11	2653-2657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_11_2653-2657m.jpg	2206	9999-12-31	7434
33/9-L-3 H	12	2657-2661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_12_2657-2661m.jpg	2206	9999-12-31	7435
33/9-L-3 H	13	2661-2665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_13_2661-2665m.jpg	2206	9999-12-31	7436
33/9-L-3 H	14	2665-2669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_14_2665-2669m.jpg	2206	9999-12-31	7437
33/9-L-3 H	15	2669-2673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_15_2669-2673m.jpg	2206	9999-12-31	7438
33/9-L-3 H	16	2673-2677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_16_2673-2677m.jpg	2206	9999-12-31	7439
33/9-L-3 H	17	2677-2681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_17_2677-2681m.jpg	2206	9999-12-31	7440
33/9-L-3 H	18	2681-2681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_18_2681-2681m.jpg	2206	9999-12-31	7441
33/9-L-3 H	19	2681-2685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_19_2681-2685m.jpg	2206	9999-12-31	7442
33/9-L-3 H	20	2685-2689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_20_2685-2689m.jpg	2206	9999-12-31	7443
33/9-L-3 H	21	2689-2693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_21_2689-2693m.jpg	2206	9999-12-31	7444
33/9-L-3 H	22	2693-2697m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_22_2693-2697m.jpg	2206	9999-12-31	7445
33/9-L-3 H	23	2697-2701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_23_2697-2701m.jpg	2206	9999-12-31	7446
33/9-L-3 H	24	2701-2705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_24_2701-2705m.jpg	2206	9999-12-31	7447
33/9-L-3 H	25	2705-2709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_25_2705-2709m.jpg	2206	9999-12-31	7448
33/9-L-3 H	26	2709-2710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2206_26_2709-2710m.jpg	2206	9999-12-31	7449
33/9-L-4 H	1	2852-2852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_01_2852-2852m.jpg	2210	9999-12-31	7450
33/9-L-4 H	2	2854-2858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_02_2854-2858m.jpg	2210	9999-12-31	7451
33/9-L-4 H	3	2858-2862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_03_2858-2862m.jpg	2210	9999-12-31	7452
33/9-L-4 H	4	2862-2866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_04_2862-2866m.jpg	2210	9999-12-31	7453
33/9-L-4 H	5	2866-2870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_05_2866-2870m.jpg	2210	9999-12-31	7454
33/9-L-4 H	6	2870-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_06_2870-2874m.jpg	2210	9999-12-31	7455
33/9-L-4 H	7	2874-2875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_07_2874-2875m.jpg	2210	9999-12-31	7456
33/9-L-4 H	8	2875-2879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_08_2875-2879m.jpg	2210	9999-12-31	7457
33/9-L-4 H	9	2879-2883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_09_2879-2883m.jpg	2210	9999-12-31	7458
33/9-L-4 H	10	2883-2887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_10_2883-2887m.jpg	2210	9999-12-31	7459
33/9-L-4 H	11	2887-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_11_2887-2891m.jpg	2210	9999-12-31	7460
33/9-L-4 H	12	2891-2895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_12_2891-2895m.jpg	2210	9999-12-31	7461
33/9-L-4 H	13	2895-2899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_13_2895-2899m.jpg	2210	9999-12-31	7462
33/9-L-4 H	14	2899-2903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_14_2899-2903m.jpg	2210	9999-12-31	7463
33/9-L-4 H	15	2903-2903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2210_15_2903-2903m.jpg	2210	9999-12-31	7464
33/9-M-1 H	1	2490-2494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_01_2490-2494m.jpg	2154	9999-12-31	7465
33/9-M-1 H	2	2494-2498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_02_2494-2498m.jpg	2154	9999-12-31	7466
33/9-M-1 H	3	2498-2502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_03_2498-2502m.jpg	2154	9999-12-31	7467
33/9-M-1 H	4	2502-2506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_04_2502-2506m.jpg	2154	9999-12-31	7468
33/9-M-1 H	5	2506-2507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_05_2506-2507m.jpg	2154	9999-12-31	7469
33/9-M-1 H	6	2508-2512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_06_2508-2512m.jpg	2154	9999-12-31	7470
33/9-M-1 H	7	2512-2516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_07_2512-2516m.jpg	2154	9999-12-31	7471
33/9-M-1 H	8	2516-2520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_08_2516-2520m.jpg	2154	9999-12-31	7472
33/9-M-1 H	9	2520-2524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_09_2520-2524m.jpg	2154	9999-12-31	7473
33/9-M-1 H	10	2524-2528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_10_2524-2528m.jpg	2154	9999-12-31	7474
33/9-M-1 H	11	2529-2533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_11_2529-2533m.jpg	2154	9999-12-31	7475
33/9-M-1 H	12	2533-2534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_12_2533-2534m.jpg	2154	9999-12-31	7476
33/9-M-1 H	13	2535-2539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_13_2535-2539m.jpg	2154	9999-12-31	7477
33/9-M-1 H	14	2539-2543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_14_2539-2543m.jpg	2154	9999-12-31	7478
33/9-M-1 H	15	2543-2547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_15_2543-2547m.jpg	2154	9999-12-31	7479
33/9-M-1 H	16	2547-2550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_16_2547-2550m.jpg	2154	9999-12-31	7480
33/9-M-1 H	17	2550-2554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_17_2550-2554m.jpg	2154	9999-12-31	7481
33/9-M-1 H	18	2554-2558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_18_2554-2558m.jpg	2154	9999-12-31	7482
33/9-M-1 H	19	2558-2562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_19_2558-2562m.jpg	2154	9999-12-31	7483
33/9-M-1 H	20	2562-2566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_20_2562-2566m.jpg	2154	9999-12-31	7484
33/9-M-1 H	21	2566-2569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2154_21_2566-2569m.jpg	2154	9999-12-31	7485
34/10-1	1	1782-1784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_01_1782-1784m.jpg	424	2013-02-14	7486
34/10-1	2	1784-1785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_02_1784-1785m.jpg	424	2013-02-14	7487
34/10-1	3	1790-1792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_03_1790-1792m.jpg	424	2013-02-14	7488
34/10-1	4	1802-1805m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_04_1802-1805m.jpg	424	2013-02-14	7489
34/10-1	5	1805-1806m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_05_1805-1806m.jpg	424	2013-02-14	7490
34/10-1	6	1807-1810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_06_1807-1810m.jpg	424	2013-02-14	7491
34/10-1	7	1810-1813m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_07_1810-1813m.jpg	424	2013-02-14	7492
34/10-1	8	1813-1815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_08_1813-1815m.jpg	424	2013-02-14	7493
34/10-1	9	1819-1821m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_09_1819-1821m.jpg	424	2013-02-14	7494
34/10-1	10	1821-1824m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_10_1821-1824m.jpg	424	2013-02-14	7495
34/10-1	11	1824-1827m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_11_1824-1827m.jpg	424	2013-02-14	7496
34/10-1	12	1827-1829m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_12_1827-1829m.jpg	424	2013-02-14	7497
34/10-1	13	1829-1832m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_13_1829-1832m.jpg	424	2013-02-14	7498
34/10-1	14	1832-1835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_14_1832-1835m.jpg	424	2013-02-14	7499
34/10-1	15	1835-1835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_15_1835-1835m.jpg	424	2013-02-14	7500
34/10-1	16	1835-1838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_16_1835-1838m.jpg	424	2013-02-14	7501
34/10-1	17	1838-1841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_17_1838-1841m.jpg	424	2013-02-14	7502
34/10-1	18	1841-1843mj	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_18_1841-1843mj.jpg	424	2013-02-14	7503
34/10-1	19	1843-1846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_19_1843-1846m.jpg	424	2013-02-14	7504
34/10-1	20	1846-1849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_20_1846-1849m.jpg	424	2013-02-14	7505
34/10-1	21	1849-1852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_21_1849-1852m.jpg	424	2013-02-14	7506
34/10-1	22	1852-1853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_22_1852-1853m.jpg	424	2013-02-14	7507
34/10-1	23	1853-1855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_23_1853-1855m.jpg	424	2013-02-14	7508
34/10-1	24	1855-1858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_24_1855-1858m.jpg	424	2013-02-14	7509
34/10-1	25	1858-1861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_25_1858-1861m.jpg	424	2013-02-14	7510
34/10-1	26	1861-1862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_26_1861-1862m.jpg	424	2013-02-14	7511
34/10-1	27	1865-1868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_27_1865-1868m.jpg	424	2013-02-14	7512
34/10-1	28	1868-1870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_28_1868-1870m.jpg	424	2013-02-14	7513
34/10-1	29	1870-1873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_29_1870-1873m.jpg	424	2013-02-14	7514
34/10-1	30	1873-1874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_30_1873-1874m.jpg	424	2013-02-14	7515
34/10-1	31	1875-1877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_31_1875-1877m.jpg	424	2013-02-14	7516
34/10-1	32	1877-1880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_32_1877-1880m.jpg	424	2013-02-14	7517
34/10-1	33	1880-1883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_33_1880-1883m.jpg	424	2013-02-14	7518
34/10-1	34	1883-1885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_34_1883-1885m.jpg	424	2013-02-14	7519
34/10-1	35	1885-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_35_1885-1888m.jpg	424	2013-02-14	7520
34/10-1	36	1888-1889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_36_1888-1889m.jpg	424	2013-02-14	7521
34/10-1	37	1893-1896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_37_1893-1896m.jpg	424	2013-02-14	7522
34/10-1	38	1896-1898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_38_1896-1898m.jpg	424	2013-02-14	7523
34/10-1	39	1898-1901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_39_1898-1901m.jpg	424	2013-02-14	7524
34/10-1	40	1901-1904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_40_1901-1904m.jpg	424	2013-02-14	7525
34/10-1	41	1904-1907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_41_1904-1907m.jpg	424	2013-02-14	7526
34/10-1	42	1907-1909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_42_1907-1909m.jpg	424	2013-02-14	7527
34/10-1	43	1909-1911m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_43_1909-1911m.jpg	424	2013-02-14	7528
34/10-1	44	1911-1914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_44_1911-1914m.jpg	424	2013-02-14	7529
34/10-1	45	1914-1916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_45_1914-1916m.jpg	424	2013-02-14	7530
34/10-1	46	1916-1919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_46_1916-1919m.jpg	424	2013-02-14	7531
34/10-1	47	1919-1922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_47_1919-1922m.jpg	424	2013-02-14	7532
34/10-1	48	1923-1925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_48_1923-1925m.jpg	424	2013-02-14	7533
34/10-1	49	1925-1928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_49_1925-1928m.jpg	424	2013-02-14	7534
34/10-1	50	1928-1931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_50_1928-1931m.jpg	424	2013-02-14	7535
34/10-1	51	1931-1933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_51_1931-1933m.jpg	424	2013-02-14	7536
34/10-1	52	1933-1936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_52_1933-1936m.jpg	424	2013-02-14	7537
34/10-1	53	1936-1938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_53_1936-1938m.jpg	424	2013-02-14	7538
34/10-1	54	1938-1941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_54_1938-1941m.jpg	424	2013-02-14	7539
34/10-1	55	1941-1944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_55_1941-1944m.jpg	424	2013-02-14	7540
34/10-1	56	1944-1946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_56_1944-1946m.jpg	424	2013-02-14	7541
34/10-1	57	1946-1949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_57_1946-1949m.jpg	424	2013-02-14	7542
34/10-1	58	1949-1951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_58_1949-1951m.jpg	424	2013-02-14	7543
34/10-1	59	2232-2235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_59_2232-2235m.jpg	424	2013-02-14	7544
34/10-1	60	2235-2237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_60_2235-2237m.jpg	424	2013-02-14	7545
34/10-1	61	2237-2240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_61_2237-2240m.jpg	424	2013-02-14	7546
34/10-1	62	2240-2243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_62_2240-2243m.jpg	424	2013-02-14	7547
34/10-1	63	2243-2244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/424_63_2243-2244m.jpg	424	2013-02-14	7548
34/10-16	1	3170-3175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_01_3170-3175m.jpg	59	9999-12-31	7549
34/10-16	2	3177-3184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_02_3177-3184m.jpg	59	9999-12-31	7550
34/10-16	3	3184-3191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_03_3184-3191m.jpg	59	9999-12-31	7551
34/10-16	4	3191-3195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_04_3191-3195m.jpg	59	9999-12-31	7552
34/10-16	5	3195-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_05_3195-3202m.jpg	59	9999-12-31	7553
34/10-16	6	3202-3209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_06_3202-3209m.jpg	59	9999-12-31	7554
34/10-16	7	3209-3211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_07_3209-3211m.jpg	59	9999-12-31	7555
34/10-16	8	3213-3220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_08_3213-3220m.jpg	59	9999-12-31	7556
34/10-16	9	3220-3227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_09_3220-3227m.jpg	59	9999-12-31	7557
34/10-16	10	3227-3228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_10_3227-3228m.jpg	59	9999-12-31	7558
34/10-16	11	3229-3236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_11_3229-3236m.jpg	59	9999-12-31	7559
34/10-16	12	3236-3243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_12_3236-3243m.jpg	59	9999-12-31	7560
34/10-16	13	3243-3246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_13_3243-3246m.jpg	59	9999-12-31	7561
34/10-16	14	3247-3254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_14_3247-3254m.jpg	59	9999-12-31	7562
34/10-16	15	3254-3260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_15_3254-3260m.jpg	59	9999-12-31	7563
34/10-16	16	3261-3267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_16_3261-3267m.jpg	59	9999-12-31	7564
34/10-16	17	3268-3275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_17_3268-3275m.jpg	59	9999-12-31	7565
34/10-16	18	3275-3279m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_18_3275-3279m.jpg	59	9999-12-31	7566
34/10-16	19	3280-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_19_3280-3287m.jpg	59	9999-12-31	7567
34/10-16	20	3287-3294m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_20_3287-3294m.jpg	59	9999-12-31	7568
34/10-16	21	3294-3297m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_21_3294-3297m.jpg	59	9999-12-31	7569
34/10-16	22	3298-3305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_22_3298-3305m.jpg	59	9999-12-31	7570
34/10-16	23	3305-3308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_23_3305-3308m.jpg	59	9999-12-31	7571
34/10-16	24	3311-3318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_24_3311-3318m.jpg	59	9999-12-31	7572
34/10-16	25	3318-3322m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_25_3318-3322m.jpg	59	9999-12-31	7573
34/10-16	26	3323-3330m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_26_3323-3330m.jpg	59	9999-12-31	7574
34/10-16	27	3330-3337m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_27_3330-3337m.jpg	59	9999-12-31	7575
34/10-16	29	3341-3348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_29_3341-3348m.jpg	59	9999-12-31	7576
34/10-16	30	3348-3355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_30_3348-3355m.jpg	59	9999-12-31	7577
34/10-16	31	3355-3356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_31_3355-3356m.jpg	59	9999-12-31	7578
34/10-16	32	3359-3363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_32_3359-3363m.jpg	59	9999-12-31	7579
34/10-16	33	3363-3369m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_33_3363-3369m.jpg	59	9999-12-31	7580
34/10-16	34	3369-3376m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_34_3369-3376m.jpg	59	9999-12-31	7581
34/10-16	35	3376-3378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_35_3376-3378m.jpg	59	9999-12-31	7582
34/10-16	36	3378-3385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_36_3378-3385m.jpg	59	9999-12-31	7583
34/10-16	37	3385-3387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_37_3385-3387m.jpg	59	9999-12-31	7584
34/10-16	38	3387-3394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_38_3387-3394m.jpg	59	9999-12-31	7585
34/10-16	39	3394-3395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_39_3394-3395m.jpg	59	9999-12-31	7586
34/10-16	40	3396-3403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_40_3396-3403m.jpg	59	9999-12-31	7587
34/10-16	41	3403-3410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_41_3403-3410m.jpg	59	9999-12-31	7588
34/10-16	42	3410-3413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_42_3410-3413m.jpg	59	9999-12-31	7589
34/10-16	43	3414-3421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_43_3414-3421m.jpg	59	9999-12-31	7590
34/10-16	44	3421-3428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_44_3421-3428m.jpg	59	9999-12-31	7591
34/10-16	45	3428-3430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_45_3428-3430m.jpg	59	9999-12-31	7592
34/10-16	46	3431-3438m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_46_3431-3438m.jpg	59	9999-12-31	7593
34/10-16	47	3438-3445m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_47_3438-3445m.jpg	59	9999-12-31	7594
34/10-16	48	3445-3447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_48_3445-3447m.jpg	59	9999-12-31	7595
34/10-16	49	3450-3457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_49_3450-3457m.jpg	59	9999-12-31	7596
34/10-16	50	3457-3464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_50_3457-3464m.jpg	59	9999-12-31	7597
34/10-16	51	3464-3465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_51_3464-3465m.jpg	59	9999-12-31	7598
34/10-16	52	3811-3818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_52_3811-3818m.jpg	59	9999-12-31	7599
34/10-16	53	3818-3825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_53_3818-3825m.jpg	59	9999-12-31	7600
34/10-16	54	3825-3829m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/59_54_3825-3829m.jpg	59	9999-12-31	7601
34/10-17	1	2681-2688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_01_2681-2688m.jpg	5	9999-12-31	7602
34/10-17	2	2688-2694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_02_2688-2694m.jpg	5	9999-12-31	7603
34/10-17	3	2695-2699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_03_2695-2699m.jpg	5	9999-12-31	7604
34/10-17	4	2700-2707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_04_2700-2707m.jpg	5	9999-12-31	7605
34/10-17	5	2707-2714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_05_2707-2714m.jpg	5	9999-12-31	7606
34/10-17	6	2714-2718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_06_2714-2718m.jpg	5	9999-12-31	7607
34/10-17	7	2718-2725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_07_2718-2725m.jpg	5	9999-12-31	7608
34/10-17	8	2725-2732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_08_2725-2732m.jpg	5	9999-12-31	7609
34/10-17	9	2732-2736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_09_2732-2736m.jpg	5	9999-12-31	7610
34/10-17	10	2736-2743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_10_2736-2743m.jpg	5	9999-12-31	7611
34/10-17	11	2743-2750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_11_2743-2750m.jpg	5	9999-12-31	7612
34/10-17	12	2750-2754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_12_2750-2754m.jpg	5	9999-12-31	7613
34/10-17	13	2754-2761m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_13_2754-2761m.jpg	5	9999-12-31	7614
34/10-17	14	2761-2767m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_14_2761-2767m.jpg	5	9999-12-31	7615
34/10-17	15	2768-2771m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_15_2768-2771m.jpg	5	9999-12-31	7616
34/10-17	16	2772-2779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_16_2772-2779m.jpg	5	9999-12-31	7617
34/10-17	17	2779-2786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_17_2779-2786m.jpg	5	9999-12-31	7618
34/10-17	18	2786-2790m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_18_2786-2790m.jpg	5	9999-12-31	7619
34/10-17	19	2790-2797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_19_2790-2797m.jpg	5	9999-12-31	7620
34/10-17	20	2797-2804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_20_2797-2804m.jpg	5	9999-12-31	7621
34/10-17	21	2804-2808m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_21_2804-2808m.jpg	5	9999-12-31	7622
34/10-17	22	2808-2815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_22_2808-2815m.jpg	5	9999-12-31	7623
34/10-17	23	2815-2822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_23_2815-2822m.jpg	5	9999-12-31	7624
34/10-17	24	2822-2826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_24_2822-2826m.jpg	5	9999-12-31	7625
34/10-17	25	2826-2833m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_25_2826-2833m.jpg	5	9999-12-31	7626
34/10-17	26	2833-2840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_26_2833-2840m.jpg	5	9999-12-31	7627
34/10-17	27	2840-2840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_27_2840-2840m.jpg	5	9999-12-31	7628
34/10-17	28	2840-2847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_28_2840-2847m.jpg	5	9999-12-31	7629
34/10-17	29	2847-2854m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_29_2847-2854m.jpg	5	9999-12-31	7630
34/10-17	30	2854-2858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_30_2854-2858m.jpg	5	9999-12-31	7631
34/10-17	31	2858-2865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_31_2858-2865m.jpg	5	9999-12-31	7632
34/10-17	31	2858-2885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_31_2858-2885m.jpg	5	9999-12-31	7633
34/10-17	32	2865-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_32_2865-2872m.jpg	5	9999-12-31	7634
34/10-17	33	2872-2875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_33_2872-2875m.jpg	5	9999-12-31	7635
34/10-17	34	2876-2883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_34_2876-2883m.jpg	5	9999-12-31	7636
34/10-17	35	2883-2890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_35_2883-2890m.jpg	5	9999-12-31	7637
34/10-17	36	2890-2894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_36_2890-2894m.jpg	5	9999-12-31	7638
34/10-17	37	2894-2900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_37_2894-2900m.jpg	5	9999-12-31	7639
34/10-17	38	2901-2907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_38_2901-2907m.jpg	5	9999-12-31	7640
34/10-17	39	2908-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_39_2908-2909m.jpg	5	9999-12-31	7641
34/10-17	40	2912-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_40_2912-2919m.jpg	5	9999-12-31	7642
34/10-17	41	2919-2926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_41_2919-2926m.jpg	5	9999-12-31	7643
34/10-17	42	2926-2930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_42_2926-2930m.jpg	5	9999-12-31	7644
34/10-17	43	2930-2937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_43_2930-2937m.jpg	5	9999-12-31	7645
34/10-17	44	2937-2944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_44_2937-2944m.jpg	5	9999-12-31	7646
34/10-17	45	2944-2948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_45_2944-2948m.jpg	5	9999-12-31	7647
34/10-17	46	2948-2955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_46_2948-2955m.jpg	5	9999-12-31	7648
34/10-17	47	2955-2962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_47_2955-2962m.jpg	5	9999-12-31	7649
34/10-17	48	2962-2965m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/5_48_2962-2965m.jpg	5	9999-12-31	7650
34/10-18	1	2343-2347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/23_01_2343-2347m.jpg	23	9999-12-31	7651
34/10-18	2	2347-2351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/23_02_2347-2351m.jpg	23	9999-12-31	7652
34/10-18	3	2351-2355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/23_03_2351-2355m.jpg	23	9999-12-31	7653
34/10-18	4	2355-2357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/23_04_2355-2357m.jpg	23	9999-12-31	7654
34/10-18	5	2361-2365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/23_05_2361-2365m.jpg	23	9999-12-31	7655
34/10-18	6	2365-2368m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/23_06_2365-2368m.jpg	23	9999-12-31	7656
34/10-18	7	2376-2380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/23_07_2376-2380m.jpg	23	9999-12-31	7657
34/10-18	8	2380-2384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/23_08_2380-2384m.jpg	23	9999-12-31	7658
34/10-18	9	2384-2388m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/23_09_2384-2388m.jpg	23	9999-12-31	7659
34/10-18	10	2388-2392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/23_10_2388-2392m.jpg	23	9999-12-31	7660
34/10-18	11	2392-2395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/23_11_2392-2395m.jpg	23	9999-12-31	7661
34/10-2	1	3031-3033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_01_3031-3033m.jpg	425	2013-02-14	7662
34/10-2	2	3033-3036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_02_3033-3036m.jpg	425	2013-02-14	7663
34/10-2	3	3036-3039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_03_3036-3039m.jpg	425	2013-02-14	7664
34/10-2	4	3039-3041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_04_3039-3041m.jpg	425	2013-02-14	7665
34/10-2	5	3103-3105m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_05_3103-3105m.jpg	425	2013-02-14	7666
34/10-2	6	3105-3108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_06_3105-3108m.jpg	425	2013-02-14	7667
34/10-2	7	3108-3111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_07_3108-3111m.jpg	425	2013-02-14	7668
34/10-2	8	3111-3113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_08_3111-3113m.jpg	425	2013-02-14	7669
34/10-2	9	3338-3340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_09_3338-3340m.jpg	425	2013-02-14	7670
34/10-2	10	3334-3340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_10_3334-3340m.jpg	425	2013-02-14	7671
34/10-2	11	3343-3345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_11_3343-3345m.jpg	425	2013-02-14	7672
34/10-2	12	3345-3347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_12_3345-3347m.jpg	425	2013-02-14	7673
34/10-2	13	3347-3350m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_13_3347-3350m.jpg	425	2013-02-14	7674
34/10-2	14	3350-3353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_14_3350-3353m.jpg	425	2013-02-14	7675
34/10-2	15	3353-3356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_15_3353-3356m.jpg	425	2013-02-14	7676
34/10-2	16	3356-3358m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_16_3356-3358m.jpg	425	2013-02-14	7677
34/10-2	17	3358-3361m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_17_3358-3361m.jpg	425	2013-02-14	7678
34/10-2	18	3363-3366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_18_3363-3366m.jpg	425	2013-02-14	7679
34/10-2	19	3366-3366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_19_3366-3366m.jpg	425	2013-02-14	7680
34/10-2	20	3366-3369m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_20_3366-3369m.jpg	425	2013-02-14	7681
34/10-2	21	3369-3371m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_21_3369-3371m.jpg	425	2013-02-14	7682
34/10-2	22	3371-3374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_22_3371-3374m.jpg	425	2013-02-14	7683
34/10-2	23	3374-3377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_23_3374-3377m.jpg	425	2013-02-14	7684
34/10-2	24	3377-3379m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_24_3377-3379m.jpg	425	2013-02-14	7685
34/10-2	25	3379-3382m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_25_3379-3382m.jpg	425	2013-02-14	7686
34/10-2	26	3382-3385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_26_3382-3385m.jpg	425	2013-02-14	7687
34/10-2	27	3385-3387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_27_3385-3387m.jpg	425	2013-02-14	7688
34/10-2	28	3387-3390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/425_28_3387-3390m.jpg	425	2013-02-14	7689
34/10-22	1	428-432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/446_01_428-432m.jpg	446	2013-02-14	7690
34/10-22	2	448	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/446_02_448_454m.jpg	446	2013-02-14	7691
34/10-22	3	454-457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/446_03_454-457m.jpg	446	2013-02-14	7692
34/10-22	4	465-466m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/446_04_465-466m.jpg	446	2013-02-14	7693
34/10-22	5	466-471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/446_05_466-471m.jpg	446	2013-02-14	7694
34/10-22	6	466-474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/446_06_466-474m.jpg	446	2013-02-14	7695
34/10-23	1	4082-4088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_01_4082-4088m.jpg	476	9999-12-31	7696
34/10-23	2	4088-4094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_02_4088-4094m.jpg	476	9999-12-31	7697
34/10-23	3	4094-4100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_03_4094-4100m.jpg	476	9999-12-31	7698
34/10-23	4	4100-4100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_04_4100-4100m.jpg	476	9999-12-31	7699
34/10-23	5	4103-4109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_05_4103-4109m.jpg	476	9999-12-31	7700
34/10-23	6	4109-4115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_06_4109-4115m.jpg	476	9999-12-31	7701
34/10-23	7	4115-4121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_07_4115-4121m.jpg	476	9999-12-31	7702
34/10-23	8	4121-4127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_08_4121-4127m.jpg	476	9999-12-31	7703
34/10-23	9	4127-4130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_09_4127-4130m.jpg	476	9999-12-31	7704
34/10-23	10	4130-4136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_10_4130-4136m.jpg	476	9999-12-31	7705
34/10-23	11	4136-4142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_11_4136-4142m.jpg	476	9999-12-31	7706
34/10-23	12	4142-4144m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_12_4142-4144m.jpg	476	9999-12-31	7707
34/10-23	13	4144-4150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_13_4144-4150m.jpg	476	9999-12-31	7708
34/10-23	14	4150-4156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_14_4150-4156m.jpg	476	9999-12-31	7709
34/10-23	15	4156-4162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_15_4156-4162m.jpg	476	9999-12-31	7710
34/10-23	16	4162-4167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_16_4162-4167m.jpg	476	9999-12-31	7711
34/10-23	17	4167-4169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_17_4167-4169m.jpg	476	9999-12-31	7712
34/10-23	18	4169-4175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_18_4169-4175m.jpg	476	9999-12-31	7713
34/10-23	19	4175-4181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_19_4175-4181m.jpg	476	9999-12-31	7714
34/10-23	20	4181-4187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_20_4181-4187m.jpg	476	9999-12-31	7715
34/10-23	21	4187-4193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_21_4187-4193m.jpg	476	9999-12-31	7716
34/10-23	22	4193-4197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_22_4193-4197m.jpg	476	9999-12-31	7717
34/10-23	23	4197-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_23_4197-4203m.jpg	476	9999-12-31	7718
34/10-23	24	4203-4209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_24_4203-4209m.jpg	476	9999-12-31	7719
34/10-23	25	4209-4210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_25_4209-4210m.jpg	476	9999-12-31	7720
34/10-23	26	4211-4217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_26_4211-4217m.jpg	476	9999-12-31	7721
34/10-23	27	4217-4223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_27_4217-4223m.jpg	476	9999-12-31	7722
34/10-23	28	4223-4224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_28_4223-4224m.jpg	476	9999-12-31	7723
34/10-23	29	4225-4231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_29_4225-4231m.jpg	476	9999-12-31	7724
34/10-23	30	4231-4237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_30_4231-4237m.jpg	476	9999-12-31	7725
34/10-23	31	4237-4243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_31_4237-4243m.jpg	476	9999-12-31	7726
34/10-23	32	4243-4249m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_32_4243-4249m.jpg	476	9999-12-31	7727
34/10-23	33	4249-4253m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_33_4249-4253m.jpg	476	9999-12-31	7728
34/10-23	34	4253-4259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_34_4253-4259m.jpg	476	9999-12-31	7729
34/10-23	35	4259-4265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_35_4259-4265m.jpg	476	9999-12-31	7730
34/10-23	36	4265-4271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_36_4265-4271m.jpg	476	9999-12-31	7731
34/10-23	37	4271-4277m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_37_4271-4277m.jpg	476	9999-12-31	7732
34/10-23	38	4277-4279m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_38_4277-4279m.jpg	476	9999-12-31	7733
34/10-23	39	4280-4288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_39_4280-4288m.jpg	476	9999-12-31	7734
34/10-23	40	4286-4292m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_40_4286-4292m.jpg	476	9999-12-31	7735
34/10-23	41	4292-4298m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_41_4292-4298m.jpg	476	9999-12-31	7736
34/10-23	42	4298-4304m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_42_4298-4304m.jpg	476	9999-12-31	7737
34/10-23	43	4304-4308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/476_43_4304-4308m.jpg	476	9999-12-31	7738
34/10-3	1	1904-1906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_01_1904-1906m.jpg	426	2013-02-14	7739
34/10-3	2	1906-1908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_02_1906-1908m.jpg	426	2013-02-14	7740
34/10-3	3	1909-1912m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_03_1909-1912m.jpg	426	2013-02-14	7741
34/10-3	4	1912-1914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_04_1912-1914m.jpg	426	2013-02-14	7742
34/10-3	5	1914-1917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_05_1914-1917m.jpg	426	2013-02-14	7743
34/10-3	6	1917-1918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_06_1917-1918m.jpg	426	2013-02-14	7744
34/10-3	7	1919-1922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_07_1919-1922m.jpg	426	2013-02-14	7745
34/10-3	8	1922-1924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_08_1922-1924m.jpg	426	2013-02-14	7746
34/10-3	9	1924-1927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_09_1924-1927m.jpg	426	2013-02-14	7747
34/10-3	10	1927-1929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_10_1927-1929m.jpg	426	2013-02-14	7748
34/10-3	11	1930-1933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_11_1930-1933m.jpg	426	2013-02-14	7749
34/10-3	12	1936-1938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_12_1936-1938m.jpg	426	2013-02-14	7750
34/10-3	13	1938-1941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_13_1938-1941m.jpg	426	2013-02-14	7751
34/10-3	14	1941-1944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_14_1941-1944m.jpg	426	2013-02-14	7752
34/10-3	15	1944-1946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_15_1944-1946m.jpg	426	2013-02-14	7753
34/10-3	16	1946-1947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_16_1946-1947m.jpg	426	2013-02-14	7754
34/10-3	17	1953-1955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_17_1953-1955m.jpg	426	2013-02-14	7755
34/10-3	18	1955-1958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_18_1955-1958m.jpg	426	2013-02-14	7756
34/10-3	19	1958-1961m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_19_1958-1961m.jpg	426	2013-02-14	7757
34/10-3	20	1961-1964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_20_1961-1964m.jpg	426	2013-02-14	7758
34/10-3	21	1964-1966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_21_1964-1966m.jpg	426	2013-02-14	7759
34/10-3	22	1966-1969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_22_1966-1969m.jpg	426	2013-02-14	7760
34/10-3	23	1971-1973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_23_1971-1973m.jpg	426	2013-02-14	7761
34/10-3	24	1973-1976m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_24_1973-1976m.jpg	426	2013-02-14	7762
34/10-3	25	1976-1979m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_25_1976-1979m.jpg	426	2013-02-14	7763
34/10-3	26	1979-1981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_26_1979-1981m.jpg	426	2013-02-14	7764
34/10-3	27	1981-1984m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_27_1981-1984m.jpg	426	2013-02-14	7765
34/10-3	28	1984-1987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_28_1984-1987m.jpg	426	2013-02-14	7766
34/10-3	29	1987-1989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_29_1987-1989m.jpg	426	2013-02-14	7767
34/10-3	30	1989-1991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_30_1989-1991m.jpg	426	2013-02-14	7768
34/10-3	31	1991-1994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_31_1991-1994m.jpg	426	2013-02-14	7769
34/10-3	32	1994-1997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_32_1994-1997m.jpg	426	2013-02-14	7770
34/10-3	33	1997-2000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_33_1997-2000m.jpg	426	2013-02-14	7771
34/10-3	34	2000-2002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_34_2000-2002m.jpg	426	2013-02-14	7772
34/10-3	35	2003-2005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_35_2003-2005m.jpg	426	2013-02-14	7773
34/10-3	36	2005-2007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_36_2005-2007m.jpg	426	2013-02-14	7774
34/10-3	37	2007-2010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_37_2007-2010m.jpg	426	2013-02-14	7775
34/10-3	38	2010-2012m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_38_2010-2012m.jpg	426	2013-02-14	7776
34/10-3	39	2012-2015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_39_2012-2015m.jpg	426	2013-02-14	7777
34/10-3	40	2015-2018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_40_2015-2018m.jpg	426	2013-02-14	7778
34/10-3	41	2018-2020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_41_2018-2020m.jpg	426	2013-02-14	7779
34/10-3	42	2020-2023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_42_2020-2023m.jpg	426	2013-02-14	7780
34/10-3	43	2023-2025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_43_2023-2025m.jpg	426	2013-02-14	7781
34/10-3	44	2467-2469m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_44_2467-2469m.jpg	426	2013-02-14	7782
34/10-3	45	2469-2472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_45_2469-2472m.jpg	426	2013-02-14	7783
34/10-3	46	2472-2475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_46_2472-2475m.jpg	426	2013-02-14	7784
34/10-3	47	2475-2477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_47_2475-2477m.jpg	426	2013-02-14	7785
34/10-3	48	2477-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/426_48_2477-2478m.jpg	426	2013-02-14	7786
34/10-30	1	2942-2946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_01_2942-2946m.jpg	877	9999-12-31	7787
34/10-30	2	3125-3131m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_02_3125-3131m.jpg	877	9999-12-31	7788
34/10-30	3	3131-3137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_03_3131-3137m.jpg	877	9999-12-31	7789
34/10-30	4	3137-3143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_04_3137-3143m.jpg	877	9999-12-31	7790
34/10-30	5	3143-3146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_05_3143-3146m.jpg	877	9999-12-31	7791
34/10-30	6	3146-3152m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_06_3146-3152m.jpg	877	9999-12-31	7792
34/10-30	7	3152-3158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_07_3152-3158m.jpg	877	9999-12-31	7793
34/10-30	8	3158-3164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_08_3158-3164m.jpg	877	9999-12-31	7794
34/10-30	9	3164-3170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_09_3164-3170m.jpg	877	9999-12-31	7795
34/10-30	10	3170-3172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_10_3170-3172m.jpg	877	9999-12-31	7796
34/10-30	11	3173-3179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_11_3173-3179m.jpg	877	9999-12-31	7797
34/10-30	12	3179-3180m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_12_3179-3180m.jpg	877	9999-12-31	7798
34/10-30	13	3180-3185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_13_3180-3185m.jpg	877	9999-12-31	7799
34/10-30	14	3185-3187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_14_3185-3187m.jpg	877	9999-12-31	7800
34/10-30	15	3187-3192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_15_3187-3192m.jpg	877	9999-12-31	7801
34/10-30	16	3192-3198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_16_3192-3198m.jpg	877	9999-12-31	7802
34/10-30	17	3198-3200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_17_3198-3200m.jpg	877	9999-12-31	7803
34/10-30	18	3199-3205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_18_3199-3205m.jpg	877	9999-12-31	7804
34/10-30	19	3205-3211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_19_3205-3211m.jpg	877	9999-12-31	7805
34/10-30	20	3211-3217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_20_3211-3217m.jpg	877	9999-12-31	7806
34/10-30	21	3217-3218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_21_3217-3218m.jpg	877	9999-12-31	7807
34/10-30	22	3218-3222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_22_3218-3222m.jpg	877	9999-12-31	7808
34/10-30	23	3223-3229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_23_3223-3229m.jpg	877	9999-12-31	7809
34/10-30	24	3229-3235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_24_3229-3235m.jpg	877	9999-12-31	7810
34/10-30	26	3235-3236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_26_3235-3236m.jpg	877	9999-12-31	7811
34/10-30	26	3235-3240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_26_3235-3240m.jpg	877	9999-12-31	7812
34/10-30	27	3241-3247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_27_3241-3247m.jpg	877	9999-12-31	7813
34/10-30	28	3247-3253m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_28_3247-3253m.jpg	877	9999-12-31	7814
34/10-30	29	3252-3258m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_29_3252-3258m.jpg	877	9999-12-31	7815
34/10-30	31	3264-3270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_31_3264-3270m.jpg	877	9999-12-31	7816
34/10-30	32	3270-3271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_32_3270-3271m.jpg	877	9999-12-31	7817
34/10-30	33	3270-3276m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_33_3270-3276m.jpg	877	9999-12-31	7818
34/10-30	34	3276-3282m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_34_3276-3282m.jpg	877	9999-12-31	7819
34/10-30	35	3288-3289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_35_3288-3289m.jpg	877	9999-12-31	7820
34/10-30	36	3282-3288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_36_3282-3288m.jpg	877	9999-12-31	7821
34/10-30	37	3288-3294m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_37_3288-3294m.jpg	877	9999-12-31	7822
34/10-30	38	3294-3300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_38_3294-3300m.jpg	877	9999-12-31	7823
34/10-30	39	3300-3306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_39_3300-3306m.jpg	877	9999-12-31	7824
34/10-30	40	3306-3312m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_40_3306-3312m.jpg	877	9999-12-31	7825
34/10-30	41	3312-3318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_41_3312-3318m.jpg	877	9999-12-31	7826
34/10-30	42	3318-3324m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_42_3318-3324m.jpg	877	9999-12-31	7827
34/10-30	43	3411-3417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_43_3411-3417m.jpg	877	9999-12-31	7828
34/10-30	44	3417-3423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_44_3417-3423m.jpg	877	9999-12-31	7829
34/10-30	45	3423-3429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_45_3423-3429m.jpg	877	9999-12-31	7830
34/10-30	46	3429-3430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_46_3429-3430m.jpg	877	9999-12-31	7831
34/10-30	47	3429-3435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_47_3429-3435m.jpg	877	9999-12-31	7832
34/10-30	48	3435-3441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_48_3435-3441m.jpg	877	9999-12-31	7833
34/10-30	49	3441-3446m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_49_3441-3446m.jpg	877	9999-12-31	7834
34/10-30	50	3446-3452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_50_3446-3452m.jpg	877	9999-12-31	7835
34/10-30	51	3452-3458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_51_3452-3458m.jpg	877	9999-12-31	7836
34/10-30	52	3458-3464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_52_3458-3464m.jpg	877	9999-12-31	7837
34/10-30	53	3464-3465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_53_3464-3465m.jpg	877	9999-12-31	7838
34/10-30	54	3465-3471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_54_3465-3471m.jpg	877	9999-12-31	7839
34/10-30	55	3471-3477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_55_3471-3477m.jpg	877	9999-12-31	7840
34/10-30	56	3477-3479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_56_3477-3479m.jpg	877	9999-12-31	7841
34/10-30	57	3543-3549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_57_3543-3549m.jpg	877	9999-12-31	7842
34/10-30	58	3549-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_58_3549-3555m.jpg	877	9999-12-31	7843
34/10-30	59	3555-3581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_59_3555-3581m.jpg	877	9999-12-31	7844
34/10-30	60	3561-3562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_60_3561-3562m.jpg	877	9999-12-31	7845
34/10-30	61	3561-3567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_61_3561-3567m.jpg	877	9999-12-31	7846
34/10-30	62	3567-3573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_62_3567-3573m.jpg	877	9999-12-31	7847
34/10-30	63	3573-3579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_63_3573-3579m.jpg	877	9999-12-31	7848
34/10-30	64	3579-3580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_64_3579-3580m.jpg	877	9999-12-31	7849
34/10-30	65	3579-3585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_65_3579-3585m.jpg	877	9999-12-31	7850
34/10-30	66	3585-3591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_66_3585-3591m.jpg	877	9999-12-31	7851
34/10-30	67	3591-3597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_67_3591-3597m.jpg	877	9999-12-31	7852
34/10-30	68	3597-3598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_68_3597-3598m.jpg	877	9999-12-31	7853
34/10-30	69	3597-3603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_69_3597-3603m.jpg	877	9999-12-31	7854
34/10-30	70	3603-3609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_70_3603-3609m.jpg	877	9999-12-31	7855
34/10-30	71	3609-3615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_71_3609-3615m.jpg	877	9999-12-31	7856
34/10-30	72	3615-3621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_72_3615-3621m.jpg	877	9999-12-31	7857
34/10-30	73	3621-3627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_73_3621-3627m.jpg	877	9999-12-31	7858
34/10-30	74	3627-3633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_74_3627-3633m.jpg	877	9999-12-31	7859
34/10-30	75	3633-3634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/877_75_3633-3634m.jpg	877	9999-12-31	7860
34/10-33	1	3188-3192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_01_3188-3192m.jpg	1302	9999-12-31	7861
34/10-33	2	3192-3197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_02_3192-3197m.jpg	1302	9999-12-31	7862
34/10-33	3	3199-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_03_3199-3202m.jpg	1302	9999-12-31	7863
34/10-33	4	3202-3207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_04_3202-3207m.jpg	1302	9999-12-31	7864
34/10-33	5	3207-3211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_05_3207-3211m.jpg	1302	9999-12-31	7865
34/10-33	6	3211-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_06_3211-3216m.jpg	1302	9999-12-31	7866
34/10-33	7	3216-3218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_07_3216-3218m.jpg	1302	9999-12-31	7867
34/10-33	8	3226-3230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_08_3226-3230m.jpg	1302	9999-12-31	7868
34/10-33	9	3230-3234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_09_3230-3234m.jpg	1302	9999-12-31	7869
34/10-33	10	3235-3239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_10_3235-3239m.jpg	1302	9999-12-31	7870
34/10-33	11	3239-3243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_11_3239-3243m.jpg	1302	9999-12-31	7871
34/10-33	12	3243-3248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_12_3243-3248m.jpg	1302	9999-12-31	7872
34/10-33	13	3248-3250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_13_3248-3250m.jpg	1302	9999-12-31	7873
34/10-33	14	3250-3254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_14_3250-3254m.jpg	1302	9999-12-31	7874
34/10-33	15	3254-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_15_3254-3259m.jpg	1302	9999-12-31	7875
34/10-33	16	3259-3263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_16_3259-3263m.jpg	1302	9999-12-31	7876
34/10-33	17	3263-3267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_17_3263-3267m.jpg	1302	9999-12-31	7877
34/10-33	18	3267-3271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_18_3267-3271m.jpg	1302	9999-12-31	7878
34/10-33	19	3273-3278m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_19_3273-3278m.jpg	1302	9999-12-31	7879
34/10-33	20	3278-3282m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_20_3278-3282m.jpg	1302	9999-12-31	7880
34/10-33	21	3282-3283m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_21_3282-3283m.jpg	1302	9999-12-31	7881
34/10-33	22	3285-3289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_22_3285-3289m.jpg	1302	9999-12-31	7882
34/10-33	23	3285-3294m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_23_3285-3294m.jpg	1302	9999-12-31	7883
34/10-33	24	3294-3297m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_24_3294-3297m.jpg	1302	9999-12-31	7884
34/10-33	25	3297-3302m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_25_3297-3302m.jpg	1302	9999-12-31	7885
34/10-33	26	3302-3306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_26_3302-3306m.jpg	1302	9999-12-31	7886
34/10-33	27	3306-3307m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_27_3306-3307m.jpg	1302	9999-12-31	7887
34/10-33	28	3308-3312m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_28_3308-3312m.jpg	1302	9999-12-31	7888
34/10-33	29	3312-3316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_29_3312-3316m.jpg	1302	9999-12-31	7889
34/10-33	30	3316-3320m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_30_3316-3320m.jpg	1302	9999-12-31	7890
34/10-33	31	3320-3325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_31_3320-3325m.jpg	1302	9999-12-31	7891
34/10-33	32	3325-3329m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_32_3325-3329m.jpg	1302	9999-12-31	7892
34/10-33	33	3329-3333m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_33_3329-3333m.jpg	1302	9999-12-31	7893
34/10-33	34	3333-3336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_34_3333-3336m.jpg	1302	9999-12-31	7894
34/10-33	35	3336-3340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_35_3336-3340m.jpg	1302	9999-12-31	7895
34/10-33	36	3340-3344m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_36_3340-3344m.jpg	1302	9999-12-31	7896
34/10-33	37	3344-3348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_37_3344-3348m.jpg	1302	9999-12-31	7897
34/10-33	38	3349-3353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_38_3349-3353m.jpg	1302	9999-12-31	7898
34/10-33	39	3353-3357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_39_3353-3357m.jpg	1302	9999-12-31	7899
34/10-33	40	3357-3362m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_40_3357-3362m.jpg	1302	9999-12-31	7900
34/10-33	41	3362-3366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_41_3362-3366m.jpg	1302	9999-12-31	7901
34/10-33	42	3366-3370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_42_3366-3370m.jpg	1302	9999-12-31	7902
34/10-33	43	3370-3373m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_43_3370-3373m.jpg	1302	9999-12-31	7903
34/10-33	44	3373-3377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_44_3373-3377m.jpg	1302	9999-12-31	7904
34/10-33	45	3377-3381m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_45_3377-3381m.jpg	1302	9999-12-31	7905
34/10-33	46	3381-3382m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_46_3381-3382m.jpg	1302	9999-12-31	7906
34/10-33	47	3382-3387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_47_3382-3387m.jpg	1302	9999-12-31	7907
34/10-33	48	3387-3391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_48_3387-3391m.jpg	1302	9999-12-31	7908
34/10-33	49	3391-3395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_49_3391-3395m.jpg	1302	9999-12-31	7909
34/10-33	50	3395-3399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_50_3395-3399m.jpg	1302	9999-12-31	7910
34/10-33	51	3398-3403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_51_3398-3403m.jpg	1302	9999-12-31	7911
34/10-33	52	3403-3407m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_52_3403-3407m.jpg	1302	9999-12-31	7912
34/10-33	53	3407-3410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_53_3407-3410m.jpg	1302	9999-12-31	7913
34/10-33	54	3410-3415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_54_3410-3415m.jpg	1302	9999-12-31	7914
34/10-33	55	3415-3418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_55_3415-3418m.jpg	1302	9999-12-31	7915
34/10-33	56	3418-3423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_56_3418-3423m.jpg	1302	9999-12-31	7916
34/10-33	57	3423-3427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_57_3423-3427m.jpg	1302	9999-12-31	7917
34/10-33	58	3427-3431m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_58_3427-3431m.jpg	1302	9999-12-31	7918
34/10-33	59	3431-3434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_59_3431-3434m.jpg	1302	9999-12-31	7919
34/10-33	60	3431-3434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_60_3431-3434m.jpg	1302	9999-12-31	7920
34/10-33	61	3799-3803m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_61_3799-3803m.jpg	1302	9999-12-31	7921
34/10-33	62	3803-3807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_62_3803-3807m.jpg	1302	9999-12-31	7922
34/10-33	63	3807-3811m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_63_3807-3811m.jpg	1302	9999-12-31	7923
34/10-33	64	3811-3815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_64_3811-3815m.jpg	1302	9999-12-31	7924
34/10-33	65	3815-3820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_65_3815-3820m.jpg	1302	9999-12-31	7925
34/10-33	66	3820-3824m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_66_3820-3824m.jpg	1302	9999-12-31	7926
34/10-33	67	3824-3828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_67_3824-3828m.jpg	1302	9999-12-31	7927
34/10-33	68	3828-3829m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_68_3828-3829m.jpg	1302	9999-12-31	7928
34/10-33	69	3830-3834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_69_3830-3834m.jpg	1302	9999-12-31	7929
34/10-33	70	3834-3838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_70_3834-3838m.jpg	1302	9999-12-31	7930
34/10-33	71	3838-3840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1302_71_3838-3840m.jpg	1302	9999-12-31	7931
34/10-33 B	1	3742-3747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1407_01_3742-3747m.jpg	1407	9999-12-31	7932
34/10-33 B	2	3747-3751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1407_02_3747-3751m.jpg	1407	9999-12-31	7933
34/10-33 B	3	3785-3790m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1407_03_3785-3790m.jpg	1407	9999-12-31	7934
34/10-33 B	4	3790-3791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1407_04_3790-3791m.jpg	1407	9999-12-31	7935
34/10-33 B	5	3850-3855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1407_05_3850-3855m.jpg	1407	9999-12-31	7936
34/10-33 B	6	3855-3859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1407_06_3855-3859m.jpg	1407	9999-12-31	7937
34/10-34	1	1995-2000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_01_1995-2000m.jpg	1747	9999-12-31	7938
34/10-34	2	2000-2005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_02_2000-2005m.jpg	1747	9999-12-31	7939
34/10-34	3	2005-2010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_03_2005-2010m.jpg	1747	9999-12-31	7940
34/10-34	4	2010-2017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_04_2010-2017m.jpg	1747	9999-12-31	7941
34/10-34	5	2017-2022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_05_2017-2022m.jpg	1747	9999-12-31	7942
34/10-34	6	2022-2027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_06_2022-2027m.jpg	1747	9999-12-31	7943
34/10-34	7	2027-2032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_07_2027-2032m.jpg	1747	9999-12-31	7944
34/10-34	8	2032-2037m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_08_2032-2037m.jpg	1747	9999-12-31	7945
34/10-34	9	2037-2042m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_09_2037-2042m.jpg	1747	9999-12-31	7946
34/10-34	10	2042-2047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_10_2042-2047m.jpg	1747	9999-12-31	7947
34/10-34	11	2047-2052m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_11_2047-2052m.jpg	1747	9999-12-31	7948
34/10-34	12	2052-2057m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_12_2052-2057m.jpg	1747	9999-12-31	7949
34/10-34	13	2057-2062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_13_2057-2062m.jpg	1747	9999-12-31	7950
34/10-34	14	2062-2067m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_14_2062-2067m.jpg	1747	9999-12-31	7951
34/10-34	15	2067-2072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_15_2067-2072m.jpg	1747	9999-12-31	7952
34/10-34	16	2072-2077m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_16_2072-2077m.jpg	1747	9999-12-31	7953
34/10-34	17	2077-2082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_17_2077-2082m.jpg	1747	9999-12-31	7954
34/10-34	18	2082-2087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_18_2082-2087m.jpg	1747	9999-12-31	7955
34/10-34	19	2087-2092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_19_2087-2092m.jpg	1747	9999-12-31	7956
34/10-34	20	2092-2096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_20_2092-2096m.jpg	1747	9999-12-31	7957
34/10-34	21	2096-2101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_21_2096-2101m.jpg	1747	9999-12-31	7958
34/10-34	22	2101-2106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_22_2101-2106m.jpg	1747	9999-12-31	7959
34/10-34	23	2106-2111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_23_2106-2111m.jpg	1747	9999-12-31	7960
34/10-34	24	2111-2116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_24_2111-2116m.jpg	1747	9999-12-31	7961
34/10-34	25	2116-2121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_25_2116-2121m.jpg	1747	9999-12-31	7962
34/10-34	26	2121-2126m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_26_2121-2126m.jpg	1747	9999-12-31	7963
34/10-34	27	2126-2133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_27_2126-2133m.jpg	1747	9999-12-31	7964
34/10-34	28	2133-2138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_28_2133-2138m.jpg	1747	9999-12-31	7965
34/10-34	29	2138-2143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_29_2138-2143m.jpg	1747	9999-12-31	7966
34/10-34	30	2143-2148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_30_2143-2148m.jpg	1747	9999-12-31	7967
34/10-34	31	2148-2151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_31_2148-2151m.jpg	1747	9999-12-31	7968
34/10-34	32	2151-2156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_32_2151-2156m.jpg	1747	9999-12-31	7969
34/10-34	33	2156-2161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_33_2156-2161m.jpg	1747	9999-12-31	7970
34/10-34	34	2161-2166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_34_2161-2166m.jpg	1747	9999-12-31	7971
34/10-34	35	2166-2172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_35_2166-2172m.jpg	1747	9999-12-31	7972
34/10-34	36	2172-2177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_36_2172-2177m.jpg	1747	9999-12-31	7973
34/10-34	37	2177-2182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_37_2177-2182m.jpg	1747	9999-12-31	7974
34/10-34	38	2182-2187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_38_2182-2187m.jpg	1747	9999-12-31	7975
34/10-34	39	2187-2192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_39_2187-2192m.jpg	1747	9999-12-31	7976
34/10-34	40	2192-2197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_40_2192-2197m.jpg	1747	9999-12-31	7977
34/10-34	41	2197-2201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_41_2197-2201m.jpg	1747	9999-12-31	7978
34/10-34	42	2201-2206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_42_2201-2206m.jpg	1747	9999-12-31	7979
34/10-34	43	2206-2211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_43_2206-2211m.jpg	1747	9999-12-31	7980
34/10-34	44	2211-2216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_44_2211-2216m.jpg	1747	9999-12-31	7981
34/10-34	45	2216-2221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_45_2216-2221m.jpg	1747	9999-12-31	7982
34/10-34	46	2221-2226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_46_2221-2226m.jpg	1747	9999-12-31	7983
34/10-34	47	2226-2230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_47_2226-2230m.jpg	1747	9999-12-31	7984
34/10-34	48	2230-2235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_48_2230-2235m.jpg	1747	9999-12-31	7985
34/10-34	49	2235-2240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_49_2235-2240m.jpg	1747	9999-12-31	7986
34/10-34	50	2240-2245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_50_2240-2245m.jpg	1747	9999-12-31	7987
34/10-34	51	2245-2250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_51_2245-2250m.jpg	1747	9999-12-31	7988
34/10-34	52	2250-2255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_52_2250-2255m.jpg	1747	9999-12-31	7989
34/10-34	52	2265-2270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_52_2265-2270m.jpg	1747	9999-12-31	7990
34/10-34	53	2255-2260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_53_2255-2260m.jpg	1747	9999-12-31	7991
34/10-34	54	2260-2265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_54_2260-2265m.jpg	1747	9999-12-31	7992
34/10-34	55	2270-2273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_55_2270-2273m.jpg	1747	9999-12-31	7993
34/10-34	56	2121-2126m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_56_2121-2126m.jpg	1747	9999-12-31	7994
34/10-34	57	2126-2133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_57_2126-2133m.jpg	1747	9999-12-31	7995
34/10-34	58	2133-2138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_58_2133-2138m.jpg	1747	9999-12-31	7996
34/10-34	59	2138-2143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_59_2138-2143m.jpg	1747	9999-12-31	7997
34/10-34	60	2143-2148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_60_2143-2148m.jpg	1747	9999-12-31	7998
34/10-34	61	2148-2151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_61_2148-2151m.jpg	1747	9999-12-31	7999
34/10-34	62	2151-2156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_62_2151-2156m.jpg	1747	9999-12-31	8000
34/10-34	63	2156-2161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_63_2156-2161m.jpg	1747	9999-12-31	8001
34/10-34	64	2161-2166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_64_2161-2166m.jpg	1747	9999-12-31	8002
34/10-34	65	2166-2172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_65_2166-2172m.jpg	1747	9999-12-31	8003
34/10-34	66	2172-2177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_66_2172-2177m.jpg	1747	9999-12-31	8004
34/10-34	67	2177-2182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_67_2177-2182m.jpg	1747	9999-12-31	8005
34/10-34	68	2182-2187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_68_2182-2187m.jpg	1747	9999-12-31	8006
34/10-34	69	2187-2192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_69_2187-2192m.jpg	1747	9999-12-31	8007
34/10-34	70	2192-2197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_70_2192-2197m.jpg	1747	9999-12-31	8008
34/10-34	71	2197-2201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_71_2197-2201m.jpg	1747	9999-12-31	8009
34/10-34	72	2201-2206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_72_2201-2206m.jpg	1747	9999-12-31	8010
34/10-34	73	2206-2211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_73_2206-2211m.jpg	1747	9999-12-31	8011
34/10-34	74	2211-2216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_74_2211-2216m.jpg	1747	9999-12-31	8012
34/10-34	75	2216-2221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_75_2216-2221m.jpg	1747	9999-12-31	8013
34/10-34	76	2221-2226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_76_2221-2226m.jpg	1747	9999-12-31	8014
34/10-34	77	2226-2230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_77_2226-2230m.jpg	1747	9999-12-31	8015
34/10-34	78	2230-2235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_78_2230-2235m.jpg	1747	9999-12-31	8016
34/10-34	79	2235-2240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_79_2235-2240m.jpg	1747	9999-12-31	8017
34/10-34	80	2240-2245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_80_2240-2245m.jpg	1747	9999-12-31	8018
34/10-34	81	2245-2250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_81_2245-2250m.jpg	1747	9999-12-31	8019
34/10-34	82	2250-2255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_82_2250-2255m.jpg	1747	9999-12-31	8020
34/10-34	83	2255-2260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_83_2255-2260m.jpg	1747	9999-12-31	8021
34/10-34	84	2260-2265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_84_2260-2265m.jpg	1747	9999-12-31	8022
34/10-34	85	2265-2270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_85_2265-2270m.jpg	1747	9999-12-31	8023
34/10-34	86	2270-2273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1747_86_2270-2273m.jpg	1747	9999-12-31	8024
34/10-35	1	3931-3936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_01_3931-3936m.jpg	1874	2013-03-20	8025
34/10-35	2	3936-3938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_02_3936-3938m.jpg	1874	2013-03-20	8026
34/10-35	3	3939-3944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_03_3939-3944m.jpg	1874	2013-03-20	8027
34/10-35	4	3944-3944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_04_3944-3944m.jpg	1874	2013-03-20	8028
34/10-35	5	3944-3948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_05_3944-3948m.jpg	1874	2013-03-20	8029
34/10-35	6	3949-3954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_06_3949-3954m.jpg	1874	2013-03-20	8030
34/10-35	7	3954-3955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_07_3954-3955m.jpg	1874	2013-03-20	8031
34/10-35	8	3968-3970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_08_3968-3970m.jpg	1874	2013-03-20	8032
34/10-35	9	3984-3989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_09_3984-3989m.jpg	1874	2013-03-20	8033
34/10-35	10	3989-3994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_10_3989-3994m.jpg	1874	2013-03-20	8034
34/10-35	11	3994-3999m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_11_3994-3999m.jpg	1874	2013-03-20	8035
34/10-35	12	3999-4004m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_12_3999-4004m.jpg	1874	2013-03-20	8036
34/10-35	13	4004-4009m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_13_4004-4009m.jpg	1874	2013-03-20	8037
34/10-35	14	4009-4013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_14_4009-4013m.jpg	1874	2013-03-20	8038
34/10-35	15	4013-4017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_15_4013-4017m.jpg	1874	2013-03-20	8039
34/10-35	16	4018-4023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_16_4018-4023m.jpg	1874	2013-03-20	8040
34/10-35	17	4023-4028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_17_4023-4028m.jpg	1874	2013-03-20	8041
34/10-35	18	4028-4033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_18_4028-4033m.jpg	1874	2013-03-20	8042
34/10-35	19	4033-4038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_19_4033-4038m.jpg	1874	2013-03-20	8043
34/10-35	20	4038-4043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_20_4038-4043m.jpg	1874	2013-03-20	8044
34/10-35	21	4043-4045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_21_4043-4045m.jpg	1874	2013-03-20	8045
34/10-35	22	4046-4051m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_22_4046-4051m.jpg	1874	2013-03-20	8046
34/10-35	23	4051-4056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_23_4051-4056m.jpg	1874	2013-03-20	8047
34/10-35	24	4056-4056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_24_4056-4056m.jpg	1874	2013-03-20	8048
34/10-35	25	4057-4062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_25_4057-4062m.jpg	1874	2013-03-20	8049
34/10-35	26	4062-4063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_26_4062-4063m.jpg	1874	2013-03-20	8050
34/10-35	27	4250-4255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_27_4250-4255m.jpg	1874	2013-03-20	8051
34/10-35	28	4255-4260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_28_4255-4260m.jpg	1874	2013-03-20	8052
34/10-35	29	4260-4265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_29_4260-4265m.jpg	1874	2013-03-20	8053
34/10-35	30	4265-4270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_30_4265-4270m.jpg	1874	2013-03-20	8054
34/10-35	31	4270-4275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_31_4270-4275m.jpg	1874	2013-03-20	8055
34/10-35	32	4275-4275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_32_4275-4275m.jpg	1874	2013-03-20	8056
34/10-35	33	4276-4281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_33_4276-4281m.jpg	1874	2013-03-20	8057
34/10-35	34	4281-4286m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_34_4281-4286m.jpg	1874	2013-03-20	8058
34/10-35	35	4286-4287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1874_35_4286-4287m.jpg	1874	2013-03-20	8059
34/10-37	1	2626-2631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2431_01_2626-2631m.jpg	2431	9999-12-31	8060
34/10-37	2	2631-2636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2431_02_2631-2636m.jpg	2431	9999-12-31	8061
34/10-37	3	2636-2641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2431_03_2636-2641m.jpg	2431	9999-12-31	8062
34/10-37	4	2641-2644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2431_04_2641-2644m.jpg	2431	9999-12-31	8063
34/10-37	5	2646-2650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2431_05_2646-2650m.jpg	2431	9999-12-31	8064
34/10-37	6	2650-2655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2431_06_2650-2655m.jpg	2431	9999-12-31	8065
34/10-37	7	2655-2660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2431_07_2655-2660m.jpg	2431	9999-12-31	8066
34/10-37	8	2660-2665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2431_08_2660-2665m.jpg	2431	9999-12-31	8067
34/10-37	9	2665-2670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2431_09_2665-2670m.jpg	2431	9999-12-31	8068
34/10-37	10	2670-2672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2431_10_2670-2672m.jpg	2431	9999-12-31	8069
34/10-37 A	1	2664-2669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_01_2664-2669m.jpg	2530	9999-12-31	8070
34/10-37 A	2	2669-2674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_02_2669-2674m.jpg	2530	9999-12-31	8071
34/10-37 A	3	2674-2679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_03_2674-2679m.jpg	2530	9999-12-31	8072
34/10-37 A	4	2679-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_04_2679-2684m.jpg	2530	9999-12-31	8073
34/10-37 A	5	2684-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_05_2684-2684m.jpg	2530	9999-12-31	8074
34/10-37 A	6	2689-2694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_06_2689-2694m.jpg	2530	9999-12-31	8075
34/10-37 A	7	2694-2699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_07_2694-2699m.jpg	2530	9999-12-31	8076
34/10-37 A	8	2699-2704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_08_2699-2704m.jpg	2530	9999-12-31	8077
34/10-37 A	9	2704-2705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_09_2704-2705m.jpg	2530	9999-12-31	8078
34/10-37 A	10	2705-2710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_10_2705-2710m.jpg	2530	9999-12-31	8079
34/10-37 A	11	2710-2715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_11_2710-2715m.jpg	2530	9999-12-31	8080
34/10-37 A	12	2715-2717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_12_2715-2717m.jpg	2530	9999-12-31	8081
34/10-37 A	13	2720-2725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_13_2720-2725m.jpg	2530	9999-12-31	8082
34/10-37 A	14	2725-2729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_14_2725-2729m.jpg	2530	9999-12-31	8083
34/10-37 A	15	2731-2736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_15_2731-2736m.jpg	2530	9999-12-31	8084
34/10-37 A	16	2736-2741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2530_16_2736-2741m.jpg	2530	9999-12-31	8085
34/10-4	1	1826-1828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_01_1826-1828m.jpg	427	2013-02-14	8086
34/10-4	2	1828-1831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_02_1828-1831m.jpg	427	2013-02-14	8087
34/10-4	3	1831-1834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_03_1831-1834m.jpg	427	2013-02-14	8088
34/10-4	4	1834-1836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_04_1834-1836m.jpg	427	2013-02-14	8089
34/10-4	5	1836-1839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_05_1836-1839m.jpg	427	2013-02-14	8090
34/10-4	6	1839-1842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_06_1839-1842m.jpg	427	2013-02-14	8091
34/10-4	7	1842-1844m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_07_1842-1844m.jpg	427	2013-02-14	8092
34/10-4	8	1845-1847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_08_1845-1847m.jpg	427	2013-02-14	8093
34/10-4	9	1847-1850m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_09_1847-1850m.jpg	427	2013-02-14	8094
34/10-4	10	1850-1852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_10_1850-1852m.jpg	427	2013-02-14	8095
34/10-4	11	1857-1859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_11_1857-1859m.jpg	427	2013-02-14	8096
34/10-4	12	1859-1862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_12_1859-1862m.jpg	427	2013-02-14	8097
34/10-4	13	1862-1865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_13_1862-1865m.jpg	427	2013-02-14	8098
34/10-4	14	1865-1867m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_14_1865-1867m.jpg	427	2013-02-14	8099
34/10-4	15	1867-1870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_15_1867-1870m.jpg	427	2013-02-14	8100
34/10-4	16	1870-1873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_16_1870-1873m.jpg	427	2013-02-14	8101
34/10-4	17	1873-1873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_17_1873-1873m.jpg	427	2013-02-14	8102
34/10-4	18	1873-1876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_18_1873-1876m.jpg	427	2013-02-14	8103
34/10-4	19	1876-1878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_19_1876-1878m.jpg	427	2013-02-14	8104
34/10-4	20	1878-1881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_20_1878-1881m.jpg	427	2013-02-14	8105
34/10-4	21	1881-1883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_21_1881-1883m.jpg	427	2013-02-14	8106
34/10-4	22	1884-1886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_22_1884-1886m.jpg	427	2013-02-14	8107
34/10-4	23	1886-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_23_1886-1888m.jpg	427	2013-02-14	8108
34/10-4	24	1889-1890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_24_1889-1890m.jpg	427	2013-02-14	8109
34/10-4	25	1891-1892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_25_1891-1892m.jpg	427	2013-02-14	8110
34/10-4	26	1893-1895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_26_1893-1895m.jpg	427	2013-02-14	8111
34/10-4	27	1896-1898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_27_1896-1898m.jpg	427	2013-02-14	8112
34/10-4	28	1899-1901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_28_1899-1901m.jpg	427	2013-02-14	8113
34/10-4	29	1901-1904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_29_1901-1904m.jpg	427	2013-02-14	8114
34/10-4	30	1904-1907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_30_1904-1907m.jpg	427	2013-02-14	8115
34/10-4	31	1907-1909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_31_1907-1909m.jpg	427	2013-02-14	8116
34/10-4	32	2350-2353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_32_2350-2353m.jpg	427	2013-02-14	8117
34/10-4	33	2353-2356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_33_2353-2356m.jpg	427	2013-02-14	8118
34/10-4	34	2356-2357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/427_34_2356-2357m.jpg	427	2013-02-14	8119
34/10-42 S	1	4109-4111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3816_01_4109-4111m.jpg	3816	9999-12-31	8120
34/10-42 S	2	4217-4222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3816_02_4217-4222m.jpg	3816	9999-12-31	8121
34/10-42 S	3	4222-4227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3816_03_4222-4227m.jpg	3816	9999-12-31	8122
34/10-42 S	4	4227-4232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3816_04_4227-4232m.jpg	3816	9999-12-31	8123
34/10-42 S	5	4232-4237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3816_05_4232-4237m.jpg	3816	9999-12-31	8124
34/10-42 S	6	4237-4242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3816_06_4237-4242m.jpg	3816	9999-12-31	8125
34/10-42 S	7	4242-4247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3816_07_4242-4247m.jpg	3816	9999-12-31	8126
34/10-42 S	8	4247-4252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3816_08_4247-4252m.jpg	3816	9999-12-31	8127
34/10-42 S	9	4252-4253m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3816_09_4252-4253m.jpg	3816	9999-12-31	8128
34/10-5	1	1910-1913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_01_1910-1913m.jpg	428	2013-02-14	8129
34/10-5	2	1913-1916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_02_1913-1916m.jpg	428	2013-02-14	8130
34/10-5	3	1916-1918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_03_1916-1918m.jpg	428	2013-02-14	8131
34/10-5	4	1918-1921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_04_1918-1921m.jpg	428	2013-02-14	8132
34/10-5	5	1921-1924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_05_1921-1924m.jpg	428	2013-02-14	8133
34/10-5	6	1924-1926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_06_1924-1926m.jpg	428	2013-02-14	8134
34/10-5	7	1926-1928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_07_1926-1928m.jpg	428	2013-02-14	8135
34/10-5	8	1930-1932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_08_1930-1932m.jpg	428	2013-02-14	8136
34/10-5	9	1932-1934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_09_1932-1934m.jpg	428	2013-02-14	8137
34/10-5	10	1949-1951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_10_1949-1951m.jpg	428	2013-02-14	8138
34/10-5	11	1951-1954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_11_1951-1954m.jpg	428	2013-02-14	8139
34/10-5	12	1954-1957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_12_1954-1957m.jpg	428	2013-02-14	8140
34/10-5	13	1957-1959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_13_1957-1959m.jpg	428	2013-02-14	8141
34/10-5	14	1967-1970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_14_1967-1970m.jpg	428	2013-02-14	8142
34/10-5	15	1970-1972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_15_1970-1972m.jpg	428	2013-02-14	8143
34/10-5	16	1972-1974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/428_16_1972-1974m.jpg	428	2013-02-14	8144
34/10-7	1	1813-1815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_01_1813-1815m.jpg	222	2013-02-02	8145
34/10-7	2	1815-1818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_02_1815-1818m.jpg	222	2013-02-02	8146
34/10-7	3	1818-1819m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_03_1818-1819m.jpg	222	2013-02-02	8147
34/10-7	4	1821-1823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_04_1821-1823m.jpg	222	2013-02-02	8148
34/10-7	5	1823-1826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_05_1823-1826m.jpg	222	2013-02-02	8149
34/10-7	6	1826-1829m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_06_1826-1829m.jpg	222	2013-02-02	8150
34/10-7	7	1829-1831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_07_1829-1831m.jpg	222	2013-02-02	8151
34/10-7	8	1831-1834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_08_1831-1834m.jpg	222	2013-02-02	8152
34/10-7	9	1834-1837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_09_1834-1837m.jpg	222	2013-02-02	8153
34/10-7	10	1837-1839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_10_1837-1839m.jpg	222	2013-02-02	8154
34/10-7	11	1839-1841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_11_1839-1841m.jpg	222	2013-02-02	8155
34/10-7	12	1841-1844m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_12_1841-1844m.jpg	222	2013-02-02	8156
34/10-7	13	1844-1847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_13_1844-1847m.jpg	222	2013-02-02	8157
34/10-7	14	1847-1849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_14_1847-1849m.jpg	222	2013-02-02	8158
34/10-7	15	1849-1852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_15_1849-1852m.jpg	222	2013-02-02	8159
34/10-7	16	1852-1853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_16_1852-1853m.jpg	222	2013-02-02	8160
34/10-7	17	1857-1859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_17_1857-1859m.jpg	222	2013-02-02	8161
34/10-7	18	1859-1862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_18_1859-1862m.jpg	222	2013-02-02	8162
34/10-7	19	1862-1865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_19_1862-1865m.jpg	222	2013-02-02	8163
34/10-7	20	1875-1877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_20_1875-1877m.jpg	222	2013-02-02	8164
34/10-7	21	1877-1880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_21_1877-1880m.jpg	222	2013-02-02	8165
34/10-7	22	1880-1882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/222_22_1880-1882m.jpg	222	2013-02-02	8166
34/10-8	1	1942-1944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_01_1942-1944m.jpg	230	2013-02-02	8167
34/10-8	2	1939-1942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_02_1939-1942m.jpg	230	2013-02-02	8168
34/10-8	3	1938-1939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_03_1938-1939m.jpg	230	2013-02-02	8169
34/10-8	4	1935-1938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_04_1935-1938m.jpg	230	2013-02-02	8170
34/10-8	5	1938-1939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_05_1938-1939m.jpg	230	2013-02-02	8171
34/10-8	6	1933-1935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_06_1933-1935m.jpg	230	2013-02-02	8172
34/10-8	7	1927-1930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_07_1927-1930m.jpg	230	2013-02-02	8173
34/10-8	8	1925-1927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_08_1925-1927m.jpg	230	2013-02-02	8174
34/10-8	9	1924-1925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_09_1924-1925m.jpg	230	2013-02-02	8175
34/10-8	10	1922-1924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_10_1922-1924m.jpg	230	2013-02-02	8176
34/10-8	11	1919-1922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_11_1919-1922m.jpg	230	2013-02-02	8177
34/10-8	12	1916-1919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_12_1916-1919m.jpg	230	2013-02-02	8178
34/10-8	13	1913-1916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_13_1913-1916m.jpg	230	2013-02-02	8179
34/10-8	14	1911-1913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_14_1911-1913m.jpg	230	2013-02-02	8180
34/10-8	15	1908-1911m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_15_1908-1911m.jpg	230	2013-02-02	8181
34/10-8	16	1906-1908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_16_1906-1908m.jpg	230	2013-02-02	8182
34/10-8	17	1903-1906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_17_1903-1906m.jpg	230	2013-02-02	8183
34/10-8	18	1901-1903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_18_1901-1903m.jpg	230	2013-02-02	8184
34/10-8	19	1898-1901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_19_1898-1901m.jpg	230	2013-02-02	8185
34/10-8	20	1895-1898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_20_1895-1898m.jpg	230	2013-02-02	8186
34/10-8	21	1893-1895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_21_1893-1895m.jpg	230	2013-02-02	8187
34/10-8	22	1890-1893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_22_1890-1893m.jpg	230	2013-02-02	8188
34/10-8	23	1887-1890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_23_1887-1890m.jpg	230	2013-02-02	8189
34/10-8	24	1885-1887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_24_1885-1887m.jpg	230	2013-02-02	8190
34/10-8	25	1882-1883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_25_1882-1883m.jpg	230	2013-02-02	8191
34/10-8	26	1879-1882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_26_1879-1882m.jpg	230	2013-02-02	8192
34/10-8	27	1877-1879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_27_1877-1879m.jpg	230	2013-02-02	8193
34/10-8	28	1866-1869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_28_1866-1869m.jpg	230	2013-02-02	8194
34/10-8	29	1864-1866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_29_1864-1866m.jpg	230	2013-02-02	8195
34/10-8	30	1861-1864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_30_1861-1864m.jpg	230	2013-02-02	8196
34/10-8	31	1859-1860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_31_1859-1860m.jpg	230	2013-02-02	8197
34/10-8	32	1856-1859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_32_1856-1859m.jpg	230	2013-02-02	8198
34/10-8	33	1849-1851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_33_1849-1851m.jpg	230	2013-02-02	8199
34/10-8	34	1847-1849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_34_1847-1849m.jpg	230	2013-02-02	8200
34/10-8	35	1844-1847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_35_1844-1847m.jpg	230	2013-02-02	8201
34/10-8	36	1841-1844m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_36_1841-1844m.jpg	230	2013-02-02	8202
34/10-8	37	1839-1841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_37_1839-1841m.jpg	230	2013-02-02	8203
34/10-8	38	1831-1832m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_38_1831-1832m.jpg	230	2013-02-02	8204
34/10-8	39	1828-1831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_39_1828-1831m.jpg	230	2013-02-02	8205
34/10-8	40	1828-1828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_40_1828-1828m.jpg	230	2013-02-02	8206
34/10-8	41	1825-1828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_41_1825-1828m.jpg	230	2013-02-02	8207
34/10-8	42	1823-1825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_42_1823-1825m.jpg	230	2013-02-02	8208
34/10-8	43	1947-1950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_43_1947-1950m.jpg	230	2013-02-02	8209
34/10-8	44	1944-1947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_44_1944-1947m.jpg	230	2013-02-02	8210
34/10-8	45	1947-1950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_45_1947-1950m.jpg	230	2013-02-02	8211
34/10-8	46	1953-1955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_46_1953-1955m.jpg	230	2013-02-02	8212
34/10-8	47	1955-1956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_47_1955-1956m.jpg	230	2013-02-02	8213
34/10-8	48	1956-1956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_48_1956-1956m.jpg	230	2013-02-02	8214
34/10-8	49	1966-1969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_49_1966-1969m.jpg	230	2013-02-02	8215
34/10-8	50	1964-1966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_50_1964-1966m.jpg	230	2013-02-02	8216
34/10-8	51	1972-1974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_51_1972-1974m.jpg	230	2013-02-02	8217
34/10-8	52	1969-1972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_52_1969-1972m.jpg	230	2013-02-02	8218
34/10-8	53	1974-1976m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/230_53_1974-1976m.jpg	230	2013-02-02	8219
34/10-9	1	1850-1852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_01_1850-1852m.jpg	140	2013-02-02	8220
34/10-9	2	1852-1855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_02_1852-1855m.jpg	140	2013-02-02	8221
34/10-9	3	1855-1858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_03_1855-1858m.jpg	140	2013-02-02	8222
34/10-9	4	1858-1860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_04_1858-1860m.jpg	140	2013-02-02	8223
34/10-9	5	1860-1863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_05_1860-1863m.jpg	140	2013-02-02	8224
34/10-9	6	2089-2091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_06_2089-2091m.jpg	140	2013-02-02	8225
34/10-9	7	2091-2093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_07_2091-2093m.jpg	140	2013-02-02	8226
34/10-9	8	2094-2096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_08_2094-2096m.jpg	140	2013-02-02	8227
34/10-9	9	2096-2099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_09_2096-2099m.jpg	140	2013-02-02	8228
34/10-9	10	2099-2102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_10_2099-2102m.jpg	140	2013-02-02	8229
34/10-9	11	2102-2104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_11_2102-2104m.jpg	140	2013-02-02	8230
34/10-9	12	2104-2107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_12_2104-2107m.jpg	140	2013-02-02	8231
34/10-9	13	2107-2109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_13_2107-2109m.jpg	140	2013-02-02	8232
34/10-9	14	2112-2114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_14_2112-2114m.jpg	140	2013-02-02	8233
34/10-9	15	2114-2117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_15_2114-2117m.jpg	140	2013-02-02	8234
34/10-9	16	2117-2120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_16_2117-2120m.jpg	140	2013-02-02	8235
34/10-9	17	2120-2122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_17_2120-2122m.jpg	140	2013-02-02	8236
34/10-9	18	2122-2125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_18_2122-2125m.jpg	140	2013-02-02	8237
34/10-9	19	2125-2128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_19_2125-2128m.jpg	140	2013-02-02	8238
34/10-9	20	2128-2129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_20_2128-2129m.jpg	140	2013-02-02	8239
34/10-9	21	2400-2400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_21_2400-2400m.jpg	140	2013-02-02	8240
34/10-9	22	2400-2403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_22_2400-2403m.jpg	140	2013-02-02	8241
34/10-9	23	2403-2404m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/140_23_2403-2404m.jpg	140	2013-02-02	8242
34/10-A-32 A	1	2595-2600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2118_01_2595-2600m.jpg	2118	9999-12-31	8243
34/10-A-32 A	2	2600-2602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2118_02_2600-2602m.jpg	2118	9999-12-31	8244
34/10-A-37	1	3291-3296m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1947_01_3291-3296m.jpg	1947	9999-12-31	8245
34/10-A-37	2	3296-3301m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1947_02_3296-3301m.jpg	1947	9999-12-31	8246
34/10-A-37	3	3301-3303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1947_03_3301-3303m.jpg	1947	9999-12-31	8247
34/10-A-37	4	3305-3310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1947_04_3305-3310m.jpg	1947	9999-12-31	8248
34/10-A-37	5	3310-3315m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1947_05_3310-3315m.jpg	1947	9999-12-31	8249
34/10-A-37	6	3315-3320m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1947_06_3315-3320m.jpg	1947	9999-12-31	8250
34/10-A-37	7	3320-3325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1947_07_3320-3325m.jpg	1947	9999-12-31	8251
34/10-A-37	8	3325-3326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1947_08_3325-3326m.jpg	1947	9999-12-31	8252
34/10-A-40	1	3464-3469m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_01_3464-3469m.jpg	2070	9999-12-31	8253
34/10-A-40	2	3469-3474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_02_3469-3474m.jpg	2070	9999-12-31	8254
34/10-A-40	3	3474-3479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_03_3474-3479m.jpg	2070	9999-12-31	8255
34/10-A-40	4	3479-3484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_04_3479-3484m.jpg	2070	9999-12-31	8256
34/10-A-40	5	3484-3489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_05_3484-3489m.jpg	2070	9999-12-31	8257
34/10-A-40	6	3489-3492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_06_3489-3492m.jpg	2070	9999-12-31	8258
34/10-A-40	7	3492-3497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_07_3492-3497m.jpg	2070	9999-12-31	8259
34/10-A-40	8	3497-3502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_08_3497-3502m.jpg	2070	9999-12-31	8260
34/10-A-40	9	3502-3507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_09_3502-3507m.jpg	2070	9999-12-31	8261
34/10-A-40	10	3507-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_10_3507-3512m.jpg	2070	9999-12-31	8262
34/10-A-40	11	3512-3517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_11_3512-3517m.jpg	2070	9999-12-31	8263
34/10-A-40	12	3517-3520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2070_12_3517-3520m.jpg	2070	9999-12-31	8264
34/10-A-6 A	1	2577-2582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2806_01_2577-2582m.jpg	2806	9999-12-31	8265
34/10-A-6 A	2	2582-2587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2806_02_2582-2587m.jpg	2806	9999-12-31	8266
34/10-A-6 A	3	2587-2590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2806_03_2587-2590m.jpg	2806	9999-12-31	8267
34/10-A-6 A	4	2604-2609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2806_04_2604-2609m.jpg	2806	9999-12-31	8268
34/10-A-6 A	5	2609-2610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2806_05_2609-2610m.jpg	2806	9999-12-31	8269
34/10-C-14	1	3543-3548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_01_3543-3548m.jpg	2017	9999-12-31	8270
34/10-C-14	2	3548-3553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_02_3548-3553m.jpg	2017	9999-12-31	8271
34/10-C-14	3	3553-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_03_3553-3555m.jpg	2017	9999-12-31	8272
34/10-C-14	4	3558-3563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_04_3558-3563m.jpg	2017	9999-12-31	8273
34/10-C-14	5	3563-3568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_05_3563-3568m.jpg	2017	9999-12-31	8274
34/10-C-14	6	3568-3569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_06_3568-3569m.jpg	2017	9999-12-31	8275
34/10-C-14	7	3576-3581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_07_3576-3581m.jpg	2017	9999-12-31	8276
34/10-C-14	8	3581-3586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_08_3581-3586m.jpg	2017	9999-12-31	8277
34/10-C-14	9	3586-3591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_09_3586-3591m.jpg	2017	9999-12-31	8278
34/10-C-14	10	3591-3596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_10_3591-3596m.jpg	2017	9999-12-31	8279
34/10-C-14	11	3596-3601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_11_3596-3601m.jpg	2017	9999-12-31	8280
34/10-C-14	12	3601-3604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_12_3601-3604m.jpg	2017	9999-12-31	8281
34/10-C-14	13	3604-3609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_13_3604-3609m.jpg	2017	9999-12-31	8282
34/10-C-14	14	3609-3614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_14_3609-3614m.jpg	2017	9999-12-31	8283
34/10-C-14	15	3614-3619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_15_3614-3619m.jpg	2017	9999-12-31	8284
34/10-C-14	16	3619-3624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_16_3619-3624m.jpg	2017	9999-12-31	8285
34/10-C-14	17	3624-3629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_17_3624-3629m.jpg	2017	9999-12-31	8286
34/10-C-14	18	3629-3632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_18_3629-3632m.jpg	2017	9999-12-31	8287
34/10-C-14	19	3635-3640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_19_3635-3640m.jpg	2017	9999-12-31	8288
34/10-C-14	20	3640-3645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_20_3640-3645m.jpg	2017	9999-12-31	8289
34/10-C-14	21	3645-3650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_21_3645-3650m.jpg	2017	9999-12-31	8290
34/10-C-14	22	3650-3655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_22_3650-3655m.jpg	2017	9999-12-31	8291
34/10-C-14	23	3655-3660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_23_3655-3660m.jpg	2017	9999-12-31	8292
34/10-C-14	24	3660-3665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_24_3660-3665m.jpg	2017	9999-12-31	8293
34/10-C-14	25	3665-3669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_25_3665-3669m.jpg	2017	9999-12-31	8294
34/10-C-14	26	3669-3674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_26_3669-3674m.jpg	2017	9999-12-31	8295
34/10-C-14	27	3674-3679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_27_3674-3679m.jpg	2017	9999-12-31	8296
34/10-C-14	28	3679-3684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_28_3679-3684m.jpg	2017	9999-12-31	8297
34/10-C-14	29	3684-3689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_29_3684-3689m.jpg	2017	9999-12-31	8298
34/10-C-14	30	3689-3694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_30_3689-3694m.jpg	2017	9999-12-31	8299
34/10-C-14	31	3694-3698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_31_3694-3698m.jpg	2017	9999-12-31	8300
34/10-C-14	32	3809-3814m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_32_3809-3814m.jpg	2017	9999-12-31	8301
34/10-C-14	33	3814-3819m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_33_3814-3819m.jpg	2017	9999-12-31	8302
34/10-C-14	34	3819-3824m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_34_3819-3824m.jpg	2017	9999-12-31	8303
34/10-C-14	35	3824-3827m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_35_3824-3827m.jpg	2017	9999-12-31	8304
34/10-C-14	36	3829-3834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_36_3829-3834m.jpg	2017	9999-12-31	8305
34/10-C-14	37	3834-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_37_3834-3839m.jpg	2017	9999-12-31	8306
34/10-C-14	38	3839-3844m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_38_3839-3844m.jpg	2017	9999-12-31	8307
34/10-C-14	39	3844-3849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_39_3844-3849m.jpg	2017	9999-12-31	8308
34/10-C-14	40	3849-3854m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_40_3849-3854m.jpg	2017	9999-12-31	8309
34/10-C-14	41	3854-3859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_41_3854-3859m.jpg	2017	9999-12-31	8310
34/10-C-14	42	3859-3864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_42_3859-3864m.jpg	2017	9999-12-31	8311
34/10-C-14	43	3864-3869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_43_3864-3869m.jpg	2017	9999-12-31	8312
34/10-C-14	44	3869-3874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_44_3869-3874m.jpg	2017	9999-12-31	8313
34/10-C-14	45	3874-3879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_45_3874-3879m.jpg	2017	9999-12-31	8314
34/10-C-14	46	3879-3884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_46_3879-3884m.jpg	2017	9999-12-31	8315
34/10-C-14	47	3884-3885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2017_47_3884-3885m.jpg	2017	9999-12-31	8316
34/10-C-20	1	4293-4297m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2266_01_4293-4297m.jpg	2266	9999-12-31	8317
34/10-C-20	2	4297-4299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2266_02_4297-4299m.jpg	2266	9999-12-31	8318
34/10-C-20	3	4299-4303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2266_03_4299-4303m.jpg	2266	9999-12-31	8319
34/10-C-20	4	4303-4305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2266_04_4303-4305m.jpg	2266	9999-12-31	8320
34/10-C-20	5	4306-4310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2266_05_4306-4310m.jpg	2266	9999-12-31	8321
34/10-C-20	6	4310-4314m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2266_06_4310-4314m.jpg	2266	9999-12-31	8322
34/10-C-20	7	4314-4318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2266_07_4314-4318m.jpg	2266	9999-12-31	8323
34/10-C-20	8	4318-4319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2266_08_4318-4319m.jpg	2266	9999-12-31	8324
34/10-C-20	9	4320-4321m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2266_09_4320-4321m.jpg	2266	9999-12-31	8325
34/10-C-21	1	2285-2290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_01_2285-2290m.jpg	2303	9999-12-31	8326
34/10-C-21	2	2290-2295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_02_2290-2295m.jpg	2303	9999-12-31	8327
34/10-C-21	3	2295-2299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_03_2295-2299m.jpg	2303	9999-12-31	8328
34/10-C-21	4	2301-2306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_04_2301-2306m.jpg	2303	9999-12-31	8329
34/10-C-21	5	2306-2311m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_05_2306-2311m.jpg	2303	9999-12-31	8330
34/10-C-21	6	2311-2313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_06_2311-2313m.jpg	2303	9999-12-31	8331
34/10-C-21	7	2313-2317m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_07_2313-2317m.jpg	2303	9999-12-31	8332
34/10-C-21	8	2317-2322m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_08_2317-2322m.jpg	2303	9999-12-31	8333
34/10-C-21	9	2322-2325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_09_2322-2325m.jpg	2303	9999-12-31	8334
34/10-C-21	10	2325-2330m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_10_2325-2330m.jpg	2303	9999-12-31	8335
34/10-C-21	11	2330-2335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_11_2330-2335m.jpg	2303	9999-12-31	8336
34/10-C-21	12	2335-2336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_12_2335-2336m.jpg	2303	9999-12-31	8337
34/10-C-21	13	2336-2341m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_13_2336-2341m.jpg	2303	9999-12-31	8338
34/10-C-21	14	2341-2346m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_14_2341-2346m.jpg	2303	9999-12-31	8339
34/10-C-21	15	2346-2351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_15_2346-2351m.jpg	2303	9999-12-31	8340
34/10-C-21	16	2351-2356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_16_2351-2356m.jpg	2303	9999-12-31	8341
34/10-C-21	17	2356-2361m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_17_2356-2361m.jpg	2303	9999-12-31	8342
34/10-C-21	18	2361-2363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_18_2361-2363m.jpg	2303	9999-12-31	8343
34/10-C-21	19	2363-2368m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_19_2363-2368m.jpg	2303	9999-12-31	8344
34/10-C-21	20	2368-2373m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_20_2368-2373m.jpg	2303	9999-12-31	8345
34/10-C-21	21	2373-2378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_21_2373-2378m.jpg	2303	9999-12-31	8346
34/10-C-21	22	2378-2383m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_22_2378-2383m.jpg	2303	9999-12-31	8347
34/10-C-21	23	2383-2384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_23_2383-2384m.jpg	2303	9999-12-31	8348
34/10-C-21	24	2384-2389m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_24_2384-2389m.jpg	2303	9999-12-31	8349
34/10-C-21	25	2389-2394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_25_2389-2394m.jpg	2303	9999-12-31	8350
34/10-C-21	26	2394-2399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_26_2394-2399m.jpg	2303	9999-12-31	8351
34/10-C-21	27	2399-2400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2303_27_2399-2400m.jpg	2303	9999-12-31	8352
34/10-C-23	1	2706-2711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_01_2706-2711m.jpg	2369	9999-12-31	8353
34/10-C-23	2	2711-2716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_02_2711-2716m.jpg	2369	9999-12-31	8354
34/10-C-23	3	2716-2721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_03_2716-2721m.jpg	2369	9999-12-31	8355
34/10-C-23	4	2721-2726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_04_2721-2726m.jpg	2369	9999-12-31	8356
34/10-C-23	5	2726-2727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_05_2726-2727m.jpg	2369	9999-12-31	8357
34/10-C-23	6	2730-2733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_06_2730-2733m.jpg	2369	9999-12-31	8358
34/10-C-23	7	2749-2754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_07_2749-2754m.jpg	2369	9999-12-31	8359
34/10-C-23	8	2754-2759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_08_2754-2759m.jpg	2369	9999-12-31	8360
34/10-C-23	9	2759-2764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_09_2759-2764m.jpg	2369	9999-12-31	8361
34/10-C-23	10	2764-2769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_10_2764-2769m.jpg	2369	9999-12-31	8362
34/10-C-23	11	2769-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_11_2769-2774m.jpg	2369	9999-12-31	8363
34/10-C-23	12	2774-2776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_12_2774-2776m.jpg	2369	9999-12-31	8364
34/10-C-23	13	2776-2781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_13_2776-2781m.jpg	2369	9999-12-31	8365
34/10-C-23	14	2781-2786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_14_2781-2786m.jpg	2369	9999-12-31	8366
34/10-C-23	15	2786-2791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_15_2786-2791m.jpg	2369	9999-12-31	8367
34/10-C-23	16	2791-2796m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_16_2791-2796m.jpg	2369	9999-12-31	8368
34/10-C-23	17	2796-2797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_17_2796-2797m.jpg	2369	9999-12-31	8369
34/10-C-23	18	2799-2804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_18_2799-2804m.jpg	2369	9999-12-31	8370
34/10-C-23	19	2804-2809m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_19_2804-2809m.jpg	2369	9999-12-31	8371
34/10-C-23	20	2809-2814m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_20_2809-2814m.jpg	2369	9999-12-31	8372
34/10-C-23	21	2814-2819m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_21_2814-2819m.jpg	2369	9999-12-31	8373
34/10-C-23	22	2819-2823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_22_2819-2823m.jpg	2369	9999-12-31	8374
34/10-C-23	23	2826-2831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_23_2826-2831m.jpg	2369	9999-12-31	8375
34/10-C-23	24	2831-2834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_24_2831-2834m.jpg	2369	9999-12-31	8376
34/10-C-23	25	2835-2840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_25_2835-2840m.jpg	2369	9999-12-31	8377
34/10-C-23	26	2840-2841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2369_26_2840-2841m.jpg	2369	9999-12-31	8378
34/10-C-26	1	2163-2168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2450_1_2163-2168m.jpg	2450	9999-12-31	8379
34/10-C-26	2	2168-2173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2450_2_2168-2173m.jpg	2450	9999-12-31	8380
34/10-C-26	3	2173-2177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2450_3_2173-2177m.jpg	2450	9999-12-31	8381
34/10-J-3 H	1	3262-3267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4131_01_3262-3267m.jpg	4131	9999-12-31	8382
34/10-J-3 H	2	3267-3272m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4131_02_3267-3272m.jpg	4131	9999-12-31	8383
34/10-J-3 H	3	3272-3277m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4131_03_3272-3277m.jpg	4131	9999-12-31	8384
34/10-J-3 H	4	3277-3282m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4131_04_3277-3282m.jpg	4131	9999-12-31	8385
34/10-J-3 H	5	3282-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4131_05_3282-3287m.jpg	4131	9999-12-31	8386
34/10-J-3 H	6	3287-3289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4131_06_3287-3289m.jpg	4131	9999-12-31	8387
34/11-1	1	4054-4059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_01_4054-4059m.jpg	2377	2013-02-02	8388
34/11-1	2	4059-4060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_02_4059-4060m.jpg	2377	2013-02-02	8389
34/11-1	3	4060-4062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_03_4060-4062m.jpg	2377	2013-02-02	8390
34/11-1	4	4074-4079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_04_4074-4079m.jpg	2377	2013-02-02	8391
34/11-1	5	4079-4079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_05_4079-4079m.jpg	2377	2013-02-02	8392
34/11-1	6	4080-4085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_06_4080-4085m.jpg	2377	2013-02-02	8393
34/11-1	7	4085-4090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_07_4085-4090m.jpg	2377	2013-02-02	8394
34/11-1	8	4093-4098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_08_4093-4098m.jpg	2377	2013-02-02	8395
34/11-1	9	4098-4103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_09_4098-4103m.jpg	2377	2013-02-02	8396
34/11-1	10	4103-4104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_10_4103-4104m.jpg	2377	2013-02-02	8397
34/11-1	11	4106-4111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_11_4106-4111m.jpg	2377	2013-02-02	8398
34/11-1	12	4111-4111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_12_4111-4111m.jpg	2377	2013-02-02	8399
34/11-1	13	4113-4118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_13_4113-4118m.jpg	2377	2013-02-02	8400
34/11-1	14	4118-4122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_14_4118-4122m.jpg	2377	2013-02-02	8401
34/11-1	15	4125-4130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_15_4125-4130m.jpg	2377	2013-02-02	8402
34/11-1	16	4130-4135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_16_4130-4135m.jpg	2377	2013-02-02	8403
34/11-1	17	4135-4137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_17_4135-4137m.jpg	2377	2013-02-02	8404
34/11-1	18	4141-4146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_18_4141-4146m.jpg	2377	2013-02-02	8405
34/11-1	19	4146-4151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_19_4146-4151m.jpg	2377	2013-02-02	8406
34/11-1	20	4151-4154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_20_4151-4154m.jpg	2377	2013-02-02	8407
34/11-1	21	4156-4161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_21_4156-4161m.jpg	2377	2013-02-02	8408
34/11-1	22	4161-4163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_22_4161-4163m.jpg	2377	2013-02-02	8409
34/11-1	23	4168-4173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_23_4168-4173m.jpg	2377	2013-02-02	8410
34/11-1	24	4173-4178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_24_4173-4178m.jpg	2377	2013-02-02	8411
34/11-1	25	4178-4183m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_25_4178-4183m.jpg	2377	2013-02-02	8412
34/11-1	26	4183-4188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_26_4183-4188m.jpg	2377	2013-02-02	8413
34/11-1	27	4188-4189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_27_4188-4189m.jpg	2377	2013-02-02	8414
34/11-1	28	4193-4198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_28_4193-4198m.jpg	2377	2013-02-02	8415
34/11-1	29	4198-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_29_4198-4203m.jpg	2377	2013-02-02	8416
34/11-1	30	4203-4208m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_30_4203-4208m.jpg	2377	2013-02-02	8417
34/11-1	31	4208-4213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_31_4208-4213m.jpg	2377	2013-02-02	8418
34/11-1	32	4213-4218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_32_4213-4218m.jpg	2377	2013-02-02	8419
34/11-1	33	4218-4220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2377_33_4218-4220m.jpg	2377	2013-02-02	8420
34/11-2 S	1	3846-3849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_01_3846-3849m.jpg	2733	2013-02-02	8421
34/11-2 S	2	4083-4088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_02_4083-4088m.jpg	2733	2013-02-02	8422
34/11-2 S	3	4088-4093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_03_4088-4093m.jpg	2733	2013-02-02	8423
34/11-2 S	4	4093-4098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_04_4093-4098m.jpg	2733	2013-02-02	8424
34/11-2 S	5	4098-4103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_05_4098-4103m.jpg	2733	2013-02-02	8425
34/11-2 S	6	4103-4108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_06_4103-4108m.jpg	2733	2013-02-02	8426
34/11-2 S	7	4108-4110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_07_4108-4110m.jpg	2733	2013-02-02	8427
34/11-2 S	8	4110-4115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_08_4110-4115m.jpg	2733	2013-02-02	8428
34/11-2 S	9	4116-4121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_09_4116-4121m.jpg	2733	2013-02-02	8429
34/11-2 S	10	4121-4125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_10_4121-4125m.jpg	2733	2013-02-02	8430
34/11-2 S	11	4126-4131m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_11_4126-4131m.jpg	2733	2013-02-02	8431
34/11-2 S	12	4131-4136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_12_4131-4136m.jpg	2733	2013-02-02	8432
34/11-2 S	13	4136-4141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_13_4136-4141m.jpg	2733	2013-02-02	8433
34/11-2 S	14	4141-4146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_14_4141-4146m.jpg	2733	2013-02-02	8434
34/11-2 S	15	4146-4151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_15_4146-4151m.jpg	2733	2013-02-02	8435
34/11-2 S	16	4151-4154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_16_4151-4154m.jpg	2733	2013-02-02	8436
34/11-2 S	17	4209-4214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_17_4209-4214m.jpg	2733	2013-02-02	8437
34/11-2 S	18	4214-4219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_18_4214-4219m.jpg	2733	2013-02-02	8438
34/11-2 S	19	4219-4224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_19_4219-4224m.jpg	2733	2013-02-02	8439
34/11-2 S	20	4224-4229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_20_4224-4229m.jpg	2733	2013-02-02	8440
34/11-2 S	21	4229-4234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_21_4229-4234m.jpg	2733	2013-02-02	8441
34/11-2 S	22	4234-4237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_22_4234-4237m.jpg	2733	2013-02-02	8442
34/11-2 S	23	4237-4242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_23_4237-4242m.jpg	2733	2013-02-02	8443
34/11-2 S	24	4242-4247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_24_4242-4247m.jpg	2733	2013-02-02	8444
34/11-2 S	25	4247-4252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_25_4247-4252m.jpg	2733	2013-02-02	8445
34/11-2 S	26	4252-4257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_26_4252-4257m.jpg	2733	2013-02-02	8446
34/11-2 S	27	4257-4262m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_27_4257-4262m.jpg	2733	2013-02-02	8447
34/11-2 S	28	4262-4265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_28_4262-4265m.jpg	2733	2013-02-02	8448
34/11-2 S	29	4266-4271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_29_4266-4271m.jpg	2733	2013-02-02	8449
34/11-2 S	30	4271-4276m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_30_4271-4276m.jpg	2733	2013-02-02	8450
34/11-2 S	31	4276-4281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_31_4276-4281m.jpg	2733	2013-02-02	8451
34/11-2 S	32	4281-4286m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_32_4281-4286m.jpg	2733	2013-02-02	8452
34/11-2 S	33	4286-4291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_33_4286-4291m.jpg	2733	2013-02-02	8453
34/11-2 S	34	4291-4293m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_34_4291-4293m.jpg	2733	2013-02-02	8454
34/11-2 S	35	4460-4465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_35_4460-4465m.jpg	2733	2013-02-02	8455
34/11-2 S	36	4465-4470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_36_4465-4470m.jpg	2733	2013-02-02	8456
34/11-2 S	37	4475-4476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_37_4475-4476m_.jpg	2733	2013-02-02	8457
34/11-2 S	38	4475-4476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2733_38_4475-4476m.jpg	2733	2013-02-02	8458
34/11-4	1	4150-4155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3314_01_4150-4155m.jpg	3314	9999-12-31	8459
34/11-4	2	4155-4160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3314_02_4155-4160m.jpg	3314	9999-12-31	8460
34/11-4	3	4160-4165m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3314_03_4160-4165m.jpg	3314	9999-12-31	8461
34/11-4	4	4165-4170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3314_04_4165-4170m.jpg	3314	9999-12-31	8462
34/11-4	5	4170-4175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3314_05_4170-4175m.jpg	3314	9999-12-31	8463
34/11-4	6	4175-4177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3314_06_4175-4177m.jpg	3314	9999-12-31	8464
34/11-4	7	4177-4182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3314_07_4177-4182m.jpg	3314	9999-12-31	8465
34/11-4	8	4182-4187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3314_08_4182-4187m.jpg	3314	9999-12-31	8466
34/11-4	9	4187-4192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3314_09_4187-4192m.jpg	3314	9999-12-31	8467
34/11-4	10	4192-4197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3314_10_4192-4197m.jpg	3314	9999-12-31	8468
34/11-4	11	4197-4200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3314_11_4197-4200m.jpg	3314	9999-12-31	8469
34/2-2 R	1	3665-3668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/497_01_3665-3668m.jpg	497	9999-12-31	8470
34/2-2 R	2	3668-3671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/497_02_3668-3671m.jpg	497	9999-12-31	8471
34/2-2 R	3	3671-3674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/497_03_3671-3674m.jpg	497	9999-12-31	8472
34/2-2 R	4	3674-3675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/497_04_3674-3675m.jpg	497	9999-12-31	8473
34/2-2 R	5	3665-3666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/497_05_3665-3666m.jpg	497	9999-12-31	8474
34/2-2 R	6	3670-3670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/497_06_3670-3670m.jpg	497	9999-12-31	8475
34/2-3	1	3360-3365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/421_01_3360-3365m.jpg	421	9999-12-31	8476
34/2-3	2	3366-3367m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/421_02_3366-3367m.jpg	421	9999-12-31	8477
34/2-3	3	3368-3372m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/421_03_3368-3372m.jpg	421	9999-12-31	8478
34/2-3	4	3373-3377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/421_04_3373-3377m.jpg	421	9999-12-31	8479
34/2-3	5	3378-3382m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/421_05_3378-3382m.jpg	421	9999-12-31	8480
34/2-3	6	3383-3388m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/421_06_3383-3388m.jpg	421	9999-12-31	8481
34/2-3	7	3389-3395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/421_07_3389-3395m.jpg	421	9999-12-31	8482
34/2-3	8	3396-3399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/421_08_3396-3399m.jpg	421	9999-12-31	8483
34/2-3	9	3400-3403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/421_09_3400-3403m.jpg	421	9999-12-31	8484
34/4-1	1	2509-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_01_2509-2510m.jpg	422	9999-12-31	8485
34/4-1	2	2516-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_02_2516-2518m.jpg	422	9999-12-31	8486
34/4-1	3	2518-2521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_03_2518-2521m.jpg	422	9999-12-31	8487
34/4-1	4	2521-2524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_04_2521-2524m.jpg	422	9999-12-31	8488
34/4-1	5	2524-2526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_05_2524-2526m.jpg	422	9999-12-31	8489
34/4-1	6	2526-2529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_06_2526-2529m.jpg	422	9999-12-31	8490
34/4-1	7	2529-2531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_07_2529-2531m.jpg	422	9999-12-31	8491
34/4-1	8	2531-2534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_08_2531-2534m.jpg	422	9999-12-31	8492
34/4-1	9	2534-2537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_09_2534-2537m.jpg	422	9999-12-31	8493
34/4-1	10	2537-2539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_10_2537-2539m.jpg	422	9999-12-31	8494
34/4-1	11	2541-2544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_11_2541-2544m.jpg	422	9999-12-31	8495
34/4-1	12	2557-2559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_12_2557-2559m.jpg	422	9999-12-31	8496
34/4-1	13	2559-2562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_13_2559-2562m.jpg	422	9999-12-31	8497
34/4-1	14	2562-2563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_14_2562-2563m.jpg	422	9999-12-31	8498
34/4-1	15	2570-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_15_2570-2573m.jpg	422	9999-12-31	8499
34/4-1	16	2573-2576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_16_2573-2576m.jpg	422	9999-12-31	8500
34/4-1	17	2576-2578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_17_2576-2578m.jpg	422	9999-12-31	8501
34/4-1	18	2578-2581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_18_2578-2581m.jpg	422	9999-12-31	8502
34/4-1	19	2581-2584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_19_2581-2584m.jpg	422	9999-12-31	8503
34/4-1	20	2584-2587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_20_2584-2587m.jpg	422	9999-12-31	8504
34/4-1	21	2587-2589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_21_2587-2589m.jpg	422	9999-12-31	8505
34/4-1	22	2589-2592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_22_2589-2592m.jpg	422	9999-12-31	8506
34/4-1	23	2592-2595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_23_2592-2595m.jpg	422	9999-12-31	8507
34/4-1	24	2595-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_24_2595-2597m.jpg	422	9999-12-31	8508
34/4-1	25	2597-2600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_25_2597-2600m.jpg	422	9999-12-31	8509
34/4-1	26	2600-2603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_26_2600-2603m.jpg	422	9999-12-31	8510
34/4-1	27	2603-2606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_27_2603-2606m.jpg	422	9999-12-31	8511
34/4-1	28	2606-2608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_28_2606-2608m.jpg	422	9999-12-31	8512
34/4-1	29	2608-2609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_29_2608-2609m.jpg	422	9999-12-31	8513
34/4-1	30	2608-2611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_30_2608-2611m.jpg	422	9999-12-31	8514
34/4-1	31	2611-2614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_31_2611-2614m.jpg	422	9999-12-31	8515
34/4-1	32	2614-2614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_32_2614-2614m.jpg	422	9999-12-31	8516
34/4-1	33	2615-2617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_33_2615-2617m.jpg	422	9999-12-31	8517
34/4-1	34	2665-2667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_34_2665-2667m.jpg	422	9999-12-31	8518
34/4-1	36	2670-2673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_36_2670-2673m.jpg	422	9999-12-31	8519
34/4-1	37	2673-2674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_37_2673-2674m.jpg	422	9999-12-31	8520
34/4-1	45	2667-2670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/422_45_2667-2670m.jpg	422	9999-12-31	8521
34/4-10 R	1	3953-3958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4051_01_3953-3958m.jpg	4051	9999-12-31	8522
34/4-10 R	2	3958-3963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4051_02_3958-3963m.jpg	4051	9999-12-31	8523
34/4-10 R	3	3963-3968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4051_03_3963-3968m.jpg	4051	9999-12-31	8524
34/4-10 R	4	3968-3973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4051_04_3968-3973m.jpg	4051	9999-12-31	8525
34/4-10 R	5	3973-3978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4051_05_3973-3978m.jpg	4051	9999-12-31	8526
34/4-10 R	6	3978-3980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4051_06_3978-3980m.jpg	4051	9999-12-31	8527
34/4-2	1	2595-2598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/228_01_2595-2598m.jpg	228	9999-12-31	8528
34/4-2	2	2598-2600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/228_02_2598-2600m.jpg	228	9999-12-31	8529
34/4-2	3	2600-2603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/228_03_2600-2603m.jpg	228	9999-12-31	8530
34/4-3	1	3568-3573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/423_01_3568-3573m.jpg	423	9999-12-31	8531
34/4-3	2	3574-3576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/423_02_3574-3576m.jpg	423	9999-12-31	8532
34/4-3	3	3577-3582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/423_03_3577-3582m.jpg	423	9999-12-31	8533
34/4-3	4	3583-3584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/423_04_3583-3584m.jpg	423	9999-12-31	8534
34/4-3	5	3991-3996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/423_05_3991-3996m.jpg	423	9999-12-31	8535
34/4-3	6	4003-4006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/423_06_4003-4006m.jpg	423	9999-12-31	8536
34/4-3	7	4359-4364m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/423_07_4359-4364m.jpg	423	9999-12-31	8537
34/4-3	8	4365-4366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/423_08_4365-4366m.jpg	423	9999-12-31	8538
34/4-4	1	2433-2437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_01_2433-2437m.jpg	41	2013-02-14	8539
34/4-4	2	2437-2439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_02_2437-2439m.jpg	41	2013-02-14	8540
34/4-4	3	2440-2442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_03_2440-2442m.jpg	41	2013-02-14	8541
34/4-4	4	2443-2444m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_04_2443-2444m.jpg	41	2013-02-14	8542
34/4-4	5	2444-2447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_05_2444-2447m.jpg	41	2013-02-14	8543
34/4-4	6	2448-2450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_06_2448-2450m.jpg	41	2013-02-14	8544
34/4-4	7	2451-2454m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_07_2451-2454m.jpg	41	2013-02-14	8545
34/4-4	8	2455-2456m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_08_2455-2456m.jpg	41	2013-02-14	8546
34/4-4	9	2457-2460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_09_2457-2460m.jpg	41	2013-02-14	8547
34/4-4	10	2461-2463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_10_2461-2463m.jpg	41	2013-02-14	8548
34/4-4	11	2464-2467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_11_2464-2467m.jpg	41	2013-02-14	8549
34/4-4	12	2468-2471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_12_2468-2471m.jpg	41	2013-02-14	8550
34/4-4	13	2472-2475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_13_2472-2475m.jpg	41	2013-02-14	8551
34/4-4	14	2475-2479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_14_2475-2479m.jpg	41	2013-02-14	8552
34/4-4	15	2479-2482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_15_2479-2482m.jpg	41	2013-02-14	8553
34/4-4	16	2482-2486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_16_2482-2486m.jpg	41	2013-02-14	8554
34/4-4	17	2486-2488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_17_2486-2488m.jpg	41	2013-02-14	8555
34/4-4	18	2489-2492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_18_2489-2492m.jpg	41	2013-02-14	8556
34/4-4	19	2492-2496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_19_2492-2496m.jpg	41	2013-02-14	8557
34/4-4	20	2496-2499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_20_2496-2499m.jpg	41	2013-02-14	8558
34/4-4	21	2499-2501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_21_2499-2501m.jpg	41	2013-02-14	8559
34/4-4	22	2501-2505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_22_2501-2505m.jpg	41	2013-02-14	8560
34/4-4	23	2505-2507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_23_2505-2507m.jpg	41	2013-02-14	8561
34/4-4	24	2508-2511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_24_2508-2511m.jpg	41	2013-02-14	8562
34/4-4	25	2511-2514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_25_2511-2514m.jpg	41	2013-02-14	8563
34/4-4	26	2514-2517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_26_2514-2517m.jpg	41	2013-02-14	8564
34/4-4	27	2518-2519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_27_2518-2519m.jpg	41	2013-02-14	8565
34/4-4	28	2519-2522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_28_2519-2522m.jpg	41	2013-02-14	8566
34/4-4	29	2522-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_29_2522-2525m.jpg	41	2013-02-14	8567
34/4-4	30	2525-2528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_30_2525-2528m.jpg	41	2013-02-14	8568
34/4-4	31	2528-2532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_31_2528-2532m.jpg	41	2013-02-14	8569
34/4-4	32	2532-2535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_32_2532-2535m.jpg	41	2013-02-14	8570
34/4-4	33	2535-2537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_33_2535-2537m.jpg	41	2013-02-14	8571
34/4-4	34	2537-2539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_34_2537-2539m.jpg	41	2013-02-14	8572
34/4-4	35	2540-2547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_35_2540-2547m.jpg	41	2013-02-14	8573
34/4-4	36	2547-2548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_36_2547-2548m.jpg	41	2013-02-14	8574
34/4-4	37	2548-2551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_37_2548-2551m.jpg	41	2013-02-14	8575
34/4-4	38	2551-2554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_38_2551-2554m.jpg	41	2013-02-14	8576
34/4-4	39	2555-2558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_39_2555-2558m.jpg	41	2013-02-14	8577
34/4-4	40	2558-2562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_40_2558-2562m.jpg	41	2013-02-14	8578
34/4-4	41	2562-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_41_2562-2565m.jpg	41	2013-02-14	8579
34/4-4	42	2565-2566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_42_2565-2566m.jpg	41	2013-02-14	8580
34/4-4	43	2566-2570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_43_2566-2570m.jpg	41	2013-02-14	8581
34/4-4	44	2570-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_44_2570-2573m.jpg	41	2013-02-14	8582
34/4-4	45	2573-2576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_45_2573-2576m.jpg	41	2013-02-14	8583
34/4-4	46	2578-2581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_46_2578-2581m.jpg	41	2013-02-14	8584
34/4-4	47	2581-2585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_47_2581-2585m.jpg	41	2013-02-14	8585
34/4-4	48	2585-2588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_48_2585-2588m.jpg	41	2013-02-14	8586
34/4-4	49	2592-2594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_49_2592-2594m.jpg	41	2013-02-14	8587
34/4-4	50	2594-2595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_50_2594-2595m.jpg	41	2013-02-14	8588
34/4-4	51	2596-2598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_51_2596-2598m.jpg	41	2013-02-14	8589
34/4-4	52	2599-2603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_52_2599-2603m.jpg	41	2013-02-14	8590
34/4-4	53	2603-2606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_53_2603-2606m.jpg	41	2013-02-14	8591
34/4-4	54	2606-2607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_54_2606-2607m.jpg	41	2013-02-14	8592
34/4-4	55	2614-2617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_55_2614-2617m.jpg	41	2013-02-14	8593
34/4-4	56	2617-2621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_56_2617-2621m.jpg	41	2013-02-14	8594
34/4-4	57	2624-2627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_57_2624-2627m.jpg	41	2013-02-14	8595
34/4-4	58	2627-2631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_58_2627-2631m.jpg	41	2013-02-14	8596
34/4-4	59	2631-2634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_59_2631-2634m.jpg	41	2013-02-14	8597
34/4-4	60	2603-2606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_60_2603-2606m.jpg	41	2013-02-14	8598
34/4-4	61	2606-2607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_61_2606-2607m.jpg	41	2013-02-14	8599
34/4-4	62	2614-2617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_62_2614-2617m.jpg	41	2013-02-14	8600
34/4-4	63	2617-2621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_63_2617-2621m.jpg	41	2013-02-14	8601
34/4-4	64	2624-2627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_64_2624-2627m.jpg	41	2013-02-14	8602
34/4-4	65	2627-2631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_65_2627-2631m.jpg	41	2013-02-14	8603
34/4-4	66	2631-2634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/41_66_2631-2634m.jpg	41	2013-02-14	8604
34/4-5	1	3423-3426m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_01_3423-3426m.jpg	37	9999-12-31	8605
34/4-5	2	3427-3430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_02_3427-3430m.jpg	37	9999-12-31	8606
34/4-5	3	3431-3434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_03_3431-3434m.jpg	37	9999-12-31	8607
34/4-5	4	3435-3437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_04_3435-3437m.jpg	37	9999-12-31	8608
34/4-5	5	3473-3476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_05_3473-3476m.jpg	37	9999-12-31	8609
34/4-5	6	3477-3480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_06_3477-3480m.jpg	37	9999-12-31	8610
34/4-5	7	3481-3482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_07_3481-3482m.jpg	37	9999-12-31	8611
34/4-5	8	3483-3486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_08_3483-3486m.jpg	37	9999-12-31	8612
34/4-5	9	3487-3490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_09_3487-3490m.jpg	37	9999-12-31	8613
34/4-5	10	3491-3494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_10_3491-3494m.jpg	37	9999-12-31	8614
34/4-5	11	3495-3496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_11_3495-3496m.jpg	37	9999-12-31	8615
34/4-5	12	3496-3499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_12_3496-3499m.jpg	37	9999-12-31	8616
34/4-5	13	3500-3503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_13_3500-3503m.jpg	37	9999-12-31	8617
34/4-5	14	3504-3507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_14_3504-3507m.jpg	37	9999-12-31	8618
34/4-5	15	3508-3511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_15_3508-3511m.jpg	37	9999-12-31	8619
34/4-5	16	3512-3515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_16_3512-3515m.jpg	37	9999-12-31	8620
34/4-5	17	3516-3517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_17_3516-3517m.jpg	37	9999-12-31	8621
34/4-5	18	3518-3521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_18_3518-3521m.jpg	37	9999-12-31	8622
34/4-5	19	3522-3525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_19_3522-3525m.jpg	37	9999-12-31	8623
34/4-5	20	3526-3527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_20_3526-3527m.jpg	37	9999-12-31	8624
34/4-5	21	3527-3530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_21_3527-3530m.jpg	37	9999-12-31	8625
34/4-5	22	3531-3534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_22_3531-3534m.jpg	37	9999-12-31	8626
34/4-5	23	3535-3536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_23_3535-3536m.jpg	37	9999-12-31	8627
34/4-5	24	3564-3567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_24_3564-3567m.jpg	37	9999-12-31	8628
34/4-5	25	3568-3569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_25_3568-3569m.jpg	37	9999-12-31	8629
34/4-5	26	3571-3574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_26_3571-3574m.jpg	37	9999-12-31	8630
34/4-5	27	3575-3578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_27_3575-3578m.jpg	37	9999-12-31	8631
34/4-5	28	3579-3580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_28_3579-3580m.jpg	37	9999-12-31	8632
34/4-5	29	3580-3583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_29_3580-3583m.jpg	37	9999-12-31	8633
34/4-5	30	3584-3587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_30_3584-3587m.jpg	37	9999-12-31	8634
34/4-5	31	3588-3589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_31_3588-3589m.jpg	37	9999-12-31	8635
34/4-5	32	3589-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_32_3589-3592m.jpg	37	9999-12-31	8636
34/4-5	33	3593-3594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_33_3593-3594m.jpg	37	9999-12-31	8637
34/4-5	34	3595-3598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_34_3595-3598m.jpg	37	9999-12-31	8638
34/4-5	35	3599-3602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_35_3599-3602m.jpg	37	9999-12-31	8639
34/4-5	36	3603-3604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_36_3603-3604m.jpg	37	9999-12-31	8640
34/4-5	37	3605-3608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_37_3605-3608m.jpg	37	9999-12-31	8641
34/4-5	38	3609-3610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_38_3609-3610m.jpg	37	9999-12-31	8642
34/4-5	39	3610-3613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_39_3610-3613m.jpg	37	9999-12-31	8643
34/4-5	40	3614-3616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_40_3614-3616m.jpg	37	9999-12-31	8644
34/4-5	41	3617-3620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_41_3617-3620m.jpg	37	9999-12-31	8645
34/4-5	42	3621-3624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_42_3621-3624m.jpg	37	9999-12-31	8646
34/4-5	43	3625-3628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_43_3625-3628m.jpg	37	9999-12-31	8647
34/4-5	44	3629-3630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_44_3629-3630m.jpg	37	9999-12-31	8648
34/4-5	45	3630-3633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_45_3630-3633m.jpg	37	9999-12-31	8649
34/4-5	46	3634-3637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_46_3634-3637m.jpg	37	9999-12-31	8650
34/4-5	47	3638-3641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_47_3638-3641m.jpg	37	9999-12-31	8651
34/4-5	48	3642-3645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_48_3642-3645m.jpg	37	9999-12-31	8652
34/4-5	49	3646-3648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/37_49_3646-3648m.jpg	37	9999-12-31	8653
34/4-6	1	2549-2553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_01_2549-2553m.jpg	875	9999-12-31	8654
34/4-6	2	2576-2581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_02_2576-2581m.jpg	875	9999-12-31	8655
34/4-6	3	2581-2583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_03_2581-2583m.jpg	875	9999-12-31	8656
34/4-6	4	2589-2594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_04_2589-2594m.jpg	875	9999-12-31	8657
34/4-6	5	2594-2596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_05_2594-2596m.jpg	875	9999-12-31	8658
34/4-6	6	2600-2605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_06_2600-2605m.jpg	875	9999-12-31	8659
34/4-6	7	2605-2610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_07_2605-2610m.jpg	875	9999-12-31	8660
34/4-6	8	2610-2612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_08_2610-2612m.jpg	875	9999-12-31	8661
34/4-6	9	2614-2619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_09_2614-2619m.jpg	875	9999-12-31	8662
34/4-6	10	2619-2622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_10_2619-2622m.jpg	875	9999-12-31	8663
34/4-6	11	2642-2647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_11_2642-2647m.jpg	875	9999-12-31	8664
34/4-6	12	2647-2652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_12_2647-2652m.jpg	875	9999-12-31	8665
34/4-6	13	2652-2657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_13_2652-2657m.jpg	875	9999-12-31	8666
34/4-6	14	2657-2660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/875_14_2657-2660m.jpg	875	9999-12-31	8667
34/4-9 S	1	2515-2520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_01_2515-2520m.jpg	2931	9999-12-31	8668
34/4-9 S	2	2520-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_02_2520-2525m.jpg	2931	9999-12-31	8669
34/4-9 S	3	2525-2530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_03_2525-2530m.jpg	2931	9999-12-31	8670
34/4-9 S	4	2530-2535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_04_2530-2535m.jpg	2931	9999-12-31	8671
34/4-9 S	5	2535-2540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_05_2535-2540m.jpg	2931	9999-12-31	8672
34/4-9 S	6	2540-2545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_06_2540-2545m.jpg	2931	9999-12-31	8673
34/4-9 S	7	2545-2550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_07_2545-2550m.jpg	2931	9999-12-31	8674
34/4-9 S	8	2550-2555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_08_2550-2555m.jpg	2931	9999-12-31	8675
34/4-9 S	9	2555-2560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_09_2555-2560m.jpg	2931	9999-12-31	8676
34/4-9 S	10	2560-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_10_2560-2565m.jpg	2931	9999-12-31	8677
34/4-9 S	11	2565-2570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_11_2565-2570m.jpg	2931	9999-12-31	8678
34/4-9 S	12	2570-2575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_12_2570-2575m.jpg	2931	9999-12-31	8679
34/4-9 S	13	2575-2580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_13_2575-2580m.jpg	2931	9999-12-31	8680
34/4-9 S	14	2580-2585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_14_2580-2585m.jpg	2931	9999-12-31	8681
34/4-9 S	15	2585-2590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_15_2585-2590m.jpg	2931	9999-12-31	8682
34/4-9 S	16	2590-2595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_16_2590-2595m.jpg	2931	9999-12-31	8683
34/4-9 S	17	2595-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_17_2595-2597m.jpg	2931	9999-12-31	8684
34/4-9 S	18	2598-2603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_18_2598-2603m.jpg	2931	9999-12-31	8685
34/4-9 S	19	2603-2608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_19_2603-2608m.jpg	2931	9999-12-31	8686
34/4-9 S	20	2608-2613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_20_2608-2613m.jpg	2931	9999-12-31	8687
34/4-9 S	21	2613-2618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_21_2613-2618m.jpg	2931	9999-12-31	8688
34/4-9 S	22	2618-2623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_22_2618-2623m.jpg	2931	9999-12-31	8689
34/4-9 S	23	2623-2628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_23_2623-2628m.jpg	2931	9999-12-31	8690
34/4-9 S	24	2628-2633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_24_2628-2633m.jpg	2931	9999-12-31	8691
34/4-9 S	25	2633-2638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_25_2633-2638m.jpg	2931	9999-12-31	8692
34/4-9 S	26	2638-2643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_26_2638-2643m.jpg	2931	9999-12-31	8693
34/4-9 S	27	2643-2648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_27_2643-2648m.jpg	2931	9999-12-31	8694
34/4-9 S	28	2648-2653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_28_2648-2653m.jpg	2931	9999-12-31	8695
34/4-9 S	29	2653-2658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_29_2653-2658m.jpg	2931	9999-12-31	8696
34/4-9 S	30	2658-2659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_30_2658-2659m.jpg	2931	9999-12-31	8697
34/4-9 S	31	2659-2664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_31_2659-2664m.jpg	2931	9999-12-31	8698
34/4-9 S	32	2664-2669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_32_2664-2669m.jpg	2931	9999-12-31	8699
34/4-9 S	33	2664-2669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_33_2664-2669m.jpg	2931	9999-12-31	8700
34/4-9 S	34	2669-2674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_34_2669-2674m.jpg	2931	9999-12-31	8701
34/4-9 S	35	2674-2679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_35_2674-2679m.jpg	2931	9999-12-31	8702
34/4-9 S	36	2679-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_36_2679-2684m.jpg	2931	9999-12-31	8703
34/4-9 S	37	2684-2689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_37_2684-2689m.jpg	2931	9999-12-31	8704
34/4-9 S	38	2689-2694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_38_2689-2694m.jpg	2931	9999-12-31	8705
34/4-9 S	39	2694-2699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_39_2694-2699m.jpg	2931	9999-12-31	8706
34/4-9 S	40	2699-2704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_40_2699-2704m.jpg	2931	9999-12-31	8707
34/4-9 S	41	2704-2709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_41_2704-2709m.jpg	2931	9999-12-31	8708
34/4-9 S	42	2709-2714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_42_2709-2714m.jpg	2931	9999-12-31	8709
34/4-9 S	43	2714-2719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_43_2714-2719m.jpg	2931	9999-12-31	8710
34/4-9 S	44	2719-2723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2931_44_2719-2723m.jpg	2931	9999-12-31	8711
34/4-C-6 H	1	3000-3005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_001_3000-3005m.jpg	3887	9999-12-31	8712
34/4-C-6 H	2	3005-3010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_002_3005-3010m.jpg	3887	9999-12-31	8713
34/4-C-6 H	3	3010-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_003_3010-3015m.jpg	3887	9999-12-31	8714
34/4-C-6 H	4	3015-3018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_004_3015-3018m.jpg	3887	9999-12-31	8715
34/4-C-6 H	5	3020-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_005_3020-3025m.jpg	3887	9999-12-31	8716
34/4-C-6 H	6	3025-3030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_006_3025-3030m.jpg	3887	9999-12-31	8717
34/4-C-6 H	7	3030-3035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_007_3030-3035m.jpg	3887	9999-12-31	8718
34/4-C-6 H	8	3035-3040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_008_3035-3040m.jpg	3887	9999-12-31	8719
34/4-C-6 H	9	3040-3045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_009_3040-3045m.jpg	3887	9999-12-31	8720
34/4-C-6 H	10	3045-3050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_010_3045-3050m.jpg	3887	9999-12-31	8721
34/4-C-6 H	11	3050-3055m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_011_3050-3055m.jpg	3887	9999-12-31	8722
34/4-C-6 H	12	3055-3060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_012_3055-3060m.jpg	3887	9999-12-31	8723
34/4-C-6 H	13	3060-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_013_3060-3061m.jpg	3887	9999-12-31	8724
34/4-C-6 H	14	3060-3065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_014_3060-3065m.jpg	3887	9999-12-31	8725
34/4-C-6 H	15	3065-3070m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_015_3065-3070m.jpg	3887	9999-12-31	8726
34/4-C-6 H	16	3070-3075m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_016_3070-3075m.jpg	3887	9999-12-31	8727
34/4-C-6 H	17	3075-3080m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_017_3075-3080m.jpg	3887	9999-12-31	8728
34/4-C-6 H	18	3080-3085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_018_3080-3085m.jpg	3887	9999-12-31	8729
34/4-C-6 H	19	3085-3090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_019_3085-3090m.jpg	3887	9999-12-31	8730
34/4-C-6 H	20	3090-3095m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_020_3090-3095m.jpg	3887	9999-12-31	8731
34/4-C-6 H	21	3095-3100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_021_3095-3100m.jpg	3887	9999-12-31	8732
34/4-C-6 H	22	3100-3105m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_022_3100-3105m.jpg	3887	9999-12-31	8733
34/4-C-6 H	23	3105-3110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_023_3105-3110m.jpg	3887	9999-12-31	8734
34/4-C-6 H	24	3110-3115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_024_3110-3115m.jpg	3887	9999-12-31	8735
34/4-C-6 H	25	3115-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_025_3115-3116m.jpg	3887	9999-12-31	8736
34/4-C-6 H	26	3116-3121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_026_3116-3121m.jpg	3887	9999-12-31	8737
34/4-C-6 H	27	3121-3126m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_027_3121-3126m.jpg	3887	9999-12-31	8738
34/4-C-6 H	28	3126-3131m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_028_3126-3131m.jpg	3887	9999-12-31	8739
34/4-C-6 H	29	3131-3136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_029_3131-3136m.jpg	3887	9999-12-31	8740
34/4-C-6 H	30	3136-3141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_030_3136-3141m.jpg	3887	9999-12-31	8741
34/4-C-6 H	31	3141-3146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_031_3141-3146m.jpg	3887	9999-12-31	8742
34/4-C-6 H	32	3146-3151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_032_3146-3151m.jpg	3887	9999-12-31	8743
34/4-C-6 H	33	3151-3156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_033_3151-3156m.jpg	3887	9999-12-31	8744
34/4-C-6 H	34	3156-3161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_034_3156-3161m.jpg	3887	9999-12-31	8745
34/4-C-6 H	35	3161-3166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_035_3161-3166m.jpg	3887	9999-12-31	8746
34/4-C-6 H	36	3166-3171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_036_3166-3171m.jpg	3887	9999-12-31	8747
34/4-C-6 H	37	3171-3176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_037_3171-3176m.jpg	3887	9999-12-31	8748
34/4-C-6 H	38	3176-3181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_038_3176-3181m.jpg	3887	9999-12-31	8749
34/4-C-6 H	39	3181-3186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_039_3181-3186m.jpg	3887	9999-12-31	8750
34/4-C-6 H	40	3186-3188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_040_3186-3188m.jpg	3887	9999-12-31	8751
34/4-C-6 H	41	3189-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_041_3189-3194m.jpg	3887	9999-12-31	8752
34/4-C-6 H	42	3194-3199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_042_3194-3199m.jpg	3887	9999-12-31	8753
34/4-C-6 H	43	3199-3204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_043_3199-3204m.jpg	3887	9999-12-31	8754
34/4-C-6 H	44	3204-3209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_044_3204-3209m.jpg	3887	9999-12-31	8755
34/4-C-6 H	45	3209-3214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_045_3209-3214m.jpg	3887	9999-12-31	8756
34/4-C-6 H	46	3214-3219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_046_3214-3219m.jpg	3887	9999-12-31	8757
34/4-C-6 H	47	3219-3224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_047_3219-3224m.jpg	3887	9999-12-31	8758
34/4-C-6 H	48	3224-3229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_048_3224-3229m.jpg	3887	9999-12-31	8759
34/4-C-6 H	49	3229-3234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_049_3229-3234m.jpg	3887	9999-12-31	8760
34/4-C-6 H	50	3234-3235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_050_3234-3235m.jpg	3887	9999-12-31	8761
34/4-C-6 H	51	3235-3240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_051_3235-3240m.jpg	3887	9999-12-31	8762
34/4-C-6 H	52	3240-3245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_052_3240-3245m.jpg	3887	9999-12-31	8763
34/4-C-6 H	53	3245-3250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_053_3245-3250m.jpg	3887	9999-12-31	8764
34/4-C-6 H	54	3250-3255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_054_3250-3255m.jpg	3887	9999-12-31	8765
34/4-C-6 H	55	3255-3260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_055_3255-3260m.jpg	3887	9999-12-31	8766
34/4-C-6 H	56	3260-3265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_056_3260-3265m.jpg	3887	9999-12-31	8767
34/4-C-6 H	57	3265-3270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_057_3265-3270m.jpg	3887	9999-12-31	8768
34/4-C-6 H	58	3270-3275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_058_3270-3275m.jpg	3887	9999-12-31	8769
34/4-C-6 H	59	3275-3280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_059_3275-3280m.jpg	3887	9999-12-31	8770
34/4-C-6 H	60	3280-3285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_060_3280-3285m.jpg	3887	9999-12-31	8771
34/4-C-6 H	61	3285-3290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_061_3285-3290m.jpg	3887	9999-12-31	8772
34/4-C-6 H	62	3290-3295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_062_3290-3295m.jpg	3887	9999-12-31	8773
34/4-C-6 H	63	3295-3300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_063_3295-3300m.jpg	3887	9999-12-31	8774
34/4-C-6 H	64	3300-3303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_064_3300-3303m.jpg	3887	9999-12-31	8775
34/4-C-6 H	65	3303-3308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_065_3303-3308m.jpg	3887	9999-12-31	8776
34/4-C-6 H	66	3308-3313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_066_3308-3313m.jpg	3887	9999-12-31	8777
34/4-C-6 H	67	3313-3318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_067_3313-3318m.jpg	3887	9999-12-31	8778
34/4-C-6 H	68	3318-3323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_068_3318-3323m.jpg	3887	9999-12-31	8779
34/4-C-6 H	69	3323-3328m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_069_3323-3328m.jpg	3887	9999-12-31	8780
34/4-C-6 H	70	3328-3333m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_070_3328-3333m.jpg	3887	9999-12-31	8781
34/4-C-6 H	71	3333-3338m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_071_3333-3338m.jpg	3887	9999-12-31	8782
34/4-C-6 H	72	3338-3343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_072_3338-3343m.jpg	3887	9999-12-31	8783
34/4-C-6 H	73	3343-3348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_073_3343-3348m.jpg	3887	9999-12-31	8784
34/4-C-6 H	74	3348-3353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_074_3348-3353m.jpg	3887	9999-12-31	8785
34/4-C-6 H	75	3353-3358m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_075_3353-3358m.jpg	3887	9999-12-31	8786
34/4-C-6 H	76	3358-3363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_076_3358-3363m.jpg	3887	9999-12-31	8787
34/4-C-6 H	77	3363-3368m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_077_3363-3368m.jpg	3887	9999-12-31	8788
34/4-C-6 H	78	3368-3373m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_078_3368-3373m.jpg	3887	9999-12-31	8789
34/4-C-6 H	79	3373-3378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_079_3373-3378m.jpg	3887	9999-12-31	8790
34/4-C-6 H	80	3378-3383m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_080_3378-3383m.jpg	3887	9999-12-31	8791
34/4-C-6 H	81	3383-3386m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_081_3383-3386m.jpg	3887	9999-12-31	8792
34/4-C-6 H	82	3386-3391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_082_3386-3391m.jpg	3887	9999-12-31	8793
34/4-C-6 H	83	3391-3396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_083_3391-3396m.jpg	3887	9999-12-31	8794
34/4-C-6 H	84	3396-3401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_084_3396-3401m.jpg	3887	9999-12-31	8795
34/4-C-6 H	85	3401-3406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_085_3401-3406m.jpg	3887	9999-12-31	8796
34/4-C-6 H	86	3406-3411m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_086_3406-3411m.jpg	3887	9999-12-31	8797
34/4-C-6 H	87	3411-3416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_087_3411-3416m.jpg	3887	9999-12-31	8798
34/4-C-6 H	88	3416-3421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_088_3416-3421m.jpg	3887	9999-12-31	8799
34/4-C-6 H	89	3421-3426m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_089_3421-3426m.jpg	3887	9999-12-31	8800
34/4-C-6 H	90	3426-3431m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_090_3426-3431m.jpg	3887	9999-12-31	8801
34/4-C-6 H	91	3431-3436m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_091_3431-3436m.jpg	3887	9999-12-31	8802
34/4-C-6 H	92	3436-3441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_092_3436-3441m.jpg	3887	9999-12-31	8803
34/4-C-6 H	93	3441-3446m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_093_3441-3446m.jpg	3887	9999-12-31	8804
34/4-C-6 H	94	3446-3449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_094_3446-3449m.jpg	3887	9999-12-31	8805
34/4-C-6 H	95	3449-3454m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_095_3449-3454m.jpg	3887	9999-12-31	8806
34/4-C-6 H	96	3454-3459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_096_3454-3459m.jpg	3887	9999-12-31	8807
34/4-C-6 H	97	3459-3464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_097_3459-3464m.jpg	3887	9999-12-31	8808
34/4-C-6 H	98	3464-3469m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_098_3464-3469m.jpg	3887	9999-12-31	8809
34/4-C-6 H	99	3469-3474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_099_3469-3474m.jpg	3887	9999-12-31	8810
34/4-C-6 H	100	3474-3476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_100_3474-3476m.jpg	3887	9999-12-31	8811
34/4-C-6 H	101	3476-3481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_101_3476-3481m.jpg	3887	9999-12-31	8812
34/4-C-6 H	102	3484-3486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_102_3484-3486m.jpg	3887	9999-12-31	8813
34/4-C-6 H	103	3486-3491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3887_103_3486-3491m.jpg	3887	9999-12-31	8814
34/7-1	1	2397-2401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_01_2397-2401m.jpg	111	9999-12-31	8815
34/7-1	2	2401-2405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_02_2401-2405m.jpg	111	9999-12-31	8816
34/7-1	3	2405-2409m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_03_2405-2409m.jpg	111	9999-12-31	8817
34/7-1	4	2409-2415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_04_2409-2415m.jpg	111	9999-12-31	8818
34/7-1	5	2415-2419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_05_2415-2419m.jpg	111	9999-12-31	8819
34/7-1	6	2419-2423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_06_2419-2423m.jpg	111	9999-12-31	8820
34/7-1	7	2423-2427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_07_2423-2427m.jpg	111	9999-12-31	8821
34/7-1	8	2427-2431m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_08_2427-2431m.jpg	111	9999-12-31	8822
34/7-1	9	2431-2437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_09_2431-2437m.jpg	111	9999-12-31	8823
34/7-1	10	2437-2442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_10_2437-2442m.jpg	111	9999-12-31	8824
34/7-1	11	2441-2444m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_11_2441-2444m.jpg	111	9999-12-31	8825
34/7-1	12	2445-2448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_12_2445-2448m.jpg	111	9999-12-31	8826
34/7-1	13	2449-2453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_13_2449-2453m.jpg	111	9999-12-31	8827
34/7-1	14	2453-2456m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_14_2453-2456m.jpg	111	9999-12-31	8828
34/7-1	15	2457-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_15_2457-2461m.jpg	111	9999-12-31	8829
34/7-1	16	2461-2464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_16_2461-2464m.jpg	111	9999-12-31	8830
34/7-1	17	2465-2468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_17_2465-2468m.jpg	111	9999-12-31	8831
34/7-1	18	2469-2473m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_18_2469-2473m.jpg	111	9999-12-31	8832
34/7-1	19	2473-2477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_19_2473-2477m.jpg	111	9999-12-31	8833
34/7-1	20	2477-2481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_20_2477-2481m.jpg	111	9999-12-31	8834
34/7-1	21	2481-2485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_21_2481-2485m.jpg	111	9999-12-31	8835
34/7-1	22	2485-2489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_22_2485-2489m.jpg	111	9999-12-31	8836
34/7-1	23	2489-2493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_23_2489-2493m.jpg	111	9999-12-31	8837
34/7-1	24	2493-2497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_24_2493-2497m.jpg	111	9999-12-31	8838
34/7-1	25	2497-2501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_25_2497-2501m.jpg	111	9999-12-31	8839
34/7-1	26	2501-2505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_26_2501-2505m.jpg	111	9999-12-31	8840
34/7-1	27	2505-2509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_27_2505-2509m.jpg	111	9999-12-31	8841
34/7-1	28	2509-2513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_28_2509-2513m.jpg	111	9999-12-31	8842
34/7-1	29	2513-2516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_29_2513-2516m.jpg	111	9999-12-31	8843
34/7-1	30	2517-2521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_30_2517-2521m.jpg	111	9999-12-31	8844
34/7-1	31	2521-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_31_2521-2525m.jpg	111	9999-12-31	8845
34/7-1	32	2525-2528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_32_2525-2528m.jpg	111	9999-12-31	8846
34/7-1	33	2529-2533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_33_2529-2533m.jpg	111	9999-12-31	8847
34/7-1	34	2533-2537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_34_2533-2537m.jpg	111	9999-12-31	8848
34/7-1	35	2537-2541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_35_2537-2541m.jpg	111	9999-12-31	8849
34/7-1	36	2541-2545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_36_2541-2545m.jpg	111	9999-12-31	8850
34/7-1	37	2545-2548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_37_2545-2548m.jpg	111	9999-12-31	8851
34/7-1	38	2549-2553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_38_2549-2553m.jpg	111	9999-12-31	8852
34/7-1	39	2553-2557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_39_2553-2557m.jpg	111	9999-12-31	8853
34/7-1	40	2557-2561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_40_2557-2561m.jpg	111	9999-12-31	8854
34/7-1	41	2561-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_41_2561-2565m.jpg	111	9999-12-31	8855
34/7-1	42	2565-2569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_42_2565-2569m.jpg	111	9999-12-31	8856
34/7-1	43	2569-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_43_2569-2573m.jpg	111	9999-12-31	8857
34/7-1	44	2573-2577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_44_2573-2577m.jpg	111	9999-12-31	8858
34/7-1	45	2577-2580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_45_2577-2580m.jpg	111	9999-12-31	8859
34/7-1	46	2581-2585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_46_2581-2585m.jpg	111	9999-12-31	8860
34/7-1	47	2585-2588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_47_2585-2588m.jpg	111	9999-12-31	8861
34/7-1	48	2589-2593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_48_2589-2593m.jpg	111	9999-12-31	8862
34/7-1	49	2593-2598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_49_2593-2598m.jpg	111	9999-12-31	8863
34/7-1	50	2598-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_50_2598-2601m.jpg	111	9999-12-31	8864
34/7-1	51	2602-2606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_51_2602-2606m.jpg	111	9999-12-31	8865
34/7-1	52	2606-2610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_52_2606-2610m.jpg	111	9999-12-31	8866
34/7-1	53	2610-2614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_53_2610-2614m.jpg	111	9999-12-31	8867
34/7-1	54	2614-2618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_54_2614-2618m.jpg	111	9999-12-31	8868
34/7-1	55	2618-2622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_55_2618-2622m.jpg	111	9999-12-31	8869
34/7-1	56	2622-2623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/111_56_2622-2623m.jpg	111	9999-12-31	8870
34/7-12	1	2169-2174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_01_2169-2174m.jpg	1187	9999-12-31	8871
34/7-12	2	2174-2179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_02_2174-2179m.jpg	1187	9999-12-31	8872
34/7-12	3	2179-2184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_03_2179-2184m.jpg	1187	9999-12-31	8873
34/7-12	4	2184-2189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_04_2184-2189m.jpg	1187	9999-12-31	8874
34/7-12	5	2189-2194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_05_2189-2194m.jpg	1187	9999-12-31	8875
34/7-12	6	2194-2198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_06_2194-2198m.jpg	1187	9999-12-31	8876
34/7-12	7	2196-2201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_07_2196-2201m.jpg	1187	9999-12-31	8877
34/7-12	8	2201-2206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_08_2201-2206m.jpg	1187	9999-12-31	8878
34/7-12	9	2206-2211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_09_2206-2211m.jpg	1187	9999-12-31	8879
34/7-12	10	2211-2212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_10_2211-2212m.jpg	1187	9999-12-31	8880
34/7-12	11	2214-2215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_11_2214-2215m.jpg	1187	9999-12-31	8881
34/7-12	12	2216-2221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_12_2216-2221m.jpg	1187	9999-12-31	8882
34/7-12	13	2221-2224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_13_2221-2224m.jpg	1187	9999-12-31	8883
34/7-12	14	2228-2233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_14_2228-2233m.jpg	1187	9999-12-31	8884
34/7-12	15	2233-2238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_15_2233-2238m.jpg	1187	9999-12-31	8885
34/7-12	16	2238-2242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_16_2238-2242m.jpg	1187	9999-12-31	8886
34/7-12	17	2242-2247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_17_2242-2247m.jpg	1187	9999-12-31	8887
34/7-12	18	2247-2252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_18_2247-2252m.jpg	1187	9999-12-31	8888
34/7-12	19	2252-2257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_19_2252-2257m.jpg	1187	9999-12-31	8889
34/7-12	20	2257-2261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_20_2257-2261m.jpg	1187	9999-12-31	8890
34/7-12	21	2262-2267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_21_2262-2267m.jpg	1187	9999-12-31	8891
34/7-12	22	2267-2272m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_22_2267-2272m.jpg	1187	9999-12-31	8892
34/7-12	23	2272-2277m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_23_2272-2277m.jpg	1187	9999-12-31	8893
34/7-12	24	2277-2282m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_24_2277-2282m.jpg	1187	9999-12-31	8894
34/7-12	25	2282-2287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_25_2282-2287m.jpg	1187	9999-12-31	8895
34/7-12	26	2287-2289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_26_2287-2289m.jpg	1187	9999-12-31	8896
34/7-12	27	2290-2295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_27_2290-2295m.jpg	1187	9999-12-31	8897
34/7-12	28	2295-2300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_28_2295-2300m.jpg	1187	9999-12-31	8898
34/7-12	29	2300-2305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_29_2300-2305m.jpg	1187	9999-12-31	8899
34/7-12	30	2305-2310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_30_2305-2310m.jpg	1187	9999-12-31	8900
34/7-12	31	2310-2315m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_31_2310-2315m.jpg	1187	9999-12-31	8901
34/7-12	32	2315-2320m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_32_2315-2320m.jpg	1187	9999-12-31	8902
34/7-12	33	2320-2325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_33_2320-2325m.jpg	1187	9999-12-31	8903
34/7-12	34	2325-2330m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_34_2325-2330m.jpg	1187	9999-12-31	8904
34/7-12	35	2330-2332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_35_2330-2332m.jpg	1187	9999-12-31	8905
34/7-12	36	2333-2338m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_36_2333-2338m.jpg	1187	9999-12-31	8906
34/7-12	37	2338-2343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_37_2338-2343m.jpg	1187	9999-12-31	8907
34/7-12	38	2343-2348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_38_2343-2348m.jpg	1187	9999-12-31	8908
34/7-12	39	2348-2353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_39_2348-2353m.jpg	1187	9999-12-31	8909
34/7-12	40	2353-2356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1187_40_2353-2356m.jpg	1187	9999-12-31	8910
34/7-13	1	2496-2500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_01_2496-2500m.jpg	1233	9999-12-31	8911
34/7-13	2	2500-2505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_02_2500-2505m.jpg	1233	9999-12-31	8912
34/7-13	3	2505-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_03_2505-2510m.jpg	1233	9999-12-31	8913
34/7-13	4	2510-2515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_04_2510-2515m.jpg	1233	9999-12-31	8914
34/7-13	5	2515-2515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_05_2515-2515m.jpg	1233	9999-12-31	8915
34/7-13	6	2515-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_06_2515-2510m.jpg	1233	9999-12-31	8916
34/7-13	7	2520-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_07_2520-2525m.jpg	1233	9999-12-31	8917
34/7-13	8	2525-2530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_08_2525-2530m.jpg	1233	9999-12-31	8918
34/7-13	9	2530-2532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_09_2530-2532m.jpg	1233	9999-12-31	8919
34/7-13	10	2532-2537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_10_2532-2537m.jpg	1233	9999-12-31	8920
34/7-13	11	2537-2542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_11_2537-2542m.jpg	1233	9999-12-31	8921
34/7-13	12	2542-2547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_12_2542-2547m.jpg	1233	9999-12-31	8922
34/7-13	13	2547-2552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_13_2547-2552m.jpg	1233	9999-12-31	8923
34/7-13	14	2552-2557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_14_2552-2557m.jpg	1233	9999-12-31	8924
34/7-13	15	2557-2559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_15_2557-2559m.jpg	1233	9999-12-31	8925
34/7-13	16	2560-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_16_2560-2565m.jpg	1233	9999-12-31	8926
34/7-13	17	2565-2570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_17_2565-2570m.jpg	1233	9999-12-31	8927
34/7-13	18	2570-2575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_18_2570-2575m.jpg	1233	9999-12-31	8928
34/7-13	19	2575-2580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_19_2575-2580m.jpg	1233	9999-12-31	8929
34/7-13	20	2575-2580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_20_2575-2580m.jpg	1233	9999-12-31	8930
34/7-13	21	2580-2585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_21_2580-2585m.jpg	1233	9999-12-31	8931
34/7-13	22	2585-2587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_22_2585-2587m.jpg	1233	9999-12-31	8932
34/7-13	23	2873-2878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_23_2873-2878m.jpg	1233	9999-12-31	8933
34/7-13	24	2878-2883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_24_2878-2883m.jpg	1233	9999-12-31	8934
34/7-13	25	2883-2888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_25_2883-2888m.jpg	1233	9999-12-31	8935
34/7-13	26	2888-2890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1233_26_2888-2890m.jpg	1233	9999-12-31	8936
34/7-14	1	2194-2199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_01_2194-2199m.jpg	1278	9999-12-31	8937
34/7-14	2	2199-2204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_02_2199-2204m.jpg	1278	9999-12-31	8938
34/7-14	3	2204-2209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_03_2204-2209m.jpg	1278	9999-12-31	8939
34/7-14	4	2209-2214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_04_2209-2214m.jpg	1278	9999-12-31	8940
34/7-14	5	2214-2219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_05_2214-2219m.jpg	1278	9999-12-31	8941
34/7-14	6	2219-2222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_06_2219-2222m.jpg	1278	9999-12-31	8942
34/7-14	7	2222-2227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_07_2222-2227m.jpg	1278	9999-12-31	8943
34/7-14	8	2227-2232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_08_2227-2232m.jpg	1278	9999-12-31	8944
34/7-14	9	2232-2237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_09_2232-2237m.jpg	1278	9999-12-31	8945
34/7-14	10	2237-2242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_10_2237-2242m.jpg	1278	9999-12-31	8946
34/7-14	11	2242-2247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_11_2242-2247m.jpg	1278	9999-12-31	8947
34/7-14	12	2247-2249m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_12_2247-2249m.jpg	1278	9999-12-31	8948
34/7-14	13	2249-2254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_13_2249-2254m.jpg	1278	9999-12-31	8949
34/7-14	14	2254-2259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_14_2254-2259m.jpg	1278	9999-12-31	8950
34/7-14	15	2259-2264m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_15_2259-2264m.jpg	1278	9999-12-31	8951
34/7-14	16	2264-2269m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_16_2264-2269m.jpg	1278	9999-12-31	8952
34/7-14	17	2269-2274m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_17_2269-2274m.jpg	1278	9999-12-31	8953
34/7-14	18	2274-2275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_18_2274-2275m.jpg	1278	9999-12-31	8954
34/7-14	19	2276-2281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_19_2276-2281m.jpg	1278	9999-12-31	8955
34/7-14	20	2281-2288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_20_2281-2288m.jpg	1278	9999-12-31	8956
34/7-14	21	2286-2291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_21_2286-2291m.jpg	1278	9999-12-31	8957
34/7-14	22	2291-2296m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_22_2291-2296m.jpg	1278	9999-12-31	8958
34/7-14	23	2298-2300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_23_2298-2300m.jpg	1278	9999-12-31	8959
34/7-14	24	2300-2305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_24_2300-2305m.jpg	1278	9999-12-31	8960
34/7-14	25	2305-2310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_25_2305-2310m.jpg	1278	9999-12-31	8961
34/7-14	26	2310-2315m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_26_2310-2315m.jpg	1278	9999-12-31	8962
34/7-14	27	2315-2320m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_27_2315-2320m.jpg	1278	9999-12-31	8963
34/7-14	28	2320-2325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_28_2320-2325m.jpg	1278	9999-12-31	8964
34/7-14	29	2325-2326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_29_2325-2326m.jpg	1278	9999-12-31	8965
34/7-14	30	2325-2330m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_30_2325-2330m.jpg	1278	9999-12-31	8966
34/7-14	31	2330-2335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_31_2330-2335m.jpg	1278	9999-12-31	8967
34/7-14	32	2335-2340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_32_2335-2340m.jpg	1278	9999-12-31	8968
34/7-14	33	2340-2345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_33_2340-2345m.jpg	1278	9999-12-31	8969
34/7-14	34	2345-2350m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_34_2345-2350m.jpg	1278	9999-12-31	8970
34/7-14	35	2350-2353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_35_2350-2353m.jpg	1278	9999-12-31	8971
34/7-14	36	2353-2358m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_36_2353-2358m.jpg	1278	9999-12-31	8972
34/7-14	37	2358-2363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_37_2358-2363m.jpg	1278	9999-12-31	8973
34/7-14	38	2363-2368m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_38_2363-2368m.jpg	1278	9999-12-31	8974
34/7-14	39	2368-2373m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_39_2368-2373m.jpg	1278	9999-12-31	8975
34/7-14	40	2373-2378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_40_2373-2378m.jpg	1278	9999-12-31	8976
34/7-14	41	2378-2380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_41_2378-2380m.jpg	1278	9999-12-31	8977
34/7-14	42	2380-2385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_42_2380-2385m.jpg	1278	9999-12-31	8978
34/7-14	43	2385-2390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_43_2385-2390m.jpg	1278	9999-12-31	8979
34/7-14	44	2390-2395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_44_2390-2395m.jpg	1278	9999-12-31	8980
34/7-14	45	2395-2400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_45_2395-2400m.jpg	1278	9999-12-31	8981
34/7-14	46	2400-2405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_46_2400-2405m.jpg	1278	9999-12-31	8982
34/7-14	47	2405-2408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1278_47_2405-2408m.jpg	1278	9999-12-31	8983
34/7-16	1	2389-2394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_01_2389-2394m.jpg	1550	9999-12-31	8984
34/7-16	2	2394-2399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_02_2394-2399m.jpg	1550	9999-12-31	8985
34/7-16	3	2399-2404m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_03_2399-2404m.jpg	1550	9999-12-31	8986
34/7-16	4	2404-2408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_04_2404-2408m.jpg	1550	9999-12-31	8987
34/7-16	5	2408-2413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_05_2408-2413m.jpg	1550	9999-12-31	8988
34/7-16	6	2413-2418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_06_2413-2418m.jpg	1550	9999-12-31	8989
34/7-16	7	2418-2423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_07_2418-2423m.jpg	1550	9999-12-31	8990
34/7-16	8	2423-2428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_08_2423-2428m.jpg	1550	9999-12-31	8991
34/7-16	9	2428-2433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_09_2428-2433m.jpg	1550	9999-12-31	8992
34/7-16	10	2433-2436m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_10_2433-2436m.jpg	1550	9999-12-31	8993
34/7-16	11	2436-2441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_11_2436-2441m.jpg	1550	9999-12-31	8994
34/7-16	12	2441-2446m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_12_2441-2446m.jpg	1550	9999-12-31	8995
34/7-16	13	2446-2451m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_13_2446-2451m.jpg	1550	9999-12-31	8996
34/7-16	14	2451-2456m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_14_2451-2456m.jpg	1550	9999-12-31	8997
34/7-16	15	2456-2459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_15_2456-2459m.jpg	1550	9999-12-31	8998
34/7-16	16	2460-2465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_16_2460-2465m.jpg	1550	9999-12-31	8999
34/7-16	17	2465-2470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_17_2465-2470m.jpg	1550	9999-12-31	9000
34/7-16	18	2470-2475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_18_2470-2475m.jpg	1550	9999-12-31	9001
34/7-16	19	2475-2480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_19_2475-2480m.jpg	1550	9999-12-31	9002
34/7-16	20	2480-2485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_20_2480-2485m.jpg	1550	9999-12-31	9003
34/7-16	21	2485-2487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_21_2485-2487m.jpg	1550	9999-12-31	9004
34/7-16	22	2487-2492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_22_2487-2492m.jpg	1550	9999-12-31	9005
34/7-16	23	2492-2497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_23_2492-2497m.jpg	1550	9999-12-31	9006
34/7-16	24	2497-2502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_24_2497-2502m.jpg	1550	9999-12-31	9007
34/7-16	25	2502-2504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_25_2502-2504m.jpg	1550	9999-12-31	9008
34/7-16	26	2504-2509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_26_2504-2509m.jpg	1550	9999-12-31	9009
34/7-16	27	2509-2512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1550_27_2509-2512m.jpg	1550	9999-12-31	9010
34/7-17	1	2460-2465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_01_2460-2465m.jpg	1713	9999-12-31	9011
34/7-17	2	2465-2470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_02_2465-2470m.jpg	1713	9999-12-31	9012
34/7-17	3	2470-2475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_03_2470-2475m.jpg	1713	9999-12-31	9013
34/7-17	4	2475-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_04_2475-2478m.jpg	1713	9999-12-31	9014
34/7-17	5	2478-2483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_05_2478-2483m.jpg	1713	9999-12-31	9015
34/7-17	6	2483-2488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_06_2483-2488m.jpg	1713	9999-12-31	9016
34/7-17	7	2488-2493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_07_2488-2493m.jpg	1713	9999-12-31	9017
34/7-17	8	2493-2496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_08_2493-2496m.jpg	1713	9999-12-31	9018
34/7-17	9	2498-2503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_09_2498-2503m.jpg	1713	9999-12-31	9019
34/7-17	10	2503-2507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_10_2503-2507m.jpg	1713	9999-12-31	9020
34/7-17	11	2508-2513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_11_2508-2513m.jpg	1713	9999-12-31	9021
34/7-17	12	2513-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_12_2513-2518m.jpg	1713	9999-12-31	9022
34/7-17	13	2518-2523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_13_2518-2523m.jpg	1713	9999-12-31	9023
34/7-17	14	2523-2528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_14_2523-2528m.jpg	1713	9999-12-31	9024
34/7-17	15	2528-2531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_15_2528-2531m.jpg	1713	9999-12-31	9025
34/7-17	16	2534-2539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_16_2534-2539m.jpg	1713	9999-12-31	9026
34/7-17	17	2539-2542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_17_2539-2542m.jpg	1713	9999-12-31	9027
34/7-17	18	2545-2550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_18_2545-2550m.jpg	1713	9999-12-31	9028
34/7-17	19	2550-2552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_19_2550-2552m.jpg	1713	9999-12-31	9029
34/7-17	20	2554-2559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_20_2554-2559m.jpg	1713	9999-12-31	9030
34/7-17	21	2559-2564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_21_2559-2564m.jpg	1713	9999-12-31	9031
34/7-17	22	2564-2569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_22_2564-2569m.jpg	1713	9999-12-31	9032
34/7-17	23	2569-2570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_23_2569-2570m.jpg	1713	9999-12-31	9033
34/7-17	24	2571-2576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_24_2571-2576m.jpg	1713	9999-12-31	9034
34/7-17	25	2576-2581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_25_2576-2581m.jpg	1713	9999-12-31	9035
34/7-17	26	2581-2586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_26_2581-2586m.jpg	1713	9999-12-31	9036
34/7-17	27	2497-2502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_27_2497-2502m.jpg	1713	9999-12-31	9037
34/7-17	28	2502-2507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_28_2502-2507m.jpg	1713	9999-12-31	9038
34/7-17	29	2507-2512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_29_2507-2512m.jpg	1713	9999-12-31	9039
34/7-17	30	2512-2517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1713_30_2512-2517m.jpg	1713	9999-12-31	9040
34/7-18	1	1775-1780m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1819_01_1775-1780m.jpg	1819	9999-12-31	9041
34/7-18	2	1780-1780m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1819_02_1780-1780m.jpg	1819	9999-12-31	9042
34/7-18	3	2285-2286m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1819_03_2285-2286m.jpg	1819	9999-12-31	9043
34/7-18	4	2286-2289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1819_04_2286-2289m.jpg	1819	9999-12-31	9044
34/7-18	5	2290-2295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1819_05_2290-2295m.jpg	1819	9999-12-31	9045
34/7-18	6	2295-2300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1819_06_2295-2300m.jpg	1819	9999-12-31	9046
34/7-18	7	2300-2305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1819_07_2300-2305m.jpg	1819	9999-12-31	9047
34/7-18	8	2305-2306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1819_08_2305-2306m.jpg	1819	9999-12-31	9048
34/7-19	1	2439-2443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_01_2439-2443m.jpg	1838	9999-12-31	9049
34/7-19	2	2443-2447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_02_2443-2447m.jpg	1838	9999-12-31	9050
34/7-19	3	2447-2448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_03_2447-2448m.jpg	1838	9999-12-31	9051
34/7-19	4	2451-2455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_04_2451-2455m.jpg	1838	9999-12-31	9052
34/7-19	5	2455-2459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_05_2455-2459m.jpg	1838	9999-12-31	9053
34/7-19	6	2459-2463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_06_2459-2463m.jpg	1838	9999-12-31	9054
34/7-19	7	2463-2467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_07_2463-2467m.jpg	1838	9999-12-31	9055
34/7-19	8	2467-2471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_08_2467-2471m.jpg	1838	9999-12-31	9056
34/7-19	9	2471-2475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_09_2471-2475m.jpg	1838	9999-12-31	9057
34/7-19	10	2475-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_10_2475-2478m.jpg	1838	9999-12-31	9058
34/7-19	11	2479-2483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_11_2479-2483m.jpg	1838	9999-12-31	9059
34/7-19	12	2483-2487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_12_2483-2487m.jpg	1838	9999-12-31	9060
34/7-19	13	2487-2491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_13_2487-2491m.jpg	1838	9999-12-31	9061
34/7-19	14	2491-2495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_14_2491-2495m.jpg	1838	9999-12-31	9062
34/7-19	15	2495-2499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_15_2495-2499m.jpg	1838	9999-12-31	9063
34/7-19	16	2499-2503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_16_2499-2503m.jpg	1838	9999-12-31	9064
34/7-19	17	2503-2507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_17_2503-2507m.jpg	1838	9999-12-31	9065
34/7-19	18	2507-2508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_18_2507-2508m.jpg	1838	9999-12-31	9066
34/7-19	19	2509-2513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_19_2509-2513m.jpg	1838	9999-12-31	9067
34/7-19	20	2513-2517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_20_2513-2517m.jpg	1838	9999-12-31	9068
34/7-19	21	2517-2521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_21_2517-2521m.jpg	1838	9999-12-31	9069
34/7-19	22	2521-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_22_2521-2525m.jpg	1838	9999-12-31	9070
34/7-19	23	2525-2529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_23_2525-2529m.jpg	1838	9999-12-31	9071
34/7-19	24	2529-2530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_24_2529-2530m.jpg	1838	9999-12-31	9072
34/7-19	25	2530-2534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_25_2530-2534m.jpg	1838	9999-12-31	9073
34/7-19	26	2534-2538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_26_2534-2538m.jpg	1838	9999-12-31	9074
34/7-19	27	2538-2542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_27_2538-2542m.jpg	1838	9999-12-31	9075
34/7-19	28	2542-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_28_2542-2546m.jpg	1838	9999-12-31	9076
34/7-19	29	2546-2550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_29_2546-2550m.jpg	1838	9999-12-31	9077
34/7-19	30	2550-2554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_30_2550-2554m.jpg	1838	9999-12-31	9078
34/7-19	31	2554-2557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_31_2554-2557m.jpg	1838	9999-12-31	9079
34/7-19	32	2558-2562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_32_2558-2562m.jpg	1838	9999-12-31	9080
34/7-19	33	2562-2566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_33_2562-2566m.jpg	1838	9999-12-31	9081
34/7-19	34	2566-2570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_34_2566-2570m.jpg	1838	9999-12-31	9082
34/7-19	35	2570-2574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_35_2570-2574m.jpg	1838	9999-12-31	9083
34/7-19	36	2574-2575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_36_2574-2575m.jpg	1838	9999-12-31	9084
34/7-19	37	2577-2581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_37_2577-2581m.jpg	1838	9999-12-31	9085
34/7-19	38	2581-2585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_38_2581-2585m.jpg	1838	9999-12-31	9086
34/7-19	39	2585-2589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_39_2585-2589m.jpg	1838	9999-12-31	9087
34/7-19	40	2589-2593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_40_2589-2593m.jpg	1838	9999-12-31	9088
34/7-19	41	2593-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_41_2593-2597m.jpg	1838	9999-12-31	9089
34/7-19	42	2597-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_42_2597-2601m.jpg	1838	9999-12-31	9090
34/7-19	43	2601-2604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_43_2601-2604m.jpg	1838	9999-12-31	9091
34/7-19	44	2605-2609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_44_2605-2609m.jpg	1838	9999-12-31	9092
34/7-19	45	2609-2613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_45_2609-2613m.jpg	1838	9999-12-31	9093
34/7-19	46	2613-2617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_46_2613-2617m.jpg	1838	9999-12-31	9094
34/7-19	47	2617-2621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_47_2617-2621m.jpg	1838	9999-12-31	9095
34/7-19	48	2621-2625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_48_2621-2625m.jpg	1838	9999-12-31	9096
34/7-19	49	2625-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_49_2625-2629m.jpg	1838	9999-12-31	9097
34/7-19	50	2629-2632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_50_2629-2632m.jpg	1838	9999-12-31	9098
34/7-19	51	2633-2637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_51_2633-2637m.jpg	1838	9999-12-31	9099
34/7-19	52	2637-2641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_52_2637-2641m.jpg	1838	9999-12-31	9100
34/7-19	53	2641-2645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_53_2641-2645m.jpg	1838	9999-12-31	9101
34/7-19	54	2645-2649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_54_2645-2649m.jpg	1838	9999-12-31	9102
34/7-19	55	2649-2653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_55_2649-2653m.jpg	1838	9999-12-31	9103
34/7-19	56	2653-2657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_56_2653-2657m.jpg	1838	9999-12-31	9104
34/7-19	57	2657-2659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1838_57_2657-2659m.jpg	1838	9999-12-31	9105
34/7-2	1	2147-2153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/233_01_2147-2153m.jpg	233	9999-12-31	9106
34/7-2	2	2153-2158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/233_02_2153-2158m.jpg	233	9999-12-31	9107
34/7-2	3	2159-2160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/233_03_2159-2160m.jpg	233	9999-12-31	9108
34/7-2	4	2161-2164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/233_04_2161-2164m.jpg	233	9999-12-31	9109
34/7-2	5	2168-2174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/233_05_2168-2174m.jpg	233	9999-12-31	9110
34/7-2	6	2174-2175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/233_06_2174-2175m.jpg	233	9999-12-31	9111
34/7-20	1	2576-2579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_01_2576-2579m.jpg	1967	9999-12-31	9112
34/7-20	2	2581-2585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_02_2581-2585m.jpg	1967	9999-12-31	9113
34/7-20	3	2585-2589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_03_2585-2589m.jpg	1967	9999-12-31	9114
34/7-20	4	2589-2593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_04_2589-2593m.jpg	1967	9999-12-31	9115
34/7-20	5	2593-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_05_2593-2597m.jpg	1967	9999-12-31	9116
34/7-20	6	2597-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_06_2597-2601m.jpg	1967	9999-12-31	9117
34/7-20	7	2601-2605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_07_2601-2605m.jpg	1967	9999-12-31	9118
34/7-20	8	2605-2607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_08_2605-2607m.jpg	1967	9999-12-31	9119
34/7-20	9	2608-2612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_09_2608-2612m.jpg	1967	9999-12-31	9120
34/7-20	10	2612-2616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_10_2612-2616m.jpg	1967	9999-12-31	9121
34/7-20	11	2616-2620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_11_2616-2620m.jpg	1967	9999-12-31	9122
34/7-20	12	2620-2624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_12_2620-2624m.jpg	1967	9999-12-31	9123
34/7-20	13	2624-2628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_13_2624-2628m.jpg	1967	9999-12-31	9124
34/7-20	14	2628-2632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_14_2628-2632m.jpg	1967	9999-12-31	9125
34/7-20	15	2632-2636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_15_2632-2636m.jpg	1967	9999-12-31	9126
34/7-20	16	2636-2637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1967_16_2636-2637m.jpg	1967	9999-12-31	9127
34/7-21	1	1858-1862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_01_1858-1862m.jpg	2026	9999-12-31	9128
34/7-21	2	1862-1866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_02_1862-1866m.jpg	2026	9999-12-31	9129
34/7-21	3	1866-1870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_03_1866-1870m.jpg	2026	9999-12-31	9130
34/7-21	4	1870-1974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_04_1870-1974m.jpg	2026	9999-12-31	9131
34/7-21	5	1874-1878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_05_1874-1878m.jpg	2026	9999-12-31	9132
34/7-21	6	1878-1880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_06_1878-1880m.jpg	2026	9999-12-31	9133
34/7-21	7	2525-2519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_07_2525-2519m.jpg	2026	9999-12-31	9134
34/7-21	8	2519-2522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_08_2519-2522m.jpg	2026	9999-12-31	9135
34/7-21	9	2530-2534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_09_2530-2534m.jpg	2026	9999-12-31	9136
34/7-21	10	2534-2538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_10_2534-2538m.jpg	2026	9999-12-31	9137
34/7-21	11	2538-2542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_11_2538-2542m.jpg	2026	9999-12-31	9138
34/7-21	12	2542-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_12_2542-2546m.jpg	2026	9999-12-31	9139
34/7-21	13	2546-2547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_13_2546-2547m.jpg	2026	9999-12-31	9140
34/7-21	14	2547-2551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_14_2547-2551m.jpg	2026	9999-12-31	9141
34/7-21	15	2551-2555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_15_2551-2555m.jpg	2026	9999-12-31	9142
34/7-21	16	2555-2559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_16_2555-2559m.jpg	2026	9999-12-31	9143
34/7-21	17	2559-2563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_17_2559-2563m.jpg	2026	9999-12-31	9144
34/7-21	18	2563-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_18_2563-2565m.jpg	2026	9999-12-31	9145
34/7-21	19	2566-2570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_19_2566-2570m.jpg	2026	9999-12-31	9146
34/7-21	20	2570-2574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_20_2570-2574m.jpg	2026	9999-12-31	9147
34/7-21	21	2574-2578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_21_2574-2578m.jpg	2026	9999-12-31	9148
34/7-21	22	2578-2582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_22_2578-2582m.jpg	2026	9999-12-31	9149
34/7-21	23	2582-2586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_23_2582-2586m.jpg	2026	9999-12-31	9150
34/7-21	24	2586-2590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_24_2586-2590m.jpg	2026	9999-12-31	9151
34/7-21	25	2590-2592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2026_25_2590-2592m.jpg	2026	9999-12-31	9152
34/7-21 A	1	2847-2851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_01_2847-2851m.jpg	2068	9999-12-31	9153
34/7-21 A	2	2851-2855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_02_2851-2855m.jpg	2068	9999-12-31	9154
34/7-21 A	3	2855-2859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_03_2855-2859m.jpg	2068	9999-12-31	9155
34/7-21 A	4	2859-2863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_04_2859-2863m.jpg	2068	9999-12-31	9156
34/7-21 A	5	2863-2867m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_05_2863-2867m.jpg	2068	9999-12-31	9157
34/7-21 A	6	2867-2871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_06_2867-2871m.jpg	2068	9999-12-31	9158
34/7-21 A	7	2871-2873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_07_2871-2873m.jpg	2068	9999-12-31	9159
34/7-21 A	8	2874-2878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_08_2874-2878m.jpg	2068	9999-12-31	9160
34/7-21 A	9	2878-2882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_09_2878-2882m.jpg	2068	9999-12-31	9161
34/7-21 A	10	2882-2885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_10_2882-2885m.jpg	2068	9999-12-31	9162
34/7-21 A	11	2890-2894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_11_2890-2894m.jpg	2068	9999-12-31	9163
34/7-21 A	12	2894-2898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_12_2894-2898m.jpg	2068	9999-12-31	9164
34/7-21 A	13	2898-2900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_13_2898-2900m.jpg	2068	9999-12-31	9165
34/7-21 A	14	2901-2905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_14_2901-2905m.jpg	2068	9999-12-31	9166
34/7-21 A	15	2905-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_15_2905-2909m.jpg	2068	9999-12-31	9167
34/7-21 A	16	2909-2920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_16_2909-2920m.jpg	2068	9999-12-31	9168
34/7-21 A	17	2943-2947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_17_2943-2947m.jpg	2068	9999-12-31	9169
34/7-21 A	18	2947-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_18_2947-2951m.jpg	2068	9999-12-31	9170
34/7-21 A	19	2951-2953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2068_19_2951-2953m.jpg	2068	9999-12-31	9171
34/7-22	1	2226-2231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_01_2226-2231m.jpg	2167	9999-12-31	9172
34/7-22	2	2231-2234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_02_2231-2234m.jpg	2167	9999-12-31	9173
34/7-22	3	2235-2240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_03_2235-2240m.jpg	2167	9999-12-31	9174
34/7-22	4	2240-2245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_04_2240-2245m.jpg	2167	9999-12-31	9175
34/7-22	5	2245-2250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_05_2245-2250m.jpg	2167	9999-12-31	9176
34/7-22	6	2250-2254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_06_2250-2254m.jpg	2167	9999-12-31	9177
34/7-22	7	2256-2260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_07_2256-2260m.jpg	2167	9999-12-31	9178
34/7-22	8	2260-2265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_08_2260-2265m.jpg	2167	9999-12-31	9179
34/7-22	9	2265-2270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_09_2265-2270m.jpg	2167	9999-12-31	9180
34/7-22	10	2270-2271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_10_2270-2271m.jpg	2167	9999-12-31	9181
34/7-22	11	2272-2277m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_11_2272-2277m.jpg	2167	9999-12-31	9182
34/7-22	12	2277-2281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_12_2277-2281m.jpg	2167	9999-12-31	9183
34/7-22	13	2284-2289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_13_2284-2289m.jpg	2167	9999-12-31	9184
34/7-22	14	2291-2296m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_14_2291-2296m.jpg	2167	9999-12-31	9185
34/7-22	15	2296-2301m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_15_2296-2301m.jpg	2167	9999-12-31	9186
34/7-22	16	2301-2302m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_16_2301-2302m.jpg	2167	9999-12-31	9187
34/7-22	17	2303-2308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_17_2303-2308m.jpg	2167	9999-12-31	9188
34/7-22	18	2308-2313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_18_2308-2313m.jpg	2167	9999-12-31	9189
34/7-22	19	2313-2318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_19_2313-2318m.jpg	2167	9999-12-31	9190
34/7-22	20	2318-2323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_20_2318-2323m.jpg	2167	9999-12-31	9191
34/7-22	21	2323-2328m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_21_2323-2328m.jpg	2167	9999-12-31	9192
34/7-22	22	2328-2331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2167_22_2328-2331m.jpg	2167	9999-12-31	9193
34/7-23 A	1	3199-3204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_01_3199-3204m.jpg	2326	9999-12-31	9194
34/7-23 A	2	3204-3209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_02_3204-3209m.jpg	2326	9999-12-31	9195
34/7-23 A	3	3209-3214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_03_3209-3214m.jpg	2326	9999-12-31	9196
34/7-23 A	4	3214-3219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_04_3214-3219m.jpg	2326	9999-12-31	9197
34/7-23 A	5	3219-3222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_05_3219-3222m.jpg	2326	9999-12-31	9198
34/7-23 A	6	3223-3228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_06_3223-3228m.jpg	2326	9999-12-31	9199
34/7-23 A	7	3228-3233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_07_3228-3233m.jpg	2326	9999-12-31	9200
34/7-23 A	8	3233-3238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_08_3233-3238m.jpg	2326	9999-12-31	9201
34/7-23 A	9	3238-3243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_09_3238-3243m.jpg	2326	9999-12-31	9202
34/7-23 A	10	3243-3248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_10_3243-3248m.jpg	2326	9999-12-31	9203
34/7-23 A	11	3248-3251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_11_3248-3251m.jpg	2326	9999-12-31	9204
34/7-23 A	12	3251-3258m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_12_3251-3258m.jpg	2326	9999-12-31	9205
34/7-23 A	13	3256-3261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_13_3256-3261m.jpg	2326	9999-12-31	9206
34/7-23 A	14	3261-3266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_14_3261-3266m.jpg	2326	9999-12-31	9207
34/7-23 A	15	3266-3267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_15_3266-3267m.jpg	2326	9999-12-31	9208
34/7-23 A	16	3267-3272m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_16_3267-3272m.jpg	2326	9999-12-31	9209
34/7-23 A	17	3272-3277m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_17_3272-3277m.jpg	2326	9999-12-31	9210
34/7-23 A	18	3277-3278m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_18_3277-3278m.jpg	2326	9999-12-31	9211
34/7-23 A	19	3279-3284m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_19_3279-3284m.jpg	2326	9999-12-31	9212
34/7-23 A	20	3284-3289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_20_3284-3289m.jpg	2326	9999-12-31	9213
34/7-23 A	21	3289-3291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2326_21_3289-3291m.jpg	2326	9999-12-31	9214
34/7-23 S	1	3097-3084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_01_3097-3084m.jpg	2296	9999-12-31	9215
34/7-23 S	2	3084-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_02_3084-3089m.jpg	2296	9999-12-31	9216
34/7-23 S	3	3089-3094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_03_3089-3094m.jpg	2296	9999-12-31	9217
34/7-23 S	4	3094-3095m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_04_3094-3095m.jpg	2296	9999-12-31	9218
34/7-23 S	5	3106-3108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_05_3106-3108m.jpg	2296	9999-12-31	9219
34/7-23 S	6	3108-3113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_06_3108-3113m.jpg	2296	9999-12-31	9220
34/7-23 S	7	3113-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_07_3113-3116m.jpg	2296	9999-12-31	9221
34/7-23 S	8	3117-3122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_08_3117-3122m.jpg	2296	9999-12-31	9222
34/7-23 S	9	3122-3124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_09_3122-3124m.jpg	2296	9999-12-31	9223
34/7-23 S	10	3124-3129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_10_3124-3129m.jpg	2296	9999-12-31	9224
34/7-23 S	11	3129-3134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_11_3129-3134m.jpg	2296	9999-12-31	9225
34/7-23 S	12	3134-3136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2296_12_3134-3136m.jpg	2296	9999-12-31	9226
34/7-25 S	1	2805-2810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_01_2805-2810m.jpg	2863	9999-12-31	9227
34/7-25 S	2	2810-2815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_02_2810-2815m.jpg	2863	9999-12-31	9228
34/7-25 S	3	2815-2810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_03_2815-2810m.jpg	2863	9999-12-31	9229
34/7-25 S	4	2820-2825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_04_2820-2825m.jpg	2863	9999-12-31	9230
34/7-25 S	5	2825-2830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_05_2825-2830m.jpg	2863	9999-12-31	9231
34/7-25 S	6	2830-2831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_06_2830-2831m.jpg	2863	9999-12-31	9232
34/7-25 S	7	2832-2837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_07_2832-2837m.jpg	2863	9999-12-31	9233
34/7-25 S	8	2837-2842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_08_2837-2842m.jpg	2863	9999-12-31	9234
34/7-25 S	9	2842-2847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_09_2842-2847m.jpg	2863	9999-12-31	9235
34/7-25 S	10	2847-2852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_10_2847-2852m.jpg	2863	9999-12-31	9236
34/7-25 S	11	2852-2857m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_11_2852-2857m.jpg	2863	9999-12-31	9237
34/7-25 S	12	2857-2860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2863_12_2857-2860m.jpg	2863	9999-12-31	9238
34/7-26 A	1	4104-4109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_01_4104-4109m.jpg	3329	9999-12-31	9239
34/7-26 A	2	4109-4114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_02_4109-4114m.jpg	3329	9999-12-31	9240
34/7-26 A	3	4114-4119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_03_4114-4119m.jpg	3329	9999-12-31	9241
34/7-26 A	4	4119-4124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_04_4119-4124m.jpg	3329	9999-12-31	9242
34/7-26 A	5	4124-4129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_05_4124-4129m.jpg	3329	9999-12-31	9243
34/7-26 A	6	4129-4130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_06_4129-4130m.jpg	3329	9999-12-31	9244
34/7-26 A	7	4132-4137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_07_4132-4137m.jpg	3329	9999-12-31	9245
34/7-26 A	8	4137-4142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_08_4137-4142m.jpg	3329	9999-12-31	9246
34/7-26 A	9	4142-4147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_09_4142-4147m.jpg	3329	9999-12-31	9247
34/7-26 A	10	4147-4152m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_10_4147-4152m.jpg	3329	9999-12-31	9248
34/7-26 A	11	4152-4153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_11_4152-4153m.jpg	3329	9999-12-31	9249
34/7-26 A	12	4153-4158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_12_4153-4158m.jpg	3329	9999-12-31	9250
34/7-26 A	13	4158-4163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_13_4158-4163m.jpg	3329	9999-12-31	9251
34/7-26 A	14	4163-4168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_14_4163-4168m.jpg	3329	9999-12-31	9252
34/7-26 A	15	4168-4173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_15_4168-4173m.jpg	3329	9999-12-31	9253
34/7-26 A	16	4173-4178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_16_4173-4178m.jpg	3329	9999-12-31	9254
34/7-26 A	17	4178-4179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_17_4178-4179m.jpg	3329	9999-12-31	9255
34/7-26 A	18	4179-4184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_18_4179-4184m.jpg	3329	9999-12-31	9256
34/7-26 A	19	4184-4189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_19_4184-4189m.jpg	3329	9999-12-31	9257
34/7-26 A	20	4189-4194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_20_4189-4194m.jpg	3329	9999-12-31	9258
34/7-26 A	21	4194-4199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_21_4194-4199m.jpg	3329	9999-12-31	9259
34/7-26 A	22	4199-4204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_22_4199-4204m.jpg	3329	9999-12-31	9260
34/7-26 A	23	4204-4209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_23_4204-4209m.jpg	3329	9999-12-31	9261
34/7-26 A	24	4209-4214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_24_4209-4214m.jpg	3329	9999-12-31	9262
34/7-26 A	25	4214-4216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3329_25_4214-4216m.jpg	3329	9999-12-31	9263
34/7-26 SR	1	4510-4515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_01_4510-4515m.jpg	3315	9999-12-31	9264
34/7-26 SR	2	4515-4520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_02_4515-4520m.jpg	3315	9999-12-31	9265
34/7-26 SR	3	4520-4521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_03_4520-4521m.jpg	3315	9999-12-31	9266
34/7-26 SR	4	4533-4538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_04_4533-4538m.jpg	3315	9999-12-31	9267
34/7-26 SR	5	4538-4543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_05_4538-4543m.jpg	3315	9999-12-31	9268
34/7-26 SR	6	4543-4548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_06_4543-4548m.jpg	3315	9999-12-31	9269
34/7-26 SR	7	4548-4553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_07_4548-4553m.jpg	3315	9999-12-31	9270
34/7-26 SR	8	4553-4558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_08_4553-4558m.jpg	3315	9999-12-31	9271
34/7-26 SR	9	4558-4563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_09_4558-4563m.jpg	3315	9999-12-31	9272
34/7-26 SR	10	4563-4568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_10_4563-4568m.jpg	3315	9999-12-31	9273
34/7-26 SR	11	4568-4573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_11_4568-4573m.jpg	3315	9999-12-31	9274
34/7-26 SR	12	4573-4578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_12_4573-4578m.jpg	3315	9999-12-31	9275
34/7-26 SR	13	4578-4583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_13_4578-4583m.jpg	3315	9999-12-31	9276
34/7-26 SR	14	4583-4588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_14_4583-4588m.jpg	3315	9999-12-31	9277
34/7-26 SR	15	4588-4593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_15_4588-4593m.jpg	3315	9999-12-31	9278
34/7-26 SR	16	4593-4598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_16_4593-4598m.jpg	3315	9999-12-31	9279
34/7-26 SR	17	4598-4599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3315_17_4598-4599m.jpg	3315	9999-12-31	9280
34/7-27	1	2742-2747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3214_01_2742-2747m.jpg	3214	9999-12-31	9281
34/7-27	2	2747-2752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3214_02_2747-2752m.jpg	3214	9999-12-31	9282
34/7-27	3	2752-2756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3214_03_2752-2756m.jpg	3214	9999-12-31	9283
34/7-28	1	2668-2673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_01_2668-2673m.jpg	3282	9999-12-31	9284
34/7-28	2	2673-2678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_02_2673-2678m.jpg	3282	9999-12-31	9285
34/7-28	3	2678-2683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_03_2678-2683m.jpg	3282	9999-12-31	9286
34/7-28	4	2683-2688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_04_2683-2688m.jpg	3282	9999-12-31	9287
34/7-28	5	2688-2692m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_05_2688-2692m.jpg	3282	9999-12-31	9288
34/7-28	6	2694-2699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_06_2694-2699m.jpg	3282	9999-12-31	9289
34/7-28	7	2699-2704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_07_2699-2704m.jpg	3282	9999-12-31	9290
34/7-28	8	2704-2709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_08_2704-2709m.jpg	3282	9999-12-31	9291
34/7-28	9	2709-2714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_09_2709-2714m.jpg	3282	9999-12-31	9292
34/7-28	10	2714-2719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_10_2714-2719m.jpg	3282	9999-12-31	9293
34/7-28	11	2719-2724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_11_2719-2724m.jpg	3282	9999-12-31	9294
34/7-28	12	2724-2725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3282_12_2724-2725m.jpg	3282	9999-12-31	9295
34/7-29 S	1	2701-2706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3313_01_2701-2706m.jpg	3313	9999-12-31	9296
34/7-29 S	2	2706-2711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3313_02_2706-2711m.jpg	3313	9999-12-31	9297
34/7-29 S	3	2711-2716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3313_03_2711-2716m.jpg	3313	9999-12-31	9298
34/7-29 S	4	2716-2718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3313_04_2716-2718m.jpg	3313	9999-12-31	9299
34/7-29 S	5	2718-2723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3313_05_2718-2723m.jpg	3313	9999-12-31	9300
34/7-29 S	6	2723-2724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3313_06_2723-2724m.jpg	3313	9999-12-31	9301
34/7-30 SR	1	2403-2408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3886_01_2403-2408m.jpg	3886	9999-12-31	9302
34/7-30 SR	2	2408-2413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3886_02_2408-2413m.jpg	3886	9999-12-31	9303
34/7-30 SR	3	2413-2418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3886_03_2413-2418m.jpg	3886	9999-12-31	9304
34/7-30 SR	4	2418-2423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3886_04_2418-2423m.jpg	3886	9999-12-31	9305
34/7-30 SR	5	2423-2428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3886_05_2423-2428m.jpg	3886	9999-12-31	9306
34/7-30 SR	6	2428-2433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3886_06_2428-2433m.jpg	3886	9999-12-31	9307
34/7-30 SR	7	2433-2438m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3886_07_2433-2438m.jpg	3886	9999-12-31	9308
34/7-30 SR	8	2438-2443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3886_08_2438-2443m.jpg	3886	9999-12-31	9309
34/7-30 SR	9	2443-2448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3886_09_2443-2448m.jpg	3886	9999-12-31	9310
34/7-30 SR	10	2448-2449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3886_10_2448-2449m.jpg	3886	9999-12-31	9311
34/7-4	1	2533-2536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/455_01_2533-2536m.jpg	455	9999-12-31	9312
34/7-4	2	2537-2541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/455_02_2537-2541m.jpg	455	9999-12-31	9313
34/7-4	3	2541-2545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/455_03_2541-2545m.jpg	455	9999-12-31	9314
34/7-4	4	2545-2549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/455_04_2545-2549m.jpg	455	9999-12-31	9315
34/7-4	5	2549-2552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/455_05_2549-2552m.jpg	455	9999-12-31	9316
34/7-4	6	2552-2556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/455_06_2552-2556m.jpg	455	9999-12-31	9317
34/7-4	7	2556-2557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/455_07_2556-2557m.jpg	455	9999-12-31	9318
34/7-5	1	2510-2515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_01_2510-2515m.jpg	458	9999-12-31	9319
34/7-5	2	2515-2520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_02_2515-2520m.jpg	458	9999-12-31	9320
34/7-5	3	2520-2521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_03_2520-2521m.jpg	458	9999-12-31	9321
34/7-5	4	2521-2526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_04_2521-2526m.jpg	458	9999-12-31	9322
34/7-5	5	2526-2527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_05_2526-2527m.jpg	458	9999-12-31	9323
34/7-5	6	2529-2534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_06_2529-2534m.jpg	458	9999-12-31	9324
34/7-5	7	2534-2539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_07_2534-2539m.jpg	458	9999-12-31	9325
34/7-5	8	2539-2541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_08_2539-2541m.jpg	458	9999-12-31	9326
34/7-5	9	2542-2547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_09_2542-2547m.jpg	458	9999-12-31	9327
34/7-5	10	2547-2552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_10_2547-2552m.jpg	458	9999-12-31	9328
34/7-5	11	2552-2555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_11_2552-2555m.jpg	458	9999-12-31	9329
34/7-5	12	2555-2560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_12_2555-2560m.jpg	458	9999-12-31	9330
34/7-5	13	2560-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_13_2560-2565m.jpg	458	9999-12-31	9331
34/7-5	14	2565-2570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_14_2565-2570m.jpg	458	9999-12-31	9332
34/7-5	15	2570-2571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_15_2570-2571m.jpg	458	9999-12-31	9333
34/7-5	16	2573-2578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_16_2573-2578m.jpg	458	9999-12-31	9334
34/7-5	17	2578-2583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_17_2578-2583m.jpg	458	9999-12-31	9335
34/7-5	18	2583-2588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_18_2583-2588m.jpg	458	9999-12-31	9336
34/7-5	19	2588-2590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_19_2588-2590m.jpg	458	9999-12-31	9337
34/7-5	20	2591-2596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_20_2591-2596m.jpg	458	9999-12-31	9338
34/7-5	21	2596-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_21_2596-2601m.jpg	458	9999-12-31	9339
34/7-5	22	2601-2606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_22_2601-2606m.jpg	458	9999-12-31	9340
34/7-5	23	2606-2607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_23_2606-2607m.jpg	458	9999-12-31	9341
34/7-5	24	2609-2614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_24_2609-2614m.jpg	458	9999-12-31	9342
34/7-5	25	2614-2619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_25_2614-2619m.jpg	458	9999-12-31	9343
34/7-5	26	2619-2622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_26_2619-2622m.jpg	458	9999-12-31	9344
34/7-5	27	2624-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_27_2624-2629m.jpg	458	9999-12-31	9345
34/7-5	28	2629-2631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_28_2629-2631m.jpg	458	9999-12-31	9346
34/7-5	29	2869-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_29_2869-2874m.jpg	458	9999-12-31	9347
34/7-5	30	2874-2879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_30_2874-2879m.jpg	458	9999-12-31	9348
34/7-5	31	2819-2883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/458_31_2819-2883m.jpg	458	9999-12-31	9349
34/7-8	1	2280-2284m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_01_2280-2284m.jpg	878	9999-12-31	9350
34/7-8	2	2284-2288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_02_2284-2288m.jpg	878	9999-12-31	9351
34/7-8	3	2288-2292m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_03_2288-2292m.jpg	878	9999-12-31	9352
34/7-8	4	2292-2296m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_04_2292-2296m.jpg	878	9999-12-31	9353
34/7-8	5	2296-2327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_05_2296-2327m.jpg	878	9999-12-31	9354
34/7-8	6	2327-2331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_06_2327-2331m.jpg	878	9999-12-31	9355
34/7-8	7	2331-2334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_07_2331-2334m.jpg	878	9999-12-31	9356
34/7-8	8	2335-2339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_08_2335-2339m.jpg	878	9999-12-31	9357
34/7-8	9	2339-2343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_09_2339-2343m.jpg	878	9999-12-31	9358
34/7-8	10	2343-2348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_10_2343-2348m.jpg	878	9999-12-31	9359
34/7-8	11	2348-2352m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_11_2348-2352m.jpg	878	9999-12-31	9360
34/7-8	12	2352-2356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_12_2352-2356m.jpg	878	9999-12-31	9361
34/7-8	13	2356-2360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_13_2356-2360m.jpg	878	9999-12-31	9362
34/7-8	14	2360-2364m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_14_2360-2364m.jpg	878	9999-12-31	9363
34/7-8	15	2364-2403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_15_2364-2403m.jpg	878	9999-12-31	9364
34/7-8	16	2403-2406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/878_16_2403-2406m.jpg	878	9999-12-31	9365
34/7-9	1	2470-2475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_01_2470-2475m.jpg	889	9999-12-31	9366
34/7-9	2	2475-2480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_02_2475-2480m.jpg	889	9999-12-31	9367
34/7-9	3	2480-2485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_03_2480-2485m.jpg	889	9999-12-31	9368
34/7-9	4	2485-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_04_2485-2490m.jpg	889	9999-12-31	9369
34/7-9	5	2490-2495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_05_2490-2495m.jpg	889	9999-12-31	9370
34/7-9	6	2495-2499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_06_2495-2499m.jpg	889	9999-12-31	9371
34/7-9	7	2499-2504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_07_2499-2504m.jpg	889	9999-12-31	9372
34/7-9	8	2504-2509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_08_2504-2509m.jpg	889	9999-12-31	9373
34/7-9	9	2509-2514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_09_2509-2514m.jpg	889	9999-12-31	9374
34/7-9	10	2514-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_10_2514-2518m.jpg	889	9999-12-31	9375
34/7-9	11	2518-2523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_11_2518-2523m.jpg	889	9999-12-31	9376
34/7-9	12	2523-2528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_12_2523-2528m.jpg	889	9999-12-31	9377
34/7-9	13	2528-2533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_13_2528-2533m.jpg	889	9999-12-31	9378
34/7-9	14	2533-2538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_14_2533-2538m.jpg	889	9999-12-31	9379
34/7-9	15	2538-2543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_15_2538-2543m.jpg	889	9999-12-31	9380
34/7-9	16	2543-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_16_2543-2546m.jpg	889	9999-12-31	9381
34/7-9	17	2546-2551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_17_2546-2551m.jpg	889	9999-12-31	9382
34/7-9	18	2551-2556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_18_2551-2556m.jpg	889	9999-12-31	9383
34/7-9	19	2556-2561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_19_2556-2561m.jpg	889	9999-12-31	9384
34/7-9	20	2561-2566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_20_2561-2566m.jpg	889	9999-12-31	9385
34/7-9	21	2566-2571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_21_2566-2571m.jpg	889	9999-12-31	9386
34/7-9	22	2571-2574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_22_2571-2574m.jpg	889	9999-12-31	9387
34/7-9	23	2574-2579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_23_2574-2579m.jpg	889	9999-12-31	9388
34/7-9	24	2579-2584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_24_2579-2584m.jpg	889	9999-12-31	9389
34/7-9	25	2584-2589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_25_2584-2589m.jpg	889	9999-12-31	9390
34/7-9	26	2589-2593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_26_2589-2593m.jpg	889	9999-12-31	9391
34/7-9	27	2593-2598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_27_2593-2598m.jpg	889	9999-12-31	9392
34/7-9	28	2598-2603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_28_2598-2603m.jpg	889	9999-12-31	9393
34/7-9	29	2603-2608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_29_2603-2608m.jpg	889	9999-12-31	9394
34/7-9	30	2615-2620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_30_2615-2620m.jpg	889	9999-12-31	9395
34/7-9	31	2620-2625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_31_2620-2625m.jpg	889	9999-12-31	9396
34/7-9	32	2625-2630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_32_2625-2630m.jpg	889	9999-12-31	9397
34/7-9	33	2630-2635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_33_2630-2635m.jpg	889	9999-12-31	9398
34/7-9	34	2635-2640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_34_2635-2640m.jpg	889	9999-12-31	9399
34/7-9	35	2640-2642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_35_2640-2642m.jpg	889	9999-12-31	9400
34/7-9	36	2643-2648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_36_2643-2648m.jpg	889	9999-12-31	9401
34/7-9	37	2648-2653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_37_2648-2653m.jpg	889	9999-12-31	9402
34/7-9	38	2653-2658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_38_2653-2658m.jpg	889	9999-12-31	9403
34/7-9	39	2658-2663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_39_2658-2663m.jpg	889	9999-12-31	9404
34/7-9	40	2663-2668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_40_2663-2668m.jpg	889	9999-12-31	9405
34/7-9	41	2668-2670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_41_2668-2670m.jpg	889	9999-12-31	9406
34/7-9	42	2670-2675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_42_2670-2675m.jpg	889	9999-12-31	9407
34/7-9	43	2675-2679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_43_2675-2679m.jpg	889	9999-12-31	9408
34/7-9	44	2680-2685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_44_2680-2685m.jpg	889	9999-12-31	9409
34/7-9	45	2685-2690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_45_2685-2690m.jpg	889	9999-12-31	9410
34/7-9	46	2690-2694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_46_2690-2694m.jpg	889	9999-12-31	9411
34/7-9	47	2692-2697m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_47_2692-2697m.jpg	889	9999-12-31	9412
34/7-9	48	2697-2702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_48_2697-2702m.jpg	889	9999-12-31	9413
34/7-9	49	2702-2707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_49_2702-2707m.jpg	889	9999-12-31	9414
34/7-9	50	2707-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_50_2707-2712m.jpg	889	9999-12-31	9415
34/7-9	51	2712-2717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_51_2712-2717m.jpg	889	9999-12-31	9416
34/7-9	52	2717-2621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/889_52_2717-2621m.jpg	889	9999-12-31	9417
34/7-A-10 H	15	2706-2711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2009_15_2706-2711m.jpg	2009	9999-12-31	9418
34/7-A-2 H	1	3463-3468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_01_3463-3468m.jpg	2001	9999-12-31	9419
34/7-A-2 H	2	3468-3473m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_02_3468-3473m.jpg	2001	9999-12-31	9420
34/7-A-2 H	3	3473-3478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_03_3473-3478m.jpg	2001	9999-12-31	9421
34/7-A-2 H	4	3478-3483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_04_3478-3483m.jpg	2001	9999-12-31	9422
34/7-A-2 H	5	3483-3488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_05_3483-3488m.jpg	2001	9999-12-31	9423
34/7-A-2 H	6	3488-3493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_06_3488-3493m.jpg	2001	9999-12-31	9424
34/7-A-2 H	7	3493-3498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_07_3493-3498m.jpg	2001	9999-12-31	9425
34/7-A-2 H	8	3498-3503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_08_3498-3503m.jpg	2001	9999-12-31	9426
34/7-A-2 H	9	3503-3508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_09_3503-3508m.jpg	2001	9999-12-31	9427
34/7-A-2 H	10	3508-3513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_10_3508-3513m.jpg	2001	9999-12-31	9428
34/7-A-2 H	11	3513-3518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_11_3513-3518m.jpg	2001	9999-12-31	9429
34/7-A-2 H	12	3518-3523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_12_3518-3523m.jpg	2001	9999-12-31	9430
34/7-A-2 H	13	3523-3528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_13_3523-3528m.jpg	2001	9999-12-31	9431
34/7-A-2 H	14	3528-3533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_14_3528-3533m.jpg	2001	9999-12-31	9432
34/7-A-2 H	15	3533-3537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_15_3533-3537m.jpg	2001	9999-12-31	9433
34/7-A-2 H	16	3537-3542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_16_3537-3542m.jpg	2001	9999-12-31	9434
34/7-A-2 H	17	3542-3547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_17_3542-3547m.jpg	2001	9999-12-31	9435
34/7-A-2 H	18	3547-3552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_18_3547-3552m.jpg	2001	9999-12-31	9436
34/7-A-2 H	19	3552-3557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_19_3552-3557m.jpg	2001	9999-12-31	9437
34/7-A-2 H	20	3557-3562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_20_3557-3562m.jpg	2001	9999-12-31	9438
34/7-A-2 H	21	3562-3567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_21_3562-3567m.jpg	2001	9999-12-31	9439
34/7-A-2 H	22	3567-3572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_22_3567-3572m.jpg	2001	9999-12-31	9440
34/7-A-2 H	23	3572-3577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_23_3572-3577m.jpg	2001	9999-12-31	9441
34/7-A-2 H	24	3577-3582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_24_3577-3582m.jpg	2001	9999-12-31	9442
34/7-A-2 H	25	3582-3587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_25_3582-3587m.jpg	2001	9999-12-31	9443
34/7-A-2 H	26	3587-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_26_3587-3592m.jpg	2001	9999-12-31	9444
34/7-A-2 H	27	3592-3597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_27_3592-3597m.jpg	2001	9999-12-31	9445
34/7-A-2 H	28	3597-3602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_28_3597-3602m.jpg	2001	9999-12-31	9446
34/7-A-2 H	29	3602-3607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_29_3602-3607m.jpg	2001	9999-12-31	9447
34/7-A-2 H	30	3607-3611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_30_3607-3611m.jpg	2001	9999-12-31	9448
34/7-A-2 H	31	3611-3616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_31_3611-3616m.jpg	2001	9999-12-31	9449
34/7-A-2 H	32	3616-3621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_32_3616-3621m.jpg	2001	9999-12-31	9450
34/7-A-2 H	33	3621-3626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_33_3621-3626m.jpg	2001	9999-12-31	9451
34/7-A-2 H	34	3626-3631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_34_3626-3631m.jpg	2001	9999-12-31	9452
34/7-A-2 H	35	3631-3636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_35_3631-3636m.jpg	2001	9999-12-31	9453
34/7-A-2 H	36	3636-3641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_36_3636-3641m.jpg	2001	9999-12-31	9454
34/7-A-2 H	37	3641-3646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_37_3641-3646m.jpg	2001	9999-12-31	9455
34/7-A-2 H	38	3646-3649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_38_3646-3649m.jpg	2001	9999-12-31	9456
34/7-A-2 H	39	3649-3654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_39_3649-3654m.jpg	2001	9999-12-31	9457
34/7-A-2 H	40	3654-3659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_40_3654-3659m.jpg	2001	9999-12-31	9458
34/7-A-2 H	41	3659-3663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2001_41_3659-3663m.jpg	2001	9999-12-31	9459
34/7-A-3 H	1	4175-4180m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_01_4175-4180m.jpg	2002	9999-12-31	9460
34/7-A-3 H	2	4180-4185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_02_4180-4185m.jpg	2002	9999-12-31	9461
34/7-A-3 H	3	4185-4190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_03_4185-4190m.jpg	2002	9999-12-31	9462
34/7-A-3 H	4	4190-4195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_04_4190-4195m.jpg	2002	9999-12-31	9463
34/7-A-3 H	5	4195-4200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_05_4195-4200m.jpg	2002	9999-12-31	9464
34/7-A-3 H	6	4200-4205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_06_4200-4205m.jpg	2002	9999-12-31	9465
34/7-A-3 H	7	4205-4210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_07_4205-4210m.jpg	2002	9999-12-31	9466
34/7-A-3 H	8	4210-4215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_08_4210-4215m.jpg	2002	9999-12-31	9467
34/7-A-3 H	9	4215-4220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_09_4215-4220m.jpg	2002	9999-12-31	9468
34/7-A-3 H	10	4220-4225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_10_4220-4225m.jpg	2002	9999-12-31	9469
34/7-A-3 H	11	4225-4230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_11_4225-4230m.jpg	2002	9999-12-31	9470
34/7-A-3 H	12	4230-4230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_12_4230-4230m.jpg	2002	9999-12-31	9471
34/7-A-3 H	13	4230-4235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_13_4230-4235m.jpg	2002	9999-12-31	9472
34/7-A-3 H	14	4235-4240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_14_4235-4240m.jpg	2002	9999-12-31	9473
34/7-A-3 H	15	4240-4245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_15_4240-4245m.jpg	2002	9999-12-31	9474
34/7-A-3 H	16	4245-4250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_16_4245-4250m.jpg	2002	9999-12-31	9475
34/7-A-3 H	17	4250-4255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_17_4250-4255m.jpg	2002	9999-12-31	9476
34/7-A-3 H	18	4255-4260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_18_4255-4260m.jpg	2002	9999-12-31	9477
34/7-A-3 H	19	4260-4265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_19_4260-4265m.jpg	2002	9999-12-31	9478
34/7-A-3 H	20	4265-4270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_20_4265-4270m.jpg	2002	9999-12-31	9479
34/7-A-3 H	21	4270-4275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_21_4270-4275m.jpg	2002	9999-12-31	9480
34/7-A-3 H	22	4275-4280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_22_4275-4280m.jpg	2002	9999-12-31	9481
34/7-A-3 H	23	4280-4285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_23_4280-4285m.jpg	2002	9999-12-31	9482
34/7-A-3 H	24	4285-4290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_24_4285-4290m.jpg	2002	9999-12-31	9483
34/7-A-3 H	25	4290-4294m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_25_4290-4294m.jpg	2002	9999-12-31	9484
34/7-A-3 H	26	4294-4299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_26_4294-4299m.jpg	2002	9999-12-31	9485
34/7-A-3 H	27	4299-4304m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_27_4299-4304m.jpg	2002	9999-12-31	9486
34/7-A-3 H	28	4304-4309m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_28_4304-4309m.jpg	2002	9999-12-31	9487
34/7-A-3 H	29	4309-4314m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_29_4309-4314m.jpg	2002	9999-12-31	9488
34/7-A-3 H	30	4314-4317m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_30_4314-4317m.jpg	2002	9999-12-31	9489
34/7-A-3 H	31	4318-4323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_31_4318-4323m.jpg	2002	9999-12-31	9490
34/7-A-3 H	32	4323-4328m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_32_4323-4328m.jpg	2002	9999-12-31	9491
34/7-A-3 H	33	4331-4336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_33_4331-4336m.jpg	2002	9999-12-31	9492
34/7-A-3 H	34	4336-4341m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_34_4336-4341m.jpg	2002	9999-12-31	9493
34/7-A-3 H	35	4341-4343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_35_4341-4343m.jpg	2002	9999-12-31	9494
34/7-A-3 H	36	4343-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_36_4343-4348m.jpg	2002	9999-12-31	9495
34/7-A-3 H	37	4348-4353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_37_4348-4353m.jpg	2002	9999-12-31	9496
34/7-A-3 H	38	4353-4354m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_38_4353-4354m.jpg	2002	9999-12-31	9497
34/7-A-3 H	39	4354-4357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_39_4354-4357m.jpg	2002	9999-12-31	9498
34/7-A-3 H	40	4360-4365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_40_4360-4365m.jpg	2002	9999-12-31	9499
34/7-A-3 H	41	4365-4370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_41_4365-4370m.jpg	2002	9999-12-31	9500
34/7-A-3 H	42	4370-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_42_4370-4375m.jpg	2002	9999-12-31	9501
34/7-A-3 H	43	4375-4376m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2002_43_4375-4376m.jpg	2002	9999-12-31	9502
34/7-A-4 H	1	2759-2764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_01_2759-2764m.jpg	2003	9999-12-31	9503
34/7-A-4 H	2	2764-2769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_02_2764-2769m.jpg	2003	9999-12-31	9504
34/7-A-4 H	3	2769-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_03_2769-2774m.jpg	2003	9999-12-31	9505
34/7-A-4 H	4	2774-2779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_04_2774-2779m.jpg	2003	9999-12-31	9506
34/7-A-4 H	5	2779-2784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_05_2779-2784m.jpg	2003	9999-12-31	9507
34/7-A-4 H	6	2784-2788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_06_2784-2788m.jpg	2003	9999-12-31	9508
34/7-A-4 H	7	2788-2792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_07_2788-2792m.jpg	2003	9999-12-31	9509
34/7-A-4 H	8	2792-2797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_08_2792-2797m.jpg	2003	9999-12-31	9510
34/7-A-4 H	9	2797-2802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_09_2797-2802m.jpg	2003	9999-12-31	9511
34/7-A-4 H	10	2802-2807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_10_2802-2807m.jpg	2003	9999-12-31	9512
34/7-A-4 H	11	2807-2812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_11_2807-2812m.jpg	2003	9999-12-31	9513
34/7-A-4 H	12	2812-2815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_12_2812-2815m.jpg	2003	9999-12-31	9514
34/7-A-4 H	13	2815-2820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_13_2815-2820m.jpg	2003	9999-12-31	9515
34/7-A-4 H	14	2820-2825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_14_2820-2825m.jpg	2003	9999-12-31	9516
34/7-A-4 H	15	2825-2830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_15_2825-2830m.jpg	2003	9999-12-31	9517
34/7-A-4 H	16	2830-2835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_16_2830-2835m.jpg	2003	9999-12-31	9518
34/7-A-4 H	17	2835-2840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_17_2835-2840m.jpg	2003	9999-12-31	9519
34/7-A-4 H	18	2840-2845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_18_2840-2845m.jpg	2003	9999-12-31	9520
34/7-A-4 H	19	2845-2850m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_19_2845-2850m.jpg	2003	9999-12-31	9521
34/7-A-4 H	20	2850-2854m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_20_2850-2854m.jpg	2003	9999-12-31	9522
34/7-A-4 H	21	2854-2859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_21_2854-2859m.jpg	2003	9999-12-31	9523
34/7-A-4 H	22	2859-2864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_22_2859-2864m.jpg	2003	9999-12-31	9524
34/7-A-4 H	23	2864-2869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_23_2864-2869m.jpg	2003	9999-12-31	9525
34/7-A-4 H	24	2869-2869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_24_2869-2869m.jpg	2003	9999-12-31	9526
34/7-A-4 H	25	2869-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_25_2869-2874m.jpg	2003	9999-12-31	9527
34/7-A-4 H	26	2874-2879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_26_2874-2879m.jpg	2003	9999-12-31	9528
34/7-A-4 H	27	2879-2884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_27_2879-2884m.jpg	2003	9999-12-31	9529
34/7-A-4 H	28	2884-2887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_28_2884-2887m.jpg	2003	9999-12-31	9530
34/7-A-4 H	29	2888-2893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_29_2888-2893m.jpg	2003	9999-12-31	9531
34/7-A-4 H	30	2893-2898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_30_2893-2898m.jpg	2003	9999-12-31	9532
34/7-A-4 H	31	2898-2903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_31_2898-2903m.jpg	2003	9999-12-31	9533
34/7-A-4 H	32	2903-2908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_32_2903-2908m.jpg	2003	9999-12-31	9534
34/7-A-4 H	33	2908-2913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_33_2908-2913m.jpg	2003	9999-12-31	9535
34/7-A-4 H	34	2913-2916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_34_2913-2916m.jpg	2003	9999-12-31	9536
34/7-A-4 H	35	2916-2921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_35_2916-2921m.jpg	2003	9999-12-31	9537
34/7-A-4 H	36	2921-2926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_36_2921-2926m.jpg	2003	9999-12-31	9538
34/7-A-4 H	37	2926-2931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_37_2926-2931m.jpg	2003	9999-12-31	9539
34/7-A-4 H	38	2931-2936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_38_2931-2936m.jpg	2003	9999-12-31	9540
34/7-A-4 H	39	2936-2941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_39_2936-2941m.jpg	2003	9999-12-31	9541
34/7-A-4 H	40	2941-2946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_40_2941-2946m.jpg	2003	9999-12-31	9542
34/7-A-4 H	41	2946-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_41_2946-2951m.jpg	2003	9999-12-31	9543
34/7-A-4 H	42	2952-2957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_42_2952-2957m.jpg	2003	9999-12-31	9544
34/7-A-4 H	43	2957-2962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_43_2957-2962m.jpg	2003	9999-12-31	9545
34/7-A-4 H	44	2962-2967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_44_2962-2967m.jpg	2003	9999-12-31	9546
34/7-A-4 H	45	2967-2972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_45_2967-2972m.jpg	2003	9999-12-31	9547
34/7-A-4 H	46	2972-2976m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_46_2972-2976m.jpg	2003	9999-12-31	9548
34/7-A-4 H	47	2966-2981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_47_2966-2981m.jpg	2003	9999-12-31	9549
34/7-A-4 H	48	2981-2986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_48_2981-2986m.jpg	2003	9999-12-31	9550
34/7-A-4 H	49	2986-2991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_49_2986-2991m.jpg	2003	9999-12-31	9551
34/7-A-4 H	50	2991-2996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_50_2991-2996m.jpg	2003	9999-12-31	9552
34/7-A-4 H	51	2996-3001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_51_2996-3001m.jpg	2003	9999-12-31	9553
34/7-A-4 H	52	3001-3004m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_52_3001-3004m.jpg	2003	9999-12-31	9554
34/7-A-4 H	53	3004-3009m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_53_3004-3009m.jpg	2003	9999-12-31	9555
34/7-A-4 H	54	3009-3014m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_54_3009-3014m.jpg	2003	9999-12-31	9556
34/7-A-4 H	56	3014-3019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_56_3014-3019m.jpg	2003	9999-12-31	9557
34/7-A-4 H	57	3019-3024m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_57_3019-3024m.jpg	2003	9999-12-31	9558
34/7-A-4 H	58	3024-3028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2003_58_3024-3028m.jpg	2003	9999-12-31	9559
34/7-A-9 H	1	2523-2528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_01_2523-2528m.jpg	2008	9999-12-31	9560
34/7-A-9 H	2	2528-2533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_02_2528-2533m.jpg	2008	9999-12-31	9561
34/7-A-9 H	3	2533-2536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_03_2533-2536m.jpg	2008	9999-12-31	9562
34/7-A-9 H	4	2536-2541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_04_2536-2541m.jpg	2008	9999-12-31	9563
34/7-A-9 H	5	2541-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_05_2541-2546m.jpg	2008	9999-12-31	9564
34/7-A-9 H	6	2546-2551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_06_2546-2551m.jpg	2008	9999-12-31	9565
34/7-A-9 H	7	2551-2556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_07_2551-2556m.jpg	2008	9999-12-31	9566
34/7-A-9 H	8	2556-2561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_08_2556-2561m.jpg	2008	9999-12-31	9567
34/7-A-9 H	9	2561-2566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_09_2561-2566m.jpg	2008	9999-12-31	9568
34/7-A-9 H	10	2566-2571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_10_2566-2571m.jpg	2008	9999-12-31	9569
34/7-A-9 H	11	2571-2576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_11_2571-2576m.jpg	2008	9999-12-31	9570
34/7-A-9 H	12	2576-2581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_12_2576-2581m.jpg	2008	9999-12-31	9571
34/7-A-9 H	13	2581-2586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_13_2581-2586m.jpg	2008	9999-12-31	9572
34/7-A-9 H	14	2586-2591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_14_2586-2591m.jpg	2008	9999-12-31	9573
34/7-A-9 H	15	2591-2591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_15_2591-2591m.jpg	2008	9999-12-31	9574
34/7-A-9 H	16	2591-2596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_16_2591-2596m.jpg	2008	9999-12-31	9575
34/7-A-9 H	17	2596-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_17_2596-2601m.jpg	2008	9999-12-31	9576
34/7-A-9 H	18	2601-2606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_18_2601-2606m.jpg	2008	9999-12-31	9577
34/7-A-9 H	19	2606-2611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_19_2606-2611m.jpg	2008	9999-12-31	9578
34/7-A-9 H	20	2611-2616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_20_2611-2616m.jpg	2008	9999-12-31	9579
34/7-A-9 H	21	2616-2621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_21_2616-2621m.jpg	2008	9999-12-31	9580
34/7-A-9 H	22	2621-2626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_22_2621-2626m.jpg	2008	9999-12-31	9581
34/7-A-9 H	23	2626-2631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_23_2626-2631m.jpg	2008	9999-12-31	9582
34/7-A-9 H	24	2631-2636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_24_2631-2636m.jpg	2008	9999-12-31	9583
34/7-A-9 H	25	2636-2641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_25_2636-2641m.jpg	2008	9999-12-31	9584
34/7-A-9 H	26	2641-2646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_26_2641-2646m.jpg	2008	9999-12-31	9585
34/7-A-9 H	27	2646-2647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_27_2646-2647m.jpg	2008	9999-12-31	9586
34/7-A-9 H	28	2636-2641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_28_2636-2641m.jpg	2008	9999-12-31	9587
34/7-A-9 H	29	2641-2646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_29_2641-2646m.jpg	2008	9999-12-31	9588
34/7-A-9 H	30	2646-2651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_30_2646-2651m.jpg	2008	9999-12-31	9589
34/7-A-9 H	31	2651-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_31_2651-2656m.jpg	2008	9999-12-31	9590
34/7-A-9 H	32	2656-2661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_32_2656-2661m.jpg	2008	9999-12-31	9591
34/7-A-9 H	33	2661-2665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_33_2661-2665m.jpg	2008	9999-12-31	9592
34/7-A-9 H	34	2665-2670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_34_2665-2670m.jpg	2008	9999-12-31	9593
34/7-A-9 H	35	2670-2675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_35_2670-2675m.jpg	2008	9999-12-31	9594
34/7-A-9 H	36	2675-2680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_36_2675-2680m.jpg	2008	9999-12-31	9595
34/7-A-9 H	37	2680-2685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_37_2680-2685m.jpg	2008	9999-12-31	9596
34/7-A-9 H	38	2685-2690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_38_2685-2690m.jpg	2008	9999-12-31	9597
34/7-A-9 H	39	2690-2695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_39_2690-2695m.jpg	2008	9999-12-31	9598
34/7-A-9 H	40	2695-2700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_40_2695-2700m.jpg	2008	9999-12-31	9599
34/7-A-9 H	41	2700-2705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_41_2700-2705m.jpg	2008	9999-12-31	9600
34/7-A-9 H	42	2705-2709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_42_2705-2709m.jpg	2008	9999-12-31	9601
34/7-A-9 H	43	2709-2714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_43_2709-2714m.jpg	2008	9999-12-31	9602
34/7-A-9 H	44	2714-2719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_44_2714-2719m.jpg	2008	9999-12-31	9603
34/7-A-9 H	45	2719-2724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_45_2719-2724m.jpg	2008	9999-12-31	9604
34/7-A-9 H	46	2724-2729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_46_2724-2729m.jpg	2008	9999-12-31	9605
34/7-A-9 H	47	2729-2734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_47_2729-2734m.jpg	2008	9999-12-31	9606
34/7-A-9 H	48	2734-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_48_2734-2739m.jpg	2008	9999-12-31	9607
34/7-A-9 H	49	2739-2743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_49_2739-2743m.jpg	2008	9999-12-31	9608
34/7-A-9 H	50	2743-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_50_2743-2748m.jpg	2008	9999-12-31	9609
34/7-A-9 H	51	2748-2753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_51_2748-2753m.jpg	2008	9999-12-31	9610
34/7-A-9 H	52	2753-2758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_52_2753-2758m.jpg	2008	9999-12-31	9611
34/7-A-9 H	53	2758-2763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_53_2758-2763m.jpg	2008	9999-12-31	9612
34/7-A-9 H	54	2763-2768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_54_2763-2768m.jpg	2008	9999-12-31	9613
34/7-A-9 H	55	2768-2773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_55_2768-2773m.jpg	2008	9999-12-31	9614
34/7-A-9 H	56	2773-2778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_56_2773-2778m.jpg	2008	9999-12-31	9615
34/7-A-9 H	57	2778-2783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_57_2778-2783m.jpg	2008	9999-12-31	9616
34/7-A-9 H	58	2783-2788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_58_2783-2788m.jpg	2008	9999-12-31	9617
34/7-A-9 H	59	2788-2791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2008_59_2788-2791m.jpg	2008	9999-12-31	9618
34/7-C-2 H	1	2990-2995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_01_2990-2995m.jpg	2698	9999-12-31	9619
34/7-C-2 H	2	2995-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_02_2995-3000m.jpg	2698	9999-12-31	9620
34/7-C-2 H	3	3000-3005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_03_3000-3005m.jpg	2698	9999-12-31	9621
34/7-C-2 H	4	3005-3010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_04_3005-3010m.jpg	2698	9999-12-31	9622
34/7-C-2 H	5	3010-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_05_3010-3015m.jpg	2698	9999-12-31	9623
34/7-C-2 H	6	3016-3021m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_06_3016-3021m.jpg	2698	9999-12-31	9624
34/7-C-2 H	7	3021-3022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_07_3021-3022m.jpg	2698	9999-12-31	9625
34/7-C-2 H	8	3025-3030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_08_3025-3030m.jpg	2698	9999-12-31	9626
34/7-C-2 H	9	3030-3035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_09_3030-3035m.jpg	2698	9999-12-31	9627
34/7-C-2 H	10	3035-3036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_10_3035-3036m.jpg	2698	9999-12-31	9628
34/7-C-2 H	11	3038-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_11_3038-3043m.jpg	2698	9999-12-31	9629
34/7-C-2 H	12	3043-3048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_12_3043-3048m.jpg	2698	9999-12-31	9630
34/7-C-2 H	13	3050-3055m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_13_3050-3055m.jpg	2698	9999-12-31	9631
34/7-C-2 H	14	3055-3060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_14_3055-3060m.jpg	2698	9999-12-31	9632
34/7-C-2 H	15	3060-3065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_15_3060-3065m.jpg	2698	9999-12-31	9633
34/7-C-2 H	16	3067-3072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_16_3067-3072m.jpg	2698	9999-12-31	9634
34/7-C-2 H	17	3072-3075m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2698_17_3072-3075m.jpg	2698	9999-12-31	9635
34/7-E-2 H	1	4227-4232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_01_4227-4232m.jpg	3378	9999-12-31	9636
34/7-E-2 H	2	4232-4237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_02_4232-4237m.jpg	3378	9999-12-31	9637
34/7-E-2 H	3	4237-4242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_03_4237-4242m.jpg	3378	9999-12-31	9638
34/7-E-2 H	4	4242-4247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_04_4242-4247m.jpg	3378	9999-12-31	9639
34/7-E-2 H	5	4247-4252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_05_4247-4252m.jpg	3378	9999-12-31	9640
34/7-E-2 H	6	4252-4257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_06_4252-4257m.jpg	3378	9999-12-31	9641
34/7-E-2 H	7	4257-4259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_07_4257-4259m.jpg	3378	9999-12-31	9642
34/7-E-2 H	8	4262-4267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_08_4262-4267m.jpg	3378	9999-12-31	9643
34/7-E-2 H	9	4267-4272m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_09_4267-4272m.jpg	3378	9999-12-31	9644
34/7-E-2 H	10	4273-4278m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_10_4273-4278m.jpg	3378	9999-12-31	9645
34/7-E-2 H	11	4278-4283m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_11_4278-4283m.jpg	3378	9999-12-31	9646
34/7-E-2 H	12	4283-4288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_12_4283-4288m.jpg	3378	9999-12-31	9647
34/7-E-2 H	13	4288-4293m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_13_4288-4293m.jpg	3378	9999-12-31	9648
34/7-E-2 H	14	4293-4298m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_14_4293-4298m.jpg	3378	9999-12-31	9649
34/7-E-2 H	15	4298-4303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_15_4298-4303m.jpg	3378	9999-12-31	9650
34/7-E-2 H	16	4303-4308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_16_4303-4308m.jpg	3378	9999-12-31	9651
34/7-E-2 H	17	4308-4313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_17_4308-4313m.jpg	3378	9999-12-31	9652
34/7-E-2 H	18	4312-4317m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_18_4312-4317m.jpg	3378	9999-12-31	9653
34/7-E-2 H	19	4317-4322m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_19_4317-4322m.jpg	3378	9999-12-31	9654
34/7-E-2 H	20	4322-4327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_20_4322-4327m.jpg	3378	9999-12-31	9655
34/7-E-2 H	21	4327-4332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_21_4327-4332m.jpg	3378	9999-12-31	9656
34/7-E-2 H	22	4332-4337m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_22_4332-4337m.jpg	3378	9999-12-31	9657
34/7-E-2 H	23	4337-4342m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_23_4337-4342m.jpg	3378	9999-12-31	9658
34/7-E-2 H	24	4342-4345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3378_24_4342-4345m.jpg	3378	9999-12-31	9659
34/7-I-2 H	1	2835-2840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_01_2835-2840m.jpg	2298	9999-12-31	9660
34/7-I-2 H	2	2840-2845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_02_2840-2845m.jpg	2298	9999-12-31	9661
34/7-I-2 H	3	2845-2850m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_03_2845-2850m.jpg	2298	9999-12-31	9662
34/7-I-2 H	4	2850-2855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_04_2850-2855m.jpg	2298	9999-12-31	9663
34/7-I-2 H	5	2855-2860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_05_2855-2860m.jpg	2298	9999-12-31	9664
34/7-I-2 H	6	2860-2865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_06_2860-2865m.jpg	2298	9999-12-31	9665
34/7-I-2 H	7	2865-2870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_07_2865-2870m.jpg	2298	9999-12-31	9666
34/7-I-2 H	8	2870-2875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_08_2870-2875m.jpg	2298	9999-12-31	9667
34/7-I-2 H	9	2875-2880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_09_2875-2880m.jpg	2298	9999-12-31	9668
34/7-I-2 H	10	2880-2885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_10_2880-2885m.jpg	2298	9999-12-31	9669
34/7-I-2 H	11	2885-2887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_11_2885-2887m.jpg	2298	9999-12-31	9670
34/7-I-2 H	12	3311-3316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_12_3311-3316m.jpg	2298	9999-12-31	9671
34/7-I-2 H	13	3316-3321m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_13_3316-3321m.jpg	2298	9999-12-31	9672
34/7-I-2 H	14	3321-3326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_14_3321-3326m.jpg	2298	9999-12-31	9673
34/7-I-2 H	15	3326-3327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_15_3326-3327m.jpg	2298	9999-12-31	9674
34/7-I-2 H	16	3327-3332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_16_3327-3332m.jpg	2298	9999-12-31	9675
34/7-I-2 H	17	3332-3337m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_17_3332-3337m.jpg	2298	9999-12-31	9676
34/7-I-2 H	18	3337-3339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2298_18_3337-3339m.jpg	2298	9999-12-31	9677
34/7-I-3 H	1	2590-2595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2247_1_2590-2595m.jpg	2247	9999-12-31	9678
34/7-I-3 H	2	2595-2600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2247_2_2595-2600m.jpg	2247	9999-12-31	9679
34/7-I-3 H	3	2600-2605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2247_3_2600-2605m.jpg	2247	9999-12-31	9680
34/7-I-3 H	4	2605-2608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2247_4_2605-2608m.jpg	2247	9999-12-31	9681
34/7-I-5 H	1	2921-2926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_01_2921-2926m.jpg	2171	9999-12-31	9682
34/7-I-5 H	2	2926-2931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_02_2926-2931m.jpg	2171	9999-12-31	9683
34/7-I-5 H	3	2931-2936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_03_2931-2936m.jpg	2171	9999-12-31	9684
34/7-I-5 H	4	2936-2941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_04_2936-2941m.jpg	2171	9999-12-31	9685
34/7-I-5 H	5	2941-2946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_05_2941-2946m.jpg	2171	9999-12-31	9686
34/7-I-5 H	6	2946-2949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_06_2946-2949m.jpg	2171	9999-12-31	9687
34/7-I-5 H	7	2949-2954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_07_2949-2954m.jpg	2171	9999-12-31	9688
34/7-I-5 H	8	2954-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_08_2954-2959m.jpg	2171	9999-12-31	9689
34/7-I-5 H	9	2959-2964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_09_2959-2964m.jpg	2171	9999-12-31	9690
34/7-I-5 H	10	2964-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_10_2964-2968m.jpg	2171	9999-12-31	9691
34/7-I-5 H	11	2968-2972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_11_2968-2972m.jpg	2171	9999-12-31	9692
34/7-I-5 H	12	2972-2977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_12_2972-2977m.jpg	2171	9999-12-31	9693
34/7-I-5 H	13	2977-2982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_13_2977-2982m.jpg	2171	9999-12-31	9694
34/7-I-5 H	14	2982-2987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_14_2982-2987m.jpg	2171	9999-12-31	9695
34/7-I-5 H	15	2987-2992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_15_2987-2992m.jpg	2171	9999-12-31	9696
34/7-I-5 H	16	2992-2995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_16_2992-2995m.jpg	2171	9999-12-31	9697
34/7-I-5 H	17	2995-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_17_2995-3000m.jpg	2171	9999-12-31	9698
34/7-I-5 H	18	3000-3005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_18_3000-3005m.jpg	2171	9999-12-31	9699
34/7-I-5 H	19	3005-3010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_19_3005-3010m.jpg	2171	9999-12-31	9700
34/7-I-5 H	20	3010-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_20_3010-3015m.jpg	2171	9999-12-31	9701
34/7-I-5 H	21	3015-3020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_21_3015-3020m.jpg	2171	9999-12-31	9702
34/7-I-5 H	22	3020-3024m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_22_3020-3024m.jpg	2171	9999-12-31	9703
34/7-I-5 H	23	3024-3028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_23_3024-3028m.jpg	2171	9999-12-31	9704
34/7-I-5 H	24	3029-3034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_24_3029-3034m.jpg	2171	9999-12-31	9705
34/7-I-5 H	25	3034-3039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_25_3034-3039m.jpg	2171	9999-12-31	9706
34/7-I-5 H	26	3039-3044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_26_3039-3044m.jpg	2171	9999-12-31	9707
34/7-I-5 H	27	3044-3049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_27_3044-3049m.jpg	2171	9999-12-31	9708
34/7-I-5 H	28	3049-3049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2171_28_3049-3049m.jpg	2171	9999-12-31	9709
34/7-P-11	1	4985-4989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_01_4985-4989m.jpg	2438	9999-12-31	9710
34/7-P-11	2	4989-4993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_02_4989-4993m.jpg	2438	9999-12-31	9711
34/7-P-11	3	4993-4997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_03_4993-4997m.jpg	2438	9999-12-31	9712
34/7-P-11	4	4997-5001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_04_4997-5001m.jpg	2438	9999-12-31	9713
34/7-P-11	5	5001-5005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_05_5001-5005m.jpg	2438	9999-12-31	9714
34/7-P-11	6	5005-5009m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_06_5005-5009m.jpg	2438	9999-12-31	9715
34/7-P-11	7	5009-5013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_07_5009-5013m.jpg	2438	9999-12-31	9716
34/7-P-11	8	5013-5017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_08_5013-5017m.jpg	2438	9999-12-31	9717
34/7-P-11	9	5017-5021m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_09_5017-5021m.jpg	2438	9999-12-31	9718
34/7-P-11	10	5021-5023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_10_5021-5023m.jpg	2438	9999-12-31	9719
34/7-P-11	11	5024-5028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_11_5024-5028m.jpg	2438	9999-12-31	9720
34/7-P-11	12	5028-5032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_12_5028-5032m.jpg	2438	9999-12-31	9721
34/7-P-11	13	5032-5036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_13_5032-5036m.jpg	2438	9999-12-31	9722
34/7-P-11	14	5036-5038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_14_5036-5038m.jpg	2438	9999-12-31	9723
34/7-P-11	15	5037-5041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_15_5037-5041m.jpg	2438	9999-12-31	9724
34/7-P-11	16	5041-5044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_16_5041-5044m.jpg	2438	9999-12-31	9725
34/7-P-11	17	5044-5048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_17_5044-5048m.jpg	2438	9999-12-31	9726
34/7-P-11	18	5048-5052m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_18_5048-5052m.jpg	2438	9999-12-31	9727
34/7-P-11	19	5052-5056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_19_5052-5056m.jpg	2438	9999-12-31	9728
34/7-P-11	20	5056-5060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_20_5056-5060m.jpg	2438	9999-12-31	9729
34/7-P-11	21	5060-5064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_21_5060-5064m.jpg	2438	9999-12-31	9730
34/7-P-11	22	5064-5068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_22_5064-5068m.jpg	2438	9999-12-31	9731
34/7-P-11	23	5068-5069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_23_5068-5069m.jpg	2438	9999-12-31	9732
34/7-P-11	24	5070-5074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_24_5070-5074m.jpg	2438	9999-12-31	9733
34/7-P-11	25	5074-5078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_25_5074-5078m.jpg	2438	9999-12-31	9734
34/7-P-11	26	5078-5082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_26_5078-5082m.jpg	2438	9999-12-31	9735
34/7-P-11	27	5082-5084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_27_5082-5084m.jpg	2438	9999-12-31	9736
34/7-P-11	28	5084-5088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_28_5084-5088m.jpg	2438	9999-12-31	9737
34/7-P-11	29	5088-5092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_29_5088-5092m.jpg	2438	9999-12-31	9738
34/7-P-11	30	5092-5094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2438_30_5092-5094m.jpg	2438	9999-12-31	9739
34/7-P-12	1	3492-3497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_01_3492-3497m.jpg	2246	9999-12-31	9740
34/7-P-12	2	3497-3502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_02_3497-3502m.jpg	2246	9999-12-31	9741
34/7-P-12	3	3502-3507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_03_3502-3507m.jpg	2246	9999-12-31	9742
34/7-P-12	4	3507-3510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_04_3507-3510m.jpg	2246	9999-12-31	9743
34/7-P-12	5	3735-3740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_05_3735-3740m.jpg	2246	9999-12-31	9744
34/7-P-12	6	3740-3745m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_06_3740-3745m.jpg	2246	9999-12-31	9745
34/7-P-12	7	3745-3750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_07_3745-3750m.jpg	2246	9999-12-31	9746
34/7-P-12	8	3750-3755m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_08_3750-3755m.jpg	2246	9999-12-31	9747
34/7-P-12	9	3755-3760m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_09_3755-3760m.jpg	2246	9999-12-31	9748
34/7-P-12	10	3760-3765m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_10_3760-3765m.jpg	2246	9999-12-31	9749
34/7-P-12	11	3765-3767m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_11_3765-3767m.jpg	2246	9999-12-31	9750
34/7-P-12	12	3767-3772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_12_3767-3772m.jpg	2246	9999-12-31	9751
34/7-P-12	13	3772-3776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_13_3772-3776m.jpg	2246	9999-12-31	9752
34/7-P-12	14	3776-3781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_14_3776-3781m.jpg	2246	9999-12-31	9753
34/7-P-12	15	3781-3786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_15_3781-3786m.jpg	2246	9999-12-31	9754
34/7-P-12	16	3786-3791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_16_3786-3791m.jpg	2246	9999-12-31	9755
34/7-P-12	17	3791-3791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_17_3791-3791m.jpg	2246	9999-12-31	9756
34/7-P-12	18	3791-3796m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_18_3791-3796m.jpg	2246	9999-12-31	9757
34/7-P-12	19	3796-3801m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_19_3796-3801m.jpg	2246	9999-12-31	9758
34/7-P-12	20	3801-3802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_20_3801-3802m.jpg	2246	9999-12-31	9759
34/7-P-12	21	3802-3805m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_21_3802-3805m.jpg	2246	9999-12-31	9760
34/7-P-12	22	3805-3810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_22_3805-3810m.jpg	2246	9999-12-31	9761
34/7-P-12	23	3810-3815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_23_3810-3815m.jpg	2246	9999-12-31	9762
34/7-P-12	24	3815-3820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_24_3815-3820m.jpg	2246	9999-12-31	9763
34/7-P-12	25	3820-3824m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_25_3820-3824m.jpg	2246	9999-12-31	9764
34/7-P-12	26	3874-3879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_26_3874-3879m.jpg	2246	9999-12-31	9765
34/7-P-12	27	3879-3884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_27_3879-3884m.jpg	2246	9999-12-31	9766
34/7-P-12	28	3884-3886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_28_3884-3886m.jpg	2246	9999-12-31	9767
34/7-P-12	29	3887-3892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_29_3887-3892m.jpg	2246	9999-12-31	9768
34/7-P-12	30	3892-3895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_30_3892-3895m.jpg	2246	9999-12-31	9769
34/7-P-12	31	3895-3900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_31_3895-3900m.jpg	2246	9999-12-31	9770
34/7-P-12	32	3900-3905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_32_3900-3905m.jpg	2246	9999-12-31	9771
34/7-P-12	33	3905-3909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_33_3905-3909m.jpg	2246	9999-12-31	9772
34/7-P-12	34	3910-3915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_34_3910-3915m.jpg	2246	9999-12-31	9773
34/7-P-12	35	3915-3920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_35_3915-3920m.jpg	2246	9999-12-31	9774
34/7-P-12	36	3920-3925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_36_3920-3925m.jpg	2246	9999-12-31	9775
34/7-P-12	37	3925-3930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_37_3925-3930m.jpg	2246	9999-12-31	9776
34/7-P-12	38	3930-3935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_38_3930-3935m.jpg	2246	9999-12-31	9777
34/7-P-12	39	3935-3937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_39_3935-3937m.jpg	2246	9999-12-31	9778
34/7-P-12	40	3938-3943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_40_3938-3943m.jpg	2246	9999-12-31	9779
34/7-P-12	41	3943-3948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_41_3943-3948m.jpg	2246	9999-12-31	9780
34/7-P-12	42	3948-3953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_42_3948-3953m.jpg	2246	9999-12-31	9781
34/7-P-12	43	3953-3958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_43_3953-3958m.jpg	2246	9999-12-31	9782
34/7-P-12	44	3958-3963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_44_3958-3963m.jpg	2246	9999-12-31	9783
34/7-P-12	45	3963-3966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_45_3963-3966m.jpg	2246	9999-12-31	9784
34/7-P-12	46	3965-3970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_46_3965-3970m.jpg	2246	9999-12-31	9785
34/7-P-12	47	3970-3974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2246_47_3970-3974m.jpg	2246	9999-12-31	9786
34/7-P-14	1	3104-3109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_01_3104-3109m.jpg	2352	9999-12-31	9787
34/7-P-14	2	3109-3114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_02_3109-3114m.jpg	2352	9999-12-31	9788
34/7-P-14	3	3114-3119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_03_3114-3119m.jpg	2352	9999-12-31	9789
34/7-P-14	4	3119-3124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_04_3119-3124m.jpg	2352	9999-12-31	9790
34/7-P-14	5	3124-3129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_05_3124-3129m.jpg	2352	9999-12-31	9791
34/7-P-14	6	3129-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_06_3129-3130m.jpg	2352	9999-12-31	9792
34/7-P-14	7	3130-3135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_07_3130-3135m.jpg	2352	9999-12-31	9793
34/7-P-14	8	3135-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_08_3135-3140m.jpg	2352	9999-12-31	9794
34/7-P-14	9	3140-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_09_3140-3145m.jpg	2352	9999-12-31	9795
34/7-P-14	10	3146-3151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_10_3146-3151m.jpg	2352	9999-12-31	9796
34/7-P-14	11	3151-3156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_11_3151-3156m.jpg	2352	9999-12-31	9797
34/7-P-14	12	3156-3161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_12_3156-3161m.jpg	2352	9999-12-31	9798
34/7-P-14	13	3161-3166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_13_3161-3166m.jpg	2352	9999-12-31	9799
34/7-P-14	14	3166-3171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_14_3166-3171m.jpg	2352	9999-12-31	9800
34/7-P-14	15	3171-3176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_15_3171-3176m.jpg	2352	9999-12-31	9801
34/7-P-14	16	3176-3181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_16_3176-3181m.jpg	2352	9999-12-31	9802
34/7-P-14	17	3181-3186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_17_3181-3186m.jpg	2352	9999-12-31	9803
34/7-P-14	18	3186-3191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_18_3186-3191m.jpg	2352	9999-12-31	9804
34/7-P-14	19	3191-3196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_19_3191-3196m.jpg	2352	9999-12-31	9805
34/7-P-14	20	3196-3201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_20_3196-3201m.jpg	2352	9999-12-31	9806
34/7-P-14	21	3201-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_21_3201-3202m.jpg	2352	9999-12-31	9807
34/7-P-14	22	3202-3207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_22_3202-3207m.jpg	2352	9999-12-31	9808
34/7-P-14	23	3207-3212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_23_3207-3212m.jpg	2352	9999-12-31	9809
34/7-P-14	24	3212-3217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_24_3212-3217m.jpg	2352	9999-12-31	9810
34/7-P-14	25	3217-3222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_25_3217-3222m.jpg	2352	9999-12-31	9811
34/7-P-14	26	3222-3227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_26_3222-3227m.jpg	2352	9999-12-31	9812
34/7-P-14	27	3227-3232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_27_3227-3232m.jpg	2352	9999-12-31	9813
34/7-P-14	28	3232-3237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_28_3232-3237m.jpg	2352	9999-12-31	9814
34/7-P-14	29	3237-3242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_29_3237-3242m.jpg	2352	9999-12-31	9815
34/7-P-14	30	3242-3247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_30_3242-3247m.jpg	2352	9999-12-31	9816
34/7-P-14	31	3234-3252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_31_3234-3252m.jpg	2352	9999-12-31	9817
34/7-P-14	32	3252-3257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_32_3252-3257m.jpg	2352	9999-12-31	9818
34/7-P-14	33	3257-3258m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2352_33_3257-3258m.jpg	2352	9999-12-31	9819
34/7-P-40	1	3205-3210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_01_3205-3210m.jpg	2063	9999-12-31	9820
34/7-P-40	2	3210-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_02_3210-3215m.jpg	2063	9999-12-31	9821
34/7-P-40	3	3298-3303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_03_3298-3303m.jpg	2063	9999-12-31	9822
34/7-P-40	4	3303-3307m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_04_3303-3307m.jpg	2063	9999-12-31	9823
34/7-P-40	5	3307-3312m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_05_3307-3312m.jpg	2063	9999-12-31	9824
34/7-P-40	6	3313-3317m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_06_3313-3317m.jpg	2063	9999-12-31	9825
34/7-P-40	7	3317-3322m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_07_3317-3322m.jpg	2063	9999-12-31	9826
34/7-P-40	8	3323-3327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_08_3323-3327m.jpg	2063	9999-12-31	9827
34/7-P-40	9	3327-3331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_09_3327-3331m.jpg	2063	9999-12-31	9828
34/7-P-40	10	3331-3336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_10_3331-3336m.jpg	2063	9999-12-31	9829
34/7-P-40	11	3336-3341m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_11_3336-3341m.jpg	2063	9999-12-31	9830
34/7-P-40	12	3341-3346m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_12_3341-3346m.jpg	2063	9999-12-31	9831
34/7-P-40	13	3346-3351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_13_3346-3351m.jpg	2063	9999-12-31	9832
34/7-P-40	14	3351-3356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_14_3351-3356m.jpg	2063	9999-12-31	9833
34/7-P-40	15	3356-3361m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_15_3356-3361m.jpg	2063	9999-12-31	9834
34/7-P-40	16	3361-3366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_16_3361-3366m.jpg	2063	9999-12-31	9835
34/7-P-40	17	3366-3371m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_17_3366-3371m.jpg	2063	9999-12-31	9836
34/7-P-40	18	3371-3376m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_18_3371-3376m.jpg	2063	9999-12-31	9837
34/7-P-40	19	3376-3380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2063_19_3376-3380m.jpg	2063	9999-12-31	9838
34/7-P-7	1	4012-4017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1720_1_4012-4017m.jpg	1720	9999-12-31	9839
34/7-P-7	2	4017-4022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1720_2_4017-4022m.jpg	1720	9999-12-31	9840
34/7-P-7	3	4022-4027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1720_3_4022-4027m.jpg	1720	9999-12-31	9841
34/7-P-7	4	4027-4027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1720_4_4027-4027m.jpg	1720	9999-12-31	9842
34/7-P-8	1	3445-3450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_01_3445-3450m.jpg	2065	9999-12-31	9843
34/7-P-8	2	3450-3455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_02_3450-3455m.jpg	2065	9999-12-31	9844
34/7-P-8	3	3455-3460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_03_3455-3460m.jpg	2065	9999-12-31	9845
34/7-P-8	4	3460-3465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_04_3460-3465m.jpg	2065	9999-12-31	9846
34/7-P-8	5	3465-3470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_05_3465-3470m.jpg	2065	9999-12-31	9847
34/7-P-8	6	3470-3475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_06_3470-3475m.jpg	2065	9999-12-31	9848
34/7-P-8	7	3475-3477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_07_3475-3477m.jpg	2065	9999-12-31	9849
34/7-P-8	8	3477-3482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_08_3477-3482m.jpg	2065	9999-12-31	9850
34/7-P-8	9	3482-3487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_09_3482-3487m.jpg	2065	9999-12-31	9851
34/7-P-8	10	3487-3492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_10_3487-3492m.jpg	2065	9999-12-31	9852
34/7-P-8	11	3492-3497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_11_3492-3497m.jpg	2065	9999-12-31	9853
34/7-P-8	12	3497-3498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_12_3497-3498m.jpg	2065	9999-12-31	9854
34/7-P-8	13	3504-3509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_13_3504-3509m.jpg	2065	9999-12-31	9855
34/7-P-8	14	3509-3513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_14_3509-3513m.jpg	2065	9999-12-31	9856
34/7-P-8	15	3529-3534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_15_3529-3534m.jpg	2065	9999-12-31	9857
34/7-P-8	16	3534-3539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_16_3534-3539m.jpg	2065	9999-12-31	9858
34/7-P-8	17	3539-3544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_17_3539-3544m.jpg	2065	9999-12-31	9859
34/7-P-8	18	3544-3549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_18_3544-3549m.jpg	2065	9999-12-31	9860
34/7-P-8	19	3549-3554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_19_3549-3554m.jpg	2065	9999-12-31	9861
34/7-P-8	20	3554-3556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_20_3554-3556m.jpg	2065	9999-12-31	9862
34/7-P-8	21	3556-3561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_21_3556-3561m.jpg	2065	9999-12-31	9863
34/7-P-8	22	3561-3565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_22_3561-3565m.jpg	2065	9999-12-31	9864
34/7-P-8	23	3567-3570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_23_3567-3570m.jpg	2065	9999-12-31	9865
34/7-P-8	24	3590-3595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_24_3590-3595m.jpg	2065	9999-12-31	9866
34/7-P-8	25	3595-3600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_25_3595-3600m.jpg	2065	9999-12-31	9867
34/7-P-8	26	3600-3605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_26_3600-3605m.jpg	2065	9999-12-31	9868
34/7-P-8	27	3605-3610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_27_3605-3610m.jpg	2065	9999-12-31	9869
34/7-P-8	28	3610-3615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_28_3610-3615m.jpg	2065	9999-12-31	9870
34/7-P-8	29	3616-3621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_29_3616-3621m.jpg	2065	9999-12-31	9871
34/7-P-8	30	3621-3626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_30_3621-3626m.jpg	2065	9999-12-31	9872
34/7-P-8	31	3626-3631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_31_3626-3631m.jpg	2065	9999-12-31	9873
34/7-P-8	32	3631-3636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_32_3631-3636m.jpg	2065	9999-12-31	9874
34/7-P-8	33	3636-3641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_33_3636-3641m.jpg	2065	9999-12-31	9875
34/7-P-8	34	3641-3645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_34_3641-3645m.jpg	2065	9999-12-31	9876
34/7-P-8	35	3645-3650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_35_3645-3650m.jpg	2065	9999-12-31	9877
34/7-P-8	36	3650-3655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_36_3650-3655m.jpg	2065	9999-12-31	9878
34/7-P-8	37	3655-3660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_37_3655-3660m.jpg	2065	9999-12-31	9879
34/7-P-8	38	3660-3665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2065_38_3660-3665m.jpg	2065	9999-12-31	9880
34/8-1	1	2768-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_01_2768-2774m.jpg	854	9999-12-31	9881
34/8-1	2	2774-2780m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_02_2774-2780m.jpg	854	9999-12-31	9882
34/8-1	3	2780-2786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_03_2780-2786m.jpg	854	9999-12-31	9883
34/8-1	4	2786-2792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_04_2786-2792m.jpg	854	9999-12-31	9884
34/8-1	5	2792-2794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_05_2792-2794m.jpg	854	9999-12-31	9885
34/8-1	6	2794-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_06_2794-3000m.jpg	854	9999-12-31	9886
34/8-1	7	2800-2806m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_07_2800-2806m.jpg	854	9999-12-31	9887
34/8-1	8	2806-2812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_08_2806-2812m.jpg	854	9999-12-31	9888
34/8-1	9	2812-2818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_09_2812-2818m.jpg	854	9999-12-31	9889
34/8-1	10	2818-2822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_10_2818-2822m.jpg	854	9999-12-31	9890
34/8-1	11	2822-2828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_11_2822-2828m.jpg	854	9999-12-31	9891
34/8-1	12	2828-2831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_12_2828-2831m.jpg	854	9999-12-31	9892
34/8-1	13	2840-2845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_13_2840-2845m.jpg	854	9999-12-31	9893
34/8-1	14	2845-2851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_14_2845-2851m.jpg	854	9999-12-31	9894
34/8-1	15	2851-2853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_15_2851-2853m.jpg	854	9999-12-31	9895
34/8-1	16	2854-2860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_16_2854-2860m.jpg	854	9999-12-31	9896
34/8-1	17	2860-2867m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_17_2860-2867m.jpg	854	9999-12-31	9897
34/8-1	18	2866-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_18_2866-2872m.jpg	854	9999-12-31	9898
34/8-1	19	2872-2878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_19_2872-2878m.jpg	854	9999-12-31	9899
34/8-1	20	2878-2882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_20_2878-2882m.jpg	854	9999-12-31	9900
34/8-1	21	2882-2888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_21_2882-2888m.jpg	854	9999-12-31	9901
34/8-1	22	2888-2893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_22_2888-2893m.jpg	854	9999-12-31	9902
34/8-1	23	2894-2900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_23_2894-2900m.jpg	854	9999-12-31	9903
34/8-1	24	2900-2906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_24_2900-2906m.jpg	854	9999-12-31	9904
34/8-1	25	2906-2912m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_25_2906-2912m.jpg	854	9999-12-31	9905
34/8-1	26	2912-2918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_26_2912-2918m.jpg	854	9999-12-31	9906
34/8-1	27	2918-2920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_27_2918-2920m.jpg	854	9999-12-31	9907
34/8-1	28	2920-2925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_28_2920-2925m.jpg	854	9999-12-31	9908
34/8-1	29	2926-2929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_29_2926-2929m.jpg	854	9999-12-31	9909
34/8-1	30	2929-2935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_30_2929-2935m.jpg	854	9999-12-31	9910
34/8-1	31	2935-2941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_31_2935-2941m.jpg	854	9999-12-31	9911
34/8-1	32	2941-2947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_32_2941-2947m.jpg	854	9999-12-31	9912
34/8-1	33	2947-2950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_33_2947-2950m.jpg	854	9999-12-31	9913
34/8-1	34	2947-2953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_34_2947-2953m.jpg	854	9999-12-31	9914
34/8-1	35	2953-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_35_2953-2959m.jpg	854	9999-12-31	9915
34/8-1	36	2959-2965m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_36_2959-2965m.jpg	854	9999-12-31	9916
34/8-1	37	2965-2971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_37_2965-2971m.jpg	854	9999-12-31	9917
34/8-1	38	2971-2975m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_38_2971-2975m.jpg	854	9999-12-31	9918
34/8-1	39	3062-3065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_39_3062-3065m.jpg	854	9999-12-31	9919
34/8-1	40	3044-3050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_40_3044-3050m.jpg	854	9999-12-31	9920
34/8-1	41	3050-3056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_41_3050-3056m.jpg	854	9999-12-31	9921
34/8-1	42	3056-3062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_42_3056-3062m.jpg	854	9999-12-31	9922
34/8-1	43	3294-3300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_43_3294-3300m.jpg	854	9999-12-31	9923
34/8-1	44	3300-3306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_44_3300-3306m.jpg	854	9999-12-31	9924
34/8-1	45	3306-3312m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_45_3306-3312m.jpg	854	9999-12-31	9925
34/8-1	46	3312-3316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_46_3312-3316m.jpg	854	9999-12-31	9926
34/8-1	47	3512-3518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_47_3512-3518m.jpg	854	9999-12-31	9927
34/8-1	48	3518-3521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/854_48_3518-3521m.jpg	854	9999-12-31	9928
34/8-10 S	1	1924-1925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_01_1924-1925m.jpg	2179	9999-12-31	9929
34/8-10 S	2	1926-1930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_02_1926-1930m.jpg	2179	9999-12-31	9930
34/8-10 S	3	1930-1934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_03_1930-1934m.jpg	2179	9999-12-31	9931
34/8-10 S	4	1934-1938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_04_1934-1938m.jpg	2179	9999-12-31	9932
34/8-10 S	5	1938-1941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_05_1938-1941m.jpg	2179	9999-12-31	9933
34/8-10 S	6	2874-2878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_06_2874-2878m.jpg	2179	9999-12-31	9934
34/8-10 S	7	2880-2884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_07_2880-2884m.jpg	2179	9999-12-31	9935
34/8-10 S	8	2884-2889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_08_2884-2889m.jpg	2179	9999-12-31	9936
34/8-10 S	9	2889-2894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_09_2889-2894m.jpg	2179	9999-12-31	9937
34/8-10 S	10	2894-2895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_10_2894-2895m.jpg	2179	9999-12-31	9938
34/8-10 S	11	2894-2897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_11_2894-2897m.jpg	2179	9999-12-31	9939
34/8-10 S	12	2913-2917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_12_2913-2917m.jpg	2179	9999-12-31	9940
34/8-10 S	13	2917-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_13_2917-2919m.jpg	2179	9999-12-31	9941
34/8-10 S	14	2922-2924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_14_2922-2924m.jpg	2179	9999-12-31	9942
34/8-10 S	15	2996-3001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_15_2996-3001m.jpg	2179	9999-12-31	9943
34/8-10 S	16	3001-3002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_16_3001-3002m.jpg	2179	9999-12-31	9944
34/8-10 S	17	3002-3007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_17_3002-3007m.jpg	2179	9999-12-31	9945
34/8-10 S	18	3007-3012m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_18_3007-3012m.jpg	2179	9999-12-31	9946
34/8-10 S	19	3012-3017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_19_3012-3017m.jpg	2179	9999-12-31	9947
34/8-10 S	20	3017-3022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_20_3017-3022m.jpg	2179	9999-12-31	9948
34/8-10 S	21	3022-3027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_21_3022-3027m.jpg	2179	9999-12-31	9949
34/8-10 S	22	3027-3029m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_22_3027-3029m.jpg	2179	9999-12-31	9950
34/8-10 S	23	3029-3034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_23_3029-3034m.jpg	2179	9999-12-31	9951
34/8-10 S	24	3034-3039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_24_3034-3039m.jpg	2179	9999-12-31	9952
34/8-10 S	25	3039-3042m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_25_3039-3042m.jpg	2179	9999-12-31	9953
34/8-10 S	26	3042-3047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_26_3042-3047m.jpg	2179	9999-12-31	9954
34/8-10 S	27	3047-3052m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_27_3047-3052m.jpg	2179	9999-12-31	9955
34/8-10 S	28	3052-3053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_28_3052-3053m.jpg	2179	9999-12-31	9956
34/8-10 S	29	3053-3058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_29_3053-3058m.jpg	2179	9999-12-31	9957
34/8-10 S	30	3058-3059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_30_3058-3059m.jpg	2179	9999-12-31	9958
34/8-10 S	31	3058-3063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_31_3058-3063m.jpg	2179	9999-12-31	9959
34/8-10 S	32	3063-3068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_32_3063-3068m.jpg	2179	9999-12-31	9960
34/8-10 S	33	3068-3073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_33_3068-3073m.jpg	2179	9999-12-31	9961
34/8-10 S	34	3073-3078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_34_3073-3078m.jpg	2179	9999-12-31	9962
34/8-10 S	35	3078-3083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_35_3078-3083m.jpg	2179	9999-12-31	9963
34/8-10 S	36	3083-3084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_36_3083-3084m.jpg	2179	9999-12-31	9964
34/8-10 S	37	3084-3085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_37_3084-3085m.jpg	2179	9999-12-31	9965
34/8-10 S	38	3086-3091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_38_3086-3091m.jpg	2179	9999-12-31	9966
34/8-10 S	39	3091-3096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_39_3091-3096m.jpg	2179	9999-12-31	9967
34/8-10 S	40	3096-3097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_40_3096-3097m.jpg	2179	9999-12-31	9968
34/8-10 S	41	3097-3102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_41_3097-3102m.jpg	2179	9999-12-31	9969
34/8-10 S	42	3102-3107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_42_3102-3107m.jpg	2179	9999-12-31	9970
34/8-10 S	43	3107-3111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_43_3107-3111m.jpg	2179	9999-12-31	9971
34/8-10 S	44	3114-3119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_44_3114-3119m.jpg	2179	9999-12-31	9972
34/8-10 S	45	3119-3122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_45_3119-3122m.jpg	2179	9999-12-31	9973
34/8-10 S	46	3122-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_46_3122-3123m.jpg	2179	9999-12-31	9974
34/8-10 S	47	3124-3129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_47_3124-3129m.jpg	2179	9999-12-31	9975
34/8-10 S	48	3129-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_48_3129-3130m.jpg	2179	9999-12-31	9976
34/8-10 S	49	3130-3135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_49_3130-3135m.jpg	2179	9999-12-31	9977
34/8-10 S	50	3135-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_50_3135-3140m.jpg	2179	9999-12-31	9978
34/8-10 S	51	3140-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_51_3140-3145m.jpg	2179	9999-12-31	9979
34/8-10 S	52	3145-3147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_52_3145-3147m.jpg	2179	9999-12-31	9980
34/8-10 S	53	3270-3275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_53_3270-3275m.jpg	2179	9999-12-31	9981
34/8-10 S	54	3275-3280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_54_3275-3280m.jpg	2179	9999-12-31	9982
34/8-10 S	55	3280-3282m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2179_55_3280-3282m.jpg	2179	9999-12-31	9983
34/8-11	1	2859-2864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_01_2859-2864m.jpg	2180	2013-02-02	9984
34/8-11	2	2864-2869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_02_2864-2869m.jpg	2180	2013-02-02	9985
34/8-11	3	2869-2871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_03_2869-2871m.jpg	2180	2013-02-02	9986
34/8-11	4	2971-2876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_04_2971-2876m.jpg	2180	2013-02-02	9987
34/8-11	5	2876-2881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_05_2876-2881m.jpg	2180	2013-02-02	9988
34/8-11	6	2881-2886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_06_2881-2886m.jpg	2180	2013-02-02	9989
34/8-11	7	2886-2889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_07_2886-2889m.jpg	2180	2013-02-02	9990
34/8-11	8	2889-2894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_08_2889-2894m.jpg	2180	2013-02-02	9991
34/8-11	9	2894-2896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_09_2894-2896m.jpg	2180	2013-02-02	9992
34/8-11	10	2915-2920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_10_2915-2920m.jpg	2180	2013-02-02	9993
34/8-11	11	2920-2925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_11_2920-2925m.jpg	2180	2013-02-02	9994
34/8-11	12	2925-2929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_12_2925-2929m.jpg	2180	2013-02-02	9995
34/8-11	13	2932-2937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_13_2932-2937m.jpg	2180	2013-02-02	9996
34/8-11	14	2937-2942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_14_2937-2942m.jpg	2180	2013-02-02	9997
34/8-11	15	2942-2947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_15_2942-2947m.jpg	2180	2013-02-02	9998
34/8-11	16	2947-2952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_16_2947-2952m.jpg	2180	2013-02-02	9999
34/8-11	17	2952-2957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_17_2952-2957m.jpg	2180	2013-02-02	10000
34/8-11	18	2957-2960m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_18_2957-2960m.jpg	2180	2013-02-02	10001
34/8-11	19	2960-2965m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_19_2960-2965m.jpg	2180	2013-02-02	10002
34/8-11	20	2965-2970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_20_2965-2970m.jpg	2180	2013-02-02	10003
34/8-11	21	2970-2975m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_21_2970-2975m.jpg	2180	2013-02-02	10004
34/8-11	22	2975-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_22_2975-2980m.jpg	2180	2013-02-02	10005
34/8-11	23	2980-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_23_2980-2985m.jpg	2180	2013-02-02	10006
34/8-11	24	2985-2986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_24_2985-2986m.jpg	2180	2013-02-02	10007
34/8-11	25	2986-2991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_25_2986-2991m.jpg	2180	2013-02-02	10008
34/8-11	26	2991-2996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_26_2991-2996m.jpg	2180	2013-02-02	10009
34/8-11	27	2996-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_27_2996-3000m.jpg	2180	2013-02-02	10010
34/8-11	28	3002-3005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2180_28_3002-3005m.jpg	2180	2013-02-02	10011
34/8-3	1	2839-2843m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_01_2839-2843m.jpg	940	2013-02-14	10012
34/8-3	2	2846-2851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_02_2846-2851m.jpg	940	2013-02-14	10013
34/8-3	3	2851-2856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_03_2851-2856m.jpg	940	2013-02-14	10014
34/8-3	4	2856-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_04_2856-2861m.jpg	940	2013-02-14	10015
34/8-3	5	2861-2866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_05_2861-2866m.jpg	940	2013-02-14	10016
34/8-3	6	2866-2873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_06_2866-2873m.jpg	940	2013-02-14	10017
34/8-3	7	2873-2878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_07_2873-2878m.jpg	940	2013-02-14	10018
34/8-3	8	2878-2883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_08_2878-2883m.jpg	940	2013-02-14	10019
34/8-3	9	2878-2883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_09_2878-2883m.jpg	940	2013-02-14	10020
34/8-3	10	2883-2888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_10_2883-2888m.jpg	940	2013-02-14	10021
34/8-3	11	2888-2893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_11_2888-2893m.jpg	940	2013-02-14	10022
34/8-3	12	2893-2897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_12_2893-2897m.jpg	940	2013-02-14	10023
34/8-3	13	2898-2903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_13_2898-2903m.jpg	940	2013-02-14	10024
34/8-3	14	2903-2908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_14_2903-2908m.jpg	940	2013-02-14	10025
34/8-3	15	2908-2913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_15_2908-2913m.jpg	940	2013-02-14	10026
34/8-3	16	2913-2918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_16_2913-2918m.jpg	940	2013-02-14	10027
34/8-3	17	2923-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_17_2923-2927m.jpg	940	2013-02-14	10028
34/8-3	18	2918-2923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_18_2918-2923m.jpg	940	2013-02-14	10029
34/8-3	19	2927-2932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_19_2927-2932m.jpg	940	2013-02-14	10030
34/8-3	20	2932-2937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_20_2932-2937m.jpg	940	2013-02-14	10031
34/8-3	21	2937-2942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_21_2937-2942m.jpg	940	2013-02-14	10032
34/8-3	22	2942-2947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_22_2942-2947m.jpg	940	2013-02-14	10033
34/8-3	23	2947-2953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_23_2947-2953m.jpg	940	2013-02-14	10034
34/8-3	24	2953-2957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/940_24_2953-2957m.jpg	940	2013-02-14	10035
34/8-3 A	1	3034-3039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_01_3034-3039m.jpg	1338	2013-02-02	10036
34/8-3 A	2	3039-3044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_02_3039-3044m.jpg	1338	2013-02-02	10037
34/8-3 A	3	3044-3049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_03_3044-3049m.jpg	1338	2013-02-02	10038
34/8-3 A	4	3049-3054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_04_3049-3054m.jpg	1338	2013-02-02	10039
34/8-3 A	5	3054-3059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_05_3054-3059m.jpg	1338	2013-02-02	10040
34/8-3 A	6	3059-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_06_3059-3061m.jpg	1338	2013-02-02	10041
34/8-3 A	7	3062-3067m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_07_3062-3067m.jpg	1338	2013-02-02	10042
34/8-3 A	8	3067-3072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_08_3067-3072m.jpg	1338	2013-02-02	10043
34/8-3 A	9	3072-3077m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_09_3072-3077m.jpg	1338	2013-02-02	10044
34/8-3 A	10	3077-3079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_10_3077-3079m.jpg	1338	2013-02-02	10045
34/8-3 A	11	3081-3086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_11_3081-3086m.jpg	1338	2013-02-02	10046
34/8-3 A	12	3086-3091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_12_3086-3091m.jpg	1338	2013-02-02	10047
34/8-3 A	13	3091-3096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_13_3091-3096m.jpg	1338	2013-02-02	10048
34/8-3 A	14	3096-3101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_14_3096-3101m.jpg	1338	2013-02-02	10049
34/8-3 A	15	3101-3106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_15_3101-3106m.jpg	1338	2013-02-02	10050
34/8-3 A	16	3106-3111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_16_3106-3111m.jpg	1338	2013-02-02	10051
34/8-3 A	17	3111-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_17_3111-3116m.jpg	1338	2013-02-02	10052
34/8-3 A	18	3116-3121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_18_3116-3121m.jpg	1338	2013-02-02	10053
34/8-3 A	19	3121-3126m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_19_3121-3126m.jpg	1338	2013-02-02	10054
34/8-3 A	20	3126-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_20_3126-3130m.jpg	1338	2013-02-02	10055
34/8-3 A	21	3126-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_21_3126-3130m.jpg	1338	2013-02-02	10056
34/8-3 A	22	3131-3136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_22_3131-3136m.jpg	1338	2013-02-02	10057
34/8-3 A	23	3136-3141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_23_3136-3141m.jpg	1338	2013-02-02	10058
34/8-3 A	24	3141-3146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_24_3141-3146m.jpg	1338	2013-02-02	10059
34/8-3 A	25	3146-3148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_25_3146-3148m.jpg	1338	2013-02-02	10060
34/8-3 A	26	3078-3078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_26_3078-3078m.jpg	1338	2013-02-02	10061
34/8-3 A	27	3078-3078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1338_27_3078-3078m.jpg	1338	2013-02-02	10062
34/8-4 A	1	2909-2913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_01_2909-2913m.jpg	1909	9999-12-31	10063
34/8-4 A	2	2913-2914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_02_2913-2914m.jpg	1909	9999-12-31	10064
34/8-4 A	3	2994-2998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_03_2994-2998m.jpg	1909	9999-12-31	10065
34/8-4 A	4	2998-3002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_04_2998-3002m.jpg	1909	9999-12-31	10066
34/8-4 A	5	3002-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_05_3002-3006m.jpg	1909	9999-12-31	10067
34/8-4 A	6	3006-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_06_3006-3006m.jpg	1909	9999-12-31	10068
34/8-4 A	7	3063-3067m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_07_3063-3067m.jpg	1909	9999-12-31	10069
34/8-4 A	8	3067-3071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_08_3067-3071m.jpg	1909	9999-12-31	10070
34/8-4 A	9	3071-3072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_09_3071-3072m.jpg	1909	9999-12-31	10071
34/8-4 A	10	3072-3076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_10_3072-3076m.jpg	1909	9999-12-31	10072
34/8-4 A	11	3076-3080m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_11_3076-3080m.jpg	1909	9999-12-31	10073
34/8-4 A	12	3080-3084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_12_3080-3084m.jpg	1909	9999-12-31	10074
34/8-4 A	13	3084-3087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_13_3084-3087m.jpg	1909	9999-12-31	10075
34/8-4 A	14	3088-3092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_14_3088-3092m.jpg	1909	9999-12-31	10076
34/8-4 A	15	3092-3096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_15_3092-3096m.jpg	1909	9999-12-31	10077
34/8-4 A	16	3096-3100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_16_3096-3100m.jpg	1909	9999-12-31	10078
34/8-4 A	17	3100-3102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_17_3100-3102m.jpg	1909	9999-12-31	10079
34/8-4 A	18	3103-3107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_18_3103-3107m.jpg	1909	9999-12-31	10080
34/8-4 A	19	3107-3111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_19_3107-3111m.jpg	1909	9999-12-31	10081
34/8-4 A	20	3111-3112m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_20_3111-3112m.jpg	1909	9999-12-31	10082
34/8-4 A	21	3113-3117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_21_3113-3117m.jpg	1909	9999-12-31	10083
34/8-4 A	22	3118-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_22_3118-3123m.jpg	1909	9999-12-31	10084
34/8-4 A	23	3123-3128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_23_3123-3128m.jpg	1909	9999-12-31	10085
34/8-4 A	24	3128-3133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_24_3128-3133m.jpg	1909	9999-12-31	10086
34/8-4 A	25	3133-3134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_25_3133-3134m.jpg	1909	9999-12-31	10087
34/8-4 A	26	3135-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_26_3135-3140m.jpg	1909	9999-12-31	10088
34/8-4 A	27	3140-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_27_3140-3145m.jpg	1909	9999-12-31	10089
34/8-4 A	28	3145-3146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_28_3145-3146m.jpg	1909	9999-12-31	10090
34/8-4 A	29	3146-3151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_29_3146-3151m.jpg	1909	9999-12-31	10091
34/8-4 A	30	3151-3154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_30_3151-3154m.jpg	1909	9999-12-31	10092
34/8-4 A	31	3156-3161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_31_3156-3161m.jpg	1909	9999-12-31	10093
34/8-4 A	32	3161-3166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_32_3161-3166m.jpg	1909	9999-12-31	10094
34/8-4 A	33	3166-3171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_33_3166-3171m.jpg	1909	9999-12-31	10095
34/8-4 A	34	3171-3176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_34_3171-3176m.jpg	1909	9999-12-31	10096
34/8-4 A	35	3176-3181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_35_3176-3181m.jpg	1909	9999-12-31	10097
34/8-4 A	36	3181-3182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_36_3181-3182m.jpg	1909	9999-12-31	10098
34/8-4 A	37	3183-3188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_37_3183-3188m.jpg	1909	9999-12-31	10099
34/8-4 A	38	3188-3193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_38_3188-3193m.jpg	1909	9999-12-31	10100
34/8-4 A	39	3193-3196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_39_3193-3196m.jpg	1909	9999-12-31	10101
34/8-4 A	40	3197-3198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_40_3197-3198m.jpg	1909	9999-12-31	10102
34/8-4 A	41	3198-3201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_41_3198-3201m.jpg	1909	9999-12-31	10103
34/8-4 A	42	3247-3252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_42_3247-3252m.jpg	1909	9999-12-31	10104
34/8-4 A	43	3252-3257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_43_3252-3257m.jpg	1909	9999-12-31	10105
34/8-4 A	44	3257-3258m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_44_3257-3258m.jpg	1909	9999-12-31	10106
34/8-4 A	45	3329-3334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_45_3329-3334m.jpg	1909	9999-12-31	10107
34/8-4 A	46	3334-3339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_46_3334-3339m.jpg	1909	9999-12-31	10108
34/8-4 A	47	3339-3342m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1909_47_3339-3342m.jpg	1909	9999-12-31	10109
34/8-4 S	1	3005-3010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_01_3005-3010m.jpg	1683	9999-12-31	10110
34/8-4 S	2	3010-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_02_3010-3015m.jpg	1683	9999-12-31	10111
34/8-4 S	3	3015-3019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_03_3015-3019m.jpg	1683	9999-12-31	10112
34/8-4 S	4	3067-3072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_04_3067-3072m.jpg	1683	9999-12-31	10113
34/8-4 S	5	3072-3077m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_05_3072-3077m.jpg	1683	9999-12-31	10114
34/8-4 S	6	3077-3082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_06_3077-3082m.jpg	1683	9999-12-31	10115
34/8-4 S	7	3082-3084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_07_3082-3084m.jpg	1683	9999-12-31	10116
34/8-4 S	8	3096-3101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_08_3096-3101m.jpg	1683	9999-12-31	10117
34/8-4 S	9	3101-3106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_09_3101-3106m.jpg	1683	9999-12-31	10118
34/8-4 S	10	3106-3111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_10_3106-3111m.jpg	1683	9999-12-31	10119
34/8-4 S	11	3111-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_11_3111-3116m.jpg	1683	9999-12-31	10120
34/8-4 S	12	3116-3121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_12_3116-3121m.jpg	1683	9999-12-31	10121
34/8-4 S	13	3121-3122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_13_3121-3122m.jpg	1683	9999-12-31	10122
34/8-4 S	14	3123-3128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_14_3123-3128m.jpg	1683	9999-12-31	10123
34/8-4 S	15	3128-3133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_15_3128-3133m.jpg	1683	9999-12-31	10124
34/8-4 S	16	3133-3138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_16_3133-3138m.jpg	1683	9999-12-31	10125
34/8-4 S	17	3138-3142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_17_3138-3142m.jpg	1683	9999-12-31	10126
34/8-4 S	18	3176-3181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_18_3176-3181m.jpg	1683	9999-12-31	10127
34/8-4 S	19	3181-3186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_19_3181-3186m.jpg	1683	9999-12-31	10128
34/8-4 S	20	3186-3188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_20_3186-3188m.jpg	1683	9999-12-31	10129
34/8-4 S	21	3190-3195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_21_3190-3195m.jpg	1683	9999-12-31	10130
34/8-4 S	22	3195-3200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_22_3195-3200m.jpg	1683	9999-12-31	10131
34/8-4 S	23	3200-3205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_23_3200-3205m.jpg	1683	9999-12-31	10132
34/8-4 S	24	3205-3207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_24_3205-3207m.jpg	1683	9999-12-31	10133
34/8-4 S	25	3208-3213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_25_3208-3213m.jpg	1683	9999-12-31	10134
34/8-4 S	26	3213-3218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_26_3213-3218m.jpg	1683	9999-12-31	10135
34/8-4 S	27	3218-3223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_27_3218-3223m.jpg	1683	9999-12-31	10136
34/8-4 S	28	3223-3228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_28_3223-3228m.jpg	1683	9999-12-31	10137
34/8-4 S	29	3228-3233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_29_3228-3233m.jpg	1683	9999-12-31	10138
34/8-4 S	30	3233-3235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_30_3233-3235m.jpg	1683	9999-12-31	10139
34/8-4 S	31	3255-3260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_31_3255-3260m.jpg	1683	9999-12-31	10140
34/8-4 S	32	3260-3265m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_32_3260-3265m.jpg	1683	9999-12-31	10141
34/8-4 S	33	3265-3270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_33_3265-3270m.jpg	1683	9999-12-31	10142
34/8-4 S	34	3270-3272m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_34_3270-3272m.jpg	1683	9999-12-31	10143
34/8-4 S	35	3276-3281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_35_3276-3281m.jpg	1683	9999-12-31	10144
34/8-4 S	36	3281-3285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_36_3281-3285m.jpg	1683	9999-12-31	10145
34/8-4 S	37	3292-3297m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_37_3292-3297m.jpg	1683	9999-12-31	10146
34/8-4 S	38	3297-3302m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_38_3297-3302m.jpg	1683	9999-12-31	10147
34/8-4 S	39	3302-3307m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_39_3302-3307m.jpg	1683	9999-12-31	10148
34/8-4 S	40	3307-3312m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_40_3307-3312m.jpg	1683	9999-12-31	10149
34/8-4 S	41	3312-3317m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_41_3312-3317m.jpg	1683	9999-12-31	10150
34/8-4 S	42	3317-3318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_42_3317-3318m.jpg	1683	9999-12-31	10151
34/8-4 S	43	3319-3324m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_43_3319-3324m.jpg	1683	9999-12-31	10152
34/8-4 S	44	3324-3329m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_44_3324-3329m.jpg	1683	9999-12-31	10153
34/8-4 S	45	3329-3332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_45_3329-3332m.jpg	1683	9999-12-31	10154
34/8-4 S	46	3333-3338m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_46_3333-3338m.jpg	1683	9999-12-31	10155
34/8-4 S	47	3338-3343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_47_3338-3343m.jpg	1683	9999-12-31	10156
34/8-4 S	48	3343-3348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_48_3343-3348m.jpg	1683	9999-12-31	10157
34/8-4 S	49	3348-3353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_49_3348-3353m.jpg	1683	9999-12-31	10158
34/8-4 S	50	3353-3358m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_50_3353-3358m.jpg	1683	9999-12-31	10159
34/8-4 S	51	3358-3359m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_51_3358-3359m.jpg	1683	9999-12-31	10160
34/8-4 S	52	3385-3390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_52_3385-3390m.jpg	1683	9999-12-31	10161
34/8-4 S	53	3390-3395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_53_3390-3395m.jpg	1683	9999-12-31	10162
34/8-4 S	54	3395-3400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_54_3395-3400m.jpg	1683	9999-12-31	10163
34/8-4 S	55	3400-3405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_55_3400-3405m.jpg	1683	9999-12-31	10164
34/8-4 S	56	3405-3410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_56_3405-3410m.jpg	1683	9999-12-31	10165
34/8-4 S	57	3410-3412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_57_3410-3412m.jpg	1683	9999-12-31	10166
34/8-4 S	58	3412-3417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_58_3412-3417m.jpg	1683	9999-12-31	10167
34/8-4 S	59	3417-3422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_59_3417-3422m.jpg	1683	9999-12-31	10168
34/8-4 S	60	3422-3427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_60_3422-3427m.jpg	1683	9999-12-31	10169
34/8-4 S	61	3427-3432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_61_3427-3432m.jpg	1683	9999-12-31	10170
34/8-4 S	62	3432-3437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_62_3432-3437m.jpg	1683	9999-12-31	10171
34/8-4 S	63	3437-3438m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_63_3437-3438m.jpg	1683	9999-12-31	10172
34/8-4 S	64	3439-3444m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_64_3439-3444m.jpg	1683	9999-12-31	10173
34/8-4 S	65	3444-3449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_65_3444-3449m.jpg	1683	9999-12-31	10174
34/8-4 S	66	3449-3454m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_66_3449-3454m.jpg	1683	9999-12-31	10175
34/8-4 S	67	3454-3459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_67_3454-3459m.jpg	1683	9999-12-31	10176
34/8-4 S	68	3459-3464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_68_3459-3464m.jpg	1683	9999-12-31	10177
34/8-4 S	69	3464-3465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_69_3464-3465m.jpg	1683	9999-12-31	10178
34/8-4 S	70	3464-3471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_70_3464-3471m.jpg	1683	9999-12-31	10179
34/8-4 S	71	3471-3476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_71_3471-3476m.jpg	1683	9999-12-31	10180
34/8-4 S	72	3476-3481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_72_3476-3481m.jpg	1683	9999-12-31	10181
34/8-4 S	73	3481-3485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_73_3481-3485m.jpg	1683	9999-12-31	10182
34/8-4 S	74	4044-4049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_74_4044-4049m.jpg	1683	9999-12-31	10183
34/8-4 S	75	4049-4054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_75_4049-4054m.jpg	1683	9999-12-31	10184
34/8-4 S	76	4054-4059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_76_4054-4059m.jpg	1683	9999-12-31	10185
34/8-4 S	77	4059-4064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_77_4059-4064m.jpg	1683	9999-12-31	10186
34/8-4 S	78	4064-4069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_78_4064-4069m.jpg	1683	9999-12-31	10187
34/8-4 S	79	4069-4071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1683_79_4069-4071m.jpg	1683	9999-12-31	10188
34/8-5	1	2855-2860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_01_2855-2860m.jpg	1719	2013-02-02	10189
34/8-5	2	2860-2865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_02_2860-2865m.jpg	1719	2013-02-02	10190
34/8-5	3	2865-2870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_03_2865-2870m.jpg	1719	2013-02-02	10191
34/8-5	4	2870-2875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_04_2870-2875m.jpg	1719	2013-02-02	10192
34/8-5	5	2875-2880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_05_2875-2880m.jpg	1719	2013-02-02	10193
34/8-5	6	2880-2885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_06_2880-2885m.jpg	1719	2013-02-02	10194
34/8-5	7	2885-2890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_07_2885-2890m.jpg	1719	2013-02-02	10195
34/8-5	8	2890-2895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_08_2890-2895m.jpg	1719	2013-02-02	10196
34/8-5	9	2895-2900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_09_2895-2900m.jpg	1719	2013-02-02	10197
34/8-5	10	2900-2905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_10_2900-2905m.jpg	1719	2013-02-02	10198
34/8-5	11	2905-2910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_11_2905-2910m.jpg	1719	2013-02-02	10199
34/8-5	12	2910-2914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_12_2910-2914m.jpg	1719	2013-02-02	10200
34/8-5	13	2914-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_13_2914-2919m.jpg	1719	2013-02-02	10201
34/8-5	14	2919-2924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_14_2919-2924m.jpg	1719	2013-02-02	10202
34/8-5	15	2924-2929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_15_2924-2929m.jpg	1719	2013-02-02	10203
34/8-5	16	2929-2934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_16_2929-2934m.jpg	1719	2013-02-02	10204
34/8-5	17	2934-2939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_17_2934-2939m.jpg	1719	2013-02-02	10205
34/8-5	18	2939-2944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_18_2939-2944m.jpg	1719	2013-02-02	10206
34/8-5	19	2944-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_19_2944-2959m.jpg	1719	2013-02-02	10207
34/8-5	20	2949-2954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_20_2949-2954m.jpg	1719	2013-02-02	10208
34/8-5	21	2954-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_21_2954-2959m.jpg	1719	2013-02-02	10209
34/8-5	22	2959-2963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_22_2959-2963m.jpg	1719	2013-02-02	10210
34/8-5	23	2963-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_23_2963-2968m.jpg	1719	2013-02-02	10211
34/8-5	24	2968-2973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_24_2968-2973m.jpg	1719	2013-02-02	10212
34/8-5	25	2973-2978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_25_2973-2978m.jpg	1719	2013-02-02	10213
34/8-5	26	2978-2983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_26_2978-2983m.jpg	1719	2013-02-02	10214
34/8-5	27	2983-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_27_2983-2985m.jpg	1719	2013-02-02	10215
34/8-5	28	2986-2991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_28_2986-2991m.jpg	1719	2013-02-02	10216
34/8-5	29	2991-2996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_29_2991-2996m.jpg	1719	2013-02-02	10217
34/8-5	30	2996-2999m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_30_2996-2999m.jpg	1719	2013-02-02	10218
34/8-5	31	3033-3038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_31_3033-3038m.jpg	1719	2013-02-02	10219
34/8-5	32	3038-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_32_3038-3043m.jpg	1719	2013-02-02	10220
34/8-5	33	3043-3048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_33_3043-3048m.jpg	1719	2013-02-02	10221
34/8-5	34	3048-3048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_34_3048-3048m.jpg	1719	2013-02-02	10222
34/8-5	35	3354-3359m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_35_3354-3359m.jpg	1719	2013-02-02	10223
34/8-5	36	3359-3364m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_36_3359-3364m.jpg	1719	2013-02-02	10224
34/8-5	37	3364-3369m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_37_3364-3369m.jpg	1719	2013-02-02	10225
34/8-5	38	3369-3374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_38_3369-3374m.jpg	1719	2013-02-02	10226
34/8-5	39	3374-3375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_39_3374-3375m.jpg	1719	2013-02-02	10227
34/8-5	40	3406-3411m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_40_3406-3411m.jpg	1719	2013-02-02	10228
34/8-5	41	3411-3416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_41_3411-3416m.jpg	1719	2013-02-02	10229
34/8-5	42	3416-3419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1719_42_3416-3419m.jpg	1719	2013-02-02	10230
34/8-6	1	3572-3577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1842_01_3572-3577m.jpg	1842	9999-12-31	10231
34/8-6	2	3577-3582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1842_02_3577-3582m.jpg	1842	9999-12-31	10232
34/8-6	3	3582-3584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1842_03_3582-3584m.jpg	1842	9999-12-31	10233
34/8-7	1	4471-4476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1941_01_4471-4476m.jpg	1941	9999-12-31	10234
34/8-7	2	4476-4481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1941_02_4476-4481m.jpg	1941	9999-12-31	10235
34/8-7	3	4481-4486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1941_03_4481-4486m.jpg	1941	9999-12-31	10236
34/8-7	4	4486-4491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1941_04_4486-4491m.jpg	1941	9999-12-31	10237
34/8-7	5	4491-4491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1941_05_4491-4491m.jpg	1941	9999-12-31	10238
34/8-7	6	4648-4653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1941_06_4648-4653m.jpg	1941	9999-12-31	10239
34/8-7	7	4653-4656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1941_07_4653-4656m.jpg	1941	9999-12-31	10240
34/8-7	8	5118-5129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1941_08_5118-5129m.jpg	1941	9999-12-31	10241
34/8-7	9	5129-5132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1941_09_5129-5132m.jpg	1941	9999-12-31	10242
34/8-7	10	5422-5427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1941_10_5422-5427m.jpg	1941	9999-12-31	10243
34/8-7	11	5427-5429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1941_11_5427-5429m.jpg	1941	9999-12-31	10244
34/8-8	1	2885-2890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_01_2885-2890m.jpg	1969	9999-12-31	10245
34/8-8	2	2890-2895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_02_2890-2895m.jpg	1969	9999-12-31	10246
34/8-8	3	2895-2900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_03_2895-2900m.jpg	1969	9999-12-31	10247
34/8-8	4	2900-2905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_04_2900-2905m.jpg	1969	9999-12-31	10248
34/8-8	5	2905-2910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_05_2905-2910m.jpg	1969	9999-12-31	10249
34/8-8	6	2910-2912m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_06_2910-2912m.jpg	1969	9999-12-31	10250
34/8-8	7	2912-2917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_07_2912-2917m.jpg	1969	9999-12-31	10251
34/8-8	8	2917-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_08_2917-2919m.jpg	1969	9999-12-31	10252
34/8-8	9	2920-2925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_09_2920-2925m.jpg	1969	9999-12-31	10253
34/8-8	10	2925-2930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_10_2925-2930m.jpg	1969	9999-12-31	10254
34/8-8	11	2930-2935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_11_2930-2935m.jpg	1969	9999-12-31	10255
34/8-8	12	2935-2940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_12_2935-2940m.jpg	1969	9999-12-31	10256
34/8-8	13	2940-2945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_13_2940-2945m.jpg	1969	9999-12-31	10257
34/8-8	14	2945-2948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_14_2945-2948m.jpg	1969	9999-12-31	10258
34/8-8	15	2948-2953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_15_2948-2953m.jpg	1969	9999-12-31	10259
34/8-8	16	2953-2958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_16_2953-2958m.jpg	1969	9999-12-31	10260
34/8-8	17	2958-2963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_17_2958-2963m.jpg	1969	9999-12-31	10261
34/8-8	19	2963-2968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_19_2963-2968m.jpg	1969	9999-12-31	10262
34/8-8	20	2968-2973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_20_2968-2973m.jpg	1969	9999-12-31	10263
34/8-8	21	2973-2975m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_21_2973-2975m.jpg	1969	9999-12-31	10264
34/8-8	22	2976-2981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_22_2976-2981m.jpg	1969	9999-12-31	10265
34/8-8	23	2981-2986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_23_2981-2986m.jpg	1969	9999-12-31	10266
34/8-8	24	2986-2991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_24_2986-2991m.jpg	1969	9999-12-31	10267
34/8-8	25	2991-2996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_25_2991-2996m.jpg	1969	9999-12-31	10268
34/8-8	26	2996-3001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_26_2996-3001m.jpg	1969	9999-12-31	10269
34/8-8	27	3001-3004m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_27_3001-3004m.jpg	1969	9999-12-31	10270
34/8-8	28	3004-3009m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_28_3004-3009m.jpg	1969	9999-12-31	10271
34/8-8	29	3009-3014m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_29_3009-3014m.jpg	1969	9999-12-31	10272
34/8-8	30	3014-3019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_30_3014-3019m.jpg	1969	9999-12-31	10273
34/8-8	31	3019-3024m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_31_3019-3024m.jpg	1969	9999-12-31	10274
34/8-8	32	3024-3029m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_32_3024-3029m.jpg	1969	9999-12-31	10275
34/8-8	32	3073-3078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_32_3073-3078m.jpg	1969	9999-12-31	10276
34/8-8	33	3029-3031m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_33_3029-3031m.jpg	1969	9999-12-31	10277
34/8-8	34	3031-3036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_34_3031-3036m.jpg	1969	9999-12-31	10278
34/8-8	35	3036-3041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_35_3036-3041m.jpg	1969	9999-12-31	10279
34/8-8	36	3041-3046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_36_3041-3046m.jpg	1969	9999-12-31	10280
34/8-8	37	3046-3051m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_37_3046-3051m.jpg	1969	9999-12-31	10281
34/8-8	38	3051-3056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_38_3051-3056m.jpg	1969	9999-12-31	10282
34/8-8	39	3056-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_39_3056-3061m.jpg	1969	9999-12-31	10283
34/8-8	40	3061-3066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_40_3061-3066m.jpg	1969	9999-12-31	10284
34/8-8	41	3068-3073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_41_3068-3073m.jpg	1969	9999-12-31	10285
34/8-8	42	3078-3083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_42_3078-3083m.jpg	1969	9999-12-31	10286
34/8-8	43	3503-3508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_43_3503-3508m.jpg	1969	9999-12-31	10287
34/8-8	44	3508-3513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_44_3508-3513m.jpg	1969	9999-12-31	10288
34/8-8	45	3513-3517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_45_3513-3517m.jpg	1969	9999-12-31	10289
34/8-8	46	3567-3572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_46_3567-3572m.jpg	1969	9999-12-31	10290
34/8-8	47	3572-3575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1969_47_3572-3575m.jpg	1969	9999-12-31	10291
34/8-9 S	1	1109-1113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_01_1109-1113m.jpg	2029	2013-02-02	10292
34/8-9 S	2	1113-1113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_02_1113-1113m.jpg	2029	2013-02-02	10293
34/8-9 S	3	2936-2940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_03_2936-2940m.jpg	2029	2013-02-02	10294
34/8-9 S	4	2940-2944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_04_2940-2944m.jpg	2029	2013-02-02	10295
34/8-9 S	5	2944-2947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_05_2944-2947m.jpg	2029	2013-02-02	10296
34/8-9 S	6	2948-2952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_06_2948-2952m.jpg	2029	2013-02-02	10297
34/8-9 S	7	2952-2954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_07_2952-2954m.jpg	2029	2013-02-02	10298
34/8-9 S	8	3170-3174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_08_3170-3174m.jpg	2029	2013-02-02	10299
34/8-9 S	9	3174-3176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_09_3174-3176m.jpg	2029	2013-02-02	10300
34/8-9 S	10	3178-3182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_10_3178-3182m.jpg	2029	2013-02-02	10301
34/8-9 S	11	3182-3186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_11_3182-3186m.jpg	2029	2013-02-02	10302
34/8-9 S	12	3186-3190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_12_3186-3190m.jpg	2029	2013-02-02	10303
34/8-9 S	13	3190-3192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2029_13_3190-3192m.jpg	2029	2013-02-02	10304
34/8-A-1 AH	1	4440-4441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_01_4440-4441m.jpg	3141	9999-12-31	10305
34/8-A-1 AH	2	4443-4448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_02_4443-4448m.jpg	3141	9999-12-31	10306
34/8-A-1 AH	3	4448-4453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_03_4448-4453m.jpg	3141	9999-12-31	10307
34/8-A-1 AH	4	4453-4458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_04_4453-4458m.jpg	3141	9999-12-31	10308
34/8-A-1 AH	5	4458-4463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_05_4458-4463m.jpg	3141	9999-12-31	10309
34/8-A-1 AH	6	4463-4467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_06_4463-4467m.jpg	3141	9999-12-31	10310
34/8-A-1 AH	7	4468-4473m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_07_4468-4473m.jpg	3141	9999-12-31	10311
34/8-A-1 AH	8	4473-4478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_08_4473-4478m.jpg	3141	9999-12-31	10312
34/8-A-1 AH	9	4478-4481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_09_4478-4481m.jpg	3141	9999-12-31	10313
34/8-A-1 AH	10	4484-4489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_10_4484-4489m.jpg	3141	9999-12-31	10314
34/8-A-1 AH	11	4489-4492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_11_4489-4492m.jpg	3141	9999-12-31	10315
34/8-A-1 AH	12	4493-4498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_12_4493-4498m.jpg	3141	9999-12-31	10316
34/8-A-1 AH	13	4498-4498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_13_4498-4498m.jpg	3141	9999-12-31	10317
34/8-A-1 AH	14	4498-4503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_14_4498-4503m.jpg	3141	9999-12-31	10318
34/8-A-1 AH	15	4503-4507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_15_4503-4507m.jpg	3141	9999-12-31	10319
34/8-A-1 AH	16	4507-4512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_16_4507-4512m.jpg	3141	9999-12-31	10320
34/8-A-1 AH	17	4512-4517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_17_4512-4517m.jpg	3141	9999-12-31	10321
34/8-A-1 AH	18	4517-4522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_18_4517-4522m.jpg	3141	9999-12-31	10322
34/8-A-1 AH	19	4523-4527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3141_19_4523-4527m.jpg	3141	9999-12-31	10323
34/8-A-1 H	1	1069-1071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3140_01_1069-1071m.jpg	3140	9999-12-31	10324
34/8-A-1 H	2	1082-1087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3140_02_1082-1087m.jpg	3140	9999-12-31	10325
34/8-A-1 H	3	1087-1089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3140_03_1087-1089m.jpg	3140	9999-12-31	10326
34/8-A-1 H	4	1100-1104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3140_04_1100-1104m.jpg	3140	9999-12-31	10327
35/10-1	1	3329-3334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_01_3329-3334m.jpg	1822	9999-12-31	10328
35/10-1	2	3334-3339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_02_3334-3339m.jpg	1822	9999-12-31	10329
35/10-1	3	3339-3340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_03_3339-3340m.jpg	1822	9999-12-31	10330
35/10-1	4	3342-3347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_04_3342-3347m.jpg	1822	9999-12-31	10331
35/10-1	5	3347-3352m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_05_3347-3352m.jpg	1822	9999-12-31	10332
35/10-1	6	3352-3357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_06_3352-3357m.jpg	1822	9999-12-31	10333
35/10-1	7	3357-3360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_07_3357-3360m.jpg	1822	9999-12-31	10334
35/10-1	8	3360-3365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_08_3360-3365m.jpg	1822	9999-12-31	10335
35/10-1	9	3365-3370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_09_3365-3370m.jpg	1822	9999-12-31	10336
35/10-1	10	3370-3375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_10_3370-3375m.jpg	1822	9999-12-31	10337
35/10-1	11	3375-3380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_11_3375-3380m.jpg	1822	9999-12-31	10338
35/10-1	12	3380-3385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_12_3380-3385m.jpg	1822	9999-12-31	10339
35/10-1	13	3385-3388m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_13_3385-3388m.jpg	1822	9999-12-31	10340
35/10-1	14	3388-3393m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_14_3388-3393m.jpg	1822	9999-12-31	10341
35/10-1	15	3393-3396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_15_3393-3396m.jpg	1822	9999-12-31	10342
35/10-1	16	3396-3400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_16_3396-3400m.jpg	1822	9999-12-31	10343
35/10-1	17	3401-3406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_17_3401-3406m.jpg	1822	9999-12-31	10344
35/10-1	18	3406-3411m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_18_3406-3411m.jpg	1822	9999-12-31	10345
35/10-1	19	3411-3414m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_19_3411-3414m.jpg	1822	9999-12-31	10346
35/10-1	20	3415-2416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_20_3415-2416m.jpg	1822	9999-12-31	10347
35/10-1	21	3416-3419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_21_3416-3419m.jpg	1822	9999-12-31	10348
35/10-1	22	3419-3422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_22_3419-3422m.jpg	1822	9999-12-31	10349
35/10-1	23	3422-3427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_23_3422-3427m.jpg	1822	9999-12-31	10350
35/10-1	24	3427-3432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_24_3427-3432m.jpg	1822	9999-12-31	10351
35/10-1	25	3432-3437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_25_3432-3437m.jpg	1822	9999-12-31	10352
35/10-1	26	3438-3443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_26_3438-3443m.jpg	1822	9999-12-31	10353
35/10-1	27	3443-3448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_27_3443-3448m.jpg	1822	9999-12-31	10354
35/10-1	28	3448-3450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_28_3448-3450m.jpg	1822	9999-12-31	10355
35/10-1	29	3450-3455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_29_3450-3455m.jpg	1822	9999-12-31	10356
35/10-1	30	3455-3460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_30_3455-3460m.jpg	1822	9999-12-31	10357
35/10-1	31	3460-3465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_31_3460-3465m.jpg	1822	9999-12-31	10358
35/10-1	32	3465-3469m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_32_3465-3469m.jpg	1822	9999-12-31	10359
35/10-1	33	3469-3474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_33_3469-3474m.jpg	1822	9999-12-31	10360
35/10-1	34	3474-3479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_34_3474-3479m.jpg	1822	9999-12-31	10361
35/10-1	35	3479-3484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_35_3479-3484m.jpg	1822	9999-12-31	10362
35/10-1	36	3484-3486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_36_3484-3486m.jpg	1822	9999-12-31	10363
35/10-1	37	3489-3494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_37_3489-3494m.jpg	1822	9999-12-31	10364
35/10-1	38	3494-3499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_38_3494-3499m.jpg	1822	9999-12-31	10365
35/10-1	39	3499-3504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_39_3499-3504m.jpg	1822	9999-12-31	10366
35/10-1	40	3504-3509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_40_3504-3509m.jpg	1822	9999-12-31	10367
35/10-1	41	3509-3511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_41_3509-3511m.jpg	1822	9999-12-31	10368
35/10-1	42	3511-3516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_42_3511-3516m.jpg	1822	9999-12-31	10369
35/10-1	43	3516-3517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_43_3516-3517m.jpg	1822	9999-12-31	10370
35/10-1	44	3575-3580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_44_3575-3580m.jpg	1822	9999-12-31	10371
35/10-1	45	3580-3585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_45_3580-3585m.jpg	1822	9999-12-31	10372
35/10-1	46	3585-3590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_46_3585-3590m.jpg	1822	9999-12-31	10373
35/10-1	47	3590-3595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_47_3590-3595m.jpg	1822	9999-12-31	10374
35/10-1	48	3595-3600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_48_3595-3600m.jpg	1822	9999-12-31	10375
35/10-1	49	3600-3602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_49_3600-3602m.jpg	1822	9999-12-31	10376
35/10-1	50	3602-3607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_50_3602-3607m.jpg	1822	9999-12-31	10377
35/10-1	51	3607-3612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_51_3607-3612m.jpg	1822	9999-12-31	10378
35/10-1	52	3612-3617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_52_3612-3617m.jpg	1822	9999-12-31	10379
35/10-1	53	3617-3622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_53_3617-3622m.jpg	1822	9999-12-31	10380
35/10-1	54	3622-3627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_54_3622-3627m.jpg	1822	9999-12-31	10381
35/10-1	55	3627-3630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_55_3627-3630m.jpg	1822	9999-12-31	10382
35/10-1	56	3630-3635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_56_3630-3635m.jpg	1822	9999-12-31	10383
35/10-1	57	3635-3640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_57_3635-3640m.jpg	1822	9999-12-31	10384
35/10-1	58	3640-3645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_58_3640-3645m.jpg	1822	9999-12-31	10385
35/10-1	59	3645-3650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_59_3645-3650m.jpg	1822	9999-12-31	10386
35/10-1	60	3650-3655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_60_3650-3655m.jpg	1822	9999-12-31	10387
35/10-1	61	3655-3657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1822_61_3655-3657m.jpg	1822	9999-12-31	10388
35/10-2	1	1960-1965m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_01_1960-1965m.jpg	2783	9999-12-31	10389
35/10-2	2	1965-1966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_02_1965-1966m.jpg	2783	9999-12-31	10390
35/10-2	3	1966-1971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_03_1966-1971m.jpg	2783	9999-12-31	10391
35/10-2	4	1971-1974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_04_1971-1974m.jpg	2783	9999-12-31	10392
35/10-2	5	2018-2022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_05_2018-2022m.jpg	2783	9999-12-31	10393
35/10-2	6	4145-4159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_06_4145-4159m.jpg	2783	9999-12-31	10394
35/10-2	7	4159-4162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_07_4159-4162m.jpg	2783	9999-12-31	10395
35/10-2	8	4162-4167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_08_4162-4167m.jpg	2783	9999-12-31	10396
35/10-2	9	4167-4169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_09_4167-4169m.jpg	2783	9999-12-31	10397
35/10-2	10	4169-4174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_10_4169-4174m.jpg	2783	9999-12-31	10398
35/10-2	11	4174-4179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_11_4174-4179m.jpg	2783	9999-12-31	10399
35/10-2	12	4179-4184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_12_4179-4184m.jpg	2783	9999-12-31	10400
35/10-2	13	4184-4185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_13_4184-4185m.jpg	2783	9999-12-31	10401
35/10-2	14	4185-4190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_14_4185-4190m.jpg	2783	9999-12-31	10402
35/10-2	15	4190-4195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_15_4190-4195m.jpg	2783	9999-12-31	10403
35/10-2	16	4195-4200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_16_4195-4200m.jpg	2783	9999-12-31	10404
35/10-2	17	4200-4205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_17_4200-4205m.jpg	2783	9999-12-31	10405
35/10-2	18	4205-4206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_18_4205-4206m.jpg	2783	9999-12-31	10406
35/10-2	19	4207-4212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_19_4207-4212m.jpg	2783	9999-12-31	10407
35/10-2	20	4212-4217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_20_4212-4217m.jpg	2783	9999-12-31	10408
35/10-2	21	4117-4222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_21_4117-4222m.jpg	2783	9999-12-31	10409
35/10-2	22	4222-4223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_22_4222-4223m.jpg	2783	9999-12-31	10410
35/10-2	23	4224-4229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_23_4224-4229m.jpg	2783	9999-12-31	10411
35/10-2	24	4229-4234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_24_4229-4234m.jpg	2783	9999-12-31	10412
35/10-2	25	4234-4238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2783_25_4234-4238m.jpg	2783	9999-12-31	10413
35/11-1	1	2552-2556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/128_01_2552-2556m.jpg	128	9999-12-31	10414
35/11-1	2	2556-2560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/128_02_2556-2560m.jpg	128	9999-12-31	10415
35/11-1	3	2560-2562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/128_03_2560-2562m.jpg	128	9999-12-31	10416
35/11-10	1	879-880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_01_879-880m.jpg	3042	9999-12-31	10417
35/11-10	2	1975-1980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_02_1975-1980m.jpg	3042	9999-12-31	10418
35/11-10	3	1980-1985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_03_1980-1985m.jpg	3042	9999-12-31	10419
35/11-10	4	1985-1990m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_04_1985-1990m.jpg	3042	9999-12-31	10420
35/11-10	5	1990-1995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_05_1990-1995m.jpg	3042	9999-12-31	10421
35/11-10	6	1995-2000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_06_1995-2000m.jpg	3042	9999-12-31	10422
35/11-10	7	2000-2005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_07_2000-2005m.jpg	3042	9999-12-31	10423
35/11-10	8	2005-2007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_08_2005-2007m.jpg	3042	9999-12-31	10424
35/11-10	9	2008-2013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_09_2008-2013m.jpg	3042	9999-12-31	10425
35/11-10	10	2013-2018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_10_2013-2018m.jpg	3042	9999-12-31	10426
35/11-10	11	2018-2023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_11_2018-2023m.jpg	3042	9999-12-31	10427
35/11-10	12	2023-2028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_12_2023-2028m.jpg	3042	9999-12-31	10428
35/11-10	13	2028-2033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_13_2028-2033m.jpg	3042	9999-12-31	10429
35/11-10	14	2033-2038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_14_2033-2038m.jpg	3042	9999-12-31	10430
35/11-10	15	2038-2040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_15_2038-2040m.jpg	3042	9999-12-31	10431
35/11-10	16	2041-2046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_16_2041-2046m.jpg	3042	9999-12-31	10432
35/11-10	17	2046-2051m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_17_2046-2051m.jpg	3042	9999-12-31	10433
35/11-10	18	2051-2056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_18_2051-2056m.jpg	3042	9999-12-31	10434
35/11-10	19	2056-2061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_19_2056-2061m.jpg	3042	9999-12-31	10435
35/11-10	20	2061-2066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_20_2061-2066m.jpg	3042	9999-12-31	10436
35/11-10	21	2066-2071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_21_2066-2071m.jpg	3042	9999-12-31	10437
35/11-10	22	2071-2076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_22_2071-2076m.jpg	3042	9999-12-31	10438
35/11-10	23	2076-2078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_23_2076-2078m.jpg	3042	9999-12-31	10439
35/11-10	24	2268-2273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_24_2268-2273m.jpg	3042	9999-12-31	10440
35/11-10	25	2273-2278m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_25_2273-2278m.jpg	3042	9999-12-31	10441
35/11-10	26	2278-2283m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_26_2278-2283m.jpg	3042	9999-12-31	10442
35/11-10	27	2283-2288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_27_2283-2288m.jpg	3042	9999-12-31	10443
35/11-10	28	2288-2293m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_28_2288-2293m.jpg	3042	9999-12-31	10444
35/11-10	29	2293-2295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_29_2293-2295m.jpg	3042	9999-12-31	10445
35/11-10	30	2296-2301m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_30_2296-2301m.jpg	3042	9999-12-31	10446
35/11-10	31	2301-2306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_31_2301-2306m.jpg	3042	9999-12-31	10447
35/11-10	32	2306-2311m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_32_2306-2311m.jpg	3042	9999-12-31	10448
35/11-10	33	2311-2314m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_33_2311-2314m.jpg	3042	9999-12-31	10449
35/11-10	34	2676-2677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_34_2676-2677m.jpg	3042	9999-12-31	10450
35/11-10	35	2681-2686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_35_2681-2686m.jpg	3042	9999-12-31	10451
35/11-10	36	2686-2691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_36_2686-2691m.jpg	3042	9999-12-31	10452
35/11-10	37	2691-2696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_37_2691-2696m.jpg	3042	9999-12-31	10453
35/11-10	38	2696-2701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_38_2696-2701m.jpg	3042	9999-12-31	10454
35/11-10	39	2701-2706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_39_2701-2706m.jpg	3042	9999-12-31	10455
35/11-10	40	2706-2711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_40_2706-2711m.jpg	3042	9999-12-31	10456
35/11-10	41	2711-2716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_41_2711-2716m.jpg	3042	9999-12-31	10457
35/11-10	42	2716-2721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_42_2716-2721m.jpg	3042	9999-12-31	10458
35/11-10	43	2721-2711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_43_2721-2711m.jpg	3042	9999-12-31	10459
35/11-10	44	2623-2728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_44_2623-2728m.jpg	3042	9999-12-31	10460
35/11-10	45	2728-2733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_45_2728-2733m.jpg	3042	9999-12-31	10461
35/11-10	46	2733-2738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_46_2733-2738m.jpg	3042	9999-12-31	10462
35/11-10	47	2738-2743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_47_2738-2743m.jpg	3042	9999-12-31	10463
35/11-10	48	2743-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_48_2743-2748m.jpg	3042	9999-12-31	10464
35/11-10	49	2748-2753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_49_2748-2753m.jpg	3042	9999-12-31	10465
35/11-10	50	2753-2758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_50_2753-2758m.jpg	3042	9999-12-31	10466
35/11-10	51	2758-2763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_51_2758-2763m.jpg	3042	9999-12-31	10467
35/11-10	52	2763-2768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_52_2763-2768m.jpg	3042	9999-12-31	10468
35/11-10	53	2768-2769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3042_53_2768-2769m.jpg	3042	9999-12-31	10469
35/11-11	1	2550-2551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_01_2550-2551m.jpg	3356	9999-12-31	10470
35/11-11	2	2552-2557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_02_2552-2557m.jpg	3356	9999-12-31	10471
35/11-11	3	2557-2562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_03_2557-2562m.jpg	3356	9999-12-31	10472
35/11-11	4	2562-2567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_04_2562-2567m.jpg	3356	9999-12-31	10473
35/11-11	5	2567-2569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_05_2567-2569m.jpg	3356	9999-12-31	10474
35/11-11	6	2570-2575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_06_2570-2575m.jpg	3356	9999-12-31	10475
35/11-11	7	2575-2580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_07_2575-2580m.jpg	3356	9999-12-31	10476
35/11-11	8	2580-2585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_08_2580-2585m.jpg	3356	9999-12-31	10477
35/11-11	9	2585-2590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_09_2585-2590m.jpg	3356	9999-12-31	10478
35/11-11	10	2590-2595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_10_2590-2595m.jpg	3356	9999-12-31	10479
35/11-11	11	2595-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_11_2595-2597m.jpg	3356	9999-12-31	10480
35/11-11	12	2597-2602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_12_2597-2602m.jpg	3356	9999-12-31	10481
35/11-11	13	2602-2607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_13_2602-2607m.jpg	3356	9999-12-31	10482
35/11-11	14	2607-2612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_14_2607-2612m.jpg	3356	9999-12-31	10483
35/11-11	15	2612-2617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_15_2612-2617m.jpg	3356	9999-12-31	10484
35/11-11	16	2617-2620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_16_2617-2620m.jpg	3356	9999-12-31	10485
35/11-11	17	2621-2626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_17_2621-2626m.jpg	3356	9999-12-31	10486
35/11-11	18	2626-2631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_18_2626-2631m.jpg	3356	9999-12-31	10487
35/11-11	19	2631-2636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_19_2631-2636m.jpg	3356	9999-12-31	10488
35/11-11	20	2636-2638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_20_2636-2638m.jpg	3356	9999-12-31	10489
35/11-11	21	2638-2643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_21_2638-2643m.jpg	3356	9999-12-31	10490
35/11-11	22	2643-2646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_22_2643-2646m.jpg	3356	9999-12-31	10491
35/11-11	23	2695-2700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_23_2695-2700m.jpg	3356	9999-12-31	10492
35/11-11	24	2700-2705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_24_2700-2705m.jpg	3356	9999-12-31	10493
35/11-11	25	2705-2710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_25_2705-2710m.jpg	3356	9999-12-31	10494
35/11-11	26	2710-2715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_26_2710-2715m.jpg	3356	9999-12-31	10495
35/11-11	27	2715-2720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_27_2715-2720m.jpg	3356	9999-12-31	10496
35/11-11	28	2720-2721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_28_2720-2721m.jpg	3356	9999-12-31	10497
35/11-11	29	2723-2728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_29_2723-2728m.jpg	3356	9999-12-31	10498
35/11-11	30	2728-2733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_30_2728-2733m.jpg	3356	9999-12-31	10499
35/11-11	31	2733-2738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_31_2733-2738m.jpg	3356	9999-12-31	10500
35/11-11	32	2738-2743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_32_2738-2743m.jpg	3356	9999-12-31	10501
35/11-11	33	2743-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_33_2743-2748m.jpg	3356	9999-12-31	10502
35/11-11	34	2748-2753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_34_2748-2753m.jpg	3356	9999-12-31	10503
35/11-11	35	2753-2758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_35_2753-2758m.jpg	3356	9999-12-31	10504
35/11-11	36	2758-2763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_36_2758-2763m.jpg	3356	9999-12-31	10505
35/11-11	37	2763-2767m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_37_2763-2767m.jpg	3356	9999-12-31	10506
35/11-11	38	3085-3090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_38_3085-3090m.jpg	3356	9999-12-31	10507
35/11-11	39	3090-3095m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_39_3090-3095m.jpg	3356	9999-12-31	10508
35/11-11	40	3095-3100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_40_3095-3100m.jpg	3356	9999-12-31	10509
35/11-11	41	3100-3102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3356_41_3100-3102m.jpg	3356	9999-12-31	10510
35/11-12	1	3120-3125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4054_01_3120-3125m.jpg	4054	9999-12-31	10511
35/11-12	2	3125-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4054_02_3125-3130m.jpg	4054	9999-12-31	10512
35/11-12	3	3130-3135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4054_03_3130-3135m.jpg	4054	9999-12-31	10513
35/11-12	4	3135-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4054_04_3135-3140m.jpg	4054	9999-12-31	10514
35/11-12	5	3140-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4054_05_3140-3145m.jpg	4054	9999-12-31	10515
35/11-12	6	3145-3146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4054_06_3145-3146m.jpg	4054	9999-12-31	10516
35/11-3 S	1	1987-1992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_01_1987-1992m.jpg	1356	9999-12-31	10517
35/11-3 S	1	2027-2032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_01_2027-2032m.jpg	1356	9999-12-31	10518
35/11-3 S	2	1992-1996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_02_1992-1996m.jpg	1356	9999-12-31	10519
35/11-3 S	2	2032-2035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_02_2032-2035m.jpg	1356	9999-12-31	10520
35/11-3 S	3	3082-3086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_03_3082-3086m.jpg	1356	9999-12-31	10521
35/11-3 S	3	4040-4045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_03_4040-4045m.jpg	1356	9999-12-31	10522
35/11-3 S	4	3446-3451m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_04_3446-3451m.jpg	1356	9999-12-31	10523
35/11-3 S	4	4045-4047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_04_4045-4047m.jpg	1356	9999-12-31	10524
35/11-3 S	5	3451-3456m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_05_3451-3456m.jpg	1356	9999-12-31	10525
35/11-3 S	5	4048-4050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_05_4048-4050m.jpg	1356	9999-12-31	10526
35/11-3 S	6	3456-3461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_06_3456-3461m.jpg	1356	9999-12-31	10527
35/11-3 S	6	4054-4059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_06_4054-4059m.jpg	1356	9999-12-31	10528
35/11-3 S	7	3461-3466m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_07_3461-3466m.jpg	1356	9999-12-31	10529
35/11-3 S	7	4059-4060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_07_4059-4060m.jpg	1356	9999-12-31	10530
35/11-3 S	8	3466-3471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_08_3466-3471m.jpg	1356	9999-12-31	10531
35/11-3 S	8	4060-4065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_08_4060-4065m.jpg	1356	9999-12-31	10532
35/11-3 S	9	3471-3472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_09_3471-3472m.jpg	1356	9999-12-31	10533
35/11-3 S	9	4065-4068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_09_4065-4068m.jpg	1356	9999-12-31	10534
35/11-3 S	10	3085-3085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_10_3085-3085m.jpg	1356	9999-12-31	10535
35/11-3 S	10	4071-4072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_10_4071-4072m.jpg	1356	9999-12-31	10536
35/11-3 S	11	3085-3085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_11_3085-3085m.jpg	1356	9999-12-31	10537
35/11-3 S	11	4073-4078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_11_4073-4078m.jpg	1356	9999-12-31	10538
35/11-3 S	12	3085-2085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_12_3085-2085m.jpg	1356	9999-12-31	10539
35/11-3 S	12	4078-4078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_12_4078-4078m.jpg	1356	9999-12-31	10540
35/11-3 S	13	3085-3085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_13_3085-3085m.jpg	1356	9999-12-31	10541
35/11-3 S	13	4078-4082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_13_4078-4082m.jpg	1356	9999-12-31	10542
35/11-3 S	14	4082-4085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_14_4082-4085m.jpg	1356	9999-12-31	10543
35/11-3 S	15	4095-4100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_15_4095-4100m.jpg	1356	9999-12-31	10544
35/11-3 S	16	4100-4105m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_16_4100-4105m.jpg	1356	9999-12-31	10545
35/11-3 S	17	4105-4110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_17_4105-4110m.jpg	1356	9999-12-31	10546
35/11-3 S	18	4110-4111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_18_4110-4111m.jpg	1356	9999-12-31	10547
35/11-3 S	19	4142-4147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_19_4142-4147m.jpg	1356	9999-12-31	10548
35/11-3 S	20	4147-4152m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_20_4147-4152m.jpg	1356	9999-12-31	10549
35/11-3 S	21	4152-4157m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_21_4152-4157m.jpg	1356	9999-12-31	10550
35/11-3 S	22	4157-5162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_22_4157-5162m.jpg	1356	9999-12-31	10551
35/11-3 S	23	4162-4167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_23_4162-4167m.jpg	1356	9999-12-31	10552
35/11-3 S	24	4167-4172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_24_4167-4172m.jpg	1356	9999-12-31	10553
35/11-3 S	25	4172-4177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_25_4172-4177m.jpg	1356	9999-12-31	10554
35/11-3 S	26	4177-4182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_26_4177-4182m.jpg	1356	9999-12-31	10555
35/11-3 S	27	4182-4183m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_27_4182-4183m.jpg	1356	9999-12-31	10556
35/11-3 S	28	4480-4481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1356_28_4480-4481m.jpg	1356	9999-12-31	10557
35/11-4	1	1977-1981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_01_1977-1981m.jpg	1523	9999-12-31	10558
35/11-4	2	1982-1987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_02_1982-1987m.jpg	1523	9999-12-31	10559
35/11-4	3	1987-1992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_03_1987-1992m.jpg	1523	9999-12-31	10560
35/11-4	4	1992-1997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_04_1992-1997m.jpg	1523	9999-12-31	10561
35/11-4	5	1997-2002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_05_1997-2002m.jpg	1523	9999-12-31	10562
35/11-4	6	2002-2007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_06_2002-2007m.jpg	1523	9999-12-31	10563
35/11-4	7	2007-2013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_07_2007-2013m.jpg	1523	9999-12-31	10564
35/11-4	8	2013-2018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_08_2013-2018m.jpg	1523	9999-12-31	10565
35/11-4	9	2018-2023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_09_2018-2023m.jpg	1523	9999-12-31	10566
35/11-4	10	2023-2027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_10_2023-2027m.jpg	1523	9999-12-31	10567
35/11-4	11	2030-2035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_11_2030-2035m.jpg	1523	9999-12-31	10568
35/11-4	12	2035-2040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_12_2035-2040m.jpg	1523	9999-12-31	10569
35/11-4	13	2045-2050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_13_2045-2050m.jpg	1523	9999-12-31	10570
35/11-4	14	2040-2045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_14_2040-2045m.jpg	1523	9999-12-31	10571
35/11-4	15	2050-2055m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_15_2050-2055m.jpg	1523	9999-12-31	10572
35/11-4	16	2055-2057m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_16_2055-2057m.jpg	1523	9999-12-31	10573
35/11-4	17	2058-2063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_17_2058-2063m.jpg	1523	9999-12-31	10574
35/11-4	18	2063-2068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_18_2063-2068m.jpg	1523	9999-12-31	10575
35/11-4	19	2068-2073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_19_2068-2073m.jpg	1523	9999-12-31	10576
35/11-4	20	2073-2078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_20_2073-2078m.jpg	1523	9999-12-31	10577
35/11-4	21	2078-2083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_21_2078-2083m.jpg	1523	9999-12-31	10578
35/11-4	22	2285-2289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_22_2285-2289m.jpg	1523	9999-12-31	10579
35/11-4	23	2289-2294m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_23_2289-2294m.jpg	1523	9999-12-31	10580
35/11-4	24	2294-2299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_24_2294-2299m.jpg	1523	9999-12-31	10581
35/11-4	25	2299-2303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_25_2299-2303m.jpg	1523	9999-12-31	10582
35/11-4	26	2303-2308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_26_2303-2308m.jpg	1523	9999-12-31	10583
35/11-4	27	2308-2313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_27_2308-2313m.jpg	1523	9999-12-31	10584
35/11-4	28	2313-2318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_28_2313-2318m.jpg	1523	9999-12-31	10585
35/11-4	29	2318-2323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_29_2318-2323m.jpg	1523	9999-12-31	10586
35/11-4	30	2323-2326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1523_30_2323-2326m.jpg	1523	9999-12-31	10587
35/11-5	1	3215-3219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_01_3215-3219m.jpg	1780	9999-12-31	10588
35/11-5	2	3219-3223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_02_3219-3223m.jpg	1780	9999-12-31	10589
35/11-5	3	3223-3227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_03_3223-3227m.jpg	1780	9999-12-31	10590
35/11-5	4	3227-3231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_04_3227-3231m.jpg	1780	9999-12-31	10591
35/11-5	5	3231-3235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_05_3231-3235m.jpg	1780	9999-12-31	10592
35/11-5	6	3235-3236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_06_3235-3236m.jpg	1780	9999-12-31	10593
35/11-5	7	3239-3243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_07_3239-3243m.jpg	1780	9999-12-31	10594
35/11-5	8	3243-3247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_08_3243-3247m.jpg	1780	9999-12-31	10595
35/11-5	9	3247-3251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_09_3247-3251m.jpg	1780	9999-12-31	10596
35/11-5	10	3251-3252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_10_3251-3252m.jpg	1780	9999-12-31	10597
35/11-5	11	3252-3256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_11_3252-3256m.jpg	1780	9999-12-31	10598
35/11-5	12	3256-3260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_12_3256-3260m.jpg	1780	9999-12-31	10599
35/11-5	13	3260-3264m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_13_3260-3264m.jpg	1780	9999-12-31	10600
35/11-5	14	3264-3267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_14_3264-3267m.jpg	1780	9999-12-31	10601
35/11-5	15	3269-3273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_15_3269-3273m.jpg	1780	9999-12-31	10602
35/11-5	16	3273-3277m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_16_3273-3277m.jpg	1780	9999-12-31	10603
35/11-5	17	3277-3281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_17_3277-3281m.jpg	1780	9999-12-31	10604
35/11-5	18	3281-3285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_18_3281-3285m.jpg	1780	9999-12-31	10605
35/11-5	19	3285-3286m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_19_3285-3286m.jpg	1780	9999-12-31	10606
35/11-5	20	3287-3291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_20_3287-3291m.jpg	1780	9999-12-31	10607
35/11-5	21	3291-3295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_21_3291-3295m.jpg	1780	9999-12-31	10608
35/11-5	22	3295-3299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_22_3295-3299m.jpg	1780	9999-12-31	10609
35/11-5	23	3299-3299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_23_3299-3299m.jpg	1780	9999-12-31	10610
35/11-5	24	3304-3308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_24_3304-3308m.jpg	1780	9999-12-31	10611
35/11-5	25	3308-3312m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_25_3308-3312m.jpg	1780	9999-12-31	10612
35/11-5	26	3312-3316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_26_3312-3316m.jpg	1780	9999-12-31	10613
35/11-5	27	3316	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_27_3316_3320m.jpg	1780	9999-12-31	10614
35/11-5	28	3320-3321m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_28_3320-3321m.jpg	1780	9999-12-31	10615
35/11-5	29	3328-3332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_29_3328-3332m.jpg	1780	9999-12-31	10616
35/11-5	30	3332-3336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_30_3332-3336m.jpg	1780	9999-12-31	10617
35/11-5	31	3336-3340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_31_3336-3340m.jpg	1780	9999-12-31	10618
35/11-5	32	3340-3344m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_32_3340-3344m.jpg	1780	9999-12-31	10619
35/11-5	33	3344-3348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_33_3344-3348m.jpg	1780	9999-12-31	10620
35/11-5	34	3348-3352m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_34_3348-3352m.jpg	1780	9999-12-31	10621
35/11-5	35	3352-3355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1780_35_3352-3355m.jpg	1780	9999-12-31	10622
35/11-6	1	3072-3076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_01_3072-3076m.jpg	1879	9999-12-31	10623
35/11-6	2	3076-3077m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_02_3076-3077m.jpg	1879	9999-12-31	10624
35/11-6	3	3162-3166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_03_3162-3166m.jpg	1879	9999-12-31	10625
35/11-6	4	3166-3170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_04_3166-3170m.jpg	1879	9999-12-31	10626
35/11-6	5	3170-3174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_05_3170-3174m.jpg	1879	9999-12-31	10627
35/11-6	6	3174-3178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_06_3174-3178m.jpg	1879	9999-12-31	10628
35/11-6	7	3178-3180m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_07_3178-3180m.jpg	1879	9999-12-31	10629
35/11-6	8	3181-3185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_08_3181-3185m.jpg	1879	9999-12-31	10630
35/11-6	9	3185-3189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_09_3185-3189m.jpg	1879	9999-12-31	10631
35/11-6	10	3189-3193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_10_3189-3193m.jpg	1879	9999-12-31	10632
35/11-6	11	3193-3193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_11_3193-3193m.jpg	1879	9999-12-31	10633
35/11-6	12	3501-3506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_12_3501-3506m.jpg	1879	9999-12-31	10634
35/11-6	13	3506-3511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_13_3506-3511m.jpg	1879	9999-12-31	10635
35/11-6	14	3511-3513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_14_3511-3513m.jpg	1879	9999-12-31	10636
35/11-6	15	3516-3521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_15_3516-3521m.jpg	1879	9999-12-31	10637
35/11-6	16	3521-3526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_16_3521-3526m.jpg	1879	9999-12-31	10638
35/11-6	17	3526-3531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_17_3526-3531m.jpg	1879	9999-12-31	10639
35/11-6	18	3531-3536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_18_3531-3536m.jpg	1879	9999-12-31	10640
35/11-6	19	3536-3541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_19_3536-3541m.jpg	1879	9999-12-31	10641
35/11-6	20	3541-3542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_20_3541-3542m.jpg	1879	9999-12-31	10642
35/11-6	21	3544-3549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_21_3544-3549m.jpg	1879	9999-12-31	10643
35/11-6	22	3549-3554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_22_3549-3554m.jpg	1879	9999-12-31	10644
35/11-6	23	3554-3558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_23_3554-3558m.jpg	1879	9999-12-31	10645
35/11-6	24	3558-3563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_24_3558-3563m.jpg	1879	9999-12-31	10646
35/11-6	25	3563-3568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_25_3563-3568m.jpg	1879	9999-12-31	10647
35/11-6	26	3568-3573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_26_3568-3573m.jpg	1879	9999-12-31	10648
35/11-6	27	3573-3578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_27_3573-3578m.jpg	1879	9999-12-31	10649
35/11-6	28	3578-3581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_28_3578-3581m.jpg	1879	9999-12-31	10650
35/11-6	29	3581-3586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_29_3581-3586m.jpg	1879	9999-12-31	10651
35/11-6	30	3586-3591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_30_3586-3591m.jpg	1879	9999-12-31	10652
35/11-6	31	3591-3596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_31_3591-3596m.jpg	1879	9999-12-31	10653
35/11-6	32	3596-3601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_32_3596-3601m.jpg	1879	9999-12-31	10654
35/11-6	33	3601-3606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_33_3601-3606m.jpg	1879	9999-12-31	10655
35/11-6	34	3606-3608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_34_3606-3608m.jpg	1879	9999-12-31	10656
35/11-6	35	3608-3613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_35_3608-3613m.jpg	1879	9999-12-31	10657
35/11-6	36	3613-3618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_36_3613-3618m.jpg	1879	9999-12-31	10658
35/11-6	37	3618-3623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_37_3618-3623m.jpg	1879	9999-12-31	10659
35/11-6	38	3623-3628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_38_3623-3628m.jpg	1879	9999-12-31	10660
35/11-6	39	3628-3633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_39_3628-3633m.jpg	1879	9999-12-31	10661
35/11-6	40	3633-3636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_40_3633-3636m.jpg	1879	9999-12-31	10662
35/11-6	41	3636-3641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_41_3636-3641m.jpg	1879	9999-12-31	10663
35/11-6	42	3641-3646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_42_3641-3646m.jpg	1879	9999-12-31	10664
35/11-6	43	3646-3651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_43_3646-3651m.jpg	1879	9999-12-31	10665
35/11-6	44	3651-3656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_44_3651-3656m.jpg	1879	9999-12-31	10666
35/11-6	45	3656-3661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_45_3656-3661m.jpg	1879	9999-12-31	10667
35/11-6	46	3661-3666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_46_3661-3666m.jpg	1879	9999-12-31	10668
35/11-6	47	3666-3671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_47_3666-3671m.jpg	1879	9999-12-31	10669
35/11-6	48	3671-3673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_48_3671-3673m.jpg	1879	9999-12-31	10670
35/11-6	49	3673-3678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_49_3673-3678m.jpg	1879	9999-12-31	10671
35/11-6	50	3678-3683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_50_3678-3683m.jpg	1879	9999-12-31	10672
35/11-6	51	3683-3688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_51_3683-3688m.jpg	1879	9999-12-31	10673
35/11-6	52	3688-3693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_52_3688-3693m.jpg	1879	9999-12-31	10674
35/11-6	53	3693-3698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_53_3693-3698m.jpg	1879	9999-12-31	10675
35/11-6	54	3698-3703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_54_3698-3703m.jpg	1879	9999-12-31	10676
35/11-6	55	3704-3705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1879_55_3704-3705m.jpg	1879	9999-12-31	10677
35/11-7	1	1801-1806m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_01_1801-1806m.jpg	1979	9999-12-31	10678
35/11-7	2	1806-1811m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_02_1806-1811m.jpg	1979	9999-12-31	10679
35/11-7	3	1811-1816m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_03_1811-1816m.jpg	1979	9999-12-31	10680
35/11-7	4	1816-1821m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_04_1816-1821m.jpg	1979	9999-12-31	10681
35/11-7	5	1821-1826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_05_1821-1826m.jpg	1979	9999-12-31	10682
35/11-7	6	1826-1827m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_06_1826-1827m.jpg	1979	9999-12-31	10683
35/11-7	7	1828-1833m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_07_1828-1833m.jpg	1979	9999-12-31	10684
35/11-7	8	1833-1838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_08_1833-1838m.jpg	1979	9999-12-31	10685
35/11-7	9	1838-1841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_09_1838-1841m.jpg	1979	9999-12-31	10686
35/11-7	10	1841-1846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_10_1841-1846m.jpg	1979	9999-12-31	10687
35/11-7	11	1846-1851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_11_1846-1851m.jpg	1979	9999-12-31	10688
35/11-7	12	1851-1856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_12_1851-1856m.jpg	1979	9999-12-31	10689
35/11-7	13	1856-1861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_13_1856-1861m.jpg	1979	9999-12-31	10690
35/11-7	14	1861-1866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_14_1861-1866m.jpg	1979	9999-12-31	10691
35/11-7	15	1866-1868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_15_1866-1868m.jpg	1979	9999-12-31	10692
35/11-7	16	1868-1873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_16_1868-1873m.jpg	1979	9999-12-31	10693
35/11-7	17	1873-1878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_17_1873-1878m.jpg	1979	9999-12-31	10694
35/11-7	18	1878-1883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_18_1878-1883m.jpg	1979	9999-12-31	10695
35/11-7	19	1884-1889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_19_1884-1889m.jpg	1979	9999-12-31	10696
35/11-7	20	1889-1892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_20_1889-1892m.jpg	1979	9999-12-31	10697
35/11-7	21	2000-2001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_21_2000-2001m.jpg	1979	9999-12-31	10698
35/11-7	22	2429-2434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_22_2429-2434m.jpg	1979	9999-12-31	10699
35/11-7	23	2434-2439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_23_2434-2439m.jpg	1979	9999-12-31	10700
35/11-7	24	2439-2440m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_24_2439-2440m.jpg	1979	9999-12-31	10701
35/11-7	25	2440-2445m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_25_2440-2445m.jpg	1979	9999-12-31	10702
35/11-7	26	2445-2450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_26_2445-2450m.jpg	1979	9999-12-31	10703
35/11-7	27	2450-2455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_27_2450-2455m.jpg	1979	9999-12-31	10704
35/11-7	28	2455-2456m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_28_2455-2456m.jpg	1979	9999-12-31	10705
35/11-7	29	2458-2463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_29_2458-2463m.jpg	1979	9999-12-31	10706
35/11-7	30	2463-2468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_30_2463-2468m.jpg	1979	9999-12-31	10707
35/11-7	31	2468-2473m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_31_2468-2473m.jpg	1979	9999-12-31	10708
35/11-7	32	2473-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_32_2473-2478m.jpg	1979	9999-12-31	10709
35/11-7	33	2478-2483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_33_2478-2483m.jpg	1979	9999-12-31	10710
35/11-7	34	2483-2486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_34_2483-2486m.jpg	1979	9999-12-31	10711
35/11-7	35	2486-2491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_35_2486-2491m.jpg	1979	9999-12-31	10712
35/11-7	36	2491-2496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_36_2491-2496m.jpg	1979	9999-12-31	10713
35/11-7	37	2496-2501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_37_2496-2501m.jpg	1979	9999-12-31	10714
35/11-7	38	2501-2506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_38_2501-2506m.jpg	1979	9999-12-31	10715
35/11-7	39	2506-2511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_39_2506-2511m.jpg	1979	9999-12-31	10716
35/11-7	40	2511-2513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_40_2511-2513m.jpg	1979	9999-12-31	10717
35/11-7	41	2514-2519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_41_2514-2519m.jpg	1979	9999-12-31	10718
35/11-7	42	2519-2524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_42_2519-2524m.jpg	1979	9999-12-31	10719
35/11-7	43	2524-2529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_43_2524-2529m.jpg	1979	9999-12-31	10720
35/11-7	44	2529-2534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_44_2529-2534m.jpg	1979	9999-12-31	10721
35/11-7	45	2534-2539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_45_2534-2539m.jpg	1979	9999-12-31	10722
35/11-7	46	2539-2541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1979_46_2539-2541m.jpg	1979	9999-12-31	10723
35/11-8 S	1	2866-2871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_01_2866-2871m.jpg	2772	9999-12-31	10724
35/11-8 S	2	2871-2876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_02_2871-2876m.jpg	2772	9999-12-31	10725
35/11-8 S	3	2876-2881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_03_2876-2881m.jpg	2772	9999-12-31	10726
35/11-8 S	4	2881-2883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_04_2881-2883m.jpg	2772	9999-12-31	10727
35/11-8 S	5	2884-2889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_05_2884-2889m.jpg	2772	9999-12-31	10728
35/11-8 S	6	2889-2894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_06_2889-2894m.jpg	2772	9999-12-31	10729
35/11-8 S	7	2894-2899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_07_2894-2899m.jpg	2772	9999-12-31	10730
35/11-8 S	8	2899-2904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_08_2899-2904m.jpg	2772	9999-12-31	10731
35/11-8 S	9	2904-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_09_2904-2909m.jpg	2772	9999-12-31	10732
35/11-8 S	10	2909-2911m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_10_2909-2911m.jpg	2772	9999-12-31	10733
35/11-8 S	11	2911-2916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_11_2911-2916m.jpg	2772	9999-12-31	10734
35/11-8 S	12	2916-2921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_12_2916-2921m.jpg	2772	9999-12-31	10735
35/11-8 S	13	2921-2926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_13_2921-2926m.jpg	2772	9999-12-31	10736
35/11-8 S	14	2926-2931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_14_2926-2931m.jpg	2772	9999-12-31	10737
35/11-8 S	15	2931-2936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_15_2931-2936m.jpg	2772	9999-12-31	10738
35/11-8 S	16	2936-2936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_16_2936-2936m.jpg	2772	9999-12-31	10739
35/11-8 S	17	2938-2943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_17_2938-2943m.jpg	2772	9999-12-31	10740
35/11-8 S	18	2943-2948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_18_2943-2948m.jpg	2772	9999-12-31	10741
35/11-8 S	19	2948-2953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_19_2948-2953m.jpg	2772	9999-12-31	10742
35/11-8 S	20	2953-2958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_20_2953-2958m.jpg	2772	9999-12-31	10743
35/11-8 S	21	2958-2963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_21_2958-2963m.jpg	2772	9999-12-31	10744
35/11-8 S	22	2963-2964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2772_22_2963-2964m.jpg	2772	9999-12-31	10745
35/11-9	1	2638-2643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_01_2638-2643m.jpg	3009	9999-12-31	10746
35/11-9	2	2643-2648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_02_2643-2648m.jpg	3009	9999-12-31	10747
35/11-9	3	2648-2653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_03_2648-2653m.jpg	3009	9999-12-31	10748
35/11-9	4	2653-2658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_04_2653-2658m.jpg	3009	9999-12-31	10749
35/11-9	5	2658-2663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_05_2658-2663m.jpg	3009	9999-12-31	10750
35/11-9	6	2664-2668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_06_2664-2668m.jpg	3009	9999-12-31	10751
35/11-9	7	2666-2671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_07_2666-2671m.jpg	3009	9999-12-31	10752
35/11-9	8	2671-2676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_08_2671-2676m.jpg	3009	9999-12-31	10753
35/11-9	9	2676-2681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_09_2676-2681m.jpg	3009	9999-12-31	10754
35/11-9	10	2681-2686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_10_2681-2686m.jpg	3009	9999-12-31	10755
35/11-9	11	2686-2691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_11_2686-2691m.jpg	3009	9999-12-31	10756
35/11-9	12	2691-2696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_12_2691-2696m.jpg	3009	9999-12-31	10757
35/11-9	13	2696-2701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_13_2696-2701m.jpg	3009	9999-12-31	10758
35/11-9	14	2701-2706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_14_2701-2706m.jpg	3009	9999-12-31	10759
35/11-9	16	2711-2714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_16_2711-2714m.jpg	3009	9999-12-31	10760
35/11-9	17	2714-2719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_17_2714-2719m.jpg	3009	9999-12-31	10761
35/11-9	18	2719-2724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_18_2719-2724m.jpg	3009	9999-12-31	10762
35/11-9	19	2724-2729n	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_19_2724-2729n.jpg	3009	9999-12-31	10763
35/11-9	20	2729-2734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_20_2729-2734m.jpg	3009	9999-12-31	10764
35/11-9	21	2734-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_21_2734-2739m.jpg	3009	9999-12-31	10765
35/11-9	22	2739-2740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3009_22_2739-2740m.jpg	3009	9999-12-31	10766
35/12-1	1	2415-2419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_01_2415-2419m.jpg	1881	9999-12-31	10767
35/12-1	2	2423-2427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_02_2423-2427m.jpg	1881	9999-12-31	10768
35/12-1	3	2427-2431m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_03_2427-2431m.jpg	1881	9999-12-31	10769
35/12-1	4	2431-2435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_04_2431-2435m.jpg	1881	9999-12-31	10770
35/12-1	5	2435-2439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_05_2435-2439m.jpg	1881	9999-12-31	10771
35/12-1	6	2439-2441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_06_2439-2441m.jpg	1881	9999-12-31	10772
35/12-1	7	2442-2446m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_07_2442-2446m.jpg	1881	9999-12-31	10773
35/12-1	8	2446-2450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_08_2446-2450m.jpg	1881	9999-12-31	10774
35/12-1	9	2450-2454m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_09_2450-2454m.jpg	1881	9999-12-31	10775
35/12-1	10	2454-2456m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_10_2454-2456m.jpg	1881	9999-12-31	10776
35/12-1	11	2457-2458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_11_2457-2458m.jpg	1881	9999-12-31	10777
35/12-1	12	2601-2605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_12_2601-2605m.jpg	1881	9999-12-31	10778
35/12-1	13	2598-2602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1881_13_2598-2602m.jpg	1881	9999-12-31	10779
35/3-2	1	3593-3596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_01_3593-3596m.jpg	136	9999-12-31	10780
35/3-2	2	3596-3598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_02_3596-3598m.jpg	136	9999-12-31	10781
35/3-2	3	3598-3601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_03_3598-3601m.jpg	136	9999-12-31	10782
35/3-2	4	3601-3604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_04_3601-3604m.jpg	136	9999-12-31	10783
35/3-2	5	3604-3606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_05_3604-3606m.jpg	136	9999-12-31	10784
35/3-2	6	3606-3609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_06_3606-3609m.jpg	136	9999-12-31	10785
35/3-2	7	3609-3610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_07_3609-3610m.jpg	136	9999-12-31	10786
35/3-2	8	3611-3614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_08_3611-3614m.jpg	136	9999-12-31	10787
35/3-2	9	3613-3616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_09_3613-3616m.jpg	136	9999-12-31	10788
35/3-2	10	3616-2617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_10_3616-2617m.jpg	136	9999-12-31	10789
35/3-2	11	3625-3627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_11_3625-3627m.jpg	136	9999-12-31	10790
35/3-2	12	3627-3630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_12_3627-3630m.jpg	136	9999-12-31	10791
35/3-2	13	3630-3633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_13_3630-3633m.jpg	136	9999-12-31	10792
35/3-2	14	3633-3635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_14_3633-3635m.jpg	136	9999-12-31	10793
35/3-2	15	3635-3638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_15_3635-3638m.jpg	136	9999-12-31	10794
35/3-2	16	3638-3641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_16_3638-3641m.jpg	136	9999-12-31	10795
35/3-2	17	3690-3693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_17_3690-3693m.jpg	136	9999-12-31	10796
35/3-2	18	3693-3696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_18_3693-3696m.jpg	136	9999-12-31	10797
35/3-2	19	3696-3698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_19_3696-3698m.jpg	136	9999-12-31	10798
35/3-2	20	3698-3701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_20_3698-3701m.jpg	136	9999-12-31	10799
35/3-2	21	3701-3704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_21_3701-3704m.jpg	136	9999-12-31	10800
35/3-2	22	3704-3706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_22_3704-3706m.jpg	136	9999-12-31	10801
35/3-2	23	3706-3709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_23_3706-3709m.jpg	136	9999-12-31	10802
35/3-2	24	3709-3710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_24_3709-3710m.jpg	136	9999-12-31	10803
35/3-2	25	3944-3947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_25_3944-3947m.jpg	136	9999-12-31	10804
35/3-2	26	3947-3949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_26_3947-3949m.jpg	136	9999-12-31	10805
35/3-2	27	3949-3952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_27_3949-3952m.jpg	136	9999-12-31	10806
35/3-2	28	3952-3955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_28_3952-3955m.jpg	136	9999-12-31	10807
35/3-2	29	3955-3958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_29_3955-3958m.jpg	136	9999-12-31	10808
35/3-2	30	3958-3960m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/136_30_3958-3960m.jpg	136	9999-12-31	10809
35/4-1	1	4084-4089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_01_4084-4089m.jpg	2993	9999-12-31	10810
35/4-1	2	4089-4093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_02_4089-4093m.jpg	2993	9999-12-31	10811
35/4-1	3	4093-4098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_03_4093-4098m.jpg	2993	9999-12-31	10812
35/4-1	4	4098-4103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_04_4098-4103m.jpg	2993	9999-12-31	10813
35/4-1	5	4103-4107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_05_4103-4107m.jpg	2993	9999-12-31	10814
35/4-1	6	4108-4113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_06_4108-4113m.jpg	2993	9999-12-31	10815
35/4-1	7	4113-4113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_07_4113-4113m.jpg	2993	9999-12-31	10816
35/4-1	8	4113-4118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_08_4113-4118m.jpg	2993	9999-12-31	10817
35/4-1	9	4118-4123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_09_4118-4123m.jpg	2993	9999-12-31	10818
35/4-1	10	4123-4128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_10_4123-4128m.jpg	2993	9999-12-31	10819
35/4-1	11	4128-4133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_11_4128-4133m.jpg	2993	9999-12-31	10820
35/4-1	12	4133-4138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_12_4133-4138m.jpg	2993	9999-12-31	10821
35/4-1	13	4138-4141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_13_4138-4141m.jpg	2993	9999-12-31	10822
35/4-1	14	4141-4146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_14_4141-4146m.jpg	2993	9999-12-31	10823
35/4-1	15	4146-4151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_15_4146-4151m.jpg	2993	9999-12-31	10824
35/4-1	16	4151-4156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_16_4151-4156m.jpg	2993	9999-12-31	10825
35/4-1	17	4156-4161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_17_4156-4161m.jpg	2993	9999-12-31	10826
35/4-1	18	4161-4166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_18_4161-4166m.jpg	2993	9999-12-31	10827
35/4-1	19	4166-4171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_19_4166-4171m.jpg	2993	9999-12-31	10828
35/4-1	20	4171-4176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_20_4171-4176m.jpg	2993	9999-12-31	10829
35/4-1	21	4176-4177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_21_4176-4177m.jpg	2993	9999-12-31	10830
35/4-1	22	4178-4183m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_22_4178-4183m.jpg	2993	9999-12-31	10831
35/4-1	23	4183-4188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_23_4183-4188m.jpg	2993	9999-12-31	10832
35/4-1	24	4188-4193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_24_4188-4193m.jpg	2993	9999-12-31	10833
35/4-1	25	4193-4198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_25_4193-4198m.jpg	2993	9999-12-31	10834
35/4-1	26	4198-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_26_4198-4203m.jpg	2993	9999-12-31	10835
35/4-1	27	4203-4208m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_27_4203-4208m.jpg	2993	9999-12-31	10836
35/4-1	28	4208-4213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_28_4208-4213m.jpg	2993	9999-12-31	10837
35/4-1	29	4213-4218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_29_4213-4218m.jpg	2993	9999-12-31	10838
35/4-1	30	4218-4222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_30_4218-4222m.jpg	2993	9999-12-31	10839
35/4-1	31	4222-4227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_31_4222-4227m.jpg	2993	9999-12-31	10840
35/4-1	32	4227-4232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_32_4227-4232m.jpg	2993	9999-12-31	10841
35/4-1	33	4232-4237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_33_4232-4237m.jpg	2993	9999-12-31	10842
35/4-1	34	4237-4242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_34_4237-4242m.jpg	2993	9999-12-31	10843
35/4-1	35	4242-4247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_35_4242-4247m.jpg	2993	9999-12-31	10844
35/4-1	36	4247-4252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_36_4247-4252m.jpg	2993	9999-12-31	10845
35/4-1	37	4252-4257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_37_4252-4257m.jpg	2993	9999-12-31	10846
35/4-1	38	4257-4262m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_38_4257-4262m.jpg	2993	9999-12-31	10847
35/4-1	39	4262-4266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_39_4262-4266m.jpg	2993	9999-12-31	10848
35/4-1	40	4447-4452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_40_4447-4452m.jpg	2993	9999-12-31	10849
35/4-1	41	4452-4457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_41_4452-4457m.jpg	2993	9999-12-31	10850
35/4-1	42	4457-4462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_42_4457-4462m.jpg	2993	9999-12-31	10851
35/4-1	43	4462-4467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_43_4462-4467m.jpg	2993	9999-12-31	10852
35/4-1	44	4467-4472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_44_4467-4472m.jpg	2993	9999-12-31	10853
35/4-1	45	4472-4474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_45_4472-4474m.jpg	2993	9999-12-31	10854
35/4-1	46	4709-4714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_46_4709-4714m.jpg	2993	9999-12-31	10855
35/4-1	47	4714-4719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_47_4714-4719m.jpg	2993	9999-12-31	10856
35/4-1	48	4719-4724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_48_4719-4724m.jpg	2993	9999-12-31	10857
35/4-1	49	4724-4729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_49_4724-4729m.jpg	2993	9999-12-31	10858
35/4-1	50	4729-4734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_50_4729-4734m.jpg	2993	9999-12-31	10859
35/4-1	51	4734-4737m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2993_51_4734-4737m.jpg	2993	9999-12-31	10860
35/8-2	1	3316-3317m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_01_3316-3317m.jpg	434	9999-12-31	10861
35/8-2	2	3667-3668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_02_3667-3668m.jpg	434	9999-12-31	10862
35/8-2	3	3669-3671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_03_3669-3671m.jpg	434	9999-12-31	10863
35/8-2	4	3672-3674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_04_3672-3674m.jpg	434	9999-12-31	10864
35/8-2	5	3675-3678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_05_3675-3678m.jpg	434	9999-12-31	10865
35/8-2	6	3678-3681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_06_3678-3681m.jpg	434	9999-12-31	10866
35/8-2	7	3681-3683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_07_3681-3683m.jpg	434	9999-12-31	10867
35/8-2	8	3683-3685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_08_3683-3685m.jpg	434	9999-12-31	10868
35/8-2	9	3685-3688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_09_3685-3688m.jpg	434	9999-12-31	10869
35/8-2	10	3688-3691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_10_3688-3691m.jpg	434	9999-12-31	10870
35/8-2	11	3691-3693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_11_3691-3693m.jpg	434	9999-12-31	10871
35/8-2	12	3693-3695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_12_3693-3695m.jpg	434	9999-12-31	10872
35/8-2	13	3695-3698M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_13_3695-3698M.jpg	434	9999-12-31	10873
35/8-2	14	3698-3700M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_14_3698-3700M.jpg	434	9999-12-31	10874
35/8-2	15	3701-3703M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_15_3701-3703M.jpg	434	9999-12-31	10875
35/8-2	16	3703-3706M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_16_3703-3706M.jpg	434	9999-12-31	10876
35/8-2	17	3706-3708M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_17_3706-3708M.jpg	434	9999-12-31	10877
35/8-2	18	3708-3711M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_18_3708-3711M.jpg	434	9999-12-31	10878
35/8-2	19	3711-3713M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_19_3711-3713M.jpg	434	9999-12-31	10879
35/8-2	20	3713-3716M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_20_3713-3716M.jpg	434	9999-12-31	10880
35/8-2	21	3716-3718M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_21_3716-3718M.jpg	434	9999-12-31	10881
35/8-2	22	3718-3721M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_22_3718-3721M.jpg	434	9999-12-31	10882
35/8-2	23	3721-3724M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_23_3721-3724M.jpg	434	9999-12-31	10883
35/8-2	24	3724-3726M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_24_3724-3726M.jpg	434	9999-12-31	10884
35/8-2	25	3726-2738M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_25_3726-2738M.jpg	434	9999-12-31	10885
35/8-2	26	3728-3720M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_26_3728-3720M.jpg	434	9999-12-31	10886
35/8-2	27	3731-3733M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_27_3731-3733M.jpg	434	9999-12-31	10887
35/8-2	28	3733-3736M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_28_3733-3736M.jpg	434	9999-12-31	10888
35/8-2	29	3736-3738M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_29_3736-3738M.jpg	434	9999-12-31	10889
35/8-2	30	3738-3741M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_30_3738-3741M.jpg	434	9999-12-31	10890
35/8-2	31	3741-3743M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_31_3741-3743M.jpg	434	9999-12-31	10891
35/8-2	32	3743-3746M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_32_3743-3746M.jpg	434	9999-12-31	10892
35/8-2	33	3746-3749M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_33_3746-3749M.jpg	434	9999-12-31	10893
35/8-2	34	3749-3752M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_34_3749-3752M.jpg	434	9999-12-31	10894
35/8-2	35	3752-3753M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/434_35_3752-3753M.jpg	434	9999-12-31	10895
35/8-3	1	3830-3835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1288_01_3830-3835m.jpg	1288	9999-12-31	10896
35/8-3	2	3835-3840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1288_02_3835-3840m.jpg	1288	9999-12-31	10897
35/8-3	3	3840-3845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1288_03_3840-3845m.jpg	1288	9999-12-31	10898
35/8-3	4	3845-3848m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1288_04_3845-3848m.jpg	1288	9999-12-31	10899
35/9-1	1	2040-2045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_01_2040-2045m.jpg	1375	9999-12-31	10900
35/9-1	2	2045-2050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_02_2045-2050m.jpg	1375	9999-12-31	10901
35/9-1	3	2050-2055m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_03_2050-2055m.jpg	1375	9999-12-31	10902
35/9-1	4	2055-2060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_04_2055-2060m.jpg	1375	9999-12-31	10903
35/9-1	5	2060-2065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_05_2060-2065m.jpg	1375	9999-12-31	10904
35/9-1	6	2065-2066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_06_2065-2066m.jpg	1375	9999-12-31	10905
35/9-1	7	2094-2099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_07_2094-2099m.jpg	1375	9999-12-31	10906
35/9-1	8	2099-2102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_08_2099-2102m.jpg	1375	9999-12-31	10907
35/9-1	9	2102-2107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_09_2102-2107m.jpg	1375	9999-12-31	10908
35/9-1	10	2107-2112m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_10_2107-2112m.jpg	1375	9999-12-31	10909
35/9-1	11	2112-2117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_11_2112-2117m.jpg	1375	9999-12-31	10910
35/9-1	12	2117-2122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_12_2117-2122m.jpg	1375	9999-12-31	10911
35/9-1	13	2122-2127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_13_2122-2127m.jpg	1375	9999-12-31	10912
35/9-1	14	2127-2132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_14_2127-2132m.jpg	1375	9999-12-31	10913
35/9-1	15	2132-2137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_15_2132-2137m.jpg	1375	9999-12-31	10914
35/9-1	16	2137-2138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_16_2137-2138m.jpg	1375	9999-12-31	10915
35/9-1	17	2138-2143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_17_2138-2143m.jpg	1375	9999-12-31	10916
35/9-1	18	2143-2148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_18_2143-2148m.jpg	1375	9999-12-31	10917
35/9-1	19	2148-2150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_19_2148-2150m.jpg	1375	9999-12-31	10918
35/9-1	20	2225-2230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_20_2225-2230m.jpg	1375	9999-12-31	10919
35/9-1	21	2230-2235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_21_2230-2235m.jpg	1375	9999-12-31	10920
35/9-1	22	2235-2238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_22_2235-2238m.jpg	1375	9999-12-31	10921
35/9-1	23	2242-2247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_23_2242-2247m.jpg	1375	9999-12-31	10922
35/9-1	24	2247-2252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_24_2247-2252m.jpg	1375	9999-12-31	10923
35/9-1	25	2252-2257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_25_2252-2257m.jpg	1375	9999-12-31	10924
35/9-1	26	2257-2262m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_26_2257-2262m.jpg	1375	9999-12-31	10925
35/9-1	27	2262-2267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_27_2262-2267m.jpg	1375	9999-12-31	10926
35/9-1	28	2267-2270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_28_2267-2270m.jpg	1375	9999-12-31	10927
35/9-1	29	2270-2275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_29_2270-2275m.jpg	1375	9999-12-31	10928
35/9-1	30	2275-2280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_30_2275-2280m.jpg	1375	9999-12-31	10929
35/9-1	31	2280-2285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_31_2280-2285m.jpg	1375	9999-12-31	10930
35/9-1	32	2285-2290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_32_2285-2290m.jpg	1375	9999-12-31	10931
35/9-1	33	2290-2295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_33_2290-2295m.jpg	1375	9999-12-31	10932
35/9-1	34	2295-2300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_34_2295-2300m.jpg	1375	9999-12-31	10933
35/9-1	35	2300-2305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_35_2300-2305m.jpg	1375	9999-12-31	10934
35/9-1	36	2305-2306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_36_2305-2306m.jpg	1375	9999-12-31	10935
35/9-1	37	2305-2310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_37_2305-2310m.jpg	1375	9999-12-31	10936
35/9-1	38	2310-2315m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_38_2310-2315m.jpg	1375	9999-12-31	10937
35/9-1	39	2315-2316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1375_39_2315-2316m.jpg	1375	9999-12-31	10938
35/9-2	1	2110-2111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_01_2110-2111m.jpg	1600	9999-12-31	10939
35/9-2	2	2114-2119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_02_2114-2119m.jpg	1600	9999-12-31	10940
35/9-2	3	2119-2124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_03_2119-2124m.jpg	1600	9999-12-31	10941
35/9-2	4	2124-2129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_04_2124-2129m.jpg	1600	9999-12-31	10942
35/9-2	5	2129-2134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_05_2129-2134m.jpg	1600	9999-12-31	10943
35/9-2	6	2134-2139m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_06_2134-2139m.jpg	1600	9999-12-31	10944
35/9-2	7	2139-2141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_07_2139-2141m.jpg	1600	9999-12-31	10945
35/9-2	8	2271-2276m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_08_2271-2276m.jpg	1600	9999-12-31	10946
35/9-2	9	2276-2281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_09_2276-2281m.jpg	1600	9999-12-31	10947
35/9-2	10	2281-2286m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_10_2281-2286m.jpg	1600	9999-12-31	10948
35/9-2	11	2286-2291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_11_2286-2291m.jpg	1600	9999-12-31	10949
35/9-2	12	2291-2296m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_12_2291-2296m.jpg	1600	9999-12-31	10950
35/9-2	13	2296-2299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_13_2296-2299m.jpg	1600	9999-12-31	10951
35/9-2	14	2299-2304m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_14_2299-2304m.jpg	1600	9999-12-31	10952
35/9-2	15	2304-2309m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_15_2304-2309m.jpg	1600	9999-12-31	10953
35/9-2	16	2309-2314m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_16_2309-2314m.jpg	1600	9999-12-31	10954
35/9-2	17	2314-2319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_17_2314-2319m.jpg	1600	9999-12-31	10955
35/9-2	18	2319-2324m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_18_2319-2324m.jpg	1600	9999-12-31	10956
35/9-2	19	2324-2327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_19_2324-2327m.jpg	1600	9999-12-31	10957
35/9-2	20	2327-2332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_20_2327-2332m.jpg	1600	9999-12-31	10958
35/9-2	21	2332-2337m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_21_2332-2337m.jpg	1600	9999-12-31	10959
35/9-2	22	2337-2342m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_22_2337-2342m.jpg	1600	9999-12-31	10960
35/9-2	23	2342-2347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_23_2342-2347m.jpg	1600	9999-12-31	10961
35/9-2	24	2347-2350m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_24_2347-2350m.jpg	1600	9999-12-31	10962
35/9-2	25	2365-2370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_25_2365-2370m.jpg	1600	9999-12-31	10963
35/9-2	26	2370-2375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_26_2370-2375m.jpg	1600	9999-12-31	10964
35/9-2	27	2375-2380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_27_2375-2380m.jpg	1600	9999-12-31	10965
35/9-2	28	2380-2385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_28_2380-2385m.jpg	1600	9999-12-31	10966
35/9-2	29	2385-2390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_29_2385-2390m.jpg	1600	9999-12-31	10967
35/9-2	30	2390-2391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_30_2390-2391m.jpg	1600	9999-12-31	10968
35/9-2	31	2393-2398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_31_2393-2398m.jpg	1600	9999-12-31	10969
35/9-2	32	2398-2403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_32_2398-2403m.jpg	1600	9999-12-31	10970
35/9-2	33	2403-2408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_33_2403-2408m.jpg	1600	9999-12-31	10971
35/9-2	34	2408-2413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_34_2408-2413m.jpg	1600	9999-12-31	10972
35/9-2	35	2413-2418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_35_2413-2418m.jpg	1600	9999-12-31	10973
35/9-2	36	2418-2421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_36_2418-2421m.jpg	1600	9999-12-31	10974
35/9-2	37	2483-2488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_37_2483-2488m.jpg	1600	9999-12-31	10975
35/9-2	38	2488-2493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_38_2488-2493m.jpg	1600	9999-12-31	10976
35/9-2	39	2493-2498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_39_2493-2498m.jpg	1600	9999-12-31	10977
35/9-2	40	2498-2503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_40_2498-2503m.jpg	1600	9999-12-31	10978
35/9-2	41	2503-2508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_41_2503-2508m.jpg	1600	9999-12-31	10979
35/9-2	42	2508-2513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_42_2508-2513m.jpg	1600	9999-12-31	10980
35/9-2	43	2513-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_43_2513-2518m.jpg	1600	9999-12-31	10981
35/9-2	44	2518-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_44_2518-2510m.jpg	1600	9999-12-31	10982
35/9-2	45	2520-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_45_2520-2525m.jpg	1600	9999-12-31	10983
35/9-2	46	2525-2530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_46_2525-2530m.jpg	1600	9999-12-31	10984
35/9-2	47	2530-2535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_47_2530-2535m.jpg	1600	9999-12-31	10985
35/9-2	48	2535-2540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_48_2535-2540m.jpg	1600	9999-12-31	10986
35/9-2	49	2540-2545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_49_2540-2545m.jpg	1600	9999-12-31	10987
35/9-2	50	2545-2550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_50_2545-2550m.jpg	1600	9999-12-31	10988
35/9-2	51	2550-2554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_51_2550-2554m.jpg	1600	9999-12-31	10989
35/9-2	52	2621-2626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_52_2621-2626m.jpg	1600	9999-12-31	10990
35/9-2	53	2626-2631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_53_2626-2631m.jpg	1600	9999-12-31	10991
35/9-2	54	2631-2636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_54_2631-2636m.jpg	1600	9999-12-31	10992
35/9-2	55	2636-2638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_55_2636-2638m.jpg	1600	9999-12-31	10993
35/9-2	56	2638-2643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_56_2638-2643m.jpg	1600	9999-12-31	10994
35/9-2	57	2643-2648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_57_2643-2648m.jpg	1600	9999-12-31	10995
35/9-2	58	2648-2653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_58_2648-2653m.jpg	1600	9999-12-31	10996
35/9-2	59	2653-2658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_59_2653-2658m.jpg	1600	9999-12-31	10997
35/9-2	60	2658-2663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_60_2658-2663m.jpg	1600	9999-12-31	10998
35/9-2	61	2663-2665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_61_2663-2665m.jpg	1600	9999-12-31	10999
35/9-2	62	2666-2671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_62_2666-2671m.jpg	1600	9999-12-31	11000
35/9-2	63	2671-2676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_63_2671-2676m.jpg	1600	9999-12-31	11001
35/9-2	64	2676-2681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_64_2676-2681m.jpg	1600	9999-12-31	11002
35/9-2	65	2681-2686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_65_2681-2686m.jpg	1600	9999-12-31	11003
35/9-2	66	2686-2691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_66_2686-2691m.jpg	1600	9999-12-31	11004
35/9-2	67	2691-2694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_67_2691-2694m.jpg	1600	9999-12-31	11005
35/9-2	68	2694-2699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_68_2694-2699m.jpg	1600	9999-12-31	11006
35/9-2	69	2704-2709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_69_2704-2709m.jpg	1600	9999-12-31	11007
35/9-2	70	2709-2714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_70_2709-2714m.jpg	1600	9999-12-31	11008
35/9-2	71	2714-2719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_71_2714-2719m.jpg	1600	9999-12-31	11009
35/9-2	72	2719-2722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_72_2719-2722m.jpg	1600	9999-12-31	11010
35/9-2	73	2722-2727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_73_2722-2727m.jpg	1600	9999-12-31	11011
35/9-2	74	2727-2732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_74_2727-2732m.jpg	1600	9999-12-31	11012
35/9-2	75	2732-2737m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_75_2732-2737m.jpg	1600	9999-12-31	11013
35/9-2	76	2737-2742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_76_2737-2742m.jpg	1600	9999-12-31	11014
35/9-2	77	2742-2747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_77_2742-2747m.jpg	1600	9999-12-31	11015
35/9-2	78	2747-2752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_78_2747-2752m.jpg	1600	9999-12-31	11016
35/9-2	79	2752-2757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_79_2752-2757m.jpg	1600	9999-12-31	11017
35/9-2	80	2757-2759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_80_2757-2759m.jpg	1600	9999-12-31	11018
35/9-2	81	2759-2763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_81_2759-2763m.jpg	1600	9999-12-31	11019
35/9-2	82	2764-2769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_82_2764-2769m.jpg	1600	9999-12-31	11020
35/9-2	83	2769-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_83_2769-2774m.jpg	1600	9999-12-31	11021
35/9-2	84	2774-2778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_84_2774-2778m.jpg	1600	9999-12-31	11022
35/9-2	85	2778-2783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1600_85_2778-2783m.jpg	1600	9999-12-31	11023
35/9-3	1	1870-1875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_01_1870-1875m.jpg	3206	9999-12-31	11024
35/9-3	2	1875-1880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_02_1875-1880m.jpg	3206	9999-12-31	11025
35/9-3	3	1880-1885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_03_1880-1885m.jpg	3206	9999-12-31	11026
35/9-3	4	1885-1880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_04_1885-1880m.jpg	3206	9999-12-31	11027
35/9-3	5	2663-2668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_05_2663-2668m.jpg	3206	9999-12-31	11028
35/9-3	6	2668-2673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_06_2668-2673m.jpg	3206	9999-12-31	11029
35/9-3	7	2673-2675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_07_2673-2675m.jpg	3206	9999-12-31	11030
35/9-3	8	2676-2681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_08_2676-2681m.jpg	3206	9999-12-31	11031
35/9-3	9	2681-2686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_09_2681-2686m.jpg	3206	9999-12-31	11032
35/9-3	10	2686-2691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_10_2686-2691m.jpg	3206	9999-12-31	11033
35/9-3	11	2691-2696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_11_2691-2696m.jpg	3206	9999-12-31	11034
35/9-3	12	2696-2700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_12_2696-2700m.jpg	3206	9999-12-31	11035
35/9-3	13	2701-2703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_13_2701-2703m.jpg	3206	9999-12-31	11036
35/9-3	14	2703-2708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_14_2703-2708m.jpg	3206	9999-12-31	11037
35/9-3	15	2708-2713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_15_2708-2713m.jpg	3206	9999-12-31	11038
35/9-3	16	2713-2718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_16_2713-2718m.jpg	3206	9999-12-31	11039
35/9-3	17	2718-2723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_17_2718-2723m.jpg	3206	9999-12-31	11040
35/9-3	18	2723-2728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_18_2723-2728m.jpg	3206	9999-12-31	11041
35/9-3	19	2728-2730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3206_19_2728-2730m.jpg	3206	9999-12-31	11042
36/1-2	1	2996-2998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/436_01_2996-2998m.jpg	436	9999-12-31	11043
36/1-2	2	2998-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/436_02_2998-3000m.jpg	436	9999-12-31	11044
36/1-2	3	3001-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/436_03_3001-3003m.jpg	436	9999-12-31	11045
36/1-2	4	3003-3005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/436_04_3003-3005m.jpg	436	9999-12-31	11046
36/7-1	1	2124-2129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_01_2124-2129m.jpg	1794	9999-12-31	11047
36/7-1	2	2129-2134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_02_2129-2134m.jpg	1794	9999-12-31	11048
36/7-1	3	2134-2139m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_03_2134-2139m.jpg	1794	9999-12-31	11049
36/7-1	4	2139-2142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_04_2139-2142m.jpg	1794	9999-12-31	11050
36/7-1	5	2143-2148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_05_2143-2148m.jpg	1794	9999-12-31	11051
36/7-1	6	2148-2153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_06_2148-2153m.jpg	1794	9999-12-31	11052
36/7-1	7	2153-2158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_07_2153-2158m.jpg	1794	9999-12-31	11053
36/7-1	8	2158-2163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_08_2158-2163m.jpg	1794	9999-12-31	11054
36/7-1	9	2163-2168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_09_2163-2168m.jpg	1794	9999-12-31	11055
36/7-1	10	2168-2169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_10_2168-2169m.jpg	1794	9999-12-31	11056
36/7-1	11	2171-2176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_11_2171-2176m.jpg	1794	9999-12-31	11057
36/7-1	12	2176-2181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_12_2176-2181m.jpg	1794	9999-12-31	11058
36/7-1	13	2181-2186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_13_2181-2186m.jpg	1794	9999-12-31	11059
36/7-1	14	2186-2191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_14_2186-2191m.jpg	1794	9999-12-31	11060
36/7-1	15	2191-2196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_15_2191-2196m.jpg	1794	9999-12-31	11061
36/7-1	16	2196-2199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_16_2196-2199m.jpg	1794	9999-12-31	11062
36/7-1	17	2199-2204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_17_2199-2204m.jpg	1794	9999-12-31	11063
36/7-1	18	2204-2209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_18_2204-2209m.jpg	1794	9999-12-31	11064
36/7-1	19	2209-2214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_19_2209-2214m.jpg	1794	9999-12-31	11065
36/7-1	20	2214-2219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_20_2214-2219m.jpg	1794	9999-12-31	11066
36/7-1	21	2219-2224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_21_2219-2224m.jpg	1794	9999-12-31	11067
36/7-1	22	2224-2226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_22_2224-2226m.jpg	1794	9999-12-31	11068
36/7-1	23	2247-2252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_23_2247-2252m.jpg	1794	9999-12-31	11069
36/7-1	24	2252-2257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_24_2252-2257m.jpg	1794	9999-12-31	11070
36/7-1	25	2257-2262m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_25_2257-2262m.jpg	1794	9999-12-31	11071
36/7-1	26	2262-2267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_26_2262-2267m.jpg	1794	9999-12-31	11072
36/7-1	27	2267-2272m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_27_2267-2272m.jpg	1794	9999-12-31	11073
36/7-1	28	2272-2273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_28_2272-2273m.jpg	1794	9999-12-31	11074
36/7-1	29	2275-2280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_29_2275-2280m.jpg	1794	9999-12-31	11075
36/7-1	30	2280-2285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_30_2280-2285m.jpg	1794	9999-12-31	11076
36/7-1	31	2285-2290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_31_2285-2290m.jpg	1794	9999-12-31	11077
36/7-1	32	2290-2295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_32_2290-2295m.jpg	1794	9999-12-31	11078
36/7-1	33	2295-2300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_33_2295-2300m.jpg	1794	9999-12-31	11079
36/7-1	34	2305-2308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_34_2305-2308m.jpg	1794	9999-12-31	11080
36/7-1	35	2309-2314m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_35_2309-2314m.jpg	1794	9999-12-31	11081
36/7-1	36	2314-2319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_36_2314-2319m.jpg	1794	9999-12-31	11082
36/7-1	37	2319-2324m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_37_2319-2324m.jpg	1794	9999-12-31	11083
36/7-1	38	2324-2329m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_38_2324-2329m.jpg	1794	9999-12-31	11084
36/7-1	39	2329-2334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_39_2329-2334m.jpg	1794	9999-12-31	11085
36/7-1	40	2334-2339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_40_2334-2339m.jpg	1794	9999-12-31	11086
36/7-1	41	2339-2344m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_41_2339-2344m.jpg	1794	9999-12-31	11087
36/7-1	42	2344-2345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_42_2344-2345m.jpg	1794	9999-12-31	11088
36/7-1	43	2346-2351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_43_2346-2351m.jpg	1794	9999-12-31	11089
36/7-1	44	2151-2356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_44_2151-2356m.jpg	1794	9999-12-31	11090
36/7-1	45	2356-2361m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_45_2356-2361m.jpg	1794	9999-12-31	11091
36/7-1	46	2361-2366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_46_2361-2366m.jpg	1794	9999-12-31	11092
36/7-1	47	2366-2371m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_47_2366-2371m.jpg	1794	9999-12-31	11093
36/7-1	48	2371-2376m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_48_2371-2376m.jpg	1794	9999-12-31	11094
36/7-1	49	2376-2381m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_49_2376-2381m.jpg	1794	9999-12-31	11095
36/7-1	50	2381-2383m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_50_2381-2383m.jpg	1794	9999-12-31	11096
36/7-1	51	2383-2388m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_51_2383-2388m.jpg	1794	9999-12-31	11097
36/7-1	52	2388-2393m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_52_2388-2393m.jpg	1794	9999-12-31	11098
36/7-1	53	2393-2398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_53_2393-2398m.jpg	1794	9999-12-31	11099
36/7-1	54	2398-2403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_54_2398-2403m.jpg	1794	9999-12-31	11100
36/7-1	55	2403-2408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_55_2403-2408m.jpg	1794	9999-12-31	11101
36/7-1	56	2408-2413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_56_2408-2413m.jpg	1794	9999-12-31	11102
36/7-1	57	2413-2418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_57_2413-2418m.jpg	1794	9999-12-31	11103
36/7-1	58	2418-2423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_58_2418-2423m.jpg	1794	9999-12-31	11104
36/7-1	59	2423-2428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_59_2423-2428m.jpg	1794	9999-12-31	11105
36/7-1	60	2428-2430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1794_60_2428-2430m.jpg	1794	9999-12-31	11106
6/3-1	1	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_001_2967-2985m.jpg	450	9999-12-31	11107
6/3-1	2	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_002_2967-2985m.jpg	450	9999-12-31	11108
6/3-1	3	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_003_2967-2985m.jpg	450	9999-12-31	11109
6/3-1	4	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_004_2967-2985m.jpg	450	9999-12-31	11110
6/3-1	5	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_005_2967-2985m.jpg	450	9999-12-31	11111
6/3-1	6	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_006_2967-2985m.jpg	450	9999-12-31	11112
6/3-1	7	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_007_2967-2985m.jpg	450	9999-12-31	11113
6/3-1	8	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_008_2967-2985m.jpg	450	9999-12-31	11114
6/3-1	9	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_009_2967-2985m.jpg	450	9999-12-31	11115
6/3-1	10	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_010_2967-2985m.jpg	450	9999-12-31	11116
6/3-1	11	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_011_2967-2985m.jpg	450	9999-12-31	11117
6/3-1	12	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_012_2967-2985m.jpg	450	9999-12-31	11118
6/3-1	13	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_013_2967-2985m.jpg	450	9999-12-31	11119
6/3-1	14	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_014_2967-2985m.jpg	450	9999-12-31	11120
6/3-1	14	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_014_3025-3043m.jpg	450	9999-12-31	11121
6/3-1	15	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_015_2967-2985m.jpg	450	9999-12-31	11122
6/3-1	16	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_016_2967-2985m.jpg	450	9999-12-31	11123
6/3-1	17	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_017_2967-2985m.jpg	450	9999-12-31	11124
6/3-1	18	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_018_2967-2985m.jpg	450	9999-12-31	11125
6/3-1	19	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_019_2967-2985m.jpg	450	9999-12-31	11126
6/3-1	20	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_020_2967-2985m.jpg	450	9999-12-31	11127
6/3-1	21	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_021_2967-2985m.jpg	450	9999-12-31	11128
6/3-1	22	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_022_2967-2985m.jpg	450	9999-12-31	11129
6/3-1	23	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_023_2967-2985m.jpg	450	9999-12-31	11130
6/3-1	24	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_024_2967-2985m.jpg	450	9999-12-31	11131
6/3-1	25	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_025_2967-2985m.jpg	450	9999-12-31	11132
6/3-1	26	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_026_2967-2985m.jpg	450	9999-12-31	11133
6/3-1	27	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_027_2967-2985m.jpg	450	9999-12-31	11134
6/3-1	28	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_028_2967-2985m.jpg	450	9999-12-31	11135
6/3-1	29	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_029_2967-2985m.jpg	450	9999-12-31	11136
6/3-1	30	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_030_2967-2985m.jpg	450	9999-12-31	11137
6/3-1	31	2967-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_031_2967-2985m.jpg	450	9999-12-31	11138
6/3-1	32	2986-2987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_032_2986-2987m.jpg	450	9999-12-31	11139
6/3-1	33	2986-2987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_033_2986-2987m.jpg	450	9999-12-31	11140
6/3-1	34	2986-2987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_034_2986-2987m.jpg	450	9999-12-31	11141
6/3-1	35	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_035_2988-3006m.jpg	450	9999-12-31	11142
6/3-1	36	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_036_2988-3006m.jpg	450	9999-12-31	11143
6/3-1	37	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_037_2988-3006m.jpg	450	9999-12-31	11144
6/3-1	38	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_038_2988-3006m.jpg	450	9999-12-31	11145
6/3-1	39	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_039_2988-3006m.jpg	450	9999-12-31	11146
6/3-1	40	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_040_2988-3006m.jpg	450	9999-12-31	11147
6/3-1	41	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_041_2988-3006m.jpg	450	9999-12-31	11148
6/3-1	42	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_042_2988-3006m.jpg	450	9999-12-31	11149
6/3-1	43	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_043_2988-3006m.jpg	450	9999-12-31	11150
6/3-1	44	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_044_2988-3006m.jpg	450	9999-12-31	11151
6/3-1	45	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_045_2988-3006m.jpg	450	9999-12-31	11152
6/3-1	46	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_046_2988-3006m.jpg	450	9999-12-31	11153
6/3-1	47	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_047_2988-3006m.jpg	450	9999-12-31	11154
6/3-1	48	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_048_2988-3006m.jpg	450	9999-12-31	11155
6/3-1	49	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_049_2988-3006m.jpg	450	9999-12-31	11156
6/3-1	50	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_050_2988-3006m.jpg	450	9999-12-31	11157
6/3-1	51	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_051_2988-3006m.jpg	450	9999-12-31	11158
6/3-1	52	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_052_2988-3006m.jpg	450	9999-12-31	11159
6/3-1	53	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_053_2988-3006m.jpg	450	9999-12-31	11160
6/3-1	54	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_054_2988-3006m.jpg	450	9999-12-31	11161
6/3-1	55	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_055_2988-3006m.jpg	450	9999-12-31	11162
6/3-1	56	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_056_2988-3006m.jpg	450	9999-12-31	11163
6/3-1	57	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_057_2988-3006m.jpg	450	9999-12-31	11164
6/3-1	58	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_058_2988-3006m.jpg	450	9999-12-31	11165
6/3-1	59	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_059_2988-3006m.jpg	450	9999-12-31	11166
6/3-1	60	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_060_2988-3006m.jpg	450	9999-12-31	11167
6/3-1	61	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_061_2988-3006m.jpg	450	9999-12-31	11168
6/3-1	62	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_062_2988-3006m.jpg	450	9999-12-31	11169
6/3-1	63	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_063_2988-3006m.jpg	450	9999-12-31	11170
6/3-1	64	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_064_2988-3006m.jpg	450	9999-12-31	11171
6/3-1	65	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_065_2988-3006m.jpg	450	9999-12-31	11172
6/3-1	66	2988-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_066_2988-3006m.jpg	450	9999-12-31	11173
6/3-1	67	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_067_3007-3025m.jpg	450	9999-12-31	11174
6/3-1	68	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_068_3007-3025m.jpg	450	9999-12-31	11175
6/3-1	69	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_069_3007-3025m.jpg	450	9999-12-31	11176
6/3-1	70	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_070_3007-3025m.jpg	450	9999-12-31	11177
6/3-1	71	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_071_3007-3025m.jpg	450	9999-12-31	11178
6/3-1	72	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_072_3007-3025m.jpg	450	9999-12-31	11179
6/3-1	73	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_073_3007-3025m.jpg	450	9999-12-31	11180
6/3-1	74	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_074_3007-3025m.jpg	450	9999-12-31	11181
6/3-1	75	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_075_3007-3025m.jpg	450	9999-12-31	11182
6/3-1	76	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_076_3007-3025m.jpg	450	9999-12-31	11183
6/3-1	77	3007-3024m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_077_3007-3024m.jpg	450	9999-12-31	11184
6/3-1	78	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_078_3007-3025m.jpg	450	9999-12-31	11185
6/3-1	79	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_079_3007-3025m.jpg	450	9999-12-31	11186
6/3-1	80	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_080_3007-3025m.jpg	450	9999-12-31	11187
6/3-1	81	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_081_3007-3025m.jpg	450	9999-12-31	11188
6/3-1	82	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_082_3007-3025m.jpg	450	9999-12-31	11189
6/3-1	83	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_083_3007-3025m.jpg	450	9999-12-31	11190
6/3-1	84	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_084_3007-3025m.jpg	450	9999-12-31	11191
6/3-1	85	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_085_3007-3025m.jpg	450	9999-12-31	11192
6/3-1	86	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_086_3007-3025m.jpg	450	9999-12-31	11193
6/3-1	87	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_087_3007-3025m.jpg	450	9999-12-31	11194
6/3-1	88	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_088_3007-3025m.jpg	450	9999-12-31	11195
6/3-1	89	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_089_3007-3025m.jpg	450	9999-12-31	11196
6/3-1	90	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_090_3007-3025m.jpg	450	9999-12-31	11197
6/3-1	91	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_091_3007-3025m.jpg	450	9999-12-31	11198
6/3-1	92	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_092_3007-3025m.jpg	450	9999-12-31	11199
6/3-1	93	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_093_3007-3025m.jpg	450	9999-12-31	11200
6/3-1	94	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_094_3007-3025m.jpg	450	9999-12-31	11201
6/3-1	95	3007-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_095_3007-3025m.jpg	450	9999-12-31	11202
6/3-1	96	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_096_3025-3043m.jpg	450	9999-12-31	11203
6/3-1	97	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_097_3025-3043m.jpg	450	9999-12-31	11204
6/3-1	98	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_098_3025-3043m.jpg	450	9999-12-31	11205
6/3-1	99	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_099_3025-3043m.jpg	450	9999-12-31	11206
6/3-1	100	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_100_3025-3043m.jpg	450	9999-12-31	11207
6/3-1	101	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_101_3025-3043m.jpg	450	9999-12-31	11208
6/3-1	102	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_102_3025-3043m.jpg	450	9999-12-31	11209
6/3-1	103	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_103_3025-3043m.jpg	450	9999-12-31	11210
6/3-1	104	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_104_3025-3043m.jpg	450	9999-12-31	11211
6/3-1	105	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_105_3025-3043m.jpg	450	9999-12-31	11212
6/3-1	106	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_106_3025-3043m.jpg	450	9999-12-31	11213
6/3-1	107	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_107_3025-3043m.jpg	450	9999-12-31	11214
6/3-1	108	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_108_3025-3043m.jpg	450	9999-12-31	11215
6/3-1	109	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_109_3025-3043m.jpg	450	9999-12-31	11216
6/3-1	110	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_110_3025-3043m.jpg	450	9999-12-31	11217
6/3-1	111	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_111_3025-3043m.jpg	450	9999-12-31	11218
6/3-1	112	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_112_3025-3043m.jpg	450	9999-12-31	11219
6/3-1	113	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_113_3025-3043m.jpg	450	9999-12-31	11220
6/3-1	115	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_115_3025-3043m.jpg	450	9999-12-31	11221
6/3-1	116	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_116_3025-3043m.jpg	450	9999-12-31	11222
6/3-1	117	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_117_3025-3043m.jpg	450	9999-12-31	11223
6/3-1	118	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_118_3025-3043m.jpg	450	9999-12-31	11224
6/3-1	119	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_119_3025-3043m.jpg	450	9999-12-31	11225
6/3-1	120	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_120_3025-3043m.jpg	450	9999-12-31	11226
6/3-1	121	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_121_3025-3043m.jpg	450	9999-12-31	11227
6/3-1	122	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_122_3025-3043m.jpg	450	9999-12-31	11228
6/3-1	123	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_123_3025-3043m.jpg	450	9999-12-31	11229
6/3-1	124	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_124_3025-3043m.jpg	450	9999-12-31	11230
6/3-1	125	3025-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_125_3025-3043m.jpg	450	9999-12-31	11231
6/3-1	126	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_126_3043-3061m.jpg	450	9999-12-31	11232
6/3-1	127	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_127_3043-3061m.jpg	450	9999-12-31	11233
6/3-1	128	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_128_3043-3061m.jpg	450	9999-12-31	11234
6/3-1	129	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_129_3043-3061m.jpg	450	9999-12-31	11235
6/3-1	130	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_130_3043-3061m.jpg	450	9999-12-31	11236
6/3-1	131	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_131_3043-3061m.jpg	450	9999-12-31	11237
6/3-1	132	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_132_3043-3061m.jpg	450	9999-12-31	11238
6/3-1	133	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_133_3043-3061m.jpg	450	9999-12-31	11239
6/3-1	134	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_134_3043-3061m.jpg	450	9999-12-31	11240
6/3-1	135	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_135_3043-3061m.jpg	450	9999-12-31	11241
6/3-1	136	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_136_3043-3061m.jpg	450	9999-12-31	11242
6/3-1	137	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_137_3043-3061m.jpg	450	9999-12-31	11243
6/3-1	138	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_138_3043-3061m.jpg	450	9999-12-31	11244
6/3-1	139	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_139_3043-3061m.jpg	450	9999-12-31	11245
6/3-1	140	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_140_3043-3061m.jpg	450	9999-12-31	11246
6/3-1	141	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_141_3043-3061m.jpg	450	9999-12-31	11247
6/3-1	142	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_142_3043-3061m.jpg	450	9999-12-31	11248
6/3-1	143	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_143_3043-3061m.jpg	450	9999-12-31	11249
6/3-1	144	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_144_3043-3061m.jpg	450	9999-12-31	11250
6/3-1	145	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_145_3043-3061m.jpg	450	9999-12-31	11251
6/3-1	146	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_146_3043-3061m.jpg	450	9999-12-31	11252
6/3-1	147	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_147_3043-3061m.jpg	450	9999-12-31	11253
6/3-1	148	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_148_3043-3061m.jpg	450	9999-12-31	11254
6/3-1	149	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_149_3043-3061m.jpg	450	9999-12-31	11255
6/3-1	150	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_150_3043-3061m.jpg	450	9999-12-31	11256
6/3-1	151	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_151_3043-3061m.jpg	450	9999-12-31	11257
6/3-1	152	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_152_3043-3061m.jpg	450	9999-12-31	11258
6/3-1	153	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_153_3043-3061m.jpg	450	9999-12-31	11259
6/3-1	154	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_154_3043-3061m.jpg	450	9999-12-31	11260
6/3-1	155	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_155_3043-3061m.jpg	450	9999-12-31	11261
6/3-1	156	3043-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_156_3043-3061m.jpg	450	9999-12-31	11262
6/3-1	157	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_157_3061-3089m.jpg	450	9999-12-31	11263
6/3-1	158	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_158_3061-3089m.jpg	450	9999-12-31	11264
6/3-1	159	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_159_3061-3089m.jpg	450	9999-12-31	11265
6/3-1	160	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_160_3061-3089m.jpg	450	9999-12-31	11266
6/3-1	161	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_161_3061-3089m.jpg	450	9999-12-31	11267
6/3-1	162	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_162_3061-3089m.jpg	450	9999-12-31	11268
6/3-1	163	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_163_3061-3089m.jpg	450	9999-12-31	11269
6/3-1	164	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_164_3061-3089m.jpg	450	9999-12-31	11270
6/3-1	165	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_165_3061-3089m.jpg	450	9999-12-31	11271
6/3-1	166	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_166_3061-3089m.jpg	450	9999-12-31	11272
6/3-1	167	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_167_3061-3089m.jpg	450	9999-12-31	11273
6/3-1	168	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_168_3061-3089m.jpg	450	9999-12-31	11274
6/3-1	169	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_169_3061-3089m.jpg	450	9999-12-31	11275
6/3-1	170	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_170_3061-3089m.jpg	450	9999-12-31	11276
6/3-1	171	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_171_3061-3089m.jpg	450	9999-12-31	11277
6/3-1	172	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_172_3061-3089m.jpg	450	9999-12-31	11278
6/3-1	173	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_173_3061-3089m.jpg	450	9999-12-31	11279
6/3-1	174	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_174_3061-3089m.jpg	450	9999-12-31	11280
6/3-1	175	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_175_3061-3089m.jpg	450	9999-12-31	11281
6/3-1	176	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_176_3061-3089m.jpg	450	9999-12-31	11282
6/3-1	177	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_177_3061-3089m.jpg	450	9999-12-31	11283
6/3-1	178	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_178_3061-3089m.jpg	450	9999-12-31	11284
6/3-1	179	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_179_3061-3089m.jpg	450	9999-12-31	11285
6/3-1	180	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_180_3061-3089m.jpg	450	9999-12-31	11286
6/3-1	181	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_181_3061-3089m.jpg	450	9999-12-31	11287
6/3-1	182	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_182_3061-3089m.jpg	450	9999-12-31	11288
6/3-1	183	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_183_3061-3089m.jpg	450	9999-12-31	11289
6/3-1	184	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_184_3061-3089m.jpg	450	9999-12-31	11290
6/3-1	185	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_185_3061-3089m.jpg	450	9999-12-31	11291
6/3-1	186	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_186_3061-3089m.jpg	450	9999-12-31	11292
6/3-1	187	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_187_3061-3089m.jpg	450	9999-12-31	11293
6/3-1	188	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_188_3061-3089m.jpg	450	9999-12-31	11294
6/3-1	189	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_189_3061-3089m.jpg	450	9999-12-31	11295
6/3-1	190	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_190_3061-3089m.jpg	450	9999-12-31	11296
6/3-1	191	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_191_3061-3089m.jpg	450	9999-12-31	11297
6/3-1	192	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_192_3061-3089m.jpg	450	9999-12-31	11298
6/3-1	193	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_193_3061-3089m.jpg	450	9999-12-31	11299
6/3-1	194	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_194_3061-3089m.jpg	450	9999-12-31	11300
6/3-1	195	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_195_3061-3089m.jpg	450	9999-12-31	11301
6/3-1	196	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_196_3061-3089m.jpg	450	9999-12-31	11302
6/3-1	197	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_197_3061-3089m.jpg	450	9999-12-31	11303
6/3-1	198	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_198_3061-3089m.jpg	450	9999-12-31	11304
6/3-1	199	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_199_3061-3089m.jpg	450	9999-12-31	11305
6/3-1	200	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_200_3061-3089m.jpg	450	9999-12-31	11306
6/3-1	201	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_201_3061-3089m.jpg	450	9999-12-31	11307
6/3-1	202	3061-3089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_202_3061-3089m.jpg	450	9999-12-31	11308
6/3-1	203	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_203_3089-3116m.jpg	450	9999-12-31	11309
6/3-1	204	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_204_3089-3116m.jpg	450	9999-12-31	11310
6/3-1	205	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_205_3089-3116m.jpg	450	9999-12-31	11311
6/3-1	206	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_206_3089-3116m.jpg	450	9999-12-31	11312
6/3-1	207	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_207_3089-3116m.jpg	450	9999-12-31	11313
6/3-1	208	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_208_3089-3116m.jpg	450	9999-12-31	11314
6/3-1	209	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_209_3089-3116m.jpg	450	9999-12-31	11315
6/3-1	210	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_210_3089-3116m.jpg	450	9999-12-31	11316
6/3-1	211	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_211_3089-3116m.jpg	450	9999-12-31	11317
6/3-1	212	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_212_3089-3116m.jpg	450	9999-12-31	11318
6/3-1	213	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_213_3089-3116m.jpg	450	9999-12-31	11319
6/3-1	214	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_214_3089-3116m.jpg	450	9999-12-31	11320
6/3-1	215	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_215_3089-3116m.jpg	450	9999-12-31	11321
6/3-1	216	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_216_3089-3116m.jpg	450	9999-12-31	11322
6/3-1	217	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_217_3089-3116m.jpg	450	9999-12-31	11323
6/3-1	218	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_218_3089-3116m.jpg	450	9999-12-31	11324
6/3-1	219	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_219_3089-3116m.jpg	450	9999-12-31	11325
6/3-1	220	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_220_3089-3116m.jpg	450	9999-12-31	11326
6/3-1	221	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_221_3089-3116m.jpg	450	9999-12-31	11327
6/3-1	222	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_222_3089-3116m.jpg	450	9999-12-31	11328
6/3-1	223	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_223_3089-3116m.jpg	450	9999-12-31	11329
6/3-1	224	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_224_3089-3116m.jpg	450	9999-12-31	11330
6/3-1	225	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_225_3089-3116m.jpg	450	9999-12-31	11331
6/3-1	226	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_226_3089-3116m.jpg	450	9999-12-31	11332
6/3-1	227	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_227_3089-3116m.jpg	450	9999-12-31	11333
6/3-1	228	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_228_3089-3116m.jpg	450	9999-12-31	11334
6/3-1	229	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_229_3089-3116m.jpg	450	9999-12-31	11335
6/3-1	230	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_230_3089-3116m.jpg	450	9999-12-31	11336
6/3-1	231	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_231_3089-3116m.jpg	450	9999-12-31	11337
6/3-1	232	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_232_3089-3116m.jpg	450	9999-12-31	11338
6/3-1	233	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_233_3089-3116m.jpg	450	9999-12-31	11339
6/3-1	234	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_234_3089-3116m.jpg	450	9999-12-31	11340
6/3-1	235	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_235_3089-3116m.jpg	450	9999-12-31	11341
6/3-1	236	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_236_3089-3116m.jpg	450	9999-12-31	11342
6/3-1	237	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_237_3089-3116m.jpg	450	9999-12-31	11343
6/3-1	238	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_238_3089-3116m.jpg	450	9999-12-31	11344
6/3-1	239	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_239_3089-3116m.jpg	450	9999-12-31	11345
6/3-1	240	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_240_3089-3116m.jpg	450	9999-12-31	11346
6/3-1	241	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_241_3089-3116m.jpg	450	9999-12-31	11347
6/3-1	242	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_242_3089-3116m.jpg	450	9999-12-31	11348
6/3-1	243	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_243_3089-3116m.jpg	450	9999-12-31	11349
6/3-1	244	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_244_3089-3116m.jpg	450	9999-12-31	11350
6/3-1	245	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_245_3089-3116m.jpg	450	9999-12-31	11351
6/3-1	246	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_246_3089-3116m.jpg	450	9999-12-31	11352
6/3-1	247	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_247_3089-3116m.jpg	450	9999-12-31	11353
6/3-1	248	3089-3116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/450_248_3089-3116m.jpg	450	9999-12-31	11354
6/3-2	1	2794-2799m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_01_2794-2799m.jpg	862	9999-12-31	11355
6/3-2	2	2799-2803m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_02_2799-2803m.jpg	862	9999-12-31	11356
6/3-2	3	2803-2808m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_03_2803-2808m.jpg	862	9999-12-31	11357
6/3-2	4	2808-2813m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_04_2808-2813m.jpg	862	9999-12-31	11358
6/3-2	5	2813-2818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_05_2813-2818m.jpg	862	9999-12-31	11359
6/3-2	6	2818-2823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_06_2818-2823m.jpg	862	9999-12-31	11360
6/3-2	7	2823-2828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_07_2823-2828m.jpg	862	9999-12-31	11361
6/3-2	8	2828-2831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_08_2828-2831m.jpg	862	9999-12-31	11362
6/3-2	9	2831-2836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_09_2831-2836m.jpg	862	9999-12-31	11363
6/3-2	10	2836-2841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_10_2836-2841m.jpg	862	9999-12-31	11364
6/3-2	11	2841-2846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_11_2841-2846m.jpg	862	9999-12-31	11365
6/3-2	12	2846-2851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_12_2846-2851m.jpg	862	9999-12-31	11366
6/3-2	13	2851-2856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_13_2851-2856m.jpg	862	9999-12-31	11367
6/3-2	14	2856-2859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_14_2856-2859m.jpg	862	9999-12-31	11368
6/3-2	15	3042-3047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_15_3042-3047m.jpg	862	9999-12-31	11369
6/3-2	16	3049-3054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_16_3049-3054m.jpg	862	9999-12-31	11370
6/3-2	17	3043-3059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_17_3043-3059m.jpg	862	9999-12-31	11371
6/3-2	18	3059-3064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_18_3059-3064m.jpg	862	9999-12-31	11372
6/3-2	19	3064-3069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_19_3064-3069m.jpg	862	9999-12-31	11373
6/3-2	20	3069-3074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_20_3069-3074m.jpg	862	9999-12-31	11374
6/3-2	21	3074-3075m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_21_3074-3075m.jpg	862	9999-12-31	11375
6/3-2	22	3077-3082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_22_3077-3082m.jpg	862	9999-12-31	11376
6/3-2	23	3082-3087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_23_3082-3087m.jpg	862	9999-12-31	11377
6/3-2	24	3087-3092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_24_3087-3092m.jpg	862	9999-12-31	11378
6/3-2	25	3092-3097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_25_3092-3097m.jpg	862	9999-12-31	11379
6/3-2	26	3097-3100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_26_3097-3100m.jpg	862	9999-12-31	11380
6/3-2	27	3100-3105m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_27_3100-3105m.jpg	862	9999-12-31	11381
6/3-2	28	3105-3110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_28_3105-3110m.jpg	862	9999-12-31	11382
6/3-2	29	3110-3115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_29_3110-3115m.jpg	862	9999-12-31	11383
6/3-2	30	3115-3120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_30_3115-3120m.jpg	862	9999-12-31	11384
6/3-2	31	3120-3125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_31_3120-3125m.jpg	862	9999-12-31	11385
6/3-2	32	3125-3127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_32_3125-3127m.jpg	862	9999-12-31	11386
6/3-2	33	3127-3132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_33_3127-3132m.jpg	862	9999-12-31	11387
6/3-2	34	3132-3137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_34_3132-3137m.jpg	862	9999-12-31	11388
6/3-2	35	3137-3142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_35_3137-3142m.jpg	862	9999-12-31	11389
6/3-2	36	3142-3147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_36_3142-3147m.jpg	862	9999-12-31	11390
6/3-2	37	3147-3152m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_37_3147-3152m.jpg	862	9999-12-31	11391
6/3-2	38	3152-3155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_38_3152-3155m.jpg	862	9999-12-31	11392
6/3-2	39	3155-3160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_39_3155-3160m.jpg	862	9999-12-31	11393
6/3-2	40	3160-3165m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_40_3160-3165m.jpg	862	9999-12-31	11394
6/3-2	41	3165-3110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_41_3165-3110m.jpg	862	9999-12-31	11395
6/3-2	42	3170-3174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_42_3170-3174m.jpg	862	9999-12-31	11396
6/3-2	43	3174-3179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_43_3174-3179m.jpg	862	9999-12-31	11397
6/3-2	44	3179-3184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_44_3179-3184m.jpg	862	9999-12-31	11398
6/3-2	45	3184-3189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_45_3184-3189m.jpg	862	9999-12-31	11399
6/3-2	46	3189-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_46_3189-3194m.jpg	862	9999-12-31	11400
6/3-2	47	3194-3197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_47_3194-3197m.jpg	862	9999-12-31	11401
6/3-2	48	4088-4089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/862_48_4088-4089m.jpg	862	9999-12-31	11402
6201/11-1	1	2701-2705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_01_2701-2705m.jpg	1134	9999-12-31	11403
6201/11-1	2	2706-2710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_02_2706-2710m.jpg	1134	9999-12-31	11404
6201/11-1	3	2711-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_03_2711-2712m.jpg	1134	9999-12-31	11405
6201/11-1	4	2729-2733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_04_2729-2733m.jpg	1134	9999-12-31	11406
6201/11-1	5	2734-2738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_05_2734-2738m.jpg	1134	9999-12-31	11407
6201/11-1	6	2739-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_06_2739-2739m.jpg	1134	9999-12-31	11408
6201/11-1	7	2740-2744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_07_2740-2744m.jpg	1134	9999-12-31	11409
6201/11-1	8	2745-2749m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_08_2745-2749m.jpg	1134	9999-12-31	11410
6201/11-1	9	2750-2754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_09_2750-2754m.jpg	1134	9999-12-31	11411
6201/11-1	10	2755-2759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_10_2755-2759m.jpg	1134	9999-12-31	11412
6201/11-1	11	2760-2764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_11_2760-2764m.jpg	1134	9999-12-31	11413
6201/11-1	12	2765-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_12_2765-2766m.jpg	1134	9999-12-31	11414
6201/11-1	13	2767-2771m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_13_2767-2771m.jpg	1134	9999-12-31	11415
6201/11-1	14	2772-2778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_14_2772-2778m.jpg	1134	9999-12-31	11416
6201/11-1	15	2777-2778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_15_2777-2778m.jpg	1134	9999-12-31	11417
6201/11-1	16	2779-2783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_16_2779-2783m.jpg	1134	9999-12-31	11418
6201/11-1	17	2784-2785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_17_2784-2785m.jpg	1134	9999-12-31	11419
6201/11-1	18	2822-2826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_18_2822-2826m.jpg	1134	9999-12-31	11420
6201/11-1	19	2827-2831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_19_2827-2831m.jpg	1134	9999-12-31	11421
6201/11-1	20	2832-2835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_20_2832-2835m.jpg	1134	9999-12-31	11422
6201/11-1	21	2837-2840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_21_2837-2840m.jpg	1134	9999-12-31	11423
6201/11-1	22	2841-2845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_22_2841-2845m.jpg	1134	9999-12-31	11424
6201/11-1	23	2853-2857m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_23_2853-2857m.jpg	1134	9999-12-31	11425
6201/11-1	24	2858-2862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_24_2858-2862m.jpg	1134	9999-12-31	11426
6201/11-1	25	2863-2867m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_25_2863-2867m.jpg	1134	9999-12-31	11427
6201/11-1	26	2868-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_26_2868-2872m.jpg	1134	9999-12-31	11428
6201/11-1	27	2873-2877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_27_2873-2877m.jpg	1134	9999-12-31	11429
6201/11-1	28	2878-2881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_28_2878-2881m.jpg	1134	9999-12-31	11430
6201/11-1	29	2881-2885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_29_2881-2885m.jpg	1134	9999-12-31	11431
6201/11-1	30	2886-2890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_30_2886-2890m.jpg	1134	9999-12-31	11432
6201/11-1	31	2891-2895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_31_2891-2895m.jpg	1134	9999-12-31	11433
6201/11-1	32	2896-2900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_32_2896-2900m.jpg	1134	9999-12-31	11434
6201/11-1	33	2901-2905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_33_2901-2905m.jpg	1134	9999-12-31	11435
6201/11-1	34	2906-2910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_34_2906-2910m.jpg	1134	9999-12-31	11436
6201/11-1	35	2911-2915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_35_2911-2915m.jpg	1134	9999-12-31	11437
6201/11-1	36	2916-2918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1134_36_2916-2918m.jpg	1134	9999-12-31	11438
6201/11-2	1	3697-3702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1549_01_3697-3702m.jpg	1549	9999-12-31	11439
6201/11-2	2	3702-3707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1549_02_3702-3707m.jpg	1549	9999-12-31	11440
6201/11-2	3	3707-3710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1549_03_3707-3710m.jpg	1549	9999-12-31	11441
6204/10-1	1	811-816m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_01_811-816m.jpg	2666	9999-12-31	11442
6204/10-1	2	816-821m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_02_816-821m.jpg	2666	9999-12-31	11443
6204/10-1	3	821-826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_03_821-826m.jpg	2666	9999-12-31	11444
6204/10-1	4	826	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_04_826_827m.jpg	2666	9999-12-31	11445
6204/10-1	5	1890-1895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_05_1890-1895m.jpg	2666	9999-12-31	11446
6204/10-1	6	1895-1898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_06_1895-1898m.jpg	2666	9999-12-31	11447
6204/10-1	7	1948-1953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_07_1948-1953m.jpg	2666	9999-12-31	11448
6204/10-1	8	1953-1955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_08_1953-1955m.jpg	2666	9999-12-31	11449
6204/10-1	9	1974-1979m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_09_1974-1979m.jpg	2666	9999-12-31	11450
6204/10-1	10	1979-1984m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_10_1979-1984m.jpg	2666	9999-12-31	11451
6204/10-1	11	1984-1989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_11_1984-1989m.jpg	2666	9999-12-31	11452
6204/10-1	12	1989-1944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2666_12_1989-1944m.jpg	2666	9999-12-31	11453
6204/10-2 A	1	2105-2110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3280_01_2105-2110m.jpg	3280	9999-12-31	11454
6204/10-2 A	2	2110-2115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3280_02_2110-2115m.jpg	3280	9999-12-31	11455
6204/10-2 A	3	2115-2120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3280_03_2115-2120m.jpg	3280	9999-12-31	11456
6204/10-2 A	4	2120-2121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3280_04_2120-2121m.jpg	3280	9999-12-31	11457
6204/10-2 R	1	1872-1877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3258_01_1872-1877m.jpg	3258	9999-12-31	11458
6204/10-2 R	2	1877-1882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3258_02_1877-1882m.jpg	3258	9999-12-31	11459
6204/10-2 R	3	1882-1887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3258_03_1882-1887m.jpg	3258	9999-12-31	11460
6204/10-2 R	4	1887-1890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3258_04_1887-1890m.jpg	3258	9999-12-31	11461
6204/10-2 R	5	1951-1956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3258_05_1951-1956m.jpg	3258	9999-12-31	11462
6204/10-2 R	6	1956-1961m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3258_06_1956-1961m.jpg	3258	9999-12-31	11463
6204/11-1	1	2008-2013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_01_2008-2013m.jpg	2205	9999-12-31	11464
6204/11-1	2	2013-2026m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_02_2013-2026m.jpg	2205	9999-12-31	11465
6204/11-1	3	2026-2021m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_03_2026-2021m.jpg	2205	9999-12-31	11466
6204/11-1	4	2021-2025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_04_2021-2025m.jpg	2205	9999-12-31	11467
6204/11-1	5	2133-2138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_05_2133-2138m.jpg	2205	9999-12-31	11468
6204/11-1	6	2138-2143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_06_2138-2143m.jpg	2205	9999-12-31	11469
6204/11-1	7	2143-2148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_07_2143-2148m.jpg	2205	9999-12-31	11470
6204/11-1	8	2148-2153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_08_2148-2153m.jpg	2205	9999-12-31	11471
6204/11-1	9	2153-2158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_09_2153-2158m.jpg	2205	9999-12-31	11472
6204/11-1	10	2158-2159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_10_2158-2159m.jpg	2205	9999-12-31	11473
6204/11-1	11	2778-2783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_11_2778-2783m.jpg	2205	9999-12-31	11474
6204/11-1	12	2783-2788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_12_2783-2788m.jpg	2205	9999-12-31	11475
6204/11-1	13	2788-2793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_13_2788-2793m.jpg	2205	9999-12-31	11476
6204/11-1	14	2793-2794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_14_2793-2794m.jpg	2205	9999-12-31	11477
6204/11-1	15	2794-2798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_15_2794-2798m.jpg	2205	9999-12-31	11478
6204/11-1	16	2798-2803m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_16_2798-2803m.jpg	2205	9999-12-31	11479
6204/11-1	17	2803-2808m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_17_2803-2808m.jpg	2205	9999-12-31	11480
6204/11-1	18	2808-2813m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_18_2808-2813m.jpg	2205	9999-12-31	11481
6204/11-1	19	2813-2818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_19_2813-2818m.jpg	2205	9999-12-31	11482
6204/11-1	20	2818-2819m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_20_2818-2819m.jpg	2205	9999-12-31	11483
6204/11-1	21	2818-2823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_21_2818-2823m.jpg	2205	9999-12-31	11484
6204/11-1	22	2823-2828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_22_2823-2828m.jpg	2205	9999-12-31	11485
6204/11-1	23	2828-2833m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_23_2828-2833m.jpg	2205	9999-12-31	11486
6204/11-1	24	2833-2838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_24_2833-2838m.jpg	2205	9999-12-31	11487
6204/11-1	25	2838-2843m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_25_2838-2843m.jpg	2205	9999-12-31	11488
6204/11-1	26	2843-2846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2205_26_2843-2846m.jpg	2205	9999-12-31	11489
6205/3-1 R	1	4220-4225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_01_4220-4225m.jpg	1510	9999-12-31	11490
6205/3-1 R	2	4225-4227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_02_4225-4227m.jpg	1510	9999-12-31	11491
6205/3-1 R	3	4332-4337m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_03_4332-4337m.jpg	1510	9999-12-31	11492
6205/3-1 R	4	4337-4340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_04_4337-4340m.jpg	1510	9999-12-31	11493
6205/3-1 R	5	4449-4452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_05_4449-4452m.jpg	1510	9999-12-31	11494
6205/3-1 R	6	4787-4789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_06_4787-4789m.jpg	1510	9999-12-31	11495
6205/3-1 R	7	4963-4968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_07_4963-4968m.jpg	1510	9999-12-31	11496
6205/3-1 R	8	4968-4973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_08_4968-4973m.jpg	1510	9999-12-31	11497
6205/3-1 R	9	4973-4978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_09_4973-4978m.jpg	1510	9999-12-31	11498
6205/3-1 R	10	4978-4981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_10_4978-4981m.jpg	1510	9999-12-31	11499
6205/3-1 R	11	5016-5021m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_11_5016-5021m.jpg	1510	9999-12-31	11500
6205/3-1 R	12	5021-5255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_12_5021-5255m.jpg	1510	9999-12-31	11501
6205/3-1 R	13	5255-5260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_13_5255-5260m.jpg	1510	9999-12-31	11502
6205/3-1 R	14	5260-5263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1510_14_5260-5263m.jpg	1510	9999-12-31	11503
6305/1-1	1	2556-2561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_01_2556-2561m.jpg	3555	9999-12-31	11504
6305/1-1	2	2561-2566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_02_2561-2566m.jpg	3555	9999-12-31	11505
6305/1-1	3	2566-2571m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_03_2566-2571m.jpg	3555	9999-12-31	11506
6305/1-1	4	2571-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_04_2571-2573m.jpg	3555	9999-12-31	11507
6305/1-1	5	2574-2579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_05_2574-2579m.jpg	3555	9999-12-31	11508
6305/1-1	6	2579-2582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_06_2579-2582m.jpg	3555	9999-12-31	11509
6305/1-1	7	2601-2602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_07_2601-2602m.jpg	3555	9999-12-31	11510
6305/1-1	8	2610-2615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_08_2610-2615m.jpg	3555	9999-12-31	11511
6305/1-1	9	2615-2620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_09_2615-2620m.jpg	3555	9999-12-31	11512
6305/1-1	10	2620-2623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_10_2620-2623m.jpg	3555	9999-12-31	11513
6305/1-1	11	3643-3648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_11_3643-3648m.jpg	3555	9999-12-31	11514
6305/1-1	12	3648-3653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_12_3648-3653m.jpg	3555	9999-12-31	11515
6305/1-1	13	3653-3658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_13_3653-3658m.jpg	3555	9999-12-31	11516
6305/1-1	14	3658-3663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_14_3658-3663m.jpg	3555	9999-12-31	11517
6305/1-1	15	3663-3668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_15_3663-3668m.jpg	3555	9999-12-31	11518
6305/1-1	16	3668-3670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3555_16_3668-3670m.jpg	3555	9999-12-31	11519
6305/12-1	1	3692-3697m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1808_01_3692-3697m.jpg	1808	9999-12-31	11520
6305/12-1	2	3697-3699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1808_02_3697-3699m.jpg	1808	9999-12-31	11521
6305/12-1	3	4168-4173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1808_03_4168-4173m.jpg	1808	9999-12-31	11522
6305/12-1	4	4173-4177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1808_04_4173-4177m.jpg	1808	9999-12-31	11523
6305/12-1	5	4300-4301m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1808_05_4300-4301m.jpg	1808	9999-12-31	11524
6305/4-1	1	1761-1766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_01_1761-1766m.jpg	4441	9999-12-31	11525
6305/4-1	2	1766-1771m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_02_1766-1771m.jpg	4441	9999-12-31	11526
6305/4-1	3	1771-1776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_03_1771-1776m.jpg	4441	9999-12-31	11527
6305/4-1	4	1776-1778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_04_1776-1778m.jpg	4441	9999-12-31	11528
6305/4-1	5	2769-2773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_05_2769-2773m.jpg	4441	9999-12-31	11529
6305/4-1	6	2773-2777m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_06_2773-2777m.jpg	4441	9999-12-31	11530
6305/4-1	7	2777-2781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_07_2777-2781m.jpg	4441	9999-12-31	11531
6305/4-1	8	2781-2785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_08_2781-2785m.jpg	4441	9999-12-31	11532
6305/4-1	9	2785-2788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_09_2785-2788m.jpg	4441	9999-12-31	11533
6305/4-1	10	2788-2792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_10_2788-2792m.jpg	4441	9999-12-31	11534
6305/4-1	11	2792-2796m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_11_2792-2796m.jpg	4441	9999-12-31	11535
6305/4-1	12	2796-2800m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_12_2796-2800m.jpg	4441	9999-12-31	11536
6305/4-1	13	2800-2804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_13_2800-2804m.jpg	4441	9999-12-31	11537
6305/4-1	14	2804-2806m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_14_2804-2806m.jpg	4441	9999-12-31	11538
6305/4-1	15	2807-2811m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_15_2807-2811m.jpg	4441	9999-12-31	11539
6305/4-1	16	2811-2815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_16_2811-2815m.jpg	4441	9999-12-31	11540
6305/4-1	17	2815-2817m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4441_17_2815-2817m.jpg	4441	9999-12-31	11541
6305/5-1	1	2730-2735m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_01_2730-2735m.jpg	3144	9999-12-31	11542
6305/5-1	2	2735-2740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_02_2735-2740m.jpg	3144	9999-12-31	11543
6305/5-1	3	2740-2745m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_03_2740-2745m.jpg	3144	9999-12-31	11544
6305/5-1	4	2745-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_04_2745-2748m.jpg	3144	9999-12-31	11545
6305/5-1	5	2749-2754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_05_2749-2754m.jpg	3144	9999-12-31	11546
6305/5-1	6	2754-2759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_06_2754-2759m.jpg	3144	9999-12-31	11547
6305/5-1	7	2759-2764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_07_2759-2764m.jpg	3144	9999-12-31	11548
6305/5-1	9	2767-2771m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_09_2767-2771m.jpg	3144	9999-12-31	11549
6305/5-1	10	2771-2776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_10_2771-2776m.jpg	3144	9999-12-31	11550
6305/5-1	11	2776-2781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_11_2776-2781m.jpg	3144	9999-12-31	11551
6305/5-1	12	2781-2783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_12_2781-2783m.jpg	3144	9999-12-31	11552
6305/5-1	13	2785-2790m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_13_2785-2790m.jpg	3144	9999-12-31	11553
6305/5-1	14	2790-2792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_14_2790-2792m.jpg	3144	9999-12-31	11554
6305/5-1	15	2792-2797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_15_2792-2797m.jpg	3144	9999-12-31	11555
6305/5-1	16	2797-2802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_16_2797-2802m.jpg	3144	9999-12-31	11556
6305/5-1	17	2802-2807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_17_2802-2807m.jpg	3144	9999-12-31	11557
6305/5-1	18	2807-2812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_18_2807-2812m.jpg	3144	9999-12-31	11558
6305/5-1	19	2812-2816m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3144_19_2812-2816m.jpg	3144	9999-12-31	11559
6305/7-1	1	2917-2922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_01_2917-2922m.jpg	3535	9999-12-31	11560
6305/7-1	2	2922-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_02_2922-2927m.jpg	3535	9999-12-31	11561
6305/7-1	3	2927-2932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_03_2927-2932m.jpg	3535	9999-12-31	11562
6305/7-1	4	2932-2937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_04_2932-2937m.jpg	3535	9999-12-31	11563
6305/7-1	5	2937-2942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_05_2937-2942m.jpg	3535	9999-12-31	11564
6305/7-1	6	2942-2944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_06_2942-2944m.jpg	3535	9999-12-31	11565
6305/7-1	7	2944-2949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_07_2944-2949m.jpg	3535	9999-12-31	11566
6305/7-1	8	2949-2954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_08_2949-2954m.jpg	3535	9999-12-31	11567
6305/7-1	9	2954-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_09_2954-2959m.jpg	3535	9999-12-31	11568
6305/7-1	10	2959-2964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_10_2959-2964m.jpg	3535	9999-12-31	11569
6305/7-1	11	2964-2969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_11_2964-2969m.jpg	3535	9999-12-31	11570
6305/7-1	12	2969-2971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_12_2969-2971m.jpg	3535	9999-12-31	11571
6305/7-1	13	2971-2976m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_13_2971-2976m.jpg	3535	9999-12-31	11572
6305/7-1	14	2976-2981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_14_2976-2981m.jpg	3535	9999-12-31	11573
6305/7-1	15	2981-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_15_2981-2985m.jpg	3535	9999-12-31	11574
6305/7-1	16	2985-2990m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_16_2985-2990m.jpg	3535	9999-12-31	11575
6305/7-1	17	2990-2995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_17_2990-2995m.jpg	3535	9999-12-31	11576
6305/7-1	18	2995-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_18_2995-3000m.jpg	3535	9999-12-31	11577
6305/7-1	19	3000-3005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_19_3000-3005m.jpg	3535	9999-12-31	11578
6305/7-1	20	3005-3010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_20_3005-3010m.jpg	3535	9999-12-31	11579
6305/7-1	21	3010-3012m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3535_21_3010-3012m.jpg	3535	9999-12-31	11580
6305/8-1	1	2895-2899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_01_2895-2899m.jpg	4109	9999-12-31	11581
6305/8-1	2	2899-2903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_02_2899-2903m.jpg	4109	9999-12-31	11582
6305/8-1	3	2903-2907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_03_2903-2907m.jpg	4109	9999-12-31	11583
6305/8-1	4	2907-2911m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_04_2907-2911m.jpg	4109	9999-12-31	11584
6305/8-1	5	2911-2914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_05_2911-2914m.jpg	4109	9999-12-31	11585
6305/8-1	6	2915-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_06_2915-2919m.jpg	4109	9999-12-31	11586
6305/8-1	7	2929-2923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_07_2929-2923m.jpg	4109	9999-12-31	11587
6305/8-1	8	2923-2927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_08_2923-2927m.jpg	4109	9999-12-31	11588
6305/8-1	9	2927-2931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_09_2927-2931m.jpg	4109	9999-12-31	11589
6305/8-1	10	2931-2935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_10_2931-2935m.jpg	4109	9999-12-31	11590
6305/8-1	11	2935-2939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_11_2935-2939m.jpg	4109	9999-12-31	11591
6305/8-1	12	2939-2943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_12_2939-2943m.jpg	4109	9999-12-31	11592
6305/8-1	13	2943-2944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_13_2943-2944m.jpg	4109	9999-12-31	11593
6305/8-1	14	2943-2947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_14_2943-2947m.jpg	4109	9999-12-31	11594
6305/8-1	14	2981-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_14_2981-2985m.jpg	4109	9999-12-31	11595
6305/8-1	15	2947-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_15_2947-2951m.jpg	4109	9999-12-31	11596
6305/8-1	16	2951-2955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_16_2951-2955m.jpg	4109	9999-12-31	11597
6305/8-1	17	2955-2959m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_17_2955-2959m.jpg	4109	9999-12-31	11598
6305/8-1	18	2959-2963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_18_2959-2963m.jpg	4109	9999-12-31	11599
6305/8-1	19	2963-2967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_19_2963-2967m.jpg	4109	9999-12-31	11600
6305/8-1	20	2967-2971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_20_2967-2971m.jpg	4109	9999-12-31	11601
6305/8-1	21	2971-2975m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_21_2971-2975m.jpg	4109	9999-12-31	11602
6305/8-1	22	2975-2979m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_22_2975-2979m.jpg	4109	9999-12-31	11603
6305/8-1	23	2979-2980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_23_2979-2980m.jpg	4109	9999-12-31	11604
6305/8-1	25	2985-2988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4109_25_2985-2988m.jpg	4109	9999-12-31	11605
6305/9-1	1	2477-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_01_2477-2478m.jpg	4297	9999-12-31	11606
6305/9-1	2	2478-2479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_02_2478-2479m.jpg	4297	9999-12-31	11607
6305/9-1	3	2479-2480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_03_2479-2480m.jpg	4297	9999-12-31	11608
6305/9-1	4	2480-2481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_04_2480-2481m.jpg	4297	9999-12-31	11609
6305/9-1	5	2481-2482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_05_2481-2482m.jpg	4297	9999-12-31	11610
6305/9-1	6	24822483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_06_24822483m.jpg	4297	9999-12-31	11611
6305/9-1	7	2483-2484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_07_2483-2484m.jpg	4297	9999-12-31	11612
6305/9-1	8	2484-2485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_08_2484-2485m.jpg	4297	9999-12-31	11613
6305/9-1	9	2485-2486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_09_2485-2486m.jpg	4297	9999-12-31	11614
6305/9-1	10	2486-2487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_10_2486-2487m.jpg	4297	9999-12-31	11615
6305/9-1	11	2487-2488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_11_2487-2488m.jpg	4297	9999-12-31	11616
6305/9-1	12	2488-2489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_12_2488-2489m.jpg	4297	9999-12-31	11617
6305/9-1	13	2489-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_13_2489-2490m.jpg	4297	9999-12-31	11618
6305/9-1	14	2490-2491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_14_2490-2491m.jpg	4297	9999-12-31	11619
6305/9-1	15	2491-2492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_15_2491-2492m.jpg	4297	9999-12-31	11620
6305/9-1	16	2492-2493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_16_2492-2493m.jpg	4297	9999-12-31	11621
6305/9-1	17	2493-2494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_17_2493-2494m.jpg	4297	9999-12-31	11622
6305/9-1	18	2494-2495M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4297_18_2494-2495M.jpg	4297	9999-12-31	11623
6306/10-1	1	1144-1149m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_01_1144-1149m.jpg	1551	9999-12-31	11624
6306/10-1	2	1149-1154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_02_1149-1154m.jpg	1551	9999-12-31	11625
6306/10-1	3	1154-1159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_03_1154-1159m.jpg	1551	9999-12-31	11626
6306/10-1	4	1159-1164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_04_1159-1164m.jpg	1551	9999-12-31	11627
6306/10-1	5	1164-1169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_05_1164-1169m.jpg	1551	9999-12-31	11628
6306/10-1	6	1169-1174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_06_1169-1174m.jpg	1551	9999-12-31	11629
6306/10-1	7	1174-1179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_07_1174-1179m.jpg	1551	9999-12-31	11630
6306/10-1	8	1179-1184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_08_1179-1184m.jpg	1551	9999-12-31	11631
6306/10-1	9	1184-1189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_09_1184-1189m.jpg	1551	9999-12-31	11632
6306/10-1	10	1189-1194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_10_1189-1194m.jpg	1551	9999-12-31	11633
6306/10-1	11	1194-1198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_11_1194-1198m.jpg	1551	9999-12-31	11634
6306/10-1	12	2747-2752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_12_2747-2752m.jpg	1551	9999-12-31	11635
6306/10-1	13	2752-2757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_13_2752-2757m.jpg	1551	9999-12-31	11636
6306/10-1	14	2757-2758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_14_2757-2758m.jpg	1551	9999-12-31	11637
6306/10-1	15	2880-2885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_15_2880-2885m.jpg	1551	9999-12-31	11638
6306/10-1	16	2885-2888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1551_16_2885-2888m.jpg	1551	9999-12-31	11639
6306/5-1	1	1757-1762m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3060_01_1757-1762m.jpg	3060	9999-12-31	11640
6306/6-1	1	1176-1181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2384_01_1176-1181m.jpg	2384	9999-12-31	11641
6306/6-1	2	1186-1191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2384_02_1186-1191m.jpg	2384	9999-12-31	11642
6306/6-1	3	1181-1186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2384_03_1181-1186m.jpg	2384	9999-12-31	11643
6306/6-1	4	1191-1194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2384_04_1191-1194m.jpg	2384	9999-12-31	11644
6405/7-1	1	2754-2758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_01_2754-2758m.jpg	4749	9999-12-31	11645
6405/7-1	2	2758-2762m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_02_2758-2762m.jpg	4749	9999-12-31	11646
6405/7-1	3	2762-2764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_03_2762-2764m.jpg	4749	9999-12-31	11647
6405/7-1	4	2781-2785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_04_2781-2785m.jpg	4749	9999-12-31	11648
6405/7-1	5	2785-2789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_05_2785-2789m.jpg	4749	9999-12-31	11649
6405/7-1	6	2789-2793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_06_2789-2793m.jpg	4749	9999-12-31	11650
6405/7-1	7	2793-2797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_07_2793-2797m.jpg	4749	9999-12-31	11651
6405/7-1	8	2797-2801m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_08_2797-2801m.jpg	4749	9999-12-31	11652
6405/7-1	9	2801-2805m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_09_2801-2805m.jpg	4749	9999-12-31	11653
6405/7-1	10	2805-2806m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_10_2805-2806m.jpg	4749	9999-12-31	11654
6405/7-1	11	2808-2812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_11_2808-2812m.jpg	4749	9999-12-31	11655
6405/7-1	12	2812-2816m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_12_2812-2816m.jpg	4749	9999-12-31	11656
6405/7-1	13	2816-2820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_13_2816-2820m.jpg	4749	9999-12-31	11657
6405/7-1	14	2820-2824m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_14_2820-2824m.jpg	4749	9999-12-31	11658
6405/7-1	15	2824-2828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_15_2824-2828m.jpg	4749	9999-12-31	11659
6405/7-1	16	2828-2831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_16_2828-2831m.jpg	4749	9999-12-31	11660
6405/7-1	17	2835-2839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_17_2835-2839m.jpg	4749	9999-12-31	11661
6405/7-1	18	2839-2843m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_18_2839-2843m.jpg	4749	9999-12-31	11662
6405/7-1	19	2843-2847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_19_2843-2847m.jpg	4749	9999-12-31	11663
6405/7-1	20	2847-2851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_20_2847-2851m.jpg	4749	9999-12-31	11664
6405/7-1	21	2851-2855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_21_2851-2855m.jpg	4749	9999-12-31	11665
6405/7-1	22	2855-2859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_22_2855-2859m.jpg	4749	9999-12-31	11666
6405/7-1	23	2859-2861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_23_2859-2861m.jpg	4749	9999-12-31	11667
6405/7-1	24	2862-2866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_24_2862-2866m.jpg	4749	9999-12-31	11668
6405/7-1	25	2866-2869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_25_2866-2869m.jpg	4749	9999-12-31	11669
6405/7-1	26	3751-3755m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_26_3751-3755m.jpg	4749	9999-12-31	11670
6405/7-1	27	3755-3756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_27_3755-3756m.jpg	4749	9999-12-31	11671
6405/7-1	28	3757-3761m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_28_3757-3761m.jpg	4749	9999-12-31	11672
6405/7-1	29	3761-3765m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_29_3761-3765m.jpg	4749	9999-12-31	11673
6405/7-1	30	3765-3769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_30_3765-3769m.jpg	4749	9999-12-31	11674
6405/7-1	31	3769-3773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_31_3769-3773m.jpg	4749	9999-12-31	11675
6405/7-1	32	3773-3777m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_32_3773-3777m.jpg	4749	9999-12-31	11676
6405/7-1	33	3777-3781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_33_3777-3781m.jpg	4749	9999-12-31	11677
6405/7-1	34	3781-3783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4749_34_3781-3783m.jpg	4749	9999-12-31	11678
6406/1-1	1	4680-4681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_01_4680-4681m.jpg	4262	9999-12-31	11679
6406/1-1	2	4681-4684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_02_4681-4684m.jpg	4262	9999-12-31	11680
6406/1-1	3	4685-4690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_03_4685-4690m.jpg	4262	9999-12-31	11681
6406/1-1	4	4690-4695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_04_4690-4695m.jpg	4262	9999-12-31	11682
6406/1-1	5	4695-4700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_05_4695-4700m.jpg	4262	9999-12-31	11683
6406/1-1	6	4700-4704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_06_4700-4704m.jpg	4262	9999-12-31	11684
6406/1-1	7	4704-4709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_07_4704-4709m.jpg	4262	9999-12-31	11685
6406/1-1	8	4709-4714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_08_4709-4714m.jpg	4262	9999-12-31	11686
6406/1-1	9	4714-4715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_09_4714-4715m.jpg	4262	9999-12-31	11687
6406/1-1	10	4716-4721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_10_4716-4721m.jpg	4262	9999-12-31	11688
6406/1-1	11	4721-4726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_11_4721-4726m.jpg	4262	9999-12-31	11689
6406/1-1	12	4726-4731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_12_4726-4731m.jpg	4262	9999-12-31	11690
6406/1-1	13	4731-4736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_13_4731-4736m.jpg	4262	9999-12-31	11691
6406/1-1	14	4736-4741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_14_4736-4741m.jpg	4262	9999-12-31	11692
6406/1-1	15	4741-4745m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_15_4741-4745m.jpg	4262	9999-12-31	11693
6406/1-1	16	4746-4751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_16_4746-4751m.jpg	4262	9999-12-31	11694
6406/1-1	17	4751-4756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_17_4751-4756m.jpg	4262	9999-12-31	11695
6406/1-1	18	4756-4757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_18_4756-4757m.jpg	4262	9999-12-31	11696
6406/1-1	19	4756-4761m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_19_4756-4761m.jpg	4262	9999-12-31	11697
6406/1-1	20	4761-4766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_20_4761-4766m.jpg	4262	9999-12-31	11698
6406/1-1	21	4766-4771m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_21_4766-4771m.jpg	4262	9999-12-31	11699
6406/1-1	22	4771-4776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_22_4771-4776m.jpg	4262	9999-12-31	11700
6406/1-1	23	4776-4781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_23_4776-4781m.jpg	4262	9999-12-31	11701
6406/1-1	24	4781-4786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_24_4781-4786m.jpg	4262	9999-12-31	11702
6406/1-1	25	4786-4791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_25_4786-4791m.jpg	4262	9999-12-31	11703
6406/1-1	26	4791-4792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4262_26_4791-4792m.jpg	4262	9999-12-31	11704
6406/11-1 S	1	3604-3618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_01_3604-3618m.jpg	1539	9999-12-31	11705
6406/11-1 S	2	3618-3623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_02_3618-3623m.jpg	1539	9999-12-31	11706
6406/11-1 S	3	3623-3629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_03_3623-3629m.jpg	1539	9999-12-31	11707
6406/11-1 S	4	3629-3634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_04_3629-3634m.jpg	1539	9999-12-31	11708
6406/11-1 S	5	3634-3646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_05_3634-3646m.jpg	1539	9999-12-31	11709
6406/11-1 S	6	3646-3654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_06_3646-3654m.jpg	1539	9999-12-31	11710
6406/11-1 S	7	3654-3659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_07_3654-3659m.jpg	1539	9999-12-31	11711
6406/11-1 S	8	3659-3664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_08_3659-3664m.jpg	1539	9999-12-31	11712
6406/11-1 S	9	3665-3670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_09_3665-3670m.jpg	1539	9999-12-31	11713
6406/11-1 S	10	3670-3675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_10_3670-3675m.jpg	1539	9999-12-31	11714
6406/11-1 S	11	3675-3680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_11_3675-3680m.jpg	1539	9999-12-31	11715
6406/11-1 S	12	3680-3685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_12_3680-3685m.jpg	1539	9999-12-31	11716
6406/11-1 S	13	3685-3690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_13_3685-3690m.jpg	1539	9999-12-31	11717
6406/11-1 S	14	3690-3696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_14_3690-3696m.jpg	1539	9999-12-31	11718
6406/11-1 S	15	3696-3701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_15_3696-3701m.jpg	1539	9999-12-31	11719
6406/11-1 S	16	3701-3706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_16_3701-3706m.jpg	1539	9999-12-31	11720
6406/11-1 S	17	3706-3711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_17_3706-3711m.jpg	1539	9999-12-31	11721
6406/11-1 S	18	3711-3716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_18_3711-3716m.jpg	1539	9999-12-31	11722
6406/11-1 S	19	3716-3721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_19_3716-3721m.jpg	1539	9999-12-31	11723
6406/11-1 S	20	3725-3734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_20_3725-3734m.jpg	1539	9999-12-31	11724
6406/11-1 S	21	3734-3739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_21_3734-3739m.jpg	1539	9999-12-31	11725
6406/11-1 S	22	3739-3744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_22_3739-3744m.jpg	1539	9999-12-31	11726
6406/11-1 S	23	3744-3747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1539_23_3744-3747m.jpg	1539	9999-12-31	11727
6406/12-1 S	1	3603-3608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1711_01_3603-3608m.jpg	1711	9999-12-31	11728
6406/12-1 S	2	3608-3613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1711_02_3608-3613m.jpg	1711	9999-12-31	11729
6406/12-1 S	3	3613-3618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1711_03_3613-3618m.jpg	1711	9999-12-31	11730
6406/12-1 S	4	3618-3623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1711_04_3618-3623m.jpg	1711	9999-12-31	11731
6406/12-1 S	5	3623-3628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1711_05_3623-3628m.jpg	1711	9999-12-31	11732
6406/12-1 S	6	3628-3630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1711_06_3628-3630m.jpg	1711	9999-12-31	11733
6406/12-1 S	7	3630-3635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1711_07_3630-3635m.jpg	1711	9999-12-31	11734
6406/12-1 S	8	3635-3638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1711_08_3635-3638m.jpg	1711	9999-12-31	11735
6406/12-1 S	8	3636-3638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1711_08_3636-3638m.jpg	1711	9999-12-31	11736
6406/12-1 S	9	3816-3817m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1711_09_3816-3817m.jpg	1711	9999-12-31	11737
6406/12-1 S	9	3816-3818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1711_09_3816-3818m.jpg	1711	9999-12-31	11738
6406/12-2	1	3731-3736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_01_3731-3736m.jpg	2640	9999-12-31	11739
6406/12-2	2	3736-3741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_02_3736-3741m.jpg	2640	9999-12-31	11740
6406/12-2	3	3741-3746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_03_3741-3746m.jpg	2640	9999-12-31	11741
6406/12-2	4	3746-3751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_04_3746-3751m.jpg	2640	9999-12-31	11742
6406/12-2	5	3751-3756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_05_3751-3756m.jpg	2640	9999-12-31	11743
6406/12-2	6	3756-3758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_06_3756-3758m.jpg	2640	9999-12-31	11744
6406/12-2	7	3797-3802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_07_3797-3802m.jpg	2640	9999-12-31	11745
6406/12-2	8	3802-3807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_08_3802-3807m.jpg	2640	9999-12-31	11746
6406/12-2	9	3807-3812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_09_3807-3812m.jpg	2640	9999-12-31	11747
6406/12-2	10	3812-3817m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_10_3812-3817m.jpg	2640	9999-12-31	11748
6406/12-2	11	3817-3822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_11_3817-3822m.jpg	2640	9999-12-31	11749
6406/12-2	12	3822-3823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_12_3822-3823m.jpg	2640	9999-12-31	11750
6406/12-2	13	3999-4004m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_13_3999-4004m.jpg	2640	9999-12-31	11751
6406/12-2	14	4004-4006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2640_14_4004-4006m.jpg	2640	9999-12-31	11752
6406/2-1	1	4422-4427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_001_4422-4427m.jpg	2444	9999-12-31	11753
6406/2-1	2	4427-4430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_002_4427-4430m.jpg	2444	9999-12-31	11754
6406/2-1	3	4603-4608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_003_4603-4608m.jpg	2444	9999-12-31	11755
6406/2-1	4	4608-4613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_004_4608-4613m.jpg	2444	9999-12-31	11756
6406/2-1	5	4613-4618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_005_4613-4618m.jpg	2444	9999-12-31	11757
6406/2-1	6	4618-4623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_006_4618-4623m.jpg	2444	9999-12-31	11758
6406/2-1	7	4623-4628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_007_4623-4628m.jpg	2444	9999-12-31	11759
6406/2-1	8	4628-4630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_008_4628-4630m.jpg	2444	9999-12-31	11760
6406/2-1	9	4630-4635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_009_4630-4635m.jpg	2444	9999-12-31	11761
6406/2-1	10	4635-4640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_010_4635-4640m.jpg	2444	9999-12-31	11762
6406/2-1	11	4640-4645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_011_4640-4645m.jpg	2444	9999-12-31	11763
6406/2-1	12	4645-4650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_012_4645-4650m.jpg	2444	9999-12-31	11764
6406/2-1	13	4650-4655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_013_4650-4655m.jpg	2444	9999-12-31	11765
6406/2-1	14	4655-4660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_014_4655-4660m.jpg	2444	9999-12-31	11766
6406/2-1	15	4660-4664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_015_4660-4664m.jpg	2444	9999-12-31	11767
6406/2-1	16	4664-4669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_016_4664-4669m.jpg	2444	9999-12-31	11768
6406/2-1	17	4669-4674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_017_4669-4674m.jpg	2444	9999-12-31	11769
6406/2-1	18	4674-4679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_018_4674-4679m.jpg	2444	9999-12-31	11770
6406/2-1	19	4679-4684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_019_4679-4684m.jpg	2444	9999-12-31	11771
6406/2-1	20	4684-4689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_020_4684-4689m.jpg	2444	9999-12-31	11772
6406/2-1	21	4689-4694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_021_4689-4694m.jpg	2444	9999-12-31	11773
6406/2-1	22	4694-4699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_022_4694-4699m.jpg	2444	9999-12-31	11774
6406/2-1	23	4699-4702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_023_4699-4702m.jpg	2444	9999-12-31	11775
6406/2-1	24	4702-4707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_024_4702-4707m.jpg	2444	9999-12-31	11776
6406/2-1	25	4707-4712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_025_4707-4712m.jpg	2444	9999-12-31	11777
6406/2-1	26	4712-4717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_026_4712-4717m.jpg	2444	9999-12-31	11778
6406/2-1	27	4717-4722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_027_4717-4722m.jpg	2444	9999-12-31	11779
6406/2-1	28	4722-4727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_028_4722-4727m.jpg	2444	9999-12-31	11780
6406/2-1	29	4727-4732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_029_4727-4732m.jpg	2444	9999-12-31	11781
6406/2-1	30	4732-4737m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_030_4732-4737m.jpg	2444	9999-12-31	11782
6406/2-1	31	4737-4742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_031_4737-4742m.jpg	2444	9999-12-31	11783
6406/2-1	32	4742-4747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_032_4742-4747m.jpg	2444	9999-12-31	11784
6406/2-1	33	4747-4748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_033_4747-4748m.jpg	2444	9999-12-31	11785
6406/2-1	34	4748-4753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_034_4748-4753m.jpg	2444	9999-12-31	11786
6406/2-1	35	4753-4758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_035_4753-4758m.jpg	2444	9999-12-31	11787
6406/2-1	36	4758-4763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_036_4758-4763m.jpg	2444	9999-12-31	11788
6406/2-1	37	4763-4768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_037_4763-4768m.jpg	2444	9999-12-31	11789
6406/2-1	38	4773-4748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_038_4773-4748m.jpg	2444	9999-12-31	11790
6406/2-1	39	4778-4783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_039_4778-4783m.jpg	2444	9999-12-31	11791
6406/2-1	40	4783-4788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_040_4783-4788m.jpg	2444	9999-12-31	11792
6406/2-1	41	4788-4793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_041_4788-4793m.jpg	2444	9999-12-31	11793
6406/2-1	42	4793-4795m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_042_4793-4795m.jpg	2444	9999-12-31	11794
6406/2-1	43	4795-4800m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_043_4795-4800m.jpg	2444	9999-12-31	11795
6406/2-1	44	4800-4805m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_044_4800-4805m.jpg	2444	9999-12-31	11796
6406/2-1	45	4805-4810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_045_4805-4810m.jpg	2444	9999-12-31	11797
6406/2-1	46	4810-4813m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_046_4810-4813m.jpg	2444	9999-12-31	11798
6406/2-1	47	4824-4829M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_047_4824-4829M.jpg	2444	9999-12-31	11799
6406/2-1	48	4829-4834M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_048_4829-4834M.jpg	2444	9999-12-31	11800
6406/2-1	49	4834-4836M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_049_4834-4836M.jpg	2444	9999-12-31	11801
6406/2-1	50	4839-4844m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_050_4839-4844m.jpg	2444	9999-12-31	11802
6406/2-1	51	4844-4849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_051_4844-4849m.jpg	2444	9999-12-31	11803
6406/2-1	52	4849-4853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_052_4849-4853m.jpg	2444	9999-12-31	11804
6406/2-1	53	4868-4873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_053_4868-4873m.jpg	2444	9999-12-31	11805
6406/2-1	54	4873-4878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_054_4873-4878m.jpg	2444	9999-12-31	11806
6406/2-1	55	4878-4883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_055_4878-4883m.jpg	2444	9999-12-31	11807
6406/2-1	56	4883-4888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_056_4883-4888m.jpg	2444	9999-12-31	11808
6406/2-1	57	4888-4893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_057_4888-4893m.jpg	2444	9999-12-31	11809
6406/2-1	58	4309-4914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_058_4309-4914m.jpg	2444	9999-12-31	11810
6406/2-1	60	4914-4919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_060_4914-4919m.jpg	2444	9999-12-31	11811
6406/2-1	61	4919-4924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_061_4919-4924m.jpg	2444	9999-12-31	11812
6406/2-1	62	4924-4926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_062_4924-4926m.jpg	2444	9999-12-31	11813
6406/2-1	63	4929-4934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_063_4929-4934m.jpg	2444	9999-12-31	11814
6406/2-1	64	4934-4939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_064_4934-4939m.jpg	2444	9999-12-31	11815
6406/2-1	65	4939-4944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_065_4939-4944m.jpg	2444	9999-12-31	11816
6406/2-1	66	4944-4949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_066_4944-4949m.jpg	2444	9999-12-31	11817
6406/2-1	67	4949-4954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_067_4949-4954m.jpg	2444	9999-12-31	11818
6406/2-1	68	4954-4957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_068_4954-4957m.jpg	2444	9999-12-31	11819
6406/2-1	69	4963-4968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_069_4963-4968m.jpg	2444	9999-12-31	11820
6406/2-1	70	4968-4973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_070_4968-4973m.jpg	2444	9999-12-31	11821
6406/2-1	71	4973-4978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_071_4973-4978m.jpg	2444	9999-12-31	11822
6406/2-1	72	4978-4983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_072_4978-4983m.jpg	2444	9999-12-31	11823
6406/2-1	73	4983-4986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_073_4983-4986m.jpg	2444	9999-12-31	11824
6406/2-1	74	4987-4992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_074_4987-4992m.jpg	2444	9999-12-31	11825
6406/2-1	75	4992-4997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_075_4992-4997m.jpg	2444	9999-12-31	11826
6406/2-1	76	4997-4998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_076_4997-4998m.jpg	2444	9999-12-31	11827
6406/2-1	77	4999-5004m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_077_4999-5004m.jpg	2444	9999-12-31	11828
6406/2-1	78	5004-5009m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_078_5004-5009m.jpg	2444	9999-12-31	11829
6406/2-1	79	5009-5014m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_079_5009-5014m.jpg	2444	9999-12-31	11830
6406/2-1	80	5014-5019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_080_5014-5019m.jpg	2444	9999-12-31	11831
6406/2-1	81	5019-5020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_081_5019-5020m.jpg	2444	9999-12-31	11832
6406/2-1	82	5022-5027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_082_5022-5027m.jpg	2444	9999-12-31	11833
6406/2-1	83	5027-5032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_083_5027-5032m.jpg	2444	9999-12-31	11834
6406/2-1	84	5032-5037m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_084_5032-5037m.jpg	2444	9999-12-31	11835
6406/2-1	85	5037-5042m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_085_5037-5042m.jpg	2444	9999-12-31	11836
6406/2-1	86	5042-5047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_086_5042-5047m.jpg	2444	9999-12-31	11837
6406/2-1	87	5047-5049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_087_5047-5049m.jpg	2444	9999-12-31	11838
6406/2-1	88	5050-5055m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_088_5050-5055m.jpg	2444	9999-12-31	11839
6406/2-1	89	5055-5060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_089_5055-5060m.jpg	2444	9999-12-31	11840
6406/2-1	90	5060-5063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_090_5060-5063m.jpg	2444	9999-12-31	11841
6406/2-1	91	5063-5068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_091_5063-5068m.jpg	2444	9999-12-31	11842
6406/2-1	92	5068-5073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_092_5068-5073m.jpg	2444	9999-12-31	11843
6406/2-1	93	5073-5078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_093_5073-5078m.jpg	2444	9999-12-31	11844
6406/2-1	94	5078-5083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_094_5078-5083m.jpg	2444	9999-12-31	11845
6406/2-1	95	5083-5088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_095_5083-5088m.jpg	2444	9999-12-31	11846
6406/2-1	96	5088-5090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_096_5088-5090m.jpg	2444	9999-12-31	11847
6406/2-1	97	5091-5096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_097_5091-5096m.jpg	2444	9999-12-31	11848
6406/2-1	98	5096-5101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_098_5096-5101m.jpg	2444	9999-12-31	11849
6406/2-1	99	5101-5106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_099_5101-5106m.jpg	2444	9999-12-31	11850
6406/2-1	100	5106-5111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_100_5106-5111m.jpg	2444	9999-12-31	11851
6406/2-1	101	5111-5116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_101_5111-5116m.jpg	2444	9999-12-31	11852
6406/2-1	102	5116-5118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_102_5116-5118m.jpg	2444	9999-12-31	11853
6406/2-1	103	5119-5124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_103_5119-5124m.jpg	2444	9999-12-31	11854
6406/2-1	104	5124-5129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_104_5124-5129m.jpg	2444	9999-12-31	11855
6406/2-1	105	5129-5134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_105_5129-5134m.jpg	2444	9999-12-31	11856
6406/2-1	106	5134-5139m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_106_5134-5139m.jpg	2444	9999-12-31	11857
6406/2-1	107	5139-5144m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_107_5139-5144m.jpg	2444	9999-12-31	11858
6406/2-1	108	5144-5148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_108_5144-5148m.jpg	2444	9999-12-31	11859
6406/2-1	109	5148-5153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_109_5148-5153m.jpg	2444	9999-12-31	11860
6406/2-1	110	5153-5158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_110_5153-5158m.jpg	2444	9999-12-31	11861
6406/2-1	111	5158-5163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_111_5158-5163m.jpg	2444	9999-12-31	11862
6406/2-1	112	5163-5167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_112_5163-5167m.jpg	2444	9999-12-31	11863
6406/2-1	113	5183-5188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_113_5183-5188m.jpg	2444	9999-12-31	11864
6406/2-1	114	5188-5193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_114_5188-5193m.jpg	2444	9999-12-31	11865
6406/2-1	115	5193-5198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_115_5193-5198m.jpg	2444	9999-12-31	11866
6406/2-1	116	5198-5199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_116_5198-5199m.jpg	2444	9999-12-31	11867
6406/2-1	117	5201-5206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_117_5201-5206m.jpg	2444	9999-12-31	11868
6406/2-1	118	5206-5211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_118_5206-5211m.jpg	2444	9999-12-31	11869
6406/2-1	119	5211-5216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_119_5211-5216m.jpg	2444	9999-12-31	11870
6406/2-1	120	5216-5219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_120_5216-5219m.jpg	2444	9999-12-31	11871
6406/2-1	121	5223-5228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_121_5223-5228m.jpg	2444	9999-12-31	11872
6406/2-1	122	5228-5233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_122_5228-5233m.jpg	2444	9999-12-31	11873
6406/2-1	123	5233-5238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_123_5233-5238m.jpg	2444	9999-12-31	11874
6406/2-1	124	5238-5243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_124_5238-5243m.jpg	2444	9999-12-31	11875
6406/2-1	125	5243-5248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_125_5243-5248m.jpg	2444	9999-12-31	11876
6406/2-1	126	5249-5254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_126_5249-5254m.jpg	2444	9999-12-31	11877
6406/2-1	127	5254-5259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_127_5254-5259m.jpg	2444	9999-12-31	11878
6406/2-1	128	5259-5264m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_128_5259-5264m.jpg	2444	9999-12-31	11879
6406/2-1	129	5264-5268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_129_5264-5268m.jpg	2444	9999-12-31	11880
6406/2-1	130	5269-5274m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_130_5269-5274m.jpg	2444	9999-12-31	11881
6406/2-1	131	5274-5279m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_131_5274-5279m.jpg	2444	9999-12-31	11882
6406/2-1	132	5279-5284m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_132_5279-5284m.jpg	2444	9999-12-31	11883
6406/2-1	133	5284-5289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_133_5284-5289m.jpg	2444	9999-12-31	11884
6406/2-1	134	5289-5300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2444_134_5289-5300m.jpg	2444	9999-12-31	11885
6406/2-1 R	1	5643-5648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2642_01_5643-5648m.jpg	2642	9999-12-31	11886
6406/2-1 R	2	5648-5652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2642_02_5648-5652m.jpg	2642	9999-12-31	11887
6406/2-2	1	4479-4484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_01_4479-4484m.jpg	2644	9999-12-31	11888
6406/2-2	2	4484-4489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_02_4484-4489m.jpg	2644	9999-12-31	11889
6406/2-2	3	4489-4494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_03_4489-4494m.jpg	2644	9999-12-31	11890
6406/2-2	4	4494-4495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_04_4494-4495m.jpg	2644	9999-12-31	11891
6406/2-2	5	4626-4631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_05_4626-4631m.jpg	2644	9999-12-31	11892
6406/2-2	6	4631-4636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_06_4631-4636m.jpg	2644	9999-12-31	11893
6406/2-2	7	4636-4641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_07_4636-4641m.jpg	2644	9999-12-31	11894
6406/2-2	8	4641-4646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_08_4641-4646m.jpg	2644	9999-12-31	11895
6406/2-2	9	4646-4647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_09_4646-4647m.jpg	2644	9999-12-31	11896
6406/2-2	10	4648-4653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_10_4648-4653m.jpg	2644	9999-12-31	11897
6406/2-2	11	4653-4658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_11_4653-4658m.jpg	2644	9999-12-31	11898
6406/2-2	12	4658-4663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_12_4658-4663m.jpg	2644	9999-12-31	11899
6406/2-2	13	4663-4668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_13_4663-4668m.jpg	2644	9999-12-31	11900
6406/2-2	14	4668-4673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_14_4668-4673m.jpg	2644	9999-12-31	11901
6406/2-2	15	4673-4678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_15_4673-4678m.jpg	2644	9999-12-31	11902
6406/2-2	16	4678-4683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_16_4678-4683m.jpg	2644	9999-12-31	11903
6406/2-2	17	4683-4685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_17_4683-4685m.jpg	2644	9999-12-31	11904
6406/2-2	18	4685-4690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_18_4685-4690m.jpg	2644	9999-12-31	11905
6406/2-2	19	4690-4695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_19_4690-4695m.jpg	2644	9999-12-31	11906
6406/2-2	20	4695-4700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_20_4695-4700m.jpg	2644	9999-12-31	11907
6406/2-2	21	4700-4705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_21_4700-4705m.jpg	2644	9999-12-31	11908
6406/2-2	22	4705-4710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_22_4705-4710m.jpg	2644	9999-12-31	11909
6406/2-2	23	4710-4715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_23_4710-4715m.jpg	2644	9999-12-31	11910
6406/2-2	24	4715-4720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_24_4715-4720m.jpg	2644	9999-12-31	11911
6406/2-2	25	4720-4722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_25_4720-4722m.jpg	2644	9999-12-31	11912
6406/2-2	26	4722-4727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_26_4722-4727m.jpg	2644	9999-12-31	11913
6406/2-2	27	4727-4732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_27_4727-4732m.jpg	2644	9999-12-31	11914
6406/2-2	28	4732-4737m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_28_4732-4737m.jpg	2644	9999-12-31	11915
6406/2-2	29	4737-4742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_29_4737-4742m.jpg	2644	9999-12-31	11916
6406/2-2	30	4742-4747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_30_4742-4747m.jpg	2644	9999-12-31	11917
6406/2-2	31	4747-4752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_31_4747-4752m.jpg	2644	9999-12-31	11918
6406/2-2	32	4752-4757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_32_4752-4757m.jpg	2644	9999-12-31	11919
6406/2-2	32	4757-4759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_32_4757-4759m.jpg	2644	9999-12-31	11920
6406/2-2	33	4868-4873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_33_4868-4873m.jpg	2644	9999-12-31	11921
6406/2-2	34	4873-4878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_34_4873-4878m.jpg	2644	9999-12-31	11922
6406/2-2	35	4878-4883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_35_4878-4883m.jpg	2644	9999-12-31	11923
6406/2-2	36	4883-4888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_36_4883-4888m.jpg	2644	9999-12-31	11924
6406/2-2	37	4888-4893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_37_4888-4893m.jpg	2644	9999-12-31	11925
6406/2-2	38	4893-4898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_38_4893-4898m.jpg	2644	9999-12-31	11926
6406/2-2	39	4898-4903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_39_4898-4903m.jpg	2644	9999-12-31	11927
6406/2-2	40	4903-4905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_40_4903-4905m.jpg	2644	9999-12-31	11928
6406/2-2	41	4905-4910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_41_4905-4910m.jpg	2644	9999-12-31	11929
6406/2-2	42	4910-4915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_42_4910-4915m.jpg	2644	9999-12-31	11930
6406/2-2	43	4915-4920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_43_4915-4920m.jpg	2644	9999-12-31	11931
6406/2-2	44	4920-4925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_44_4920-4925m.jpg	2644	9999-12-31	11932
6406/2-2	45	4925-4930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_45_4925-4930m.jpg	2644	9999-12-31	11933
6406/2-2	46	4930-4935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_46_4930-4935m.jpg	2644	9999-12-31	11934
6406/2-2	47	4935-4940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_47_4935-4940m.jpg	2644	9999-12-31	11935
6406/2-2	48	4940-4941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_48_4940-4941m.jpg	2644	9999-12-31	11936
6406/2-2	49	4942-4947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_49_4942-4947m.jpg	2644	9999-12-31	11937
6406/2-2	50	4947-4952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_50_4947-4952m.jpg	2644	9999-12-31	11938
6406/2-2	51	4952-4957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_51_4952-4957m.jpg	2644	9999-12-31	11939
6406/2-2	52	4957-4962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_52_4957-4962m.jpg	2644	9999-12-31	11940
6406/2-2	53	4962-4967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_53_4962-4967m.jpg	2644	9999-12-31	11941
6406/2-2	54	4967-4972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_54_4967-4972m.jpg	2644	9999-12-31	11942
6406/2-2	55	4972-4977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_55_4972-4977m.jpg	2644	9999-12-31	11943
6406/2-2	56	4977-4979m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_56_4977-4979m.jpg	2644	9999-12-31	11944
6406/2-2	57	4979-4984m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_57_4979-4984m.jpg	2644	9999-12-31	11945
6406/2-2	58	4984-4989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_58_4984-4989m.jpg	2644	9999-12-31	11946
6406/2-2	59	4989-4994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_59_4989-4994m.jpg	2644	9999-12-31	11947
6406/2-2	60	4994-4999m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_60_4994-4999m.jpg	2644	9999-12-31	11948
6406/2-2	61	4999-5004m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_61_4999-5004m.jpg	2644	9999-12-31	11949
6406/2-2	62	5004-5009m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_62_5004-5009m.jpg	2644	9999-12-31	11950
6406/2-2	63	5009-5014m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_63_5009-5014m.jpg	2644	9999-12-31	11951
6406/2-2	64	5014-5016m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_64_5014-5016m.jpg	2644	9999-12-31	11952
6406/2-2	65	5016-5021m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_65_5016-5021m.jpg	2644	9999-12-31	11953
6406/2-2	66	5021-5026m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_66_5021-5026m.jpg	2644	9999-12-31	11954
6406/2-2	67	5026-5031m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_67_5026-5031m.jpg	2644	9999-12-31	11955
6406/2-2	68	5031-5036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_68_5031-5036m.jpg	2644	9999-12-31	11956
6406/2-2	69	5036-5041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_69_5036-5041m.jpg	2644	9999-12-31	11957
6406/2-2	70	5041-5046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_70_5041-5046m.jpg	2644	9999-12-31	11958
6406/2-2	71	5046-5051m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_71_5046-5051m.jpg	2644	9999-12-31	11959
6406/2-2	72	5051-5054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_72_5051-5054m.jpg	2644	9999-12-31	11960
6406/2-2	73	5054-5059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_73_5054-5059m.jpg	2644	9999-12-31	11961
6406/2-2	74	5059-5064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_74_5059-5064m.jpg	2644	9999-12-31	11962
6406/2-2	75	5064-5069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_75_5064-5069m.jpg	2644	9999-12-31	11963
6406/2-2	76	5069-5074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_76_5069-5074m.jpg	2644	9999-12-31	11964
6406/2-2	77	5074-5079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_77_5074-5079m.jpg	2644	9999-12-31	11965
6406/2-2	78	5079-5084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_78_5079-5084m.jpg	2644	9999-12-31	11966
6406/2-2	79	5084-5089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_79_5084-5089m.jpg	2644	9999-12-31	11967
6406/2-2	80	5089-5091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_80_5089-5091m.jpg	2644	9999-12-31	11968
6406/2-2	81	5091-5096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_81_5091-5096m.jpg	2644	9999-12-31	11969
6406/2-2	82	5096-5101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_82_5096-5101m.jpg	2644	9999-12-31	11970
6406/2-2	83	5101-5106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_83_5101-5106m.jpg	2644	9999-12-31	11971
6406/2-2	84	5106-5111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_84_5106-5111m.jpg	2644	9999-12-31	11972
6406/2-2	85	5111-5116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_85_5111-5116m.jpg	2644	9999-12-31	11973
6406/2-2	86	5116-5121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_86_5116-5121m.jpg	2644	9999-12-31	11974
6406/2-2	88	5126-5129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_88_5126-5129m.jpg	2644	9999-12-31	11975
6406/2-2	89	5121-5126m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2644_89_5121-5126m.jpg	2644	9999-12-31	11976
6406/2-3	1	4380-4385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_01_4380-4385m.jpg	2849	9999-12-31	11977
6406/2-3	2	4385-4390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_02_4385-4390m.jpg	2849	9999-12-31	11978
6406/2-3	3	4390-4395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_03_4390-4395m.jpg	2849	9999-12-31	11979
6406/2-3	4	4395-4400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_04_4395-4400m.jpg	2849	9999-12-31	11980
6406/2-3	5	4400-4401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_05_4400-4401m.jpg	2849	9999-12-31	11981
6406/2-3	6	4402-4407m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_06_4402-4407m.jpg	2849	9999-12-31	11982
6406/2-3	7	4407-4412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_07_4407-4412m.jpg	2849	9999-12-31	11983
6406/2-3	8	4412-4417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_08_4412-4417m.jpg	2849	9999-12-31	11984
6406/2-3	9	4417-4422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_09_4417-4422m.jpg	2849	9999-12-31	11985
6406/2-3	10	4422-4423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_10_4422-4423m.jpg	2849	9999-12-31	11986
6406/2-3	11	4633-4638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_11_4633-4638m.jpg	2849	9999-12-31	11987
6406/2-3	12	4638-4640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_12_4638-4640m.jpg	2849	9999-12-31	11988
6406/2-3	13	4642-4647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_13_4642-4647m.jpg	2849	9999-12-31	11989
6406/2-3	14	4647-4650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_14_4647-4650m.jpg	2849	9999-12-31	11990
6406/2-3	15	4651-4656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_15_4651-4656m.jpg	2849	9999-12-31	11991
6406/2-3	16	4656-4661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_16_4656-4661m.jpg	2849	9999-12-31	11992
6406/2-3	17	4661-4662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_17_4661-4662m.jpg	2849	9999-12-31	11993
6406/2-3	18	4661-4666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_18_4661-4666m.jpg	2849	9999-12-31	11994
6406/2-3	19	4666-4671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_19_4666-4671m.jpg	2849	9999-12-31	11995
6406/2-3	20	4676-4681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_20_4676-4681m.jpg	2849	9999-12-31	11996
6406/2-3	21	4681-4686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_21_4681-4686m.jpg	2849	9999-12-31	11997
6406/2-3	22	4686-4691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_22_4686-4691m.jpg	2849	9999-12-31	11998
6406/2-3	23	4691-4696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_23_4691-4696m.jpg	2849	9999-12-31	11999
6406/2-3	24	4696-4699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_24_4696-4699m.jpg	2849	9999-12-31	12000
6406/2-3	25	4699-4704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_25_4699-4704m.jpg	2849	9999-12-31	12001
6406/2-3	26	4704-4709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_26_4704-4709m.jpg	2849	9999-12-31	12002
6406/2-3	27	4709-4714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_27_4709-4714m.jpg	2849	9999-12-31	12003
6406/2-3	28	4714-4719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_28_4714-4719m.jpg	2849	9999-12-31	12004
6406/2-3	29	4719-4724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_29_4719-4724m.jpg	2849	9999-12-31	12005
6406/2-3	30	4724-4727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_30_4724-4727m.jpg	2849	9999-12-31	12006
6406/2-3	31	4754-4759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_31_4754-4759m.jpg	2849	9999-12-31	12007
6406/2-3	32	4759-4764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_32_4759-4764m.jpg	2849	9999-12-31	12008
6406/2-3	33	4764-4769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_33_4764-4769m.jpg	2849	9999-12-31	12009
6406/2-3	34	4769-4774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_34_4769-4774m.jpg	2849	9999-12-31	12010
6406/2-3	35	4774-4777m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_35_4774-4777m.jpg	2849	9999-12-31	12011
6406/2-3	36	4777-4782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_36_4777-4782m.jpg	2849	9999-12-31	12012
6406/2-3	37	4782-4787m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_37_4782-4787m.jpg	2849	9999-12-31	12013
6406/2-3	38	4787-4792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_38_4787-4792m.jpg	2849	9999-12-31	12014
6406/2-3	39	4792-4797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_39_4792-4797m.jpg	2849	9999-12-31	12015
6406/2-3	40	4797-4802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_40_4797-4802m.jpg	2849	9999-12-31	12016
6406/2-3	41	4802-4806m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_41_4802-4806m.jpg	2849	9999-12-31	12017
6406/2-3	42	4898-4903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_42_4898-4903m.jpg	2849	9999-12-31	12018
6406/2-3	43	4903-4908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_43_4903-4908m.jpg	2849	9999-12-31	12019
6406/2-3	44	4908-4913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_44_4908-4913m.jpg	2849	9999-12-31	12020
6406/2-3	45	4913-4918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_45_4913-4918m.jpg	2849	9999-12-31	12021
6406/2-3	46	4918-4923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_46_4918-4923m.jpg	2849	9999-12-31	12022
6406/2-3	47	4923-4925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_47_4923-4925m.jpg	2849	9999-12-31	12023
6406/2-3	48	5038-5043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_48_5038-5043m.jpg	2849	9999-12-31	12024
6406/2-3	49	5043-5048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_49_5043-5048m.jpg	2849	9999-12-31	12025
6406/2-3	50	5048-5053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_50_5048-5053m.jpg	2849	9999-12-31	12026
6406/2-3	51	5053-5058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_51_5053-5058m.jpg	2849	9999-12-31	12027
6406/2-3	52	5058-5063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_52_5058-5063m.jpg	2849	9999-12-31	12028
6406/2-3	53	5063-5065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2849_53_5063-5065m.jpg	2849	9999-12-31	12029
6406/2-4 SR	1	4615-4619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_01_4615-4619m.jpg	3627	9999-12-31	12030
6406/2-4 SR	2	4620-4625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_02_4620-4625m.jpg	3627	9999-12-31	12031
6406/2-4 SR	3	4625-4694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_03_4625-4694m.jpg	3627	9999-12-31	12032
6406/2-4 SR	4	4694-4699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_04_4694-4699m.jpg	3627	9999-12-31	12033
6406/2-4 SR	5	4699-4704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_05_4699-4704m.jpg	3627	9999-12-31	12034
6406/2-4 SR	6	4704-4709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_06_4704-4709m.jpg	3627	9999-12-31	12035
6406/2-4 SR	7	4709-4714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_07_4709-4714m.jpg	3627	9999-12-31	12036
6406/2-4 SR	8	4714-4719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_08_4714-4719m.jpg	3627	9999-12-31	12037
6406/2-4 SR	9	4762-4767m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_09_4762-4767m.jpg	3627	9999-12-31	12038
6406/2-4 SR	10	4767-4772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_10_4767-4772m.jpg	3627	9999-12-31	12039
6406/2-4 SR	11	4772-4777m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_11_4772-4777m.jpg	3627	9999-12-31	12040
6406/2-4 SR	12	4777-4782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_12_4777-4782m.jpg	3627	9999-12-31	12041
6406/2-4 SR	13	4782-4787m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_13_4782-4787m.jpg	3627	9999-12-31	12042
6406/2-4 SR	14	4787-4792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_14_4787-4792m.jpg	3627	9999-12-31	12043
6406/2-4 SR	15	4792-4797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_15_4792-4797m.jpg	3627	9999-12-31	12044
6406/2-4 SR	16	4797-4802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_16_4797-4802m.jpg	3627	9999-12-31	12045
6406/2-4 SR	17	3802-4807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_17_3802-4807m.jpg	3627	9999-12-31	12046
6406/2-4 SR	18	4807-4812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_18_4807-4812m.jpg	3627	9999-12-31	12047
6406/2-4 SR	19	4812-4817m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_19_4812-4817m.jpg	3627	9999-12-31	12048
6406/2-4 SR	20	4817-4821m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_20_4817-4821m.jpg	3627	9999-12-31	12049
6406/2-4 SR	21	3821-4826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_21_3821-4826m.jpg	3627	9999-12-31	12050
6406/2-4 SR	22	4826-4831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_22_4826-4831m.jpg	3627	9999-12-31	12051
6406/2-4 SR	23	4831-4836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_23_4831-4836m.jpg	3627	9999-12-31	12052
6406/2-4 SR	24	4836-4840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_24_4836-4840m.jpg	3627	9999-12-31	12053
6406/2-4 SR	25	4840-4845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_25_4840-4845m.jpg	3627	9999-12-31	12054
6406/2-4 SR	26	4845-4850m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_26_4845-4850m.jpg	3627	9999-12-31	12055
6406/2-4 SR	27	4850-4855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_27_4850-4855m.jpg	3627	9999-12-31	12056
6406/2-4 SR	28	4855-4859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_28_4855-4859m.jpg	3627	9999-12-31	12057
6406/2-4 SR	29	4859-4864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_29_4859-4864m.jpg	3627	9999-12-31	12058
6406/2-4 SR	30	4864-4869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_30_4864-4869m.jpg	3627	9999-12-31	12059
6406/2-4 SR	31	4869-4874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_31_4869-4874m.jpg	3627	9999-12-31	12060
6406/2-4 SR	32	4874-4879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_32_4874-4879m.jpg	3627	9999-12-31	12061
6406/2-4 SR	33	4879-4884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_33_4879-4884m.jpg	3627	9999-12-31	12062
6406/2-4 SR	34	4884-4889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_34_4884-4889m.jpg	3627	9999-12-31	12063
6406/2-4 SR	35	4889-4894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_35_4889-4894m.jpg	3627	9999-12-31	12064
6406/2-4 SR	36	4894-4898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_36_4894-4898m.jpg	3627	9999-12-31	12065
6406/2-4 SR	37	4898-4903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_37_4898-4903m.jpg	3627	9999-12-31	12066
6406/2-4 SR	38	4903-4908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_38_4903-4908m.jpg	3627	9999-12-31	12067
6406/2-4 SR	39	4908-4913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_39_4908-4913m.jpg	3627	9999-12-31	12068
6406/2-4 SR	40	4913-4918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_40_4913-4918m.jpg	3627	9999-12-31	12069
6406/2-4 SR	41	4918-4923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_41_4918-4923m.jpg	3627	9999-12-31	12070
6406/2-4 SR	42	4923-4928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_42_4923-4928m.jpg	3627	9999-12-31	12071
6406/2-4 SR	43	4928-4933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_43_4928-4933m.jpg	3627	9999-12-31	12072
6406/2-4 SR	44	4933-4937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_44_4933-4937m.jpg	3627	9999-12-31	12073
6406/2-4 SR	45	4937-4942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_45_4937-4942m.jpg	3627	9999-12-31	12074
6406/2-4 SR	46	4942-4947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_46_4942-4947m.jpg	3627	9999-12-31	12075
6406/2-4 SR	47	4947-4952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_47_4947-4952m.jpg	3627	9999-12-31	12076
6406/2-4 SR	48	4952-4957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_48_4952-4957m.jpg	3627	9999-12-31	12077
6406/2-4 SR	49	4957-4962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_49_4957-4962m.jpg	3627	9999-12-31	12078
6406/2-4 SR	50	4962-4967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_50_4962-4967m.jpg	3627	9999-12-31	12079
6406/2-4 SR	51	4967-4872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_51_4967-4872m.jpg	3627	9999-12-31	12080
6406/2-4 SR	52	4972-4977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_52_4972-4977m.jpg	3627	9999-12-31	12081
6406/2-4 SR	53	4977-4982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_53_4977-4982m.jpg	3627	9999-12-31	12082
6406/2-4 SR	54	4982-4987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_54_4982-4987m.jpg	3627	9999-12-31	12083
6406/2-4 SR	55	4987-4992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_55_4987-4992m.jpg	3627	9999-12-31	12084
6406/2-4 SR	56	4992-4996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_56_4992-4996m.jpg	3627	9999-12-31	12085
6406/2-4 SR	57	4996-5001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_57_4996-5001m.jpg	3627	9999-12-31	12086
6406/2-4 SR	58	5001-5006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_58_5001-5006m.jpg	3627	9999-12-31	12087
6406/2-4 SR	59	5006-5011m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_59_5006-5011m.jpg	3627	9999-12-31	12088
6406/2-4 SR	60	5011-5016m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_60_5011-5016m.jpg	3627	9999-12-31	12089
6406/2-4 SR	61	5016-5021m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_61_5016-5021m.jpg	3627	9999-12-31	12090
6406/2-4 SR	62	5021-5026m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_62_5021-5026m.jpg	3627	9999-12-31	12091
6406/2-4 SR	63	5026-5031m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_63_5026-5031m.jpg	3627	9999-12-31	12092
6406/2-4 SR	64	5031-5036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_64_5031-5036m.jpg	3627	9999-12-31	12093
6406/2-4 SR	65	5036-5041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_65_5036-5041m.jpg	3627	9999-12-31	12094
6406/2-4 SR	66	5041-5046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_66_5041-5046m.jpg	3627	9999-12-31	12095
6406/2-4 SR	67	5046-5047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3627_67_5046-5047m.jpg	3627	9999-12-31	12096
6406/2-5	1	4795-4800m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_01_4795-4800m.jpg	3125	9999-12-31	12097
6406/2-5	2	4800-4804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_02_4800-4804m.jpg	3125	9999-12-31	12098
6406/2-5	3	4805-4810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_03_4805-4810m.jpg	3125	9999-12-31	12099
6406/2-5	4	4810-4815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_04_4810-4815m.jpg	3125	9999-12-31	12100
6406/2-5	5	4815-4820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_05_4815-4820m.jpg	3125	9999-12-31	12101
6406/2-5	6	4820-4825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_06_4820-4825m.jpg	3125	9999-12-31	12102
6406/2-5	7	4825-4830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_07_4825-4830m.jpg	3125	9999-12-31	12103
6406/2-5	8	4830-4833m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_08_4830-4833m.jpg	3125	9999-12-31	12104
6406/2-5	9	4833-4838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_09_4833-4838m.jpg	3125	9999-12-31	12105
6406/2-5	10	4838-4843m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_10_4838-4843m.jpg	3125	9999-12-31	12106
6406/2-5	11	4843-4848m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_11_4843-4848m.jpg	3125	9999-12-31	12107
6406/2-5	12	4848-4853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_12_4848-4853m.jpg	3125	9999-12-31	12108
6406/2-5	13	4853-4858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_13_4853-4858m.jpg	3125	9999-12-31	12109
6406/2-5	14	4858-4861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_14_4858-4861m.jpg	3125	9999-12-31	12110
6406/2-5	15	4861-4866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_15_4861-4866m.jpg	3125	9999-12-31	12111
6406/2-5	16	4886-4871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_16_4886-4871m.jpg	3125	9999-12-31	12112
6406/2-5	17	4871-4876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_17_4871-4876m.jpg	3125	9999-12-31	12113
6406/2-5	18	4876-4881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_18_4876-4881m.jpg	3125	9999-12-31	12114
6406/2-5	19	4881-4886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_19_4881-4886m.jpg	3125	9999-12-31	12115
6406/2-5	20	4886-4890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_20_4886-4890m.jpg	3125	9999-12-31	12116
6406/2-5	21	4889-4894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_21_4889-4894m.jpg	3125	9999-12-31	12117
6406/2-5	22	4894-4899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_22_4894-4899m.jpg	3125	9999-12-31	12118
6406/2-5	22	4899-4904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_22_4899-4904m.jpg	3125	9999-12-31	12119
6406/2-5	23	4904-4909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_23_4904-4909m.jpg	3125	9999-12-31	12120
6406/2-5	25	4909-4914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_25_4909-4914m.jpg	3125	9999-12-31	12121
6406/2-5	26	4914-4918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_26_4914-4918m.jpg	3125	9999-12-31	12122
6406/2-5	27	4918-4923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_27_4918-4923m.jpg	3125	9999-12-31	12123
6406/2-5	28	4923-4928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_28_4923-4928m.jpg	3125	9999-12-31	12124
6406/2-5	29	4928-4933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_29_4928-4933m.jpg	3125	9999-12-31	12125
6406/2-5	30	4933-4938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_30_4933-4938m.jpg	3125	9999-12-31	12126
6406/2-5	31	4938-4943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_31_4938-4943m.jpg	3125	9999-12-31	12127
6406/2-5	32	4943-4945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_32_4943-4945m.jpg	3125	9999-12-31	12128
6406/2-5	33	4945-4950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_33_4945-4950m.jpg	3125	9999-12-31	12129
6406/2-5	34	4950-4955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_34_4950-4955m.jpg	3125	9999-12-31	12130
6406/2-5	35	4955-4960m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_35_4955-4960m.jpg	3125	9999-12-31	12131
6406/2-5	36	4960-4965m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_36_4960-4965m.jpg	3125	9999-12-31	12132
6406/2-5	37	4965-4970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_37_4965-4970m.jpg	3125	9999-12-31	12133
6406/2-5	38	4970-4973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_38_4970-4973m.jpg	3125	9999-12-31	12134
6406/2-5	39	4973-4978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_39_4973-4978m.jpg	3125	9999-12-31	12135
6406/2-5	40	4978-4983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_40_4978-4983m.jpg	3125	9999-12-31	12136
6406/2-5	41	4983-4988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_41_4983-4988m.jpg	3125	9999-12-31	12137
6406/2-5	42	4988-4991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_42_4988-4991m.jpg	3125	9999-12-31	12138
6406/2-5	43	4991-4996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_43_4991-4996m.jpg	3125	9999-12-31	12139
6406/2-5	44	4996-5001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_44_4996-5001m.jpg	3125	9999-12-31	12140
6406/2-5	45	5001-5006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_45_5001-5006m.jpg	3125	9999-12-31	12141
6406/2-5	46	5006-5011m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_46_5006-5011m.jpg	3125	9999-12-31	12142
6406/2-5	47	5011-5016m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_47_5011-5016m.jpg	3125	9999-12-31	12143
6406/2-5	48	5016-5020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_48_5016-5020m.jpg	3125	9999-12-31	12144
6406/2-5	49	5019-5024m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_49_5019-5024m.jpg	3125	9999-12-31	12145
6406/2-5	50	5024-5029m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_50_5024-5029m.jpg	3125	9999-12-31	12146
6406/2-5	51	5029-5034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_51_5029-5034m.jpg	3125	9999-12-31	12147
6406/2-5	52	5034-5039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_52_5034-5039m.jpg	3125	9999-12-31	12148
6406/2-5	53	5039-5044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_53_5039-5044m.jpg	3125	9999-12-31	12149
6406/2-5	54	5044-5049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_54_5044-5049m.jpg	3125	9999-12-31	12150
6406/2-5	55	5049-5054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_55_5049-5054m.jpg	3125	9999-12-31	12151
6406/2-5	56	5054-5059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_56_5054-5059m.jpg	3125	9999-12-31	12152
6406/2-5	57	5059-5064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_57_5059-5064m.jpg	3125	9999-12-31	12153
6406/2-5	58	5064-5069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_58_5064-5069m.jpg	3125	9999-12-31	12154
6406/2-5	59	5069-5073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_59_5069-5073m.jpg	3125	9999-12-31	12155
6406/2-5	60	5073-5078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_60_5073-5078m.jpg	3125	9999-12-31	12156
6406/2-5	61	5078-5083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_61_5078-5083m.jpg	3125	9999-12-31	12157
6406/2-5	62	5083-5088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_62_5083-5088m.jpg	3125	9999-12-31	12158
6406/2-5	63	5088-5093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_63_5088-5093m.jpg	3125	9999-12-31	12159
6406/2-5	64	5093-5098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_64_5093-5098m.jpg	3125	9999-12-31	12160
6406/2-5	65	5098-5103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_65_5098-5103m.jpg	3125	9999-12-31	12161
6406/2-5	66	5103-5105m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_66_5103-5105m.jpg	3125	9999-12-31	12162
6406/2-5	67	5105-5110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_67_5105-5110m.jpg	3125	9999-12-31	12163
6406/2-5	68	5110-5115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3125_68_5110-5115m.jpg	3125	9999-12-31	12164
6406/2-5 A	1	5307-5312m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_01_5307-5312m.jpg	3213	9999-12-31	12165
6406/2-5 A	2	5312-5316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_02_5312-5316m.jpg	3213	9999-12-31	12166
6406/2-5 A	3	5316-5321m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_03_5316-5321m.jpg	3213	9999-12-31	12167
6406/2-5 A	4	5321-5326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_04_5321-5326m.jpg	3213	9999-12-31	12168
6406/2-5 A	5	5326-5331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_05_5326-5331m.jpg	3213	9999-12-31	12169
6406/2-5 A	6	5331-5336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_06_5331-5336m.jpg	3213	9999-12-31	12170
6406/2-5 A	7	5336-5341m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_07_5336-5341m.jpg	3213	9999-12-31	12171
6406/2-5 A	8	5341-5346m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_08_5341-5346m.jpg	3213	9999-12-31	12172
6406/2-5 A	9	5346-5351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_09_5346-5351m.jpg	3213	9999-12-31	12173
6406/2-5 A	10	5351-5354m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_10_5351-5354m.jpg	3213	9999-12-31	12174
6406/2-5 A	11	5354-5359m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_11_5354-5359m.jpg	3213	9999-12-31	12175
6406/2-5 A	12	5359-5364m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_12_5359-5364m.jpg	3213	9999-12-31	12176
6406/2-5 A	13	5364-5369m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_13_5364-5369m.jpg	3213	9999-12-31	12177
6406/2-5 A	14	5369-5374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_14_5369-5374m.jpg	3213	9999-12-31	12178
6406/2-5 A	15	5374-5379m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_15_5374-5379m.jpg	3213	9999-12-31	12179
6406/2-5 A	16	5379-5384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_16_5379-5384m.jpg	3213	9999-12-31	12180
6406/2-5 A	17	5384-5389m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_17_5384-5389m.jpg	3213	9999-12-31	12181
6406/2-5 A	18	5389-5390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_18_5389-5390m.jpg	3213	9999-12-31	12182
6406/2-5 A	19	5390-5395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_19_5390-5395m.jpg	3213	9999-12-31	12183
6406/2-5 A	20	5395-5400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_20_5395-5400m.jpg	3213	9999-12-31	12184
6406/2-5 A	21	5400-5405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_21_5400-5405m.jpg	3213	9999-12-31	12185
6406/2-5 A	22	5405-5410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_22_5405-5410m.jpg	3213	9999-12-31	12186
6406/2-5 A	23	5410-5415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_23_5410-5415m.jpg	3213	9999-12-31	12187
6406/2-5 A	24	5415-5420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_24_5415-5420m.jpg	3213	9999-12-31	12188
6406/2-5 A	25	5420-5425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_25_5420-5425m.jpg	3213	9999-12-31	12189
6406/2-5 A	26	5425-5429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_26_5425-5429m.jpg	3213	9999-12-31	12190
6406/2-5 A	27	5505-5510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_27_5505-5510m.jpg	3213	9999-12-31	12191
6406/2-5 A	28	5510-5515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_28_5510-5515m.jpg	3213	9999-12-31	12192
6406/2-5 A	29	5515-5520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_29_5515-5520m.jpg	3213	9999-12-31	12193
6406/2-5 A	30	5520-5525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_30_5520-5525m.jpg	3213	9999-12-31	12194
6406/2-5 A	31	5525-5527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_31_5525-5527m.jpg	3213	9999-12-31	12195
6406/2-5 A	32	5527-5532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_32_5527-5532m.jpg	3213	9999-12-31	12196
6406/2-5 A	33	5532-5537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_33_5532-5537m.jpg	3213	9999-12-31	12197
6406/2-5 A	34	5537-5542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_34_5537-5542m.jpg	3213	9999-12-31	12198
6406/2-5 A	35	5542-5547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_35_5542-5547m.jpg	3213	9999-12-31	12199
6406/2-5 A	36	5547-5552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_36_5547-5552m.jpg	3213	9999-12-31	12200
6406/2-5 A	37	5552-5554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3213_37_5552-5554m.jpg	3213	9999-12-31	12201
6406/2-6	1	4504-4509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3407_01_4504-4509m.jpg	3407	9999-12-31	12202
6406/2-6	2	4509-4514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3407_02_4509-4514m.jpg	3407	9999-12-31	12203
6406/2-6	3	4514-4519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3407_03_4514-4519m.jpg	3407	9999-12-31	12204
6406/2-6	4	4519-4524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3407_04_4519-4524m.jpg	3407	9999-12-31	12205
6406/2-6	5	4524-4529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3407_05_4524-4529m.jpg	3407	9999-12-31	12206
6406/2-6	6	4529-4531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3407_06_4529-4531m.jpg	3407	9999-12-31	12207
6406/2-6 A	1	5123-5128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4094_01_5123-5128m.jpg	4094	9999-12-31	12208
6406/2-6 A	2	5128-5133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4094_02_5128-5133m.jpg	4094	9999-12-31	12209
6406/2-6 A	3	5133-5138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4094_03_5133-5138m.jpg	4094	9999-12-31	12210
6406/2-6 A	4	5138-5143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4094_04_5138-5143m.jpg	4094	9999-12-31	12211
6406/2-6 A	5	5143-5148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4094_05_5143-5148m.jpg	4094	9999-12-31	12212
6406/2-6 A	6	5148-5151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4094_06_5148-5151m.jpg	4094	9999-12-31	12213
6406/2-7	1	4573-4578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_01_4573-4578m.jpg	3878	9999-12-31	12214
6406/2-7	2	4578-4583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_02_4578-4583m.jpg	3878	9999-12-31	12215
6406/2-7	3	4583-4588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_03_4583-4588m.jpg	3878	9999-12-31	12216
6406/2-7	4	4588-4593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_04_4588-4593m.jpg	3878	9999-12-31	12217
6406/2-7	5	4593-4598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_05_4593-4598m.jpg	3878	9999-12-31	12218
6406/2-7	6	4598-4628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_06_4598-4628m.jpg	3878	9999-12-31	12219
6406/2-7	7	4628-4633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_07_4628-4633m.jpg	3878	9999-12-31	12220
6406/2-7	8	4633-4638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_08_4633-4638m.jpg	3878	9999-12-31	12221
6406/2-7	9	4638-4643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_09_4638-4643m.jpg	3878	9999-12-31	12222
6406/2-7	10	4643-4648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_10_4643-4648m.jpg	3878	9999-12-31	12223
6406/2-7	11	4648-4653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_11_4648-4653m.jpg	3878	9999-12-31	12224
6406/2-7	12	4653-4710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_12_4653-4710m.jpg	3878	9999-12-31	12225
6406/2-7	13	4710-4715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_13_4710-4715m.jpg	3878	9999-12-31	12226
6406/2-7	14	4715-4720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_14_4715-4720m.jpg	3878	9999-12-31	12227
6406/2-7	15	4720-4725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_15_4720-4725m.jpg	3878	9999-12-31	12228
6406/2-7	16	4725-4730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_16_4725-4730m.jpg	3878	9999-12-31	12229
6406/2-7	17	4730-4730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3878_17_4730-4730m.jpg	3878	9999-12-31	12230
6406/3-1	1	3783-3788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_01_3783-3788m.jpg	108	9999-12-31	12231
6406/3-1	2	3789-3794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_02_3789-3794m.jpg	108	9999-12-31	12232
6406/3-1	3	3795-3800m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_03_3795-3800m.jpg	108	9999-12-31	12233
6406/3-1	4	3800-3806m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_04_3800-3806m.jpg	108	9999-12-31	12234
6406/3-1	5	3806-3812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_05_3806-3812m.jpg	108	9999-12-31	12235
6406/3-1	6	3812-3818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_06_3812-3818m.jpg	108	9999-12-31	12236
6406/3-1	7	3818-3822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_07_3818-3822m.jpg	108	9999-12-31	12237
6406/3-1	8	3822-3828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_08_3822-3828m.jpg	108	9999-12-31	12238
6406/3-1	9	3828-3834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_09_3828-3834m.jpg	108	9999-12-31	12239
6406/3-1	10	3834-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_10_3834-3839m.jpg	108	9999-12-31	12240
6406/3-1	11	3834-3846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_11_3834-3846m.jpg	108	9999-12-31	12241
6406/3-1	12	3846-3846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/108_12_3846-3846m.jpg	108	9999-12-31	12242
6406/3-2	1	3931-3933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_01_3931-3933m.jpg	863	9999-12-31	12243
6406/3-2	2	3935-3941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_02_3935-3941m.jpg	863	9999-12-31	12244
6406/3-2	3	3941-3947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_03_3941-3947m.jpg	863	9999-12-31	12245
6406/3-2	4	3947-3952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_04_3947-3952m.jpg	863	9999-12-31	12246
6406/3-2	5	3952-3958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_05_3952-3958m.jpg	863	9999-12-31	12247
6406/3-2	6	3958-3964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_06_3958-3964m.jpg	863	9999-12-31	12248
6406/3-2	7	3964-3964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_07_3964-3964m.jpg	863	9999-12-31	12249
6406/3-2	8	3965-3971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_08_3965-3971m.jpg	863	9999-12-31	12250
6406/3-2	9	3971-3917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_09_3971-3917m.jpg	863	9999-12-31	12251
6406/3-2	10	3917-3981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_10_3917-3981m.jpg	863	9999-12-31	12252
6406/3-2	11	3983-3989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_11_3983-3989m.jpg	863	9999-12-31	12253
6406/3-2	12	3989-3995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_12_3989-3995m.jpg	863	9999-12-31	12254
6406/3-2	13	3995-4001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_13_3995-4001m.jpg	863	9999-12-31	12255
6406/3-2	14	4001-4001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_14_4001-4001m.jpg	863	9999-12-31	12256
6406/3-2	15	4001-4007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_15_4001-4007m.jpg	863	9999-12-31	12257
6406/3-2	16	4007-4013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_16_4007-4013m.jpg	863	9999-12-31	12258
6406/3-2	17	4013-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_17_4013-4019m.jpg	863	9999-12-31	12259
6406/3-2	18	4019-4025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_18_4019-4025m.jpg	863	9999-12-31	12260
6406/3-2	19	4025-4027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_19_4025-4027m.jpg	863	9999-12-31	12261
6406/3-2	20	4027-4033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_20_4027-4033m.jpg	863	9999-12-31	12262
6406/3-2	21	4033-4039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_21_4033-4039m.jpg	863	9999-12-31	12263
6406/3-2	22	4039-4045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_22_4039-4045m.jpg	863	9999-12-31	12264
6406/3-2	23	4045-4048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_23_4045-4048m.jpg	863	9999-12-31	12265
6406/3-2	24	4048-4054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_24_4048-4054m.jpg	863	9999-12-31	12266
6406/3-2	25	4054-4056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_25_4054-4056m.jpg	863	9999-12-31	12267
6406/3-2	26	4067-4073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_26_4067-4073m.jpg	863	9999-12-31	12268
6406/3-2	27	4073-4079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_27_4073-4079m.jpg	863	9999-12-31	12269
6406/3-2	28	4079-4085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_28_4079-4085m.jpg	863	9999-12-31	12270
6406/3-2	29	4085-4091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_29_4085-4091m.jpg	863	9999-12-31	12271
6406/3-2	30	4091-4094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_30_4091-4094m.jpg	863	9999-12-31	12272
6406/3-2	31	4094-4099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_31_4094-4099m.jpg	863	9999-12-31	12273
6406/3-2	32	4100-4108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_32_4100-4108m.jpg	863	9999-12-31	12274
6406/3-2	33	4106-4112m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_33_4106-4112m.jpg	863	9999-12-31	12275
6406/3-2	34	4112-4118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_34_4112-4118m.jpg	863	9999-12-31	12276
6406/3-2	35	4118-4119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_35_4118-4119m.jpg	863	9999-12-31	12277
6406/3-2	36	4121-4127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_36_4121-4127m.jpg	863	9999-12-31	12278
6406/3-2	37	4127-4133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_37_4127-4133m.jpg	863	9999-12-31	12279
6406/3-2	38	4183-4139m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_38_4183-4139m.jpg	863	9999-12-31	12280
6406/3-2	39	4139-4145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_39_4139-4145m.jpg	863	9999-12-31	12281
6406/3-2	40	4145-4148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_40_4145-4148m.jpg	863	9999-12-31	12282
6406/3-2	41	4282-4288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_41_4282-4288m.jpg	863	9999-12-31	12283
6406/3-2	42	4288-4294m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_42_4288-4294m.jpg	863	9999-12-31	12284
6406/3-2	43	4294-4296m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_43_4294-4296m.jpg	863	9999-12-31	12285
6406/3-2	44	4298-4304m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_44_4298-4304m.jpg	863	9999-12-31	12286
6406/3-2	45	4304-4308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_45_4304-4308m.jpg	863	9999-12-31	12287
6406/3-2	46	4308-4314m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_46_4308-4314m.jpg	863	9999-12-31	12288
6406/3-2	47	4314-4320m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_47_4314-4320m.jpg	863	9999-12-31	12289
6406/3-2	48	4320-4326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_48_4320-4326m.jpg	863	9999-12-31	12290
6406/3-2	49	4326-4332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_49_4326-4332m.jpg	863	9999-12-31	12291
6406/3-2	50	4332-4335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_50_4332-4335m.jpg	863	9999-12-31	12292
6406/3-2	51	4336-4340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_51_4336-4340m.jpg	863	9999-12-31	12293
6406/3-2	52	4345-4351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_52_4345-4351m.jpg	863	9999-12-31	12294
6406/3-2	53	4351-4357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_53_4351-4357m.jpg	863	9999-12-31	12295
6406/3-2	54	4357-4360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_54_4357-4360m.jpg	863	9999-12-31	12296
6406/3-2	55	4363-4369m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_55_4363-4369m.jpg	863	9999-12-31	12297
6406/3-2	56	4369-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_56_4369-4375m.jpg	863	9999-12-31	12298
6406/3-2	57	4375-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/863_57_4375-4375m.jpg	863	9999-12-31	12299
6406/3-3	1	3938-3943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/949_01_3938-3943m.jpg	949	9999-12-31	12300
6406/3-3	2	3943-3948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/949_02_3943-3948m.jpg	949	9999-12-31	12301
6406/3-3	3	3948-3952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/949_03_3948-3952m.jpg	949	9999-12-31	12302
6406/3-3	4	3956-3961m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/949_04_3956-3961m.jpg	949	9999-12-31	12303
6406/3-3	5	3961-3966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/949_05_3961-3966m.jpg	949	9999-12-31	12304
6406/3-3	6	3966-3971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/949_06_3966-3971m.jpg	949	9999-12-31	12305
6406/3-3	7	3971-3972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/949_07_3971-3972m.jpg	949	9999-12-31	12306
6406/3-4	1	4020-4025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_01_4020-4025m.jpg	1173	9999-12-31	12307
6406/3-4	2	4025-4030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_02_4025-4030m.jpg	1173	9999-12-31	12308
6406/3-4	3	4030-4035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_03_4030-4035m.jpg	1173	9999-12-31	12309
6406/3-4	4	4035-4040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_04_4035-4040m.jpg	1173	9999-12-31	12310
6406/3-4	5	4040-4045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_05_4040-4045m.jpg	1173	9999-12-31	12311
6406/3-4	6	4045-4048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_06_4045-4048m.jpg	1173	9999-12-31	12312
6406/3-4	7	4048-4053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_07_4048-4053m.jpg	1173	9999-12-31	12313
6406/3-4	8	4053-4058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_08_4053-4058m.jpg	1173	9999-12-31	12314
6406/3-4	9	4058-4063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_09_4058-4063m.jpg	1173	9999-12-31	12315
6406/3-4	10	4063-4068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_10_4063-4068m.jpg	1173	9999-12-31	12316
6406/3-4	11	4068-4073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_11_4068-4073m.jpg	1173	9999-12-31	12317
6406/3-4	12	4073-4076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_12_4073-4076m.jpg	1173	9999-12-31	12318
6406/3-4	13	4076-4081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_13_4076-4081m.jpg	1173	9999-12-31	12319
6406/3-4	14	4081-4086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_14_4081-4086m.jpg	1173	9999-12-31	12320
6406/3-4	15	4086-4091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_15_4086-4091m.jpg	1173	9999-12-31	12321
6406/3-4	16	4091-4094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_16_4091-4094m.jpg	1173	9999-12-31	12322
6406/3-4	17	4094-4099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_17_4094-4099m.jpg	1173	9999-12-31	12323
6406/3-4	18	4099-4104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_18_4099-4104m.jpg	1173	9999-12-31	12324
6406/3-4	19	4104-4109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_19_4104-4109m.jpg	1173	9999-12-31	12325
6406/3-4	20	4109-4114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_20_4109-4114m.jpg	1173	9999-12-31	12326
6406/3-4	21	4114-4119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_21_4114-4119m.jpg	1173	9999-12-31	12327
6406/3-4	22	4119-4122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_22_4119-4122m.jpg	1173	9999-12-31	12328
6406/3-4	23	4156-4161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_23_4156-4161m.jpg	1173	9999-12-31	12329
6406/3-4	24	4161-4166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_24_4161-4166m.jpg	1173	9999-12-31	12330
6406/3-4	25	4166-4171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_25_4166-4171m.jpg	1173	9999-12-31	12331
6406/3-4	26	4171-4176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_26_4171-4176m.jpg	1173	9999-12-31	12332
6406/3-4	27	4181-4184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_27_4181-4184m.jpg	1173	9999-12-31	12333
6406/3-4	28	4176-4181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_28_4176-4181m.jpg	1173	9999-12-31	12334
6406/3-4	29	4185-4190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_29_4185-4190m.jpg	1173	9999-12-31	12335
6406/3-4	30	4190-4195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_30_4190-4195m.jpg	1173	9999-12-31	12336
6406/3-4	31	4195-4200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_31_4195-4200m.jpg	1173	9999-12-31	12337
6406/3-4	32	4200-4205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_32_4200-4205m.jpg	1173	9999-12-31	12338
6406/3-4	33	4205-4210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_33_4205-4210m.jpg	1173	9999-12-31	12339
6406/3-4	34	4210-4212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1173_34_4210-4212m.jpg	1173	9999-12-31	12340
6406/3-5	1	3815-3820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1227_01_3815-3820m.jpg	1227	9999-12-31	12341
6406/3-5	2	3820-3825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1227_02_3820-3825m.jpg	1227	9999-12-31	12342
6406/3-5	3	3825-3830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1227_03_3825-3830m.jpg	1227	9999-12-31	12343
6406/3-5	4	3830-3835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1227_04_3830-3835m.jpg	1227	9999-12-31	12344
6406/3-5	5	3835-3836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1227_05_3835-3836m.jpg	1227	9999-12-31	12345
6406/8-1	1	4370-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_01_4370-4375m.jpg	1136	9999-12-31	12346
6406/8-1	2	4375-4380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_02_4375-4380m.jpg	1136	9999-12-31	12347
6406/8-1	3	4380-4385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_03_4380-4385m.jpg	1136	9999-12-31	12348
6406/8-1	4	4385-4388m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_04_4385-4388m.jpg	1136	9999-12-31	12349
6406/8-1	5	4388-4389m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_05_4388-4389m.jpg	1136	9999-12-31	12350
6406/8-1	6	4393-4398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_06_4393-4398m.jpg	1136	9999-12-31	12351
6406/8-1	7	4398-4403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_07_4398-4403m.jpg	1136	9999-12-31	12352
6406/8-1	8	4403-4408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_08_4403-4408m.jpg	1136	9999-12-31	12353
6406/8-1	9	4408-4413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_09_4408-4413m.jpg	1136	9999-12-31	12354
6406/8-1	10	4413-4416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_10_4413-4416m.jpg	1136	9999-12-31	12355
6406/8-1	11	4416-4421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_11_4416-4421m.jpg	1136	9999-12-31	12356
6406/8-1	12	4421-4426m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_12_4421-4426m.jpg	1136	9999-12-31	12357
6406/8-1	13	4426-4431m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_13_4426-4431m.jpg	1136	9999-12-31	12358
6406/8-1	14	4431-4436m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_14_4431-4436m.jpg	1136	9999-12-31	12359
6406/8-1	15	4436-4441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_15_4436-4441m.jpg	1136	9999-12-31	12360
6406/8-1	16	4441-4443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_16_4441-4443m.jpg	1136	9999-12-31	12361
6406/8-1	16	4443-4448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_16_4443-4448m.jpg	1136	9999-12-31	12362
6406/8-1	17	4448-4453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_17_4448-4453m.jpg	1136	9999-12-31	12363
6406/8-1	18	4453-4458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_18_4453-4458m.jpg	1136	9999-12-31	12364
6406/8-1	19	4458-4463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_19_4458-4463m.jpg	1136	9999-12-31	12365
6406/8-1	20	4463-4468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_20_4463-4468m.jpg	1136	9999-12-31	12366
6406/8-1	21	4468-4471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_21_4468-4471m.jpg	1136	9999-12-31	12367
6406/8-1	22	4471-4476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_22_4471-4476m.jpg	1136	9999-12-31	12368
6406/8-1	23	4476-4481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_23_4476-4481m.jpg	1136	9999-12-31	12369
6406/8-1	24	4481-4486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_24_4481-4486m.jpg	1136	9999-12-31	12370
6406/8-1	25	4486-4491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_25_4486-4491m.jpg	1136	9999-12-31	12371
6406/8-1	26	4491-4496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_26_4491-4496m.jpg	1136	9999-12-31	12372
6406/8-1	27	4496-4498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_27_4496-4498m.jpg	1136	9999-12-31	12373
6406/8-1	28	4649-4654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_28_4649-4654m.jpg	1136	9999-12-31	12374
6406/8-1	29	4654-4658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1136_29_4654-4658m.jpg	1136	9999-12-31	12375
6407/10-1	1	2582-2587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_01_2582-2587m.jpg	1054	9999-12-31	12376
6407/10-1	2	2587-2592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_02_2587-2592m.jpg	1054	9999-12-31	12377
6407/10-1	3	2592-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_03_2592-2597m.jpg	1054	9999-12-31	12378
6407/10-1	4	2597-2602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_04_2597-2602m.jpg	1054	9999-12-31	12379
6407/10-1	5	2602-2607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_05_2602-2607m.jpg	1054	9999-12-31	12380
6407/10-1	6	2607-2610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_06_2607-2610m.jpg	1054	9999-12-31	12381
6407/10-1	7	2748-2753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_07_2748-2753m.jpg	1054	9999-12-31	12382
6407/10-1	8	2753-2758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_08_2753-2758m.jpg	1054	9999-12-31	12383
6407/10-1	9	2758-2763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_09_2758-2763m.jpg	1054	9999-12-31	12384
6407/10-1	10	2763-2768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_10_2763-2768m.jpg	1054	9999-12-31	12385
6407/10-1	11	2768-2773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_11_2768-2773m.jpg	1054	9999-12-31	12386
6407/10-1	12	2773-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_12_2773-2774m.jpg	1054	9999-12-31	12387
6407/10-1	13	2817-2822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_13_2817-2822m.jpg	1054	9999-12-31	12388
6407/10-1	14	2822-2827m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_14_2822-2827m.jpg	1054	9999-12-31	12389
6407/10-1	15	2827-2832m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_15_2827-2832m.jpg	1054	9999-12-31	12390
6407/10-1	16	2832-2837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_16_2832-2837m.jpg	1054	9999-12-31	12391
6407/10-1	17	2837-2842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_17_2837-2842m.jpg	1054	9999-12-31	12392
6407/10-1	18	2842-2845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_18_2842-2845m.jpg	1054	9999-12-31	12393
6407/10-1	19	2845-2850m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_19_2845-2850m.jpg	1054	9999-12-31	12394
6407/10-1	20	2950-2855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_20_2950-2855m.jpg	1054	9999-12-31	12395
6407/10-1	21	2855-2860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_21_2855-2860m.jpg	1054	9999-12-31	12396
6407/10-1	22	2860-2865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_22_2860-2865m.jpg	1054	9999-12-31	12397
6407/10-1	23	2865-2870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_23_2865-2870m.jpg	1054	9999-12-31	12398
6407/10-1	24	2870-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_24_2870-2872m.jpg	1054	9999-12-31	12399
6407/10-1	25	2983-2988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_25_2983-2988m.jpg	1054	9999-12-31	12400
6407/10-1	26	2988-2993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_26_2988-2993m.jpg	1054	9999-12-31	12401
6407/10-1	27	2993-2998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_27_2993-2998m.jpg	1054	9999-12-31	12402
6407/10-1	28	2998-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_28_2998-3003m.jpg	1054	9999-12-31	12403
6407/10-1	29	3003-3008m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_29_3003-3008m.jpg	1054	9999-12-31	12404
6407/10-1	30	3008-3011m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1054_30_3008-3011m.jpg	1054	9999-12-31	12405
6407/10-2	1	3442-3447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1497_01_3442-3447m.jpg	1497	9999-12-31	12406
6407/10-2	2	3447-3452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1497_02_3447-3452m.jpg	1497	9999-12-31	12407
6407/10-2	3	3452-3457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1497_03_3452-3457m.jpg	1497	9999-12-31	12408
6407/10-2	4	3457-3686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1497_04_3457-3686m.jpg	1497	9999-12-31	12409
6407/10-2	5	3686-3691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1497_05_3686-3691m.jpg	1497	9999-12-31	12410
6407/10-2	6	3691-3693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1497_06_3691-3693m.jpg	1497	9999-12-31	12411
6407/10-3	1	1830-1835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1927_01_1830-1835m.jpg	1927	9999-12-31	12412
6407/10-3	2	1835-2972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1927_02_1835-2972m.jpg	1927	9999-12-31	12413
6407/1-2	1	3661-3668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/61_01_3661-3668m.jpg	61	9999-12-31	12414
6407/1-2	2	3668-3675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/61_02_3668-3675m.jpg	61	9999-12-31	12415
6407/1-2	3	3675-3678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/61_03_3675-3678m.jpg	61	9999-12-31	12416
6407/1-2	4	3679-3686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/61_04_3679-3686m.jpg	61	9999-12-31	12417
6407/1-2	5	3686-3688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/61_05_3686-3688m.jpg	61	9999-12-31	12418
6407/1-2	6	3688-3695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/61_06_3688-3695m.jpg	61	9999-12-31	12419
6407/1-2	7	3695-3701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/61_07_3695-3701m.jpg	61	9999-12-31	12420
6407/1-2	8	3701-3708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/61_08_3701-3708m.jpg	61	9999-12-31	12421
6407/1-2	9	3708-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/61_09_3708-3715m.jpg	61	9999-12-31	12422
6407/1-2	10	3715-3719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/61_10_3715-3719m.jpg	61	9999-12-31	12423
6407/1-3	1	3619-3624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_01_3619-3624m.jpg	29	9999-12-31	12424
6407/1-3	2	3624-3628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_02_3624-3628m.jpg	29	9999-12-31	12425
6407/1-3	3	3628-3632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_03_3628-3632m.jpg	29	9999-12-31	12426
6407/1-3	4	3632-3636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_04_3632-3636m.jpg	29	9999-12-31	12427
6407/1-3	5	3636-3640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_05_3636-3640m.jpg	29	9999-12-31	12428
6407/1-3	6	3640-3644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_06_3640-3644m.jpg	29	9999-12-31	12429
6407/1-3	7	3644-3648m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_07_3644-3648m.jpg	29	9999-12-31	12430
6407/1-3	8	3648-3652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_08_3648-3652m.jpg	29	9999-12-31	12431
6407/1-3	9	3652-3656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_09_3652-3656m.jpg	29	9999-12-31	12432
6407/1-3	10	3656-3658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_10_3656-3658m.jpg	29	9999-12-31	12433
6407/1-3	11	3659-3663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_11_3659-3663m.jpg	29	9999-12-31	12434
6407/1-3	12	3663-3667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_12_3663-3667m.jpg	29	9999-12-31	12435
6407/1-3	13	3667-3671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_13_3667-3671m.jpg	29	9999-12-31	12436
6407/1-3	14	3671-3675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_14_3671-3675m.jpg	29	9999-12-31	12437
6407/1-3	15	3675-3679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_15_3675-3679m.jpg	29	9999-12-31	12438
6407/1-3	16	3679-3683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_16_3679-3683m.jpg	29	9999-12-31	12439
6407/1-3	17	3683-3687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_17_3683-3687m.jpg	29	9999-12-31	12440
6407/1-3	18	3687-3691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_18_3687-3691m.jpg	29	9999-12-31	12441
6407/1-3	19	3691-3695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_19_3691-3695m.jpg	29	9999-12-31	12442
6407/1-3	20	3695-3699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_20_3695-3699m.jpg	29	9999-12-31	12443
6407/1-3	21	3699-3703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_21_3699-3703m.jpg	29	9999-12-31	12444
6407/1-3	22	3703-3707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_22_3703-3707m.jpg	29	9999-12-31	12445
6407/1-3	23	3707-3711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_23_3707-3711m.jpg	29	9999-12-31	12446
6407/1-3	24	3711-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_24_3711-3715m.jpg	29	9999-12-31	12447
6407/1-3	25	3715-3750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_25_3715-3750m.jpg	29	9999-12-31	12448
6407/1-3	26	3750-3754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_26_3750-3754m.jpg	29	9999-12-31	12449
6407/1-3	27	3754-3758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/29_27_3754-3758m.jpg	29	9999-12-31	12450
6407/1-4	1	2498-2502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_01_2498-2502m.jpg	2796	9999-12-31	12451
6407/1-4	2	2502-2506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_02_2502-2506m.jpg	2796	9999-12-31	12452
6407/1-4	3	2506-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_03_2506-2510m.jpg	2796	9999-12-31	12453
6407/1-4	4	2510-2514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_04_2510-2514m.jpg	2796	9999-12-31	12454
6407/1-4	5	2514-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_05_2514-2518m.jpg	2796	9999-12-31	12455
6407/1-4	6	2518-2522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_06_2518-2522m.jpg	2796	9999-12-31	12456
6407/1-4	7	2522-2526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_07_2522-2526m.jpg	2796	9999-12-31	12457
6407/1-4	8	3679-3684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_08_3679-3684m.jpg	2796	9999-12-31	12458
6407/1-4	9	3684-3689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_09_3684-3689m.jpg	2796	9999-12-31	12459
6407/1-4	10	3689-3694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_10_3689-3694m.jpg	2796	9999-12-31	12460
6407/1-4	11	3694-3699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_11_3694-3699m.jpg	2796	9999-12-31	12461
6407/1-4	12	3699-3704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_12_3699-3704m.jpg	2796	9999-12-31	12462
6407/1-4	13	3704-3706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_13_3704-3706m.jpg	2796	9999-12-31	12463
6407/1-4	14	3706-3711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_14_3706-3711m.jpg	2796	9999-12-31	12464
6407/1-4	15	3711-3716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_15_3711-3716m.jpg	2796	9999-12-31	12465
6407/1-4	16	3716-3721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_16_3716-3721m.jpg	2796	9999-12-31	12466
6407/1-4	17	3721-3726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_17_3721-3726m.jpg	2796	9999-12-31	12467
6407/1-4	18	3726-3731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_18_3726-3731m.jpg	2796	9999-12-31	12468
6407/1-4	19	3731-3736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_19_3731-3736m.jpg	2796	9999-12-31	12469
6407/1-4	20	3736-3739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2796_20_3736-3739m.jpg	2796	9999-12-31	12470
6407/2-1	1	2417-2422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_01_2417-2422m.jpg	76	9999-12-31	12471
6407/2-1	2	2422-2427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_02_2422-2427m.jpg	76	9999-12-31	12472
6407/2-1	3	2427-2432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_03_2427-2432m.jpg	76	9999-12-31	12473
6407/2-1	4	2432-2434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_04_2432-2434m.jpg	76	9999-12-31	12474
6407/2-1	5	2940-2941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_05_2940-2941m.jpg	76	9999-12-31	12475
6407/2-1	6	2943-2948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_06_2943-2948m.jpg	76	9999-12-31	12476
6407/2-1	7	2948-2953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_07_2948-2953m.jpg	76	9999-12-31	12477
6407/2-1	8	2953-2957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_08_2953-2957m.jpg	76	9999-12-31	12478
6407/2-1	9	3085-3090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_09_3085-3090m.jpg	76	9999-12-31	12479
6407/2-1	10	3090-3095m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_10_3090-3095m.jpg	76	9999-12-31	12480
6407/2-1	11	3095-3100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_11_3095-3100m.jpg	76	9999-12-31	12481
6407/2-1	12	3100-3101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_12_3100-3101m.jpg	76	9999-12-31	12482
6407/2-1	13	3478-3479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_13_3478-3479m.jpg	76	9999-12-31	12483
6407/2-1	14	3480-3485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_14_3480-3485m.jpg	76	9999-12-31	12484
6407/2-1	15	3485-3490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_15_3485-3490m.jpg	76	9999-12-31	12485
6407/2-1	16	3490-3495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_16_3490-3495m.jpg	76	9999-12-31	12486
6407/2-1	17	3495-3497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/76_17_3495-3497m.jpg	76	9999-12-31	12487
6407/2-2	1	2461-2466m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_01_2461-2466m.jpg	16	9999-12-31	12488
6407/2-2	2	2466-2471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_02_2466-2471m.jpg	16	9999-12-31	12489
6407/2-2	3	2473-2476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_03_2473-2476m.jpg	16	9999-12-31	12490
6407/2-2	4	2479-2484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_04_2479-2484m.jpg	16	9999-12-31	12491
6407/2-2	5	2484-2489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_05_2484-2489m.jpg	16	9999-12-31	12492
6407/2-2	6	2489-2494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_06_2489-2494m.jpg	16	9999-12-31	12493
6407/2-2	7	2494-2497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_07_2494-2497m.jpg	16	9999-12-31	12494
6407/2-2	8	2497-2499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_08_2497-2499m.jpg	16	9999-12-31	12495
6407/2-2	9	2501-2506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_09_2501-2506m.jpg	16	9999-12-31	12496
6407/2-2	10	2506-2506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_10_2506-2506m.jpg	16	9999-12-31	12497
6407/2-2	11	2508-2513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_11_2508-2513m.jpg	16	9999-12-31	12498
6407/2-2	12	2513-2514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_12_2513-2514m.jpg	16	9999-12-31	12499
6407/2-2	13	2518-2523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_13_2518-2523m.jpg	16	9999-12-31	12500
6407/2-2	14	2523-2527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_14_2523-2527m.jpg	16	9999-12-31	12501
6407/2-2	15	2527-2532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_15_2527-2532m.jpg	16	9999-12-31	12502
6407/2-2	16	2532-2534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_16_2532-2534m.jpg	16	9999-12-31	12503
6407/2-2	17	2536-2541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_17_2536-2541m.jpg	16	9999-12-31	12504
6407/2-2	18	2541-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_18_2541-2546m.jpg	16	9999-12-31	12505
6407/2-2	19	2546-2549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_19_2546-2549m.jpg	16	9999-12-31	12506
6407/2-2	20	2552-2557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_20_2552-2557m.jpg	16	9999-12-31	12507
6407/2-2	21	2557-2559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_21_2557-2559m.jpg	16	9999-12-31	12508
6407/2-2	22	2565-2670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_22_2565-2670m.jpg	16	9999-12-31	12509
6407/2-2	23	2570-2575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_23_2570-2575m.jpg	16	9999-12-31	12510
6407/2-2	24	2575-2579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_24_2575-2579m.jpg	16	9999-12-31	12511
6407/2-2	25	2582-2583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/16_25_2582-2583m.jpg	16	9999-12-31	12512
6407/2-3	1	2428-2433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_01_2428-2433m.jpg	935	9999-12-31	12513
6407/2-3	2	2433-2438m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_02_2433-2438m.jpg	935	9999-12-31	12514
6407/2-3	3	2438-2443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_03_2438-2443m.jpg	935	9999-12-31	12515
6407/2-3	4	2443-2448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_04_2443-2448m.jpg	935	9999-12-31	12516
6407/2-3	5	2448-2453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_05_2448-2453m.jpg	935	9999-12-31	12517
6407/2-3	6	2453-2457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_06_2453-2457m.jpg	935	9999-12-31	12518
6407/2-3	7	2457-2462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_07_2457-2462m.jpg	935	9999-12-31	12519
6407/2-3	8	2462-2467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_08_2462-2467m.jpg	935	9999-12-31	12520
6407/2-3	9	2467-2472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_09_2467-2472m.jpg	935	9999-12-31	12521
6407/2-3	10	2472-2476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_10_2472-2476m.jpg	935	9999-12-31	12522
6407/2-3	11	2476-2481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_11_2476-2481m.jpg	935	9999-12-31	12523
6407/2-3	12	2481-2486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_12_2481-2486m.jpg	935	9999-12-31	12524
6407/2-3	13	2486-2491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_13_2486-2491m.jpg	935	9999-12-31	12525
6407/2-3	14	2491-2496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_14_2491-2496m.jpg	935	9999-12-31	12526
6407/2-3	15	2496-2501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_15_2496-2501m.jpg	935	9999-12-31	12527
6407/2-3	16	2501-2505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_16_2501-2505m.jpg	935	9999-12-31	12528
6407/2-3	17	2505-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_17_2505-2510m.jpg	935	9999-12-31	12529
6407/2-3	18	2510-2515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_18_2510-2515m.jpg	935	9999-12-31	12530
6407/2-3	19	2515-2520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_19_2515-2520m.jpg	935	9999-12-31	12531
6407/2-3	20	2520-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_20_2520-2525m.jpg	935	9999-12-31	12532
6407/2-3	21	2525-2530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_21_2525-2530m.jpg	935	9999-12-31	12533
6407/2-3	22	2530-2535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_22_2530-2535m.jpg	935	9999-12-31	12534
6407/2-3	23	2535-2539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_23_2535-2539m.jpg	935	9999-12-31	12535
6407/2-3	24	2539-2544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_24_2539-2544m.jpg	935	9999-12-31	12536
6407/2-3	25	2544-2549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_25_2544-2549m.jpg	935	9999-12-31	12537
6407/2-3	26	2549-2554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_26_2549-2554m.jpg	935	9999-12-31	12538
6407/2-3	27	2554-2559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_27_2554-2559m.jpg	935	9999-12-31	12539
6407/2-3	28	2559-2564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_28_2559-2564m.jpg	935	9999-12-31	12540
6407/2-3	29	2564-2569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_29_2564-2569m.jpg	935	9999-12-31	12541
6407/2-3	30	2569-2743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_30_2569-2743m.jpg	935	9999-12-31	12542
6407/2-3	31	2743-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_31_2743-2748m.jpg	935	9999-12-31	12543
6407/2-3	32	2748-2753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_32_2748-2753m.jpg	935	9999-12-31	12544
6407/2-3	33	2753-2758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_33_2753-2758m.jpg	935	9999-12-31	12545
6407/2-3	34	2758-2763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_34_2758-2763m.jpg	935	9999-12-31	12546
6407/2-3	35	2763-2768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_35_2763-2768m.jpg	935	9999-12-31	12547
6407/2-3	36	2768-2769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/935_36_2768-2769m.jpg	935	9999-12-31	12548
6407/2-Z-3 H	1	3367-3372m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4346_01_3367-3372m.jpg	4346	9999-12-31	12549
6407/2-Z-3 H	2	3372-3377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4346_02_3372-3377m.jpg	4346	9999-12-31	12550
6407/2-Z-3 H	3	3377-3382m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4346_03_3377-3382m.jpg	4346	9999-12-31	12551
6407/2-Z-3 H	4	3382-3387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4346_04_3382-3387m.jpg	4346	9999-12-31	12552
6407/2-Z-3 H	5	3387-3392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4346_05_3387-3392m.jpg	4346	9999-12-31	12553
6407/2-Z-3 H	6	3392-3397m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4346_06_3392-3397m.jpg	4346	9999-12-31	12554
6407/2-Z-3 H	7	3397-3398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4346_07_3397-3398m.jpg	4346	9999-12-31	12555
6407/4-1	1	2285-2290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_01_2285-2290m.jpg	490	9999-12-31	12556
6407/4-1	1	4605-4611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_01_4605-4611m.jpg	490	9999-12-31	12557
6407/4-1	2	2291-2293m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_02_2291-2293m.jpg	490	9999-12-31	12558
6407/4-1	2	4611-4617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_02_4611-4617m.jpg	490	9999-12-31	12559
6407/4-1	3	2384-2388m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_03_2384-2388m.jpg	490	9999-12-31	12560
6407/4-1	3	4617-4619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_03_4617-4619m.jpg	490	9999-12-31	12561
6407/4-1	4	2389-2392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_04_2389-2392m.jpg	490	9999-12-31	12562
6407/4-1	5	3889-3894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_05_3889-3894m.jpg	490	9999-12-31	12563
6407/4-1	6	3895-3896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_06_3895-3896m.jpg	490	9999-12-31	12564
6407/4-1	7	3898-3903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_07_3898-3903m.jpg	490	9999-12-31	12565
6407/4-1	8	3904-3909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_08_3904-3909m.jpg	490	9999-12-31	12566
6407/4-1	9	3910-3915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_09_3910-3915m.jpg	490	9999-12-31	12567
6407/4-1	10	3916-3921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_10_3916-3921m.jpg	490	9999-12-31	12568
6407/4-1	11	3922-3925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_11_3922-3925m.jpg	490	9999-12-31	12569
6407/4-1	12	3926-3931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_12_3926-3931m.jpg	490	9999-12-31	12570
6407/4-1	13	3932-3937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_13_3932-3937m.jpg	490	9999-12-31	12571
6407/4-1	14	3938-3943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_14_3938-3943m.jpg	490	9999-12-31	12572
6407/4-1	15	3944-3949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_15_3944-3949m.jpg	490	9999-12-31	12573
6407/4-1	16	3950-3953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_16_3950-3953m.jpg	490	9999-12-31	12574
6407/4-1	17	3953-3958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_17_3953-3958m.jpg	490	9999-12-31	12575
6407/4-1	18	3959-3964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_18_3959-3964m.jpg	490	9999-12-31	12576
6407/4-1	19	3965-3970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_19_3965-3970m.jpg	490	9999-12-31	12577
6407/4-1	20	3971-3976m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_20_3971-3976m.jpg	490	9999-12-31	12578
6407/4-1	21	3977-3981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_21_3977-3981m.jpg	490	9999-12-31	12579
6407/4-1	22	4021-4026m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_22_4021-4026m.jpg	490	9999-12-31	12580
6407/4-1	23	4027-4032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_23_4027-4032m.jpg	490	9999-12-31	12581
6407/4-1	24	4033-4038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_24_4033-4038m.jpg	490	9999-12-31	12582
6407/4-1	25	4039-4044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_25_4039-4044m.jpg	490	9999-12-31	12583
6407/4-1	26	4045-4048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_26_4045-4048m.jpg	490	9999-12-31	12584
6407/4-1	27	4048-4053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_27_4048-4053m.jpg	490	9999-12-31	12585
6407/4-1	28	4054-4059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_28_4054-4059m.jpg	490	9999-12-31	12586
6407/4-1	29	4060-4065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_29_4060-4065m.jpg	490	9999-12-31	12587
6407/4-1	30	4066-4071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_30_4066-4071m.jpg	490	9999-12-31	12588
6407/4-1	31	4072-4076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_31_4072-4076m.jpg	490	9999-12-31	12589
6407/4-1	32	4278-4283m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_32_4278-4283m.jpg	490	9999-12-31	12590
6407/4-1	33	4284-4289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_33_4284-4289m.jpg	490	9999-12-31	12591
6407/4-1	34	4290-4295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_34_4290-4295m.jpg	490	9999-12-31	12592
6407/4-1	35	4296-4299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_35_4296-4299m.jpg	490	9999-12-31	12593
6407/4-1	36	4301-4304m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_36_4301-4304m.jpg	490	9999-12-31	12594
6407/4-1	37	4304-4309m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_37_4304-4309m.jpg	490	9999-12-31	12595
6407/4-1	38	4310-4313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_38_4310-4313m.jpg	490	9999-12-31	12596
6407/4-1	39	4314-4319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_39_4314-4319m.jpg	490	9999-12-31	12597
6407/4-1	40	4320-4325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_40_4320-4325m.jpg	490	9999-12-31	12598
6407/4-1	41	4327-4332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_41_4327-4332m.jpg	490	9999-12-31	12599
6407/4-1	42	4333-4334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_42_4333-4334m.jpg	490	9999-12-31	12600
6407/4-1	45	4605-4611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_45_4605-4611m.jpg	490	9999-12-31	12601
6407/4-1	46	4611-4617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_46_4611-4617m.jpg	490	9999-12-31	12602
6407/4-1	47	4617-4619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/490_47_4617-4619m.jpg	490	9999-12-31	12603
6407/5-1	1	3964-3969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1174_01_3964-3969m.jpg	1174	9999-12-31	12604
6407/5-1	2	3969-3973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1174_02_3969-3973m.jpg	1174	9999-12-31	12605
6407/5-1	3	4206-4211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1174_03_4206-4211m.jpg	1174	9999-12-31	12606
6407/5-1	4	4211-4216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1174_04_4211-4216m.jpg	1174	9999-12-31	12607
6407/5-1	5	4216-4220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1174_05_4216-4220m.jpg	1174	9999-12-31	12608
6407/6-1	1	1870-1875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/444_01_1870-1875m.jpg	444	9999-12-31	12609
6407/6-1	2	1875-1877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/444_02_1875-1877m.jpg	444	9999-12-31	12610
6407/6-1	3	1877-1882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/444_03_1877-1882m.jpg	444	9999-12-31	12611
6407/6-1	4	1882-1886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/444_04_1882-1886m.jpg	444	9999-12-31	12612
6407/6-1	5	1887-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/444_05_1887-1888m.jpg	444	9999-12-31	12613
6407/6-1	6	1888-1889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/444_06_1888-1889m.jpg	444	9999-12-31	12614
6407/6-3	1	2472-2477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_01_2472-2477m.jpg	1024	9999-12-31	12615
6407/6-3	2	2477-2482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_02_2477-2482m.jpg	1024	9999-12-31	12616
6407/6-3	3	2482-2495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_03_2482-2495m.jpg	1024	9999-12-31	12617
6407/6-3	4	2495-2500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_04_2495-2500m.jpg	1024	9999-12-31	12618
6407/6-3	5	2500-2505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_05_2500-2505m.jpg	1024	9999-12-31	12619
6407/6-3	6	2505-2509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_06_2505-2509m.jpg	1024	9999-12-31	12620
6407/6-3	7	2509-2514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_07_2509-2514m.jpg	1024	9999-12-31	12621
6407/6-3	8	2514-2519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_08_2514-2519m.jpg	1024	9999-12-31	12622
6407/6-3	9	2519-2524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_09_2519-2524m.jpg	1024	9999-12-31	12623
6407/6-3	10	2524-2529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_10_2524-2529m.jpg	1024	9999-12-31	12624
6407/6-3	11	2529-2534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_11_2529-2534m.jpg	1024	9999-12-31	12625
6407/6-3	12	2534-2539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_12_2534-2539m.jpg	1024	9999-12-31	12626
6407/6-3	13	2539-2544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_13_2539-2544m.jpg	1024	9999-12-31	12627
6407/6-3	14	2544-2558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_14_2544-2558m.jpg	1024	9999-12-31	12628
6407/6-3	15	2556-2561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_15_2556-2561m.jpg	1024	9999-12-31	12629
6407/6-3	16	2561-2566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_16_2561-2566m.jpg	1024	9999-12-31	12630
6407/6-3	17	2566-2579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_17_2566-2579m.jpg	1024	9999-12-31	12631
6407/6-3	18	2579-2584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_18_2579-2584m.jpg	1024	9999-12-31	12632
6407/6-3	19	2584-2592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_19_2584-2592m.jpg	1024	9999-12-31	12633
6407/6-3	20	2592-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_20_2592-2597m.jpg	1024	9999-12-31	12634
6407/6-3	21	2597-2602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_21_2597-2602m.jpg	1024	9999-12-31	12635
6407/6-3	22	2602-2607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_22_2602-2607m.jpg	1024	9999-12-31	12636
6407/6-3	23	2607-2612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_23_2607-2612m.jpg	1024	9999-12-31	12637
6407/6-3	24	2612-2615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1024_24_2612-2615m.jpg	1024	9999-12-31	12638
6407/6-4	1	2658-2663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1604_01_2658-2663m.jpg	1604	9999-12-31	12639
6407/6-4	2	2663-2668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1604_02_2663-2668m.jpg	1604	9999-12-31	12640
6407/6-4	3	2668-2673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1604_03_2668-2673m.jpg	1604	9999-12-31	12641
6407/6-4	4	2673-2678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1604_04_2673-2678m.jpg	1604	9999-12-31	12642
6407/6-4	5	2678-2683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1604_05_2678-2683m.jpg	1604	9999-12-31	12643
6407/6-4	6	2683-2686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1604_06_2683-2686m.jpg	1604	9999-12-31	12644
6407/6-4	7	3082-3087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1604_07_3082-3087m.jpg	1604	9999-12-31	12645
6407/6-4	8	3087-3092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1604_08_3087-3092m.jpg	1604	9999-12-31	12646
6407/6-4	9	3092-3095m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1604_09_3092-3095m.jpg	1604	9999-12-31	12647
6407/6-5	1	2490-2495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_01_2490-2495m.jpg	3921	9999-12-31	12648
6407/6-5	2	2495-2500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_02_2495-2500m.jpg	3921	9999-12-31	12649
6407/6-5	3	2500-2505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_03_2500-2505m.jpg	3921	9999-12-31	12650
6407/6-5	4	2505-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_04_2505-2510m.jpg	3921	9999-12-31	12651
6407/6-5	5	2510-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_05_2510-2525m.jpg	3921	9999-12-31	12652
6407/6-5	6	2515-2520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_06_2515-2520m.jpg	3921	9999-12-31	12653
6407/6-5	7	2520-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_07_2520-2525m.jpg	3921	9999-12-31	12654
6407/6-5	8	2525-2530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_08_2525-2530m.jpg	3921	9999-12-31	12655
6407/6-5	9	2530-2535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_09_2530-2535m.jpg	3921	9999-12-31	12656
6407/6-5	10	2535-2540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_10_2535-2540m.jpg	3921	9999-12-31	12657
6407/6-5	11	2540-2544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_11_2540-2544m.jpg	3921	9999-12-31	12658
6407/6-5	12	2545-2550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_12_2545-2550m.jpg	3921	9999-12-31	12659
6407/6-5	14	2555-2560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_14_2555-2560m.jpg	3921	9999-12-31	12660
6407/6-5	15	2560-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_15_2560-2565m.jpg	3921	9999-12-31	12661
6407/6-5	16	2565-2570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_16_2565-2570m.jpg	3921	9999-12-31	12662
6407/6-5	17	2570-2575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_17_2570-2575m.jpg	3921	9999-12-31	12663
6407/6-5	18	2575-2580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_18_2575-2580m.jpg	3921	9999-12-31	12664
6407/6-5	19	2580-2585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_19_2580-2585m.jpg	3921	9999-12-31	12665
6407/6-5	20	2585-2590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_20_2585-2590m.jpg	3921	9999-12-31	12666
6407/6-5	21	2590-2595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_21_2590-2595m.jpg	3921	9999-12-31	12667
6407/6-5	22	2595-2598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3921_22_2595-2598m.jpg	3921	9999-12-31	12668
6407/7-1 S	1	2713-2719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_01_2713-2719m.jpg	474	9999-12-31	12669
6407/7-1 S	2	2719-2725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_02_2719-2725m.jpg	474	9999-12-31	12670
6407/7-1 S	3	2725-2726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_03_2725-2726m.jpg	474	9999-12-31	12671
6407/7-1 S	4	2760-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_04_2760-2766m.jpg	474	9999-12-31	12672
6407/7-1 S	5	2778-2781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_05_2778-2781m.jpg	474	9999-12-31	12673
6407/7-1 S	6	2772-2778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_06_2772-2778m.jpg	474	9999-12-31	12674
6407/7-1 S	7	2766-2770m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_07_2766-2770m.jpg	474	9999-12-31	12675
6407/7-1 S	8	2783-2788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_08_2783-2788m.jpg	474	9999-12-31	12676
6407/7-1 S	9	2789-2794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_09_2789-2794m.jpg	474	9999-12-31	12677
6407/7-1 S	10	2795-2801m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_10_2795-2801m.jpg	474	9999-12-31	12678
6407/7-1 S	11	2801-2802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_11_2801-2802m.jpg	474	9999-12-31	12679
6407/7-1 S	12	2804-2810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_12_2804-2810m.jpg	474	9999-12-31	12680
6407/7-1 S	13	2810-2816m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_13_2810-2816m.jpg	474	9999-12-31	12681
6407/7-1 S	14	2816-2822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_14_2816-2822m.jpg	474	9999-12-31	12682
6407/7-1 S	15	2822-2828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_15_2822-2828m.jpg	474	9999-12-31	12683
6407/7-1 S	16	2828-2831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_16_2828-2831m.jpg	474	9999-12-31	12684
6407/7-1 S	17	2844-2850m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_17_2844-2850m.jpg	474	9999-12-31	12685
6407/7-1 S	18	2850-2854m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_18_2850-2854m.jpg	474	9999-12-31	12686
6407/7-1 S	19	2871-2877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_19_2871-2877m.jpg	474	9999-12-31	12687
6407/7-1 S	20	2877-2883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_20_2877-2883m.jpg	474	9999-12-31	12688
6407/7-1 S	21	2883-2889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_21_2883-2889m.jpg	474	9999-12-31	12689
6407/7-1 S	22	2889-2892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_22_2889-2892m.jpg	474	9999-12-31	12690
6407/7-1 S	23	2895-2901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_23_2895-2901m.jpg	474	9999-12-31	12691
6407/7-1 S	24	2901-2907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_24_2901-2907m.jpg	474	9999-12-31	12692
6407/7-1 S	25	2907-2913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_25_2907-2913m.jpg	474	9999-12-31	12693
6407/7-1 S	26	2913-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_26_2913-2919m.jpg	474	9999-12-31	12694
6407/7-1 S	27	2919-2922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_27_2919-2922m.jpg	474	9999-12-31	12695
6407/7-1 S	28	2923-2929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_28_2923-2929m.jpg	474	9999-12-31	12696
6407/7-1 S	29	2929-2935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_29_2929-2935m.jpg	474	9999-12-31	12697
6407/7-1 S	30	2935-2941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_30_2935-2941m.jpg	474	9999-12-31	12698
6407/7-1 S	31	2941-2947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_31_2941-2947m.jpg	474	9999-12-31	12699
6407/7-1 S	32	2947-2951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_32_2947-2951m.jpg	474	9999-12-31	12700
6407/7-1 S	33	2951-2957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_33_2951-2957m.jpg	474	9999-12-31	12701
6407/7-1 S	34	2957-2963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_34_2957-2963m.jpg	474	9999-12-31	12702
6407/7-1 S	35	2963-2969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_35_2963-2969m.jpg	474	9999-12-31	12703
6407/7-1 S	36	2969-2970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_36_2969-2970m.jpg	474	9999-12-31	12704
6407/7-1 S	37	2970-2976m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_37_2970-2976m.jpg	474	9999-12-31	12705
6407/7-1 S	38	2976-2982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_38_2976-2982m.jpg	474	9999-12-31	12706
6407/7-1 S	39	2982-2988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_39_2982-2988m.jpg	474	9999-12-31	12707
6407/7-1 S	40	2988-2989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_40_2988-2989m.jpg	474	9999-12-31	12708
6407/7-1 S	41	2988-2994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_41_2988-2994m.jpg	474	9999-12-31	12709
6407/7-1 S	42	2994-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_42_2994-3000m.jpg	474	9999-12-31	12710
6407/7-1 S	43	3000-3006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_43_3000-3006m.jpg	474	9999-12-31	12711
6407/7-1 S	44	3006-3012m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_44_3006-3012m.jpg	474	9999-12-31	12712
6407/7-1 S	45	3012-3013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_45_3012-3013m.jpg	474	9999-12-31	12713
6407/7-1 S	46	3013-3019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_46_3013-3019m.jpg	474	9999-12-31	12714
6407/7-1 S	47	3019-3025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_47_3019-3025m.jpg	474	9999-12-31	12715
6407/7-1 S	48	3025-3031m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_48_3025-3031m.jpg	474	9999-12-31	12716
6407/7-1 S	49	3031-3037m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_49_3031-3037m.jpg	474	9999-12-31	12717
6407/7-1 S	50	3037-3040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_50_3037-3040m.jpg	474	9999-12-31	12718
6407/7-1 S	51	3052-3058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_51_3052-3058m.jpg	474	9999-12-31	12719
6407/7-1 S	52	3058-3060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_52_3058-3060m.jpg	474	9999-12-31	12720
6407/7-1 S	53	3063-3069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_53_3063-3069m.jpg	474	9999-12-31	12721
6407/7-1 S	54	3069-3075m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_54_3069-3075m.jpg	474	9999-12-31	12722
6407/7-1 S	55	3075-3081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_55_3075-3081m.jpg	474	9999-12-31	12723
6407/7-1 S	56	3081-3083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_56_3081-3083m.jpg	474	9999-12-31	12724
6407/7-1 S	57	3090-3096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_57_3090-3096m.jpg	474	9999-12-31	12725
6407/7-1 S	58	3096-3102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_58_3096-3102m.jpg	474	9999-12-31	12726
6407/7-1 S	59	3102-3108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_59_3102-3108m.jpg	474	9999-12-31	12727
6407/7-1 S	60	3108-3114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_60_3108-3114m.jpg	474	9999-12-31	12728
6407/7-1 S	61	3114-3118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/474_61_3114-3118m.jpg	474	9999-12-31	12729
6407/7-2	1	2673-2679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_01_2673-2679m.jpg	1017	9999-12-31	12730
6407/7-2	2	2679-2685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_02_2679-2685m.jpg	1017	9999-12-31	12731
6407/7-2	3	2685-2686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_03_2685-2686m.jpg	1017	9999-12-31	12732
6407/7-2	4	2701-2707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_04_2701-2707m.jpg	1017	9999-12-31	12733
6407/7-2	5	2707-2713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_05_2707-2713m.jpg	1017	9999-12-31	12734
6407/7-2	6	2713-2718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_06_2713-2718m.jpg	1017	9999-12-31	12735
6407/7-2	7	2723-2729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_07_2723-2729m.jpg	1017	9999-12-31	12736
6407/7-2	8	2729-2735m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_08_2729-2735m.jpg	1017	9999-12-31	12737
6407/7-2	9	2735-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_09_2735-2739m.jpg	1017	9999-12-31	12738
6407/7-2	10	2775-2781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_10_2775-2781m.jpg	1017	9999-12-31	12739
6407/7-2	11	2781-2787m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_11_2781-2787m.jpg	1017	9999-12-31	12740
6407/7-2	12	2787-2787m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_12_2787-2787m.jpg	1017	9999-12-31	12741
6407/7-2	13	2791-2797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_13_2791-2797m.jpg	1017	9999-12-31	12742
6407/7-2	14	2797-2803m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_14_2797-2803m.jpg	1017	9999-12-31	12743
6407/7-2	15	2804-2810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_15_2804-2810m.jpg	1017	9999-12-31	12744
6407/7-2	16	2810-2816m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_16_2810-2816m.jpg	1017	9999-12-31	12745
6407/7-2	17	2816-2822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_17_2816-2822m.jpg	1017	9999-12-31	12746
6407/7-2	18	2822-2823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_18_2822-2823m.jpg	1017	9999-12-31	12747
6407/7-2	19	2823-2829m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_19_2823-2829m.jpg	1017	9999-12-31	12748
6407/7-2	20	2829-2835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_20_2829-2835m.jpg	1017	9999-12-31	12749
6407/7-2	21	2835-2841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_21_2835-2841m.jpg	1017	9999-12-31	12750
6407/7-2	22	2841-2842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_22_2841-2842m.jpg	1017	9999-12-31	12751
6407/7-2	23	2842-2847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_23_2842-2847m.jpg	1017	9999-12-31	12752
6407/7-2	24	2847-2853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_24_2847-2853m.jpg	1017	9999-12-31	12753
6407/7-2	25	2853-2859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_25_2853-2859m.jpg	1017	9999-12-31	12754
6407/7-2	26	2859-2865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_26_2859-2865m.jpg	1017	9999-12-31	12755
6407/7-2	27	2865-2869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_27_2865-2869m.jpg	1017	9999-12-31	12756
6407/7-2	28	2869-2870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_28_2869-2870m.jpg	1017	9999-12-31	12757
6407/7-2	29	2879-2885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_29_2879-2885m.jpg	1017	9999-12-31	12758
6407/7-2	30	2885-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_30_2885-2891m.jpg	1017	9999-12-31	12759
6407/7-2	31	2891-2896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_31_2891-2896m.jpg	1017	9999-12-31	12760
6407/7-2	32	2896-2902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_32_2896-2902m.jpg	1017	9999-12-31	12761
6407/7-2	33	2902-2908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_33_2902-2908m.jpg	1017	9999-12-31	12762
6407/7-2	34	2908-2913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1017_34_2908-2913m.jpg	1017	9999-12-31	12763
6407/7-4	1	2877-2882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_01_2877-2882m.jpg	1360	9999-12-31	12764
6407/7-4	2	2882-2887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_02_2882-2887m.jpg	1360	9999-12-31	12765
6407/7-4	3	2887-2892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_03_2887-2892m.jpg	1360	9999-12-31	12766
6407/7-4	3	2887-2897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_03_2887-2897m.jpg	1360	9999-12-31	12767
6407/7-4	4	2892-2895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_04_2892-2895m.jpg	1360	9999-12-31	12768
6407/7-4	5	2974-2979m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_05_2974-2979m.jpg	1360	9999-12-31	12769
6407/7-4	6	2979-2983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_06_2979-2983m.jpg	1360	9999-12-31	12770
6407/7-4	7	2983-2988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_07_2983-2988m.jpg	1360	9999-12-31	12771
6407/7-4	8	2988-2993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_08_2988-2993m.jpg	1360	9999-12-31	12772
6407/7-4	9	2993-2998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_09_2993-2998m.jpg	1360	9999-12-31	12773
6407/7-4	10	2998-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_10_2998-3003m.jpg	1360	9999-12-31	12774
6407/7-4	11	3003-3008m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_11_3003-3008m.jpg	1360	9999-12-31	12775
6407/7-4	12	3008-3012m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_12_3008-3012m.jpg	1360	9999-12-31	12776
6407/7-4	13	3012-3017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_13_3012-3017m.jpg	1360	9999-12-31	12777
6407/7-4	14	3017-3022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_14_3017-3022m.jpg	1360	9999-12-31	12778
6407/7-4	15	3022-3027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_15_3022-3027m.jpg	1360	9999-12-31	12779
6407/7-4	16	3027-3032m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_16_3027-3032m.jpg	1360	9999-12-31	12780
6407/7-4	17	3032-3037m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_17_3032-3037m.jpg	1360	9999-12-31	12781
6407/7-4	18	3037-3040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_18_3037-3040m.jpg	1360	9999-12-31	12782
6407/7-4	19	3040-3045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_19_3040-3045m.jpg	1360	9999-12-31	12783
6407/7-4	20	3045-3050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_20_3045-3050m.jpg	1360	9999-12-31	12784
6407/7-4	21	3050-3055m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_21_3050-3055m.jpg	1360	9999-12-31	12785
6407/7-4	22	3055-3060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_22_3055-3060m.jpg	1360	9999-12-31	12786
6407/7-4	23	3060-3065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_23_3060-3065m.jpg	1360	9999-12-31	12787
6407/7-4	24	3065-3068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_24_3065-3068m.jpg	1360	9999-12-31	12788
6407/7-4	25	3068-3073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_25_3068-3073m.jpg	1360	9999-12-31	12789
6407/7-4	26	3073-3078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_26_3073-3078m.jpg	1360	9999-12-31	12790
6407/7-4	27	3078-3083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_27_3078-3083m.jpg	1360	9999-12-31	12791
6407/7-4	28	3083-3088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_28_3083-3088m.jpg	1360	9999-12-31	12792
6407/7-4	29	3088-3093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_29_3088-3093m.jpg	1360	9999-12-31	12793
6407/7-4	30	3093-3098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_30_3093-3098m.jpg	1360	9999-12-31	12794
6407/7-4	31	3098-3103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_31_3098-3103m.jpg	1360	9999-12-31	12795
6407/7-4	32	3103-3108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_32_3103-3108m.jpg	1360	9999-12-31	12796
6407/7-4	33	3108-3113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_33_3108-3113m.jpg	1360	9999-12-31	12797
6407/7-4	34	3113-3118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_34_3113-3118m.jpg	1360	9999-12-31	12798
6407/7-4	35	3118-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_35_3118-3123m.jpg	1360	9999-12-31	12799
6407/7-4	36	3123-3127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_36_3123-3127m.jpg	1360	9999-12-31	12800
6407/7-4	37	3128-3133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_37_3128-3133m.jpg	1360	9999-12-31	12801
6407/7-4	38	3133-3138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_38_3133-3138m.jpg	1360	9999-12-31	12802
6407/7-4	39	3138-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1360_39_3138-3140m.jpg	1360	9999-12-31	12803
6407/7-5	1	3075-3080m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_01_3075-3080m.jpg	1699	9999-12-31	12804
6407/7-5	2	3080-3083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_02_3080-3083m.jpg	1699	9999-12-31	12805
6407/7-5	3	3168-3173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_03_3168-3173m.jpg	1699	9999-12-31	12806
6407/7-5	4	3173-3178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_04_3173-3178m.jpg	1699	9999-12-31	12807
6407/7-5	5	3178-3183m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_05_3178-3183m.jpg	1699	9999-12-31	12808
6407/7-5	6	3183-3188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_06_3183-3188m.jpg	1699	9999-12-31	12809
6407/7-5	7	3188-3193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_07_3188-3193m.jpg	1699	9999-12-31	12810
6407/7-5	8	3193-3197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_08_3193-3197m.jpg	1699	9999-12-31	12811
6407/7-5	9	3197-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_09_3197-3202m.jpg	1699	9999-12-31	12812
6407/7-5	10	3202-3207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_10_3202-3207m.jpg	1699	9999-12-31	12813
6407/7-5	11	3207-3212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_11_3207-3212m.jpg	1699	9999-12-31	12814
6407/7-5	12	3212-3214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_12_3212-3214m.jpg	1699	9999-12-31	12815
6407/7-5	13	3359-3364m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_13_3359-3364m.jpg	1699	9999-12-31	12816
6407/7-5	14	3364-3369m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_14_3364-3369m.jpg	1699	9999-12-31	12817
6407/7-5	15	3369-3374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_15_3369-3374m.jpg	1699	9999-12-31	12818
6407/7-5	16	3374-3379m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_16_3374-3379m.jpg	1699	9999-12-31	12819
6407/7-5	17	3379-3383m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_17_3379-3383m.jpg	1699	9999-12-31	12820
6407/7-5	18	3410-3415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_18_3410-3415m.jpg	1699	9999-12-31	12821
6407/7-5	19	3415-3420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_19_3415-3420m.jpg	1699	9999-12-31	12822
6407/7-5	20	3420-3425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_20_3420-3425m.jpg	1699	9999-12-31	12823
6407/7-5	21	3425-3430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_21_3425-3430m.jpg	1699	9999-12-31	12824
6407/7-5	22	3430-3435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_22_3430-3435m.jpg	1699	9999-12-31	12825
6407/7-5	23	3435-3437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1699_23_3435-3437m.jpg	1699	9999-12-31	12826
6407/7-6	1	3701-3706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_01_3701-3706m.jpg	4172	9999-12-31	12827
6407/7-6	2	3706-3746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_02_3706-3746m.jpg	4172	9999-12-31	12828
6407/7-6	3	3746-3751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_03_3746-3751m.jpg	4172	9999-12-31	12829
6407/7-6	4	3751-3756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_04_3751-3756m.jpg	4172	9999-12-31	12830
6407/7-6	5	3756-3761m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_05_3756-3761m.jpg	4172	9999-12-31	12831
6407/7-6	6	3761-3766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_06_3761-3766m.jpg	4172	9999-12-31	12832
6407/7-6	7	3766-3771m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_07_3766-3771m.jpg	4172	9999-12-31	12833
6407/7-6	8	3771-3776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_08_3771-3776m.jpg	4172	9999-12-31	12834
6407/7-6	9	3776-3781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_09_3776-3781m.jpg	4172	9999-12-31	12835
6407/7-6	10	3781-3785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_10_3781-3785m.jpg	4172	9999-12-31	12836
6407/7-6	11	3786-3791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_11_3786-3791m.jpg	4172	9999-12-31	12837
6407/7-6	12	3791-3796m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_12_3791-3796m.jpg	4172	9999-12-31	12838
6407/7-6	13	3796-3801m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_13_3796-3801m.jpg	4172	9999-12-31	12839
6407/7-6	14	3801-3806m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_14_3801-3806m.jpg	4172	9999-12-31	12840
6407/7-6	15	3806-3811m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_15_3806-3811m.jpg	4172	9999-12-31	12841
6407/7-6	16	3811-3816m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_16_3811-3816m.jpg	4172	9999-12-31	12842
6407/7-6	17	3816-3821m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_17_3816-3821m.jpg	4172	9999-12-31	12843
6407/7-6	18	3821-3826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_18_3821-3826m.jpg	4172	9999-12-31	12844
6407/7-6	19	3826-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_19_3826-3831m.jpg	4172	9999-12-31	12845
6407/7-6	20	3831-3836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_20_3831-3836m.jpg	4172	9999-12-31	12846
6407/7-6	21	3836-3840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_21_3836-3840m.jpg	4172	9999-12-31	12847
6407/7-6	22	3840-3845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_22_3840-3845m.jpg	4172	9999-12-31	12848
6407/7-6	23	3845-3850m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_23_3845-3850m.jpg	4172	9999-12-31	12849
6407/7-6	24	3850-3855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_24_3850-3855m.jpg	4172	9999-12-31	12850
6407/7-6	25	3855-3860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_25_3855-3860m.jpg	4172	9999-12-31	12851
6407/7-6	26	3860-3865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4172_26_3860-3865m.jpg	4172	9999-12-31	12852
6407/9-1	1	1631-1637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/133_01_1631-1637m.jpg	133	9999-12-31	12853
6407/9-1	2	1637-1643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/133_02_1637-1643m.jpg	133	9999-12-31	12854
6407/9-1	3	1643-1644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/133_03_1643-1644m.jpg	133	9999-12-31	12855
6407/9-1	4	1645-1651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/133_04_1645-1651m.jpg	133	9999-12-31	12856
6407/9-1	5	1651-1657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/133_05_1651-1657m.jpg	133	9999-12-31	12857
6407/9-1	6	1657-1661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/133_06_1657-1661m.jpg	133	9999-12-31	12858
6407/9-1	7	1663-1669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/133_07_1663-1669m.jpg	133	9999-12-31	12859
6407/9-1	8	1669-1670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/133_08_1669-1670m.jpg	133	9999-12-31	12860
6407/9-1	9	1670-1674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/133_09_1670-1674m.jpg	133	9999-12-31	12861
6407/9-1	10	1674-1680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/133_10_1674-1680m.jpg	133	9999-12-31	12862
6407/9-1	11	1680-1683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/133_11_1680-1683m.jpg	133	9999-12-31	12863
6407/9-2	1	1638-1639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/449_01_1638-1639m.jpg	449	9999-12-31	12864
6407/9-2	2	1640-1641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/449_02_1640-1641m.jpg	449	9999-12-31	12865
6407/9-2	3	1653-1659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/449_03_1653-1659m.jpg	449	9999-12-31	12866
6407/9-2	4	1659-1665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/449_04_1659-1665m.jpg	449	9999-12-31	12867
6407/9-2	5	1665-1670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/449_05_1665-1670m.jpg	449	9999-12-31	12868
6407/9-2	6	1671-1677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/449_06_1671-1677m.jpg	449	9999-12-31	12869
6407/9-2	7	1677-1680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/449_07_1677-1680m.jpg	449	9999-12-31	12870
6407/9-2	8	1684-1686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/449_08_1684-1686m.jpg	449	9999-12-31	12871
6407/9-2	9	1688-1693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/449_09_1688-1693m.jpg	449	9999-12-31	12872
6407/9-2	10	1702-1706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/449_10_1702-1706m.jpg	449	9999-12-31	12873
6407/9-3	1	1620-1621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_01_1620-1621m.jpg	469	9999-12-31	12874
6407/9-3	2	1621-1623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_02_1621-1623m.jpg	469	9999-12-31	12875
6407/9-3	3	1627-1628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_03_1627-1628m.jpg	469	9999-12-31	12876
6407/9-3	4	1634-1639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_04_1634-1639m.jpg	469	9999-12-31	12877
6407/9-3	5	1639-1644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_05_1639-1644m.jpg	469	9999-12-31	12878
6407/9-3	6	1644-1649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_06_1644-1649m.jpg	469	9999-12-31	12879
6407/9-3	7	1649-1650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_07_1649-1650m.jpg	469	9999-12-31	12880
6407/9-3	8	1652-1657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_08_1652-1657m.jpg	469	9999-12-31	12881
6407/9-3	9	1657-1662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_09_1657-1662m.jpg	469	9999-12-31	12882
6407/9-3	10	1662-1667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_10_1662-1667m.jpg	469	9999-12-31	12883
6407/9-3	11	1667-1672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_11_1667-1672m.jpg	469	9999-12-31	12884
6407/9-3	12	1673-1678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_12_1673-1678m.jpg	469	9999-12-31	12885
6407/9-3	13	1678-1679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/469_13_1678-1679m.jpg	469	9999-12-31	12886
6407/9-4	1	1666-1671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/480_01_1666-1671m.jpg	480	9999-12-31	12887
6407/9-4	2	1671-1671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/480_02_1671-1671m.jpg	480	9999-12-31	12888
6407/9-4	3	1673-1674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/480_03_1673-1674m.jpg	480	9999-12-31	12889
6407/9-4	4	1676-1681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/480_04_1676-1681m.jpg	480	9999-12-31	12890
6407/9-4	5	1681-1684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/480_05_1681-1684m.jpg	480	9999-12-31	12891
6407/9-4	6	1685-1690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/480_06_1685-1690m.jpg	480	9999-12-31	12892
6407/9-4	7	1690-1695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/480_07_1690-1695m.jpg	480	9999-12-31	12893
6407/9-4	8	1695-1700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/480_08_1695-1700m.jpg	480	9999-12-31	12894
6407/9-4	9	1700-1705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/480_09_1700-1705m.jpg	480	9999-12-31	12895
6407/9-4	10	1705-1710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/480_10_1705-1710m.jpg	480	9999-12-31	12896
6407/9-4	11	1710-1711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/480_11_1710-1711m.jpg	480	9999-12-31	12897
6407/9-5	1	1654-1659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_01_1654-1659m.jpg	492	9999-12-31	12898
6407/9-5	2	1659-1664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_02_1659-1664m.jpg	492	9999-12-31	12899
6407/9-5	3	1664-1668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_03_1664-1668m.jpg	492	9999-12-31	12900
6407/9-5	4	1671-1672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_04_1671-1672m.jpg	492	9999-12-31	12901
6407/9-5	5	1674-1679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_05_1674-1679m.jpg	492	9999-12-31	12902
6407/9-5	6	1679-1683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_06_1679-1683m.jpg	492	9999-12-31	12903
6407/9-5	7	1685-1690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_07_1685-1690m.jpg	492	9999-12-31	12904
6407/9-5	8	1690-1695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_08_1690-1695m.jpg	492	9999-12-31	12905
6407/9-5	8	1790-1695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_08_1790-1695m.jpg	492	9999-12-31	12906
6407/9-5	9	1695-1700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_09_1695-1700m.jpg	492	9999-12-31	12907
6407/9-5	10	1685-1701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_10_1685-1701m.jpg	492	9999-12-31	12908
6407/9-5	10	1700-1701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/492_10_1700-1701m.jpg	492	9999-12-31	12909
6407/9-6	1	1646-1651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/871_01_1646-1651m.jpg	871	9999-12-31	12910
6407/9-6	2	1651-1656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/871_02_1651-1656m.jpg	871	9999-12-31	12911
6407/9-6	3	1656-1657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/871_03_1656-1657m.jpg	871	9999-12-31	12912
6407/9-6	4	1660-1665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/871_04_1660-1665m.jpg	871	9999-12-31	12913
6407/9-6	5	1665-1670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/871_05_1665-1670m.jpg	871	9999-12-31	12914
6407/9-6	6	1670-1672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/871_06_1670-1672m.jpg	871	9999-12-31	12915
6407/9-6	7	1672-1677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/871_07_1672-1677m.jpg	871	9999-12-31	12916
6407/9-6	8	1678-1683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/871_08_1678-1683m.jpg	871	9999-12-31	12917
6407/9-6	9	1683-1688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/871_09_1683-1688m.jpg	871	9999-12-31	12918
6407/9-6	10	1688-1690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/871_10_1688-1690m.jpg	871	9999-12-31	12919
6407/9-8	1	1605-1609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_01_1605-1609m.jpg	1974	9999-12-31	12920
6407/9-8	2	1609-1613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_02_1609-1613m.jpg	1974	9999-12-31	12921
6407/9-8	3	1613-1617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_03_1613-1617m.jpg	1974	9999-12-31	12922
6407/9-8	4	1617-1621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_04_1617-1621m.jpg	1974	9999-12-31	12923
6407/9-8	5	1621-1622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_05_1621-1622m.jpg	1974	9999-12-31	12924
6407/9-8	6	1623-1627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_06_1623-1627m.jpg	1974	9999-12-31	12925
6407/9-8	7	1627-1631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_07_1627-1631m.jpg	1974	9999-12-31	12926
6407/9-8	8	1631-1633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_08_1631-1633m.jpg	1974	9999-12-31	12927
6407/9-8	9	1633-1637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_09_1633-1637m.jpg	1974	9999-12-31	12928
6407/9-8	10	1637-1641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_10_1637-1641m.jpg	1974	9999-12-31	12929
6407/9-8	11	1641-1642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_11_1641-1642m.jpg	1974	9999-12-31	12930
6407/9-8	12	1650-1654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_12_1650-1654m.jpg	1974	9999-12-31	12931
6407/9-8	13	1654-1658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_13_1654-1658m.jpg	1974	9999-12-31	12932
6407/9-8	14	1658-1662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_14_1658-1662m.jpg	1974	9999-12-31	12933
6407/9-8	15	1662-1666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_15_1662-1666m.jpg	1974	9999-12-31	12934
6407/9-8	16	1666-1670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_16_1666-1670m.jpg	1974	9999-12-31	12935
6407/9-8	17	1670-1674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_17_1670-1674m.jpg	1974	9999-12-31	12936
6407/9-8	18	1674-1678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_18_1674-1678m.jpg	1974	9999-12-31	12937
6407/9-8	19	1678-1682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_19_1678-1682m.jpg	1974	9999-12-31	12938
6407/9-8	20	1682-1684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_20_1682-1684m.jpg	1974	9999-12-31	12939
6407/9-8	21	1723-1727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_21_1723-1727m.jpg	1974	9999-12-31	12940
6407/9-8	22	1727-1731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_22_1727-1731m.jpg	1974	9999-12-31	12941
6407/9-8	23	1731-1735m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_23_1731-1735m.jpg	1974	9999-12-31	12942
6407/9-8	24	1735-1739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_24_1735-1739m.jpg	1974	9999-12-31	12943
6407/9-8	25	1739-1741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_25_1739-1741m.jpg	1974	9999-12-31	12944
6407/9-8	26	1742-1746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_26_1742-1746m.jpg	1974	9999-12-31	12945
6407/9-8	27	1746-1750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_27_1746-1750m.jpg	1974	9999-12-31	12946
6407/9-8	28	1750-1754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_28_1750-1754m.jpg	1974	9999-12-31	12947
6407/9-8	29	1754-1758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_29_1754-1758m.jpg	1974	9999-12-31	12948
6407/9-8	30	1758-1759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1974_30_1758-1759m.jpg	1974	9999-12-31	12949
6407/9-A-2	1	1886-1890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_01_1886-1890m.jpg	2357	9999-12-31	12950
6407/9-A-2	2	1890-1894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_02_1890-1894m.jpg	2357	9999-12-31	12951
6407/9-A-2	3	1894-1895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_03_1894-1895m.jpg	2357	9999-12-31	12952
6407/9-A-2	4	1895-1899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_04_1895-1899m.jpg	2357	9999-12-31	12953
6407/9-A-2	5	1899-1903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_05_1899-1903m.jpg	2357	9999-12-31	12954
6407/9-A-2	6	1903-1907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_06_1903-1907m.jpg	2357	9999-12-31	12955
6407/9-A-2	7	1907-1911m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_07_1907-1911m.jpg	2357	9999-12-31	12956
6407/9-A-2	8	1911-1913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_08_1911-1913m.jpg	2357	9999-12-31	12957
6407/9-A-2	9	1913-1917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_09_1913-1917m.jpg	2357	9999-12-31	12958
6407/9-A-2	10	1917-1921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_10_1917-1921m.jpg	2357	9999-12-31	12959
6407/9-A-2	11	1921-1925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_11_1921-1925m.jpg	2357	9999-12-31	12960
6407/9-A-2	12	1925-1929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_12_1925-1929m.jpg	2357	9999-12-31	12961
6407/9-A-2	13	1929-1931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_13_1929-1931m.jpg	2357	9999-12-31	12962
6407/9-A-2	14	1931-1935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_14_1931-1935m.jpg	2357	9999-12-31	12963
6407/9-A-2	15	1935-1939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_15_1935-1939m.jpg	2357	9999-12-31	12964
6407/9-A-2	16	1939-1941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_16_1939-1941m.jpg	2357	9999-12-31	12965
6407/9-A-2	17	1941-1944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_17_1941-1944m.jpg	2357	9999-12-31	12966
6407/9-A-2	18	1944-1948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_18_1944-1948m.jpg	2357	9999-12-31	12967
6407/9-A-2	19	1948-1950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2357_19_1948-1950m.jpg	2357	9999-12-31	12968
6407/9-B-1 H	1	1965-1969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2142_01_1965-1969m.jpg	2142	9999-12-31	12969
6407/9-B-1 H	2	1969-1973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2142_02_1969-1973m.jpg	2142	9999-12-31	12970
6407/9-B-1 H	3	1973-1974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2142_03_1973-1974m.jpg	2142	9999-12-31	12971
6407/9-B-1 H	4	1974-1978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2142_04_1974-1978m.jpg	2142	9999-12-31	12972
6407/9-B-1 H	5	1978-1982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2142_05_1978-1982m.jpg	2142	9999-12-31	12973
6407/9-B-1 H	6	1982-1986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2142_06_1982-1986m.jpg	2142	9999-12-31	12974
6407/9-B-1 H	7	1986-1987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2142_07_1986-1987m.jpg	2142	9999-12-31	12975
6407/9-C-2 H	1	1928-1932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2203_01_1928-1932m.jpg	2203	9999-12-31	12976
6407/9-C-2 H	2	1932-1936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2203_02_1932-1936m.jpg	2203	9999-12-31	12977
6407/9-C-2 H	3	1936-1940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2203_03_1936-1940m.jpg	2203	9999-12-31	12978
6407/9-C-2 H	4	1940-1944m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2203_04_1940-1944m.jpg	2203	9999-12-31	12979
6407/9-C-2 H	5	1944-1948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2203_05_1944-1948m.jpg	2203	9999-12-31	12980
6407/9-C-2 H	6	1948-1952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2203_06_1948-1952m.jpg	2203	9999-12-31	12981
6407/9-C-2 H	6	1952-1954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2203_06_1952-1954m.jpg	2203	9999-12-31	12982
6407/9-C-2 H	7	1968-1972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2203_07_1968-1972m.jpg	2203	9999-12-31	12983
6407/9-C-2 H	8	1972-1976m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2203_08_1972-1976m.jpg	2203	9999-12-31	12984
6407/9-C-2 H	9	1976-1980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2203_09_1976-1980m.jpg	2203	9999-12-31	12985
6407/9-C-2 H	10	1980-1983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2203_10_1980-1983m.jpg	2203	9999-12-31	12986
6505/10-1	1	3485-3490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_01_3485-3490m.jpg	3259	9999-12-31	12987
6505/10-1	2	3490-3493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_02_3490-3493m.jpg	3259	9999-12-31	12988
6505/10-1	3	3693-3698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_03_3693-3698m.jpg	3259	9999-12-31	12989
6505/10-1	4	3698-3703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_04_3698-3703m.jpg	3259	9999-12-31	12990
6505/10-1	5	3703-3708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_05_3703-3708m.jpg	3259	9999-12-31	12991
6505/10-1	6	3708-3713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_06_3708-3713m.jpg	3259	9999-12-31	12992
6505/10-1	7	3713-3718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_07_3713-3718m.jpg	3259	9999-12-31	12993
6505/10-1	8	3718-3720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_08_3718-3720m.jpg	3259	9999-12-31	12994
6505/10-1	9	3857-3862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_09_3857-3862m.jpg	3259	9999-12-31	12995
6505/10-1	10	3862-3867m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_10_3862-3867m.jpg	3259	9999-12-31	12996
6505/10-1	11	3867-3872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_11_3867-3872m.jpg	3259	9999-12-31	12997
6505/10-1	12	3872-3877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_12_3872-3877m.jpg	3259	9999-12-31	12998
6505/10-1	13	3877-3882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_13_3877-3882m.jpg	3259	9999-12-31	12999
6505/10-1	14	3882-3884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3259_14_3882-3884m.jpg	3259	9999-12-31	13000
6506/11-1	1	4140-4145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_01_4140-4145m.jpg	1216	9999-12-31	13001
6506/11-1	2	4145-4150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_02_4145-4150m.jpg	1216	9999-12-31	13002
6506/11-1	3	4150-4155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_03_4150-4155m.jpg	1216	9999-12-31	13003
6506/11-1	4	4155-4160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_04_4155-4160m.jpg	1216	9999-12-31	13004
6506/11-1	5	4160-4165m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_05_4160-4165m.jpg	1216	9999-12-31	13005
6506/11-1	6	4165-4167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_06_4165-4167m.jpg	1216	9999-12-31	13006
6506/11-1	7	4167-4172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_07_4167-4172m.jpg	1216	9999-12-31	13007
6506/11-1	8	4172-4177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_08_4172-4177m.jpg	1216	9999-12-31	13008
6506/11-1	9	4177-4182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_09_4177-4182m.jpg	1216	9999-12-31	13009
6506/11-1	10	4182-4187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_10_4182-4187m.jpg	1216	9999-12-31	13010
6506/11-1	11	4187-4192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_11_4187-4192m.jpg	1216	9999-12-31	13011
6506/11-1	12	4192-4195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_12_4192-4195m.jpg	1216	9999-12-31	13012
6506/11-1	13	4262-4267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_13_4262-4267m.jpg	1216	9999-12-31	13013
6506/11-1	14	4267-4272m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_14_4267-4272m.jpg	1216	9999-12-31	13014
6506/11-1	15	4272-4273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_15_4272-4273m.jpg	1216	9999-12-31	13015
6506/11-1	16	4477-4482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_16_4477-4482m.jpg	1216	9999-12-31	13016
6506/11-1	17	4482-4487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_17_4482-4487m.jpg	1216	9999-12-31	13017
6506/11-1	18	4487-4492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_18_4487-4492m.jpg	1216	9999-12-31	13018
6506/11-1	19	4492-4497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_19_4492-4497m.jpg	1216	9999-12-31	13019
6506/11-1	20	4497-4502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_20_4497-4502m.jpg	1216	9999-12-31	13020
6506/11-1	21	4502-4505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1216_21_4502-4505m.jpg	1216	9999-12-31	13021
6506/11-2	1	4241-4242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_01_4241-4242m.jpg	1754	9999-12-31	13022
6506/11-2	2	4242-4247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_02_4242-4247m.jpg	1754	9999-12-31	13023
6506/11-2	3	4247-4252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_03_4247-4252m.jpg	1754	9999-12-31	13024
6506/11-2	4	4252-4257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_04_4252-4257m.jpg	1754	9999-12-31	13025
6506/11-2	5	4257-4262m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_05_4257-4262m.jpg	1754	9999-12-31	13026
6506/11-2	6	4262-4267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_06_4262-4267m.jpg	1754	9999-12-31	13027
6506/11-2	7	4267-4271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_07_4267-4271m.jpg	1754	9999-12-31	13028
6506/11-2	8	4310-4315m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_08_4310-4315m.jpg	1754	9999-12-31	13029
6506/11-2	9	4315-4320m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_09_4315-4320m.jpg	1754	9999-12-31	13030
6506/11-2	10	4320-4325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_10_4320-4325m.jpg	1754	9999-12-31	13031
6506/11-2	11	4325-4330m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_11_4325-4330m.jpg	1754	9999-12-31	13032
6506/11-2	12	4330-4335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_12_4330-4335m.jpg	1754	9999-12-31	13033
6506/11-2	13	4335-4337m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_13_4335-4337m.jpg	1754	9999-12-31	13034
6506/11-2	14	4361-4366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_14_4361-4366m.jpg	1754	9999-12-31	13035
6506/11-2	15	4366-4371m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_15_4366-4371m.jpg	1754	9999-12-31	13036
6506/11-2	16	4371-4376m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_16_4371-4376m.jpg	1754	9999-12-31	13037
6506/11-2	18	4376-4380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_18_4376-4380m.jpg	1754	9999-12-31	13038
6506/11-2	19	4386-4391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_19_4386-4391m.jpg	1754	9999-12-31	13039
6506/11-2	20	4391-4396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_20_4391-4396m.jpg	1754	9999-12-31	13040
6506/11-2	21	4396-4401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_21_4396-4401m.jpg	1754	9999-12-31	13041
6506/11-2	22	4401	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_22_4401_4406m.jpg	1754	9999-12-31	13042
6506/11-2	23	4406-4411m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_23_4406-4411m.jpg	1754	9999-12-31	13043
6506/11-2	24	4416-4421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_24_4416-4421m.jpg	1754	9999-12-31	13044
6506/11-2	25	4421-4426m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_25_4421-4426m.jpg	1754	9999-12-31	13045
6506/11-2	26	4426-4431m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_26_4426-4431m.jpg	1754	9999-12-31	13046
6506/11-2	27	4431-4436m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_27_4431-4436m.jpg	1754	9999-12-31	13047
6506/11-2	28	4436-4441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_28_4436-4441m.jpg	1754	9999-12-31	13048
6506/11-2	29	4441-4443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_29_4441-4443m.jpg	1754	9999-12-31	13049
6506/11-2	30	4488-4493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_30_4488-4493m.jpg	1754	9999-12-31	13050
6506/11-2	31	4493-4495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_31_4493-4495m.jpg	1754	9999-12-31	13051
6506/11-2	32	4498-4503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_32_4498-4503m.jpg	1754	9999-12-31	13052
6506/11-2	33	4503-4507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_33_4503-4507m.jpg	1754	9999-12-31	13053
6506/11-2	34	4548-4553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_34_4548-4553m.jpg	1754	9999-12-31	13054
6506/11-2	35	4553-4558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_35_4553-4558m.jpg	1754	9999-12-31	13055
6506/11-2	36	4558-4563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_36_4558-4563m.jpg	1754	9999-12-31	13056
6506/11-2	37	4563-4568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_37_4563-4568m.jpg	1754	9999-12-31	13057
6506/11-2	38	4568-4573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_38_4568-4573m.jpg	1754	9999-12-31	13058
6506/11-2	39	4573-4575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_39_4573-4575m.jpg	1754	9999-12-31	13059
6506/11-2	40	4575-4580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_40_4575-4580m.jpg	1754	9999-12-31	13060
6506/11-2	41	4580-4585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_41_4580-4585m.jpg	1754	9999-12-31	13061
6506/11-2	42	4585-4590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_42_4585-4590m.jpg	1754	9999-12-31	13062
6506/11-2	43	4590-4595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_43_4590-4595m.jpg	1754	9999-12-31	13063
6506/11-2	44	4595-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_44_4595-4600m.jpg	1754	9999-12-31	13064
6506/11-2	45	4600-4602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_45_4600-4602m.jpg	1754	9999-12-31	13065
6506/11-2	46	4603-4608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_46_4603-4608m.jpg	1754	9999-12-31	13066
6506/11-2	47	4608-4613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_47_4608-4613m.jpg	1754	9999-12-31	13067
6506/11-2	48	4613-4618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_48_4613-4618m.jpg	1754	9999-12-31	13068
6506/11-2	49	4618-4623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_49_4618-4623m.jpg	1754	9999-12-31	13069
6506/11-2	50	4628-4630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_50_4628-4630m.jpg	1754	9999-12-31	13070
6506/11-2	51	4623-4628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_51_4623-4628m.jpg	1754	9999-12-31	13071
6506/11-2	52	4631-4636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_52_4631-4636m.jpg	1754	9999-12-31	13072
6506/11-2	53	4636-4641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_53_4636-4641m.jpg	1754	9999-12-31	13073
6506/11-2	54	4641-4646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_54_4641-4646m.jpg	1754	9999-12-31	13074
6506/11-2	55	4646-4651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_55_4646-4651m.jpg	1754	9999-12-31	13075
6506/11-2	56	4651-4656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_56_4651-4656m.jpg	1754	9999-12-31	13076
6506/11-2	57	4656-4659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_57_4656-4659m.jpg	1754	9999-12-31	13077
6506/11-2	58	4659-4664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_58_4659-4664m.jpg	1754	9999-12-31	13078
6506/11-2	59	4664-4669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_59_4664-4669m.jpg	1754	9999-12-31	13079
6506/11-2	60	4669-3674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_60_4669-3674m.jpg	1754	9999-12-31	13080
6506/11-2	61	4674-4679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_61_4674-4679m.jpg	1754	9999-12-31	13081
6506/11-2	62	4679-4682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_62_4679-4682m.jpg	1754	9999-12-31	13082
6506/11-2	63	4686-4690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_63_4686-4690m.jpg	1754	9999-12-31	13083
6506/11-2	64	4693-4698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_64_4693-4698m.jpg	1754	9999-12-31	13084
6506/11-2	65	4698-4703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_65_4698-4703m.jpg	1754	9999-12-31	13085
6506/11-2	66	4703-4708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_66_4703-4708m.jpg	1754	9999-12-31	13086
6506/11-2	67	4708-4713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_67_4708-4713m.jpg	1754	9999-12-31	13087
6506/11-2	68	4713-4717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1754_68_4713-4717m.jpg	1754	9999-12-31	13088
6506/11-3	1	3143-3147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_01_3143-3147m.jpg	1973	9999-12-31	13089
6506/11-3	2	3147-3151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_02_3147-3151m.jpg	1973	9999-12-31	13090
6506/11-3	3	3151-3155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_03_3151-3155m.jpg	1973	9999-12-31	13091
6506/11-3	4	3155-3159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_04_3155-3159m.jpg	1973	9999-12-31	13092
6506/11-3	5	3159-3163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_05_3159-3163m.jpg	1973	9999-12-31	13093
6506/11-3	6	3163-3167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_06_3163-3167m.jpg	1973	9999-12-31	13094
6506/11-3	7	3167-3170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_07_3167-3170m.jpg	1973	9999-12-31	13095
6506/11-3	8	3919-3924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_08_3919-3924m.jpg	1973	9999-12-31	13096
6506/11-3	9	3924-3929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_09_3924-3929m.jpg	1973	9999-12-31	13097
6506/11-3	10	3929-3930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_10_3929-3930m.jpg	1973	9999-12-31	13098
6506/11-3	11	3930-3935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_11_3930-3935m.jpg	1973	9999-12-31	13099
6506/11-3	12	3935-3940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_12_3935-3940m.jpg	1973	9999-12-31	13100
6506/11-3	13	3940-3943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_13_3940-3943m.jpg	1973	9999-12-31	13101
6506/11-3	14	3943-3945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_14_3943-3945m.jpg	1973	9999-12-31	13102
6506/11-3	15	3976-3981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_15_3976-3981m.jpg	1973	9999-12-31	13103
6506/11-3	16	3981-3985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_16_3981-3985m.jpg	1973	9999-12-31	13104
6506/11-3	17	3986-3991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_17_3986-3991m.jpg	1973	9999-12-31	13105
6506/11-3	18	3991-3993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_18_3991-3993m.jpg	1973	9999-12-31	13106
6506/11-3	19	3993-3998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_19_3993-3998m.jpg	1973	9999-12-31	13107
6506/11-3	20	3998-4000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_20_3998-4000m.jpg	1973	9999-12-31	13108
6506/11-3	21	4172-4173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_21_4172-4173m.jpg	1973	9999-12-31	13109
6506/11-3	22	4174-4179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_22_4174-4179m.jpg	1973	9999-12-31	13110
6506/11-3	23	4179-4184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_23_4179-4184m.jpg	1973	9999-12-31	13111
6506/11-3	24	4184-4189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_24_4184-4189m.jpg	1973	9999-12-31	13112
6506/11-3	25	4189-4194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_25_4189-4194m.jpg	1973	9999-12-31	13113
6506/11-3	26	4194-4199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_26_4194-4199m.jpg	1973	9999-12-31	13114
6506/11-3	27	4199-4202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_27_4199-4202m.jpg	1973	9999-12-31	13115
6506/11-3	28	4202-4207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_28_4202-4207m.jpg	1973	9999-12-31	13116
6506/11-3	29	4207-4212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_29_4207-4212m.jpg	1973	9999-12-31	13117
6506/11-3	30	4212-4217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_30_4212-4217m.jpg	1973	9999-12-31	13118
6506/11-3	31	4217-4222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_31_4217-4222m.jpg	1973	9999-12-31	13119
6506/11-3	32	4222-4224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1973_32_4222-4224m.jpg	1973	9999-12-31	13120
6506/11-4 S	1	4260-4264m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_01_4260-4264m.jpg	2736	9999-12-31	13121
6506/11-4 S	2	4264-4268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_02_4264-4268m.jpg	2736	9999-12-31	13122
6506/11-4 S	3	4268-4270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_03_4268-4270m.jpg	2736	9999-12-31	13123
6506/11-4 S	4	4272-4276m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_04_4272-4276m.jpg	2736	9999-12-31	13124
6506/11-4 S	5	4276-4280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_05_4276-4280m.jpg	2736	9999-12-31	13125
6506/11-4 S	6	4280-4284m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_06_4280-4284m.jpg	2736	9999-12-31	13126
6506/11-4 S	7	4284-4288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_07_4284-4288m.jpg	2736	9999-12-31	13127
6506/11-4 S	8	4288-4292m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_08_4288-4292m.jpg	2736	9999-12-31	13128
6506/11-4 S	9	4292-4296m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_09_4292-4296m.jpg	2736	9999-12-31	13129
6506/11-4 S	10	4296-4299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_10_4296-4299m.jpg	2736	9999-12-31	13130
6506/11-4 S	11	4790-4795m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_11_4790-4795m.jpg	2736	9999-12-31	13131
6506/11-4 S	12	4795-4800m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_12_4795-4800m.jpg	2736	9999-12-31	13132
6506/11-4 S	13	4800-4805m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_13_4800-4805m.jpg	2736	9999-12-31	13133
6506/11-4 S	14	4805-4810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_14_4805-4810m.jpg	2736	9999-12-31	13134
6506/11-4 S	15	4810-4815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_15_4810-4815m.jpg	2736	9999-12-31	13135
6506/11-4 S	16	4815-4820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_16_4815-4820m.jpg	2736	9999-12-31	13136
6506/11-4 S	17	4820-4825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_17_4820-4825m.jpg	2736	9999-12-31	13137
6506/11-4 S	18	4825-4826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_18_4825-4826m.jpg	2736	9999-12-31	13138
6506/11-4 S	19	4826-4831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_19_4826-4831m.jpg	2736	9999-12-31	13139
6506/11-4 S	20	4831-4836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_20_4831-4836m.jpg	2736	9999-12-31	13140
6506/11-4 S	21	4836-4841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_21_4836-4841m.jpg	2736	9999-12-31	13141
6506/11-4 S	22	4841-4846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_22_4841-4846m.jpg	2736	9999-12-31	13142
6506/11-4 S	23	4846-4851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_23_4846-4851m.jpg	2736	9999-12-31	13143
6506/11-4 S	24	4851-4856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_24_4851-4856m.jpg	2736	9999-12-31	13144
6506/11-4 S	25	4856-4861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_25_4856-4861m.jpg	2736	9999-12-31	13145
6506/11-4 S	26	4861-4866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_26_4861-4866m.jpg	2736	9999-12-31	13146
6506/11-4 S	27	4866-4871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_27_4866-4871m.jpg	2736	9999-12-31	13147
6506/11-4 S	28	4871-4876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_28_4871-4876m.jpg	2736	9999-12-31	13148
6506/11-4 S	29	4876-4881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_29_4876-4881m.jpg	2736	9999-12-31	13149
6506/11-4 S	30	4881-4882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_30_4881-4882m.jpg	2736	9999-12-31	13150
6506/11-4 S	31	4881-4886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_31_4881-4886m.jpg	2736	9999-12-31	13151
6506/11-4 S	32	4886-4891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_32_4886-4891m.jpg	2736	9999-12-31	13152
6506/11-4 S	33	4891-4896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_33_4891-4896m.jpg	2736	9999-12-31	13153
6506/11-4 S	34	4896-4901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_34_4896-4901m.jpg	2736	9999-12-31	13154
6506/11-4 S	35	4901-4906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_35_4901-4906m.jpg	2736	9999-12-31	13155
6506/11-4 S	36	4906-4911m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_36_4906-4911m.jpg	2736	9999-12-31	13156
6506/11-4 S	37	4911-4916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_37_4911-4916m.jpg	2736	9999-12-31	13157
6506/11-4 S	37	4916-4921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_37_4916-4921m.jpg	2736	9999-12-31	13158
6506/11-4 S	38	4921-4926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_38_4921-4926m.jpg	2736	9999-12-31	13159
6506/11-4 S	39	4926-4931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_39_4926-4931m.jpg	2736	9999-12-31	13160
6506/11-4 S	40	4931-4936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_40_4931-4936m.jpg	2736	9999-12-31	13161
6506/11-4 S	41	4936-4937m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_41_4936-4937m.jpg	2736	9999-12-31	13162
6506/11-4 S	42	4937-4942m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_42_4937-4942m.jpg	2736	9999-12-31	13163
6506/11-4 S	43	4942-4947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_43_4942-4947m.jpg	2736	9999-12-31	13164
6506/11-4 S	44	4947-4952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_44_4947-4952m.jpg	2736	9999-12-31	13165
6506/11-4 S	45	4952-4957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_45_4952-4957m.jpg	2736	9999-12-31	13166
6506/11-4 S	46	4957-4962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_46_4957-4962m.jpg	2736	9999-12-31	13167
6506/11-4 S	47	4962-4967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_47_4962-4967m.jpg	2736	9999-12-31	13168
6506/11-4 S	48	4967-4972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_48_4967-4972m.jpg	2736	9999-12-31	13169
6506/11-4 S	49	4972-4977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_49_4972-4977m.jpg	2736	9999-12-31	13170
6506/11-4 S	50	4977-4982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_50_4977-4982m.jpg	2736	9999-12-31	13171
6506/11-4 S	51	4982-4987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_51_4982-4987m.jpg	2736	9999-12-31	13172
6506/11-4 S	52	4987-4992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_52_4987-4992m.jpg	2736	9999-12-31	13173
6506/11-4 S	53	4992-4997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_53_4992-4997m.jpg	2736	9999-12-31	13174
6506/11-4 S	54	4997-5002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_54_4997-5002m.jpg	2736	9999-12-31	13175
6506/11-4 S	55	5002-5007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_55_5002-5007m.jpg	2736	9999-12-31	13176
6506/11-4 S	56	5007-5011m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_56_5007-5011m.jpg	2736	9999-12-31	13177
6506/11-4 S	57	5011-5016m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_57_5011-5016m.jpg	2736	9999-12-31	13178
6506/11-4 S	58	5016-5021m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_58_5016-5021m.jpg	2736	9999-12-31	13179
6506/11-4 S	59	5021-5026m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_59_5021-5026m.jpg	2736	9999-12-31	13180
6506/11-4 S	60	5026-5030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_60_5026-5030m.jpg	2736	9999-12-31	13181
6506/11-4 S	61	5030-5035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_61_5030-5035m.jpg	2736	9999-12-31	13182
6506/11-4 S	62	5035-5040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_62_5035-5040m.jpg	2736	9999-12-31	13183
6506/11-4 S	63	5040-5045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_63_5040-5045m.jpg	2736	9999-12-31	13184
6506/11-4 S	64	5045-5050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_64_5045-5050m.jpg	2736	9999-12-31	13185
6506/11-4 S	65	5050-5055m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_65_5050-5055m.jpg	2736	9999-12-31	13186
6506/11-4 S	66	5055-5060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_66_5055-5060m.jpg	2736	9999-12-31	13187
6506/11-4 S	67	5060-5065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_67_5060-5065m.jpg	2736	9999-12-31	13188
6506/11-4 S	68	5065-5070m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_68_5065-5070m.jpg	2736	9999-12-31	13189
6506/11-4 S	69	5070-5075m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_69_5070-5075m.jpg	2736	9999-12-31	13190
6506/11-4 S	70	5075-5080m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_70_5075-5080m.jpg	2736	9999-12-31	13191
6506/11-4 S	71	5080-5085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_71_5080-5085m.jpg	2736	9999-12-31	13192
6506/11-4 S	72	5085-5085m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2736_72_5085-5085m.jpg	2736	9999-12-31	13193
6506/11-5 S	1	4540-4545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_01_4540-4545m.jpg	2794	9999-12-31	13194
6506/11-5 S	2	4545-4550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_02_4545-4550m.jpg	2794	9999-12-31	13195
6506/11-5 S	3	4550-4555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_03_4550-4555m.jpg	2794	9999-12-31	13196
6506/11-5 S	4	4555-4560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_04_4555-4560m.jpg	2794	9999-12-31	13197
6506/11-5 S	5	4560-4565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_05_4560-4565m.jpg	2794	9999-12-31	13198
6506/11-5 S	6	4565-4570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_06_4565-4570m.jpg	2794	9999-12-31	13199
6506/11-5 S	7	4570-4575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_07_4570-4575m.jpg	2794	9999-12-31	13200
6506/11-5 S	8	4575-4580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_08_4575-4580m.jpg	2794	9999-12-31	13201
6506/11-5 S	9	4580-4585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_09_4580-4585m.jpg	2794	9999-12-31	13202
6506/11-5 S	10	4585-4590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_10_4585-4590m.jpg	2794	9999-12-31	13203
6506/11-5 S	11	4590-4595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_11_4590-4595m.jpg	2794	9999-12-31	13204
6506/11-5 S	12	4595-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_12_4595-4600m.jpg	2794	9999-12-31	13205
6506/11-5 S	13	4600-4605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_13_4600-4605m.jpg	2794	9999-12-31	13206
6506/11-5 S	14	4605-4609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_14_4605-4609m.jpg	2794	9999-12-31	13207
6506/11-5 S	15	4609-4614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_15_4609-4614m.jpg	2794	9999-12-31	13208
6506/11-5 S	16	4614-4619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_16_4614-4619m.jpg	2794	9999-12-31	13209
6506/11-5 S	17	4619-4624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_17_4619-4624m.jpg	2794	9999-12-31	13210
6506/11-5 S	18	4624-4629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_18_4624-4629m.jpg	2794	9999-12-31	13211
6506/11-5 S	19	4629-4634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_19_4629-4634m.jpg	2794	9999-12-31	13212
6506/11-5 S	20	4634-4639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_20_4634-4639m.jpg	2794	9999-12-31	13213
6506/11-5 S	21	4639-4644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_21_4639-4644m.jpg	2794	9999-12-31	13214
6506/11-5 S	22	4644-4649m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_22_4644-4649m.jpg	2794	9999-12-31	13215
6506/11-5 S	23	4649-4654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_23_4649-4654m.jpg	2794	9999-12-31	13216
6506/11-5 S	24	4654-4656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_24_4654-4656m.jpg	2794	9999-12-31	13217
6506/11-5 S	25	4657-4662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_25_4657-4662m.jpg	2794	9999-12-31	13218
6506/11-5 S	26	4662-4667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_26_4662-4667m.jpg	2794	9999-12-31	13219
6506/11-5 S	27	4667-4672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_27_4667-4672m.jpg	2794	9999-12-31	13220
6506/11-5 S	28	4672-4677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_28_4672-4677m.jpg	2794	9999-12-31	13221
6506/11-5 S	29	4677-4682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_29_4677-4682m.jpg	2794	9999-12-31	13222
6506/11-5 S	30	4682-4687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_30_4682-4687m.jpg	2794	9999-12-31	13223
6506/11-5 S	31	4687-4692m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_31_4687-4692m.jpg	2794	9999-12-31	13224
6506/11-5 S	32	4692-4697m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_32_4692-4697m.jpg	2794	9999-12-31	13225
6506/11-5 S	33	4697-4702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_33_4697-4702m.jpg	2794	9999-12-31	13226
6506/11-5 S	34	4702-4707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_34_4702-4707m.jpg	2794	9999-12-31	13227
6506/11-5 S	35	4707-4712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_35_4707-4712m.jpg	2794	9999-12-31	13228
6506/11-5 S	36	4712-4717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_36_4712-4717m.jpg	2794	9999-12-31	13229
6506/11-5 S	37	4717-4719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2794_37_4717-4719m.jpg	2794	9999-12-31	13230
6506/11-6	1	4652-4657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_01_4652-4657m.jpg	3306	9999-12-31	13231
6506/11-6	2	4657-4661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_02_4657-4661m.jpg	3306	9999-12-31	13232
6506/11-6	3	4661-4666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_03_4661-4666m.jpg	3306	9999-12-31	13233
6506/11-6	4	4666-4671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_04_4666-4671m.jpg	3306	9999-12-31	13234
6506/11-6	5	4671-4676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_05_4671-4676m.jpg	3306	9999-12-31	13235
6506/11-6	6	4676-4681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_06_4676-4681m.jpg	3306	9999-12-31	13236
6506/11-6	7	4681-4686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_07_4681-4686m.jpg	3306	9999-12-31	13237
6506/11-6	8	4686-4688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_08_4686-4688m.jpg	3306	9999-12-31	13238
6506/11-6	9	4688-4693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_09_4688-4693m.jpg	3306	9999-12-31	13239
6506/11-6	10	4693-4698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_10_4693-4698m.jpg	3306	9999-12-31	13240
6506/11-6	11	4698-4703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_11_4698-4703m.jpg	3306	9999-12-31	13241
6506/11-6	12	4703-4708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_12_4703-4708m.jpg	3306	9999-12-31	13242
6506/11-6	13	4708-4710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_13_4708-4710m.jpg	3306	9999-12-31	13243
6506/11-6	14	4711-4716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_14_4711-4716m.jpg	3306	9999-12-31	13244
6506/11-6	15	4716-4721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_15_4716-4721m.jpg	3306	9999-12-31	13245
6506/11-6	16	4721-4726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_16_4721-4726m.jpg	3306	9999-12-31	13246
6506/11-6	17	4726-4731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_17_4726-4731m.jpg	3306	9999-12-31	13247
6506/11-6	18	4731-4736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_18_4731-4736m.jpg	3306	9999-12-31	13248
6506/11-6	19	4736-4738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_19_4736-4738m.jpg	3306	9999-12-31	13249
6506/11-6	20	4738-4743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_20_4738-4743m.jpg	3306	9999-12-31	13250
6506/11-6	21	4743-4748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_21_4743-4748m.jpg	3306	9999-12-31	13251
6506/11-6	22	4748-4753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_22_4748-4753m.jpg	3306	9999-12-31	13252
6506/11-6	23	4753-4758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_23_4753-4758m.jpg	3306	9999-12-31	13253
6506/11-6	24	4758-4763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_24_4758-4763m.jpg	3306	9999-12-31	13254
6506/11-6	25	4763-4768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_25_4763-4768m.jpg	3306	9999-12-31	13255
6506/11-6	26	4768-4773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_26_4768-4773m.jpg	3306	9999-12-31	13256
6506/11-6	27	4773-4776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_27_4773-4776m.jpg	3306	9999-12-31	13257
6506/11-6	28	4778-4783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_28_4778-4783m.jpg	3306	9999-12-31	13258
6506/11-6	29	4783-4788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_29_4783-4788m.jpg	3306	9999-12-31	13259
6506/11-6	30	4788-4792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_30_4788-4792m.jpg	3306	9999-12-31	13260
6506/11-6	41	4813-4818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_41_4813-4818m.jpg	3306	9999-12-31	13261
6506/11-6	42	4818-4823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_42_4818-4823m.jpg	3306	9999-12-31	13262
6506/11-6	43	4823-4828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_43_4823-4828m.jpg	3306	9999-12-31	13263
6506/11-6	44	4828-4833m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_44_4828-4833m.jpg	3306	9999-12-31	13264
6506/11-6	45	4833-4836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_45_4833-4836m.jpg	3306	9999-12-31	13265
6506/11-6	46	4837-4842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_46_4837-4842m.jpg	3306	9999-12-31	13266
6506/11-6	47	4842-4847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_47_4842-4847m.jpg	3306	9999-12-31	13267
6506/11-6	48	4847-4852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_48_4847-4852m.jpg	3306	9999-12-31	13268
6506/11-6	49	4852-4857m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_49_4852-4857m.jpg	3306	9999-12-31	13269
6506/11-6	50	4857-4858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_50_4857-4858m.jpg	3306	9999-12-31	13270
6506/11-6	51	4858-4863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_51_4858-4863m.jpg	3306	9999-12-31	13271
6506/11-6	52	4863-4868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_52_4863-4868m.jpg	3306	9999-12-31	13272
6506/11-6	53	4868-4873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_53_4868-4873m.jpg	3306	9999-12-31	13273
6506/11-6	54	4873-4878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_54_4873-4878m.jpg	3306	9999-12-31	13274
6506/11-6	55	4878-4883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_55_4878-4883m.jpg	3306	9999-12-31	13275
6506/11-6	56	4883-4888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_56_4883-4888m.jpg	3306	9999-12-31	13276
6506/11-6	57	48884893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_57_48884893m.jpg	3306	9999-12-31	13277
6506/11-6	58	4893-4898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_58_4893-4898m.jpg	3306	9999-12-31	13278
6506/11-6	59	4898-4903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_59_4898-4903m.jpg	3306	9999-12-31	13279
6506/11-6	60	4903-4908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_60_4903-4908m.jpg	3306	9999-12-31	13280
6506/11-6	61	4908-4913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_61_4908-4913m.jpg	3306	9999-12-31	13281
6506/11-6	62	4913-4914m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_62_4913-4914m.jpg	3306	9999-12-31	13282
6506/11-6	63	4952-4957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_63_4952-4957m.jpg	3306	9999-12-31	13283
6506/11-6	64	4957-4962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_64_4957-4962m.jpg	3306	9999-12-31	13284
6506/11-6	65	4962-4967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_65_4962-4967m.jpg	3306	9999-12-31	13285
6506/11-6	66	4967-4972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_66_4967-4972m.jpg	3306	9999-12-31	13286
6506/11-6	67	4972-4977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_67_4972-4977m.jpg	3306	9999-12-31	13287
6506/11-6	68	4977-4980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_68_4977-4980m.jpg	3306	9999-12-31	13288
6506/11-6	69	5098-5103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_69_5098-5103m.jpg	3306	9999-12-31	13289
6506/11-6	70	5103-5108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_70_5103-5108m.jpg	3306	9999-12-31	13290
6506/11-6	71	5108-5113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_71_5108-5113m.jpg	3306	9999-12-31	13291
6506/11-6	72	5113-5118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_72_5113-5118m.jpg	3306	9999-12-31	13292
6506/11-6	73	5118-5123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_73_5118-5123m.jpg	3306	9999-12-31	13293
6506/11-6	74	5123-5125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3306_74_5123-5125m.jpg	3306	9999-12-31	13294
6506/11-7	1	4591-4596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_01_4591-4596m.jpg	3322	9999-12-31	13295
6506/11-7	2	4596-4601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_02_4596-4601m.jpg	3322	9999-12-31	13296
6506/11-7	3	4601-4606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_03_4601-4606m.jpg	3322	9999-12-31	13297
6506/11-7	4	4606-4609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_04_4606-4609m.jpg	3322	9999-12-31	13298
6506/11-7	5	4664-4669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_05_4664-4669m.jpg	3322	9999-12-31	13299
6506/11-7	6	4669-4674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_06_4669-4674m.jpg	3322	9999-12-31	13300
6506/11-7	7	4674-4675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_07_4674-4675m.jpg	3322	9999-12-31	13301
6506/11-7	8	4685-4690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_08_4685-4690m.jpg	3322	9999-12-31	13302
6506/11-7	9	4690-4695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_09_4690-4695m.jpg	3322	9999-12-31	13303
6506/11-7	10	4695-4700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_10_4695-4700m.jpg	3322	9999-12-31	13304
6506/11-7	11	4700-4705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_11_4700-4705m.jpg	3322	9999-12-31	13305
6506/11-7	12	4705-4710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_12_4705-4710m.jpg	3322	9999-12-31	13306
6506/11-7	13	4710-4715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_13_4710-4715m.jpg	3322	9999-12-31	13307
6506/11-7	14	4715-4720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_14_4715-4720m.jpg	3322	9999-12-31	13308
6506/11-7	15	4720-4725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_15_4720-4725m.jpg	3322	9999-12-31	13309
6506/11-7	16	4725-4728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_16_4725-4728m.jpg	3322	9999-12-31	13310
6506/11-7	17	4755-4760m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_17_4755-4760m.jpg	3322	9999-12-31	13311
6506/11-7	18	4760-4763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_18_4760-4763m.jpg	3322	9999-12-31	13312
6506/11-7	19	4779-4784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_19_4779-4784m.jpg	3322	9999-12-31	13313
6506/11-7	20	4784-4789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_20_4784-4789m.jpg	3322	9999-12-31	13314
6506/11-7	21	4789-4790m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_21_4789-4790m.jpg	3322	9999-12-31	13315
6506/11-7	22	4859-4864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_22_4859-4864m.jpg	3322	9999-12-31	13316
6506/11-7	23	4864-4869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_23_4864-4869m.jpg	3322	9999-12-31	13317
6506/11-7	24	4869-4874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_24_4869-4874m.jpg	3322	9999-12-31	13318
6506/11-7	25	4874-4878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3322_25_4874-4878m.jpg	3322	9999-12-31	13319
6506/12-1	1	3975-3979m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_01_3975-3979m.jpg	1004	9999-12-31	13320
6506/12-1	2	3973-3983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_02_3973-3983m.jpg	1004	9999-12-31	13321
6506/12-1	3	3983-3987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_03_3983-3987m.jpg	1004	9999-12-31	13322
6506/12-1	4	3987-3991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_04_3987-3991m.jpg	1004	9999-12-31	13323
6506/12-1	5	3991-3995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_05_3991-3995m.jpg	1004	9999-12-31	13324
6506/12-1	6	3995-3999m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_06_3995-3999m.jpg	1004	9999-12-31	13325
6506/12-1	7	3999-4003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_07_3999-4003m.jpg	1004	9999-12-31	13326
6506/12-1	8	4003-4007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_08_4003-4007m.jpg	1004	9999-12-31	13327
6506/12-1	9	4007-4011m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_09_4007-4011m.jpg	1004	9999-12-31	13328
6506/12-1	10	4011-4015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_10_4011-4015m.jpg	1004	9999-12-31	13329
6506/12-1	11	4015-4018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_11_4015-4018m.jpg	1004	9999-12-31	13330
6506/12-1	12	4018-4022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_12_4018-4022m.jpg	1004	9999-12-31	13331
6506/12-1	13	4022-4026m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_13_4022-4026m.jpg	1004	9999-12-31	13332
6506/12-1	14	4026-4030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_14_4026-4030m.jpg	1004	9999-12-31	13333
6506/12-1	15	4030-4034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_15_4030-4034m.jpg	1004	9999-12-31	13334
6506/12-1	16	4034-4038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_16_4034-4038m.jpg	1004	9999-12-31	13335
6506/12-1	17	4038-4042m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_17_4038-4042m.jpg	1004	9999-12-31	13336
6506/12-1	18	4042-4046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_18_4042-4046m.jpg	1004	9999-12-31	13337
6506/12-1	19	4046-4050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_19_4046-4050m.jpg	1004	9999-12-31	13338
6506/12-1	20	4050-4054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_20_4050-4054m.jpg	1004	9999-12-31	13339
6506/12-1	21	4054-4058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_21_4054-4058m.jpg	1004	9999-12-31	13340
6506/12-1	22	4058-4062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_22_4058-4062m.jpg	1004	9999-12-31	13341
6506/12-1	23	4062-4066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_23_4062-4066m.jpg	1004	9999-12-31	13342
6506/12-1	24	4066-4070m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_24_4066-4070m.jpg	1004	9999-12-31	13343
6506/12-1	25	4070-4074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_25_4070-4074m.jpg	1004	9999-12-31	13344
6506/12-1	26	4074-4078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_26_4074-4078m.jpg	1004	9999-12-31	13345
6506/12-1	27	4078-4082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_27_4078-4082m.jpg	1004	9999-12-31	13346
6506/12-1	28	4082-4086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_28_4082-4086m.jpg	1004	9999-12-31	13347
6506/12-1	29	4086-4090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_29_4086-4090m.jpg	1004	9999-12-31	13348
6506/12-1	30	4090-4094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_30_4090-4094m.jpg	1004	9999-12-31	13349
6506/12-1	31	4094-4097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_31_4094-4097m.jpg	1004	9999-12-31	13350
6506/12-1	32	4098-4102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_32_4098-4102m.jpg	1004	9999-12-31	13351
6506/12-1	33	4102-4106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_33_4102-4106m.jpg	1004	9999-12-31	13352
6506/12-1	34	4106-4109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_34_4106-4109m.jpg	1004	9999-12-31	13353
6506/12-1	35	4110-4114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_35_4110-4114m.jpg	1004	9999-12-31	13354
6506/12-1	36	4114-4118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_36_4114-4118m.jpg	1004	9999-12-31	13355
6506/12-1	37	4118-4122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_37_4118-4122m.jpg	1004	9999-12-31	13356
6506/12-1	38	4122-4126m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_38_4122-4126m.jpg	1004	9999-12-31	13357
6506/12-1	39	4126-4130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_39_4126-4130m.jpg	1004	9999-12-31	13358
6506/12-1	40	4130-4134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_40_4130-4134m.jpg	1004	9999-12-31	13359
6506/12-1	41	4134-4138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_41_4134-4138m.jpg	1004	9999-12-31	13360
6506/12-1	43	4142-4146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_43_4142-4146m.jpg	1004	9999-12-31	13361
6506/12-1	44	4146-4150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_44_4146-4150m.jpg	1004	9999-12-31	13362
6506/12-1	45	4150-4175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_45_4150-4175m.jpg	1004	9999-12-31	13363
6506/12-1	46	4175-4179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_46_4175-4179m.jpg	1004	9999-12-31	13364
6506/12-1	47	4179-4183m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_47_4179-4183m.jpg	1004	9999-12-31	13365
6506/12-1	48	4183-4187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_48_4183-4187m.jpg	1004	9999-12-31	13366
6506/12-1	49	4187-4190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_49_4187-4190m.jpg	1004	9999-12-31	13367
6506/12-1	50	4191-4195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_50_4191-4195m.jpg	1004	9999-12-31	13368
6506/12-1	51	4195-4199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_51_4195-4199m.jpg	1004	9999-12-31	13369
6506/12-1	52	4199-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_52_4199-4203m.jpg	1004	9999-12-31	13370
6506/12-1	53	4203-4220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_53_4203-4220m.jpg	1004	9999-12-31	13371
6506/12-1	54	4220-4224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_54_4220-4224m.jpg	1004	9999-12-31	13372
6506/12-1	55	4224-4226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_55_4224-4226m.jpg	1004	9999-12-31	13373
6506/12-1	56	4228-4233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_56_4228-4233m.jpg	1004	9999-12-31	13374
6506/12-1	57	4233-4237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_57_4233-4237m.jpg	1004	9999-12-31	13375
6506/12-1	58	4237-4241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_58_4237-4241m.jpg	1004	9999-12-31	13376
6506/12-1	59	4241-4244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_59_4241-4244m.jpg	1004	9999-12-31	13377
6506/12-1	60	4245-4249m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_60_4245-4249m.jpg	1004	9999-12-31	13378
6506/12-1	61	4249-4255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_61_4249-4255m.jpg	1004	9999-12-31	13379
6506/12-1	62	4255-4259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_62_4255-4259m.jpg	1004	9999-12-31	13380
6506/12-1	63	4259-4263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_63_4259-4263m.jpg	1004	9999-12-31	13381
6506/12-1	64	4263-4267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_64_4263-4267m.jpg	1004	9999-12-31	13382
6506/12-1	65	4267-4271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_65_4267-4271m.jpg	1004	9999-12-31	13383
6506/12-1	66	4271-4274m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_66_4271-4274m.jpg	1004	9999-12-31	13384
6506/12-1	67	4276-4281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_67_4276-4281m.jpg	1004	9999-12-31	13385
6506/12-1	68	4281-4285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_68_4281-4285m.jpg	1004	9999-12-31	13386
6506/12-1	69	4285-4289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_69_4285-4289m.jpg	1004	9999-12-31	13387
6506/12-1	70	4289-4584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_70_4289-4584m.jpg	1004	9999-12-31	13388
6506/12-1	71	4584-4592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_71_4584-4592m.jpg	1004	9999-12-31	13389
6506/12-1	72	4592-4597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1004_72_4592-4597m.jpg	1004	9999-12-31	13390
6506/12-10	1	4564-4569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_01_4564-4569m.jpg	2445	9999-12-31	13391
6506/12-10	2	4569-4574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_02_4569-4574m.jpg	2445	9999-12-31	13392
6506/12-10	3	4574-4579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_03_4574-4579m.jpg	2445	9999-12-31	13393
6506/12-10	4	4579-4584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_04_4579-4584m.jpg	2445	9999-12-31	13394
6506/12-10	5	4584-4589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_05_4584-4589m.jpg	2445	9999-12-31	13395
6506/12-10	6	4589-4592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_06_4589-4592m.jpg	2445	9999-12-31	13396
6506/12-10	7	4592-4597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_07_4592-4597m.jpg	2445	9999-12-31	13397
6506/12-10	8	4597-4602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_08_4597-4602m.jpg	2445	9999-12-31	13398
6506/12-10	9	4602-4607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_09_4602-4607m.jpg	2445	9999-12-31	13399
6506/12-10	10	4607-4612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_10_4607-4612m.jpg	2445	9999-12-31	13400
6506/12-10	11	4612-4616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_11_4612-4616m.jpg	2445	9999-12-31	13401
6506/12-10	12	4660-4665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_12_4660-4665m.jpg	2445	9999-12-31	13402
6506/12-10	13	4665-4670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_13_4665-4670m.jpg	2445	9999-12-31	13403
6506/12-10	14	4670-4671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_14_4670-4671m.jpg	2445	9999-12-31	13404
6506/12-10	15	4672-4677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_15_4672-4677m.jpg	2445	9999-12-31	13405
6506/12-10	16	4677-4682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_16_4677-4682m.jpg	2445	9999-12-31	13406
6506/12-10	17	4682-4687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_17_4682-4687m.jpg	2445	9999-12-31	13407
6506/12-10	18	4687-4692m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_18_4687-4692m.jpg	2445	9999-12-31	13408
6506/12-10	19	4692-4694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_19_4692-4694m.jpg	2445	9999-12-31	13409
6506/12-10	20	4696-4701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_20_4696-4701m.jpg	2445	9999-12-31	13410
6506/12-10	21	4701-4706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_21_4701-4706m.jpg	2445	9999-12-31	13411
6506/12-10	22	4706-4711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_22_4706-4711m.jpg	2445	9999-12-31	13412
6506/12-10	23	4711-4716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_23_4711-4716m.jpg	2445	9999-12-31	13413
6506/12-10	24	4716-4718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_24_4716-4718m.jpg	2445	9999-12-31	13414
6506/12-10	25	4848-4853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_25_4848-4853m.jpg	2445	9999-12-31	13415
6506/12-10	26	4858-4863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_26_4858-4863m.jpg	2445	9999-12-31	13416
6506/12-10	27	4863-4868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_27_4863-4868m.jpg	2445	9999-12-31	13417
6506/12-10	28	4868-4873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_28_4868-4873m.jpg	2445	9999-12-31	13418
6506/12-10	29	4873-4873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_29_4873-4873m.jpg	2445	9999-12-31	13419
6506/12-10	30	4873-4878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_30_4873-4878m.jpg	2445	9999-12-31	13420
6506/12-10	31	4878-4883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_31_4878-4883m.jpg	2445	9999-12-31	13421
6506/12-10	32	4883-4886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_32_4883-4886m.jpg	2445	9999-12-31	13422
6506/12-10	33	4887-4892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_33_4887-4892m.jpg	2445	9999-12-31	13423
6506/12-10	34	4892-4897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_34_4892-4897m.jpg	2445	9999-12-31	13424
6506/12-10	35	4897-4902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_35_4897-4902m.jpg	2445	9999-12-31	13425
6506/12-10	36	4902-4907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_36_4902-4907m.jpg	2445	9999-12-31	13426
6506/12-10	37	4907-4908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_37_4907-4908m.jpg	2445	9999-12-31	13427
6506/12-10	38	4908-4913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_38_4908-4913m.jpg	2445	9999-12-31	13428
6506/12-10	39	4913-4918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_39_4913-4918m.jpg	2445	9999-12-31	13429
6506/12-10	40	4918-4923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_40_4918-4923m.jpg	2445	9999-12-31	13430
6506/12-10	41	4923-4928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_41_4923-4928m.jpg	2445	9999-12-31	13431
6506/12-10	42	4928-4933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_42_4928-4933m.jpg	2445	9999-12-31	13432
6506/12-10	43	4933-4938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_43_4933-4938m.jpg	2445	9999-12-31	13433
6506/12-10	44	4938-4943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_44_4938-4943m.jpg	2445	9999-12-31	13434
6506/12-10	45	4943-4948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_45_4943-4948m.jpg	2445	9999-12-31	13435
6506/12-10	46	4948-4953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_46_4948-4953m.jpg	2445	9999-12-31	13436
6506/12-10	47	4953-4958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_47_4953-4958m.jpg	2445	9999-12-31	13437
6506/12-10	48	4958-4963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_48_4958-4963m.jpg	2445	9999-12-31	13438
6506/12-10	49	4963-4965m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_49_4963-4965m.jpg	2445	9999-12-31	13439
6506/12-10	50	4965-4969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_50_4965-4969m.jpg	2445	9999-12-31	13440
6506/12-10	51	4969-4974m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_51_4969-4974m.jpg	2445	9999-12-31	13441
6506/12-10	52	4974-4979m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_52_4974-4979m.jpg	2445	9999-12-31	13442
6506/12-10	53	4979-4984m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_53_4979-4984m.jpg	2445	9999-12-31	13443
6506/12-10	54	4984-4986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_54_4984-4986m.jpg	2445	9999-12-31	13444
6506/12-10	55	4986-4991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_55_4986-4991m.jpg	2445	9999-12-31	13445
6506/12-10	56	4991-4996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_56_4991-4996m.jpg	2445	9999-12-31	13446
6506/12-10	57	4996-5001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_57_4996-5001m.jpg	2445	9999-12-31	13447
6506/12-10	58	5001-5006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_58_5001-5006m.jpg	2445	9999-12-31	13448
6506/12-10	59	5006-5011m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_59_5006-5011m.jpg	2445	9999-12-31	13449
6506/12-10	60	5011-5016m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_60_5011-5016m.jpg	2445	9999-12-31	13450
6506/12-10	61	5016-5021m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_61_5016-5021m.jpg	2445	9999-12-31	13451
6506/12-10	62	5021-5023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_62_5021-5023m.jpg	2445	9999-12-31	13452
6506/12-10	63	5023-5028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_63_5023-5028m.jpg	2445	9999-12-31	13453
6506/12-10	64	5028-5033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_64_5028-5033m.jpg	2445	9999-12-31	13454
6506/12-10	65	5033-5038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_65_5033-5038m.jpg	2445	9999-12-31	13455
6506/12-10	66	5038-5043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_66_5038-5043m.jpg	2445	9999-12-31	13456
6506/12-10	67	5043-5048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_67_5043-5048m.jpg	2445	9999-12-31	13457
6506/12-10	68	5048-5053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_68_5048-5053m.jpg	2445	9999-12-31	13458
6506/12-10	69	5053-5058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_69_5053-5058m.jpg	2445	9999-12-31	13459
6506/12-10	70	5058-5060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_70_5058-5060m.jpg	2445	9999-12-31	13460
6506/12-10	71	5060-6064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_71_5060-6064m.jpg	2445	9999-12-31	13461
6506/12-10	72	5064-5069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_72_5064-5069m.jpg	2445	9999-12-31	13462
6506/12-10	73	5069-5074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_73_5069-5074m.jpg	2445	9999-12-31	13463
6506/12-10	74	5074-5079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_74_5074-5079m.jpg	2445	9999-12-31	13464
6506/12-10	75	5079-5084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_75_5079-5084m.jpg	2445	9999-12-31	13465
6506/12-10	76	5084-5089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_76_5084-5089m.jpg	2445	9999-12-31	13466
6506/12-10	77	5089-5094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_77_5089-5094m.jpg	2445	9999-12-31	13467
6506/12-10	78	5094-5097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2445_78_5094-5097m.jpg	2445	9999-12-31	13468
6506/12-10 A	1	5674-5679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_01_5674-5679m.jpg	2610	9999-12-31	13469
6506/12-10 A	2	5679-5684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_02_5679-5684m.jpg	2610	9999-12-31	13470
6506/12-10 A	3	5684-5689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_03_5684-5689m.jpg	2610	9999-12-31	13471
6506/12-10 A	4	5689-5694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_04_5689-5694m.jpg	2610	9999-12-31	13472
6506/12-10 A	5	5694-5699m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_05_5694-5699m.jpg	2610	9999-12-31	13473
6506/12-10 A	6	5699-5704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_06_5699-5704m.jpg	2610	9999-12-31	13474
6506/12-10 A	7	5704-5709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_07_5704-5709m.jpg	2610	9999-12-31	13475
6506/12-10 A	8	5709-5712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_08_5709-5712m.jpg	2610	9999-12-31	13476
6506/12-10 A	9	5712-5716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_09_5712-5716m.jpg	2610	9999-12-31	13477
6506/12-10 A	10	5716-5721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_10_5716-5721m.jpg	2610	9999-12-31	13478
6506/12-10 A	11	5721-5726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_11_5721-5726m.jpg	2610	9999-12-31	13479
6506/12-10 A	12	5721-5731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_12_5721-5731m.jpg	2610	9999-12-31	13480
6506/12-10 A	13	5731-5736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_13_5731-5736m.jpg	2610	9999-12-31	13481
6506/12-10 A	14	5736-5741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_14_5736-5741m.jpg	2610	9999-12-31	13482
6506/12-10 A	15	5741-5746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_15_5741-5746m.jpg	2610	9999-12-31	13483
6506/12-10 A	16	5746-5748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_16_5746-5748m.jpg	2610	9999-12-31	13484
6506/12-10 A	17	5948-5949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_17_5948-5949m.jpg	2610	9999-12-31	13485
6506/12-10 A	18	5959-5964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_18_5959-5964m.jpg	2610	9999-12-31	13486
6506/12-10 A	19	5964-5969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_19_5964-5969m.jpg	2610	9999-12-31	13487
6506/12-10 A	20	5969-5971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_20_5969-5971m.jpg	2610	9999-12-31	13488
6506/12-10 A	21	5972-5977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_21_5972-5977m.jpg	2610	9999-12-31	13489
6506/12-10 A	22	5977-5982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_22_5977-5982m.jpg	2610	9999-12-31	13490
6506/12-10 A	23	5986-5991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_23_5986-5991m.jpg	2610	9999-12-31	13491
6506/12-10 A	24	5982-5985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_24_5982-5985m.jpg	2610	9999-12-31	13492
6506/12-10 A	25	5991-5996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_25_5991-5996m.jpg	2610	9999-12-31	13493
6506/12-10 A	26	5996-6001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_26_5996-6001m.jpg	2610	9999-12-31	13494
6506/12-10 A	27	6001-6005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_27_6001-6005m.jpg	2610	9999-12-31	13495
6506/12-10 A	28	6038-6043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_28_6038-6043m.jpg	2610	9999-12-31	13496
6506/12-10 A	29	6043-6048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_29_6043-6048m.jpg	2610	9999-12-31	13497
6506/12-10 A	30	6048-6053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_30_6048-6053m.jpg	2610	9999-12-31	13498
6506/12-10 A	31	6053-6057m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_31_6053-6057m.jpg	2610	9999-12-31	13499
6506/12-10 A	32	6057-6060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_32_6057-6060m.jpg	2610	9999-12-31	13500
6506/12-10 A	33	6119-6124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_33_6119-6124m.jpg	2610	9999-12-31	13501
6506/12-10 A	34	6124-6128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_34_6124-6128m.jpg	2610	9999-12-31	13502
6506/12-10 A	35	6160-6165m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_35_6160-6165m.jpg	2610	9999-12-31	13503
6506/12-10 A	36	6165-6170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_36_6165-6170m.jpg	2610	9999-12-31	13504
6506/12-10 A	37	6170-6175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_37_6170-6175m.jpg	2610	9999-12-31	13505
6506/12-10 A	38	6175-6178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_38_6175-6178m.jpg	2610	9999-12-31	13506
6506/12-10 A	39	6223-6228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_39_6223-6228m.jpg	2610	9999-12-31	13507
6506/12-10 A	40	6228-6231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2610_40_6228-6231m.jpg	2610	9999-12-31	13508
6506/12-11 S	1	5041-5046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_01_5041-5046m.jpg	2795	9999-12-31	13509
6506/12-11 S	2	5046-5051m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_02_5046-5051m.jpg	2795	9999-12-31	13510
6506/12-11 S	3	5051-5054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_03_5051-5054m.jpg	2795	9999-12-31	13511
6506/12-11 S	4	5063-5068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_04_5063-5068m.jpg	2795	9999-12-31	13512
6506/12-11 S	5	5068-5073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_05_5068-5073m.jpg	2795	9999-12-31	13513
6506/12-11 S	6	5073-5078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_06_5073-5078m.jpg	2795	9999-12-31	13514
6506/12-11 S	7	5078-5083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_07_5078-5083m.jpg	2795	9999-12-31	13515
6506/12-11 S	8	5083-5088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_08_5083-5088m.jpg	2795	9999-12-31	13516
6506/12-11 S	9	5088-5093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_09_5088-5093m.jpg	2795	9999-12-31	13517
6506/12-11 S	10	5093-5098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_10_5093-5098m.jpg	2795	9999-12-31	13518
6506/12-11 S	11	5098-5103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_11_5098-5103m.jpg	2795	9999-12-31	13519
6506/12-11 S	12	5103-5108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_12_5103-5108m.jpg	2795	9999-12-31	13520
6506/12-11 S	13	5108-5113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_13_5108-5113m.jpg	2795	9999-12-31	13521
6506/12-11 S	14	5113-5117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_14_5113-5117m.jpg	2795	9999-12-31	13522
6506/12-11 S	15	5117-5122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_15_5117-5122m.jpg	2795	9999-12-31	13523
6506/12-11 S	16	5122-5127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_16_5122-5127m.jpg	2795	9999-12-31	13524
6506/12-11 S	17	5127-5132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_17_5127-5132m.jpg	2795	9999-12-31	13525
6506/12-11 S	18	5132-5137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_18_5132-5137m.jpg	2795	9999-12-31	13526
6506/12-11 S	19	5137-5142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_19_5137-5142m.jpg	2795	9999-12-31	13527
6506/12-11 S	20	5142-5146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_20_5142-5146m.jpg	2795	9999-12-31	13528
6506/12-11 S	21	5146-5151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_21_5146-5151m.jpg	2795	9999-12-31	13529
6506/12-11 S	22	5151-5156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_22_5151-5156m.jpg	2795	9999-12-31	13530
6506/12-11 S	23	5156-5161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_23_5156-5161m.jpg	2795	9999-12-31	13531
6506/12-11 S	24	5161-5166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_24_5161-5166m.jpg	2795	9999-12-31	13532
6506/12-11 S	25	5166-5167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_25_5166-5167m.jpg	2795	9999-12-31	13533
6506/12-11 S	26	5167-5172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_26_5167-5172m.jpg	2795	9999-12-31	13534
6506/12-11 S	27	5172-5177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_27_5172-5177m.jpg	2795	9999-12-31	13535
6506/12-11 S	28	5177-5182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_28_5177-5182m.jpg	2795	9999-12-31	13536
6506/12-11 S	29	5182-5187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_29_5182-5187m.jpg	2795	9999-12-31	13537
6506/12-11 S	30	5187-5192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_30_5187-5192m.jpg	2795	9999-12-31	13538
6506/12-11 S	31	5192-5197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_31_5192-5197m.jpg	2795	9999-12-31	13539
6506/12-11 S	32	5197-5202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_32_5197-5202m.jpg	2795	9999-12-31	13540
6506/12-11 S	33	5202-5207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_33_5202-5207m.jpg	2795	9999-12-31	13541
6506/12-11 S	34	5207-5212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_34_5207-5212m.jpg	2795	9999-12-31	13542
6506/12-11 S	35	5212-5213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_35_5212-5213m.jpg	2795	9999-12-31	13543
6506/12-11 S	36	5213-5217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_36_5213-5217m.jpg	2795	9999-12-31	13544
6506/12-11 S	37	5217-5222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_37_5217-5222m.jpg	2795	9999-12-31	13545
6506/12-11 S	38	5222-5227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_38_5222-5227m.jpg	2795	9999-12-31	13546
6506/12-11 S	39	5227-5232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_39_5227-5232m.jpg	2795	9999-12-31	13547
6506/12-11 S	40	5232-5237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2795_40_5232-5237m.jpg	2795	9999-12-31	13548
6506/12-3	1	3836-3842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_01_3836-3842m.jpg	468	9999-12-31	13549
6506/12-3	2	3842-3845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_02_3842-3845m.jpg	468	9999-12-31	13550
6506/12-3	3	3845-3851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_03_3845-3851m.jpg	468	9999-12-31	13551
6506/12-3	4	3851-3855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_04_3851-3855m.jpg	468	9999-12-31	13552
6506/12-3	5	3855-3861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_05_3855-3861m.jpg	468	9999-12-31	13553
6506/12-3	6	3861-3864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_06_3861-3864m.jpg	468	9999-12-31	13554
6506/12-3	7	3864-3869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_07_3864-3869m.jpg	468	9999-12-31	13555
6506/12-3	8	3870-3876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_08_3870-3876m.jpg	468	9999-12-31	13556
6506/12-3	9	3878-3882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_09_3878-3882m.jpg	468	9999-12-31	13557
6506/12-3	10	3882-3883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_10_3882-3883m.jpg	468	9999-12-31	13558
6506/12-3	11	3884-3890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_11_3884-3890m.jpg	468	9999-12-31	13559
6506/12-3	12	3890-3896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_12_3890-3896m.jpg	468	9999-12-31	13560
6506/12-3	13	3896-3902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_13_3896-3902m.jpg	468	9999-12-31	13561
6506/12-3	14	3902-3908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_14_3902-3908m.jpg	468	9999-12-31	13562
6506/12-3	15	3908-3917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_15_3908-3917m.jpg	468	9999-12-31	13563
6506/12-3	16	3911-3917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_16_3911-3917m.jpg	468	9999-12-31	13564
6506/12-3	17	3917-3923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_17_3917-3923m.jpg	468	9999-12-31	13565
6506/12-3	18	3923-3925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_18_3923-3925m.jpg	468	9999-12-31	13566
6506/12-3	19	3949-3955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_19_3949-3955m.jpg	468	9999-12-31	13567
6506/12-3	20	3955-3961m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_20_3955-3961m.jpg	468	9999-12-31	13568
6506/12-3	21	3961-3967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_21_3961-3967m.jpg	468	9999-12-31	13569
6506/12-3	22	3967-3973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_22_3967-3973m.jpg	468	9999-12-31	13570
6506/12-3	23	3973-3977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_23_3973-3977m.jpg	468	9999-12-31	13571
6506/12-3	24	3977-3983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_24_3977-3983m.jpg	468	9999-12-31	13572
6506/12-3	25	3983-3989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_25_3983-3989m.jpg	468	9999-12-31	13573
6506/12-3	26	3989-3995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_26_3989-3995m.jpg	468	9999-12-31	13574
6506/12-3	27	3995-4001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_27_3995-4001m.jpg	468	9999-12-31	13575
6506/12-3	28	4001-4003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_28_4001-4003m.jpg	468	9999-12-31	13576
6506/12-3	29	4004-4010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_29_4004-4010m.jpg	468	9999-12-31	13577
6506/12-3	30	4010-4016m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_30_4010-4016m.jpg	468	9999-12-31	13578
6506/12-3	31	4016-4017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_31_4016-4017m.jpg	468	9999-12-31	13579
6506/12-3	32	4116-4122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_32_4116-4122m.jpg	468	9999-12-31	13580
6506/12-3	33	4122-4128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_33_4122-4128m.jpg	468	9999-12-31	13581
6506/12-3	34	4128-4134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_34_4128-4134m.jpg	468	9999-12-31	13582
6506/12-3	35	4134-4140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_35_4134-4140m.jpg	468	9999-12-31	13583
6506/12-3	36	4140-4144m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_36_4140-4144m.jpg	468	9999-12-31	13584
6506/12-3	37	4144-4150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_37_4144-4150m.jpg	468	9999-12-31	13585
6506/12-3	38	4150-4156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_38_4150-4156m.jpg	468	9999-12-31	13586
6506/12-3	39	4156-4162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_39_4156-4162m.jpg	468	9999-12-31	13587
6506/12-3	40	4162-4168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_40_4162-4168m.jpg	468	9999-12-31	13588
6506/12-3	41	4168-4170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_41_4168-4170m.jpg	468	9999-12-31	13589
6506/12-3	42	4170-4176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_42_4170-4176m.jpg	468	9999-12-31	13590
6506/12-3	43	4176-4182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_43_4176-4182m.jpg	468	9999-12-31	13591
6506/12-3	44	4182-4188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_44_4182-4188m.jpg	468	9999-12-31	13592
6506/12-3	45	4188-4194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_45_4188-4194m.jpg	468	9999-12-31	13593
6506/12-3	46	4194-4197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_46_4194-4197m.jpg	468	9999-12-31	13594
6506/12-3	47	4197-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_47_4197-4203m.jpg	468	9999-12-31	13595
6506/12-3	48	4203-4209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_48_4203-4209m.jpg	468	9999-12-31	13596
6506/12-3	49	4209-4215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_49_4209-4215m.jpg	468	9999-12-31	13597
6506/12-3	50	4215-4221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_50_4215-4221m.jpg	468	9999-12-31	13598
6506/12-3	51	4221-4222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_51_4221-4222m.jpg	468	9999-12-31	13599
6506/12-3	52	4222-4227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_52_4222-4227m.jpg	468	9999-12-31	13600
6506/12-3	53	4227-4233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_53_4227-4233m.jpg	468	9999-12-31	13601
6506/12-3	54	4233-4239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_54_4233-4239m.jpg	468	9999-12-31	13602
6506/12-3	55	4239-4245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_55_4239-4245m.jpg	468	9999-12-31	13603
6506/12-3	56	4245-4249m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_56_4245-4249m.jpg	468	9999-12-31	13604
6506/12-3	57	4249-4255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_57_4249-4255m.jpg	468	9999-12-31	13605
6506/12-3	58	4255-4261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_58_4255-4261m.jpg	468	9999-12-31	13606
6506/12-3	59	4261-4267m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_59_4261-4267m.jpg	468	9999-12-31	13607
6506/12-3	60	4267-4268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/468_60_4267-4268m.jpg	468	9999-12-31	13608
6506/12-4	1	3129-3133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_01_3129-3133m.jpg	475	9999-12-31	13609
6506/12-4	2	3134-3138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_02_3134-3138m.jpg	475	9999-12-31	13610
6506/12-4	3	3139-3143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_03_3139-3143m.jpg	475	9999-12-31	13611
6506/12-4	4	3144-3148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_04_3144-3148m.jpg	475	9999-12-31	13612
6506/12-4	5	3149-3150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_05_3149-3150m.jpg	475	9999-12-31	13613
6506/12-4	6	3972-3977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_06_3972-3977m.jpg	475	9999-12-31	13614
6506/12-4	7	3978-3980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_07_3978-3980m.jpg	475	9999-12-31	13615
6506/12-4	8	3980-3985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_08_3980-3985m.jpg	475	9999-12-31	13616
6506/12-4	9	3986-3991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_09_3986-3991m.jpg	475	9999-12-31	13617
6506/12-4	10	3992-3997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_10_3992-3997m.jpg	475	9999-12-31	13618
6506/12-4	11	3998-4003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_11_3998-4003m.jpg	475	9999-12-31	13619
6506/12-4	12	4004-4008m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/475_12_4004-4008m.jpg	475	9999-12-31	13620
6506/12-5	1	3148-3153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_01_3148-3153m.jpg	852	9999-12-31	13621
6506/12-5	2	3153-3158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_02_3153-3158m.jpg	852	9999-12-31	13622
6506/12-5	3	3158-3163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_03_3158-3163m.jpg	852	9999-12-31	13623
6506/12-5	4	3163-3168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_04_3163-3168m.jpg	852	9999-12-31	13624
6506/12-5	5	3168-3173m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_05_3168-3173m.jpg	852	9999-12-31	13625
6506/12-5	6	3173-3175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_06_3173-3175m.jpg	852	9999-12-31	13626
6506/12-5	7	3175-3180m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_07_3175-3180m.jpg	852	9999-12-31	13627
6506/12-5	8	3180-3185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_08_3180-3185m.jpg	852	9999-12-31	13628
6506/12-5	9	3185-3188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_09_3185-3188m.jpg	852	9999-12-31	13629
6506/12-5	10	3910-3916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_10_3910-3916m.jpg	852	9999-12-31	13630
6506/12-5	11	3916-3917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_11_3916-3917m.jpg	852	9999-12-31	13631
6506/12-5	12	3918-3924m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_12_3918-3924m.jpg	852	9999-12-31	13632
6506/12-5	13	3924-3928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_13_3924-3928m.jpg	852	9999-12-31	13633
6506/12-5	14	3929-3935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_14_3929-3935m.jpg	852	9999-12-31	13634
6506/12-5	15	3935-3941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_15_3935-3941m.jpg	852	9999-12-31	13635
6506/12-5	16	3941-3943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_16_3941-3943m.jpg	852	9999-12-31	13636
6506/12-5	17	3944-3949m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_17_3944-3949m.jpg	852	9999-12-31	13637
6506/12-5	18	3949-3955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_18_3949-3955m.jpg	852	9999-12-31	13638
6506/12-5	19	3955-3961m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_19_3955-3961m.jpg	852	9999-12-31	13639
6506/12-5	20	3961-3967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_20_3961-3967m.jpg	852	9999-12-31	13640
6506/12-5	21	3967-3967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_21_3967-3967m.jpg	852	9999-12-31	13641
6506/12-5	22	3967-3973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_22_3967-3973m.jpg	852	9999-12-31	13642
6506/12-5	23	3973-3979m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_23_3973-3979m.jpg	852	9999-12-31	13643
6506/12-5	24	3979-3985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_24_3979-3985m.jpg	852	9999-12-31	13644
6506/12-5	25	3985-3991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_25_3985-3991m.jpg	852	9999-12-31	13645
6506/12-5	26	3991-3993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_26_3991-3993m.jpg	852	9999-12-31	13646
6506/12-5	27	4004-4010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_27_4004-4010m.jpg	852	9999-12-31	13647
6506/12-5	28	4010-4016m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_28_4010-4016m.jpg	852	9999-12-31	13648
6506/12-5	29	4016-4022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_29_4016-4022m.jpg	852	9999-12-31	13649
6506/12-5	30	4022-4028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_30_4022-4028m.jpg	852	9999-12-31	13650
6506/12-5	31	4028-4030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_31_4028-4030m.jpg	852	9999-12-31	13651
6506/12-5	32	4031-4037m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_32_4031-4037m.jpg	852	9999-12-31	13652
6506/12-5	33	4037-4043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_33_4037-4043m.jpg	852	9999-12-31	13653
6506/12-5	34	4043-4036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_34_4043-4036m.jpg	852	9999-12-31	13654
6506/12-5	35	4046-4052m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_35_4046-4052m.jpg	852	9999-12-31	13655
6506/12-5	36	4052-4058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_36_4052-4058m.jpg	852	9999-12-31	13656
6506/12-5	37	4058-4064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_37_4058-4064m.jpg	852	9999-12-31	13657
6506/12-5	38	4046-4046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_38_4046-4046m.jpg	852	9999-12-31	13658
6506/12-5	39	4064-4066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_39_4064-4066m.jpg	852	9999-12-31	13659
6506/12-5	40	4067-4073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_40_4067-4073m.jpg	852	9999-12-31	13660
6506/12-5	41	4073-4079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_41_4073-4079m.jpg	852	9999-12-31	13661
6506/12-5	42	4079-4080m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_42_4079-4080m.jpg	852	9999-12-31	13662
6506/12-5	43	4085-4091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_43_4085-4091m.jpg	852	9999-12-31	13663
6506/12-5	44	4091-4097m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_44_4091-4097m.jpg	852	9999-12-31	13664
6506/12-5	45	4097-4103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_45_4097-4103m.jpg	852	9999-12-31	13665
6506/12-5	46	4103-4106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_46_4103-4106m.jpg	852	9999-12-31	13666
6506/12-5	47	4112-4118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_47_4112-4118m.jpg	852	9999-12-31	13667
6506/12-5	48	4118-4123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_48_4118-4123m.jpg	852	9999-12-31	13668
6506/12-5	49	4124-4130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_49_4124-4130m.jpg	852	9999-12-31	13669
6506/12-5	50	4130-4135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_50_4130-4135m.jpg	852	9999-12-31	13670
6506/12-5	51	4136-4142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_51_4136-4142m.jpg	852	9999-12-31	13671
6506/12-5	52	4142-4148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_52_4142-4148m.jpg	852	9999-12-31	13672
6506/12-5	53	4148-4154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_53_4148-4154m.jpg	852	9999-12-31	13673
6506/12-5	54	4154-4154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_54_4154-4154m.jpg	852	9999-12-31	13674
6506/12-5	55	4154-4160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_55_4154-4160m.jpg	852	9999-12-31	13675
6506/12-5	56	4160-4166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_56_4160-4166m.jpg	852	9999-12-31	13676
6506/12-5	57	4166-4172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_57_4166-4172m.jpg	852	9999-12-31	13677
6506/12-5	58	4172-4178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_58_4172-4178m.jpg	852	9999-12-31	13678
6506/12-5	59	4178-4179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_59_4178-4179m.jpg	852	9999-12-31	13679
6506/12-5	60	4180-4186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_60_4180-4186m.jpg	852	9999-12-31	13680
6506/12-5	61	4186-4192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_61_4186-4192m.jpg	852	9999-12-31	13681
6506/12-5	62	4192-4198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_62_4192-4198m.jpg	852	9999-12-31	13682
6506/12-5	63	4198-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_63_4198-4203m.jpg	852	9999-12-31	13683
6506/12-5	64	4205-4211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_64_4205-4211m.jpg	852	9999-12-31	13684
6506/12-5	65	4211-4216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_65_4211-4216m.jpg	852	9999-12-31	13685
6506/12-5	66	4245-4251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_66_4245-4251m.jpg	852	9999-12-31	13686
6506/12-5	67	4251-4157m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_67_4251-4157m.jpg	852	9999-12-31	13687
6506/12-5	68	4257-4263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_68_4257-4263m.jpg	852	9999-12-31	13688
6506/12-5	69	4263-4269m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_69_4263-4269m.jpg	852	9999-12-31	13689
6506/12-5	70	4269-4270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_70_4269-4270m.jpg	852	9999-12-31	13690
6506/12-5	71	4271-4277m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_71_4271-4277m.jpg	852	9999-12-31	13691
6506/12-5	72	4217-4283m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_72_4217-4283m.jpg	852	9999-12-31	13692
6506/12-5	73	4283-4285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_73_4283-4285m.jpg	852	9999-12-31	13693
6506/12-5	74	4286-4292m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_74_4286-4292m.jpg	852	9999-12-31	13694
6506/12-5	75	4292-4298m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_75_4292-4298m.jpg	852	9999-12-31	13695
6506/12-5	76	4298-4299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_76_4298-4299m.jpg	852	9999-12-31	13696
6506/12-5	77	4305-4311m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_77_4305-4311m.jpg	852	9999-12-31	13697
6506/12-5	78	4311-4317m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_78_4311-4317m.jpg	852	9999-12-31	13698
6506/12-5	79	3217-4323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_79_3217-4323m.jpg	852	9999-12-31	13699
6506/12-5	80	4323-4324m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_80_4323-4324m.jpg	852	9999-12-31	13700
6506/12-5	81	4327-4333m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_81_4327-4333m.jpg	852	9999-12-31	13701
6506/12-5	82	4333-4334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_82_4333-4334m.jpg	852	9999-12-31	13702
6506/12-5	83	4335-4341m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_83_4335-4341m.jpg	852	9999-12-31	13703
6506/12-5	84	4341-4347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_84_4341-4347m.jpg	852	9999-12-31	13704
6506/12-5	85	4347-4353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_85_4347-4353m.jpg	852	9999-12-31	13705
6506/12-5	86	4353-4359m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_86_4353-4359m.jpg	852	9999-12-31	13706
6506/12-5	87	4359-4362m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/852_87_4359-4362m.jpg	852	9999-12-31	13707
6506/12-6	1	4188-4192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_01_4188-4192m.jpg	1342	9999-12-31	13708
6506/12-6	2	4184-4188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_02_4184-4188m.jpg	1342	9999-12-31	13709
6506/12-6	3	4192-4196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_03_4192-4196m.jpg	1342	9999-12-31	13710
6506/12-6	4	4196-4200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_04_4196-4200m.jpg	1342	9999-12-31	13711
6506/12-6	5	4200-4204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_05_4200-4204m.jpg	1342	9999-12-31	13712
6506/12-6	6	4204-4208m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_06_4204-4208m.jpg	1342	9999-12-31	13713
6506/12-6	7	4208-4212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_07_4208-4212m.jpg	1342	9999-12-31	13714
6506/12-6	8	4212-4216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_08_4212-4216m.jpg	1342	9999-12-31	13715
6506/12-6	9	4216-4220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_09_4216-4220m.jpg	1342	9999-12-31	13716
6506/12-6	10	4220-4334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_10_4220-4334m.jpg	1342	9999-12-31	13717
6506/12-6	11	4224-4228m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_11_4224-4228m.jpg	1342	9999-12-31	13718
6506/12-6	12	4228-4230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_12_4228-4230m.jpg	1342	9999-12-31	13719
6506/12-6	13	4230-4234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_13_4230-4234m.jpg	1342	9999-12-31	13720
6506/12-6	14	4234-4238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_14_4234-4238m.jpg	1342	9999-12-31	13721
6506/12-6	15	4238-4242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_15_4238-4242m.jpg	1342	9999-12-31	13722
6506/12-6	16	4242-4246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_16_4242-4246m.jpg	1342	9999-12-31	13723
6506/12-6	17	4246-4250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_17_4246-4250m.jpg	1342	9999-12-31	13724
6506/12-6	18	4250-4254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_18_4250-4254m.jpg	1342	9999-12-31	13725
6506/12-6	19	4254-4258m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_19_4254-4258m.jpg	1342	9999-12-31	13726
6506/12-6	20	4258-4262m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_20_4258-4262m.jpg	1342	9999-12-31	13727
6506/12-6	21	4262-4266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_21_4262-4266m.jpg	1342	9999-12-31	13728
6506/12-6	22	4266-4315m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_22_4266-4315m.jpg	1342	9999-12-31	13729
6506/12-6	23	4315-4319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_23_4315-4319m.jpg	1342	9999-12-31	13730
6506/12-6	24	4319-4323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_24_4319-4323m.jpg	1342	9999-12-31	13731
6506/12-6	25	4323-4327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_25_4323-4327m.jpg	1342	9999-12-31	13732
6506/12-6	26	4327-4331m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_26_4327-4331m.jpg	1342	9999-12-31	13733
6506/12-6	27	4331-4335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_27_4331-4335m.jpg	1342	9999-12-31	13734
6506/12-6	28	4335-4341m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_28_4335-4341m.jpg	1342	9999-12-31	13735
6506/12-6	29	4341-4345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_29_4341-4345m.jpg	1342	9999-12-31	13736
6506/12-6	30	4345-4349m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_30_4345-4349m.jpg	1342	9999-12-31	13737
6506/12-6	31	4349-4353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_31_4349-4353m.jpg	1342	9999-12-31	13738
6506/12-6	32	4353-4357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_32_4353-4357m.jpg	1342	9999-12-31	13739
6506/12-6	33	4357-4361m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_33_4357-4361m.jpg	1342	9999-12-31	13740
6506/12-6	34	4361-4365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_34_4361-4365m.jpg	1342	9999-12-31	13741
6506/12-6	35	4365-4437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_35_4365-4437m.jpg	1342	9999-12-31	13742
6506/12-6	36	4437-4441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_36_4437-4441m.jpg	1342	9999-12-31	13743
6506/12-6	37	4441-4445m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_37_4441-4445m.jpg	1342	9999-12-31	13744
6506/12-6	38	4445-4449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_38_4445-4449m.jpg	1342	9999-12-31	13745
6506/12-6	39	4449-4453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_39_4449-4453m.jpg	1342	9999-12-31	13746
6506/12-6	40	4453-4457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_40_4453-4457m.jpg	1342	9999-12-31	13747
6506/12-6	41	4457-4461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_41_4457-4461m.jpg	1342	9999-12-31	13748
6506/12-6	42	4461-4464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_42_4461-4464m.jpg	1342	9999-12-31	13749
6506/12-6	43	4464-4468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_43_4464-4468m.jpg	1342	9999-12-31	13750
6506/12-6	44	4468-4472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_44_4468-4472m.jpg	1342	9999-12-31	13751
6506/12-6	45	4472-4476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_45_4472-4476m.jpg	1342	9999-12-31	13752
6506/12-6	46	4476-4480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_46_4476-4480m.jpg	1342	9999-12-31	13753
6506/12-6	47	4480-4484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_47_4480-4484m.jpg	1342	9999-12-31	13754
6506/12-6	47	4484-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_47_4484-4488m.jpg	1342	9999-12-31	13755
6506/12-6	48	4488-4493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_48_4488-4493m.jpg	1342	9999-12-31	13756
6506/12-6	49	4493-4497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_49_4493-4497m.jpg	1342	9999-12-31	13757
6506/12-6	50	4497-4501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_50_4497-4501m.jpg	1342	9999-12-31	13758
6506/12-6	51	4501-4505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_51_4501-4505m.jpg	1342	9999-12-31	13759
6506/12-6	52	4505-4509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_52_4505-4509m.jpg	1342	9999-12-31	13760
6506/12-6	53	4509-4513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_53_4509-4513m.jpg	1342	9999-12-31	13761
6506/12-6	54	4513-4517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_54_4513-4517m.jpg	1342	9999-12-31	13762
6506/12-6	55	4517-4520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_55_4517-4520m.jpg	1342	9999-12-31	13763
6506/12-6	56	4520-4524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_56_4520-4524m.jpg	1342	9999-12-31	13764
6506/12-6	57	4524-4528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_57_4524-4528m.jpg	1342	9999-12-31	13765
6506/12-6	58	4528-4532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_58_4528-4532m.jpg	1342	9999-12-31	13766
6506/12-6	59	4532-4536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_59_4532-4536m.jpg	1342	9999-12-31	13767
6506/12-6	60	4536-4540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_60_4536-4540m.jpg	1342	9999-12-31	13768
6506/12-6	61	4540-4543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_61_4540-4543m.jpg	1342	9999-12-31	13769
6506/12-6	62	4552-4556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_62_4552-4556m.jpg	1342	9999-12-31	13770
6506/12-6	63	4556-4560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_63_4556-4560m.jpg	1342	9999-12-31	13771
6506/12-6	64	4560-4564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_64_4560-4564m.jpg	1342	9999-12-31	13772
6506/12-6	65	4564-4568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_65_4564-4568m.jpg	1342	9999-12-31	13773
6506/12-6	66	4568-4572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_66_4568-4572m.jpg	1342	9999-12-31	13774
6506/12-6	67	4572-4576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_67_4572-4576m.jpg	1342	9999-12-31	13775
6506/12-6	68	4576-4578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_68_4576-4578m.jpg	1342	9999-12-31	13776
6506/12-6	69	4579-4583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_69_4579-4583m.jpg	1342	9999-12-31	13777
6506/12-6	70	4583-4586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_70_4583-4586m.jpg	1342	9999-12-31	13778
6506/12-6	71	4587-4591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_71_4587-4591m.jpg	1342	9999-12-31	13779
6506/12-6	72	4591-4595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_72_4591-4595m.jpg	1342	9999-12-31	13780
6506/12-6	73	4595-4599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_73_4595-4599m.jpg	1342	9999-12-31	13781
6506/12-6	74	4599-4603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_74_4599-4603m.jpg	1342	9999-12-31	13782
6506/12-6	75	4603-4606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_75_4603-4606m.jpg	1342	9999-12-31	13783
6506/12-6	76	4607-4611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_76_4607-4611m.jpg	1342	9999-12-31	13784
6506/12-6	77	4611-4615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_77_4611-4615m.jpg	1342	9999-12-31	13785
6506/12-6	78	4615-4619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_78_4615-4619m.jpg	1342	9999-12-31	13786
6506/12-6	79	4619-4623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_79_4619-4623m.jpg	1342	9999-12-31	13787
6506/12-6	80	4623-4627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_80_4623-4627m.jpg	1342	9999-12-31	13788
6506/12-6	81	4627-4631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_81_4627-4631m.jpg	1342	9999-12-31	13789
6506/12-6	82	4631-4634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1342_82_4631-4634m.jpg	1342	9999-12-31	13790
6506/12-7	1	4053-4430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_01_4053-4430m.jpg	300	9999-12-31	13791
6506/12-7	2	4430-4435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_02_4430-4435m.jpg	300	9999-12-31	13792
6506/12-7	3	4435-4439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_03_4435-4439m.jpg	300	9999-12-31	13793
6506/12-7	4	4461-4471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_04_4461-4471m.jpg	300	9999-12-31	13794
6506/12-7	5	4471-4475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_05_4471-4475m.jpg	300	9999-12-31	13795
6506/12-7	6	4477-4482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_06_4477-4482m.jpg	300	9999-12-31	13796
6506/12-7	7	4482-4487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_07_4482-4487m.jpg	300	9999-12-31	13797
6506/12-7	8	4487-4492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_08_4487-4492m.jpg	300	9999-12-31	13798
6506/12-7	9	4492-4497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_09_4492-4497m.jpg	300	9999-12-31	13799
6506/12-7	10	4497-4502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_10_4497-4502m.jpg	300	9999-12-31	13800
6506/12-7	11	4502-4676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_11_4502-4676m.jpg	300	9999-12-31	13801
6506/12-7	12	4676-4681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_12_4676-4681m.jpg	300	9999-12-31	13802
6506/12-7	13	4681-4686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_13_4681-4686m.jpg	300	9999-12-31	13803
6506/12-7	14	4686-4691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_14_4686-4691m.jpg	300	9999-12-31	13804
6506/12-7	15	4691-4696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_15_4691-4696m.jpg	300	9999-12-31	13805
6506/12-7	16	4696-4700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/300_16_4696-4700m.jpg	300	9999-12-31	13806
6506/12-8	1	3878-3883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_01_3878-3883m.jpg	1068	9999-12-31	13807
6506/12-8	2	3883-3888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_02_3883-3888m.jpg	1068	9999-12-31	13808
6506/12-8	3	3888-3893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_03_3888-3893m.jpg	1068	9999-12-31	13809
6506/12-8	4	3893-3898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_04_3893-3898m.jpg	1068	9999-12-31	13810
6506/12-8	5	3898-3903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_05_3898-3903m.jpg	1068	9999-12-31	13811
6506/12-8	6	3903-3904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_06_3903-3904m.jpg	1068	9999-12-31	13812
6506/12-8	7	3905-3910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_07_3905-3910m.jpg	1068	9999-12-31	13813
6506/12-8	8	3910-3915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_08_3910-3915m.jpg	1068	9999-12-31	13814
6506/12-8	9	3915-2920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_09_3915-2920m.jpg	1068	9999-12-31	13815
6506/12-8	10	3920-3925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_10_3920-3925m.jpg	1068	9999-12-31	13816
6506/12-8	11	3925-3930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_11_3925-3930m.jpg	1068	9999-12-31	13817
6506/12-8	12	3930-3935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_12_3930-3935m.jpg	1068	9999-12-31	13818
6506/12-8	13	3935-3940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_13_3935-3940m.jpg	1068	9999-12-31	13819
6506/12-8	14	3940-3941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_14_3940-3941m.jpg	1068	9999-12-31	13820
6506/12-8	15	3941-3946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_15_3941-3946m.jpg	1068	9999-12-31	13821
6506/12-8	16	3946-3951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_16_3946-3951m.jpg	1068	9999-12-31	13822
6506/12-8	17	3951-3956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_17_3951-3956m.jpg	1068	9999-12-31	13823
6506/12-8	18	3956-3961m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_18_3956-3961m.jpg	1068	9999-12-31	13824
6506/12-8	19	3961-3966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_19_3961-3966m.jpg	1068	9999-12-31	13825
6506/12-8	20	3966-3971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_20_3966-3971m.jpg	1068	9999-12-31	13826
6506/12-8	21	3971-3972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_21_3971-3972m.jpg	1068	9999-12-31	13827
6506/12-8	22	3973-3978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_22_3973-3978m.jpg	1068	9999-12-31	13828
6506/12-8	23	3978-3983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_23_3978-3983m.jpg	1068	9999-12-31	13829
6506/12-8	24	3983-3988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_24_3983-3988m.jpg	1068	9999-12-31	13830
6506/12-8	25	3988-3993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_25_3988-3993m.jpg	1068	9999-12-31	13831
6506/12-8	26	3993-3995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_26_3993-3995m.jpg	1068	9999-12-31	13832
6506/12-8	27	4003-4008m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_27_4003-4008m.jpg	1068	9999-12-31	13833
6506/12-8	28	4008-4013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_28_4008-4013m.jpg	1068	9999-12-31	13834
6506/12-8	29	4013-4018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_29_4013-4018m.jpg	1068	9999-12-31	13835
6506/12-8	30	4018-4023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_30_4018-4023m.jpg	1068	9999-12-31	13836
6506/12-8	31	4023-4028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_31_4023-4028m.jpg	1068	9999-12-31	13837
6506/12-8	32	4028-4033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_32_4028-4033m.jpg	1068	9999-12-31	13838
6506/12-8	33	4033-4036m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_33_4033-4036m.jpg	1068	9999-12-31	13839
6506/12-8	34	4235-4240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_34_4235-4240m.jpg	1068	9999-12-31	13840
6506/12-8	35	4240-4245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_35_4240-4245m.jpg	1068	9999-12-31	13841
6506/12-8	36	4245-4250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_36_4245-4250m.jpg	1068	9999-12-31	13842
6506/12-8	37	4250-4255m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_37_4250-4255m.jpg	1068	9999-12-31	13843
6506/12-8	38	4255-4258m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_38_4255-4258m.jpg	1068	9999-12-31	13844
6506/12-8	39	4258-4263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_39_4258-4263m.jpg	1068	9999-12-31	13845
6506/12-8	40	4263-4268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_40_4263-4268m.jpg	1068	9999-12-31	13846
6506/12-8	41	4268-4273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_41_4268-4273m.jpg	1068	9999-12-31	13847
6506/12-8	42	4273-4278m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_42_4273-4278m.jpg	1068	9999-12-31	13848
6506/12-8	43	4278-4283m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_43_4278-4283m.jpg	1068	9999-12-31	13849
6506/12-8	44	4283-4288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_44_4283-4288m.jpg	1068	9999-12-31	13850
6506/12-8	45	4288-4293m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1068_45_4288-4293m.jpg	1068	9999-12-31	13851
6506/12-9 S	1	4415-4420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_01_4415-4420m.jpg	2128	9999-12-31	13852
6506/12-9 S	2	4420-4425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_02_4420-4425m.jpg	2128	9999-12-31	13853
6506/12-9 S	3	4425-4430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_03_4425-4430m.jpg	2128	9999-12-31	13854
6506/12-9 S	4	4430-4434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_04_4430-4434m.jpg	2128	9999-12-31	13855
6506/12-9 S	5	4462-4467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_05_4462-4467m.jpg	2128	9999-12-31	13856
6506/12-9 S	6	4467-4472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_06_4467-4472m.jpg	2128	9999-12-31	13857
6506/12-9 S	7	4472-4477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_07_4472-4477m.jpg	2128	9999-12-31	13858
6506/12-9 S	8	4477-4482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_08_4477-4482m.jpg	2128	9999-12-31	13859
6506/12-9 S	9	4482-4487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_09_4482-4487m.jpg	2128	9999-12-31	13860
6506/12-9 S	10	4487-4489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_10_4487-4489m.jpg	2128	9999-12-31	13861
6506/12-9 S	11	4489-4494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_11_4489-4494m.jpg	2128	9999-12-31	13862
6506/12-9 S	12	4494-4499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_12_4494-4499m.jpg	2128	9999-12-31	13863
6506/12-9 S	13	4499-4504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_13_4499-4504m.jpg	2128	9999-12-31	13864
6506/12-9 S	14	4504-4509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_14_4504-4509m.jpg	2128	9999-12-31	13865
6506/12-9 S	15	4509-4514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_15_4509-4514m.jpg	2128	9999-12-31	13866
6506/12-9 S	16	4514-4515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_16_4514-4515m.jpg	2128	9999-12-31	13867
6506/12-9 S	17	4598-4603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_17_4598-4603m.jpg	2128	9999-12-31	13868
6506/12-9 S	18	4603-4608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_18_4603-4608m.jpg	2128	9999-12-31	13869
6506/12-9 S	19	4608-4613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_19_4608-4613m.jpg	2128	9999-12-31	13870
6506/12-9 S	20	4613-4618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_20_4613-4618m.jpg	2128	9999-12-31	13871
6506/12-9 S	21	4618-4623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_21_4618-4623m.jpg	2128	9999-12-31	13872
6506/12-9 S	22	4623-4628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_22_4623-4628m.jpg	2128	9999-12-31	13873
6506/12-9 S	23	4628-4633m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_23_4628-4633m.jpg	2128	9999-12-31	13874
6506/12-9 S	24	4633-4635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_24_4633-4635m.jpg	2128	9999-12-31	13875
6506/12-9 S	25	4635-4640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_25_4635-4640m.jpg	2128	9999-12-31	13876
6506/12-9 S	26	4640-4645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_26_4640-4645m.jpg	2128	9999-12-31	13877
6506/12-9 S	27	4645-4650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_27_4645-4650m.jpg	2128	9999-12-31	13878
6506/12-9 S	28	4650-4654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_28_4650-4654m.jpg	2128	9999-12-31	13879
6506/12-9 S	29	4671-4676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_29_4671-4676m.jpg	2128	9999-12-31	13880
6506/12-9 S	30	4676-4681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_30_4676-4681m.jpg	2128	9999-12-31	13881
6506/12-9 S	31	4681-4686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_31_4681-4686m.jpg	2128	9999-12-31	13882
6506/12-9 S	32	4686-4691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_32_4686-4691m.jpg	2128	9999-12-31	13883
6506/12-9 S	33	4691-4696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_33_4691-4696m.jpg	2128	9999-12-31	13884
6506/12-9 S	34	4696-4701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_34_4696-4701m.jpg	2128	9999-12-31	13885
6506/12-9 S	35	4701-4703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_35_4701-4703m.jpg	2128	9999-12-31	13886
6506/12-9 S	36	4703-4708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_36_4703-4708m.jpg	2128	9999-12-31	13887
6506/12-9 S	37	4708-4713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_37_4708-4713m.jpg	2128	9999-12-31	13888
6506/12-9 S	38	4713-4718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_38_4713-4718m.jpg	2128	9999-12-31	13889
6506/12-9 S	39	4718-4723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_39_4718-4723m.jpg	2128	9999-12-31	13890
6506/12-9 S	40	4723-4728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_40_4723-4728m.jpg	2128	9999-12-31	13891
6506/12-9 S	41	4728-4733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_41_4728-4733m.jpg	2128	9999-12-31	13892
6506/12-9 S	42	4733-4738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_42_4733-4738m.jpg	2128	9999-12-31	13893
6506/12-9 S	43	4738-4741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_43_4738-4741m.jpg	2128	9999-12-31	13894
6506/12-9 S	44	4741-4746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_44_4741-4746m.jpg	2128	9999-12-31	13895
6506/12-9 S	45	4746-4751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_45_4746-4751m.jpg	2128	9999-12-31	13896
6506/12-9 S	46	4751-4756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_46_4751-4756m.jpg	2128	9999-12-31	13897
6506/12-9 S	47	4756-4761m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_47_4756-4761m.jpg	2128	9999-12-31	13898
6506/12-9 S	48	4761-4766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_48_4761-4766m.jpg	2128	9999-12-31	13899
6506/12-9 S	49	4766-4771m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_49_4766-4771m.jpg	2128	9999-12-31	13900
6506/12-9 S	50	4771-4776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_50_4771-4776m.jpg	2128	9999-12-31	13901
6506/12-9 S	51	4776-4779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_51_4776-4779m.jpg	2128	9999-12-31	13902
6506/12-9 S	52	4779-4784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_52_4779-4784m.jpg	2128	9999-12-31	13903
6506/12-9 S	53	4784-4789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_53_4784-4789m.jpg	2128	9999-12-31	13904
6506/12-9 S	54	4789-4794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_54_4789-4794m.jpg	2128	9999-12-31	13905
6506/12-9 S	55	4794-4799m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_55_4794-4799m.jpg	2128	9999-12-31	13906
6506/12-9 S	56	4799-4804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_56_4799-4804m.jpg	2128	9999-12-31	13907
6506/12-9 S	57	4804-4809m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_57_4804-4809m.jpg	2128	9999-12-31	13908
6506/12-9 S	58	4809-4814m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_58_4809-4814m.jpg	2128	9999-12-31	13909
6506/12-9 S	59	4814-4815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_59_4814-4815m.jpg	2128	9999-12-31	13910
6506/12-9 S	60	4815-4820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_60_4815-4820m.jpg	2128	9999-12-31	13911
6506/12-9 S	61	4820-4825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_61_4820-4825m.jpg	2128	9999-12-31	13912
6506/12-9 S	62	4825-4826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_62_4825-4826m.jpg	2128	9999-12-31	13913
6506/12-9 S	63	4830-4835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_63_4830-4835m.jpg	2128	9999-12-31	13914
6506/12-9 S	64	4835-4840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_64_4835-4840m.jpg	2128	9999-12-31	13915
6506/12-9 S	65	4840-4845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_65_4840-4845m.jpg	2128	9999-12-31	13916
6506/12-9 S	66	4845-4847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2128_66_4845-4847m.jpg	2128	9999-12-31	13917
6506/12-I-2 H	1	4707-4712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_01_4707-4712m.jpg	3715	9999-12-31	13918
6506/12-I-2 H	2	4712-4717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_02_4712-4717m.jpg	3715	9999-12-31	13919
6506/12-I-2 H	3	4717-4722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_03_4717-4722m.jpg	3715	9999-12-31	13920
6506/12-I-2 H	4	4722-4727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_04_4722-4727m.jpg	3715	9999-12-31	13921
6506/12-I-2 H	5	4727-4732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_05_4727-4732m.jpg	3715	9999-12-31	13922
6506/12-I-2 H	6	4732-4737m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_06_4732-4737m.jpg	3715	9999-12-31	13923
6506/12-I-2 H	7	4737-4742m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_07_4737-4742m.jpg	3715	9999-12-31	13924
6506/12-I-2 H	8	4742-4747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_08_4742-4747m.jpg	3715	9999-12-31	13925
6506/12-I-2 H	9	4747-4752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_09_4747-4752m.jpg	3715	9999-12-31	13926
6506/12-I-2 H	10	4752-4757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_10_4752-4757m.jpg	3715	9999-12-31	13927
6506/12-I-2 H	11	4757-4762m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_11_4757-4762m.jpg	3715	9999-12-31	13928
6506/12-I-2 H	12	4762-4767m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_12_4762-4767m.jpg	3715	9999-12-31	13929
6506/12-I-2 H	13	4767-4772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_13_4767-4772m.jpg	3715	9999-12-31	13930
6506/12-I-2 H	14	4772-4777m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_14_4772-4777m.jpg	3715	9999-12-31	13931
6506/12-I-2 H	15	4777-4782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_15_4777-4782m.jpg	3715	9999-12-31	13932
6506/12-I-2 H	16	4782-4787m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_16_4782-4787m.jpg	3715	9999-12-31	13933
6506/12-I-2 H	17	4787-4792m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_17_4787-4792m.jpg	3715	9999-12-31	13934
6506/12-I-2 H	18	4792-4797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_18_4792-4797m.jpg	3715	9999-12-31	13935
6506/12-I-2 H	19	4797-4802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_19_4797-4802m.jpg	3715	9999-12-31	13936
6506/12-I-2 H	20	4802-4807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_20_4802-4807m.jpg	3715	9999-12-31	13937
6506/12-I-2 H	21	4807-4812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_21_4807-4812m.jpg	3715	9999-12-31	13938
6506/12-I-2 H	22	4812-4817m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_22_4812-4817m.jpg	3715	9999-12-31	13939
6506/12-I-2 H	23	4817-4822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_23_4817-4822m.jpg	3715	9999-12-31	13940
6506/12-I-2 H	24	4822-4827m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_24_4822-4827m.jpg	3715	9999-12-31	13941
6506/12-I-2 H	25	4827-4830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_25_4827-4830m.jpg	3715	9999-12-31	13942
6506/12-I-2 H	26	4830-4835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_26_4830-4835m.jpg	3715	9999-12-31	13943
6506/12-I-2 H	27	4835-4840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_27_4835-4840m.jpg	3715	9999-12-31	13944
6506/12-I-2 H	28	4840-4845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_28_4840-4845m.jpg	3715	9999-12-31	13945
6506/12-I-2 H	29	4845-4850m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_29_4845-4850m.jpg	3715	9999-12-31	13946
6506/12-I-2 H	30	4850-4855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_30_4850-4855m.jpg	3715	9999-12-31	13947
6506/12-I-2 H	31	4855-4860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_31_4855-4860m.jpg	3715	9999-12-31	13948
6506/12-I-2 H	32	4860-4865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_32_4860-4865m.jpg	3715	9999-12-31	13949
6506/12-I-2 H	33	4865-4870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_33_4865-4870m.jpg	3715	9999-12-31	13950
6506/12-I-2 H	34	4870-4875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_34_4870-4875m.jpg	3715	9999-12-31	13951
6506/12-I-2 H	35	4875-4880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_35_4875-4880m.jpg	3715	9999-12-31	13952
6506/12-I-2 H	36	4880-4885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_36_4880-4885m.jpg	3715	9999-12-31	13953
6506/12-I-2 H	37	4885-4890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_37_4885-4890m.jpg	3715	9999-12-31	13954
6506/12-I-2 H	38	4890-4895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_38_4890-4895m.jpg	3715	9999-12-31	13955
6506/12-I-2 H	39	4895-4900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_39_4895-4900m.jpg	3715	9999-12-31	13956
6506/12-I-2 H	40	4900-4905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_40_4900-4905m.jpg	3715	9999-12-31	13957
6506/12-I-2 H	41	4905-4910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_41_4905-4910m.jpg	3715	9999-12-31	13958
6506/12-I-2 H	42	4910-4915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_42_4910-4915m.jpg	3715	9999-12-31	13959
6506/12-I-2 H	43	4915-4920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_43_4915-4920m.jpg	3715	9999-12-31	13960
6506/12-I-2 H	44	4920-4925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_44_4920-4925m.jpg	3715	9999-12-31	13961
6506/12-I-2 H	45	4925-4930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_45_4925-4930m.jpg	3715	9999-12-31	13962
6506/12-I-2 H	46	4930-4935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_46_4930-4935m.jpg	3715	9999-12-31	13963
6506/12-I-2 H	47	4935-4940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_47_4935-4940m.jpg	3715	9999-12-31	13964
6506/12-I-2 H	48	4940-4945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_48_4940-4945m.jpg	3715	9999-12-31	13965
6506/12-I-2 H	49	4945-4950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_49_4945-4950m.jpg	3715	9999-12-31	13966
6506/12-I-2 H	50	4950-4952m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3715_50_4950-4952m.jpg	3715	9999-12-31	13967
6506/12-J-3 H	1	4532-4537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_01_4532-4537m.jpg	3864	9999-12-31	13968
6506/12-J-3 H	2	4537-4542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_02_4537-4542m.jpg	3864	9999-12-31	13969
6506/12-J-3 H	3	4542-4547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_03_4542-4547m.jpg	3864	9999-12-31	13970
6506/12-J-3 H	4	4547-4552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_04_4547-4552m.jpg	3864	9999-12-31	13971
6506/12-J-3 H	5	4552-4557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_05_4552-4557m.jpg	3864	9999-12-31	13972
6506/12-J-3 H	6	4557-4562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_06_4557-4562m.jpg	3864	9999-12-31	13973
6506/12-J-3 H	7	4562-4567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_07_4562-4567m.jpg	3864	9999-12-31	13974
6506/12-J-3 H	8	4567-4572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_08_4567-4572m.jpg	3864	9999-12-31	13975
6506/12-J-3 H	9	4572-4577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_09_4572-4577m.jpg	3864	9999-12-31	13976
6506/12-J-3 H	10	4577-4582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_10_4577-4582m.jpg	3864	9999-12-31	13977
6506/12-J-3 H	11	4582-4582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_11_4582-4582m.jpg	3864	9999-12-31	13978
6506/12-J-3 H	12	4998-5003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_12_4998-5003m.jpg	3864	9999-12-31	13979
6506/12-J-3 H	13	5003-5008m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_13_5003-5008m.jpg	3864	9999-12-31	13980
6506/12-J-3 H	14	5008-5013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_14_5008-5013m.jpg	3864	9999-12-31	13981
6506/12-J-3 H	15	5013-5018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_15_5013-5018m.jpg	3864	9999-12-31	13982
6506/12-J-3 H	16	5018-5023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_16_5018-5023m.jpg	3864	9999-12-31	13983
6506/12-J-3 H	17	5023-5028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_17_5023-5028m.jpg	3864	9999-12-31	13984
6506/12-J-3 H	18	5028-5033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_18_5028-5033m.jpg	3864	9999-12-31	13985
6506/12-J-3 H	19	5033-5038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_19_5033-5038m.jpg	3864	9999-12-31	13986
6506/12-J-3 H	20	5038-5043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_20_5038-5043m.jpg	3864	9999-12-31	13987
6506/12-J-3 H	21	5043-5048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_21_5043-5048m.jpg	3864	9999-12-31	13988
6506/12-J-3 H	22	5048-5053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_22_5048-5053m.jpg	3864	9999-12-31	13989
6506/12-J-3 H	23	5053-5058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_23_5053-5058m.jpg	3864	9999-12-31	13990
6506/12-J-3 H	24	5058-5063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_24_5058-5063m.jpg	3864	9999-12-31	13991
6506/12-J-3 H	25	5063-5068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_25_5063-5068m.jpg	3864	9999-12-31	13992
6506/12-J-3 H	26	5068-5073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_26_5068-5073m.jpg	3864	9999-12-31	13993
6506/12-J-3 H	27	5073-5078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_27_5073-5078m.jpg	3864	9999-12-31	13994
6506/12-J-3 H	28	5078-5083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_28_5078-5083m.jpg	3864	9999-12-31	13995
6506/12-J-3 H	29	5083-5088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_29_5083-5088m.jpg	3864	9999-12-31	13996
6506/12-J-3 H	30	5088-5093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_30_5088-5093m.jpg	3864	9999-12-31	13997
6506/12-J-3 H	31	5093-5098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_31_5093-5098m.jpg	3864	9999-12-31	13998
6506/12-J-3 H	32	5098-5103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_32_5098-5103m.jpg	3864	9999-12-31	13999
6506/12-J-3 H	33	5103-5108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_33_5103-5108m.jpg	3864	9999-12-31	14000
6506/12-J-3 H	34	5108-5113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_34_5108-5113m.jpg	3864	9999-12-31	14001
6506/12-J-3 H	35	5113-5118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_35_5113-5118m.jpg	3864	9999-12-31	14002
6506/12-J-3 H	36	5118-5123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_36_5118-5123m.jpg	3864	9999-12-31	14003
6506/12-J-3 H	37	5123-5125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3864_37_5123-5125m.jpg	3864	9999-12-31	14004
6506/12-K-1 H	1	4910-4915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_01_4910-4915m.jpg	3155	9999-12-31	14005
6506/12-K-1 H	2	4915-4920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_02_4915-4920m.jpg	3155	9999-12-31	14006
6506/12-K-1 H	3	4920-4925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_03_4920-4925m.jpg	3155	9999-12-31	14007
6506/12-K-1 H	4	4925-4930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_04_4925-4930m.jpg	3155	9999-12-31	14008
6506/12-K-1 H	5	4930-4935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_05_4930-4935m.jpg	3155	9999-12-31	14009
6506/12-K-1 H	6	4935-4940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_06_4935-4940m.jpg	3155	9999-12-31	14010
6506/12-K-1 H	7	4940-4945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_07_4940-4945m.jpg	3155	9999-12-31	14011
6506/12-K-1 H	8	4945-4950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_08_4945-4950m.jpg	3155	9999-12-31	14012
6506/12-K-1 H	9	4950-4955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_09_4950-4955m.jpg	3155	9999-12-31	14013
6506/12-K-1 H	10	4955-4960m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_10_4955-4960m.jpg	3155	9999-12-31	14014
6506/12-K-1 H	11	4960-4965m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_11_4960-4965m.jpg	3155	9999-12-31	14015
6506/12-K-1 H	12	4965-4970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_12_4965-4970m.jpg	3155	9999-12-31	14016
6506/12-K-1 H	13	4970-4975m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_13_4970-4975m.jpg	3155	9999-12-31	14017
6506/12-K-1 H	14	4975-4980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_14_4975-4980m.jpg	3155	9999-12-31	14018
6506/12-K-1 H	15	4980-4985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_15_4980-4985m.jpg	3155	9999-12-31	14019
6506/12-K-1 H	16	4985-4990m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_16_4985-4990m.jpg	3155	9999-12-31	14020
6506/12-K-1 H	17	4990-4995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_17_4990-4995m.jpg	3155	9999-12-31	14021
6506/12-K-1 H	18	4995-4996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_18_4995-4996m.jpg	3155	9999-12-31	14022
6506/12-K-1 H	19	5100-5105m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_19_5100-5105m.jpg	3155	9999-12-31	14023
6506/12-K-1 H	20	5105-5110m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_20_5105-5110m.jpg	3155	9999-12-31	14024
6506/12-K-1 H	21	5110-5115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_21_5110-5115m.jpg	3155	9999-12-31	14025
6506/12-K-1 H	22	5115-5120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_22_5115-5120m.jpg	3155	9999-12-31	14026
6506/12-K-1 H	23	5120-5125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_23_5120-5125m.jpg	3155	9999-12-31	14027
6506/12-K-1 H	24	5125-5130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_24_5125-5130m.jpg	3155	9999-12-31	14028
6506/12-K-1 H	25	5130-5135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_25_5130-5135m.jpg	3155	9999-12-31	14029
6506/12-K-1 H	26	5135-5140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_26_5135-5140m.jpg	3155	9999-12-31	14030
6506/12-K-1 H	27	5140-5145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_27_5140-5145m.jpg	3155	9999-12-31	14031
6506/12-K-1 H	28	5145-5150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_28_5145-5150m.jpg	3155	9999-12-31	14032
6506/12-K-1 H	29	5150-5155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_29_5150-5155m.jpg	3155	9999-12-31	14033
6506/12-K-1 H	30	5155-5160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_30_5155-5160m.jpg	3155	9999-12-31	14034
6506/12-K-1 H	31	5160-5165m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_31_5160-5165m.jpg	3155	9999-12-31	14035
6506/12-K-1 H	32	5165-5170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_32_5165-5170m.jpg	3155	9999-12-31	14036
6506/12-K-1 H	33	5170-5175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_33_5170-5175m.jpg	3155	9999-12-31	14037
6506/12-K-1 H	34	5175-5180m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_34_5175-5180m.jpg	3155	9999-12-31	14038
6506/12-K-1 H	35	5180-5185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_35_5180-5185m.jpg	3155	9999-12-31	14039
6506/12-K-1 H	36	5185-5190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_36_5185-5190m.jpg	3155	9999-12-31	14040
6506/12-K-1 H	37	5190-5195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_37_5190-5195m.jpg	3155	9999-12-31	14041
6506/12-K-1 H	38	5195-5200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_38_5195-5200m.jpg	3155	9999-12-31	14042
6506/12-K-1 H	39	5200-5205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_39_5200-5205m.jpg	3155	9999-12-31	14043
6506/12-K-1 H	40	5205-5209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3155_40_5205-5209m.jpg	3155	9999-12-31	14044
6506/12-K-3 H	1	4109-4114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_01_4109-4114m.jpg	3124	9999-12-31	14045
6506/12-K-3 H	2	4114-4119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_02_4114-4119m.jpg	3124	9999-12-31	14046
6506/12-K-3 H	3	4119-4124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_03_4119-4124m.jpg	3124	9999-12-31	14047
6506/12-K-3 H	4	4124-4129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_04_4124-4129m.jpg	3124	9999-12-31	14048
6506/12-K-3 H	5	4129-4134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_05_4129-4134m.jpg	3124	9999-12-31	14049
6506/12-K-3 H	6	4134-4139m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_06_4134-4139m.jpg	3124	9999-12-31	14050
6506/12-K-3 H	7	4139-4144m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_07_4139-4144m.jpg	3124	9999-12-31	14051
6506/12-K-3 H	8	4144-4149m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_08_4144-4149m.jpg	3124	9999-12-31	14052
6506/12-K-3 H	9	4149-4154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_09_4149-4154m.jpg	3124	9999-12-31	14053
6506/12-K-3 H	10	4154-4159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_10_4154-4159m.jpg	3124	9999-12-31	14054
6506/12-K-3 H	11	4159-4164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_11_4159-4164m.jpg	3124	9999-12-31	14055
6506/12-K-3 H	12	4164-4169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_12_4164-4169m.jpg	3124	9999-12-31	14056
6506/12-K-3 H	13	4169-4174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_13_4169-4174m.jpg	3124	9999-12-31	14057
6506/12-K-3 H	14	4174-4179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_14_4174-4179m.jpg	3124	9999-12-31	14058
6506/12-K-3 H	15	4179-4184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_15_4179-4184m.jpg	3124	9999-12-31	14059
6506/12-K-3 H	16	4184-4189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_16_4184-4189m.jpg	3124	9999-12-31	14060
6506/12-K-3 H	17	4189-4190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_17_4189-4190m.jpg	3124	9999-12-31	14061
6506/12-K-3 H	18	4189-4194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_18_4189-4194m.jpg	3124	9999-12-31	14062
6506/12-K-3 H	19	4194-4199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_19_4194-4199m.jpg	3124	9999-12-31	14063
6506/12-K-3 H	20	4199-4204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_20_4199-4204m.jpg	3124	9999-12-31	14064
6506/12-K-3 H	21	4204-4209m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_21_4204-4209m.jpg	3124	9999-12-31	14065
6506/12-K-3 H	22	4209-4214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_22_4209-4214m.jpg	3124	9999-12-31	14066
6506/12-K-3 H	23	4214-4219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_23_4214-4219m.jpg	3124	9999-12-31	14067
6506/12-K-3 H	24	4219-4224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_24_4219-4224m.jpg	3124	9999-12-31	14068
6506/12-K-3 H	25	4224-4229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_25_4224-4229m.jpg	3124	9999-12-31	14069
6506/12-K-3 H	26	4229-4234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_26_4229-4234m.jpg	3124	9999-12-31	14070
6506/12-K-3 H	27	4234-4239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_27_4234-4239m.jpg	3124	9999-12-31	14071
6506/12-K-3 H	28	4239-4241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_28_4239-4241m.jpg	3124	9999-12-31	14072
6506/12-K-3 H	29	4295-4300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_29_4295-4300m.jpg	3124	9999-12-31	14073
6506/12-K-3 H	30	4300-4305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_30_4300-4305m.jpg	3124	9999-12-31	14074
6506/12-K-3 H	31	4305-4310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_31_4305-4310m.jpg	3124	9999-12-31	14075
6506/12-K-3 H	32	4310-4315m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_32_4310-4315m.jpg	3124	9999-12-31	14076
6506/12-K-3 H	33	4315-4320m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_33_4315-4320m.jpg	3124	9999-12-31	14077
6506/12-K-3 H	34	4320-4325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_34_4320-4325m.jpg	3124	9999-12-31	14078
6506/12-K-3 H	35	4325-4330m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_35_4325-4330m.jpg	3124	9999-12-31	14079
6506/12-K-3 H	36	4330-4335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_36_4330-4335m.jpg	3124	9999-12-31	14080
6506/12-K-3 H	37	4335-4340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_37_4335-4340m.jpg	3124	9999-12-31	14081
6506/12-K-3 H	38	4340-4345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_38_4340-4345m.jpg	3124	9999-12-31	14082
6506/12-K-3 H	39	4345-4350m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_39_4345-4350m.jpg	3124	9999-12-31	14083
6506/12-K-3 H	40	4350-4355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_40_4350-4355m.jpg	3124	9999-12-31	14084
6506/12-K-3 H	41	4355-4360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_41_4355-4360m.jpg	3124	9999-12-31	14085
6506/12-K-3 H	42	4360-4365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_42_4360-4365m.jpg	3124	9999-12-31	14086
6506/12-K-3 H	43	4365-4370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_43_4365-4370m.jpg	3124	9999-12-31	14087
6506/12-K-3 H	44	4370-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_44_4370-4375m.jpg	3124	9999-12-31	14088
6506/12-K-3 H	45	4375-4380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_45_4375-4380m.jpg	3124	9999-12-31	14089
6506/12-K-3 H	46	4378-4383m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_46_4378-4383m.jpg	3124	9999-12-31	14090
6506/12-K-3 H	47	4383-4388m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_47_4383-4388m.jpg	3124	9999-12-31	14091
6506/12-K-3 H	48	4388-4393m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_48_4388-4393m.jpg	3124	9999-12-31	14092
6506/12-K-3 H	49	4393-4398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_49_4393-4398m.jpg	3124	9999-12-31	14093
6506/12-K-3 H	50	4398-4403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_50_4398-4403m.jpg	3124	9999-12-31	14094
6506/12-K-3 H	51	4403-4408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_51_4403-4408m.jpg	3124	9999-12-31	14095
6506/12-K-3 H	52	4408-4413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_52_4408-4413m.jpg	3124	9999-12-31	14096
6506/12-K-3 H	53	4413-4418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_53_4413-4418m.jpg	3124	9999-12-31	14097
6506/12-K-3 H	54	4418-4423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_54_4418-4423m.jpg	3124	9999-12-31	14098
6506/12-K-3 H	55	4423-4428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_55_4423-4428m.jpg	3124	9999-12-31	14099
6506/12-K-3 H	56	4428-4433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_56_4428-4433m.jpg	3124	9999-12-31	14100
6506/12-K-3 H	57	4433-4438m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_57_4433-4438m.jpg	3124	9999-12-31	14101
6506/12-K-3 H	58	4438-4443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_58_4438-4443m.jpg	3124	9999-12-31	14102
6506/12-K-3 H	59	4443-4448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_59_4443-4448m.jpg	3124	9999-12-31	14103
6506/12-K-3 H	60	4448-4453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_60_4448-4453m.jpg	3124	9999-12-31	14104
6506/12-K-3 H	61	4453-4458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_61_4453-4458m.jpg	3124	9999-12-31	14105
6506/12-K-3 H	62	4458-4460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_62_4458-4460m.jpg	3124	9999-12-31	14106
6506/12-K-3 H	63	4460-4465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_63_4460-4465m.jpg	3124	9999-12-31	14107
6506/12-K-3 H	64	4465-4470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_64_4465-4470m.jpg	3124	9999-12-31	14108
6506/12-K-3 H	65	4470-4475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_65_4470-4475m.jpg	3124	9999-12-31	14109
6506/12-K-3 H	66	4475-4480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_66_4475-4480m.jpg	3124	9999-12-31	14110
6506/12-K-3 H	67	4480-4485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_67_4480-4485m.jpg	3124	9999-12-31	14111
6506/12-K-3 H	68	4485-4490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_68_4485-4490m.jpg	3124	9999-12-31	14112
6506/12-K-3 H	69	4490-4495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_69_4490-4495m.jpg	3124	9999-12-31	14113
6506/12-K-3 H	70	4495-4500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_70_4495-4500m.jpg	3124	9999-12-31	14114
6506/12-K-3 H	71	4500-4505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_71_4500-4505m.jpg	3124	9999-12-31	14115
6506/12-K-3 H	72	4505-4510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_72_4505-4510m.jpg	3124	9999-12-31	14116
6506/12-K-3 H	73	4510-4515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_73_4510-4515m.jpg	3124	9999-12-31	14117
6506/12-K-3 H	74	4515-4520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_74_4515-4520m.jpg	3124	9999-12-31	14118
6506/12-K-3 H	75	4520-4525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_75_4520-4525m.jpg	3124	9999-12-31	14119
6506/12-K-3 H	76	4525-4530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_76_4525-4530m.jpg	3124	9999-12-31	14120
6506/12-K-3 H	77	4530-4535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_77_4530-4535m.jpg	3124	9999-12-31	14121
6506/12-K-3 H	78	4535-4540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_78_4535-4540m.jpg	3124	9999-12-31	14122
6506/12-K-3 H	79	4540-4542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_79_4540-4542m.jpg	3124	9999-12-31	14123
6506/12-K-3 H	80	4542-4547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_80_4542-4547m.jpg	3124	9999-12-31	14124
6506/12-K-3 H	81	4547-4552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_81_4547-4552m.jpg	3124	9999-12-31	14125
6506/12-K-3 H	82	4552-4557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_82_4552-4557m.jpg	3124	9999-12-31	14126
6506/12-K-3 H	83	4557-4562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_83_4557-4562m.jpg	3124	9999-12-31	14127
6506/12-K-3 H	84	4562-4567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_84_4562-4567m.jpg	3124	9999-12-31	14128
6506/12-K-3 H	85	4567-4572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_85_4567-4572m.jpg	3124	9999-12-31	14129
6506/12-K-3 H	86	4572-4577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_86_4572-4577m.jpg	3124	9999-12-31	14130
6506/12-K-3 H	87	4577-4582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_87_4577-4582m.jpg	3124	9999-12-31	14131
6506/12-K-3 H	88	4582-4587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_88_4582-4587m.jpg	3124	9999-12-31	14132
6506/12-K-3 H	89	4587-4592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_89_4587-4592m.jpg	3124	9999-12-31	14133
6506/12-K-3 H	90	4592-4597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_90_4592-4597m.jpg	3124	9999-12-31	14134
6506/12-K-3 H	91	4597-4602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_91_4597-4602m.jpg	3124	9999-12-31	14135
6506/12-K-3 H	92	4602-4607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_92_4602-4607m.jpg	3124	9999-12-31	14136
6506/12-K-3 H	93	4607-4612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_93_4607-4612m.jpg	3124	9999-12-31	14137
6506/12-K-3 H	94	4612-4617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_94_4612-4617m.jpg	3124	9999-12-31	14138
6506/12-K-3 H	95	4617-4622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_95_4617-4622m.jpg	3124	9999-12-31	14139
6506/12-K-3 H	96	4622-4627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_96_4622-4627m.jpg	3124	9999-12-31	14140
6506/12-K-3 H	97	4627-4632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_97_4627-4632m.jpg	3124	9999-12-31	14141
6506/12-K-3 H	98	4632-4637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3124_98_4632-4637m.jpg	3124	9999-12-31	14142
6506/12-L-2 H	1	4527-4532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_01_4527-4532m.jpg	3156	9999-12-31	14143
6506/12-L-2 H	2	4532-4537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_02_4532-4537m.jpg	3156	9999-12-31	14144
6506/12-L-2 H	3	4537-4542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_03_4537-4542m.jpg	3156	9999-12-31	14145
6506/12-L-2 H	4	4542-4547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_04_4542-4547m.jpg	3156	9999-12-31	14146
6506/12-L-2 H	5	4547-4552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_05_4547-4552m.jpg	3156	9999-12-31	14147
6506/12-L-2 H	6	4552-4557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_06_4552-4557m.jpg	3156	9999-12-31	14148
6506/12-L-2 H	7	4557-4562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_07_4557-4562m.jpg	3156	9999-12-31	14149
6506/12-L-2 H	8	4562-4567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_08_4562-4567m.jpg	3156	9999-12-31	14150
6506/12-L-2 H	9	4567-4572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_09_4567-4572m.jpg	3156	9999-12-31	14151
6506/12-L-2 H	10	4572-4577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_10_4572-4577m.jpg	3156	9999-12-31	14152
6506/12-L-2 H	11	4577-4582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_11_4577-4582m.jpg	3156	9999-12-31	14153
6506/12-L-2 H	12	4582-4583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_12_4582-4583m.jpg	3156	9999-12-31	14154
6506/12-L-2 H	13	4583-4588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_13_4583-4588m.jpg	3156	9999-12-31	14155
6506/12-L-2 H	14	4588-4593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_14_4588-4593m.jpg	3156	9999-12-31	14156
6506/12-L-2 H	15	4593-4598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_15_4593-4598m.jpg	3156	9999-12-31	14157
6506/12-L-2 H	16	4598-4603m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_16_4598-4603m.jpg	3156	9999-12-31	14158
6506/12-L-2 H	17	4603-4607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_17_4603-4607m.jpg	3156	9999-12-31	14159
6506/12-L-2 H	18	4769-4774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_18_4769-4774m.jpg	3156	9999-12-31	14160
6506/12-L-2 H	19	4774-4779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_19_4774-4779m.jpg	3156	9999-12-31	14161
6506/12-L-2 H	20	4779-4784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_20_4779-4784m.jpg	3156	9999-12-31	14162
6506/12-L-2 H	21	4784-4789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_21_4784-4789m.jpg	3156	9999-12-31	14163
6506/12-L-2 H	22	4789-4794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_22_4789-4794m.jpg	3156	9999-12-31	14164
6506/12-L-2 H	23	4794-4799m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_23_4794-4799m.jpg	3156	9999-12-31	14165
6506/12-L-2 H	24	4799-4804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_24_4799-4804m.jpg	3156	9999-12-31	14166
6506/12-L-2 H	25	4804-4809m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_25_4804-4809m.jpg	3156	9999-12-31	14167
6506/12-L-2 H	26	4809-4814m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_26_4809-4814m.jpg	3156	9999-12-31	14168
6506/12-L-2 H	27	4814-4819m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_27_4814-4819m.jpg	3156	9999-12-31	14169
6506/12-L-2 H	28	4819-4824m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_28_4819-4824m.jpg	3156	9999-12-31	14170
6506/12-L-2 H	29	4824-4829m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_29_4824-4829m.jpg	3156	9999-12-31	14171
6506/12-L-2 H	30	4829-4834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_30_4829-4834m.jpg	3156	9999-12-31	14172
6506/12-L-2 H	31	4834-4839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_31_4834-4839m.jpg	3156	9999-12-31	14173
6506/12-L-2 H	32	4839-4844m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_32_4839-4844m.jpg	3156	9999-12-31	14174
6506/12-L-2 H	33	4844-4846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_33_4844-4846m.jpg	3156	9999-12-31	14175
6506/12-L-2 H	34	4846-4851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_34_4846-4851m.jpg	3156	9999-12-31	14176
6506/12-L-2 H	35	4851-4856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_35_4851-4856m.jpg	3156	9999-12-31	14177
6506/12-L-2 H	36	4856-4861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_36_4856-4861m.jpg	3156	9999-12-31	14178
6506/12-L-2 H	37	4861-4866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_37_4861-4866m.jpg	3156	9999-12-31	14179
6506/12-L-2 H	38	4866-4871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_38_4866-4871m.jpg	3156	9999-12-31	14180
6506/12-L-2 H	39	4871-4876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_39_4871-4876m.jpg	3156	9999-12-31	14181
6506/12-L-2 H	40	4876-4881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_40_4876-4881m.jpg	3156	9999-12-31	14182
6506/12-L-2 H	41	4881-4886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_41_4881-4886m.jpg	3156	9999-12-31	14183
6506/12-L-2 H	42	4886-4891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_42_4886-4891m.jpg	3156	9999-12-31	14184
6506/12-L-2 H	43	4891-4896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_43_4891-4896m.jpg	3156	9999-12-31	14185
6506/12-L-2 H	44	4896-4901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_44_4896-4901m.jpg	3156	9999-12-31	14186
6506/12-L-2 H	45	4901-4906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_45_4901-4906m.jpg	3156	9999-12-31	14187
6506/12-L-2 H	46	4906-4911m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_46_4906-4911m.jpg	3156	9999-12-31	14188
6506/12-L-2 H	47	4911-4916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_47_4911-4916m.jpg	3156	9999-12-31	14189
6506/12-L-2 H	48	4916-4921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_48_4916-4921m.jpg	3156	9999-12-31	14190
6506/12-L-2 H	49	4921-4926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_49_4921-4926m.jpg	3156	9999-12-31	14191
6506/12-L-2 H	50	4926-4927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_50_4926-4927m.jpg	3156	9999-12-31	14192
6506/12-L-2 H	51	4928-4933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_51_4928-4933m.jpg	3156	9999-12-31	14193
6506/12-L-2 H	52	4933-4938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_52_4933-4938m.jpg	3156	9999-12-31	14194
6506/12-L-2 H	53	4938-4943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_53_4938-4943m.jpg	3156	9999-12-31	14195
6506/12-L-2 H	54	4943-4948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_54_4943-4948m.jpg	3156	9999-12-31	14196
6506/12-L-2 H	55	4948-4953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_55_4948-4953m.jpg	3156	9999-12-31	14197
6506/12-L-2 H	56	4953-4958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_56_4953-4958m.jpg	3156	9999-12-31	14198
6506/12-L-2 H	57	4958-4963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_57_4958-4963m.jpg	3156	9999-12-31	14199
6506/12-L-2 H	58	4963-4968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_58_4963-4968m.jpg	3156	9999-12-31	14200
6506/12-L-2 H	59	4968-4973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_59_4968-4973m.jpg	3156	9999-12-31	14201
6506/12-L-2 H	60	4973-4978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_60_4973-4978m.jpg	3156	9999-12-31	14202
6506/12-L-2 H	61	4978-4983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_61_4978-4983m.jpg	3156	9999-12-31	14203
6506/12-L-2 H	62	4983-4988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_62_4983-4988m.jpg	3156	9999-12-31	14204
6506/12-L-2 H	63	4988-4993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_63_4988-4993m.jpg	3156	9999-12-31	14205
6506/12-L-2 H	64	4993-4998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_64_4993-4998m.jpg	3156	9999-12-31	14206
6506/12-L-2 H	65	4998-4503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_65_4998-4503m.jpg	3156	9999-12-31	14207
6506/12-L-2 H	66	4503-4506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3156_66_4503-4506m.jpg	3156	9999-12-31	14208
6506/12-L-3 H	1	4642-4647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_01_4642-4647m.jpg	3107	9999-12-31	14209
6506/12-L-3 H	2	4647-4652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_02_4647-4652m.jpg	3107	9999-12-31	14210
6506/12-L-3 H	3	4652-4657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_03_4652-4657m.jpg	3107	9999-12-31	14211
6506/12-L-3 H	4	4657-4662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_04_4657-4662m.jpg	3107	9999-12-31	14212
6506/12-L-3 H	5	4662-4667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_05_4662-4667m.jpg	3107	9999-12-31	14213
6506/12-L-3 H	6	4667-4672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_06_4667-4672m.jpg	3107	9999-12-31	14214
6506/12-L-3 H	7	4672-4677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_07_4672-4677m.jpg	3107	9999-12-31	14215
6506/12-L-3 H	8	4677-4682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_08_4677-4682m.jpg	3107	9999-12-31	14216
6506/12-L-3 H	9	4682-4687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_09_4682-4687m.jpg	3107	9999-12-31	14217
6506/12-L-3 H	10	4687-4692m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_10_4687-4692m.jpg	3107	9999-12-31	14218
6506/12-L-3 H	11	4692-4697m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_11_4692-4697m.jpg	3107	9999-12-31	14219
6506/12-L-3 H	12	4697-4702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_12_4697-4702m.jpg	3107	9999-12-31	14220
6506/12-L-3 H	13	4702-4707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_13_4702-4707m.jpg	3107	9999-12-31	14221
6506/12-L-3 H	14	4707-4712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_14_4707-4712m.jpg	3107	9999-12-31	14222
6506/12-L-3 H	15	4712-4717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_15_4712-4717m.jpg	3107	9999-12-31	14223
6506/12-L-3 H	16	4717-4722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_16_4717-4722m.jpg	3107	9999-12-31	14224
6506/12-L-3 H	17	4722-4727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_17_4722-4727m.jpg	3107	9999-12-31	14225
6506/12-L-3 H	18	4727-4732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3107_18_4727-4732m.jpg	3107	9999-12-31	14226
6506/12-N-4 H	1	5610-5615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_01_5610-5615m.jpg	4091	9999-12-31	14227
6506/12-N-4 H	2	5615-5620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_02_5615-5620m.jpg	4091	9999-12-31	14228
6506/12-N-4 H	3	5620-5625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_03_5620-5625m.jpg	4091	9999-12-31	14229
6506/12-N-4 H	4	5625-5630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_04_5625-5630m.jpg	4091	9999-12-31	14230
6506/12-N-4 H	5	5630-5635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_05_5630-5635m.jpg	4091	9999-12-31	14231
6506/12-N-4 H	6	5635-5640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_06_5635-5640m.jpg	4091	9999-12-31	14232
6506/12-N-4 H	7	5640-5645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_07_5640-5645m.jpg	4091	9999-12-31	14233
6506/12-N-4 H	8	5645-5650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_08_5645-5650m.jpg	4091	9999-12-31	14234
6506/12-N-4 H	9	5650-5651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_09_5650-5651m.jpg	4091	9999-12-31	14235
6506/12-N-4 H	10	5655-5660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_10_5655-5660m.jpg	4091	9999-12-31	14236
6506/12-N-4 H	11	5660-5665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_11_5660-5665m.jpg	4091	9999-12-31	14237
6506/12-N-4 H	12	5665-5670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_12_5665-5670m.jpg	4091	9999-12-31	14238
6506/12-N-4 H	13	5670-5675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_13_5670-5675m.jpg	4091	9999-12-31	14239
6506/12-N-4 H	14	5675-5679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_14_5675-5679m.jpg	4091	9999-12-31	14240
6506/12-N-4 H	15	5697-5702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_15_5697-5702m.jpg	4091	9999-12-31	14241
6506/12-N-4 H	16	5702-5707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_16_5702-5707m.jpg	4091	9999-12-31	14242
6506/12-N-4 H	17	5707-5712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_17_5707-5712m.jpg	4091	9999-12-31	14243
6506/12-N-4 H	18	5712-5717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_18_5712-5717m.jpg	4091	9999-12-31	14244
6506/12-N-4 H	19	5717-5722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_19_5717-5722m.jpg	4091	9999-12-31	14245
6506/12-N-4 H	20	5722-5724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_20_5722-5724m.jpg	4091	9999-12-31	14246
6506/12-N-4 H	21	5851-5856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_21_5851-5856m.jpg	4091	9999-12-31	14247
6506/12-N-4 H	22	5856-5861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_22_5856-5861m.jpg	4091	9999-12-31	14248
6506/12-N-4 H	23	5861-5866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_23_5861-5866m.jpg	4091	9999-12-31	14249
6506/12-N-4 H	24	5866-5871m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_24_5866-5871m.jpg	4091	9999-12-31	14250
6506/12-N-4 H	25	5871-5876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_25_5871-5876m.jpg	4091	9999-12-31	14251
6506/12-N-4 H	26	5876-5881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_26_5876-5881m.jpg	4091	9999-12-31	14252
6506/12-N-4 H	27	5881-5886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_27_5881-5886m.jpg	4091	9999-12-31	14253
6506/12-N-4 H	28	5886-5891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_28_5886-5891m.jpg	4091	9999-12-31	14254
6506/12-N-4 H	29	5891-5896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_29_5891-5896m.jpg	4091	9999-12-31	14255
6506/12-N-4 H	30	5896-5901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_30_5896-5901m.jpg	4091	9999-12-31	14256
6506/12-N-4 H	31	5901-5906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_31_5901-5906m.jpg	4091	9999-12-31	14257
6506/12-N-4 H	32	5906-5911m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_32_5906-5911m.jpg	4091	9999-12-31	14258
6506/12-N-4 H	33	5911-5916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_33_5911-5916m.jpg	4091	9999-12-31	14259
6506/12-N-4 H	34	5916-5921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_34_5916-5921m.jpg	4091	9999-12-31	14260
6506/12-N-4 H	35	5921-5926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_35_5921-5926m.jpg	4091	9999-12-31	14261
6506/12-N-4 H	36	5926-5930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_36_5926-5930m.jpg	4091	9999-12-31	14262
6506/12-N-4 H	37	5931-5936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_37_5931-5936m.jpg	4091	9999-12-31	14263
6506/12-N-4 H	38	5936-5941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_38_5936-5941m.jpg	4091	9999-12-31	14264
6506/12-N-4 H	39	5941-5946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_39_5941-5946m.jpg	4091	9999-12-31	14265
6506/12-N-4 H	40	5946-5951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_40_5946-5951m.jpg	4091	9999-12-31	14266
6506/12-N-4 H	41	5951-5956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_41_5951-5956m.jpg	4091	9999-12-31	14267
6506/12-N-4 H	42	5956-5961m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_42_5956-5961m.jpg	4091	9999-12-31	14268
6506/12-N-4 H	43	5961-5966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_43_5961-5966m.jpg	4091	9999-12-31	14269
6506/12-N-4 H	44	5966-5970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_44_5966-5970m.jpg	4091	9999-12-31	14270
6506/12-N-4 H	45	5972-5977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_45_5972-5977m.jpg	4091	9999-12-31	14271
6506/12-N-4 H	46	5977-5982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_46_5977-5982m.jpg	4091	9999-12-31	14272
6506/12-N-4 H	47	5982-5987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_47_5982-5987m.jpg	4091	9999-12-31	14273
6506/12-N-4 H	48	5987-5992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_48_5987-5992m.jpg	4091	9999-12-31	14274
6506/12-N-4 H	49	5992-5997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_49_5992-5997m.jpg	4091	9999-12-31	14275
6506/12-N-4 H	50	5997-6002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_50_5997-6002m.jpg	4091	9999-12-31	14276
6506/12-N-4 H	51	6002-6007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_51_6002-6007m.jpg	4091	9999-12-31	14277
6506/12-N-4 H	52	6007-6012m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_52_6007-6012m.jpg	4091	9999-12-31	14278
6506/12-N-4 H	53	6012-6017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_53_6012-6017m.jpg	4091	9999-12-31	14279
6506/12-N-4 H	54	6017-6021m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_54_6017-6021m.jpg	4091	9999-12-31	14280
6506/12-N-4 H	55	6024-6029m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_55_6024-6029m.jpg	4091	9999-12-31	14281
6506/12-N-4 H	56	6029-6034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_56_6029-6034m.jpg	4091	9999-12-31	14282
6506/12-N-4 H	57	6034-6039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_57_6034-6039m.jpg	4091	9999-12-31	14283
6506/12-N-4 H	58	6039-6044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_58_6039-6044m.jpg	4091	9999-12-31	14284
6506/12-N-4 H	59	6044-6049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_59_6044-6049m.jpg	4091	9999-12-31	14285
6506/12-N-4 H	60	6049-6054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_60_6049-6054m.jpg	4091	9999-12-31	14286
6506/12-N-4 H	61	6054-6059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_61_6054-6059m.jpg	4091	9999-12-31	14287
6506/12-N-4 H	62	6059-6064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_62_6059-6064m.jpg	4091	9999-12-31	14288
6506/12-N-4 H	63	6064-6069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_63_6064-6069m.jpg	4091	9999-12-31	14289
6506/12-N-4 H	64	6069-6074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_64_6069-6074m.jpg	4091	9999-12-31	14290
6506/12-N-4 H	65	6074-6079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_65_6074-6079m.jpg	4091	9999-12-31	14291
6506/12-N-4 H	66	6079-6084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_66_6079-6084m.jpg	4091	9999-12-31	14292
6506/12-N-4 H	67	6084-6089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_67_6084-6089m.jpg	4091	9999-12-31	14293
6506/12-N-4 H	68	6089-6094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_68_6089-6094m.jpg	4091	9999-12-31	14294
6506/12-N-4 H	69	6094-6099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_69_6094-6099m.jpg	4091	9999-12-31	14295
6506/12-N-4 H	70	6099-6104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_70_6099-6104m.jpg	4091	9999-12-31	14296
6506/12-N-4 H	71	6104-6109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_71_6104-6109m.jpg	4091	9999-12-31	14297
6506/12-N-4 H	72	6109-6114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_72_6109-6114m.jpg	4091	9999-12-31	14298
6506/12-N-4 H	73	6114-6119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_73_6114-6119m.jpg	4091	9999-12-31	14299
6506/12-N-4 H	74	6119-6122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4091_74_6119-6122m.jpg	4091	9999-12-31	14300
6506/12-R-1 H	1	4465-4470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_01_4465-4470m.jpg	3021	9999-12-31	14301
6506/12-R-1 H	2	4470-4475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_02_4470-4475m.jpg	3021	9999-12-31	14302
6506/12-R-1 H	3	4475-4480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_03_4475-4480m.jpg	3021	9999-12-31	14303
6506/12-R-1 H	4	4480-4485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_04_4480-4485m.jpg	3021	9999-12-31	14304
6506/12-R-1 H	5	4485-4490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_05_4485-4490m.jpg	3021	9999-12-31	14305
6506/12-R-1 H	6	4490-4495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_06_4490-4495m.jpg	3021	9999-12-31	14306
6506/12-R-1 H	7	4495-4500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_07_4495-4500m.jpg	3021	9999-12-31	14307
6506/12-R-1 H	8	4500-4505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_08_4500-4505m.jpg	3021	9999-12-31	14308
6506/12-R-1 H	9	4505-4510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_09_4505-4510m.jpg	3021	9999-12-31	14309
6506/12-R-1 H	10	4510-4515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_10_4510-4515m.jpg	3021	9999-12-31	14310
6506/12-R-1 H	11	4515-4520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_11_4515-4520m.jpg	3021	9999-12-31	14311
6506/12-R-1 H	12	4520-4525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_12_4520-4525m.jpg	3021	9999-12-31	14312
6506/12-R-1 H	13	4525-4530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_13_4525-4530m.jpg	3021	9999-12-31	14313
6506/12-R-1 H	14	4530-4535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_14_4530-4535m.jpg	3021	9999-12-31	14314
6506/12-R-1 H	15	4535-4540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_15_4535-4540m.jpg	3021	9999-12-31	14315
6506/12-R-1 H	16	4540-4545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_16_4540-4545m.jpg	3021	9999-12-31	14316
6506/12-R-1 H	17	4545-4547m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_17_4545-4547m.jpg	3021	9999-12-31	14317
6506/12-R-1 H	18	4547-4552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_18_4547-4552m.jpg	3021	9999-12-31	14318
6506/12-R-1 H	19	4552-4557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_19_4552-4557m.jpg	3021	9999-12-31	14319
6506/12-R-1 H	20	4557-4562m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_20_4557-4562m.jpg	3021	9999-12-31	14320
6506/12-R-1 H	21	4562-4567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_21_4562-4567m.jpg	3021	9999-12-31	14321
6506/12-R-1 H	22	4567-4572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_22_4567-4572m.jpg	3021	9999-12-31	14322
6506/12-R-1 H	23	4572-4577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_23_4572-4577m.jpg	3021	9999-12-31	14323
6506/12-R-1 H	24	4577-4582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_24_4577-4582m.jpg	3021	9999-12-31	14324
6506/12-R-1 H	25	4582-4587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_25_4582-4587m.jpg	3021	9999-12-31	14325
6506/12-R-1 H	26	4587-4592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_26_4587-4592m.jpg	3021	9999-12-31	14326
6506/12-R-1 H	27	4592-4597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_27_4592-4597m.jpg	3021	9999-12-31	14327
6506/12-R-1 H	28	4597-4602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_28_4597-4602m.jpg	3021	9999-12-31	14328
6506/12-R-1 H	29	4602-4607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_29_4602-4607m.jpg	3021	9999-12-31	14329
6506/12-R-1 H	30	4607-4612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_30_4607-4612m.jpg	3021	9999-12-31	14330
6506/12-R-1 H	31	4612-4617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_31_4612-4617m.jpg	3021	9999-12-31	14331
6506/12-R-1 H	32	4617-4622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_32_4617-4622m.jpg	3021	9999-12-31	14332
6506/12-R-1 H	33	4622-4627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_33_4622-4627m.jpg	3021	9999-12-31	14333
6506/12-R-1 H	34	4627-4631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3021_34_4627-4631m.jpg	3021	9999-12-31	14334
6506/12-R-4 H	1	3192-3197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_01_3192-3197m.jpg	3271	9999-12-31	14335
6506/12-R-4 H	2	3197-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_02_3197-3202m.jpg	3271	9999-12-31	14336
6506/12-R-4 H	3	3202-3205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_03_3202-3205m.jpg	3271	9999-12-31	14337
6506/12-R-4 H	4	4450-4455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_04_4450-4455m.jpg	3271	9999-12-31	14338
6506/12-R-4 H	5	4455-4460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_05_4455-4460m.jpg	3271	9999-12-31	14339
6506/12-R-4 H	6	4460-4465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_06_4460-4465m.jpg	3271	9999-12-31	14340
6506/12-R-4 H	7	4465-4470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_07_4465-4470m.jpg	3271	9999-12-31	14341
6506/12-R-4 H	8	4470-4475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_08_4470-4475m.jpg	3271	9999-12-31	14342
6506/12-R-4 H	9	4475-4480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_09_4475-4480m.jpg	3271	9999-12-31	14343
6506/12-R-4 H	10	4480-4485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_10_4480-4485m.jpg	3271	9999-12-31	14344
6506/12-R-4 H	11	4485-4490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_11_4485-4490m.jpg	3271	9999-12-31	14345
6506/12-R-4 H	12	4495-4500m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_12_4495-4500m.jpg	3271	9999-12-31	14346
6506/12-R-4 H	13	4490-4495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_13_4490-4495m.jpg	3271	9999-12-31	14347
6506/12-R-4 H	14	4500-4505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_14_4500-4505m.jpg	3271	9999-12-31	14348
6506/12-R-4 H	15	4505-4510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_15_4505-4510m.jpg	3271	9999-12-31	14349
6506/12-R-4 H	16	4510-4515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_16_4510-4515m.jpg	3271	9999-12-31	14350
6506/12-R-4 H	17	4515-4520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_17_4515-4520m.jpg	3271	9999-12-31	14351
6506/12-R-4 H	18	4520-4524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_18_4520-4524m.jpg	3271	9999-12-31	14352
6506/12-R-4 H	19	4524-4529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_19_4524-4529m.jpg	3271	9999-12-31	14353
6506/12-R-4 H	20	4529-4534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_20_4529-4534m.jpg	3271	9999-12-31	14354
6506/12-R-4 H	21	4534-4539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_21_4534-4539m.jpg	3271	9999-12-31	14355
6506/12-R-4 H	22	4539-4544m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_22_4539-4544m.jpg	3271	9999-12-31	14356
6506/12-R-4 H	23	4544-4549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_23_4544-4549m.jpg	3271	9999-12-31	14357
6506/12-R-4 H	24	4549-4554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_24_4549-4554m.jpg	3271	9999-12-31	14358
6506/12-R-4 H	25	4554-4559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_25_4554-4559m.jpg	3271	9999-12-31	14359
6506/12-R-4 H	26	4559-4564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_26_4559-4564m.jpg	3271	9999-12-31	14360
6506/12-R-4 H	27	4564-4569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_27_4564-4569m.jpg	3271	9999-12-31	14361
6506/12-R-4 H	28	4569-4574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_28_4569-4574m.jpg	3271	9999-12-31	14362
6506/12-R-4 H	29	4574-4579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_29_4574-4579m.jpg	3271	9999-12-31	14363
6506/12-R-4 H	30	4579-4584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_30_4579-4584m.jpg	3271	9999-12-31	14364
6506/12-R-4 H	31	4584-4589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_31_4584-4589m.jpg	3271	9999-12-31	14365
6506/12-R-4 H	32	4589-4594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_32_4589-4594m.jpg	3271	9999-12-31	14366
6506/12-R-4 H	33	4594-4598m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3271_33_4594-4598m.jpg	3271	9999-12-31	14367
6506/12-S-4 H	1	4652-4657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_01_4652-4657m.jpg	4269	9999-12-31	14368
6506/12-S-4 H	2	4657-4662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_02_4657-4662m.jpg	4269	9999-12-31	14369
6506/12-S-4 H	3	4662-4667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_03_4662-4667m.jpg	4269	9999-12-31	14370
6506/12-S-4 H	4	4667-4672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_04_4667-4672m.jpg	4269	9999-12-31	14371
6506/12-S-4 H	5	4672-4677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_05_4672-4677m.jpg	4269	9999-12-31	14372
6506/12-S-4 H	6	4677-4682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_06_4677-4682m.jpg	4269	9999-12-31	14373
6506/12-S-4 H	7	4682-4687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_07_4682-4687m.jpg	4269	9999-12-31	14374
6506/12-S-4 H	8	4687-4692m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_08_4687-4692m.jpg	4269	9999-12-31	14375
6506/12-S-4 H	9	4692-4697m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_09_4692-4697m.jpg	4269	9999-12-31	14376
6506/12-S-4 H	10	4697-4601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_10_4697-4601m.jpg	4269	9999-12-31	14377
6506/12-S-4 H	11	4601-4606m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_11_4601-4606m.jpg	4269	9999-12-31	14378
6506/12-S-4 H	12	4606-4610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_12_4606-4610m.jpg	4269	9999-12-31	14379
6506/12-S-4 H	13	4611-4616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_13_4611-4616m.jpg	4269	9999-12-31	14380
6506/12-S-4 H	14	4616-4621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_14_4616-4621m.jpg	4269	9999-12-31	14381
6506/12-S-4 H	15	4621-4626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_15_4621-4626m.jpg	4269	9999-12-31	14382
6506/12-S-4 H	16	4626-4631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_16_4626-4631m.jpg	4269	9999-12-31	14383
6506/12-S-4 H	17	4631-4636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_17_4631-4636m.jpg	4269	9999-12-31	14384
6506/12-S-4 H	18	4636-4641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_18_4636-4641m.jpg	4269	9999-12-31	14385
6506/12-S-4 H	19	4641-4646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_19_4641-4646m.jpg	4269	9999-12-31	14386
6506/12-S-4 H	20	4646-5411m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_20_4646-5411m.jpg	4269	9999-12-31	14387
6506/12-S-4 H	21	5411-5416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_21_5411-5416m.jpg	4269	9999-12-31	14388
6506/12-S-4 H	22	5416-5421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_22_5416-5421m.jpg	4269	9999-12-31	14389
6506/12-S-4 H	23	5421-5422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4269_23_5421-5422m.jpg	4269	9999-12-31	14390
6507/10-1	1	2880-2886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/81_01_2880-2886m.jpg	81	9999-12-31	14391
6507/10-1	2	2886-2887m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/81_02_2886-2887m.jpg	81	9999-12-31	14392
6507/10-1	3	3073-3079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/81_03_3073-3079m.jpg	81	9999-12-31	14393
6507/10-1	4	3079-3081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/81_04_3079-3081m.jpg	81	9999-12-31	14394
6507/11-1	1	2502-2507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/68_01_2502-2507m.jpg	68	9999-12-31	14395
6507/11-1	2	2507-2508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/68_02_2507-2508m.jpg	68	9999-12-31	14396
6507/11-1	3	2509-2511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/68_03_2509-2511m.jpg	68	9999-12-31	14397
6507/11-1	4	2514-2517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/68_04_2514-2517m.jpg	68	9999-12-31	14398
6507/11-1	5	2520-2524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/68_05_2520-2524m.jpg	68	9999-12-31	14399
6507/11-1	6	2527-2532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/68_06_2527-2532m.jpg	68	9999-12-31	14400
6507/11-1	7	2532-2537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/68_07_2532-2537m.jpg	68	9999-12-31	14401
6507/11-1	8	2537-2542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/68_08_2537-2542m.jpg	68	9999-12-31	14402
6507/11-1	9	2542-2543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/68_09_2542-2543m.jpg	68	9999-12-31	14403
6507/11-2	1	1965-1969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_01_1965-1969m.jpg	51	9999-12-31	14404
6507/11-2	2	1969-1972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_02_1969-1972m.jpg	51	9999-12-31	14405
6507/11-2	3	1972-1975m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_03_1972-1975m.jpg	51	9999-12-31	14406
6507/11-2	4	1976-1977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_04_1976-1977m.jpg	51	9999-12-31	14407
6507/11-2	5	1991-1994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_05_1991-1994m.jpg	51	9999-12-31	14408
6507/11-2	6	1994-1998M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_06_1994-1998M.jpg	51	9999-12-31	14409
6507/11-2	7	1998-2001M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_07_1998-2001M.jpg	51	9999-12-31	14410
6507/11-2	8	2002-2006M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_08_2002-2006M.jpg	51	9999-12-31	14411
6507/11-2	9	2006-2010M	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_09_2006-2010M.jpg	51	9999-12-31	14412
6507/11-2	10	2010-2013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_10_2010-2013m.jpg	51	9999-12-31	14413
6507/11-2	11	2013-2014m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_11_2013-2014m.jpg	51	9999-12-31	14414
6507/11-2	12	2119-2022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_12_2119-2022m.jpg	51	9999-12-31	14415
6507/11-2	13	2122-2124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_13_2122-2124m.jpg	51	9999-12-31	14416
6507/11-2	14	2126-2127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/51_14_2126-2127m.jpg	51	9999-12-31	14417
6507/11-3	1	2428-2433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_01_2428-2433m.jpg	470	9999-12-31	14418
6507/11-3	2	2433-2437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_02_2433-2437m.jpg	470	9999-12-31	14419
6507/11-3	3	2437-2443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_03_2437-2443m.jpg	470	9999-12-31	14420
6507/11-3	4	2442-2447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_04_2442-2447m.jpg	470	9999-12-31	14421
6507/11-3	5	2447-2452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_05_2447-2452m.jpg	470	9999-12-31	14422
6507/11-3	6	2452-2456m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_06_2452-2456m.jpg	470	9999-12-31	14423
6507/11-3	7	2456-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_07_2456-2461m.jpg	470	9999-12-31	14424
6507/11-3	8	2461-2465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_08_2461-2465m.jpg	470	9999-12-31	14425
6507/11-3	9	2467-2472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_09_2467-2472m.jpg	470	9999-12-31	14426
6507/11-3	10	2472-2477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_10_2472-2477m.jpg	470	9999-12-31	14427
6507/11-3	11	2477-2482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_11_2477-2482m.jpg	470	9999-12-31	14428
6507/11-3	12	2482-2487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_12_2482-2487m.jpg	470	9999-12-31	14429
6507/11-3	13	2487-2492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_13_2487-2492m.jpg	470	9999-12-31	14430
6507/11-3	14	2492-2494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_14_2492-2494m.jpg	470	9999-12-31	14431
6507/11-3	15	2494-2499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_15_2494-2499m.jpg	470	9999-12-31	14432
6507/11-3	16	2499-2504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_16_2499-2504m.jpg	470	9999-12-31	14433
6507/11-3	17	2504-2509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_17_2504-2509m.jpg	470	9999-12-31	14434
6507/11-3	18	2509-2514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_18_2509-2514m.jpg	470	9999-12-31	14435
6507/11-3	19	2514-2519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_19_2514-2519m.jpg	470	9999-12-31	14436
6507/11-3	20	2519-2522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_20_2519-2522m.jpg	470	9999-12-31	14437
6507/11-3	21	2522-2527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_21_2522-2527m.jpg	470	9999-12-31	14438
6507/11-3	22	2527-2532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_22_2527-2532m.jpg	470	9999-12-31	14439
6507/11-3	23	2532-2536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_23_2532-2536m.jpg	470	9999-12-31	14440
6507/11-3	24	2634-2640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_24_2634-2640m.jpg	470	9999-12-31	14441
6507/11-3	25	2640-2643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_25_2640-2643m.jpg	470	9999-12-31	14442
6507/11-3	26	2650-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_26_2650-2656m.jpg	470	9999-12-31	14443
6507/11-3	27	2656-2660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_27_2656-2660m.jpg	470	9999-12-31	14444
6507/11-3	28	2668-2674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_28_2668-2674m.jpg	470	9999-12-31	14445
6507/11-3	29	2674-2677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/470_29_2674-2677m.jpg	470	9999-12-31	14446
6507/11-4	1	2564-2569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_01_2564-2569m.jpg	1055	9999-12-31	14447
6507/11-4	2	2569-2574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_02_2569-2574m.jpg	1055	9999-12-31	14448
6507/11-4	3	2574-2579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_03_2574-2579m.jpg	1055	9999-12-31	14449
6507/11-4	4	2579-2584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_04_2579-2584m.jpg	1055	9999-12-31	14450
6507/11-4	5	2584-2589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_05_2584-2589m.jpg	1055	9999-12-31	14451
6507/11-4	6	2589-2591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_06_2589-2591m.jpg	1055	9999-12-31	14452
6507/11-4	7	2685-2690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_07_2685-2690m.jpg	1055	9999-12-31	14453
6507/11-4	8	2690-2695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_08_2690-2695m.jpg	1055	9999-12-31	14454
6507/11-4	9	2695-2700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_09_2695-2700m.jpg	1055	9999-12-31	14455
6507/11-4	10	2700-2705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_10_2700-2705m.jpg	1055	9999-12-31	14456
6507/11-4	11	2705-2710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_11_2705-2710m.jpg	1055	9999-12-31	14457
6507/11-4	12	2710-2713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1055_12_2710-2713m.jpg	1055	9999-12-31	14458
6507/11-5 S	1	2488-2493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_01_2488-2493m.jpg	3193	9999-12-31	14459
6507/11-5 S	2	2493-2498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_02_2493-2498m.jpg	3193	9999-12-31	14460
6507/11-5 S	3	2498-2503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_03_2498-2503m.jpg	3193	9999-12-31	14461
6507/11-5 S	4	2503-2508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_04_2503-2508m.jpg	3193	9999-12-31	14462
6507/11-5 S	5	2508-2513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_05_2508-2513m.jpg	3193	9999-12-31	14463
6507/11-5 S	6	2513-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_06_2513-2518m.jpg	3193	9999-12-31	14464
6507/11-5 S	7	2518-2523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_07_2518-2523m.jpg	3193	9999-12-31	14465
6507/11-5 S	8	2523-2528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_08_2523-2528m.jpg	3193	9999-12-31	14466
6507/11-5 S	9	2528-2533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_09_2528-2533m.jpg	3193	9999-12-31	14467
6507/11-5 S	10	2533-2534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_10_2533-2534m.jpg	3193	9999-12-31	14468
6507/11-5 S	11	2535-2539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_11_2535-2539m.jpg	3193	9999-12-31	14469
6507/11-5 S	12	2541-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_12_2541-2546m.jpg	3193	9999-12-31	14470
6507/11-5 S	13	2546-2551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_13_2546-2551m.jpg	3193	9999-12-31	14471
6507/11-5 S	14	2551-2554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_14_2551-2554m.jpg	3193	9999-12-31	14472
6507/11-5 S	15	2554-2559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_15_2554-2559m.jpg	3193	9999-12-31	14473
6507/11-5 S	16	2559-2564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_16_2559-2564m.jpg	3193	9999-12-31	14474
6507/11-5 S	17	2564-2569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_17_2564-2569m.jpg	3193	9999-12-31	14475
6507/11-5 S	18	2569-2574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_18_2569-2574m.jpg	3193	9999-12-31	14476
6507/11-5 S	19	2574-2579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_19_2574-2579m.jpg	3193	9999-12-31	14477
6507/11-5 S	20	2579-2582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_20_2579-2582m.jpg	3193	9999-12-31	14478
6507/11-5 S	21	2582-2587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_21_2582-2587m.jpg	3193	9999-12-31	14479
6507/11-5 S	22	2587-2592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_22_2587-2592m.jpg	3193	9999-12-31	14480
6507/11-5 S	23	2592-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_23_2592-2597m.jpg	3193	9999-12-31	14481
6507/11-5 S	24	2597-2602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_24_2597-2602m.jpg	3193	9999-12-31	14482
6507/11-5 S	25	2602-2607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_25_2602-2607m.jpg	3193	9999-12-31	14483
6507/11-5 S	26	2607-2608m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_26_2607-2608m.jpg	3193	9999-12-31	14484
6507/11-5 S	27	2609-2514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_27_2609-2514m.jpg	3193	9999-12-31	14485
6507/11-5 S	28	2614-2619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_28_2614-2619m.jpg	3193	9999-12-31	14486
6507/11-5 S	29	2619-2624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_29_2619-2624m.jpg	3193	9999-12-31	14487
6507/11-5 S	30	2624-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3193_30_2624-2629m.jpg	3193	9999-12-31	14488
6507/11-6	1	3036-3041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4321_01_3036-3041m.jpg	4321	9999-12-31	14489
6507/11-6	2	3041-3046m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4321_02_3041-3046m.jpg	4321	9999-12-31	14490
6507/11-6	3	3046-3051m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4321_03_3046-3051m.jpg	4321	9999-12-31	14491
6507/11-6	4	3051-3056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4321_04_3051-3056m.jpg	4321	9999-12-31	14492
6507/11-6	5	3056-3061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4321_05_3056-3061m.jpg	4321	9999-12-31	14493
6507/11-6	6	3061-3063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4321_06_3061-3063m.jpg	4321	9999-12-31	14494
6507/12-1	1	2404-2405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_01_2404-2405m.jpg	202	9999-12-31	14495
6507/12-1	2	2520-2522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_02_2520-2522m.jpg	202	9999-12-31	14496
6507/12-1	3	2523-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_03_2523-2525m.jpg	202	9999-12-31	14497
6507/12-1	4	2526-2528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_04_2526-2528m.jpg	202	9999-12-31	14498
6507/12-1	5	2529-2530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_05_2529-2530m.jpg	202	9999-12-31	14499
6507/12-1	6	2531-2533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_06_2531-2533m.jpg	202	9999-12-31	14500
6507/12-1	7	2534-2536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_07_2534-2536m.jpg	202	9999-12-31	14501
6507/12-1	8	2537-2538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_08_2537-2538m.jpg	202	9999-12-31	14502
6507/12-1	9	2707-2709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_09_2707-2709m.jpg	202	9999-12-31	14503
6507/12-1	10	2710-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_10_2710-2712m.jpg	202	9999-12-31	14504
6507/12-1	11	2713-2715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_11_2713-2715m.jpg	202	9999-12-31	14505
6507/12-1	12	2715-2716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_12_2715-2716m.jpg	202	9999-12-31	14506
6507/12-1	13	3708-3710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_13_3708-3710m.jpg	202	9999-12-31	14507
6507/12-1	14	3710-3713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_14_3710-3713m.jpg	202	9999-12-31	14508
6507/12-1	15	3714-3716m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_15_3714-3716m.jpg	202	9999-12-31	14509
6507/12-1	16	3716-3718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_16_3716-3718m.jpg	202	9999-12-31	14510
6507/12-1	17	3719-3719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/202_17_3719-3719m.jpg	202	9999-12-31	14511
6507/12-2	1	4975-4980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/437_01_4975-4980m.jpg	437	9999-12-31	14512
6507/12-2	2	4981-4984m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/437_02_4981-4984m.jpg	437	9999-12-31	14513
6507/12-3	1	1981-1983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/485_01_1981-1983m.jpg	485	9999-12-31	14514
6507/12-3	2	2507-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/485_02_2507-2510m.jpg	485	9999-12-31	14515
6507/12-3	3	1988-1989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/485_03_1988-1989m.jpg	485	9999-12-31	14516
6507/12-3	4	2503-2506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/485_04_2503-2506m.jpg	485	9999-12-31	14517
6507/12-3	5	1984-1987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/485_05_1984-1987m.jpg	485	9999-12-31	14518
6507/12-3	6	2511-2514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/485_06_2511-2514m.jpg	485	9999-12-31	14519
6507/12-3	7	2515-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/485_07_2515-2518m.jpg	485	9999-12-31	14520
6507/12-3	8	2519-2520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/485_08_2519-2520m.jpg	485	9999-12-31	14521
6507/2-2	1	2822-2827m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_01_2822-2827m.jpg	1840	9999-12-31	14522
6507/2-2	2	2827-2832m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_02_2827-2832m.jpg	1840	9999-12-31	14523
6507/2-2	3	2832-2837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_03_2832-2837m.jpg	1840	9999-12-31	14524
6507/2-2	4	2837-2842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_04_2837-2842m.jpg	1840	9999-12-31	14525
6507/2-2	5	2842-2847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_05_2842-2847m.jpg	1840	9999-12-31	14526
6507/2-2	6	2847-2849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_06_2847-2849m.jpg	1840	9999-12-31	14527
6507/2-2	7	3273-3278m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_07_3273-3278m.jpg	1840	9999-12-31	14528
6507/2-2	8	3278-3283m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_08_3278-3283m.jpg	1840	9999-12-31	14529
6507/2-2	9	3283-3288m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_09_3283-3288m.jpg	1840	9999-12-31	14530
6507/2-2	10	3288-3293m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_10_3288-3293m.jpg	1840	9999-12-31	14531
6507/2-2	11	3293-3295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_11_3293-3295m.jpg	1840	9999-12-31	14532
6507/2-2	12	3330-3335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_12_3330-3335m.jpg	1840	9999-12-31	14533
6507/2-2	13	3335-3339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_13_3335-3339m.jpg	1840	9999-12-31	14534
6507/2-2	14	3685-3690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_14_3685-3690m.jpg	1840	9999-12-31	14535
6507/2-2	15	3690-3695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_15_3690-3695m.jpg	1840	9999-12-31	14536
6507/2-2	16	3695-3700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_16_3695-3700m.jpg	1840	9999-12-31	14537
6507/2-2	17	3700-3701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_17_3700-3701m.jpg	1840	9999-12-31	14538
6507/2-2	18	3770-3775m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_18_3770-3775m.jpg	1840	9999-12-31	14539
6507/2-2	19	3775-3778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_19_3775-3778m.jpg	1840	9999-12-31	14540
6507/2-2	20	3921-3926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_20_3921-3926m.jpg	1840	9999-12-31	14541
6507/2-2	21	3926-3929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1840_21_3926-3929m.jpg	1840	9999-12-31	14542
6507/2-3	1	2850-2854m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_01_2850-2854m.jpg	2299	9999-12-31	14543
6507/2-3	2	2854-2858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_02_2854-2858m.jpg	2299	9999-12-31	14544
6507/2-3	3	2858-2862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_03_2858-2862m.jpg	2299	9999-12-31	14545
6507/2-3	4	2862-2866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_04_2862-2866m.jpg	2299	9999-12-31	14546
6507/2-3	5	2866-2870m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_05_2866-2870m.jpg	2299	9999-12-31	14547
6507/2-3	6	2870-2874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_06_2870-2874m.jpg	2299	9999-12-31	14548
6507/2-3	7	2874-2878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_07_2874-2878m.jpg	2299	9999-12-31	14549
6507/2-3	8	2878-2882m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_08_2878-2882m.jpg	2299	9999-12-31	14550
6507/2-3	9	2882-2886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_09_2882-2886m.jpg	2299	9999-12-31	14551
6507/2-3	10	2886-2900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_10_2886-2900m.jpg	2299	9999-12-31	14552
6507/2-3	11	2890-2891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_11_2890-2891m.jpg	2299	9999-12-31	14553
6507/2-3	12	3254-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_12_3254-3259m.jpg	2299	9999-12-31	14554
6507/2-3	13	3259-3263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2299_13_3259-3263m.jpg	2299	9999-12-31	14555
6507/3-1	1	3612-3617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_01_3612-3617m.jpg	1533	9999-12-31	14556
6507/3-1	2	3617-3622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_02_3617-3622m.jpg	1533	9999-12-31	14557
6507/3-1	3	3622-3627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_03_3622-3627m.jpg	1533	9999-12-31	14558
6507/3-1	4	3627-3632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_04_3627-3632m.jpg	1533	9999-12-31	14559
6507/3-1	5	3632-3635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_05_3632-3635m.jpg	1533	9999-12-31	14560
6507/3-1	6	3635-3610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_06_3635-3610m.jpg	1533	9999-12-31	14561
6507/3-1	7	3640-3645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_07_3640-3645m.jpg	1533	9999-12-31	14562
6507/3-1	8	3645-3650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_08_3645-3650m.jpg	1533	9999-12-31	14563
6507/3-1	9	3650-3655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_09_3650-3655m.jpg	1533	9999-12-31	14564
6507/3-1	10	3655-3660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_10_3655-3660m.jpg	1533	9999-12-31	14565
6507/3-1	11	3660-3661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_11_3660-3661m.jpg	1533	9999-12-31	14566
6507/3-1	12	3769-3774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_12_3769-3774m.jpg	1533	9999-12-31	14567
6507/3-1	13	3774-3779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_13_3774-3779m.jpg	1533	9999-12-31	14568
6507/3-1	14	3779-3784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_14_3779-3784m.jpg	1533	9999-12-31	14569
6507/3-1	15	3784-3789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_15_3784-3789m.jpg	1533	9999-12-31	14570
6507/3-1	16	3789-3794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_16_3789-3794m.jpg	1533	9999-12-31	14571
6507/3-1	17	3794-3796m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_17_3794-3796m.jpg	1533	9999-12-31	14572
6507/3-1	18	3797-3802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_18_3797-3802m.jpg	1533	9999-12-31	14573
6507/3-1	19	3802-3807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_19_3802-3807m.jpg	1533	9999-12-31	14574
6507/3-1	20	3807-3812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_20_3807-3812m.jpg	1533	9999-12-31	14575
6507/3-1	21	3812-3817m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_21_3812-3817m.jpg	1533	9999-12-31	14576
6507/3-1	22	3817-3822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_22_3817-3822m.jpg	1533	9999-12-31	14577
6507/3-1	23	3822-3825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_23_3822-3825m.jpg	1533	9999-12-31	14578
6507/3-1	24	3825-3830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_24_3825-3830m.jpg	1533	9999-12-31	14579
6507/3-1	25	3830-3835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_25_3830-3835m.jpg	1533	9999-12-31	14580
6507/3-1	26	3835-3840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_26_3835-3840m.jpg	1533	9999-12-31	14581
6507/3-1	27	3840-3845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_27_3840-3845m.jpg	1533	9999-12-31	14582
6507/3-1	28	3845-3850m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_28_3845-3850m.jpg	1533	9999-12-31	14583
6507/3-1	29	3850-3852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_29_3850-3852m.jpg	1533	9999-12-31	14584
6507/3-1	30	3994-3999m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_30_3994-3999m.jpg	1533	9999-12-31	14585
6507/3-1	31	3999-4004m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_31_3999-4004m.jpg	1533	9999-12-31	14586
6507/3-1	32	4004-4009m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_32_4004-4009m.jpg	1533	9999-12-31	14587
6507/3-1	33	4009-4014m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_33_4009-4014m.jpg	1533	9999-12-31	14588
6507/3-1	34	4014-4019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_34_4014-4019m.jpg	1533	9999-12-31	14589
6507/3-1	35	4019-4022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_35_4019-4022m.jpg	1533	9999-12-31	14590
6507/3-1	36	3671-3676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_36_3671-3676m.jpg	1533	9999-12-31	14591
6507/3-1	37	3676-3681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_37_3676-3681m.jpg	1533	9999-12-31	14592
6507/3-1	38	3681-3686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_38_3681-3686m.jpg	1533	9999-12-31	14593
6507/3-1	39	3686-3691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_39_3686-3691m.jpg	1533	9999-12-31	14594
6507/3-1	40	3691-3696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_40_3691-3696m.jpg	1533	9999-12-31	14595
6507/3-1	41	3696-3698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1533_41_3696-3698m.jpg	1533	9999-12-31	14596
6507/3-2	1	1230-1234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2954_01_1230-1234m.jpg	2954	9999-12-31	14597
6507/3-2	2	1402-1407m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2954_02_1402-1407m.jpg	2954	9999-12-31	14598
6507/3-2	3	1407-1410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2954_03_1407-1410m.jpg	2954	9999-12-31	14599
6507/3-3	1	2721-2726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_01_2721-2726m.jpg	3668	9999-12-31	14600
6507/3-3	2	2726-2731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_02_2726-2731m.jpg	3668	9999-12-31	14601
6507/3-3	3	2731-2736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_03_2731-2736m.jpg	3668	9999-12-31	14602
6507/3-3	4	2736-2741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_04_2736-2741m.jpg	3668	9999-12-31	14603
6507/3-3	5	2741-2746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_05_2741-2746m.jpg	3668	9999-12-31	14604
6507/3-3	6	2746-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_06_2746-2748m.jpg	3668	9999-12-31	14605
6507/3-3	7	3375-3380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_07_3375-3380m.jpg	3668	9999-12-31	14606
6507/3-3	8	3380-3385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_08_3380-3385m.jpg	3668	9999-12-31	14607
6507/3-3	9	3385-3390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_09_3385-3390m.jpg	3668	9999-12-31	14608
6507/3-3	10	3390-3395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_10_3390-3395m.jpg	3668	9999-12-31	14609
6507/3-3	11	3395-3400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_11_3395-3400m.jpg	3668	9999-12-31	14610
6507/3-3	12	3400-3401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_12_3400-3401m.jpg	3668	9999-12-31	14611
6507/3-3	13	3403-3408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_13_3403-3408m.jpg	3668	9999-12-31	14612
6507/3-3	14	3408-3413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_14_3408-3413m.jpg	3668	9999-12-31	14613
6507/3-3	15	3413-3418m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_15_3413-3418m.jpg	3668	9999-12-31	14614
6507/3-3	16	3418-3423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_16_3418-3423m.jpg	3668	9999-12-31	14615
6507/3-3	17	3423-3428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_17_3423-3428m.jpg	3668	9999-12-31	14616
6507/3-3	18	3428-3433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_18_3428-3433m.jpg	3668	9999-12-31	14617
6507/3-3	19	3433-3435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_19_3433-3435m.jpg	3668	9999-12-31	14618
6507/3-3	20	3461-3466m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_20_3461-3466m.jpg	3668	9999-12-31	14619
6507/3-3	21	3466-3471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_21_3466-3471m.jpg	3668	9999-12-31	14620
6507/3-3	22	3471-3476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_22_3471-3476m.jpg	3668	9999-12-31	14621
6507/3-3	23	3476-3481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_23_3476-3481m.jpg	3668	9999-12-31	14622
6507/3-3	24	3481-3486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_24_3481-3486m.jpg	3668	9999-12-31	14623
6507/3-3	25	3486-3487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_25_3486-3487m.jpg	3668	9999-12-31	14624
6507/3-3	26	3545-3550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_26_3545-3550m.jpg	3668	9999-12-31	14625
6507/3-3	27	3550-3555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_27_3550-3555m.jpg	3668	9999-12-31	14626
6507/3-3	28	3555-3560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_28_3555-3560m.jpg	3668	9999-12-31	14627
6507/3-3	29	3560-3565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_29_3560-3565m.jpg	3668	9999-12-31	14628
6507/3-3	30	3565-3570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_30_3565-3570m.jpg	3668	9999-12-31	14629
6507/3-3	31	3570-3575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_31_3570-3575m.jpg	3668	9999-12-31	14630
6507/3-3	32	3575-3580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_32_3575-3580m.jpg	3668	9999-12-31	14631
6507/3-3	33	3580-3585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_33_3580-3585m.jpg	3668	9999-12-31	14632
6507/3-3	34	3585-3590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_34_3585-3590m.jpg	3668	9999-12-31	14633
6507/3-3	35	3590-3595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_35_3590-3595m.jpg	3668	9999-12-31	14634
6507/3-3	36	3595-3600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_36_3595-3600m.jpg	3668	9999-12-31	14635
6507/3-3	37	3600-3605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_37_3600-3605m.jpg	3668	9999-12-31	14636
6507/3-3	38	3605-3610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_38_3605-3610m.jpg	3668	9999-12-31	14637
6507/3-3	39	3610-3615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_39_3610-3615m.jpg	3668	9999-12-31	14638
6507/3-3	40	3615-3620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_40_3615-3620m.jpg	3668	9999-12-31	14639
6507/3-3	41	3620-3625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_41_3620-3625m.jpg	3668	9999-12-31	14640
6507/3-3	42	3625-3630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_42_3625-3630m.jpg	3668	9999-12-31	14641
6507/3-3	43	3630-3635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_43_3630-3635m.jpg	3668	9999-12-31	14642
6507/3-3	44	3635-3640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_44_3635-3640m.jpg	3668	9999-12-31	14643
6507/3-3	45	3640-3645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_45_3640-3645m.jpg	3668	9999-12-31	14644
6507/3-3	46	3645-3650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_46_3645-3650m.jpg	3668	9999-12-31	14645
6507/3-3	47	3650-3654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3668_47_3650-3654m.jpg	3668	9999-12-31	14646
6507/5-1	1	3392-3393m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_01_3392-3393m.jpg	3683	9999-12-31	14647
6507/5-1	2	3395-3400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_02_3395-3400m.jpg	3683	9999-12-31	14648
6507/5-1	3	3400-3405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_03_3400-3405m.jpg	3683	9999-12-31	14649
6507/5-1	4	3405-3410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_04_3405-3410m.jpg	3683	9999-12-31	14650
6507/5-1	5	3410-3415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_05_3410-3415m.jpg	3683	9999-12-31	14651
6507/5-1	6	3415-3420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_06_3415-3420m.jpg	3683	9999-12-31	14652
6507/5-1	7	3420-3422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_07_3420-3422m.jpg	3683	9999-12-31	14653
6507/5-1	8	3422-3427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_08_3422-3427m.jpg	3683	9999-12-31	14654
6507/5-1	9	3427-3432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_09_3427-3432m.jpg	3683	9999-12-31	14655
6507/5-1	10	3432-3437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_10_3432-3437m.jpg	3683	9999-12-31	14656
6507/5-1	11	3437-3442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_11_3437-3442m.jpg	3683	9999-12-31	14657
6507/5-1	12	3442-3447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_12_3442-3447m.jpg	3683	9999-12-31	14658
6507/5-1	13	3447-3449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_13_3447-3449m.jpg	3683	9999-12-31	14659
6507/5-1	14	3449-3454m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_14_3449-3454m.jpg	3683	9999-12-31	14660
6507/5-1	15	3454-3459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_15_3454-3459m.jpg	3683	9999-12-31	14661
6507/5-1	16	3459-3464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_16_3459-3464m.jpg	3683	9999-12-31	14662
6507/5-1	17	3464-3469m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_17_3464-3469m.jpg	3683	9999-12-31	14663
6507/5-1	18	3469-3470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_18_3469-3470m.jpg	3683	9999-12-31	14664
6507/5-1	19	3470-3475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_19_3470-3475m.jpg	3683	9999-12-31	14665
6507/5-1	20	3475-3480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_20_3475-3480m.jpg	3683	9999-12-31	14666
6507/5-1	21	3480-3485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_21_3480-3485m.jpg	3683	9999-12-31	14667
6507/5-1	22	3485-3490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_22_3485-3490m.jpg	3683	9999-12-31	14668
6507/5-1	23	3490-3495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_23_3490-3495m.jpg	3683	9999-12-31	14669
6507/5-1	24	3495-3498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_24_3495-3498m.jpg	3683	9999-12-31	14670
6507/5-1	25	3498-3503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_25_3498-3503m.jpg	3683	9999-12-31	14671
6507/5-1	26	3503-3508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_26_3503-3508m.jpg	3683	9999-12-31	14672
6507/5-1	27	3508-3513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_27_3508-3513m.jpg	3683	9999-12-31	14673
6507/5-1	28	3513-3518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_28_3513-3518m.jpg	3683	9999-12-31	14674
6507/5-1	29	3518-3523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_29_3518-3523m.jpg	3683	9999-12-31	14675
6507/5-1	30	3523-3528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_30_3523-3528m.jpg	3683	9999-12-31	14676
6507/5-1	31	3528-3533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_31_3528-3533m.jpg	3683	9999-12-31	14677
6507/5-1	32	3533-3538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_32_3533-3538m.jpg	3683	9999-12-31	14678
6507/5-1	33	3538-3542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_33_3538-3542m.jpg	3683	9999-12-31	14679
6507/5-1	34	3562-3567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_34_3562-3567m.jpg	3683	9999-12-31	14680
6507/5-1	35	3567-3572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_35_3567-3572m.jpg	3683	9999-12-31	14681
6507/5-1	36	3572-3577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_36_3572-3577m.jpg	3683	9999-12-31	14682
6507/5-1	37	3577-3582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_37_3577-3582m.jpg	3683	9999-12-31	14683
6507/5-1	38	3582-3587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_38_3582-3587m.jpg	3683	9999-12-31	14684
6507/5-1	39	3587-3592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_39_3587-3592m.jpg	3683	9999-12-31	14685
6507/5-1	40	3592-3597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_40_3592-3597m.jpg	3683	9999-12-31	14686
6507/5-1	41	3597-3602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_41_3597-3602m.jpg	3683	9999-12-31	14687
6507/5-1	42	3602-3607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_42_3602-3607m.jpg	3683	9999-12-31	14688
6507/5-1	43	3607-3612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_43_3607-3612m.jpg	3683	9999-12-31	14689
6507/5-1	44	3612-3613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_44_3612-3613m.jpg	3683	9999-12-31	14690
6507/5-1	45	3616-3621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_45_3616-3621m.jpg	3683	9999-12-31	14691
6507/5-1	46	3621-3626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_46_3621-3626m.jpg	3683	9999-12-31	14692
6507/5-1	47	3626-3631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_47_3626-3631m.jpg	3683	9999-12-31	14693
6507/5-1	48	3631-3636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_48_3631-3636m.jpg	3683	9999-12-31	14694
6507/5-1	49	3636-3641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_49_3636-3641m.jpg	3683	9999-12-31	14695
6507/5-1	50	3641-3645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_50_3641-3645m.jpg	3683	9999-12-31	14696
6507/5-1	51	3645-3650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_51_3645-3650m.jpg	3683	9999-12-31	14697
6507/5-1	52	3650-3655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_52_3650-3655m.jpg	3683	9999-12-31	14698
6507/5-1	53	3655-3660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_53_3655-3660m.jpg	3683	9999-12-31	14699
6507/5-1	54	3660-3665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_54_3660-3665m.jpg	3683	9999-12-31	14700
6507/5-1	55	3665-3670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_55_3665-3670m.jpg	3683	9999-12-31	14701
6507/5-1	56	3670-3675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_56_3670-3675m.jpg	3683	9999-12-31	14702
6507/5-1	57	3675-3680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_57_3675-3680m.jpg	3683	9999-12-31	14703
6507/5-1	58	3680-3685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_58_3680-3685m.jpg	3683	9999-12-31	14704
6507/5-1	59	3685-3690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_59_3685-3690m.jpg	3683	9999-12-31	14705
6507/5-1	60	3690-3695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_60_3690-3695m.jpg	3683	9999-12-31	14706
6507/5-1	61	3695-3698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3683_61_3695-3698m.jpg	3683	9999-12-31	14707
6507/5-2	1	3631-3636m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_01_3631-3636m.jpg	3756	9999-12-31	14708
6507/5-2	2	3636-3641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_02_3636-3641m.jpg	3756	9999-12-31	14709
6507/5-2	3	3641-3646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_03_3641-3646m.jpg	3756	9999-12-31	14710
6507/5-2	4	3646-3651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_04_3646-3651m.jpg	3756	9999-12-31	14711
6507/5-2	5	3651	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_05_3651_3656m.jpg	3756	9999-12-31	14712
6507/5-2	6	3656-3661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_06_3656-3661m.jpg	3756	9999-12-31	14713
6507/5-2	7	3661-3666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_07_3661-3666m.jpg	3756	9999-12-31	14714
6507/5-2	8	3666-3671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_08_3666-3671m.jpg	3756	9999-12-31	14715
6507/5-2	9	3671-3676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_09_3671-3676m.jpg	3756	9999-12-31	14716
6507/5-2	10	3676-3681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_10_3676-3681m.jpg	3756	9999-12-31	14717
6507/5-2	11	3681-3685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_11_3681-3685m.jpg	3756	9999-12-31	14718
6507/5-2	12	3685-3690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_12_3685-3690m.jpg	3756	9999-12-31	14719
6507/5-2	13	3690-3695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_13_3690-3695m.jpg	3756	9999-12-31	14720
6507/5-2	14	3695-3700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_14_3695-3700m.jpg	3756	9999-12-31	14721
6507/5-2	15	3700-3705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_15_3700-3705m.jpg	3756	9999-12-31	14722
6507/5-2	16	3705-3710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_16_3705-3710m.jpg	3756	9999-12-31	14723
6507/5-2	17	3710-3715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_17_3710-3715m.jpg	3756	9999-12-31	14724
6507/5-2	18	3715-3720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_18_3715-3720m.jpg	3756	9999-12-31	14725
6507/5-2	19	3720-3725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_19_3720-3725m.jpg	3756	9999-12-31	14726
6507/5-2	20	3725-3730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_20_3725-3730m.jpg	3756	9999-12-31	14727
6507/5-2	21	3730-3735m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_21_3730-3735m.jpg	3756	9999-12-31	14728
6507/5-2	22	3735-3740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_22_3735-3740m.jpg	3756	9999-12-31	14729
6507/5-2	23	3740-3744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_23_3740-3744m.jpg	3756	9999-12-31	14730
6507/5-2	24	3744-3749m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_24_3744-3749m.jpg	3756	9999-12-31	14731
6507/5-2	25	3749-3754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_25_3749-3754m.jpg	3756	9999-12-31	14732
6507/5-2	26	3754-3759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_26_3754-3759m.jpg	3756	9999-12-31	14733
6507/5-2	27	3759-3764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_27_3759-3764m.jpg	3756	9999-12-31	14734
6507/5-2	28	3764-3769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_28_3764-3769m.jpg	3756	9999-12-31	14735
6507/5-2	29	3769-3774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_29_3769-3774m.jpg	3756	9999-12-31	14736
6507/5-2	30	3774-3779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_30_3774-3779m.jpg	3756	9999-12-31	14737
6507/5-2	31	3779-3784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_31_3779-3784m.jpg	3756	9999-12-31	14738
6507/5-2	32	3784-3789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_32_3784-3789m.jpg	3756	9999-12-31	14739
6507/5-2	33	3789-3794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_33_3789-3794m.jpg	3756	9999-12-31	14740
6507/5-2	34	3794-3799m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_34_3794-3799m.jpg	3756	9999-12-31	14741
6507/5-2	35	3799-3804m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_35_3799-3804m.jpg	3756	9999-12-31	14742
6507/5-2	36	3804-3809m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_36_3804-3809m.jpg	3756	9999-12-31	14743
6507/5-2	37	3809-3811m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3756_37_3809-3811m.jpg	3756	9999-12-31	14744
6507/5-3	1	2836-2843m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4059_01_2836-2843m.jpg	4059	9999-12-31	14745
6507/5-3	2	2844-2849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4059_02_2844-2849m.jpg	4059	9999-12-31	14746
6507/5-3	3	2849-2854m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4059_03_2849-2854m.jpg	4059	9999-12-31	14747
6507/5-3	4	2854-2855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4059_04_2854-2855m.jpg	4059	9999-12-31	14748
6507/5-5	1	3654-3659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_01_3654-3659m.jpg	4428	9999-12-31	14749
6507/5-5	2	3659-3664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_02_3659-3664m.jpg	4428	9999-12-31	14750
6507/5-5	3	3664-3667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_03_3664-3667m.jpg	4428	9999-12-31	14751
6507/5-5	4	3667-3672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_04_3667-3672m.jpg	4428	9999-12-31	14752
6507/5-5	5	3672-3677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_05_3672-3677m.jpg	4428	9999-12-31	14753
6507/5-5	6	3677-3682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_06_3677-3682m.jpg	4428	9999-12-31	14754
6507/5-5	7	3682-3687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_07_3682-3687m.jpg	4428	9999-12-31	14755
6507/5-5	8	3687-3692m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_08_3687-3692m.jpg	4428	9999-12-31	14756
6507/5-5	9	3692-3697m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_09_3692-3697m.jpg	4428	9999-12-31	14757
6507/5-5	10	3697-3702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_10_3697-3702m.jpg	4428	9999-12-31	14758
6507/5-5	11	3702-3707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_11_3702-3707m.jpg	4428	9999-12-31	14759
6507/5-5	12	3707-3712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_12_3707-3712m.jpg	4428	9999-12-31	14760
6507/5-5	13	3712-3717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_13_3712-3717m.jpg	4428	9999-12-31	14761
6507/5-5	14	3717-3722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_14_3717-3722m.jpg	4428	9999-12-31	14762
6507/5-5	15	3737-3722m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_15_3737-3722m.jpg	4428	9999-12-31	14763
6507/5-5	16	3722-3727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_16_3722-3727m.jpg	4428	9999-12-31	14764
6507/5-5	17	3727-3732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_17_3727-3732m.jpg	4428	9999-12-31	14765
6507/5-5	18	3732-3736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4428_18_3732-3736m.jpg	4428	9999-12-31	14766
6507/6-2	1	3727-3732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1520_01_3727-3732m.jpg	1520	9999-12-31	14767
6507/6-2	2	3732-3732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1520_02_3732-3732m.jpg	1520	9999-12-31	14768
6507/6-2	3	3732-3737m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1520_03_3732-3737m.jpg	1520	9999-12-31	14769
6507/6-2	4	3737-3739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1520_04_3737-3739m.jpg	1520	9999-12-31	14770
6507/7-1	1	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_001_3504-3512m.jpg	138	9999-12-31	14771
6507/7-1	2	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_002_3504-3512m.jpg	138	9999-12-31	14772
6507/7-1	3	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_003_3504-3512m.jpg	138	9999-12-31	14773
6507/7-1	4	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_004_3504-3512m.jpg	138	9999-12-31	14774
6507/7-1	5	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_005_3504-3512m.jpg	138	9999-12-31	14775
6507/7-1	6	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_006_3504-3512m.jpg	138	9999-12-31	14776
6507/7-1	7	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_007_3504-3512m.jpg	138	9999-12-31	14777
6507/7-1	8	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_008_3504-3512m.jpg	138	9999-12-31	14778
6507/7-1	9	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_009_3504-3512m.jpg	138	9999-12-31	14779
6507/7-1	10	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_010_3504-3512m.jpg	138	9999-12-31	14780
6507/7-1	11	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_011_3504-3512m.jpg	138	9999-12-31	14781
6507/7-1	12	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_012_3504-3512m.jpg	138	9999-12-31	14782
6507/7-1	13	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_013_3504-3512m.jpg	138	9999-12-31	14783
6507/7-1	14	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_014_3504-3512m.jpg	138	9999-12-31	14784
6507/7-1	15	3504-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_015_3504-3512m.jpg	138	9999-12-31	14785
6507/7-1	16	4340-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_016_4340-4348m.jpg	138	9999-12-31	14786
6507/7-1	17	4340-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_017_4340-4348m.jpg	138	9999-12-31	14787
6507/7-1	18	4340-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_018_4340-4348m.jpg	138	9999-12-31	14788
6507/7-1	19	4340-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_019_4340-4348m.jpg	138	9999-12-31	14789
6507/7-1	20	4340-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_020_4340-4348m.jpg	138	9999-12-31	14790
6507/7-1	21	4340-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_021_4340-4348m.jpg	138	9999-12-31	14791
6507/7-1	22	4340-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_022_4340-4348m.jpg	138	9999-12-31	14792
6507/7-1	23	4340-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_023_4340-4348m.jpg	138	9999-12-31	14793
6507/7-1	24	4340-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_024_4340-4348m.jpg	138	9999-12-31	14794
6507/7-1	25	4340-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_025_4340-4348m.jpg	138	9999-12-31	14795
6507/7-1	26	4340-4348m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_026_4340-4348m.jpg	138	9999-12-31	14796
6507/7-1	27	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_027_4346-4356m.jpg	138	9999-12-31	14797
6507/7-1	28	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_028_4346-4356m.jpg	138	9999-12-31	14798
6507/7-1	29	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_029_4346-4356m.jpg	138	9999-12-31	14799
6507/7-1	30	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_030_4346-4356m.jpg	138	9999-12-31	14800
6507/7-1	31	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_031_4346-4356m.jpg	138	9999-12-31	14801
6507/7-1	32	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_032_4346-4356m.jpg	138	9999-12-31	14802
6507/7-1	33	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_033_4346-4356m.jpg	138	9999-12-31	14803
6507/7-1	34	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_034_4346-4356m.jpg	138	9999-12-31	14804
6507/7-1	35	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_035_4346-4356m.jpg	138	9999-12-31	14805
6507/7-1	36	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_036_4346-4356m.jpg	138	9999-12-31	14806
6507/7-1	37	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_037_4346-4356m.jpg	138	9999-12-31	14807
6507/7-1	38	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_038_4346-4356m.jpg	138	9999-12-31	14808
6507/7-1	39	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_039_4346-4356m.jpg	138	9999-12-31	14809
6507/7-1	40	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_040_4346-4356m.jpg	138	9999-12-31	14810
6507/7-1	41	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_041_4346-4356m.jpg	138	9999-12-31	14811
6507/7-1	42	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_042_4346-4356m.jpg	138	9999-12-31	14812
6507/7-1	43	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_043_4346-4356m.jpg	138	9999-12-31	14813
6507/7-1	44	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_044_4346-4356m.jpg	138	9999-12-31	14814
6507/7-1	45	4346-4356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_045_4346-4356m.jpg	138	9999-12-31	14815
6507/7-1	46	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_046_4356-4375m.jpg	138	9999-12-31	14816
6507/7-1	47	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_047_4356-4375m.jpg	138	9999-12-31	14817
6507/7-1	48	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_048_4356-4375m.jpg	138	9999-12-31	14818
6507/7-1	49	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_049_4356-4375m.jpg	138	9999-12-31	14819
6507/7-1	50	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_050_4356-4375m.jpg	138	9999-12-31	14820
6507/7-1	51	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_051_4356-4375m.jpg	138	9999-12-31	14821
6507/7-1	52	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_052_4356-4375m.jpg	138	9999-12-31	14822
6507/7-1	53	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_053_4356-4375m.jpg	138	9999-12-31	14823
6507/7-1	54	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_054_4356-4375m.jpg	138	9999-12-31	14824
6507/7-1	55	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_055_4356-4375m.jpg	138	9999-12-31	14825
6507/7-1	56	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_056_4356-4375m.jpg	138	9999-12-31	14826
6507/7-1	57	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_057_4356-4375m.jpg	138	9999-12-31	14827
6507/7-1	58	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_058_4356-4375m.jpg	138	9999-12-31	14828
6507/7-1	59	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_059_4356-4375m.jpg	138	9999-12-31	14829
6507/7-1	60	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_060_4356-4375m.jpg	138	9999-12-31	14830
6507/7-1	61	4346-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_061_4346-4375m.jpg	138	9999-12-31	14831
6507/7-1	62	4356-5475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_062_4356-5475m.jpg	138	9999-12-31	14832
6507/7-1	63	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_063_4356-4375m.jpg	138	9999-12-31	14833
6507/7-1	64	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_064_4356-4375m.jpg	138	9999-12-31	14834
6507/7-1	65	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_065_4356-4375m.jpg	138	9999-12-31	14835
6507/7-1	66	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_066_4356-4375m.jpg	138	9999-12-31	14836
6507/7-1	67	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_067_4356-4375m.jpg	138	9999-12-31	14837
6507/7-1	68	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_068_4356-4375m.jpg	138	9999-12-31	14838
6507/7-1	69	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_069_4356-4375m.jpg	138	9999-12-31	14839
6507/7-1	70	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_070_4356-4375m.jpg	138	9999-12-31	14840
6507/7-1	71	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_071_4356-4375m.jpg	138	9999-12-31	14841
6507/7-1	72	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_072_4356-4375m.jpg	138	9999-12-31	14842
6507/7-1	73	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_073_4356-4375m.jpg	138	9999-12-31	14843
6507/7-1	74	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_074_4356-4375m.jpg	138	9999-12-31	14844
6507/7-1	75	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_075_4356-4375m.jpg	138	9999-12-31	14845
6507/7-1	76	4356-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_076_4356-4375m.jpg	138	9999-12-31	14846
6507/7-1	77	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_077_4475-4488m.jpg	138	9999-12-31	14847
6507/7-1	78	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_078_4475-4488m.jpg	138	9999-12-31	14848
6507/7-1	79	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_079_4475-4488m.jpg	138	9999-12-31	14849
6507/7-1	80	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_080_4475-4488m.jpg	138	9999-12-31	14850
6507/7-1	81	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_081_4475-4488m.jpg	138	9999-12-31	14851
6507/7-1	82	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_082_4475-4488m.jpg	138	9999-12-31	14852
6507/7-1	83	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_083_4475-4488m.jpg	138	9999-12-31	14853
6507/7-1	84	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_084_4475-4488m.jpg	138	9999-12-31	14854
6507/7-1	85	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_085_4475-4488m.jpg	138	9999-12-31	14855
6507/7-1	86	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_086_4475-4488m.jpg	138	9999-12-31	14856
6507/7-1	87	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_087_4475-4488m.jpg	138	9999-12-31	14857
6507/7-1	88	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_088_4475-4488m.jpg	138	9999-12-31	14858
6507/7-1	89	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_089_4475-4488m.jpg	138	9999-12-31	14859
6507/7-1	90	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_090_4475-4488m.jpg	138	9999-12-31	14860
6507/7-1	91	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_091_4475-4488m.jpg	138	9999-12-31	14861
6507/7-1	92	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_092_4475-4488m.jpg	138	9999-12-31	14862
6507/7-1	93	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_093_4475-4488m.jpg	138	9999-12-31	14863
6507/7-1	94	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_094_4475-4488m.jpg	138	9999-12-31	14864
6507/7-1	95	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_095_4475-4488m.jpg	138	9999-12-31	14865
6507/7-1	96	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_096_4475-4488m.jpg	138	9999-12-31	14866
6507/7-1	97	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_097_4475-4488m.jpg	138	9999-12-31	14867
6507/7-1	98	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_098_4475-4488m.jpg	138	9999-12-31	14868
6507/7-1	99	4475-4488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_099_4475-4488m.jpg	138	9999-12-31	14869
6507/7-1	100	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_100_4593-4600m.jpg	138	9999-12-31	14870
6507/7-1	101	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_101_4593-4600m.jpg	138	9999-12-31	14871
6507/7-1	102	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_102_4593-4600m.jpg	138	9999-12-31	14872
6507/7-1	103	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_103_4593-4600m.jpg	138	9999-12-31	14873
6507/7-1	104	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_104_4593-4600m.jpg	138	9999-12-31	14874
6507/7-1	105	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_105_4593-4600m.jpg	138	9999-12-31	14875
6507/7-1	106	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_106_4593-4600m.jpg	138	9999-12-31	14876
6507/7-1	107	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_107_4593-4600m.jpg	138	9999-12-31	14877
6507/7-1	108	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_108_4593-4600m.jpg	138	9999-12-31	14878
6507/7-1	109	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_109_4593-4600m.jpg	138	9999-12-31	14879
6507/7-1	110	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_110_4593-4600m.jpg	138	9999-12-31	14880
6507/7-1	111	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_111_4593-4600m.jpg	138	9999-12-31	14881
6507/7-1	112	4593-4600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/138_112_4593-4600m.jpg	138	9999-12-31	14882
6507/7-10	1	2448-2453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2182_01_2448-2453m.jpg	2182	9999-12-31	14883
6507/7-10	2	2453-2453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2182_02_2453-2453m.jpg	2182	9999-12-31	14884
6507/7-10	3	2476-2480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2182_03_2476-2480m.jpg	2182	9999-12-31	14885
6507/7-10	4	2525-2530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2182_04_2525-2530m.jpg	2182	9999-12-31	14886
6507/7-10	5	2530-2535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2182_05_2530-2535m.jpg	2182	9999-12-31	14887
6507/7-10	6	2535-2540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2182_06_2535-2540m.jpg	2182	9999-12-31	14888
6507/7-10	7	2540-2545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2182_07_2540-2545m.jpg	2182	9999-12-31	14889
6507/7-10	8	2545-2550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2182_08_2545-2550m.jpg	2182	9999-12-31	14890
6507/7-10	9	2550-2551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2182_09_2550-2551m.jpg	2182	9999-12-31	14891
6507/7-11 S	1	3461-3466m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3131_01_3461-3466m.jpg	3131	9999-12-31	14892
6507/7-11 S	2	3466-3471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3131_02_3466-3471m.jpg	3131	9999-12-31	14893
6507/7-11 S	3	3471-3476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3131_03_3471-3476m.jpg	3131	9999-12-31	14894
6507/7-11 S	4	3476-3481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3131_04_3476-3481m.jpg	3131	9999-12-31	14895
6507/7-11 S	5	3481-3486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3131_05_3481-3486m.jpg	3131	9999-12-31	14896
6507/7-11 S	6	3481-3488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3131_06_3481-3488m.jpg	3131	9999-12-31	14897
6507/7-13 A	1	2416-2420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_01_2416-2420m.jpg	4275	9999-12-31	14898
6507/7-13 A	2	2420-2424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_02_2420-2424m.jpg	4275	9999-12-31	14899
6507/7-13 A	3	2424-2428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_03_2424-2428m.jpg	4275	9999-12-31	14900
6507/7-13 A	4	2428-2432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_04_2428-2432m.jpg	4275	9999-12-31	14901
6507/7-13 A	5	2432-2436m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_05_2432-2436m.jpg	4275	9999-12-31	14902
6507/7-13 A	6	2436-2440m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_06_2436-2440m.jpg	4275	9999-12-31	14903
6507/7-13 A	7	2440-2441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_07_2440-2441m.jpg	4275	9999-12-31	14904
6507/7-13 A	8	2443-2447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_08_2443-2447m.jpg	4275	9999-12-31	14905
6507/7-13 A	9	2447-2451m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_09_2447-2451m.jpg	4275	9999-12-31	14906
6507/7-13 A	10	2451-2455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_10_2451-2455m.jpg	4275	9999-12-31	14907
6507/7-13 A	11	2455-2459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_11_2455-2459m.jpg	4275	9999-12-31	14908
6507/7-13 A	12	2459-2463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_12_2459-2463m.jpg	4275	9999-12-31	14909
6507/7-13 A	13	2463-2467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_13_2463-2467m.jpg	4275	9999-12-31	14910
6507/7-13 A	14	2466-2470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_14_2466-2470m.jpg	4275	9999-12-31	14911
6507/7-13 A	15	2470-2474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_15_2470-2474m.jpg	4275	9999-12-31	14912
6507/7-13 A	16	2474-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_16_2474-2478m.jpg	4275	9999-12-31	14913
6507/7-13 A	17	2478-2482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_17_2478-2482m.jpg	4275	9999-12-31	14914
6507/7-13 A	18	2482-2486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_18_2482-2486m.jpg	4275	9999-12-31	14915
6507/7-13 A	19	2486-2487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4275_19_2486-2487m.jpg	4275	9999-12-31	14916
6507/7-4	1	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_01_2435-2461m.jpg	853	2013-02-14	14917
6507/7-4	2	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_02_2435-2461m.jpg	853	2013-02-14	14918
6507/7-4	3	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_03_2435-2461m.jpg	853	2013-02-14	14919
6507/7-4	4	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_04_2435-2461m.jpg	853	2013-02-14	14920
6507/7-4	5	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_05_2435-2461m.jpg	853	2013-02-14	14921
6507/7-4	6	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_06_2435-2461m.jpg	853	2013-02-14	14922
6507/7-4	7	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_07_2435-2461m.jpg	853	2013-02-14	14923
6507/7-4	8	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_08_2435-2461m.jpg	853	2013-02-14	14924
6507/7-4	9	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_09_2435-2461m.jpg	853	2013-02-14	14925
6507/7-4	10	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_10_2435-2461m.jpg	853	2013-02-14	14926
6507/7-4	11	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_11_2435-2461m.jpg	853	2013-02-14	14927
6507/7-4	12	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_12_2435-2461m.jpg	853	2013-02-14	14928
6507/7-4	13	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_13_2435-2461m.jpg	853	2013-02-14	14929
6507/7-4	14	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_14_2435-2461m.jpg	853	2013-02-14	14930
6507/7-4	15	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_15_2435-2461m.jpg	853	2013-02-14	14931
6507/7-4	16	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_16_2435-2461m.jpg	853	2013-02-14	14932
6507/7-4	17	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_17_2435-2461m.jpg	853	2013-02-14	14933
6507/7-4	18	2435-2461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_18_2435-2461m.jpg	853	2013-02-14	14934
6507/7-4	19	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_19_2464-2490m.jpg	853	2013-02-14	14935
6507/7-4	20	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_20_2464-2490m.jpg	853	2013-02-14	14936
6507/7-4	21	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_21_2464-2490m.jpg	853	2013-02-14	14937
6507/7-4	22	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_22_2464-2490m.jpg	853	2013-02-14	14938
6507/7-4	23	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_23_2464-2490m.jpg	853	2013-02-14	14939
6507/7-4	24	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_24_2464-2490m.jpg	853	2013-02-14	14940
6507/7-4	25	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_25_2464-2490m.jpg	853	2013-02-14	14941
6507/7-4	26	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_26_2464-2490m.jpg	853	2013-02-14	14942
6507/7-4	27	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_27_2464-2490m.jpg	853	2013-02-14	14943
6507/7-4	28	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_28_2464-2490m.jpg	853	2013-02-14	14944
6507/7-4	29	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_29_2464-2490m.jpg	853	2013-02-14	14945
6507/7-4	30	2465-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_30_2465-2490m.jpg	853	2013-02-14	14946
6507/7-4	31	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_31_2464-2490m.jpg	853	2013-02-14	14947
6507/7-4	32	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_32_2464-2490m.jpg	853	2013-02-14	14948
6507/7-4	33	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_33_2464-2490m.jpg	853	2013-02-14	14949
6507/7-4	34	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_34_2464-2490m.jpg	853	2013-02-14	14950
6507/7-4	35	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_35_2464-2490m.jpg	853	2013-02-14	14951
6507/7-4	36	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_36_2464-2490m.jpg	853	2013-02-14	14952
6507/7-4	37	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_37_2464-2490m.jpg	853	2013-02-14	14953
6507/7-4	38	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_38_2464-2490m.jpg	853	2013-02-14	14954
6507/7-4	39	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_39_2464-2490m.jpg	853	2013-02-14	14955
6507/7-4	40	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_40_2464-2490m.jpg	853	2013-02-14	14956
6507/7-4	41	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_41_2464-2490m.jpg	853	2013-02-14	14957
6507/7-4	42	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_42_2464-2490m.jpg	853	2013-02-14	14958
6507/7-4	43	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_43_2464-2490m.jpg	853	2013-02-14	14959
6507/7-4	44	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_44_2464-2490m.jpg	853	2013-02-14	14960
6507/7-4	45	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_45_2464-2490m.jpg	853	2013-02-14	14961
6507/7-4	46	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_46_2464-2490m.jpg	853	2013-02-14	14962
6507/7-4	47	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_47_2464-2490m.jpg	853	2013-02-14	14963
6507/7-4	48	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_48_2464-2490m.jpg	853	2013-02-14	14964
6507/7-4	49	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_49_2464-2490m.jpg	853	2013-02-14	14965
6507/7-4	50	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_50_2464-2490m.jpg	853	2013-02-14	14966
6507/7-4	51	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_51_2464-2490m.jpg	853	2013-02-14	14967
6507/7-4	52	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_52_2464-2490m.jpg	853	2013-02-14	14968
6507/7-4	53	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_53_2464-2490m.jpg	853	2013-02-14	14969
6507/7-4	54	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_54_2464-2490m.jpg	853	2013-02-14	14970
6507/7-4	55	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_55_2464-2490m.jpg	853	2013-02-14	14971
6507/7-4	56	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_56_2464-2490m.jpg	853	2013-02-14	14972
6507/7-4	57	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_57_2464-2490m.jpg	853	2013-02-14	14973
6507/7-4	58	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_58_2464-2490m.jpg	853	2013-02-14	14974
6507/7-4	59	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_59_2464-2490m.jpg	853	2013-02-14	14975
6507/7-4	60	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_60_2464-2490m.jpg	853	2013-02-14	14976
6507/7-4	61	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_61_2464-2490m.jpg	853	2013-02-14	14977
6507/7-4	62	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_62_2464-2490m.jpg	853	2013-02-14	14978
6507/7-4	63	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_63_2464-2490m.jpg	853	2013-02-14	14979
6507/7-4	64	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_64_2464-2490m.jpg	853	2013-02-14	14980
6507/7-4	65	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_65_2464-2490m.jpg	853	2013-02-14	14981
6507/7-4	66	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_66_2464-2490m.jpg	853	2013-02-14	14982
6507/7-4	67	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_67_2464-2490m.jpg	853	2013-02-14	14983
6507/7-4	68	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_68_2464-2490m.jpg	853	2013-02-14	14984
6507/7-4	69	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_69_2464-2490m.jpg	853	2013-02-14	14985
6507/7-4	70	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_70_2464-2490m.jpg	853	2013-02-14	14986
6507/7-4	71	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_71_2464-2490m.jpg	853	2013-02-14	14987
6507/7-4	72	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_72_2464-2490m.jpg	853	2013-02-14	14988
6507/7-4	73	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_73_2464-2490m.jpg	853	2013-02-14	14989
6507/7-4	74	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_74_2464-2490m.jpg	853	2013-02-14	14990
6507/7-4	75	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_75_2464-2490m.jpg	853	2013-02-14	14991
6507/7-4	76	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_76_2464-2490m.jpg	853	2013-02-14	14992
6507/7-4	77	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_77_2464-2490m.jpg	853	2013-02-14	14993
6507/7-4	78	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_78_2464-2490m.jpg	853	2013-02-14	14994
6507/7-4	79	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_79_2464-2490m.jpg	853	2013-02-14	14995
6507/7-4	80	2464-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_80_2464-2490m.jpg	853	2013-02-14	14996
6507/7-4	81	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_81_2491-2518m.jpg	853	2013-02-14	14997
6507/7-4	82	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_82_2491-2518m.jpg	853	2013-02-14	14998
6507/7-4	83	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_83_2491-2518m.jpg	853	2013-02-14	14999
6507/7-4	84	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_84_2491-2518m.jpg	853	2013-02-14	15000
6507/7-4	85	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_85_2491-2518m.jpg	853	2013-02-14	15001
6507/7-4	86	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_86_2491-2518m.jpg	853	2013-02-14	15002
6507/7-4	87	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_87_2491-2518m.jpg	853	2013-02-14	15003
6507/7-4	88	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_88_2491-2518m.jpg	853	2013-02-14	15004
6507/7-4	89	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_89_2491-2518m.jpg	853	2013-02-14	15005
6507/7-4	90	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_90_2491-2518m.jpg	853	2013-02-14	15006
6507/7-4	91	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_91_2491-2518m.jpg	853	2013-02-14	15007
6507/7-4	92	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_92_2491-2518m.jpg	853	2013-02-14	15008
6507/7-4	93	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_93_2491-2518m.jpg	853	2013-02-14	15009
6507/7-4	94	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_94_2491-2518m.jpg	853	2013-02-14	15010
6507/7-4	95	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_95_2491-2518m.jpg	853	2013-02-14	15011
6507/7-4	96	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_96_2491-2518m.jpg	853	2013-02-14	15012
6507/7-4	97	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_97_2491-2518m.jpg	853	2013-02-14	15013
6507/7-4	98	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_98_2491-2518m.jpg	853	2013-02-14	15014
6507/7-4	99	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_99_2491-2518m.jpg	853	2013-02-14	15015
6507/7-4	100	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_100_2491-2518m.jpg	853	2013-02-14	15016
6507/7-4	101	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_101_2491-2518m.jpg	853	2013-02-14	15017
6507/7-4	102	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_102_2491-2518m.jpg	853	2013-02-14	15018
6507/7-4	103	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_103_2491-2518m.jpg	853	2013-02-14	15019
6507/7-4	104	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_104_2491-2518m.jpg	853	2013-02-14	15020
6507/7-4	105	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_105_2491-2518m.jpg	853	2013-02-14	15021
6507/7-4	106	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_106_2491-2518m.jpg	853	2013-02-14	15022
6507/7-4	107	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_107_2491-2518m.jpg	853	2013-02-14	15023
6507/7-4	108	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_108_2491-2518m.jpg	853	2013-02-14	15024
6507/7-4	109	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_109_2491-2518m.jpg	853	2013-02-14	15025
6507/7-4	110	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_110_2491-2518m.jpg	853	2013-02-14	15026
6507/7-4	111	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_111_2491-2518m.jpg	853	2013-02-14	15027
6507/7-4	112	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_112_2491-2518m.jpg	853	2013-02-14	15028
6507/7-4	113	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_113_2491-2518m.jpg	853	2013-02-14	15029
6507/7-4	114	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_114_2491-2518m.jpg	853	2013-02-14	15030
6507/7-4	115	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_115_2491-2518m.jpg	853	2013-02-14	15031
6507/7-4	116	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_116_2491-2518m.jpg	853	2013-02-14	15032
6507/7-4	117	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_117_2491-2518m.jpg	853	2013-02-14	15033
6507/7-4	118	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_118_2491-2518m.jpg	853	2013-02-14	15034
6507/7-4	119	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_119_2491-2518m.jpg	853	2013-02-14	15035
6507/7-4	120	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_120_2491-2518m.jpg	853	2013-02-14	15036
6507/7-4	121	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_121_2491-2518m.jpg	853	2013-02-14	15037
6507/7-4	122	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_122_2491-2518m.jpg	853	2013-02-14	15038
6507/7-4	123	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_123_2491-2518m.jpg	853	2013-02-14	15039
6507/7-4	124	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_124_2491-2518m.jpg	853	2013-02-14	15040
6507/7-4	125	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_125_2491-2518m.jpg	853	2013-02-14	15041
6507/7-4	126	2491-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_126_2491-2518m.jpg	853	2013-02-14	15042
6507/7-4	127	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_127_2518-2546m.jpg	853	2013-02-14	15043
6507/7-4	128	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_128_2518-2546m.jpg	853	2013-02-14	15044
6507/7-4	129	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_129_2518-2546m.jpg	853	2013-02-14	15045
6507/7-4	130	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_130_2518-2546m.jpg	853	2013-02-14	15046
6507/7-4	131	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_131_2518-2546m.jpg	853	2013-02-14	15047
6507/7-4	132	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_132_2518-2546m.jpg	853	2013-02-14	15048
6507/7-4	133	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_133_2518-2546m.jpg	853	2013-02-14	15049
6507/7-4	134	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_134_2518-2546m.jpg	853	2013-02-14	15050
6507/7-4	135	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_135_2518-2546m.jpg	853	2013-02-14	15051
6507/7-4	136	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_136_2518-2546m.jpg	853	2013-02-14	15052
6507/7-4	137	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_137_2518-2546m.jpg	853	2013-02-14	15053
6507/7-4	138	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_138_2518-2546m.jpg	853	2013-02-14	15054
6507/7-4	139	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_139_2518-2546m.jpg	853	2013-02-14	15055
6507/7-4	140	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_140_2518-2546m.jpg	853	2013-02-14	15056
6507/7-4	141	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_141_2518-2546m.jpg	853	2013-02-14	15057
6507/7-4	142	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_142_2518-2546m.jpg	853	2013-02-14	15058
6507/7-4	143	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_143_2518-2546m.jpg	853	2013-02-14	15059
6507/7-4	144	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_144_2518-2546m.jpg	853	2013-02-14	15060
6507/7-4	145	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_145_2518-2546m.jpg	853	2013-02-14	15061
6507/7-4	146	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_146_2518-2546m.jpg	853	2013-02-14	15062
6507/7-4	147	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_147_2518-2546m.jpg	853	2013-02-14	15063
6507/7-4	148	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_148_2518-2546m.jpg	853	2013-02-14	15064
6507/7-4	149	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_149_2518-2546m.jpg	853	2013-02-14	15065
6507/7-4	150	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_150_2518-2546m.jpg	853	2013-02-14	15066
6507/7-4	151	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_151_2518-2546m.jpg	853	2013-02-14	15067
6507/7-4	152	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_152_2518-2546m.jpg	853	2013-02-14	15068
6507/7-4	153	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_153_2518-2546m.jpg	853	2013-02-14	15069
6507/7-4	154	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_154_2518-2546m.jpg	853	2013-02-14	15070
6507/7-4	155	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_155_2518-2546m.jpg	853	2013-02-14	15071
6507/7-4	156	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_156_2518-2546m.jpg	853	2013-02-14	15072
6507/7-4	157	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_157_2518-2546m.jpg	853	2013-02-14	15073
6507/7-4	158	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_158_2518-2546m.jpg	853	2013-02-14	15074
6507/7-4	159	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_159_2518-2546m.jpg	853	2013-02-14	15075
6507/7-4	160	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_160_2518-2546m.jpg	853	2013-02-14	15076
6507/7-4	161	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_161_2518-2546m.jpg	853	2013-02-14	15077
6507/7-4	162	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_162_2518-2546m.jpg	853	2013-02-14	15078
6507/7-4	163	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_163_2518-2546m.jpg	853	2013-02-14	15079
6507/7-4	164	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_164_2518-2546m.jpg	853	2013-02-14	15080
6507/7-4	165	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_165_2518-2546m.jpg	853	2013-02-14	15081
6507/7-4	166	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_166_2518-2546m.jpg	853	2013-02-14	15082
6507/7-4	167	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_167_2518-2546m.jpg	853	2013-02-14	15083
6507/7-4	168	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_168_2518-2546m.jpg	853	2013-02-14	15084
6507/7-4	169	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_169_2518-2546m.jpg	853	2013-02-14	15085
6507/7-4	170	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_170_2518-2546m.jpg	853	2013-02-14	15086
6507/7-4	171	2518-2546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_171_2518-2546m.jpg	853	2013-02-14	15087
6507/7-4	172	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_172_2546-2573m.jpg	853	2013-02-14	15088
6507/7-4	173	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_173_2546-2573m.jpg	853	2013-02-14	15089
6507/7-4	174	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_174_2546-2573m.jpg	853	2013-02-14	15090
6507/7-4	175	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_175_2546-2573m.jpg	853	2013-02-14	15091
6507/7-4	176	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_176_2546-2573m.jpg	853	2013-02-14	15092
6507/7-4	177	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_177_2546-2573m.jpg	853	2013-02-14	15093
6507/7-4	178	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_178_2546-2573m.jpg	853	2013-02-14	15094
6507/7-4	179	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_179_2546-2573m.jpg	853	2013-02-14	15095
6507/7-4	180	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_180_2546-2573m.jpg	853	2013-02-14	15096
6507/7-4	181	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_181_2546-2573m.jpg	853	2013-02-14	15097
6507/7-4	182	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_182_2546-2573m.jpg	853	2013-02-14	15098
6507/7-4	183	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_183_2546-2573m.jpg	853	2013-02-14	15099
6507/7-4	184	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_184_2546-2573m.jpg	853	2013-02-14	15100
6507/7-4	185	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_185_2546-2573m.jpg	853	2013-02-14	15101
6507/7-4	186	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_186_2546-2573m.jpg	853	2013-02-14	15102
6507/7-4	187	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_187_2546-2573m.jpg	853	2013-02-14	15103
6507/7-4	188	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_188_2546-2573m.jpg	853	2013-02-14	15104
6507/7-4	189	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_189_2546-2573m.jpg	853	2013-02-14	15105
6507/7-4	190	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_190_2546-2573m.jpg	853	2013-02-14	15106
6507/7-4	191	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_191_2546-2573m.jpg	853	2013-02-14	15107
6507/7-4	192	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_192_2546-2573m.jpg	853	2013-02-14	15108
6507/7-4	193	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_193_2546-2573m.jpg	853	2013-02-14	15109
6507/7-4	194	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_194_2546-2573m.jpg	853	2013-02-14	15110
6507/7-4	195	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_195_2546-2573m.jpg	853	2013-02-14	15111
6507/7-4	196	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_196_2546-2573m.jpg	853	2013-02-14	15112
6507/7-4	197	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_197_2546-2573m.jpg	853	2013-02-14	15113
6507/7-4	198	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_198_2546-2573m.jpg	853	2013-02-14	15114
6507/7-4	199	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_199_2546-2573m.jpg	853	2013-02-14	15115
6507/7-4	200	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_200_2546-2573m.jpg	853	2013-02-14	15116
6507/7-4	201	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_201_2546-2573m.jpg	853	2013-02-14	15117
6507/7-4	202	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_202_2546-2573m.jpg	853	2013-02-14	15118
6507/7-4	203	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_203_2546-2573m.jpg	853	2013-02-14	15119
6507/7-4	204	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_204_2546-2573m.jpg	853	2013-02-14	15120
6507/7-4	205	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_205_2546-2573m.jpg	853	2013-02-14	15121
6507/7-4	206	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_206_2546-2573m.jpg	853	2013-02-14	15122
6507/7-4	207	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_207_2546-2573m.jpg	853	2013-02-14	15123
6507/7-4	208	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_208_2546-2573m.jpg	853	2013-02-14	15124
6507/7-4	209	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_209_2546-2573m.jpg	853	2013-02-14	15125
6507/7-4	210	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_210_2546-2573m.jpg	853	2013-02-14	15126
6507/7-4	211	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_211_2546-2573m.jpg	853	2013-02-14	15127
6507/7-4	212	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_212_2546-2573m.jpg	853	2013-02-14	15128
6507/7-4	213	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_213_2546-2573m.jpg	853	2013-02-14	15129
6507/7-4	214	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_214_2546-2573m.jpg	853	2013-02-14	15130
6507/7-4	215	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_215_2546-2573m.jpg	853	2013-02-14	15131
6507/7-4	216	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_216_2546-2573m.jpg	853	2013-02-14	15132
6507/7-4	217	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_217_2546-2573m.jpg	853	2013-02-14	15133
6507/7-4	218	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_218_2546-2573m.jpg	853	2013-02-14	15134
6507/7-4	219	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_219_2546-2573m.jpg	853	2013-02-14	15135
6507/7-4	220	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_220_2546-2573m.jpg	853	2013-02-14	15136
6507/7-4	221	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_221_2546-2573m.jpg	853	2013-02-14	15137
6507/7-4	222	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_222_2546-2573m.jpg	853	2013-02-14	15138
6507/7-4	223	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_223_2546-2573m.jpg	853	2013-02-14	15139
6507/7-4	224	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_224_2546-2573m.jpg	853	2013-02-14	15140
6507/7-4	225	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_225_2546-2573m.jpg	853	2013-02-14	15141
6507/7-4	226	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_226_2546-2573m.jpg	853	2013-02-14	15142
6507/7-4	227	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_227_2546-2573m.jpg	853	2013-02-14	15143
6507/7-4	228	2546-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_228_2546-2573m.jpg	853	2013-02-14	15144
6507/7-4	229	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_229_2573-2601m.jpg	853	2013-02-14	15145
6507/7-4	230	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_230_2573-2601m.jpg	853	2013-02-14	15146
6507/7-4	231	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_231_2573-2601m.jpg	853	2013-02-14	15147
6507/7-4	232	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_232_2573-2601m.jpg	853	2013-02-14	15148
6507/7-4	233	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_233_2573-2601m.jpg	853	2013-02-14	15149
6507/7-4	234	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_234_2573-2601m.jpg	853	2013-02-14	15150
6507/7-4	235	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_235_2573-2601m.jpg	853	2013-02-14	15151
6507/7-4	236	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_236_2573-2601m.jpg	853	2013-02-14	15152
6507/7-4	237	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_237_2573-2601m.jpg	853	2013-02-14	15153
6507/7-4	238	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_238_2573-2601m.jpg	853	2013-02-14	15154
6507/7-4	239	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_239_2573-2601m.jpg	853	2013-02-14	15155
6507/7-4	240	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_240_2573-2601m.jpg	853	2013-02-14	15156
6507/7-4	241	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_241_2573-2601m.jpg	853	2013-02-14	15157
6507/7-4	242	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_242_2573-2601m.jpg	853	2013-02-14	15158
6507/7-4	243	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_243_2573-2601m.jpg	853	2013-02-14	15159
6507/7-4	244	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_244_2573-2601m.jpg	853	2013-02-14	15160
6507/7-4	245	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_245_2573-2601m.jpg	853	2013-02-14	15161
6507/7-4	246	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_246_2573-2601m.jpg	853	2013-02-14	15162
6507/7-4	247	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_247_2573-2601m.jpg	853	2013-02-14	15163
6507/7-4	248	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_248_2573-2601m.jpg	853	2013-02-14	15164
6507/7-4	249	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_249_2573-2601m.jpg	853	2013-02-14	15165
6507/7-4	250	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_250_2573-2601m.jpg	853	2013-02-14	15166
6507/7-4	251	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_251_2573-2601m.jpg	853	2013-02-14	15167
6507/7-4	252	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_252_2573-2601m.jpg	853	2013-02-14	15168
6507/7-4	253	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_253_2573-2601m.jpg	853	2013-02-14	15169
6507/7-4	254	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_254_2573-2601m.jpg	853	2013-02-14	15170
6507/7-4	255	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_255_2573-2601m.jpg	853	2013-02-14	15171
6507/7-4	256	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_256_2573-2601m.jpg	853	2013-02-14	15172
6507/7-4	257	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_257_2573-2601m.jpg	853	2013-02-14	15173
6507/7-4	258	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_258_2573-2601m.jpg	853	2013-02-14	15174
6507/7-4	259	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_259_2573-2601m.jpg	853	2013-02-14	15175
6507/7-4	260	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_260_2573-2601m.jpg	853	2013-02-14	15176
6507/7-4	261	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_261_2573-2601m.jpg	853	2013-02-14	15177
6507/7-4	262	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_262_2573-2601m.jpg	853	2013-02-14	15178
6507/7-4	263	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_263_2573-2601m.jpg	853	2013-02-14	15179
6507/7-4	264	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_264_2573-2601m.jpg	853	2013-02-14	15180
6507/7-4	265	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_265_2573-2601m.jpg	853	2013-02-14	15181
6507/7-4	267	2573-2601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_267_2573-2601m.jpg	853	2013-02-14	15182
6507/7-4	268	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_268_2601-2629m.jpg	853	2013-02-14	15183
6507/7-4	269	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_269_2601-2629m.jpg	853	2013-02-14	15184
6507/7-4	270	2701-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_270_2701-2629m.jpg	853	2013-02-14	15185
6507/7-4	271	2701-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_271_2701-2629m.jpg	853	2013-02-14	15186
6507/7-4	272	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_272_2601-2629m.jpg	853	2013-02-14	15187
6507/7-4	273	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_273_2601-2629m.jpg	853	2013-02-14	15188
6507/7-4	274	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_274_2601-2629m.jpg	853	2013-02-14	15189
6507/7-4	275	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_275_2601-2629m.jpg	853	2013-02-14	15190
6507/7-4	276	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_276_2601-2629m.jpg	853	2013-02-14	15191
6507/7-4	277	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_277_2601-2629m.jpg	853	2013-02-14	15192
6507/7-4	278	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_278_2601-2629m.jpg	853	2013-02-14	15193
6507/7-4	279	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_279_2601-2629m.jpg	853	2013-02-14	15194
6507/7-4	280	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_280_2601-2629m.jpg	853	2013-02-14	15195
6507/7-4	281	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_281_2601-2629m.jpg	853	2013-02-14	15196
6507/7-4	282	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_282_2601-2629m.jpg	853	2013-02-14	15197
6507/7-4	283	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_283_2601-2629m.jpg	853	2013-02-14	15198
6507/7-4	284	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_284_2601-2629m.jpg	853	2013-02-14	15199
6507/7-4	285	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_285_2601-2629m.jpg	853	2013-02-14	15200
6507/7-4	286	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_286_2601-2629m.jpg	853	2013-02-14	15201
6507/7-4	287	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_287_2601-2629m.jpg	853	2013-02-14	15202
6507/7-4	288	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_288_2601-2629m.jpg	853	2013-02-14	15203
6507/7-4	289	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_289_2601-2629m.jpg	853	2013-02-14	15204
6507/7-4	290	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_290_2601-2629m.jpg	853	2013-02-14	15205
6507/7-4	291	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_291_2601-2629m.jpg	853	2013-02-14	15206
6507/7-4	292	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_292_2601-2629m.jpg	853	2013-02-14	15207
6507/7-4	293	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_293_2601-2629m.jpg	853	2013-02-14	15208
6507/7-4	294	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_294_2601-2629m.jpg	853	2013-02-14	15209
6507/7-4	295	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_295_2601-2629m.jpg	853	2013-02-14	15210
6507/7-4	296	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_296_2601-2629m.jpg	853	2013-02-14	15211
6507/7-4	297	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_297_2601-2629m.jpg	853	2013-02-14	15212
6507/7-4	298	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_298_2601-2629m.jpg	853	2013-02-14	15213
6507/7-4	299	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_299_2601-2629m.jpg	853	2013-02-14	15214
6507/7-4	300	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_300_2601-2629m.jpg	853	2013-02-14	15215
6507/7-4	301	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_301_2601-2629m.jpg	853	2013-02-14	15216
6507/7-4	302	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_302_2601-2629m.jpg	853	2013-02-14	15217
6507/7-4	303	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_303_2601-2629m.jpg	853	2013-02-14	15218
6507/7-4	304	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_304_2601-2629m.jpg	853	2013-02-14	15219
6507/7-4	305	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_305_2601-2629m.jpg	853	2013-02-14	15220
6507/7-4	306	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_306_2601-2629m.jpg	853	2013-02-14	15221
6507/7-4	307	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_307_2601-2629m.jpg	853	2013-02-14	15222
6507/7-4	308	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_308_2601-2629m.jpg	853	2013-02-14	15223
6507/7-4	309	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_309_2601-2629m.jpg	853	2013-02-14	15224
6507/7-4	310	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_310_2601-2629m.jpg	853	2013-02-14	15225
6507/7-4	311	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_311_2601-2629m.jpg	853	2013-02-14	15226
6507/7-4	312	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_312_2601-2629m.jpg	853	2013-02-14	15227
6507/7-4	313	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_313_2601-2629m.jpg	853	2013-02-14	15228
6507/7-4	314	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_314_2601-2629m.jpg	853	2013-02-14	15229
6507/7-4	315	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_315_2601-2629m.jpg	853	2013-02-14	15230
6507/7-4	316	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_316_2601-2629m.jpg	853	2013-02-14	15231
6507/7-4	317	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_317_2601-2629m.jpg	853	2013-02-14	15232
6507/7-4	318	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_318_2601-2629m.jpg	853	2013-02-14	15233
6507/7-4	319	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_319_2601-2629m.jpg	853	2013-02-14	15234
6507/7-4	320	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_320_2601-2629m.jpg	853	2013-02-14	15235
6507/7-4	321	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_321_2601-2629m.jpg	853	2013-02-14	15236
6507/7-4	322	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_322_2601-2629m.jpg	853	2013-02-14	15237
6507/7-4	323	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_323_2601-2629m.jpg	853	2013-02-14	15238
6507/7-4	324	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_324_2601-2629m.jpg	853	2013-02-14	15239
6507/7-4	325	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_325_2601-2629m.jpg	853	2013-02-14	15240
6507/7-4	326	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_326_2601-2629m.jpg	853	2013-02-14	15241
6507/7-4	327	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_327_2601-2629m.jpg	853	2013-02-14	15242
6507/7-4	328	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_328_2601-2629m.jpg	853	2013-02-14	15243
6507/7-4	329	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_329_2601-2629m.jpg	853	2013-02-14	15244
6507/7-4	330	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_330_2601-2629m.jpg	853	2013-02-14	15245
6507/7-4	331	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_331_2601-2629m.jpg	853	2013-02-14	15246
6507/7-4	332	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_332_2601-2629m.jpg	853	2013-02-14	15247
6507/7-4	333	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_333_2601-2629m.jpg	853	2013-02-14	15248
6507/7-4	334	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_334_2601-2629m.jpg	853	2013-02-14	15249
6507/7-4	335	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_335_2601-2629m.jpg	853	2013-02-14	15250
6507/7-4	336	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_336_2601-2629m.jpg	853	2013-02-14	15251
6507/7-4	337	2601-2629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_337_2601-2629m.jpg	853	2013-02-14	15252
6507/7-4	338	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_338_2629-2656m.jpg	853	2013-02-14	15253
6507/7-4	339	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_339_2629-2656m.jpg	853	2013-02-14	15254
6507/7-4	340	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_340_2629-2656m.jpg	853	2013-02-14	15255
6507/7-4	341	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_341_2629-2656m.jpg	853	2013-02-14	15256
6507/7-4	342	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_342_2629-2656m.jpg	853	2013-02-14	15257
6507/7-4	343	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_343_2629-2656m.jpg	853	2013-02-14	15258
6507/7-4	344	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_344_2629-2656m.jpg	853	2013-02-14	15259
6507/7-4	345	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_345_2629-2656m.jpg	853	2013-02-14	15260
6507/7-4	346	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_346_2629-2656m.jpg	853	2013-02-14	15261
6507/7-4	347	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_347_2629-2656m.jpg	853	2013-02-14	15262
6507/7-4	348	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_348_2629-2656m.jpg	853	2013-02-14	15263
6507/7-4	349	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_349_2629-2656m.jpg	853	2013-02-14	15264
6507/7-4	350	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_350_2629-2656m.jpg	853	2013-02-14	15265
6507/7-4	351	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_351_2629-2656m.jpg	853	2013-02-14	15266
6507/7-4	352	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_352_2629-2656m.jpg	853	2013-02-14	15267
6507/7-4	353	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_353_2629-2656m.jpg	853	2013-02-14	15268
6507/7-4	354	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_354_2629-2656m.jpg	853	2013-02-14	15269
6507/7-4	355	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_355_2629-2656m.jpg	853	2013-02-14	15270
6507/7-4	356	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_356_2629-2656m.jpg	853	2013-02-14	15271
6507/7-4	357	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_357_2629-2656m.jpg	853	2013-02-14	15272
6507/7-4	358	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_358_2629-2656m.jpg	853	2013-02-14	15273
6507/7-4	359	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_359_2629-2656m.jpg	853	2013-02-14	15274
6507/7-4	360	2629-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_360_2629-2656m.jpg	853	2013-02-14	15275
6507/7-4	361	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_361_2656-2684m.jpg	853	2013-02-14	15276
6507/7-4	362	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_362_2656-2684m.jpg	853	2013-02-14	15277
6507/7-4	363	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_363_2656-2684m.jpg	853	2013-02-14	15278
6507/7-4	364	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_364_2656-2684m.jpg	853	2013-02-14	15279
6507/7-4	365	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_365_2656-2684m.jpg	853	2013-02-14	15280
6507/7-4	366	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_366_2656-2684m.jpg	853	2013-02-14	15281
6507/7-4	367	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_367_2656-2684m.jpg	853	2013-02-14	15282
6507/7-4	368	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_368_2656-2684m.jpg	853	2013-02-14	15283
6507/7-4	369	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_369_2656-2684m.jpg	853	2013-02-14	15284
6507/7-4	370	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_370_2656-2684m.jpg	853	2013-02-14	15285
6507/7-4	371	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_371_2656-2684m.jpg	853	2013-02-14	15286
6507/7-4	372	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_372_2656-2684m.jpg	853	2013-02-14	15287
6507/7-4	373	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_373_2656-2684m.jpg	853	2013-02-14	15288
6507/7-4	374	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_374_2656-2684m.jpg	853	2013-02-14	15289
6507/7-4	375	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_375_2656-2684m.jpg	853	2013-02-14	15290
6507/7-4	376	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_376_2656-2684m.jpg	853	2013-02-14	15291
6507/7-4	377	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_377_2656-2684m.jpg	853	2013-02-14	15292
6507/7-4	378	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_378_2656-2684m.jpg	853	2013-02-14	15293
6507/7-4	379	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_379_2656-2684m.jpg	853	2013-02-14	15294
6507/7-4	380	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_380_2656-2684m.jpg	853	2013-02-14	15295
6507/7-4	381	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_381_2656-2684m.jpg	853	2013-02-14	15296
6507/7-4	382	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_382_2656-2684m.jpg	853	2013-02-14	15297
6507/7-4	383	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_383_2656-2684m.jpg	853	2013-02-14	15298
6507/7-4	384	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_384_2656-2684m.jpg	853	2013-02-14	15299
6507/7-4	385	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_385_2656-2684m.jpg	853	2013-02-14	15300
6507/7-4	386	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_386_2656-2684m.jpg	853	2013-02-14	15301
6507/7-4	387	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_387_2656-2684m.jpg	853	2013-02-14	15302
6507/7-4	388	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_388_2656-2684m.jpg	853	2013-02-14	15303
6507/7-4	389	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_389_2656-2684m.jpg	853	2013-02-14	15304
6507/7-4	390	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_390_2656-2684m.jpg	853	2013-02-14	15305
6507/7-4	391	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_391_2656-2684m.jpg	853	2013-02-14	15306
6507/7-4	392	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_392_2656-2684m.jpg	853	2013-02-14	15307
6507/7-4	393	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_393_2656-2684m.jpg	853	2013-02-14	15308
6507/7-4	394	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_394_2656-2684m.jpg	853	2013-02-14	15309
6507/7-4	395	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_395_2656-2684m.jpg	853	2013-02-14	15310
6507/7-4	396	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_396_2656-2684m.jpg	853	2013-02-14	15311
6507/7-4	397	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_397_2656-2684m.jpg	853	2013-02-14	15312
6507/7-4	398	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_398_2656-2684m.jpg	853	2013-02-14	15313
6507/7-4	399	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_399_2656-2684m.jpg	853	2013-02-14	15314
6507/7-4	400	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_400_2656-2684m.jpg	853	2013-02-14	15315
6507/7-4	401	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_401_2656-2684m.jpg	853	2013-02-14	15316
6507/7-4	402	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_402_2656-2684m.jpg	853	2013-02-14	15317
6507/7-4	403	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_403_2656-2684m.jpg	853	2013-02-14	15318
6507/7-4	404	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_404_2656-2684m.jpg	853	2013-02-14	15319
6507/7-4	405	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_405_2656-2684m.jpg	853	2013-02-14	15320
6507/7-4	406	2656-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_406_2656-2684m.jpg	853	2013-02-14	15321
6507/7-4	407	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_407_2684-2712m.jpg	853	2013-02-14	15322
6507/7-4	408	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_408_2684-2712m.jpg	853	2013-02-14	15323
6507/7-4	409	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_409_2684-2712m.jpg	853	2013-02-14	15324
6507/7-4	410	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_410_2684-2712m.jpg	853	2013-02-14	15325
6507/7-4	411	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_411_2684-2712m.jpg	853	2013-02-14	15326
6507/7-4	412	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_412_2684-2712m.jpg	853	2013-02-14	15327
6507/7-4	413	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_413_2684-2712m.jpg	853	2013-02-14	15328
6507/7-4	414	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_414_2684-2712m.jpg	853	2013-02-14	15329
6507/7-4	415	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_415_2684-2712m.jpg	853	2013-02-14	15330
6507/7-4	416	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_416_2684-2712m.jpg	853	2013-02-14	15331
6507/7-4	417	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_417_2684-2712m.jpg	853	2013-02-14	15332
6507/7-4	418	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_418_2684-2712m.jpg	853	2013-02-14	15333
6507/7-4	419	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_419_2684-2712m.jpg	853	2013-02-14	15334
6507/7-4	420	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_420_2684-2712m.jpg	853	2013-02-14	15335
6507/7-4	421	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_421_2684-2712m.jpg	853	2013-02-14	15336
6507/7-4	422	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_422_2684-2712m.jpg	853	2013-02-14	15337
6507/7-4	423	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_423_2684-2712m.jpg	853	2013-02-14	15338
6507/7-4	424	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_424_2684-2712m.jpg	853	2013-02-14	15339
6507/7-4	425	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_425_2684-2712m.jpg	853	2013-02-14	15340
6507/7-4	426	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_426_2684-2712m.jpg	853	2013-02-14	15341
6507/7-4	427	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_427_2684-2712m.jpg	853	2013-02-14	15342
6507/7-4	428	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_428_2684-2712m.jpg	853	2013-02-14	15343
6507/7-4	429	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_429_2684-2712m.jpg	853	2013-02-14	15344
6507/7-4	430	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_430_2684-2712m.jpg	853	2013-02-14	15345
6507/7-4	431	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_431_2684-2712m.jpg	853	2013-02-14	15346
6507/7-4	432	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_432_2684-2712m.jpg	853	2013-02-14	15347
6507/7-4	433	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_433_2684-2712m.jpg	853	2013-02-14	15348
6507/7-4	434	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_434_2684-2712m.jpg	853	2013-02-14	15349
6507/7-4	435	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_435_2684-2712m.jpg	853	2013-02-14	15350
6507/7-4	436	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_436_2684-2712m.jpg	853	2013-02-14	15351
6507/7-4	437	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_437_2684-2712m.jpg	853	2013-02-14	15352
6507/7-4	438	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_438_2684-2712m.jpg	853	2013-02-14	15353
6507/7-4	439	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_439_2684-2712m.jpg	853	2013-02-14	15354
6507/7-4	440	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_440_2684-2712m.jpg	853	2013-02-14	15355
6507/7-4	441	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_441_2684-2712m.jpg	853	2013-02-14	15356
6507/7-4	442	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_442_2684-2712m.jpg	853	2013-02-14	15357
6507/7-4	443	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_443_2684-2712m.jpg	853	2013-02-14	15358
6507/7-4	444	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_444_2684-2712m.jpg	853	2013-02-14	15359
6507/7-4	445	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_445_2684-2712m.jpg	853	2013-02-14	15360
6507/7-4	446	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_446_2684-2712m.jpg	853	2013-02-14	15361
6507/7-4	447	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_447_2684-2712m.jpg	853	2013-02-14	15362
6507/7-4	448	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_448_2684-2712m.jpg	853	2013-02-14	15363
6507/7-4	449	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_449_2684-2712m.jpg	853	2013-02-14	15364
6507/7-4	450	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_450_2684-2712m.jpg	853	2013-02-14	15365
6507/7-4	451	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_451_2684-2712m.jpg	853	2013-02-14	15366
6507/7-4	452	2684-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_452_2684-2712m.jpg	853	2013-02-14	15367
6507/7-4	453	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_453_2712-2739m.jpg	853	2013-02-14	15368
6507/7-4	454	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_454_2712-2739m.jpg	853	2013-02-14	15369
6507/7-4	455	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_455_2712-2739m.jpg	853	2013-02-14	15370
6507/7-4	456	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_456_2712-2739m.jpg	853	2013-02-14	15371
6507/7-4	457	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_457_2712-2739m.jpg	853	2013-02-14	15372
6507/7-4	458	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_458_2712-2739m.jpg	853	2013-02-14	15373
6507/7-4	459	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_459_2712-2739m.jpg	853	2013-02-14	15374
6507/7-4	460	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_460_2712-2739m.jpg	853	2013-02-14	15375
6507/7-4	461	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_461_2712-2739m.jpg	853	2013-02-14	15376
6507/7-4	462	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_462_2712-2739m.jpg	853	2013-02-14	15377
6507/7-4	463	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_463_2712-2739m.jpg	853	2013-02-14	15378
6507/7-4	464	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_464_2712-2739m.jpg	853	2013-02-14	15379
6507/7-4	465	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_465_2712-2739m.jpg	853	2013-02-14	15380
6507/7-4	466	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_466_2712-2739m.jpg	853	2013-02-14	15381
6507/7-4	467	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_467_2712-2739m.jpg	853	2013-02-14	15382
6507/7-4	468	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_468_2712-2739m.jpg	853	2013-02-14	15383
6507/7-4	469	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_469_2712-2739m.jpg	853	2013-02-14	15384
6507/7-4	470	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_470_2712-2739m.jpg	853	2013-02-14	15385
6507/7-4	471	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_471_2712-2739m.jpg	853	2013-02-14	15386
6507/7-4	472	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_472_2712-2739m.jpg	853	2013-02-14	15387
6507/7-4	473	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_473_2712-2739m.jpg	853	2013-02-14	15388
6507/7-4	474	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_474_2712-2739m.jpg	853	2013-02-14	15389
6507/7-4	475	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_475_2712-2739m.jpg	853	2013-02-14	15390
6507/7-4	476	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_476_2712-2739m.jpg	853	2013-02-14	15391
6507/7-4	477	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_477_2712-2739m.jpg	853	2013-02-14	15392
6507/7-4	478	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_478_2712-2739m.jpg	853	2013-02-14	15393
6507/7-4	479	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_479_2712-2739m.jpg	853	2013-02-14	15394
6507/7-4	480	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_480_2712-2739m.jpg	853	2013-02-14	15395
6507/7-4	481	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_481_2712-2739m.jpg	853	2013-02-14	15396
6507/7-4	482	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_482_2712-2739m.jpg	853	2013-02-14	15397
6507/7-4	483	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_483_2712-2739m.jpg	853	2013-02-14	15398
6507/7-4	484	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_484_2712-2739m.jpg	853	2013-02-14	15399
6507/7-4	485	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_485_2712-2739m.jpg	853	2013-02-14	15400
6507/7-4	486	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_486_2712-2739m.jpg	853	2013-02-14	15401
6507/7-4	487	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_487_2712-2739m.jpg	853	2013-02-14	15402
6507/7-4	488	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_488_2712-2739m.jpg	853	2013-02-14	15403
6507/7-4	489	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_489_2712-2739m.jpg	853	2013-02-14	15404
6507/7-4	490	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_490_2712-2739m.jpg	853	2013-02-14	15405
6507/7-4	491	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_491_2712-2739m.jpg	853	2013-02-14	15406
6507/7-4	492	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_492_2712-2739m.jpg	853	2013-02-14	15407
6507/7-4	493	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_493_2712-2739m.jpg	853	2013-02-14	15408
6507/7-4	494	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_494_2712-2739m.jpg	853	2013-02-14	15409
6507/7-4	495	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_495_2712-2739m.jpg	853	2013-02-14	15410
6507/7-4	496	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_496_2712-2739m.jpg	853	2013-02-14	15411
6507/7-4	497	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_497_2712-2739m.jpg	853	2013-02-14	15412
6507/7-4	498	2712-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_498_2712-2739m.jpg	853	2013-02-14	15413
6507/7-4	499	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_499_2739-2766m.jpg	853	2013-02-14	15414
6507/7-4	500	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_500_2739-2766m.jpg	853	2013-02-14	15415
6507/7-4	501	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_501_2739-2766m.jpg	853	2013-02-14	15416
6507/7-4	502	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_502_2739-2766m.jpg	853	2013-02-14	15417
6507/7-4	503	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_503_2739-2766m.jpg	853	2013-02-14	15418
6507/7-4	504	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_504_2739-2766m.jpg	853	2013-02-14	15419
6507/7-4	505	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_505_2739-2766m.jpg	853	2013-02-14	15420
6507/7-4	506	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_506_2739-2766m.jpg	853	2013-02-14	15421
6507/7-4	507	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_507_2739-2766m.jpg	853	2013-02-14	15422
6507/7-4	508	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_508_2739-2766m.jpg	853	2013-02-14	15423
6507/7-4	509	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_509_2739-2766m.jpg	853	2013-02-14	15424
6507/7-4	510	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_510_2739-2766m.jpg	853	2013-02-14	15425
6507/7-4	511	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_511_2739-2766m.jpg	853	2013-02-14	15426
6507/7-4	512	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_512_2739-2766m.jpg	853	2013-02-14	15427
6507/7-4	513	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_513_2739-2766m.jpg	853	2013-02-14	15428
6507/7-4	514	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_514_2739-2766m.jpg	853	2013-02-14	15429
6507/7-4	515	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_515_2739-2766m.jpg	853	2013-02-14	15430
6507/7-4	516	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_516_2739-2766m.jpg	853	2013-02-14	15431
6507/7-4	517	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_517_2739-2766m.jpg	853	2013-02-14	15432
6507/7-4	518	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_518_2739-2766m.jpg	853	2013-02-14	15433
6507/7-4	519	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_519_2739-2766m.jpg	853	2013-02-14	15434
6507/7-4	520	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_520_2739-2766m.jpg	853	2013-02-14	15435
6507/7-4	521	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_521_2739-2766m.jpg	853	2013-02-14	15436
6507/7-4	522	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_522_2739-2766m.jpg	853	2013-02-14	15437
6507/7-4	523	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_523_2739-2766m.jpg	853	2013-02-14	15438
6507/7-4	524	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_524_2739-2766m.jpg	853	2013-02-14	15439
6507/7-4	525	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_525_2739-2766m.jpg	853	2013-02-14	15440
6507/7-4	526	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_526_2739-2766m.jpg	853	2013-02-14	15441
6507/7-4	527	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_527_2739-2766m.jpg	853	2013-02-14	15442
6507/7-4	528	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_528_2739-2766m.jpg	853	2013-02-14	15443
6507/7-4	529	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_529_2739-2766m.jpg	853	2013-02-14	15444
6507/7-4	530	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_530_2739-2766m.jpg	853	2013-02-14	15445
6507/7-4	531	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_531_2739-2766m.jpg	853	2013-02-14	15446
6507/7-4	532	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_532_2739-2766m.jpg	853	2013-02-14	15447
6507/7-4	533	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_533_2739-2766m.jpg	853	2013-02-14	15448
6507/7-4	534	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_534_2739-2766m.jpg	853	2013-02-14	15449
6507/7-4	535	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_535_2739-2766m.jpg	853	2013-02-14	15450
6507/7-4	536	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_536_2739-2766m.jpg	853	2013-02-14	15451
6507/7-4	537	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_537_2739-2766m.jpg	853	2013-02-14	15452
6507/7-4	538	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_538_2739-2766m.jpg	853	2013-02-14	15453
6507/7-4	539	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_539_2739-2766m.jpg	853	2013-02-14	15454
6507/7-4	540	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_540_2739-2766m.jpg	853	2013-02-14	15455
6507/7-4	541	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_541_2739-2766m.jpg	853	2013-02-14	15456
6507/7-4	542	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_542_2739-2766m.jpg	853	2013-02-14	15457
6507/7-4	543	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_543_2739-2766m.jpg	853	2013-02-14	15458
6507/7-4	544	2739-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/853_544_2739-2766m.jpg	853	2013-02-14	15459
6507/7-A-17	1	3648-3652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_01_3648-3652m.jpg	2278	9999-12-31	15460
6507/7-A-17	2	3652-3656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_02_3652-3656m.jpg	2278	9999-12-31	15461
6507/7-A-17	3	3656-3660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_03_3656-3660m.jpg	2278	9999-12-31	15462
6507/7-A-17	4	3660-3664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_04_3660-3664m.jpg	2278	9999-12-31	15463
6507/7-A-17	5	3664-3668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_05_3664-3668m.jpg	2278	9999-12-31	15464
6507/7-A-17	6	3668-3672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_06_3668-3672m.jpg	2278	9999-12-31	15465
6507/7-A-17	7	3672-3676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_07_3672-3676m.jpg	2278	9999-12-31	15466
6507/7-A-17	8	3676-3676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_08_3676-3676m.jpg	2278	9999-12-31	15467
6507/7-A-17	9	3676-3680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_09_3676-3680m.jpg	2278	9999-12-31	15468
6507/7-A-17	10	3680-3684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_10_3680-3684m.jpg	2278	9999-12-31	15469
6507/7-A-17	11	3684-3688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_11_3684-3688m.jpg	2278	9999-12-31	15470
6507/7-A-17	12	3688-3692m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_12_3688-3692m.jpg	2278	9999-12-31	15471
6507/7-A-17	13	3692-3696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_13_3692-3696m.jpg	2278	9999-12-31	15472
6507/7-A-17	14	3696-3700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_14_3696-3700m.jpg	2278	9999-12-31	15473
6507/7-A-17	15	3700-3704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_15_3700-3704m.jpg	2278	9999-12-31	15474
6507/7-A-17	16	3704-3705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_16_3704-3705m.jpg	2278	9999-12-31	15475
6507/7-A-17	17	3705-3709m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_17_3705-3709m.jpg	2278	9999-12-31	15476
6507/7-A-17	18	3709-3713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_18_3709-3713m.jpg	2278	9999-12-31	15477
6507/7-A-17	19	3713-3717m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_19_3713-3717m.jpg	2278	9999-12-31	15478
6507/7-A-17	20	3717-3721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_20_3717-3721m.jpg	2278	9999-12-31	15479
6507/7-A-17	21	3721-3724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_21_3721-3724m.jpg	2278	9999-12-31	15480
6507/7-A-17	22	3724-3728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_22_3724-3728m.jpg	2278	9999-12-31	15481
6507/7-A-17	23	3728-3732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_23_3728-3732m.jpg	2278	9999-12-31	15482
6507/7-A-17	24	3732-3736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_24_3732-3736m.jpg	2278	9999-12-31	15483
6507/7-A-17	25	3736-3740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_25_3736-3740m.jpg	2278	9999-12-31	15484
6507/7-A-17	26	3740-3744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_26_3740-3744m.jpg	2278	9999-12-31	15485
6507/7-A-17	27	3744-3748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_27_3744-3748m.jpg	2278	9999-12-31	15486
6507/7-A-17	28	3748-3752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_28_3748-3752m.jpg	2278	9999-12-31	15487
6507/7-A-17	29	3752-3753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_29_3752-3753m.jpg	2278	9999-12-31	15488
6507/7-A-17	30	3753-3757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_30_3753-3757m.jpg	2278	9999-12-31	15489
6507/7-A-17	31	3757-3761m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_31_3757-3761m.jpg	2278	9999-12-31	15490
6507/7-A-17	32	3761-3765m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_32_3761-3765m.jpg	2278	9999-12-31	15491
6507/7-A-17	33	3765-3769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_33_3765-3769m.jpg	2278	9999-12-31	15492
6507/7-A-17	34	3769-3773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_34_3769-3773m.jpg	2278	9999-12-31	15493
6507/7-A-17	35	3773-3777m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_35_3773-3777m.jpg	2278	9999-12-31	15494
6507/7-A-17	36	3777-3781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_36_3777-3781m.jpg	2278	9999-12-31	15495
6507/7-A-17	37	3781-3781m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_37_3781-3781m.jpg	2278	9999-12-31	15496
6507/7-A-17	38	3781-3785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_38_3781-3785m.jpg	2278	9999-12-31	15497
6507/7-A-17	39	3785-3789m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_39_3785-3789m.jpg	2278	9999-12-31	15498
6507/7-A-17	40	3789-3793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_40_3789-3793m.jpg	2278	9999-12-31	15499
6507/7-A-17	41	3793-3797m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_41_3793-3797m.jpg	2278	9999-12-31	15500
6507/7-A-17	42	3797-3801m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_42_3797-3801m.jpg	2278	9999-12-31	15501
6507/7-A-17	43	3801-3805m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_43_3801-3805m.jpg	2278	9999-12-31	15502
6507/7-A-17	44	3805-3809m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_44_3805-3809m.jpg	2278	9999-12-31	15503
6507/7-A-17	45	3809-3810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_45_3809-3810m.jpg	2278	9999-12-31	15504
6507/7-A-17	46	3810-3814m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_46_3810-3814m.jpg	2278	9999-12-31	15505
6507/7-A-17	47	3814-3818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_47_3814-3818m.jpg	2278	9999-12-31	15506
6507/7-A-17	48	3818-3822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_48_3818-3822m.jpg	2278	9999-12-31	15507
6507/7-A-17	49	3822-3826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_49_3822-3826m.jpg	2278	9999-12-31	15508
6507/7-A-17	50	3826-3830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_50_3826-3830m.jpg	2278	9999-12-31	15509
6507/7-A-17	51	3830-3834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_51_3830-3834m.jpg	2278	9999-12-31	15510
6507/7-A-17	52	3834-3838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_52_3834-3838m.jpg	2278	9999-12-31	15511
6507/7-A-17	53	3838-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2278_53_3838-3839m.jpg	2278	9999-12-31	15512
6507/7-A-20	1	2435-2439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_01_2435-2439m.jpg	2004	9999-12-31	15513
6507/7-A-20	2	2476-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_02_2476-2478m.jpg	2004	9999-12-31	15514
6507/7-A-20	3	2439-2443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_03_2439-2443m.jpg	2004	9999-12-31	15515
6507/7-A-20	4	2443-2447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_04_2443-2447m.jpg	2004	9999-12-31	15516
6507/7-A-20	5	2447-2451m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_05_2447-2451m.jpg	2004	9999-12-31	15517
6507/7-A-20	6	2451-2455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_06_2451-2455m.jpg	2004	9999-12-31	15518
6507/7-A-20	7	2455-2459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_07_2455-2459m.jpg	2004	9999-12-31	15519
6507/7-A-20	8	2459-2463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_08_2459-2463m.jpg	2004	9999-12-31	15520
6507/7-A-20	9	2463-2467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_09_2463-2467m.jpg	2004	9999-12-31	15521
6507/7-A-20	10	2467-2471m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_10_2467-2471m.jpg	2004	9999-12-31	15522
6507/7-A-20	11	2471-2472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_11_2471-2472m.jpg	2004	9999-12-31	15523
6507/7-A-20	12	2472-2476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_12_2472-2476m.jpg	2004	9999-12-31	15524
6507/7-A-20	13	2478-2482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_13_2478-2482m.jpg	2004	9999-12-31	15525
6507/7-A-20	14	2482-2486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_14_2482-2486m.jpg	2004	9999-12-31	15526
6507/7-A-20	15	2486-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_15_2486-2490m.jpg	2004	9999-12-31	15527
6507/7-A-20	16	2490-2494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_16_2490-2494m.jpg	2004	9999-12-31	15528
6507/7-A-20	17	2494-2498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_17_2494-2498m.jpg	2004	9999-12-31	15529
6507/7-A-20	18	2498-2502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_18_2498-2502m.jpg	2004	9999-12-31	15530
6507/7-A-20	19	2502-2506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_19_2502-2506m.jpg	2004	9999-12-31	15531
6507/7-A-20	20	2506-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_20_2506-2510m.jpg	2004	9999-12-31	15532
6507/7-A-20	21	2510-2514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_21_2510-2514m.jpg	2004	9999-12-31	15533
6507/7-A-20	22	2514-2515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_22_2514-2515m.jpg	2004	9999-12-31	15534
6507/7-A-20	23	2515-2519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_23_2515-2519m.jpg	2004	9999-12-31	15535
6507/7-A-20	24	2519-2523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_24_2519-2523m.jpg	2004	9999-12-31	15536
6507/7-A-20	25	2523-2527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_25_2523-2527m.jpg	2004	9999-12-31	15537
6507/7-A-20	26	2527-2531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_26_2527-2531m.jpg	2004	9999-12-31	15538
6507/7-A-20	27	2531-2535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_27_2531-2535m.jpg	2004	9999-12-31	15539
6507/7-A-20	28	2535-2539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_28_2535-2539m.jpg	2004	9999-12-31	15540
6507/7-A-20	29	2539-2540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_29_2539-2540m.jpg	2004	9999-12-31	15541
6507/7-A-20	30	2541-2545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_30_2541-2545m.jpg	2004	9999-12-31	15542
6507/7-A-20	31	2545-2549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_31_2545-2549m.jpg	2004	9999-12-31	15543
6507/7-A-20	32	2549-2553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_32_2549-2553m.jpg	2004	9999-12-31	15544
6507/7-A-20	33	2553-2557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_33_2553-2557m.jpg	2004	9999-12-31	15545
6507/7-A-20	34	2557-2561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_34_2557-2561m.jpg	2004	9999-12-31	15546
6507/7-A-20	35	2561-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_35_2561-2565m.jpg	2004	9999-12-31	15547
6507/7-A-20	36	2565-2569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_36_2565-2569m.jpg	2004	9999-12-31	15548
6507/7-A-20	37	2622-2626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_37_2622-2626m.jpg	2004	9999-12-31	15549
6507/7-A-20	38	2626-2630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_38_2626-2630m.jpg	2004	9999-12-31	15550
6507/7-A-20	39	2630-2634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_39_2630-2634m.jpg	2004	9999-12-31	15551
6507/7-A-20	40	2634-2638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_40_2634-2638m.jpg	2004	9999-12-31	15552
6507/7-A-20	41	2638-2642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_41_2638-2642m.jpg	2004	9999-12-31	15553
6507/7-A-20	42	2642-2645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_42_2642-2645m.jpg	2004	9999-12-31	15554
6507/7-A-20	43	2650-2654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_43_2650-2654m.jpg	2004	9999-12-31	15555
6507/7-A-20	44	2654-2658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_44_2654-2658m.jpg	2004	9999-12-31	15556
6507/7-A-20	45	2658-2662m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_45_2658-2662m.jpg	2004	9999-12-31	15557
6507/7-A-20	46	2662-2666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_46_2662-2666m.jpg	2004	9999-12-31	15558
6507/7-A-20	47	2666-2670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_47_2666-2670m.jpg	2004	9999-12-31	15559
6507/7-A-20	48	2670-2674m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_48_2670-2674m.jpg	2004	9999-12-31	15560
6507/7-A-20	49	2674-2678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_49_2674-2678m.jpg	2004	9999-12-31	15561
6507/7-A-20	50	2679-2683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_50_2679-2683m.jpg	2004	9999-12-31	15562
6507/7-A-20	51	2683-2687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_51_2683-2687m.jpg	2004	9999-12-31	15563
6507/7-A-20	52	2687-2689m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_52_2687-2689m.jpg	2004	9999-12-31	15564
6507/7-A-20	53	2690-2694m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_53_2690-2694m.jpg	2004	9999-12-31	15565
6507/7-A-20	54	2694-2698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_54_2694-2698m.jpg	2004	9999-12-31	15566
6507/7-A-20	55	2698-2702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_55_2698-2702m.jpg	2004	9999-12-31	15567
6507/7-A-20	56	2702-2706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_56_2702-2706m.jpg	2004	9999-12-31	15568
6507/7-A-20	57	2706-2710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_57_2706-2710m.jpg	2004	9999-12-31	15569
6507/7-A-20	58	2710-2714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_58_2710-2714m.jpg	2004	9999-12-31	15570
6507/7-A-20	59	2714-2718m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_59_2714-2718m.jpg	2004	9999-12-31	15571
6507/7-A-20	60	2718-2721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_60_2718-2721m.jpg	2004	9999-12-31	15572
6507/7-A-20	61	2721-2725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_61_2721-2725m.jpg	2004	9999-12-31	15573
6507/7-A-20	62	2725-2729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_62_2725-2729m.jpg	2004	9999-12-31	15574
6507/7-A-20	63	2729-2732m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_63_2729-2732m.jpg	2004	9999-12-31	15575
6507/7-A-20	64	2732-2736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_64_2732-2736m.jpg	2004	9999-12-31	15576
6507/7-A-20	65	2736-2740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_65_2736-2740m.jpg	2004	9999-12-31	15577
6507/7-A-20	66	2740-2744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_66_2740-2744m.jpg	2004	9999-12-31	15578
6507/7-A-20	67	2744-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2004_67_2744-2748m.jpg	2004	9999-12-31	15579
6507/7-A-35	1	3159-3163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2252_01_3159-3163m.jpg	2252	9999-12-31	15580
6507/7-A-35	2	3163-3167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2252_02_3163-3167m.jpg	2252	9999-12-31	15581
6507/7-A-35	3	3167-3170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2252_03_3167-3170m.jpg	2252	9999-12-31	15582
6507/7-A-35	4	3172-3174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2252_04_3172-3174m.jpg	2252	9999-12-31	15583
6507/7-A-35	5	3176-3177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2252_05_3176-3177m.jpg	2252	9999-12-31	15584
6507/7-A-35	6	3178-3180m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2252_06_3178-3180m.jpg	2252	9999-12-31	15585
6507/7-A-35	7	3185-3189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2252_07_3185-3189m.jpg	2252	9999-12-31	15586
6507/7-A-35	8	3189-3190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2252_08_3189-3190m.jpg	2252	9999-12-31	15587
6507/7-A-38	1	2293-2297m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_001_2293-2297m.jpg	2305	9999-12-31	15588
6507/7-A-38	2	2297-2301m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_002_2297-2301m.jpg	2305	9999-12-31	15589
6507/7-A-38	3	2301-2305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_003_2301-2305m.jpg	2305	9999-12-31	15590
6507/7-A-38	4	2305-2309m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_004_2305-2309m.jpg	2305	9999-12-31	15591
6507/7-A-38	5	2309-2313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_005_2309-2313m.jpg	2305	9999-12-31	15592
6507/7-A-38	6	2313-2317m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_006_2313-2317m.jpg	2305	9999-12-31	15593
6507/7-A-38	7	2317-2319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_007_2317-2319m.jpg	2305	9999-12-31	15594
6507/7-A-38	8	2321-2325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_008_2321-2325m.jpg	2305	9999-12-31	15595
6507/7-A-38	9	2329-2333m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_009_2329-2333m.jpg	2305	9999-12-31	15596
6507/7-A-38	10	2333-2337m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_010_2333-2337m.jpg	2305	9999-12-31	15597
6507/7-A-38	11	2337-2341m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_011_2337-2341m.jpg	2305	9999-12-31	15598
6507/7-A-38	12	2341-2345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_012_2341-2345m.jpg	2305	9999-12-31	15599
6507/7-A-38	13	2345-2349m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_013_2345-2349m.jpg	2305	9999-12-31	15600
6507/7-A-38	14	2349-2353m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_014_2349-2353m.jpg	2305	9999-12-31	15601
6507/7-A-38	15	2353-2357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_015_2353-2357m.jpg	2305	9999-12-31	15602
6507/7-A-38	16	2357-2358m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_016_2357-2358m.jpg	2305	9999-12-31	15603
6507/7-A-38	17	2358-2362m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_017_2358-2362m.jpg	2305	9999-12-31	15604
6507/7-A-38	18	2362-2366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_018_2362-2366m.jpg	2305	9999-12-31	15605
6507/7-A-38	19	2366-2370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_019_2366-2370m.jpg	2305	9999-12-31	15606
6507/7-A-38	20	2370-2374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_020_2370-2374m.jpg	2305	9999-12-31	15607
6507/7-A-38	21	2374-2378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_021_2374-2378m.jpg	2305	9999-12-31	15608
6507/7-A-38	22	2378-2382m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_022_2378-2382m.jpg	2305	9999-12-31	15609
6507/7-A-38	23	2382-2386m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_023_2382-2386m.jpg	2305	9999-12-31	15610
6507/7-A-38	24	2386-2390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_024_2386-2390m.jpg	2305	9999-12-31	15611
6507/7-A-38	25	2390-2392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_025_2390-2392m.jpg	2305	9999-12-31	15612
6507/7-A-38	26	2429-2433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_026_2429-2433m.jpg	2305	9999-12-31	15613
6507/7-A-38	27	2433-2437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_027_2433-2437m.jpg	2305	9999-12-31	15614
6507/7-A-38	28	2437-2441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_028_2437-2441m.jpg	2305	9999-12-31	15615
6507/7-A-38	29	2441-2445m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_029_2441-2445m.jpg	2305	9999-12-31	15616
6507/7-A-38	30	2446-2450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_030_2446-2450m.jpg	2305	9999-12-31	15617
6507/7-A-38	31	2450-2454m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_031_2450-2454m.jpg	2305	9999-12-31	15618
6507/7-A-38	32	2454-2458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_032_2454-2458m.jpg	2305	9999-12-31	15619
6507/7-A-38	33	2458-2462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_033_2458-2462m.jpg	2305	9999-12-31	15620
6507/7-A-38	34	2462-2466m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_034_2462-2466m.jpg	2305	9999-12-31	15621
6507/7-A-38	35	2466-2470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_035_2466-2470m.jpg	2305	9999-12-31	15622
6507/7-A-38	36	2470-2474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_036_2470-2474m.jpg	2305	9999-12-31	15623
6507/7-A-38	37	2474-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_037_2474-2478m.jpg	2305	9999-12-31	15624
6507/7-A-38	38	2478-2482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_038_2478-2482m.jpg	2305	9999-12-31	15625
6507/7-A-38	39	2482-2483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_039_2482-2483m.jpg	2305	9999-12-31	15626
6507/7-A-38	40	2484-2488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_040_2484-2488m.jpg	2305	9999-12-31	15627
6507/7-A-38	41	2488-2492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_041_2488-2492m.jpg	2305	9999-12-31	15628
6507/7-A-38	42	2492-2496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_042_2492-2496m.jpg	2305	9999-12-31	15629
6507/7-A-38	43	2496-2499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_043_2496-2499m.jpg	2305	9999-12-31	15630
6507/7-A-38	44	2521-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_044_2521-2525m.jpg	2305	9999-12-31	15631
6507/7-A-38	45	2525-2529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_045_2525-2529m.jpg	2305	9999-12-31	15632
6507/7-A-38	46	2529-2533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_046_2529-2533m.jpg	2305	9999-12-31	15633
6507/7-A-38	47	2533-2537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_047_2533-2537m.jpg	2305	9999-12-31	15634
6507/7-A-38	48	2537-2541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_048_2537-2541m.jpg	2305	9999-12-31	15635
6507/7-A-38	49	2541-2545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_049_2541-2545m.jpg	2305	9999-12-31	15636
6507/7-A-38	50	2547-2551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_050_2547-2551m.jpg	2305	9999-12-31	15637
6507/7-A-38	51	2551-2555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_051_2551-2555m.jpg	2305	9999-12-31	15638
6507/7-A-38	52	2555-2559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_052_2555-2559m.jpg	2305	9999-12-31	15639
6507/7-A-38	53	2559-2563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_053_2559-2563m.jpg	2305	9999-12-31	15640
6507/7-A-38	54	2667-2671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_054_2667-2671m.jpg	2305	9999-12-31	15641
6507/7-A-38	55	2671-2675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_055_2671-2675m.jpg	2305	9999-12-31	15642
6507/7-A-38	56	2675-2679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_056_2675-2679m.jpg	2305	9999-12-31	15643
6507/7-A-38	57	2679-2683m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_057_2679-2683m.jpg	2305	9999-12-31	15644
6507/7-A-38	58	2683-2687m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_058_2683-2687m.jpg	2305	9999-12-31	15645
6507/7-A-38	59	2687-2691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_059_2687-2691m.jpg	2305	9999-12-31	15646
6507/7-A-38	60	2691-2695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_060_2691-2695m.jpg	2305	9999-12-31	15647
6507/7-A-38	61	2695-2696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_061_2695-2696m.jpg	2305	9999-12-31	15648
6507/7-A-38	62	2704-2708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_062_2704-2708m.jpg	2305	9999-12-31	15649
6507/7-A-38	63	2708-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_063_2708-2712m.jpg	2305	9999-12-31	15650
6507/7-A-38	64	2712-2715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_064_2712-2715m.jpg	2305	9999-12-31	15651
6507/7-A-38	65	2715-2719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_065_2715-2719m.jpg	2305	9999-12-31	15652
6507/7-A-38	66	2719-2723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_066_2719-2723m.jpg	2305	9999-12-31	15653
6507/7-A-38	67	2723-2727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_067_2723-2727m.jpg	2305	9999-12-31	15654
6507/7-A-38	68	2727-2727m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_068_2727-2727m.jpg	2305	9999-12-31	15655
6507/7-A-38	69	2729-2733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_069_2729-2733m.jpg	2305	9999-12-31	15656
6507/7-A-38	70	2733-2737m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_070_2733-2737m.jpg	2305	9999-12-31	15657
6507/7-A-38	71	2737-2741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_071_2737-2741m.jpg	2305	9999-12-31	15658
6507/7-A-38	72	2741-2743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_072_2741-2743m.jpg	2305	9999-12-31	15659
6507/7-A-38	73	2744-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_073_2744-2748m.jpg	2305	9999-12-31	15660
6507/7-A-38	74	2748-2751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_074_2748-2751m.jpg	2305	9999-12-31	15661
6507/7-A-38	75	2752-2756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_075_2752-2756m.jpg	2305	9999-12-31	15662
6507/7-A-38	76	2756-2760m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_076_2756-2760m.jpg	2305	9999-12-31	15663
6507/7-A-38	77	2760-2764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_077_2760-2764m.jpg	2305	9999-12-31	15664
6507/7-A-38	78	2764-2768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_078_2764-2768m.jpg	2305	9999-12-31	15665
6507/7-A-38	79	2768-2770m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_079_2768-2770m.jpg	2305	9999-12-31	15666
6507/7-A-38	80	2770-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_080_2770-2774m.jpg	2305	9999-12-31	15667
6507/7-A-38	81	2774-2778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_081_2774-2778m.jpg	2305	9999-12-31	15668
6507/7-A-38	82	2778-2782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_082_2778-2782m.jpg	2305	9999-12-31	15669
6507/7-A-38	83	2782-2786m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_083_2782-2786m.jpg	2305	9999-12-31	15670
6507/7-A-38	84	2786-2790m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_084_2786-2790m.jpg	2305	9999-12-31	15671
6507/7-A-38	85	2790-2794m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_085_2790-2794m.jpg	2305	9999-12-31	15672
6507/7-A-38	86	2794-2798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_086_2794-2798m.jpg	2305	9999-12-31	15673
6507/7-A-38	89	2798-2802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_089_2798-2802m.jpg	2305	9999-12-31	15674
6507/7-A-38	90	2805-2809m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_090_2805-2809m.jpg	2305	9999-12-31	15675
6507/7-A-38	91	2809-2813m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_091_2809-2813m.jpg	2305	9999-12-31	15676
6507/7-A-38	92	2813-2817m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_092_2813-2817m.jpg	2305	9999-12-31	15677
6507/7-A-38	93	2825-2829m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_093_2825-2829m.jpg	2305	9999-12-31	15678
6507/7-A-38	94	2829-2833m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_094_2829-2833m.jpg	2305	9999-12-31	15679
6507/7-A-38	95	2833-2837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_095_2833-2837m.jpg	2305	9999-12-31	15680
6507/7-A-38	96	2837-2841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_096_2837-2841m.jpg	2305	9999-12-31	15681
6507/7-A-38	97	2841-2845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_097_2841-2845m.jpg	2305	9999-12-31	15682
6507/7-A-38	98	2845-2849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_098_2845-2849m.jpg	2305	9999-12-31	15683
6507/7-A-38	99	2849-2853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2305_099_2849-2853m.jpg	2305	9999-12-31	15684
6507/7-A-50	1	2991-2995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_01_2991-2995m.jpg	2290	9999-12-31	15685
6507/7-A-50	2	2995-2999m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_02_2995-2999m.jpg	2290	9999-12-31	15686
6507/7-A-50	3	2999-3003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_03_2999-3003m.jpg	2290	9999-12-31	15687
6507/7-A-50	4	3003-3007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_04_3003-3007m.jpg	2290	9999-12-31	15688
6507/7-A-50	5	3007-3011m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_05_3007-3011m.jpg	2290	9999-12-31	15689
6507/7-A-50	6	3011-3015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_06_3011-3015m.jpg	2290	9999-12-31	15690
6507/7-A-50	7	3015-3019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_07_3015-3019m.jpg	2290	9999-12-31	15691
6507/7-A-50	8	3019-3019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_08_3019-3019m.jpg	2290	9999-12-31	15692
6507/7-A-50	9	3019-3023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_09_3019-3023m.jpg	2290	9999-12-31	15693
6507/7-A-50	10	3023-3027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_10_3023-3027m.jpg	2290	9999-12-31	15694
6507/7-A-50	11	3027-3031m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_11_3027-3031m.jpg	2290	9999-12-31	15695
6507/7-A-50	12	3031-3035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_12_3031-3035m.jpg	2290	9999-12-31	15696
6507/7-A-50	13	3035-3039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_13_3035-3039m.jpg	2290	9999-12-31	15697
6507/7-A-50	14	3039-3043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_14_3039-3043m.jpg	2290	9999-12-31	15698
6507/7-A-50	15	3043-3047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_15_3043-3047m.jpg	2290	9999-12-31	15699
6507/7-A-50	16	3047-3048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_16_3047-3048m.jpg	2290	9999-12-31	15700
6507/7-A-50	17	3048-3052m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_17_3048-3052m.jpg	2290	9999-12-31	15701
6507/7-A-50	18	3052-3056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_18_3052-3056m.jpg	2290	9999-12-31	15702
6507/7-A-50	19	3056-3060m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_19_3056-3060m.jpg	2290	9999-12-31	15703
6507/7-A-50	20	3060-3064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_20_3060-3064m.jpg	2290	9999-12-31	15704
6507/7-A-50	21	3064-3068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_21_3064-3068m.jpg	2290	9999-12-31	15705
6507/7-A-50	22	3068-3072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_22_3068-3072m.jpg	2290	9999-12-31	15706
6507/7-A-50	23	3072-3076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_23_3072-3076m.jpg	2290	9999-12-31	15707
6507/7-A-50	24	3076-3076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_24_3076-3076m.jpg	2290	9999-12-31	15708
6507/7-A-50	25	3076-3080m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_25_3076-3080m.jpg	2290	9999-12-31	15709
6507/7-A-50	26	3080-3084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_26_3080-3084m.jpg	2290	9999-12-31	15710
6507/7-A-50	27	3084-3088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_27_3084-3088m.jpg	2290	9999-12-31	15711
6507/7-A-50	28	3088-3092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_28_3088-3092m.jpg	2290	9999-12-31	15712
6507/7-A-50	29	3092-3095m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_29_3092-3095m.jpg	2290	9999-12-31	15713
6507/7-A-50	30	3096-3100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_30_3096-3100m.jpg	2290	9999-12-31	15714
6507/7-A-50	31	3100-3104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_31_3100-3104m.jpg	2290	9999-12-31	15715
6507/7-A-50	32	3104-3108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_32_3104-3108m.jpg	2290	9999-12-31	15716
6507/7-A-50	33	3108-3112m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_33_3108-3112m.jpg	2290	9999-12-31	15717
6507/7-A-50	34	3114-3117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_34_3114-3117m.jpg	2290	9999-12-31	15718
6507/7-A-50	35	3117-3121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_35_3117-3121m.jpg	2290	9999-12-31	15719
6507/7-A-50	36	3121-3125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_36_3121-3125m.jpg	2290	9999-12-31	15720
6507/7-A-50	37	3125-3129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_37_3125-3129m.jpg	2290	9999-12-31	15721
6507/7-A-50	38	3129-3133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_38_3129-3133m.jpg	2290	9999-12-31	15722
6507/7-A-50	39	3133-3137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_39_3133-3137m.jpg	2290	9999-12-31	15723
6507/7-A-50	40	3137-3141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_40_3137-3141m.jpg	2290	9999-12-31	15724
6507/7-A-50	41	3141-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2290_41_3141-3145m.jpg	2290	9999-12-31	15725
6507/7-A-52	1	3064-3068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_01_3064-3068m.jpg	1731	9999-12-31	15726
6507/7-A-52	2	3068-3072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_02_3068-3072m.jpg	1731	9999-12-31	15727
6507/7-A-52	3	3072-3076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_03_3072-3076m.jpg	1731	9999-12-31	15728
6507/7-A-52	4	3076-3077m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_04_3076-3077m.jpg	1731	9999-12-31	15729
6507/7-A-52	5	3107-3111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_05_3107-3111m.jpg	1731	9999-12-31	15730
6507/7-A-52	6	3111-3115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_06_3111-3115m.jpg	1731	9999-12-31	15731
6507/7-A-52	7	3115-3119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_07_3115-3119m.jpg	1731	9999-12-31	15732
6507/7-A-52	8	3119-3120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_08_3119-3120m.jpg	1731	9999-12-31	15733
6507/7-A-52	9	3135-3139m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_09_3135-3139m.jpg	1731	9999-12-31	15734
6507/7-A-52	10	3139-3143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_10_3139-3143m.jpg	1731	9999-12-31	15735
6507/7-A-52	11	3143-3144m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_11_3143-3144m.jpg	1731	9999-12-31	15736
6507/7-A-52	12	3144-3147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_12_3144-3147m.jpg	1731	9999-12-31	15737
6507/7-A-52	13	3147-3151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_13_3147-3151m.jpg	1731	9999-12-31	15738
6507/7-A-52	14	3151-3155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_14_3151-3155m.jpg	1731	9999-12-31	15739
6507/7-A-52	15	3155-3156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_15_3155-3156m.jpg	1731	9999-12-31	15740
6507/7-A-52	16	3184-3188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_16_3184-3188m.jpg	1731	9999-12-31	15741
6507/7-A-52	17	3188-3192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_17_3188-3192m.jpg	1731	9999-12-31	15742
6507/7-A-52	18	3192-3196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_18_3192-3196m.jpg	1731	9999-12-31	15743
6507/7-A-52	19	3196-3199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_19_3196-3199m.jpg	1731	9999-12-31	15744
6507/7-A-52	20	3199-3203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_20_3199-3203m.jpg	1731	9999-12-31	15745
6507/7-A-52	21	3203-3207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_21_3203-3207m.jpg	1731	9999-12-31	15746
6507/7-A-52	22	3207-3211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_22_3207-3211m.jpg	1731	9999-12-31	15747
6507/7-A-52	23	3211-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_23_3211-3215m.jpg	1731	9999-12-31	15748
6507/7-A-52	24	3215-3219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_24_3215-3219m.jpg	1731	9999-12-31	15749
6507/7-A-52	25	3219-3223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_25_3219-3223m.jpg	1731	9999-12-31	15750
6507/7-A-52	26	3223-3224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_26_3223-3224m.jpg	1731	9999-12-31	15751
6507/7-A-52	27	3224-3227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_27_3224-3227m.jpg	1731	9999-12-31	15752
6507/7-A-52	28	3227-3231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_28_3227-3231m.jpg	1731	9999-12-31	15753
6507/7-A-52	29	3231-3235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1731_29_3231-3235m.jpg	1731	9999-12-31	15754
6507/7-A-53	1	3150-3154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_01_3150-3154m.jpg	2108	9999-12-31	15755
6507/7-A-53	2	3154-3158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_02_3154-3158m.jpg	2108	9999-12-31	15756
6507/7-A-53	3	3158-3162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_03_3158-3162m.jpg	2108	9999-12-31	15757
6507/7-A-53	4	3162-3166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_04_3162-3166m.jpg	2108	9999-12-31	15758
6507/7-A-53	5	3166-3170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_05_3166-3170m.jpg	2108	9999-12-31	15759
6507/7-A-53	6	3170-3174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_06_3170-3174m.jpg	2108	9999-12-31	15760
6507/7-A-53	7	3174-3178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_07_3174-3178m.jpg	2108	9999-12-31	15761
6507/7-A-53	8	3178-3182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_08_3178-3182m.jpg	2108	9999-12-31	15762
6507/7-A-53	9	3182-3186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_09_3182-3186m.jpg	2108	9999-12-31	15763
6507/7-A-53	10	3186-3190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_10_3186-3190m.jpg	2108	9999-12-31	15764
6507/7-A-53	11	3190-3194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_11_3190-3194m.jpg	2108	9999-12-31	15765
6507/7-A-53	12	3194-3198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_12_3194-3198m.jpg	2108	9999-12-31	15766
6507/7-A-53	13	3198-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_13_3198-3202m.jpg	2108	9999-12-31	15767
6507/7-A-53	14	3202-3206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_14_3202-3206m.jpg	2108	9999-12-31	15768
6507/7-A-53	15	3206-3206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_15_3206-3206m.jpg	2108	9999-12-31	15769
6507/7-A-53	16	3206-3210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_16_3206-3210m.jpg	2108	9999-12-31	15770
6507/7-A-53	17	3210-3214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_17_3210-3214m.jpg	2108	9999-12-31	15771
6507/7-A-53	18	3214-3218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_18_3214-3218m.jpg	2108	9999-12-31	15772
6507/7-A-53	19	3218-3222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_19_3218-3222m.jpg	2108	9999-12-31	15773
6507/7-A-53	20	3222-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_20_3222-3226m.jpg	2108	9999-12-31	15774
6507/7-A-53	21	3226-3230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_21_3226-3230m.jpg	2108	9999-12-31	15775
6507/7-A-53	22	3230-3234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_22_3230-3234m.jpg	2108	9999-12-31	15776
6507/7-A-53	23	3234-3234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_23_3234-3234m.jpg	2108	9999-12-31	15777
6507/7-A-53	24	3234-3238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_24_3234-3238m.jpg	2108	9999-12-31	15778
6507/7-A-53	25	3238-3242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_25_3238-3242m.jpg	2108	9999-12-31	15779
6507/7-A-53	26	3242-3245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_26_3242-3245m.jpg	2108	9999-12-31	15780
6507/7-A-53	27	3245-3248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_27_3245-3248m.jpg	2108	9999-12-31	15781
6507/7-A-53	28	3248-3252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_28_3248-3252m.jpg	2108	9999-12-31	15782
6507/7-A-53	29	3252-3256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_29_3252-3256m.jpg	2108	9999-12-31	15783
6507/7-A-53	30	3256-3260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_30_3256-3260m.jpg	2108	9999-12-31	15784
6507/7-A-53	31	3260-3264m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_31_3260-3264m.jpg	2108	9999-12-31	15785
6507/7-A-53	32	3264-3268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_32_3264-3268m.jpg	2108	9999-12-31	15786
6507/7-A-53	33	3268-3272m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_33_3268-3272m.jpg	2108	9999-12-31	15787
6507/7-A-53	34	3272-3273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_34_3272-3273m.jpg	2108	9999-12-31	15788
6507/7-A-53	35	3273-3277m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_35_3273-3277m.jpg	2108	9999-12-31	15789
6507/7-A-53	36	3277-3281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_36_3277-3281m.jpg	2108	9999-12-31	15790
6507/7-A-53	37	3281-3285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_37_3281-3285m.jpg	2108	9999-12-31	15791
6507/7-A-53	38	3285-3289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_38_3285-3289m.jpg	2108	9999-12-31	15792
6507/7-A-53	39	3289-3293m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_39_3289-3293m.jpg	2108	9999-12-31	15793
6507/7-A-53	40	3293-3297m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_40_3293-3297m.jpg	2108	9999-12-31	15794
6507/7-A-53	41	3297-3301m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2108_41_3297-3301m.jpg	2108	9999-12-31	15795
6507/7-A-9	1	3369-3370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_01_3369-3370m.jpg	2805	9999-12-31	15796
6507/7-A-9	2	3370-3371m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_02_3370-3371m.jpg	2805	9999-12-31	15797
6507/7-A-9	3	3374-3378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_03_3374-3378m.jpg	2805	9999-12-31	15798
6507/7-A-9	4	3380-3384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_04_3380-3384m.jpg	2805	9999-12-31	15799
6507/7-A-9	5	3384-3387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_05_3384-3387m.jpg	2805	9999-12-31	15800
6507/7-A-9	6	3388-3393m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_06_3388-3393m.jpg	2805	9999-12-31	15801
6507/7-A-9	7	3393-3394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_07_3393-3394m.jpg	2805	9999-12-31	15802
6507/7-A-9	8	3394-3399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_08_3394-3399m.jpg	2805	9999-12-31	15803
6507/7-A-9	9	3393-3404m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_09_3393-3404m.jpg	2805	9999-12-31	15804
6507/7-A-9	10	3404-3406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_10_3404-3406m.jpg	2805	9999-12-31	15805
6507/7-A-9	11	3406-3411m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_11_3406-3411m.jpg	2805	9999-12-31	15806
6507/7-A-9	12	3411-3416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_12_3411-3416m.jpg	2805	9999-12-31	15807
6507/7-A-9	13	3416-3417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_13_3416-3417m.jpg	2805	9999-12-31	15808
6507/7-A-9	14	3417-3422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_14_3417-3422m.jpg	2805	9999-12-31	15809
6507/7-A-9	15	3422-3427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_15_3422-3427m.jpg	2805	9999-12-31	15810
6507/7-A-9	16	3427-3432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_16_3427-3432m.jpg	2805	9999-12-31	15811
6507/7-A-9	17	3432-3435m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_17_3432-3435m.jpg	2805	9999-12-31	15812
6507/7-A-9	18	3436-3441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_18_3436-3441m.jpg	2805	9999-12-31	15813
6507/7-A-9	19	3441-3446m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_19_3441-3446m.jpg	2805	9999-12-31	15814
6507/7-A-9	20	3446-3448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_20_3446-3448m.jpg	2805	9999-12-31	15815
6507/7-A-9	21	3448-3452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_21_3448-3452m.jpg	2805	9999-12-31	15816
6507/7-A-9	22	3454-3458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_22_3454-3458m.jpg	2805	9999-12-31	15817
6507/7-A-9	23	3458-3462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_23_3458-3462m.jpg	2805	9999-12-31	15818
6507/7-A-9	24	3462-3467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_24_3462-3467m.jpg	2805	9999-12-31	15819
6507/7-A-9	25	3467-3472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_25_3467-3472m.jpg	2805	9999-12-31	15820
6507/7-A-9	26	3472-3476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_26_3472-3476m.jpg	2805	9999-12-31	15821
6507/7-A-9	27	3476-3481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_27_3476-3481m.jpg	2805	9999-12-31	15822
6507/7-A-9	28	3481-3486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_28_3481-3486m.jpg	2805	9999-12-31	15823
6507/7-A-9	29	3486-3491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_29_3486-3491m.jpg	2805	9999-12-31	15824
6507/7-A-9	30	3491-3494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_30_3491-3494m.jpg	2805	9999-12-31	15825
6507/7-A-9	31	3637-3642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_31_3637-3642m.jpg	2805	9999-12-31	15826
6507/7-A-9	32	3642-3647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_32_3642-3647m.jpg	2805	9999-12-31	15827
6507/7-A-9	33	3647-3650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2805_33_3647-3650m.jpg	2805	9999-12-31	15828
6507/7-B-3 H	1	3200-3205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_01_3200-3205m.jpg	2497	9999-12-31	15829
6507/7-B-3 H	2	3205-3210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_02_3205-3210m.jpg	2497	9999-12-31	15830
6507/7-B-3 H	3	3210-3215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_03_3210-3215m.jpg	2497	9999-12-31	15831
6507/7-B-3 H	4	3215-3220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_04_3215-3220m.jpg	2497	9999-12-31	15832
6507/7-B-3 H	5	3220-3225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_05_3220-3225m.jpg	2497	9999-12-31	15833
6507/7-B-3 H	6	3225-3230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_06_3225-3230m.jpg	2497	9999-12-31	15834
6507/7-B-3 H	7	3225-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_07_3225-3226m.jpg	2497	9999-12-31	15835
6507/7-B-3 H	8	3231-3236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_08_3231-3236m.jpg	2497	9999-12-31	15836
6507/7-B-3 H	9	3236-3241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_09_3236-3241m.jpg	2497	9999-12-31	15837
6507/7-B-3 H	10	3241-3246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_10_3241-3246m.jpg	2497	9999-12-31	15838
6507/7-B-3 H	11	3246-3251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_11_3246-3251m.jpg	2497	9999-12-31	15839
6507/7-B-3 H	12	3251-3256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_12_3251-3256m.jpg	2497	9999-12-31	15840
6507/7-B-3 H	13	3256-3261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_13_3256-3261m.jpg	2497	9999-12-31	15841
6507/7-B-3 H	14	3261-3266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_14_3261-3266m.jpg	2497	9999-12-31	15842
6507/7-B-3 H	15	3266-3271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_15_3266-3271m.jpg	2497	9999-12-31	15843
6507/7-B-3 H	16	3271-3276m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_16_3271-3276m.jpg	2497	9999-12-31	15844
6507/7-B-3 H	17	3276-3281m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_17_3276-3281m.jpg	2497	9999-12-31	15845
6507/7-B-3 H	18	3281-3284m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_18_3281-3284m.jpg	2497	9999-12-31	15846
6507/7-B-3 H	19	3284-3289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_19_3284-3289m.jpg	2497	9999-12-31	15847
6507/7-B-3 H	20	3289-3294m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_20_3289-3294m.jpg	2497	9999-12-31	15848
6507/7-B-3 H	21	3294-3299m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_21_3294-3299m.jpg	2497	9999-12-31	15849
6507/7-B-3 H	22	3299-3302m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2497_22_3299-3302m.jpg	2497	9999-12-31	15850
6507/7-C-2 H	1	2533-2538m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_01_2533-2538m.jpg	2363	9999-12-31	15851
6507/7-C-2 H	2	2538-2543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_02_2538-2543m.jpg	2363	9999-12-31	15852
6507/7-C-2 H	3	2543-2548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_03_2543-2548m.jpg	2363	9999-12-31	15853
6507/7-C-2 H	4	2548-2553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_04_2548-2553m.jpg	2363	9999-12-31	15854
6507/7-C-2 H	5	2553-2558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_05_2553-2558m.jpg	2363	9999-12-31	15855
6507/7-C-2 H	6	2558-2561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_06_2558-2561m.jpg	2363	9999-12-31	15856
6507/7-C-2 H	7	2562-2567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_07_2562-2567m.jpg	2363	9999-12-31	15857
6507/7-C-2 H	8	2567-2572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_08_2567-2572m.jpg	2363	9999-12-31	15858
6507/7-C-2 H	9	2572-2577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_09_2572-2577m.jpg	2363	9999-12-31	15859
6507/7-C-2 H	10	2577-2582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_10_2577-2582m.jpg	2363	9999-12-31	15860
6507/7-C-2 H	11	2582-2587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_11_2582-2587m.jpg	2363	9999-12-31	15861
6507/7-C-2 H	12	2587-2592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_12_2587-2592m.jpg	2363	9999-12-31	15862
6507/7-C-2 H	13	2592-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_13_2592-2597m.jpg	2363	9999-12-31	15863
6507/7-C-2 H	14	2597-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_14_2597-2597m.jpg	2363	9999-12-31	15864
6507/7-C-2 H	15	2599-2604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_15_2599-2604m.jpg	2363	9999-12-31	15865
6507/7-C-2 H	16	2604-2609m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_16_2604-2609m.jpg	2363	9999-12-31	15866
6507/7-C-2 H	17	2609-2614m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_17_2609-2614m.jpg	2363	9999-12-31	15867
6507/7-C-2 H	18	2614-2617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2363_18_2614-2617m.jpg	2363	9999-12-31	15868
6507/7-C-3 H	1	3089-3094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_01_3089-3094m.jpg	2378	9999-12-31	15869
6507/7-C-3 H	2	3094-3099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_02_3094-3099m.jpg	2378	9999-12-31	15870
6507/7-C-3 H	3	3099-3104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_03_3099-3104m.jpg	2378	9999-12-31	15871
6507/7-C-3 H	4	3104-3109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_04_3104-3109m.jpg	2378	9999-12-31	15872
6507/7-C-3 H	5	3109-3114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_05_3109-3114m.jpg	2378	9999-12-31	15873
6507/7-C-3 H	6	3114-3119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_06_3114-3119m.jpg	2378	9999-12-31	15874
6507/7-C-3 H	7	3119-3120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_07_3119-3120m.jpg	2378	9999-12-31	15875
6507/7-C-3 H	8	3120-3125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_08_3120-3125m.jpg	2378	9999-12-31	15876
6507/7-C-3 H	9	3125-3130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_09_3125-3130m.jpg	2378	9999-12-31	15877
6507/7-C-3 H	10	3130-3135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_10_3130-3135m.jpg	2378	9999-12-31	15878
6507/7-C-3 H	11	3135-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_11_3135-3140m.jpg	2378	9999-12-31	15879
6507/7-C-3 H	12	3140-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_12_3140-3145m.jpg	2378	9999-12-31	15880
6507/7-C-3 H	13	3145-3149m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2378_13_3145-3149m.jpg	2378	9999-12-31	15881
6507/8-1	1	2267-2271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_01_2267-2271m.jpg	933	9999-12-31	15882
6507/8-1	2	2262-2266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_02_2262-2266m.jpg	933	9999-12-31	15883
6507/8-1	3	2272-2293m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_03_2272-2293m.jpg	933	9999-12-31	15884
6507/8-1	4	2294-2298m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_04_2294-2298m.jpg	933	9999-12-31	15885
6507/8-1	5	2299-2303m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_05_2299-2303m.jpg	933	9999-12-31	15886
6507/8-1	6	2304-2308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_06_2304-2308m.jpg	933	9999-12-31	15887
6507/8-1	7	2309-2313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_07_2309-2313m.jpg	933	9999-12-31	15888
6507/8-1	8	2314-2319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_08_2314-2319m.jpg	933	9999-12-31	15889
6507/8-1	9	2320-2324m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_09_2320-2324m.jpg	933	9999-12-31	15890
6507/8-1	10	2325-2329m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_10_2325-2329m.jpg	933	9999-12-31	15891
6507/8-1	11	2330-2334m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_11_2330-2334m.jpg	933	9999-12-31	15892
6507/8-1	12	2335-2339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_12_2335-2339m.jpg	933	9999-12-31	15893
6507/8-1	13	2340-2369m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_13_2340-2369m.jpg	933	9999-12-31	15894
6507/8-1	14	2370-2374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_14_2370-2374m.jpg	933	9999-12-31	15895
6507/8-1	15	2375-2379m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_15_2375-2379m.jpg	933	9999-12-31	15896
6507/8-1	16	2380-2384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_16_2380-2384m.jpg	933	9999-12-31	15897
6507/8-1	17	2385-2400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_17_2385-2400m.jpg	933	9999-12-31	15898
6507/8-1	18	2401-2405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_18_2401-2405m.jpg	933	9999-12-31	15899
6507/8-1	19	2406-2410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_19_2406-2410m.jpg	933	9999-12-31	15900
6507/8-1	20	2411-2420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_20_2411-2420m.jpg	933	9999-12-31	15901
6507/8-1	21	2421-2425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_21_2421-2425m.jpg	933	9999-12-31	15902
6507/8-1	22	2426-2430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_22_2426-2430m.jpg	933	9999-12-31	15903
6507/8-1	23	2431-2439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_23_2431-2439m.jpg	933	9999-12-31	15904
6507/8-1	24	2440-2444m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_24_2440-2444m.jpg	933	9999-12-31	15905
6507/8-1	25	2445-2449m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_25_2445-2449m.jpg	933	9999-12-31	15906
6507/8-1	26	2450-2454m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_26_2450-2454m.jpg	933	9999-12-31	15907
6507/8-1	27	2455-2459m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_27_2455-2459m.jpg	933	9999-12-31	15908
6507/8-1	28	2460-2464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_28_2460-2464m.jpg	933	9999-12-31	15909
6507/8-1	29	2465-2469m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_29_2465-2469m.jpg	933	9999-12-31	15910
6507/8-1	30	2470-2474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_30_2470-2474m.jpg	933	9999-12-31	15911
6507/8-1	31	2475-2479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_31_2475-2479m.jpg	933	9999-12-31	15912
6507/8-1	32	2480-2484m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_32_2480-2484m.jpg	933	9999-12-31	15913
6507/8-1	33	2485-2489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_33_2485-2489m.jpg	933	9999-12-31	15914
6507/8-1	34	2490-2494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/933_34_2490-2494m.jpg	933	9999-12-31	15915
6507/8-2	1	1894-1899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1076_01_1894-1899m.jpg	1076	9999-12-31	15916
6507/8-2	2	1899-1904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1076_02_1899-1904m.jpg	1076	9999-12-31	15917
6507/8-2	3	1904-1909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1076_03_1904-1909m.jpg	1076	9999-12-31	15918
6507/8-2	4	1909-1913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1076_04_1909-1913m.jpg	1076	9999-12-31	15919
6507/8-2	5	1990-1995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1076_05_1990-1995m.jpg	1076	9999-12-31	15920
6507/8-2	6	1995-1996m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1076_06_1995-1996m.jpg	1076	9999-12-31	15921
6507/8-3	1	1378-1380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1309_01_1378-1380m.jpg	1309	9999-12-31	15922
6507/8-3	2	1396-1401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1309_02_1396-1401m.jpg	1309	9999-12-31	15923
6507/8-3	3	1401-1406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1309_03_1401-1406m.jpg	1309	9999-12-31	15924
6507/8-3	4	1406-1407m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1309_04_1406-1407m.jpg	1309	9999-12-31	15925
6507/8-4	1	2128-2133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_01_2128-2133m.jpg	1340	9999-12-31	15926
6507/8-4	2	2133-2138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_02_2133-2138m.jpg	1340	9999-12-31	15927
6507/8-4	3	2138-2143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_03_2138-2143m.jpg	1340	9999-12-31	15928
6507/8-4	4	2143-2148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_04_2143-2148m.jpg	1340	9999-12-31	15929
6507/8-4	5	2148-2150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_05_2148-2150m.jpg	1340	9999-12-31	15930
6507/8-4	6	2155-2160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_06_2155-2160m.jpg	1340	9999-12-31	15931
6507/8-4	7	2160-2165m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_07_2160-2165m.jpg	1340	9999-12-31	15932
6507/8-4	8	2165-2170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_08_2165-2170m.jpg	1340	9999-12-31	15933
6507/8-4	9	2170-2171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_09_2170-2171m.jpg	1340	9999-12-31	15934
6507/8-4	10	2172-2177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_10_2172-2177m.jpg	1340	9999-12-31	15935
6507/8-4	11	2177-2182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_11_2177-2182m.jpg	1340	9999-12-31	15936
6507/8-4	12	2182-2185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_12_2182-2185m.jpg	1340	9999-12-31	15937
6507/8-4	13	2185-2190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_13_2185-2190m.jpg	1340	9999-12-31	15938
6507/8-4	14	2190-2195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_14_2190-2195m.jpg	1340	9999-12-31	15939
6507/8-4	15	2195-2198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_15_2195-2198m.jpg	1340	9999-12-31	15940
6507/8-4	16	2200-2205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_16_2200-2205m.jpg	1340	9999-12-31	15941
6507/8-4	17	2205-2205m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_17_2205-2205m.jpg	1340	9999-12-31	15942
6507/8-4	18	2207-2212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_18_2207-2212m.jpg	1340	9999-12-31	15943
6507/8-4	19	2212-2217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_19_2212-2217m.jpg	1340	9999-12-31	15944
6507/8-4	20	2217-2222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_20_2217-2222m.jpg	1340	9999-12-31	15945
6507/8-4	21	2222-2226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_21_2222-2226m.jpg	1340	9999-12-31	15946
6507/8-4	22	2227-2232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_22_2227-2232m.jpg	1340	9999-12-31	15947
6507/8-4	23	2232-2237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_23_2232-2237m.jpg	1340	9999-12-31	15948
6507/8-4	24	2237-2242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_24_2237-2242m.jpg	1340	9999-12-31	15949
6507/8-4	25	2242-2245m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_25_2242-2245m.jpg	1340	9999-12-31	15950
6507/8-4	26	2246-2251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_26_2246-2251m.jpg	1340	9999-12-31	15951
6507/8-4	27	2251-2256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_27_2251-2256m.jpg	1340	9999-12-31	15952
6507/8-4	28	2256-2261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_28_2256-2261m.jpg	1340	9999-12-31	15953
6507/8-4	29	2261-2264m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_29_2261-2264m.jpg	1340	9999-12-31	15954
6507/8-4	30	2265-2270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_30_2265-2270m.jpg	1340	9999-12-31	15955
6507/8-4	30	2270-2275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_30_2270-2275m.jpg	1340	9999-12-31	15956
6507/8-4	31	2275-2280m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_31_2275-2280m.jpg	1340	9999-12-31	15957
6507/8-4	32	2280-2285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_32_2280-2285m.jpg	1340	9999-12-31	15958
6507/8-4	33	2285-2290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_33_2285-2290m.jpg	1340	9999-12-31	15959
6507/8-4	34	2290-2291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_34_2290-2291m.jpg	1340	9999-12-31	15960
6507/8-4	35	2292-2295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_35_2292-2295m.jpg	1340	9999-12-31	15961
6507/8-4	36	2301-2306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_36_2301-2306m.jpg	1340	9999-12-31	15962
6507/8-4	37	2306-2311m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_37_2306-2311m.jpg	1340	9999-12-31	15963
6507/8-4	38	2311-2316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_38_2311-2316m.jpg	1340	9999-12-31	15964
6507/8-4	39	2316-2317m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1340_39_2316-2317m.jpg	1340	9999-12-31	15965
6507/8-5	1	1857-1862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1749_01_1857-1862m.jpg	1749	9999-12-31	15966
6507/8-5	2	1862-1867m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1749_02_1862-1867m.jpg	1749	9999-12-31	15967
6507/8-5	3	1867-1872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1749_03_1867-1872m.jpg	1749	9999-12-31	15968
6507/8-5	4	1872-1877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1749_04_1872-1877m.jpg	1749	9999-12-31	15969
6507/8-5	5	1877-1879m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1749_05_1877-1879m.jpg	1749	9999-12-31	15970
6507/8-6	1	2054-2058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2183_01_2054-2058m.jpg	2183	9999-12-31	15971
6507/8-6	2	2058-2059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2183_02_2058-2059m.jpg	2183	9999-12-31	15972
6508/5-1	1	1786-1791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1044_01_1786-1791m.jpg	1044	9999-12-31	15973
6508/5-1	2	1791-1795m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1044_02_1791-1795m.jpg	1044	9999-12-31	15974
6508/5-1	2	1791-1796m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1044_02_1791-1796m.jpg	1044	9999-12-31	15975
6508/5-1	3	1796-1798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1044_03_1796-1798m.jpg	1044	9999-12-31	15976
6510/2-1	1	1827-1831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3166_01_1827-1831m.jpg	3166	9999-12-31	15977
6510/2-1	2	1831-1835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3166_02_1831-1835m.jpg	3166	9999-12-31	15978
6510/2-1	3	1835-1837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3166_03_1835-1837m.jpg	3166	9999-12-31	15979
6510/2-1	4	2126-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3166_04_2126-2130m.jpg	3166	9999-12-31	15980
6510/2-1	5	2130-2134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3166_05_2130-2134m.jpg	3166	9999-12-31	15981
6510/2-1	6	2134-2138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3166_06_2134-2138m.jpg	3166	9999-12-31	15982
6510/2-1	7	2138-2142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3166_07_2138-2142m.jpg	3166	9999-12-31	15983
6510/2-1	8	2142-2143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3166_08_2142-2143m.jpg	3166	9999-12-31	15984
6607/12-1	1	1409-1412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/925_01_1409-1412m.jpg	925	9999-12-31	15985
6607/12-1	2	1412-1415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/925_02_1412-1415m.jpg	925	9999-12-31	15986
6607/12-1	3	1415-1417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/925_03_1415-1417m.jpg	925	9999-12-31	15987
6607/5-1	1	2875-2919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1064_01_2875-2919m.jpg	1064	9999-12-31	15988
6607/5-1	2	2980-2982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1064_02_2980-2982m.jpg	1064	9999-12-31	15989
6607/5-1	3	3405-3409m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1064_03_3405-3409m.jpg	1064	9999-12-31	15990
6607/5-1	4	3410-3414m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1064_04_3410-3414m.jpg	1064	9999-12-31	15991
6607/5-1	5	3415-3419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1064_05_3415-3419m.jpg	1064	9999-12-31	15992
6607/5-1	6	3420-3422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1064_06_3420-3422m.jpg	1064	9999-12-31	15993
6607/5-2	1	4161-4166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_01_4161-4166m.jpg	1789	9999-12-31	15994
6607/5-2	2	4166-4171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_02_4166-4171m.jpg	1789	9999-12-31	15995
6607/5-2	3	4171-4176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_03_4171-4176m.jpg	1789	9999-12-31	15996
6607/5-2	4	4176-4181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_04_4176-4181m.jpg	1789	9999-12-31	15997
6607/5-2	5	4181-4186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_05_4181-4186m.jpg	1789	9999-12-31	15998
6607/5-2	6	4186-4189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_06_4186-4189m.jpg	1789	9999-12-31	15999
6607/5-2	7	4161-4166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_07_4161-4166m.jpg	1789	9999-12-31	16000
6607/5-2	8	4166-4171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_08_4166-4171m.jpg	1789	9999-12-31	16001
6607/5-2	9	4171-4176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_09_4171-4176m.jpg	1789	9999-12-31	16002
6607/5-2	10	4176-4181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_10_4176-4181m.jpg	1789	9999-12-31	16003
6607/5-2	11	4181-4186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_11_4181-4186m.jpg	1789	9999-12-31	16004
6607/5-2	12	4186-4189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1789_12_4186-4189m.jpg	1789	9999-12-31	16005
6608/10-1	1	2885-2889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_01_2885-2889m.jpg	1391	9999-12-31	16006
6608/10-1	2	2890-2894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_02_2890-2894m.jpg	1391	9999-12-31	16007
6608/10-1	3	2895-2897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_03_2895-2897m.jpg	1391	9999-12-31	16008
6608/10-1	4	3063-3067m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_04_3063-3067m.jpg	1391	9999-12-31	16009
6608/10-1	5	3068-3072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_05_3068-3072m.jpg	1391	9999-12-31	16010
6608/10-1	6	3073-3077m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_06_3073-3077m.jpg	1391	9999-12-31	16011
6608/10-1	7	3078-3082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_07_3078-3082m.jpg	1391	9999-12-31	16012
6608/10-1	8	3083-3087m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_08_3083-3087m.jpg	1391	9999-12-31	16013
6608/10-1	9	3088-3090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_09_3088-3090m.jpg	1391	9999-12-31	16014
6608/10-1	10	3157-3161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_10_3157-3161m.jpg	1391	9999-12-31	16015
6608/10-1	11	3162-3166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_11_3162-3166m.jpg	1391	9999-12-31	16016
6608/10-1	12	3167-3171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_12_3167-3171m.jpg	1391	9999-12-31	16017
6608/10-1	13	3172-3176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_13_3172-3176m.jpg	1391	9999-12-31	16018
6608/10-1	14	3177-3182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_14_3177-3182m.jpg	1391	9999-12-31	16019
6608/10-1	15	3182-3184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1391_15_3182-3184m.jpg	1391	9999-12-31	16020
6608/10-2	1	2590-2595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_01_2590-2595m.jpg	1782	9999-12-31	16021
6608/10-2	2	2595-2600m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_02_2595-2600m.jpg	1782	9999-12-31	16022
6608/10-2	3	2600-2605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_03_2600-2605m.jpg	1782	9999-12-31	16023
6608/10-2	4	2605-2610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_04_2605-2610m.jpg	1782	9999-12-31	16024
6608/10-2	5	2610-2615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_05_2610-2615m.jpg	1782	9999-12-31	16025
6608/10-2	6	2615-2616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_06_2615-2616m.jpg	1782	9999-12-31	16026
6608/10-2	7	2617-2622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_07_2617-2622m.jpg	1782	9999-12-31	16027
6608/10-2	8	2622-2627m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_08_2622-2627m.jpg	1782	9999-12-31	16028
6608/10-2	9	2627-2632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_09_2627-2632m.jpg	1782	9999-12-31	16029
6608/10-2	10	2632-2637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_10_2632-2637m.jpg	1782	9999-12-31	16030
6608/10-2	11	2637-2542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_11_2637-2542m.jpg	1782	9999-12-31	16031
6608/10-2	12	2642-2646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_12_2642-2646m.jpg	1782	9999-12-31	16032
6608/10-2	13	2646-2651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_13_2646-2651m.jpg	1782	9999-12-31	16033
6608/10-2	14	2651-2656m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_14_2651-2656m.jpg	1782	9999-12-31	16034
6608/10-2	15	2656-2661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_15_2656-2661m.jpg	1782	9999-12-31	16035
6608/10-2	16	2661-2666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_16_2661-2666m.jpg	1782	9999-12-31	16036
6608/10-2	17	2666-2671m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_17_2666-2671m.jpg	1782	9999-12-31	16037
6608/10-2	18	2671-2673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_18_2671-2673m.jpg	1782	9999-12-31	16038
6608/10-2	19	2674-2679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_19_2674-2679m.jpg	1782	9999-12-31	16039
6608/10-2	20	2679-2681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_20_2679-2681m.jpg	1782	9999-12-31	16040
6608/10-2	21	2686-2691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_21_2686-2691m.jpg	1782	9999-12-31	16041
6608/10-2	22	2691-2696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_22_2691-2696m.jpg	1782	9999-12-31	16042
6608/10-2	23	2696-2701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_23_2696-2701m.jpg	1782	9999-12-31	16043
6608/10-2	24	2701-2706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_24_2701-2706m.jpg	1782	9999-12-31	16044
6608/10-2	25	2706-2711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_25_2706-2711m.jpg	1782	9999-12-31	16045
6608/10-2	26	2711-2714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_26_2711-2714m.jpg	1782	9999-12-31	16046
6608/10-2	27	2714-2719m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_27_2714-2719m.jpg	1782	9999-12-31	16047
6608/10-2	28	2719-2724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_28_2719-2724m.jpg	1782	9999-12-31	16048
6608/10-2	29	2724-2729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_29_2724-2729m.jpg	1782	9999-12-31	16049
6608/10-2	30	2729-2734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_30_2729-2734m.jpg	1782	9999-12-31	16050
6608/10-2	31	2734-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_31_2734-2739m.jpg	1782	9999-12-31	16051
6608/10-2	32	2739-2741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1782_32_2739-2741m.jpg	1782	9999-12-31	16052
6608/10-3	1	2560-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_01_2560-2565m.jpg	1732	9999-12-31	16053
6608/10-3	2	2565-2570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_02_2565-2570m.jpg	1732	9999-12-31	16054
6608/10-3	3	2570-2575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_03_2570-2575m.jpg	1732	9999-12-31	16055
6608/10-3	4	2575-2576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_04_2575-2576m.jpg	1732	9999-12-31	16056
6608/10-3	5	2576-2604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_05_2576-2604m.jpg	1732	9999-12-31	16057
6608/10-3	7	2606-2611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_07_2606-2611m.jpg	1732	9999-12-31	16058
6608/10-3	8	2611-2616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_08_2611-2616m.jpg	1732	9999-12-31	16059
6608/10-3	9	2616-2621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_09_2616-2621m.jpg	1732	9999-12-31	16060
6608/10-3	10	2621-2622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_10_2621-2622m.jpg	1732	9999-12-31	16061
6608/10-3	11	2627-2632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_11_2627-2632m.jpg	1732	9999-12-31	16062
6608/10-3	12	2632-2637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_12_2632-2637m.jpg	1732	9999-12-31	16063
6608/10-3	13	2637-2642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_13_2637-2642m.jpg	1732	9999-12-31	16064
6608/10-3	14	2642-2647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_14_2642-2647m.jpg	1732	9999-12-31	16065
6608/10-3	15	2647-2652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_15_2647-2652m.jpg	1732	9999-12-31	16066
6608/10-3	16	2652-2653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_16_2652-2653m.jpg	1732	9999-12-31	16067
6608/10-3	17	2653-2658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_17_2653-2658m.jpg	1732	9999-12-31	16068
6608/10-3	18	2658-2663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_18_2658-2663m.jpg	1732	9999-12-31	16069
6608/10-3	19	2663-2668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_19_2663-2668m.jpg	1732	9999-12-31	16070
6608/10-3	20	2668-2673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_20_2668-2673m.jpg	1732	9999-12-31	16071
6608/10-3	21	2673-2678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_21_2673-2678m.jpg	1732	9999-12-31	16072
6608/10-3	22	2678-2680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_22_2678-2680m.jpg	1732	9999-12-31	16073
6608/10-3	23	2680-2685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_23_2680-2685m.jpg	1732	9999-12-31	16074
6608/10-3	24	2685-2690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_24_2685-2690m.jpg	1732	9999-12-31	16075
6608/10-3	25	2690-2695m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_25_2690-2695m.jpg	1732	9999-12-31	16076
6608/10-3	26	2695-2700m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_26_2695-2700m.jpg	1732	9999-12-31	16077
6608/10-3	27	2700-2703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_27_2700-2703m.jpg	1732	9999-12-31	16078
6608/10-3	28	2703-2704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_28_2703-2704m.jpg	1732	9999-12-31	16079
6608/10-3	29	2705-2710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_29_2705-2710m.jpg	1732	9999-12-31	16080
6608/10-3	30	2710-2711m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_30_2710-2711m.jpg	1732	9999-12-31	16081
6608/10-3	31	2711-2715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_31_2711-2715m.jpg	1732	9999-12-31	16082
6608/10-3	32	2715-2710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_32_2715-2710m.jpg	1732	9999-12-31	16083
6608/10-3	33	2720-2725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_33_2720-2725m.jpg	1732	9999-12-31	16084
6608/10-3	34	2725-2730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_34_2725-2730m.jpg	1732	9999-12-31	16085
6608/10-3	35	2730-2735m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_35_2730-2735m.jpg	1732	9999-12-31	16086
6608/10-3	36	2735-2738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_36_2735-2738m.jpg	1732	9999-12-31	16087
6608/10-3	37	2738-2743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_37_2738-2743m.jpg	1732	9999-12-31	16088
6608/10-3	38	2743-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_38_2743-2748m.jpg	1732	9999-12-31	16089
6608/10-3	39	2748-2753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_39_2748-2753m.jpg	1732	9999-12-31	16090
6608/10-3	40	2753-2758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_40_2753-2758m.jpg	1732	9999-12-31	16091
6608/10-3	41	2758-2763m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_41_2758-2763m.jpg	1732	9999-12-31	16092
6608/10-3	42	2763-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1732_42_2763-2766m.jpg	1732	9999-12-31	16093
6608/10-4	1	0-0m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_01_0-0m.jpg	2256	9999-12-31	16094
6608/10-4	2	2560-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_02_2560-2565m.jpg	2256	9999-12-31	16095
6608/10-4	3	2565-2570m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_03_2565-2570m.jpg	2256	9999-12-31	16096
6608/10-4	4	2570-2575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_04_2570-2575m.jpg	2256	9999-12-31	16097
6608/10-4	5	2575-2580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_05_2575-2580m.jpg	2256	9999-12-31	16098
6608/10-4	6	2580-2585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_06_2580-2585m.jpg	2256	9999-12-31	16099
6608/10-4	7	2585-2586m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_07_2585-2586m.jpg	2256	9999-12-31	16100
6608/10-4	8	2587-2592m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_08_2587-2592m.jpg	2256	9999-12-31	16101
6608/10-4	9	2592-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_09_2592-2597m.jpg	2256	9999-12-31	16102
6608/10-4	10	2597-2602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_10_2597-2602m.jpg	2256	9999-12-31	16103
6608/10-4	11	2602-2607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_11_2602-2607m.jpg	2256	9999-12-31	16104
6608/10-4	12	2607-2612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_12_2607-2612m.jpg	2256	9999-12-31	16105
6608/10-4	13	2612-2615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_13_2612-2615m.jpg	2256	9999-12-31	16106
6608/10-4	14	2615-2620m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_14_2615-2620m.jpg	2256	9999-12-31	16107
6608/10-4	15	2620-2625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_15_2620-2625m.jpg	2256	9999-12-31	16108
6608/10-4	16	2625-2630m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_16_2625-2630m.jpg	2256	9999-12-31	16109
6608/10-4	17	2630-2635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_17_2630-2635m.jpg	2256	9999-12-31	16110
6608/10-4	18	2635-2640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_18_2635-2640m.jpg	2256	9999-12-31	16111
6608/10-4	19	2640-2642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_19_2640-2642m.jpg	2256	9999-12-31	16112
6608/10-4	20	2642-2647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_20_2642-2647m.jpg	2256	9999-12-31	16113
6608/10-4	21	2647-2652m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_21_2647-2652m.jpg	2256	9999-12-31	16114
6608/10-4	22	2652-2657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_22_2652-2657m.jpg	2256	9999-12-31	16115
6608/10-4	23	2657-2660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_23_2657-2660m.jpg	2256	9999-12-31	16116
6608/10-4	24	2660-2665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_24_2660-2665m.jpg	2256	9999-12-31	16117
6608/10-4	25	2665-2670m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_25_2665-2670m.jpg	2256	9999-12-31	16118
6608/10-4	26	2670-2673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_26_2670-2673m.jpg	2256	9999-12-31	16119
6608/10-4	27	2673-2678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_27_2673-2678m.jpg	2256	9999-12-31	16120
6608/10-4	28	2678-2682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_28_2678-2682m.jpg	2256	9999-12-31	16121
6608/10-4	29	2683-2688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_29_2683-2688m.jpg	2256	9999-12-31	16122
6608/10-4	30	2688-2693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_30_2688-2693m.jpg	2256	9999-12-31	16123
6608/10-4	31	2693-2698m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_31_2693-2698m.jpg	2256	9999-12-31	16124
6608/10-4	32	2698-2703m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_32_2698-2703m.jpg	2256	9999-12-31	16125
6608/10-4	33	2703-2707m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2256_33_2703-2707m.jpg	2256	9999-12-31	16126
6608/10-6	1	1827-1832m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_01_1827-1832m.jpg	3260	9999-12-31	16127
6608/10-6	2	1832-1834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_02_1832-1834m.jpg	3260	9999-12-31	16128
6608/10-6	3	1838-1840m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_03_1838-1840m.jpg	3260	9999-12-31	16129
6608/10-6	4	1843-1848m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_04_1843-1848m.jpg	3260	9999-12-31	16130
6608/10-6	5	1848-1853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_05_1848-1853m.jpg	3260	9999-12-31	16131
6608/10-6	6	1853-1858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_06_1853-1858m.jpg	3260	9999-12-31	16132
6608/10-6	7	1858-1862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_07_1858-1862m.jpg	3260	9999-12-31	16133
6608/10-6	8	1862-1867m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_08_1862-1867m.jpg	3260	9999-12-31	16134
6608/10-6	9	1867-1872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_09_1867-1872m.jpg	3260	9999-12-31	16135
6608/10-6	10	1872-1877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_10_1872-1877m.jpg	3260	9999-12-31	16136
6608/10-6	11	1877-1877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_11_1877-1877m.jpg	3260	9999-12-31	16137
6608/10-6	12	1878-1883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_12_1878-1883m.jpg	3260	9999-12-31	16138
6608/10-6	13	1883-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_13_1883-1888m.jpg	3260	9999-12-31	16139
6608/10-6	14	1888-1893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_14_1888-1893m.jpg	3260	9999-12-31	16140
6608/10-6	15	1897-1898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_15_1897-1898m.jpg	3260	9999-12-31	16141
6608/10-6	16	1900-1905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_16_1900-1905m.jpg	3260	9999-12-31	16142
6608/10-6	17	1905-1910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_17_1905-1910m.jpg	3260	9999-12-31	16143
6608/10-6	18	1910-1915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_18_1910-1915m.jpg	3260	9999-12-31	16144
6608/10-6	19	1915-1920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_19_1915-1920m.jpg	3260	9999-12-31	16145
6608/10-6	20	1920-1923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_20_1920-1923m.jpg	3260	9999-12-31	16146
6608/10-6	21	1923-1928m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_21_1923-1928m.jpg	3260	9999-12-31	16147
6608/10-6	22	1928-1933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_22_1928-1933m.jpg	3260	9999-12-31	16148
6608/10-6	23	1933-1935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_23_1933-1935m.jpg	3260	9999-12-31	16149
6608/10-6	24	1936-1941m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_24_1936-1941m.jpg	3260	9999-12-31	16150
6608/10-6	25	1941-1946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_25_1941-1946m.jpg	3260	9999-12-31	16151
6608/10-6	26	1946-1951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_26_1946-1951m.jpg	3260	9999-12-31	16152
6608/10-6	27	1951-1954m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_27_1951-1954m.jpg	3260	9999-12-31	16153
6608/10-6	28	1956-1961m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_28_1956-1961m.jpg	3260	9999-12-31	16154
6608/10-6	29	1961-1966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_29_1961-1966m.jpg	3260	9999-12-31	16155
6608/10-6	30	1966-1971m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_30_1966-1971m.jpg	3260	9999-12-31	16156
6608/10-6	31	1971-1972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3260_31_1971-1972m.jpg	3260	9999-12-31	16157
6608/10-8	1	2295-2300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_01_2295-2300m.jpg	4439	9999-12-31	16158
6608/10-8	2	2300-2305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_02_2300-2305m.jpg	4439	9999-12-31	16159
6608/10-8	3	2305-2310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_03_2305-2310m.jpg	4439	9999-12-31	16160
6608/10-8	4	2310-2315m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_04_2310-2315m.jpg	4439	9999-12-31	16161
6608/10-8	5	2315-2319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_05_2315-2319m.jpg	4439	9999-12-31	16162
6608/10-8	6	2371-2376m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_06_2371-2376m.jpg	4439	9999-12-31	16163
6608/10-8	7	2376-2381m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_07_2376-2381m.jpg	4439	9999-12-31	16164
6608/10-8	8	2381-2386m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_08_2381-2386m.jpg	4439	9999-12-31	16165
6608/10-8	9	2386-2391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_09_2386-2391m.jpg	4439	9999-12-31	16166
6608/10-8	10	2391-2396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_10_2391-2396m.jpg	4439	9999-12-31	16167
6608/10-8	11	2396-2397m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_11_2396-2397m.jpg	4439	9999-12-31	16168
6608/10-8	12	2398-2403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_12_2398-2403m.jpg	4439	9999-12-31	16169
6608/10-8	13	2403-2408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_13_2403-2408m.jpg	4439	9999-12-31	16170
6608/10-8	14	2408-2412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_14_2408-2412m.jpg	4439	9999-12-31	16171
6608/10-8	15	2424-2429m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_15_2424-2429m.jpg	4439	9999-12-31	16172
6608/10-8	16	2429-2433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_16_2429-2433m.jpg	4439	9999-12-31	16173
6608/10-8	17	2435-2437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_17_2435-2437m.jpg	4439	9999-12-31	16174
6608/10-8	18	2438-2443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_18_2438-2443m.jpg	4439	9999-12-31	16175
6608/10-8	19	2443-2448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_19_2443-2448m.jpg	4439	9999-12-31	16176
6608/10-8	20	2448-2451m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_20_2448-2451m.jpg	4439	9999-12-31	16177
6608/10-8	21	2452-2455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4439_21_2452-2455m.jpg	4439	9999-12-31	16178
6608/10-9	1	2140-2145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4668_01_2140-2145m.jpg	4668	9999-12-31	16179
6608/10-9	2	2145-2150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4668_02_2145-2150m.jpg	4668	9999-12-31	16180
6608/10-9	3	2150-2155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4668_03_2150-2155m.jpg	4668	9999-12-31	16181
6608/10-9	4	2155-2160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4668_04_2155-2160m.jpg	4668	9999-12-31	16182
6608/10-9	5	2160-2163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4668_05_2160-2163m.jpg	4668	9999-12-31	16183
6608/10-9	6	2164-2169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4668_06_2164-2169m.jpg	4668	9999-12-31	16184
6608/10-9	7	2169-2174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4668_07_2169-2174m.jpg	4668	9999-12-31	16185
6608/10-9	8	2174-2174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4668_08_2174-2174m.jpg	4668	9999-12-31	16186
6608/10-D-1 H	1	3083-3088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_01_3083-3088m.jpg	2912	9999-12-31	16187
6608/10-D-1 H	2	3088-3093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_02_3088-3093m.jpg	2912	9999-12-31	16188
6608/10-D-1 H	3	3093-3098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_03_3093-3098m.jpg	2912	9999-12-31	16189
6608/10-D-1 H	4	3098-3103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_04_3098-3103m.jpg	2912	9999-12-31	16190
6608/10-D-1 H	5	3103-3108m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_05_3103-3108m.jpg	2912	9999-12-31	16191
6608/10-D-1 H	6	3108-3113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_06_3108-3113m.jpg	2912	9999-12-31	16192
6608/10-D-1 H	7	3113-3118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_07_3113-3118m.jpg	2912	9999-12-31	16193
6608/10-D-1 H	8	3118-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_08_3118-3123m.jpg	2912	9999-12-31	16194
6608/10-D-1 H	9	3123-3128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_09_3123-3128m.jpg	2912	9999-12-31	16195
6608/10-D-1 H	10	3128-3133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_10_3128-3133m.jpg	2912	9999-12-31	16196
6608/10-D-1 H	11	3133-3138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_11_3133-3138m.jpg	2912	9999-12-31	16197
6608/10-D-1 H	12	3138-3143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_12_3138-3143m.jpg	2912	9999-12-31	16198
6608/10-D-1 H	13	3143-3148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_13_3143-3148m.jpg	2912	9999-12-31	16199
6608/10-D-1 H	14	3148-3153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_14_3148-3153m.jpg	2912	9999-12-31	16200
6608/10-D-1 H	15	3153-3158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_15_3153-3158m.jpg	2912	9999-12-31	16201
6608/10-D-1 H	16	3158-3163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_16_3158-3163m.jpg	2912	9999-12-31	16202
6608/10-D-1 H	17	3163-3168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_17_3163-3168m.jpg	2912	9999-12-31	16203
6608/10-D-1 H	18	3168-3172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_18_3168-3172m.jpg	2912	9999-12-31	16204
6608/10-D-1 H	19	3172-3177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_19_3172-3177m.jpg	2912	9999-12-31	16205
6608/10-D-1 H	20	3177-3182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_20_3177-3182m.jpg	2912	9999-12-31	16206
6608/10-D-1 H	21	3182-3187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_21_3182-3187m.jpg	2912	9999-12-31	16207
6608/10-D-1 H	22	3187-3192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_22_3187-3192m.jpg	2912	9999-12-31	16208
6608/10-D-1 H	23	3192-3197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_23_3192-3197m.jpg	2912	9999-12-31	16209
6608/10-D-1 H	24	3197-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_24_3197-3202m.jpg	2912	9999-12-31	16210
6608/10-D-1 H	25	3202-3207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_25_3202-3207m.jpg	2912	9999-12-31	16211
6608/10-D-1 H	26	3207-3212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_26_3207-3212m.jpg	2912	9999-12-31	16212
6608/10-D-1 H	27	3212-3217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_27_3212-3217m.jpg	2912	9999-12-31	16213
6608/10-D-1 H	28	3217-3222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_28_3217-3222m.jpg	2912	9999-12-31	16214
6608/10-D-1 H	29	3222-3226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_29_3222-3226m.jpg	2912	9999-12-31	16215
6608/10-D-1 H	30	3226-3231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_30_3226-3231m.jpg	2912	9999-12-31	16216
6608/10-D-1 H	31	3231-3236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_31_3231-3236m.jpg	2912	9999-12-31	16217
6608/10-D-1 H	32	3236-3241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_32_3236-3241m.jpg	2912	9999-12-31	16218
6608/10-D-1 H	33	3241-3246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_33_3241-3246m.jpg	2912	9999-12-31	16219
6608/10-D-1 H	34	3246-3251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_34_3246-3251m.jpg	2912	9999-12-31	16220
6608/10-D-1 H	35	3251-3256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_35_3251-3256m.jpg	2912	9999-12-31	16221
6608/10-D-1 H	36	3256-3261m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_36_3256-3261m.jpg	2912	9999-12-31	16222
6608/10-D-1 H	37	3261-3266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_37_3261-3266m.jpg	2912	9999-12-31	16223
6608/10-D-1 H	38	3266-3271m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_38_3266-3271m.jpg	2912	9999-12-31	16224
6608/10-D-1 H	39	3271-3274m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_39_3271-3274m.jpg	2912	9999-12-31	16225
6608/10-D-1 H	40	3274-3279m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_40_3274-3279m.jpg	2912	9999-12-31	16226
6608/10-D-1 H	41	3279-3284m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_41_3279-3284m.jpg	2912	9999-12-31	16227
6608/10-D-1 H	42	3284-3285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_42_3284-3285m.jpg	2912	9999-12-31	16228
6608/10-D-1 H	43	3285-3290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_43_3285-3290m.jpg	2912	9999-12-31	16229
6608/10-D-1 H	44	3290-3295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_44_3290-3295m.jpg	2912	9999-12-31	16230
6608/10-D-1 H	45	3295-3300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_45_3295-3300m.jpg	2912	9999-12-31	16231
6608/10-D-1 H	46	3300-3305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_46_3300-3305m.jpg	2912	9999-12-31	16232
6608/10-D-1 H	47	3305-3310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_47_3305-3310m.jpg	2912	9999-12-31	16233
6608/10-D-1 H	48	3310-3315m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_48_3310-3315m.jpg	2912	9999-12-31	16234
6608/10-D-1 H	49	3315-3320m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_49_3315-3320m.jpg	2912	9999-12-31	16235
6608/10-D-1 H	50	3320-3325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_50_3320-3325m.jpg	2912	9999-12-31	16236
6608/10-D-1 H	51	3325-3330m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_51_3325-3330m.jpg	2912	9999-12-31	16237
6608/10-D-1 H	52	3330-3335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_52_3330-3335m.jpg	2912	9999-12-31	16238
6608/10-D-1 H	53	3336-3341m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_53_3336-3341m.jpg	2912	9999-12-31	16239
6608/10-D-1 H	54	3341-3346m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_54_3341-3346m.jpg	2912	9999-12-31	16240
6608/10-D-1 H	55	3346-3351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_55_3346-3351m.jpg	2912	9999-12-31	16241
6608/10-D-1 H	56	3351-3356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_56_3351-3356m.jpg	2912	9999-12-31	16242
6608/10-D-1 H	57	3356-3361m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_57_3356-3361m.jpg	2912	9999-12-31	16243
6608/10-D-1 H	58	3361-3366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_58_3361-3366m.jpg	2912	9999-12-31	16244
6608/10-D-1 H	59	3366-3371m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_59_3366-3371m.jpg	2912	9999-12-31	16245
6608/10-D-1 H	60	3371-3376m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_60_3371-3376m.jpg	2912	9999-12-31	16246
6608/10-D-1 H	61	3376-3381m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_61_3376-3381m.jpg	2912	9999-12-31	16247
6608/10-D-1 H	62	3381-3386m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_62_3381-3386m.jpg	2912	9999-12-31	16248
6608/10-D-1 H	63	3386-3391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_63_3386-3391m.jpg	2912	9999-12-31	16249
6608/10-D-1 H	64	3391-3392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2912_64_3391-3392m.jpg	2912	9999-12-31	16250
6608/11-1	1	1372-1377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/936_01_1372-1377m.jpg	936	9999-12-31	16251
6608/11-1	2	1377-1382m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/936_02_1377-1382m.jpg	936	9999-12-31	16252
6608/11-1	3	1382-1387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/936_03_1382-1387m.jpg	936	9999-12-31	16253
6608/11-1	4	1387-1392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/936_04_1387-1392m.jpg	936	9999-12-31	16254
6608/11-1	5	1392-1397m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/936_05_1392-1397m.jpg	936	9999-12-31	16255
6608/11-1	6	1372-1397m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/936_06_1372-1397m.jpg	936	9999-12-31	16256
6608/11-2	1	1742-1747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4189_01_1742-1747m.jpg	4189	9999-12-31	16257
6608/11-2	2	1747-1752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4189_02_1747-1752m.jpg	4189	9999-12-31	16258
6608/11-2	3	1752-1756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4189_03_1752-1756m.jpg	4189	9999-12-31	16259
6608/11-2	4	1757-1761m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4189_04_1757-1761m.jpg	4189	9999-12-31	16260
6608/11-2	5	1761-1767m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4189_05_1761-1767m.jpg	4189	9999-12-31	16261
6608/11-3	1	1985-1989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4630_01_1985-1989m.jpg	4630	9999-12-31	16262
6608/11-3	2	1989-1991m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4630_02_1989-1991m.jpg	4630	9999-12-31	16263
6608/8-1	1	1833-1834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2974_01_1833-1834m.jpg	2974	9999-12-31	16264
6608/8-1	2	1834-1839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2974_02_1834-1839m.jpg	2974	9999-12-31	16265
6608/8-1	3	1839-1842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2974_03_1839-1842m.jpg	2974	9999-12-31	16266
6608/8-1	4	2766-2767m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2974_04_2766-2767m.jpg	2974	9999-12-31	16267
6608/8-1	5	2768-2773m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2974_05_2768-2773m.jpg	2974	9999-12-31	16268
6608/8-1	6	2773-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2974_06_2773-2774m.jpg	2974	9999-12-31	16269
6609/10-1	1	1644-1647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/24_01_1644-1647m.jpg	24	9999-12-31	16270
6609/10-1	2	1648-1651m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/24_02_1648-1651m.jpg	24	9999-12-31	16271
6609/10-1	3	1652-1655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/24_03_1652-1655m.jpg	24	9999-12-31	16272
6609/10-1	4	1798-1802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/24_04_1798-1802m.jpg	24	9999-12-31	16273
6609/10-1	5	1802-1806m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/24_05_1802-1806m.jpg	24	9999-12-31	16274
6609/10-1	6	1806-1807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/24_06_1806-1807m.jpg	24	9999-12-31	16275
6609/11-1	1	2548-2552m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/15_01_2548-2552m.jpg	15	9999-12-31	16276
6609/11-1	2	2552-2556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/15_02_2552-2556m.jpg	15	9999-12-31	16277
6609/11-1	3	2556-2560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/15_03_2556-2560m.jpg	15	9999-12-31	16278
6609/11-1	4	2560-2564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/15_04_2560-2564m.jpg	15	9999-12-31	16279
6609/11-1	5	2564-2566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/15_05_2564-2566m.jpg	15	9999-12-31	16280
6609/11-1	6	2717-2721m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/15_06_2717-2721m.jpg	15	9999-12-31	16281
6609/11-1	7	2721-2725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/15_07_2721-2725m.jpg	15	9999-12-31	16282
6609/11-1	8	2725-2729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/15_08_2725-2729m.jpg	15	9999-12-31	16283
6609/11-1	9	2729-2733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/15_09_2729-2733m.jpg	15	9999-12-31	16284
6609/11-1	10	2733-2734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/15_10_2733-2734m.jpg	15	9999-12-31	16285
6609/5-1	1	3009-3014m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/445_01_3009-3014m.jpg	445	9999-12-31	16286
6609/5-1	2	3015-3020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/445_02_3015-3020m.jpg	445	9999-12-31	16287
6609/7-1	1	1944-1956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/19_01_1944-1956m.jpg	19	9999-12-31	16288
6609/7-1	2	1944-1946m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/19_02_1944-1946m.jpg	19	9999-12-31	16289
6609/7-1	3	1968-1969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/19_03_1968-1969m.jpg	19	9999-12-31	16290
6609/7-1	4	1968-1969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/19_04_1968-1969m.jpg	19	9999-12-31	16291
6609/7-1	5	1945-1956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/19_05_1945-1956m.jpg	19	9999-12-31	16292
6609/7-1	6	1944-1945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/19_06_1944-1945m.jpg	19	9999-12-31	16293
6609/7-1	7	1944	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/19_07_1944_1945m.jpg	19	9999-12-31	16294
6610/2-1 S	1	2051-2056m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_01_2051-2056m.jpg	2874	9999-12-31	16295
6610/2-1 S	2	2056-2061m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_02_2056-2061m.jpg	2874	9999-12-31	16296
6610/2-1 S	3	2061-2066m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_03_2061-2066m.jpg	2874	9999-12-31	16297
6610/2-1 S	4	2066-2071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_04_2066-2071m.jpg	2874	9999-12-31	16298
6610/2-1 S	5	2071-2076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_05_2071-2076m.jpg	2874	9999-12-31	16299
6610/2-1 S	6	2076-2079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_06_2076-2079m.jpg	2874	9999-12-31	16300
6610/2-1 S	7	2328-2329m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_07_2328-2329m.jpg	2874	9999-12-31	16301
6610/2-1 S	8	2330-2335m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_08_2330-2335m.jpg	2874	9999-12-31	16302
6610/2-1 S	9	2335-2340m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_09_2335-2340m.jpg	2874	9999-12-31	16303
6610/2-1 S	10	2340-2345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_10_2340-2345m.jpg	2874	9999-12-31	16304
6610/2-1 S	11	2345-2350m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_11_2345-2350m.jpg	2874	9999-12-31	16305
6610/2-1 S	12	2350-2355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_12_2350-2355m.jpg	2874	9999-12-31	16306
6610/2-1 S	13	2355-2358m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2874_13_2355-2358m.jpg	2874	9999-12-31	16307
6610/3-1	1	1580-1584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_01_1580-1584m.jpg	1864	9999-12-31	16308
6610/3-1	2	1584-1585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_02_1584-1585m.jpg	1864	9999-12-31	16309
6610/3-1	3	1708-1712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_03_1708-1712m.jpg	1864	9999-12-31	16310
6610/3-1	4	1712-1714m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_04_1712-1714m.jpg	1864	9999-12-31	16311
6610/3-1	5	2292-2296m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_05_2292-2296m.jpg	1864	9999-12-31	16312
6610/3-1	6	2296-2300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_06_2296-2300m.jpg	1864	9999-12-31	16313
6610/3-1	7	2300-2301m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_07_2300-2301m.jpg	1864	9999-12-31	16314
6610/3-1	8	2301-2305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_08_2301-2305m.jpg	1864	9999-12-31	16315
6610/3-1	9	2305-2306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_09_2305-2306m.jpg	1864	9999-12-31	16316
6610/3-1	10	2305-2309m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_10_2305-2309m.jpg	1864	9999-12-31	16317
6610/3-1	11	2309-2313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_11_2309-2313m.jpg	1864	9999-12-31	16318
6610/3-1	12	2313-2313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_12_2313-2313m.jpg	1864	9999-12-31	16319
6610/3-1	13	2514-2518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_13_2514-2518m.jpg	1864	9999-12-31	16320
6610/3-1	14	2518-2522m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_14_2518-2522m.jpg	1864	9999-12-31	16321
6610/3-1	15	2522-2526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_15_2522-2526m.jpg	1864	9999-12-31	16322
6610/3-1	16	2526-2530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_16_2526-2530m.jpg	1864	9999-12-31	16323
6610/3-1	17	2530-2531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_17_2530-2531m.jpg	1864	9999-12-31	16324
6610/3-1	18	2661-2665m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_18_2661-2665m.jpg	1864	9999-12-31	16325
6610/3-1	19	2665-2668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_19_2665-2668m.jpg	1864	9999-12-31	16326
6610/3-1	20	2668-2672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_20_2668-2672m.jpg	1864	9999-12-31	16327
6610/3-1	21	2672-2676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_21_2672-2676m.jpg	1864	9999-12-31	16328
6610/3-1	22	2676-2680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_22_2676-2680m.jpg	1864	9999-12-31	16329
6610/3-1	23	2680-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_23_2680-2684m.jpg	1864	9999-12-31	16330
6610/3-1	24	2684-2688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_24_2684-2688m.jpg	1864	9999-12-31	16331
6610/3-1	25	2688-2692m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_25_2688-2692m.jpg	1864	9999-12-31	16332
6610/3-1	26	2692-2693m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1864_26_2692-2693m.jpg	1864	9999-12-31	16333
6610/3-1 R	1	3315-3319m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2193_01_3315-3319m.jpg	2193	9999-12-31	16334
6610/3-1 R	2	3319-3323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2193_02_3319-3323m.jpg	2193	9999-12-31	16335
6610/3-1 R	3	3323-3324m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2193_03_3323-3324m.jpg	2193	9999-12-31	16336
6610/3-1 R	4	3720-3724m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2193_04_3720-3724m.jpg	2193	9999-12-31	16337
6610/3-1 R	5	3741-3746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2193_05_3741-3746m.jpg	2193	9999-12-31	16338
6610/3-1 R	6	3746-3747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2193_06_3746-3747m.jpg	2193	9999-12-31	16339
6610/7-1	1	2183-2190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/12_01_2183-2190m.jpg	12	9999-12-31	16340
6610/7-1	2	2190-2197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/12_02_2190-2197m.jpg	12	9999-12-31	16341
6610/7-1	3	2197-2200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/12_03_2197-2200m.jpg	12	9999-12-31	16342
6610/7-1	4	2661-2668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/12_04_2661-2668m.jpg	12	9999-12-31	16343
6610/7-1	5	2668-2675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/12_05_2668-2675m.jpg	12	9999-12-31	16344
6610/7-1	6	2675-2677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/12_06_2675-2677m.jpg	12	9999-12-31	16345
6610/7-1	7	2677-2684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/12_07_2677-2684m.jpg	12	9999-12-31	16346
6610/7-1	8	2684-2686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/12_08_2684-2686m.jpg	12	9999-12-31	16347
6610/7-1	9	2706-2713m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/12_09_2706-2713m.jpg	12	9999-12-31	16348
6610/7-1	10	2713-2720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/12_10_2713-2720m.jpg	12	9999-12-31	16349
6610/7-1	11	2720-2725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/12_11_2720-2725m.jpg	12	9999-12-31	16350
6610/7-2	1	1498-1503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/26_01_1498-1503m.jpg	26	9999-12-31	16351
6610/7-2	2	1503-1507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/26_02_1503-1507m.jpg	26	9999-12-31	16352
6610/7-2	3	4180-4186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/26_03_4180-4186m.jpg	26	9999-12-31	16353
6610/7-2	4	4186-4192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/26_04_4186-4192m.jpg	26	9999-12-31	16354
6610/7-2	5	4192-4195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/26_05_4192-4195m.jpg	26	9999-12-31	16355
6704/12-1	1	2554-2559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3759_01_2554-2559m.jpg	3759	9999-12-31	16356
6704/12-1	2	2559-2564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3759_02_2559-2564m.jpg	3759	9999-12-31	16357
6704/12-1	3	2564-2569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3759_03_2564-2569m.jpg	3759	9999-12-31	16358
6704/12-1	4	2569-2574m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3759_04_2569-2574m.jpg	3759	9999-12-31	16359
6704/12-1	5	2574-2575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3759_05_2574-2575m.jpg	3759	9999-12-31	16360
6704/12-1	6	2997-3002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3759_06_2997-3002m.jpg	3759	9999-12-31	16361
6704/12-1	7	3002-3005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3759_07_3002-3005m.jpg	3759	9999-12-31	16362
6704/12-1	8	4097-4102m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3759_08_4097-4102m.jpg	3759	9999-12-31	16363
6704/12-1	9	4102-4103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3759_09_4102-4103m.jpg	3759	9999-12-31	16364
6706/11-1	1	2297-2302m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_01_2297-2302m.jpg	3202	9999-12-31	16365
6706/11-1	2	2302-2304m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_02_2302-2304m.jpg	3202	9999-12-31	16366
6706/11-1	3	2306-2311m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_03_2306-2311m.jpg	3202	9999-12-31	16367
6706/11-1	4	2311-2316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_04_2311-2316m.jpg	3202	9999-12-31	16368
6706/11-1	5	2316-2321m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_05_2316-2321m.jpg	3202	9999-12-31	16369
6706/11-1	6	2321-2323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_06_2321-2323m.jpg	3202	9999-12-31	16370
6706/11-1	7	3107-3212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_07_3107-3212m.jpg	3202	9999-12-31	16371
6706/11-1	8	3112-3117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_08_3112-3117m.jpg	3202	9999-12-31	16372
6706/11-1	9	3117-3122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_09_3117-3122m.jpg	3202	9999-12-31	16373
6706/11-1	10	3122-3127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_10_3122-3127m.jpg	3202	9999-12-31	16374
6706/11-1	11	3127-3232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_11_3127-3232m.jpg	3202	9999-12-31	16375
6706/11-1	12	3232-3137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_12_3232-3137m.jpg	3202	9999-12-31	16376
6706/11-1	13	3144-3149m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_13_3144-3149m.jpg	3202	9999-12-31	16377
6706/11-1	14	3149-3150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3202_14_3149-3150m.jpg	3202	9999-12-31	16378
6707/10-1	1	2967-2972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_01_2967-2972m.jpg	3075	9999-12-31	16379
6707/10-1	2	2972-2977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_02_2972-2977m.jpg	3075	9999-12-31	16380
6707/10-1	3	2977-2982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_03_2977-2982m.jpg	3075	9999-12-31	16381
6707/10-1	4	2982-2986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_04_2982-2986m.jpg	3075	9999-12-31	16382
6707/10-1	5	2985-2990m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_05_2985-2990m.jpg	3075	9999-12-31	16383
6707/10-1	6	2990-2995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_06_2990-2995m.jpg	3075	9999-12-31	16384
6707/10-1	7	2995-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_07_2995-3000m.jpg	3075	9999-12-31	16385
6707/10-1	8	3000-3005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_08_3000-3005m.jpg	3075	9999-12-31	16386
6707/10-1	9	3005-3010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_09_3005-3010m.jpg	3075	9999-12-31	16387
6707/10-1	10	3010-3012m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_10_3010-3012m.jpg	3075	9999-12-31	16388
6707/10-1	11	3012-3017m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_11_3012-3017m.jpg	3075	9999-12-31	16389
6707/10-1	13	3017-3022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_13_3017-3022m.jpg	3075	9999-12-31	16390
6707/10-1	14	3022-3027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_14_3022-3027m.jpg	3075	9999-12-31	16391
6707/10-1	15	3030-3035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_15_3030-3035m.jpg	3075	9999-12-31	16392
6707/10-1	16	3035-3040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_16_3035-3040m.jpg	3075	9999-12-31	16393
6707/10-1	17	3040-3045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_17_3040-3045m.jpg	3075	9999-12-31	16394
6707/10-1	18	3045-3048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_18_3045-3048m.jpg	3075	9999-12-31	16395
6707/10-1	19	3048-3053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_19_3048-3053m.jpg	3075	9999-12-31	16396
6707/10-1	20	3053-3058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_20_3053-3058m.jpg	3075	9999-12-31	16397
6707/10-1	21	3058-3063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_21_3058-3063m.jpg	3075	9999-12-31	16398
6707/10-1	22	3063-3065m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_22_3063-3065m.jpg	3075	9999-12-31	16399
6707/10-1	23	3066-3071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_23_3066-3071m.jpg	3075	9999-12-31	16400
6707/10-1	24	3071-3076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_24_3071-3076m.jpg	3075	9999-12-31	16401
6707/10-1	25	3076-3081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_25_3076-3081m.jpg	3075	9999-12-31	16402
6707/10-1	26	3081-3083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_26_3081-3083m.jpg	3075	9999-12-31	16403
6707/10-1	27	3085-3090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_27_3085-3090m.jpg	3075	9999-12-31	16404
6707/10-1	28	3090-3095m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_28_3090-3095m.jpg	3075	9999-12-31	16405
6707/10-1	29	3095-3100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_29_3095-3100m.jpg	3075	9999-12-31	16406
6707/10-1	30	3100-3105m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_30_3100-3105m.jpg	3075	9999-12-31	16407
6707/10-1	31	3105-3107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_31_3105-3107m.jpg	3075	9999-12-31	16408
6707/10-1	32	3107-3112m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_32_3107-3112m.jpg	3075	9999-12-31	16409
6707/10-1	33	3112-3117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_33_3112-3117m.jpg	3075	9999-12-31	16410
6707/10-1	34	3117-3122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_34_3117-3122m.jpg	3075	9999-12-31	16411
6707/10-1	35	3122-3127m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_35_3122-3127m.jpg	3075	9999-12-31	16412
6707/10-1	36	3127-3128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_36_3127-3128m.jpg	3075	9999-12-31	16413
6707/10-1	37	3127-3132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_37_3127-3132m.jpg	3075	9999-12-31	16414
6707/10-1	38	3132-3137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_38_3132-3137m.jpg	3075	9999-12-31	16415
6707/10-1	39	3137-3142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_39_3137-3142m.jpg	3075	9999-12-31	16416
6707/10-1	40	3142-3147m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_40_3142-3147m.jpg	3075	9999-12-31	16417
6707/10-1	41	4118-4123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_41_4118-4123m.jpg	3075	9999-12-31	16418
6707/10-1	42	4123-4128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_42_4123-4128m.jpg	3075	9999-12-31	16419
6707/10-1	43	4128-4133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_43_4128-4133m.jpg	3075	9999-12-31	16420
6707/10-1	44	4133-4138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_44_4133-4138m.jpg	3075	9999-12-31	16421
6707/10-1	45	4138-4138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3075_45_4138-4138m.jpg	3075	9999-12-31	16422
6710/10-1	1	1096-1099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3941_01_1096-1099m.jpg	3941	9999-12-31	16423
6710/10-1	2	1099-1103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3941_02_1099-1103m.jpg	3941	9999-12-31	16424
6710/10-1	3	1103-1107m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3941_03_1103-1107m.jpg	3941	9999-12-31	16425
6710/10-1	4	1107-1111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3941_04_1107-1111m.jpg	3941	9999-12-31	16426
6710/10-1	5	1111-1112m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3941_05_1111-1112m.jpg	3941	9999-12-31	16427
6710/10-1	6	1456-1460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3941_06_1456-1460m.jpg	3941	9999-12-31	16428
6710/10-1	7	1460-1462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3941_07_1460-1462m.jpg	3941	9999-12-31	16429
6805/6-U-1	1	3569-3572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1125_1_3569-3572m.jpg	1125	9999-12-31	16430
6805/6-U-1	2	3573-3577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1125_2_3573-3577m.jpg	1125	9999-12-31	16431
6805/6-U-1	3	3577-3581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1125_3_3577-3581m.jpg	1125	9999-12-31	16432
6805/6-U-1	4	3581-3585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1125_4_3581-3585m.jpg	1125	9999-12-31	16433
6805/6-U-1	5	3585-3589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1125_5_3585-3589m.jpg	1125	9999-12-31	16434
6805/6-U-1	6	3589-3593m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1125_6_3589-3593m.jpg	1125	9999-12-31	16435
6805/6-U-1	7	3593-3597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1125_7_3593-3597m.jpg	1125	9999-12-31	16436
7/11-10 S	1	4350-4354m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1563_01_4350-4354m.jpg	1563	9999-12-31	16437
7/11-10 S	2	4355-4359m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1563_02_4355-4359m.jpg	1563	9999-12-31	16438
7/11-10 S	3	4366-4370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1563_03_4366-4370m.jpg	1563	9999-12-31	16439
7/11-10 S	4	4371-4375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1563_04_4371-4375m.jpg	1563	9999-12-31	16440
7/11-10 S	5	4376-4380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1563_05_4376-4380m.jpg	1563	9999-12-31	16441
7/11-10 S	6	4381-4385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1563_06_4381-4385m.jpg	1563	9999-12-31	16442
7/11-10 S	7	4386-4388m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1563_07_4386-4388m.jpg	1563	9999-12-31	16443
7/11-10 S	8	4389-4393m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1563_08_4389-4393m.jpg	1563	9999-12-31	16444
7/11-10 S	9	4394-4398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1563_09_4394-4398m.jpg	1563	9999-12-31	16445
7/11-10 S	10	4399-4402m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1563_10_4399-4402m.jpg	1563	9999-12-31	16446
7/11-5	1	4164-4167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_01_4164-4167m.jpg	42	9999-12-31	16447
7/11-5	2	4159-4162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_02_4159-4162m.jpg	42	9999-12-31	16448
7/11-5	3	4168-4171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_03_4168-4171m.jpg	42	9999-12-31	16449
7/11-5	4	4172-4175m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_04_4172-4175m.jpg	42	9999-12-31	16450
7/11-5	5	4168-4176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_05_4168-4176m.jpg	42	9999-12-31	16451
7/11-5	6	4178-4181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_06_4178-4181m.jpg	42	9999-12-31	16452
7/11-5	7	4182-4185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_07_4182-4185m.jpg	42	9999-12-31	16453
7/11-5	8	4185-4186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_08_4185-4186m.jpg	42	9999-12-31	16454
7/11-5	9	4186-4189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_09_4186-4189m.jpg	42	9999-12-31	16455
7/11-5	10	4190-4193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_10_4190-4193m.jpg	42	9999-12-31	16456
7/11-5	11	4194-4195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_11_4194-4195m.jpg	42	9999-12-31	16457
7/11-5	12	4196-4199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_12_4196-4199m.jpg	42	9999-12-31	16458
7/11-5	13	4200-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_13_4200-4203m.jpg	42	9999-12-31	16459
7/11-5	14	4204-4207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_14_4204-4207m.jpg	42	9999-12-31	16460
7/11-5	15	4208-4211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_15_4208-4211m.jpg	42	9999-12-31	16461
7/11-5	16	4212-4213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_16_4212-4213m.jpg	42	9999-12-31	16462
7/11-5	17	4214-4217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_17_4214-4217m.jpg	42	9999-12-31	16463
7/11-5	18	4218-4221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_18_4218-4221m.jpg	42	9999-12-31	16464
7/11-5	19	4222-4225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_19_4222-4225m.jpg	42	9999-12-31	16465
7/11-5	20	4226-4229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_20_4226-4229m.jpg	42	9999-12-31	16466
7/11-5	21	4230-4231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/42_21_4230-4231m.jpg	42	9999-12-31	16467
7/11-6	1	4101-4105m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_01_4101-4105m.jpg	86	9999-12-31	16468
7/11-6	2	4105-4109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_02_4105-4109m.jpg	86	9999-12-31	16469
7/11-6	3	4111-4115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_03_4111-4115m.jpg	86	9999-12-31	16470
7/11-6	4	4116-4117m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_04_4116-4117m.jpg	86	9999-12-31	16471
7/11-6	5	4119-4123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_05_4119-4123m.jpg	86	9999-12-31	16472
7/11-6	6	4124-4128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_06_4124-4128m.jpg	86	9999-12-31	16473
7/11-6	7	4129-4131m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_07_4129-4131m.jpg	86	9999-12-31	16474
7/11-6	8	4132-4136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_08_4132-4136m.jpg	86	9999-12-31	16475
7/11-6	9	4137-4141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_09_4137-4141m.jpg	86	9999-12-31	16476
7/11-6	10	4142-4146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_10_4142-4146m.jpg	86	9999-12-31	16477
7/11-6	11	4147-4149m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_11_4147-4149m.jpg	86	9999-12-31	16478
7/11-6	12	4150-4154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_12_4150-4154m.jpg	86	9999-12-31	16479
7/11-6	13	4155-4157m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/86_13_4155-4157m.jpg	86	9999-12-31	16480
7/11-7	1	14941-14956ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_001_14941-14956ft.jpg	57	9999-12-31	16481
7/11-7	1	14923-14938ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_01_14923-14938ft.jpg	57	9999-12-31	16482
7/11-7	2	14959-14959ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_02_14959-14959ft.jpg	57	9999-12-31	16483
7/11-7	4	14961-14964ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_04_14961-14964ft.jpg	57	9999-12-31	16484
7/11-7	5	14966-14981ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_05_14966-14981ft.jpg	57	9999-12-31	16485
7/11-7	6	14984-14993ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_06_14984-14993ft.jpg	57	9999-12-31	16486
7/11-7	7	15012-15027ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_07_15012-15027ft.jpg	57	9999-12-31	16487
7/11-7	8	15030-15045ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_08_15030-15045ft.jpg	57	9999-12-31	16488
7/11-7	9	15048-15051ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_09_15048-15051ft.jpg	57	9999-12-31	16489
7/11-7	10	15052-15067ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_10_15052-15067ft.jpg	57	9999-12-31	16490
7/11-7	11	15070-15085ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_11_15070-15085ft.jpg	57	9999-12-31	16491
7/11-7	12	15088-15100ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_12_15088-15100ft.jpg	57	9999-12-31	16492
7/11-7	13	15105-15120ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_13_15105-15120ft.jpg	57	9999-12-31	16493
7/11-7	14	15123-15138ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_14_15123-15138ft.jpg	57	9999-12-31	16494
7/11-7	15	15141-15150ft	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/57_15_15141-15150ft.jpg	57	9999-12-31	16495
7/11-8	1	3725-3729m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/30_01_3725-3729m.jpg	30	9999-12-31	16496
7/11-8	2	3730-3734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/30_02_3730-3734m.jpg	30	9999-12-31	16497
7/11-8	3	3735-3739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/30_03_3735-3739m.jpg	30	9999-12-31	16498
7/11-8	4	3740-3743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/30_04_3740-3743m.jpg	30	9999-12-31	16499
7/11-9	1	4165-4168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_01_4165-4168m.jpg	856	9999-12-31	16500
7/11-9	2	4173-4176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_02_4173-4176m.jpg	856	9999-12-31	16501
7/11-9	3	4169-4172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_03_4169-4172m.jpg	856	9999-12-31	16502
7/11-9	4	4177-4180m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_04_4177-4180m.jpg	856	9999-12-31	16503
7/11-9	5	4181-4184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_05_4181-4184m.jpg	856	9999-12-31	16504
7/11-9	6	4185-4188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_06_4185-4188m.jpg	856	9999-12-31	16505
7/11-9	7	4189-4192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_07_4189-4192m.jpg	856	9999-12-31	16506
7/11-9	8	4193-4196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_08_4193-4196m.jpg	856	9999-12-31	16507
7/11-9	9	4197-4200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_09_4197-4200m.jpg	856	9999-12-31	16508
7/11-9	10	4201-4204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_10_4201-4204m.jpg	856	9999-12-31	16509
7/11-9	11	4205-4208m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_11_4205-4208m.jpg	856	9999-12-31	16510
7/11-9	12	4209-4210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/856_12_4209-4210m.jpg	856	9999-12-31	16511
7/12-11	1	3802-3807m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1787_01_3802-3807m.jpg	1787	9999-12-31	16512
7/12-11	2	3807-3812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1787_02_3807-3812m.jpg	1787	9999-12-31	16513
7/12-6	1	3406-3409m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_01_3406-3409m.jpg	281	9999-12-31	16514
7/12-6	2	3409-3412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_02_3409-3412m.jpg	281	9999-12-31	16515
7/12-6	3	3412-3414m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_03_3412-3414m.jpg	281	9999-12-31	16516
7/12-6	4	3414-3417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_04_3414-3417m.jpg	281	9999-12-31	16517
7/12-6	5	3417-3420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_05_3417-3420m.jpg	281	9999-12-31	16518
7/12-6	6	3420-3422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_06_3420-3422m.jpg	281	9999-12-31	16519
7/12-6	7	3422-3425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_07_3422-3425m.jpg	281	9999-12-31	16520
7/12-6	8	3425-3428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_08_3425-3428m.jpg	281	9999-12-31	16521
7/12-6	9	3428-3431m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_09_3428-3431m.jpg	281	9999-12-31	16522
7/12-6	10	3431-3433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_10_3431-3433m.jpg	281	9999-12-31	16523
7/12-6	11	3433-3434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_11_3433-3434m.jpg	281	9999-12-31	16524
7/12-6	12	3434-3437m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_12_3434-3437m.jpg	281	9999-12-31	16525
7/12-6	13	3437-3439m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_13_3437-3439m.jpg	281	9999-12-31	16526
7/12-6	14	3439-3442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_14_3439-3442m.jpg	281	9999-12-31	16527
7/12-6	15	3442-3445m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_15_3442-3445m.jpg	281	9999-12-31	16528
7/12-6	16	3445-3447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_16_3445-3447m.jpg	281	9999-12-31	16529
7/12-6	17	3447-3450m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_17_3447-3450m.jpg	281	9999-12-31	16530
7/12-6	18	3450-3453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_18_3450-3453m.jpg	281	9999-12-31	16531
7/12-6	19	3453-3455m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_19_3453-3455m.jpg	281	9999-12-31	16532
7/12-6	20	3455-3458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_20_3455-3458m.jpg	281	9999-12-31	16533
7/12-6	21	3458-3461m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_21_3458-3461m.jpg	281	9999-12-31	16534
7/12-6	22	3461-3464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_22_3461-3464m.jpg	281	9999-12-31	16535
7/12-6	23	3464-3467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_23_3464-3467m.jpg	281	9999-12-31	16536
7/12-6	24	3467-3469m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_24_3467-3469m.jpg	281	9999-12-31	16537
7/12-6	25	3469-3472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_25_3469-3472m.jpg	281	9999-12-31	16538
7/12-6	26	3472-3475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_26_3472-3475m.jpg	281	9999-12-31	16539
7/12-6	27	3475-3477m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_27_3475-3477m.jpg	281	9999-12-31	16540
7/12-6	28	3477-3480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_28_3477-3480m.jpg	281	9999-12-31	16541
7/12-6	29	3480-3483m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_29_3480-3483m.jpg	281	9999-12-31	16542
7/12-6	30	3483-3485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_30_3483-3485m.jpg	281	9999-12-31	16543
7/12-6	31	3485-3488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_31_3485-3488m.jpg	281	9999-12-31	16544
7/12-6	32	3488-3491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_32_3488-3491m.jpg	281	9999-12-31	16545
7/12-6	33	3491-3494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_33_3491-3494m.jpg	281	9999-12-31	16546
7/12-6	34	3494-3496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_34_3494-3496m.jpg	281	9999-12-31	16547
7/12-6	35	3496-3499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_35_3496-3499m.jpg	281	9999-12-31	16548
7/12-6	36	3499-3502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_36_3499-3502m.jpg	281	9999-12-31	16549
7/12-6	37	3502-3504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_37_3502-3504m.jpg	281	9999-12-31	16550
7/12-6	38	3504-3507m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_38_3504-3507m.jpg	281	9999-12-31	16551
7/12-6	39	3507-3510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_39_3507-3510m.jpg	281	9999-12-31	16552
7/12-6	40	3510-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_40_3510-3512m.jpg	281	9999-12-31	16553
7/12-6	41	3512-3515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_41_3512-3515m.jpg	281	9999-12-31	16554
7/12-6	42	3515-3518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_42_3515-3518m.jpg	281	9999-12-31	16555
7/12-6	43	3518-3520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_43_3518-3520m.jpg	281	9999-12-31	16556
7/12-6	44	3520-3523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_44_3520-3523m.jpg	281	9999-12-31	16557
7/12-6	45	3523-3526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_45_3523-3526m.jpg	281	9999-12-31	16558
7/12-6	46	3526-3528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_46_3526-3528m.jpg	281	9999-12-31	16559
7/12-6	47	3528-3531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_47_3528-3531m.jpg	281	9999-12-31	16560
7/12-6	48	3531-3534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_48_3531-3534m.jpg	281	9999-12-31	16561
7/12-6	49	3534-3537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_49_3534-3537m.jpg	281	9999-12-31	16562
7/12-6	50	3537-3539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_50_3537-3539m.jpg	281	9999-12-31	16563
7/12-6	51	3539-3542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_51_3539-3542m.jpg	281	9999-12-31	16564
7/12-6	52	3542-3543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_52_3542-3543m.jpg	281	9999-12-31	16565
7/12-6	53	3543-3545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_53_3543-3545m.jpg	281	9999-12-31	16566
7/12-6	54	3545-3548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_54_3545-3548m.jpg	281	9999-12-31	16567
7/12-6	55	3548-3550m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_55_3548-3550m.jpg	281	9999-12-31	16568
7/12-6	56	3550-3553m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_56_3550-3553m.jpg	281	9999-12-31	16569
7/12-6	57	3553-3556m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_57_3553-3556m.jpg	281	9999-12-31	16570
7/12-6	58	3556-3558m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_58_3556-3558m.jpg	281	9999-12-31	16571
7/12-6	59	3558-3561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_59_3558-3561m.jpg	281	9999-12-31	16572
7/12-6	60	3561-3564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_60_3561-3564m.jpg	281	9999-12-31	16573
7/12-6	61	3564-3567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_61_3564-3567m.jpg	281	9999-12-31	16574
7/12-6	62	3567-3569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_62_3567-3569m.jpg	281	9999-12-31	16575
7/12-6	63	3569-3572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_63_3569-3572m.jpg	281	9999-12-31	16576
7/12-6	64	3572-3575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_64_3572-3575m.jpg	281	9999-12-31	16577
7/12-6	65	3575-3577m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_65_3575-3577m.jpg	281	9999-12-31	16578
7/12-6	66	3577-3580m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_66_3577-3580m.jpg	281	9999-12-31	16579
7/12-6	67	3580-3583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_67_3580-3583m.jpg	281	9999-12-31	16580
7/12-6	68	3583-3585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_68_3583-3585m.jpg	281	9999-12-31	16581
7/12-6	69	3585-3588m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_69_3585-3588m.jpg	281	9999-12-31	16582
7/12-6	70	3588-3591m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_70_3588-3591m.jpg	281	9999-12-31	16583
7/12-6	71	3591-3594m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_71_3591-3594m.jpg	281	9999-12-31	16584
7/12-6	72	3594-3596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_72_3594-3596m.jpg	281	9999-12-31	16585
7/12-6	73	3596-3599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_73_3596-3599m.jpg	281	9999-12-31	16586
7/12-6	74	3599-3602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_74_3599-3602m.jpg	281	9999-12-31	16587
7/12-6	75	3602-3604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_75_3602-3604m.jpg	281	9999-12-31	16588
7/12-6	76	3604-3607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_76_3604-3607m.jpg	281	9999-12-31	16589
7/12-6	77	3607-3610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_77_3607-3610m.jpg	281	9999-12-31	16590
7/12-6	78	3610-3612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_78_3610-3612m.jpg	281	9999-12-31	16591
7/12-6	79	3612-3615m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_79_3612-3615m.jpg	281	9999-12-31	16592
7/12-6	80	3615-3618m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_80_3615-3618m.jpg	281	9999-12-31	16593
7/12-6	81	3618-3621m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_81_3618-3621m.jpg	281	9999-12-31	16594
7/12-6	82	3621-3623m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_82_3621-3623m.jpg	281	9999-12-31	16595
7/12-6	83	3623-3624m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_83_3623-3624m.jpg	281	9999-12-31	16596
7/12-6	84	3624-3626m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_84_3624-3626m.jpg	281	9999-12-31	16597
7/12-6	85	3626-3629m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_85_3626-3629m.jpg	281	9999-12-31	16598
7/12-6	86	3629-3632m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_86_3629-3632m.jpg	281	9999-12-31	16599
7/12-6	87	3632-3635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_87_3632-3635m.jpg	281	9999-12-31	16600
7/12-6	88	3635-3637m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_88_3635-3637m.jpg	281	9999-12-31	16601
7/12-6	89	3637-3640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_89_3637-3640m.jpg	281	9999-12-31	16602
7/12-6	90	3640-3643m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_90_3640-3643m.jpg	281	9999-12-31	16603
7/12-6	91	3643-3645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_91_3643-3645m.jpg	281	9999-12-31	16604
7/12-6	92	3645-3646m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/281_92_3645-3646m.jpg	281	9999-12-31	16605
7/4-1	1	2980-2985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2136_01_2980-2985m.jpg	2136	9999-12-31	16606
7/4-1	2	2985-2988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2136_02_2985-2988m.jpg	2136	9999-12-31	16607
7/4-1	3	3015-3020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2136_03_3015-3020m.jpg	2136	9999-12-31	16608
7/4-1	4	3020-3023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2136_04_3020-3023m.jpg	2136	9999-12-31	16609
7/4-1	5	3069-3074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2136_05_3069-3074m.jpg	2136	9999-12-31	16610
7/4-1	6	3074-3076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2136_06_3074-3076m.jpg	2136	9999-12-31	16611
7/7-1	1	2786-2791m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1492_01_2786-2791m.jpg	1492	9999-12-31	16612
7/7-1	2	2791-2796m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1492_02_2791-2796m.jpg	1492	9999-12-31	16613
7/7-1	3	2796-2801m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1492_03_2796-2801m.jpg	1492	9999-12-31	16614
7/7-1	4	2801-2803m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1492_04_2801-2803m.jpg	1492	9999-12-31	16615
7/7-1	5	3286-3291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1492_05_3286-3291m.jpg	1492	9999-12-31	16616
7/7-1	6	3291-3296m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1492_06_3291-3296m.jpg	1492	9999-12-31	16617
7/7-1	7	3296-3301m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1492_07_3296-3301m.jpg	1492	9999-12-31	16618
7/7-1	8	3301-3306m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1492_08_3301-3306m.jpg	1492	9999-12-31	16619
7/7-1	9	3306-3311m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1492_09_3306-3311m.jpg	1492	9999-12-31	16620
7/7-1	10	3311-3313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1492_10_3311-3313m.jpg	1492	9999-12-31	16621
7/7-2	1	3242-3243m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1868_01_3242-3243m.jpg	1868	9999-12-31	16622
7/7-2	2	3243-3246m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1868_02_3243-3246m.jpg	1868	9999-12-31	16623
7/7-2	3	3338-3343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1868_03_3338-3343m.jpg	1868	9999-12-31	16624
7/7-2	4	3348-3349m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1868_04_3348-3349m.jpg	1868	9999-12-31	16625
7/7-2	5	3350-3355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1868_05_3350-3355m.jpg	1868	9999-12-31	16626
7/7-2	6	3355-3357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1868_06_3355-3357m.jpg	1868	9999-12-31	16627
7/7-2	7	3357-3362m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1868_07_3357-3362m.jpg	1868	9999-12-31	16628
7/7-2	8	3362-3363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1868_08_3362-3363m.jpg	1868	9999-12-31	16629
7/7-3	1	3486-3489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2113_01_3486-3489m.jpg	2113	9999-12-31	16630
7/7-3	2	3489-3490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2113_02_3489-3490m.jpg	2113	9999-12-31	16631
7/7-3	3	3491-3496m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2113_03_3491-3496m.jpg	2113	9999-12-31	16632
7/7-3	4	3496-3501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2113_04_3496-3501m.jpg	2113	9999-12-31	16633
7/7-3	5	3501-3506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2113_05_3501-3506m.jpg	2113	9999-12-31	16634
7/7-3	6	3506-3511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2113_06_3506-3511m.jpg	2113	9999-12-31	16635
7/7-3	7	3511-3516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2113_07_3511-3516m.jpg	2113	9999-12-31	16636
7/7-3	8	3516-3516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2113_08_3516-3516m.jpg	2113	9999-12-31	16637
7/8-3	1	3731-3736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/28_01_3731-3736m.jpg	28	9999-12-31	16638
7/8-3	2	3737-3739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/28_02_3737-3739m.jpg	28	9999-12-31	16639
7/8-3	3	3739-3740m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/28_03_3739-3740m.jpg	28	9999-12-31	16640
7/8-3	4	3741-3746m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/28_04_3741-3746m.jpg	28	9999-12-31	16641
7/8-3	5	3747-3752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/28_05_3747-3752m.jpg	28	9999-12-31	16642
7/8-3	6	3753-3758m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/28_06_3753-3758m.jpg	28	9999-12-31	16643
7/8-3	7	3759-3760m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/28_07_3759-3760m.jpg	28	9999-12-31	16644
7/8-3	8	3760-3765m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/28_08_3760-3765m.jpg	28	9999-12-31	16645
7/8-3	9	3766-3768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/28_09_3766-3768m.jpg	28	9999-12-31	16646
7/8-4	1	3823-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_01_3823-3831m.jpg	448	9999-12-31	16647
7/8-4	2	3823-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_02_3823-3831m.jpg	448	9999-12-31	16648
7/8-4	3	3823-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_03_3823-3831m.jpg	448	9999-12-31	16649
7/8-4	4	3823-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_04_3823-3831m.jpg	448	9999-12-31	16650
7/8-4	5	3823-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_05_3823-3831m.jpg	448	9999-12-31	16651
7/8-4	6	3823-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_06_3823-3831m.jpg	448	9999-12-31	16652
7/8-4	7	3823-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_07_3823-3831m.jpg	448	9999-12-31	16653
7/8-4	8	3823-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_08_3823-3831m.jpg	448	9999-12-31	16654
7/8-4	9	3823-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_09_3823-3831m.jpg	448	9999-12-31	16655
7/8-4	10	3823-3831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_10_3823-3831m.jpg	448	9999-12-31	16656
7/8-4	11	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_11_3831-3839m.jpg	448	9999-12-31	16657
7/8-4	12	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_12_3831-3839m.jpg	448	9999-12-31	16658
7/8-4	13	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_13_3831-3839m.jpg	448	9999-12-31	16659
7/8-4	14	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_14_3831-3839m.jpg	448	9999-12-31	16660
7/8-4	15	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_15_3831-3839m.jpg	448	9999-12-31	16661
7/8-4	16	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_16_3831-3839m.jpg	448	9999-12-31	16662
7/8-4	17	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_17_3831-3839m.jpg	448	9999-12-31	16663
7/8-4	18	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_18_3831-3839m.jpg	448	9999-12-31	16664
7/8-4	19	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_19_3831-3839m.jpg	448	9999-12-31	16665
7/8-4	20	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_20_3831-3839m.jpg	448	9999-12-31	16666
7/8-4	21	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_21_3831-3839m.jpg	448	9999-12-31	16667
7/8-4	22	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_22_3831-3839m.jpg	448	9999-12-31	16668
7/8-4	23	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_23_3831-3839m.jpg	448	9999-12-31	16669
7/8-4	24	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_24_3831-3839m.jpg	448	9999-12-31	16670
7/8-4	25	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_25_3831-3839m.jpg	448	9999-12-31	16671
7/8-4	26	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_26_3831-3839m.jpg	448	9999-12-31	16672
7/8-4	27	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_27_3831-3839m.jpg	448	9999-12-31	16673
7/8-4	28	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_28_3831-3839m.jpg	448	9999-12-31	16674
7/8-4	29	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_29_3831-3839m.jpg	448	9999-12-31	16675
7/8-4	30	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_30_3831-3839m.jpg	448	9999-12-31	16676
7/8-4	31	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_31_3831-3839m.jpg	448	9999-12-31	16677
7/8-4	32	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_32_3831-3839m.jpg	448	9999-12-31	16678
7/8-4	33	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_33_3831-3839m.jpg	448	9999-12-31	16679
7/8-4	34	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_34_3831-3839m.jpg	448	9999-12-31	16680
7/8-4	35	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_35_3831-3839m.jpg	448	9999-12-31	16681
7/8-4	36	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_36_3831-3839m.jpg	448	9999-12-31	16682
7/8-4	37	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_37_3831-3839m.jpg	448	9999-12-31	16683
7/8-4	38	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_38_3831-3839m.jpg	448	9999-12-31	16684
7/8-4	39	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_39_3831-3839m.jpg	448	9999-12-31	16685
7/8-4	40	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_40_3831-3839m.jpg	448	9999-12-31	16686
7/8-4	41	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_41_3831-3839m.jpg	448	9999-12-31	16687
7/8-4	42	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_42_3831-3839m.jpg	448	9999-12-31	16688
7/8-4	43	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_43_3831-3839m.jpg	448	9999-12-31	16689
7/8-4	44	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_44_3831-3839m.jpg	448	9999-12-31	16690
7/8-4	45	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_45_3831-3839m.jpg	448	9999-12-31	16691
7/8-4	46	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_46_3831-3839m.jpg	448	9999-12-31	16692
7/8-4	47	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_47_3831-3839m.jpg	448	9999-12-31	16693
7/8-4	48	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_48_3831-3839m.jpg	448	9999-12-31	16694
7/8-4	49	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_49_3831-3839m.jpg	448	9999-12-31	16695
7/8-4	50	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_50_3831-3839m.jpg	448	9999-12-31	16696
7/8-4	51	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_51_3831-3839m.jpg	448	9999-12-31	16697
7/8-4	52	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_52_3831-3839m.jpg	448	9999-12-31	16698
7/8-4	53	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_53_3831-3839m.jpg	448	9999-12-31	16699
7/8-4	54	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_54_3831-3839m.jpg	448	9999-12-31	16700
7/8-4	55	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_55_3831-3839m.jpg	448	9999-12-31	16701
7/8-4	56	3831-3839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/448_56_3831-3839m.jpg	448	9999-12-31	16702
7019/1-1	1	2220-2225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4145_1_2220-2225m.jpg	4145	9999-12-31	16703
7019/1-1	2	2225-2230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4145_2_2225-2230m.jpg	4145	9999-12-31	16704
7019/1-1	3	2457-2462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4145_3_2457-2462m.jpg	4145	9999-12-31	16705
7019/1-1	4	2462-2464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4145_4_2462-2464m.jpg	4145	9999-12-31	16706
7019/1-1	5	2562-2566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4145_5_2562-2566m.jpg	4145	9999-12-31	16707
7019/1-1	6	2566-2568m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4145_6_2566-2568m.jpg	4145	9999-12-31	16708
7117/9-1	1	1355-1358m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/49_01_1355-1358m.jpg	49	9999-12-31	16709
7117/9-1	2	1358-1360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/49_02_1358-1360m.jpg	49	9999-12-31	16710
7117/9-1	3	1360-1363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/49_03_1360-1363m.jpg	49	9999-12-31	16711
7117/9-1	4	1363-1365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/49_04_1363-1365m.jpg	49	9999-12-31	16712
7119/12-1	1	2667-2669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_01_2667-2669m.jpg	121	9999-12-31	16713
7119/12-1	2	2669-2672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_02_2669-2672m.jpg	121	9999-12-31	16714
7119/12-1	3	2672-2673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_03_2672-2673m.jpg	121	9999-12-31	16715
7119/12-1	4	2675-2677m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_04_2675-2677m.jpg	121	9999-12-31	16716
7119/12-1	5	2680-2682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_05_2680-2682m.jpg	121	9999-12-31	16717
7119/12-1	6	2682-2685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_06_2682-2685m.jpg	121	9999-12-31	16718
7119/12-1	7	2700-2702m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_07_2700-2702m.jpg	121	9999-12-31	16719
7119/12-1	8	2702-2705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_08_2702-2705m.jpg	121	9999-12-31	16720
7119/12-1	9	2705-2708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_09_2705-2708m.jpg	121	9999-12-31	16721
7119/12-1	10	2708-2710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_10_2708-2710m.jpg	121	9999-12-31	16722
7119/12-1	11	2710-2712m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_11_2710-2712m.jpg	121	9999-12-31	16723
7119/12-1	12	2714-2715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_12_2714-2715m.jpg	121	9999-12-31	16724
7119/12-1	13	2718-2720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_13_2718-2720m.jpg	121	9999-12-31	16725
7119/12-1	14	2720-2723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_14_2720-2723m.jpg	121	9999-12-31	16726
7119/12-1	15	2723-2726m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_15_2723-2726m.jpg	121	9999-12-31	16727
7119/12-1	16	2726-2728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_16_2726-2728m.jpg	121	9999-12-31	16728
7119/12-1	17	2728-2731m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_17_2728-2731m.jpg	121	9999-12-31	16729
7119/12-1	18	2731-2734m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_18_2731-2734m.jpg	121	9999-12-31	16730
7119/12-1	19	2734-2736m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_19_2734-2736m.jpg	121	9999-12-31	16731
7119/12-1	20	2736-2739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_20_2736-2739m.jpg	121	9999-12-31	16732
7119/12-1	21	2739-2741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_21_2739-2741m.jpg	121	9999-12-31	16733
7119/12-1	22	2741-2744m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_22_2741-2744m.jpg	121	9999-12-31	16734
7119/12-1	23	2744-2747m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_23_2744-2747m.jpg	121	9999-12-31	16735
7119/12-1	24	2747-2749m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_24_2747-2749m.jpg	121	9999-12-31	16736
7119/12-1	25	2749-2752m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_25_2749-2752m.jpg	121	9999-12-31	16737
7119/12-1	26	2752-2753m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_26_2752-2753m.jpg	121	9999-12-31	16738
7119/12-1	27	2754-2756m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_27_2754-2756m.jpg	121	9999-12-31	16739
7119/12-1	28	2756-2759m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_28_2756-2759m.jpg	121	9999-12-31	16740
7119/12-1	29	2759-2762m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_29_2759-2762m.jpg	121	9999-12-31	16741
7119/12-1	30	2762-2764m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_30_2762-2764m.jpg	121	9999-12-31	16742
7119/12-1	31	2764-2767m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_31_2764-2767m.jpg	121	9999-12-31	16743
7119/12-1	32	2767-2770m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_32_2767-2770m.jpg	121	9999-12-31	16744
7119/12-1	33	2770-2772m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_33_2770-2772m.jpg	121	9999-12-31	16745
7119/12-1	34	2772-2774m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_34_2772-2774m.jpg	121	9999-12-31	16746
7119/12-1	35	2774-2777m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_35_2774-2777m.jpg	121	9999-12-31	16747
7119/12-1	36	2777-2780m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_36_2777-2780m.jpg	121	9999-12-31	16748
7119/12-1	37	2780-2782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_37_2780-2782m.jpg	121	9999-12-31	16749
7119/12-1	38	2782-2785m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_38_2782-2785m.jpg	121	9999-12-31	16750
7119/12-1	39	2785-2788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_39_2785-2788m.jpg	121	9999-12-31	16751
7119/12-1	40	2788-2790m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_40_2788-2790m.jpg	121	9999-12-31	16752
7119/12-1	41	2810-2812m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_41_2810-2812m.jpg	121	9999-12-31	16753
7119/12-1	42	2812-2815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_42_2812-2815m.jpg	121	9999-12-31	16754
7119/12-1	43	2815-2818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_43_2815-2818m.jpg	121	9999-12-31	16755
7119/12-1	44	2818-2820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_44_2818-2820m.jpg	121	9999-12-31	16756
7119/12-1	45	2820-2823m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_45_2820-2823m.jpg	121	9999-12-31	16757
7119/12-1	46	2823-2826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_46_2823-2826m.jpg	121	9999-12-31	16758
7119/12-1	47	2826-2828m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_47_2826-2828m.jpg	121	9999-12-31	16759
7119/12-1	48	2828-2831m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_48_2828-2831m.jpg	121	9999-12-31	16760
7119/12-1	49	2831-2833m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_49_2831-2833m.jpg	121	9999-12-31	16761
7119/12-1	50	2833-2836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_50_2833-2836m.jpg	121	9999-12-31	16762
7119/12-1	51	2836-2839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_51_2836-2839m.jpg	121	9999-12-31	16763
7119/12-1	52	2839-2842m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_52_2839-2842m.jpg	121	9999-12-31	16764
7119/12-1	53	2842-2844m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_53_2842-2844m.jpg	121	9999-12-31	16765
7119/12-1	54	2844-2845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_54_2844-2845m.jpg	121	9999-12-31	16766
7119/12-1	55	2924-2926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_55_2924-2926m.jpg	121	9999-12-31	16767
7119/12-1	56	2926-2929m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_56_2926-2929m.jpg	121	9999-12-31	16768
7119/12-1	57	2929-2932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_57_2929-2932m.jpg	121	9999-12-31	16769
7119/12-1	58	2932-2934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_58_2932-2934m.jpg	121	9999-12-31	16770
7119/12-1	59	2934-2936m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_59_2934-2936m.jpg	121	9999-12-31	16771
7119/12-1	60	2984-2986m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_60_2984-2986m.jpg	121	9999-12-31	16772
7119/12-1	61	2986-2989m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_61_2986-2989m.jpg	121	9999-12-31	16773
7119/12-1	62	2989-2992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_62_2989-2992m.jpg	121	9999-12-31	16774
7119/12-1	63	2992-2994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_63_2992-2994m.jpg	121	9999-12-31	16775
7119/12-1	64	2994-2997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_64_2994-2997m.jpg	121	9999-12-31	16776
7119/12-1	65	2997-3000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_65_2997-3000m.jpg	121	9999-12-31	16777
7119/12-1	66	3000-3001m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/121_66_3000-3001m.jpg	121	9999-12-31	16778
7119/12-2	1	1378-1381m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_01_1378-1381m.jpg	114	9999-12-31	16779
7119/12-2	2	1381-1384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_02_1381-1384m.jpg	114	9999-12-31	16780
7119/12-2	3	1384-1385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_03_1384-1385m.jpg	114	9999-12-31	16781
7119/12-2	4	1387-1390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_04_1387-1390m.jpg	114	9999-12-31	16782
7119/12-2	5	1390-1393m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_05_1390-1393m.jpg	114	9999-12-31	16783
7119/12-2	6	1393-1396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_06_1393-1396m.jpg	114	9999-12-31	16784
7119/12-2	7	1396-1399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_07_1396-1399m.jpg	114	9999-12-31	16785
7119/12-2	8	1399-1402m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_08_1399-1402m.jpg	114	9999-12-31	16786
7119/12-2	9	1402-1404m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_09_1402-1404m.jpg	114	9999-12-31	16787
7119/12-2	10	1405-1408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_10_1405-1408m.jpg	114	9999-12-31	16788
7119/12-2	11	1408	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_11_1408_1411m.jpg	114	9999-12-31	16789
7119/12-2	12	1411-1412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_12_1411-1412m.jpg	114	9999-12-31	16790
7119/12-2	13	1413-1416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_13_1413-1416m.jpg	114	9999-12-31	16791
7119/12-2	14	1416-1417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_14_1416-1417m.jpg	114	9999-12-31	16792
7119/12-2	15	1421-1424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_15_1421-1424m.jpg	114	9999-12-31	16793
7119/12-2	16	1424-1427m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_16_1424-1427m.jpg	114	9999-12-31	16794
7119/12-2	17	1427-1430m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_17_1427-1430m.jpg	114	9999-12-31	16795
7119/12-2	18	1430-1433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_18_1430-1433m.jpg	114	9999-12-31	16796
7119/12-2	19	1433-1434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_19_1433-1434m.jpg	114	9999-12-31	16797
7119/12-2	20	1433-1434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_20_1433-1434m.jpg	114	9999-12-31	16798
7119/12-2	21	1473-1476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_21_1473-1476m.jpg	114	9999-12-31	16799
7119/12-2	22	1476-1479m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_22_1476-1479m.jpg	114	9999-12-31	16800
7119/12-2	23	1479-1482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_23_1479-1482m.jpg	114	9999-12-31	16801
7119/12-2	24	1482-1485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_24_1482-1485m.jpg	114	9999-12-31	16802
7119/12-2	25	1485-1488m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_25_1485-1488m.jpg	114	9999-12-31	16803
7119/12-2	26	1488-1490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_26_1488-1490m.jpg	114	9999-12-31	16804
7119/12-2	27	1490-1490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_27_1490-1490m.jpg	114	9999-12-31	16805
7119/12-2	28	1492-1495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_28_1492-1495m.jpg	114	9999-12-31	16806
7119/12-2	29	1495-1498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_29_1495-1498m.jpg	114	9999-12-31	16807
7119/12-2	30	1498-1501m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_30_1498-1501m.jpg	114	9999-12-31	16808
7119/12-2	32	1501-1504m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_32_1501-1504m.jpg	114	9999-12-31	16809
7119/12-2	33	1504-1509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_33_1504-1509m.jpg	114	9999-12-31	16810
7119/12-2	34	1507-1510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_34_1507-1510m.jpg	114	9999-12-31	16811
7119/12-2	35	1510-1510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_35_1510-1510m.jpg	114	9999-12-31	16812
7119/12-2	36	1511-1514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_36_1511-1514m.jpg	114	9999-12-31	16813
7119/12-2	37	1514-1517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_37_1514-1517m.jpg	114	9999-12-31	16814
7119/12-2	38	1517-1518m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_38_1517-1518m.jpg	114	9999-12-31	16815
7119/12-2	39	1520-1523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_39_1520-1523m.jpg	114	9999-12-31	16816
7119/12-2	40	1523-1525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_40_1523-1525m.jpg	114	9999-12-31	16817
7119/12-2	41	1525-1528m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_41_1525-1528m.jpg	114	9999-12-31	16818
7119/12-2	42	1528-1531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_42_1528-1531m.jpg	114	9999-12-31	16819
7119/12-2	43	1531-1534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_43_1531-1534m.jpg	114	9999-12-31	16820
7119/12-2	44	1534-1537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_44_1534-1537m.jpg	114	9999-12-31	16821
7119/12-2	45	1537-1540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_45_1537-1540m.jpg	114	9999-12-31	16822
7119/12-2	46	1540-1543m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_46_1540-1543m.jpg	114	9999-12-31	16823
7119/12-2	47	1542-1545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_47_1542-1545m.jpg	114	9999-12-31	16824
7119/12-2	48	1545-1548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_48_1545-1548m.jpg	114	9999-12-31	16825
7119/12-2	49	1548-1551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_49_1548-1551m.jpg	114	9999-12-31	16826
7119/12-2	50	1551-1554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_50_1551-1554m.jpg	114	9999-12-31	16827
7119/12-2	51	1554-1557m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_51_1554-1557m.jpg	114	9999-12-31	16828
7119/12-2	52	1557-1560m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_52_1557-1560m.jpg	114	9999-12-31	16829
7119/12-2	53	1560-1563m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_53_1560-1563m.jpg	114	9999-12-31	16830
7119/12-2	54	1563-1566m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_54_1563-1566m.jpg	114	9999-12-31	16831
7119/12-2	55	1566-1569m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_55_1566-1569m.jpg	114	9999-12-31	16832
7119/12-2	56	1569-1572m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_56_1569-1572m.jpg	114	9999-12-31	16833
7119/12-2	57	1572-1575m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_57_1572-1575m.jpg	114	9999-12-31	16834
7119/12-2	58	1575-1578m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_58_1575-1578m.jpg	114	9999-12-31	16835
7119/12-2	59	1578-1579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_59_1578-1579m.jpg	114	9999-12-31	16836
7119/12-2	60	1578-1581m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_60_1578-1581m.jpg	114	9999-12-31	16837
7119/12-2	61	1581-1584m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_61_1581-1584m.jpg	114	9999-12-31	16838
7119/12-2	62	1584-1587m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_62_1584-1587m.jpg	114	9999-12-31	16839
7119/12-2	63	1587-1590m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_63_1587-1590m.jpg	114	9999-12-31	16840
7119/12-2	64	1590-1595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_64_1590-1595m.jpg	114	9999-12-31	16841
7119/12-2	65	1593-1596m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_65_1593-1596m.jpg	114	9999-12-31	16842
7119/12-2	66	1596-1597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_66_1596-1597m.jpg	114	9999-12-31	16843
7119/12-2	67	1598-1601m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_67_1598-1601m.jpg	114	9999-12-31	16844
7119/12-2	68	1601-1604m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_68_1601-1604m.jpg	114	9999-12-31	16845
7119/12-2	69	1604-1607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_69_1604-1607m.jpg	114	9999-12-31	16846
7119/12-2	70	1607-1610m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_70_1607-1610m.jpg	114	9999-12-31	16847
7119/12-2	71	1610-1613m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_71_1610-1613m.jpg	114	9999-12-31	16848
7119/12-2	72	1613-1616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_72_1613-1616m.jpg	114	9999-12-31	16849
7119/12-2	73	1616-1617m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_73_1616-1617m.jpg	114	9999-12-31	16850
7119/12-2	74	1616-1619m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_74_1616-1619m.jpg	114	9999-12-31	16851
7119/12-2	75	1619-1622m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_75_1619-1622m.jpg	114	9999-12-31	16852
7119/12-2	76	1622-1625m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_76_1622-1625m.jpg	114	9999-12-31	16853
7119/12-2	77	1625-1628m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_77_1625-1628m.jpg	114	9999-12-31	16854
7119/12-2	78	1628-1631m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_78_1628-1631m.jpg	114	9999-12-31	16855
7119/12-2	79	1631-1634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_79_1631-1634m.jpg	114	9999-12-31	16856
7119/12-2	80	1634-1635m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_80_1634-1635m.jpg	114	9999-12-31	16857
7119/12-2	81	1635-1638m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_81_1635-1638m.jpg	114	9999-12-31	16858
7119/12-2	82	1638-1641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_82_1638-1641m.jpg	114	9999-12-31	16859
7119/12-2	83	1641-1644m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_83_1641-1644m.jpg	114	9999-12-31	16860
7119/12-2	84	1644-1647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_84_1644-1647m.jpg	114	9999-12-31	16861
7119/12-2	85	1647-1650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_85_1647-1650m.jpg	114	9999-12-31	16862
7119/12-2	86	1650-1653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_86_1650-1653m.jpg	114	9999-12-31	16863
7119/12-2	87	1653-1654m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_87_1653-1654m.jpg	114	9999-12-31	16864
7119/12-2	88	1654-1657m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_88_1654-1657m.jpg	114	9999-12-31	16865
7119/12-2	89	1657-1660m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_89_1657-1660m.jpg	114	9999-12-31	16866
7119/12-2	90	1660-1663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_90_1660-1663m.jpg	114	9999-12-31	16867
7119/12-2	91	1663-1666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_91_1663-1666m.jpg	114	9999-12-31	16868
7119/12-2	92	1666-1669m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_92_1666-1669m.jpg	114	9999-12-31	16869
7119/12-2	93	1669-1672m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_93_1669-1672m.jpg	114	9999-12-31	16870
7119/12-2	94	1672-1673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_94_1672-1673m.jpg	114	9999-12-31	16871
7119/12-2	95	1673-1676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_95_1673-1676m.jpg	114	9999-12-31	16872
7119/12-2	96	1676-1679m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_96_1676-1679m.jpg	114	9999-12-31	16873
7119/12-2	97	1679-1682m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_97_1679-1682m.jpg	114	9999-12-31	16874
7119/12-2	98	1682-1685m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_98_1682-1685m.jpg	114	9999-12-31	16875
7119/12-2	99	1685-1688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_99_1685-1688m.jpg	114	9999-12-31	16876
7119/12-2	100	1688-1690m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/114_100_1688-1690m.jpg	114	9999-12-31	16877
7119/12-3	1	3145-3148m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/17_01_3145-3148m.jpg	17	9999-12-31	16878
7119/12-3	2	3148-3154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/17_02_3148-3154m.jpg	17	9999-12-31	16879
7119/12-3	3	3256-3262m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/17_03_3256-3262m.jpg	17	9999-12-31	16880
7119/12-3	4	3250-3256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/17_04_3250-3256m.jpg	17	9999-12-31	16881
7119/12-3	5	3262-3266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/17_05_3262-3266m.jpg	17	9999-12-31	16882
7119/9-1	1	2745-2751m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/132_01_2745-2751m.jpg	132	9999-12-31	16883
7119/9-1	2	2751-2757m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/132_02_2751-2757m.jpg	132	9999-12-31	16884
7119/9-1	3	2757-2762m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/132_03_2757-2762m.jpg	132	9999-12-31	16885
7119/9-1	4	2763-2769m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/132_04_2763-2769m.jpg	132	9999-12-31	16886
7119/9-1	5	2769-2775m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/132_05_2769-2775m.jpg	132	9999-12-31	16887
7119/9-1	6	2775-2779m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/132_06_2775-2779m.jpg	132	9999-12-31	16888
7120/10-1	1	1570-1576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/274_01_1570-1576m.jpg	274	9999-12-31	16889
7120/10-1	2	1576-1582m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/274_02_1576-1582m.jpg	274	9999-12-31	16890
7120/10-1	3	1582-1583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/274_03_1582-1583m.jpg	274	9999-12-31	16891
7120/10-2	1	2127-2132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1561_1_2127-2132m.jpg	1561	9999-12-31	16892
7120/10-2	1	2127-2132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1561_01_2127-2132m.jpg	1561	9999-12-31	16893
7120/10-2	2	2132-2135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1561_02_2132-2135m.jpg	1561	9999-12-31	16894
7120/10-2	2	2132-2136m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1561_2_2132-2136m.jpg	1561	9999-12-31	16895
7120/1-1 R2	1	3186-3190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/897_1_3186-3190m.jpg	897	9999-12-31	16896
7120/1-1 R2	2	3190-3195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/897_2_3190-3195m.jpg	897	9999-12-31	16897
7120/1-1 R2	3	4000-4002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/897_3_4000-4002m.jpg	897	9999-12-31	16898
7120/1-2	1	1815-1820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1366_01_1815-1820m.jpg	1366	9999-12-31	16899
7120/1-2	2	1820-1825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1366_02_1820-1825m.jpg	1366	9999-12-31	16900
7120/1-2	3	1957-1962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1366_03_1957-1962m.jpg	1366	9999-12-31	16901
7120/1-2	4	1962-1967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1366_04_1962-1967m.jpg	1366	9999-12-31	16902
7120/1-2	5	1967-1968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1366_05_1967-1968m.jpg	1366	9999-12-31	16903
7120/1-2	6	2581-2585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1366_06_2581-2585m.jpg	1366	9999-12-31	16904
7120/1-2	7	2581-2585m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1366_07_2581-2585m.jpg	1366	9999-12-31	16905
7120/12-1	1	1535-1537m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_01_1535-1537m.jpg	123	9999-12-31	16906
7120/12-1	2	1537-1540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_02_1537-1540m.jpg	123	9999-12-31	16907
7120/12-1	3	1540-1542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_03_1540-1542m.jpg	123	9999-12-31	16908
7120/12-1	4	1542-1545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_04_1542-1545m.jpg	123	9999-12-31	16909
7120/12-1	5	1545-1546m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_05_1545-1546m.jpg	123	9999-12-31	16910
7120/12-1	6	1661-1663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_06_1661-1663m.jpg	123	9999-12-31	16911
7120/12-1	7	1663-1666m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_07_1663-1666m.jpg	123	9999-12-31	16912
7120/12-1	8	1666-1668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_08_1666-1668m.jpg	123	9999-12-31	16913
7120/12-1	9	1702-1705m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_09_1702-1705m.jpg	123	9999-12-31	16914
7120/12-1	10	1705-1708m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_10_1705-1708m.jpg	123	9999-12-31	16915
7120/12-1	11	2042-2044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_11_2042-2044m.jpg	123	9999-12-31	16916
7120/12-1	12	2044-2047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_12_2044-2047m.jpg	123	9999-12-31	16917
7120/12-1	13	2047-2050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_13_2047-2050m.jpg	123	9999-12-31	16918
7120/12-1	14	2050-2053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_14_2050-2053m.jpg	123	9999-12-31	16919
7120/12-1	15	2053-2055m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_15_2053-2055m.jpg	123	9999-12-31	16920
7120/12-1	16	2055-2057m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_16_2055-2057m.jpg	123	9999-12-31	16921
7120/12-1	17	2057-2058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_17_2057-2058m.jpg	123	9999-12-31	16922
7120/12-1	18	3521-3524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_18_3521-3524m.jpg	123	9999-12-31	16923
7120/12-1	19	3524-3525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/123_19_3524-3525m.jpg	123	9999-12-31	16924
7120/12-2	1	1888-1890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_01_1888-1890m.jpg	122	9999-12-31	16925
7120/12-2	2	1890-1893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_02_1890-1893m.jpg	122	9999-12-31	16926
7120/12-2	3	1893-1895m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_03_1893-1895m.jpg	122	9999-12-31	16927
7120/12-2	4	1895-1898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_04_1895-1898m.jpg	122	9999-12-31	16928
7120/12-2	5	1899-1901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_05_1899-1901m.jpg	122	9999-12-31	16929
7120/12-2	6	1901-1903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_06_1901-1903m.jpg	122	9999-12-31	16930
7120/12-2	7	1903-1904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_07_1903-1904m.jpg	122	9999-12-31	16931
7120/12-2	8	1960-1962m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_08_1960-1962m.jpg	122	9999-12-31	16932
7120/12-2	9	1962-1965m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_09_1962-1965m.jpg	122	9999-12-31	16933
7120/12-2	10	1965-1967m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_10_1965-1967m.jpg	122	9999-12-31	16934
7120/12-2	11	1967-1970m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_11_1967-1970m.jpg	122	9999-12-31	16935
7120/12-2	12	1970-1972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_12_1970-1972m.jpg	122	9999-12-31	16936
7120/12-2	13	1972-1975m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_13_1972-1975m.jpg	122	9999-12-31	16937
7120/12-2	14	1975-1977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_14_1975-1977m.jpg	122	9999-12-31	16938
7120/12-2	15	1977-1978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_15_1977-1978m.jpg	122	9999-12-31	16939
7120/12-2	16	1978-1980m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_16_1978-1980m.jpg	122	9999-12-31	16940
7120/12-2	17	1980-1983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_17_1980-1983m.jpg	122	9999-12-31	16941
7120/12-2	18	1983-1985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_18_1983-1985m.jpg	122	9999-12-31	16942
7120/12-2	19	1985-1988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_19_1985-1988m.jpg	122	9999-12-31	16943
7120/12-2	20	1988-1981m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_20_1988-1981m.jpg	122	9999-12-31	16944
7120/12-2	21	1991-1993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_21_1991-1993m.jpg	122	9999-12-31	16945
7120/12-2	22	1993-1995m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_22_1993-1995m.jpg	122	9999-12-31	16946
7120/12-2	23	1996-1998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_23_1996-1998m.jpg	122	9999-12-31	16947
7120/12-2	24	1998-2000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_24_1998-2000m.jpg	122	9999-12-31	16948
7120/12-2	25	2000-2003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_25_2000-2003m.jpg	122	9999-12-31	16949
7120/12-2	26	2003-2006m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_26_2003-2006m.jpg	122	9999-12-31	16950
7120/12-2	27	2006-2008m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_27_2006-2008m.jpg	122	9999-12-31	16951
7120/12-2	28	2008-2011m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_28_2008-2011m.jpg	122	9999-12-31	16952
7120/12-2	29	2011-2014m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_29_2011-2014m.jpg	122	9999-12-31	16953
7120/12-2	30	2014-2016m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_30_2014-2016m.jpg	122	9999-12-31	16954
7120/12-2	31	2016-2019m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_31_2016-2019m.jpg	122	9999-12-31	16955
7120/12-2	32	2019-2022m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_32_2019-2022m.jpg	122	9999-12-31	16956
7120/12-2	33	2022-2024m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_33_2022-2024m.jpg	122	9999-12-31	16957
7120/12-2	34	2024-2027m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_34_2024-2027m.jpg	122	9999-12-31	16958
7120/12-2	35	2027-2030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_35_2027-2030m.jpg	122	9999-12-31	16959
7120/12-2	36	2030-2031m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_36_2030-2031m.jpg	122	9999-12-31	16960
7120/12-2	37	2032-2034m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_37_2032-2034m.jpg	122	9999-12-31	16961
7120/12-2	38	2034-2037m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_38_2034-2037m.jpg	122	9999-12-31	16962
7120/12-2	39	2037-2039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_39_2037-2039m.jpg	122	9999-12-31	16963
7120/12-2	40	2039-2042m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_40_2039-2042m.jpg	122	9999-12-31	16964
7120/12-2	41	2042-2045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_41_2042-2045m.jpg	122	9999-12-31	16965
7120/12-2	42	2045-2047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_42_2045-2047m.jpg	122	9999-12-31	16966
7120/12-2	43	2047-2050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_43_2047-2050m.jpg	122	9999-12-31	16967
7120/12-2	44	3671-3676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_44_3671-3676m.jpg	122	9999-12-31	16968
7120/12-2	45	3676-3681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_45_3676-3681m.jpg	122	9999-12-31	16969
7120/12-2	46	3681-3684m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_46_3681-3684m.jpg	122	9999-12-31	16970
7120/12-2	47	3684-3688m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_47_3684-3688m.jpg	122	9999-12-31	16971
7120/12-2	48	4117-4121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_48_4117-4121m.jpg	122	9999-12-31	16972
7120/12-2	49	4121-4124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_49_4121-4124m.jpg	122	9999-12-31	16973
7120/12-2	50	4124-4128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_50_4124-4128m.jpg	122	9999-12-31	16974
7120/12-2	51	4675-4678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_51_4675-4678m.jpg	122	9999-12-31	16975
7120/12-2	52	4678-4680m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/122_52_4678-4680m.jpg	122	9999-12-31	16976
7120/12-3	1	2195-2198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/8_01_2195-2198m.jpg	8	9999-12-31	16977
7120/12-3	2	2198-2201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/8_02_2198-2201m.jpg	8	9999-12-31	16978
7120/12-3	3	2201-2204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/8_03_2201-2204m.jpg	8	9999-12-31	16979
7120/12-3	4	2204-2207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/8_04_2204-2207m.jpg	8	9999-12-31	16980
7120/12-3	5	2207-2210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/8_05_2207-2210m.jpg	8	9999-12-31	16981
7120/12-3	6	2210-2213m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/8_06_2210-2213m.jpg	8	9999-12-31	16982
7120/12-4	1	1514-1519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/99_01_1514-1519m.jpg	99	9999-12-31	16983
7120/12-4	2	1519-1524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/99_02_1519-1524m.jpg	99	9999-12-31	16984
7120/12-4	3	1524-1529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/99_03_1524-1529m.jpg	99	9999-12-31	16985
7120/12-4	4	1529-1532m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/99_04_1529-1532m.jpg	99	9999-12-31	16986
7120/12-4	5	1654-1658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/99_05_1654-1658m.jpg	99	9999-12-31	16987
7120/12-4	6	1658-1661m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/99_06_1658-1661m.jpg	99	9999-12-31	16988
7120/12-4	7	2182-2186m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/99_07_2182-2186m.jpg	99	9999-12-31	16989
7120/12-4	8	2186-2191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/99_08_2186-2191m.jpg	99	9999-12-31	16990
7120/12-4	9	2191-2196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/99_09_2191-2196m.jpg	99	9999-12-31	16991
7120/12-4	10	2196-2199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/99_10_2196-2199m.jpg	99	9999-12-31	16992
7120/2-1	1	1960-1964m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_01_1960-1964m.jpg	473	9999-12-31	16993
7120/2-1	2	1965-1969m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_02_1965-1969m.jpg	473	9999-12-31	16994
7120/2-1	3	1970-1972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_03_1970-1972m.jpg	473	9999-12-31	16995
7120/2-1	4	1973-1977m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_04_1973-1977m.jpg	473	9999-12-31	16996
7120/2-1	5	1978-1982m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_05_1978-1982m.jpg	473	9999-12-31	16997
7120/2-1	6	1983-1987m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_06_1983-1987m.jpg	473	9999-12-31	16998
7120/2-1	7	1988-1988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_07_1988-1988m.jpg	473	9999-12-31	16999
7120/2-1	8	1988-1992m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_08_1988-1992m.jpg	473	9999-12-31	17000
7120/2-1	9	1993-1997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_09_1993-1997m.jpg	473	9999-12-31	17001
7120/2-1	10	1998-2002m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_10_1998-2002m.jpg	473	9999-12-31	17002
7120/2-1	11	2003-2003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_11_2003-2003m.jpg	473	9999-12-31	17003
7120/2-1	12	2006-2010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_12_2006-2010m.jpg	473	9999-12-31	17004
7120/2-1	13	2011-2015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_13_2011-2015m.jpg	473	9999-12-31	17005
7120/2-1	14	2016-2020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_14_2016-2020m.jpg	473	9999-12-31	17006
7120/2-1	15	2021-2023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_15_2021-2023m.jpg	473	9999-12-31	17007
7120/2-1	16	2024-2028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_16_2024-2028m.jpg	473	9999-12-31	17008
7120/2-1	17	2029-2033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_17_2029-2033m.jpg	473	9999-12-31	17009
7120/2-1	18	2034-2038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_18_2034-2038m.jpg	473	9999-12-31	17010
7120/2-1	19	2039-2041m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_19_2039-2041m.jpg	473	9999-12-31	17011
7120/2-1	20	2047-2049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_20_2047-2049m.jpg	473	9999-12-31	17012
7120/2-1	21	2050-2054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_21_2050-2054m.jpg	473	9999-12-31	17013
7120/2-1	22	2055-2059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_22_2055-2059m.jpg	473	9999-12-31	17014
7120/2-1	23	2060-2064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_23_2060-2064m.jpg	473	9999-12-31	17015
7120/2-1	24	2065-2068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_24_2065-2068m.jpg	473	9999-12-31	17016
7120/2-1	25	2068-2072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_25_2068-2072m.jpg	473	9999-12-31	17017
7120/2-1	26	2073-2075m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_26_2073-2075m.jpg	473	9999-12-31	17018
7120/2-1	27	2104-2104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_27_2104-2104m.jpg	473	9999-12-31	17019
7120/2-1	28	2126-2126m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_28_2126-2126m.jpg	473	9999-12-31	17020
7120/2-1	29	2127-2131m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_29_2127-2131m.jpg	473	9999-12-31	17021
7120/2-1	30	2132-2133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_30_2132-2133m.jpg	473	9999-12-31	17022
7120/2-1	31	2133-2137m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_31_2133-2137m.jpg	473	9999-12-31	17023
7120/2-1	32	2138-2142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_32_2138-2142m.jpg	473	9999-12-31	17024
7120/2-1	33	2142-2146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_33_2142-2146m.jpg	473	9999-12-31	17025
7120/2-1	34	2147-2151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_34_2147-2151m.jpg	473	9999-12-31	17026
7120/2-1	35	2152-2156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_35_2152-2156m.jpg	473	9999-12-31	17027
7120/2-1	36	2157-2161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_36_2157-2161m.jpg	473	9999-12-31	17028
7120/2-1	37	2162-2166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_37_2162-2166m.jpg	473	9999-12-31	17029
7120/2-1	38	2167-2169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_38_2167-2169m.jpg	473	9999-12-31	17030
7120/2-1	39	2170-2174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_39_2170-2174m.jpg	473	9999-12-31	17031
7120/2-1	40	2175-2179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_40_2175-2179m.jpg	473	9999-12-31	17032
7120/2-1	41	2180-2184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_41_2180-2184m.jpg	473	9999-12-31	17033
7120/2-1	42	2185-2188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_42_2185-2188m.jpg	473	9999-12-31	17034
7120/2-1	43	2188-2192m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_43_2188-2192m.jpg	473	9999-12-31	17035
7120/2-1	44	2193-2197m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_44_2193-2197m.jpg	473	9999-12-31	17036
7120/2-1	45	2198-2202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_45_2198-2202m.jpg	473	9999-12-31	17037
7120/2-1	46	2203-2206m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_46_2203-2206m.jpg	473	9999-12-31	17038
7120/2-1	47	2207-2211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_47_2207-2211m.jpg	473	9999-12-31	17039
7120/2-1	48	2212-2216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_48_2212-2216m.jpg	473	9999-12-31	17040
7120/2-1	49	2217-2221m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_49_2217-2221m.jpg	473	9999-12-31	17041
7120/2-1	50	2222-2225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_50_2222-2225m.jpg	473	9999-12-31	17042
7120/2-1	51	2225-2229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_51_2225-2229m.jpg	473	9999-12-31	17043
7120/2-1	52	2230-2234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_52_2230-2234m.jpg	473	9999-12-31	17044
7120/2-1	53	2235-2239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_53_2235-2239m.jpg	473	9999-12-31	17045
7120/2-1	54	2240-2242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_54_2240-2242m.jpg	473	9999-12-31	17046
7120/2-1	55	2637-2642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_55_2637-2642m.jpg	473	9999-12-31	17047
7120/2-1	56	2643-2645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_56_2643-2645m.jpg	473	9999-12-31	17048
7120/2-1	57	3478-3480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_57_3478-3480m.jpg	473	9999-12-31	17049
7120/2-1	58	2527-2527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/473_58_2527-2527m.jpg	473	9999-12-31	17050
7120/2-2	1	1895-1900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_01_1895-1900m.jpg	1690	9999-12-31	17051
7120/2-2	2	1900-1905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_02_1900-1905m.jpg	1690	9999-12-31	17052
7120/2-2	3	1905-1910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_03_1905-1910m.jpg	1690	9999-12-31	17053
7120/2-2	4	1910-1915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_04_1910-1915m.jpg	1690	9999-12-31	17054
7120/2-2	5	1915-1920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_05_1915-1920m.jpg	1690	9999-12-31	17055
7120/2-2	6	1920-1922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_06_1920-1922m.jpg	1690	9999-12-31	17056
7120/2-2	7	2163-2164m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_07_2163-2164m.jpg	1690	9999-12-31	17057
7120/2-2	8	2180-2185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_08_2180-2185m.jpg	1690	9999-12-31	17058
7120/2-2	9	2185-2190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_09_2185-2190m.jpg	1690	9999-12-31	17059
7120/2-2	10	2190-2195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_10_2190-2195m.jpg	1690	9999-12-31	17060
7120/2-2	11	2195-2200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_11_2195-2200m.jpg	1690	9999-12-31	17061
7120/2-2	12	2200-2201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_12_2200-2201m.jpg	1690	9999-12-31	17062
7120/2-2	13	2393-2398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_13_2393-2398m.jpg	1690	9999-12-31	17063
7120/2-2	14	2398-2400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_14_2398-2400m.jpg	1690	9999-12-31	17064
7120/2-2	15	2636-2641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_15_2636-2641m.jpg	1690	9999-12-31	17065
7120/2-2	16	2641-2645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_16_2641-2645m.jpg	1690	9999-12-31	17066
7120/2-2	17	2710-2723m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1690_17_2710-2723m.jpg	1690	9999-12-31	17067
7120/5-1	1	2286-2290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_01_2286-2290m.jpg	471	9999-12-31	17068
7120/5-1	2	2291-2295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_02_2291-2295m.jpg	471	9999-12-31	17069
7120/5-1	3	2296-2300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_03_2296-2300m.jpg	471	9999-12-31	17070
7120/5-1	4	2301-2305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_04_2301-2305m.jpg	471	9999-12-31	17071
7120/5-1	5	2306-2310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_05_2306-2310m.jpg	471	9999-12-31	17072
7120/5-1	6	2311-2312m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_06_2311-2312m.jpg	471	9999-12-31	17073
7120/5-1	7	2313-2317m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_07_2313-2317m.jpg	471	9999-12-31	17074
7120/5-1	8	2318-2322m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_08_2318-2322m.jpg	471	9999-12-31	17075
7120/5-1	9	2323-2323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_09_2323-2323m.jpg	471	9999-12-31	17076
7120/5-1	10	2296-2300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_10_2296-2300m.jpg	471	9999-12-31	17077
7120/5-1	11	2328-2332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_11_2328-2332m.jpg	471	9999-12-31	17078
7120/5-1	12	2333-2337m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_12_2333-2337m.jpg	471	9999-12-31	17079
7120/5-1	13	2338-2342m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_13_2338-2342m.jpg	471	9999-12-31	17080
7120/5-1	14	2343-2347m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_14_2343-2347m.jpg	471	9999-12-31	17081
7120/5-1	15	2348-2350m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_15_2348-2350m.jpg	471	9999-12-31	17082
7120/5-1	16	2351-2355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_16_2351-2355m.jpg	471	9999-12-31	17083
7120/5-1	17	2356-2360m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_17_2356-2360m.jpg	471	9999-12-31	17084
7120/5-1	18	2361-2365m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_18_2361-2365m.jpg	471	9999-12-31	17085
7120/5-1	19	2366-2370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_19_2366-2370m.jpg	471	9999-12-31	17086
7120/5-1	20	2371-2375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_20_2371-2375m.jpg	471	9999-12-31	17087
7120/5-1	21	2376-2377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_21_2376-2377m.jpg	471	9999-12-31	17088
7120/5-1	22	2378-1282m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_22_2378-1282m.jpg	471	9999-12-31	17089
7120/5-1	23	2383-2387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_23_2383-2387m.jpg	471	9999-12-31	17090
7120/5-1	24	2388-2392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_24_2388-2392m.jpg	471	9999-12-31	17091
7120/5-1	25	2393-2397m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_25_2393-2397m.jpg	471	9999-12-31	17092
7120/5-1	26	2398-2402m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_26_2398-2402m.jpg	471	9999-12-31	17093
7120/5-1	27	2403-2407m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_27_2403-2407m.jpg	471	9999-12-31	17094
7120/5-1	28	2408-2412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_28_2408-2412m.jpg	471	9999-12-31	17095
7120/5-1	29	2413-2417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_29_2413-2417m.jpg	471	9999-12-31	17096
7120/5-1	30	2418-2422m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_30_2418-2422m.jpg	471	9999-12-31	17097
7120/5-1	31	2423-2424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_31_2423-2424m.jpg	471	9999-12-31	17098
7120/5-1	32	2323-2327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/471_32_2323-2327m.jpg	471	9999-12-31	17099
7120/6-1	1	2371-2373m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_01_2371-2373m.jpg	456	9999-12-31	17100
7120/6-1	2	2373-2377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_02_2373-2377m.jpg	456	9999-12-31	17101
7120/6-1	3	2381-2386m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_03_2381-2386m.jpg	456	9999-12-31	17102
7120/6-1	4	2386-2391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_04_2386-2391m.jpg	456	9999-12-31	17103
7120/6-1	5	2391-2396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_05_2391-2396m.jpg	456	9999-12-31	17104
7120/6-1	6	2396-2398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_06_2396-2398m.jpg	456	9999-12-31	17105
7120/6-1	7	2398-2403m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_07_2398-2403m.jpg	456	9999-12-31	17106
7120/6-1	8	2403-2408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_08_2403-2408m.jpg	456	9999-12-31	17107
7120/6-1	9	2408-2413m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_09_2408-2413m.jpg	456	9999-12-31	17108
7120/6-1	10	2413-2417m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_10_2413-2417m.jpg	456	9999-12-31	17109
7120/6-1	11	2418-2423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_11_2418-2423m.jpg	456	9999-12-31	17110
7120/6-1	12	2423-2428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_12_2423-2428m.jpg	456	9999-12-31	17111
7120/6-1	13	2428-2433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_13_2428-2433m.jpg	456	9999-12-31	17112
7120/6-1	14	2433-2438m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_14_2433-2438m.jpg	456	9999-12-31	17113
7120/6-1	15	2438-2440m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_15_2438-2440m.jpg	456	9999-12-31	17114
7120/6-1	16	2443-2448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_16_2443-2448m.jpg	456	9999-12-31	17115
7120/6-1	17	2448-2453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_17_2448-2453m.jpg	456	9999-12-31	17116
7120/6-1	18	2453-2458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_18_2453-2458m.jpg	456	9999-12-31	17117
7120/6-1	19	2458-2463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_19_2458-2463m.jpg	456	9999-12-31	17118
7120/6-1	20	2463-2468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_20_2463-2468m.jpg	456	9999-12-31	17119
7120/6-1	21	2468-2470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_21_2468-2470m.jpg	456	9999-12-31	17120
7120/6-1	22	2470-2475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_22_2470-2475m.jpg	456	9999-12-31	17121
7120/6-1	23	2475-2476m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_23_2475-2476m.jpg	456	9999-12-31	17122
7120/6-1	24	2476-2481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_24_2476-2481m.jpg	456	9999-12-31	17123
7120/6-1	25	2481-2486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_25_2481-2486m.jpg	456	9999-12-31	17124
7120/6-1	26	2486-2491m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_26_2486-2491m.jpg	456	9999-12-31	17125
7120/6-1	27	2491-2492m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_27_2491-2492m.jpg	456	9999-12-31	17126
7120/6-1	28	2492-2497m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_28_2492-2497m.jpg	456	9999-12-31	17127
7120/6-1	29	2497-2502m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_29_2497-2502m.jpg	456	9999-12-31	17128
7120/6-1	30	2502-2503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_30_2502-2503m.jpg	456	9999-12-31	17129
7120/6-1	31	2505-2510m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_31_2505-2510m.jpg	456	9999-12-31	17130
7120/6-1	32	2510-2515m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_32_2510-2515m.jpg	456	9999-12-31	17131
7120/6-1	33	2515-2520m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_33_2515-2520m.jpg	456	9999-12-31	17132
7120/6-1	34	2520-2525m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_34_2520-2525m.jpg	456	9999-12-31	17133
7120/6-1	35	2525-2530m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_35_2525-2530m.jpg	456	9999-12-31	17134
7120/6-1	36	2530-2531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_36_2530-2531m.jpg	456	9999-12-31	17135
7120/6-1	37	2530-2535m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_37_2530-2535m.jpg	456	9999-12-31	17136
7120/6-1	38	2535-2540m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_38_2535-2540m.jpg	456	9999-12-31	17137
7120/6-1	39	2540-2545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_39_2540-2545m.jpg	456	9999-12-31	17138
7120/6-1	40	2545-2549m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_40_2545-2549m.jpg	456	9999-12-31	17139
7120/6-1	41	2549-2554m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_41_2549-2554m.jpg	456	9999-12-31	17140
7120/6-1	42	2554-2559m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_42_2554-2559m.jpg	456	9999-12-31	17141
7120/6-1	43	2559-2564m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_43_2559-2564m.jpg	456	9999-12-31	17142
7120/6-1	44	2564-2565m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/456_44_2564-2565m.jpg	456	9999-12-31	17143
7120/7-1	1	2410-2415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_01_2410-2415m.jpg	85	9999-12-31	17144
7120/7-1	2	2415-2420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_02_2415-2420m.jpg	85	9999-12-31	17145
7120/7-1	3	2420-2425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_03_2420-2425m.jpg	85	9999-12-31	17146
7120/7-1	4	2425-2428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_04_2425-2428m.jpg	85	9999-12-31	17147
7120/7-1	5	2428-2433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_05_2428-2433m.jpg	85	9999-12-31	17148
7120/7-1	6	2433-2438m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_06_2433-2438m.jpg	85	9999-12-31	17149
7120/7-1	7	2438-2441m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_07_2438-2441m.jpg	85	9999-12-31	17150
7120/7-1	8	2441-2446m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_08_2441-2446m.jpg	85	9999-12-31	17151
7120/7-1	9	2446-2451m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_09_2446-2451m.jpg	85	9999-12-31	17152
7120/7-1	10	2451-2456m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_10_2451-2456m.jpg	85	9999-12-31	17153
7120/7-1	11	2456-2460m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_11_2456-2460m.jpg	85	9999-12-31	17154
7120/7-1	12	2460-2465m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_12_2460-2465m.jpg	85	9999-12-31	17155
7120/7-1	13	2465-2470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_13_2465-2470m.jpg	85	9999-12-31	17156
7120/7-1	14	2470-2475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_14_2470-2475m.jpg	85	9999-12-31	17157
7120/7-1	15	2475-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/85_15_2475-2478m.jpg	85	9999-12-31	17158
7120/7-2	1	2166-2172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_01_2166-2172m.jpg	18	9999-12-31	17159
7120/7-2	2	2172-2178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_02_2172-2178m.jpg	18	9999-12-31	17160
7120/7-2	3	2178-2184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_03_2178-2184m.jpg	18	9999-12-31	17161
7120/7-2	4	2184-2188m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_04_2184-2188m.jpg	18	9999-12-31	17162
7120/7-2	5	2190-2196m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_05_2190-2196m.jpg	18	9999-12-31	17163
7120/7-2	6	2196-2202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_06_2196-2202m.jpg	18	9999-12-31	17164
7120/7-2	7	2202-2207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_07_2202-2207m.jpg	18	9999-12-31	17165
7120/7-2	8	2208-2214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_08_2208-2214m.jpg	18	9999-12-31	17166
7120/7-2	9	2214-2220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_09_2214-2220m.jpg	18	9999-12-31	17167
7120/7-2	10	2220-2226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_10_2220-2226m.jpg	18	9999-12-31	17168
7120/7-2	11	2226-2227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_11_2226-2227m.jpg	18	9999-12-31	17169
7120/7-2	12	2227-2232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_12_2227-2232m.jpg	18	9999-12-31	17170
7120/7-2	13	2232-2238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_13_2232-2238m.jpg	18	9999-12-31	17171
7120/7-2	14	2238-2244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/18_14_2238-2244m.jpg	18	9999-12-31	17172
7120/7-3	1	2867-2872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/104_01_2867-2872m.jpg	104	9999-12-31	17173
7120/7-3	2	2873-2878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/104_02_2873-2878m.jpg	104	9999-12-31	17174
7120/7-3	3	2879-2884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/104_03_2879-2884m.jpg	104	9999-12-31	17175
7120/7-3	4	2885-2890m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/104_04_2885-2890m.jpg	104	9999-12-31	17176
7120/7-3	5	2891-2896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/104_05_2891-2896m.jpg	104	9999-12-31	17177
7120/7-3	6	2897-2898m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/104_06_2897-2898m.jpg	104	9999-12-31	17178
7120/7-3	7	2899-2904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/104_07_2899-2904m.jpg	104	9999-12-31	17179
7120/7-3	8	2905-2909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/104_08_2905-2909m.jpg	104	9999-12-31	17180
7120/8-1	1	2112-2115m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_01_2112-2115m.jpg	120	9999-12-31	17181
7120/8-1	2	2115-2118m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_02_2115-2118m.jpg	120	9999-12-31	17182
7120/8-1	3	2118-2121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_03_2118-2121m.jpg	120	9999-12-31	17183
7120/8-1	4	2121-2121m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_04_2121-2121m.jpg	120	9999-12-31	17184
7120/8-1	5	2171-2174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_05_2171-2174m.jpg	120	9999-12-31	17185
7120/8-1	6	2174-2177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_06_2174-2177m.jpg	120	9999-12-31	17186
7120/8-1	7	2177-2180m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_07_2177-2180m.jpg	120	9999-12-31	17187
7120/8-1	8	2180-2181m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_08_2180-2181m.jpg	120	9999-12-31	17188
7120/8-1	9	2181-2184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_09_2181-2184m.jpg	120	9999-12-31	17189
7120/8-1	10	2184-2187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_10_2184-2187m.jpg	120	9999-12-31	17190
7120/8-1	11	2187-2190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_11_2187-2190m.jpg	120	9999-12-31	17191
7120/8-1	12	2193-2195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_12_2193-2195m.jpg	120	9999-12-31	17192
7120/8-1	13	2198-2201m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_13_2198-2201m.jpg	120	9999-12-31	17193
7120/8-1	14	2201-2204m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_14_2201-2204m.jpg	120	9999-12-31	17194
7120/8-1	15	2204-2207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_15_2204-2207m.jpg	120	9999-12-31	17195
7120/8-1	16	2207-2210m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_16_2207-2210m.jpg	120	9999-12-31	17196
7120/8-1	17	2110-2113m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_17_2110-2113m.jpg	120	9999-12-31	17197
7120/8-1	18	2213-2214m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_18_2213-2214m.jpg	120	9999-12-31	17198
7120/8-1	19	2214-2217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_19_2214-2217m.jpg	120	9999-12-31	17199
7120/8-1	20	2217-2220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_20_2217-2220m.jpg	120	9999-12-31	17200
7120/8-1	21	2220-2223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_21_2220-2223m.jpg	120	9999-12-31	17201
7120/8-1	22	2223-2223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_22_2223-2223m.jpg	120	9999-12-31	17202
7120/8-1	22	2223-2226m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_22_2223-2226m.jpg	120	9999-12-31	17203
7120/8-1	23	2226-2229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_23_2226-2229m.jpg	120	9999-12-31	17204
7120/8-1	24	2229-2232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_24_2229-2232m.jpg	120	9999-12-31	17205
7120/8-1	25	2232-2233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_25_2232-2233m.jpg	120	9999-12-31	17206
7120/8-1	26	2233-2235	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_26_2233-2235.jpg	120	9999-12-31	17207
7120/8-1	27	2235-2238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_27_2235-2238m.jpg	120	9999-12-31	17208
7120/8-1	28	2238-2241m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_28_2238-2241m.jpg	120	9999-12-31	17209
7120/8-1	29	2241-2244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_29_2241-2244m.jpg	120	9999-12-31	17210
7120/8-1	30	2244-2247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_30_2244-2247m.jpg	120	9999-12-31	17211
7120/8-1	31	2247-2250m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_31_2247-2250m.jpg	120	9999-12-31	17212
7120/8-1	32	2250-2251m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_32_2250-2251m.jpg	120	9999-12-31	17213
7120/8-1	33	2251-2254m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_33_2251-2254m.jpg	120	9999-12-31	17214
7120/8-1	34	2254-2257m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_34_2254-2257m.jpg	120	9999-12-31	17215
7120/8-1	35	2257-2260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_35_2257-2260m.jpg	120	9999-12-31	17216
7120/8-1	36	2260-2263m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_36_2260-2263m.jpg	120	9999-12-31	17217
7120/8-1	37	2263-2266m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_37_2263-2266m.jpg	120	9999-12-31	17218
7120/8-1	38	2266-2269m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_38_2266-2269m.jpg	120	9999-12-31	17219
7120/8-1	39	2269-2270m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/120_39_2269-2270m.jpg	120	9999-12-31	17220
7120/8-2	1	2085-2090m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_01_2085-2090m.jpg	50	9999-12-31	17221
7120/8-2	2	2090-2095m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_02_2090-2095m.jpg	50	9999-12-31	17222
7120/8-2	3	2095-2100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_03_2095-2100m.jpg	50	9999-12-31	17223
7120/8-2	4	2100-2101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_04_2100-2101m.jpg	50	9999-12-31	17224
7120/8-2	5	2101-2106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_05_2101-2106m.jpg	50	9999-12-31	17225
7120/8-2	6	2106-2111m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_06_2106-2111m.jpg	50	9999-12-31	17226
7120/8-2	7	2101-2106m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_07_2101-2106m.jpg	50	9999-12-31	17227
7120/8-2	8	2111-2116m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_08_2111-2116m.jpg	50	9999-12-31	17228
7120/8-2	9	2116-2120m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_09_2116-2120m.jpg	50	9999-12-31	17229
7120/8-2	10	2120-2125m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_10_2120-2125m.jpg	50	9999-12-31	17230
7120/8-2	11	2125-2130m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_11_2125-2130m.jpg	50	9999-12-31	17231
7120/8-2	12	2130-2135m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_12_2130-2135m.jpg	50	9999-12-31	17232
7120/8-2	13	2135-2138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_13_2135-2138m.jpg	50	9999-12-31	17233
7120/8-2	14	2138-2143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_14_2138-2143m.jpg	50	9999-12-31	17234
7120/8-2	15	2148-2153m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_15_2148-2153m.jpg	50	9999-12-31	17235
7120/8-2	16	2153-2154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_16_2153-2154m.jpg	50	9999-12-31	17236
7120/8-2	17	2153-2158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_17_2153-2158m.jpg	50	9999-12-31	17237
7120/8-2	18	2158-2163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_18_2158-2163m.jpg	50	9999-12-31	17238
7120/8-2	19	2163-2168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_19_2163-2168m.jpg	50	9999-12-31	17239
7120/8-2	20	2168-2172m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_20_2168-2172m.jpg	50	9999-12-31	17240
7120/8-2	21	2172-2177m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_21_2172-2177m.jpg	50	9999-12-31	17241
7120/8-2	22	2182-2185m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_22_2182-2185m.jpg	50	9999-12-31	17242
7120/8-2	23	2185-2190m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_23_2185-2190m.jpg	50	9999-12-31	17243
7120/8-2	24	2190-2195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_24_2190-2195m.jpg	50	9999-12-31	17244
7120/8-2	25	2195-2000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_25_2195-2000m.jpg	50	9999-12-31	17245
7120/8-2	26	2201	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_26_2201_2206m.jpg	50	9999-12-31	17246
7120/8-2	27	2206-2211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_27_2206-2211m.jpg	50	9999-12-31	17247
7120/8-2	28	2211-2216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_28_2211-2216m.jpg	50	9999-12-31	17248
7120/8-2	29	2216-2218m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/50_29_2216-2218m.jpg	50	9999-12-31	17249
7120/8-3	1	2198-2202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/9_01_2198-2202m.jpg	9	9999-12-31	17250
7120/8-3	2	2203-2207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/9_02_2203-2207m.jpg	9	9999-12-31	17251
7120/8-3	3	2208-2212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/9_03_2208-2212m.jpg	9	9999-12-31	17252
7120/8-3	4	2213-2215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/9_04_2213-2215m.jpg	9	9999-12-31	17253
7120/8-3	5	2216-2220m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/9_05_2216-2220m.jpg	9	9999-12-31	17254
7120/8-3	6	2221-2225m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/9_06_2221-2225m.jpg	9	9999-12-31	17255
7120/8-3	7	2226-2230m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/9_07_2226-2230m.jpg	9	9999-12-31	17256
7120/8-3	8	2231-2233m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/9_08_2231-2233m.jpg	9	9999-12-31	17257
7120/9-1	1	1843-1847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_01_1843-1847m.jpg	82	9999-12-31	17258
7120/9-1	2	1847-1851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_02_1847-1851m.jpg	82	9999-12-31	17259
7120/9-1	3	1851-1855m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_03_1851-1855m.jpg	82	9999-12-31	17260
7120/9-1	4	1855-1859m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_04_1855-1859m.jpg	82	9999-12-31	17261
7120/9-1	5	1859-1864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_05_1859-1864m.jpg	82	9999-12-31	17262
7120/9-1	6	1864-1868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_06_1864-1868m.jpg	82	9999-12-31	17263
7120/9-1	7	1868-1872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_07_1868-1872m.jpg	82	9999-12-31	17264
7120/9-1	8	1872-1877m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_08_1872-1877m.jpg	82	9999-12-31	17265
7120/9-1	9	1877-1881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_09_1877-1881m.jpg	82	9999-12-31	17266
7120/9-1	10	1881-1885m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_10_1881-1885m.jpg	82	9999-12-31	17267
7120/9-1	11	1885-1889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_11_1885-1889m.jpg	82	9999-12-31	17268
7120/9-1	12	1889-1893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_12_1889-1893m.jpg	82	9999-12-31	17269
7120/9-1	13	1893-1897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_13_1893-1897m.jpg	82	9999-12-31	17270
7120/9-1	14	1897-1902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_14_1897-1902m.jpg	82	9999-12-31	17271
7120/9-1	15	1902-1906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_15_1902-1906m.jpg	82	9999-12-31	17272
7120/9-1	16	1906-1910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_16_1906-1910m.jpg	82	9999-12-31	17273
7120/9-1	17	1910-1913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_17_1910-1913m.jpg	82	9999-12-31	17274
7120/9-1	18	1913-1917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_18_1913-1917m.jpg	82	9999-12-31	17275
7120/9-1	19	1917-1921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_19_1917-1921m.jpg	82	9999-12-31	17276
7120/9-1	20	1921-1926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_20_1921-1926m.jpg	82	9999-12-31	17277
7120/9-1	21	1926-1930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_21_1926-1930m.jpg	82	9999-12-31	17278
7120/9-1	22	1930-1934m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_22_1930-1934m.jpg	82	9999-12-31	17279
7120/9-1	23	1934-1939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_23_1934-1939m.jpg	82	9999-12-31	17280
7120/9-1	24	1939-1943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_24_1939-1943m.jpg	82	9999-12-31	17281
7120/9-1	25	1943-1947m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_25_1943-1947m.jpg	82	9999-12-31	17282
7120/9-1	26	1947-1951m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_26_1947-1951m.jpg	82	9999-12-31	17283
7120/9-1	27	1951-1956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_27_1951-1956m.jpg	82	9999-12-31	17284
7120/9-1	28	1956-1960m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_28_1956-1960m.jpg	82	9999-12-31	17285
7120/9-1	29	1960-1963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_29_1960-1963m.jpg	82	9999-12-31	17286
7120/9-1	30	1963-1965m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/82_30_1963-1965m.jpg	82	9999-12-31	17287
7121/1-1 R	1	3137-3138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/896_01_3137-3138m.jpg	896	9999-12-31	17288
7121/1-1 R	2	3385-3386m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/896_02_3385-3386m.jpg	896	9999-12-31	17289
7121/1-1 R	3	3511-3512m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/896_03_3511-3512m.jpg	896	9999-12-31	17290
7121/4-1	1	2321-2327m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_01_2321-2327m.jpg	135	9999-12-31	17291
7121/4-1	2	2327-2333m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_02_2327-2333m.jpg	135	9999-12-31	17292
7121/4-1	3	2333-2339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_03_2333-2339m.jpg	135	9999-12-31	17293
7121/4-1	4	2339-2339m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_04_2339-2339m.jpg	135	9999-12-31	17294
7121/4-1	5	2339-2345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_05_2339-2345m.jpg	135	9999-12-31	17295
7121/4-1	6	2345-2351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_06_2345-2351m.jpg	135	9999-12-31	17296
7121/4-1	7	2351-2356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_07_2351-2356m.jpg	135	9999-12-31	17297
7121/4-1	7	2352-2357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_07_2352-2357m.jpg	135	9999-12-31	17298
7121/4-1	8	2357-2363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_08_2357-2363m.jpg	135	9999-12-31	17299
7121/4-1	9	2363-2366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_09_2363-2366m.jpg	135	9999-12-31	17300
7121/4-1	9	2363-2367m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_09_2363-2367m.jpg	135	9999-12-31	17301
7121/4-1	10	2366-2372m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_10_2366-2372m.jpg	135	9999-12-31	17302
7121/4-1	10	2367-2373m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_10_2367-2373m.jpg	135	9999-12-31	17303
7121/4-1	11	2372-2378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_11_2372-2378m.jpg	135	9999-12-31	17304
7121/4-1	11	2373-2379m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_11_2373-2379m.jpg	135	9999-12-31	17305
7121/4-1	12	2378-2384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_12_2378-2384m.jpg	135	9999-12-31	17306
7121/4-1	12	2379-2384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_12_2379-2384m.jpg	135	9999-12-31	17307
7121/4-1	13	2384-2390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_13_2384-2390m.jpg	135	9999-12-31	17308
7121/4-1	13	2385-2391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_13_2385-2391m.jpg	135	9999-12-31	17309
7121/4-1	14	2390-2394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_14_2390-2394m.jpg	135	9999-12-31	17310
7121/4-1	14	2391-2394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_14_2391-2394m.jpg	135	9999-12-31	17311
7121/4-1	15	2394-2400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_15_2394-2400m.jpg	135	9999-12-31	17312
7121/4-1	16	2400-2406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_16_2400-2406m.jpg	135	9999-12-31	17313
7121/4-1	17	2406-2412m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_17_2406-2412m.jpg	135	9999-12-31	17314
7121/4-1	18	2412-1318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_18_2412-1318m.jpg	135	9999-12-31	17315
7121/4-1	18	2412-2416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/135_18_2412-2416m.jpg	135	9999-12-31	17316
7121/4-2	1	2463-2469m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_01_2463-2469m.jpg	461	9999-12-31	17317
7121/4-2	2	2469-2475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_02_2469-2475m.jpg	461	9999-12-31	17318
7121/4-2	3	2475-2481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_03_2475-2481m.jpg	461	9999-12-31	17319
7121/4-2	4	2481-2481m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_04_2481-2481m.jpg	461	9999-12-31	17320
7121/4-2	5	2481-2487m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_05_2481-2487m.jpg	461	9999-12-31	17321
7121/4-2	6	2487-2493m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_06_2487-2493m.jpg	461	9999-12-31	17322
7121/4-2	7	2493-2499m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_07_2493-2499m.jpg	461	9999-12-31	17323
7121/4-2	8	2499-2505m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_08_2499-2505m.jpg	461	9999-12-31	17324
7121/4-2	9	2504-2511m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_09_2504-2511m.jpg	461	9999-12-31	17325
7121/4-2	10	2511-2517m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_10_2511-2517m.jpg	461	9999-12-31	17326
7121/4-2	11	2517-2523m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_11_2517-2523m.jpg	461	9999-12-31	17327
7121/4-2	12	2523-2527m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_12_2523-2527m.jpg	461	9999-12-31	17328
7121/4-2	13	2527-2533m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_13_2527-2533m.jpg	461	9999-12-31	17329
7121/4-2	14	2533-2539m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_14_2533-2539m.jpg	461	9999-12-31	17330
7121/4-2	15	2539-2545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_15_2539-2545m.jpg	461	9999-12-31	17331
7121/4-2	16	2545-2548m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_16_2545-2548m.jpg	461	9999-12-31	17332
7121/4-2	17	2549-2555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_17_2549-2555m.jpg	461	9999-12-31	17333
7121/4-2	18	2555-2555m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_18_2555-2555m.jpg	461	9999-12-31	17334
7121/4-2	19	2555-2561m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_19_2555-2561m.jpg	461	9999-12-31	17335
7121/4-2	20	2561-2567m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_20_2561-2567m.jpg	461	9999-12-31	17336
7121/4-2	21	2567-2573m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_21_2567-2573m.jpg	461	9999-12-31	17337
7121/4-2	22	2573-2579m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_22_2573-2579m.jpg	461	9999-12-31	17338
7121/4-2	23	2579-2583m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_23_2579-2583m.jpg	461	9999-12-31	17339
7121/4-2	24	2583-2589m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_24_2583-2589m.jpg	461	9999-12-31	17340
7121/4-2	25	2589-2595m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_25_2589-2595m.jpg	461	9999-12-31	17341
7121/4-2	26	2595-2597m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/461_26_2595-2597m.jpg	461	9999-12-31	17342
7121/5-1	1	2365-2370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_01_2365-2370m.jpg	479	9999-12-31	17343
7121/5-1	2	2370-2375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_02_2370-2375m.jpg	479	9999-12-31	17344
7121/5-1	3	2375-2380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_03_2375-2380m.jpg	479	9999-12-31	17345
7121/5-1	4	2380-2385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_04_2380-2385m.jpg	479	9999-12-31	17346
7121/5-1	5	2385-2390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_05_2385-2390m.jpg	479	9999-12-31	17347
7121/5-1	6	2390-2392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_06_2390-2392m.jpg	479	9999-12-31	17348
7121/5-1	7	2392-2397m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_07_2392-2397m.jpg	479	9999-12-31	17349
7121/5-1	8	2397-2400m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_08_2397-2400m.jpg	479	9999-12-31	17350
7121/5-1	9	2400-2405m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_09_2400-2405m.jpg	479	9999-12-31	17351
7121/5-1	10	2405-2410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_10_2405-2410m.jpg	479	9999-12-31	17352
7121/5-1	11	2410-2415m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_11_2410-2415m.jpg	479	9999-12-31	17353
7121/5-1	12	2415-2420m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_12_2415-2420m.jpg	479	9999-12-31	17354
7121/5-1	14	2420-2425m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_14_2420-2425m.jpg	479	9999-12-31	17355
7121/5-1	15	2425-2428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_15_2425-2428m.jpg	479	9999-12-31	17356
7121/5-1	16	2428-2433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_16_2428-2433m.jpg	479	9999-12-31	17357
7121/5-1	17	2433-2438m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_17_2433-2438m.jpg	479	9999-12-31	17358
7121/5-1	18	2438-2442m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_18_2438-2442m.jpg	479	9999-12-31	17359
7121/5-1	19	2442-2447m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_19_2442-2447m.jpg	479	9999-12-31	17360
7121/5-1	20	2447-2452m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_20_2447-2452m.jpg	479	9999-12-31	17361
7121/5-1	21	2452-2457m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_21_2452-2457m.jpg	479	9999-12-31	17362
7121/5-1	22	2457-2462m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_22_2457-2462m.jpg	479	9999-12-31	17363
7121/5-1	23	2462-2467m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_23_2462-2467m.jpg	479	9999-12-31	17364
7121/5-1	24	2467-2470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_24_2467-2470m.jpg	479	9999-12-31	17365
7121/5-1	25	2470-2475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_25_2470-2475m.jpg	479	9999-12-31	17366
7121/5-1	26	2475-2480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_26_2475-2480m.jpg	479	9999-12-31	17367
7121/5-1	27	2480-2485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_27_2480-2485m.jpg	479	9999-12-31	17368
7121/5-1	28	2485-2490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_28_2485-2490m.jpg	479	9999-12-31	17369
7121/5-1	29	2490-2495m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_29_2490-2495m.jpg	479	9999-12-31	17370
7121/5-1	30	2495-2498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_30_2495-2498m.jpg	479	9999-12-31	17371
7121/5-1	31	2498-2503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_31_2498-2503m.jpg	479	9999-12-31	17372
7121/5-1	32	2503-2506m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_32_2503-2506m.jpg	479	9999-12-31	17373
7121/5-1	32	2506-2508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_32_2506-2508m.jpg	479	9999-12-31	17374
7121/5-1	33	2508-2509m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_33_2508-2509m.jpg	479	9999-12-31	17375
7121/5-1	34	2509-2514m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_34_2509-2514m.jpg	479	9999-12-31	17376
7121/5-1	35	2514-2519m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_35_2514-2519m.jpg	479	9999-12-31	17377
7121/5-1	36	2519-2524m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_36_2519-2524m.jpg	479	9999-12-31	17378
7121/5-1	37	2524-2529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_37_2524-2529m.jpg	479	9999-12-31	17379
7121/5-1	38	2529-2534m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_38_2529-2534m.jpg	479	9999-12-31	17380
7121/5-1	39	2534-2536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_39_2534-2536m.jpg	479	9999-12-31	17381
7121/5-1	40	3082-3088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_40_3082-3088m.jpg	479	9999-12-31	17382
7121/5-1	41	3088-3094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_41_3088-3094m.jpg	479	9999-12-31	17383
7121/5-1	42	3094-3100m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_42_3094-3100m.jpg	479	9999-12-31	17384
7121/5-1	43	3100-3103m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/479_43_3100-3103m.jpg	479	9999-12-31	17385
7121/5-2	1	2324-2330m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_01_2324-2330m.jpg	907	9999-12-31	17386
7121/5-2	2	2330-2336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_02_2330-2336m.jpg	907	9999-12-31	17387
7121/5-2	3	2336-2342m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_03_2336-2342m.jpg	907	9999-12-31	17388
7121/5-2	4	2341-2342m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_04_2341-2342m.jpg	907	9999-12-31	17389
7121/5-2	5	2343-2349m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_05_2343-2349m.jpg	907	9999-12-31	17390
7121/5-2	6	2349-2355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_06_2349-2355m.jpg	907	9999-12-31	17391
7121/5-2	7	2355-2361m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_07_2355-2361m.jpg	907	9999-12-31	17392
7121/5-2	8	2361-2367m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_08_2361-2367m.jpg	907	9999-12-31	17393
7121/5-2	9	2367-2371m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_09_2367-2371m.jpg	907	9999-12-31	17394
7121/5-2	10	2371-2377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_10_2371-2377m.jpg	907	9999-12-31	17395
7121/5-2	11	2377-2383m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_11_2377-2383m.jpg	907	9999-12-31	17396
7121/5-2	12	2383-2389m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_12_2383-2389m.jpg	907	9999-12-31	17397
7121/5-2	13	2389-2395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_13_2389-2395m.jpg	907	9999-12-31	17398
7121/5-2	14	2395-2399m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/907_14_2395-2399m.jpg	907	9999-12-31	17399
7121/5-3	1	1887-1892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4244_01_1887-1892m.jpg	4244	9999-12-31	17400
7121/5-3	2	1892-1897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4244_02_1892-1897m.jpg	4244	9999-12-31	17401
7121/5-3	3	1897-1902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4244_03_1897-1902m.jpg	4244	9999-12-31	17402
7121/5-3	4	1902-1907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4244_04_1902-1907m.jpg	4244	9999-12-31	17403
7121/5-3	5	1907-1912m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4244_05_1907-1912m.jpg	4244	9999-12-31	17404
7121/5-3	6	1912-1994m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4244_06_1912-1994m.jpg	4244	9999-12-31	17405
7121/5-3	7	1994-1999m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4244_07_1994-1999m.jpg	4244	9999-12-31	17406
7121/5-3	8	1999-2004m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4244_08_1999-2004m.jpg	4244	9999-12-31	17407
7121/5-3	9	2004-2009m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4244_09_2004-2009m.jpg	4244	9999-12-31	17408
7121/5-3	10	2009-2014m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4244_10_2009-2014m.jpg	4244	9999-12-31	17409
7121/5-3	11	2014-2018m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4244_11_2014-2018m.jpg	4244	9999-12-31	17410
7121/7-1	1	1851-1856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_01_1851-1856m.jpg	130	9999-12-31	17411
7121/7-1	2	1856-1861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_02_1856-1861m.jpg	130	9999-12-31	17412
7121/7-1	3	1861-1866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_03_1861-1866m.jpg	130	9999-12-31	17413
7121/7-1	4	1866-1867m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_04_1866-1867m.jpg	130	9999-12-31	17414
7121/7-1	5	1868-1873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_05_1868-1873m.jpg	130	9999-12-31	17415
7121/7-1	6	1873-1878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_06_1873-1878m.jpg	130	9999-12-31	17416
7121/7-1	7	1878-1883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_07_1878-1883m.jpg	130	9999-12-31	17417
7121/7-1	8	1883-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_08_1883-1888m.jpg	130	9999-12-31	17418
7121/7-1	9	1888-1893m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_09_1888-1893m.jpg	130	9999-12-31	17419
7121/7-1	10	1893-1894m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_10_1893-1894m.jpg	130	9999-12-31	17420
7121/7-1	11	1895-1900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_11_1895-1900m.jpg	130	9999-12-31	17421
7121/7-1	12	1900-1905m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_12_1900-1905m.jpg	130	9999-12-31	17422
7121/7-1	13	1905-1910m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_13_1905-1910m.jpg	130	9999-12-31	17423
7121/7-1	14	1910-1915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_14_1910-1915m.jpg	130	9999-12-31	17424
7121/7-1	15	1915-1920m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_15_1915-1920m.jpg	130	9999-12-31	17425
7121/7-1	16	1920-1922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_16_1920-1922m.jpg	130	9999-12-31	17426
7121/7-1	17	1922-1927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_17_1922-1927m.jpg	130	9999-12-31	17427
7121/7-1	18	1927-1932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_18_1927-1932m.jpg	130	9999-12-31	17428
7121/7-1	19	1932-1935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/130_19_1932-1935m.jpg	130	9999-12-31	17429
7121/7-2	1	1903-1908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/881_01_1903-1908m.jpg	881	9999-12-31	17430
7121/7-2	2	1908-1913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/881_02_1908-1913m.jpg	881	9999-12-31	17431
7121/7-2	3	1913-1918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/881_03_1913-1918m.jpg	881	9999-12-31	17432
7121/7-2	4	1918-1923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/881_04_1918-1923m.jpg	881	9999-12-31	17433
7121/7-2	5	1923-1927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/881_05_1923-1927m.jpg	881	9999-12-31	17434
7121/7-2	6	1928-1933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/881_06_1928-1933m.jpg	881	9999-12-31	17435
7121/7-2	7	1933-1938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/881_07_1933-1938m.jpg	881	9999-12-31	17436
7121/7-2	8	1938-1939m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/881_08_1938-1939m.jpg	881	9999-12-31	17437
7122/2-1	1	1771-1775m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_01_1771-1775m.jpg	2018	9999-12-31	17438
7122/2-1	2	1775-1776m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_02_1775-1776m.jpg	2018	9999-12-31	17439
7122/2-1	3	1776-1778m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_03_1776-1778m.jpg	2018	9999-12-31	17440
7122/2-1	4	1779-1783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_04_1779-1783m.jpg	2018	9999-12-31	17441
7122/2-1	5	1783-1784m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_05_1783-1784m.jpg	2018	9999-12-31	17442
7122/2-1	6	1812-1816m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_06_1812-1816m.jpg	2018	9999-12-31	17443
7122/2-1	7	1816-1820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_07_1816-1820m.jpg	2018	9999-12-31	17444
7122/2-1	8	1820-1824m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_08_1820-1824m.jpg	2018	9999-12-31	17445
7122/2-1	9	1824-1825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_09_1824-1825m.jpg	2018	9999-12-31	17446
7122/2-1	10	1833-1837m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_10_1833-1837m.jpg	2018	9999-12-31	17447
7122/2-1	11	1837-1841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_11_1837-1841m.jpg	2018	9999-12-31	17448
7122/2-1	12	1841-1845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_12_1841-1845m.jpg	2018	9999-12-31	17449
7122/2-1	13	1845-1849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_13_1845-1849m.jpg	2018	9999-12-31	17450
7122/2-1	14	1849-1853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_14_1849-1853m.jpg	2018	9999-12-31	17451
7122/2-1	15	1853-1857m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_15_1853-1857m.jpg	2018	9999-12-31	17452
7122/2-1	16	1857-1860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_16_1857-1860m.jpg	2018	9999-12-31	17453
7122/2-1	16	1857-1861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_16_1857-1861m.jpg	2018	9999-12-31	17454
7122/2-1	17	1860-1864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_17_1860-1864m.jpg	2018	9999-12-31	17455
7122/2-1	17	1861-1864m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_17_1861-1864m.jpg	2018	9999-12-31	17456
7122/2-1	18	1864-1868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_18_1864-1868m.jpg	2018	9999-12-31	17457
7122/2-1	19	1868-1872m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_19_1868-1872m.jpg	2018	9999-12-31	17458
7122/2-1	19	1868-1972m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_19_1868-1972m.jpg	2018	9999-12-31	17459
7122/2-1	20	1872-1876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_20_1872-1876m.jpg	2018	9999-12-31	17460
7122/2-1	21	1876-1880m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_21_1876-1880m.jpg	2018	9999-12-31	17461
7122/2-1	22	1880-1884m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_22_1880-1884m.jpg	2018	9999-12-31	17462
7122/2-1	23	1884-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_23_1884-1888m.jpg	2018	9999-12-31	17463
7122/2-1	24	1888-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_24_1888-1888m.jpg	2018	9999-12-31	17464
7122/2-1	24	1888-1889m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_24_1888-1889m.jpg	2018	9999-12-31	17465
7122/2-1	25	1888-1892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_25_1888-1892m.jpg	2018	9999-12-31	17466
7122/2-1	25	1889-1892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_25_1889-1892m.jpg	2018	9999-12-31	17467
7122/2-1	26	1892-1896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_26_1892-1896m.jpg	2018	9999-12-31	17468
7122/2-1	27	1896-1900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_27_1896-1900m.jpg	2018	9999-12-31	17469
7122/2-1	28	1900-1904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_28_1900-1904m.jpg	2018	9999-12-31	17470
7122/2-1	29	1904-1908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_29_1904-1908m.jpg	2018	9999-12-31	17471
7122/2-1	30	1908-1912m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_30_1908-1912m.jpg	2018	9999-12-31	17472
7122/2-1	31	1912-1915m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_31_1912-1915m.jpg	2018	9999-12-31	17473
7122/2-1	31	1912-1916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_31_1912-1916m.jpg	2018	9999-12-31	17474
7122/2-1	32	1915-1919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_32_1915-1919m.jpg	2018	9999-12-31	17475
7122/2-1	32	1916-1919m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_32_1916-1919m.jpg	2018	9999-12-31	17476
7122/2-1	33	1919-1923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_33_1919-1923m.jpg	2018	9999-12-31	17477
7122/2-1	34	1923-1927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_34_1923-1927m.jpg	2018	9999-12-31	17478
7122/2-1	35	1927-1931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_35_1927-1931m.jpg	2018	9999-12-31	17479
7122/2-1	36	1931-1932m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2018_36_1931-1932m.jpg	2018	9999-12-31	17480
7122/4-1	1	2333-2338m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_01_2333-2338m.jpg	1869	9999-12-31	17481
7122/4-1	2	2338-2343m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_02_2338-2343m.jpg	1869	9999-12-31	17482
7122/4-1	3	2343-2345m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_03_2343-2345m.jpg	1869	9999-12-31	17483
7122/4-1	4	2345-2350m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_04_2345-2350m.jpg	1869	9999-12-31	17484
7122/4-1	5	2350-2355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_05_2350-2355m.jpg	1869	9999-12-31	17485
7122/4-1	6	2355-2357m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_06_2355-2357m.jpg	1869	9999-12-31	17486
7122/4-1	7	2357-2362m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_07_2357-2362m.jpg	1869	9999-12-31	17487
7122/4-1	8	2362-2367m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_08_2362-2367m.jpg	1869	9999-12-31	17488
7122/4-1	9	2367-2372m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_09_2367-2372m.jpg	1869	9999-12-31	17489
7122/4-1	10	2372-2377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_10_2372-2377m.jpg	1869	9999-12-31	17490
7122/4-1	11	2377-2382m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_11_2377-2382m.jpg	1869	9999-12-31	17491
7122/4-1	12	2382-2383m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_12_2382-2383m.jpg	1869	9999-12-31	17492
7122/4-1	13	2382-2387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_13_2382-2387m.jpg	1869	9999-12-31	17493
7122/4-1	14	2387-2392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_14_2387-2392m.jpg	1869	9999-12-31	17494
7122/4-1	15	2392-2397m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_15_2392-2397m.jpg	1869	9999-12-31	17495
7122/4-1	16	2397-2402m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_16_2397-2402m.jpg	1869	9999-12-31	17496
7122/4-1	17	2402-2407m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_17_2402-2407m.jpg	1869	9999-12-31	17497
7122/4-1	18	2407-2410m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1869_18_2407-2410m.jpg	1869	9999-12-31	17498
7122/6-1	1	2019-2023m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_01_2019-2023m.jpg	1140	9999-12-31	17499
7122/6-1	2	2024-2028m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_02_2024-2028m.jpg	1140	9999-12-31	17500
7122/6-1	3	2029-2033m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_03_2029-2033m.jpg	1140	9999-12-31	17501
7122/6-1	4	2034-2038m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_04_2034-2038m.jpg	1140	9999-12-31	17502
7122/6-1	5	2039-2039m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_05_2039-2039m.jpg	1140	9999-12-31	17503
7122/6-1	6	2039-2043m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_06_2039-2043m.jpg	1140	9999-12-31	17504
7122/6-1	7	2044-2048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_07_2044-2048m.jpg	1140	9999-12-31	17505
7122/6-1	8	2049-2053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_08_2049-2053m.jpg	1140	9999-12-31	17506
7122/6-1	9	2054-2058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_09_2054-2058m.jpg	1140	9999-12-31	17507
7122/6-1	10	2059-2063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_10_2059-2063m.jpg	1140	9999-12-31	17508
7122/6-1	11	2064-2068m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_11_2064-2068m.jpg	1140	9999-12-31	17509
7122/6-1	12	2069-2073m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_12_2069-2073m.jpg	1140	9999-12-31	17510
7122/6-1	13	2074-2078m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_13_2074-2078m.jpg	1140	9999-12-31	17511
7122/6-1	14	2079-2083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_14_2079-2083m.jpg	1140	9999-12-31	17512
7122/6-1	15	2084-2086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_15_2084-2086m.jpg	1140	9999-12-31	17513
7122/6-1	16	2087-2091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_16_2087-2091m.jpg	1140	9999-12-31	17514
7122/6-1	17	2092-2098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_17_2092-2098m.jpg	1140	9999-12-31	17515
7122/6-1	18	2097-2098m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1140_18_2097-2098m.jpg	1140	9999-12-31	17516
7122/7-1	1	1133-1134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4173_01_1133-1134m.jpg	4173	9999-12-31	17517
7122/7-1	2	1136-1141m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4173_02_1136-1141m.jpg	4173	9999-12-31	17518
7122/7-1	3	1141-1146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4173_03_1141-1146m.jpg	4173	9999-12-31	17519
7122/7-1	4	1146-1151m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4173_04_1146-1151m.jpg	4173	9999-12-31	17520
7122/7-1	5	1151-1156m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4173_05_1151-1156m.jpg	4173	9999-12-31	17521
7122/7-1	6	1156-1161m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4173_06_1156-1161m.jpg	4173	9999-12-31	17522
7122/7-1	7	1161-1166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4173_07_1161-1166m.jpg	4173	9999-12-31	17523
7122/7-1	8	1166-1171m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4173_08_1166-1171m.jpg	4173	9999-12-31	17524
7122/7-1	9	1171-1176m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4173_09_1171-1176m.jpg	4173	9999-12-31	17525
7122/7-1	10	1176-1178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4173_10_1176-1178m.jpg	4173	9999-12-31	17526
7122/7-1	10	1176-1179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4173_10_1176-1179m.jpg	4173	9999-12-31	17527
7124/3-1	1	1288-1293m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_01_1288-1293m.jpg	1066	9999-12-31	17528
7124/3-1	2	1293-1298m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_02_1293-1298m.jpg	1066	9999-12-31	17529
7124/3-1	3	1298-1301m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_03_1298-1301m.jpg	1066	9999-12-31	17530
7124/3-1	4	1304-1308m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_04_1304-1308m.jpg	1066	9999-12-31	17531
7124/3-1	5	1308-1313m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_05_1308-1313m.jpg	1066	9999-12-31	17532
7124/3-1	6	1313-1318m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_06_1313-1318m.jpg	1066	9999-12-31	17533
7124/3-1	7	1318-1323m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_07_1318-1323m.jpg	1066	9999-12-31	17534
7124/3-1	8	1323-1328m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_08_1323-1328m.jpg	1066	9999-12-31	17535
7124/3-1	9	1328-1332m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_09_1328-1332m.jpg	1066	9999-12-31	17536
7124/3-1	10	1331-1336m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_10_1331-1336m.jpg	1066	9999-12-31	17537
7124/3-1	11	1336-1341m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_11_1336-1341m.jpg	1066	9999-12-31	17538
7124/3-1	12	1341-1346m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_12_1341-1346m.jpg	1066	9999-12-31	17539
7124/3-1	13	1346-1351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_13_1346-1351m.jpg	1066	9999-12-31	17540
7124/3-1	14	1351-1356m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_14_1351-1356m.jpg	1066	9999-12-31	17541
7124/3-1	15	1356-1359m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_15_1356-1359m.jpg	1066	9999-12-31	17542
7124/3-1	16	1359-1364m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_16_1359-1364m.jpg	1066	9999-12-31	17543
7124/3-1	17	1364-1369m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_17_1364-1369m.jpg	1066	9999-12-31	17544
7124/3-1	18	1369-1374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_18_1369-1374m.jpg	1066	9999-12-31	17545
7124/3-1	19	1374-1379m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_19_1374-1379m.jpg	1066	9999-12-31	17546
7124/3-1	20	1379-1384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_20_1379-1384m.jpg	1066	9999-12-31	17547
7124/3-1	21	1384-1387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_21_1384-1387m.jpg	1066	9999-12-31	17548
7124/3-1	22	1387-1391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_22_1387-1391m.jpg	1066	9999-12-31	17549
7124/3-1	23	1391-1396m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_23_1391-1396m.jpg	1066	9999-12-31	17550
7124/3-1	24	1396-1401m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_24_1396-1401m.jpg	1066	9999-12-31	17551
7124/3-1	25	1401-1406m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_25_1401-1406m.jpg	1066	9999-12-31	17552
7124/3-1	26	1406-1408m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1066_26_1406-1408m.jpg	1066	9999-12-31	17553
7125/1-1	1	1406-1411m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1350_01_1406-1411m.jpg	1350	9999-12-31	17554
7125/1-1	2	1411-1416m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1350_02_1411-1416m.jpg	1350	9999-12-31	17555
7125/1-1	3	1416-1421m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1350_03_1416-1421m.jpg	1350	9999-12-31	17556
7125/1-1	4	1421-1426m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1350_04_1421-1426m.jpg	1350	9999-12-31	17557
7125/1-1	5	1426-1431m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1350_05_1426-1431m.jpg	1350	9999-12-31	17558
7125/1-1	6	1431-1434m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1350_06_1431-1434m.jpg	1350	9999-12-31	17559
7128/4-1	1	1574-1576m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_01_1574-1576m.jpg	2049	9999-12-31	17560
7128/4-1	2	1814-1818m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_02_1814-1818m.jpg	2049	9999-12-31	17561
7128/4-1	3	1818-1822m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_03_1818-1822m.jpg	2049	9999-12-31	17562
7128/4-1	4	1822-1826m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_04_1822-1826m.jpg	2049	9999-12-31	17563
7128/4-1	5	1826-1830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_05_1826-1830m.jpg	2049	9999-12-31	17564
7128/4-1	6	1830-1834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_06_1830-1834m.jpg	2049	9999-12-31	17565
7128/4-1	7	1834-1836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_07_1834-1836m.jpg	2049	9999-12-31	17566
7128/4-1	8	1837-1841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_08_1837-1841m.jpg	2049	9999-12-31	17567
7128/4-1	9	1841-1845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_09_1841-1845m.jpg	2049	9999-12-31	17568
7128/4-1	10	1845-1849m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_10_1845-1849m.jpg	2049	9999-12-31	17569
7128/4-1	11	1849-1853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_11_1849-1853m.jpg	2049	9999-12-31	17570
7128/4-1	12	1853-1857m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_12_1853-1857m.jpg	2049	9999-12-31	17571
7128/4-1	13	1857-1861m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_13_1857-1861m.jpg	2049	9999-12-31	17572
7128/4-1	14	1861-1865m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_14_1861-1865m.jpg	2049	9999-12-31	17573
7128/4-1	15	1865-1866m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_15_1865-1866m.jpg	2049	9999-12-31	17574
7128/4-1	16	2362-2366m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_16_2362-2366m.jpg	2049	9999-12-31	17575
7128/4-1	16	2362-2466m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_16_2362-2466m.jpg	2049	9999-12-31	17576
7128/4-1	17	2366-2370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_17_2366-2370m.jpg	2049	9999-12-31	17577
7128/4-1	17	2366-2470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_17_2366-2470m.jpg	2049	9999-12-31	17578
7128/4-1	18	2370-2374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_18_2370-2374m.jpg	2049	9999-12-31	17579
7128/4-1	18	2370-2474m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_18_2370-2474m.jpg	2049	9999-12-31	17580
7128/4-1	19	2374-2378m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_19_2374-2378m.jpg	2049	9999-12-31	17581
7128/4-1	19	2374-2478m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_19_2374-2478m.jpg	2049	9999-12-31	17582
7128/4-1	20	2378-2382m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_20_2378-2382m.jpg	2049	9999-12-31	17583
7128/4-1	20	2378-2482m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_20_2378-2482m.jpg	2049	9999-12-31	17584
7128/4-1	21	2382-2386m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_21_2382-2386m.jpg	2049	9999-12-31	17585
7128/4-1	21	2382-2486m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_21_2382-2486m.jpg	2049	9999-12-31	17586
7128/4-1	22	2386-2390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_22_2386-2390m.jpg	2049	9999-12-31	17587
7128/4-1	22	2386-2489m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_22_2386-2489m.jpg	2049	9999-12-31	17588
7128/4-1	23	2526-2529m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2049_23_2526-2529m.jpg	2049	9999-12-31	17589
7128/6-1	1	1629-1634m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_001_1629-1634m.jpg	1836	9999-12-31	17590
7128/6-1	2	1634-1639m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_002_1634-1639m.jpg	1836	9999-12-31	17591
7128/6-1	3	1639-1642m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_003_1639-1642m.jpg	1836	9999-12-31	17592
7128/6-1	4	1643-1645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_004_1643-1645m.jpg	1836	9999-12-31	17593
7128/6-1	5	1645-1647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_005_1645-1647m.jpg	1836	9999-12-31	17594
7128/6-1	6	1701-1706m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_006_1701-1706m.jpg	1836	9999-12-31	17595
7128/6-1	7	1706-1710m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_007_1706-1710m.jpg	1836	9999-12-31	17596
7128/6-1	8	1710-1715m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_008_1710-1715m.jpg	1836	9999-12-31	17597
7128/6-1	9	1715-1720m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_009_1715-1720m.jpg	1836	9999-12-31	17598
7128/6-1	10	1720-1725m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_010_1720-1725m.jpg	1836	9999-12-31	17599
7128/6-1	11	1725-1728m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_011_1725-1728m.jpg	1836	9999-12-31	17600
7128/6-1	12	1728-1733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_012_1728-1733m.jpg	1836	9999-12-31	17601
7128/6-1	13	1733-1738m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_013_1733-1738m.jpg	1836	9999-12-31	17602
7128/6-1	14	1738-1743m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_014_1738-1743m.jpg	1836	9999-12-31	17603
7128/6-1	15	1743-1745m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_015_1743-1745m.jpg	1836	9999-12-31	17604
7128/6-1	16	1745-1750m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_016_1745-1750m.jpg	1836	9999-12-31	17605
7128/6-1	17	1750-1755m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_017_1750-1755m.jpg	1836	9999-12-31	17606
7128/6-1	18	1755-1760m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_018_1755-1760m.jpg	1836	9999-12-31	17607
7128/6-1	19	1760-1765m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_019_1760-1765m.jpg	1836	9999-12-31	17608
7128/6-1	20	1765-1770m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_020_1765-1770m.jpg	1836	9999-12-31	17609
7128/6-1	21	1770-1775m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_021_1770-1775m.jpg	1836	9999-12-31	17610
7128/6-1	22	1775-1780m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_022_1775-1780m.jpg	1836	9999-12-31	17611
7128/6-1	23	1780-1783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_023_1780-1783m.jpg	1836	9999-12-31	17612
7128/6-1	24	1783-1788m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_024_1783-1788m.jpg	1836	9999-12-31	17613
7128/6-1	25	1788-1793m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_025_1788-1793m.jpg	1836	9999-12-31	17614
7128/6-1	26	1793-1798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_026_1793-1798m.jpg	1836	9999-12-31	17615
7128/6-1	27	1798-1803m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_027_1798-1803m.jpg	1836	9999-12-31	17616
7128/6-1	28	1803-1808m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_028_1803-1808m.jpg	1836	9999-12-31	17617
7128/6-1	29	1808-1810m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_029_1808-1810m.jpg	1836	9999-12-31	17618
7128/6-1	30	1810-1815m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_030_1810-1815m.jpg	1836	9999-12-31	17619
7128/6-1	31	1815-1820m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_031_1815-1820m.jpg	1836	9999-12-31	17620
7128/6-1	32	1820-1825m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_032_1820-1825m.jpg	1836	9999-12-31	17621
7128/6-1	33	1825-1830m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_033_1825-1830m.jpg	1836	9999-12-31	17622
7128/6-1	34	1830-1835m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_034_1830-1835m.jpg	1836	9999-12-31	17623
7128/6-1	35	1835-1838m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_035_1835-1838m.jpg	1836	9999-12-31	17624
7128/6-1	36	1838-1843m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_036_1838-1843m.jpg	1836	9999-12-31	17625
7128/6-1	37	1843-1848m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_037_1843-1848m.jpg	1836	9999-12-31	17626
7128/6-1	38	1848-1853m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_038_1848-1853m.jpg	1836	9999-12-31	17627
7128/6-1	39	1853-1858m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_039_1853-1858m.jpg	1836	9999-12-31	17628
7128/6-1	40	1858-1863m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_040_1858-1863m.jpg	1836	9999-12-31	17629
7128/6-1	41	1863-1868m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_041_1863-1868m.jpg	1836	9999-12-31	17630
7128/6-1	42	1868-1873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_042_1868-1873m.jpg	1836	9999-12-31	17631
7128/6-1	43	1873-1874m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_043_1873-1874m.jpg	1836	9999-12-31	17632
7128/6-1	44	1874-1878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_044_1874-1878m.jpg	1836	9999-12-31	17633
7128/6-1	45	1878-1883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_045_1878-1883m.jpg	1836	9999-12-31	17634
7128/6-1	46	1883-1888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_046_1883-1888m.jpg	1836	9999-12-31	17635
7128/6-1	47	1888-1892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_047_1888-1892m.jpg	1836	9999-12-31	17636
7128/6-1	48	1892-1896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_048_1892-1896m.jpg	1836	9999-12-31	17637
7128/6-1	49	1896-1901m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_049_1896-1901m.jpg	1836	9999-12-31	17638
7128/6-1	50	1901-1906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_050_1901-1906m.jpg	1836	9999-12-31	17639
7128/6-1	51	1906-1911m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_051_1906-1911m.jpg	1836	9999-12-31	17640
7128/6-1	52	1911-1916m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_052_1911-1916m.jpg	1836	9999-12-31	17641
7128/6-1	53	1916-1921m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_053_1916-1921m.jpg	1836	9999-12-31	17642
7128/6-1	54	1921-1926m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_054_1921-1926m.jpg	1836	9999-12-31	17643
7128/6-1	55	1926-1931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_055_1926-1931m.jpg	1836	9999-12-31	17644
7128/6-1	56	1929-1933m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_056_1929-1933m.jpg	1836	9999-12-31	17645
7128/6-1	57	1933-1938m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_057_1933-1938m.jpg	1836	9999-12-31	17646
7128/6-1	58	1938-1943m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_058_1938-1943m.jpg	1836	9999-12-31	17647
7128/6-1	59	1943-1948m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_059_1943-1948m.jpg	1836	9999-12-31	17648
7128/6-1	60	1948-1953m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_060_1948-1953m.jpg	1836	9999-12-31	17649
7128/6-1	61	1953-1958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_061_1953-1958m.jpg	1836	9999-12-31	17650
7128/6-1	62	1958-1963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_062_1958-1963m.jpg	1836	9999-12-31	17651
7128/6-1	63	1963-1966m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_063_1963-1966m.jpg	1836	9999-12-31	17652
7128/6-1	64	1968-1973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_064_1968-1973m.jpg	1836	9999-12-31	17653
7128/6-1	65	1973-1978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_065_1973-1978m.jpg	1836	9999-12-31	17654
7128/6-1	66	1978-1983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_066_1978-1983m.jpg	1836	9999-12-31	17655
7128/6-1	67	1983-1988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_067_1983-1988m.jpg	1836	9999-12-31	17656
7128/6-1	68	1988-1993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_068_1988-1993m.jpg	1836	9999-12-31	17657
7128/6-1	69	1993-1998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_069_1993-1998m.jpg	1836	9999-12-31	17658
7128/6-1	70	1998-2003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_070_1998-2003m.jpg	1836	9999-12-31	17659
7128/6-1	71	2003-2005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_071_2003-2005m.jpg	1836	9999-12-31	17660
7128/6-1	72	2005-2010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_072_2005-2010m.jpg	1836	9999-12-31	17661
7128/6-1	73	2010-2015m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_073_2010-2015m.jpg	1836	9999-12-31	17662
7128/6-1	74	2015-2020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_074_2015-2020m.jpg	1836	9999-12-31	17663
7128/6-1	75	2020-2025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_075_2020-2025m.jpg	1836	9999-12-31	17664
7128/6-1	76	2025-2030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_076_2025-2030m.jpg	1836	9999-12-31	17665
7128/6-1	77	2030-2031m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_077_2030-2031m.jpg	1836	9999-12-31	17666
7128/6-1	78	2031-2035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_078_2031-2035m.jpg	1836	9999-12-31	17667
7128/6-1	79	2035-2040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_079_2035-2040m.jpg	1836	9999-12-31	17668
7128/6-1	80	2040-2045m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_080_2040-2045m.jpg	1836	9999-12-31	17669
7128/6-1	81	2043-2048m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_081_2043-2048m.jpg	1836	9999-12-31	17670
7128/6-1	82	2048-2053m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_082_2048-2053m.jpg	1836	9999-12-31	17671
7128/6-1	83	2053-2058m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_083_2053-2058m.jpg	1836	9999-12-31	17672
7128/6-1	84	2058-2063m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_084_2058-2063m.jpg	1836	9999-12-31	17673
7128/6-1	85	2063-2067m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_085_2063-2067m.jpg	1836	9999-12-31	17674
7128/6-1	86	2067-2071m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_086_2067-2071m.jpg	1836	9999-12-31	17675
7128/6-1	87	2071-2076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_087_2071-2076m.jpg	1836	9999-12-31	17676
7128/6-1	88	2076-2081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_088_2076-2081m.jpg	1836	9999-12-31	17677
7128/6-1	89	2081-2086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_089_2081-2086m.jpg	1836	9999-12-31	17678
7128/6-1	90	2086-2091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_090_2086-2091m.jpg	1836	9999-12-31	17679
7128/6-1	91	2091-2094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_091_2091-2094m.jpg	1836	9999-12-31	17680
7128/6-1	92	2095-2099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_092_2095-2099m.jpg	1836	9999-12-31	17681
7128/6-1	93	2099-2104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_093_2099-2104m.jpg	1836	9999-12-31	17682
7128/6-1	94	2104-2109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_094_2104-2109m.jpg	1836	9999-12-31	17683
7128/6-1	95	2109-2114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_095_2109-2114m.jpg	1836	9999-12-31	17684
7128/6-1	96	2114-2119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_096_2114-2119m.jpg	1836	9999-12-31	17685
7128/6-1	97	2119-2124m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_097_2119-2124m.jpg	1836	9999-12-31	17686
7128/6-1	98	2124-2129m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_098_2124-2129m.jpg	1836	9999-12-31	17687
7128/6-1	99	2129-2132m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_099_2129-2132m.jpg	1836	9999-12-31	17688
7128/6-1	100	2222-2227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_100_2222-2227m.jpg	1836	9999-12-31	17689
7128/6-1	101	2227-2232m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_101_2227-2232m.jpg	1836	9999-12-31	17690
7128/6-1	102	2232-2237m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_102_2232-2237m.jpg	1836	9999-12-31	17691
7128/6-1	103	2237-2242m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_103_2237-2242m.jpg	1836	9999-12-31	17692
7128/6-1	104	2242-2247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_104_2242-2247m.jpg	1836	9999-12-31	17693
7128/6-1	105	2247-2249m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_105_2247-2249m.jpg	1836	9999-12-31	17694
7128/6-1	106	2540-2542m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1836_106_2540-2542m.jpg	1836	9999-12-31	17695
7216/11-1 S	1	2988-2993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4129_1_2988-2993m.jpg	4129	9999-12-31	17696
7216/11-1 S	2	2993-2997m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4129_2_2993-2997m.jpg	4129	9999-12-31	17697
7216/11-1 S	3	4230-4231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4129_3_4230-4231m.jpg	4129	9999-12-31	17698
7216/11-1 S	4	4231-4236m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4129_4_4231-4236m.jpg	4129	9999-12-31	17699
7216/11-1 S	5	4236-4238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4129_5_4236-4238m.jpg	4129	9999-12-31	17700
7219/8-1 S	1	4270-4275m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2031_01_4270-4275m.jpg	2031	9999-12-31	17701
7219/8-1 S	2	4275-4277m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2031_02_4275-4277m.jpg	2031	9999-12-31	17702
7219/8-1 S	3	4550-4551m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2031_03_4550-4551m.jpg	2031	9999-12-31	17703
7219/8-1 S	4	4597-4602m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2031_04_4597-4602m.jpg	2031	9999-12-31	17704
7219/8-1 S	5	4602-4607m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2031_05_4602-4607m.jpg	2031	9999-12-31	17705
7219/8-1 S	6	4607-4612m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2031_06_4607-4612m.jpg	2031	9999-12-31	17706
7219/9-1	1	1922-1927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_01_1922-1927m.jpg	1138	9999-12-31	17707
7219/9-1	2	1927-1930m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_02_1927-1930m.jpg	1138	9999-12-31	17708
7219/9-1	3	1930-1935m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_03_1930-1935m.jpg	1138	9999-12-31	17709
7219/9-1	4	1935-1940m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_04_1935-1940m.jpg	1138	9999-12-31	17710
7219/9-1	5	1940-1945m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_05_1940-1945m.jpg	1138	9999-12-31	17711
7219/9-1	6	1945-1950m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_06_1945-1950m.jpg	1138	9999-12-31	17712
7219/9-1	7	1950-1955m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_07_1950-1955m.jpg	1138	9999-12-31	17713
7219/9-1	8	1955-1958m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_08_1955-1958m.jpg	1138	9999-12-31	17714
7219/9-1	9	1958-1963m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_09_1958-1963m.jpg	1138	9999-12-31	17715
7219/9-1	10	1963-1968m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_10_1963-1968m.jpg	1138	9999-12-31	17716
7219/9-1	11	1968-1973m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_11_1968-1973m.jpg	1138	9999-12-31	17717
7219/9-1	12	1973-1978m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_12_1973-1978m.jpg	1138	9999-12-31	17718
7219/9-1	13	1978-1983m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_13_1978-1983m.jpg	1138	9999-12-31	17719
7219/9-1	14	1983-1985m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_14_1983-1985m.jpg	1138	9999-12-31	17720
7219/9-1	15	1985-1988m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_15_1985-1988m.jpg	1138	9999-12-31	17721
7219/9-1	16	1988-1993m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_16_1988-1993m.jpg	1138	9999-12-31	17722
7219/9-1	17	1993-1998m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_17_1993-1998m.jpg	1138	9999-12-31	17723
7219/9-1	18	1998-2003m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_18_1998-2003m.jpg	1138	9999-12-31	17724
7219/9-1	19	2003-2008m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_19_2003-2008m.jpg	1138	9999-12-31	17725
7219/9-1	20	2008-2013m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_20_2008-2013m.jpg	1138	9999-12-31	17726
7219/9-1	21	2013-2016m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_21_2013-2016m.jpg	1138	9999-12-31	17727
7219/9-1	22	2016-2020m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_22_2016-2020m.jpg	1138	9999-12-31	17728
7219/9-1	23	2020-2025m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_23_2020-2025m.jpg	1138	9999-12-31	17729
7219/9-1	24	2025-2030m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_24_2025-2030m.jpg	1138	9999-12-31	17730
7219/9-1	25	2030-2035m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_25_2030-2035m.jpg	1138	9999-12-31	17731
7219/9-1	26	2035-2040m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_26_2035-2040m.jpg	1138	9999-12-31	17732
7219/9-1	27	2040-2044m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_27_2040-2044m.jpg	1138	9999-12-31	17733
7219/9-1	28	2044-2049m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_28_2044-2049m.jpg	1138	9999-12-31	17734
7219/9-1	29	2049-2054m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_29_2049-2054m.jpg	1138	9999-12-31	17735
7219/9-1	30	2054-2059m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_30_2054-2059m.jpg	1138	9999-12-31	17736
7219/9-1	31	2059-2064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_31_2059-2064m.jpg	1138	9999-12-31	17737
7219/9-1	32	2064-2069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_32_2064-2069m.jpg	1138	9999-12-31	17738
7219/9-1	33	2069-2072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_33_2069-2072m.jpg	1138	9999-12-31	17739
7219/9-1	34	2072-2076m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_34_2072-2076m.jpg	1138	9999-12-31	17740
7219/9-1	35	2076-2081m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_35_2076-2081m.jpg	1138	9999-12-31	17741
7219/9-1	36	2081-2086m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_36_2081-2086m.jpg	1138	9999-12-31	17742
7219/9-1	37	2086-2091m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_37_2086-2091m.jpg	1138	9999-12-31	17743
7219/9-1	38	2091-2096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_38_2091-2096m.jpg	1138	9999-12-31	17744
7219/9-1	39	2096-2099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_39_2096-2099m.jpg	1138	9999-12-31	17745
7219/9-1	40	2099-2104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_40_2099-2104m.jpg	1138	9999-12-31	17746
7219/9-1	41	2104-2109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_41_2104-2109m.jpg	1138	9999-12-31	17747
7219/9-1	42	2109-2114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_42_2109-2114m.jpg	1138	9999-12-31	17748
7219/9-1	43	2114-2114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_43_2114-2114m.jpg	1138	9999-12-31	17749
7219/9-1	44	2742-2748m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_44_2742-2748m.jpg	1138	9999-12-31	17750
7219/9-1	45	2748-2754m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_45_2748-2754m.jpg	1138	9999-12-31	17751
7219/9-1	46	2754-2760m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_46_2754-2760m.jpg	1138	9999-12-31	17752
7219/9-1	47	2760-2766m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_47_2760-2766m.jpg	1138	9999-12-31	17753
7219/9-1	48	2766-2768m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1138_48_2766-2768m.jpg	1138	9999-12-31	17754
7224/7-1	1	898-903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1245_01_898-903m.jpg	1245	9999-12-31	17755
7224/7-1	2	903-907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1245_02_903-907m.jpg	1245	9999-12-31	17756
7224/7-1	3	907-912m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1245_03_907-912m.jpg	1245	9999-12-31	17757
7224/7-1	4	913-917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1245_04_913-917m.jpg	1245	9999-12-31	17758
7224/7-1	5	917-922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1245_05_917-922m.jpg	1245	9999-12-31	17759
7224/7-1	6	923-925m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1245_06_923-925m.jpg	1245	9999-12-31	17760
7224/7-1	7	926-931m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1245_07_926-931m.jpg	1245	9999-12-31	17761
7224/7-1	8	1725-1730m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1245_08_1725-1730m.jpg	1245	9999-12-31	17762
7224/7-1	9	1730-1733m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1245_09_1730-1733m.jpg	1245	9999-12-31	17763
7224/7-1	10	1734-1739m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1245_10_1734-1739m.jpg	1245	9999-12-31	17764
7224/7-1	11	1739-1741m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1245_11_1739-1741m.jpg	1245	9999-12-31	17765
7226/11-1	1	1167-1168m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_01_1167-1168m.jpg	1177	9999-12-31	17766
7226/11-1	2	1202-1207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_02_1202-1207m.jpg	1177	9999-12-31	17767
7226/11-1	3	1207-1212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_03_1207-1212m.jpg	1177	9999-12-31	17768
7226/11-1	4	1212-1217m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_04_1212-1217m.jpg	1177	9999-12-31	17769
7226/11-1	5	1217-1222m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_05_1217-1222m.jpg	1177	9999-12-31	17770
7226/11-1	6	1222-1224m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_06_1222-1224m.jpg	1177	9999-12-31	17771
7226/11-1	7	1224-1229m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_07_1224-1229m.jpg	1177	9999-12-31	17772
7226/11-1	8	1229-1234m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_08_1229-1234m.jpg	1177	9999-12-31	17773
7226/11-1	9	1234-1239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_09_1234-1239m.jpg	1177	9999-12-31	17774
7226/11-1	10	1239-1244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_10_1239-1244m.jpg	1177	9999-12-31	17775
7226/11-1	11	1244-1247m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_11_1244-1247m.jpg	1177	9999-12-31	17776
7226/11-1	12	2140-2143m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_12_2140-2143m.jpg	1177	9999-12-31	17777
7226/11-1	13	2951-2956m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_13_2951-2956m.jpg	1177	9999-12-31	17778
7226/11-1	14	2956-2957m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_14_2956-2957m.jpg	1177	9999-12-31	17779
7226/11-1	15	3057-3062m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_15_3057-3062m.jpg	1177	9999-12-31	17780
7226/11-1	16	3062-3067m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_16_3062-3067m.jpg	1177	9999-12-31	17781
7226/11-1	17	3067-3072m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_17_3067-3072m.jpg	1177	9999-12-31	17782
7226/11-1	18	3072-3077m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_18_3072-3077m.jpg	1177	9999-12-31	17783
7226/11-1	19	3077-3082m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_19_3077-3082m.jpg	1177	9999-12-31	17784
7226/11-1	20	3082-3083m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_20_3082-3083m.jpg	1177	9999-12-31	17785
7226/11-1	21	3236-3238m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_21_3236-3238m.jpg	1177	9999-12-31	17786
7226/11-1	22	4139-4145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_22_4139-4145m.jpg	1177	9999-12-31	17787
7226/11-1	23	4145-4146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_23_4145-4146m.jpg	1177	9999-12-31	17788
7226/11-1	24	4593-4599m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_24_4593-4599m.jpg	1177	9999-12-31	17789
7226/11-1	25	4599-4605m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_25_4599-4605m.jpg	1177	9999-12-31	17790
7226/11-1	26	4605-4611m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_26_4605-4611m.jpg	1177	9999-12-31	17791
7226/11-1	27	4611-4616m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_27_4611-4616m.jpg	1177	9999-12-31	17792
7226/11-1	28	5195-5200m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1177_28_5195-5200m.jpg	1177	9999-12-31	17793
7228/2-1 S	1	1286-1291m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1460_01_1286-1291m.jpg	1460	9999-12-31	17794
7228/2-1 S	2	1291-1295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1460_02_1291-1295m.jpg	1460	9999-12-31	17795
7228/2-1 S	3	1384-1387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1460_03_1384-1387m.jpg	1460	9999-12-31	17796
7228/2-1 S	4	4189-4194m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1460_04_4189-4194m.jpg	1460	9999-12-31	17797
7228/2-1 S	5	4194-4198m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1460_05_4194-4198m.jpg	1460	9999-12-31	17798
7228/7-1 A	1	2059-2064m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_01_2059-2064m.jpg	4257	9999-12-31	17799
7228/7-1 A	2	2064-2069m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_02_2064-2069m.jpg	4257	9999-12-31	17800
7228/7-1 A	3	2069-2074m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_03_2069-2074m.jpg	4257	9999-12-31	17801
7228/7-1 A	4	2074-2079m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_04_2074-2079m.jpg	4257	9999-12-31	17802
7228/7-1 A	5	2079-2084m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_05_2079-2084m.jpg	4257	9999-12-31	17803
7228/7-1 A	6	2084-2089m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_06_2084-2089m.jpg	4257	9999-12-31	17804
7228/7-1 A	7	2089-2094m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_07_2089-2094m.jpg	4257	9999-12-31	17805
7228/7-1 A	8	2094-2099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_08_2094-2099m.jpg	4257	9999-12-31	17806
7228/7-1 A	9	2099-2456m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_09_2099-2456m.jpg	4257	9999-12-31	17807
7228/7-1 A	10	2456-2836m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_10_2456-2836m.jpg	4257	9999-12-31	17808
7228/7-1 A	11	2836-2841m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_11_2836-2841m.jpg	4257	9999-12-31	17809
7228/7-1 A	12	2841-2846m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_12_2841-2846m.jpg	4257	9999-12-31	17810
7228/7-1 A	13	2846-2851m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_13_2846-2851m.jpg	4257	9999-12-31	17811
7228/7-1 A	14	2851-2856m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_14_2851-2856m.jpg	4257	9999-12-31	17812
7228/7-1 A	15	2856-2860m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/4257_15_2856-2860m.jpg	4257	9999-12-31	17813
7228/7-1 S	1	1367-1372m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3015_01_1367-1372m.jpg	3015	9999-12-31	17814
7228/7-1 S	2	1372-1377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3015_02_1372-1377m.jpg	3015	9999-12-31	17815
7228/7-1 S	3	1377-1382m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3015_03_1377-1382m.jpg	3015	9999-12-31	17816
7228/7-1 S	4	1382-1387m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3015_04_1382-1387m.jpg	3015	9999-12-31	17817
7228/7-1 S	5	1387-1392m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3015_05_1387-1392m.jpg	3015	9999-12-31	17818
7228/7-1 S	6	1392-1395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3015_06_1392-1395m.jpg	3015	9999-12-31	17819
7228/9-1 S	1	1042-1047m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_01_1042-1047m.jpg	1486	9999-12-31	17820
7228/9-1 S	2	1047-1050m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_02_1047-1050m.jpg	1486	9999-12-31	17821
7228/9-1 S	3	1083-1088m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_03_1083-1088m.jpg	1486	9999-12-31	17822
7228/9-1 S	4	1088-1093m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_04_1088-1093m.jpg	1486	9999-12-31	17823
7228/9-1 S	5	1094-1099m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_05_1094-1099m.jpg	1486	9999-12-31	17824
7228/9-1 S	6	1099-1104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_06_1099-1104m.jpg	1486	9999-12-31	17825
7228/9-1 S	7	1104-1109m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_07_1104-1109m.jpg	1486	9999-12-31	17826
7228/9-1 S	8	1109-1114m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_08_1109-1114m.jpg	1486	9999-12-31	17827
7228/9-1 S	9	1114-1119m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_09_1114-1119m.jpg	1486	9999-12-31	17828
7228/9-1 S	10	1119-1122m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_10_1119-1122m.jpg	1486	9999-12-31	17829
7228/9-1 S	11	1123-1128m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_11_1123-1128m.jpg	1486	9999-12-31	17830
7228/9-1 S	12	1128-1133m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_12_1128-1133m.jpg	1486	9999-12-31	17831
7228/9-1 S	13	1133-1134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_13_1133-1134m.jpg	1486	9999-12-31	17832
7228/9-1 S	14	2871-2876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_14_2871-2876m.jpg	1486	9999-12-31	17833
7228/9-1 S	15	2876-2881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_15_2876-2881m.jpg	1486	9999-12-31	17834
7228/9-1 S	16	2881-2886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_16_2881-2886m.jpg	1486	9999-12-31	17835
7228/9-1 S	17	2886-2888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_17_2886-2888m.jpg	1486	9999-12-31	17836
7228/9-1 S	18	4300-4305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_18_4300-4305m.jpg	1486	9999-12-31	17837
7228/9-1 S	19	4305-4310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_19_4305-4310m.jpg	1486	9999-12-31	17838
7228/9-1 S	20	4310-4316m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_20_4310-4316m.jpg	1486	9999-12-31	17839
7228/9-1 S	21	4316-4320m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_21_4316-4320m.jpg	1486	9999-12-31	17840
7228/9-1 S	22	4418-4423m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_22_4418-4423m.jpg	1486	9999-12-31	17841
7228/9-1 S	23	4423-4428m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_23_4423-4428m.jpg	1486	9999-12-31	17842
7228/9-1 S	24	4428-4433m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_24_4428-4433m.jpg	1486	9999-12-31	17843
7228/9-1 S	25	4433-4438m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_25_4433-4438m.jpg	1486	9999-12-31	17844
7228/9-1 S	26	4438-4443m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1486_26_4438-4443m.jpg	1486	9999-12-31	17845
7229/11-1	1	4088-4092m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_01_4088-4092m.jpg	1643	9999-12-31	17846
7229/11-1	2	4092-4096m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_02_4092-4096m.jpg	1643	9999-12-31	17847
7229/11-1	3	4097-4101m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_03_4097-4101m.jpg	1643	9999-12-31	17848
7229/11-1	4	4101-4104m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_04_4101-4104m.jpg	1643	9999-12-31	17849
7229/11-1	5	4131-4134m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_05_4131-4134m.jpg	1643	9999-12-31	17850
7229/11-1	6	4134-4138m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_06_4134-4138m.jpg	1643	9999-12-31	17851
7229/11-1	7	4138-4142m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_07_4138-4142m.jpg	1643	9999-12-31	17852
7229/11-1	8	4142-4146m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_08_4142-4146m.jpg	1643	9999-12-31	17853
7229/11-1	9	4146-4150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_09_4146-4150m.jpg	1643	9999-12-31	17854
7229/11-1	10	4150-4154m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_10_4150-4154m.jpg	1643	9999-12-31	17855
7229/11-1	11	4154-4158m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_11_4154-4158m.jpg	1643	9999-12-31	17856
7229/11-1	12	4158-4159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_12_4158-4159m.jpg	1643	9999-12-31	17857
7229/11-1	13	4158-4162m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_13_4158-4162m.jpg	1643	9999-12-31	17858
7229/11-1	14	4162-4166m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_14_4162-4166m.jpg	1643	9999-12-31	17859
7229/11-1	15	4166-4170m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_15_4166-4170m.jpg	1643	9999-12-31	17860
7229/11-1	16	4170-4174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_16_4170-4174m.jpg	1643	9999-12-31	17861
7229/11-1	17	4174-4178m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_17_4174-4178m.jpg	1643	9999-12-31	17862
7229/11-1	18	4178-4182m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_18_4178-4182m.jpg	1643	9999-12-31	17863
7229/11-1	19	4182-4183m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_19_4182-4183m.jpg	1643	9999-12-31	17864
7229/11-1	20	4183-4187m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_20_4183-4187m.jpg	1643	9999-12-31	17865
7229/11-1	21	4187-4191m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_21_4187-4191m.jpg	1643	9999-12-31	17866
7229/11-1	22	4191-4195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_22_4191-4195m.jpg	1643	9999-12-31	17867
7229/11-1	23	4191-4195m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_23_4191-4195m.jpg	1643	9999-12-31	17868
7229/11-1	24	4195-4199m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_24_4195-4199m.jpg	1643	9999-12-31	17869
7229/11-1	25	4199-4203m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_25_4199-4203m.jpg	1643	9999-12-31	17870
7229/11-1	26	4203-4207m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_26_4203-4207m.jpg	1643	9999-12-31	17871
7229/11-1	27	4207-4211m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_27_4207-4211m.jpg	1643	9999-12-31	17872
7229/11-1	28	4211-4212m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_28_4211-4212m.jpg	1643	9999-12-31	17873
7229/11-1	29	4212-4215m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_29_4212-4215m.jpg	1643	9999-12-31	17874
7229/11-1	30	4215-4219m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_30_4215-4219m.jpg	1643	9999-12-31	17875
7229/11-1	31	4219-4223m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_31_4219-4223m.jpg	1643	9999-12-31	17876
7229/11-1	32	4223-4227m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_32_4223-4227m.jpg	1643	9999-12-31	17877
7229/11-1	33	4227-4231m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_33_4227-4231m.jpg	1643	9999-12-31	17878
7229/11-1	34	4231-4235m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_34_4231-4235m.jpg	1643	9999-12-31	17879
7229/11-1	35	4235-4239m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_35_4235-4239m.jpg	1643	9999-12-31	17880
7229/11-1	36	4239-4240m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_36_4239-4240m.jpg	1643	9999-12-31	17881
7229/11-1	37	4240-4244m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_37_4240-4244m.jpg	1643	9999-12-31	17882
7229/11-1	38	4244-4248m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_38_4244-4248m.jpg	1643	9999-12-31	17883
7229/11-1	39	4248-4252m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_39_4248-4252m.jpg	1643	9999-12-31	17884
7229/11-1	40	4252-4256m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_40_4252-4256m.jpg	1643	9999-12-31	17885
7229/11-1	41	4256-4260m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_41_4256-4260m.jpg	1643	9999-12-31	17886
7229/11-1	42	4260-4264m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_42_4260-4264m.jpg	1643	9999-12-31	17887
7229/11-1	43	4264-4268m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_43_4264-4268m.jpg	1643	9999-12-31	17888
7229/11-1	44	4268-4269m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_44_4268-4269m.jpg	1643	9999-12-31	17889
7229/11-1	45	4269-4273m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_45_4269-4273m.jpg	1643	9999-12-31	17890
7229/11-1	46	4273-4276m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_46_4273-4276m.jpg	1643	9999-12-31	17891
7229/11-1	47	4373-4377m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_47_4373-4377m.jpg	1643	9999-12-31	17892
7229/11-1	48	4377-4381m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_48_4377-4381m.jpg	1643	9999-12-31	17893
7229/11-1	49	4381-4385m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_49_4381-4385m.jpg	1643	9999-12-31	17894
7229/11-1	50	4385-4389m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_50_4385-4389m.jpg	1643	9999-12-31	17895
7229/11-1	51	4389-4393m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_51_4389-4393m.jpg	1643	9999-12-31	17896
7229/11-1	52	4393-4394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1643_52_4393-4394m.jpg	1643	9999-12-31	17897
7316/5-1	1	896-900m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_01_896-900m.jpg	1987	9999-12-31	17898
7316/5-1	2	900-904m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_02_900-904m.jpg	1987	9999-12-31	17899
7316/5-1	3	904-906m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_03_904-906m.jpg	1987	9999-12-31	17900
7316/5-1	4	1347-1351m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_04_1347-1351m.jpg	1987	9999-12-31	17901
7316/5-1	5	1351-1355m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_05_1351-1355m.jpg	1987	9999-12-31	17902
7316/5-1	6	1355-1359m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_06_1355-1359m.jpg	1987	9999-12-31	17903
7316/5-1	7	1359-1363m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_07_1359-1363m.jpg	1987	9999-12-31	17904
7316/5-1	8	1363-1367m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_08_1363-1367m.jpg	1987	9999-12-31	17905
7316/5-1	9	1367-1371m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_09_1367-1371m.jpg	1987	9999-12-31	17906
7316/5-1	10	1371-1374m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_10_1371-1374m.jpg	1987	9999-12-31	17907
7316/5-1	11	1460-1464m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_11_1460-1464m.jpg	1987	9999-12-31	17908
7316/5-1	12	1464-1468m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_12_1464-1468m.jpg	1987	9999-12-31	17909
7316/5-1	13	1468-1472m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1987_13_1468-1472m.jpg	1987	9999-12-31	17910
7321/7-1	1	1907-1909m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1284_01_1907-1909m.jpg	1284	9999-12-31	17911
7321/7-1	2	2003-2007m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1284_02_2003-2007m.jpg	1284	9999-12-31	17912
7321/7-1	3	2386-2391m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1284_03_2386-2391m.jpg	1284	9999-12-31	17913
7321/7-1	4	2391-2394m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1284_04_2391-2394m.jpg	1284	9999-12-31	17914
7321/8-1	1	1443-1448m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_01_1443-1448m.jpg	1070	9999-12-31	17915
7321/8-1	2	1448-1453m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_02_1448-1453m.jpg	1070	9999-12-31	17916
7321/8-1	3	1453-1458m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_03_1453-1458m.jpg	1070	9999-12-31	17917
7321/8-1	4	1458-1463m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_04_1458-1463m.jpg	1070	9999-12-31	17918
7321/8-1	5	1463-1466m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_05_1463-1466m.jpg	1070	9999-12-31	17919
7321/8-1	6	1466-1470m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_06_1466-1470m.jpg	1070	9999-12-31	17920
7321/8-1	7	1470-1475m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_07_1470-1475m.jpg	1070	9999-12-31	17921
7321/8-1	8	1475-1480m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_08_1475-1480m.jpg	1070	9999-12-31	17922
7321/8-1	9	1480-1485m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_09_1480-1485m.jpg	1070	9999-12-31	17923
7321/8-1	10	1485-1490m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_10_1485-1490m.jpg	1070	9999-12-31	17924
7321/8-1	11	1490-1494m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_11_1490-1494m.jpg	1070	9999-12-31	17925
7321/8-1	12	1494-1498m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_12_1494-1498m.jpg	1070	9999-12-31	17926
7321/8-1	13	1498-1503m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_13_1498-1503m.jpg	1070	9999-12-31	17927
7321/8-1	14	1503-1508m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_14_1503-1508m.jpg	1070	9999-12-31	17928
7321/8-1	15	1508-1513m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_15_1508-1513m.jpg	1070	9999-12-31	17929
7321/8-1	16	1513-1516m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_16_1513-1516m.jpg	1070	9999-12-31	17930
7321/8-1	17	1516-1521m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_17_1516-1521m.jpg	1070	9999-12-31	17931
7321/8-1	18	1521-1526m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_18_1521-1526m.jpg	1070	9999-12-31	17932
7321/8-1	19	1526-1531m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_19_1526-1531m.jpg	1070	9999-12-31	17933
7321/8-1	20	1531-1536m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_20_1531-1536m.jpg	1070	9999-12-31	17934
7321/8-1	21	1536-1541m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_21_1536-1541m.jpg	1070	9999-12-31	17935
7321/8-1	22	1541-1545m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_22_1541-1545m.jpg	1070	9999-12-31	17936
7321/8-1	23	2671-2675m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_23_2671-2675m.jpg	1070	9999-12-31	17937
7321/8-1	24	2675-2678m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_24_2675-2678m.jpg	1070	9999-12-31	17938
7321/8-1	25	2839-2844m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_25_2839-2844m.jpg	1070	9999-12-31	17939
7321/8-1	26	2844-2847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_26_2844-2847m.jpg	1070	9999-12-31	17940
7321/8-1	27	3430-3432m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1070_27_3430-3432m.jpg	1070	9999-12-31	17941
7321/9-1	1	1365-1370m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1339_1_1365-1370m.jpg	1339	9999-12-31	17942
7321/9-1	2	1370-1375m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1339_2_1370-1375m.jpg	1339	9999-12-31	17943
7321/9-1	3	1375-1380m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1339_3_1375-1380m.jpg	1339	9999-12-31	17944
7321/9-1	4	1380-1384m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1339_4_1380-1384m.jpg	1339	9999-12-31	17945
7321/9-1	5	1385-1390m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1339_5_1385-1390m.jpg	1339	9999-12-31	17946
7321/9-1	6	1390-1395m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1339_6_1390-1395m.jpg	1339	9999-12-31	17947
7321/9-1	7	1395-1398m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1339_7_1395-1398m.jpg	1339	9999-12-31	17948
7324/10-1	1	1411-1414m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1411_01_1411-1414m.jpg	1411	9999-12-31	17949
7324/10-1	2	1659-1664m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1411_02_1659-1664m.jpg	1411	9999-12-31	17950
7324/10-1	3	1664-1667m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1411_03_1664-1667m.jpg	1411	9999-12-31	17951
7324/10-1	4	1777-1782m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1411_04_1777-1782m.jpg	1411	9999-12-31	17952
7324/10-1	5	1782-1783m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1411_05_1782-1783m.jpg	1411	9999-12-31	17953
7324/10-1	6	2640-2641m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1411_06_2640-2641m.jpg	1411	9999-12-31	17954
7324/10-1	7	2640-2645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1411_07_2640-2645m.jpg	1411	9999-12-31	17955
7324/10-1	8	2645-2650m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1411_08_2645-2650m.jpg	1411	9999-12-31	17956
7324/10-1	9	2650-2655m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1411_09_2650-2655m.jpg	1411	9999-12-31	17957
7324/10-1	10	2655-2659m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1411_10_2655-2659m.jpg	1411	9999-12-31	17958
8/3-2	1	2384-2388m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/89_01_2384-2388m.jpg	89	9999-12-31	17959
8/3-2	2	2389-2393m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/89_02_2389-2393m.jpg	89	9999-12-31	17960
9/2-1	1	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_01_3111-3123m.jpg	1038	9999-12-31	17961
9/2-1	2	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_02_3111-3123m.jpg	1038	9999-12-31	17962
9/2-1	3	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_03_3111-3123m.jpg	1038	9999-12-31	17963
9/2-1	4	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_04_3111-3123m.jpg	1038	9999-12-31	17964
9/2-1	5	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_05_3111-3123m.jpg	1038	9999-12-31	17965
9/2-1	6	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_06_3111-3123m.jpg	1038	9999-12-31	17966
9/2-1	7	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_07_3111-3123m.jpg	1038	9999-12-31	17967
9/2-1	8	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_08_3111-3123m.jpg	1038	9999-12-31	17968
9/2-1	9	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_09_3111-3123m.jpg	1038	9999-12-31	17969
9/2-1	10	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_10_3111-3123m.jpg	1038	9999-12-31	17970
9/2-1	11	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_11_3111-3123m.jpg	1038	9999-12-31	17971
9/2-1	12	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_12_3111-3123m.jpg	1038	9999-12-31	17972
9/2-1	13	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_13_3111-3123m.jpg	1038	9999-12-31	17973
9/2-1	14	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_14_3111-3123m.jpg	1038	9999-12-31	17974
9/2-1	15	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_15_3111-3123m.jpg	1038	9999-12-31	17975
9/2-1	16	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_16_3111-3123m.jpg	1038	9999-12-31	17976
9/2-1	17	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_17_3111-3123m.jpg	1038	9999-12-31	17977
9/2-1	18	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_18_3111-3123m.jpg	1038	9999-12-31	17978
9/2-1	19	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_19_3111-3123m.jpg	1038	9999-12-31	17979
9/2-1	20	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_20_3111-3123m.jpg	1038	9999-12-31	17980
9/2-1	21	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_21_3111-3123m.jpg	1038	9999-12-31	17981
9/2-1	22	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_22_3111-3123m.jpg	1038	9999-12-31	17982
9/2-1	23	3111-3123m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_23_3111-3123m.jpg	1038	9999-12-31	17983
9/2-1	24	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_24_3174-3202m.jpg	1038	9999-12-31	17984
9/2-1	25	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_25_3174-3202m.jpg	1038	9999-12-31	17985
9/2-1	26	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_26_3174-3202m.jpg	1038	9999-12-31	17986
9/2-1	27	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_27_3174-3202m.jpg	1038	9999-12-31	17987
9/2-1	28	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_28_3174-3202m.jpg	1038	9999-12-31	17988
9/2-1	29	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_29_3174-3202m.jpg	1038	9999-12-31	17989
9/2-1	30	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_30_3174-3202m.jpg	1038	9999-12-31	17990
9/2-1	31	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_31_3174-3202m.jpg	1038	9999-12-31	17991
9/2-1	32	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_32_3174-3202m.jpg	1038	9999-12-31	17992
9/2-1	33	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_33_3174-3202m.jpg	1038	9999-12-31	17993
9/2-1	34	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_34_3174-3202m.jpg	1038	9999-12-31	17994
9/2-1	35	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_35_3174-3202m.jpg	1038	9999-12-31	17995
9/2-1	36	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_36_3174-3202m.jpg	1038	9999-12-31	17996
9/2-1	37	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_37_3174-3202m.jpg	1038	9999-12-31	17997
9/2-1	38	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_38_3174-3202m.jpg	1038	9999-12-31	17998
9/2-1	39	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_39_3174-3202m.jpg	1038	9999-12-31	17999
9/2-1	40	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_40_3174-3202m.jpg	1038	9999-12-31	18000
9/2-1	41	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_41_3174-3202m.jpg	1038	9999-12-31	18001
9/2-1	42	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_42_3174-3202m.jpg	1038	9999-12-31	18002
9/2-1	43	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_43_3174-3202m.jpg	1038	9999-12-31	18003
9/2-1	44	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_44_3174-3202m.jpg	1038	9999-12-31	18004
9/2-1	45	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_45_3174-3202m.jpg	1038	9999-12-31	18005
9/2-1	46	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_46_3174-3202m.jpg	1038	9999-12-31	18006
9/2-1	47	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_47_3174-3202m.jpg	1038	9999-12-31	18007
9/2-1	48	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_48_3174-3202m.jpg	1038	9999-12-31	18008
9/2-1	49	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_49_3174-3202m.jpg	1038	9999-12-31	18009
9/2-1	50	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_50_3174-3202m.jpg	1038	9999-12-31	18010
9/2-1	51	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_51_3174-3202m.jpg	1038	9999-12-31	18011
9/2-1	52	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_52_3174-3202m.jpg	1038	9999-12-31	18012
9/2-1	53	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_53_3174-3202m.jpg	1038	9999-12-31	18013
9/2-1	54	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_54_3174-3202m.jpg	1038	9999-12-31	18014
9/2-1	55	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_55_3174-3202m.jpg	1038	9999-12-31	18015
9/2-1	56	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_56_3174-3202m.jpg	1038	9999-12-31	18016
9/2-1	57	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_57_3174-3202m.jpg	1038	9999-12-31	18017
9/2-1	58	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_58_3174-3202m.jpg	1038	9999-12-31	18018
9/2-1	59	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_59_3174-3202m.jpg	1038	9999-12-31	18019
9/2-1	60	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_60_3174-3202m.jpg	1038	9999-12-31	18020
9/2-1	61	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_61_3174-3202m.jpg	1038	9999-12-31	18021
9/2-1	62	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_62_3174-3202m.jpg	1038	9999-12-31	18022
9/2-1	63	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_63_3174-3202m.jpg	1038	9999-12-31	18023
9/2-1	64	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_64_3174-3202m.jpg	1038	9999-12-31	18024
9/2-1	65	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_65_3174-3202m.jpg	1038	9999-12-31	18025
9/2-1	66	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_66_3174-3202m.jpg	1038	9999-12-31	18026
9/2-1	67	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_67_3174-3202m.jpg	1038	9999-12-31	18027
9/2-1	68	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_68_3174-3202m.jpg	1038	9999-12-31	18028
9/2-1	69	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_69_3174-3202m.jpg	1038	9999-12-31	18029
9/2-1	70	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_70_3174-3202m.jpg	1038	9999-12-31	18030
9/2-1	71	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_71_3174-3202m.jpg	1038	9999-12-31	18031
9/2-1	72	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_72_3174-3202m.jpg	1038	9999-12-31	18032
9/2-1	73	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_73_3174-3202m.jpg	1038	9999-12-31	18033
9/2-1	74	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_74_3174-3202m.jpg	1038	9999-12-31	18034
9/2-1	75	3174-3202m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_75_3174-3202m.jpg	1038	9999-12-31	18035
9/2-1	76	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_76_3202-3216m.jpg	1038	9999-12-31	18036
9/2-1	77	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_77_3202-3216m.jpg	1038	9999-12-31	18037
9/2-1	78	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_78_3202-3216m.jpg	1038	9999-12-31	18038
9/2-1	79	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_79_3202-3216m.jpg	1038	9999-12-31	18039
9/2-1	80	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_80_3202-3216m.jpg	1038	9999-12-31	18040
9/2-1	81	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_81_3202-3216m.jpg	1038	9999-12-31	18041
9/2-1	82	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_82_3202-3216m.jpg	1038	9999-12-31	18042
9/2-1	83	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_83_3202-3216m.jpg	1038	9999-12-31	18043
9/2-1	84	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_84_3202-3216m.jpg	1038	9999-12-31	18044
9/2-1	85	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_85_3202-3216m.jpg	1038	9999-12-31	18045
9/2-1	86	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_86_3202-3216m.jpg	1038	9999-12-31	18046
9/2-1	87	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_87_3202-3216m.jpg	1038	9999-12-31	18047
9/2-1	88	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_88_3202-3216m.jpg	1038	9999-12-31	18048
9/2-1	89	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_89_3202-3216m.jpg	1038	9999-12-31	18049
9/2-1	90	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_90_3202-3216m.jpg	1038	9999-12-31	18050
9/2-1	91	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_91_3202-3216m.jpg	1038	9999-12-31	18051
9/2-1	92	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_92_3202-3216m.jpg	1038	9999-12-31	18052
9/2-1	93	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_93_3202-3216m.jpg	1038	9999-12-31	18053
9/2-1	94	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_94_3202-3216m.jpg	1038	9999-12-31	18054
9/2-1	95	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_95_3202-3216m.jpg	1038	9999-12-31	18055
9/2-1	96	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_96_3202-3216m.jpg	1038	9999-12-31	18056
9/2-1	97	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_97_3202-3216m.jpg	1038	9999-12-31	18057
9/2-1	98	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_98_3202-3216m.jpg	1038	9999-12-31	18058
9/2-1	99	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_99_3202-3216m.jpg	1038	9999-12-31	18059
9/2-1	100	3202-3216m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_100_3202-3216m.jpg	1038	9999-12-31	18060
9/2-1	101	3231-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_101_3231-3259m.jpg	1038	9999-12-31	18061
9/2-1	102	3231-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_102_3231-3259m.jpg	1038	9999-12-31	18062
9/2-1	103	3231-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_103_3231-3259m.jpg	1038	9999-12-31	18063
9/2-1	104	3231-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_104_3231-3259m.jpg	1038	9999-12-31	18064
9/2-1	105	3231-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_105_3231-3259m.jpg	1038	9999-12-31	18065
9/2-1	106	3231-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_106_3231-3259m.jpg	1038	9999-12-31	18066
9/2-1	107	3231-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_107_3231-3259m.jpg	1038	9999-12-31	18067
9/2-1	108	3231-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_108_3231-3259m.jpg	1038	9999-12-31	18068
9/2-1	109	3231-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_109_3231-3259m.jpg	1038	9999-12-31	18069
9/2-1	110	3231-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_110_3231-3259m.jpg	1038	9999-12-31	18070
9/2-1	111	3231-3259m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_111_3231-3259m.jpg	1038	9999-12-31	18071
9/2-1	112	3259-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_112_3259-3287m.jpg	1038	9999-12-31	18072
9/2-1	113	3259-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_113_3259-3287m.jpg	1038	9999-12-31	18073
9/2-1	114	3259-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_114_3259-3287m.jpg	1038	9999-12-31	18074
9/2-1	115	3259-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_115_3259-3287m.jpg	1038	9999-12-31	18075
9/2-1	116	3259-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_116_3259-3287m.jpg	1038	9999-12-31	18076
9/2-1	117	3259-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_117_3259-3287m.jpg	1038	9999-12-31	18077
9/2-1	118	3259-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_118_3259-3287m.jpg	1038	9999-12-31	18078
9/2-1	119	3259-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_119_3259-3287m.jpg	1038	9999-12-31	18079
9/2-1	120	3259-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_120_3259-3287m.jpg	1038	9999-12-31	18080
9/2-1	121	3259-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_121_3259-3287m.jpg	1038	9999-12-31	18081
9/2-1	122	3259-3287m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1038_122_3259-3287m.jpg	1038	9999-12-31	18082
9/2-2	1	3135-3140m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1135_01_3135-3140m.jpg	1135	9999-12-31	18083
9/2-2	2	3140-3145m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1135_02_3140-3145m.jpg	1135	9999-12-31	18084
9/2-2	3	3145-3150m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1135_03_3145-3150m.jpg	1135	9999-12-31	18085
9/2-2	4	3150-3155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1135_04_3150-3155m.jpg	1135	9999-12-31	18086
9/2-2	5	3155-3160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1135_05_3155-3160m.jpg	1135	9999-12-31	18087
9/2-2	6	3160-3163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1135_06_3160-3163m.jpg	1135	9999-12-31	18088
9/2-2	7	3414-3419m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1135_07_3414-3419m.jpg	1135	9999-12-31	18089
9/2-2	8	3419-3424m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1135_08_3419-3424m.jpg	1135	9999-12-31	18090
9/2-2	9	3424	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1135_09_3424_3429m.jpg	1135	9999-12-31	18091
9/2-2	10	3429-3431m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1135_10_3429-3431m.jpg	1135	9999-12-31	18092
9/2-3	1	3264-3269m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1294_01_3264-3269m.jpg	1294	9999-12-31	18093
9/2-3	2	3269-3274m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1294_02_3269-3274m.jpg	1294	9999-12-31	18094
9/2-3	3	3274-3279m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1294_03_3274-3279m.jpg	1294	9999-12-31	18095
9/2-3	4	3279-3284m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1294_04_3279-3284m.jpg	1294	9999-12-31	18096
9/2-3	5	3284-3289m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1294_05_3284-3289m.jpg	1294	9999-12-31	18097
9/2-3	6	3289-3292m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/1294_06_3289-3292m.jpg	1294	9999-12-31	18098
9/2-4 S	1	4150-4155m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2258_01_4150-4155m.jpg	2258	9999-12-31	18099
9/2-4 S	2	4155-4160m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2258_02_4155-4160m.jpg	2258	9999-12-31	18100
9/2-4 S	3	4160-4165m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2258_03_4160-4165m.jpg	2258	9999-12-31	18101
9/2-4 S	4	4165-4167m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2258_04_4165-4167m.jpg	2258	9999-12-31	18102
9/2-5	1	3154-3159m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2599_01_3154-3159m.jpg	2599	9999-12-31	18103
9/2-5	2	3159-3163m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2599_02_3159-3163m.jpg	2599	9999-12-31	18104
9/2-5	3	3164-3169m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2599_03_3164-3169m.jpg	2599	9999-12-31	18105
9/2-5	4	3169-3174m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2599_04_3169-3174m.jpg	2599	9999-12-31	18106
9/2-5	5	3174-3179m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2599_05_3174-3179m.jpg	2599	9999-12-31	18107
9/2-5	6	3179-3184m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2599_06_3179-3184m.jpg	2599	9999-12-31	18108
9/2-5	7	3184-3189m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2599_07_3184-3189m.jpg	2599	9999-12-31	18109
9/2-5	8	3189-3193m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2599_08_3189-3193m.jpg	2599	9999-12-31	18110
9/2-6 S	1	4793-4798m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2867_01_4793-4798m.jpg	2867	9999-12-31	18111
9/2-6 S	2	4798-4803m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2867_02_4798-4803m.jpg	2867	9999-12-31	18112
9/2-6 S	3	4804-4809m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2867_03_4804-4809m.jpg	2867	9999-12-31	18113
9/2-6 S	4	4809-4814m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2867_04_4809-4814m.jpg	2867	9999-12-31	18114
9/2-6 S	5	4814-4819m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2867_05_4814-4819m.jpg	2867	9999-12-31	18115
9/2-6 S	6	4819-4824m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2867_06_4819-4824m.jpg	2867	9999-12-31	18116
9/2-6 S	7	4824-4829m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2867_07_4824-4829m.jpg	2867	9999-12-31	18117
9/2-6 S	8	4829-4834m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2867_08_4829-4834m.jpg	2867	9999-12-31	18118
9/2-6 S	9	4834-4839m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2867_09_4834-4839m.jpg	2867	9999-12-31	18119
9/2-6 S	10	4839-4844m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2867_10_4839-4844m.jpg	2867	9999-12-31	18120
9/2-6 S	11	4844-4845m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2867_11_4844-4845m.jpg	2867	9999-12-31	18121
9/2-7 S	1	3868-3873m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_01_3868-3873m.jpg	3087	9999-12-31	18122
9/2-7 S	2	3873-3878m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_02_3873-3878m.jpg	3087	9999-12-31	18123
9/2-7 S	3	3878-3883m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_03_3878-3883m.jpg	3087	9999-12-31	18124
9/2-7 S	4	3883-3888m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_04_3883-3888m.jpg	3087	9999-12-31	18125
9/2-7 S	5	3888-3892m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_05_3888-3892m.jpg	3087	9999-12-31	18126
9/2-7 S	6	3892-3897m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_06_3892-3897m.jpg	3087	9999-12-31	18127
9/2-7 S	7	3897-3902m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_07_3897-3902m.jpg	3087	9999-12-31	18128
9/2-7 S	8	3902-3907m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_08_3902-3907m.jpg	3087	9999-12-31	18129
9/2-7 S	9	3907-3912m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_09_3907-3912m.jpg	3087	9999-12-31	18130
9/2-7 S	10	3912-3917m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_10_3912-3917m.jpg	3087	9999-12-31	18131
9/2-7 S	11	3917-3922m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_11_3917-3922m.jpg	3087	9999-12-31	18132
9/2-7 S	12	3922-3923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3087_12_3922-3923m.jpg	3087	9999-12-31	18133
9/2-8 S	1	5842-5847m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_01_5842-5847m.jpg	3126	9999-12-31	18134
9/2-8 S	2	5847-5852m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_02_5847-5852m.jpg	3126	9999-12-31	18135
9/2-8 S	3	5852-5857m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_03_5852-5857m.jpg	3126	9999-12-31	18136
9/2-8 S	4	5857-5862m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_04_5857-5862m.jpg	3126	9999-12-31	18137
9/2-8 S	5	5862-5867m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_05_5862-5867m.jpg	3126	9999-12-31	18138
9/2-8 S	6	5867-5869m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_06_5867-5869m.jpg	3126	9999-12-31	18139
9/2-8 S	7	5870-5875m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_07_5870-5875m.jpg	3126	9999-12-31	18140
9/2-8 S	8	5875-5876m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_08_5875-5876m.jpg	3126	9999-12-31	18141
9/2-8 S	9	5876-5881m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_09_5876-5881m.jpg	3126	9999-12-31	18142
9/2-8 S	10	5881-5886m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_10_5881-5886m.jpg	3126	9999-12-31	18143
9/2-8 S	11	5886-5891m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_11_5886-5891m.jpg	3126	9999-12-31	18144
9/2-8 S	12	5891-5896m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_12_5891-5896m.jpg	3126	9999-12-31	18145
9/2-8 S	13	5896-5899m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_13_5896-5899m.jpg	3126	9999-12-31	18146
9/2-8 S	14	5899-5903m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_14_5899-5903m.jpg	3126	9999-12-31	18147
9/2-8 S	15	5903-5908m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_15_5903-5908m.jpg	3126	9999-12-31	18148
9/2-8 S	16	5908-5913m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_16_5908-5913m.jpg	3126	9999-12-31	18149
9/2-8 S	17	5913-5918m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_17_5913-5918m.jpg	3126	9999-12-31	18150
9/2-8 S	18	5918-5923m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_18_5918-5923m.jpg	3126	9999-12-31	18151
9/2-8 S	19	5923-5927m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3126_19_5923-5927m.jpg	3126	9999-12-31	18152
9/2-9 S	1	3995-4000m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3703_01_3995-4000m.jpg	3703	9999-12-31	18153
9/2-9 S	2	4000-4005m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3703_02_4000-4005m.jpg	3703	9999-12-31	18154
9/2-9 S	3	4005-4010m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3703_03_4005-4010m.jpg	3703	9999-12-31	18155
9/2-9 S	4	4010-4011m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/3703_04_4010-4011m.jpg	3703	9999-12-31	18156
9/2-A-4	1	4635-4640m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_01_4635-4640m.jpg	2828	9999-12-31	18157
9/2-A-4	2	4640-4645m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_02_4640-4645m.jpg	2828	9999-12-31	18158
9/2-A-4	3	4645-4647m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_03_4645-4647m.jpg	2828	9999-12-31	18159
9/2-A-4	4	4648-4653m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_04_4648-4653m.jpg	2828	9999-12-31	18160
9/2-A-4	5	4653-4658m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_05_4653-4658m.jpg	2828	9999-12-31	18161
9/2-A-4	6	4658-4663m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_06_4658-4663m.jpg	2828	9999-12-31	18162
9/2-A-4	7	4663-4668m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_07_4663-4668m.jpg	2828	9999-12-31	18163
9/2-A-4	8	4668-4673m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_08_4668-4673m.jpg	2828	9999-12-31	18164
9/2-A-4	9	4673-4676m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_09_4673-4676m.jpg	2828	9999-12-31	18165
9/2-A-4	10	4676-4681m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_10_4676-4681m.jpg	2828	9999-12-31	18166
9/2-A-4	11	4681-4686m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_11_4681-4686m.jpg	2828	9999-12-31	18167
9/2-A-4	12	4686-4691m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_12_4686-4691m.jpg	2828	9999-12-31	18168
9/2-A-4	13	4691-4696m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_13_4691-4696m.jpg	2828	9999-12-31	18169
9/2-A-4	14	4696-4701m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_14_4696-4701m.jpg	2828	9999-12-31	18170
9/2-A-4	15	4701-4704m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2828_15_4701-4704m.jpg	2828	9999-12-31	18171
9/2-A-8	1	5280-5285m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2790_01_5280-5285m.jpg	2790	9999-12-31	18172
9/2-A-8	2	5285-5290m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2790_02_5285-5290m.jpg	2790	9999-12-31	18173
9/2-A-8	3	5290-5295m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2790_03_5290-5295m.jpg	2790	9999-12-31	18174
9/2-A-8	4	5295-5300m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2790_04_5295-5300m.jpg	2790	9999-12-31	18175
9/2-A-8	5	5300-5305m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2790_05_5300-5305m.jpg	2790	9999-12-31	18176
9/2-A-8	6	5305-5310m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2790_06_5305-5310m.jpg	2790	9999-12-31	18177
9/2-A-8	7	5310-5315m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2790_07_5310-5315m.jpg	2790	9999-12-31	18178
9/2-A-8	8	5315-5320m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2790_08_5315-5320m.jpg	2790	9999-12-31	18179
9/2-A-8	9	5320-5325m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2790_09_5320-5325m.jpg	2790	9999-12-31	18180
9/2-A-8	10	5325-5326m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/2790_10_5325-5326m.jpg	2790	9999-12-31	18181
9/3-1	1	1798-1802m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/921_01_1798-1802m.jpg	921	9999-12-31	18182
9/3-1	2	1802-1805m	http://www.npd.no/engelsk/cwi/pbl/core_photo_jpgs/921_02_1802-1805m.jpg	921	9999-12-31	18183
\.



COPY wellbore_development_all (wlbwellborename, wlbwell, wlbdrillingoperator, wlbdrillingoperatorgroup, wlbproductionlicence, wlbpurposeplanned, wlbcontent, wlbwelltype, wlbentrydate, wlbcompletiondate, wlbfield, wlbdrillpermit, wlbdiscovery, wlbdiscoverywellbore, wlbkellybushelevation, wlbfinalverticaldepth, wlbtotaldepth, wlbwaterdepth, wlbmainarea, wlbdrillingfacility, wlbfacilitytypedrilling, wlbproductionfacility, wlblicensingactivity, wlbmultilateral, wlbcontentplanned, wlbentryyear, wlbcompletionyear, wlbreclassfromwellbore, wlbplotsymbol, wlbgeodeticdatum, wlbnsdeg, wlbnsmin, wlbnssec, wlbnscode, wlbewdeg, wlbewmin, wlbewsec, wlbewcode, wlbnsdecdeg, wlbewdesdeg, wlbnsutm, wlbewutm, wlbutmzone, wlbnamepart1, wlbnamepart2, wlbnamepart3, wlbnamepart4, wlbnamepart5, wlbnamepart6, wlbfactpageurl, wlbfactmapurl, wlbdiskoswellboretype, wlbdiskoswellboreparent, wlbnpdidwellbore, dscnpdiddiscovery, fldnpdidfield, wlbwdssqcdate, prlnpdidproductionlicence, fclnpdidfacilitydrilling, fclnpdidfacilityproducing, wlbnpdidwellborereclass, wlbdiskoswelloperator, wlbdateupdated, wlbdateupdatedmax, datesyncnpd) FROM stdin;
2/1-A-3	2/1-A-3	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1988-09-26	1990-09-19	GYDA	480-P	2/1-3 GYDA	NO	25.000000	\N	4751.000000	66.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	GYDA	Awarded additionaly to round 1-A	NO	WATER	1988	1990	\N	173	ED50	56	54	17.67	N	3	5	6.82	E	56.904908	3.085228	6306945.170000	505190.860000	31	2	1	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=54	http://www.npd.no/FactMapSearch?NPDID_wellbore=54	initial	\N	54	44012	43492	9999-12-31	20924	297028	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
33/9-C-16	33/9-C-16	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1986-03-23	1986-05-07	STATFJORD	349-P	33/12-1 STATFJORD	NO	78.400000	\N	2935.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1986	1986	\N	50	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	33	9	C	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=171	http://www.npd.no/FactMapSearch?NPDID_wellbore=171	initial	\N	171	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-19	33/12-B-19	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1989-12-28	1990-02-19	STATFJORD	550-P	33/12-1 STATFJORD	NO	77.800000	\N	3465.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1989	1990	\N	50	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=209	http://www.npd.no/FactMapSearch?NPDID_wellbore=209	initial	\N	209	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-2 H	34/10-A-2	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	1985-10-28	1985-11-26	GULLFAKS	333-P	34/10-1 GULLFAKS	NO	23.000000	\N	2208.500000	139.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1985	1985	\N	71	ED50	61	10	48.48	N	2	13	6.42	E	61.180133	2.218450	6783264.060000	457967.380000	31	34	10	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=419	http://www.npd.no/FactMapSearch?NPDID_wellbore=419	initial	\N	419	44594	43686	9999-12-31	21188	287983	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/4-A-10	25/4-A-10	Elf Petroleum Norge AS	ELF	036	PRODUCTION	GAS	DEVELOPMENT	1985-11-21	1986-04-06	HEIMDAL	329-P	25/4-1 HEIMDAL	NO	57.500000	\N	2345.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1985	1986	\N	90	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	25	4	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=440	http://www.npd.no/FactMapSearch?NPDID_wellbore=440	initial	\N	440	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
33/9-A-17	33/9-A-17	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	\N	DEVELOPMENT	1985-05-13	1985-07-19	STATFJORD	305-P	33/12-1 STATFJORD	NO	64.400000	\N	3548.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	71	ED50	61	15	20.75	N	1	51	15.11	E	61.255764	1.854197	6791976.560000	438526.310000	31	33	9	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=481	http://www.npd.no/FactMapSearch?NPDID_wellbore=481	initial	\N	481	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
34/10-A-12	34/10-A-12	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1987-10-26	1987-12-22	GULLFAKS	425-P	34/10-1 GULLFAKS	NO	82.200000	\N	3343.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1987	1987	\N	173	ED50	61	10	35.05	N	2	11	21.47	E	61.176403	2.189297	6782867.610000	456394.420000	31	34	10	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=520	http://www.npd.no/FactMapSearch?NPDID_wellbore=520	initial	\N	520	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
1/6-A-1	1/6-A-1	Phillips Petroleum Company Norway	PHILLIPS	011	PRODUCTION	GAS	DEVELOPMENT	1978-06-25	1979-03-08	ALBUSKJELL	113-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3640.800000	69.000000	NORTH SEA	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL A	1-A	NO	GAS	1978	1979	\N	90	ED50	56	38	33.73	N	2	56	24.23	E	56.642703	2.940064	6277755.920000	496324.010000	31	1	6	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=526	http://www.npd.no/FactMapSearch?NPDID_wellbore=526	initial	\N	526	43844	43437	9999-12-31	20844	271357	271357	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
1/6-A-3	1/6-A-3	Phillips Petroleum Company Norway	PHILLIPS	011	PRODUCTION	GAS	DEVELOPMENT	1979-07-26	1979-09-17	ALBUSKJELL	154-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3641.100000	69.000000	NORTH SEA	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL A	1-A	NO	GAS	1979	1979	\N	90	ED50	56	38	33.64	N	2	56	23.90	E	56.642678	2.939972	6277753.140000	496318.380000	31	1	6	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=527	http://www.npd.no/FactMapSearch?NPDID_wellbore=527	initial	\N	527	43844	43437	9999-12-31	20844	271357	271357	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
1/6-A-4	1/6-A-4	Phillips Petroleum Company Norway	PHILLIPS	011	PRODUCTION	GAS	DEVELOPMENT	1978-09-03	1978-11-23	ALBUSKJELL	117-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3634.400000	69.000000	NORTH SEA	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL A	1-A	NO	GAS	1978	1978	\N	90	ED50	56	38	33.64	N	2	56	23.73	E	56.642678	2.939925	6277753.150000	496315.490000	31	1	6	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=528	http://www.npd.no/FactMapSearch?NPDID_wellbore=528	initial	\N	528	43844	43437	9999-12-31	20844	271357	271357	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
1/6-A-8	1/6-A-8	Phillips Petroleum Company Norway	PHILLIPS	011	PRODUCTION	\N	DEVELOPMENT	1979-09-18	1980-01-04	ALBUSKJELL	162-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3851.100000	69.000000	NORTH SEA	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL A	1-A	NO	GAS	1979	1980	\N	71	ED50	56	38	33.70	N	2	56	23.68	E	56.642694	2.939911	6277755.000000	496314.640000	31	1	6	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=529	http://www.npd.no/FactMapSearch?NPDID_wellbore=529	initial	\N	529	43844	43437	9999-12-31	20844	271357	271357	0	PHILLIPS	2013-01-25	2013-01-25	2013-05-08
1/6-A-10	1/6-A-10	Phillips Petroleum Company Norway	PHILLIPS	011	PRODUCTION	GAS	DEVELOPMENT	1981-01-12	1981-05-26	ALBUSKJELL	198-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	4176.000000	69.000000	NORTH SEA	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL A	1-A	NO	GAS	1981	1981	\N	90	ED50	56	38	33.83	N	2	56	23.97	E	56.642731	2.939992	6277759.020000	496319.580000	31	1	6	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=530	http://www.npd.no/FactMapSearch?NPDID_wellbore=530	initial	\N	530	43844	43437	9999-12-31	20844	271357	271357	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
1/6-A-13	1/6-A-13	Phillips Petroleum Company Norway	PHILLIPS	011	PRODUCTION	GAS	DEVELOPMENT	1980-01-09	1980-04-16	ALBUSKJELL	172-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	4444.000000	69.000000	NORTH SEA	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL A	1-A	NO	GAS	1980	1980	\N	90	ED50	56	38	33.93	N	2	56	24.08	E	56.642758	2.940022	6277762.110000	496321.460000	31	1	6	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=531	http://www.npd.no/FactMapSearch?NPDID_wellbore=531	initial	\N	531	43844	43437	9999-12-31	20844	271357	271357	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
1/6-A-15	1/6-A-15	Phillips Petroleum Company Norway	PHILLIPS	011	PRODUCTION	GAS	DEVELOPMENT	1979-01-14	1979-07-05	ALBUSKJELL	138-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3596.600000	69.000000	NORTH SEA	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL A	1-A	NO	GAS	1979	1979	\N	90	ED50	56	38	33.86	N	2	56	23.75	E	56.642739	2.939931	6277759.950000	496315.830000	31	1	6	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=532	http://www.npd.no/FactMapSearch?NPDID_wellbore=532	initial	\N	532	43844	43437	9999-12-31	20844	271357	271357	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
1/6-A-16	1/6-A-16	Phillips Petroleum Company Norway	PHILLIPS	011	PRODUCTION	GAS	DEVELOPMENT	1980-06-25	1981-01-01	ALBUSKJELL	186-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	4187.000000	69.000000	NORTH SEA	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL A	1-A	NO	GAS	1980	1981	\N	90	ED50	56	38	33.83	N	2	56	23.58	E	56.642731	2.939883	6277759.020000	496312.940000	31	1	6	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=533	http://www.npd.no/FactMapSearch?NPDID_wellbore=533	initial	\N	533	43844	43437	9999-12-31	20844	271357	271357	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
1/6-A-19	1/6-A-19	Phillips Petroleum Company Norway	PHILLIPS	011	PRODUCTION	GAS	DEVELOPMENT	1978-11-23	1979-01-14	ALBUSKJELL	134-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3932.500000	69.000000	NORTH SEA	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL A	1-A	NO	GAS	1978	1979	\N	90	ED50	56	38	33.93	N	2	56	23.70	E	56.642758	2.939917	6277762.110000	496314.980000	31	1	6	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=534	http://www.npd.no/FactMapSearch?NPDID_wellbore=534	initial	\N	534	43844	43437	9999-12-31	20844	271357	271357	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
1/6-A-20	1/6-A-20	Phillips Petroleum Company Norway	PHILLIPS	011	PRODUCTION	GAS	DEVELOPMENT	1980-04-17	1980-06-27	ALBUSKJELL	181-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	4008.100000	69.000000	NORTH SEA	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL A	1-A	NO	GAS	1980	1980	\N	90	ED50	56	38	33.89	N	2	56	23.53	E	56.642747	2.939869	6277760.880000	496312.080000	31	1	6	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=535	http://www.npd.no/FactMapSearch?NPDID_wellbore=535	initial	\N	535	43844	43437	9999-12-31	20844	271357	271357	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
10/1-A-1	10/1-A-1	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-04-23	1977-05-16	FRIGG	61-P	25/1-1 FRIGG	NO	48.000000	\N	2030.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1977	1977	\N	90	ED50	59	52	31.06	N	2	3	40.37	E	59.875294	2.061214	6638050.530000	447438.280000	31	10	1	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=536	http://www.npd.no/FactMapSearch?NPDID_wellbore=536	initial	\N	536	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-2	10/1-A-2	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-02-07	1977-05-28	FRIGG	56-P	25/1-1 FRIGG	NO	48.000000	\N	2056.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1977	1977	\N	90	ED50	59	52	31.00	N	2	3	40.33	E	59.875278	2.061203	6638048.680000	447437.630000	31	10	1	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=537	http://www.npd.no/FactMapSearch?NPDID_wellbore=537	initial	\N	537	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-3	10/1-A-3	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-06-07	1977-09-08	FRIGG	67-P	25/1-1 FRIGG	NO	48.000000	\N	1922.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1977	1977	\N	90	ED50	59	52	31.05	N	2	3	40.53	E	59.875292	2.061258	6638050.190000	447440.770000	31	10	1	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=538	http://www.npd.no/FactMapSearch?NPDID_wellbore=538	initial	\N	538	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-4	10/1-A-4	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-08-07	1977-10-06	FRIGG	71-P	25/1-1 FRIGG	NO	48.000000	\N	1916.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1977	1977	\N	90	ED50	59	52	30.96	N	2	3	40.64	E	59.875267	2.061289	6638047.380000	447442.440000	31	10	1	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=539	http://www.npd.no/FactMapSearch?NPDID_wellbore=539	initial	\N	539	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-5	10/1-A-5	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-02-02	1977-05-22	FRIGG	52-P	25/1-1 FRIGG	NO	48.000000	\N	2124.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1977	1977	\N	90	ED50	59	52	30.86	N	2	3	40.40	E	59.875239	2.061222	6638044.340000	447438.660000	31	10	1	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=540	http://www.npd.no/FactMapSearch?NPDID_wellbore=540	initial	\N	540	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-6	10/1-A-6	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-08-18	1977-10-25	FRIGG	74-P	25/1-1 FRIGG	NO	48.000000	\N	1900.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1977	1977	\N	90	ED50	59	52	30.99	N	2	3	40.49	E	59.875275	2.061247	6638048.340000	447440.120000	31	10	1	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=541	http://www.npd.no/FactMapSearch?NPDID_wellbore=541	initial	\N	541	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-7	10/1-A-7	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-08-12	1977-11-26	FRIGG	72-P	25/1-1 FRIGG	NO	48.000000	\N	2025.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1977	1977	\N	90	ED50	59	52	30.90	N	2	3	40.60	E	59.875250	2.061278	6638045.530000	447441.790000	31	10	1	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=542	http://www.npd.no/FactMapSearch?NPDID_wellbore=542	initial	\N	542	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-8	10/1-A-8	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-01-24	1977-03-02	FRIGG	51-P	25/1-1 FRIGG	NO	48.000000	\N	1932.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1977	1977	\N	90	ED50	59	52	30.94	N	2	3	40.93	E	59.875261	2.061369	6638046.700000	447446.940000	31	10	1	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=543	http://www.npd.no/FactMapSearch?NPDID_wellbore=543	initial	\N	543	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-9	10/1-A-9	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-06-10	1977-12-04	FRIGG	68-P	25/1-1 FRIGG	NO	48.000000	\N	2018.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1977	1977	\N	90	ED50	59	52	30.87	N	2	3	40.75	E	59.875242	2.061319	6638044.570000	447444.110000	31	10	1	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=544	http://www.npd.no/FactMapSearch?NPDID_wellbore=544	initial	\N	544	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-10	10/1-A-10	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-05-29	1977-08-02	FRIGG	65-P	25/1-1 FRIGG	NO	48.000000	\N	2118.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1977	1977	\N	90	ED50	59	52	30.80	N	2	3	40.82	E	59.875222	2.061339	6638042.390000	447445.170000	31	10	1	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=545	http://www.npd.no/FactMapSearch?NPDID_wellbore=545	initial	\N	545	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-11	10/1-A-11	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1976-11-10	1977-04-10	FRIGG	57-P	25/1-1 FRIGG	NO	48.000000	\N	2170.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1976	1977	\N	90	ED50	59	52	30.81	N	2	3	40.70	E	59.875225	2.061306	6638042.720000	447443.300000	31	10	1	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=546	http://www.npd.no/FactMapSearch?NPDID_wellbore=546	initial	\N	546	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-12	10/1-A-12	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1977-06-03	1977-12-04	FRIGG	66-P	25/1-1 FRIGG	NO	48.000000	\N	1950.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1977	1977	\N	71	ED50	59	52	30.85	N	2	3	40.87	E	59.875236	2.061353	6638043.920000	447445.970000	31	10	1	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=547	http://www.npd.no/FactMapSearch?NPDID_wellbore=547	initial	\N	547	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-13	10/1-A-13	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-04-05	1978-08-06	FRIGG	99-P	25/1-1 FRIGG	NO	48.000000	\N	2130.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.63	N	2	3	41.71	E	59.875175	2.061586	6638036.930000	447458.930000	31	10	1	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=548	http://www.npd.no/FactMapSearch?NPDID_wellbore=548	initial	\N	548	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-14	10/1-A-14	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-03-31	1978-07-28	FRIGG	98-P	25/1-1 FRIGG	NO	48.000000	\N	2190.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.60	N	2	3	41.83	E	59.875167	2.061619	6638035.980000	447460.790000	31	10	1	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=549	http://www.npd.no/FactMapSearch?NPDID_wellbore=549	initial	\N	549	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-15	10/1-A-15	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-01-04	1978-06-23	FRIGG	100-P	25/1-1 FRIGG	NO	48.000000	\N	1995.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.70	N	2	3	41.76	E	59.875194	2.061600	6638039.090000	447459.740000	31	10	1	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=550	http://www.npd.no/FactMapSearch?NPDID_wellbore=550	initial	\N	550	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-16	10/1-A-16	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-03-24	1978-06-08	FRIGG	96-P	25/1-1 FRIGG	NO	48.000000	\N	2050.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.65	N	2	3	42.03	E	59.875181	2.061675	6638037.480000	447463.920000	31	10	1	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=551	http://www.npd.no/FactMapSearch?NPDID_wellbore=551	initial	\N	551	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-17	10/1-A-17	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-04-15	1978-05-27	FRIGG	101-P	25/1-1 FRIGG	NO	48.000000	\N	2005.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.80	N	2	3	41.83	E	59.875222	2.061619	6638042.170000	447460.870000	31	10	1	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=552	http://www.npd.no/FactMapSearch?NPDID_wellbore=552	initial	\N	552	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-18	10/1-A-18	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-03-28	1978-09-03	FRIGG	97-P	25/1-1 FRIGG	NO	48.000000	\N	1995.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.68	N	2	3	41.88	E	59.875189	2.061633	6638038.440000	447461.600000	31	10	1	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=553	http://www.npd.no/FactMapSearch?NPDID_wellbore=553	initial	\N	553	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-19	10/1-A-19	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-03-19	1978-06-02	FRIGG	95-P	25/1-1 FRIGG	NO	48.000000	\N	1900.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.71	N	2	3	42.08	E	59.875197	2.061689	6638039.330000	447464.720000	31	10	1	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=554	http://www.npd.no/FactMapSearch?NPDID_wellbore=554	initial	\N	554	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-1	2/4-A-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1978-09-18	1979-02-06	EKOFISK	119-P	2/4-2 EKOFISK	NO	33.000000	\N	4553.100000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1978	1979	\N	71	ED50	56	31	15.15	N	3	13	23.04	E	56.520875	3.223067	6264215.670000	513725.150000	31	2	4	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=555	http://www.npd.no/FactMapSearch?NPDID_wellbore=555	initial	\N	555	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2013-01-25	2013-01-25	2013-05-08
10/1-A-20	10/1-A-20	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-07-03	1978-11-11	FRIGG	92-P	25/1-1 FRIGG	NO	48.000000	\N	2130.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.55	N	2	3	42.13	E	59.875153	2.061703	6638034.370000	447465.430000	31	10	1	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=556	http://www.npd.no/FactMapSearch?NPDID_wellbore=556	initial	\N	556	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-2	2/4-A-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-01-08	1975-02-23	EKOFISK	21-P	2/4-2 EKOFISK	NO	33.000000	\N	3636.300000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1975	1975	\N	50	ED50	56	31	15.10	N	3	13	22.87	E	56.520861	3.223019	6264214.110000	513722.250000	31	2	4	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=557	http://www.npd.no/FactMapSearch?NPDID_wellbore=557	initial	\N	557	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
10/1-A-21	10/1-A-21	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-01-04	1978-10-02	FRIGG	93-P	25/1-1 FRIGG	NO	48.000000	\N	1970.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.68	N	2	3	42.22	E	59.875189	2.061728	6638038.370000	447466.890000	31	10	1	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=558	http://www.npd.no/FactMapSearch?NPDID_wellbore=558	initial	\N	558	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-3	2/4-A-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-03-28	1975-07-14	EKOFISK	28-P	2/4-2 EKOFISK	NO	33.000000	\N	4158.400000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1975	1975	\N	50	ED50	56	31	15.06	N	3	13	22.72	E	56.520850	3.222978	6264212.870000	513719.690000	31	2	4	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=559	http://www.npd.no/FactMapSearch?NPDID_wellbore=559	initial	\N	559	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
10/1-A-22	10/1-A-22	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-01-22	1978-12-01	FRIGG	90-P	25/1-1 FRIGG	NO	48.000000	\N	2060.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.66	N	2	3	42.38	E	59.875183	2.061772	6638037.710000	447469.370000	31	10	1	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=560	http://www.npd.no/FactMapSearch?NPDID_wellbore=560	initial	\N	560	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-4	2/4-A-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-11-08	1980-01-22	EKOFISK	166-P	2/4-2 EKOFISK	NO	33.000000	\N	4082.200000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1979	1980	\N	50	ED50	56	31	15.00	N	3	13	22.59	E	56.520833	3.222942	6264211.000000	513717.470000	31	2	4	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=561	http://www.npd.no/FactMapSearch?NPDID_wellbore=561	initial	\N	561	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
10/1-A-23	10/1-A-23	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-01-23	1978-11-05	FRIGG	91-P	25/1-1 FRIGG	NO	48.000000	\N	1990.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.59	N	2	3	42.33	E	59.875164	2.061758	6638035.560000	447468.560000	31	10	1	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=562	http://www.npd.no/FactMapSearch?NPDID_wellbore=562	initial	\N	562	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
10/1-A-24	10/1-A-24	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-01-20	1978-10-10	FRIGG	94-P	25/1-1 FRIGG	NO	48.000000	\N	2060.000000	96.000000	NORTH SEA	10/1-CDP1	CONCRETE STRUCTURE	\N	2-A	NO	GAS	1978	1978	\N	90	ED50	59	52	30.74	N	2	3	42.27	E	59.875206	2.061742	6638040.210000	447467.690000	31	10	1	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=563	http://www.npd.no/FactMapSearch?NPDID_wellbore=563	initial	\N	563	44204	43555	9999-12-31	20964	271861	\N	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-1	25/1-A-1	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-09-18	1979-06-22	FRIGG	121-P	25/1-1 FRIGG	NO	43.000000	\N	1970.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	90	ED50	59	53	9.39	N	2	4	20.65	E	59.885942	2.072403	6639227.410000	448081.320000	31	25	1	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=564	http://www.npd.no/FactMapSearch?NPDID_wellbore=564	initial	\N	564	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-2	25/1-A-2	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-09-22	1979-04-23	FRIGG	123-P	25/1-1 FRIGG	NO	43.000000	\N	2140.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	90	ED50	59	53	9.44	N	2	4	20.60	E	59.885956	2.072389	6639228.970000	448080.560000	31	25	1	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=565	http://www.npd.no/FactMapSearch?NPDID_wellbore=565	initial	\N	565	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-3	25/1-A-3	Elf Petroleum Norge AS	ELF	024	PRODUCTION	WATER	DEVELOPMENT	1978-09-13	1979-04-01	FRIGG	120-P	25/1-1 FRIGG	NO	43.000000	\N	2195.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	WATER	1978	1979	\N	172	ED50	59	53	9.44	N	2	4	20.60	E	59.885956	2.072389	6639228.970000	448080.560000	31	25	1	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=566	http://www.npd.no/FactMapSearch?NPDID_wellbore=566	initial	\N	566	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-4	25/1-A-4	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1978-09-28	1979-02-24	FRIGG	124-P	25/1-1 FRIGG	NO	43.000000	\N	2100.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	71	ED50	59	53	9.33	N	2	4	20.71	E	59.885925	2.072419	6639225.540000	448082.220000	31	25	1	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=567	http://www.npd.no/FactMapSearch?NPDID_wellbore=567	initial	\N	567	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-5	25/1-A-5	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1978-10-12	1979-04-16	FRIGG	129-P	25/1-1 FRIGG	NO	43.000000	\N	2030.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	71	ED50	59	53	9.48	N	2	4	20.74	E	59.885967	2.072428	6639230.180000	448082.750000	31	25	1	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=568	http://www.npd.no/FactMapSearch?NPDID_wellbore=568	initial	\N	568	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-6	25/1-A-6	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-09-08	1979-02-10	FRIGG	118-P	25/1-1 FRIGG	NO	43.000000	\N	2100.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	90	ED50	59	53	9.54	N	2	4	20.68	E	59.885983	2.072411	6639232.050000	448081.850000	31	25	1	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=569	http://www.npd.no/FactMapSearch?NPDID_wellbore=569	initial	\N	569	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-7	25/1-A-7	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-10-08	1979-05-25	FRIGG	126-P	25/1-1 FRIGG	NO	43.000000	\N	2034.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	90	ED50	59	53	6.56	N	2	3	46.05	E	59.885156	2.062792	6639147.440000	447542.160000	31	25	1	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=570	http://www.npd.no/FactMapSearch?NPDID_wellbore=570	initial	\N	570	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-8	25/1-A-8	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-10-30	1979-05-20	FRIGG	132-P	25/1-1 FRIGG	NO	43.000000	\N	2030.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	90	ED50	59	53	9.37	N	2	4	20.86	E	59.885936	2.072461	6639226.750000	448084.570000	31	25	1	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=571	http://www.npd.no/FactMapSearch?NPDID_wellbore=571	initial	\N	571	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-9	25/1-A-9	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-09-01	1980-03-18	FRIGG	116-P	25/1-1 FRIGG	NO	43.000000	\N	1910.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1980	\N	90	ED50	59	53	9.58	N	2	4	20.82	E	59.885994	2.072450	6639233.250000	448084.040000	31	25	1	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=572	http://www.npd.no/FactMapSearch?NPDID_wellbore=572	initial	\N	572	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-10	25/1-A-10	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-10-21	1979-03-13	FRIGG	130-P	25/1-1 FRIGG	NO	43.000000	\N	2020.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	90	ED50	59	53	9.52	N	2	4	20.88	E	59.885978	2.072467	6639231.390000	448084.950000	31	25	1	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=573	http://www.npd.no/FactMapSearch?NPDID_wellbore=573	initial	\N	573	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-11	25/1-A-11	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-10-02	1979-01-01	FRIGG	125-P	25/1-1 FRIGG	NO	43.000000	\N	1900.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	90	ED50	59	53	9.46	N	2	4	20.94	E	59.885961	2.072483	6639229.520000	448085.850000	31	25	1	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=574	http://www.npd.no/FactMapSearch?NPDID_wellbore=574	initial	\N	574	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-12	25/1-A-12	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-10-24	1979-06-29	FRIGG	131-P	25/1-1 FRIGG	NO	43.000000	\N	1960.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	90	ED50	59	53	9.40	N	2	4	21.46	E	59.885944	2.072628	6639227.550000	448093.910000	31	25	1	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=575	http://www.npd.no/FactMapSearch?NPDID_wellbore=575	initial	\N	575	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-5	2/4-A-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-10-26	1974-12-02	EKOFISK	17-P	2/4-2 EKOFISK	NO	33.000000	\N	3730.800000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1974	1974	\N	50	ED50	56	31	14.96	N	3	13	22.41	E	56.520822	3.222892	6264209.760000	513714.400000	31	2	4	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=576	http://www.npd.no/FactMapSearch?NPDID_wellbore=576	initial	\N	576	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-6	2/4-A-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1984-01-18	1984-06-01	EKOFISK	265-P	2/4-2 EKOFISK	NO	33.000000	\N	3681.100000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1984	1984	\N	50	ED50	56	31	15.24	N	3	13	22.98	E	56.520900	3.223050	6264218.450000	513724.120000	31	2	4	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=577	http://www.npd.no/FactMapSearch?NPDID_wellbore=577	initial	\N	577	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-A-13	25/1-A-13	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1978-01-06	1979-07-31	FRIGG	86-P	25/1-1 FRIGG	NO	43.000000	\N	2020.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	71	ED50	59	53	9.52	N	2	4	21.46	E	59.885978	2.072628	6639231.260000	448093.960000	31	25	1	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=578	http://www.npd.no/FactMapSearch?NPDID_wellbore=578	initial	\N	578	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-7	2/4-A-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-04-25	1974-06-12	EKOFISK	5-P	2/4-2 EKOFISK	NO	33.000000	\N	3457.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1974	1974	\N	50	ED50	56	31	15.20	N	3	13	22.80	E	56.520889	3.223000	6264217.200000	513721.040000	31	2	4	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=579	http://www.npd.no/FactMapSearch?NPDID_wellbore=579	initial	\N	579	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-A-14	25/1-A-14	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1977-12-28	1978-07-12	FRIGG	84-P	25/1-1 FRIGG	NO	43.000000	\N	1945.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1977	1978	\N	71	ED50	59	53	0.90	N	2	4	14.43	E	59.883583	2.070675	6638966.140000	447980.930000	31	25	1	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=580	http://www.npd.no/FactMapSearch?NPDID_wellbore=580	initial	\N	580	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-8	2/4-A-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-06-12	1974-08-02	EKOFISK	7-P	2/4-2 EKOFISK	NO	33.000000	\N	3328.400000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1974	1974	\N	50	ED50	56	31	15.15	N	3	13	22.66	E	56.520875	3.222961	6264215.650000	513718.660000	31	2	4	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=581	http://www.npd.no/FactMapSearch?NPDID_wellbore=581	initial	\N	581	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-A-15	25/1-A-15	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-01-11	1979-08-06	FRIGG	87-P	25/1-1 FRIGG	NO	43.000000	\N	1955.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1979	\N	90	ED50	59	53	9.64	N	2	4	21.34	E	59.886011	2.072594	6639235.000000	448092.150000	31	25	1	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=582	http://www.npd.no/FactMapSearch?NPDID_wellbore=582	initial	\N	582	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-9	2/4-A-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-08-03	1974-09-07	EKOFISK	10-P	2/4-2 EKOFISK	NO	33.000000	\N	3438.400000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1974	1974	\N	50	ED50	56	31	15.10	N	3	13	22.51	E	56.520861	3.222919	6264214.090000	513716.100000	31	2	4	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=583	http://www.npd.no/FactMapSearch?NPDID_wellbore=583	initial	\N	583	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-A-16	25/1-A-16	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1978-01-01	1978-08-01	FRIGG	85-P	25/1-1 FRIGG	NO	43.000000	\N	1950.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1978	\N	90	ED50	59	53	9.69	N	2	4	21.28	E	59.886025	2.072578	6639236.560000	448091.240000	31	25	1	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=584	http://www.npd.no/FactMapSearch?NPDID_wellbore=584	initial	\N	584	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-10	2/4-A-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-07-27	1979-11-08	EKOFISK	155-P	2/4-2 EKOFISK	NO	33.000000	\N	3589.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1979	1979	\N	50	ED50	56	31	15.06	N	3	13	22.33	E	56.520850	3.222869	6264212.840000	513713.020000	31	2	4	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=585	http://www.npd.no/FactMapSearch?NPDID_wellbore=585	initial	\N	585	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-A-17	25/1-A-17	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-12-28	1978-07-17	FRIGG	83-P	25/1-1 FRIGG	NO	43.000000	\N	2025.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1977	1978	\N	90	ED50	59	53	9.56	N	2	4	21.60	E	59.885989	2.072667	6639232.470000	448096.160000	31	25	1	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=586	http://www.npd.no/FactMapSearch?NPDID_wellbore=586	initial	\N	586	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-11	2/4-A-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-07-15	1975-08-20	EKOFISK	37-P	2/4-2 EKOFISK	NO	33.000000	\N	3630.500000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1975	1975	\N	50	ED50	56	31	15.32	N	3	13	22.90	E	56.520922	3.223028	6264220.920000	513722.740000	31	2	4	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=587	http://www.npd.no/FactMapSearch?NPDID_wellbore=587	initial	\N	587	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-12	2/4-A-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-09-22	1986-08-31	EKOFISK	42-P	2/4-2 EKOFISK	NO	33.000000	\N	4038.300000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1975	1986	\N	50	ED50	56	31	15.28	N	3	13	22.72	E	56.520911	3.222978	6264219.670000	513719.670000	31	2	4	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=588	http://www.npd.no/FactMapSearch?NPDID_wellbore=588	initial	\N	588	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-A-18	25/1-A-18	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1977-12-12	1978-08-21	FRIGG	81-P	25/1-1 FRIGG	NO	43.000000	\N	1970.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1977	1978	\N	71	ED50	59	53	9.62	N	2	4	21.54	E	59.886006	2.072650	6639234.340000	448095.250000	31	25	1	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=589	http://www.npd.no/FactMapSearch?NPDID_wellbore=589	initial	\N	589	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-13	2/4-A-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1973-11-13	1974-04-24	EKOFISK	1-P	2/4-2 EKOFISK	NO	33.000000	\N	3444.500000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1973	1974	\N	50	ED50	56	31	15.24	N	3	13	22.55	E	56.520900	3.222931	6264218.420000	513716.770000	31	2	4	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=590	http://www.npd.no/FactMapSearch?NPDID_wellbore=590	initial	\N	590	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-A-19	25/1-A-19	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-12-17	1978-05-03	FRIGG	82-P	25/1-1 FRIGG	NO	43.000000	\N	1955.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1977	1978	\N	90	ED50	59	53	9.73	N	2	4	21.42	E	59.886036	2.072617	6639237.760000	448093.430000	31	25	1	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=591	http://www.npd.no/FactMapSearch?NPDID_wellbore=591	initial	\N	591	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-14	2/4-A-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-08-17	1975-09-22	EKOFISK	40-P	2/4-2 EKOFISK	NO	33.000000	\N	3797.500000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1975	1975	\N	50	ED50	56	31	15.20	N	3	13	22.40	E	56.520889	3.222889	6264217.180000	513714.210000	31	2	4	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=592	http://www.npd.no/FactMapSearch?NPDID_wellbore=592	initial	\N	592	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-A-20	25/1-A-20	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1978-01-16	1978-05-02	FRIGG	88-P	25/1-1 FRIGG	NO	43.000000	\N	1920.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1978	1978	\N	71	ED50	59	53	9.67	N	2	4	21.48	E	59.886019	2.072633	6639235.890000	448094.340000	31	25	1	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=593	http://www.npd.no/FactMapSearch?NPDID_wellbore=593	initial	\N	593	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-21	25/1-A-21	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1977-11-15	1978-07-10	FRIGG	77-P	25/1-1 FRIGG	NO	43.000000	\N	2048.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1977	1978	\N	71	ED50	59	53	9.59	N	2	4	21.74	E	59.885997	2.072706	6639233.360000	448098.350000	31	25	1	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=594	http://www.npd.no/FactMapSearch?NPDID_wellbore=594	initial	\N	594	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-A-15	2/4-A-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-09-10	1974-10-26	EKOFISK	12-P	2/4-2 EKOFISK	NO	33.000000	\N	3853.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1974	1974	\N	50	ED50	56	31	15.17	N	3	13	22.26	E	56.520881	3.222850	6264216.240000	513711.820000	31	2	4	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=595	http://www.npd.no/FactMapSearch?NPDID_wellbore=595	initial	\N	595	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-A-22	25/1-A-22	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1977-11-24	1978-09-01	FRIGG	78-P	25/1-1 FRIGG	NO	43.000000	\N	2930.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1977	1978	\N	71	ED50	59	53	9.77	N	2	4	21.53	E	59.886047	2.072647	6639238.980000	448095.160000	31	25	1	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=596	http://www.npd.no/FactMapSearch?NPDID_wellbore=596	initial	\N	596	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-23	25/1-A-23	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1977-11-10	1978-08-29	FRIGG	76-P	25/1-1 FRIGG	NO	43.000000	\N	2050.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1977	1978	\N	71	ED50	59	53	9.71	N	2	4	21.63	E	59.886031	2.072675	6639237.100000	448096.690000	31	25	1	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=597	http://www.npd.no/FactMapSearch?NPDID_wellbore=597	initial	\N	597	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-24	25/1-A-24	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1977-12-01	1979-07-09	FRIGG	80-P	25/1-1 FRIGG	NO	43.000000	\N	2025.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1977	1979	\N	90	ED50	59	53	9.65	N	2	4	21.68	E	59.886014	2.072689	6639235.230000	448097.440000	31	25	1	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=598	http://www.npd.no/FactMapSearch?NPDID_wellbore=598	initial	\N	598	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-B-1	2/4-B-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-05-20	1975-07-12	EKOFISK	31-P	2/4-2 EKOFISK	NO	33.000000	\N	3629.300000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1975	1975	\N	50	ED50	56	33	54.86	N	3	12	14.26	E	56.565239	3.203961	6269150.220000	512534.930000	31	2	4	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=599	http://www.npd.no/FactMapSearch?NPDID_wellbore=599	initial	\N	599	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-2	2/4-B-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-03-17	1975-05-20	EKOFISK	25-P	2/4-2 EKOFISK	NO	33.000000	\N	4698.200000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1975	1975	\N	50	ED50	56	33	54.83	N	3	12	14.08	E	56.565231	3.203911	6269149.280000	512531.860000	31	2	4	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=600	http://www.npd.no/FactMapSearch?NPDID_wellbore=600	initial	\N	600	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-3	2/4-B-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-06-28	1974-09-17	EKOFISK	8-P	2/4-2 EKOFISK	NO	33.000000	\N	4161.700000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1974	1974	\N	50	ED50	56	33	54.79	N	3	12	13.90	E	56.565219	3.203861	6269148.030000	512528.790000	31	2	4	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=601	http://www.npd.no/FactMapSearch?NPDID_wellbore=601	initial	\N	601	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-5	2/4-B-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-05-31	1975-07-18	EKOFISK	32-P	2/4-2 EKOFISK	NO	33.000000	\N	3681.400000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1975	1975	\N	50	ED50	56	33	54.68	N	3	12	13.57	E	56.565189	3.203769	6269144.620000	512523.170000	31	2	4	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=602	http://www.npd.no/FactMapSearch?NPDID_wellbore=602	initial	\N	602	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-6	2/4-B-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-03-22	1975-05-31	EKOFISK	27-P	2/4-2 EKOFISK	NO	33.000000	\N	4056.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1975	1975	\N	50	ED50	56	33	54.65	N	3	12	13.43	E	56.565181	3.203731	6269143.680000	512520.780000	31	2	4	B	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=603	http://www.npd.no/FactMapSearch?NPDID_wellbore=603	initial	\N	603	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-B-1 H	25/1-B-1	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1982-01-17	1982-02-17	NORDØST FRIGG	214-P	25/1-4 NORDØST FRIGG	NO	25.000000	\N	1982.000000	103.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	NORDØST FRIGG	2-A	NO	GAS	1982	1982	\N	71	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	25	1	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=604	http://www.npd.no/FactMapSearch?NPDID_wellbore=604	initial	\N	604	44228	43568	9999-12-31	20964	341331	271721	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-B-2 H	25/1-B-2	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1982-05-21	1983-06-30	NORDØST FRIGG	221-P	25/1-4 NORDØST FRIGG	NO	25.000000	\N	1982.000000	103.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	NORDØST FRIGG	2-A	NO	GAS	1982	1983	\N	71	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	25	1	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=605	http://www.npd.no/FactMapSearch?NPDID_wellbore=605	initial	\N	605	44228	43568	9999-12-31	20964	341331	271721	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-B-7	2/4-B-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-02-28	1974-06-10	EKOFISK	4-P	2/4-2 EKOFISK	NO	33.000000	\N	3928.600000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1974	1974	\N	50	ED50	56	33	54.66	N	3	12	13.27	E	56.565183	3.203686	6269143.980000	512518.050000	31	2	4	B	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=606	http://www.npd.no/FactMapSearch?NPDID_wellbore=606	initial	\N	606	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2013-03-08	2013-03-08	2013-05-08
25/1-B-3 H	25/1-B-3	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1982-07-26	1983-04-24	NORDØST FRIGG	225-P	25/1-4 NORDØST FRIGG	NO	25.000000	\N	2041.000000	103.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	NORDØST FRIGG	2-A	NO	GAS	1982	1983	\N	71	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	25	1	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=607	http://www.npd.no/FactMapSearch?NPDID_wellbore=607	initial	\N	607	44228	43568	9999-12-31	20964	341331	271721	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-B-8	2/4-B-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-06-03	1979-08-28	EKOFISK	149-P	2/4-2 EKOFISK	NO	33.000000	\N	3354.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1979	1979	\N	50	ED50	56	33	54.61	N	3	12	13.10	E	56.565169	3.203639	6269142.430000	512515.150000	31	2	4	B	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=608	http://www.npd.no/FactMapSearch?NPDID_wellbore=608	initial	\N	608	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-B-4 H	25/1-B-4	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1981-12-23	1982-03-20	NORDØST FRIGG	213-P	25/1-4 NORDØST FRIGG	NO	25.000000	\N	1960.000000	103.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	NORDØST FRIGG	2-A	NO	GAS	1981	1982	\N	71	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	25	1	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=609	http://www.npd.no/FactMapSearch?NPDID_wellbore=609	initial	\N	609	44228	43568	9999-12-31	20964	341331	271721	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-B-5 H	25/1-B-5	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1982-08-04	1983-05-30	NORDØST FRIGG	227-P	25/1-4 NORDØST FRIGG	NO	25.000000	\N	2000.000000	103.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	NORDØST FRIGG	2-A	NO	GAS	1982	1983	\N	71	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	25	1	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=610	http://www.npd.no/FactMapSearch?NPDID_wellbore=610	initial	\N	610	44228	43568	9999-12-31	20964	341331	271721	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-B-9	2/4-B-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1975-07-12	1975-08-20	EKOFISK	35-P	2/4-2 EKOFISK	NO	33.000000	\N	4487.000000	73.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1975	1975	\N	71	ED50	56	33	54.97	N	3	12	14.20	E	56.565269	3.203944	6269153.620000	512533.900000	31	2	4	B	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=611	http://www.npd.no/FactMapSearch?NPDID_wellbore=611	initial	\N	611	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-B-6 H	25/1-B-6	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1982-03-20	1982-05-21	NORDØST FRIGG	217-P	25/1-4 NORDØST FRIGG	NO	25.000000	\N	2026.000000	103.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	NORDØST FRIGG	2-A	NO	GAS	1982	1982	\N	71	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	25	1	B	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=612	http://www.npd.no/FactMapSearch?NPDID_wellbore=612	initial	\N	612	44228	43568	9999-12-31	20964	341331	271721	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-B-9 A	2/4-B-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1984-04-15	1984-06-19	EKOFISK	271-P	2/4-2 EKOFISK	NO	33.000000	\N	4356.800000	72.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1984	1984	\N	71	ED50	56	33	54.97	N	3	12	14.20	E	56.565269	3.203944	6269153.620000	512533.900000	31	2	4	B	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=613	http://www.npd.no/FactMapSearch?NPDID_wellbore=613	sidetrack	2/4-B-9	613	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-B-7 H	25/1-B-7	Elf Petroleum Norge AS	ELF	024	PRODUCTION	\N	DEVELOPMENT	1982-09-26	1983-05-10	NORDØST FRIGG	228-P	25/1-4 NORDØST FRIGG	NO	25.000000	\N	1985.000000	103.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	NORDØST FRIGG	2-A	NO	GAS	1982	1983	\N	71	ED50	59	59	7.26	N	2	14	51.72	E	59.985350	2.247700	6650173.760000	458018.400000	31	25	1	B	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=614	http://www.npd.no/FactMapSearch?NPDID_wellbore=614	initial	\N	614	44228	43568	9999-12-31	20964	341331	271721	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-B-10	2/4-B-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-10-24	1975-02-03	EKOFISK	15-P	2/4-2 EKOFISK	NO	33.000000	\N	4273.300000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1974	1975	\N	50	ED50	56	33	54.90	N	3	12	14.04	E	56.565250	3.203900	6269151.440000	512531.170000	31	2	4	B	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=615	http://www.npd.no/FactMapSearch?NPDID_wellbore=615	initial	\N	615	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-12	2/4-B-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1983-06-20	1983-10-25	EKOFISK	248-P	2/4-2 EKOFISK	NO	33.000000	\N	3789.600000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1983	1983	\N	50	ED50	56	33	54.86	N	3	12	13.70	E	56.565239	3.203806	6269150.190000	512525.370000	31	2	4	B	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=616	http://www.npd.no/FactMapSearch?NPDID_wellbore=616	initial	\N	616	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-14	2/4-B-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-01-05	1975-02-03	EKOFISK	20-P	2/4-2 EKOFISK	NO	33.000000	\N	3407.400000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1975	1975	\N	50	ED50	56	33	54.76	N	3	12	13.39	E	56.565211	3.203719	6269147.080000	512520.090000	31	2	4	B	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=617	http://www.npd.no/FactMapSearch?NPDID_wellbore=617	initial	\N	617	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-15	2/4-B-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1974-06-12	1974-10-15	EKOFISK	6-P	2/4-2 EKOFISK	NO	33.000000	\N	4213.900000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1974	1974	\N	71	ED50	56	33	54.72	N	3	12	13.21	E	56.565200	3.203669	6269145.840000	512517.020000	31	2	4	B	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=618	http://www.npd.no/FactMapSearch?NPDID_wellbore=618	initial	\N	618	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-1	2/8-A-1	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1981-12-21	1982-07-30	VALHALL	212-P	2/8-6 VALHALL	NO	44.000000	\N	2675.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1981	1982	\N	50	ED50	56	16	41.07	N	3	23	43.94	E	56.278075	3.395539	6237237.870000	524492.600000	31	2	8	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=619	http://www.npd.no/FactMapSearch?NPDID_wellbore=619	initial	\N	619	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-B-16	2/4-B-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1980-06-10	1986-07-22	EKOFISK	184-P	2/4-2 EKOFISK	NO	33.000000	\N	3308.900000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1980	1986	\N	50	ED50	56	33	54.68	N	3	12	13.04	E	56.565189	3.203622	6269144.590000	512514.120000	31	2	4	B	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=620	http://www.npd.no/FactMapSearch?NPDID_wellbore=620	initial	\N	620	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-2	2/8-A-2	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1982-04-03	1982-10-13	VALHALL	216-P	2/8-6 VALHALL	NO	44.000000	\N	3480.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1982	1982	\N	50	ED50	56	16	40.89	N	3	23	44.00	E	56.278025	3.395556	6237232.310000	524493.670000	31	2	8	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=621	http://www.npd.no/FactMapSearch?NPDID_wellbore=621	initial	\N	621	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-B-17	2/4-B-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-01-19	1974-06-26	EKOFISK	3-P	2/4-2 EKOFISK	NO	33.000000	\N	3997.100000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1974	1974	\N	50	ED50	56	33	55.04	N	3	12	14.08	E	56.565289	3.203911	6269155.770000	512531.840000	31	2	4	B	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=622	http://www.npd.no/FactMapSearch?NPDID_wellbore=622	initial	\N	622	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-3	2/8-A-3	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1982-10-15	1982-12-14	VALHALL	233-P	2/8-6 VALHALL	NO	44.000000	\N	2950.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1982	1982	\N	50	ED50	56	16	41.08	N	3	23	44.30	E	56.278078	3.395639	6237238.210000	524498.800000	31	2	8	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=623	http://www.npd.no/FactMapSearch?NPDID_wellbore=623	initial	\N	623	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-B-18	2/4-B-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-09-20	1974-10-24	EKOFISK	13-P	2/4-2 EKOFISK	NO	33.000000	\N	3485.400000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1974	1974	\N	50	ED50	56	33	55.02	N	3	12	13.97	E	56.565283	3.203881	6269155.150000	512529.970000	31	2	4	B	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=624	http://www.npd.no/FactMapSearch?NPDID_wellbore=624	initial	\N	624	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-19	2/4-B-19	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-12-16	1976-04-16	EKOFISK	43-P	2/4-2 EKOFISK	NO	33.000000	\N	3349.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1975	1976	2/4-19 B	50	ED50	56	33	54.98	N	3	12	13.80	E	56.565272	3.203833	6269153.900000	512527.070000	31	2	4	B	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=625	http://www.npd.no/FactMapSearch?NPDID_wellbore=625	initial	\N	625	44072	43506	9999-12-31	20900	271413	271413	257	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-4	2/8-A-4	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1982-12-17	1984-07-12	VALHALL	235-P	2/8-6 VALHALL	NO	44.000000	\N	2815.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1982	1984	\N	50	ED50	56	16	41.05	N	3	23	43.42	E	56.278069	3.395394	6237237.200000	524483.660000	31	2	8	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=626	http://www.npd.no/FactMapSearch?NPDID_wellbore=626	initial	\N	626	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-B-20	2/4-B-20	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1980-01-07	1980-06-06	EKOFISK	171-P	2/4-2 EKOFISK	NO	33.000000	\N	4087.400000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1980	1980	\N	50	ED50	56	33	54.95	N	3	12	13.64	E	56.565264	3.203789	6269152.970000	512524.340000	31	2	4	B	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=627	http://www.npd.no/FactMapSearch?NPDID_wellbore=627	initial	\N	627	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-5	2/8-A-5	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1983-04-03	1983-10-04	VALHALL	243-P	2/8-6 VALHALL	NO	44.000000	\N	2940.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1983	1983	\N	50	ED50	56	16	41.05	N	3	23	43.68	E	56.278069	3.395467	6237237.220000	524488.140000	31	2	8	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=628	http://www.npd.no/FactMapSearch?NPDID_wellbore=628	initial	\N	628	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-B-21	2/4-B-21	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-07-21	1975-09-08	EKOFISK	38-P	2/4-2 EKOFISK	NO	33.000000	\N	3722.800000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1975	1975	\N	50	ED50	56	33	54.91	N	3	12	13.47	E	56.565253	3.203742	6269151.720000	512521.440000	31	2	4	B	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=629	http://www.npd.no/FactMapSearch?NPDID_wellbore=629	initial	\N	629	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-6	2/8-A-6	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1983-07-19	1983-09-05	VALHALL	247-P	2/8-6 VALHALL	NO	44.000000	\N	2875.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1983	1983	\N	50	ED50	56	16	40.86	N	3	23	43.65	E	56.278017	3.395458	6237231.340000	524487.650000	31	2	8	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=630	http://www.npd.no/FactMapSearch?NPDID_wellbore=630	initial	\N	630	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-B-22	2/4-B-22	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-11-29	1975-01-05	EKOFISK	19-P	2/4-2 EKOFISK	NO	33.000000	\N	3425.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1974	1975	\N	50	ED50	56	33	54.86	N	3	12	13.28	E	56.565239	3.203689	6269150.170000	512518.200000	31	2	4	B	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=631	http://www.npd.no/FactMapSearch?NPDID_wellbore=631	initial	\N	631	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-7	2/8-A-7	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1983-08-24	1983-10-21	VALHALL	253-P	2/8-6 VALHALL	NO	44.000000	\N	2856.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1983	1983	\N	50	ED50	56	16	40.94	N	3	23	43.68	E	56.278039	3.395467	6237233.820000	524488.160000	31	2	8	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=632	http://www.npd.no/FactMapSearch?NPDID_wellbore=632	initial	\N	632	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-B-23	2/4-B-23	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-10-15	1974-11-29	EKOFISK	14-P	2/4-2 EKOFISK	NO	33.000000	\N	3632.600000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1974	1974	\N	50	ED50	56	33	54.83	N	3	12	13.14	E	56.565231	3.203650	6269149.230000	512515.820000	31	2	4	B	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=633	http://www.npd.no/FactMapSearch?NPDID_wellbore=633	initial	\N	633	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-8	2/8-A-8	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1983-10-15	1983-11-24	VALHALL	255-P	2/8-6 VALHALL	NO	43.500000	\N	2744.000000	69.200000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1983	1983	\N	50	ED50	56	16	41.54	N	3	23	43.82	E	56.278206	3.395506	6237252.390000	524490.460000	31	2	8	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=634	http://www.npd.no/FactMapSearch?NPDID_wellbore=634	initial	\N	634	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-9	2/8-A-9	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1983-11-20	1984-01-16	VALHALL	257-P	2/8-6 VALHALL	NO	44.000000	\N	3295.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1983	1984	\N	50	ED50	56	16	40.92	N	3	23	43.55	E	56.278033	3.395431	6237233.190000	524485.920000	31	2	8	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=635	http://www.npd.no/FactMapSearch?NPDID_wellbore=635	initial	\N	635	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-10	2/8-A-10	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1984-01-18	1984-08-31	VALHALL	260-P	2/8-6 VALHALL	NO	44.000000	\N	3991.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1984	1984	\N	50	ED50	56	16	40.87	N	3	23	43.43	E	56.278019	3.395397	6237231.630000	524483.870000	31	2	8	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=636	http://www.npd.no/FactMapSearch?NPDID_wellbore=636	initial	\N	636	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-11	2/8-A-11	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1984-03-19	1984-05-22	VALHALL	270-P	2/8-6 VALHALL	NO	43.500000	\N	3421.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1984	1984	\N	50	ED50	56	16	41.39	N	3	23	43.73	E	56.278164	3.395481	6237247.740000	524488.940000	31	2	8	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=637	http://www.npd.no/FactMapSearch?NPDID_wellbore=637	initial	\N	637	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-12	2/8-A-12	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1984-07-13	1984-09-17	VALHALL	274-P	2/8-6 VALHALL	NO	43.500000	\N	3893.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1984	1984	\N	50	ED50	56	16	41.64	N	3	23	43.83	E	56.278233	3.395508	6237255.480000	524490.610000	31	2	8	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=638	http://www.npd.no/FactMapSearch?NPDID_wellbore=638	initial	\N	638	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-B-24	2/4-B-24	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-08-28	1979-11-19	EKOFISK	157-P	2/4-2 EKOFISK	NO	33.000000	\N	3295.500000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1979	1979	\N	50	ED50	56	33	54.79	N	3	12	12.96	E	56.565219	3.203600	6269147.990000	512512.750000	31	2	4	B	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=639	http://www.npd.no/FactMapSearch?NPDID_wellbore=639	initial	\N	639	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-12 A	2/8-A-12	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1984-11-12	1984-12-06	VALHALL	290-P	2/8-6 VALHALL	NO	43.500000	\N	3373.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1984	1984	\N	50	ED50	56	16	41.64	N	3	23	43.83	E	56.278233	3.395508	6237255.480000	524490.610000	31	2	8	A	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=640	http://www.npd.no/FactMapSearch?NPDID_wellbore=640	sidetrack	2/8-A-12	640	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-13	2/8-A-13	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1984-05-23	1984-06-22	VALHALL	275-P	2/8-6 VALHALL	NO	43.500000	\N	3507.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1984	1984	\N	50	ED50	56	16	41.16	N	3	23	43.67	E	56.278100	3.395464	6237240.620000	524487.940000	31	2	8	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=641	http://www.npd.no/FactMapSearch?NPDID_wellbore=641	initial	\N	641	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-14	2/8-A-14	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1984-12-06	1985-03-02	VALHALL	283-P	2/8-6 VALHALL	NO	44.000000	\N	3393.500000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1984	1985	\N	50	ED50	56	16	40.92	N	3	23	43.33	E	56.278033	3.395369	6237233.170000	524482.140000	31	2	8	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=642	http://www.npd.no/FactMapSearch?NPDID_wellbore=642	initial	\N	642	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-15	2/8-A-15	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1985-01-09	1985-02-18	VALHALL	295-P	2/8-6 VALHALL	NO	44.000000	\N	3094.500000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1985	1985	\N	50	ED50	56	16	40.83	N	3	23	43.86	E	56.278008	3.395517	6237230.440000	524491.270000	31	2	8	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=643	http://www.npd.no/FactMapSearch?NPDID_wellbore=643	initial	\N	643	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-16	2/8-A-16	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1985-02-07	1985-03-13	VALHALL	300-P	2/8-6 VALHALL	NO	44.000000	\N	3643.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1985	1985	\N	50	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	2	8	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=644	http://www.npd.no/FactMapSearch?NPDID_wellbore=644	initial	\N	644	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-17	2/8-A-17	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1985-03-13	1985-05-19	VALHALL	302-P	2/8-6 VALHALL	NO	44.000000	\N	4065.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1985	1985	\N	50	ED50	56	16	41.10	N	3	23	43.55	E	56.278083	3.395431	6237238.760000	524485.890000	31	2	8	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=645	http://www.npd.no/FactMapSearch?NPDID_wellbore=645	initial	\N	645	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-18	2/8-A-18	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1985-05-03	1985-07-02	VALHALL	304-P	2/8-6 VALHALL	NO	44.000000	\N	4294.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1985	1985	\N	50	ED50	56	16	41.13	N	3	23	44.21	E	56.278092	3.395614	6237239.750000	524497.240000	31	2	8	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=646	http://www.npd.no/FactMapSearch?NPDID_wellbore=646	initial	\N	646	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-C-1	2/4-C-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-07-13	1975-09-15	EKOFISK	36-P	2/4-2 EKOFISK	NO	37.000000	\N	3893.800000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1975	1975	\N	50	ED50	56	32	52.84	N	3	12	55.55	E	56.548011	3.215431	6267234.720000	513245.830000	31	2	4	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=647	http://www.npd.no/FactMapSearch?NPDID_wellbore=647	initial	\N	647	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-2	2/4-C-2	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	GAS	DEVELOPMENT	1974-11-28	1975-01-10	EKOFISK	18-P	2/4-2 EKOFISK	NO	37.000000	\N	3409.800000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	GAS	1974	1975	\N	91	ED50	56	32	52.87	N	3	12	55.69	E	56.548019	3.215469	6267235.650000	513248.220000	31	2	4	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=648	http://www.npd.no/FactMapSearch?NPDID_wellbore=648	initial	\N	648	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-3	2/4-C-3	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	GAS	DEVELOPMENT	1975-01-10	1975-02-10	EKOFISK	22-P	2/4-2 EKOFISK	NO	37.000000	\N	3410.700000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	GAS	1975	1975	\N	91	ED50	56	32	52.91	N	3	12	55.84	E	56.548031	3.215511	6267236.900000	513250.780000	31	2	4	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=649	http://www.npd.no/FactMapSearch?NPDID_wellbore=649	initial	\N	649	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-5	2/4-C-5	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	GAS	DEVELOPMENT	1974-08-14	1974-10-25	EKOFISK	11-P	2/4-2 EKOFISK	NO	37.000000	\N	3548.200000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	GAS	1974	1974	\N	91	ED50	56	32	52.98	N	3	12	56.20	E	56.548050	3.215611	6267239.080000	513256.920000	31	2	4	C	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=650	http://www.npd.no/FactMapSearch?NPDID_wellbore=650	initial	\N	650	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-6	2/4-C-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-04-23	1975-06-04	EKOFISK	30-P	2/4-2 EKOFISK	NO	37.000000	\N	3661.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1975	1975	\N	50	ED50	56	32	52.76	N	3	12	55.62	E	56.547989	3.215450	6267232.250000	513247.040000	31	2	4	C	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=651	http://www.npd.no/FactMapSearch?NPDID_wellbore=651	initial	\N	651	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-8	2/4-C-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-07-08	1974-08-13	EKOFISK	9-P	2/4-2 EKOFISK	NO	37.000000	\N	3323.800000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1974	1974	\N	50	ED50	56	32	52.80	N	3	12	55.91	E	56.548000	3.215531	6267233.500000	513251.980000	31	2	4	C	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=652	http://www.npd.no/FactMapSearch?NPDID_wellbore=652	initial	\N	652	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-9	2/4-C-9	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	GAS	DEVELOPMENT	1974-10-26	1974-11-28	EKOFISK	16-P	2/4-2 EKOFISK	NO	37.000000	\N	3574.100000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	GAS	1974	1974	\N	91	ED50	56	32	52.84	N	3	12	56.09	E	56.548011	3.215581	6267234.750000	513255.050000	31	2	4	C	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=653	http://www.npd.no/FactMapSearch?NPDID_wellbore=653	initial	\N	653	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-19	2/8-A-19	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1985-07-10	1985-10-15	VALHALL	313-P	2/8-6 VALHALL	NO	44.000000	\N	4931.300000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1985	1985	\N	50	ED50	56	16	41.20	N	3	23	44.11	E	56.278111	3.395586	6237241.900000	524495.510000	31	2	8	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=654	http://www.npd.no/FactMapSearch?NPDID_wellbore=654	initial	\N	654	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-C-10	2/4-C-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-09-15	1975-12-03	EKOFISK	41-P	2/4-2 EKOFISK	NO	37.000000	\N	4191.300000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1975	1975	\N	50	ED50	56	32	52.87	N	3	12	56.27	E	56.548019	3.215631	6267235.690000	513258.130000	31	2	4	C	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=655	http://www.npd.no/FactMapSearch?NPDID_wellbore=655	initial	\N	655	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/10-A-1	30/10-A-1	Esso Exploration and Production Norway A/S	ESSO	030	PRODUCTION	\N	DEVELOPMENT	1984-05-15	1984-07-25	ODIN	277-P	30/10-2 ODIN	NO	55.000000	\N	2215.000000	103.000000	NORTH SEA	ODIN	JACKET 4 LEGS	ODIN	2-A	NO	GAS	1984	1984	\N	71	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	30	10	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=656	http://www.npd.no/FactMapSearch?NPDID_wellbore=656	initial	\N	656	44360	43610	9999-12-31	21028	271805	271805	0	ESSO	2012-07-25	2012-07-25	2013-05-08
30/10-A-2	30/10-A-2	Esso Exploration and Production Norway A/S	ESSO	030	PRODUCTION	\N	DEVELOPMENT	1984-05-11	1984-07-03	ODIN	276-P	30/10-2 ODIN	NO	55.000000	\N	2170.000000	103.000000	NORTH SEA	ODIN	JACKET 4 LEGS	ODIN	2-A	NO	GAS	1984	1984	\N	71	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	30	10	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=657	http://www.npd.no/FactMapSearch?NPDID_wellbore=657	initial	\N	657	44360	43610	9999-12-31	21028	271805	271805	0	ESSO	2012-07-25	2012-07-25	2013-05-08
30/10-A-3	30/10-A-3	Esso Exploration and Production Norway A/S	ESSO	030	PRODUCTION	\N	DEVELOPMENT	1984-04-09	1984-05-11	ODIN	272-P	30/10-2 ODIN	NO	55.000000	\N	2310.000000	103.000000	NORTH SEA	ODIN	JACKET 4 LEGS	ODIN	2-A	NO	GAS	1984	1984	\N	71	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	30	10	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=658	http://www.npd.no/FactMapSearch?NPDID_wellbore=658	initial	\N	658	44360	43610	9999-12-31	21028	271805	271805	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-C-12	2/4-C-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-03-21	1975-04-23	EKOFISK	26-P	2/4-2 EKOFISK	NO	37.000000	\N	3431.100000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1975	1975	\N	50	ED50	56	32	52.69	N	3	12	55.84	E	56.547969	3.215511	6267230.100000	513250.800000	31	2	4	C	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=659	http://www.npd.no/FactMapSearch?NPDID_wellbore=659	initial	\N	659	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/10-A-4	30/10-A-4	Esso Exploration and Production Norway A/S	ESSO	030	PRODUCTION	\N	DEVELOPMENT	1983-12-17	1984-02-23	ODIN	258-P	30/10-2 ODIN	NO	55.000000	\N	2315.000000	103.000000	NORTH SEA	ODIN	JACKET 4 LEGS	ODIN	2-A	NO	GAS	1983	1984	\N	71	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	30	10	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=660	http://www.npd.no/FactMapSearch?NPDID_wellbore=660	initial	\N	660	44360	43610	9999-12-31	21028	271805	271805	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-C-13	2/4-C-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1974-01-12	1974-07-06	EKOFISK	2-P	2/4-2 EKOFISK	NO	37.000000	\N	3771.900000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1974	1974	\N	50	ED50	56	32	52.76	N	3	12	55.98	E	56.547989	3.215550	6267232.270000	513253.180000	31	2	4	C	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=661	http://www.npd.no/FactMapSearch?NPDID_wellbore=661	initial	\N	661	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/10-A-5	30/10-A-5	Esso Exploration and Production Norway A/S	ESSO	030	PRODUCTION	\N	DEVELOPMENT	1984-07-27	1984-08-18	ODIN	281-P	30/10-2 ODIN	NO	55.000000	\N	2208.000000	103.000000	NORTH SEA	ODIN	JACKET 4 LEGS	ODIN	2-A	NO	GAS	1984	1984	\N	71	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	30	10	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=662	http://www.npd.no/FactMapSearch?NPDID_wellbore=662	initial	\N	662	44360	43610	9999-12-31	21028	271805	271805	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-C-14	2/4-C-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-02-10	1975-03-19	EKOFISK	24-P	2/4-2 EKOFISK	NO	37.000000	\N	3575.900000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1975	1975	\N	50	ED50	56	32	52.80	N	3	12	56.16	E	56.548000	3.215600	6267233.520000	513256.250000	31	2	4	C	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=663	http://www.npd.no/FactMapSearch?NPDID_wellbore=663	initial	\N	663	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/10-A-7	30/10-A-7	Esso Exploration and Production Norway A/S	ESSO	030	PRODUCTION	\N	DEVELOPMENT	1984-12-05	1984-12-28	ODIN	287-P	30/10-2 ODIN	NO	55.000000	\N	2460.000000	103.000000	NORTH SEA	ODIN	JACKET 4 LEGS	ODIN	2-A	NO	GAS	1984	1984	\N	71	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	30	10	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=664	http://www.npd.no/FactMapSearch?NPDID_wellbore=664	initial	\N	664	44360	43610	9999-12-31	21028	271805	271805	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-C-15	2/4-C-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1975-06-04	1975-07-13	EKOFISK	33-P	2/4-2 EKOFISK	NO	37.000000	\N	4037.100000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1975	1975	\N	50	ED50	56	32	52.80	N	3	12	56.30	E	56.548000	3.215639	6267233.520000	513258.650000	31	2	4	C	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=665	http://www.npd.no/FactMapSearch?NPDID_wellbore=665	initial	\N	665	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/10-A-8	30/10-A-8	Esso Exploration and Production Norway A/S	ESSO	030	PRODUCTION	\N	DEVELOPMENT	1984-12-01	1984-12-24	ODIN	285-P	30/10-2 ODIN	NO	55.000000	\N	2328.000000	103.000000	NORTH SEA	ODIN	JACKET 4 LEGS	ODIN	2-A	NO	GAS	1984	1984	\N	71	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	30	10	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=666	http://www.npd.no/FactMapSearch?NPDID_wellbore=666	initial	\N	666	44360	43610	9999-12-31	21028	271805	271805	0	ESSO	2012-07-25	2012-07-25	2013-05-08
30/10-A-9	30/10-A-9	Esso Exploration and Production Norway A/S	ESSO	030	PRODUCTION	\N	DEVELOPMENT	1984-10-25	1985-01-26	ODIN	286-P	30/10-2 ODIN	NO	55.000000	\N	2161.000000	103.000000	NORTH SEA	ODIN	JACKET 4 LEGS	ODIN	2-A	NO	GAS	1984	1985	\N	71	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	30	10	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=667	http://www.npd.no/FactMapSearch?NPDID_wellbore=667	initial	\N	667	44360	43610	9999-12-31	21028	271805	271805	0	ESSO	2012-07-25	2012-07-25	2013-05-08
30/10-A-10	30/10-A-10	Esso Exploration and Production Norway A/S	ESSO	030	PRODUCTION	\N	DEVELOPMENT	1984-08-20	1984-10-25	ODIN	282-P	30/10-2 ODIN	NO	55.000000	\N	2759.000000	103.000000	NORTH SEA	ODIN	JACKET 4 LEGS	ODIN	2-A	NO	GAS	1984	1984	\N	71	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	30	10	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=668	http://www.npd.no/FactMapSearch?NPDID_wellbore=668	initial	\N	668	44360	43610	9999-12-31	21028	271805	271805	0	ESSO	2012-07-25	2012-07-25	2013-05-08
30/10-A-11	30/10-A-11	Esso Exploration and Production Norway A/S	ESSO	030	PRODUCTION	\N	DEVELOPMENT	1984-05-15	1984-07-25	ODIN	278-P	30/10-2 ODIN	NO	55.000000	\N	2225.000000	103.000000	NORTH SEA	ODIN	JACKET 4 LEGS	ODIN	2-A	NO	GAS	1984	1984	\N	71	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	30	10	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=669	http://www.npd.no/FactMapSearch?NPDID_wellbore=669	initial	\N	669	44360	43610	9999-12-31	21028	271805	271805	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-K-4	2/4-K-4	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1984-04-29	1984-12-06	EKOFISK	273-P	2/4-2 EKOFISK	NO	57.000000	\N	3989.500000	71.000000	NORTH SEA	DYVI BETA	JACKET 4 LEGS	EKOFISK K	1-A	NO	WATER	1984	1984	\N	173	ED50	56	33	55.94	N	3	12	22.93	E	56.565539	3.206369	6269184.050000	512682.840000	31	2	4	K	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=670	http://www.npd.no/FactMapSearch?NPDID_wellbore=670	initial	\N	670	44072	43506	9999-12-31	20900	288118	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/10-A-12	30/10-A-12	Esso Exploration and Production Norway A/S	ESSO	030	PRODUCTION	\N	DEVELOPMENT	1984-02-24	1984-04-08	ODIN	266-P	30/10-2 ODIN	NO	55.000000	\N	2240.000000	103.000000	NORTH SEA	ODIN	JACKET 4 LEGS	ODIN	2-A	NO	GAS	1984	1984	\N	71	ED50	60	4	36.96	N	2	9	56.70	E	60.076933	2.165750	6660427.960000	453574.050000	31	30	10	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=671	http://www.npd.no/FactMapSearch?NPDID_wellbore=671	initial	\N	671	44360	43610	9999-12-31	21028	271805	271805	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-K-13	2/4-K-13	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1984-12-05	1988-03-12	EKOFISK	288-P	2/4-2 EKOFISK	NO	57.000000	\N	3361.000000	71.000000	NORTH SEA	DYVI BETA	JACKET 4 LEGS	EKOFISK K	1-A	NO	WATER	1984	1988	\N	173	ED50	56	33	56.08	N	3	12	23.08	E	56.565578	3.206411	6269188.390000	512685.390000	31	2	4	K	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=672	http://www.npd.no/FactMapSearch?NPDID_wellbore=672	initial	\N	672	44072	43506	9999-12-31	20900	288118	271469	0	PHILLIPS	2013-02-09	2013-02-09	2013-05-08
2/4-K-22	2/4-K-22	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1985-07-01	1985-10-14	EKOFISK	315-P	2/4-2 EKOFISK	NO	57.000000	\N	3551.500000	71.000000	NORTH SEA	DYVI BETA	JACKET 4 LEGS	EKOFISK K	1-A	NO	WATER	1985	1985	\N	173	ED50	56	33	56.20	N	3	12	23.17	E	56.565611	3.206436	6269192.100000	512686.920000	31	2	4	K	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=673	http://www.npd.no/FactMapSearch?NPDID_wellbore=673	initial	\N	673	44072	43506	9999-12-31	20900	288118	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/4-A-1	25/4-A-1	Elf Petroleum Norge AS	ELF	036	PRODUCTION	\N	DEVELOPMENT	1985-06-06	1985-06-09	HEIMDAL	307-P	25/4-1 HEIMDAL	NO	57.500000	\N	460.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1985	1985	\N	71	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	25	4	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=674	http://www.npd.no/FactMapSearch?NPDID_wellbore=674	initial	\N	674	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/4-A-2	25/4-A-2	Elf Petroleum Norge AS	ELF	036	PRODUCTION	GAS	DEVELOPMENT	1985-06-09	1986-07-03	HEIMDAL	308-P	25/4-1 HEIMDAL	NO	57.500000	\N	2152.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1985	1986	\N	90	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	25	4	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=675	http://www.npd.no/FactMapSearch?NPDID_wellbore=675	initial	\N	675	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/4-A-3	25/4-A-3	Elf Petroleum Norge AS	ELF	036	PRODUCTION	GAS	DEVELOPMENT	1985-06-28	1986-07-01	HEIMDAL	309-P	25/4-1 HEIMDAL	NO	57.500000	\N	2228.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1985	1986	\N	90	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	25	4	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=676	http://www.npd.no/FactMapSearch?NPDID_wellbore=676	initial	\N	676	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/4-A-4	25/4-A-4	Elf Petroleum Norge AS	ELF	036	INJECTION	WATER	DEVELOPMENT	1985-08-23	1985-12-06	HEIMDAL	310-P	25/4-1 HEIMDAL	NO	57.500000	\N	2740.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1985	1985	\N	173	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	25	4	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=677	http://www.npd.no/FactMapSearch?NPDID_wellbore=677	initial	\N	677	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/4-A-6	25/4-A-6	Elf Petroleum Norge AS	ELF	036	PRODUCTION	GAS	DEVELOPMENT	1985-06-02	1985-08-23	HEIMDAL	306-P	25/4-1 HEIMDAL	NO	57.500000	\N	2320.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1985	1985	\N	90	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	25	4	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=678	http://www.npd.no/FactMapSearch?NPDID_wellbore=678	initial	\N	678	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-D-1	2/4-D-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1976-09-01	1976-09-30	VEST EKOFISK	46-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3448.800000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1976	1976	\N	71	ED50	56	33	47.04	N	3	5	8.93	E	56.563067	3.085814	6268893.100000	505274.210000	31	2	4	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=679	http://www.npd.no/FactMapSearch?NPDID_wellbore=679	initial	\N	679	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-1	33/9-A-1	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1983-12-31	1984-09-05	STATFJORD	261-P	33/12-1 STATFJORD	NO	64.400000	\N	4503.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1983	1984	\N	173	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=680	http://www.npd.no/FactMapSearch?NPDID_wellbore=680	initial	\N	680	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-D-4	2/4-D-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1975-04-20	1975-06-07	VEST EKOFISK	29-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	4153.500000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1975	1975	\N	71	ED50	56	33	46.92	N	3	5	8.45	E	56.563033	3.085681	6268889.380000	505266.020000	31	2	4	D	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=681	http://www.npd.no/FactMapSearch?NPDID_wellbore=681	initial	\N	681	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-2	33/9-A-2	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1982-10-03	1983-07-04	STATFJORD	229-P	33/12-1 STATFJORD	NO	64.400000	\N	4117.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1982	1983	\N	50	ED50	61	15	20.99	N	1	51	15.14	E	61.255831	1.854206	6791983.980000	438526.890000	31	33	9	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=682	http://www.npd.no/FactMapSearch?NPDID_wellbore=682	initial	\N	682	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-D-5	2/4-D-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1976-04-16	1976-06-26	VEST EKOFISK	44-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3530.800000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1976	1976	\N	71	ED50	56	33	46.88	N	3	5	8.27	E	56.563022	3.085631	6268888.140000	505262.950000	31	2	4	D	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=683	http://www.npd.no/FactMapSearch?NPDID_wellbore=683	initial	\N	683	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-3	33/9-A-3	Mobil Exploration Norway INC	MOBIL	037	INJECTION	GAS	DEVELOPMENT	1980-01-18	1980-04-11	STATFJORD	173-P	33/12-1 STATFJORD	NO	64.400000	\N	3982.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	1980	1980	\N	91	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=684	http://www.npd.no/FactMapSearch?NPDID_wellbore=684	initial	\N	684	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
34/7-P-4	34/7-P-4	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1997-09-07	1998-03-22	SNORRE	1363-P	34/4-1 SNORRE	NO	59.000000	\N	4888.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1997	1998	\N	50	ED50	61	26	56.83	N	2	8	37.37	E	61.449119	2.143714	6813276.200000	454341.000000	31	34	7	P	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2978	http://www.npd.no/FactMapSearch?NPDID_wellbore=2978	initial	\N	2978	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/4-D-6	2/4-D-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1975-06-07	1975-08-18	VEST EKOFISK	34-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3510.100000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1975	1975	\N	90	ED50	56	33	47.12	N	3	5	8.89	E	56.563089	3.085803	6268895.570000	505273.520000	31	2	4	D	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=685	http://www.npd.no/FactMapSearch?NPDID_wellbore=685	initial	\N	685	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-4	33/9-A-4	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1983-06-28	1983-12-07	STATFJORD	250-P	33/12-1 STATFJORD	NO	64.400000	\N	4589.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1983	1983	\N	173	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=686	http://www.npd.no/FactMapSearch?NPDID_wellbore=686	initial	\N	686	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-11-09	2012-11-09	2013-05-08
33/9-A-6	33/9-A-6	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1980-08-25	1980-10-14	STATFJORD	191-P	33/12-1 STATFJORD	NO	64.400000	\N	3562.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1980	1980	\N	50	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=687	http://www.npd.no/FactMapSearch?NPDID_wellbore=687	initial	\N	687	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-D-7	2/4-D-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1977-08-17	1977-09-20	VEST EKOFISK	73-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3576.000000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1977	1977	\N	71	ED50	56	33	47.08	N	3	5	8.71	E	56.563078	3.085753	6268894.330000	505270.450000	31	2	4	D	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=688	http://www.npd.no/FactMapSearch?NPDID_wellbore=688	initial	\N	688	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-7	33/9-A-7	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1980-04-12	1980-07-03	STATFJORD	180-P	33/12-1 STATFJORD	NO	64.400000	\N	4202.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1980	1980	\N	50	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=689	http://www.npd.no/FactMapSearch?NPDID_wellbore=689	initial	\N	689	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-D-8	2/4-D-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1975-08-16	1976-04-14	VEST EKOFISK	39-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	4241.300000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1975	1976	\N	71	ED50	56	33	47.04	N	3	5	8.54	E	56.563067	3.085706	6268893.090000	505267.550000	31	2	4	D	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=690	http://www.npd.no/FactMapSearch?NPDID_wellbore=690	initial	\N	690	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-8	33/9-A-8	Mobil Exploration Norway INC	MOBIL	037	INJECTION	\N	DEVELOPMENT	1982-10-21	1983-01-16	STATFJORD	231-P	33/12-1 STATFJORD	NO	64.400000	\N	5082.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	1982	1983	\N	72	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=691	http://www.npd.no/FactMapSearch?NPDID_wellbore=691	initial	\N	691	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-D-9	2/4-D-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1975-01-21	1975-04-20	VEST EKOFISK	23-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3844.100000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1975	1975	\N	90	ED50	56	33	47.00	N	3	5	8.37	E	56.563056	3.085658	6268891.850000	505264.650000	31	2	4	D	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=692	http://www.npd.no/FactMapSearch?NPDID_wellbore=692	initial	\N	692	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-D-10	2/4-D-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1976-09-30	1976-11-11	VEST EKOFISK	47-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3627.700000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1976	1976	\N	90	ED50	56	33	46.95	N	3	5	8.21	E	56.563042	3.085614	6268890.300000	505261.920000	31	2	4	D	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=693	http://www.npd.no/FactMapSearch?NPDID_wellbore=693	initial	\N	693	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-8 A	33/9-A-8	Mobil Exploration Norway INC	MOBIL	037	INJECTION	\N	DEVELOPMENT	1983-01-17	1983-02-03	STATFJORD	237-P	33/12-1 STATFJORD	NO	64.400000	\N	4797.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	1983	1983	\N	72	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=694	http://www.npd.no/FactMapSearch?NPDID_wellbore=694	sidetrack	33/9-A-8	694	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-8 B	33/9-A-8	Mobil Exploration Norway INC	MOBIL	037	INJECTION	GAS	DEVELOPMENT	1983-02-05	1983-04-22	STATFJORD	239-P	33/12-1 STATFJORD	NO	64.400000	\N	4797.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	1983	1983	\N	91	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	8	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=695	http://www.npd.no/FactMapSearch?NPDID_wellbore=695	sidetrack	33/9-A-8 A	695	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-D-11	2/4-D-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1977-03-26	1977-04-22	VEST EKOFISK	58-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3453.100000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1977	1977	\N	71	ED50	56	33	47.20	N	3	5	8.81	E	56.563111	3.085781	6268898.040000	505272.160000	31	2	4	D	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=696	http://www.npd.no/FactMapSearch?NPDID_wellbore=696	initial	\N	696	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-D-12	2/4-D-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1977-04-22	1977-06-01	VEST EKOFISK	60-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3586.300000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1977	1977	\N	90	ED50	56	33	47.17	N	3	5	8.64	E	56.563103	3.085733	6268897.110000	505269.250000	31	2	4	D	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=697	http://www.npd.no/FactMapSearch?NPDID_wellbore=697	initial	\N	697	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-9	33/9-A-9	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1982-05-30	1982-08-30	STATFJORD	222-P	33/12-1 STATFJORD	NO	64.400000	\N	3282.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1982	1982	\N	173	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=698	http://www.npd.no/FactMapSearch?NPDID_wellbore=698	initial	\N	698	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-11	33/9-A-11	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1984-11-01	1985-03-14	STATFJORD	289-P	33/12-1 STATFJORD	NO	64.400000	\N	4125.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1984	1985	\N	50	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=699	http://www.npd.no/FactMapSearch?NPDID_wellbore=699	initial	\N	699	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-D-13	2/4-D-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1977-02-06	1977-07-26	VEST EKOFISK	55-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3461.000000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1977	1977	\N	71	ED50	56	33	47.13	N	3	5	8.47	E	56.563092	3.085686	6268895.870000	505266.350000	31	2	4	D	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=700	http://www.npd.no/FactMapSearch?NPDID_wellbore=700	initial	\N	700	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-12	33/9-A-12	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1980-10-20	1980-12-10	STATFJORD	195-P	33/12-1 STATFJORD	NO	64.400000	\N	3542.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1980	1980	\N	50	ED50	61	15	10.83	N	1	51	15.16	E	61.253008	1.854211	6791669.630000	438521.670000	31	33	9	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=701	http://www.npd.no/FactMapSearch?NPDID_wellbore=701	initial	\N	701	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-D-14	2/4-D-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1976-06-28	1976-09-01	VEST EKOFISK	45-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3539.000000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1976	1976	\N	90	ED50	56	33	47.08	N	3	5	8.31	E	56.563078	3.085642	6268894.320000	505263.620000	31	2	4	D	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=702	http://www.npd.no/FactMapSearch?NPDID_wellbore=702	initial	\N	702	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-13	33/9-A-13	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	\N	DEVELOPMENT	1984-05-23	1984-08-26	STATFJORD	279-P	33/12-1 STATFJORD	NO	64.400000	\N	5005.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1984	1984	\N	71	ED50	61	15	20.80	N	1	51	15.30	E	61.255778	1.854250	6791978.060000	438529.170000	31	33	9	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=703	http://www.npd.no/FactMapSearch?NPDID_wellbore=703	initial	\N	703	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-14	33/9-A-14	Mobil Exploration Norway INC	MOBIL	037	INJECTION	\N	DEVELOPMENT	1982-04-20	1982-05-18	STATFJORD	220-P	33/12-1 STATFJORD	NO	64.400000	\N	4056.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1982	1982	\N	72	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=704	http://www.npd.no/FactMapSearch?NPDID_wellbore=704	initial	\N	704	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-16	33/9-A-16	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1980-12-10	1981-01-21	STATFJORD	196-P	33/12-1 STATFJORD	NO	64.400000	\N	3054.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1980	1981	\N	50	ED50	61	15	20.78	N	1	51	14.96	E	61.255772	1.854156	6791967.890000	438508.870000	31	33	9	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=705	http://www.npd.no/FactMapSearch?NPDID_wellbore=705	initial	\N	705	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-18	33/9-A-18	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1982-01-19	1982-02-25	STATFJORD	215-P	33/12-1 STATFJORD	NO	64.400000	\N	3323.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1982	1982	\N	50	ED50	61	15	20.73	N	1	51	15.24	E	61.255758	1.854233	6791975.910000	438528.240000	31	33	9	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=706	http://www.npd.no/FactMapSearch?NPDID_wellbore=706	initial	\N	706	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-19	33/9-A-19	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1981-10-18	1981-12-08	STATFJORD	210-P	33/12-1 STATFJORD	NO	64.400000	\N	3315.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1981	1981	\N	173	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=707	http://www.npd.no/FactMapSearch?NPDID_wellbore=707	initial	\N	707	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-20	33/9-A-20	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	\N	DEVELOPMENT	1980-07-03	1980-08-24	STATFJORD	187-P	33/12-1 STATFJORD	NO	64.400000	\N	2826.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1980	1980	\N	71	ED50	61	15	20.72	N	1	51	14.90	E	61.255756	1.854139	6791975.690000	438523.170000	31	33	9	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=708	http://www.npd.no/FactMapSearch?NPDID_wellbore=708	initial	\N	708	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-22	33/9-A-22	Mobil Exploration Norway INC	MOBIL	037	INJECTION	\N	DEVELOPMENT	1984-09-07	1984-10-30	STATFJORD	267-P	33/12-1 STATFJORD	NO	64.400000	\N	3980.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1984	1984	\N	72	ED50	61	15	19.99	N	1	51	14.09	E	61.255553	1.853914	6791953.310000	438510.700000	31	33	9	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=709	http://www.npd.no/FactMapSearch?NPDID_wellbore=709	initial	\N	709	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-23	33/9-A-23	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	\N	DEVELOPMENT	1979-03-12	1979-05-01	STATFJORD	141-P	33/12-1 STATFJORD	NO	64.400000	\N	3098.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1979	1979	\N	71	ED50	61	15	19.96	N	1	51	14.24	E	61.255544	1.853956	6791952.350000	438512.920000	31	33	9	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=710	http://www.npd.no/FactMapSearch?NPDID_wellbore=710	initial	\N	710	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-25	33/9-A-25	Mobil Exploration Norway INC	MOBIL	037	INJECTION	\N	DEVELOPMENT	1984-02-16	1984-05-01	STATFJORD	268-P	33/12-1 STATFJORD	NO	64.400000	\N	4786.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1984	1984	\N	72	ED50	61	15	19.95	N	1	51	13.90	E	61.255542	1.853861	6791952.130000	438507.850000	31	33	9	A	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=711	http://www.npd.no/FactMapSearch?NPDID_wellbore=711	initial	\N	711	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-28	33/9-A-28	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1985-02-07	1985-03-13	STATFJORD	299-P	33/12-1 STATFJORD	NO	64.400000	\N	2959.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	50	ED50	61	15	19.86	N	1	51	14.33	E	61.255517	1.853981	6791949.230000	438514.200000	31	33	9	A	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=712	http://www.npd.no/FactMapSearch?NPDID_wellbore=712	initial	\N	712	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2013-01-26	2013-01-26	2013-05-08
33/9-A-29	33/9-A-29	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1979-05-01	1979-06-29	STATFJORD	145-P	33/12-1 STATFJORD	NO	64.400000	\N	3966.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1979	1979	\N	50	ED50	61	15	19.83	N	1	51	14.46	E	61.255508	1.854017	6791948.270000	438516.130000	31	33	9	A	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=713	http://www.npd.no/FactMapSearch?NPDID_wellbore=713	initial	\N	713	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-30	33/9-A-30	Mobil Exploration Norway INC	MOBIL	037	INJECTION	\N	DEVELOPMENT	1983-04-26	1984-01-01	STATFJORD	245-P	33/12-1 STATFJORD	NO	64.400000	\N	4025.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1983	1984	\N	72	ED50	61	15	19.88	N	1	51	13.40	E	61.255522	1.853722	6791950.090000	438500.360000	31	33	9	A	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=714	http://www.npd.no/FactMapSearch?NPDID_wellbore=714	initial	\N	714	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-31	33/9-A-31	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	\N	DEVELOPMENT	1982-07-25	1982-10-20	STATFJORD	224-P	33/12-1 STATFJORD	NO	64.400000	\N	3573.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1982	1982	\N	71	ED50	61	15	19.85	N	1	51	13.98	E	61.255514	1.853883	6791949.010000	438508.980000	31	33	9	A	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=715	http://www.npd.no/FactMapSearch?NPDID_wellbore=715	initial	\N	715	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-E-1	2/4-E-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-03-22	1979-06-01	TOR	142-P	2/5-1 TOR	NO	41.000000	\N	3863.000000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1979	1979	\N	50	ED50	56	38	31.30	N	3	19	37.62	E	56.642028	3.327117	6277727.020000	520062.990000	31	2	4	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=716	http://www.npd.no/FactMapSearch?NPDID_wellbore=716	initial	\N	716	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-32	33/9-A-32	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	\N	DEVELOPMENT	1982-03-24	1982-04-18	STATFJORD	218-P	33/12-1 STATFJORD	NO	64.400000	\N	3122.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1982	1982	\N	71	ED50	61	15	19.82	N	1	51	14.12	E	61.255506	1.853922	6791948.050000	438511.050000	31	33	9	A	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=717	http://www.npd.no/FactMapSearch?NPDID_wellbore=717	initial	\N	717	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-E-2	2/4-E-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1979-07-19	1979-09-12	TOR	153-P	2/5-1 TOR	NO	41.000000	\N	3607.000000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1979	1979	\N	71	ED50	56	38	31.27	N	3	19	37.46	E	56.642019	3.327072	6277726.080000	520060.270000	31	2	4	E	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=718	http://www.npd.no/FactMapSearch?NPDID_wellbore=718	initial	\N	718	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-33	33/9-A-33	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1979-01-09	1979-03-10	STATFJORD	136-P	33/12-1 STATFJORD	NO	64.400000	\N	3364.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1979	1979	\N	50	ED50	61	15	19.79	N	1	51	14.26	E	61.255497	1.853961	6791947.080000	438513.120000	31	33	9	A	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=719	http://www.npd.no/FactMapSearch?NPDID_wellbore=719	initial	\N	719	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-E-3	2/4-E-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-06-03	1979-07-17	TOR	148-P	2/5-1 TOR	NO	41.000000	\N	3510.100000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1979	1979	\N	50	ED50	56	38	31.24	N	3	19	37.28	E	56.642011	3.327022	6277725.130000	520057.210000	31	2	4	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=720	http://www.npd.no/FactMapSearch?NPDID_wellbore=720	initial	\N	720	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-34	33/9-A-34	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1983-07-05	1983-10-25	STATFJORD	244-P	33/12-1 STATFJORD	NO	64.400000	\N	3516.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1983	1983	\N	50	ED50	61	15	19.77	N	1	51	14.40	E	61.255492	1.854000	6791946.430000	438515.200000	31	33	9	A	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=721	http://www.npd.no/FactMapSearch?NPDID_wellbore=721	initial	\N	721	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-36	33/9-A-36	Mobil Exploration Norway INC	MOBIL	037	INJECTION	\N	DEVELOPMENT	1985-07-21	1985-09-22	STATFJORD	317-P	33/12-1 STATFJORD	NO	64.400000	\N	3645.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1985	1985	\N	72	ED50	61	15	19.78	N	1	51	13.93	E	61.255494	1.853869	6791946.860000	438508.200000	31	33	9	A	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=722	http://www.npd.no/FactMapSearch?NPDID_wellbore=722	initial	\N	722	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-E-5	2/4-E-5	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1978-09-23	1978-11-23	TOR	122-P	2/5-1 TOR	NO	41.000000	\N	3560.400000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	WATER	1978	1978	\N	173	ED50	56	38	31.17	N	3	19	36.94	E	56.641992	3.326928	6277722.940000	520051.430000	31	2	4	E	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=723	http://www.npd.no/FactMapSearch?NPDID_wellbore=723	initial	\N	723	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-37	33/9-A-37	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1981-11-25	1982-01-10	STATFJORD	211-P	33/12-1 STATFJORD	NO	64.400000	\N	3675.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1981	1982	\N	50	ED50	61	15	19.76	N	1	51	14.06	E	61.255489	1.853906	6791946.210000	438510.130000	31	33	9	A	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=724	http://www.npd.no/FactMapSearch?NPDID_wellbore=724	initial	\N	724	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-38	33/9-A-38	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1979-06-29	1979-11-19	STATFJORD	150-P	33/12-1 STATFJORD	NO	64.400000	\N	4155.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1979	1979	\N	50	ED50	61	15	19.73	N	1	51	14.20	E	61.255481	1.853944	6791945.240000	438512.200000	31	33	9	A	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=725	http://www.npd.no/FactMapSearch?NPDID_wellbore=725	initial	\N	725	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-39	33/9-A-39	Mobil Exploration Norway INC	MOBIL	037	INJECTION	GAS	DEVELOPMENT	1981-07-05	1981-10-19	STATFJORD	204-P	33/12-1 STATFJORD	NO	64.400000	\N	4611.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	1981	1981	\N	91	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=726	http://www.npd.no/FactMapSearch?NPDID_wellbore=726	initial	\N	726	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-41	33/9-A-41	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1981-04-04	1981-07-02	STATFJORD	201-P	33/12-1 STATFJORD	NO	64.400000	\N	4058.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1981	1981	\N	50	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=727	http://www.npd.no/FactMapSearch?NPDID_wellbore=727	initial	\N	727	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-42	33/9-A-42	Mobil Exploration Norway INC	MOBIL	037	INJECTION	GAS	DEVELOPMENT	1981-01-22	1981-05-26	STATFJORD	199-P	33/12-1 STATFJORD	NO	64.400000	\N	3520.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	1981	1981	\N	91	ED50	61	15	19.66	N	1	51	14.15	E	61.255461	1.853931	6791943.090000	438511.410000	31	33	9	A	42	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=728	http://www.npd.no/FactMapSearch?NPDID_wellbore=728	initial	\N	728	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-E-7	2/4-E-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-09-13	1980-02-25	TOR	160-P	2/5-1 TOR	NO	41.000000	\N	4602.500000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1979	1980	\N	50	ED50	56	38	31.40	N	3	19	37.56	E	56.642056	3.327100	6277730.100000	520061.960000	31	2	4	E	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=729	http://www.npd.no/FactMapSearch?NPDID_wellbore=729	initial	\N	729	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-E-8	2/4-E-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1981-09-09	1981-11-12	TOR	208-P	2/5-1 TOR	NO	41.000000	\N	4407.400000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1981	1981	\N	71	ED50	56	38	31.36	N	3	19	37.39	E	56.642044	3.327053	6277728.850000	520059.070000	31	2	4	E	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=730	http://www.npd.no/FactMapSearch?NPDID_wellbore=730	initial	\N	730	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-1	33/12-B-1	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1985-04-06	1985-06-01	STATFJORD	303-P	33/12-1 STATFJORD	NO	77.800000	\N	4665.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1985	1985	\N	173	ED50	61	12	25.28	N	1	49	52.27	E	61.207022	1.831186	6786569.540000	437194.740000	31	33	12	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=731	http://www.npd.no/FactMapSearch?NPDID_wellbore=731	initial	\N	731	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-3	33/12-B-3	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1983-11-19	1983-12-27	STATFJORD	256-P	33/12-1 STATFJORD	NO	78.000000	\N	3660.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1983	1983	\N	50	ED50	61	12	25.21	N	1	49	52.54	E	61.207003	1.831261	6786567.300000	437198.730000	31	33	12	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=732	http://www.npd.no/FactMapSearch?NPDID_wellbore=732	initial	\N	732	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-E-9	2/4-E-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1977-05-01	1977-07-25	TOR	63-P	2/5-1 TOR	NO	41.000000	\N	4407.400000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1977	1977	\N	50	ED50	56	38	31.33	N	3	19	37.22	E	56.642036	3.327006	6277727.910000	520056.170000	31	2	4	E	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=733	http://www.npd.no/FactMapSearch?NPDID_wellbore=733	initial	\N	733	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-E-10	2/4-E-10	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1977-02-03	1977-04-05	TOR	54-P	2/5-1 TOR	NO	41.000000	\N	3312.600000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	WATER	1977	1977	\N	173	ED50	56	38	31.29	N	3	19	37.06	E	56.642025	3.326961	6277726.660000	520053.450000	31	2	4	E	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=734	http://www.npd.no/FactMapSearch?NPDID_wellbore=734	initial	\N	734	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-4	33/12-B-4	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1985-01-07	1985-03-03	STATFJORD	296-P	33/12-1 STATFJORD	NO	77.800000	\N	4768.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1985	1985	\N	173	ED50	61	12	25.25	N	1	49	52.07	E	61.207014	1.831131	6786568.670000	437191.740000	31	33	12	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=735	http://www.npd.no/FactMapSearch?NPDID_wellbore=735	initial	\N	735	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-E-12	2/4-E-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1978-02-06	1979-01-11	TOR	89-P	2/5-1 TOR	NO	41.000000	\N	4137.100000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1978	1979	\N	50	ED50	56	38	31.24	N	3	19	36.71	E	56.642011	3.326864	6277725.090000	520047.500000	31	2	4	E	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=736	http://www.npd.no/FactMapSearch?NPDID_wellbore=736	initial	\N	736	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-E-13	2/4-E-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1977-07-29	1977-11-18	TOR	70-P	2/5-1 TOR	NO	41.000000	\N	4148.900000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1977	1977	\N	50	ED50	56	38	31.49	N	3	19	37.50	E	56.642081	3.327083	6277732.880000	520060.920000	31	2	4	E	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=737	http://www.npd.no/FactMapSearch?NPDID_wellbore=737	initial	\N	737	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-E-14	2/4-E-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1980-04-01	1980-09-11	TOR	178-P	2/5-1 TOR	NO	41.000000	\N	3574.700000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1980	1980	\N	71	ED50	56	38	31.46	N	3	19	37.33	E	56.642072	3.327036	6277731.940000	520058.030000	31	2	4	E	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=738	http://www.npd.no/FactMapSearch?NPDID_wellbore=738	initial	\N	738	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-7	33/12-B-7	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1984-06-01	1984-07-16	STATFJORD	264-P	33/12-1 STATFJORD	NO	77.800000	\N	3570.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1984	1984	\N	50	ED50	61	12	25.15	N	1	49	52.48	E	61.206986	1.831244	6786565.460000	437197.800000	31	33	12	B	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=739	http://www.npd.no/FactMapSearch?NPDID_wellbore=739	initial	\N	739	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-10-09	2012-10-09	2013-05-08
2/4-E-15	2/4-E-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1977-04-28	1977-04-30	TOR	62-P	2/5-1 TOR	NO	41.000000	\N	315.000000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1977	1977	\N	71	ED50	56	38	31.42	N	3	19	37.17	E	56.642061	3.326992	6277730.690000	520055.310000	31	2	4	E	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=740	http://www.npd.no/FactMapSearch?NPDID_wellbore=740	initial	\N	740	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-8	33/12-B-8	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1983-09-29	1983-12-31	STATFJORD	249-P	33/12-1 STATFJORD	NO	77.800000	\N	4187.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1983	1983	\N	173	ED50	61	12	25.12	N	1	49	52.61	E	61.206978	1.831281	6786564.500000	437199.720000	31	33	12	B	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=741	http://www.npd.no/FactMapSearch?NPDID_wellbore=741	initial	\N	741	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-10-20	2012-10-20	2013-05-08
2/4-E-16	2/4-E-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1977-11-25	1978-01-27	TOR	79-P	2/5-1 TOR	NO	41.000000	\N	3455.500000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1977	1978	\N	50	ED50	56	38	31.39	N	3	19	36.99	E	56.642053	3.326942	6277729.750000	520052.250000	31	2	4	E	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=742	http://www.npd.no/FactMapSearch?NPDID_wellbore=742	initial	\N	742	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-9	33/12-B-9	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1984-02-22	1984-04-15	STATFJORD	269-P	33/12-1 STATFJORD	NO	77.800000	\N	3945.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1984	1984	\N	173	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=743	http://www.npd.no/FactMapSearch?NPDID_wellbore=743	initial	\N	743	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-E-17	2/4-E-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-01-11	1979-03-22	TOR	137-P	2/5-1 TOR	NO	41.000000	\N	3840.000000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1979	1979	\N	50	ED50	56	38	31.36	N	3	19	36.82	E	56.642044	3.326894	6277728.810000	520049.350000	31	2	4	E	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=744	http://www.npd.no/FactMapSearch?NPDID_wellbore=744	initial	\N	744	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-10	33/12-B-10	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1984-10-20	1984-11-17	STATFJORD	284-P	33/12-1 STATFJORD	NO	77.800000	\N	3015.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1984	1984	\N	50	ED50	61	12	25.15	N	1	49	52.14	E	61.206986	1.831150	6786565.550000	437192.720000	31	33	12	B	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=745	http://www.npd.no/FactMapSearch?NPDID_wellbore=745	initial	\N	745	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-17	33/12-B-17	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1982-10-21	1982-12-09	STATFJORD	232-P	33/12-1 STATFJORD	NO	77.800000	\N	3052.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1982	1982	\N	50	ED50	61	12	25.02	N	1	49	52.34	E	61.206950	1.831206	6786561.480000	437195.640000	31	33	12	B	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=746	http://www.npd.no/FactMapSearch?NPDID_wellbore=746	initial	\N	746	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-18	33/12-B-18	Mobil Exploration Norway INC	MOBIL	037	INJECTION	GAS	DEVELOPMENT	1983-04-09	1983-06-20	STATFJORD	242-P	33/12-1 STATFJORD	NO	78.200000	\N	4123.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS	1983	1983	\N	91	ED50	61	12	24.99	N	1	49	52.48	E	61.206942	1.831244	6786560.510000	437197.710000	31	33	12	B	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=747	http://www.npd.no/FactMapSearch?NPDID_wellbore=747	initial	\N	747	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-21	33/12-B-21	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1983-01-13	1983-03-03	STATFJORD	238-P	33/12-1 STATFJORD	NO	77.800000	\N	3658.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1983	1983	\N	50	ED50	61	12	24.95	N	1	49	52.27	E	61.206931	1.831186	6786559.330000	437194.550000	31	33	12	B	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=748	http://www.npd.no/FactMapSearch?NPDID_wellbore=748	initial	\N	748	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-23	33/12-B-23	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1982-10-12	1983-01-03	STATFJORD	230-P	33/12-1 STATFJORD	NO	77.800000	\N	3458.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1982	1983	\N	50	ED50	61	12	24.10	N	1	49	51.19	E	61.206694	1.830886	6786533.320000	437177.960000	31	33	12	B	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=749	http://www.npd.no/FactMapSearch?NPDID_wellbore=749	initial	\N	749	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-24	33/12-B-24	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1982-04-11	1982-10-31	STATFJORD	219-P	33/12-1 STATFJORD	NO	77.800000	\N	3166.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1982	1982	\N	50	ED50	61	12	24.07	N	1	49	51.33	E	61.206686	1.830925	6786532.350000	437180.040000	31	33	12	B	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=750	http://www.npd.no/FactMapSearch?NPDID_wellbore=750	initial	\N	750	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-25	33/12-B-25	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1984-01-01	1984-10-20	STATFJORD	263-P	33/12-1 STATFJORD	NO	77.800000	\N	3553.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1984	1984	\N	173	ED50	61	12	24.11	N	1	49	50.85	E	61.206697	1.830792	6786533.720000	437172.900000	31	33	12	B	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=751	http://www.npd.no/FactMapSearch?NPDID_wellbore=751	initial	\N	751	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-26	33/12-B-26	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1984-11-17	1985-01-07	STATFJORD	291-P	33/12-1 STATFJORD	NO	77.800000	\N	4292.400000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1984	1985	\N	173	ED50	61	12	24.07	N	1	49	50.99	E	61.206686	1.830831	6786532.450000	437174.960000	31	33	12	B	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=752	http://www.npd.no/FactMapSearch?NPDID_wellbore=752	initial	\N	752	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-F-1	2/4-F-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1981-08-11	1982-03-31	ALBUSKJELL	207-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	4724.700000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1981	1982	\N	71	ED50	56	37	13.92	N	3	3	13.05	E	56.620533	3.053625	6275287.850000	503290.850000	31	2	4	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=753	http://www.npd.no/FactMapSearch?NPDID_wellbore=753	initial	\N	753	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-30	33/12-B-30	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1983-12-17	1984-09-16	STATFJORD	262-P	33/12-1 STATFJORD	NO	77.800000	\N	4555.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1983	1984	\N	173	ED50	61	12	24.04	N	1	49	50.78	E	61.206678	1.830772	6786531.570000	437171.810000	31	33	12	B	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=754	http://www.npd.no/FactMapSearch?NPDID_wellbore=754	initial	\N	754	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-11-21	2012-11-21	2013-05-08
33/12-B-31	33/12-B-31	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1985-03-08	1985-04-04	STATFJORD	301-P	33/12-1 STATFJORD	NO	77.800000	\N	2910.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	50	ED50	61	12	24.01	N	1	49	50.92	E	61.206669	1.830811	6786530.610000	437173.890000	31	33	12	B	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=755	http://www.npd.no/FactMapSearch?NPDID_wellbore=755	initial	\N	755	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-32	33/12-B-32	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1983-03-04	1983-04-08	STATFJORD	241-P	33/12-1 STATFJORD	NO	77.800000	\N	2690.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1983	1983	\N	50	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=756	http://www.npd.no/FactMapSearch?NPDID_wellbore=756	initial	\N	756	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-34	33/12-B-34	Mobil Exploration Norway INC	MOBIL	037	INJECTION	GAS	DEVELOPMENT	1982-08-22	1982-11-05	STATFJORD	226-P	33/12-1 STATFJORD	NO	77.800000	\N	3812.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS	1982	1982	\N	91	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=757	http://www.npd.no/FactMapSearch?NPDID_wellbore=757	initial	\N	757	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-37	33/12-B-37	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1983-06-09	1983-08-09	STATFJORD	246-P	33/12-1 STATFJORD	NO	77.800000	\N	3369.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1983	1983	\N	50	ED50	61	12	23.91	N	1	49	50.99	E	61.206642	1.830831	6786527.500000	437174.870000	31	33	12	B	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=758	http://www.npd.no/FactMapSearch?NPDID_wellbore=758	initial	\N	758	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-38	33/12-B-38	Mobil Exploration Norway INC	MOBIL	037	INJECTION	\N	DEVELOPMENT	1982-07-05	1982-10-29	STATFJORD	223-P	33/12-1 STATFJORD	NO	77.800000	\N	4272.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1982	1982	\N	72	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=759	http://www.npd.no/FactMapSearch?NPDID_wellbore=759	initial	\N	759	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-F-2	2/4-F-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1979-09-07	1979-09-11	ALBUSKJELL	159-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	326.000000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1979	1979	\N	71	ED50	56	37	13.93	N	3	3	14.21	E	56.620536	3.053947	6275288.170000	503310.620000	31	2	4	F	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=760	http://www.npd.no/FactMapSearch?NPDID_wellbore=760	initial	\N	760	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-F-3	2/4-F-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1979-09-11	1979-12-04	ALBUSKJELL	161-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	4351.000000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1979	1979	\N	90	ED50	56	37	13.21	N	3	3	14.07	E	56.620336	3.053908	6275265.910000	503308.260000	31	2	4	F	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=761	http://www.npd.no/FactMapSearch?NPDID_wellbore=761	initial	\N	761	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-39	33/12-B-39	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1985-06-01	1985-07-24	STATFJORD	312-P	33/12-1 STATFJORD	NO	77.800000	\N	3800.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	50	ED50	61	12	23.84	N	1	49	51.26	E	61.206622	1.830906	6786525.260000	437178.870000	31	33	12	B	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=762	http://www.npd.no/FactMapSearch?NPDID_wellbore=762	initial	\N	762	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-B-41	33/12-B-41	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1983-08-26	1983-11-18	STATFJORD	254-P	33/12-1 STATFJORD	NO	77.800000	\N	4464.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1983	1983	\N	173	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=763	http://www.npd.no/FactMapSearch?NPDID_wellbore=763	initial	\N	763	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-F-5	2/4-F-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1981-05-11	1981-08-10	ALBUSKJELL	202-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3685.600000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1981	1981	\N	90	ED50	56	37	13.34	N	3	3	14.36	E	56.620372	3.053989	6275269.930000	503313.200000	31	2	4	F	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=764	http://www.npd.no/FactMapSearch?NPDID_wellbore=764	initial	\N	764	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-F-6	2/4-F-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1978-10-16	1979-05-18	ALBUSKJELL	128-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3629.900000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1978	1979	\N	71	ED50	56	37	13.31	N	3	3	14.19	E	56.620364	3.053942	6275269.000000	503310.300000	31	2	4	F	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=765	http://www.npd.no/FactMapSearch?NPDID_wellbore=765	initial	\N	765	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-F-8	2/4-F-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1981-02-24	1981-04-23	ALBUSKJELL	200-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3468.300000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1981	1981	\N	90	ED50	56	37	13.21	N	3	3	13.86	E	56.620336	3.053850	6275265.910000	503304.680000	31	2	4	F	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=766	http://www.npd.no/FactMapSearch?NPDID_wellbore=766	initial	\N	766	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-12	33/9-C-12	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1985-08-08	1985-09-22	STATFJORD	319-P	33/12-1 STATFJORD	NO	78.400000	\N	3138.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	50	ED50	61	17	47.98	N	1	54	11.25	E	61.296661	1.903125	6796486.770000	441227.650000	31	33	9	C	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=767	http://www.npd.no/FactMapSearch?NPDID_wellbore=767	initial	\N	767	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-C-13	33/9-C-13	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER/GAS	DEVELOPMENT	1985-05-13	1985-06-19	STATFJORD	311-P	33/12-1 STATFJORD	NO	78.400000	\N	3322.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	GAS	1985	1985	\N	0	ED50	61	17	47.95	N	1	54	11.39	E	61.296653	1.903164	6796485.810000	441229.720000	31	33	9	C	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=768	http://www.npd.no/FactMapSearch?NPDID_wellbore=768	initial	\N	768	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-26	2012-07-26	2013-05-08
2/4-F-9	2/4-F-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1980-08-01	1981-02-16	ALBUSKJELL	189-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	4259.600000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1980	1981	\N	90	ED50	56	37	13.92	N	3	3	13.30	E	56.620533	3.053694	6275287.850000	503295.110000	31	2	4	F	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=769	http://www.npd.no/FactMapSearch?NPDID_wellbore=769	initial	\N	769	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-21	33/9-C-21	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1985-04-15	1985-05-13	STATFJORD	294-P	33/12-1 STATFJORD	NO	78.400000	\N	3264.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	50	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	33	9	C	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=770	http://www.npd.no/FactMapSearch?NPDID_wellbore=770	initial	\N	770	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-F-10	2/4-F-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1978-04-22	1979-01-25	ALBUSKJELL	102-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	4187.300000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1978	1979	\N	71	ED50	56	37	13.34	N	3	3	14.14	E	56.620372	3.053928	6275269.930000	503309.450000	31	2	4	F	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=771	http://www.npd.no/FactMapSearch?NPDID_wellbore=771	initial	\N	771	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-33	33/9-C-33	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1985-01-04	1985-02-18	STATFJORD	297-P	33/12-1 STATFJORD	NO	78.400000	\N	3100.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	50	ED50	61	17	46.79	N	1	54	10.21	E	61.296331	1.902836	6796450.210000	441211.560000	31	33	9	C	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=772	http://www.npd.no/FactMapSearch?NPDID_wellbore=772	initial	\N	772	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-F-12	2/4-F-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1980-05-06	1980-07-30	ALBUSKJELL	182-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	4148.300000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1980	1980	\N	90	ED50	56	37	13.31	N	3	3	13.81	E	56.620364	3.053836	6275269.000000	503303.820000	31	2	4	F	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=773	http://www.npd.no/FactMapSearch?NPDID_wellbore=773	initial	\N	773	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-34	33/9-C-34	Mobil Exploration Norway INC	MOBIL	037	INJECTION	GAS	DEVELOPMENT	1984-12-21	1985-03-25	STATFJORD	292-P	33/12-1 STATFJORD	NO	78.400000	\N	3533.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	GAS	1984	1985	\N	91	ED50	61	17	46.76	N	1	54	10.35	E	61.296322	1.902875	6796449.250000	441213.620000	31	33	9	C	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=774	http://www.npd.no/FactMapSearch?NPDID_wellbore=774	initial	\N	774	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-F-15	2/4-F-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1978-08-17	1978-10-16	ALBUSKJELL	115-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3607.600000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1978	1978	\N	71	ED50	56	37	13.41	N	3	3	13.93	E	56.620392	3.053869	6275272.090000	503305.860000	31	2	4	F	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=775	http://www.npd.no/FactMapSearch?NPDID_wellbore=775	initial	\N	775	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-38	33/9-C-38	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1984-12-30	1985-04-15	STATFJORD	293-P	33/12-1 STATFJORD	NO	78.400000	\N	2909.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1984	1985	\N	50	ED50	61	17	46.72	N	1	54	10.15	E	61.296311	1.902819	6796448.060000	441210.630000	31	33	9	C	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=776	http://www.npd.no/FactMapSearch?NPDID_wellbore=776	initial	\N	776	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-F-16	2/4-F-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1980-02-04	1980-04-28	ALBUSKJELL	176-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	4188.600000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1980	1980	\N	90	ED50	56	37	13.34	N	3	3	13.76	E	56.620372	3.053822	6275269.930000	503302.970000	31	2	4	F	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=777	http://www.npd.no/FactMapSearch?NPDID_wellbore=777	initial	\N	777	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-42	33/9-C-42	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	\N	DEVELOPMENT	1985-06-19	1985-08-07	STATFJORD	314-P	33/12-1 STATFJORD	NO	78.400000	\N	3540.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	71	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	33	9	C	42	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=778	http://www.npd.no/FactMapSearch?NPDID_wellbore=778	initial	\N	778	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-F-18	2/4-F-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1979-12-04	1980-02-01	ALBUSKJELL	169-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3593.600000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1979	1980	\N	90	ED50	56	37	13.50	N	3	3	14.04	E	56.620417	3.053900	6275274.880000	503307.740000	31	2	4	F	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=779	http://www.npd.no/FactMapSearch?NPDID_wellbore=779	initial	\N	779	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-F-20	2/4-F-20	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1979-01-31	1979-09-07	ALBUSKJELL	139-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	4650.000000	69.000000	NORTH SEA	ALBUSKJELL F	JACKET 12 LEGS	ALBUSKJELL F	1-A	NO	GAS	1979	1979	\N	90	ED50	56	37	13.44	N	3	3	13.71	E	56.620400	3.053808	6275273.020000	503302.110000	31	2	4	F	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=780	http://www.npd.no/FactMapSearch?NPDID_wellbore=780	initial	\N	780	43844	43437	9999-12-31	20900	271553	271553	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-2	2/7-A-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1978-11-05	1978-12-26	ELDFISK	133-P	2/7-1 ELDFISK	NO	41.000000	\N	3280.900000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	1978	\N	71	ED50	56	22	36.30	N	3	15	57.89	E	56.376750	3.266081	6248182.610000	516433.850000	31	2	7	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=781	http://www.npd.no/FactMapSearch?NPDID_wellbore=781	initial	\N	781	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-3	2/7-A-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-09-01	1979-12-07	ELDFISK	105-P	2/7-1 ELDFISK	NO	41.000000	\N	3606.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1979	1979	\N	50	ED50	56	22	36.27	N	3	15	57.74	E	56.376742	3.266039	6248181.680000	516431.280000	31	2	7	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=782	http://www.npd.no/FactMapSearch?NPDID_wellbore=782	initial	\N	782	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-5	2/7-A-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1979-10-20	1980-02-06	ELDFISK	165-P	2/7-1 ELDFISK	NO	41.000000	\N	3279.600000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1979	1980	\N	71	ED50	56	22	36.41	N	3	15	57.86	E	56.376781	3.266072	6248186.010000	516433.320000	31	2	7	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=783	http://www.npd.no/FactMapSearch?NPDID_wellbore=783	initial	\N	783	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-6	2/7-A-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1978-05-02	1979-01-04	ELDFISK	104-P	2/7-1 ELDFISK	NO	43.000000	\N	3121.200000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	1979	\N	50	ED50	56	22	36.34	N	3	15	57.69	E	56.376761	3.266025	6248183.840000	516430.410000	31	2	7	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=784	http://www.npd.no/FactMapSearch?NPDID_wellbore=784	initial	\N	784	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-7	2/7-A-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1980-09-08	1980-11-14	ELDFISK	193-P	2/7-1 ELDFISK	NO	41.000000	\N	4241.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1980	1980	\N	71	ED50	56	22	36.48	N	3	15	58.03	E	56.376800	3.266119	6248188.190000	516436.230000	31	2	7	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=785	http://www.npd.no/FactMapSearch?NPDID_wellbore=785	initial	\N	785	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-9	2/7-A-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1978-05-21	1979-01-29	ELDFISK	107-P	2/7-1 ELDFISK	NO	41.000000	\N	3216.200000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	1979	\N	71	ED50	56	22	36.41	N	3	15	57.67	E	56.376781	3.266019	6248186.000000	516430.060000	31	2	7	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=786	http://www.npd.no/FactMapSearch?NPDID_wellbore=786	initial	\N	786	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-10	2/7-A-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1980-11-15	1980-12-28	ELDFISK	197-P	2/7-1 ELDFISK	NO	41.000000	\N	4744.500000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1980	1980	\N	50	ED50	56	22	36.55	N	3	15	57.96	E	56.376819	3.266100	6248190.350000	516435.020000	31	2	7	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=787	http://www.npd.no/FactMapSearch?NPDID_wellbore=787	initial	\N	787	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-11	2/7-A-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-12-22	1980-06-18	ELDFISK	170-P	2/7-1 ELDFISK	NO	41.000000	\N	4395.200000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1979	1980	\N	50	ED50	56	22	36.52	N	3	15	57.78	E	56.376811	3.266050	6248189.410000	516431.940000	31	2	7	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=788	http://www.npd.no/FactMapSearch?NPDID_wellbore=788	initial	\N	788	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-12	2/7-A-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1978-05-30	1979-02-19	ELDFISK	109-P	2/7-1 ELDFISK	NO	41.000000	\N	3600.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	1979	\N	71	ED50	56	22	36.48	N	3	15	57.60	E	56.376800	3.266000	6248188.160000	516428.850000	31	2	7	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=789	http://www.npd.no/FactMapSearch?NPDID_wellbore=789	initial	\N	789	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-14	2/7-A-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1979-04-05	1979-07-11	ELDFISK	143-P	2/7-1 ELDFISK	NO	41.000000	\N	4311.400000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1979	1979	\N	71	ED50	56	22	36.59	N	3	15	57.71	E	56.376831	3.266031	6248191.570000	516430.730000	31	2	7	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=790	http://www.npd.no/FactMapSearch?NPDID_wellbore=790	initial	\N	790	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-15	2/7-A-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1978-06-07	1996-05-09	ELDFISK	111-P	2/7-1 ELDFISK	NO	41.000000	\N	5614.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	1996	\N	50	ED50	56	22	36.58	N	3	15	57.54	E	56.376828	3.265983	6248191.250000	516427.810000	31	2	7	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=791	http://www.npd.no/FactMapSearch?NPDID_wellbore=791	initial	\N	791	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-16	2/7-A-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1978-05-15	1979-11-05	ELDFISK	106-P	2/7-1 ELDFISK	NO	41.000000	\N	4109.900000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	1979	\N	71	ED50	56	22	36.09	N	3	15	56.92	E	56.376692	3.265811	6248176.060000	516417.230000	31	2	7	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=792	http://www.npd.no/FactMapSearch?NPDID_wellbore=792	initial	\N	792	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-18	2/7-A-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1979-05-19	1979-07-23	ELDFISK	146-P	2/7-1 ELDFISK	NO	41.000000	\N	3727.700000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1979	1979	\N	71	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	2	7	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=793	http://www.npd.no/FactMapSearch?NPDID_wellbore=793	initial	\N	793	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-19	2/7-A-19	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1978-05-01	1979-04-24	ELDFISK	103-P	2/7-1 ELDFISK	NO	41.000000	\N	3310.100000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	1979	\N	71	ED50	56	22	36.16	N	3	15	56.87	E	56.376711	3.265797	6248178.220000	516416.370000	31	2	7	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=794	http://www.npd.no/FactMapSearch?NPDID_wellbore=794	initial	\N	794	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-20	2/7-A-20	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1978-07-25	1979-05-14	ELDFISK	114-P	2/7-1 ELDFISK	NO	41.000000	\N	3255.600000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	1979	\N	50	ED50	56	22	36.15	N	3	15	56.71	E	56.376708	3.265753	6248177.900000	516413.620000	31	2	7	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=795	http://www.npd.no/FactMapSearch?NPDID_wellbore=795	initial	\N	795	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-21	2/7-A-21	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1979-01-08	1979-05-19	ELDFISK	135-P	2/7-1 ELDFISK	NO	41.000000	\N	3515.300000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1979	1979	\N	71	ED50	56	22	36.08	N	3	15	56.54	E	56.376689	3.265706	6248175.720000	516410.720000	31	2	7	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=796	http://www.npd.no/FactMapSearch?NPDID_wellbore=796	initial	\N	796	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-21 A	2/7-A-21	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1982-11-15	1983-01-14	ELDFISK	236-P	2/7-1 ELDFISK	NO	41.000000	\N	3223.300000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1982	1983	\N	50	ED50	56	22	36.08	N	3	15	56.54	E	56.376689	3.265706	6248175.720000	516410.720000	31	2	7	A	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=797	http://www.npd.no/FactMapSearch?NPDID_wellbore=797	sidetrack	2/7-A-21	797	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-22	2/7-A-22	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1978-05-29	2000-08-13	ELDFISK	108-P	2/7-1 ELDFISK	NO	41.000000	\N	1561.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	2000	\N	71	ED50	56	22	36.22	N	3	15	56.84	E	56.376728	3.265789	6248180.070000	516415.850000	31	2	7	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=798	http://www.npd.no/FactMapSearch?NPDID_wellbore=798	initial	\N	798	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-23	2/7-A-23	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1979-11-19	1980-03-17	ELDFISK	167-P	2/7-1 ELDFISK	NO	41.000000	\N	3604.900000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1979	1980	\N	71	ED50	56	22	36.19	N	3	15	56.66	E	56.376719	3.265739	6248179.130000	516412.760000	31	2	7	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=799	http://www.npd.no/FactMapSearch?NPDID_wellbore=799	initial	\N	799	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-24	2/7-A-24	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1979-11-26	1980-01-18	ELDFISK	168-P	2/7-1 ELDFISK	NO	41.000000	\N	4095.600000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1979	1980	\N	71	ED50	56	22	36.15	N	3	15	56.49	E	56.376708	3.265692	6248177.880000	516409.850000	31	2	7	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=800	http://www.npd.no/FactMapSearch?NPDID_wellbore=800	initial	\N	800	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-25	2/7-A-25	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1978-06-05	1979-01-08	ELDFISK	110-P	2/7-1 ELDFISK	NO	41.000000	\N	3246.400000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	1979	\N	50	ED50	56	22	36.26	N	3	15	56.81	E	56.376739	3.265781	6248181.310000	516415.330000	31	2	7	A	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=801	http://www.npd.no/FactMapSearch?NPDID_wellbore=801	initial	\N	801	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-26	2/7-A-26	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1978-10-08	1978-12-20	ELDFISK	127-P	2/7-1 ELDFISK	NO	41.000000	\N	3737.500000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	1978	\N	50	ED50	56	22	36.26	N	3	15	56.63	E	56.376739	3.265731	6248181.290000	516412.240000	31	2	7	A	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=802	http://www.npd.no/FactMapSearch?NPDID_wellbore=802	initial	\N	802	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-27	2/7-A-27	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1980-08-22	1980-10-09	ELDFISK	190-P	2/7-1 ELDFISK	NO	42.900000	\N	3513.700000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1980	1980	\N	50	ED50	56	22	36.25	N	3	15	56.44	E	56.376736	3.265678	6248180.970000	516408.980000	31	2	7	A	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=803	http://www.npd.no/FactMapSearch?NPDID_wellbore=803	initial	\N	803	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-28	2/7-A-28	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1978-06-13	1980-12-15	ELDFISK	112-P	2/7-1 ELDFISK	NO	41.000000	\N	4609.800000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1978	1980	\N	71	ED50	56	22	36.36	N	3	15	56.72	E	56.376767	3.265756	6248184.390000	516413.770000	31	2	7	A	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=804	http://www.npd.no/FactMapSearch?NPDID_wellbore=804	initial	\N	804	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-29	2/7-A-29	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1981-10-01	1982-01-02	ELDFISK	209-P	2/7-1 ELDFISK	NO	41.000000	\N	4052.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1981	1982	\N	50	ED50	56	22	36.32	N	3	15	56.57	E	56.376756	3.265714	6248183.140000	516411.200000	31	2	7	A	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=805	http://www.npd.no/FactMapSearch?NPDID_wellbore=805	initial	\N	805	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-30	2/7-A-30	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1980-06-18	1980-08-21	ELDFISK	185-P	2/7-1 ELDFISK	NO	41.000000	\N	3723.400000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1980	1980	\N	50	ED50	56	22	36.32	N	3	15	56.39	E	56.376756	3.265664	6248183.130000	516408.110000	31	2	7	A	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=806	http://www.npd.no/FactMapSearch?NPDID_wellbore=806	initial	\N	806	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-1	2/7-B-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1980-04-04	1980-09-29	ELDFISK	179-P	2/7-1 ELDFISK	NO	44.000000	\N	4248.300000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1980	1980	\N	71	ED50	56	25	8.98	N	3	13	6.44	E	56.419161	3.218456	6252892.980000	513477.420000	31	2	7	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=807	http://www.npd.no/FactMapSearch?NPDID_wellbore=807	initial	\N	807	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-3	2/7-B-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1985-04-18	1985-09-13	ELDFISK	298-P	2/7-1 ELDFISK	NO	44.000000	\N	3494.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1985	1985	\N	50	ED50	56	25	8.85	N	3	13	6.13	E	56.419125	3.218369	6252888.950000	513472.120000	31	2	7	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=808	http://www.npd.no/FactMapSearch?NPDID_wellbore=808	initial	\N	808	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-5	2/7-B-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1983-09-13	1984-01-14	ELDFISK	252-P	2/7-1 ELDFISK	NO	44.000000	\N	4285.800000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1983	1984	\N	71	ED50	56	25	9.59	N	3	13	6.22	E	56.419331	3.218394	6252911.830000	513473.590000	31	2	7	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=809	http://www.npd.no/FactMapSearch?NPDID_wellbore=809	initial	\N	809	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-6	2/7-B-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1980-09-29	1981-04-26	ELDFISK	194-P	2/7-1 ELDFISK	NO	44.000000	\N	4110.200000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1980	1981	\N	50	ED50	56	25	8.97	N	3	13	6.22	E	56.419158	3.218394	6252892.660000	513473.650000	31	2	7	B	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=810	http://www.npd.no/FactMapSearch?NPDID_wellbore=810	initial	\N	810	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-7	2/7-B-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1981-05-10	1981-07-05	ELDFISK	203-P	2/7-1 ELDFISK	NO	44.000000	\N	3649.400000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1981	1981	\N	50	ED50	56	25	8.95	N	3	13	6.08	E	56.419153	3.218356	6252892.040000	513471.250000	31	2	7	B	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=811	http://www.npd.no/FactMapSearch?NPDID_wellbore=811	initial	\N	811	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-9	2/7-B-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1981-07-06	1981-08-06	ELDFISK	205-P	2/7-1 ELDFISK	NO	44.000000	\N	4053.800000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1981	1981	\N	50	ED50	56	25	9.60	N	3	13	5.32	E	56.419333	3.218144	6252912.090000	513458.160000	31	2	7	B	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=812	http://www.npd.no/FactMapSearch?NPDID_wellbore=812	initial	\N	812	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-10	2/7-B-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-10-08	1980-01-09	ELDFISK	163-P	2/7-1 ELDFISK	NO	44.000000	\N	3842.600000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1979	1980	\N	50	ED50	56	25	9.05	N	3	13	6.18	E	56.419181	3.218383	6252895.130000	513472.950000	31	2	7	B	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=813	http://www.npd.no/FactMapSearch?NPDID_wellbore=813	initial	\N	813	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-11	2/7-B-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-04-20	1979-07-02	ELDFISK	144-P	2/7-1 ELDFISK	NO	44.000000	\N	3346.700000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1979	1979	\N	50	ED50	56	25	8.98	N	3	13	6.03	E	56.419161	3.218342	6252892.960000	513470.390000	31	2	7	B	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=814	http://www.npd.no/FactMapSearch?NPDID_wellbore=814	initial	\N	814	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-12	2/7-B-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1981-08-10	1982-09-26	ELDFISK	206-P	2/7-1 ELDFISK	NO	44.000000	\N	4419.600000	71.300000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1981	1982	\N	50	ED50	56	25	8.98	N	3	13	5.53	E	56.419161	3.218203	6252892.930000	513461.820000	31	2	7	B	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=815	http://www.npd.no/FactMapSearch?NPDID_wellbore=815	initial	\N	815	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-13	2/7-B-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1984-08-18	1984-11-10	ELDFISK	280-P	2/7-1 ELDFISK	NO	44.000000	\N	4059.900000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1984	1984	\N	71	ED50	56	25	9.14	N	3	13	6.30	E	56.419206	3.218417	6252897.920000	513475.000000	31	2	7	B	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=816	http://www.npd.no/FactMapSearch?NPDID_wellbore=816	initial	\N	816	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-14	2/7-B-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1979-07-02	1979-08-19	ELDFISK	151-P	2/7-1 ELDFISK	NO	44.000000	\N	3574.700000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1979	1979	\N	71	ED50	56	25	9.11	N	3	13	6.13	E	56.419197	3.218369	6252896.980000	513472.090000	31	2	7	B	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=817	http://www.npd.no/FactMapSearch?NPDID_wellbore=817	initial	\N	817	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-17	2/7-B-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1984-05-24	1984-07-29	ELDFISK	259-P	2/7-1 ELDFISK	NO	44.000000	\N	3474.700000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1984	1984	\N	71	ED50	56	25	9.21	N	3	13	6.25	E	56.419225	3.218403	6252900.080000	513474.140000	31	2	7	B	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=818	http://www.npd.no/FactMapSearch?NPDID_wellbore=818	initial	\N	818	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-18	2/7-B-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1980-01-28	1980-03-29	ELDFISK	175-P	2/7-1 ELDFISK	NO	44.000000	\N	3895.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1980	1980	\N	71	ED50	56	25	9.18	N	3	13	6.06	E	56.419217	3.218350	6252899.150000	513470.880000	31	2	7	B	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=819	http://www.npd.no/FactMapSearch?NPDID_wellbore=819	initial	\N	819	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-19	2/7-B-19	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1979-08-19	1979-10-08	ELDFISK	156-P	2/7-1 ELDFISK	NO	42.000000	\N	3262.900000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1979	1979	\N	71	ED50	56	25	9.17	N	3	13	5.90	E	56.419214	3.218306	6252898.830000	513468.140000	31	2	7	B	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=820	http://www.npd.no/FactMapSearch?NPDID_wellbore=820	initial	\N	820	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-20	2/7-B-20	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1983-03-04	1983-05-12	ELDFISK	240-P	2/7-1 ELDFISK	NO	44.000000	\N	3312.300000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1983	1983	\N	50	ED50	56	25	9.13	N	3	13	5.74	E	56.419203	3.218261	6252897.580000	513465.410000	31	2	7	B	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=821	http://www.npd.no/FactMapSearch?NPDID_wellbore=821	initial	\N	821	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-C-2	2/7-C-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-03-09	1979-05-20	EDDA	140-P	2/7-4 EDDA	NO	42.000000	\N	3398.500000	70.000000	NORTH SEA	EDDA	JACKET 12 LEGS	EDDA	1-A	NO	OIL	1979	1979	\N	50	ED50	56	27	52.76	N	3	6	16.17	E	56.464656	3.104492	6257940.450000	506438.830000	31	2	7	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=822	http://www.npd.no/FactMapSearch?NPDID_wellbore=822	initial	\N	822	44150	43541	9999-12-31	20900	271637	271637	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-C-3	2/7-C-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1980-05-28	1980-07-04	EDDA	183-P	2/7-4 EDDA	NO	42.400000	\N	3520.700000	70.000000	NORTH SEA	EDDA	JACKET 12 LEGS	EDDA	1-A	NO	OIL	1980	1980	\N	71	ED50	56	27	52.75	N	3	6	15.99	E	56.464653	3.104442	6257940.130000	506435.750000	31	2	7	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=823	http://www.npd.no/FactMapSearch?NPDID_wellbore=823	initial	\N	823	44150	43541	9999-12-31	20900	271637	271637	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-C-5	2/7-C-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-07-02	1979-09-03	EDDA	152-P	2/7-4 EDDA	NO	42.000000	\N	3661.300000	70.000000	NORTH SEA	EDDA	JACKET 12 LEGS	EDDA	1-A	NO	OIL	1979	1979	\N	50	ED50	56	27	52.84	N	3	6	16.10	E	56.464678	3.104472	6257942.920000	506437.620000	31	2	7	C	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=824	http://www.npd.no/FactMapSearch?NPDID_wellbore=824	initial	\N	824	44150	43541	9999-12-31	20900	271637	271637	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-C-6	2/7-C-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1980-07-04	1980-09-04	EDDA	188-P	2/7-4 EDDA	NO	42.000000	\N	3672.800000	70.000000	NORTH SEA	EDDA	JACKET 12 LEGS	EDDA	1-A	NO	OIL	1980	1980	\N	71	ED50	56	27	52.81	N	3	6	15.94	E	56.464669	3.104428	6257941.990000	506434.890000	31	2	7	C	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=825	http://www.npd.no/FactMapSearch?NPDID_wellbore=825	initial	\N	825	44150	43541	9999-12-31	20900	271637	271637	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-C-8	2/7-C-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1980-01-24	1980-03-13	EDDA	174-P	2/7-4 EDDA	NO	42.000000	\N	3762.100000	70.000000	NORTH SEA	EDDA	JACKET 12 LEGS	EDDA	1-A	NO	OIL	1980	1980	\N	71	ED50	56	27	52.91	N	3	6	16.05	E	56.464697	3.104458	6257945.080000	506436.770000	31	2	7	C	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=826	http://www.npd.no/FactMapSearch?NPDID_wellbore=826	initial	\N	826	44150	43541	9999-12-31	20900	271637	271637	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-C-9	2/7-C-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-09-03	1979-10-15	EDDA	158-P	2/7-4 EDDA	NO	42.000000	\N	3428.400000	70.000000	NORTH SEA	EDDA	JACKET 12 LEGS	EDDA	1-A	NO	OIL	1979	1979	\N	50	ED50	56	27	52.88	N	3	6	15.88	E	56.464689	3.104411	6257944.150000	506433.860000	31	2	7	C	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=827	http://www.npd.no/FactMapSearch?NPDID_wellbore=827	initial	\N	827	44150	43541	9999-12-31	20900	271637	271637	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-C-10	2/7-C-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1980-09-06	1980-11-03	EDDA	192-P	2/7-4 EDDA	NO	42.000000	\N	3749.300000	70.000000	NORTH SEA	EDDA	JACKET 12 LEGS	EDDA	1-A	NO	OIL	1980	1980	\N	50	ED50	56	27	53.00	N	3	6	16.14	E	56.464722	3.104483	6257947.870000	506438.300000	31	2	7	C	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=828	http://www.npd.no/FactMapSearch?NPDID_wellbore=828	initial	\N	828	44150	43541	9999-12-31	20900	271637	271637	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-C-11	2/7-C-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-10-15	1980-01-16	EDDA	164-P	2/7-4 EDDA	NO	42.000000	\N	3584.100000	70.000000	NORTH SEA	EDDA	JACKET 12 LEGS	EDDA	1-A	NO	OIL	1979	1980	\N	50	ED50	56	27	52.97	N	3	6	15.99	E	56.464714	3.104442	6257946.940000	506435.740000	31	2	7	C	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=829	http://www.npd.no/FactMapSearch?NPDID_wellbore=829	initial	\N	829	44150	43541	9999-12-31	20900	271637	271637	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-C-14	2/7-C-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1979-05-20	1979-07-02	EDDA	147-P	2/7-4 EDDA	NO	42.000000	\N	3389.000000	70.000000	NORTH SEA	EDDA	JACKET 12 LEGS	EDDA	1-A	NO	OIL	1979	1979	\N	50	ED50	56	27	53.04	N	3	6	15.93	E	56.464733	3.104425	6257949.100000	506434.710000	31	2	7	C	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=830	http://www.npd.no/FactMapSearch?NPDID_wellbore=830	initial	\N	830	44150	43541	9999-12-31	20900	271637	271637	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-C-15	2/7-C-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1980-03-13	1980-05-19	EDDA	177-P	2/7-4 EDDA	NO	42.000000	\N	3630.500000	70.000000	NORTH SEA	EDDA	JACKET 12 LEGS	EDDA	1-A	NO	OIL	1980	1980	\N	50	ED50	56	27	53.00	N	3	6	15.77	E	56.464722	3.104381	6257947.860000	506431.970000	31	2	7	C	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=831	http://www.npd.no/FactMapSearch?NPDID_wellbore=831	initial	\N	831	44150	43541	9999-12-31	20900	271637	271637	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/11-A-1	7/11-A-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1977-05-08	1977-06-06	COD	64-P	7/11-1 COD	NO	42.000000	\N	3358.000000	70.000000	NORTH SEA	COD	JACKET 8 LEGS	COD	1-A	NO	GAS	1977	1977	\N	90	ED50	57	4	10.04	N	2	26	5.22	E	57.069456	2.434783	6325401.170000	465726.810000	31	7	11	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=832	http://www.npd.no/FactMapSearch?NPDID_wellbore=832	initial	\N	832	44960	43785	9999-12-31	20900	271693	271693	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/11-A-2	7/11-A-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1977-01-31	1977-03-30	COD	53-P	7/11-1 COD	NO	42.000000	\N	3779.200000	70.000000	NORTH SEA	COD	JACKET 8 LEGS	COD	1-A	NO	OIL	1977	1977	\N	71	ED50	57	4	10.00	N	2	26	5.06	E	57.069444	2.434739	6325399.950000	465724.110000	31	7	11	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=833	http://www.npd.no/FactMapSearch?NPDID_wellbore=833	initial	\N	833	44960	43785	9999-12-31	20900	271693	271693	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/11-A-3	7/11-A-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1976-12-12	1977-02-10	COD	50-P	7/11-1 COD	NO	42.000000	\N	3697.500000	70.000000	NORTH SEA	COD	JACKET 8 LEGS	COD	1-A	NO	GAS	1976	1977	\N	90	ED50	57	4	9.96	N	2	26	4.89	E	57.069433	2.434692	6325398.740000	465721.240000	31	7	11	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=834	http://www.npd.no/FactMapSearch?NPDID_wellbore=834	initial	\N	834	44960	43785	9999-12-31	20900	271693	271693	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/11-A-4	7/11-A-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1977-09-01	1977-09-30	COD	75-P	7/11-1 COD	NO	42.000000	\N	3224.800000	70.000000	NORTH SEA	COD	JACKET 8 LEGS	COD	1-A	NO	GAS	1977	1977	\N	90	ED50	57	4	10.13	N	2	26	5.15	E	57.069481	2.434764	6325403.960000	465725.660000	31	7	11	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=835	http://www.npd.no/FactMapSearch?NPDID_wellbore=835	initial	\N	835	44960	43785	9999-12-31	20900	271693	271693	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/11-A-5	7/11-A-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1976-10-22	1976-12-08	COD	49-P	7/11-1 COD	NO	42.000000	\N	3217.200000	70.000000	NORTH SEA	COD	JACKET 8 LEGS	COD	1-A	NO	GAS	1976	1976	\N	90	ED50	57	4	10.09	N	2	26	4.98	E	57.069469	2.434717	6325402.750000	465722.780000	31	7	11	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=836	http://www.npd.no/FactMapSearch?NPDID_wellbore=836	initial	\N	836	44960	43785	9999-12-31	20900	271693	271693	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/11-A-6	7/11-A-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1985-07-07	1985-08-15	COD	318-P	7/11-1 COD	NO	42.000000	\N	3622.000000	70.000000	NORTH SEA	COD	JACKET 8 LEGS	COD	1-A	NO	GAS	1985	1985	7/11-7 R	71	ED50	57	4	10.04	N	2	26	4.82	E	57.069456	2.434672	6325401.220000	465720.080000	31	7	11	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=837	http://www.npd.no/FactMapSearch?NPDID_wellbore=837	initial	\N	837	44960	43785	9999-12-31	20900	271693	271693	519	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/11-A-7	7/11-A-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1976-08-23	1976-10-21	COD	48-P	7/11-1 COD	NO	42.000000	\N	3616.800000	70.000000	NORTH SEA	COD	JACKET 8 LEGS	COD	1-A	NO	GAS	1976	1976	\N	71	ED50	57	4	10.22	N	2	26	5.08	E	57.069506	2.434744	6325406.750000	465724.500000	31	7	11	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=838	http://www.npd.no/FactMapSearch?NPDID_wellbore=838	initial	\N	838	44960	43785	9999-12-31	20900	271693	271693	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/11-A-8	7/11-A-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1977-07-04	1977-08-22	COD	69-P	7/11-1 COD	NO	42.000000	\N	3886.200000	70.000000	NORTH SEA	COD	JACKET 8 LEGS	COD	1-A	NO	GAS	1977	1977	\N	90	ED50	57	4	10.18	N	2	26	4.91	E	57.069494	2.434697	6325405.540000	465721.630000	31	7	11	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=839	http://www.npd.no/FactMapSearch?NPDID_wellbore=839	initial	\N	839	44960	43785	9999-12-31	20900	271693	271693	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/11-A-9	7/11-A-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1977-03-30	1977-05-03	COD	59-P	7/11-1 COD	NO	42.000000	\N	3387.500000	70.000000	NORTH SEA	COD	JACKET 8 LEGS	COD	1-A	NO	GAS	1977	1977	\N	90	ED50	57	4	10.14	N	2	26	4.75	E	57.069483	2.434653	6325404.330000	465718.920000	31	7	11	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=840	http://www.npd.no/FactMapSearch?NPDID_wellbore=840	initial	\N	840	44960	43785	9999-12-31	20900	271693	271693	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-5	33/12-B-5	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1985-07-24	1985-09-01	STATFJORD	316-P	33/12-1 STATFJORD	NO	77.800000	\N	3648.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	50	ED50	61	12	25.22	N	1	49	52.20	E	61.207006	1.831167	6786567.700000	437193.660000	31	33	12	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=842	http://www.npd.no/FactMapSearch?NPDID_wellbore=842	initial	\N	842	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2013-04-09	2013-04-09	2013-05-08
33/12-B-13	33/12-B-13	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1985-09-24	1985-11-10	STATFJORD	251-P	33/12-1 STATFJORD	NO	77.800000	\N	3144.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	50	ED50	61	12	25.05	N	1	49	52.54	E	61.206958	1.831261	6786562.350000	437198.640000	31	33	12	B	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=843	http://www.npd.no/FactMapSearch?NPDID_wellbore=843	initial	\N	843	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-26	33/9-A-26	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1985-12-14	1986-01-29	STATFJORD	331-P	33/12-1 STATFJORD	NO	64.400000	\N	5161.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1985	1986	\N	173	ED50	61	15	19.92	N	1	51	14.04	E	61.255533	1.853900	6791951.160000	438509.920000	31	33	9	A	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=844	http://www.npd.no/FactMapSearch?NPDID_wellbore=844	initial	\N	844	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-A-15	33/9-A-15	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	\N	DEVELOPMENT	1985-09-11	1985-10-12	STATFJORD	321-P	33/12-1 STATFJORD	NO	64.400000	\N	2845.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	71	ED50	61	15	20.81	N	1	51	14.82	E	61.255781	1.854117	6791978.490000	438522.020000	31	33	9	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=845	http://www.npd.no/FactMapSearch?NPDID_wellbore=845	initial	\N	845	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-C-28	33/9-C-28	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1985-09-22	1985-10-17	STATFJORD	322-P	33/12-1 STATFJORD	NO	78.400000	\N	2726.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	50	ED50	61	17	46.86	N	1	54	10.27	E	61.296350	1.902853	6796452.360000	441212.490000	31	33	9	C	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=846	http://www.npd.no/FactMapSearch?NPDID_wellbore=846	initial	\N	846	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
30/9-B-21	30/9-B-21	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1985-09-22	1986-01-13	OSEBERG	324-P	30/6-1 OSEBERG	NO	25.000000	\N	3318.000000	109.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1985	1986	\N	50	ED50	60	29	36.17	N	2	49	42.76	E	60.493381	2.828544	6706530.070000	490578.900000	31	30	9	B	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=847	http://www.npd.no/FactMapSearch?NPDID_wellbore=847	initial	\N	847	44396	43625	9999-12-31	34635	297028	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-7	33/9-C-7	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1985-10-18	1985-11-24	STATFJORD	332-P	33/12-1 STATFJORD	NO	78.400000	\N	3199.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1985	1985	\N	50	ED50	61	17	48.04	N	1	54	11.31	E	61.296678	1.903142	6796488.610000	441228.580000	31	33	9	C	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=848	http://www.npd.no/FactMapSearch?NPDID_wellbore=848	initial	\N	848	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
34/10-A-1 H	34/10-A-1	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1985-08-19	1985-10-17	GULLFAKS	320-P	34/10-1 GULLFAKS	NO	23.000000	\N	2343.500000	140.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1985	1985	\N	50	ED50	61	11	4.79	N	2	13	15.51	E	61.184664	2.220975	6783767.080000	458109.190000	31	34	10	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=850	http://www.npd.no/FactMapSearch?NPDID_wellbore=850	initial	\N	850	44594	43686	9999-12-31	21188	287983	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-27	30/9-B-27	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	1986-03-18	1986-05-19	OSEBERG	348-P	30/6-1 OSEBERG	NO	25.000000	\N	3463.000000	109.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1986	1986	\N	71	ED50	60	29	36.08	N	2	49	42.79	E	60.493356	2.828553	6706527.280000	490579.350000	31	30	9	B	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=851	http://www.npd.no/FactMapSearch?NPDID_wellbore=851	initial	\N	851	44396	43625	9999-12-31	34635	297028	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-3 H	34/10-A-3	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1985-11-29	1986-12-02	GULLFAKS	339-P	34/10-1 GULLFAKS	NO	23.000000	\N	2344.500000	139.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1985	1986	\N	50	ED50	61	11	14.26	N	2	12	41.76	E	61.187294	2.211600	6784066.130000	457608.610000	31	34	10	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=857	http://www.npd.no/FactMapSearch?NPDID_wellbore=857	initial	\N	857	44594	43686	9999-12-31	21188	287983	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-4 H	34/10-A-4	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1986-01-31	1986-05-02	GULLFAKS	343-P	34/10-1 GULLFAKS	NO	23.000000	\N	2230.000000	142.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1986	1986	\N	50	ED50	61	11	17.53	N	2	13	27.47	E	61.188203	2.224297	6784159.150000	458292.510000	31	34	10	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=861	http://www.npd.no/FactMapSearch?NPDID_wellbore=861	initial	\N	861	44594	43686	9999-12-31	21188	287983	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-K-2	2/4-K-2	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1985-10-15	1990-10-02	EKOFISK	323-P	2/4-2 EKOFISK	NO	57.000000	\N	5111.500000	71.000000	NORTH SEA	DYVI BETA	JACKET 4 LEGS	EKOFISK K	1-A	NO	WATER	1985	1990	\N	173	ED50	56	33	56.02	N	3	12	23.29	E	56.565561	3.206469	6269186.550000	512688.980000	31	2	4	K	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=864	http://www.npd.no/FactMapSearch?NPDID_wellbore=864	initial	\N	864	44072	43506	9999-12-31	20900	288118	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-3	2/4-K-3	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1985-11-02	1996-02-10	EKOFISK	335-P	2/4-2 EKOFISK	NO	57.000000	\N	6585.000000	71.000000	NORTH SEA	DYVI BETA	JACKET 4 LEGS	EKOFISK K	1-A	NO	WATER	1985	1996	\N	173	ED50	56	33	55.98	N	3	12	23.11	E	56.565550	3.206419	6269185.300000	512685.910000	31	2	4	K	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=865	http://www.npd.no/FactMapSearch?NPDID_wellbore=865	initial	\N	865	44072	43506	9999-12-31	20900	288118	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-35	33/12-B-35	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1985-12-01	1986-01-12	STATFJORD	334-P	33/12-1 STATFJORD	NO	77.800000	\N	3997.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1985	1986	\N	50	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=866	http://www.npd.no/FactMapSearch?NPDID_wellbore=866	initial	\N	866	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/8-A-21	2/8-A-21	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	\N	DEVELOPMENT	1986-02-09	1986-03-21	VALHALL	344-P	2/8-6 VALHALL	NO	44.000000	\N	4672.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1986	1986	\N	71	ED50	56	16	41.09	N	3	23	43.74	E	56.278081	3.395483	6237238.460000	524489.160000	31	2	8	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=868	http://www.npd.no/FactMapSearch?NPDID_wellbore=868	initial	\N	868	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
33/9-C-35	33/9-C-35	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1985-11-23	1986-03-21	STATFJORD	337-P	33/12-1 STATFJORD	NO	78.400000	\N	4052.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1985	1986	\N	173	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	33	9	C	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=869	http://www.npd.no/FactMapSearch?NPDID_wellbore=869	initial	\N	869	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-C-14	33/9-C-14	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1985-11-29	1986-01-22	STATFJORD	338-P	33/12-1 STATFJORD	NO	78.400000	\N	5199.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1985	1986	\N	173	ED50	61	17	47.99	N	1	54	10.77	E	61.296664	1.902992	6796487.200000	441220.510000	31	33	9	C	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=870	http://www.npd.no/FactMapSearch?NPDID_wellbore=870	initial	\N	870	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
30/9-B-29	30/9-B-29	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	1986-01-13	1986-03-18	OSEBERG	341-P	30/6-1 OSEBERG	NO	58.000000	\N	3496.000000	109.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1986	1986	\N	71	ED50	60	29	36.10	N	2	49	43.12	E	60.493361	2.828644	6706527.890000	490584.390000	31	30	9	B	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=873	http://www.npd.no/FactMapSearch?NPDID_wellbore=873	initial	\N	873	44396	43625	9999-12-31	34635	297028	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-K-12	2/4-K-12	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1985-11-23	1986-03-04	EKOFISK	336-P	2/4-2 EKOFISK	NO	57.000000	\N	3726.200000	71.000000	NORTH SEA	DYVI BETA	JACKET 4 LEGS	EKOFISK K	1-A	NO	WATER	1985	1986	\N	173	ED50	56	33	56.12	N	3	12	23.25	E	56.565589	3.206458	6269189.640000	512688.290000	31	2	4	K	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=876	http://www.npd.no/FactMapSearch?NPDID_wellbore=876	initial	\N	876	44072	43506	9999-12-31	20900	288118	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-22	33/12-B-22	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1986-03-04	1986-04-29	STATFJORD	347-P	33/12-1 STATFJORD	NO	77.800000	\N	2935.000000	145.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1986	1986	\N	50	ED50	61	12	24.14	N	1	49	51.06	E	61.206706	1.830850	6786534.590000	437176.050000	31	33	12	B	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=880	http://www.npd.no/FactMapSearch?NPDID_wellbore=880	initial	\N	880	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
25/4-A-11	25/4-A-11	Elf Petroleum Norge AS	ELF	036	PRODUCTION	GAS	DEVELOPMENT	1985-11-23	1986-02-16	HEIMDAL	330-P	25/4-1 HEIMDAL	NO	57.500000	\N	2195.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1985	1986	\N	90	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	25	4	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=882	http://www.npd.no/FactMapSearch?NPDID_wellbore=882	initial	\N	882	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
33/9-A-40	33/9-A-40	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1986-02-01	1986-05-09	STATFJORD	340-P	33/12-1 STATFJORD	NO	64.400000	\N	4283.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1986	1986	\N	50	ED50	61	15	19.72	N	1	51	13.87	E	61.255478	1.853853	6791945.020000	438507.270000	31	33	9	A	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=883	http://www.npd.no/FactMapSearch?NPDID_wellbore=883	initial	\N	883	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
25/4-A-9	25/4-A-9	Elf Petroleum Norge AS	ELF	036	PRODUCTION	GAS	DEVELOPMENT	1985-12-09	1986-01-03	HEIMDAL	326-P	25/4-1 HEIMDAL	NO	57.500000	\N	2187.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1985	1986	\N	90	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	25	4	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=885	http://www.npd.no/FactMapSearch?NPDID_wellbore=885	initial	\N	885	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
33/12-B-14	33/12-B-14	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1986-01-13	1986-03-04	STATFJORD	342-P	33/12-1 STATFJORD	NO	78.000000	\N	4749.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1986	1986	\N	173	ED50	61	12	25.12	N	1	49	51.93	E	61.206978	1.831092	6786564.680000	437189.570000	31	33	12	B	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=886	http://www.npd.no/FactMapSearch?NPDID_wellbore=886	initial	\N	886	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
25/4-A-7	25/4-A-7	Elf Petroleum Norge AS	ELF	036	PRODUCTION	GAS	DEVELOPMENT	1985-11-16	1986-03-10	HEIMDAL	328-P	25/4-1 HEIMDAL	NO	57.500000	\N	2187.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1985	1986	\N	90	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	25	4	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=890	http://www.npd.no/FactMapSearch?NPDID_wellbore=890	initial	\N	890	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/4-A-5	25/4-A-5	Elf Petroleum Norge AS	ELF	036	PRODUCTION	GAS	DEVELOPMENT	1985-11-13	1986-01-27	HEIMDAL	327-P	25/4-1 HEIMDAL	NO	57.500000	\N	2203.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1985	1986	\N	90	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	25	4	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=891	http://www.npd.no/FactMapSearch?NPDID_wellbore=891	initial	\N	891	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
33/12-B-6	33/12-B-6	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1986-04-29	1986-06-03	STATFJORD	350-P	33/12-1 STATFJORD	NO	77.800000	\N	2745.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1986	1986	\N	50	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=899	http://www.npd.no/FactMapSearch?NPDID_wellbore=899	initial	\N	899	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-D-3	2/4-D-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1986-11-13	1987-02-06	VEST EKOFISK	376-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3438.200000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1986	1987	\N	90	ED50	56	33	46.96	N	3	5	8.61	E	56.563044	3.085725	6268890.620000	505268.750000	31	2	4	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=900	http://www.npd.no/FactMapSearch?NPDID_wellbore=900	initial	\N	900	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
1/6-A-7	1/6-A-7	Phillips Petroleum Company Norway	PHILLIPS	011	PRODUCTION	GAS	DEVELOPMENT	1986-02-19	1986-06-28	ALBUSKJELL	346-P	1/6-1 ALBUSKJELL	NO	41.000000	\N	3617.700000	69.000000	NORTH SEA	ALBUSKJELL A	JACKET 12 LEGS	ALBUSKJELL A	1-A	NO	GAS	1986	1986	\N	90	ED50	56	38	33.73	N	2	56	23.85	E	56.642703	2.939958	6277755.930000	496317.530000	31	1	6	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=903	http://www.npd.no/FactMapSearch?NPDID_wellbore=903	initial	\N	903	43844	43437	9999-12-31	20844	271357	271357	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/4-A-8	25/4-A-8	Elf Petroleum Norge AS	ELF	036	PRODUCTION	GAS	DEVELOPMENT	1985-11-25	1986-07-01	HEIMDAL	325-P	25/4-1 HEIMDAL	NO	57.500000	\N	2456.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1985	1986	\N	90	ED50	59	34	26.98	N	2	13	43.70	E	59.574161	2.228806	6604394.360000	456431.430000	31	25	4	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=905	http://www.npd.no/FactMapSearch?NPDID_wellbore=905	initial	\N	905	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
30/9-B-25	30/9-B-25	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	GAS	DEVELOPMENT	1986-05-19	1986-07-08	OSEBERG	354-P	30/6-1 OSEBERG	NO	24.000000	\N	3920.000000	109.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	OSEBERG B	Awarded additionaly to round 6	NO	GAS	1986	1986	\N	91	ED50	60	29	36.05	N	2	49	42.50	E	60.493347	2.828472	6706526.360000	490574.920000	31	30	9	B	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=908	http://www.npd.no/FactMapSearch?NPDID_wellbore=908	initial	\N	908	44396	43625	9999-12-31	34635	297028	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-32	33/9-C-32	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	\N	DEVELOPMENT	1986-05-08	1986-06-07	STATFJORD	353-P	33/12-1 STATFJORD	NO	78.400000	\N	2892.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1986	1986	\N	71	ED50	61	17	46.82	N	1	54	10.07	E	61.296339	1.902797	6796451.170000	441209.490000	31	33	9	C	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=909	http://www.npd.no/FactMapSearch?NPDID_wellbore=909	initial	\N	909	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
7/12-A-18	7/12-A-18	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1987-01-11	1987-04-19	ULA	385-P	7/12-2 ULA	NO	57.000000	\N	3830.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1987	1987	\N	50	ED50	57	6	40.97	N	2	50	50.72	E	57.111381	2.847422	6329936.760000	490758.480000	31	7	12	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=913	http://www.npd.no/FactMapSearch?NPDID_wellbore=913	initial	\N	913	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
33/9-C-9	33/9-C-9	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1986-06-08	1986-07-08	STATFJORD	355-P	33/12-1 STATFJORD	NO	78.400000	\N	3580.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1986	1986	\N	173	ED50	61	17	48.06	N	1	54	10.83	E	61.296683	1.903008	6796489.350000	441221.440000	31	33	9	C	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=914	http://www.npd.no/FactMapSearch?NPDID_wellbore=914	initial	\N	914	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-12-06	2012-12-06	2013-05-08
33/12-B-20	33/12-B-20	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1986-06-16	1986-07-13	STATFJORD	234-P	33/12-1 STATFJORD	NO	77.800000	\N	2853.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1986	1986	\N	50	ED50	61	12	24.99	N	1	49	52.13	E	61.206942	1.831147	6786560.610000	437192.490000	31	33	12	B	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=917	http://www.npd.no/FactMapSearch?NPDID_wellbore=917	initial	\N	917	44558	43658	9999-12-31	21084	271301	271301	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
34/10-A-2 AH	34/10-A-2	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1986-05-10	1986-10-17	GULLFAKS	352-P	34/10-1 GULLFAKS	NO	23.000000	\N	2000.000000	138.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1986	1986	\N	50	ED50	61	10	48.48	N	2	13	6.42	E	61.180133	2.218450	6783264.060000	457967.380000	31	34	10	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=923	http://www.npd.no/FactMapSearch?NPDID_wellbore=923	sidetrack	34/10-A-2 H	923	44594	43686	9999-12-31	21188	287983	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-11 A	2/8-A-11	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1986-06-17	1986-08-03	VALHALL	356-P	2/8-6 VALHALL	NO	43.500000	\N	3689.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1986	1986	\N	50	ED50	56	16	41.39	N	3	23	43.73	E	56.278164	3.395481	6237247.740000	524488.940000	31	2	8	A	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=924	http://www.npd.no/FactMapSearch?NPDID_wellbore=924	sidetrack	2/8-A-11	924	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
33/12-B-40	33/12-B-40	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1988-07-02	1988-10-25	STATFJORD	362-P	33/12-1 STATFJORD	NO	77.800000	\N	5238.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1988	1988	\N	50	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	33	12	B	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=927	http://www.npd.no/FactMapSearch?NPDID_wellbore=927	initial	\N	927	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-49 H	30/9-B-49	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1986-07-09	1986-09-07	OSEBERG	358-P	30/6-1 OSEBERG	NO	25.000000	\N	2843.000000	104.000000	NORTH SEA	TREASURE HUNTER	SEMISUB STEEL	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1986	1986	\N	50	ED50	60	32	31.70	N	2	50	14.70	E	60.542139	2.837417	6711959.580000	491079.820000	31	30	9	B	49	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=929	http://www.npd.no/FactMapSearch?NPDID_wellbore=929	initial	\N	929	44396	43625	9999-12-31	34635	289360	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-2	34/10-B-2	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1988-03-25	1988-06-15	GULLFAKS	449-P	34/10-1 GULLFAKS	NO	80.700000	\N	2943.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1988	1988	\N	50	ED50	61	12	10.15	N	2	12	6.05	E	61.202819	2.201681	6785801.890000	457096.390000	31	34	10	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=930	http://www.npd.no/FactMapSearch?NPDID_wellbore=930	initial	\N	930	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-37	33/9-C-37	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	\N	DEVELOPMENT	1986-07-08	1986-08-16	STATFJORD	361-P	33/12-1 STATFJORD	NO	78.400000	\N	3140.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1986	1986	\N	71	ED50	61	17	46.75	N	1	54	10.01	E	61.296319	1.902781	6796449.020000	441208.560000	31	33	9	C	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=931	http://www.npd.no/FactMapSearch?NPDID_wellbore=931	initial	\N	931	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/4-K-23	2/4-K-23	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1986-03-04	1987-09-29	EKOFISK	345-P	2/4-2 EKOFISK	NO	57.000000	\N	3395.800000	71.000000	NORTH SEA	DYVI BETA	JACKET 4 LEGS	EKOFISK K	1-A	NO	WATER	1986	1987	\N	173	ED50	56	33	56.12	N	3	12	23.00	E	56.565589	3.206389	6269189.620000	512684.020000	31	2	4	K	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=932	http://www.npd.no/FactMapSearch?NPDID_wellbore=932	initial	\N	932	44072	43506	9999-12-31	20900	288118	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/9-B-20	30/9-B-20	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	GAS	DEVELOPMENT	1986-07-09	1986-08-26	OSEBERG	359-P	30/6-1 OSEBERG	NO	25.000000	\N	3307.000000	109.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	OSEBERG B	Awarded additionaly to round 6	NO	GAS	1986	1986	\N	91	ED50	60	29	36.03	N	2	49	42.58	E	60.493342	2.828494	6706525.740000	490576.140000	31	30	9	B	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=934	http://www.npd.no/FactMapSearch?NPDID_wellbore=934	initial	\N	934	44396	43625	9999-12-31	34635	297028	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-A-16 A	2/8-A-16	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1986-04-04	1986-06-17	VALHALL	351-P	2/8-6 VALHALL	NO	44.000000	\N	3020.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1986	1986	\N	50	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	2	8	A	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=939	http://www.npd.no/FactMapSearch?NPDID_wellbore=939	sidetrack	2/8-A-16	939	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-18 A	2/8-A-18	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	\N	DEVELOPMENT	1986-08-13	1986-10-05	VALHALL	360-P	2/8-6 VALHALL	NO	44.000000	\N	4456.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1986	1986	\N	71	ED50	56	16	41.13	N	3	23	44.21	E	56.278092	3.395614	6237239.750000	524497.240000	31	2	8	A	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=941	http://www.npd.no/FactMapSearch?NPDID_wellbore=941	sidetrack	2/8-A-18	941	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-A-5 H	34/10-A-5	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1986-12-04	1987-03-18	GULLFAKS	382-P	34/10-1 GULLFAKS	NO	23.000000	\N	1996.500000	136.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1986	1987	\N	173	ED50	61	10	42.12	N	2	12	38.43	E	61.178367	2.210675	6783072.300000	457546.870000	31	34	10	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=942	http://www.npd.no/FactMapSearch?NPDID_wellbore=942	initial	\N	942	44594	43686	9999-12-31	21188	287983	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-C-11	2/4-C-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1986-06-16	1986-10-15	EKOFISK	357-P	2/4-2 EKOFISK	NO	37.000000	\N	3355.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1986	1986	\N	50	ED50	56	32	52.66	N	3	12	55.69	E	56.547961	3.215469	6267229.160000	513248.240000	31	2	4	C	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=945	http://www.npd.no/FactMapSearch?NPDID_wellbore=945	initial	\N	945	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/9-B-26	30/9-B-26	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1986-12-21	1987-02-20	OSEBERG	386-P	30/6-1 OSEBERG	NO	25.000000	\N	4426.000000	109.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1986	1987	\N	50	ED50	60	29	36.07	N	2	49	42.63	E	60.493353	2.828508	6706526.980000	490576.900000	31	30	9	B	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=946	http://www.npd.no/FactMapSearch?NPDID_wellbore=946	initial	\N	946	44396	43625	9999-12-31	34635	297028	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-19	33/9-C-19	Mobil Exploration Norway INC	MOBIL	037	INJECTION	\N	DEVELOPMENT	1986-08-16	1986-10-15	STATFJORD	366-P	33/12-1 STATFJORD	NO	78.400000	\N	4433.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1986	1986	\N	72	ED50	61	17	47.90	N	1	54	10.85	E	61.296639	1.903014	6796484.390000	441221.660000	31	33	9	C	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=948	http://www.npd.no/FactMapSearch?NPDID_wellbore=948	initial	\N	948	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
7/12-A-10	7/12-A-10	BP Norway Limited  U.A.	BP	019	PRODUCTION	\N	DEVELOPMENT	1986-07-09	1986-10-04	ULA	365-P	7/12-2 ULA	NO	57.000000	\N	3710.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1986	1986	\N	71	ED50	57	6	41.19	N	2	50	50.73	E	57.111442	2.847425	6329943.570000	490758.660000	31	7	12	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=950	http://www.npd.no/FactMapSearch?NPDID_wellbore=950	initial	\N	950	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/9-B-23	30/9-B-23	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	1986-08-29	1986-11-13	OSEBERG	368-P	30/6-1 OSEBERG	NO	24.000000	\N	4266.000000	109.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1986	1986	\N	71	ED50	60	29	36.20	N	2	49	43.09	E	60.493389	2.828636	6706530.980000	490583.940000	31	30	9	B	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=951	http://www.npd.no/FactMapSearch?NPDID_wellbore=951	initial	\N	951	44396	43625	9999-12-31	34635	297028	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7/12-A-6	7/12-A-6	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1986-10-05	1986-10-28	ULA	383-P	7/12-2 ULA	NO	57.000000	\N	3708.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1986	1986	\N	50	ED50	57	6	41.05	N	2	50	51.04	E	57.111403	2.847511	6329939.230000	490763.870000	31	7	12	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=952	http://www.npd.no/FactMapSearch?NPDID_wellbore=952	initial	\N	952	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
1/9-A-1 H	1/9-A-1	Den norske stats oljeselskap a.s	STATOIL	044	PRODUCTION	GAS	DEVELOPMENT	1986-09-22	1986-11-24	TOMMELITEN GAMMA	370-P	1/9-4 TOMMELITEN GAMMA	NO	22.000000	\N	3575.000000	75.000000	NORTH SEA	ROSS ISLE	SEMISUB STEEL	TOMMELITEN	3	NO	GAS	1986	1986	\N	90	ED50	56	29	31.76	N	2	55	27.66	E	56.492156	2.924350	6260999.160000	495341.780000	31	1	9	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1006	http://www.npd.no/FactMapSearch?NPDID_wellbore=1006	initial	\N	1006	43856	43444	9999-12-31	21140	296245	272869	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-21 A	2/8-A-21	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1986-10-07	1986-12-06	VALHALL	371-P	2/8-6 VALHALL	NO	44.000000	\N	4660.700000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1986	1986	\N	50	ED50	56	16	41.09	N	3	23	43.74	E	56.278081	3.395483	6237238.460000	524489.160000	31	2	8	A	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1007	http://www.npd.no/FactMapSearch?NPDID_wellbore=1007	sidetrack	2/8-A-21	1007	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
30/9-B-19	30/9-B-19	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	\N	DEVELOPMENT	1987-04-09	1987-05-22	OSEBERG	402-P	30/6-1 OSEBERG	NO	24.000000	\N	4082.000000	109.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	OSEBERG B	Awarded additionaly to round 6	NO	GAS	1987	1987	\N	72	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	30	9	B	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1008	http://www.npd.no/FactMapSearch?NPDID_wellbore=1008	initial	\N	1008	44396	43625	9999-12-31	34635	297028	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-25	33/9-C-25	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1986-10-06	1986-11-22	STATFJORD	372-P	33/12-1 STATFJORD	NO	78.400000	\N	3520.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1986	1986	\N	173	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	33	9	C	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1009	http://www.npd.no/FactMapSearch?NPDID_wellbore=1009	initial	\N	1009	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
7/12-A-2	7/12-A-2	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1986-10-29	1987-01-09	ULA	375-P	7/12-2 ULA	NO	57.000000	\N	3787.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1986	1987	\N	50	ED50	57	6	41.40	N	2	50	50.73	E	57.111500	2.847425	6329950.060000	490758.680000	31	7	12	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1010	http://www.npd.no/FactMapSearch?NPDID_wellbore=1010	initial	\N	1010	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/7-A-17	2/7-A-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1986-09-02	1986-11-10	ELDFISK	369-P	2/7-1 ELDFISK	NO	41.000000	\N	3078.500000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1986	1986	\N	71	ED50	56	22	36.05	N	3	15	56.75	E	56.376681	3.265764	6248174.810000	516414.320000	31	2	7	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1011	http://www.npd.no/FactMapSearch?NPDID_wellbore=1011	initial	\N	1011	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/9-B-24	30/9-B-24	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1986-11-14	1986-12-20	OSEBERG	374-P	30/6-1 OSEBERG	NO	24.000000	\N	3538.000000	109.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1986	1986	\N	50	ED50	60	29	36.03	N	2	49	42.58	E	60.493342	2.828494	6706525.740000	490576.140000	31	30	9	B	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1013	http://www.npd.no/FactMapSearch?NPDID_wellbore=1013	initial	\N	1013	44396	43625	9999-12-31	34635	297028	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-5	33/9-C-5	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	\N	DEVELOPMENT	1986-11-20	1986-11-25	STATFJORD	379-P	33/12-1 STATFJORD	NO	78.400000	\N	4035.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1986	1986	\N	71	ED50	61	17	48.10	N	1	54	11.03	E	61.296694	1.903064	6796490.540000	441224.440000	31	33	9	C	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1015	http://www.npd.no/FactMapSearch?NPDID_wellbore=1015	initial	\N	1015	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
1/9-A-2 H	1/9-A-2	Den norske stats oljeselskap a.s	STATOIL	044	PRODUCTION	GAS	DEVELOPMENT	1986-11-19	1987-01-04	TOMMELITEN GAMMA	380-P	1/9-4 TOMMELITEN GAMMA	NO	22.000000	\N	3435.000000	75.000000	NORTH SEA	ROSS ISLE	SEMISUB STEEL	TOMMELITEN	3	NO	GAS	1986	1987	\N	90	ED50	56	29	31.66	N	2	55	26.88	E	56.492128	2.924133	6260996.080000	495328.430000	31	1	9	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1016	http://www.npd.no/FactMapSearch?NPDID_wellbore=1016	initial	\N	1016	43856	43444	9999-12-31	21140	296245	272869	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-4	33/9-C-4	Mobil Exploration Norway INC	MOBIL	037	INJECTION	\N	DEVELOPMENT	1986-11-14	1986-11-20	STATFJORD	377-P	33/12-1 STATFJORD	NO	78.400000	\N	4977.300000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1986	1986	\N	72	ED50	61	17	48.13	N	1	54	10.89	E	61.296703	1.903025	6796491.500000	441222.370000	31	33	9	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1018	http://www.npd.no/FactMapSearch?NPDID_wellbore=1018	initial	\N	1018	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
7/12-A-3 A	7/12-A-3	BP Norway Limited  U.A.	BP	019	INJECTION	WATER	DEVELOPMENT	1990-01-28	1990-03-28	ULA	558-P	7/12-2 ULA	NO	57.000000	\N	4088.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER	1990	1990	\N	173	ED50	57	6	41.23	N	2	50	50.89	E	57.111453	2.847469	6329944.800000	490761.360000	31	7	12	A	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1019	http://www.npd.no/FactMapSearch?NPDID_wellbore=1019	sidetrack	7/12-A-3	1019	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
33/9-C-31	33/9-C-31	Mobil Exploration Norway INC	MOBIL	037	PRODUCTION	OIL	DEVELOPMENT	1986-11-26	1987-01-14	STATFJORD	381-P	33/12-1 STATFJORD	NO	78.400000	\N	3547.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1986	1987	\N	50	ED50	61	17	46.85	N	1	54	9.93	E	61.296347	1.902758	6796452.140000	441207.420000	31	33	9	C	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1020	http://www.npd.no/FactMapSearch?NPDID_wellbore=1020	initial	\N	1020	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
1/9-A-3 H	1/9-A-3	Den norske stats oljeselskap a.s	STATOIL	044	PRODUCTION	GAS	DEVELOPMENT	1987-01-04	1987-02-19	TOMMELITEN GAMMA	387-P	1/9-4 TOMMELITEN GAMMA	NO	22.000000	\N	3329.000000	75.000000	NORTH SEA	ROSS ISLE	SEMISUB STEEL	TOMMELITEN	3	NO	GAS	1987	1987	\N	90	ED50	56	29	31.50	N	2	55	27.13	E	56.492083	2.924203	6260991.130000	495332.710000	31	1	9	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1021	http://www.npd.no/FactMapSearch?NPDID_wellbore=1021	initial	\N	1021	43856	43444	9999-12-31	21140	296245	272869	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-6	34/10-A-6	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	GAS	DEVELOPMENT	1987-02-10	1987-03-08	GULLFAKS	390-P	34/10-1 GULLFAKS	NO	82.200000	\N	450.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	GAS	1987	1987	\N	90	ED50	61	10	33.64	N	2	11	23.09	E	61.176011	2.189747	6782823.690000	456418.080000	31	34	10	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1022	http://www.npd.no/FactMapSearch?NPDID_wellbore=1022	initial	\N	1022	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-18 A	2/7-B-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1986-12-01	1987-01-23	ELDFISK	364-P	2/7-1 ELDFISK	NO	44.000000	\N	3612.800000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1986	1987	\N	50	ED50	56	25	9.18	N	3	13	6.06	E	56.419217	3.218350	6252899.150000	513470.880000	31	2	7	B	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1023	http://www.npd.no/FactMapSearch?NPDID_wellbore=1023	sidetrack	2/7-B-18	1023	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-10 A	2/4-B-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1986-12-17	1987-03-21	EKOFISK	384-P	2/4-2 EKOFISK	NO	33.000000	\N	4293.100000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1986	1987	\N	50	ED50	56	33	54.90	N	3	12	14.04	E	56.565250	3.203900	6269151.440000	512531.170000	31	2	4	B	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1025	http://www.npd.no/FactMapSearch?NPDID_wellbore=1025	sidetrack	2/4-B-10	1025	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-13 A	2/8-A-13	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1987-01-14	1987-02-25	VALHALL	388-P	2/8-6 VALHALL	NO	43.500000	\N	3471.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1987	1987	\N	50	ED50	56	16	41.16	N	3	23	43.67	E	56.278100	3.395464	6237240.620000	524487.940000	31	2	8	A	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1029	http://www.npd.no/FactMapSearch?NPDID_wellbore=1029	sidetrack	2/8-A-13	1029	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/7-B-5 A	2/7-B-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1986-07-06	1986-08-22	ELDFISK	363-P	2/7-1 ELDFISK	NO	44.000000	\N	4111.800000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1986	1986	\N	71	ED50	56	25	9.59	N	3	13	6.22	E	56.419331	3.218394	6252911.830000	513473.590000	31	2	7	B	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1032	http://www.npd.no/FactMapSearch?NPDID_wellbore=1032	sidetrack	2/7-B-5	1032	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-10 A	2/7-B-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1986-08-27	1986-10-27	ELDFISK	373-P	2/7-1 ELDFISK	NO	44.000000	\N	3684.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1986	1986	\N	50	ED50	56	25	9.05	N	3	13	6.18	E	56.419181	3.218383	6252895.130000	513472.950000	31	2	7	B	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1033	http://www.npd.no/FactMapSearch?NPDID_wellbore=1033	sidetrack	2/7-B-10	1033	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-23 A	2/7-A-23	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1986-08-24	1986-09-23	ELDFISK	367-P	2/7-1 ELDFISK	NO	41.000000	\N	3893.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1986	1986	\N	71	ED50	56	22	36.19	N	3	15	56.66	E	56.376719	3.265739	6248179.130000	516412.760000	31	2	7	A	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1034	http://www.npd.no/FactMapSearch?NPDID_wellbore=1034	sidetrack	2/7-A-23	1034	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
1/9-A-4 H	1/9-A-4	Den norske stats oljeselskap a.s	STATOIL	044	PRODUCTION	GAS	DEVELOPMENT	1987-02-21	1987-03-31	TOMMELITEN GAMMA	391-P	1/9-4 TOMMELITEN GAMMA	NO	22.000000	\N	3481.000000	75.000000	NORTH SEA	ROSS ISLE	SEMISUB STEEL	TOMMELITEN	3	NO	GAS	1987	1987	\N	90	ED50	56	29	31.92	N	2	55	27.41	E	56.492200	2.924281	6261004.110000	495337.510000	31	1	9	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1035	http://www.npd.no/FactMapSearch?NPDID_wellbore=1035	initial	\N	1035	43856	43444	9999-12-31	21140	296245	272869	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-15 A	2/8-A-15	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1987-02-10	1987-03-18	VALHALL	389-P	2/8-6 VALHALL	NO	44.000000	\N	3070.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1987	1987	\N	50	ED50	56	16	40.83	N	3	23	43.86	E	56.278008	3.395517	6237230.440000	524491.270000	31	2	8	A	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1039	http://www.npd.no/FactMapSearch?NPDID_wellbore=1039	sidetrack	2/8-A-15	1039	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-3 A	2/8-A-3	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1986-12-07	1987-01-13	VALHALL	378-P	2/8-6 VALHALL	NO	44.000000	\N	2794.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1986	1987	\N	50	ED50	56	16	41.08	N	3	23	44.30	E	56.278078	3.395639	6237238.210000	524498.800000	31	2	8	A	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1040	http://www.npd.no/FactMapSearch?NPDID_wellbore=1040	sidetrack	2/8-A-3	1040	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-26	2/8-A-26	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1992-02-01	1992-04-01	VALHALL	699-P	2/8-6 VALHALL	NO	44.000000	\N	5330.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1992	1992	\N	50	ED50	56	16	41.02	N	3	23	44.20	E	56.278061	3.395611	6237236.350000	524497.090000	31	2	8	A	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1041	http://www.npd.no/FactMapSearch?NPDID_wellbore=1041	initial	\N	1041	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
7/12-A-7	7/12-A-7	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1987-04-19	1987-11-11	ULA	392-P	7/12-2 ULA	NO	57.000000	\N	4262.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1987	1987	\N	50	ED50	57	6	41.45	N	2	50	50.50	E	57.111514	2.847361	6329951.620000	490754.810000	31	7	12	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1042	http://www.npd.no/FactMapSearch?NPDID_wellbore=1042	initial	\N	1042	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
33/9-C-30	33/9-C-30	Mobil Exploration Norway INC	MOBIL	037	INJECTION	WATER	DEVELOPMENT	1987-03-18	1987-05-20	STATFJORD	393-P	33/12-1 STATFJORD	NO	78.400000	\N	4799.800000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1987	1987	\N	173	ED50	61	17	46.88	N	1	54	9.78	E	61.296356	1.902717	6796453.100000	441205.200000	31	33	9	C	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1043	http://www.npd.no/FactMapSearch?NPDID_wellbore=1043	initial	\N	1043	44558	43658	9999-12-31	21084	271329	271329	0	MOBIL EXPLORATION NORWAY INC	2013-03-08	2013-03-08	2013-05-08
34/10-C-7	34/10-C-7	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1991-04-18	1991-06-26	GULLFAKS	645-P	34/10-1 GULLFAKS	NO	84.000000	\N	3491.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1991	1991	\N	50	ED50	61	12	54.51	N	2	16	26.53	E	61.215142	2.274036	6787129.110000	461000.070000	31	34	10	C	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1045	http://www.npd.no/FactMapSearch?NPDID_wellbore=1045	initial	\N	1045	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-D-11 A	2/4-D-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1987-04-06	1987-06-15	VEST EKOFISK	396-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3476.500000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1987	1987	\N	90	ED50	56	33	47.20	N	3	5	8.81	E	56.563111	3.085781	6268898.040000	505272.160000	31	2	4	D	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1047	http://www.npd.no/FactMapSearch?NPDID_wellbore=1047	sidetrack	2/4-D-11	1047	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-A-7	34/10-A-7	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	1987-03-08	1987-04-09	GULLFAKS	394-P	34/10-1 GULLFAKS	NO	82.200000	\N	460.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	GAS	1987	1987	\N	71	ED50	61	10	34.77	N	2	11	21.80	E	61.176325	2.189389	6782858.890000	456399.240000	31	34	10	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1048	http://www.npd.no/FactMapSearch?NPDID_wellbore=1048	initial	\N	1048	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-A-12 A	2/4-A-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1986-12-03	1987-02-24	EKOFISK	395-P	2/4-2 EKOFISK	NO	33.000000	\N	4109.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1986	1987	\N	50	ED50	56	31	15.28	N	3	13	22.72	E	56.520911	3.222978	6264219.670000	513719.670000	31	2	4	A	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1049	http://www.npd.no/FactMapSearch?NPDID_wellbore=1049	sidetrack	2/4-A-12	1049	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-15	33/9-C-15	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1988-10-25	1988-12-18	STATFJORD	485-P	33/12-1 STATFJORD	NO	78.400000	\N	2775.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1988	1988	\N	50	ED50	61	17	47.97	N	1	54	10.91	E	61.296658	1.903031	6796486.550000	441222.590000	31	33	9	C	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1050	http://www.npd.no/FactMapSearch?NPDID_wellbore=1050	initial	\N	1050	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-9 H	34/10-A-9	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1987-03-22	1987-05-31	GULLFAKS	397-P	34/10-1 GULLFAKS	NO	23.000000	\N	2313.600000	136.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1987	1987	\N	50	ED50	61	10	36.22	N	2	8	57.56	E	61.176728	2.149322	6782931.130000	454244.820000	31	34	10	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1052	http://www.npd.no/FactMapSearch?NPDID_wellbore=1052	initial	\N	1052	44594	43686	9999-12-31	21188	287983	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-8	34/10-A-8	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1987-04-09	1987-06-06	GULLFAKS	398-P	34/10-1 GULLFAKS	NO	82.200000	\N	2460.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1987	1987	\N	50	ED50	61	10	34.98	N	2	11	21.55	E	61.176383	2.189319	6782865.430000	456395.590000	31	34	10	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1053	http://www.npd.no/FactMapSearch?NPDID_wellbore=1053	initial	\N	1053	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-13 B	2/8-A-13	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1987-05-16	1987-06-08	VALHALL	403-P	2/8-6 VALHALL	NO	43.500000	\N	3142.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1987	1987	\N	50	ED50	56	16	41.16	N	3	23	43.67	E	56.278100	3.395464	6237240.620000	524487.940000	31	2	8	A	13	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1058	http://www.npd.no/FactMapSearch?NPDID_wellbore=1058	sidetrack	2/8-A-13 A	1058	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
1/9-A-5 H	1/9-A-5	Den norske stats oljeselskap a.s	STATOIL	044	PRODUCTION	GAS	DEVELOPMENT	1987-12-31	1988-02-19	TOMMELITEN GAMMA	433-P	1/9-4 TOMMELITEN GAMMA	NO	22.000000	\N	3575.000000	75.000000	NORTH SEA	ROSS ISLE	SEMISUB STEEL	TOMMELITEN	3	NO	GAS	1987	1988	\N	90	ED50	56	29	31.63	N	2	55	27.39	E	56.492119	2.924275	6260995.140000	495337.160000	31	1	9	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1059	http://www.npd.no/FactMapSearch?NPDID_wellbore=1059	initial	\N	1059	43856	43444	9999-12-31	21140	296245	272869	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-20	2/8-A-20	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	\N	DEVELOPMENT	1988-06-16	1988-08-18	VALHALL	455-P	2/8-6 VALHALL	NO	44.000000	\N	4334.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1988	1988	\N	71	ED50	56	16	40.74	N	3	23	43.61	E	56.277983	3.395447	6237227.630000	524486.990000	31	2	8	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1060	http://www.npd.no/FactMapSearch?NPDID_wellbore=1060	initial	\N	1060	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-28	2/8-A-28	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1992-07-26	1992-10-06	VALHALL	727-P	2/8-6 VALHALL	NO	44.000000	\N	5825.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1992	1992	\N	50	ED50	56	16	40.90	N	3	23	43.91	E	56.278028	3.395531	6237232.610000	524492.120000	31	2	8	A	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1061	http://www.npd.no/FactMapSearch?NPDID_wellbore=1061	initial	\N	1061	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
30/9-B-50 H	30/9-B-50	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1987-05-23	1987-06-27	OSEBERG	404-P	30/6-1 OSEBERG	NO	25.000000	\N	3410.000000	103.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1987	1987	\N	50	ED50	60	32	28.37	N	2	48	23.60	E	60.541214	2.806556	6711861.140000	489386.320000	31	30	9	B	50	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1063	http://www.npd.no/FactMapSearch?NPDID_wellbore=1063	initial	\N	1063	44396	43625	9999-12-31	34635	297028	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-10	34/10-A-10	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1987-06-07	1987-08-03	GULLFAKS	405-P	34/10-1 GULLFAKS	NO	82.000000	\N	2600.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1987	1987	\N	50	ED50	61	10	33.92	N	2	11	22.77	E	61.176089	2.189658	6782832.410000	456413.410000	31	34	10	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1065	http://www.npd.no/FactMapSearch?NPDID_wellbore=1065	initial	\N	1065	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-25	2/8-A-25	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1991-04-17	1991-07-17	VALHALL	644-P	2/8-6 VALHALL	NO	44.000000	\N	5793.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1991	1991	\N	50	ED50	56	16	41.20	N	3	23	44.02	E	56.278111	3.395561	6237241.890000	524493.960000	31	2	8	A	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1067	http://www.npd.no/FactMapSearch?NPDID_wellbore=1067	initial	\N	1067	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
25/2-A-2 H	25/2-A-2	Elf Petroleum Norge AS	ELF	026	PRODUCTION	GAS	DEVELOPMENT	1987-09-09	1987-10-01	ØST FRIGG	418-P	25/2-1 ØST FRIGG	NO	22.000000	\N	2564.000000	112.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	NORDØST FRIGG A	2-A	NO	GAS	1987	1987	\N	90	ED50	59	55	8.60	N	2	21	51.41	E	59.919056	2.364281	6642722.420000	464453.040000	31	25	2	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1072	http://www.npd.no/FactMapSearch?NPDID_wellbore=1072	initial	\N	1072	44234	43576	9999-12-31	20980	287902	282137	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/2-B-1 H	25/2-B-1	Elf Petroleum Norge AS	ELF	026	PRODUCTION	GAS	DEVELOPMENT	1987-07-12	1987-08-10	ØST FRIGG	407-P	25/2-1 ØST FRIGG	NO	22.000000	\N	2140.000000	112.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	ØST FRIGG B	2-A	NO	GAS	1987	1987	\N	90	ED50	59	53	26.25	N	2	21	43.50	E	59.890625	2.362083	6639557.370000	464299.690000	31	25	2	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1073	http://www.npd.no/FactMapSearch?NPDID_wellbore=1073	initial	\N	1073	44234	43576	9999-12-31	20980	287902	272533	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/2-B-2 H	25/2-B-2	Elf Petroleum Norge AS	ELF	026	PRODUCTION	GAS	DEVELOPMENT	1987-08-12	1987-09-08	ØST FRIGG	409-P	25/2-1 ØST FRIGG	NO	22.000000	\N	2470.000000	112.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	ØST FRIGG B	2-A	NO	GAS	1987	1987	\N	90	ED50	59	53	26.48	N	2	21	42.50	E	59.890689	2.361806	6639564.630000	464284.210000	31	25	2	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1074	http://www.npd.no/FactMapSearch?NPDID_wellbore=1074	initial	\N	1074	44234	43576	9999-12-31	20980	287902	272533	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/7-B-10 B	2/7-B-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1987-03-11	1987-06-17	ELDFISK	400-P	2/7-1 ELDFISK	NO	44.000000	\N	3683.800000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1987	1987	\N	50	ED50	56	25	9.05	N	3	13	6.18	E	56.419181	3.218383	6252895.130000	513472.950000	31	2	7	B	10	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1075	http://www.npd.no/FactMapSearch?NPDID_wellbore=1075	sidetrack	2/7-B-10 A	1075	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-P-23	34/7-P-23	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1997-02-17	1997-06-13	SNORRE	1243-P	34/4-1 SNORRE	NO	59.000000	\N	7028.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1997	1997	\N	50	ED50	61	26	57.47	N	2	8	37.08	E	61.449297	2.143633	6813296.060000	454336.960000	31	34	7	P	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2979	http://www.npd.no/FactMapSearch?NPDID_wellbore=2979	initial	\N	2979	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
1/9-A-1 AH	1/9-A-1	Den norske stats oljeselskap a.s	STATOIL	044	PRODUCTION	GAS	DEVELOPMENT	1987-04-05	1987-05-06	TOMMELITEN GAMMA	399-P	1/9-4 TOMMELITEN GAMMA	NO	22.000000	\N	3485.000000	75.000000	NORTH SEA	ROSS ISLE	SEMISUB STEEL	TOMMELITEN	3	NO	GAS	1987	1987	\N	90	ED50	56	29	31.76	N	2	55	27.66	E	56.492156	2.924350	6260999.160000	495341.780000	31	1	9	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1077	http://www.npd.no/FactMapSearch?NPDID_wellbore=1077	sidetrack	1/9-A-1 H	1077	43856	43444	9999-12-31	21140	296245	272869	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-A-15 A	2/4-A-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1987-04-10	1987-07-02	EKOFISK	401-P	2/4-2 EKOFISK	NO	33.000000	\N	4114.500000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1987	1987	\N	50	ED50	56	31	15.17	N	3	13	22.26	E	56.520881	3.222850	6264216.240000	513711.820000	31	2	4	A	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1079	http://www.npd.no/FactMapSearch?NPDID_wellbore=1079	sidetrack	2/4-A-15	1079	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/3-A-1	30/3-A-1	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1987-07-15	1987-09-23	VESLEFRIKK	408-P	30/3-2  VESLEFRIKK	NO	34.000000	\N	3323.000000	175.000000	NORTH SEA	WEST VISION	SEMISUB STEEL	VESLEFRIKK A	4	NO	OIL	1987	1987	\N	50	ED50	60	46	57.82	N	2	53	52.48	E	60.782728	2.897911	6738750.570000	494440.490000	31	30	3	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1080	http://www.npd.no/FactMapSearch?NPDID_wellbore=1080	initial	\N	1080	44378	43618	9999-12-31	21212	289495	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-5	34/10-B-5	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1988-10-25	1989-02-15	GULLFAKS	484-P	34/10-1 GULLFAKS	NO	80.700000	\N	3143.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1988	1989	\N	50	ED50	61	12	11.13	N	2	12	5.24	E	61.203092	2.201456	6785832.360000	457084.670000	31	34	10	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1124	http://www.npd.no/FactMapSearch?NPDID_wellbore=1124	initial	\N	1124	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-26	33/9-C-26	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1987-07-30	1987-08-28	STATFJORD	411-P	33/12-1 STATFJORD	NO	78.400000	\N	3045.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1987	1987	\N	50	ED50	61	17	46.92	N	1	54	9.99	E	61.296367	1.902775	6796454.290000	441208.350000	31	33	9	C	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1126	http://www.npd.no/FactMapSearch?NPDID_wellbore=1126	initial	\N	1126	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/2-A-1 H	25/2-A-1	Elf Petroleum Norge AS	ELF	026	PRODUCTION	GAS	DEVELOPMENT	1987-10-02	1987-12-04	ØST FRIGG	417-P	25/2-1 ØST FRIGG	NO	22.000000	\N	2580.000000	112.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	NORDØST FRIGG A	2-A	NO	GAS	1987	1987	\N	90	ED50	59	55	8.85	N	2	21	52.44	E	59.919125	2.364567	6642730.000000	464469.120000	31	25	2	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1127	http://www.npd.no/FactMapSearch?NPDID_wellbore=1127	initial	\N	1127	44234	43576	9999-12-31	20980	287902	282137	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-B-20 A	2/4-B-20	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1987-06-20	1987-10-21	EKOFISK	406-P	2/4-2 EKOFISK	NO	33.000000	\N	3840.500000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1987	1987	\N	50	ED50	56	33	54.95	N	3	12	13.64	E	56.565264	3.203789	6269152.970000	512524.340000	31	2	4	B	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1129	http://www.npd.no/FactMapSearch?NPDID_wellbore=1129	sidetrack	2/4-B-20	1129	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-30	2/4-K-30	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1987-07-24	1987-12-26	EKOFISK	410-P	2/4-2 EKOFISK	NO	57.000000	\N	3733.500000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1987	1987	\N	173	ED50	56	33	55.95	N	3	12	21.85	E	56.565542	3.206069	6269184.310000	512664.410000	31	2	4	K	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1130	http://www.npd.no/FactMapSearch?NPDID_wellbore=1130	initial	\N	1130	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-A-11	34/10-A-11	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1987-08-05	1987-10-20	GULLFAKS	413-P	34/10-1 GULLFAKS	NO	82.200000	\N	2350.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1987	1987	\N	173	ED50	61	10	33.85	N	2	11	22.85	E	61.176069	2.189681	6782830.230000	456414.580000	31	34	10	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1132	http://www.npd.no/FactMapSearch?NPDID_wellbore=1132	initial	\N	1132	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-14 A	2/7-B-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1987-07-23	1987-10-01	ELDFISK	412-P	2/7-1 ELDFISK	NO	44.000000	\N	3310.400000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1987	1987	\N	71	ED50	56	25	9.11	N	3	13	6.13	E	56.419197	3.218369	6252896.980000	513472.090000	31	2	7	B	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1133	http://www.npd.no/FactMapSearch?NPDID_wellbore=1133	sidetrack	2/7-B-14	1133	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-6	33/9-C-6	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1987-08-29	1987-11-01	STATFJORD	416-P	33/12-1 STATFJORD	NO	78.400000	\N	4403.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1987	1987	\N	50	ED50	61	17	47.07	N	1	54	11.17	E	61.296408	1.903103	6796458.630000	441225.990000	31	33	9	C	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1137	http://www.npd.no/FactMapSearch?NPDID_wellbore=1137	initial	\N	1137	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-A-3	7/12-A-3	BP Norway Limited  U.A.	BP	019	INJECTION	\N	DEVELOPMENT	1987-11-15	1988-01-29	ULA	424-P	7/12-2 ULA	NO	57.000000	\N	3955.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER	1987	1988	\N	72	ED50	57	6	41.23	N	2	50	50.89	E	57.111453	2.847469	6329944.800000	490761.360000	31	7	12	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1139	http://www.npd.no/FactMapSearch?NPDID_wellbore=1139	initial	\N	1139	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/3-A-2	30/3-A-2	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1987-09-25	1987-11-18	VESLEFRIKK	421-P	30/3-2  VESLEFRIKK	NO	34.000000	\N	4027.000000	175.000000	NORTH SEA	WEST VISION	SEMISUB STEEL	VESLEFRIKK A	4	NO	OIL	1987	1987	\N	50	ED50	60	46	57.87	N	2	53	52.38	E	60.782742	2.897883	6738752.120000	494438.980000	31	30	3	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1175	http://www.npd.no/FactMapSearch?NPDID_wellbore=1175	initial	\N	1175	44378	43618	9999-12-31	21212	289495	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-K-20	2/4-K-20	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1987-09-16	1988-12-12	EKOFISK	420-P	2/4-2 EKOFISK	NO	57.000000	\N	4030.700000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1987	1988	\N	173	ED50	56	33	55.80	N	3	12	21.89	E	56.565500	3.206081	6269179.670000	512665.100000	31	2	4	K	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1179	http://www.npd.no/FactMapSearch?NPDID_wellbore=1179	initial	\N	1179	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-28	2/4-K-28	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1987-09-07	1987-11-17	EKOFISK	419-P	2/4-2 EKOFISK	NO	57.000000	\N	3787.100000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1987	1987	\N	173	ED50	56	33	56.00	N	3	12	22.20	E	56.565556	3.206167	6269185.870000	512670.380000	31	2	4	K	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1180	http://www.npd.no/FactMapSearch?NPDID_wellbore=1180	initial	\N	1180	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-08-24	2012-08-24	2013-05-08
25/1-A-22 A	25/1-A-22	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1987-10-06	1987-11-01	FRIGG	415-P	25/1-1 FRIGG	NO	43.000000	\N	2890.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1987	1987	\N	90	ED50	59	53	9.77	N	2	4	21.53	E	59.886047	2.072647	6639238.980000	448095.160000	31	25	1	A	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1181	http://www.npd.no/FactMapSearch?NPDID_wellbore=1181	sidetrack	25/1-A-22	1181	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-A-3 A	25/1-A-3	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1987-09-05	1987-09-28	FRIGG	414-P	25/1-1 FRIGG	NO	43.000000	\N	2562.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1987	1987	\N	90	ED50	59	53	9.44	N	2	4	20.60	E	59.885956	2.072389	6639228.970000	448080.560000	31	25	1	A	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1182	http://www.npd.no/FactMapSearch?NPDID_wellbore=1182	sidetrack	25/1-A-3	1182	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/7-A-8	2/7-A-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1987-10-27	1988-02-25	ELDFISK	423-P	2/7-1 ELDFISK	NO	41.000000	\N	4789.300000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1987	1988	\N	71	ED50	56	22	36.44	N	3	15	57.85	E	56.376789	3.266069	6248186.940000	516433.150000	31	2	7	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1183	http://www.npd.no/FactMapSearch?NPDID_wellbore=1183	initial	\N	1183	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-1	33/9-C-1	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	\N	DEVELOPMENT	1987-11-03	1987-11-08	STATFJORD	426-P	33/12-1 STATFJORD	NO	78.400000	\N	5075.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1987	1987	\N	72	ED50	61	17	48.17	N	1	54	11.09	E	61.296714	1.903081	6796492.690000	441225.370000	31	33	9	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1184	http://www.npd.no/FactMapSearch?NPDID_wellbore=1184	initial	\N	1184	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-1	34/10-B-1	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1987-11-23	1988-02-17	GULLFAKS	432-P	34/10-1 GULLFAKS	NO	80.700000	\N	2530.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1987	1988	\N	50	ED50	61	12	10.98	N	2	12	5.04	E	61.203050	2.201400	6785827.750000	457081.620000	31	34	10	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1185	http://www.npd.no/FactMapSearch?NPDID_wellbore=1185	initial	\N	1185	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-K-9	2/4-K-9	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1987-11-17	1987-11-30	EKOFISK	428-P	2/4-2 EKOFISK	NO	57.000000	\N	3807.300000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1987	1987	\N	173	ED50	56	33	55.76	N	3	12	22.10	E	56.565489	3.206139	6269178.450000	512668.690000	31	2	4	K	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1189	http://www.npd.no/FactMapSearch?NPDID_wellbore=1189	initial	\N	1189	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-08-24	2012-08-24	2013-05-08
30/3-A-3	30/3-A-3	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1987-11-18	1987-12-19	VESLEFRIKK	427-P	30/3-2  VESLEFRIKK	NO	34.000000	\N	3933.000000	175.000000	NORTH SEA	WEST VISION	SEMISUB STEEL	VESLEFRIKK A	4	NO	OIL	1987	1987	\N	50	ED50	60	46	57.71	N	2	53	52.27	E	60.782697	2.897853	6738747.170000	494437.300000	31	30	3	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1209	http://www.npd.no/FactMapSearch?NPDID_wellbore=1209	initial	\N	1209	44378	43618	9999-12-31	21212	289495	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-A-8	2/1-A-8	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	\N	DEVELOPMENT	1987-11-18	1990-11-09	GYDA	430-P	2/1-3 GYDA	NO	25.000000	\N	4220.000000	66.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	GYDA	Awarded additionaly to round 1-A	NO	OIL	1987	1990	\N	71	ED50	56	54	17.67	N	3	5	6.60	E	56.904908	3.085167	6306945.170000	505187.140000	31	2	1	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1210	http://www.npd.no/FactMapSearch?NPDID_wellbore=1210	initial	\N	1210	44012	43492	9999-12-31	20924	297028	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/7-B-2	2/7-B-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1987-11-20	1988-02-09	ELDFISK	431-P	2/7-1 ELDFISK	NO	44.000000	\N	3459.500000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1987	1988	\N	50	ED50	56	25	8.90	N	3	13	6.31	E	56.419139	3.218419	6252890.500000	513475.200000	31	2	7	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1215	http://www.npd.no/FactMapSearch?NPDID_wellbore=1215	initial	\N	1215	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-1 A	2/4-A-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1987-11-07	1988-02-15	EKOFISK	422-P	2/4-2 EKOFISK	NO	33.000000	\N	4419.600000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1987	1988	\N	50	ED50	56	31	15.15	N	3	13	23.04	E	56.520875	3.223067	6264215.670000	513725.150000	31	2	4	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1217	http://www.npd.no/FactMapSearch?NPDID_wellbore=1217	sidetrack	2/4-A-1	1217	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-27	2/4-K-27	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1988-01-08	1988-07-14	EKOFISK	429-P	2/4-2 EKOFISK	NO	57.000000	\N	4305.900000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1988	1988	\N	173	ED50	56	33	56.03	N	3	12	22.36	E	56.565564	3.206211	6269186.810000	512673.100000	31	2	4	K	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1218	http://www.npd.no/FactMapSearch?NPDID_wellbore=1218	initial	\N	1218	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-P-45	34/7-P-45	Saga Petroleum ASA	SAGA	089	INJECTION	GAS	DEVELOPMENT	1999-06-14	1999-10-04	SNORRE	1594-P	34/4-1 SNORRE	NO	59.000000	\N	7235.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER/GAS	1999	1999	\N	91	\N	61	26	58.38	N	2	8	37.33	E	61.449550	2.143703	6813324.160000	454341.030000	31	34	7	P	45	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3789	http://www.npd.no/FactMapSearch?NPDID_wellbore=3789	initial	\N	3789	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-A-13	34/10-A-13	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	GAS	DEVELOPMENT	1987-12-23	1988-02-15	GULLFAKS	435-P	34/10-1 GULLFAKS	NO	82.200000	\N	2890.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1987	1988	\N	91	ED50	61	10	33.68	N	2	11	23.24	E	61.176022	2.189789	6782824.900000	456420.340000	31	34	10	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1220	http://www.npd.no/FactMapSearch?NPDID_wellbore=1220	initial	\N	1220	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-D-8 A	2/4-D-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1988-03-18	1988-04-15	VEST EKOFISK	445-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3374.100000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1988	1988	\N	90	ED50	56	33	47.04	N	3	5	8.54	E	56.563067	3.085706	6268893.090000	505267.550000	31	2	4	D	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1221	http://www.npd.no/FactMapSearch?NPDID_wellbore=1221	sidetrack	2/4-D-8	1221	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/1-A-7	2/1-A-7	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1988-01-13	1990-09-30	GYDA	436-P	2/1-3 GYDA	NO	25.000000	\N	4215.000000	66.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	GYDA	Awarded additionaly to round 1-A	NO	OIL	1988	1990	\N	50	ED50	56	54	17.61	N	3	5	6.71	E	56.904892	3.085197	6306943.320000	505189.000000	31	2	1	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1222	http://www.npd.no/FactMapSearch?NPDID_wellbore=1222	initial	\N	1222	44012	43492	9999-12-31	20924	297028	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/8-A-10 A	2/8-A-10	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1988-02-13	1988-03-23	VALHALL	437-P	2/8-6 VALHALL	NO	44.000000	\N	3518.500000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1988	1988	\N	50	ED50	56	16	40.87	N	3	23	43.43	E	56.278019	3.395397	6237231.630000	524483.870000	31	2	8	A	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1228	http://www.npd.no/FactMapSearch?NPDID_wellbore=1228	sidetrack	2/8-A-10	1228	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/7-B-4	2/7-B-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1988-11-07	1988-12-29	ELDFISK	439-P	2/7-1 ELDFISK	NO	44.000000	\N	3888.300000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1988	1988	\N	50	ED50	56	25	8.86	N	3	13	5.95	E	56.419128	3.218319	6252889.250000	513469.030000	31	2	7	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1231	http://www.npd.no/FactMapSearch?NPDID_wellbore=1231	initial	\N	1231	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/2-A-3 H	25/2-A-3	Elf Petroleum Norge AS	ELF	026	PRODUCTION	GAS	DEVELOPMENT	1988-03-06	1988-04-12	ØST FRIGG	440-P	25/2-1 ØST FRIGG	NO	22.000000	\N	2325.000000	112.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	NORDØST FRIGG A	2-A	NO	GAS	1988	1988	\N	90	ED50	59	55	8.61	N	2	21	52.44	E	59.919058	2.364567	6642722.580000	464469.050000	31	25	2	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1232	http://www.npd.no/FactMapSearch?NPDID_wellbore=1232	initial	\N	1232	44234	43576	9999-12-31	20980	287902	282137	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
30/3-A-4	30/3-A-4	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1987-12-19	1988-08-15	VESLEFRIKK	434-P	30/3-2  VESLEFRIKK	NO	23.000000	\N	3717.000000	175.000000	NORTH SEA	WEST VISION	SEMISUB STEEL	VESLEFRIKK A	4	NO	OIL	1987	1988	\N	50	ED50	60	46	57.92	N	2	53	52.48	E	60.782756	2.897911	6738753.670000	494440.490000	31	30	3	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1234	http://www.npd.no/FactMapSearch?NPDID_wellbore=1234	initial	\N	1234	44378	43618	9999-12-31	21212	289495	277321	0	STATOIL	2013-01-31	2013-01-31	2013-05-08
1/9-A-6 H	1/9-A-6	Den norske stats oljeselskap a.s	STATOIL	044	PRODUCTION	GAS	DEVELOPMENT	1988-02-20	1988-04-18	TOMMELITEN GAMMA	442-P	1/9-4 TOMMELITEN GAMMA	NO	22.000000	\N	3538.000000	75.000000	NORTH SEA	ROSS ISLE	SEMISUB STEEL	TOMMELITEN	3	NO	GAS	1988	1988	\N	90	ED50	56	29	31.79	N	2	55	27.14	E	56.492164	2.924206	6261000.090000	495332.890000	31	1	9	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1244	http://www.npd.no/FactMapSearch?NPDID_wellbore=1244	initial	\N	1244	43856	43444	9999-12-31	21140	296245	272869	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-A-1	7/12-A-1	BP Norway Limited  U.A.	BP	019	PRODUCTION	\N	DEVELOPMENT	1988-02-27	1988-05-13	ULA	441-P	7/12-2 ULA	NO	57.000000	\N	3986.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1988	1988	\N	71	ED50	57	6	41.49	N	2	50	50.66	E	57.111525	2.847406	6329952.850000	490757.510000	31	7	12	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1247	http://www.npd.no/FactMapSearch?NPDID_wellbore=1247	initial	\N	1247	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/8-A-23	2/8-A-23	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1988-03-23	1988-07-05	VALHALL	447-P	2/8-6 VALHALL	NO	44.000000	\N	5472.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1988	1988	\N	50	ED50	56	16	40.96	N	3	23	44.11	E	56.278044	3.395586	6237234.480000	524495.550000	31	2	8	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1248	http://www.npd.no/FactMapSearch?NPDID_wellbore=1248	initial	\N	1248	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-C-4	2/4-C-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1988-02-15	1988-04-20	EKOFISK	438-P	2/4-2 EKOFISK	NO	37.000000	\N	3899.900000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1988	1988	\N	50	ED50	56	32	52.94	N	3	12	56.02	E	56.548039	3.215561	6267237.840000	513253.850000	31	2	4	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1249	http://www.npd.no/FactMapSearch?NPDID_wellbore=1249	initial	\N	1249	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-A-14	34/10-A-14	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1988-02-25	1988-04-14	GULLFAKS	444-P	34/10-1 GULLFAKS	NO	82.200000	\N	2771.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1988	1988	\N	50	ED50	61	10	34.98	N	2	11	21.92	E	61.176383	2.189422	6782865.360000	456401.110000	31	34	10	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1251	http://www.npd.no/FactMapSearch?NPDID_wellbore=1251	initial	\N	1251	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-A-5	2/1-A-5	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1988-03-18	1988-05-05	GYDA	443-P	2/1-3 GYDA	NO	25.000000	\N	4595.000000	66.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	GYDA	Awarded additionaly to round 1-A	NO	WATER	1988	1988	\N	173	ED50	56	54	17.49	N	3	5	6.93	E	56.904858	3.085258	6306939.610000	505192.730000	31	2	1	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1252	http://www.npd.no/FactMapSearch?NPDID_wellbore=1252	initial	\N	1252	44012	43492	9999-12-31	20924	297028	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
34/10-A-15	34/10-A-15	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1988-04-17	1988-05-31	GULLFAKS	450-P	34/10-1 GULLFAKS	NO	82.200000	\N	2919.800000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1988	1988	\N	173	ED50	61	10	33.60	N	2	11	22.94	E	61.176000	2.189706	6782822.480000	456415.820000	31	34	10	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1253	http://www.npd.no/FactMapSearch?NPDID_wellbore=1253	initial	\N	1253	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-E-2 A	2/4-E-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1988-03-17	1988-05-17	TOR	446-P	2/5-1 TOR	NO	41.000000	\N	3657.000000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1988	1988	\N	50	ED50	56	38	31.27	N	3	19	37.46	E	56.642019	3.327072	6277726.080000	520060.270000	31	2	4	E	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1254	http://www.npd.no/FactMapSearch?NPDID_wellbore=1254	sidetrack	2/4-E-2	1254	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-13 A	2/7-B-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1988-04-04	1988-06-30	ELDFISK	448-P	2/7-1 ELDFISK	NO	44.000000	\N	3813.700000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1988	1988	\N	50	ED50	56	25	9.14	N	3	13	6.30	E	56.419206	3.218417	6252897.920000	513475.000000	31	2	7	B	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1255	http://www.npd.no/FactMapSearch?NPDID_wellbore=1255	sidetrack	2/7-B-13	1255	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-4	2/7-A-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1988-05-07	1988-06-24	ELDFISK	452-P	2/7-1 ELDFISK	NO	41.000000	\N	3400.700000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1988	1988	\N	71	ED50	56	22	36.41	N	3	15	58.03	E	56.376781	3.266119	6248186.020000	516436.240000	31	2	7	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1262	http://www.npd.no/FactMapSearch?NPDID_wellbore=1262	initial	\N	1262	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/1-A-4	2/1-A-4	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1988-05-05	1988-06-18	GYDA	453-P	2/1-3 GYDA	NO	25.000000	\N	4550.000000	66.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	GYDA	Awarded additionaly to round 1-A	NO	OIL	1988	1988	\N	50	ED50	56	54	17.73	N	3	5	6.71	E	56.904925	3.085197	6306947.030000	505189.000000	31	2	1	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1263	http://www.npd.no/FactMapSearch?NPDID_wellbore=1263	initial	\N	1263	44012	43492	9999-12-31	20924	297028	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/4-C-7	2/4-C-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1988-04-24	1988-07-15	EKOFISK	451-P	2/4-2 EKOFISK	NO	37.000000	\N	3666.100000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1988	1988	\N	50	ED50	56	32	52.80	N	3	12	55.73	E	56.548000	3.215481	6267233.490000	513248.910000	31	2	4	C	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1265	http://www.npd.no/FactMapSearch?NPDID_wellbore=1265	initial	\N	1265	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/12-A-5	7/12-A-5	BP Norway Limited  U.A.	BP	019	INJECTION	WATER	DEVELOPMENT	1988-05-15	1989-02-03	ULA	454-P	7/12-2 ULA	NO	57.000000	\N	5088.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER	1988	1989	\N	173	ED50	57	6	41.14	N	2	50	50.96	E	57.111428	2.847489	6329942.010000	490762.530000	31	7	12	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1266	http://www.npd.no/FactMapSearch?NPDID_wellbore=1266	initial	\N	1266	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/7-B-16	2/7-B-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1988-08-31	1988-11-05	ELDFISK	468-P	2/7-1 ELDFISK	NO	44.000000	\N	3304.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1988	1988	\N	50	ED50	56	25	9.06	N	3	13	5.79	E	56.419183	3.218275	6252895.420000	513466.270000	31	2	7	B	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1280	http://www.npd.no/FactMapSearch?NPDID_wellbore=1280	initial	\N	1280	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-21	2/4-K-21	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1988-05-26	1988-07-03	EKOFISK	457-P	2/4-2 EKOFISK	NO	57.000000	\N	4409.200000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1988	1988	\N	173	ED50	56	33	56.23	N	3	12	23.36	E	56.565619	3.206489	6269193.040000	512690.160000	31	2	4	K	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1281	http://www.npd.no/FactMapSearch?NPDID_wellbore=1281	initial	\N	1281	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/12-A-12	7/12-A-12	BP Norway Limited  U.A.	BP	019	PRODUCTION	\N	DEVELOPMENT	1988-05-21	1988-07-24	ULA	456-P	7/12-2 ULA	NO	57.000000	\N	4093.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1988	1988	\N	71	ED50	57	6	41.01	N	2	50	50.88	E	57.111392	2.847467	6329938.000000	490761.170000	31	7	12	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1282	http://www.npd.no/FactMapSearch?NPDID_wellbore=1282	initial	\N	1282	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
34/10-B-3	34/10-B-3	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1988-06-03	1988-07-30	GULLFAKS	458-P	34/10-1 GULLFAKS	NO	80.700000	\N	2707.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1988	1988	\N	50	ED50	61	12	11.16	N	2	12	5.01	E	61.203100	2.201392	6785833.330000	457081.240000	31	34	10	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1283	http://www.npd.no/FactMapSearch?NPDID_wellbore=1283	initial	\N	1283	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-16	34/10-A-16	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	1988-06-08	1988-07-17	GULLFAKS	459-P	34/10-1 GULLFAKS	NO	82.200000	\N	2918.200000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1988	1988	\N	71	ED50	61	10	35.09	N	2	11	21.62	E	61.176414	2.189339	6782868.820000	456396.670000	31	34	10	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1285	http://www.npd.no/FactMapSearch?NPDID_wellbore=1285	initial	\N	1285	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-D-15	2/4-D-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1988-06-23	1988-09-01	VEST EKOFISK	460-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3445.200000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1988	1988	\N	71	ED50	56	33	47.04	N	3	5	8.15	E	56.563067	3.085597	6268893.080000	505260.890000	31	2	4	D	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1289	http://www.npd.no/FactMapSearch?NPDID_wellbore=1289	initial	\N	1289	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-11	2/4-K-11	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	\N	DEVELOPMENT	1988-07-04	1988-10-11	EKOFISK	467-P	2/4-2 EKOFISK	NO	57.000000	\N	3533.200000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1988	1988	\N	72	ED50	56	33	56.12	N	3	12	23.40	E	56.565589	3.206500	6269189.640000	512690.850000	31	2	4	K	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1291	http://www.npd.no/FactMapSearch?NPDID_wellbore=1291	initial	\N	1291	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-13	2/7-A-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1988-06-27	1989-01-31	ELDFISK	461-P	2/7-1 ELDFISK	NO	41.000000	\N	5399.800000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1988	1989	\N	71	ED50	56	22	36.59	N	3	15	57.89	E	56.376831	3.266081	6248191.580000	516433.820000	31	2	7	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1292	http://www.npd.no/FactMapSearch?NPDID_wellbore=1292	initial	\N	1292	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-2 A	2/4-B-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1988-05-24	1988-08-21	EKOFISK	462-P	2/4-2 EKOFISK	NO	33.000000	\N	4209.300000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1988	1988	\N	50	ED50	56	33	54.83	N	3	12	14.08	E	56.565231	3.203911	6269149.280000	512531.860000	31	2	4	B	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1293	http://www.npd.no/FactMapSearch?NPDID_wellbore=1293	sidetrack	2/4-B-2	1293	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-1	2/4-K-1	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1989-06-18	1989-08-08	EKOFISK	472-P	2/4-2 EKOFISK	NO	57.000000	\N	4792.700000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1989	1989	\N	173	ED50	56	33	56.06	N	3	12	23.47	E	56.565572	3.206519	6269187.790000	512692.050000	31	2	4	K	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1295	http://www.npd.no/FactMapSearch?NPDID_wellbore=1295	initial	\N	1295	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-08-23	2012-08-23	2013-05-08
30/9-B-4	30/9-B-4	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1992-06-27	1992-08-04	OSEBERG	463-P	30/6-1 OSEBERG	NO	58.000000	\N	2970.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1992	1992	\N	50	ED50	60	29	36.44	N	2	49	42.81	E	60.493456	2.828558	6706538.420000	490579.680000	31	30	9	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1296	http://www.npd.no/FactMapSearch?NPDID_wellbore=1296	initial	\N	1296	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-7	30/9-B-7	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1988-07-21	1990-11-07	OSEBERG	464-P	30/6-1 OSEBERG	NO	58.000000	\N	4569.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1988	1990	\N	50	ED50	60	29	36.31	N	2	49	42.35	E	60.493419	2.828431	6706534.410000	490572.650000	31	30	9	B	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1297	http://www.npd.no/FactMapSearch?NPDID_wellbore=1297	initial	\N	1297	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-42	30/9-B-42	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1988-08-06	1989-05-23	OSEBERG	465-P	30/6-1 OSEBERG	NO	58.000000	\N	3281.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1988	1989	\N	50	ED50	60	29	35.96	N	2	49	43.37	E	60.493322	2.828714	6706523.540000	490588.190000	31	30	9	B	42	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1298	http://www.npd.no/FactMapSearch?NPDID_wellbore=1298	initial	\N	1298	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/1-A-6	2/1-A-6	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1988-07-28	1988-09-25	GYDA	473-P	2/1-3 GYDA	NO	25.000000	\N	4898.000000	66.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	GYDA	Awarded additionaly to round 1-A	NO	OIL	1988	1988	\N	50	ED50	56	54	17.55	N	3	5	6.82	E	56.904875	3.085228	6306941.460000	505190.860000	31	2	1	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1300	http://www.npd.no/FactMapSearch?NPDID_wellbore=1300	initial	\N	1300	44012	43492	9999-12-31	20924	297028	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/8-A-24	2/8-A-24	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	\N	DEVELOPMENT	1988-09-15	1988-11-07	VALHALL	475-P	2/8-6 VALHALL	NO	44.000000	\N	3312.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1988	1988	\N	71	ED50	56	16	41.08	N	3	23	44.09	E	56.278078	3.395581	6237238.190000	524495.180000	31	2	8	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1301	http://www.npd.no/FactMapSearch?NPDID_wellbore=1301	initial	\N	1301	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-A-17	34/10-A-17	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1988-07-23	1988-10-08	GULLFAKS	469-P	34/10-1 GULLFAKS	NO	82.200000	\N	2972.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1988	1988	\N	50	ED50	61	10	33.93	N	2	11	23.14	E	61.176092	2.189761	6782832.650000	456418.940000	31	34	10	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1303	http://www.npd.no/FactMapSearch?NPDID_wellbore=1303	initial	\N	1303	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-4	34/10-B-4	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1988-07-25	1988-09-13	GULLFAKS	471-P	34/10-1 GULLFAKS	NO	80.700000	\N	2896.100000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1988	1988	\N	50	ED50	61	12	10.10	N	2	12	5.91	E	61.202806	2.201642	6785800.370000	457094.280000	31	34	10	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1304	http://www.npd.no/FactMapSearch?NPDID_wellbore=1304	initial	\N	1304	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-5	30/3-A-5	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	\N	DEVELOPMENT	1988-08-15	1988-11-27	VESLEFRIKK	476-P	30/3-2  VESLEFRIKK	NO	23.000000	\N	4474.900000	175.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	VESLEFRIKK A	4	NO	OIL	1988	1988	\N	71	ED50	60	46	57.77	N	2	53	52.38	E	60.782714	2.897883	6738749.030000	494438.970000	31	30	3	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1307	http://www.npd.no/FactMapSearch?NPDID_wellbore=1307	initial	\N	1307	44378	43618	9999-12-31	21212	287983	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-K-24	2/4-K-24	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1988-08-03	1988-08-31	EKOFISK	474-P	2/4-2 EKOFISK	NO	57.000000	\N	3870.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1988	1988	\N	173	ED50	56	33	56.09	N	3	12	22.82	E	56.565581	3.206339	6269188.690000	512680.950000	31	2	4	K	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1310	http://www.npd.no/FactMapSearch?NPDID_wellbore=1310	initial	\N	1310	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/12-A-4	7/12-A-4	BP Norway Limited  U.A.	BP	019	INJECTION	WATER	DEVELOPMENT	1988-09-01	1988-11-11	ULA	477-P	7/12-2 ULA	NO	57.000000	\N	4481.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER	1988	1988	\N	173	ED50	57	6	41.23	N	2	50	50.89	E	57.111453	2.847469	6329944.800000	490761.360000	31	7	12	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1312	http://www.npd.no/FactMapSearch?NPDID_wellbore=1312	initial	\N	1312	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/4-C-15 A	2/4-C-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1988-07-16	1988-11-23	EKOFISK	470-P	2/4-2 EKOFISK	NO	37.000000	\N	3942.900000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1988	1988	\N	50	ED50	56	32	52.80	N	3	12	56.30	E	56.548000	3.215639	6267233.520000	513258.650000	31	2	4	C	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1314	http://www.npd.no/FactMapSearch?NPDID_wellbore=1314	sidetrack	2/4-C-15	1314	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-B-7	34/10-B-7	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	WATER	DEVELOPMENT	1989-03-19	1989-04-26	GULLFAKS	507-P	34/10-1 GULLFAKS	NO	82.000000	\N	2463.200000	133.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1989	1989	\N	173	ED50	61	12	9.91	N	2	12	6.53	E	61.202753	2.201814	6785794.370000	457103.460000	31	34	10	B	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1316	http://www.npd.no/FactMapSearch?NPDID_wellbore=1316	initial	\N	1316	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-7 A	2/8-A-7	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1988-11-07	1989-01-08	VALHALL	478-P	2/8-6 VALHALL	NO	44.000000	\N	2925.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1988	1989	\N	50	ED50	56	16	40.94	N	3	23	43.68	E	56.278039	3.395467	6237233.820000	524488.160000	31	2	8	A	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1336	http://www.npd.no/FactMapSearch?NPDID_wellbore=1336	sidetrack	2/8-A-7	1336	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-A-18	34/10-A-18	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	WATER	DEVELOPMENT	1988-09-27	1988-11-16	GULLFAKS	479-P	34/10-1 GULLFAKS	NO	82.200000	\N	2712.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1988	1988	\N	173	ED50	61	10	34.87	N	2	11	21.49	E	61.176353	2.189303	6782862.040000	456394.650000	31	34	10	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1337	http://www.npd.no/FactMapSearch?NPDID_wellbore=1337	initial	\N	1337	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-11	30/6-C-11	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	GAS	DEVELOPMENT	1988-10-14	1991-09-15	OSEBERG	482-P	30/6-1 OSEBERG	NO	23.500000	\N	2770.000000	108.000000	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	OSEBERG C	4	NO	GAS	1988	1991	\N	91	ED50	60	36	29.42	N	2	46	33.60	E	60.608172	2.776000	6719324.390000	487735.230000	31	30	6	C	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1341	http://www.npd.no/FactMapSearch?NPDID_wellbore=1341	initial	\N	1341	44396	43625	9999-12-31	21220	296677	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-B-3 A	2/4-B-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1988-10-06	1988-11-12	EKOFISK	481-P	2/4-2 EKOFISK	NO	33.000000	\N	4194.400000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1988	1988	\N	50	ED50	56	33	54.79	N	3	12	13.90	E	56.565219	3.203861	6269148.030000	512528.790000	31	2	4	B	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1344	http://www.npd.no/FactMapSearch?NPDID_wellbore=1344	sidetrack	2/4-B-3	1344	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-5	2/4-K-5	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1988-10-12	1988-11-28	EKOFISK	483-P	2/4-2 EKOFISK	NO	57.000000	\N	3957.500000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1988	1988	\N	173	ED50	56	33	55.91	N	3	12	22.81	E	56.565531	3.206336	6269183.120000	512680.800000	31	2	4	K	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1345	http://www.npd.no/FactMapSearch?NPDID_wellbore=1345	initial	\N	1345	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/3-A-6	30/3-A-6	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	\N	DEVELOPMENT	1988-11-27	1989-01-30	VESLEFRIKK	487-P	30/3-2  VESLEFRIKK	NO	23.000000	\N	4496.600000	175.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	VESLEFRIKK A	4	NO	OIL	1988	1989	\N	71	ED50	60	46	57.71	N	2	53	52.48	E	60.782697	2.897911	6738747.170000	494440.480000	31	30	3	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1347	http://www.npd.no/FactMapSearch?NPDID_wellbore=1347	initial	\N	1347	44378	43618	9999-12-31	21212	287983	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-18 B	2/8-A-18	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1989-02-15	1989-03-24	VALHALL	501-P	2/8-6 VALHALL	NO	44.000000	\N	3691.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1989	1989	\N	50	ED50	56	16	41.13	N	3	23	44.21	E	56.278092	3.395614	6237239.750000	524497.240000	31	2	8	A	18	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1348	http://www.npd.no/FactMapSearch?NPDID_wellbore=1348	sidetrack	2/8-A-18 A	1348	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-A-16 A	34/10-A-16	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1989-10-19	1989-11-13	GULLFAKS	548-P	34/10-1 GULLFAKS	NO	82.000000	\N	2534.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1989	1989	\N	50	ED50	61	10	35.09	N	2	11	21.62	E	61.176414	2.189339	6782868.820000	456396.670000	31	34	10	A	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1349	http://www.npd.no/FactMapSearch?NPDID_wellbore=1349	sidetrack	34/10-A-16	1349	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-19	34/10-A-19	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	1988-11-04	1988-12-20	GULLFAKS	486-P	34/10-1 GULLFAKS	NO	82.200000	\N	2400.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1988	1988	\N	71	ED50	61	10	33.89	N	2	11	22.99	E	61.176081	2.189719	6782831.440000	456416.680000	31	34	10	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1352	http://www.npd.no/FactMapSearch?NPDID_wellbore=1352	initial	\N	1352	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-K-7	2/4-K-7	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1990-09-23	1991-04-20	EKOFISK	488-P	2/4-2 EKOFISK	NO	57.000000	\N	4994.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1990	1991	\N	173	ED50	56	33	55.84	N	3	12	22.46	E	56.565511	3.206239	6269180.940000	512674.830000	31	2	4	K	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1353	http://www.npd.no/FactMapSearch?NPDID_wellbore=1353	initial	\N	1353	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/12-A-8	7/12-A-8	BP Norway Limited  U.A.	BP	019	INJECTION	\N	DEVELOPMENT	1989-02-09	1989-04-02	ULA	491-P	7/12-2 ULA	NO	57.000000	\N	4393.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER	1989	1989	\N	72	ED50	57	6	41.36	N	2	50	50.57	E	57.111489	2.847381	6329948.830000	490755.980000	31	7	12	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1354	http://www.npd.no/FactMapSearch?NPDID_wellbore=1354	initial	\N	1354	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/4-C-6 A	2/4-C-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1988-12-28	1989-02-11	EKOFISK	489-P	2/4-2 EKOFISK	NO	37.000000	\N	3645.100000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1988	1989	\N	50	ED50	56	32	52.76	N	3	12	55.62	E	56.547989	3.215450	6267232.250000	513247.040000	31	2	4	C	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1357	http://www.npd.no/FactMapSearch?NPDID_wellbore=1357	sidetrack	2/4-C-6	1357	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-2 A	2/7-A-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1989-04-04	1989-06-01	ELDFISK	490-P	2/7-1 ELDFISK	NO	41.000000	\N	3188.200000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1989	1989	\N	50	ED50	56	22	36.30	N	3	15	57.89	E	56.376750	3.266081	6248182.610000	516433.850000	31	2	7	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1359	http://www.npd.no/FactMapSearch?NPDID_wellbore=1359	sidetrack	2/7-A-2	1359	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-10	2/4-K-10	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	\N	DEVELOPMENT	1988-12-11	1989-01-18	EKOFISK	492-P	2/4-2 EKOFISK	NO	57.000000	\N	4277.900000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1988	1989	\N	72	ED50	56	33	55.73	N	3	12	22.00	E	56.565481	3.206111	6269177.510000	512666.990000	31	2	4	K	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1361	http://www.npd.no/FactMapSearch?NPDID_wellbore=1361	initial	\N	1361	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/6-C-10	30/6-C-10	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1988-12-27	1989-02-22	OSEBERG	493-P	30/6-1 OSEBERG	NO	23.500000	\N	3380.000000	108.600000	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	OSEBERG C	4	NO	OIL	1988	1989	\N	50	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	30	6	C	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1362	http://www.npd.no/FactMapSearch?NPDID_wellbore=1362	initial	\N	1362	44396	43625	9999-12-31	21220	296677	272225	0	HYDRO PRODUKSJON	2012-10-25	2012-10-25	2013-05-08
34/10-A-20	34/10-A-20	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1988-12-09	1989-03-09	GULLFAKS	494-P	34/10-1 GULLFAKS	NO	82.200000	\N	2472.700000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1988	1989	\N	173	ED50	61	10	34.84	N	2	11	21.71	E	61.176344	2.189364	6782861.070000	456397.920000	31	34	10	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1363	http://www.npd.no/FactMapSearch?NPDID_wellbore=1363	initial	\N	1363	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-6	34/10-B-6	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	OIL	DEVELOPMENT	1989-02-05	1989-03-17	GULLFAKS	495-P	34/10-1 GULLFAKS	NO	82.000000	\N	2576.000000	133.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1989	1989	\N	50	ED50	61	12	9.87	N	2	12	6.39	E	61.202742	2.201775	6785793.160000	457101.360000	31	34	10	B	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1364	http://www.npd.no/FactMapSearch?NPDID_wellbore=1364	initial	\N	1364	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-A-2	2/1-A-2	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1989-02-21	1990-08-29	GYDA	500-P	2/1-3 GYDA	NO	25.000000	\N	5060.000000	66.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	GYDA	Awarded additionaly to round 1-A	NO	OIL	1989	1990	\N	50	ED50	56	54	17.61	N	3	5	6.93	E	56.904892	3.085258	6306943.320000	505192.720000	31	2	1	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1368	http://www.npd.no/FactMapSearch?NPDID_wellbore=1368	initial	\N	1368	44012	43492	9999-12-31	20924	297028	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/8-A-14 A	2/8-A-14	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1989-01-15	1989-02-15	VALHALL	497-P	2/8-6 VALHALL	NO	44.000000	\N	3363.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1989	1989	\N	50	ED50	56	16	40.92	N	3	23	43.33	E	56.278033	3.395369	6237233.170000	524482.140000	31	2	8	A	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1369	http://www.npd.no/FactMapSearch?NPDID_wellbore=1369	sidetrack	2/8-A-14	1369	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-A-21	34/10-A-21	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1989-01-15	1989-03-13	GULLFAKS	496-P	34/10-1 GULLFAKS	NO	82.300000	\N	3340.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1989	1989	\N	50	ED50	61	10	34.83	N	2	11	21.34	E	61.176342	2.189261	6782860.830000	456392.390000	31	34	10	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1370	http://www.npd.no/FactMapSearch?NPDID_wellbore=1370	initial	\N	1370	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-B-6 A	2/4-B-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1989-01-29	1989-03-12	EKOFISK	499-P	2/4-2 EKOFISK	NO	33.000000	\N	3906.600000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1989	1989	\N	50	ED50	56	33	54.65	N	3	12	13.43	E	56.565181	3.203731	6269143.680000	512520.780000	31	2	4	B	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1372	http://www.npd.no/FactMapSearch?NPDID_wellbore=1372	sidetrack	2/4-B-6	1372	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-29	2/4-K-29	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1989-01-19	1989-08-31	EKOFISK	498-P	2/4-2 EKOFISK	NO	57.000000	\N	3815.200000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1989	1989	\N	173	ED50	56	33	55.97	N	3	12	22.03	E	56.565547	3.206119	6269184.930000	512667.480000	31	2	4	K	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1373	http://www.npd.no/FactMapSearch?NPDID_wellbore=1373	initial	\N	1373	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/6-C-12	30/6-C-12	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	\N	DEVELOPMENT	1989-02-22	1989-08-14	OSEBERG	504-P	30/6-1 OSEBERG	NO	25.000000	\N	4106.000000	108.000000	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	OSEBERG C	4	NO	OIL	1989	1989	\N	71	ED50	60	36	29.42	N	2	46	33.60	E	60.608172	2.776000	6719324.390000	487735.230000	31	30	6	C	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1374	http://www.npd.no/FactMapSearch?NPDID_wellbore=1374	initial	\N	1374	44396	43625	9999-12-31	21220	296677	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-A-4 A	2/4-A-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1989-02-11	1989-04-04	EKOFISK	502-P	2/4-2 EKOFISK	NO	33.000000	\N	3828.900000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1989	1989	\N	50	ED50	56	31	15.00	N	3	13	22.59	E	56.520833	3.222942	6264211.000000	513717.470000	31	2	4	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1376	http://www.npd.no/FactMapSearch?NPDID_wellbore=1376	sidetrack	2/4-A-4	1376	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-19	2/4-K-19	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1989-02-15	1989-07-11	EKOFISK	503-P	2/4-2 EKOFISK	NO	57.000000	\N	4332.700000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1989	1989	\N	173	ED50	56	33	55.84	N	3	12	21.98	E	56.565511	3.206106	6269180.910000	512666.630000	31	2	4	K	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1377	http://www.npd.no/FactMapSearch?NPDID_wellbore=1377	initial	\N	1377	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-19	2/4-C-19	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1989-11-18	1990-03-14	EKOFISK	554-P	2/4-2 EKOFISK	NO	37.000000	\N	3837.400000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1989	1990	\N	50	ED50	56	32	52.91	N	3	12	56.16	E	56.548031	3.215600	6267236.920000	513256.240000	31	2	4	C	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1378	http://www.npd.no/FactMapSearch?NPDID_wellbore=1378	initial	\N	1378	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-A-22	34/10-A-22	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	GAS	DEVELOPMENT	1989-02-27	1989-04-06	GULLFAKS	506-P	34/10-1 GULLFAKS	NO	82.200000	\N	2751.500000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1989	1989	\N	91	ED50	61	10	33.75	N	2	11	23.16	E	61.176042	2.189767	6782827.080000	456419.170000	31	34	10	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1379	http://www.npd.no/FactMapSearch?NPDID_wellbore=1379	initial	\N	1379	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-1 A	2/7-B-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1989-02-28	1989-03-29	ELDFISK	505-P	2/7-1 ELDFISK	NO	44.000000	\N	3890.800000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1989	1989	\N	50	ED50	56	25	8.98	N	3	13	6.44	E	56.419161	3.218456	6252892.980000	513477.420000	31	2	7	B	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1380	http://www.npd.no/FactMapSearch?NPDID_wellbore=1380	sidetrack	2/7-B-1	1380	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-22	2/8-A-22	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	\N	DEVELOPMENT	1989-04-09	1989-05-17	VALHALL	513-P	2/8-6 VALHALL	NO	44.000000	\N	3775.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1989	1989	\N	71	ED50	56	16	40.80	N	3	23	43.53	E	56.278000	3.395425	6237229.480000	524485.600000	31	2	8	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1381	http://www.npd.no/FactMapSearch?NPDID_wellbore=1381	initial	\N	1381	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/1-A-1	2/1-A-1	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1989-05-08	1990-10-13	GYDA	512-P	2/1-3 GYDA	NO	25.000000	\N	4900.000000	66.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	GYDA	Awarded additionaly to round 1-A	NO	OIL	1989	1990	\N	50	ED50	56	54	17.55	N	3	5	7.04	E	56.904875	3.085289	6306941.470000	505194.590000	31	2	1	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1385	http://www.npd.no/FactMapSearch?NPDID_wellbore=1385	initial	\N	1385	44012	43492	9999-12-31	20924	297028	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
34/10-A-23	34/10-A-23	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1989-03-31	1989-06-16	GULLFAKS	510-P	34/10-1 GULLFAKS	NO	82.200000	\N	3306.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1989	1989	\N	50	ED50	61	10	35.08	N	2	11	21.84	E	61.176411	2.189400	6782868.470000	456399.960000	31	34	10	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1386	http://www.npd.no/FactMapSearch?NPDID_wellbore=1386	initial	\N	1386	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-A-13	7/12-A-13	BP Norway Limited  U.A.	BP	019	INJECTION	\N	DEVELOPMENT	1989-04-08	1989-07-02	ULA	511-P	7/12-2 ULA	NO	57.000000	\N	5118.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER	1989	1989	\N	72	ED50	57	6	41.41	N	2	50	50.34	E	57.111503	2.847317	6329950.380000	490752.120000	31	7	12	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1387	http://www.npd.no/FactMapSearch?NPDID_wellbore=1387	initial	\N	1387	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
33/9-C-36	33/9-C-36	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1989-04-20	1989-07-07	STATFJORD	514-P	33/12-1 STATFJORD	NO	78.400000	\N	3156.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1989	1989	\N	50	ED50	61	17	47.69	N	1	54	9.15	E	61.296581	1.902542	6796478.320000	441196.250000	31	33	9	C	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1388	http://www.npd.no/FactMapSearch?NPDID_wellbore=1388	initial	\N	1388	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-3	30/9-B-3	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	GAS	DEVELOPMENT	1989-05-23	1989-07-09	OSEBERG	508-P	30/6-1 OSEBERG	NO	58.000000	\N	2983.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	GAS	1989	1989	\N	91	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	30	9	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1389	http://www.npd.no/FactMapSearch?NPDID_wellbore=1389	initial	\N	1389	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-K-17	2/4-K-17	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1989-03-22	1989-08-09	EKOFISK	509-P	2/4-2 EKOFISK	NO	57.000000	\N	4478.100000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1989	1989	\N	173	ED50	56	33	55.91	N	3	12	22.43	E	56.565531	3.206231	6269183.100000	512674.310000	31	2	4	K	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1390	http://www.npd.no/FactMapSearch?NPDID_wellbore=1390	initial	\N	1390	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-B-8	34/10-B-8	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1989-04-17	1989-05-17	GULLFAKS	516-P	34/10-1 GULLFAKS	NO	82.000000	\N	3302.800000	144.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1989	1989	\N	173	ED50	61	12	11.20	N	2	12	5.16	E	61.203111	2.201433	6785834.540000	457083.500000	31	34	10	B	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1392	http://www.npd.no/FactMapSearch?NPDID_wellbore=1392	initial	\N	1392	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-E-14 A	2/4-E-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1989-04-29	1989-06-06	TOR	515-P	2/5-1 TOR	NO	41.000000	\N	3505.800000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1989	1989	\N	50	ED50	56	38	31.46	N	3	19	37.33	E	56.642072	3.327036	6277731.940000	520058.030000	31	2	4	E	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1393	http://www.npd.no/FactMapSearch?NPDID_wellbore=1393	sidetrack	2/4-E-14	1393	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-A-24	34/10-A-24	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1989-06-06	1989-07-24	GULLFAKS	517-P	34/10-1 GULLFAKS	NO	82.000000	\N	3424.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1989	1989	\N	173	ED50	61	10	33.63	N	2	11	22.72	E	61.176008	2.189644	6782823.450000	456412.550000	31	34	10	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1408	http://www.npd.no/FactMapSearch?NPDID_wellbore=1408	initial	\N	1408	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-B-4	2/4-B-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1989-06-17	1989-08-06	EKOFISK	518-P	2/4-2 EKOFISK	NO	33.000000	\N	3381.100000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1989	1989	\N	50	ED50	56	33	54.76	N	3	12	13.75	E	56.565211	3.203819	6269147.100000	512526.240000	31	2	4	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1409	http://www.npd.no/FactMapSearch?NPDID_wellbore=1409	initial	\N	1409	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-B-9	34/10-B-9	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1989-05-19	1989-07-03	GULLFAKS	520-P	34/10-1 GULLFAKS	NO	82.000000	\N	2431.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1989	1989	\N	50	ED50	61	12	11.09	N	2	12	5.10	E	61.203081	2.201417	6785831.140000	457082.560000	31	34	10	B	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1410	http://www.npd.no/FactMapSearch?NPDID_wellbore=1410	initial	\N	1410	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/1-A-17 A	25/1-A-17	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1989-08-05	1989-10-01	FRIGG	526-P	25/1-1 FRIGG	NO	43.000000	\N	3291.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1989	1989	\N	90	ED50	59	53	9.56	N	2	4	21.60	E	59.885989	2.072667	6639232.470000	448096.160000	31	25	1	A	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1412	http://www.npd.no/FactMapSearch?NPDID_wellbore=1412	sidetrack	25/1-A-17	1412	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-A-20 A	2/8-A-20	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	\N	DEVELOPMENT	1989-05-26	1989-07-04	VALHALL	519-P	2/8-6 VALHALL	NO	44.000000	\N	3795.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1989	1989	\N	71	ED50	56	16	40.74	N	3	23	43.61	E	56.277983	3.395447	6237227.630000	524486.990000	31	2	8	A	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1414	http://www.npd.no/FactMapSearch?NPDID_wellbore=1414	sidetrack	2/8-A-20	1414	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
30/9-B-31	30/9-B-31	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	GAS	DEVELOPMENT	1989-08-15	1990-02-05	OSEBERG	535-P	30/6-1 OSEBERG	NO	58.000000	\N	4375.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	GAS	1989	1990	\N	91	ED50	60	29	35.96	N	2	49	42.50	E	60.493322	2.828472	6706523.580000	490574.910000	31	30	9	B	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1420	http://www.npd.no/FactMapSearch?NPDID_wellbore=1420	initial	\N	1420	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-B-15	2/7-B-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1989-07-04	1989-10-17	ELDFISK	523-P	2/7-1 ELDFISK	NO	44.000000	\N	3433.600000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1989	1989	\N	71	ED50	56	25	9.08	N	3	13	5.97	E	56.419189	3.218325	6252896.050000	513469.350000	31	2	7	B	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1426	http://www.npd.no/FactMapSearch?NPDID_wellbore=1426	initial	\N	1426	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-40	33/9-C-40	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1989-06-29	1989-10-23	STATFJORD	525-P	33/12-1 STATFJORD	NO	78.400000	\N	3814.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1989	1989	\N	71	ED50	61	17	46.71	N	1	54	9.81	E	61.296308	1.902725	6796447.840000	441205.560000	31	33	9	C	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1428	http://www.npd.no/FactMapSearch?NPDID_wellbore=1428	initial	\N	1428	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-A-7 A	2/7-A-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1989-07-10	1989-09-18	ELDFISK	521-P	2/7-1 ELDFISK	NO	41.000000	\N	4398.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1989	1989	\N	71	ED50	56	22	36.48	N	3	15	58.03	E	56.376800	3.266119	6248188.190000	516436.230000	31	2	7	A	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1429	http://www.npd.no/FactMapSearch?NPDID_wellbore=1429	sidetrack	2/7-A-7	1429	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-B-10	34/10-B-10	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	1989-06-29	1989-08-21	GULLFAKS	524-P	34/10-1 GULLFAKS	NO	82.000000	\N	2881.100000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1989	1989	\N	71	ED50	61	12	10.05	N	2	12	6.36	E	61.202792	2.201767	6785798.740000	457100.980000	31	34	10	B	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1430	http://www.npd.no/FactMapSearch?NPDID_wellbore=1430	initial	\N	1430	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-E-11	2/4-E-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1989-06-27	1989-08-27	TOR	522-P	2/5-1 TOR	NO	41.000000	\N	4072.100000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1989	1989	\N	50	ED50	56	38	31.27	N	3	19	36.89	E	56.642019	3.326914	6277726.030000	520050.560000	31	2	4	E	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1432	http://www.npd.no/FactMapSearch?NPDID_wellbore=1432	initial	\N	1432	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/12-A-15	7/12-A-15	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1989-07-02	1989-08-29	ULA	527-P	7/12-2 ULA	NO	57.000000	\N	3882.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1989	1989	\N	50	ED50	57	6	41.23	N	2	50	50.49	E	57.111453	2.847358	6329944.810000	490754.630000	31	7	12	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1433	http://www.npd.no/FactMapSearch?NPDID_wellbore=1433	initial	\N	1433	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/9-B-41	30/9-B-41	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-06-25	1998-07-29	OSEBERG	1475-P	30/6-1 OSEBERG	NO	58.000000	\N	4089.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	60	29	35.94	N	2	49	43.20	E	60.493317	2.828667	6706522.930000	490585.590000	31	30	9	B	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1438	http://www.npd.no/FactMapSearch?NPDID_wellbore=1438	initial	\N	1438	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-25	34/10-A-25	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1989-07-22	1989-08-26	GULLFAKS	528-P	34/10-1 GULLFAKS	NO	82.000000	\N	3405.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1989	1989	\N	173	ED50	61	10	34.76	N	2	11	21.42	E	61.176322	2.189283	6782858.650000	456393.560000	31	34	10	A	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1439	http://www.npd.no/FactMapSearch?NPDID_wellbore=1439	initial	\N	1439	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-B-15 A	2/4-B-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1989-09-06	1989-11-06	EKOFISK	529-P	2/4-2 EKOFISK	NO	33.000000	\N	3468.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1989	1989	\N	50	ED50	56	33	54.72	N	3	12	13.21	E	56.565200	3.203669	6269145.840000	512517.020000	31	2	4	B	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1445	http://www.npd.no/FactMapSearch?NPDID_wellbore=1445	sidetrack	2/4-B-15	1445	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-B-11	34/10-B-11	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1989-09-24	1989-11-06	GULLFAKS	530-P	34/10-1 GULLFAKS	NO	80.700000	\N	3725.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1989	1989	\N	50	ED50	61	12	11.15	N	2	12	4.64	E	61.203097	2.201289	6785833.080000	457075.720000	31	34	10	B	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1452	http://www.npd.no/FactMapSearch?NPDID_wellbore=1452	initial	\N	1452	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-4 A	2/8-A-4	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1989-09-12	1989-11-07	VALHALL	532-P	2/8-6 VALHALL	NO	44.000000	\N	2666.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1989	1989	\N	50	ED50	56	16	41.05	N	3	23	43.42	E	56.278069	3.395394	6237237.200000	524483.660000	31	2	8	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1454	http://www.npd.no/FactMapSearch?NPDID_wellbore=1454	sidetrack	2/8-A-4	1454	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
30/6-C-8	30/6-C-8	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	WATER	DEVELOPMENT	1989-08-15	1989-10-12	OSEBERG	531-P	30/6-1 OSEBERG	NO	25.000000	\N	4146.000000	108.000000	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	OSEBERG C	4	NO	WATER	1989	1989	\N	173	ED50	60	36	29.43	N	2	46	33.76	E	60.608175	2.776044	6719324.700000	487737.660000	31	30	6	C	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1455	http://www.npd.no/FactMapSearch?NPDID_wellbore=1455	initial	\N	1455	44396	43625	9999-12-31	21220	296677	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-12	34/10-B-12	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1989-11-07	1990-01-14	GULLFAKS	551-P	34/10-1 GULLFAKS	NO	82.000000	\N	3148.500000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1989	1990	\N	173	ED50	61	12	11.21	N	2	12	4.55	E	61.203114	2.201264	6785834.960000	457074.400000	31	34	10	B	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1457	http://www.npd.no/FactMapSearch?NPDID_wellbore=1457	initial	\N	1457	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-A-9	7/12-A-9	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1989-08-30	1989-10-15	ULA	534-P	7/12-2 ULA	NO	57.000000	\N	4171.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1989	1989	\N	50	ED50	57	6	41.27	N	2	50	50.65	E	57.111464	2.847403	6329946.040000	490757.320000	31	7	12	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1458	http://www.npd.no/FactMapSearch?NPDID_wellbore=1458	initial	\N	1458	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/7-A-1	2/7-A-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1990-05-10	1990-08-16	ELDFISK	536-P	2/7-1 ELDFISK	NO	41.000000	\N	3716.700000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1990	1990	\N	50	ED50	56	22	36.34	N	3	15	58.07	E	56.376761	3.266131	6248183.860000	516436.930000	31	2	7	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1462	http://www.npd.no/FactMapSearch?NPDID_wellbore=1462	initial	\N	1462	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-23 A	2/4-B-23	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1989-11-28	1990-02-02	EKOFISK	549-P	2/4-2 EKOFISK	NO	33.000000	\N	3448.200000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1989	1990	\N	50	ED50	56	33	54.83	N	3	12	13.14	E	56.565231	3.203650	6269149.230000	512515.820000	31	2	4	B	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1463	http://www.npd.no/FactMapSearch?NPDID_wellbore=1463	sidetrack	2/4-B-23	1463	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-B-10 A	34/10-B-10	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1989-08-21	1989-09-24	GULLFAKS	533-P	34/10-1 GULLFAKS	NO	82.000000	\N	3298.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1989	1989	\N	50	ED50	61	12	10.05	N	2	12	6.36	E	61.202792	2.201767	6785798.740000	457100.980000	31	34	10	B	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1464	http://www.npd.no/FactMapSearch?NPDID_wellbore=1464	sidetrack	34/10-B-10	1464	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-28	33/12-B-28	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1989-09-18	1989-11-08	STATFJORD	539-P	33/12-1 STATFJORD	NO	77.800000	\N	4743.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1989	1989	\N	71	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1465	http://www.npd.no/FactMapSearch?NPDID_wellbore=1465	initial	\N	1465	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-13	30/9-B-13	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	1989-08-28	1989-10-31	OSEBERG	538-P	30/6-1 OSEBERG	NO	58.000000	\N	3492.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1989	1989	\N	71	ED50	60	29	36.14	N	2	49	42.86	E	60.493372	2.828572	6706529.130000	490580.420000	31	30	9	B	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1466	http://www.npd.no/FactMapSearch?NPDID_wellbore=1466	initial	\N	1466	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-25 A	34/10-A-25	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1989-08-26	1989-09-24	GULLFAKS	537-P	34/10-1 GULLFAKS	NO	82.200000	\N	3550.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1989	1989	\N	173	ED50	61	10	34.76	N	2	11	21.42	E	61.176322	2.189283	6782858.650000	456393.560000	31	34	10	A	25	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1469	http://www.npd.no/FactMapSearch?NPDID_wellbore=1469	sidetrack	34/10-A-25	1469	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-26	34/10-A-26	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1989-10-05	1989-12-03	GULLFAKS	542-P	34/10-1 GULLFAKS	NO	82.000000	\N	2394.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1989	1989	\N	50	ED50	61	10	33.78	N	2	11	22.93	E	61.176050	2.189703	6782828.050000	456415.740000	31	34	10	A	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1471	http://www.npd.no/FactMapSearch?NPDID_wellbore=1471	initial	\N	1471	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-1	34/10-C-1	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1989-10-01	1990-01-08	GULLFAKS	544-P	34/10-1 GULLFAKS	NO	85.000000	\N	2717.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1989	1990	\N	50	ED50	61	12	53.46	N	2	16	27.98	E	61.214850	2.274439	6787096.380000	461021.350000	31	34	10	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1472	http://www.npd.no/FactMapSearch?NPDID_wellbore=1472	initial	\N	1472	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/1-A-4 A	25/1-A-4	Elf Petroleum Norge AS	ELF	024	PRODUCTION	GAS	DEVELOPMENT	1989-10-23	1989-12-17	FRIGG	541-P	25/1-1 FRIGG	NO	43.000000	\N	2844.000000	98.000000	NORTH SEA	FRIGG DP2	JACKET 8 LEGS	FRIGG DP2	2-A	NO	GAS	1989	1989	\N	90	ED50	59	53	9.33	N	2	4	20.71	E	59.885925	2.072419	6639225.540000	448082.220000	31	25	1	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1473	http://www.npd.no/FactMapSearch?NPDID_wellbore=1473	sidetrack	25/1-A-4	1473	44204	43555	9999-12-31	20964	277965	277965	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/7-B-8	2/7-B-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1989-10-23	1989-12-20	ELDFISK	540-P	2/7-1 ELDFISK	NO	44.000000	\N	3344.300000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1989	1989	\N	50	ED50	56	25	8.85	N	3	13	5.91	E	56.419125	3.218308	6252888.930000	513468.350000	31	2	7	B	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1478	http://www.npd.no/FactMapSearch?NPDID_wellbore=1478	initial	\N	1478	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-10	33/9-C-10	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	WATER/GAS	DEVELOPMENT	1989-10-18	1989-12-30	STATFJORD	543-P	33/12-1 STATFJORD	NO	78.400000	\N	6200.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1989	1989	\N	0	ED50	61	17	48.03	N	1	54	10.97	E	61.296675	1.903047	6796488.390000	441223.510000	31	33	9	C	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1480	http://www.npd.no/FactMapSearch?NPDID_wellbore=1480	initial	\N	1480	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-5	30/6-C-5	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	GAS	DEVELOPMENT	1989-10-14	1989-12-09	OSEBERG	545-P	30/6-1 OSEBERG	NO	25.000000	\N	4062.000000	108.000000	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	OSEBERG C	4	NO	GAS	1989	1989	\N	91	ED50	60	36	29.54	N	2	46	33.47	E	60.608206	2.775964	6719328.110000	487733.260000	31	30	6	C	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1481	http://www.npd.no/FactMapSearch?NPDID_wellbore=1481	initial	\N	1481	44396	43625	9999-12-31	21220	296677	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-K-8	2/4-K-8	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	\N	DEVELOPMENT	1989-10-22	1989-12-25	EKOFISK	546-P	2/4-2 EKOFISK	NO	57.000000	\N	4943.200000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1989	1989	\N	72	ED50	56	33	55.82	N	3	12	22.32	E	56.565506	3.206200	6269180.310000	512672.440000	31	2	4	K	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1482	http://www.npd.no/FactMapSearch?NPDID_wellbore=1482	initial	\N	1482	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-18 A	2/7-A-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1990-02-21	1990-05-14	ELDFISK	567-P	2/7-1 ELDFISK	NO	41.000000	\N	3090.700000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1990	1990	\N	50	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	2	7	A	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1483	http://www.npd.no/FactMapSearch?NPDID_wellbore=1483	sidetrack	2/7-A-18	1483	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/5-B-6 H	31/5-B-6	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	GAS	DEVELOPMENT	1989-11-19	1991-10-15	TROLL	552-P	31/6-1 TROLL ØST	NO	23.000000	\N	1680.000000	302.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TOGI	Awarded additionaly to round 7	NO	GAS	1989	1991	\N	90	ED50	60	34	27.55	N	3	39	28.42	E	60.574319	3.657894	6715713.220000	536059.340000	31	31	5	B	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1484	http://www.npd.no/FactMapSearch?NPDID_wellbore=1484	initial	\N	1484	44552	46437	9999-12-31	21476	289333	272981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7/12-A-13 A	7/12-A-13	BP Norway Limited  U.A.	BP	019	INJECTION	WATER	DEVELOPMENT	1989-11-04	1989-12-19	ULA	547-P	7/12-2 ULA	NO	57.000000	\N	4469.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER	1989	1989	\N	173	ED50	57	6	41.41	N	2	50	50.34	E	57.111503	2.847317	6329950.380000	490752.120000	31	7	12	A	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1485	http://www.npd.no/FactMapSearch?NPDID_wellbore=1485	sidetrack	7/12-A-13	1485	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/7-A-8 A	2/7-A-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	CUTTINGS	DEVELOPMENT	1989-11-22	1990-01-17	ELDFISK	553-P	2/7-1 ELDFISK	NO	41.000000	\N	4893.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1989	1990	\N	171	ED50	56	22	36.44	N	3	15	57.85	E	56.376789	3.266069	6248186.940000	516433.150000	31	2	7	A	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1487	http://www.npd.no/FactMapSearch?NPDID_wellbore=1487	sidetrack	2/7-A-8	1487	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/6-C-9	30/6-C-9	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1989-12-11	1990-02-05	OSEBERG	556-P	30/6-1 OSEBERG	NO	25.000000	\N	4740.000000	108.000000	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	OSEBERG C	4	NO	OIL	1989	1990	\N	50	ED50	60	36	29.48	N	2	46	33.35	E	60.608189	2.775931	6719326.260000	487731.430000	31	30	6	C	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1489	http://www.npd.no/FactMapSearch?NPDID_wellbore=1489	initial	\N	1489	44396	43625	9999-12-31	21220	296677	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-27	34/10-A-27	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1989-12-04	1990-01-15	GULLFAKS	555-P	34/10-1 GULLFAKS	NO	82.000000	\N	3380.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1989	1990	\N	50	ED50	61	10	33.77	N	2	11	22.56	E	61.176047	2.189600	6782827.810000	456410.210000	31	34	10	A	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1490	http://www.npd.no/FactMapSearch?NPDID_wellbore=1490	initial	\N	1490	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-2	34/10-C-2	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1989-12-31	1990-04-25	GULLFAKS	557-P	34/10-1 GULLFAKS	NO	85.000000	\N	2652.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1989	1990	\N	50	ED50	61	12	53.71	N	2	16	27.87	E	61.214919	2.274408	6787104.130000	461019.800000	31	34	10	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1491	http://www.npd.no/FactMapSearch?NPDID_wellbore=1491	initial	\N	1491	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-K-26	2/4-K-26	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1989-12-28	1990-02-22	EKOFISK	559-P	2/4-2 EKOFISK	NO	57.000000	\N	3797.800000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1989	1990	\N	173	ED50	56	33	56.07	N	3	12	22.53	E	56.565575	3.206258	6269188.050000	512676.000000	31	2	4	K	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1493	http://www.npd.no/FactMapSearch?NPDID_wellbore=1493	initial	\N	1493	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-08-24	2012-08-24	2013-05-08
2/4-A-12 B	2/4-A-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1990-02-21	1990-05-13	EKOFISK	560-P	2/4-2 EKOFISK	NO	33.000000	\N	4076.700000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1990	1990	\N	50	ED50	56	31	15.28	N	3	13	22.72	E	56.520911	3.222978	6264219.670000	513719.670000	31	2	4	A	12	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1496	http://www.npd.no/FactMapSearch?NPDID_wellbore=1496	sidetrack	2/4-A-12 A	1496	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/5-B-4 H	31/5-B-4	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	GAS	DEVELOPMENT	1990-01-15	1991-01-01	TROLL	561-P	31/6-1 TROLL ØST	NO	23.000000	\N	1642.000000	302.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TOGI	Awarded additionaly to round 7	NO	GAS	1990	1991	\N	90	ED50	60	34	27.44	N	3	39	26.63	E	60.574289	3.657397	6715709.540000	536032.120000	31	31	5	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1498	http://www.npd.no/FactMapSearch?NPDID_wellbore=1498	initial	\N	1498	44552	46437	9999-12-31	21476	289333	272981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-B-2 H	31/5-B-2	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	GAS	DEVELOPMENT	1990-03-12	1991-01-14	TROLL	571-P	31/6-1 TROLL ØST	NO	23.000000	\N	1661.000000	302.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TOGI	Awarded additionaly to round 7	NO	GAS	1990	1991	\N	90	ED50	60	34	27.29	N	3	39	27.15	E	60.574247	3.657542	6715704.980000	536040.080000	31	31	5	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1499	http://www.npd.no/FactMapSearch?NPDID_wellbore=1499	initial	\N	1499	44552	46437	9999-12-31	21476	289333	272981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-B-3 H	31/5-B-3	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	GAS	DEVELOPMENT	1990-03-26	1990-06-24	TROLL	577-P	31/6-1 TROLL ØST	NO	23.000000	\N	1673.000000	302.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TOGI	Awarded additionaly to round 7	NO	GAS	1990	1990	\N	90	ED50	60	34	27.14	N	3	39	27.67	E	60.574206	3.657686	6715700.420000	536048.050000	31	31	5	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1500	http://www.npd.no/FactMapSearch?NPDID_wellbore=1500	initial	\N	1500	44552	46437	9999-12-31	21476	289333	272981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-B-5 H	31/5-B-5	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	GAS	DEVELOPMENT	1990-02-26	1990-12-01	TROLL	569-P	31/6-1 TROLL ØST	NO	23.000000	\N	1656.000000	302.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TOGI	Awarded additionaly to round 7	NO	GAS	1990	1990	\N	90	ED50	60	34	27.49	N	3	39	27.02	E	60.574303	3.657506	6715711.150000	536038.040000	31	31	5	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1501	http://www.npd.no/FactMapSearch?NPDID_wellbore=1501	initial	\N	1501	44552	46437	9999-12-31	21476	289333	272981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-28	34/10-A-28	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1990-01-30	1990-04-11	GULLFAKS	563-P	34/10-1 GULLFAKS	NO	82.000000	\N	2705.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1990	1990	\N	50	ED50	61	10	33.81	N	2	11	22.70	E	61.176058	2.189639	6782829.020000	456412.320000	31	34	10	A	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1502	http://www.npd.no/FactMapSearch?NPDID_wellbore=1502	initial	\N	1502	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-W-8	2/4-W-8	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1990-03-19	1990-05-22	EKOFISK	570-P	2/4-2 EKOFISK	NO	45.700000	\N	3829.800000	76.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EKOFISK W	1-A	NO	WATER	1990	1990	\N	173	ED50	56	32	39.12	N	3	13	4.37	E	56.544200	3.217881	6266810.970000	513397.820000	31	2	4	W	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1503	http://www.npd.no/FactMapSearch?NPDID_wellbore=1503	initial	\N	1503	44072	43506	9999-12-31	20900	292114	277293	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/9-B-40	30/9-B-40	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1990-02-05	1990-05-03	OSEBERG	562-P	30/6-1 OSEBERG	NO	58.000000	\N	4833.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1990	1990	\N	50	ED50	60	29	35.93	N	2	49	43.03	E	60.493314	2.828619	6706522.630000	490583.000000	31	30	9	B	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1504	http://www.npd.no/FactMapSearch?NPDID_wellbore=1504	initial	\N	1504	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-7	30/6-C-7	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	\N	DEVELOPMENT	1990-02-06	1990-03-13	OSEBERG	564-P	30/6-1 OSEBERG	NO	25.000000	\N	3100.000000	108.000000	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	OSEBERG C	4	NO	OIL	1990	1990	\N	71	ED50	60	36	29.42	N	2	46	33.72	E	60.608172	2.776033	6719324.390000	487737.050000	31	30	6	C	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1505	http://www.npd.no/FactMapSearch?NPDID_wellbore=1505	initial	\N	1505	44396	43625	9999-12-31	21220	296677	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-A-27	2/8-A-27	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1991-07-18	1991-09-03	VALHALL	655-P	2/8-6 VALHALL	NO	44.000000	\N	3907.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1991	1991	\N	50	ED50	56	16	40.94	N	3	23	43.97	E	56.278039	3.395547	6237233.850000	524493.140000	31	2	8	A	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1506	http://www.npd.no/FactMapSearch?NPDID_wellbore=1506	initial	\N	1506	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-30	2/8-A-30	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1993-01-28	1993-05-03	VALHALL	764-P	2/8-6 VALHALL	NO	44.000000	\N	5747.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1993	1993	\N	50	ED50	56	16	40.79	N	3	23	43.73	E	56.277997	3.395481	6237229.190000	524489.040000	31	2	8	A	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1507	http://www.npd.no/FactMapSearch?NPDID_wellbore=1507	initial	\N	1507	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-C-16	2/4-C-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1990-07-20	1990-10-19	EKOFISK	566-P	2/4-2 EKOFISK	NO	37.000000	\N	3352.800000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1990	1990	\N	50	ED50	56	32	52.80	N	3	12	55.62	E	56.548000	3.215450	6267233.490000	513247.030000	31	2	4	C	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1509	http://www.npd.no/FactMapSearch?NPDID_wellbore=1509	initial	\N	1509	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-B-13	34/10-B-13	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	1990-02-13	1990-04-17	GULLFAKS	565-P	34/10-1 GULLFAKS	NO	81.000000	\N	3250.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1990	1990	\N	71	ED50	61	12	9.97	N	2	12	6.08	E	61.202769	2.201689	6785796.310000	457096.770000	31	34	10	B	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1515	http://www.npd.no/FactMapSearch?NPDID_wellbore=1515	initial	\N	1515	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-39	30/9-B-39	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1991-04-27	1991-10-15	OSEBERG	643-P	30/6-1 OSEBERG	NO	58.000000	\N	5745.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1991	1991	\N	50	ED50	60	29	35.91	N	2	49	42.49	E	60.493308	2.828469	6706522.030000	490574.750000	31	30	9	B	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1516	http://www.npd.no/FactMapSearch?NPDID_wellbore=1516	initial	\N	1516	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-12 A	30/9-B-12	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	1991-01-17	1991-03-13	OSEBERG	622-P	30/6-1 OSEBERG	NO	58.000000	\N	3992.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1991	1991	\N	71	ED50	60	29	36.40	N	2	49	43.19	E	60.493444	2.828664	6706537.170000	490585.480000	31	30	9	B	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1517	http://www.npd.no/FactMapSearch?NPDID_wellbore=1517	sidetrack	30/9-B-12	1517	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-3	34/10-C-3	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1990-03-03	1990-06-22	GULLFAKS	568-P	34/10-1 GULLFAKS	NO	85.000000	\N	2901.000000	217.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1990	1990	\N	50	ED50	61	12	54.72	N	2	16	26.27	E	61.215200	2.273964	6787135.650000	460996.270000	31	34	10	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1518	http://www.npd.no/FactMapSearch?NPDID_wellbore=1518	initial	\N	1518	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-B-16 B	2/4-B-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-03-02	1991-04-17	EKOFISK	623-P	2/4-2 EKOFISK	NO	33.000000	\N	3338.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1991	1991	\N	50	ED50	56	33	54.68	N	3	12	13.04	E	56.565189	3.203622	6269144.590000	512514.120000	31	2	4	B	16	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1519	http://www.npd.no/FactMapSearch?NPDID_wellbore=1519	sidetrack	2/4-B-16 A	1519	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-20	2/4-A-20	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1990-06-25	1990-09-23	EKOFISK	573-P	2/4-2 EKOFISK	NO	33.000000	\N	4022.400000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1990	1990	\N	50	ED50	56	31	15.25	N	3	13	22.82	E	56.520903	3.223006	6264218.750000	513721.380000	31	2	4	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1526	http://www.npd.no/FactMapSearch?NPDID_wellbore=1526	initial	\N	1526	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/6-C-6	30/6-C-6	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	\N	DEVELOPMENT	1990-03-14	1990-04-28	OSEBERG	572-P	30/6-1 OSEBERG	NO	25.000000	\N	3820.000000	108.000000	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	OSEBERG C	4	NO	OIL	1990	1990	\N	71	ED50	60	36	29.55	N	2	46	33.51	E	60.608208	2.775975	6719328.420000	487733.870000	31	30	6	C	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1528	http://www.npd.no/FactMapSearch?NPDID_wellbore=1528	initial	\N	1528	44396	43625	9999-12-31	21220	296677	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7/12-A-12 A	7/12-A-12	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1990-04-15	1990-06-14	ULA	576-P	7/12-2 ULA	NO	57.000000	\N	4655.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1990	1990	\N	50	ED50	57	6	41.01	N	2	50	50.88	E	57.111392	2.847467	6329938.000000	490761.170000	31	7	12	A	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1529	http://www.npd.no/FactMapSearch?NPDID_wellbore=1529	sidetrack	7/12-A-12	1529	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
33/12-B-28 A	33/12-B-28	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1990-05-02	1990-06-23	STATFJORD	575-P	33/12-1 STATFJORD	NO	77.800000	\N	4231.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1990	1990	\N	71	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	28	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1531	http://www.npd.no/FactMapSearch?NPDID_wellbore=1531	sidetrack	33/12-B-28	1531	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-37 A	33/9-A-37	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1990-04-21	1990-07-08	STATFJORD	574-P	33/12-1 STATFJORD	NO	64.400000	\N	4052.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1990	1990	\N	50	ED50	61	15	19.76	N	1	51	14.06	E	61.255489	1.853906	6791946.210000	438510.130000	31	33	9	A	37	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1532	http://www.npd.no/FactMapSearch?NPDID_wellbore=1532	sidetrack	33/9-A-37	1532	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-K-15	2/4-K-15	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1990-04-28	1990-07-15	EKOFISK	578-P	2/4-2 EKOFISK	NO	57.000000	\N	4530.900000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1990	1990	\N	173	ED50	56	33	56.02	N	3	12	22.75	E	56.565561	3.206319	6269186.520000	512679.760000	31	2	4	K	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1535	http://www.npd.no/FactMapSearch?NPDID_wellbore=1535	initial	\N	1535	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-B-14	34/10-B-14	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	1990-04-20	1990-11-12	GULLFAKS	579-P	34/10-1 GULLFAKS	NO	81.000000	\N	4489.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1990	1990	\N	71	ED50	61	12	11.01	N	2	12	4.81	E	61.203058	2.201336	6785828.720000	457078.200000	31	34	10	B	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1538	http://www.npd.no/FactMapSearch?NPDID_wellbore=1538	initial	\N	1538	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-27 A	34/10-A-27	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1990-04-12	1990-05-19	GULLFAKS	581-P	34/10-1 GULLFAKS	NO	82.000000	\N	3022.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1990	1990	\N	173	ED50	61	10	33.77	N	2	11	22.56	E	61.176047	2.189600	6782827.810000	456410.210000	31	34	10	A	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1541	http://www.npd.no/FactMapSearch?NPDID_wellbore=1541	sidetrack	34/10-A-27	1541	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-7	30/3-A-7	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	\N	DEVELOPMENT	1990-06-03	1990-07-16	VESLEFRIKK	582-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3753.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER	1990	1990	\N	72	ED50	60	46	57.92	N	2	53	52.06	E	60.782756	2.897794	6738753.680000	494434.140000	31	30	3	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1542	http://www.npd.no/FactMapSearch?NPDID_wellbore=1542	initial	\N	1542	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-C-1 A	2/4-C-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1990-04-09	1990-06-06	EKOFISK	580-P	2/4-2 EKOFISK	NO	37.000000	\N	3839.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1990	1990	\N	50	ED50	56	32	52.84	N	3	12	55.55	E	56.548011	3.215431	6267234.720000	513245.830000	31	2	4	C	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1543	http://www.npd.no/FactMapSearch?NPDID_wellbore=1543	sidetrack	2/4-C-1	1543	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/9-B-15	30/9-B-15	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	GAS	DEVELOPMENT	1990-05-01	1990-07-15	OSEBERG	583-P	30/6-1 OSEBERG	NO	58.000000	\N	4400.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	GAS	1990	1990	\N	91	ED50	60	29	36.26	N	2	49	42.72	E	60.493406	2.828533	6706532.850000	490578.290000	31	30	9	B	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1546	http://www.npd.no/FactMapSearch?NPDID_wellbore=1546	initial	\N	1546	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-W-6	2/4-W-6	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1990-10-12	1990-11-27	EKOFISK	603-P	2/4-2 EKOFISK	NO	45.700000	\N	4205.600000	76.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EKOFISK W	1-A	NO	WATER	1990	1990	\N	173	ED50	56	32	39.08	N	3	13	4.51	E	56.544189	3.217919	6266809.750000	513400.210000	31	2	4	W	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1564	http://www.npd.no/FactMapSearch?NPDID_wellbore=1564	initial	\N	1564	44072	43506	9999-12-31	20900	292114	277293	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-21	2/4-A-21	Phillips Petroleum Company Norway	PHILLIPS	018	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1993-06-27	1993-08-30	EKOFISK	819-P	2/4-2 EKOFISK	NO	33.000000	\N	4942.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	\N	1993	1993	\N	99	ED50	56	31	15.21	N	3	13	22.67	E	56.520892	3.222964	6264217.500000	513718.820000	31	2	4	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1565	http://www.npd.no/FactMapSearch?NPDID_wellbore=1565	initial	\N	1565	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-22	2/4-A-22	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1990-09-24	1990-12-05	EKOFISK	597-P	2/4-2 EKOFISK	NO	33.000000	\N	3900.200000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1990	1990	\N	50	ED50	56	31	15.17	N	3	13	22.51	E	56.520881	3.222919	6264216.260000	513716.090000	31	2	4	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1566	http://www.npd.no/FactMapSearch?NPDID_wellbore=1566	initial	\N	1566	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-18	2/4-A-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-09-22	1991-11-11	EKOFISK	672-P	2/4-2 EKOFISK	NO	33.000000	\N	3464.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1991	1991	\N	50	ED50	56	31	15.07	N	3	13	22.60	E	56.520853	3.222944	6264213.170000	513717.640000	31	2	4	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1567	http://www.npd.no/FactMapSearch?NPDID_wellbore=1567	initial	\N	1567	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-19	2/4-A-19	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-02-09	1993-04-05	EKOFISK	781-P	2/4-2 EKOFISK	NO	33.000000	\N	3460.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1993	1993	\N	50	ED50	56	31	15.02	N	3	13	22.44	E	56.520839	3.222900	6264211.610000	513714.910000	31	2	4	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1568	http://www.npd.no/FactMapSearch?NPDID_wellbore=1568	initial	\N	1568	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-23	2/4-A-23	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-05-22	1991-07-22	EKOFISK	649-P	2/4-2 EKOFISK	NO	33.000000	\N	3599.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1991	1991	\N	50	ED50	56	31	15.12	N	3	13	22.35	E	56.520867	3.222875	6264214.700000	513713.360000	31	2	4	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1569	http://www.npd.no/FactMapSearch?NPDID_wellbore=1569	initial	\N	1569	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-20	2/4-C-20	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1992-01-11	1992-03-15	EKOFISK	684-P	2/4-2 EKOFISK	NO	37.000000	\N	3520.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1992	1992	\N	50	ED50	56	32	52.73	N	3	12	55.73	E	56.547981	3.215481	6267231.330000	513248.920000	31	2	4	C	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1570	http://www.npd.no/FactMapSearch?NPDID_wellbore=1570	initial	\N	1570	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-21	2/4-C-21	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1992-03-16	1992-05-14	EKOFISK	696-P	2/4-2 EKOFISK	NO	37.000000	\N	3781.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1992	1992	\N	50	ED50	56	32	52.76	N	3	12	55.84	E	56.547989	3.215511	6267232.260000	513250.790000	31	2	4	C	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1571	http://www.npd.no/FactMapSearch?NPDID_wellbore=1571	initial	\N	1571	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-17	2/4-C-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-03-28	1991-05-18	EKOFISK	639-P	2/4-2 EKOFISK	NO	36.000000	\N	3548.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1991	1991	\N	50	ED50	56	32	52.84	N	3	12	55.80	E	56.548011	3.215500	6267234.730000	513250.100000	31	2	4	C	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1572	http://www.npd.no/FactMapSearch?NPDID_wellbore=1572	initial	\N	1572	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-18	2/4-C-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1990-10-20	1991-01-12	EKOFISK	605-P	2/4-2 EKOFISK	NO	37.000000	\N	4022.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1990	1991	\N	50	ED50	56	32	52.87	N	3	12	55.98	E	56.548019	3.215550	6267235.670000	513253.170000	31	2	4	C	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1573	http://www.npd.no/FactMapSearch?NPDID_wellbore=1573	initial	\N	1573	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-22	2/4-C-22	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-01-16	1991-03-25	EKOFISK	607-P	2/4-2 EKOFISK	NO	37.000000	\N	3981.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1991	1991	\N	50	ED50	56	32	52.80	N	3	12	56.02	E	56.548000	3.215561	6267233.510000	513253.860000	31	2	4	C	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1574	http://www.npd.no/FactMapSearch?NPDID_wellbore=1574	initial	\N	1574	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-C-23	2/4-C-23	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-05-19	1991-07-10	EKOFISK	651-P	2/4-2 EKOFISK	NO	37.000000	\N	3535.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1991	1991	\N	50	ED50	56	32	52.84	N	3	12	56.20	E	56.548011	3.215611	6267234.750000	513256.930000	31	2	4	C	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1575	http://www.npd.no/FactMapSearch?NPDID_wellbore=1575	initial	\N	1575	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-W-1	2/4-W-1	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1991-03-19	1991-05-06	EKOFISK	632-P	2/4-2 EKOFISK	NO	45.700000	\N	4025.000000	76.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EKOFISK W	1-A	NO	WATER	1991	1991	\N	173	ED50	56	32	39.19	N	3	13	4.66	E	56.544219	3.217961	6266813.150000	513402.760000	31	2	4	W	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1576	http://www.npd.no/FactMapSearch?NPDID_wellbore=1576	initial	\N	1576	44072	43506	9999-12-31	20900	292114	277293	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-W-2	2/4-W-2	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1990-11-25	1991-01-26	EKOFISK	615-P	2/4-2 EKOFISK	NO	45.700000	\N	5121.000000	76.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EKOFISK W	1-A	NO	WATER	1990	1991	\N	173	ED50	56	32	39.19	N	3	13	4.55	E	56.544219	3.217931	6266813.150000	513400.880000	31	2	4	W	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1577	http://www.npd.no/FactMapSearch?NPDID_wellbore=1577	initial	\N	1577	44072	43506	9999-12-31	20900	292114	277293	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-W-3	2/4-W-3	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1991-05-07	1991-07-07	EKOFISK	647-P	2/4-2 EKOFISK	NO	45.700000	\N	5105.000000	76.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EKOFISK W	1-A	NO	WATER	1991	1991	\N	173	ED50	56	32	39.12	N	3	13	4.62	E	56.544200	3.217950	6266810.990000	513402.090000	31	2	4	W	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1578	http://www.npd.no/FactMapSearch?NPDID_wellbore=1578	initial	\N	1578	44072	43506	9999-12-31	20900	292114	277293	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-W-4	2/4-W-4	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	\N	DEVELOPMENT	1990-08-05	1990-10-11	EKOFISK	594-P	2/4-2 EKOFISK	NO	45.700000	\N	4288.500000	76.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EKOFISK W	1-A	NO	WATER	1990	1990	\N	72	ED50	56	32	39.05	N	3	13	4.66	E	56.544181	3.217961	6266808.830000	513402.780000	31	2	4	W	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1579	http://www.npd.no/FactMapSearch?NPDID_wellbore=1579	initial	\N	1579	44072	43506	9999-12-31	20900	292114	277293	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-W-5	2/4-W-5	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1990-06-15	1990-08-05	EKOFISK	585-P	2/4-2 EKOFISK	NO	48.200000	\N	4191.000000	76.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EKOFISK W	1-A	NO	WATER	1990	1990	\N	173	ED50	56	32	39.19	N	3	13	4.44	E	56.544219	3.217900	6266813.140000	513399.010000	31	2	4	W	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1580	http://www.npd.no/FactMapSearch?NPDID_wellbore=1580	initial	\N	1580	44072	43506	9999-12-31	20900	292114	277293	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-W-7	2/4-W-7	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1991-01-27	1991-03-22	EKOFISK	621-P	2/4-2 EKOFISK	NO	45.700000	\N	4377.000000	76.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EKOFISK W	1-A	NO	WATER	1991	1991	\N	173	ED50	56	32	39.01	N	3	13	4.44	E	56.544169	3.217900	6266807.580000	513399.020000	31	2	4	W	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1581	http://www.npd.no/FactMapSearch?NPDID_wellbore=1581	initial	\N	1581	44072	43506	9999-12-31	20900	292114	277293	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-16 B	2/8-A-16	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1990-06-21	1990-07-31	VALHALL	587-P	2/8-6 VALHALL	NO	44.000000	\N	3025.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1990	1990	\N	50	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	2	8	A	16	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1582	http://www.npd.no/FactMapSearch?NPDID_wellbore=1582	sidetrack	2/8-A-16 A	1582	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-A-24 A	34/10-A-24	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1990-06-04	1990-07-26	GULLFAKS	584-P	34/10-1 GULLFAKS	NO	82.000000	\N	2608.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1990	1990	\N	173	ED50	61	10	33.63	N	2	11	22.72	E	61.176008	2.189644	6782823.450000	456412.550000	31	34	10	A	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1583	http://www.npd.no/FactMapSearch?NPDID_wellbore=1583	sidetrack	34/10-A-24	1583	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-15	34/10-B-15	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1990-06-06	1990-09-14	GULLFAKS	586-P	34/10-1 GULLFAKS	NO	81.000000	\N	2830.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1990	1990	\N	50	ED50	61	12	11.05	N	2	12	4.95	E	61.203069	2.201375	6785829.930000	457080.310000	31	34	10	B	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1585	http://www.npd.no/FactMapSearch?NPDID_wellbore=1585	initial	\N	1585	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-20 A	33/9-A-20	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1990-08-01	1990-08-28	STATFJORD	591-P	33/12-1 STATFJORD	NO	64.400000	\N	3381.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1990	1990	\N	50	ED50	61	15	20.72	N	1	51	14.90	E	61.255756	1.854139	6791975.690000	438523.170000	31	33	9	A	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1586	http://www.npd.no/FactMapSearch?NPDID_wellbore=1586	sidetrack	33/9-A-20	1586	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-4	34/10-C-4	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1990-06-22	1991-02-09	GULLFAKS	590-P	34/10-1 GULLFAKS	NO	85.000000	\N	3287.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	WATER	1990	1991	\N	173	ED50	61	12	53.50	N	2	16	28.13	E	61.214861	2.274481	6787097.590000	461023.600000	31	34	10	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1598	http://www.npd.no/FactMapSearch?NPDID_wellbore=1598	initial	\N	1598	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-11	33/9-C-11	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1990-07-23	1990-09-22	STATFJORD	588-P	33/12-1 STATFJORD	NO	78.400000	\N	3703.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1990	1990	\N	50	ED50	61	17	48.01	N	1	54	11.11	E	61.296669	1.903086	6796487.730000	441225.590000	31	33	9	C	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1599	http://www.npd.no/FactMapSearch?NPDID_wellbore=1599	initial	\N	1599	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-12	30/9-B-12	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	1990-07-15	1990-09-14	OSEBERG	592-P	30/6-1 OSEBERG	NO	58.000000	\N	3880.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1990	1990	\N	71	ED50	60	29	36.40	N	2	49	43.19	E	60.493444	2.828664	6706537.170000	490585.480000	31	30	9	B	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1603	http://www.npd.no/FactMapSearch?NPDID_wellbore=1603	initial	\N	1603	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-A-17	2/4-A-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-03-27	1991-05-20	EKOFISK	638-P	2/4-2 EKOFISK	NO	33.000000	\N	3440.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1991	1991	\N	50	ED50	56	31	15.12	N	3	13	22.77	E	56.520867	3.222992	6264214.720000	513720.540000	31	2	4	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1605	http://www.npd.no/FactMapSearch?NPDID_wellbore=1605	initial	\N	1605	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-16	2/4-A-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-07-30	1991-09-17	EKOFISK	658-P	2/4-2 EKOFISK	NO	33.000000	\N	3460.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1991	1991	\N	50	ED50	56	31	15.17	N	3	13	22.91	E	56.520881	3.223031	6264216.280000	513722.930000	31	2	4	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1606	http://www.npd.no/FactMapSearch?NPDID_wellbore=1606	initial	\N	1606	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-19 A	2/7-A-19	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1990-09-14	1990-11-20	ELDFISK	589-P	2/7-1 ELDFISK	NO	41.000000	\N	3215.600000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1990	1990	\N	71	ED50	56	22	36.16	N	3	15	56.87	E	56.376711	3.265797	6248178.220000	516416.370000	31	2	7	A	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1607	http://www.npd.no/FactMapSearch?NPDID_wellbore=1607	sidetrack	2/7-A-19	1607	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/11-A-3	2/11-A-3	Amoco Norway Oil Company	AMOCO	033	OBSERVATION	OIL	DEVELOPMENT	1991-04-12	1991-05-14	HOD	642-P	2/11-2 HOD	NO	38.300000	\N	3332.000000	72.000000	NORTH SEA	KOLSKAYA	JACK-UP 3 LEGS	HOD	2-A	NO	OIL	1991	1991	\N	99	ED50	56	10	36.01	N	3	27	36.32	E	56.176669	3.460089	6225975.790000	528564.990000	31	2	11	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1608	http://www.npd.no/FactMapSearch?NPDID_wellbore=1608	initial	\N	1608	44000	43485	9999-12-31	21052	293977	272309	0	AMOCO	2013-02-16	2013-02-16	2013-05-08
2/11-A-4	2/11-A-4	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	OIL	DEVELOPMENT	1991-07-24	1991-09-09	HOD	654-P	2/11-2 HOD	NO	38.000000	\N	4100.000000	72.000000	NORTH SEA	KOLSKAYA	JACK-UP 3 LEGS	HOD	2-A	NO	OIL	1991	1991	\N	50	ED50	56	10	35.52	N	3	27	36.22	E	56.176533	3.460061	6225960.630000	528563.360000	31	2	11	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1609	http://www.npd.no/FactMapSearch?NPDID_wellbore=1609	initial	\N	1609	44000	43485	9999-12-31	21052	293977	272309	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/11-A-6	2/11-A-6	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	OIL	DEVELOPMENT	1990-08-13	1990-09-22	HOD	595-P	2/11-2 HOD	NO	38.300000	\N	4070.000000	72.000000	NORTH SEA	KOLSKAYA	JACK-UP 3 LEGS	HOD	2-A	NO	OIL	1990	1990	2/11-6 SR	50	ED50	56	10	35.50	N	3	27	36.72	E	56.176528	3.460200	6225960.070000	528571.990000	31	2	11	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1610	http://www.npd.no/FactMapSearch?NPDID_wellbore=1610	initial	\N	1610	44000	43485	9999-12-31	21052	293977	272309	1668	AMOCO	2012-07-25	2012-07-25	2013-05-08
30/3-A-8	30/3-A-8	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	WATER	DEVELOPMENT	1990-07-17	1990-10-22	VESLEFRIKK	593-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5609.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER	1990	1990	\N	173	ED50	60	46	58.03	N	2	53	52.27	E	60.782786	2.897853	6738757.080000	494437.320000	31	30	3	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1614	http://www.npd.no/FactMapSearch?NPDID_wellbore=1614	initial	\N	1614	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/11-A-1	2/11-A-1	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	\N	DEVELOPMENT	1991-01-01	1991-03-06	HOD	617-P	2/11-2 HOD	NO	38.000000	\N	4723.000000	72.000000	NORTH SEA	KOLSKAYA	JACK-UP 3 LEGS	HOD	2-A	NO	OIL	1991	1991	\N	71	ED50	56	10	35.52	N	3	27	36.22	E	56.176533	3.460061	6225960.630000	528563.360000	31	2	11	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1615	http://www.npd.no/FactMapSearch?NPDID_wellbore=1615	initial	\N	1615	44000	43485	9999-12-31	21052	293977	272309	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/11-A-2	2/11-A-2	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	OIL	DEVELOPMENT	1990-09-30	1991-01-04	HOD	598-P	2/11-2 HOD	NO	38.300000	\N	3701.000000	72.000000	NORTH SEA	KOLSKAYA	JACK-UP 3 LEGS	HOD	2-A	NO	OIL	1990	1991	\N	50	ED50	56	10	35.65	N	3	27	36.67	E	56.176569	3.460186	6225964.700000	528571.100000	31	2	11	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1616	http://www.npd.no/FactMapSearch?NPDID_wellbore=1616	initial	\N	1616	44000	43485	9999-12-31	21052	293977	272309	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-B-17 A	2/4-B-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1990-12-17	1991-03-02	EKOFISK	599-P	2/4-2 EKOFISK	NO	33.000000	\N	3926.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1990	1991	\N	50	ED50	56	33	55.04	N	3	12	14.08	E	56.565289	3.203911	6269155.770000	512531.840000	31	2	4	B	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1617	http://www.npd.no/FactMapSearch?NPDID_wellbore=1617	sidetrack	2/4-B-17	1617	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-16 A	2/4-B-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1986-05-13	1986-07-04	EKOFISK	2431-P	2/4-2 EKOFISK	NO	33.000000	\N	3180.600000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1986	1986	\N	50	ED50	56	33	54.68	N	3	12	13.04	E	56.565189	3.203622	6269144.590000	512514.120000	31	2	4	B	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1624	http://www.npd.no/FactMapSearch?NPDID_wellbore=1624	sidetrack	2/4-B-16	1624	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-18 A	2/4-B-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1986-07-23	1986-10-14	EKOFISK	2357-P	2/4-2 EKOFISK	NO	33.000000	\N	3499.100000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1986	1986	\N	50	ED50	56	33	55.02	N	3	12	13.97	E	56.565283	3.203881	6269155.150000	512529.970000	31	2	4	B	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1625	http://www.npd.no/FactMapSearch?NPDID_wellbore=1625	sidetrack	2/4-B-18	1625	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-19 A	2/4-B-19	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1985-02-12	1985-04-30	EKOFISK	2413-P	2/4-2 EKOFISK	NO	33.000000	\N	3349.400000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1985	1985	\N	50	ED50	56	33	54.98	N	3	12	13.80	E	56.565272	3.203833	6269153.900000	512527.070000	31	2	4	B	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1626	http://www.npd.no/FactMapSearch?NPDID_wellbore=1626	sidetrack	2/4-B-19	1626	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-3 A	2/7-A-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1982-06-26	1982-07-31	ELDFISK	2483-P	2/7-1 ELDFISK	NO	41.000000	\N	3438.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1982	1982	\N	50	ED50	56	22	36.27	N	3	15	57.74	E	56.376742	3.266039	6248181.680000	516431.280000	31	2	7	A	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1646	http://www.npd.no/FactMapSearch?NPDID_wellbore=1646	sidetrack	2/7-A-3	1646	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-29 A	2/7-A-29	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1986-02-23	1986-05-31	ELDFISK	2420-P	2/7-1 ELDFISK	NO	41.000000	\N	3971.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1986	1986	\N	50	ED50	56	22	36.32	N	3	15	56.57	E	56.376756	3.265714	6248183.140000	516411.200000	31	2	7	A	29	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1653	http://www.npd.no/FactMapSearch?NPDID_wellbore=1653	sidetrack	2/7-A-29	1653	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-A-29	34/10-A-29	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1990-08-22	1990-10-01	GULLFAKS	596-P	34/10-1 GULLFAKS	NO	82.200000	\N	3000.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1990	1990	\N	50	ED50	61	10	33.70	N	2	11	22.63	E	61.176028	2.189619	6782825.630000	456411.230000	31	34	10	A	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1666	http://www.npd.no/FactMapSearch?NPDID_wellbore=1666	initial	\N	1666	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-5	34/10-C-5	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1990-09-02	1991-01-03	GULLFAKS	600-P	34/10-1 GULLFAKS	NO	85.000000	\N	3585.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1990	1991	\N	50	ED50	61	12	53.35	N	2	16	27.92	E	61.214819	2.274422	6787092.980000	461020.420000	31	34	10	C	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1670	http://www.npd.no/FactMapSearch?NPDID_wellbore=1670	initial	\N	1670	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-29	2/8-A-29	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1992-10-24	1993-01-05	VALHALL	742-P	2/8-6 VALHALL	NO	44.000000	\N	4019.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1992	1993	\N	50	ED50	56	16	40.92	N	3	23	43.43	E	56.278033	3.395397	6237233.180000	524483.860000	31	2	8	A	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1671	http://www.npd.no/FactMapSearch?NPDID_wellbore=1671	initial	\N	1671	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/1-A-13	2/1-A-13	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1994-01-31	1995-08-06	GYDA	630-P	2/1-9 GYDA SØR	NO	56.000000	\N	7269.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1994	1995	\N	50	ED50	56	54	17.37	N	3	5	6.72	E	56.904825	3.085200	6306935.890000	505189.180000	31	2	1	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1674	http://www.npd.no/FactMapSearch?NPDID_wellbore=1674	initial	\N	1674	44018	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/1-A-17	2/1-A-17	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1990-12-06	1991-02-01	GYDA	608-P	2/1-3 GYDA	NO	56.000000	\N	4423.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	1990	1991	\N	173	ED50	56	54	17.31	N	3	5	6.60	E	56.904808	3.085167	6306934.040000	505187.150000	31	2	1	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1675	http://www.npd.no/FactMapSearch?NPDID_wellbore=1675	initial	\N	1675	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/1-A-23	2/1-A-23	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1991-04-17	1991-07-08	GYDA	636-P	2/1-3 GYDA	NO	56.000000	\N	4975.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1991	1991	\N	50	ED50	56	54	17.37	N	3	5	6.29	E	56.904825	3.085081	6306935.890000	505181.900000	31	2	1	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1676	http://www.npd.no/FactMapSearch?NPDID_wellbore=1676	initial	\N	1676	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
34/7-P-28	34/7-P-28	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1990-09-12	1990-12-10	SNORRE	601-P	34/4-1 SNORRE	NO	25.000000	\N	3206.000000	309.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE A	8	NO	WATER	1990	1990	\N	173	ED50	61	26	57.99	N	2	8	36.80	E	61.449442	2.143556	6813312.200000	454333.030000	31	34	7	P	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1678	http://www.npd.no/FactMapSearch?NPDID_wellbore=1678	initial	\N	1678	44654	43718	9999-12-31	21516	294058	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-A-30	34/10-A-30	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1990-10-02	1990-11-05	GULLFAKS	602-P	34/10-1 GULLFAKS	NO	82.200000	\N	2200.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1990	1990	\N	50	ED50	61	10	33.71	N	2	11	23.01	E	61.176031	2.189725	6782825.870000	456416.910000	31	34	10	A	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1682	http://www.npd.no/FactMapSearch?NPDID_wellbore=1682	initial	\N	1682	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-9	30/3-A-9	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	WATER	DEVELOPMENT	1990-10-29	1991-05-22	VESLEFRIKK	604-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5545.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER	1990	1991	\N	173	ED50	60	46	57.66	N	2	53	52.38	E	60.782683	2.897883	6738745.620000	494438.970000	31	30	3	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1684	http://www.npd.no/FactMapSearch?NPDID_wellbore=1684	initial	\N	1684	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-A-6 A	2/1-A-6	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1990-11-09	1991-04-15	GYDA	606-P	2/1-3 GYDA	NO	56.000000	\N	4507.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1990	1991	\N	50	ED50	56	54	17.55	N	3	5	6.82	E	56.904875	3.085228	6306941.460000	505190.860000	31	2	1	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1685	http://www.npd.no/FactMapSearch?NPDID_wellbore=1685	sidetrack	2/1-A-6	1685	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
34/7-P-29	34/7-P-29	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1991-01-01	1991-03-08	SNORRE	618-P	34/4-1 SNORRE	NO	25.000000	\N	2995.000000	309.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE A	8	NO	OIL	1991	1991	\N	50	ED50	61	26	57.99	N	2	8	37.07	E	61.449442	2.143631	6813312.150000	454337.030000	31	34	7	P	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1686	http://www.npd.no/FactMapSearch?NPDID_wellbore=1686	initial	\N	1686	44654	43718	9999-12-31	21516	294058	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
33/9-A-27	33/9-A-27	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1991-01-01	1991-08-12	STATFJORD	609-P	33/12-1 STATFJORD	NO	64.400000	\N	5092.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1991	1991	\N	71	ED50	61	15	19.89	N	1	51	14.17	E	61.255525	1.853936	6791950.200000	438511.840000	31	33	9	A	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1687	http://www.npd.no/FactMapSearch?NPDID_wellbore=1687	initial	\N	1687	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-3	33/9-C-3	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1990-11-09	1991-05-04	STATFJORD	610-P	33/12-1 STATFJORD	NO	78.400000	\N	7250.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1990	1991	\N	50	ED50	61	17	48.11	N	1	54	11.37	E	61.296697	1.903158	6796490.760000	441229.510000	31	33	9	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1688	http://www.npd.no/FactMapSearch?NPDID_wellbore=1688	initial	\N	1688	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-2	30/9-B-2	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	GAS	DEVELOPMENT	1990-11-08	1991-01-14	OSEBERG	611-P	30/6-1 OSEBERG	NO	58.000000	\N	4247.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	GAS	1990	1991	\N	91	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	30	9	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1698	http://www.npd.no/FactMapSearch?NPDID_wellbore=1698	initial	\N	1698	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/3-A-10	30/3-A-10	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	\N	DEVELOPMENT	1990-11-13	1991-01-06	VESLEFRIKK	612-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4193.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER	1990	1991	\N	72	ED50	60	46	57.97	N	2	53	52.16	E	60.782769	2.897822	6738755.220000	494435.650000	31	30	3	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1700	http://www.npd.no/FactMapSearch?NPDID_wellbore=1700	initial	\N	1700	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-12 B	2/8-A-12	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1990-12-01	1991-03-21	VALHALL	614-P	2/8-6 VALHALL	NO	43.500000	\N	3657.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1990	1991	\N	50	ED50	56	16	41.64	N	3	23	43.83	E	56.278233	3.395508	6237255.480000	524490.610000	31	2	8	A	12	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1701	http://www.npd.no/FactMapSearch?NPDID_wellbore=1701	sidetrack	2/8-A-12 A	1701	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-K-16	2/4-K-16	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1990-12-26	1992-01-17	EKOFISK	616-P	2/4-2 EKOFISK	NO	57.000000	\N	5219.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1990	1992	\N	173	ED50	56	33	55.98	N	3	12	22.57	E	56.565550	3.206269	6269185.270000	512676.690000	31	2	4	K	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1704	http://www.npd.no/FactMapSearch?NPDID_wellbore=1704	initial	\N	1704	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-23 B	2/7-A-23	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1990-11-23	1991-03-14	ELDFISK	613-P	2/7-1 ELDFISK	NO	41.000000	\N	3406.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1990	1991	\N	91	ED50	56	22	36.19	N	3	15	56.66	E	56.376719	3.265739	6248179.130000	516412.760000	31	2	7	A	23	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1706	http://www.npd.no/FactMapSearch?NPDID_wellbore=1706	sidetrack	2/7-A-23 A	1706	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-A-31	34/10-A-31	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1990-12-07	1991-03-17	GULLFAKS	620-P	34/10-1 GULLFAKS	NO	82.000000	\N	3110.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1990	1991	\N	50	ED50	61	10	33.88	N	2	11	22.62	E	61.176078	2.189617	6782831.200000	456411.150000	31	34	10	A	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1707	http://www.npd.no/FactMapSearch?NPDID_wellbore=1707	initial	\N	1707	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-14 A	34/10-B-14	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1990-12-24	1991-03-08	GULLFAKS	619-P	34/10-1 GULLFAKS	NO	81.000000	\N	4532.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1990	1991	\N	173	ED50	61	12	11.01	N	2	12	4.81	E	61.203058	2.201336	6785828.720000	457078.200000	31	34	10	B	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1708	http://www.npd.no/FactMapSearch?NPDID_wellbore=1708	sidetrack	34/10-B-14	1708	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-16	34/10-B-16	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1991-04-26	1991-06-26	GULLFAKS	646-P	34/10-1 GULLFAKS	NO	81.000000	\N	3848.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1991	1991	\N	173	ED50	61	12	9.99	N	2	12	5.85	E	61.202775	2.201625	6785796.970000	457093.340000	31	34	10	B	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1709	http://www.npd.no/FactMapSearch?NPDID_wellbore=1709	initial	\N	1709	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-18	34/10-B-18	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1991-08-11	1991-11-13	GULLFAKS	666-P	34/10-1 GULLFAKS	NO	81.000000	\N	4570.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1991	1991	\N	173	ED50	61	12	11.30	N	2	12	4.84	E	61.203139	2.201344	6785837.690000	457078.760000	31	34	10	B	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1710	http://www.npd.no/FactMapSearch?NPDID_wellbore=1710	initial	\N	1710	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-6	34/10-C-6	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1991-02-11	1991-04-18	GULLFAKS	625-P	34/10-1 GULLFAKS	NO	85.000000	\N	3200.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1991	1991	\N	50	ED50	61	12	54.54	N	2	16	26.30	E	61.215150	2.273972	6787130.070000	460996.650000	31	34	10	C	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1716	http://www.npd.no/FactMapSearch?NPDID_wellbore=1716	initial	\N	1716	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-20 A	34/10-A-20	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1991-01-23	1991-02-24	GULLFAKS	624-P	34/10-1 GULLFAKS	NO	82.200000	\N	2400.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1991	1991	\N	173	ED50	61	10	34.84	N	2	11	21.71	E	61.176344	2.189364	6782861.070000	456397.920000	31	34	10	A	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1718	http://www.npd.no/FactMapSearch?NPDID_wellbore=1718	sidetrack	34/10-A-20	1718	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-P-7	34/7-P-7	Saga Petroleum ASA	SAGA	089	PRODUCTION	WATER/GAS	DEVELOPMENT	1994-04-11	1994-06-13	SNORRE	895-P	34/4-1 SNORRE	NO	59.000000	\N	4360.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1994	1994	\N	0	ED50	61	26	56.95	N	2	8	36.83	E	61.449153	2.143564	6813280.010000	454333.050000	31	34	7	P	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1720	http://www.npd.no/FactMapSearch?NPDID_wellbore=1720	initial	\N	1720	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
7/12-A-17	7/12-A-17	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1991-04-05	1991-10-02	ULA	634-P	7/12-2 ULA	NO	57.000000	\N	5536.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1991	1991	\N	50	ED50	57	6	41.06	N	2	50	50.64	E	57.111406	2.847400	6329939.550000	490757.140000	31	7	12	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1722	http://www.npd.no/FactMapSearch?NPDID_wellbore=1722	initial	\N	1722	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/9-B-8	30/9-B-8	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	GAS	DEVELOPMENT	1991-02-03	1991-04-27	OSEBERG	626-P	30/6-1 OSEBERG	NO	58.000000	\N	3655.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	GAS	1991	1991	\N	91	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	30	9	B	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1723	http://www.npd.no/FactMapSearch?NPDID_wellbore=1723	initial	\N	1723	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-10	33/9-A-10	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1992-09-04	1992-11-17	STATFJORD	731-P	33/12-1 STATFJORD	NO	64.400000	\N	4700.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1992	1992	\N	50	ED50	61	15	20.88	N	1	51	14.88	E	61.255800	1.854133	6791980.640000	438522.950000	31	33	9	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1724	http://www.npd.no/FactMapSearch?NPDID_wellbore=1724	initial	\N	1724	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-K-25	2/4-K-25	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1992-04-26	1992-07-18	EKOFISK	627-P	2/4-2 EKOFISK	NO	57.000000	\N	5158.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1992	1992	\N	173	ED50	56	33	56.05	N	3	12	22.64	E	56.565569	3.206289	6269187.440000	512677.880000	31	2	4	K	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1726	http://www.npd.no/FactMapSearch?NPDID_wellbore=1726	initial	\N	1726	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6507/7-A-52	6507/7-A-52	Conoco Norway Inc.	CONOCO	095	PRODUCTION	OIL	DEVELOPMENT	1992-12-18	1993-02-09	HEIDRUN	763-P	6507/7-2 HEIDRUN	NO	23.000000	\N	3580.000000	346.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN	8	NO	OIL	1992	1993	\N	50	ED50	65	19	32.40	N	7	19	2.74	E	65.325667	7.317428	7245978.020000	421626.130000	32	6507	7	A	52	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1731	http://www.npd.no/FactMapSearch?NPDID_wellbore=1731	initial	\N	1731	44930	43771	9999-12-31	21564	296677	272421	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
2/7-A-9 A	2/7-A-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1996-08-08	1996-09-27	ELDFISK	628-P	2/7-1 ELDFISK	NO	41.000000	\N	5355.000000	71.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	ELDFISK A	1-A	NO	OIL	1996	1996	\N	50	ED50	56	22	36.41	N	3	15	57.67	E	56.376781	3.266019	6248186.000000	516430.060000	31	2	7	A	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1741	http://www.npd.no/FactMapSearch?NPDID_wellbore=1741	sidetrack	2/7-A-9	1741	44114	43527	9999-12-31	20900	296002	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-16 C	2/4-B-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-04-17	1991-06-05	EKOFISK	629-P	2/4-2 EKOFISK	NO	33.000000	\N	3562.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1991	1991	\N	50	ED50	56	33	54.68	N	3	12	13.04	E	56.565189	3.203622	6269144.590000	512514.120000	31	2	4	B	16	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1745	http://www.npd.no/FactMapSearch?NPDID_wellbore=1745	sidetrack	2/4-B-16 B	1745	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-P-25	34/7-P-25	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1991-03-09	1993-02-15	SNORRE	631-P	34/4-1 SNORRE	NO	25.000000	\N	3690.000000	309.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE A	8	NO	WATER	1991	1993	\N	173	ED50	61	26	57.73	N	2	8	36.81	E	61.449369	2.143558	6813304.150000	454333.070000	31	34	7	P	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1746	http://www.npd.no/FactMapSearch?NPDID_wellbore=1746	initial	\N	1746	44654	43718	9999-12-31	21516	294058	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/11-A-1 A	2/11-A-1	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	\N	DEVELOPMENT	1991-03-06	1991-04-11	HOD	633-P	2/11-2 HOD	NO	38.000000	\N	4137.000000	72.000000	NORTH SEA	KOLSKAYA	JACK-UP 3 LEGS	HOD	2-A	NO	OIL	1991	1991	\N	71	ED50	56	10	35.52	N	3	27	36.22	E	56.176533	3.460061	6225960.630000	528563.360000	31	2	11	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1751	http://www.npd.no/FactMapSearch?NPDID_wellbore=1751	sidetrack	2/11-A-1	1751	44000	43485	9999-12-31	21052	293977	272309	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
30/6-C-27 H	30/6-C-27	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1991-04-02	1991-06-25	OSEBERG	640-P	30/6-1 OSEBERG	NO	31.000000	\N	3761.000000	107.000000	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	OSEBERG C	4	NO	OIL	1991	1991	\N	50	ED50	60	32	27.64	N	2	43	9.32	E	60.541011	2.719256	6711855.810000	484596.360000	31	30	6	C	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1755	http://www.npd.no/FactMapSearch?NPDID_wellbore=1755	initial	\N	1755	44396	43625	9999-12-31	21220	296677	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-B-11 A	2/7-B-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-06-10	1991-09-07	ELDFISK	635-P	2/7-1 ELDFISK	NO	44.000000	\N	3253.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1991	1991	\N	50	ED50	56	25	8.98	N	3	13	6.03	E	56.419161	3.218342	6252892.960000	513470.390000	31	2	7	B	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1757	http://www.npd.no/FactMapSearch?NPDID_wellbore=1757	sidetrack	2/7-B-11	1757	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-20 A	2/7-A-20	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1984-06-25	1984-07-15	ELDFISK	2562-P	2/7-1 ELDFISK	NO	41.000000	\N	3140.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1984	1984	\N	50	ED50	56	22	36.15	N	3	15	56.71	E	56.376708	3.265753	6248177.900000	516413.620000	31	2	7	A	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1758	http://www.npd.no/FactMapSearch?NPDID_wellbore=1758	sidetrack	2/7-A-20	1758	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/3-A-11	30/3-A-11	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	WATER	DEVELOPMENT	1991-05-25	1991-07-02	VESLEFRIKK	641-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3500.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER	1991	1991	\N	173	ED50	60	46	57.87	N	2	53	52.16	E	60.782742	2.897822	6738752.130000	494435.650000	31	30	3	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1760	http://www.npd.no/FactMapSearch?NPDID_wellbore=1760	initial	\N	1760	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-32	34/10-A-32	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1991-03-17	1991-05-09	GULLFAKS	637-P	34/10-1 GULLFAKS	NO	82.000000	\N	2696.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1991	1991	\N	50	ED50	61	10	34.80	N	2	11	21.57	E	61.176333	2.189325	6782859.860000	456395.820000	31	34	10	A	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1761	http://www.npd.no/FactMapSearch?NPDID_wellbore=1761	initial	\N	1761	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-A-1 H	34/7-A-1	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1993-04-06	1993-06-14	SNORRE	797-P	34/4-1 SNORRE	NO	25.000000	\N	3790.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	OIL	1993	1993	\N	50	ED50	61	29	21.92	N	2	13	34.79	E	61.489422	2.226331	6817710.550000	458799.400000	31	34	7	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1763	http://www.npd.no/FactMapSearch?NPDID_wellbore=1763	initial	\N	1763	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
30/3-A-12	30/3-A-12	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1991-07-03	1991-08-22	VESLEFRIKK	661-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4660.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1991	1991	\N	50	ED50	60	46	57.82	N	2	53	52.06	E	60.782728	2.897794	6738750.580000	494434.130000	31	30	3	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1765	http://www.npd.no/FactMapSearch?NPDID_wellbore=1765	initial	\N	1765	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-33	34/10-A-33	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1991-05-09	1991-09-13	GULLFAKS	650-P	34/10-1 GULLFAKS	NO	82.000000	\N	2997.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1991	1991	\N	50	ED50	61	10	35.01	N	2	11	21.32	E	61.176392	2.189256	6782866.400000	456392.160000	31	34	10	A	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1766	http://www.npd.no/FactMapSearch?NPDID_wellbore=1766	initial	\N	1766	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-B-5 A	2/4-B-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-06-23	1991-08-28	EKOFISK	648-P	2/4-2 EKOFISK	NO	33.000000	\N	3596.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1991	1991	\N	50	ED50	56	33	54.68	N	3	12	13.57	E	56.565189	3.203769	6269144.620000	512523.170000	31	2	4	B	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1769	http://www.npd.no/FactMapSearch?NPDID_wellbore=1769	sidetrack	2/4-B-5	1769	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-39	33/9-C-39	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1991-06-25	1991-10-01	STATFJORD	657-P	33/12-1 STATFJORD	NO	78.400000	\N	5342.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1991	1991	\N	50	ED50	61	17	46.69	N	1	54	10.29	E	61.296303	1.902858	6796447.100000	441212.700000	31	33	9	C	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1781	http://www.npd.no/FactMapSearch?NPDID_wellbore=1781	initial	\N	1781	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-09-28	2012-09-28	2013-05-08
2/4-E-6	2/4-E-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1991-07-10	1991-11-14	TOR	652-P	2/5-1 TOR	NO	41.000000	\N	3946.000000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	\N	1991	1991	\N	71	ED50	56	38	31.15	N	3	19	36.78	E	56.641986	3.326883	6277722.310000	520048.700000	31	2	4	E	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1786	http://www.npd.no/FactMapSearch?NPDID_wellbore=1786	initial	\N	1786	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-C-8	34/10-C-8	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1991-06-26	1991-08-19	GULLFAKS	659-P	34/10-1 GULLFAKS	NO	84.000000	\N	2880.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1991	1991	\N	50	ED50	61	12	54.66	N	2	16	26.73	E	61.215183	2.274092	6787133.710000	461003.110000	31	34	10	C	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1788	http://www.npd.no/FactMapSearch?NPDID_wellbore=1788	initial	\N	1788	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-17	34/10-B-17	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1991-07-02	1991-08-11	GULLFAKS	656-P	34/10-1 GULLFAKS	NO	81.000000	\N	2590.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1991	1991	\N	50	ED50	61	12	11.10	N	2	12	4.49	E	61.203083	2.201247	6785831.560000	457073.460000	31	34	10	B	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1793	http://www.npd.no/FactMapSearch?NPDID_wellbore=1793	initial	\N	1793	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-A-27	2/1-A-27	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1992-04-23	1992-06-23	GYDA	707-P	2/1-3 GYDA	NO	56.000000	\N	4820.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	1992	1992	\N	173	ED50	56	54	17.31	N	3	5	6.18	E	56.904808	3.085050	6306934.030000	505180.050000	31	2	1	A	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1795	http://www.npd.no/FactMapSearch?NPDID_wellbore=1795	initial	\N	1795	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/1-A-22	2/1-A-22	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	WATER	DEVELOPMENT	1991-09-04	1991-10-24	GYDA	669-P	2/1-3 GYDA	NO	56.000000	\N	4258.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1991	1991	\N	173	ED50	56	54	17.30	N	3	5	6.40	E	56.904806	3.085111	6306933.720000	505183.770000	31	2	1	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1796	http://www.npd.no/FactMapSearch?NPDID_wellbore=1796	initial	\N	1796	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/1-A-9	2/1-A-9	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1991-07-09	1991-09-03	GYDA	662-P	2/1-3 GYDA	NO	56.000000	\N	4187.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	1991	1991	\N	173	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	2	1	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1797	http://www.npd.no/FactMapSearch?NPDID_wellbore=1797	initial	\N	1797	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
33/9-A-24	33/9-A-24	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1991-08-14	1992-03-11	STATFJORD	660-P	33/12-1 STATFJORD	NO	64.400000	\N	5179.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1991	1992	\N	50	ED50	61	15	19.93	N	1	51	14.38	E	61.255536	1.853994	6791951.380000	438514.990000	31	33	9	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1798	http://www.npd.no/FactMapSearch?NPDID_wellbore=1798	initial	\N	1798	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-E-6 A	2/4-E-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-11-14	1992-05-01	TOR	653-P	2/5-1 TOR	NO	41.000000	\N	4343.000000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	1991	1992	\N	50	ED50	56	38	31.15	N	3	19	36.78	E	56.641986	3.326883	6277722.310000	520048.700000	31	2	4	E	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1799	http://www.npd.no/FactMapSearch?NPDID_wellbore=1799	sidetrack	2/4-E-6	1799	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-2	33/12-B-2	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	\N	DEVELOPMENT	1991-08-17	1992-02-07	STATFJORD	665-P	33/12-1 STATFJORD	NO	77.800000	\N	4511.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1991	1992	\N	72	ED50	61	12	25.25	N	1	49	52.41	E	61.207014	1.831225	6786568.570000	437196.810000	31	33	12	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1809	http://www.npd.no/FactMapSearch?NPDID_wellbore=1809	initial	\N	1809	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-P-13	34/7-P-13	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1991-12-29	1992-03-06	SNORRE	689-P	34/4-1 SNORRE	NO	25.000000	\N	3830.000000	309.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE A	8	NO	OIL	1991	1992	\N	50	ED50	61	26	57.08	N	2	8	37.09	E	61.449189	2.143636	6813283.990000	454336.950000	31	34	7	P	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1812	http://www.npd.no/FactMapSearch?NPDID_wellbore=1812	initial	\N	1812	44654	43718	9999-12-31	21516	294058	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-P-18	34/7-P-18	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1991-09-11	1991-11-09	SNORRE	670-P	34/4-1 SNORRE	NO	25.000000	\N	3275.000000	309.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE A	8	NO	OIL	1991	1991	\N	50	ED50	61	26	57.21	N	2	8	37.09	E	61.449225	2.143636	6813288.010000	454337.000000	31	34	7	P	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1813	http://www.npd.no/FactMapSearch?NPDID_wellbore=1813	initial	\N	1813	44654	43718	9999-12-31	21516	294058	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-P-34	34/7-P-34	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1992-03-06	1992-04-01	SNORRE	705-P	34/4-1 SNORRE	NO	25.000000	\N	2978.000000	309.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE A	8	NO	WATER	1992	1992	\N	173	ED50	61	26	58.12	N	2	8	37.06	E	61.449478	2.143628	6813316.170000	454336.930000	31	34	7	P	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1814	http://www.npd.no/FactMapSearch?NPDID_wellbore=1814	initial	\N	1814	44654	43718	9999-12-31	21516	294058	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-P-33	34/7-P-33	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1991-11-10	1991-12-28	SNORRE	680-P	34/4-1 SNORRE	NO	25.000000	\N	3158.000000	309.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE A	8	NO	OIL	1991	1991	\N	50	ED50	61	26	58.11	N	2	8	36.80	E	61.449475	2.143556	6813315.910000	454333.080000	31	34	7	P	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1815	http://www.npd.no/FactMapSearch?NPDID_wellbore=1815	initial	\N	1815	44654	43718	9999-12-31	21516	294058	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-A-34	34/10-A-34	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1991-07-14	1991-10-09	GULLFAKS	664-P	34/10-1 GULLFAKS	NO	82.000000	\N	2992.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	NOT APPLICABLE	1991	1991	\N	99	ED50	61	10	34.95	N	2	11	21.78	E	61.176375	2.189383	6782864.460000	456399.010000	31	34	10	A	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1821	http://www.npd.no/FactMapSearch?NPDID_wellbore=1821	initial	\N	1821	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-3 A	2/7-B-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-09-28	1992-01-06	ELDFISK	663-P	2/7-1 ELDFISK	NO	44.000000	\N	3539.600000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1991	1992	\N	50	ED50	56	25	8.85	N	3	13	6.13	E	56.419125	3.218369	6252888.950000	513472.120000	31	2	7	B	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1824	http://www.npd.no/FactMapSearch?NPDID_wellbore=1824	sidetrack	2/7-B-3	1824	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-A-34 A	34/10-A-34	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1991-10-09	1991-11-16	GULLFAKS	674-P	34/10-1 GULLFAKS	NO	82.000000	\N	3832.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1991	1991	\N	50	ED50	61	10	34.95	N	2	11	21.78	E	61.176375	2.189383	6782864.460000	456399.010000	31	34	10	A	34	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1833	http://www.npd.no/FactMapSearch?NPDID_wellbore=1833	sidetrack	34/10-A-34	1833	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-9	34/10-C-9	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1991-08-19	1992-01-17	GULLFAKS	667-P	34/10-1 GULLFAKS	NO	84.000000	\N	4070.000000	216.900000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1991	1992	\N	50	ED50	61	12	53.45	N	2	16	27.61	E	61.214847	2.274336	6787096.130000	461015.830000	31	34	10	C	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1841	http://www.npd.no/FactMapSearch?NPDID_wellbore=1841	initial	\N	1841	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-B-13	2/4-B-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1991-10-15	1991-12-22	EKOFISK	668-P	2/4-2 EKOFISK	NO	33.000000	\N	3998.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1991	1991	\N	50	ED50	56	33	54.79	N	3	12	13.50	E	56.565219	3.203750	6269148.010000	512521.970000	31	2	4	B	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1848	http://www.npd.no/FactMapSearch?NPDID_wellbore=1848	initial	\N	1848	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/1-A-26	2/1-A-26	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1992-08-03	1992-09-18	GYDA	732-P	2/1-3 GYDA	NO	56.000000	\N	4172.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1992	1992	\N	50	ED50	56	54	17.25	N	3	5	6.29	E	56.904792	3.085081	6306932.170000	505181.910000	31	2	1	A	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1851	http://www.npd.no/FactMapSearch?NPDID_wellbore=1851	initial	\N	1851	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/1-A-10	2/1-A-10	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2008-01-22	2008-05-18	GYDA	2926-P	2/1-3 GYDA	NO	56.000000	\N	7275.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2008	2008	\N	50	ED50	56	54	17.49	N	3	5	6.71	E	56.904858	3.085197	6306939.600000	505189.010000	31	2	1	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1852	http://www.npd.no/FactMapSearch?NPDID_wellbore=1852	initial	\N	1852	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
7/12-A-1 A	7/12-A-1	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1991-10-03	1991-11-14	ULA	671-P	7/12-2 ULA	NO	57.000000	\N	3646.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1991	1991	\N	50	ED50	57	6	41.49	N	2	50	50.66	E	57.111525	2.847406	6329952.850000	490757.510000	31	7	12	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1856	http://www.npd.no/FactMapSearch?NPDID_wellbore=1856	sidetrack	7/12-A-1	1856	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/9-B-46	30/9-B-46	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1991-10-16	1992-01-30	OSEBERG	673-P	30/6-1 OSEBERG	NO	58.000000	\N	5270.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1991	1992	\N	50	ED50	60	29	35.84	N	2	49	43.01	E	60.493289	2.828614	6706519.850000	490582.690000	31	30	9	B	46	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1857	http://www.npd.no/FactMapSearch?NPDID_wellbore=1857	initial	\N	1857	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-A-16 C	2/8-A-16	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1991-10-03	1991-12-16	VALHALL	675-P	2/8-6 VALHALL	NO	44.000000	\N	3817.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1991	1991	\N	50	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	2	8	A	16	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1858	http://www.npd.no/FactMapSearch?NPDID_wellbore=1858	sidetrack	2/8-A-16 B	1858	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-B-19	34/10-B-19	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	1991-11-22	1992-01-07	GULLFAKS	677-P	34/10-1 GULLFAKS	NO	81.000000	\N	3100.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1991	1992	\N	71	ED50	61	12	10.09	N	2	12	6.51	E	61.202803	2.201808	6785799.950000	457103.230000	31	34	10	B	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1862	http://www.npd.no/FactMapSearch?NPDID_wellbore=1862	initial	\N	1862	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-A-16	2/1-A-16	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1991-10-26	1992-01-09	GYDA	676-P	2/1-3 GYDA	NO	56.000000	\N	4972.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	1991	1992	\N	173	ED50	56	54	17.55	N	3	5	6.38	E	56.904875	3.085106	6306941.450000	505183.420000	31	2	1	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1863	http://www.npd.no/FactMapSearch?NPDID_wellbore=1863	initial	\N	1863	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/8-A-5 A	2/8-A-5	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1992-01-03	1992-01-31	VALHALL	686-P	2/8-6 VALHALL	NO	44.000000	\N	2945.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1992	1992	\N	50	ED50	56	16	41.05	N	3	23	43.68	E	56.278069	3.395467	6237237.220000	524488.140000	31	2	8	A	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1870	http://www.npd.no/FactMapSearch?NPDID_wellbore=1870	sidetrack	2/8-A-5	1870	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-B-20	34/10-B-20	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-01-08	1992-02-28	GULLFAKS	693-P	34/10-1 GULLFAKS	NO	81.000000	\N	3425.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1992	1992	\N	50	ED50	61	12	11.27	N	2	12	5.07	E	61.203131	2.201408	6785836.720000	457082.180000	31	34	10	B	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1871	http://www.npd.no/FactMapSearch?NPDID_wellbore=1871	initial	\N	1871	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-27	33/9-C-27	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1991-11-27	1992-04-05	STATFJORD	682-P	33/12-1 STATFJORD	NO	78.400000	\N	4072.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1991	1992	\N	50	ED50	61	17	46.89	N	1	54	10.13	E	61.296358	1.902814	6796453.330000	441210.420000	31	33	9	C	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1873	http://www.npd.no/FactMapSearch?NPDID_wellbore=1873	initial	\N	1873	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-35	34/10-A-35	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	WATER	DEVELOPMENT	1991-11-17	1992-01-21	GULLFAKS	679-P	34/10-1 GULLFAKS	NO	82.000000	\N	3014.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1991	1992	\N	173	ED50	61	10	33.96	N	2	11	22.91	E	61.176100	2.189697	6782833.620000	456415.510000	31	34	10	A	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1876	http://www.npd.no/FactMapSearch?NPDID_wellbore=1876	initial	\N	1876	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-10	34/10-C-10	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1991-10-22	1992-03-27	GULLFAKS	678-P	34/10-1 GULLFAKS	NO	84.000000	\N	3700.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	WATER	1991	1992	\N	173	ED50	61	12	54.83	N	2	16	26.33	E	61.215231	2.273981	6787139.040000	460997.200000	31	34	10	C	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1877	http://www.npd.no/FactMapSearch?NPDID_wellbore=1877	initial	\N	1877	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-11 A	30/9-B-11	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1993-09-20	1993-10-10	OSEBERG	840-P	30/6-1 OSEBERG	NO	58.000000	\N	6220.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1993	1993	\N	50	ED50	60	29	36.38	N	2	49	43.02	E	60.493439	2.828617	6706536.550000	490582.880000	31	30	9	B	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1880	http://www.npd.no/FactMapSearch?NPDID_wellbore=1880	sidetrack	30/9-B-11	1880	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-B-7 B	2/7-B-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2000-05-19	2000-07-20	ELDFISK	1766-P	2/7-1 ELDFISK	NO	42.000000	\N	4980.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2000	2000	\N	50	ED50	56	25	8.95	N	3	13	6.08	E	56.419153	3.218356	6252892.040000	513471.250000	31	2	7	B	7	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1882	http://www.npd.no/FactMapSearch?NPDID_wellbore=1882	sidetrack	2/7-B-7 A	1882	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-3 A	33/9-A-3	Mobil Exploration Norway INC	MOBIL	037	INJECTION	GAS	DEVELOPMENT	1980-01-18	1980-04-11	STATFJORD	2288-P	33/12-1 STATFJORD	NO	64.400000	\N	3671.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	1980	1980	\N	91	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1884	http://www.npd.no/FactMapSearch?NPDID_wellbore=1884	sidetrack	33/9-A-3	1884	44558	43658	9999-12-31	21084	271273	271273	0	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/7-B-7 A	2/7-B-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1992-02-01	1992-04-09	ELDFISK	681-P	2/7-1 ELDFISK	NO	44.000000	\N	3500.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1992	1992	\N	50	ED50	56	25	8.95	N	3	13	6.08	E	56.419153	3.218356	6252892.040000	513471.250000	31	2	7	B	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1897	http://www.npd.no/FactMapSearch?NPDID_wellbore=1897	sidetrack	2/7-B-7	1897	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/4-A-1	31/4-A-1	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1991-12-30	1992-01-31	BRAGE	683-P	31/4-3 BRAGE	NO	25.000000	\N	3382.000000	137.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	BRAGE	4	NO	OIL	1991	1992	\N	50	ED50	60	32	33.17	N	3	2	50.52	E	60.542547	3.047367	6711994.980000	502598.750000	31	31	4	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1900	http://www.npd.no/FactMapSearch?NPDID_wellbore=1900	initial	\N	1900	44546	43651	9999-12-31	21236	297028	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-2	31/4-A-2	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1992-01-31	1992-04-15	BRAGE	698-P	31/4-3 BRAGE	NO	25.000000	\N	4500.000000	137.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	BRAGE	4	NO	OIL	1992	1992	\N	50	ED50	60	32	33.27	N	3	2	50.23	E	60.542575	3.047286	6711998.070000	502594.330000	31	31	4	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1901	http://www.npd.no/FactMapSearch?NPDID_wellbore=1901	initial	\N	1901	44546	43651	9999-12-31	21236	297028	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-3	31/4-A-3	Norsk Hydro Produksjon AS	HYDRO	055	INJECTION	WATER	DEVELOPMENT	1992-04-17	1992-05-24	BRAGE	710-P	31/4-3 BRAGE	NO	25.000000	\N	3580.000000	137.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	BRAGE	4	NO	WATER	1992	1992	\N	173	ED50	60	32	33.22	N	3	2	50.81	E	60.542561	3.047447	6711996.530000	502603.170000	31	31	4	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1902	http://www.npd.no/FactMapSearch?NPDID_wellbore=1902	initial	\N	1902	44546	43651	9999-12-31	21236	297028	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-4	31/4-A-4	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	OIL	DEVELOPMENT	1992-11-20	1993-03-05	BRAGE	755-P	31/4-3 BRAGE	NO	25.000000	\N	3975.000000	137.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	BRAGE	4	NO	OIL	1992	1993	\N	99	ED50	60	32	33.22	N	3	2	50.29	E	60.542561	3.047303	6711996.520000	502595.250000	31	31	4	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1903	http://www.npd.no/FactMapSearch?NPDID_wellbore=1903	initial	\N	1903	44546	43651	9999-12-31	21236	297028	277405	0	HYDRO PRODUKSJON	2013-03-07	2013-03-07	2013-05-08
31/4-A-5	31/4-A-5	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1992-05-25	1992-06-27	BRAGE	717-P	31/4-3 BRAGE	NO	25.000000	\N	3120.000000	137.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	BRAGE	4	NO	OIL	1992	1992	\N	50	ED50	60	32	32.22	N	3	2	50.63	E	60.542283	3.047397	6711965.590000	502600.450000	31	31	4	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1904	http://www.npd.no/FactMapSearch?NPDID_wellbore=1904	initial	\N	1904	44546	43651	9999-12-31	21236	297028	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-6	31/4-A-6	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1992-08-15	1992-11-20	BRAGE	734-P	31/4-3 BRAGE	NO	25.000000	\N	5657.000000	137.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	BRAGE	4	NO	OIL	1992	1992	\N	50	ED50	60	32	33.18	N	3	2	50.64	E	60.542550	3.047400	6711995.290000	502600.580000	31	31	4	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1905	http://www.npd.no/FactMapSearch?NPDID_wellbore=1905	initial	\N	1905	44546	43651	9999-12-31	21236	297028	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/1-A-19	2/1-A-19	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1992-01-10	1992-04-09	GYDA	691-P	2/1-3 GYDA	NO	56.000000	\N	4580.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1992	1992	\N	50	ED50	56	54	17.42	N	3	5	6.38	E	56.904839	3.085106	6306937.430000	505183.430000	31	2	1	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1910	http://www.npd.no/FactMapSearch?NPDID_wellbore=1910	initial	\N	1910	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/6-C-14	30/6-C-14	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1992-01-01	1992-03-23	OSEBERG	685-P	30/6-1 OSEBERG	NO	62.000000	\N	3795.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1992	1992	\N	50	ED50	60	36	29.43	N	2	46	33.26	E	60.608175	2.775906	6719324.720000	487730.060000	31	30	6	C	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1912	http://www.npd.no/FactMapSearch?NPDID_wellbore=1912	initial	\N	1912	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-11	34/10-C-11	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-01-18	1992-03-05	GULLFAKS	694-P	34/10-1 GULLFAKS	NO	84.000000	\N	2747.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1992	1992	\N	50	ED50	61	12	53.56	N	2	16	27.67	E	61.214878	2.274353	6787099.520000	461016.760000	31	34	10	C	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1913	http://www.npd.no/FactMapSearch?NPDID_wellbore=1913	initial	\N	1913	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-38	30/9-B-38	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1992-02-16	1992-05-05	OSEBERG	688-P	30/6-1 OSEBERG	NO	58.000000	\N	5027.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1992	1992	\N	50	ED50	60	29	36.14	N	2	49	42.86	E	60.493372	2.828572	6706529.130000	490580.420000	31	30	9	B	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1915	http://www.npd.no/FactMapSearch?NPDID_wellbore=1915	initial	\N	1915	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-36	34/10-A-36	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-01-22	1992-06-26	GULLFAKS	692-P	34/10-1 GULLFAKS	NO	82.000000	\N	6030.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1992	1992	\N	50	ED50	61	10	34.81	N	2	11	21.94	E	61.176336	2.189428	6782860.100000	456401.350000	31	34	10	A	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1916	http://www.npd.no/FactMapSearch?NPDID_wellbore=1916	initial	\N	1916	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-K-18	2/4-K-18	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1992-01-17	1992-04-26	EKOFISK	690-P	2/4-2 EKOFISK	NO	57.000000	\N	4100.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1992	1992	\N	173	ED50	56	33	55.91	N	3	12	22.26	E	56.565531	3.206183	6269183.090000	512671.410000	31	2	4	K	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1917	http://www.npd.no/FactMapSearch?NPDID_wellbore=1917	initial	\N	1917	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2013-03-05	2013-03-05	2013-05-08
2/4-D-7 A	2/4-D-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1992-05-11	1992-06-29	VEST EKOFISK	687-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3524.000000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1992	1992	\N	90	ED50	56	33	47.08	N	3	5	8.71	E	56.563078	3.085753	6268894.330000	505270.450000	31	2	4	D	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1918	http://www.npd.no/FactMapSearch?NPDID_wellbore=1918	sidetrack	2/4-D-7	1918	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/12-B-12	33/12-B-12	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1994-04-02	1994-05-25	STATFJORD	905-P	33/12-1 STATFJORD	NO	77.800000	\N	4425.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1994	1994	\N	50	ED50	61	12	25.08	N	1	49	52.41	E	61.206967	1.831225	6786563.310000	437196.720000	31	33	12	B	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1919	http://www.npd.no/FactMapSearch?NPDID_wellbore=1919	initial	\N	1919	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/2-C-1 H	25/2-C-1	Elf Petroleum Norge AS	ELF	026	PRODUCTION	GAS	DEVELOPMENT	1992-02-25	1992-06-24	LILLE-FRIGG	697-P	25/2-4 LILLE-FRIGG	NO	23.000000	\N	3940.000000	112.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	LILLE-FRIGG	2-A	NO	GAS	1992	1992	\N	90	ED50	59	57	41.88	N	2	23	26.85	E	59.961633	2.390792	6647450.300000	465979.050000	31	25	2	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1922	http://www.npd.no/FactMapSearch?NPDID_wellbore=1922	initial	\N	1922	44240	43583	9999-12-31	20980	296353	277825	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
30/3-A-13	30/3-A-13	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1992-01-29	1992-04-28	VESLEFRIKK	695-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5094.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1992	1992	\N	50	ED50	60	46	57.76	N	2	53	52.16	E	60.782711	2.897822	6738748.720000	494435.640000	31	30	3	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1925	http://www.npd.no/FactMapSearch?NPDID_wellbore=1925	initial	\N	1925	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-08-25	2012-08-25	2013-05-08
2/7-A-29 B	2/7-A-29	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-07-19	2004-08-20	ELDFISK	2421-P	2/7-1 ELDFISK	NO	41.000000	\N	3475.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2004	2004	\N	50	ED50	56	22	36.32	N	3	15	56.57	E	56.376756	3.265714	6248183.140000	516411.200000	31	2	7	A	29	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1926	http://www.npd.no/FactMapSearch?NPDID_wellbore=1926	sidetrack	2/7-A-29 A	1926	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
33/12-B-11	33/12-B-11	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1992-02-27	1992-06-18	STATFJORD	700-P	33/12-1 STATFJORD	NO	77.800000	\N	3325.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1992	1992	\N	50	ED50	61	12	25.12	N	1	49	52.27	E	61.206978	1.831186	6786564.590000	437194.650000	31	33	12	B	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1932	http://www.npd.no/FactMapSearch?NPDID_wellbore=1932	initial	\N	1932	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-21	34/10-B-21	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-02-28	1992-04-17	GULLFAKS	702-P	34/10-1 GULLFAKS	NO	81.000000	\N	2772.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1992	1992	\N	50	ED50	61	12	9.83	N	2	12	6.25	E	61.202731	2.201736	6785791.950000	457099.250000	31	34	10	B	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1933	http://www.npd.no/FactMapSearch?NPDID_wellbore=1933	initial	\N	1933	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-2 A	33/12-B-2	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1992-09-09	1992-11-22	STATFJORD	736-P	33/12-1 STATFJORD	NO	77.800000	\N	5652.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1992	1992	\N	173	ED50	61	12	25.25	N	1	49	52.41	E	61.207014	1.831225	6786568.570000	437196.810000	31	33	12	B	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1934	http://www.npd.no/FactMapSearch?NPDID_wellbore=1934	sidetrack	33/12-B-2	1934	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-21	33/9-A-21	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1994-12-02	1994-12-21	STATFJORD	971-P	33/12-1 STATFJORD	NO	64.400000	\N	0.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1994	1994	\N	71	ED50	61	15	20.69	N	1	51	15.04	E	61.255747	1.854178	6791974.720000	438525.240000	31	33	9	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1935	http://www.npd.no/FactMapSearch?NPDID_wellbore=1935	initial	\N	1935	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-25	30/6-C-25	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	GAS	DEVELOPMENT	1992-03-24	1992-05-04	OSEBERG	701-P	30/6-1 OSEBERG	NO	62.000000	\N	3135.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	GAS	1992	1992	\N	91	ED50	60	36	29.24	N	2	46	32.89	E	60.608122	2.775803	6719318.860000	487724.410000	31	30	6	C	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1936	http://www.npd.no/FactMapSearch?NPDID_wellbore=1936	initial	\N	1936	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-20	33/9-C-20	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1992-03-02	1992-05-04	STATFJORD	704-P	33/12-1 STATFJORD	NO	78.400000	\N	3136.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1992	1992	\N	50	ED50	61	17	47.70	N	1	54	9.17	E	61.296583	1.902547	6796478.630000	441196.550000	31	33	9	C	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1937	http://www.npd.no/FactMapSearch?NPDID_wellbore=1937	initial	\N	1937	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-09-25	2013-05-08
33/9-A-35	33/9-A-35	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1992-03-24	1992-08-27	STATFJORD	703-P	33/12-1 STATFJORD	NO	64.400000	\N	4851.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1992	1992	\N	71	ED50	61	15	19.81	N	1	51	13.78	E	61.255503	1.853828	6791947.830000	438505.980000	31	33	9	A	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1939	http://www.npd.no/FactMapSearch?NPDID_wellbore=1939	initial	\N	1939	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-14	30/3-A-14	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1992-08-15	1992-08-21	VESLEFRIKK	735-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4724.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1992	1992	30/3-5 S	50	ED50	60	46	57.82	N	2	53	52.70	E	60.782728	2.897972	6738750.570000	494443.810000	31	30	3	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1943	http://www.npd.no/FactMapSearch?NPDID_wellbore=1943	initial	\N	1943	44378	43618	9999-12-31	21212	277321	277321	1950	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-19 A	34/10-B-19	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-04-17	1992-05-13	GULLFAKS	708-P	34/10-1 GULLFAKS	NO	81.000000	\N	3061.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1992	1992	\N	50	ED50	61	12	10.09	N	2	12	6.51	E	61.202803	2.201808	6785799.950000	457103.230000	31	34	10	B	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1944	http://www.npd.no/FactMapSearch?NPDID_wellbore=1944	sidetrack	34/10-B-19	1944	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-12	34/10-C-12	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	WATER	DEVELOPMENT	1992-03-27	1992-05-17	GULLFAKS	706-P	34/10-1 GULLFAKS	NO	84.000000	\N	3207.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1992	1992	\N	173	ED50	61	12	54.76	N	2	16	26.42	E	61.215211	2.274006	6787136.860000	460998.520000	31	34	10	C	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1945	http://www.npd.no/FactMapSearch?NPDID_wellbore=1945	initial	\N	1945	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-14 B	2/8-A-14	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1992-05-09	1992-07-16	VALHALL	711-P	2/8-6 VALHALL	NO	44.000000	\N	4020.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1992	1992	\N	50	ED50	56	16	40.92	N	3	23	43.33	E	56.278033	3.395369	6237233.170000	524482.140000	31	2	8	A	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1946	http://www.npd.no/FactMapSearch?NPDID_wellbore=1946	sidetrack	2/8-A-14 A	1946	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-A-37	34/10-A-37	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-07-01	1992-09-10	GULLFAKS	709-P	34/10-1 GULLFAKS	NO	82.000000	\N	3548.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1992	1992	\N	50	ED50	61	10	33.82	N	2	11	23.05	E	61.176061	2.189736	6782829.260000	456417.550000	31	34	10	A	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1947	http://www.npd.no/FactMapSearch?NPDID_wellbore=1947	initial	\N	1947	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-1	30/9-B-1	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1992-05-05	1992-06-01	OSEBERG	712-P	30/6-1 OSEBERG	NO	58.000000	\N	3185.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1992	1992	\N	99	ED50	60	29	36.40	N	2	49	42.36	E	60.493444	2.828433	6706537.200000	490572.810000	31	30	9	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1951	http://www.npd.no/FactMapSearch?NPDID_wellbore=1951	initial	\N	1951	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-1 A	30/9-B-1	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1992-06-01	1992-07-09	OSEBERG	719-P	30/6-1 OSEBERG	NO	58.000000	\N	3820.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1992	1992	\N	50	ED50	60	29	36.40	N	2	49	42.36	E	60.493444	2.828433	6706537.200000	490572.810000	31	30	9	B	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1952	http://www.npd.no/FactMapSearch?NPDID_wellbore=1952	sidetrack	30/9-B-1	1952	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-3	30/6-C-3	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1992-05-04	1992-06-01	OSEBERG	713-P	30/6-1 OSEBERG	NO	62.000000	\N	3300.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1992	1992	\N	50	ED50	60	36	29.56	N	2	46	33.76	E	60.608211	2.776044	6719328.720000	487737.680000	31	30	6	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1954	http://www.npd.no/FactMapSearch?NPDID_wellbore=1954	initial	\N	1954	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-22	34/10-B-22	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1992-05-14	1992-06-12	GULLFAKS	714-P	34/10-1 GULLFAKS	NO	81.000000	\N	2450.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1992	1992	\N	173	ED50	61	12	11.26	N	2	12	4.70	E	61.203128	2.201306	6785836.480000	457076.650000	31	34	10	B	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1955	http://www.npd.no/FactMapSearch?NPDID_wellbore=1955	initial	\N	1955	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-C-14 A	2/4-C-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1992-07-07	1992-09-23	EKOFISK	715-P	2/4-2 EKOFISK	NO	37.000000	\N	3609.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1992	1992	\N	50	ED50	56	32	52.80	N	3	12	56.16	E	56.548000	3.215600	6267233.520000	513256.250000	31	2	4	C	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1958	http://www.npd.no/FactMapSearch?NPDID_wellbore=1958	sidetrack	2/4-C-14	1958	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/2-C-2 H	25/2-C-2	Elf Petroleum Norge AS	ELF	026	PRODUCTION	GAS	DEVELOPMENT	1992-10-19	1994-03-25	LILLE-FRIGG	748-P	25/2-4 LILLE-FRIGG	NO	23.000000	\N	3867.000000	112.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	LILLE-FRIGG	2-A	NO	GAS	1992	1994	\N	90	ED50	59	57	58.35	N	2	23	18.23	E	59.966208	2.388397	6647961.050000	465850.050000	31	25	2	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1965	http://www.npd.no/FactMapSearch?NPDID_wellbore=1965	initial	\N	1965	44240	43583	9999-12-31	20980	296353	277825	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/2-C-3 H	25/2-C-3	Elf Petroleum Norge AS	ELF	026	PRODUCTION	GAS	DEVELOPMENT	1993-03-13	1993-11-09	LILLE-FRIGG	774-P	25/2-4 LILLE-FRIGG	NO	23.000000	\N	3982.000000	112.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	LILLE-FRIGG	2-A	NO	GAS	1993	1993	\N	90	ED50	59	58	20.51	N	2	23	6.73	E	59.972364	2.385203	6648648.240000	465678.050000	31	25	2	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1966	http://www.npd.no/FactMapSearch?NPDID_wellbore=1966	initial	\N	1966	44240	43583	9999-12-31	20980	296353	277825	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-C-13	34/10-C-13	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1992-05-17	1992-06-28	GULLFAKS	716-P	34/10-1 GULLFAKS	NO	84.000000	\N	2810.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	WATER	1992	1992	\N	173	ED50	61	12	53.75	N	2	16	28.02	E	61.214931	2.274450	6787105.340000	461022.050000	31	34	10	C	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1968	http://www.npd.no/FactMapSearch?NPDID_wellbore=1968	initial	\N	1968	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-24	33/9-C-24	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1992-05-30	1992-10-13	STATFJORD	718-P	33/12-1 STATFJORD	NO	78.400000	\N	7137.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1992	1992	\N	50	ED50	61	17	46.93	N	1	54	10.32	E	61.296369	1.902867	6796454.520000	441213.270000	31	33	9	C	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1971	http://www.npd.no/FactMapSearch?NPDID_wellbore=1971	initial	\N	1971	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-1	30/6-C-1	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	WATER	DEVELOPMENT	1992-06-01	1992-09-14	OSEBERG	720-P	30/6-1 OSEBERG	NO	62.000000	\N	6658.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	WATER	1992	1992	\N	173	ED50	60	36	29.68	N	2	46	33.50	E	60.608244	2.775972	6719332.440000	487733.740000	31	30	6	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1975	http://www.npd.no/FactMapSearch?NPDID_wellbore=1975	initial	\N	1975	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/1-A-15	2/1-A-15	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1992-06-24	1992-08-02	GYDA	722-P	2/1-3 GYDA	NO	56.000000	\N	4360.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1992	1992	\N	50	ED50	56	54	17.49	N	3	5	6.50	E	56.904858	3.085139	6306939.600000	505185.450000	31	2	1	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1980	http://www.npd.no/FactMapSearch?NPDID_wellbore=1980	initial	\N	1980	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
25/2-C-1 AH	25/2-C-1	Elf Petroleum Norge AS	ELF	026	PRODUCTION	GAS	DEVELOPMENT	1992-06-26	1992-09-05	LILLE-FRIGG	721-P	25/2-4 LILLE-FRIGG	NO	25.000000	\N	3890.000000	112.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	LILLE-FRIGG	2-A	NO	GAS	1992	1992	\N	90	ED50	59	57	41.88	N	2	23	26.85	E	59.961633	2.390792	6647450.300000	465979.050000	31	25	2	C	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1981	http://www.npd.no/FactMapSearch?NPDID_wellbore=1981	sidetrack	25/2-C-1 H	1981	44240	43583	9999-12-31	20980	296353	277825	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-B-23	34/10-B-23	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-06-13	1992-09-10	GULLFAKS	723-P	34/10-1 GULLFAKS	NO	81.000000	\N	2985.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1992	1992	\N	50	ED50	61	12	10.02	N	2	12	6.59	E	61.202783	2.201831	6785797.770000	457104.400000	31	34	10	B	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1982	http://www.npd.no/FactMapSearch?NPDID_wellbore=1982	initial	\N	1982	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-D-13 A	2/4-D-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1992-07-23	1992-09-20	VEST EKOFISK	725-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3445.000000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1992	1992	\N	90	ED50	56	33	47.13	N	3	5	8.47	E	56.563092	3.085686	6268895.870000	505266.350000	31	2	4	D	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1983	http://www.npd.no/FactMapSearch?NPDID_wellbore=1983	sidetrack	2/4-D-13	1983	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/3-A-15	30/3-A-15	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	GAS	DEVELOPMENT	1992-12-02	1993-01-30	VESLEFRIKK	759-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4605.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1992	1993	\N	91	ED50	60	46	57.98	N	2	53	52.38	E	60.782772	2.897883	6738755.530000	494438.980000	31	30	3	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1984	http://www.npd.no/FactMapSearch?NPDID_wellbore=1984	initial	\N	1984	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-22 A	34/10-B-22	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1992-06-21	1992-07-15	GULLFAKS	724-P	34/10-1 GULLFAKS	NO	81.000000	\N	2477.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1992	1992	\N	173	ED50	61	12	11.26	N	2	12	4.70	E	61.203128	2.201306	6785836.480000	457076.650000	31	34	10	B	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1985	http://www.npd.no/FactMapSearch?NPDID_wellbore=1985	sidetrack	34/10-B-22	1985	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-18	30/9-B-18	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1992-07-10	1992-09-26	OSEBERG	726-P	30/6-1 OSEBERG	NO	58.000000	\N	3980.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1992	1992	\N	99	ED50	60	29	36.31	N	2	49	43.22	E	60.493419	2.828672	6706534.380000	490585.930000	31	30	9	B	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1989	http://www.npd.no/FactMapSearch?NPDID_wellbore=1989	initial	\N	1989	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-A-2 H	34/7-A-2	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1994-03-24	1994-04-29	SNORRE	896-P	34/4-1 SNORRE	NO	25.000000	\N	3975.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	WATER	1994	1994	\N	173	ED50	61	29	21.82	N	2	13	35.02	E	61.489394	2.226394	6817707.410000	458802.770000	31	34	7	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2001	http://www.npd.no/FactMapSearch?NPDID_wellbore=2001	initial	\N	2001	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-A-3 H	34/7-A-3	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1994-01-04	1994-03-23	SNORRE	879-P	34/4-1 SNORRE	NO	25.000000	\N	4583.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	WATER	1994	1994	\N	173	ED50	61	29	21.72	N	2	13	35.25	E	61.489367	2.226458	6817704.280000	458806.130000	31	34	7	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2002	http://www.npd.no/FactMapSearch?NPDID_wellbore=2002	initial	\N	2002	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-A-4 H	34/7-A-4	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1992-09-01	1993-01-07	SNORRE	737-P	34/4-1 SNORRE	NO	25.000000	\N	3380.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	OIL	1992	1993	\N	50	ED50	61	29	21.62	N	2	13	35.47	E	61.489339	2.226519	6817701.150000	458809.350000	31	34	7	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2003	http://www.npd.no/FactMapSearch?NPDID_wellbore=2003	initial	\N	2003	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
6507/7-A-20	6507/7-A-20	Conoco Norway Inc.	CONOCO	095	PRODUCTION	OIL	DEVELOPMENT	1992-11-16	1992-12-17	HEIDRUN	746-P	6507/7-2 HEIDRUN	NO	23.000000	\N	3042.000000	346.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN	8	NO	OIL	1992	1992	\N	50	ED50	65	19	32.80	N	7	19	2.49	E	65.325778	7.317358	7245990.490000	421623.230000	32	6507	7	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2004	http://www.npd.no/FactMapSearch?NPDID_wellbore=2004	initial	\N	2004	44930	43771	9999-12-31	21564	296677	272421	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
34/7-A-6 H	34/7-A-6	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1993-08-28	1993-11-08	SNORRE	835-P	34/4-1 SNORRE	NO	25.000000	\N	3503.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	OIL	1993	1993	\N	50	ED50	61	29	21.14	N	2	13	34.97	E	61.489206	2.226381	6817686.380000	458801.780000	31	34	7	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2005	http://www.npd.no/FactMapSearch?NPDID_wellbore=2005	initial	\N	2005	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-A-7 H	34/7-A-7	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1994-10-26	1994-11-20	SNORRE	972-P	34/4-1 SNORRE	NO	25.000000	\N	1004.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	WATER	1994	1994	\N	173	ED50	61	29	21.23	N	2	13	34.74	E	61.489231	2.226317	6817689.210000	458798.410000	31	34	7	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2006	http://www.npd.no/FactMapSearch?NPDID_wellbore=2006	initial	\N	2006	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-A-8 H	34/7-A-8	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1994-11-21	1995-05-16	SNORRE	984-P	34/4-1 SNORRE	NO	25.000000	\N	4709.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	OIL	1994	1995	\N	50	ED50	61	29	21.34	N	2	13	34.51	E	61.489261	2.226253	6817692.650000	458795.050000	31	34	7	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2007	http://www.npd.no/FactMapSearch?NPDID_wellbore=2007	initial	\N	2007	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-A-9 H	34/7-A-9	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1993-06-15	1993-08-27	SNORRE	814-P	34/4-1 SNORRE	NO	25.000000	\N	3382.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	WATER	1993	1993	\N	173	ED50	61	29	21.44	N	2	13	34.29	E	61.489289	2.226192	6817695.780000	458791.830000	31	34	7	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2008	http://www.npd.no/FactMapSearch?NPDID_wellbore=2008	initial	\N	2008	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-A-10 H	34/7-A-10	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1993-11-09	1994-01-01	SNORRE	857-P	34/4-1 SNORRE	NO	25.000000	\N	3126.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	WATER	1993	1994	\N	173	ED50	61	29	21.53	N	2	13	34.06	E	61.489314	2.226128	6817698.610000	458788.460000	31	34	7	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2009	http://www.npd.no/FactMapSearch?NPDID_wellbore=2009	initial	\N	2009	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-A-38	34/10-A-38	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1992-09-10	1992-11-16	GULLFAKS	729-P	34/10-1 GULLFAKS	NO	82.000000	\N	3120.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1992	1992	\N	173	ED50	61	10	34.88	N	2	11	21.86	E	61.176356	2.189406	6782862.280000	456400.180000	31	34	10	A	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2011	http://www.npd.no/FactMapSearch?NPDID_wellbore=2011	initial	\N	2011	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-15	30/6-C-15	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1992-09-19	1992-10-17	OSEBERG	730-P	30/6-1 OSEBERG	NO	62.000000	\N	3380.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1992	1992	\N	99	ED50	60	36	29.37	N	2	46	33.39	E	60.608158	2.775942	6719322.860000	487732.030000	31	30	6	C	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2012	http://www.npd.no/FactMapSearch?NPDID_wellbore=2012	initial	\N	2012	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-15 A	30/6-C-15	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1992-10-17	1992-11-19	OSEBERG	745-P	30/6-1 OSEBERG	NO	62.000000	\N	4515.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1992	1992	\N	50	ED50	60	36	29.37	N	2	46	33.39	E	60.608158	2.775942	6719322.860000	487732.030000	31	30	6	C	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2013	http://www.npd.no/FactMapSearch?NPDID_wellbore=2013	sidetrack	30/6-C-15	2013	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-B-2 A	2/7-B-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1992-11-01	1993-01-05	ELDFISK	728-P	2/7-1 ELDFISK	NO	44.000000	\N	3527.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1992	1993	\N	50	ED50	56	25	8.90	N	3	13	6.31	E	56.419139	3.218419	6252890.500000	513475.200000	31	2	7	B	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2014	http://www.npd.no/FactMapSearch?NPDID_wellbore=2014	sidetrack	2/7-B-2	2014	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/9-B-18 A	30/9-B-18	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1992-09-27	1992-11-02	OSEBERG	741-P	30/6-1 OSEBERG	NO	58.000000	\N	4982.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1992	1992	\N	50	ED50	60	29	36.31	N	2	49	43.22	E	60.493419	2.828672	6706534.380000	490585.930000	31	30	9	B	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2016	http://www.npd.no/FactMapSearch?NPDID_wellbore=2016	sidetrack	30/9-B-18	2016	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-14	34/10-C-14	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-08-11	1992-11-13	GULLFAKS	733-P	34/10-1 GULLFAKS	NO	84.000000	\N	4129.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1992	1992	\N	50	ED50	61	12	53.40	N	2	16	28.27	E	61.214833	2.274519	6787094.470000	461025.660000	31	34	10	C	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2017	http://www.npd.no/FactMapSearch?NPDID_wellbore=2017	initial	\N	2017	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-24	34/10-B-24	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-09-10	1992-11-20	GULLFAKS	738-P	34/10-1 GULLFAKS	NO	81.000000	\N	3180.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1992	1992	\N	50	ED50	61	12	11.08	N	2	12	4.72	E	61.203078	2.201311	6785830.900000	457076.880000	31	34	10	B	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2023	http://www.npd.no/FactMapSearch?NPDID_wellbore=2023	initial	\N	2023	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-C-2 H	15/9-C-2	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	\N	DEVELOPMENT	1992-10-12	1993-06-29	SLEIPNER ØST	743-P	15/9-9 SLEIPNER ØST	NO	22.000000	\N	2990.000000	84.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	SLEIPNER C	3	NO	GAS	1992	1993	\N	71	ED50	58	26	9.31	N	1	55	46.56	E	58.435919	1.929600	6477889.700000	437498.790000	31	15	9	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2024	http://www.npd.no/FactMapSearch?NPDID_wellbore=2024	initial	\N	2024	43946	43478	9999-12-31	21156	296218	277545	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-D-1 A	2/4-D-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1992-10-12	1992-11-27	VEST EKOFISK	739-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3765.000000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1992	1992	\N	90	ED50	56	33	47.04	N	3	5	8.93	E	56.563067	3.085814	6268893.100000	505274.210000	31	2	4	D	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2027	http://www.npd.no/FactMapSearch?NPDID_wellbore=2027	sidetrack	2/4-D-1	2027	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/1-A-24	2/1-A-24	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1992-09-18	1992-11-14	GYDA	740-P	2/1-3 GYDA	NO	56.000000	\N	5423.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	1992	1992	\N	173	ED50	56	54	17.42	N	3	5	6.18	E	56.904839	3.085050	6306937.430000	505180.040000	31	2	1	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2028	http://www.npd.no/FactMapSearch?NPDID_wellbore=2028	initial	\N	2028	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
34/7-A-5 H	34/7-A-5	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1992-10-15	1993-03-28	SNORRE	744-P	34/4-1 SNORRE	NO	25.000000	\N	3550.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	OIL	1992	1993	\N	50	ED50	61	29	21.52	N	2	13	35.71	E	61.489311	2.226586	6817698.010000	458812.870000	31	34	7	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2030	http://www.npd.no/FactMapSearch?NPDID_wellbore=2030	initial	\N	2030	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-B-25	34/10-B-25	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-11-21	1993-05-20	GULLFAKS	753-P	34/10-1 GULLFAKS	NO	81.000000	\N	5583.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1992	1993	\N	50	ED50	61	12	11.02	N	2	12	5.18	E	61.203061	2.201439	6785828.960000	457083.730000	31	34	10	B	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2032	http://www.npd.no/FactMapSearch?NPDID_wellbore=2032	initial	\N	2032	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-39	34/10-A-39	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1992-11-16	1992-12-15	GULLFAKS	747-P	34/10-1 GULLFAKS	NO	82.000000	\N	4230.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	NOT APPLICABLE	1992	1992	\N	99	ED50	61	10	34.92	N	2	11	22.01	E	61.176367	2.189447	6782863.490000	456402.440000	31	34	10	A	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2034	http://www.npd.no/FactMapSearch?NPDID_wellbore=2034	initial	\N	2034	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-2	33/9-C-2	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1992-10-29	1993-03-22	STATFJORD	750-P	33/12-1 STATFJORD	NO	78.400000	\N	8463.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1992	1993	\N	173	ED50	61	17	48.14	N	1	54	11.23	E	61.296706	1.903119	6796491.730000	441227.440000	31	33	9	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2035	http://www.npd.no/FactMapSearch?NPDID_wellbore=2035	initial	\N	2035	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-5	30/9-B-5	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1992-11-02	1992-11-18	OSEBERG	749-P	30/6-1 OSEBERG	NO	58.000000	\N	912.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1992	1992	\N	99	ED50	60	29	36.47	N	2	49	42.98	E	60.493464	2.828606	6706539.340000	490582.280000	31	30	9	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2036	http://www.npd.no/FactMapSearch?NPDID_wellbore=2036	initial	\N	2036	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-15	34/10-C-15	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1992-11-13	1992-12-03	GULLFAKS	751-P	34/10-1 GULLFAKS	NO	84.000000	\N	2438.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	NOT APPLICABLE	1992	1992	\N	99	ED50	61	12	54.79	N	2	16	26.19	E	61.215219	2.273942	6787137.830000	460995.100000	31	34	10	C	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2037	http://www.npd.no/FactMapSearch?NPDID_wellbore=2037	initial	\N	2037	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-32	30/9-B-32	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1992-11-20	1992-12-29	OSEBERG	752-P	30/6-1 OSEBERG	NO	58.000000	\N	4536.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1992	1992	\N	99	ED50	60	29	35.98	N	2	49	42.66	E	60.493328	2.828517	6706524.190000	490577.350000	31	30	9	B	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2041	http://www.npd.no/FactMapSearch?NPDID_wellbore=2041	initial	\N	2041	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-32 A	30/9-B-32	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1992-12-29	1993-01-22	OSEBERG	766-P	30/6-1 OSEBERG	NO	58.000000	\N	5147.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1992	1993	\N	50	ED50	60	29	35.98	N	2	49	42.66	E	60.493328	2.828517	6706524.190000	490577.350000	31	30	9	B	32	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2042	http://www.npd.no/FactMapSearch?NPDID_wellbore=2042	sidetrack	30/9-B-32	2042	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-4	30/6-C-4	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	WATER	DEVELOPMENT	1992-11-20	1993-01-17	OSEBERG	754-P	30/6-1 OSEBERG	NO	62.000000	\N	5820.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	WATER	1992	1993	\N	173	ED50	60	36	29.50	N	2	46	33.88	E	60.608194	2.776078	6719326.860000	487739.500000	31	30	6	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2045	http://www.npd.no/FactMapSearch?NPDID_wellbore=2045	initial	\N	2045	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-4 A	31/4-A-4	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1993-03-05	1993-04-21	BRAGE	767-P	31/4-3 BRAGE	NO	25.000000	\N	4704.000000	137.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	BRAGE	4	NO	OIL	1993	1993	\N	50	ED50	60	32	33.22	N	3	2	50.29	E	60.542561	3.047303	6711996.520000	502595.250000	31	31	4	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2046	http://www.npd.no/FactMapSearch?NPDID_wellbore=2046	sidetrack	31/4-A-4	2046	44546	43651	9999-12-31	21236	297028	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/1-A-14	2/1-A-14	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1992-11-16	1992-12-19	GYDA	756-P	2/1-3 GYDA	NO	56.000000	\N	4130.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1992	1992	\N	50	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	2	1	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2047	http://www.npd.no/FactMapSearch?NPDID_wellbore=2047	initial	\N	2047	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/1-A-16 AY2	2/1-A-16	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2004-12-01	2005-01-02	GYDA	2445-P2	2/1-3 GYDA	NO	56.000000	\N	5102.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	YES	OIL	2004	2005	\N	50	ED50	56	54	17.55	N	3	5	6.38	E	56.904875	3.085106	6306941.450000	505183.420000	31	2	1	A	16	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2048	http://www.npd.no/FactMapSearch?NPDID_wellbore=2048	multilateral	2/1-A-16 AY1	2048	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-10-27	2012-10-27	2013-05-08
33/12-B-29	33/12-B-29	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1992-11-29	1993-03-04	STATFJORD	757-P	33/12-1 STATFJORD	NO	77.800000	\N	4401.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1992	1993	\N	50	ED50	61	12	23.97	N	1	49	51.38	E	61.206658	1.830939	6786529.250000	437180.730000	31	33	12	B	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2052	http://www.npd.no/FactMapSearch?NPDID_wellbore=2052	initial	\N	2052	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-A-13 A	2/4-A-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1992-12-27	1993-02-08	EKOFISK	761-P	2/4-2 EKOFISK	NO	33.000000	\N	3522.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1992	1993	\N	50	ED50	56	31	15.24	N	3	13	22.55	E	56.520900	3.222931	6264218.420000	513716.770000	31	2	4	A	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2053	http://www.npd.no/FactMapSearch?NPDID_wellbore=2053	sidetrack	2/4-A-13	2053	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-C-15 A	34/10-C-15	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-12-03	1993-02-19	GULLFAKS	762-P	34/10-1 GULLFAKS	NO	84.000000	\N	3350.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1992	1993	\N	50	ED50	61	12	54.79	N	2	16	26.19	E	61.215219	2.273942	6787137.830000	460995.100000	31	34	10	C	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2054	http://www.npd.no/FactMapSearch?NPDID_wellbore=2054	sidetrack	34/10-C-15	2054	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-23 A	33/9-A-23	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1992-12-23	1993-03-06	STATFJORD	758-P	33/12-1 STATFJORD	NO	64.400000	\N	4006.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1992	1993	\N	50	ED50	61	15	19.96	N	1	51	14.24	E	61.255544	1.853956	6791952.350000	438512.920000	31	33	9	A	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2058	http://www.npd.no/FactMapSearch?NPDID_wellbore=2058	sidetrack	33/9-A-23	2058	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-A-14	7/12-A-14	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1992-12-08	1993-02-28	ULA	765-P	7/12-2 ULA	NO	57.000000	\N	3691.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1992	1993	\N	50	ED50	57	6	41.30	N	2	50	50.40	E	57.111472	2.847333	6329946.980000	490753.120000	31	7	12	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2060	http://www.npd.no/FactMapSearch?NPDID_wellbore=2060	initial	\N	2060	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/7-B-10 C	2/7-B-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-01-29	1993-04-07	ELDFISK	760-P	2/7-1 ELDFISK	NO	44.000000	\N	3763.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1993	1993	\N	50	ED50	56	25	9.05	N	3	13	6.18	E	56.419181	3.218383	6252895.130000	513472.950000	31	2	7	B	10	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2061	http://www.npd.no/FactMapSearch?NPDID_wellbore=2061	sidetrack	2/7-B-10 B	2061	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-P-17	34/7-P-17	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1993-09-29	1994-01-15	SNORRE	843-P	34/4-1 SNORRE	NO	59.000000	\N	5030.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	1993	1994	\N	173	ED50	61	26	57.21	N	2	8	36.82	E	61.449225	2.143561	6813288.060000	454333.010000	31	34	7	P	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2062	http://www.npd.no/FactMapSearch?NPDID_wellbore=2062	initial	\N	2062	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-P-40	34/7-P-40	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1993-02-15	1993-04-22	SNORRE	778-P	34/4-1 SNORRE	NO	59.000000	\N	3800.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1993	1993	\N	50	ED50	61	26	58.25	N	2	8	37.33	E	61.449514	2.143703	6813320.140000	454340.980000	31	34	7	P	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2063	http://www.npd.no/FactMapSearch?NPDID_wellbore=2063	initial	\N	2063	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-P-37	34/7-P-37	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1993-06-20	1993-08-17	SNORRE	817-P	34/4-1 SNORRE	NO	59.000000	\N	4670.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	1993	1993	\N	173	ED50	61	26	58.24	N	2	8	36.52	E	61.449511	2.143478	6813319.990000	454328.980000	31	34	7	P	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2064	http://www.npd.no/FactMapSearch?NPDID_wellbore=2064	initial	\N	2064	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-P-8	34/7-P-8	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1993-04-22	1993-06-18	SNORRE	807-P	34/4-1 SNORRE	NO	59.000000	\N	3993.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1993	1993	\N	50	ED50	61	26	56.95	N	2	8	37.10	E	61.449153	2.143639	6813279.960000	454337.050000	31	34	7	P	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2065	http://www.npd.no/FactMapSearch?NPDID_wellbore=2065	initial	\N	2065	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-B-26	34/10-B-26	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1992-12-14	1993-02-28	GULLFAKS	772-P	34/10-1 GULLFAKS	NO	81.000000	\N	3900.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1992	1993	\N	173	ED50	61	12	10.16	N	2	12	6.42	E	61.202822	2.201783	6785802.130000	457101.910000	31	34	10	B	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2066	http://www.npd.no/FactMapSearch?NPDID_wellbore=2066	initial	\N	2066	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-40	34/10-A-40	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1993-02-24	1993-08-01	GULLFAKS	770-P	34/10-1 GULLFAKS	NO	82.000000	\N	4950.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1993	1993	\N	50	ED50	61	10	35.02	N	2	11	21.70	E	61.176394	2.189361	6782866.640000	456397.840000	31	34	10	A	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2070	http://www.npd.no/FactMapSearch?NPDID_wellbore=2070	initial	\N	2070	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-41	34/10-A-41	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1993-03-18	1993-05-24	GULLFAKS	791-P	34/10-1 GULLFAKS	NO	82.000000	\N	4979.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1993	1993	\N	50	ED50	61	10	33.67	N	2	11	22.86	E	61.176019	2.189683	6782824.660000	456414.660000	31	34	10	A	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2071	http://www.npd.no/FactMapSearch?NPDID_wellbore=2071	initial	\N	2071	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-A-24 A	2/1-A-24	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1992-12-25	1993-02-06	GYDA	768-P	2/1-3 GYDA	NO	56.000000	\N	5114.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1992	1993	\N	50	ED50	56	54	17.42	N	3	5	6.18	E	56.904839	3.085050	6306937.430000	505180.040000	31	2	1	A	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2073	http://www.npd.no/FactMapSearch?NPDID_wellbore=2073	sidetrack	2/1-A-24	2073	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
34/10-C-16	34/10-C-16	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1993-02-20	1993-09-30	GULLFAKS	771-P	34/10-1 GULLFAKS	NO	84.000000	\N	5732.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1993	1993	\N	50	ED50	61	12	53.61	N	2	16	28.19	E	61.214892	2.274497	6787100.980000	461024.540000	31	34	10	C	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2074	http://www.npd.no/FactMapSearch?NPDID_wellbore=2074	initial	\N	2074	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-20	30/6-C-20	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1993-01-20	1993-03-30	OSEBERG	773-P	30/6-1 OSEBERG	NO	62.000000	\N	4676.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1993	1993	\N	99	ED50	60	36	29.25	N	2	46	33.39	E	60.608125	2.775942	6719319.150000	487732.020000	31	30	6	C	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2077	http://www.npd.no/FactMapSearch?NPDID_wellbore=2077	initial	\N	2077	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-20 A	30/6-C-20	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	\N	DEVELOPMENT	1993-03-30	1993-05-07	OSEBERG	784-P	30/6-1 OSEBERG	NO	62.000000	\N	5191.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1993	1993	\N	71	ED50	60	36	29.25	N	2	46	33.39	E	60.608125	2.775942	6719319.150000	487732.020000	31	30	6	C	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2078	http://www.npd.no/FactMapSearch?NPDID_wellbore=2078	sidetrack	30/6-C-20	2078	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-33	6507/7-A-33	Conoco Norway Inc.	CONOCO	095	PRODUCTION	OIL	DEVELOPMENT	1993-02-10	1993-03-19	HEIDRUN	775-P	6507/7-2 HEIDRUN	NO	23.000000	\N	3699.000000	345.600000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN	8	NO	OIL	1993	1993	\N	50	ED50	65	19	32.55	N	7	19	2.51	E	65.325708	7.317364	7245982.740000	421623.280000	32	6507	7	A	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2079	http://www.npd.no/FactMapSearch?NPDID_wellbore=2079	initial	\N	2079	44930	43771	9999-12-31	21564	296677	272421	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
6407/9-A-53 H	6407/9-A-53	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	1993-04-05	1993-11-08	DRAUGEN	802-P	6407/9-1 DRAUGEN	NO	25.000000	\N	1868.000000	279.000000	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	6407/9-A-53 H	8	NO	OIL	1993	1993	6407/9-3	50	ED50	64	19	48.94	N	7	46	30.91	E	64.330261	7.775253	7134564.040000	440802.820000	32	6407	9	A	53	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2081	http://www.npd.no/FactMapSearch?NPDID_wellbore=2081	initial	\N	2081	44888	43758	9999-12-31	21548	290980	284349	469	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
15/9-D-1 H	15/9-D-1	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1993-04-01	1993-06-07	SLEIPNER ØST	796-P	15/9-9 SLEIPNER ØST	NO	22.000000	\N	2775.000000	84.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	SLEIPNER D	3	NO	GAS	1993	1993	\N	90	ED50	58	23	49.47	N	1	55	1.12	E	58.397075	1.916978	6473576.720000	436692.170000	31	15	9	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2082	http://www.npd.no/FactMapSearch?NPDID_wellbore=2082	initial	\N	2082	43946	43478	9999-12-31	21156	287983	277881	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-D-3 H	15/9-D-3	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1993-03-02	1993-04-01	SLEIPNER ØST	779-P	15/9-9 SLEIPNER ØST	NO	22.000000	\N	2610.000000	84.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	SLEIPNER D	3	NO	GAS	1993	1993	\N	90	ED50	58	23	49.93	N	1	55	1.95	E	58.397203	1.917208	6473590.730000	436705.870000	31	15	9	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2083	http://www.npd.no/FactMapSearch?NPDID_wellbore=2083	initial	\N	2083	43946	43478	9999-12-31	21156	287983	277881	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-A-16	7/12-A-16	BP Norway Limited  U.A.	BP	019	PRODUCTION	\N	DEVELOPMENT	1993-03-01	1993-05-20	ULA	780-P	7/12-2 ULA	NO	57.000000	\N	5222.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1993	1993	\N	71	ED50	57	6	41.14	N	2	50	50.57	E	57.111428	2.847381	6329942.030000	490755.970000	31	7	12	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2085	http://www.npd.no/FactMapSearch?NPDID_wellbore=2085	initial	\N	2085	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/8-A-24 A	2/8-A-24	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1993-06-10	1993-07-09	VALHALL	809-P	2/8-6 VALHALL	NO	44.000000	\N	2924.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1993	1993	\N	50	ED50	56	16	41.08	N	3	23	44.09	E	56.278078	3.395581	6237238.190000	524495.180000	31	2	8	A	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2086	http://www.npd.no/FactMapSearch?NPDID_wellbore=2086	sidetrack	2/8-A-24	2086	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
30/9-B-9	30/9-B-9	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1993-01-23	1993-02-11	OSEBERG	776-P	30/6-1 OSEBERG	NO	58.000000	\N	3287.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1993	1993	\N	99	ED50	60	29	36.34	N	2	49	42.68	E	60.493428	2.828522	6706535.330000	490577.690000	31	30	9	B	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2087	http://www.npd.no/FactMapSearch?NPDID_wellbore=2087	initial	\N	2087	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-39 A	34/10-A-39	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1992-12-15	1993-02-23	GULLFAKS	769-P	34/10-1 GULLFAKS	NO	82.000000	\N	4177.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1992	1993	\N	50	ED50	61	10	34.92	N	2	11	22.01	E	61.176367	2.189447	6782863.490000	456402.440000	31	34	10	A	39	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2088	http://www.npd.no/FactMapSearch?NPDID_wellbore=2088	sidetrack	34/10-A-39	2088	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-A-31	2/1-A-31	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1993-02-06	1993-03-27	GYDA	783-P	2/1-3 GYDA	NO	56.000000	\N	5074.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1993	1993	\N	50	ED50	56	54	17.25	N	3	5	6.07	E	56.904792	3.085019	6306932.170000	505178.190000	31	2	1	A	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2089	http://www.npd.no/FactMapSearch?NPDID_wellbore=2089	initial	\N	2089	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/3-A-16	30/3-A-16	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1993-01-31	1993-04-26	VESLEFRIKK	777-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4690.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1993	1993	\N	50	ED50	60	46	57.92	N	2	53	51.84	E	60.782756	2.897733	6738753.680000	494430.810000	31	30	3	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2090	http://www.npd.no/FactMapSearch?NPDID_wellbore=2090	initial	\N	2090	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-32 A	33/9-A-32	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1993-03-29	1993-07-14	STATFJORD	787-P	33/12-1 STATFJORD	NO	64.400000	\N	5150.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1993	1993	\N	50	ED50	61	15	19.82	N	1	51	14.12	E	61.255506	1.853922	6791948.050000	438511.050000	31	33	9	A	32	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2094	http://www.npd.no/FactMapSearch?NPDID_wellbore=2094	sidetrack	33/9-A-32	2094	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-D-27	2/7-D-27	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-03-02	1993-05-07	EMBLA	782-P	2/7-20 EMBLA	NO	51.000000	\N	4782.000000	70.800000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EMBLA	1-A	NO	OIL	1993	1993	2/7-27 S	50	ED50	56	19	58.81	N	3	14	53.77	E	56.333003	3.248269	6243309.090000	515351.360000	31	2	7	D	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2096	http://www.npd.no/FactMapSearch?NPDID_wellbore=2096	initial	\N	2096	44132	43534	9999-12-31	20900	292114	277377	1878	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/9-B-9 A	30/9-B-9	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1993-02-12	1993-03-12	OSEBERG	785-P	30/6-1 OSEBERG	NO	58.000000	\N	4500.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1993	1993	\N	50	ED50	60	29	36.34	N	2	49	42.68	E	60.493428	2.828522	6706535.330000	490577.690000	31	30	9	B	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2099	http://www.npd.no/FactMapSearch?NPDID_wellbore=2099	sidetrack	30/9-B-9	2099	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-5 A	30/9-B-5	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1993-04-26	1993-07-03	OSEBERG	806-P	30/6-1 OSEBERG	NO	58.000000	\N	3817.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1993	1993	\N	99	ED50	60	29	36.47	N	2	49	42.98	E	60.493464	2.828606	6706539.340000	490582.280000	31	30	9	B	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2103	http://www.npd.no/FactMapSearch?NPDID_wellbore=2103	sidetrack	30/9-B-5	2103	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-17	30/9-B-17	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1993-03-12	1993-04-21	OSEBERG	786-P	30/6-1 OSEBERG	NO	58.000000	\N	4556.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1993	1993	\N	50	ED50	60	29	36.29	N	2	49	43.06	E	60.493414	2.828628	6706533.770000	490583.480000	31	30	9	B	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2107	http://www.npd.no/FactMapSearch?NPDID_wellbore=2107	initial	\N	2107	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-53	6507/7-A-53	Conoco Norway Inc.	CONOCO	095	PRODUCTION	OIL	DEVELOPMENT	1993-03-22	1993-05-16	HEIDRUN	788-P	6507/7-2 HEIDRUN	NO	23.000000	\N	3640.000000	346.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN	8	NO	OIL	1993	1993	6507/7-3	50	ED50	65	19	1.31	N	7	17	44.79	E	65.317031	7.295775	7245042.820000	420591.730000	32	6507	7	A	53	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2108	http://www.npd.no/FactMapSearch?NPDID_wellbore=2108	initial	\N	2108	44930	43771	9999-12-31	21564	296677	272421	482	CONOCO	2012-07-25	2012-07-25	2013-05-08
33/12-B-27	33/12-B-27	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1993-04-07	1993-09-07	STATFJORD	789-P	33/12-1 STATFJORD	NO	77.800000	\N	4850.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1993	1993	\N	50	ED50	61	12	24.04	N	1	49	51.12	E	61.206678	1.830867	6786531.480000	437176.890000	31	33	12	B	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2109	http://www.npd.no/FactMapSearch?NPDID_wellbore=2109	initial	\N	2109	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-17	30/3-A-17	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	WATER	DEVELOPMENT	1993-04-26	1993-07-01	VESLEFRIKK	790-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4120.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER	1993	1993	\N	173	ED50	60	46	58.08	N	2	53	52.16	E	60.782800	2.897822	6738758.620000	494435.660000	31	30	3	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2110	http://www.npd.no/FactMapSearch?NPDID_wellbore=2110	initial	\N	2110	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-D-21	2/7-D-21	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-06-10	1993-07-17	EMBLA	801-P	2/7-20 EMBLA	NO	51.000000	\N	4557.000000	70.800000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EMBLA	1-A	NO	OIL	1993	1993	2/7-21 SR	50	ED50	56	19	56.63	N	3	14	53.75	E	56.332397	3.248264	6243241.690000	515351.260000	31	2	7	D	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2111	http://www.npd.no/FactMapSearch?NPDID_wellbore=2111	initial	\N	2111	44132	43534	9999-12-31	20900	292114	277377	1861	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-C-17	34/10-C-17	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1993-03-22	1993-06-22	GULLFAKS	792-P	34/10-1 GULLFAKS	NO	84.000000	\N	5281.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	WATER	1993	1993	\N	173	ED50	61	12	53.68	N	2	16	28.10	E	61.214911	2.274472	6787103.160000	461023.220000	31	34	10	C	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2115	http://www.npd.no/FactMapSearch?NPDID_wellbore=2115	initial	\N	2115	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/9-A-55 H	6407/9-A-55	A/S Norske Shell	SHELL	093	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1993-04-08	1993-04-26	DRAUGEN	803-P	6407/9-1 DRAUGEN	NO	25.000000	\N	1657.000000	287.000000	NORWEGIAN SEA	WEST DELTA	SEMISUB STEEL	DRAUGEN	8	NO	NOT APPLICABLE	1993	1993	\N	99	ED50	64	16	42.35	N	7	44	14.66	E	64.278431	7.737406	7128824.580000	438858.990000	32	6407	9	A	55	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2117	http://www.npd.no/FactMapSearch?NPDID_wellbore=2117	initial	\N	2117	44888	43758	9999-12-31	21548	287821	272393	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-A-32 A	34/10-A-32	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1993-09-09	1993-10-04	GULLFAKS	825-P	34/10-1 GULLFAKS	NO	82.000000	\N	2629.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1993	1993	\N	50	ED50	61	10	34.80	N	2	11	21.57	E	61.176333	2.189325	6782859.860000	456395.820000	31	34	10	A	32	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2118	http://www.npd.no/FactMapSearch?NPDID_wellbore=2118	sidetrack	34/10-A-32	2118	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-27	34/10-B-27	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1993-05-22	1993-07-01	GULLFAKS	811-P	34/10-1 GULLFAKS	NO	81.000000	\N	3400.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1993	1993	\N	50	ED50	61	12	10.19	N	2	12	6.20	E	61.202831	2.201722	6785803.100000	457098.640000	31	34	10	B	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2119	http://www.npd.no/FactMapSearch?NPDID_wellbore=2119	initial	\N	2119	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-D-26	2/7-D-26	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-05-07	1993-06-09	EMBLA	799-P	2/7-20 EMBLA	NO	51.000000	\N	4870.000000	70.800000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EMBLA	1-A	NO	OIL	1993	1993	2/7-26 S	50	ED50	56	19	59.60	N	3	14	53.73	E	56.333222	3.248258	6243333.520000	515350.580000	31	2	7	D	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2120	http://www.npd.no/FactMapSearch?NPDID_wellbore=2120	initial	\N	2120	44132	43534	9999-12-31	20900	292114	277377	1756	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-D-20	2/7-D-20	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-07-18	1993-09-05	EMBLA	800-P	2/7-20 EMBLA	NO	51.000000	\N	4596.000000	70.800000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EMBLA	1-A	NO	OIL	1993	1993	2/7-20 R	50	ED50	56	19	59.70	N	3	14	53.86	E	56.333250	3.248294	6243336.620000	515352.800000	31	2	7	D	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2121	http://www.npd.no/FactMapSearch?NPDID_wellbore=2121	initial	\N	2121	44132	43534	9999-12-31	20900	292114	277377	1875	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-11 A	2/4-A-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-05-10	1993-06-27	EKOFISK	793-P	2/4-2 EKOFISK	NO	33.000000	\N	3669.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1993	1993	\N	50	ED50	56	31	15.32	N	3	13	22.90	E	56.520922	3.223028	6264220.920000	513722.740000	31	2	4	A	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2122	http://www.npd.no/FactMapSearch?NPDID_wellbore=2122	sidetrack	2/4-A-11	2122	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-9 A	2/7-B-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-06-21	1993-09-11	ELDFISK	795-P	2/7-1 ELDFISK	NO	44.000000	\N	4120.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1993	1993	\N	50	ED50	56	25	9.60	N	3	13	5.32	E	56.419333	3.218144	6252912.090000	513458.160000	31	2	7	B	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2125	http://www.npd.no/FactMapSearch?NPDID_wellbore=2125	sidetrack	2/7-B-9	2125	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-D-15 A	2/4-D-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	GAS	DEVELOPMENT	1993-04-26	1993-05-30	VEST EKOFISK	794-P	2/4-6 VEST EKOFISK	NO	34.000000	\N	3477.000000	71.000000	NORTH SEA	VEST EKOFISK	JACKET 8 LEGS	VEST EKOFISK	1-A	NO	GAS	1993	1993	\N	90	ED50	56	33	47.04	N	3	5	8.15	E	56.563067	3.085597	6268893.080000	505260.890000	31	2	4	D	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2126	http://www.npd.no/FactMapSearch?NPDID_wellbore=2126	sidetrack	2/4-D-15	2126	44078	43513	9999-12-31	20900	271497	271497	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/1-A-20	2/1-A-20	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1993-04-07	1993-05-22	GYDA	798-P	2/1-3 GYDA	NO	56.000000	\N	4387.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1993	1993	\N	50	ED50	56	54	17.48	N	3	5	6.28	E	56.904856	3.085078	6306939.290000	505181.730000	31	2	1	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2127	http://www.npd.no/FactMapSearch?NPDID_wellbore=2127	initial	\N	2127	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
6407/9-A-55 AH	6407/9-A-55	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	1993-04-27	1993-06-07	DRAUGEN	804-P	6407/9-1 DRAUGEN	NO	25.000000	\N	2050.000000	287.000000	NORWEGIAN SEA	WEST DELTA	SEMISUB STEEL	DRAUGEN	8	NO	OIL	1993	1993	6407/9-5	50	ED50	64	16	42.35	N	7	44	14.66	E	64.278431	7.737406	7128824.580000	438858.990000	32	6407	9	A	55	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2129	http://www.npd.no/FactMapSearch?NPDID_wellbore=2129	sidetrack	6407/9-A-55 H	2129	44888	43758	9999-12-31	21548	287821	272393	492	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
25/4-A-12	25/4-A-12	Elf Petroleum Norge AS	ELF	036	PRODUCTION	GAS	DEVELOPMENT	1993-05-09	1993-11-18	HEIMDAL	805-P	25/4-1 HEIMDAL	NO	57.500000	\N	3425.000000	120.200000	NORTH SEA	HEIMDAL	JACKET 8 LEGS	HEIMDAL	2-A	NO	GAS	1993	1993	\N	90	ED50	59	34	27.41	N	2	13	44.08	E	59.574281	2.228911	6604407.590000	456437.540000	31	25	4	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2130	http://www.npd.no/FactMapSearch?NPDID_wellbore=2130	initial	\N	2130	44252	43590	9999-12-31	21076	271777	271777	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7/12-A-11	7/12-A-11	BP Norway Limited  U.A.	BP	019	INJECTION	WATER	DEVELOPMENT	1993-06-02	1993-11-13	ULA	810-P	7/12-2 ULA	NO	57.000000	\N	6480.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER	1993	1993	\N	173	ED50	57	6	41.10	N	2	50	50.80	E	57.111417	2.847444	6329940.780000	490759.830000	31	7	12	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2132	http://www.npd.no/FactMapSearch?NPDID_wellbore=2132	initial	\N	2132	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/6-C-21	30/6-C-21	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1993-06-10	1993-09-23	OSEBERG	812-P	30/6-1 OSEBERG	NO	62.000000	\N	6815.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1993	1993	\N	50	ED50	60	36	29.37	N	2	46	32.86	E	60.608158	2.775794	6719322.890000	487723.970000	31	30	6	C	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2133	http://www.npd.no/FactMapSearch?NPDID_wellbore=2133	initial	\N	2133	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-20 B	30/6-C-20	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1993-05-07	1993-07-27	OSEBERG	808-P	30/6-1 OSEBERG	NO	62.000000	\N	6183.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1993	1993	\N	50	ED50	60	36	29.25	N	2	46	33.39	E	60.608125	2.775942	6719319.150000	487732.020000	31	30	6	C	20	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2137	http://www.npd.no/FactMapSearch?NPDID_wellbore=2137	sidetrack	30/6-C-20 A	2137	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/5-A-1	25/5-A-1	Elf Petroleum Norge AS	ELF	102	PRODUCTION	OIL	DEVELOPMENT	1993-05-16	1994-03-26	FRØY	813-P	25/5-1 FRØY	NO	23.000000	\N	3400.000000	120.000000	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	FRØY	9	NO	OIL	1993	1994	\N	50	ED50	59	44	3.64	N	2	33	28.15	E	59.734344	2.557819	6622063.450000	475137.610000	31	25	5	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2138	http://www.npd.no/FactMapSearch?NPDID_wellbore=2138	initial	\N	2138	44264	43597	9999-12-31	21620	296326	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/1-A-18	2/1-A-18	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1993-05-22	1993-09-17	GYDA	815-P	2/1-3 GYDA	NO	56.000000	\N	4830.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1993	1993	\N	50	ED50	56	54	17.37	N	3	5	6.51	E	56.904825	3.085142	6306935.890000	505185.630000	31	2	1	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2140	http://www.npd.no/FactMapSearch?NPDID_wellbore=2140	initial	\N	2140	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
6407/9-B-1 H	6407/9-B-1	A/S Norske Shell	SHELL	093	INJECTION	WATER	DEVELOPMENT	1993-08-09	1993-08-26	DRAUGEN	832-P	6407/9-1 DRAUGEN	NO	25.000000	\N	2130.000000	236.000000	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	DRAUGEN B	8	NO	WATER	1993	1993	\N	173	ED50	64	24	0.86	N	7	47	45.32	E	64.400239	7.795922	7142342.440000	441949.530000	32	6407	9	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2142	http://www.npd.no/FactMapSearch?NPDID_wellbore=2142	initial	\N	2142	44888	43758	9999-12-31	21548	290980	277853	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6407/9-B-2 H	6407/9-B-2	A/S Norske Shell	SHELL	093	INJECTION	WATER	DEVELOPMENT	1994-03-22	1994-04-08	DRAUGEN	888-P	6407/9-1 DRAUGEN	NO	25.000000	\N	2280.000000	236.000000	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	DRAUGEN B	8	NO	WATER	1994	1994	\N	173	ED50	64	24	0.84	N	7	47	44.98	E	64.400233	7.795828	7142341.910000	441944.960000	32	6407	9	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2143	http://www.npd.no/FactMapSearch?NPDID_wellbore=2143	initial	\N	2143	44888	43758	9999-12-31	21548	290980	277853	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6407/9-B-5 H	6407/9-B-5	A/S Norske Shell	SHELL	093	INJECTION	WATER	DEVELOPMENT	1994-04-10	1994-05-15	DRAUGEN	908-P	6407/9-1 DRAUGEN	NO	25.000000	\N	2811.000000	236.000000	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	DRAUGEN B	8	NO	WATER	1994	1994	\N	173	ED50	64	24	1.06	N	7	47	44.91	E	64.400294	7.795808	7142348.730000	441944.150000	32	6407	9	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2144	http://www.npd.no/FactMapSearch?NPDID_wellbore=2144	initial	\N	2144	44888	43758	9999-12-31	21548	290980	277853	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
30/6-C-2	30/6-C-2	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	WATER	DEVELOPMENT	1994-08-30	1994-09-22	OSEBERG	947-P	30/6-1 OSEBERG	NO	62.000000	\N	4920.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	WATER	1994	1994	\N	173	ED50	60	36	29.62	N	2	46	33.62	E	60.608228	2.776006	6719330.580000	487735.550000	31	30	6	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2146	http://www.npd.no/FactMapSearch?NPDID_wellbore=2146	initial	\N	2146	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-14	30/9-B-14	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-04-24	1996-05-18	OSEBERG	1142-P	30/6-1 OSEBERG	NO	58.000000	\N	4223.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	60	29	36.24	N	2	49	42.55	E	60.493400	2.828486	6706532.240000	490575.700000	31	30	9	B	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2148	http://www.npd.no/FactMapSearch?NPDID_wellbore=2148	initial	\N	2148	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-A-10 B	2/8-A-10	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1993-09-22	1994-01-07	VALHALL	828-P	2/8-6 VALHALL	NO	44.000000	\N	4588.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1993	1994	\N	50	ED50	56	16	40.87	N	3	23	43.43	E	56.278019	3.395397	6237231.630000	524483.870000	31	2	8	A	10	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2150	http://www.npd.no/FactMapSearch?NPDID_wellbore=2150	sidetrack	2/8-A-10 A	2150	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
6407/9-A-58 H	6407/9-A-58	A/S Norske Shell	SHELL	093	INJECTION	GAS	DEVELOPMENT	1993-06-09	1993-06-23	DRAUGEN	816-P	6407/9-1 DRAUGEN	NO	25.000000	\N	2093.000000	230.000000	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	6407/9-A-58 H	8	NO	GAS	1993	1993	6407/9-8	91	ED50	64	23	7.69	N	7	57	37.47	E	64.385469	7.960408	7140556.610000	449852.140000	32	6407	9	A	58	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2151	http://www.npd.no/FactMapSearch?NPDID_wellbore=2151	initial	\N	2151	44888	43758	9999-12-31	21548	290980	285749	1974	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-B-1 A	2/4-B-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-08-30	1993-11-04	EKOFISK	818-P	2/4-2 EKOFISK	NO	33.000000	\N	3566.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1993	1993	\N	50	ED50	56	33	54.86	N	3	12	14.26	E	56.565239	3.203961	6269150.220000	512534.930000	31	2	4	B	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2152	http://www.npd.no/FactMapSearch?NPDID_wellbore=2152	sidetrack	2/4-B-1	2152	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-M-1 H	33/9-M-1	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1993-07-07	1994-07-05	STATFJORD ØST	824-P	33/9-7 STATFJORD ØST	NO	22.000000	\N	2730.000000	196.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD ØST M	Awarded additionaly to round 2-A	NO	OIL	1993	1994	\N	71	ED50	61	20	28.12	N	1	59	58.84	E	61.341144	1.999678	6801358.520000	446476.710000	31	33	9	M	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2154	http://www.npd.no/FactMapSearch?NPDID_wellbore=2154	initial	\N	2154	44582	43672	9999-12-31	21084	296218	278021	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-M-2 H	33/9-M-2	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1993-08-13	1994-08-01	STATFJORD ØST	831-P	33/9-7 STATFJORD ØST	NO	22.000000	\N	4330.000000	196.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD ØST M	Awarded additionaly to round 2-A	NO	OIL	1993	1994	\N	71	ED50	61	20	28.52	N	1	59	59.63	E	61.341256	1.999897	6801370.710000	446488.640000	31	33	9	M	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2155	http://www.npd.no/FactMapSearch?NPDID_wellbore=2155	initial	\N	2155	44582	43672	9999-12-31	21084	296218	278021	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-M-4 H	33/9-M-4	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1996-03-25	1996-04-18	STATFJORD ØST	1125-P	33/9-7 STATFJORD ØST	NO	22.000000	\N	3632.000000	196.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD ØST M	Awarded additionaly to round 2-A	NO	OIL	1996	1996	\N	71	ED50	61	20	27.97	N	1	59	59.27	E	61.341103	1.999797	6801353.780000	446483.030000	31	33	9	M	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2156	http://www.npd.no/FactMapSearch?NPDID_wellbore=2156	initial	\N	2156	44582	43672	9999-12-31	21084	296218	278021	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-28	34/10-B-28	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1993-07-01	1993-10-19	GULLFAKS	820-P	34/10-1 GULLFAKS	NO	81.000000	\N	4891.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1993	1993	\N	50	ED50	61	12	11.23	N	2	12	4.93	E	61.203119	2.201369	6785835.510000	457080.080000	31	34	10	B	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2157	http://www.npd.no/FactMapSearch?NPDID_wellbore=2157	initial	\N	2157	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/5-A-2	25/5-A-2	Elf Petroleum Norge AS	ELF	102	INJECTION	\N	DEVELOPMENT	1993-07-14	1993-10-01	FRØY	823-P	25/5-1 FRØY	NO	23.000000	\N	4084.000000	120.000000	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	FRØY	9	NO	WATER	1993	1993	\N	72	ED50	59	44	3.38	N	2	33	27.86	E	59.734272	2.557739	6622055.430000	475133.020000	31	25	5	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2158	http://www.npd.no/FactMapSearch?NPDID_wellbore=2158	initial	\N	2158	44264	43597	9999-12-31	21620	296326	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
30/9-B-11	30/9-B-11	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1993-08-11	1993-09-19	OSEBERG	826-P	30/6-1 OSEBERG	NO	58.000000	\N	5469.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1993	1993	\N	99	ED50	60	29	36.38	N	2	49	43.02	E	60.493439	2.828617	6706536.550000	490582.880000	31	30	9	B	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2165	http://www.npd.no/FactMapSearch?NPDID_wellbore=2165	initial	\N	2165	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/1-A-30	2/1-A-30	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1993-07-22	1993-11-21	GYDA	827-P	2/1-3 GYDA	NO	56.000000	\N	5699.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1993	1993	\N	50	ED50	56	54	17.19	N	3	5	6.19	E	56.904775	3.085053	6306930.320000	505180.220000	31	2	1	A	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2166	http://www.npd.no/FactMapSearch?NPDID_wellbore=2166	initial	\N	2166	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/9-B-5 B	30/9-B-5	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1993-07-03	1993-07-09	OSEBERG	821-P	30/6-1 OSEBERG	NO	59.000000	\N	4120.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1993	1993	\N	99	ED50	60	29	36.47	N	2	49	42.98	E	60.493464	2.828606	6706539.340000	490582.280000	31	30	9	B	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2168	http://www.npd.no/FactMapSearch?NPDID_wellbore=2168	sidetrack	30/9-B-5 A	2168	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-29	34/10-B-29	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1993-10-20	1993-12-09	GULLFAKS	854-P	34/10-1 GULLFAKS	NO	81.000000	\N	5580.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	NOT APPLICABLE	1993	1993	\N	99	ED50	61	12	9.86	N	2	12	6.02	E	61.202739	2.201672	6785792.920000	457095.830000	31	34	10	B	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2169	http://www.npd.no/FactMapSearch?NPDID_wellbore=2169	initial	\N	2169	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-29 A	34/10-B-29	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1993-12-10	1993-12-26	GULLFAKS	860-P	34/10-1 GULLFAKS	NO	81.000000	\N	5169.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	NOT APPLICABLE	1993	1993	\N	99	ED50	61	12	9.86	N	2	12	6.02	E	61.202739	2.201672	6785792.920000	457095.830000	31	34	10	B	29	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2170	http://www.npd.no/FactMapSearch?NPDID_wellbore=2170	sidetrack	34/10-B-29	2170	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-I-5 H	34/7-I-5	Saga Petroleum ASA	SAGA	089	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1993-08-03	1993-10-14	TORDIS	829-P	34/7-12 TORDIS	NO	25.000000	\N	3137.000000	200.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	34/7-I-5 H	8	NO	NOT APPLICABLE	1993	1993	\N	99	ED50	61	16	35.24	N	2	7	3.63	E	61.276456	2.117675	6794061.970000	452692.640000	31	34	7	I	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2171	http://www.npd.no/FactMapSearch?NPDID_wellbore=2171	initial	\N	2171	44666	43725	9999-12-31	21516	297028	281717	0	SAGA	2012-07-25	2012-07-25	2013-05-08
30/9-B-5 C	30/9-B-5	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	1993-07-10	1993-08-11	OSEBERG	822-P	30/6-1 OSEBERG	NO	59.000000	\N	5287.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1993	1993	\N	71	ED50	60	29	36.47	N	2	49	42.98	E	60.493464	2.828606	6706539.340000	490582.280000	31	30	9	B	5	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2172	http://www.npd.no/FactMapSearch?NPDID_wellbore=2172	sidetrack	30/9-B-5 B	2172	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-I-1 H	34/7-I-1	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1993-10-15	1994-06-01	TORDIS	839-P	34/7-12 TORDIS	NO	25.000000	\N	3314.000000	200.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	34/7-I-1 H	8	NO	OIL	1993	1994	\N	50	ED50	61	16	31.90	N	2	7	10.60	E	61.275528	2.119611	6793957.220000	452795.050000	31	34	7	I	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2173	http://www.npd.no/FactMapSearch?NPDID_wellbore=2173	initial	\N	2173	44666	43725	9999-12-31	21516	297028	281577	0	SAGA	2012-07-25	2012-07-25	2013-05-08
15/9-A-10	15/9-A-10	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1993-08-05	1993-09-14	SLEIPNER ØST	830-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	2648.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1993	1993	\N	90	ED50	58	22	2.60	N	1	54	29.99	E	58.367389	1.908331	6470279.770000	436133.090000	31	15	9	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2174	http://www.npd.no/FactMapSearch?NPDID_wellbore=2174	initial	\N	2174	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-19	34/10-C-19	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1993-09-30	1993-12-09	GULLFAKS	833-P	34/10-1 GULLFAKS	NO	84.000000	\N	5550.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1993	1993	\N	50	ED50	61	12	54.86	N	2	16	26.10	E	61.215239	2.273917	6787140.010000	460993.780000	31	34	10	C	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2175	http://www.npd.no/FactMapSearch?NPDID_wellbore=2175	initial	\N	2175	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-A-21 A	2/4-A-21	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-08-31	1993-11-24	EKOFISK	834-P	2/4-2 EKOFISK	NO	33.000000	\N	5528.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1993	1993	\N	50	ED50	56	31	15.21	N	3	13	22.67	E	56.520892	3.222964	6264217.500000	513718.820000	31	2	4	A	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2176	http://www.npd.no/FactMapSearch?NPDID_wellbore=2176	sidetrack	2/4-A-21	2176	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-12 A	2/7-B-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-09-28	1993-11-19	ELDFISK	836-P	2/7-1 ELDFISK	NO	44.000000	\N	3275.000000	71.300000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1993	1993	\N	50	ED50	56	25	8.98	N	3	13	5.53	E	56.419161	3.218203	6252892.930000	513461.820000	31	2	7	B	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2178	http://www.npd.no/FactMapSearch?NPDID_wellbore=2178	sidetrack	2/7-B-12	2178	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-C-18	34/10-C-18	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	WATER	DEVELOPMENT	1993-12-15	1994-02-19	GULLFAKS	837-P	34/10-1 GULLFAKS	NO	84.000000	\N	3280.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1993	1994	\N	173	ED50	61	12	53.42	N	2	16	27.84	E	61.214839	2.274400	6787095.160000	461019.250000	31	34	10	C	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2184	http://www.npd.no/FactMapSearch?NPDID_wellbore=2184	initial	\N	2184	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-09-18	2012-09-18	2013-05-08
30/6-C-18	30/6-C-18	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1993-09-22	1993-10-28	OSEBERG	841-P	30/6-1 OSEBERG	NO	62.000000	\N	4926.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1993	1993	\N	99	ED50	60	36	29.37	N	2	46	33.13	E	60.608158	2.775869	6719322.870000	487728.080000	31	30	6	C	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2196	http://www.npd.no/FactMapSearch?NPDID_wellbore=2196	initial	\N	2196	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-18 A	30/6-C-18	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1993-10-28	1993-12-03	OSEBERG	858-P	30/6-1 OSEBERG	NO	62.000000	\N	6339.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1993	1993	\N	50	ED50	60	36	29.37	N	2	46	33.13	E	60.608158	2.775869	6719322.870000	487728.080000	31	30	6	C	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2197	http://www.npd.no/FactMapSearch?NPDID_wellbore=2197	sidetrack	30/6-C-18	2197	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/5-A-3	25/5-A-3	Elf Petroleum Norge AS	ELF	102	INJECTION	WATER	DEVELOPMENT	1993-10-01	1993-12-23	FRØY	842-P	25/5-1 FRØY	NO	23.000000	\N	3675.000000	120.000000	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	FRØY	9	NO	WATER	1993	1993	\N	173	ED50	59	44	3.00	N	2	33	28.00	E	59.734167	2.557778	6622043.670000	475135.130000	31	25	5	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2198	http://www.npd.no/FactMapSearch?NPDID_wellbore=2198	initial	\N	2198	44264	43597	9999-12-31	21620	296326	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
15/9-A-6	15/9-A-6	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1993-09-14	1993-11-05	SLEIPNER ØST	838-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	2884.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1993	1993	\N	90	ED50	58	22	2.64	N	1	54	29.86	E	58.367400	1.908294	6470281.040000	436131.000000	31	15	9	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2199	http://www.npd.no/FactMapSearch?NPDID_wellbore=2199	initial	\N	2199	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-18	30/3-A-18	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	\N	DEVELOPMENT	1993-10-03	1993-11-06	VESLEFRIKK	846-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3819.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER	1993	1993	\N	72	ED50	60	46	57.87	N	2	53	52.59	E	60.782742	2.897942	6738752.120000	494442.150000	31	30	3	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2200	http://www.npd.no/FactMapSearch?NPDID_wellbore=2200	initial	\N	2200	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-27 A	33/9-A-27	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1993-10-21	1994-03-09	STATFJORD	845-P	33/12-1 STATFJORD	NO	64.400000	\N	5406.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1993	1994	\N	71	ED50	61	15	19.89	N	1	51	14.17	E	61.255525	1.853936	6791950.200000	438511.840000	31	33	9	A	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2201	http://www.npd.no/FactMapSearch?NPDID_wellbore=2201	sidetrack	33/9-A-27	2201	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-29	6507/7-A-29	Conoco Norway Inc.	CONOCO	095	PRODUCTION	OIL	DEVELOPMENT	1993-11-12	1993-12-13	HEIDRUN	844-P	6507/7-2 HEIDRUN	NO	23.000000	\N	3140.000000	346.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN	8	NO	OIL	1993	1993	\N	50	ED50	65	19	32.77	N	7	19	3.64	E	65.325769	7.317678	7245989.160000	421638.080000	32	6507	7	A	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2202	http://www.npd.no/FactMapSearch?NPDID_wellbore=2202	initial	\N	2202	44930	43771	9999-12-31	21564	296677	272421	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
6407/9-C-2 H	6407/9-C-2	A/S Norske Shell	SHELL	093	INJECTION	WATER	DEVELOPMENT	1993-10-24	1994-01-07	DRAUGEN	855-P	6407/9-1 DRAUGEN	NO	25.000000	\N	2153.000000	276.000000	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	DRAUGEN C	8	NO	WATER	1993	1994	\N	173	ED50	64	18	38.45	N	7	44	18.31	E	64.310681	7.738419	7132417.070000	438979.390000	32	6407	9	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2203	http://www.npd.no/FactMapSearch?NPDID_wellbore=2203	initial	\N	2203	44888	43758	9999-12-31	21548	290980	356244	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-C-13 A	2/4-C-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-11-03	1994-01-01	EKOFISK	847-P	2/4-2 EKOFISK	NO	37.000000	\N	3511.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1993	1994	\N	50	ED50	56	32	52.76	N	3	12	55.98	E	56.547989	3.215550	6267232.270000	513253.180000	31	2	4	C	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2204	http://www.npd.no/FactMapSearch?NPDID_wellbore=2204	sidetrack	2/4-C-13	2204	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-L-3 H	33/9-L-3	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1993-10-10	1993-11-20	STATFJORD ØST	848-P	33/9-7 STATFJORD ØST	NO	22.000000	\N	3411.000000	153.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD ØST L	Awarded additionaly to round 2-A	NO	OIL	1993	1993	\N	50	ED50	61	19	45.85	N	1	59	11.48	E	61.329403	1.986522	6800061.520000	445752.550000	31	33	9	L	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2206	http://www.npd.no/FactMapSearch?NPDID_wellbore=2206	initial	\N	2206	44582	43672	9999-12-31	21084	296218	277993	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-1 A	2/8-A-1	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1993-10-09	1993-11-22	VALHALL	852-P	2/8-6 VALHALL	NO	44.000000	\N	2528.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1993	1993	\N	50	ED50	56	16	41.07	N	3	23	43.94	E	56.278075	3.395539	6237237.870000	524492.600000	31	2	8	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2208	http://www.npd.no/FactMapSearch?NPDID_wellbore=2208	sidetrack	2/8-A-1	2208	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
33/9-L-2 H	33/9-L-2	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-07-04	1996-08-12	STATFJORD ØST	1166-P	33/9-7 STATFJORD ØST	NO	22.000000	\N	2853.000000	153.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD ØST L	Awarded additionaly to round 2-A	NO	OIL	1996	1996	\N	50	ED50	61	19	46.02	N	1	59	11.05	E	61.329450	1.986403	6800066.880000	445746.240000	31	33	9	L	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2209	http://www.npd.no/FactMapSearch?NPDID_wellbore=2209	initial	\N	2209	44582	43672	9999-12-31	21084	296218	277993	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-L-4 H	33/9-L-4	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1993-11-22	1993-12-15	STATFJORD ØST	862-P	33/9-7 STATFJORD ØST	NO	22.000000	\N	3050.000000	153.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD ØST L	Awarded additionaly to round 2-A	NO	OIL	1993	1993	\N	50	ED50	61	19	45.47	N	1	59	10.68	E	61.329297	1.986300	6800049.950000	445740.470000	31	33	9	L	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2210	http://www.npd.no/FactMapSearch?NPDID_wellbore=2210	initial	\N	2210	44582	43672	9999-12-31	21084	296218	277993	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-16	33/12-B-16	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1993-10-13	1993-11-20	STATFJORD	850-P	33/12-1 STATFJORD	NO	77.800000	\N	3285.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1993	1993	\N	71	ED50	61	12	25.05	N	1	49	52.20	E	61.206958	1.831167	6786562.440000	437193.560000	31	33	12	B	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2211	http://www.npd.no/FactMapSearch?NPDID_wellbore=2211	initial	\N	2211	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-35	30/9-B-35	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1993-10-11	1993-12-18	OSEBERG	851-P	30/6-1 OSEBERG	NO	58.000000	\N	6770.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1993	1993	\N	50	ED50	60	29	36.03	N	2	49	43.16	E	60.493342	2.828656	6706525.720000	490584.990000	31	30	9	B	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2212	http://www.npd.no/FactMapSearch?NPDID_wellbore=2212	initial	\N	2212	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-B-21 A	2/4-B-21	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1993-12-02	1994-01-07	EKOFISK	853-P	2/4-2 EKOFISK	NO	33.000000	\N	3590.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1993	1994	\N	50	ED50	56	33	54.91	N	3	12	13.47	E	56.565253	3.203742	6269151.720000	512521.440000	31	2	4	B	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2213	http://www.npd.no/FactMapSearch?NPDID_wellbore=2213	sidetrack	2/4-B-21	2213	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/1-A-11	2/1-A-11	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1994-08-25	1994-10-16	GYDA	951-P	2/1-3 GYDA	NO	56.000000	\N	4801.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	1994	1994	\N	173	ED50	56	54	17.55	N	3	5	6.61	E	56.904875	3.085169	6306941.460000	505187.310000	31	2	1	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2214	http://www.npd.no/FactMapSearch?NPDID_wellbore=2214	initial	\N	2214	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
34/10-B-30	34/10-B-30	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1994-01-07	1994-06-17	GULLFAKS	882-P	34/10-1 GULLFAKS	NO	81.000000	\N	4023.000000	143.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1994	1994	\N	50	ED50	61	12	11.12	N	2	12	4.87	E	61.203089	2.201353	6785832.110000	457079.140000	31	34	10	B	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2215	http://www.npd.no/FactMapSearch?NPDID_wellbore=2215	initial	\N	2215	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-32 B	34/10-A-32	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1993-10-04	1993-10-28	GULLFAKS	849-P	34/10-1 GULLFAKS	NO	82.000000	\N	3192.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1993	1993	\N	50	ED50	61	10	34.80	N	2	11	21.57	E	61.176333	2.189325	6782859.860000	456395.820000	31	34	10	A	32	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2216	http://www.npd.no/FactMapSearch?NPDID_wellbore=2216	sidetrack	34/10-A-32 A	2216	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-29 A	34/10-A-29	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2003-11-06	2003-11-22	GULLFAKS	2339-P	34/10-1 GULLFAKS	NO	82.200000	\N	3774.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	50	ED50	61	10	33.70	N	2	11	22.63	E	61.176028	2.189619	6782825.630000	456411.230000	31	34	10	A	29	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2217	http://www.npd.no/FactMapSearch?NPDID_wellbore=2217	sidetrack	34/10-A-29	2217	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/9-A-28	15/9-A-28	Den norske stats oljeselskap a.s	STATOIL	046	INJECTION	GAS	DEVELOPMENT	1993-11-05	1994-01-01	SLEIPNER ØST	856-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	3280.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1993	1994	\N	91	ED50	58	22	2.05	N	1	54	32.24	E	58.367236	1.908956	6470262.170000	436169.380000	31	15	9	A	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2218	http://www.npd.no/FactMapSearch?NPDID_wellbore=2218	initial	\N	2218	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/9-C-1 H	6407/9-C-1	A/S Norske Shell	SHELL	093	INJECTION	WATER	DEVELOPMENT	1993-11-11	1994-01-20	DRAUGEN	861-P	6407/9-1 DRAUGEN	NO	25.000000	\N	2730.000000	276.000000	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	DRAUGEN C	8	NO	WATER	1993	1994	\N	173	ED50	64	18	38.48	N	7	44	18.65	E	64.310689	7.738514	7132417.910000	438983.970000	32	6407	9	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2219	http://www.npd.no/FactMapSearch?NPDID_wellbore=2219	initial	\N	2219	44888	43758	9999-12-31	21548	290980	356244	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
30/3-A-19	30/3-A-19	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1993-11-09	1994-01-02	VESLEFRIKK	859-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3510.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1993	1994	\N	50	ED50	60	46	57.92	N	2	53	52.27	E	60.782756	2.897853	6738753.670000	494437.310000	31	30	3	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2221	http://www.npd.no/FactMapSearch?NPDID_wellbore=2221	initial	\N	2221	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/5-A-4	25/5-A-4	Elf Petroleum Norge AS	ELF	102	PRODUCTION	OIL	DEVELOPMENT	1993-12-23	1994-03-03	FRØY	864-P	25/5-1 FRØY	NO	23.000000	\N	3810.000000	120.000000	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	FRØY	9	NO	OIL	1993	1994	\N	50	ED50	59	44	3.35	N	2	33	27.96	E	59.734264	2.557767	6622054.500000	475134.580000	31	25	5	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2243	http://www.npd.no/FactMapSearch?NPDID_wellbore=2243	initial	\N	2243	44264	43597	9999-12-31	21620	296326	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/7-P-12	34/7-P-12	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1994-01-18	1994-04-08	SNORRE	866-P	34/4-1 SNORRE	NO	59.000000	\N	4114.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	1994	1994	\N	173	ED50	61	26	57.08	N	2	8	36.82	E	61.449189	2.143561	6813284.040000	454332.950000	31	34	7	P	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2246	http://www.npd.no/FactMapSearch?NPDID_wellbore=2246	initial	\N	2246	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-I-3 H	34/7-I-3	Saga Petroleum ASA	SAGA	089	PRODUCTION	\N	DEVELOPMENT	1993-12-26	1994-07-19	TORDIS	871-P	34/7-12 TORDIS	NO	25.000000	\N	2825.000000	200.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	34/7-I-5 H	8	NO	OIL	1993	1994	\N	71	ED50	61	16	34.23	N	2	7	1.68	E	61.276175	2.117133	6794031.110000	452663.180000	31	34	7	I	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2247	http://www.npd.no/FactMapSearch?NPDID_wellbore=2247	initial	\N	2247	44666	43725	9999-12-31	21516	297028	281717	0	SAGA	2012-07-25	2012-07-25	2013-05-08
33/12-B-15	33/12-B-15	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1994-01-12	1994-03-19	STATFJORD	870-P	33/12-1 STATFJORD	NO	77.800000	\N	5090.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1994	1994	\N	50	ED50	61	12	25.09	N	1	49	52.06	E	61.206969	1.831128	6786563.720000	437191.500000	31	33	12	B	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2249	http://www.npd.no/FactMapSearch?NPDID_wellbore=2249	initial	\N	2249	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-16 A	33/12-B-16	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1993-11-20	1994-01-10	STATFJORD	863-P	33/12-1 STATFJORD	NO	77.800000	\N	3642.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1993	1994	\N	50	ED50	61	12	25.05	N	1	49	52.20	E	61.206958	1.831167	6786562.440000	437193.560000	31	33	12	B	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2251	http://www.npd.no/FactMapSearch?NPDID_wellbore=2251	sidetrack	33/12-B-16	2251	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-35	6507/7-A-35	Conoco Norway Inc.	CONOCO	095	PRODUCTION	OIL	DEVELOPMENT	1993-12-13	1994-01-11	HEIDRUN	869-P	6507/7-2 HEIDRUN	NO	23.000000	\N	3684.000000	345.600000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN	8	NO	OIL	1993	1994	\N	50	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	6507	7	A	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2252	http://www.npd.no/FactMapSearch?NPDID_wellbore=2252	initial	\N	2252	44930	43771	9999-12-31	21564	296677	272421	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
6407/9-A-1	6407/9-A-1	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	1994-03-07	1994-05-23	DRAUGEN	876-P	6407/9-1 DRAUGEN	NO	63.000000	\N	2693.000000	253.000000	NORWEGIAN SEA	DRAUGEN	CONDEEP MONOSHAFT	DRAUGEN	8	NO	OIL	1994	1994	\N	50	ED50	64	21	11.57	N	7	46	57.65	E	64.353214	7.782681	7137114.710000	441210.790000	32	6407	9	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2254	http://www.npd.no/FactMapSearch?NPDID_wellbore=2254	initial	\N	2254	44888	43758	9999-12-31	21548	272393	272393	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
30/6-C-22	30/6-C-22	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	GAS	DEVELOPMENT	1993-12-04	1994-01-19	OSEBERG	867-P	30/6-1 OSEBERG	NO	62.000000	\N	4300.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	GAS	1993	1994	\N	91	ED50	60	36	29.31	N	2	46	33.01	E	60.608142	2.775836	6719321.020000	487726.240000	31	30	6	C	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2257	http://www.npd.no/FactMapSearch?NPDID_wellbore=2257	initial	\N	2257	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-B-19 A	2/7-B-19	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-01-23	1994-04-17	ELDFISK	874-P	2/7-1 ELDFISK	NO	42.000000	\N	4391.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1994	1994	\N	50	ED50	56	25	9.17	N	3	13	5.90	E	56.419214	3.218306	6252898.830000	513468.140000	31	2	7	B	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2259	http://www.npd.no/FactMapSearch?NPDID_wellbore=2259	sidetrack	2/7-B-19	2259	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-K-3 H	33/9-K-3	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1994-01-06	1994-04-05	STATFJORD ØST	880-P	33/9-7 STATFJORD ØST	NO	22.000000	\N	3872.000000	156.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD ØST K	Awarded additionaly to round 2-A	NO	WATER	1994	1994	\N	173	ED50	61	20	38.20	N	1	58	22.51	E	61.343944	1.972919	6801692.630000	445049.970000	31	33	9	K	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2260	http://www.npd.no/FactMapSearch?NPDID_wellbore=2260	initial	\N	2260	44582	43672	9999-12-31	21084	296218	277909	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-K-2 H	33/9-K-2	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1994-02-04	1994-03-30	STATFJORD ØST	884-P	33/9-7 STATFJORD ØST	NO	22.000000	\N	3390.000000	156.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD ØST K	Awarded additionaly to round 2-A	NO	WATER	1994	1994	\N	173	ED50	61	20	38.37	N	1	58	22.08	E	61.343992	1.972800	6801697.990000	445043.660000	31	33	9	K	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2261	http://www.npd.no/FactMapSearch?NPDID_wellbore=2261	initial	\N	2261	44582	43672	9999-12-31	21084	296218	277909	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-K-1 H	33/9-K-1	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	\N	DEVELOPMENT	1994-04-07	1994-04-25	STATFJORD ØST	903-P	33/9-7 STATFJORD ØST	NO	22.000000	\N	5310.000000	156.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD ØST K	Awarded additionaly to round 2-A	NO	WATER	1994	1994	\N	72	ED50	61	20	37.98	N	1	58	21.27	E	61.343883	1.972575	6801686.110000	445031.430000	31	33	9	K	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2262	http://www.npd.no/FactMapSearch?NPDID_wellbore=2262	initial	\N	2262	44582	43672	9999-12-31	21084	296218	277909	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-A-30 A	2/1-A-30	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1993-11-21	1994-05-16	GYDA	865-P	2/1-3 GYDA	NO	56.000000	\N	6248.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1993	1994	\N	50	ED50	56	54	17.19	N	3	5	6.19	E	56.904775	3.085053	6306930.320000	505180.220000	31	2	1	A	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2264	http://www.npd.no/FactMapSearch?NPDID_wellbore=2264	sidetrack	2/1-A-30	2264	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
15/9-A-26	15/9-A-26	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1994-01-04	1994-02-15	SLEIPNER ØST	872-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	2864.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1994	1994	\N	90	ED50	58	22	1.94	N	1	54	32.12	E	58.367206	1.908922	6470258.800000	436167.370000	31	15	9	A	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2265	http://www.npd.no/FactMapSearch?NPDID_wellbore=2265	initial	\N	2265	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-20	34/10-C-20	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	1994-04-05	1994-09-26	GULLFAKS	894-P	34/10-1 GULLFAKS	NO	84.000000	\N	5334.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1994	1994	\N	71	ED50	61	12	53.39	N	2	16	28.06	E	61.214831	2.274461	6787094.200000	461022.520000	31	34	10	C	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2266	http://www.npd.no/FactMapSearch?NPDID_wellbore=2266	initial	\N	2266	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-30	30/9-B-30	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	\N	DEVELOPMENT	1993-12-03	1994-09-17	OSEBERG	868-P	30/6-1 OSEBERG	NO	58.000000	\N	7623.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	WATER	1993	1994	\N	72	ED50	60	29	36.13	N	2	49	43.29	E	60.493369	2.828692	6706528.810000	490586.980000	31	30	9	B	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2267	http://www.npd.no/FactMapSearch?NPDID_wellbore=2267	initial	\N	2267	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-48	30/9-B-48	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	WATER	DEVELOPMENT	1993-12-22	1994-06-08	OSEBERG	875-P	30/6-1 OSEBERG	NO	58.000000	\N	7265.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	WATER	1993	1994	\N	173	ED50	60	29	35.87	N	2	49	43.40	E	60.493297	2.828722	6706520.760000	490588.640000	31	30	9	B	48	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2268	http://www.npd.no/FactMapSearch?NPDID_wellbore=2268	initial	\N	2268	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-6	30/9-B-6	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-09-25	1994-11-27	OSEBERG	948-P	30/6-1 OSEBERG	NO	58.000000	\N	5977.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	60	29	36.48	N	2	49	43.15	E	60.493467	2.828653	6706539.640000	490584.870000	31	30	9	B	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2270	http://www.npd.no/FactMapSearch?NPDID_wellbore=2270	initial	\N	2270	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-23	31/4-A-23	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	\N	DEVELOPMENT	1993-12-26	1994-02-19	BRAGE	877-P	31/4-3 BRAGE	NO	63.000000	\N	3300.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1993	1994	\N	71	ED50	60	32	33.09	N	3	2	50.86	E	60.542525	3.047461	6711992.510000	502603.940000	31	31	4	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2273	http://www.npd.no/FactMapSearch?NPDID_wellbore=2273	initial	\N	2273	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-C-12 A	2/4-C-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-01-18	1994-03-08	EKOFISK	873-P	2/4-2 EKOFISK	NO	37.000000	\N	3479.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1994	1994	\N	50	ED50	56	32	52.69	N	3	12	55.84	E	56.547969	3.215511	6267230.100000	513250.800000	31	2	4	C	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2274	http://www.npd.no/FactMapSearch?NPDID_wellbore=2274	sidetrack	2/4-C-12	2274	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-B-29 B	34/10-B-29	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1993-12-26	1994-05-03	GULLFAKS	878-P	34/10-1 GULLFAKS	NO	81.000000	\N	6710.000000	144.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1993	1994	\N	50	ED50	61	12	9.86	N	2	12	6.02	E	61.202739	2.201672	6785792.920000	457095.830000	31	34	10	B	29	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2275	http://www.npd.no/FactMapSearch?NPDID_wellbore=2275	sidetrack	34/10-B-29 A	2275	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-24	30/6-C-24	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-01-25	1994-03-27	OSEBERG	881-P	30/6-1 OSEBERG	NO	62.000000	\N	6220.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	60	36	29.18	N	2	46	33.26	E	60.608106	2.775906	6719316.990000	487730.030000	31	30	6	C	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2276	http://www.npd.no/FactMapSearch?NPDID_wellbore=2276	initial	\N	2276	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-24 A	30/6-C-24	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1994-03-28	1994-04-25	OSEBERG	892-P	30/6-1 OSEBERG	NO	62.000000	\N	7785.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1994	1994	\N	50	ED50	60	36	29.18	N	2	46	33.26	E	60.608106	2.775906	6719316.990000	487730.030000	31	30	6	C	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2277	http://www.npd.no/FactMapSearch?NPDID_wellbore=2277	sidetrack	30/6-C-24	2277	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-17	6507/7-A-17	Conoco Norway Inc.	CONOCO	095	PRODUCTION	OIL	DEVELOPMENT	1994-01-11	1994-02-19	HEIDRUN	885-P	6507/7-2 HEIDRUN	NO	23.000000	\N	4246.000000	346.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN	8	NO	OIL	1994	1994	\N	50	ED50	65	19	32.73	N	7	19	2.39	E	65.325758	7.317331	7245988.350000	421621.880000	32	6507	7	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2278	http://www.npd.no/FactMapSearch?NPDID_wellbore=2278	initial	\N	2278	44930	43771	9999-12-31	21564	296677	272421	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
2/4-B-24 A	2/4-B-24	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-01-28	1994-05-05	EKOFISK	883-P	2/4-2 EKOFISK	NO	33.000000	\N	4241.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1994	1994	\N	50	ED50	56	33	54.79	N	3	12	12.96	E	56.565219	3.203600	6269147.990000	512512.750000	31	2	4	B	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2279	http://www.npd.no/FactMapSearch?NPDID_wellbore=2279	sidetrack	2/4-B-24	2279	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-7 B	2/8-A-7	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1994-02-04	1994-05-09	VALHALL	887-P	2/8-6 VALHALL	NO	44.000000	\N	4577.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1994	1994	\N	50	ED50	56	16	40.94	N	3	23	43.68	E	56.278039	3.395467	6237233.820000	524488.160000	31	2	8	A	7	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2283	http://www.npd.no/FactMapSearch?NPDID_wellbore=2283	sidetrack	2/8-A-7 A	2283	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
15/9-A-22	15/9-A-22	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1994-06-01	1994-06-13	SLEIPNER ØST	886-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	2849.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1994	1994	15/9-20 S	90	ED50	58	22	1.98	N	1	54	31.98	E	58.367217	1.908883	6470260.070000	436165.120000	31	15	9	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2286	http://www.npd.no/FactMapSearch?NPDID_wellbore=2286	initial	\N	2286	43946	43478	9999-12-31	21156	272365	272365	2319	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-I-4 H	34/7-I-4	Saga Petroleum ASA	SAGA	089	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-10-21	1994-11-21	TORDIS	953-P	34/7-12 TORDIS	NO	25.000000	\N	2880.000000	200.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	34/7-I-4 H	8	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	61	16	32.84	N	2	7	0.30	E	61.275789	2.116750	6793988.380000	452642.050000	31	34	7	I	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2289	http://www.npd.no/FactMapSearch?NPDID_wellbore=2289	initial	\N	2289	44666	43725	9999-12-31	21516	297028	281689	0	SAGA	2012-07-25	2012-07-25	2013-05-08
6507/7-A-50	6507/7-A-50	Conoco Norway Inc.	CONOCO	095	PRODUCTION	OIL	DEVELOPMENT	1994-02-19	1994-03-16	HEIDRUN	889-P	6507/7-2 HEIDRUN	NO	24.000000	\N	3628.000000	346.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN	8	NO	OIL	1994	1994	\N	50	ED50	65	19	32.36	N	7	19	2.87	E	65.325656	7.317464	7245976.740000	421627.780000	32	6507	7	A	50	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2290	http://www.npd.no/FactMapSearch?NPDID_wellbore=2290	initial	\N	2290	44930	43771	9999-12-31	21564	296677	272421	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
30/3-A-20	30/3-A-20	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1995-02-03	1995-02-04	VESLEFRIKK	1008-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	6085.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1995	1995	30/3-6 S	50	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	30	3	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2291	http://www.npd.no/FactMapSearch?NPDID_wellbore=2291	initial	\N	2291	44378	43618	9999-12-31	21212	277321	277321	2269	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-21	30/3-A-21	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	WATER	DEVELOPMENT	1994-03-19	1994-11-11	VESLEFRIKK	897-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	6118.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER	1994	1994	\N	173	ED50	60	46	57.82	N	2	53	52.27	E	60.782728	2.897853	6738750.580000	494437.310000	31	30	3	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2292	http://www.npd.no/FactMapSearch?NPDID_wellbore=2292	initial	\N	2292	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-08-25	2012-08-25	2013-05-08
31/4-A-7	31/4-A-7	Norsk Hydro Produksjon AS	HYDRO	055	INJECTION	WATER	DEVELOPMENT	1994-02-19	1994-04-15	BRAGE	890-P	31/4-3 BRAGE	NO	63.000000	\N	4835.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	1994	1994	\N	173	ED50	60	32	33.51	N	3	2	50.69	E	60.542642	3.047414	6712005.500000	502601.340000	31	31	4	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2294	http://www.npd.no/FactMapSearch?NPDID_wellbore=2294	initial	\N	2294	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-I-2 H	34/7-I-2	Saga Petroleum ASA	SAGA	089	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-11-22	1995-02-19	TORDIS	981-P	34/7-12 TORDIS	NO	25.000000	\N	3524.000000	200.000000	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	34/7-I-2 H	8	NO	NOT APPLICABLE	1994	1995	\N	99	ED50	61	16	33.36	N	2	7	10.86	E	61.275933	2.119683	6794002.350000	452799.530000	31	34	7	I	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2298	http://www.npd.no/FactMapSearch?NPDID_wellbore=2298	initial	\N	2298	44666	43725	9999-12-31	21516	297028	281605	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-A-42	34/10-A-42	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	GAS	DEVELOPMENT	1994-06-06	1994-09-15	GULLFAKS	921-P	34/10-1 GULLFAKS	NO	82.000000	\N	5334.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	GAS	1994	1994	\N	91	ED50	61	10	34.90	N	2	11	21.26	E	61.176361	2.189239	6782863.010000	456391.220000	31	34	10	A	42	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2301	http://www.npd.no/FactMapSearch?NPDID_wellbore=2301	initial	\N	2301	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-2 A	33/9-A-2	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1994-03-24	1994-05-27	STATFJORD	893-P	33/12-1 STATFJORD	NO	64.400000	\N	5475.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1994	1994	\N	50	ED50	61	15	20.99	N	1	51	15.14	E	61.255831	1.854206	6791983.980000	438526.890000	31	33	9	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2302	http://www.npd.no/FactMapSearch?NPDID_wellbore=2302	sidetrack	33/9-A-2	2302	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-21	34/10-C-21	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1994-02-19	1994-07-11	GULLFAKS	891-P	34/10-1 GULLFAKS	NO	84.000000	\N	2595.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	WATER	1994	1994	\N	173	ED50	61	12	54.58	N	2	16	26.44	E	61.215161	2.274011	6787131.290000	460998.760000	31	34	10	C	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2303	http://www.npd.no/FactMapSearch?NPDID_wellbore=2303	initial	\N	2303	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-38	6507/7-A-38	Conoco Norway Inc.	CONOCO	095	INJECTION	GAS	DEVELOPMENT	1994-03-30	1994-04-27	HEIDRUN	901-P	6507/7-2 HEIDRUN	NO	24.000000	\N	2963.000000	346.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN	8	NO	GAS	1994	1994	\N	91	ED50	65	19	32.68	N	7	19	3.20	E	65.325744	7.317556	7245986.530000	421632.310000	32	6507	7	A	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2305	http://www.npd.no/FactMapSearch?NPDID_wellbore=2305	initial	\N	2305	44930	43771	9999-12-31	21564	296677	272421	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
2/4-A-6 A	2/4-A-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-04-16	1994-05-20	EKOFISK	899-P	2/4-2 EKOFISK	NO	33.000000	\N	3729.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1994	1994	\N	50	ED50	56	31	15.24	N	3	13	22.98	E	56.520900	3.223050	6264218.450000	513724.120000	31	2	4	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2306	http://www.npd.no/FactMapSearch?NPDID_wellbore=2306	sidetrack	2/4-A-6	2306	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/2-G-4 H	31/2-G-4	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-03-18	1994-04-19	TROLL	900-P	31/2-1 TROLL VEST	NO	23.000000	\N	1944.000000	329.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL G	4	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	60	45	9.37	N	3	26	21.77	E	60.752603	3.439381	6735470.890000	523949.940000	31	31	2	G	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2307	http://www.npd.no/FactMapSearch?NPDID_wellbore=2307	initial	\N	2307	44534	46437	9999-12-31	21228	289333	278189	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-C-8 A	2/4-C-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-03-28	1994-04-29	EKOFISK	898-P	2/4-2 EKOFISK	NO	37.000000	\N	3303.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1994	1994	\N	50	ED50	56	32	52.80	N	3	12	55.91	E	56.548000	3.215531	6267233.500000	513251.980000	31	2	4	C	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2308	http://www.npd.no/FactMapSearch?NPDID_wellbore=2308	sidetrack	2/4-C-8	2308	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/2-G-4 AH	31/2-G-4	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1994-08-02	1994-12-20	TROLL	931-P	31/2-1 TROLL VEST	NO	23.000000	\N	3178.000000	329.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL G	4	NO	OIL	1994	1994	\N	50	ED50	60	45	9.37	N	3	26	21.77	E	60.752603	3.439381	6735470.890000	523949.940000	31	31	2	G	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2309	http://www.npd.no/FactMapSearch?NPDID_wellbore=2309	sidetrack	31/2-G-4 H	2309	44534	46437	9999-12-31	21228	289333	278189	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-22	34/10-C-22	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1994-03-01	1994-04-04	GULLFAKS	902-P	34/10-1 GULLFAKS	NO	84.000000	\N	2270.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1994	1994	\N	50	ED50	61	12	54.73	N	2	16	26.65	E	61.215203	2.274069	6787135.890000	461001.940000	31	34	10	C	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2312	http://www.npd.no/FactMapSearch?NPDID_wellbore=2312	initial	\N	2312	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-A-8 A	7/12-A-8	BP Norway Limited  U.A.	BP	019	INJECTION	WATER	DEVELOPMENT	1994-04-13	1994-06-24	ULA	906-P	7/12-2 ULA	NO	57.000000	\N	4450.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER	1994	1994	\N	173	ED50	57	6	41.36	N	2	50	50.57	E	57.111489	2.847381	6329948.830000	490755.980000	31	7	12	A	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2313	http://www.npd.no/FactMapSearch?NPDID_wellbore=2313	sidetrack	7/12-A-8	2313	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
34/10-B-31	34/10-B-31	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1994-09-15	1994-12-14	GULLFAKS	950-P	34/10-1 GULLFAKS	NO	81.000000	\N	4250.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1994	1994	\N	50	ED50	61	12	10.12	N	2	12	6.28	E	61.202811	2.201744	6785800.920000	457099.810000	31	34	10	B	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2314	http://www.npd.no/FactMapSearch?NPDID_wellbore=2314	initial	\N	2314	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-A-24	15/9-A-24	Den norske stats oljeselskap a.s	STATOIL	046	INJECTION	GAS	DEVELOPMENT	1994-03-27	1994-05-21	SLEIPNER ØST	904-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	5175.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1994	1994	\N	91	ED50	58	22	2.12	N	1	54	32.14	E	58.367256	1.908928	6470264.360000	436167.790000	31	15	9	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2316	http://www.npd.no/FactMapSearch?NPDID_wellbore=2316	initial	\N	2316	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-B-22 A	2/4-B-22	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-05-29	1994-07-01	EKOFISK	907-P	2/4-2 EKOFISK	NO	33.000000	\N	3524.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1994	1994	\N	50	ED50	56	33	54.86	N	3	12	13.28	E	56.565239	3.203689	6269150.170000	512518.200000	31	2	4	B	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2318	http://www.npd.no/FactMapSearch?NPDID_wellbore=2318	sidetrack	2/4-B-22	2318	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/11-A-7	2/11-A-7	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	\N	DEVELOPMENT	1994-04-28	1994-06-14	HOD	913-P	2/11-2 HOD	NO	47.000000	\N	3935.000000	72.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	HOD	2-A	NO	\N	1994	1994	\N	71	ED50	56	10	35.49	N	3	27	36.77	E	56.176525	3.460214	6225959.770000	528572.860000	31	2	11	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2321	http://www.npd.no/FactMapSearch?NPDID_wellbore=2321	initial	\N	2321	44000	43485	9999-12-31	21052	278245	272309	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/11-A-7 A	2/11-A-7	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	OIL	DEVELOPMENT	1994-06-14	1994-07-01	HOD	928-P	2/11-2 HOD	NO	47.000000	\N	3935.000000	72.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	HOD	2-A	NO	OIL	1994	1994	\N	50	ED50	56	10	35.49	N	3	27	36.77	E	56.176525	3.460214	6225959.770000	528572.860000	31	2	11	A	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2322	http://www.npd.no/FactMapSearch?NPDID_wellbore=2322	sidetrack	2/11-A-7	2322	44000	43485	9999-12-31	21052	278245	272309	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
31/2-F-6 H	31/2-F-6	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-04-19	1994-05-14	TROLL	911-P	31/2-1 TROLL VEST	NO	23.000000	\N	2150.000000	330.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL F	4	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	60	46	28.14	N	3	26	16.63	E	60.774483	3.437953	6737907.510000	523855.860000	31	31	2	F	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2324	http://www.npd.no/FactMapSearch?NPDID_wellbore=2324	initial	\N	2324	44534	46437	9999-12-31	21228	289333	278161	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-F-6 AH	31/2-F-6	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1995-05-05	1995-06-02	TROLL	1033-P	31/2-1 TROLL VEST	NO	23.000000	\N	3916.000000	330.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL F	4	NO	OIL	1995	1995	\N	50	ED50	60	46	28.14	N	3	26	16.63	E	60.774483	3.437953	6737907.510000	523855.860000	31	31	2	F	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2325	http://www.npd.no/FactMapSearch?NPDID_wellbore=2325	sidetrack	31/2-F-6 H	2325	44534	46437	9999-12-31	21228	289333	278161	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-13	31/4-A-13	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1994-04-16	1994-06-12	BRAGE	909-P	31/4-3 BRAGE	NO	62.600000	\N	3757.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1994	1994	\N	50	ED50	60	32	32.92	N	3	2	50.35	E	60.542478	3.047319	6711987.240000	502596.170000	31	31	4	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2328	http://www.npd.no/FactMapSearch?NPDID_wellbore=2328	initial	\N	2328	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-23	30/6-C-23	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1994-05-02	1994-06-06	OSEBERG	910-P	30/6-1 OSEBERG	NO	62.000000	\N	5472.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1994	1994	\N	50	ED50	60	36	29.24	N	2	46	33.14	E	60.608122	2.775872	6719318.850000	487728.210000	31	30	6	C	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2329	http://www.npd.no/FactMapSearch?NPDID_wellbore=2329	initial	\N	2329	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/11-A-1 B	2/11-A-1	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	OIL	DEVELOPMENT	1994-07-09	1994-07-25	HOD	938-P	2/11-2 HOD	NO	47.000000	\N	3823.000000	72.000000	NORTH SEA	HOD	JACKET 4 LEGS	HOD	2-A	NO	OIL	1994	1994	\N	50	ED50	56	10	35.52	N	3	27	36.22	E	56.176533	3.460061	6225960.630000	528563.360000	31	2	11	A	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2330	http://www.npd.no/FactMapSearch?NPDID_wellbore=2330	sidetrack	2/11-A-1 A	2330	44000	43485	9999-12-31	21052	272309	272309	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-30 A	2/8-A-30	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1994-06-21	1994-08-24	VALHALL	923-P	2/8-6 VALHALL	NO	44.000000	\N	5733.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1994	1994	\N	50	ED50	56	16	40.79	N	3	23	43.73	E	56.277997	3.395481	6237229.190000	524489.040000	31	2	8	A	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2340	http://www.npd.no/FactMapSearch?NPDID_wellbore=2340	sidetrack	2/8-A-30	2340	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-30 B	2/8-A-30	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1994-08-24	1994-09-27	VALHALL	952-P	2/8-6 VALHALL	NO	44.000000	\N	6989.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1994	1994	\N	50	ED50	56	16	40.79	N	3	23	43.73	E	56.277997	3.395481	6237229.190000	524489.040000	31	2	8	A	30	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2341	http://www.npd.no/FactMapSearch?NPDID_wellbore=2341	sidetrack	2/8-A-30 A	2341	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-C-11 A	2/4-C-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-06-01	1994-06-25	EKOFISK	914-P	2/4-2 EKOFISK	NO	37.000000	\N	3360.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1994	1994	\N	50	ED50	56	32	52.66	N	3	12	55.69	E	56.547961	3.215469	6267229.160000	513248.240000	31	2	4	C	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2343	http://www.npd.no/FactMapSearch?NPDID_wellbore=2343	sidetrack	2/4-C-11	2343	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-8 A	2/7-B-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-06-10	1994-09-20	ELDFISK	918-P	2/7-1 ELDFISK	NO	44.000000	\N	4878.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1994	1994	\N	50	ED50	56	25	8.85	N	3	13	5.91	E	56.419125	3.218308	6252888.930000	513468.350000	31	2	7	B	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2344	http://www.npd.no/FactMapSearch?NPDID_wellbore=2344	sidetrack	2/7-B-8	2344	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
15/9-A-9	15/9-A-9	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1994-05-23	1994-06-12	SLEIPNER ØST	915-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	2830.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1994	1994	\N	90	ED50	58	22	2.54	N	1	54	29.89	E	58.367372	1.908303	6470277.940000	436131.440000	31	15	9	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2350	http://www.npd.no/FactMapSearch?NPDID_wellbore=2350	initial	\N	2350	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-K-1 AH	33/9-K-1	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1994-04-25	1994-05-30	STATFJORD ØST	912-P	33/9-7 STATFJORD ØST	NO	22.000000	\N	5211.000000	156.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD ØST K	Awarded additionaly to round 2-A	NO	WATER	1994	1994	\N	173	ED50	61	20	37.98	N	1	58	21.27	E	61.343883	1.972575	6801686.110000	445031.430000	31	33	9	K	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2351	http://www.npd.no/FactMapSearch?NPDID_wellbore=2351	sidetrack	33/9-K-1 H	2351	44582	43672	9999-12-31	21084	296218	277909	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-P-14	34/7-P-14	Saga Petroleum ASA	SAGA	089	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-06-16	1994-07-14	SNORRE	922-P	34/4-1 SNORRE	NO	59.000000	\N	3667.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	61	26	57.08	N	2	8	37.36	E	61.449189	2.143711	6813283.930000	454340.950000	31	34	7	P	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2352	http://www.npd.no/FactMapSearch?NPDID_wellbore=2352	initial	\N	2352	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/1-A-32	2/1-A-32	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1994-05-20	1994-08-21	GYDA	917-P	2/1-3 GYDA	NO	56.000000	\N	5897.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	1994	1994	\N	173	ED50	56	54	17.31	N	3	5	5.95	E	56.904808	3.084986	6306934.020000	505176.150000	31	2	1	A	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2353	http://www.npd.no/FactMapSearch?NPDID_wellbore=2353	initial	\N	2353	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
31/2-G-3 H	31/2-G-3	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1994-05-15	1995-08-16	TROLL	916-P	31/2-1 TROLL VEST	NO	23.000000	\N	3422.000000	328.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL G	4	NO	OIL	1994	1995	\N	50	ED50	60	45	19.16	N	3	26	27.75	E	60.755322	3.441042	6735774.400000	524038.450000	31	31	2	G	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2354	http://www.npd.no/FactMapSearch?NPDID_wellbore=2354	initial	\N	2354	44534	46437	9999-12-31	21228	289333	278189	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/9-A-2 A	6407/9-A-2	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	1994-11-05	1994-12-01	DRAUGEN	974-P	6407/9-1 DRAUGEN	NO	63.000000	\N	2343.000000	253.000000	NORWEGIAN SEA	DRAUGEN	CONDEEP MONOSHAFT	DRAUGEN	8	NO	OIL	1994	1994	\N	50	ED50	64	21	11.57	N	7	46	57.47	E	64.353214	7.782631	7137114.760000	441208.380000	32	6407	9	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2356	http://www.npd.no/FactMapSearch?NPDID_wellbore=2356	sidetrack	6407/9-A-2	2356	44888	43758	9999-12-31	21548	272393	272393	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6407/9-A-2	6407/9-A-2	A/S Norske Shell	SHELL	093	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-09-18	1994-11-04	DRAUGEN	944-P	6407/9-1 DRAUGEN	NO	63.000000	\N	2050.000000	253.000000	NORWEGIAN SEA	DRAUGEN	CONDEEP MONOSHAFT	DRAUGEN	8	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	64	21	11.57	N	7	46	57.47	E	64.353214	7.782631	7137114.760000	441208.380000	32	6407	9	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2357	http://www.npd.no/FactMapSearch?NPDID_wellbore=2357	initial	\N	2357	44888	43758	9999-12-31	21548	272393	272393	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
34/7-I-5 AH	34/7-I-5	Saga Petroleum ASA	SAGA	089	PRODUCTION	\N	DEVELOPMENT	1994-06-18	1994-10-13	TORDIS	929-P	34/7-12 TORDIS	NO	25.000000	\N	4009.000000	200.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	34/7-I-5 H	8	NO	OIL	1994	1994	\N	71	ED50	61	16	35.24	N	2	7	3.63	E	61.276456	2.117675	6794061.970000	452692.640000	31	34	7	I	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2359	http://www.npd.no/FactMapSearch?NPDID_wellbore=2359	sidetrack	34/7-I-5 H	2359	44666	43725	9999-12-31	21516	294058	281717	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/4-A-8 A	31/4-A-8	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1994-08-07	1994-08-29	BRAGE	946-P	31/4-3 BRAGE	NO	63.000000	\N	6432.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1994	1994	\N	50	ED50	60	32	33.42	N	3	2	50.35	E	60.542617	3.047319	6712002.710000	502596.160000	31	31	4	A	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2362	http://www.npd.no/FactMapSearch?NPDID_wellbore=2362	sidetrack	31/4-A-8	2362	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-C-2 H	6507/7-C-2	Conoco Norway Inc.	CONOCO	095	INJECTION	WATER	DEVELOPMENT	1994-05-27	1994-06-18	HEIDRUN	919-P	6507/7-2 HEIDRUN	NO	24.000000	\N	3103.000000	327.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN C	8	NO	WATER	1994	1994	\N	173	ED50	65	17	10.99	N	7	18	10.51	E	65.286386	7.302919	7241619.260000	420832.640000	32	6507	7	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2363	http://www.npd.no/FactMapSearch?NPDID_wellbore=2363	initial	\N	2363	44930	43771	9999-12-31	21564	296677	356124	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
6407/9-A-6	6407/9-A-6	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	1994-05-24	1994-07-25	DRAUGEN	920-P	6407/9-1 DRAUGEN	NO	63.000000	\N	2212.000000	253.000000	NORWEGIAN SEA	DRAUGEN	CONDEEP MONOSHAFT	DRAUGEN	8	NO	OIL	1994	1994	\N	50	ED50	64	21	11.42	N	7	46	57.47	E	64.353172	7.782631	7137110.110000	441208.290000	32	6407	9	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2365	http://www.npd.no/FactMapSearch?NPDID_wellbore=2365	initial	\N	2365	44888	43758	9999-12-31	21548	272393	272393	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-A-16 D	2/8-A-16	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1994-11-02	1994-12-07	VALHALL	965-P	2/8-6 VALHALL	NO	44.000000	\N	4057.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1994	1994	\N	50	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	2	8	A	16	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2367	http://www.npd.no/FactMapSearch?NPDID_wellbore=2367	sidetrack	2/8-A-16 C	2367	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-C-23	34/10-C-23	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	1994-10-05	1994-11-01	GULLFAKS	937-P	34/10-1 GULLFAKS	NO	84.000000	\N	2750.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1994	1994	\N	71	ED50	61	12	54.80	N	2	16	26.56	E	61.215222	2.274044	6787138.070000	461000.620000	31	34	10	C	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2369	http://www.npd.no/FactMapSearch?NPDID_wellbore=2369	initial	\N	2369	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-17	30/6-C-17	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	\N	DEVELOPMENT	1994-06-06	1994-07-01	OSEBERG	924-P	30/6-1 OSEBERG	NO	62.000000	\N	5603.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1994	1994	\N	71	ED50	60	36	29.43	N	2	46	33.01	E	60.608175	2.775836	6719324.730000	487726.260000	31	30	6	C	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2370	http://www.npd.no/FactMapSearch?NPDID_wellbore=2370	initial	\N	2370	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-8	31/4-A-8	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-06-17	1994-08-07	BRAGE	926-P	31/4-3 BRAGE	NO	63.000000	\N	5780.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	60	32	33.42	N	3	2	50.35	E	60.542617	3.047319	6712002.710000	502596.160000	31	31	4	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2371	http://www.npd.no/FactMapSearch?NPDID_wellbore=2371	initial	\N	2371	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-31 A	33/9-A-31	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1994-06-23	1994-10-24	STATFJORD	925-P	33/12-1 STATFJORD	NO	64.400000	\N	4364.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1994	1994	\N	50	ED50	61	15	19.85	N	1	51	13.98	E	61.255514	1.853883	6791949.010000	438508.980000	31	33	9	A	31	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2372	http://www.npd.no/FactMapSearch?NPDID_wellbore=2372	sidetrack	33/9-A-31	2372	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-C-9 A	2/4-C-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-09-29	1994-11-02	EKOFISK	927-P	2/4-2 EKOFISK	NO	37.000000	\N	3373.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1994	1994	\N	50	ED50	56	32	52.84	N	3	12	56.09	E	56.548011	3.215581	6267234.750000	513255.050000	31	2	4	C	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2374	http://www.npd.no/FactMapSearch?NPDID_wellbore=2374	sidetrack	2/4-C-9	2374	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/11-A-5	2/11-A-5	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	\N	DEVELOPMENT	1994-02-28	1994-08-02	HOD	930-P	2/11-2 HOD	NO	47.000000	\N	4090.000000	72.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	HOD	2-A	NO	OIL	1994	1994	2/11-10 S	71	ED50	56	10	35.49	N	3	27	36.57	E	56.176525	3.460158	6225959.740000	528569.410000	31	2	11	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2376	http://www.npd.no/FactMapSearch?NPDID_wellbore=2376	initial	\N	2376	44000	43485	9999-12-31	21052	278245	272309	2297	AMOCO	2012-07-25	2012-07-25	2013-05-08
6507/7-C-3 H	6507/7-C-3	Conoco Norway Inc.	CONOCO	095	INJECTION	WATER	DEVELOPMENT	1994-06-19	1994-07-15	HEIDRUN	932-P	6507/7-2 HEIDRUN	NO	24.000000	\N	3586.000000	327.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN C	8	NO	WATER	1994	1994	\N	173	ED50	65	17	11.08	N	7	18	10.97	E	65.286411	7.303047	7241621.890000	420838.680000	32	6507	7	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2378	http://www.npd.no/FactMapSearch?NPDID_wellbore=2378	initial	\N	2378	44930	43771	9999-12-31	21564	296677	356124	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
33/12-B-42	33/12-B-42	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1994-08-02	1994-11-02	STATFJORD	933-P	33/12-1 STATFJORD	NO	77.800000	\N	7255.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1994	1994	\N	50	ED50	61	12	23.81	N	1	49	51.05	E	61.206614	1.830847	6786524.390000	437175.710000	31	33	12	B	42	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2382	http://www.npd.no/FactMapSearch?NPDID_wellbore=2382	initial	\N	2382	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-A-11 B	2/4-A-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-07-12	1994-08-05	EKOFISK	934-P	2/4-2 EKOFISK	NO	33.000000	\N	3648.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1994	1994	\N	50	ED50	56	31	15.32	N	3	13	22.90	E	56.520922	3.223028	6264220.920000	513722.740000	31	2	4	A	11	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2385	http://www.npd.no/FactMapSearch?NPDID_wellbore=2385	sidetrack	2/4-A-11 A	2385	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
15/9-A-27	15/9-A-27	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1994-07-02	1994-08-27	SLEIPNER ØST	935-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	3110.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1994	1994	\N	90	ED50	58	22	2.01	N	1	54	32.20	E	58.367225	1.908944	6470260.940000	436168.710000	31	15	9	A	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2386	http://www.npd.no/FactMapSearch?NPDID_wellbore=2386	initial	\N	2386	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-24	34/10-C-24	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1994-11-24	1995-02-02	GULLFAKS	980-P	34/10-1 GULLFAKS	NO	84.000000	\N	4575.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1994	1995	\N	50	ED50	61	12	53.60	N	2	16	27.81	E	61.214889	2.274392	6787100.740000	461018.860000	31	34	10	C	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2391	http://www.npd.no/FactMapSearch?NPDID_wellbore=2391	initial	\N	2391	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-25	34/10-C-25	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1995-01-24	1995-03-15	GULLFAKS	1000-P	34/10-1 GULLFAKS	NO	84.000000	\N	2721.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1995	1995	\N	50	ED50	61	12	54.55	N	2	16	26.67	E	61.215153	2.274075	6787130.320000	461002.180000	31	34	10	C	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2392	http://www.npd.no/FactMapSearch?NPDID_wellbore=2392	initial	\N	2392	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-C-1 H	6507/7-C-1	Conoco Norway Inc.	CONOCO	095	INJECTION	WATER	DEVELOPMENT	1994-07-15	1994-07-30	HEIDRUN	936-P	6507/7-2 HEIDRUN	NO	24.000000	\N	3317.000000	327.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN C	8	NO	WATER	1994	1994	\N	173	ED50	65	17	11.04	N	7	18	10.54	E	65.286400	7.302928	7241620.800000	420833.070000	32	6507	7	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2393	http://www.npd.no/FactMapSearch?NPDID_wellbore=2393	initial	\N	2393	44930	43771	9999-12-31	21564	296677	356124	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
34/7-P-38	34/7-P-38	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1994-07-14	1994-08-26	SNORRE	940-P	34/4-1 SNORRE	NO	59.000000	\N	4910.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1994	1994	\N	50	ED50	61	26	58.24	N	2	8	36.79	E	61.449511	2.143553	6813319.940000	454332.980000	31	34	7	P	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2395	http://www.npd.no/FactMapSearch?NPDID_wellbore=2395	initial	\N	2395	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
30/6-C-17 A	30/6-C-17	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-07-01	1994-07-14	OSEBERG	939-P	30/6-1 OSEBERG	NO	62.000000	\N	6029.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	60	36	29.43	N	2	46	33.01	E	60.608175	2.775836	6719324.730000	487726.260000	31	30	6	C	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2396	http://www.npd.no/FactMapSearch?NPDID_wellbore=2396	sidetrack	30/6-C-17	2396	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-A-5	15/9-A-5	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1994-08-28	1994-11-11	SLEIPNER ØST	957-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	3510.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1994	1994	\N	90	ED50	58	22	2.01	N	1	54	32.20	E	58.367225	1.908944	6470260.940000	436168.710000	31	15	9	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2397	http://www.npd.no/FactMapSearch?NPDID_wellbore=2397	initial	\N	2397	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-15 A	2/7-B-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-10-04	1994-12-14	ELDFISK	942-P	2/7-1 ELDFISK	NO	44.000000	\N	4993.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1994	1994	\N	50	ED50	56	25	9.08	N	3	13	5.97	E	56.419189	3.218325	6252896.050000	513469.350000	31	2	7	B	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2398	http://www.npd.no/FactMapSearch?NPDID_wellbore=2398	sidetrack	2/7-B-15	2398	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
15/9-A-21	15/9-A-21	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1994-11-11	1995-01-12	SLEIPNER ØST	954-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	3699.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1994	1995	\N	90	ED50	58	22	2.01	N	1	54	32.20	E	58.367225	1.908944	6470260.940000	436168.710000	31	15	9	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2399	http://www.npd.no/FactMapSearch?NPDID_wellbore=2399	initial	\N	2399	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-26	31/4-A-26	Norsk Hydro Produksjon AS	HYDRO	055	INJECTION	WATER	DEVELOPMENT	1994-08-31	1994-09-24	BRAGE	955-P	31/4-3 BRAGE	NO	63.000000	\N	3510.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	1994	1994	\N	173	ED50	60	32	32.97	N	3	2	50.80	E	60.542492	3.047444	6711988.800000	502603.030000	31	31	4	A	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2403	http://www.npd.no/FactMapSearch?NPDID_wellbore=2403	initial	\N	2403	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-17 B	30/6-C-17	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1994-07-14	1994-08-29	OSEBERG	941-P	30/6-1 OSEBERG	NO	62.000000	\N	7922.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1994	1994	\N	50	ED50	60	36	29.43	N	2	46	33.01	E	60.608175	2.775836	6719324.730000	487726.260000	31	30	6	C	17	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2404	http://www.npd.no/FactMapSearch?NPDID_wellbore=2404	sidetrack	30/6-C-17 A	2404	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-6 A	30/9-B-6	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1994-11-28	1994-12-25	OSEBERG	979-P	30/6-1 OSEBERG	NO	59.000000	\N	7670.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1994	1994	\N	50	ED50	60	29	36.48	N	2	49	43.15	E	60.493467	2.828653	6706539.640000	490584.870000	31	30	9	B	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2406	http://www.npd.no/FactMapSearch?NPDID_wellbore=2406	sidetrack	30/9-B-6	2406	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/11-A-5 A	2/11-A-5	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	OIL	DEVELOPMENT	1994-08-02	1994-09-16	HOD	943-P	2/11-2 HOD	NO	47.000000	\N	4658.000000	72.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	HOD	2-A	NO	OIL	1994	1994	\N	50	ED50	56	10	35.49	N	3	27	36.57	E	56.176525	3.460158	6225959.740000	528569.410000	31	2	11	A	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2408	http://www.npd.no/FactMapSearch?NPDID_wellbore=2408	sidetrack	2/11-A-5	2408	44000	43485	9999-12-31	21052	278245	272309	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-B-32	34/10-B-32	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1994-12-15	1995-03-13	GULLFAKS	978-P	34/10-1 GULLFAKS	NO	81.000000	\N	4805.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1994	1995	\N	50	ED50	61	12	11.19	N	2	12	4.78	E	61.203108	2.201328	6785834.300000	457077.820000	31	34	10	B	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2409	http://www.npd.no/FactMapSearch?NPDID_wellbore=2409	initial	\N	2409	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-A-15 B	2/4-A-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-08-26	1994-09-21	EKOFISK	949-P	2/4-2 EKOFISK	NO	33.000000	\N	4234.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1994	1994	\N	50	ED50	56	31	15.17	N	3	13	22.26	E	56.520881	3.222850	6264216.240000	513711.820000	31	2	4	A	15	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2412	http://www.npd.no/FactMapSearch?NPDID_wellbore=2412	sidetrack	2/4-A-15 A	2412	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-B-18 B	2/4-B-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-08-27	1994-09-20	EKOFISK	945-P	2/4-2 EKOFISK	NO	33.000000	\N	4876.000000	71.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	1994	1994	\N	50	ED50	56	33	55.02	N	3	12	13.97	E	56.565283	3.203881	6269155.150000	512529.970000	31	2	4	B	18	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2414	http://www.npd.no/FactMapSearch?NPDID_wellbore=2414	sidetrack	2/4-B-18 A	2414	44072	43506	9999-12-31	20900	271413	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-A-13 A	2/7-A-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	WATER	DEVELOPMENT	1994-11-02	1994-12-19	ELDFISK	967-P	2/7-1 ELDFISK	NO	41.000000	\N	5066.000000	71.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	ELDFISK A	1-A	NO	OIL	1994	1994	\N	173	ED50	56	22	36.59	N	3	15	57.89	E	56.376831	3.266081	6248191.580000	516433.820000	31	2	7	A	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2416	http://www.npd.no/FactMapSearch?NPDID_wellbore=2416	sidetrack	2/7-A-13	2416	44114	43527	9999-12-31	20900	292114	271581	0	PHILLIPS	2012-08-24	2012-08-24	2013-05-08
33/9-E-1 H	33/9-E-1	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1994-09-12	1994-10-27	STATFJORD NORD	960-P	33/9-8 STATFJORD NORD	NO	22.000000	\N	3350.000000	265.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD NORD E	Awarded additionaly to round 2-A	NO	OIL	1994	1994	\N	50	ED50	61	26	3.17	N	1	55	29.79	E	61.434214	1.924942	6811788.630000	442648.900000	31	33	9	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2417	http://www.npd.no/FactMapSearch?NPDID_wellbore=2417	initial	\N	2417	44588	43679	9999-12-31	21084	296218	278469	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-E-3 H	33/9-E-3	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1995-12-22	1996-03-14	STATFJORD NORD	1106-P	33/9-8 STATFJORD NORD	NO	22.000000	\N	4378.000000	265.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD NORD E	Awarded additionaly to round 2-A	NO	OIL	1995	1996	\N	50	ED50	61	26	3.40	N	1	55	31.03	E	61.434278	1.925286	6811795.450000	442667.390000	31	33	9	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2418	http://www.npd.no/FactMapSearch?NPDID_wellbore=2418	initial	\N	2418	44588	43679	9999-12-31	21084	296218	278469	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-E-4 H	33/9-E-4	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-09-25	1998-02-13	STATFJORD NORD	1197-P	33/9-8 STATFJORD NORD	NO	22.000000	\N	2938.000000	265.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD NORD E	Awarded additionaly to round 2-A	NO	OIL	1996	1998	\N	50	ED50	61	26	3.01	N	1	55	30.23	E	61.434169	1.925064	6811783.580000	442655.340000	31	33	9	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2419	http://www.npd.no/FactMapSearch?NPDID_wellbore=2419	initial	\N	2419	44588	43679	9999-12-31	21084	296218	278469	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-B-3 H	31/2-B-3	Norsk Hydro Produksjon AS	HYDRO	054	INJECTION	GAS	DEVELOPMENT	1994-09-02	1995-01-13	TROLL	956-P	31/2-1 TROLL VEST	NO	23.000000	\N	2090.000000	330.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL B	4	NO	GAS	1994	1995	\N	91	ED50	60	46	39.93	N	3	26	12.02	E	60.777758	3.436672	6738271.820000	523783.680000	31	31	2	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2420	http://www.npd.no/FactMapSearch?NPDID_wellbore=2420	initial	\N	2420	44534	46437	9999-12-31	21228	289333	278273	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-A-2 A	2/4-A-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-10-08	1994-12-28	EKOFISK	958-P	2/4-2 EKOFISK	NO	33.000000	\N	5472.000000	70.000000	NORTH SEA	EKOFISK A	JACKET 8 LEGS	EKOFISK A	1-A	NO	OIL	1994	1994	\N	50	ED50	56	31	15.10	N	3	13	22.87	E	56.520861	3.223019	6264214.110000	513722.250000	31	2	4	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2423	http://www.npd.no/FactMapSearch?NPDID_wellbore=2423	sidetrack	2/4-A-2	2423	44072	43506	9999-12-31	20900	271385	271385	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/5-A-5	25/5-A-5	Elf Petroleum Norge AS	ELF	102	PRODUCTION	OIL	DEVELOPMENT	1994-09-28	1994-11-01	FRØY	961-P	25/5-1 FRØY	NO	46.000000	\N	3410.000000	120.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	FRØY	9	NO	OIL	1994	1994	\N	50	ED50	59	44	3.57	N	2	33	27.89	E	59.734325	2.557747	6622061.310000	475133.530000	31	25	5	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2424	http://www.npd.no/FactMapSearch?NPDID_wellbore=2424	initial	\N	2424	44264	43597	9999-12-31	21620	296002	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-C-6 B	2/4-C-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1994-11-16	1995-01-09	EKOFISK	975-P	2/4-2 EKOFISK	NO	37.000000	\N	3742.000000	73.000000	NORTH SEA	EKOFISK C	JACKET 12 LEGS	EKOFISK C	1-A	NO	OIL	1994	1995	\N	50	ED50	56	32	52.76	N	3	12	55.62	E	56.547989	3.215450	6267232.250000	513247.040000	31	2	4	C	6	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2425	http://www.npd.no/FactMapSearch?NPDID_wellbore=2425	sidetrack	2/4-C-6 A	2425	44072	43506	9999-12-31	20900	271441	271441	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/12-A-2 A	7/12-A-2	BP Norway Limited  U.A.	BP	019	PRODUCTION	\N	DEVELOPMENT	1995-12-08	1995-12-20	ULA	963-P	7/12-2 ULA	NO	57.000000	\N	3892.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1995	1995	\N	71	ED50	57	6	41.40	N	2	50	50.73	E	57.111500	2.847425	6329950.060000	490758.680000	31	7	12	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2426	http://www.npd.no/FactMapSearch?NPDID_wellbore=2426	sidetrack	7/12-A-2	2426	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
33/9-E-2 H	33/9-E-2	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1994-10-28	1995-01-12	STATFJORD NORD	968-P	33/9-8 STATFJORD NORD	NO	22.000000	\N	3285.000000	265.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD NORD E	Awarded additionaly to round 2-A	NO	OIL	1994	1995	\N	50	ED50	61	26	3.56	N	1	55	30.60	E	61.434322	1.925167	6811800.500000	442661.100000	31	33	9	E	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2427	http://www.npd.no/FactMapSearch?NPDID_wellbore=2427	initial	\N	2427	44588	43679	9999-12-31	21084	296218	278469	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-26	30/6-C-26	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-09-30	1994-12-18	OSEBERG	959-P	30/6-1 OSEBERG	NO	62.000000	\N	7530.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	60	36	29.18	N	2	46	33.01	E	60.608106	2.775836	6719317.000000	487726.230000	31	30	6	C	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2428	http://www.npd.no/FactMapSearch?NPDID_wellbore=2428	initial	\N	2428	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-26 A	30/6-C-26	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1994-12-20	1995-02-01	OSEBERG	990-P	30/6-1 OSEBERG	NO	62.000000	\N	9327.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1994	1995	\N	50	ED50	60	36	29.18	N	2	46	33.01	E	60.608106	2.775836	6719317.000000	487726.230000	31	30	6	C	26	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2429	http://www.npd.no/FactMapSearch?NPDID_wellbore=2429	sidetrack	30/6-C-26	2429	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-E-6 H	31/2-E-6	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-09-29	1994-10-25	TROLL	962-P	31/2-1 TROLL VEST	NO	23.000000	\N	2120.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	31	2	E	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2433	http://www.npd.no/FactMapSearch?NPDID_wellbore=2433	initial	\N	2433	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-25	31/4-A-25	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1994-09-25	1994-10-15	BRAGE	964-P	31/4-3 BRAGE	NO	63.000000	\N	2900.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1994	1994	\N	50	ED50	60	32	33.00	N	3	2	50.52	E	60.542500	3.047367	6711989.720000	502598.760000	31	31	4	A	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2435	http://www.npd.no/FactMapSearch?NPDID_wellbore=2435	initial	\N	2435	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-14 AY1	34/7-P-14	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1994-10-09	1994-11-21	SNORRE	966-P1	34/4-1 SNORRE	NO	59.000000	\N	4552.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	YES	OIL	1994	1994	\N	50	ED50	61	26	57.08	N	2	8	37.36	E	61.449189	2.143711	6813283.930000	454340.950000	31	34	7	P	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2436	http://www.npd.no/FactMapSearch?NPDID_wellbore=2436	multilateral	34/7-P-14	2436	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-P-31	34/7-P-31	Saga Petroleum ASA	SAGA	089	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1994-11-27	1994-12-31	SNORRE	985-P	34/4-1 SNORRE	NO	59.000000	\N	3866.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	NOT APPLICABLE	1994	1994	\N	99	ED50	61	26	57.99	N	2	8	37.61	E	61.449442	2.143781	6813312.040000	454345.020000	31	34	7	P	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2437	http://www.npd.no/FactMapSearch?NPDID_wellbore=2437	initial	\N	2437	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-P-11	34/7-P-11	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1995-06-07	1995-09-25	SNORRE	1010-P	34/4-1 SNORRE	NO	59.000000	\N	5880.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1995	1995	\N	50	ED50	61	26	57.08	N	2	8	36.55	E	61.449189	2.143486	6813284.090000	454328.950000	31	34	7	P	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2438	http://www.npd.no/FactMapSearch?NPDID_wellbore=2438	initial	\N	2438	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/2-D-6 H	31/2-D-6	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1994-10-26	1994-12-09	TROLL	969-P	31/2-1 TROLL VEST	NO	23.000000	\N	3685.000000	339.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	NO	OIL	1994	1994	\N	50	ED50	60	51	23.74	N	3	26	28.95	E	60.856594	3.441375	6747054.660000	523980.760000	31	31	2	D	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2441	http://www.npd.no/FactMapSearch?NPDID_wellbore=2441	initial	\N	2441	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-19	30/6-C-19	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1995-02-02	1995-03-19	OSEBERG	1004-P	30/6-1 OSEBERG	NO	62.000000	\N	6693.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1995	1995	\N	50	ED50	60	36	29.31	N	2	46	33.26	E	60.608142	2.775906	6719321.010000	487730.050000	31	30	6	C	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2442	http://www.npd.no/FactMapSearch?NPDID_wellbore=2442	initial	\N	2442	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-14	31/4-A-14	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1994-10-18	1994-11-25	BRAGE	970-P	31/4-3 BRAGE	NO	63.000000	\N	5494.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1994	1994	\N	50	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	31	4	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2443	http://www.npd.no/FactMapSearch?NPDID_wellbore=2443	initial	\N	2443	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/5-A-6	25/5-A-6	Elf Petroleum Norge AS	ELF	102	PRODUCTION	\N	DEVELOPMENT	1994-11-02	1994-12-21	FRØY	973-P	25/5-1 FRØY	NO	46.000000	\N	3742.000000	120.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	FRØY	9	NO	OIL	1994	1994	\N	71	ED50	59	44	3.62	N	2	33	28.05	E	59.734339	2.557792	6622062.840000	475136.040000	31	25	5	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2446	http://www.npd.no/FactMapSearch?NPDID_wellbore=2446	initial	\N	2446	44264	43597	9999-12-31	21620	296002	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
30/3-A-6 A	30/3-A-6	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	WATER	DEVELOPMENT	1994-11-21	1994-12-25	VESLEFRIKK	976-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4903.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER	1994	1994	\N	173	ED50	60	46	57.71	N	2	53	52.48	E	60.782697	2.897911	6738747.170000	494440.480000	31	30	3	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2447	http://www.npd.no/FactMapSearch?NPDID_wellbore=2447	sidetrack	30/3-A-6	2447	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-26	34/10-C-26	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1995-03-15	1995-04-05	GULLFAKS	1015-P	34/10-1 GULLFAKS	NO	84.000000	\N	2232.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1995	1995	\N	50	ED50	61	12	53.52	N	2	16	27.89	E	61.214867	2.274414	6787098.250000	461020.030000	31	34	10	C	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2450	http://www.npd.no/FactMapSearch?NPDID_wellbore=2450	initial	\N	2450	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-23 A	34/10-C-23	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1994-11-02	1994-11-23	GULLFAKS	977-P	34/10-1 GULLFAKS	NO	84.000000	\N	4474.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1994	1994	\N	50	ED50	61	12	54.80	N	2	16	26.56	E	61.215222	2.274044	6787138.070000	461000.620000	31	34	10	C	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2453	http://www.npd.no/FactMapSearch?NPDID_wellbore=2453	sidetrack	34/10-C-23	2453	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-33	34/10-B-33	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1995-05-09	1995-06-30	GULLFAKS	1032-P	34/10-1 GULLFAKS	NO	81.000000	\N	5050.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1995	1995	\N	173	ED50	61	12	9.98	N	2	12	6.45	E	61.202772	2.201792	6785796.550000	457102.290000	31	34	10	B	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2456	http://www.npd.no/FactMapSearch?NPDID_wellbore=2456	initial	\N	2456	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-14	6507/7-A-14	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1994-12-15	1995-01-06	HEIDRUN	983-P	6507/7-2 HEIDRUN	NO	24.000000	\N	2904.000000	346.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN	8	NO	OIL	1994	1995	\N	50	ED50	65	19	32.99	N	7	19	3.01	E	65.325831	7.317503	7245996.190000	421630.110000	32	6507	7	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2457	http://www.npd.no/FactMapSearch?NPDID_wellbore=2457	initial	\N	2457	44930	43771	9999-12-31	21564	296677	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-33	33/12-B-33	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1994-12-06	1995-02-02	STATFJORD	982-P	33/12-1 STATFJORD	NO	77.800000	\N	4626.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1994	1995	\N	50	ED50	61	12	23.94	N	1	49	51.19	E	61.206650	1.830886	6786528.370000	437177.880000	31	33	12	B	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2459	http://www.npd.no/FactMapSearch?NPDID_wellbore=2459	initial	\N	2459	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-A-23	15/9-A-23	Den norske stats oljeselskap a.s	STATOIL	046	INJECTION	GAS	DEVELOPMENT	1996-09-25	1996-11-22	SLEIPNER ØST	993-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	5590.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1996	1996	\N	91	ED50	58	22	2.05	N	1	54	32.06	E	58.367236	1.908906	6470262.220000	436166.450000	31	15	9	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2461	http://www.npd.no/FactMapSearch?NPDID_wellbore=2461	initial	\N	2461	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-18	31/4-A-18	Norsk Hydro Produksjon AS	HYDRO	055	INJECTION	WATER	DEVELOPMENT	1994-11-27	1995-01-06	BRAGE	986-P	31/4-3 BRAGE	NO	63.000000	\N	4350.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	1994	1995	\N	173	ED50	60	32	33.09	N	3	2	51.03	E	60.542525	3.047508	6711992.510000	502606.530000	31	31	4	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2462	http://www.npd.no/FactMapSearch?NPDID_wellbore=2462	initial	\N	2462	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-K-6	2/4-K-6	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1994-12-19	1995-04-16	EKOFISK	987-P	2/4-2 EKOFISK	NO	55.000000	\N	5311.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1994	1995	\N	173	ED50	56	33	55.86	N	3	12	22.64	E	56.565517	3.206289	6269181.560000	512677.900000	31	2	4	K	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2463	http://www.npd.no/FactMapSearch?NPDID_wellbore=2463	initial	\N	2463	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-A-4 B	2/8-A-4	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1995-05-11	1995-07-05	VALHALL	988-P	2/8-6 VALHALL	NO	44.000000	\N	4420.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1995	1995	\N	50	ED50	56	16	41.05	N	3	23	43.42	E	56.278069	3.395394	6237237.200000	524483.660000	31	2	8	A	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2469	http://www.npd.no/FactMapSearch?NPDID_wellbore=2469	sidetrack	2/8-A-4 A	2469	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
31/2-D-8 H	31/2-D-8	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-01-14	1995-01-27	TROLL	989-P	31/2-1 TROLL VEST	NO	23.000000	\N	1889.000000	339.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	31	2	D	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2472	http://www.npd.no/FactMapSearch?NPDID_wellbore=2472	initial	\N	2472	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-A-7 B	2/7-A-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	WATER	DEVELOPMENT	1994-12-27	1995-02-10	ELDFISK	992-P	2/7-1 ELDFISK	NO	51.000000	\N	5188.000000	71.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	ELDFISK A	1-A	NO	OIL	1994	1995	\N	173	ED50	56	22	36.48	N	3	15	58.03	E	56.376800	3.266119	6248188.190000	516436.230000	31	2	7	A	7	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2473	http://www.npd.no/FactMapSearch?NPDID_wellbore=2473	sidetrack	2/7-A-7 A	2473	44114	43527	9999-12-31	20900	292114	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-F-1 H	33/9-F-1	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1995-08-25	1995-10-31	STATFJORD NORD	1065-P	33/9-8 STATFJORD NORD	NO	22.000000	\N	4061.000000	285.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD NORD F	Awarded additionaly to round 2-A	NO	OIL	1995	1995	\N	50	ED50	61	26	40.59	N	1	57	22.75	E	61.444608	1.956319	6812919.250000	444341.230000	31	33	9	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2477	http://www.npd.no/FactMapSearch?NPDID_wellbore=2477	initial	\N	2477	44588	43679	9999-12-31	21084	296218	278497	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-F-2 H	33/9-F-2	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1995-02-19	1995-04-15	STATFJORD NORD	1002-P	33/9-8 STATFJORD NORD	NO	22.000000	\N	3291.000000	285.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD NORD F	Awarded additionaly to round 2-A	NO	OIL	1995	1995	\N	50	ED50	61	26	40.98	N	1	57	23.55	E	61.444717	1.956542	6812931.130000	444353.270000	31	33	9	F	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2478	http://www.npd.no/FactMapSearch?NPDID_wellbore=2478	initial	\N	2478	44588	43679	9999-12-31	21084	296218	278497	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-F-3 H	33/9-F-3	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1997-03-14	1997-05-09	STATFJORD NORD	1232-P	33/9-8 STATFJORD NORD	NO	22.000000	\N	3450.000000	285.000000	NORTH SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	STATFJORD NORD F	Awarded additionaly to round 2-A	NO	OIL	1997	1997	\N	50	ED50	61	26	40.82	N	1	57	23.99	E	61.444672	1.956664	6812926.070000	444359.710000	31	33	9	F	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2479	http://www.npd.no/FactMapSearch?NPDID_wellbore=2479	initial	\N	2479	44588	43679	9999-12-31	21084	296218	278497	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-F-4 H	33/9-F-4	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-02-06	1999-03-20	STATFJORD NORD	1547-P	33/9-8 STATFJORD NORD	NO	18.000000	\N	3310.000000	285.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	STATFJORD NORD F	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	ED50	61	26	40.43	N	1	57	23.18	E	61.444564	1.956439	6812914.200000	444347.520000	31	33	9	F	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2480	http://www.npd.no/FactMapSearch?NPDID_wellbore=2480	initial	\N	2480	44588	43679	9999-12-31	21084	297514	278497	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-A-15	15/9-A-15	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1995-01-12	1995-03-11	SLEIPNER ØST	1003-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	4333.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1995	1995	\N	90	ED50	58	22	2.63	N	1	54	30.18	E	58.367397	1.908383	6470280.650000	436136.190000	31	15	9	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2481	http://www.npd.no/FactMapSearch?NPDID_wellbore=2481	initial	\N	2481	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-P-31 A	34/7-P-31	Saga Petroleum ASA	SAGA	089	PRODUCTION	WATER/GAS	DEVELOPMENT	1994-12-31	1995-05-12	SNORRE	996-P	34/4-1 SNORRE	NO	59.000000	\N	4790.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1994	1995	\N	0	ED50	61	26	57.99	N	2	8	37.61	E	61.449442	2.143781	6813312.040000	454345.020000	31	34	7	P	31	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2482	http://www.npd.no/FactMapSearch?NPDID_wellbore=2482	sidetrack	34/7-P-31	2482	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
25/5-A-7	25/5-A-7	Elf Petroleum Norge AS	ELF	102	INJECTION	WATER	DEVELOPMENT	1995-01-26	1995-07-23	FRØY	995-P	25/5-1 FRØY	NO	45.000000	\N	4760.000000	120.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	FRØY	9	NO	WATER	1995	1995	\N	173	ED50	59	44	3.60	N	2	33	27.86	E	59.734333	2.557739	6622062.240000	475133.070000	31	25	5	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2483	http://www.npd.no/FactMapSearch?NPDID_wellbore=2483	initial	\N	2483	44264	43597	9999-12-31	21620	296002	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
30/9-B-34	30/9-B-34	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	WATER	DEVELOPMENT	1994-12-25	1995-04-30	OSEBERG	991-P	30/6-1 OSEBERG	NO	58.000000	\N	8080.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	WATER	1994	1995	\N	173	ED50	60	29	36.01	N	2	49	43.00	E	60.493336	2.828611	6706525.110000	490582.550000	31	30	9	B	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2484	http://www.npd.no/FactMapSearch?NPDID_wellbore=2484	initial	\N	2484	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-12	31/4-A-12	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-01-06	1995-01-28	BRAGE	998-P	31/4-3 BRAGE	NO	63.000000	\N	2921.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	32	33.00	N	3	2	51.03	E	60.542500	3.047508	6711989.730000	502606.530000	31	31	4	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2485	http://www.npd.no/FactMapSearch?NPDID_wellbore=2485	initial	\N	2485	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/5-A-6 A	25/5-A-6	Elf Petroleum Norge AS	ELF	102	PRODUCTION	OIL	DEVELOPMENT	1994-12-22	1995-01-25	FRØY	994-P	25/5-1 FRØY	NO	46.000000	\N	3840.000000	120.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	FRØY	9	NO	OIL	1994	1995	\N	50	ED50	59	44	3.62	N	2	33	28.05	E	59.734339	2.557792	6622062.840000	475136.040000	31	25	5	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2494	http://www.npd.no/FactMapSearch?NPDID_wellbore=2494	sidetrack	25/5-A-6	2494	44264	43597	9999-12-31	21620	296002	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
31/4-A-12 A	31/4-A-12	Norsk Hydro Produksjon AS	HYDRO	055	INJECTION	WATER	DEVELOPMENT	1995-01-29	1995-02-16	BRAGE	1006-P	31/4-3 BRAGE	NO	63.000000	\N	4195.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	1995	1995	\N	173	ED50	60	32	33.00	N	3	2	51.03	E	60.542500	3.047508	6711989.730000	502606.530000	31	31	4	A	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2495	http://www.npd.no/FactMapSearch?NPDID_wellbore=2495	sidetrack	31/4-A-12	2495	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-43	34/10-A-43	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1995-03-14	1995-05-07	GULLFAKS	1021-P	34/10-1 GULLFAKS	NO	82.000000	\N	4330.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1995	1995	\N	50	ED50	61	10	34.94	N	2	11	21.41	E	61.176372	2.189281	6782864.220000	456393.480000	31	34	10	A	43	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2496	http://www.npd.no/FactMapSearch?NPDID_wellbore=2496	initial	\N	2496	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-B-3 H	6507/7-B-3	Conoco Norway Inc.	CONOCO	095	INJECTION	WATER	DEVELOPMENT	1995-01-19	1995-02-19	HEIDRUN	999-P	6507/7-2 HEIDRUN	NO	24.000000	\N	3825.000000	346.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN B	8	NO	WATER	1995	1995	\N	173	ED50	65	18	46.25	N	7	15	45.80	E	65.312847	7.262722	7244618.730000	419039.090000	32	6507	7	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2497	http://www.npd.no/FactMapSearch?NPDID_wellbore=2497	initial	\N	2497	44930	43771	9999-12-31	21564	296677	278049	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
33/9-A-15 A	33/9-A-15	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1995-01-21	1995-04-02	STATFJORD	1001-P	33/12-1 STATFJORD	NO	64.400000	\N	4901.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1995	1995	\N	71	ED50	61	15	20.81	N	1	51	14.82	E	61.255781	1.854117	6791978.490000	438522.020000	31	33	9	A	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2498	http://www.npd.no/FactMapSearch?NPDID_wellbore=2498	sidetrack	33/9-A-15	2498	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-6 A	30/6-C-6	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-04-03	1995-04-09	OSEBERG	1022-P	30/6-1 OSEBERG	NO	62.000000	\N	3732.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	36	29.55	N	2	46	33.51	E	60.608208	2.775975	6719328.420000	487733.870000	31	30	6	C	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2499	http://www.npd.no/FactMapSearch?NPDID_wellbore=2499	sidetrack	30/6-C-6	2499	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-6 B	30/6-C-6	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	\N	DEVELOPMENT	1995-04-09	1995-05-05	OSEBERG	1031-P	30/6-1 OSEBERG	NO	62.000000	\N	4146.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1995	1995	\N	71	ED50	60	36	29.55	N	2	46	33.51	E	60.608208	2.775975	6719328.420000	487733.870000	31	30	6	C	6	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2500	http://www.npd.no/FactMapSearch?NPDID_wellbore=2500	sidetrack	30/6-C-6 A	2500	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-I-4 AH	34/7-I-4	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1995-09-01	1995-11-24	TORDIS	1062-P	34/7-12 TORDIS	NO	25.000000	\N	3938.000000	200.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	34/7-I-4 H	8	NO	OIL	1995	1995	\N	50	ED50	61	16	32.84	N	2	7	0.30	E	61.275789	2.116750	6793988.380000	452642.050000	31	34	7	I	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2501	http://www.npd.no/FactMapSearch?NPDID_wellbore=2501	sidetrack	34/7-I-4 H	2501	44666	43725	9999-12-31	21516	294058	281689	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-I-2 AH	34/7-I-2	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1995-06-02	1995-07-20	TORDIS	1030-P	34/7-12 TORDIS	NO	25.000000	\N	3650.000000	200.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	34/7-I-2 H	8	NO	OIL	1995	1995	\N	50	ED50	61	16	33.36	N	2	7	10.86	E	61.275933	2.119683	6794002.350000	452799.530000	31	34	7	I	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2502	http://www.npd.no/FactMapSearch?NPDID_wellbore=2502	sidetrack	34/7-I-2 H	2502	44666	43725	9999-12-31	21516	294058	281605	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/8-A-25 B	2/8-A-25	Amoco Norway Oil Company	AMOCO	006	INJECTION	CUTTINGS	DEVELOPMENT	1995-03-30	1995-05-11	VALHALL	1018-P	2/8-6 VALHALL	NO	44.000000	\N	5784.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	CUTTINGS	1995	1995	\N	171	ED50	56	16	41.20	N	3	23	44.02	E	56.278111	3.395561	6237241.890000	524493.960000	31	2	8	A	25	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2503	http://www.npd.no/FactMapSearch?NPDID_wellbore=2503	sidetrack	2/8-A-25 A	2503	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-25 A	2/8-A-25	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	\N	DEVELOPMENT	1995-01-18	1995-02-13	VALHALL	997-P	2/8-6 VALHALL	NO	44.000000	\N	5213.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	\N	1995	1995	\N	71	ED50	56	16	41.20	N	3	23	44.02	E	56.278111	3.395561	6237241.890000	524493.960000	31	2	8	A	25	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2504	http://www.npd.no/FactMapSearch?NPDID_wellbore=2504	sidetrack	2/8-A-25	2504	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
33/9-C-18	33/9-C-18	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1995-01-25	1995-05-10	STATFJORD	1005-P	33/12-1 STATFJORD	NO	78.400000	\N	7189.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1995	1995	\N	71	ED50	61	17	47.88	N	1	54	11.33	E	61.296633	1.903147	6796483.660000	441228.790000	31	33	9	C	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2507	http://www.npd.no/FactMapSearch?NPDID_wellbore=2507	initial	\N	2507	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
9/2-A-5	9/2-A-5	Den norske stats oljeselskap a.s	STATOIL	114	INJECTION	WATER	DEVELOPMENT	1995-03-08	1996-03-21	YME	1013-P	9/2-1 YME	NO	43.000000	\N	3510.000000	92.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	YME B ØST	10-A	NO	WATER	1995	1996	\N	173	ED50	57	49	7.41	N	4	31	10.81	E	57.818725	4.519669	6409687.230000	590279.850000	31	9	2	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2508	http://www.npd.no/FactMapSearch?NPDID_wellbore=2508	initial	\N	2508	45098	43807	9999-12-31	21716	278245	282557	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-D-8 AH	31/2-D-8	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1995-01-27	1995-03-21	TROLL	1007-P	31/2-1 TROLL VEST	NO	23.000000	\N	3400.000000	339.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	NO	OIL	1995	1995	\N	50	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	31	2	D	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2509	http://www.npd.no/FactMapSearch?NPDID_wellbore=2509	sidetrack	31/2-D-8 H	2509	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-B-2 H	6507/7-B-2	Conoco Norway Inc.	CONOCO	095	INJECTION	WATER	DEVELOPMENT	1995-02-19	1995-03-04	HEIDRUN	1009-P	6507/7-2 HEIDRUN	NO	24.000000	\N	3321.000000	340.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN B	8	NO	WATER	1995	1995	\N	173	ED50	65	18	46.25	N	7	15	45.80	E	65.312847	7.262722	7244618.730000	419039.090000	32	6507	7	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2511	http://www.npd.no/FactMapSearch?NPDID_wellbore=2511	initial	\N	2511	44930	43771	9999-12-31	21564	296677	278049	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
2/4-K-14	2/4-K-14	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1995-04-19	1995-10-30	EKOFISK	1011-P	2/4-2 EKOFISK	NO	55.000000	\N	5249.000000	74.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1995	1995	\N	173	ED50	56	33	56.05	N	3	12	22.92	E	56.565569	3.206367	6269187.450000	512682.660000	31	2	4	K	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2513	http://www.npd.no/FactMapSearch?NPDID_wellbore=2513	initial	\N	2513	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/4-A-21	31/4-A-21	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1995-02-21	1995-05-05	BRAGE	1012-P	31/4-3 BRAGE	NO	63.000000	\N	4870.000000	134.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1995	1995	\N	50	ED50	60	32	33.42	N	3	2	50.86	E	60.542617	3.047461	6712002.720000	502603.930000	31	31	4	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2514	http://www.npd.no/FactMapSearch?NPDID_wellbore=2514	initial	\N	2514	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-27	34/10-C-27	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1995-04-06	1995-05-21	GULLFAKS	1025-P	34/10-1 GULLFAKS	NO	84.000000	\N	4930.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1995	1995	\N	50	ED50	61	12	54.61	N	2	16	26.21	E	61.215169	2.273947	6787132.250000	460995.330000	31	34	10	C	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2515	http://www.npd.no/FactMapSearch?NPDID_wellbore=2515	initial	\N	2515	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-A-20	15/9-A-20	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1995-03-12	1995-04-20	SLEIPNER ØST	1014-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	2963.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1995	1995	\N	90	ED50	58	22	2.16	N	1	54	32.01	E	58.367267	1.908892	6470265.630000	436165.700000	31	15	9	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2516	http://www.npd.no/FactMapSearch?NPDID_wellbore=2516	initial	\N	2516	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-36	33/12-B-36	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1995-04-20	1995-06-25	STATFJORD	1023-P	33/12-1 STATFJORD	NO	77.800000	\N	5016.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1995	1995	\N	50	ED50	61	12	23.94	N	1	49	50.85	E	61.206650	1.830792	6786528.460000	437172.800000	31	33	12	B	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2522	http://www.npd.no/FactMapSearch?NPDID_wellbore=2522	initial	\N	2522	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-D-1 H	33/9-D-1	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1995-04-20	1995-06-10	STATFJORD NORD	1029-P	33/9-8 STATFJORD NORD	NO	22.000000	\N	4166.000000	272.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD NORD D	Awarded additionaly to round 2-A	NO	WATER	1995	1995	\N	173	ED50	61	26	50.13	N	1	54	50.13	E	61.447258	1.913925	6813251.330000	442085.420000	31	33	9	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2523	http://www.npd.no/FactMapSearch?NPDID_wellbore=2523	initial	\N	2523	44588	43679	9999-12-31	21084	296218	278441	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-D-2 H	33/9-D-2	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1995-11-01	1995-12-19	STATFJORD NORD	1085-P	33/9-8 STATFJORD NORD	NO	22.000000	\N	3139.000000	272.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD NORD D	Awarded additionaly to round 2-A	NO	WATER	1995	1995	\N	173	ED50	61	26	50.51	N	1	54	51.05	E	61.447364	1.914181	6813262.870000	442099.250000	31	33	9	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2524	http://www.npd.no/FactMapSearch?NPDID_wellbore=2524	initial	\N	2524	44588	43679	9999-12-31	21084	296218	278441	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-D-3 H	33/9-D-3	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	2000-04-20	2000-09-18	STATFJORD NORD	1670-P	33/9-8 STATFJORD NORD	NO	31.000000	\N	7385.000000	272.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	STATFJORD NORD D	Awarded additionaly to round 2-A	NO	WATER	2000	2000	\N	173	ED50	61	26	50.34	N	1	54	51.48	E	61.447317	1.914300	6813257.500000	442105.530000	31	33	9	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2525	http://www.npd.no/FactMapSearch?NPDID_wellbore=2525	initial	\N	2525	44588	43679	9999-12-31	21084	297784	278441	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-D-4 H	33/9-D-4	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1998-12-30	1999-02-18	STATFJORD NORD	1532-P	33/9-8 STATFJORD NORD	NO	18.000000	\N	5620.000000	274.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	STATFJORD NORD D	Awarded additionaly to round 2-A	NO	WATER	1998	1999	\N	173	ED50	61	26	49.96	N	1	54	50.67	E	61.447211	1.914075	6813245.940000	442093.330000	31	33	9	D	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2526	http://www.npd.no/FactMapSearch?NPDID_wellbore=2526	initial	\N	2526	44588	43679	9999-12-31	21084	297514	278441	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-E-4 H	31/2-E-4	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1995-03-23	1995-05-04	TROLL	1016-P	31/2-1 TROLL VEST	NO	23.000000	\N	4000.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	NO	OIL	1995	1995	\N	50	ED50	60	47	56.20	N	3	26	31.84	E	60.798944	3.442178	6740633.630000	524067.650000	31	31	2	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2527	http://www.npd.no/FactMapSearch?NPDID_wellbore=2527	initial	\N	2527	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-B-1 H	6507/7-B-1	Conoco Norway Inc.	CONOCO	095	INJECTION	WATER	DEVELOPMENT	1995-03-05	1995-03-24	HEIDRUN	1017-P	6507/7-2 HEIDRUN	NO	23.000000	\N	3268.000000	340.000000	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	HEIDRUN B	8	NO	WATER	1995	1995	\N	173	ED50	65	18	45.63	N	7	15	46.09	E	65.312675	7.262803	7244599.440000	419042.320000	32	6507	7	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2542	http://www.npd.no/FactMapSearch?NPDID_wellbore=2542	initial	\N	2542	44930	43771	9999-12-31	21564	296677	278049	0	CONOCO	2012-07-25	2012-07-25	2013-05-08
7/12-A-5 A	7/12-A-5	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1995-03-23	1995-07-03	ULA	1020-P	7/12-2 ULA	NO	57.000000	\N	5853.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1995	1995	\N	50	ED50	57	6	41.14	N	2	50	50.96	E	57.111428	2.847489	6329942.010000	490762.530000	31	7	12	A	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2545	http://www.npd.no/FactMapSearch?NPDID_wellbore=2545	sidetrack	7/12-A-5	2545	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
31/4-A-28	31/4-A-28	Norsk Hydro Produksjon AS	HYDRO	055	INJECTION	WATER	DEVELOPMENT	1995-03-15	1995-08-21	BRAGE	1019-P	31/4-3 BRAGE	NO	63.000000	\N	5976.000000	134.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	1995	1995	\N	173	ED50	60	32	33.25	N	3	2	51.03	E	60.542569	3.047508	6711997.460000	502606.530000	31	31	4	A	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2546	http://www.npd.no/FactMapSearch?NPDID_wellbore=2546	initial	\N	2546	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/5-A-8	25/5-A-8	Elf Petroleum Norge AS	ELF	102	PRODUCTION	OIL	DEVELOPMENT	1995-10-10	1995-11-28	FRØY	1083-P	25/5-1 FRØY	NO	45.000000	\N	4589.000000	120.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	FRØY	9	NO	OIL	1995	1995	\N	50	ED50	59	44	3.44	N	2	33	27.73	E	59.734289	2.557703	6622057.300000	475131.010000	31	25	5	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2548	http://www.npd.no/FactMapSearch?NPDID_wellbore=2548	initial	\N	2548	44264	43597	9999-12-31	21620	296002	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/5-A-9	25/5-A-9	Elf Petroleum Norge AS	ELF	102	INJECTION	WATER	DEVELOPMENT	1995-07-24	1995-08-25	FRØY	1054-P	25/5-1 FRØY	NO	45.000000	\N	3750.000000	120.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	FRØY	9	NO	WATER	1995	1995	\N	173	ED50	59	44	3.57	N	2	33	27.73	E	59.734325	2.557703	6622061.330000	475131.030000	31	25	5	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2549	http://www.npd.no/FactMapSearch?NPDID_wellbore=2549	initial	\N	2549	44264	43597	9999-12-31	21620	296002	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
31/4-A-28 A	31/4-A-28	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	OIL	DEVELOPMENT	2007-09-08	2007-12-19	BRAGE	2894-P	31/4-3 BRAGE	NO	62.600000	\N	6895.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2007	2007	\N	99	ED50	60	32	33.25	N	3	2	51.03	E	60.542569	3.047508	6711997.460000	502606.530000	31	31	4	A	28	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2550	http://www.npd.no/FactMapSearch?NPDID_wellbore=2550	sidetrack	31/4-A-28	2550	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
30/9-B-16	30/9-B-16	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-04-30	1995-06-07	OSEBERG	1024-P	30/6-1 OSEBERG	NO	58.000000	\N	3240.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	29	36.27	N	2	49	42.89	E	60.493408	2.828581	6706533.160000	490580.890000	31	30	9	B	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2551	http://www.npd.no/FactMapSearch?NPDID_wellbore=2551	initial	\N	2551	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-28	34/10-C-28	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1995-05-22	1995-06-14	GULLFAKS	1039-P	34/10-1 GULLFAKS	NO	84.000000	\N	2620.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1995	1995	\N	50	ED50	61	12	53.57	N	2	16	28.04	E	61.214881	2.274456	6787099.770000	461022.280000	31	34	10	C	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2553	http://www.npd.no/FactMapSearch?NPDID_wellbore=2553	initial	\N	2553	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-A-5 A	2/7-A-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	WATER	DEVELOPMENT	1995-05-01	1995-06-20	ELDFISK	1026-P	2/7-1 ELDFISK	NO	51.000000	\N	5497.000000	71.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	ELDFISK A	1-A	NO	OIL	1995	1995	\N	173	ED50	56	22	36.41	N	3	15	57.86	E	56.376781	3.266072	6248186.010000	516433.320000	31	2	7	A	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2554	http://www.npd.no/FactMapSearch?NPDID_wellbore=2554	sidetrack	2/7-A-5	2554	44114	43527	9999-12-31	20900	292114	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/6-B-51 H	30/6-B-51	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-04-17	1995-05-30	OSEBERG	1027-P	30/6-15 OSEBERG VEST	NO	26.000000	\N	3836.000000	105.000000	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	30/6-B-51 H	4	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	31	59.58	N	2	44	23.91	E	60.533217	2.739975	6710982.990000	485729.740000	31	30	6	B	51	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2561	http://www.npd.no/FactMapSearch?NPDID_wellbore=2561	initial	\N	2561	44408	43625	9999-12-31	21220	296326	280065	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/1-A-28	2/1-A-28	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1995-10-30	1996-01-19	GYDA	1034-P	2/1-3 GYDA	NO	56.000000	\N	4968.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1995	1996	\N	50	ED50	56	54	17.37	N	3	5	6.03	E	56.904825	3.085008	6306935.880000	505177.510000	31	2	1	A	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2563	http://www.npd.no/FactMapSearch?NPDID_wellbore=2563	initial	\N	2563	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
15/9-A-8	15/9-A-8	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1995-04-20	1995-05-28	SLEIPNER ØST	1028-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	3650.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1995	1995	\N	90	ED50	58	22	2.78	N	1	54	29.99	E	58.367439	1.908331	6470285.340000	436133.180000	31	15	9	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2567	http://www.npd.no/FactMapSearch?NPDID_wellbore=2567	initial	\N	2567	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-16	30/6-C-16	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-05-18	1995-07-02	OSEBERG	1035-P	30/6-1 OSEBERG	NO	62.000000	\N	6056.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	36	29.31	N	2	46	33.51	E	60.608142	2.775975	6719321.000000	487733.850000	31	30	6	C	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2571	http://www.npd.no/FactMapSearch?NPDID_wellbore=2571	initial	\N	2571	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-16 A	30/6-C-16	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1995-07-02	1995-08-18	OSEBERG	1044-P	30/6-1 OSEBERG	NO	62.000000	\N	7304.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1995	1995	\N	50	ED50	60	36	29.31	N	2	46	33.51	E	60.608142	2.775975	6719321.000000	487733.850000	31	30	6	C	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2572	http://www.npd.no/FactMapSearch?NPDID_wellbore=2572	sidetrack	30/6-C-16	2572	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-H-5 H	31/5-H-5	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-06-02	1995-06-26	TROLL	1037-P	31/2-1 TROLL VEST	NO	26.000000	\N	2127.000000	318.000000	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	42	52.25	N	3	30	24.52	E	60.714514	3.506811	6731254.930000	527658.170000	31	31	5	H	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2575	http://www.npd.no/FactMapSearch?NPDID_wellbore=2575	initial	\N	2575	44534	46437	9999-12-31	21476	296326	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-A-12	15/9-A-12	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1995-07-08	1995-08-06	SLEIPNER ØST	1045-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	3310.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1995	1995	\N	90	ED50	58	22	2.74	N	1	54	30.12	E	58.367428	1.908367	6470284.070000	436135.270000	31	15	9	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2577	http://www.npd.no/FactMapSearch?NPDID_wellbore=2577	initial	\N	2577	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-34	34/10-B-34	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1995-07-05	1995-08-10	GULLFAKS	1050-P	34/10-1 GULLFAKS	NO	81.000000	\N	3729.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1995	1995	\N	50	ED50	61	12	10.96	N	2	12	4.66	E	61.203044	2.201294	6785827.200000	457075.940000	31	34	10	B	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2579	http://www.npd.no/FactMapSearch?NPDID_wellbore=2579	initial	\N	2579	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/6-C-6 C	30/6-C-6	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-05-13	2002-07-12	OSEBERG	2107-P	30/6-1 OSEBERG	NO	62.000000	\N	7202.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	36	29.55	N	2	46	33.51	E	60.608208	2.775975	6719328.420000	487733.870000	31	30	6	C	6	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2580	http://www.npd.no/FactMapSearch?NPDID_wellbore=2580	sidetrack	30/6-C-6 B	2580	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-22	33/9-C-22	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1995-05-28	1995-07-11	STATFJORD	1038-P	33/12-1 STATFJORD	NO	78.400000	\N	4019.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1995	1995	\N	50	ED50	61	17	46.98	N	1	54	10.04	E	61.296383	1.902789	6796456.130000	441209.130000	31	33	9	C	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2582	http://www.npd.no/FactMapSearch?NPDID_wellbore=2582	initial	\N	2582	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-A-19	15/9-A-19	Den norske stats oljeselskap a.s	STATOIL	046	INJECTION	GAS	DEVELOPMENT	1995-05-28	1995-07-08	GUNGNE	1036-P	15/9-15 GUNGNE	NO	78.000000	\N	4852.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1995	1995	\N	91	ED50	58	22	2.09	N	1	54	31.93	E	58.367247	1.908869	6470263.490000	436164.360000	31	15	9	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2583	http://www.npd.no/FactMapSearch?NPDID_wellbore=2583	initial	\N	2583	43922	43464	9999-12-31	21156	272365	272365	0	STATOIL	2012-08-24	2012-08-24	2013-05-08
2/7-A-4 A	2/7-A-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	WATER	DEVELOPMENT	1995-07-12	1995-09-16	ELDFISK	1041-P	2/7-1 ELDFISK	NO	51.000000	\N	5121.000000	71.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	ELDFISK A	1-A	NO	OIL	1995	1995	\N	173	ED50	56	22	36.41	N	3	15	58.03	E	56.376781	3.266119	6248186.020000	516436.240000	31	2	7	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2584	http://www.npd.no/FactMapSearch?NPDID_wellbore=2584	sidetrack	2/7-A-4	2584	44114	43527	9999-12-31	20900	292114	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/6-A-30	31/6-A-30	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-01-28	1996-03-28	TROLL	1071-P	31/6-1 TROLL ØST	NO	58.600000	\N	1600.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	43.69	N	3	43	35.38	E	60.645469	3.726494	6723677.340000	539731.670000	31	31	6	A	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2585	http://www.npd.no/FactMapSearch?NPDID_wellbore=2585	initial	\N	2585	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-15	31/6-A-15	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1995-10-23	1995-11-08	TROLL	1070-P	31/6-1 TROLL ØST	NO	58.600000	\N	1563.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1995	1995	\N	90	ED50	60	38	44.90	N	3	43	35.53	E	60.645806	3.726536	6723714.800000	539733.530000	31	31	6	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2586	http://www.npd.no/FactMapSearch?NPDID_wellbore=2586	initial	\N	2586	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-11	31/6-A-11	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1995-11-09	1995-11-24	TROLL	1069-P	31/6-1 TROLL ØST	NO	58.600000	\N	1770.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1995	1995	\N	90	ED50	60	38	44.90	N	3	43	35.38	E	60.645806	3.726494	6723714.780000	539731.250000	31	31	6	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2587	http://www.npd.no/FactMapSearch?NPDID_wellbore=2587	initial	\N	2587	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-6	31/6-A-6	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-03-29	1996-06-15	TROLL	1067-P	31/6-1 TROLL ØST	NO	58.600000	\N	1591.500000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	44.90	N	3	43	35.23	E	60.645806	3.726453	6723714.750000	539728.970000	31	31	6	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2588	http://www.npd.no/FactMapSearch?NPDID_wellbore=2588	initial	\N	2588	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-7	31/6-A-7	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1995-09-24	1995-10-21	TROLL	1068-P	31/6-1 TROLL ØST	NO	58.600000	\N	1538.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1995	1995	\N	90	ED50	60	38	44.83	N	3	43	35.23	E	60.645786	3.726453	6723712.590000	539729.000000	31	31	6	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2589	http://www.npd.no/FactMapSearch?NPDID_wellbore=2589	initial	\N	2589	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-35	31/6-A-35	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-02-21	1996-03-18	TROLL	1072-P	31/6-1 TROLL ØST	NO	58.600000	\N	1616.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	43.69	N	3	43	35.53	E	60.645469	3.726536	6723677.370000	539733.940000	31	31	6	A	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2590	http://www.npd.no/FactMapSearch?NPDID_wellbore=2590	initial	\N	2590	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-22	30/3-A-22	Statoil ASA (old)	STATOIL	052	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-07-08	1995-08-23	VESLEFRIKK	1049-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4125.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	46	57.77	N	2	53	52.59	E	60.782714	2.897942	6738749.020000	494442.150000	31	30	3	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2592	http://www.npd.no/FactMapSearch?NPDID_wellbore=2592	initial	\N	2592	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/3-A-22 A	30/3-A-22	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	GAS	DEVELOPMENT	1995-08-24	1995-09-20	VESLEFRIKK	1058-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4930.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	GAS	1995	1995	\N	91	ED50	60	46	57.77	N	2	53	52.59	E	60.782714	2.897942	6738749.020000	494442.150000	31	30	3	A	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2593	http://www.npd.no/FactMapSearch?NPDID_wellbore=2593	sidetrack	30/3-A-22	2593	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-E-1 H	31/2-E-1	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-06-02	1995-06-11	TROLL	1040-P	31/2-1 TROLL VEST	NO	23.000000	\N	2100.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	48	1.25	N	3	26	36.66	E	60.800347	3.443517	6740790.370000	524139.470000	31	31	2	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2594	http://www.npd.no/FactMapSearch?NPDID_wellbore=2594	initial	\N	2594	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-K-8 A	2/4-K-8	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1995-08-13	1995-09-10	EKOFISK	1043-P	2/4-2 EKOFISK	NO	55.000000	\N	4893.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1995	1995	\N	173	ED50	56	33	55.82	N	3	12	22.32	E	56.565506	3.206200	6269180.310000	512672.440000	31	2	4	K	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2595	http://www.npd.no/FactMapSearch?NPDID_wellbore=2595	sidetrack	2/4-K-8	2595	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-08-24	2012-08-24	2013-05-08
2/8-A-2 A	2/8-A-2	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1995-07-09	1995-07-30	VALHALL	1048-P	2/8-6 VALHALL	NO	44.000000	\N	3221.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1995	1995	\N	50	ED50	56	16	40.89	N	3	23	44.00	E	56.278025	3.395556	6237232.310000	524493.670000	31	2	8	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2596	http://www.npd.no/FactMapSearch?NPDID_wellbore=2596	sidetrack	2/8-A-2	2596	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
7/12-A-16 A	7/12-A-16	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1995-08-16	1995-10-01	ULA	1047-P	7/12-2 ULA	NO	57.000000	\N	4522.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1995	1995	\N	50	ED50	57	6	41.14	N	2	50	50.57	E	57.111428	2.847381	6329942.030000	490755.970000	31	7	12	A	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2597	http://www.npd.no/FactMapSearch?NPDID_wellbore=2597	sidetrack	7/12-A-16	2597	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
31/5-H-6 H	31/5-H-6	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-06-27	1995-07-23	TROLL	1046-P	31/2-1 TROLL VEST	NO	26.000000	\N	2600.000000	318.000000	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	42	46.85	N	3	30	33.96	E	60.713014	3.509433	6731088.960000	527802.560000	31	31	5	H	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2600	http://www.npd.no/FactMapSearch?NPDID_wellbore=2600	initial	\N	2600	44534	46437	9999-12-31	21476	296326	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-H-6 AH	31/5-H-6	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1995-07-23	1995-08-28	TROLL	1053-P	31/2-1 TROLL VEST	NO	26.000000	\N	4444.000000	318.000000	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	OIL	1995	1995	\N	50	ED50	60	42	46.85	N	3	30	33.96	E	60.713014	3.509433	6731088.960000	527802.560000	31	31	5	H	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2601	http://www.npd.no/FactMapSearch?NPDID_wellbore=2601	sidetrack	31/5-H-6 H	2601	44534	46437	9999-12-31	21476	296326	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-E-1 AH	31/2-E-1	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1995-06-12	1995-07-13	TROLL	1042-P	31/2-1 TROLL VEST	NO	23.000000	\N	3919.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	NO	OIL	1995	1995	\N	50	ED50	60	48	1.25	N	3	26	36.66	E	60.800347	3.443517	6740790.370000	524139.470000	31	31	2	E	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2603	http://www.npd.no/FactMapSearch?NPDID_wellbore=2603	sidetrack	31/2-E-1 H	2603	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-35	34/10-B-35	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1995-10-13	1995-10-29	GULLFAKS	1088-P	34/10-1 GULLFAKS	NO	80.700000	\N	5900.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1995	1995	34/10-40 S	173	ED50	61	12	10.94	N	2	12	4.89	E	61.203039	2.201358	6785826.540000	457079.370000	31	34	10	B	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2607	http://www.npd.no/FactMapSearch?NPDID_wellbore=2607	initial	\N	2607	44594	43686	9999-12-31	21188	271917	271917	2634	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-35 A	34/10-B-35	Statoil Petroleum AS	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2012-06-24	2012-07-17	GULLFAKS	3479-P	34/10-1 GULLFAKS	NO	80.700000	\N	1530.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	2012	2012	\N	99	ED50	61	12	10.94	N	2	12	4.89	E	61.203039	2.201358	6785826.540000	457079.370000	31	34	10	B	35	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2608	http://www.npd.no/FactMapSearch?NPDID_wellbore=2608	sidetrack	34/10-B-35	2608	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
34/10-B-37	34/10-B-37	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1996-09-15	1997-03-19	GULLFAKS	1198-P	34/10-1 GULLFAKS	NO	81.000000	\N	4988.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1996	1997	\N	50	ED50	61	12	10.04	N	2	12	5.99	E	61.202789	2.201664	6785798.490000	457095.450000	31	34	10	B	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2609	http://www.npd.no/FactMapSearch?NPDID_wellbore=2609	initial	\N	2609	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/11-A-8	2/11-A-8	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	\N	DEVELOPMENT	1995-09-26	1995-10-26	HOD	1076-P	2/11-2 HOD	NO	47.000000	\N	3712.000000	72.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	HOD	2-A	NO	\N	1995	1995	\N	71	ED50	56	10	35.44	N	3	27	36.47	E	56.176511	3.460131	6225958.190000	528567.690000	31	2	11	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2613	http://www.npd.no/FactMapSearch?NPDID_wellbore=2613	initial	\N	2613	44000	43485	9999-12-31	21052	292114	272309	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/11-A-8 A	2/11-A-8	Amoco Norway Oil Company	AMOCO	033	PRODUCTION	OIL	DEVELOPMENT	1995-10-26	1995-11-15	HOD	1089-P	2/11-2 HOD	NO	47.000000	\N	4611.000000	72.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	HOD	2-A	NO	OIL	1995	1995	\N	50	ED50	56	10	35.44	N	3	27	36.47	E	56.176511	3.460131	6225958.190000	528567.690000	31	2	11	A	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2614	http://www.npd.no/FactMapSearch?NPDID_wellbore=2614	sidetrack	2/11-A-8	2614	44000	43485	9999-12-31	21052	292114	272309	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-8 A	2/8-A-8	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1995-08-27	1995-09-18	VALHALL	1057-P	2/8-6 VALHALL	NO	43.500000	\N	2653.000000	69.200000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1995	1995	\N	50	ED50	56	16	41.54	N	3	23	43.82	E	56.278206	3.395506	6237252.390000	524490.460000	31	2	8	A	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2615	http://www.npd.no/FactMapSearch?NPDID_wellbore=2615	sidetrack	2/8-A-8	2615	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
31/2-F-5 H	31/2-F-5	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1995-07-25	1995-08-07	TROLL	1051-P	31/2-1 TROLL VEST	NO	23.000000	\N	2373.000000	331.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL F	4	NO	OIL	1995	1995	31/2-16 SR	50	ED50	60	46	0.20	N	3	25	27.55	E	60.766722	3.424319	6737038.170000	523118.830000	31	31	2	F	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2616	http://www.npd.no/FactMapSearch?NPDID_wellbore=2616	initial	\N	2616	44534	46437	9999-12-31	21228	289333	278161	1820	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-24	31/4-A-24	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	\N	DEVELOPMENT	1996-11-12	1996-11-22	BRAGE	1224-P	31/4-3 BRAGE	NO	63.000000	\N	1107.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	1996	1996	\N	71	ED50	60	32	32.92	N	3	2	50.86	E	60.542478	3.047461	6711987.250000	502603.940000	31	31	4	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2621	http://www.npd.no/FactMapSearch?NPDID_wellbore=2621	initial	\N	2621	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-29	34/10-C-29	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	OIL	DEVELOPMENT	1995-08-09	1995-10-13	GULLFAKS	1059-P	34/10-1 GULLFAKS	NO	84.000000	\N	4665.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1995	1995	\N	50	ED50	61	12	54.69	N	2	16	26.50	E	61.215192	2.274028	6787134.680000	460999.690000	31	34	10	C	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2622	http://www.npd.no/FactMapSearch?NPDID_wellbore=2622	initial	\N	2622	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-10 A	33/12-B-10	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1995-08-19	1995-10-23	STATFJORD	1052-P	33/12-1 STATFJORD	NO	77.800000	\N	5847.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1995	1995	\N	50	ED50	61	12	25.15	N	1	49	52.14	E	61.206986	1.831150	6786565.550000	437192.720000	31	33	12	B	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2631	http://www.npd.no/FactMapSearch?NPDID_wellbore=2631	sidetrack	33/12-B-10	2631	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-27	31/4-A-27	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1995-09-19	1995-11-01	BRAGE	1055-P	31/4-3 BRAGE	NO	63.000000	\N	4296.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1995	1995	\N	50	ED50	60	32	33.09	N	3	2	50.52	E	60.542525	3.047367	6711992.510000	502598.760000	31	31	4	A	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2633	http://www.npd.no/FactMapSearch?NPDID_wellbore=2633	initial	\N	2633	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-24	34/7-P-24	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1995-09-05	1995-12-06	SNORRE	1061-P	34/4-1 SNORRE	NO	59.000000	\N	4990.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1995	1995	\N	50	ED50	61	26	57.72	N	2	8	36.54	E	61.449367	2.143483	6813303.900000	454329.070000	31	34	7	P	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2637	http://www.npd.no/FactMapSearch?NPDID_wellbore=2637	initial	\N	2637	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/1-A-24 B	2/1-A-24	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1995-08-21	1995-10-29	GYDA	1056-P	2/1-3 GYDA	NO	56.000000	\N	5200.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	1995	1995	\N	173	ED50	56	54	17.42	N	3	5	6.18	E	56.904839	3.085050	6306937.430000	505180.040000	31	2	1	A	24	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2638	http://www.npd.no/FactMapSearch?NPDID_wellbore=2638	sidetrack	2/1-A-24 A	2638	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/8-A-20 B	2/8-A-20	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	\N	DEVELOPMENT	1997-03-17	1997-05-04	VALHALL	1300-P	2/8-6 VALHALL	NO	44.000000	\N	4758.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1997	1997	\N	71	ED50	56	16	40.74	N	3	23	43.61	E	56.277983	3.395447	6237227.630000	524486.990000	31	2	8	A	20	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2639	http://www.npd.no/FactMapSearch?NPDID_wellbore=2639	sidetrack	2/8-A-20 A	2639	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
33/9-A-6 A	33/9-A-6	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1995-08-23	1995-10-01	STATFJORD	1060-P	33/12-1 STATFJORD	NO	64.400000	\N	4525.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1995	1995	\N	50	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2641	http://www.npd.no/FactMapSearch?NPDID_wellbore=2641	sidetrack	33/9-A-6	2641	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-G-6 H	31/2-G-6	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1995-08-24	1995-10-07	TROLL	1066-P	31/2-1 TROLL VEST	NO	23.000000	\N	3969.000000	328.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL G	4	NO	OIL	1995	1995	\N	50	ED50	60	45	8.67	N	3	26	36.00	E	60.752408	3.443333	6735450.680000	524165.550000	31	31	2	G	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2649	http://www.npd.no/FactMapSearch?NPDID_wellbore=2649	initial	\N	2649	44534	46437	9999-12-31	21228	289333	278189	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-30 A	33/9-A-30	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2002-05-19	2002-07-07	STATFJORD	2113-P	33/12-1 STATFJORD	NO	64.400000	\N	5125.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2002	2002	\N	50	ED50	61	15	19.88	N	1	51	13.40	E	61.255522	1.853722	6791950.090000	438500.360000	31	33	9	A	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2650	http://www.npd.no/FactMapSearch?NPDID_wellbore=2650	sidetrack	33/9-A-30	2650	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/9-A-2	15/9-A-2	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1995-08-29	1996-03-04	GUNGNE	1063-P	15/9-15 GUNGNE	NO	78.000000	\N	8561.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	1995	1996	\N	90	ED50	58	22	2.69	N	1	54	29.70	E	58.367414	1.908250	6470282.630000	436128.420000	31	15	9	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2651	http://www.npd.no/FactMapSearch?NPDID_wellbore=2651	initial	\N	2651	43922	43464	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-B-10	15/9-B-10	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1995-09-02	1995-10-22	SLEIPNER VEST	1064-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	3920.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1995	1995	\N	90	ED50	58	25	4.54	N	1	43	4.23	E	58.417928	1.717842	6476102.950000	425096.780000	31	15	9	B	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2652	http://www.npd.no/FactMapSearch?NPDID_wellbore=2652	initial	\N	2652	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-P-9	34/7-P-9	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1996-02-01	1996-06-16	SNORRE	1116-P	34/4-1 SNORRE	NO	59.000000	\N	4994.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1996	1996	\N	50	ED50	61	26	56.95	N	2	8	37.37	E	61.449153	2.143714	6813279.910000	454341.050000	31	34	7	P	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2653	http://www.npd.no/FactMapSearch?NPDID_wellbore=2653	initial	\N	2653	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-P-32	34/7-P-32	Saga Petroleum ASA	SAGA	089	INJECTION	GAS	DEVELOPMENT	1995-12-06	1996-02-01	SNORRE	1104-P	34/4-1 SNORRE	NO	59.000000	\N	4923.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	GAS	1995	1996	\N	91	ED50	61	26	58.11	N	2	8	36.53	E	61.449475	2.143481	6813315.970000	454329.080000	31	34	7	P	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2654	http://www.npd.no/FactMapSearch?NPDID_wellbore=2654	initial	\N	2654	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
25/5-A-2 A	25/5-A-2	Elf Petroleum Norge AS	ELF	102	INJECTION	WATER	DEVELOPMENT	1995-09-10	1995-10-09	FRØY	1073-P	25/5-1 FRØY	NO	45.000000	\N	4590.000000	120.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	FRØY	9	NO	WATER	1995	1995	\N	173	ED50	59	44	3.38	N	2	33	27.86	E	59.734272	2.557739	6622055.430000	475133.020000	31	25	5	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2655	http://www.npd.no/FactMapSearch?NPDID_wellbore=2655	sidetrack	25/5-A-2	2655	44264	43597	9999-12-31	21620	296002	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
9/2-A-1	9/2-A-1	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	1996-02-01	1996-03-08	YME	1074-P	9/2-1 YME	NO	42.000000	\N	4435.000000	92.000000	NORTH SEA	YME	JACK-UP 3 LEGS	YME B ØST	10-A	NO	OIL	1996	1996	9/2-4 S	50	ED50	57	49	7.48	N	4	31	10.74	E	57.818744	4.519650	6409689.370000	590278.650000	31	9	2	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2662	http://www.npd.no/FactMapSearch?NPDID_wellbore=2662	initial	\N	2662	45098	43807	9999-12-31	21716	278245	282557	2258	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-10 A	30/6-C-10	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-09-14	1995-11-08	OSEBERG	1075-P	30/6-1 OSEBERG	NO	62.300000	\N	3433.000000	108.600000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	30	6	C	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2663	http://www.npd.no/FactMapSearch?NPDID_wellbore=2663	sidetrack	30/6-C-10	2663	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-10-25	2012-10-25	2013-05-08
34/10-C-30	34/10-C-30	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1995-10-13	1995-11-25	GULLFAKS	1077-P	34/10-1 GULLFAKS	NO	84.000000	\N	3642.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1995	1995	\N	50	ED50	61	12	53.49	N	2	16	27.75	E	61.214858	2.274375	6787097.340000	461017.930000	31	34	10	C	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2674	http://www.npd.no/FactMapSearch?NPDID_wellbore=2674	initial	\N	2674	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-12-11	2012-12-11	2013-05-08
34/10-B-36	34/10-B-36	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1995-10-29	1995-11-18	GULLFAKS	1081-P	34/10-1 GULLFAKS	NO	81.000000	\N	2534.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1995	1995	\N	50	ED50	61	12	10.01	N	2	12	6.22	E	61.202781	2.201728	6785797.520000	457098.870000	31	34	10	B	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2684	http://www.npd.no/FactMapSearch?NPDID_wellbore=2684	initial	\N	2684	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-28 A	33/9-C-28	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1995-10-25	1995-10-26	STATFJORD	1080-P	33/12-1 STATFJORD	NO	78.400000	\N	2779.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1995	1995	\N	71	ED50	61	17	46.86	N	1	54	10.27	E	61.296350	1.902853	6796452.360000	441212.490000	31	33	9	C	28	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2685	http://www.npd.no/FactMapSearch?NPDID_wellbore=2685	sidetrack	33/9-C-28	2685	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-28 B	33/9-C-28	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1995-10-27	1995-11-14	STATFJORD	1084-P	33/12-1 STATFJORD	NO	78.400000	\N	2751.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1995	1995	\N	50	ED50	61	17	46.86	N	1	54	10.27	E	61.296350	1.902853	6796452.360000	441212.490000	31	33	9	C	28	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2686	http://www.npd.no/FactMapSearch?NPDID_wellbore=2686	sidetrack	33/9-C-28 A	2686	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-35 A	33/9-A-35	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1995-10-26	1996-01-15	STATFJORD	1079-P	33/12-1 STATFJORD	NO	64.400000	\N	5719.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1995	1996	\N	50	ED50	61	15	19.81	N	1	51	13.78	E	61.255503	1.853828	6791947.830000	438505.980000	31	33	9	A	35	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2687	http://www.npd.no/FactMapSearch?NPDID_wellbore=2687	sidetrack	33/9-A-35	2687	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/9-A-5	6407/9-A-5	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	1995-09-20	1995-11-19	DRAUGEN	1078-P	6407/9-1 DRAUGEN	NO	63.000000	\N	2460.000000	253.000000	NORWEGIAN SEA	DRAUGEN	CONDEEP MONOSHAFT	DRAUGEN	8	NO	OIL	1995	1995	\N	50	ED50	64	21	11.42	N	7	46	57.64	E	64.353172	7.782678	7137110.070000	441210.570000	32	6407	9	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2688	http://www.npd.no/FactMapSearch?NPDID_wellbore=2688	initial	\N	2688	44888	43758	9999-12-31	21548	272393	272393	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-D-9	31/2-D-9	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-10-11	1995-10-27	TROLL	1082-P	31/2-1 TROLL VEST	NO	23.000000	\N	1760.000000	350.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	NO	NOT APPLICABLE	1995	1995	\N	99	ED50	60	52	19.55	N	3	26	14.29	E	60.872097	3.437303	6748779.970000	523748.000000	31	31	2	D	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2689	http://www.npd.no/FactMapSearch?NPDID_wellbore=2689	initial	\N	2689	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/6-A-12	31/6-A-12	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-05-04	1996-05-20	TROLL	1159-P	31/6-1 TROLL ØST	NO	58.600000	\N	1612.600000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	44.83	N	3	43	35.38	E	60.645786	3.726494	6723712.610000	539731.280000	31	31	6	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2691	http://www.npd.no/FactMapSearch?NPDID_wellbore=2691	initial	\N	2691	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-B-14	15/9-B-14	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1995-10-23	1996-07-07	SLEIPNER VEST	1086-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	3888.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1995	1996	\N	90	ED50	58	25	4.46	N	1	43	4.31	E	58.417906	1.717864	6476100.450000	425098.030000	31	15	9	B	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2692	http://www.npd.no/FactMapSearch?NPDID_wellbore=2692	initial	\N	2692	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-10 B	30/6-C-10	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1995-11-10	1995-12-04	OSEBERG	1087-P	30/6-1 OSEBERG	NO	62.300000	\N	5176.000000	108.600000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1995	1995	\N	50	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	30	6	C	10	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2693	http://www.npd.no/FactMapSearch?NPDID_wellbore=2693	sidetrack	30/6-C-10 A	2693	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-10-25	2012-10-25	2013-05-08
30/6-C-10 C	30/6-C-10	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1996-05-20	1996-09-25	OSEBERG	1161-P	30/6-1 OSEBERG	NO	62.300000	\N	5256.000000	108.600000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1996	1996	\N	50	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	30	6	C	10	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2694	http://www.npd.no/FactMapSearch?NPDID_wellbore=2694	sidetrack	30/6-C-10 B	2694	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-10-25	2012-10-25	2013-05-08
34/7-C-2 H	34/7-C-2	Saga Petroleum ASA	SAGA	089	PRODUCTION	\N	DEVELOPMENT	1995-11-26	1996-12-04	VIGDIS	1090-P	34/7-8 VIGDIS	NO	25.000000	\N	3220.000000	282.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VIGDIS C	8	NO	OIL	1995	1996	\N	71	ED50	61	22	49.44	N	2	6	12.55	E	61.380400	2.103486	6805650.440000	452090.880000	31	34	7	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2698	http://www.npd.no/FactMapSearch?NPDID_wellbore=2698	initial	\N	2698	44714	43732	9999-12-31	21516	294058	277657	0	SAGA	2012-07-25	2012-07-25	2013-05-08
33/9-C-41	33/9-C-41	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1995-11-14	1996-01-17	STATFJORD	1092-P	33/12-1 STATFJORD	NO	78.400000	\N	4438.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1995	1996	\N	50	ED50	61	17	46.68	N	1	54	9.95	E	61.296300	1.902764	6796446.870000	441207.630000	31	33	9	C	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2700	http://www.npd.no/FactMapSearch?NPDID_wellbore=2700	initial	\N	2700	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-F-1	2/8-F-1	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1995-12-11	1996-05-28	VALHALL	1093-P	2/8-6 VALHALL	NO	43.000000	\N	5012.000000	72.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1995	1996	\N	50	ED50	56	16	35.69	N	3	23	47.14	E	56.276581	3.396428	6237071.840000	524548.600000	31	2	8	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2702	http://www.npd.no/FactMapSearch?NPDID_wellbore=2702	initial	\N	2702	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
6407/9-A-3	6407/9-A-3	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	1995-11-11	1995-12-21	DRAUGEN	1097-P	6407/9-1 DRAUGEN	NO	63.000000	\N	2200.000000	253.000000	NORWEGIAN SEA	DRAUGEN	CONDEEP MONOSHAFT	DRAUGEN	8	NO	OIL	1995	1995	\N	50	ED50	64	21	11.50	N	7	46	57.64	E	64.353194	7.782678	7137112.540000	441210.620000	32	6407	9	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2707	http://www.npd.no/FactMapSearch?NPDID_wellbore=2707	initial	\N	2707	44888	43758	9999-12-31	21548	272393	272393	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/5-H-5 AH	31/5-H-5	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1995-11-17	1995-12-17	TROLL	1098-P	31/2-1 TROLL VEST	NO	23.000000	\N	4241.000000	318.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	OIL	1995	1995	\N	50	ED50	60	42	52.25	N	3	30	24.52	E	60.714514	3.506811	6731254.930000	527658.170000	31	31	5	H	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2711	http://www.npd.no/FactMapSearch?NPDID_wellbore=2711	sidetrack	31/5-H-5 H	2711	44534	46437	9999-12-31	21476	289333	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-17 A	34/10-A-17	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1995-12-01	1996-01-12	GULLFAKS	1099-P	34/10-1 GULLFAKS	NO	82.000000	\N	3246.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	1995	1996	\N	173	ED50	61	10	33.93	N	2	11	23.14	E	61.176092	2.189761	6782832.650000	456418.940000	31	34	10	A	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2712	http://www.npd.no/FactMapSearch?NPDID_wellbore=2712	sidetrack	34/10-A-17	2712	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-40	31/4-A-40	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1995-11-06	1996-01-11	BRAGE	1091-P	31/4-3 BRAGE	NO	62.600000	\N	5822.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1995	1996	\N	50	ED50	60	32	33.51	N	3	2	50.52	E	60.542642	3.047367	6712005.500000	502598.750000	31	31	4	A	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2714	http://www.npd.no/FactMapSearch?NPDID_wellbore=2714	initial	\N	2714	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-B-5	15/9-B-5	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	1995-11-26	1996-08-04	SLEIPNER VEST	1100-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	4800.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1995	1996	\N	170	ED50	58	25	4.57	N	1	43	4.00	E	58.417936	1.717778	6476103.950000	425093.060000	31	15	9	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2715	http://www.npd.no/FactMapSearch?NPDID_wellbore=2715	initial	\N	2715	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-F-2	2/8-F-2	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1995-12-08	1996-03-11	VALHALL	1094-P	2/8-6 VALHALL	NO	43.000000	\N	4807.000000	72.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1995	1996	\N	50	ED50	56	16	35.65	N	3	23	46.96	E	56.276569	3.396378	6237070.590000	524545.510000	31	2	8	F	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2716	http://www.npd.no/FactMapSearch?NPDID_wellbore=2716	initial	\N	2716	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-3	2/8-F-3	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	\N	DEVELOPMENT	1995-12-13	1996-10-14	VALHALL	1095-P	2/8-6 VALHALL	NO	43.000000	\N	5246.000000	72.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1995	1996	\N	71	ED50	56	16	35.70	N	3	23	47.03	E	56.276583	3.396397	6237072.140000	524546.710000	31	2	8	F	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2717	http://www.npd.no/FactMapSearch?NPDID_wellbore=2717	initial	\N	2717	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-4	2/8-F-4	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1996-06-09	1996-12-05	VALHALL	1096-P	2/8-6 VALHALL	NO	43.000000	\N	4918.000000	72.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1996	1996	\N	50	ED50	56	16	35.67	N	3	23	47.25	E	56.276575	3.396458	6237071.230000	524550.500000	31	2	8	F	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2718	http://www.npd.no/FactMapSearch?NPDID_wellbore=2718	initial	\N	2718	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-C-31	34/10-C-31	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1995-11-27	1996-01-17	GULLFAKS	1101-P	34/10-1 GULLFAKS	NO	84.000000	\N	4381.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	WATER	1995	1996	\N	173	ED50	61	12	54.62	N	2	16	26.59	E	61.215172	2.274053	6787132.500000	461001.010000	31	34	10	C	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2720	http://www.npd.no/FactMapSearch?NPDID_wellbore=2720	initial	\N	2720	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/5-A-10	25/5-A-10	Elf Petroleum Norge AS	ELF	102	INJECTION	WATER	DEVELOPMENT	1995-11-28	1996-02-25	FRØY	1103-P	25/5-1 FRØY	NO	45.000000	\N	5363.000000	120.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	FRØY	9	NO	WATER	1995	1996	\N	173	ED50	59	44	3.51	N	2	33	28.30	E	59.734308	2.557861	6622059.410000	475139.920000	31	25	5	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2721	http://www.npd.no/FactMapSearch?NPDID_wellbore=2721	initial	\N	2721	44264	43597	9999-12-31	21620	296002	277433	0	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/1-A-21	2/1-A-21	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1997-11-27	1998-07-23	GYDA	1384-P	2/1-3 GYDA	NO	56.000000	\N	8714.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	1997	1998	\N	173	ED50	56	54	17.25	N	3	5	6.49	E	56.904792	3.085136	6306932.180000	505185.290000	31	2	1	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2722	http://www.npd.no/FactMapSearch?NPDID_wellbore=2722	initial	\N	2722	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/3-A-7 A	30/3-A-7	Den norske stats oljeselskap a.s	STATOIL	052	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1995-12-20	1996-01-04	VESLEFRIKK	1102-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3810.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	NOT APPLICABLE	1995	1996	\N	99	ED50	60	46	57.92	N	2	53	52.06	E	60.782756	2.897794	6738753.680000	494434.140000	31	30	3	A	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2724	http://www.npd.no/FactMapSearch?NPDID_wellbore=2724	sidetrack	30/3-A-7	2724	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-44	34/10-A-44	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1996-01-31	1996-04-18	GULLFAKS	1120-P	34/10-1 GULLFAKS	NO	82.000000	\N	4130.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1996	1996	\N	50	ED50	61	10	34.91	N	2	11	21.63	E	61.176364	2.189342	6782863.250000	456396.750000	31	34	10	A	44	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2726	http://www.npd.no/FactMapSearch?NPDID_wellbore=2726	initial	\N	2726	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-7 A	30/6-C-7	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-08-06	1996-09-01	OSEBERG	1105-P	30/6-1 OSEBERG	NO	62.000000	\N	3610.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	60	36	29.42	N	2	46	33.72	E	60.608172	2.776033	6719324.390000	487737.050000	31	30	6	C	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2727	http://www.npd.no/FactMapSearch?NPDID_wellbore=2727	sidetrack	30/6-C-7	2727	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-2 B	33/12-B-2	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-02-08	1996-04-26	STATFJORD	1107-P	33/12-1 STATFJORD	NO	77.800000	\N	5114.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1996	1996	\N	50	ED50	61	12	25.25	N	1	49	52.41	E	61.207014	1.831225	6786568.570000	437196.810000	31	33	12	B	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2731	http://www.npd.no/FactMapSearch?NPDID_wellbore=2731	sidetrack	33/12-B-2 A	2731	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-B-51 AH	30/6-B-51	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1996-01-23	1996-08-11	OSEBERG	1110-P	30/6-15 OSEBERG VEST	NO	22.000000	\N	4606.000000	105.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	30/6-B-51 H	4	NO	OIL	1996	1996	\N	50	ED50	60	31	59.58	N	2	44	23.91	E	60.533217	2.739975	6710982.990000	485729.740000	31	30	6	B	51	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2732	http://www.npd.no/FactMapSearch?NPDID_wellbore=2732	sidetrack	30/6-B-51 H	2732	44408	43625	9999-12-31	21220	287902	280065	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-C-1 H	34/7-C-1	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1996-01-17	1996-12-30	VIGDIS	1113-P	34/7-8 VIGDIS	NO	25.000000	\N	4431.000000	283.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VIGDIS C	8	NO	OIL	1996	1996	\N	50	ED50	61	22	49.91	N	2	6	11.80	E	61.380531	2.103278	6805665.130000	452079.950000	31	34	7	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2734	http://www.npd.no/FactMapSearch?NPDID_wellbore=2734	initial	\N	2734	44714	43732	9999-12-31	21516	294058	277657	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/2-D-2 H	31/2-D-2	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1995-12-19	1996-01-28	TROLL	1108-P	31/2-1 TROLL VEST	NO	23.000000	\N	4602.000000	338.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	NO	OIL	1995	1996	\N	50	ED50	60	51	30.48	N	3	26	43.52	E	60.858467	3.445422	6747264.690000	524199.230000	31	31	2	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2735	http://www.npd.no/FactMapSearch?NPDID_wellbore=2735	initial	\N	2735	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-16 A	30/9-B-16	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1996-07-08	1996-09-17	OSEBERG	1175-P	30/6-1 OSEBERG	NO	58.000000	\N	5734.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1996	1996	\N	50	ED50	60	29	36.27	N	2	49	42.89	E	60.493408	2.828581	6706533.160000	490580.890000	31	30	9	B	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2737	http://www.npd.no/FactMapSearch?NPDID_wellbore=2737	sidetrack	30/9-B-16	2737	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-30 A	30/9-B-30	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	1998-01-21	1998-03-08	OSEBERG	1407-P	30/6-1 OSEBERG	NO	58.000000	\N	5724.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1998	1998	\N	71	ED50	60	29	36.13	N	2	49	43.29	E	60.493369	2.828692	6706528.810000	490586.980000	31	30	9	B	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2738	http://www.npd.no/FactMapSearch?NPDID_wellbore=2738	sidetrack	30/9-B-30	2738	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-23 A	30/9-B-23	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	1999-11-04	1999-12-03	OSEBERG	1655-P	30/6-1 OSEBERG	NO	58.000000	\N	5201.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1999	1999	\N	71	ED50	60	29	36.20	N	2	49	43.09	E	60.493389	2.828636	6706530.980000	490583.940000	31	30	9	B	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2739	http://www.npd.no/FactMapSearch?NPDID_wellbore=2739	sidetrack	30/9-B-23	2739	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-23 B	30/9-B-23	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	2000-05-22	2000-06-13	OSEBERG	1758-P	30/6-1 OSEBERG	NO	58.000000	\N	5984.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2000	2000	\N	71	ED50	60	29	36.20	N	2	49	43.09	E	60.493389	2.828636	6706530.980000	490583.940000	31	30	9	B	23	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2740	http://www.npd.no/FactMapSearch?NPDID_wellbore=2740	sidetrack	30/9-B-23 A	2740	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-24 B	30/9-B-24	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2007-04-17	2007-08-25	OSEBERG	2829-P	30/6-1 OSEBERG	NO	58.000000	\N	5050.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2007	2007	\N	50	ED50	60	29	36.22	N	2	49	43.26	E	60.493394	2.828683	6706531.590000	490586.530000	31	30	9	B	24	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2742	http://www.npd.no/FactMapSearch?NPDID_wellbore=2742	sidetrack	30/9-B-24 A	2742	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-36	30/9-B-36	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-01-23	1996-02-26	OSEBERG	1117-P	30/6-1 OSEBERG	NO	58.000000	\N	4066.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	60	29	36.05	N	2	49	43.33	E	60.493347	2.828703	6706526.330000	490587.590000	31	30	9	B	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2744	http://www.npd.no/FactMapSearch?NPDID_wellbore=2744	initial	\N	2744	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-16 B	30/9-B-16	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	WATER	DEVELOPMENT	2005-12-04	2006-02-02	OSEBERG	2652-P	30/6-1 OSEBERG	NO	58.000000	\N	2462.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	WATER	2005	2006	\N	173	ED50	60	29	36.27	N	2	49	42.89	E	60.493408	2.828581	6706533.160000	490580.890000	31	30	9	B	16	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2745	http://www.npd.no/FactMapSearch?NPDID_wellbore=2745	sidetrack	30/9-B-16 A	2745	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-24 A	30/9-B-24	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1997-01-07	1997-03-24	OSEBERG	1242-P	30/6-1 OSEBERG	NO	58.000000	\N	5800.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1997	1997	\N	50	ED50	60	29	36.22	N	2	49	43.26	E	60.493394	2.828683	6706531.590000	490586.530000	31	30	9	B	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2746	http://www.npd.no/FactMapSearch?NPDID_wellbore=2746	sidetrack	30/9-B-24	2746	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-32	34/10-C-32	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1996-01-23	1996-03-17	GULLFAKS	1115-P	34/10-1 GULLFAKS	NO	84.000000	\N	5100.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1996	1996	\N	50	ED50	61	12	53.43	N	2	16	28.21	E	61.214842	2.274503	6787095.410000	461024.770000	31	34	10	C	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2747	http://www.npd.no/FactMapSearch?NPDID_wellbore=2747	initial	\N	2747	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
9/2-B-1 H	9/2-B-1	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	1996-04-07	1996-05-08	YME	1109-P	9/2-1 YME	NO	23.000000	\N	3355.000000	77.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	YME B VEST	10-A	NO	OIL	1996	1996	9/2-5	50	ED50	57	45	15.30	N	4	21	21.16	E	57.754250	4.355878	6402303.160000	580693.950000	31	9	2	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2748	http://www.npd.no/FactMapSearch?NPDID_wellbore=2748	initial	\N	2748	45098	43807	9999-12-31	21716	287983	282585	2599	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-B-6	15/9-B-6	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1996-02-05	1996-07-22	SLEIPNER VEST	1111-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	4540.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1996	1996	\N	90	ED50	58	25	4.61	N	1	43	4.14	E	58.417947	1.717817	6476105.140000	425095.360000	31	15	9	B	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2749	http://www.npd.no/FactMapSearch?NPDID_wellbore=2749	initial	\N	2749	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-12 A	30/6-C-12	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-01-22	1996-02-13	OSEBERG	1112-P	30/6-1 OSEBERG	NO	62.000000	\N	3525.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	60	36	29.42	N	2	46	33.60	E	60.608172	2.776000	6719324.390000	487735.230000	31	30	6	C	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2750	http://www.npd.no/FactMapSearch?NPDID_wellbore=2750	sidetrack	30/6-C-12	2750	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-12 B	30/6-C-12	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1996-02-13	1996-03-05	OSEBERG	1127-P	30/6-1 OSEBERG	NO	62.000000	\N	5266.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1996	1996	\N	50	ED50	60	36	29.42	N	2	46	33.60	E	60.608172	2.776000	6719324.390000	487735.230000	31	30	6	C	12	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2751	http://www.npd.no/FactMapSearch?NPDID_wellbore=2751	sidetrack	30/6-C-12 A	2751	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-12 C	30/6-C-12	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1996-03-05	1996-04-27	OSEBERG	1134-P	30/6-1 OSEBERG	NO	62.000000	\N	4739.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1996	1996	\N	50	ED50	60	36	29.42	N	2	46	33.60	E	60.608172	2.776000	6719324.390000	487735.230000	31	30	6	C	12	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2752	http://www.npd.no/FactMapSearch?NPDID_wellbore=2752	sidetrack	30/6-C-12 B	2752	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-17	33/9-C-17	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-01-20	1996-02-16	STATFJORD	1114-P	33/12-1 STATFJORD	NO	78.400000	\N	3280.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1996	1996	\N	50	ED50	61	17	47.91	N	1	54	11.19	E	61.296642	1.903108	6796484.620000	441226.720000	31	33	9	C	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2753	http://www.npd.no/FactMapSearch?NPDID_wellbore=2753	initial	\N	2753	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-36 A	30/9-B-36	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1996-02-26	1996-04-23	OSEBERG	1128-P	30/6-1 OSEBERG	NO	58.000000	\N	6044.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1996	1996	\N	50	ED50	60	29	36.05	N	2	49	43.33	E	60.493347	2.828703	6706526.330000	490587.590000	31	30	9	B	36	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2754	http://www.npd.no/FactMapSearch?NPDID_wellbore=2754	sidetrack	30/9-B-36	2754	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/3-A-7 B	30/3-A-7	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1996-02-02	1996-02-28	VESLEFRIKK	1118-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5333.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1996	1996	\N	50	ED50	60	46	57.92	N	2	53	52.06	E	60.782756	2.897794	6738753.680000	494434.140000	31	30	3	A	7	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2755	http://www.npd.no/FactMapSearch?NPDID_wellbore=2755	sidetrack	30/3-A-7 A	2755	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-A-25	2/1-A-25	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	1996-01-22	1996-03-12	GYDA	1119-P	2/1-3 GYDA	NO	56.000000	\N	5370.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1996	1996	\N	50	ED50	56	54	17.19	N	3	5	6.38	E	56.904775	3.085106	6306930.320000	505183.430000	31	2	1	A	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2756	http://www.npd.no/FactMapSearch?NPDID_wellbore=2756	initial	\N	2756	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
31/4-A-17	31/4-A-17	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-02-02	1996-04-03	BRAGE	1121-P	31/4-3 BRAGE	NO	63.000000	\N	3985.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	60	32	33.42	N	3	2	51.03	E	60.542617	3.047508	6712002.720000	502606.520000	31	31	4	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2757	http://www.npd.no/FactMapSearch?NPDID_wellbore=2757	initial	\N	2757	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-E-5 H	31/2-E-5	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-01-29	1996-02-09	TROLL	1122-P	31/2-1 TROLL VEST	NO	23.000000	\N	1885.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	60	47	52.42	N	3	26	34.66	E	60.797894	3.442961	6740516.960000	524111.070000	31	31	2	E	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2760	http://www.npd.no/FactMapSearch?NPDID_wellbore=2760	initial	\N	2760	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-C-3 H	34/7-C-3	Saga Petroleum ASA	SAGA	089	PRODUCTION	\N	DEVELOPMENT	1996-01-23	1996-12-10	VIGDIS	1123-P	34/7-8 VIGDIS	NO	25.000000	\N	4715.000000	282.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VIGDIS C	8	NO	OIL	1996	1996	\N	71	ED50	61	22	49.49	N	2	6	11.82	E	61.380414	2.103283	6805652.130000	452080.060000	31	34	7	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2761	http://www.npd.no/FactMapSearch?NPDID_wellbore=2761	initial	\N	2761	44714	43732	9999-12-31	21516	294058	277657	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/2-E-5 AH	31/2-E-5	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1996-02-09	1996-03-02	TROLL	1124-P	31/2-1 TROLL VEST	NO	23.000000	\N	3070.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	NO	OIL	1996	1996	\N	50	ED50	60	47	52.42	N	3	26	34.66	E	60.797894	3.442961	6740516.960000	524111.070000	31	31	2	E	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2762	http://www.npd.no/FactMapSearch?NPDID_wellbore=2762	sidetrack	31/2-E-5 H	2762	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-11-13	2012-11-13	2013-05-08
15/9-A-16	15/9-A-16	Den norske stats oljeselskap a.s	STATOIL	046	INJECTION	CO2	DEVELOPMENT	1996-03-13	1996-04-16	SLEIPNER ØST	1126-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	3752.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	CO2	1996	1996	\N	180	ED50	58	22	2.70	N	1	54	30.25	E	58.367417	1.908403	6470282.800000	436137.370000	31	15	9	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2763	http://www.npd.no/FactMapSearch?NPDID_wellbore=2763	initial	\N	2763	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-17 A	31/4-A-17	Norsk Hydro Produksjon AS	HYDRO	055	INJECTION	WATER	DEVELOPMENT	1996-04-04	1996-05-09	BRAGE	1129-P	31/4-3 BRAGE	NO	63.000000	\N	5541.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	1996	1996	\N	173	ED50	60	32	33.42	N	3	2	51.03	E	60.542617	3.047508	6712002.720000	502606.520000	31	31	4	A	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2765	http://www.npd.no/FactMapSearch?NPDID_wellbore=2765	sidetrack	31/4-A-17	2765	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-51	6507/7-A-51	Den norske stats oljeselskap a.s	STATOIL	095	INJECTION	WATER	DEVELOPMENT	1996-03-08	1996-04-23	HEIDRUN	1130-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4145.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER	1996	1996	\N	173	ED50	65	19	32.40	N	7	19	3.24	E	65.325667	7.317567	7245977.850000	421632.600000	32	6507	7	A	51	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2766	http://www.npd.no/FactMapSearch?NPDID_wellbore=2766	initial	\N	2766	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-10-09	2012-10-09	2013-05-08
30/3-A-17 A	30/3-A-17	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	WATER	DEVELOPMENT	1996-02-29	1996-04-10	VESLEFRIKK	1131-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3897.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER	1996	1996	\N	173	ED50	60	46	58.08	N	2	53	52.16	E	60.782800	2.897822	6738758.620000	494435.660000	31	30	3	A	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2767	http://www.npd.no/FactMapSearch?NPDID_wellbore=2767	sidetrack	30/3-A-17	2767	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-C-4 H	34/7-C-4	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1999-06-14	1999-08-28	VIGDIS	1571-P	34/7-8 VIGDIS	NO	31.000000	\N	4220.000000	283.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS C	8	NO	OIL	1999	1999	\N	50	ED50	61	22	49.66	N	2	6	11.87	E	61.380461	2.103297	6805657.380000	452080.880000	31	34	7	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2768	http://www.npd.no/FactMapSearch?NPDID_wellbore=2768	initial	\N	2768	44714	43732	9999-12-31	21516	290170	277657	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/8-F-2 A	2/8-F-2	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1996-03-12	1996-07-08	VALHALL	1132-P	2/8-6 VALHALL	NO	43.000000	\N	5355.000000	72.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1996	1996	\N	50	ED50	56	16	35.65	N	3	23	46.96	E	56.276569	3.396378	6237070.590000	524545.510000	31	2	8	F	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2773	http://www.npd.no/FactMapSearch?NPDID_wellbore=2773	sidetrack	2/8-F-2	2773	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
31/2-D-7 H	31/2-D-7	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1996-03-06	1996-04-07	TROLL	1133-P	31/2-1 TROLL VEST	NO	23.000000	\N	3900.000000	339.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	NO	OIL	1996	1996	\N	50	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	31	2	D	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2774	http://www.npd.no/FactMapSearch?NPDID_wellbore=2774	initial	\N	2774	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-1 A	33/9-C-1	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1996-03-09	1996-04-21	STATFJORD	1135-P	33/12-1 STATFJORD	NO	78.400000	\N	5190.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1996	1996	\N	173	ED50	61	17	48.17	N	1	54	11.09	E	61.296714	1.903081	6796492.690000	441225.370000	31	33	9	C	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2779	http://www.npd.no/FactMapSearch?NPDID_wellbore=2779	sidetrack	33/9-C-1	2779	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-B-7	15/9-B-7	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1996-03-27	1996-08-28	SLEIPNER VEST	1136-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	5732.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1996	1996	\N	90	ED50	58	25	4.66	N	1	43	4.29	E	58.417961	1.717858	6476106.640000	425097.820000	31	15	9	B	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2780	http://www.npd.no/FactMapSearch?NPDID_wellbore=2780	initial	\N	2780	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
9/2-B-2 H	9/2-B-2	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	1996-03-25	1996-07-28	YME	1139-P	9/2-1 YME	NO	23.000000	\N	3438.000000	77.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	YME B VEST	10-A	NO	OIL	1996	1996	\N	50	ED50	57	45	15.30	N	4	21	21.80	E	57.754250	4.356056	6402303.370000	580704.530000	31	9	2	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2781	http://www.npd.no/FactMapSearch?NPDID_wellbore=2781	initial	\N	2781	45098	43807	9999-12-31	21716	287983	282585	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-A-14 A	2/1-A-14	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	\N	DEVELOPMENT	1996-03-15	1996-05-08	GYDA	1137-P	2/1-3 GYDA	NO	56.000000	\N	4747.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1996	1996	\N	71	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	2	1	A	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2784	http://www.npd.no/FactMapSearch?NPDID_wellbore=2784	sidetrack	2/1-A-14	2784	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/8-A-26 A	2/8-A-26	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1996-03-18	1996-05-02	VALHALL	1138-P	2/8-6 VALHALL	NO	44.000000	\N	4389.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1996	1996	\N	50	ED50	56	16	41.02	N	3	23	44.20	E	56.278061	3.395611	6237236.350000	524497.090000	31	2	8	A	26	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2785	http://www.npd.no/FactMapSearch?NPDID_wellbore=2785	sidetrack	2/8-A-26	2785	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-C-33	34/10-C-33	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1996-03-18	1996-04-04	GULLFAKS	1140-P	34/10-1 GULLFAKS	NO	84.000000	\N	2295.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1996	1996	\N	50	ED50	61	12	54.90	N	2	16	26.25	E	61.215250	2.273958	6787141.220000	460996.030000	31	34	10	C	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2787	http://www.npd.no/FactMapSearch?NPDID_wellbore=2787	initial	\N	2787	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
9/2-A-8	9/2-A-8	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	1996-03-25	1996-06-06	YME	1141-P	9/2-1 YME	NO	42.300000	\N	4637.000000	92.000000	NORTH SEA	YME	JACK-UP 3 LEGS	YME B ØST	10-A	NO	OIL	1996	1996	\N	50	ED50	57	49	7.48	N	4	31	10.74	E	57.818744	4.519650	6409689.370000	590278.650000	31	9	2	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2790	http://www.npd.no/FactMapSearch?NPDID_wellbore=2790	initial	\N	2790	45098	43807	9999-12-31	21716	278245	282557	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-15	31/4-A-15	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	CUTTINGS	DEVELOPMENT	1996-05-10	1996-06-25	BRAGE	1143-P	31/4-3 BRAGE	NO	63.000000	\N	4397.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1996	1996	\N	171	ED50	60	32	33.00	N	3	2	50.69	E	60.542500	3.047414	6711989.720000	502601.350000	31	31	4	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2801	http://www.npd.no/FactMapSearch?NPDID_wellbore=2801	initial	\N	2801	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-I-3 AH	34/7-I-3	Saga Petroleum ASA	SAGA	089	PRODUCTION	\N	DEVELOPMENT	1996-04-25	1996-07-02	TORDIS	1144-P	34/7-12 TORDIS	NO	25.000000	\N	2636.000000	200.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	34/7-I-3 H	8	NO	OIL	1996	1996	\N	71	ED50	61	16	34.23	N	2	7	1.68	E	61.276175	2.117133	6794031.110000	452663.180000	31	34	7	I	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2802	http://www.npd.no/FactMapSearch?NPDID_wellbore=2802	sidetrack	34/7-I-3 H	2802	44666	43725	9999-12-31	21516	294058	281633	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/6-A-10	31/6-A-10	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-04-10	1996-06-06	TROLL	1145-P	31/6-1 TROLL ØST	NO	58.600000	\N	1579.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	44.98	N	3	43	35.38	E	60.645828	3.726494	6723717.250000	539731.230000	31	31	6	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2803	http://www.npd.no/FactMapSearch?NPDID_wellbore=2803	initial	\N	2803	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/5-H-1 H	31/5-H-1	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-04-14	1996-04-30	TROLL	1146-P	31/2-1 TROLL VEST	NO	23.000000	\N	2400.000000	316.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	60	42	57.98	N	3	30	39.37	E	60.716106	3.510936	6731433.950000	527881.900000	31	31	5	H	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2804	http://www.npd.no/FactMapSearch?NPDID_wellbore=2804	initial	\N	2804	44534	46437	9999-12-31	21476	289333	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-9	6507/7-A-9	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	\N	DEVELOPMENT	1996-04-24	1996-07-04	HEIDRUN	1147-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3985.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1996	1996	\N	71	ED50	65	19	32.85	N	7	19	2.31	E	65.325792	7.317308	7245992.100000	421620.940000	32	6507	7	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2805	http://www.npd.no/FactMapSearch?NPDID_wellbore=2805	initial	\N	2805	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-6 A	34/10-A-6	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1996-04-25	1996-06-01	GULLFAKS	1148-P	34/10-1 GULLFAKS	NO	82.000000	\N	3526.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1996	1996	\N	50	ED50	61	10	33.64	N	2	11	23.09	E	61.176011	2.189747	6782823.690000	456418.080000	31	34	10	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2806	http://www.npd.no/FactMapSearch?NPDID_wellbore=2806	sidetrack	34/10-A-6	2806	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-20 AY1	34/10-C-20	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1996-04-20	1996-05-24	GULLFAKS	1149-P1	34/10-1 GULLFAKS	NO	84.000000	\N	4712.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	YES	OIL	1996	1996	\N	50	ED50	61	12	53.39	N	2	16	28.06	E	61.214831	2.274461	6787094.200000	461022.520000	31	34	10	C	20	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2807	http://www.npd.no/FactMapSearch?NPDID_wellbore=2807	multilateral	34/10-C-20	2807	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-A-16 A	33/9-A-16	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-05-06	1996-07-11	STATFJORD	1150-P	33/12-1 STATFJORD	NO	64.400000	\N	5487.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1996	1996	\N	50	ED50	61	15	20.78	N	1	51	14.96	E	61.255772	1.854156	6791977.530000	438524.090000	31	33	9	A	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2808	http://www.npd.no/FactMapSearch?NPDID_wellbore=2808	sidetrack	33/9-A-16	2808	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-17 A	2/7-B-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1996-06-13	1996-09-01	ELDFISK	1151-P	2/7-1 ELDFISK	NO	42.000000	\N	5621.100000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1996	1996	\N	50	ED50	56	25	9.21	N	3	13	6.25	E	56.419225	3.218403	6252900.080000	513474.140000	31	2	7	B	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2809	http://www.npd.no/FactMapSearch?NPDID_wellbore=2809	sidetrack	2/7-B-17	2809	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-M-4 AH	33/9-M-4	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-04-18	1996-05-21	STATFJORD ØST	1152-P	33/9-7 STATFJORD ØST	NO	22.000000	\N	3160.000000	196.000000	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	STATFJORD ØST M	Awarded additionaly to round 2-A	NO	OIL	1996	1996	\N	50	ED50	61	20	27.97	N	1	59	59.27	E	61.341103	1.999797	6801353.780000	446483.030000	31	33	9	M	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2813	http://www.npd.no/FactMapSearch?NPDID_wellbore=2813	sidetrack	33/9-M-4 H	2813	44582	43672	9999-12-31	21084	296218	278021	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-16	31/6-A-16	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-04-20	1996-05-28	TROLL	1153-P	31/6-1 TROLL ØST	NO	58.600000	\N	1602.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	44.83	N	3	43	35.53	E	60.645786	3.726536	6723712.640000	539733.560000	31	31	6	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2814	http://www.npd.no/FactMapSearch?NPDID_wellbore=2814	initial	\N	2814	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-34	34/10-C-34	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-05-06	1996-06-20	GULLFAKS	1157-P	34/10-1 GULLFAKS	NO	84.000000	\N	4553.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	61	12	54.87	N	2	16	26.48	E	61.215242	2.274022	6787140.250000	460999.450000	31	34	10	C	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2815	http://www.npd.no/FactMapSearch?NPDID_wellbore=2815	initial	\N	2815	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-B-13	15/9-B-13	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1996-08-30	1996-12-27	SLEIPNER VEST	1154-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	6235.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1996	1996	\N	90	ED50	58	25	4.42	N	1	43	4.17	E	58.417894	1.717825	6476099.260000	425095.730000	31	15	9	B	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2816	http://www.npd.no/FactMapSearch?NPDID_wellbore=2816	initial	\N	2816	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-A-12 A	2/7-A-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1996-05-26	1996-07-23	ELDFISK	1155-P	2/7-1 ELDFISK	NO	51.000000	\N	5386.100000	71.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	ELDFISK A	1-A	NO	OIL	1996	1996	\N	50	ED50	56	22	36.48	N	3	15	57.60	E	56.376800	3.266000	6248188.160000	516428.850000	31	2	7	A	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2817	http://www.npd.no/FactMapSearch?NPDID_wellbore=2817	sidetrack	2/7-A-12	2817	44114	43527	9999-12-31	20900	296002	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/1-A-12	2/1-A-12	BP Norway Limited  U.A.	BP	019 B	INJECTION	WATER	DEVELOPMENT	1996-05-08	1996-08-07	GYDA	1156-P	2/1-3 GYDA	NO	56.000000	\N	6024.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	1996	1996	\N	173	ED50	56	54	17.61	N	3	5	6.49	E	56.904892	3.085136	6306943.310000	505185.280000	31	2	1	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2818	http://www.npd.no/FactMapSearch?NPDID_wellbore=2818	initial	\N	2818	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
33/12-B-41 A	33/12-B-41	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-05-19	1996-06-06	STATFJORD	1158-P	33/12-1 STATFJORD	NO	77.800000	\N	4610.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1996	1996	\N	50	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	41	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2819	http://www.npd.no/FactMapSearch?NPDID_wellbore=2819	sidetrack	33/12-B-41	2819	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/5-H-1 AH	31/5-H-1	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1996-04-30	1996-06-01	TROLL	1160-P	31/2-1 TROLL VEST	NO	23.000000	\N	4771.000000	315.500000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	OIL	1996	1996	\N	50	ED50	60	42	57.98	N	3	30	39.37	E	60.716106	3.510936	6731433.950000	527881.900000	31	31	5	H	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2820	http://www.npd.no/FactMapSearch?NPDID_wellbore=2820	sidetrack	31/5-H-1 H	2820	44534	46437	9999-12-31	21476	289333	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-D-1 H	25/11-D-1	Esso Exploration and Production Norway A/S	ESSO	001	INJECTION	GAS	DEVELOPMENT	1996-05-25	1997-04-30	BALDER	1162-P	25/11-1 BALDER	NO	18.000000	\N	2773.000000	127.700000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-D-1 H	1-A	NO	GAS	1996	1997	\N	91	ED50	59	12	1.03	N	2	24	37.02	E	59.200286	2.410283	6562654.960000	466314.990000	31	25	11	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2821	http://www.npd.no/FactMapSearch?NPDID_wellbore=2821	initial	\N	2821	44210	43562	9999-12-31	20756	297514	284041	0	ESSO	2012-07-25	2012-07-25	2013-05-08
7/12-A-7 A	7/12-A-7	BP Norway Limited  U.A.	BP	019	PRODUCTION	\N	DEVELOPMENT	1996-10-11	1996-10-23	ULA	1163-P	7/12-2 ULA	NO	57.000000	\N	4088.500000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1996	1996	\N	71	ED50	57	6	41.45	N	2	50	50.50	E	57.111514	2.847361	6329951.620000	490754.810000	31	7	12	A	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2822	http://www.npd.no/FactMapSearch?NPDID_wellbore=2822	sidetrack	7/12-A-7	2822	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/9-B-14 A	30/9-B-14	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1996-05-18	1996-07-03	OSEBERG	1164-P	30/6-1 OSEBERG	NO	58.000000	\N	5796.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1996	1996	\N	50	ED50	60	29	36.24	N	2	49	42.55	E	60.493400	2.828486	6706532.240000	490575.700000	31	30	9	B	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2824	http://www.npd.no/FactMapSearch?NPDID_wellbore=2824	sidetrack	30/9-B-14	2824	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-39	34/7-P-39	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1996-06-18	1996-08-12	SNORRE	1165-P	34/4-1 SNORRE	NO	59.000000	\N	4560.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1996	1996	\N	50	ED50	61	26	58.24	N	2	8	37.06	E	61.449511	2.143628	6813319.880000	454336.980000	31	34	7	P	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2827	http://www.npd.no/FactMapSearch?NPDID_wellbore=2827	initial	\N	2827	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
9/2-A-4	9/2-A-4	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	1996-06-08	1996-11-25	YME	1167-P	9/2-1 YME	NO	42.300000	3377.00	4845.000000	92.800000	NORTH SEA	YME	JACK-UP 3 LEGS	YME B ØST	10-A	NO	OIL	1996	1996	\N	50	ED50	57	49	7.53	N	4	31	11.21	E	57.818758	4.519781	6409691.090000	590286.370000	31	9	2	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2828	http://www.npd.no/FactMapSearch?NPDID_wellbore=2828	initial	\N	2828	45098	43807	2008-08-15	21716	278245	282557	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/5-H-4 H	31/5-H-4	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1996-06-28	1996-08-06	TROLL	1168-P	31/2-1 TROLL VEST	NO	23.000000	\N	3938.000000	318.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	OIL	1996	1996	\N	50	ED50	60	42	55.16	N	3	30	26.53	E	60.715322	3.507369	6731345.200000	527687.940000	31	31	5	H	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2834	http://www.npd.no/FactMapSearch?NPDID_wellbore=2834	initial	\N	2834	44534	46437	9999-12-31	21476	289333	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-6 A	33/12-B-6	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1996-06-28	1996-07-08	STATFJORD	1169-P	33/12-1 STATFJORD	NO	77.800000	\N	3435.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1996	1996	\N	71	ED50	61	12	25.18	N	1	49	52.34	E	61.206994	1.831206	6786566.430000	437195.730000	31	33	12	B	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2835	http://www.npd.no/FactMapSearch?NPDID_wellbore=2835	sidetrack	33/12-B-6	2835	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-27	31/6-A-27	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-06-16	1996-08-16	TROLL	1170-P	31/6-1 TROLL ØST	NO	58.600000	\N	1596.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	43.62	N	3	43	35.23	E	60.645450	3.726453	6723675.150000	539729.410000	31	31	6	A	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2836	http://www.npd.no/FactMapSearch?NPDID_wellbore=2836	initial	\N	2836	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-29	31/6-A-29	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-07-06	1996-07-27	TROLL	1171-P	31/6-1 TROLL ØST	NO	58.600000	\N	1598.500000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	43.77	N	3	43	35.38	E	60.645492	3.726494	6723679.820000	539731.640000	31	31	6	A	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2837	http://www.npd.no/FactMapSearch?NPDID_wellbore=2837	initial	\N	2837	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-31	31/6-A-31	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-06-26	1996-08-07	TROLL	1172-P	31/6-1 TROLL ØST	NO	58.600000	\N	1604.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	43.62	N	3	43	35.38	E	60.645450	3.726494	6723675.180000	539731.690000	31	31	6	A	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2838	http://www.npd.no/FactMapSearch?NPDID_wellbore=2838	initial	\N	2838	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-34 A	34/10-C-34	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1996-06-20	1996-08-11	GULLFAKS	1173-P	34/10-1 GULLFAKS	NO	84.000000	\N	4460.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1996	1996	\N	50	ED50	61	12	54.87	N	2	16	26.48	E	61.215242	2.274022	6787140.250000	460999.450000	31	34	10	C	34	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2840	http://www.npd.no/FactMapSearch?NPDID_wellbore=2840	sidetrack	34/10-C-34	2840	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-36 A	34/10-B-36	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1996-10-04	1996-11-19	GULLFAKS	1206-P	34/10-1 GULLFAKS	NO	81.000000	\N	2664.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	1996	1996	\N	173	ED50	61	12	10.01	N	2	12	6.22	E	61.202781	2.201728	6785797.520000	457098.870000	31	34	10	B	36	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2841	http://www.npd.no/FactMapSearch?NPDID_wellbore=2841	sidetrack	34/10-B-36	2841	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-9	31/4-A-9	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1996-06-25	1996-10-06	BRAGE	1174-P	31/4-3 BRAGE	NO	63.000000	\N	6602.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1996	1996	\N	50	ED50	60	32	33.00	N	3	2	50.35	E	60.542500	3.047319	6711989.720000	502596.170000	31	31	4	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2845	http://www.npd.no/FactMapSearch?NPDID_wellbore=2845	initial	\N	2845	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-5 A	34/10-B-5	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1996-08-09	1996-12-21	GULLFAKS	1176-P	34/10-1 GULLFAKS	NO	80.700000	\N	4014.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1996	1996	\N	50	ED50	61	12	11.13	N	2	12	5.24	E	61.203092	2.201456	6785832.360000	457084.670000	31	34	10	B	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2846	http://www.npd.no/FactMapSearch?NPDID_wellbore=2846	sidetrack	34/10-B-5	2846	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-25	6507/7-A-25	Den norske stats oljeselskap a.s	STATOIL	095	INJECTION	WATER	DEVELOPMENT	1996-07-04	1996-11-16	HEIDRUN	1177-P	6507/7-2 HEIDRUN	NO	74.000000	\N	4926.000000	346.000000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER	1996	1996	\N	173	ED50	65	19	32.64	N	7	19	2.45	E	65.325733	7.317347	7245985.550000	421622.580000	32	6507	7	A	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2848	http://www.npd.no/FactMapSearch?NPDID_wellbore=2848	initial	\N	2848	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-3	31/6-A-3	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-09-01	1996-10-05	TROLL	1186-P	31/6-1 TROLL ØST	NO	58.600000	\N	1647.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	44.83	N	3	43	35.08	E	60.645786	3.726411	6723712.560000	539726.720000	31	31	6	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2850	http://www.npd.no/FactMapSearch?NPDID_wellbore=2850	initial	\N	2850	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-17	31/6-A-17	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-08-17	1996-10-25	TROLL	1187-P	31/6-1 TROLL ØST	NO	58.600000	\N	1611.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	44.75	N	3	43	35.53	E	60.645764	3.726536	6723710.160000	539733.580000	31	31	6	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2851	http://www.npd.no/FactMapSearch?NPDID_wellbore=2851	initial	\N	2851	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-2	31/6-A-2	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-09-07	1996-10-14	TROLL	1185-P	31/6-1 TROLL ØST	NO	58.600000	\N	1642.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	44.90	N	3	43	35.08	E	60.645806	3.726411	6723714.730000	539726.700000	31	31	6	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2852	http://www.npd.no/FactMapSearch?NPDID_wellbore=2852	initial	\N	2852	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-25	31/6-A-25	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-11-08	1997-01-08	TROLL	1214-P	31/6-1 TROLL ØST	NO	58.600000	\N	1603.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1997	\N	90	ED50	60	38	43.77	N	3	43	35.23	E	60.645492	3.726453	6723679.790000	539729.360000	31	31	6	A	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2853	http://www.npd.no/FactMapSearch?NPDID_wellbore=2853	initial	\N	2853	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-26	31/6-A-26	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-11-19	1996-12-29	TROLL	1215-P	31/6-1 TROLL ØST	NO	58.600000	\N	1605.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	43.69	N	3	43	35.23	E	60.645469	3.726453	6723677.320000	539729.390000	31	31	6	A	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2854	http://www.npd.no/FactMapSearch?NPDID_wellbore=2854	initial	\N	2854	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-34	31/6-A-34	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-10-28	1997-01-18	TROLL	1213-P	31/6-1 TROLL ØST	NO	58.600000	\N	1619.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1997	\N	90	ED50	60	38	43.77	N	3	43	35.53	E	60.645492	3.726536	6723679.840000	539733.920000	31	31	6	A	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2855	http://www.npd.no/FactMapSearch?NPDID_wellbore=2855	initial	\N	2855	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-36	31/6-A-36	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1996-11-30	1996-12-20	TROLL	1216-P	31/6-1 TROLL ØST	NO	58.600000	\N	1612.500000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1996	1996	\N	90	ED50	60	38	43.62	N	3	43	35.53	E	60.645450	3.726536	6723675.200000	539733.970000	31	31	6	A	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2856	http://www.npd.no/FactMapSearch?NPDID_wellbore=2856	initial	\N	2856	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-I-3 BH	34/7-I-3	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1996-07-02	1996-07-18	TORDIS	1178-P	34/7-12 TORDIS	NO	25.000000	\N	2312.000000	200.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	34/7-I-3 H	8	NO	OIL	1996	1996	\N	50	ED50	61	16	34.23	N	2	7	1.68	E	61.276175	2.117133	6794031.110000	452663.180000	31	34	7	I	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2857	http://www.npd.no/FactMapSearch?NPDID_wellbore=2857	sidetrack	34/7-I-3 AH	2857	44666	43725	9999-12-31	21516	294058	281633	0	SAGA	2012-07-25	2012-07-25	2013-05-08
30/6-C-7 C	30/6-C-7	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1996-12-18	1997-02-25	OSEBERG	1241-P	30/6-1 OSEBERG	NO	62.000000	\N	6093.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1996	1997	\N	50	ED50	60	36	29.42	N	2	46	33.72	E	60.608172	2.776033	6719324.390000	487737.050000	31	30	6	C	7	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2859	http://www.npd.no/FactMapSearch?NPDID_wellbore=2859	sidetrack	30/6-C-7 B	2859	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-34 A	33/9-A-34	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-07-24	1996-11-11	STATFJORD	1179-P	33/12-1 STATFJORD	NO	64.400000	\N	5255.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1996	1996	\N	50	ED50	61	15	19.77	N	1	51	14.40	E	61.255492	1.854000	6791946.430000	438515.200000	31	33	9	A	34	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2861	http://www.npd.no/FactMapSearch?NPDID_wellbore=2861	sidetrack	33/9-A-34	2861	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-23 A	33/12-B-23	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-07-15	1996-09-19	STATFJORD	1180-P	33/12-1 STATFJORD	NO	77.800000	\N	4500.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1996	1996	\N	50	ED50	61	12	24.10	N	1	49	51.19	E	61.206694	1.830886	6786533.320000	437177.960000	31	33	12	B	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2862	http://www.npd.no/FactMapSearch?NPDID_wellbore=2862	sidetrack	33/12-B-23	2862	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-35	34/10-C-35	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1996-08-11	1997-03-14	GULLFAKS	1181-P	34/10-1 GULLFAKS	NO	84.000000	\N	3505.500000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1996	1997	\N	50	ED50	61	12	53.38	N	2	16	27.69	E	61.214828	2.274358	6787093.950000	461017.000000	31	34	10	C	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2868	http://www.npd.no/FactMapSearch?NPDID_wellbore=2868	initial	\N	2868	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-A-17 H	34/7-A-17	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1996-08-08	1996-11-14	SNORRE	1182-P	34/4-1 SNORRE	NO	25.000000	\N	4301.000000	241.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	OIL	1996	1996	\N	50	ED50	61	29	21.17	N	2	13	34.62	E	61.489214	2.226283	6817687.370000	458796.610000	31	34	7	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2869	http://www.npd.no/FactMapSearch?NPDID_wellbore=2869	initial	\N	2869	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/7-B-17 B	2/7-B-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1996-09-02	1996-09-28	ELDFISK	1183-P	2/7-1 ELDFISK	NO	42.000000	\N	5621.100000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1996	1996	\N	50	ED50	56	25	9.21	N	3	13	6.25	E	56.419225	3.218403	6252900.080000	513474.140000	31	2	7	B	17	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2870	http://www.npd.no/FactMapSearch?NPDID_wellbore=2870	sidetrack	2/7-B-17 A	2870	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/9-B-10	30/9-B-10	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-09-23	1996-10-28	OSEBERG	1184-P	30/6-1 OSEBERG	NO	58.000000	\N	4635.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	60	29	36.36	N	2	49	42.85	E	60.493433	2.828569	6706535.940000	490580.290000	31	30	9	B	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2871	http://www.npd.no/FactMapSearch?NPDID_wellbore=2871	initial	\N	2871	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-F-1 H	31/2-F-1	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-08-25	1996-09-07	TROLL	1188-P	31/2-1 TROLL VEST	NO	23.000000	\N	2280.000000	331.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL F	4	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	60	46	36.44	N	3	26	9.19	E	60.776789	3.435886	6738163.560000	523741.580000	31	31	2	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2875	http://www.npd.no/FactMapSearch?NPDID_wellbore=2875	initial	\N	2875	44534	46437	9999-12-31	21228	289333	278161	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-D-2 H	25/11-D-2	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-08-02	1996-08-12	BALDER	1189-P	25/11-1 BALDER	NO	18.000000	\N	2330.000000	128.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-D-2 H	1-A	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	59	11	59.60	N	2	24	33.19	E	59.199889	2.409219	6562611.270000	466253.820000	31	25	11	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2876	http://www.npd.no/FactMapSearch?NPDID_wellbore=2876	initial	\N	2876	44210	43562	9999-12-31	20756	297514	284209	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/7-P-22	34/7-P-22	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1996-08-18	1996-11-27	SNORRE	1190-P	34/4-1 SNORRE	NO	59.000000	\N	5869.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	1996	1996	\N	173	ED50	61	26	57.47	N	2	8	36.81	E	61.449297	2.143558	6813296.110000	454332.960000	31	34	7	P	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2877	http://www.npd.no/FactMapSearch?NPDID_wellbore=2877	initial	\N	2877	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
6407/7-A-14 H	6407/7-A-14	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	1999-12-16	2000-02-17	NJORD	1191-P	6407/7-1 S NJORD	NO	22.000000	\N	4491.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	1999	2000	\N	50	ED50	64	16	16.39	N	7	12	6.41	E	64.271219	7.201781	7128645.400000	412903.200000	32	6407	7	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2880	http://www.npd.no/FactMapSearch?NPDID_wellbore=2880	initial	\N	2880	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-45	34/10-A-45	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1996-08-23	1996-09-30	GULLFAKS	1192-P	34/10-1 GULLFAKS	NO	82.000000	\N	3214.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1996	1996	\N	50	ED50	61	10	34.73	N	2	11	21.65	E	61.176314	2.189347	6782857.680000	456396.980000	31	34	10	A	45	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2881	http://www.npd.no/FactMapSearch?NPDID_wellbore=2881	initial	\N	2881	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-D-2 AH	25/11-D-2	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	1996-08-13	1997-04-06	BALDER	1193-P	25/11-1 BALDER	NO	18.000000	\N	2773.000000	128.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-D-2 H	1-A	NO	OIL	1996	1997	\N	50	ED50	59	11	59.60	N	2	24	33.19	E	59.199889	2.409219	6562611.270000	466253.820000	31	25	11	D	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2882	http://www.npd.no/FactMapSearch?NPDID_wellbore=2882	sidetrack	25/11-D-2 H	2882	44210	43562	9999-12-31	20756	297514	284209	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-C-3 H	25/11-C-3	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-08-29	1996-09-19	BALDER	1194-P	25/11-1 BALDER	NO	18.000000	\N	2118.000000	127.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-C-3 H	1-A	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	25	11	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2884	http://www.npd.no/FactMapSearch?NPDID_wellbore=2884	initial	\N	2884	44210	43562	9999-12-31	20756	297514	284013	0	ESSO	2012-07-25	2012-07-25	2013-05-08
31/2-F-1 AH	31/2-F-1	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1996-09-08	1996-10-12	TROLL	1195-P	31/2-1 TROLL VEST	NO	23.000000	\N	3970.000000	331.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL F	4	NO	OIL	1996	1996	\N	50	ED50	60	46	36.44	N	3	26	9.19	E	60.776789	3.435886	6738163.560000	523741.580000	31	31	2	F	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2887	http://www.npd.no/FactMapSearch?NPDID_wellbore=2887	sidetrack	31/2-F-1 H	2887	44534	46437	9999-12-31	21228	289333	278161	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-7 B	30/6-C-7	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1996-11-06	1996-12-18	OSEBERG	1196-P	30/6-1 OSEBERG	NO	62.000000	\N	5175.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1996	1996	\N	50	ED50	60	36	29.42	N	2	46	33.72	E	60.608172	2.776033	6719324.390000	487737.050000	31	30	6	C	7	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2888	http://www.npd.no/FactMapSearch?NPDID_wellbore=2888	sidetrack	30/6-C-7 A	2888	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/3-A-24	30/3-A-24	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2002-03-06	2002-05-12	VESLEFRIKK	2086-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4115.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2002	2002	\N	50	ED50	60	46	58.03	N	2	53	52.06	E	60.782786	2.897794	6738757.080000	494434.140000	31	30	3	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2889	http://www.npd.no/FactMapSearch?NPDID_wellbore=2889	initial	\N	2889	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-J-7 H	34/7-J-7	Saga Petroleum ASA	SAGA	089	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-07-02	1997-07-19	TORDIS	1305-P	34/7-22 TORDIS ØST	NO	25.000000	\N	2585.000000	241.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	TORDIS EXTENSION	8	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	61	17	29.79	N	2	9	46.37	E	61.291608	2.162881	6795717.910000	455137.950000	31	34	7	J	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2890	http://www.npd.no/FactMapSearch?NPDID_wellbore=2890	initial	\N	2890	44696	43725	9999-12-31	21516	294058	282445	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/8-F-10	2/8-F-10	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1999-02-25	1999-04-18	VALHALL	1526-P	2/8-6 VALHALL	NO	56.200000	\N	4348.000000	71.700000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1999	1999	\N	50	ED50	56	16	35.67	N	3	23	47.09	E	56.276575	3.396414	6237071.220000	524547.750000	31	2	8	F	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2892	http://www.npd.no/FactMapSearch?NPDID_wellbore=2892	initial	\N	2892	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-11	2/8-F-11	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1998-01-07	1998-02-18	VALHALL	1391-P	2/8-6 VALHALL	NO	56.000000	\N	4388.000000	71.700000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1998	1998	\N	50	ED50	56	16	35.61	N	3	23	47.06	E	56.276558	3.396406	6237069.360000	524547.240000	31	2	8	F	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2893	http://www.npd.no/FactMapSearch?NPDID_wellbore=2893	initial	\N	2893	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-12	2/8-F-12	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1998-02-18	1998-04-23	VALHALL	1424-P	2/8-6 VALHALL	NO	56.200000	\N	5166.000000	71.700000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1998	1998	\N	50	ED50	56	16	35.49	N	3	23	47.10	E	56.276525	3.396417	6237065.650000	524547.950000	31	2	8	F	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2894	http://www.npd.no/FactMapSearch?NPDID_wellbore=2894	initial	\N	2894	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-13	2/8-F-13	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	\N	DEVELOPMENT	1998-06-01	1998-08-12	VALHALL	1457-P	2/8-6 VALHALL	NO	56.200000	\N	4567.000000	71.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1998	1998	\N	71	ED50	56	16	35.58	N	3	23	47.28	E	56.276550	3.396467	6237068.460000	524551.030000	31	2	8	F	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2895	http://www.npd.no/FactMapSearch?NPDID_wellbore=2895	initial	\N	2895	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-5	2/8-F-5	BP Amoco Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2001-06-27	2001-08-08	VALHALL	1954-P	2/8-6 VALHALL	NO	56.000000	\N	3844.000000	72.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	Awarded additionaly to round 1-A	NO	OIL	2001	2001	\N	50	ED50	56	16	36.15	N	3	23	47.15	E	56.276708	3.396431	6237086.070000	524548.690000	31	2	8	F	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2897	http://www.npd.no/FactMapSearch?NPDID_wellbore=2897	initial	\N	2897	44162	43548	9999-12-31	1333048	292114	278385	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-6	2/8-F-6	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1996-12-06	1997-01-28	VALHALL	1211-P	2/8-6 VALHALL	NO	56.000000	\N	4460.000000	72.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1996	1997	\N	50	ED50	56	16	35.57	N	3	23	46.96	E	56.276547	3.396378	6237068.110000	524545.530000	31	2	8	F	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2898	http://www.npd.no/FactMapSearch?NPDID_wellbore=2898	initial	\N	2898	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-7	2/8-F-7	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1997-05-12	1997-07-07	VALHALL	1315-P	2/8-6 VALHALL	NO	56.200000	\N	5066.000000	71.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1997	1997	\N	50	ED50	56	16	35.60	N	3	23	47.17	E	56.276556	3.396436	6237069.060000	524549.140000	31	2	8	F	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2899	http://www.npd.no/FactMapSearch?NPDID_wellbore=2899	initial	\N	2899	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-8	2/8-F-8	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1997-07-17	1997-08-24	VALHALL	1332-P	2/8-6 VALHALL	NO	56.200000	\N	4690.000000	71.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1997	1997	\N	50	ED50	56	16	35.00	N	3	23	47.00	E	56.276389	3.396389	6237050.490000	524546.320000	31	2	8	F	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2900	http://www.npd.no/FactMapSearch?NPDID_wellbore=2900	initial	\N	2900	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
9/2-B-3 H	9/2-B-3	Den norske stats oljeselskap a.s	STATOIL	114	INJECTION	GAS	DEVELOPMENT	1999-08-02	1999-08-29	YME	1561-P	9/2-1 YME	NO	25.000000	\N	4499.000000	77.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	YME B VEST	10-A	NO	GAS	1999	1999	9/2-7 S	91	ED50	57	45	15.15	N	4	21	21.75	E	57.754208	4.356042	6402298.710000	580703.800000	31	9	2	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2901	http://www.npd.no/FactMapSearch?NPDID_wellbore=2901	initial	\N	2901	45098	43807	9999-12-31	21716	341331	282585	3087	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-28 B	33/12-B-28	Den norske stats oljeselskap a.s	STATOIL	037	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-01-30	1997-02-19	STATFJORD	1246-P	33/12-1 STATFJORD	NO	77.800000	\N	3487.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	61	12	24.00	N	1	49	51.26	E	61.206667	1.830906	6786530.210000	437178.950000	31	33	12	B	28	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2902	http://www.npd.no/FactMapSearch?NPDID_wellbore=2902	sidetrack	33/12-B-28 A	2902	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-F-9	2/8-F-9	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1997-01-28	1997-04-13	VALHALL	1254-P	2/8-6 VALHALL	NO	56.000000	\N	5188.000000	71.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1997	1997	\N	50	ED50	56	16	35.46	N	3	23	47.22	E	56.276517	3.396450	6237064.740000	524550.020000	31	2	8	F	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2903	http://www.npd.no/FactMapSearch?NPDID_wellbore=2903	initial	\N	2903	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
6608/10-B-1 H	6608/10-B-1	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	1999-01-26	1999-04-05	NORNE	1263-P	6608/10-2 NORNE	NO	24.000000	\N	4300.000000	372.500000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE B	10-B	NO	OIL	1999	1999	\N	50	ED50	66	0	55.22	N	8	3	17.29	E	66.015339	8.054803	7322128.370000	457125.620000	32	6608	10	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2904	http://www.npd.no/FactMapSearch?NPDID_wellbore=2904	initial	\N	2904	44942	43778	9999-12-31	21836	296218	279225	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-B-2 H	6608/10-B-2	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	1996-12-13	1997-12-09	NORNE	1239-P	6608/10-2 NORNE	NO	25.000000	\N	3862.000000	372.500000	NORWEGIAN SEA	TRANS. WILDCAT	SEMISUB STEEL	NORNE B	10-B	NO	OIL	1996	1997	\N	50	ED50	66	0	55.04	N	8	3	17.00	E	66.015289	8.054722	7322122.850000	457121.880000	32	6608	10	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2905	http://www.npd.no/FactMapSearch?NPDID_wellbore=2905	initial	\N	2905	44942	43778	9999-12-31	21836	297028	279225	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-B-3 H	6608/10-B-3	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	1999-05-21	1999-07-05	NORNE	1590-P	6608/10-2 NORNE	NO	22.000000	\N	4150.000000	372.500000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE B	10-B	NO	OIL	1999	1999	\N	50	ED50	66	0	55.46	N	8	3	17.00	E	66.015406	8.054722	7322135.860000	457122.070000	32	6608	10	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2906	http://www.npd.no/FactMapSearch?NPDID_wellbore=2906	initial	\N	2906	44942	43778	9999-12-31	21836	296218	279225	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-B-4 H	6608/10-B-4	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	\N	DEVELOPMENT	1998-01-12	1998-02-06	NORNE	1344-P	6608/10-2 NORNE	NO	22.000000	\N	2555.000000	372.500000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE B	10-B	NO	OIL	1998	1998	\N	71	ED50	66	0	55.47	N	8	3	16.37	E	66.015408	8.054547	7322136.280000	457114.140000	32	6608	10	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2907	http://www.npd.no/FactMapSearch?NPDID_wellbore=2907	initial	\N	2907	44942	43778	9999-12-31	21836	296218	279225	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-C-1 H	6608/10-C-1	Den norske stats oljeselskap a.s	STATOIL	128	INJECTION	WATER	DEVELOPMENT	1998-02-12	1998-07-20	NORNE	1422-P	6608/10-2 NORNE	NO	22.000000	\N	3255.000000	375.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE C	10-B	NO	WATER	1998	1998	\N	173	ED50	66	0	51.89	N	8	3	22.53	E	66.014414	8.056258	7322024.280000	457190.080000	32	6608	10	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2908	http://www.npd.no/FactMapSearch?NPDID_wellbore=2908	initial	\N	2908	44942	43778	9999-12-31	21836	296218	279253	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-C-2 H	6608/10-C-2	Den norske stats oljeselskap a.s	STATOIL	128	INJECTION	WATER	DEVELOPMENT	1998-10-01	1998-11-27	NORNE	1501-P	6608/10-2 NORNE	NO	22.000000	\N	4421.000000	375.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE C	10-B	NO	WATER	1998	1998	\N	173	ED50	66	0	51.97	N	8	3	21.93	E	66.014436	8.056092	7322026.870000	457182.560000	32	6608	10	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2909	http://www.npd.no/FactMapSearch?NPDID_wellbore=2909	initial	\N	2909	44942	43778	9999-12-31	21836	296218	279253	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-C-3 H	6608/10-C-3	Den norske stats oljeselskap a.s	STATOIL	128	INJECTION	WATER	DEVELOPMENT	1999-04-06	1999-05-20	NORNE	1570-P	6608/10-2 NORNE	NO	22.000000	\N	3800.000000	375.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE C	10-B	NO	WATER	1999	1999	\N	173	ED50	66	0	52.05	N	8	3	21.37	E	66.014458	8.055936	7322029.450000	457175.540000	32	6608	10	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2910	http://www.npd.no/FactMapSearch?NPDID_wellbore=2910	initial	\N	2910	44942	43778	9999-12-31	21836	296218	279253	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-C-4 H	6608/10-C-4	Den norske stats oljeselskap a.s	STATOIL	128	INJECTION	GAS	DEVELOPMENT	1996-11-18	1997-08-18	NORNE	1226-P	6608/10-2 NORNE	NO	24.000000	\N	2900.000000	375.000000	NORWEGIAN SEA	TRANS. WILDCAT	SEMISUB STEEL	NORNE C	10-B	NO	GAS	1996	1997	\N	91	ED50	66	0	52.20	N	8	3	21.72	E	66.014500	8.056033	7322034.030000	457180.020000	32	6608	10	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2911	http://www.npd.no/FactMapSearch?NPDID_wellbore=2911	initial	\N	2911	44942	43778	9999-12-31	21836	297028	279253	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-D-1 H	6608/10-D-1	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	\N	DEVELOPMENT	1996-09-28	1996-11-18	NORNE	1208-P	6608/10-2 NORNE	NO	25.000000	\N	3500.000000	376.000000	NORWEGIAN SEA	TRANS. WILDCAT	SEMISUB STEEL	NORNE D	10-B	NO	OIL	1996	1996	\N	71	ED50	66	0	49.30	N	8	3	28.89	E	66.013694	8.058025	7321942.880000	457269.010000	32	6608	10	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2912	http://www.npd.no/FactMapSearch?NPDID_wellbore=2912	initial	\N	2912	44942	43778	9999-12-31	21836	297028	279281	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-D-2 H	6608/10-D-2	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	1997-01-09	1998-01-05	NORNE	1249-P	6608/10-2 NORNE	NO	25.000000	\N	4174.000000	376.000000	NORWEGIAN SEA	TRANS. WILDCAT	SEMISUB STEEL	NORNE D	10-B	NO	OIL	1997	1998	\N	50	ED50	66	0	49.15	N	8	3	28.53	E	66.013653	8.057925	7321938.310000	457264.410000	32	6608	10	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2913	http://www.npd.no/FactMapSearch?NPDID_wellbore=2913	initial	\N	2913	44942	43778	9999-12-31	21836	297028	279281	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-D-3 H	6608/10-D-3	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	\N	DEVELOPMENT	2000-07-05	2000-08-04	NORNE	1801-P	6608/10-2 NORNE	NO	22.000000	\N	4198.000000	376.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE D	10-B	NO	OIL	2000	2000	\N	71	ED50	66	0	49.47	N	8	3	27.73	E	66.013742	8.057703	7321948.370000	457254.480000	32	6608	10	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2914	http://www.npd.no/FactMapSearch?NPDID_wellbore=2914	initial	\N	2914	44942	43778	9999-12-31	21836	296218	279281	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-D-4 H	6608/10-D-4	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	\N	DEVELOPMENT	1998-01-07	1998-06-18	NORNE	1415-P	6608/10-2 NORNE	NO	22.000000	\N	3137.000000	376.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE D	10-B	NO	OIL	1998	1998	\N	71	ED50	66	0	49.62	N	8	3	28.09	E	66.013783	8.057803	7321952.940000	457259.080000	32	6608	10	D	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2915	http://www.npd.no/FactMapSearch?NPDID_wellbore=2915	initial	\N	2915	44942	43778	9999-12-31	21836	296218	279281	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-40 A	33/9-A-40	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-11-25	1997-01-20	STATFJORD	1199-P	33/12-1 STATFJORD	NO	64.400000	\N	4689.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1996	1997	\N	50	ED50	61	15	19.72	N	1	51	13.87	E	61.255478	1.853853	6791945.020000	438507.270000	31	33	9	A	40	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2916	http://www.npd.no/FactMapSearch?NPDID_wellbore=2916	sidetrack	33/9-A-40	2916	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-6 A	2/7-B-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2001-01-06	2001-03-09	ELDFISK	1200-P	2/7-1 ELDFISK	NO	42.000000	\N	4572.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2001	2001	\N	50	ED50	56	25	8.97	N	3	13	6.22	E	56.419158	3.218394	6252892.660000	513473.650000	31	2	7	B	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2917	http://www.npd.no/FactMapSearch?NPDID_wellbore=2917	sidetrack	2/7-B-6	2917	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6407/7-A-15 H	6407/7-A-15	Norsk Hydro Produksjon AS	HYDRO	107	OBSERVATION	OIL	DEVELOPMENT	1996-09-21	1996-11-02	NJORD	1201-P	6407/7-1 S NJORD	NO	22.000000	\N	4122.000000	330.000000	NORWEGIAN SEA	WEST VANGUARD	SEMISUB STEEL	NJORD A	9	NO	OIL	1996	1996	\N	99	ED50	64	16	16.54	N	7	12	5.61	E	64.271261	7.201558	7128650.350000	412892.570000	32	6407	7	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2921	http://www.npd.no/FactMapSearch?NPDID_wellbore=2921	initial	\N	2921	44876	43751	9999-12-31	21660	287902	277713	0	HYDRO PRODUKSJON	2013-02-14	2013-02-14	2013-05-08
25/11-A-5 H	25/11-A-5	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-09-27	1996-11-03	BALDER	1202-P	25/11-1 BALDER	NO	18.000000	\N	2502.000000	124.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-A-5 H	1-A	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	59	11	30.22	N	2	21	34.19	E	59.191728	2.359497	6561728.700000	463404.950000	31	25	11	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2922	http://www.npd.no/FactMapSearch?NPDID_wellbore=2922	initial	\N	2922	44210	43562	9999-12-31	20756	297514	283229	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/7-A-14 A	2/7-A-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1996-10-13	1996-12-01	ELDFISK	1203-P	2/7-1 ELDFISK	NO	51.000000	\N	4871.600000	71.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	ELDFISK A	1-A	NO	OIL	1996	1996	\N	50	ED50	56	22	36.59	N	3	15	57.71	E	56.376831	3.266031	6248191.570000	516430.730000	31	2	7	A	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2923	http://www.npd.no/FactMapSearch?NPDID_wellbore=2923	sidetrack	2/7-A-14	2923	44114	43527	9999-12-31	20900	296002	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/6-C-13	30/6-C-13	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-09-26	1996-10-24	OSEBERG	1204-P	30/6-1 OSEBERG	NO	62.000000	\N	4700.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	60	36	29.49	N	2	46	33.13	E	60.608192	2.775869	6719326.580000	487728.090000	31	30	6	C	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2924	http://www.npd.no/FactMapSearch?NPDID_wellbore=2924	initial	\N	2924	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-32	31/4-A-32	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-07-21	2000-09-18	BRAGE	1783-P	31/4-3 BRAGE	NO	62.000000	\N	4466.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	32	33.42	N	3	2	50.52	E	60.542617	3.047367	6712002.720000	502598.750000	31	31	4	A	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2929	http://www.npd.no/FactMapSearch?NPDID_wellbore=2929	initial	\N	2929	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-36	34/10-C-36	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-10-05	1997-05-30	GULLFAKS	1205-P	34/10-1 GULLFAKS	NO	84.000000	\N	4903.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	NOT APPLICABLE	1996	1997	\N	99	ED50	61	12	54.77	N	2	16	26.79	E	61.215214	2.274108	6787137.110000	461004.040000	31	34	10	C	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2930	http://www.npd.no/FactMapSearch?NPDID_wellbore=2930	initial	\N	2930	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-29	33/9-C-29	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-10-13	1997-01-05	STATFJORD	1207-P	33/12-1 STATFJORD	NO	78.400000	\N	5205.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1996	1997	\N	50	ED50	61	17	46.83	N	1	54	10.41	E	61.296342	1.902892	6796451.400000	441214.550000	31	33	9	C	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2933	http://www.npd.no/FactMapSearch?NPDID_wellbore=2933	initial	\N	2933	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-G-1 H	31/2-G-1	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-10-14	1996-10-23	TROLL	1209-P	31/2-1 TROLL VEST	NO	23.000000	\N	1860.000000	331.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL G	4	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	60	45	14.72	N	3	26	22.19	E	60.754089	3.439497	6735636.460000	523955.190000	31	31	2	G	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2936	http://www.npd.no/FactMapSearch?NPDID_wellbore=2936	initial	\N	2936	44534	46437	9999-12-31	21228	289333	278189	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-A-6 H	25/11-A-6	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	\N	DEVELOPMENT	1996-10-07	1998-10-12	BALDER	1210-P	25/11-1 BALDER	NO	18.000000	\N	1807.000000	126.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-A-6 H	1-A	NO	OIL	1996	1998	\N	71	ED50	59	11	28.33	N	2	21	37.41	E	59.191203	2.360392	6561669.750000	463455.490000	31	25	11	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2937	http://www.npd.no/FactMapSearch?NPDID_wellbore=2937	initial	\N	2937	44210	43562	9999-12-31	20756	297514	283257	0	ESSO	2012-07-25	2012-07-25	2013-05-08
30/9-B-10 A	30/9-B-10	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1996-10-28	1996-12-05	OSEBERG	1220-P	30/6-1 OSEBERG	NO	58.000000	\N	5482.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1996	1996	\N	50	ED50	60	29	36.36	N	2	49	42.85	E	60.493433	2.828569	6706535.940000	490580.290000	31	30	9	B	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2938	http://www.npd.no/FactMapSearch?NPDID_wellbore=2938	sidetrack	30/9-B-10	2938	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-B-1 B	2/7-B-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1996-12-08	1997-02-14	ELDFISK	1212-P	2/7-1 ELDFISK	NO	42.000000	\N	4762.200000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1996	1997	\N	50	ED50	56	25	8.98	N	3	13	6.44	E	56.419161	3.218456	6252892.980000	513477.420000	31	2	7	B	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2941	http://www.npd.no/FactMapSearch?NPDID_wellbore=2941	sidetrack	2/7-B-1 A	2941	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/6-A-14	31/6-A-14	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-01-19	1997-03-30	TROLL	1252-P	31/6-1 TROLL ØST	NO	58.600000	\N	1590.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	44.98	N	3	43	35.53	E	60.645828	3.726536	6723717.280000	539733.500000	31	31	6	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2942	http://www.npd.no/FactMapSearch?NPDID_wellbore=2942	initial	\N	2942	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-5	31/6-A-5	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-01-26	1997-03-20	TROLL	1251-P	31/6-1 TROLL ØST	NO	58.600000	\N	1580.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	44.98	N	3	43	35.23	E	60.645828	3.726453	6723717.230000	539728.950000	31	31	6	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2943	http://www.npd.no/FactMapSearch?NPDID_wellbore=2943	initial	\N	2943	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-1	31/6-A-1	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-02-03	1997-03-11	TROLL	1250-P	31/6-1 TROLL ØST	NO	58.600000	\N	1626.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	44.98	N	3	43	35.08	E	60.645828	3.726411	6723717.200000	539726.670000	31	31	6	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2944	http://www.npd.no/FactMapSearch?NPDID_wellbore=2944	initial	\N	2944	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-32	31/6-A-32	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-04-20	1997-05-25	TROLL	1293-P	31/6-1 TROLL ØST	NO	58.600000	\N	1587.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	43.54	N	3	43	35.38	E	60.645428	3.726494	6723672.700000	539731.720000	31	31	6	A	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2945	http://www.npd.no/FactMapSearch?NPDID_wellbore=2945	initial	\N	2945	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-38	31/6-A-38	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-04-06	1997-09-05	TROLL	1290-P	31/6-1 TROLL ØST	NO	58.600000	\N	1671.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	43.77	N	3	43	35.68	E	60.645492	3.726578	6723679.870000	539736.200000	31	31	6	A	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2946	http://www.npd.no/FactMapSearch?NPDID_wellbore=2946	initial	\N	2946	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-39	31/6-A-39	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-04-11	1997-07-09	TROLL	1291-P	31/6-1 TROLL ØST	NO	58.600000	\N	1588.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	43.69	N	3	43	35.68	E	60.645469	3.726578	6723677.390000	539736.220000	31	31	6	A	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2947	http://www.npd.no/FactMapSearch?NPDID_wellbore=2947	initial	\N	2947	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-40	31/6-A-40	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-04-16	1997-09-23	TROLL	1292-P	31/6-1 TROLL ØST	NO	58.600000	\N	1668.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	43.62	N	3	43	35.68	E	60.645450	3.726578	6723675.230000	539736.250000	31	31	6	A	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2948	http://www.npd.no/FactMapSearch?NPDID_wellbore=2948	initial	\N	2948	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-20	31/6-A-20	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-07-27	1998-03-07	TROLL	1294-P	31/6-1 TROLL ØST	NO	58.600000	\N	1662.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1998	\N	90	ED50	60	38	44.83	N	3	43	35.68	E	60.645786	3.726578	6723712.660000	539735.830000	31	31	6	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2949	http://www.npd.no/FactMapSearch?NPDID_wellbore=2949	initial	\N	2949	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-19	31/6-A-19	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-07-29	1997-11-29	TROLL	1295-P	31/6-1 TROLL ØST	NO	58.600000	\N	1644.500000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	44.90	N	3	43	35.68	E	60.645806	3.726578	6723714.830000	539735.810000	31	31	6	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2950	http://www.npd.no/FactMapSearch?NPDID_wellbore=2950	initial	\N	2950	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-18	31/6-A-18	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-08-01	1997-12-09	TROLL	1296-P	31/6-1 TROLL ØST	NO	58.600000	\N	1563.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	44.98	N	3	43	35.68	E	60.645828	3.726578	6723717.300000	539735.780000	31	31	6	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2951	http://www.npd.no/FactMapSearch?NPDID_wellbore=2951	initial	\N	2951	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-13 A	30/6-C-13	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1997-04-14	1997-06-06	OSEBERG	1275-P	30/6-1 OSEBERG	NO	62.000000	\N	6820.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	1997	1997	\N	50	ED50	60	36	29.49	N	2	46	33.13	E	60.608192	2.775869	6719326.580000	487728.090000	31	30	6	C	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2953	http://www.npd.no/FactMapSearch?NPDID_wellbore=2953	sidetrack	30/6-C-13	2953	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-G-1 AH	31/2-G-1	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1996-10-23	1997-02-12	TROLL	1217-P	31/2-1 TROLL VEST	NO	23.000000	\N	4070.000000	331.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL G	4	NO	OIL	1996	1997	\N	50	ED50	60	45	14.72	N	3	26	22.19	E	60.754089	3.439497	6735636.460000	523955.190000	31	31	2	G	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2956	http://www.npd.no/FactMapSearch?NPDID_wellbore=2956	sidetrack	31/2-G-1 H	2956	44534	46437	9999-12-31	21228	289333	278189	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-A-15 AH	6407/7-A-15	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	1996-11-02	1997-05-08	NJORD	1218-P	6407/7-1 S NJORD	NO	22.000000	\N	4150.000000	330.000000	NORWEGIAN SEA	WEST VANGUARD	SEMISUB STEEL	NJORD A	9	NO	OIL	1996	1997	\N	50	ED50	64	16	16.54	N	7	12	5.61	E	64.271261	7.201558	7128650.350000	412892.570000	32	6407	7	A	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2957	http://www.npd.no/FactMapSearch?NPDID_wellbore=2957	sidetrack	6407/7-A-15 H	2957	44876	43751	9999-12-31	21660	287902	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-38	2/4-X-38	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	CUTTINGS	DEVELOPMENT	1996-10-26	1996-12-07	EKOFISK	1219-P	2/4-2 EKOFISK	NO	57.300000	\N	3073.600000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	CUTTINGS	1996	1996	\N	171	ED50	56	32	51.83	N	3	13	8.70	E	56.547731	3.219083	6267204.200000	513470.520000	31	2	4	X	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2959	http://www.npd.no/FactMapSearch?NPDID_wellbore=2959	initial	\N	2959	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-G-3 H	33/9-G-3	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1996-12-09	1999-08-01	STATFJORD	1229-P	33/12-1 STATFJORD	NO	23.000000	\N	3815.000000	157.000000	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	STATFJORD G	Awarded additionaly to round 2-A	NO	OIL	1996	1999	\N	50	ED50	61	21	56.57	N	1	56	5.94	E	61.365714	1.934983	6804149.930000	443060.020000	31	33	9	G	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2961	http://www.npd.no/FactMapSearch?NPDID_wellbore=2961	initial	\N	2961	44558	43658	9999-12-31	21084	296677	279001	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-A-5 AH	25/11-A-5	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	\N	DEVELOPMENT	1996-11-04	1997-08-23	BALDER	1221-P	25/11-1 BALDER	NO	18.000000	\N	3068.000000	124.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-A-5 H	1-A	NO	OIL	1996	1997	\N	71	ED50	59	11	30.22	N	2	21	34.19	E	59.191728	2.359497	6561728.700000	463404.950000	31	25	11	A	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2963	http://www.npd.no/FactMapSearch?NPDID_wellbore=2963	sidetrack	25/11-A-5 H	2963	44210	43562	9999-12-31	20756	297514	283229	0	ESSO	2012-07-25	2012-07-25	2013-05-08
7/12-A-6 A	7/12-A-6	BP Norway Limited  U.A.	BP	019	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ULA	1222-P	7/12-2 ULA	NO	57.000000	\N	0.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	0	0	\N	0	ED50	57	6	41.05	N	2	50	51.04	E	57.111403	2.847511	6329939.230000	490763.870000	31	7	12	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2964	http://www.npd.no/FactMapSearch?NPDID_wellbore=2964	sidetrack	7/12-A-6	2964	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
6507/7-A-46	6507/7-A-46	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1996-11-17	1997-01-12	HEIDRUN	1223-P	6507/7-2 HEIDRUN	NO	74.200000	\N	2941.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1996	1997	\N	50	ED50	65	19	32.58	N	7	19	4.00	E	65.325717	7.317778	7245983.160000	421642.580000	32	6507	7	A	46	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2965	http://www.npd.no/FactMapSearch?NPDID_wellbore=2965	initial	\N	2965	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-29	31/4-A-29	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	WATER	DEVELOPMENT	1996-11-23	1996-12-01	BRAGE	1225-P	31/4-3 BRAGE	NO	63.000000	\N	1095.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	1996	1996	\N	172	ED50	60	32	33.09	N	3	2	50.69	E	60.542525	3.047414	6711992.510000	502601.350000	31	31	4	A	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2971	http://www.npd.no/FactMapSearch?NPDID_wellbore=2971	initial	\N	2971	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-7 A	34/10-A-7	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1996-12-01	1997-02-08	GULLFAKS	1228-P	34/10-1 GULLFAKS	NO	82.000000	\N	4317.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1996	1997	\N	50	ED50	61	10	34.77	N	2	11	21.80	E	61.176325	2.189389	6782858.890000	456399.240000	31	34	10	A	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2972	http://www.npd.no/FactMapSearch?NPDID_wellbore=2972	sidetrack	34/10-A-7	2972	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-A-4 H	25/11-A-4	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-11-16	1996-12-04	BALDER	1227-P	25/11-1 BALDER	NO	18.000000	\N	2324.000000	126.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-A-4 H	1-A	NO	NOT APPLICABLE	1996	1996	\N	99	ED50	59	11	28.34	N	2	21	34.93	E	59.191206	2.359703	6561670.430000	463416.140000	31	25	11	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2975	http://www.npd.no/FactMapSearch?NPDID_wellbore=2975	initial	\N	2975	44210	43562	9999-12-31	20756	297514	283173	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/7-P-27	34/7-P-27	Norsk Hydro Produksjon AS	HYDRO	089	INJECTION	\N	DEVELOPMENT	2001-07-19	2001-08-22	SNORRE	1400-P	34/4-1 SNORRE	NO	59.000000	\N	2620.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER/GAS	2001	2001	\N	72	ED50	61	26	57.98	N	2	8	36.53	E	61.449439	2.143481	6813311.940000	454329.020000	31	34	7	P	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2980	http://www.npd.no/FactMapSearch?NPDID_wellbore=2980	initial	\N	2980	44654	43718	9999-12-31	21516	272085	272085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-A-3 B	2/8-A-3	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1996-11-29	1997-01-02	VALHALL	1233-P	2/8-6 VALHALL	NO	44.000000	\N	2700.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1996	1997	\N	50	ED50	56	16	41.08	N	3	23	44.30	E	56.278078	3.395639	6237238.210000	524498.800000	31	2	8	A	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2981	http://www.npd.no/FactMapSearch?NPDID_wellbore=2981	sidetrack	2/8-A-3 A	2981	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-X-8	2/4-X-8	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1996-12-13	1997-01-22	EKOFISK	1230-P	2/4-2 EKOFISK	NO	66.000000	\N	3889.200000	76.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1996	1997	\N	50	ED50	56	32	50.96	N	3	13	8.42	E	56.547489	3.219006	6267177.290000	513465.830000	31	2	4	X	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2982	http://www.npd.no/FactMapSearch?NPDID_wellbore=2982	initial	\N	2982	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6407/7-A-8 H	6407/7-A-8	Norsk Hydro Produksjon AS	HYDRO	107	INJECTION	GAS	DEVELOPMENT	1996-11-27	1997-02-10	NJORD	1231-P	6407/7-1 S NJORD	NO	22.000000	\N	3625.000000	330.000000	NORWEGIAN SEA	WEST VANGUARD	SEMISUB STEEL	NJORD A	9	NO	GAS	1996	1997	\N	91	ED50	64	16	15.25	N	7	12	8.68	E	64.270903	7.202411	7128609.260000	412932.730000	32	6407	7	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2983	http://www.npd.no/FactMapSearch?NPDID_wellbore=2983	initial	\N	2983	44876	43751	9999-12-31	21660	287902	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-D-10 H	25/11-D-10	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-06-12	1998-07-15	BALDER	1468-P	25/11-1 BALDER	NO	18.000000	\N	2496.000000	127.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-D-10 H	1-A	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	59	12	0.37	N	2	24	35.21	E	59.200103	2.409781	6562634.800000	466286.090000	31	25	11	D	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2985	http://www.npd.no/FactMapSearch?NPDID_wellbore=2985	initial	\N	2985	44210	43562	9999-12-31	20756	297514	284181	0	ESSO	2012-07-25	2012-07-25	2013-05-08
31/5-H-2 H	31/5-H-2	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1996-11-26	1996-12-30	TROLL	1234-P	31/2-1 TROLL VEST	NO	23.000000	\N	4260.000000	315.500000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	OIL	1996	1996	\N	50	ED50	60	43	49.05	N	3	30	47.63	E	60.730292	3.513231	6733015.010000	527994.760000	31	31	5	H	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2987	http://www.npd.no/FactMapSearch?NPDID_wellbore=2987	initial	\N	2987	44534	46437	9999-12-31	21476	289333	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-46	2/4-X-46	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1996-12-08	1997-02-09	EKOFISK	1235-P	2/4-2 EKOFISK	NO	57.000000	\N	4582.400000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1996	1997	\N	50	ED50	56	32	51.98	N	3	13	8.75	E	56.547772	3.219097	6267208.840000	513471.360000	31	2	4	X	46	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2995	http://www.npd.no/FactMapSearch?NPDID_wellbore=2995	initial	\N	2995	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/11-C-3 AH	25/11-C-3	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-12-13	1997-12-20	BALDER	1401-P	25/11-1 BALDER	NO	18.000000	\N	2273.000000	127.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-C-3 H	1-A	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	25	11	C	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2997	http://www.npd.no/FactMapSearch?NPDID_wellbore=2997	sidetrack	25/11-C-3 H	2997	44210	43562	9999-12-31	20756	297514	284013	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-A-4 AH	25/11-A-4	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	1996-12-04	1997-08-11	BALDER	1236-P	25/11-1 BALDER	NO	18.000000	\N	2122.000000	126.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-A-4 H	1-A	NO	OIL	1996	1997	\N	50	ED50	59	11	28.34	N	2	21	34.93	E	59.191206	2.359703	6561670.430000	463416.140000	31	25	11	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2998	http://www.npd.no/FactMapSearch?NPDID_wellbore=2998	sidetrack	25/11-A-4 H	2998	44210	43562	9999-12-31	20756	297514	283173	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-A-8 H	25/11-A-8	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	WATER	DEVELOPMENT	1996-12-11	1997-09-30	BALDER	1237-P	25/11-1 BALDER	NO	18.000000	\N	909.000000	126.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-A-8 H	1-A	NO	WATER	1996	1997	\N	172	ED50	59	11	29.83	N	2	21	32.62	E	59.191619	2.359061	6561716.870000	463379.920000	31	25	11	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3000	http://www.npd.no/FactMapSearch?NPDID_wellbore=3000	initial	\N	3000	44210	43562	9999-12-31	20756	297514	284629	0	ESSO	2012-07-25	2012-07-25	2013-05-08
9/2-A-2	9/2-A-2	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	1996-12-14	1997-04-17	YME	1238-P	9/2-1 YME	NO	42.000000	\N	5518.000000	93.000000	NORTH SEA	YME	JACK-UP 3 LEGS	YME B ØST	10-A	NO	OIL	1996	1997	\N	50	ED50	57	49	7.54	N	4	31	10.87	E	57.818761	4.519686	6409691.270000	590280.750000	31	9	2	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3001	http://www.npd.no/FactMapSearch?NPDID_wellbore=3001	initial	\N	3001	45098	43807	9999-12-31	21716	278245	282557	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-16	31/4-A-16	Norsk Hydro Produksjon AS	HYDRO	055	INJECTION	WATER	DEVELOPMENT	1996-12-16	1997-02-01	BRAGE	1240-P	31/4-3 BRAGE	NO	63.000000	\N	5321.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	1996	1997	\N	173	ED50	60	32	33.34	N	3	2	51.03	E	60.542594	3.047508	6712000.250000	502606.520000	31	31	4	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3005	http://www.npd.no/FactMapSearch?NPDID_wellbore=3005	initial	\N	3005	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-B-24	15/9-B-24	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1996-12-30	1997-07-12	SLEIPNER VEST	1244-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	7020.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1996	1997	\N	90	ED50	58	25	4.40	N	1	43	4.77	E	58.417889	1.717992	6476098.450000	425105.460000	31	15	9	B	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3006	http://www.npd.no/FactMapSearch?NPDID_wellbore=3006	initial	\N	3006	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-B-7 H	25/11-B-7	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-12-17	1997-01-13	BALDER	1245-P	25/11-1 BALDER	NO	18.000000	\N	2362.000000	124.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-B-7 H	1-A	NO	NOT APPLICABLE	1996	1997	\N	99	ED50	59	10	40.45	N	2	22	46.46	E	59.177903	2.379572	6560178.370000	464537.600000	31	25	11	B	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3007	http://www.npd.no/FactMapSearch?NPDID_wellbore=3007	initial	\N	3007	44210	43562	9999-12-31	20756	297514	283901	0	ESSO	2012-07-25	2012-07-25	2013-05-08
6507/7-A-36	6507/7-A-36	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1997-01-12	1997-06-10	HEIDRUN	1247-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4658.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1997	1997	\N	50	ED50	65	19	32.64	N	7	19	3.33	E	65.325733	7.317592	7245985.240000	421633.960000	32	6507	7	A	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3010	http://www.npd.no/FactMapSearch?NPDID_wellbore=3010	initial	\N	3010	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-E-6 AH	31/2-E-6	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1996-12-31	1997-01-12	TROLL	1248-P	31/2-1 TROLL VEST	NO	23.000000	\N	1740.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	NO	NOT APPLICABLE	1996	1997	\N	99	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	31	2	E	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3011	http://www.npd.no/FactMapSearch?NPDID_wellbore=3011	sidetrack	31/2-E-6 H	3011	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-B-7 AH	25/11-B-7	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	1997-01-14	1998-04-18	BALDER	1253-P	25/11-1 BALDER	NO	18.000000	\N	2891.000000	124.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-B-7 H	1-A	NO	OIL	1997	1998	\N	50	ED50	59	10	40.45	N	2	22	46.46	E	59.177903	2.379572	6560178.370000	464537.600000	31	25	11	B	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3016	http://www.npd.no/FactMapSearch?NPDID_wellbore=3016	sidetrack	25/11-B-7 H	3016	44210	43562	9999-12-31	20756	297514	283901	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-X-6	2/4-X-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-01-23	1997-03-09	EKOFISK	1255-P	2/4-2 EKOFISK	NO	66.000000	\N	4811.900000	76.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1997	1997	\N	50	ED50	56	32	50.99	N	3	13	8.14	E	56.547497	3.218928	6267178.200000	513461.040000	31	2	4	X	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3017	http://www.npd.no/FactMapSearch?NPDID_wellbore=3017	initial	\N	3017	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-X-45	2/4-X-45	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-02-09	1997-03-20	EKOFISK	1256-P	2/4-2 EKOFISK	NO	57.000000	\N	3941.700000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1997	1997	\N	50	ED50	56	32	52.00	N	3	13	8.61	E	56.547778	3.219058	6267209.450000	513468.970000	31	2	4	X	45	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3018	http://www.npd.no/FactMapSearch?NPDID_wellbore=3018	initial	\N	3018	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-P-25 A	34/7-P-25	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1997-01-16	1997-02-13	SNORRE	1257-P	34/4-1 SNORRE	NO	59.000000	\N	3324.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	1997	1997	\N	173	ED50	61	26	57.73	N	2	8	36.81	E	61.449369	2.143558	6813304.150000	454333.070000	31	34	7	P	25	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3019	http://www.npd.no/FactMapSearch?NPDID_wellbore=3019	sidetrack	34/7-P-25	3019	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-09-18	2012-09-18	2013-05-08
33/9-C-11 A	33/9-C-11	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1997-01-28	1997-02-22	STATFJORD	1258-P	33/12-1 STATFJORD	NO	78.400000	\N	3557.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1997	1997	\N	173	ED50	61	17	48.01	N	1	54	11.11	E	61.296669	1.903086	6796487.730000	441225.590000	31	33	9	C	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3020	http://www.npd.no/FactMapSearch?NPDID_wellbore=3020	sidetrack	33/9-C-11	3020	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-R-1 H	6506/12-R-1	Den norske stats oljeselskap a.s	STATOIL	094	INJECTION	GAS	DEVELOPMENT	1997-02-01	1997-04-03	ÅSGARD	1259-P	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	5300.000000	300.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD R	8	NO	GAS	1997	1997	\N	91	ED50	65	1	59.96	N	6	54	7.17	E	65.033322	6.901992	7213988.860000	401197.360000	32	6506	12	R	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3021	http://www.npd.no/FactMapSearch?NPDID_wellbore=3021	initial	\N	3021	45846	43765	9999-12-31	21556	296245	278861	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-E-6 BH	31/2-E-6	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1997-01-12	1997-02-01	TROLL	1260-P	31/2-1 TROLL VEST	NO	23.000000	\N	3355.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	NO	OIL	1997	1997	\N	50	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	31	2	E	6	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3022	http://www.npd.no/FactMapSearch?NPDID_wellbore=3022	sidetrack	31/2-E-6 AH	3022	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-A-10 H	6407/7-A-10	Norsk Hydro Produksjon AS	HYDRO	107	OBSERVATION	OIL	DEVELOPMENT	1997-02-11	1997-04-04	NJORD	1261-P	6407/7-1 S NJORD	NO	22.000000	\N	3764.000000	330.000000	NORWEGIAN SEA	WEST VANGUARD	SEMISUB STEEL	NJORD A	9	NO	OIL	1997	1997	\N	99	ED50	64	16	15.78	N	7	12	9.44	E	64.271050	7.202622	7128625.370000	412943.420000	32	6407	7	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3023	http://www.npd.no/FactMapSearch?NPDID_wellbore=3023	initial	\N	3023	44876	43751	9999-12-31	21660	287902	277713	0	HYDRO PRODUKSJON	2013-02-14	2013-02-14	2013-05-08
34/7-B-1 H	34/7-B-1	Saga Petroleum ASA	SAGA	089	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-02-21	1997-04-08	VIGDIS	1265-P	34/7-8 VIGDIS	NO	25.000000	\N	4220.000000	292.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VIGDIS B	8	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	61	23	49.46	N	2	7	3.95	E	61.397072	2.117764	6807497.140000	452878.950000	31	34	7	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3024	http://www.npd.no/FactMapSearch?NPDID_wellbore=3024	initial	\N	3024	44714	43732	9999-12-31	21516	294058	279169	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-A-10 A	34/10-A-10	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1997-02-27	1997-03-26	GULLFAKS	1262-P	34/10-1 GULLFAKS	NO	82.000000	\N	2464.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1997	1997	\N	50	ED50	61	10	33.92	N	2	11	22.77	E	61.176089	2.189658	6782832.410000	456413.410000	31	34	10	A	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3026	http://www.npd.no/FactMapSearch?NPDID_wellbore=3026	sidetrack	34/10-A-10	3026	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-F-4 H	31/2-F-4	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-02-13	1997-02-25	TROLL	1264-P	31/2-1 TROLL VEST	NO	23.000000	\N	1690.000000	331.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL F	4	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	46	31.51	N	3	26	4.76	E	60.775419	3.434656	6738010.580000	523675.570000	31	31	2	F	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3027	http://www.npd.no/FactMapSearch?NPDID_wellbore=3027	initial	\N	3027	44534	46437	9999-12-31	21228	289333	278161	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-28 C	33/12-B-28	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1997-02-20	1997-04-02	STATFJORD	1266-P	33/12-1 STATFJORD	NO	78.000000	\N	4497.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1997	1997	\N	50	ED50	61	12	24.00	N	1	49	51.26	E	61.206667	1.830906	6786530.210000	437178.950000	31	33	12	B	28	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3038	http://www.npd.no/FactMapSearch?NPDID_wellbore=3038	sidetrack	33/12-B-28 B	3038	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-2 A	30/3-A-2	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	GAS	DEVELOPMENT	1997-07-02	1997-08-28	VESLEFRIKK	1267-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4653.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER/GAS	1997	1997	\N	91	ED50	60	46	57.87	N	2	53	52.38	E	60.782742	2.897883	6738752.120000	494438.980000	31	30	3	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3039	http://www.npd.no/FactMapSearch?NPDID_wellbore=3039	sidetrack	30/3-A-2	3039	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-A-10 A	7/12-A-10	BP Norway Limited  U.A.	BP	019	PRODUCTION	OIL	DEVELOPMENT	1997-02-21	1997-05-04	ULA	1269-P	7/12-2 ULA	NO	57.000000	\N	5690.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	1997	1997	\N	50	ED50	57	6	41.19	N	2	50	50.73	E	57.111442	2.847425	6329943.570000	490758.660000	31	7	12	A	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3040	http://www.npd.no/FactMapSearch?NPDID_wellbore=3040	sidetrack	7/12-A-10	3040	44972	43800	9999-12-31	20916	271889	272029	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
31/6-A-13	31/6-A-13	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-02-08	1997-12-05	TROLL	1268-P	31/6-1 TROLL ØST	NO	58.600000	\N	1544.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	45.05	N	3	43	35.53	E	60.645847	3.726536	6723719.440000	539733.480000	31	31	6	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3041	http://www.npd.no/FactMapSearch?NPDID_wellbore=3041	initial	\N	3041	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-14 B	2/7-B-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-03-23	1997-08-01	ELDFISK	1270-P	2/7-1 ELDFISK	NO	44.000000	\N	4563.800000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1997	1997	\N	50	ED50	56	25	9.11	N	3	13	6.13	E	56.419197	3.218369	6252896.980000	513472.090000	31	2	7	B	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3044	http://www.npd.no/FactMapSearch?NPDID_wellbore=3044	sidetrack	2/7-B-14 A	3044	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
9/2-A-2 A	9/2-A-2	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	1997-04-17	1997-05-30	YME	1271-P	9/2-1 YME	NO	42.000000	\N	5040.000000	93.000000	NORTH SEA	YME	JACK-UP 3 LEGS	YME B ØST	10-A	NO	OIL	1997	1997	\N	50	ED50	57	49	7.54	N	4	31	10.87	E	57.818761	4.519686	6409691.270000	590280.750000	31	9	2	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3045	http://www.npd.no/FactMapSearch?NPDID_wellbore=3045	sidetrack	9/2-A-2	3045	45098	43807	9999-12-31	21716	278245	282557	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-G-2 H	34/10-G-2	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1997-04-09	1998-10-30	GULLFAKS SØR	1272-P1	34/10-2 GULLFAKS SØR	NO	25.000000	\N	5360.000000	139.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR G	Awarded additionaly to round 3	YES	OIL	1997	1998	\N	50	ED50	61	5	50.07	N	2	16	36.06	E	61.097242	2.276683	6773994.970000	460997.050000	31	34	10	G	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3046	http://www.npd.no/FactMapSearch?NPDID_wellbore=3046	initial	\N	3046	44606	43699	9999-12-31	21188	297028	279673	0	STATOIL	2012-11-06	2012-11-06	2013-05-08
33/9-C-8	33/9-C-8	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1997-03-13	1997-04-11	STATFJORD	1273-P	33/12-1 STATFJORD	NO	78.400000	\N	3300.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1997	1997	\N	50	ED50	61	17	48.02	N	1	54	11.45	E	61.296672	1.903181	6796487.960000	441230.650000	31	33	9	C	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3047	http://www.npd.no/FactMapSearch?NPDID_wellbore=3047	initial	\N	3047	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-F-4 AH	31/2-F-4	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1997-02-26	1997-03-17	TROLL	1274-P	31/2-1 TROLL VEST	NO	23.000000	\N	3320.000000	331.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL F	4	NO	OIL	1997	1997	\N	50	ED50	60	46	31.51	N	3	26	4.76	E	60.775419	3.434656	6738010.580000	523675.570000	31	31	2	F	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3049	http://www.npd.no/FactMapSearch?NPDID_wellbore=3049	sidetrack	31/2-F-4 H	3049	44534	46437	9999-12-31	21228	289333	278161	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-4	2/4-X-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	1997-03-10	1997-04-04	EKOFISK	1276-P	2/4-2 EKOFISK	NO	66.000000	\N	3990.000000	76.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1997	1997	\N	71	ED50	56	32	50.89	N	3	13	8.40	E	56.547469	3.219000	6267175.120000	513465.490000	31	2	4	X	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3050	http://www.npd.no/FactMapSearch?NPDID_wellbore=3050	initial	\N	3050	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6407/7-A-10 AH	6407/7-A-10	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	1997-12-09	1998-02-13	NJORD	1277-P	6407/7-1 S NJORD	NO	30.000000	\N	4772.000000	330.000000	NORWEGIAN SEA	NJORD	SEMISUB STEEL	NJORD A	9	NO	OIL	1997	1998	\N	50	ED50	64	16	15.78	N	7	12	9.44	E	64.271050	7.202622	7128625.370000	412943.420000	32	6407	7	A	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3051	http://www.npd.no/FactMapSearch?NPDID_wellbore=3051	sidetrack	6407/7-A-10 H	3051	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2013-02-14	2013-02-14	2013-05-08
34/10-A-21 A	34/10-A-21	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1999-11-24	2000-01-02	GULLFAKS	1278-P	34/10-1 GULLFAKS	NO	82.300000	\N	4569.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1999	2000	\N	50	ED50	61	10	34.83	N	2	11	21.34	E	61.176342	2.189261	6782860.830000	456392.390000	31	34	10	A	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3052	http://www.npd.no/FactMapSearch?NPDID_wellbore=3052	sidetrack	34/10-A-21	3052	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-36 A	34/10-C-36	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1997-05-30	1998-01-24	GULLFAKS	1280-P	34/10-1 GULLFAKS	NO	84.000000	\N	6164.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1997	1998	\N	50	ED50	61	12	54.77	N	2	16	26.79	E	61.215214	2.274108	6787137.110000	461004.040000	31	34	10	C	36	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3054	http://www.npd.no/FactMapSearch?NPDID_wellbore=3054	sidetrack	34/10-C-36	3054	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-14 C	2/7-B-14	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-04-17	1998-08-01	ELDFISK	1281-P	2/7-1 ELDFISK	NO	44.000000	\N	4236.000000	73.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1997	1998	\N	50	ED50	56	25	9.11	N	3	13	6.13	E	56.419197	3.218369	6252896.980000	513472.090000	31	2	7	B	14	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3055	http://www.npd.no/FactMapSearch?NPDID_wellbore=3055	sidetrack	2/7-B-14 B	3055	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/4-A-19	31/4-A-19	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1997-04-14	1997-05-31	BRAGE	1282-P	31/4-3 BRAGE	NO	63.000000	\N	5645.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1997	1997	\N	50	ED50	60	32	33.34	N	3	2	50.52	E	60.542594	3.047367	6712000.240000	502598.750000	31	31	4	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3056	http://www.npd.no/FactMapSearch?NPDID_wellbore=3056	initial	\N	3056	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-B-17	15/9-B-17	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	1997-04-21	1997-07-04	SLEIPNER VEST	1283-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	5911.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1997	1997	\N	170	ED50	58	25	4.42	N	1	43	4.17	E	58.417894	1.717825	6476099.260000	425095.730000	31	15	9	B	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3057	http://www.npd.no/FactMapSearch?NPDID_wellbore=3057	initial	\N	3057	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-14 A	33/12-B-14	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	\N	DEVELOPMENT	1997-04-09	1997-05-09	STATFJORD	1284-P	33/12-1 STATFJORD	NO	78.000000	\N	4226.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	1997	1997	\N	72	ED50	61	12	25.12	N	1	49	51.93	E	61.206978	1.831092	6786564.680000	437189.570000	31	33	12	B	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3058	http://www.npd.no/FactMapSearch?NPDID_wellbore=3058	sidetrack	33/12-B-14	3058	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-J-1 H	34/10-J-1	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	GAS	DEVELOPMENT	1997-06-08	1998-08-11	GULLFAKS SØR	1285-P	34/10-17 RIMFAKS	NO	25.000000	\N	4459.000000	136.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR J	Awarded additionaly to round 3	NO	GAS	1997	1998	\N	91	ED50	61	3	50.67	N	2	0	10.58	E	61.064075	2.002939	6770494.820000	446180.520000	31	34	10	J	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3059	http://www.npd.no/FactMapSearch?NPDID_wellbore=3059	initial	\N	3059	44600	43699	9999-12-31	21188	297028	280681	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
9/2-A-6	9/2-A-6	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	\N	DEVELOPMENT	1997-03-11	1997-03-29	YME	1286-P	9/2-1 YME	NO	43.000000	\N	5191.000000	92.000000	NORTH SEA	YME	JACK-UP 3 LEGS	YME B ØST	10-A	NO	OIL	1997	1997	9/2-6 S	71	ED50	57	49	7.47	N	4	31	10.95	E	57.818742	4.519708	6409689.140000	590282.120000	31	9	2	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3063	http://www.npd.no/FactMapSearch?NPDID_wellbore=3063	initial	\N	3063	45098	43807	9999-12-31	21716	278245	282557	2867	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-B-2 H	34/7-B-2	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1997-04-09	1997-10-14	VIGDIS	1301-P	34/7-8 VIGDIS	NO	25.000000	\N	3113.000000	292.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VIGDIS B	8	NO	OIL	1997	1997	\N	50	ED50	61	23	49.33	N	2	7	3.76	E	61.397036	2.117711	6807493.150000	452876.070000	31	34	7	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3064	http://www.npd.no/FactMapSearch?NPDID_wellbore=3064	initial	\N	3064	44714	43732	9999-12-31	21516	294058	279169	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/4-X-35	2/4-X-35	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-03-20	1997-05-14	EKOFISK	1287-P	2/4-2 EKOFISK	NO	57.300000	\N	3881.600000	76.200000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1997	1997	\N	50	ED50	56	32	51.87	N	3	13	8.28	E	56.547742	3.218967	6267205.410000	513463.350000	31	2	4	X	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3066	http://www.npd.no/FactMapSearch?NPDID_wellbore=3066	initial	\N	3066	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/9-B-27 A	30/9-B-27	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-05-03	1997-05-23	OSEBERG	1288-P	30/6-1 OSEBERG	NO	58.000000	\N	3512.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	29	36.08	N	2	49	42.79	E	60.493356	2.828553	6706527.280000	490579.350000	31	30	9	B	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3070	http://www.npd.no/FactMapSearch?NPDID_wellbore=3070	sidetrack	30/9-B-27	3070	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-27 B	30/9-B-27	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1997-06-19	1997-08-13	OSEBERG	1289-P	30/6-1 OSEBERG	NO	58.000000	\N	6075.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1997	1997	\N	50	ED50	60	29	36.08	N	2	49	42.79	E	60.493356	2.828553	6706527.280000	490579.350000	31	30	9	B	27	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3071	http://www.npd.no/FactMapSearch?NPDID_wellbore=3071	sidetrack	30/9-B-27 A	3071	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-M-41	31/2-M-41	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-03-19	1997-04-05	TROLL	1297-P	31/2-1 TROLL VEST	NO	23.000000	\N	1730.000000	349.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL M1	4	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	55	55.99	N	3	36	25.11	E	60.932219	3.606975	6755550.000000	532900.010000	31	31	2	M	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3072	http://www.npd.no/FactMapSearch?NPDID_wellbore=3072	initial	\N	3072	44534	46437	9999-12-31	21228	289333	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-L-1 H	6506/12-L-1	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1997-04-12	1997-06-26	ÅSGARD	1299-P	6506/12-1 SMØRBUKK	NO	22.000000	\N	6719.000000	285.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD L	8	NO	OIL	1997	1997	\N	50	ED50	65	8	17.89	N	6	46	57.32	E	65.138303	6.782589	7225875.760000	395986.710000	32	6506	12	L	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3079	http://www.npd.no/FactMapSearch?NPDID_wellbore=3079	initial	\N	3079	44900	43765	9999-12-31	21556	296245	278609	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/11-G-3 H	6506/11-G-3	Den norske stats oljeselskap a.s	STATOIL	134	INJECTION	GAS	DEVELOPMENT	1997-04-23	1997-07-10	ÅSGARD	1298-P	6506/12-1 SMØRBUKK	NO	24.000000	\N	5352.000000	288.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	ÅSGARD G	11-A	NO	GAS	1997	1997	\N	91	ED50	65	5	17.79	N	6	39	43.22	E	65.088275	6.662006	7220506.970000	390126.020000	32	6506	11	G	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3082	http://www.npd.no/FactMapSearch?NPDID_wellbore=3082	initial	\N	3082	44900	43765	9999-12-31	21884	294382	278749	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-A-6 AH	25/11-A-6	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	2001-05-20	2001-06-15	BALDER	1925-P	25/11-1 BALDER	NO	23.000000	\N	3614.000000	127.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-A-6 H	1-A	NO	OIL	2001	2001	\N	50	ED50	59	11	28.33	N	2	21	37.41	E	59.191203	2.360392	6561669.750000	463455.490000	31	25	11	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3083	http://www.npd.no/FactMapSearch?NPDID_wellbore=3083	sidetrack	25/11-A-6 H	3083	44210	43562	9999-12-31	20756	287983	283257	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/8-A-20 C	2/8-A-20	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	\N	DEVELOPMENT	1997-05-04	1997-05-30	VALHALL	1314-P	2/8-6 VALHALL	NO	44.000000	\N	4990.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL/GAS	1997	1997	\N	71	ED50	56	16	40.74	N	3	23	43.61	E	56.277983	3.395447	6237227.630000	524486.990000	31	2	8	A	20	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3086	http://www.npd.no/FactMapSearch?NPDID_wellbore=3086	sidetrack	2/8-A-20 B	3086	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
31/5-H-3 H	31/5-H-3	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-04-07	1997-04-22	TROLL	1302-P	31/2-1 TROLL VEST	NO	23.000000	\N	2377.000000	316.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	42	51.32	N	3	30	49.38	E	60.714256	3.513717	6731229.080000	528035.240000	31	31	5	H	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3089	http://www.npd.no/FactMapSearch?NPDID_wellbore=3089	initial	\N	3089	44534	46437	9999-12-31	21476	289333	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-H-3 AH	31/5-H-3	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	\N	DEVELOPMENT	1997-04-23	1997-05-26	TROLL	1303-P	31/2-1 TROLL VEST	NO	23.000000	\N	4630.000000	316.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	OIL	1997	1997	\N	71	ED50	60	42	51.32	N	3	30	49.38	E	60.714256	3.513717	6731229.080000	528035.240000	31	31	5	H	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3090	http://www.npd.no/FactMapSearch?NPDID_wellbore=3090	sidetrack	31/5-H-3 H	3090	44534	46437	9999-12-31	21476	289333	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-H-3 BH	31/5-H-3	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1997-05-27	1997-07-10	TROLL	1304-P	31/2-1 TROLL VEST	NO	23.000000	\N	4302.000000	316.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	OIL	1997	1997	\N	50	ED50	60	42	51.32	N	3	30	49.38	E	60.714256	3.513717	6731229.080000	528035.240000	31	31	5	H	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3091	http://www.npd.no/FactMapSearch?NPDID_wellbore=3091	sidetrack	31/5-H-3 AH	3091	44534	46437	9999-12-31	21476	289333	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-9	2/4-X-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-04-05	1997-06-22	EKOFISK	1306-P	2/4-2 EKOFISK	NO	66.000000	\N	4032.500000	76.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1997	1997	\N	50	ED50	56	32	51.08	N	3	13	8.03	E	56.547522	3.218897	6267180.970000	513459.150000	31	2	4	X	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3093	http://www.npd.no/FactMapSearch?NPDID_wellbore=3093	initial	\N	3093	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/6-A-33	31/6-A-33	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-03-31	1997-06-28	TROLL	1311-P	31/6-1 TROLL ØST	NO	58.600000	\N	1870.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	43.83	N	3	43	35.53	E	60.645508	3.726536	6723681.700000	539733.900000	31	31	6	A	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3097	http://www.npd.no/FactMapSearch?NPDID_wellbore=3097	initial	\N	3097	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-23	33/9-C-23	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1997-05-01	1997-06-11	STATFJORD	1307-P	33/12-1 STATFJORD	NO	78.400000	\N	4528.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1997	1997	\N	71	ED50	61	17	46.96	N	1	54	10.19	E	61.296378	1.902831	6796455.480000	441211.350000	31	33	9	C	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3099	http://www.npd.no/FactMapSearch?NPDID_wellbore=3099	initial	\N	3099	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-23 A	33/9-C-23	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1997-06-11	1997-07-22	STATFJORD	1308-P	33/12-1 STATFJORD	NO	78.400000	\N	4770.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1997	1997	\N	71	ED50	61	17	46.96	N	1	54	10.19	E	61.296378	1.902831	6796455.480000	441211.350000	31	33	9	C	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3100	http://www.npd.no/FactMapSearch?NPDID_wellbore=3100	sidetrack	33/9-C-23	3100	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-X-42	2/4-X-42	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-05-15	1997-07-02	EKOFISK	1309-P	2/4-2 EKOFISK	NO	57.600000	\N	3996.500000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1997	1997	\N	50	ED50	56	32	51.91	N	3	13	8.73	E	56.547753	3.219092	6267206.680000	513471.030000	31	2	4	X	42	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3101	http://www.npd.no/FactMapSearch?NPDID_wellbore=3101	initial	\N	3101	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/11-C-13 H	25/11-C-13	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	1997-05-07	1998-06-10	BALDER	1310-P	25/11-1 BALDER	NO	18.000000	\N	2725.000000	126.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-C-13 H	1-A	NO	OIL	1997	1998	\N	50	ED50	59	10	59.87	N	2	24	34.62	E	59.183297	2.409617	6560763.490000	466260.160000	31	25	11	C	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3102	http://www.npd.no/FactMapSearch?NPDID_wellbore=3102	initial	\N	3102	44210	43562	9999-12-31	20756	297514	283957	0	ESSO	2012-07-25	2012-07-25	2013-05-08
6506/12-L-3 H	6506/12-L-3	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1998-07-13	1998-08-14	ÅSGARD	1474-P	6506/12-1 SMØRBUKK	NO	24.000000	\N	5092.000000	289.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	ÅSGARD L	8	NO	OIL	1998	1998	\N	50	ED50	65	8	17.83	N	6	46	57.49	E	65.138286	6.782636	7225873.830000	395988.860000	32	6506	12	L	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3107	http://www.npd.no/FactMapSearch?NPDID_wellbore=3107	initial	\N	3107	44900	43765	9999-12-31	21556	294382	278609	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-38	34/10-B-38	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1997-06-02	1997-12-11	GULLFAKS	1324-P	34/10-1 GULLFAKS	NO	81.000000	\N	5015.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1997	1997	\N	50	ED50	61	12	10.08	N	2	12	6.13	E	61.202800	2.201703	6785799.710000	457097.560000	31	34	10	B	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3108	http://www.npd.no/FactMapSearch?NPDID_wellbore=3108	initial	\N	3108	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-13 A	34/10-B-13	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1997-05-12	1997-06-01	GULLFAKS	1312-P	34/10-1 GULLFAKS	NO	81.000000	\N	3225.500000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1997	1997	\N	50	ED50	61	12	9.97	N	2	12	6.08	E	61.202769	2.201689	6785796.310000	457096.770000	31	34	10	B	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3111	http://www.npd.no/FactMapSearch?NPDID_wellbore=3111	sidetrack	34/10-B-13	3111	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-7	6507/7-A-7	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1997-07-12	1998-01-15	HEIDRUN	1367-P	6507/7-2 HEIDRUN	NO	74.200000	\N	5252.500000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1997	1998	\N	50	ED50	65	19	33.14	N	7	19	4.05	E	65.325872	7.317792	7246000.470000	421643.690000	32	6507	7	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3112	http://www.npd.no/FactMapSearch?NPDID_wellbore=3112	initial	\N	3112	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-B-1 AH	34/7-B-1	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1997-05-18	1997-06-17	VIGDIS	1313-P	34/7-8 VIGDIS	NO	25.000000	\N	3650.000000	292.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VIGDIS B	8	NO	OIL	1997	1997	\N	50	ED50	61	23	49.46	N	2	7	3.95	E	61.397072	2.117764	6807497.140000	452878.950000	31	34	7	B	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3115	http://www.npd.no/FactMapSearch?NPDID_wellbore=3115	sidetrack	34/7-B-1 H	3115	44714	43732	9999-12-31	21516	294058	279169	0	SAGA	2012-07-25	2012-07-25	2013-05-08
30/3-A-8 A	30/3-A-8	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1999-12-18	2000-02-13	VESLEFRIKK	1680-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5225.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1999	2000	\N	50	ED50	60	46	58.03	N	2	53	52.27	E	60.782786	2.897853	6738757.080000	494437.320000	31	30	3	A	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3116	http://www.npd.no/FactMapSearch?NPDID_wellbore=3116	sidetrack	30/3-A-8	3116	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-22 A	33/12-B-22	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1997-05-19	1997-06-02	STATFJORD	1316-P	33/12-1 STATFJORD	NO	77.800000	\N	2931.000000	145.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1997	1997	\N	50	ED50	61	12	24.14	N	1	49	51.06	E	61.206706	1.830850	6786534.590000	437176.050000	31	33	12	B	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3118	http://www.npd.no/FactMapSearch?NPDID_wellbore=3118	sidetrack	33/12-B-22	3118	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-D-10 BH	25/11-D-10	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	1998-07-23	1998-09-19	BALDER	1469-P	25/11-1 BALDER	NO	18.000000	\N	3060.000000	127.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-D-10 H	1-A	NO	OIL	1998	1998	\N	50	ED50	59	12	0.37	N	2	24	35.21	E	59.200103	2.409781	6562634.800000	466286.090000	31	25	11	D	10	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3119	http://www.npd.no/FactMapSearch?NPDID_wellbore=3119	sidetrack	25/11-D-10 AH	3119	44210	43562	9999-12-31	20756	297514	284181	0	ESSO	2012-07-25	2012-07-25	2013-05-08
31/6-A-28	31/6-A-28	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-05-09	1998-09-26	TROLL	1321-P	31/6-1 TROLL ØST	NO	58.600000	\N	1654.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1998	\N	90	ED50	60	38	43.54	N	3	43	35.23	E	60.645428	3.726453	6723672.680000	539729.440000	31	31	6	A	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3120	http://www.npd.no/FactMapSearch?NPDID_wellbore=3120	initial	\N	3120	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-X-3	2/4-X-3	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-06-22	1997-10-24	EKOFISK	1317-P	2/4-2 EKOFISK	NO	66.000000	\N	7812.000000	76.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1997	1997	\N	50	ED50	56	32	50.90	N	3	13	8.25	E	56.547472	3.218958	6267175.420000	513462.930000	31	2	4	X	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3121	http://www.npd.no/FactMapSearch?NPDID_wellbore=3121	initial	\N	3121	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6506/12-K-3 H	6506/12-K-3	Den norske stats oljeselskap a.s	STATOIL	094	INJECTION	GAS	DEVELOPMENT	1997-06-24	1998-06-12	ÅSGARD	1358-P	6506/12-1 SMØRBUKK	NO	25.000000	\N	4664.000000	295.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD K	8	NO	GAS	1997	1998	\N	90	ED50	65	8	1.97	N	6	42	25.10	E	65.133881	6.706972	7225509.830000	392423.030000	32	6506	12	K	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3124	http://www.npd.no/FactMapSearch?NPDID_wellbore=3124	initial	\N	3124	44900	43765	9999-12-31	21556	296326	278777	0	STATOIL	2012-11-20	2012-11-20	2013-05-08
2/8-A-9 A	2/8-A-9	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1997-07-28	1997-09-08	VALHALL	1349-P	2/8-6 VALHALL	NO	44.000000	\N	2700.000000	69.200000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1997	1997	\N	50	ED50	56	16	40.92	N	3	23	43.55	E	56.278033	3.395431	6237233.190000	524485.920000	31	2	8	A	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3127	http://www.npd.no/FactMapSearch?NPDID_wellbore=3127	sidetrack	2/8-A-9	3127	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
31/6-A-37	31/6-A-37	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1998-05-23	1998-06-13	TROLL	1454-P	31/6-1 TROLL ØST	NO	58.600000	\N	2345.000000	303.000000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1998	1998	\N	90	ED50	60	38	43.54	N	3	43	35.53	E	60.645428	3.726536	6723672.730000	539734.000000	31	31	6	A	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3130	http://www.npd.no/FactMapSearch?NPDID_wellbore=3130	initial	\N	3130	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-P-18 A	34/7-P-18	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1997-07-07	1997-08-23	SNORRE	1331-P	34/4-1 SNORRE	NO	59.000000	\N	3283.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1997	1997	\N	50	ED50	61	26	57.21	N	2	8	37.09	E	61.449225	2.143636	6813288.010000	454337.000000	31	34	7	P	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3133	http://www.npd.no/FactMapSearch?NPDID_wellbore=3133	sidetrack	34/7-P-18	3133	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-C-37	34/10-C-37	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	1998-02-05	1998-04-21	GULLFAKS	1416-P	34/10-1 GULLFAKS	NO	84.000000	\N	2672.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	WATER	1998	1998	\N	173	ED50	61	12	53.52	N	2	16	27.52	E	61.214867	2.274311	6787098.310000	461014.510000	31	34	10	C	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3134	http://www.npd.no/FactMapSearch?NPDID_wellbore=3134	initial	\N	3134	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-A-14 B	2/7-A-14	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2009-05-16	2009-08-21	ELDFISK	3109-P	2/7-1 ELDFISK	NO	43.000000	\N	4938.000000	70.700000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2009	2009	\N	50	ED50	56	22	36.59	N	3	15	57.71	E	56.376831	3.266031	6248191.570000	516430.730000	31	2	7	A	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3135	http://www.npd.no/FactMapSearch?NPDID_wellbore=3135	sidetrack	2/7-A-14 A	3135	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
2/7-A-15 A	2/7-A-15	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	WATER	DEVELOPMENT	2004-10-19	2005-01-24	ELDFISK	2469-P	2/7-1 ELDFISK	NO	43.000000	\N	4938.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2004	2005	\N	173	ED50	56	22	36.58	N	3	15	57.54	E	56.376828	3.265983	6248191.250000	516427.810000	31	2	7	A	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3136	http://www.npd.no/FactMapSearch?NPDID_wellbore=3136	sidetrack	2/7-A-15	3136	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
34/8-A-1 H	34/8-A-1	Norsk Hydro Produksjon AS	HYDRO	120	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-07-04	1997-07-14	VISUND	1322-P	34/8-1 VISUND	NO	29.000000	\N	1176.000000	335.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	VISUND	10-A	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	61	22	12.57	N	2	27	35.13	E	61.370158	2.459758	6804300.030000	471119.990000	31	34	8	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3140	http://www.npd.no/FactMapSearch?NPDID_wellbore=3140	initial	\N	3140	44720	43745	9999-12-31	21772	287821	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-1 AH	34/8-A-1	Norsk Hydro Produksjon AS	HYDRO	120	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-07-14	1997-09-13	VISUND	1323-P	34/8-1 VISUND	NO	29.000000	\N	4582.000000	335.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	VISUND	10-A	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	61	22	12.57	N	2	27	35.13	E	61.370158	2.459758	6804300.030000	471119.990000	31	34	8	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3141	http://www.npd.no/FactMapSearch?NPDID_wellbore=3141	sidetrack	34/8-A-1 H	3141	44720	43745	9999-12-31	21772	287821	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-38 A	33/12-B-38	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	GAS	DEVELOPMENT	1997-06-18	1997-07-20	STATFJORD	1325-P	33/12-1 STATFJORD	NO	77.800000	\N	4589.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS	1997	1997	\N	91	ED50	61	12	24.88	N	1	49	50.29	E	61.206911	1.830636	6786557.690000	437164.960000	31	33	12	B	38	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3142	http://www.npd.no/FactMapSearch?NPDID_wellbore=3142	sidetrack	33/12-B-38	3142	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-P-3 H	6506/12-P-3	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	\N	DEVELOPMENT	1997-08-07	1997-11-09	ÅSGARD	1326-P	6506/12-3 SMØRBUKK SØR	NO	24.000000	\N	6365.000000	308.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	ÅSGARD P	8	NO	OIL	1997	1997	\N	71	ED50	65	1	22.92	N	6	52	45.65	E	65.023033	6.879347	7212878.230000	400092.790000	32	6506	12	P	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3149	http://www.npd.no/FactMapSearch?NPDID_wellbore=3149	initial	\N	3149	45846	43765	9999-12-31	21556	294382	278889	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-P-3 AH	6506/12-P-3	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1997-11-09	1997-12-20	ÅSGARD	1327-P	6506/12-3 SMØRBUKK SØR	NO	24.000000	\N	6540.000000	308.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	ÅSGARD P	8	NO	OIL	1997	1997	\N	50	ED50	65	1	22.92	N	6	52	45.65	E	65.023033	6.879347	7212878.230000	400092.790000	32	6506	12	P	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3150	http://www.npd.no/FactMapSearch?NPDID_wellbore=3150	sidetrack	6506/12-P-3 H	3150	45846	43765	9999-12-31	21556	294382	278889	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-K-1 H	6506/12-K-1	Den norske stats oljeselskap a.s	STATOIL	094	INJECTION	GAS	DEVELOPMENT	1998-07-24	1998-09-05	ÅSGARD	1488-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5208.000000	298.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD K	8	NO	GAS	1998	1998	\N	91	ED50	65	8	1.66	N	6	42	25.27	E	65.133794	6.707019	7225500.160000	392424.890000	32	6506	12	K	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3155	http://www.npd.no/FactMapSearch?NPDID_wellbore=3155	initial	\N	3155	44900	43765	9999-12-31	21556	296326	278777	0	STATOIL	2012-07-25	2012-12-08	2013-05-08
6506/12-L-2 H	6506/12-L-2	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	\N	DEVELOPMENT	1997-06-28	1998-01-12	ÅSGARD	1329-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5026.000000	288.500000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD L	8	NO	OIL	1997	1998	\N	71	ED50	65	8	17.72	N	6	46	57.36	E	65.138256	6.782600	7225870.480000	395987.050000	32	6506	12	L	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3156	http://www.npd.no/FactMapSearch?NPDID_wellbore=3156	initial	\N	3156	44900	43765	9999-12-31	21556	296245	278609	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-X-47	2/4-X-47	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-07-02	1997-09-04	EKOFISK	1330-P	2/4-2 EKOFISK	NO	57.300000	\N	5101.400000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1997	1997	\N	50	ED50	56	32	52.10	N	3	13	8.36	E	56.547806	3.218989	6267212.530000	513464.690000	31	2	4	X	47	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3157	http://www.npd.no/FactMapSearch?NPDID_wellbore=3157	initial	\N	3157	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/5-J-41	31/5-J-41	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-07-11	1997-07-26	TROLL	1333-P	31/2-1 TROLL VEST	NO	23.000000	\N	1760.000000	313.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J1	Awarded additionaly to round 7	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	43	27.22	N	3	39	28.93	E	60.724228	3.658036	6732410.040000	535899.950000	31	31	5	J	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3158	http://www.npd.no/FactMapSearch?NPDID_wellbore=3158	initial	\N	3158	44534	46437	9999-12-31	21476	289333	279141	0	HYDRO PRODUKSJON	2012-08-23	2012-08-23	2013-05-08
6507/7-A-28	6507/7-A-28	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1997-08-14	1997-10-21	HEIDRUN	1334-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3005.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1997	1997	\N	50	ED50	65	19	32.73	N	7	19	3.27	E	65.325758	7.317575	7245988.050000	421633.260000	32	6507	7	A	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3159	http://www.npd.no/FactMapSearch?NPDID_wellbore=3159	initial	\N	3159	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-37	31/4-A-37	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-07-27	1997-09-03	BRAGE	1318-P	31/4-3 BRAGE	NO	62.600000	\N	5049.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	32	33.34	N	3	2	50.69	E	60.542594	3.047414	6712000.240000	502601.340000	31	31	4	A	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3160	http://www.npd.no/FactMapSearch?NPDID_wellbore=3160	initial	\N	3160	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-37 A	31/4-A-37	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-09-04	1997-09-17	BRAGE	1319-P	31/4-3 BRAGE	NO	62.600000	\N	6474.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	32	33.34	N	3	2	50.69	E	60.542594	3.047414	6712000.240000	502601.340000	31	31	4	A	37	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3161	http://www.npd.no/FactMapSearch?NPDID_wellbore=3161	sidetrack	31/4-A-37	3161	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-37 B	31/4-A-37	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1997-09-18	1997-10-19	BRAGE	1320-P	31/4-3 BRAGE	NO	62.600000	\N	7080.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1997	1997	\N	50	ED50	60	32	33.34	N	3	2	50.69	E	60.542594	3.047414	6712000.240000	502601.340000	31	31	4	A	37	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3162	http://www.npd.no/FactMapSearch?NPDID_wellbore=3162	sidetrack	31/4-A-37 A	3162	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-F-4 H	34/10-F-4	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-08-09	1997-10-07	GULLFAKS SØR	1336-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4320.000000	134.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR F	Awarded additionaly to round 3	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	61	5	51.81	N	2	16	35.81	E	61.097725	2.276614	6774048.850000	460993.910000	31	34	10	F	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3163	http://www.npd.no/FactMapSearch?NPDID_wellbore=3163	initial	\N	3163	44606	43699	9999-12-31	21188	297028	279645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-F-4 AH	34/10-F-4	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1997-10-07	1998-02-11	GULLFAKS SØR	1337-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	5467.000000	134.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR F	Awarded additionaly to round 3	NO	OIL	1997	1998	\N	50	ED50	61	5	51.81	N	2	16	35.81	E	61.097725	2.276614	6774048.850000	460993.910000	31	34	10	F	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3164	http://www.npd.no/FactMapSearch?NPDID_wellbore=3164	sidetrack	34/10-F-4 H	3164	44606	43699	9999-12-31	21188	297028	279645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-K-2 H	6506/12-K-2	Den norske stats oljeselskap a.s	STATOIL	094	INJECTION	GAS	DEVELOPMENT	1997-08-21	1999-07-03	ÅSGARD	1339-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	6003.000000	295.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD K	8	NO	GAS	1997	1999	\N	90	ED50	65	8	1.90	N	6	42	24.87	E	65.133861	6.706908	7225507.780000	392419.950000	32	6506	12	K	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3165	http://www.npd.no/FactMapSearch?NPDID_wellbore=3165	initial	\N	3165	44900	43765	9999-12-31	21556	296326	278777	0	STATOIL	2012-11-20	2012-11-20	2013-05-08
2/8-A-20 D	2/8-A-20	Amoco Norway Oil Company	AMOCO	006	INJECTION	CUTTINGS	DEVELOPMENT	1997-05-31	1997-06-28	VALHALL	1338-P	2/8-6 VALHALL	NO	44.000000	\N	3322.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	CUTTINGS	1997	1997	\N	171	ED50	56	16	40.74	N	3	23	43.61	E	56.277983	3.395447	6237227.630000	524486.990000	31	2	8	A	20	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3167	http://www.npd.no/FactMapSearch?NPDID_wellbore=3167	sidetrack	2/8-A-20 C	3167	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/7-P-35	34/7-P-35	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	2000-10-14	2000-12-20	SNORRE	1792-P	34/4-1 SNORRE	NO	59.000000	\N	6190.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2000	2000	\N	50	ED50	61	26	58.12	N	2	8	37.33	E	61.449478	2.143703	6813316.120000	454340.930000	31	34	7	P	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3169	http://www.npd.no/FactMapSearch?NPDID_wellbore=3169	initial	\N	3169	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
15/9-B-4	15/9-B-4	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1997-07-01	1997-11-28	SLEIPNER VEST	1379-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	6476.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1997	1997	\N	90	ED50	58	25	4.78	N	1	43	4.38	E	58.417994	1.717883	6476110.330000	425099.350000	31	15	9	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3170	http://www.npd.no/FactMapSearch?NPDID_wellbore=3170	initial	\N	3170	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-11	31/4-A-11	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-10-20	1997-11-12	BRAGE	1328-P	31/4-3 BRAGE	NO	62.600000	\N	3573.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	32	33.34	N	3	2	50.35	E	60.542594	3.047319	6712000.240000	502596.160000	31	31	4	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3171	http://www.npd.no/FactMapSearch?NPDID_wellbore=3171	initial	\N	3171	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/11-G-4 H	6506/11-G-4	Den norske stats oljeselskap a.s	STATOIL	134	INJECTION	GAS	DEVELOPMENT	1997-07-10	1998-11-28	ÅSGARD	1335-P	6506/12-1 SMØRBUKK	NO	24.000000	\N	6370.000000	288.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	ÅSGARD G	11-A	NO	GAS	1997	1998	\N	91	ED50	65	5	17.80	N	6	39	43.59	E	65.088278	6.662108	7220507.100000	390130.860000	32	6506	11	G	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3172	http://www.npd.no/FactMapSearch?NPDID_wellbore=3172	initial	\N	3172	44900	43765	9999-12-31	21884	294382	278749	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-26 B	30/9-B-26	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	OIL	DEVELOPMENT	1997-09-03	1997-10-08	OSEBERG	1341-P	30/6-1 OSEBERG	NO	59.000000	\N	5553.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1997	1997	\N	50	ED50	60	29	36.07	N	2	49	42.63	E	60.493353	2.828508	6706526.980000	490576.900000	31	30	9	B	26	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3173	http://www.npd.no/FactMapSearch?NPDID_wellbore=3173	sidetrack	30/9-B-26 A	3173	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-26 C	30/9-B-26	StatoilHydro Petroleum AS	STATOIL	079	INJECTION	WATER	DEVELOPMENT	2008-04-05	2008-06-17	OSEBERG	1342-P	30/6-1 OSEBERG	NO	59.000000	\N	6091.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	WATER	2008	2008	\N	173	ED50	60	29	36.07	N	2	49	42.63	E	60.493353	2.828508	6706526.980000	490576.900000	31	30	9	B	26	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3174	http://www.npd.no/FactMapSearch?NPDID_wellbore=3174	sidetrack	30/9-B-26 B	3174	44396	43625	9999-12-31	34635	272897	272897	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
33/9-C-42 A	33/9-C-42	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1998-01-10	1998-04-01	STATFJORD	1343-P	33/12-1 STATFJORD	NO	78.400000	\N	5300.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1998	1998	\N	50	ED50	61	17	47.71	N	1	54	10.05	E	61.296586	1.902792	6796478.720000	441209.650000	31	33	9	C	42	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3175	http://www.npd.no/FactMapSearch?NPDID_wellbore=3175	sidetrack	33/9-C-42	3175	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/8-A-1 BH	34/8-A-1	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	OIL	DEVELOPMENT	1998-03-09	2001-01-15	VISUND	1345-P	34/8-1 VISUND	NO	29.000000	\N	6039.000000	335.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	VISUND	10-A	NO	OIL	1998	2001	\N	50	ED50	61	22	12.57	N	2	27	35.13	E	61.370158	2.459758	6804300.030000	471119.990000	31	34	8	A	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3177	http://www.npd.no/FactMapSearch?NPDID_wellbore=3177	sidetrack	34/8-A-1 AH	3177	44720	43745	9999-12-31	21772	287821	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/1-A-29	2/1-A-29	BP Norway Limited  U.A.	BP	019 B	PRODUCTION	WATER	DEVELOPMENT	1997-08-19	1997-10-24	GYDA	1346-P	2/1-3 GYDA	NO	56.000000	\N	6211.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	1997	1997	\N	173	ED50	56	54	17.13	N	3	5	6.28	E	56.904758	3.085078	6306928.460000	505181.740000	31	2	1	A	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3178	http://www.npd.no/FactMapSearch?NPDID_wellbore=3178	initial	\N	3178	44012	43492	9999-12-31	20924	272337	272337	0	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/9-B-26 A	30/9-B-26	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-08-13	1997-09-03	OSEBERG	1340-P	30/6-1 OSEBERG	NO	59.000000	\N	5636.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	29	36.07	N	2	49	42.63	E	60.493353	2.828508	6706526.980000	490576.900000	31	30	9	B	26	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3179	http://www.npd.no/FactMapSearch?NPDID_wellbore=3179	sidetrack	30/9-B-26	3179	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-J-7 AH	34/7-J-7	Saga Petroleum ASA	SAGA	089	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-07-19	1997-08-10	TORDIS	1347-P	34/7-22 TORDIS ØST	NO	25.000000	\N	2800.000000	241.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	TORDIS EXTENSION	8	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	61	17	29.79	N	2	9	46.37	E	61.291608	2.162881	6795717.910000	455137.950000	31	34	7	J	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3181	http://www.npd.no/FactMapSearch?NPDID_wellbore=3181	sidetrack	34/7-J-7 H	3181	44696	43725	9999-12-31	21516	294058	282445	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/4-X-1	2/4-X-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-10-22	1997-12-13	EKOFISK	1348-P	2/4-2 EKOFISK	NO	66.000000	\N	5283.700000	72.200000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1997	1997	\N	50	ED50	56	32	50.93	N	3	13	7.98	E	56.547481	3.218883	6267176.330000	513458.320000	31	2	4	X	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3182	http://www.npd.no/FactMapSearch?NPDID_wellbore=3182	initial	\N	3182	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/2-D-5 H	31/2-D-5	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-07-26	1997-08-09	TROLL	1350-P	31/2-1 TROLL VEST	NO	23.000000	\N	1944.000000	339.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	51	25.74	N	3	26	34.49	E	60.857150	3.442914	6747117.110000	524063.950000	31	31	2	D	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3183	http://www.npd.no/FactMapSearch?NPDID_wellbore=3183	initial	\N	3183	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-D-5 AH	31/2-D-5	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1997-08-09	1997-10-08	TROLL	1351-P	31/2-1 TROLL VEST	NO	23.000000	\N	3800.000000	339.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	NO	OIL	1997	1997	\N	50	ED50	60	51	25.74	N	3	26	34.49	E	60.857150	3.442914	6747117.110000	524063.950000	31	31	2	D	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3184	http://www.npd.no/FactMapSearch?NPDID_wellbore=3184	sidetrack	31/2-D-5 H	3184	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-C-2 AH	15/9-C-2	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1998-03-29	1998-06-06	SLEIPNER ØST	1352-P	15/9-9 SLEIPNER ØST	NO	25.000000	\N	3500.000000	84.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	SLEIPNER C	3	NO	GAS	1998	1998	\N	90	ED50	58	26	9.31	N	1	55	46.56	E	58.435919	1.929600	6477889.700000	437498.790000	31	15	9	C	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3185	http://www.npd.no/FactMapSearch?NPDID_wellbore=3185	sidetrack	15/9-C-2 H	3185	43946	43478	9999-12-31	21156	341331	277545	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-5 B	2/7-B-5	Phillips Petroleum Company Norway	PHILLIPS	018	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-09-03	1997-10-31	ELDFISK	1353-P	2/7-1 ELDFISK	NO	42.400000	\N	3174.200000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1997	1997	\N	99	ED50	56	25	9.59	N	3	13	6.22	E	56.419331	3.218394	6252911.830000	513473.590000	31	2	7	B	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3186	http://www.npd.no/FactMapSearch?NPDID_wellbore=3186	sidetrack	2/7-B-5 A	3186	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2013-01-09	2013-01-09	2013-05-08
33/9-A-38 A	33/9-A-38	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1997-09-01	1997-10-13	STATFJORD	1354-P	33/12-1 STATFJORD	NO	64.400000	\N	4775.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1997	1997	\N	173	ED50	61	15	19.73	N	1	51	14.20	E	61.255481	1.853944	6791945.240000	438512.200000	31	33	9	A	38	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3187	http://www.npd.no/FactMapSearch?NPDID_wellbore=3187	sidetrack	33/9-A-38	3187	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-S-1 H	6506/12-S-1	Den norske stats oljeselskap a.s	STATOIL	094	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-10-30	1998-01-03	ÅSGARD	1355-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	4990.000000	300.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD S	8	NO	NOT APPLICABLE	1997	1998	\N	99	ED50	65	0	57.87	N	6	56	45.38	E	65.016075	6.945939	7211999.400000	403203.950000	32	6506	12	S	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3188	http://www.npd.no/FactMapSearch?NPDID_wellbore=3188	initial	\N	3188	44900	43765	9999-12-31	21556	296326	278833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-S-1 AH	6506/12-S-1	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1998-01-04	1999-05-29	ÅSGARD	1356-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5600.000000	300.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD S	8	NO	OIL	1998	1999	\N	50	ED50	65	0	57.87	N	6	56	45.38	E	65.016075	6.945939	7211999.400000	403203.950000	32	6506	12	S	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3189	http://www.npd.no/FactMapSearch?NPDID_wellbore=3189	sidetrack	6506/12-S-1 H	3189	44900	43765	9999-12-31	21556	296326	278833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-X-40	2/4-X-40	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1998-02-18	1998-05-01	EKOFISK	1357-P	2/4-2 EKOFISK	NO	57.300000	\N	4110.200000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1998	1998	\N	50	ED50	56	32	51.93	N	3	13	8.45	E	56.547758	3.219014	6267207.280000	513466.240000	31	2	4	X	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3191	http://www.npd.no/FactMapSearch?NPDID_wellbore=3191	initial	\N	3191	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6506/12-I-1 H	6506/12-I-1	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1998-01-18	1998-10-25	ÅSGARD	1359-P	6506/12-1 SMØRBUKK	NO	22.000000	\N	4866.000000	289.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD I	8	NO	GAS	1998	1998	\N	50	ED50	65	5	7.18	N	6	40	54.43	E	65.085328	6.681786	7220144.400000	391043.230000	32	6506	12	I	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3194	http://www.npd.no/FactMapSearch?NPDID_wellbore=3194	initial	\N	3194	44900	43765	9999-12-31	21556	296245	278581	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-P-26	34/7-P-26	Statoil ASA (old)	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2004-07-17	2004-10-30	SNORRE	2455-P	34/4-1 SNORRE	NO	59.400000	\N	5270.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2004	2004	\N	50	ED50	61	26	57.73	N	2	8	37.08	E	61.449369	2.143633	6813304.100000	454337.070000	31	34	7	P	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3195	http://www.npd.no/FactMapSearch?NPDID_wellbore=3195	initial	\N	3195	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/8-A-5 B	2/8-A-5	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1997-10-24	1998-01-07	VALHALL	1362-P	2/8-6 VALHALL	NO	44.000000	\N	3475.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1997	1998	\N	50	ED50	56	16	41.05	N	3	23	43.68	E	56.278069	3.395467	6237237.220000	524488.140000	31	2	8	A	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3198	http://www.npd.no/FactMapSearch?NPDID_wellbore=3198	sidetrack	2/8-A-5 A	3198	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
25/11-A-5 BH	25/11-A-5	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	1997-08-23	1997-09-10	BALDER	1364-P	25/11-1 BALDER	NO	18.000000	\N	2988.000000	124.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-A-5 H	1-A	NO	OIL	1997	1997	\N	50	ED50	59	11	30.22	N	2	21	34.19	E	59.191728	2.359497	6561728.700000	463404.950000	31	25	11	A	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3199	http://www.npd.no/FactMapSearch?NPDID_wellbore=3199	sidetrack	25/11-A-5 AH	3199	44210	43562	9999-12-31	20756	297514	283229	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/8-A-7 H	34/8-A-7	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	OIL	DEVELOPMENT	1997-10-06	1998-07-26	VISUND	1360-P	34/8-1 VISUND	NO	29.000000	\N	3642.000000	335.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	VISUND	10-A	NO	OIL	1997	1998	\N	50	ED50	61	22	13.26	N	2	27	32.83	E	61.370350	2.459119	6804321.670000	471086.010000	31	34	8	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3200	http://www.npd.no/FactMapSearch?NPDID_wellbore=3200	initial	\N	3200	44720	43745	9999-12-31	21772	287821	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-7 AH	34/8-A-7	Statoil ASA (old)	STATOIL	120	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VISUND	1361-P	34/8-1 VISUND	NO	29.000000	\N	0.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	0	0	\N	0	ED50	61	22	13.26	N	2	27	32.83	E	61.370350	2.459119	6804321.670000	471086.010000	31	34	8	A	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3201	http://www.npd.no/FactMapSearch?NPDID_wellbore=3201	sidetrack	34/8-A-7 H	3201	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/6-A-4	31/6-A-4	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-10-09	1997-11-17	TROLL	1373-P	31/6-1 TROLL ØST	NO	58.600000	\N	1543.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	45.05	N	3	43	35.23	E	60.645847	3.726453	6723719.390000	539728.920000	31	31	6	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3203	http://www.npd.no/FactMapSearch?NPDID_wellbore=3203	initial	\N	3203	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-9	31/6-A-9	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-10-20	1998-04-09	TROLL	1372-P	31/6-1 TROLL ØST	NO	58.600000	\N	1554.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1998	\N	90	ED50	60	38	45.05	N	3	43	35.39	E	60.645847	3.726497	6723719.420000	539731.350000	31	31	6	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3204	http://www.npd.no/FactMapSearch?NPDID_wellbore=3204	initial	\N	3204	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-8	31/6-A-8	Den norske stats oljeselskap a.s	STATOIL	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-10-26	1997-12-24	TROLL	1380-P	31/6-1 TROLL ØST	NO	58.600000	\N	1429.500000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	38	44.75	N	3	43	35.23	E	60.645764	3.726453	6723710.110000	539729.030000	31	31	6	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3205	http://www.npd.no/FactMapSearch?NPDID_wellbore=3205	initial	\N	3205	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-F-17	2/8-F-17	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1997-10-02	1998-01-28	VALHALL	1365-P	2/8-6 VALHALL	NO	56.200000	\N	4830.000000	71.700000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1997	1998	\N	50	ED50	56	16	35.52	N	3	23	47.25	E	56.276533	3.396458	6237066.600000	524550.530000	31	2	8	F	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3211	http://www.npd.no/FactMapSearch?NPDID_wellbore=3211	initial	\N	3211	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
33/9-A-41 A	33/9-A-41	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1997-12-14	1998-02-17	STATFJORD	1366-P	33/12-1 STATFJORD	NO	64.400000	\N	4643.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1997	1998	\N	50	ED50	61	15	20.46	N	1	51	13.95	E	61.255683	1.853875	6791967.890000	438508.870000	31	33	9	A	41	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3212	http://www.npd.no/FactMapSearch?NPDID_wellbore=3212	sidetrack	33/9-A-41	3212	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-D-10 H	31/2-D-10	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1997-10-09	1997-10-29	TROLL	1369-P	31/2-1 TROLL VEST	NO	23.000000	\N	1723.000000	337.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	NO	OIL	1997	1997	\N	50	ED50	60	51	11.06	N	3	29	15.68	E	60.853072	3.487689	6746680.160000	526499.970000	31	31	2	D	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3218	http://www.npd.no/FactMapSearch?NPDID_wellbore=3218	initial	\N	3218	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/12-A-8	15/12-A-8	Saga Petroleum ASA	SAGA	038	PRODUCTION	OIL	DEVELOPMENT	1998-05-15	1998-07-04	VARG	1452-P	15/12-4 VARG	NO	44.000000	\N	3347.000000	84.000000	NORTH SEA	NOBLE AL WHITE	JACK-UP 3 LEGS	VARG A	3	NO	OIL	1998	1998	\N	50	ED50	58	4	40.55	N	1	53	25.84	E	58.077931	1.890511	6438070.740000	434560.090000	31	15	12	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3221	http://www.npd.no/FactMapSearch?NPDID_wellbore=3221	initial	\N	3221	43868	43451	9999-12-31	21092	296947	279505	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/4-A-11 A	31/4-A-11	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1997-11-28	1997-12-21	BRAGE	1368-P	31/4-3 BRAGE	NO	62.600000	\N	4660.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1997	1997	\N	50	ED50	60	32	33.34	N	3	2	50.35	E	60.542594	3.047319	6712000.240000	502596.160000	31	31	4	A	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3235	http://www.npd.no/FactMapSearch?NPDID_wellbore=3235	sidetrack	31/4-A-11	3235	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-F-18	2/8-F-18	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1998-08-18	1999-03-24	VALHALL	1489-P	2/8-6 VALHALL	NO	56.200000	\N	6785.000000	71.700000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1998	1999	\N	50	ED50	56	16	35.51	N	3	23	46.90	E	56.276531	3.396361	6237066.250000	524544.510000	31	2	8	F	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3236	http://www.npd.no/FactMapSearch?NPDID_wellbore=3236	initial	\N	3236	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-19	2/8-F-19	BP Amoco Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2000-05-25	2000-11-07	VALHALL	1736-P	2/8-6 VALHALL	NO	56.000000	\N	5112.000000	71.700000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	Awarded additionaly to round 1-A	NO	OIL	2000	2000	\N	50	ED50	56	16	35.92	N	3	23	47.03	E	56.276644	3.396397	6237078.940000	524546.670000	31	2	8	F	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3237	http://www.npd.no/FactMapSearch?NPDID_wellbore=3237	initial	\N	3237	44162	43548	9999-12-31	1333048	292114	278385	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-14	2/8-F-14	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1998-04-24	1998-05-28	VALHALL	1446-P	2/8-6 VALHALL	NO	56.200000	\N	2635.100000	71.100000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1998	1998	\N	50	ED50	56	16	35.66	N	3	23	47.19	E	56.276572	3.396442	6237070.920000	524549.470000	31	2	8	F	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3238	http://www.npd.no/FactMapSearch?NPDID_wellbore=3238	initial	\N	3238	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-15	2/8-F-15	BP Amoco Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2000-09-01	2001-03-09	VALHALL	1790-P	2/8-6 VALHALL	NO	56.200000	\N	5589.000000	71.100000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	Awarded additionaly to round 1-A	NO	OIL	2000	2001	\N	50	ED50	56	16	36.16	N	3	23	47.04	E	56.276711	3.396400	6237086.360000	524546.800000	31	2	8	F	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3239	http://www.npd.no/FactMapSearch?NPDID_wellbore=3239	initial	\N	3239	44162	43548	9999-12-31	1333048	292114	278385	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-F-16	2/8-F-16	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1999-04-24	1999-06-26	VALHALL	1577-P	2/8-6 VALHALL	NO	56.200000	\N	5252.000000	71.700000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	1999	1999	\N	50	ED50	56	16	35.55	N	3	23	47.03	E	56.276542	3.396397	6237067.500000	524546.740000	31	2	8	F	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3240	http://www.npd.no/FactMapSearch?NPDID_wellbore=3240	initial	\N	3240	44162	43548	9999-12-31	20804	292114	278385	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-A-19 A	2/8-A-19	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1998-02-12	1998-05-20	VALHALL	1389-P	2/8-6 VALHALL	NO	44.000000	\N	4776.000000	69.200000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1998	1998	\N	50	ED50	56	16	41.20	N	3	23	44.11	E	56.278111	3.395586	6237241.900000	524495.510000	31	2	8	A	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3242	http://www.npd.no/FactMapSearch?NPDID_wellbore=3242	sidetrack	2/8-A-19	3242	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
31/2-P-41	31/2-P-41	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-10-30	1997-11-21	TROLL	1370-P	31/2-1 TROLL VEST	NO	23.000000	\N	1725.000000	338.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL P1	4	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	53	11.46	N	3	31	21.54	E	60.886517	3.522650	6750419.990000	528369.970000	31	31	2	P	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3247	http://www.npd.no/FactMapSearch?NPDID_wellbore=3247	initial	\N	3247	44534	46437	9999-12-31	21228	289333	279085	0	HYDRO PRODUKSJON	2012-08-23	2012-08-23	2013-05-08
2/4-X-31	2/4-X-31	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-11-25	1998-01-12	EKOFISK	1371-P	2/4-2 EKOFISK	NO	57.300000	\N	4341.600000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1997	1998	\N	50	ED50	56	32	51.79	N	3	13	8.26	E	56.547719	3.218961	6267202.940000	513463.010000	31	2	4	X	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3248	http://www.npd.no/FactMapSearch?NPDID_wellbore=3248	initial	\N	3248	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/6-A-24	31/6-A-24	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1997-12-25	1997-12-30	TROLL	1375-P	31/6-1 TROLL ØST	NO	58.600000	\N	1667.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1997	1997	\N	90	ED50	60	38	43.84	N	3	43	35.23	E	60.645511	3.726453	6723681.960000	539729.340000	31	31	6	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3253	http://www.npd.no/FactMapSearch?NPDID_wellbore=3253	initial	\N	3253	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-21	31/6-A-21	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	\N	DEVELOPMENT	1998-04-21	1998-05-16	TROLL	1376-P	31/6-1 TROLL ØST	NO	58.600000	\N	1855.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1998	1998	\N	71	ED50	60	38	43.77	N	3	43	35.08	E	60.645492	3.726411	6723679.770000	539727.080000	31	31	6	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3254	http://www.npd.no/FactMapSearch?NPDID_wellbore=3254	initial	\N	3254	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-22	31/6-A-22	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1998-01-01	1998-09-18	TROLL	1377-P	31/6-1 TROLL ØST	NO	58.600000	\N	1651.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1998	1998	\N	90	ED50	60	38	43.69	N	3	43	35.08	E	60.645469	3.726411	6723677.290000	539727.110000	31	31	6	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3255	http://www.npd.no/FactMapSearch?NPDID_wellbore=3255	initial	\N	3255	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-A-23	31/6-A-23	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1998-05-16	1998-10-06	TROLL	1378-P	31/6-1 TROLL ØST	NO	58.600000	\N	1656.000000	303.400000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1998	1998	\N	90	ED50	60	38	43.62	N	3	43	35.08	E	60.645450	3.726411	6723675.130000	539727.130000	31	31	6	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3256	http://www.npd.no/FactMapSearch?NPDID_wellbore=3256	initial	\N	3256	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-B-11	15/9-B-11	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1998-03-15	1998-07-25	SLEIPNER VEST	1374-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	4812.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1998	1998	\N	90	ED50	58	25	20.45	N	1	43	4.37	E	58.422347	1.717881	6476594.930000	425108.430000	31	15	9	B	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3261	http://www.npd.no/FactMapSearch?NPDID_wellbore=3261	initial	\N	3261	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-19 A	34/10-A-19	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1997-11-30	1998-01-27	GULLFAKS	1382-P	34/10-1 GULLFAKS	NO	82.200000	\N	2308.900000	133.400000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	1997	1998	\N	50	ED50	61	10	33.89	N	2	11	22.99	E	61.176081	2.189719	6782831.440000	456416.680000	31	34	10	A	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3265	http://www.npd.no/FactMapSearch?NPDID_wellbore=3265	sidetrack	34/10-A-19	3265	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-19 A	33/9-C-19	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1997-11-16	1998-01-07	STATFJORD	1383-P	33/12-1 STATFJORD	NO	78.400000	\N	5950.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1997	1998	\N	71	ED50	61	17	47.90	N	1	54	10.85	E	61.296639	1.903014	6796484.390000	441221.660000	31	33	9	C	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3267	http://www.npd.no/FactMapSearch?NPDID_wellbore=3267	sidetrack	33/9-C-19	3267	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/5-I-21 H	31/5-I-21	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-11-24	1997-12-11	TROLL	1385-P	31/2-1 TROLL VEST	NO	23.000000	\N	1947.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I2	Awarded additionaly to round 7	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	43	42.83	N	3	34	39.64	E	60.728564	3.577678	6732851.760000	531511.740000	31	31	5	I	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3268	http://www.npd.no/FactMapSearch?NPDID_wellbore=3268	initial	\N	3268	44534	46437	9999-12-31	21476	289333	279953	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-21 AH	31/5-I-21	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1998-05-25	1998-07-20	TROLL	1386-P	31/2-1 TROLL VEST	NO	23.000000	\N	5060.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I2	Awarded additionaly to round 7	NO	OIL	1998	1998	\N	50	ED50	60	43	42.83	N	3	34	39.64	E	60.728564	3.577678	6732851.760000	531511.740000	31	31	5	I	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3269	http://www.npd.no/FactMapSearch?NPDID_wellbore=3269	sidetrack	31/5-I-21 H	3269	44534	46437	9999-12-31	21476	289333	279953	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-2 H	34/8-A-2	Norsk Hydro Produksjon AS	HYDRO	120	INJECTION	GAS	DEVELOPMENT	1997-11-16	2001-12-02	VISUND	1381-P	34/8-1 VISUND	NO	29.000000	\N	6500.000000	335.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	VISUND	10-A	NO	GAS	1997	2001	\N	91	ED50	61	22	12.80	N	2	27	35.07	E	61.370222	2.459742	6804307.160000	471119.150000	31	34	8	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3270	http://www.npd.no/FactMapSearch?NPDID_wellbore=3270	initial	\N	3270	44720	43745	9999-12-31	21772	287821	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-R-4 H	6506/12-R-4	Den norske stats oljeselskap a.s	STATOIL	094	INJECTION	GAS	DEVELOPMENT	1997-12-25	1999-04-09	ÅSGARD	1387-P	6506/12-3 SMØRBUKK SØR	NO	24.000000	\N	4723.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD R	8	NO	GAS	1997	1999	\N	91	ED50	65	2	0.27	N	6	54	7.05	E	65.033408	6.901958	7213998.510000	401196.110000	32	6506	12	R	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3271	http://www.npd.no/FactMapSearch?NPDID_wellbore=3271	initial	\N	3271	45846	43765	9999-12-31	21556	296245	278861	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-C-3 BH	25/11-C-3	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	\N	DEVELOPMENT	1997-12-21	1998-01-07	BALDER	1402-P	25/11-1 BALDER	NO	18.000000	\N	2118.000000	127.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-C-3 H	1-A	NO	OIL	1997	1998	\N	71	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	25	11	C	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3278	http://www.npd.no/FactMapSearch?NPDID_wellbore=3278	sidetrack	25/11-C-3 AH	3278	44210	43562	9999-12-31	20756	297514	284013	0	ESSO	2012-07-25	2012-07-25	2013-05-08
30/9-B-20 A	30/9-B-20	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	GAS	DEVELOPMENT	1997-11-29	1997-12-22	OSEBERG	1388-P	30/6-1 OSEBERG	NO	59.000000	\N	4000.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	GAS	1997	1997	\N	91	ED50	60	29	36.15	N	2	49	42.59	E	60.493375	2.828497	6706529.450000	490576.300000	31	30	9	B	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3281	http://www.npd.no/FactMapSearch?NPDID_wellbore=3281	sidetrack	30/9-B-20	3281	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-22	6507/7-A-22	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1998-01-03	1998-03-28	HEIDRUN	1390-P	6507/7-2 HEIDRUN	NO	74.000000	\N	3300.000000	365.000000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1998	1998	\N	50	ED50	65	19	32.89	N	7	19	3.81	E	65.325803	7.317725	7245992.820000	421640.380000	32	6507	7	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3285	http://www.npd.no/FactMapSearch?NPDID_wellbore=3285	initial	\N	3285	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2013-01-10	2013-01-10	2013-05-08
31/4-A-20	31/4-A-20	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1997-12-26	1998-05-23	BRAGE	1392-P	31/4-3 BRAGE	NO	63.000000	\N	7372.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1997	1998	\N	50	ED50	60	32	33.51	N	3	2	50.35	E	60.542642	3.047319	6712005.500000	502596.160000	31	31	4	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3286	http://www.npd.no/FactMapSearch?NPDID_wellbore=3286	initial	\N	3286	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-B-22	15/9-B-22	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	\N	DEVELOPMENT	1997-11-29	1998-10-31	SLEIPNER VEST	1393-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	8306.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1997	1998	\N	71	ED50	58	25	4.31	N	1	43	4.48	E	58.417864	1.717911	6476095.760000	425100.700000	31	15	9	B	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3287	http://www.npd.no/FactMapSearch?NPDID_wellbore=3287	initial	\N	3287	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-B-22 A	15/9-B-22	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1998-11-16	1999-01-27	SLEIPNER VEST	1394-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	6680.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	1998	1999	\N	90	ED50	58	25	4.31	N	1	43	4.48	E	58.417864	1.717911	6476095.760000	425100.700000	31	15	9	B	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3288	http://www.npd.no/FactMapSearch?NPDID_wellbore=3288	sidetrack	15/9-B-22	3288	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-46 A	30/9-B-46	StatoilHydro Petroleum AS	STATOIL	079	PRODUCTION	OIL	DEVELOPMENT	2009-04-10	2009-07-29	OSEBERG	3091-P	30/6-1 OSEBERG	NO	58.000000	\N	4397.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2009	2009	\N	50	ED50	60	29	35.84	N	2	49	43.07	E	60.493289	2.828631	6706519.840000	490583.600000	31	30	9	B	46	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3290	http://www.npd.no/FactMapSearch?NPDID_wellbore=3290	sidetrack	30/9-B-46	3290	44396	43625	9999-12-31	34635	272897	272897	0	STATOILHYDRO PETROLEUM	2013-03-20	2013-03-20	2013-05-08
15/12-A-5	15/12-A-5	Saga Petroleum ASA	SAGA	038	PRODUCTION	OIL	DEVELOPMENT	1998-10-17	1998-12-04	VARG	1507-P	15/12-4 VARG	NO	44.000000	\N	3852.000000	84.000000	NORTH SEA	NOBLE AL WHITE	JACK-UP 3 LEGS	VARG A	3	NO	OIL	1998	1998	\N	50	ED50	58	4	40.48	N	1	53	25.60	E	58.077911	1.890444	6438068.640000	434556.120000	31	15	12	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3291	http://www.npd.no/FactMapSearch?NPDID_wellbore=3291	initial	\N	3291	43868	43451	9999-12-31	21092	296947	279505	0	SAGA	2012-07-25	2012-07-25	2013-05-08
15/12-A-14	15/12-A-14	Saga Petroleum ASA	SAGA	038	INJECTION	GAS	DEVELOPMENT	1998-07-10	1998-08-15	VARG	1471-P	15/12-4 VARG	NO	44.000000	\N	4350.000000	84.000000	NORTH SEA	NOBLE AL WHITE	JACK-UP 3 LEGS	VARG A	3	NO	WATER/GAS	1998	1998	\N	91	ED50	58	4	40.36	N	1	53	25.71	E	58.077878	1.890475	6438064.900000	434557.860000	31	15	12	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3292	http://www.npd.no/FactMapSearch?NPDID_wellbore=3292	initial	\N	3292	43868	43451	9999-12-31	21092	296947	279505	0	SAGA	2012-07-25	2012-07-25	2013-05-08
15/12-A-6	15/12-A-6	Saga Petroleum ASA	SAGA	038	INJECTION	GAS	DEVELOPMENT	1999-05-01	1999-06-20	VARG	1596-P	15/12-4 VARG	NO	44.000000	\N	5338.000000	84.000000	NORTH SEA	NOBLE AL WHITE	JACK-UP 3 LEGS	VARG A	3	NO	WATER/GAS	1999	1999	\N	91	ED50	58	4	40.50	N	1	53	25.69	\N	58.077917	1.890469	6438069.240000	434557.600000	31	15	12	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3293	http://www.npd.no/FactMapSearch?NPDID_wellbore=3293	initial	\N	3293	43868	43451	9999-12-31	21092	296947	279505	0	SAGA	2012-07-25	2012-07-25	2013-05-08
15/12-A-12	15/12-A-12	Saga Petroleum ASA	SAGA	038	INJECTION	GAS	DEVELOPMENT	1999-03-14	1999-09-21	VARG	1576-P	15/12-4 VARG	NO	44.000000	\N	3354.000000	84.000000	NORTH SEA	NOBLE AL WHITE	JACK-UP 3 LEGS	VARG A	3	NO	WATER/GAS	1999	1999	\N	91	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	15	12	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3294	http://www.npd.no/FactMapSearch?NPDID_wellbore=3294	initial	\N	3294	43868	43451	9999-12-31	21092	296947	279505	0	SAGA	2012-07-25	2012-07-25	2013-05-08
15/12-A-13	15/12-A-13	Saga Petroleum ASA	SAGA	038	PRODUCTION	OIL	DEVELOPMENT	1999-07-19	1999-08-25	VARG	1599-P	15/12-4 VARG	NO	44.000000	\N	4255.000000	84.000000	NORTH SEA	NOBLE AL WHITE	JACK-UP 3 LEGS	VARG A	3	NO	OIL	1999	1999	\N	50	ED50	58	4	40.50	N	1	53	25.92	E	58.077917	1.890533	6438069.170000	434561.370000	31	15	12	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3295	http://www.npd.no/FactMapSearch?NPDID_wellbore=3295	initial	\N	3295	43868	43451	9999-12-31	21092	296947	279505	0	SAGA	2012-07-25	2012-07-25	2013-05-08
15/12-A-15	15/12-A-15	Saga Petroleum ASA	SAGA	038	PRODUCTION	\N	DEVELOPMENT	1998-12-25	1999-03-12	VARG	1529-P	15/12-4 VARG	NO	44.000000	\N	3852.000000	84.000000	NORTH SEA	NOBLE AL WHITE	JACK-UP 3 LEGS	VARG A	3	NO	OIL	1998	1999	\N	71	ED50	58	4	40.38	N	1	53	25.80	E	58.077883	1.890500	6438065.500000	434559.340000	31	15	12	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3296	http://www.npd.no/FactMapSearch?NPDID_wellbore=3296	initial	\N	3296	43868	43451	9999-12-31	21092	296947	279505	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/5-I-22 H	31/5-I-22	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1997-12-11	1997-12-19	TROLL	1395-P	31/2-1 TROLL VEST	NO	23.000000	\N	2002.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I2	Awarded additionaly to round 7	NO	NOT APPLICABLE	1997	1997	\N	99	ED50	60	43	42.75	N	3	34	39.35	E	60.728542	3.577597	6732849.250000	531507.370000	31	31	5	I	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3298	http://www.npd.no/FactMapSearch?NPDID_wellbore=3298	initial	\N	3298	44534	46437	9999-12-31	21476	289333	279953	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-22 AH	31/5-I-22	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1997-12-19	1998-07-30	TROLL	1396-P	31/2-1 TROLL VEST	NO	23.000000	\N	4500.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I2	Awarded additionaly to round 7	NO	OIL	1997	1998	\N	50	ED50	60	43	42.75	N	3	34	39.35	E	60.728542	3.577597	6732849.250000	531507.370000	31	31	5	I	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3299	http://www.npd.no/FactMapSearch?NPDID_wellbore=3299	sidetrack	31/5-I-22 H	3299	44534	46437	9999-12-31	21476	289333	279953	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/3-A-10 A	30/3-A-10	Den norske stats oljeselskap a.s	STATOIL	052	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-03-03	1998-03-28	VESLEFRIKK	1397-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3260.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	60	46	57.97	N	2	53	52.16	E	60.782769	2.897822	6738755.220000	494435.650000	31	30	3	A	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3302	http://www.npd.no/FactMapSearch?NPDID_wellbore=3302	sidetrack	30/3-A-10	3302	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-10 B	30/3-A-10	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1998-03-29	1998-05-11	VESLEFRIKK	1398-P	30/3-2  VESLEFRIKK	NO	57.000000	\N	3980.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1998	1998	\N	50	ED50	60	46	57.97	N	2	53	52.16	E	60.782769	2.897822	6738755.220000	494435.650000	31	30	3	A	10	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3303	http://www.npd.no/FactMapSearch?NPDID_wellbore=3303	sidetrack	30/3-A-10 A	3303	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-X-10	2/4-X-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-12-14	1998-02-13	EKOFISK	1399-P	2/4-2 EKOFISK	NO	66.000000	\N	4512.000000	76.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1997	1998	\N	50	ED50	56	32	51.08	N	3	13	8.14	E	56.547522	3.218928	6267180.980000	513461.030000	31	2	4	X	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3304	http://www.npd.no/FactMapSearch?NPDID_wellbore=3304	initial	\N	3304	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/2-L-41	31/2-L-41	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-01-26	1998-02-11	TROLL	1404-P	31/2-1 TROLL VEST	NO	22.000000	\N	1708.000000	329.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL L1	4	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	60	48	44.35	N	3	34	50.05	E	60.812319	3.580569	6742182.060000	531586.980000	31	31	2	L	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3308	http://www.npd.no/FactMapSearch?NPDID_wellbore=3308	initial	\N	3308	44534	46437	9999-12-31	21228	287902	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-14 H	31/5-I-14	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-01-11	1998-01-23	TROLL	1405-P	31/2-1 TROLL VEST	NO	23.000000	\N	1989.000000	340.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734240.110000	531720.230000	31	31	5	I	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3309	http://www.npd.no/FactMapSearch?NPDID_wellbore=3309	initial	\N	3309	44534	46437	9999-12-31	21476	289333	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-5	2/4-X-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1998-02-13	1998-03-16	EKOFISK	1406-P	2/4-2 EKOFISK	NO	66.000000	\N	4492.400000	76.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1998	1998	\N	50	ED50	56	32	51.00	N	3	13	8.00	E	56.547500	3.218889	6267178.500000	513458.650000	31	2	4	X	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3310	http://www.npd.no/FactMapSearch?NPDID_wellbore=3310	initial	\N	3310	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/9-B-30 B	30/9-B-30	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1998-03-09	1998-04-28	OSEBERG	1408-P	30/6-1 OSEBERG	NO	58.000000	\N	5532.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1998	1998	\N	50	ED50	60	29	36.13	N	2	49	43.29	E	60.493369	2.828692	6706528.810000	490586.980000	31	30	9	B	30	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3311	http://www.npd.no/FactMapSearch?NPDID_wellbore=3311	sidetrack	30/9-B-30 A	3311	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-36	2/4-X-36	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1998-01-06	1998-02-19	EKOFISK	1409-P	2/4-2 EKOFISK	NO	57.300000	\N	3399.100000	75.900000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1998	1998	\N	50	ED50	56	32	51.86	N	3	13	8.43	E	56.547739	3.219008	6267205.110000	513465.910000	31	2	4	X	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3312	http://www.npd.no/FactMapSearch?NPDID_wellbore=3312	initial	\N	3312	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/11-B-11 H	25/11-B-11	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	1998-01-23	1998-04-13	BALDER	1410-P	25/11-1 BALDER	NO	18.000000	\N	2934.000000	106.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-B-11 H	1-A	NO	OIL	1998	1998	\N	50	ED50	59	10	42.54	N	2	22	44.00	E	59.178483	2.378889	6560243.380000	464499.140000	31	25	11	B	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3316	http://www.npd.no/FactMapSearch?NPDID_wellbore=3316	initial	\N	3316	44210	43562	9999-12-31	20756	297514	283817	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-B-14 H	25/11-B-14	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-01-17	1998-02-13	BALDER	1411-P	25/11-1 BALDER	NO	18.000000	\N	2167.000000	106.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-B-14 H	1-A	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	59	10	42.75	N	2	22	45.85	E	59.178542	2.379403	6560249.600000	464528.570000	31	25	11	B	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3317	http://www.npd.no/FactMapSearch?NPDID_wellbore=3317	initial	\N	3317	44210	43562	9999-12-31	20756	297514	283845	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-B-14 AH	25/11-B-14	Esso Exploration and Production Norway A/S	ESSO	001	INJECTION	WATER	DEVELOPMENT	1998-03-20	1998-04-24	BALDER	1412-P	25/11-1 BALDER	NO	18.000000	\N	2695.000000	106.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-B-14 H	1-A	NO	WATER	1998	1998	\N	173	ED50	59	10	42.75	N	2	22	45.85	E	59.178542	2.379403	6560249.600000	464528.570000	31	25	11	B	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3318	http://www.npd.no/FactMapSearch?NPDID_wellbore=3318	sidetrack	25/11-B-14 H	3318	44210	43562	9999-12-31	20756	297514	283845	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/10-A-14 A	34/10-A-14	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GULLFAKS	1403-P	34/10-1 GULLFAKS	NO	82.000000	\N	0.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	0	0	\N	0	ED50	61	10	34.98	N	2	11	21.92	E	61.176383	2.189422	6782865.360000	456401.110000	31	34	10	A	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3319	http://www.npd.no/FactMapSearch?NPDID_wellbore=3319	sidetrack	34/10-A-14	3319	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/8-A-1 CH	34/8-A-1	Statoil ASA (old)	STATOIL	120	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VISUND	1414-P	34/8-1 VISUND	NO	29.000000	\N	0.000000	335.000000	NORTH SEA	\N	\N	\N	10-A	NO	OIL	0	0	\N	0	ED50	61	22	12.57	N	2	27	35.13	E	61.370158	2.459758	6804300.030000	471119.990000	31	34	8	A	1	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3320	http://www.npd.no/FactMapSearch?NPDID_wellbore=3320	sidetrack	34/8-A-1 BH	3320	44720	43745	9999-12-31	21772	\N	\N	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/8-A-6 A	2/8-A-6	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1998-06-09	1998-07-29	VALHALL	1417-P	2/8-6 VALHALL	NO	43.000000	\N	2720.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1998	1998	\N	50	ED50	56	16	40.86	N	3	23	43.65	E	56.278017	3.395458	6237231.340000	524487.650000	31	2	8	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3321	http://www.npd.no/FactMapSearch?NPDID_wellbore=3321	sidetrack	2/8-A-6	3321	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
33/9-A-11 AY1	33/9-A-11	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1998-03-19	1998-08-20	STATFJORD	1425-P1	33/12-1 STATFJORD	NO	64.400000	\N	4950.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	YES	OIL	1998	1998	\N	50	ED50	61	15	20.85	N	1	51	15.02	E	61.255792	1.854172	6791979.680000	438525.020000	31	33	9	A	11	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3324	http://www.npd.no/FactMapSearch?NPDID_wellbore=3324	multilateral	33/9-A-11	3324	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-11 AY2	33/9-A-11	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1998-08-23	1998-10-12	STATFJORD	1425-P2	33/12-1 STATFJORD	NO	64.400000	\N	4849.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	YES	OIL	1998	1998	\N	50	ED50	61	15	20.85	N	1	51	15.02	E	61.255792	1.854172	6791979.680000	438525.020000	31	33	9	A	11	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3325	http://www.npd.no/FactMapSearch?NPDID_wellbore=3325	multilateral	33/9-A-11 AY1	3325	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-P-13 H	31/2-P-13	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-02-21	1998-03-12	TROLL	1419-P	31/2-1 TROLL VEST	NO	22.000000	\N	1967.000000	336.200000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL P1	4	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	60	52	1.31	N	3	33	28.39	E	60.867031	3.557886	6748265.300000	530301.050000	31	31	2	P	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3330	http://www.npd.no/FactMapSearch?NPDID_wellbore=3330	initial	\N	3330	44534	46437	9999-12-31	21228	287902	279085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-23 H	31/5-I-23	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	\N	DEVELOPMENT	1998-04-02	1998-04-12	TROLL	1413-P	31/2-1 TROLL VEST	NO	23.000000	\N	2040.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I2	Awarded additionaly to round 7	NO	OIL	1998	1998	\N	71	ED50	60	43	42.86	N	3	34	39.35	E	60.728572	3.577597	6732852.650000	531507.340000	31	31	5	I	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3331	http://www.npd.no/FactMapSearch?NPDID_wellbore=3331	initial	\N	3331	44534	46437	9999-12-31	21476	289333	279953	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-14 AH	31/5-I-14	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1998-01-23	1998-03-30	TROLL	1430-P	31/2-1 TROLL VEST	NO	23.000000	\N	4633.000000	340.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	NO	OIL	1998	1998	\N	50	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	31	5	I	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3332	http://www.npd.no/FactMapSearch?NPDID_wellbore=3332	sidetrack	31/5-I-14 H	3332	44534	46437	9999-12-31	21476	289333	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-23 AH	31/5-I-23	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1998-04-12	1998-05-23	TROLL	1418-P	31/2-1 TROLL VEST	NO	23.000000	\N	4798.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I2	Awarded additionaly to round 7	NO	OIL	1998	1998	\N	50	ED50	60	43	42.86	N	3	34	39.35	E	60.728572	3.577597	6732852.650000	531507.340000	31	31	5	I	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3333	http://www.npd.no/FactMapSearch?NPDID_wellbore=3333	sidetrack	31/5-I-23 H	3333	44534	46437	9999-12-31	21476	289333	279953	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-A-7 H	6407/7-A-7	Norsk Hydro Produksjon AS	HYDRO	107	INJECTION	GAS	DEVELOPMENT	1998-02-15	1998-05-28	NJORD	1421-P	6407/7-1 S NJORD	NO	30.000000	\N	3880.000000	330.000000	NORWEGIAN SEA	NJORD	SEMISUB STEEL	NJORD A	9	NO	GAS	1998	1998	\N	91	ED50	64	16	15.11	N	7	12	7.93	E	64.270864	7.202203	7128605.210000	412922.520000	32	6407	7	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3335	http://www.npd.no/FactMapSearch?NPDID_wellbore=3335	initial	\N	3335	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-36	31/4-A-36	Norsk Hydro Produksjon AS	HYDRO	055	INJECTION	WATER	DEVELOPMENT	1998-06-06	1998-07-14	BRAGE	1453-P	31/4-3 BRAGE	NO	63.000000	\N	4663.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	1998	1998	\N	173	ED50	60	32	33.17	N	3	2	51.03	E	60.542547	3.047508	6711994.990000	502606.530000	31	31	4	A	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3336	http://www.npd.no/FactMapSearch?NPDID_wellbore=3336	initial	\N	3336	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-P-2 H	6506/12-P-2	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1998-02-17	1998-04-12	ÅSGARD	1423-P1	6506/12-3 SMØRBUKK SØR	NO	24.000000	\N	5163.000000	310.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	ÅSGARD P	8	YES	OIL	1998	1998	\N	50	ED50	65	1	22.83	N	6	52	45.47	E	65.023008	6.879297	7212875.520000	400090.340000	32	6506	12	P	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3342	http://www.npd.no/FactMapSearch?NPDID_wellbore=3342	initial	\N	3342	45846	43765	9999-12-31	21556	294382	278889	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-P-13 AH	31/2-P-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1999-03-28	1999-05-05	TROLL	1420-P	31/2-1 TROLL VEST	NO	22.000000	\N	4309.000000	336.200000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL P1	4	NO	OIL	1999	1999	\N	50	ED50	60	52	1.31	N	3	33	28.39	E	60.867031	3.557886	6748265.300000	530301.050000	31	31	2	P	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3348	http://www.npd.no/FactMapSearch?NPDID_wellbore=3348	sidetrack	31/2-P-13 H	3348	44534	46437	9999-12-31	21228	287902	279085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
9/2-A-3	9/2-A-3	Den norske stats oljeselskap a.s	STATOIL	114	INJECTION	GAS	DEVELOPMENT	1998-02-02	1998-02-23	YME	1427-P	9/2-1 YME	NO	42.000000	\N	7684.000000	93.000000	NORTH SEA	YME	JACK-UP 3 LEGS	YME B ØST	10-A	NO	GAS	1998	1998	9/2-8 S	91	ED50	57	49	7.58	N	4	31	11.00	E	57.818772	4.519722	6409692.560000	590282.870000	31	9	2	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3349	http://www.npd.no/FactMapSearch?NPDID_wellbore=3349	initial	\N	3349	45098	43807	9999-12-31	21716	278245	282557	3126	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-M-42 H	31/2-M-42	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-03-16	1998-04-13	TROLL	1428-P	31/2-1 TROLL VEST	NO	22.000000	\N	1855.000000	250.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL M1	4	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	60	57	15.37	N	3	37	42.52	E	60.954269	3.628478	6758017.020000	534041.950000	31	31	2	M	42	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3350	http://www.npd.no/FactMapSearch?NPDID_wellbore=3350	initial	\N	3350	44534	46437	9999-12-31	21228	287902	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-B-5 C	2/7-B-5	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1997-11-01	1997-11-20	ELDFISK	2535-P	2/7-1 ELDFISK	NO	42.400000	\N	5055.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	1997	1997	\N	50	ED50	56	25	9.59	N	3	13	6.22	E	56.419331	3.218394	6252911.830000	513473.590000	31	2	7	B	5	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3352	http://www.npd.no/FactMapSearch?NPDID_wellbore=3352	sidetrack	2/7-B-5 B	3352	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2013-01-09	2013-01-09	2013-05-08
34/7-P-21	34/7-P-21	Norsk Hydro Produksjon AS	HYDRO	089	INJECTION	WATER	DEVELOPMENT	1998-05-16	1998-07-15	SNORRE	1429-P	34/4-1 SNORRE	NO	59.000000	\N	4915.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	1998	1998	\N	173	ED50	61	26	57.46	N	2	8	36.54	E	61.449294	2.143483	6813295.850000	454328.960000	31	34	7	P	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3354	http://www.npd.no/FactMapSearch?NPDID_wellbore=3354	initial	\N	3354	44654	43718	9999-12-31	21516	272085	272085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-A-6 H	6407/7-A-6	Norsk Hydro Produksjon AS	HYDRO	107	INJECTION	GAS	DEVELOPMENT	1998-10-25	1998-12-28	NJORD	1513-P	6407/7-1 S NJORD	NO	30.000000	\N	3600.000000	330.000000	NORWEGIAN SEA	NJORD	SEMISUB STEEL	NJORD A	9	NO	GAS	1998	1998	\N	91	ED50	64	16	14.93	N	7	12	7.23	E	64.270814	7.202008	7128599.910000	412912.950000	32	6407	7	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3357	http://www.npd.no/FactMapSearch?NPDID_wellbore=3357	initial	\N	3357	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-A-11 H	6407/7-A-11	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	1999-10-17	1999-12-05	NJORD	1644-P	6407/7-1 S NJORD	NO	30.000000	\N	5615.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	1999	1999	\N	50	ED50	64	16	15.92	N	7	12	8.70	E	64.271089	7.202417	7128629.990000	412933.590000	32	6407	7	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3358	http://www.npd.no/FactMapSearch?NPDID_wellbore=3358	initial	\N	3358	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-A-17 H	6407/7-A-17	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	1998-12-30	1999-02-22	NJORD	1533-P	6407/7-1 S NJORD	NO	30.000000	\N	5067.000000	330.000000	NORWEGIAN SEA	NJORD	SEMISUB STEEL	NJORD A	9	NO	OIL	1998	1999	\N	50	ED50	64	16	16.85	N	7	12	4.11	E	64.271347	7.201142	7128660.510000	412872.660000	32	6407	7	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3359	http://www.npd.no/FactMapSearch?NPDID_wellbore=3359	initial	\N	3359	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-K-2 H	34/10-K-2	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1998-03-21	1998-06-04	GULLFAKS SØR	1431-P	34/10-K-2 H GULLVEIG	YES	25.000000	\N	4237.000000	139.800000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR K	Awarded additionaly to round 3	NO	OIL	1998	1998	\N	50	ED50	61	8	10.47	N	2	0	56.65	E	61.136242	2.015736	6778522.460000	446992.150000	31	34	10	K	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3360	http://www.npd.no/FactMapSearch?NPDID_wellbore=3360	initial	\N	3360	2417063	43699	9999-12-31	21188	296164	280765	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-S-2 H	6506/12-S-2	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1998-04-08	1999-02-09	ÅSGARD	1432-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5850.000000	303.500000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD S	8	NO	OIL	1998	1999	\N	50	ED50	65	0	58.08	N	6	56	44.99	E	65.016133	6.945831	7212006.060000	403199.050000	32	6506	12	S	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3363	http://www.npd.no/FactMapSearch?NPDID_wellbore=3363	initial	\N	3363	44900	43765	9999-12-31	21556	296326	278833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-X-12	2/4-X-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1998-03-16	1998-04-17	EKOFISK	1434-P	2/4-2 EKOFISK	NO	0.000000	\N	3741.400000	0.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1998	1998	\N	50	ED50	56	32	51.04	N	3	13	8.44	E	56.547511	3.219011	6267179.760000	513466.160000	31	2	4	X	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3364	http://www.npd.no/FactMapSearch?NPDID_wellbore=3364	initial	\N	3364	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-K-11 A	2/4-K-11	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1998-02-24	1998-04-03	EKOFISK	1435-P	2/4-2 EKOFISK	NO	57.000000	\N	3415.900000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1998	1998	\N	173	ED50	56	33	56.12	N	3	12	23.40	E	56.565589	3.206500	6269189.640000	512690.850000	31	2	4	K	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3365	http://www.npd.no/FactMapSearch?NPDID_wellbore=3365	sidetrack	2/4-K-11	3365	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6507/7-A-18	6507/7-A-18	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1998-03-29	1998-05-08	HEIDRUN	1433-P	6507/7-2 HEIDRUN	NO	74.000000	\N	4411.000000	346.000000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1998	1998	\N	50	ED50	65	19	32.76	N	7	19	2.61	E	65.325767	7.317392	7245989.210000	421624.750000	32	6507	7	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3366	http://www.npd.no/FactMapSearch?NPDID_wellbore=3366	initial	\N	3366	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-38	34/10-C-38	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1998-04-27	1999-06-25	GULLFAKS	1437-P	34/10-1 GULLFAKS	NO	84.000000	\N	4582.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1998	1999	\N	50	ED50	61	12	54.68	N	2	16	26.13	E	61.215189	2.273925	6787134.430000	460994.160000	31	34	10	C	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3367	http://www.npd.no/FactMapSearch?NPDID_wellbore=3367	initial	\N	3367	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-A-7 B	7/12-A-7	BP Amoco Norge AS	BP	019	PRODUCTION	OIL	DEVELOPMENT	2000-08-25	2000-11-22	ULA	1436-P	7/12-2 ULA	NO	57.000000	\N	5852.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	2000	2000	\N	50	ED50	57	6	41.45	N	2	50	50.50	E	57.111514	2.847361	6329951.620000	490754.810000	31	7	12	A	7	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3368	http://www.npd.no/FactMapSearch?NPDID_wellbore=3368	sidetrack	7/12-A-7 A	3368	44972	43800	9999-12-31	20916	271889	272029	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
2/7-B-2 B	2/7-B-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2000-07-23	2000-09-25	ELDFISK	1438-P	2/7-1 ELDFISK	NO	44.000000	\N	5049.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2000	2000	\N	50	ED50	56	25	8.90	N	3	13	6.31	E	56.419139	3.218419	6252890.500000	513475.200000	31	2	7	B	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3369	http://www.npd.no/FactMapSearch?NPDID_wellbore=3369	sidetrack	2/7-B-2 A	3369	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-X-39	2/4-X-39	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1998-05-05	1998-08-13	EKOFISK	1439-P	2/4-2 EKOFISK	NO	57.300000	\N	5371.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1998	1998	\N	50	ED50	56	32	51.95	N	3	13	8.31	E	56.547764	3.218975	6267207.890000	513463.850000	31	2	4	X	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3370	http://www.npd.no/FactMapSearch?NPDID_wellbore=3370	initial	\N	3370	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/2-P-14 H	31/2-P-14	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-04-16	1998-04-27	TROLL	1440-P	31/2-1 TROLL VEST	NO	22.000000	\N	1815.000000	359.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL P1	4	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	31	2	P	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3371	http://www.npd.no/FactMapSearch?NPDID_wellbore=3371	initial	\N	3371	44534	46437	9999-12-31	21228	287902	279085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-14 AH	31/2-P-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1998-04-28	1998-06-14	TROLL	1441-P	31/2-1 TROLL VEST	NO	22.000000	\N	5102.000000	359.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL P1	4	NO	OIL	1998	1998	\N	50	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	31	2	P	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3372	http://www.npd.no/FactMapSearch?NPDID_wellbore=3372	sidetrack	31/2-P-14 H	3372	44534	46437	9999-12-31	21228	287902	279085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7/12-A-7 C	7/12-A-7	BP Amoco Norge AS	BP	019	INJECTION	GAS	DEVELOPMENT	2002-01-30	2002-03-18	ULA	2079-P	7/12-2 ULA	NO	57.000000	\N	4600.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER/GAS	2002	2002	\N	91	ED50	57	6	41.45	N	2	50	50.50	E	57.111514	2.847361	6329951.620000	490754.810000	31	7	12	A	7	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3373	http://www.npd.no/FactMapSearch?NPDID_wellbore=3373	sidetrack	7/12-A-7 B	3373	44972	43800	9999-12-31	20916	271889	272029	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
34/7-E-2 H	34/7-E-2	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1998-04-28	1998-06-22	VIGDIS	1444-P	34/7-8 VIGDIS	NO	25.000000	\N	4565.000000	283.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VIGDIS E	8	NO	WATER	1998	1998	\N	173	ED50	61	23	54.63	N	2	4	4.70	E	61.398508	2.067972	6807694.070000	450221.940000	31	34	7	E	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3378	http://www.npd.no/FactMapSearch?NPDID_wellbore=3378	initial	\N	3378	44714	43732	9999-12-31	21516	294058	279197	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-H-2 H	34/10-H-2	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-04-19	1998-05-30	GULLFAKS SØR	1442-P	34/10-17 RIMFAKS	NO	25.000000	\N	3972.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR H	Awarded additionaly to round 3	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	61	3	20.40	N	2	4	26.04	E	61.055667	2.073900	6769502.020000	449997.430000	31	34	10	H	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3379	http://www.npd.no/FactMapSearch?NPDID_wellbore=3379	initial	\N	3379	44600	43699	9999-12-31	21188	297028	280709	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-C-12 H	25/11-C-12	Esso Exploration and Production Norway A/S	ESSO	001	INJECTION	WATER	DEVELOPMENT	1998-04-28	1998-05-27	BALDER	1445-P	25/11-1 BALDER	NO	18.000000	\N	2267.000000	127.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-C-12 H	1-A	NO	WATER	1998	1998	\N	173	ED50	59	10	59.93	N	2	24	36.26	E	59.183314	2.410072	6560765.110000	466286.210000	31	25	11	C	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3381	http://www.npd.no/FactMapSearch?NPDID_wellbore=3381	initial	\N	3381	44210	43562	9999-12-31	20756	297514	283929	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/10-H-2 AH	34/10-H-2	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1998-05-30	1999-02-10	GULLFAKS SØR	1443-P	34/10-17 RIMFAKS	NO	25.000000	\N	4493.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR H	Awarded additionaly to round 3	NO	OIL	1998	1999	\N	50	ED50	61	3	20.40	N	2	4	26.04	E	61.055667	2.073900	6769502.020000	449997.430000	31	34	10	H	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3382	http://www.npd.no/FactMapSearch?NPDID_wellbore=3382	sidetrack	34/10-H-2 H	3382	44600	43699	9999-12-31	21188	296164	280709	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/7-A-16 H	6407/7-A-16	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	1998-09-08	1998-10-14	NJORD	1499-P	6407/7-1 S NJORD	NO	30.000000	\N	4418.000000	330.000000	NORWEGIAN SEA	NJORD	SEMISUB STEEL	NJORD A	9	NO	OIL	1998	1998	\N	50	ED50	64	16	16.69	N	7	12	4.90	E	64.271303	7.201361	7128655.260000	412883.150000	32	6407	7	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3383	http://www.npd.no/FactMapSearch?NPDID_wellbore=3383	initial	\N	3383	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2013-02-16	2013-02-16	2013-05-08
2/4-X-2	2/4-X-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1998-04-19	1998-05-23	EKOFISK	1447-P	2/4-2 EKOFISK	NO	66.000000	\N	4572.000000	76.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1998	1998	\N	50	ED50	56	32	50.91	N	3	13	8.08	E	56.547475	3.218911	6267175.720000	513460.030000	31	2	4	X	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3386	http://www.npd.no/FactMapSearch?NPDID_wellbore=3386	initial	\N	3386	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-X-2 A	2/4-X-2	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1998-05-23	1998-06-01	EKOFISK	1448-P	2/4-2 EKOFISK	NO	66.000000	\N	4387.900000	76.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1998	1998	\N	50	ED50	56	32	50.91	N	3	13	8.08	E	56.547475	3.218911	6267175.720000	513460.030000	31	2	4	X	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3387	http://www.npd.no/FactMapSearch?NPDID_wellbore=3387	sidetrack	2/4-X-2	3387	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/9-B-21 A	30/9-B-21	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-05-14	1998-06-07	OSEBERG	1450-P	30/6-1 OSEBERG	NO	58.000000	\N	3775.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	60	29	36.17	N	2	49	42.76	E	60.493381	2.828544	6706530.070000	490578.900000	31	30	9	B	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3388	http://www.npd.no/FactMapSearch?NPDID_wellbore=3388	sidetrack	30/9-B-21	3388	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-21 B	30/9-B-21	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1998-06-08	1998-06-22	OSEBERG	1451-P	30/6-1 OSEBERG	NO	58.000000	\N	5219.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1998	1998	\N	50	ED50	60	29	36.17	N	2	49	42.76	E	60.493381	2.828544	6706530.070000	490578.900000	31	30	9	B	21	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3389	http://www.npd.no/FactMapSearch?NPDID_wellbore=3389	sidetrack	30/9-B-21 A	3389	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-40	6507/7-A-40	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1998-05-14	1998-08-01	HEIDRUN	1449-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3127.000000	345.500000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1998	1998	\N	50	ED50	65	19	32.77	N	7	19	4.53	E	65.325769	7.317925	7245988.850000	421649.590000	32	6507	7	A	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3390	http://www.npd.no/FactMapSearch?NPDID_wellbore=3390	initial	\N	3390	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-I-3 H	6506/12-I-3	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1998-05-22	1999-03-02	ÅSGARD	1455-P	6506/12-1 SMØRBUKK	NO	24.000000	\N	5841.000000	289.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	ÅSGARD I	8	NO	OIL	1998	1999	\N	50	ED50	65	6	7.47	N	6	40	54.13	E	65.102075	6.681703	7222010.110000	391107.810000	32	6506	12	I	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3393	http://www.npd.no/FactMapSearch?NPDID_wellbore=3393	initial	\N	3393	44900	43765	9999-12-31	21556	294382	278581	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-39 A	33/12-B-39	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1998-04-11	1998-05-16	STATFJORD	1426-P	33/12-1 STATFJORD	NO	77.800000	\N	3909.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1998	1998	\N	71	ED50	61	12	23.84	N	1	49	51.26	E	61.206622	1.830906	6786525.260000	437178.870000	31	33	12	B	39	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3394	http://www.npd.no/FactMapSearch?NPDID_wellbore=3394	sidetrack	33/12-B-39	3394	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-39 B	33/12-B-39	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1998-05-17	1998-07-05	STATFJORD	1461-P	33/12-1 STATFJORD	NO	78.200000	\N	4562.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1998	1998	\N	50	ED50	61	12	23.84	N	1	49	51.26	E	61.206622	1.830906	6786525.260000	437178.870000	31	33	12	B	39	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3395	http://www.npd.no/FactMapSearch?NPDID_wellbore=3395	sidetrack	33/12-B-39 A	3395	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/3-S-41	31/3-S-41	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-06-16	1998-07-10	TROLL	1467-P	31/2-1 TROLL VEST	NO	22.000000	\N	1756.200000	341.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	60	49	20.20	N	3	44	4.25	E	60.822278	3.734514	6743375.150000	539949.990000	31	31	3	S	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3396	http://www.npd.no/FactMapSearch?NPDID_wellbore=3396	initial	\N	3396	44534	46437	9999-12-31	21476	287902	280737	0	HYDRO PRODUKSJON	2012-08-23	2012-08-23	2013-05-08
2/4-K-10 A	2/4-K-10	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1998-05-19	1998-07-03	EKOFISK	1456-P	2/4-2 EKOFISK	NO	57.000000	\N	4281.500000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	1998	1998	\N	173	ED50	56	33	55.73	N	3	12	22.00	E	56.565481	3.206111	6269177.510000	512666.990000	31	2	4	K	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3398	http://www.npd.no/FactMapSearch?NPDID_wellbore=3398	sidetrack	2/4-K-10	3398	44072	43506	9999-12-31	20900	271469	271469	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-B-39	34/10-B-39	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1998-04-03	1998-05-27	GULLFAKS	1458-P	34/10-1 GULLFAKS	NO	81.000000	\N	2474.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1998	1998	\N	50	ED50	61	12	9.90	N	2	12	6.16	E	61.202750	2.201711	6785794.130000	457097.940000	31	34	10	B	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3399	http://www.npd.no/FactMapSearch?NPDID_wellbore=3399	initial	\N	3399	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-3 C	2/8-A-3	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1998-09-07	1999-04-19	VALHALL	1459-P	2/8-6 VALHALL	NO	44.000000	\N	5602.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1998	1999	\N	50	ED50	56	16	41.08	N	3	23	44.30	E	56.278078	3.395639	6237238.210000	524498.800000	31	2	8	A	3	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3403	http://www.npd.no/FactMapSearch?NPDID_wellbore=3403	sidetrack	2/8-A-3 B	3403	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
31/2-Q-13 H	31/2-Q-13	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-03-05	1999-03-25	TROLL	1462-P	31/2-1 TROLL VEST	NO	22.000000	\N	2567.000000	336.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL Q1	4	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	60	50	40.92	N	3	37	37.74	E	60.844700	3.627150	6745812.020000	534086.760000	31	31	2	Q	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3408	http://www.npd.no/FactMapSearch?NPDID_wellbore=3408	initial	\N	3408	44534	46437	9999-12-31	21228	287902	279477	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Q-13 AH	31/2-Q-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1999-08-06	1999-09-02	TROLL	1463-P	31/2-1 TROLL VEST	NO	22.000000	\N	4965.000000	336.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL Q1	4	NO	OIL	1999	1999	\N	50	ED50	60	50	40.92	N	3	37	37.74	E	60.844700	3.627150	6745812.020000	534086.760000	31	31	2	Q	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3409	http://www.npd.no/FactMapSearch?NPDID_wellbore=3409	sidetrack	31/2-Q-13 H	3409	44534	46437	9999-12-31	21228	287902	279477	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-7	2/4-X-7	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1998-06-01	1998-12-20	EKOFISK	1464-P	2/4-2 EKOFISK	NO	66.000000	\N	7775.000000	76.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK X	1-A	NO	OIL	1998	1998	\N	50	ED50	56	32	50.98	N	3	13	8.28	E	56.547494	3.218967	6267177.900000	513463.430000	31	2	4	X	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3410	http://www.npd.no/FactMapSearch?NPDID_wellbore=3410	initial	\N	3410	44072	43506	9999-12-31	20900	296002	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-P-14 AY2	34/7-P-14	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1998-07-27	1998-11-12	SNORRE	966-P2	34/4-1 SNORRE	NO	59.000000	\N	3373.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	YES	OIL	1998	1998	\N	50	ED50	61	26	57.08	N	2	8	37.36	E	61.449189	2.143711	6813283.930000	454340.950000	31	34	7	P	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3412	http://www.npd.no/FactMapSearch?NPDID_wellbore=3412	multilateral	34/7-P-14 AY1	3412	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/4-X-34	2/4-X-34	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1998-08-16	1998-11-03	EKOFISK	1465-P	2/4-2 EKOFISK	NO	57.300000	\N	4363.200000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1998	1998	\N	50	ED50	56	32	51.75	N	3	13	8.67	E	56.547708	3.219075	6267201.730000	513470.020000	31	2	4	X	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3413	http://www.npd.no/FactMapSearch?NPDID_wellbore=3413	initial	\N	3413	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-C-39	34/10-C-39	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	WATER	DEVELOPMENT	2000-01-19	2000-03-30	GULLFAKS	1466-P	34/10-1 GULLFAKS	NO	84.100000	\N	4022.000000	216.900000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	WATER	2000	2000	\N	172	ED50	61	12	54.91	N	2	16	26.62	E	61.215253	2.274061	6787141.470000	461001.550000	31	34	10	C	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3419	http://www.npd.no/FactMapSearch?NPDID_wellbore=3419	initial	\N	3419	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-R-2 H	6506/12-R-2	Den norske stats oljeselskap a.s	STATOIL	094	INJECTION	GAS	DEVELOPMENT	1998-06-16	1998-07-22	ÅSGARD	1470-P	6506/12-3 SMØRBUKK SØR	NO	26.000000	\N	4080.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD R	8	NO	GAS	1998	1998	\N	91	ED50	65	2	0.35	N	6	54	6.72	E	65.033431	6.901867	7214001.130000	401191.880000	32	6506	12	R	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3504	http://www.npd.no/FactMapSearch?NPDID_wellbore=3504	initial	\N	3504	45846	43765	9999-12-31	21556	296326	278861	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-D-4 H	34/10-D-4	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1998-06-27	1999-03-06	GULLFAKS SØR	1543-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4590.000000	134.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR D	Awarded additionaly to round 3	NO	OIL	1998	1999	\N	50	ED50	61	7	26.68	N	2	14	39.66	E	61.124078	2.244350	6777003.840000	459288.140000	31	34	10	D	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3526	http://www.npd.no/FactMapSearch?NPDID_wellbore=3526	initial	\N	3526	44606	43699	9999-12-31	21188	296164	277517	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-D-1 H	31/2-D-1	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-08-01	1998-08-13	TROLL	1472-P	31/2-1 TROLL VEST	NO	23.000000	\N	2047.000000	339.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	60	52	3.17	N	3	26	12.14	E	60.867547	3.436706	6748272.950000	523718.940000	31	31	2	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3529	http://www.npd.no/FactMapSearch?NPDID_wellbore=3529	initial	\N	3529	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-D-1 AH	31/2-D-1	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1998-08-14	1998-09-16	TROLL	1473-P	31/2-1 TROLL VEST	NO	23.000000	\N	4220.000000	339.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	NO	OIL	1998	1998	\N	50	ED50	60	52	3.17	N	3	26	12.14	E	60.867547	3.436706	6748272.950000	523718.940000	31	31	2	D	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3530	http://www.npd.no/FactMapSearch?NPDID_wellbore=3530	sidetrack	31/2-D-1 H	3530	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Q-11 H	31/2-Q-11	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-06-27	1999-07-06	TROLL	1602-P	31/2-1 TROLL VEST	NO	22.000000	\N	1972.000000	336.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL Q1	4	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	60	50	40.92	N	3	37	38.29	E	60.844700	3.627303	6745812.100000	534095.060000	31	31	2	Q	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3532	http://www.npd.no/FactMapSearch?NPDID_wellbore=3532	initial	\N	3532	44534	46437	9999-12-31	21228	287902	279477	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Q-11 AH	31/2-Q-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1999-07-07	1999-08-27	TROLL	1603-P	31/2-1 TROLL VEST	NO	22.000000	\N	3849.000000	336.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL Q1	4	NO	OIL	1999	1999	\N	50	ED50	60	50	40.92	N	3	37	38.29	E	60.844700	3.627303	6745812.100000	534095.060000	31	31	2	Q	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3533	http://www.npd.no/FactMapSearch?NPDID_wellbore=3533	sidetrack	31/2-Q-11 H	3533	44534	46437	9999-12-31	21228	287902	279477	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Q-14 H	31/2-Q-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1999-09-07	1999-10-10	TROLL	1633-P	31/2-1 TROLL VEST	NO	22.000000	\N	4707.000000	336.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL Q1	4	NO	OIL	1999	1999	\N	50	ED50	60	50	40.82	N	3	37	38.02	E	60.844672	3.627228	6745808.970000	534091.020000	31	31	2	Q	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3534	http://www.npd.no/FactMapSearch?NPDID_wellbore=3534	initial	\N	3534	44534	46437	9999-12-31	21228	287902	279477	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-42	34/7-P-42	Saga Petroleum ASA	SAGA	089	PRODUCTION	\N	DEVELOPMENT	1998-07-31	1998-08-28	SNORRE	1479-P	34/4-1 SNORRE	NO	59.000000	\N	3954.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1998	1998	\N	71	ED50	61	26	58.37	N	2	8	36.52	E	61.449547	2.143478	6813324.010000	454329.030000	31	34	7	P	42	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3537	http://www.npd.no/FactMapSearch?NPDID_wellbore=3537	initial	\N	3537	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/2-S-14 H	31/2-S-14	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-07-12	1998-07-26	TROLL	1477-P	31/2-1 TROLL VEST	NO	22.000000	\N	1838.000000	343.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL S1	4	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	60	53	42.13	N	3	39	16.38	E	60.895036	3.654550	6751433.180000	535520.020000	31	31	2	S	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3538	http://www.npd.no/FactMapSearch?NPDID_wellbore=3538	initial	\N	3538	44534	46437	9999-12-31	21228	287902	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-S-14 AH	31/2-S-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1998-07-29	1998-10-19	TROLL	1478-P	31/2-1 TROLL VEST	NO	22.000000	\N	5010.000000	343.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL S1	4	NO	OIL	1998	1998	\N	50	ED50	60	53	42.13	N	3	39	16.38	E	60.895036	3.654550	6751433.180000	535520.020000	31	31	2	S	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3539	http://www.npd.no/FactMapSearch?NPDID_wellbore=3539	sidetrack	31/2-S-14 H	3539	44534	46437	9999-12-31	21228	287902	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-41 A	30/9-B-41	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1998-09-28	1998-11-13	OSEBERG	1476-P	30/6-1 OSEBERG	NO	58.000000	\N	6665.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1998	1998	\N	50	ED50	60	29	35.94	N	2	49	43.20	E	60.493317	2.828667	6706522.930000	490585.590000	31	30	9	B	41	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3540	http://www.npd.no/FactMapSearch?NPDID_wellbore=3540	sidetrack	30/9-B-41	3540	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/3-A-9 A	30/3-A-9	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1998-08-12	1998-11-21	VESLEFRIKK	1480-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	6680.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1998	1998	\N	50	ED50	60	46	57.66	N	2	53	52.38	E	60.782683	2.897883	6738745.620000	494438.970000	31	30	3	A	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3541	http://www.npd.no/FactMapSearch?NPDID_wellbore=3541	sidetrack	30/3-A-9	3541	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-35	31/4-A-35	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1998-07-25	1998-08-29	BRAGE	1481-P	31/4-3 BRAGE	NO	63.000000	\N	3862.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1998	1998	\N	50	ED50	60	32	33.17	N	3	2	50.69	E	60.542547	3.047414	6711994.980000	502601.350000	31	31	4	A	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3542	http://www.npd.no/FactMapSearch?NPDID_wellbore=3542	initial	\N	3542	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-40	34/10-C-40	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1998-07-01	1998-07-16	GULLFAKS	1483-P	34/10-1 GULLFAKS	NO	84.000000	\N	2274.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1998	1998	\N	50	ED50	61	12	54.59	N	2	16	26.82	E	61.215164	2.274117	6787131.530000	461004.430000	31	34	10	C	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3549	http://www.npd.no/FactMapSearch?NPDID_wellbore=3549	initial	\N	3549	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-40	34/10-B-40	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1998-09-01	1998-11-12	GULLFAKS	1482-P	34/10-1 GULLFAKS	NO	81.000000	\N	4069.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1998	1998	\N	50	ED50	61	12	9.94	N	2	12	6.30	E	61.202761	2.201750	6785795.340000	457100.040000	31	34	10	B	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3550	http://www.npd.no/FactMapSearch?NPDID_wellbore=3550	initial	\N	3550	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-D-10 AH	25/11-D-10	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-07-18	1998-07-23	BALDER	1485-P	25/11-1 BALDER	NO	18.000000	\N	3060.000000	127.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-D-10 H	1-A	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	59	12	0.37	N	2	24	35.21	E	59.200103	2.409781	6562634.800000	466286.090000	31	25	11	D	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3551	http://www.npd.no/FactMapSearch?NPDID_wellbore=3551	sidetrack	25/11-D-10 H	3551	44210	43562	9999-12-31	20756	297514	284181	0	ESSO	2012-07-25	2012-07-25	2013-05-08
6506/12-P-1 H	6506/12-P-1	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1998-10-20	1998-11-22	ÅSGARD	1484-P	6506/12-3 SMØRBUKK SØR	NO	26.000000	\N	4845.000000	311.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD P	8	NO	OIL	1998	1998	\N	50	ED50	65	1	22.64	N	6	52	45.83	E	65.022956	6.879397	7212869.490000	400094.850000	32	6506	12	P	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3552	http://www.npd.no/FactMapSearch?NPDID_wellbore=3552	initial	\N	3552	45846	43765	9999-12-31	21556	296326	278889	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-37	6507/7-A-37	Den norske stats oljeselskap a.s	STATOIL	095	INJECTION	WATER	DEVELOPMENT	1998-10-16	1999-02-12	HEIDRUN	1486-P	6507/7-2 HEIDRUN	NO	74.000000	\N	5350.000000	346.000000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER	1998	1999	\N	173	ED50	65	19	32.68	N	7	19	3.70	E	65.325744	7.317694	7245986.350000	421638.780000	32	6507	7	A	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3553	http://www.npd.no/FactMapSearch?NPDID_wellbore=3553	initial	\N	3553	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-12 A	33/9-C-12	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1998-09-24	1998-10-19	STATFJORD	1696-P	33/12-1 STATFJORD	NO	78.400000	\N	4000.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1998	1998	\N	50	ED50	61	17	47.98	N	1	54	11.25	E	61.296661	1.903125	6796486.770000	441227.650000	31	33	9	C	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3554	http://www.npd.no/FactMapSearch?NPDID_wellbore=3554	sidetrack	33/9-C-12	3554	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-24 A	33/12-B-24	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1998-08-13	1998-09-03	STATFJORD	1460-P	33/12-1 STATFJORD	NO	77.800000	\N	4361.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1998	1998	\N	50	ED50	61	12	24.07	N	1	49	51.33	E	61.206686	1.830925	6786532.350000	437180.040000	31	33	12	B	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3556	http://www.npd.no/FactMapSearch?NPDID_wellbore=3556	sidetrack	33/12-B-24	3556	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-E-3 H	6608/10-E-3	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	1998-07-29	1998-09-23	NORNE	1487-P	6608/10-2 NORNE	NO	22.000000	\N	3110.000000	376.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE E	10-B	NO	OIL	1998	1998	\N	50	ED50	66	2	43.50	N	8	5	57.30	E	66.045417	8.099250	7325451.140000	459189.800000	32	6608	10	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3557	http://www.npd.no/FactMapSearch?NPDID_wellbore=3557	initial	\N	3557	44942	43778	9999-12-31	21836	296218	279309	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-S-3 H	6506/12-S-3	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1998-08-17	1998-10-21	ÅSGARD	1490-P	6506/12-1 SMØRBUKK	NO	24.000000	\N	6929.000000	304.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	ÅSGARD S	8	NO	OIL	1998	1998	\N	50	ED50	65	0	57.96	N	6	56	45.23	E	65.016100	6.945897	7212002.250000	403202.070000	32	6506	12	S	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3559	http://www.npd.no/FactMapSearch?NPDID_wellbore=3559	initial	\N	3559	44900	43765	9999-12-31	21556	294382	278833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-34	31/4-A-34	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1998-09-01	1998-10-26	BRAGE	1491-P	31/4-3 BRAGE	NO	62.600000	\N	5783.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1998	1998	\N	50	ED50	60	32	33.09	N	3	2	50.35	E	60.542525	3.047319	6711992.500000	502596.170000	31	31	4	A	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3560	http://www.npd.no/FactMapSearch?NPDID_wellbore=3560	initial	\N	3560	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-9	30/6-E-9	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	GAS	DEVELOPMENT	1999-05-02	1999-06-07	OSEBERG ØST	1492-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	3304.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	WATER/GAS	1999	1999	\N	91	ED50	60	42	1.87	N	2	56	7.06	E	60.700519	2.935294	6729591.210000	496467.270000	31	30	6	E	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3562	http://www.npd.no/FactMapSearch?NPDID_wellbore=3562	initial	\N	3562	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-C-17 H	25/11-C-17	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-10-14	1998-11-06	BALDER	1493-P	25/11-1 BALDER	NO	18.000000	\N	2450.000000	124.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-C-17 H	1-A	NO	NOT APPLICABLE	1998	1998	\N	99	ED50	59	10	59.03	N	2	24	36.87	E	59.183064	2.410242	6560737.190000	466295.650000	31	25	11	C	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3563	http://www.npd.no/FactMapSearch?NPDID_wellbore=3563	initial	\N	3563	44210	43562	9999-12-31	20756	297514	283985	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-C-17 AH	25/11-C-17	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	1998-11-06	1998-12-10	BALDER	1494-P	25/11-1 BALDER	NO	18.000000	\N	3015.000000	124.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	25/11-C-17 H	1-A	NO	OIL	1998	1998	\N	50	ED50	59	10	59.03	N	2	24	36.87	E	59.183064	2.410242	6560737.190000	466295.650000	31	25	11	C	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3564	http://www.npd.no/FactMapSearch?NPDID_wellbore=3564	sidetrack	25/11-C-17 H	3564	44210	43562	9999-12-31	20756	297514	283985	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/7-J-1 H	34/7-J-1	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1998-09-11	1998-12-21	TORDIS	1495-P	34/7-12 TORDIS	NO	25.000000	\N	4013.000000	201.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	TORDIS EXTENSION	8	NO	OIL	1998	1998	\N	50	ED50	61	16	29.70	N	2	7	11.87	E	61.274917	2.119964	6793888.900000	452813.050000	31	34	7	J	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3565	http://www.npd.no/FactMapSearch?NPDID_wellbore=3565	initial	\N	3565	44666	43725	9999-12-31	21516	294058	282445	0	SAGA	2012-07-25	2012-07-25	2013-05-08
6507/11-Y-1 H	6507/11-Y-1	Den norske stats oljeselskap a.s	STATOIL	062	PRODUCTION	GAS	DEVELOPMENT	1998-09-08	2000-01-28	ÅSGARD	1496-P	6507/11-1 MIDGARD	NO	26.000000	\N	2783.000000	256.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD Y	5	NO	OIL	1998	2000	\N	90	ED50	65	0	18.51	N	7	33	25.58	E	65.005142	7.557106	7209984.310000	431972.150000	32	6507	11	Y	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3566	http://www.npd.no/FactMapSearch?NPDID_wellbore=3566	initial	\N	3566	44912	43765	9999-12-31	21292	296326	278945	0	STATOIL	2012-08-22	2012-08-22	2013-05-08
34/7-P-42 A	34/7-P-42	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1998-08-28	1998-10-07	SNORRE	1497-P	34/4-1 SNORRE	NO	59.000000	\N	4109.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1998	1998	\N	50	ED50	61	26	58.37	N	2	8	36.52	E	61.449547	2.143478	6813324.010000	454329.030000	31	34	7	P	42	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3567	http://www.npd.no/FactMapSearch?NPDID_wellbore=3567	sidetrack	34/7-P-42	3567	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-K-2 AH	34/10-K-2	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1998-08-22	1998-10-04	GULLFAKS SØR	1498-P	34/10-K-2 H GULLVEIG	NO	25.000000	\N	3463.000000	139.800000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR K	Awarded additionaly to round 3	NO	OIL	1998	1998	\N	50	ED50	61	8	10.47	N	2	0	56.65	E	61.136242	2.015736	6778522.460000	446992.150000	31	34	10	K	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3568	http://www.npd.no/FactMapSearch?NPDID_wellbore=3568	sidetrack	34/10-K-2 H	3568	2417063	43699	9999-12-31	21188	296164	280765	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-35 A	33/12-B-35	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1998-09-16	1998-10-18	STATFJORD	1500-P	33/12-1 STATFJORD	NO	77.800000	\N	4605.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1998	1998	\N	50	ED50	61	12	23.97	N	1	49	50.71	E	61.206658	1.830753	6786529.430000	437170.730000	31	33	12	B	35	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3569	http://www.npd.no/FactMapSearch?NPDID_wellbore=3569	sidetrack	33/12-B-35	3569	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-E-2	30/6-E-2	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1999-01-13	1999-04-26	OSEBERG ØST	1502-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	4395.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	1999	1999	\N	50	\N	60	42	2.02	N	2	56	6.91	E	60.700561	2.935253	6729595.850000	496465.000000	31	30	6	E	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3572	http://www.npd.no/FactMapSearch?NPDID_wellbore=3572	initial	\N	3572	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-14 B	34/7-P-14	Norsk Hydro Produksjon AS	HYDRO	089	PRODUCTION	OIL	DEVELOPMENT	2002-04-08	2002-06-08	SNORRE	2094-P	34/4-1 SNORRE	NO	59.000000	\N	4775.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2002	2002	\N	50	ED50	61	26	57.08	N	2	8	37.36	E	61.449189	2.143711	6813283.930000	454340.950000	31	34	7	P	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3574	http://www.npd.no/FactMapSearch?NPDID_wellbore=3574	sidetrack	34/7-P-14 AY2	3574	44654	43718	9999-12-31	21516	272085	272085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-27	2/4-X-27	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1998-10-17	1999-10-14	EKOFISK	1503-P	2/4-2 EKOFISK	NO	57.300000	\N	5224.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1998	1999	\N	50	ED50	56	32	51.72	N	3	13	8.24	E	56.547700	3.218956	6267200.770000	513462.680000	31	2	4	X	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3575	http://www.npd.no/FactMapSearch?NPDID_wellbore=3575	initial	\N	3575	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-12-08	2012-12-08	2013-05-08
15/12-A-2	15/12-A-2	Saga Petroleum ASA	SAGA	038	PRODUCTION	OIL	DEVELOPMENT	1998-09-15	1998-10-02	VARG	1504-P	15/12-4 VARG	NO	44.000000	\N	3067.000000	84.000000	NORTH SEA	NOBLE AL WHITE	JACK-UP 3 LEGS	VARG A	3	NO	OIL	1998	1998	15/12-6 S	50	\N	58	4	40.56	N	1	53	25.63	E	58.077933	1.890453	6438071.110000	434556.650000	31	15	12	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3576	http://www.npd.no/FactMapSearch?NPDID_wellbore=3576	initial	\N	3576	43868	43451	9999-12-31	21092	296947	279505	1524	SAGA	2012-07-25	2012-07-25	2013-05-08
15/12-A-11	15/12-A-11	Saga Petroleum ASA	SAGA	038	PRODUCTION	OIL	DEVELOPMENT	1998-08-16	1998-08-31	VARG	1505-P	15/12-4 VARG	NO	44.000000	\N	3565.500000	84.000000	NORTH SEA	NOBLE AL WHITE	JACK-UP 3 LEGS	VARG A	3	NO	OIL	1998	1998	15/12-9 S	50	\N	58	4	40.43	N	1	53	25.75	E	58.077897	1.890486	6438067.060000	434558.550000	31	15	12	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3577	http://www.npd.no/FactMapSearch?NPDID_wellbore=3577	initial	\N	3577	43868	43451	9999-12-31	21092	296947	279505	1978	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-P-36	34/7-P-36	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1998-10-09	1999-01-30	SNORRE	1506-P	34/4-1 SNORRE	NO	59.000000	\N	4455.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	1998	1999	\N	173	\N	61	26	58.12	N	2	8	37.61	E	61.449478	2.143781	6813316.060000	454345.080000	31	34	7	P	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3583	http://www.npd.no/FactMapSearch?NPDID_wellbore=3583	initial	\N	3583	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-E-4 H	34/10-E-4	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	GAS	DEVELOPMENT	1998-12-06	1999-06-08	GULLFAKS SØR	1508-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4125.000000	134.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR E	Awarded additionaly to round 3	NO	GAS	1998	1999	\N	91	\N	61	6	38.54	N	2	15	38.70	E	61.110706	2.260750	6775504.260000	460154.860000	31	34	10	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3585	http://www.npd.no/FactMapSearch?NPDID_wellbore=3585	initial	\N	3585	44606	43699	9999-12-31	21188	297028	279701	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-33	31/4-A-33	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-10-30	1998-12-06	BRAGE	1509-P	31/4-3 BRAGE	NO	62.000000	\N	4227.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	1998	1998	\N	99	\N	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	31	4	A	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3586	http://www.npd.no/FactMapSearch?NPDID_wellbore=3586	initial	\N	3586	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-33 A	31/4-A-33	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	\N	DEVELOPMENT	1998-12-07	1999-01-22	BRAGE	1510-P	31/4-3 BRAGE	NO	62.200000	\N	5713.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1998	1999	\N	71	\N	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	31	4	A	33	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3587	http://www.npd.no/FactMapSearch?NPDID_wellbore=3587	sidetrack	31/4-A-33	3587	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-E-3 H	34/10-E-3	Statoil Petroleum AS	STATOIL	050	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GULLFAKS SØR	3598-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	0.000000	133.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	GULLFAKS SØR E	Awarded additionaly to round 3	NO	GAS	0	0	\N	0	ED50	61	6	38.37	N	2	15	38.19	E	61.110658	2.260608	6775499.090000	460147.160000	31	34	10	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3589	http://www.npd.no/FactMapSearch?NPDID_wellbore=3589	initial	\N	3589	44606	43699	9999-12-31	21188	290980	279701	0	STATOIL PETROLEUM AS	2013-03-20	2013-03-20	2013-05-08
31/2-S-13 H	31/2-S-13	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-08-07	1998-12-15	TROLL	1514-P	31/2-1 TROLL VEST	NO	22.000000	\N	1948.000000	343.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL S1	4	NO	NOT APPLICABLE	1998	1998	\N	99	\N	60	53	42.32	N	3	36	16.71	E	60.895089	3.604642	6751413.050000	532811.680000	31	31	2	S	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3591	http://www.npd.no/FactMapSearch?NPDID_wellbore=3591	initial	\N	3591	44534	46437	9999-12-31	21228	287902	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-S-13 AH	31/2-S-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1998-12-15	1999-03-04	TROLL	1515-P	31/2-1 TROLL VEST	NO	22.000000	\N	4374.000000	343.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL S1	4	NO	OIL	1998	1999	\N	50	\N	60	53	42.32	N	3	39	16.71	E	60.895089	3.654642	6751439.110000	535524.930000	31	31	2	S	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3592	http://www.npd.no/FactMapSearch?NPDID_wellbore=3592	sidetrack	31/2-S-13 H	3592	44534	46437	9999-12-31	21228	287902	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-16 B	33/12-B-16	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1998-10-22	1998-12-06	STATFJORD	1511-P	33/12-1 STATFJORD	NO	77.800000	\N	3997.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1998	1998	\N	50	ED50	61	12	25.05	N	1	49	52.20	E	61.206958	1.831167	6786562.440000	437193.560000	31	33	12	B	16	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3594	http://www.npd.no/FactMapSearch?NPDID_wellbore=3594	sidetrack	33/12-B-16 A	3594	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-X-48	2/4-X-48	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2001-11-29	2002-02-06	EKOFISK	2045-P	2/4-2 EKOFISK	NO	57.300000	\N	5304.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2001	2002	\N	50	ED50	56	32	52.09	N	3	13	8.50	E	56.547803	3.219028	6267212.230000	513467.080000	31	2	4	X	48	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3595	http://www.npd.no/FactMapSearch?NPDID_wellbore=3595	initial	\N	3595	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-A-25 A	33/9-A-25	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1998-11-30	1999-02-16	STATFJORD	1512-P	33/12-1 STATFJORD	NO	64.400000	\N	5420.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1998	1999	\N	173	\N	61	15	19.95	N	1	51	13.90	E	61.255542	1.853861	6791952.130000	438507.850000	31	33	9	A	25	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3602	http://www.npd.no/FactMapSearch?NPDID_wellbore=3602	sidetrack	33/9-A-25	3602	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/11-Y-4 H	6507/11-Y-4	Den norske stats oljeselskap a.s	STATOIL	062	PRODUCTION	GAS	DEVELOPMENT	1999-11-15	2000-01-03	ÅSGARD	1651-P	6507/11-1 MIDGARD	NO	26.000000	\N	2484.000000	256.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD Y	5	NO	GAS	1999	2000	\N	90	ED50	65	0	18.64	N	7	33	25.57	E	65.005178	7.557103	7209988.340000	431972.110000	32	6507	11	Y	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3603	http://www.npd.no/FactMapSearch?NPDID_wellbore=3603	initial	\N	3603	44912	43765	9999-12-31	21292	296326	278945	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/11-Y-2 H	6507/11-Y-2	Statoil ASA (old)	STATOIL	062	PRODUCTION	GAS	DEVELOPMENT	1998-09-26	1998-10-18	ÅSGARD	2199-P	6507/11-1 MIDGARD	NO	26.000000	\N	2946.000000	256.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Y	5	NO	GAS	1998	1998	\N	90	ED50	65	0	18.50	N	7	33	24.88	E	65.005139	7.556911	7209984.210000	431962.970000	32	6507	11	Y	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3604	http://www.npd.no/FactMapSearch?NPDID_wellbore=3604	initial	\N	3604	44912	43765	9999-12-31	21292	296245	278945	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/6-A-21 A	31/6-A-21	Den norske stats oljeselskap a.s	STATOIL	085	PRODUCTION	GAS	DEVELOPMENT	1998-10-26	1998-12-16	TROLL	1544-P	31/6-1 TROLL ØST	NO	58.600000	\N	1736.000000	303.200000	NORTH SEA	TROLL A	CONDEEP 4 SHAFTS	TROLL A	Awarded additionaly to round 7	NO	GAS	1998	1998	\N	90	ED50	60	38	43.77	N	3	43	35.08	E	60.645492	3.726411	6723679.770000	539727.080000	31	31	6	A	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3605	http://www.npd.no/FactMapSearch?NPDID_wellbore=3605	sidetrack	31/6-A-21	3605	44552	46437	9999-12-31	21476	278329	278329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-H-1 H	34/10-H-1	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-03-03	1999-04-01	GULLFAKS SØR	1516-P	34/10-17 RIMFAKS	NO	25.000000	\N	4010.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR H	Awarded additionaly to round 3	NO	NOT APPLICABLE	1999	1999	\N	99	\N	61	3	20.23	N	2	4	26.54	E	61.055619	2.074039	6769496.650000	450004.860000	31	34	10	H	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3617	http://www.npd.no/FactMapSearch?NPDID_wellbore=3617	initial	\N	3617	44600	43699	9999-12-31	21188	297028	280709	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-H-1 AH	34/10-H-1	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1999-04-02	1999-04-23	GULLFAKS SØR	1517-P	34/10-17 RIMFAKS	NO	25.000000	\N	4547.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR H	Awarded additionaly to round 3	NO	OIL	1999	1999	\N	50	\N	61	3	20.23	N	2	4	26.54	E	61.055619	2.074039	6769496.650000	450004.860000	31	34	10	H	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3618	http://www.npd.no/FactMapSearch?NPDID_wellbore=3618	sidetrack	34/10-H-1 H	3618	44600	43699	9999-12-31	21188	297028	280709	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-13 A	30/9-B-13	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	GAS	DEVELOPMENT	1998-11-25	1999-02-02	OSEBERG	1518-P	30/6-1 OSEBERG	NO	58.000000	\N	7666.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	GAS	1998	1999	\N	91	\N	60	29	36.22	N	2	49	42.39	E	60.493394	2.828442	6706531.630000	490573.250000	31	30	9	B	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3619	http://www.npd.no/FactMapSearch?NPDID_wellbore=3619	sidetrack	30/9-B-13	3619	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/11-F-4 H	6506/11-F-4	Den norske stats oljeselskap a.s	STATOIL	134	PRODUCTION	GAS	DEVELOPMENT	1996-02-11	1996-06-06	ÅSGARD	1519-P	6506/12-1 SMØRBUKK	NO	22.000000	\N	5110.000000	304.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD F	11-A	NO	OIL	1996	1996	6506/11-4 S	91	\N	65	1	46.17	N	6	36	4.74	E	65.029492	6.601317	7214065.980000	387026.300000	32	6506	11	F	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3620	http://www.npd.no/FactMapSearch?NPDID_wellbore=3620	initial	\N	3620	44900	43765	9999-12-31	21884	296245	278553	2736	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-I-4 H	6506/12-I-4	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1998-10-25	1998-12-02	ÅSGARD	1520-P	6506/12-1 SMØRBUKK	NO	22.000000	\N	5268.000000	289.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD I	8	NO	OIL	1998	1998	6506/12-11 SR	50	\N	65	5	7.20	N	6	40	54.75	E	65.085333	6.681875	7220144.870000	391047.420000	32	6506	12	I	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3621	http://www.npd.no/FactMapSearch?NPDID_wellbore=3621	initial	\N	3621	44900	43765	9999-12-31	21556	296245	278581	2977	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/11-G-1 H	6506/11-G-1	Den norske stats oljeselskap a.s	STATOIL	134	INJECTION	GAS	DEVELOPMENT	1996-09-10	1996-11-10	ÅSGARD	1521-P	6506/12-1 SMØRBUKK	NO	22.000000	\N	4790.000000	288.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD G	11-A	NO	GAS	1996	1996	6506/11-5 S	91	ED50	65	5	17.50	N	6	39	44.00	E	65.088194	6.662222	7220497.620000	390135.870000	32	6506	11	G	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3622	http://www.npd.no/FactMapSearch?NPDID_wellbore=3622	initial	\N	3622	44900	43765	9999-12-31	21884	296245	278749	2794	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/11-Y-3 H	6507/11-Y-3	Den norske stats oljeselskap a.s	STATOIL	062	PRODUCTION	GAS	DEVELOPMENT	2000-01-03	2000-02-19	ÅSGARD	1522-P	6507/11-1 MIDGARD	NO	22.000000	\N	2536.000000	257.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Y	5	NO	GAS	2000	2000	6507/11-5 S	90	\N	65	0	18.57	N	7	33	25.23	E	65.005158	7.557008	7209986.270000	431967.600000	32	6507	11	Y	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3623	http://www.npd.no/FactMapSearch?NPDID_wellbore=3623	initial	\N	3623	44912	43765	9999-12-31	21292	296245	278945	3193	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/5-I-11 H	31/5-I-11	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1998-10-16	1998-10-31	TROLL	1523-P	31/2-1 TROLL VEST	NO	23.000000	\N	2332.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	NO	NOT APPLICABLE	1998	1998	\N	99	\N	60	44	27.64	N	3	34	54.21	E	60.741011	3.581725	6734240.110000	531720.230000	31	31	5	I	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3624	http://www.npd.no/FactMapSearch?NPDID_wellbore=3624	initial	\N	3624	44534	46437	9999-12-31	21476	289333	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-11 AH	31/5-I-11	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1998-11-01	1999-01-21	TROLL	1524-P	31/2-1 TROLL VEST	NO	23.000000	\N	4436.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	NO	OIL	1998	1999	\N	50	\N	60	44	27.64	N	3	34	54.21	E	60.741011	3.581725	6734240.110000	531720.230000	31	31	5	I	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3625	http://www.npd.no/FactMapSearch?NPDID_wellbore=3625	sidetrack	31/5-I-11 H	3625	44534	46437	9999-12-31	21476	289333	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-40 A	34/10-B-40	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2001-07-09	2001-07-31	GULLFAKS	1956-P	34/10-1 GULLFAKS	NO	81.000000	\N	4778.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	2001	2001	\N	173	ED50	61	12	9.94	N	2	12	6.30	E	61.202761	2.201750	6785795.340000	457100.040000	31	34	10	B	40	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3628	http://www.npd.no/FactMapSearch?NPDID_wellbore=3628	sidetrack	34/10-B-40	3628	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-22 A	2/8-A-22	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1999-05-14	1999-07-17	VALHALL	1534-P	2/8-6 VALHALL	NO	44.000000	\N	4565.000000	69.000000	NORTH SEA	VALHALL	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1999	1999	\N	50	\N	56	16	40.80	N	3	23	43.53	E	56.278000	3.395425	6237229.480000	524485.600000	31	2	8	A	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3630	http://www.npd.no/FactMapSearch?NPDID_wellbore=3630	sidetrack	2/8-A-22	3630	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/7-P-10	34/7-P-10	Statoil ASA (old)	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2003-01-12	2003-03-31	SNORRE	2232-P	34/4-1 SNORRE	NO	59.400000	\N	6765.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2003	2003	\N	50	ED50	61	26	56.96	N	2	8	37.64	E	61.449156	2.143789	6813280.170000	454345.050000	31	34	7	P	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3631	http://www.npd.no/FactMapSearch?NPDID_wellbore=3631	initial	\N	3631	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-A-11 AY3	33/9-A-11	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	STATFJORD	1425-P3	33/12-1 STATFJORD	NO	64.400000	\N	0.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	\N	Awarded additionaly to round 2-A	YES	OIL	0	0	\N	0	ED50	61	15	20.85	N	1	51	15.02	E	61.255792	1.854172	6791979.680000	438525.020000	31	33	9	A	11	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3632	http://www.npd.no/FactMapSearch?NPDID_wellbore=3632	multilateral	33/9-A-11 AY2	3632	44558	43658	9999-12-31	21084	271273	\N	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-P-20	34/7-P-20	Saga Petroleum ASA	SAGA	089	INJECTION	GAS	DEVELOPMENT	1999-03-15	1999-06-05	SNORRE	1537-P	34/4-1 SNORRE	NO	59.000000	\N	4440.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER/GAS	1999	1999	\N	91	\N	61	26	57.22	N	2	8	37.63	E	61.449228	2.143786	6813288.210000	454345.010000	31	34	7	P	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3635	http://www.npd.no/FactMapSearch?NPDID_wellbore=3635	initial	\N	3635	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
30/6-C-27 AH	30/6-C-27	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1991-05-25	1991-07-25	OSEBERG	3287-P	30/6-1 OSEBERG	NO	25.000000	\N	3769.000000	108.000000	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	OSEBERG C	4	NO	OIL	1991	1991	\N	50	ED50	60	32	27.64	N	2	43	9.32	E	60.541011	2.719256	6711855.810000	484596.360000	31	30	6	C	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3636	http://www.npd.no/FactMapSearch?NPDID_wellbore=3636	sidetrack	30/6-C-27 H	3636	44396	43625	9999-12-31	21220	296677	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-E-3 H	34/7-E-3	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1999-01-07	1999-03-23	VIGDIS	1536-P	34/7-8 VIGDIS	NO	25.000000	\N	3340.000000	283.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VIGDIS E	8	NO	WATER	1999	1999	\N	173	\N	61	23	54.99	N	2	4	4.34	E	61.398608	2.067872	6807705.280000	450216.750000	31	34	7	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3638	http://www.npd.no/FactMapSearch?NPDID_wellbore=3638	initial	\N	3638	44714	43732	9999-12-31	21516	294058	279197	0	SAGA	2012-07-25	2012-07-25	2013-05-08
33/9-C-30 A	33/9-C-30	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1999-01-15	1999-02-15	STATFJORD	1549-P	33/12-1 STATFJORD	NO	78.400000	\N	4600.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	1999	1999	\N	173	ED50	61	17	46.88	N	1	54	9.78	E	61.296356	1.902717	6796453.100000	441205.200000	31	33	9	C	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3639	http://www.npd.no/FactMapSearch?NPDID_wellbore=3639	sidetrack	33/9-C-30	3639	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2013-05-01	2013-05-01	2013-05-08
34/7-I-11 H	34/7-I-11	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1999-03-23	1999-06-07	TORDIS	1556-P	34/7-12 TORDIS	NO	23.000000	\N	3006.000000	201.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	34/7-I-11 H	8	NO	WATER	1999	1999	\N	173	ED50	61	16	34.68	N	2	7	9.60	E	61.276300	2.119333	1832898.130000	406043.920000	31	34	7	I	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3640	http://www.npd.no/FactMapSearch?NPDID_wellbore=3640	initial	\N	3640	44666	43725	9999-12-31	21516	287983	281661	0	SAGA	2012-07-25	2012-07-25	2013-05-08
6507/7-A-44	6507/7-A-44	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1999-03-01	1999-05-08	HEIDRUN	1540-P	6507/7-2 HEIDRUN	NO	74.200000	\N	5151.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1999	1999	\N	50	\N	65	19	32.52	N	7	19	3.41	E	65.325700	7.317614	7245981.500000	421634.900000	32	6507	7	A	44	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3641	http://www.npd.no/FactMapSearch?NPDID_wellbore=3641	initial	\N	3641	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-E-1 H	6608/10-E-1	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	1999-05-28	1999-06-19	NORNE	1591-P1	6608/10-2 NORNE	NO	24.000000	\N	4350.000000	381.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE E	10-B	YES	OIL	1999	1999	\N	50	ED50	66	2	43.38	N	8	5	58.46	E	66.045383	8.099572	7325447.220000	459204.350000	32	6608	10	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3643	http://www.npd.no/FactMapSearch?NPDID_wellbore=3643	initial	\N	3643	44942	43778	9999-12-31	21836	294382	279309	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-E-2 H	6608/10-E-2	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	1999-10-16	1999-11-21	NORNE	1648-P	6608/10-2 NORNE	NO	22.000000	\N	4075.000000	380.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE E	10-B	NO	OIL	1999	1999	\N	50	ED50	66	2	43.19	N	8	5	58.10	E	66.045331	8.099472	7325441.400000	459199.730000	32	6608	10	E	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3644	http://www.npd.no/FactMapSearch?NPDID_wellbore=3644	initial	\N	3644	44942	43778	9999-12-31	21836	296218	279309	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-E-4 H	6608/10-E-4	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	\N	DEVELOPMENT	2000-02-05	2000-03-12	NORNE	1667-P	6608/10-2 NORNE	NO	22.000000	\N	4508.000000	380.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE E	10-B	NO	OIL	2000	2000	\N	71	ED50	66	2	43.65	N	8	5	57.65	E	66.045458	8.099347	7325455.720000	459194.270000	32	6608	10	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3645	http://www.npd.no/FactMapSearch?NPDID_wellbore=3645	initial	\N	3645	44942	43778	9999-12-31	21836	296218	279309	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-F-20	30/9-F-20	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	1998-12-24	1999-02-13	OSEBERG SØR	1525-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	3210.000000	101.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR	9	NO	OIL	1998	1999	\N	50	ED50	60	23	24.66	N	2	47	49.67	E	60.390183	2.797131	6695040.900000	488817.370000	31	30	9	F	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3649	http://www.npd.no/FactMapSearch?NPDID_wellbore=3649	initial	\N	3649	44468	43645	9999-12-31	21636	287821	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-39 A	34/10-B-39	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	1998-12-06	1999-03-22	GULLFAKS	1527-P	34/10-1 GULLFAKS	NO	81.000000	\N	3615.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1998	1999	\N	71	\N	61	12	9.90	N	2	12	6.16	E	61.202750	2.201711	6785794.130000	457097.940000	31	34	10	B	39	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3650	http://www.npd.no/FactMapSearch?NPDID_wellbore=3650	sidetrack	34/10-B-39	3650	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-38	31/4-A-38	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	1999-01-29	1999-03-09	BRAGE	1528-P	31/4-3 BRAGE	NO	62.600000	\N	4094.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	1999	1999	\N	50	\N	60	32	33.34	N	3	2	50.86	E	60.542594	3.047461	6712000.240000	502603.930000	31	31	4	A	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3651	http://www.npd.no/FactMapSearch?NPDID_wellbore=3651	initial	\N	3651	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-J-11 H	31/5-J-11	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-01-24	1999-02-12	TROLL	1530-P	31/2-1 TROLL VEST	NO	23.000000	\N	1951.000000	315.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J1	Awarded additionaly to round 7	NO	NOT APPLICABLE	1999	1999	\N	99	\N	60	44	35.73	N	3	36	29.10	E	60.743258	3.608083	6734503.430000	533155.150000	31	31	5	J	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3653	http://www.npd.no/FactMapSearch?NPDID_wellbore=3653	initial	\N	3653	44534	46437	9999-12-31	21476	289333	279141	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-J-11 AH	31/5-J-11	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1999-02-12	1999-03-15	TROLL	1531-P	31/2-1 TROLL VEST	NO	23.000000	\N	4501.000000	315.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J1	Awarded additionaly to round 7	NO	OIL	1999	1999	\N	50	\N	60	44	35.73	N	3	36	29.10	E	60.743258	3.608083	6734503.430000	533155.150000	31	31	5	J	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3654	http://www.npd.no/FactMapSearch?NPDID_wellbore=3654	sidetrack	31/5-J-11 H	3654	44534	46437	9999-12-31	21476	289333	279141	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-L-4 H	6506/12-L-4	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1999-01-04	1999-02-24	ÅSGARD	1554-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5260.000000	289.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD L	8	NO	GAS	1999	1999	\N	50	\N	65	8	17.70	N	6	46	58.12	E	65.138250	6.782811	7225869.510000	395996.930000	32	6506	12	L	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3656	http://www.npd.no/FactMapSearch?NPDID_wellbore=3656	initial	\N	3656	44900	43765	9999-12-31	21556	296326	278609	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/8-A-3 H	34/8-A-3	Norsk Hydro Produksjon AS	HYDRO	120	INJECTION	GAS	DEVELOPMENT	1998-12-20	1999-04-09	VISUND	1535-P	34/8-1 VISUND	NO	29.000000	\N	3775.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	GAS	1998	1999	\N	91	\N	61	22	12.92	N	2	27	34.64	E	61.370256	2.459622	6804310.920000	471112.800000	31	34	8	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3662	http://www.npd.no/FactMapSearch?NPDID_wellbore=3662	initial	\N	3662	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-S-12 H	31/2-S-12	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-11-19	2002-01-06	TROLL	2029-P	31/2-1 TROLL VEST	NO	23.000000	\N	5305.000000	366.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL S1	4	NO	OIL	2001	2002	\N	50	ED50	60	53	42.04	N	3	39	16.89	E	60.895011	3.654692	6751430.470000	535527.730000	31	31	2	S	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3666	http://www.npd.no/FactMapSearch?NPDID_wellbore=3666	initial	\N	3666	44534	46437	9999-12-31	21228	296353	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-G-4 H	33/9-G-4	Den norske stats oljeselskap a.s	STATOIL	037	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-01-26	1999-03-04	STATFJORD	1538-P	33/12-1 STATFJORD	NO	23.500000	\N	3821.000000	157.000000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	STATFJORD G	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	1999	1999	\N	99	\N	61	21	56.39	N	1	56	5.37	E	61.365664	1.934825	6804144.500000	443051.470000	31	33	9	G	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3669	http://www.npd.no/FactMapSearch?NPDID_wellbore=3669	initial	\N	3669	44558	43658	9999-12-31	21084	296677	279001	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-G-4 AH	33/9-G-4	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-03-04	1999-03-16	STATFJORD	1539-P	33/12-1 STATFJORD	NO	23.500000	\N	3165.000000	157.000000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	STATFJORD G	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	\N	61	21	56.39	N	1	56	5.37	E	61.365664	1.934825	6804144.500000	443051.470000	31	33	9	G	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3670	http://www.npd.no/FactMapSearch?NPDID_wellbore=3670	sidetrack	33/9-G-4 H	3670	44558	43658	9999-12-31	21084	296677	279001	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-F-19	30/9-F-19	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-02-13	1999-03-22	OSEBERG SØR	1545-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	3664.000000	101.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR	9	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	60	23	24.66	N	2	47	49.77	E	60.390183	2.797158	6695040.900000	488818.910000	31	30	9	F	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3672	http://www.npd.no/FactMapSearch?NPDID_wellbore=3672	initial	\N	3672	44468	43645	9999-12-31	21636	287821	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-19 A	30/9-F-19	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	1999-03-22	1999-04-08	OSEBERG SØR	1546-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	4695.000000	101.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR	9	NO	OIL	1999	1999	\N	50	\N	60	23	24.66	N	2	47	49.77	E	60.390183	2.797158	6695040.900000	488818.910000	31	30	9	F	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3673	http://www.npd.no/FactMapSearch?NPDID_wellbore=3673	sidetrack	30/9-F-19	3673	44468	43645	9999-12-31	21636	287821	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-L-2 AH	6506/12-L-2	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1999-03-02	1999-04-06	ÅSGARD	1541-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5811.000000	288.500000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD L	8	NO	OIL	1999	1999	\N	50	\N	65	8	17.72	N	6	46	57.36	E	65.138256	6.782600	7225870.480000	395987.050000	32	6506	12	L	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3674	http://www.npd.no/FactMapSearch?NPDID_wellbore=3674	sidetrack	6506/12-L-2 H	3674	44900	43765	9999-12-31	21556	296326	278609	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/8-B-17	25/8-B-17	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2000-09-13	2000-10-13	JOTUN	1542-P	25/8-5 S JOTUN	NO	52.400000	\N	5370.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	59	27	3.67	N	2	22	0.87	E	59.451019	2.366908	6590598.750000	464102.780000	31	25	8	B	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3678	http://www.npd.no/FactMapSearch?NPDID_wellbore=3678	initial	\N	3678	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
33/9-C-12 B	33/9-C-12	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1998-10-19	1998-12-23	STATFJORD	1697-P	33/12-1 STATFJORD	NO	78.400000	\N	5095.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1998	1998	\N	50	ED50	61	17	47.98	N	1	54	11.25	E	61.296661	1.903125	6796486.770000	441227.650000	31	33	9	C	12	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3681	http://www.npd.no/FactMapSearch?NPDID_wellbore=3681	sidetrack	33/9-C-12 A	3681	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-D-1 H	34/10-D-1	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2000-11-17	2001-08-31	GULLFAKS SØR	1848-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4715.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR D	Awarded additionaly to round 3	NO	OIL	2000	2001	\N	50	ED50	61	7	26.56	N	2	14	39.45	E	61.124044	2.244292	6777000.160000	459284.950000	31	34	10	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3686	http://www.npd.no/FactMapSearch?NPDID_wellbore=3686	initial	\N	3686	44606	43699	9999-12-31	21188	297028	277517	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-D-3 H	34/10-D-3	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-07-31	1999-08-23	GULLFAKS SØR	1609-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4125.000000	134.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR D	Awarded additionaly to round 3	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	61	7	26.54	N	2	14	39.12	E	61.124039	2.244200	6776999.600000	459280.010000	31	34	10	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3687	http://www.npd.no/FactMapSearch?NPDID_wellbore=3687	initial	\N	3687	44606	43699	9999-12-31	21188	297028	277517	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-P-36 A	34/7-P-36	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1999-02-04	1999-03-14	SNORRE	1548-P	34/4-1 SNORRE	NO	59.000000	\N	4442.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1999	1999	\N	50	\N	61	26	58.12	N	2	8	37.61	E	61.449478	2.143781	6813316.060000	454345.080000	31	34	7	P	36	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3689	http://www.npd.no/FactMapSearch?NPDID_wellbore=3689	sidetrack	34/7-P-36	3689	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-D-2 H	34/10-D-2	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1999-05-13	1999-07-29	GULLFAKS SØR	1550-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	5468.000000	134.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR D	Awarded additionaly to round 3	NO	OIL	1999	1999	\N	50	ED50	61	7	26.43	N	2	14	39.25	E	61.124008	2.244236	6776996.180000	459281.910000	31	34	10	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3690	http://www.npd.no/FactMapSearch?NPDID_wellbore=3690	initial	\N	3690	44606	43699	9999-12-31	21188	297028	277517	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-19 B	33/9-C-19	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	1999-02-23	1999-04-10	STATFJORD	1551-P	33/12-1 STATFJORD	NO	78.400000	\N	3856.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	71	\N	61	17	47.90	N	1	54	10.85	E	61.296639	1.903014	6796484.390000	441221.660000	31	33	9	C	19	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3691	http://www.npd.no/FactMapSearch?NPDID_wellbore=3691	sidetrack	33/9-C-19 A	3691	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-18 A	30/3-A-18	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1999-03-27	1999-04-16	VESLEFRIKK	1552-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3575.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1999	1999	\N	50	\N	60	46	57.87	N	2	53	52.59	E	60.782742	2.897942	6738752.120000	494442.150000	31	30	3	A	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3693	http://www.npd.no/FactMapSearch?NPDID_wellbore=3693	sidetrack	30/3-A-18	3693	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-14 A	33/9-A-14	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	1999-04-18	1999-06-12	STATFJORD	1553-P	33/12-1 STATFJORD	NO	64.400000	\N	4680.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	1999	1999	\N	173	\N	61	15	20.84	N	1	51	14.67	E	61.255789	1.854075	6791979.460000	438519.800000	31	33	9	A	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3694	http://www.npd.no/FactMapSearch?NPDID_wellbore=3694	sidetrack	33/9-A-14	3694	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-C-4 H	6507/7-C-4	Den norske stats oljeselskap a.s	STATOIL	095	INJECTION	WATER	DEVELOPMENT	1999-02-28	1999-08-03	HEIDRUN	1555-P	6507/7-2 HEIDRUN	NO	23.200000	\N	3098.000000	327.000000	NORWEGIAN SEA	SCARABEO 6	SEMISUB STEEL	HEIDRUN C	8	NO	WATER	1999	1999	\N	173	\N	65	17	10.93	N	7	18	11.77	E	65.286369	7.303269	7241616.960000	420848.920000	32	6507	7	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3698	http://www.npd.no/FactMapSearch?NPDID_wellbore=3698	initial	\N	3698	44930	43771	9999-12-31	21564	297001	356124	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-A-2 AH	34/7-A-2	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1999-04-20	1999-05-25	SNORRE	1557-P	34/4-1 SNORRE	NO	25.000000	\N	3630.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	WATER	1999	1999	\N	173	\N	61	29	21.82	N	2	13	35.02	E	61.489394	2.226394	6817707.410000	458802.770000	31	34	7	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3704	http://www.npd.no/FactMapSearch?NPDID_wellbore=3704	sidetrack	34/7-A-2 H	3704	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
6407/7-A-13 H	6407/7-A-13	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	1999-03-09	1999-04-27	NJORD	1558-P	6407/7-1 S NJORD	NO	30.000000	\N	5021.000000	330.000000	NORWEGIAN SEA	NJORD	SEMISUB STEEL	NJORD A	9	NO	OIL	1999	1999	\N	50	ED50	64	16	16.22	N	7	12	7.16	E	64.271172	7.201989	7128639.860000	412913.140000	32	6407	7	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3705	http://www.npd.no/FactMapSearch?NPDID_wellbore=3705	initial	\N	3705	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/3-A-5 A	30/3-A-5	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	1999-03-03	1999-03-27	VESLEFRIKK	1559-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4151.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	1999	1999	\N	50	\N	60	46	57.77	N	2	53	52.38	E	60.782714	2.897883	6738749.030000	494438.970000	31	30	3	A	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3706	http://www.npd.no/FactMapSearch?NPDID_wellbore=3706	sidetrack	30/3-A-5	3706	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-4 A	34/10-B-4	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1999-04-11	1999-06-19	GULLFAKS	1560-P	34/10-1 GULLFAKS	NO	80.700000	\N	2943.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	1999	1999	\N	50	\N	61	12	10.10	N	2	12	5.91	E	61.202806	2.201642	6785800.370000	457094.280000	31	34	10	B	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3707	http://www.npd.no/FactMapSearch?NPDID_wellbore=3707	sidetrack	34/10-B-4	3707	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-F-14	30/9-F-14	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-04-08	1999-05-09	OSEBERG SØR	1562-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	3438.000000	101.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR	9	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	60	23	24.70	N	2	47	49.34	E	60.390194	2.797039	6695042.160000	488812.330000	31	30	9	F	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3708	http://www.npd.no/FactMapSearch?NPDID_wellbore=3708	initial	\N	3708	44468	43645	9999-12-31	21636	287821	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-14 A	30/9-F-14	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	WATER	DEVELOPMENT	1999-05-09	1999-05-21	OSEBERG SØR	1563-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	4020.000000	101.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR	9	NO	WATER	1999	1999	\N	173	ED50	60	23	24.70	N	2	47	49.34	E	60.390194	2.797039	6695042.160000	488812.330000	31	30	9	F	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3709	http://www.npd.no/FactMapSearch?NPDID_wellbore=3709	sidetrack	30/9-F-14	3709	44468	43645	9999-12-31	21636	287821	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-16	2/4-X-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1999-04-08	1999-06-15	EKOFISK	1564-P	2/4-2 EKOFISK	NO	57.000000	\N	6156.000000	76.200000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	1999	1999	\N	50	\N	56	32	51.12	N	3	13	8.47	E	56.547533	3.219019	6267182.240000	513466.670000	31	2	4	X	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3710	http://www.npd.no/FactMapSearch?NPDID_wellbore=3710	initial	\N	3710	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-L-1 H	33/9-L-1	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-03-23	1999-04-22	STATFJORD ØST	1565-P	33/9-7 STATFJORD ØST	NO	18.000000	\N	3431.000000	153.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	STATFJORD ØST L	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	\N	61	19	45.63	N	1	59	10.24	E	61.329342	1.986178	6800055.000000	445734.010000	31	33	9	L	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3713	http://www.npd.no/FactMapSearch?NPDID_wellbore=3713	initial	\N	3713	44582	43672	9999-12-31	21084	297514	277993	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-D-9	2/7-D-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1999-06-14	1999-08-25	EMBLA	1566-P	2/7-20 EMBLA	NO	52.700000	\N	4736.000000	70.700000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EMBLA	1-A	NO	OIL	1999	1999	\N	50	\N	56	19	59.69	N	3	14	53.51	E	56.333247	3.248197	6243336.290000	515346.790000	31	2	7	D	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3714	http://www.npd.no/FactMapSearch?NPDID_wellbore=3714	initial	\N	3714	44132	43534	9999-12-31	20900	296002	277377	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6506/12-I-2 H	6506/12-I-2	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1999-04-09	1999-05-19	ÅSGARD	1567-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5140.000000	289.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD I	8	NO	OIL	1999	1999	\N	50	\N	65	5	7.38	N	6	40	53.92	E	65.085383	6.681644	7220150.830000	391036.800000	32	6506	12	I	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3715	http://www.npd.no/FactMapSearch?NPDID_wellbore=3715	initial	\N	3715	44900	43765	9999-12-31	21556	296326	278581	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-29 A	30/9-B-29	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-02-24	1999-03-17	OSEBERG	1568-P	30/6-1 OSEBERG	NO	58.000000	\N	4214.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1999	1999	\N	99	\N	60	29	36.12	N	2	49	43.13	E	60.493367	2.828647	6706528.500000	490584.540000	31	30	9	B	29	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3716	http://www.npd.no/FactMapSearch?NPDID_wellbore=3716	sidetrack	30/9-B-29	3716	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-29 B	30/9-B-29	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1999-03-17	1999-04-24	OSEBERG	1569-P	30/6-1 OSEBERG	NO	58.000000	\N	6200.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1999	1999	\N	50	\N	60	29	26.12	N	2	49	43.13	E	60.490589	2.828647	6706219.110000	490583.730000	31	30	9	B	29	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3717	http://www.npd.no/FactMapSearch?NPDID_wellbore=3717	sidetrack	30/9-B-29 A	3717	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-E-1 H	34/7-E-1	Norsk Hydro Produksjon AS	HYDRO	089	INJECTION	WATER	DEVELOPMENT	2001-04-10	2001-05-19	VIGDIS	1818-P	34/7-8 VIGDIS	NO	31.000000	\N	3773.000000	283.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS E	8	NO	WATER	2001	2001	\N	173	ED50	61	23	54.71	N	2	4	4.94	E	61.398531	2.068039	6807696.490000	450225.530000	31	34	7	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3720	http://www.npd.no/FactMapSearch?NPDID_wellbore=3720	initial	\N	3720	44714	43732	9999-12-31	21516	290170	279197	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-E-4 H	34/7-E-4	Norsk Hydro Produksjon AS	HYDRO	089	INJECTION	WATER	DEVELOPMENT	2002-05-06	2002-06-13	VIGDIS	2106-P	34/7-8 VIGDIS	NO	31.000000	\N	3215.000000	283.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS E	8	NO	WATER	2002	2002	\N	173	ED50	61	23	54.98	N	2	4	4.36	E	61.398606	2.067878	6807704.970000	450217.050000	31	34	7	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3721	http://www.npd.no/FactMapSearch?NPDID_wellbore=3721	initial	\N	3721	44714	43732	9999-12-31	21516	290170	279197	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-B-2	25/8-B-2	Esso Exploration and Production Norway A/S	ESSO	027 P	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-05-01	1999-06-25	JOTUN	1572-P	25/8-5 S JOTUN	NO	52.000000	\N	2552.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	2-A	NO	NOT APPLICABLE	1999	1999	\N	99	\N	59	27	3.83	N	2	22	0.43	E	59.451064	2.366786	6590603.760000	464095.900000	31	25	8	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3731	http://www.npd.no/FactMapSearch?NPDID_wellbore=3731	initial	\N	3731	44330	43604	9999-12-31	20996	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-B-2 A	25/8-B-2	Esso Exploration and Production Norway A/S	ESSO	027 P	PRODUCTION	OIL	DEVELOPMENT	1999-06-26	1999-07-28	JOTUN	1573-P	25/8-5 S JOTUN	NO	52.000000	\N	4197.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	2-A	NO	OIL	1999	1999	\N	50	\N	59	27	3.83	N	2	22	0.43	E	59.451064	2.366786	6590603.760000	464095.900000	31	25	8	B	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3732	http://www.npd.no/FactMapSearch?NPDID_wellbore=3732	sidetrack	25/8-B-2	3732	44330	43604	9999-12-31	20996	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
6507/7-A-48	6507/7-A-48	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1999-05-03	1999-07-06	HEIDRUN	1574-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4579.000000	345.500000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1999	1999	\N	50	\N	65	19	32.65	N	7	19	4.60	E	65.325736	7.317944	7245985.120000	421650.400000	32	6507	7	A	48	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3733	http://www.npd.no/FactMapSearch?NPDID_wellbore=3733	initial	\N	3733	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-B-4 H	6507/7-B-4	Den norske stats oljeselskap a.s	STATOIL	095	INJECTION	WATER	DEVELOPMENT	1999-04-11	1999-07-17	HEIDRUN	1575-P	6507/7-2 HEIDRUN	NO	26.200000	\N	5658.000000	340.500000	NORWEGIAN SEA	SCARABEO 6	SEMISUB STEEL	HEIDRUN B	8	NO	WATER	1999	1999	\N	173	\N	65	18	45.97	N	7	15	47.09	E	65.312769	7.263081	7244609.600000	419055.550000	32	6507	7	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3735	http://www.npd.no/FactMapSearch?NPDID_wellbore=3735	initial	\N	3735	44930	43771	9999-12-31	21564	297001	278049	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-41	34/10-C-41	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1999-06-23	1999-08-23	GULLFAKS	1578-P	34/10-1 GULLFAKS	NO	84.100000	\N	5352.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1999	1999	\N	50	\N	61	12	53.64	N	2	16	27.96	E	61.214900	2.274433	6787101.950000	461021.110000	31	34	10	C	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3738	http://www.npd.no/FactMapSearch?NPDID_wellbore=3738	initial	\N	3738	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-12 B	30/9-B-12	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1999-05-04	1999-06-02	OSEBERG	1579-P	30/6-1 OSEBERG	NO	58.000000	\N	4488.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1999	1999	\N	50	ED50	60	29	36.40	N	2	49	43.19	E	60.493444	2.828664	6706537.170000	490585.480000	31	30	9	B	12	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3739	http://www.npd.no/FactMapSearch?NPDID_wellbore=3739	sidetrack	30/9-B-12 A	3739	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
9/2-A-4 A	9/2-A-4	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	1999-04-21	1999-05-19	YME	1580-P	9/2-1 YME	NO	42.000000	\N	4743.000000	93.000000	NORTH SEA	YME	JACK-UP 3 LEGS	YME B ØST	10-A	NO	OIL	1999	1999	\N	50	\N	57	49	7.53	N	4	31	11.21	E	57.818758	4.519781	6409691.090000	590286.370000	31	9	2	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3740	http://www.npd.no/FactMapSearch?NPDID_wellbore=3740	sidetrack	9/2-A-4	3740	45098	43807	9999-12-31	21716	278245	282557	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/5-J-13 H	31/5-J-13	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	OIL	DEVELOPMENT	1999-03-16	1999-04-24	TROLL	1581-P	31/2-1 TROLL VEST	NO	23.000000	\N	4828.000000	315.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J1	Awarded additionaly to round 7	NO	NOT APPLICABLE	1999	1999	\N	50	ED50	60	44	35.77	N	3	36	28.56	E	60.743269	3.607933	6734504.590000	533146.960000	31	31	5	J	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3743	http://www.npd.no/FactMapSearch?NPDID_wellbore=3743	initial	\N	3743	44534	46437	9999-12-31	21476	289333	279141	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-J-13 AY1H	31/5-J-13	StatoilHydro Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2009-01-14	2009-02-08	TROLL	1582-P1	31/2-1 TROLL VEST	NO	25.000000	\N	4556.000000	315.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL J1	Awarded additionaly to round 7	YES	OIL	2009	2009	\N	50	ED50	60	44	35.77	N	3	36	28.56	E	60.743269	3.607933	6734504.590000	533146.960000	31	31	5	J	13	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3744	http://www.npd.no/FactMapSearch?NPDID_wellbore=3744	multilateral	31/5-J-13 H	3744	44534	46437	9999-12-31	21476	290980	279141	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
33/9-C-18 A	33/9-C-18	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-04-21	1999-05-24	STATFJORD	1583-P	33/12-1 STATFJORD	NO	78.400000	\N	4136.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	\N	61	17	47.88	N	1	54	11.33	E	61.296633	1.903147	6796483.660000	441228.790000	31	33	9	C	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3745	http://www.npd.no/FactMapSearch?NPDID_wellbore=3745	sidetrack	33/9-C-18	3745	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-F-1 H	6608/10-F-1	Den norske stats oljeselskap a.s	STATOIL	128	INJECTION	WATER	DEVELOPMENT	1999-04-29	1999-05-27	NORNE	1584-P	6608/10-2 NORNE	NO	24.000000	\N	3170.000000	381.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE F	10-B	NO	WATER	1999	1999	\N	173	\N	66	2	40.45	N	8	6	6.91	E	66.044569	8.101919	7325354.980000	459309.390000	32	6608	10	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3751	http://www.npd.no/FactMapSearch?NPDID_wellbore=3751	initial	\N	3751	44942	43778	9999-12-31	21836	294382	279337	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-I-10 H	34/7-I-10	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	1999-06-27	1999-09-05	TORDIS	1619-P	34/7-12 TORDIS	NO	23.000000	\N	5318.000000	200.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	34/7-I-10 H	8	NO	WATER	1999	1999	\N	173	ED50	61	16	35.29	N	2	7	6.57	E	61.276469	2.118492	6794062.920000	452736.450000	31	34	7	I	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3752	http://www.npd.no/FactMapSearch?NPDID_wellbore=3752	initial	\N	3752	44666	43725	9999-12-31	21516	287983	281549	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/2-P-12 H	31/2-P-12	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1999-05-20	1999-06-24	TROLL	1585-P	31/2-1 TROLL VEST	NO	22.000000	\N	4502.000000	337.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL P1	4	NO	OIL	1999	1999	\N	50	\N	60	52	1.05	N	3	33	28.79	E	60.866958	3.557997	6748257.300000	530307.160000	31	31	2	P	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3753	http://www.npd.no/FactMapSearch?NPDID_wellbore=3753	initial	\N	3753	44534	46437	9999-12-31	21228	287902	279085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-46 A	6507/7-A-46	Statoil Petroleum AS	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2010-12-02	2011-04-25	HEIDRUN	3232-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4752.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2010	2011	\N	50	ED50	65	19	32.58	N	7	19	4.00	E	65.325717	7.317778	7245983.160000	421642.580000	32	6507	7	A	46	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3754	http://www.npd.no/FactMapSearch?NPDID_wellbore=3754	sidetrack	6507/7-A-46	3754	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6506/12-J-1 H	6506/12-J-1	Statoil ASA (old)	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2007-04-17	2007-08-01	ÅSGARD	2854-P	6506/12-1 SMØRBUKK	NO	22.000000	\N	4522.000000	255.000000	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	ÅSGARD J	8	NO	OIL	2007	2007	\N	50	ED50	65	9	58.66	N	6	43	59.25	E	65.166294	6.733125	7229076.400000	393779.270000	32	6506	12	J	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3758	http://www.npd.no/FactMapSearch?NPDID_wellbore=3758	initial	\N	3758	44900	43765	9999-12-31	21556	287902	278693	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-K-23 H	31/2-K-23	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-06-01	1999-06-18	TROLL	1586-P	31/2-1 TROLL VEST	NO	23.000000	\N	1815.000000	318.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL K2	4	NO	NOT APPLICABLE	1999	1999	\N	99	\N	60	45	21.12	N	3	38	22.98	E	60.755867	3.639717	6735924.150000	534866.210000	31	31	2	K	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3760	http://www.npd.no/FactMapSearch?NPDID_wellbore=3760	initial	\N	3760	44534	46437	9999-12-31	21228	289333	280009	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-23 AH	31/2-K-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1999-07-27	1999-08-18	TROLL	1587-P	31/2-1 TROLL VEST	NO	23.000000	\N	4223.000000	318.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL K2	4	NO	OIL	1999	1999	\N	50	\N	60	45	21.12	N	3	38	22.98	E	60.755867	3.639717	6735924.150000	534866.210000	31	31	2	K	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3761	http://www.npd.no/FactMapSearch?NPDID_wellbore=3761	sidetrack	31/2-K-23 H	3761	44534	46437	9999-12-31	21228	289333	280009	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-18	30/9-F-18	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-05-21	1999-07-01	OSEBERG SØR	1588-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	4188.000000	101.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR	9	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	60	23	24.64	N	2	47	49.62	E	60.390178	2.797117	6695040.290000	488816.610000	31	30	9	F	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3762	http://www.npd.no/FactMapSearch?NPDID_wellbore=3762	initial	\N	3762	44468	43645	9999-12-31	21636	287821	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-18 A	30/9-F-18	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	1999-12-16	2000-01-13	OSEBERG SØR	1589-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	5368.000000	101.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR	9	NO	OIL	1999	2000	\N	50	ED50	60	23	24.64	N	2	47	49.62	E	60.390178	2.797117	6695040.290000	488816.610000	31	30	9	F	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3763	http://www.npd.no/FactMapSearch?NPDID_wellbore=3763	sidetrack	30/9-F-18	3763	44468	43645	9999-12-31	21636	287821	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6608/10-F-2 H	6608/10-F-2	Den norske stats oljeselskap a.s	STATOIL	128	INJECTION	WATER	DEVELOPMENT	1999-09-18	1999-10-15	NORNE	1638-P	6608/10-2 NORNE	NO	22.000000	\N	3048.000000	381.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE F	10-B	NO	WATER	1999	1999	\N	173	ED50	66	2	40.30	N	8	6	6.56	E	66.044528	8.101822	7325350.390000	459304.920000	32	6608	10	F	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3777	http://www.npd.no/FactMapSearch?NPDID_wellbore=3777	initial	\N	3777	44942	43778	9999-12-31	21836	296218	279337	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-F-3 H	6608/10-F-3	Den norske stats oljeselskap a.s	STATOIL	128	INJECTION	WATER	DEVELOPMENT	1999-12-02	2000-02-05	NORNE	1669-P	6608/10-2 NORNE	NO	22.000000	\N	3370.000000	381.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE F	10-B	NO	WATER	1999	2000	\N	173	ED50	66	2	40.53	N	8	6	6.31	E	66.044592	8.101753	7325357.560000	459301.870000	32	6608	10	F	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3778	http://www.npd.no/FactMapSearch?NPDID_wellbore=3778	initial	\N	3778	44942	43778	9999-12-31	21836	296218	279337	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-F-4 H	6608/10-F-4	Den norske stats oljeselskap a.s	STATOIL	128	INJECTION	WATER	DEVELOPMENT	2001-06-10	2001-07-06	NORNE	1955-P	6608/10-2 NORNE	NO	26.000000	\N	4280.000000	381.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	NORNE F	10-B	NO	WATER	2001	2001	\N	173	ED50	66	2	40.76	N	8	6	6.09	E	66.044656	8.101692	7325364.720000	459299.200000	32	6608	10	F	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3779	http://www.npd.no/FactMapSearch?NPDID_wellbore=3779	initial	\N	3779	44942	43778	9999-12-31	21836	296326	279337	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-K-13 H	31/2-K-13	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	OIL	DEVELOPMENT	1999-06-20	1999-07-01	TROLL	1592-P	31/2-1 TROLL VEST	NO	23.000000	\N	1953.000000	319.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL K1	4	NO	OIL	1999	1999	\N	99	\N	60	46	5.78	N	3	36	41.00	E	60.768272	3.611389	6737291.200000	533309.430000	31	31	2	K	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3784	http://www.npd.no/FactMapSearch?NPDID_wellbore=3784	initial	\N	3784	44534	46437	9999-12-31	21228	289333	279449	0	HYDRO PRODUKSJON	2013-04-09	2013-04-09	2013-05-08
31/2-K-13 AH	31/2-K-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1999-07-02	1999-07-23	TROLL	1593-P	31/2-1 TROLL VEST	NO	23.000000	\N	4325.000000	319.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL K1	4	NO	OIL	1999	1999	\N	50	\N	60	46	5.78	N	3	36	41.00	E	60.768272	3.611389	6737291.200000	533309.430000	31	31	2	K	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3786	http://www.npd.no/FactMapSearch?NPDID_wellbore=3786	sidetrack	31/2-K-13 H	3786	44534	46437	9999-12-31	21228	289333	279449	0	HYDRO PRODUKSJON	2013-01-03	2013-01-03	2013-05-08
33/9-C-40 A	33/9-C-40	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-06-17	1999-07-22	STATFJORD	1595-P	33/12-1 STATFJORD	NO	78.400000	\N	4514.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	\N	61	17	46.71	N	1	54	9.81	E	61.296308	1.902725	6796447.840000	441205.560000	31	33	9	C	40	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3790	http://www.npd.no/FactMapSearch?NPDID_wellbore=3790	sidetrack	33/9-C-40	3790	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/11-F-2 H	6506/11-F-2	Den norske stats oljeselskap a.s	STATOIL	134	PRODUCTION	GAS	DEVELOPMENT	1999-06-07	1999-07-31	ÅSGARD	1597-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5366.000000	289.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD F	11-A	NO	GAS	1999	1999	\N	90	\N	65	1	46.41	N	6	36	4.20	E	65.029558	6.601167	7214073.670000	387019.520000	32	6506	11	F	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3792	http://www.npd.no/FactMapSearch?NPDID_wellbore=3792	initial	\N	3792	44900	43765	9999-12-31	21884	296326	278553	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-H-3 H	34/10-H-3	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1999-06-15	1999-09-18	GULLFAKS SØR	1598-P	34/10-17 RIMFAKS	NO	25.000000	\N	5046.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR H	Awarded additionaly to round 3	NO	OIL	1999	1999	\N	50	ED50	61	3	20.50	N	2	4	26.18	E	61.055694	2.073939	6769505.080000	449999.570000	31	34	10	H	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3793	http://www.npd.no/FactMapSearch?NPDID_wellbore=3793	initial	\N	3793	44600	43699	9999-12-31	21188	296164	280709	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-E-4	30/6-E-4	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	OIL	DEVELOPMENT	1999-07-01	1999-07-30	OSEBERG ØST	1600-P	30/6-5 OSEBERG ØST	NO	64.200000	\N	3520.000000	157.700000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	NOT APPLICABLE	1999	1999	\N	50	ED50	60	42	1.94	N	2	56	6.76	E	60.700539	2.935211	6729593.380000	496462.720000	31	30	6	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3794	http://www.npd.no/FactMapSearch?NPDID_wellbore=3794	initial	\N	3794	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-4 A	30/6-E-4	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	1999-07-30	1999-09-11	OSEBERG ØST	1601-P	30/6-5 OSEBERG ØST	NO	64.200000	\N	5059.000000	157.700000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	1999	1999	\N	50	ED50	60	42	1.94	N	2	56	6.76	E	60.700539	2.935211	6729593.380000	496462.720000	31	30	6	E	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3795	http://www.npd.no/FactMapSearch?NPDID_wellbore=3795	sidetrack	30/6-E-4	3795	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-6 B	33/12-B-6	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-07-08	1999-08-13	STATFJORD	1604-P	33/12-1 STATFJORD	NO	77.800000	\N	4167.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	ED50	61	12	25.18	N	1	49	52.34	E	61.206994	1.831206	6786566.430000	437195.730000	31	33	12	B	6	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3796	http://www.npd.no/FactMapSearch?NPDID_wellbore=3796	sidetrack	33/12-B-6 A	3796	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-K-12 H	30/9-K-12	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	WATER	DEVELOPMENT	1999-07-06	1999-09-15	OSEBERG SØR	1605-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	4212.000000	106.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR K	9	NO	WATER	1999	1999	\N	173	ED50	60	15	52.22	N	2	46	34.21	E	60.264506	2.776169	6681046.950000	487614.440000	31	30	9	K	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3797	http://www.npd.no/FactMapSearch?NPDID_wellbore=3797	initial	\N	3797	44468	43645	9999-12-31	21636	287821	279925	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-A-5 H	6407/7-A-5	Norsk Hydro Produksjon AS	HYDRO	107	INJECTION	GAS	DEVELOPMENT	1999-07-07	1999-08-11	NJORD	1606-P	6407/7-1 S NJORD	NO	30.000000	\N	5634.000000	330.000000	NORWEGIAN SEA	NJORD	SEMISUB STEEL	NJORD A	9	NO	GAS	1999	1999	\N	91	ED50	64	16	14.75	N	7	12	6.47	E	64.270764	7.201797	7128594.630000	412902.570000	32	6407	7	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3801	http://www.npd.no/FactMapSearch?NPDID_wellbore=3801	initial	\N	3801	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2013-02-14	2013-02-14	2013-05-08
6407/9-A-4	6407/9-A-4	A/S Norske Shell	SHELL	093	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-06-03	1999-08-08	DRAUGEN	1607-P	6407/9-1 DRAUGEN	NO	64.000000	\N	2295.000000	253.000000	NORWEGIAN SEA	DRAUGEN	CONDEEP MONOSHAFT	DRAUGEN	8	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	64	21	11.50	N	7	46	57.47	E	64.353194	7.782631	7137112.590000	441208.340000	32	6407	9	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3803	http://www.npd.no/FactMapSearch?NPDID_wellbore=3803	initial	\N	3803	44888	43758	9999-12-31	21548	272393	272393	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6407/9-A-4 A	6407/9-A-4	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	1999-08-11	1999-10-12	DRAUGEN	1608-P	6407/9-1 DRAUGEN	NO	64.000000	\N	2401.000000	253.000000	NORWEGIAN SEA	DRAUGEN	CONDEEP MONOSHAFT	DRAUGEN	8	NO	OIL	1999	1999	\N	50	ED50	64	21	11.50	N	7	46	57.47	E	64.353194	7.782631	7137112.590000	441208.340000	32	6407	9	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3804	http://www.npd.no/FactMapSearch?NPDID_wellbore=3804	sidetrack	6407/9-A-4	3804	44888	43758	9999-12-31	21548	272393	272393	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-D-3 AH	34/10-D-3	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1999-10-09	2000-01-24	GULLFAKS SØR	1610-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4934.000000	134.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR D	Awarded additionaly to round 3	NO	OIL	1999	2000	\N	50	ED50	61	7	26.54	N	2	14	39.12	E	61.124039	2.244200	6776999.600000	459280.010000	31	34	10	D	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3805	http://www.npd.no/FactMapSearch?NPDID_wellbore=3805	sidetrack	34/10-D-3 H	3805	44606	43699	9999-12-31	21188	297028	277517	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/8-B-1	25/8-B-1	Esso Exploration and Production Norway A/S	ESSO	027 P	PRODUCTION	OIL	DEVELOPMENT	1999-08-02	1999-08-31	JOTUN	1611-P	25/8-5 S JOTUN	NO	52.000000	\N	3400.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	2-A	NO	OIL	1999	1999	\N	50	ED50	59	27	3.93	N	2	22	0.87	E	59.451092	2.366908	6590606.790000	464102.860000	31	25	8	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3810	http://www.npd.no/FactMapSearch?NPDID_wellbore=3810	initial	\N	3810	44330	43604	9999-12-31	20996	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
6507/7-A-13	6507/7-A-13	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1999-07-12	1999-09-04	HEIDRUN	1612-P	6507/7-2 HEIDRUN	NO	74.000000	\N	3522.000000	346.000000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1999	1999	\N	50	ED50	65	19	32.98	N	7	19	3.51	E	65.325828	7.317642	7245995.710000	421636.570000	32	6507	7	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3813	http://www.npd.no/FactMapSearch?NPDID_wellbore=3813	initial	\N	3813	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-K-4 H	34/10-K-4	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2000-01-30	2000-04-05	GULLFAKS SØR	1613-P	34/10-37 GULLVEIG	NO	25.000000	\N	3105.000000	140.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR K	Awarded additionaly to round 3	NO	OIL	2000	2000	\N	50	ED50	61	8	10.45	N	2	0	56.98	E	61.136236	2.015828	6778521.760000	446997.080000	31	34	10	K	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3814	http://www.npd.no/FactMapSearch?NPDID_wellbore=3814	initial	\N	3814	44630	43699	9999-12-31	21188	296164	280765	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-23 B	33/9-C-23	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-07-31	1999-08-22	STATFJORD	1614-P	33/12-1 STATFJORD	NO	78.400000	\N	3635.200000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	ED50	61	17	46.96	N	1	54	10.19	E	61.296378	1.902831	6796455.480000	441211.350000	31	33	9	C	23	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3815	http://www.npd.no/FactMapSearch?NPDID_wellbore=3815	sidetrack	33/9-C-23 A	3815	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/7-A-18 H	6407/7-A-18	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	1999-09-02	1999-10-19	NJORD	1616-P	6407/7-1 S NJORD	NO	30.000000	\N	4405.000000	330.000000	NORWEGIAN SEA	NJORD	SEMISUB STEEL	NJORD A	9	NO	OIL	1999	1999	\N	50	ED50	64	16	16.97	N	7	12	3.36	E	64.271381	7.200933	7128664.510000	412862.680000	32	6407	7	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3825	http://www.npd.no/FactMapSearch?NPDID_wellbore=3825	initial	\N	3825	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
9/2-A-6 A	9/2-A-6	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	1999-07-13	1999-08-19	YME	1615-P	9/2-1 YME	NO	43.000000	\N	5140.000000	92.000000	NORTH SEA	YME	JACK-UP 3 LEGS	YME B ØST	10-A	NO	OIL	1999	1999	\N	50	ED50	57	49	7.47	N	4	31	10.95	E	57.818742	4.519708	6409689.140000	590282.120000	31	9	2	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3830	http://www.npd.no/FactMapSearch?NPDID_wellbore=3830	sidetrack	9/2-A-6	3830	45098	43807	9999-12-31	21716	278245	282557	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/8-B-3	25/8-B-3	Esso Exploration and Production Norway A/S	ESSO	027 P	PRODUCTION	OIL	DEVELOPMENT	1999-09-02	1999-10-01	JOTUN	1629-P	25/8-5 S JOTUN	NO	52.000000	\N	4367.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	2-A	NO	OIL	1999	1999	\N	50	ED50	59	27	3.68	N	2	22	0.57	E	59.451022	2.366825	6590599.100000	464098.060000	31	25	8	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3831	http://www.npd.no/FactMapSearch?NPDID_wellbore=3831	initial	\N	3831	44330	43604	9999-12-31	20996	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
30/9-B-33	30/9-B-33	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-08-13	1999-10-21	OSEBERG	1617-P	30/6-1 OSEBERG	NO	58.000000	\N	6269.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	60	29	36.00	N	2	49	42.83	E	60.493333	2.828564	6706524.800000	490579.950000	31	30	9	B	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3839	http://www.npd.no/FactMapSearch?NPDID_wellbore=3839	initial	\N	3839	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-33 A	30/9-B-33	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	1999-12-06	2000-01-17	OSEBERG	1618-P	30/6-1 OSEBERG	NO	58.000000	\N	7686.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	1999	2000	\N	50	ED50	60	29	36.00	N	2	49	42.83	E	60.493333	2.828564	6706524.800000	490579.950000	31	30	9	B	33	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3840	http://www.npd.no/FactMapSearch?NPDID_wellbore=3840	sidetrack	30/9-B-33	3840	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-A-16 A	2/7-A-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1999-09-26	1999-11-30	ELDFISK	1620-P	2/7-1 ELDFISK	NO	46.300000	\N	4416.000000	75.500000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1999	1999	\N	50	ED50	56	22	36.09	N	3	15	56.92	E	56.376692	3.265811	6248176.060000	516417.230000	31	2	7	A	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3841	http://www.npd.no/FactMapSearch?NPDID_wellbore=3841	sidetrack	2/7-A-16	3841	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-C-42	34/10-C-42	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	1999-09-01	2000-01-12	GULLFAKS	1621-P	34/10-1 GULLFAKS	NO	84.100000	\N	3185.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	1999	2000	\N	50	ED50	61	12	53.59	N	2	16	27.44	E	61.214886	2.274289	6787100.490000	461013.340000	31	34	10	C	42	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3853	http://www.npd.no/FactMapSearch?NPDID_wellbore=3853	initial	\N	3853	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-5 A	33/9-C-5	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-08-28	1999-09-10	STATFJORD	1622-P	33/12-1 STATFJORD	NO	78.400000	\N	4626.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	ED50	61	17	48.10	N	1	54	11.03	E	61.296694	1.903064	6796490.540000	441224.440000	31	33	9	C	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3854	http://www.npd.no/FactMapSearch?NPDID_wellbore=3854	sidetrack	33/9-C-5	3854	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-5 B	33/9-C-5	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-07-19	2003-08-05	STATFJORD	2311-P	33/12-1 STATFJORD	NO	78.400000	\N	4270.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	17	48.10	N	1	54	11.03	E	61.296694	1.903064	6796490.540000	441224.440000	31	33	9	C	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3855	http://www.npd.no/FactMapSearch?NPDID_wellbore=3855	sidetrack	33/9-C-5 A	3855	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-K-22 H	31/2-K-22	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-08-19	1999-08-28	TROLL	1623-P	31/2-1 TROLL VEST	NO	23.000000	\N	1880.000000	318.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL K2	4	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	60	45	20.93	N	3	38	23.53	E	60.755814	3.639869	6735918.350000	534874.590000	31	31	2	K	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3856	http://www.npd.no/FactMapSearch?NPDID_wellbore=3856	initial	\N	3856	44534	46437	9999-12-31	21228	289333	280009	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-22 AH	31/2-K-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1999-08-28	1999-09-20	TROLL	1624-P	31/2-1 TROLL VEST	NO	23.000000	\N	4415.000000	318.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL K2	4	NO	OIL	1999	1999	\N	50	ED50	60	45	20.93	N	3	38	23.53	E	60.755814	3.639869	6735918.350000	534874.590000	31	31	2	K	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3857	http://www.npd.no/FactMapSearch?NPDID_wellbore=3857	sidetrack	31/2-K-22 H	3857	44534	46437	9999-12-31	21228	289333	280009	0	HYDRO PRODUKSJON	2013-03-23	2013-03-23	2013-05-08
34/7-B-3 H	34/7-B-3	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	2000-01-05	2000-05-28	VIGDIS	1625-P	34/7-8 VIGDIS	NO	31.000000	\N	4554.000000	292.500000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS B	8	NO	OIL	2000	2000	\N	50	ED50	61	23	49.53	N	2	7	3.17	E	61.397092	2.117547	6807499.460000	452867.400000	31	34	7	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3858	http://www.npd.no/FactMapSearch?NPDID_wellbore=3858	initial	\N	3858	44714	43732	9999-12-31	21516	290170	279169	0	SAGA	2012-07-25	2012-07-25	2013-05-08
2/7-D-6	2/7-D-6	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1999-08-25	1999-11-21	EMBLA	1628-P	2/7-20 EMBLA	NO	51.800000	\N	5032.000000	70.700000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EMBLA	1-A	NO	OIL	1999	1999	\N	50	ED50	56	19	59.69	N	3	14	53.62	E	56.333247	3.248228	6243336.290000	515348.680000	31	2	7	D	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3860	http://www.npd.no/FactMapSearch?NPDID_wellbore=3860	initial	\N	3860	44132	43534	9999-12-31	20900	296002	277377	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/2-O-11 H	31/2-O-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1999-10-15	1999-11-15	TROLL	1627-P	31/2-1 TROLL VEST	NO	22.000000	\N	4743.000000	359.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL O1	4	NO	OIL	1999	1999	\N	50	ED50	60	53	22.53	N	3	33	59.31	E	60.889592	3.566475	6750782.250000	530745.840000	31	31	2	O	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3862	http://www.npd.no/FactMapSearch?NPDID_wellbore=3862	initial	\N	3862	44534	46437	9999-12-31	21228	287902	279757	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-J-2 H	6506/12-J-2	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	GAS	DEVELOPMENT	1999-08-24	1999-09-24	ÅSGARD	1630-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	4515.000000	255.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD J	8	NO	GAS	1999	1999	\N	90	ED50	65	9	58.83	N	6	43	58.86	E	65.166342	6.733017	7229081.840000	393774.380000	32	6506	12	J	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3863	http://www.npd.no/FactMapSearch?NPDID_wellbore=3863	initial	\N	3863	44900	43765	9999-12-31	21556	296326	278693	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-J-3 H	6506/12-J-3	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	1999-09-24	1999-11-02	ÅSGARD	1631-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5126.000000	255.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD J	8	NO	GAS	1999	1999	\N	50	ED50	65	9	58.93	N	6	43	58.86	E	65.166369	6.733017	7229084.940000	393774.490000	32	6506	12	J	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3864	http://www.npd.no/FactMapSearch?NPDID_wellbore=3864	initial	\N	3864	44900	43765	9999-12-31	21556	296326	278693	0	STATOIL	2012-11-20	2012-11-20	2013-05-08
33/9-A-22 A	33/9-A-22	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-09-23	1999-11-01	STATFJORD	1632-P	33/12-1 STATFJORD	NO	64.400000	\N	3990.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	ED50	61	15	19.99	N	1	51	14.09	E	61.255553	1.853914	6791953.310000	438510.700000	31	33	9	A	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3865	http://www.npd.no/FactMapSearch?NPDID_wellbore=3865	sidetrack	33/9-A-22	3865	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-B-20	15/9-B-20	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	1999-01-28	1999-07-01	SLEIPNER VEST	1634-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	6003.000000	108.000000	NORTH SEA	SLEIPNER VEST	JACKET 4 LEGS	SLEIPNER B	3	NO	GAS	1999	1999	\N	90	ED50	58	25	4.47	N	1	43	4.68	E	58.417908	1.717967	6476100.650000	425104.040000	31	15	9	B	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3868	http://www.npd.no/FactMapSearch?NPDID_wellbore=3868	initial	\N	3868	43910	43457	9999-12-31	21156	277601	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-43	6507/7-A-43	Den norske stats oljeselskap a.s	STATOIL	095	INJECTION	WATER	DEVELOPMENT	1999-09-13	1999-10-31	HEIDRUN	1635-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3100.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER	1999	1999	\N	173	ED50	65	19	32.49	N	7	19	3.18	E	65.325692	7.317550	7245980.650000	421631.900000	32	6507	7	A	43	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3870	http://www.npd.no/FactMapSearch?NPDID_wellbore=3870	initial	\N	3870	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-08-23	2012-08-23	2013-05-08
33/9-C-1 B	33/9-C-1	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER/GAS	DEVELOPMENT	1999-09-21	1999-10-16	STATFJORD	1636-P	33/12-1 STATFJORD	NO	78.400000	\N	3950.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	GAS	1999	1999	\N	0	ED50	61	17	48.17	N	1	54	11.09	E	61.296714	1.903081	6796492.690000	441225.370000	31	33	9	C	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3871	http://www.npd.no/FactMapSearch?NPDID_wellbore=3871	sidetrack	33/9-C-1 A	3871	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-K-13 H	30/9-K-13	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	1999-09-16	1999-10-26	OSEBERG SØR	1637-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	3295.000000	106.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR K	9	NO	OIL	1999	1999	\N	50	ED50	60	15	52.52	N	2	46	33.72	E	60.264589	2.776033	6681056.260000	487606.940000	31	30	9	K	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3872	http://www.npd.no/FactMapSearch?NPDID_wellbore=3872	initial	\N	3872	44468	43645	9999-12-31	21636	287821	279925	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-13	30/6-E-13	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	WATER	DEVELOPMENT	1999-09-25	1999-10-04	OSEBERG ØST	1639-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	1021.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	WATER	1999	1999	\N	172	ED50	60	42	1.72	N	2	56	6.76	E	60.700478	2.935211	6729586.570000	496462.720000	31	30	6	E	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3873	http://www.npd.no/FactMapSearch?NPDID_wellbore=3873	initial	\N	3873	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/8-D-2 H	6507/8-D-2	Den norske stats oljeselskap a.s	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	1999-08-17	1999-11-16	HEIDRUN	1626-P	6507/8-4 HEIDRUN NORD	NO	26.200000	\N	3590.000000	355.000000	NORWEGIAN SEA	SCARABEO 6	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	1999	1999	\N	50	ED50	65	21	42.95	N	7	20	9.41	E	65.361931	7.335947	7249995.920000	422595.290000	32	6507	8	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3874	http://www.npd.no/FactMapSearch?NPDID_wellbore=3874	initial	\N	3874	44936	43771	9999-12-31	21804	297001	283593	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/8-A-9 H	34/8-A-9	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	OIL	DEVELOPMENT	1999-11-26	2000-03-08	VISUND	1640-P	34/8-1 VISUND	NO	29.000000	\N	4384.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	1999	2000	\N	50	ED50	61	22	13.40	N	2	27	31.91	E	61.370389	2.458864	6804326.110000	471072.390000	31	34	8	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3875	http://www.npd.no/FactMapSearch?NPDID_wellbore=3875	initial	\N	3875	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-J-23 H	31/5-J-23	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-09-23	1999-10-02	TROLL	1641-P	31/2-1 TROLL VEST	NO	23.000000	\N	1837.000000	314.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	60	43	45.58	N	3	39	23.31	E	60.729328	3.656475	6732977.230000	535809.110000	31	31	5	J	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3876	http://www.npd.no/FactMapSearch?NPDID_wellbore=3876	initial	\N	3876	44534	46437	9999-12-31	21476	289333	279981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-J-23 AH	31/5-J-23	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1999-10-03	1999-10-25	TROLL	1642-P	31/2-1 TROLL VEST	NO	23.000000	\N	4631.000000	314.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	NO	OIL	1999	1999	\N	50	ED50	60	43	45.58	N	3	39	23.31	E	60.729328	3.656475	6732977.230000	535809.110000	31	31	5	J	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3877	http://www.npd.no/FactMapSearch?NPDID_wellbore=3877	sidetrack	31/5-J-23 H	3877	44534	46437	9999-12-31	21476	289333	279981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-6	30/6-E-6	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	\N	DEVELOPMENT	1999-10-06	2000-01-19	OSEBERG ØST	1643-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	4800.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	WATER/GAS	1999	2000	\N	72	ED50	60	42	1.94	N	2	56	7.06	E	60.700539	2.935294	6729593.380000	496467.270000	31	30	6	E	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3883	http://www.npd.no/FactMapSearch?NPDID_wellbore=3883	initial	\N	3883	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/4-C-6 H	34/4-C-6	Saga Petroleum ASA	SAGA	057	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-10-11	1999-11-20	SNORRE	1645-P	34/4-1 SNORRE	NO	18.000000	\N	3530.000000	346.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	34/4-C H	4	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	61	31	30.51	N	2	12	40.69	E	61.525142	2.211303	6821699.000000	458047.290000	31	34	4	C	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3887	http://www.npd.no/FactMapSearch?NPDID_wellbore=3887	initial	\N	3887	44654	43718	9999-12-31	21252	297514	282781	0	SAGA	2012-07-25	2012-07-25	2013-05-08
33/9-C-32 A	33/9-C-32	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-10-23	1999-11-10	STATFJORD	1646-P	33/12-1 STATFJORD	NO	78.400000	\N	3688.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	ED50	61	17	46.82	N	1	54	10.07	E	61.296339	1.902797	6796451.170000	441209.490000	31	33	9	C	32	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3888	http://www.npd.no/FactMapSearch?NPDID_wellbore=3888	sidetrack	33/9-C-32	3888	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-26	6507/7-A-26	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	1999-11-07	1999-12-31	HEIDRUN	1647-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4402.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	1999	1999	\N	50	ED50	65	19	32.66	N	7	19	2.67	E	65.325739	7.317408	7245986.090000	421625.440000	32	6507	7	A	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3889	http://www.npd.no/FactMapSearch?NPDID_wellbore=3889	initial	\N	3889	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-W-4 A	2/4-W-4	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	1999-11-17	2000-01-12	EKOFISK	1649-P	2/4-2 EKOFISK	NO	47.800000	\N	5163.000000	77.400000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EKOFISK W	1-A	NO	WATER	1999	2000	\N	173	ED50	56	32	39.08	N	3	13	4.65	E	56.544189	3.217958	6266809.750000	513402.600000	31	2	4	W	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3890	http://www.npd.no/FactMapSearch?NPDID_wellbore=3890	sidetrack	2/4-W-4	3890	44072	43506	9999-12-31	20900	292114	277293	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/8-B-15	25/8-B-15	Esso Exploration and Production Norway A/S	ESSO	027 P	PRODUCTION	OIL	DEVELOPMENT	1999-10-04	1999-11-07	JOTUN	1650-P	25/8-5 S JOTUN	NO	52.000000	\N	5010.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	2-A	NO	OIL	1999	1999	\N	50	ED50	59	27	3.64	N	2	22	0.78	E	59.451011	2.366883	6590597.830000	464101.350000	31	25	8	B	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3892	http://www.npd.no/FactMapSearch?NPDID_wellbore=3892	initial	\N	3892	44330	43604	9999-12-31	20996	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/10-L-4 H	34/10-L-4	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	GAS	DEVELOPMENT	1999-11-14	2000-01-27	GULLFAKS SØR	1652-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4746.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR L	Awarded additionaly to round 3	NO	GAS	1999	2000	\N	90	ED50	61	5	48.29	N	2	11	33.99	E	61.096747	2.192775	6773992.800000	456471.990000	31	34	10	L	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3893	http://www.npd.no/FactMapSearch?NPDID_wellbore=3893	initial	\N	3893	44606	43699	9999-12-31	21188	297028	279617	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-K-14 H	30/9-K-14	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	\N	DEVELOPMENT	1999-10-30	1999-12-08	OSEBERG SØR	1653-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	3260.000000	106.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR K	9	NO	WATER	1999	1999	\N	72	ED50	60	15	52.25	N	2	46	33.67	E	60.264514	2.776019	6681047.910000	487606.140000	31	30	9	K	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3894	http://www.npd.no/FactMapSearch?NPDID_wellbore=3894	initial	\N	3894	44468	43645	9999-12-31	21636	287821	279925	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-19	34/7-P-19	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1999-10-28	2000-01-27	SNORRE	1654-P	34/4-1 SNORRE	NO	59.000000	\N	5710.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	1999	2000	\N	50	ED50	61	26	57.21	N	2	8	37.36	E	61.449225	2.143711	6813287.960000	454341.000000	31	34	7	P	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3895	http://www.npd.no/FactMapSearch?NPDID_wellbore=3895	initial	\N	3895	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-11-07	2012-11-07	2013-05-08
33/9-A-17 A	33/9-A-17	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-11-12	1999-12-16	STATFJORD	1656-P	33/12-1 STATFJORD	NO	64.400000	\N	5195.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	ED50	61	15	20.75	N	1	51	15.11	E	61.255764	1.854197	6791976.560000	438526.310000	31	33	9	A	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3896	http://www.npd.no/FactMapSearch?NPDID_wellbore=3896	sidetrack	33/9-A-17	3896	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-K-12 H	31/2-K-12	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-10-29	1999-11-10	TROLL	1657-P	31/2-1 TROLL VEST	NO	23.000000	\N	1904.000000	319.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL K1	4	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	60	46	6.08	N	3	36	40.72	E	60.768356	3.611311	6737300.440000	533305.110000	31	31	2	K	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3897	http://www.npd.no/FactMapSearch?NPDID_wellbore=3897	initial	\N	3897	44534	46437	9999-12-31	21228	289333	279449	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-12 AH	31/2-K-12	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1999-11-11	1999-12-05	TROLL	1658-P	31/2-1 TROLL VEST	NO	23.000000	\N	4530.000000	319.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL K1	4	NO	OIL	1999	1999	\N	50	ED50	60	46	6.08	N	3	36	40.72	E	60.768356	3.611311	6737300.440000	533305.110000	31	31	2	K	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3898	http://www.npd.no/FactMapSearch?NPDID_wellbore=3898	sidetrack	31/2-K-12 H	3898	44534	46437	9999-12-31	21228	289333	279449	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
9/2-B-4 H	9/2-B-4	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	1999-10-18	1999-11-12	YME	1720-P	9/2-1 YME	NO	25.000000	\N	4367.000000	77.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	YME B VEST	10-A	NO	OIL	1999	1999	9/2-9 S	50	ED50	57	45	15.19	N	4	21	20.58	E	57.754219	4.355717	6402299.560000	580684.430000	31	9	2	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3911	http://www.npd.no/FactMapSearch?NPDID_wellbore=3911	initial	\N	3911	45098	43807	9999-12-31	21716	341331	282585	3703	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/8-B-4 A	25/8-B-4	Esso Exploration and Production Norway A/S	ESSO	027 P	PRODUCTION	OIL	DEVELOPMENT	1999-12-22	2000-01-15	JOTUN	1969-P	25/8-5 S JOTUN	NO	52.000000	\N	5134.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	2-A	NO	OIL	1999	2000	\N	50	ED50	59	27	3.78	N	2	22	1.00	E	59.451050	2.366944	6590602.130000	464104.860000	31	25	8	B	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3916	http://www.npd.no/FactMapSearch?NPDID_wellbore=3916	sidetrack	25/8-B-4	3916	44330	43604	9999-12-31	20996	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
33/9-A-13 A	33/9-A-13	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-08-29	1999-09-13	STATFJORD	1698-P	33/12-1 STATFJORD	NO	64.400000	\N	4141.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	ED50	61	15	20.80	N	1	51	15.30	E	61.255778	1.854250	6791978.060000	438529.170000	31	33	9	A	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3920	http://www.npd.no/FactMapSearch?NPDID_wellbore=3920	sidetrack	33/9-A-13	3920	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-37 A	33/9-C-37	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-11-18	1999-12-03	STATFJORD	1659-P	33/12-1 STATFJORD	NO	78.400000	\N	4429.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1999	1999	\N	50	ED50	61	17	46.75	N	1	54	10.01	E	61.296319	1.902781	6796449.020000	441208.560000	31	33	9	C	37	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3923	http://www.npd.no/FactMapSearch?NPDID_wellbore=3923	sidetrack	33/9-C-37	3923	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-E-1	30/6-E-1	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	OIL	DEVELOPMENT	2000-04-02	2000-05-13	OSEBERG ØST	1731-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	4445.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	NOT APPLICABLE	2000	2000	\N	50	ED50	60	42	2.02	N	2	56	6.76	E	60.700561	2.935211	6729595.860000	496462.720000	31	30	6	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3925	http://www.npd.no/FactMapSearch?NPDID_wellbore=3925	initial	\N	3925	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-3	30/6-E-3	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	OIL	DEVELOPMENT	2002-02-26	2002-04-12	OSEBERG ØST	2066-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	4181.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	NOT APPLICABLE	2002	2002	\N	50	ED50	60	42	2.02	N	2	56	7.06	E	60.700561	2.935294	6729595.850000	496467.270000	31	30	6	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3926	http://www.npd.no/FactMapSearch?NPDID_wellbore=3926	initial	\N	3926	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-5	30/6-E-5	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	OIL	DEVELOPMENT	2000-11-13	2000-11-25	OSEBERG ØST	1854-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	3554.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	NOT APPLICABLE	2000	2000	\N	50	ED50	60	42	1.94	N	2	56	6.91	E	60.700539	2.935253	6729593.380000	496465.000000	31	30	6	E	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3927	http://www.npd.no/FactMapSearch?NPDID_wellbore=3927	initial	\N	3927	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-7	30/6-E-7	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-01-02	2001-01-26	OSEBERG ØST	1882-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	3362.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	42	1.87	N	2	56	6.76	E	60.700519	2.935211	6729591.210000	496462.720000	31	30	6	E	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3928	http://www.npd.no/FactMapSearch?NPDID_wellbore=3928	initial	\N	3928	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-8	30/6-E-8	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2000-06-05	2000-08-04	OSEBERG ØST	1763-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	5820.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	2000	2000	\N	50	ED50	60	42	1.88	N	2	56	6.91	E	60.700522	2.935253	6729591.520000	496465.000000	31	30	6	E	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3929	http://www.npd.no/FactMapSearch?NPDID_wellbore=3929	initial	\N	3929	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-10	30/6-E-10	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	WATER	DEVELOPMENT	2000-08-04	2000-08-18	OSEBERG ØST	1791-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	1059.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	WATER	2000	2000	\N	172	ED50	60	42	1.79	N	2	56	6.76	E	60.700497	2.935211	6729588.740000	496462.720000	31	30	6	E	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3930	http://www.npd.no/FactMapSearch?NPDID_wellbore=3930	initial	\N	3930	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-11	30/6-E-11	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-02-21	2001-03-12	OSEBERG ØST	1899-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	4002.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	42	1.79	N	2	56	6.91	E	60.700497	2.935253	6729588.740000	496464.990000	31	30	6	E	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3931	http://www.npd.no/FactMapSearch?NPDID_wellbore=3931	initial	\N	3931	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-12	30/6-E-12	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	WATER	DEVELOPMENT	2000-08-27	2000-09-30	OSEBERG ØST	1805-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	4970.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	WATER	2000	2000	\N	173	ED50	60	42	1.79	N	2	56	7.06	E	60.700497	2.935294	6729588.730000	496467.270000	31	30	6	E	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3932	http://www.npd.no/FactMapSearch?NPDID_wellbore=3932	initial	\N	3932	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-14	30/6-E-14	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	WATER	DEVELOPMENT	2000-01-21	2000-03-13	OSEBERG ØST	1688-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	3725.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	WATER	2000	2000	\N	173	ED50	60	42	1.72	N	2	56	6.91	E	60.700478	2.935253	6729586.570000	496464.990000	31	30	6	E	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3933	http://www.npd.no/FactMapSearch?NPDID_wellbore=3933	initial	\N	3933	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-15	30/6-E-15	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	OIL	DEVELOPMENT	2001-04-24	2001-06-15	OSEBERG ØST	1922-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	6228.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	2001	2001	\N	50	ED50	60	42	1.72	N	2	56	7.06	E	60.700478	2.935294	6729586.570000	496467.270000	31	30	6	E	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3934	http://www.npd.no/FactMapSearch?NPDID_wellbore=3934	initial	\N	3934	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/11-X-1 H	6507/11-X-1	Den norske stats oljeselskap a.s	STATOIL	062	PRODUCTION	GAS	DEVELOPMENT	1999-12-08	2000-01-05	ÅSGARD	1660-P	6507/11-1 MIDGARD	NO	26.000000	\N	3486.000000	298.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD X	5	NO	GAS	1999	2000	\N	90	ED50	65	4	1.64	N	7	29	34.19	E	65.067122	7.492831	7216961.450000	429106.960000	32	6507	11	X	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3943	http://www.npd.no/FactMapSearch?NPDID_wellbore=3943	initial	\N	3943	44912	43765	9999-12-31	21292	296326	278917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/11-X-2 H	6507/11-X-2	Den norske stats oljeselskap a.s	STATOIL	062	PRODUCTION	GAS	DEVELOPMENT	2000-01-05	2000-01-29	ÅSGARD	1661-P	6507/11-1 MIDGARD	NO	26.000000	\N	2626.000000	298.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD X	5	NO	GAS	2000	2000	\N	90	ED50	65	4	1.93	N	7	29	34.19	E	65.067203	7.492831	7216970.420000	429107.180000	32	6507	11	X	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3944	http://www.npd.no/FactMapSearch?NPDID_wellbore=3944	initial	\N	3944	44912	43765	9999-12-31	21292	296326	278917	0	STATOIL	2012-11-20	2012-11-20	2013-05-08
31/2-N-14 H	31/2-N-14	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-11-19	1999-12-05	TROLL	1662-P	31/2-1 TROLL VEST	NO	22.000000	\N	1975.000000	341.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL N1	4	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	60	54	56.59	N	3	35	12.03	E	60.915719	3.586675	6753702.130000	531816.150000	31	31	2	N	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3945	http://www.npd.no/FactMapSearch?NPDID_wellbore=3945	initial	\N	3945	44534	46437	9999-12-31	21228	287902	279729	0	HYDRO PRODUKSJON	2012-12-01	2012-12-01	2013-05-08
31/2-N-14 AH	31/2-N-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	1999-12-05	2000-01-12	TROLL	1663-P	31/2-1 TROLL VEST	NO	22.000000	\N	4904.000000	341.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL N1	4	NO	OIL	1999	2000	\N	50	ED50	60	54	56.59	N	3	35	12.03	E	60.915719	3.586675	6753702.130000	531816.150000	31	31	2	N	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3946	http://www.npd.no/FactMapSearch?NPDID_wellbore=3946	sidetrack	31/2-N-14 H	3946	44534	46437	9999-12-31	21228	287902	279729	0	HYDRO PRODUKSJON	2012-12-01	2012-12-01	2013-05-08
34/4-C-5 H	34/4-C-5	Saga Petroleum ASA	SAGA	057	PRODUCTION	OIL	DEVELOPMENT	1999-11-22	2000-01-15	SNORRE	1664-P	34/4-1 SNORRE	NO	18.000000	\N	4783.000000	347.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	34/4-C H	4	NO	OIL	1999	2000	\N	50	ED50	61	31	30.52	N	2	12	40.97	E	61.525144	2.211381	6821699.260000	458051.430000	31	34	4	C	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3947	http://www.npd.no/FactMapSearch?NPDID_wellbore=3947	initial	\N	3947	44654	43718	9999-12-31	21252	297514	282781	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/2-O-13 H	31/2-O-13	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-01-15	2000-01-28	TROLL	1665-P	31/2-1 TROLL VEST	NO	22.000000	\N	1902.000000	337.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL O1	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	53	22.58	N	3	33	58.78	E	60.889606	3.566328	6750783.730000	530737.830000	31	31	2	O	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3948	http://www.npd.no/FactMapSearch?NPDID_wellbore=3948	initial	\N	3948	44534	46437	9999-12-31	21228	287902	279757	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-O-13 AH	31/2-O-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	\N	DEVELOPMENT	2000-01-29	2000-02-20	TROLL	1666-P	31/2-1 TROLL VEST	NO	22.000000	\N	3833.000000	337.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL O1	4	NO	OIL	2000	2000	\N	71	ED50	60	53	22.58	N	3	33	58.78	E	60.889606	3.566328	6750783.730000	530737.830000	31	31	2	O	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3949	http://www.npd.no/FactMapSearch?NPDID_wellbore=3949	sidetrack	31/2-O-13 H	3949	44534	46437	9999-12-31	21228	287902	279757	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-A-19 H	6407/7-A-19	StatoilHydro Petroleum AS	STATOIL	107	OBSERVATION	OIL	DEVELOPMENT	2009-10-15	2009-11-05	NJORD	3104-P	6407/7-1 S NJORD	NO	30.000000	\N	3464.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2009	2009	\N	99	ED50	64	16	16.57	N	7	12	6.16	E	64.271269	7.201711	7128651.070000	412899.990000	32	6407	7	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3950	http://www.npd.no/FactMapSearch?NPDID_wellbore=3950	initial	\N	3950	44876	43751	9999-12-31	21660	277713	277713	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
25/8-B-11	25/8-B-11	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2000-01-16	2000-03-06	JOTUN	1687-P	25/8-5 S JOTUN	NO	52.000000	\N	5830.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	59	27	3.61	N	2	22	0.63	E	59.451003	2.366842	6590596.930000	464098.980000	31	25	8	B	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3953	http://www.npd.no/FactMapSearch?NPDID_wellbore=3953	initial	\N	3953	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
33/9-N-1 H	33/9-N-1	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2000-01-23	2000-03-29	SYGNA	1671-P	33/9-19 S SYGNA	NO	31.000000	\N	3091.000000	299.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SYGNA N	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	61	28	0.99	N	1	59	30.66	E	61.466942	1.991850	6815377.110000	446274.400000	31	33	9	N	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3954	http://www.npd.no/FactMapSearch?NPDID_wellbore=3954	initial	\N	3954	44564	104718	9999-12-31	21084	297784	279897	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-3 D	2/8-A-3	Amoco Norway Oil Company	AMOCO	006	PRODUCTION	OIL	DEVELOPMENT	1999-12-30	2000-02-29	VALHALL	1668-P	2/8-6 VALHALL	NO	43.500000	\N	4642.000000	69.200000	NORTH SEA	VALHALL DP	JACKET 8 LEGS	VALHALL DP	1-A	NO	OIL	1999	2000	\N	50	ED50	56	16	41.08	N	3	23	44.30	E	56.278078	3.395639	6237238.210000	524498.800000	31	2	8	A	3	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3955	http://www.npd.no/FactMapSearch?NPDID_wellbore=3955	sidetrack	2/8-A-3 C	3955	44162	43548	9999-12-31	20804	271749	271749	0	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/4-C-7 H	34/4-C-7	Statoil ASA (old)	STATOIL	057	OBSERVATION	OIL	DEVELOPMENT	2006-07-15	2006-08-11	SNORRE	2733-P	34/4-1 SNORRE	NO	37.000000	\N	3705.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-C H	4	NO	OIL	2006	2006	\N	99	ED50	61	31	30.51	N	2	12	40.31	E	61.525142	2.211197	6821699.070000	458041.670000	31	34	4	C	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3957	http://www.npd.no/FactMapSearch?NPDID_wellbore=3957	initial	\N	3957	44654	43718	9999-12-31	21252	280485	282781	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
34/4-C-2 H	34/4-C-2	Saga Petroleum ASA	SAGA	057	PRODUCTION	OIL	DEVELOPMENT	2000-03-05	2000-04-20	SNORRE	1715-P	34/4-1 SNORRE	NO	18.000000	\N	5053.000000	347.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	34/4-C H	4	NO	OIL	2000	2000	\N	50	ED50	61	31	30.22	N	2	12	40.41	E	61.525061	2.211225	6821690.080000	458043.040000	31	34	4	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3958	http://www.npd.no/FactMapSearch?NPDID_wellbore=3958	initial	\N	3958	44654	43718	9999-12-31	21252	297514	282781	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/5-J-24 H	31/5-J-24	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	1999-12-09	2000-01-26	TROLL	1673-P	31/2-1 TROLL VEST	NO	23.000000	\N	4605.000000	314.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	NO	OIL	1999	2000	\N	50	ED50	60	43	45.40	N	3	39	23.27	E	60.729278	3.656464	6732971.650000	535808.560000	31	31	5	J	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3962	http://www.npd.no/FactMapSearch?NPDID_wellbore=3962	initial	\N	3962	44534	46437	9999-12-31	21476	289333	279981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Q-12 H	31/2-Q-12	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-12-23	2000-01-20	TROLL	1674-P	31/2-1 TROLL VEST	NO	23.000000	\N	1982.000000	336.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL Q1	4	NO	NOT APPLICABLE	1999	2000	\N	99	ED50	60	50	40.72	N	3	37	38.29	E	60.844644	3.627303	6745805.920000	534095.120000	31	31	2	Q	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3963	http://www.npd.no/FactMapSearch?NPDID_wellbore=3963	initial	\N	3963	44534	46437	9999-12-31	21228	296353	279477	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Q-12 AH	31/2-Q-12	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-01-21	2000-02-19	TROLL	1675-P	31/2-1 TROLL VEST	NO	23.000000	\N	4768.000000	336.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL Q1	4	NO	OIL	2000	2000	\N	50	ED50	60	50	40.72	N	3	37	38.29	E	60.844644	3.627303	6745805.920000	534095.120000	31	31	2	Q	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3964	http://www.npd.no/FactMapSearch?NPDID_wellbore=3964	sidetrack	31/2-Q-12 H	3964	44534	46437	9999-12-31	21228	296353	279477	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-B-1 H	34/8-B-1	Norsk Hydro Produksjon AS	HYDRO	120	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-12-31	2000-01-30	VISUND	1676-P	34/8-1 VISUND	NO	24.000000	\N	3280.000000	405.000000	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	VISUND NORD	10-A	NO	NOT APPLICABLE	1999	2000	\N	99	ED50	61	25	51.00	N	2	34	3.95	E	61.430833	2.567764	6811015.880000	476938.400000	31	34	8	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3965	http://www.npd.no/FactMapSearch?NPDID_wellbore=3965	initial	\N	3965	44720	43745	9999-12-31	21772	294382	280625	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-B-1 AH	34/8-B-1	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	OIL	DEVELOPMENT	2002-02-01	2002-04-08	VISUND	1677-P	34/8-1 VISUND	NO	24.000000	\N	5405.000000	405.000000	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	VISUND NORD	10-A	NO	OIL	2002	2002	\N	50	ED50	61	25	51.00	N	2	34	3.95	E	61.430833	2.567764	6811015.880000	476938.400000	31	34	8	B	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3966	http://www.npd.no/FactMapSearch?NPDID_wellbore=3966	sidetrack	34/8-B-1 H	3966	44720	43745	9999-12-31	21772	294382	280625	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-27 B	33/9-A-27	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	1999-12-29	2000-01-28	STATFJORD	1678-P	33/12-1 STATFJORD	NO	64.400000	\N	4082.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	1999	2000	\N	50	ED50	61	15	19.89	N	1	51	14.17	E	61.255525	1.853936	6791950.200000	438511.840000	31	33	9	A	27	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3967	http://www.npd.no/FactMapSearch?NPDID_wellbore=3967	sidetrack	33/9-A-27 A	3967	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-27 C	33/9-A-27	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2008-07-08	2008-07-28	STATFJORD	1679-P	33/12-1 STATFJORD	NO	64.400000	\N	4000.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2008	2008	\N	50	ED50	61	15	19.89	N	1	51	14.17	E	61.255525	1.853936	6791950.200000	438511.840000	31	33	9	A	27	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3968	http://www.npd.no/FactMapSearch?NPDID_wellbore=3968	sidetrack	33/9-A-27 B	3968	44558	43658	9999-12-31	21084	271273	271273	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6507/8-D-3 H	6507/8-D-3	Den norske stats oljeselskap a.s	STATOIL	124	PRODUCTION	\N	DEVELOPMENT	1999-12-23	2000-02-18	HEIDRUN	1681-P	6507/8-4 HEIDRUN NORD	NO	26.200000	\N	3128.000000	357.000000	NORWEGIAN SEA	SCARABEO 6	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	1999	2000	\N	71	ED50	65	21	42.95	N	7	20	9.70	E	65.361931	7.336028	7249995.830000	422599.040000	32	6507	8	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3969	http://www.npd.no/FactMapSearch?NPDID_wellbore=3969	initial	\N	3969	44936	43771	9999-12-31	21804	297001	283593	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/8-A-11 H	34/8-A-11	Norsk Hydro Produksjon AS	HYDRO	120	INJECTION	GAS	DEVELOPMENT	2000-03-09	2000-03-19	VISUND	1682-P	34/8-1 VISUND	NO	29.000000	\N	1505.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	GAS	2000	2000	\N	91	ED50	61	22	13.51	N	2	27	30.93	E	61.370419	2.458592	6804329.640000	471057.860000	31	34	8	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3977	http://www.npd.no/FactMapSearch?NPDID_wellbore=3977	initial	\N	3977	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-A-4	15/9-A-4	Den norske stats oljeselskap a.s	STATOIL	046	INJECTION	GAS	DEVELOPMENT	2000-01-15	2000-04-12	SLEIPNER ØST	1683-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	4780.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	2000	2000	\N	91	ED50	58	22	2.82	N	1	54	29.86	E	58.367450	1.908294	6470286.610000	436131.090000	31	15	9	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3979	http://www.npd.no/FactMapSearch?NPDID_wellbore=3979	initial	\N	3979	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/7-A-12 H	6407/7-A-12	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	2000-02-22	2000-04-16	NJORD	1703-P	6407/7-1 S NJORD	NO	30.000000	\N	5982.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2000	2000	\N	50	ED50	64	16	16.08	N	7	12	7.88	E	64.271133	7.202189	7128635.250000	412922.700000	32	6407	7	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3985	http://www.npd.no/FactMapSearch?NPDID_wellbore=3985	initial	\N	3985	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-38 A	30/9-B-38	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2000-02-08	2000-03-15	OSEBERG	1708-P	30/6-1 OSEBERG	NO	58.000000	\N	5831.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2000	2000	\N	50	ED50	60	29	35.89	N	2	49	42.70	E	60.493303	2.828528	6706521.410000	490577.960000	31	30	9	B	38	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3986	http://www.npd.no/FactMapSearch?NPDID_wellbore=3986	sidetrack	30/9-B-38	3986	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/4-C-6 AH	34/4-C-6	Saga Petroleum ASA	SAGA	057	PRODUCTION	OIL	DEVELOPMENT	2000-02-02	2000-03-05	SNORRE	1719-P	34/4-1 SNORRE	NO	18.000000	\N	4770.000000	347.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	34/4-C H	4	NO	OIL	2000	2000	\N	50	ED50	61	31	30.51	N	2	12	40.69	E	61.525142	2.211303	6821699.000000	458047.290000	31	34	4	C	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3987	http://www.npd.no/FactMapSearch?NPDID_wellbore=3987	sidetrack	34/4-C-6 H	3987	44654	43718	9999-12-31	21252	297514	282781	0	SAGA	2012-07-25	2012-07-25	2013-05-08
15/9-B-3	15/9-B-3	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2000-01-26	2000-02-28	SLEIPNER VEST	1684-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	3764.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	2000	2000	\N	90	ED50	58	25	4.73	N	1	43	4.21	E	58.417981	1.717836	6476108.830000	425096.560000	31	15	9	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3988	http://www.npd.no/FactMapSearch?NPDID_wellbore=3988	initial	\N	3988	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-F-16	30/9-F-16	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-01-13	2000-04-19	OSEBERG SØR	1685-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	6685.000000	101.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR	9	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	23	24.75	N	2	47	49.87	E	60.390208	2.797186	6695043.680000	488820.450000	31	30	9	F	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3989	http://www.npd.no/FactMapSearch?NPDID_wellbore=3989	initial	\N	3989	44468	43645	9999-12-31	21636	287821	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-L-2 H	34/10-L-2	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	GAS	DEVELOPMENT	2000-01-31	2000-03-08	GULLFAKS SØR	1686-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4100.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR L	Awarded additionaly to round 3	NO	GAS	2000	2000	\N	90	ED50	61	5	48.44	N	2	11	33.90	E	61.096789	2.192750	6773997.460000	456470.700000	31	34	10	L	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3990	http://www.npd.no/FactMapSearch?NPDID_wellbore=3990	initial	\N	3990	44606	43699	9999-12-31	21188	297028	279617	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/11-X-3 H	6507/11-X-3	Den norske stats oljeselskap a.s	STATOIL	062	PRODUCTION	GAS	DEVELOPMENT	2000-06-30	2000-07-15	ÅSGARD	1689-P	6507/11-1 MIDGARD	NO	26.000000	\N	4408.000000	298.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD X	5	NO	GAS	2000	2000	\N	90	ED50	65	4	1.93	N	7	29	34.49	E	65.067203	7.492914	7216970.330000	429111.100000	32	6507	11	X	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3991	http://www.npd.no/FactMapSearch?NPDID_wellbore=3991	initial	\N	3991	44912	43765	9999-12-31	21292	296326	278917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/11-X-4 H	6507/11-X-4	Den norske stats oljeselskap a.s	STATOIL	062	PRODUCTION	GAS	DEVELOPMENT	2000-01-31	2000-03-17	ÅSGARD	1690-P	6507/11-1 MIDGARD	NO	26.000000	\N	3340.000000	298.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD X	5	NO	GAS	2000	2000	\N	90	ED50	65	4	1.63	N	7	29	34.49	E	65.067119	7.492914	7216961.040000	429110.870000	32	6507	11	X	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3992	http://www.npd.no/FactMapSearch?NPDID_wellbore=3992	initial	\N	3992	44912	43765	9999-12-31	21292	296326	278917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-1 A	33/12-B-1	Den norske stats oljeselskap a.s	STATOIL	037	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-02-29	2000-03-23	STATFJORD	1691-P	33/12-1 STATFJORD	NO	78.200000	\N	3933.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	61	12	25.28	N	1	49	52.27	E	61.207022	1.831186	6786569.540000	437194.740000	31	33	12	B	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3993	http://www.npd.no/FactMapSearch?NPDID_wellbore=3993	sidetrack	33/12-B-1	3993	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-1 B	33/12-B-1	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	2000-03-23	2000-04-08	STATFJORD	1692-P	33/12-1 STATFJORD	NO	78.200000	\N	3686.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	2000	2000	\N	173	ED50	61	12	25.28	N	1	49	52.27	E	61.207022	1.831186	6786569.540000	437194.740000	31	33	12	B	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3994	http://www.npd.no/FactMapSearch?NPDID_wellbore=3994	sidetrack	33/12-B-1 A	3994	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-46	34/10-A-46	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2000-03-14	2000-05-14	GULLFAKS	1693-P	34/10-1 GULLFAKS	NO	82.200000	\N	4488.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2000	2000	\N	50	ED50	61	10	33.74	N	2	11	22.78	E	61.176039	2.189661	6782826.840000	456413.490000	31	34	10	A	46	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3996	http://www.npd.no/FactMapSearch?NPDID_wellbore=3996	initial	\N	3996	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/5-J-14 H	31/5-J-14	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2000-01-29	2000-03-02	TROLL	1694-P	31/2-1 TROLL VEST	NO	23.000000	\N	4778.000000	315.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J1	Awarded additionaly to round 7	NO	OIL	2000	2000	\N	50	ED50	60	44	35.57	N	3	36	28.50	E	60.743214	3.607917	6734498.390000	533146.110000	31	31	5	J	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3997	http://www.npd.no/FactMapSearch?NPDID_wellbore=3997	initial	\N	3997	44534	46437	9999-12-31	21476	289333	279141	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-7 A	33/9-A-7	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2000-02-13	2000-03-02	STATFJORD	1695-P	33/12-1 STATFJORD	NO	64.400000	\N	4460.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	61	15	20.89	N	1	51	15.23	E	61.255803	1.854231	6791980.860000	438528.180000	31	33	9	A	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3998	http://www.npd.no/FactMapSearch?NPDID_wellbore=3998	sidetrack	33/9-A-7	3998	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-Y-24 H	31/2-Y-24	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-02-21	2000-03-09	TROLL	1706-P	31/2-1 TROLL VEST	NO	23.000000	\N	1862.000000	333.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL U2	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	49	51.68	N	3	34	21.08	E	60.831022	3.572522	6744261.400000	531130.990000	31	31	2	Y	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4001	http://www.npd.no/FactMapSearch?NPDID_wellbore=4001	initial	\N	4001	44534	46437	9999-12-31	21228	296353	280457	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Y-24 AH	31/2-Y-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	\N	DEVELOPMENT	2000-03-10	2000-03-31	TROLL	1707-P	31/2-1 TROLL VEST	NO	23.000000	\N	3478.000000	333.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL U2	4	NO	OIL	2000	2000	\N	71	ED50	60	49	51.68	N	3	34	21.08	E	60.831022	3.572522	6744261.400000	531130.990000	31	31	2	Y	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4002	http://www.npd.no/FactMapSearch?NPDID_wellbore=4002	sidetrack	31/2-Y-24 H	4002	44534	46437	9999-12-31	21228	296353	280457	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-K-4 H	34/7-K-4	Saga Petroleum ASA	SAGA	089	INJECTION	WATER	DEVELOPMENT	2000-03-18	2000-04-08	TORDIS	1722-P	34/7-12 TORDIS	NO	25.000000	\N	2368.000000	202.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	TORDIS ØST K	8	NO	WATER	2000	2000	\N	173	ED50	61	16	33.98	N	2	7	12.64	E	61.276106	2.120178	6794021.170000	452826.300000	31	34	7	K	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4003	http://www.npd.no/FactMapSearch?NPDID_wellbore=4003	initial	\N	4003	44666	43725	9999-12-31	21516	294058	280597	0	SAGA	2012-07-25	2012-07-25	2013-05-08
31/2-K-14 H	31/2-K-14	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-03-27	2000-04-10	TROLL	1729-P	31/2-1 TROLL VEST	NO	23.000000	\N	1771.000000	320.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL K1	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	46	5.96	N	3	36	41.19	E	60.768322	3.611442	6737296.790000	533312.260000	31	31	2	K	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4004	http://www.npd.no/FactMapSearch?NPDID_wellbore=4004	initial	\N	4004	44534	46437	9999-12-31	21228	289333	279449	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-14 AY1H	31/2-K-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-04-10	2000-04-24	TROLL	1730-P1	31/2-1 TROLL VEST	NO	23.000000	\N	4231.000000	320.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL K1	4	YES	OIL	2000	2000	\N	50	ED50	60	46	5.96	N	3	36	41.19	E	60.768322	3.611442	6737296.790000	533312.260000	31	31	2	K	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4005	http://www.npd.no/FactMapSearch?NPDID_wellbore=4005	multilateral	31/2-K-14 H	4005	44534	46437	9999-12-31	21228	289333	279449	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-14 AY2H	31/2-K-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-04-24	2000-05-26	TROLL	1730-P2	31/2-1 TROLL VEST	NO	23.000000	\N	4066.000000	320.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL K1	4	YES	OIL	2000	2000	\N	50	ED50	60	46	5.96	N	3	36	41.19	E	60.768322	3.611442	6737296.790000	533312.260000	31	31	2	K	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4006	http://www.npd.no/FactMapSearch?NPDID_wellbore=4006	multilateral	31/2-K-14 AY1H	4006	44534	46437	9999-12-31	21228	289333	279449	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-W-6 A	2/4-W-6	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	1699-P	2/4-2 EKOFISK	NO	45.700000	\N	0.000000	76.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	EKOFISK W	1-A	NO	WATER	0	0	\N	0	ED50	56	32	39.13	N	3	13	4.49	E	56.544203	3.217914	6266811.290000	513399.870000	31	2	4	W	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4007	http://www.npd.no/FactMapSearch?NPDID_wellbore=4007	sidetrack	2/4-W-6	4007	44072	43506	9999-12-31	20900	292114	277293	0	PHILLIPS	2012-08-29	2012-08-29	2013-05-08
2/7-A-19 B	2/7-A-19	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	GAS	DEVELOPMENT	2000-01-21	2000-02-20	ELDFISK	1700-P	2/7-1 ELDFISK	NO	43.000000	\N	3469.000000	76.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	GAS	2000	2000	\N	91	ED50	56	22	36.16	N	3	15	56.87	E	56.376711	3.265797	6248178.220000	516416.370000	31	2	7	A	19	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4008	http://www.npd.no/FactMapSearch?NPDID_wellbore=4008	sidetrack	2/7-A-19 A	4008	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-B-13 B	2/7-B-13	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	2000-02-05	2000-04-04	ELDFISK	1701-P	2/7-1 ELDFISK	NO	42.400000	\N	5528.000000	71.300000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	WATER	2000	2000	\N	173	ED50	56	25	9.14	N	3	13	6.30	E	56.419206	3.218417	6252897.920000	513475.000000	31	2	7	B	13	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4009	http://www.npd.no/FactMapSearch?NPDID_wellbore=4009	sidetrack	2/7-B-13 A	4009	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-J-2 H	34/10-J-2	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	GAS	DEVELOPMENT	2000-02-13	2000-05-22	GULLFAKS SØR	1702-P	34/10-17 RIMFAKS	NO	25.000000	\N	5790.000000	136.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	GULLFAKS SØR J	Awarded additionaly to round 3	NO	GAS	2000	2000	\N	91	ED50	61	3	50.70	N	2	0	10.25	E	61.064083	2.002847	6770495.830000	446175.580000	31	34	10	J	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4010	http://www.npd.no/FactMapSearch?NPDID_wellbore=4010	initial	\N	4010	44600	43699	9999-12-31	21188	341331	280681	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-A-5 AH	34/7-A-5	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	2000-04-25	2000-06-06	SNORRE	1704-P	34/4-1 SNORRE	NO	25.000000	\N	3274.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	OIL	2000	2000	\N	50	ED50	61	29	21.52	N	2	13	35.71	E	61.489311	2.226586	6817698.010000	458812.870000	31	34	7	A	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4013	http://www.npd.no/FactMapSearch?NPDID_wellbore=4013	sidetrack	34/7-A-5 H	4013	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
6608/10-E-4 AH	6608/10-E-4	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2000-03-12	2000-06-01	NORNE	1727-P	6608/10-2 NORNE	NO	22.000000	\N	6069.000000	380.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE E	10-B	NO	OIL	2000	2000	\N	50	ED50	66	2	43.65	N	8	5	57.65	E	66.045458	8.099347	7325455.720000	459194.270000	32	6608	10	E	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4015	http://www.npd.no/FactMapSearch?NPDID_wellbore=4015	sidetrack	6608/10-E-4 H	4015	44942	43778	9999-12-31	21836	296218	279309	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-O-41	31/2-O-41	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-04-04	2000-05-04	TROLL	1705-P	31/2-1 TROLL VEST	NO	35.500000	\N	1782.000000	342.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL O1	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	53	45.53	N	3	27	21.61	E	60.895981	3.456003	6751447.140000	524745.000000	31	31	2	O	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4016	http://www.npd.no/FactMapSearch?NPDID_wellbore=4016	initial	\N	4016	44534	46437	9999-12-31	21228	297055	279757	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-9 A	6507/7-A-9	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	\N	DEVELOPMENT	2000-02-10	2000-03-03	HEIDRUN	1709-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3582.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2000	2000	\N	71	ED50	65	19	32.85	N	7	19	2.31	E	65.325792	7.317308	7245992.100000	421620.940000	32	6507	7	A	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4018	http://www.npd.no/FactMapSearch?NPDID_wellbore=4018	sidetrack	6507/7-A-9	4018	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/8-B-4	25/8-B-4	Esso Exploration and Production Norway A/S	ESSO	027 P	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	1999-11-18	1999-12-18	JOTUN	1672-P	25/8-5 S JOTUN	NO	52.000000	\N	4410.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	2-A	NO	NOT APPLICABLE	1999	1999	\N	99	ED50	59	27	3.78	N	2	22	1.00	E	59.451050	2.366944	6590602.130000	464104.860000	31	25	8	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4019	http://www.npd.no/FactMapSearch?NPDID_wellbore=4019	initial	\N	4019	44330	43604	9999-12-31	20996	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
31/2-M-11 H	31/2-M-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-05-08	2000-07-14	TROLL	1747-P	31/2-1 TROLL VEST	NO	35.500000	\N	3963.000000	382.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL M1	4	NO	OIL	2000	2000	\N	50	ED50	60	54	56.09	N	3	37	35.30	E	60.915581	3.626472	6753706.620000	533974.510000	31	31	2	M	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4021	http://www.npd.no/FactMapSearch?NPDID_wellbore=4021	initial	\N	4021	44534	46437	9999-12-31	21228	297055	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-M-12 H	31/2-M-12	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-05-11	2002-07-17	TROLL	2115-P	31/2-1 TROLL VEST	NO	22.000000	\N	5566.000000	346.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL M1	4	NO	OIL	2002	2002	\N	50	ED50	60	54	56.28	N	3	37	35.35	E	60.915633	3.626486	6753712.510000	533975.200000	31	31	2	M	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4022	http://www.npd.no/FactMapSearch?NPDID_wellbore=4022	initial	\N	4022	44534	46437	9999-12-31	21228	287902	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-M-14 H	31/2-M-14	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-07-20	2000-07-31	TROLL	1780-P	31/2-1 TROLL VEST	NO	35.500000	\N	1942.000000	346.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL M1	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	54	56.25	N	3	37	35.89	E	60.915625	3.626636	6753711.660000	533983.350000	31	31	2	M	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4024	http://www.npd.no/FactMapSearch?NPDID_wellbore=4024	initial	\N	4024	44534	46437	9999-12-31	21228	297055	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-44	34/7-P-44	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	2000-02-19	2000-05-18	SNORRE	1710-P	34/4-1 SNORRE	NO	59.000000	\N	5945.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2000	2000	\N	50	ED50	61	26	58.38	N	2	8	37.06	E	61.449550	2.143628	6813324.220000	454337.040000	31	34	7	P	44	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4025	http://www.npd.no/FactMapSearch?NPDID_wellbore=4025	initial	\N	4025	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
25/8-B-10	25/8-B-10	Esso Exploration and Production Norway A/S	ESSO	027 B	INJECTION	WATER	DEVELOPMENT	2000-03-09	2000-04-05	JOTUN	1711-P	25/8-5 S JOTUN	NO	52.000000	\N	3297.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	WATER	2000	2000	\N	173	ED50	59	27	3.75	N	2	22	0.85	E	59.451042	2.366903	6590601.230000	464102.490000	31	25	8	B	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4026	http://www.npd.no/FactMapSearch?NPDID_wellbore=4026	initial	\N	4026	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/7-B-4 H	34/7-B-4	Norsk Hydro Produksjon AS	HYDRO	089	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-06-04	2000-08-10	VIGDIS	1754-P	34/7-8 VIGDIS	NO	31.000000	\N	3190.000000	323.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS B	8	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	61	23	49.67	N	2	7	3.38	E	61.397131	2.117606	6807503.750000	452870.580000	31	34	7	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4027	http://www.npd.no/FactMapSearch?NPDID_wellbore=4027	initial	\N	4027	44714	43732	9999-12-31	21516	290170	279169	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-F-3 A	2/8-F-3	BP Amoco Norge AS	BP	006	PRODUCTION	OIL	DEVELOPMENT	2000-03-14	2000-05-17	VALHALL	1712-P	2/8-6 VALHALL	NO	56.000000	\N	3725.000000	72.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	VALHALL WP	1-A	NO	OIL	2000	2000	\N	50	ED50	56	16	35.70	N	3	23	47.03	E	56.276583	3.396397	6237072.140000	524546.710000	31	2	8	F	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4029	http://www.npd.no/FactMapSearch?NPDID_wellbore=4029	sidetrack	2/8-F-3	4029	44162	43548	9999-12-31	20804	296002	278385	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
6507/8-D-1 H	6507/8-D-1	Den norske stats oljeselskap a.s	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2000-02-20	2000-03-29	HEIDRUN	1714-P	6507/8-4 HEIDRUN NORD	NO	26.000000	\N	3157.000000	357.000000	NORWEGIAN SEA	SCARABEO 6	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2000	2000	\N	50	ED50	65	21	42.65	N	7	20	9.41	E	65.361847	7.335947	7249986.640000	422595.050000	32	6507	8	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4030	http://www.npd.no/FactMapSearch?NPDID_wellbore=4030	initial	\N	4030	44936	43771	9999-12-31	21804	297001	283593	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-S-31 H	31/2-S-31	Norsk Hydro Produksjon AS	HYDRO	054	INJECTION	WATER	DEVELOPMENT	2000-02-22	2000-03-31	TROLL	1713-P	31/2-1 TROLL VEST	NO	22.000000	\N	1921.000000	342.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL PILOT	4	NO	WATER	2000	2000	\N	173	ED50	60	53	46.66	N	3	39	13.63	E	60.896294	3.653786	6751572.920000	535477.170000	31	31	2	S	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4031	http://www.npd.no/FactMapSearch?NPDID_wellbore=4031	initial	\N	4031	44534	46437	9999-12-31	21228	287902	282921	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
9/2-A-2 B	9/2-A-2	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	2000-02-24	2000-04-10	YME	1716-P	9/2-1 YME	NO	42.000000	\N	5482.000000	93.000000	NORTH SEA	YME A	JACK-UP 3 LEGS	YME B ØST	10-A	NO	OIL	2000	2000	\N	50	ED50	57	49	7.54	N	4	31	10.87	E	57.818761	4.519686	6409691.270000	590280.750000	31	9	2	A	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4032	http://www.npd.no/FactMapSearch?NPDID_wellbore=4032	sidetrack	9/2-A-2 A	4032	45098	43807	9999-12-31	21716	278245	282557	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-L-1 H	34/10-L-1	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	GAS	DEVELOPMENT	2000-03-09	2000-03-31	GULLFAKS SØR	1717-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	3828.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR L	Awarded additionaly to round 3	NO	GAS	2000	2000	\N	90	ED50	61	5	48.30	N	2	11	33.74	E	61.096750	2.192706	6773993.160000	456468.250000	31	34	10	L	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4033	http://www.npd.no/FactMapSearch?NPDID_wellbore=4033	initial	\N	4033	44606	43699	9999-12-31	21188	297028	279617	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/8-B-8	25/8-B-8	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2000-04-11	2000-05-06	JOTUN	1742-P	25/8-5 S JOTUN	NO	52.000000	\N	3410.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	59	27	3.86	N	2	22	0.93	E	59.451072	2.366925	6590604.620000	464103.780000	31	25	8	B	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4036	http://www.npd.no/FactMapSearch?NPDID_wellbore=4036	initial	\N	4036	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
33/9-A-18 A	33/9-A-18	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2000-03-20	2000-04-12	STATFJORD	1718-P	33/12-1 STATFJORD	NO	64.400000	\N	3649.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	61	15	20.73	N	1	51	15.24	E	61.255758	1.854233	6791975.910000	438528.240000	31	33	9	A	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4037	http://www.npd.no/FactMapSearch?NPDID_wellbore=4037	sidetrack	33/9-A-18	4037	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-B-21	15/9-B-21	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2000-03-06	2000-04-02	SLEIPNER VEST	1721-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	3786.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	2000	2000	\N	90	ED50	58	25	4.27	N	1	43	4.33	E	58.417853	1.717869	6476094.570000	425098.240000	31	15	9	B	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4040	http://www.npd.no/FactMapSearch?NPDID_wellbore=4040	initial	\N	4040	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/3-S-22 H	31/3-S-22	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-11-09	2002-12-14	TROLL	2196-P	31/2-1 TROLL VEST	NO	22.000000	\N	2527.000000	342.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	53	34.84	N	3	40	18.47	E	60.893011	3.671797	6751217.090000	536458.250000	31	31	3	S	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4042	http://www.npd.no/FactMapSearch?NPDID_wellbore=4042	initial	\N	4042	44534	46437	9999-12-31	21476	287902	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/3-S-23 H	31/3-S-23	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2000-07-23	2000-08-21	TROLL	1773-P	31/2-1 TROLL VEST	NO	22.000000	\N	4624.000000	341.500000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	NO	OIL	2000	2000	\N	50	ED50	60	53	34.62	N	3	40	18.99	E	60.892950	3.671942	6751210.370000	536466.160000	31	31	3	S	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4043	http://www.npd.no/FactMapSearch?NPDID_wellbore=4043	initial	\N	4043	44534	46437	9999-12-31	21476	287902	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-A-3	15/9-A-3	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2000-05-21	2001-02-03	GUNGNE	1723-P	15/9-15 GUNGNE	NO	78.000000	\N	7743.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	2000	2001	\N	90	ED50	58	22	2.75	N	1	54	29.78	E	58.367431	1.908272	6470284.470000	436129.750000	31	15	9	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4046	http://www.npd.no/FactMapSearch?NPDID_wellbore=4046	initial	\N	4046	43922	43464	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-7 A	30/9-B-7	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	GAS	DEVELOPMENT	2003-06-01	2003-06-21	OSEBERG	1724-P	30/6-1 OSEBERG	NO	58.000000	\N	4289.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	GAS	2003	2003	\N	91	ED50	60	29	36.31	N	2	49	42.35	E	60.493419	2.828431	6706534.410000	490572.650000	31	30	9	B	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4047	http://www.npd.no/FactMapSearch?NPDID_wellbore=4047	sidetrack	30/9-B-7	4047	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-7 B	30/9-B-7	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	OSEBERG	1725-P	30/6-1 OSEBERG	NO	58.000000	\N	0.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	\N	Awarded additionaly to round 6	NO	GAS	0	0	\N	0	ED50	60	29	36.31	N	2	49	42.35	E	60.493419	2.828431	6706534.410000	490572.650000	31	30	9	B	7	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4048	http://www.npd.no/FactMapSearch?NPDID_wellbore=4048	sidetrack	30/9-B-7 A	4048	44396	43625	9999-12-31	34635	272897	\N	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-38 B	30/9-B-38	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2000-03-16	2000-05-20	OSEBERG	1726-P	30/6-1 OSEBERG	NO	58.000000	\N	7082.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2000	2000	\N	50	ED50	60	29	35.89	N	2	49	42.70	E	60.493303	2.828528	6706521.410000	490577.960000	31	30	9	B	38	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4049	http://www.npd.no/FactMapSearch?NPDID_wellbore=4049	sidetrack	30/9-B-38 A	4049	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-J-3 H	34/7-J-3	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	1998-02-02	1998-04-22	TORDIS	1728-P	34/7-12 TORDIS	NO	22.000000	\N	4290.000000	201.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	TORDIS EXTENSION	8	NO	OIL	1998	1998	\N	50	ED50	61	16	29.38	N	2	7	11.41	E	61.274828	2.119836	6793879.090000	452806.070000	31	34	7	J	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4052	http://www.npd.no/FactMapSearch?NPDID_wellbore=4052	initial	\N	4052	44666	43725	9999-12-31	21516	294058	282445	3527	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-K-1 H	34/7-K-1	Norsk Hydro Produksjon AS	HYDRO	089	INJECTION	WATER	DEVELOPMENT	2002-10-09	2002-12-05	TORDIS	2136-P	34/7-12 TORDIS	NO	31.000000	\N	5664.000000	202.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	TORDIS ØST K	8	NO	WATER	2002	2002	\N	173	ED50	61	16	34.34	N	2	7	12.77	E	61.276206	2.120214	6794032.280000	452828.390000	31	34	7	K	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4056	http://www.npd.no/FactMapSearch?NPDID_wellbore=4056	initial	\N	4056	44666	43725	9999-12-31	21516	290170	280597	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-K-3 H	34/7-K-3	Norsk Hydro Produksjon AS	HYDRO	089	INJECTION	WATER	DEVELOPMENT	2002-02-07	2002-04-15	TORDIS	2078-P	34/7-12 TORDIS	NO	31.000000	\N	4608.000000	202.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	TORDIS ØST K	8	NO	WATER	2002	2002	\N	173	ED50	61	16	33.96	N	2	7	12.98	E	61.276100	2.120272	6794020.480000	452831.360000	31	34	7	K	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4058	http://www.npd.no/FactMapSearch?NPDID_wellbore=4058	initial	\N	4058	44666	43725	9999-12-31	21516	290170	280597	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-10 H	34/8-A-10	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	\N	DEVELOPMENT	2000-03-19	2000-05-04	VISUND	1733-P	34/8-1 VISUND	NO	29.000000	\N	4015.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2000	2000	\N	71	ED50	61	22	13.47	N	2	27	31.43	E	61.370408	2.458731	6804328.340000	471065.280000	31	34	8	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4060	http://www.npd.no/FactMapSearch?NPDID_wellbore=4060	initial	\N	4060	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-1 A	30/6-E-1	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2000-05-13	2000-06-02	OSEBERG ØST	1732-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	5020.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	2000	2000	\N	50	ED50	60	42	2.02	N	2	56	6.76	E	60.700561	2.935211	6729595.860000	496462.720000	31	30	6	E	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4061	http://www.npd.no/FactMapSearch?NPDID_wellbore=4061	sidetrack	30/6-E-1	4061	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-9 B	6507/7-A-9	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2000-03-05	2000-04-30	HEIDRUN	1734-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3813.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2000	2000	\N	50	ED50	65	19	32.85	N	7	19	2.31	E	65.325792	7.317308	7245992.100000	421620.940000	32	6507	7	A	9	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4065	http://www.npd.no/FactMapSearch?NPDID_wellbore=4065	sidetrack	6507/7-A-9 A	4065	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-F-3 H	34/10-F-3	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2000-04-04	2000-05-25	GULLFAKS SØR	1735-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	6095.000000	134.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR F	Awarded additionaly to round 3	NO	OIL	2000	2000	\N	50	ED50	61	5	51.78	N	2	16	35.48	E	61.097717	2.276522	6774047.980000	460988.950000	31	34	10	F	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4067	http://www.npd.no/FactMapSearch?NPDID_wellbore=4067	initial	\N	4067	44606	43699	9999-12-31	21188	297028	279645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-Y-11 H	31/2-Y-11	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-04-04	2000-04-17	TROLL	1737-P	31/2-1 TROLL VEST	NO	23.000000	\N	1814.000000	335.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL U1	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	50	57.63	N	3	34	54.33	E	60.849342	3.581758	6746306.300000	531615.100000	31	31	2	Y	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4068	http://www.npd.no/FactMapSearch?NPDID_wellbore=4068	initial	\N	4068	44534	46437	9999-12-31	21228	296353	280429	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Y-11 AH	31/2-Y-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-04-18	2000-06-03	TROLL	1738-P	31/2-1 TROLL VEST	NO	23.000000	\N	4670.000000	335.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL U1	4	NO	OIL	2000	2000	\N	50	ED50	60	50	57.63	N	3	34	54.33	E	60.849342	3.581758	6746306.300000	531615.100000	31	31	2	Y	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4069	http://www.npd.no/FactMapSearch?NPDID_wellbore=4069	sidetrack	31/2-Y-11 H	4069	44534	46437	9999-12-31	21228	296353	280429	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-A-6 AH	6407/7-A-6	Norsk Hydro Produksjon AS	HYDRO	107	INJECTION	GAS	DEVELOPMENT	2000-05-08	2000-05-29	NJORD	1739-P	6407/7-1 S NJORD	NO	30.000000	\N	3920.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	GAS	2000	2000	\N	91	ED50	64	16	14.93	N	7	12	7.23	E	64.270814	7.202008	7128599.910000	412912.950000	32	6407	7	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4070	http://www.npd.no/FactMapSearch?NPDID_wellbore=4070	sidetrack	6407/7-A-6 H	4070	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2013-02-14	2013-02-14	2013-05-08
34/10-I-4 H	34/10-I-4	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2000-04-10	2000-05-31	GULLFAKS SØR	1740-P	34/10-17 RIMFAKS	NO	25.000000	\N	4758.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR I	Awarded additionaly to round 3	NO	OIL	2000	2000	\N	50	ED50	61	3	19.24	N	2	2	13.05	E	61.055344	2.036958	6769494.900000	448002.420000	31	34	10	I	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4071	http://www.npd.no/FactMapSearch?NPDID_wellbore=4071	initial	\N	4071	44600	43699	9999-12-31	21188	296164	280653	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-26 A	33/9-A-26	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	2000-04-25	2000-05-05	STATFJORD	1743-P	33/12-1 STATFJORD	NO	64.400000	\N	4699.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	71	ED50	61	15	19.92	N	1	51	14.04	E	61.255533	1.853900	6791951.160000	438509.920000	31	33	9	A	26	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4074	http://www.npd.no/FactMapSearch?NPDID_wellbore=4074	sidetrack	33/9-A-26	4074	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
9/2-A-1 A	9/2-A-1	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	2000-05-14	2000-06-27	YME	1744-P	9/2-1 YME	NO	42.000000	\N	6331.000000	92.000000	NORTH SEA	YME A	JACK-UP 3 LEGS	YME B ØST	10-A	NO	OIL	2000	2000	\N	50	ED50	57	49	7.48	N	4	31	10.74	E	57.818744	4.519650	6409689.370000	590278.650000	31	9	2	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4075	http://www.npd.no/FactMapSearch?NPDID_wellbore=4075	sidetrack	9/2-A-1	4075	45098	43807	9999-12-31	21716	278245	282557	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-11 A	33/12-B-11	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2000-04-30	2000-05-14	STATFJORD	1746-P	33/12-1 STATFJORD	NO	77.800000	\N	3317.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	61	12	25.12	N	1	49	52.27	E	61.206978	1.831186	6786564.590000	437194.650000	31	33	12	B	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4076	http://www.npd.no/FactMapSearch?NPDID_wellbore=4076	sidetrack	33/12-B-11	4076	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-P-30	34/7-P-30	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	2000-05-18	2000-08-06	SNORRE	1759-P	34/4-1 SNORRE	NO	59.000000	\N	6620.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2000	2000	\N	50	ED50	61	26	57.99	N	2	8	37.34	E	61.449442	2.143706	6813312.090000	454341.020000	31	34	7	P	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4077	http://www.npd.no/FactMapSearch?NPDID_wellbore=4077	initial	\N	4077	44654	43718	9999-12-31	21516	272085	272085	0	SAGA	2012-07-25	2012-07-25	2013-05-08
6608/10-D-3 AH	6608/10-D-3	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2000-08-05	2000-08-30	NORNE	1802-P	6608/10-2 NORNE	NO	22.000000	\N	5100.000000	376.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE D	10-B	NO	OIL	2000	2000	\N	50	ED50	66	0	49.47	N	8	3	27.73	E	66.013742	8.057703	7321948.370000	457254.480000	32	6608	10	D	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4079	http://www.npd.no/FactMapSearch?NPDID_wellbore=4079	sidetrack	6608/10-D-3 H	4079	44942	43778	9999-12-31	21836	296218	279281	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-M-3 H	6506/12-M-3	Den norske stats oljeselskap a.s	STATOIL	094	INJECTION	OIL/GAS	DEVELOPMENT	2000-04-10	2000-06-10	ÅSGARD	1745-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	6780.000000	273.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD M	8	NO	GAS	2000	2000	\N	0	ED50	65	10	24.47	N	6	42	2.87	E	65.173464	6.700797	7229929.850000	392294.080000	32	6506	12	M	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4080	http://www.npd.no/FactMapSearch?NPDID_wellbore=4080	initial	\N	4080	44900	43765	9999-12-31	21556	296326	278805	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/8-D-4 H	6507/8-D-4	Statoil ASA (old)	STATOIL	124	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-10-25	2001-12-03	HEIDRUN	2031-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	3198.000000	357.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2001	2001	\N	99	ED50	65	21	42.65	N	7	20	9.71	E	65.361847	7.336031	7249986.540000	422598.920000	32	6507	8	D	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4081	http://www.npd.no/FactMapSearch?NPDID_wellbore=4081	initial	\N	4081	44936	43771	9999-12-31	21804	296218	283593	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
25/8-B-7	25/8-B-7	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2000-05-12	2000-06-10	JOTUN	1748-P	25/8-5 S JOTUN	NO	52.000000	\N	5432.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	59	27	3.57	N	2	22	0.84	E	59.450992	2.366900	6590595.660000	464102.280000	31	25	8	B	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4085	http://www.npd.no/FactMapSearch?NPDID_wellbore=4085	initial	\N	4085	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
33/12-B-40 A	33/12-B-40	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2000-05-24	2000-06-28	STATFJORD	1749-P	33/12-1 STATFJORD	NO	77.800000	\N	5882.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	33	12	B	40	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4086	http://www.npd.no/FactMapSearch?NPDID_wellbore=4086	sidetrack	33/12-B-40	4086	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-M-23 H	31/2-M-23	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-06-04	2000-06-18	TROLL	1750-P	31/2-1 TROLL VEST	NO	22.000000	\N	2061.000000	353.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL M1	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	55	52.99	N	3	39	51.49	E	60.931386	3.664303	6755487.310000	536008.230000	31	31	2	M	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4087	http://www.npd.no/FactMapSearch?NPDID_wellbore=4087	initial	\N	4087	44534	46437	9999-12-31	21228	287902	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-M-23 AH	31/2-M-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-06-19	2000-07-21	TROLL	1751-P	31/2-1 TROLL VEST	NO	22.000000	\N	4520.000000	353.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL M1	4	NO	OIL	2000	2000	\N	50	ED50	60	55	52.99	N	3	39	51.49	E	60.931386	3.664303	6755487.310000	536008.230000	31	31	2	M	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4088	http://www.npd.no/FactMapSearch?NPDID_wellbore=4088	sidetrack	31/2-M-23 H	4088	44534	46437	9999-12-31	21228	287902	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-5 H	34/8-A-5	Norsk Hydro Produksjon AS	HYDRO	120	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-05-05	2000-06-08	VISUND	1752-P	34/8-1 VISUND	NO	29.000000	\N	4413.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	61	22	13.10	N	2	27	33.76	E	61.370306	2.459378	6804316.600000	471099.780000	31	34	8	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4089	http://www.npd.no/FactMapSearch?NPDID_wellbore=4089	initial	\N	4089	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-5 AH	34/8-A-5	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	\N	DEVELOPMENT	2000-06-09	2000-07-05	VISUND	1753-P	34/8-1 VISUND	NO	29.000000	\N	5659.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2000	2000	\N	71	ED50	61	22	13.10	N	2	27	33.76	E	61.370306	2.459378	6804316.600000	471099.780000	31	34	8	A	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4090	http://www.npd.no/FactMapSearch?NPDID_wellbore=4090	sidetrack	34/8-A-5 H	4090	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-N-4 H	6506/12-N-4	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2000-05-07	2000-06-17	ÅSGARD	1741-P	6506/12-1 SMØRBUKK	NO	22.000000	\N	6212.000000	272.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD N	8	NO	OIL	2000	2000	\N	50	ED50	65	10	25.95	N	6	51	5.51	E	65.173875	6.851531	7229726.870000	399354.510000	32	6506	12	N	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4091	http://www.npd.no/FactMapSearch?NPDID_wellbore=4091	initial	\N	4091	44900	43765	9999-12-31	21556	296245	278637	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-B-4 AH	34/7-B-4	Norsk Hydro Produksjon AS	HYDRO	089	PRODUCTION	OIL	DEVELOPMENT	2000-08-11	2000-09-28	VIGDIS	1755-P	34/7-8 VIGDIS	NO	31.000000	\N	4872.000000	323.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS B	8	NO	OIL	2000	2000	\N	50	ED50	61	23	49.67	N	2	7	3.38	E	61.397131	2.117606	6807503.750000	452870.580000	31	34	7	B	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4092	http://www.npd.no/FactMapSearch?NPDID_wellbore=4092	sidetrack	34/7-B-4 H	4092	44714	43732	9999-12-31	21516	290170	279169	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-16 A	30/9-F-16	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	\N	DEVELOPMENT	2000-04-19	2000-05-06	OSEBERG SØR	1756-P	30/9-10 OSEBERG SØR	NO	23.000000	\N	7360.000000	101.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	OSEBERG SØR	9	NO	WATER/GAS	2000	2000	\N	72	ED50	60	23	24.75	N	2	47	49.87	E	60.390208	2.797186	6695043.680000	488820.450000	31	30	9	F	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4093	http://www.npd.no/FactMapSearch?NPDID_wellbore=4093	sidetrack	30/9-F-16	4093	44468	43645	9999-12-31	21636	287821	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-B-12	15/9-B-12	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	\N	DEVELOPMENT	2000-05-13	2000-09-16	SLEIPNER VEST	1757-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	4538.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	2000	2000	\N	71	ED50	58	25	4.63	N	1	43	4.52	E	58.417953	1.717922	6476105.640000	425101.540000	31	15	9	B	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4095	http://www.npd.no/FactMapSearch?NPDID_wellbore=4095	initial	\N	4095	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-30	31/4-A-30	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-06-04	2000-07-05	BRAGE	1760-P	31/4-3 BRAGE	NO	62.600000	\N	2859.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	32	33.17	N	3	2	50.86	E	60.542547	3.047461	6711994.980000	502603.940000	31	31	4	A	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4096	http://www.npd.no/FactMapSearch?NPDID_wellbore=4096	initial	\N	4096	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-30 A	31/4-A-30	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2000-07-05	2000-07-20	BRAGE	1761-P	31/4-3 BRAGE	NO	62.600000	\N	3279.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2000	2000	\N	50	ED50	60	32	33.17	N	3	2	50.86	E	60.542547	3.047461	6711994.980000	502603.940000	31	31	4	A	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4097	http://www.npd.no/FactMapSearch?NPDID_wellbore=4097	sidetrack	31/4-A-30	4097	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-I-2 H	34/10-I-2	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2000-05-31	2000-07-06	GULLFAKS SØR	1762-P	34/10-17 RIMFAKS	NO	25.000000	\N	4321.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR I	Awarded additionaly to round 3	NO	OIL	2000	2000	\N	50	ED50	61	3	19.45	N	2	2	12.55	E	61.055403	2.036819	6769501.510000	447995.020000	31	34	10	I	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4098	http://www.npd.no/FactMapSearch?NPDID_wellbore=4098	initial	\N	4098	44600	43699	9999-12-31	21188	296164	280653	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-B-4 AH	6608/10-B-4	Den norske stats oljeselskap a.s	STATOIL	128	OBSERVATION	\N	DEVELOPMENT	2001-06-13	2001-07-12	NORNE	1952-P	6608/10-2 NORNE	NO	31.000000	\N	3900.000000	376.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	NORNE B	10-B	NO	OIL	2001	2001	\N	99	ED50	66	0	55.47	N	8	3	16.37	E	66.015408	8.054547	7322136.280000	457114.140000	32	6608	10	B	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4099	http://www.npd.no/FactMapSearch?NPDID_wellbore=4099	sidetrack	6608/10-B-4 H	4099	44942	43778	9999-12-31	21836	297784	279225	0	STATOIL	2013-01-29	2013-01-29	2013-05-08
34/10-B-41	34/10-B-41	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-05-21	2000-10-11	GULLFAKS	1764-P	34/10-1 GULLFAKS	NO	81.000000	\N	4742.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	61	12	54.65	N	2	12	26.36	E	61.215181	2.207322	6787175.070000	457416.270000	31	34	10	B	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4100	http://www.npd.no/FactMapSearch?NPDID_wellbore=4100	initial	\N	4100	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-41 A	34/10-B-41	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2000-10-11	2000-12-05	GULLFAKS	1765-P	34/10-1 GULLFAKS	NO	81.000000	\N	4821.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2000	2000	\N	50	ED50	61	12	54.65	N	2	12	26.36	E	61.215181	2.207322	6787175.070000	457416.270000	31	34	10	B	41	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4101	http://www.npd.no/FactMapSearch?NPDID_wellbore=4101	sidetrack	34/10-B-41	4101	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/8-F-2 H	6507/8-F-2	Statoil ASA (old)	STATOIL	124	INJECTION	WATER	DEVELOPMENT	2002-04-25	2002-07-08	HEIDRUN	2111-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	5390.000000	358.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN F	10-B	NO	WATER	2002	2002	\N	173	ED50	65	22	10.14	N	7	21	25.23	E	65.369483	7.357008	7250811.820000	423596.730000	32	6507	8	F	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4102	http://www.npd.no/FactMapSearch?NPDID_wellbore=4102	initial	\N	4102	44936	43771	9999-12-31	21804	296218	283649	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/8-F-4 H	6507/8-F-4	Statoil ASA (old)	STATOIL	124	INJECTION	WATER	DEVELOPMENT	2002-03-16	2002-04-24	HEIDRUN	2092-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	2909.000000	358.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN F	10-B	NO	WATER	2002	2002	\N	173	ED50	65	22	9.82	N	7	21	25.40	E	65.369394	7.357056	7250801.860000	423598.670000	32	6507	8	F	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4103	http://www.npd.no/FactMapSearch?NPDID_wellbore=4103	initial	\N	4103	44936	43771	9999-12-31	21804	296218	283649	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/9-B-23	15/9-B-23	StatoilHydro ASA	STATOIL	046	\N	\N	DEVELOPMENT	9999-12-31	9999-12-31	SLEIPNER VEST	2992-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	0.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	\N	0	0	\N	0	ED50	58	25	4.36	N	1	43	4.62	E	58.417878	1.717950	6476097.260000	425103.000000	31	15	9	B	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4104	http://www.npd.no/FactMapSearch?NPDID_wellbore=4104	initial	\N	4104	43910	43457	9999-12-31	21156	296110	277601	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/10-E-2 H	34/10-E-2	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	GAS	DEVELOPMENT	2000-05-27	2000-07-14	GULLFAKS SØR	1769-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4945.000000	134.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR E	Awarded additionaly to round 3	NO	GAS	2000	2000	\N	91	ED50	61	6	38.27	N	2	15	38.33	E	61.110631	2.260647	6775495.970000	460149.220000	31	34	10	E	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4107	http://www.npd.no/FactMapSearch?NPDID_wellbore=4107	initial	\N	4107	44606	43699	9999-12-31	21188	297028	279701	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-E-3 AH	6608/10-E-3	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2000-10-02	2000-12-12	NORNE	1814-P	6608/10-2 NORNE	NO	22.000000	\N	4849.000000	376.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	NORNE E	10-B	NO	OIL	2000	2000	\N	50	ED50	66	2	43.50	N	8	5	57.30	E	66.045417	8.099250	7325451.140000	459189.800000	32	6608	10	E	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4112	http://www.npd.no/FactMapSearch?NPDID_wellbore=4112	sidetrack	6608/10-E-3 H	4112	44942	43778	9999-12-31	21836	296218	279309	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/5-J-21 Y1H	31/5-J-21	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2000-06-10	2000-07-18	TROLL	1767-P1	31/2-1 TROLL VEST	NO	23.000000	\N	5347.000000	314.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	YES	OIL	2000	2000	\N	50	ED50	60	43	45.54	N	3	39	23.88	E	60.729317	3.656633	6732976.080000	535817.760000	31	31	5	J	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4113	http://www.npd.no/FactMapSearch?NPDID_wellbore=4113	multilateral	\N	4113	44534	46437	9999-12-31	21476	289333	279981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-J-21 Y2H	31/5-J-21	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2000-07-24	2000-08-18	TROLL	1767-P2	31/2-1 TROLL VEST	NO	23.000000	\N	4707.000000	314.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	YES	OIL	2000	2000	\N	50	ED50	60	43	45.54	N	3	39	23.88	E	60.729317	3.656633	6732976.080000	535817.760000	31	31	5	J	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4114	http://www.npd.no/FactMapSearch?NPDID_wellbore=4114	multilateral	31/5-J-21 Y1H	4114	44534	46437	9999-12-31	21476	289333	279981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-B-20	25/8-B-20	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2000-06-14	2000-07-18	JOTUN	1768-P	25/8-5 S JOTUN	NO	52.400000	\N	4500.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	59	27	3.75	N	2	22	0.50	E	59.451042	2.366806	6590601.280000	464096.980000	31	25	8	B	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4116	http://www.npd.no/FactMapSearch?NPDID_wellbore=4116	initial	\N	4116	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
30/9-B-43	30/9-B-43	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-06-20	2000-08-13	OSEBERG	1770-P	30/6-1 OSEBERG	NO	58.000000	\N	7301.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	30	9	B	43	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4118	http://www.npd.no/FactMapSearch?NPDID_wellbore=4118	initial	\N	4118	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-43 A	30/9-B-43	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2000-08-14	2000-09-14	OSEBERG	1771-P	30/6-1 OSEBERG	NO	58.000000	\N	6390.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2000	2000	\N	50	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	30	9	B	43	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4119	http://www.npd.no/FactMapSearch?NPDID_wellbore=4119	sidetrack	30/9-B-43	4119	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-21 A	33/12-B-21	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2000-07-06	2000-07-27	STATFJORD	1772-P	33/12-1 STATFJORD	NO	78.200000	\N	3613.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	61	12	24.95	N	1	49	52.27	E	61.206931	1.831186	6786559.330000	437194.550000	31	33	12	B	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4120	http://www.npd.no/FactMapSearch?NPDID_wellbore=4120	sidetrack	33/12-B-21	4120	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/2-A-4	30/2-A-4	Den norske stats oljeselskap a.s	STATOIL	051	PRODUCTION	GAS	DEVELOPMENT	2000-08-10	2000-11-01	HULDRA	1774-P	30/2-1 HULDRA	NO	49.000000	\N	4859.000000	125.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	HULDRA	4	NO	GAS	2000	2000	\N	90	ED50	60	51	21.13	N	2	39	0.75	E	60.855869	2.650208	6746943.900000	480994.670000	31	30	2	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4121	http://www.npd.no/FactMapSearch?NPDID_wellbore=4121	initial	\N	4121	44372	97002	9999-12-31	21204	296002	277573	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-15 B	33/9-A-15	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	2000-07-05	2000-07-23	STATFJORD	1775-P	33/12-1 STATFJORD	NO	64.400000	\N	3196.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	71	ED50	61	15	20.81	N	1	51	14.82	E	61.255781	1.854117	6791978.490000	438522.020000	31	33	9	A	15	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4123	http://www.npd.no/FactMapSearch?NPDID_wellbore=4123	sidetrack	33/9-A-15 A	4123	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-A-20 A	30/3-A-20	Den norske stats oljeselskap a.s	STATOIL	052	INJECTION	WATER	DEVELOPMENT	2000-10-08	2000-11-12	VESLEFRIKK	1776-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4527.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER	2000	2000	\N	173	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	30	3	A	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4124	http://www.npd.no/FactMapSearch?NPDID_wellbore=4124	sidetrack	30/3-A-20	4124	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-23	6507/7-A-23	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2000-07-18	2000-09-06	HEIDRUN	1777-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3110.000000	345.500000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2000	2000	\N	50	ED50	65	19	32.93	N	7	19	4.18	E	65.325814	7.317828	7245993.930000	421645.200000	32	6507	7	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4125	http://www.npd.no/FactMapSearch?NPDID_wellbore=4125	initial	\N	4125	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/7-A-9 H	6407/7-A-9	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	2000-07-10	2000-10-10	NJORD	1778-P	6407/7-1 S NJORD	NO	30.000000	\N	6602.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2000	2000	\N	50	ED50	64	16	15.43	N	7	12	9.45	E	64.270953	7.202625	7128614.540000	412943.250000	32	6407	7	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4126	http://www.npd.no/FactMapSearch?NPDID_wellbore=4126	initial	\N	4126	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/11-X-4 AH	6507/11-X-4	Den norske stats oljeselskap a.s	STATOIL	062	PRODUCTION	GAS	DEVELOPMENT	2001-01-24	2001-02-23	ÅSGARD	1779-P	6507/11-1 MIDGARD	NO	26.000000	\N	3942.000000	298.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD X	5	NO	GAS	2001	2001	\N	90	ED50	65	4	1.63	N	7	29	34.49	E	65.067119	7.492914	7216961.040000	429110.870000	32	6507	11	X	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4127	http://www.npd.no/FactMapSearch?NPDID_wellbore=4127	sidetrack	6507/11-X-4 H	4127	44912	43765	9999-12-31	21292	296326	278917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-M-14 AH	31/2-M-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-08-04	2000-09-29	TROLL	1781-P	31/2-1 TROLL VEST	NO	35.500000	\N	4985.000000	346.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL M1	4	NO	OIL	2000	2000	\N	50	ED50	60	54	56.25	N	3	37	35.89	E	60.915625	3.626636	6753711.660000	533983.350000	31	31	2	M	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4130	http://www.npd.no/FactMapSearch?NPDID_wellbore=4130	sidetrack	31/2-M-14 H	4130	44534	46437	9999-12-31	21228	297055	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-J-3 H	34/10-J-3	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	GAS	DEVELOPMENT	2000-07-17	2000-08-11	GULLFAKS SØR	1782-P	34/10-17 RIMFAKS	NO	25.000000	\N	3938.000000	137.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR J	Awarded additionaly to round 3	NO	GAS	2000	2000	\N	91	ED50	61	3	50.80	N	2	0	10.38	E	61.064111	2.002883	6770498.890000	446177.580000	31	34	10	J	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4131	http://www.npd.no/FactMapSearch?NPDID_wellbore=4131	initial	\N	4131	44600	43699	9999-12-31	21188	297028	280681	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-32 A	31/4-A-32	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2000-09-18	2000-10-29	BRAGE	1784-P	31/4-3 BRAGE	NO	62.000000	\N	4857.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2000	2000	\N	50	ED50	60	32	33.42	N	3	2	50.52	E	60.542617	3.047367	6712002.720000	502598.750000	31	31	4	A	32	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4132	http://www.npd.no/FactMapSearch?NPDID_wellbore=4132	sidetrack	31/4-A-32	4132	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-N-3 H	33/9-N-3	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2000-10-07	2000-12-11	SYGNA	1785-P	33/9-19 S SYGNA	NO	31.000000	\N	3837.000000	299.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SYGNA N	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	61	28	1.55	N	1	59	31.85	E	61.467097	1.992181	6815394.160000	446292.280000	31	33	9	N	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4133	http://www.npd.no/FactMapSearch?NPDID_wellbore=4133	initial	\N	4133	44564	104718	9999-12-31	21084	297784	279897	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/8-B-12	25/8-B-12	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	WATER	DEVELOPMENT	2000-07-26	2000-08-25	JOTUN	1786-P	25/8-5 S JOTUN	NO	52.000000	\N	5848.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	173	ED50	59	27	4.00	N	2	22	0.80	E	59.451111	2.366889	6590608.970000	464101.780000	31	25	8	B	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4134	http://www.npd.no/FactMapSearch?NPDID_wellbore=4134	initial	\N	4134	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/8-A-5 BH	34/8-A-5	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	\N	DEVELOPMENT	2000-07-06	2000-07-25	VISUND	1787-P	34/8-1 VISUND	NO	29.000000	\N	6275.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2000	2000	\N	71	ED50	61	22	13.10	N	2	27	33.76	E	61.370306	2.459378	6804316.600000	471099.780000	31	34	8	A	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4135	http://www.npd.no/FactMapSearch?NPDID_wellbore=4135	sidetrack	34/8-A-5 AH	4135	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/11-E-3 H	6506/11-E-3	Den norske stats oljeselskap a.s	STATOIL	134	INJECTION	GAS	DEVELOPMENT	2000-07-17	2000-09-08	ÅSGARD	1788-P	6507/11-1 MIDGARD	NO	26.000000	\N	5893.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD E	11-A	NO	GAS	2000	2000	\N	91	ED50	65	4	6.07	N	6	36	40.67	E	65.068353	6.611297	7218376.970000	387659.910000	32	6506	11	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4136	http://www.npd.no/FactMapSearch?NPDID_wellbore=4136	initial	\N	4136	44912	43765	9999-12-31	21884	296326	278721	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-42 A	33/9-A-42	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	2000-07-29	2000-08-24	STATFJORD	1789-P	33/12-1 STATFJORD	NO	64.400000	\N	3636.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	2000	2000	\N	173	ED50	61	15	19.66	N	1	51	14.15	E	61.255461	1.853931	6791943.090000	438511.410000	31	33	9	A	42	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4137	http://www.npd.no/FactMapSearch?NPDID_wellbore=4137	sidetrack	33/9-A-42	4137	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-19 A	33/12-B-19	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2000-08-12	2000-10-26	STATFJORD	1793-P	33/12-1 STATFJORD	NO	78.200000	\N	5537.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	61	12	25.02	N	1	49	52.00	E	61.206950	1.831111	6786561.570000	437190.560000	31	33	12	B	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4138	http://www.npd.no/FactMapSearch?NPDID_wellbore=4138	sidetrack	33/12-B-19	4138	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-A-22 A	2/7-A-22	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2000-08-14	2000-09-30	ELDFISK	1794-P	2/7-1 ELDFISK	NO	43.000000	\N	4936.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2000	2000	\N	50	ED50	56	22	36.22	N	3	15	56.84	E	56.376728	3.265789	6248180.070000	516415.850000	31	2	7	A	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4139	http://www.npd.no/FactMapSearch?NPDID_wellbore=4139	sidetrack	2/7-A-22	4139	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-08-24	2012-08-24	2013-05-08
34/7-J-4 H	34/7-J-4	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	2000-08-23	2000-11-24	TORDIS	1795-P	34/7-12 TORDIS	NO	29.000000	\N	5001.000000	201.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	TORDIS EXTENSION	8	NO	OIL	2000	2000	\N	50	ED50	61	16	29.73	N	2	7	11.55	E	61.274925	2.119875	6793889.890000	452808.300000	31	34	7	J	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4140	http://www.npd.no/FactMapSearch?NPDID_wellbore=4140	initial	\N	4140	44666	43725	9999-12-31	21516	287821	282445	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/8-A-5 CH	34/8-A-5	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	OIL	DEVELOPMENT	2000-07-26	2000-08-24	VISUND	1796-P	34/8-1 VISUND	NO	29.000000	\N	6118.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2000	2000	\N	50	ED50	61	22	13.10	N	2	27	33.76	E	61.370306	2.459378	6804316.600000	471099.780000	31	34	8	A	5	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4144	http://www.npd.no/FactMapSearch?NPDID_wellbore=4144	sidetrack	34/8-A-5 BH	4144	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/8-E-1 H	6507/8-E-1	Den norske stats oljeselskap a.s	STATOIL	124	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-08-04	2000-08-27	HEIDRUN	1797-P	6507/8-4 HEIDRUN NORD	NO	23.000000	\N	3229.000000	355.000000	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2000	2000	\N	99	ED50	65	22	59.66	N	7	22	9.90	E	65.383239	7.369417	7252329.610000	424213.310000	32	6507	8	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4148	http://www.npd.no/FactMapSearch?NPDID_wellbore=4148	initial	\N	4148	44936	43771	9999-12-31	21804	296353	283621	0	STATOIL	2013-01-29	2013-01-29	2013-05-08
6507/8-E-3 H	6507/8-E-3	Den norske stats oljeselskap a.s	STATOIL	124	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-08-28	2000-09-05	HEIDRUN	1798-P	6507/8-4 HEIDRUN NORD	NO	23.000000	\N	2508.000000	355.000000	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2000	2000	\N	99	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	6507	8	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4149	http://www.npd.no/FactMapSearch?NPDID_wellbore=4149	initial	\N	4149	44936	43771	9999-12-31	21804	296353	283621	0	STATOIL	2013-01-29	2013-01-29	2013-05-08
34/10-I-1 H	34/10-I-1	Den norske stats oljeselskap a.s	STATOIL	050 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-08-13	2000-09-18	GULLFAKS SØR	1799-P	34/10-17 RIMFAKS	NO	25.000000	\N	4934.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR I	Awarded additionaly to round 3	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	61	3	19.28	N	2	2	13.05	E	61.055356	2.036958	6769496.140000	448002.440000	31	34	10	I	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4150	http://www.npd.no/FactMapSearch?NPDID_wellbore=4150	initial	\N	4150	44600	43699	9999-12-31	21196	297028	280653	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-I-1 AH	34/10-I-1	Den norske stats oljeselskap a.s	STATOIL	050 B	PRODUCTION	OIL	DEVELOPMENT	2000-09-18	2000-10-04	GULLFAKS SØR	1800-P	34/10-17 RIMFAKS	NO	25.000000	\N	4805.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR I	Awarded additionaly to round 3	NO	OIL	2000	2000	\N	50	ED50	61	3	19.28	N	2	2	13.05	E	61.055356	2.036958	6769496.140000	448002.440000	31	34	10	I	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4151	http://www.npd.no/FactMapSearch?NPDID_wellbore=4151	sidetrack	34/10-I-1 H	4151	44600	43699	9999-12-31	21196	296164	280653	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/5-J-12 H	31/5-J-12	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2000-08-19	2000-09-17	TROLL	1803-P	31/2-1 TROLL VEST	NO	23.000000	\N	4725.000000	315.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J1	Awarded additionaly to round 7	NO	OIL	2000	2000	\N	50	ED50	60	44	35.53	N	3	36	29.03	E	60.743203	3.608064	6734497.230000	533154.140000	31	31	5	J	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4152	http://www.npd.no/FactMapSearch?NPDID_wellbore=4152	initial	\N	4152	44534	46437	9999-12-31	21476	289333	279141	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-B-22	25/8-B-22	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	\N	DEVELOPMENT	2000-10-14	2000-11-14	JOTUN	1804-P	25/8-5 S JOTUN	NO	52.000000	\N	5642.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	71	ED50	59	27	3.64	N	2	22	1.13	E	59.451011	2.366981	6590597.780000	464106.870000	31	25	8	B	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4153	http://www.npd.no/FactMapSearch?NPDID_wellbore=4153	initial	\N	4153	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
9/2-A-4 B	9/2-A-4	Den norske stats oljeselskap a.s	STATOIL	114	PRODUCTION	OIL	DEVELOPMENT	2000-08-28	2000-10-15	YME	1806-P	9/2-1 YME	NO	42.000000	\N	4928.000000	93.000000	NORTH SEA	YME A	JACK-UP 3 LEGS	YME B ØST	10-A	NO	OIL	2000	2000	\N	50	ED50	57	49	7.53	N	4	31	11.21	E	57.818758	4.519781	6409691.090000	590286.370000	31	9	2	A	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4154	http://www.npd.no/FactMapSearch?NPDID_wellbore=4154	sidetrack	9/2-A-4 A	4154	45098	43807	9999-12-31	21716	278245	282557	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-41 A	34/10-A-41	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2000-09-18	2000-10-12	GULLFAKS	1807-P	34/10-1 GULLFAKS	NO	82.000000	\N	3707.000000	133.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	2000	2000	\N	173	ED50	61	10	33.67	N	2	11	22.86	E	61.176019	2.189683	6782824.660000	456414.660000	31	34	10	A	41	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4155	http://www.npd.no/FactMapSearch?NPDID_wellbore=4155	sidetrack	34/10-A-41	4155	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-A-8 C	33/9-A-8	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	2000-09-03	2000-09-08	STATFJORD	1808-P	33/12-1 STATFJORD	NO	64.400000	\N	4615.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	2000	2000	\N	173	ED50	61	15	20.86	N	1	51	15.36	E	61.255794	1.854267	6791979.900000	438530.100000	31	33	9	A	8	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4156	http://www.npd.no/FactMapSearch?NPDID_wellbore=4156	sidetrack	33/9-A-8 B	4156	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/8-E-3 AH	6507/8-E-3	Den norske stats oljeselskap a.s	STATOIL	124	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-09-06	2000-09-23	HEIDRUN	1809-P	6507/8-4 HEIDRUN NORD	NO	23.000000	\N	2970.000000	355.000000	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2000	2000	\N	99	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	6507	8	E	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4157	http://www.npd.no/FactMapSearch?NPDID_wellbore=4157	sidetrack	6507/8-E-3 H	4157	44936	43771	9999-12-31	21804	296353	283621	0	STATOIL	2013-01-29	2013-01-29	2013-05-08
31/2-Y-23 H	31/2-Y-23	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-09-07	2000-09-20	TROLL	1810-P	31/2-1 TROLL VEST	NO	22.000000	\N	1990.000000	331.500000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL U2	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	49	51.88	N	3	34	21.06	E	60.831078	3.572517	6744267.580000	531130.630000	31	31	2	Y	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4158	http://www.npd.no/FactMapSearch?NPDID_wellbore=4158	initial	\N	4158	44534	46437	9999-12-31	21228	287902	280457	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Y-23 AH	31/2-Y-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-09-21	2000-11-07	TROLL	1811-P	31/2-1 TROLL VEST	NO	22.000000	\N	4979.000000	331.500000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL U2	4	NO	OIL	2000	2000	\N	50	ED50	60	49	51.88	N	3	34	21.06	E	60.831078	3.572517	6744267.580000	531130.630000	31	31	2	Y	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4159	http://www.npd.no/FactMapSearch?NPDID_wellbore=4159	sidetrack	31/2-Y-23 H	4159	44534	46437	9999-12-31	21228	287902	280457	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Y-22 Y1H	31/2-Y-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-11-09	2000-12-13	TROLL	1812-P1	31/2-1 TROLL VEST	NO	22.000000	\N	4807.000000	333.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL U2	4	YES	OIL	2000	2000	\N	50	ED50	60	49	51.69	N	3	34	21.62	E	60.831025	3.572672	6744261.780000	531139.140000	31	31	2	Y	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4160	http://www.npd.no/FactMapSearch?NPDID_wellbore=4160	multilateral	\N	4160	44534	46437	9999-12-31	21228	287902	280457	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Y-22 Y2H	31/2-Y-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-12-14	2001-01-28	TROLL	1812-P2	31/2-1 TROLL VEST	NO	22.000000	\N	4510.000000	333.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL U2	4	YES	OIL	2000	2001	\N	50	ED50	60	49	51.69	N	3	34	21.62	E	60.831025	3.572672	6744261.780000	531139.140000	31	31	2	Y	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4161	http://www.npd.no/FactMapSearch?NPDID_wellbore=4161	multilateral	31/2-Y-22 Y1H	4161	44534	46437	9999-12-31	21228	287902	280457	0	HYDRO PRODUKSJON	2013-01-24	2013-01-24	2013-05-08
6506/12-H-3 H	6506/12-H-3	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	GAS	DEVELOPMENT	2000-09-15	2000-10-28	ÅSGARD	1813-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5217.000000	287.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD H	8	NO	GAS	2000	2000	\N	90	ED50	65	7	6.68	N	6	40	27.20	E	65.118522	6.674222	7223855.180000	390824.070000	32	6506	12	H	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4163	http://www.npd.no/FactMapSearch?NPDID_wellbore=4163	initial	\N	4163	44900	43765	9999-12-31	21556	296326	278665	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-45	6507/7-A-45	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2000-09-18	2000-11-02	HEIDRUN	1815-P	6507/7-2 HEIDRUN	NO	74.000000	\N	4500.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2000	2000	\N	50	ED50	65	19	32.56	N	7	19	3.78	E	65.325711	7.317717	7245982.610000	421639.720000	32	6507	7	A	45	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4164	http://www.npd.no/FactMapSearch?NPDID_wellbore=4164	initial	\N	4164	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-Y-13 H	31/2-Y-13	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-10-03	2000-10-19	TROLL	1816-P	31/2-1 TROLL VEST	NO	35.500000	\N	1920.000000	335.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL U1	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	50	57.72	N	3	34	53.83	E	60.849367	3.581619	6746309.020000	531607.530000	31	31	2	Y	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4165	http://www.npd.no/FactMapSearch?NPDID_wellbore=4165	initial	\N	4165	44534	46437	9999-12-31	21228	297055	280429	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Y-13 AH	31/2-Y-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-10-19	2000-11-27	TROLL	1817-P	31/2-1 TROLL VEST	NO	35.500000	\N	4445.000000	335.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL U1	4	NO	OIL	2000	2000	\N	50	ED50	60	50	57.72	N	3	34	53.83	E	60.849367	3.581619	6746309.020000	531607.530000	31	31	2	Y	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4166	http://www.npd.no/FactMapSearch?NPDID_wellbore=4166	sidetrack	31/2-Y-13 H	4166	44534	46437	9999-12-31	21228	297055	280429	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-43	34/7-P-43	Norsk Hydro Produksjon AS	HYDRO	089	PRODUCTION	OIL	DEVELOPMENT	2001-02-01	2001-05-09	SNORRE	1884-P	34/4-1 SNORRE	NO	59.000000	\N	6615.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2001	2001	\N	50	ED50	61	26	58.37	N	2	8	36.79	E	61.449547	2.143553	6813323.960000	454333.030000	31	34	7	P	43	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4167	http://www.npd.no/FactMapSearch?NPDID_wellbore=4167	initial	\N	4167	44654	43718	9999-12-31	21516	272085	272085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-A-1 AH	34/7-A-1	Saga Petroleum ASA	SAGA	089	PRODUCTION	OIL	DEVELOPMENT	2000-10-10	2000-12-25	SNORRE	1819-P	34/4-1 SNORRE	NO	25.000000	\N	4833.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	OIL	2000	2000	\N	50	ED50	61	29	21.92	N	2	13	34.79	E	61.489422	2.226331	6817710.550000	458799.400000	31	34	7	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4168	http://www.npd.no/FactMapSearch?NPDID_wellbore=4168	sidetrack	34/7-A-1 H	4168	44654	43718	9999-12-31	21516	294058	273961	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-L-3 H	34/10-L-3	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	GAS	DEVELOPMENT	2000-10-09	2000-11-03	GULLFAKS SØR	1820-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	3682.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR L	Awarded additionaly to round 3	NO	GAS	2000	2000	\N	90	ED50	61	5	48.59	N	2	11	34.05	E	61.096831	2.192792	6774002.080000	456473.000000	31	34	10	L	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4169	http://www.npd.no/FactMapSearch?NPDID_wellbore=4169	initial	\N	4169	44606	43699	9999-12-31	21188	297028	279617	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-40 A	30/9-B-40	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	2000-09-25	2000-10-26	OSEBERG	1821-P	30/6-1 OSEBERG	NO	58.000000	\N	5559.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2000	2000	\N	71	ED50	60	29	35.93	N	2	49	43.03	E	60.493314	2.828619	6706522.630000	490583.000000	31	30	9	B	40	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4170	http://www.npd.no/FactMapSearch?NPDID_wellbore=4170	sidetrack	30/9-B-40	4170	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-47	34/10-A-47	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2000-11-27	2001-06-07	GULLFAKS SØR	1822-P	34/10-2 GULLFAKS SØR	NO	82.000000	\N	9052.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2000	2001	\N	50	ED50	61	10	33.79	N	2	11	23.30	E	61.176053	2.189806	6782828.290000	456421.280000	31	34	10	A	47	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4171	http://www.npd.no/FactMapSearch?NPDID_wellbore=4171	initial	\N	4171	44606	43699	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-21 B	33/12-B-21	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2000-11-19	2000-12-06	STATFJORD	1823-P	33/12-1 STATFJORD	NO	78.200000	\N	3475.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	61	12	24.95	N	1	49	52.27	E	61.206931	1.831186	6786559.330000	437194.550000	31	33	12	B	21	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4174	http://www.npd.no/FactMapSearch?NPDID_wellbore=4174	sidetrack	33/12-B-21 A	4174	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-11 B	2/7-B-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2000-10-07	2000-12-20	ELDFISK	1824-P	2/7-1 ELDFISK	NO	44.000000	\N	5132.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2000	2000	\N	50	ED50	56	25	8.98	N	3	13	6.03	E	56.419161	3.218342	6252892.960000	513470.390000	31	2	7	B	11	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4175	http://www.npd.no/FactMapSearch?NPDID_wellbore=4175	sidetrack	2/7-B-11 A	4175	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-P-41	34/7-P-41	Statoil ASA (old)	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2004-02-09	2004-04-07	SNORRE	2393-P	34/4-1 SNORRE	NO	59.400000	\N	5889.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2004	2004	\N	50	ED50	61	26	58.25	N	2	8	37.60	E	61.449514	2.143778	6813320.090000	454344.980000	31	34	7	P	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4176	http://www.npd.no/FactMapSearch?NPDID_wellbore=4176	initial	\N	4176	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7/12-A-1 B	7/12-A-1	BP Amoco Norge AS	BP	019	PRODUCTION	OIL	DEVELOPMENT	2000-12-23	2001-02-12	ULA	1825-P	7/12-2 ULA	NO	57.000000	\N	4776.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	2000	2001	\N	50	ED50	57	6	41.49	N	2	50	50.66	E	57.111525	2.847406	6329952.850000	490757.510000	31	7	12	A	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4177	http://www.npd.no/FactMapSearch?NPDID_wellbore=4177	sidetrack	7/12-A-1 A	4177	44972	43800	9999-12-31	20916	271889	272029	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
31/5-J-22 Y1H	31/5-J-22	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2001-02-05	2001-03-08	TROLL	1827-P1	31/2-1 TROLL VEST	NO	23.000000	\N	4667.000000	314.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	YES	OIL	2001	2001	\N	50	ED50	60	43	45.35	N	3	39	23.79	E	60.729264	3.656608	6732970.190000	535816.450000	31	31	5	J	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4178	http://www.npd.no/FactMapSearch?NPDID_wellbore=4178	multilateral	31/5-J-22 AY3H	4178	44534	46437	9999-12-31	21476	289333	279981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-J-22 Y2H	31/5-J-22	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2001-03-09	2001-03-29	TROLL	1827-P2	31/2-1 TROLL VEST	NO	23.000000	\N	3795.000000	314.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	YES	OIL	2001	2001	\N	50	ED50	60	43	45.35	N	3	39	23.79	E	60.729264	3.656608	6732970.190000	535816.450000	31	31	5	J	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4179	http://www.npd.no/FactMapSearch?NPDID_wellbore=4179	multilateral	31/5-J-22 Y1H	4179	44534	46437	9999-12-31	21476	289333	279981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/8-E-1 AH	6507/8-E-1	Den norske stats oljeselskap a.s	STATOIL	124	PRODUCTION	\N	DEVELOPMENT	2000-10-14	2000-11-23	HEIDRUN	1826-P	6507/8-4 HEIDRUN NORD	NO	23.000000	\N	3010.000000	355.000000	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2000	2000	\N	71	ED50	65	22	59.66	N	7	22	9.90	E	65.383239	7.369417	7252329.610000	424213.310000	32	6507	8	E	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4180	http://www.npd.no/FactMapSearch?NPDID_wellbore=4180	sidetrack	6507/8-E-1 H	4180	44936	43771	9999-12-31	21804	296353	283621	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-X-20	2/4-X-20	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL/GAS	DEVELOPMENT	2000-10-17	2000-12-21	EKOFISK	1828-P	2/4-2 EKOFISK	NO	57.000000	\N	4940.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL/GAS	2000	2000	\N	0	ED50	56	32	51.22	N	3	13	8.47	E	56.547561	3.219019	6267185.330000	513466.660000	31	2	4	X	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4181	http://www.npd.no/FactMapSearch?NPDID_wellbore=4181	initial	\N	4181	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6507/8-E-3 BH	6507/8-E-3	Den norske stats oljeselskap a.s	STATOIL	124	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-09-24	2000-10-12	HEIDRUN	1829-P	6507/8-4 HEIDRUN NORD	NO	23.000000	\N	3562.000000	355.000000	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2000	2000	\N	99	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	6507	8	E	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4182	http://www.npd.no/FactMapSearch?NPDID_wellbore=4182	sidetrack	6507/8-E-3 AH	4182	44936	43771	9999-12-31	21804	296353	283621	0	STATOIL	2013-01-29	2013-01-29	2013-05-08
34/4-K-2 H	34/4-K-2	Saga Petroleum ASA	SAGA	057	INJECTION	WATER	DEVELOPMENT	2000-12-20	2001-01-30	SNORRE	1830-P	34/4-1 SNORRE	NO	18.000000	\N	2212.000000	347.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	34/4-K H	4	NO	WATER	2000	2001	\N	173	ED50	61	31	31.47	N	2	12	44.10	E	61.525408	2.212250	6821728.090000	458098.030000	31	34	4	K	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4183	http://www.npd.no/FactMapSearch?NPDID_wellbore=4183	initial	\N	4183	44654	43718	9999-12-31	21252	297514	284265	0	SAGA	2012-07-25	2012-07-25	2013-05-08
34/8-A-10 AH	34/8-A-10	Norsk Hydro Produksjon AS	HYDRO	120	INJECTION	WATER/GAS	DEVELOPMENT	2000-10-13	2000-11-27	VISUND	1831-P	34/8-1 VISUND	NO	29.000000	\N	3997.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	WATER/GAS	2000	2000	\N	0	ED50	61	22	13.47	N	2	27	31.43	E	61.370408	2.458731	6804328.340000	471065.280000	31	34	8	A	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4184	http://www.npd.no/FactMapSearch?NPDID_wellbore=4184	sidetrack	34/8-A-10 H	4184	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-11 H	31/2-L-11	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-10-01	2000-10-11	TROLL	1832-P	31/2-1 TROLL VEST	NO	23.000000	\N	2057.000000	326.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL L1	4	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	60	47	6.36	N	3	33	21.45	E	60.785100	3.555958	6739138.680000	530273.670000	31	31	2	L	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4185	http://www.npd.no/FactMapSearch?NPDID_wellbore=4185	initial	\N	4185	44534	46437	9999-12-31	21228	289333	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-11 AH	31/2-L-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-10-16	2000-11-11	TROLL	1833-P	31/2-1 TROLL VEST	NO	23.000000	\N	4710.000000	326.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL L1	4	NO	OIL	2000	2000	\N	50	ED50	60	47	6.36	N	3	33	21.45	E	60.785100	3.555958	6739138.680000	530273.670000	31	31	2	L	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4186	http://www.npd.no/FactMapSearch?NPDID_wellbore=4186	sidetrack	31/2-L-11 H	4186	44534	46437	9999-12-31	21228	289333	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-7 B	33/9-A-7	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2000-10-27	2000-11-08	STATFJORD	1834-P	33/12-1 STATFJORD	NO	64.400000	\N	3425.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	61	15	20.89	N	1	51	15.23	E	61.255803	1.854231	6791980.860000	438528.180000	31	33	9	A	7	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4187	http://www.npd.no/FactMapSearch?NPDID_wellbore=4187	sidetrack	33/9-A-7 A	4187	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/7-A-5 AH	6407/7-A-5	Norsk Hydro Produksjon AS	HYDRO	107	INJECTION	GAS	DEVELOPMENT	2000-12-11	2001-01-01	NJORD	1835-P	6407/7-1 S NJORD	NO	30.000000	\N	3507.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	GAS	2000	2001	\N	91	ED50	64	16	14.75	N	7	12	6.47	E	64.270764	7.201797	7128594.630000	412902.570000	32	6407	7	A	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4188	http://www.npd.no/FactMapSearch?NPDID_wellbore=4188	sidetrack	6407/7-A-5 H	4188	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-A-28 A	2/7-A-28	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2000-11-08	2001-01-31	ELDFISK	1836-P	2/7-1 ELDFISK	NO	43.000000	\N	5011.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL/GAS	2000	2001	\N	50	ED50	56	22	36.36	N	3	15	56.72	E	56.376767	3.265756	6248184.390000	516413.770000	31	2	7	A	28	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4190	http://www.npd.no/FactMapSearch?NPDID_wellbore=4190	sidetrack	2/7-A-28	4190	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/2-M-22 H	31/2-M-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-01-28	2001-04-10	TROLL	1837-P	31/2-1 TROLL VEST	NO	22.000000	\N	5542.000000	353.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL M1	4	NO	OIL	2001	2001	\N	50	ED50	60	55	53.23	N	3	39	51.03	E	60.931453	3.664175	6755494.660000	536001.230000	31	31	2	M	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4191	http://www.npd.no/FactMapSearch?NPDID_wellbore=4191	initial	\N	4191	44534	46437	9999-12-31	21228	287902	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-B-16 D	2/4-B-16	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2007-03-06	2007-04-25	EKOFISK	1838-P	2/4-2 EKOFISK	NO	51.500000	\N	3969.000000	74.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2007	2007	\N	50	ED50	56	33	54.71	N	3	12	13.04	E	56.565197	3.203622	6269145.520000	512514.120000	31	2	4	B	16	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4192	http://www.npd.no/FactMapSearch?NPDID_wellbore=4192	sidetrack	2/4-B-16 C	4192	44072	43506	9999-12-31	20900	296002	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/6-E-9 A	30/6-E-9	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	WATER	DEVELOPMENT	2000-09-23	2000-11-12	OSEBERG ØST	1839-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	3480.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	WATER	2000	2000	\N	173	ED50	60	42	1.87	N	2	56	7.06	E	60.700519	2.935294	6729591.210000	496467.270000	31	30	6	E	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4193	http://www.npd.no/FactMapSearch?NPDID_wellbore=4193	sidetrack	30/6-E-9	4193	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-39	31/4-A-39	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2000-12-12	2001-02-06	BRAGE	1840-P	31/4-3 BRAGE	NO	62.600000	\N	4425.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2000	2001	\N	50	ED50	60	32	32.92	N	3	2	51.03	E	60.542478	3.047508	6711987.250000	502606.530000	31	31	4	A	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4195	http://www.npd.no/FactMapSearch?NPDID_wellbore=4195	initial	\N	4195	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/2-A-8	30/2-A-8	Den norske stats oljeselskap a.s	STATOIL	051	PRODUCTION	GAS	DEVELOPMENT	2000-11-03	2001-01-19	HULDRA	1841-P	30/2-1 HULDRA	NO	49.000000	\N	4474.000000	125.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	HULDRA	4	NO	GAS	2000	2001	\N	90	ED50	60	51	21.48	N	2	39	0.62	E	60.855967	2.650172	6746954.740000	480992.770000	31	30	2	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4196	http://www.npd.no/FactMapSearch?NPDID_wellbore=4196	initial	\N	4196	44372	97002	9999-12-31	21204	296002	277573	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-H-1 H	6506/12-H-1	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	GAS	DEVELOPMENT	2000-10-28	2000-12-04	ÅSGARD	1842-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5728.000000	287.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD H	8	NO	GAS	2000	2000	\N	90	ED50	65	7	6.39	N	6	40	27.52	E	65.118442	6.674311	7223846.050000	390827.910000	32	6506	12	H	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4197	http://www.npd.no/FactMapSearch?NPDID_wellbore=4197	initial	\N	4197	44900	43765	9999-12-31	21556	296326	278665	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-J-4 H	6506/12-J-4	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2000-12-09	2001-01-17	ÅSGARD	1843-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5522.000000	254.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD J	8	NO	OIL	2000	2001	\N	50	ED50	65	9	58.75	N	6	43	59.42	E	65.166319	6.733172	7229079.110000	393781.580000	32	6506	12	J	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4198	http://www.npd.no/FactMapSearch?NPDID_wellbore=4198	initial	\N	4198	44900	43765	9999-12-31	21556	296326	278693	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-L-13 H	31/2-L-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-11-05	2000-12-16	TROLL	1844-P	31/2-1 TROLL VEST	NO	23.000000	\N	5348.000000	326.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL L1	4	NO	OIL	2000	2000	\N	50	ED50	60	47	6.32	N	3	33	21.98	E	60.785089	3.556106	6739137.510000	530281.700000	31	31	2	L	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4199	http://www.npd.no/FactMapSearch?NPDID_wellbore=4199	initial	\N	4199	44534	46437	9999-12-31	21228	289333	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-C-3 CH	25/11-C-3	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-12-20	2001-01-08	BALDER	1845-P	25/11-1 BALDER	NO	23.000000	\N	3024.000000	127.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-C-3 H	1-A	NO	NOT APPLICABLE	2000	2001	\N	99	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	25	11	C	3	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4200	http://www.npd.no/FactMapSearch?NPDID_wellbore=4200	sidetrack	25/11-C-3 BH	4200	44210	43562	9999-12-31	20756	287983	284013	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-C-3 DH	25/11-C-3	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-01-08	2001-01-21	BALDER	1846-P	25/11-1 BALDER	NO	23.000000	\N	3735.000000	127.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-C-3 H	1-A	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	25	11	C	3	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4201	http://www.npd.no/FactMapSearch?NPDID_wellbore=4201	sidetrack	25/11-C-3 CH	4201	44210	43562	9999-12-31	20756	287983	284013	0	ESSO	2012-07-25	2012-07-25	2013-05-08
15/6-A-3 H	15/6-A-3	Den norske stats oljeselskap a.s	STATOIL	029	PRODUCTION	OIL	DEVELOPMENT	2000-10-17	2000-12-04	GLITNE	1847-P	15/5-5 GLITNE	NO	25.000000	\N	4225.000000	111.500000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	PETROJARL 1	2-A	NO	OIL	2000	2000	\N	50	ED50	58	42	46.61	N	1	40	5.43	E	58.712947	1.668175	6509005.030000	422847.050000	31	15	6	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4202	http://www.npd.no/FactMapSearch?NPDID_wellbore=4202	initial	\N	4202	43904	1272071	9999-12-31	21020	341331	280513	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/6-A-2 H	15/6-A-2	Den norske stats oljeselskap a.s	STATOIL	029	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-10-18	2000-11-09	GLITNE	1849-P	15/5-5 GLITNE	NO	25.000000	\N	2589.000000	102.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	PETROJARL 1	2-A	NO	NOT APPLICABLE	2000	2000	\N	99	ED50	58	42	46.36	N	1	40	5.69	E	58.712878	1.668247	6508997.210000	422851.080000	31	15	6	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4203	http://www.npd.no/FactMapSearch?NPDID_wellbore=4203	initial	\N	4203	43904	1272071	9999-12-31	21020	341331	280513	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/6-A-2 AH	15/6-A-2	Den norske stats oljeselskap a.s	STATOIL	029	PRODUCTION	OIL	DEVELOPMENT	2000-11-09	2000-12-21	GLITNE	1850-P	15/5-5 GLITNE	NO	25.000000	\N	3866.000000	102.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	PETROJARL 1	2-A	NO	OIL	2000	2000	\N	50	ED50	58	42	46.36	N	1	40	5.69	E	58.712878	1.668247	6508997.210000	422851.080000	31	15	6	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4204	http://www.npd.no/FactMapSearch?NPDID_wellbore=4204	sidetrack	15/6-A-2 H	4204	43904	1272071	9999-12-31	21020	341331	280513	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/8-B-18	25/8-B-18	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2000-11-16	2000-12-17	JOTUN	1851-P	25/8-5 S JOTUN	NO	52.000000	\N	4540.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2000	2000	\N	50	ED50	59	27	3.53	N	2	22	0.70	E	59.450981	2.366861	6590594.440000	464100.060000	31	25	8	B	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4205	http://www.npd.no/FactMapSearch?NPDID_wellbore=4205	initial	\N	4205	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
33/9-C-15 A	33/9-C-15	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-01-01	2001-02-03	STATFJORD	1852-P	33/12-1 STATFJORD	NO	78.400000	\N	4167.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	17	47.97	N	1	54	10.91	E	61.296658	1.903031	6796486.550000	441222.590000	31	33	9	C	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4206	http://www.npd.no/FactMapSearch?NPDID_wellbore=4206	sidetrack	33/9-C-15	4206	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-N-13 H	31/2-N-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2000-11-28	2001-01-14	TROLL	1853-P	31/2-1 TROLL VEST	NO	35.500000	\N	4963.000000	376.500000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N1	4	NO	OIL	2000	2001	\N	50	ED50	60	54	56.39	N	3	35	12.08	E	60.915664	3.586689	6753695.940000	531816.960000	31	31	2	N	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4207	http://www.npd.no/FactMapSearch?NPDID_wellbore=4207	initial	\N	4207	44534	46437	9999-12-31	21228	297055	279729	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-5 A	30/6-E-5	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2000-11-25	2000-12-07	OSEBERG ØST	1855-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	4645.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	2000	2000	\N	50	ED50	60	42	1.94	N	2	56	6.91	E	60.700539	2.935253	6729593.380000	496465.000000	31	30	6	E	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4208	http://www.npd.no/FactMapSearch?NPDID_wellbore=4208	sidetrack	30/6-E-5	4208	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-19	6507/7-A-19	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2000-11-12	2001-01-03	HEIDRUN	1856-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3732.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2000	2001	\N	50	ED50	65	19	32.80	N	7	19	2.99	E	65.325778	7.317497	7245990.310000	421629.700000	32	6507	7	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4210	http://www.npd.no/FactMapSearch?NPDID_wellbore=4210	initial	\N	4210	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/8-E-3 CH	6507/8-E-3	Den norske stats oljeselskap a.s	STATOIL	124	PRODUCTION	\N	DEVELOPMENT	2000-11-25	2000-12-10	HEIDRUN	1857-P	6507/8-4 HEIDRUN NORD	NO	23.000000	\N	2882.000000	355.000000	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2000	2000	\N	71	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	6507	8	E	3	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4211	http://www.npd.no/FactMapSearch?NPDID_wellbore=4211	sidetrack	6507/8-E-3 BH	4211	44936	43771	9999-12-31	21804	296353	283621	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/8-B-2 H	34/8-B-2	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	OIL	DEVELOPMENT	2001-01-08	2001-05-09	VISUND	1858-P	34/8-1 VISUND	NO	29.000000	\N	6104.000000	382.000000	NORTH SEA	WEST DELTA	SEMISUB STEEL	VISUND NORD	10-A	NO	OIL	2001	2001	\N	50	ED50	61	25	51.92	N	2	34	5.57	E	61.431089	2.568214	6811044.180000	476962.600000	31	34	8	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4212	http://www.npd.no/FactMapSearch?NPDID_wellbore=4212	initial	\N	4212	44720	43745	9999-12-31	21772	287821	280625	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-I-3 H	34/10-I-3	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2000-12-19	2001-02-04	GULLFAKS SØR	1859-P	34/10-17 RIMFAKS	NO	25.000000	\N	4838.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR I	Awarded additionaly to round 3	NO	OIL	2000	2001	\N	50	ED50	61	3	19.55	N	2	2	12.69	E	61.055431	2.036858	6769504.580000	447997.170000	31	34	10	I	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4215	http://www.npd.no/FactMapSearch?NPDID_wellbore=4215	initial	\N	4215	44600	43699	9999-12-31	21188	297028	280653	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-37	30/9-B-37	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2000-12-04	2001-02-06	OSEBERG	1860-P	30/6-1 OSEBERG	NO	58.000000	\N	5710.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2000	2001	\N	50	ED50	60	29	35.88	N	2	49	42.53	E	60.493300	2.828481	6706521.100000	490575.360000	31	30	9	B	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4216	http://www.npd.no/FactMapSearch?NPDID_wellbore=4216	initial	\N	4216	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-M-1 H	34/10-M-1	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-12-19	2001-01-10	GULLFAKS SØR	1861-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	3771.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR M	Awarded additionaly to round 3	NO	NOT APPLICABLE	2000	2001	\N	99	ED50	61	5	49.35	N	2	11	33.93	E	61.097042	2.192758	6774025.610000	456471.500000	31	34	10	M	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4218	http://www.npd.no/FactMapSearch?NPDID_wellbore=4218	initial	\N	4218	44606	43699	9999-12-31	21188	296164	281017	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-M-1 AH	34/10-M-1	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2001-01-10	2001-01-28	GULLFAKS SØR	1862-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	3641.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR M	Awarded additionaly to round 3	NO	OIL	2001	2001	\N	50	ED50	61	5	49.35	N	2	11	33.93	E	61.097042	2.192758	6774025.610000	456471.500000	31	34	10	M	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4219	http://www.npd.no/FactMapSearch?NPDID_wellbore=4219	sidetrack	34/10-M-1 H	4219	44606	43699	9999-12-31	21188	296164	281017	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-11 B	33/12-B-11	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-01-07	2001-02-08	STATFJORD	1863-P	33/12-1 STATFJORD	NO	77.800000	\N	4700.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	12	25.12	N	1	49	52.27	E	61.206978	1.831186	6786564.590000	437194.650000	31	33	12	B	11	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4220	http://www.npd.no/FactMapSearch?NPDID_wellbore=4220	sidetrack	33/12-B-11 A	4220	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-F-9 A	2/8-F-9	BP Amoco Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2001-04-05	2001-06-25	VALHALL	1864-P	2/8-6 VALHALL	NO	56.200000	\N	5109.000000	71.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	Awarded additionaly to round 1-A	NO	OIL	2001	2001	\N	50	ED50	56	16	35.46	N	3	23	47.22	E	56.276517	3.396450	6237064.740000	524550.020000	31	2	8	F	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4221	http://www.npd.no/FactMapSearch?NPDID_wellbore=4221	sidetrack	2/8-F-9	4221	44162	43548	9999-12-31	1333048	292114	278385	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
33/9-M-2 AH	33/9-M-2	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-01-13	2001-03-15	STATFJORD ØST	1865-P	33/9-7 STATFJORD ØST	NO	31.000000	\N	5221.000000	195.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	STATFJORD ØST M	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	20	28.52	N	1	59	59.63	E	61.341256	1.999897	6801370.710000	446488.640000	31	33	9	M	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4222	http://www.npd.no/FactMapSearch?NPDID_wellbore=4222	sidetrack	33/9-M-2 H	4222	44582	43672	9999-12-31	21084	297784	278021	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-F-15	30/9-F-15	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	WATER	DEVELOPMENT	2000-12-19	2001-01-13	OSEBERG SØR	1866-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	1005.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER	2000	2001	\N	172	ED50	60	23	24.72	N	2	47	49.49	E	60.390200	2.797081	6695042.770000	488814.620000	31	30	9	F	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4223	http://www.npd.no/FactMapSearch?NPDID_wellbore=4223	initial	\N	4223	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-33	2/4-X-33	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL/GAS	DEVELOPMENT	2001-01-16	2001-02-02	EKOFISK	1867-P	2/4-2 EKOFISK	NO	57.000000	\N	3539.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2001	2001	\N	0	ED50	56	32	51.77	N	3	13	8.54	E	56.547714	3.219039	6267202.340000	513467.800000	31	2	4	X	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4224	http://www.npd.no/FactMapSearch?NPDID_wellbore=4224	initial	\N	4224	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-I-5 BH	34/7-I-5	Norsk Hydro Produksjon AS	HYDRO	089	PRODUCTION	OIL	DEVELOPMENT	2001-01-12	2001-04-06	TORDIS	1868-P	34/7-12 TORDIS	NO	31.000000	\N	4727.000000	200.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	34/7-I-5 H	8	NO	OIL	2001	2001	\N	50	ED50	61	16	35.24	N	2	7	3.63	E	61.276456	2.117675	6794061.970000	452692.640000	31	34	7	I	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4225	http://www.npd.no/FactMapSearch?NPDID_wellbore=4225	sidetrack	34/7-I-5 AH	4225	44666	43725	9999-12-31	21516	290170	281717	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-B-25	25/8-B-25	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2000-12-20	2001-01-15	JOTUN	1869-P	25/8-5 S JOTUN	NO	52.000000	\N	4407.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2000	2001	\N	50	ED50	59	27	3.90	N	2	22	0.37	E	59.451083	2.366769	6590605.940000	464094.970000	31	25	8	B	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4226	http://www.npd.no/FactMapSearch?NPDID_wellbore=4226	initial	\N	4226	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/10-C-44	34/10-C-44	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2000-12-24	2001-02-09	GULLFAKS	1870-P	34/10-1 GULLFAKS	NO	84.000000	\N	4340.000000	217.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	NOT APPLICABLE	2000	2001	\N	99	ED50	61	12	54.84	N	2	16	26.70	E	61.215233	2.274083	6787139.290000	461002.720000	31	34	10	C	44	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4227	http://www.npd.no/FactMapSearch?NPDID_wellbore=4227	initial	\N	4227	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-C-44 A	34/10-C-44	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2001-02-09	2001-03-09	GULLFAKS	1871-P	34/10-1 GULLFAKS	NO	84.000000	\N	4380.000000	217.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2001	2001	\N	50	ED50	61	12	54.84	N	2	16	26.70	E	61.215233	2.274083	6787139.290000	461002.720000	31	34	10	C	44	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4228	http://www.npd.no/FactMapSearch?NPDID_wellbore=4228	sidetrack	34/10-C-44	4228	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-X-24 H	31/2-X-24	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-01-07	2001-01-14	TROLL	1872-P	31/2-1 TROLL VEST	NO	23.000000	\N	1572.000000	329.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL T2	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	48	29.04	N	3	35	35.20	E	60.808067	3.593111	6741714.480000	532273.600000	31	31	2	X	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4229	http://www.npd.no/FactMapSearch?NPDID_wellbore=4229	initial	\N	4229	44534	46437	9999-12-31	21228	289333	280401	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-X-24 AH	31/2-X-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-01-18	2001-02-03	TROLL	1873-P	31/2-1 TROLL VEST	NO	23.000000	\N	4848.000000	329.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL T2	4	NO	OIL	2001	2001	\N	50	ED50	60	48	29.04	N	3	35	35.20	E	60.808067	3.593111	6741714.480000	532273.600000	31	31	2	X	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4230	http://www.npd.no/FactMapSearch?NPDID_wellbore=4230	sidetrack	31/2-X-24 H	4230	44534	46437	9999-12-31	21228	289333	280401	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-23 H	34/8-A-23	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	GAS	DEVELOPMENT	2001-01-18	2001-06-27	VISUND	1874-P	34/8-1 VISUND	NO	29.000000	\N	6616.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	\N	2001	2001	\N	90	ED50	61	22	12.02	N	2	27	33.78	E	61.370006	2.459383	6804283.180000	471099.800000	31	34	8	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4231	http://www.npd.no/FactMapSearch?NPDID_wellbore=4231	initial	\N	4231	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/6-A-1 H	15/6-A-1	Den norske stats oljeselskap a.s	STATOIL	029	PRODUCTION	OIL	DEVELOPMENT	2000-12-21	2001-01-19	GLITNE	1875-P	15/5-5 GLITNE	NO	25.000000	\N	3891.000000	111.500000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	PETROJARL 1	2-A	NO	OIL	2000	2001	\N	50	ED50	58	42	47.90	N	1	40	5.29	E	58.713306	1.668136	6509044.970000	422845.590000	31	15	6	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4232	http://www.npd.no/FactMapSearch?NPDID_wellbore=4232	initial	\N	4232	43904	1272071	9999-12-31	21020	341331	280513	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-P-21 A	34/7-P-21	Norsk Hydro Produksjon AS	HYDRO	089	INJECTION	WATER	DEVELOPMENT	2001-02-11	2001-04-01	SNORRE	1876-P	34/4-1 SNORRE	NO	59.000000	\N	4626.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	2001	2001	\N	173	ED50	61	26	57.46	N	2	8	36.54	E	61.449294	2.143483	6813295.850000	454328.960000	31	34	7	P	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4233	http://www.npd.no/FactMapSearch?NPDID_wellbore=4233	sidetrack	34/7-P-21	4233	44654	43718	9999-12-31	21516	272085	272085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-B-12 A	25/8-B-12	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	JOTUN	1877-P	25/8-5 S JOTUN	NO	52.000000	\N	0.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	0	0	\N	0	ED50	59	27	4.00	N	2	22	0.80	E	59.451111	2.366889	6590608.970000	464101.780000	31	25	8	B	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4234	http://www.npd.no/FactMapSearch?NPDID_wellbore=4234	sidetrack	25/8-B-12	4234	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-B-12 B	25/8-B-12	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	JOTUN	1878-P	25/8-5 S JOTUN	NO	52.000000	\N	0.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	0	0	\N	0	ED50	59	27	4.00	N	2	22	0.80	E	59.451111	2.366889	6590608.970000	464101.780000	31	25	8	B	12	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4235	http://www.npd.no/FactMapSearch?NPDID_wellbore=4235	sidetrack	25/8-B-12 A	4235	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-B-22 A	25/8-B-22	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	WATER	DEVELOPMENT	2001-01-28	2001-02-01	JOTUN	1879-P	25/8-5 S JOTUN	NO	52.000000	\N	4724.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	173	ED50	59	27	3.64	N	2	22	1.13	E	59.451011	2.366981	6590597.780000	464106.870000	31	25	8	B	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4236	http://www.npd.no/FactMapSearch?NPDID_wellbore=4236	sidetrack	25/8-B-22	4236	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
31/2-X-11 H	31/2-X-11	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-01-14	2001-02-04	TROLL	1880-P	31/2-1 TROLL VEST	NO	35.500000	\N	2218.000000	334.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL T1	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	49	57.38	N	3	36	14.59	E	60.832606	3.604053	6744453.120000	532843.810000	31	31	2	X	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4237	http://www.npd.no/FactMapSearch?NPDID_wellbore=4237	initial	\N	4237	44534	46437	9999-12-31	21228	297055	280373	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-X-11 AH	31/2-X-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-02-05	2001-03-09	TROLL	1881-P	31/2-1 TROLL VEST	NO	35.500000	\N	4837.000000	334.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL T1	4	NO	OIL	2001	2001	\N	50	ED50	60	49	57.38	N	3	36	14.59	E	60.832606	3.604053	6744453.120000	532843.810000	31	31	2	X	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4238	http://www.npd.no/FactMapSearch?NPDID_wellbore=4238	sidetrack	31/2-X-11 H	4238	44534	46437	9999-12-31	21228	297055	280373	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-7 A	30/6-E-7	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2001-01-27	2001-02-20	OSEBERG ØST	1883-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	4609.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	2001	2001	\N	50	ED50	60	42	1.87	N	2	56	6.76	E	60.700519	2.935211	6729591.210000	496462.720000	31	30	6	E	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4239	http://www.npd.no/FactMapSearch?NPDID_wellbore=4239	sidetrack	30/6-E-7	4239	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-B-18 H	25/11-B-18	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	2001-01-21	2001-03-03	BALDER	1885-P	25/11-1 BALDER	NO	23.000000	\N	3020.000000	127.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-B-18 H	1-A	NO	OIL	2001	2001	\N	50	ED50	59	10	39.19	N	2	22	46.05	E	59.177553	2.379458	6560139.460000	464530.720000	31	25	11	B	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4240	http://www.npd.no/FactMapSearch?NPDID_wellbore=4240	initial	\N	4240	44210	43562	9999-12-31	20756	287983	283873	0	ESSO	2012-07-25	2012-07-25	2013-05-08
30/2-A-5	30/2-A-5	Den norske stats oljeselskap a.s	STATOIL	051	PRODUCTION	GAS	DEVELOPMENT	2001-01-19	2001-02-03	HULDRA	1886-P	30/2-1 HULDRA	NO	49.000000	\N	4090.000000	125.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	HULDRA	4	NO	GAS	2001	2001	\N	90	ED50	60	51	21.55	N	2	39	0.55	E	60.855986	2.650153	6746956.910000	480991.720000	31	30	2	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4241	http://www.npd.no/FactMapSearch?NPDID_wellbore=4241	initial	\N	4241	44372	97002	9999-12-31	21204	296002	277573	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-M-1 H	6506/12-M-1	Den norske stats oljeselskap a.s	STATOIL	094	INJECTION	OIL	DEVELOPMENT	2001-01-18	2001-02-23	ÅSGARD	1887-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5065.000000	273.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD M	8	NO	GAS	2001	2001	\N	50	ED50	65	10	24.29	N	6	48	3.52	E	65.173414	6.800978	7229757.050000	396985.310000	32	6506	12	M	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4242	http://www.npd.no/FactMapSearch?NPDID_wellbore=4242	initial	\N	4242	44900	43765	9999-12-31	21556	296326	278805	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-F-2	30/9-F-2	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	CUTTINGS	DEVELOPMENT	2001-01-17	2001-01-25	OSEBERG SØR	1888-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	1505.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	CUTTINGS	2001	2001	\N	171	ED50	60	23	24.91	N	2	47	49.24	E	60.390253	2.797011	6695048.660000	488810.810000	31	30	9	F	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4243	http://www.npd.no/FactMapSearch?NPDID_wellbore=4243	initial	\N	4243	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/6-A-4 H	15/6-A-4	Den norske stats oljeselskap a.s	STATOIL	029	PRODUCTION	\N	DEVELOPMENT	2001-01-20	2001-02-03	GLITNE	1889-P	15/5-5 GLITNE	NO	25.000000	\N	4034.000000	111.500000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	PETROJARL 1	2-A	NO	OIL	2001	2001	\N	71	ED50	58	42	44.64	N	1	40	5.63	E	58.712400	1.668231	6508944.040000	422849.060000	31	15	6	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4245	http://www.npd.no/FactMapSearch?NPDID_wellbore=4245	initial	\N	4245	43904	1272071	9999-12-31	21020	341331	280513	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-A-47	6507/7-A-47	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2001-01-19	2001-03-13	HEIDRUN	1890-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3699.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2001	2001	\N	50	ED50	65	19	32.63	N	7	19	4.38	E	65.325731	7.317883	7245984.570000	421647.540000	32	6507	7	A	47	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4246	http://www.npd.no/FactMapSearch?NPDID_wellbore=4246	initial	\N	4246	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-40 B	30/9-B-40	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	\N	DEVELOPMENT	2001-02-07	2001-02-25	OSEBERG	1891-P	30/6-1 OSEBERG	NO	58.000000	\N	2380.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2001	2001	\N	71	ED50	60	29	35.93	N	2	49	43.03	E	60.493314	2.828619	6706522.630000	490583.000000	31	30	9	B	40	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4248	http://www.npd.no/FactMapSearch?NPDID_wellbore=4248	sidetrack	30/9-B-40 A	4248	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-17	30/9-F-17	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-01-28	2001-05-17	OSEBERG SØR	1892-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	5545.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	23	24.61	N	2	47	49.24	E	60.390169	2.797011	6695039.380000	488810.790000	31	30	9	F	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4249	http://www.npd.no/FactMapSearch?NPDID_wellbore=4249	initial	\N	4249	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-17 A	30/9-F-17	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-05-18	2001-06-14	OSEBERG SØR	1893-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	4019.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	23	24.61	N	2	47	49.24	E	60.390169	2.797011	6695039.380000	488810.790000	31	30	9	F	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4250	http://www.npd.no/FactMapSearch?NPDID_wellbore=4250	sidetrack	30/9-F-17	4250	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-4 A	33/9-C-4	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	2001-03-28	2001-04-18	STATFJORD	1894-P	33/12-1 STATFJORD	NO	78.400000	\N	5627.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	2001	2001	\N	173	ED50	61	17	48.13	N	1	54	10.89	E	61.296703	1.903025	6796491.500000	441222.370000	31	33	9	C	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4251	http://www.npd.no/FactMapSearch?NPDID_wellbore=4251	sidetrack	33/9-C-4	4251	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-M-21 H	31/2-M-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-07-08	2001-09-06	TROLL	1966-P	31/2-1 TROLL VEST	NO	22.000000	\N	5231.000000	353.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL M1	4	NO	OIL	2001	2001	\N	50	ED50	60	55	53.04	N	3	39	50.95	E	60.931400	3.664153	6755488.770000	536000.080000	31	31	2	M	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4252	http://www.npd.no/FactMapSearch?NPDID_wellbore=4252	initial	\N	4252	44534	46437	9999-12-31	21228	287902	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-32	2/4-X-32	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2001-02-19	2001-04-10	EKOFISK	1895-P	2/4-2 EKOFISK	NO	57.000000	\N	3512.000000	75.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2001	2001	\N	50	ED50	56	32	51.78	N	3	13	8.40	E	56.547717	3.219000	6267202.640000	513465.400000	31	2	4	X	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4254	http://www.npd.no/FactMapSearch?NPDID_wellbore=4254	initial	\N	4254	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/4-A-23 A	31/4-A-23	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-03-05	2001-03-31	BRAGE	1896-P	31/4-3 BRAGE	NO	63.000000	\N	2738.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	32	33.09	N	3	2	50.86	E	60.542525	3.047461	6711992.510000	502603.940000	31	31	4	A	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4255	http://www.npd.no/FactMapSearch?NPDID_wellbore=4255	sidetrack	31/4-A-23	4255	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-23 B	31/4-A-23	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2001-03-31	2001-04-12	BRAGE	1897-P	31/4-3 BRAGE	NO	63.000000	\N	3156.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2001	2001	\N	50	ED50	60	32	33.09	N	3	2	50.86	E	60.542525	3.047461	6711992.510000	502603.940000	31	31	4	A	23	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4256	http://www.npd.no/FactMapSearch?NPDID_wellbore=4256	sidetrack	31/4-A-23 A	4256	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/8-E-2 H	6507/8-E-2	Den norske stats oljeselskap a.s	STATOIL	124	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-01-27	2001-03-13	HEIDRUN	1901-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	2815.000000	355.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2001	2001	\N	99	ED50	65	22	59.96	N	7	22	9.99	E	65.383322	7.369442	7252338.860000	424214.720000	32	6507	8	E	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4258	http://www.npd.no/FactMapSearch?NPDID_wellbore=4258	initial	\N	4258	44936	43771	9999-12-31	21804	296218	283621	0	STATOIL	2013-01-29	2013-01-29	2013-05-08
6507/8-E-4 H	6507/8-E-4	Den norske stats oljeselskap a.s	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2001-03-15	2001-05-05	HEIDRUN	1918-P	6507/8-4 HEIDRUN NORD	NO	23.000000	\N	2830.000000	355.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2001	2001	\N	50	ED50	65	22	59.65	N	7	22	10.20	E	65.383236	7.369500	7252329.200000	424217.180000	32	6507	8	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4259	http://www.npd.no/FactMapSearch?NPDID_wellbore=4259	initial	\N	4259	44936	43771	9999-12-31	21804	296218	283621	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-A-18 B	2/7-A-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2001-03-08	2001-04-02	ELDFISK	1898-P	2/7-1 ELDFISK	NO	43.000000	\N	4308.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2001	2001	\N	50	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	2	7	A	18	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4260	http://www.npd.no/FactMapSearch?NPDID_wellbore=4260	sidetrack	2/7-A-18 A	4260	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/6-E-11 A	30/6-E-11	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	\N	DEVELOPMENT	2001-03-12	2001-04-22	OSEBERG ØST	1900-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	6410.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	2001	2001	\N	71	ED50	60	42	1.79	N	2	56	6.91	E	60.700497	2.935253	6729588.740000	496464.990000	31	30	6	E	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4263	http://www.npd.no/FactMapSearch?NPDID_wellbore=4263	sidetrack	30/6-E-11	4263	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-12 H	31/2-N-12	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-03-15	2001-05-05	TROLL	1902-P	31/2-1 TROLL VEST	NO	35.500000	\N	4880.000000	376.500000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N1	4	NO	OIL	2001	2001	\N	50	ED50	60	54	56.56	N	3	35	11.49	E	60.915711	3.586525	6753701.120000	531808.020000	31	31	2	N	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4264	http://www.npd.no/FactMapSearch?NPDID_wellbore=4264	initial	\N	4264	44534	46437	9999-12-31	21228	297055	279729	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-A-19 H	25/11-A-19	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-03-12	2001-03-30	BALDER	1903-P	25/11-1 BALDER	NO	23.000000	\N	3660.000000	126.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-A-19 H	1-A	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	59	11	30.09	N	2	21	31.68	E	59.191692	2.358800	6561725.060000	463365.080000	31	25	11	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4265	http://www.npd.no/FactMapSearch?NPDID_wellbore=4265	initial	\N	4265	44210	43562	9999-12-31	20756	287983	341394	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-A-19 AH	25/11-A-19	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	2001-04-01	2001-05-03	BALDER	1904-P	25/11-1 BALDER	NO	23.000000	\N	3791.000000	126.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-A-19 H	1-A	NO	OIL	2001	2001	\N	50	ED50	59	11	30.09	N	2	21	31.68	E	59.191692	2.358800	6561725.060000	463365.080000	31	25	11	A	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4266	http://www.npd.no/FactMapSearch?NPDID_wellbore=4266	sidetrack	25/11-A-19 H	4266	44210	43562	9999-12-31	20756	287983	341394	0	ESSO	2012-07-25	2012-07-25	2013-05-08
31/2-M-13 Y1H	31/2-M-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-04-11	2001-06-02	TROLL	1905-P1	31/2-1 TROLL VEST	NO	22.000000	\N	4947.000000	346.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL M1	4	YES	OIL	2001	2001	\N	50	ED50	60	54	56.17	N	3	37	35.59	E	60.915603	3.626553	6753709.140000	533978.850000	31	31	2	M	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4267	http://www.npd.no/FactMapSearch?NPDID_wellbore=4267	multilateral	\N	4267	44534	46437	9999-12-31	21228	287902	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-M-13 Y2H	31/2-M-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-06-05	2001-07-06	TROLL	1905-P2	31/2-1 TROLL VEST	NO	22.000000	\N	3870.000000	346.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL M1	4	YES	OIL	2001	2001	\N	50	ED50	60	54	56.17	N	3	37	35.59	E	60.915603	3.626553	6753709.140000	533978.850000	31	31	2	M	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4268	http://www.npd.no/FactMapSearch?NPDID_wellbore=4268	multilateral	31/2-M-13 Y1H	4268	44534	46437	9999-12-31	21228	287902	279057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-S-4 H	6506/12-S-4	Den norske stats oljeselskap a.s	STATOIL	094	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-02-25	2001-04-14	ÅSGARD	1906-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5483.000000	304.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD S	8	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	65	0	57.84	N	6	56	45.48	E	65.016067	6.945967	7211998.430000	403205.220000	32	6506	12	S	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4269	http://www.npd.no/FactMapSearch?NPDID_wellbore=4269	initial	\N	4269	44900	43765	9999-12-31	21556	296326	278833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-S-4 AH	6506/12-S-4	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2001-04-14	2001-04-29	ÅSGARD	1907-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5690.000000	304.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD S	8	NO	OIL	2001	2001	\N	50	ED50	65	0	57.84	N	6	56	45.48	E	65.016067	6.945967	7211998.430000	403205.220000	32	6506	12	S	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4270	http://www.npd.no/FactMapSearch?NPDID_wellbore=4270	sidetrack	6506/12-S-4 H	4270	44900	43765	9999-12-31	21556	296326	278833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-F-10	30/9-F-10	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	WATER	DEVELOPMENT	2001-08-13	2001-09-17	OSEBERG SØR	1908-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	1034.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER	2001	2001	\N	172	ED50	60	23	24.77	N	2	47	49.31	E	60.390214	2.797031	6695044.320000	488811.870000	31	30	9	F	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4271	http://www.npd.no/FactMapSearch?NPDID_wellbore=4271	initial	\N	4271	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/5-B-1 H	15/5-B-1	Den norske stats oljeselskap a.s	STATOIL	048 B	INJECTION	WATER	DEVELOPMENT	2001-02-25	2001-03-31	GLITNE	1909-P	15/5-5 GLITNE	NO	25.000000	\N	2376.000000	110.000000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	PETROJARL 1	Awarded additionaly to round 3	NO	WATER/GAS	2001	2001	\N	173	ED50	58	43	58.56	N	1	38	33.32	E	58.732933	1.642589	6511259.930000	421410.030000	31	15	5	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4272	http://www.npd.no/FactMapSearch?NPDID_wellbore=4272	initial	\N	4272	43904	1272071	9999-12-31	1342723	341331	280513	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-L-4 AH	34/10-L-4	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	GAS	DEVELOPMENT	2001-02-27	2001-03-08	GULLFAKS SØR	1910-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	3680.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR L	Awarded additionaly to round 3	NO	GAS	2001	2001	\N	90	ED50	61	5	48.29	N	2	11	33.99	E	61.096747	2.192775	6773992.800000	456471.990000	31	34	10	L	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4276	http://www.npd.no/FactMapSearch?NPDID_wellbore=4276	sidetrack	34/10-L-4 H	4276	44606	43699	9999-12-31	21188	296164	279617	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/8-E-3 DH	6507/8-E-3	Den norske stats oljeselskap a.s	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2001-02-19	2001-02-27	HEIDRUN	1911-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	3119.000000	355.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2001	2001	\N	50	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	6507	8	E	3	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4277	http://www.npd.no/FactMapSearch?NPDID_wellbore=4277	sidetrack	6507/8-E-3 CH	4277	44936	43771	9999-12-31	21804	296218	283621	0	STATOIL	2013-01-29	2013-01-29	2013-05-08
6507/8-F-3 H	6507/8-F-3	Statoil ASA (old)	STATOIL	124	INJECTION	WATER	DEVELOPMENT	2003-08-05	2003-09-01	HEIDRUN	2302-P	6507/8-4 HEIDRUN NORD	NO	18.000000	\N	4338.000000	358.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	HEIDRUN F	10-B	NO	WATER	2003	2003	\N	173	ED50	65	22	10.12	N	7	21	25.52	E	65.369478	7.357089	7250811.100000	423600.460000	32	6507	8	F	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4284	http://www.npd.no/FactMapSearch?NPDID_wellbore=4284	initial	\N	4284	44936	43771	9999-12-31	21804	297514	283649	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/8-F-1 H	6507/8-F-1	Statoil ASA (old)	STATOIL	124	INJECTION	WATER	DEVELOPMENT	2003-07-06	2003-09-29	HEIDRUN	2301-P	6507/8-4 HEIDRUN NORD	NO	18.000000	\N	5090.000000	358.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	HEIDRUN F	10-B	NO	WATER	2003	2003	\N	173	ED50	65	22	9.84	N	7	21	25.11	E	65.369400	7.356975	7250802.570000	423594.940000	32	6507	8	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4285	http://www.npd.no/FactMapSearch?NPDID_wellbore=4285	initial	\N	4285	44936	43771	9999-12-31	21804	297514	283649	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6407/9-D-1 H	6407/9-D-1	A/S Norske Shell	SHELL	093	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-05-03	2001-05-29	DRAUGEN	1912-P	6407/9-1 DRAUGEN	NO	25.000000	\N	2093.000000	265.000000	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	6407/9-D-2 H	8	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	64	20	32.73	N	7	43	25.83	E	64.342425	7.723842	7135968.290000	438345.370000	32	6407	9	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4286	http://www.npd.no/FactMapSearch?NPDID_wellbore=4286	initial	\N	4286	44888	43758	9999-12-31	21548	341331	284097	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6407/9-D-1 AH	6407/9-D-1	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	2001-05-29	2001-07-16	DRAUGEN	1913-P	6407/9-1 DRAUGEN	NO	25.000000	\N	2680.000000	265.000000	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	6407/9-D-2 H	8	NO	OIL	2001	2001	\N	50	ED50	64	20	32.73	N	7	43	25.83	E	64.342425	7.723842	7135968.290000	438345.370000	32	6407	9	D	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4287	http://www.npd.no/FactMapSearch?NPDID_wellbore=4287	sidetrack	6407/9-D-1 H	4287	44888	43758	9999-12-31	21548	341331	284097	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-L-1 AH	34/10-L-1	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2001-03-12	2001-04-02	GULLFAKS SØR	1914-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4150.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR L	Awarded additionaly to round 3	NO	OIL	2001	2001	\N	50	ED50	61	5	48.30	N	2	11	33.74	E	61.096750	2.192706	6773993.160000	456468.250000	31	34	10	L	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4288	http://www.npd.no/FactMapSearch?NPDID_wellbore=4288	sidetrack	34/10-L-1 H	4288	44606	43699	9999-12-31	21188	296164	279617	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-B-12 B	2/7-B-12	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	2001-03-22	2001-05-31	ELDFISK	1915-P	2/7-1 ELDFISK	NO	44.000000	\N	4892.000000	71.300000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2001	2001	\N	71	ED50	56	25	8.98	N	3	13	5.53	E	56.419161	3.218203	6252892.930000	513461.820000	31	2	7	B	12	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4289	http://www.npd.no/FactMapSearch?NPDID_wellbore=4289	sidetrack	2/7-B-12 A	4289	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6407/9-D-2 H	6407/9-D-2	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	2001-05-16	2001-06-24	DRAUGEN	1916-P	6407/9-1 DRAUGEN	NO	25.000000	\N	2553.000000	265.000000	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	6407/9-D-2 H	8	NO	OIL	2001	2001	\N	50	ED50	64	20	32.65	N	7	43	23.86	E	64.342403	7.723294	7135966.340000	438318.890000	32	6407	9	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4290	http://www.npd.no/FactMapSearch?NPDID_wellbore=4290	initial	\N	4290	44888	43758	9999-12-31	21548	341331	284097	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6507/7-A-6	6507/7-A-6	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2001-03-18	2001-05-15	HEIDRUN	1917-P	6507/7-2 HEIDRUN	NO	74.000000	\N	4601.000000	345.000000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2001	2001	\N	50	ED50	65	19	33.10	N	7	19	3.67	E	65.325861	7.317686	7245999.360000	421638.740000	32	6507	7	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4291	http://www.npd.no/FactMapSearch?NPDID_wellbore=4291	initial	\N	4291	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-2 C	33/12-B-2	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-04-15	2001-05-03	STATFJORD	1919-P	33/12-1 STATFJORD	NO	78.200000	\N	4808.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	12	25.25	N	1	49	52.41	E	61.207014	1.831225	6786568.570000	437196.810000	31	33	12	B	2	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4292	http://www.npd.no/FactMapSearch?NPDID_wellbore=4292	sidetrack	33/12-B-2 B	4292	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-L-14 Y1H	31/2-L-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-03-31	2001-05-01	TROLL	1920-P1	31/2-1 TROLL VEST	NO	23.000000	\N	5095.000000	326.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL L1	4	YES	OIL	2001	2001	\N	50	ED50	60	47	6.52	N	3	33	22.05	E	60.785144	3.556125	6739143.700000	530282.700000	31	31	2	L	14	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4293	http://www.npd.no/FactMapSearch?NPDID_wellbore=4293	multilateral	\N	4293	44534	46437	9999-12-31	21228	289333	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-14 Y2H	31/2-L-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-05-02	2001-05-24	TROLL	1920-P2	31/2-1 TROLL VEST	NO	23.000000	\N	4420.000000	326.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL L1	4	YES	OIL	2001	2001	\N	50	ED50	60	47	6.52	N	3	33	22.05	E	60.785144	3.556125	6739143.700000	530282.700000	31	31	2	L	14	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4294	http://www.npd.no/FactMapSearch?NPDID_wellbore=4294	multilateral	31/2-L-14 Y1H	4294	44534	46437	9999-12-31	21228	289333	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/3-Q-21 H	31/3-Q-21	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-04-27	2001-05-22	TROLL	1921-P	31/6-1 TROLL ØST	NO	26.000000	\N	2018.000000	340.000000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	31/3-Q-21 H	Awarded additionaly to round 7	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	49	55.18	N	3	42	59.48	E	60.831994	3.716522	6744446.600000	538959.640000	31	31	3	Q	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4296	http://www.npd.no/FactMapSearch?NPDID_wellbore=4296	initial	\N	4296	44552	46437	9999-12-31	21476	297001	286057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-15 A	30/6-E-15	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2001-06-27	2001-10-05	OSEBERG ØST	1923-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	7130.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	2001	2001	\N	50	ED50	60	42	1.72	N	2	56	7.06	E	60.700478	2.935294	6729586.570000	496467.270000	31	30	6	E	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4298	http://www.npd.no/FactMapSearch?NPDID_wellbore=4298	sidetrack	30/6-E-15	4298	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-G-3 H	34/10-G-3	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2001-04-12	2001-07-05	GULLFAKS SØR	1924-P1	34/10-2 GULLFAKS SØR	NO	25.000000	\N	5029.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR G	Awarded additionaly to round 3	YES	OIL	2001	2001	\N	50	ED50	61	5	50.20	N	2	16	36.25	E	61.097278	2.276736	6773998.960000	460999.950000	31	34	10	G	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4299	http://www.npd.no/FactMapSearch?NPDID_wellbore=4299	initial	\N	4299	44606	43699	9999-12-31	21188	297028	279673	0	STATOIL	2013-02-14	2013-02-14	2013-05-08
31/4-A-22	31/4-A-22	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2001-04-12	2001-08-13	BRAGE	1926-P	31/4-3 BRAGE	NO	62.600000	\N	6900.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2001	2001	\N	50	ED50	60	32	33.51	N	3	2	51.03	E	60.542642	3.047508	6712005.510000	502606.520000	31	31	4	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4300	http://www.npd.no/FactMapSearch?NPDID_wellbore=4300	initial	\N	4300	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2013-01-26	2013-01-26	2013-05-08
2/7-A-17 A	2/7-A-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2001-04-11	2001-06-07	ELDFISK	1927-P	2/7-1 ELDFISK	NO	43.000000	\N	4758.000000	75.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2001	2001	\N	50	ED50	56	22	36.05	N	3	15	56.75	E	56.376681	3.265764	6248174.810000	516414.320000	31	2	7	A	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4302	http://www.npd.no/FactMapSearch?NPDID_wellbore=4302	sidetrack	2/7-A-17	4302	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-C-26 A	33/9-C-26	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-05-01	2001-05-21	STATFJORD	1928-P	33/12-1 STATFJORD	NO	78.400000	\N	4180.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	17	46.92	N	1	54	9.99	E	61.296367	1.902775	6796454.290000	441208.350000	31	33	9	C	26	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4303	http://www.npd.no/FactMapSearch?NPDID_wellbore=4303	sidetrack	33/9-C-26	4303	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-X-17	2/4-X-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2001-04-14	2001-07-01	EKOFISK	1929-P	2/4-2 EKOFISK	NO	57.000000	\N	4488.000000	76.200000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2001	2001	\N	50	ED50	56	32	51.23	N	3	13	9.08	E	56.547564	3.219189	6267185.670000	513477.070000	31	2	4	X	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4304	http://www.npd.no/FactMapSearch?NPDID_wellbore=4304	initial	\N	4304	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-P-11 A	34/7-P-11	Norsk Hydro Produksjon AS	HYDRO	089	INJECTION	WATER	DEVELOPMENT	2001-04-26	2001-06-22	SNORRE	1930-P	34/4-1 SNORRE	NO	57.000000	\N	5000.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	2001	2001	\N	173	ED50	61	26	57.08	N	2	8	36.55	E	61.449189	2.143486	6813284.090000	454328.950000	31	34	7	P	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4305	http://www.npd.no/FactMapSearch?NPDID_wellbore=4305	sidetrack	34/7-P-11	4305	44654	43718	9999-12-31	21516	272085	272085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/2-A-9	30/2-A-9	Den norske stats oljeselskap a.s	STATOIL	051	PRODUCTION	GAS	DEVELOPMENT	2001-10-01	2002-02-18	HULDRA	1976-P	30/2-1 HULDRA	NO	49.000000	\N	5710.000000	125.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	HULDRA	4	NO	GAS	2001	2002	\N	90	ED50	60	51	21.52	N	2	39	0.78	E	60.855978	2.650217	6746955.970000	480995.190000	31	30	2	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4307	http://www.npd.no/FactMapSearch?NPDID_wellbore=4307	initial	\N	4307	44372	97002	9999-12-31	21204	296002	277573	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-N-3 H	6506/12-N-3	Den norske stats oljeselskap a.s	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2001-05-01	2001-06-06	ÅSGARD	1931-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	4996.000000	272.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD N	8	NO	OIL	2001	2001	\N	50	ED50	65	10	26.22	N	6	51	5.22	E	65.173950	6.851450	7229735.350000	399351.020000	32	6506	12	N	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4308	http://www.npd.no/FactMapSearch?NPDID_wellbore=4308	initial	\N	4308	44900	43765	9999-12-31	21556	296326	278637	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/4-C-1 H	25/4-C-1	Norsk Hydro Produksjon AS	HYDRO	036	PRODUCTION	GAS	DEVELOPMENT	2001-05-25	2001-07-27	VALE	1932-P	25/4-6 S VALE	NO	26.000000	\N	4004.000000	116.000000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	VALE	2-A	NO	GAS	2001	2001	\N	90	ED50	59	42	22.46	N	2	18	37.78	E	59.706239	2.310494	6619052.130000	461199.060000	31	25	4	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4309	http://www.npd.no/FactMapSearch?NPDID_wellbore=4309	initial	\N	4309	44258	1578893	9999-12-31	21076	297001	282501	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-21 H	31/2-K-21	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-05-07	2001-05-26	TROLL	1933-P	31/2-1 TROLL VEST	NO	35.500000	\N	2357.000000	353.500000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL K2	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	45	21.13	N	3	38	23.52	E	60.755869	3.639867	6735924.540000	534874.380000	31	31	2	K	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4310	http://www.npd.no/FactMapSearch?NPDID_wellbore=4310	initial	\N	4310	44534	46437	9999-12-31	21228	297055	280009	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-21 AY1H	31/2-K-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-05-27	2001-06-14	TROLL	1934-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5080.000000	353.500000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL K2	4	YES	OIL	2001	2001	\N	50	ED50	60	45	21.13	N	3	38	23.52	E	60.755869	3.639867	6735924.540000	534874.380000	31	31	2	K	21	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4311	http://www.npd.no/FactMapSearch?NPDID_wellbore=4311	multilateral	31/2-K-21 H	4311	44534	46437	9999-12-31	21228	297055	280009	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-21 AY2H	31/2-K-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-06-18	2001-07-03	TROLL	1934-P2	31/2-1 TROLL VEST	NO	35.500000	\N	4857.000000	353.500000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL K2	4	YES	OIL	2001	2001	\N	50	ED50	60	45	21.13	N	3	38	23.52	E	60.755869	3.639867	6735924.540000	534874.380000	31	31	2	K	21	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4312	http://www.npd.no/FactMapSearch?NPDID_wellbore=4312	multilateral	31/2-K-21 AY1H	4312	44534	46437	9999-12-31	21228	297055	280009	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-36 A	33/12-B-36	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-05-16	2001-08-30	STATFJORD	1935-P	33/12-1 STATFJORD	NO	77.800000	\N	6044.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	12	23.94	N	1	49	50.85	E	61.206650	1.830792	6786528.460000	437172.800000	31	33	12	B	36	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4313	http://www.npd.no/FactMapSearch?NPDID_wellbore=4313	sidetrack	33/12-B-36	4313	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-J-4 H	34/10-J-4	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	GAS	DEVELOPMENT	2001-09-01	2001-10-14	GULLFAKS SØR	1936-P	34/10-17 RIMFAKS	NO	25.000000	\N	4865.000000	137.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR J	Awarded additionaly to round 3	NO	GAS	2001	2001	34/10-44 S	91	ED50	61	3	50.65	N	2	0	10.91	E	61.064069	2.003031	6770494.130000	446185.450000	31	34	10	J	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4314	http://www.npd.no/FactMapSearch?NPDID_wellbore=4314	initial	\N	4314	44600	43699	9999-12-31	21188	296164	280681	4422	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-K-11 H	30/9-K-11	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2001-05-23	2001-06-19	OSEBERG SØR	1937-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	2950.000000	136.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	OSEBERG SØR K	9	NO	OIL	2001	2001	\N	50	ED50	60	15	52.49	N	2	46	34.27	E	60.264581	2.776186	6681055.300000	487615.390000	31	30	9	K	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4315	http://www.npd.no/FactMapSearch?NPDID_wellbore=4315	initial	\N	4315	44468	43645	9999-12-31	21636	287821	279925	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-31 A	34/10-B-31	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2001-05-11	2001-05-28	GULLFAKS	1938-P	34/10-1 GULLFAKS	NO	81.000000	\N	3118.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2001	2001	\N	50	ED50	61	12	10.12	N	2	12	6.28	E	61.202811	2.201744	6785800.920000	457099.810000	31	34	10	B	31	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4316	http://www.npd.no/FactMapSearch?NPDID_wellbore=4316	sidetrack	34/10-B-31	4316	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-21 A	34/10-B-21	Den norske stats oljeselskap a.s	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2001-05-30	2001-06-13	GULLFAKS	1939-P	34/10-1 GULLFAKS	NO	81.000000	\N	2700.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2001	2001	\N	50	ED50	61	12	9.83	N	2	12	6.25	E	61.202731	2.201736	6785791.950000	457099.250000	31	34	10	B	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4317	http://www.npd.no/FactMapSearch?NPDID_wellbore=4317	sidetrack	34/10-B-21	4317	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-A-14 A	7/12-A-14	BP Amoco Norge AS	BP	019	PRODUCTION	OIL	DEVELOPMENT	2001-07-04	2001-08-10	ULA	1940-P	7/12-2 ULA	NO	57.000000	\N	4531.000000	70.500000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	2001	2001	\N	50	ED50	57	6	41.30	N	2	50	50.40	E	57.111472	2.847333	6329946.980000	490753.120000	31	7	12	A	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4318	http://www.npd.no/FactMapSearch?NPDID_wellbore=4318	sidetrack	7/12-A-14	4318	44972	43800	9999-12-31	20916	271889	272029	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
34/7-A-16 H	34/7-A-16	Norsk Hydro Produksjon AS	HYDRO	089	PRODUCTION	OIL	DEVELOPMENT	2001-08-13	2001-11-10	SNORRE	1941-P	34/4-1 SNORRE	NO	25.000000	\N	5011.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	OIL	2001	2001	\N	50	ED50	61	29	21.07	N	2	13	34.85	E	61.489186	2.226347	6817684.240000	458799.980000	31	34	7	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4319	http://www.npd.no/FactMapSearch?NPDID_wellbore=4319	initial	\N	4319	44654	43718	9999-12-31	21516	294058	273961	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
1/3-K-1	1/3-K-1	BP Amoco Norge AS	BP	065	PRODUCTION	OIL	DEVELOPMENT	2001-05-18	2001-06-04	TAMBAR	1942-P	1/3-3 TAMBAR	NO	50.000000	\N	4502.000000	67.400000	NORTH SEA	TRANSOCEAN NORDIC	JACK-UP 3 LEGS	TAMBAR	6	NO	OIL	2001	2001	1/3-9 S	50	ED50	56	58	57.97	N	2	57	31.33	E	56.982769	2.958703	6315610.110000	497490.000000	31	1	3	K	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4320	http://www.npd.no/FactMapSearch?NPDID_wellbore=4320	initial	\N	4320	43826	1028599	9999-12-31	21316	296191	280793	3362	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
31/2-Y-14 H	31/2-Y-14	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-05-26	2001-06-03	TROLL	1943-P	31/2-1 TROLL VEST	NO	23.000000	\N	1894.000000	335.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL U1	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	50	57.54	N	3	34	53.68	E	60.849317	3.581578	6746303.430000	531605.310000	31	31	2	Y	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4322	http://www.npd.no/FactMapSearch?NPDID_wellbore=4322	initial	\N	4322	44534	46437	9999-12-31	21228	289333	280429	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Y-14 AY1H	31/2-Y-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-06-04	2001-07-03	TROLL	1944-P1	31/2-1 TROLL VEST	NO	35.000000	\N	4797.000000	335.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL U1	4	YES	OIL	2001	2001	\N	50	ED50	60	50	57.54	N	3	34	53.68	E	60.849317	3.581578	6746303.430000	531605.310000	31	31	2	Y	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4323	http://www.npd.no/FactMapSearch?NPDID_wellbore=4323	multilateral	31/2-Y-14 H	4323	44534	46437	9999-12-31	21228	289333	280429	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Y-14 AY2H	31/2-Y-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-07-04	2001-08-02	TROLL	1944-P2	31/2-1 TROLL VEST	NO	23.000000	\N	4314.000000	335.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL U1	4	YES	OIL	2001	2001	\N	50	ED50	60	50	57.54	N	3	34	53.68	E	60.849317	3.581578	6746303.430000	531605.310000	31	31	2	Y	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4324	http://www.npd.no/FactMapSearch?NPDID_wellbore=4324	multilateral	31/2-Y-14 AY1H	4324	44534	46437	9999-12-31	21228	289333	280429	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
1/3-K-6	1/3-K-6	BP Amoco Norge AS	BP	065	PRODUCTION	OIL	DEVELOPMENT	2001-06-05	2001-09-06	TAMBAR	1945-P	1/3-3 TAMBAR	NO	50.000000	\N	5713.000000	67.400000	NORTH SEA	TRANSOCEAN NORDIC	JACK-UP 3 LEGS	TAMBAR	6	NO	OIL	2001	2001	\N	50	ED50	56	58	57.92	N	2	57	31.61	E	56.982756	2.958781	6315608.560000	497494.720000	31	1	3	K	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4325	http://www.npd.no/FactMapSearch?NPDID_wellbore=4325	initial	\N	4325	43826	1028599	9999-12-31	21316	296191	280793	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
30/9-F-17 B	30/9-F-17	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2001-06-25	2001-08-10	OSEBERG SØR	1949-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	5403.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2001	2001	\N	50	ED50	60	23	24.61	N	2	47	49.24	E	60.390169	2.797011	6695039.380000	488810.790000	31	30	9	F	17	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4326	http://www.npd.no/FactMapSearch?NPDID_wellbore=4326	sidetrack	30/9-F-17 A	4326	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-7 C	33/9-A-7	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-06-10	2001-07-05	STATFJORD	1946-P	33/12-1 STATFJORD	NO	64.400000	\N	4998.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	15	20.89	N	1	51	15.23	E	61.255803	1.854231	6791980.860000	438528.180000	31	33	9	A	7	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4327	http://www.npd.no/FactMapSearch?NPDID_wellbore=4327	sidetrack	33/9-A-7 B	4327	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-C-14 A	30/6-C-14	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2001-06-07	2001-08-20	OSEBERG	1947-P	30/6-1 OSEBERG	NO	62.000000	\N	5085.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	2001	2001	\N	50	ED50	60	36	29.43	N	2	46	33.26	E	60.608175	2.775906	6719324.720000	487730.060000	31	30	6	C	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4328	http://www.npd.no/FactMapSearch?NPDID_wellbore=4328	sidetrack	30/6-C-14	4328	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2013-01-30	2013-01-30	2013-05-08
2/7-B-1 C	2/7-B-1	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2001-06-25	2001-07-31	ELDFISK	1948-P	2/7-1 ELDFISK	NO	42.000000	\N	4762.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2001	2001	\N	50	ED50	56	25	8.98	N	3	13	6.44	E	56.419161	3.218456	6252892.980000	513477.420000	31	2	7	B	1	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4329	http://www.npd.no/FactMapSearch?NPDID_wellbore=4329	sidetrack	2/7-B-1 B	4329	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
15/9-A-25	15/9-A-25	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2001-07-07	2001-09-30	SLEIPNER ØST	1950-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	4973.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	2001	2001	\N	90	ED50	58	22	1.87	N	1	54	32.04	E	58.367186	1.908900	6470256.660000	436166.040000	31	15	9	A	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4330	http://www.npd.no/FactMapSearch?NPDID_wellbore=4330	initial	\N	4330	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-A-41 B	34/10-A-41	Den norske stats oljeselskap a.s	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2001-08-24	2001-10-14	GULLFAKS	1951-P	34/10-1 GULLFAKS	NO	82.000000	\N	3883.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	2001	2001	\N	173	ED50	61	10	33.67	N	2	11	22.86	E	61.176019	2.189683	6782824.660000	456414.660000	31	34	10	A	41	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4331	http://www.npd.no/FactMapSearch?NPDID_wellbore=4331	sidetrack	34/10-A-41 A	4331	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-B-4 BH	6608/10-B-4	Den norske stats oljeselskap a.s	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2001-07-13	2001-08-07	NORNE	1953-P	6608/10-2 NORNE	NO	31.000000	\N	4346.000000	376.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	NORNE B	10-B	NO	OIL	2001	2001	\N	50	ED50	66	0	55.47	N	8	3	16.37	E	66.015408	8.054547	7322136.280000	457114.140000	32	6608	10	B	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4332	http://www.npd.no/FactMapSearch?NPDID_wellbore=4332	sidetrack	6608/10-B-4 AH	4332	44942	43778	9999-12-31	21836	297784	279225	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-A-20 H	25/11-A-20	Esso Exploration and Production Norway A/S	ESSO	001	INJECTION	\N	DEVELOPMENT	2001-06-16	2001-07-12	BALDER	1957-P	25/11-1 BALDER	NO	23.000000	\N	5086.000000	126.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-A-20 H	1-A	NO	WATER	2001	2001	\N	72	ED50	59	11	27.48	N	2	21	36.20	E	59.190967	2.360056	6561643.640000	463436.040000	31	25	11	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4333	http://www.npd.no/FactMapSearch?NPDID_wellbore=4333	initial	\N	4333	44210	43562	9999-12-31	20756	287983	282753	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/7-B-20 A	2/7-B-20	Phillips Petroleum Company Norway	PHILLIPS	018	INJECTION	WATER	DEVELOPMENT	2001-10-04	2001-11-25	ELDFISK	1958-P	2/7-1 ELDFISK	NO	42.400000	\N	4476.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	WATER	2001	2001	\N	173	ED50	56	25	9.13	N	3	13	5.74	E	56.419203	3.218261	6252897.580000	513465.410000	31	2	7	B	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4334	http://www.npd.no/FactMapSearch?NPDID_wellbore=4334	sidetrack	2/7-B-20	4334	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6507/7-A-35 A	6507/7-A-35	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2001-06-19	2001-07-12	HEIDRUN	1959-P	6507/7-2 HEIDRUN	NO	74.000000	\N	3725.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2001	2001	\N	50	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	6507	7	A	35	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4335	http://www.npd.no/FactMapSearch?NPDID_wellbore=4335	sidetrack	6507/7-A-35	4335	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/8-A-16 E	2/8-A-16	BP Amoco Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2001-10-31	2002-02-25	VALHALL	1960-P	2/8-6 VALHALL	NO	44.000000	\N	4465.000000	69.000000	NORTH SEA	VALHALL DP	JACKET 8 LEGS	VALHALL DP	Awarded additionaly to round 1-A	NO	OIL	2001	2002	\N	50	ED50	56	16	41.22	N	3	23	43.79	E	56.278117	3.395497	6237242.490000	524490.000000	31	2	8	A	16	E	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4336	http://www.npd.no/FactMapSearch?NPDID_wellbore=4336	sidetrack	2/8-A-16 D	4336	44162	43548	9999-12-31	1333048	271749	271749	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
31/2-X-22 H	31/2-X-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-07-04	2001-08-10	TROLL	1961-P	31/2-1 TROLL VEST	NO	35.500000	\N	4732.000000	329.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL T2	4	NO	OIL	2001	2001	\N	50	ED50	60	48	28.99	N	3	35	35.73	E	60.808053	3.593258	6741713.000000	532281.630000	31	31	2	X	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4337	http://www.npd.no/FactMapSearch?NPDID_wellbore=4337	initial	\N	4337	44534	46437	9999-12-31	21228	297055	280401	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-24	25/11-G-24	Norsk Hydro Produksjon AS	HYDRO	169 B1	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-09-13	2001-10-16	GRANE	1962-P	25/11-15 GRANE	NO	26.000000	\N	2105.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	59	9	54.95	N	2	29	14.79	E	59.165264	2.487442	6558718.600000	470692.300000	31	25	11	G	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4338	http://www.npd.no/FactMapSearch?NPDID_wellbore=4338	initial	\N	4338	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-24 A	25/11-G-24	Norsk Hydro Produksjon AS	HYDRO	169 B1	INJECTION	GAS	DEVELOPMENT	2001-10-17	2001-11-14	GRANE	1963-P	25/11-15 GRANE	NO	26.000000	\N	2944.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	GAS	2001	2001	\N	91	ED50	59	9	54.95	N	2	29	14.79	E	59.165264	2.487442	6558718.600000	470692.300000	31	25	11	G	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4339	http://www.npd.no/FactMapSearch?NPDID_wellbore=4339	sidetrack	25/11-G-24	4339	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/8-E-2 AH	6507/8-E-2	Den norske stats oljeselskap a.s	STATOIL	124	PRODUCTION	\N	DEVELOPMENT	2001-07-02	2001-07-30	HEIDRUN	1964-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	4115.000000	355.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2001	2001	\N	71	ED50	65	22	59.96	N	7	22	9.99	E	65.383322	7.369442	7252338.860000	424214.720000	32	6507	8	E	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4340	http://www.npd.no/FactMapSearch?NPDID_wellbore=4340	sidetrack	6507/8-E-2 H	4340	44936	43771	9999-12-31	21804	296218	283621	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-C-2 AH	34/7-C-2	Norsk Hydro Produksjon AS	HYDRO	089	PRODUCTION	OIL	DEVELOPMENT	2001-07-02	2001-10-16	VIGDIS	1965-P	34/7-8 VIGDIS	NO	31.000000	\N	4671.000000	283.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS C	8	NO	OIL	2001	2001	\N	50	ED50	61	22	49.44	N	2	6	12.55	E	61.380400	2.103486	6805650.440000	452090.880000	31	34	7	C	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4341	http://www.npd.no/FactMapSearch?NPDID_wellbore=4341	sidetrack	34/7-C-2 H	4341	44714	43732	9999-12-31	21516	290170	277657	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-23 B	33/9-A-23	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-07-10	2001-07-24	STATFJORD	1967-P	33/12-1 STATFJORD	NO	64.400000	\N	3770.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	15	19.96	N	1	51	14.24	E	61.255544	1.853956	6791952.350000	438512.920000	31	33	9	A	23	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4342	http://www.npd.no/FactMapSearch?NPDID_wellbore=4342	sidetrack	33/9-A-23 A	4342	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-H-4 H	34/10-H-4	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2001-07-10	2001-12-30	GULLFAKS SØR	1968-P	34/10-17 RIMFAKS	NO	25.000000	\N	4668.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR H	Awarded additionaly to round 3	NO	OIL	2001	2001	\N	50	ED50	61	3	20.33	N	2	4	26.69	E	61.055647	2.074081	6769499.710000	450007.150000	31	34	10	H	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4343	http://www.npd.no/FactMapSearch?NPDID_wellbore=4343	initial	\N	4343	44600	43699	9999-12-31	21188	297028	280709	0	STATOIL ASA (OLD)	2013-04-03	2013-04-03	2013-05-08
34/4-K-4 H	34/4-K-4	Norsk Hydro Produksjon AS	HYDRO	057	INJECTION	WATER	DEVELOPMENT	2001-08-20	2002-01-10	SNORRE	1970-P	34/4-1 SNORRE	NO	37.000000	\N	4178.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-K H	4	NO	WATER	2001	2002	\N	173	ED50	61	31	31.47	N	2	12	44.77	E	61.525408	2.212436	6821727.970000	458107.930000	31	34	4	K	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4345	http://www.npd.no/FactMapSearch?NPDID_wellbore=4345	initial	\N	4345	44654	43718	9999-12-31	21252	280485	284265	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/2-Z-3 H	6407/2-Z-3	Statoil ASA (old)	STATOIL	074	PRODUCTION	GAS	DEVELOPMENT	2001-07-09	2001-07-23	ÅSGARD	1971-P	6507/11-1 MIDGARD	NO	26.000000	\N	3225.000000	247.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD Z	5	NO	GAS	2001	2001	\N	90	ED50	64	58	15.01	N	7	37	19.87	E	64.970836	7.622186	7206093.110000	434956.770000	32	6407	2	Z	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4346	http://www.npd.no/FactMapSearch?NPDID_wellbore=4346	initial	\N	4346	44912	43765	9999-12-31	21388	296326	278973	0	STATOIL ASA (OLD)	2012-11-20	2012-11-20	2013-05-08
30/8-A-12 H	30/8-A-12	Norsk Hydro Produksjon AS	HYDRO	190	PRODUCTION	GAS	DEVELOPMENT	2001-08-15	2001-11-21	TUNE	1972-P	30/8-1 S TUNE	NO	29.000000	\N	4834.000000	93.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	TUNE	14	NO	GAS	2001	2001	\N	90	ED50	60	28	3.08	N	2	39	11.91	E	60.467522	2.653308	6703687.870000	480934.940000	31	30	8	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4347	http://www.npd.no/FactMapSearch?NPDID_wellbore=4347	initial	\N	4347	44456	853376	9999-12-31	22332	287821	281045	0	HYDRO PRODUKSJON	2013-04-19	2013-04-19	2013-05-08
30/8-A-13 H	30/8-A-13	Norsk Hydro Produksjon AS	HYDRO	190	PRODUCTION	GAS	DEVELOPMENT	2001-08-18	2002-01-08	TUNE	1973-P	30/8-1 S TUNE	NO	29.000000	\N	5187.000000	93.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	TUNE	14	NO	GAS	2001	2002	\N	90	ED50	60	28	3.35	N	2	39	11.81	E	60.467597	2.653281	6703696.230000	480933.460000	31	30	8	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4348	http://www.npd.no/FactMapSearch?NPDID_wellbore=4348	initial	\N	4348	44456	853376	9999-12-31	22332	287821	281045	0	HYDRO PRODUKSJON	2013-04-19	2013-04-19	2013-05-08
30/8-A-13 AH	30/8-A-13	Norsk Hydro Produksjon AS	HYDRO	190	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TUNE	1974-P	30/8-1 S TUNE	NO	29.000000	\N	0.000000	93.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	TUNE	14	NO	GAS	0	0	\N	0	ED50	60	28	3.35	N	2	39	11.81	E	60.467597	2.653281	6703696.230000	480933.460000	31	30	8	A	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4349	http://www.npd.no/FactMapSearch?NPDID_wellbore=4349	sidetrack	30/8-A-13 H	4349	44456	853376	9999-12-31	22332	287821	281045	0	HYDRO PRODUKSJON	2013-04-19	2013-04-19	2013-05-08
30/9-B-42 A	30/9-B-42	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	CUTTINGS	DEVELOPMENT	2001-07-27	2001-08-03	OSEBERG	1975-P	30/6-1 OSEBERG	NO	58.000000	\N	1142.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	CUTTINGS	2001	2001	\N	171	ED50	60	29	35.96	N	2	49	43.37	E	60.493322	2.828714	6706523.540000	490588.190000	31	30	9	B	42	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4350	http://www.npd.no/FactMapSearch?NPDID_wellbore=4350	sidetrack	30/9-B-42	4350	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/2-A-6	30/2-A-6	Statoil ASA (old)	STATOIL	051	PRODUCTION	GAS	DEVELOPMENT	2001-07-20	2001-09-24	HULDRA	1977-P	30/2-1 HULDRA	NO	49.000000	\N	4330.000000	125.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	HULDRA	4	NO	GAS	2001	2001	\N	90	ED50	60	51	21.59	N	2	39	0.71	E	60.855997	2.650197	6746958.140000	480994.150000	31	30	2	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4351	http://www.npd.no/FactMapSearch?NPDID_wellbore=4351	initial	\N	4351	44372	97002	9999-12-31	21204	296002	277573	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/11-A-4 BH	25/11-A-4	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-08-29	2001-09-05	BALDER	1978-P	25/11-1 BALDER	NO	23.000000	\N	2923.000000	127.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-A-4 H	1-A	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	59	11	28.34	N	2	21	34.93	E	59.191206	2.359703	6561670.430000	463416.140000	31	25	11	A	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4356	http://www.npd.no/FactMapSearch?NPDID_wellbore=4356	sidetrack	25/11-A-4 AH	4356	44210	43562	9999-12-31	20756	287983	283173	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-A-4 CH	25/11-A-4	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	2001-09-05	2001-10-10	BALDER	1979-P	25/11-1 BALDER	NO	23.000000	\N	3700.000000	127.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-A-4 H	1-A	NO	OIL	2001	2001	\N	50	ED50	59	11	28.34	N	2	21	34.93	E	59.191206	2.359703	6561670.430000	463416.140000	31	25	11	A	4	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4358	http://www.npd.no/FactMapSearch?NPDID_wellbore=4358	sidetrack	25/11-A-4 BH	4358	44210	43562	9999-12-31	20756	287983	283173	0	ESSO	2012-07-25	2012-07-25	2013-05-08
31/2-O-12 H	31/2-O-12	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-09-13	2001-09-29	TROLL	1980-P	31/2-1 TROLL VEST	NO	23.000000	\N	2030.000000	337.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL O1	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	53	22.46	N	3	33	59.00	E	60.889572	3.566389	6750780.050000	530741.180000	31	31	2	O	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4360	http://www.npd.no/FactMapSearch?NPDID_wellbore=4360	initial	\N	4360	44534	46437	9999-12-31	21228	296353	279757	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-O-12 AH	31/2-O-12	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-10-01	2001-11-10	TROLL	1981-P	31/2-1 TROLL VEST	NO	23.000000	\N	4868.000000	337.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL O1	4	NO	OIL	2001	2001	\N	50	ED50	60	53	22.46	N	3	33	59.00	E	60.889572	3.566389	6750780.050000	530741.180000	31	31	2	O	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4362	http://www.npd.no/FactMapSearch?NPDID_wellbore=4362	sidetrack	31/2-O-12 H	4362	44534	46437	9999-12-31	21228	296353	279757	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-A-20 AH	25/11-A-20	Esso Exploration and Production Norway A/S	ESSO	001	INJECTION	WATER	DEVELOPMENT	2001-07-13	2001-08-10	BALDER	1982-P	25/11-1 BALDER	NO	23.000000	\N	4356.000000	124.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-A-20 H	1-A	NO	WATER	2001	2001	\N	173	ED50	59	11	27.48	N	2	21	36.20	E	59.190967	2.360056	6561643.640000	463436.040000	31	25	11	A	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4366	http://www.npd.no/FactMapSearch?NPDID_wellbore=4366	sidetrack	25/11-A-20 H	4366	44210	43562	9999-12-31	20756	287983	282753	0	ESSO	2012-07-25	2012-07-25	2013-05-08
33/9-A-40 B	33/9-A-40	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-07-31	2001-09-02	STATFJORD	1983-P	33/12-1 STATFJORD	NO	64.400000	\N	4714.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	15	19.72	N	1	51	13.87	E	61.255478	1.853853	6791945.020000	438507.270000	31	33	9	A	40	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4367	http://www.npd.no/FactMapSearch?NPDID_wellbore=4367	sidetrack	33/9-A-40 A	4367	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/6-E-6 A	30/6-E-6	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-10-23	2001-11-15	OSEBERG ØST	1984-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	5578.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	42	1.94	N	2	56	7.06	E	60.700539	2.935294	6729593.380000	496467.270000	31	30	6	E	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4368	http://www.npd.no/FactMapSearch?NPDID_wellbore=4368	sidetrack	30/6-E-6	4368	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-6 B	30/6-E-6	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	WATER/GAS	DEVELOPMENT	2001-11-15	2001-12-20	OSEBERG ØST	1985-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	6204.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	WATER	2001	2001	\N	0	ED50	60	42	1.94	N	2	56	7.06	E	60.700539	2.935294	6729593.380000	496467.270000	31	30	6	E	6	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4369	http://www.npd.no/FactMapSearch?NPDID_wellbore=4369	sidetrack	30/6-E-6 A	4369	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-44	30/9-B-44	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-08-06	2001-09-16	OSEBERG	1986-P	30/6-1 OSEBERG	NO	58.000000	\N	6268.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	30	9	B	44	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4370	http://www.npd.no/FactMapSearch?NPDID_wellbore=4370	initial	\N	4370	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-44 A	30/9-B-44	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2001-09-16	2001-10-31	OSEBERG	1987-P	30/6-1 OSEBERG	NO	58.000000	\N	7291.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2001	2001	\N	50	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	30	9	B	44	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4371	http://www.npd.no/FactMapSearch?NPDID_wellbore=4371	sidetrack	30/9-B-44	4371	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-10-27	2012-10-27	2013-05-08
6506/12-H-4 H	6506/12-H-4	Statoil ASA (old)	STATOIL	094	PRODUCTION	GAS	DEVELOPMENT	2001-07-26	2001-08-21	ÅSGARD	1988-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	4862.000000	287.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD H	8	NO	GAS	2001	2001	\N	90	ED50	65	7	6.48	N	6	40	27.71	E	65.118467	6.674364	7223848.750000	390830.490000	32	6506	12	H	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4372	http://www.npd.no/FactMapSearch?NPDID_wellbore=4372	initial	\N	4372	44900	43765	9999-12-31	21556	296326	278665	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-M-3 H	34/10-M-3	Statoil ASA (old)	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-07-31	2001-08-23	GULLFAKS SØR	1989-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4830.000000	135.000000	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	GULLFAKS SØR M	Awarded additionaly to round 3	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	61	5	49.64	N	2	11	34.23	E	61.097122	2.192842	6774034.530000	456476.100000	31	34	10	M	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4373	http://www.npd.no/FactMapSearch?NPDID_wellbore=4373	initial	\N	4373	44606	43699	9999-12-31	21188	297028	281017	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-M-3 AH	34/10-M-3	Statoil ASA (old)	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	2001-08-25	2001-09-06	GULLFAKS SØR	1990-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4275.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR M	Awarded additionaly to round 3	NO	OIL	2001	2001	\N	71	ED50	61	5	49.64	N	2	11	34.23	E	61.097122	2.192842	6774034.530000	456476.100000	31	34	10	M	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4374	http://www.npd.no/FactMapSearch?NPDID_wellbore=4374	sidetrack	34/10-M-3 H	4374	44606	43699	9999-12-31	21188	296164	281017	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-L-21 H	31/2-L-21	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-08-03	2001-08-19	TROLL	1991-P	31/2-1 TROLL VEST	NO	23.000000	\N	1903.000000	329.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL L1	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	48	31.49	N	3	33	21.14	E	60.808747	3.555872	6741772.540000	530246.670000	31	31	2	L	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4375	http://www.npd.no/FactMapSearch?NPDID_wellbore=4375	initial	\N	4375	44534	46437	9999-12-31	21228	289333	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-21 AY1H	31/2-L-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-08-20	2001-09-19	TROLL	1992-P1	31/2-1 TROLL VEST	NO	23.000000	\N	5120.000000	329.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL L1	4	YES	OIL	2001	2001	\N	50	ED50	60	48	31.49	N	3	33	21.14	E	60.808747	3.555872	6741772.540000	530246.670000	31	31	2	L	21	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4376	http://www.npd.no/FactMapSearch?NPDID_wellbore=4376	multilateral	31/2-L-21 H	4376	44534	46437	9999-12-31	21228	289333	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-21 AY2H	31/2-L-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-09-19	2001-10-25	TROLL	1992-P2	31/2-1 TROLL VEST	NO	23.000000	\N	4575.000000	329.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL L1	4	YES	OIL	2001	2001	\N	50	ED50	60	48	31.49	N	3	33	21.14	E	60.808747	3.555872	6741772.540000	530246.670000	31	31	2	L	21	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4377	http://www.npd.no/FactMapSearch?NPDID_wellbore=4377	multilateral	31/2-L-21 AY1H	4377	44534	46437	9999-12-31	21228	289333	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-41	6507/7-A-41	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2001-07-27	2001-08-27	HEIDRUN	1993-P	6507/7-2 HEIDRUN	NO	74.000000	\N	3636.000000	346.000000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2001	2001	\N	50	ED50	65	19	32.43	N	7	19	2.58	E	65.325675	7.317383	7245979.000000	421624.090000	32	6507	7	A	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4378	http://www.npd.no/FactMapSearch?NPDID_wellbore=4378	initial	\N	4378	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-X-14 H	31/2-X-14	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-08-11	2001-08-27	TROLL	1994-P	31/2-1 TROLL VEST	NO	35.500000	\N	2495.000000	334.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL T1	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	49	57.17	N	3	36	14.05	E	60.832547	3.603903	6744446.550000	532835.720000	31	31	2	X	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4379	http://www.npd.no/FactMapSearch?NPDID_wellbore=4379	initial	\N	4379	44534	46437	9999-12-31	21228	297055	280373	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-X-14 AY1H	31/2-X-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-09-15	2001-11-05	TROLL	1995-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5208.000000	334.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL T1	4	YES	OIL	2001	2001	\N	50	ED50	60	49	57.17	N	3	36	14.05	E	60.832547	3.603903	6744446.550000	532835.720000	31	31	2	X	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4380	http://www.npd.no/FactMapSearch?NPDID_wellbore=4380	multilateral	31/2-X-14 H	4380	44534	46437	9999-12-31	21228	297055	280373	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-X-14 AY2H	31/2-X-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-11-05	2002-01-04	TROLL	1995-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5238.000000	334.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL T1	4	YES	OIL	2001	2002	\N	50	ED50	60	49	57.17	N	3	36	14.05	E	60.832547	3.603903	6744446.550000	532835.720000	31	31	2	X	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4381	http://www.npd.no/FactMapSearch?NPDID_wellbore=4381	multilateral	31/2-X-14 AY1H	4381	44534	46437	9999-12-31	21228	297055	280373	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-N-2 H	6506/12-N-2	Statoil ASA (old)	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2001-08-23	2001-10-11	ÅSGARD	1996-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	6502.000000	272.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD N	8	NO	GAS	2001	2001	\N	50	ED50	65	10	26.17	N	6	51	5.23	E	65.173936	6.851453	7229733.800000	399351.100000	32	6506	12	N	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4382	http://www.npd.no/FactMapSearch?NPDID_wellbore=4382	initial	\N	4382	44900	43765	9999-12-31	21556	296245	278637	0	STATOIL ASA (OLD)	2012-11-20	2012-11-20	2013-05-08
31/2-N-23 AY2H	31/2-N-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-11-05	2001-12-08	TROLL	1999-P2	31/2-1 TROLL VEST	NO	22.000000	\N	4060.000000	348.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL N2	4	YES	OIL	2001	2001	\N	50	ED50	60	56	46.71	N	3	34	49.61	E	60.946308	3.580447	6757106.270000	531448.240000	31	31	2	N	23	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4387	http://www.npd.no/FactMapSearch?NPDID_wellbore=4387	multilateral	31/2-N-23 AY1H	4387	44534	46437	9999-12-31	21228	287902	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-23 AY1H	31/2-N-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-10-03	2001-11-05	TROLL	1999-P1	31/2-1 TROLL VEST	NO	22.000000	\N	4364.000000	348.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL N2	4	YES	OIL	2001	2001	\N	50	ED50	60	56	46.71	N	3	34	49.61	E	60.946308	3.580447	6757106.270000	531448.240000	31	31	2	N	23	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4388	http://www.npd.no/FactMapSearch?NPDID_wellbore=4388	multilateral	31/2-N-23 H	4388	44534	46437	9999-12-31	21228	287902	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-23 H	31/2-N-23	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-09-14	2001-10-02	TROLL	1998-P	31/2-1 TROLL VEST	NO	22.000000	\N	2290.000000	348.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL N2	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	56	46.71	N	3	34	49.61	E	60.946308	3.580447	6757106.270000	531448.240000	31	31	2	N	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4389	http://www.npd.no/FactMapSearch?NPDID_wellbore=4389	initial	\N	4389	44534	46437	9999-12-31	21228	287902	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/8-E-2 BH	6507/8-E-2	Den norske stats oljeselskap a.s	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2001-07-30	2001-08-26	HEIDRUN	1997-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	3909.000000	355.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2001	2001	\N	50	ED50	65	22	59.96	N	7	22	9.99	E	65.383322	7.369442	7252338.860000	424214.720000	32	6507	8	E	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4390	http://www.npd.no/FactMapSearch?NPDID_wellbore=4390	sidetrack	6507/8-E-2 AH	4390	44936	43771	9999-12-31	21804	296218	283621	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-G-21	25/11-G-21	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2001-09-06	2001-12-14	GRANE	2000-P	25/11-15 GRANE	NO	26.000000	\N	2773.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	OIL	2001	2001	\N	50	ED50	59	9	54.76	N	2	29	14.42	E	59.165211	2.487339	6558712.770000	470686.380000	31	25	11	G	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4392	http://www.npd.no/FactMapSearch?NPDID_wellbore=4392	initial	\N	4392	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-24 H	31/2-L-24	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-10-25	2001-10-31	TROLL	2001-P	31/2-1 TROLL VEST	NO	23.000000	\N	1805.000000	329.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL L1	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	31	2	L	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4393	http://www.npd.no/FactMapSearch?NPDID_wellbore=4393	initial	\N	4393	44534	46437	9999-12-31	21228	289333	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-24 AY1H	31/2-L-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-10-31	2001-11-29	TROLL	2002-P1	31/2-1 TROLL VEST	NO	23.000000	\N	5356.000000	329.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL L1	4	YES	OIL	2001	2001	\N	50	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	31	2	L	24	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4394	http://www.npd.no/FactMapSearch?NPDID_wellbore=4394	multilateral	31/2-L-24 H	4394	44534	46437	9999-12-31	21228	289333	279029	0	HYDRO PRODUKSJON	2013-04-20	2013-04-20	2013-05-08
31/2-L-24 AY2H	31/2-L-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2001-11-30	2001-12-31	TROLL	2002-P2	31/2-1 TROLL VEST	NO	23.000000	\N	4747.000000	329.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL L1	4	YES	OIL	2001	2001	\N	50	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	31	2	L	24	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4395	http://www.npd.no/FactMapSearch?NPDID_wellbore=4395	multilateral	31/2-L-24 AY1H	4395	44534	46437	9999-12-31	21228	289333	279029	0	HYDRO PRODUKSJON	2013-04-20	2013-04-20	2013-05-08
1/3-K-3	1/3-K-3	BP Amoco Norge AS	BP	065	PRODUCTION	OIL	DEVELOPMENT	2001-09-08	2001-11-07	TAMBAR	2003-P	1/3-3 TAMBAR	NO	50.300000	\N	4710.000000	67.400000	NORTH SEA	TRANSOCEAN NORDIC	JACK-UP 3 LEGS	TAMBAR	6	NO	OIL	2001	2001	\N	50	ED50	56	58	58.09	N	2	57	31.51	E	56.982803	2.958753	6315613.820000	497493.040000	31	1	3	K	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4396	http://www.npd.no/FactMapSearch?NPDID_wellbore=4396	initial	\N	4396	43826	1028599	9999-12-31	21316	296191	280793	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
2/4-W-5 A	2/4-W-5	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2003-08-21	2003-11-09	EKOFISK	2004-P	2/4-2 EKOFISK	NO	48.200000	\N	6523.000000	78.600000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	EKOFISK W	1-A	NO	WATER	2003	2003	\N	173	ED50	56	32	39.18	N	3	13	4.44	E	56.544217	3.217900	6266812.830000	513399.010000	31	2	4	W	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4397	http://www.npd.no/FactMapSearch?NPDID_wellbore=4397	sidetrack	2/4-W-5	4397	44072	43506	9999-12-31	20900	278245	277293	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
33/9-A-37 B	33/9-A-37	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-10-05	2001-11-12	STATFJORD	2005-P	33/12-1 STATFJORD	NO	64.400000	\N	3180.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	15	19.76	N	1	51	14.06	E	61.255489	1.853906	6791946.210000	438510.130000	31	33	9	A	37	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4398	http://www.npd.no/FactMapSearch?NPDID_wellbore=4398	sidetrack	33/9-A-37 A	4398	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-P-4 H	6506/12-P-4	Statoil ASA (old)	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2001-08-23	2001-09-15	ÅSGARD	2006-P	6506/12-3 SMØRBUKK SØR	NO	26.000000	\N	4024.000000	311.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD P	8	NO	OIL	2001	2001	\N	50	ED50	65	1	22.74	N	6	52	46.19	E	65.022983	6.879497	7212872.420000	400099.670000	32	6506	12	P	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4399	http://www.npd.no/FactMapSearch?NPDID_wellbore=4399	initial	\N	4399	45846	43765	9999-12-31	21556	296326	278889	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/8-D-3 AH	6507/8-D-3	Statoil ASA (old)	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2001-09-05	2001-10-25	HEIDRUN	2007-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	3180.000000	357.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2001	2001	\N	50	ED50	65	21	42.95	N	7	20	9.70	E	65.361931	7.336028	7249995.830000	422599.040000	32	6507	8	D	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4400	http://www.npd.no/FactMapSearch?NPDID_wellbore=4400	sidetrack	6507/8-D-3 H	4400	44936	43771	9999-12-31	21804	296218	283593	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-55	6507/7-A-55	Statoil ASA (old)	STATOIL	095	INJECTION	WATER	DEVELOPMENT	2001-08-29	2001-10-16	HEIDRUN	2008-P	6507/7-2 HEIDRUN	NO	74.000000	\N	4763.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER	2001	2001	\N	173	ED50	65	19	32.53	N	7	19	4.44	E	65.325703	7.317900	7245981.460000	421648.230000	32	6507	7	A	55	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4401	http://www.npd.no/FactMapSearch?NPDID_wellbore=4401	initial	\N	4401	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-F-1	30/9-F-1	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-09-18	2002-02-21	OSEBERG SØR	2009-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	7584.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	NOT APPLICABLE	2001	2002	\N	99	ED50	60	23	24.89	N	2	47	49.09	E	60.390247	2.796969	6695048.050000	488808.520000	31	30	9	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4402	http://www.npd.no/FactMapSearch?NPDID_wellbore=4402	initial	\N	4402	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-1 A	30/9-F-1	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	GAS	DEVELOPMENT	2002-02-25	2002-04-02	OSEBERG SØR	2010-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	7935.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	GAS	2002	2002	\N	91	ED50	60	23	24.89	N	2	47	49.09	E	60.390247	2.796969	6695048.050000	488808.520000	31	30	9	F	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4403	http://www.npd.no/FactMapSearch?NPDID_wellbore=4403	sidetrack	30/9-F-1	4403	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-C-3 EH	25/11-C-3	Esso Exploration and Production Norway A/S	ESSO	001	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-10-14	2001-10-27	BALDER	2011-P	25/11-1 BALDER	NO	23.000000	\N	3187.000000	127.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-C-3 H	1-A	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	25	11	C	3	E	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4404	http://www.npd.no/FactMapSearch?NPDID_wellbore=4404	sidetrack	25/11-C-3 DH	4404	44210	43562	9999-12-31	20756	287983	284013	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-C-3 FH	25/11-C-3	Esso Exploration and Production Norway A/S	ESSO	001	PRODUCTION	OIL	DEVELOPMENT	2001-10-27	2001-11-14	BALDER	2012-P	25/11-1 BALDER	NO	23.000000	\N	3452.000000	127.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	25/11-C-3 H	1-A	NO	OIL	2001	2001	\N	50	ED50	59	11	0.62	N	2	24	32.53	E	59.183506	2.409036	6560786.980000	466227.190000	31	25	11	C	3	F	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4405	http://www.npd.no/FactMapSearch?NPDID_wellbore=4405	sidetrack	25/11-C-3 EH	4405	44210	43562	9999-12-31	20756	287983	284013	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-B-17 B	2/4-B-17	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	2002-09-04	2002-10-14	EKOFISK	2013-P	2/4-2 EKOFISK	NO	51.500000	\N	2408.000000	73.200000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2002	2002	\N	71	ED50	56	33	55.04	N	3	12	14.08	E	56.565289	3.203911	6269155.770000	512531.840000	31	2	4	B	17	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4406	http://www.npd.no/FactMapSearch?NPDID_wellbore=4406	sidetrack	2/4-B-17 A	4406	44072	43506	9999-12-31	20900	278245	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6506/12-M-2 H	6506/12-M-2	Den norske stats oljeselskap a.s	STATOIL	094	INJECTION	OIL/GAS	DEVELOPMENT	2001-09-17	2001-10-20	ÅSGARD	2014-P	6506/12-1 SMØRBUKK	NO	26.000000	\N	5218.000000	273.500000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	ÅSGARD M	8	NO	GAS	2001	2001	\N	0	ED50	65	10	24.35	N	6	48	2.82	E	65.173431	6.800783	7229759.230000	396976.270000	32	6506	12	M	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4407	http://www.npd.no/FactMapSearch?NPDID_wellbore=4407	initial	\N	4407	44900	43765	9999-12-31	21556	296326	278805	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-X-19	2/4-X-19	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2001-07-03	2001-08-15	EKOFISK	2015-P	2/4-2 EKOFISK	NO	57.300000	\N	4473.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2001	2001	\N	50	ED50	56	32	51.21	N	3	13	8.36	E	56.547558	3.218989	6267185.010000	513464.780000	31	2	4	X	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4409	http://www.npd.no/FactMapSearch?NPDID_wellbore=4409	initial	\N	4409	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-X-37	2/4-X-37	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2001-09-11	2001-10-14	EKOFISK	2016-P	2/4-2 EKOFISK	NO	57.000000	\N	3466.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2001	2001	\N	50	ED50	56	32	51.84	N	3	13	8.56	E	56.547733	3.219044	6267204.500000	513468.130000	31	2	4	X	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4410	http://www.npd.no/FactMapSearch?NPDID_wellbore=4410	initial	\N	4410	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-F-13 A	2/8-F-13	BP Amoco Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2001-10-06	2002-02-08	VALHALL	2017-P	2/8-6 VALHALL	NO	56.200000	\N	4823.000000	71.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	Awarded additionaly to round 1-A	NO	OIL	2001	2002	\N	50	ED50	56	16	35.58	N	3	23	47.28	E	56.276550	3.396467	6237068.460000	524551.030000	31	2	8	F	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4411	http://www.npd.no/FactMapSearch?NPDID_wellbore=4411	sidetrack	2/8-F-13	4411	44162	43548	9999-12-31	1333048	292114	278385	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
30/6-C-3 A	30/6-C-3	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2001-09-22	2001-10-28	OSEBERG	2018-P	30/6-1 OSEBERG	NO	62.000000	\N	5200.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	2001	2001	\N	50	ED50	60	36	29.56	N	2	48	33.76	E	60.608211	2.809378	6719322.960000	489562.790000	31	30	6	C	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4412	http://www.npd.no/FactMapSearch?NPDID_wellbore=4412	sidetrack	30/6-C-3	4412	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-14 B	33/12-B-14	Den norske stats oljeselskap a.s	STATOIL	037	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-09-27	2001-10-07	STATFJORD	2019-P	33/12-1 STATFJORD	NO	78.000000	\N	4688.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	61	12	25.12	N	1	49	51.93	E	61.206978	1.831092	6786564.680000	437189.570000	31	33	12	B	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4413	http://www.npd.no/FactMapSearch?NPDID_wellbore=4413	sidetrack	33/12-B-14 A	4413	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-14 C	33/12-B-14	Den norske stats oljeselskap a.s	STATOIL	037	INJECTION	WATER	DEVELOPMENT	2001-10-07	2001-11-01	STATFJORD	2020-P	33/12-1 STATFJORD	NO	78.000000	\N	5268.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	2001	2001	\N	173	ED50	61	12	25.12	N	1	49	51.93	E	61.206978	1.831092	6786564.680000	437189.570000	31	33	12	B	14	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4414	http://www.npd.no/FactMapSearch?NPDID_wellbore=4414	sidetrack	33/12-B-14 B	4414	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-10	31/4-A-10	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-08-21	2001-11-05	BRAGE	2021-P	31/4-3 BRAGE	NO	62.600000	\N	4949.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	60	32	32.92	N	3	2	50.69	E	60.542478	3.047414	6711987.250000	502601.350000	31	31	4	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4415	http://www.npd.no/FactMapSearch?NPDID_wellbore=4415	initial	\N	4415	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-J-2 H	34/7-J-2	Norsk Hydro Produksjon AS	HYDRO	089	OBSERVATION	OIL	DEVELOPMENT	2001-10-19	2001-12-05	TORDIS	2022-P	34/7-12 TORDIS	NO	31.000000	\N	3241.000000	201.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	TORDIS EXTENSION	8	NO	OIL	2001	2001	\N	50	ED50	61	16	29.70	N	2	7	11.89	E	61.274917	2.119969	6793888.900000	452813.350000	31	34	7	J	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4417	http://www.npd.no/FactMapSearch?NPDID_wellbore=4417	initial	\N	4417	44666	43725	9999-12-31	21516	290170	282445	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-J-2 AH	34/7-J-2	StatoilHydro ASA	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2006-06-19	2006-11-24	TORDIS	2023-P	34/7-12 TORDIS	NO	31.000000	\N	3931.000000	201.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TORDIS EXTENSION	8	NO	OIL	2006	2006	\N	50	ED50	61	16	29.70	N	2	7	11.89	E	61.274917	2.119969	6793888.900000	452813.350000	31	34	7	J	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4418	http://www.npd.no/FactMapSearch?NPDID_wellbore=4418	sidetrack	34/7-J-2 H	4418	44666	43725	9999-12-31	21516	297784	282445	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/10-B-42	34/10-B-42	Den norske stats oljeselskap a.s	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-09-25	2001-11-03	GULLFAKS	2024-P	34/10-1 GULLFAKS	NO	81.000000	\N	4063.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	34	10	B	42	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4419	http://www.npd.no/FactMapSearch?NPDID_wellbore=4419	initial	\N	4419	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-B-42 A	34/10-B-42	Statoil ASA (old)	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-11-03	2002-01-12	GULLFAKS	2025-P	34/10-1 GULLFAKS	NO	81.000000	\N	7594.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	NOT APPLICABLE	2001	2002	34/10-45 S	99	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	34	10	B	42	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4420	http://www.npd.no/FactMapSearch?NPDID_wellbore=4420	sidetrack	34/10-B-42	4420	44594	43686	9999-12-31	21188	271917	271917	4450	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-16	6507/7-A-16	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2001-10-25	2001-12-19	HEIDRUN	2026-P	6507/7-2 HEIDRUN	NO	74.000000	\N	4015.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2001	2001	\N	50	ED50	65	19	33.08	N	7	19	4.33	E	65.325856	7.317869	7245998.520000	421647.260000	32	6507	7	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4421	http://www.npd.no/FactMapSearch?NPDID_wellbore=4421	initial	\N	4421	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-C-19 C	33/9-C-19	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-11-22	2001-12-11	STATFJORD	2027-P	33/12-1 STATFJORD	NO	78.400000	\N	4173.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	17	47.90	N	1	54	10.85	E	61.296639	1.903014	6796484.390000	441221.660000	31	33	9	C	19	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4429	http://www.npd.no/FactMapSearch?NPDID_wellbore=4429	sidetrack	33/9-C-19 B	4429	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-B-5 D	30/9-B-5	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2001-11-15	2002-01-13	OSEBERG	2028-P	30/6-1 OSEBERG	NO	58.000000	\N	6050.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2001	2002	\N	50	ED50	60	29	36.46	N	2	49	42.98	E	60.493461	2.828606	6706539.030000	490582.280000	31	30	9	B	5	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4430	http://www.npd.no/FactMapSearch?NPDID_wellbore=4430	sidetrack	30/9-B-5 C	4430	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-18	2/4-X-18	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2001-10-08	2001-11-26	EKOFISK	2030-P	2/4-2 EKOFISK	NO	57.000000	\N	4990.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2001	2001	\N	50	ED50	56	32	51.22	N	3	13	8.22	E	56.547561	3.218950	6267185.310000	513462.390000	31	2	4	X	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4431	http://www.npd.no/FactMapSearch?NPDID_wellbore=4431	initial	\N	4431	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/6-C-17 C	30/6-C-17	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-12-04	2002-01-23	OSEBERG	2032-P	30/6-1 OSEBERG	NO	62.000000	\N	6483.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	NOT APPLICABLE	2001	2002	\N	99	ED50	60	36	29.43	N	2	46	33.00	E	60.608175	2.775833	6719324.740000	487726.110000	31	30	6	C	17	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4434	http://www.npd.no/FactMapSearch?NPDID_wellbore=4434	sidetrack	30/6-C-17 B	4434	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-C-17 D	30/6-C-17	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2002-01-23	2002-03-25	OSEBERG	2033-P	30/6-1 OSEBERG	NO	62.000000	\N	8051.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	2002	2002	\N	50	ED50	60	36	29.43	N	2	46	33.00	E	60.608175	2.775833	6719324.740000	487726.110000	31	30	6	C	17	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4435	http://www.npd.no/FactMapSearch?NPDID_wellbore=4435	sidetrack	30/6-C-17 C	4435	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-40 B	33/12-B-40	Den norske stats oljeselskap a.s	STATOIL	037	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-11-08	2001-11-25	STATFJORD	2034-P	33/12-1 STATFJORD	NO	77.800000	\N	5903.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	2001	2001	\N	99	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	33	12	B	40	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4436	http://www.npd.no/FactMapSearch?NPDID_wellbore=4436	sidetrack	33/12-B-40 A	4436	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-B-40 C	33/12-B-40	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-11-26	2001-12-11	STATFJORD	2035-P	33/12-1 STATFJORD	NO	77.800000	\N	5931.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2001	2001	\N	50	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	33	12	B	40	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4437	http://www.npd.no/FactMapSearch?NPDID_wellbore=4437	sidetrack	33/12-B-40 B	4437	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-10 A	31/4-A-10	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2001-11-15	2001-12-31	BRAGE	2039-P	31/4-3 BRAGE	NO	62.600000	\N	6298.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2001	2001	\N	50	ED50	60	32	32.92	N	3	2	50.69	E	60.542478	3.047414	6711987.250000	502601.350000	31	31	4	A	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4440	http://www.npd.no/FactMapSearch?NPDID_wellbore=4440	sidetrack	31/4-A-10	4440	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/6-A-4 AH	15/6-A-4	Den norske stats oljeselskap a.s	STATOIL	029	PRODUCTION	OIL	DEVELOPMENT	2001-02-03	2001-04-24	GLITNE	2036-P	15/5-5 GLITNE	NO	25.000000	\N	4034.000000	111.500000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	PETROJARL 1	2-A	NO	OIL	2001	2001	\N	50	ED50	58	42	44.64	N	1	40	5.63	E	58.712400	1.668231	6508944.040000	422849.060000	31	15	6	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4442	http://www.npd.no/FactMapSearch?NPDID_wellbore=4442	sidetrack	15/6-A-4 H	4442	43904	1272071	9999-12-31	21020	341331	280513	0	STATOIL	2012-08-24	2012-08-24	2013-05-08
6507/8-D-4 AH	6507/8-D-4	Statoil ASA (old)	STATOIL	124	OBSERVATION	OIL	DEVELOPMENT	2001-12-04	2001-12-20	HEIDRUN	2037-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	3890.000000	357.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2001	2001	\N	99	ED50	65	21	42.65	N	7	20	9.71	E	65.361847	7.336031	7249986.540000	422598.920000	32	6507	8	D	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4443	http://www.npd.no/FactMapSearch?NPDID_wellbore=4443	sidetrack	6507/8-D-4 H	4443	44936	43771	9999-12-31	21804	296218	283593	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
2/7-B-4 A	2/7-B-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	2001-12-14	2002-02-12	ELDFISK	2038-P	2/7-1 ELDFISK	NO	44.000000	\N	4892.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2001	2002	\N	71	ED50	56	25	8.86	N	3	13	5.95	E	56.419128	3.218319	6252889.250000	513469.030000	31	2	7	B	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4444	http://www.npd.no/FactMapSearch?NPDID_wellbore=4444	sidetrack	2/7-B-4	4444	44114	43527	9999-12-31	20900	271609	271609	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
33/9-M-3 H	33/9-M-3	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-12-12	2002-03-07	STATFJORD ØST	2040-P	33/9-7 STATFJORD ØST	NO	31.000000	\N	4548.000000	195.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	STATFJORD ØST M	Awarded additionaly to round 2-A	NO	OIL	2001	2002	\N	50	ED50	61	20	28.36	N	2	0	0.07	E	61.341211	2.000019	6801365.660000	446495.100000	31	33	9	M	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4445	http://www.npd.no/FactMapSearch?NPDID_wellbore=4445	initial	\N	4445	44582	43672	9999-12-31	21084	297784	278021	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/8-A-8 H	34/8-A-8	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	OIL	DEVELOPMENT	2001-12-03	2002-02-23	VISUND	2041-P	34/8-1 VISUND	NO	29.000000	\N	5375.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2001	2002	\N	50	ED50	61	22	13.33	N	2	27	32.35	E	61.370369	2.458986	6804323.890000	471078.900000	31	34	8	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4446	http://www.npd.no/FactMapSearch?NPDID_wellbore=4446	initial	\N	4446	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/3-A-4 A	30/3-A-4	Den norske stats oljeselskap a.s	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2001-12-16	2002-01-06	VESLEFRIKK	2042-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3765.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2001	2002	\N	50	ED50	60	46	57.92	N	2	53	52.48	E	60.782756	2.897911	6738753.670000	494440.490000	31	30	3	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4447	http://www.npd.no/FactMapSearch?NPDID_wellbore=4447	sidetrack	30/3-A-4	4447	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-A-22 A	15/9-A-22	Den norske stats oljeselskap a.s	STATOIL	046	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	SLEIPNER ØST	2043-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	0.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	0	0	\N	0	ED50	58	22	1.98	N	1	54	31.98	E	58.367217	1.908883	6470260.070000	436165.120000	31	15	9	A	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4448	http://www.npd.no/FactMapSearch?NPDID_wellbore=4448	sidetrack	15/9-A-22	4448	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
16/7-A-1 H	16/7-A-1	Esso Exploration and Production Norway A/S	ESSO	072	PRODUCTION	GAS	DEVELOPMENT	2001-12-07	2002-04-15	SIGYN	2044-P	16/7-4 SIGYN	NO	25.000000	\N	4399.000000	78.600000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	SIGYN	6	NO	GAS	2001	2002	\N	90	ED50	58	17	5.70	N	2	2	37.27	E	58.284917	2.043686	6460977.100000	443921.120000	31	16	7	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4449	http://www.npd.no/FactMapSearch?NPDID_wellbore=4449	initial	\N	4449	45625	1630100	9999-12-31	21372	341331	282277	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/7-P-16	34/7-P-16	Norsk Hydro Produksjon AS	HYDRO	089	INJECTION	WATER	DEVELOPMENT	2001-11-30	2002-02-26	SNORRE	2046-P	34/4-1 SNORRE	NO	59.400000	\N	6655.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	2001	2002	\N	173	ED50	61	26	57.21	N	2	8	36.55	E	61.449225	2.143486	6813288.110000	454329.010000	31	34	7	P	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4452	http://www.npd.no/FactMapSearch?NPDID_wellbore=4452	initial	\N	4452	44654	43718	9999-12-31	21516	272085	272085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-27	25/11-G-27	Norsk Hydro Produksjon AS	HYDRO	169 B1	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2001-12-17	2002-01-23	GRANE	2047-P	25/11-15 GRANE	NO	26.000000	\N	2019.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	NOT APPLICABLE	2001	2002	\N	99	ED50	59	9	54.83	N	2	29	14.77	E	59.165231	2.487436	6558714.890000	470691.950000	31	25	11	G	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4455	http://www.npd.no/FactMapSearch?NPDID_wellbore=4455	initial	\N	4455	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-27 A	25/11-G-27	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2002-11-20	2002-12-17	GRANE	2048-P	25/11-15 GRANE	NO	26.000000	\N	3800.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	OIL	2002	2002	\N	50	ED50	59	9	54.83	N	2	29	14.77	E	59.165231	2.487436	6558714.890000	470691.950000	31	25	11	G	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4456	http://www.npd.no/FactMapSearch?NPDID_wellbore=4456	sidetrack	25/11-G-27	4456	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/8-A-14 H	30/8-A-14	Norsk Hydro Produksjon AS	HYDRO	190	PRODUCTION	GAS	DEVELOPMENT	2002-01-09	2002-06-04	TUNE	2049-P	30/8-1 S TUNE	NO	29.000000	\N	5633.000000	93.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	TUNE	14	NO	GAS	2002	2002	\N	90	ED50	60	28	3.40	N	2	39	12.34	E	60.467611	2.653428	6703697.730000	480941.560000	31	30	8	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4457	http://www.npd.no/FactMapSearch?NPDID_wellbore=4457	initial	\N	4457	44456	853376	9999-12-31	22332	287821	281045	0	HYDRO PRODUKSJON	2013-04-19	2013-04-19	2013-05-08
7/12-A-16 B	7/12-A-16	BP Amoco Norge AS	BP	019	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ULA	2050-P	7/12-2 ULA	NO	57.000000	\N	0.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER/GAS	0	0	\N	0	ED50	57	6	41.14	N	2	50	50.57	E	57.111428	2.847381	6329942.030000	490755.970000	31	7	12	A	16	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4458	http://www.npd.no/FactMapSearch?NPDID_wellbore=4458	sidetrack	7/12-A-16 A	4458	44972	43800	9999-12-31	20916	271889	272029	0	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
16/7-A-3 H	16/7-A-3	Esso Exploration and Production Norway A/S	ESSO	072	PRODUCTION	OIL	DEVELOPMENT	2002-01-04	2002-03-28	SIGYN	2052-P	16/7-4 SIGYN	NO	25.000000	\N	3052.000000	78.600000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	SIGYN	6	NO	OIL	2002	2002	\N	50	ED50	58	17	5.91	N	2	2	37.74	E	58.284975	2.043817	6460983.480000	443928.870000	31	16	7	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4460	http://www.npd.no/FactMapSearch?NPDID_wellbore=4460	initial	\N	4460	45625	1630100	9999-12-31	21372	341331	282277	0	ESSO	2012-07-25	2012-07-25	2013-05-08
16/7-A-2 H	16/7-A-2	Esso Exploration and Production Norway A/S	ESSO	072	PRODUCTION	GAS	DEVELOPMENT	2002-01-20	2002-03-14	SIGYN	2053-P	16/7-4 SIGYN	NO	25.000000	\N	5095.000000	78.600000	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	SIGYN	6	NO	GAS	2002	2002	\N	90	ED50	58	17	5.97	N	2	2	37.54	E	58.284992	2.043761	6460985.380000	443925.640000	31	16	7	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4461	http://www.npd.no/FactMapSearch?NPDID_wellbore=4461	initial	\N	4461	45625	1630100	9999-12-31	21372	341331	282277	0	ESSO	2012-07-25	2012-07-25	2013-05-08
15/9-A-7	15/9-A-7	Statoil ASA (old)	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2002-01-01	2002-02-09	SLEIPNER ØST	2054-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	3168.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	2002	2002	\N	90	ED50	58	22	2.71	N	1	54	29.91	E	58.367419	1.908308	6470283.200000	436131.850000	31	15	9	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4462	http://www.npd.no/FactMapSearch?NPDID_wellbore=4462	initial	\N	4462	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/12-B-3 A	33/12-B-3	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-12-19	2002-01-08	STATFJORD	2055-P	33/12-1 STATFJORD	NO	78.000000	\N	4630.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2001	2002	\N	50	ED50	61	12	25.21	N	1	49	52.54	E	61.207003	1.831261	6786567.300000	437198.730000	31	33	12	B	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4464	http://www.npd.no/FactMapSearch?NPDID_wellbore=4464	sidetrack	33/12-B-3	4464	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-C-3 AH	34/7-C-3	Norsk Hydro Produksjon AS	HYDRO	089	PRODUCTION	OIL	DEVELOPMENT	2001-12-21	2002-02-01	VIGDIS	2056-P	34/7-8 VIGDIS	NO	31.000000	\N	6085.000000	283.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS C	8	NO	OIL	2001	2002	\N	50	ED50	61	22	49.49	N	2	6	11.82	E	61.380414	2.103283	6805652.130000	452080.060000	31	34	7	C	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4466	http://www.npd.no/FactMapSearch?NPDID_wellbore=4466	sidetrack	34/7-C-3 H	4466	44714	43732	9999-12-31	21516	290170	277657	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/8-D-4 BH	6507/8-D-4	Statoil ASA (old)	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2001-12-20	2002-03-12	HEIDRUN	2057-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	3880.000000	357.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2001	2002	\N	50	ED50	65	21	42.65	N	7	20	9.71	E	65.361847	7.336031	7249986.540000	422598.920000	32	6507	8	D	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4467	http://www.npd.no/FactMapSearch?NPDID_wellbore=4467	sidetrack	6507/8-D-4 AH	4467	44936	43771	9999-12-31	21804	296218	283593	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-C-27 A	33/9-C-27	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2001-12-26	2002-01-30	STATFJORD	2058-P	33/12-1 STATFJORD	NO	78.400000	\N	4360.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2001	2002	\N	50	ED50	61	17	46.89	N	1	54	10.13	E	61.296358	1.902814	6796453.330000	441210.420000	31	33	9	C	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4468	http://www.npd.no/FactMapSearch?NPDID_wellbore=4468	sidetrack	33/9-C-27	4468	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-D-3 BH	34/10-D-3	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2002-01-13	2002-02-06	GULLFAKS SØR	2059-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4112.000000	134.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR D	Awarded additionaly to round 3	NO	OIL	2002	2002	\N	50	ED50	61	7	26.54	N	2	14	39.12	E	61.124039	2.244200	6776999.600000	459280.010000	31	34	10	D	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4469	http://www.npd.no/FactMapSearch?NPDID_wellbore=4469	sidetrack	34/10-D-3 AH	4469	44606	43699	9999-12-31	21188	296164	277517	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-32	6507/7-A-32	Den norske stats oljeselskap a.s	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2001-12-26	2002-02-05	HEIDRUN	2061-P	6507/7-2 HEIDRUN	NO	74.000000	\N	3424.000000	346.000000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2001	2002	\N	50	ED50	65	19	32.86	N	7	19	4.47	E	65.325794	7.317908	7245991.660000	421648.890000	32	6507	7	A	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4471	http://www.npd.no/FactMapSearch?NPDID_wellbore=4471	initial	\N	4471	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-A-33 B	31/4-A-33	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-02-02	2002-03-05	BRAGE	2062-P	31/4-3 BRAGE	NO	62.200000	\N	3401.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	31	4	A	33	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4472	http://www.npd.no/FactMapSearch?NPDID_wellbore=4472	sidetrack	31/4-A-33 A	4472	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-33 C	31/4-A-33	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-03-16	2002-03-26	BRAGE	2063-P	31/4-3 BRAGE	NO	62.200000	\N	4355.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	31	4	A	33	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4473	http://www.npd.no/FactMapSearch?NPDID_wellbore=4473	sidetrack	31/4-A-33 B	4473	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-33 D	31/4-A-33	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2002-03-26	2002-04-30	BRAGE	2064-P	31/4-3 BRAGE	NO	62.200000	\N	4384.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2002	2002	\N	50	ED50	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	31	4	A	33	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4474	http://www.npd.no/FactMapSearch?NPDID_wellbore=4474	sidetrack	31/4-A-33 C	4474	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-12 Y1H	31/5-I-12	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2002-01-02	2002-02-05	TROLL	2065-P1	31/2-1 TROLL VEST	NO	23.000000	\N	4906.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2002	2002	\N	50	ED50	60	44	27.51	N	3	34	54.44	E	60.740975	3.581789	6734236.120000	531723.750000	31	31	5	I	12	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4475	http://www.npd.no/FactMapSearch?NPDID_wellbore=4475	multilateral	31/5-I-12 AY2H	4475	44534	46437	9999-12-31	21476	289333	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-12 Y2H	31/5-I-12	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2002-02-05	2002-03-17	TROLL	2065-P2	31/2-1 TROLL VEST	NO	23.000000	\N	4777.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2002	2002	\N	50	ED50	60	44	27.51	N	3	34	54.44	E	60.740975	3.581789	6734236.120000	531723.750000	31	31	5	I	12	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4476	http://www.npd.no/FactMapSearch?NPDID_wellbore=4476	multilateral	31/5-I-12 Y1H	4476	44534	46437	9999-12-31	21476	289333	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-3 A	30/6-E-3	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2002-04-13	2002-06-06	OSEBERG ØST	2067-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	6792.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	2002	2002	\N	50	ED50	60	42	2.02	N	2	56	7.06	E	60.700561	2.935294	6729595.850000	496467.270000	31	30	6	E	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4477	http://www.npd.no/FactMapSearch?NPDID_wellbore=4477	sidetrack	30/6-E-3	4477	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-11 Y1H	31/2-P-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-01-10	2002-02-26	TROLL	2068-P1	31/2-1 TROLL VEST	NO	23.000000	\N	4905.000000	337.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL P1	4	YES	OIL	2002	2002	\N	50	ED50	60	52	1.24	N	3	33	28.91	E	60.867011	3.558031	6748263.200000	530308.920000	31	31	2	P	11	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4478	http://www.npd.no/FactMapSearch?NPDID_wellbore=4478	multilateral	31/2-P-11 AY2H	4478	44534	46437	9999-12-31	21228	296353	279085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-11 Y2H	31/2-P-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-02-27	2002-03-26	TROLL	2068-P2	31/2-1 TROLL VEST	NO	23.000000	\N	4519.000000	337.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL P1	4	YES	OIL	2002	2002	\N	50	ED50	60	52	1.24	N	3	33	28.91	E	60.867011	3.558031	6748263.200000	530308.920000	31	31	2	P	11	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4479	http://www.npd.no/FactMapSearch?NPDID_wellbore=4479	multilateral	31/2-P-11 Y1H	4479	44534	46437	9999-12-31	21228	296353	279085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-1 B	30/9-B-1	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-01-19	2002-02-23	OSEBERG	2069-P	30/6-1 OSEBERG	NO	58.000000	\N	4885.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	29	36.40	N	2	49	42.36	E	60.493444	2.828433	6706537.200000	490572.810000	31	30	9	B	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4480	http://www.npd.no/FactMapSearch?NPDID_wellbore=4480	sidetrack	30/9-B-1 A	4480	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-1 C	30/9-B-1	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2002-02-24	2002-03-20	OSEBERG	2070-P	30/6-1 OSEBERG	NO	58.000000	\N	5660.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2002	2002	\N	50	ED50	60	29	36.40	N	2	49	42.36	E	60.493444	2.828433	6706537.200000	490572.810000	31	30	9	B	1	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4481	http://www.npd.no/FactMapSearch?NPDID_wellbore=4481	sidetrack	30/9-B-1 B	4481	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-13	2/4-X-13	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	2002-02-07	2002-03-30	EKOFISK	2071-P	2/4-2 EKOFISK	NO	57.000000	\N	3810.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2002	2002	\N	71	ED50	56	32	51.16	N	3	13	8.06	E	56.547544	3.218906	6267183.450000	513459.660000	31	2	4	X	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4482	http://www.npd.no/FactMapSearch?NPDID_wellbore=4482	initial	\N	4482	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/2-P-21 H	31/2-P-21	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-02-01	2002-02-27	TROLL	2072-P	31/2-1 TROLL VEST	NO	35.500000	\N	2537.000000	338.500000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL P2	4	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	31	2	P	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4483	http://www.npd.no/FactMapSearch?NPDID_wellbore=4483	initial	\N	4483	44534	46437	9999-12-31	21228	297055	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-21 AY1H	31/2-P-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-02-27	2002-04-14	TROLL	2073-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5305.000000	338.500000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL P2	4	YES	OIL	2002	2002	\N	50	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	31	2	P	21	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4484	http://www.npd.no/FactMapSearch?NPDID_wellbore=4484	multilateral	31/2-P-21 H	4484	44534	46437	9999-12-31	21228	297055	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-21 AY2H	31/2-P-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-04-14	2002-06-06	TROLL	2073-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5252.000000	338.500000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL P2	4	YES	OIL	2002	2002	\N	50	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	31	2	P	21	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4485	http://www.npd.no/FactMapSearch?NPDID_wellbore=4485	multilateral	31/2-P-21 AY1H	4485	44534	46437	9999-12-31	21228	297055	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/8-A-11 H	30/8-A-11	Norsk Hydro Produksjon AS	HYDRO	190	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-02-15	2002-03-26	TUNE	2074-P	30/8-1 S TUNE	NO	29.000000	\N	4810.000000	93.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	TUNE	14	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	28	3.13	N	2	39	12.44	E	60.467536	2.653456	6703689.370000	480943.040000	31	30	8	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4486	http://www.npd.no/FactMapSearch?NPDID_wellbore=4486	initial	\N	4486	44456	853376	9999-12-31	22332	287821	281045	0	HYDRO PRODUKSJON	2013-04-19	2013-04-19	2013-05-08
30/8-A-11 AH	30/8-A-11	Norsk Hydro Produksjon AS	HYDRO	190	PRODUCTION	GAS	DEVELOPMENT	2002-03-27	2002-04-30	TUNE	2075-P	30/8-1 S TUNE	NO	29.000000	\N	5450.000000	93.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	TUNE	14	NO	GAS	2002	2002	\N	90	ED50	60	28	3.13	N	2	39	12.44	E	60.467536	2.653456	6703689.370000	480943.040000	31	30	8	A	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4487	http://www.npd.no/FactMapSearch?NPDID_wellbore=4487	sidetrack	30/8-A-11 H	4487	44456	853376	9999-12-31	22332	287821	281045	0	HYDRO PRODUKSJON	2013-04-19	2013-04-19	2013-05-08
25/11-G-17	25/11-G-17	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2001-12-15	2002-02-27	GRANE	2060-P	25/11-15 GRANE	NO	26.000000	\N	2950.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	OIL	2001	2002	\N	50	ED50	59	9	54.82	N	2	29	14.31	E	59.165228	2.487308	6558714.640000	470684.640000	31	25	11	G	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4488	http://www.npd.no/FactMapSearch?NPDID_wellbore=4488	initial	\N	4488	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-08-23	2012-08-23	2013-05-08
33/12-B-15 A	33/12-B-15	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2002-01-19	2002-02-23	STATFJORD	2076-P	33/12-1 STATFJORD	NO	77.800000	\N	4989.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2002	2002	\N	50	ED50	61	12	25.09	N	1	49	52.06	E	61.206969	1.831128	6786563.720000	437191.500000	31	33	12	B	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4490	http://www.npd.no/FactMapSearch?NPDID_wellbore=4490	sidetrack	33/12-B-15	4490	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/4-K-6 H	34/4-K-6	Norsk Hydro Produksjon AS	HYDRO	057	INJECTION	WATER	DEVELOPMENT	2002-09-09	2002-12-11	SNORRE	2077-P	34/4-1 SNORRE	NO	37.000000	\N	3278.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-K H	4	NO	WATER	2002	2002	\N	173	ED50	61	31	31.75	N	2	12	44.47	E	61.525486	2.212353	6821736.690000	458103.600000	31	34	4	K	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4491	http://www.npd.no/FactMapSearch?NPDID_wellbore=4491	initial	\N	4491	44654	43718	9999-12-31	21252	280485	284265	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-M-4 H	6506/12-M-4	Statoil ASA (old)	STATOIL	094	INJECTION	OIL/GAS	DEVELOPMENT	2002-03-15	2002-04-30	ÅSGARD	2080-P	6506/12-1 SMØRBUKK	NO	22.000000	\N	6500.000000	273.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD M	8	NO	GAS	2002	2002	\N	0	ED50	65	10	24.42	N	6	48	3.57	E	65.173450	6.800992	7229761.050000	396986.100000	32	6506	12	M	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4494	http://www.npd.no/FactMapSearch?NPDID_wellbore=4494	initial	\N	4494	44900	43765	9999-12-31	21556	296245	278805	0	STATOIL ASA (OLD)	2012-11-20	2012-11-20	2013-05-08
30/2-A-11	30/2-A-11	Statoil ASA (old)	STATOIL	051	PRODUCTION	GAS	DEVELOPMENT	2002-02-18	2002-04-13	HULDRA	2081-P	30/2-1 HULDRA	NO	49.000000	\N	5048.000000	125.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	HULDRA	4	NO	GAS	2002	2002	\N	90	ED50	60	51	21.41	N	2	39	0.69	E	60.855947	2.650192	6746952.570000	480993.810000	31	30	2	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4495	http://www.npd.no/FactMapSearch?NPDID_wellbore=4495	initial	\N	4495	44372	97002	9999-12-31	21204	296002	277573	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-24	6507/7-A-24	Statoil ASA (old)	STATOIL	095	PRODUCTION	\N	DEVELOPMENT	2002-03-17	2002-05-24	HEIDRUN	2082-P	6507/7-2 HEIDRUN	NO	74.000000	\N	5240.000000	346.000000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2002	2002	\N	71	ED50	65	19	32.96	N	7	19	4.41	E	65.325822	7.317892	7245994.780000	421648.200000	32	6507	7	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4496	http://www.npd.no/FactMapSearch?NPDID_wellbore=4496	initial	\N	4496	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-A-36 A	33/9-A-36	Statoil ASA (old)	STATOIL	037	INJECTION	GAS	DEVELOPMENT	2002-03-04	2002-03-23	STATFJORD	2083-P	33/12-1 STATFJORD	NO	64.400000	\N	4599.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	2002	2002	\N	91	ED50	61	15	19.78	N	1	51	13.93	E	61.255494	1.853869	6791946.860000	438508.200000	31	33	9	A	36	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4497	http://www.npd.no/FactMapSearch?NPDID_wellbore=4497	sidetrack	33/9-A-36	4497	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/11-G-26	25/11-G-26	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2002-03-01	2002-04-10	GRANE	2084-P	25/11-15 GRANE	NO	26.000000	\N	3540.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	OIL	2002	2002	\N	50	ED50	59	9	54.77	N	2	29	14.65	E	59.165214	2.487403	6558713.050000	470690.030000	31	25	11	G	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4498	http://www.npd.no/FactMapSearch?NPDID_wellbore=4498	initial	\N	4498	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-30 H	34/8-A-30	Norsk Hydro Produksjon AS	HYDRO	120	INJECTION	WATER	DEVELOPMENT	2002-02-23	2002-04-10	VISUND	2085-P	34/8-1 VISUND	NO	29.000000	\N	5300.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	WATER	2002	2002	\N	173	ED50	61	22	13.83	N	2	27	31.41	E	61.370508	2.458725	6804339.480000	471065.070000	31	34	8	A	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4499	http://www.npd.no/FactMapSearch?NPDID_wellbore=4499	initial	\N	4499	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6608/10-D-1 AH	6608/10-D-1	Statoil ASA (old)	STATOIL	128	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-05-28	2002-06-25	NORNE	2087-P	6608/10-2 NORNE	NO	24.000000	\N	3897.000000	376.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE D	10-B	NO	OIL	2002	2002	\N	99	ED50	66	0	49.30	N	8	3	28.89	E	66.013694	8.058025	7321942.880000	457269.010000	32	6608	10	D	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4502	http://www.npd.no/FactMapSearch?NPDID_wellbore=4502	sidetrack	6608/10-D-1 H	4502	44942	43778	9999-12-31	21836	297649	279281	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
6608/10-D-1 BH	6608/10-D-1	Statoil ASA (old)	STATOIL	128	PRODUCTION	\N	DEVELOPMENT	2002-06-26	2002-09-05	NORNE	2088-P	6608/10-2 NORNE	NO	24.000000	\N	4852.000000	376.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE D	10-B	NO	OIL	2002	2002	\N	71	ED50	66	0	49.30	N	8	3	28.89	E	66.013694	8.058025	7321942.880000	457269.010000	32	6608	10	D	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4503	http://www.npd.no/FactMapSearch?NPDID_wellbore=4503	sidetrack	6608/10-D-1 AH	4503	44942	43778	9999-12-31	21836	297649	279281	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-C-34 A	33/9-C-34	Statoil ASA (old)	STATOIL	037	INJECTION	WATER	DEVELOPMENT	2002-03-15	2002-04-04	STATFJORD	2089-P	33/12-1 STATFJORD	NO	78.400000	\N	4070.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	2002	2002	\N	173	ED50	61	17	46.76	N	1	54	10.35	E	61.296322	1.902875	6796449.250000	441213.620000	31	33	9	C	34	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4504	http://www.npd.no/FactMapSearch?NPDID_wellbore=4504	sidetrack	33/9-C-34	4504	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-X-13 Y1H	31/2-X-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-03-19	2002-05-20	TROLL	2090-P1	31/2-1 TROLL VEST	NO	23.000000	\N	5002.000000	334.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL T1	4	YES	OIL	2002	2002	\N	50	ED50	60	49	57.38	N	3	36	14.05	E	60.832606	3.603903	6744453.050000	532835.660000	31	31	2	X	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4505	http://www.npd.no/FactMapSearch?NPDID_wellbore=4505	multilateral	\N	4505	44534	46437	9999-12-31	21228	289333	280373	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-X-13 Y2H	31/2-X-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-05-21	2002-06-03	TROLL	2090-P2	31/2-1 TROLL VEST	NO	23.000000	\N	4249.000000	334.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL T1	4	YES	OIL	2002	2002	\N	50	ED50	60	49	57.38	N	3	36	14.05	E	60.832606	3.603903	6744453.050000	532835.660000	31	31	2	X	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4506	http://www.npd.no/FactMapSearch?NPDID_wellbore=4506	multilateral	31/2-X-13 Y1H	4506	44534	46437	9999-12-31	21228	289333	280373	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-X-13 Y3H	31/2-X-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-06-04	2002-07-03	TROLL	2090-P3	31/2-1 TROLL VEST	NO	23.000000	\N	4771.000000	334.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL T1	4	YES	OIL	2002	2002	\N	50	ED50	60	49	57.38	N	3	36	14.05	E	60.832606	3.603903	6744453.050000	532835.660000	31	31	2	X	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4507	http://www.npd.no/FactMapSearch?NPDID_wellbore=4507	multilateral	31/2-X-13 Y2H	4507	44534	46437	9999-12-31	21228	289333	280373	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-E-4 AH	34/10-E-4	Statoil ASA (old)	STATOIL	050	INJECTION	\N	DEVELOPMENT	2002-03-26	2002-05-22	GULLFAKS SØR	2091-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4669.000000	134.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR E	Awarded additionaly to round 3	NO	GAS	2002	2002	\N	72	ED50	61	6	38.54	N	2	15	38.70	E	61.110706	2.260750	6775504.260000	460154.860000	31	34	10	E	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4508	http://www.npd.no/FactMapSearch?NPDID_wellbore=4508	sidetrack	34/10-E-4 H	4508	44606	43699	9999-12-31	21188	296164	279701	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-C-43	34/10-C-43	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2002-03-16	2004-03-08	GULLFAKS	2093-P	34/10-1 GULLFAKS	NO	84.000000	\N	6478.000000	217.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2002	2004	\N	50	ED50	61	12	54.65	N	2	16	26.36	E	61.215181	2.273989	6787133.470000	460997.590000	31	34	10	C	43	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4509	http://www.npd.no/FactMapSearch?NPDID_wellbore=4509	initial	\N	4509	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-N-21 Y1H	31/2-N-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-04-01	2002-05-13	TROLL	2095-P1	31/2-1 TROLL VEST	NO	23.000000	\N	5006.000000	348.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL N2	4	YES	OIL	2002	2002	\N	50	ED50	60	56	46.70	N	3	34	49.10	E	60.946306	3.580306	6757105.890000	531440.570000	31	31	2	N	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4510	http://www.npd.no/FactMapSearch?NPDID_wellbore=4510	multilateral	\N	4510	44534	46437	9999-12-31	21228	296353	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-21 Y2H	31/2-N-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-05-14	2002-06-19	TROLL	2095-P2	31/2-1 TROLL VEST	NO	23.000000	\N	5500.000000	348.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL N2	4	YES	OIL	2002	2002	\N	50	ED50	60	56	46.70	N	3	34	49.10	E	60.946306	3.580306	6757105.890000	531440.570000	31	31	2	N	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4511	http://www.npd.no/FactMapSearch?NPDID_wellbore=4511	multilateral	31/2-N-21 Y1H	4511	44534	46437	9999-12-31	21228	296353	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/4-C-4 H	34/4-C-4	Norsk Hydro Produksjon AS	HYDRO	057	PRODUCTION	OIL	DEVELOPMENT	2002-04-17	2002-07-11	SNORRE	2097-P	34/4-1 SNORRE	NO	37.000000	\N	5234.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-C H	4	NO	OIL	2002	2002	\N	50	ED50	61	31	30.23	N	2	12	40.99	E	61.525064	2.211386	6821690.280000	458051.620000	31	34	4	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4512	http://www.npd.no/FactMapSearch?NPDID_wellbore=4512	initial	\N	4512	44654	43718	9999-12-31	21252	280485	282781	0	HYDRO PRODUKSJON	2013-02-21	2013-02-21	2013-05-08
30/9-B-45	30/9-B-45	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2002-03-19	2002-08-08	OSEBERG	2096-P	30/6-1 OSEBERG	NO	58.000000	\N	8225.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2002	2002	\N	50	ED50	60	29	35.82	N	2	49	42.90	E	60.493283	2.828583	6706519.230000	490581.000000	31	30	9	B	45	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4513	http://www.npd.no/FactMapSearch?NPDID_wellbore=4513	initial	\N	4513	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-6	30/9-F-6	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	WATER	DEVELOPMENT	2002-04-02	2002-05-10	OSEBERG SØR	2098-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	3210.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER	2002	2002	\N	173	ED50	60	23	24.84	N	2	47	49.27	E	60.390233	2.797019	6695046.490000	488811.270000	31	30	9	F	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4515	http://www.npd.no/FactMapSearch?NPDID_wellbore=4515	initial	\N	4515	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-13 B	33/9-A-13	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2002-04-01	2002-05-09	STATFJORD	2099-P	33/12-1 STATFJORD	NO	64.400000	\N	4984.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2002	2002	\N	50	ED50	61	15	20.80	N	1	51	15.30	E	61.255778	1.854250	6791978.060000	438529.170000	31	33	9	A	13	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4516	http://www.npd.no/FactMapSearch?NPDID_wellbore=4516	sidetrack	33/9-A-13 A	4516	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/11-G-20	25/11-G-20	Norsk Hydro Produksjon AS	HYDRO	169 B1	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-04-11	2002-04-22	GRANE	2100-P	25/11-15 GRANE	NO	26.000000	\N	2266.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	59	9	55.01	N	2	29	14.68	E	59.165281	2.487411	6558720.470000	470690.570000	31	25	11	G	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4517	http://www.npd.no/FactMapSearch?NPDID_wellbore=4517	initial	\N	4517	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-20 A	25/11-G-20	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	GAS	DEVELOPMENT	2002-04-22	2002-05-28	GRANE	2101-P	25/11-15 GRANE	NO	26.000000	\N	3400.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	OIL	2002	2002	\N	91	ED50	59	9	55.01	N	2	29	14.68	E	59.165281	2.487411	6558720.470000	470690.570000	31	25	11	G	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4518	http://www.npd.no/FactMapSearch?NPDID_wellbore=4518	sidetrack	25/11-G-20	4518	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-20 B	25/11-G-20	Norsk Hydro Produksjon AS	HYDRO	169 B1	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	2102-P	25/11-15 GRANE	NO	26.000000	\N	0.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	GAS	0	0	\N	0	ED50	59	9	55.01	N	2	29	14.68	E	59.165281	2.487411	6558720.470000	470690.570000	31	25	11	G	20	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4519	http://www.npd.no/FactMapSearch?NPDID_wellbore=4519	sidetrack	25/11-G-20 A	4519	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-38 A	33/9-C-38	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2002-04-11	2002-04-28	STATFJORD	2103-P	33/12-1 STATFJORD	NO	78.400000	\N	4900.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2002	2002	\N	50	ED50	61	17	46.72	N	1	54	10.15	E	61.296311	1.902819	6796448.060000	441210.630000	31	33	9	C	38	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4520	http://www.npd.no/FactMapSearch?NPDID_wellbore=4520	sidetrack	33/9-C-38	4520	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-B-11	2/4-B-11	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2002-04-18	2002-06-30	EKOFISK	2104-P	2/4-2 EKOFISK	NO	50.900000	\N	4927.000000	73.200000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2002	2002	\N	50	ED50	56	33	54.90	N	3	12	13.87	E	56.565250	3.203853	6269151.430000	512528.270000	31	2	4	B	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4522	http://www.npd.no/FactMapSearch?NPDID_wellbore=4522	initial	\N	4522	44072	43506	9999-12-31	20900	278245	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-J-5 H	34/10-J-5	Statoil ASA (old)	STATOIL	050	INJECTION	\N	DEVELOPMENT	2002-05-25	2002-08-10	GULLFAKS SØR	2105-P	34/10-17 RIMFAKS	NO	25.000000	\N	5350.000000	137.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR J	Awarded additionaly to round 3	NO	GAS	2002	2002	\N	72	ED50	61	3	50.55	N	2	0	10.41	E	61.064042	2.002892	6770491.150000	446177.910000	31	34	10	J	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4523	http://www.npd.no/FactMapSearch?NPDID_wellbore=4523	initial	\N	4523	44600	43699	9999-12-31	21188	296164	280681	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/6-C-6 D	30/6-C-6	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2002-07-20	2002-08-07	OSEBERG	2108-P	30/6-1 OSEBERG	NO	62.000000	\N	7127.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	2002	2002	\N	50	ED50	60	36	29.55	N	2	46	33.51	E	60.608208	2.775975	6719328.420000	487733.870000	31	30	6	C	6	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4524	http://www.npd.no/FactMapSearch?NPDID_wellbore=4524	sidetrack	30/6-C-6 C	4524	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-4 H	34/8-A-4	Norsk Hydro Produksjon AS	HYDRO	120	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-05-25	2002-06-09	VISUND	2109-P	34/8-1 VISUND	NO	29.000000	\N	5658.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	61	22	13.02	N	2	27	34.21	E	61.370283	2.459503	6804314.070000	471106.440000	31	34	8	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4525	http://www.npd.no/FactMapSearch?NPDID_wellbore=4525	initial	\N	4525	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-4 AH	34/8-A-4	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	OIL	DEVELOPMENT	2002-06-10	2002-08-15	VISUND	2110-P	34/8-1 VISUND	NO	29.000000	\N	7651.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2002	2002	\N	50	ED50	61	22	13.02	N	2	27	34.21	E	61.370283	2.459503	6804314.070000	471106.440000	31	34	8	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4526	http://www.npd.no/FactMapSearch?NPDID_wellbore=4526	sidetrack	34/8-A-4 H	4526	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-31	6507/7-A-31	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2002-07-03	2002-08-12	HEIDRUN	2112-P	6507/7-2 HEIDRUN	NO	74.000000	\N	3379.000000	345.200000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2002	2002	\N	50	ED50	65	19	32.84	N	7	19	4.24	E	65.325789	7.317844	7245991.120000	421645.900000	32	6507	7	A	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4528	http://www.npd.no/FactMapSearch?NPDID_wellbore=4528	initial	\N	4528	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/4-A-11 B	31/4-A-11	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2002-05-28	2002-06-18	BRAGE	2114-P	31/4-3 BRAGE	NO	62.600000	\N	4785.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2002	2002	\N	50	ED50	60	32	33.34	N	3	2	50.35	E	60.542594	3.047319	6712000.240000	502596.160000	31	31	4	A	11	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4529	http://www.npd.no/FactMapSearch?NPDID_wellbore=4529	sidetrack	31/4-A-11 A	4529	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-40 B	33/9-C-40	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2002-05-26	2002-06-27	STATFJORD	2116-P	33/12-1 STATFJORD	NO	78.400000	\N	4219.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2002	2002	\N	50	ED50	61	17	46.71	N	1	54	9.81	E	61.296308	1.902725	6796447.840000	441205.560000	31	33	9	C	40	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4531	http://www.npd.no/FactMapSearch?NPDID_wellbore=4531	sidetrack	33/9-C-40 A	4531	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-B-10 B	2/4-B-10	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2002-03-03	2002-04-16	EKOFISK	2117-P	2/4-2 EKOFISK	NO	50.900000	\N	3456.000000	73.200000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2002	2002	\N	50	ED50	56	33	54.90	N	3	12	14.04	E	56.565250	3.203900	6269151.440000	512531.170000	31	2	4	B	10	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4533	http://www.npd.no/FactMapSearch?NPDID_wellbore=4533	sidetrack	2/4-B-10 A	4533	44072	43506	9999-12-31	20900	278245	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-X-15	2/4-X-15	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2002-04-01	2002-08-15	EKOFISK	2118-P	2/4-2 EKOFISK	NO	57.300000	\N	5104.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2002	2002	\N	50	ED50	56	32	51.13	N	3	13	8.30	E	56.547536	3.218972	6267182.540000	513463.760000	31	2	4	X	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4534	http://www.npd.no/FactMapSearch?NPDID_wellbore=4534	initial	\N	4534	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6407/9-E-1 H	6407/9-E-1	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	2002-05-04	2002-07-13	DRAUGEN	2119-P	6407/9-1 DRAUGEN	NO	26.000000	\N	2675.000000	293.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	6407/9-E-1 H	8	NO	OIL	2002	2002	\N	50	ED50	64	15	44.90	N	7	43	51.09	E	64.262472	7.730858	7127052.730000	438506.480000	32	6407	9	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4535	http://www.npd.no/FactMapSearch?NPDID_wellbore=4535	initial	\N	4535	44888	43758	9999-12-31	21548	296326	284125	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6407/9-E-2 H	6407/9-E-2	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	2002-05-02	2002-06-17	DRAUGEN	2120-P	6407/9-1 DRAUGEN	NO	26.000000	\N	2655.000000	293.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	6407/9-E-2 H	8	NO	OIL	2002	2002	\N	50	ED50	64	15	43.27	N	7	43	51.10	E	64.262019	7.730861	7127002.280000	438505.610000	32	6407	9	E	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4536	http://www.npd.no/FactMapSearch?NPDID_wellbore=4536	initial	\N	4536	44888	43758	9999-12-31	21548	296326	284153	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-X-44	2/4-X-44	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2002-04-30	2002-06-24	EKOFISK	2121-P	2/4-2 EKOFISK	NO	57.000000	\N	4329.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2002	2002	\N	50	ED50	56	32	52.01	N	3	13	8.47	E	56.547781	3.219019	6267209.750000	513466.580000	31	2	4	X	44	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4539	http://www.npd.no/FactMapSearch?NPDID_wellbore=4539	initial	\N	4539	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/11-G-19	25/11-G-19	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2002-06-01	2002-06-28	GRANE	2122-P	25/11-15 GRANE	NO	26.000000	\N	4106.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	OIL	2002	2002	\N	50	ED50	59	9	54.95	N	2	29	14.55	E	59.165264	2.487375	6558718.630000	470688.490000	31	25	11	G	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4540	http://www.npd.no/FactMapSearch?NPDID_wellbore=4540	initial	\N	4540	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/3-A-18 B	30/3-A-18	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2002-05-28	2002-06-30	VESLEFRIKK	2123-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4105.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2002	2002	\N	50	ED50	60	46	57.87	N	2	53	52.59	E	60.782742	2.897942	6738752.120000	494442.150000	31	30	3	A	18	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4542	http://www.npd.no/FactMapSearch?NPDID_wellbore=4542	sidetrack	30/3-A-18 A	4542	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-F-24	30/9-F-24	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	OIL/GAS	DEVELOPMENT	2002-05-11	2002-06-26	OSEBERG SØR	2124-P	30/9-10 OSEBERG SØR	NO	67.200000	\N	3485.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	NOT APPLICABLE	2002	2002	\N	0	ED50	60	23	24.59	N	2	47	49.71	E	60.390164	2.797142	6695038.740000	488817.980000	31	30	9	F	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4543	http://www.npd.no/FactMapSearch?NPDID_wellbore=4543	initial	\N	4543	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-24 A	30/9-F-24	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	OSEBERG SØR	2125-P	30/9-10 OSEBERG SØR	NO	67.200000	\N	0.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	0	0	\N	0	ED50	60	23	24.59	N	2	47	49.71	E	60.390164	2.797142	6695038.740000	488817.980000	31	30	9	F	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4544	http://www.npd.no/FactMapSearch?NPDID_wellbore=4544	sidetrack	30/9-F-24	4544	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-11 B	30/6-E-11	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-06-16	2002-07-02	OSEBERG ØST	2126-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	4030.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	42	1.79	N	2	56	6.91	E	60.700497	2.935253	6729588.740000	496464.990000	31	30	6	E	11	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4545	http://www.npd.no/FactMapSearch?NPDID_wellbore=4545	sidetrack	30/6-E-11 A	4545	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-E-11 C	30/6-E-11	Norsk Hydro Produksjon AS	HYDRO	053	INJECTION	GAS	DEVELOPMENT	2002-07-03	2002-08-03	OSEBERG ØST	2127-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	4730.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	WATER/GAS	2002	2002	\N	91	ED50	60	42	1.79	N	2	56	6.91	E	60.700497	2.935253	6729588.740000	496464.990000	31	30	6	E	11	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4546	http://www.npd.no/FactMapSearch?NPDID_wellbore=4546	sidetrack	30/6-E-11 B	4546	44438	43639	9999-12-31	21220	277489	277489	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-B-23	25/8-B-23	Esso Exploration and Production Norway A/S	ESSO	027 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-05-27	2002-06-21	JOTUN	2128-P	25/8-5 S JOTUN	NO	52.000000	\N	3092.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	59	27	3.89	N	2	22	0.72	E	59.451081	2.366867	6590605.580000	464100.480000	31	25	8	B	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4547	http://www.npd.no/FactMapSearch?NPDID_wellbore=4547	initial	\N	4547	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-B-23 A	25/8-B-23	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2002-06-22	2002-07-18	JOTUN	2129-P	25/8-5 S JOTUN	NO	52.000000	\N	3640.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2002	2002	\N	50	ED50	59	27	3.89	N	2	22	0.72	E	59.451081	2.366867	6590605.580000	464100.480000	31	25	8	B	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4548	http://www.npd.no/FactMapSearch?NPDID_wellbore=4548	sidetrack	25/8-B-23	4548	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-B-9 B	2/4-B-9	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2002-07-13	2002-08-21	EKOFISK	2130-P	2/4-2 EKOFISK	NO	51.000000	\N	3953.000000	73.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2002	2002	\N	50	ED50	56	33	54.97	N	3	12	14.20	E	56.565269	3.203944	6269153.620000	512533.900000	31	2	4	B	9	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4549	http://www.npd.no/FactMapSearch?NPDID_wellbore=4549	sidetrack	2/4-B-9 A	4549	44072	43506	9999-12-31	20900	278245	271413	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/10-A-48 B	34/10-A-48	Statoil ASA (old)	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2002-05-12	2002-05-26	GULLFAKS	2131-P	34/10-1 GULLFAKS	NO	82.200000	\N	7725.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	2002	2002	34/10-46 B	173	ED50	61	10	33.86	N	2	11	23.22	E	61.176072	2.189783	6782830.470000	456420.110000	31	34	10	A	48	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4550	http://www.npd.no/FactMapSearch?NPDID_wellbore=4550	sidetrack	34/10-A-48 A	4550	44594	43686	9999-12-31	21188	271833	271833	4527	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-M-4 H	34/10-M-4	Statoil ASA (old)	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-07-07	2002-08-04	GULLFAKS SØR	2133-P	34/10-2 GULLFAKS SØR	NO	31.000000	\N	4474.000000	134.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	GULLFAKS SØR M	Awarded additionaly to round 3	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	61	5	49.34	N	2	11	34.18	E	61.097039	2.192828	6774025.260000	456475.240000	31	34	10	M	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4551	http://www.npd.no/FactMapSearch?NPDID_wellbore=4551	initial	\N	4551	44606	43699	9999-12-31	21188	297784	281017	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-M-4 AH	34/10-M-4	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2002-08-04	2002-09-26	GULLFAKS SØR	2134-P	34/10-2 GULLFAKS SØR	NO	31.000000	\N	4570.000000	134.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	GULLFAKS SØR M	Awarded additionaly to round 3	NO	OIL	2002	2002	\N	50	ED50	61	5	49.34	N	2	11	34.18	E	61.097039	2.192828	6774025.260000	456475.240000	31	34	10	M	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4552	http://www.npd.no/FactMapSearch?NPDID_wellbore=4552	sidetrack	34/10-M-4 H	4552	44606	43699	9999-12-31	21188	297784	281017	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/1-A-14 B	2/1-A-14	BP Norge AS	BP	019 B	PRODUCTION	\N	DEVELOPMENT	2002-06-21	2002-10-14	GYDA	2135-P	2/1-3 GYDA	NO	56.000000	\N	5444.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2002	2002	\N	71	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	2	1	A	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4553	http://www.npd.no/FactMapSearch?NPDID_wellbore=4553	sidetrack	2/1-A-14 A	4553	44012	43492	9999-12-31	20924	272337	272337	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-S-11 H	31/2-S-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-08-07	2002-11-07	TROLL	2137-P	31/2-1 TROLL VEST	NO	22.000000	\N	5314.000000	343.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL S1	4	NO	OIL	2002	2002	\N	50	ED50	60	53	42.22	N	3	39	17.03	E	60.895061	3.654731	6751436.060000	535529.790000	31	31	2	S	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4555	http://www.npd.no/FactMapSearch?NPDID_wellbore=4555	initial	\N	4555	44534	46437	9999-12-31	21228	287902	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-A-24 A	2/7-A-24	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2002-07-01	2002-08-22	ELDFISK	2132-P	2/7-1 ELDFISK	NO	43.000000	\N	3719.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2002	2002	\N	50	ED50	56	22	36.15	N	3	15	56.49	E	56.376708	3.265692	6248177.880000	516409.850000	31	2	7	A	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4557	http://www.npd.no/FactMapSearch?NPDID_wellbore=4557	sidetrack	2/7-A-24	4557	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/2-X-21 H	31/2-X-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-06-29	2002-08-12	TROLL	2138-P	31/2-1 TROLL VEST	NO	35.500000	\N	2058.000000	329.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL T2	4	NO	OIL	2002	2002	\N	50	ED50	60	48	29.18	N	3	35	35.81	E	60.808106	3.593281	6741718.890000	532282.780000	31	31	2	X	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4558	http://www.npd.no/FactMapSearch?NPDID_wellbore=4558	initial	\N	4558	44534	46437	9999-12-31	21228	297055	280401	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-15	34/7-P-15	Norsk Hydro Produksjon AS	HYDRO	089	PRODUCTION	OIL	DEVELOPMENT	2002-06-14	2002-08-14	SNORRE	2139-P	34/4-1 SNORRE	NO	59.400000	\N	6326.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2002	2002	\N	50	ED50	61	26	57.08	N	2	8	37.63	E	61.449189	2.143786	6813283.880000	454344.950000	31	34	7	P	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4559	http://www.npd.no/FactMapSearch?NPDID_wellbore=4559	initial	\N	4559	44654	43718	9999-12-31	21516	272085	272085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-22 H	31/2-P-22	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-06-22	2002-07-04	TROLL	2140-P	31/2-1 TROLL VEST	NO	23.000000	\N	2156.000000	338.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL P2	4	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	52	35.82	N	3	29	39.31	E	60.876617	3.494253	6749305.330000	526836.870000	31	31	2	P	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4562	http://www.npd.no/FactMapSearch?NPDID_wellbore=4562	initial	\N	4562	44534	46437	9999-12-31	21228	296353	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-22 AY1H	31/2-P-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-07-05	2002-08-29	TROLL	2141-P1	31/2-1 TROLL VEST	NO	23.000000	\N	4685.000000	338.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL P2	4	YES	OIL	2002	2002	\N	50	ED50	60	52	35.82	N	3	29	39.31	E	60.876617	3.494253	6749305.330000	526836.870000	31	31	2	P	22	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4563	http://www.npd.no/FactMapSearch?NPDID_wellbore=4563	multilateral	31/2-P-22 H	4563	44534	46437	9999-12-31	21228	296353	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-22 AY2H	31/2-P-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-08-30	2002-09-25	TROLL	2141-P2	31/2-1 TROLL VEST	NO	23.000000	\N	5311.000000	338.000000	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	TROLL P2	4	YES	OIL	2002	2002	\N	50	ED50	60	52	35.82	N	3	29	39.31	E	60.876617	3.494253	6749305.330000	526836.870000	31	31	2	P	22	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4564	http://www.npd.no/FactMapSearch?NPDID_wellbore=4564	multilateral	31/2-P-22 AY1H	4564	44534	46437	9999-12-31	21228	296353	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-A-11	15/9-A-11	Statoil ASA (old)	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2002-07-01	2002-08-18	SLEIPNER ØST	2142-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	3098.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	2002	2002	\N	90	ED50	58	22	2.67	N	1	54	30.04	E	58.367408	1.908344	6470281.920000	436133.940000	31	15	9	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4565	http://www.npd.no/FactMapSearch?NPDID_wellbore=4565	initial	\N	4565	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL ASA (OLD)	2012-07-25	2012-11-02	2013-05-08
25/8-B-21	25/8-B-21	Esso Exploration and Production Norway A/S	ESSO	027 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-07-20	2002-08-09	JOTUN	2143-P	25/8-5 S JOTUN	NO	52.400000	\N	2400.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	59	27	3.78	N	2	22	0.64	E	59.451050	2.366844	6590602.190000	464099.190000	31	25	8	B	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4566	http://www.npd.no/FactMapSearch?NPDID_wellbore=4566	initial	\N	4566	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-G-25	25/11-G-25	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2002-06-28	2002-08-06	GRANE	2144-P	25/11-15 GRANE	NO	26.000000	\N	4090.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	OIL	2002	2002	\N	50	ED50	59	9	54.71	N	2	29	14.53	E	59.165197	2.487369	6558711.210000	470688.110000	31	25	11	G	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4567	http://www.npd.no/FactMapSearch?NPDID_wellbore=4567	initial	\N	4567	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-15 C	33/9-A-15	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2002-07-24	2003-06-11	STATFJORD	2145-P	33/12-1 STATFJORD	NO	64.400000	\N	4946.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2002	2003	\N	50	ED50	61	15	20.81	N	1	51	14.82	E	61.255781	1.854117	6791978.490000	438522.020000	31	33	9	A	15	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4568	http://www.npd.no/FactMapSearch?NPDID_wellbore=4568	sidetrack	33/9-A-15 B	4568	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-F-5	30/9-F-5	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-08-12	2002-10-10	OSEBERG SØR	2146-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	6410.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	23	24.82	N	2	47	49.12	E	60.390228	2.796978	6695045.880000	488808.970000	31	30	9	F	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4569	http://www.npd.no/FactMapSearch?NPDID_wellbore=4569	initial	\N	4569	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-5 A	30/9-F-5	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2002-10-11	2002-11-19	OSEBERG SØR	2147-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	8210.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2002	2002	\N	50	ED50	60	23	24.82	N	2	47	49.12	E	60.390228	2.796978	6695045.880000	488808.970000	31	30	9	F	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4570	http://www.npd.no/FactMapSearch?NPDID_wellbore=4570	sidetrack	30/9-F-5	4570	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-A-13 C	2/8-A-13	BP Norge AS	BP	006 B	INJECTION	CUTTINGS	DEVELOPMENT	2003-09-01	2003-09-23	VALHALL	2148-P	2/8-6 VALHALL	NO	43.500000	\N	4198.000000	69.000000	NORTH SEA	VALHALL DP	JACKET 8 LEGS	VALHALL DP	Awarded additionaly to round 1-A	NO	CUTTINGS	2003	2003	\N	171	ED50	56	16	41.40	N	3	23	43.19	E	56.278167	3.395331	6237248.000000	524479.650000	31	2	8	A	13	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4571	http://www.npd.no/FactMapSearch?NPDID_wellbore=4571	sidetrack	2/8-A-13 B	4571	44162	43548	9999-12-31	1333048	271749	271749	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
34/7-A-4 AH	34/7-A-4	Norsk Hydro Produksjon AS	HYDRO	089	PRODUCTION	OIL	DEVELOPMENT	2002-08-09	2002-10-13	SNORRE	2149-P	34/4-1 SNORRE	NO	25.000000	\N	4251.000000	335.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	SNORRE UPA	8	NO	OIL	2002	2002	\N	50	ED50	61	29	21.62	N	2	13	35.47	E	61.489339	2.226519	6817701.150000	458809.350000	31	34	7	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4572	http://www.npd.no/FactMapSearch?NPDID_wellbore=4572	sidetrack	34/7-A-4 H	4572	44654	43718	9999-12-31	21516	294058	273961	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-A-11 B	2/8-A-11	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2002-07-21	2002-11-20	VALHALL	2150-P	2/8-6 VALHALL	NO	43.500000	\N	4319.000000	69.000000	NORTH SEA	VALHALL DP	JACKET 8 LEGS	VALHALL DP	Awarded additionaly to round 1-A	NO	OIL	2002	2002	\N	50	ED50	56	16	41.39	N	3	23	43.73	E	56.278164	3.395481	6237247.740000	524488.940000	31	2	8	A	11	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4573	http://www.npd.no/FactMapSearch?NPDID_wellbore=4573	sidetrack	2/8-A-11 A	4573	44162	43548	9999-12-31	1333048	271749	271749	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-E-6 CH	31/2-E-6	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-08-12	2002-08-22	TROLL	2151-P	31/2-1 TROLL VEST	NO	23.000000	\N	2250.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	31	2	E	6	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4574	http://www.npd.no/FactMapSearch?NPDID_wellbore=4574	sidetrack	31/2-E-6 BH	4574	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-E-6 DY1H	31/2-E-6	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-08-22	2002-09-23	TROLL	2152-P1	31/2-1 TROLL VEST	NO	23.000000	\N	4780.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	YES	OIL	2002	2002	\N	50	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	31	2	E	6	DY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4575	http://www.npd.no/FactMapSearch?NPDID_wellbore=4575	multilateral	31/2-E-6 CH	4575	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-E-6 DY2H	31/2-E-6	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-09-23	2002-11-02	TROLL	2152-P2	31/2-1 TROLL VEST	NO	23.000000	\N	4900.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	YES	OIL	2002	2002	\N	50	ED50	60	47	51.30	N	3	26	43.10	E	60.797583	3.445306	6740483.170000	524238.920000	31	31	2	E	6	DY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4576	http://www.npd.no/FactMapSearch?NPDID_wellbore=4576	multilateral	31/2-E-6 DY1H	4576	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-22	25/11-G-22	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2002-08-24	2002-09-18	GRANE	2153-P	25/11-15 GRANE	NO	26.000000	\N	3173.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	OIL	2002	2002	\N	50	ED50	59	9	54.83	N	2	29	14.54	E	59.165231	2.487372	6558714.920000	470688.300000	31	25	11	G	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4577	http://www.npd.no/FactMapSearch?NPDID_wellbore=4577	initial	\N	4577	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-26 A	33/12-B-26	Statoil ASA (old)	STATOIL	037	INJECTION	WATER	DEVELOPMENT	2002-09-30	2002-10-25	STATFJORD	2154-P	33/12-1 STATFJORD	NO	77.800000	\N	4130.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	2002	2002	\N	173	ED50	61	12	24.07	N	1	49	50.99	E	61.206686	1.830831	6786532.450000	437174.960000	31	33	12	B	26	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4578	http://www.npd.no/FactMapSearch?NPDID_wellbore=4578	sidetrack	33/12-B-26	4578	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
35/11-A-12 H	35/11-A-12	Norsk Hydro Produksjon AS	HYDRO	090	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-07-25	2002-08-31	FRAM	2155-P	35/11-4 FRAM	NO	29.000000	\N	3436.000000	357.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	FRAM A1	8	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	61	5	5.36	N	3	30	59.17	E	61.084822	3.516436	6772505.930000	527858.570000	31	35	11	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4579	http://www.npd.no/FactMapSearch?NPDID_wellbore=4579	initial	\N	4579	44750	1578840	9999-12-31	21524	287821	284713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
35/11-A-12 AH	35/11-A-12	Norsk Hydro Produksjon AS	HYDRO	090	PRODUCTION	OIL	DEVELOPMENT	2002-09-17	2002-10-25	FRAM	2156-P	35/11-4 FRAM	NO	29.000000	\N	5528.000000	357.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	FRAM A1	8	NO	OIL	2002	2002	\N	50	ED50	61	5	5.36	N	3	30	59.17	E	61.084822	3.516436	6772505.930000	527858.570000	31	35	11	A	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4580	http://www.npd.no/FactMapSearch?NPDID_wellbore=4580	sidetrack	35/11-A-12 H	4580	44750	1578840	9999-12-31	21524	287821	284713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-45	34/10-C-45	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2002-11-06	2003-01-26	GULLFAKS	2157-P	34/10-1 GULLFAKS	NO	84.000000	\N	2866.000000	217.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2002	2003	\N	50	ED50	61	12	53.67	N	2	16	27.73	E	61.214908	2.274369	6787102.920000	461017.690000	31	34	10	C	45	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4581	http://www.npd.no/FactMapSearch?NPDID_wellbore=4581	initial	\N	4581	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-X-49	2/4-X-49	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	2002-08-13	2002-12-12	EKOFISK	2158-P	2/4-2 EKOFISK	NO	57.000000	\N	5619.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2002	2002	\N	50	ED50	56	32	52.07	N	3	13	8.64	E	56.547797	3.219067	6267211.620000	513469.480000	31	2	4	X	49	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4582	http://www.npd.no/FactMapSearch?NPDID_wellbore=4582	initial	\N	4582	44072	43506	9999-12-31	20900	278525	278525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-J-3 AH	34/7-J-3	Norsk Hydro Produksjon AS	HYDRO	089	PRODUCTION	OIL	DEVELOPMENT	2002-09-03	2002-10-02	TORDIS	2159-P	34/7-12 TORDIS	NO	31.000000	\N	4769.000000	201.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	TORDIS EXTENSION	8	NO	OIL	2002	2002	\N	50	ED50	61	16	29.38	N	2	7	11.41	E	61.274828	2.119836	6793879.090000	452806.070000	31	34	7	J	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4583	http://www.npd.no/FactMapSearch?NPDID_wellbore=4583	sidetrack	34/7-J-3 H	4583	44666	43725	9999-12-31	21516	290170	282445	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-4 A	33/12-B-4	Statoil ASA (old)	STATOIL	037	INJECTION	WATER	DEVELOPMENT	2002-07-21	2002-08-13	STATFJORD	2160-P	33/12-1 STATFJORD	NO	77.800000	\N	5030.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	2002	2002	\N	173	ED50	61	12	25.25	N	1	49	52.07	E	61.207014	1.831131	6786568.670000	437191.740000	31	33	12	B	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4585	http://www.npd.no/FactMapSearch?NPDID_wellbore=4585	sidetrack	33/12-B-4	4585	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-B-14 B	30/9-B-14	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2002-08-27	2003-02-06	OSEBERG	2161-P	30/6-1 OSEBERG	NO	58.000000	\N	8912.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2002	2003	\N	50	ED50	60	29	36.24	N	2	49	42.55	E	60.493400	2.828486	6706532.240000	490575.700000	31	30	9	B	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4587	http://www.npd.no/FactMapSearch?NPDID_wellbore=4587	sidetrack	30/9-B-14 A	4587	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-B-21 A	25/8-B-21	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	\N	DEVELOPMENT	2002-08-09	2002-09-11	JOTUN	2162-P	25/8-5 S JOTUN	NO	52.400000	\N	3163.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2002	2002	\N	71	ED50	59	27	3.78	N	2	22	0.64	E	59.451050	2.366844	6590602.190000	464099.190000	31	25	8	B	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4588	http://www.npd.no/FactMapSearch?NPDID_wellbore=4588	sidetrack	25/8-B-21	4588	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
33/9-C-11 B	33/9-C-11	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2002-09-10	2002-10-03	STATFJORD	2163-P	33/12-1 STATFJORD	NO	78.400000	\N	3700.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2002	2002	\N	50	ED50	61	17	48.01	N	1	54	11.11	E	61.296669	1.903086	6796487.730000	441225.590000	31	33	9	C	11	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4590	http://www.npd.no/FactMapSearch?NPDID_wellbore=4590	sidetrack	33/9-C-11 A	4590	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-42	6507/7-A-42	Statoil ASA (old)	STATOIL	095	OBSERVATION	OIL	DEVELOPMENT	2002-08-10	2002-09-11	HEIDRUN	2164-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4446.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2002	2002	\N	99	ED50	65	19	32.45	N	7	19	2.81	E	65.325681	7.317447	7245979.540000	421627.080000	32	6507	7	A	42	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4591	http://www.npd.no/FactMapSearch?NPDID_wellbore=4591	initial	\N	4591	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
6507/7-A-42 A	6507/7-A-42	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2002-09-12	2002-09-24	HEIDRUN	2165-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3950.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2002	2002	\N	50	ED50	65	19	32.45	N	7	19	2.81	E	65.325681	7.317447	7245979.540000	421627.080000	32	6507	7	A	42	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4592	http://www.npd.no/FactMapSearch?NPDID_wellbore=4592	sidetrack	6507/7-A-42	4592	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-B-29	25/8-B-29	Esso Exploration and Production Norway A/S	ESSO	027 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-07-26	2003-02-01	JOTUN	2166-P	25/8-5 S JOTUN	NO	52.400000	\N	3245.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	2002	2003	\N	99	ED50	59	27	3.82	N	2	22	0.79	E	59.451061	2.366886	6590603.400000	464101.560000	31	25	8	B	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4594	http://www.npd.no/FactMapSearch?NPDID_wellbore=4594	initial	\N	4594	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-B-29 A	25/8-B-29	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2003-02-02	2003-03-13	JOTUN	2167-P	25/8-5 S JOTUN	NO	52.400000	\N	3746.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	59	27	3.82	N	2	22	0.79	E	59.451061	2.366886	6590603.400000	464101.560000	31	25	8	B	29	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4595	http://www.npd.no/FactMapSearch?NPDID_wellbore=4595	sidetrack	25/8-B-29	4595	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
31/2-X-12 H	31/2-X-12	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-08-18	2002-09-23	TROLL	2168-P	31/2-1 TROLL VEST	NO	35.500000	\N	5332.000000	334.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL T1	4	NO	OIL	2002	2002	\N	50	ED50	60	49	57.18	N	3	36	14.59	E	60.832550	3.604053	6744446.940000	532843.870000	31	31	2	X	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4596	http://www.npd.no/FactMapSearch?NPDID_wellbore=4596	initial	\N	4596	44534	46437	9999-12-31	21228	297055	280373	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-5 A	34/10-C-5	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2004-07-21	2004-08-27	GULLFAKS	2169-P	34/10-1 GULLFAKS	NO	84.100000	\N	3790.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2004	2004	\N	50	ED50	61	12	53.35	N	2	16	27.92	E	61.214819	2.274422	6787092.980000	461020.420000	31	34	10	C	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4597	http://www.npd.no/FactMapSearch?NPDID_wellbore=4597	sidetrack	34/10-C-5	4597	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/8-E-1 BH	6507/8-E-1	Statoil ASA (old)	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2002-08-29	2002-10-11	HEIDRUN	2170-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	4006.000000	355.000000	NORWEGIAN SEA	TRANSOCEAN PROSPECT	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2002	2002	\N	50	ED50	65	22	59.66	N	7	22	9.00	E	65.383239	7.369167	7252329.910000	424201.700000	32	6507	8	E	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4598	http://www.npd.no/FactMapSearch?NPDID_wellbore=4598	sidetrack	6507/8-E-1 AH	4598	44936	43771	9999-12-31	21804	296218	283621	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/7-A-21 B	2/7-A-21	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	2002-08-28	2002-11-01	ELDFISK	2171-P	2/7-1 ELDFISK	NO	43.000000	\N	3906.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2002	2002	\N	71	ED50	56	22	36.08	N	3	15	56.54	E	56.376689	3.265706	6248175.720000	516410.720000	31	2	7	A	21	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4599	http://www.npd.no/FactMapSearch?NPDID_wellbore=4599	sidetrack	2/7-A-21 A	4599	44114	43527	9999-12-31	20900	271581	271581	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
30/6-C-15 B	30/6-C-15	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2002-08-29	2002-11-30	OSEBERG	2172-P	30/6-1 OSEBERG	NO	62.000000	\N	6869.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	2002	2002	\N	50	ED50	60	36	29.37	N	2	46	33.39	E	60.608158	2.775942	6719322.860000	487732.030000	31	30	6	C	15	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4600	http://www.npd.no/FactMapSearch?NPDID_wellbore=4600	sidetrack	30/6-C-15 A	4600	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-2	34/7-P-2	Norsk Hydro Produksjon AS	HYDRO	089	INJECTION	WATER	DEVELOPMENT	2002-11-12	2003-01-12	SNORRE	2173-P	34/4-1 SNORRE	NO	59.000000	\N	4865.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	2002	2003	\N	173	ED50	61	26	56.82	N	2	8	36.83	E	61.449117	2.143564	6813275.990000	454333.000000	31	34	7	P	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4601	http://www.npd.no/FactMapSearch?NPDID_wellbore=4601	initial	\N	4601	44654	43718	9999-12-31	21516	272085	272085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-24 A	31/4-A-24	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	WATER	DEVELOPMENT	2002-09-03	2002-09-18	BRAGE	2174-P	31/4-3 BRAGE	NO	63.000000	\N	1002.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	2002	2002	\N	172	ED50	60	32	32.92	N	3	2	50.86	E	60.542478	3.047461	6711987.250000	502603.940000	31	31	4	A	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4603	http://www.npd.no/FactMapSearch?NPDID_wellbore=4603	sidetrack	31/4-A-24	4603	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-29 A	31/4-A-29	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	WATER	DEVELOPMENT	2002-08-16	2002-08-28	BRAGE	2175-P	31/4-3 BRAGE	NO	63.000000	\N	997.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	2002	2002	\N	172	ED50	60	32	33.09	N	3	2	50.69	E	60.542525	3.047414	6711992.510000	502601.350000	31	31	4	A	29	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4604	http://www.npd.no/FactMapSearch?NPDID_wellbore=4604	sidetrack	31/4-A-29	4604	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-7 A	34/10-B-7	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2002-11-05	2002-12-17	GULLFAKS	2176-P	34/10-1 GULLFAKS	NO	80.800000	\N	4139.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2002	2002	\N	50	ED50	61	12	9.91	N	2	12	6.53	E	61.202753	2.201814	6785794.370000	457103.460000	31	34	10	B	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4605	http://www.npd.no/FactMapSearch?NPDID_wellbore=4605	sidetrack	34/10-B-7	4605	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
35/11-A-11 H	35/11-A-11	Norsk Hydro Produksjon AS	HYDRO	090	PRODUCTION	OIL	DEVELOPMENT	2002-09-02	2002-11-24	FRAM	2177-P	35/11-4 FRAM	NO	29.000000	\N	5820.000000	357.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	FRAM A1	8	NO	OIL	2002	2002	\N	50	ED50	61	5	5.23	N	3	30	58.93	E	61.084786	3.516369	6772501.880000	527855.000000	31	35	11	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4606	http://www.npd.no/FactMapSearch?NPDID_wellbore=4606	initial	\N	4606	44750	1578840	9999-12-31	21524	287821	284713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-30	6507/7-A-30	Statoil ASA (old)	STATOIL	095	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-10-18	2002-11-13	HEIDRUN	2178-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3565.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2002	2002	\N	99	ED50	65	19	32.80	N	7	19	3.87	E	65.325778	7.317742	7245990.010000	421641.080000	32	6507	7	A	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4607	http://www.npd.no/FactMapSearch?NPDID_wellbore=4607	initial	\N	4607	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
6507/7-A-30 A	6507/7-A-30	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2002-12-12	2002-12-27	HEIDRUN	2179-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3596.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2002	2002	\N	50	ED50	65	19	32.80	N	7	19	3.87	E	65.325778	7.317742	7245990.010000	421641.080000	32	6507	7	A	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4608	http://www.npd.no/FactMapSearch?NPDID_wellbore=4608	sidetrack	6507/7-A-30	4608	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/11-G-28	25/11-G-28	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2002-09-20	2002-10-25	GRANE	2180-P	25/11-15 GRANE	NO	26.000000	\N	4930.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	OIL	2002	2002	\N	50	ED50	59	9	54.89	N	2	29	14.90	E	59.165247	2.487472	6558716.730000	470694.030000	31	25	11	G	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4610	http://www.npd.no/FactMapSearch?NPDID_wellbore=4610	initial	\N	4610	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-A-2 B	2/7-A-2	ConocoPhillips Norge	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-03-04	2003-04-27	ELDFISK	2181-P	2/7-1 ELDFISK	NO	41.000000	\N	4513.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2003	2003	\N	50	ED50	56	22	36.30	N	3	15	57.89	E	56.376750	3.266081	6248182.610000	516433.850000	31	2	7	A	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4611	http://www.npd.no/FactMapSearch?NPDID_wellbore=4611	sidetrack	2/7-A-2 A	4611	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-L-22 H	31/2-L-22	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-09-24	2002-10-07	TROLL	2182-P	31/2-1 TROLL VEST	NO	35.500000	\N	2690.000000	329.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL L1	4	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	60	48	31.69	N	3	33	21.18	E	60.808803	3.555883	6741778.730000	530247.230000	31	31	2	L	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4613	http://www.npd.no/FactMapSearch?NPDID_wellbore=4613	initial	\N	4613	44534	46437	9999-12-31	21228	297055	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-22 AY1H	31/2-L-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-10-08	2002-11-10	TROLL	2183-P1	31/2-1 TROLL VEST	NO	35.500000	\N	4225.000000	329.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2002	2002	\N	50	ED50	60	48	31.69	N	3	33	21.18	E	60.808803	3.555883	6741778.730000	530247.230000	31	31	2	L	22	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4614	http://www.npd.no/FactMapSearch?NPDID_wellbore=4614	multilateral	31/2-L-22 H	4614	44534	46437	9999-12-31	21228	297055	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-24 A	6507/7-A-24	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2002-10-06	2002-10-15	HEIDRUN	2184-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4272.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2002	2002	\N	50	ED50	65	19	32.96	N	7	19	4.41	E	65.325822	7.317892	7245994.780000	421648.200000	32	6507	7	A	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4615	http://www.npd.no/FactMapSearch?NPDID_wellbore=4615	sidetrack	6507/7-A-24	4615	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/8-A-21 H	34/8-A-21	Norsk Hydro Produksjon AS	HYDRO	120	PRODUCTION	OIL	DEVELOPMENT	2002-10-11	2003-02-09	VISUND	2185-P	34/8-1 VISUND	NO	29.000000	\N	7322.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2002	2003	\N	50	ED50	61	22	11.86	N	2	27	32.83	E	61.369961	2.459119	6804278.350000	471085.650000	31	34	8	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4616	http://www.npd.no/FactMapSearch?NPDID_wellbore=4616	initial	\N	4616	44720	43745	9999-12-31	21772	277685	277685	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-B-2 B	2/4-B-2	ConocoPhillips Norge	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2002-11-25	2003-01-06	EKOFISK	2186-P	2/4-2 EKOFISK	NO	51.000000	\N	3597.000000	73.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2002	2003	\N	50	ED50	56	33	54.83	N	3	12	14.08	E	56.565231	3.203911	6269149.280000	512531.860000	31	2	4	B	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4617	http://www.npd.no/FactMapSearch?NPDID_wellbore=4617	sidetrack	2/4-B-2 A	4617	44072	43506	9999-12-31	20900	278245	271413	0	CONOCOPHILLIPS NORGE	2012-07-25	2012-07-25	2013-05-08
33/9-C-41 A	33/9-C-41	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2002-10-11	2002-11-01	STATFJORD	2187-P	33/12-1 STATFJORD	NO	78.400000	\N	3790.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2002	2002	\N	50	ED50	61	17	46.68	N	1	54	9.95	E	61.296300	1.902764	6796446.870000	441207.630000	31	33	9	C	41	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4618	http://www.npd.no/FactMapSearch?NPDID_wellbore=4618	sidetrack	33/9-C-41	4618	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-15	25/8-C-15	Esso Exploration and Production Norway A/S	ESSO	027	INJECTION	\N	DEVELOPMENT	2002-11-01	2002-11-18	BALDER	2188-P	25/8-11 RINGHORNE	NO	60.300000	\N	1372.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	CUTTINGS	2002	2002	\N	72	ED50	59	15	57.87	N	2	26	59.56	E	59.266075	2.449878	6569961.680000	468637.060000	31	25	8	C	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4619	http://www.npd.no/FactMapSearch?NPDID_wellbore=4619	initial	\N	4619	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2013-01-24	2013-01-24	2013-05-08
2/1-A-8 A	2/1-A-8	BP Norge AS	BP	019 B	PRODUCTION	OIL	DEVELOPMENT	2002-10-21	2003-01-12	GYDA	2189-P	2/1-3 GYDA	NO	56.000000	\N	4751.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2002	2003	\N	50	ED50	56	54	17.67	N	3	5	6.60	E	56.904908	3.085167	6306945.170000	505187.140000	31	2	1	A	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4620	http://www.npd.no/FactMapSearch?NPDID_wellbore=4620	sidetrack	2/1-A-8	4620	44012	43492	9999-12-31	20924	272337	272337	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6407/5-B-3 H	6407/5-B-3	Statoil ASA (old)	STATOIL	121	PRODUCTION	GAS	DEVELOPMENT	2002-10-16	2002-11-15	MIKKEL	2190-P	6407/6-3 MIKKEL	NO	22.000000	\N	2573.000000	228.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	MIKKEL B	10-B	NO	GAS	2002	2002	\N	90	ED50	64	38	49.63	N	7	39	48.69	E	64.647119	7.663525	7169979.180000	436146.520000	32	6407	5	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4621	http://www.npd.no/FactMapSearch?NPDID_wellbore=4621	initial	\N	4621	44870	1630514	9999-12-31	21780	296245	283537	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6407/6-A-1 H	6407/6-A-1	Statoil ASA (old)	STATOIL	092	PRODUCTION	GAS	DEVELOPMENT	2002-11-28	2003-01-10	MIKKEL	2191-P	6407/6-3 MIKKEL	NO	22.000000	\N	3107.000000	222.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	MIKKEL A	8	NO	GAS	2002	2003	\N	90	ED50	64	42	45.31	N	7	40	50.92	E	64.712586	7.680811	7177256.800000	437124.170000	32	6407	6	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4622	http://www.npd.no/FactMapSearch?NPDID_wellbore=4622	initial	\N	4622	44870	1630514	9999-12-31	21540	296245	283509	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6407/6-A-3 H	6407/6-A-3	Statoil ASA (old)	STATOIL	092	PRODUCTION	GAS	DEVELOPMENT	2002-11-16	2002-12-28	MIKKEL	2192-P	6407/6-3 MIKKEL	NO	22.000000	\N	2566.000000	222.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	MIKKEL A	8	NO	GAS	2002	2002	\N	90	ED50	64	42	45.55	N	7	40	50.28	E	64.712653	7.680633	7177264.410000	437115.850000	32	6407	6	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4623	http://www.npd.no/FactMapSearch?NPDID_wellbore=4623	initial	\N	4623	44870	1630514	9999-12-31	21540	296245	283509	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-E-3 Y1H	31/2-E-3	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-11-06	2003-01-31	TROLL	2193-P1	31/2-1 TROLL VEST	NO	23.000000	\N	6580.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	YES	OIL	2002	2003	\N	50	ED50	60	47	59.32	N	3	26	57.75	E	60.799811	3.449375	6740732.820000	524458.730000	31	31	2	E	3	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4624	http://www.npd.no/FactMapSearch?NPDID_wellbore=4624	multilateral	\N	4624	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-E-3 Y2H	31/2-E-3	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-02-01	2003-03-01	TROLL	2193-P2	31/2-1 TROLL VEST	NO	23.000000	\N	6135.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	YES	OIL	2003	2003	\N	50	ED50	60	47	59.32	N	3	26	57.75	E	60.799811	3.449375	6740732.820000	524458.730000	31	31	2	E	3	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4625	http://www.npd.no/FactMapSearch?NPDID_wellbore=4625	multilateral	31/2-E-3 Y1H	4625	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-E-3 Y3H	31/2-E-3	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-03-02	2003-04-18	TROLL	2193-P3	31/2-1 TROLL VEST	NO	23.000000	\N	6512.000000	332.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL E	4	YES	OIL	2003	2003	\N	50	ED50	60	47	59.32	N	3	26	57.75	E	60.799811	3.449375	6740732.820000	524458.730000	31	31	2	E	3	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4626	http://www.npd.no/FactMapSearch?NPDID_wellbore=4626	multilateral	31/2-E-3 Y2H	4626	44534	46437	9999-12-31	21228	289333	278133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-29	2/4-X-29	ConocoPhillips Norge	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2002-12-15	2003-01-25	EKOFISK	2194-P	2/4-2 EKOFISK	NO	57.000000	\N	3735.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2002	2003	\N	50	ED50	56	32	51.69	N	3	13	8.51	E	56.547692	3.219031	6267199.860000	513467.290000	31	2	4	X	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4627	http://www.npd.no/FactMapSearch?NPDID_wellbore=4627	initial	\N	4627	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS NORGE	2012-07-25	2012-07-25	2013-05-08
25/11-G-18	25/11-G-18	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2002-10-28	2002-11-20	GRANE	2195-P	25/11-15 GRANE	NO	26.000000	\N	4616.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	OIL	2002	2002	\N	50	ED50	59	9	54.89	N	2	29	14.43	E	59.165247	2.487342	6558716.790000	470686.570000	31	25	11	G	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4628	http://www.npd.no/FactMapSearch?NPDID_wellbore=4628	initial	\N	4628	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/3-S-22 AH	31/3-S-22	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2002-12-15	2003-02-04	TROLL	2197-P	31/2-1 TROLL VEST	NO	22.000000	\N	6233.000000	342.000000	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	NO	OIL	2002	2003	\N	50	ED50	60	53	34.84	N	3	40	18.47	E	60.893011	3.671797	6751217.090000	536458.250000	31	31	3	S	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4629	http://www.npd.no/FactMapSearch?NPDID_wellbore=4629	sidetrack	31/3-S-22 H	4629	44534	46437	9999-12-31	21476	287902	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-22	30/9-F-22	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2002-11-20	2003-03-26	OSEBERG SØR	2198-P	30/9-10 OSEBERG SØR	NO	67.200000	\N	7591.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2002	2003	\N	50	ED50	60	23	24.55	N	2	47	49.42	E	60.390153	2.797061	6695037.510000	488813.540000	31	30	9	F	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4631	http://www.npd.no/FactMapSearch?NPDID_wellbore=4631	initial	\N	4631	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-M-1 AH	33/9-M-1	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2002-10-29	2002-12-15	STATFJORD ØST	2200-P	33/9-7 STATFJORD ØST	NO	31.000000	\N	3014.000000	195.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	STATFJORD ØST M	Awarded additionaly to round 2-A	NO	OIL	2002	2002	\N	50	ED50	61	20	28.13	N	1	59	58.83	E	61.341147	1.999675	6801358.830000	446476.570000	31	33	9	M	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4633	http://www.npd.no/FactMapSearch?NPDID_wellbore=4633	sidetrack	33/9-M-1 H	4633	44582	43672	9999-12-31	21084	297784	278021	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-L-22 AY2H	31/2-L-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2002-11-11	2002-12-06	TROLL	2183-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5016.000000	329.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2002	2002	\N	50	ED50	60	48	31.69	N	3	33	21.18	E	60.808803	3.555883	6741778.730000	530247.230000	31	31	2	L	22	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4634	http://www.npd.no/FactMapSearch?NPDID_wellbore=4634	multilateral	31/2-L-22 AY1H	4634	44534	46437	9999-12-31	21228	297055	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-37 A	33/12-B-37	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2002-11-12	2002-11-29	STATFJORD	2201-P	33/12-1 STATFJORD	NO	77.800000	\N	3938.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2002	2002	\N	50	ED50	61	12	23.91	N	1	49	50.99	E	61.206642	1.830831	6786527.500000	437174.870000	31	33	12	B	37	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4635	http://www.npd.no/FactMapSearch?NPDID_wellbore=4635	sidetrack	33/12-B-37	4635	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-C-14 A	33/9-C-14	Statoil ASA (old)	STATOIL	037	INJECTION	WATER/GAS	DEVELOPMENT	2002-12-08	2002-12-27	STATFJORD	2202-P	33/12-1 STATFJORD	NO	78.400000	\N	3716.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	2002	2002	\N	0	ED50	61	17	47.99	N	1	54	10.77	E	61.296664	1.902992	6796487.200000	441220.510000	31	33	9	C	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4637	http://www.npd.no/FactMapSearch?NPDID_wellbore=4637	sidetrack	33/9-C-14	4637	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-J-5 AH	34/10-J-5	Statoil ASA (old)	STATOIL	050	INJECTION	GAS	DEVELOPMENT	2002-12-13	2003-01-06	GULLFAKS SØR	2203-P	34/10-17 RIMFAKS	NO	25.000000	\N	4931.000000	137.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR J	Awarded additionaly to round 3	NO	GAS	2002	2003	\N	91	ED50	61	3	50.55	N	2	0	10.41	E	61.064042	2.002892	6770491.150000	446177.910000	31	34	10	J	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4642	http://www.npd.no/FactMapSearch?NPDID_wellbore=4642	sidetrack	34/10-J-5 H	4642	44600	43699	9999-12-31	21188	296164	280681	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
35/11-A-14 H	35/11-A-14	Norsk Hydro Produksjon AS	HYDRO	090	PRODUCTION	OIL	DEVELOPMENT	2002-11-25	2002-12-27	FRAM	2204-P	35/11-4 FRAM	NO	29.000000	\N	5890.000000	357.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	FRAM A1	8	NO	OIL	2002	2002	\N	50	ED50	61	5	5.13	N	3	30	59.61	E	61.084758	3.516558	6772498.870000	527865.210000	31	35	11	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4643	http://www.npd.no/FactMapSearch?NPDID_wellbore=4643	initial	\N	4643	44750	1578840	9999-12-31	21524	287821	284713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/12-A-15 A	15/12-A-15	Pertra AS (OLD)	PERTRA	038	PRODUCTION	OIL	DEVELOPMENT	2003-01-23	2003-02-19	VARG	2206-P	15/12-4 VARG	NO	52.000000	\N	3508.000000	84.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2003	2003	\N	50	ED50	58	4	40.38	N	1	53	25.80	E	58.077883	1.890500	6438065.500000	434559.340000	31	15	12	A	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4644	http://www.npd.no/FactMapSearch?NPDID_wellbore=4644	sidetrack	15/12-A-15	4644	43868	43451	9999-12-31	21092	296002	279505	0	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
30/3-A-23	30/3-A-23	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2001-11-05	2001-11-17	VESLEFRIKK	2205-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5970.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2001	2001	30/3-7 BR	50	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	30	3	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4645	http://www.npd.no/FactMapSearch?NPDID_wellbore=4645	initial	\N	4645	44378	43618	9999-12-31	21212	277321	277321	4453	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-6	25/8-C-6	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2002-11-18	2003-01-27	BALDER	2207-P	25/8-11 RINGHORNE	NO	60.300000	\N	4479.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2002	2003	\N	50	ED50	59	15	57.92	N	2	26	59.36	E	59.266089	2.449822	6569963.260000	468633.900000	31	25	8	C	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4646	http://www.npd.no/FactMapSearch?NPDID_wellbore=4646	initial	\N	4646	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
6407/7-A-10 BY1H	6407/7-A-10	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	2003-01-01	2003-04-08	NJORD	2208-P1	6407/7-1 S NJORD	NO	30.000000	\N	6115.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	YES	OIL	2003	2003	\N	50	ED50	64	16	15.78	N	7	12	9.44	E	64.271050	7.202622	7128625.370000	412943.420000	32	6407	7	A	10	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4648	http://www.npd.no/FactMapSearch?NPDID_wellbore=4648	multilateral	6407/7-A-10 AH	4648	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-A-10 BY2H	6407/7-A-10	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	2003-04-09	2003-04-15	NJORD	2208-P2	6407/7-1 S NJORD	NO	30.000000	\N	4833.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	YES	OIL	2003	2003	\N	50	ED50	64	16	15.78	N	7	12	9.44	E	64.271050	7.202622	7128625.370000	412943.420000	32	6407	7	A	10	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4649	http://www.npd.no/FactMapSearch?NPDID_wellbore=4649	multilateral	6407/7-A-10 BY1H	4649	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-A-10 BY3H	6407/7-A-10	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	2003-04-16	2003-05-18	NJORD	2208-P3	6407/7-1 S NJORD	NO	30.000000	\N	5108.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	YES	OIL	2003	2003	\N	50	ED50	64	16	15.78	N	7	12	9.44	E	64.271050	7.202622	7128625.370000	412943.420000	32	6407	7	A	10	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4650	http://www.npd.no/FactMapSearch?NPDID_wellbore=4650	multilateral	6407/7-A-10 BY2H	4650	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/4-K-3 H	34/4-K-3	Statoil ASA (old)	STATOIL	057	INJECTION	WATER	DEVELOPMENT	2003-01-22	2003-04-30	SNORRE	2209-P	34/4-1 SNORRE	NO	37.000000	\N	4968.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-K H	4	NO	WATER	2003	2003	\N	173	ED50	61	31	31.47	N	2	12	44.47	E	61.525408	2.212353	6821728.030000	458103.500000	31	34	4	K	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4651	http://www.npd.no/FactMapSearch?NPDID_wellbore=4651	initial	\N	4651	44654	43718	9999-12-31	21252	280485	284265	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-N-2 H	33/9-N-2	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2002-12-19	2003-02-19	SYGNA	2210-P	33/9-19 S SYGNA	NO	31.000000	\N	4060.000000	299.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SYGNA N	Awarded additionaly to round 2-A	NO	OIL	2002	2003	\N	50	ED50	61	28	1.63	N	1	59	31.67	E	61.467119	1.992131	6815396.680000	446289.660000	31	33	9	N	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4653	http://www.npd.no/FactMapSearch?NPDID_wellbore=4653	initial	\N	4653	44564	104718	9999-12-31	21084	297784	279897	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/11-S-13	2/11-S-13	BP Norge AS	BP	033 B	INJECTION	CUTTINGS	DEVELOPMENT	2002-12-06	2003-01-05	VALHALL	2211-P	2/8-6 VALHALL	NO	59.300000	\N	2517.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	CUTTINGS	2002	2003	\N	171	ED50	56	13	39.50	N	3	26	14.80	E	56.227639	3.437444	6231639.760000	527123.110000	31	2	11	S	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4654	http://www.npd.no/FactMapSearch?NPDID_wellbore=4654	initial	\N	4654	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
30/3-A-19 A	30/3-A-19	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2003-01-08	2003-01-21	VESLEFRIKK	2212-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3151.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2003	2003	\N	50	ED50	60	46	57.92	N	2	53	52.27	E	60.782756	2.897853	6738753.670000	494437.310000	31	30	3	A	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4655	http://www.npd.no/FactMapSearch?NPDID_wellbore=4655	sidetrack	30/3-A-19	4655	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-B-17 C	2/4-B-17	ConocoPhillips Norge	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-01-10	2003-02-27	EKOFISK	2213-P	2/4-2 EKOFISK	NO	51.500000	\N	4657.000000	73.200000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	2003	2003	\N	50	ED50	56	33	55.04	N	3	12	14.08	E	56.565289	3.203911	6269155.770000	512531.840000	31	2	4	B	17	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4656	http://www.npd.no/FactMapSearch?NPDID_wellbore=4656	sidetrack	2/4-B-17 B	4656	44072	43506	9999-12-31	20900	271413	271413	0	CONOCOPHILLIPS NORGE	2012-07-25	2012-07-25	2013-05-08
25/8-B-21 B	25/8-B-21	Esso Exploration and Production Norway A/S	ESSO	027 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-12-07	2002-12-24	JOTUN	2214-P	25/8-5 S JOTUN	NO	52.400000	\N	3316.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	59	27	3.78	N	2	22	0.64	E	59.451050	2.366844	6590602.190000	464099.190000	31	25	8	B	21	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4657	http://www.npd.no/FactMapSearch?NPDID_wellbore=4657	sidetrack	25/8-B-21 A	4657	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-B-21 C	25/8-B-21	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2002-12-24	2003-01-16	JOTUN	2215-P	25/8-5 S JOTUN	NO	52.400000	\N	3889.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2002	2003	\N	50	ED50	59	27	3.78	N	2	22	0.64	E	59.451050	2.366844	6590602.190000	464099.190000	31	25	8	B	21	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4658	http://www.npd.no/FactMapSearch?NPDID_wellbore=4658	sidetrack	25/8-B-21 B	4658	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
33/9-C-7 A	33/9-C-7	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-01-06	2003-01-21	STATFJORD	2216-P	33/12-1 STATFJORD	NO	78.400000	\N	3870.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	17	48.04	N	1	54	11.31	E	61.296678	1.903142	6796488.610000	441228.580000	31	33	9	C	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4659	http://www.npd.no/FactMapSearch?NPDID_wellbore=4659	sidetrack	33/9-C-7	4659	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/11-G-23	25/11-G-23	Norsk Hydro Produksjon AS	HYDRO	169 B1	INJECTION	WATER	DEVELOPMENT	2002-12-17	2003-10-02	GRANE	2217-P	25/11-15 GRANE	NO	26.000000	\N	1620.000000	127.500000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	GRANE	Awarded additionaly to round 13	NO	WATER	2002	2003	\N	173	ED50	59	9	54.89	N	2	29	14.66	E	59.165247	2.487406	6558716.760000	470690.220000	31	25	11	G	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4660	http://www.npd.no/FactMapSearch?NPDID_wellbore=4660	initial	\N	4660	44216	1035937	9999-12-31	1030964	297001	283285	0	HYDRO PRODUKSJON	2012-08-24	2012-08-24	2013-05-08
34/10-B-1 A	34/10-B-1	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2002-12-26	2003-01-12	GULLFAKS	2219-P	34/10-1 GULLFAKS	NO	80.800000	\N	2760.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2002	2003	\N	50	ED50	61	12	10.98	N	2	12	5.04	E	61.203050	2.201400	6785827.750000	457081.620000	31	34	10	B	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4661	http://www.npd.no/FactMapSearch?NPDID_wellbore=4661	sidetrack	34/10-B-1	4661	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6608/10-D-4 AH	6608/10-D-4	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2003-01-11	2003-06-09	NORNE	2218-P	6608/10-2 NORNE	NO	24.000000	\N	5829.000000	376.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE D	10-B	NO	OIL	2003	2003	\N	50	ED50	66	0	49.62	N	8	3	28.09	E	66.013783	8.057803	7321952.940000	457259.080000	32	6608	10	D	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4662	http://www.npd.no/FactMapSearch?NPDID_wellbore=4662	sidetrack	6608/10-D-4 H	4662	44942	43778	9999-12-31	21836	297649	279281	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-10	6507/7-A-10	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2003-01-01	2003-02-13	HEIDRUN	2220-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4691.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2003	2003	\N	50	ED50	65	19	32.88	N	7	19	2.54	E	65.325800	7.317372	7245992.950000	421623.940000	32	6507	7	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4663	http://www.npd.no/FactMapSearch?NPDID_wellbore=4663	initial	\N	4663	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-M-2 H	34/10-M-2	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2002-01-19	2003-03-27	GULLFAKS SØR	2221-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	5294.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR M	Awarded additionaly to round 3	NO	OIL	2002	2003	\N	50	ED50	61	5	49.65	N	2	11	33.98	E	61.097125	2.192772	6774034.890000	456472.360000	31	34	10	M	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4664	http://www.npd.no/FactMapSearch?NPDID_wellbore=4664	initial	\N	4664	44606	43699	9999-12-31	21188	296164	281017	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
35/11-A-24 H	35/11-A-24	Norsk Hydro Produksjon AS	HYDRO	090	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-01-04	2003-01-24	FRAM	2222-P	35/11-4 FRAM	NO	29.000000	\N	3250.000000	358.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	FRAM A2	8	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	61	5	7.64	N	3	31	1.51	E	61.085456	3.517086	6772576.750000	527893.070000	31	35	11	A	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4665	http://www.npd.no/FactMapSearch?NPDID_wellbore=4665	initial	\N	4665	44750	1578840	9999-12-31	21524	287821	285133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
35/11-A-24 AH	35/11-A-24	Norsk Hydro Produksjon AS	HYDRO	090	INJECTION	GAS	DEVELOPMENT	2003-01-25	2003-02-16	FRAM	2223-P	35/11-4 FRAM	NO	29.000000	\N	4426.000000	358.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	FRAM A2	8	NO	GAS	2003	2003	\N	91	ED50	61	5	7.64	N	3	31	1.51	E	61.085456	3.517086	6772576.750000	527893.070000	31	35	11	A	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4666	http://www.npd.no/FactMapSearch?NPDID_wellbore=4666	sidetrack	35/11-A-24 H	4666	44750	1578840	9999-12-31	21524	287821	285133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/4-D-4 H	34/4-D-4	Statoil ASA (old)	STATOIL	057	PRODUCTION	OIL	DEVELOPMENT	2003-06-05	2003-09-29	SNORRE	2224-P	34/4-1 SNORRE	NO	37.000000	\N	5011.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-D H	4	NO	OIL	2003	2003	\N	50	ED50	61	31	32.67	N	2	12	40.98	E	61.525742	2.211383	6821765.780000	458052.380000	31	34	4	D	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4667	http://www.npd.no/FactMapSearch?NPDID_wellbore=4667	initial	\N	4667	44654	43718	9999-12-31	21252	280485	282809	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-4	25/8-C-4	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2003-02-19	2003-03-23	BALDER	2225-P	25/8-11 RINGHORNE	NO	60.300000	\N	4310.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2003	2003	\N	50	ED50	59	15	57.99	N	2	26	59.30	E	59.266108	2.449806	6569965.430000	468632.970000	31	25	8	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4669	http://www.npd.no/FactMapSearch?NPDID_wellbore=4669	initial	\N	4669	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/8-A-25 H	34/8-A-25	Statoil ASA (old)	STATOIL	120	PRODUCTION	\N	DEVELOPMENT	2003-02-17	2003-03-29	VISUND	2226-P	34/8-1 VISUND	NO	29.000000	\N	5172.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2003	2003	\N	71	ED50	61	22	12.20	N	2	27	34.67	E	61.370056	2.459631	6804288.640000	471113.060000	31	34	8	A	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4670	http://www.npd.no/FactMapSearch?NPDID_wellbore=4670	initial	\N	4670	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/11-S-11	2/11-S-11	BP Norge AS	BP	033 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-01-06	2003-02-01	VALHALL	2227-P	2/8-6 VALHALL	NO	59.300000	\N	3060.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	56	13	39.80	N	3	26	14.55	E	56.227722	3.437375	6231649.010000	527118.740000	31	2	11	S	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4671	http://www.npd.no/FactMapSearch?NPDID_wellbore=4671	initial	\N	4671	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/11-S-11 A	2/11-S-11	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2003-02-03	2003-03-08	VALHALL	2228-P	2/8-6 VALHALL	NO	59.300000	\N	4898.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2003	2003	\N	50	ED50	56	13	39.80	N	3	26	14.55	E	56.227722	3.437375	6231649.010000	527118.740000	31	2	11	S	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4672	http://www.npd.no/FactMapSearch?NPDID_wellbore=4672	sidetrack	2/11-S-11	4672	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
31/5-I-32 Y1H	31/5-I-32	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2003-01-25	2003-02-27	TROLL	2229-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5016.000000	314.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	31/5-I-32 H	Awarded additionaly to round 7	YES	OIL	2003	2003	\N	50	ED50	60	43	1.00	N	3	35	55.29	E	60.716944	3.598692	6731567.840000	532669.800000	31	31	5	I	32	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4673	http://www.npd.no/FactMapSearch?NPDID_wellbore=4673	multilateral	\N	4673	44534	46437	9999-12-31	21476	297055	286085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-32 Y2H	31/5-I-32	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2003-02-28	2003-03-21	TROLL	2229-P2	31/2-1 TROLL VEST	NO	35.500000	\N	4933.000000	314.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	31/5-I-32 H	Awarded additionaly to round 7	YES	OIL	2003	2003	\N	50	ED50	60	43	1.00	N	3	35	55.29	E	60.716944	3.598692	6731567.840000	532669.800000	31	31	5	I	32	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4674	http://www.npd.no/FactMapSearch?NPDID_wellbore=4674	multilateral	31/5-I-32 Y1H	4674	44534	46437	9999-12-31	21476	297055	286085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-11	2/4-X-11	ConocoPhillips Norge	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-02-16	2003-05-10	EKOFISK	2230-P	2/4-2 EKOFISK	NO	57.000000	\N	4937.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2003	2003	\N	50	ED50	56	32	51.05	N	3	13	8.31	E	56.547514	3.218975	6267180.060000	513463.940000	31	2	4	X	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4675	http://www.npd.no/FactMapSearch?NPDID_wellbore=4675	initial	\N	4675	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS NORGE	2012-07-25	2012-07-25	2013-05-08
33/9-A-10 A	33/9-A-10	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-01-15	2003-02-27	STATFJORD	2231-P	33/12-1 STATFJORD	NO	64.400000	\N	4776.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	15	20.88	N	1	51	14.88	E	61.255800	1.854133	6791980.640000	438522.950000	31	33	9	A	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4676	http://www.npd.no/FactMapSearch?NPDID_wellbore=4676	sidetrack	33/9-A-10	4676	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-42 B	34/10-B-42	Statoil ASA (old)	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	2002-01-12	2003-02-20	GULLFAKS	2233-P	34/10-1 GULLFAKS	NO	81.000000	\N	6523.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2002	2003	34/10-45 A	71	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	34	10	B	42	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4677	http://www.npd.no/FactMapSearch?NPDID_wellbore=4677	sidetrack	34/10-B-42 A	4677	44594	43686	9999-12-31	21188	271917	271917	4501	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-42 C	34/10-B-42	Statoil ASA (old)	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	2003-02-21	2003-03-01	GULLFAKS	2234-P	34/10-1 GULLFAKS	NO	81.000000	\N	5661.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	71	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	34	10	B	42	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4678	http://www.npd.no/FactMapSearch?NPDID_wellbore=4678	sidetrack	34/10-B-42 B	4678	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-P-23 Y1H	31/2-P-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-02-06	2003-03-29	TROLL	2235-P1	31/2-1 TROLL VEST	NO	22.000000	\N	4916.000000	339.000000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	TROLL P2	4	YES	OIL	2003	2003	\N	50	ED50	60	52	35.55	N	3	29	39.71	E	60.876542	3.494364	6749297.020000	526842.970000	31	31	2	P	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4679	http://www.npd.no/FactMapSearch?NPDID_wellbore=4679	multilateral	\N	4679	44534	46437	9999-12-31	21228	287902	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-23 Y2H	31/2-P-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-03-30	2003-04-23	TROLL	2235-P2	31/2-1 TROLL VEST	NO	22.000000	\N	5140.000000	339.000000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	TROLL P2	4	YES	OIL	2003	2003	\N	50	ED50	60	52	35.55	N	3	29	39.71	E	60.876542	3.494364	6749297.020000	526842.970000	31	31	2	P	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4680	http://www.npd.no/FactMapSearch?NPDID_wellbore=4680	multilateral	31/2-P-23 Y1H	4680	44534	46437	9999-12-31	21228	287902	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-35 B	6507/7-A-35	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2001-07-12	2001-07-19	HEIDRUN	2236-P	6507/7-2 HEIDRUN	NO	74.000000	\N	3731.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2001	2001	\N	50	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	6507	7	A	35	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4681	http://www.npd.no/FactMapSearch?NPDID_wellbore=4681	sidetrack	6507/7-A-35 A	4681	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-B-9 B	30/9-B-9	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2003-03-11	2003-05-13	OSEBERG	2237-P	30/6-1 OSEBERG	NO	58.000000	\N	6042.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2003	2003	\N	50	ED50	60	29	36.34	N	2	49	42.68	E	60.493428	2.828522	6706535.330000	490577.690000	31	30	9	B	9	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4682	http://www.npd.no/FactMapSearch?NPDID_wellbore=4682	sidetrack	30/9-B-9 A	4682	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-41 A	34/10-C-41	Statoil ASA (old)	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2003-03-07	2003-03-16	GULLFAKS	2238-P	34/10-1 GULLFAKS	NO	84.000000	\N	3445.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	WATER	2003	2003	\N	173	ED50	61	12	53.64	N	2	16	27.96	E	61.214900	2.274433	6787101.950000	461021.110000	31	34	10	C	41	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4683	http://www.npd.no/FactMapSearch?NPDID_wellbore=4683	sidetrack	34/10-C-41	4683	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-C-26 A	34/10-C-26	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2003-03-21	2003-04-03	GULLFAKS	2239-P	34/10-1 GULLFAKS	NO	84.000000	\N	2286.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	50	ED50	61	12	53.52	N	2	16	27.89	E	61.214867	2.274414	6787098.250000	461020.030000	31	34	10	C	26	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4684	http://www.npd.no/FactMapSearch?NPDID_wellbore=4684	sidetrack	34/10-C-26	4684	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-B-28	25/8-B-28	Esso Exploration and Production Norway A/S	ESSO	027 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-03-14	2003-04-04	JOTUN	2240-P	25/8-5 S JOTUN	NO	52.400000	\N	4531.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	59	27	3.97	N	2	22	0.65	E	59.451103	2.366847	6590608.060000	464099.400000	31	25	8	B	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4685	http://www.npd.no/FactMapSearch?NPDID_wellbore=4685	initial	\N	4685	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-B-28 A	25/8-B-28	Esso Exploration and Production Norway A/S	ESSO	027 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-04-05	2003-04-11	JOTUN	2241-P	25/8-5 S JOTUN	NO	52.400000	\N	5034.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	59	27	3.97	N	2	22	0.65	E	59.451103	2.366847	6590608.060000	464099.400000	31	25	8	B	28	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4686	http://www.npd.no/FactMapSearch?NPDID_wellbore=4686	sidetrack	25/8-B-28	4686	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
34/7-P-37 A	34/7-P-37	Statoil ASA (old)	STATOIL	089	INJECTION	WATER	DEVELOPMENT	2003-03-14	2003-07-06	SNORRE	2242-P	34/4-1 SNORRE	NO	59.000000	\N	4095.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER	2003	2003	\N	173	ED50	61	26	58.24	N	2	8	36.52	E	61.449511	2.143478	6813319.990000	454328.980000	31	34	7	P	37	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4687	http://www.npd.no/FactMapSearch?NPDID_wellbore=4687	sidetrack	34/7-P-37	4687	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-M-3 BH	34/10-M-3	Statoil ASA (old)	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-04-02	2003-04-17	GULLFAKS SØR	2243-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4910.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR M	Awarded additionaly to round 3	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	61	5	49.64	N	2	11	34.23	E	61.097122	2.192842	6774034.530000	456476.100000	31	34	10	M	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4688	http://www.npd.no/FactMapSearch?NPDID_wellbore=4688	sidetrack	34/10-M-3 AH	4688	44606	43699	9999-12-31	21188	296164	281017	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-M-3 CH	34/10-M-3	Statoil ASA (old)	STATOIL	050	PRODUCTION	GAS	DEVELOPMENT	2003-04-18	2003-05-12	GULLFAKS SØR	2244-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4842.000000	135.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	GULLFAKS SØR M	Awarded additionaly to round 3	NO	GAS	2003	2003	\N	90	ED50	61	5	49.64	N	2	11	34.23	E	61.097122	2.192842	6774034.530000	456476.100000	31	34	10	M	3	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4689	http://www.npd.no/FactMapSearch?NPDID_wellbore=4689	sidetrack	34/10-M-3 BH	4689	44606	43699	9999-12-31	21188	296164	281017	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/12-B-23 B	33/12-B-23	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-02-17	2003-03-08	STATFJORD	2245-P	33/12-1 STATFJORD	NO	77.800000	\N	4941.000000	144.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	12	24.10	N	1	49	51.19	E	61.206694	1.830886	6786533.320000	437177.960000	31	33	12	B	23	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4690	http://www.npd.no/FactMapSearch?NPDID_wellbore=4690	sidetrack	33/12-B-23 A	4690	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/12-B-23 C	33/12-B-23	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2010-03-11	2010-04-11	STATFJORD	2246-P	33/12-1 STATFJORD	NO	77.800000	\N	4126.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS	2010	2010	\N	90	ED50	61	12	24.10	N	1	49	51.19	E	61.206694	1.830886	6786533.320000	437177.960000	31	33	12	B	23	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4691	http://www.npd.no/FactMapSearch?NPDID_wellbore=4691	sidetrack	33/12-B-23 B	4691	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
35/11-A-21 Y1H	35/11-A-21	Norsk Hydro Produksjon AS	HYDRO	090	PRODUCTION	OIL	DEVELOPMENT	2003-02-17	2003-04-24	FRAM	2247-P1	35/11-4 FRAM	NO	29.000000	\N	5737.000000	358.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	FRAM A2	8	YES	OIL	2003	2003	\N	50	ED50	61	5	7.74	N	3	31	0.83	E	61.085483	3.516897	6772579.770000	527882.860000	31	35	11	A	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4692	http://www.npd.no/FactMapSearch?NPDID_wellbore=4692	multilateral	\N	4692	44750	1578840	9999-12-31	21524	287821	285133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
35/11-A-21 Y2H	35/11-A-21	Norsk Hydro Produksjon AS	HYDRO	090	PRODUCTION	OIL	DEVELOPMENT	2003-04-25	2003-05-15	FRAM	2247-P2	35/11-4 FRAM	NO	29.000000	\N	5433.000000	358.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	FRAM A2	8	YES	OIL	2003	2003	\N	50	ED50	61	5	7.74	N	3	31	0.83	E	61.085483	3.516897	6772579.770000	527882.860000	31	35	11	A	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4693	http://www.npd.no/FactMapSearch?NPDID_wellbore=4693	multilateral	35/11-A-21 Y1H	4693	44750	1578840	9999-12-31	21524	287821	285133	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-18 B	33/9-A-18	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-03-05	2003-03-24	STATFJORD	2248-P	33/12-1 STATFJORD	NO	64.400000	\N	3351.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	15	20.73	N	1	51	15.24	E	61.255758	1.854233	6791975.910000	438528.240000	31	33	9	A	18	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4694	http://www.npd.no/FactMapSearch?NPDID_wellbore=4694	sidetrack	33/9-A-18 A	4694	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
2/8-A-12 C	2/8-A-12	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2003-03-21	2003-06-07	VALHALL	2249-P	2/8-6 VALHALL	NO	43.500000	\N	3256.000000	69.000000	NORTH SEA	VALHALL DP	JACKET 8 LEGS	VALHALL DP	Awarded additionaly to round 1-A	NO	OIL	2003	2003	\N	50	ED50	56	16	41.64	N	3	23	43.83	E	56.278233	3.395508	6237255.480000	524490.610000	31	2	8	A	12	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4695	http://www.npd.no/FactMapSearch?NPDID_wellbore=4695	sidetrack	2/8-A-12 B	4695	44162	43548	9999-12-31	1333048	271749	271749	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
33/9-E-2 AH	33/9-E-2	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-03-08	2003-03-18	STATFJORD NORD	2250-P	33/9-8 STATFJORD NORD	NO	31.000000	\N	3169.000000	265.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	STATFJORD NORD E	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	26	3.56	N	1	55	30.60	E	61.434322	1.925167	6811800.500000	442661.100000	31	33	9	E	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4696	http://www.npd.no/FactMapSearch?NPDID_wellbore=4696	sidetrack	33/9-E-2 H	4696	44588	43679	9999-12-31	21084	297784	278469	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-56	6507/7-A-56	Statoil ASA (old)	STATOIL	095	INJECTION	WATER	DEVELOPMENT	2003-02-22	2003-04-13	HEIDRUN	2251-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3632.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER	2003	2003	\N	173	ED50	65	19	32.56	N	7	19	4.66	E	65.325711	7.317961	7245982.310000	421651.100000	32	6507	7	A	56	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4697	http://www.npd.no/FactMapSearch?NPDID_wellbore=4697	initial	\N	4697	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-C-15 B	34/10-C-15	Statoil ASA (old)	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	2003-04-09	2003-04-16	GULLFAKS	2252-P	34/10-1 GULLFAKS	NO	84.000000	\N	3054.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	71	ED50	61	12	54.79	N	2	16	26.19	E	61.215219	2.273942	6787137.830000	460995.100000	31	34	10	C	15	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4698	http://www.npd.no/FactMapSearch?NPDID_wellbore=4698	sidetrack	34/10-C-15 A	4698	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-15 A	34/10-B-15	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2003-03-22	2003-05-01	GULLFAKS	2253-P	34/10-1 GULLFAKS	NO	81.000000	\N	2838.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	50	ED50	61	12	11.05	N	2	12	4.95	E	61.203069	2.201375	6785829.930000	457080.310000	31	34	10	B	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4700	http://www.npd.no/FactMapSearch?NPDID_wellbore=4700	sidetrack	34/10-B-15	4700	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-F-11	30/9-F-11	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	WATER	DEVELOPMENT	2003-05-02	2003-05-15	OSEBERG SØR	2255-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	858.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER	2003	2003	\N	172	ED50	60	23	24.78	N	2	47	49.45	E	60.390217	2.797069	6695044.630000	488814.020000	31	30	9	F	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4701	http://www.npd.no/FactMapSearch?NPDID_wellbore=4701	initial	\N	4701	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-42 D	34/10-B-42	Statoil ASA (old)	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	2003-03-02	2003-03-15	GULLFAKS	2254-P	34/10-1 GULLFAKS	NO	81.000000	\N	5084.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	71	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	34	10	B	42	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4702	http://www.npd.no/FactMapSearch?NPDID_wellbore=4702	sidetrack	34/10-B-42 C	4702	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-D-3 H	34/7-D-3	Statoil ASA (old)	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2003-03-17	2003-05-03	VIGDIS	2256-P	34/7-8 VIGDIS	NO	31.000000	\N	4874.000000	251.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS D	8	NO	OIL	2003	2003	\N	50	ED50	61	20	44.37	N	2	4	22.08	E	61.345658	2.072800	6801803.560000	450396.140000	31	34	7	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4703	http://www.npd.no/FactMapSearch?NPDID_wellbore=4703	initial	\N	4703	44714	43732	9999-12-31	21516	290170	359965	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-C-8 A	33/9-C-8	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-03-16	2003-04-26	STATFJORD	2257-P	33/12-1 STATFJORD	NO	78.400000	\N	4576.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	17	48.02	N	1	54	11.45	E	61.296672	1.903181	6796487.960000	441230.650000	31	33	9	C	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4704	http://www.npd.no/FactMapSearch?NPDID_wellbore=4704	sidetrack	33/9-C-8	4704	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-L-12 Y1H	31/2-L-12	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-03-23	2003-04-26	TROLL	2258-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5888.000000	324.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2003	2003	\N	50	ED50	60	47	6.56	N	3	33	21.52	E	60.785156	3.555978	6739144.870000	530274.680000	31	31	2	L	12	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4706	http://www.npd.no/FactMapSearch?NPDID_wellbore=4706	multilateral	\N	4706	44534	46437	9999-12-31	21228	297055	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-12 Y2H	31/2-L-12	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-04-26	2003-05-29	TROLL	2258-P2	31/2-1 TROLL VEST	NO	35.500000	\N	6077.000000	324.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2003	2003	\N	50	ED50	60	47	6.56	N	3	33	21.52	E	60.785156	3.555978	6739144.870000	530274.680000	31	31	2	L	12	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4707	http://www.npd.no/FactMapSearch?NPDID_wellbore=4707	multilateral	31/2-L-12 Y1H	4707	44534	46437	9999-12-31	21228	297055	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-34 B	33/9-A-34	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-04-01	2003-04-15	STATFJORD	2259-P	33/12-1 STATFJORD	NO	64.400000	\N	3424.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	15	19.77	N	1	51	14.40	E	61.255492	1.854000	6791946.430000	438515.200000	31	33	9	A	34	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4708	http://www.npd.no/FactMapSearch?NPDID_wellbore=4708	sidetrack	33/9-A-34 A	4708	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/11-S-14	2/11-S-14	BP Norge AS	BP	033 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-03-09	2003-04-12	VALHALL	2260-P	2/8-6 VALHALL	NO	59.300000	\N	3411.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	56	13	39.56	N	3	26	14.90	E	56.227656	3.437472	6231641.620000	527124.820000	31	2	11	S	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4712	http://www.npd.no/FactMapSearch?NPDID_wellbore=4712	initial	\N	4712	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/11-S-14 A	2/11-S-14	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2003-04-13	2003-05-13	VALHALL	2261-P	2/8-6 VALHALL	NO	59.300000	\N	5275.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2003	2003	\N	50	ED50	56	13	39.56	N	3	26	14.90	E	56.227656	3.437472	6231641.620000	527124.820000	31	2	11	S	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4713	http://www.npd.no/FactMapSearch?NPDID_wellbore=4713	sidetrack	2/11-S-14	4713	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
25/8-C-16	25/8-C-16	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	WATER	DEVELOPMENT	2003-03-23	2003-04-05	BALDER	2262-P	25/8-11 RINGHORNE	NO	60.300000	\N	1073.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	WATER	2003	2003	\N	172	ED50	59	15	57.80	N	2	26	59.62	E	59.266056	2.449894	6569959.510000	468637.990000	31	25	8	C	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4714	http://www.npd.no/FactMapSearch?NPDID_wellbore=4714	initial	\N	4714	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
6507/7-A-54	6507/7-A-54	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2003-04-20	2003-06-10	HEIDRUN	2263-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4695.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2003	2003	\N	50	ED50	65	19	32.49	N	7	19	4.06	E	65.325692	7.317794	7245980.350000	421643.280000	32	6507	7	A	54	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4715	http://www.npd.no/FactMapSearch?NPDID_wellbore=4715	initial	\N	4715	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/5-C-1 H	25/5-C-1	TotalFinaElf Exploration Norge AS	TOTAL	102	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-05-11	2003-06-26	SKIRNE	2264-P	25/5-4 BYGGVE	NO	26.000000	\N	3398.000000	120.000000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	SKIRNE	9	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	59	37	3.59	N	2	29	49.89	E	59.617664	2.497192	6609093.620000	471630.310000	31	25	5	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4717	http://www.npd.no/FactMapSearch?NPDID_wellbore=4717	initial	\N	4717	44276	2138816	9999-12-31	21620	297001	359717	0	TOTALFINAELF	2012-07-25	2012-07-25	2013-05-08
25/5-C-1 AH	25/5-C-1	TotalFinaElf Exploration Norge AS	TOTAL	102	PRODUCTION	GAS	DEVELOPMENT	2003-05-11	2003-07-21	SKIRNE	2265-P	25/5-4 BYGGVE	NO	26.000000	\N	4147.000000	120.000000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	SKIRNE	9	NO	GAS	2003	2003	\N	90	ED50	59	37	3.59	N	2	29	49.89	E	59.617664	2.497192	6609093.620000	471630.310000	31	25	5	C	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4718	http://www.npd.no/FactMapSearch?NPDID_wellbore=4718	sidetrack	25/5-C-1 H	4718	44276	2138816	9999-12-31	21620	297001	359717	0	TOTALFINAELF	2013-01-24	2013-01-24	2013-05-08
2/4-X-14	2/4-X-14	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-05-14	2003-06-16	EKOFISK	2266-P	2/4-2 EKOFISK	NO	57.000000	\N	3584.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2003	2003	\N	50	ED50	56	32	51.14	N	3	13	8.19	E	56.547539	3.218942	6267182.840000	513461.880000	31	2	4	X	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4719	http://www.npd.no/FactMapSearch?NPDID_wellbore=4719	initial	\N	4719	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/7-A-3 B	2/7-A-3	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-06-15	2003-07-19	ELDFISK	2267-P	2/7-1 ELDFISK	NO	43.000000	\N	4566.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2003	2003	\N	50	ED50	56	22	36.27	N	3	15	57.74	E	56.376742	3.266039	6248181.680000	516431.280000	31	2	7	A	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4720	http://www.npd.no/FactMapSearch?NPDID_wellbore=4720	sidetrack	2/7-A-3 A	4720	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/7-A-6 A	2/7-A-6	ConocoPhillips Norge	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-03-17	2004-06-06	ELDFISK	2268-P	2/7-1 ELDFISK	NO	43.000000	\N	4180.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2004	2004	\N	50	ED50	56	22	36.34	N	3	15	57.69	E	56.376761	3.266025	6248183.840000	516430.410000	31	2	7	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4721	http://www.npd.no/FactMapSearch?NPDID_wellbore=4721	sidetrack	2/7-A-6	4721	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS NORGE	2012-07-25	2012-07-25	2013-05-08
15/9-E-3 H	15/9-E-3	Statoil ASA (old)	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2003-09-09	2003-11-09	SLEIPNER VEST	2269-P	15/6-3 SLEIPNER VEST	NO	22.000000	\N	3745.000000	111.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	15/9-E H	3	NO	GAS	2003	2003	\N	90	ED50	58	29	49.31	N	1	43	22.14	E	58.497031	1.722817	6484904.190000	425554.730000	31	15	9	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4722	http://www.npd.no/FactMapSearch?NPDID_wellbore=4722	initial	\N	4722	43910	43457	9999-12-31	21156	296245	280821	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-B-24	25/8-B-24	Esso Exploration and Production Norway A/S	ESSO	027 B	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	JOTUN	2270-P	25/8-5 S JOTUN	NO	52.400000	\N	0.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	NOT APPLICABLE	0	0	\N	0	ED50	59	27	3.72	N	2	22	0.71	E	59.451033	2.366864	6590600.320000	464100.280000	31	25	8	B	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4723	http://www.npd.no/FactMapSearch?NPDID_wellbore=4723	initial	\N	4723	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-B-24 A	25/8-B-24	Esso Exploration and Production Norway A/S	ESSO	027 B	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	JOTUN	2271-P	25/8-5 S JOTUN	NO	52.400000	\N	0.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	0	0	\N	0	ED50	59	27	3.72	N	2	22	0.71	E	59.451033	2.366864	6590600.320000	464100.280000	31	25	8	B	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4724	http://www.npd.no/FactMapSearch?NPDID_wellbore=4724	sidetrack	25/8-B-24	4724	44330	43604	9999-12-31	917344	279365	279393	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/8-F-3 B	2/8-F-3	BP Norge AS	BP	006 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2002-02-15	2002-03-30	VALHALL	2272-P	2/8-6 VALHALL	NO	56.200000	\N	3359.000000	71.700000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	Awarded additionaly to round 1-A	NO	NOT APPLICABLE	2002	2002	\N	99	ED50	56	16	35.70	N	3	23	47.03	E	56.276583	3.396397	6237072.140000	524546.710000	31	2	8	F	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4725	http://www.npd.no/FactMapSearch?NPDID_wellbore=4725	sidetrack	2/8-F-3 A	4725	44162	43548	9999-12-31	1333048	292114	278385	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-F-3 C	2/8-F-3	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2002-04-06	2002-05-14	VALHALL	2273-P	2/8-6 VALHALL	NO	56.200000	\N	3854.000000	71.700000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VALHALL WP	Awarded additionaly to round 1-A	NO	OIL	2002	2002	\N	50	ED50	56	16	35.70	N	3	23	47.03	E	56.276583	3.396397	6237072.140000	524546.710000	31	2	8	F	3	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4726	http://www.npd.no/FactMapSearch?NPDID_wellbore=4726	sidetrack	2/8-F-3 B	4726	44162	43548	9999-12-31	1333048	292114	278385	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
25/8-C-20	25/8-C-20	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2003-04-05	2003-05-02	BALDER	2274-P	25/8-C-20	YES	60.300000	\N	3360.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2003	2003	\N	50	ED50	59	15	57.89	N	2	26	59.21	E	59.266081	2.449781	6569962.350000	468631.520000	31	25	8	C	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4727	http://www.npd.no/FactMapSearch?NPDID_wellbore=4727	initial	\N	4727	2455295	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
30/3-A-3 A	30/3-A-3	Statoil ASA (old)	STATOIL	052	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-04-14	2003-09-29	VESLEFRIKK	2275-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5980.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	60	46	57.71	N	2	53	52.27	E	60.782697	2.897853	6738747.170000	494437.300000	31	30	3	A	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4729	http://www.npd.no/FactMapSearch?NPDID_wellbore=4729	sidetrack	30/3-A-3	4729	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-F-4 AH	33/9-F-4	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-04-19	2003-05-17	STATFJORD NORD	2276-P	33/9-8 STATFJORD NORD	NO	31.000000	\N	3473.000000	285.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	STATFJORD NORD F	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	26	40.43	N	1	57	23.18	E	61.444564	1.956439	6812914.200000	444347.520000	31	33	9	F	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4730	http://www.npd.no/FactMapSearch?NPDID_wellbore=4730	sidetrack	33/9-F-4 H	4730	44588	43679	9999-12-31	21084	297784	278497	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-D-4 Y1H	31/2-D-4	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-04-20	2003-06-05	TROLL	2277-P1	31/2-1 TROLL VEST	NO	23.000000	\N	6510.000000	338.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	YES	OIL	2003	2003	\N	50	ED50	60	51	24.65	N	3	26	56.32	E	60.856847	3.448978	6747085.620000	524393.640000	31	31	2	D	4	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4731	http://www.npd.no/FactMapSearch?NPDID_wellbore=4731	multilateral	\N	4731	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-D-4 Y2H	31/2-D-4	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-06-06	2003-06-26	TROLL	2277-P2	31/2-1 TROLL VEST	NO	23.000000	\N	5278.000000	338.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL D	4	YES	OIL	2003	2003	\N	50	ED50	60	51	24.65	N	3	26	56.32	E	60.856847	3.448978	6747085.620000	524393.640000	31	31	2	D	4	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4732	http://www.npd.no/FactMapSearch?NPDID_wellbore=4732	multilateral	31/2-D-4 Y1H	4732	44534	46437	9999-12-31	21228	289333	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-26 B	33/9-C-26	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-05-10	2003-06-05	STATFJORD	2278-P	33/12-1 STATFJORD	NO	78.400000	\N	4554.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	17	46.92	N	1	54	9.99	E	61.296367	1.902775	6796454.290000	441208.350000	31	33	9	C	26	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4734	http://www.npd.no/FactMapSearch?NPDID_wellbore=4734	sidetrack	33/9-C-26 A	4734	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-D-1 H	34/7-D-1	Statoil ASA (old)	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2003-05-04	2003-06-05	VIGDIS	2279-P	34/7-8 VIGDIS	NO	31.000000	\N	5533.000000	251.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS D	8	NO	OIL	2003	2003	\N	50	ED50	61	20	44.09	N	2	4	22.33	E	61.345581	2.072869	6801794.840000	450399.730000	31	34	7	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4738	http://www.npd.no/FactMapSearch?NPDID_wellbore=4738	initial	\N	4738	44714	43732	9999-12-31	21516	290170	359965	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-B-28 B	25/8-B-28	ExxonMobil Exploration & Production Norway AS	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2003-04-12	2003-05-09	JOTUN	2280-P	25/8-5 S JOTUN	NO	52.400000	\N	5250.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	59	27	3.97	N	2	22	0.65	E	59.451103	2.366847	6590608.060000	464099.400000	31	25	8	B	28	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4739	http://www.npd.no/FactMapSearch?NPDID_wellbore=4739	sidetrack	25/8-B-28 A	4739	44330	43604	9999-12-31	917344	279365	279393	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
31/2-P-23 Y3H	31/2-P-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-04-24	2003-05-29	TROLL	2235-P3	31/2-1 TROLL VEST	NO	22.000000	\N	4160.000000	339.000000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	TROLL P2	4	YES	OIL	2003	2003	\N	50	ED50	60	52	35.55	N	3	29	39.71	E	60.876542	3.494364	6749297.020000	526842.970000	31	31	2	P	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4740	http://www.npd.no/FactMapSearch?NPDID_wellbore=4740	multilateral	31/2-P-23 Y2H	4740	44534	46437	9999-12-31	21228	287902	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-15 C	34/10-C-15	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2003-04-17	2003-05-02	GULLFAKS	2281-P	34/10-1 GULLFAKS	NO	84.000000	\N	3287.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	50	ED50	61	12	54.79	N	2	16	26.19	E	61.215219	2.273942	6787137.830000	460995.100000	31	34	10	C	15	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4741	http://www.npd.no/FactMapSearch?NPDID_wellbore=4741	sidetrack	34/10-C-15 B	4741	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-C-23 B	34/10-C-23	Statoil ASA (old)	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	2003-05-11	2003-05-28	GULLFAKS	2282-P	34/10-1 GULLFAKS	NO	84.000000	\N	3804.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	71	ED50	61	12	54.80	N	2	16	26.56	E	61.215222	2.274044	6787138.070000	461000.620000	31	34	10	C	23	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4742	http://www.npd.no/FactMapSearch?NPDID_wellbore=4742	sidetrack	34/10-C-23 A	4742	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/5-B-1 H	25/5-B-1	TotalFinaElf Exploration Norge AS	TOTAL	102	PRODUCTION	GAS	DEVELOPMENT	2003-02-06	2003-05-10	SKIRNE	2283-P	25/5-3 SKIRNE	NO	26.000000	\N	3173.000000	118.000000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	SKIRNE	9	NO	GAS	2003	2003	\N	90	ED50	59	35	3.78	N	2	38	28.09	E	59.584383	2.641136	6605334.660000	479731.930000	31	25	5	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4743	http://www.npd.no/FactMapSearch?NPDID_wellbore=4743	initial	\N	4743	44270	2138816	9999-12-31	21620	297001	359717	0	TOTALFINAELF	2012-07-25	2012-07-25	2013-05-08
25/8-C-18	25/8-C-18	Esso Exploration and Production Norway A/S	ESSO	027	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-05-02	2003-06-03	BALDER	2284-P	25/8-11 RINGHORNE	NO	60.300000	\N	3199.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	59	15	57.96	N	2	26	59.15	E	59.266100	2.449764	6569964.520000	468630.590000	31	25	8	C	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4744	http://www.npd.no/FactMapSearch?NPDID_wellbore=4744	initial	\N	4744	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
7/12-A-17 A	7/12-A-17	BP Norge AS	BP	019	PRODUCTION	OIL	DEVELOPMENT	2003-06-16	2003-10-12	ULA	2285-P	7/12-2 ULA	NO	57.000000	\N	6477.000000	69.000000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	2003	2003	\N	50	ED50	57	6	41.06	N	2	50	50.64	E	57.111406	2.847400	6329939.550000	490757.140000	31	7	12	A	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4746	http://www.npd.no/FactMapSearch?NPDID_wellbore=4746	sidetrack	7/12-A-17	4746	44972	43800	9999-12-31	20916	271889	272029	0	BP NORGE	2012-08-24	2012-08-24	2013-05-08
34/7-P-1	34/7-P-1	Statoil ASA (old)	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2003-05-16	2003-08-02	SNORRE	2286-P	34/4-1 SNORRE	NO	59.400000	\N	7230.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2003	2003	\N	50	ED50	61	26	56.82	N	2	8	36.56	E	61.449117	2.143489	6813276.040000	454329.000000	31	34	7	P	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4747	http://www.npd.no/FactMapSearch?NPDID_wellbore=4747	initial	\N	4747	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6506/12-M-2 AH	6506/12-M-2	Statoil ASA (old)	STATOIL	094	INJECTION	OIL/GAS	DEVELOPMENT	2006-02-03	2006-04-02	ÅSGARD	2287-P	6506/12-1 SMØRBUKK	NO	22.000000	\N	5560.000000	273.500000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD M	8	NO	GAS	2006	2006	\N	0	ED50	65	10	24.35	N	6	48	2.82	E	65.173431	6.800783	7229759.230000	396976.270000	32	6506	12	M	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4748	http://www.npd.no/FactMapSearch?NPDID_wellbore=4748	sidetrack	6506/12-M-2 H	4748	44900	43765	9999-12-31	21556	296245	278805	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-18 A	25/8-C-18	Esso Exploration and Production Norway A/S	ESSO	027	INJECTION	\N	DEVELOPMENT	2003-06-04	2003-07-14	BALDER	2289-P	25/8-11 RINGHORNE	NO	60.300000	\N	6500.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	WATER	2003	2003	\N	72	ED50	59	15	57.96	N	2	26	59.15	E	59.266100	2.449764	6569964.520000	468630.590000	31	25	8	C	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4750	http://www.npd.no/FactMapSearch?NPDID_wellbore=4750	sidetrack	25/8-C-18	4750	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/11-S-12	2/11-S-12	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2003-05-14	2003-06-20	VALHALL	2290-P	2/8-6 VALHALL	NO	59.300000	\N	5400.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2003	2003	\N	50	ED50	56	13	39.71	N	3	26	14.99	E	56.227697	3.437497	6231646.270000	527126.340000	31	2	11	S	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4751	http://www.npd.no/FactMapSearch?NPDID_wellbore=4751	initial	\N	4751	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-X-50	2/4-X-50	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-06-17	2003-08-04	EKOFISK	2291-P	2/4-2 EKOFISK	NO	57.000000	\N	5244.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2003	2003	\N	50	ED50	56	32	52.06	N	3	13	8.78	E	56.547794	3.219106	6267211.320000	513471.870000	31	2	4	X	50	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4752	http://www.npd.no/FactMapSearch?NPDID_wellbore=4752	initial	\N	4752	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
30/9-F-12	30/9-F-12	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-05-16	2003-07-16	OSEBERG SØR	2292-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	4013.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	60	23	24.81	N	2	47	49.60	E	60.390225	2.797111	6695045.550000	488816.320000	31	30	9	F	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4753	http://www.npd.no/FactMapSearch?NPDID_wellbore=4753	initial	\N	4753	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/3-A-3 B	30/3-A-3	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2003-09-30	2003-11-03	VESLEFRIKK	2293-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	6723.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2003	2003	\N	50	ED50	60	46	57.71	N	2	53	52.27	E	60.782697	2.897853	6738747.170000	494437.300000	31	30	3	A	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4755	http://www.npd.no/FactMapSearch?NPDID_wellbore=4755	sidetrack	30/3-A-3 A	4755	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-21 B	34/10-B-21	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2001-06-13	2001-06-23	GULLFAKS	2294-P	34/10-1 GULLFAKS	NO	81.000000	\N	2244.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2001	2001	\N	50	ED50	61	12	9.83	N	2	12	6.25	E	61.202731	2.201736	6785791.950000	457099.250000	31	34	10	B	21	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4756	http://www.npd.no/FactMapSearch?NPDID_wellbore=4756	sidetrack	34/10-B-21 A	4756	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-A-38 B	33/9-A-38	Statoil ASA (old)	STATOIL	037	INJECTION	WATER	DEVELOPMENT	2003-06-19	2003-07-08	STATFJORD	2295-P	33/12-1 STATFJORD	NO	64.400000	\N	4286.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	WATER	2003	2003	\N	173	ED50	61	15	19.73	N	1	51	14.20	E	61.255481	1.853944	6791945.240000	438512.200000	31	33	9	A	38	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4757	http://www.npd.no/FactMapSearch?NPDID_wellbore=4757	sidetrack	33/9-A-38 A	4757	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-9 A	34/10-B-9	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2003-06-17	2003-07-09	GULLFAKS	2296-P	34/10-1 GULLFAKS	NO	81.000000	\N	3454.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	50	ED50	61	12	11.09	N	2	12	5.10	E	61.203081	2.201417	6785831.140000	457082.560000	31	34	10	B	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4758	http://www.npd.no/FactMapSearch?NPDID_wellbore=4758	sidetrack	34/10-B-9	4758	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-F-3 H	34/7-F-3	Statoil ASA (old)	STATOIL	089	OBSERVATION	WATER	DEVELOPMENT	2003-06-20	2003-12-31	VIGDIS	2297-P	34/7-8 VIGDIS	NO	31.000000	\N	5213.000000	219.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS F	8	NO	NOT APPLICABLE	2003	2003	\N	173	ED50	61	19	14.58	N	2	3	59.87	E	61.320717	2.066631	6799030.080000	450026.390000	31	34	7	F	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4760	http://www.npd.no/FactMapSearch?NPDID_wellbore=4760	initial	\N	4760	44714	43732	9999-12-31	21516	290170	356166	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-C-23 C	34/10-C-23	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2003-05-29	2003-06-21	GULLFAKS	2298-P	34/10-1 GULLFAKS	NO	84.000000	\N	4072.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	50	ED50	61	12	54.80	N	2	16	26.56	E	61.215222	2.274044	6787138.070000	461000.620000	31	34	10	C	23	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4763	http://www.npd.no/FactMapSearch?NPDID_wellbore=4763	sidetrack	34/10-C-23 B	4763	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/8-A-25 AH	34/8-A-25	Statoil ASA (old)	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2003-06-20	2003-08-18	VISUND	2299-P	34/8-1 VISUND	NO	29.000000	\N	5449.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2003	2003	\N	50	ED50	61	22	12.20	N	2	27	34.67	E	61.370056	2.459631	6804288.640000	471113.060000	31	34	8	A	25	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4764	http://www.npd.no/FactMapSearch?NPDID_wellbore=4764	sidetrack	34/8-A-25 H	4764	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-C-4 B	33/9-C-4	Statoil ASA (old)	STATOIL	037	INJECTION	WATER/GAS	DEVELOPMENT	2003-06-15	2003-07-07	STATFJORD	2300-P	33/12-1 STATFJORD	NO	78.400000	\N	4053.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER/GAS	2003	2003	\N	0	ED50	61	17	48.13	N	1	54	10.89	E	61.296703	1.903025	6796491.500000	441222.370000	31	33	9	C	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4766	http://www.npd.no/FactMapSearch?NPDID_wellbore=4766	sidetrack	33/9-C-4 A	4766	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-34	6507/7-A-34	Statoil ASA (old)	STATOIL	095	OBSERVATION	OIL	DEVELOPMENT	2003-06-27	2003-07-27	HEIDRUN	2303-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3891.000000	345.500000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2003	2003	\N	99	ED50	65	19	32.57	N	7	19	2.73	E	65.325714	7.317425	7245983.280000	421626.140000	32	6507	7	A	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4768	http://www.npd.no/FactMapSearch?NPDID_wellbore=4768	initial	\N	4768	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
6507/7-A-34 A	6507/7-A-34	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2003-07-27	2003-08-28	HEIDRUN	2304-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4220.000000	345.500000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2003	2003	\N	50	ED50	65	19	32.57	N	7	19	2.73	E	65.325714	7.317425	7245983.280000	421626.140000	32	6507	7	A	34	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4769	http://www.npd.no/FactMapSearch?NPDID_wellbore=4769	sidetrack	6507/7-A-34	4769	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-Q-11 BY1H	31/2-Q-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-06-30	2003-07-28	TROLL	2305-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5610.000000	335.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL Q1	4	YES	OIL	2003	2003	\N	50	ED50	60	50	40.92	N	3	37	38.29	E	60.844700	3.627303	6745812.100000	534095.060000	31	31	2	Q	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4770	http://www.npd.no/FactMapSearch?NPDID_wellbore=4770	multilateral	31/2-Q-11 AH	4770	44534	46437	9999-12-31	21228	297055	279477	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Q-11 BY2H	31/2-Q-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-07-28	2003-08-07	TROLL	2305-P2	31/2-1 TROLL VEST	NO	35.500000	\N	3998.000000	335.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL Q1	4	YES	OIL	2003	2003	\N	50	ED50	60	50	40.92	N	3	37	38.29	E	60.844700	3.627303	6745812.100000	534095.060000	31	31	2	Q	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4771	http://www.npd.no/FactMapSearch?NPDID_wellbore=4771	multilateral	31/2-Q-11 BY1H	4771	44534	46437	9999-12-31	21228	297055	279477	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/5-A-5 H	15/5-A-5	Statoil ASA (old)	STATOIL	048 B	PRODUCTION	OIL	DEVELOPMENT	2003-07-21	2003-09-04	GLITNE	2306-P	15/5-5 GLITNE	NO	52.000000	\N	3840.000000	111.500000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	PETROJARL 1	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	50	ED50	58	42	45.73	N	1	39	30.35	E	58.712703	1.658431	6508989.070000	422282.060000	31	15	5	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4772	http://www.npd.no/FactMapSearch?NPDID_wellbore=4772	initial	\N	4772	43904	1272071	9999-12-31	1342723	297838	280513	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/11-S-15	2/11-S-15	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2003-06-20	2003-08-02	VALHALL	2307-P	2/8-6 VALHALL	NO	59.300000	\N	5394.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2003	2003	\N	50	ED50	56	13	39.61	N	3	26	14.99	E	56.227669	3.437497	6231643.180000	527126.360000	31	2	11	S	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4773	http://www.npd.no/FactMapSearch?NPDID_wellbore=4773	initial	\N	4773	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
31/5-I-13 Y1H	31/5-I-13	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2003-07-06	2003-08-29	TROLL	2309-P1	31/2-1 TROLL VEST	NO	23.000000	\N	6728.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2003	2003	\N	50	ED50	60	44	27.80	N	3	34	53.99	E	60.741056	3.581664	6734245.030000	531716.850000	31	31	5	I	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4774	http://www.npd.no/FactMapSearch?NPDID_wellbore=4774	multilateral	\N	4774	44534	46437	9999-12-31	21476	289333	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-13 Y2H	31/5-I-13	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2003-08-29	2003-10-01	TROLL	2309-P2	31/2-1 TROLL VEST	NO	23.000000	\N	5051.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2003	2003	\N	50	ED50	60	44	27.80	N	3	34	53.99	E	60.741056	3.581664	6734245.030000	531716.850000	31	31	5	I	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4775	http://www.npd.no/FactMapSearch?NPDID_wellbore=4775	multilateral	31/5-I-13 Y1H	4775	44534	46437	9999-12-31	21476	289333	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-13 Y3H	31/5-I-13	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2003-10-01	2003-11-07	TROLL	2309-P3	31/2-1 TROLL VEST	NO	23.000000	\N	6819.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2003	2003	\N	50	ED50	60	44	27.80	N	3	34	53.99	E	60.741056	3.581664	6734245.030000	531716.850000	31	31	5	I	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4776	http://www.npd.no/FactMapSearch?NPDID_wellbore=4776	multilateral	31/5-I-13 Y2H	4776	44534	46437	9999-12-31	21476	289333	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-13 Y4H	31/5-I-13	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	2309-P4	31/2-1 TROLL VEST	NO	23.000000	\N	0.000000	317.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	\N	Awarded additionaly to round 7	YES	OIL	0	0	\N	0	ED50	60	44	27.80	N	3	34	53.99	E	60.741056	3.581664	6734245.030000	531716.850000	31	31	5	I	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4777	http://www.npd.no/FactMapSearch?NPDID_wellbore=4777	multilateral	31/5-I-13 Y3H	4777	44534	46437	9999-12-31	21476	289333	\N	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-F-3 AH	34/7-F-3	Statoil ASA (old)	STATOIL	089	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VIGDIS	2308-P	34/7-8 VIGDIS	NO	31.000000	\N	0.000000	219.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS F	8	NO	WATER	0	0	\N	0	ED50	61	19	14.58	N	2	3	59.87	E	61.320717	2.066631	6799030.080000	450026.390000	31	34	7	F	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4778	http://www.npd.no/FactMapSearch?NPDID_wellbore=4778	sidetrack	34/7-F-3 H	4778	44714	43732	9999-12-31	21516	290170	356166	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-A-29 A	33/9-A-29	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-07-27	2003-08-27	STATFJORD	2310-P	33/12-1 STATFJORD	NO	64.400000	\N	3840.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	15	19.83	N	1	51	14.46	E	61.255508	1.854017	6791948.270000	438516.130000	31	33	9	A	29	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4779	http://www.npd.no/FactMapSearch?NPDID_wellbore=4779	sidetrack	33/9-A-29	4779	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6406/2-S-3 H	6406/2-S-3	Statoil ASA (old)	STATOIL	199	PRODUCTION	GAS	DEVELOPMENT	2003-08-03	2004-01-31	KRISTIN	2312-P	6406/2-3 KRISTIN	NO	25.000000	\N	5359.000000	365.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	KRISTIN S	14	NO	GAS	2003	2004	\N	90	ED50	64	58	39.08	N	6	26	5.69	E	64.977522	6.434914	7208585.370000	378957.260000	32	6406	2	S	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4780	http://www.npd.no/FactMapSearch?NPDID_wellbore=4780	initial	\N	4780	44840	1854729	9999-12-31	22404	294058	360444	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-B-47	30/9-B-47	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2003-09-01	2004-12-09	OSEBERG	2313-P	30/6-1 OSEBERG	NO	58.000000	\N	10007.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2003	2004	\N	50	ED50	60	29	35.86	N	2	49	43.24	E	60.493294	2.828678	6706520.460000	490586.200000	31	30	9	B	47	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4781	http://www.npd.no/FactMapSearch?NPDID_wellbore=4781	initial	\N	4781	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-39 B	34/10-B-39	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2003-07-18	2003-08-02	GULLFAKS	2314-P	34/10-1 GULLFAKS	NO	81.000000	\N	4000.000000	142.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	50	ED50	61	12	9.90	N	2	12	6.16	E	61.202750	2.201711	6785794.130000	457097.940000	31	34	10	B	39	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4782	http://www.npd.no/FactMapSearch?NPDID_wellbore=4782	sidetrack	34/10-B-39 A	4782	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-8	25/8-C-8	Esso Exploration and Production Norway A/S	ESSO	027	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-07-16	2003-08-12	BALDER	2315-P	25/8-11 RINGHORNE	NO	60.300000	\N	5209.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	59	15	57.98	N	2	26	59.65	E	59.266106	2.449903	6569965.070000	468638.510000	31	25	8	C	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4783	http://www.npd.no/FactMapSearch?NPDID_wellbore=4783	initial	\N	4783	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-C-8 A	25/8-C-8	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2003-08-12	2003-09-07	BALDER	2316-P	25/8-11 RINGHORNE	NO	60.300000	\N	5390.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2003	2003	\N	50	ED50	59	15	57.98	N	2	26	59.65	E	59.266106	2.449903	6569965.070000	468638.510000	31	25	8	C	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4784	http://www.npd.no/FactMapSearch?NPDID_wellbore=4784	sidetrack	25/8-C-8	4784	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
15/9-E-1 H	15/9-E-1	Statoil ASA (old)	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2003-09-25	2003-10-29	SLEIPNER VEST	2317-P	15/6-3 SLEIPNER VEST	NO	22.000000	\N	4018.000000	111.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	15/9-E H	3	NO	GAS	2003	2003	\N	90	ED50	58	29	49.20	N	1	43	21.44	E	58.497000	1.722622	6484901.000000	425543.330000	31	15	9	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4785	http://www.npd.no/FactMapSearch?NPDID_wellbore=4785	initial	\N	4785	43910	43457	9999-12-31	21156	296245	280821	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-F-26	30/9-F-26	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	WATER	DEVELOPMENT	2003-07-22	2003-09-27	OSEBERG SØR	2318-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	4550.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER	2003	2003	\N	173	ED50	60	23	24.48	N	2	47	49.45	E	60.390133	2.797069	6695035.350000	488813.990000	31	30	9	F	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4793	http://www.npd.no/FactMapSearch?NPDID_wellbore=4793	initial	\N	4793	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/4-D-1 H	34/4-D-1	Statoil ASA (old)	STATOIL	057	PRODUCTION	OIL	DEVELOPMENT	2003-07-21	2004-05-10	SNORRE	2319-P	34/4-1 SNORRE	NO	37.000000	\N	6805.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-D H	4	NO	OIL	2003	2004	\N	50	ED50	61	31	32.70	N	2	12	40.00	E	61.525750	2.211111	6821766.890000	458037.910000	31	34	4	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4794	http://www.npd.no/FactMapSearch?NPDID_wellbore=4794	initial	\N	4794	44654	43718	9999-12-31	21252	280485	282809	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/8-A-22 H	34/8-A-22	Statoil ASA (old)	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2003-09-13	2004-01-15	VISUND	2320-P	34/8-1 VISUND	NO	29.000000	\N	8263.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2003	2004	\N	50	ED50	61	22	11.90	N	2	27	33.30	E	61.369972	2.459250	6804279.530000	471092.640000	31	34	8	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4795	http://www.npd.no/FactMapSearch?NPDID_wellbore=4795	initial	\N	4795	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-3 A	34/10-B-3	Statoil ASA (old)	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2003-08-16	2003-09-01	GULLFAKS	2321-P	34/10-1 GULLFAKS	NO	81.000000	\N	3840.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	2003	2003	\N	173	ED50	61	12	11.16	N	2	12	5.01	E	61.203100	2.201392	6785833.330000	457081.240000	31	34	10	B	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4796	http://www.npd.no/FactMapSearch?NPDID_wellbore=4796	sidetrack	34/10-B-3	4796	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6407/7-A-4 H	6407/7-A-4	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	GAS	DEVELOPMENT	2003-10-01	2004-02-25	NJORD	2322-P	6407/7-1 S NJORD	NO	30.000000	\N	5839.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2003	2004	\N	91	ED50	64	16	14.59	N	7	12	5.77	E	64.270719	7.201603	7128589.940000	412893.010000	32	6407	7	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4797	http://www.npd.no/FactMapSearch?NPDID_wellbore=4797	initial	\N	4797	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-X-41	2/4-X-41	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-09-01	2003-10-19	EKOFISK	2323-P	2/4-2 EKOFISK	NO	57.000000	\N	3673.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2003	2003	\N	50	ED50	56	32	51.92	N	3	13	8.58	E	56.547756	3.219050	6267206.980000	513468.470000	31	2	4	X	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4798	http://www.npd.no/FactMapSearch?NPDID_wellbore=4798	initial	\N	4798	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/7-B-12 C	2/7-B-12	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-11-05	2004-01-16	ELDFISK	2324-P	2/7-1 ELDFISK	NO	44.000000	\N	5111.000000	71.300000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2003	2004	\N	50	ED50	56	25	8.98	N	3	13	5.53	E	56.419161	3.218203	6252892.930000	513461.820000	31	2	7	B	12	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4799	http://www.npd.no/FactMapSearch?NPDID_wellbore=4799	sidetrack	2/7-B-12 B	4799	44114	43527	9999-12-31	20900	271609	271609	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
31/2-Q-11 BY3H	31/2-Q-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-08-07	2003-08-24	TROLL	2305-P3	31/2-1 TROLL VEST	NO	35.500000	\N	4742.000000	335.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL Q1	4	YES	OIL	2003	2003	\N	50	ED50	60	50	40.92	N	3	37	38.29	E	60.844700	3.627303	6745812.100000	534095.060000	31	31	2	Q	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4800	http://www.npd.no/FactMapSearch?NPDID_wellbore=4800	multilateral	31/2-Q-11 BY2H	4800	44534	46437	9999-12-31	21228	297055	279477	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-11 Y1H	31/2-K-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-08-25	2003-09-24	TROLL	2325-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5520.000000	320.400000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL K1	4	YES	OIL	2003	2003	\N	50	ED50	60	46	5.91	N	3	36	40.52	E	60.768308	3.611256	6737295.150000	533302.130000	31	31	2	K	11	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4802	http://www.npd.no/FactMapSearch?NPDID_wellbore=4802	multilateral	\N	4802	44534	46437	9999-12-31	21228	297055	279449	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-11 Y2H	31/2-K-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-09-24	2003-10-11	TROLL	2325-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5180.000000	320.400000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL K1	4	YES	OIL	2003	2003	\N	50	ED50	60	46	5.91	N	3	36	40.52	E	60.768308	3.611256	6737295.150000	533302.130000	31	31	2	K	11	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4803	http://www.npd.no/FactMapSearch?NPDID_wellbore=4803	multilateral	31/2-K-11 Y1H	4803	44534	46437	9999-12-31	21228	297055	279449	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-11 Y3H	31/2-K-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-10-12	2003-10-27	TROLL	2325-P3	31/2-1 TROLL VEST	NO	35.500000	\N	4541.000000	320.400000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL K1	4	YES	OIL	2003	2003	\N	50	ED50	60	46	5.91	N	3	36	40.52	E	60.768308	3.611256	6737295.150000	533302.130000	31	31	2	K	11	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4804	http://www.npd.no/FactMapSearch?NPDID_wellbore=4804	multilateral	31/2-K-11 Y2H	4804	44534	46437	9999-12-31	21228	297055	279449	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-C-13	25/8-C-13	Esso Exploration and Production Norway A/S	ESSO	027	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-09-11	2003-10-05	RINGHORNE ØST	2326-P	25/8-14 S	NO	60.300000	\N	4813.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	59	15	57.69	N	2	26	59.53	E	59.266025	2.449869	6569956.120000	468636.530000	31	25	8	C	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4806	http://www.npd.no/FactMapSearch?NPDID_wellbore=4806	initial	\N	4806	2472571	3505505	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-C-13 A	25/8-C-13	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2003-10-05	2003-11-13	RINGHORNE ØST	2327-P	25/8-14 S	NO	60.300000	\N	5481.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2003	2003	\N	50	ED50	59	15	57.69	N	2	26	59.53	E	59.266025	2.449869	6569956.120000	468636.530000	31	25	8	C	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4807	http://www.npd.no/FactMapSearch?NPDID_wellbore=4807	sidetrack	25/8-C-13	4807	2472571	3505505	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
33/9-C-31 A	33/9-C-31	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-09-02	2003-09-25	STATFJORD	2328-P	33/12-1 STATFJORD	NO	78.400000	\N	3768.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	17	46.85	N	1	54	9.93	E	61.296347	1.902758	6796452.140000	441207.420000	31	33	9	C	31	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4810	http://www.npd.no/FactMapSearch?NPDID_wellbore=4810	sidetrack	33/9-C-31	4810	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/4-A-17 BY1	31/4-A-17	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	\N	DEVELOPMENT	2003-11-08	2003-12-14	BRAGE	2329-P1	31/4-3 BRAGE	NO	63.000000	\N	3426.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	YES	OIL	2003	2003	\N	71	ED50	60	32	33.42	N	3	2	51.03	E	60.542617	3.047508	6712002.720000	502606.520000	31	31	4	A	17	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4811	http://www.npd.no/FactMapSearch?NPDID_wellbore=4811	multilateral	31/4-A-17 A	4811	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-17 BY2	31/4-A-17	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2003-12-15	2003-12-25	BRAGE	2329-P2	31/4-3 BRAGE	NO	63.000000	\N	3865.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	YES	OIL	2003	2003	\N	50	ED50	60	32	33.42	N	3	2	51.03	E	60.542617	3.047508	6712002.720000	502606.520000	31	31	4	A	17	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4812	http://www.npd.no/FactMapSearch?NPDID_wellbore=4812	multilateral	31/4-A-17 BY1	4812	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-21	30/9-F-21	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	WATER/GAS	DEVELOPMENT	2003-09-29	2004-01-19	OSEBERG SØR	2330-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	7525.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER/GAS	2003	2004	\N	0	ED50	60	23	24.53	N	2	47	49.27	E	60.390147	2.797019	6695036.900000	488811.240000	31	30	9	F	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4813	http://www.npd.no/FactMapSearch?NPDID_wellbore=4813	initial	\N	4813	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-16 C	33/12-B-16	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2004-10-29	2004-12-10	STATFJORD	2331-P	33/12-1 STATFJORD	NO	77.800000	\N	4794.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2004	2004	\N	50	ED50	61	12	25.05	N	1	49	52.20	E	61.206958	1.831167	6786562.440000	437193.560000	31	33	12	B	16	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4814	http://www.npd.no/FactMapSearch?NPDID_wellbore=4814	sidetrack	33/12-B-16 B	4814	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-X-22	2/4-X-22	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-10-20	2003-12-01	EKOFISK	2332-P	2/4-2 EKOFISK	NO	57.000000	\N	3804.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2003	2003	\N	50	ED50	56	32	51.29	N	3	13	8.24	E	56.547581	3.218956	6267187.480000	513462.720000	31	2	4	X	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4815	http://www.npd.no/FactMapSearch?NPDID_wellbore=4815	initial	\N	4815	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
34/10-A-48	34/10-A-48	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2001-11-13	2002-02-01	GULLFAKS	2333-P	34/10-1 GULLFAKS	NO	82.200000	\N	5568.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2001	2002	34/10-46 S	50	ED50	61	10	33.86	N	2	11	23.22	E	61.176072	2.189783	6782830.470000	456420.110000	31	34	10	A	48	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4816	http://www.npd.no/FactMapSearch?NPDID_wellbore=4816	initial	\N	4816	44594	43686	9999-12-31	21188	271833	271833	4489	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-A-48 A	34/10-A-48	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2002-02-01	2002-03-18	GULLFAKS	2334-P	34/10-1 GULLFAKS	NO	82.200000	\N	6860.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2002	2002	34/10-46 A	50	ED50	61	10	33.86	N	2	11	23.22	E	61.176072	2.189783	6782830.470000	456420.110000	31	34	10	A	48	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4817	http://www.npd.no/FactMapSearch?NPDID_wellbore=4817	sidetrack	34/10-A-48	4817	44594	43686	9999-12-31	21188	271833	271833	4500	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6608/10-D-1 CH	6608/10-D-1	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2003-09-30	2003-11-07	NORNE	2335-P	6608/10-2 NORNE	NO	24.000000	\N	4575.000000	376.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE D	10-B	NO	OIL	2003	2003	\N	50	ED50	66	0	49.30	N	8	3	28.89	E	66.013694	8.058025	7321942.880000	457269.010000	32	6608	10	D	1	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4818	http://www.npd.no/FactMapSearch?NPDID_wellbore=4818	sidetrack	6608/10-D-1 BH	4818	44942	43778	9999-12-31	21836	297649	279281	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-50 A	6507/7-A-50	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2003-10-04	2003-12-08	HEIDRUN	2337-P	6507/7-2 HEIDRUN	NO	74.200000	\N	5171.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2003	2003	\N	50	ED50	65	19	32.36	N	7	19	2.87	E	65.325656	7.317464	7245976.740000	421627.780000	32	6507	7	A	50	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4820	http://www.npd.no/FactMapSearch?NPDID_wellbore=4820	sidetrack	6507/7-A-50	4820	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/8-N-13	2/8-N-13	BP Norge AS	BP	006 B	INJECTION	CUTTINGS	DEVELOPMENT	2003-09-16	2003-09-29	VALHALL	2336-P	2/8-6 VALHALL	NO	59.700000	\N	2805.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	CUTTINGS	2003	2003	\N	171	ED50	56	19	27.50	N	3	21	9.63	E	56.324306	3.352675	6242369.210000	521812.040000	31	2	8	N	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4821	http://www.npd.no/FactMapSearch?NPDID_wellbore=4821	initial	\N	4821	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2013-01-24	2013-01-24	2013-05-08
34/10-A-30 A	34/10-A-30	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2003-09-17	2003-10-03	GULLFAKS	2338-P	34/10-1 GULLFAKS	NO	82.200000	\N	1824.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2003	2003	\N	50	ED50	61	10	33.71	N	2	11	23.01	E	61.176031	2.189725	6782825.870000	456416.910000	31	34	10	A	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4822	http://www.npd.no/FactMapSearch?NPDID_wellbore=4822	sidetrack	34/10-A-30	4822	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-G-1 H	34/10-G-1	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2003-11-01	2004-02-05	GULLFAKS SØR	2340-P	34/10-2 GULLFAKS SØR	NO	31.000000	\N	5300.000000	135.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	GULLFAKS SØR G	Awarded additionaly to round 3	NO	OIL	2003	2004	\N	50	ED50	61	5	50.23	N	2	16	36.58	E	61.097286	2.276828	6773999.840000	461004.900000	31	34	10	G	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4823	http://www.npd.no/FactMapSearch?NPDID_wellbore=4823	initial	\N	4823	44606	43699	9999-12-31	21188	297784	279673	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/8-N-15	2/8-N-15	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2003-09-30	2003-11-17	VALHALL	2341-P	2/8-6 VALHALL	NO	59.700000	\N	5550.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2003	2003	\N	50	ED50	56	19	27.60	N	3	21	9.81	E	56.324333	3.352725	6242372.320000	521815.120000	31	2	8	N	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4825	http://www.npd.no/FactMapSearch?NPDID_wellbore=4825	initial	\N	4825	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6608/10-C-4 AH	6608/10-C-4	Statoil ASA (old)	STATOIL	128	INJECTION	WATER	DEVELOPMENT	2003-11-15	2004-01-13	NORNE	2342-P	6608/10-2 NORNE	NO	24.000000	\N	3638.000000	375.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE C	10-B	NO	WATER	2003	2004	\N	173	ED50	66	0	52.20	N	8	3	21.72	E	66.014500	8.056033	7322034.030000	457180.020000	32	6608	10	C	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4826	http://www.npd.no/FactMapSearch?NPDID_wellbore=4826	sidetrack	6608/10-C-4 H	4826	44942	43778	9999-12-31	21836	297649	279253	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/12-B-18 A	33/12-B-18	Statoil ASA (old)	STATOIL	037	INJECTION	WATER	DEVELOPMENT	2003-10-16	2003-11-16	STATFJORD	2343-P	33/12-1 STATFJORD	NO	78.200000	\N	4196.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER	2003	2003	\N	173	ED50	61	12	24.99	N	1	49	52.48	E	61.206942	1.831244	6786560.510000	437197.710000	31	33	12	B	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4827	http://www.npd.no/FactMapSearch?NPDID_wellbore=4827	sidetrack	33/12-B-18	4827	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/8-A-8 B	2/8-A-8	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2003-11-14	2004-01-27	VALHALL	2344-P	2/8-6 VALHALL	NO	43.500000	\N	3056.000000	69.200000	NORTH SEA	VALHALL DP	JACKET 8 LEGS	VALHALL DP	Awarded additionaly to round 1-A	NO	OIL	2003	2004	\N	50	ED50	56	16	41.54	N	3	23	43.82	E	56.278206	3.395506	6237252.390000	524490.460000	31	2	8	A	8	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4828	http://www.npd.no/FactMapSearch?NPDID_wellbore=4828	sidetrack	2/8-A-8 A	4828	44162	43548	9999-12-31	1333048	271749	271749	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
15/9-E-2 H	15/9-E-2	Statoil ASA (old)	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2003-11-10	2003-12-19	SLEIPNER VEST	2345-P	15/6-3 SLEIPNER VEST	NO	22.000000	\N	4518.000000	111.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	15/9-E H	3	NO	GAS	2003	2003	\N	90	ED50	58	29	49.42	N	1	43	21.97	E	58.497061	1.722769	6484907.640000	425552.040000	31	15	9	E	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4829	http://www.npd.no/FactMapSearch?NPDID_wellbore=4829	initial	\N	4829	43910	43457	9999-12-31	21156	296245	280821	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-N-24 Y1H	31/2-N-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-11-03	2003-12-13	TROLL	2346-P1	31/2-1 TROLL VEST	NO	35.500000	\N	4555.000000	348.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N2	4	YES	OIL	2003	2003	\N	50	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	31	2	N	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4830	http://www.npd.no/FactMapSearch?NPDID_wellbore=4830	multilateral	31/2-N-24 AY3H	4830	44534	46437	9999-12-31	21228	297055	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-24 Y2H	31/2-N-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-12-14	2004-01-09	TROLL	2346-P2	31/2-1 TROLL VEST	NO	35.500000	\N	4203.000000	348.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N2	4	YES	OIL	2003	2004	\N	50	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	31	2	N	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4831	http://www.npd.no/FactMapSearch?NPDID_wellbore=4831	multilateral	31/2-N-24 Y1H	4831	44534	46437	9999-12-31	21228	297055	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-24 Y3H	31/2-N-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-01-12	2004-01-18	TROLL	2346-P3	31/2-1 TROLL VEST	NO	35.500000	\N	4360.000000	348.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N2	4	YES	OIL	2004	2004	\N	50	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	31	2	N	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4832	http://www.npd.no/FactMapSearch?NPDID_wellbore=4832	multilateral	31/2-N-24 Y2H	4832	44534	46437	9999-12-31	21228	297055	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-A-18 C	2/7-A-18	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-12-06	2004-02-14	ELDFISK	2348-P	2/7-1 ELDFISK	NO	43.000000	\N	3239.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2003	2004	\N	50	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	2	7	A	18	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4834	http://www.npd.no/FactMapSearch?NPDID_wellbore=4834	sidetrack	2/7-A-18 B	4834	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-X-23	2/4-X-23	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-12-03	2004-01-20	EKOFISK	2349-P	2/4-2 EKOFISK	NO	57.000000	\N	3374.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2003	2004	\N	50	ED50	56	32	51.28	N	3	13	8.38	E	56.547578	3.218994	6267187.180000	513465.110000	31	2	4	X	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4835	http://www.npd.no/FactMapSearch?NPDID_wellbore=4835	initial	\N	4835	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/8-N-10	2/8-N-10	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2003-11-18	2003-12-27	VALHALL	2350-P	2/8-6 VALHALL	NO	59.700000	\N	4656.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2003	2003	\N	50	ED50	56	19	27.60	N	3	21	9.63	E	56.324333	3.352675	6242372.300000	521812.030000	31	2	8	N	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4836	http://www.npd.no/FactMapSearch?NPDID_wellbore=4836	initial	\N	4836	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-Y-21 Y1H	31/2-Y-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-11-09	2003-12-24	TROLL	2351-P1	31/2-1 TROLL VEST	NO	23.000000	\N	4849.000000	333.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL U1	4	YES	OIL	2003	2003	\N	50	ED50	60	49	51.89	N	3	34	21.34	E	60.831081	3.572594	6744267.930000	531134.860000	31	31	2	Y	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4837	http://www.npd.no/FactMapSearch?NPDID_wellbore=4837	multilateral	\N	4837	44534	46437	9999-12-31	21228	289333	280429	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Y-21 Y2H	31/2-Y-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2003-12-25	2004-01-16	TROLL	2351-P2	31/2-1 TROLL VEST	NO	23.000000	\N	4885.000000	333.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL U1	4	YES	OIL	2003	2004	\N	50	ED50	60	49	51.89	N	3	34	21.34	E	60.831081	3.572594	6744267.930000	531134.860000	31	31	2	Y	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4838	http://www.npd.no/FactMapSearch?NPDID_wellbore=4838	multilateral	31/2-Y-21 Y1H	4838	44534	46437	9999-12-31	21228	289333	280429	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-Y-21 Y3H	31/2-Y-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-01-16	2004-02-01	TROLL	2351-P3	31/2-1 TROLL VEST	NO	23.000000	\N	5967.000000	333.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL U1	4	YES	OIL	2004	2004	\N	50	ED50	60	49	51.89	N	3	34	21.34	E	60.831081	3.572594	6744267.930000	531134.860000	31	31	2	Y	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4839	http://www.npd.no/FactMapSearch?NPDID_wellbore=4839	multilateral	31/2-Y-21 Y2H	4839	44534	46437	9999-12-31	21228	289333	280429	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-3	34/7-P-3	Statoil ASA (old)	STATOIL	089	INJECTION	OIL	DEVELOPMENT	2003-11-13	2004-02-02	SNORRE	2352-P	34/4-1 SNORRE	NO	59.400000	\N	5060.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER/GAS	2003	2004	\N	50	ED50	61	26	56.82	N	2	8	37.10	E	61.449117	2.143639	6813275.940000	454336.990000	31	34	7	P	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4840	http://www.npd.no/FactMapSearch?NPDID_wellbore=4840	initial	\N	4840	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/12-B-31 A	33/12-B-31	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-11-23	2003-12-08	STATFJORD	2353-P	33/12-1 STATFJORD	NO	77.800000	\N	3833.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	12	24.01	N	1	49	50.92	E	61.206669	1.830811	6786530.610000	437173.890000	31	33	12	B	31	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4843	http://www.npd.no/FactMapSearch?NPDID_wellbore=4843	sidetrack	33/12-B-31	4843	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-C-23 C	33/9-C-23	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2003-11-21	2003-12-08	STATFJORD	2354-P	33/12-1 STATFJORD	NO	78.400000	\N	3786.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2003	2003	\N	50	ED50	61	17	46.96	N	1	54	10.19	E	61.296378	1.902831	6796455.480000	441211.350000	31	33	9	C	23	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4844	http://www.npd.no/FactMapSearch?NPDID_wellbore=4844	sidetrack	33/9-C-23 B	4844	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-11	25/8-C-11	Esso Exploration and Production Norway A/S	ESSO	027	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-12-08	2003-12-31	BALDER	2355-P	25/8-11 RINGHORNE	NO	60.300000	\N	5992.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	59	15	57.83	N	2	26	59.77	E	59.266064	2.449936	6569960.420000	468640.370000	31	25	8	C	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4846	http://www.npd.no/FactMapSearch?NPDID_wellbore=4846	initial	\N	4846	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-C-11 A	25/8-C-11	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2004-01-01	2004-02-06	BALDER	2356-P	25/8-11 RINGHORNE	NO	60.300000	\N	6042.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2004	2004	\N	50	ED50	59	15	57.83	N	2	26	59.77	E	59.266064	2.449936	6569960.420000	468640.370000	31	25	8	C	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4847	http://www.npd.no/FactMapSearch?NPDID_wellbore=4847	sidetrack	25/8-C-11	4847	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
6507/7-C-4 AH	6507/7-C-4	Statoil ASA (old)	STATOIL	095	INJECTION	WATER	DEVELOPMENT	2003-11-27	2003-12-31	HEIDRUN	2347-P	6507/7-2 HEIDRUN	NO	18.000000	\N	2888.000000	327.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	HEIDRUN C	8	NO	WATER	2003	2003	\N	173	ED50	65	17	10.93	N	7	18	11.77	E	65.286369	7.303269	7241616.960000	420848.920000	32	6507	7	C	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4848	http://www.npd.no/FactMapSearch?NPDID_wellbore=4848	sidetrack	6507/7-C-4 H	4848	44930	43771	9999-12-31	21564	297514	356124	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-B-18 C	2/4-B-18	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2003-12-26	2004-02-22	EKOFISK	2358-P	2/4-2 EKOFISK	NO	51.000000	\N	4476.000000	73.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2003	2004	\N	50	ED50	56	33	55.02	N	3	12	13.97	E	56.565283	3.203881	6269155.150000	512529.970000	31	2	4	B	18	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4850	http://www.npd.no/FactMapSearch?NPDID_wellbore=4850	sidetrack	2/4-B-18 B	4850	44072	43506	9999-12-31	20900	296002	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
30/3-A-11 A	30/3-A-11	Statoil ASA (old)	STATOIL	052	INJECTION	\N	DEVELOPMENT	2003-12-14	2003-12-20	VESLEFRIKK	2359-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3077.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER/GAS	2003	2003	\N	72	ED50	60	46	57.87	N	2	53	52.16	E	60.782742	2.897822	6738752.130000	494435.650000	31	30	3	A	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4851	http://www.npd.no/FactMapSearch?NPDID_wellbore=4851	sidetrack	30/3-A-11	4851	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-A-35 B	33/9-A-35	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2004-01-02	2004-02-16	STATFJORD	2360-P	33/12-1 STATFJORD	NO	64.400000	\N	5564.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2004	2004	\N	50	ED50	61	15	19.81	N	1	51	13.78	E	61.255503	1.853828	6791947.830000	438505.980000	31	33	9	A	35	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4852	http://www.npd.no/FactMapSearch?NPDID_wellbore=4852	sidetrack	33/9-A-35 A	4852	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-F-1 H	34/7-F-1	Statoil ASA (old)	STATOIL	089	INJECTION	WATER	DEVELOPMENT	2004-01-05	2004-02-23	VIGDIS	2361-P	34/7-8 VIGDIS	NO	31.000000	\N	4817.000000	219.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS F	8	NO	WATER	2004	2004	\N	173	ED50	61	19	14.27	N	2	4	0.36	E	61.320631	2.066767	6799020.390000	450033.540000	31	34	7	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4853	http://www.npd.no/FactMapSearch?NPDID_wellbore=4853	initial	\N	4853	44714	43732	9999-12-31	21516	290170	356166	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-A-15 A	34/10-A-15	Statoil ASA (old)	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	2004-01-15	2004-03-07	GULLFAKS	2362-P	34/10-1 GULLFAKS	NO	82.200000	\N	6469.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	GAS	2004	2004	\N	71	ED50	61	10	33.60	N	2	11	22.94	E	61.176000	2.189706	6782822.480000	456415.820000	31	34	10	A	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4855	http://www.npd.no/FactMapSearch?NPDID_wellbore=4855	sidetrack	34/10-A-15	4855	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-N-24 Y4H	31/2-N-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-01-18	2004-02-11	TROLL	2346-P4	31/2-1 TROLL VEST	NO	35.500000	\N	4107.000000	348.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N2	4	YES	OIL	2004	2004	\N	50	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	31	2	N	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4856	http://www.npd.no/FactMapSearch?NPDID_wellbore=4856	multilateral	31/2-N-24 Y3H	4856	44534	46437	9999-12-31	21228	297055	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-24 Y5H	31/2-N-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-02-12	2004-03-07	TROLL	2346-P5	31/2-1 TROLL VEST	NO	35.500000	\N	5440.000000	348.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N2	4	YES	OIL	2004	2004	\N	50	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	31	2	N	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4857	http://www.npd.no/FactMapSearch?NPDID_wellbore=4857	multilateral	31/2-N-24 Y4H	4857	44534	46437	9999-12-31	21228	297055	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-28	30/9-F-28	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-03-14	2004-05-01	OSEBERG SØR	2363-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	3885.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	60	23	24.52	N	2	47	49.75	E	60.390144	2.797153	6695036.570000	488818.590000	31	30	9	F	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4858	http://www.npd.no/FactMapSearch?NPDID_wellbore=4858	initial	\N	4858	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-28 A	30/9-F-28	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2004-05-15	2004-06-11	OSEBERG SØR	2364-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	5130.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2004	2004	\N	50	ED50	60	23	24.52	N	2	47	49.75	E	60.390144	2.797153	6695036.570000	488818.590000	31	30	9	F	28	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4859	http://www.npd.no/FactMapSearch?NPDID_wellbore=4859	sidetrack	30/9-F-28	4859	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-N-1 H	6506/12-N-1	Statoil ASA (old)	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2004-01-20	2004-05-08	ÅSGARD	2365-P	6506/12-1 SMØRBUKK	NO	24.000000	\N	5474.000000	272.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	ÅSGARD N	8	NO	OIL	2004	2004	\N	50	ED50	65	10	25.90	N	6	51	5.24	E	65.173861	6.851456	7229725.440000	399350.950000	32	6506	12	N	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4860	http://www.npd.no/FactMapSearch?NPDID_wellbore=4860	initial	\N	4860	44900	43765	9999-12-31	21556	297649	278637	0	STATOIL ASA (OLD)	2012-11-20	2012-11-20	2013-05-08
2/8-N-12	2/8-N-12	BP Norge AS	BP	006 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-12-27	2004-01-16	VALHALL	2366-P	2/8-6 VALHALL	NO	59.700000	\N	3078.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	NOT APPLICABLE	2003	2004	\N	99	ED50	56	19	27.70	N	3	21	9.81	E	56.324361	3.352725	6242375.410000	521815.100000	31	2	8	N	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4861	http://www.npd.no/FactMapSearch?NPDID_wellbore=4861	initial	\N	4861	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-N-12 A	2/8-N-12	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2004-01-17	2004-02-27	VALHALL	2367-P	2/8-6 VALHALL	NO	59.700000	\N	5658.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2004	2004	\N	50	ED50	56	19	27.70	N	3	21	9.81	E	56.324361	3.352725	6242375.410000	521815.100000	31	2	8	N	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4862	http://www.npd.no/FactMapSearch?NPDID_wellbore=4862	sidetrack	2/8-N-12	4862	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-X-25	2/4-X-25	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-01-21	2004-03-04	EKOFISK	2368-P	2/4-2 EKOFISK	NO	57.000000	\N	4394.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2004	2004	\N	50	ED50	56	32	51.63	N	3	13	8.35	E	56.547675	3.218986	6267198.000000	513464.570000	31	2	4	X	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4863	http://www.npd.no/FactMapSearch?NPDID_wellbore=4863	initial	\N	4863	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-X-24	2/4-X-24	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	CUTTINGS	DEVELOPMENT	2004-03-08	2004-08-04	EKOFISK	2369-P	2/4-2 EKOFISK	NO	57.000000	\N	3947.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	CUTTINGS	2004	2004	\N	171	ED50	56	32	51.27	N	3	13	8.52	E	56.547575	3.219033	6267186.880000	513467.500000	31	2	4	X	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4864	http://www.npd.no/FactMapSearch?NPDID_wellbore=4864	initial	\N	4864	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
33/12-B-30 A	33/12-B-30	Statoil ASA (old)	STATOIL	037	INJECTION	WATER/GAS	DEVELOPMENT	2003-12-22	2004-03-09	STATFJORD	2370-P	33/12-1 STATFJORD	NO	77.800000	\N	5942.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER/GAS	2003	2004	\N	0	ED50	61	12	24.04	N	1	49	50.78	E	61.206678	1.830772	6786531.570000	437171.810000	31	33	12	B	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4865	http://www.npd.no/FactMapSearch?NPDID_wellbore=4865	sidetrack	33/12-B-30	4865	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2013-03-13	2013-03-13	2013-05-08
6406/2-R-3 H	6406/2-R-3	Statoil ASA (old)	STATOIL	199	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2004-02-16	2004-10-05	KRISTIN	2371-P	6406/2-3 KRISTIN	NO	18.000000	\N	5996.000000	355.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	KRISTIN R	14	NO	GAS/CONDENSATE	2004	2004	\N	170	ED50	64	57	36.84	N	6	26	18.42	E	64.960233	6.438450	7206652.950000	379046.000000	32	6406	2	R	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4866	http://www.npd.no/FactMapSearch?NPDID_wellbore=4866	initial	\N	4866	44840	1854729	9999-12-31	22404	297514	360533	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/3-A-11 B	30/3-A-11	Statoil ASA (old)	STATOIL	052	INJECTION	WATER/GAS	DEVELOPMENT	2003-12-21	2003-12-30	VESLEFRIKK	2372-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3486.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER/GAS	2003	2003	\N	0	ED50	60	46	57.87	N	2	53	52.16	E	60.782742	2.897822	6738752.130000	494435.650000	31	30	3	A	11	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4867	http://www.npd.no/FactMapSearch?NPDID_wellbore=4867	sidetrack	30/3-A-11 A	4867	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/4-A-17 BY3	31/4-A-17	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2003-12-26	2004-01-23	BRAGE	2329-P3	31/4-3 BRAGE	NO	62.600000	\N	5014.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	YES	OIL	2003	2004	\N	50	ED50	60	32	33.42	N	3	2	51.03	E	60.542617	3.047508	6712002.720000	502606.520000	31	31	4	A	17	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4869	http://www.npd.no/FactMapSearch?NPDID_wellbore=4869	multilateral	31/4-A-17 BY2	4869	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/12-A-6 A	15/12-A-6	Pertra AS (OLD)	PERTRA	038	PRODUCTION	WATER	DEVELOPMENT	2004-02-01	2004-03-15	VARG	2373-P	15/12-4 VARG	NO	52.000000	\N	5345.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2004	2004	\N	173	ED50	58	4	40.50	N	1	53	25.69	E	58.077917	1.890469	6438069.240000	434557.600000	31	15	12	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4870	http://www.npd.no/FactMapSearch?NPDID_wellbore=4870	sidetrack	15/12-A-6	4870	43868	43451	9999-12-31	21092	278245	279505	0	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-C-12 C	33/9-C-12	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2004-02-01	2004-02-15	STATFJORD	2374-P	33/12-1 STATFJORD	NO	78.400000	\N	4297.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2004	2004	\N	50	ED50	61	17	47.98	N	1	54	11.25	E	61.296661	1.903125	6796486.770000	441227.650000	31	33	9	C	12	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4871	http://www.npd.no/FactMapSearch?NPDID_wellbore=4871	sidetrack	33/9-C-12 B	4871	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-29 AY1	6507/7-A-29	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2005-08-30	2005-10-30	HEIDRUN	2375-P1	6507/7-2 HEIDRUN	NO	74.200000	\N	5304.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	YES	OIL	2005	2005	\N	50	ED50	65	19	32.77	N	7	19	3.64	E	65.325769	7.317678	7245989.160000	421638.080000	32	6507	7	A	29	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4872	http://www.npd.no/FactMapSearch?NPDID_wellbore=4872	multilateral	6507/7-A-29	4872	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-10	25/8-C-10	Esso Exploration and Production Norway A/S	ESSO	027	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-02-08	2004-03-07	BALDER	2376-P	25/8-11 RINGHORNE	NO	60.300000	\N	5105.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	59	15	57.77	N	2	26	59.48	E	59.266047	2.449856	6569958.600000	468635.760000	31	25	8	C	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4873	http://www.npd.no/FactMapSearch?NPDID_wellbore=4873	initial	\N	4873	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-C-10 A	25/8-C-10	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2004-03-08	2004-04-02	BALDER	2377-P	25/8-11 RINGHORNE	NO	60.300000	\N	5277.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2004	2004	\N	50	ED50	59	15	57.77	N	2	26	59.48	E	59.266047	2.449856	6569958.600000	468635.760000	31	25	8	C	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4874	http://www.npd.no/FactMapSearch?NPDID_wellbore=4874	sidetrack	25/8-C-10	4874	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
15/12-A-12 A	15/12-A-12	Pertra AS (OLD)	PERTRA	038	PRODUCTION	OIL	DEVELOPMENT	2003-12-08	2003-12-31	VARG	2378-P	15/12-4 VARG	NO	51.000000	\N	3305.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2003	2003	15/12-14	50	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	15	12	A	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4875	http://www.npd.no/FactMapSearch?NPDID_wellbore=4875	sidetrack	15/12-A-12	4875	43868	43451	9999-12-31	21092	278245	279505	4845	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
2/1-A-17 A	2/1-A-17	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2004-03-03	2004-06-12	GYDA	2379-P	2/1-3 GYDA	NO	56.000000	\N	5354.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2004	2004	\N	50	ED50	56	54	17.31	N	3	5	6.60	E	56.904808	3.085167	6306934.040000	505187.150000	31	2	1	A	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4876	http://www.npd.no/FactMapSearch?NPDID_wellbore=4876	sidetrack	2/1-A-17	4876	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
2/7-B-18 B	2/7-B-18	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-02-11	2004-04-28	ELDFISK	2382-P	2/7-1 ELDFISK	NO	42.400000	\N	4255.000000	71.300000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2004	2004	\N	50	ED50	56	25	9.18	N	3	13	6.06	E	56.419217	3.218350	6252899.150000	513470.880000	31	2	7	B	18	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4877	http://www.npd.no/FactMapSearch?NPDID_wellbore=4877	sidetrack	2/7-B-18 A	4877	44114	43527	9999-12-31	20900	271609	271609	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
34/8-A-19 H	34/8-A-19	Statoil ASA (old)	STATOIL	120	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-03-01	2004-04-11	VISUND	2380-P	34/8-1 VISUND	NO	29.000000	\N	4335.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	61	22	11.72	N	2	27	31.91	E	61.369922	2.458864	6804274.130000	471071.950000	31	34	8	A	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4878	http://www.npd.no/FactMapSearch?NPDID_wellbore=4878	initial	\N	4878	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/8-A-19 AH	34/8-A-19	Statoil ASA (old)	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2004-04-13	2004-07-06	VISUND	2381-P	34/8-1 VISUND	NO	29.000000	\N	6260.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2004	2004	\N	50	ED50	61	22	11.72	N	2	27	31.91	E	61.369922	2.458864	6804274.130000	471071.950000	31	34	8	A	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4879	http://www.npd.no/FactMapSearch?NPDID_wellbore=4879	sidetrack	34/8-A-19 H	4879	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-B-3 B	2/4-B-3	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-03-26	2004-05-05	EKOFISK	2384-P	2/4-2 EKOFISK	NO	51.000000	\N	4070.000000	73.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2004	2004	\N	50	ED50	56	33	54.79	N	3	12	13.90	E	56.565219	3.203861	6269148.030000	512528.790000	31	2	4	B	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4880	http://www.npd.no/FactMapSearch?NPDID_wellbore=4880	sidetrack	2/4-B-3 A	4880	44072	43506	9999-12-31	20900	296002	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/8-A-8 C	2/8-A-8	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	2004-01-28	2004-03-09	VALHALL	2383-P	2/8-6 VALHALL	NO	69.200000	\N	3235.000000	43.500000	NORTH SEA	VALHALL DP	JACKET 8 LEGS	VALHALL DP	Awarded additionaly to round 1-A	NO	OIL	2004	2004	\N	71	ED50	56	16	41.54	N	3	23	43.82	E	56.278206	3.395506	6237252.390000	524490.460000	31	2	8	A	8	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4881	http://www.npd.no/FactMapSearch?NPDID_wellbore=4881	sidetrack	2/8-A-8 B	4881	44162	43548	9999-12-31	1333048	271749	271749	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6506/11-N-3 H	6506/11-N-3	Statoil ASA (old)	STATOIL	134 B	PRODUCTION	\N	DEVELOPMENT	2004-03-06	2004-06-19	KRISTIN	2385-P	6406/2-3 KRISTIN	NO	25.000000	\N	5354.000000	368.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	KRISTIN N	Awarded additionaly to round 11-A	NO	GAS	2004	2004	\N	71	ED50	65	1	41.32	N	6	28	46.29	E	65.028144	6.479525	7214139.190000	381286.470000	32	6506	11	N	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4882	http://www.npd.no/FactMapSearch?NPDID_wellbore=4882	initial	\N	4882	44840	1854729	9999-12-31	1025257	294058	360488	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6406/2-R-4 H	6406/2-R-4	Statoil ASA (old)	STATOIL	199	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-02-02	2004-09-04	KRISTIN	2386-P	6406/2-3 KRISTIN	NO	18.000000	\N	5262.000000	355.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	KRISTIN R	14	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	64	57	36.85	N	6	26	19.14	E	64.960236	6.438650	7206652.870000	379055.450000	32	6406	2	R	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4883	http://www.npd.no/FactMapSearch?NPDID_wellbore=4883	initial	\N	4883	44840	1854729	9999-12-31	22404	297514	360533	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/4-D-2 H	34/4-D-2	Statoil ASA (old)	STATOIL	057	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-08-27	2004-09-22	SNORRE	2387-P	34/4-1 SNORRE	NO	37.000000	\N	3877.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-D H	4	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	61	31	32.67	N	2	12	40.32	E	61.525742	2.211200	6821765.900000	458042.630000	31	34	4	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4884	http://www.npd.no/FactMapSearch?NPDID_wellbore=4884	initial	\N	4884	44654	43718	9999-12-31	21252	280485	282809	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/4-D-2 AH	34/4-D-2	Statoil ASA (old)	STATOIL	057	PRODUCTION	OIL	DEVELOPMENT	2004-09-23	2005-02-25	SNORRE	2388-P	34/4-1 SNORRE	NO	37.000000	\N	5421.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-D H	4	NO	OIL	2004	2005	\N	50	ED50	61	31	32.67	N	2	12	40.32	E	61.525742	2.211200	6821765.900000	458042.630000	31	34	4	D	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4885	http://www.npd.no/FactMapSearch?NPDID_wellbore=4885	sidetrack	34/4-D-2 H	4885	44654	43718	9999-12-31	21252	280485	282809	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/11-A-14	34/11-A-14	Statoil ASA (old)	STATOIL	193	PRODUCTION	GAS	DEVELOPMENT	2004-03-01	2005-03-09	KVITEBJØRN	2389-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	4785.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS	2004	2005	\N	90	ED50	61	4	49.21	N	2	29	58.91	E	61.080336	2.499697	6771999.470000	473007.900000	31	34	11	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4886	http://www.npd.no/FactMapSearch?NPDID_wellbore=4886	initial	\N	4886	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-39	6507/7-A-39	Statoil ASA (old)	STATOIL	095	OBSERVATION	OIL	DEVELOPMENT	2004-02-01	2004-02-23	HEIDRUN	2390-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4059.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2004	2004	\N	99	ED50	65	19	32.74	N	7	19	4.30	E	65.325761	7.317861	7245988.000000	421646.590000	32	6507	7	A	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4887	http://www.npd.no/FactMapSearch?NPDID_wellbore=4887	initial	\N	4887	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
6507/7-A-39 AY1	6507/7-A-39	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2004-02-24	2004-04-11	HEIDRUN	2391-P1	6507/7-2 HEIDRUN	NO	74.200000	\N	4443.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	YES	OIL	2004	2004	\N	50	ED50	65	19	32.74	N	7	19	4.30	E	65.325761	7.317861	7245988.000000	421646.590000	32	6507	7	A	39	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4888	http://www.npd.no/FactMapSearch?NPDID_wellbore=4888	multilateral	6507/7-A-39	4888	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-39 AY2	6507/7-A-39	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2004-04-12	2004-05-07	HEIDRUN	2391-P2	6507/7-2 HEIDRUN	NO	74.200000	\N	3629.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	YES	OIL	2004	2004	\N	50	ED50	65	19	32.74	N	7	19	4.30	E	65.325761	7.317861	7245988.000000	421646.590000	32	6507	7	A	39	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4889	http://www.npd.no/FactMapSearch?NPDID_wellbore=4889	multilateral	6507/7-A-39 AY1	4889	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/4-A-30 B	31/4-A-30	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2004-02-13	2004-04-23	BRAGE	2392-P	31/4-3 BRAGE	YES	62.600000	\N	5313.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2004	2004	\N	50	ED50	60	32	33.17	N	3	2	50.86	E	60.542547	3.047461	6711994.980000	502603.940000	31	31	4	A	30	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4890	http://www.npd.no/FactMapSearch?NPDID_wellbore=4890	sidetrack	31/4-A-30 A	4890	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-E-4 H	15/9-E-4	Statoil ASA (old)	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2004-02-02	2004-04-11	SLEIPNER VEST	2394-P	15/6-3 SLEIPNER VEST	NO	22.000000	\N	4409.000000	111.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	15/9-E H	3	NO	GAS	2004	2004	\N	90	ED50	58	29	49.09	N	1	43	21.62	E	58.496969	1.722672	6484897.550000	425546.180000	31	15	9	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4891	http://www.npd.no/FactMapSearch?NPDID_wellbore=4891	initial	\N	4891	43910	43457	9999-12-31	21156	296245	280821	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-Y-21 Y4H	31/2-Y-21	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-02-02	2004-03-18	TROLL	2351-P4	31/2-1 TROLL VEST	NO	23.000000	\N	5822.000000	333.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL U1	4	YES	OIL	2004	2004	\N	50	ED50	60	49	51.89	N	3	34	21.34	E	60.831081	3.572594	6744267.930000	531134.860000	31	31	2	Y	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4892	http://www.npd.no/FactMapSearch?NPDID_wellbore=4892	multilateral	31/2-Y-21 Y3H	4892	44534	46437	9999-12-31	21228	289333	280429	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-N-14	2/8-N-14	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2004-03-01	2004-03-30	VALHALL	2395-P	2/8-6 VALHALL	NO	59.700000	\N	5306.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2004	2004	\N	50	ED50	56	19	27.55	N	3	21	9.72	E	56.324319	3.352700	6242370.760000	521813.580000	31	2	8	N	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4893	http://www.npd.no/FactMapSearch?NPDID_wellbore=4893	initial	\N	4893	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
33/9-A-12 A	33/9-A-12	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2004-02-28	2004-03-18	STATFJORD	2396-P	33/12-1 STATFJORD	NO	64.400000	\N	3900.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2004	2004	\N	50	ED50	61	15	10.83	N	1	51	15.16	E	61.253008	1.854211	6791669.630000	438521.670000	31	33	9	A	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4894	http://www.npd.no/FactMapSearch?NPDID_wellbore=4894	sidetrack	33/9-A-12	4894	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/3-A-14 A	30/3-A-14	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2004-04-20	2004-05-14	VESLEFRIKK	2397-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3660.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2004	2004	\N	50	ED50	60	46	57.82	N	2	53	52.70	E	60.782728	2.897972	6738750.570000	494443.810000	31	30	3	A	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4895	http://www.npd.no/FactMapSearch?NPDID_wellbore=4895	sidetrack	30/3-A-14	4895	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/11-G-14	25/11-G-14	Norsk Hydro Produksjon AS	HYDRO	169 B1	INJECTION	WATER	DEVELOPMENT	2004-03-02	2004-04-03	GRANE	2398-P	25/11-15 GRANE	NO	69.900000	\N	1507.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	WATER	2004	2004	\N	173	ED50	59	9	54.94	N	2	29	14.32	E	59.165261	2.487311	6558718.350000	470684.830000	31	25	11	G	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4896	http://www.npd.no/FactMapSearch?NPDID_wellbore=4896	initial	\N	4896	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/3-Q-21 AY1H	31/3-Q-21	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2004-03-21	2004-04-15	TROLL	2399-P1	31/6-1 TROLL ØST	NO	35.500000	\N	5532.000000	340.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	31/3-Q-21 H	Awarded additionaly to round 7	YES	OIL	2004	2004	\N	50	ED50	60	49	55.18	N	3	42	59.48	E	60.831994	3.716522	6744446.600000	538959.640000	31	31	3	Q	21	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4897	http://www.npd.no/FactMapSearch?NPDID_wellbore=4897	multilateral	31/3-Q-21 H	4897	44552	46437	9999-12-31	21476	297055	286057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/3-Q-21 AY2H	31/3-Q-21	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2004-04-16	2004-05-13	TROLL	2399-P2	31/6-1 TROLL ØST	NO	35.500000	\N	5408.000000	340.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	31/3-Q-21 H	Awarded additionaly to round 7	YES	OIL	2004	2004	\N	50	ED50	60	49	55.18	N	3	42	59.48	E	60.831994	3.716522	6744446.600000	538959.640000	31	31	3	Q	21	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4898	http://www.npd.no/FactMapSearch?NPDID_wellbore=4898	multilateral	31/3-Q-21 AY1H	4898	44552	46437	9999-12-31	21476	297055	286057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-C-5 H	34/7-C-5	Statoil ASA (old)	STATOIL	089	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-03-08	2004-04-14	VIGDIS	2400-P	34/7-8 VIGDIS	NO	31.000000	\N	3500.000000	282.300000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS C	8	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	61	22	47.22	N	2	6	22.17	E	61.379783	2.106158	6805579.790000	452232.730000	31	34	7	C	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4899	http://www.npd.no/FactMapSearch?NPDID_wellbore=4899	initial	\N	4899	44714	43732	9999-12-31	21516	290170	277657	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-C-5 AH	34/7-C-5	Statoil ASA (old)	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2004-04-15	2004-05-18	VIGDIS	2401-P	34/7-8 VIGDIS	NO	31.000000	\N	3930.000000	282.300000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS C	8	NO	OIL	2004	2004	\N	50	ED50	61	22	47.22	N	2	6	22.17	E	61.379783	2.106158	6805579.790000	452232.730000	31	34	7	C	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4900	http://www.npd.no/FactMapSearch?NPDID_wellbore=4900	sidetrack	34/7-C-5 H	4900	44714	43732	9999-12-31	21516	290170	277657	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-P-24 Y1H	31/2-P-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2005-01-25	2005-04-30	TROLL	2402-P1	31/2-1 TROLL VEST	NO	25.000000	\N	6611.000000	338.500000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL P2	4	YES	OIL	2005	2005	\N	50	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	31	2	P	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4901	http://www.npd.no/FactMapSearch?NPDID_wellbore=4901	multilateral	31/2-P-24 BY3H	4901	44534	46437	9999-12-31	21228	290980	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6406/2-R-1 H	6406/2-R-1	Statoil ASA (old)	STATOIL	199	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2004-04-20	2005-01-08	KRISTIN	2403-P	6406/2-3 KRISTIN	NO	18.000000	\N	6352.000000	355.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	KRISTIN R	14	NO	GAS/CONDENSATE	2004	2005	\N	170	ED50	64	57	36.69	N	6	26	19.15	E	64.960192	6.438653	7206647.920000	379055.380000	32	6406	2	R	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4903	http://www.npd.no/FactMapSearch?NPDID_wellbore=4903	initial	\N	4903	44840	1854729	9999-12-31	22404	297514	360533	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/12-A-1	15/12-A-1	Pertra AS (OLD)	PERTRA	038	PRODUCTION	OIL	DEVELOPMENT	2004-03-26	2004-05-31	VARG	2404-P	15/12-4 VARG	NO	52.200000	\N	4156.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2004	2004	\N	50	ED50	58	4	40.53	N	1	53	25.51	E	58.077925	1.890419	6438070.210000	434554.670000	31	15	12	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4904	http://www.npd.no/FactMapSearch?NPDID_wellbore=4904	initial	\N	4904	43868	43451	9999-12-31	21092	278245	279505	0	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-F-5 AH	31/2-F-5	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-04-06	2004-04-21	TROLL	2405-P	31/2-1 TROLL VEST	NO	23.000000	\N	2336.000000	331.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL F	4	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	60	46	0.20	N	3	25	26.90	E	60.766722	3.424139	6737038.100000	523108.990000	31	31	2	F	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4906	http://www.npd.no/FactMapSearch?NPDID_wellbore=4906	sidetrack	31/2-F-5 H	4906	44534	46437	9999-12-31	21228	289333	278161	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-F-5 BY1H	31/2-F-5	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-04-26	2004-06-14	TROLL	2406-P1	31/2-1 TROLL VEST	NO	23.000000	\N	6703.000000	331.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL F	4	YES	OIL	2004	2004	\N	50	ED50	60	46	0.20	N	3	25	26.90	E	60.766722	3.424139	6737038.100000	523108.990000	31	31	2	F	5	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4907	http://www.npd.no/FactMapSearch?NPDID_wellbore=4907	multilateral	31/2-F-5 AH	4907	44534	46437	9999-12-31	21228	289333	278161	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-F-5 BY2H	31/2-F-5	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-06-15	2004-07-29	TROLL	2406-P2	31/2-1 TROLL VEST	NO	23.000000	\N	6098.000000	331.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL F	4	YES	OIL	2004	2004	\N	50	ED50	60	46	0.20	N	3	25	26.90	E	60.766722	3.424139	6737038.100000	523108.990000	31	31	2	F	5	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4908	http://www.npd.no/FactMapSearch?NPDID_wellbore=4908	multilateral	31/2-F-5 BY1H	4908	44534	46437	9999-12-31	21228	289333	278161	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-O-14 Y1H	31/2-O-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-05-18	2004-06-22	TROLL	2427-P1	31/2-1 TROLL VEST	NO	35.500000	\N	4942.000000	336.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL O2	4	YES	OIL	2004	2004	\N	50	ED50	60	53	22.39	N	3	33	58.69	E	60.889553	3.566303	6750777.840000	530736.530000	31	31	2	O	14	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4909	http://www.npd.no/FactMapSearch?NPDID_wellbore=4909	multilateral	\N	4909	44534	46437	9999-12-31	21228	297055	283677	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-G-10	2/8-G-10	BP Norge AS	BP	006 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-04-08	2005-03-16	VALHALL	2407-P	2/8-6 VALHALL	NO	65.300000	\N	2766.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	NOT APPLICABLE	2004	2005	\N	99	ED50	56	16	35.46	N	3	23	46.82	E	56.276517	3.396339	6237064.700000	524543.140000	31	2	8	G	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4911	http://www.npd.no/FactMapSearch?NPDID_wellbore=4911	initial	\N	4911	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-08-23	2012-08-23	2013-05-08
25/11-G-9	25/11-G-9	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2004-05-03	2004-05-24	GRANE	2408-P	25/11-15 GRANE	NO	69.900000	\N	3450.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2004	2004	\N	50	ED50	59	9	54.94	N	2	29	14.09	E	59.165261	2.487247	6558718.380000	470681.180000	31	25	11	G	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4912	http://www.npd.no/FactMapSearch?NPDID_wellbore=4912	initial	\N	4912	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-31	31/4-A-31	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2004-05-03	2004-11-13	BRAGE	2409-P	31/4-3 BRAGE	NO	62.600000	\N	8116.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2004	2004	\N	50	ED50	60	32	33.51	N	3	2	50.86	E	60.542642	3.047461	6712005.500000	502603.930000	31	31	4	A	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4913	http://www.npd.no/FactMapSearch?NPDID_wellbore=4913	initial	\N	4913	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-J-1 AH	34/7-J-1	Statoil ASA (old)	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2004-04-16	2004-06-08	TORDIS	2410-P	34/7-12 TORDIS	NO	31.000000	\N	4560.000000	201.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TORDIS EXTENSION	8	NO	OIL	2004	2004	\N	50	ED50	61	16	29.70	N	2	7	11.87	E	61.274917	2.119964	6793888.900000	452813.050000	31	34	7	J	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4915	http://www.npd.no/FactMapSearch?NPDID_wellbore=4915	sidetrack	34/7-J-1 H	4915	44666	43725	9999-12-31	21516	297784	282445	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-X-13 A	2/4-X-13	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-04-17	2004-05-29	EKOFISK	2411-P	2/4-2 EKOFISK	NO	57.000000	\N	4267.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2004	2004	\N	50	ED50	56	32	51.16	N	3	13	8.06	E	56.547544	3.218906	6267183.450000	513459.660000	31	2	4	X	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4916	http://www.npd.no/FactMapSearch?NPDID_wellbore=4916	sidetrack	2/4-X-13	4916	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
33/9-A-26 B	33/9-A-26	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2004-03-24	2004-05-01	STATFJORD	2412-P	33/12-1 STATFJORD	NO	64.400000	\N	4895.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2004	2004	\N	50	ED50	61	15	19.92	N	1	51	14.04	E	61.255533	1.853900	6791951.160000	438509.920000	31	33	9	A	26	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4917	http://www.npd.no/FactMapSearch?NPDID_wellbore=4917	sidetrack	33/9-A-26 A	4917	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-B-19 B	2/4-B-19	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-06-03	2004-08-03	EKOFISK	2414-P	2/4-2 EKOFISK	NO	51.000000	\N	3636.000000	73.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2004	2004	\N	50	ED50	56	33	54.98	N	3	12	13.80	E	56.565272	3.203833	6269153.900000	512527.070000	31	2	4	B	19	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4918	http://www.npd.no/FactMapSearch?NPDID_wellbore=4918	sidetrack	2/4-B-19 A	4918	44072	43506	9999-12-31	20900	296002	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/8-N-11	2/8-N-11	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2004-04-02	2004-05-07	VALHALL	2415-P	2/8-6 VALHALL	NO	59.700000	\N	4683.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2004	2004	\N	50	ED50	56	19	27.65	N	3	21	9.72	E	56.324347	3.352700	6242373.860000	521813.570000	31	2	8	N	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4920	http://www.npd.no/FactMapSearch?NPDID_wellbore=4920	initial	\N	4920	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
25/8-C-9	25/8-C-9	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2004-04-05	2004-06-07	BALDER	2416-P	25/8-11 RINGHORNE	NO	60.300000	\N	6309.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2004	2004	\N	50	ED50	59	15	57.81	N	2	26	59.27	E	59.266058	2.449797	6569959.860000	468632.450000	31	25	8	C	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4921	http://www.npd.no/FactMapSearch?NPDID_wellbore=4921	initial	\N	4921	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
15/6-A-6 Y1H	15/6-A-6	Statoil ASA (old)	STATOIL	048 B	PRODUCTION	OIL	DEVELOPMENT	2004-04-10	2004-05-21	GLITNE	2417-P1	15/5-5 GLITNE	NO	23.000000	\N	4513.000000	110.700000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	PETROJARL 1	Awarded additionaly to round 3	YES	OIL	2004	2004	\N	50	ED50	58	41	38.75	N	1	40	25.28	E	58.694097	1.673689	6506900.000000	423124.930000	31	15	6	A	6	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4922	http://www.npd.no/FactMapSearch?NPDID_wellbore=4922	multilateral	\N	4922	43904	1272071	9999-12-31	1342723	287983	280513	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/6-A-6 Y2H	15/6-A-6	Statoil ASA (old)	STATOIL	048 B	PRODUCTION	OIL	DEVELOPMENT	2004-05-22	2004-06-27	GLITNE	2417-P2	15/5-5 GLITNE	NO	23.000000	\N	5190.000000	110.700000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	PETROJARL 1	Awarded additionaly to round 3	YES	OIL	2004	2004	\N	50	ED50	58	41	38.75	N	1	40	25.28	E	58.694097	1.673689	6506900.000000	423124.930000	31	15	6	A	6	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4923	http://www.npd.no/FactMapSearch?NPDID_wellbore=4923	multilateral	15/6-A-6 Y1H	4923	43904	1272071	9999-12-31	1342723	287983	280513	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/11-A-4	34/11-A-4	Statoil ASA (old)	STATOIL	193	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2004-05-03	2004-07-21	KVITEBJØRN	2418-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	4532.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2004	2004	\N	170	ED50	61	4	49.07	N	2	29	58.93	E	61.080297	2.499703	6771995.140000	473008.160000	31	34	11	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4924	http://www.npd.no/FactMapSearch?NPDID_wellbore=4924	initial	\N	4924	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/7-B-20 B	2/7-B-20	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2005-02-04	2005-04-15	ELDFISK	2419-P	2/7-1 ELDFISK	NO	42.400000	\N	4879.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	WATER	2005	2005	\N	173	ED50	56	25	9.13	N	3	13	5.74	E	56.419203	3.218261	6252897.580000	513465.410000	31	2	7	B	20	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4929	http://www.npd.no/FactMapSearch?NPDID_wellbore=4929	sidetrack	2/7-B-20 A	4929	44114	43527	9999-12-31	20900	271609	271609	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6608/10-B-4 CH	6608/10-B-4	Statoil ASA (old)	STATOIL	128	OBSERVATION	OIL	DEVELOPMENT	2004-06-03	2004-06-19	NORNE	2422-P	6608/10-2 NORNE	NO	24.000000	\N	3630.000000	376.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE B	10-B	NO	OIL	2004	2004	\N	99	ED50	66	0	55.47	N	8	3	16.37	E	66.015408	8.054547	7322136.280000	457114.140000	32	6608	10	B	4	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4931	http://www.npd.no/FactMapSearch?NPDID_wellbore=4931	sidetrack	6608/10-B-4 BH	4931	44942	43778	9999-12-31	21836	297649	279225	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
6608/10-B-4 DH	6608/10-B-4	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2004-06-20	2004-07-10	NORNE	2423-P	6608/10-2 NORNE	NO	24.000000	\N	3870.000000	376.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE B	10-B	NO	OIL	2004	2004	\N	50	ED50	66	0	55.47	N	8	3	16.37	E	66.015408	8.054547	7322136.280000	457114.140000	32	6608	10	B	4	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4932	http://www.npd.no/FactMapSearch?NPDID_wellbore=4932	sidetrack	6608/10-B-4 CH	4932	44942	43778	9999-12-31	21836	297649	279225	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6506/12-Q-2 H	6506/12-Q-2	Statoil ASA (old)	STATOIL	094	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-05-03	2004-06-30	ÅSGARD	2424-P	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	5355.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Q	8	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	65	2	25.69	N	6	56	26.84	E	65.040469	6.940789	7214725.010000	403049.900000	32	6506	12	Q	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4933	http://www.npd.no/FactMapSearch?NPDID_wellbore=4933	initial	\N	4933	45846	43765	9999-12-31	21556	296245	363659	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6506/12-Q-2 AH	6506/12-Q-2	Statoil ASA (old)	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2004-07-01	2004-07-28	ÅSGARD	2425-P	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	6115.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Q	8	NO	OIL	2004	2004	\N	50	ED50	65	2	25.69	N	6	56	26.84	E	65.040469	6.940789	7214725.010000	403049.900000	32	6506	12	Q	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4934	http://www.npd.no/FactMapSearch?NPDID_wellbore=4934	sidetrack	6506/12-Q-2 H	4934	45846	43765	9999-12-31	21556	296245	363659	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/4-I-1 H	34/4-I-1	Statoil ASA (old)	STATOIL	057	INJECTION	CUTTINGS	DEVELOPMENT	2004-07-31	2004-08-08	SNORRE	2426-P	34/4-1 SNORRE	NO	37.000000	\N	1348.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	SNORRE B	4	NO	CUTTINGS	2004	2004	\N	171	ED50	61	31	32.27	N	2	12	39.04	E	61.525631	2.210844	6821753.750000	458023.570000	31	34	4	I	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4935	http://www.npd.no/FactMapSearch?NPDID_wellbore=4935	initial	\N	4935	44654	43718	9999-12-31	21252	280485	280485	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-O-14 Y2H	31/2-O-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-06-23	2004-07-13	TROLL	2427-P2	31/2-1 TROLL VEST	NO	35.500000	\N	6528.000000	336.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL O2	4	YES	OIL	2004	2004	\N	50	ED50	60	53	22.39	N	3	33	58.69	E	60.889553	3.566303	6750777.840000	530736.530000	31	31	2	O	14	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4936	http://www.npd.no/FactMapSearch?NPDID_wellbore=4936	multilateral	31/2-O-14 Y1H	4936	44534	46437	9999-12-31	21228	297055	283677	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-O-14 Y3H	31/2-O-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-07-16	2004-08-02	TROLL	2427-P3	31/2-1 TROLL VEST	NO	35.500000	\N	6252.000000	336.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL O2	4	YES	OIL	2004	2004	\N	50	ED50	60	53	22.39	N	3	33	58.69	E	60.889553	3.566303	6750777.840000	530736.530000	31	31	2	O	14	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4937	http://www.npd.no/FactMapSearch?NPDID_wellbore=4937	multilateral	31/2-O-14 Y2H	4937	44534	46437	9999-12-31	21228	297055	283677	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-N-7	2/8-N-7	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2004-05-20	2004-06-09	VALHALL	2428-P	2/8-6 VALHALL	NO	59.700000	\N	4235.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2004	2004	\N	50	ED50	56	19	27.70	N	3	21	9.63	E	56.324361	3.352675	6242375.390000	521812.010000	31	2	8	N	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4940	http://www.npd.no/FactMapSearch?NPDID_wellbore=4940	initial	\N	4940	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-B-42 E	34/10-B-42	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2003-10-10	2003-11-06	GULLFAKS	2429-P	34/10-1 GULLFAKS	NO	81.000000	\N	7928.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2003	2003	34/10-45 B	50	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	34	10	B	42	E	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4941	http://www.npd.no/FactMapSearch?NPDID_wellbore=4941	sidetrack	34/10-B-42 D	4941	44594	43686	9999-12-31	21188	271917	271917	4824	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-42 F	34/10-B-42	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2003-12-04	2004-01-27	GULLFAKS	2430-P	34/10-1 GULLFAKS	NO	81.000000	\N	7180.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2003	2004	\N	50	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	34	10	B	42	F	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4942	http://www.npd.no/FactMapSearch?NPDID_wellbore=4942	sidetrack	34/10-B-42 E	4942	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-14	25/8-C-14	Esso Exploration and Production Norway A/S	ESSO	027	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-06-12	2004-07-12	RINGHORNE ØST	2432-P	25/8-14 S	NO	60.300000	\N	5612.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	59	15	57.75	N	2	26	59.83	E	59.266042	2.449953	6569957.940000	468641.300000	31	25	8	C	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4943	http://www.npd.no/FactMapSearch?NPDID_wellbore=4943	initial	\N	4943	2472571	3505505	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-C-14 A	25/8-C-14	ExxonMobil Exploration & Production Norway AS	ESSO	027	OBSERVATION	OIL	DEVELOPMENT	2006-01-04	2006-02-12	RINGHORNE ØST	2433-P	25/8-14 S	NO	60.300000	\N	5405.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2006	2006	\N	99	ED50	59	15	57.75	N	2	26	59.83	E	59.266042	2.449953	6569957.940000	468641.300000	31	25	8	C	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4944	http://www.npd.no/FactMapSearch?NPDID_wellbore=4944	sidetrack	25/8-C-14	4944	2472571	3505505	9999-12-31	20988	280849	280849	0	EXXON MO	2013-01-29	2013-01-29	2013-05-08
6507/7-A-49	6507/7-A-49	Statoil ASA (old)	STATOIL	095	INJECTION	WATER	DEVELOPMENT	2004-05-27	2004-07-12	HEIDRUN	2434-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4765.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER	2004	2004	\N	173	ED50	65	19	32.33	N	7	19	2.64	E	65.325647	7.317400	7245975.890000	421624.780000	32	6507	7	A	49	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4945	http://www.npd.no/FactMapSearch?NPDID_wellbore=4945	initial	\N	4945	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-O-14 Y4H	31/2-O-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-08-03	2004-09-12	TROLL	2427-P4	31/2-1 TROLL VEST	NO	35.500000	\N	6327.000000	336.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL O2	4	YES	OIL	2004	2004	\N	50	ED50	60	53	22.39	N	3	33	58.69	E	60.889553	3.566303	6750777.840000	530736.530000	31	31	2	O	14	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4946	http://www.npd.no/FactMapSearch?NPDID_wellbore=4946	multilateral	31/2-O-14 Y3H	4946	44534	46437	9999-12-31	21228	297055	283677	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/12-A-10	15/12-A-10	Pertra AS (OLD)	PERTRA	038	PRODUCTION	OIL	DEVELOPMENT	2004-06-01	2004-08-02	VARG	2435-P	15/12-4 VARG	NO	52.000000	\N	3930.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2004	2004	\N	50	ED50	58	4	40.41	N	1	53	25.65	E	58.077892	1.890458	6438066.460000	434556.900000	31	15	12	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4947	http://www.npd.no/FactMapSearch?NPDID_wellbore=4947	initial	\N	4947	43868	43451	9999-12-31	21092	278245	279505	0	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-G-2 Y2H	34/10-G-2	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2004-06-20	2004-07-25	GULLFAKS SØR	1272-P2	34/10-2 GULLFAKS SØR	NO	31.000000	\N	5600.000000	134.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	GULLFAKS SØR G	Awarded additionaly to round 3	YES	OIL	2004	2004	\N	50	ED50	61	5	50.07	N	2	16	36.06	E	61.097242	2.276683	6773994.970000	460997.050000	31	34	10	G	2	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4948	http://www.npd.no/FactMapSearch?NPDID_wellbore=4948	multilateral	34/10-G-2 H	4948	44606	43699	9999-12-31	21188	297784	279673	0	STATOIL ASA (OLD)	2012-11-06	2012-11-06	2013-05-08
33/9-C-38 B	33/9-C-38	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2004-06-14	2004-06-28	STATFJORD	2437-P	33/12-1 STATFJORD	NO	78.400000	\N	5069.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2004	2004	\N	50	ED50	61	17	46.72	N	1	54	10.15	E	61.296311	1.902819	6796448.060000	441210.630000	31	33	9	C	38	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4949	http://www.npd.no/FactMapSearch?NPDID_wellbore=4949	sidetrack	33/9-C-38 A	4949	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-27 A	34/10-B-27	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2004-05-30	2004-06-29	GULLFAKS	2438-P	34/10-1 GULLFAKS	NO	80.700000	\N	4389.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2004	2004	\N	50	ED50	61	12	10.19	N	2	12	6.20	E	61.202831	2.201722	6785803.100000	457098.640000	31	34	10	B	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4951	http://www.npd.no/FactMapSearch?NPDID_wellbore=4951	sidetrack	34/10-B-27	4951	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/8-N-5	2/8-N-5	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2004-06-10	2004-08-12	VALHALL	2439-P	2/8-6 VALHALL	NO	59.700000	\N	5815.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2004	2004	\N	50	ED50	56	19	27.60	N	3	21	9.44	E	56.324333	3.352622	6242372.290000	521808.760000	31	2	8	N	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4952	http://www.npd.no/FactMapSearch?NPDID_wellbore=4952	initial	\N	4952	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
34/7-E-5 H	34/7-E-5	Statoil ASA (old)	STATOIL	089	INJECTION	WATER	DEVELOPMENT	2004-07-02	2004-08-26	VIGDIS	2436-P	34/7-8 VIGDIS	NO	31.000000	\N	3708.000000	278.200000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS E	8	NO	WATER	2004	2004	\N	173	ED50	61	21	57.78	N	2	7	15.44	E	61.366050	2.120956	6804039.310000	453002.870000	31	34	7	E	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4953	http://www.npd.no/FactMapSearch?NPDID_wellbore=4953	initial	\N	4953	44714	43732	9999-12-31	21516	290170	279197	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/11-G-6	25/11-G-6	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2004-07-30	2004-08-18	GRANE	2440-P	25/11-15 GRANE	NO	69.900000	\N	4335.000000	128.000000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2004	2004	\N	50	ED50	59	9	55.05	N	2	29	14.10	E	59.165292	2.487250	6558721.780000	470681.360000	31	25	11	G	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4954	http://www.npd.no/FactMapSearch?NPDID_wellbore=4954	initial	\N	4954	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-B-20 B	2/4-B-20	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-09-16	2004-11-04	EKOFISK	2441-P	2/4-2 EKOFISK	NO	52.000000	\N	3435.000000	73.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2004	2004	\N	50	ED50	56	33	54.95	N	3	12	13.64	E	56.565264	3.203789	6269152.970000	512524.340000	31	2	4	B	20	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4956	http://www.npd.no/FactMapSearch?NPDID_wellbore=4956	sidetrack	2/4-B-20 A	4956	44072	43506	9999-12-31	20900	296002	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
30/9-F-12 A	30/9-F-12	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2004-07-03	2004-07-22	OSEBERG SØR	2442-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	3430.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2004	2004	\N	50	ED50	60	23	24.81	N	2	47	49.60	E	60.390225	2.797111	6695045.550000	488816.320000	31	30	9	F	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4957	http://www.npd.no/FactMapSearch?NPDID_wellbore=4957	sidetrack	30/9-F-12	4957	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-27 A	33/12-B-27	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2004-07-25	2004-08-23	STATFJORD	2443-P	33/12-1 STATFJORD	NO	77.800000	\N	5910.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2004	2004	\N	50	ED50	61	12	24.04	N	1	49	51.12	E	61.206678	1.830867	6786531.480000	437176.890000	31	33	12	B	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4958	http://www.npd.no/FactMapSearch?NPDID_wellbore=4958	sidetrack	33/12-B-27	4958	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-X-21 Y1	2/4-X-21	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-09-28	2004-11-09	EKOFISK	2444-P1	2/4-2 EKOFISK	NO	57.300000	\N	5720.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	YES	OIL	2004	2004	\N	50	ED50	56	32	51.31	N	3	13	8.11	E	56.547586	3.218919	6267188.090000	513460.500000	31	2	4	X	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4959	http://www.npd.no/FactMapSearch?NPDID_wellbore=4959	multilateral	\N	4959	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-X-21 Y2	2/4-X-21	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-11-10	2004-12-23	EKOFISK	2444-P2	2/4-2 EKOFISK	NO	57.300000	\N	6413.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	YES	OIL	2004	2004	\N	50	ED50	56	32	51.31	N	3	13	8.11	E	56.547586	3.218919	6267188.090000	513460.500000	31	2	4	X	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4960	http://www.npd.no/FactMapSearch?NPDID_wellbore=4960	multilateral	2/4-X-21 Y1	4960	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/1-A-16 AY1	2/1-A-16	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2004-07-20	2004-08-13	GYDA	2445-P1	2/1-3 GYDA	NO	56.000000	\N	4837.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	YES	OIL	2004	2004	\N	50	ED50	56	54	17.55	N	3	5	6.38	E	56.904875	3.085106	6306941.450000	505183.420000	31	2	1	A	16	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4961	http://www.npd.no/FactMapSearch?NPDID_wellbore=4961	multilateral	2/1-A-16	4961	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-10-27	2012-10-27	2013-05-08
30/3-A-23 A	30/3-A-23	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2004-08-30	2004-10-22	VESLEFRIKK	2446-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5379.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2004	2004	\N	50	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	30	3	A	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4962	http://www.npd.no/FactMapSearch?NPDID_wellbore=4962	sidetrack	30/3-A-23	4962	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-26 A	34/10-B-26	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2004-07-19	2004-08-31	GULLFAKS	2447-P1	34/10-1 GULLFAKS	NO	81.000000	\N	3885.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	YES	OIL	2004	2004	\N	50	ED50	61	12	10.16	N	2	12	6.42	E	61.202822	2.201783	6785802.130000	457101.910000	31	34	10	B	26	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4963	http://www.npd.no/FactMapSearch?NPDID_wellbore=4963	sidetrack	34/10-B-26	4963	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/12-A-9	15/12-A-9	Pertra AS (OLD)	PERTRA	038	INJECTION	WATER	DEVELOPMENT	2004-08-03	2004-11-03	VARG	2448-P	15/12-4 VARG	NO	52.000000	\N	3951.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	WATER	2004	2004	\N	173	ED50	58	4	40.39	N	1	53	25.58	E	58.077886	1.890439	6438065.860000	434555.750000	31	15	12	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4964	http://www.npd.no/FactMapSearch?NPDID_wellbore=4964	initial	\N	4964	43868	43451	9999-12-31	21092	278245	279505	0	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
34/11-A-5	34/11-A-5	Statoil ASA (old)	STATOIL	193	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2004-08-01	2004-10-14	KVITEBJØRN	2449-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	4338.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	OIL/GAS	2004	2004	\N	170	ED50	61	4	49.12	N	2	29	58.87	E	61.080311	2.499686	6771996.690000	473007.280000	31	34	11	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4965	http://www.npd.no/FactMapSearch?NPDID_wellbore=4965	initial	\N	4965	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-X-43	2/4-X-43	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-12-26	2005-02-15	EKOFISK	2450-P	2/4-2 EKOFISK	NO	57.000000	\N	3505.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2004	2005	\N	50	ED50	56	32	52.02	N	3	13	8.34	E	56.547783	3.218983	6267210.060000	513464.360000	31	2	4	X	43	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4966	http://www.npd.no/FactMapSearch?NPDID_wellbore=4966	initial	\N	4966	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
25/8-C-3	25/8-C-3	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2006-03-06	2006-04-10	RINGHORNE ØST	2452-P	25/8-14 S	NO	60.300000	\N	4647.000000	128.000000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2006	2006	\N	50	ED50	59	15	58.13	N	2	26	59.54	E	59.266147	2.449872	6569969.730000	468636.800000	31	25	8	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4968	http://www.npd.no/FactMapSearch?NPDID_wellbore=4968	initial	\N	4968	2472571	3505505	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-C-3 A	25/8-C-3	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	RINGHORNE ØST	2453-P	25/8-14 S	NO	60.300000	\N	0.000000	128.000000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	0	0	\N	0	ED50	59	15	58.13	N	2	26	59.54	E	59.266147	2.449872	6569969.730000	468636.800000	31	25	8	C	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4969	http://www.npd.no/FactMapSearch?NPDID_wellbore=4969	sidetrack	25/8-C-3	4969	2472571	3505505	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
6507/7-A-40 A	6507/7-A-40	Statoil ASA (old)	STATOIL	095	INJECTION	WATER	DEVELOPMENT	2004-08-14	2004-09-26	HEIDRUN	2454-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4354.000000	345.500000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER	2004	2004	\N	173	ED50	65	19	32.77	N	7	19	4.53	E	65.325769	7.317925	7245988.850000	421649.590000	32	6507	7	A	40	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4970	http://www.npd.no/FactMapSearch?NPDID_wellbore=4970	sidetrack	6507/7-A-40	4970	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-J-12 H	30/9-J-12	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2004-11-10	2005-10-14	OSEBERG SØR	2456-P	30/9-10 OSEBERG SØR	NO	32.000000	\N	5400.000000	102.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	OSEBERG SØR	9	NO	OIL	2004	2005	\N	50	ED50	60	21	16.26	N	2	54	0.05	E	60.354517	2.900014	6691055.360000	494482.510000	31	30	9	J	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4971	http://www.npd.no/FactMapSearch?NPDID_wellbore=4971	initial	\N	4971	44468	43645	9999-12-31	21636	290170	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-25	30/9-F-25	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2004-08-20	2005-02-07	OSEBERG SØR	2457-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	8192.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2004	2005	\N	50	ED50	60	23	24.46	N	2	47	49.31	E	60.390128	2.797031	6695034.730000	488811.840000	31	30	9	F	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4972	http://www.npd.no/FactMapSearch?NPDID_wellbore=4972	initial	\N	4972	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-F-2 Y1H	34/10-F-2	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2004-07-26	2004-10-17	GULLFAKS SØR	2458-P1	34/10-2 GULLFAKS SØR	NO	31.000000	\N	5860.000000	134.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	GULLFAKS SØR F	Awarded additionaly to round 3	YES	OIL	2004	2004	\N	50	ED50	61	5	51.68	N	2	16	35.61	E	61.097689	2.276558	6774044.860000	460990.870000	31	34	10	F	2	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4973	http://www.npd.no/FactMapSearch?NPDID_wellbore=4973	multilateral	\N	4973	44606	43699	9999-12-31	21188	297784	279645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-F-2 Y2H	34/10-F-2	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2004-10-18	2004-11-22	GULLFAKS SØR	2458-P2	34/10-2 GULLFAKS SØR	NO	31.000000	\N	5476.000000	134.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	GULLFAKS SØR F	Awarded additionaly to round 3	YES	OIL	2004	2004	\N	50	ED50	61	5	51.68	N	2	16	35.61	E	61.097689	2.276558	6774044.860000	460990.870000	31	34	10	F	2	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4974	http://www.npd.no/FactMapSearch?NPDID_wellbore=4974	multilateral	34/10-F-2 Y1H	4974	44606	43699	9999-12-31	21188	297784	279645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/4-K-7 H	34/4-K-7	Statoil ASA (old)	STATOIL	057	INJECTION	WATER	DEVELOPMENT	2005-03-27	2005-05-25	SNORRE	2459-P	34/4-1 SNORRE	NO	37.000000	\N	5102.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-K H	4	NO	WATER	2005	2005	\N	173	ED50	61	31	31.75	N	2	12	44.12	E	61.525486	2.212256	6821736.750000	458098.430000	31	34	4	K	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4975	http://www.npd.no/FactMapSearch?NPDID_wellbore=4975	initial	\N	4975	44654	43718	9999-12-31	21252	280485	284265	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-F-12 B	30/9-F-12	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2004-07-23	2004-08-18	OSEBERG SØR	2460-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	3842.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2004	2004	\N	50	ED50	60	23	24.81	N	2	47	49.60	E	60.390225	2.797111	6695045.550000	488816.320000	31	30	9	F	12	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4976	http://www.npd.no/FactMapSearch?NPDID_wellbore=4976	sidetrack	30/9-F-12 A	4976	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-6 H	34/8-A-6	Statoil ASA (old)	STATOIL	120	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2005-03-05	2005-05-13	VISUND	2461-P	34/8-1 VISUND	NO	29.000000	\N	8170.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	NOT APPLICABLE	2005	2005	\N	99	ED50	61	22	13.18	N	2	27	33.30	E	61.370328	2.459250	6804319.130000	471092.970000	31	34	8	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4977	http://www.npd.no/FactMapSearch?NPDID_wellbore=4977	initial	\N	4977	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-1	25/8-C-1	Esso Exploration and Production Norway A/S	ESSO	027	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-08-08	2004-09-30	BALDER	2462-P	25/8-11 RINGHORNE	NO	60.300000	\N	6187.000000	128.000000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	59	15	58.04	N	2	26	59.09	E	59.266122	2.449747	6569967.000000	468629.660000	31	25	8	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4978	http://www.npd.no/FactMapSearch?NPDID_wellbore=4978	initial	\N	4978	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-C-1 A	25/8-C-1	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2004-10-01	2004-10-31	BALDER	2463-P	25/8-11 RINGHORNE	NO	60.300000	\N	6086.000000	128.000000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2004	2004	\N	50	ED50	59	15	58.04	N	2	26	59.09	E	59.266122	2.449747	6569967.000000	468629.660000	31	25	8	C	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4979	http://www.npd.no/FactMapSearch?NPDID_wellbore=4979	sidetrack	25/8-C-1	4979	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-B-12 A	2/4-B-12	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-02-24	2005-04-07	EKOFISK	2464-P	2/4-2 EKOFISK	NO	52.000000	\N	3993.000000	73.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2005	2005	\N	50	ED50	56	33	54.86	N	3	12	13.70	E	56.565239	3.203806	6269150.190000	512525.370000	31	2	4	B	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4980	http://www.npd.no/FactMapSearch?NPDID_wellbore=4980	sidetrack	2/4-B-12	4980	44072	43506	9999-12-31	20900	297838	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
25/4-C-1 AH	25/4-C-1	Norsk Hydro Produksjon AS	HYDRO	036	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2005-05-23	2005-09-12	VALE	2465-P	25/4-6 S VALE	NO	29.000000	\N	5212.000000	114.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	VALE	2-A	NO	GAS/CONDENSATE	2005	2005	\N	170	ED50	59	42	22.43	N	2	18	37.83	E	59.706231	2.310508	6619051.190000	461199.830000	31	25	4	C	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4981	http://www.npd.no/FactMapSearch?NPDID_wellbore=4981	sidetrack	25/4-C-1 H	4981	44258	1578893	9999-12-31	21076	287821	282501	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-A-3 AH	34/7-A-3	Statoil ASA (old)	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2004-09-22	2005-03-13	SNORRE	2466-P	34/4-1 SNORRE	NO	24.000000	\N	5183.000000	335.000000	NORTH SEA	STENA DON	SEMISUB STEEL	SNORRE UPA	8	NO	OIL	2004	2005	\N	50	ED50	61	29	21.72	N	2	13	35.25	E	61.489367	2.226458	6817704.280000	458806.130000	31	34	7	A	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4985	http://www.npd.no/FactMapSearch?NPDID_wellbore=4985	sidetrack	34/7-A-3 H	4985	44654	43718	9999-12-31	21516	297649	273961	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-K-24 Y1H	31/2-K-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-09-12	2004-10-31	TROLL	2467-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5532.000000	318.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL K2	4	YES	OIL	2004	2004	\N	50	ED50	60	45	20.92	N	3	38	22.99	E	60.755811	3.639719	6735917.960000	534866.420000	31	31	2	K	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4987	http://www.npd.no/FactMapSearch?NPDID_wellbore=4987	multilateral	\N	4987	44534	46437	9999-12-31	21228	297055	280009	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-24 Y2H	31/2-K-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-11-01	2004-11-25	TROLL	2467-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5803.000000	318.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL K2	4	YES	OIL	2004	2004	\N	50	ED50	60	45	20.92	N	3	38	22.99	E	60.755811	3.639719	6735917.960000	534866.420000	31	31	2	K	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4988	http://www.npd.no/FactMapSearch?NPDID_wellbore=4988	multilateral	31/2-K-24 Y1H	4988	44534	46437	9999-12-31	21228	297055	280009	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-24 Y3H	31/2-K-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-11-26	2004-12-13	TROLL	2467-P3	31/2-1 TROLL VEST	NO	35.500000	\N	6338.000000	318.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL K2	4	YES	OIL	2004	2004	\N	50	ED50	60	45	20.92	N	3	38	22.99	E	60.755811	3.639719	6735917.960000	534866.420000	31	31	2	K	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4989	http://www.npd.no/FactMapSearch?NPDID_wellbore=4989	multilateral	31/2-K-24 Y2H	4989	44534	46437	9999-12-31	21228	297055	280009	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-K-24 Y4H	31/2-K-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2004-12-15	2005-01-28	TROLL	2467-P4	31/2-1 TROLL VEST	NO	35.500000	\N	4646.000000	318.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL K2	4	YES	OIL	2004	2005	\N	50	ED50	60	45	20.92	N	3	38	22.99	E	60.755811	3.639719	6735917.960000	534866.420000	31	31	2	K	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4990	http://www.npd.no/FactMapSearch?NPDID_wellbore=4990	multilateral	31/2-K-24 Y3H	4990	44534	46437	9999-12-31	21228	297055	280009	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-11	25/11-G-11	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2004-09-14	2004-10-20	GRANE	2468-P	25/11-15 GRANE	NO	69.900000	\N	3328.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2004	2004	\N	50	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	25	11	G	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4991	http://www.npd.no/FactMapSearch?NPDID_wellbore=4991	initial	\N	4991	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2013-02-16	2013-02-16	2013-05-08
6506/11-P-3 H	6506/11-P-3	Statoil ASA (old)	STATOIL	134 B	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2004-07-16	2005-02-24	KRISTIN	2470-P	6406/2-3 KRISTIN	NO	25.000000	\N	6117.000000	372.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	KRISTIN P	Awarded additionaly to round 11-A	NO	GAS/CONDENSATE	2004	2005	\N	170	ED50	65	0	52.80	N	6	26	17.29	E	65.014667	6.438136	7212716.410000	379277.010000	32	6506	11	P	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4993	http://www.npd.no/FactMapSearch?NPDID_wellbore=4993	initial	\N	4993	44840	1854729	9999-12-31	1025257	294058	360577	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6506/11-P-2 H	6506/11-P-2	Statoil ASA (old)	STATOIL	134 B	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2004-08-11	2004-11-21	KRISTIN	2471-P	6406/2-3 KRISTIN	NO	25.000000	\N	5904.000000	372.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	KRISTIN P	Awarded additionaly to round 11-A	NO	GAS/CONDENSATE	2004	2004	\N	170	ED50	65	0	52.65	N	6	26	17.17	E	65.014625	6.438103	7212711.830000	379275.250000	32	6506	11	P	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4994	http://www.npd.no/FactMapSearch?NPDID_wellbore=4994	initial	\N	4994	44840	1854729	9999-12-31	1025257	294058	360577	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-C-5 B	34/10-C-5	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2004-08-28	2004-09-28	GULLFAKS	2472-P	34/10-1 GULLFAKS	NO	84.000000	\N	4145.000000	217.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2004	2004	\N	50	ED50	61	12	53.35	N	2	16	27.92	E	61.214819	2.274422	6787092.980000	461020.420000	31	34	10	C	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4995	http://www.npd.no/FactMapSearch?NPDID_wellbore=4995	sidetrack	34/10-C-5 A	4995	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-7	25/8-C-7	Esso Exploration and Production Norway A/S	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2004-12-11	2005-01-21	BALDER	2473-P	25/8-11 RINGHORNE	NO	60.300000	\N	3901.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2004	2005	\N	50	ED50	59	15	57.95	N	2	26	59.51	E	59.266097	2.449864	6569964.160000	468636.280000	31	25	8	C	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4997	http://www.npd.no/FactMapSearch?NPDID_wellbore=4997	initial	\N	4997	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
7121/4-F-2 H	7121/4-F-2	Statoil ASA (old)	STATOIL	099	INJECTION	CO2	DEVELOPMENT	2004-12-19	2005-02-10	SNØHVIT	2474-P	7121/4-1 SNØHVIT	NO	23.000000	\N	2906.000000	318.000000	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	SNØHVIT F	8	NO	CO2	2004	2005	\N	180	ED50	71	36	39.41	N	21	3	24.36	E	71.610947	21.056767	7945754.160000	501998.860000	34	7121	4	F	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4998	http://www.npd.no/FactMapSearch?NPDID_wellbore=4998	initial	\N	4998	45038	2053062	9999-12-31	21596	289333	364352	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-A-25 B	34/10-A-25	Statoil ASA (old)	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2004-12-22	2005-02-02	GULLFAKS	2475-P	34/10-1 GULLFAKS	NO	82.200000	\N	4250.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	2004	2005	\N	173	ED50	61	10	34.76	N	2	11	21.42	E	61.176322	2.189283	6782858.650000	456393.560000	31	34	10	A	25	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4999	http://www.npd.no/FactMapSearch?NPDID_wellbore=4999	sidetrack	34/10-A-25 A	4999	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/11-A-11	34/11-A-11	Statoil ASA (old)	STATOIL	193	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2004-10-17	2005-01-27	KVITEBJØRN	2476-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	4484.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2004	2005	\N	170	ED50	61	4	49.05	N	2	29	59.12	E	61.080292	2.499756	6771994.500000	473011.010000	31	34	11	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5001	http://www.npd.no/FactMapSearch?NPDID_wellbore=5001	initial	\N	5001	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6608/10-H-3 H	6608/10-H-3	Statoil ASA (old)	STATOIL	128	INJECTION	WATER	DEVELOPMENT	2004-10-04	2005-06-14	URD	2477-P	6608/10-6 SVALE	NO	24.000000	\N	2548.000000	377.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE H	10-B	NO	WATER	2004	2005	\N	173	ED50	66	4	39.61	N	8	15	3.12	E	66.077669	8.250867	7328955.730000	466101.760000	32	6608	10	H	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5002	http://www.npd.no/FactMapSearch?NPDID_wellbore=5002	initial	\N	5002	1030536	2834734	9999-12-31	21836	294382	364827	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/4-A-11 C	31/4-A-11	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2005-01-02	2005-04-01	BRAGE	2451-P	31/4-3 BRAGE	NO	62.600000	\N	6992.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2005	2005	\N	50	ED50	60	32	33.34	N	3	2	50.35	E	60.542594	3.047319	6712000.240000	502596.160000	31	31	4	A	11	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5003	http://www.npd.no/FactMapSearch?NPDID_wellbore=5003	sidetrack	31/4-A-11 B	5003	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-5	25/11-G-5	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2004-11-07	2005-03-18	GRANE	2479-P	25/11-15 GRANE	NO	69.900000	\N	4005.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2004	2005	\N	50	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	25	11	G	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5004	http://www.npd.no/FactMapSearch?NPDID_wellbore=5004	initial	\N	5004	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/7-A-12	6507/7-A-12	Statoil ASA (old)	STATOIL	095	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-10-07	2004-10-31	HEIDRUN	2478-P	6507/7-2 HEIDRUN	NO	74.000000	\N	4320.000000	346.000000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	65	19	32.94	N	7	19	3.14	E	65.325817	7.317539	7245994.600000	421631.750000	32	6507	7	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5005	http://www.npd.no/FactMapSearch?NPDID_wellbore=5005	initial	\N	5005	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-N-11 H	30/9-N-11	Norsk Hydro Produksjon AS	HYDRO	190	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-11-24	2005-01-16	TUNE	2480-P	30/8-1 S TUNE	NO	29.000000	\N	4364.000000	93.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	TUNE	14	NO	NOT APPLICABLE	2004	2005	\N	99	ED50	60	29	34.21	N	2	40	16.80	E	60.492836	2.671333	6706502.240000	481940.230000	31	30	9	N	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5007	http://www.npd.no/FactMapSearch?NPDID_wellbore=5007	initial	\N	5007	44456	853376	9999-12-31	22332	287821	281045	0	HYDRO PRODUKSJON	2013-04-19	2013-04-19	2013-05-08
30/9-N-11 AH	30/9-N-11	Norsk Hydro Produksjon AS	HYDRO	190	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2005-01-17	2005-02-13	TUNE	2481-P	30/8-1 S TUNE	NO	29.000000	\N	5150.000000	93.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	TUNE	14	NO	NOT APPLICABLE	2005	2005	\N	99	ED50	60	29	34.21	N	2	40	16.80	E	60.492836	2.671333	6706502.240000	481940.230000	31	30	9	N	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5008	http://www.npd.no/FactMapSearch?NPDID_wellbore=5008	sidetrack	30/9-N-11 H	5008	44456	853376	9999-12-31	22332	287821	281045	0	HYDRO PRODUKSJON	2013-04-19	2013-04-19	2013-05-08
30/9-B-4 A	30/9-B-4	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2004-12-23	2005-02-05	OSEBERG	2482-P	30/6-1 OSEBERG	NO	58.000000	\N	4757.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2004	2005	\N	50	ED50	60	29	36.44	N	2	49	42.81	E	60.493456	2.828558	6706538.420000	490579.680000	31	30	9	B	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5009	http://www.npd.no/FactMapSearch?NPDID_wellbore=5009	sidetrack	30/9-B-4	5009	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-B-1 B	34/10-B-1	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2004-11-08	2005-01-08	GULLFAKS	2484-P	34/10-1 GULLFAKS	NO	80.700000	\N	2851.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2004	2005	\N	50	ED50	61	12	10.98	N	2	12	5.04	E	61.203050	2.201400	6785827.750000	457081.620000	31	34	10	B	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5011	http://www.npd.no/FactMapSearch?NPDID_wellbore=5011	sidetrack	34/10-B-1 A	5011	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/3-A-8 B	30/3-A-8	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2004-12-12	2005-03-12	VESLEFRIKK	2485-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4777.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2004	2005	\N	50	ED50	60	46	58.03	N	2	53	52.27	E	60.782786	2.897853	6738757.080000	494437.320000	31	30	3	A	8	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5012	http://www.npd.no/FactMapSearch?NPDID_wellbore=5012	sidetrack	30/3-A-8 A	5012	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-L-23 Y1H	31/2-L-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2005-08-16	2005-09-21	TROLL	2486-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5599.000000	329.500000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2005	2005	\N	50	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	31	2	L	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5013	http://www.npd.no/FactMapSearch?NPDID_wellbore=5013	multilateral	\N	5013	44534	46437	9999-12-31	21228	290980	279029	0	HYDRO PRODUKSJON	2013-01-24	2013-01-24	2013-05-08
25/8-C-21	25/8-C-21	Esso Exploration and Production Norway A/S	ESSO	027	INJECTION	CUTTINGS	DEVELOPMENT	2004-11-12	2004-12-11	BALDER	2487-P	25/8-11 RINGHORNE	NO	60.300000	\N	3306.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	CUTTINGS	2004	2004	\N	171	ED50	59	15	57.84	N	2	26	59.42	E	59.266067	2.449839	6569960.770000	468634.830000	31	25	8	C	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5014	http://www.npd.no/FactMapSearch?NPDID_wellbore=5014	initial	\N	5014	44318	43562	9999-12-31	20988	280849	280849	0	ESSO	2012-07-25	2012-07-25	2013-05-08
6608/10-H-1 H	6608/10-H-1	Statoil ASA (old)	STATOIL	128	INJECTION	WATER	DEVELOPMENT	2004-12-09	2005-07-05	URD	2488-P	6608/10-6 SVALE	NO	24.000000	\N	3129.000000	377.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE H	10-B	NO	WATER	2004	2005	\N	173	ED50	66	4	39.24	N	8	15	3.49	E	66.077567	8.250969	7328944.220000	466106.270000	32	6608	10	H	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5015	http://www.npd.no/FactMapSearch?NPDID_wellbore=5015	initial	\N	5015	1030536	2834734	9999-12-31	21836	294382	364827	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-12 A	6507/7-A-12	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2004-11-01	2005-01-14	HEIDRUN	2489-P	6507/7-2 HEIDRUN	NO	74.000000	\N	4045.000000	346.000000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2004	2005	\N	50	ED50	65	19	32.94	N	7	19	3.14	E	65.325817	7.317539	7245994.600000	421631.750000	32	6507	7	A	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5016	http://www.npd.no/FactMapSearch?NPDID_wellbore=5016	sidetrack	6507/7-A-12	5016	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-C-38 C	33/9-C-38	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2005-01-03	2005-02-21	STATFJORD	2490-P	33/12-1 STATFJORD	NO	78.400000	\N	4681.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2005	2005	\N	50	ED50	61	17	46.72	N	1	54	10.15	E	61.296311	1.902819	6796448.060000	441210.630000	31	33	9	C	38	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5018	http://www.npd.no/FactMapSearch?NPDID_wellbore=5018	sidetrack	33/9-C-38 B	5018	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-P-24 Y2H	31/2-P-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2005-05-01	2005-06-04	TROLL	2402-P2	31/2-1 TROLL VEST	NO	25.000000	\N	6200.000000	338.500000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL P2	4	YES	OIL	2005	2005	\N	50	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	31	2	P	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5019	http://www.npd.no/FactMapSearch?NPDID_wellbore=5019	multilateral	31/2-P-24 Y1H	5019	44534	46437	9999-12-31	21228	290980	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-24 Y3H	31/2-P-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2005-06-05	2005-06-27	TROLL	2402-P3	31/2-1 TROLL VEST	NO	25.000000	\N	5547.000000	338.500000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL P2	4	YES	OIL	2005	2005	\N	50	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	31	2	P	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5020	http://www.npd.no/FactMapSearch?NPDID_wellbore=5020	multilateral	31/2-P-24 Y2H	5020	44534	46437	9999-12-31	21228	290980	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-24 Y4H	31/2-P-24	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2005-06-28	2005-08-10	TROLL	2402-P4	31/2-1 TROLL VEST	NO	25.000000	\N	6815.000000	338.500000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL P2	4	YES	OIL	2005	2005	\N	50	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	31	2	P	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5021	http://www.npd.no/FactMapSearch?NPDID_wellbore=5021	multilateral	31/2-P-24 Y3H	5021	44534	46437	9999-12-31	21228	290980	280261	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6608/10-G-4 H	6608/10-G-4	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2004-11-14	2005-09-09	URD	2491-P	6608/10-6 SVALE	NO	24.000000	\N	3030.000000	377.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE G	10-B	NO	OIL	2004	2005	\N	50	ED50	66	4	41.90	N	8	14	56.37	E	66.078306	8.248992	7329027.650000	466017.770000	32	6608	10	G	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5022	http://www.npd.no/FactMapSearch?NPDID_wellbore=5022	initial	\N	5022	1030536	2834734	9999-12-31	21836	294382	364789	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6407/7-A-13 AH	6407/7-A-13	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	2005-02-09	2005-04-05	NJORD	2492-P	6407/7-1 S NJORD	NO	30.000000	\N	5018.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2005	2005	\N	50	ED50	64	16	16.22	N	7	12	7.16	E	64.271172	7.201989	7128639.860000	412913.140000	32	6407	7	A	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5023	http://www.npd.no/FactMapSearch?NPDID_wellbore=5023	sidetrack	6407/7-A-13 H	5023	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-J-14 H	30/9-J-14	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2005-04-14	2005-06-06	OSEBERG SØR	2493-P	30/9-10 OSEBERG SØR	NO	31.000000	\N	4682.000000	102.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	OSEBERG SØR J	9	NO	OIL	2005	2005	\N	50	ED50	60	21	16.14	N	2	54	0.70	E	60.354483	2.900194	6691051.640000	494492.470000	31	30	9	J	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5024	http://www.npd.no/FactMapSearch?NPDID_wellbore=5024	initial	\N	5024	44468	43645	9999-12-31	21636	290170	281745	0	HYDRO PRODUKSJON	2013-01-15	2013-01-15	2013-05-08
2/4-M-18	2/4-M-18	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2004-12-12	2005-01-15	EKOFISK	2494-P	2/4-2 EKOFISK	NO	58.000000	\N	3825.000000	78.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2004	2005	\N	50	ED50	56	32	43.50	N	3	13	23.71	E	56.545417	3.223253	6266947.460000	513727.720000	31	2	4	M	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5025	http://www.npd.no/FactMapSearch?NPDID_wellbore=5025	initial	\N	5025	44072	43506	9999-12-31	20900	296002	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
34/10-A-32 C	34/10-A-32	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2005-05-18	2008-03-17	GULLFAKS SØR	2495-P	34/10-47 S GULLTOPP	NO	82.000000	\N	9910.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2005	2008	\N	50	ED50	61	10	34.80	N	2	11	21.57	E	61.176333	2.189325	6782859.860000	456395.820000	31	34	10	A	32	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5026	http://www.npd.no/FactMapSearch?NPDID_wellbore=5026	sidetrack	34/10-A-32 B	5026	2144184	43699	9999-12-31	21188	271833	271833	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-X-30	2/4-X-30	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-02-16	2005-05-06	EKOFISK	2496-P	2/4-2 EKOFISK	NO	57.000000	\N	3679.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2005	2005	\N	50	ED50	56	32	51.68	N	3	13	8.65	E	56.547689	3.219069	6267199.560000	513469.680000	31	2	4	X	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5027	http://www.npd.no/FactMapSearch?NPDID_wellbore=5027	initial	\N	5027	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
30/6-G-44 H	30/6-G-44	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	\N	DEVELOPMENT	2005-09-19	2005-10-28	OSEBERG	2497-P	30/6-1 OSEBERG	NO	29.000000	\N	3758.000000	108.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	OSEBERG VESTFLANKE	4	NO	OIL/GAS	2005	2005	\N	99	ED50	60	32	15.61	N	2	41	8.01	E	60.537669	2.685558	6711491.970000	482745.720000	31	30	6	G	44	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5028	http://www.npd.no/FactMapSearch?NPDID_wellbore=5028	initial	\N	5028	44396	43625	9999-12-31	21220	287821	363907	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
30/6-G-44 AH	30/6-G-44	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	\N	DEVELOPMENT	2005-10-29	2007-01-18	OSEBERG	2498-P	30/6-1 OSEBERG	NO	29.000000	\N	5363.000000	108.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	OSEBERG VESTFLANKE	4	NO	OIL/GAS	2005	2007	\N	71	ED50	60	32	15.61	N	2	41	8.01	E	60.537669	2.685558	6711491.970000	482745.720000	31	30	6	G	44	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5029	http://www.npd.no/FactMapSearch?NPDID_wellbore=5029	sidetrack	30/6-G-44 H	5029	44396	43625	9999-12-31	21220	287821	363907	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
34/10-B-20 A	34/10-B-20	Statoil ASA (old)	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2007-02-17	2007-04-19	GULLFAKS	2499-P	34/10-1 GULLFAKS	NO	81.000000	\N	5125.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	2007	2007	\N	173	ED50	61	12	11.27	N	2	12	5.07	E	61.203131	2.201408	6785836.720000	457082.180000	31	34	10	B	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5030	http://www.npd.no/FactMapSearch?NPDID_wellbore=5030	sidetrack	34/10-B-20	5030	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-28 A	6507/7-A-28	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2005-01-19	2005-02-07	HEIDRUN	2500-P	6507/7-2 HEIDRUN	NO	74.200000	\N	2853.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2005	2005	\N	50	ED50	65	19	32.73	N	7	19	3.27	E	65.325758	7.317575	7245988.050000	421633.260000	32	6507	7	A	28	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5031	http://www.npd.no/FactMapSearch?NPDID_wellbore=5031	sidetrack	6507/7-A-28	5031	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2013-04-11	2013-04-11	2013-05-08
6608/10-G-1 H	6608/10-G-1	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2004-11-28	2005-10-27	URD	2501-P	6608/10-6 SVALE	NO	24.000000	\N	3981.000000	377.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE G	10-B	NO	OIL	2004	2005	\N	50	ED50	66	4	41.79	N	8	14	56.13	E	66.078275	8.248925	7329024.280000	466014.710000	32	6608	10	G	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5032	http://www.npd.no/FactMapSearch?NPDID_wellbore=5032	initial	\N	5032	1030536	2834734	9999-12-31	21836	294382	364789	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/11-S-10	2/11-S-10	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2004-11-28	2005-09-22	VALHALL	2502-P	2/8-6 VALHALL	NO	59.200000	\N	5220.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2004	2005	\N	50	ED50	56	13	39.61	N	3	26	14.80	E	56.227669	3.437444	6231643.160000	527123.080000	31	2	11	S	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5033	http://www.npd.no/FactMapSearch?NPDID_wellbore=5033	initial	\N	5033	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
7121/4-D-1 H	7121/4-D-1	Statoil ASA (old)	STATOIL	099	PRODUCTION	GAS	DEVELOPMENT	2005-03-03	2005-03-31	SNØHVIT	2503-P	7121/4-1 SNØHVIT	NO	23.000000	\N	2680.000000	337.000000	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	SNØHVIT D	8	NO	GAS	2005	2005	\N	90	ED50	71	35	30.79	N	21	16	33.85	E	71.591886	21.276069	7943649.340000	509730.590000	34	7121	4	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5034	http://www.npd.no/FactMapSearch?NPDID_wellbore=5034	initial	\N	5034	45038	2053062	9999-12-31	21596	289333	364278	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7121/4-D-2 H	7121/4-D-2	Statoil ASA (old)	STATOIL	099	PRODUCTION	GAS	DEVELOPMENT	2005-02-16	2005-04-15	SNØHVIT	2504-P	7121/4-1 SNØHVIT	NO	23.000000	\N	2680.000000	337.000000	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	SNØHVIT D	8	NO	GAS	2005	2005	\N	90	ED50	71	35	31.07	N	21	16	33.53	E	71.591964	21.275981	7943658.000000	509727.420000	34	7121	4	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5035	http://www.npd.no/FactMapSearch?NPDID_wellbore=5035	initial	\N	5035	45038	2053062	9999-12-31	21596	289333	364278	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7121/4-D-4 H	7121/4-D-4	Statoil ASA (old)	STATOIL	099	PRODUCTION	GAS	DEVELOPMENT	2005-02-27	2005-05-07	SNØHVIT	2505-P	7121/4-1 SNØHVIT	NO	23.000000	\N	2983.000000	337.000000	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	SNØHVIT D	8	NO	GAS	2005	2005	\N	90	ED50	71	35	30.87	N	21	16	35.35	E	71.591908	21.276486	7943651.890000	509745.260000	34	7121	4	D	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5036	http://www.npd.no/FactMapSearch?NPDID_wellbore=5036	initial	\N	5036	45038	2053062	9999-12-31	21596	289333	364278	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/11-S-3	2/11-S-3	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2005-01-26	2005-05-03	VALHALL	2506-P	2/8-6 VALHALL	NO	59.200000	\N	5898.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2005	2005	\N	50	ED50	56	13	39.76	N	3	26	14.71	E	56.227711	3.437419	6231647.790000	527121.510000	31	2	11	S	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5037	http://www.npd.no/FactMapSearch?NPDID_wellbore=5037	initial	\N	5037	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6406/2-S-1 H	6406/2-S-1	Statoil ASA (old)	STATOIL	199	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2003-08-12	2005-09-30	KRISTIN	2507-P	6406/2-3 KRISTIN	NO	18.000000	\N	5746.000000	364.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	KRISTIN S	14	NO	GAS/CONDENSATE	2003	2005	\N	170	ED50	64	58	39.00	N	6	26	6.05	E	64.977500	6.435014	7208582.700000	378961.880000	32	6406	2	S	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5038	http://www.npd.no/FactMapSearch?NPDID_wellbore=5038	initial	\N	5038	44840	1854729	9999-12-31	22404	294058	360444	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/12-B-40 D	33/12-B-40	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2005-01-20	2005-03-27	STATFJORD	2508-P	33/12-1 STATFJORD	NO	77.800000	\N	4090.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2005	2005	\N	50	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	33	12	B	40	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5040	http://www.npd.no/FactMapSearch?NPDID_wellbore=5040	sidetrack	33/12-B-40 C	5040	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-F-30	30/9-F-30	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2005-02-04	2005-04-05	OSEBERG SØR	2509-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	5544.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	NOT APPLICABLE	2005	2005	\N	99	ED50	60	23	24.42	N	2	47	49.49	E	60.390117	2.797081	6695033.490000	488814.600000	31	30	9	F	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5041	http://www.npd.no/FactMapSearch?NPDID_wellbore=5041	initial	\N	5041	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-30 A	30/9-F-30	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	WATER/GAS	DEVELOPMENT	2005-04-08	2005-05-18	OSEBERG SØR	2510-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	6560.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER/GAS	2005	2005	\N	0	ED50	60	23	24.42	N	2	47	49.49	E	60.390117	2.797081	6695033.490000	488814.600000	31	30	9	F	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5042	http://www.npd.no/FactMapSearch?NPDID_wellbore=5042	sidetrack	30/9-F-30	5042	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-15 A	30/9-F-15	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	WATER	DEVELOPMENT	2004-06-15	2004-07-03	OSEBERG SØR	2511-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	930.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER	2004	2004	\N	172	ED50	60	23	24.72	N	2	47	49.49	E	60.390200	2.797081	6695042.770000	488814.620000	31	30	9	F	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5043	http://www.npd.no/FactMapSearch?NPDID_wellbore=5043	sidetrack	30/9-F-15	5043	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-26 A	30/9-F-26	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	WATER	DEVELOPMENT	2004-03-02	2004-04-20	OSEBERG SØR	2512-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	4585.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER	2004	2004	\N	173	ED50	60	23	24.48	N	2	47	49.45	E	60.390133	2.797069	6695035.350000	488813.990000	31	30	9	F	26	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5044	http://www.npd.no/FactMapSearch?NPDID_wellbore=5044	sidetrack	30/9-F-26	5044	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/1-A-31 A	2/1-A-31	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2005-01-01	2005-05-25	GYDA	2513-P	2/1-3 GYDA	NO	56.000000	\N	6705.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2005	2005	\N	50	ED50	56	54	17.25	N	3	5	6.07	E	56.904792	3.085019	6306932.170000	505178.190000	31	2	1	A	31	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5045	http://www.npd.no/FactMapSearch?NPDID_wellbore=5045	sidetrack	2/1-A-31	5045	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
25/11-G-40	25/11-G-40	Norsk Hydro Produksjon AS	HYDRO	169 B1	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2005-01-25	2005-02-07	GRANE	2514-P	25/11-15 GRANE	NO	69.900000	\N	2225.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	NOT APPLICABLE	2005	2005	\N	99	ED50	59	9	54.72	N	2	29	15.23	E	59.165200	2.487564	6558711.430000	470699.230000	31	25	11	G	40	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5047	http://www.npd.no/FactMapSearch?NPDID_wellbore=5047	initial	\N	5047	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-40 A	25/11-G-40	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2005-03-15	2005-09-04	GRANE	2515-P	25/11-15 GRANE	NO	69.900000	\N	4319.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2005	2005	\N	50	ED50	59	9	54.72	N	2	29	15.23	E	59.165200	2.487564	6558711.430000	470699.230000	31	25	11	G	40	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5048	http://www.npd.no/FactMapSearch?NPDID_wellbore=5048	sidetrack	25/11-G-40	5048	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6406/2-S-2 H	6406/2-S-2	Statoil ASA (old)	STATOIL	199	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2003-08-14	2006-05-02	KRISTIN	2516-P	6406/2-3 KRISTIN	NO	18.000000	\N	5632.000000	364.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	KRISTIN S	14	NO	GAS/CONDENSATE	2003	2006	\N	170	ED50	64	58	38.99	N	6	26	5.34	E	64.977497	6.434817	7208582.770000	378952.560000	32	6406	2	S	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5049	http://www.npd.no/FactMapSearch?NPDID_wellbore=5049	initial	\N	5049	44840	1854729	9999-12-31	22404	297514	360444	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-M-17	2/4-M-17	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-01-18	2005-02-25	EKOFISK	2517-P	2/4-2 EKOFISK	NO	58.000000	\N	4107.000000	78.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2005	2005	\N	50	ED50	56	32	43.46	N	3	13	23.58	E	56.545406	3.223217	6266946.220000	513725.510000	31	2	4	M	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5050	http://www.npd.no/FactMapSearch?NPDID_wellbore=5050	initial	\N	5050	44072	43506	9999-12-31	20900	296002	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
30/6-G-41 H	30/6-G-41	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL/GAS	DEVELOPMENT	2005-11-29	2006-02-05	OSEBERG	2518-P	30/6-1 OSEBERG	NO	29.000000	\N	3729.000000	108.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	OSEBERG VESTFLANKE	4	NO	OIL/GAS	2005	2006	\N	0	ED50	60	32	15.38	N	2	41	8.88	E	60.537606	2.685800	6711484.790000	482758.950000	31	30	6	G	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5052	http://www.npd.no/FactMapSearch?NPDID_wellbore=5052	initial	\N	5052	44396	43625	9999-12-31	21220	287821	363907	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-D-4 H	34/7-D-4	Statoil ASA (old)	STATOIL	089	PRODUCTION	\N	DEVELOPMENT	2005-06-06	2005-07-20	VIGDIS	2519-P	34/7-8 VIGDIS	NO	21.500000	\N	4572.000000	251.000000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	VIGDIS D	8	NO	OIL	2005	2005	\N	71	ED50	61	20	44.39	N	2	4	22.33	E	61.345664	2.072869	6801804.120000	450399.860000	31	34	7	D	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5053	http://www.npd.no/FactMapSearch?NPDID_wellbore=5053	initial	\N	5053	44714	43732	9999-12-31	21516	287902	359965	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6406/2-R-4 AH	6406/2-R-4	Statoil ASA (old)	STATOIL	199	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2005-01-22	2005-03-12	KRISTIN	2520-P	6406/2-3 KRISTIN	NO	25.000000	\N	5290.000000	355.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	KRISTIN R	14	NO	GAS/CONDENSATE	2005	2005	\N	170	ED50	64	57	36.85	N	6	26	19.14	E	64.960236	6.438650	7206652.870000	379055.450000	32	6406	2	R	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5055	http://www.npd.no/FactMapSearch?NPDID_wellbore=5055	sidetrack	6406/2-R-4 H	5055	44840	1854729	9999-12-31	22404	294058	360533	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/11-A-8	34/11-A-8	Statoil ASA (old)	STATOIL	193	INJECTION	WATER	DEVELOPMENT	2003-12-17	2004-01-02	KVITEBJØRN	2521-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	1133.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	CUTTINGS	2003	2004	\N	173	ED50	61	4	49.29	N	2	29	58.66	E	61.080358	2.499628	6772001.970000	473004.170000	31	34	11	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5057	http://www.npd.no/FactMapSearch?NPDID_wellbore=5057	initial	\N	5057	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-D-3 CH	34/10-D-3	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2005-04-22	2005-05-29	GULLFAKS SØR	2522-P	34/10-2 GULLFAKS SØR	NO	31.000000	\N	5328.000000	134.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	GULLFAKS SØR D	Awarded additionaly to round 3	NO	OIL	2005	2005	\N	50	ED50	61	7	26.54	N	2	14	39.12	E	61.124039	2.244200	6776999.600000	459280.010000	31	34	10	D	3	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5058	http://www.npd.no/FactMapSearch?NPDID_wellbore=5058	sidetrack	34/10-D-3 BH	5058	44606	43699	9999-12-31	21188	297784	277517	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/8-D-3 BH	6507/8-D-3	Statoil ASA (old)	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2005-04-10	2005-06-09	HEIDRUN	2523-P	6507/8-4 HEIDRUN NORD	NO	22.000000	\N	4009.000000	357.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2005	2005	\N	50	ED50	65	21	42.95	N	7	20	9.70	E	65.361931	7.336028	7249995.830000	422599.040000	32	6507	8	D	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5059	http://www.npd.no/FactMapSearch?NPDID_wellbore=5059	sidetrack	6507/8-D-3 AH	5059	44936	43771	9999-12-31	21804	296245	283593	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-C-33 A	33/9-C-33	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2005-05-11	2006-04-13	STATFJORD ØST	2526-P	33/9-7 STATFJORD ØST	NO	78.400000	\N	8152.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2005	2006	\N	50	ED50	61	17	46.79	N	1	54	10.21	E	61.296331	1.902836	6796450.210000	441211.560000	31	33	9	C	33	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5061	http://www.npd.no/FactMapSearch?NPDID_wellbore=5061	sidetrack	33/9-C-33	5061	44582	43672	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-M-23	2/4-M-23	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-02-28	2005-03-28	EKOFISK	2527-P	2/4-2 EKOFISK	NO	58.000000	\N	4054.000000	78.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2005	2005	\N	50	ED50	56	32	43.44	N	3	13	23.79	E	56.545400	3.223275	6266945.610000	513729.090000	31	2	4	M	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5062	http://www.npd.no/FactMapSearch?NPDID_wellbore=5062	initial	\N	5062	44072	43506	9999-12-31	20900	296002	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6406/2-R-2 H	6406/2-R-2	Statoil ASA (old)	STATOIL	199	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2005-08-26	2005-11-17	KRISTIN	2528-P	6406/2-3 KRISTIN	NO	25.000000	\N	5961.000000	355.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	KRISTIN R	14	NO	GAS/CONDENSATE	2005	2005	\N	170	ED50	64	57	36.68	N	6	26	18.44	E	64.960189	6.438456	7206647.990000	379046.060000	32	6406	2	R	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5064	http://www.npd.no/FactMapSearch?NPDID_wellbore=5064	initial	\N	5064	44840	1854729	9999-12-31	22404	297514	360533	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-2	25/8-C-2	ExxonMobil Exploration & Production Norway AS	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2005-02-10	2005-04-16	BALDER	2529-P	25/8-11 RINGHORNE	NO	60.300000	\N	5143.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2005	2005	\N	50	ED50	59	15	58.10	N	2	26	59.39	E	59.266139	2.449831	6569968.820000	468634.420000	31	25	8	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5065	http://www.npd.no/FactMapSearch?NPDID_wellbore=5065	initial	\N	5065	44318	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
34/10-A-7 B	34/10-A-7	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2005-02-24	2005-04-06	GULLFAKS	2530-P	34/10-1 GULLFAKS	NO	82.200000	\N	3437.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2005	2005	\N	50	ED50	61	10	34.77	N	2	11	21.80	E	61.176325	2.189389	6782858.890000	456399.240000	31	34	10	A	7	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5068	http://www.npd.no/FactMapSearch?NPDID_wellbore=5068	sidetrack	34/10-A-7 A	5068	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-X-4 A	2/4-X-4	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	2005-06-23	2005-07-14	EKOFISK	2531-P	2/4-2 EKOFISK	NO	57.000000	\N	3757.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2005	2005	\N	71	ED50	56	32	50.89	N	3	13	8.40	E	56.547469	3.219000	6267175.120000	513465.490000	31	2	4	X	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5069	http://www.npd.no/FactMapSearch?NPDID_wellbore=5069	sidetrack	2/4-X-4	5069	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-29	2013-01-29	2013-05-08
6608/10-E-3 BH	6608/10-E-3	Statoil ASA (old)	STATOIL	128	OBSERVATION	OIL	DEVELOPMENT	2005-03-09	2005-04-03	NORNE	2524-P	6608/10-2 NORNE	NO	24.000000	\N	3259.000000	380.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE E	10-B	NO	OIL	2005	2005	\N	99	ED50	66	2	43.50	N	8	5	57.30	E	66.045417	8.099250	7325451.140000	459189.800000	32	6608	10	E	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5070	http://www.npd.no/FactMapSearch?NPDID_wellbore=5070	sidetrack	6608/10-E-3 AH	5070	44942	43778	9999-12-31	21836	294382	279309	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
2/8-G-11	2/8-G-11	BP Norge AS	BP	006 B	PRODUCTION	OIL/GAS	DEVELOPMENT	2005-03-21	2005-07-14	VALHALL	2532-P	2/8-6 VALHALL	NO	65.300000	\N	4258.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	2005	2005	\N	0	ED50	56	16	35.45	N	3	23	46.94	E	56.276514	3.396372	6237064.400000	524545.210000	31	2	8	G	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5072	http://www.npd.no/FactMapSearch?NPDID_wellbore=5072	initial	\N	5072	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2013-01-26	2013-01-26	2013-05-08
15/12-A-16	15/12-A-16	Pertra AS (OLD)	PERTRA	038	INJECTION	WATER	DEVELOPMENT	2005-03-29	2005-05-14	VARG	2533-P	15/12-4 VARG	NO	51.500000	\N	3609.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	WATER	2005	2005	\N	173	ED50	58	4	40.42	N	1	53	25.90	E	58.077894	1.890528	6438066.710000	434561.000000	31	15	12	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5073	http://www.npd.no/FactMapSearch?NPDID_wellbore=5073	initial	\N	5073	43868	43451	9999-12-31	21092	278245	279505	0	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
33/12-B-13 A	33/12-B-13	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2005-04-16	2005-05-15	STATFJORD	2536-P	33/12-1 STATFJORD	NO	77.800000	\N	3372.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2005	2005	\N	50	ED50	61	12	25.05	N	1	49	52.54	E	61.206958	1.831261	6786562.350000	437198.640000	31	33	12	B	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5074	http://www.npd.no/FactMapSearch?NPDID_wellbore=5074	sidetrack	33/12-B-13	5074	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-B-10 BY1	30/9-B-10	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2005-02-27	2005-08-27	OSEBERG	2534-P1	30/6-1 OSEBERG	NO	58.000000	\N	6936.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	YES	OIL	2005	2005	\N	50	ED50	60	29	36.36	N	2	49	42.85	E	60.493433	2.828569	6706535.940000	490580.290000	31	30	9	B	10	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5075	http://www.npd.no/FactMapSearch?NPDID_wellbore=5075	multilateral	30/9-B-10 A	5075	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-B-10 BY2	30/9-B-10	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2005-08-28	2005-11-24	OSEBERG	2534-P2	30/6-1 OSEBERG	NO	58.000000	\N	7214.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	YES	OIL	2005	2005	\N	50	ED50	60	29	36.36	N	2	49	42.85	E	60.493433	2.828569	6706535.940000	490580.290000	31	30	9	B	10	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5076	http://www.npd.no/FactMapSearch?NPDID_wellbore=5076	multilateral	30/9-B-10 BY1	5076	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-10-27	2012-10-27	2013-05-08
6507/7-A-35 C	6507/7-A-35	Statoil ASA (old)	STATOIL	095	OBSERVATION	OIL	DEVELOPMENT	2005-03-13	2005-03-21	HEIDRUN	2537-P	6507/7-2 HEIDRUN	NO	74.000000	\N	3657.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2005	2005	\N	99	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	6507	7	A	35	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5077	http://www.npd.no/FactMapSearch?NPDID_wellbore=5077	sidetrack	6507/7-A-35 B	5077	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
2/11-S-7	2/11-S-7	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2005-05-04	2005-06-12	VALHALL	2538-P	2/8-6 VALHALL	NO	59.200000	\N	6070.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2005	2005	\N	50	ED50	56	13	39.71	N	3	26	14.81	E	56.227697	3.437447	6231646.250000	527123.240000	31	2	11	S	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5078	http://www.npd.no/FactMapSearch?NPDID_wellbore=5078	initial	\N	5078	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
30/3-A-16 A	30/3-A-16	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2005-04-09	2005-05-22	VESLEFRIKK	2539-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3976.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2005	2005	\N	50	ED50	60	46	57.92	N	2	53	51.84	\N	60.782756	2.897733	6738753.680000	505569.190000	31	30	3	A	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5079	http://www.npd.no/FactMapSearch?NPDID_wellbore=5079	sidetrack	30/3-A-16	5079	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/5-I-14 BY1H	31/5-I-14	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2005-04-20	2005-05-14	TROLL	2540-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5047.000000	317.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2005	2005	\N	50	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	31	5	I	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5080	http://www.npd.no/FactMapSearch?NPDID_wellbore=5080	multilateral	31/5-I-14 AH	5080	44534	46437	9999-12-31	21476	297055	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-14 BY2H	31/5-I-14	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2005-05-15	2005-05-21	TROLL	2540-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5839.000000	317.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2005	2005	\N	50	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	31	5	I	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5081	http://www.npd.no/FactMapSearch?NPDID_wellbore=5081	multilateral	31/5-I-14 BY1H	5081	44534	46437	9999-12-31	21476	297055	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-14 BY3H	31/5-I-14	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2005-05-21	2005-05-30	TROLL	2540-P3	31/2-1 TROLL VEST	NO	35.500000	\N	5547.000000	317.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2005	2005	\N	50	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	31	5	I	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5082	http://www.npd.no/FactMapSearch?NPDID_wellbore=5082	multilateral	31/5-I-14 BY2H	5082	44534	46437	9999-12-31	21476	297055	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-14 BY4H	31/5-I-14	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2005-05-31	2005-06-09	TROLL	2540-P4	31/2-1 TROLL VEST	NO	35.500000	\N	4913.000000	317.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2005	2005	\N	50	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	31	5	I	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5083	http://www.npd.no/FactMapSearch?NPDID_wellbore=5083	multilateral	31/5-I-14 BY3H	5083	44534	46437	9999-12-31	21476	297055	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-I-14 BY5H	31/5-I-14	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2005-06-10	2005-07-09	TROLL	2540-P5	31/2-1 TROLL VEST	NO	35.500000	\N	7703.000000	317.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2005	2005	\N	50	ED50	60	44	27.56	N	3	34	53.91	E	60.740989	3.581642	6734237.590000	531715.710000	31	31	5	I	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5084	http://www.npd.no/FactMapSearch?NPDID_wellbore=5084	multilateral	31/5-I-14 BY4H	5084	44534	46437	9999-12-31	21476	297055	279113	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-9 A	34/10-C-9	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2005-05-01	2005-07-26	GULLFAKS	2541-P	34/10-1 GULLFAKS	NO	84.000000	\N	3529.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2005	2005	\N	50	ED50	61	12	53.45	N	2	16	27.61	E	61.214847	2.274336	6787096.130000	461015.830000	31	34	10	C	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5087	http://www.npd.no/FactMapSearch?NPDID_wellbore=5087	sidetrack	34/10-C-9	5087	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6406/2-S-4 H	6406/2-S-4	Statoil ASA (old)	STATOIL	199	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2005-04-06	2005-06-28	KRISTIN	2542-P	6406/2-3 KRISTIN	NO	25.000000	\N	5433.000000	364.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	KRISTIN S	14	NO	GAS/CONDENSATE	2005	2005	\N	170	ED50	64	58	39.16	N	6	26	6.05	E	64.977544	6.435014	7208587.650000	378962.080000	32	6406	2	S	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5088	http://www.npd.no/FactMapSearch?NPDID_wellbore=5088	initial	\N	5088	44840	1854729	9999-12-31	22404	294058	360444	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-M-22	2/4-M-22	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-03-29	2005-05-16	EKOFISK	2543-P	2/4-2 EKOFISK	NO	58.000000	\N	3596.000000	78.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2005	2005	\N	50	ED50	56	32	43.39	N	3	13	23.64	E	56.545386	3.223233	6266944.060000	513726.540000	31	2	4	M	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5089	http://www.npd.no/FactMapSearch?NPDID_wellbore=5089	initial	\N	5089	44072	43506	9999-12-31	20900	296002	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
25/11-G-34	25/11-G-34	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2004-08-19	2005-07-20	GRANE	2544-P	25/11-15 GRANE	NO	69.900000	\N	3893.000000	128.000000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2004	2005	\N	50	ED50	59	9	54.65	N	2	29	14.87	E	59.165181	2.487464	6558709.310000	470693.500000	31	25	11	G	34	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5090	http://www.npd.no/FactMapSearch?NPDID_wellbore=5090	initial	\N	5090	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-A-23 A	15/9-A-23	Statoil ASA (old)	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2005-04-14	2005-05-31	SLEIPNER ØST	2545-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	5600.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS	2005	2005	\N	90	ED50	58	22	2.05	N	1	54	32.06	E	58.367236	1.908906	6470262.220000	436166.450000	31	15	9	A	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5091	http://www.npd.no/FactMapSearch?NPDID_wellbore=5091	sidetrack	15/9-A-23	5091	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/11-A-15	34/11-A-15	Statoil ASA (old)	STATOIL	193	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2005-04-16	2005-07-31	KVITEBJØRN	2546-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	5568.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2005	2005	\N	170	ED50	61	4	49.27	N	2	29	58.85	E	61.080353	2.499681	6772001.330000	473007.010000	31	34	11	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5092	http://www.npd.no/FactMapSearch?NPDID_wellbore=5092	initial	\N	5092	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/7-B-4 B	2/7-B-4	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-05-13	2005-06-29	ELDFISK	2547-P	2/7-1 ELDFISK	NO	44.000000	\N	4176.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2005	2005	\N	50	ED50	56	25	8.86	N	3	13	5.95	E	56.419128	3.218319	6252889.250000	513469.030000	31	2	7	B	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5094	http://www.npd.no/FactMapSearch?NPDID_wellbore=5094	sidetrack	2/7-B-4 A	5094	44114	43527	9999-12-31	20900	271609	271609	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6407/9-F-1 H	6407/9-F-1	A/S Norske Shell	SHELL	093	OBSERVATION	\N	DEVELOPMENT	2003-06-11	2003-06-23	DRAUGEN	2548-P	6407/9-1 DRAUGEN	NO	26.000000	\N	1800.000000	244.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	\N	8	NO	NOT APPLICABLE	2003	2003	6407/9-10	99	ED50	64	22	32.00	N	7	46	9.20	E	64.375556	7.769222	7139616.700000	440609.120000	32	6407	9	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5095	http://www.npd.no/FactMapSearch?NPDID_wellbore=5095	initial	\N	5095	44888	43758	9999-12-31	21548	297649	\N	4710	SHELL NORGE	2012-08-23	2012-08-23	2013-05-08
6507/7-A-35 D	6507/7-A-35	Statoil ASA (old)	STATOIL	095	OBSERVATION	OIL	DEVELOPMENT	2005-03-22	2005-04-03	HEIDRUN	2549-P	6507/7-2 HEIDRUN	NO	74.000000	\N	3707.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2005	2005	\N	99	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	6507	7	A	35	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5096	http://www.npd.no/FactMapSearch?NPDID_wellbore=5096	sidetrack	6507/7-A-35 C	5096	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
2/4-B-21 B	2/4-B-21	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-06-05	2005-07-09	EKOFISK	2550-P	2/4-2 EKOFISK	NO	49.000000	\N	4011.000000	73.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2005	2005	\N	50	ED50	56	33	54.91	N	3	12	13.47	E	56.565253	3.203742	6269151.720000	512521.440000	31	2	4	B	21	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5097	http://www.npd.no/FactMapSearch?NPDID_wellbore=5097	sidetrack	2/4-B-21 A	5097	44072	43506	9999-12-31	20900	297838	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6608/10-E-3 CH	6608/10-E-3	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2005-04-04	2005-05-07	NORNE	2551-P	6608/10-2 NORNE	NO	24.000000	\N	4018.000000	380.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE E	10-B	NO	OIL	2005	2005	\N	50	ED50	66	2	43.50	N	8	5	57.30	E	66.045417	8.099250	7325451.140000	459189.800000	32	6608	10	E	3	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5098	http://www.npd.no/FactMapSearch?NPDID_wellbore=5098	sidetrack	6608/10-E-3 BH	5098	44942	43778	9999-12-31	21836	294382	279309	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/8-A-3 AH	34/8-A-3	Statoil ASA (old)	STATOIL	120	PRODUCTION	GAS	DEVELOPMENT	2006-02-24	2006-07-22	VISUND	2553-P	34/8-1 VISUND	NO	29.000000	\N	5433.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	GAS	2006	2006	\N	90	ED50	61	22	12.92	N	2	27	34.64	E	61.370256	2.459622	6804310.920000	471112.800000	31	34	8	A	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5100	http://www.npd.no/FactMapSearch?NPDID_wellbore=5100	sidetrack	34/8-A-3 H	5100	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-12	25/8-C-12	ExxonMobil Exploration & Production Norway AS	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2005-04-23	2005-09-09	BALDER	2554-P	25/8-11 RINGHORNE	NO	60.300000	\N	7558.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2005	2005	\N	50	ED50	59	15	57.66	N	2	26	59.39	E	59.266017	2.449831	6569955.210000	468634.310000	31	25	8	C	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5101	http://www.npd.no/FactMapSearch?NPDID_wellbore=5101	initial	\N	5101	44318	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
31/2-N-11 H	31/2-N-11	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	OIL/GAS	DEVELOPMENT	2005-07-11	2005-08-24	TROLL	2555-P	31/2-1 TROLL VEST	YES	35.500000	\N	4275.000000	341.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N1	4	NO	NOT APPLICABLE	2005	2005	\N	99	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	31	2	N	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5102	http://www.npd.no/FactMapSearch?NPDID_wellbore=5102	initial	\N	5102	44534	46437	9999-12-31	21228	297055	279729	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-11 BY1H	31/2-N-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-02-03	2006-03-15	TROLL	2556-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5670.000000	341.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N1	4	YES	OIL	2006	2006	\N	50	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	31	2	N	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5103	http://www.npd.no/FactMapSearch?NPDID_wellbore=5103	multilateral	31/2-N-11 AH	5103	44534	46437	9999-12-31	21228	297055	279729	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-11 BY2H	31/2-N-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-03-16	2006-04-06	TROLL	2556-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5414.000000	341.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N1	4	YES	OIL	2006	2006	\N	50	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	31	2	N	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5104	http://www.npd.no/FactMapSearch?NPDID_wellbore=5104	multilateral	31/2-N-11 BY1H	5104	44534	46437	9999-12-31	21228	297055	279729	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-11 BY3H	31/2-N-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-04-07	2006-04-27	TROLL	2556-P3	31/2-1 TROLL VEST	NO	35.500000	\N	4651.000000	341.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N1	4	YES	OIL	2006	2006	\N	50	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	31	2	N	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5105	http://www.npd.no/FactMapSearch?NPDID_wellbore=5105	multilateral	31/2-N-11 BY2H	5105	44534	46437	9999-12-31	21228	297055	279729	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-11 BY4H	31/2-N-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-04-28	2006-06-17	TROLL	2556-P4	31/2-1 TROLL VEST	NO	35.500000	\N	5676.000000	341.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N1	4	YES	OIL	2006	2006	\N	50	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	31	2	N	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5106	http://www.npd.no/FactMapSearch?NPDID_wellbore=5106	multilateral	31/2-N-11 BY3H	5106	44534	46437	9999-12-31	21228	297055	279729	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-11 BY5H	31/2-N-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	2556-P5	31/2-1 TROLL VEST	NO	35.500000	\N	0.000000	341.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N1	4	YES	OIL	0	0	\N	0	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	31	2	N	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5107	http://www.npd.no/FactMapSearch?NPDID_wellbore=5107	multilateral	31/2-N-11 BY4H	5107	44534	46437	9999-12-31	21228	297055	279729	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-11 BY6H	31/2-N-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	2556-P6	31/2-1 TROLL VEST	NO	35.500000	\N	0.000000	341.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N1	4	YES	OIL	0	0	\N	0	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	31	2	N	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5108	http://www.npd.no/FactMapSearch?NPDID_wellbore=5108	multilateral	31/2-N-11 BY5H	5108	44534	46437	9999-12-31	21228	297055	279729	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-B-12 B	2/4-B-12	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-04-08	2005-05-18	EKOFISK	2552-P	2/4-2 EKOFISK	NO	52.000000	\N	5074.000000	73.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2005	2005	\N	50	ED50	56	33	54.86	N	3	12	13.70	E	56.565239	3.203806	6269150.190000	512525.370000	31	2	4	B	12	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5109	http://www.npd.no/FactMapSearch?NPDID_wellbore=5109	sidetrack	2/4-B-12 A	5109	44072	43506	9999-12-31	20900	297838	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6507/7-A-35 E	6507/7-A-35	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2005-04-04	2005-04-20	HEIDRUN	2557-P	6507/7-2 HEIDRUN	NO	74.000000	\N	3960.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2005	2005	\N	50	ED50	65	19	32.61	N	7	19	3.11	E	65.325725	7.317531	7245984.390000	421631.090000	32	6507	7	A	35	E	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5110	http://www.npd.no/FactMapSearch?NPDID_wellbore=5110	sidetrack	6507/7-A-35 D	5110	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6407/7-A-9 AH	6407/7-A-9	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	2005-05-14	2005-06-06	NJORD	2558-P	6407/7-1 S NJORD	NO	30.000000	\N	4726.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2005	2005	\N	50	ED50	64	16	15.43	N	7	12	9.45	E	64.270953	7.202625	7128614.540000	412943.250000	32	6407	7	A	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5111	http://www.npd.no/FactMapSearch?NPDID_wellbore=5111	sidetrack	6407/7-A-9 H	5111	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-D-7	2/7-D-7	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-07-01	2005-11-26	EMBLA	2559-P	2/7-20 EMBLA	NO	51.800000	\N	5982.000000	71.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EMBLA	1-A	NO	OIL	2005	2005	\N	50	ED50	56	19	59.76	N	3	14	53.84	E	56.333267	3.248289	6243338.470000	515352.450000	31	2	7	D	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5112	http://www.npd.no/FactMapSearch?NPDID_wellbore=5112	initial	\N	5112	44132	43534	9999-12-31	20900	296002	277377	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-26	2013-01-26	2013-05-08
6507/7-A-27	6507/7-A-27	Statoil ASA (old)	STATOIL	095	INJECTION	WATER	DEVELOPMENT	2005-05-18	2005-07-20	HEIDRUN	2560-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3440.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER	2005	2005	\N	173	ED50	65	19	32.70	N	7	19	3.05	E	65.325750	7.317514	7245987.200000	421630.390000	32	6507	7	A	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5113	http://www.npd.no/FactMapSearch?NPDID_wellbore=5113	initial	\N	5113	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-M-24	2/4-M-24	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-05-16	2005-06-16	EKOFISK	2561-P	2/4-2 EKOFISK	NO	58.000000	\N	4038.000000	78.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2005	2005	\N	50	ED50	56	32	43.48	N	3	13	23.91	E	56.545411	3.223308	6266946.860000	513731.140000	31	2	4	M	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5114	http://www.npd.no/FactMapSearch?NPDID_wellbore=5114	initial	\N	5114	44072	43506	9999-12-31	20900	296002	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
7121/4-E-2 H	7121/4-E-2	Statoil ASA (old)	STATOIL	099	PRODUCTION	GAS	DEVELOPMENT	2005-07-08	2005-08-21	SNØHVIT	2563-P	7121/4-1 SNØHVIT	NO	23.000000	\N	2830.000000	334.000000	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	SNØHVIT E	8	NO	GAS	2005	2005	\N	90	ED50	71	35	41.31	N	21	11	2.21	E	71.594808	21.183947	7943962.920000	506482.580000	34	7121	4	E	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5115	http://www.npd.no/FactMapSearch?NPDID_wellbore=5115	initial	\N	5115	45038	2053062	9999-12-31	21596	289333	364315	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7121/4-E-3 H	7121/4-E-3	Statoil ASA (old)	STATOIL	099	PRODUCTION	GAS	DEVELOPMENT	2005-06-23	2005-08-09	SNØHVIT	2564-P	7121/4-1 SNØHVIT	NO	23.000000	\N	2708.000000	334.000000	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	SNØHVIT E	8	NO	GAS	2005	2005	\N	90	ED50	71	35	41.41	N	21	11	2.71	E	71.594836	21.184086	7943966.040000	506487.470000	34	7121	4	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5116	http://www.npd.no/FactMapSearch?NPDID_wellbore=5116	initial	\N	5116	45038	2053062	9999-12-31	21596	289333	364315	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7121/4-E-4 H	7121/4-E-4	Statoil ASA (old)	STATOIL	099	PRODUCTION	GAS	DEVELOPMENT	2005-06-01	2005-08-13	SNØHVIT	2565-P	7121/4-1 SNØHVIT	NO	23.000000	\N	2518.000000	334.000000	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	SNØHVIT E	8	NO	GAS	2005	2005	\N	90	ED50	71	35	41.14	N	21	11	3.23	E	71.594761	21.184231	7943957.690000	506492.590000	34	7121	4	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5117	http://www.npd.no/FactMapSearch?NPDID_wellbore=5117	initial	\N	5117	45038	2053062	9999-12-31	21596	289333	364315	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7/12-A-5 B	7/12-A-5	BP Norge AS	BP	019	PRODUCTION	OIL	DEVELOPMENT	2005-05-17	2005-08-10	ULA	2566-P	7/12-2 ULA	NO	57.000000	\N	5391.000000	69.500000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	2005	2005	\N	50	ED50	57	6	41.14	N	2	50	50.96	E	57.111428	2.847489	6329942.010000	490762.530000	31	7	12	A	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5118	http://www.npd.no/FactMapSearch?NPDID_wellbore=5118	sidetrack	7/12-A-5 A	5118	44972	43800	9999-12-31	20916	271889	272029	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
15/12-A-3	15/12-A-3	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2005-05-14	2005-06-22	VARG	2567-P	15/12-4 VARG	NO	51.500000	\N	3512.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2005	2005	\N	50	ED50	58	4	40.59	N	1	53	25.72	E	58.077942	1.890478	6438072.010000	434558.140000	31	15	12	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5119	http://www.npd.no/FactMapSearch?NPDID_wellbore=5119	initial	\N	5119	43868	43451	9999-12-31	21092	278245	279505	0	TALISMAN ENERGY	2012-08-24	2012-08-24	2013-05-08
30/6-C-10 D	30/6-C-10	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2005-08-10	2005-11-06	OSEBERG	2568-P	30/6-1 OSEBERG	NO	62.300000	\N	4485.000000	108.600000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	2005	2005	\N	50	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	30	6	C	10	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5120	http://www.npd.no/FactMapSearch?NPDID_wellbore=5120	sidetrack	30/6-C-10 C	5120	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-10-25	2012-10-25	2013-05-08
30/9-F-29 Y1	30/9-F-29	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2005-07-10	2005-10-13	OSEBERG SØR	2569-P1	30/9-10 OSEBERG SØR	NO	67.000000	\N	6150.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	YES	OIL	2005	2005	\N	50	ED50	60	23	24.40	N	2	47	49.34	E	60.390111	2.797039	6695032.880000	488812.300000	31	30	9	F	29	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5121	http://www.npd.no/FactMapSearch?NPDID_wellbore=5121	multilateral	\N	5121	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-F-29 Y2	30/9-F-29	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2005-10-15	2005-12-12	OSEBERG SØR	2569-P2	30/9-10 OSEBERG SØR	NO	67.000000	\N	5582.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	YES	OIL	2005	2005	\N	50	ED50	60	23	24.40	N	2	47	49.34	E	60.390111	2.797039	6695032.880000	488812.300000	31	30	9	F	29	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5122	http://www.npd.no/FactMapSearch?NPDID_wellbore=5122	multilateral	30/9-F-29 Y1	5122	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-A-6 AH	34/8-A-6	Statoil ASA (old)	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2005-05-14	2005-07-08	VISUND	2570-P	34/8-1 VISUND	NO	29.000000	\N	9082.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2005	2005	\N	50	ED50	61	22	13.18	N	2	27	33.30	E	61.370328	2.459250	6804319.130000	471092.970000	31	34	8	A	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5123	http://www.npd.no/FactMapSearch?NPDID_wellbore=5123	sidetrack	34/8-A-6 H	5123	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6506/11-P-1 H	6506/11-P-1	Statoil ASA (old)	STATOIL	134 B	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2005-05-31	2005-08-20	KRISTIN	2571-P	6406/2-3 KRISTIN	NO	18.000000	\N	6586.000000	370.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	KRISTIN P	Awarded additionaly to round 11-A	NO	GAS/CONDENSATE	2005	2005	\N	170	ED50	65	0	52.55	N	6	26	17.85	E	65.014597	6.438292	7212708.370000	379284.020000	32	6506	11	P	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5124	http://www.npd.no/FactMapSearch?NPDID_wellbore=5124	initial	\N	5124	44840	1854729	9999-12-31	1025257	297514	360577	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-K-15 A	2/4-K-15	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2008-01-11	2009-08-20	EKOFISK	2572-P	2/4-2 EKOFISK	NO	55.000000	\N	4768.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2008	2009	\N	173	ED50	56	33	56.02	N	3	12	22.75	E	56.565561	3.206319	6269186.520000	512679.760000	31	2	4	K	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5125	http://www.npd.no/FactMapSearch?NPDID_wellbore=5125	sidetrack	2/4-K-15	5125	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-K-27 A	2/4-K-27	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2008-04-30	2008-07-03	EKOFISK	2573-P	2/4-2 EKOFISK	NO	57.000000	\N	5184.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2008	2008	\N	173	ED50	56	33	56.03	N	3	12	22.36	E	56.565564	3.206211	6269186.810000	512673.100000	31	2	4	K	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5126	http://www.npd.no/FactMapSearch?NPDID_wellbore=5126	sidetrack	2/4-K-27	5126	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
33/9-A-40 C	33/9-A-40	Statoil ASA (old)	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	2005-06-24	2005-11-03	STATFJORD	2575-P	33/12-1 STATFJORD	NO	64.400000	\N	5802.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2005	2005	\N	71	ED50	61	15	19.72	N	1	51	13.87	E	61.255478	1.853853	6791945.020000	438507.270000	31	33	9	A	40	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5127	http://www.npd.no/FactMapSearch?NPDID_wellbore=5127	sidetrack	33/9-A-40 B	5127	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
2/8-G-18	2/8-G-18	BP Norge AS	BP	006 B	INJECTION	WATER	DEVELOPMENT	2005-07-25	2005-12-31	VALHALL	2576-P	2/8-6 VALHALL	NO	65.300000	\N	3538.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	WATER	2005	2005	\N	173	ED50	56	16	35.60	N	3	23	46.85	E	56.276556	3.396347	6237069.030000	524543.630000	31	2	8	G	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5128	http://www.npd.no/FactMapSearch?NPDID_wellbore=5128	initial	\N	5128	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-K-26 A	2/4-K-26	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2006-03-16	2006-09-05	EKOFISK	2574-P	2/4-2 EKOFISK	NO	57.000000	\N	3901.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2006	2006	\N	173	ED50	56	33	56.07	N	3	12	22.53	E	56.565575	3.206258	6269188.050000	512676.000000	31	2	4	K	26	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5129	http://www.npd.no/FactMapSearch?NPDID_wellbore=5129	sidetrack	2/4-K-26	5129	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
31/3-S-21 H	31/3-S-21	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2005-06-05	2005-07-20	TROLL	2577-P	31/2-1 TROLL VEST	NO	25.000000	\N	2458.000000	341.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	NO	NOT APPLICABLE	2005	2005	\N	99	ED50	60	53	34.64	N	3	40	18.45	E	60.892956	3.671792	6751210.900000	536458.010000	31	31	3	S	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5130	http://www.npd.no/FactMapSearch?NPDID_wellbore=5130	initial	\N	5130	44534	46437	9999-12-31	21476	296164	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-A-19 A	15/9-A-19	Statoil ASA (old)	STATOIL	046	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2005-06-14	2005-10-13	GUNGNE	2578-P	15/9-15 GUNGNE	NO	78.000000	\N	7209.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS/CONDENSATE	2005	2005	\N	170	ED50	58	22	2.09	N	1	54	31.93	E	58.367247	1.908869	6470263.490000	436164.360000	31	15	9	A	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5131	http://www.npd.no/FactMapSearch?NPDID_wellbore=5131	sidetrack	15/9-A-19	5131	43922	43464	9999-12-31	21156	272365	272365	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/3-S-21 AH	31/3-S-21	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2005-09-03	2005-11-04	TROLL	2579-P	31/2-1 TROLL VEST	NO	25.000000	\N	5560.000000	341.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	NO	NOT APPLICABLE	2005	2005	\N	99	ED50	60	53	34.64	N	3	40	18.45	E	60.892956	3.671792	6751210.900000	536458.010000	31	31	3	S	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5132	http://www.npd.no/FactMapSearch?NPDID_wellbore=5132	sidetrack	31/3-S-21 H	5132	44534	46437	9999-12-31	21476	296164	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6608/10-D-3 BY2H	6608/10-D-3	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2005-08-12	2005-09-25	NORNE	2580-P2	6608/10-2 NORNE	NO	24.000000	\N	5400.000000	381.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE D	10-B	YES	OIL	2005	2005	\N	50	ED50	66	0	49.47	N	8	3	27.73	E	66.013742	8.057703	7321948.370000	457254.480000	32	6608	10	D	3	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5136	http://www.npd.no/FactMapSearch?NPDID_wellbore=5136	multilateral	6608/10-D-3 BY1H	5136	44942	43778	9999-12-31	21836	297649	279281	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6608/10-D-3 BY1H	6608/10-D-3	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2005-07-06	2005-10-07	NORNE	2580-P1	6608/10-2 NORNE	NO	24.000000	\N	5400.000000	381.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE D	10-B	YES	OIL	2005	2005	\N	50	ED50	66	0	49.47	N	8	3	27.73	E	66.013742	8.057703	7321948.370000	457254.480000	32	6608	10	D	3	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5137	http://www.npd.no/FactMapSearch?NPDID_wellbore=5137	multilateral	6608/10-D-3 AH	5137	44942	43778	9999-12-31	21836	297649	279281	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-J-13 H	30/9-J-13	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2005-06-09	2005-07-15	OSEBERG SØR	2581-P	30/9-10 OSEBERG SØR	NO	31.000000	\N	2842.000000	102.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	OSEBERG SØR J	9	NO	NOT APPLICABLE	2005	2005	\N	99	ED50	60	21	16.36	N	2	54	0.25	E	60.354544	2.900069	6691058.450000	494485.580000	31	30	9	J	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5138	http://www.npd.no/FactMapSearch?NPDID_wellbore=5138	initial	\N	5138	44468	43645	9999-12-31	21636	290170	281745	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-J-13 AH	30/9-J-13	StatoilHydro Petroleum AS	STATOIL	104	PRODUCTION	\N	DEVELOPMENT	2009-04-20	2009-05-20	OSEBERG SØR	2582-P	30/9-10 OSEBERG SØR	NO	31.000000	\N	4376.000000	102.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	OSEBERG SØR J	9	NO	OIL	2009	2009	\N	71	ED50	60	21	16.36	N	2	54	0.25	E	60.354544	2.900069	6691058.450000	494485.580000	31	30	9	J	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5139	http://www.npd.no/FactMapSearch?NPDID_wellbore=5139	sidetrack	30/9-J-13 H	5139	44468	43645	9999-12-31	21636	290170	281745	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
15/12-A-7	15/12-A-7	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2005-06-23	2005-07-28	VARG	2583-P	15/12-4 VARG	NO	51.500000	\N	3157.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2005	2005	\N	50	ED50	58	4	40.53	N	1	53	25.77	E	58.077925	1.890492	6438070.140000	434558.930000	31	15	12	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5141	http://www.npd.no/FactMapSearch?NPDID_wellbore=5141	initial	\N	5141	43868	43451	9999-12-31	21092	278245	279505	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
2/1-A-7 A	2/1-A-7	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2005-08-05	2005-10-19	GYDA	2584-P	2/1-3 GYDA	NO	56.000000	\N	5163.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2005	2005	\N	50	ED50	56	54	17.61	N	3	5	6.71	E	56.904892	3.085197	6306943.320000	505189.000000	31	2	1	A	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5144	http://www.npd.no/FactMapSearch?NPDID_wellbore=5144	sidetrack	2/1-A-7	5144	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
2/4-B-13 A	2/4-B-13	ConocoPhillips Skandinavia AS	CONPHIL	018	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2005-07-31	2005-08-25	EKOFISK	2585-P	2/4-2 EKOFISK	NO	49.000000	\N	3655.000000	73.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	NOT APPLICABLE	2005	2005	\N	99	ED50	56	33	54.79	N	3	12	13.50	E	56.565219	3.203750	6269148.010000	512521.970000	31	2	4	B	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5145	http://www.npd.no/FactMapSearch?NPDID_wellbore=5145	sidetrack	2/4-B-13	5145	44072	43506	9999-12-31	20900	297838	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-B-13 B	2/4-B-13	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-08-26	2005-09-18	EKOFISK	2586-P	2/4-2 EKOFISK	NO	49.000000	\N	3600.000000	73.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2005	2005	\N	50	ED50	56	33	54.79	N	3	12	13.50	E	56.565219	3.203750	6269148.010000	512521.970000	31	2	4	B	13	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5146	http://www.npd.no/FactMapSearch?NPDID_wellbore=5146	sidetrack	2/4-B-13 A	5146	44072	43506	9999-12-31	20900	297838	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-X-28	2/4-X-28	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-07-22	2005-08-23	EKOFISK	2587-P	2/4-2 EKOFISK	NO	57.000000	\N	4877.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2005	2005	\N	50	ED50	56	32	51.51	N	3	13	8.23	E	56.547642	3.218953	6267194.280000	513462.530000	31	2	4	X	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5147	http://www.npd.no/FactMapSearch?NPDID_wellbore=5147	initial	\N	5147	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/11-S-5	2/11-S-5	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2005-06-21	2005-08-15	VALHALL	2588-P	2/8-6 VALHALL	NO	59.200000	\N	5580.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2005	2005	\N	50	ED50	56	13	39.61	N	3	26	14.62	E	56.227669	3.437394	6231643.140000	527119.980000	31	2	11	S	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5148	http://www.npd.no/FactMapSearch?NPDID_wellbore=5148	initial	\N	5148	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-G-3 Y2H	34/10-G-3	Statoil ASA (old)	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	2005-07-24	2005-08-18	GULLFAKS SØR	1924-P2	34/10-2 GULLFAKS SØR	NO	31.000000	\N	5204.000000	134.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	GULLFAKS SØR G	Awarded additionaly to round 3	YES	OIL	2005	2005	\N	71	ED50	61	5	50.20	N	2	16	36.25	E	61.097278	2.276736	6773998.960000	460999.950000	31	34	10	G	3	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5149	http://www.npd.no/FactMapSearch?NPDID_wellbore=5149	multilateral	34/10-G-3 H	5149	44606	43699	9999-12-31	21188	297784	279673	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
34/10-G-3 Y3H	34/10-G-3	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2005-08-19	2006-02-06	GULLFAKS SØR	1924-P3	34/10-2 GULLFAKS SØR	NO	31.000000	\N	5555.000000	134.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	GULLFAKS SØR G	Awarded additionaly to round 3	YES	OIL	2005	2006	\N	50	ED50	61	5	50.20	N	2	16	36.25	E	61.097278	2.276736	6773998.960000	460999.950000	31	34	10	G	3	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5150	http://www.npd.no/FactMapSearch?NPDID_wellbore=5150	multilateral	34/10-G-3 Y2H	5150	44606	43699	9999-12-31	21188	297784	279673	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7/12-A-2 B	7/12-A-2	BP Norge AS	BP	019	PRODUCTION	OIL	DEVELOPMENT	2005-10-03	2005-12-14	ULA	2589-P	7/12-2 ULA	NO	57.000000	\N	5374.000000	69.500000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	2005	2005	\N	50	ED50	57	6	41.40	N	2	50	50.73	E	57.111500	2.847425	6329950.060000	490758.680000	31	7	12	A	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5156	http://www.npd.no/FactMapSearch?NPDID_wellbore=5156	sidetrack	7/12-A-2 A	5156	44972	43800	9999-12-31	20916	271889	272029	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
31/3-S-21 BY1H	31/3-S-21	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2005-11-07	2005-11-25	TROLL	2590-P1	31/2-1 TROLL VEST	NO	25.000000	\N	7210.000000	341.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	YES	OIL	2005	2005	\N	50	ED50	60	53	34.64	N	3	40	18.45	E	60.892956	3.671792	6751210.900000	536458.010000	31	31	3	S	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5157	http://www.npd.no/FactMapSearch?NPDID_wellbore=5157	multilateral	31/3-S-21 AH	5157	44534	46437	9999-12-31	21476	296164	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/3-S-21 BY2H	31/3-S-21	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2005-11-26	2005-12-28	TROLL	2590-P2	31/2-1 TROLL VEST	NO	25.000000	\N	6304.000000	341.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	YES	OIL	2005	2005	\N	50	ED50	60	53	34.64	N	3	40	18.45	E	60.892956	3.671792	6751210.900000	536458.010000	31	31	3	S	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5158	http://www.npd.no/FactMapSearch?NPDID_wellbore=5158	multilateral	31/3-S-21 BY1H	5158	44534	46437	9999-12-31	21476	296164	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/3-S-21 BY3H	31/3-S-21	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2006-01-01	2006-02-05	TROLL	2590-P3	31/2-1 TROLL VEST	NO	25.000000	\N	6419.000000	341.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	YES	OIL	2006	2006	\N	50	ED50	60	53	34.64	N	3	40	18.45	E	60.892956	3.671792	6751210.900000	536458.010000	31	31	3	S	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5159	http://www.npd.no/FactMapSearch?NPDID_wellbore=5159	multilateral	31/3-S-21 BY2H	5159	44534	46437	9999-12-31	21476	296164	280737	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-P-29 A	34/7-P-29	Statoil ASA (old)	STATOIL	089	INJECTION	WATER/GAS	DEVELOPMENT	2008-02-07	2008-05-18	SNORRE	2591-P	34/4-1 SNORRE	NO	59.400000	\N	4572.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER/GAS	2008	2008	\N	0	ED50	61	26	57.99	N	2	8	37.07	E	61.449442	2.143631	6813312.150000	454337.030000	31	34	7	P	29	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5161	http://www.npd.no/FactMapSearch?NPDID_wellbore=5161	sidetrack	34/7-P-29	5161	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-L-23 Y2H	31/2-L-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2005-09-22	2005-10-04	TROLL	2486-P2	31/2-1 TROLL VEST	NO	25.000000	\N	6161.000000	329.500000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2005	2005	\N	50	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	31	2	L	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5165	http://www.npd.no/FactMapSearch?NPDID_wellbore=5165	multilateral	31/2-L-23 Y1H	5165	44534	46437	9999-12-31	21228	290980	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-23 Y3H	31/2-L-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2005-10-05	2005-10-15	TROLL	2486-P3	31/2-1 TROLL VEST	NO	25.000000	\N	5139.000000	329.500000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2005	2005	\N	50	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	31	2	L	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5166	http://www.npd.no/FactMapSearch?NPDID_wellbore=5166	multilateral	31/2-L-23 Y2H	5166	44534	46437	9999-12-31	21228	290980	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-23 Y4H	31/2-L-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2005-10-16	2005-10-22	TROLL	2486-P4	31/2-1 TROLL VEST	NO	25.000000	\N	5185.000000	329.500000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2005	2005	\N	50	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	31	2	L	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5167	http://www.npd.no/FactMapSearch?NPDID_wellbore=5167	multilateral	31/2-L-23 Y3H	5167	44534	46437	9999-12-31	21228	290980	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-23 Y5H	31/2-L-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2005-10-23	2005-11-03	TROLL	2486-P5	31/2-1 TROLL VEST	NO	25.000000	\N	5873.000000	329.500000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2005	2005	\N	50	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	31	2	L	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5168	http://www.npd.no/FactMapSearch?NPDID_wellbore=5168	multilateral	31/2-L-23 Y4H	5168	44534	46437	9999-12-31	21228	290980	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-23 Y6H	31/2-L-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2005-11-04	2005-12-06	TROLL	2486-P6	31/2-1 TROLL VEST	NO	25.000000	\N	5914.000000	329.500000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2005	2005	\N	50	ED50	60	48	31.46	N	3	33	21.68	E	60.808739	3.556022	6741771.680000	530254.840000	31	31	2	L	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5169	http://www.npd.no/FactMapSearch?NPDID_wellbore=5169	multilateral	31/2-L-23 Y5H	5169	44534	46437	9999-12-31	21228	290980	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/4-K-1 H	34/4-K-1	Statoil ASA (old)	STATOIL	057	INJECTION	WATER/GAS	DEVELOPMENT	2005-09-14	2006-03-16	SNORRE	2592-P	34/4-1 SNORRE	NO	37.000000	\N	6000.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-K H	4	NO	WATER/GAS	2005	2006	\N	0	ED50	61	31	31.47	N	2	12	43.81	E	61.525408	2.212169	6821728.150000	458093.750000	31	34	4	K	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5170	http://www.npd.no/FactMapSearch?NPDID_wellbore=5170	initial	\N	5170	44654	43718	9999-12-31	21252	280485	284265	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/11-A-10	34/11-A-10	Statoil ASA (old)	STATOIL	193	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2005-07-31	2005-10-06	KVITEBJØRN	2593-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	5125.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2005	2005	\N	170	ED50	61	4	49.00	N	2	29	59.19	E	61.080278	2.499775	6771992.940000	473012.040000	31	34	11	A	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5171	http://www.npd.no/FactMapSearch?NPDID_wellbore=5171	initial	\N	5171	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6608/10-E-2 AH	6608/10-E-2	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2005-07-28	2005-08-15	NORNE	2594-P	6608/10-2 NORNE	NO	24.000000	\N	3775.000000	380.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE E	10-B	NO	OIL	2005	2005	\N	50	ED50	66	2	43.19	N	8	5	58.10	E	66.045331	8.099472	7325441.400000	459199.730000	32	6608	10	E	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5172	http://www.npd.no/FactMapSearch?NPDID_wellbore=5172	sidetrack	6608/10-E-2 H	5172	44942	43778	9999-12-31	21836	294382	279309	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/5-H-2 AH	31/5-H-2	Norsk Hydro Produksjon AS	HYDRO	085	OBSERVATION	\N	DEVELOPMENT	2005-10-07	2005-10-16	TROLL	2595-P	31/2-1 TROLL VEST	NO	35.500000	\N	3500.000000	318.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	NOT APPLICABLE	2005	2005	\N	99	ED50	60	43	49.05	N	3	30	47.63	E	60.730292	3.513231	6733015.010000	527994.760000	31	31	5	H	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5176	http://www.npd.no/FactMapSearch?NPDID_wellbore=5176	sidetrack	31/5-H-2 H	5176	44534	46437	9999-12-31	21476	297055	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-H-2 BY1H	31/5-H-2	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2005-10-17	2005-10-28	TROLL	2596-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5277.000000	318.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	YES	OIL	2005	2005	\N	50	ED50	60	43	49.05	N	3	30	47.63	E	60.730292	3.513231	6733015.010000	527994.760000	31	31	5	H	2	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5177	http://www.npd.no/FactMapSearch?NPDID_wellbore=5177	multilateral	31/5-H-2 AH	5177	44534	46437	9999-12-31	21476	297055	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-H-2 BY2H	31/5-H-2	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2005-10-29	2005-11-04	TROLL	2596-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5188.000000	318.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	YES	OIL	2005	2005	\N	50	ED50	60	43	49.05	N	3	30	47.63	E	60.730292	3.513231	6733015.010000	527994.760000	31	31	5	H	2	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5178	http://www.npd.no/FactMapSearch?NPDID_wellbore=5178	multilateral	31/5-H-2 BY1H	5178	44534	46437	9999-12-31	21476	297055	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-H-2 BY3H	31/5-H-2	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2005-11-05	2005-11-27	TROLL	2596-P3	31/2-1 TROLL VEST	NO	35.500000	\N	5793.000000	318.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	YES	OIL	2005	2005	\N	50	ED50	60	43	49.05	N	3	30	47.63	E	60.730292	3.513231	6733015.010000	527994.760000	31	31	5	H	2	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5179	http://www.npd.no/FactMapSearch?NPDID_wellbore=5179	multilateral	31/5-H-2 BY2H	5179	44534	46437	9999-12-31	21476	297055	278301	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-B-4 A	2/4-B-4	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2005-09-29	2005-11-11	EKOFISK	2597-P	2/4-2 EKOFISK	NO	49.000000	\N	3429.000000	73.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2005	2005	\N	50	ED50	56	33	54.76	N	3	12	13.77	E	56.565211	3.203825	6269147.100000	512526.580000	31	2	4	B	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5180	http://www.npd.no/FactMapSearch?NPDID_wellbore=5180	sidetrack	2/4-B-4	5180	44072	43506	9999-12-31	20900	297838	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6506/12-Q-3 H	6506/12-Q-3	Statoil ASA (old)	STATOIL	094	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2005-08-26	2005-10-16	ÅSGARD	2598-P	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	5102.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Q	8	NO	NOT APPLICABLE	2005	2005	\N	99	ED50	65	2	25.78	N	6	56	27.04	E	65.040494	6.940844	7214727.710000	403052.610000	32	6506	12	Q	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5181	http://www.npd.no/FactMapSearch?NPDID_wellbore=5181	initial	\N	5181	45846	43765	9999-12-31	21556	296245	363659	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6506/12-Q-3 AH	6506/12-Q-3	Statoil ASA (old)	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2005-10-17	2005-12-24	ÅSGARD	2599-P	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	6363.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Q	8	NO	OIL	2005	2005	\N	50	ED50	65	2	25.78	N	6	56	27.04	E	65.040494	6.940844	7214727.710000	403052.610000	32	6506	12	Q	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5182	http://www.npd.no/FactMapSearch?NPDID_wellbore=5182	sidetrack	6506/12-Q-3 H	5182	45846	43765	9999-12-31	21556	296245	363659	0	STATOIL ASA (OLD)	2012-11-20	2012-11-20	2013-05-08
25/8-C-18 B	25/8-C-18	ExxonMobil Exploration & Production Norway AS	ESSO	027	INJECTION	WATER	DEVELOPMENT	2005-09-22	2005-10-18	BALDER	2600-P	25/8-11 RINGHORNE	NO	60.300000	\N	6061.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	WATER	2005	2005	\N	173	ED50	59	15	57.96	N	2	26	59.15	E	59.266100	2.449764	6569964.520000	468630.590000	31	25	8	C	18	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5184	http://www.npd.no/FactMapSearch?NPDID_wellbore=5184	sidetrack	25/8-C-18 A	5184	44318	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
25/11-G-8	25/11-G-8	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2005-09-10	2005-11-27	GRANE	2601-P	25/11-15 GRANE	NO	69.900000	\N	5259.000000	128.000000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2005	2005	\N	50	ED50	59	9	55.18	N	2	29	14.35	E	59.165328	2.487319	6558725.770000	470685.360000	31	25	11	G	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5185	http://www.npd.no/FactMapSearch?NPDID_wellbore=5185	initial	\N	5185	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/11-S-2	2/11-S-2	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2005-09-29	2005-11-03	VALHALL	2602-P	2/8-6 VALHALL	NO	59.200000	\N	7301.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2005	2005	\N	50	ED50	56	13	39.71	N	3	26	14.62	E	56.227697	3.437394	6231646.230000	527119.960000	31	2	11	S	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5186	http://www.npd.no/FactMapSearch?NPDID_wellbore=5186	initial	\N	5186	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
30/6-C-8 A	30/6-C-8	Norsk Hydro Produksjon AS	HYDRO	053	OBSERVATION	\N	DEVELOPMENT	2006-02-01	2006-03-26	OSEBERG	2603-P	30/6-1 OSEBERG	NO	62.000000	\N	3920.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	2006	2006	\N	99	ED50	60	36	29.43	N	2	46	33.76	E	60.608175	2.776044	6719324.700000	487737.660000	31	30	6	C	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5187	http://www.npd.no/FactMapSearch?NPDID_wellbore=5187	sidetrack	30/6-C-8	5187	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
30/6-C-8 B	30/6-C-8	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	\N	DEVELOPMENT	2006-03-27	2006-04-11	OSEBERG	2604-P	30/6-1 OSEBERG	NO	62.000000	\N	3796.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	2006	2006	\N	71	ED50	60	36	29.43	N	2	46	33.76	E	60.608175	2.776044	6719324.700000	487737.660000	31	30	6	C	8	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5188	http://www.npd.no/FactMapSearch?NPDID_wellbore=5188	sidetrack	30/6-C-8 A	5188	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
30/6-C-8 C	30/6-C-8	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2006-04-12	2006-10-13	OSEBERG	2605-P	30/6-1 OSEBERG	NO	62.000000	\N	5767.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	2006	2006	\N	50	ED50	60	36	29.43	N	2	46	33.76	E	60.608175	2.776044	6719324.700000	487737.660000	31	30	6	C	8	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5189	http://www.npd.no/FactMapSearch?NPDID_wellbore=5189	sidetrack	30/6-C-8 B	5189	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-G-24	2/8-G-24	BP Norge AS	BP	006 B	INJECTION	WATER	DEVELOPMENT	2006-01-13	2006-03-10	VALHALL	2606-P	2/8-6 VALHALL	NO	65.300000	\N	4134.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	WATER	2006	2006	\N	173	ED50	56	16	35.67	N	3	23	47.12	E	56.276575	3.396422	6237071.220000	524548.260000	31	2	8	G	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5190	http://www.npd.no/FactMapSearch?NPDID_wellbore=5190	initial	\N	5190	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6407/7-A-15 BH	6407/7-A-15	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	OIL	DEVELOPMENT	2005-10-15	2005-12-14	NJORD	2607-P	6407/7-1 S NJORD	NO	30.000000	\N	3633.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2005	2005	\N	50	ED50	64	16	16.54	N	7	12	5.61	E	64.271261	7.201558	7128650.350000	412892.570000	32	6407	7	A	15	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5191	http://www.npd.no/FactMapSearch?NPDID_wellbore=5191	sidetrack	6407/7-A-15 AH	5191	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-B-22 B	33/12-B-22	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2005-11-11	2006-01-27	STATFJORD	2608-P	33/12-1 STATFJORD	NO	77.800000	\N	4854.000000	145.000000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2005	2006	\N	50	ED50	61	12	24.14	N	1	49	51.06	E	61.206706	1.830850	6786534.590000	437176.050000	31	33	12	B	22	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5193	http://www.npd.no/FactMapSearch?NPDID_wellbore=5193	sidetrack	33/12-B-22 A	5193	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-C-29 A	33/9-C-29	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2005-09-21	2005-11-19	STATFJORD	2609-P	33/12-1 STATFJORD	NO	78.400000	\N	3517.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2005	2005	\N	50	ED50	61	17	46.83	N	1	54	10.41	E	61.296342	1.902892	6796451.400000	441214.550000	31	33	9	C	29	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5194	http://www.npd.no/FactMapSearch?NPDID_wellbore=5194	sidetrack	33/9-C-29	5194	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-29 AY2	6507/7-A-29	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2005-11-01	2005-12-01	HEIDRUN	2375-P2	6507/7-2 HEIDRUN	NO	74.200000	\N	4886.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	YES	OIL	2005	2005	\N	50	ED50	65	19	32.77	N	7	19	3.64	E	65.325769	7.317678	7245989.160000	421638.080000	32	6507	7	A	29	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5195	http://www.npd.no/FactMapSearch?NPDID_wellbore=5195	multilateral	6507/7-A-29 AY1	5195	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6305/8-A-2 H	6305/8-A-2	A/S Norske Shell	SHELL	250	OBSERVATION	GAS	DEVELOPMENT	2006-02-04	2006-03-11	ORMEN LANGE	2610-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	2995.000000	850.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE A	Awarded additionaly to round 15	NO	GAS	2006	2006	\N	99	ED50	63	29	48.14	N	5	23	11.78	E	63.496706	5.386606	7043320.240000	618814.490000	31	6305	8	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5196	http://www.npd.no/FactMapSearch?NPDID_wellbore=5196	initial	\N	5196	44822	2762452	9999-12-31	115537	297082	371178	0	SHELL NORGE	2013-01-29	2013-01-29	2013-05-08
6305/8-A-2 AH	6305/8-A-2	A/S Norske Shell	SHELL	250	PRODUCTION	GAS	DEVELOPMENT	2006-03-12	2006-03-25	ORMEN LANGE	2611-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	2938.000000	850.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE A	Awarded additionaly to round 15	NO	GAS	2006	2006	\N	90	ED50	63	29	48.14	N	5	23	11.78	E	63.496706	5.386606	7043320.240000	618814.490000	31	6305	8	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5197	http://www.npd.no/FactMapSearch?NPDID_wellbore=5197	sidetrack	6305/8-A-2 H	5197	44822	2762452	9999-12-31	115537	297082	371178	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/7-A-30 A	2/7-A-30	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	1983-05-20	1992-07-22	ELDFISK	2612-P	2/7-1 ELDFISK	NO	43.000000	\N	3653.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	1983	1992	\N	50	ED50	56	22	36.32	N	3	15	56.39	E	56.376756	3.265664	6248183.130000	516408.110000	31	2	7	A	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5198	http://www.npd.no/FactMapSearch?NPDID_wellbore=5198	sidetrack	2/7-A-30	5198	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
15/12-A-5 A	15/12-A-5	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2005-09-25	2005-10-10	VARG	2613-P	15/12-4 VARG	NO	51.500000	\N	3701.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2005	2005	\N	50	ED50	58	4	40.48	N	1	53	25.60	E	58.077911	1.890444	6438068.640000	434556.120000	31	15	12	A	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5199	http://www.npd.no/FactMapSearch?NPDID_wellbore=5199	sidetrack	15/12-A-5	5199	43868	43451	9999-12-31	21092	278245	279505	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
2/4-X-4 B	2/4-X-4	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-07-03	2006-09-03	EKOFISK	2614-P	2/4-2 EKOFISK	NO	57.000000	\N	3723.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2006	2006	\N	50	ED50	56	32	50.89	N	3	13	8.40	E	56.547469	3.219000	6267175.120000	513465.490000	31	2	4	X	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5200	http://www.npd.no/FactMapSearch?NPDID_wellbore=5200	sidetrack	2/4-X-4 A	5200	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
30/9-J-16 H	30/9-J-16	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	WATER	DEVELOPMENT	2005-10-17	2006-02-01	OSEBERG SØR	2615-P	30/9-10 OSEBERG SØR	NO	31.000000	\N	3180.000000	102.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	OSEBERG SØR J	9	NO	WATER	2005	2006	\N	173	ED50	60	21	15.95	N	2	54	0.31	E	60.354431	2.900086	6691045.770000	494486.480000	31	30	9	J	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5201	http://www.npd.no/FactMapSearch?NPDID_wellbore=5201	initial	\N	5201	44468	43645	9999-12-31	21636	290170	281745	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-G-13	2/8-G-13	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2006-07-14	2007-02-27	VALHALL	2616-P	2/8-6 VALHALL	NO	65.300000	\N	5080.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	2006	2007	\N	50	ED50	56	16	35.54	N	3	23	46.72	E	56.276539	3.396311	6237067.160000	524541.410000	31	2	8	G	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5202	http://www.npd.no/FactMapSearch?NPDID_wellbore=5202	initial	\N	5202	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
34/11-A-6	34/11-A-6	Statoil ASA (old)	STATOIL	193	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2005-10-15	2006-01-12	KVITEBJØRN	2617-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	5254.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2005	2006	\N	170	ED50	61	4	49.18	N	2	29	58.78	E	61.080328	2.499661	6771998.560000	473005.940000	31	34	11	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5203	http://www.npd.no/FactMapSearch?NPDID_wellbore=5203	initial	\N	5203	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/3-A-19 B	30/3-A-19	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2005-12-11	2006-01-04	VESLEFRIKK	2618-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	3404.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2005	2006	\N	50	ED50	60	46	57.92	N	2	53	52.27	E	60.782756	2.897853	6738753.670000	494437.310000	31	30	3	A	19	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5204	http://www.npd.no/FactMapSearch?NPDID_wellbore=5204	sidetrack	30/3-A-19 A	5204	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/8-G-15	2/8-G-15	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	2006-03-26	2006-06-23	VALHALL	2619-P	2/8-6 VALHALL	NO	65.300000	\N	3422.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	2006	2006	\N	71	ED50	56	16	35.52	N	3	23	46.96	E	56.276533	3.396378	6237066.570000	524545.540000	31	2	8	G	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5205	http://www.npd.no/FactMapSearch?NPDID_wellbore=5205	initial	\N	5205	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
2/7-A-20 B	2/7-A-20	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-04-10	2006-05-23	ELDFISK	2620-P	2/7-1 ELDFISK	NO	43.000000	\N	3734.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2006	2006	\N	50	ED50	56	22	36.15	N	3	15	56.71	E	56.376708	3.265753	6248177.900000	516413.620000	31	2	7	A	20	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5206	http://www.npd.no/FactMapSearch?NPDID_wellbore=5206	sidetrack	2/7-A-20 A	5206	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6305/8-A-3 H	6305/8-A-3	A/S Norske Shell	SHELL	250	PRODUCTION	GAS	DEVELOPMENT	2006-03-26	2006-04-19	ORMEN LANGE	2621-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3334.000000	850.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE A	Awarded additionaly to round 15	NO	GAS	2006	2006	\N	90	ED50	63	29	48.15	N	5	23	11.35	E	63.496708	5.386486	7043320.320000	618808.540000	31	6305	8	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5207	http://www.npd.no/FactMapSearch?NPDID_wellbore=5207	initial	\N	5207	44822	2762452	9999-12-31	115537	297082	371178	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/8-A-6 H	6305/8-A-6	A/S Norske Shell	SHELL	250	PRODUCTION	GAS	DEVELOPMENT	2006-04-20	2007-03-23	ORMEN LANGE	2622-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3300.000000	850.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE A	Awarded additionaly to round 15	NO	GAS	2006	2007	\N	90	ED50	63	29	48.63	N	5	23	11.85	E	63.496842	5.386625	7043335.430000	618814.890000	31	6305	8	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5208	http://www.npd.no/FactMapSearch?NPDID_wellbore=5208	initial	\N	5208	44822	2762452	9999-12-31	115537	297082	371178	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/8-A-7 H	6305/8-A-7	A/S Norske Shell	SHELL	250	PRODUCTION	GAS	DEVELOPMENT	2006-07-11	2007-05-05	ORMEN LANGE	2623-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3732.000000	850.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE A	Awarded additionaly to round 15	NO	GAS	2006	2007	\N	90	ED50	63	29	48.64	N	5	23	11.41	E	63.496844	5.386503	7043335.510000	618808.800000	31	6305	8	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5209	http://www.npd.no/FactMapSearch?NPDID_wellbore=5209	initial	\N	5209	44822	2762452	9999-12-31	115537	297082	371178	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/5-B-2 H	6305/5-B-2	A/S Norske Shell	SHELL	209	OBSERVATION	GAS	DEVELOPMENT	2007-02-10	2007-02-27	ORMEN LANGE	2624-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	2980.000000	855.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE B	15	NO	GAS	2007	2007	\N	99	ED50	63	31	41.92	N	5	23	16.69	E	63.528311	5.387969	7046842.740000	618750.990000	31	6305	5	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5210	http://www.npd.no/FactMapSearch?NPDID_wellbore=5210	initial	\N	5210	44822	2762452	9999-12-31	22484	297082	371216	0	SHELL NORGE	2013-01-29	2013-01-29	2013-05-08
6305/5-B-3 H	6305/5-B-3	A/S Norske Shell	SHELL	209	PRODUCTION	GAS	DEVELOPMENT	2008-07-17	2008-08-14	ORMEN LANGE	2625-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3150.000000	855.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE B	15	NO	GAS	2008	2008	\N	90	ED50	63	31	41.94	N	5	23	16.25	E	63.528317	5.387847	7046843.130000	618744.890000	31	6305	5	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5211	http://www.npd.no/FactMapSearch?NPDID_wellbore=5211	initial	\N	5211	44822	2762452	9999-12-31	22484	297082	371216	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/5-B-6 H	6305/5-B-6	A/S Norske Shell	SHELL	209	PRODUCTION	GAS	DEVELOPMENT	2008-12-08	2009-03-12	ORMEN LANGE	2626-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	4294.000000	855.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE B	15	NO	GAS	2008	2009	\N	90	ED50	63	31	42.41	N	5	23	16.76	E	63.528447	5.387989	7046857.930000	618751.390000	31	6305	5	B	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5212	http://www.npd.no/FactMapSearch?NPDID_wellbore=5212	initial	\N	5212	44822	2762452	9999-12-31	22484	297082	371216	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/5-B-7 H	6305/5-B-7	A/S Norske Shell	SHELL	209	PRODUCTION	GAS	DEVELOPMENT	2008-11-08	2008-12-07	ORMEN LANGE	2627-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3536.000000	855.000000	NORWEGIAN SEA	LEIV EIRIKSSON	SEMISUB STEEL	ORMEN LANGE B	15	NO	GAS	2008	2008	\N	90	ED50	63	31	42.42	N	5	23	16.32	E	63.528450	5.387867	7046858.020000	618745.300000	31	6305	5	B	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5213	http://www.npd.no/FactMapSearch?NPDID_wellbore=5213	initial	\N	5213	44822	2762452	9999-12-31	22484	297865	371216	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
7121/7-N-2 H	7121/7-N-2	Statoil ASA (old)	STATOIL	100	PRODUCTION	GAS	DEVELOPMENT	2006-01-20	2006-02-17	SNØHVIT	2628-P	7120/9-1 ALBATROSS	NO	23.000000	\N	3179.000000	325.000000	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	SNØHVIT N	8	NO	GAS	2006	2006	\N	90	ED50	71	29	17.88	N	21	5	2.87	E	71.488300	21.084131	7932075.000000	502981.440000	34	7121	7	N	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5216	http://www.npd.no/FactMapSearch?NPDID_wellbore=5216	initial	\N	5216	45032	2053062	9999-12-31	21604	289333	364390	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7121/7-N-3 H	7121/7-N-3	Statoil ASA (old)	STATOIL	100	PRODUCTION	GAS	DEVELOPMENT	2005-12-04	2005-12-28	SNØHVIT	2629-P	7120/9-1 ALBATROSS	NO	23.000000	\N	1964.000000	325.000000	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	SNØHVIT N	8	NO	GAS	2005	2005	\N	90	ED50	71	29	17.97	N	21	5	3.38	E	71.488325	21.084272	7932077.790000	502986.460000	34	7121	7	N	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5217	http://www.npd.no/FactMapSearch?NPDID_wellbore=5217	initial	\N	5217	45032	2053062	9999-12-31	21604	289333	364390	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7121/7-N-4 H	7121/7-N-4	Statoil ASA (old)	STATOIL	100	PRODUCTION	GAS	DEVELOPMENT	2005-12-30	2006-01-19	SNØHVIT	2630-P	7120/9-1 ALBATROSS	NO	23.000000	\N	2488.000000	325.000000	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	SNØHVIT N	8	NO	GAS	2005	2006	\N	90	ED50	71	29	17.70	N	21	5	3.87	E	71.488250	21.084408	7932069.440000	502991.290000	34	7121	7	N	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5218	http://www.npd.no/FactMapSearch?NPDID_wellbore=5218	initial	\N	5218	45032	2053062	9999-12-31	21604	289333	364390	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-5	25/8-C-5	ExxonMobil Exploration & Production Norway AS	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2005-10-21	2005-12-25	BALDER	2632-P	25/8-11 RINGHORNE	NO	60.300000	\N	5133.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2005	2005	\N	50	ED50	59	15	58.02	N	2	26	59.45	E	59.266117	2.449847	6569966.340000	468635.350000	31	25	8	C	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5219	http://www.npd.no/FactMapSearch?NPDID_wellbore=5219	initial	\N	5219	44318	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
6608/10-B-1 AH	6608/10-B-1	Statoil ASA (old)	STATOIL	128	OBSERVATION	OIL	DEVELOPMENT	2005-11-06	2005-12-03	NORNE	2633-P	6608/10-2 NORNE	NO	24.000000	\N	3478.000000	376.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE B	10-B	NO	OIL	2005	2005	\N	99	ED50	66	0	55.22	N	8	3	17.29	E	66.015339	8.054803	7322128.370000	457125.620000	32	6608	10	B	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5220	http://www.npd.no/FactMapSearch?NPDID_wellbore=5220	sidetrack	6608/10-B-1 H	5220	44942	43778	9999-12-31	21836	297649	279225	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
6608/10-B-1 BH	6608/10-B-1	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2005-12-04	2006-01-09	NORNE	2634-P	6608/10-2 NORNE	NO	24.000000	\N	3976.000000	376.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE B	10-B	NO	OIL	2005	2006	\N	50	ED50	66	0	55.22	N	8	3	17.29	E	66.015339	8.054803	7322128.370000	457125.620000	32	6608	10	B	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5221	http://www.npd.no/FactMapSearch?NPDID_wellbore=5221	sidetrack	6608/10-B-1 AH	5221	44942	43778	9999-12-31	21836	297649	279225	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-D-4 AH	34/7-D-4	Statoil ASA (old)	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2005-07-21	2006-03-25	VIGDIS	2631-P	34/7-8 VIGDIS	NO	21.500000	\N	4408.000000	251.000000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	VIGDIS D	8	NO	OIL	2005	2006	\N	50	ED50	61	20	44.39	N	2	4	22.33	E	61.345664	2.072869	6801804.120000	450399.860000	31	34	7	D	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5222	http://www.npd.no/FactMapSearch?NPDID_wellbore=5222	sidetrack	34/7-D-4 H	5222	44714	43732	9999-12-31	21516	287902	359965	0	STATOIL ASA (OLD)	2013-01-26	2013-01-26	2013-05-08
34/10-C-47	34/10-C-47	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2005-11-28	2006-05-02	GULLFAKS	2635-P	34/10-1 GULLFAKS	NO	84.000000	\N	4399.000000	217.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2005	2006	\N	50	ED50	61	12	54.94	N	2	16	26.39	E	61.215261	2.273997	6787142.430000	460998.130000	31	34	10	C	47	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5223	http://www.npd.no/FactMapSearch?NPDID_wellbore=5223	initial	\N	5223	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6406/2-R-4 BH	6406/2-R-4	Statoil ASA (old)	STATOIL	199	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2005-11-27	2006-02-23	KRISTIN	2636-P	6406/2-3 KRISTIN	NO	18.000000	\N	5505.000000	355.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	KRISTIN R	14	NO	GAS/CONDENSATE	2005	2006	\N	170	ED50	64	57	36.85	N	6	26	19.14	E	64.960236	6.438650	7206652.870000	379055.450000	32	6406	2	R	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5224	http://www.npd.no/FactMapSearch?NPDID_wellbore=5224	sidetrack	6406/2-R-4 AH	5224	44840	1854729	9999-12-31	22404	297514	360533	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-F-27	30/9-F-27	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2005-12-13	2006-03-20	OSEBERG SØR	2637-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	6200.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2005	2006	\N	50	ED50	60	23	24.50	N	2	47	49.60	E	60.390139	2.797111	6695035.960000	488816.290000	31	30	9	F	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5225	http://www.npd.no/FactMapSearch?NPDID_wellbore=5225	initial	\N	5225	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/11-S-1	2/11-S-1	BP Norge AS	BP	033 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2004-08-30	2004-08-31	VALHALL	2638-P	2/8-6 VALHALL	NO	59.200000	\N	565.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	NOT APPLICABLE	2004	2004	\N	99	ED50	56	13	39.66	N	3	26	14.53	E	56.227683	3.437369	6231644.670000	527118.420000	31	2	11	S	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5226	http://www.npd.no/FactMapSearch?NPDID_wellbore=5226	initial	\N	5226	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/11-S-1 A	2/11-S-1	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2005-11-04	2005-12-09	VALHALL	2639-P	2/8-6 VALHALL	NO	59.200000	\N	5428.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2005	2005	\N	50	ED50	56	13	39.66	N	3	26	14.53	E	56.227683	3.437369	6231644.670000	527118.420000	31	2	11	S	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5227	http://www.npd.no/FactMapSearch?NPDID_wellbore=5227	sidetrack	2/11-S-1	5227	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-M-2	2/4-M-2	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-07-04	2006-08-08	EKOFISK	2641-P	2/4-2 EKOFISK	NO	71.000000	\N	4200.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2006	\N	50	ED50	56	32	43.78	N	3	13	23.19	E	56.545494	3.223108	6266956.090000	513718.810000	31	2	4	M	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5229	http://www.npd.no/FactMapSearch?NPDID_wellbore=5229	initial	\N	5229	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-4	2/4-M-4	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-10-23	2006-11-16	EKOFISK	2642-P	2/4-2 EKOFISK	NO	71.000000	\N	4026.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2006	\N	50	ED50	56	32	43.87	N	3	13	23.43	E	56.545519	3.223175	6266958.890000	513722.900000	31	2	4	M	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5230	http://www.npd.no/FactMapSearch?NPDID_wellbore=5230	initial	\N	5230	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-7	2/4-M-7	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-01-22	2006-03-02	EKOFISK	2643-P	2/4-2 EKOFISK	NO	71.000000	\N	5145.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2006	\N	50	ED50	56	32	43.71	N	3	13	23.27	E	56.545475	3.223131	6266953.930000	513720.190000	31	2	4	M	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5231	http://www.npd.no/FactMapSearch?NPDID_wellbore=5231	initial	\N	5231	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-10	2/4-M-10	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-05-20	2006-06-04	EKOFISK	2644-P	2/4-2 EKOFISK	NO	71.000000	\N	3350.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2006	\N	50	ED50	56	32	43.85	N	3	13	23.63	E	56.545514	3.223231	6266958.280000	513726.320000	31	2	4	M	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5232	http://www.npd.no/FactMapSearch?NPDID_wellbore=5232	initial	\N	5232	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-13	2/4-M-13	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-09-27	2006-10-19	EKOFISK	2645-P	2/4-2 EKOFISK	NO	71.000000	\N	3611.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2006	\N	50	ED50	56	32	43.69	N	3	13	23.47	E	56.545469	3.223186	6266953.330000	513723.600000	31	2	4	M	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5233	http://www.npd.no/FactMapSearch?NPDID_wellbore=5233	initial	\N	5233	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
2/4-M-16	2/4-M-16	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-03-03	2006-04-03	EKOFISK	2646-P	2/4-2 EKOFISK	NO	71.000000	\N	4573.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2006	\N	50	ED50	56	32	43.41	N	3	13	23.46	E	56.545392	3.223183	6266944.670000	513723.460000	31	2	4	M	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5234	http://www.npd.no/FactMapSearch?NPDID_wellbore=5234	initial	\N	5234	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-20	2/4-M-20	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-04-06	2006-05-20	EKOFISK	2647-P	2/4-2 EKOFISK	NO	71.000000	\N	4447.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2006	\N	50	ED50	56	32	43.59	N	3	13	23.95	E	56.545442	3.223319	6266950.260000	513731.810000	31	2	4	M	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5235	http://www.npd.no/FactMapSearch?NPDID_wellbore=5235	initial	\N	5235	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-27	2/4-M-27	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-08-12	2006-09-07	EKOFISK	2648-P	2/4-2 EKOFISK	NO	71.000000	\N	3464.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2006	\N	50	ED50	56	32	43.32	N	3	13	23.75	E	56.545367	3.223264	6266941.900000	513728.420000	31	2	4	M	27	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5236	http://www.npd.no/FactMapSearch?NPDID_wellbore=5236	initial	\N	5236	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-30	2/4-M-30	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-07-29	2007-09-10	EKOFISK	2649-P	2/4-2 EKOFISK	NO	71.000000	\N	4914.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2007	2007	\N	50	ED50	56	32	43.46	N	3	13	24.11	E	56.545406	3.223364	6266946.250000	513734.560000	31	2	4	M	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5237	http://www.npd.no/FactMapSearch?NPDID_wellbore=5237	initial	\N	5237	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6608/10-J-2 H	6608/10-J-2	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2005-11-02	2005-12-22	URD	2640-P	6608/10-6 SVALE	NO	24.000000	\N	3290.000000	376.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE J	10-B	NO	OIL	2005	2005	\N	50	ED50	66	2	56.94	N	8	10	16.42	E	66.049150	8.171228	7325822.280000	462456.230000	32	6608	10	J	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5238	http://www.npd.no/FactMapSearch?NPDID_wellbore=5238	initial	\N	5238	1030536	2834734	9999-12-31	21836	294382	364750	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-M-21	2/4-M-21	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	CUTTINGS	DEVELOPMENT	2005-12-30	2006-01-18	EKOFISK	2650-P	2/4-2 EKOFISK	NO	71.000000	\N	3676.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	CUTTINGS	2005	2006	\N	171	ED50	56	32	43.35	N	3	13	23.54	E	56.545375	3.223206	6266942.820000	513724.830000	31	2	4	M	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5239	http://www.npd.no/FactMapSearch?NPDID_wellbore=5239	initial	\N	5239	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
25/11-G-10 Y1	25/11-G-10	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2005-11-29	2006-01-11	GRANE	2651-P1	25/11-15 GRANE	NO	69.900000	\N	4300.000000	128.000000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2005	2006	\N	50	ED50	59	9	54.99	N	2	29	14.21	E	59.165275	2.487281	6558719.910000	470683.100000	31	25	11	G	10	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5240	http://www.npd.no/FactMapSearch?NPDID_wellbore=5240	multilateral	\N	5240	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-10 Y2	25/11-G-10	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2006-01-12	2006-02-20	GRANE	2651-P2	25/11-15 GRANE	NO	69.900000	\N	4316.000000	128.000000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2006	2006	\N	50	ED50	59	9	54.99	N	2	29	14.21	E	59.165275	2.487281	6558719.910000	470683.100000	31	25	11	G	10	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5241	http://www.npd.no/FactMapSearch?NPDID_wellbore=5241	multilateral	25/11-G-10 Y1	5241	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-B-19 B	2/7-B-19	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-01-31	2006-04-08	ELDFISK	2653-P	2/7-1 ELDFISK	NO	42.000000	\N	4068.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2006	2006	\N	50	ED50	56	25	9.17	N	3	13	5.90	E	56.419214	3.218306	6252898.830000	513468.140000	31	2	7	B	19	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5242	http://www.npd.no/FactMapSearch?NPDID_wellbore=5242	sidetrack	2/7-B-19 A	5242	44114	43527	9999-12-31	20900	271609	271609	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
31/2-N-11 AH	31/2-N-11	Norsk Hydro Produksjon AS	HYDRO	054	OBSERVATION	OIL/GAS	DEVELOPMENT	2005-12-25	2006-02-03	TROLL	2654-P	31/2-1 TROLL VEST	NO	35.500000	\N	3452.000000	341.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL N1	4	NO	NOT APPLICABLE	2005	2006	\N	99	ED50	60	54	56.36	N	3	35	11.54	E	60.915656	3.586539	6753694.940000	531808.830000	31	31	2	N	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5243	http://www.npd.no/FactMapSearch?NPDID_wellbore=5243	sidetrack	31/2-N-11 H	5243	44534	46437	9999-12-31	21228	297055	279729	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-C-6 A	33/9-C-6	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2005-12-22	2006-01-16	STATFJORD	2655-P	33/12-1 STATFJORD	NO	78.400000	\N	3870.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2005	2006	\N	50	ED50	61	17	47.07	N	1	54	11.17	E	61.296408	1.903103	6796458.630000	441225.990000	31	33	9	C	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5244	http://www.npd.no/FactMapSearch?NPDID_wellbore=5244	sidetrack	33/9-C-6	5244	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-14 B	25/8-C-14	ExxonMobil Exploration & Production Norway AS	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2006-02-13	2006-03-05	RINGHORNE ØST	2656-P	25/8-14 S	NO	60.300000	\N	4920.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2006	2006	\N	50	ED50	59	15	57.75	N	2	26	59.83	E	59.266042	2.449953	6569957.940000	468641.300000	31	25	8	C	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5245	http://www.npd.no/FactMapSearch?NPDID_wellbore=5245	sidetrack	25/8-C-14 A	5245	2472571	3505505	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
2/11-S-4 Y1	2/11-S-4	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2005-12-12	2006-01-17	VALHALL	2657-P1	2/8-6 VALHALL	NO	59.200000	\N	5341.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	YES	OIL	2005	2006	\N	50	ED50	56	13	39.81	N	3	26	14.81	E	56.227725	3.437447	6231649.340000	527123.220000	31	2	11	S	4	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5246	http://www.npd.no/FactMapSearch?NPDID_wellbore=5246	multilateral	\N	5246	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/11-S-4 Y2	2/11-S-4	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2006-01-18	2006-02-22	VALHALL	2657-P3	2/8-6 VALHALL	NO	59.200000	\N	5950.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	YES	OIL	2006	2006	\N	50	ED50	56	13	39.81	N	3	26	14.81	E	56.227725	3.437447	6231649.340000	527123.220000	31	2	11	S	4	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5247	http://www.npd.no/FactMapSearch?NPDID_wellbore=5247	multilateral	2/11-S-4 Y1F2	5247	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-O-13 BY1H	31/2-O-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-01-05	2006-03-01	TROLL	2658-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5442.000000	337.000000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL O1	4	YES	OIL	2006	2006	\N	50	ED50	60	53	22.58	N	3	33	58.78	E	60.889606	3.566328	6750783.730000	530737.830000	31	31	2	O	13	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5249	http://www.npd.no/FactMapSearch?NPDID_wellbore=5249	multilateral	31/2-O-13 AH	5249	44534	46437	9999-12-31	21228	290980	279757	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-O-13 BY2H	31/2-O-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-03-02	2006-04-05	TROLL	2658-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4746.000000	337.000000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL O1	4	YES	OIL	2006	2006	\N	50	ED50	60	53	22.58	N	3	33	58.78	E	60.889606	3.566328	6750783.730000	530737.830000	31	31	2	O	13	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5250	http://www.npd.no/FactMapSearch?NPDID_wellbore=5250	multilateral	31/2-O-13 BY1H	5250	44534	46437	9999-12-31	21228	290980	279757	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-N-1 H	33/12-N-1	Statoil ASA (old)	STATOIL	037 B	PRODUCTION	OIL	DEVELOPMENT	2007-08-21	2007-11-13	GULLFAKS SØR	2659-P	33/12-8 A SKINFAKS	NO	24.000000	\N	4330.000000	137.000000	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	GULLFAKS C	Awarded additionaly to round 2-A	NO	OIL/GAS	2007	2007	\N	50	ED50	61	4	44.19	N	1	59	23.37	E	61.078942	1.989825	6772161.540000	445498.250000	31	33	12	N	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5251	http://www.npd.no/FactMapSearch?NPDID_wellbore=5251	initial	\N	5251	2074147	43699	9999-12-31	48081	294382	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/12-N-2 H	33/12-N-2	Statoil ASA (old)	STATOIL	037 B	PRODUCTION	OIL	DEVELOPMENT	2007-06-28	2007-08-20	GULLFAKS SØR	2660-P	33/12-8 A SKINFAKS	NO	24.000000	\N	4568.000000	137.000000	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	GULLFAKS C	Awarded additionaly to round 2-A	NO	OIL	2007	2007	\N	50	ED50	61	4	44.56	N	1	59	23.28	E	61.079044	1.989800	6772173.010000	445497.070000	31	33	12	N	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5253	http://www.npd.no/FactMapSearch?NPDID_wellbore=5253	initial	\N	5253	2074147	43699	9999-12-31	48081	294382	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/12-N-3 H	33/12-N-3	Statoil ASA (old)	STATOIL	037 B	OBSERVATION	OIL	DEVELOPMENT	2006-05-13	2006-06-08	GULLFAKS SØR	2661-P	34/10-17 RIMFAKS	NO	23.500000	\N	3685.000000	137.000000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	GULLFAKS C	Awarded additionaly to round 2-A	NO	OIL	2006	2006	\N	99	ED50	61	4	44.57	N	1	59	23.58	E	61.079047	1.989883	6772173.250000	445501.570000	31	33	12	N	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5254	http://www.npd.no/FactMapSearch?NPDID_wellbore=5254	initial	\N	5254	44600	43699	9999-12-31	48081	296677	272645	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
33/12-N-4 H	33/12-N-4	Statoil ASA (old)	STATOIL	037 B	PRODUCTION	OIL	DEVELOPMENT	2007-05-11	2007-06-27	GULLFAKS SØR	2662-P	34/10-17 RIMFAKS	NO	23.500000	\N	4817.000000	137.000000	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	GULLFAKS C	Awarded additionaly to round 2-A	NO	OIL	2007	2007	\N	50	ED50	61	4	44.21	N	1	59	23.67	E	61.078947	1.989908	6772162.090000	445502.750000	31	33	12	N	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5255	http://www.npd.no/FactMapSearch?NPDID_wellbore=5255	initial	\N	5255	44600	43699	9999-12-31	48081	294382	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/12-B-20 A	33/12-B-20	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2006-02-19	2006-03-20	STATFJORD	2663-P	33/12-1 STATFJORD	NO	77.800000	\N	2918.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2006	2006	\N	50	ED50	61	12	24.99	N	1	49	52.13	E	61.206942	1.831147	6786560.610000	437192.490000	31	33	12	B	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5256	http://www.npd.no/FactMapSearch?NPDID_wellbore=5256	sidetrack	33/12-B-20	5256	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7/12-A-9 A	7/12-A-9	BP Norge AS	BP	019	OBSERVATION	\N	DEVELOPMENT	2006-01-13	2006-08-30	ULA	2664-P	7/12-2 ULA	NO	57.000000	\N	3923.000000	69.500000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	NOT APPLICABLE	2006	2006	\N	99	ED50	57	6	41.27	N	2	50	50.65	E	57.111464	2.847403	6329946.040000	490757.320000	31	7	12	A	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5257	http://www.npd.no/FactMapSearch?NPDID_wellbore=5257	sidetrack	7/12-A-9	5257	44972	43800	9999-12-31	20916	271889	272029	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6407/7-A-9 BH	6407/7-A-9	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	GAS	DEVELOPMENT	2006-01-27	2006-03-23	NJORD	2665-P	6407/7-1 S NJORD	NO	30.000000	\N	4852.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2006	2006	\N	91	ED50	64	16	15.43	N	7	12	9.45	E	64.270953	7.202625	7128614.540000	412943.250000	32	6407	7	A	9	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5258	http://www.npd.no/FactMapSearch?NPDID_wellbore=5258	sidetrack	6407/7-A-9 AH	5258	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2013-02-14	2013-02-14	2013-05-08
6507/7-A-15	6507/7-A-15	Statoil ASA (old)	STATOIL	095	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2006-01-26	2006-02-25	HEIDRUN	2666-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3971.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	NOT APPLICABLE	2006	2006	\N	99	ED50	65	19	33.05	N	7	19	4.11	E	65.325847	7.317808	7245997.670000	421644.390000	32	6507	7	A	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5259	http://www.npd.no/FactMapSearch?NPDID_wellbore=5259	initial	\N	5259	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-15 A	6507/7-A-15	Statoil ASA (old)	STATOIL	095	INJECTION	WATER/GAS	DEVELOPMENT	2006-02-26	2006-04-10	HEIDRUN	2667-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3883.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER/GAS	2006	2006	\N	0	ED50	65	19	33.05	N	7	19	4.11	E	65.325847	7.317808	7245997.670000	421644.390000	32	6507	7	A	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5260	http://www.npd.no/FactMapSearch?NPDID_wellbore=5260	sidetrack	6507/7-A-15	5260	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/3-A-17 B	30/3-A-17	Statoil ASA (old)	STATOIL	052	INJECTION	WATER/GAS	DEVELOPMENT	2006-01-15	2006-03-01	VESLEFRIKK	2668-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4078.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	WATER/GAS	2006	2006	\N	0	ED50	60	46	58.08	N	2	53	52.16	E	60.782800	2.897822	6738758.620000	494435.660000	31	30	3	A	17	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5261	http://www.npd.no/FactMapSearch?NPDID_wellbore=5261	sidetrack	30/3-A-17 A	5261	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6608/10-J-1 H	6608/10-J-1	Statoil ASA (old)	STATOIL	128	INJECTION	WATER	DEVELOPMENT	2006-02-13	2006-03-24	URD	2669-P	6608/10-6 SVALE	NO	24.000000	\N	2925.000000	376.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE J	10-B	NO	WATER	2006	2006	\N	173	ED50	66	2	56.67	N	8	10	17.09	E	66.049075	8.171414	7325813.810000	462464.550000	32	6608	10	J	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5262	http://www.npd.no/FactMapSearch?NPDID_wellbore=5262	initial	\N	5262	1030536	2834734	9999-12-31	21836	294382	364750	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6608/10-J-3 H	6608/10-J-3	Statoil ASA (old)	STATOIL	128	OBSERVATION	\N	DEVELOPMENT	2005-12-22	2006-02-03	URD	2670-P	6608/10-6 SVALE	NO	24.000000	\N	2793.000000	376.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE J	10-B	NO	OIL	2005	2006	\N	99	ED50	66	2	57.04	N	8	10	16.67	E	66.049178	8.171297	7325825.340000	462459.420000	32	6608	10	J	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5263	http://www.npd.no/FactMapSearch?NPDID_wellbore=5263	initial	\N	5263	1030536	2834734	9999-12-31	21836	294382	364750	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
31/2-X-23 Y1H	31/2-X-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-02-13	2006-04-30	TROLL	2671-P1	31/2-1 TROLL VEST	NO	25.000000	\N	4513.000000	329.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL T2	4	YES	OIL	2006	2006	\N	50	ED50	60	48	29.24	N	3	35	35.28	E	60.808122	3.593133	6741720.670000	532274.750000	31	31	2	X	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5264	http://www.npd.no/FactMapSearch?NPDID_wellbore=5264	multilateral	\N	5264	44534	46437	9999-12-31	21228	296164	280401	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-X-23 Y2H	31/2-X-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-05-01	2006-05-21	TROLL	2671-P2	31/2-1 TROLL VEST	NO	25.000000	\N	7076.000000	329.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL T2	4	YES	OIL	2006	2006	\N	50	ED50	60	48	29.24	N	3	35	35.28	E	60.808122	3.593133	6741720.670000	532274.750000	31	31	2	X	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5265	http://www.npd.no/FactMapSearch?NPDID_wellbore=5265	multilateral	31/2-X-23 Y1H	5265	44534	46437	9999-12-31	21228	296164	280401	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-X-23 Y3H	31/2-X-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-05-22	2006-06-06	TROLL	2671-P3	31/2-1 TROLL VEST	NO	25.000000	\N	7230.000000	329.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL T2	4	YES	OIL	2006	2006	\N	50	ED50	60	48	29.24	N	3	35	35.28	E	60.808122	3.593133	6741720.670000	532274.750000	31	31	2	X	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5266	http://www.npd.no/FactMapSearch?NPDID_wellbore=5266	multilateral	31/2-X-23 Y2H	5266	44534	46437	9999-12-31	21228	296164	280401	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-X-23 Y4H	31/2-X-23	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	2671-P4	31/2-1 TROLL VEST	NO	25.000000	\N	0.000000	329.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL T2	4	YES	OIL	0	0	\N	0	ED50	60	48	29.24	N	3	35	35.28	E	60.808122	3.593133	6741720.670000	532274.750000	31	31	2	X	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5267	http://www.npd.no/FactMapSearch?NPDID_wellbore=5267	multilateral	31/2-X-23 Y3H	5267	44534	46437	9999-12-31	21228	296164	280401	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/4-E-1 H	25/4-E-1	Norsk Hydro Produksjon AS	HYDRO	036	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2007-06-21	2007-07-20	VILJE	2672-P	25/4-9 S VILJE	NO	31.000000	\N	3100.000000	122.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	ALVHEIM FPSO	2-A	NO	OIL	2007	2007	\N	99	ED50	59	39	22.93	N	2	16	42.24	E	59.656369	2.278400	6613517.730000	459332.650000	31	25	4	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5269	http://www.npd.no/FactMapSearch?NPDID_wellbore=5269	initial	\N	5269	2472606	3392471	9999-12-31	21076	290170	375206	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
6608/10-J-3 AH	6608/10-J-3	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2006-02-04	2006-04-22	URD	2673-P	6608/10-6 SVALE	NO	24.000000	\N	3532.000000	376.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE J	10-B	NO	OIL	2006	2006	\N	50	ED50	66	2	57.04	N	8	10	16.67	E	66.049178	8.171297	7325825.340000	462459.420000	32	6608	10	J	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5270	http://www.npd.no/FactMapSearch?NPDID_wellbore=5270	sidetrack	6608/10-J-3 H	5270	1030536	2834734	9999-12-31	21836	294382	364750	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-J-11 H	30/9-J-11	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	\N	DEVELOPMENT	2006-06-29	2006-09-19	OSEBERG SØR	2674-P	30/9-10 OSEBERG SØR	NO	31.000000	\N	4221.000000	102.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	OSEBERG SØR J	9	NO	OIL	2006	2006	\N	71	ED50	60	21	16.17	N	2	53	59.85	E	60.354492	2.899958	6691052.580000	494479.440000	31	30	9	J	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5272	http://www.npd.no/FactMapSearch?NPDID_wellbore=5272	initial	\N	5272	44468	43645	9999-12-31	21636	290170	281745	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
25/4-D-1 H	25/4-D-1	Norsk Hydro Produksjon AS	HYDRO	036	PRODUCTION	\N	DEVELOPMENT	2007-05-16	2007-06-05	VILJE	2675-P	25/4-9 S VILJE	NO	29.000000	\N	2844.000000	122.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	ALVHEIM FPSO	2-A	NO	OIL	2007	2007	\N	71	ED50	59	39	22.03	N	2	16	40.86	E	59.656119	2.278017	6613490.130000	459310.750000	31	25	4	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5273	http://www.npd.no/FactMapSearch?NPDID_wellbore=5273	initial	\N	5273	2472606	3392471	9999-12-31	21076	287821	375206	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
6506/11-N-3 AH	6506/11-N-3	Statoil ASA (old)	STATOIL	134 B	PRODUCTION	\N	DEVELOPMENT	2007-09-28	2007-10-22	KRISTIN	2676-P	6406/2-3 KRISTIN	NO	25.000000	\N	5361.000000	367.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	KRISTIN N	Awarded additionaly to round 11-A	NO	GAS/CONDENSATE	2007	2007	\N	71	ED50	65	1	41.32	N	6	28	46.29	E	65.028144	6.479525	7214139.190000	381286.470000	32	6506	11	N	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5274	http://www.npd.no/FactMapSearch?NPDID_wellbore=5274	sidetrack	6506/11-N-3 H	5274	44840	1854729	9999-12-31	1025257	297514	360488	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
30/6-G-43 Y1H	30/6-G-43	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2006-02-06	2006-04-17	OSEBERG	2677-P1	30/6-1 OSEBERG	NO	29.000000	\N	5805.000000	108.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	OSEBERG VESTFLANKE	4	YES	OIL/GAS	2006	2006	\N	50	ED50	60	32	15.50	N	2	41	7.84	E	60.537639	2.685511	6711488.580000	482743.120000	31	30	6	G	43	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5275	http://www.npd.no/FactMapSearch?NPDID_wellbore=5275	multilateral	\N	5275	44396	43625	9999-12-31	21220	287821	363907	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-G-43 Y2H	30/6-G-43	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2006-04-18	2006-06-30	OSEBERG	2677-P2	30/6-1 OSEBERG	NO	29.000000	\N	6256.000000	108.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	OSEBERG VESTFLANKE	4	YES	OIL/GAS	2006	2006	\N	50	ED50	60	32	15.50	N	2	41	7.84	E	60.537639	2.685511	6711488.580000	482743.120000	31	30	6	G	43	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5276	http://www.npd.no/FactMapSearch?NPDID_wellbore=5276	multilateral	30/6-G-43 Y1H	5276	44396	43625	9999-12-31	21220	287821	363907	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-35	25/11-G-35	Norsk Hydro Produksjon AS	HYDRO	169 B1	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2006-02-21	2006-03-15	GRANE	2678-P	25/11-15 GRANE	NO	69.900000	\N	2690.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	NOT APPLICABLE	2006	2006	\N	99	ED50	59	9	54.72	N	2	29	14.99	E	59.165200	2.487497	6558711.460000	470695.420000	31	25	11	G	35	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5277	http://www.npd.no/FactMapSearch?NPDID_wellbore=5277	initial	\N	5277	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-35 A	25/11-G-35	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2006-03-16	2006-04-13	GRANE	2679-P	25/11-15 GRANE	NO	69.900000	\N	4590.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2006	2006	\N	50	ED50	59	9	54.72	N	2	29	14.99	E	59.165200	2.487497	6558711.460000	470695.420000	31	25	11	G	35	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5278	http://www.npd.no/FactMapSearch?NPDID_wellbore=5278	sidetrack	25/11-G-35	5278	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/4-D-6 H	34/4-D-6	Statoil ASA (old)	STATOIL	057	PRODUCTION	OIL	DEVELOPMENT	2006-03-19	2006-06-15	SNORRE	2680-P	34/4-1 SNORRE	NO	37.000000	\N	6280.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-D H	4	NO	OIL	2006	2006	\N	50	ED50	61	31	32.96	N	2	12	40.67	E	61.525822	2.211297	6821774.810000	458047.910000	31	34	4	D	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5279	http://www.npd.no/FactMapSearch?NPDID_wellbore=5279	initial	\N	5279	44654	43718	9999-12-31	21252	280485	282809	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-C-40 C	33/9-C-40	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2007-06-27	2007-07-30	STATFJORD	2681-P	33/12-1 STATFJORD	NO	78.400000	\N	4208.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL/GAS	2007	2007	\N	0	ED50	61	17	46.71	N	1	54	9.81	E	61.296308	1.902725	6796447.840000	441205.560000	31	33	9	C	40	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5280	http://www.npd.no/FactMapSearch?NPDID_wellbore=5280	sidetrack	33/9-C-40 B	5280	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7/12-A-9 B	7/12-A-9	BP Norge AS	BP	019	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ULA	2682-P	7/12-2 ULA	NO	57.000000	\N	0.000000	69.500000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER/GAS	0	0	\N	0	ED50	57	6	41.27	N	2	50	50.65	E	57.111464	2.847403	6329946.040000	490757.320000	31	7	12	A	9	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5281	http://www.npd.no/FactMapSearch?NPDID_wellbore=5281	sidetrack	7/12-A-9 A	5281	44972	43800	9999-12-31	20916	271889	272029	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/11-S-8 Y1	2/11-S-8	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2006-03-07	2006-04-06	VALHALL	2683-P1	2/8-6 VALHALL	NO	59.200000	\N	5256.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	YES	OIL	2006	2006	\N	50	ED50	56	13	39.76	N	3	26	14.90	E	56.227711	3.437472	6231647.810000	527124.780000	31	2	11	S	8	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5283	http://www.npd.no/FactMapSearch?NPDID_wellbore=5283	multilateral	\N	5283	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/11-S-8 Y2	2/11-S-8	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2006-04-07	2006-04-22	VALHALL	2683-P2	2/8-6 VALHALL	NO	59.200000	\N	5610.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	YES	OIL	2006	2006	\N	50	ED50	56	13	39.76	N	3	26	14.90	E	56.227711	3.437472	6231647.810000	527124.780000	31	2	11	S	8	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5284	http://www.npd.no/FactMapSearch?NPDID_wellbore=5284	multilateral	2/11-S-8 Y1	5284	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
35/11-B-21 H	35/11-B-21	Norsk Hydro Produksjon AS	HYDRO	090	OBSERVATION	OIL	DEVELOPMENT	2006-03-27	2006-05-21	FRAM	2684-P	35/11-4 FRAM	NO	31.000000	\N	3089.000000	357.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B2	8	NO	OIL	2006	2006	\N	99	ED50	61	2	34.25	N	3	35	58.52	E	61.042847	3.599589	6767868.690000	532386.890000	31	35	11	B	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5285	http://www.npd.no/FactMapSearch?NPDID_wellbore=5285	initial	\N	5285	44750	1578840	9999-12-31	21524	290170	371520	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
35/11-B-21 AH	35/11-B-21	Norsk Hydro Produksjon AS	HYDRO	090	PRODUCTION	OIL	DEVELOPMENT	2006-05-22	2006-06-21	FRAM	2685-P	35/11-4 FRAM	NO	31.000000	\N	4766.000000	357.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B2	8	NO	OIL	2006	2006	\N	50	ED50	61	2	34.25	N	3	35	58.52	E	61.042847	3.599589	6767868.690000	532386.890000	31	35	11	B	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5286	http://www.npd.no/FactMapSearch?NPDID_wellbore=5286	sidetrack	35/11-B-21 H	5286	44750	1578840	9999-12-31	21524	290170	371520	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/8-E-4 AH	6507/8-E-4	Statoil ASA (old)	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2006-04-01	2006-05-20	HEIDRUN	2686-P	6507/8-4 HEIDRUN NORD	NO	24.000000	\N	3415.000000	355.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2006	2006	\N	50	ED50	65	22	59.65	N	7	22	10.20	E	65.383236	7.369500	7252329.200000	424217.180000	32	6507	8	E	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5288	http://www.npd.no/FactMapSearch?NPDID_wellbore=5288	sidetrack	6507/8-E-4 H	5288	44936	43771	9999-12-31	21804	297649	283621	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/8-A-4 BH	34/8-A-4	Statoil ASA (old)	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2006-04-10	2006-10-15	VISUND	2687-P	34/8-1 VISUND	NO	29.000000	\N	7579.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2006	2006	\N	50	ED50	61	22	13.02	N	2	27	34.21	E	61.370283	2.459503	6804314.070000	471106.440000	31	34	8	A	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5289	http://www.npd.no/FactMapSearch?NPDID_wellbore=5289	sidetrack	34/8-A-4 AH	5289	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-B-19 A	30/9-B-19	Norsk Hydro Produksjon AS	HYDRO	079	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2006-04-02	2006-12-04	OSEBERG	2688-P	30/6-1 OSEBERG	NO	58.000000	\N	6656.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	GAS	2006	2006	\N	99	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	30	9	B	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5290	http://www.npd.no/FactMapSearch?NPDID_wellbore=5290	sidetrack	30/9-B-19	5290	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
30/9-B-19 B	30/9-B-19	Norsk Hydro Produksjon AS	HYDRO	079	INJECTION	GAS	DEVELOPMENT	2006-12-05	2007-03-10	OSEBERG	2689-P	30/6-1 OSEBERG	NO	58.000000	\N	7301.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	WATER	2006	2007	\N	91	ED50	60	29	36.14	N	2	49	42.42	E	60.493372	2.828450	6706529.150000	490573.700000	31	30	9	B	19	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5291	http://www.npd.no/FactMapSearch?NPDID_wellbore=5291	sidetrack	30/9-B-19 A	5291	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-39	25/11-G-39	Norsk Hydro Produksjon AS	HYDRO	169 B1	OBSERVATION	\N	DEVELOPMENT	2006-04-29	2006-06-08	GRANE	2690-P	25/11-15 GRANE	NO	69.900000	\N	4805.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	NOT APPLICABLE	2006	2006	\N	99	ED50	59	9	54.66	N	2	29	15.10	E	59.165183	2.487528	6558709.590000	470697.150000	31	25	11	G	39	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5292	http://www.npd.no/FactMapSearch?NPDID_wellbore=5292	initial	\N	5292	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
25/11-G-39 AY1	25/11-G-39	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	\N	DEVELOPMENT	2006-06-13	2007-06-15	GRANE	2691-P1	25/11-15 GRANE	NO	69.900000	\N	4595.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2006	2007	\N	71	ED50	59	9	54.66	N	2	29	15.10	E	59.165183	2.487528	6558709.590000	470697.150000	31	25	11	G	39	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5293	http://www.npd.no/FactMapSearch?NPDID_wellbore=5293	multilateral	25/11-G-39	5293	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
2/4-E-18	2/4-E-18	ConocoPhillips Skandinavia AS	CONPHIL	018	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2006-08-16	2006-09-28	TOR	2692-P	2/5-1 TOR	NO	56.000000	\N	3777.000000	67.400000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	TOR	1-A	NO	OIL	2006	2006	\N	99	ED50	56	38	31.34	N	3	19	36.68	E	56.642039	3.326856	6277728.180000	520046.970000	31	2	4	E	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5297	http://www.npd.no/FactMapSearch?NPDID_wellbore=5297	initial	\N	5297	44084	43520	9999-12-31	20900	296002	271525	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-29	2013-01-29	2013-05-08
2/4-E-18 A	2/4-E-18	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-09-29	2006-10-24	TOR	2693-P	2/5-1 TOR	NO	56.000000	\N	4505.000000	67.400000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	TOR	1-A	NO	OIL	2006	2006	\N	50	ED50	56	38	31.34	N	3	19	36.68	E	56.642039	3.326856	6277728.180000	520046.970000	31	2	4	E	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5298	http://www.npd.no/FactMapSearch?NPDID_wellbore=5298	sidetrack	2/4-E-18	5298	44084	43520	9999-12-31	20900	296002	271525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6507/7-A-11	6507/7-A-11	Statoil ASA (old)	STATOIL	095	OBSERVATION	\N	DEVELOPMENT	2006-04-20	2006-06-13	HEIDRUN	2694-P	6507/7-2 HEIDRUN	NO	74.200000	\N	5364.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2006	2006	\N	99	ED50	65	19	32.92	N	7	19	2.91	E	65.325811	7.317475	7245994.060000	421628.760000	32	6507	7	A	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5305	http://www.npd.no/FactMapSearch?NPDID_wellbore=5305	initial	\N	5305	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2013-01-24	2013-01-24	2013-05-08
6507/7-A-11 A	6507/7-A-11	Statoil ASA (old)	STATOIL	095	OBSERVATION	\N	DEVELOPMENT	2006-06-14	2006-06-27	HEIDRUN	2695-P	6507/7-2 HEIDRUN	NO	74.200000	\N	5428.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2006	2006	\N	99	ED50	65	19	32.92	N	7	19	2.91	E	65.325811	7.317475	7245994.060000	421628.760000	32	6507	7	A	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5306	http://www.npd.no/FactMapSearch?NPDID_wellbore=5306	sidetrack	6507/7-A-11	5306	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2013-01-24	2013-01-24	2013-05-08
25/8-C-17	25/8-C-17	ExxonMobil Exploration & Production Norway AS	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2006-04-10	2006-05-26	RINGHORNE ØST	2696-P	25/8-14 S	NO	60.300000	\N	5428.000000	128.000000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2006	2006	\N	50	ED50	59	15	58.07	N	2	26	59.24	E	59.266131	2.449789	6569967.910000	468631.720000	31	25	8	C	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5308	http://www.npd.no/FactMapSearch?NPDID_wellbore=5308	initial	\N	5308	2472571	3505505	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
33/12-B-42 A	33/12-B-42	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2006-07-01	2007-01-25	STATFJORD	2701-P	33/12-1 STATFJORD	NO	77.800000	\N	4906.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL/GAS	2006	2007	\N	0	ED50	61	12	23.81	N	1	49	51.05	E	61.206614	1.830847	6786524.390000	437175.710000	31	33	12	B	42	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5309	http://www.npd.no/FactMapSearch?NPDID_wellbore=5309	sidetrack	33/12-B-42	5309	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/4-K-1 H	25/4-K-1	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2006-06-28	2006-11-05	ALVHEIM	2697-P	25/4-7 ALVHEIM	NO	23.000000	\N	3670.000000	119.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	ALVHEIM FPSO	15	NO	OIL	2006	2006	\N	50	ED50	59	32	52.14	N	2	1	8.65	E	59.547817	2.019069	6601616.950000	444539.600000	31	25	4	K	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5310	http://www.npd.no/FactMapSearch?NPDID_wellbore=5310	initial	\N	5310	2420578	2845712	9999-12-31	22436	287983	375206	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
25/4-K-2 H	25/4-K-2	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2006-06-24	2006-08-14	ALVHEIM	2698-P	25/4-7 ALVHEIM	NO	23.000000	\N	3480.000000	119.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	ALVHEIM FPSO	15	NO	OIL	2006	2006	\N	50	ED50	59	32	52.16	N	2	1	10.90	E	59.547822	2.019694	6601617.040000	444574.940000	31	25	4	K	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5311	http://www.npd.no/FactMapSearch?NPDID_wellbore=5311	initial	\N	5311	2420578	2845712	9999-12-31	22436	287983	375206	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
25/4-K-3 H	25/4-K-3	Marathon Petroleum Norge AS	MARATHON	203	OBSERVATION	OIL	DEVELOPMENT	2006-05-10	2006-06-13	ALVHEIM	2699-P	25/4-7 ALVHEIM	NO	23.000000	\N	3430.000000	119.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	ALVHEIM FPSO	15	NO	OIL	2006	2006	\N	99	ED50	59	32	51.58	N	2	1	9.79	E	59.547661	2.019386	6601599.360000	444557.240000	31	25	4	K	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5312	http://www.npd.no/FactMapSearch?NPDID_wellbore=5312	initial	\N	5312	2420578	2845712	9999-12-31	22436	287983	375206	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
25/4-K-3 AH	25/4-K-3	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2006-06-14	2006-08-05	ALVHEIM	2700-P	25/4-7 ALVHEIM	NO	23.000000	\N	4667.000000	119.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	ALVHEIM FPSO	15	NO	OIL	2006	2006	\N	50	ED50	59	32	51.58	N	2	1	9.79	E	59.547661	2.019386	6601599.360000	444557.240000	31	25	4	K	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5313	http://www.npd.no/FactMapSearch?NPDID_wellbore=5313	sidetrack	25/4-K-3 H	5313	2420578	2845712	9999-12-31	22436	287983	375206	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
2/7-A-30 B	2/7-A-30	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-09-16	2007-03-01	ELDFISK	2702-P	2/7-1 ELDFISK	NO	43.000000	\N	4998.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2006	2007	\N	50	ED50	56	22	36.32	N	3	15	56.39	E	56.376756	3.265664	6248183.130000	516408.110000	31	2	7	A	30	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5314	http://www.npd.no/FactMapSearch?NPDID_wellbore=5314	sidetrack	2/7-A-30 A	5314	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6506/12-Q-1 H	6506/12-Q-1	Statoil ASA (old)	STATOIL	094	OBSERVATION	OIL	DEVELOPMENT	2006-05-27	2006-07-16	ÅSGARD	2703-P	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	5372.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Q	8	NO	OIL	2006	2006	\N	99	ED50	65	2	25.49	N	6	56	27.35	E	65.040414	6.940931	7214718.610000	403056.370000	32	6506	12	Q	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5317	http://www.npd.no/FactMapSearch?NPDID_wellbore=5317	initial	\N	5317	45846	43765	9999-12-31	21556	296245	363659	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
6506/12-Q-1 AY1H	6506/12-Q-1	Statoil ASA (old)	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2006-07-17	2006-08-13	ÅSGARD	2704-P1	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	6235.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Q	8	YES	OIL	2006	2006	\N	50	ED50	65	2	25.49	N	6	56	27.35	E	65.040414	6.940931	7214718.610000	403056.370000	32	6506	12	Q	1	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5318	http://www.npd.no/FactMapSearch?NPDID_wellbore=5318	multilateral	6506/12-Q-1 H	5318	45846	43765	9999-12-31	21556	296245	363659	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6506/12-Q-1 AY2H	6506/12-Q-1	Statoil ASA (old)	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2006-08-15	2006-10-03	ÅSGARD	2704-P2	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	6235.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Q	8	YES	OIL	2006	2006	\N	50	ED50	65	2	25.49	N	6	56	27.35	E	65.040414	6.940931	7214718.610000	403056.370000	32	6506	12	Q	1	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5319	http://www.npd.no/FactMapSearch?NPDID_wellbore=5319	multilateral	6506/12-Q-1 AY1H	5319	45846	43765	9999-12-31	21556	296245	363659	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-L-13 AY1H	31/2-L-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-05-18	2006-06-23	TROLL	2705-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5262.000000	326.000000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2006	2006	\N	50	ED50	60	47	6.32	N	3	33	21.98	E	60.785089	3.556106	6739137.510000	530281.700000	31	31	2	L	13	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5320	http://www.npd.no/FactMapSearch?NPDID_wellbore=5320	multilateral	31/2-L-13 H	5320	44534	46437	9999-12-31	21228	290980	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-13 AY2H	31/2-L-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-06-24	2006-07-09	TROLL	2705-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5206.000000	326.000000	NORTH SEA	STENA DEE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2006	2006	\N	50	ED50	60	47	6.32	N	3	33	21.98	E	60.785089	3.556106	6739137.510000	530281.700000	31	31	2	L	13	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5321	http://www.npd.no/FactMapSearch?NPDID_wellbore=5321	multilateral	31/2-L-13 AY1H	5321	44534	46437	9999-12-31	21228	290980	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-13 AY3H	31/2-L-13	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-08-24	2006-09-29	TROLL	2705-P3	31/2-1 TROLL VEST	NO	25.000000	\N	4920.000000	326.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2006	2006	\N	50	ED50	60	47	6.32	N	3	33	21.98	E	60.785089	3.556106	6739137.510000	530281.700000	31	31	2	L	13	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5322	http://www.npd.no/FactMapSearch?NPDID_wellbore=5322	multilateral	31/2-L-13 AY2H	5322	44534	46437	9999-12-31	21228	290980	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/3-A-5 B	30/3-A-5	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2006-05-06	2006-06-21	VESLEFRIKK	2706-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4930.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2006	2006	\N	50	ED50	60	46	57.77	N	2	53	52.38	E	60.782714	2.897883	6738749.030000	494438.970000	31	30	3	A	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5323	http://www.npd.no/FactMapSearch?NPDID_wellbore=5323	sidetrack	30/3-A-5 A	5323	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/1-A-32 A	2/1-A-32	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2006-10-01	2007-01-31	GYDA	2707-P	2/1-3 GYDA	NO	56.000000	\N	6270.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2006	2007	\N	50	ED50	56	54	17.31	N	3	5	5.95	E	56.904808	3.084986	6306934.020000	505176.150000	31	2	1	A	32	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5324	http://www.npd.no/FactMapSearch?NPDID_wellbore=5324	sidetrack	2/1-A-32	5324	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2013-04-16	2013-04-16	2013-05-08
34/10-E-4 BH	34/10-E-4	Statoil ASA (old)	STATOIL	050	INJECTION	GAS	DEVELOPMENT	2006-04-23	2006-05-26	GULLFAKS SØR	2708-P	34/10-2 GULLFAKS SØR	NO	31.000000	\N	4939.000000	133.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	GULLFAKS SØR E	Awarded additionaly to round 3	NO	GAS	2006	2006	\N	91	ED50	61	6	38.54	N	2	15	38.70	E	61.110706	2.260750	6775504.260000	460154.860000	31	34	10	E	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5325	http://www.npd.no/FactMapSearch?NPDID_wellbore=5325	sidetrack	34/10-E-4 AH	5325	44606	43699	9999-12-31	21188	297784	279701	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/8-D-5 H	6507/8-D-5	Statoil ASA (old)	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2006-06-01	2007-03-04	HEIDRUN	2709-P	6507/8-4 HEIDRUN NORD	NO	24.000000	\N	3878.000000	357.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2006	2007	\N	50	ED50	65	21	46.29	N	7	20	7.01	E	65.362858	7.335281	7250100.120000	422567.020000	32	6507	8	D	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5326	http://www.npd.no/FactMapSearch?NPDID_wellbore=5326	initial	\N	5326	44936	43771	9999-12-31	21804	297649	283593	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6407/7-A-5 BH	6407/7-A-5	Norsk Hydro Produksjon AS	HYDRO	107	INJECTION	WATER	DEVELOPMENT	2006-06-18	2006-08-13	NJORD	2710-P	6407/7-1 S NJORD	NO	30.000000	\N	4247.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	WATER	2006	2006	\N	173	ED50	64	16	14.75	N	7	12	6.47	E	64.270764	7.201797	7128594.630000	412902.570000	32	6407	7	A	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5329	http://www.npd.no/FactMapSearch?NPDID_wellbore=5329	sidetrack	6407/7-A-5 AH	5329	44876	43751	9999-12-31	21660	277713	277713	0	HYDRO PRODUKSJON	2013-01-26	2013-01-26	2013-05-08
2/8-N-3	2/8-N-3	BP Norge AS	BP	006 B	OBSERVATION	OIL	DEVELOPMENT	2006-05-05	2006-05-11	VALHALL	2711-P	2/8-6 VALHALL	NO	59.700000	\N	572.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2006	2006	\N	99	ED50	56	19	27.75	N	3	21	9.54	E	56.324375	3.352650	6242376.930000	521810.460000	31	2	8	N	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5330	http://www.npd.no/FactMapSearch?NPDID_wellbore=5330	initial	\N	5330	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
2/8-N-3 AY1	2/8-N-3	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2006-05-24	2006-09-13	VALHALL	2712-P1	2/8-6 VALHALL	NO	59.700000	\N	4578.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	YES	OIL	2006	2006	\N	50	ED50	56	19	27.75	N	3	21	9.54	E	56.324375	3.352650	6242376.930000	521810.460000	31	2	8	N	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5331	http://www.npd.no/FactMapSearch?NPDID_wellbore=5331	multilateral	2/8-N-3	5331	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
30/9-F-31	30/9-F-31	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	WATER	DEVELOPMENT	2006-06-13	2007-02-08	OSEBERG SØR	2713-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	5200.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER/GAS	2006	2007	\N	173	60ED50	60	23	24.43	N	2	47	49.63	E	60.390119	2.797119	6695033.790000	488816.740000	31	30	9	F	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5333	http://www.npd.no/FactMapSearch?NPDID_wellbore=5333	initial	\N	5333	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-N-3 AH	33/12-N-3	Statoil ASA (old)	STATOIL	037 B	PRODUCTION	OIL	DEVELOPMENT	2006-06-09	2007-01-20	GULLFAKS SØR	2714-P	34/10-17 RIMFAKS	NO	23.500000	\N	4762.000000	137.000000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	GULLFAKS C	Awarded additionaly to round 2-A	NO	OIL	2006	2007	\N	50	ED50	61	4	44.57	N	1	59	23.58	E	61.079047	1.989883	6772173.250000	445501.570000	31	33	12	N	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5334	http://www.npd.no/FactMapSearch?NPDID_wellbore=5334	sidetrack	33/12-N-3 H	5334	44600	43699	9999-12-31	48081	296677	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-M-24 Y1H	31/2-M-24	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2006-07-31	2009-07-22	TROLL	2715-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5238.000000	353.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL M1	4	YES	OIL	2006	2009	\N	50	ED50	60	55	53.18	N	3	39	51.57	E	60.931439	3.664325	6755493.200000	536009.370000	31	31	2	M	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5336	http://www.npd.no/FactMapSearch?NPDID_wellbore=5336	multilateral	31/2-M-24 AH	5336	44534	46437	9999-12-31	21228	296164	279057	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-M-24 Y2H	31/2-M-24	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2009-07-23	2009-08-05	TROLL	2715-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5552.000000	353.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL M1	4	YES	OIL	2009	2009	\N	50	ED50	60	55	53.18	N	3	39	51.57	E	60.931439	3.664325	6755493.200000	536009.370000	31	31	2	M	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5337	http://www.npd.no/FactMapSearch?NPDID_wellbore=5337	multilateral	31/2-M-24 Y1H	5337	44534	46437	9999-12-31	21228	296164	279057	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-M-24 Y3H	31/2-M-24	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2009-08-05	2009-08-24	TROLL	2715-P3	31/2-1 TROLL VEST	NO	25.000000	\N	4850.000000	353.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL M1	4	YES	OIL	2009	2009	\N	50	ED50	60	55	53.18	N	3	39	51.57	E	60.931439	3.664325	6755493.200000	536009.370000	31	31	2	M	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5338	http://www.npd.no/FactMapSearch?NPDID_wellbore=5338	multilateral	31/2-M-24 Y2H	5338	44534	46437	9999-12-31	21228	296164	279057	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-M-24 Y4H	31/2-M-24	StatoilHydro ASA	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	2715-P4	31/2-1 TROLL VEST	NO	25.000000	\N	0.000000	353.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL M1	4	YES	OIL	0	0	\N	0	ED50	60	55	53.18	N	3	39	51.57	E	60.931439	3.664325	6755493.200000	536009.370000	31	31	2	M	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5339	http://www.npd.no/FactMapSearch?NPDID_wellbore=5339	multilateral	31/2-M-24 Y3H	5339	44534	46437	9999-12-31	21228	296164	279057	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6608/10-G-2 H	6608/10-G-2	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2006-06-06	2006-07-10	URD	2716-P	6608/10-6 SVALE	NO	24.000000	\N	3764.000000	377.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE G	10-B	NO	OIL	2006	2006	\N	50	ED50	66	4	42.05	N	8	14	55.45	E	66.078347	8.248736	7329032.430000	466006.260000	32	6608	10	G	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5340	http://www.npd.no/FactMapSearch?NPDID_wellbore=5340	initial	\N	5340	1030536	2834734	9999-12-31	21836	294382	364789	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/11-A-2	34/11-A-2	Statoil ASA (old)	STATOIL	193	PRODUCTION	\N	DEVELOPMENT	2006-07-09	2006-10-24	KVITEBJØRN	2717-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	5172.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2006	2006	\N	71	ED50	61	4	48.96	N	2	29	59.07	E	61.080267	2.499742	6771991.720000	473010.240000	31	34	11	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5342	http://www.npd.no/FactMapSearch?NPDID_wellbore=5342	initial	\N	5342	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
2/8-N-6	2/8-N-6	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2006-06-18	2006-09-24	VALHALL	2718-P	2/8-6 VALHALL	NO	59.700000	\N	6225.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2006	2006	\N	50	ED50	56	19	27.65	N	3	21	9.54	E	56.324347	3.352650	6242373.840000	521810.470000	31	2	8	N	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5343	http://www.npd.no/FactMapSearch?NPDID_wellbore=5343	initial	\N	5343	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-N-8	2/8-N-8	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALHALL	2719-P	2/8-6 VALHALL	NO	59.700000	\N	0.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	0	0	\N	0	ED50	56	19	27.75	N	3	21	9.75	E	56.324375	3.352708	6242376.950000	521814.070000	31	2	8	N	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5344	http://www.npd.no/FactMapSearch?NPDID_wellbore=5344	initial	\N	5344	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-6	2/8-G-6	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2008-05-05	2008-07-18	VALHALL	2720-P	2/8-6 VALHALL	NO	65.300000	\N	4089.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	2008	2008	\N	50	ED50	56	16	35.40	N	3	23	46.81	E	56.276500	3.396336	6237062.840000	524542.980000	31	2	8	G	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5345	http://www.npd.no/FactMapSearch?NPDID_wellbore=5345	initial	\N	5345	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-7	2/8-G-7	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2008-07-23	2009-01-26	VALHALL	2721-P	2/8-6 VALHALL	NO	65.300000	\N	3810.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	2008	2009	\N	50	ED50	56	16	35.39	N	3	23	46.93	E	56.276497	3.396369	6237062.550000	524545.040000	31	2	8	G	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5346	http://www.npd.no/FactMapSearch?NPDID_wellbore=5346	initial	\N	5346	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-8	2/8-G-8	BP Norge AS	BP	006 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2006-08-01	2006-08-03	VALHALL	2722-P	2/8-6 VALHALL	NO	65.300000	\N	370.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	2006	2006	\N	99	ED50	56	16	35.38	N	3	23	47.05	E	56.276494	3.396403	6237062.250000	524547.110000	31	2	8	G	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5347	http://www.npd.no/FactMapSearch?NPDID_wellbore=5347	initial	\N	5347	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-12	2/8-G-12	BP Norge AS	BP	006 B	INJECTION	WATER	DEVELOPMENT	2009-10-13	2009-11-30	VALHALL	2723-P	2/8-6 VALHALL	NO	65.300000	\N	4684.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	WATER	2009	2009	\N	173	ED50	56	16	35.44	N	3	23	47.06	E	56.276511	3.396406	6237064.100000	524547.270000	31	2	8	G	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5348	http://www.npd.no/FactMapSearch?NPDID_wellbore=5348	initial	\N	5348	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-14	2/8-G-14	BP Norge AS	BP	006 B	INJECTION	WATER	DEVELOPMENT	2007-12-03	2008-03-13	VALHALL	2724-P	2/8-6 VALHALL	NO	65.300000	\N	4998.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	WATER	2007	2008	\N	173	ED50	56	16	35.53	N	3	23	46.84	E	56.276536	3.396344	6237066.870000	524543.470000	31	2	8	G	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5349	http://www.npd.no/FactMapSearch?NPDID_wellbore=5349	initial	\N	5349	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-16	2/8-G-16	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	2009-02-01	2009-03-24	VALHALL	2725-P	2/8-6 VALHALL	NO	65.300000	\N	4401.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	2009	2009	\N	71	ED50	56	16	35.51	N	3	23	47.08	E	56.276531	3.396411	6237066.270000	524547.600000	31	2	8	G	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5350	http://www.npd.no/FactMapSearch?NPDID_wellbore=5350	initial	\N	5350	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
15/9-F-14	15/9-F-14	StatoilHydro ASA	STATOIL	046 BS	PRODUCTION	OIL	DEVELOPMENT	2008-05-10	2008-07-03	VOLVE	2726-P	15/9-19 S VOLVE	NO	54.000000	\N	3750.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	2008	2008	\N	50	ED50	58	26	29.77	N	1	53	15.08	E	58.441603	1.887522	6478562.340000	435052.460000	31	15	9	F	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5351	http://www.npd.no/FactMapSearch?NPDID_wellbore=5351	initial	\N	5351	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/8-G-22	2/8-G-22	BP Norge AS	BP	006 B	INJECTION	WATER	DEVELOPMENT	2007-10-06	2007-11-04	VALHALL	2727-P	2/8-6 VALHALL	NO	65.300000	\N	3085.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	WATER	2007	2007	\N	173	ED50	56	16	35.64	N	3	23	46.88	E	56.276567	3.396356	6237070.270000	524544.140000	31	2	8	G	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5352	http://www.npd.no/FactMapSearch?NPDID_wellbore=5352	initial	\N	5352	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-23	2/8-G-23	BP Norge AS	BP	006 B	INJECTION	\N	DEVELOPMENT	2013-02-27	9999-12-31	VALHALL	2728-P	2/8-6 VALHALL	NO	65.300000	\N	0.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	WATER	2013	0	\N	0	ED50	56	16	35.68	N	3	23	47.00	E	56.276578	3.396389	6237071.520000	524546.200000	31	2	8	G	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5353	http://www.npd.no/FactMapSearch?NPDID_wellbore=5353	initial	\N	5353	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2013-03-06	2013-03-06	2013-05-08
15/12-A-9 A	15/12-A-9	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2006-08-11	2006-08-29	VARG	2729-P	15/12-4 VARG	NO	51.500000	\N	3267.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2006	2006	\N	50	ED50	58	4	40.39	N	1	53	25.58	E	58.077886	1.890439	6438065.860000	434555.750000	31	15	12	A	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5360	http://www.npd.no/FactMapSearch?NPDID_wellbore=5360	sidetrack	15/12-A-9	5360	43868	43451	9999-12-31	21092	278245	279505	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
6507/7-A-11 B	6507/7-A-11	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2006-06-28	2006-09-30	HEIDRUN	2730-P	6507/7-2 HEIDRUN	NO	74.200000	\N	5363.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2006	2006	\N	50	ED50	65	19	32.92	N	7	19	2.91	E	65.325811	7.317475	7245994.060000	421628.760000	32	6507	7	A	11	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5361	http://www.npd.no/FactMapSearch?NPDID_wellbore=5361	sidetrack	6507/7-A-11 A	5361	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-E-1 Y1H	34/10-E-1	Statoil ASA (old)	STATOIL	050	INJECTION	GAS	DEVELOPMENT	2006-07-04	2006-08-21	GULLFAKS SØR	2731-P1	34/10-2 GULLFAKS SØR	NO	23.500000	\N	3800.000000	133.000000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	GULLFAKS SØR E	Awarded additionaly to round 3	YES	GAS	2006	2006	\N	91	ED50	61	6	38.43	N	2	15	38.84	E	61.110675	2.260789	6775500.840000	460156.920000	31	34	10	E	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5362	http://www.npd.no/FactMapSearch?NPDID_wellbore=5362	multilateral	\N	5362	44606	43699	9999-12-31	21188	296677	279701	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-E-1 Y2H	34/10-E-1	Statoil ASA (old)	STATOIL	050	INJECTION	GAS	DEVELOPMENT	2006-08-22	2006-09-02	GULLFAKS SØR	2731-P2	34/10-2 GULLFAKS SØR	NO	23.500000	\N	3610.000000	133.000000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	GULLFAKS SØR E	Awarded additionaly to round 3	YES	GAS	2006	2006	\N	91	ED50	61	6	38.43	N	2	15	38.84	E	61.110675	2.260789	6775500.840000	460156.920000	31	34	10	E	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5363	http://www.npd.no/FactMapSearch?NPDID_wellbore=5363	multilateral	34/10-E-1 Y1H	5363	44606	43699	9999-12-31	21188	296677	279701	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-A-16 B	33/9-A-16	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2006-07-11	2006-10-21	STATFJORD	2732-P	33/12-1 STATFJORD	NO	64.400000	\N	5130.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2006	2006	\N	50	ED50	61	15	20.78	N	1	51	14.96	E	61.255772	1.854156	6791977.530000	438524.090000	31	33	9	A	16	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5364	http://www.npd.no/FactMapSearch?NPDID_wellbore=5364	sidetrack	33/9-A-16 A	5364	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/4-C-7 AH	34/4-C-7	Statoil ASA (old)	STATOIL	057	PRODUCTION	OIL	DEVELOPMENT	2007-08-13	2007-10-06	SNORRE	2734-P	34/4-1 SNORRE	NO	37.000000	\N	5325.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-C H	4	NO	OIL	2007	2007	\N	50	ED50	61	31	30.51	N	2	12	40.31	E	61.525142	2.211197	6821699.070000	458041.670000	31	34	4	C	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5366	http://www.npd.no/FactMapSearch?NPDID_wellbore=5366	sidetrack	34/4-C-7 H	5366	44654	43718	9999-12-31	21252	280485	282781	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-F-2 A	30/9-F-2	Norsk Hydro Produksjon AS	HYDRO	104	INJECTION	CUTTINGS	DEVELOPMENT	2006-08-15	2006-08-24	OSEBERG SØR	2735-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	1805.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	CUTTINGS	2006	2006	\N	171	ED50	60	23	24.91	N	2	47	49.24	E	60.390253	2.797011	6695048.660000	488810.810000	31	30	9	F	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5374	http://www.npd.no/FactMapSearch?NPDID_wellbore=5374	sidetrack	30/9-F-2	5374	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-K-19 A	2/4-K-19	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2006-10-03	2006-12-21	EKOFISK	2736-P	2/4-2 EKOFISK	NO	55.200000	\N	4267.000000	71.300000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2006	2006	\N	173	ED50	56	33	55.84	N	3	12	21.98	E	56.565511	3.206106	6269180.910000	512666.630000	31	2	4	K	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5377	http://www.npd.no/FactMapSearch?NPDID_wellbore=5377	sidetrack	2/4-K-19	5377	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/7-B-16 A	2/7-B-16	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-10-18	2007-02-07	ELDFISK	2738-P	2/7-1 ELDFISK	NO	42.400000	\N	4145.000000	71.300000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2006	2007	\N	50	ED50	56	25	9.06	N	3	13	5.79	E	56.419183	3.218275	6252895.420000	513466.270000	31	2	7	B	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5378	http://www.npd.no/FactMapSearch?NPDID_wellbore=5378	sidetrack	2/7-B-16	5378	44114	43527	9999-12-31	20900	271609	271609	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
25/11-G-12 Y1	25/11-G-12	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2006-08-11	2006-10-21	GRANE	2737-P1	25/11-15 GRANE	NO	69.900000	\N	4621.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2006	2006	\N	50	ED50	59	9	55.12	N	2	29	14.45	E	59.165311	2.487347	6558723.900000	470686.940000	31	25	11	G	12	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5379	http://www.npd.no/FactMapSearch?NPDID_wellbore=5379	multilateral	\N	5379	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-12 Y2	25/11-G-12	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2006-10-23	2006-12-09	GRANE	2737-P2	25/11-15 GRANE	NO	69.900000	\N	4286.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2006	2006	\N	50	ED50	59	9	55.12	N	2	29	14.45	E	59.165311	2.487347	6558723.900000	470686.940000	31	25	11	G	12	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5380	http://www.npd.no/FactMapSearch?NPDID_wellbore=5380	multilateral	25/11-G-12 Y1	5380	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/3-S-24 Y1H	31/3-S-24	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2006-07-16	2006-11-16	TROLL	2739-P1	31/2-1 TROLL VEST	NO	25.000000	\N	6398.000000	342.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	YES	OIL	2006	2006	\N	50	ED50	60	53	34.82	N	3	40	19.01	E	60.893006	3.671947	6751216.560000	536466.390000	31	31	3	S	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5381	http://www.npd.no/FactMapSearch?NPDID_wellbore=5381	multilateral	\N	5381	44534	46437	9999-12-31	21476	290980	280737	0	HYDRO PRODUKSJON	2013-01-26	2013-01-26	2013-05-08
31/3-S-24 Y2H	31/3-S-24	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2006-11-17	2006-12-30	TROLL	2739-P2	31/2-1 TROLL VEST	NO	25.000000	\N	6137.000000	342.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	YES	OIL	2006	2006	\N	50	ED50	60	53	34.82	N	3	40	19.01	E	60.893006	3.671947	6751216.560000	536466.390000	31	31	3	S	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5382	http://www.npd.no/FactMapSearch?NPDID_wellbore=5382	multilateral	31/3-S-24 Y1H	5382	44534	46437	9999-12-31	21476	290980	280737	0	HYDRO PRODUKSJON	2013-01-26	2013-01-26	2013-05-08
31/3-S-24 Y3H	31/3-S-24	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2006-12-31	2007-03-07	TROLL	2739-P3	31/2-1 TROLL VEST	NO	25.000000	\N	6221.000000	342.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	YES	OIL	2006	2007	\N	50	ED50	60	53	34.82	N	3	40	19.01	E	60.893006	3.671947	6751216.560000	536466.390000	31	31	3	S	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5383	http://www.npd.no/FactMapSearch?NPDID_wellbore=5383	multilateral	31/3-S-24 Y2H	5383	44534	46437	9999-12-31	21476	290980	280737	0	HYDRO PRODUKSJON	2013-01-26	2013-01-26	2013-05-08
2/4-X-1 A	2/4-X-1	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	2006-10-17	2006-12-03	EKOFISK	2740-P	2/4-2 EKOFISK	NO	57.000000	\N	4522.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2006	2006	\N	71	ED50	56	32	50.93	N	3	13	7.98	E	56.547481	3.218883	6267176.330000	513458.320000	31	2	4	X	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5387	http://www.npd.no/FactMapSearch?NPDID_wellbore=5387	sidetrack	2/4-X-1	5387	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-29	2013-01-29	2013-05-08
30/3-A-15 A	30/3-A-15	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2006-09-01	2006-10-25	VESLEFRIKK	2741-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4400.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2006	2006	\N	50	ED50	60	46	57.98	N	2	53	52.38	E	60.782772	2.897883	6738755.530000	494438.980000	31	30	3	A	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5388	http://www.npd.no/FactMapSearch?NPDID_wellbore=5388	sidetrack	30/3-A-15	5388	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-B-30	25/8-B-30	ExxonMobil Exploration & Production Norway AS	ESSO	027 B	PRODUCTION	OIL	DEVELOPMENT	2006-08-14	2006-10-04	JOTUN	2742-P	25/8-5 S JOTUN	NO	52.400000	\N	5554.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2006	2006	\N	50	ED50	59	27	3.60	N	2	22	0.99	E	59.451000	2.366942	6590596.570000	464104.650000	31	25	8	B	30	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5389	http://www.npd.no/FactMapSearch?NPDID_wellbore=5389	initial	\N	5389	44330	43604	9999-12-31	917344	279365	279393	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
6608/10-K-3 H	6608/10-K-3	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2006-09-04	2006-10-17	NORNE	2743-P	6608/10-2 NORNE	NO	24.000000	\N	3849.000000	375.700000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE K	10-B	NO	OIL	2006	2006	\N	50	ED50	66	0	48.68	N	8	3	14.54	E	66.013522	8.054039	7321926.410000	457087.910000	32	6608	10	K	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5390	http://www.npd.no/FactMapSearch?NPDID_wellbore=5390	initial	\N	5390	44942	43778	9999-12-31	21836	294382	372501	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/8-N-2	2/8-N-2	BP Norge AS	BP	006 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2003-08-08	2003-08-14	VALHALL	2744-P	2/8-6 VALHALL	NO	59.900000	\N	584.000000	69.800000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	NOT APPLICABLE	2003	2003	\N	99	ED50	56	19	27.70	N	3	21	9.44	E	56.324361	3.352622	6242375.380000	521808.750000	31	2	8	N	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5392	http://www.npd.no/FactMapSearch?NPDID_wellbore=5392	initial	\N	5392	44162	43548	9999-12-31	1333048	296110	361248	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
15/12-A-4	15/12-A-4	Saga Petroleum ASA	SAGA	038	INJECTION	CUTTINGS	DEVELOPMENT	1996-10-02	1996-11-04	VARG	2745-P	15/12-4 VARG	NO	23.000000	\N	3571.000000	84.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	VARG A	3	NO	CUTTINGS	1996	1996	15/12-10 S	171	ED50	58	4	40.48	N	1	53	25.56	E	58.077911	1.890433	6438068.650000	434555.460000	31	15	12	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5393	http://www.npd.no/FactMapSearch?NPDID_wellbore=5393	initial	\N	5393	43868	43451	9999-12-31	21092	287983	279505	2285	SAGA	2012-07-25	2012-07-25	2013-05-08
25/4-J-1 H	25/4-J-1	Marathon Petroleum Norge AS	MARATHON	203	INJECTION	WATER	DEVELOPMENT	2006-09-06	2006-09-10	ALVHEIM	2746-P	25/4-7 ALVHEIM	NO	23.000000	\N	1176.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	ALVHEIM FPSO	15	NO	WATER	2006	2006	\N	173	ED50	59	34	54.47	N	2	3	28.18	E	59.581797	2.057828	6605369.240000	446784.490000	31	25	4	J	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5394	http://www.npd.no/FactMapSearch?NPDID_wellbore=5394	initial	\N	5394	2420578	2845712	9999-12-31	22436	287983	375206	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
25/4-J-2 H	25/4-J-2	Marathon Petroleum Norge AS	MARATHON	203	INJECTION	WATER	DEVELOPMENT	2006-08-25	2006-10-13	ALVHEIM	2747-P	25/4-7 ALVHEIM	NO	23.000000	\N	1180.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	ALVHEIM FPSO	15	NO	WATER	2006	2006	\N	173	ED50	59	34	53.62	N	2	3	30.80	E	59.581561	2.058556	6605342.360000	446825.220000	31	25	4	J	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5395	http://www.npd.no/FactMapSearch?NPDID_wellbore=5395	initial	\N	5395	2420578	2845712	9999-12-31	22436	287983	375206	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
25/4-J-1 AH	25/4-J-1	Marathon Petroleum Norge AS	MARATHON	203	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2006-09-11	2006-09-21	ALVHEIM	2748-P	25/4-7 ALVHEIM	NO	23.000000	\N	2252.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	ALVHEIM FPSO	15	NO	NOT APPLICABLE	2006	2006	\N	99	ED50	59	34	54.47	N	2	3	28.18	E	59.581797	2.057828	6605369.240000	446784.490000	31	25	4	J	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5397	http://www.npd.no/FactMapSearch?NPDID_wellbore=5397	sidetrack	25/4-J-1 H	5397	2420578	2845712	9999-12-31	22436	287983	375206	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
6305/5-M-2	6305/5-M-2	A/S Norske Shell	SHELL	209	OBSERVATION	\N	DEVELOPMENT	2006-08-05	2006-08-30	ORMEN LANGE	2749-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	2787.000000	1070.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE B	15	NO	\N	2006	2006	\N	99	ED50	63	36	46.95	N	5	21	36.16	E	63.613042	5.360044	7056228.000000	617014.510000	31	6305	5	M	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5398	http://www.npd.no/FactMapSearch?NPDID_wellbore=5398	initial	\N	5398	44822	2762452	9999-12-31	22484	297082	371216	0	SHELL NORGE	2013-01-29	2013-01-29	2013-05-08
31/2-G-1 BY1H	31/2-G-1	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-08-03	2007-03-08	TROLL	2750-P1	31/2-1 TROLL VEST	NO	35.500000	\N	4860.000000	327.600000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL G	4	YES	OIL	2006	2007	\N	50	ED50	60	45	14.72	N	3	26	22.19	E	60.754089	3.439497	6735636.460000	523955.190000	31	31	2	G	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5399	http://www.npd.no/FactMapSearch?NPDID_wellbore=5399	multilateral	31/2-G-1 AH	5399	44534	46437	9999-12-31	21228	297055	278189	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-G-1 BY2H	31/2-G-1	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-03-09	2007-05-07	TROLL	2750-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5524.000000	327.600000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL G	4	YES	OIL	2007	2007	\N	50	ED50	60	45	14.72	N	3	26	22.19	E	60.754089	3.439497	6735636.460000	523955.190000	31	31	2	G	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5400	http://www.npd.no/FactMapSearch?NPDID_wellbore=5400	multilateral	31/2-G-1 BY1H	5400	44534	46437	9999-12-31	21228	297055	278189	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
24/6-B-1 H	24/6-B-1	Marathon Petroleum Norge AS	MARATHON	203	OBSERVATION	\N	DEVELOPMENT	2006-12-05	2007-01-01	ALVHEIM	2751-P	24/6-2 ALVHEIM	NO	23.000000	\N	2995.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	KNELER B	15	NO	OIL	2006	2007	\N	99	ED50	59	32	47.53	N	1	59	19.14	E	59.546536	1.988650	6601500.130000	442817.640000	31	24	6	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5401	http://www.npd.no/FactMapSearch?NPDID_wellbore=5401	initial	\N	5401	45828	2845712	9999-12-31	22436	287983	375092	0	MARATHON N	2013-01-24	2013-01-24	2013-05-08
24/6-B-1 AH	24/6-B-1	Marathon Petroleum Norge AS	MARATHON	203	OBSERVATION	\N	DEVELOPMENT	2007-01-02	2007-01-10	ALVHEIM	2752-P	24/6-2 ALVHEIM	NO	23.000000	\N	3070.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	KNELER B	15	NO	OIL	2007	2007	\N	99	ED50	59	32	47.53	N	1	59	19.14	E	59.546536	1.988650	6601500.130000	442817.640000	31	24	6	B	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5402	http://www.npd.no/FactMapSearch?NPDID_wellbore=5402	sidetrack	24/6-B-1 H	5402	45828	2845712	9999-12-31	22436	287983	375092	0	MARATHON N	2013-01-24	2013-01-24	2013-05-08
24/6-B-1 BH	24/6-B-1	Marathon Petroleum Norge AS	MARATHON	203	OBSERVATION	OIL	DEVELOPMENT	2007-01-11	2007-01-18	ALVHEIM	2753-P	24/6-2 ALVHEIM	NO	23.000000	\N	3249.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	KNELER B	15	NO	NOT APPLICABLE	2007	2007	\N	99	ED50	59	32	47.53	N	1	59	19.14	E	59.546536	1.988650	6601500.130000	442817.640000	31	24	6	B	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5403	http://www.npd.no/FactMapSearch?NPDID_wellbore=5403	sidetrack	24/6-B-1 AH	5403	45828	2845712	9999-12-31	22436	287983	375092	0	MARATHON N	2013-01-24	2013-01-24	2013-05-08
34/10-C-46	34/10-C-46	Statoil ASA (old)	STATOIL	050	WILDCAT	OIL	DEVELOPMENT	2004-03-17	2004-12-22	GIMLE	2754-P	34/10-48 S GIMLE	NO	84.000000	\N	7477.000000	216.900000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2004	2004	34/10-48 S	50	ED50	61	12	53.74	N	2	16	27.64	E	61.214928	2.274344	6787105.100000	461016.370000	31	34	10	C	46	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5404	http://www.npd.no/FactMapSearch?NPDID_wellbore=5404	initial	\N	5404	3000688	4005142	9999-12-31	21188	272645	272645	4902	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-E-1 Y3H	34/10-E-1	Statoil ASA (old)	STATOIL	050	INJECTION	GAS	DEVELOPMENT	2006-09-03	2006-10-08	GULLFAKS SØR	2731-P3	34/10-2 GULLFAKS SØR	NO	23.500000	\N	3741.000000	133.000000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	GULLFAKS SØR E	Awarded additionaly to round 3	YES	GAS	2006	2006	\N	91	ED50	61	6	38.43	N	2	15	38.84	E	61.110675	2.260789	6775500.840000	460156.920000	31	34	10	E	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5405	http://www.npd.no/FactMapSearch?NPDID_wellbore=5405	multilateral	34/10-E-1 Y2H	5405	44606	43699	9999-12-31	21188	296677	279701	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-M-25	2/4-M-25	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	2006-12-29	2007-01-14	EKOFISK	2760-P	2/4-2 EKOFISK	NO	71.000000	\N	4627.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2007	\N	71	ED50	56	32	43.53	N	3	13	24.03	E	56.545425	3.223342	6266948.410000	513733.180000	31	2	4	M	25	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5407	http://www.npd.no/FactMapSearch?NPDID_wellbore=5407	initial	\N	5407	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-29	2013-01-29	2013-05-08
2/4-M-26	2/4-M-26	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2008-03-27	2008-04-30	EKOFISK	2761-P	2/4-2 EKOFISK	NO	71.000000	\N	4952.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2008	2008	\N	50	ED50	56	32	43.28	N	3	13	23.62	E	56.545356	3.223228	6266940.660000	513726.210000	31	2	4	M	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5408	http://www.npd.no/FactMapSearch?NPDID_wellbore=5408	initial	\N	5408	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-29	2/4-M-29	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-05-03	2007-06-15	EKOFISK	2762-P	2/4-2 EKOFISK	NO	71.000000	\N	5084.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2007	2007	\N	50	ED50	56	32	43.41	N	3	13	23.99	E	56.545392	3.223331	6266944.700000	513732.510000	31	2	4	M	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5409	http://www.npd.no/FactMapSearch?NPDID_wellbore=5409	initial	\N	5409	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-6	2/4-M-6	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2008-02-20	2008-03-23	EKOFISK	2755-P	2/4-2 EKOFISK	NO	71.000000	\N	4246.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2008	2008	\N	50	ED50	56	32	43.67	N	3	13	23.15	E	56.545464	3.223097	6266952.690000	513718.140000	31	2	4	M	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5410	http://www.npd.no/FactMapSearch?NPDID_wellbore=5410	initial	\N	5410	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-8	2/4-M-8	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-10-02	2007-11-13	EKOFISK	2756-P	2/4-2 EKOFISK	NO	71.000000	\N	3740.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2007	2007	\N	50	ED50	56	32	43.76	N	3	13	23.39	E	56.545489	3.223164	6266955.490000	513722.230000	31	2	4	M	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5411	http://www.npd.no/FactMapSearch?NPDID_wellbore=5411	initial	\N	5411	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-11	2/4-M-11	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-06-29	2007-07-25	EKOFISK	2757-P	2/4-2 EKOFISK	NO	71.000000	\N	4854.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2007	2007	\N	50	ED50	56	32	43.60	N	3	13	23.23	E	56.545444	3.223119	6266950.530000	513719.510000	31	2	4	M	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5412	http://www.npd.no/FactMapSearch?NPDID_wellbore=5412	initial	\N	5412	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-14	2/4-M-14	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-01-29	2007-03-18	EKOFISK	2758-P	2/4-2 EKOFISK	NO	71.000000	\N	4448.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2007	2007	\N	50	ED50	56	32	43.74	N	3	13	23.59	E	56.545483	3.223219	6266954.880000	513725.650000	31	2	4	M	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5413	http://www.npd.no/FactMapSearch?NPDID_wellbore=5413	initial	\N	5413	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-15	2/4-M-15	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	2006-11-21	2006-12-11	EKOFISK	2759-P	2/4-2 EKOFISK	NO	71.000000	\N	5277.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2006	\N	71	ED50	56	32	43.78	N	3	13	23.72	E	56.545494	3.223256	6266956.120000	513727.860000	31	2	4	M	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5414	http://www.npd.no/FactMapSearch?NPDID_wellbore=5414	initial	\N	5414	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-29	2013-01-29	2013-05-08
33/12-B-17 A	33/12-B-17	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2006-09-19	2007-02-19	STATFJORD	2763-P	33/12-1 STATFJORD	NO	77.800000	\N	4637.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2006	2007	\N	50	ED50	61	12	25.02	N	1	49	52.34	E	61.206950	1.831206	6786561.480000	437195.640000	31	33	12	B	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5415	http://www.npd.no/FactMapSearch?NPDID_wellbore=5415	sidetrack	33/12-B-17	5415	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-7 B	34/10-B-7	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2006-10-15	2006-11-06	GULLFAKS	2764-P	34/10-1 GULLFAKS	NO	80.700000	\N	4469.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2006	2006	\N	50	ED50	61	12	9.91	N	2	12	6.53	E	61.202753	2.201814	6785794.370000	457103.460000	31	34	10	B	7	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5416	http://www.npd.no/FactMapSearch?NPDID_wellbore=5416	sidetrack	34/10-B-7 A	5416	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
15/12-A-12 B	15/12-A-12	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2006-09-14	2006-10-26	VARG	2765-P	15/12-4 VARG	NO	52.000000	\N	3253.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2006	2006	\N	50	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	15	12	A	12	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5417	http://www.npd.no/FactMapSearch?NPDID_wellbore=5417	sidetrack	15/12-A-12 A	5417	43868	43451	9999-12-31	21092	278245	279505	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
25/8-B-32	25/8-B-32	ExxonMobil Exploration & Production Norway AS	ESSO	027 B	PRODUCTION	\N	DEVELOPMENT	2006-10-05	2006-11-01	JOTUN	2766-P	25/8-5 S JOTUN	NO	52.000000	\N	4599.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN A	Awarded additionaly to round 2-A	NO	OIL	2006	2006	\N	71	ED50	59	27	3.72	N	2	22	0.71	E	59.451033	2.366864	6590600.320000	464100.280000	31	25	8	B	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5418	http://www.npd.no/FactMapSearch?NPDID_wellbore=5418	initial	\N	5418	44330	43604	9999-12-31	917344	279365	279393	0	EXXON MO	2013-01-29	2013-01-29	2013-05-08
2/7-A-5 B	2/7-A-5	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2008-02-15	2008-04-12	ELDFISK	2767-P	2/7-1 ELDFISK	NO	51.000000	\N	5206.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	WATER	2008	2008	\N	173	ED50	56	22	36.41	N	3	15	57.86	E	56.376781	3.266072	6248186.010000	516433.320000	31	2	7	A	5	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5419	http://www.npd.no/FactMapSearch?NPDID_wellbore=5419	sidetrack	2/7-A-5 A	5419	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-10 A	2/4-M-10	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-06-05	2006-08-10	EKOFISK	2768-P	2/4-2 EKOFISK	NO	71.000000	\N	4680.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2006	\N	50	ED50	56	32	43.85	N	3	13	23.63	E	56.545514	3.223231	6266958.280000	513726.320000	31	2	4	M	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5420	http://www.npd.no/FactMapSearch?NPDID_wellbore=5420	sidetrack	2/4-M-10	5420	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
31/4-A-16 A	31/4-A-16	Norsk Hydro Produksjon AS	HYDRO	055	OBSERVATION	OIL	DEVELOPMENT	2006-12-05	2007-02-20	BRAGE	2769-P	31/4-3 BRAGE	NO	62.600000	\N	5487.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2006	2007	\N	99	ED50	60	32	33.34	N	3	2	51.03	E	60.542594	3.047508	6712000.250000	502606.520000	31	31	4	A	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5421	http://www.npd.no/FactMapSearch?NPDID_wellbore=5421	sidetrack	31/4-A-16	5421	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
31/4-A-16 B	31/4-A-16	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2007-02-21	2007-03-27	BRAGE	2770-P	31/4-3 BRAGE	NO	62.600000	\N	5643.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2007	2007	\N	50	ED50	60	32	33.34	N	3	2	51.03	E	60.542594	3.047508	6712000.250000	502606.520000	31	31	4	A	16	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5422	http://www.npd.no/FactMapSearch?NPDID_wellbore=5422	sidetrack	31/4-A-16 A	5422	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2013-01-26	2013-01-26	2013-05-08
30/9-J-11 AH	30/9-J-11	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	\N	DEVELOPMENT	2006-09-20	2006-09-29	OSEBERG SØR	2771-P	30/9-10 OSEBERG SØR	NO	31.000000	\N	3690.000000	102.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	OSEBERG SØR J	9	NO	OIL	2006	2006	\N	71	ED50	60	21	16.17	N	2	53	59.85	E	60.354492	2.899958	6691052.580000	494479.440000	31	30	9	J	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5423	http://www.npd.no/FactMapSearch?NPDID_wellbore=5423	sidetrack	30/9-J-11 H	5423	44468	43645	9999-12-31	21636	290170	281745	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
35/11-B-24 H	35/11-B-24	Norsk Hydro Produksjon AS	HYDRO	090	INJECTION	WATER	DEVELOPMENT	2006-12-26	2007-01-19	FRAM	2773-P	35/11-4 FRAM	NO	31.000000	\N	1674.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B2	8	NO	WATER	2006	2007	\N	173	ED50	61	2	33.79	N	3	35	59.73	E	61.042719	3.599925	6767854.630000	532405.170000	31	35	11	B	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5424	http://www.npd.no/FactMapSearch?NPDID_wellbore=5424	initial	\N	5424	44750	1578840	9999-12-31	21524	290170	371520	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6608/10-K-1 H	6608/10-K-1	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2006-10-18	2006-12-20	NORNE	2772-P	6608/10-2 NORNE	NO	24.000000	\N	3795.000000	375.700000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NORNE K	10-B	NO	OIL	2006	2006	\N	50	ED50	66	0	48.32	N	8	3	14.92	E	66.013422	8.054144	7321915.190000	457092.530000	32	6608	10	K	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5425	http://www.npd.no/FactMapSearch?NPDID_wellbore=5425	initial	\N	5425	44942	43778	9999-12-31	21836	294382	372501	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-J-11 BH	30/9-J-11	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	OIL	DEVELOPMENT	2006-09-30	2006-10-30	OSEBERG SØR	2774-P	30/9-10 OSEBERG SØR	NO	31.000000	\N	3311.000000	102.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	OSEBERG SØR J	9	NO	OIL	2006	2006	\N	50	ED50	60	21	16.17	N	2	53	59.85	E	60.354492	2.899958	6691052.580000	494479.440000	31	30	9	J	11	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5426	http://www.npd.no/FactMapSearch?NPDID_wellbore=5426	sidetrack	30/9-J-11 AH	5426	44468	43645	9999-12-31	21636	290170	281745	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-24 B	34/10-A-24	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2007-04-12	2007-05-03	GULLFAKS	2775-P	34/10-1 GULLFAKS	NO	82.000000	\N	3157.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2007	2007	\N	50	ED50	61	10	33.63	N	2	11	22.72	E	61.176008	2.189644	6782823.450000	456412.550000	31	34	10	A	24	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5427	http://www.npd.no/FactMapSearch?NPDID_wellbore=5427	sidetrack	34/10-A-24 A	5427	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/11-S-7 F2	2/11-S-7	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2005-05-04	2005-06-12	HOD	2538-P2	2/11-2 HOD	NO	59.200000	\N	6070.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2005	2005	\N	50	ED50	56	13	39.71	N	3	26	14.81	E	56.227697	3.437447	6231646.250000	527123.240000	31	2	11	S	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5428	http://www.npd.no/FactMapSearch?NPDID_wellbore=5428	multi-field	2/11-S-7	5428	44000	43485	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/11-S-1 AF2	2/11-S-1	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2005-11-01	2005-12-09	HOD	2639-P2	2/11-2 HOD	NO	59.200000	\N	5428.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2005	2005	\N	50	ED50	56	13	39.66	N	3	26	14.53	E	56.227683	3.437369	6231644.670000	527118.420000	31	2	11	S	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5429	http://www.npd.no/FactMapSearch?NPDID_wellbore=5429	multi-field	2/11-S-1 A	5429	44000	43485	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-N-22 Y1H	31/2-N-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2006-10-20	2007-01-07	TROLL	2776-P1	31/2-1 TROLL VEST	NO	25.000000	\N	6313.000000	348.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL N2	4	YES	OIL	2006	2007	\N	50	ED50	60	56	46.92	N	3	34	49.07	E	60.946367	3.580297	6757112.700000	531440.060000	31	31	2	N	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5431	http://www.npd.no/FactMapSearch?NPDID_wellbore=5431	multilateral	\N	5431	44534	46437	9999-12-31	21228	296164	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-22 Y2H	31/2-N-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-01-09	2007-01-18	TROLL	2776-P2	31/2-1 TROLL VEST	NO	25.000000	\N	3876.000000	348.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL N2	4	YES	OIL	2007	2007	\N	50	ED50	60	56	46.92	N	3	34	49.07	E	60.946367	3.580297	6757112.700000	531440.060000	31	31	2	N	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5432	http://www.npd.no/FactMapSearch?NPDID_wellbore=5432	multilateral	31/2-N-22 Y1H	5432	44534	46437	9999-12-31	21228	296164	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-N-22 Y3H	31/2-N-22	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-01-19	2007-02-24	TROLL	2776-P3	31/2-1 TROLL VEST	NO	25.000000	\N	5516.000000	348.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL N2	4	YES	OIL	2007	2007	\N	50	ED50	60	56	46.92	N	3	34	49.07	E	60.946367	3.580297	6757112.700000	531440.060000	31	31	2	N	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5433	http://www.npd.no/FactMapSearch?NPDID_wellbore=5433	multilateral	31/2-N-22 Y2H	5433	44534	46437	9999-12-31	21228	296164	280317	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-32 B	33/9-A-32	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2006-11-25	2006-12-31	STATFJORD	2777-P	33/12-1 STATFJORD	NO	64.400000	\N	4404.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2006	2006	\N	50	ED50	61	15	19.82	N	1	51	14.12	E	61.255506	1.853922	6791948.050000	438511.050000	31	33	9	A	32	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5434	http://www.npd.no/FactMapSearch?NPDID_wellbore=5434	sidetrack	33/9-A-32 A	5434	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-B-31	25/8-B-31	ExxonMobil Exploration & Production Norway AS	ESSO	027 B	PRODUCTION	\N	DEVELOPMENT	2006-11-02	2006-12-03	JOTUN	2778-P	25/8-5 S JOTUN	NO	52.000000	\N	3969.000000	127.000000	NORTH SEA	JOTUN B	JACKET 4 LEGS	JOTUN B	Awarded additionaly to round 2-A	NO	OIL	2006	2006	\N	71	ED50	59	27	3.71	N	2	22	1.07	E	59.451031	2.366964	6590599.960000	464105.940000	31	25	8	B	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5436	http://www.npd.no/FactMapSearch?NPDID_wellbore=5436	initial	\N	5436	44330	43604	9999-12-31	917344	279365	279365	0	EXXON MO	2013-01-29	2013-01-29	2013-05-08
34/10-B-17 A	34/10-B-17	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2006-11-23	2007-01-03	GULLFAKS	2779-P	34/10-1 GULLFAKS	NO	80.700000	\N	2865.000000	142.900000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2006	2007	\N	50	ED50	61	12	11.10	N	2	12	4.49	E	61.203083	2.201247	6785831.560000	457073.460000	31	34	10	B	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5437	http://www.npd.no/FactMapSearch?NPDID_wellbore=5437	sidetrack	34/10-B-17	5437	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-7 C	34/10-B-7	Statoil ASA (old)	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2008-08-21	2008-09-23	GULLFAKS	2780-P	34/10-1 GULLFAKS	NO	80.700000	\N	4685.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	2008	2008	\N	173	ED50	61	12	9.91	N	2	12	6.53	E	61.202753	2.201814	6785794.370000	457103.460000	31	34	10	B	7	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5438	http://www.npd.no/FactMapSearch?NPDID_wellbore=5438	sidetrack	34/10-B-7 B	5438	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-X-26	2/4-X-26	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-01-01	2007-02-08	EKOFISK	2781-P	2/4-2 EKOFISK	NO	57.000000	\N	3551.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2007	2007	\N	50	ED50	56	32	51.61	N	3	13	8.49	E	56.547669	3.219025	6267197.390000	513466.960000	31	2	4	X	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5440	http://www.npd.no/FactMapSearch?NPDID_wellbore=5440	initial	\N	5440	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6506/12-Q-4 H	6506/12-Q-4	Statoil ASA (old)	STATOIL	094	OBSERVATION	OIL	DEVELOPMENT	2006-11-03	2007-01-13	ÅSGARD	2782-P	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	4816.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Q	8	NO	OIL	2006	2007	\N	99	ED50	65	2	25.58	N	6	56	27.55	E	65.040439	6.940986	7214721.310000	403059.080000	32	6506	12	Q	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5444	http://www.npd.no/FactMapSearch?NPDID_wellbore=5444	initial	\N	5444	45846	43765	9999-12-31	21556	296245	363659	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
6506/12-Q-4 AY1H	6506/12-Q-4	Statoil ASA (old)	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2007-01-14	2007-03-26	ÅSGARD	2783-P1	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	6931.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Q	8	YES	OIL	2007	2007	\N	50	ED50	65	2	25.58	N	6	56	27.55	E	65.040439	6.940986	7214721.310000	403059.080000	32	6506	12	Q	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5445	http://www.npd.no/FactMapSearch?NPDID_wellbore=5445	multilateral	6506/12-Q-4 H	5445	45846	43765	9999-12-31	21556	296245	363659	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6506/12-Q-4 AY2H	6506/12-Q-4	Statoil ASA (old)	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2007-03-27	2007-05-28	ÅSGARD	2783-P2	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	6266.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD Q	8	YES	OIL	2007	2007	\N	50	ED50	65	2	25.58	N	6	56	27.55	E	65.040439	6.940986	7214721.310000	403059.080000	32	6506	12	Q	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5446	http://www.npd.no/FactMapSearch?NPDID_wellbore=5446	multilateral	6506/12-Q-4 AY1H	5446	45846	43765	9999-12-31	21556	296245	363659	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6506/12-Q-5 Y1H	6506/12-Q-5	StatoilHydro Petroleum AS	STATOIL	094	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2009-08-27	2009-11-11	ÅSGARD	2784-P1	6506/12-3 SMØRBUKK SØR	NO	25.000000	\N	6620.000000	305.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	ÅSGARD Q	8	YES	GAS/CONDENSATE	2009	2009	\N	170	ED50	65	2	25.75	N	6	56	27.45	E	65.040486	6.940958	7214726.610000	403057.940000	32	6506	12	Q	5	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5447	http://www.npd.no/FactMapSearch?NPDID_wellbore=5447	multilateral	\N	5447	45846	43765	9999-12-31	21556	294058	363659	0	STATOILHYDRO PETROLEUM	2012-11-20	2012-11-20	2013-05-08
2/4-X-1 B	2/4-X-1	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	2006-12-04	2006-12-26	EKOFISK	2785-P	2/4-2 EKOFISK	NO	57.000000	\N	5334.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2006	2006	\N	71	ED50	56	32	50.93	N	3	13	7.98	E	56.547481	3.218883	6267176.330000	513458.320000	31	2	4	X	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5448	http://www.npd.no/FactMapSearch?NPDID_wellbore=5448	sidetrack	2/4-X-1 A	5448	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-29	2013-01-29	2013-05-08
2/4-K-6 A	2/4-K-6	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2007-09-19	2007-11-08	EKOFISK	2786-P	2/4-2 EKOFISK	NO	55.000000	\N	2075.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2007	2007	\N	173	ED50	56	33	55.86	N	3	12	22.64	E	56.565517	3.206289	6269181.560000	512677.900000	31	2	4	K	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5449	http://www.npd.no/FactMapSearch?NPDID_wellbore=5449	sidetrack	2/4-K-6	5449	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
34/11-A-13	34/11-A-13	Statoil ASA (old)	STATOIL	193	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2006-12-07	2007-07-31	KVITEBJØRN	2787-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	6351.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2006	2007	\N	170	ED50	61	4	49.15	N	2	29	58.98	E	61.080319	2.499717	6771997.610000	473008.930000	31	34	11	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5451	http://www.npd.no/FactMapSearch?NPDID_wellbore=5451	initial	\N	5451	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/11-G-30 Y1	25/11-G-30	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2006-12-08	2007-01-17	GRANE	2788-P1	25/11-15 GRANE	NO	69.900000	\N	4088.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2006	2007	\N	50	ED50	59	9	54.71	N	2	29	14.76	E	59.165197	2.487433	6558711.180000	470691.760000	31	25	11	G	30	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5452	http://www.npd.no/FactMapSearch?NPDID_wellbore=5452	multilateral	\N	5452	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-30 Y2	25/11-G-30	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2007-01-18	2007-02-09	GRANE	2788-P2	25/11-15 GRANE	NO	69.900000	\N	3905.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2007	2007	\N	50	ED50	59	9	54.71	N	2	29	14.76	E	59.165197	2.487433	6558711.180000	470691.760000	31	25	11	G	30	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5453	http://www.npd.no/FactMapSearch?NPDID_wellbore=5453	multilateral	25/11-G-30 Y1	5453	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-6 B	34/10-A-6	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2007-02-02	2007-02-27	GULLFAKS	2789-P	34/10-1 GULLFAKS	NO	82.200000	\N	3448.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2007	2007	\N	50	ED50	61	10	33.64	N	2	11	23.09	E	61.176011	2.189747	6782823.690000	456418.080000	31	34	10	A	6	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5455	http://www.npd.no/FactMapSearch?NPDID_wellbore=5455	sidetrack	34/10-A-6 A	5455	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL ASA (OLD)	2013-01-25	2013-01-25	2013-05-08
2/4-M-15 A	2/4-M-15	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2006-12-12	2006-12-27	EKOFISK	2790-P	2/4-2 EKOFISK	NO	71.000000	\N	5770.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2006	2006	\N	50	ED50	56	32	43.78	N	3	13	23.72	E	56.545494	3.223256	6266956.120000	513727.860000	31	2	4	M	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5456	http://www.npd.no/FactMapSearch?NPDID_wellbore=5456	sidetrack	2/4-M-15	5456	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
30/6-G-44 BH	30/6-G-44	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2007-01-19	2007-03-31	OSEBERG	2791-P	30/6-1 OSEBERG	NO	29.000000	\N	5000.000000	108.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	OSEBERG VESTFLANKE	4	NO	OIL/GAS	2007	2007	\N	50	ED50	60	32	15.61	N	2	41	8.01	E	60.537669	2.685558	6711491.970000	482745.720000	31	30	6	G	44	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5463	http://www.npd.no/FactMapSearch?NPDID_wellbore=5463	sidetrack	30/6-G-44 AH	5463	44396	43625	9999-12-31	21220	287821	363907	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-A-40 D	33/9-A-40	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2007-01-12	2007-03-11	STATFJORD	2792-P	33/12-1 STATFJORD	NO	64.400000	\N	4632.000000	146.000000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL/GAS	2007	2007	\N	0	ED50	61	15	19.72	N	1	51	13.87	E	61.255478	1.853853	6791945.020000	438507.270000	31	33	9	A	40	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5464	http://www.npd.no/FactMapSearch?NPDID_wellbore=5464	sidetrack	33/9-A-40 C	5464	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-F-13	30/9-F-13	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	OIL	DEVELOPMENT	2007-02-16	2007-05-13	OSEBERG SØR	2793-P	30/9-10 OSEBERG SØR	NO	67.200000	\N	6742.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2007	2007	\N	99	ED50	60	23	24.68	N	2	47	49.20	E	60.390189	2.797000	6695041.540000	488810.180000	31	30	9	F	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5466	http://www.npd.no/FactMapSearch?NPDID_wellbore=5466	initial	\N	5466	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
30/9-F-13 A	30/9-F-13	Norsk Hydro Produksjon AS	HYDRO	104	PRODUCTION	OIL	DEVELOPMENT	2007-08-30	2008-01-20	OSEBERG SØR	2794-P	30/9-10 OSEBERG SØR	NO	67.200000	\N	8164.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2007	2008	\N	50	ED50	60	23	24.68	N	2	47	49.20	E	60.390189	2.797000	6695041.540000	488810.180000	31	30	9	F	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5467	http://www.npd.no/FactMapSearch?NPDID_wellbore=5467	sidetrack	30/9-F-13	5467	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/12-N-5 H	33/12-N-5	StatoilHydro ASA	STATOIL	037 B	PRODUCTION	OIL	DEVELOPMENT	2007-02-15	2007-05-03	GULLFAKS SØR	2795-P	34/10-17 RIMFAKS	NO	24.000000	\N	5143.000000	135.000000	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	GULLFAKS C	Awarded additionaly to round 2-A	NO	OIL	2007	2007	\N	50	ED50	61	2	37.96	N	1	58	55.88	E	61.043878	1.982189	6768262.470000	445025.560000	31	33	12	N	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5468	http://www.npd.no/FactMapSearch?NPDID_wellbore=5468	initial	\N	5468	44600	43699	9999-12-31	48081	294382	272645	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6507/7-A-44 A	6507/7-A-44	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2007-02-10	2007-03-13	HEIDRUN	2796-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4702.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2007	2007	\N	50	ED50	65	19	32.52	N	7	19	3.41	E	65.325700	7.317614	7245981.500000	421634.900000	32	6507	7	A	44	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5469	http://www.npd.no/FactMapSearch?NPDID_wellbore=5469	sidetrack	6507/7-A-44	5469	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-C-24	25/8-C-24	ExxonMobil Exploration & Production Norway AS	ESSO	027	OBSERVATION	OIL	DEVELOPMENT	2007-01-13	2007-02-12	BALDER	2797-P	25/8-11 RINGHORNE	NO	60.300000	\N	5442.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2007	2007	\N	99	ED50	59	15	57.72	N	2	26	59.68	E	59.266033	2.449911	6569957.030000	468638.920000	31	25	8	C	24	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5472	http://www.npd.no/FactMapSearch?NPDID_wellbore=5472	initial	\N	5472	44318	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2013-01-29	2013-01-29	2013-05-08
25/8-C-24 A	25/8-C-24	ExxonMobil Exploration & Production Norway AS	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2007-02-12	2007-03-31	BALDER	2798-P	25/8-11 RINGHORNE	NO	60.300000	\N	5504.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2007	2007	\N	50	ED50	59	15	57.72	N	2	26	59.68	E	59.266033	2.449911	6569957.030000	468638.920000	31	25	8	C	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5473	http://www.npd.no/FactMapSearch?NPDID_wellbore=5473	sidetrack	25/8-C-24	5473	44318	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
24/6-B-1 CH	24/6-B-1	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2007-01-19	2007-03-07	ALVHEIM	2799-P	24/6-2 ALVHEIM	NO	23.000000	\N	4765.000000	124.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	KNELER B	15	NO	OIL	2007	2007	\N	50	ED50	59	32	47.53	N	1	59	19.14	E	59.546536	1.988650	6601500.130000	442817.640000	31	24	6	B	1	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5475	http://www.npd.no/FactMapSearch?NPDID_wellbore=5475	sidetrack	24/6-B-1 BH	5475	45828	2845712	9999-12-31	22436	287983	375092	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
35/11-B-31 H	35/11-B-31	Norsk Hydro Produksjon AS	HYDRO	090	INJECTION	CUTTINGS	DEVELOPMENT	2007-01-26	2007-02-09	FRAM	2800-P	35/11-4 FRAM	NO	31.000000	\N	1041.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B1	8	NO	CUTTINGS	2007	2007	\N	171	ED50	61	2	25.06	N	3	34	33.92	E	61.040294	3.576089	6767572.950000	531120.060000	31	35	11	B	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5476	http://www.npd.no/FactMapSearch?NPDID_wellbore=5476	initial	\N	5476	44750	1578840	9999-12-31	21524	290170	371482	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-F-2 H	34/7-F-2	Statoil Petroleum AS	STATOIL	089	INJECTION	WATER	DEVELOPMENT	2012-06-21	2012-07-27	VIGDIS	2801-P	34/7-8 VIGDIS	NO	31.000000	\N	4598.000000	219.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS F	8	NO	WATER	2012	2012	\N	173	ED50	61	19	14.23	N	2	4	0.09	E	61.320619	2.066692	6799019.210000	450029.500000	31	34	7	F	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5477	http://www.npd.no/FactMapSearch?NPDID_wellbore=5477	initial	\N	5477	44714	43732	9999-12-31	21516	290170	356166	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
34/10-C-20 AY2	34/10-C-20	Statoil ASA (old)	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2006-12-20	2007-03-17	GULLFAKS	1149-P2	34/10-1 GULLFAKS	NO	84.000000	\N	6850.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	YES	OIL	2006	2007	\N	173	ED50	61	12	53.39	N	2	16	28.06	E	61.214831	2.274461	6787094.200000	461022.520000	31	34	10	C	20	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5478	http://www.npd.no/FactMapSearch?NPDID_wellbore=5478	multilateral	34/10-C-20 AY1	5478	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-F-4 H	34/7-F-4	Statoil ASA (old)	STATOIL	089	INJECTION	\N	DEVELOPMENT	2007-01-24	2007-03-27	VIGDIS	2803-P	34/7-8 VIGDIS	NO	31.000000	\N	0.000000	219.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	VIGDIS F	8	NO	WATER	2007	2007	\N	0	ED50	61	19	14.57	N	2	4	0.15	E	61.320714	2.066708	6799029.710000	450030.550000	31	34	7	F	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5479	http://www.npd.no/FactMapSearch?NPDID_wellbore=5479	initial	\N	5479	44714	43732	9999-12-31	21516	297784	356166	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-M-25 A	2/4-M-25	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-01-15	2007-01-24	EKOFISK	2804-P	2/4-2 EKOFISK	NO	71.000000	\N	4572.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2007	2007	\N	50	ED50	56	32	43.53	N	3	13	24.03	E	56.545425	3.223342	6266948.410000	513733.180000	31	2	4	M	25	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5480	http://www.npd.no/FactMapSearch?NPDID_wellbore=5480	sidetrack	2/4-M-25	5480	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
30/3-A-2 B	30/3-A-2	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2007-02-27	2007-05-25	VESLEFRIKK	2805-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5095.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2007	2007	\N	50	ED50	60	46	57.87	N	2	53	52.38	E	60.782742	2.897883	6738752.120000	494438.980000	31	30	3	A	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5481	http://www.npd.no/FactMapSearch?NPDID_wellbore=5481	sidetrack	30/3-A-2 A	5481	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-K-9 A	2/4-K-9	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2007-03-05	2007-05-26	EKOFISK	2806-P	2/4-2 EKOFISK	NO	55.200000	\N	3811.000000	73.800000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2007	2007	\N	173	ED50	56	33	55.76	N	3	12	22.10	E	56.565489	3.206139	6269178.440000	512668.690000	31	2	4	K	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5482	http://www.npd.no/FactMapSearch?NPDID_wellbore=5482	sidetrack	2/4-K-9	5482	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
34/8-A-25 BH	34/8-A-25	Statoil ASA (old)	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2007-03-08	2007-03-19	VISUND	2807-P	34/8-1 VISUND	NO	29.000000	\N	4983.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2007	2007	\N	50	ED50	61	22	12.20	N	2	27	34.67	E	61.370056	2.459631	6804288.640000	471113.060000	31	34	8	A	25	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5483	http://www.npd.no/FactMapSearch?NPDID_wellbore=5483	sidetrack	34/8-A-25 AH	5483	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
1/3-K-5	1/3-K-5	BP Norge AS	BP	065	OBSERVATION	OIL	DEVELOPMENT	2007-04-04	2007-07-01	TAMBAR ØST	2808-P	1/3-K-5 TAMBAR ØST	YES	45.000000	\N	5268.000000	67.400000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TAMBAR	6	NO	OIL	2007	2007	\N	99	ED50	56	58	58.01	N	2	57	31.57	E	56.982781	2.958769	6315611.340000	497494.050000	31	1	3	K	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5485	http://www.npd.no/FactMapSearch?NPDID_wellbore=5485	initial	\N	5485	4999519	4999528	9999-12-31	21316	292114	280793	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
1/3-K-5 A	1/3-K-5	BP Norge AS	BP	065	PRODUCTION	OIL	DEVELOPMENT	2007-07-02	2007-08-13	TAMBAR ØST	2809-P	1/3-K-5 TAMBAR ØST	NO	45.000000	\N	6301.000000	67.400000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TAMBAR	6	NO	OIL	2007	2007	\N	50	ED50	56	58	58.01	N	2	57	31.57	E	56.982781	2.958769	6315611.340000	497494.050000	31	1	3	K	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5486	http://www.npd.no/FactMapSearch?NPDID_wellbore=5486	sidetrack	1/3-K-5	5486	4999519	4999528	9999-12-31	21316	292114	280793	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-D-7 AY1H	31/2-D-7	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-03-05	2007-04-07	TROLL	2810-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5012.000000	338.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2007	2007	\N	50	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	31	2	D	7	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5487	http://www.npd.no/FactMapSearch?NPDID_wellbore=5487	multilateral	31/2-D-7 H	5487	44534	46437	9999-12-31	21228	296164	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-D-7 AY2H	31/2-D-7	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-04-08	2007-04-14	TROLL	2810-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5680.000000	338.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2007	2007	\N	50	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	31	2	D	7	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5488	http://www.npd.no/FactMapSearch?NPDID_wellbore=5488	multilateral	31/2-D-7 AY1H	5488	44534	46437	9999-12-31	21228	296164	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-D-7 AY3H	31/2-D-7	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-04-15	2007-04-21	TROLL	2810-P3	31/2-1 TROLL VEST	NO	25.000000	\N	5810.000000	338.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2007	2007	\N	50	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	31	2	D	7	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5489	http://www.npd.no/FactMapSearch?NPDID_wellbore=5489	multilateral	31/2-D-7 AY2H	5489	44534	46437	9999-12-31	21228	296164	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-D-7 AY5H	31/2-D-7	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-04-30	2007-05-05	TROLL	2810-P5	31/2-1 TROLL VEST	NO	25.000000	\N	5497.000000	338.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2007	2007	\N	50	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	31	2	D	7	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5490	http://www.npd.no/FactMapSearch?NPDID_wellbore=5490	multilateral	31/2-D-7 AY4H	5490	44534	46437	9999-12-31	21228	296164	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
35/11-B-11 H	35/11-B-11	Norsk Hydro Produksjon AS	HYDRO	090	PRODUCTION	OIL	DEVELOPMENT	2007-02-18	2007-06-09	FRAM	2811-P	35/11-4 FRAM	NO	31.000000	\N	5643.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B1	8	NO	OIL	2007	2007	\N	50	ED50	61	2	21.98	N	3	34	32.11	E	61.039439	3.575586	6767477.410000	531093.740000	31	35	11	B	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5491	http://www.npd.no/FactMapSearch?NPDID_wellbore=5491	initial	\N	5491	44750	1578840	9999-12-31	21524	290170	371482	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-D-7 AY6H	31/2-D-7	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-05-06	2007-05-11	TROLL	2810-P6	31/2-1 TROLL VEST	NO	25.000000	\N	5826.000000	338.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2007	2007	\N	50	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	31	2	D	7	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5492	http://www.npd.no/FactMapSearch?NPDID_wellbore=5492	multilateral	31/2-D-7 AY5H	5492	44534	46437	9999-12-31	21228	296164	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-D-7 AY7H	31/2-D-7	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-05-12	2007-05-25	TROLL	2810-P7	31/2-1 TROLL VEST	NO	25.000000	\N	5702.000000	338.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2007	2007	\N	50	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	31	2	D	7	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5493	http://www.npd.no/FactMapSearch?NPDID_wellbore=5493	multilateral	31/2-D-7 AY6H	5493	44534	46437	9999-12-31	21228	296164	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-50	34/10-C-50	Statoil Petroleum AS	STATOIL	050	INJECTION	WATER	DEVELOPMENT	9999-12-31	9999-12-31	GULLFAKS	2812-P	34/10-1 GULLFAKS	NO	84.100000	\N	0.000000	216.900000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	WATER	0	0	\N	173	ED50	61	12	54.75	N	2	16	26.04	E	61.215208	2.273900	6787136.610000	460992.840000	31	34	10	C	50	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5495	http://www.npd.no/FactMapSearch?NPDID_wellbore=5495	initial	\N	5495	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-2 Y1	25/11-G-2	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2007-02-10	2007-04-10	GRANE	2813-P1	25/11-15 GRANE	NO	69.900000	\N	5072.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2007	2007	\N	50	ED50	59	9	55.11	N	2	29	13.99	E	59.165308	2.487219	6558723.650000	470679.630000	31	25	11	G	2	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5496	http://www.npd.no/FactMapSearch?NPDID_wellbore=5496	multilateral	\N	5496	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-2 Y2	25/11-G-2	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2007-04-13	2007-05-06	GRANE	2813-P2	25/11-15 GRANE	NO	69.900000	\N	5152.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2007	2007	\N	50	ED50	59	9	55.11	N	2	29	13.99	E	59.165308	2.487219	6558723.650000	470679.630000	31	25	11	G	2	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5497	http://www.npd.no/FactMapSearch?NPDID_wellbore=5497	multilateral	25/11-G-2 Y1	5497	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-2 Y3	25/11-G-2	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2007-05-07	2007-07-25	GRANE	2813-P3	25/11-15 GRANE	NO	69.900000	\N	4820.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2007	2007	\N	50	ED50	59	9	55.11	N	2	29	13.99	E	59.165308	2.487219	6558723.650000	470679.630000	31	25	11	G	2	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5498	http://www.npd.no/FactMapSearch?NPDID_wellbore=5498	multilateral	25/11-G-2 Y2	5498	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-A-18	15/9-A-18	Statoil ASA (old)	STATOIL	046	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2007-03-12	2007-07-07	SLEIPNER ØST	2814-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	4186.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS/CONDENSATE	2007	2007	\N	170	ED50	58	22	2.02	N	1	54	31.85	E	58.367228	1.908847	6470261.340000	436163.030000	31	15	9	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5502	http://www.npd.no/FactMapSearch?NPDID_wellbore=5502	initial	\N	5502	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/1-A-2 A	2/1-A-2	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2007-02-17	2007-04-19	GYDA	2815-P	2/1-3 GYDA	NO	56.000000	\N	5289.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2007	2007	\N	50	ED50	56	54	17.61	N	3	5	6.93	E	56.904892	3.085258	6306943.320000	505192.720000	31	2	1	A	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5503	http://www.npd.no/FactMapSearch?NPDID_wellbore=5503	sidetrack	2/1-A-2	5503	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
2/4-M-19	2/4-M-19	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-03-20	2007-04-30	EKOFISK	2816-P	2/4-2 EKOFISK	NO	70.800000	\N	4191.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2007	2007	\N	50	ED50	56	32	43.55	N	3	13	23.82	E	56.545431	3.223283	6266949.020000	513729.600000	31	2	4	M	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5504	http://www.npd.no/FactMapSearch?NPDID_wellbore=5504	initial	\N	5504	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6305/5-B-1 H	6305/5-B-1	A/S Norske Shell	SHELL	209	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ORMEN LANGE	2817-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	0.000000	855.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE B	15	NO	GAS	0	0	\N	0	ED50	63	31	41.90	N	5	23	17.09	E	63.528306	5.388081	7046842.330000	618756.530000	31	6305	5	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5505	http://www.npd.no/FactMapSearch?NPDID_wellbore=5505	initial	\N	5505	44822	2762452	9999-12-31	22484	297082	371216	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/5-B-4 H	6305/5-B-4	A/S Norske Shell	SHELL	209	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ORMEN LANGE	2818-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	0.000000	855.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE B	15	NO	GAS	0	0	\N	0	ED50	63	31	41.93	N	5	23	15.78	E	63.528314	5.387717	7046842.580000	618738.410000	31	6305	5	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5506	http://www.npd.no/FactMapSearch?NPDID_wellbore=5506	initial	\N	5506	44822	2762452	9999-12-31	22484	297082	371216	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/5-B-5 H	6305/5-B-5	A/S Norske Shell	SHELL	209	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ORMEN LANGE	2819-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	0.000000	855.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE B	15	NO	GAS	0	0	\N	0	ED50	63	31	42.38	N	5	23	17.16	E	63.528439	5.388100	7046857.210000	618756.940000	31	6305	5	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5507	http://www.npd.no/FactMapSearch?NPDID_wellbore=5507	initial	\N	5507	44822	2762452	9999-12-31	22484	297082	371216	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/5-B-8 H	6305/5-B-8	A/S Norske Shell	SHELL	209	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ORMEN LANGE	2820-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	0.000000	855.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE B	15	NO	GAS	0	0	\N	0	ED50	63	31	42.42	N	5	23	15.85	E	63.528450	5.387736	7046857.770000	618738.810000	31	6305	5	B	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5508	http://www.npd.no/FactMapSearch?NPDID_wellbore=5508	initial	\N	5508	44822	2762452	9999-12-31	22484	297082	371216	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/8-A-1 H	6305/8-A-1	A/S Norske Shell	SHELL	250	PRODUCTION	GAS	DEVELOPMENT	2006-03-25	2007-06-12	ORMEN LANGE	2821-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3334.000000	850.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE A	Awarded additionaly to round 15	NO	GAS	2006	2007	\N	90	ED50	63	29	48.00	N	5	23	10.10	E	63.496667	5.386139	7043315.040000	618791.430000	31	6305	8	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5509	http://www.npd.no/FactMapSearch?NPDID_wellbore=5509	initial	\N	5509	44822	2762452	9999-12-31	115537	297082	371178	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/8-A-4 H	6305/8-A-4	A/S Norske Shell	SHELL	250	PRODUCTION	GAS	DEVELOPMENT	2009-01-25	2009-02-27	ORMEN LANGE	2822-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3485.000000	850.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE A	Awarded additionaly to round 15	NO	GAS	2009	2009	\N	90	ED50	63	29	48.16	N	5	23	10.91	E	63.496711	5.386364	7043320.410000	618802.440000	31	6305	8	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5510	http://www.npd.no/FactMapSearch?NPDID_wellbore=5510	initial	\N	5510	44822	2762452	9999-12-31	115537	297082	371178	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/8-A-5 H	6305/8-A-5	A/S Norske Shell	SHELL	250	PRODUCTION	GAS	DEVELOPMENT	2008-12-24	2009-01-22	ORMEN LANGE	2823-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3961.000000	850.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE A	Awarded additionaly to round 15	NO	GAS	2008	2009	\N	90	ED50	63	29	48.61	N	5	23	12.28	E	63.496836	5.386744	7043335.030000	618820.860000	31	6305	8	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5511	http://www.npd.no/FactMapSearch?NPDID_wellbore=5511	initial	\N	5511	44822	2762452	9999-12-31	115537	297082	371178	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/8-A-8 H	6305/8-A-8	A/S Norske Shell	SHELL	250	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ORMEN LANGE	2824-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	0.000000	850.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE A	Awarded additionaly to round 15	NO	GAS	0	0	\N	0	ED50	63	29	48.65	N	5	23	10.97	E	63.496847	5.386381	7043335.600000	618802.710000	31	6305	8	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5512	http://www.npd.no/FactMapSearch?NPDID_wellbore=5512	initial	\N	5512	44822	2762452	9999-12-31	115537	297082	371178	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-B-8 A	2/4-B-8	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-06-06	2007-09-05	EKOFISK	2825-P	2/4-2 EKOFISK	NO	52.000000	\N	5621.000000	74.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2007	2007	\N	50	ED50	56	33	54.61	N	3	12	13.10	E	56.565169	3.203639	6269142.430000	512515.150000	31	2	4	B	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5513	http://www.npd.no/FactMapSearch?NPDID_wellbore=5513	sidetrack	2/4-B-8	5513	44072	43506	9999-12-31	20900	296002	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
33/12-B-11 C	33/12-B-11	Statoil ASA (old)	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2007-03-17	2007-05-07	STATFJORD	2826-P	33/12-1 STATFJORD	NO	77.800000	\N	4017.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS	2007	2007	\N	90	ED50	61	12	25.12	N	1	49	52.27	E	61.206978	1.831186	6786564.590000	437194.650000	31	33	12	B	11	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5514	http://www.npd.no/FactMapSearch?NPDID_wellbore=5514	sidetrack	33/12-B-11 B	5514	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-P-32 A	34/7-P-32	Statoil ASA (old)	STATOIL	089	INJECTION	WATER/GAS	DEVELOPMENT	2007-03-20	2007-07-20	SNORRE	2827-P	34/4-1 SNORRE	NO	59.400000	\N	4912.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER/GAS	2007	2007	\N	0	ED50	61	26	58.11	N	2	8	36.53	E	61.449475	2.143481	6813315.970000	454329.080000	31	34	7	P	32	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5515	http://www.npd.no/FactMapSearch?NPDID_wellbore=5515	sidetrack	34/7-P-32	5515	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/11-S-6	2/11-S-6	BP Norge AS	BP	033 B	PRODUCTION	\N	DEVELOPMENT	2002-11-05	2002-11-11	VALHALL	2828-P	2/8-6 VALHALL	NO	59.200000	\N	487.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	NO	OIL	2002	2002	\N	71	ED50	56	13	39.66	N	3	26	14.72	E	56.227683	3.437422	6231644.700000	527121.700000	31	2	11	S	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5516	http://www.npd.no/FactMapSearch?NPDID_wellbore=5516	initial	\N	5516	44162	43548	9999-12-31	1622353	296110	280961	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
6507/7-A-17 A	6507/7-A-17	Statoil ASA (old)	STATOIL	095	OBSERVATION	OIL	DEVELOPMENT	2007-04-16	2007-04-25	HEIDRUN	2831-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3640.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2007	2007	\N	99	ED50	65	19	32.73	N	7	19	2.39	E	65.325758	7.317331	7245988.350000	421621.880000	32	6507	7	A	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5519	http://www.npd.no/FactMapSearch?NPDID_wellbore=5519	sidetrack	6507/7-A-17	5519	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
6507/7-A-17 B	6507/7-A-17	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2007-04-26	2007-05-09	HEIDRUN	2832-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3562.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2007	2007	\N	50	ED50	65	19	32.73	N	7	19	2.39	E	65.325758	7.317331	7245988.350000	421621.880000	32	6507	7	A	17	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5520	http://www.npd.no/FactMapSearch?NPDID_wellbore=5520	sidetrack	6507/7-A-17 A	5520	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6608/10-K-4 H	6608/10-K-4	Statoil ASA (old)	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2007-03-29	2007-05-29	NORNE	2830-P	6608/10-2 NORNE	NO	23.000000	\N	4204.000000	375.700000	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	NORNE K	10-B	NO	OIL	2007	2007	\N	50	ED50	66	0	48.42	N	8	3	15.17	E	66.013450	8.054214	7321918.240000	457095.730000	32	6608	10	K	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5521	http://www.npd.no/FactMapSearch?NPDID_wellbore=5521	initial	\N	5521	44942	43778	9999-12-31	21836	289333	372501	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
24/6-B-2 H	24/6-B-2	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2008-02-15	2008-03-09	ALVHEIM	2833-P	24/6-2 ALVHEIM	NO	23.000000	\N	3260.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	KNELER B	15	NO	OIL	2008	2008	\N	50	ED50	59	32	46.95	N	1	59	18.03	E	59.546375	1.988342	6601482.450000	442799.930000	31	24	6	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5522	http://www.npd.no/FactMapSearch?NPDID_wellbore=5522	initial	\N	5522	45828	2845712	9999-12-31	22436	287983	375092	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
24/6-B-3 H	24/6-B-3	Marathon Petroleum Norge AS	MARATHON	203	OBSERVATION	OIL	DEVELOPMENT	2007-04-09	2007-04-22	ALVHEIM	2834-P	24/6-2 ALVHEIM	NO	23.000000	\N	2834.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	KNELER B	15	NO	OIL	2007	2007	\N	99	ED50	59	32	48.09	N	1	59	18.03	\N	59.546692	1.988342	6601517.710000	557199.530000	31	24	6	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5523	http://www.npd.no/FactMapSearch?NPDID_wellbore=5523	initial	\N	5523	45828	2845712	9999-12-31	22436	287983	375092	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
2/4-X-34 A	2/4-X-34	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	2007-03-25	2007-05-08	EKOFISK	2835-P	2/4-2 EKOFISK	NO	57.000000	\N	2494.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2007	2007	\N	71	ED50	56	32	51.75	N	3	13	8.68	E	56.547708	3.219078	6267201.730000	513470.190000	31	2	4	X	34	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5524	http://www.npd.no/FactMapSearch?NPDID_wellbore=5524	sidetrack	2/4-X-34	5524	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-29	2013-01-29	2013-05-08
30/6-C-15 C	30/6-C-15	Norsk Hydro Produksjon AS	HYDRO	053	PRODUCTION	OIL	DEVELOPMENT	2007-04-05	2007-09-05	OSEBERG	2836-P	30/6-1 OSEBERG	NO	62.000000	\N	4635.000000	108.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	2007	2007	\N	50	ED50	60	36	29.37	N	2	46	33.39	E	60.608158	2.775942	6719322.860000	487732.030000	31	30	6	C	15	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5525	http://www.npd.no/FactMapSearch?NPDID_wellbore=5525	sidetrack	30/6-C-15 B	5525	44396	43625	9999-12-31	21220	272225	272225	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-C-23	25/8-C-23	ExxonMobil Exploration & Production Norway AS	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2007-04-03	2007-08-12	BALDER	2837-P	25/8-1 RINGHORNE	NO	60.300000	\N	7800.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2007	2007	\N	50	ED50	59	15	57.74	N	2	26	59.33	E	59.266039	2.449814	6569957.690000	468633.380000	31	25	8	C	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5526	http://www.npd.no/FactMapSearch?NPDID_wellbore=5526	initial	\N	5526	44312	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
31/4-A-40 A	31/4-A-40	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2007-06-12	2007-07-25	BRAGE	2838-P	31/4-3 BRAGE	NO	62.600000	\N	5865.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2007	2007	\N	50	ED50	60	32	33.51	N	3	2	50.52	E	60.542642	3.047367	6712005.500000	502598.750000	31	31	4	A	40	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5527	http://www.npd.no/FactMapSearch?NPDID_wellbore=5527	sidetrack	31/4-A-40	5527	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-G-1 H	34/7-G-1	Statoil ASA (old)	STATOIL	089	INJECTION	WATER	DEVELOPMENT	2007-08-27	2007-09-21	VIGDIS	2839-P	34/7-8 VIGDIS	NO	31.000000	\N	4515.000000	282.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	VIGDIS G	8	NO	WATER	2007	2007	\N	173	ED50	61	22	43.75	N	2	6	21.25	E	61.378819	2.105903	6805472.610000	452217.610000	31	34	7	G	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5528	http://www.npd.no/FactMapSearch?NPDID_wellbore=5528	initial	\N	5528	44714	43732	9999-12-31	21516	297784	377425	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-G-2 H	34/7-G-2	StatoilHydro ASA	STATOIL	089	INJECTION	WATER	DEVELOPMENT	2008-04-11	2008-06-23	VIGDIS	2840-P	34/7-8 VIGDIS	NO	31.000000	\N	6375.000000	282.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	VIGDIS G	8	NO	WATER	2008	2008	\N	173	ED50	61	22	43.75	N	2	6	21.24	E	61.378819	2.105900	6805472.610000	452217.460000	31	34	7	G	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5529	http://www.npd.no/FactMapSearch?NPDID_wellbore=5529	initial	\N	5529	44714	43732	9999-12-31	21516	297784	377425	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/7-G-3 H	34/7-G-3	Statoil ASA (old)	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2007-04-24	2007-12-23	VIGDIS	2841-P	34/7-8 VIGDIS	NO	31.000000	\N	3896.000000	282.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	VIGDIS G	8	NO	OIL	2007	2007	\N	50	ED50	61	22	44.14	N	2	6	21.06	E	61.378928	2.105850	6805484.710000	452214.950000	31	34	7	G	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5530	http://www.npd.no/FactMapSearch?NPDID_wellbore=5530	initial	\N	5530	44714	43732	9999-12-31	21516	297784	377425	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/7-G-4 H	34/7-G-4	StatoilHydro ASA	STATOIL	089	OBSERVATION	\N	DEVELOPMENT	2009-03-23	2009-04-14	VIGDIS	2842-P	34/7-8 VIGDIS	NO	31.000000	\N	4633.000000	282.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	VIGDIS G	8	NO	OIL	2009	2009	\N	99	ED50	61	22	44.12	N	2	6	21.36	E	61.378922	2.105933	6805484.030000	452219.400000	31	34	7	G	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5531	http://www.npd.no/FactMapSearch?NPDID_wellbore=5531	initial	\N	5531	44714	43732	9999-12-31	21516	297784	377425	0	STATOILHYDRO ASA	2013-01-24	2013-01-24	2013-05-08
24/6-B-3 AY1H	24/6-B-3	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2008-03-20	2008-04-02	ALVHEIM	2843-P1	24/6-2 ALVHEIM	NO	23.000000	\N	5012.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	KNELER B	15	YES	OIL	2008	2008	\N	50	ED50	59	32	48.09	N	1	59	18.03	E	59.546692	1.988342	6601517.710000	442800.470000	31	24	6	B	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5532	http://www.npd.no/FactMapSearch?NPDID_wellbore=5532	multilateral	24/6-B-3 H	5532	45828	2845712	9999-12-31	22436	287983	375092	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/6-B-3 AY2H	24/6-B-3	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2008-04-03	2008-05-02	ALVHEIM	2843-P2	24/6-2 ALVHEIM	NO	23.000000	\N	5017.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	KNELER B	15	YES	OIL	2008	2008	\N	50	ED50	59	32	48.09	N	1	59	18.03	E	59.546692	1.988342	6601517.710000	442800.470000	31	24	6	B	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5533	http://www.npd.no/FactMapSearch?NPDID_wellbore=5533	multilateral	24/6-B-3 AY1H	5533	45828	2845712	9999-12-31	22436	287983	375092	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
2/1-A-14 C	2/1-A-14	Talisman Energy Norge AS	TALISMAN	019 B	INJECTION	WATER	DEVELOPMENT	2007-04-19	2007-05-21	GYDA	2844-P	2/1-3 GYDA	NO	56.000000	\N	5631.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	2007	2007	\N	173	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	2	1	A	14	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5535	http://www.npd.no/FactMapSearch?NPDID_wellbore=5535	sidetrack	2/1-A-14 B	5535	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
6608/10-H-1 AH	6608/10-H-1	StatoilHydro ASA	STATOIL	128	INJECTION	WATER	DEVELOPMENT	2007-05-11	2007-05-29	URD	2845-P	6608/10-6 SVALE	NO	24.000000	\N	2472.000000	376.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE H	10-B	NO	WATER	2007	2007	\N	173	ED50	66	4	39.24	N	8	15	3.49	E	66.077567	8.250969	7328944.220000	466106.270000	32	6608	10	H	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5536	http://www.npd.no/FactMapSearch?NPDID_wellbore=5536	sidetrack	6608/10-H-1 H	5536	1030536	2834734	9999-12-31	21836	297649	364827	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/5-J-24 AY1H	31/5-J-24	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2007-05-14	2007-07-19	TROLL	2846-P1	31/2-1 TROLL VEST	NO	25.000000	\N	3607.000000	314.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	YES	OIL	2007	2007	\N	50	ED50	60	43	45.40	N	3	39	23.27	E	60.729278	3.656464	6732971.650000	535808.560000	31	31	5	J	24	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5541	http://www.npd.no/FactMapSearch?NPDID_wellbore=5541	multilateral	31/5-J-24 H	5541	44534	46437	9999-12-31	21476	296164	279981	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-J-24 AY2H	31/5-J-24	StatoilHydro Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2007-07-19	2007-07-27	TROLL	2846-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4692.000000	314.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	YES	OIL	2007	2007	\N	50	ED50	60	43	45.40	N	3	39	23.27	E	60.729278	3.656464	6732971.650000	535808.560000	31	31	5	J	24	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5542	http://www.npd.no/FactMapSearch?NPDID_wellbore=5542	multilateral	31/5-J-24 AY1H	5542	44534	46437	9999-12-31	21476	296164	279981	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/5-J-24 AY3H	31/5-J-24	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2007-07-27	2007-08-19	TROLL	2846-P3	31/2-1 TROLL VEST	NO	25.000000	\N	4881.000000	314.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	YES	OIL	2007	2007	\N	50	ED50	60	43	45.40	N	3	39	23.27	E	60.729278	3.656464	6732971.650000	535808.560000	31	31	5	J	24	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5543	http://www.npd.no/FactMapSearch?NPDID_wellbore=5543	multilateral	31/5-J-24 AY2H	5543	44534	46437	9999-12-31	21476	296164	279981	0	HYDRO PRODUKSJON	2013-01-26	2013-01-26	2013-05-08
34/7-R-1 H	34/7-R-1	Statoil ASA (old)	STATOIL	089	INJECTION	WATER	DEVELOPMENT	2007-05-30	2007-06-16	TORDIS	2847-P	34/7-12 TORDIS	NO	31.000000	\N	1116.000000	198.500000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	34/7-R-1 H	8	NO	WATER	2007	2007	\N	173	ED50	61	16	32.22	N	2	6	54.69	E	61.275617	2.115192	6793970.330000	452558.240000	31	34	7	R	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5545	http://www.npd.no/FactMapSearch?NPDID_wellbore=5545	initial	\N	5545	44666	43725	9999-12-31	21516	297784	394821	0	STATOIL ASA (OLD)	2013-01-26	2013-01-26	2013-05-08
34/4-C-4 AH	34/4-C-4	Statoil ASA (old)	STATOIL	057	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	SNORRE	2848-P	34/4-1 SNORRE	NO	37.000000	\N	0.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-C H	4	NO	OIL	0	0	\N	0	ED50	61	31	30.23	N	2	12	40.99	E	61.525064	2.211386	6821690.280000	458051.620000	31	34	4	C	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5549	http://www.npd.no/FactMapSearch?NPDID_wellbore=5549	sidetrack	34/4-C-4 H	5549	44654	43718	9999-12-31	21252	280485	282781	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/8-A-25 CH	34/8-A-25	Statoil ASA (old)	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2007-04-20	2007-05-15	VISUND	2849-P	34/8-1 VISUND	NO	25.000000	\N	4687.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2007	2007	\N	50	ED50	61	22	12.20	N	2	27	34.67	E	61.370056	2.459631	6804288.640000	471113.060000	31	34	8	A	25	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5552	http://www.npd.no/FactMapSearch?NPDID_wellbore=5552	sidetrack	34/8-A-25 BH	5552	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-D-7 AY4H	31/2-D-7	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-04-22	2007-04-29	TROLL	2810-P4	31/2-1 TROLL VEST	NO	25.000000	\N	4333.000000	338.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2007	2007	\N	50	ED50	60	51	21.02	N	3	26	34.19	E	60.855839	3.442831	6746971.040000	524060.410000	31	31	2	D	7	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5553	http://www.npd.no/FactMapSearch?NPDID_wellbore=5553	multilateral	31/2-D-7 AY3H	5553	44534	46437	9999-12-31	21228	296164	278105	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-B-1 Y1H	6407/7-B-1	Norsk Hydro Produksjon AS	HYDRO	107	PRODUCTION	\N	DEVELOPMENT	2007-07-06	2008-01-07	NJORD	2850-P1	6407/7-6	NO	26.000000	\N	0.000000	334.000000	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	NJORD BRAVO	9	YES	GAS/CONDENSATE	2007	2008	\N	71	ED50	64	17	40.10	N	7	7	10.50	E	64.294472	7.119583	7131351.020000	408999.470000	32	6407	7	B	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5554	http://www.npd.no/FactMapSearch?NPDID_wellbore=5554	multilateral	\N	5554	1341958	43751	9999-12-31	21660	296326	279561	0	HYDRO PRODUKSJON	2013-02-14	2013-02-14	2013-05-08
25/4-D-1 AH	25/4-D-1	Norsk Hydro Produksjon AS	HYDRO	036	PRODUCTION	OIL	DEVELOPMENT	2007-06-06	2007-06-20	VILJE	2851-P	25/4-9 S VILJE	NO	29.000000	\N	3672.000000	122.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	ALVHEIM FPSO	2-A	NO	OIL	2007	2007	\N	50	ED50	59	39	22.03	N	2	16	40.86	E	59.656119	2.278017	6613490.130000	459310.750000	31	25	4	D	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5555	http://www.npd.no/FactMapSearch?NPDID_wellbore=5555	sidetrack	25/4-D-1 H	5555	2472606	3392471	9999-12-31	21076	287821	375206	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-C-51	34/10-C-51	Statoil ASA (old)	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2007-05-07	2007-07-31	GULLFAKS	2852-P	34/10-1 GULLFAKS	NO	84.100000	\N	6604.000000	216.900000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	WATER	2007	2007	\N	173	ED50	61	12	53.74	N	2	16	27.64	E	61.214928	2.274344	6787105.100000	461016.370000	31	34	10	C	51	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5557	http://www.npd.no/FactMapSearch?NPDID_wellbore=5557	initial	\N	5557	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-4 B	34/10-B-4	Statoil ASA (old)	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2007-05-09	2007-05-31	GULLFAKS	2853-P	34/10-1 GULLFAKS	NO	80.700000	\N	2920.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2007	2007	\N	173	ED50	61	12	10.10	N	2	12	5.91	E	61.202806	2.201642	6785800.370000	457094.280000	31	34	10	B	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5558	http://www.npd.no/FactMapSearch?NPDID_wellbore=5558	sidetrack	34/10-B-4 A	5558	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/8-A-25 DH	34/8-A-25	Statoil ASA (old)	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2007-05-16	2007-08-01	VISUND	2855-P	34/8-1 VISUND	NO	25.000000	\N	5691.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2007	2007	\N	50	ED50	61	22	12.20	N	2	27	34.67	E	61.370056	2.459631	6804288.640000	471113.060000	31	34	8	A	25	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5559	http://www.npd.no/FactMapSearch?NPDID_wellbore=5559	sidetrack	34/8-A-25 CH	5559	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL ASA (OLD)	2013-01-26	2013-01-26	2013-05-08
34/11-A-12	34/11-A-12	Statoil ASA (old)	STATOIL	193	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2007-08-04	2007-12-22	KVITEBJØRN	2856-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	6035.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2007	2007	\N	170	ED50	61	4	49.10	N	2	29	59.05	E	61.080306	2.499736	6771996.050000	473009.970000	31	34	11	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5560	http://www.npd.no/FactMapSearch?NPDID_wellbore=5560	initial	\N	5560	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/5-A-7 H	15/5-A-7	Statoil ASA (old)	STATOIL	048 B	PRODUCTION	OIL	DEVELOPMENT	2007-06-06	2007-09-30	GLITNE	2857-P	15/5-5 GLITNE	NO	22.000000	\N	4360.000000	109.000000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	15/5-A-7 H	Awarded additionaly to round 3	NO	OIL	2007	2007	\N	50	ED50	58	42	45.05	N	1	37	52.05	E	58.712514	1.631125	6509000.010000	420699.940000	31	15	5	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5561	http://www.npd.no/FactMapSearch?NPDID_wellbore=5561	initial	\N	5561	43904	1272071	9999-12-31	1342723	287902	377347	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-A-2 B	33/9-A-2	Statoil ASA (old)	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2007-06-10	2007-10-31	STATFJORD	2858-P	33/12-1 STATFJORD	NO	64.200000	\N	4174.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	2007	2007	\N	90	ED50	61	15	20.99	N	1	51	15.14	E	61.255831	1.854206	6791983.980000	438526.890000	31	33	9	A	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5567	http://www.npd.no/FactMapSearch?NPDID_wellbore=5567	sidetrack	33/9-A-2 A	5567	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
35/11-B-12 H	35/11-B-12	Norsk Hydro Produksjon AS	HYDRO	090	OBSERVATION	OIL	DEVELOPMENT	2007-06-26	2007-09-02	FRAM	2859-P	35/11-4 FRAM	NO	31.000000	\N	3968.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B1	8	NO	OIL	2007	2007	\N	99	ED50	61	2	21.88	N	3	34	32.37	E	61.039411	3.575658	6767474.350000	531097.660000	31	35	11	B	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5568	http://www.npd.no/FactMapSearch?NPDID_wellbore=5568	initial	\N	5568	44750	1578840	9999-12-31	21524	290170	371482	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
35/11-B-12 AH	35/11-B-12	Norsk Hydro Produksjon AS	HYDRO	090	PRODUCTION	OIL	DEVELOPMENT	2007-09-03	2007-11-18	FRAM	2860-P	35/11-4 FRAM	NO	31.000000	\N	6435.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B1	8	NO	OIL	2007	2007	\N	50	ED50	61	2	21.88	N	3	34	32.37	E	61.039411	3.575658	6767474.350000	531097.660000	31	35	11	B	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5569	http://www.npd.no/FactMapSearch?NPDID_wellbore=5569	sidetrack	35/11-B-12 H	5569	44750	1578840	9999-12-31	21524	290170	371482	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-A-38 A	34/10-A-38	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2007-07-01	2007-07-17	GULLFAKS	2861-P	34/10-1 GULLFAKS	NO	82.200000	\N	2767.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2007	2007	\N	50	ED50	61	10	34.88	N	2	11	21.86	E	61.176356	2.189406	6782862.280000	456400.180000	31	34	10	A	38	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5573	http://www.npd.no/FactMapSearch?NPDID_wellbore=5573	sidetrack	34/10-A-38	5573	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-B-26 AY2	34/10-B-26	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2007-07-16	2007-08-04	GULLFAKS	2447-P2	34/10-1 GULLFAKS	NO	80.700000	\N	4033.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	YES	OIL	2007	2007	\N	50	ED50	61	12	10.16	N	2	12	6.42	E	61.202822	2.201783	6785802.130000	457101.910000	31	34	10	B	26	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5574	http://www.npd.no/FactMapSearch?NPDID_wellbore=5574	multilateral	34/10-B-26 A	5574	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/7-A-30 B	6507/7-A-30	Statoil ASA (old)	STATOIL	095	OBSERVATION	OIL	DEVELOPMENT	2007-08-08	2007-08-16	HEIDRUN	2862-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3707.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2007	2007	\N	99	ED50	65	19	32.80	N	7	19	3.87	E	65.325778	7.317742	7245990.010000	421641.080000	32	6507	7	A	30	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5575	http://www.npd.no/FactMapSearch?NPDID_wellbore=5575	sidetrack	6507/7-A-30 A	5575	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
6507/7-A-30 C	6507/7-A-30	Statoil ASA (old)	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2007-08-17	2007-09-07	HEIDRUN	2863-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3515.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2007	2007	\N	50	ED50	65	19	32.80	N	7	19	3.87	E	65.325778	7.317742	7245990.010000	421641.080000	32	6507	7	A	30	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5576	http://www.npd.no/FactMapSearch?NPDID_wellbore=5576	sidetrack	6507/7-A-30 B	5576	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6506/12-R-3 Y1H	6506/12-R-3	Statoil ASA (old)	STATOIL	094	INJECTION	GAS	DEVELOPMENT	2007-07-06	2008-07-25	ÅSGARD	2864-P1	6506/12-3 SMØRBUKK SØR	NO	24.000000	\N	6250.000000	305.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	ÅSGARD R	8	YES	GAS	2007	2008	\N	91	ED50	65	2	0.42	N	6	54	6.94	E	65.033450	6.901928	7214003.200000	401194.830000	32	6506	12	R	3	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5577	http://www.npd.no/FactMapSearch?NPDID_wellbore=5577	multilateral	\N	5577	45846	43765	9999-12-31	21556	297649	278861	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-M-2 BH	33/9-M-2	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2007-07-10	2007-08-18	STATFJORD ØST	2865-P	33/9-7 STATFJORD ØST	NO	31.000000	\N	4114.000000	194.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	STATFJORD ØST M	Awarded additionaly to round 2-A	NO	OIL	2007	2007	\N	50	ED50	61	20	28.52	N	1	59	59.63	E	61.341256	1.999897	6801370.710000	446488.640000	31	33	9	M	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5578	http://www.npd.no/FactMapSearch?NPDID_wellbore=5578	sidetrack	33/9-M-2 AH	5578	44582	43672	9999-12-31	21084	297784	278021	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/4-E-1 AH	25/4-E-1	Norsk Hydro Produksjon AS	HYDRO	036	PRODUCTION	\N	DEVELOPMENT	2007-07-23	2007-08-12	VILJE	2866-P	25/4-9 S VILJE	NO	29.000000	\N	2930.000000	122.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	ALVHEIM FPSO	2-A	NO	OIL	2007	2007	\N	71	ED50	59	39	22.93	N	2	16	42.24	E	59.656369	2.278400	6613517.730000	459332.650000	31	25	4	E	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5579	http://www.npd.no/FactMapSearch?NPDID_wellbore=5579	sidetrack	25/4-E-1 H	5579	2472606	3392471	9999-12-31	21076	287821	375206	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
24/6-A-1 H	24/6-A-1	Marathon Petroleum Norge AS	MARATHON	088 BS	OBSERVATION	OIL	DEVELOPMENT	2007-07-18	2007-07-30	ALVHEIM	2867-P	24/6-4 ALVHEIM	NO	23.000000	\N	3627.000000	121.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	BOA	Awarded additionaly to round 8	NO	OIL	2007	2007	\N	99	ED50	59	34	34.30	N	1	55	26.81	E	59.576194	1.924114	6604860.040000	439222.400000	31	24	6	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5580	http://www.npd.no/FactMapSearch?NPDID_wellbore=5580	initial	\N	5580	2472552	2845712	9999-12-31	2787418	287983	375245	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
24/6-A-1 AY1H	24/6-A-1	Marathon Petroleum Norge AS	MARATHON	088 BS	PRODUCTION	OIL	DEVELOPMENT	2007-07-31	2007-08-29	ALVHEIM	2868-P1	24/6-4 ALVHEIM	NO	23.000000	\N	5026.000000	121.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	BOA	Awarded additionaly to round 8	YES	OIL	2007	2007	\N	50	ED50	59	34	34.30	N	1	55	26.81	E	59.576194	1.924114	6604860.040000	439222.400000	31	24	6	A	1	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5581	http://www.npd.no/FactMapSearch?NPDID_wellbore=5581	multilateral	24/6-A-1 H	5581	2472552	2845712	9999-12-31	2787418	287983	375245	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/6-A-1 AY2H	24/6-A-1	Marathon Petroleum Norge AS	MARATHON	088 BS	PRODUCTION	OIL	DEVELOPMENT	2007-08-30	2007-12-09	ALVHEIM	2868-P2	24/6-4 ALVHEIM	NO	23.000000	\N	4940.000000	121.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	BOA	Awarded additionaly to round 8	YES	OIL	2007	2007	\N	50	ED50	59	34	34.30	N	1	55	26.81	E	59.576194	1.924114	6604860.040000	439222.400000	31	24	6	A	1	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5582	http://www.npd.no/FactMapSearch?NPDID_wellbore=5582	multilateral	24/6-A-1 AY1H	5582	2472552	2845712	9999-12-31	2787418	287983	375245	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/6-A-4 H	24/6-A-4	Marathon Petroleum Norge AS	MARATHON	088 BS	PRODUCTION	OIL	DEVELOPMENT	2007-07-05	2007-12-09	ALVHEIM	2869-P	24/6-4 ALVHEIM	NO	23.000000	\N	4940.000000	121.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	BOA	Awarded additionaly to round 8	NO	OIL	2007	2007	\N	50	ED50	59	34	33.74	N	1	55	27.95	E	59.576039	1.924431	6604842.430000	439240.010000	31	24	6	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5583	http://www.npd.no/FactMapSearch?NPDID_wellbore=5583	initial	\N	5583	2472552	2845712	9999-12-31	2787418	287983	375245	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
25/11-G-39 BY1	25/11-G-39	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2007-07-29	2007-09-18	GRANE	2870-P1	25/11-15 GRANE	NO	69.900000	\N	6159.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2007	2007	\N	50	ED50	59	9	54.66	N	2	29	15.10	E	59.165183	2.487528	6558709.590000	470697.150000	31	25	11	G	39	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5584	http://www.npd.no/FactMapSearch?NPDID_wellbore=5584	multilateral	25/11-G-39 AY1	5584	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-39 BY2	25/11-G-39	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2007-09-30	2007-10-21	GRANE	2870-P2	25/11-15 GRANE	NO	69.900000	\N	6678.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2007	2007	\N	50	ED50	59	9	54.66	N	2	29	15.10	E	59.165183	2.487528	6558709.590000	470697.150000	31	25	11	G	39	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5585	http://www.npd.no/FactMapSearch?NPDID_wellbore=5585	multilateral	25/11-G-39 BY1	5585	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-G-39 BY3	25/11-G-39	Norsk Hydro Produksjon AS	HYDRO	169 B1	PRODUCTION	OIL	DEVELOPMENT	2007-10-22	2007-11-27	GRANE	2870-P3	25/11-15 GRANE	NO	69.900000	\N	6810.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2007	2007	\N	50	ED50	59	9	54.66	N	2	29	15.10	E	59.165183	2.487528	6558709.590000	470697.150000	31	25	11	G	39	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5586	http://www.npd.no/FactMapSearch?NPDID_wellbore=5586	multilateral	25/11-G-39 BY2	5586	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/11-N-2 H	6506/11-N-2	Statoil ASA (old)	STATOIL	134 B	PRODUCTION	GAS	DEVELOPMENT	2007-07-09	2008-05-01	KRISTIN	2871-P	6406/2-3 KRISTIN	NO	18.000000	\N	5853.000000	368.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	KRISTIN N	Awarded additionaly to round 11-A	NO	GAS	2007	2008	\N	90	ED50	65	1	41.17	N	6	28	46.18	E	65.028103	6.479494	7214134.610000	381284.840000	32	6506	11	N	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5587	http://www.npd.no/FactMapSearch?NPDID_wellbore=5587	initial	\N	5587	44840	1854729	9999-12-31	1025257	297514	360488	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-M-1	2/4-M-1	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	2008-05-02	2008-05-26	EKOFISK	2872-P	2/4-2 EKOFISK	NO	71.000000	\N	3974.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2008	2008	\N	71	ED50	56	32	43.73	N	3	13	23.07	E	56.545481	3.223075	6266954.540000	513716.770000	31	2	4	M	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5588	http://www.npd.no/FactMapSearch?NPDID_wellbore=5588	initial	\N	5588	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-29	2013-01-29	2013-05-08
2/4-M-3	2/4-M-3	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2008-01-24	2008-02-19	EKOFISK	2873-P	2/4-2 EKOFISK	NO	71.000000	\N	3722.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2008	2008	\N	50	ED50	56	32	43.82	N	3	13	23.31	E	56.545506	3.223142	6266957.340000	513720.860000	31	2	4	M	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5589	http://www.npd.no/FactMapSearch?NPDID_wellbore=5589	initial	\N	5589	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-5	2/4-M-5	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2008-09-05	2008-10-20	EKOFISK	2874-P	2/4-2 EKOFISK	NO	71.000000	\N	4217.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2008	2008	\N	50	ED50	56	32	43.91	N	3	13	23.55	E	56.545531	3.223208	6266960.130000	513724.950000	31	2	4	M	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5590	http://www.npd.no/FactMapSearch?NPDID_wellbore=5590	initial	\N	5590	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-9	2/4-M-9	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2008-06-29	2008-07-30	EKOFISK	2875-P	2/4-2 EKOFISK	NO	71.000000	\N	4815.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2008	2008	\N	50	ED50	56	32	43.80	N	3	13	23.51	E	56.545500	3.223197	6266956.730000	513724.280000	31	2	4	M	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5591	http://www.npd.no/FactMapSearch?NPDID_wellbore=5591	initial	\N	5591	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-12	2/4-M-12	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-12-17	2008-01-22	EKOFISK	2876-P	2/4-2 EKOFISK	NO	71.000000	\N	4682.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2007	2008	\N	50	ED50	56	32	43.64	N	3	13	23.35	E	56.545456	3.223153	6266951.770000	513721.560000	31	2	4	M	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5592	http://www.npd.no/FactMapSearch?NPDID_wellbore=5592	initial	\N	5592	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-M-28	2/4-M-28	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-11-17	2007-12-16	EKOFISK	2877-P	2/4-2 EKOFISK	NO	71.000000	\N	5163.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2007	2007	\N	50	ED50	56	32	43.37	N	3	13	23.87	E	56.545381	3.223297	6266943.450000	513730.470000	31	2	4	M	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5593	http://www.npd.no/FactMapSearch?NPDID_wellbore=5593	initial	\N	5593	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
33/9-C-12 D	33/9-C-12	Statoil ASA (old)	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2007-08-07	2007-09-21	STATFJORD	2878-P	33/12-1 STATFJORD	NO	78.400000	\N	3780.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	GAS	2007	2007	\N	90	ED50	61	17	47.98	N	1	54	11.25	E	61.296661	1.903125	6796486.770000	441227.650000	31	33	9	C	12	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5594	http://www.npd.no/FactMapSearch?NPDID_wellbore=5594	sidetrack	33/9-C-12 C	5594	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/9-A-14	15/9-A-14	Statoil ASA (old)	STATOIL	046	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2007-08-10	2008-02-28	SLEIPNER ØST	2879-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	5741.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS/CONDENSATE	2007	2008	\N	170	ED50	58	22	2.56	N	1	54	30.10	E	58.367378	1.908361	6470278.510000	436134.860000	31	15	9	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5595	http://www.npd.no/FactMapSearch?NPDID_wellbore=5595	initial	\N	5595	43946	43478	9999-12-31	21156	272365	272365	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-B-28	30/9-B-28	Norsk Hydro Produksjon AS	HYDRO	079	PRODUCTION	OIL	DEVELOPMENT	2007-09-16	2008-03-14	OSEBERG	2881-P	30/6-1 OSEBERG	NO	58.000000	\N	6840.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2007	2008	\N	50	ED50	60	29	36.10	N	2	49	42.96	E	60.493361	2.828600	6706527.890000	490581.940000	31	30	9	B	28	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5597	http://www.npd.no/FactMapSearch?NPDID_wellbore=5597	initial	\N	5597	44396	43625	9999-12-31	34635	272897	272897	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-X-12 AH	31/2-X-12	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-08-25	2007-09-23	TROLL	2882-P	31/2-1 TROLL VEST	NO	35.500000	\N	4837.000000	334.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL T1	4	NO	OIL	2007	2007	\N	50	ED50	60	49	57.18	N	3	36	14.59	E	60.832550	3.604053	6744446.940000	532843.870000	31	31	2	X	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5598	http://www.npd.no/FactMapSearch?NPDID_wellbore=5598	sidetrack	31/2-X-12 H	5598	44534	46437	9999-12-31	21228	297055	280373	0	HYDRO PRODUKSJON	2013-01-26	2013-01-26	2013-05-08
15/9-F-12	15/9-F-12	Statoil ASA (old)	STATOIL	046 BS	PRODUCTION	OIL	DEVELOPMENT	2007-07-22	2007-09-14	VOLVE	2883-P	15/9-19 S VOLVE	NO	54.000000	\N	3520.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	2007	2007	\N	50	ED50	58	26	30.17	N	1	53	14.93	E	58.441714	1.887481	6478574.750000	435050.230000	31	15	9	F	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5599	http://www.npd.no/FactMapSearch?NPDID_wellbore=5599	initial	\N	5599	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/4-C-1 H	34/4-C-1	Statoil ASA (old)	STATOIL	057	PRODUCTION	OIL	DEVELOPMENT	2007-10-10	2008-02-07	SNORRE	2884-P	34/4-1 SNORRE	NO	37.000000	\N	5104.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-C H	4	NO	OIL	2007	2008	\N	50	ED50	61	31	30.21	N	2	12	40.03	E	61.525058	2.211119	6821689.830000	458037.420000	31	34	4	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5600	http://www.npd.no/FactMapSearch?NPDID_wellbore=5600	initial	\N	5600	44654	43718	9999-12-31	21252	280485	282781	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/3-A-22 B	30/3-A-22	Statoil ASA (old)	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2007-08-20	2008-01-13	VESLEFRIKK	2885-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4300.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2007	2008	\N	50	ED50	60	46	57.77	N	2	53	52.59	E	60.782714	2.897942	6738749.020000	494442.150000	31	30	3	A	22	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5601	http://www.npd.no/FactMapSearch?NPDID_wellbore=5601	sidetrack	30/3-A-22 A	5601	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/3-Q-21 BY1H	31/3-Q-21	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2007-08-23	2008-07-24	TROLL	2886-P1	31/6-1 TROLL ØST	NO	25.000000	\N	6365.000000	339.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	31/3-Q-21 H	Awarded additionaly to round 7	YES	OIL	2007	2008	\N	50	ED50	60	49	55.18	N	3	42	59.48	E	60.831994	3.716522	6744446.600000	538959.640000	31	31	3	Q	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5602	http://www.npd.no/FactMapSearch?NPDID_wellbore=5602	multilateral	31/3-Q-21 AY2H	5602	44552	46437	9999-12-31	21476	296164	286057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/3-Q-21 BY2H	31/3-Q-21	Norsk Hydro Produksjon AS	HYDRO	085	PRODUCTION	OIL	DEVELOPMENT	2008-07-26	2008-08-20	TROLL	2886-P2	31/6-1 TROLL ØST	NO	25.000000	\N	6060.000000	339.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	31/3-Q-21 H	Awarded additionaly to round 7	YES	OIL	2008	2008	\N	50	ED50	60	49	55.18	N	3	42	59.48	E	60.831994	3.716522	6744446.600000	538959.640000	31	31	3	Q	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5603	http://www.npd.no/FactMapSearch?NPDID_wellbore=5603	multilateral	31/3-Q-21 BY1H	5603	44552	46437	9999-12-31	21476	296164	286057	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-11 BY1H	31/2-L-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-07-13	2007-08-24	TROLL	2880-P1	31/2-1 TROLL VEST	NO	25.000000	\N	4967.000000	349.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2007	2007	\N	50	ED50	60	47	6.36	N	3	33	21.45	E	60.785100	3.555958	6739138.680000	530273.670000	31	31	2	L	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5604	http://www.npd.no/FactMapSearch?NPDID_wellbore=5604	multilateral	31/2-L-11 AH	5604	44534	46437	9999-12-31	21228	290980	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-L-11 BY2H	31/2-L-11	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-08-28	2007-10-06	TROLL	2880-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4747.000000	349.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL L1	4	YES	OIL	2007	2007	\N	50	ED50	60	47	6.36	N	3	33	21.45	E	60.785100	3.555958	6739138.680000	530273.670000	31	31	2	L	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5605	http://www.npd.no/FactMapSearch?NPDID_wellbore=5605	multilateral	31/2-L-11 BY1H	5605	44534	46437	9999-12-31	21228	290980	279029	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-40 B	31/4-A-40	Norsk Hydro Produksjon AS	HYDRO	055	PRODUCTION	OIL	DEVELOPMENT	2007-07-25	2007-08-22	BRAGE	2887-P	31/4-3 BRAGE	NO	62.600000	\N	6845.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2007	2007	\N	50	ED50	60	32	33.51	N	3	2	50.52	E	60.542642	3.047367	6712005.500000	502598.750000	31	31	4	A	40	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5606	http://www.npd.no/FactMapSearch?NPDID_wellbore=5606	sidetrack	31/4-A-40 A	5606	44546	43651	9999-12-31	21236	277405	277405	0	HYDRO PRODUKSJON	2013-01-26	2013-01-26	2013-05-08
34/10-B-30 A	34/10-B-30	Statoil ASA (old)	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2007-08-22	2008-11-28	GULLFAKS	2888-P	34/10-1 GULLFAKS	NO	81.000000	\N	4300.000000	143.000000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2007	2008	\N	50	ED50	61	12	11.12	N	2	12	4.87	E	61.203089	2.201353	6785832.110000	457079.140000	31	34	10	B	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5609	http://www.npd.no/FactMapSearch?NPDID_wellbore=5609	sidetrack	34/10-B-30	5609	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/9-F-7	15/9-F-7	Statoil ASA (old)	STATOIL	046 BS	PRODUCTION	WATER	DEVELOPMENT	2007-09-16	2007-10-11	VOLVE	2889-P	15/9-19 S VOLVE	NO	54.000000	\N	1085.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	WATER	2007	2007	\N	172	ED50	58	26	29.87	N	1	53	14.86	E	58.441631	1.887461	6478565.500000	435048.940000	31	15	9	F	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5610	http://www.npd.no/FactMapSearch?NPDID_wellbore=5610	initial	\N	5610	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-X-40 A	2/4-X-40	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-08-09	2007-09-21	EKOFISK	2890-P	2/4-2 EKOFISK	NO	57.000000	\N	3539.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2007	2007	\N	50	ED50	56	32	51.93	N	3	13	8.45	\N	56.547758	3.219014	6267207.280000	486533.760000	31	2	4	X	40	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5611	http://www.npd.no/FactMapSearch?NPDID_wellbore=5611	sidetrack	2/4-X-40	5611	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
25/4-E-1 BY1H	25/4-E-1	Norsk Hydro Produksjon AS	HYDRO	036	PRODUCTION	OIL	DEVELOPMENT	2007-08-13	2007-08-27	VILJE	2892-P1	25/4-9 S VILJE	NO	29.000000	\N	3856.000000	122.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	ALVHEIM FPSO	2-A	YES	OIL	2007	2007	\N	50	ED50	59	39	22.93	N	2	16	42.24	E	59.656369	2.278400	6613517.730000	459332.650000	31	25	4	E	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5616	http://www.npd.no/FactMapSearch?NPDID_wellbore=5616	multilateral	25/4-E-1 AH	5616	2472606	3392471	9999-12-31	21076	287821	375206	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/4-E-1 BY2H	25/4-E-1	Norsk Hydro Produksjon AS	HYDRO	036	PRODUCTION	OIL	DEVELOPMENT	2007-08-30	2007-09-19	VILJE	2892-P2	25/4-9 S VILJE	NO	29.000000	\N	3715.000000	122.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	ALVHEIM FPSO	2-A	YES	OIL	2007	2007	\N	50	ED50	59	39	22.93	N	2	16	42.24	E	59.656369	2.278400	6613517.730000	459332.650000	31	25	4	E	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5617	http://www.npd.no/FactMapSearch?NPDID_wellbore=5617	multilateral	25/4-E-1 BY1H	5617	2472606	3392471	9999-12-31	21076	287821	375206	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-14 BY1H	31/2-P-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-10-15	2007-11-23	TROLL	2893-P1	31/2-1 TROLL VEST	NO	25.000000	\N	4982.000000	336.200000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL P1	4	YES	OIL	2007	2007	\N	50	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	31	2	P	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5618	http://www.npd.no/FactMapSearch?NPDID_wellbore=5618	multilateral	31/2-P-14 AH	5618	44534	46437	9999-12-31	21228	296164	279085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-14 BY2H	31/2-P-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-11-24	2007-12-09	TROLL	2893-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4813.000000	336.200000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL P1	4	YES	OIL	2007	2007	\N	50	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	31	2	P	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5619	http://www.npd.no/FactMapSearch?NPDID_wellbore=5619	multilateral	31/2-P-14 BY1H	5619	44534	46437	9999-12-31	21228	296164	279085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-P-14 BY3H	31/2-P-14	Norsk Hydro Produksjon AS	HYDRO	054	PRODUCTION	OIL	DEVELOPMENT	2007-12-10	2007-12-25	TROLL	2893-P3	31/2-1 TROLL VEST	NO	25.000000	\N	5757.000000	336.200000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL P1	4	YES	OIL	2007	2007	\N	50	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	31	2	P	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5620	http://www.npd.no/FactMapSearch?NPDID_wellbore=5620	multilateral	31/2-P-14 BY2H	5620	44534	46437	9999-12-31	21228	296164	279085	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-A-28 B	31/4-A-28	StatoilHydro Petroleum AS	STATOIL	055	PRODUCTION	OIL	DEVELOPMENT	2007-12-20	2008-01-31	BRAGE	2895-P	31/4-3 BRAGE	NO	62.600000	\N	7453.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2007	2008	\N	50	ED50	60	32	33.25	N	3	2	51.03	E	60.542569	3.047508	6711997.460000	502606.530000	31	31	4	A	28	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5621	http://www.npd.no/FactMapSearch?NPDID_wellbore=5621	sidetrack	31/4-A-28 A	5621	44546	43651	9999-12-31	21236	277405	277405	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
6506/12-I-1 AH	6506/12-I-1	StatoilHydro ASA	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2008-06-22	2008-09-16	ÅSGARD	2896-P	6506/12-1 SMØRBUKK	NO	24.000000	\N	6527.000000	289.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	ÅSGARD I	8	NO	OIL	2008	2008	\N	50	ED50	65	5	7.18	N	6	40	54.43	E	65.085328	6.681786	7220144.400000	391043.230000	32	6506	12	I	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5622	http://www.npd.no/FactMapSearch?NPDID_wellbore=5622	sidetrack	6506/12-I-1 H	5622	44900	43765	9999-12-31	21556	297649	278581	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6407/9-E-3 H	6407/9-E-3	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	2007-11-22	2008-01-22	DRAUGEN	2897-P	6407/9-1 DRAUGEN	NO	24.000000	\N	3320.000000	293.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	6407/9-E-3 H	8	NO	OIL	2007	2008	\N	50	ED50	64	15	44.07	N	7	43	55.33	E	64.262242	7.732036	7127025.900000	438563.030000	32	6407	9	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5623	http://www.npd.no/FactMapSearch?NPDID_wellbore=5623	initial	\N	5623	44888	43758	9999-12-31	21548	294382	391213	0	SHELL NORGE	2012-08-23	2012-08-23	2013-05-08
6608/10-F-4 AH	6608/10-F-4	Statoil ASA (old)	STATOIL	128	INJECTION	WATER	DEVELOPMENT	2007-10-01	2007-11-08	NORNE	2898-P	6608/10-2 NORNE	NO	24.000000	\N	4080.000000	381.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE F	10-B	NO	WATER	2007	2007	\N	173	ED50	66	2	40.76	N	8	6	6.09	E	66.044656	8.101692	7325364.720000	459299.200000	32	6608	10	F	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5624	http://www.npd.no/FactMapSearch?NPDID_wellbore=5624	sidetrack	6608/10-F-4 H	5624	44942	43778	9999-12-31	21836	297649	279337	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/6-C-21 A	30/6-C-21	StatoilHydro Petroleum AS	STATOIL	053	PRODUCTION	OIL	DEVELOPMENT	2007-12-01	2008-06-13	OSEBERG	2899-P	30/6-1 OSEBERG	NO	62.300000	\N	8350.000000	109.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	2007	2008	\N	50	ED50	60	36	29.37	N	2	46	32.86	E	60.608158	2.775794	6719322.890000	487723.970000	31	30	6	C	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5627	http://www.npd.no/FactMapSearch?NPDID_wellbore=5627	sidetrack	30/6-C-21	5627	44396	43625	9999-12-31	21220	272225	272225	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
33/12-B-1 C	33/12-B-1	Statoil ASA (old)	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2007-09-20	2007-11-04	STATFJORD	2900-P	33/12-1 STATFJORD	NO	78.200000	\N	3772.000000	145.300000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL/GAS	2007	2007	\N	0	ED50	61	12	25.28	N	1	49	52.27	E	61.207022	1.831186	6786569.540000	437194.740000	31	33	12	B	1	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5628	http://www.npd.no/FactMapSearch?NPDID_wellbore=5628	sidetrack	33/12-B-1 B	5628	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-X-1 C	2/4-X-1	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2007-10-13	2007-12-09	EKOFISK	2901-P	2/4-2 EKOFISK	NO	57.000000	\N	5428.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2007	2007	\N	50	ED50	56	32	50.93	N	3	13	7.98	E	56.547481	3.218883	6267176.330000	513458.320000	31	2	4	X	1	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5629	http://www.npd.no/FactMapSearch?NPDID_wellbore=5629	sidetrack	2/4-X-1 B	5629	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6407/9-D-3 H	6407/9-D-3	A/S Norske Shell	SHELL	093	PRODUCTION	OIL	DEVELOPMENT	2008-02-14	2008-04-14	DRAUGEN	2902-P	6407/9-1 DRAUGEN	NO	24.000000	\N	3017.000000	254.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	DRAUGEN D	8	NO	OIL	2008	2008	\N	50	ED50	64	21	39.15	N	7	42	45.81	E	64.360875	7.712725	7138034.920000	437850.000000	32	6407	9	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5634	http://www.npd.no/FactMapSearch?NPDID_wellbore=5634	initial	\N	5634	44888	43758	9999-12-31	21548	294382	280989	0	SHELL NORGE	2012-08-23	2012-08-23	2013-05-08
2/1-A-9 A	2/1-A-9	Talisman Energy Norge AS	TALISMAN	019 B	INJECTION	WATER	DEVELOPMENT	2007-10-19	2007-10-25	GYDA	2903-P	2/1-3 GYDA	NO	56.000000	\N	4202.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	2007	2007	\N	173	ED50	56	54	17.43	N	3	5	6.60	E	56.904842	3.085167	6306937.750000	505187.150000	31	2	1	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5635	http://www.npd.no/FactMapSearch?NPDID_wellbore=5635	initial	\N	5635	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
2/4-K-16 A	2/4-K-16	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	2904-P	2/4-2 EKOFISK	NO	55.000000	\N	0.000000	74.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	0	0	\N	0	ED50	56	33	55.98	N	3	12	22.57	E	56.565550	3.206269	6269185.270000	512676.690000	31	2	4	K	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5639	http://www.npd.no/FactMapSearch?NPDID_wellbore=5639	sidetrack	2/4-K-16	5639	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
25/11-G-31	25/11-G-31	Norsk Hydro Produksjon AS	HYDRO	169 B1	INJECTION	\N	DEVELOPMENT	2007-11-30	2007-12-17	GRANE	2905-P	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	WATER	2007	2007	\N	0	ED50	59	9	54.77	N	2	29	14.88	E	59.165214	2.487467	6558713.020000	470693.690000	31	25	11	G	31	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5640	http://www.npd.no/FactMapSearch?NPDID_wellbore=5640	initial	\N	5640	44216	1035937	9999-12-31	1030964	283285	283285	0	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
35/11-B-23 H	35/11-B-23	StatoilHydro Petroleum AS	STATOIL	090	OBSERVATION	OIL	DEVELOPMENT	2007-11-27	2008-01-13	FRAM	2906-P	35/11-B-23-H	YES	31.000000	\N	3653.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B2	8	NO	NOT APPLICABLE	2007	2008	\N	99	ED50	61	2	33.90	N	3	35	59.47	E	61.042750	3.599853	6767857.990000	532401.240000	31	35	11	B	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5641	http://www.npd.no/FactMapSearch?NPDID_wellbore=5641	initial	\N	5641	4972656	1578840	9999-12-31	21524	290170	371520	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
35/11-B-23 AY1H	35/11-B-23	StatoilHydro Petroleum AS	STATOIL	090	PRODUCTION	OIL	DEVELOPMENT	2008-01-14	2008-03-15	FRAM	2907-P1	35/11-4 FRAM	NO	31.000000	\N	5072.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B2	8	YES	OIL	2008	2008	\N	50	ED50	61	2	33.90	N	3	35	59.47	E	61.042750	3.599853	6767857.990000	532401.240000	31	35	11	B	23	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5644	http://www.npd.no/FactMapSearch?NPDID_wellbore=5644	multilateral	35/11-B-23 H	5644	44750	1578840	9999-12-31	21524	290170	371520	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
35/11-B-23 AY2H	35/11-B-23	StatoilHydro Petroleum AS	STATOIL	090	PRODUCTION	OIL	DEVELOPMENT	2008-03-16	2008-04-26	FRAM	2907-P2	35/11-4 FRAM	NO	31.000000	\N	5091.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B2	8	YES	OIL	2008	2008	\N	50	ED50	61	2	33.90	N	3	35	59.47	E	61.042750	3.599853	6767857.990000	532401.240000	31	35	11	B	23	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5645	http://www.npd.no/FactMapSearch?NPDID_wellbore=5645	multilateral	35/11-B-23 AY1H	5645	44750	1578840	9999-12-31	21524	290170	371520	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
2/1-A-27 A	2/1-A-27	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2007-11-14	2007-12-24	GYDA	2908-P	2/1-3 GYDA	NO	56.000000	\N	4452.000000	66.000000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2007	2007	\N	50	ED50	56	54	17.31	N	3	5	6.18	E	56.904808	3.085050	6306934.030000	505180.050000	31	2	1	A	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5689	http://www.npd.no/FactMapSearch?NPDID_wellbore=5689	sidetrack	2/1-A-27	5689	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
15/9-F-4	15/9-F-4	Statoil ASA (old)	STATOIL	046 BS	INJECTION	WATER	DEVELOPMENT	2007-10-13	2007-11-06	VOLVE	2909-P	15/9-19 S VOLVE	NO	54.000000	\N	3510.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	WATER	2007	2007	\N	173	ED50	58	26	29.72	N	1	53	14.92	E	58.441589	1.887478	6478560.840000	435049.840000	31	15	9	F	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5693	http://www.npd.no/FactMapSearch?NPDID_wellbore=5693	initial	\N	5693	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-A-45 A	34/10-A-45	StatoilHydro ASA	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2008-08-12	2008-09-06	GULLFAKS	2910-P	34/10-1 GULLFAKS	NO	82.000000	\N	2513.000000	134.000000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2008	2008	\N	50	ED50	61	10	34.73	N	2	11	21.65	E	61.176314	2.189347	6782857.680000	456396.980000	31	34	10	A	45	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5694	http://www.npd.no/FactMapSearch?NPDID_wellbore=5694	sidetrack	34/10-A-45	5694	44594	43686	9999-12-31	21188	271833	271833	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-E-1 BY1H	31/2-E-1	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2007-11-21	2008-01-11	TROLL	2911-P1	31/2-1 TROLL VEST	NO	35.500000	\N	4603.000000	331.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL E	4	YES	OIL	2007	2008	\N	50	ED50	60	48	1.25	N	3	26	36.66	E	60.800347	3.443517	6740790.370000	524139.470000	31	31	2	E	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5695	http://www.npd.no/FactMapSearch?NPDID_wellbore=5695	multilateral	31/2-E-1 AH	5695	44534	46437	9999-12-31	21228	297055	278133	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-E-1 BY2H	31/2-E-1	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-01-12	2008-03-01	TROLL	2911-P2	31/2-1 TROLL VEST	NO	35.500000	\N	4613.000000	331.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL E	4	YES	OIL	2008	2008	\N	50	ED50	60	48	1.25	N	3	26	36.66	E	60.800347	3.443517	6740790.370000	524139.470000	31	31	2	E	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5696	http://www.npd.no/FactMapSearch?NPDID_wellbore=5696	multilateral	31/2-E-1 BY1H	5696	44534	46437	9999-12-31	21228	297055	278133	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
30/9-L-53 H	30/9-L-53	StatoilHydro Petroleum AS	STATOIL	079	OBSERVATION	\N	DEVELOPMENT	2007-11-21	2008-01-19	OSEBERG SØR	2912-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	4850.000000	102.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	OSEBERG DELTA	Awarded additionaly to round 6	NO	OIL/GAS	2007	2008	\N	99	ED50	60	28	5.12	N	2	40	54.07	E	60.468089	2.681686	6703743.100000	482495.770000	31	30	9	L	53	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5697	http://www.npd.no/FactMapSearch?NPDID_wellbore=5697	initial	\N	5697	44468	43645	9999-12-31	34635	287821	374139	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
30/9-L-53 AH	30/9-L-53	StatoilHydro Petroleum AS	STATOIL	079	PRODUCTION	OIL	DEVELOPMENT	2008-01-20	2008-04-10	OSEBERG SØR	2913-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	5520.000000	102.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	OSEBERG DELTA	Awarded additionaly to round 6	NO	OIL/GAS	2008	2008	\N	50	ED50	60	28	5.12	N	2	40	54.07	E	60.468089	2.681686	6703743.100000	482495.770000	31	30	9	L	53	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5698	http://www.npd.no/FactMapSearch?NPDID_wellbore=5698	sidetrack	30/9-L-53 H	5698	44468	43645	9999-12-31	34635	287821	374139	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
6608/10-E-2 BH	6608/10-E-2	StatoilHydro ASA	STATOIL	128	OBSERVATION	OIL	DEVELOPMENT	2007-11-23	2008-02-14	NORNE	2914-P	6608/10-2 NORNE	NO	24.000000	\N	4352.000000	380.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE E	10-B	NO	OIL	2007	2008	\N	99	ED50	66	2	43.19	N	8	5	58.10	E	66.045331	8.099472	7325441.400000	459199.730000	32	6608	10	E	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5699	http://www.npd.no/FactMapSearch?NPDID_wellbore=5699	sidetrack	6608/10-E-2 AH	5699	44942	43778	9999-12-31	21836	297649	279309	0	STATOILHYDRO ASA	2013-01-29	2013-01-29	2013-05-08
6608/10-E-2 CH	6608/10-E-2	StatoilHydro ASA	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2008-02-15	2008-03-09	NORNE	2915-P	6608/10-2 NORNE	NO	24.000000	\N	4352.000000	380.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE E	10-B	NO	OIL	2008	2008	\N	50	ED50	66	2	43.19	N	8	5	58.10	E	66.045331	8.099472	7325441.400000	459199.730000	32	6608	10	E	2	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5700	http://www.npd.no/FactMapSearch?NPDID_wellbore=5700	sidetrack	6608/10-E-2 BH	5700	44942	43778	9999-12-31	21836	297649	279309	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
33/12-B-40 E	33/12-B-40	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2007-11-24	2008-01-21	STATFJORD	2916-P	33/12-1 STATFJORD	NO	77.800000	\N	3253.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2007	2008	\N	50	ED50	61	12	23.87	N	1	49	50.78	E	61.206631	1.830772	6786526.310000	437171.720000	31	33	12	B	40	E	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5701	http://www.npd.no/FactMapSearch?NPDID_wellbore=5701	sidetrack	33/12-B-40 D	5701	44558	43658	9999-12-31	21084	271301	271301	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
33/9-C-27 B	33/9-C-27	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2007-11-29	2008-01-10	STATFJORD	2917-P	33/12-1 STATFJORD	NO	78.400000	\N	3820.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2007	2008	\N	50	ED50	61	17	46.89	N	1	54	10.13	E	61.296358	1.902814	6796453.330000	441210.420000	31	33	9	C	27	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5702	http://www.npd.no/FactMapSearch?NPDID_wellbore=5702	sidetrack	33/9-C-27 A	5702	44558	43658	9999-12-31	21084	271329	271329	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
30/9-F-14 B	30/9-F-14	StatoilHydro Petroleum AS	STATOIL	104	INJECTION	WATER/GAS	DEVELOPMENT	2008-04-11	2008-06-21	OSEBERG SØR	2918-P	30/9-10 OSEBERG SØR	NO	67.200000	\N	5808.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER/GAS	2008	2008	\N	0	ED50	60	23	24.70	N	2	47	49.34	E	60.390194	2.797039	6695042.160000	488812.330000	31	30	9	F	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5703	http://www.npd.no/FactMapSearch?NPDID_wellbore=5703	sidetrack	30/9-F-14 A	5703	44468	43645	9999-12-31	21636	280205	280205	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
25/4-K-4 H	25/4-K-4	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	\N	DEVELOPMENT	2007-12-11	2007-12-18	ALVHEIM	2919-P	25/4-7 ALVHEIM	NO	23.000000	\N	193.000000	119.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	ALVHEIM FPSO	15	NO	OIL	2007	2007	\N	71	ED50	59	32	52.72	N	2	1	9.76	E	59.547978	2.019378	6601634.630000	444557.290000	31	25	4	K	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5704	http://www.npd.no/FactMapSearch?NPDID_wellbore=5704	initial	\N	5704	2420578	2845712	9999-12-31	22436	287983	375206	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
25/11-G-1 Y1	25/11-G-1	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2007-12-17	2008-02-10	GRANE	2920-P1	25/11-15 GRANE	NO	69.900000	\N	4656.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2007	2008	\N	50	ED50	59	9	55.05	N	2	29	13.86	E	59.165292	2.487183	6558721.810000	470677.550000	31	25	11	G	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5744	http://www.npd.no/FactMapSearch?NPDID_wellbore=5744	multilateral	\N	5744	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
25/11-G-1 Y2	25/11-G-1	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2008-02-11	2008-03-04	GRANE	2920-P2	25/11-15 GRANE	NO	69.900000	\N	4539.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2008	2008	\N	50	ED50	59	9	55.05	N	2	29	13.86	E	59.165292	2.487183	6558721.810000	470677.550000	31	25	11	G	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5745	http://www.npd.no/FactMapSearch?NPDID_wellbore=5745	multilateral	25/11-G-1 Y1	5745	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
25/11-G-1 Y3	25/11-G-1	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2008-03-05	2008-03-29	GRANE	2920-P3	25/11-15 GRANE	NO	69.900000	\N	5586.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2008	2008	\N	50	ED50	59	9	55.05	N	2	29	13.86	E	59.165292	2.487183	6558721.810000	470677.550000	31	25	11	G	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5746	http://www.npd.no/FactMapSearch?NPDID_wellbore=5746	multilateral	25/11-G-1 Y2	5746	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
25/11-G-1 Y4	25/11-G-1	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2008-03-30	2008-04-22	GRANE	2920-P4	25/11-15 GRANE	NO	69.900000	\N	4989.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2008	2008	\N	50	ED50	59	9	55.05	N	2	29	13.86	E	59.165292	2.487183	6558721.810000	470677.550000	31	25	11	G	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5747	http://www.npd.no/FactMapSearch?NPDID_wellbore=5747	multilateral	25/11-G-1 Y3	5747	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/2-Q-14 AY1H	31/2-Q-14	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-03-03	2008-03-31	TROLL	2921-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5162.000000	335.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL Q1	4	YES	OIL	2008	2008	\N	50	ED50	60	50	40.82	N	3	37	38.02	E	60.844672	3.627228	6745808.970000	534091.020000	31	31	2	Q	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5756	http://www.npd.no/FactMapSearch?NPDID_wellbore=5756	multilateral	31/2-Q-14 H	5756	44534	46437	9999-12-31	21228	296164	279477	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-Q-14 AY2H	31/2-Q-14	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-04-01	2008-04-17	TROLL	2921-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4876.000000	335.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL Q1	4	YES	OIL	2008	2008	\N	50	ED50	60	50	40.82	N	3	37	38.02	E	60.844672	3.627228	6745808.970000	534091.020000	31	31	2	Q	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5757	http://www.npd.no/FactMapSearch?NPDID_wellbore=5757	multilateral	31/2-Q-14 AY1H	5757	44534	46437	9999-12-31	21228	296164	279477	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/8-A-9 AH	34/8-A-9	StatoilHydro ASA	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2008-03-03	2008-04-29	VISUND	2922-P	34/8-1 VISUND	NO	29.000000	\N	4626.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2008	2008	\N	50	ED50	61	22	13.40	N	2	27	31.91	E	61.370389	2.458864	6804326.110000	471072.390000	31	34	8	A	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5758	http://www.npd.no/FactMapSearch?NPDID_wellbore=5758	sidetrack	34/8-A-9 H	5758	44720	43745	9999-12-31	21772	277685	277685	0	STATOILHYDRO ASA	2013-01-26	2013-01-26	2013-05-08
34/10-B-12 A	34/10-B-12	StatoilHydro ASA	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2008-01-27	2008-03-17	GULLFAKS	2923-P	34/10-1 GULLFAKS	NO	80.700000	\N	4848.000000	142.500000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2008	2008	\N	50	ED50	61	12	11.21	N	2	12	4.55	E	61.203114	2.201264	6785834.960000	457074.400000	31	34	10	B	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5759	http://www.npd.no/FactMapSearch?NPDID_wellbore=5759	sidetrack	34/10-B-12	5759	44594	43686	9999-12-31	21188	271917	271917	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-P-14 BY4H	31/2-P-14	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2007-12-26	2008-01-18	TROLL	2893-P4	31/2-1 TROLL VEST	NO	25.000000	\N	4632.000000	336.200000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL P1	4	YES	OIL	2007	2008	\N	50	ED50	60	52	1.12	N	3	33	28.27	E	60.866978	3.557853	6748259.400000	530299.290000	31	31	2	P	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5767	http://www.npd.no/FactMapSearch?NPDID_wellbore=5767	multilateral	31/2-P-14 BY3H	5767	44534	46437	9999-12-31	21228	296164	279085	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
25/4-K-5 H	25/4-K-5	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2007-12-19	2008-02-10	ALVHEIM	2924-P	25/4-7 ALVHEIM	NO	23.000000	\N	3426.000000	119.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	ALVHEIM FPSO	15	NO	OIL	2007	2008	\N	50	ED50	59	32	52.73	N	2	1	10.89	E	59.547981	2.019692	6601634.680000	444575.040000	31	25	4	K	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5768	http://www.npd.no/FactMapSearch?NPDID_wellbore=5768	initial	\N	5768	2420578	2845712	9999-12-31	22436	287983	375206	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
15/9-F-5	15/9-F-5	StatoilHydro ASA	STATOIL	046 BS	INJECTION	WATER	DEVELOPMENT	2008-07-14	2008-08-23	VOLVE	2925-P	15/9-19 S VOLVE	NO	54.000000	\N	3792.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	WATER	2008	2008	\N	173	ED50	58	26	29.66	N	1	53	14.99	E	58.441572	1.887497	6478558.970000	435050.940000	31	15	9	F	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5769	http://www.npd.no/FactMapSearch?NPDID_wellbore=5769	initial	\N	5769	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
33/9-C-31 B	33/9-C-31	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2008-01-25	2008-02-23	STATFJORD	2927-P	33/12-1 STATFJORD	NO	78.400000	\N	3137.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2008	2008	\N	50	ED50	61	17	46.85	N	1	54	9.93	E	61.296347	1.902758	6796452.140000	441207.420000	31	33	9	C	31	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5771	http://www.npd.no/FactMapSearch?NPDID_wellbore=5771	sidetrack	33/9-C-31 A	5771	44558	43658	9999-12-31	21084	271329	271329	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/11-A-3	34/11-A-3	StatoilHydro ASA	STATOIL	193	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2008-05-08	2008-06-20	KVITEBJØRN	2928-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	5461.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2008	2008	\N	170	ED50	61	4	49.01	N	2	29	59.00	E	61.080281	2.499722	6771993.270000	473009.200000	31	34	11	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5772	http://www.npd.no/FactMapSearch?NPDID_wellbore=5772	initial	\N	5772	44642	1036101	9999-12-31	22356	280877	280877	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/10-C-52	34/10-C-52	StatoilHydro ASA	STATOIL	050	OBSERVATION	\N	DEVELOPMENT	2007-12-21	2008-03-14	GULLFAKS	2929-P	34/10-1 GULLFAKS	NO	84.400000	\N	5979.000000	217.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2007	2008	\N	99	ED50	61	12	54.70	N	2	16	26.88	E	61.215194	2.274133	6787134.930000	461005.360000	31	34	10	C	52	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5774	http://www.npd.no/FactMapSearch?NPDID_wellbore=5774	initial	\N	5774	44594	43686	9999-12-31	21188	272645	272645	0	STATOILHYDRO ASA	2013-01-29	2013-01-29	2013-05-08
34/10-C-52 A	34/10-C-52	StatoilHydro ASA	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2008-03-15	2008-04-07	GULLFAKS	2930-P	34/10-1 GULLFAKS	NO	84.400000	\N	7515.000000	217.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2008	2008	\N	50	ED50	61	12	54.70	N	2	16	26.88	E	61.215194	2.274133	6787134.930000	461005.360000	31	34	10	C	52	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5775	http://www.npd.no/FactMapSearch?NPDID_wellbore=5775	sidetrack	34/10-C-52	5775	44594	43686	9999-12-31	21188	272645	272645	0	STATOILHYDRO ASA	2013-01-29	2013-01-29	2013-05-08
31/2-D-1 BY1H	31/2-D-1	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-08-26	2010-09-15	TROLL	2931-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5111.000000	338.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2010	2010	\N	50	ED50	60	52	3.17	N	3	26	12.14	E	60.867547	3.436706	6748272.950000	523718.940000	31	31	2	D	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5776	http://www.npd.no/FactMapSearch?NPDID_wellbore=5776	multilateral	31/2-D-1 AH	5776	44534	46437	9999-12-31	21228	296164	278105	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-D-1 BY2H	31/2-D-1	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-09-16	2010-09-27	TROLL	2931-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4632.000000	338.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2010	2010	\N	50	ED50	60	52	3.17	N	3	26	12.14	E	60.867547	3.436706	6748272.950000	523718.940000	31	31	2	D	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5777	http://www.npd.no/FactMapSearch?NPDID_wellbore=5777	multilateral	31/2-D-1 BY1H	5777	44534	46437	9999-12-31	21228	296164	278105	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-D-1 BY3H	31/2-D-1	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-09-28	2010-10-10	TROLL	2931-P3	31/2-1 TROLL VEST	NO	25.000000	\N	4525.000000	338.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2010	2010	\N	50	ED50	60	52	3.17	N	3	26	12.14	E	60.867547	3.436706	6748272.950000	523718.940000	31	31	2	D	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5778	http://www.npd.no/FactMapSearch?NPDID_wellbore=5778	multilateral	31/2-D-1 BY2H	5778	44534	46437	9999-12-31	21228	296164	278105	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/4-K-8 H	34/4-K-8	StatoilHydro ASA	STATOIL	057	INJECTION	WATER/GAS	DEVELOPMENT	2008-05-02	2008-07-10	SNORRE	2932-P	34/4-1 SNORRE	NO	37.000000	\N	6699.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-K H	4	NO	WATER/GAS	2008	2008	\N	0	61ED50	61	31	31.75	N	2	12	43.81	E	61.525486	2.212169	6821736.810000	458093.850000	31	34	4	K	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5780	http://www.npd.no/FactMapSearch?NPDID_wellbore=5780	initial	\N	5780	44654	43718	9999-12-31	21252	280485	284265	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/4-A-35 A	31/4-A-35	StatoilHydro ASA	STATOIL	055	INJECTION	GAS	DEVELOPMENT	2008-02-26	2008-06-22	BRAGE	2933-P	31/4-3 BRAGE	NO	63.000000	\N	6760.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	GAS	2008	2008	\N	91	ED50	60	32	33.17	N	3	2	50.69	E	60.542547	3.047414	6711994.980000	502601.350000	31	31	4	A	35	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5783	http://www.npd.no/FactMapSearch?NPDID_wellbore=5783	sidetrack	31/4-A-35	5783	44546	43651	9999-12-31	21236	277405	277405	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
15/9-F-15 A	15/9-F-15	StatoilHydro ASA	STATOIL	046 BS	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2008-12-12	2009-01-13	VOLVE	2937-P	15/9-19 S VOLVE	NO	54.900000	\N	3232.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	2008	2009	\N	99	ED50	58	26	29.71	N	1	53	15.15	E	58.441586	1.887542	6478560.470000	435053.560000	31	15	9	F	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5785	http://www.npd.no/FactMapSearch?NPDID_wellbore=5785	sidetrack	15/9-F-15	5785	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOILHYDRO ASA	2013-01-29	2013-01-29	2013-05-08
2/4-X-12 A	2/4-X-12	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2008-09-21	2008-12-02	EKOFISK	2934-P	2/4-2 EKOFISK	NO	57.000000	\N	3882.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2008	2008	\N	50	ED50	56	32	51.04	N	3	13	8.44	E	56.547511	3.219011	6267179.760000	513466.160000	31	2	4	X	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5787	http://www.npd.no/FactMapSearch?NPDID_wellbore=5787	sidetrack	2/4-X-12	5787	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
30/9-L-51 H	30/9-L-51	StatoilHydro Petroleum AS	STATOIL	079	OBSERVATION	\N	DEVELOPMENT	2008-06-26	2008-07-23	OSEBERG SØR	2935-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	3582.000000	102.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	OSEBERG DELTA	Awarded additionaly to round 6	NO	OIL/GAS	2008	2008	\N	99	ED50	60	28	5.34	N	2	40	53.40	E	60.468150	2.681500	6703749.960000	482485.570000	31	30	9	L	51	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5788	http://www.npd.no/FactMapSearch?NPDID_wellbore=5788	initial	\N	5788	44468	43645	9999-12-31	34635	287821	374139	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
30/9-L-51 AH	30/9-L-51	StatoilHydro Petroleum AS	STATOIL	079	PRODUCTION	OIL	DEVELOPMENT	2008-07-23	2008-09-17	OSEBERG SØR	2936-P	30/9-10 OSEBERG SØR	NO	29.000000	\N	5830.000000	102.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	OSEBERG DELTA	Awarded additionaly to round 6	NO	OIL/GAS	2008	2008	\N	50	ED50	60	28	5.34	N	2	40	53.40	E	60.468150	2.681500	6703749.960000	482485.570000	31	30	9	L	51	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5789	http://www.npd.no/FactMapSearch?NPDID_wellbore=5789	sidetrack	30/9-L-51 H	5789	44468	43645	9999-12-31	34635	287821	374139	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
30/3-A-21 A	30/3-A-21	StatoilHydro ASA	STATOIL	052	PRODUCTION	WATER/GAS	DEVELOPMENT	2008-03-10	2008-05-08	VESLEFRIKK	2938-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5595.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2008	2008	\N	0	ED50	60	46	57.82	N	2	53	52.27	E	60.782728	2.897853	6738750.580000	494437.310000	31	30	3	A	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5790	http://www.npd.no/FactMapSearch?NPDID_wellbore=5790	sidetrack	30/3-A-21	5790	44378	43618	9999-12-31	21212	277321	277321	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6305/5-B-2 AH	6305/5-B-2	A/S Norske Shell	SHELL	209	PRODUCTION	GAS	DEVELOPMENT	2007-02-28	2008-01-23	ORMEN LANGE	2939-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	2868.000000	854.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE B	15	NO	GAS	2007	2008	\N	90	ED50	63	31	41.92	N	5	23	16.69	E	63.528311	5.387969	7046842.740000	618750.990000	31	6305	5	B	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5792	http://www.npd.no/FactMapSearch?NPDID_wellbore=5792	sidetrack	6305/5-B-2 H	5792	44822	2762452	9999-12-31	22484	297082	371216	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
15/9-F-15 C	15/9-F-15	StatoilHydro ASA	STATOIL	046 BS	PRODUCTION	OIL	DEVELOPMENT	2009-01-18	2009-03-06	VOLVE	3016-P	15/9-19 S VOLVE	NO	54.900000	\N	3232.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	2009	2009	\N	50	ED50	58	26	29.71	N	1	53	15.15	E	58.441586	1.887542	6478560.470000	435053.560000	31	15	9	F	15	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5794	http://www.npd.no/FactMapSearch?NPDID_wellbore=5794	sidetrack	15/9-F-15 B	5794	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
24/6-B-2 AY1H	24/6-B-2	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2008-05-05	2008-05-14	ALVHEIM	2940-P1	24/6-2 ALVHEIM	NO	23.000000	\N	4713.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	KNELER B	15	YES	OIL	2008	2008	\N	50	ED50	59	32	46.95	N	1	59	18.03	E	59.546375	1.988342	6601482.450000	442799.930000	31	24	6	B	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5795	http://www.npd.no/FactMapSearch?NPDID_wellbore=5795	multilateral	24/6-B-2 H	5795	45828	2845712	9999-12-31	22436	287983	375092	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/6-B-2 AY2H	24/6-B-2	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2008-05-15	2008-05-26	ALVHEIM	2940-P2	24/6-2 ALVHEIM	NO	23.000000	\N	4303.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	KNELER B	15	YES	OIL	2008	2008	\N	50	ED50	59	32	46.95	N	1	59	18.03	E	59.546375	1.988342	6601482.450000	442799.930000	31	24	6	B	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5796	http://www.npd.no/FactMapSearch?NPDID_wellbore=5796	multilateral	24/6-B-2 AY1H	5796	45828	2845712	9999-12-31	22436	287983	375092	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
6608/10-H-2 H	6608/10-H-2	StatoilHydro ASA	STATOIL	128	INJECTION	WATER	DEVELOPMENT	2008-03-28	2008-05-12	URD	2941-P	6608/10-6 SVALE	NO	24.000000	\N	2162.000000	376.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE H	10-B	NO	WATER	2008	2008	\N	173	ED50	66	4	39.52	N	8	15	2.86	E	66.077644	8.250794	7328952.980000	466098.460000	32	6608	10	H	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5797	http://www.npd.no/FactMapSearch?NPDID_wellbore=5797	initial	\N	5797	1030536	2834734	9999-12-31	21836	297649	364827	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
33/12-B-12 A	33/12-B-12	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2008-03-16	2008-04-24	STATFJORD	2942-P	33/12-1 STATFJORD	NO	77.800000	\N	3743.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	OIL	2008	2008	\N	50	ED50	61	12	25.08	N	1	49	52.41	E	61.206967	1.831225	6786563.310000	437196.720000	31	33	12	B	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5798	http://www.npd.no/FactMapSearch?NPDID_wellbore=5798	sidetrack	33/12-B-12	5798	44558	43658	9999-12-31	21084	271301	271301	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6507/7-A-41 A	6507/7-A-41	StatoilHydro ASA	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2008-06-17	2008-08-06	HEIDRUN	2943-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3787.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2008	2008	\N	50	ED50	65	19	32.43	N	7	19	2.58	E	65.325675	7.317383	7245979.000000	421624.090000	32	6507	7	A	41	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5799	http://www.npd.no/FactMapSearch?NPDID_wellbore=5799	sidetrack	6507/7-A-41	5799	44930	43771	9999-12-31	21564	272421	272421	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6407/1-B-3 H	6407/1-B-3	StatoilHydro ASA	STATOIL	073	INJECTION	OIL	DEVELOPMENT	2008-04-30	2008-06-14	TYRIHANS	2944-P	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	4025.000000	275.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS B	5	NO	GAS	2008	2008	\N	0	ED50	64	48	41.95	N	7	3	24.58	E	64.811653	7.056828	7189059.310000	407728.360000	32	6407	1	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5802	http://www.npd.no/FactMapSearch?NPDID_wellbore=5802	initial	\N	5802	44852	3960848	9999-12-31	21380	294382	377652	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
30/6-E-4 B	30/6-E-4	Statoil Petroleum AS	STATOIL	053	PRODUCTION	OIL	DEVELOPMENT	2008-05-26	2011-12-22	OSEBERG ØST	2945-P	30/6-5 OSEBERG ØST	NO	64.200000	\N	4188.000000	157.700000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	2008	2011	\N	50	ED50	60	42	1.94	N	2	56	6.76	E	60.700539	2.935211	6729593.380000	496462.720000	31	30	6	E	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5803	http://www.npd.no/FactMapSearch?NPDID_wellbore=5803	sidetrack	30/6-E-4 A	5803	44438	43639	9999-12-31	21220	277489	277489	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
33/9-A-34 C	33/9-A-34	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2008-04-21	2008-05-21	STATFJORD	2946-P	33/12-1 STATFJORD	NO	64.400000	\N	3392.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2008	2008	\N	50	ED50	61	15	19.77	N	1	51	14.40	E	61.255492	1.854000	6791946.430000	438515.200000	31	33	9	A	34	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5810	http://www.npd.no/FactMapSearch?NPDID_wellbore=5810	sidetrack	33/9-A-34 B	5810	44558	43658	9999-12-31	21084	271273	271273	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-Y-12 Y1H	31/2-Y-12	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-04-24	2008-05-28	TROLL	2947-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5023.000000	356.400000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL U1	4	YES	OIL	2008	2008	\N	50	ED50	60	50	57.44	N	3	34	54.18	E	60.849289	3.581717	6746300.400000	531612.890000	31	31	2	Y	12	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5815	http://www.npd.no/FactMapSearch?NPDID_wellbore=5815	multilateral	\N	5815	44534	46437	9999-12-31	21228	296164	280429	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-Y-12 Y2H	31/2-Y-12	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-05-29	2008-06-21	TROLL	2947-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4845.000000	356.400000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL U1	4	YES	OIL	2008	2008	\N	50	ED50	60	50	57.44	N	3	34	54.18	E	60.849289	3.581717	6746300.400000	531612.890000	31	31	2	Y	12	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5816	http://www.npd.no/FactMapSearch?NPDID_wellbore=5816	multilateral	31/2-Y-12 Y1H	5816	44534	46437	9999-12-31	21228	296164	280429	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
30/6-C-24 BY1	30/6-C-24	StatoilHydro Petroleum AS	STATOIL	053	PRODUCTION	OIL	DEVELOPMENT	2008-08-06	2008-12-10	OSEBERG	2948-P1	30/6-1 OSEBERG	NO	62.300000	\N	7644.000000	109.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	YES	OIL	2008	2008	\N	50	ED50	60	36	29.18	N	2	46	33.26	E	60.608106	2.775906	6719316.990000	487730.030000	31	30	6	C	24	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5817	http://www.npd.no/FactMapSearch?NPDID_wellbore=5817	multilateral	30/6-C-24 A	5817	44396	43625	9999-12-31	21220	272225	272225	0	STATOILHYDRO PETROLEUM	2013-01-11	2013-01-11	2013-05-08
30/6-C-24 BY2	30/6-C-24	StatoilHydro Petroleum AS	STATOIL	053	PRODUCTION	OIL	DEVELOPMENT	2008-12-11	2009-02-08	OSEBERG	2948-P2	30/6-1 OSEBERG	NO	62.300000	\N	7777.000000	109.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	YES	OIL	2008	2009	\N	50	ED50	60	36	29.18	N	2	46	33.26	E	60.608106	2.775906	6719316.990000	487730.030000	31	30	6	C	24	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5818	http://www.npd.no/FactMapSearch?NPDID_wellbore=5818	multilateral	30/6-C-24 BY1	5818	44396	43625	9999-12-31	21220	272225	272225	0	STATOILHYDRO PETROLEUM	2013-01-11	2013-01-11	2013-05-08
34/10-C-52 B	34/10-C-52	StatoilHydro ASA	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2008-04-08	2008-06-10	GULLFAKS	2950-P	34/10-1 GULLFAKS	NO	84.400000	\N	7869.000000	217.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2008	2008	\N	50	ED50	61	12	54.70	N	2	16	26.88	E	61.215194	2.274133	6787134.930000	461005.360000	31	34	10	C	52	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5819	http://www.npd.no/FactMapSearch?NPDID_wellbore=5819	sidetrack	34/10-C-52 A	5819	44594	43686	9999-12-31	21188	272645	272645	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
33/9-C-10 A	33/9-C-10	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	WATER/GAS	DEVELOPMENT	1989-12-31	1990-01-25	STATFJORD	2951-P	33/12-1 STATFJORD	NO	78.400000	\N	5886.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	1989	1990	\N	0	ED50	61	17	48.03	N	1	54	10.97	E	61.296675	1.903047	6796488.390000	441223.510000	31	33	9	C	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5820	http://www.npd.no/FactMapSearch?NPDID_wellbore=5820	sidetrack	33/9-C-10	5820	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/11-B-13 H	35/11-B-13	StatoilHydro Petroleum AS	STATOIL	090	PRODUCTION	OIL	DEVELOPMENT	2008-05-15	2008-07-25	FRAM	2952-P	35/11-4 FRAM	NO	31.000000	\N	6466.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B1	8	NO	OIL	2008	2008	\N	50	ED50	61	2	21.64	N	3	34	32.93	E	61.039344	3.575814	6767467.000000	531106.130000	31	35	11	B	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5821	http://www.npd.no/FactMapSearch?NPDID_wellbore=5821	initial	\N	5821	44750	1578840	9999-12-31	21524	290170	371482	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/2-O-11 AY1H	31/2-O-11	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-05-04	2008-05-11	TROLL	2953-P1	31/2-1 TROLL VEST	NO	25.000000	\N	4039.000000	337.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL O1	4	YES	OIL	2008	2008	\N	50	ED50	60	53	22.53	N	3	33	59.31	E	60.889592	3.566475	6750782.250000	530745.840000	31	31	2	O	11	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5822	http://www.npd.no/FactMapSearch?NPDID_wellbore=5822	multilateral	31/2-O-11 H	5822	44534	46437	9999-12-31	21228	290980	279757	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-O-11 AY2H	31/2-O-11	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-05-12	2008-06-01	TROLL	2953-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5261.000000	337.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL O1	4	YES	OIL	2008	2008	\N	50	ED50	60	53	22.53	N	3	33	59.31	E	60.889592	3.566475	6750782.250000	530745.840000	31	31	2	O	11	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5823	http://www.npd.no/FactMapSearch?NPDID_wellbore=5823	multilateral	31/2-O-11 AY1H	5823	44534	46437	9999-12-31	21228	290980	279757	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/7-A-22 B	2/7-A-22	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2008-06-11	2008-07-30	ELDFISK	2954-P	2/7-1 ELDFISK	NO	43.000000	\N	4286.000000	70.700000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2008	2008	\N	50	ED50	56	22	36.22	N	3	15	56.84	E	56.376728	3.265789	6248180.070000	516415.850000	31	2	7	A	22	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5825	http://www.npd.no/FactMapSearch?NPDID_wellbore=5825	sidetrack	2/7-A-22 A	5825	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
6407/1-B-1 H	6407/1-B-1	StatoilHydro ASA	STATOIL	073	OBSERVATION	OIL	DEVELOPMENT	2008-06-27	2008-07-04	TYRIHANS	2959-P	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	3950.000000	275.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS B	5	NO	\N	2008	2008	\N	99	ED50	64	48	41.60	N	7	3	24.26	E	64.811556	7.056739	7189048.610000	407723.810000	32	6407	1	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5826	http://www.npd.no/FactMapSearch?NPDID_wellbore=5826	initial	\N	5826	44852	3960848	9999-12-31	21380	294382	377652	0	STATOILHYDRO ASA	2013-01-29	2013-01-29	2013-05-08
6407/1-B-1 AH	6407/1-B-1	StatoilHydro ASA	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2008-08-05	2008-09-27	TYRIHANS	2960-P	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	6012.000000	275.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS B	5	NO	OIL	2008	2008	\N	50	ED50	64	48	41.60	N	7	3	24.26	E	64.811556	7.056739	7189048.610000	407723.810000	32	6407	1	B	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5827	http://www.npd.no/FactMapSearch?NPDID_wellbore=5827	sidetrack	6407/1-B-1 H	5827	44852	3960848	9999-12-31	21380	294382	377652	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
15/9-A-14 A	15/9-A-14	StatoilHydro ASA	STATOIL	046	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2008-05-08	2008-08-10	SLEIPNER ØST	2955-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	9661.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS/CONDENSATE	2008	2008	\N	170	ED50	58	22	2.56	N	1	54	30.10	E	58.367378	1.908361	6470278.510000	436134.860000	31	15	9	A	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5828	http://www.npd.no/FactMapSearch?NPDID_wellbore=5828	sidetrack	15/9-A-14	5828	43946	43478	9999-12-31	21156	272365	272365	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
25/11-G-3	25/11-G-3	Statoil Petroleum AS	STATOIL	169 B1	OBSERVATION	OIL	DEVELOPMENT	2009-10-09	2010-01-25	GRANE	2956-P	25/11-15 GRANE	NO	69.900000	\N	3883.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2009	2010	\N	99	ED50	59	9	55.17	N	2	29	14.11	E	59.165325	2.487253	6558725.490000	470681.550000	31	25	11	G	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5829	http://www.npd.no/FactMapSearch?NPDID_wellbore=5829	initial	\N	5829	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
25/11-G-15	25/11-G-15	StatoilHydro Petroleum AS	STATOIL	169 B1	OBSERVATION	OIL	DEVELOPMENT	2008-11-10	2008-12-19	GRANE	2957-P	25/11-15 GRANE	NO	69.900000	\N	2500.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2008	2008	\N	99	ED50	59	9	55.00	N	2	29	14.44	E	59.165278	2.487344	6558720.190000	470686.750000	31	25	11	G	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5830	http://www.npd.no/FactMapSearch?NPDID_wellbore=5830	initial	\N	5830	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
25/11-G-16 Y1	25/11-G-16	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2008-07-19	2008-09-09	GRANE	2958-P1	25/11-15 GRANE	NO	69.900000	\N	3245.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2008	2008	\N	50	ED50	59	9	55.07	N	2	29	14.59	E	59.165297	2.487386	6558722.340000	470689.150000	31	25	11	G	16	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5831	http://www.npd.no/FactMapSearch?NPDID_wellbore=5831	multilateral	\N	5831	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
2/1-A-32 B	2/1-A-32	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2008-06-08	2008-07-08	GYDA	2961-P	2/1-3 GYDA	NO	56.000000	\N	4438.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2008	2008	\N	50	ED50	56	54	17.31	N	3	5	5.95	E	56.904808	3.084986	6306934.020000	505176.150000	31	2	1	A	32	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5832	http://www.npd.no/FactMapSearch?NPDID_wellbore=5832	sidetrack	2/1-A-32 A	5832	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2013-02-16	2013-02-16	2013-05-08
6406/2-Q-1 H	6406/2-Q-1	StatoilHydro ASA	STATOIL	199	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2008-05-09	2008-08-22	KRISTIN	2949-P	6406/2-3 KRISTIN	NO	25.000000	\N	5852.000000	317.500000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	KRISTIN Q	14	NO	GAS/CONDENSATE	2008	2008	\N	170	ED50	64	52	52.12	N	6	26	6.15	E	64.881144	6.435042	7197850.520000	378527.720000	32	6406	2	Q	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5833	http://www.npd.no/FactMapSearch?NPDID_wellbore=5833	initial	\N	5833	44840	1854729	9999-12-31	22404	294058	395591	0	STATOILHYDRO ASA	2013-01-26	2013-01-26	2013-05-08
34/8-A-33 H	34/8-A-33	StatoilHydro ASA	STATOIL	120	INJECTION	CUTTINGS	DEVELOPMENT	2008-07-27	2008-08-21	VISUND	2962-P	34/8-1 VISUND	NO	29.000000	\N	1733.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	CUTTINGS	2008	2008	\N	171	ED50	61	22	13.50	N	2	27	34.63	E	61.370417	2.459619	6804328.870000	471112.800000	31	34	8	A	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5834	http://www.npd.no/FactMapSearch?NPDID_wellbore=5834	initial	\N	5834	44720	43745	9999-12-31	21772	277685	277685	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
33/9-A-17 B	33/9-A-17	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2008-06-01	2008-06-17	STATFJORD	2963-P	33/12-1 STATFJORD	NO	64.400000	\N	4490.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2008	2008	\N	50	ED50	61	15	20.75	N	1	51	15.11	E	61.255764	1.854197	6791976.560000	438526.310000	31	33	9	A	17	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5836	http://www.npd.no/FactMapSearch?NPDID_wellbore=5836	sidetrack	33/9-A-17 A	5836	44558	43658	9999-12-31	21084	271273	271273	0	STATOILHYDRO ASA	2012-11-22	2012-11-22	2013-05-08
33/9-C-5 C	33/9-C-5	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2008-06-27	2008-07-29	STATFJORD	2964-P	33/12-1 STATFJORD	NO	78.400000	\N	3886.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2008	2008	\N	50	ED50	61	17	48.10	N	1	54	11.03	E	61.296694	1.903064	6796490.540000	441224.440000	31	33	9	C	5	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5837	http://www.npd.no/FactMapSearch?NPDID_wellbore=5837	sidetrack	33/9-C-5 B	5837	44558	43658	9999-12-31	21084	271329	271329	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/7-P-10 A	34/7-P-10	StatoilHydro ASA	STATOIL	089	INJECTION	WATER/GAS	DEVELOPMENT	2008-07-01	2008-07-17	SNORRE	2965-P	34/4-1 SNORRE	NO	59.400000	\N	5600.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER/GAS	2008	2008	\N	0	ED50	61	26	56.96	N	2	8	37.64	E	61.449156	2.143789	6813280.170000	454345.050000	31	34	7	P	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5838	http://www.npd.no/FactMapSearch?NPDID_wellbore=5838	sidetrack	34/7-P-10	5838	44654	43718	9999-12-31	21516	272085	272085	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
33/9-N-4 H	33/9-N-4	StatoilHydro ASA	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	SYGNA	2966-P	33/9-19 S SYGNA	NO	31.000000	\N	0.000000	299.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SYGNA N	Awarded additionaly to round 2-A	NO	OIL	0	0	\N	0	ED50	61	28	1.33	N	1	59	31.42	E	61.467036	1.992061	6815387.450000	446285.810000	31	33	9	N	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5840	http://www.npd.no/FactMapSearch?NPDID_wellbore=5840	initial	\N	5840	44564	104718	9999-12-31	21084	297784	279897	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/4-M-1 A	2/4-M-1	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2008-05-27	2008-06-20	EKOFISK	2967-P	2/4-2 EKOFISK	NO	71.000000	\N	4877.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2008	2008	\N	50	ED50	56	32	43.73	N	3	13	23.07	E	56.545481	3.223075	6266954.540000	513716.770000	31	2	4	M	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5841	http://www.npd.no/FactMapSearch?NPDID_wellbore=5841	sidetrack	2/4-M-1	5841	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
31/4-A-1 A	31/4-A-1	StatoilHydro Petroleum AS	STATOIL	055	PRODUCTION	OIL	DEVELOPMENT	2008-07-23	2008-11-19	BRAGE	2968-P	31/4-3 BRAGE	YES	62.600000	\N	7140.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2008	2008	\N	50	ED50	60	32	33.17	N	3	2	50.52	E	60.542547	3.047367	6711994.980000	502598.750000	31	31	4	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5843	http://www.npd.no/FactMapSearch?NPDID_wellbore=5843	sidetrack	31/4-A-1	5843	44546	43651	9999-12-31	21236	277405	277405	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/2-G-6 AY1H	31/2-G-6	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-08-25	2008-09-22	TROLL	2969-P1	31/2-1 TROLL VEST	NO	25.000000	\N	4455.000000	328.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL G	4	YES	OIL	2008	2008	\N	50	ED50	60	45	8.67	N	3	26	36.00	E	60.752408	3.443333	6735450.680000	524165.550000	31	31	2	G	6	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5845	http://www.npd.no/FactMapSearch?NPDID_wellbore=5845	multilateral	31/2-G-6 H	5845	44534	46437	9999-12-31	21228	296164	278189	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-G-6 AY2H	31/2-G-6	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-09-23	2008-10-07	TROLL	2969-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4449.000000	328.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL G	4	YES	OIL	2008	2008	\N	50	ED50	60	45	8.67	N	3	26	36.00	E	60.752408	3.443333	6735450.680000	524165.550000	31	31	2	G	6	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5846	http://www.npd.no/FactMapSearch?NPDID_wellbore=5846	multilateral	31/2-G-6 AY1H	5846	44534	46437	9999-12-31	21228	296164	278189	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/11-A-1	34/11-A-1	Statoil Petroleum AS	STATOIL	193	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2010-10-12	2012-08-10	KVITEBJØRN	2970-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	5722.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2010	2012	\N	170	ED50	61	4	48.90	N	2	29	59.14	E	61.080250	2.499761	6771989.850000	473011.270000	31	34	11	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5847	http://www.npd.no/FactMapSearch?NPDID_wellbore=5847	initial	\N	5847	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
34/11-A-7	34/11-A-7	Statoil Petroleum AS	STATOIL	193	PRODUCTION	\N	DEVELOPMENT	2010-03-05	2010-06-27	KVITEBJØRN	2971-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	5415.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2010	2010	\N	71	ED50	61	4	49.24	N	2	29	58.73	E	61.080344	2.499647	6772000.420000	473005.210000	31	34	11	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5848	http://www.npd.no/FactMapSearch?NPDID_wellbore=5848	initial	\N	5848	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL PETROLEUM AS	2013-03-01	2013-03-01	2013-05-08
34/11-A-9	34/11-A-9	StatoilHydro Petroleum AS	STATOIL	193	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2008-12-29	2009-12-01	KVITEBJØRN	2972-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	7180.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	2008	2009	\N	170	ED50	61	4	48.93	N	2	29	59.25	E	61.080258	2.499792	6771990.770000	473012.930000	31	34	11	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5849	http://www.npd.no/FactMapSearch?NPDID_wellbore=5849	initial	\N	5849	44642	1036101	9999-12-31	22356	280877	280877	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
34/11-A-16	34/11-A-16	Statoil Petroleum AS	STATOIL	193	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	KVITEBJØRN	2973-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	0.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	0	0	\N	0	ED50	61	4	49.32	N	2	29	58.78	E	61.080367	2.499661	6772002.890000	473005.980000	31	34	11	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5850	http://www.npd.no/FactMapSearch?NPDID_wellbore=5850	initial	\N	5850	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-13 Y1	25/11-G-13	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2009-03-09	2009-07-23	GRANE	2974-P1	25/11-15 GRANE	NO	69.900000	\N	6493.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2009	2009	\N	50	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	25	11	G	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5851	http://www.npd.no/FactMapSearch?NPDID_wellbore=5851	multilateral	25/11-G-13 B	5851	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
24/6-A-2 H	24/6-A-2	Marathon Petroleum Norge AS	MARATHON	088 BS	PRODUCTION	OIL	DEVELOPMENT	2008-11-13	2009-01-04	ALVHEIM	2975-P	24/6-4 ALVHEIM	NO	23.000000	\N	4926.000000	121.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	BOA	Awarded additionaly to round 8	NO	OIL	2008	2009	\N	50	ED50	59	34	34.88	N	1	55	27.91	E	59.576356	1.924419	6604877.700000	439239.950000	31	24	6	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5852	http://www.npd.no/FactMapSearch?NPDID_wellbore=5852	initial	\N	5852	2472552	2845712	9999-12-31	2787418	287983	375245	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/6-A-3 H	24/6-A-3	Marathon Petroleum Norge AS	MARATHON	088 BS	OBSERVATION	\N	DEVELOPMENT	2008-07-02	2008-07-15	ALVHEIM	2976-P	24/6-4 ALVHEIM	NO	23.000000	\N	3150.000000	121.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	BOA	Awarded additionaly to round 8	NO	OIL	2008	2008	\N	99	ED50	59	34	34.32	N	1	55	29.06	E	59.576200	1.924739	6604860.090000	439257.720000	31	24	6	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5853	http://www.npd.no/FactMapSearch?NPDID_wellbore=5853	initial	\N	5853	2472552	2845712	9999-12-31	2787418	287983	375245	0	MARATHON N	2013-01-24	2013-01-24	2013-05-08
24/6-A-3 AY1H	24/6-A-3	Marathon Petroleum Norge AS	MARATHON	088 BS	PRODUCTION	OIL	DEVELOPMENT	2008-07-16	2008-08-21	ALVHEIM	2977-P1	24/6-4 ALVHEIM	NO	23.000000	\N	5209.000000	121.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	BOA	Awarded additionaly to round 8	YES	OIL	2008	2008	\N	50	ED50	59	34	34.32	N	1	55	29.06	E	59.576200	1.924739	6604860.090000	439257.720000	31	24	6	A	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5854	http://www.npd.no/FactMapSearch?NPDID_wellbore=5854	multilateral	24/6-A-3 H	5854	2472552	2845712	9999-12-31	2787418	287983	375245	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/6-A-3 AY2H	24/6-A-3	Marathon Petroleum Norge AS	MARATHON	088 BS	PRODUCTION	OIL	DEVELOPMENT	2008-08-22	2008-09-26	ALVHEIM	2977-P2	24/6-4 ALVHEIM	NO	23.000000	\N	5000.000000	121.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	BOA	Awarded additionaly to round 8	YES	OIL	2008	2008	\N	50	ED50	59	34	34.32	N	1	55	29.06	E	59.576200	1.924739	6604860.090000	439257.720000	31	24	6	A	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5855	http://www.npd.no/FactMapSearch?NPDID_wellbore=5855	multilateral	24/6-A-3 AY1H	5855	2472552	2845712	9999-12-31	2787418	287983	375245	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/6-A-3 AY3H	24/6-A-3	Marathon Petroleum Norge AS	MARATHON	088 BS	PRODUCTION	OIL	DEVELOPMENT	2008-09-28	2008-11-09	ALVHEIM	2977-P3	24/6-4 ALVHEIM	NO	23.000000	\N	4577.000000	121.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	BOA	Awarded additionaly to round 8	YES	OIL	2008	2008	\N	50	ED50	59	34	34.32	N	1	55	29.06	E	59.576200	1.924739	6604860.090000	439257.720000	31	24	6	A	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5856	http://www.npd.no/FactMapSearch?NPDID_wellbore=5856	multilateral	24/6-A-3 AY2H	5856	2472552	2845712	9999-12-31	2787418	287983	375245	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
30/9-F-9	30/9-F-9	StatoilHydro Petroleum AS	STATOIL	104	OBSERVATION	OIL/GAS	DEVELOPMENT	2008-06-24	2009-03-12	OSEBERG SØR	2978-P	30/9-10 OSEBERG SØR	NO	67.200000	\N	7515.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL/GAS	2008	2009	\N	99	ED50	60	23	24.68	N	2	47	49.51	E	60.390189	2.797086	6695041.530000	488814.930000	31	30	9	F	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5857	http://www.npd.no/FactMapSearch?NPDID_wellbore=5857	initial	\N	5857	44468	43645	9999-12-31	21636	280205	280205	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
30/9-F-9 AY1	30/9-F-9	Statoil Petroleum AS	STATOIL	104	PRODUCTION	OIL/GAS	DEVELOPMENT	2009-03-13	2010-09-15	OSEBERG SØR	2979-P1	30/9-10 OSEBERG SØR	NO	67.200000	\N	8583.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	YES	OIL/GAS	2009	2010	\N	0	ED50	60	23	24.68	N	2	47	49.51	E	60.390189	2.797086	6695041.530000	488814.930000	31	30	9	F	9	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5858	http://www.npd.no/FactMapSearch?NPDID_wellbore=5858	multilateral	30/9-F-9	5858	44468	43645	9999-12-31	21636	280205	280205	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/9-F-9 AY2	30/9-F-9	Statoil Petroleum AS	STATOIL	104	PRODUCTION	OIL/GAS	DEVELOPMENT	2010-09-16	2010-10-30	OSEBERG SØR	2979-P2	30/9-10 OSEBERG SØR	NO	67.200000	\N	8262.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	YES	OIL/GAS	2010	2010	\N	0	ED50	60	23	24.68	N	2	47	49.51	E	60.390189	2.797086	6695041.530000	488814.930000	31	30	9	F	9	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5859	http://www.npd.no/FactMapSearch?NPDID_wellbore=5859	multilateral	30/9-F-9 AY1	5859	44468	43645	9999-12-31	21636	280205	280205	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-16 Y2	25/11-G-16	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2008-09-10	2008-10-03	GRANE	2958-P2	25/11-15 GRANE	NO	69.900000	\N	2630.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2008	2008	\N	50	ED50	59	9	55.07	N	2	29	14.59	E	59.165297	2.487386	6558722.340000	470689.150000	31	25	11	G	16	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5860	http://www.npd.no/FactMapSearch?NPDID_wellbore=5860	multilateral	25/11-G-16 Y1	5860	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
25/11-G-16 Y3	25/11-G-16	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2008-10-04	2008-10-24	GRANE	2958-P3	25/11-15 GRANE	NO	69.900000	\N	4608.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2008	2008	\N	50	ED50	59	9	55.07	N	2	29	14.59	E	59.165297	2.487386	6558722.340000	470689.150000	31	25	11	G	16	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5861	http://www.npd.no/FactMapSearch?NPDID_wellbore=5861	multilateral	25/11-G-16 Y2	5861	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
34/7-D-2 H	34/7-D-2	StatoilHydro ASA	STATOIL	089	OBSERVATION	OIL	DEVELOPMENT	2008-07-01	2008-08-06	VIGDIS	2980-P	34/7-8 VIGDIS	NO	31.000000	\N	3247.000000	251.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	VIGDIS D	8	NO	OIL	2008	2008	\N	99	ED50	61	20	44.04	N	2	4	22.33	E	61.345567	2.072869	6801793.290000	450399.710000	31	34	7	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5862	http://www.npd.no/FactMapSearch?NPDID_wellbore=5862	initial	\N	5862	44714	43732	9999-12-31	21516	297784	359965	0	STATOILHYDRO ASA	2013-01-29	2013-01-29	2013-05-08
30/3-A-7 C	30/3-A-7	StatoilHydro ASA	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2008-07-16	2009-03-12	VESLEFRIKK	2981-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5662.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2008	2009	\N	50	ED50	60	46	57.92	N	2	53	52.06	E	60.782756	2.897794	6738753.680000	494434.140000	31	30	3	A	7	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5863	http://www.npd.no/FactMapSearch?NPDID_wellbore=5863	sidetrack	30/3-A-7 B	5863	44378	43618	9999-12-31	21212	277321	277321	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
15/9-A-1	15/9-A-1	StatoilHydro ASA	STATOIL	046	\N	\N	DEVELOPMENT	9999-12-31	9999-12-31	SLEIPNER ØST	2982-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	0.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	\N	0	0	\N	0	ED50	58	22	2.62	N	1	54	29.62	E	58.367394	1.908228	6470280.490000	436127.090000	31	15	9	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5864	http://www.npd.no/FactMapSearch?NPDID_wellbore=5864	initial	\N	5864	43946	43478	9999-12-31	21156	272365	272365	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
15/9-A-13	15/9-A-13	StatoilHydro ASA	STATOIL	046	OBSERVATION	\N	DEVELOPMENT	2008-11-13	2009-01-06	SLEIPNER ØST	2983-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	4084.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS/CONDENSATE	2008	2009	\N	99	ED50	58	22	2.49	N	1	54	30.02	E	58.367358	1.908339	6470276.360000	436133.520000	31	15	9	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5865	http://www.npd.no/FactMapSearch?NPDID_wellbore=5865	initial	\N	5865	43946	43478	9999-12-31	21156	272365	272365	0	STATOILHYDRO ASA	2013-01-24	2013-01-24	2013-05-08
15/9-A-17	15/9-A-17	StatoilHydro ASA	STATOIL	046	\N	\N	DEVELOPMENT	9999-12-31	9999-12-31	SLEIPNER ØST	2984-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	0.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	\N	0	0	\N	0	ED50	58	22	1.96	N	1	54	31.77	E	58.367211	1.908825	6470259.510000	436161.700000	31	15	9	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5866	http://www.npd.no/FactMapSearch?NPDID_wellbore=5866	initial	\N	5866	43946	43478	9999-12-31	21156	272365	272365	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6506/12-R-3 Y2H	6506/12-R-3	StatoilHydro ASA	STATOIL	094	INJECTION	GAS	DEVELOPMENT	2008-07-26	2008-09-17	ÅSGARD	2864-P2	6506/12-3 SMØRBUKK SØR	NO	22.000000	\N	5843.000000	305.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	ÅSGARD R	8	YES	GAS	2008	2008	\N	91	ED50	65	2	0.42	N	6	54	6.94	E	65.033450	6.901928	7214003.200000	401194.830000	32	6506	12	R	3	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5869	http://www.npd.no/FactMapSearch?NPDID_wellbore=5869	multilateral	6506/12-R-3 Y1H	5869	45846	43765	9999-12-31	21556	296245	278861	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
15/9-B-1	15/9-B-1	StatoilHydro Petroleum AS	STATOIL	046	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2009-07-16	2009-11-19	SLEIPNER VEST	2985-P	15/6-3 SLEIPNER VEST	YES	47.700000	\N	6069.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS/CONDENSATE	2009	2009	\N	170	ED50	58	25	4.65	N	1	43	3.92	E	58.417958	1.717756	6476106.450000	425091.810000	31	15	9	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5870	http://www.npd.no/FactMapSearch?NPDID_wellbore=5870	initial	\N	5870	43910	43457	9999-12-31	21156	296110	277601	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
15/9-B-2	15/9-B-2	Statoil Petroleum AS	STATOIL	046	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2009-11-24	2010-03-20	SLEIPNER VEST	2986-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	7824.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS/CONDENSATE	2009	2010	\N	170	ED50	58	25	4.69	N	1	43	4.06	E	58.417969	1.717794	6476107.640000	425094.110000	31	15	9	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5871	http://www.npd.no/FactMapSearch?NPDID_wellbore=5871	initial	\N	5871	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
15/9-B-8	15/9-B-8	Statoil Petroleum AS	STATOIL	046	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2010-03-30	2010-06-27	SLEIPNER VEST	2987-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	6745.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	OIL/GAS	2010	2010	\N	99	ED50	58	25	4.70	N	1	43	4.43	E	58.417972	1.717897	6476107.840000	425100.120000	31	15	9	B	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5872	http://www.npd.no/FactMapSearch?NPDID_wellbore=5872	initial	\N	5872	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
15/9-B-9	15/9-B-9	StatoilHydro ASA	STATOIL	046	\N	\N	DEVELOPMENT	9999-12-31	9999-12-31	SLEIPNER VEST	2988-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	0.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	\N	0	0	\N	0	ED50	58	25	4.50	N	1	43	4.08	E	58.417917	1.717800	6476101.760000	425094.320000	31	15	9	B	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5873	http://www.npd.no/FactMapSearch?NPDID_wellbore=5873	initial	\N	5873	43910	43457	9999-12-31	21156	296110	277601	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
15/9-B-15	15/9-B-15	StatoilHydro ASA	STATOIL	046	\N	\N	DEVELOPMENT	9999-12-31	9999-12-31	SLEIPNER VEST	2989-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	0.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	\N	0	0	\N	0	ED50	58	25	4.51	N	1	43	4.46	E	58.417919	1.717906	6476101.950000	425100.490000	31	15	9	B	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5874	http://www.npd.no/FactMapSearch?NPDID_wellbore=5874	initial	\N	5874	43910	43457	9999-12-31	21156	296110	277601	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
15/9-B-18	15/9-B-18	StatoilHydro ASA	STATOIL	046	\N	\N	DEVELOPMENT	9999-12-31	9999-12-31	SLEIPNER VEST	2990-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	0.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	\N	0	0	\N	0	ED50	58	25	4.39	N	1	43	4.39	E	58.417886	1.717886	6476098.260000	425099.280000	31	15	9	B	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5875	http://www.npd.no/FactMapSearch?NPDID_wellbore=5875	initial	\N	5875	43910	43457	9999-12-31	21156	296110	277601	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
15/9-B-19	15/9-B-19	StatoilHydro ASA	STATOIL	046	\N	\N	DEVELOPMENT	9999-12-31	9999-12-31	SLEIPNER VEST	2991-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	0.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	\N	0	0	\N	0	ED50	58	25	4.43	N	1	43	4.54	E	58.417897	1.717928	6476099.450000	425101.740000	31	15	9	B	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5876	http://www.npd.no/FactMapSearch?NPDID_wellbore=5876	initial	\N	5876	43910	43457	9999-12-31	21156	296110	277601	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
15/12-A-8 A	15/12-A-8	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2008-07-30	2008-08-21	VARG	2993-P	15/12-4 VARG	NO	52.000000	\N	3514.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2008	2008	\N	50	ED50	58	4	40.55	N	1	53	25.84	E	58.077931	1.890511	6438070.740000	434560.090000	31	15	12	A	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5877	http://www.npd.no/FactMapSearch?NPDID_wellbore=5877	sidetrack	15/12-A-8	5877	43868	43451	9999-12-31	21092	278245	279505	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
30/9-B-30 C	30/9-B-30	StatoilHydro Petroleum AS	STATOIL	079	PRODUCTION	OIL	DEVELOPMENT	2008-08-01	2008-10-17	OSEBERG	2994-P	30/6-1 OSEBERG	NO	58.000000	\N	6531.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2008	2008	\N	50	ED50	60	29	36.13	N	2	49	43.29	E	60.493369	2.828692	6706528.810000	490586.980000	31	30	9	B	30	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5878	http://www.npd.no/FactMapSearch?NPDID_wellbore=5878	sidetrack	30/9-B-30 B	5878	44396	43625	9999-12-31	34635	272897	272897	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/2-F-6 BY1H	31/2-F-6	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-08-01	2008-08-26	TROLL	2995-P1	31/2-1 TROLL VEST	NO	35.500000	\N	4731.000000	327.700000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL F	4	YES	OIL	2008	2008	\N	50	ED50	60	46	28.14	N	3	26	16.63	E	60.774483	3.437953	6737907.510000	523855.860000	31	31	2	F	6	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5880	http://www.npd.no/FactMapSearch?NPDID_wellbore=5880	multilateral	31/2-F-6 AH	5880	44534	46437	9999-12-31	21228	297055	278161	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-F-6 BY2H	31/2-F-6	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-08-26	2008-09-27	TROLL	2995-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5271.000000	327.700000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL F	4	YES	OIL	2008	2008	\N	50	ED50	60	46	28.14	N	3	26	16.63	E	60.774483	3.437953	6737907.510000	523855.860000	31	31	2	F	6	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5881	http://www.npd.no/FactMapSearch?NPDID_wellbore=5881	multilateral	31/2-F-6 BY1H	5881	44534	46437	9999-12-31	21228	297055	278161	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/7-D-2 AH	34/7-D-2	StatoilHydro ASA	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2008-08-07	2008-09-13	VIGDIS	2996-P	34/7-8 VIGDIS	NO	31.000000	\N	4670.000000	251.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	VIGDIS D	8	NO	OIL	2008	2008	\N	50	ED50	61	20	44.04	N	2	4	22.33	E	61.345567	2.072869	6801793.290000	450399.710000	31	34	7	D	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5882	http://www.npd.no/FactMapSearch?NPDID_wellbore=5882	sidetrack	34/7-D-2 H	5882	44714	43732	9999-12-31	21516	297784	359965	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6507/7-A-36 A	6507/7-A-36	StatoilHydro ASA	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2008-08-30	2008-11-26	HEIDRUN	2997-P	6507/7-2 HEIDRUN	NO	74.200000	\N	3508.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2008	2008	\N	50	ED50	65	19	32.64	N	7	19	3.33	E	65.325733	7.317592	7245985.240000	421633.960000	32	6507	7	A	36	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5883	http://www.npd.no/FactMapSearch?NPDID_wellbore=5883	sidetrack	6507/7-A-36	5883	44930	43771	9999-12-31	21564	272421	272421	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/1-A-28 A	2/1-A-28	Talisman Energy Norge AS	TALISMAN	019 B	INJECTION	WATER	DEVELOPMENT	2008-07-20	2008-08-22	GYDA	2998-P	2/1-3 GYDA	NO	56.000000	\N	4850.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	WATER	2008	2008	\N	173	ED50	56	54	17.37	N	3	5	6.03	E	56.904825	3.085008	6306935.880000	505177.510000	31	2	1	A	28	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5884	http://www.npd.no/FactMapSearch?NPDID_wellbore=5884	sidetrack	2/1-A-28	5884	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
35/11-B-14 Y1H	35/11-B-14	StatoilHydro Petroleum AS	STATOIL	090	INJECTION	WATER	DEVELOPMENT	2008-08-13	2008-09-20	FRAM	2999-P1	35/11-4 FRAM	NO	31.000000	\N	3584.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B1	8	YES	WATER	2008	2008	\N	173	ED50	61	2	21.53	N	3	34	33.18	E	61.039314	3.575883	6767463.630000	531109.910000	31	35	11	B	14	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5885	http://www.npd.no/FactMapSearch?NPDID_wellbore=5885	multilateral	\N	5885	44750	1578840	9999-12-31	21524	290170	371482	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
35/11-B-14 Y2H	35/11-B-14	StatoilHydro Petroleum AS	STATOIL	090	INJECTION	WATER	DEVELOPMENT	2008-09-21	2008-10-20	FRAM	2999-P2	35/11-4 FRAM	NO	31.000000	\N	3060.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B1	8	YES	WATER	2008	2008	\N	173	ED50	61	2	21.53	N	3	34	33.18	E	61.039314	3.575883	6767463.630000	531109.910000	31	35	11	B	14	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5886	http://www.npd.no/FactMapSearch?NPDID_wellbore=5886	multilateral	35/11-B-14 Y1H	5886	44750	1578840	9999-12-31	21524	290170	371482	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
6407/7-A-18 AH	6407/7-A-18	StatoilHydro Petroleum AS	STATOIL	107	OBSERVATION	OIL	DEVELOPMENT	2008-09-14	2008-10-25	NJORD	3000-P	6407/7-1 S NJORD	NO	30.000000	\N	3402.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2008	2008	\N	99	ED50	64	16	16.97	N	7	12	3.36	E	64.271381	7.200933	7128664.510000	412862.680000	32	6407	7	A	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5887	http://www.npd.no/FactMapSearch?NPDID_wellbore=5887	sidetrack	6407/7-A-18 H	5887	44876	43751	9999-12-31	21660	277713	277713	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
6407/7-A-18 BH	6407/7-A-18	StatoilHydro Petroleum AS	STATOIL	107	PRODUCTION	OIL	DEVELOPMENT	2008-10-26	2008-12-10	NJORD	3001-P	6407/7-1 S NJORD	NO	30.000000	\N	4370.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2008	2008	\N	50	ED50	64	16	16.97	N	7	12	3.36	E	64.271381	7.200933	7128664.510000	412862.680000	32	6407	7	A	18	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5888	http://www.npd.no/FactMapSearch?NPDID_wellbore=5888	sidetrack	6407/7-A-18 AH	5888	44876	43751	9999-12-31	21660	277713	277713	0	STATOILHYDRO PETROLEUM	2013-02-16	2013-02-16	2013-05-08
2/7-B-8 B	2/7-B-8	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2009-10-30	2010-02-07	ELDFISK	3002-P	2/7-1 ELDFISK	NO	44.000000	\N	4289.000000	71.000000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	WATER	2009	2010	\N	173	ED50	56	25	8.85	N	3	13	5.91	E	56.419125	3.218308	6252888.930000	513468.350000	31	2	7	B	8	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5914	http://www.npd.no/FactMapSearch?NPDID_wellbore=5914	sidetrack	2/7-B-8 A	5914	44114	43527	9999-12-31	20900	271609	271609	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-K-21 A	2/4-K-21	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2008-09-05	2008-10-30	EKOFISK	3003-P	2/4-2 EKOFISK	NO	57.000000	\N	3720.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2008	2008	\N	173	ED50	56	33	56.23	N	3	12	23.36	E	56.565619	3.206489	6269193.040000	512690.160000	31	2	4	K	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5915	http://www.npd.no/FactMapSearch?NPDID_wellbore=5915	sidetrack	2/4-K-21	5915	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-X-35 A	2/4-X-35	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2009-06-20	2010-12-13	EKOFISK	3004-P	2/4-2 EKOFISK	NO	57.000000	\N	4842.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2009	2010	\N	50	ED50	56	32	51.87	N	3	13	8.28	E	56.547742	3.218967	6267205.410000	513463.350000	31	2	4	X	35	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5920	http://www.npd.no/FactMapSearch?NPDID_wellbore=5920	sidetrack	2/4-X-35	5920	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
2/4-X-16 A	2/4-X-16	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2009-02-07	2009-05-14	EKOFISK	3005-P	2/4-2 EKOFISK	NO	57.000000	\N	5571.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2009	2009	\N	50	ED50	56	32	51.12	N	3	13	8.47	E	56.547533	3.219019	6267182.240000	513466.670000	31	2	4	X	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5923	http://www.npd.no/FactMapSearch?NPDID_wellbore=5923	sidetrack	2/4-X-16	5923	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
31/2-Y-11 BY1H	31/2-Y-11	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-09-23	2008-11-07	TROLL	3006-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5010.000000	359.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL U1	4	YES	OIL	2008	2008	\N	50	ED50	60	50	57.63	N	3	34	54.34	E	60.849342	3.581761	6746306.300000	531615.250000	31	31	2	Y	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5924	http://www.npd.no/FactMapSearch?NPDID_wellbore=5924	multilateral	31/2-Y-11 AH	5924	44534	46437	9999-12-31	21228	290980	280429	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
31/2-Y-11 BY2H	31/2-Y-11	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2008-11-11	2008-12-15	TROLL	3006-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5373.000000	359.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL U1	4	YES	OIL	2008	2008	\N	50	ED50	60	50	57.63	N	3	34	54.34	E	60.849342	3.581761	6746306.300000	531615.250000	31	31	2	Y	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5925	http://www.npd.no/FactMapSearch?NPDID_wellbore=5925	multilateral	31/2-Y-11 BY1H	5925	44534	46437	9999-12-31	21228	290980	280429	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
15/9-F-9	15/9-F-9	StatoilHydro ASA	STATOIL	046 BS	PRODUCTION	WATER	DEVELOPMENT	2008-08-27	2008-09-06	VOLVE	3007-P	15/9-19 S VOLVE	NO	54.900000	\N	1085.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	WATER	2008	2008	\N	172	ED50	58	26	29.74	N	1	53	15.00	E	58.441594	1.887500	6478561.440000	435051.150000	31	15	9	F	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5927	http://www.npd.no/FactMapSearch?NPDID_wellbore=5927	initial	\N	5927	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
33/9-A-15 D	33/9-A-15	StatoilHydro ASA	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2008-09-03	2008-10-07	STATFJORD	3008-P	33/12-1 STATFJORD	NO	64.400000	\N	2813.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	2008	2008	\N	90	ED50	61	15	20.81	N	1	51	14.82	E	61.255781	1.854117	6791978.490000	438522.020000	31	33	9	A	15	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5933	http://www.npd.no/FactMapSearch?NPDID_wellbore=5933	sidetrack	33/9-A-15 C	5933	44558	43658	9999-12-31	21084	271273	271273	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
30/9-F-15 B	30/9-F-15	StatoilHydro Petroleum AS	STATOIL	104	PRODUCTION	WATER	DEVELOPMENT	2008-10-20	2008-11-12	OSEBERG SØR	3009-P	30/9-6 OSEBERG SØR	NO	67.000000	\N	896.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER	2008	2008	\N	172	ED50	60	23	24.72	N	2	47	49.49	E	60.390200	2.797081	6695042.770000	488814.620000	31	30	9	F	15	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5934	http://www.npd.no/FactMapSearch?NPDID_wellbore=5934	sidetrack	30/9-F-15 A	5934	44510	43645	9999-12-31	21636	280205	280205	0	STATOILHYDRO PETROLEUM	2012-10-27	2012-10-27	2013-05-08
15/12-C-1 H	15/12-C-1	Talisman Energy Norge AS	TALISMAN	038 C	PRODUCTION	GAS	DEVELOPMENT	2000-12-25	2001-02-09	REV	3010-P	15/12-12 REV	NO	26.000000	\N	3085.000000	87.000000	NORTH SEA	SCARABEO 6	SEMISUB STEEL	15/12-C	Awarded additionaly to NST2002	NO	GAS	2000	2001	15/12-12	90	ED50	58	1	40.68	N	1	55	28.34	E	58.027967	1.924539	6432475.780000	436478.400000	31	15	12	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5935	http://www.npd.no/FactMapSearch?NPDID_wellbore=5935	initial	\N	5935	1626017	4467554	9999-12-31	4005057	297001	378147	3391	TALISMAN ENERGY	2013-02-16	2013-02-16	2013-05-08
15/12-C-2 H	15/12-C-2	Talisman Energy Norge AS	TALISMAN	038 C	PRODUCTION	GAS	DEVELOPMENT	2006-02-06	2006-03-31	REV	3011-P	15/12-12 REV	NO	40.000000	\N	2961.000000	87.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	15/12-C	Awarded additionaly to NST2002	NO	GAS	2006	2006	\N	90	ED50	58	1	40.39	N	1	55	27.97	E	58.027886	1.924436	6432466.910000	436472.190000	31	15	12	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5936	http://www.npd.no/FactMapSearch?NPDID_wellbore=5936	initial	\N	5936	1626017	4467554	9999-12-31	4005057	278245	378147	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
15/12-D-1 H	15/12-D-1	Talisman Energy Norge AS	TALISMAN	038 C	PRODUCTION	GAS	DEVELOPMENT	2008-10-10	2008-11-14	REV	3012-P	15/12-12 REV	NO	42.500000	\N	3338.000000	87.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	15/12-D	Awarded additionaly to NST2002	NO	GAS	2008	2008	15/12-17 A	90	ED50	58	1	42.62	N	1	55	23.63	E	58.028506	1.923231	6432537.000000	436402.090000	31	15	12	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5937	http://www.npd.no/FactMapSearch?NPDID_wellbore=5937	initial	\N	5937	1626017	4467554	9999-12-31	4005057	278245	402804	5484	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
33/9-C-37 B	33/9-C-37	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2008-10-08	2008-11-05	STATFJORD	3013-P	33/12-1 STATFJORD	NO	78.400000	\N	2751.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL/GAS	2008	2008	\N	0	ED50	61	17	46.75	N	1	54	10.01	E	61.296319	1.902781	6796449.020000	441208.560000	31	33	9	C	37	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5942	http://www.npd.no/FactMapSearch?NPDID_wellbore=5942	sidetrack	33/9-C-37 A	5942	44558	43658	9999-12-31	21084	271329	271329	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/4-M-8 A	2/4-M-8	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2008-10-20	2009-02-16	EKOFISK	3014-P	2/4-2 EKOFISK	NO	71.000000	\N	6571.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2008	2009	\N	50	ED50	56	32	43.76	N	3	13	23.39	E	56.545489	3.223164	6266955.490000	513722.230000	31	2	4	M	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5945	http://www.npd.no/FactMapSearch?NPDID_wellbore=5945	sidetrack	2/4-M-8	5945	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
6507/11-V-1 H	6507/11-V-1	StatoilHydro ASA	STATOIL	062	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2008-10-01	2008-10-15	YTTERGRYTA	3015-P	6507/11-8	NO	22.000000	\N	2484.000000	301.000000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	6507/11-8 H	5	NO	GAS/CONDENSATE	2008	2008	6507/11-8	170	ED50	65	6	41.74	N	7	30	33.21	E	65.111594	7.509225	7221898.700000	429994.970000	32	6507	11	V	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5947	http://www.npd.no/FactMapSearch?NPDID_wellbore=5947	initial	\N	5947	4475288	4973114	9999-12-31	21292	296245	394760	5562	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/7-B-21	2/7-B-21	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2008-11-27	2009-06-11	ELDFISK	3017-P	2/7-1 ELDFISK	NO	42.400000	\N	5022.000000	71.300000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2008	2009	\N	50	ED50	56	25	9.06	N	3	13	5.79	E	56.419183	3.218275	6252895.420000	513466.270000	31	2	7	B	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5955	http://www.npd.no/FactMapSearch?NPDID_wellbore=5955	initial	\N	5955	44114	43527	9999-12-31	20900	271609	271609	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-26	2013-01-26	2013-05-08
2/7-B-22	2/7-B-22	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2009-11-12	2010-04-16	ELDFISK	3018-P	2/7-1 ELDFISK	NO	42.400000	\N	5545.000000	71.300000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	WATER	2009	2010	\N	173	ED50	56	25	8.93	N	3	13	5.89	E	56.419147	3.218303	6252891.410000	513468.000000	31	2	7	B	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5956	http://www.npd.no/FactMapSearch?NPDID_wellbore=5956	initial	\N	5956	44114	43527	9999-12-31	20900	271609	271609	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-26	2013-01-26	2013-05-08
34/10-A-48 C	34/10-A-48	StatoilHydro ASA	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2009-04-16	2009-08-12	GULLFAKS	3019-P	34/10-1 GULLFAKS	NO	82.200000	\N	6332.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2009	2009	\N	50	ED50	61	10	33.86	N	2	11	23.22	E	61.176072	2.189783	6782830.470000	456420.110000	31	34	10	A	48	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5957	http://www.npd.no/FactMapSearch?NPDID_wellbore=5957	sidetrack	34/10-A-48 B	5957	44594	43686	9999-12-31	21188	271833	271833	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/7-A-13 B	2/7-A-13	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2008-10-06	2009-01-01	ELDFISK	3020-P	2/7-1 ELDFISK	NO	41.000000	\N	4403.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	WATER	2008	2009	\N	173	ED50	56	22	36.59	N	3	15	57.89	E	56.376831	3.266081	6248191.580000	516433.820000	31	2	7	A	13	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5961	http://www.npd.no/FactMapSearch?NPDID_wellbore=5961	sidetrack	2/7-A-13 A	5961	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
34/4-L-1 H	34/4-L-1	Statoil Petroleum AS	STATOIL	057	\N	\N	DEVELOPMENT	9999-12-31	9999-12-31	SNORRE	3021-P	34/4-1 SNORRE	NO	37.000000	\N	0.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-L H	4	NO	\N	0	0	\N	0	ED50	61	31	31.44	N	2	12	42.84	E	61.525400	2.211900	6821727.390000	458079.400000	31	34	4	L	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5962	http://www.npd.no/FactMapSearch?NPDID_wellbore=5962	initial	\N	5962	44654	43718	9999-12-31	21252	280485	284293	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/4-L-2 H	34/4-L-2	StatoilHydro ASA	STATOIL	057	INJECTION	WATER/GAS	DEVELOPMENT	2008-11-25	2009-02-12	SNORRE	3022-P	34/4-1 SNORRE	NO	37.000000	\N	6314.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-L H	4	NO	WATER/GAS	2008	2009	\N	0	ED50	61	31	31.44	N	2	12	43.16	E	61.525400	2.211989	6821727.330000	458084.130000	31	34	4	L	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5963	http://www.npd.no/FactMapSearch?NPDID_wellbore=5963	initial	\N	5963	44654	43718	9999-12-31	21252	280485	284293	0	STATOILHYDRO ASA	2012-10-11	2012-10-11	2013-05-08
34/4-L-3 H	34/4-L-3	Statoil Petroleum AS	STATOIL	057	INJECTION	WATER/GAS	DEVELOPMENT	2012-10-29	2013-01-27	SNORRE	3023-P	34/4-1 SNORRE	NO	37.000000	\N	5956.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-L H	4	NO	WATER/GAS	2012	2013	\N	0	ED50	61	31	31.73	N	2	12	43.14	E	61.525481	2.211983	6821736.310000	458083.940000	31	34	4	L	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5964	http://www.npd.no/FactMapSearch?NPDID_wellbore=5964	initial	\N	5964	44654	43718	9999-12-31	21252	280485	284293	0	STATOIL PETROLEUM AS	2013-01-30	2013-01-30	2013-05-08
31/3-S-23 AY1H	31/3-S-23	StatoilHydro Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2008-10-30	2008-12-26	TROLL	3024-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5678.000000	341.500000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	YES	OIL	2008	2008	\N	50	ED50	60	53	34.62	N	3	40	18.99	E	60.892950	3.671942	6751210.370000	536466.160000	31	31	3	S	23	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5965	http://www.npd.no/FactMapSearch?NPDID_wellbore=5965	multilateral	31/3-S-23 H	5965	44534	46437	9999-12-31	21476	296164	280737	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
31/3-S-23 AY2H	31/3-S-23	StatoilHydro Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2008-12-29	2009-01-20	TROLL	3024-P2	31/2-1 TROLL VEST	NO	25.000000	\N	6040.000000	341.500000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL S1	Awarded additionaly to round 7	YES	OIL	2008	2009	\N	50	ED50	60	53	34.62	N	3	40	18.99	E	60.892950	3.671942	6751210.370000	536466.160000	31	31	3	S	23	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5966	http://www.npd.no/FactMapSearch?NPDID_wellbore=5966	multilateral	31/3-S-23 AY1H	5966	44534	46437	9999-12-31	21476	296164	280737	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
33/9-A-24 A	33/9-A-24	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2008-10-28	2008-11-26	STATFJORD	3025-P	33/12-1 STATFJORD	NO	64.400000	\N	2916.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2008	2008	\N	50	ED50	61	15	19.93	N	1	51	14.38	E	61.255536	1.853994	6791951.380000	438514.990000	31	33	9	A	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5967	http://www.npd.no/FactMapSearch?NPDID_wellbore=5967	sidetrack	33/9-A-24	5967	44558	43658	9999-12-31	21084	271273	271273	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/4-M-13 A	2/4-M-13	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2009-03-01	2009-03-23	EKOFISK	3026-P	2/4-2 EKOFISK	NO	71.000000	\N	4143.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2009	2009	\N	50	ED50	56	32	43.69	N	3	13	23.47	E	56.545469	3.223186	6266953.330000	513723.600000	31	2	4	M	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5969	http://www.npd.no/FactMapSearch?NPDID_wellbore=5969	sidetrack	2/4-M-13	5969	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
2/4-K-6 B	2/4-K-6	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2008-11-09	2009-01-01	EKOFISK	3027-P	2/4-2 EKOFISK	NO	55.000000	\N	4028.000000	71.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	WATER	2008	2009	\N	173	ED50	56	33	55.86	N	3	12	22.64	E	56.565517	3.206289	6269181.560000	512677.900000	31	2	4	K	6	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5970	http://www.npd.no/FactMapSearch?NPDID_wellbore=5970	sidetrack	2/4-K-6 A	5970	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
34/8-A-14 H	34/8-A-14	StatoilHydro ASA	STATOIL	120	PRODUCTION	WATER	DEVELOPMENT	2008-12-27	2009-10-03	VISUND	3028-P	34/8-1 VISUND	NO	29.000000	\N	3771.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	WATER	2008	2009	\N	172	ED50	61	22	12.47	N	2	27	28.59	E	61.370131	2.457942	6804297.740000	471022.850000	31	34	8	A	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5971	http://www.npd.no/FactMapSearch?NPDID_wellbore=5971	initial	\N	5971	44720	43745	9999-12-31	21772	277685	277685	0	STATOILHYDRO ASA	2013-01-26	2013-01-26	2013-05-08
34/8-A-26 H	34/8-A-26	StatoilHydro Petroleum AS	STATOIL	120	INJECTION	GAS	DEVELOPMENT	2009-03-14	2009-05-24	VISUND	3029-P	34/8-1 VISUND	NO	29.000000	\N	5609.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	GAS	2009	2009	\N	91	ED50	61	22	12.33	N	2	27	35.09	E	61.370092	2.459747	6804292.610000	471119.330000	31	34	8	A	26	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5972	http://www.npd.no/FactMapSearch?NPDID_wellbore=5972	initial	\N	5972	44720	43745	9999-12-31	21772	277685	277685	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
6407/1-A-4 H	6407/1-A-4	StatoilHydro ASA	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2008-12-06	2009-01-24	TYRIHANS	3030-P	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	3885.000000	288.100000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS A	5	NO	OIL	2008	2009	\N	50	ED50	64	53	20.09	N	7	4	17.06	E	64.888914	7.071406	7197645.850000	408682.790000	32	6407	1	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5976	http://www.npd.no/FactMapSearch?NPDID_wellbore=5976	initial	\N	5976	44852	3960848	9999-12-31	21380	294382	377615	0	STATOILHYDRO ASA	2013-01-29	2013-01-29	2013-05-08
6407/1-A-4 AY1H	6407/1-A-4	StatoilHydro ASA	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2009-01-24	2009-02-07	TYRIHANS	3031-P1	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	6350.000000	288.100000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS A	5	YES	OIL	2009	2009	\N	50	ED50	64	53	20.09	N	7	4	17.06	E	64.888914	7.071406	7197645.850000	408682.790000	32	6407	1	A	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5977	http://www.npd.no/FactMapSearch?NPDID_wellbore=5977	multilateral	6407/1-A-4 H	5977	44852	3960848	9999-12-31	21380	294382	377615	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6407/1-A-4 AY2H	6407/1-A-4	StatoilHydro ASA	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2009-02-08	2009-03-21	TYRIHANS	3031-P2	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	6500.000000	288.100000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS A	5	YES	OIL	2009	2009	\N	50	ED50	64	53	20.09	N	7	4	17.06	E	64.888914	7.071406	7197645.850000	408682.790000	32	6407	1	A	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5978	http://www.npd.no/FactMapSearch?NPDID_wellbore=5978	multilateral	6407/1-A-4 AY1H	5978	44852	3960848	9999-12-31	21380	294382	377615	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
25/11-G-15 AY1	25/11-G-15	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2008-12-20	2009-01-03	GRANE	3032-P1	25/11-15 GRANE	NO	69.900000	\N	3311.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2008	2009	\N	50	ED50	59	9	55.00	N	2	29	14.44	E	59.165278	2.487344	6558720.190000	470686.750000	31	25	11	G	15	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5981	http://www.npd.no/FactMapSearch?NPDID_wellbore=5981	multilateral	25/11-G-15	5981	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
25/11-G-15 AY2	25/11-G-15	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2009-01-04	2009-01-31	GRANE	3032-P2	25/11-15 GRANE	NO	69.900000	\N	5180.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2009	2009	\N	50	ED50	59	9	55.00	N	2	29	14.44	E	59.165278	2.487344	6558720.190000	470686.750000	31	25	11	G	15	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5982	http://www.npd.no/FactMapSearch?NPDID_wellbore=5982	multilateral	25/11-G-15 AY1	5982	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
35/11-B-24 AH	35/11-B-24	StatoilHydro Petroleum AS	STATOIL	090	INJECTION	WATER	DEVELOPMENT	2008-12-02	2008-12-30	FRAM	3033-P	35/11-4 FRAM	NO	31.000000	\N	2730.000000	356.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	FRAM B2	8	NO	WATER	2008	2008	\N	173	ED50	61	2	33.79	N	3	35	59.73	E	61.042719	3.599925	6767854.630000	532405.170000	31	35	11	B	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5983	http://www.npd.no/FactMapSearch?NPDID_wellbore=5983	sidetrack	35/11-B-24 H	5983	44750	1578840	9999-12-31	21524	290170	371520	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
30/9-F-2 B	30/9-F-2	StatoilHydro Petroleum AS	STATOIL	104	INJECTION	CUTTINGS	DEVELOPMENT	2008-12-22	2009-01-08	OSEBERG SØR	3034-P	30/9-10 OSEBERG SØR	NO	67.200000	\N	1611.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	CUTTINGS	2008	2009	\N	171	ED50	60	23	24.91	N	2	47	49.24	E	60.390253	2.797011	6695048.660000	488810.810000	31	30	9	F	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5987	http://www.npd.no/FactMapSearch?NPDID_wellbore=5987	sidetrack	30/9-F-2 A	5987	44468	43645	9999-12-31	21636	280205	280205	0	STATOILHYDRO PETROLEUM	2012-10-27	2012-10-27	2013-05-08
34/10-C-1 A	34/10-C-1	StatoilHydro Petroleum AS	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2009-03-05	2009-05-04	GULLFAKS	3035-P	34/10-1 GULLFAKS	NO	84.100000	\N	1972.000000	216.900000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2009	2009	\N	50	ED50	61	12	53.46	N	2	16	27.98	E	61.214850	2.274439	6787096.380000	461021.350000	31	34	10	C	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5988	http://www.npd.no/FactMapSearch?NPDID_wellbore=5988	sidetrack	34/10-C-1	5988	44594	43686	9999-12-31	21188	272645	272645	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
15/9-A-13 A	15/9-A-13	StatoilHydro ASA	STATOIL	046	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2009-01-07	2009-02-12	SLEIPNER ØST	3036-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	3787.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS/CONDENSATE	2009	2009	\N	170	ED50	58	22	2.49	N	1	54	30.02	E	58.367358	1.908339	6470276.360000	436133.520000	31	15	9	A	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5989	http://www.npd.no/FactMapSearch?NPDID_wellbore=5989	sidetrack	15/9-A-13	5989	43946	43478	9999-12-31	21156	272365	272365	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
30/8-A-21 H	30/8-A-21	StatoilHydro Petroleum AS	STATOIL	190	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2008-12-30	2009-03-10	TUNE	3037-P	30/8-1 S TUNE	NO	29.000000	\N	5054.000000	92.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	TUNE	14	NO	GAS/CONDENSATE	2008	2009	\N	99	ED50	60	27	26.46	N	2	36	29.02	E	60.457350	2.608061	6702568.850000	478440.010000	31	30	8	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5990	http://www.npd.no/FactMapSearch?NPDID_wellbore=5990	initial	\N	5990	44456	853376	9999-12-31	22332	287821	281045	0	STATOILHYDRO PETROLEUM	2013-04-19	2013-04-19	2013-05-08
30/8-A-21 AH	30/8-A-21	StatoilHydro Petroleum AS	STATOIL	190	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2009-03-16	2009-05-15	TUNE	3038-P	30/8-1 S TUNE	NO	29.000000	\N	4482.000000	92.000000	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	TUNE	14	NO	GAS/CONDENSATE	2009	2009	\N	170	ED50	60	27	26.46	N	2	36	29.02	E	60.457350	2.608061	6702568.850000	478440.010000	31	30	8	A	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5991	http://www.npd.no/FactMapSearch?NPDID_wellbore=5991	sidetrack	30/8-A-21 H	5991	44456	853376	9999-12-31	22332	287821	281045	0	STATOILHYDRO PETROLEUM	2013-04-19	2013-04-19	2013-05-08
33/9-C-3 A	33/9-C-3	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2008-11-25	2009-01-24	STATFJORD	3039-P	33/12-1 STATFJORD	NO	78.400000	\N	7950.000000	146.000000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL/GAS	2008	2009	\N	50	ED50	61	17	48.11	N	1	54	11.37	E	61.296697	1.903158	6796490.760000	441229.510000	31	33	9	C	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5992	http://www.npd.no/FactMapSearch?NPDID_wellbore=5992	sidetrack	33/9-C-3	5992	44558	43658	9999-12-31	21084	271329	271329	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/4-M-29 A	2/4-M-29	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2009-04-10	2009-06-03	EKOFISK	3040-P	2/4-2 EKOFISK	NO	71.000000	\N	5023.000000	78.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK M	1-A	NO	OIL	2009	2009	\N	50	ED50	56	32	43.41	N	3	13	23.99	E	56.545392	3.223331	6266944.700000	513732.510000	31	2	4	M	29	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5993	http://www.npd.no/FactMapSearch?NPDID_wellbore=5993	sidetrack	2/4-M-29	5993	44072	43506	9999-12-31	20900	297838	364198	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
30/9-B-21 C	30/9-B-21	StatoilHydro Petroleum AS	STATOIL	079	INJECTION	GAS	DEVELOPMENT	2008-12-07	2009-03-04	OSEBERG	3041-P	30/6-1 OSEBERG	NO	58.000000	\N	5875.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	GAS	2008	2009	\N	91	ED50	60	29	36.17	N	2	49	42.76	E	60.493381	2.828544	6706530.070000	490578.900000	31	30	9	B	21	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5994	http://www.npd.no/FactMapSearch?NPDID_wellbore=5994	sidetrack	30/9-B-21 B	5994	44396	43625	9999-12-31	34635	272897	272897	0	STATOILHYDRO PETROLEUM	2012-10-27	2012-10-27	2013-05-08
34/7-P-22 A	34/7-P-22	StatoilHydro ASA	STATOIL	089	INJECTION	WATER	DEVELOPMENT	2008-12-06	2009-02-12	SNORRE	3042-P	34/4-1 SNORRE	NO	59.400000	\N	6141.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER/GAS	2008	2009	\N	173	ED50	61	26	57.47	N	2	8	36.81	E	61.449297	2.143558	6813296.110000	454332.960000	31	34	7	P	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5996	http://www.npd.no/FactMapSearch?NPDID_wellbore=5996	sidetrack	34/7-P-22	5996	44654	43718	9999-12-31	21516	272085	272085	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6507/3-L-2 H	6507/3-L-2	StatoilHydro ASA	STATOIL	159 B	PRODUCTION	GAS	DEVELOPMENT	2009-01-07	2009-03-02	ALVE	3043-P	6507/3-1 ALVE	NO	25.000000	\N	4290.000000	368.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	ALVE	Awarded additionaly to round 12 B	NO	GAS	2009	2009	\N	90	ED50	65	58	6.60	N	7	48	34.80	E	65.968500	7.809667	7317097.430000	445908.060000	32	6507	3	L	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6002	http://www.npd.no/FactMapSearch?NPDID_wellbore=6002	initial	\N	6002	44924	4444332	9999-12-31	2819945	294058	378362	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/10-A-28 A	34/10-A-28	StatoilHydro ASA	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2009-01-06	2009-03-19	GULLFAKS	3044-P	34/10-1 GULLFAKS	NO	82.200000	\N	2529.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2009	2009	\N	50	ED50	61	10	33.81	N	2	11	22.70	E	61.176058	2.189639	6782829.020000	456412.320000	31	34	10	A	28	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6004	http://www.npd.no/FactMapSearch?NPDID_wellbore=6004	sidetrack	34/10-A-28	6004	44594	43686	9999-12-31	21188	271833	271833	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
35/9-F-1 H	35/9-F-1	StatoilHydro ASA	STATOIL	153	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2009-01-08	2009-03-05	GJØA	3045-P	35/9-1 GJØA	NO	22.000000	\N	3034.000000	360.300000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA F	12	NO	GAS	2009	2009	\N	99	ED50	61	23	17.55	N	3	58	52.17	E	61.388208	3.981158	6806585.250000	552419.160000	31	35	9	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6006	http://www.npd.no/FactMapSearch?NPDID_wellbore=6006	initial	\N	6006	44786	4467574	9999-12-31	22036	296245	403530	0	STATOILHYDRO ASA	2013-01-30	2013-01-30	2013-05-08
9/2-C-1	9/2-C-1	Talisman Energy Norge AS	TALISMAN	316	PRODUCTION	\N	DEVELOPMENT	2009-05-30	2009-06-11	YME	3046-P	9/2-1 YME	NO	51.000000	\N	3943.000000	95.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	YME MOPUStor	18	NO	OIL	2009	2009	\N	71	ED50	57	48	57.99	N	4	32	7.55	E	57.816108	4.535431	6409417.080000	591222.690000	31	9	2	C	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6007	http://www.npd.no/FactMapSearch?NPDID_wellbore=6007	initial	\N	6007	45098	43807	9999-12-31	2786469	278245	403167	0	TALISMAN ENERGY	2013-01-30	2013-01-30	2013-05-08
9/2-C-2	9/2-C-2	Talisman Energy Norge AS	TALISMAN	316	PRODUCTION	\N	DEVELOPMENT	2009-01-30	2009-09-26	YME	3047-P	9/2-1 YME	NO	51.000000	\N	4930.000000	95.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	YME MOPUStor	18	NO	OIL	2009	2009	\N	71	ED50	57	48	57.89	N	4	32	7.56	E	57.816081	4.535433	6409414.000000	591222.930000	31	9	2	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6008	http://www.npd.no/FactMapSearch?NPDID_wellbore=6008	initial	\N	6008	45098	43807	9999-12-31	2786469	278245	403167	0	TALISMAN ENERGY	2013-01-30	2013-01-30	2013-05-08
9/2-C-3	9/2-C-3	Talisman Energy Norge AS	TALISMAN	316	PRODUCTION	\N	DEVELOPMENT	2009-03-24	2009-04-18	YME	3048-P	9/2-1 YME	NO	51.000000	\N	4278.000000	95.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	YME MOPUStor	18	NO	OIL	2009	2009	\N	71	ED50	57	48	57.94	N	4	32	7.69	E	57.816094	4.535469	6409415.590000	591225.040000	31	9	2	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6009	http://www.npd.no/FactMapSearch?NPDID_wellbore=6009	initial	\N	6009	45098	43807	9999-12-31	2786469	278245	403167	0	TALISMAN ENERGY	2013-01-30	2013-01-30	2013-05-08
9/2-C-4	9/2-C-4	Talisman Energy Norge AS	TALISMAN	316	PRODUCTION	OIL	DEVELOPMENT	2009-04-21	2009-12-31	YME	3049-P	9/2-1 YME	NO	51.000000	\N	4637.000000	95.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	YME MOPUStor	18	NO	OIL	2009	2009	\N	50	ED50	57	48	57.91	N	4	32	7.69	E	57.816086	4.535469	6409414.660000	591225.060000	31	9	2	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6010	http://www.npd.no/FactMapSearch?NPDID_wellbore=6010	initial	\N	6010	45098	43807	9999-12-31	2786469	278245	403167	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
9/2-C-5	9/2-C-5	Talisman Energy Norge AS	TALISMAN	316	INJECTION	WATER/GAS	DEVELOPMENT	2009-03-09	2009-03-23	YME	3050-P	9/2-1 YME	NO	51.000000	\N	4648.000000	95.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	YME MOPUStor	18	NO	WATER/GAS	2009	2009	\N	0	ED50	57	48	57.88	N	4	32	7.47	E	57.816078	4.535408	6409413.650000	591221.450000	31	9	2	C	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6012	http://www.npd.no/FactMapSearch?NPDID_wellbore=6012	initial	\N	6012	45098	43807	9999-12-31	2786469	278245	403167	0	TALISMAN ENERGY	2013-01-26	2013-01-26	2013-05-08
9/2-C-6	9/2-C-6	Talisman Energy Norge AS	TALISMAN	316	INJECTION	WATER/GAS	DEVELOPMENT	2009-01-23	2009-08-09	YME	3051-P	9/2-1 YME	NO	51.000000	\N	5448.000000	95.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	YME MOPUStor	18	NO	WATER/GAS	2009	2009	\N	0	ED50	57	48	57.93	N	4	32	7.44	E	57.816092	4.535400	6409415.190000	591220.920000	31	9	2	C	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6013	http://www.npd.no/FactMapSearch?NPDID_wellbore=6013	initial	\N	6013	45098	43807	9999-12-31	2786469	278245	403167	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
9/2-D-1 H	9/2-D-1	Talisman Energy Norge AS	TALISMAN	316	PRODUCTION	OIL	DEVELOPMENT	2009-07-20	2010-06-17	YME	3052-P	9/2-1 YME	NO	51.000000	\N	4231.000000	95.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	YME BETA	18	NO	OIL	2009	2010	\N	50	ED50	57	45	22.88	N	4	22	7.49	E	57.756356	4.368747	6402552.950000	581455.070000	31	9	2	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6014	http://www.npd.no/FactMapSearch?NPDID_wellbore=6014	initial	\N	6014	45098	43807	9999-12-31	2786469	292114	403775	0	TALISMAN ENERGY	2013-01-26	2013-01-26	2013-05-08
9/2-D-2 H	9/2-D-2	Talisman Energy Norge AS	TALISMAN	316	PRODUCTION	OIL	DEVELOPMENT	2009-07-29	2010-05-06	YME	3053-P	9/2-1 YME	NO	51.000000	\N	4540.000000	95.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	YME BETA	18	NO	OIL	2009	2010	\N	50	ED50	57	45	17.25	N	4	22	1.85	E	57.754792	4.367181	6402376.980000	581365.360000	31	9	2	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6015	http://www.npd.no/FactMapSearch?NPDID_wellbore=6015	initial	\N	6015	45098	43807	9999-12-31	2786469	292114	403775	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
9/2-D-3 H	9/2-D-3	Talisman Energy Norge AS	TALISMAN	316	INJECTION	WATER	DEVELOPMENT	2009-06-26	2010-02-24	YME	3054-P	9/2-1 YME	NO	51.000000	\N	4150.000000	95.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	YME BETA	18	NO	WATER	2009	2010	\N	173	ED50	57	45	17.19	N	4	22	2.27	E	57.754775	4.367297	6402375.260000	581372.340000	31	9	2	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6016	http://www.npd.no/FactMapSearch?NPDID_wellbore=6016	initial	\N	6016	45098	43807	9999-12-31	2786469	292114	403775	0	TALISMAN ENERGY	2013-01-26	2013-01-26	2013-05-08
9/2-C-8	9/2-C-8	Talisman Energy Norge AS	TALISMAN	316	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	YME	3056-P	9/2-1 YME	NO	51.000000	\N	0.000000	95.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	YME MOPUStor	18	NO	OIL	0	0	\N	0	ED50	57	48	57.85	N	4	32	7.59	E	57.816069	4.535442	6409412.770000	591223.450000	31	9	2	C	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6018	http://www.npd.no/FactMapSearch?NPDID_wellbore=6018	initial	\N	6018	45098	43807	9999-12-31	2786469	278245	403167	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
9/2-C-9	9/2-C-9	Talisman Energy Norge AS	TALISMAN	316	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	YME	3057-P	9/2-1 YME	NO	51.000000	\N	0.000000	95.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	YME MOPUStor	18	NO	OIL	0	0	\N	0	ED50	57	48	57.86	N	4	32	7.53	E	57.816072	4.535425	6409413.060000	591222.450000	31	9	2	C	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6019	http://www.npd.no/FactMapSearch?NPDID_wellbore=6019	initial	\N	6019	45098	43807	9999-12-31	2786469	278245	403167	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
34/10-B-2 A	34/10-B-2	StatoilHydro ASA	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2009-01-07	2009-01-25	GULLFAKS	3058-P	34/10-1 GULLFAKS	NO	80.700000	\N	2723.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2009	2009	\N	50	ED50	61	12	10.15	N	2	12	6.05	E	61.202819	2.201681	6785801.890000	457096.390000	31	34	10	B	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6020	http://www.npd.no/FactMapSearch?NPDID_wellbore=6020	sidetrack	34/10-B-2	6020	44594	43686	9999-12-31	21188	271917	271917	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6507/8-D-2 AH	6507/8-D-2	StatoilHydro ASA	STATOIL	124	OBSERVATION	OIL	DEVELOPMENT	2009-01-27	2009-02-12	HEIDRUN	3059-P	6507/8-4 HEIDRUN NORD	NO	24.000000	\N	3643.000000	357.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2009	2009	\N	99	ED50	65	21	42.95	N	7	20	9.41	E	65.361931	7.335947	7249995.920000	422595.290000	32	6507	8	D	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6027	http://www.npd.no/FactMapSearch?NPDID_wellbore=6027	sidetrack	6507/8-D-2 H	6027	44936	43771	9999-12-31	21804	297649	283593	0	STATOILHYDRO ASA	2013-01-29	2013-01-29	2013-05-08
6507/8-D-2 BH	6507/8-D-2	StatoilHydro ASA	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2009-02-16	2009-02-25	HEIDRUN	3060-P	6507/8-4 HEIDRUN NORD	NO	24.000000	\N	3735.000000	357.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2009	2009	\N	50	ED50	65	21	42.95	N	7	20	9.41	E	65.361931	7.335947	7249995.920000	422595.290000	32	6507	8	D	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6028	http://www.npd.no/FactMapSearch?NPDID_wellbore=6028	sidetrack	6507/8-D-2 AH	6028	44936	43771	9999-12-31	21804	297649	283593	0	STATOILHYDRO ASA	2013-01-29	2013-01-29	2013-05-08
33/9-A-18 C	33/9-A-18	Statoil ASA (old)	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2008-12-23	2009-01-12	STATFJORD	3061-P	33/12-1 STATFJORD	NO	64.400000	\N	4240.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	2008	2009	\N	90	ED50	61	15	20.73	N	1	51	15.24	E	61.255758	1.854233	6791975.910000	438528.240000	31	33	9	A	18	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6031	http://www.npd.no/FactMapSearch?NPDID_wellbore=6031	sidetrack	33/9-A-18 B	6031	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2013-01-29	2013-01-29	2013-05-08
24/9-P-4 H	24/9-P-4	Marathon Petroleum Norge AS	MARATHON	150	OBSERVATION	\N	DEVELOPMENT	2009-02-21	2009-03-16	VOLUND	3062-P	24/9-5 VOLUND	NO	23.000000	\N	2563.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	VOLUND	12	NO	OIL/GAS SHOWS	2009	2009	\N	99	ED50	59	29	45.83	N	1	57	55.57	E	59.496064	1.965436	6595899.970000	441417.710000	31	24	9	P	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6032	http://www.npd.no/FactMapSearch?NPDID_wellbore=6032	initial	\N	6032	44186	4380167	9999-12-31	22012	287983	408227	0	MARATHON N	2013-01-24	2013-01-24	2013-05-08
24/9-P-4 AH	24/9-P-4	Marathon Petroleum Norge AS	MARATHON	150	INJECTION	WATER	DEVELOPMENT	2009-03-17	2009-04-02	VOLUND	3063-P	24/9-5 VOLUND	NO	23.000000	\N	2784.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	VOLUND	12	NO	WATER	2009	2009	\N	173	ED50	59	29	45.83	N	1	57	55.57	E	59.496064	1.965436	6595899.970000	441417.710000	31	24	9	P	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6033	http://www.npd.no/FactMapSearch?NPDID_wellbore=6033	sidetrack	24/9-P-4 H	6033	44186	4380167	9999-12-31	22012	287983	408227	0	MARATHON N	2013-01-24	2013-01-24	2013-05-08
30/9-J-15 H	30/9-J-15	StatoilHydro Petroleum AS	STATOIL	104	PRODUCTION	OIL	DEVELOPMENT	2009-01-09	2009-03-23	OSEBERG SØR	3064-P	30/9-10 OSEBERG SØR	NO	31.000000	\N	4489.000000	102.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	OSEBERG SØR J	9	NO	OIL	2009	2009	\N	50	ED50	60	21	16.04	N	2	54	0.51	E	60.354456	2.900142	6691048.550000	494489.550000	31	30	9	J	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6035	http://www.npd.no/FactMapSearch?NPDID_wellbore=6035	initial	\N	6035	44468	43645	9999-12-31	21636	290170	281745	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/5-J-13 AY3H	31/5-J-13	StatoilHydro Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2009-02-15	2009-03-14	TROLL	1582-P3	31/2-1 TROLL VEST	NO	25.000000	\N	4904.000000	315.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL J1	Awarded additionaly to round 7	YES	OIL	2009	2009	\N	50	ED50	60	44	35.77	N	3	36	28.56	E	60.743269	3.607933	6734504.590000	533146.960000	31	31	5	J	13	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6037	http://www.npd.no/FactMapSearch?NPDID_wellbore=6037	multilateral	31/5-J-13 AY2H	6037	44534	46437	9999-12-31	21476	290980	279141	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/2-Y-13 BY1H	31/2-Y-13	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2009-02-13	2009-03-11	TROLL	3065-P1	31/2-1 TROLL VEST	NO	25.000000	\N	4473.000000	335.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL U1	4	YES	OIL	2009	2009	\N	50	ED50	60	50	57.72	N	3	34	53.83	E	60.849367	3.581619	6746309.020000	531607.530000	31	31	2	Y	13	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6038	http://www.npd.no/FactMapSearch?NPDID_wellbore=6038	multilateral	31/2-Y-13 AH	6038	44534	46437	9999-12-31	21228	296164	280429	0	STATOILHYDRO ASA	2013-01-26	2013-01-26	2013-05-08
31/2-Y-13 BY2H	31/2-Y-13	StatoilHydro ASA	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2009-03-12	2009-04-12	TROLL	3065-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4228.000000	335.000000	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	TROLL U1	4	YES	OIL	2009	2009	\N	50	ED50	60	50	57.72	N	3	34	53.83	E	60.849367	3.581619	6746309.020000	531607.530000	31	31	2	Y	13	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6039	http://www.npd.no/FactMapSearch?NPDID_wellbore=6039	multilateral	31/2-Y-13 BY1H	6039	44534	46437	9999-12-31	21228	296164	280429	0	STATOILHYDRO ASA	2013-01-26	2013-01-26	2013-05-08
24/9-P-1 H	24/9-P-1	Marathon Petroleum Norge AS	MARATHON	150	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VOLUND	3066-P	24/9-5 VOLUND	NO	23.000000	\N	0.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	VOLUND	12	NO	\N	0	0	\N	99	ED50	59	29	46.46	N	1	57	54.56	E	59.496239	1.965156	6595919.700000	441402.130000	31	24	9	P	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6040	http://www.npd.no/FactMapSearch?NPDID_wellbore=6040	initial	\N	6040	44186	4380167	9999-12-31	22012	287983	408227	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/9-P-1 AH	24/9-P-1	Marathon Petroleum Norge AS	MARATHON	150	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VOLUND	3067-P	24/9-5 VOLUND	NO	23.000000	\N	0.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	VOLUND	12	NO	OIL/GAS	0	0	\N	0	ED50	59	29	46.46	N	1	57	54.56	E	59.496239	1.965156	6595919.700000	441402.130000	31	24	9	P	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6041	http://www.npd.no/FactMapSearch?NPDID_wellbore=6041	sidetrack	24/9-P-1 H	6041	44186	4380167	9999-12-31	22012	287983	408227	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
15/9-F-15 B	15/9-F-15	StatoilHydro ASA	STATOIL	046 BS	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2009-01-13	2009-01-18	VOLVE	3068-P	15/9-19 S VOLVE	NO	54.900000	\N	3497.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	2009	2009	\N	99	ED50	58	26	29.71	N	1	53	15.15	E	58.441586	1.887542	6478560.470000	435053.560000	31	15	9	F	15	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6046	http://www.npd.no/FactMapSearch?NPDID_wellbore=6046	sidetrack	15/9-F-15 A	6046	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOILHYDRO ASA	2013-01-29	2013-01-29	2013-05-08
33/9-A-18 D	33/9-A-18	Statoil ASA (old)	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2009-01-13	2009-02-08	STATFJORD	3069-P	33/12-1 STATFJORD	NO	64.400000	\N	4243.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	2009	2009	\N	90	ED50	61	15	20.73	N	1	51	15.24	E	61.255758	1.854233	6791975.910000	438528.240000	31	33	9	A	18	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6048	http://www.npd.no/FactMapSearch?NPDID_wellbore=6048	sidetrack	33/9-A-18 C	6048	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6407/7-A-11 AH	6407/7-A-11	StatoilHydro Petroleum AS	STATOIL	107	PRODUCTION	OIL	DEVELOPMENT	2009-01-26	2009-04-04	NJORD	3070-P	6407/7-1 S NJORD	NO	30.000000	\N	4081.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2009	2009	\N	50	ED50	64	16	15.92	N	7	12	8.70	E	64.271089	7.202417	7128629.990000	412933.590000	32	6407	7	A	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6049	http://www.npd.no/FactMapSearch?NPDID_wellbore=6049	sidetrack	6407/7-A-11 H	6049	44876	43751	9999-12-31	21660	277713	277713	0	STATOILHYDRO PETROLEUM	2013-02-16	2013-02-16	2013-05-08
6507/7-A-26 A	6507/7-A-26	StatoilHydro ASA	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2009-01-29	2009-04-20	HEIDRUN	3071-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4021.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2009	2009	\N	50	ED50	65	19	32.66	N	7	19	2.67	E	65.325739	7.317408	7245986.090000	421625.440000	32	6507	7	A	26	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6050	http://www.npd.no/FactMapSearch?NPDID_wellbore=6050	sidetrack	6507/7-A-26	6050	44930	43771	9999-12-31	21564	272421	272421	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/1-A-16 B	2/1-A-16	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2009-02-17	2009-04-16	GYDA	3072-P	2/1-3 GYDA	NO	56.000000	\N	4939.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2009	2009	\N	50	ED50	56	54	17.55	N	3	5	6.38	E	56.904875	3.085106	6306941.450000	505183.420000	31	2	1	A	16	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6051	http://www.npd.no/FactMapSearch?NPDID_wellbore=6051	sidetrack	2/1-A-16 AY2	6051	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-10-27	2012-10-27	2013-05-08
25/11-G-15 AY3	25/11-G-15	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2009-02-01	2009-02-24	GRANE	3032-P3	25/11-15 GRANE	NO	69.900000	\N	4857.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2009	2009	\N	50	ED50	59	9	55.00	N	2	29	14.44	E	59.165278	2.487344	6558720.190000	470686.750000	31	25	11	G	15	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6052	http://www.npd.no/FactMapSearch?NPDID_wellbore=6052	multilateral	25/11-G-15 AY2	6052	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
2/4-K-29 A	2/4-K-29	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2009-03-07	2009-05-31	EKOFISK	3073-P	2/4-2 EKOFISK	NO	55.200000	\N	4252.000000	73.800000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2009	2009	\N	173	ED50	56	33	55.97	N	3	12	22.03	E	56.565547	3.206119	6269184.930000	512667.480000	31	2	4	K	29	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6053	http://www.npd.no/FactMapSearch?NPDID_wellbore=6053	sidetrack	2/4-K-29	6053	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
33/9-C-15 B	33/9-C-15	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2009-03-13	2009-04-01	STATFJORD	3074-P	33/12-1 STATFJORD	NO	78.400000	\N	2680.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL/GAS	2009	2009	\N	0	ED50	61	17	47.97	N	1	54	10.91	E	61.296658	1.903031	6796486.550000	441222.590000	31	33	9	C	15	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6054	http://www.npd.no/FactMapSearch?NPDID_wellbore=6054	sidetrack	33/9-C-15 A	6054	44558	43658	9999-12-31	21084	271329	271329	0	STATOILHYDRO ASA	2013-01-26	2013-01-26	2013-05-08
31/4-A-22 A	31/4-A-22	StatoilHydro Petroleum AS	STATOIL	055	INJECTION	WATER	DEVELOPMENT	2009-02-13	2009-05-22	BRAGE	3075-P	31/4-3 BRAGE	NO	62.600000	\N	8733.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	WATER	2009	2009	\N	173	ED50	60	32	33.51	N	3	2	51.03	E	60.542642	3.047508	6712005.510000	502606.520000	31	31	4	A	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6056	http://www.npd.no/FactMapSearch?NPDID_wellbore=6056	sidetrack	31/4-A-22	6056	44546	43651	9999-12-31	21236	277405	277405	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
25/11-G-13 Y2	25/11-G-13	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2009-07-24	2009-08-17	GRANE	2974-P2	25/11-15 GRANE	NO	69.900000	\N	7173.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2009	2009	\N	50	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	25	11	G	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6057	http://www.npd.no/FactMapSearch?NPDID_wellbore=6057	multilateral	25/11-G-13 Y1	6057	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
25/11-G-13 Y3	25/11-G-13	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2009-08-17	2009-09-19	GRANE	2974-P3	25/11-15 GRANE	NO	69.900000	\N	6771.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2009	2009	\N	50	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	25	11	G	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6058	http://www.npd.no/FactMapSearch?NPDID_wellbore=6058	multilateral	25/11-G-13 Y2	6058	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
25/11-G-13 Y4	25/11-G-13	StatoilHydro Petroleum AS	STATOIL	169 B1	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	2974-P4	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	0	0	\N	0	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	25	11	G	13	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6059	http://www.npd.no/FactMapSearch?NPDID_wellbore=6059	multilateral	25/11-G-13 Y3	6059	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/5-J-13 AY2H	31/5-J-13	StatoilHydro Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2009-02-09	2009-02-15	TROLL	1582-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4565.000000	315.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	TROLL J1	Awarded additionaly to round 7	YES	OIL	2009	2009	\N	50	ED50	60	44	35.77	N	3	36	28.56	E	60.743269	3.607933	6734504.590000	533146.960000	31	31	5	J	13	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6060	http://www.npd.no/FactMapSearch?NPDID_wellbore=6060	multilateral	31/5-J-13 AY1H	6060	44534	46437	9999-12-31	21476	290980	279141	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
33/9-A-28 A	33/9-A-28	StatoilHydro ASA	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2009-03-10	2009-04-05	STATFJORD	3055-P	33/12-1 STATFJORD	NO	64.400000	\N	5240.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL	2009	2009	\N	50	ED50	61	15	19.86	N	1	51	14.33	E	61.255517	1.853981	6791949.230000	438514.200000	31	33	9	A	28	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6065	http://www.npd.no/FactMapSearch?NPDID_wellbore=6065	sidetrack	33/9-A-28	6065	44558	43658	9999-12-31	21084	271273	271273	0	STATOILHYDRO ASA	2013-01-26	2013-01-26	2013-05-08
24/9-P-5 H	24/9-P-5	Marathon Petroleum Norge AS	MARATHON	150	PRODUCTION	OIL/GAS	DEVELOPMENT	2009-04-10	2009-05-03	VOLUND	3076-P	24/9-5 VOLUND	NO	23.000000	\N	2195.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	VOLUND	12	NO	OIL/GAS	2009	2009	\N	0	ED50	59	29	45.25	N	1	57	54.46	E	59.495903	1.965128	6595882.300000	441399.970000	31	24	9	P	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6066	http://www.npd.no/FactMapSearch?NPDID_wellbore=6066	initial	\N	6066	44186	4380167	9999-12-31	22012	287983	408227	0	MARATHON N	2013-01-24	2013-01-24	2013-05-08
34/4-L-2 AH	34/4-L-2	StatoilHydro ASA	STATOIL	057	INJECTION	WATER	DEVELOPMENT	2009-03-07	2009-03-31	SNORRE	3077-P	34/4-1 SNORRE	NO	37.000000	\N	5410.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-L H	4	NO	WATER/GAS	2009	2009	\N	173	ED50	61	31	31.44	N	2	12	43.16	E	61.525400	2.211989	6821727.330000	458084.130000	31	34	4	L	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6067	http://www.npd.no/FactMapSearch?NPDID_wellbore=6067	sidetrack	34/4-L-2 H	6067	44654	43718	9999-12-31	21252	280485	284293	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
36/7-E-1 H	36/7-E-1	StatoilHydro Petroleum AS	STATOIL	153	PRODUCTION	GAS	DEVELOPMENT	2009-09-18	2009-11-15	GJØA	3078-P	36/7-1	NO	22.000000	\N	2630.000000	360.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA E	12	NO	GAS	2009	2009	\N	90	ED50	61	21	48.97	N	4	0	53.45	E	61.363603	4.014847	6803872.050000	554261.530000	31	36	7	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6068	http://www.npd.no/FactMapSearch?NPDID_wellbore=6068	initial	\N	6068	44792	4467574	9999-12-31	22036	296245	403472	0	STATOILHYDRO PETROLEUM	2013-01-31	2013-01-31	2013-05-08
36/7-E-2 H	36/7-E-2	Statoil Petroleum AS	STATOIL	153	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GJØA	3079-P	36/7-1	NO	22.000000	\N	0.000000	360.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA E	12	NO	\N	0	0	\N	0	ED50	61	21	49.09	N	4	0	53.05	E	61.363636	4.014736	6803875.670000	554255.530000	31	36	7	E	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6069	http://www.npd.no/FactMapSearch?NPDID_wellbore=6069	initial	\N	6069	44792	4467574	9999-12-31	22036	296245	403472	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
36/7-E-3 H	36/7-E-3	StatoilHydro Petroleum AS	STATOIL	153	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2009-05-29	2009-06-21	GJØA	3080-P	36/7-1	NO	22.000000	\N	4650.000000	360.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA E	12	NO	OIL	2009	2009	\N	99	ED50	61	21	49.21	N	4	0	52.64	E	61.363669	4.014622	6803879.290000	554249.390000	31	36	7	E	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6070	http://www.npd.no/FactMapSearch?NPDID_wellbore=6070	initial	\N	6070	44792	4467574	9999-12-31	22036	296245	403472	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
36/7-E-4 H	36/7-E-4	StatoilHydro Petroleum AS	STATOIL	153	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2009-03-21	2009-04-26	GJØA	3081-P	36/7-1	NO	22.000000	\N	2730.000000	360.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA E	12	NO	OIL	2009	2009	\N	99	ED50	61	21	49.17	N	4	0	53.49	E	61.363658	4.014858	6803878.250000	554262.030000	31	36	7	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6071	http://www.npd.no/FactMapSearch?NPDID_wellbore=6071	initial	\N	6071	44792	4467574	9999-12-31	22036	296245	403472	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
15/9-A-23 B	15/9-A-23	StatoilHydro Petroleum AS	STATOIL	046	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2009-03-16	2009-04-28	SLEIPNER ØST	3082-P	15/9-9 SLEIPNER ØST	NO	78.000000	\N	4670.000000	82.000000	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	SLEIPNER A	3	NO	GAS/CONDENSATE	2009	2009	\N	170	ED50	58	22	2.05	N	1	54	32.06	E	58.367236	1.908906	6470262.220000	436166.450000	31	15	9	A	23	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6072	http://www.npd.no/FactMapSearch?NPDID_wellbore=6072	sidetrack	15/9-A-23 A	6072	43946	43478	9999-12-31	21156	272365	272365	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
34/7-G-4 AH	34/7-G-4	StatoilHydro ASA	STATOIL	089	OBSERVATION	\N	DEVELOPMENT	2009-04-15	2009-04-20	VIGDIS	3083-P	34/7-8 VIGDIS	NO	31.000000	\N	5050.000000	282.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	VIGDIS G	8	NO	OIL	2009	2009	\N	99	ED50	61	22	44.12	N	2	6	21.36	\N	61.378922	2.105933	6805484.030000	547780.600000	31	34	7	G	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6074	http://www.npd.no/FactMapSearch?NPDID_wellbore=6074	sidetrack	34/7-G-4 H	6074	44714	43732	9999-12-31	21516	297784	377425	0	STATOILHYDRO ASA	2013-01-24	2013-01-24	2013-05-08
34/7-G-4 BH	34/7-G-4	StatoilHydro ASA	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2009-04-20	2009-06-13	VIGDIS	3084-P	34/7-8 VIGDIS	NO	31.000000	\N	6215.000000	282.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	VIGDIS G	8	NO	OIL	2009	2009	\N	50	ED50	61	22	44.12	N	2	6	21.36	E	61.378922	2.105933	6805484.030000	452219.400000	31	34	7	G	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6075	http://www.npd.no/FactMapSearch?NPDID_wellbore=6075	sidetrack	34/7-G-4 AH	6075	44714	43732	9999-12-31	21516	297784	377425	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6407/1-C-2 H	6407/1-C-2	StatoilHydro ASA	STATOIL	073	OBSERVATION	OIL	DEVELOPMENT	2009-04-04	2009-05-16	TYRIHANS	3085-P	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	4611.000000	270.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS C	5	NO	OIL	2009	2009	\N	99	ED50	64	47	23.71	N	7	0	42.00	E	64.789919	7.011667	7186704.650000	405508.370000	32	6407	1	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6076	http://www.npd.no/FactMapSearch?NPDID_wellbore=6076	initial	\N	6076	44852	3960848	9999-12-31	21380	294382	377689	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6407/1-C-2 AY1H	6407/1-C-2	StatoilHydro ASA	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2009-05-16	2009-05-30	TYRIHANS	3086-P1	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	5601.000000	270.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS C	5	YES	OIL	2009	2009	\N	50	ED50	64	47	23.71	N	7	0	42.00	E	64.789919	7.011667	7186704.650000	405508.370000	32	6407	1	C	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6077	http://www.npd.no/FactMapSearch?NPDID_wellbore=6077	multilateral	6407/1-C-2 H	6077	44852	3960848	9999-12-31	21380	294382	377689	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6407/1-C-2 AY2H	6407/1-C-2	StatoilHydro ASA	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2009-05-31	2009-07-15	TYRIHANS	3086-P2	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	6185.000000	270.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS C	5	YES	OIL	2009	2009	\N	50	ED50	64	47	23.71	N	7	0	42.00	E	64.789919	7.011667	7186704.650000	405508.370000	32	6407	1	C	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6078	http://www.npd.no/FactMapSearch?NPDID_wellbore=6078	multilateral	6407/1-C-2 AY1H	6078	44852	3960848	9999-12-31	21380	294382	377689	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
30/9-F-26 B	30/9-F-26	Statoil Petroleum AS	STATOIL	104	INJECTION	WATER	DEVELOPMENT	2011-01-11	2011-05-09	OSEBERG SØR	3087-P	30/9-10 OSEBERG SØR	NO	67.000000	\N	4674.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	WATER	2011	2011	\N	173	ED50	60	23	24.48	N	2	47	49.45	E	60.390133	2.797069	6695035.350000	488813.990000	31	30	9	F	26	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6079	http://www.npd.no/FactMapSearch?NPDID_wellbore=6079	sidetrack	30/9-F-26 A	6079	44468	43645	9999-12-31	21636	280205	280205	0	STATOIL PETROLEUM AS	2012-10-27	2012-10-27	2013-05-08
6507/8-D-2 CH	6507/8-D-2	StatoilHydro ASA	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2009-03-27	2009-04-02	HEIDRUN	3088-P	6507/8-4 HEIDRUN NORD	NO	24.000000	\N	3609.000000	357.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2009	2009	\N	50	ED50	65	21	42.95	N	7	20	9.41	E	65.361931	7.335947	7249995.920000	422595.290000	32	6507	8	D	2	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6081	http://www.npd.no/FactMapSearch?NPDID_wellbore=6081	sidetrack	6507/8-D-2 BH	6081	44936	43771	9999-12-31	21804	297649	283593	0	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
33/9-C-32 B	33/9-C-32	StatoilHydro Petroleum AS	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2009-04-13	2009-05-04	STATFJORD	3089-P	33/12-1 STATFJORD	NO	78.400000	\N	3580.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL/GAS	2009	2009	\N	0	ED50	61	17	46.82	N	1	54	10.07	E	61.296339	1.902797	6796451.170000	441209.490000	31	33	9	C	32	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6086	http://www.npd.no/FactMapSearch?NPDID_wellbore=6086	sidetrack	33/9-C-32 A	6086	44558	43658	9999-12-31	21084	271329	271329	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
30/3-A-3 C	30/3-A-3	StatoilHydro Petroleum AS	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2009-04-13	2009-05-29	VESLEFRIKK	3090-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5116.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2009	2009	\N	50	ED50	60	46	57.71	N	2	53	52.27	E	60.782697	2.897853	6738747.170000	494437.300000	31	30	3	A	3	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6088	http://www.npd.no/FactMapSearch?NPDID_wellbore=6088	sidetrack	30/3-A-3 B	6088	44378	43618	9999-12-31	21212	277321	277321	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
15/12-A-7 A	15/12-A-7	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2008-05-26	2008-07-01	VARG	3092-P	15/12-4 VARG	NO	51.000000	\N	4192.000000	84.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2008	2008	15/12-20 S	50	ED50	58	4	40.53	N	1	53	25.77	E	58.077925	1.890492	6438070.140000	434558.930000	31	15	12	A	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6089	http://www.npd.no/FactMapSearch?NPDID_wellbore=6089	sidetrack	15/12-A-7	6089	43868	43451	9999-12-31	21092	278245	279505	5824	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
36/7-E-4 AY1H	36/7-E-4	StatoilHydro Petroleum AS	STATOIL	153	PRODUCTION	\N	DEVELOPMENT	2009-04-27	2009-07-19	GJØA	3093-P1	36/7-1	NO	22.000000	\N	3197.000000	360.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA E	12	YES	OIL	2009	2009	\N	71	ED50	61	21	49.17	N	4	0	53.49	E	61.363658	4.014858	6803878.250000	554262.030000	31	36	7	E	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6090	http://www.npd.no/FactMapSearch?NPDID_wellbore=6090	multilateral	36/7-E-4 H	6090	44792	4467574	9999-12-31	22036	296245	403472	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
36/7-E-4 AY2H	36/7-E-4	StatoilHydro Petroleum AS	STATOIL	153	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GJØA	3093-P2	36/7-1	NO	22.000000	\N	0.000000	360.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA E	12	YES	OIL	0	0	\N	0	ED50	61	21	49.17	N	4	0	53.49	E	61.363658	4.014858	6803878.250000	554262.030000	31	36	7	E	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6091	http://www.npd.no/FactMapSearch?NPDID_wellbore=6091	multilateral	36/7-E-4 AY1H	6091	44792	4467574	9999-12-31	22036	296245	403472	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/5-H-6 BY1H	31/5-H-6	StatoilHydro Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2009-04-27	2009-05-30	TROLL	3094-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5263.000000	315.800000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	YES	OIL	2009	2009	\N	50	ED50	60	42	46.85	N	3	30	33.96	E	60.713014	3.509433	6731088.960000	527802.560000	31	31	5	H	6	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6092	http://www.npd.no/FactMapSearch?NPDID_wellbore=6092	multilateral	31/5-H-6 AH	6092	44534	46437	9999-12-31	21476	296164	278301	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
31/5-H-6 BY2H	31/5-H-6	StatoilHydro Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2009-05-31	2009-06-20	TROLL	3094-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5133.000000	315.800000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	YES	OIL	2009	2009	\N	50	ED50	60	42	46.85	N	3	30	33.96	E	60.713014	3.509433	6731088.960000	527802.560000	31	31	5	H	6	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6093	http://www.npd.no/FactMapSearch?NPDID_wellbore=6093	multilateral	31/5-H-6 BY1H	6093	44534	46437	9999-12-31	21476	296164	278301	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
2/8-G-19	2/8-G-19	BP Norge AS	BP	006 B	INJECTION	WATER	DEVELOPMENT	2009-08-09	2009-10-09	VALHALL	3095-P	2/8-6 VALHALL	NO	65.300000	\N	3968.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	WATER	2009	2009	\N	173	ED50	56	16	35.59	N	3	23	46.98	E	56.276553	3.396383	6237068.730000	524545.870000	31	2	8	G	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6094	http://www.npd.no/FactMapSearch?NPDID_wellbore=6094	initial	\N	6094	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
36/7-E-3 AH	36/7-E-3	StatoilHydro Petroleum AS	STATOIL	153	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GJØA	3096-P	36/7-1	NO	22.000000	\N	0.000000	360.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA E	12	NO	OIL	0	0	\N	0	ED50	61	21	49.21	N	4	0	52.64	E	61.363669	4.014622	6803879.290000	554249.390000	31	36	7	E	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6097	http://www.npd.no/FactMapSearch?NPDID_wellbore=6097	sidetrack	36/7-E-3 H	6097	44792	4467574	9999-12-31	22036	296245	403472	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
15/9-F-10	15/9-F-10	StatoilHydro Petroleum AS	STATOIL	046 BS	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2009-04-06	2009-06-14	VOLVE	3097-P	15/9-19 S VOLVE	NO	54.900000	\N	5331.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	2009	2009	\N	99	ED50	58	26	29.68	N	1	53	15.07	E	58.441578	1.887519	6478559.560000	435052.250000	31	15	9	F	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6099	http://www.npd.no/FactMapSearch?NPDID_wellbore=6099	initial	\N	6099	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
15/9-F-10 A	15/9-F-10	StatoilHydro Petroleum AS	STATOIL	046 BS	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VOLVE	3098-P	15/9-19 S VOLVE	NO	54.900000	\N	0.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	0	0	\N	99	ED50	58	26	29.68	N	1	53	15.07	E	58.441578	1.887519	6478559.560000	435052.250000	31	15	9	F	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6101	http://www.npd.no/FactMapSearch?NPDID_wellbore=6101	sidetrack	15/9-F-10	6101	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
15/9-F-10 B	15/9-F-10	StatoilHydro Petroleum AS	STATOIL	046 BS	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VOLVE	3099-P	15/9-19 S VOLVE	NO	54.900000	\N	0.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	0	0	\N	0	ED50	58	26	29.68	N	1	53	15.07	E	58.441578	1.887519	6478559.560000	435052.250000	31	15	9	F	10	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6102	http://www.npd.no/FactMapSearch?NPDID_wellbore=6102	sidetrack	15/9-F-10 A	6102	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
34/7-P-27 A	34/7-P-27	StatoilHydro Petroleum AS	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2009-05-25	2009-08-08	SNORRE	3100-P	34/4-1 SNORRE	NO	59.400000	\N	5862.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2009	2009	\N	50	ED50	61	26	57.98	N	2	8	36.53	E	61.449439	2.143481	6813311.940000	454329.020000	31	34	7	P	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6103	http://www.npd.no/FactMapSearch?NPDID_wellbore=6103	sidetrack	34/7-P-27	6103	44654	43718	9999-12-31	21516	272085	272085	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
6506/11-A-1 H	6506/11-A-1	Statoil Petroleum AS	STATOIL	134 B	PRODUCTION	OIL/GAS/CONDENSATE	DEVELOPMENT	2009-12-04	2010-08-20	MORVIN	3101-P	6506/11-7 MORVIN	NO	23.500000	\N	5962.000000	350.000000	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	MOR-A	Awarded additionaly to round 11-A	NO	OIL/GAS/CONDENSATE	2009	2010	\N	0	ED50	65	8	14.21	N	6	28	40.18	E	65.137281	6.477828	7226298.470000	381692.180000	32	6506	11	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6104	http://www.npd.no/FactMapSearch?NPDID_wellbore=6104	initial	\N	6104	1630175	4966234	9999-12-31	1025257	296677	405160	0	STATOIL PETROLEUM AS	2012-11-20	2012-11-20	2013-05-08
6506/11-A-3 H	6506/11-A-3	Statoil Petroleum AS	STATOIL	134 B	PRODUCTION	\N	DEVELOPMENT	2009-11-27	2010-02-21	MORVIN	3102-P	6506/11-7 MORVIN	NO	23.500000	\N	4752.000000	350.000000	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	MOR-A	Awarded additionaly to round 11-A	NO	OIL/GAS/CONDENSATE	2009	2010	\N	71	ED50	65	8	14.47	N	6	28	39.91	E	65.137353	6.477753	7226306.660000	381688.990000	32	6506	11	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6105	http://www.npd.no/FactMapSearch?NPDID_wellbore=6105	initial	\N	6105	1630175	4966234	9999-12-31	1025257	296677	405160	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
31/2-X-22 AY1H	31/2-X-22	StatoilHydro Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2009-04-30	2009-06-13	TROLL	3103-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5377.000000	327.900000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL T2	4	YES	OIL	2009	2009	\N	50	ED50	60	48	28.99	N	3	35	35.73	E	60.808053	3.593258	6741713.000000	532281.630000	31	31	2	X	22	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6107	http://www.npd.no/FactMapSearch?NPDID_wellbore=6107	multilateral	31/2-X-22 H	6107	44534	46437	9999-12-31	21228	297055	280401	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/2-X-22 AY2H	31/2-X-22	StatoilHydro Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2009-06-14	2009-07-20	TROLL	3103-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5100.000000	327.900000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL T2	4	YES	OIL	2009	2009	\N	50	ED50	60	48	28.99	N	3	35	35.73	E	60.808053	3.593258	6741713.000000	532281.630000	31	31	2	X	22	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6108	http://www.npd.no/FactMapSearch?NPDID_wellbore=6108	multilateral	31/2-X-22 AY1H	6108	44534	46437	9999-12-31	21228	297055	280401	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
2/11-S-4 Y1F2	2/11-S-4	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2005-12-12	2006-01-17	HOD	2657-P2	2/11-2 HOD	NO	59.200000	\N	5341.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	YES	OIL	2005	2006	\N	50	ED50	56	13	39.81	N	3	26	14.81	E	56.227725	3.437447	6231649.340000	527123.220000	31	2	11	S	4	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6111	http://www.npd.no/FactMapSearch?NPDID_wellbore=6111	multi-field	2/11-S-4 Y1	6111	44000	43485	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/11-S-4 Y2F2	2/11-S-4	BP Norge AS	BP	033 B	PRODUCTION	OIL	DEVELOPMENT	2006-01-10	2006-02-22	HOD	2657-P4	2/11-2 HOD	NO	59.200000	\N	5950.000000	66.700000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	VALHALL FLANKE SØR	2-A	YES	OIL	2006	2006	\N	50	ED50	56	13	39.81	N	3	26	14.81	E	56.227725	3.437447	6231649.340000	527123.220000	31	2	11	S	4	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6112	http://www.npd.no/FactMapSearch?NPDID_wellbore=6112	multi-field	2/11-S-4 Y2	6112	44000	43485	9999-12-31	1622353	296110	280961	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6608/10-M-2 H	6608/10-M-2	Statoil Petroleum AS	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2010-09-30	2010-11-14	NORNE	3105-P	6608/10-2 NORNE	NO	40.000000	\N	3895.000000	375.000000	NORWEGIAN SEA	AKER SPITSBERGEN	SEMISUB STEEL	NORNE M	10-B	NO	OIL	2010	2010	\N	50	ED50	66	0	17.81	N	8	1	55.28	E	66.004947	8.032022	7320985.900000	456074.470000	32	6608	10	M	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6116	http://www.npd.no/FactMapSearch?NPDID_wellbore=6116	initial	\N	6116	44942	43778	9999-12-31	21836	404201	409423	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6608/10-M-4 H	6608/10-M-4	Statoil Petroleum AS	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2010-03-20	2010-05-13	NORNE	3106-P	6608/10-2 NORNE	NO	40.000000	\N	3326.000000	375.000000	NORWEGIAN SEA	AKER SPITSBERGEN	SEMISUB STEEL	NORNE M	10-B	NO	OIL	2010	2010	\N	50	ED50	66	0	17.65	N	8	1	56.16	E	66.004903	8.032267	7320980.780000	456085.490000	32	6608	10	M	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6117	http://www.npd.no/FactMapSearch?NPDID_wellbore=6117	initial	\N	6117	44942	43778	9999-12-31	21836	404201	409423	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/4-VA-4 H	2/4-VA-4	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2009-07-11	2009-08-07	EKOFISK	3107-P	2/4-2 EKOFISK	NO	50.600000	\N	3740.000000	78.600000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VA	1-A	NO	WATER	2009	2009	\N	173	ED50	56	32	12.84	N	3	12	42.86	E	56.536900	3.211906	6265997.250000	513032.910000	31	2	4	V	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6119	http://www.npd.no/FactMapSearch?NPDID_wellbore=6119	initial	\N	6119	44072	43506	9999-12-31	20900	297838	409166	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-29	2012-08-29	2013-05-08
6507/7-A-2	6507/7-A-2	StatoilHydro Petroleum AS	STATOIL	095	INJECTION	OIL/GAS	DEVELOPMENT	2009-05-31	2009-08-30	HEIDRUN	3108-P	6507/7-2 HEIDRUN	NO	74.200000	\N	5350.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER	2009	2009	\N	0	ED50	65	19	32.97	N	7	19	2.48	E	65.325825	7.317356	7245995.750000	421623.240000	32	6507	7	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6121	http://www.npd.no/FactMapSearch?NPDID_wellbore=6121	initial	\N	6121	44930	43771	9999-12-31	21564	272421	272421	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
24/9-P-5 AH	24/9-P-5	Marathon Petroleum Norge AS	MARATHON	150	PRODUCTION	OIL/GAS	DEVELOPMENT	2009-05-04	2009-05-28	VOLUND	3110-P	24/9-5 VOLUND	NO	23.000000	\N	3510.000000	123.000000	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	VOLUND	12	NO	OIL/GAS	2009	2009	\N	0	ED50	59	29	45.25	N	1	57	54.46	E	59.495903	1.965128	6595882.300000	441399.970000	31	24	9	P	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6124	http://www.npd.no/FactMapSearch?NPDID_wellbore=6124	sidetrack	24/9-P-5 H	6124	44186	4380167	9999-12-31	22012	287983	408227	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
25/11-G-7	25/11-G-7	Statoil Petroleum AS	STATOIL	169 B1	OBSERVATION	OIL	DEVELOPMENT	2010-05-13	2010-07-19	GRANE	3111-P	25/11-15 GRANE	NO	69.900000	\N	4743.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2010	2010	\N	50	ED50	59	9	55.12	N	2	29	14.22	E	59.165311	2.487283	6558723.930000	470683.290000	31	25	11	G	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6126	http://www.npd.no/FactMapSearch?NPDID_wellbore=6126	initial	\N	6126	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
25/11-G-32	25/11-G-32	Statoil Petroleum AS	STATOIL	169 B1	INJECTION	WATER	DEVELOPMENT	2010-03-29	2010-12-12	GRANE	3112-P	25/11-15 GRANE	NO	69.900000	\N	3489.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	WATER	2010	2010	\N	173	ED50	59	9	54.84	N	2	29	15.01	E	59.165233	2.487503	6558715.170000	470695.770000	31	25	11	G	32	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6127	http://www.npd.no/FactMapSearch?NPDID_wellbore=6127	initial	\N	6127	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-12-13	2012-12-13	2013-05-08
6506/12-P-4 AH	6506/12-P-4	StatoilHydro Petroleum AS	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2009-06-26	2009-08-09	ÅSGARD	3113-P	6506/12-3 SMØRBUKK SØR	NO	24.000000	\N	5615.000000	311.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	ÅSGARD P	8	NO	OIL	2009	2009	\N	50	ED50	65	1	22.74	N	6	52	46.19	E	65.022983	6.879497	7212872.420000	400099.670000	32	6506	12	P	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6138	http://www.npd.no/FactMapSearch?NPDID_wellbore=6138	sidetrack	6506/12-P-4 H	6138	45846	43765	9999-12-31	21556	297649	278889	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
33/9-C-28 C	33/9-C-28	StatoilHydro Petroleum AS	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2009-05-15	2009-06-10	STATFJORD	3114-P	33/12-1 STATFJORD	NO	78.400000	\N	2622.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL/GAS	2009	2009	\N	0	ED50	61	17	46.86	N	1	54	10.27	E	61.296350	1.902853	6796452.360000	441212.490000	31	33	9	C	28	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6140	http://www.npd.no/FactMapSearch?NPDID_wellbore=6140	sidetrack	33/9-C-28 B	6140	44558	43658	9999-12-31	21084	271329	271329	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
30/9-J-13 BH	30/9-J-13	StatoilHydro Petroleum AS	STATOIL	104	PRODUCTION	OIL	DEVELOPMENT	2009-05-20	2009-06-09	OSEBERG SØR	3115-P	30/9-10 OSEBERG SØR	NO	31.000000	\N	3635.000000	102.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	OSEBERG SØR J	9	NO	OIL	2009	2009	\N	50	ED50	60	21	16.36	N	2	54	0.25	E	60.354544	2.900069	6691058.450000	494485.580000	31	30	9	J	13	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6141	http://www.npd.no/FactMapSearch?NPDID_wellbore=6141	sidetrack	30/9-J-13 AH	6141	44468	43645	9999-12-31	21636	290170	281745	0	STATOILHYDRO PETROLEUM	2012-10-27	2012-10-27	2013-05-08
25/11-G-37	25/11-G-37	Statoil Petroleum AS	STATOIL	169 B1	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3116-P	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	0	0	\N	99	ED50	59	9	54.53	N	2	29	14.86	E	59.165147	2.487461	6558705.600000	470693.310000	31	25	11	G	37	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6145	http://www.npd.no/FactMapSearch?NPDID_wellbore=6145	initial	\N	6145	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-05-01	2013-05-01	2013-05-08
30/6-C-20 CY1	30/6-C-20	Statoil Petroleum AS	STATOIL	053	PRODUCTION	OIL	DEVELOPMENT	2009-09-09	2011-04-14	OSEBERG	3117-P1	30/6-1 OSEBERG	NO	62.000000	\N	6060.000000	109.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	YES	OIL	2009	2011	\N	50	ED50	60	36	29.25	N	2	46	33.39	E	60.608125	2.775942	6719319.150000	487732.020000	31	30	6	C	20	CY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6158	http://www.npd.no/FactMapSearch?NPDID_wellbore=6158	multilateral	30/6-C-20 B	6158	44396	43625	9999-12-31	21220	272225	272225	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/6-C-20 CY2	30/6-C-20	Statoil Petroleum AS	STATOIL	053	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	OSEBERG	3117-P2	30/6-1 OSEBERG	NO	62.000000	\N	0.000000	109.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	OIL	0	0	\N	0	ED50	60	36	29.25	N	2	46	33.39	E	60.608125	2.775942	6719319.150000	487732.020000	31	30	6	C	20	CY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6159	http://www.npd.no/FactMapSearch?NPDID_wellbore=6159	multilateral	30/6-C-20 CY1	6159	44396	43625	9999-12-31	21220	272225	272225	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/8-G-16 A	2/8-G-16	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	2009-03-25	2009-03-31	VALHALL	3118-P	2/8-6 VALHALL	NO	65.300000	\N	4781.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	2009	2009	\N	71	ED50	56	16	35.51	N	3	23	47.08	E	56.276531	3.396411	6237066.270000	524547.600000	31	2	8	G	16	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6160	http://www.npd.no/FactMapSearch?NPDID_wellbore=6160	sidetrack	2/8-G-16	6160	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
2/8-G-16 B	2/8-G-16	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2009-04-01	2009-08-05	VALHALL	3119-P	2/8-6 VALHALL	NO	65.300000	\N	5137.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	2009	2009	\N	50	ED50	56	16	35.51	N	3	23	47.08	E	56.276531	3.396411	6237066.270000	524547.600000	31	2	8	G	16	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6161	http://www.npd.no/FactMapSearch?NPDID_wellbore=6161	sidetrack	2/8-G-16 A	6161	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-08-24	2012-08-24	2013-05-08
34/4-K-5 H	34/4-K-5	Statoil Petroleum AS	STATOIL	057	INJECTION	WATER/GAS	DEVELOPMENT	2009-06-26	2010-01-31	SNORRE	3120-P	34/4-1 SNORRE	NO	37.000000	\N	5388.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-K H	4	NO	WATER/GAS	2009	2010	\N	0	ED50	61	31	31.75	N	2	12	44.78	E	61.525486	2.212439	6821736.640000	458108.180000	31	34	4	K	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6162	http://www.npd.no/FactMapSearch?NPDID_wellbore=6162	initial	\N	6162	44654	43718	9999-12-31	21252	280485	284265	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
15/9-F-9 A	15/9-F-9	StatoilHydro ASA	STATOIL	046 BS	PRODUCTION	WATER	DEVELOPMENT	2009-07-03	2009-07-13	VOLVE	3121-P	15/9-19 S VOLVE	NO	54.900000	\N	1206.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	WATER	2009	2009	\N	172	ED50	58	26	29.74	N	1	53	15.00	E	58.441594	1.887500	6478561.440000	435051.150000	31	15	9	F	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6163	http://www.npd.no/FactMapSearch?NPDID_wellbore=6163	sidetrack	15/9-F-9	6163	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOILHYDRO ASA	2012-11-22	2012-11-22	2013-05-08
7/12-A-15 A	7/12-A-15	BP Norge AS	BP	019	PRODUCTION	OIL	DEVELOPMENT	2009-09-12	2009-10-19	ULA	3122-P	7/12-2 ULA	NO	57.000000	\N	3748.000000	69.500000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	2009	2009	\N	50	ED50	57	6	41.23	N	2	50	50.49	E	57.111453	2.847358	6329944.810000	490754.630000	31	7	12	A	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6164	http://www.npd.no/FactMapSearch?NPDID_wellbore=6164	sidetrack	7/12-A-15	6164	44972	43800	9999-12-31	20916	271889	272029	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
31/4-A-13 A	31/4-A-13	StatoilHydro Petroleum AS	STATOIL	055	PRODUCTION	\N	DEVELOPMENT	2009-06-28	2009-08-25	BRAGE	3123-P	31/4-3 BRAGE	NO	62.600000	\N	4894.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2009	2009	\N	71	ED50	60	32	32.92	N	3	2	50.35	E	60.542478	3.047319	6711987.240000	502596.170000	31	31	4	A	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6165	http://www.npd.no/FactMapSearch?NPDID_wellbore=6165	sidetrack	31/4-A-13	6165	44546	43651	9999-12-31	21236	277405	277405	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
2/4-VA-1 H	2/4-VA-1	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2009-09-06	2009-09-30	EKOFISK	3124-P	2/4-2 EKOFISK	NO	50.200000	\N	4053.000000	78.600000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VA	1-A	NO	WATER	2009	2009	\N	173	ED50	56	32	12.65	N	3	12	43.37	E	56.536847	3.212047	6265991.400000	513041.640000	31	2	4	V	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6169	http://www.npd.no/FactMapSearch?NPDID_wellbore=6169	initial	\N	6169	44072	43506	9999-12-31	20900	297838	409166	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-29	2012-08-29	2013-05-08
2/4-VA-2 H	2/4-VA-2	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2009-08-10	2009-09-05	EKOFISK	3125-P	2/4-2 EKOFISK	NO	50.200000	\N	3577.000000	78.600000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VA	1-A	NO	WATER	2009	2009	\N	173	ED50	56	32	12.91	N	3	12	43.04	E	56.536919	3.211956	6265999.430000	513035.980000	31	2	4	V	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6170	http://www.npd.no/FactMapSearch?NPDID_wellbore=6170	initial	\N	6170	44072	43506	9999-12-31	20900	297838	409166	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-29	2012-08-29	2013-05-08
2/4-VA-3 H	2/4-VA-3	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2009-10-02	2009-10-25	EKOFISK	3126-P	2/4-2 EKOFISK	NO	50.200000	\N	4541.000000	78.600000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VA	1-A	NO	WATER	2009	2009	\N	173	ED50	56	32	12.58	N	3	12	43.19	E	56.536828	3.211997	6265989.230000	513038.580000	31	2	4	V	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6171	http://www.npd.no/FactMapSearch?NPDID_wellbore=6171	initial	\N	6171	44072	43506	9999-12-31	20900	297838	409166	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-29	2012-08-29	2013-05-08
2/4-X-8 A	2/4-X-8	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2009-11-19	2010-01-21	EKOFISK	3127-P	2/4-2 EKOFISK	NO	57.000000	\N	5037.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2009	2010	\N	50	ED50	56	32	50.96	N	3	13	8.42	E	56.547489	3.219006	6267177.290000	513465.830000	31	2	4	X	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6172	http://www.npd.no/FactMapSearch?NPDID_wellbore=6172	sidetrack	2/4-X-8	6172	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
25/11-G-13 A	25/11-G-13	StatoilHydro Petroleum AS	STATOIL	169 B1	OBSERVATION	\N	DEVELOPMENT	2009-08-31	2009-09-04	GRANE	3128-P	25/11-15 GRANE	NO	69.900000	\N	5668.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2009	2009	\N	99	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	25	11	G	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6173	http://www.npd.no/FactMapSearch?NPDID_wellbore=6173	initial	\N	6173	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
25/11-G-13 B	25/11-G-13	StatoilHydro Petroleum AS	STATOIL	169 B1	OBSERVATION	OIL	DEVELOPMENT	2009-08-28	2009-08-30	GRANE	3129-P	25/11-15 GRANE	NO	69.900000	\N	5766.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2009	2009	\N	99	ED50	59	9	54.88	N	2	29	14.20	E	59.165244	2.487278	6558716.510000	470682.910000	31	25	11	G	13	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6174	http://www.npd.no/FactMapSearch?NPDID_wellbore=6174	sidetrack	25/11-G-13 A	6174	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
35/11-R-14 H	35/11-R-14	Statoil Petroleum AS	STATOIL	090 C	OBSERVATION	GAS	DEVELOPMENT	2009-08-14	2009-10-21	VEGA	3130-P	35/11-2 VEGA SØR	NO	31.000000	\N	2879.000000	368.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VEGA SØR	Awarded additionaly to round 8	NO	GAS	2009	2009	\N	99	ED50	61	10	25.86	N	3	26	29.24	E	61.173850	3.441456	6782393.120000	523746.960000	31	35	11	R	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6175	http://www.npd.no/FactMapSearch?NPDID_wellbore=6175	initial	\N	6175	44744	4467595	9999-12-31	3426824	290170	407908	0	STATOIL PETROLEUM AS	2013-03-26	2013-03-26	2013-05-08
35/11-R-14 AH	35/11-R-14	Statoil Petroleum AS	STATOIL	090 C	PRODUCTION	GAS	DEVELOPMENT	2009-10-22	2009-11-21	VEGA	3131-P	35/11-2 VEGA SØR	NO	31.000000	\N	4650.000000	368.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VEGA SØR	Awarded additionaly to round 8	NO	GAS	2009	2009	\N	90	ED50	61	10	25.86	N	3	26	29.24	E	61.173850	3.441456	6782393.120000	523746.960000	31	35	11	R	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6176	http://www.npd.no/FactMapSearch?NPDID_wellbore=6176	sidetrack	35/11-R-14 H	6176	44744	4467595	9999-12-31	3426824	290170	407908	0	STATOIL PETROLEUM AS	2013-04-03	2013-04-03	2013-05-08
35/11-R-12 H	35/11-R-12	Statoil Petroleum AS	STATOIL	090 C	PRODUCTION	GAS	DEVELOPMENT	2009-11-30	2010-01-31	VEGA	3132-P	35/11-2 VEGA SØR	NO	31.000000	\N	4400.000000	368.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VEGA SØR	Awarded additionaly to round 8	NO	GAS	2009	2010	\N	90	ED50	61	10	26.31	N	3	26	29.65	E	61.173975	3.441569	6782407.080000	523752.990000	31	35	11	R	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6177	http://www.npd.no/FactMapSearch?NPDID_wellbore=6177	initial	\N	6177	44744	4467595	9999-12-31	3426824	290170	407908	0	STATOIL PETROLEUM AS	2013-03-26	2013-03-26	2013-05-08
31/2-F-1 BY1H	31/2-F-1	StatoilHydro Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2009-09-04	2009-10-16	TROLL	3133-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5459.000000	330.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL F	4	YES	OIL	2009	2009	\N	50	ED50	60	46	36.44	N	3	26	9.19	E	60.776789	3.435886	6738163.560000	523741.580000	31	31	2	F	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6179	http://www.npd.no/FactMapSearch?NPDID_wellbore=6179	multilateral	31/2-F-1 AH	6179	44534	46437	9999-12-31	21228	296164	278161	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
31/2-F-1 BY2H	31/2-F-1	StatoilHydro Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2009-10-17	2009-11-05	TROLL	3133-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4273.000000	330.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL F	4	YES	OIL	2009	2009	\N	50	ED50	60	46	36.44	N	3	26	9.19	E	60.776789	3.435886	6738163.560000	523741.580000	31	31	2	F	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6180	http://www.npd.no/FactMapSearch?NPDID_wellbore=6180	multilateral	31/2-F-1 BY1H	6180	44534	46437	9999-12-31	21228	296164	278161	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
35/9-F-1 AH	35/9-F-1	StatoilHydro ASA	STATOIL	153	PRODUCTION	GAS	DEVELOPMENT	2009-07-31	2009-09-04	GJØA	3134-P	35/9-1 GJØA	NO	22.000000	\N	2350.000000	360.300000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA F	12	NO	GAS	2009	2009	\N	90	ED50	61	23	17.55	N	3	58	52.17	E	61.388208	3.981158	6806585.250000	552419.160000	31	35	9	F	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6181	http://www.npd.no/FactMapSearch?NPDID_wellbore=6181	sidetrack	35/9-F-1 H	6181	44786	4467574	9999-12-31	22036	296245	403530	0	STATOILHYDRO ASA	2013-01-31	2013-01-31	2013-05-08
6507/8-E-3 EH	6507/8-E-3	StatoilHydro Petroleum AS	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2009-07-22	2009-07-28	HEIDRUN	3135-P	6507/8-4 HEIDRUN NORD	NO	23.000000	\N	2655.000000	355.000000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2009	2009	\N	50	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	6507	8	E	3	E	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6183	http://www.npd.no/FactMapSearch?NPDID_wellbore=6183	sidetrack	6507/8-E-3 DH	6183	44936	43771	9999-12-31	21804	287983	283621	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
15/9-F-15	15/9-F-15	StatoilHydro ASA	STATOIL	046 BS	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2008-09-07	2008-12-12	VOLVE	3136-P	15/9-19 S VOLVE	NO	54.900000	\N	4105.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	2008	2008	\N	99	ED50	58	26	29.71	N	1	53	15.15	E	58.441586	1.887542	6478560.470000	435053.560000	31	15	9	F	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6184	http://www.npd.no/FactMapSearch?NPDID_wellbore=6184	initial	\N	6184	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOILHYDRO ASA	2013-01-29	2013-01-29	2013-05-08
15/12-A-3 A	15/12-A-3	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2009-09-05	2009-09-29	VARG	3137-P	15/12-4 VARG	NO	52.200000	\N	3382.000000	84.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2009	2009	\N	50	ED50	58	4	40.59	N	1	53	25.72	E	58.077942	1.890478	6438072.010000	434558.140000	31	15	12	A	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6190	http://www.npd.no/FactMapSearch?NPDID_wellbore=6190	sidetrack	15/12-A-3	6190	43868	43451	9999-12-31	21092	292114	279505	0	TALISMAN ENERGY	2013-02-16	2013-02-16	2013-05-08
6608/10-E-1 Y2H	6608/10-E-1	StatoilHydro Petroleum AS	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2009-10-26	2009-12-03	NORNE	1591-P2	6608/10-2 NORNE	NO	24.000000	\N	4044.000000	380.000000	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	NORNE E	10-B	YES	OIL	2009	2009	\N	50	ED50	66	2	43.34	N	8	5	58.46	E	66.045372	8.099572	7325445.980000	459204.330000	32	6608	10	E	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6192	http://www.npd.no/FactMapSearch?NPDID_wellbore=6192	multilateral	6608/10-E-1 H	6192	44942	43778	9999-12-31	21836	297649	279309	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
25/11-G-3 AY1	25/11-G-3	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2010-01-26	2010-02-11	GRANE	3139-P1	25/11-15 GRANE	NO	69.900000	\N	5143.000000	127.700000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2010	2010	\N	50	ED50	59	9	55.17	N	2	29	14.11	E	59.165325	2.487253	6558725.490000	470681.550000	31	25	11	G	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6193	http://www.npd.no/FactMapSearch?NPDID_wellbore=6193	multilateral	25/11-G-3	6193	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-3 AY2	25/11-G-3	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2010-02-13	2010-02-24	GRANE	3139-P2	25/11-15 GRANE	NO	69.900000	\N	5363.000000	127.700000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2010	2010	\N	50	ED50	59	9	55.17	N	2	29	14.11	E	59.165325	2.487253	6558725.490000	470681.550000	31	25	11	G	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6194	http://www.npd.no/FactMapSearch?NPDID_wellbore=6194	multilateral	25/11-G-3 AY1	6194	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-08-24	2012-08-24	2013-05-08
25/11-G-3 AY3	25/11-G-3	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2010-03-05	2010-03-16	GRANE	3139-P3	25/11-15 GRANE	NO	69.900000	\N	5115.000000	127.700000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2010	2010	\N	50	ED50	59	9	55.17	N	2	29	14.11	E	59.165325	2.487253	6558725.490000	470681.550000	31	25	11	G	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6195	http://www.npd.no/FactMapSearch?NPDID_wellbore=6195	multilateral	25/11-G-3 AY2	6195	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-08-24	2012-08-24	2013-05-08
33/12-B-31 B	33/12-B-31	StatoilHydro Petroleum AS	STATOIL	037	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2009-09-19	2009-10-28	STATFJORD	3140-P	33/12-1 STATFJORD	NO	77.800000	\N	2803.000000	145.300000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS/CONDENSATE	2009	2009	\N	170	ED50	61	12	24.01	N	1	49	50.92	E	61.206669	1.830811	6786530.610000	437173.890000	31	33	12	B	31	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6197	http://www.npd.no/FactMapSearch?NPDID_wellbore=6197	sidetrack	33/12-B-31 A	6197	44558	43658	9999-12-31	21084	271301	271301	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
30/6-C-10 E	30/6-C-10	StatoilHydro Petroleum AS	STATOIL	053	PRODUCTION	\N	DEVELOPMENT	2009-08-06	2009-08-29	OSEBERG	3141-P1	30/6-1 OSEBERG	NO	62.300000	\N	0.000000	108.600000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	YES	OIL	2009	2009	\N	0	ED50	60	36	29.49	N	2	46	33.38	E	60.608192	2.775939	6719326.570000	487731.890000	31	30	6	C	10	E	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6198	http://www.npd.no/FactMapSearch?NPDID_wellbore=6198	sidetrack	30/6-C-10 D	6198	44396	43625	9999-12-31	21220	272225	272225	0	STATOILHYDRO PETROLEUM	2012-10-25	2012-10-25	2013-05-08
31/2-M-24 AH	31/2-M-24	StatoilHydro Petroleum AS	STATOIL	054	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2009-07-23	2009-07-25	TROLL	3142-P	31/2-1 TROLL VEST	NO	25.000000	\N	5066.000000	354.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL M2	4	NO	OIL	2009	2009	\N	99	ED50	60	55	53.18	N	3	39	51.57	E	60.931439	3.664325	6755493.200000	536009.370000	31	31	2	M	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6200	http://www.npd.no/FactMapSearch?NPDID_wellbore=6200	initial	\N	6200	44534	46437	9999-12-31	21228	296164	280037	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
31/5-H-3 CY1H	31/5-H-3	Statoil Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2009-11-10	2009-12-15	TROLL	3143-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5888.000000	316.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	YES	OIL	2009	2009	\N	50	ED50	60	42	51.32	N	3	30	49.38	E	60.714256	3.513717	6731229.080000	528035.240000	31	31	5	H	3	CY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6201	http://www.npd.no/FactMapSearch?NPDID_wellbore=6201	multilateral	31/5-H-3 BH	6201	44534	46437	9999-12-31	21476	297055	278301	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/5-H-3 CY2H	31/5-H-3	Statoil Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2009-12-15	2010-01-10	TROLL	3143-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5608.000000	316.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	YES	OIL	2009	2010	\N	50	ED50	60	42	51.32	N	3	30	49.38	E	60.714256	3.513717	6731229.080000	528035.240000	31	31	5	H	3	CY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6202	http://www.npd.no/FactMapSearch?NPDID_wellbore=6202	multilateral	31/5-H-3 CY1H	6202	44534	46437	9999-12-31	21476	297055	278301	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/9-B-46 B	30/9-B-46	StatoilHydro Petroleum AS	STATOIL	079	OBSERVATION	OIL	DEVELOPMENT	2009-07-29	2009-08-01	OSEBERG	3144-P	30/6-1 OSEBERG	NO	58.000000	\N	5150.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2009	2009	\N	99	ED50	60	29	35.84	N	2	49	43.07	E	60.493289	2.828631	6706519.840000	490583.600000	31	30	9	B	46	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6203	http://www.npd.no/FactMapSearch?NPDID_wellbore=6203	sidetrack	30/9-B-46 A	6203	44396	43625	9999-12-31	34635	272897	272897	0	STATOILHYDRO PETROLEUM	2013-03-20	2013-03-20	2013-05-08
30/9-B-46 C	30/9-B-46	StatoilHydro Petroleum AS	STATOIL	079	OBSERVATION	OIL	DEVELOPMENT	2009-08-01	2009-08-05	OSEBERG	3145-P	30/6-1 OSEBERG	NO	58.000000	\N	5480.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2009	2009	\N	99	ED50	60	29	35.84	N	2	49	43.07	E	60.493289	2.828631	6706519.840000	490583.600000	31	30	9	B	46	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6204	http://www.npd.no/FactMapSearch?NPDID_wellbore=6204	sidetrack	30/9-B-46 B	6204	44396	43625	9999-12-31	34635	272897	272897	0	STATOILHYDRO PETROLEUM	2013-03-20	2013-03-20	2013-05-08
30/9-B-46 D	30/9-B-46	StatoilHydro Petroleum AS	STATOIL	079	PRODUCTION	OIL	DEVELOPMENT	2009-08-06	2009-09-12	OSEBERG	3146-P	30/6-1 OSEBERG	NO	58.000000	\N	6345.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2009	2009	\N	50	ED50	60	29	35.84	N	2	49	43.07	E	60.493289	2.828631	6706519.840000	490583.600000	31	30	9	B	46	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6205	http://www.npd.no/FactMapSearch?NPDID_wellbore=6205	sidetrack	30/9-B-46 C	6205	44396	43625	9999-12-31	34635	272897	272897	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
6407/1-C-3 Y1H	6407/1-C-3	Statoil Petroleum AS	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2009-12-17	2010-02-07	TYRIHANS	3147-P	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	4557.000000	270.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS C	5	NO	OIL	2009	2010	\N	99	ED50	64	47	23.72	N	7	0	42.34	E	64.789922	7.011761	7186704.820000	405512.860000	32	6407	1	C	3	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6206	http://www.npd.no/FactMapSearch?NPDID_wellbore=6206	multilateral	6407/1-C-3 AY2H	6206	44852	3960848	9999-12-31	21380	294382	377689	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6407/1-C-3 AY1H	6407/1-C-3	Statoil Petroleum AS	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2010-02-22	2010-03-25	TYRIHANS	3221-P1	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	6549.000000	270.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS C	5	YES	OIL	2010	2010	\N	50	ED50	64	47	23.72	N	7	0	42.34	E	64.789922	7.011761	7186704.820000	405512.860000	32	6407	1	C	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6207	http://www.npd.no/FactMapSearch?NPDID_wellbore=6207	multilateral	\N	6207	44852	3960848	9999-12-31	21380	294382	377689	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6507/8-E-3 FH	6507/8-E-3	StatoilHydro Petroleum AS	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2009-08-04	2009-09-10	HEIDRUN	3148-P	6507/8-4 HEIDRUN NORD	NO	23.000000	\N	2744.000000	355.000000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	HEIDRUN E	10-B	NO	OIL	2009	2009	\N	50	ED50	65	22	59.94	N	7	22	10.28	E	65.383317	7.369522	7252338.150000	424218.440000	32	6507	8	E	3	F	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6209	http://www.npd.no/FactMapSearch?NPDID_wellbore=6209	sidetrack	6507/8-E-3 EH	6209	44936	43771	9999-12-31	21804	287983	283621	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/5-I-21 BY1H	31/5-I-21	StatoilHydro Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2009-10-02	2009-11-12	TROLL	3149-P1	31/2-1 TROLL VEST	NO	23.000000	\N	5327.000000	315.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I2	Awarded additionaly to round 7	YES	OIL	2009	2009	\N	50	ED50	60	43	42.83	N	3	34	39.64	E	60.728564	3.577678	6732851.760000	531511.740000	31	31	5	I	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6213	http://www.npd.no/FactMapSearch?NPDID_wellbore=6213	multilateral	31/5-I-21 AH	6213	44534	46437	9999-12-31	21476	289333	279953	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
31/5-I-21 BY2H	31/5-I-21	StatoilHydro Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2009-11-13	2009-12-04	TROLL	3149-P2	31/2-1 TROLL VEST	NO	23.000000	\N	5208.000000	315.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL I2	Awarded additionaly to round 7	YES	OIL	2009	2009	\N	50	ED50	60	43	42.83	N	3	34	39.64	E	60.728564	3.577678	6732851.760000	531511.740000	31	31	5	I	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6214	http://www.npd.no/FactMapSearch?NPDID_wellbore=6214	multilateral	31/5-I-21 BY1H	6214	44534	46437	9999-12-31	21476	289333	279953	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
6506/12-Q-5 Y2H	6506/12-Q-5	StatoilHydro Petroleum AS	STATOIL	094	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2009-11-12	2009-12-20	ÅSGARD	2784-P2	6506/12-3 SMØRBUKK SØR	NO	25.000000	\N	6689.000000	305.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	ÅSGARD Q	8	YES	GAS/CONDENSATE	2009	2009	\N	170	ED50	65	2	25.75	N	6	56	27.45	E	65.040486	6.940958	7214726.610000	403057.940000	32	6506	12	Q	5	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6217	http://www.npd.no/FactMapSearch?NPDID_wellbore=6217	multilateral	6506/12-Q-5 Y1H	6217	45846	43765	9999-12-31	21556	294058	363659	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
33/9-C-21 A	33/9-C-21	StatoilHydro Petroleum AS	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2009-09-19	2009-10-02	STATFJORD	3150-P	33/12-1 STATFJORD	NO	78.400000	\N	2767.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL/GAS	2009	2009	\N	0	ED50	61	17	47.84	N	1	54	11.13	E	61.296622	1.903092	6796482.470000	441225.790000	31	33	9	C	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6218	http://www.npd.no/FactMapSearch?NPDID_wellbore=6218	sidetrack	33/9-C-21	6218	44558	43658	9999-12-31	21084	271329	271329	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
31/4-A-13 B	31/4-A-13	StatoilHydro Petroleum AS	STATOIL	055	PRODUCTION	OIL	DEVELOPMENT	2009-08-28	2009-09-21	BRAGE	3151-P	31/4-3 BRAGE	NO	62.600000	\N	4600.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2009	2009	\N	50	ED50	60	32	32.92	N	3	2	50.35	E	60.542478	3.047319	6711987.240000	502596.170000	31	31	4	A	13	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6219	http://www.npd.no/FactMapSearch?NPDID_wellbore=6219	sidetrack	31/4-A-13 A	6219	44546	43651	9999-12-31	21236	277405	277405	0	STATOILHYDRO PETROLEUM	2013-01-26	2013-01-26	2013-05-08
2/4-K-30 A	2/4-K-30	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2009-10-08	2010-01-07	EKOFISK	3152-P	2/4-2 EKOFISK	NO	57.000000	\N	3649.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2009	2010	\N	173	ED50	56	33	55.95	N	3	12	21.85	E	56.565542	3.206069	6269184.310000	512664.410000	31	2	4	K	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6220	http://www.npd.no/FactMapSearch?NPDID_wellbore=6220	sidetrack	2/4-K-30	6220	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/7-A-18 D	2/7-A-18	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2009-10-01	2009-11-27	ELDFISK	3153-P	2/7-1 ELDFISK	NO	43.000000	\N	4093.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	WATER	2009	2009	\N	173	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	2	7	A	18	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6221	http://www.npd.no/FactMapSearch?NPDID_wellbore=6221	sidetrack	2/7-A-18 C	6221	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-VA-5 H	2/4-VA-5	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2009-12-25	2010-01-11	EKOFISK	3154-P	2/4-2 EKOFISK	NO	50.200000	\N	3780.000000	78.600000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VA	1-A	NO	WATER	2009	2010	\N	173	ED50	56	32	12.61	N	3	12	43.22	E	56.536836	3.212006	6265990.160000	513039.080000	31	2	4	V	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6223	http://www.npd.no/FactMapSearch?NPDID_wellbore=6223	initial	\N	6223	44072	43506	9999-12-31	20900	297838	409166	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-29	2012-08-29	2013-05-08
2/4-VA-6 H	2/4-VA-6	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2010-01-12	2010-02-06	EKOFISK	3155-P	2/4-2 EKOFISK	NO	50.200000	\N	4088.000000	78.600000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VA	1-A	NO	WATER	2010	2010	\N	173	ED50	56	32	12.86	N	3	12	42.88	E	56.536906	3.211911	6265997.870000	513033.250000	31	2	4	V	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6224	http://www.npd.no/FactMapSearch?NPDID_wellbore=6224	initial	\N	6224	44072	43506	9999-12-31	20900	297838	409166	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-29	2012-08-29	2013-05-08
2/4-VA-8 H	2/4-VA-8	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2010-02-07	2010-03-03	EKOFISK	3156-P	2/4-2 EKOFISK	NO	50.200000	\N	4308.000000	78.600000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VA	1-A	NO	WATER	2010	2010	\N	173	ED50	56	32	12.79	N	3	12	42.70	E	56.536886	3.211861	6265995.700000	513030.180000	31	2	4	V	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6225	http://www.npd.no/FactMapSearch?NPDID_wellbore=6225	initial	\N	6225	44072	43506	9999-12-31	20900	297838	409166	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-26	2013-01-26	2013-05-08
30/4-D-1 H	30/4-D-1	Total E&P Norge AS	TOTAL	043	OBSERVATION	GAS/CONDENSATE	DEVELOPMENT	2009-09-19	2010-02-21	MARTIN LINGE	3157-P	30/7-6 MARTIN LINGE	NO	39.000000	\N	4128.000000	120.000000	NORTH SEA	WEST PHOENIX	SEMISUB STEEL	30/4-D-1 AH	3	NO	GAS/CONDENSATE	2009	2010	\N	99	ED50	60	30	23.20	N	2	2	40.66	E	60.506444	2.044628	6708353.670000	447526.740000	31	30	4	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6228	http://www.npd.no/FactMapSearch?NPDID_wellbore=6228	initial	\N	6228	44450	21675447	9999-12-31	21132	390874	408991	0	TOTAL E&P NORGE	2013-01-29	2013-01-29	2013-05-08
30/4-D-1 AH	30/4-D-1	Total E&P Norge AS	TOTAL	043	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2010-02-22	2010-03-28	MARTIN LINGE	3158-P	30/7-6 MARTIN LINGE	NO	39.000000	\N	4500.000000	120.000000	NORTH SEA	WEST PHOENIX	SEMISUB STEEL	30/4-D-1 AH	3	NO	GAS/CONDENSATE	2010	2010	\N	170	ED50	60	30	23.20	N	2	2	40.66	E	60.506444	2.044628	6708353.670000	447526.740000	31	30	4	D	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6229	http://www.npd.no/FactMapSearch?NPDID_wellbore=6229	sidetrack	30/4-D-1 H	6229	44450	21675447	9999-12-31	21132	390874	408991	0	TOTAL E&P NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-A-36 A	34/10-A-36	StatoilHydro Petroleum AS	STATOIL	050	OBSERVATION	OIL	DEVELOPMENT	2009-10-22	2009-10-29	GULLFAKS	3159-P	34/10-1 GULLFAKS	NO	82.200000	\N	4732.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2009	2009	\N	99	ED50	61	10	34.81	N	2	11	21.94	E	61.176336	2.189428	6782860.100000	456401.350000	31	34	10	A	36	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6230	http://www.npd.no/FactMapSearch?NPDID_wellbore=6230	sidetrack	34/10-A-36	6230	44594	43686	9999-12-31	21188	271833	271833	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
34/10-A-36 B	34/10-A-36	StatoilHydro Petroleum AS	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2009-10-30	2009-11-10	GULLFAKS	3160-P	34/10-1 GULLFAKS	NO	82.200000	\N	4523.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2009	2009	\N	50	ED50	61	10	34.81	N	2	11	21.94	E	61.176336	2.189428	6782860.100000	456401.350000	31	34	10	A	36	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6231	http://www.npd.no/FactMapSearch?NPDID_wellbore=6231	sidetrack	34/10-A-36 A	6231	44594	43686	9999-12-31	21188	271833	271833	0	STATOILHYDRO PETROLEUM	2013-01-29	2013-01-29	2013-05-08
34/8-A-8 AH	34/8-A-8	Statoil Petroleum AS	STATOIL	120	OBSERVATION	OIL	DEVELOPMENT	2009-12-05	2010-01-31	VISUND	3161-P	34/8-1 VISUND	NO	29.000000	\N	5744.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2009	2010	\N	99	ED50	61	22	13.33	N	2	27	32.35	E	61.370369	2.458986	6804323.890000	471078.900000	31	34	8	A	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6233	http://www.npd.no/FactMapSearch?NPDID_wellbore=6233	sidetrack	34/8-A-8 H	6233	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
34/8-A-8 BH	34/8-A-8	Statoil Petroleum AS	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2010-03-31	2010-05-10	VISUND	3162-P	34/8-1 VISUND	NO	29.000000	\N	8040.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL	2010	2010	\N	50	ED50	61	22	13.33	N	2	27	32.35	E	61.370369	2.458986	6804323.890000	471078.900000	31	34	8	A	8	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6234	http://www.npd.no/FactMapSearch?NPDID_wellbore=6234	sidetrack	34/8-A-8 AH	6234	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
15/12-A-10 A	15/12-A-10	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2009-10-19	2009-11-09	VARG	3163-P	15/12-4 VARG	NO	52.200000	\N	4136.000000	84.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2009	2009	\N	50	ED50	58	4	40.41	N	1	53	25.65	E	58.077892	1.890458	6438066.460000	434556.900000	31	15	12	A	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6236	http://www.npd.no/FactMapSearch?NPDID_wellbore=6236	sidetrack	15/12-A-10	6236	43868	43451	9999-12-31	21092	292114	279505	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
2/4-VA-7 H	2/4-VA-7	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2010-03-05	2010-04-19	EKOFISK	3164-P	2/4-2 EKOFISK	NO	50.200000	\N	5829.000000	78.600000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VA	1-A	NO	WATER	2010	2010	\N	173	ED50	56	32	12.53	N	3	12	43.04	E	56.536814	3.211956	6265987.680000	513036.020000	31	2	4	V	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6237	http://www.npd.no/FactMapSearch?NPDID_wellbore=6237	initial	\N	6237	44072	43506	9999-12-31	20900	297838	409166	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-29	2012-08-29	2013-05-08
6506/11-B-3 H	6506/11-B-3	Statoil Petroleum AS	STATOIL	134 B	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2009-10-22	2010-05-31	MORVIN	3165-P	6506/11-7 MORVIN	NO	23.500000	\N	5934.000000	338.000000	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	MOR-B	Awarded additionaly to round 11-A	NO	GAS/CONDENSATE	2009	2010	\N	170	ED50	65	9	47.48	N	6	29	49.94	E	65.163189	6.497206	7229148.140000	382715.220000	32	6506	11	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6238	http://www.npd.no/FactMapSearch?NPDID_wellbore=6238	initial	\N	6238	1630175	4966234	9999-12-31	1025257	296677	405219	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
24/9-P-3 H	24/9-P-3	Marathon Petroleum Norge AS	MARATHON	150	OBSERVATION	OIL/GAS	DEVELOPMENT	2009-11-10	2009-12-05	VOLUND	3166-P	24/9-5 VOLUND	NO	25.000000	\N	1609.000000	124.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	VOLUND	12	NO	OIL/GAS	2009	2009	\N	99	ED50	59	29	44.69	N	1	57	55.60	E	59.495747	1.965444	6595864.700000	441417.630000	31	24	9	P	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6240	http://www.npd.no/FactMapSearch?NPDID_wellbore=6240	initial	\N	6240	44186	4380167	9999-12-31	22012	290980	408227	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
24/9-P-3 AH	24/9-P-3	Marathon Petroleum Norge AS	MARATHON	150	PRODUCTION	OIL/GAS	DEVELOPMENT	2009-12-06	2010-05-22	VOLUND	3167-P	24/9-5 VOLUND	NO	25.000000	\N	3930.000000	124.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	VOLUND	12	NO	OIL/GAS	2009	2010	\N	0	ED50	59	29	44.69	N	1	57	55.60	E	59.495747	1.965444	6595864.700000	441417.630000	31	24	9	P	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6241	http://www.npd.no/FactMapSearch?NPDID_wellbore=6241	sidetrack	24/9-P-3 H	6241	44186	4380167	9999-12-31	22012	290980	408227	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
34/10-C-6 A	34/10-C-6	Statoil Petroleum AS	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2009-12-16	2010-07-25	GULLFAKS	3168-P	34/10-1 GULLFAKS	NO	84.100000	\N	4800.000000	216.900000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	2009	2010	\N	50	ED50	61	12	54.54	N	2	16	26.30	E	61.215150	2.273972	6787130.070000	460996.650000	31	34	10	C	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6242	http://www.npd.no/FactMapSearch?NPDID_wellbore=6242	sidetrack	34/10-C-6	6242	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
6305/7-D-3 H	6305/7-D-3	A/S Norske Shell	SHELL	208	PRODUCTION	GAS	DEVELOPMENT	2010-04-02	2010-04-24	ORMEN LANGE	3169-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3512.000000	853.800000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE D	15	NO	GAS	2010	2010	\N	90	ED50	63	23	8.61	N	5	18	51.43	E	63.385725	5.314286	7030827.630000	615662.170000	31	6305	7	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6243	http://www.npd.no/FactMapSearch?NPDID_wellbore=6243	initial	\N	6243	44822	2762452	9999-12-31	22476	297082	406437	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/7-D-6 H	6305/7-D-6	A/S Norske Shell	SHELL	208	PRODUCTION	\N	DEVELOPMENT	2009-11-15	2009-12-20	ORMEN LANGE	3170-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	0.000000	853.800000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE D	15	NO	GAS	2009	2009	\N	71	ED50	63	23	8.93	N	5	18	52.35	E	63.385814	5.314542	7030837.990000	615674.580000	31	6305	7	D	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6244	http://www.npd.no/FactMapSearch?NPDID_wellbore=6244	initial	\N	6244	44822	2762452	9999-12-31	22476	297082	406437	0	SHELL NORGE	2013-01-29	2013-01-29	2013-05-08
6305/7-D-7 H	6305/7-D-7	A/S Norske Shell	SHELL	208	OBSERVATION	GAS	DEVELOPMENT	2009-12-28	2010-01-24	ORMEN LANGE	3171-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3130.000000	853.800000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE D	15	NO	GAS	2009	2010	\N	99	ED50	63	23	9.03	N	5	18	51.97	E	63.385842	5.314436	7030840.890000	615669.190000	31	6305	7	D	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6245	http://www.npd.no/FactMapSearch?NPDID_wellbore=6245	initial	\N	6245	44822	2762452	9999-12-31	22476	297082	406437	0	SHELL NORGE	2013-01-29	2013-01-29	2013-05-08
6305/7-D-7 AH	6305/7-D-7	A/S Norske Shell	SHELL	208	PRODUCTION	GAS	DEVELOPMENT	2010-03-16	2010-08-09	ORMEN LANGE	3172-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3405.000000	853.800000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE D	15	NO	GAS	2010	2010	\N	90	ED50	63	23	9.03	N	5	18	51.97	E	63.385842	5.314436	7030840.890000	615669.190000	31	6305	7	D	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6246	http://www.npd.no/FactMapSearch?NPDID_wellbore=6246	sidetrack	6305/7-D-7 H	6246	44822	2762452	9999-12-31	22476	297082	406437	0	SHELL NORGE	2012-08-09	2012-08-09	2013-05-08
30/3-A-1 A	30/3-A-1	Statoil Petroleum AS	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2009-11-14	2010-01-02	VESLEFRIKK	3173-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4941.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2009	2010	\N	50	ED50	60	46	57.82	N	2	53	52.48	E	60.782728	2.897911	6738750.570000	494440.490000	31	30	3	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6247	http://www.npd.no/FactMapSearch?NPDID_wellbore=6247	sidetrack	30/3-A-1	6247	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
30/3-A-1 B	30/3-A-1	Statoil Petroleum AS	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2010-02-13	2010-03-19	VESLEFRIKK	3219-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4945.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2010	2010	\N	50	ED50	60	46	57.82	N	2	53	52.48	E	60.782728	2.897911	6738750.570000	494440.490000	31	30	3	A	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6248	http://www.npd.no/FactMapSearch?NPDID_wellbore=6248	sidetrack	30/3-A-1 A	6248	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
24/9-P-2 H	24/9-P-2	Marathon Petroleum Norge AS	MARATHON	150	OBSERVATION	OIL/GAS	DEVELOPMENT	2009-12-29	2010-01-29	VOLUND	3174-P	24/9-5 VOLUND	NO	25.000000	\N	2181.000000	124.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	VOLUND	12	NO	OIL/GAS	2009	2010	\N	99	ED50	59	29	45.81	N	1	57	53.32	E	59.496058	1.964811	6595899.900000	441382.310000	31	24	9	P	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6250	http://www.npd.no/FactMapSearch?NPDID_wellbore=6250	initial	\N	6250	44186	4380167	9999-12-31	22012	290980	408227	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
24/9-P-2 AY1H	24/9-P-2	Marathon Petroleum Norge AS	MARATHON	150	PRODUCTION	OIL/GAS	DEVELOPMENT	2010-01-30	2010-02-24	VOLUND	3175-P1	24/9-5 VOLUND	NO	25.000000	\N	4137.000000	124.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	VOLUND	12	YES	OIL/GAS	2010	2010	\N	0	ED50	59	29	45.81	N	1	57	53.32	E	59.496058	1.964811	6595899.900000	441382.310000	31	24	9	P	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6251	http://www.npd.no/FactMapSearch?NPDID_wellbore=6251	multilateral	24/9-P-2 H	6251	44186	4380167	9999-12-31	22012	290980	408227	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/9-P-2 AY2H	24/9-P-2	Marathon Petroleum Norge AS	MARATHON	150	PRODUCTION	OIL/GAS	DEVELOPMENT	2010-02-25	2010-04-09	VOLUND	3175-P2	24/9-5 VOLUND	NO	25.000000	\N	4942.000000	124.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	VOLUND	12	YES	OIL/GAS	2010	2010	\N	0	ED50	59	29	45.81	N	1	57	53.32	E	59.496058	1.964811	6595899.900000	441382.310000	31	24	9	P	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6252	http://www.npd.no/FactMapSearch?NPDID_wellbore=6252	multilateral	24/9-P-2 AY1H	6252	44186	4380167	9999-12-31	22012	290980	408227	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
35/8-P-13 H	35/8-P-13	Statoil Petroleum AS	STATOIL	248	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2010-02-19	2010-04-07	VEGA	3176-P	35/8-1 VEGA	NO	31.000000	\N	3842.000000	377.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VEGA NORD	NST99	NO	GAS/CONDENSATE	2010	2010	\N	170	ED50	61	22	16.08	N	3	22	37.22	E	61.371133	3.377006	6804347.330000	520153.260000	31	35	8	P	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6256	http://www.npd.no/FactMapSearch?NPDID_wellbore=6256	initial	\N	6256	44774	4467595	9999-12-31	102285	290170	407790	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6407/7-A-19 AH	6407/7-A-19	StatoilHydro Petroleum AS	STATOIL	107	PRODUCTION	OIL	DEVELOPMENT	2009-11-11	2009-12-03	NJORD	3177-P	6407/7-1 S NJORD	NO	30.000000	\N	4087.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2009	2009	\N	50	ED50	64	16	16.57	N	7	12	6.16	E	64.271269	7.201711	7128651.070000	412899.990000	32	6407	7	A	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6257	http://www.npd.no/FactMapSearch?NPDID_wellbore=6257	sidetrack	6407/7-A-19 H	6257	44876	43751	9999-12-31	21660	277713	277713	0	STATOILHYDRO PETROLEUM	2013-02-14	2013-02-14	2013-05-08
35/9-C-1 Y1H	35/9-C-1	Statoil Petroleum AS	STATOIL	153	PRODUCTION	OIL	DEVELOPMENT	2010-01-26	2010-03-20	GJØA	3178-P1	35/9-2	NO	22.000000	\N	2860.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA C	12	YES	OIL	2010	2010	\N	50	ED50	61	20	26.90	N	3	57	30.46	E	61.340806	3.958461	6801287.170000	551284.140000	31	35	9	C	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6262	http://www.npd.no/FactMapSearch?NPDID_wellbore=6262	multilateral	35/9-C-1 AY2H	6262	2449421	4467574	9999-12-31	22036	296245	403356	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
35/9-C-2 H	35/9-C-2	Statoil Petroleum AS	STATOIL	153	OBSERVATION	OIL	DEVELOPMENT	2010-05-08	2010-05-25	GJØA	3179-P	35/9-2	NO	22.000000	\N	4445.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA C	12	NO	OIL	2010	2010	\N	99	ED50	61	20	26.94	N	3	57	29.62	E	61.340817	3.958228	6801288.230000	551271.630000	31	35	9	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6263	http://www.npd.no/FactMapSearch?NPDID_wellbore=6263	initial	\N	6263	2449421	4467574	9999-12-31	22036	296245	403356	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
35/9-C-3 Y1H	35/9-C-3	Statoil Petroleum AS	STATOIL	153	PRODUCTION	OIL	DEVELOPMENT	2010-07-12	2010-08-17	GJØA	3180-P1	35/9-2	NO	22.000000	\N	4703.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA C	12	YES	OIL	2010	2010	\N	50	ED50	61	20	27.13	N	3	57	29.65	E	61.340869	3.958236	6801294.110000	551271.990000	31	35	9	C	3	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6264	http://www.npd.no/FactMapSearch?NPDID_wellbore=6264	multilateral	\N	6264	2449421	4467574	9999-12-31	22036	296245	403356	0	STATOIL PETROLEUM AS	2013-01-31	2013-01-31	2013-05-08
35/9-C-4 Y1H	35/9-C-4	Statoil Petroleum AS	STATOIL	153	PRODUCTION	OIL	DEVELOPMENT	2010-01-01	2010-04-13	GJØA	3181-P1	35/9-2	NO	22.000000	\N	4356.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA C	12	YES	OIL	2010	2010	\N	50	ED50	61	20	27.10	N	3	57	30.50	E	61.340861	3.958472	6801293.370000	551284.640000	31	35	9	C	4	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6265	http://www.npd.no/FactMapSearch?NPDID_wellbore=6265	multilateral	\N	6265	2449421	4467574	9999-12-31	22036	296245	403356	0	STATOIL PETROLEUM AS	2013-01-31	2013-01-31	2013-05-08
33/9-C-19 D	33/9-C-19	Den norske stats oljeselskap a.s	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2009-11-11	2009-11-29	STATFJORD	3182-P	33/12-1 STATFJORD	NO	78.400000	\N	2593.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL/GAS	2009	2009	\N	0	ED50	61	17	47.90	N	1	54	10.85	E	61.296639	1.903014	6796484.390000	441221.660000	31	33	9	C	19	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6266	http://www.npd.no/FactMapSearch?NPDID_wellbore=6266	sidetrack	33/9-C-19 C	6266	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-A-17 B	7/12-A-17	BP Norge AS	BP	019	INJECTION	WATER/GAS	DEVELOPMENT	2009-12-08	2010-03-04	ULA	3183-P	7/12-2 ULA	NO	57.000000	\N	5841.000000	69.500000	NORTH SEA	ULA PP	JACKET 4 LEGS	ULA PP	1-A	NO	WATER/GAS	2009	2010	\N	0	ED50	57	6	41.06	N	2	50	50.64	E	57.111406	2.847400	6329939.550000	490757.140000	31	7	12	A	17	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6267	http://www.npd.no/FactMapSearch?NPDID_wellbore=6267	sidetrack	7/12-A-17 A	6267	44972	43800	9999-12-31	20916	272029	272029	0	BP NORGE	2012-08-24	2012-08-24	2013-05-08
31/4-A-34 A	31/4-A-34	Statoil Petroleum AS	STATOIL	055	OBSERVATION	\N	DEVELOPMENT	2009-11-23	2009-12-20	BRAGE	3184-P	31/4-3 BRAGE	NO	62.600000	\N	5705.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2009	2009	\N	99	ED50	60	32	33.09	N	3	2	50.35	E	60.542525	3.047319	6711992.500000	502596.170000	31	31	4	A	34	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6268	http://www.npd.no/FactMapSearch?NPDID_wellbore=6268	sidetrack	31/4-A-34	6268	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
31/4-A-34 B	31/4-A-34	Statoil Petroleum AS	STATOIL	055	PRODUCTION	\N	DEVELOPMENT	2009-12-21	2009-12-27	BRAGE	3185-P	31/4-3 BRAGE	NO	62.600000	\N	5618.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2009	2009	\N	71	ED50	60	32	33.09	N	3	2	50.35	E	60.542525	3.047319	6711992.500000	502596.170000	31	31	4	A	34	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6269	http://www.npd.no/FactMapSearch?NPDID_wellbore=6269	sidetrack	31/4-A-34 A	6269	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
34/10-A-36 C	34/10-A-36	StatoilHydro Petroleum AS	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2009-11-11	2009-12-02	GULLFAKS	3186-P	34/10-1 GULLFAKS	NO	82.200000	\N	4585.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2009	2009	\N	50	ED50	61	10	34.81	N	2	11	21.94	E	61.176336	2.189428	6782860.100000	456401.350000	31	34	10	A	36	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6270	http://www.npd.no/FactMapSearch?NPDID_wellbore=6270	sidetrack	34/10-A-36 B	6270	44594	43686	9999-12-31	21188	271833	271833	0	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
33/12-B-25 A	33/12-B-25	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2009-12-29	2010-02-18	STATFJORD	3187-P	33/12-1 STATFJORD	NO	78.200000	\N	3261.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS/CONDENSATE	2009	2010	\N	170	ED50	61	12	24.11	N	1	49	50.85	E	61.206697	1.830792	6786533.720000	437172.900000	31	33	12	B	25	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6272	http://www.npd.no/FactMapSearch?NPDID_wellbore=6272	sidetrack	33/12-B-25	6272	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
30/9-B-27 C	30/9-B-27	Statoil Petroleum AS	STATOIL	079	PRODUCTION	OIL	DEVELOPMENT	2009-12-20	2010-06-23	OSEBERG	3188-P	30/6-1 OSEBERG	NO	58.000000	\N	5447.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2009	2010	\N	50	ED50	60	29	36.08	N	2	49	42.79	E	60.493356	2.828553	6706527.280000	490579.350000	31	30	9	B	27	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6273	http://www.npd.no/FactMapSearch?NPDID_wellbore=6273	sidetrack	30/9-B-27 B	6273	44396	43625	9999-12-31	34635	272897	272897	0	STATOIL PETROLEUM AS	2012-10-27	2012-10-27	2013-05-08
15/12-A-9 B	15/12-A-9	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2009-12-07	2009-12-27	VARG	3189-P	15/12-4 VARG	NO	52.200000	\N	3820.000000	84.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2009	2009	\N	50	ED50	58	4	40.39	N	1	53	25.58	E	58.077886	1.890439	6438065.860000	434555.750000	31	15	12	A	9	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6282	http://www.npd.no/FactMapSearch?NPDID_wellbore=6282	sidetrack	15/12-A-9 A	6282	43868	43451	9999-12-31	21092	292114	279505	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
6506/11-A-2 H	6506/11-A-2	Statoil Petroleum AS	STATOIL	134 B	PRODUCTION	OIL	DEVELOPMENT	2010-03-12	2011-05-31	MORVIN	3190-P	6506/11-7 MORVIN	NO	23.500000	\N	6351.000000	350.000000	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	MOR-A	Awarded additionaly to round 11-A	NO	OIL	2010	2011	\N	50	ED50	65	8	14.32	N	6	28	39.77	E	65.137311	6.477714	7226302.090000	381686.980000	32	6506	11	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6285	http://www.npd.no/FactMapSearch?NPDID_wellbore=6285	initial	\N	6285	1630175	4966234	9999-12-31	1025257	296677	405160	0	STATOIL PETROLEUM AS	2012-11-20	2012-11-20	2013-05-08
31/2-O-26 Y1H	31/2-O-26	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2009-12-23	2010-01-24	TROLL	3191-P1	31/2-1 TROLL VEST	NO	25.000000	\N	6003.000000	338.300000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL O2	4	YES	OIL	2009	2010	\N	50	ED50	60	54	54.31	N	3	31	22.99	E	60.915086	3.523053	6753602.380000	528366.450000	31	31	2	O	26	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6291	http://www.npd.no/FactMapSearch?NPDID_wellbore=6291	multilateral	\N	6291	44534	46437	9999-12-31	21228	296164	283677	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-O-26 Y2H	31/2-O-26	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-01-25	2010-02-24	TROLL	3191-P2	31/2-1 TROLL VEST	NO	25.000000	\N	6200.000000	338.300000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL O2	4	YES	OIL	2010	2010	\N	50	ED50	60	54	54.31	N	3	31	22.99	E	60.915086	3.523053	6753602.380000	528366.450000	31	31	2	O	26	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6292	http://www.npd.no/FactMapSearch?NPDID_wellbore=6292	multilateral	31/2-O-26 Y1H	6292	44534	46437	9999-12-31	21228	296164	283677	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/7-A-18 E	2/7-A-18	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	OIL	DEVELOPMENT	2009-11-28	2009-12-24	ELDFISK	3192-P	2/7-1 ELDFISK	NO	43.000000	\N	4318.000000	70.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	WATER	2009	2009	\N	50	ED50	56	22	36.01	N	3	15	56.59	E	56.376669	3.265719	6248173.560000	516411.580000	31	2	7	A	18	E	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6294	http://www.npd.no/FactMapSearch?NPDID_wellbore=6294	sidetrack	2/7-A-18 D	6294	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6506/11-A-4 H	6506/11-A-4	Statoil Petroleum AS	STATOIL	134 B	PRODUCTION	OIL	DEVELOPMENT	2010-02-22	2010-04-17	MORVIN	3193-P	6506/11-7 MORVIN	NO	23.500000	\N	4788.000000	352.000000	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	MOR-A	Awarded additionaly to round 11-A	NO	OIL	2010	2010	\N	50	ED50	65	8	14.36	N	6	28	40.58	E	65.137322	6.477939	7226302.910000	381697.580000	32	6506	11	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6296	http://www.npd.no/FactMapSearch?NPDID_wellbore=6296	initial	\N	6296	1630175	4966234	9999-12-31	1025257	296677	405160	0	STATOIL PETROLEUM AS	2012-11-20	2012-11-20	2013-05-08
6305/7-D-2 H	6305/7-D-2	A/S Norske Shell	SHELL	208	PRODUCTION	GAS	DEVELOPMENT	2010-04-28	2010-09-04	ORMEN LANGE	3194-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3857.000000	853.800000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE D	15	NO	GAS	2010	2010	\N	90	ED50	63	23	8.51	N	5	18	51.81	E	63.385697	5.314392	7030824.720000	615667.550000	31	6305	7	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6297	http://www.npd.no/FactMapSearch?NPDID_wellbore=6297	initial	\N	6297	44822	2762452	9999-12-31	22476	297082	406437	0	SHELL NORGE	2012-09-04	2012-09-04	2013-05-08
31/2-O-21 Y1H	31/2-O-21	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-02-26	2010-04-05	TROLL	3195-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5928.000000	338.300000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL O2	4	YES	OIL	2010	2010	\N	50	ED50	60	54	54.15	N	3	31	22.11	E	60.915042	3.522808	6753597.320000	528353.230000	31	31	2	O	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6299	http://www.npd.no/FactMapSearch?NPDID_wellbore=6299	multilateral	\N	6299	44534	46437	9999-12-31	21228	296164	283677	0	STATOIL PETROLEUM AS	2013-03-19	2013-03-19	2013-05-08
31/2-O-21 Y2H	31/2-O-21	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-04-06	2010-04-21	TROLL	3195-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5890.000000	338.300000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL O2	4	YES	OIL	2010	2010	\N	50	ED50	60	54	54.15	N	3	31	22.11	E	60.915042	3.522808	6753597.320000	528353.230000	31	31	2	O	21	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6300	http://www.npd.no/FactMapSearch?NPDID_wellbore=6300	multilateral	31/2-O-21 Y1H	6300	44534	46437	9999-12-31	21228	296164	283677	0	STATOIL PETROLEUM AS	2013-03-19	2013-03-19	2013-05-08
31/2-O-23 Y1H	31/2-O-23	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-10-14	2010-11-19	TROLL	3196-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5291.000000	338.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL O2	4	YES	OIL	2010	2010	\N	50	ED50	60	54	54.42	N	3	31	22.31	E	60.915117	3.522864	6753605.700000	528356.180000	31	31	2	O	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6301	http://www.npd.no/FactMapSearch?NPDID_wellbore=6301	multilateral	\N	6301	44534	46437	9999-12-31	21228	296164	283677	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-O-25 Y1H	31/2-O-25	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-04-23	2012-06-20	TROLL	3197-P1	31/2-1 TROLL VEST	NO	25.000000	\N	6363.000000	338.300000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL O2	4	YES	OIL	2012	2012	\N	50	ED50	60	54	54.17	N	3	31	22.89	E	60.915047	3.523025	6753598.040000	528364.980000	31	31	2	O	25	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6302	http://www.npd.no/FactMapSearch?NPDID_wellbore=6302	multilateral	\N	6302	44534	46437	9999-12-31	21228	296164	283677	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/4-K-28 A	2/4-K-28	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2010-02-22	2010-04-19	EKOFISK	3198-P	2/4-2 EKOFISK	NO	57.000000	\N	4225.000000	71.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2010	2010	\N	173	ED50	56	33	56.00	N	3	12	22.20	E	56.565556	3.206167	6269185.870000	512670.380000	31	2	4	K	28	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6303	http://www.npd.no/FactMapSearch?NPDID_wellbore=6303	sidetrack	2/4-K-28	6303	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
31/2-Y-23 BY1H	31/2-Y-23	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	2010-05-02	2010-05-24	TROLL	3199-P1	31/2-1 TROLL VEST	NO	25.000000	\N	1902.000000	331.500000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL U2	4	YES	OIL	2010	2010	\N	71	ED50	60	49	51.88	N	3	34	21.06	E	60.831078	3.572517	6744267.580000	531130.630000	31	31	2	Y	23	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6304	http://www.npd.no/FactMapSearch?NPDID_wellbore=6304	multilateral	31/2-Y-23 AH	6304	44534	46437	9999-12-31	21228	296164	280457	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
2/4-X-43 A	2/4-X-43	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2010-03-31	2010-05-26	EKOFISK	3200-P	2/4-2 EKOFISK	NO	57.000000	\N	3279.000000	78.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2010	2010	\N	50	ED50	56	32	52.02	N	3	13	8.34	E	56.547783	3.218983	6267210.060000	513464.360000	31	2	4	X	43	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6310	http://www.npd.no/FactMapSearch?NPDID_wellbore=6310	sidetrack	2/4-X-43	6310	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
7/12-A-3 B	7/12-A-3	BP Norge AS	BP	019	PRODUCTION	OIL	DEVELOPMENT	2010-03-26	2010-05-29	ULA	3201-P	7/12-2 ULA	NO	57.000000	\N	4892.000000	69.500000	NORTH SEA	ULA DP	JACKET 4 LEGS	ULA PP	1-A	NO	OIL	2010	2010	\N	50	ED50	57	6	41.23	N	2	50	50.89	E	57.111453	2.847469	6329944.800000	490761.360000	31	7	12	A	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6311	http://www.npd.no/FactMapSearch?NPDID_wellbore=6311	sidetrack	7/12-A-3 A	6311	44972	43800	9999-12-31	20916	271889	272029	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
35/9-C-4 Y2H	35/9-C-4	Statoil Petroleum AS	STATOIL	153	PRODUCTION	OIL	DEVELOPMENT	2010-04-13	2010-05-06	GJØA	3181-P2	35/9-2	NO	22.000000	\N	4937.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA C	12	YES	OIL	2010	2010	\N	50	ED50	61	20	27.10	N	3	57	30.50	E	61.340861	3.958472	6801293.370000	551284.640000	31	35	9	C	4	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6312	http://www.npd.no/FactMapSearch?NPDID_wellbore=6312	multilateral	35/9-C-4 Y1H	6312	2449421	4467574	9999-12-31	22036	296245	403356	0	STATOIL PETROLEUM AS	2013-01-31	2013-01-31	2013-05-08
31/2-M-14 BY1H	31/2-M-14	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-01-16	2010-02-12	TROLL	3202-P1	31/2-1 TROLL VEST	NO	23.000000	\N	4777.000000	345.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL M1	4	YES	OIL	2010	2010	\N	50	ED50	60	54	56.25	N	3	37	35.89	E	60.915625	3.626636	6753711.660000	533983.350000	31	31	2	M	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6314	http://www.npd.no/FactMapSearch?NPDID_wellbore=6314	multilateral	31/2-M-14 AH	6314	44534	46437	9999-12-31	21228	289333	279057	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
31/2-M-14 BY2H	31/2-M-14	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-02-13	2010-02-23	TROLL	3202-P2	31/2-1 TROLL VEST	NO	23.000000	\N	5413.000000	345.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL M1	4	YES	OIL	2010	2010	\N	50	ED50	60	54	56.25	N	3	37	35.89	E	60.915625	3.626636	6753711.660000	533983.350000	31	31	2	M	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6315	http://www.npd.no/FactMapSearch?NPDID_wellbore=6315	multilateral	31/2-M-14 BY1H	6315	44534	46437	9999-12-31	21228	289333	279057	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
15/12-A-7 B	15/12-A-7	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	\N	DEVELOPMENT	2010-01-11	2010-02-06	VARG	3203-P	15/12-4 VARG	NO	52.200000	\N	4933.000000	84.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2010	2010	\N	71	ED50	58	4	40.53	N	1	53	25.77	E	58.077925	1.890492	6438070.140000	434558.930000	31	15	12	A	7	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6317	http://www.npd.no/FactMapSearch?NPDID_wellbore=6317	sidetrack	15/12-A-7 A	6317	43868	43451	9999-12-31	21092	292114	279505	0	TALISMAN ENERGY	2013-01-29	2013-01-29	2013-05-08
9/2-C-7	9/2-C-7	Talisman Energy Norge AS	TALISMAN	316	PRODUCTION	\N	DEVELOPMENT	2010-01-09	2010-01-28	YME	3204-P	9/2-1 YME	NO	45.600000	\N	4348.000000	93.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	YME MOPUStor	18	NO	OIL	2010	2010	\N	71	ED50	57	48	57.88	N	4	32	7.66	E	57.816078	4.535461	6409413.720000	591224.580000	31	9	2	C	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6319	http://www.npd.no/FactMapSearch?NPDID_wellbore=6319	initial	\N	6319	45098	43807	9999-12-31	2786469	278245	403167	6017	TALISMAN ENERGY	2013-01-30	2013-01-30	2013-05-08
31/4-A-34 C	31/4-A-34	Statoil Petroleum AS	STATOIL	055	PRODUCTION	OIL	DEVELOPMENT	2009-12-28	2010-01-24	BRAGE	3205-P	31/4-3 BRAGE	NO	62.600000	\N	5947.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2009	2010	\N	50	ED50	60	32	33.09	N	3	2	50.35	E	60.542525	3.047319	6711992.500000	502596.170000	31	31	4	A	34	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6320	http://www.npd.no/FactMapSearch?NPDID_wellbore=6320	sidetrack	31/4-A-34 B	6320	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
6407/7-A-5 CH	6407/7-A-5	Statoil Petroleum AS	STATOIL	107	PRODUCTION	GAS	DEVELOPMENT	2010-01-09	2010-02-20	NJORD	3206-P	6407/7-1 S NJORD	NO	30.000000	\N	4872.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	GAS	2010	2010	\N	90	ED50	64	16	14.75	N	7	12	6.47	E	64.270764	7.201797	7128594.630000	412902.570000	32	6407	7	A	5	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6322	http://www.npd.no/FactMapSearch?NPDID_wellbore=6322	sidetrack	6407/7-A-5 BH	6322	44876	43751	9999-12-31	21660	277713	277713	0	STATOIL PETROLEUM AS	2013-02-14	2013-02-14	2013-05-08
6507/5-A-3 H	6507/5-A-3	BP Norge AS	BP	212	PRODUCTION	GAS	DEVELOPMENT	2010-03-22	2010-04-04	SKARV	3207-P	6507/5-1 SKARV	NO	31.000000	\N	3502.000000	325.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SKARV A	15	NO	GAS	2010	2010	\N	90	ED50	65	44	19.51	N	7	39	21.42	E	65.738753	7.655950	7291634.250000	438375.390000	32	6507	5	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6323	http://www.npd.no/FactMapSearch?NPDID_wellbore=6323	initial	\N	6323	45801	4704482	9999-12-31	22508	297784	408458	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6507/5-A-4 H	6507/5-A-4	BP Norge AS	BP	212	PRODUCTION	GAS	DEVELOPMENT	2010-02-19	2010-03-21	SKARV	3208-P	6507/5-1 SKARV	NO	31.000000	\N	3480.000000	325.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SKARV A	15	NO	GAS	2010	2010	\N	90	ED50	65	44	19.09	N	7	39	21.83	E	65.738636	7.656064	7291621.130000	438380.330000	32	6507	5	A	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6324	http://www.npd.no/FactMapSearch?NPDID_wellbore=6324	initial	\N	6324	45801	4704482	9999-12-31	22508	297784	408458	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6507/5-A-6 H	6507/5-A-6	BP Norge AS	BP	212	PRODUCTION	GAS	DEVELOPMENT	2010-04-04	2011-04-23	SKARV	3209-P	6507/5-1 SKARV	NO	31.000000	\N	4671.000000	325.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SKARV A	15	NO	GAS	2010	2011	\N	90	ED50	65	44	18.94	N	7	39	20.93	E	65.738594	7.655814	7291616.740000	438368.770000	32	6507	5	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6325	http://www.npd.no/FactMapSearch?NPDID_wellbore=6325	initial	\N	6325	45801	4704482	9999-12-31	22508	297784	408458	0	BP NORGE	2013-04-24	2013-04-24	2013-05-08
35/8-P-11 H	35/8-P-11	Statoil Petroleum AS	STATOIL	248	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2010-04-09	2010-05-14	VEGA	3210-P	35/8-1 VEGA	NO	31.000000	\N	4862.000000	377.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VEGA NORD	NST99	NO	GAS/CONDENSATE	2010	2010	\N	170	ED50	61	22	16.36	N	3	22	36.39	E	61.371211	3.376775	6804355.930000	520140.890000	31	35	8	P	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6330	http://www.npd.no/FactMapSearch?NPDID_wellbore=6330	initial	\N	6330	44774	4467595	9999-12-31	102285	290170	407790	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/4-A-32 B	31/4-A-32	Statoil Petroleum AS	STATOIL	055	PRODUCTION	OIL	DEVELOPMENT	2010-02-08	2010-03-19	BRAGE	3138-P	31/4-3 BRAGE	NO	62.600000	\N	6739.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2010	2010	\N	50	ED50	60	32	33.42	N	3	2	50.52	E	60.542617	3.047367	6712002.720000	502598.750000	31	31	4	A	32	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6331	http://www.npd.no/FactMapSearch?NPDID_wellbore=6331	sidetrack	31/4-A-32 A	6331	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
25/11-G-4	25/11-G-4	Statoil Petroleum AS	STATOIL	169 B1	\N	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3211-P	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	\N	0	0	\N	0	ED50	59	9	55.24	N	2	29	14.24	E	59.165344	2.487289	6558727.640000	470683.630000	31	25	11	G	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6333	http://www.npd.no/FactMapSearch?NPDID_wellbore=6333	initial	\N	6333	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-29	25/11-G-29	Statoil Petroleum AS	STATOIL	169 B1	\N	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3212-P	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	\N	0	0	\N	0	ED50	59	9	54.65	N	2	29	14.64	E	59.165181	2.487400	6558709.340000	470689.840000	31	25	11	G	29	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6334	http://www.npd.no/FactMapSearch?NPDID_wellbore=6334	initial	\N	6334	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-33	25/11-G-33	Statoil Petroleum AS	STATOIL	169 B1	\N	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3213-P	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	\N	0	0	\N	0	ED50	59	9	54.59	N	2	29	14.75	E	59.165164	2.487431	6558707.470000	470691.580000	31	25	11	G	33	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6335	http://www.npd.no/FactMapSearch?NPDID_wellbore=6335	initial	\N	6335	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-36	25/11-G-36	Statoil Petroleum AS	STATOIL	169 B1	INJECTION	WATER	DEVELOPMENT	2012-07-06	2012-07-21	GRANE	3214-P	25/11-15 GRANE	NO	36.000000	\N	2005.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	WATER	2012	2012	\N	173	ED50	59	9	54.78	N	2	29	15.12	E	59.165217	2.487533	6558713.300000	470697.500000	31	25	11	G	36	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6336	http://www.npd.no/FactMapSearch?NPDID_wellbore=6336	initial	\N	6336	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-11-13	2012-11-13	2013-05-08
25/11-G-38	25/11-G-38	Statoil Petroleum AS	STATOIL	169 B1	OBSERVATION	OIL	DEVELOPMENT	2010-12-21	2011-03-08	GRANE	3215-P	25/11-15 GRANE	NO	69.900000	\N	4120.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2010	2011	\N	99	ED50	59	9	54.59	N	2	29	14.98	E	59.165164	2.487494	6558707.440000	470695.230000	31	25	11	G	38	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6337	http://www.npd.no/FactMapSearch?NPDID_wellbore=6337	initial	\N	6337	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
6608/10-K-2 H	6608/10-K-2	Statoil Petroleum AS	STATOIL	128	OBSERVATION	OIL	DEVELOPMENT	2010-03-03	2010-04-11	NORNE	3216-P	6608/10-2 NORNE	NO	23.000000	\N	4124.000000	375.700000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	NORNE K	10-B	NO	OIL	2010	2010	\N	99	ED50	66	0	48.58	N	8	3	14.29	E	66.013494	8.053969	7321923.360000	457084.720000	32	6608	10	K	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6338	http://www.npd.no/FactMapSearch?NPDID_wellbore=6338	initial	\N	6338	44942	43778	9999-12-31	21836	287983	372501	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6608/10-K-2 AH	6608/10-K-2	Statoil Petroleum AS	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2010-04-13	2010-04-28	NORNE	3217-P	6608/10-2 NORNE	NO	23.000000	\N	3921.000000	375.700000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	NORNE K	10-B	NO	OIL	2010	2010	\N	50	ED50	66	0	48.58	N	8	3	14.29	E	66.013494	8.053969	7321923.360000	457084.720000	32	6608	10	K	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6339	http://www.npd.no/FactMapSearch?NPDID_wellbore=6339	sidetrack	6608/10-K-2 H	6339	44942	43778	9999-12-31	21836	287983	372501	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
15/12-A-7 C	15/12-A-7	Talisman Energy Norge AS	TALISMAN	038	INJECTION	WATER	DEVELOPMENT	2010-02-07	2010-02-22	VARG	3218-P	15/12-4 VARG	NO	52.200000	\N	4065.000000	84.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VARG A	3	NO	WATER	2010	2010	\N	173	ED50	58	4	40.53	N	1	53	25.77	E	58.077925	1.890492	6438070.140000	434558.930000	31	15	12	A	7	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6340	http://www.npd.no/FactMapSearch?NPDID_wellbore=6340	sidetrack	15/12-A-7 B	6340	43868	43451	9999-12-31	21092	292114	279505	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
34/10-A-18 A	34/10-A-18	Statoil Petroleum AS	STATOIL	050	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GULLFAKS	3220-P	34/10-1 GULLFAKS	NO	82.200000	\N	0.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	0	0	\N	0	ED50	61	10	34.87	N	2	11	21.49	E	61.176353	2.189303	6782862.040000	456394.650000	31	34	10	A	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6342	http://www.npd.no/FactMapSearch?NPDID_wellbore=6342	sidetrack	34/10-A-18	6342	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-M-14 BY3H	31/2-M-14	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-02-25	2010-04-09	TROLL	3202-P3	31/2-1 TROLL VEST	NO	23.000000	\N	6080.000000	345.000000	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	TROLL M1	4	YES	OIL	2010	2010	\N	50	ED50	60	54	56.25	N	3	37	35.89	E	60.915625	3.626636	6753711.660000	533983.350000	31	31	2	M	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6343	http://www.npd.no/FactMapSearch?NPDID_wellbore=6343	multilateral	31/2-M-14 BY2H	6343	44534	46437	9999-12-31	21228	289333	279057	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6407/1-C-3 AY2H	6407/1-C-3	Statoil Petroleum AS	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2010-03-26	2010-04-21	TYRIHANS	3221-P2	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	5890.000000	270.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS C	5	YES	OIL	2010	2010	\N	50	ED50	64	47	23.72	N	7	0	42.34	E	64.789922	7.011761	7186704.820000	405512.860000	32	6407	1	C	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6344	http://www.npd.no/FactMapSearch?NPDID_wellbore=6344	multilateral	6407/1-C-3 AY1H	6344	44852	3960848	9999-12-31	21380	294382	377689	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/4-D-7 H	34/4-D-7	Statoil Petroleum AS	STATOIL	057	PRODUCTION	OIL	DEVELOPMENT	2010-09-09	2010-11-22	SNORRE	3222-P	34/4-1 SNORRE	NO	37.000000	\N	6440.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	SNORRE B	4	NO	OIL	2010	2010	\N	50	ED50	61	31	32.96	N	2	12	40.33	E	61.525822	2.211203	6821774.870000	458042.890000	31	34	4	D	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6347	http://www.npd.no/FactMapSearch?NPDID_wellbore=6347	initial	\N	6347	44654	43718	9999-12-31	21252	280485	280485	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
34/10-B-24 A	34/10-B-24	Statoil Petroleum AS	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2010-08-16	2010-08-31	GULLFAKS	3223-P	34/10-1 GULLFAKS	NO	80.700000	\N	3079.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	OIL	2010	2010	\N	50	ED50	61	12	11.08	N	2	12	4.72	E	61.203078	2.201311	6785830.900000	457076.880000	31	34	10	B	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6349	http://www.npd.no/FactMapSearch?NPDID_wellbore=6349	sidetrack	34/10-B-24	6349	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-41	25/11-G-41	Statoil Petroleum AS	STATOIL	169 B1	INJECTION	WATER	DEVELOPMENT	2010-05-23	2010-06-05	GRANE	3224-P	25/11-15 GRANE	NO	69.900000	\N	2392.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	WATER	2010	2010	\N	173	ED50	59	9	54.84	N	2	29	15.01	E	59.165233	2.487503	6558715.170000	470695.770000	31	25	11	G	41	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6353	http://www.npd.no/FactMapSearch?NPDID_wellbore=6353	initial	\N	6353	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
31/4-A-32 C	31/4-A-32	Statoil Petroleum AS	STATOIL	055	PRODUCTION	OIL	DEVELOPMENT	2010-03-20	2010-04-13	BRAGE	3225-P	31/4-3 BRAGE	NO	62.600000	\N	5600.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2010	2010	\N	50	ED50	60	32	33.42	N	3	2	50.52	E	60.542617	3.047367	6712002.720000	502598.750000	31	31	4	A	32	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6357	http://www.npd.no/FactMapSearch?NPDID_wellbore=6357	sidetrack	31/4-A-32 B	6357	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
15/9-B-8 A	15/9-B-8	Statoil Petroleum AS	STATOIL	046	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2010-10-28	2010-12-06	SLEIPNER VEST	3226-P	15/6-3 SLEIPNER VEST	NO	48.000000	\N	7471.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	OIL/GAS	2010	2010	\N	99	ED50	58	25	4.70	N	1	43	4.43	E	58.417972	1.717897	6476107.840000	425100.120000	31	15	9	B	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6358	http://www.npd.no/FactMapSearch?NPDID_wellbore=6358	sidetrack	15/9-B-8	6358	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
34/7-P-35 A	34/7-P-35	Statoil Petroleum AS	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2010-04-12	2010-05-25	SNORRE	3227-P	34/4-1 SNORRE	NO	59.400000	\N	5567.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2010	2010	\N	50	ED50	61	26	58.12	N	2	8	37.33	E	61.449478	2.143703	6813316.120000	454340.930000	31	34	7	P	35	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6359	http://www.npd.no/FactMapSearch?NPDID_wellbore=6359	sidetrack	34/7-P-35	6359	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6407/1-A-1 H	6407/1-A-1	Statoil Petroleum AS	STATOIL	073	OBSERVATION	OIL/GAS	DEVELOPMENT	2010-05-10	2010-06-30	TYRIHANS	3228-P	6407/1-3 TYRIHANS NORD	NO	24.000000	\N	5289.000000	288.100000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS A	5	NO	OIL/GAS	2010	2010	\N	99	ED50	64	53	20.09	N	7	4	16.72	E	64.888914	7.071311	7197645.980000	408678.320000	32	6407	1	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6360	http://www.npd.no/FactMapSearch?NPDID_wellbore=6360	initial	\N	6360	44858	3960848	9999-12-31	21380	294382	377615	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
6407/1-A-1 AY1H	6407/1-A-1	Statoil Petroleum AS	STATOIL	073	PRODUCTION	OIL/GAS	DEVELOPMENT	2010-06-30	2010-07-20	TYRIHANS	3229-P1	6407/1-3 TYRIHANS NORD	NO	24.000000	\N	7384.000000	288.100000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS A	5	YES	OIL/GAS	2010	2010	\N	0	ED50	64	53	20.09	N	7	4	16.72	E	64.888914	7.071311	7197645.980000	408678.320000	32	6407	1	A	1	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6361	http://www.npd.no/FactMapSearch?NPDID_wellbore=6361	multilateral	6407/1-A-1 H	6361	44858	3960848	9999-12-31	21380	294382	377615	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
6407/1-A-1 AY2H	6407/1-A-1	Statoil Petroleum AS	STATOIL	073	PRODUCTION	OIL/GAS	DEVELOPMENT	2010-07-21	2010-08-20	TYRIHANS	3229-P2	6407/1-3 TYRIHANS NORD	NO	24.000000	\N	7300.000000	288.100000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS A	5	YES	OIL/GAS	2010	2010	\N	0	ED50	64	53	20.09	N	7	4	16.72	E	64.888914	7.071311	7197645.980000	408678.320000	32	6407	1	A	1	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6362	http://www.npd.no/FactMapSearch?NPDID_wellbore=6362	multilateral	6407/1-A-1 AY1H	6362	44858	3960848	9999-12-31	21380	294382	377615	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
6407/1-A-1 AY3H	6407/1-A-1	Statoil Petroleum AS	STATOIL	073	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TYRIHANS	3229-P3	6407/1-3 TYRIHANS NORD	NO	24.000000	\N	0.000000	288.100000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS A	5	YES	OIL/GAS	0	0	\N	0	ED50	64	53	20.09	N	7	4	16.72	E	64.888914	7.071311	7197645.980000	408678.320000	32	6407	1	A	1	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6363	http://www.npd.no/FactMapSearch?NPDID_wellbore=6363	multilateral	6407/1-A-1 AY2H	6363	44858	3960848	9999-12-31	21380	294382	377615	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-P-13 BY1H	31/2-P-13	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-04-06	2010-08-02	TROLL	3230-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5230.000000	336.200000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL P1	4	NO	OIL	2010	2010	\N	50	ED50	60	52	1.31	N	3	33	28.39	E	60.867031	3.557886	6748265.300000	530301.050000	31	31	2	P	13	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6365	http://www.npd.no/FactMapSearch?NPDID_wellbore=6365	multilateral	31/2-P-13 AH	6365	44534	46437	9999-12-31	21228	297055	279085	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-P-13 BY2H	31/2-P-13	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-08-08	2010-08-18	TROLL	3230-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5333.000000	336.200000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL P1	4	NO	OIL	2010	2010	\N	50	ED50	60	52	1.31	N	3	33	28.39	E	60.867031	3.557886	6748265.300000	530301.050000	31	31	2	P	13	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6366	http://www.npd.no/FactMapSearch?NPDID_wellbore=6366	multilateral	31/2-P-13 BY1H	6366	44534	46437	9999-12-31	21228	296164	279085	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
35/9-C-2 AH	35/9-C-2	Statoil Petroleum AS	STATOIL	153	PRODUCTION	OIL	DEVELOPMENT	2010-05-26	2010-07-10	GJØA	3231-P	35/9-2	NO	22.000000	\N	5835.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA C	12	NO	OIL	2010	2010	\N	50	ED50	61	20	26.94	N	3	57	29.62	E	61.340817	3.958228	6801288.230000	551271.630000	31	35	9	C	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6369	http://www.npd.no/FactMapSearch?NPDID_wellbore=6369	sidetrack	35/9-C-2 H	6369	2449421	4467574	9999-12-31	22036	296245	403356	0	STATOIL PETROLEUM AS	2013-01-31	2013-01-31	2013-05-08
6507/5-A-1 H	6507/5-A-1	BP Norge AS	BP	212	PRODUCTION	GAS	DEVELOPMENT	2011-05-11	2011-05-30	SKARV	3233-P	6507/5-1 SKARV	NO	31.000000	\N	5017.000000	325.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SKARV A	15	NO	GAS	2011	2011	\N	90	ED50	65	44	19.36	N	7	39	20.52	E	65.738711	7.655700	7291629.850000	438363.830000	32	6507	5	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6371	http://www.npd.no/FactMapSearch?NPDID_wellbore=6371	initial	\N	6371	45801	4704482	9999-12-31	22508	297784	408458	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
31/4-A-19 A	31/4-A-19	Statoil Petroleum AS	STATOIL	055	PRODUCTION	OIL	DEVELOPMENT	2010-05-10	2010-08-25	BRAGE	3234-P	31/4-3 BRAGE	NO	62.600000	\N	8961.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2010	2010	\N	50	ED50	60	32	33.34	N	3	2	50.52	E	60.542594	3.047367	6712000.240000	502598.750000	31	31	4	A	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6372	http://www.npd.no/FactMapSearch?NPDID_wellbore=6372	sidetrack	31/4-A-19	6372	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
31/4-A-19 B	31/4-A-19	Statoil Petroleum AS	STATOIL	055	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	BRAGE	3235-P	31/4-3 BRAGE	NO	62.600000	\N	0.000000	136.900000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	0	0	\N	0	ED50	60	32	33.34	N	3	2	50.52	E	60.542594	3.047367	6712000.240000	502598.750000	31	31	4	A	19	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6373	http://www.npd.no/FactMapSearch?NPDID_wellbore=6373	sidetrack	31/4-A-19 A	6373	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
33/12-B-26 B	33/12-B-26	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2010-05-03	2010-05-22	STATFJORD	3236-P	33/12-1 STATFJORD	NO	77.800000	\N	3016.000000	145.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS	2010	2010	\N	90	ED50	61	12	24.07	N	1	49	50.99	E	61.206686	1.830831	6786532.450000	437174.960000	31	33	12	B	26	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6375	http://www.npd.no/FactMapSearch?NPDID_wellbore=6375	sidetrack	33/12-B-26 A	6375	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
9/2-C-2 A	9/2-C-2	Talisman Energy Norge AS	TALISMAN	316	PRODUCTION	OIL	DEVELOPMENT	2010-08-07	2010-09-30	YME	3237-P	9/2-1 YME	NO	45.600000	\N	5321.000000	95.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	YME MOPUStor	18	NO	OIL	2010	2010	\N	50	ED50	57	48	57.89	N	4	32	7.56	E	57.816081	4.535433	6409414.000000	591222.930000	31	9	2	C	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6377	http://www.npd.no/FactMapSearch?NPDID_wellbore=6377	sidetrack	9/2-C-2	6377	45098	43807	9999-12-31	2786469	292114	403167	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
6507/3-D-2 H	6507/3-D-2	BP Norge AS	BP	159	PRODUCTION	NOT APPLICABLE	DEVELOPMENT	2010-08-08	2010-08-20	SKARV	3238-P	6507/3-3 IDUN	NO	31.000000	\N	3448.000000	392.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	IDUN	12-B	NO	GAS	2010	2010	\N	81	ED50	65	47	54.22	N	7	43	14.43	E	65.798394	7.720675	7298219.140000	441478.050000	32	6507	3	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6379	http://www.npd.no/FactMapSearch?NPDID_wellbore=6379	initial	\N	6379	105867	4704482	9999-12-31	22084	297784	408694	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
6507/3-D-3 H	6507/3-D-3	BP Norge AS	BP	159	PRODUCTION	NOT APPLICABLE	DEVELOPMENT	2010-07-22	2010-08-04	SKARV	3239-P	6507/3-3 IDUN	NO	31.000000	\N	3584.000000	392.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	IDUN	12-B	NO	GAS	2010	2010	\N	81	ED50	65	47	53.82	N	7	43	14.96	E	65.798283	7.720822	7298206.620000	441484.530000	32	6507	3	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6380	http://www.npd.no/FactMapSearch?NPDID_wellbore=6380	initial	\N	6380	105867	4704482	9999-12-31	22084	297784	408694	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
6507/3-L-4 H	6507/3-L-4	Statoil Petroleum AS	STATOIL	159 B	OBSERVATION	OIL	DEVELOPMENT	2010-06-06	2010-07-25	ALVE	3240-P	6507/3-1 ALVE	NO	18.000000	\N	3895.000000	368.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	ALVE	Awarded additionaly to round 12 B	NO	OIL	2010	2010	\N	99	ED50	65	58	6.32	N	7	48	36.84	E	65.968422	7.810233	7317088.270000	445933.640000	32	6507	3	L	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6389	http://www.npd.no/FactMapSearch?NPDID_wellbore=6389	initial	\N	6389	44924	4444332	9999-12-31	2819945	297514	378362	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
6507/3-L-4 AH	6507/3-L-4	Statoil Petroleum AS	STATOIL	159 B	PRODUCTION	OIL	DEVELOPMENT	2010-07-25	2010-08-23	ALVE	3241-P	6507/3-1 ALVE	NO	18.000000	\N	6137.000000	368.000000	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	ALVE	Awarded additionaly to round 12 B	NO	OIL	2010	2010	\N	50	ED50	65	58	6.32	N	7	48	36.84	E	65.968422	7.810233	7317088.270000	445933.640000	32	6507	3	L	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6390	http://www.npd.no/FactMapSearch?NPDID_wellbore=6390	sidetrack	6507/3-L-4 H	6390	44924	4444332	9999-12-31	2819945	297514	378362	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/10-A-43 A	34/10-A-43	Statoil Petroleum AS	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2010-09-14	2010-10-23	GULLFAKS	3242-P	34/10-1 GULLFAKS	NO	82.200000	\N	4415.000000	134.500000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2010	2010	\N	50	ED50	61	10	34.94	N	2	11	21.41	E	61.176372	2.189281	6782864.220000	456393.480000	31	34	10	A	43	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6391	http://www.npd.no/FactMapSearch?NPDID_wellbore=6391	sidetrack	34/10-A-43	6391	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
34/10-A-43 B	34/10-A-43	Statoil Petroleum AS	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2010-10-24	2010-11-10	GULLFAKS	3243-P	34/10-1 GULLFAKS	NO	82.200000	\N	4079.000000	134.500000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	OIL	2010	2010	\N	50	ED50	61	10	34.94	N	2	11	21.41	E	61.176372	2.189281	6782864.220000	456393.480000	31	34	10	A	43	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6392	http://www.npd.no/FactMapSearch?NPDID_wellbore=6392	sidetrack	34/10-A-43 A	6392	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-Y-23 CY1H	31/2-Y-23	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-05-27	2010-06-21	TROLL	3244-P1	31/2-1 TROLL VEST	NO	25.000000	\N	4403.000000	331.500000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL U2	4	YES	OIL	2010	2010	\N	50	ED50	60	49	51.88	N	3	34	21.06	E	60.831078	3.572517	6744267.580000	531130.630000	31	31	2	Y	23	CY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6402	http://www.npd.no/FactMapSearch?NPDID_wellbore=6402	multilateral	31/2-Y-23 BY1H	6402	44534	46437	9999-12-31	21228	296164	280457	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
31/2-Y-23 CY2H	31/2-Y-23	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-06-22	2010-07-09	TROLL	3244-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4948.000000	331.500000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL U2	4	YES	OIL	2010	2010	\N	50	ED50	60	49	51.88	N	3	34	21.06	E	60.831078	3.572517	6744267.580000	531130.630000	31	31	2	Y	23	CY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6403	http://www.npd.no/FactMapSearch?NPDID_wellbore=6403	multilateral	31/2-Y-23 CY1H	6403	44534	46437	9999-12-31	21228	296164	280457	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6507/5-J-1 H	6507/5-J-1	BP Norge AS	BP	212	PRODUCTION	NOT APPLICABLE	DEVELOPMENT	2012-04-28	2012-05-28	SKARV	3247-P	6507/5-1 SKARV	NO	23.000000	\N	4125.000000	325.000000	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	TILJE	15	NO	OIL	2012	2012	\N	81	ED50	65	44	17.71	N	7	39	4.83	E	65.738253	7.651342	7291583.050000	438162.930000	32	6507	5	J	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6405	http://www.npd.no/FactMapSearch?NPDID_wellbore=6405	initial	\N	6405	45801	4704482	9999-12-31	22508	289333	408517	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
6507/5-J-2 H	6507/5-J-2	BP Norge AS	BP	212	INJECTION	GAS	DEVELOPMENT	2012-04-07	2012-09-24	SKARV	3248-P	6507/5-1 SKARV	NO	23.000000	\N	4138.000000	325.000000	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	TILJE	15	NO	GAS	2012	2012	\N	91	ED50	65	44	17.78	N	7	39	5.28	E	65.738272	7.651467	7291585.100000	438168.710000	32	6507	5	J	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6406	http://www.npd.no/FactMapSearch?NPDID_wellbore=6406	initial	\N	6406	45801	4704482	9999-12-31	22508	289333	408517	0	BP NORGE	2012-10-11	2012-10-11	2013-05-08
6507/5-J-3 H	6507/5-J-3	BP Norge AS	BP	212	INJECTION	\N	DEVELOPMENT	2012-09-28	2012-10-14	SKARV	3249-P	6507/5-1 SKARV	NO	23.000000	\N	3557.000000	325.000000	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	TILJE	15	NO	GAS	2012	2012	\N	72	ED50	65	44	17.36	N	7	39	5.69	E	65.738156	7.651581	7291571.980000	438173.650000	32	6507	5	J	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6407	http://www.npd.no/FactMapSearch?NPDID_wellbore=6407	initial	\N	6407	45801	4704482	9999-12-31	22508	289333	408517	0	BP NORGE	2013-01-26	2013-01-26	2013-05-08
6507/5-J-4 H	6507/5-J-4	BP Norge AS	BP	212	PRODUCTION	\N	DEVELOPMENT	2012-10-18	2012-12-02	SKARV	3250-P	6507/5-1 SKARV	NO	23.000000	\N	4550.000000	325.000000	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	TILJE	15	NO	OIL	2012	2012	\N	0	ED50	65	44	17.29	N	7	39	5.24	E	65.738136	7.651456	7291569.940000	438167.870000	32	6507	5	J	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6408	http://www.npd.no/FactMapSearch?NPDID_wellbore=6408	initial	\N	6408	45801	4704482	9999-12-31	22508	289333	408517	0	BP NORGE	2012-12-08	2012-12-08	2013-05-08
30/3-A-19 C	30/3-A-19	Statoil Petroleum AS	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2010-07-09	2010-08-07	VESLEFRIKK	3251-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	4565.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2010	2010	\N	50	ED50	60	46	57.92	N	2	53	52.27	E	60.782756	2.897853	6738753.670000	494437.310000	31	30	3	A	19	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6409	http://www.npd.no/FactMapSearch?NPDID_wellbore=6409	sidetrack	30/3-A-19 B	6409	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
33/12-B-37 B	33/12-B-37	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2010-06-12	2010-06-23	STATFJORD	3252-P	33/12-1 STATFJORD	NO	77.800000	\N	3485.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS/CONDENSATE	2010	2010	\N	170	ED50	61	12	23.91	N	1	49	50.99	E	61.206642	1.830831	6786527.500000	437174.870000	31	33	12	B	37	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6410	http://www.npd.no/FactMapSearch?NPDID_wellbore=6410	sidetrack	33/12-B-37 A	6410	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
24/6-B-4 H	24/6-B-4	Marathon Petroleum Norge AS	MARATHON	203	OBSERVATION	OIL/GAS	DEVELOPMENT	2010-06-05	2010-06-24	ALVHEIM	3245-P	24/6-2 ALVHEIM	NO	25.000000	\N	3130.000000	124.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	KNELER B	15	NO	OIL/GAS	2010	2010	\N	99	ED50	59	32	47.51	N	1	59	16.82	E	59.546531	1.988006	6601500.060000	442781.190000	31	24	6	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6411	http://www.npd.no/FactMapSearch?NPDID_wellbore=6411	initial	\N	6411	45828	2845712	9999-12-31	22436	290980	375092	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
24/6-B-4 AY1H	24/6-B-4	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL/GAS	DEVELOPMENT	2010-06-26	2010-08-02	ALVHEIM	3246-P1	24/6-2 ALVHEIM	NO	25.000000	\N	5621.000000	124.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	KNELER B	15	NO	OIL/GAS	2010	2010	\N	0	ED50	59	32	47.51	N	1	59	16.89	E	59.546531	1.988025	6601500.050000	442782.290000	31	24	6	B	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6412	http://www.npd.no/FactMapSearch?NPDID_wellbore=6412	multilateral	24/6-B-4 H	6412	45828	2845712	9999-12-31	22436	290980	375092	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/6-B-4 AY2H	24/6-B-4	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL/GAS	DEVELOPMENT	2010-08-03	2010-08-23	ALVHEIM	3246-P2	24/6-2 ALVHEIM	NO	25.000000	\N	5864.000000	124.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	KNELER B	15	NO	OIL/GAS	2010	2010	\N	0	ED50	59	32	47.51	N	1	59	16.89	E	59.546531	1.988025	6601500.050000	442782.290000	31	24	6	B	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6413	http://www.npd.no/FactMapSearch?NPDID_wellbore=6413	multilateral	24/6-B-4 AY1H	6413	45828	2845712	9999-12-31	22436	290980	375092	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
34/4-D-3 H	34/4-D-3	Statoil Petroleum AS	STATOIL	057	PRODUCTION	OIL	DEVELOPMENT	2012-01-24	2012-06-03	SNORRE	3253-P	34/4-1 SNORRE	NO	37.000000	\N	5485.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-D H	4	NO	OIL	2012	2012	\N	50	ED50	61	31	32.67	N	2	12	40.67	E	61.525742	2.211297	6821765.840000	458047.800000	31	34	4	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6414	http://www.npd.no/FactMapSearch?NPDID_wellbore=6414	initial	\N	6414	44654	43718	9999-12-31	21252	280485	282809	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/4-D-5 H	34/4-D-5	Statoil Petroleum AS	STATOIL	057	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	SNORRE	3254-P	34/4-1 SNORRE	NO	37.000000	\N	0.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	34/4-D H	4	NO	OIL	0	0	\N	0	ED50	61	31	32.82	N	2	12	40.50	E	61.525783	2.211250	6821770.510000	458045.350000	31	34	4	D	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6415	http://www.npd.no/FactMapSearch?NPDID_wellbore=6415	initial	\N	6415	44654	43718	9999-12-31	21252	280485	282809	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-7 AY1	25/11-G-7	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2010-08-21	2010-09-13	GRANE	3255-P1	25/11-15 GRANE	NO	69.900000	\N	6860.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2010	2010	\N	50	ED50	59	9	55.12	N	2	29	14.22	E	59.165311	2.487283	6558723.930000	470683.290000	31	25	11	G	7	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6416	http://www.npd.no/FactMapSearch?NPDID_wellbore=6416	multilateral	25/11-G-7	6416	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-7 AY2	25/11-G-7	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2010-09-14	2010-10-27	GRANE	3255-P2	25/11-15 GRANE	NO	69.900000	\N	6751.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2010	2010	\N	50	ED50	59	9	55.12	N	2	29	14.22	E	59.165311	2.487283	6558723.930000	470683.290000	31	25	11	G	7	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6417	http://www.npd.no/FactMapSearch?NPDID_wellbore=6417	multilateral	25/11-G-7 AY1	6417	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-08-24	2012-08-24	2013-05-08
25/11-G-7 AY3	25/11-G-7	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2010-10-28	2010-11-13	GRANE	3255-P3	25/11-15 GRANE	NO	69.900000	\N	5941.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2010	2010	\N	50	ED50	59	9	55.12	N	2	29	14.22	E	59.165311	2.487283	6558723.930000	470683.290000	31	25	11	G	7	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6418	http://www.npd.no/FactMapSearch?NPDID_wellbore=6418	multilateral	25/11-G-7 AY2	6418	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-08-24	2012-08-24	2013-05-08
30/6-C-4 A	30/6-C-4	Statoil Petroleum AS	STATOIL	053	INJECTION	CUTTINGS	DEVELOPMENT	2010-06-15	2010-07-13	OSEBERG	3256-P	30/6-1 OSEBERG	NO	62.300000	\N	2165.000000	108.600000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	CUTTINGS	2010	2010	\N	171	ED50	60	36	29.49	N	2	46	33.88	E	60.608192	2.776078	6719326.550000	487739.500000	31	30	6	C	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6419	http://www.npd.no/FactMapSearch?NPDID_wellbore=6419	sidetrack	30/6-C-4	6419	44396	43625	9999-12-31	21220	272225	272225	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
2/7-B-1 D	2/7-B-1	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2010-08-17	2011-01-04	ELDFISK	3257-P	2/7-1 ELDFISK	NO	42.400000	\N	5071.000000	71.300000	NORTH SEA	ELDFISK B	JACKET 12 LEGS	ELDFISK B	1-A	NO	OIL	2010	2011	\N	50	ED50	56	25	8.98	N	3	13	6.44	E	56.419161	3.218456	6252892.980000	513477.420000	31	2	7	B	1	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6420	http://www.npd.no/FactMapSearch?NPDID_wellbore=6420	sidetrack	2/7-B-1 C	6420	44114	43527	9999-12-31	20900	271609	271609	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
35/9-C-3 Y2H	35/9-C-3	Statoil Petroleum AS	STATOIL	153	PRODUCTION	OIL	DEVELOPMENT	2010-08-18	2010-09-06	GJØA	3180-P2	35/9-2	NO	22.000000	\N	5202.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA C	12	YES	OIL	2010	2010	\N	50	ED50	61	20	27.13	N	3	57	29.65	E	61.340869	3.958236	6801294.110000	551271.990000	31	35	9	C	3	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6421	http://www.npd.no/FactMapSearch?NPDID_wellbore=6421	multilateral	35/9-C-3 Y1H	6421	2449421	4467574	9999-12-31	22036	296245	403356	0	STATOIL PETROLEUM AS	2013-01-31	2013-01-31	2013-05-08
15/9-B-8 B	15/9-B-8	Statoil Petroleum AS	STATOIL	046	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2010-12-07	2010-12-28	SLEIPNER VEST	3258-P	15/6-3 SLEIPNER VEST	NO	52.600000	\N	6470.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	2010	2010	\N	99	ED50	58	25	4.70	N	1	43	4.43	E	58.417972	1.717897	6476107.840000	425100.120000	31	15	9	B	8	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6422	http://www.npd.no/FactMapSearch?NPDID_wellbore=6422	sidetrack	15/9-B-8 A	6422	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
34/7-P-6	34/7-P-6	Statoil Petroleum AS	STATOIL	089	INJECTION	WATER/GAS	DEVELOPMENT	2010-10-21	2010-11-30	SNORRE	3259-P	34/4-1 SNORRE	NO	59.400000	\N	5440.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER/GAS	2010	2010	\N	0	ED50	61	26	56.95	N	2	8	36.56	E	61.449153	2.143489	6813280.070000	454329.050000	31	34	7	P	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6424	http://www.npd.no/FactMapSearch?NPDID_wellbore=6424	initial	\N	6424	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
3/7-A-1 H	3/7-A-1	DONG E&P Norge AS	DONG	147	OBSERVATION	GAS/CONDENSATE	DEVELOPMENT	2010-09-01	2010-10-20	TRYM	3260-P	3/7-4 TRYM	NO	42.000000	\N	4403.000000	65.400000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	TRYM	12	NO	GAS/CONDENSATE	2010	2010	\N	99	ED50	56	22	54.88	N	4	14	14.76	E	56.381911	4.237433	6249412.520000	576414.690000	31	3	7	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6430	http://www.npd.no/FactMapSearch?NPDID_wellbore=6430	initial	\N	6430	44354	18081500	9999-12-31	21988	278245	410130	0	DONG E&P NORGE	2013-01-29	2013-01-29	2013-05-08
35/8-Q-12 H	35/8-Q-12	Statoil Petroleum AS	STATOIL	248	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2010-11-21	2011-02-17	VEGA	3261-P	35/8-2 VEGA	NO	31.000000	\N	5530.000000	378.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VEGA SENTRAL	NST99	NO	GAS/CONDENSATE	2010	2011	\N	170	61ED50	61	15	42.18	N	3	21	32.26	E	61.261717	3.358961	6792153.590000	519255.670000	31	35	8	Q	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6434	http://www.npd.no/FactMapSearch?NPDID_wellbore=6434	initial	\N	6434	44780	4467595	9999-12-31	102285	290170	407849	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
35/8-Q-14 H	35/8-Q-14	Statoil Petroleum AS	STATOIL	248	PRODUCTION	\N	DEVELOPMENT	2010-11-13	2011-07-22	VEGA	3262-P	35/8-2 VEGA	NO	31.000000	\N	4751.000000	378.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VEGA SENTRAL	NST99	NO	GAS/CONDENSATE	2010	2011	\N	71	ED50	61	15	41.99	N	3	21	31.32	E	61.261664	3.358700	6792147.640000	519241.700000	31	35	8	Q	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6435	http://www.npd.no/FactMapSearch?NPDID_wellbore=6435	initial	\N	6435	44780	4467595	9999-12-31	102285	290170	407849	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
30/9-B-44 B	30/9-B-44	Statoil Petroleum AS	STATOIL	079	OBSERVATION	OIL	DEVELOPMENT	2010-09-06	2010-11-04	OSEBERG	3263-P	30/6-1 OSEBERG	NO	44.000000	\N	4500.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2010	2010	\N	99	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	30	9	B	44	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6436	http://www.npd.no/FactMapSearch?NPDID_wellbore=6436	sidetrack	30/9-B-44 A	6436	44396	43625	9999-12-31	34635	272897	272897	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
30/9-B-44 C	30/9-B-44	Statoil Petroleum AS	STATOIL	079	PRODUCTION	OIL	DEVELOPMENT	2010-11-27	2011-02-09	OSEBERG	3264-P	30/6-1 OSEBERG	NO	44.000000	\N	6260.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2010	2011	\N	50	ED50	60	29	35.81	N	2	49	42.74	E	60.493281	2.828539	6706518.930000	490578.560000	31	30	9	B	44	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6437	http://www.npd.no/FactMapSearch?NPDID_wellbore=6437	sidetrack	30/9-B-44 B	6437	44396	43625	9999-12-31	34635	272897	272897	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
33/12-B-2 D	33/12-B-2	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2010-09-17	2010-10-09	STATFJORD	3265-P	33/12-1 STATFJORD	NO	77.800000	\N	3060.000000	145.300000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS	2010	2010	\N	90	ED50	61	12	25.25	N	1	49	52.41	E	61.207014	1.831225	6786568.570000	437196.810000	31	33	12	B	2	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6438	http://www.npd.no/FactMapSearch?NPDID_wellbore=6438	sidetrack	33/12-B-2 C	6438	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
3/7-A-2 H	3/7-A-2	DONG E&P Norge AS	DONG	147	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2011-02-09	2011-03-31	TRYM	3266-P	3/7-4 TRYM	NO	42.000000	\N	5121.000000	65.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	TRYM	12	NO	GAS/CONDENSATE	2011	2011	\N	170	ED50	56	22	54.71	N	4	14	15.39	E	56.381864	4.237608	6249407.460000	576425.590000	31	3	7	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6439	http://www.npd.no/FactMapSearch?NPDID_wellbore=6439	initial	\N	6439	44354	18081500	9999-12-31	21988	278245	410130	0	DONG E&P NORGE	2013-01-26	2013-01-26	2013-05-08
2/4-X-9 A	2/4-X-9	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL/GAS	DEVELOPMENT	2010-08-30	2010-10-13	EKOFISK	3267-P	2/4-2 EKOFISK	NO	57.000000	\N	4033.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL/GAS	2010	2010	\N	0	ED50	56	32	51.08	N	3	13	8.03	E	56.547522	3.218897	6267180.970000	513459.150000	31	2	4	X	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6443	http://www.npd.no/FactMapSearch?NPDID_wellbore=6443	sidetrack	2/4-X-9	6443	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6507/5-B-2 H	6507/5-B-2	BP Norge AS	BP	212	INJECTION	GAS	DEVELOPMENT	2010-12-12	2011-01-02	SKARV	3268-P	6507/5-1 SKARV	NO	31.000000	\N	3625.000000	376.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SKARV B/C VEST	15	NO	GAS	2010	2011	\N	91	ED50	65	42	14.31	N	7	35	20.46	E	65.703975	7.589017	7287825.830000	435219.880000	32	6507	5	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6445	http://www.npd.no/FactMapSearch?NPDID_wellbore=6445	initial	\N	6445	45801	4704482	9999-12-31	22508	297784	408576	0	BP NORGE	2013-01-26	2013-01-26	2013-05-08
6507/5-B-3 H	6507/5-B-3	BP Norge AS	BP	212	INJECTION	\N	DEVELOPMENT	2010-11-14	2010-11-26	SKARV	3269-P	6507/5-1 SKARV	NO	31.000000	\N	0.000000	376.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SKARV B/C VEST	15	NO	GAS	2010	2010	\N	0	ED50	65	42	13.99	N	7	35	21.26	E	65.703886	7.589239	7287815.690000	435229.860000	32	6507	5	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6446	http://www.npd.no/FactMapSearch?NPDID_wellbore=6446	initial	\N	6446	45801	4704482	9999-12-31	22508	297784	408576	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6507/5-B-5 H	6507/5-B-5	BP Norge AS	BP	212	OBSERVATION	OIL	DEVELOPMENT	2011-08-28	2013-02-06	SKARV	3270-P	6507/5-1 SKARV	NO	23.000000	\N	4124.000000	374.000000	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	SKARV B/C ØST	15	NO	OIL	2011	2013	\N	99	ED50	65	42	15.74	N	7	35	27.91	E	65.704372	7.591086	7287867.960000	435315.870000	32	6507	5	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6447	http://www.npd.no/FactMapSearch?NPDID_wellbore=6447	initial	\N	6447	45801	4704482	9999-12-31	22508	289333	408635	0	BP NORGE	2013-03-22	2013-03-22	2013-05-08
6507/5-B-5 AH	6507/5-B-5	BP Norge AS	BP	212	OBSERVATION	OIL	DEVELOPMENT	2013-02-07	2013-03-14	SKARV	3271-P	6507/5-1 SKARV	NO	23.000000	\N	5622.000000	374.000000	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	SKARV B/C ØST	15	NO	OIL	2013	2013	\N	99	ED50	65	42	15.74	N	7	35	27.91	E	65.704372	7.591086	7287867.960000	435315.870000	32	6507	5	B	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6448	http://www.npd.no/FactMapSearch?NPDID_wellbore=6448	sidetrack	6507/5-B-5 H	6448	45801	4704482	9999-12-31	22508	289333	408635	0	BP NORGE	2013-03-22	2013-03-22	2013-05-08
6507/5-B-6 H	6507/5-B-6	BP Norge AS	BP	212	PRODUCTION	OIL	DEVELOPMENT	2011-01-03	2012-03-10	SKARV	3272-P	6507/5-1 SKARV	NO	31.000000	\N	5535.000000	374.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SKARV B/C ØST	15	NO	OIL	2011	2012	\N	50	ED50	65	42	15.88	N	7	35	28.24	E	65.704411	7.591178	7287872.200000	435320.180000	32	6507	5	B	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6449	http://www.npd.no/FactMapSearch?NPDID_wellbore=6449	initial	\N	6449	45801	4704482	9999-12-31	22508	297784	408635	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6507/5-B-8 H	6507/5-B-8	BP Norge AS	BP	212	PRODUCTION	OIL	DEVELOPMENT	2011-08-03	2013-01-13	SKARV	3273-P	6507/5-1 SKARV	NO	23.000000	\N	4695.000000	374.000000	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	SKARV B/C ØST	15	NO	OIL	2011	2013	\N	50	ED50	65	42	15.72	N	7	35	29.38	E	65.704367	7.591494	7287866.920000	435334.600000	32	6507	5	B	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6450	http://www.npd.no/FactMapSearch?NPDID_wellbore=6450	initial	\N	6450	45801	4704482	9999-12-31	22508	289333	408635	0	BP NORGE	2013-02-08	2013-02-08	2013-05-08
6507/5-B-9 H	6507/5-B-9	BP Norge AS	BP	212	PRODUCTION	\N	DEVELOPMENT	2011-07-09	2011-07-31	SKARV	3274-P	6507/5-1 SKARV	NO	23.000000	\N	0.000000	374.000000	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	SKARV B/C ØST	15	NO	OIL	2011	2011	\N	0	ED50	65	42	15.74	N	7	35	29.04	E	65.704372	7.591400	7287867.640000	435330.280000	32	6507	5	B	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6451	http://www.npd.no/FactMapSearch?NPDID_wellbore=6451	initial	\N	6451	45801	4704482	9999-12-31	22508	289333	408635	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6507/5-B-10 H	6507/5-B-10	BP Norge AS	BP	212	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2010-10-01	2010-11-11	SKARV	3275-P	6507/5-1 SKARV	NO	31.000000	\N	5450.000000	374.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SKARV B/C ØST	15	NO	OIL	2010	2010	\N	99	ED50	65	42	15.43	N	7	35	28.71	E	65.704286	7.591308	7287858.140000	435325.860000	32	6507	5	B	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6452	http://www.npd.no/FactMapSearch?NPDID_wellbore=6452	initial	\N	6452	45801	4704482	9999-12-31	22508	297784	408635	0	BP NORGE	2013-01-26	2013-01-26	2013-05-08
6507/5-B-10 AH	6507/5-B-10	BP Norge AS	BP	212	PRODUCTION	OIL	DEVELOPMENT	2011-01-26	2011-02-12	SKARV	3276-P	6507/5-1 SKARV	NO	31.000000	\N	4114.000000	374.000000	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	SKARV B/C ØST	15	NO	OIL	2011	2011	\N	50	ED50	65	42	15.43	N	7	35	28.71	E	65.704286	7.591308	7287858.140000	435325.860000	32	6507	5	B	10	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6453	http://www.npd.no/FactMapSearch?NPDID_wellbore=6453	sidetrack	6507/5-B-10 H	6453	45801	4704482	9999-12-31	22508	297784	408635	0	BP NORGE	2013-01-26	2013-01-26	2013-05-08
6406/3-D-2 H	6406/3-D-2	Statoil Petroleum AS	STATOIL	091	INJECTION	GAS	DEVELOPMENT	2010-09-09	2010-11-05	TYRIHANS	3277-P	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	4310.000000	267.800000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS D	8	NO	GAS	2010	2010	\N	91	ED50	64	46	47.14	N	6	59	26.20	E	64.779761	6.990611	7185604.530000	404472.080000	32	6406	3	D	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6454	http://www.npd.no/FactMapSearch?NPDID_wellbore=6454	initial	\N	6454	44852	3960848	9999-12-31	21532	294382	377726	0	STATOIL PETROLEUM AS	2012-11-05	2012-11-05	2013-05-08
31/5-Z-1 H	31/5-Z-1	Statoil Petroleum AS	STATOIL	085	INJECTION	GAS	DEVELOPMENT	2010-10-06	2010-11-01	TROLL	3278-P	31/2-1 TROLL VEST	NO	35.500000	\N	1760.000000	321.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	31/5-Z-1H	Awarded additionaly to round 7	NO	GAS	2010	2010	\N	91	ED50	60	44	25.87	N	3	30	39.63	E	60.740519	3.511008	6734153.270000	527864.680000	31	31	5	Z	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6455	http://www.npd.no/FactMapSearch?NPDID_wellbore=6455	initial	\N	6455	44534	46437	9999-12-31	21476	297055	409848	0	STATOIL PETROLEUM AS	2012-08-23	2012-08-23	2013-05-08
31/5-Z-2 H	31/5-Z-2	Statoil Petroleum AS	STATOIL	085	INJECTION	GAS	DEVELOPMENT	2010-11-04	2010-11-27	TROLL	3279-P	31/2-1 TROLL VEST	NO	35.500000	\N	2470.000000	317.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	31/5-Z-2H	Awarded additionaly to round 7	NO	GAS	2010	2010	\N	91	ED50	60	42	50.91	N	3	30	15.98	E	60.714142	3.504439	6731212.470000	527529.030000	31	31	5	Z	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6456	http://www.npd.no/FactMapSearch?NPDID_wellbore=6456	initial	\N	6456	44534	46437	9999-12-31	21476	297055	409905	0	STATOIL PETROLEUM AS	2012-08-23	2012-08-23	2013-05-08
35/9-B-1 H	35/9-B-1	GDF SUEZ E&P Norge AS	GDF SUEZ	153	OBSERVATION	OIL	DEVELOPMENT	2010-12-02	2011-01-25	GJØA	3280-P	35/9-2	NO	22.000000	\N	3471.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA B	12	NO	OIL	2010	2011	\N	99	ED50	61	20	24.99	N	3	57	31.67	E	61.340275	3.958797	6801228.340000	551302.990000	31	35	9	B	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6457	http://www.npd.no/FactMapSearch?NPDID_wellbore=6457	initial	\N	6457	2449421	4467574	9999-12-31	22036	296245	403298	0	GDF SUEZ E&P NORGE	2013-01-29	2013-01-29	2013-05-08
35/9-B-2 H	35/9-B-2	GDF SUEZ E&P Norge AS	GDF SUEZ	153	PRODUCTION	GAS	DEVELOPMENT	2012-04-04	2012-05-02	GJØA	3281-P	35/9-2	NO	22.000000	\N	2652.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA B	12	NO	GAS	2012	2012	\N	90	ED50	61	20	25.02	N	3	57	30.82	E	61.340283	3.958561	6801229.080000	551290.340000	31	35	9	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6458	http://www.npd.no/FactMapSearch?NPDID_wellbore=6458	initial	\N	6458	2449421	4467574	9999-12-31	22036	296245	403298	0	GDF SUEZ E&P NORGE	2013-05-01	2013-05-01	2013-05-08
35/9-B-3 H	35/9-B-3	GDF SUEZ E&P Norge AS	GDF SUEZ	153	PRODUCTION	OIL	DEVELOPMENT	2011-02-22	2011-06-23	GJØA	3282-P	35/9-2	NO	22.000000	\N	5845.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA B	12	NO	OIL	2011	2011	\N	50	ED50	61	20	25.22	N	3	57	30.86	E	61.340339	3.958572	6801235.280000	551290.840000	31	35	9	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6459	http://www.npd.no/FactMapSearch?NPDID_wellbore=6459	initial	\N	6459	2449421	4467574	9999-12-31	22036	296245	403298	0	GDF SUEZ E&P NORGE	2012-11-10	2012-11-10	2013-05-08
35/9-D-1 Y1H	35/9-D-1	GDF SUEZ E&P Norge AS	GDF SUEZ	153	PRODUCTION	OIL	DEVELOPMENT	2011-01-27	2011-05-03	GJØA	3283-P1	35/9-2	NO	22.000000	\N	4551.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA D	12	YES	OIL	2011	2011	\N	50	ED50	61	20	28.65	N	3	57	32.49	E	61.341292	3.959025	6801341.760000	551313.510000	31	35	9	D	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6460	http://www.npd.no/FactMapSearch?NPDID_wellbore=6460	multilateral	\N	6460	2449421	4467574	9999-12-31	22036	296245	403414	0	GDF SUEZ E&P NORGE	2013-01-31	2013-01-31	2013-05-08
35/9-D-3 H	35/9-D-3	GDF SUEZ E&P Norge AS	GDF SUEZ	153	PRODUCTION	OIL	DEVELOPMENT	2012-03-19	2012-04-03	GJØA	3284-P	35/9-2	NO	22.000000	\N	2221.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA D	12	NO	GAS	2012	2012	\N	50	ED50	61	20	28.88	N	3	57	31.69	E	61.341356	3.958803	6801348.700000	551301.520000	31	35	9	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6461	http://www.npd.no/FactMapSearch?NPDID_wellbore=6461	initial	\N	6461	2449421	4467574	9999-12-31	22036	296245	403414	0	GDF SUEZ E&P NORGE	2013-01-31	2013-01-31	2013-05-08
34/8-A-30 AH	34/8-A-30	Statoil Petroleum AS	STATOIL	120	INJECTION	WATER/GAS	DEVELOPMENT	2010-10-27	2011-01-29	VISUND	3285-P	34/8-1 VISUND	NO	29.000000	\N	6091.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	WATER/GAS	2010	2011	\N	0	ED50	61	22	13.83	N	2	27	31.41	E	61.370508	2.458725	6804339.480000	471065.070000	31	34	8	A	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6462	http://www.npd.no/FactMapSearch?NPDID_wellbore=6462	sidetrack	34/8-A-30 H	6462	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/4-K-14 A	2/4-K-14	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	3286-P	2/4-2 EKOFISK	NO	55.000000	\N	0.000000	74.000000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	0	0	\N	0	ED50	56	33	56.05	N	3	12	22.92	E	56.565569	3.206367	6269187.450000	512682.660000	31	2	4	K	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6463	http://www.npd.no/FactMapSearch?NPDID_wellbore=6463	sidetrack	2/4-K-14	6463	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
30/3-A-13 A	30/3-A-13	Statoil Petroleum AS	STATOIL	052	PRODUCTION	\N	DEVELOPMENT	2010-10-05	2011-01-14	VESLEFRIKK	3288-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5605.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2010	2011	\N	71	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	30	3	A	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6464	http://www.npd.no/FactMapSearch?NPDID_wellbore=6464	sidetrack	30/3-A-13	6464	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
30/3-A-13 BY1	30/3-A-13	Statoil Petroleum AS	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2011-01-15	2011-02-02	VESLEFRIKK	3333-P1	30/3-2  VESLEFRIKK	NO	56.000000	\N	6470.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	YES	OIL	2011	2011	\N	50	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	30	3	A	13	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6465	http://www.npd.no/FactMapSearch?NPDID_wellbore=6465	multilateral	30/3-A-13 A	6465	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6407/7-A-8 AH	6407/7-A-8	Statoil Petroleum AS	STATOIL	107	PRODUCTION	OIL	DEVELOPMENT	2010-10-14	2010-11-27	NJORD	3289-P	6407/7-1 S NJORD	NO	30.000000	\N	5278.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2010	2010	\N	50	ED50	64	16	15.25	N	7	12	8.68	E	64.270903	7.202411	7128609.260000	412932.730000	32	6407	7	A	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6466	http://www.npd.no/FactMapSearch?NPDID_wellbore=6466	sidetrack	6407/7-A-8 H	6466	44876	43751	9999-12-31	21660	277713	277713	0	STATOIL PETROLEUM AS	2013-02-14	2013-02-14	2013-05-08
3/7-A-1 AH	3/7-A-1	DONG E&P Norge AS	DONG	147	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2010-10-21	2010-12-06	TRYM	3290-P	3/7-4 TRYM	NO	42.000000	\N	4934.000000	65.400000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	TRYM	12	NO	GAS/CONDENSATE	2010	2010	\N	170	ED50	56	22	54.88	N	4	14	14.76	E	56.381911	4.237433	6249412.520000	576414.690000	31	3	7	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6469	http://www.npd.no/FactMapSearch?NPDID_wellbore=6469	sidetrack	3/7-A-1 H	6469	44354	18081500	9999-12-31	21988	278245	410130	0	DONG E&P NORGE	2012-12-07	2013-04-20	2013-05-08
2/4-B-2 C	2/4-B-2	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2010-12-15	2011-02-28	EKOFISK	3291-P	2/4-2 EKOFISK	NO	52.700000	\N	3832.000000	73.200000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2010	2011	\N	50	ED50	56	33	54.83	N	3	12	14.08	E	56.565231	3.203911	6269149.280000	512531.860000	31	2	4	B	2	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6470	http://www.npd.no/FactMapSearch?NPDID_wellbore=6470	sidetrack	2/4-B-2 B	6470	44072	43506	9999-12-31	20900	296002	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/8-G-8 A	2/8-G-8	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2009-12-23	2010-05-29	VALHALL	3292-P	2/8-6 VALHALL	NO	65.300000	\N	4592.000000	72.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	2009	2010	\N	50	ED50	56	16	35.38	N	3	23	47.05	E	56.276494	3.396403	6237062.250000	524547.110000	31	2	8	G	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6471	http://www.npd.no/FactMapSearch?NPDID_wellbore=6471	sidetrack	2/8-G-8	6471	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-08-24	2012-08-24	2013-05-08
25/8-C-23 A	25/8-C-23	ExxonMobil Exploration & Production Norway AS	ESSO	027	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2011-01-07	2011-02-28	BALDER	3293-P	25/8-1 RINGHORNE	NO	60.300000	\N	5724.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2011	2011	\N	99	ED50	59	15	57.74	N	2	26	59.33	E	59.266039	2.449814	6569957.690000	468633.380000	31	25	8	C	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6479	http://www.npd.no/FactMapSearch?NPDID_wellbore=6479	sidetrack	25/8-C-23	6479	44312	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
25/8-C-23 B	25/8-C-23	ExxonMobil Exploration & Production Norway AS	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2011-03-01	2011-05-12	BALDER	3294-P	25/8-1 RINGHORNE	NO	60.300000	\N	6414.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2011	2011	\N	50	ED50	59	15	57.74	N	2	26	59.33	E	59.266039	2.449814	6569957.690000	468633.380000	31	25	8	C	23	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6480	http://www.npd.no/FactMapSearch?NPDID_wellbore=6480	sidetrack	25/8-C-23 A	6480	44312	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
34/11-A-1 A	34/11-A-1	Statoil Petroleum AS	STATOIL	193	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	KVITEBJØRN	3295-P	34/11-1 KVITEBJØRN	NO	60.500000	\N	0.000000	190.000000	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	KVITEBJØRN	14	NO	GAS/CONDENSATE	0	0	\N	0	ED50	61	4	48.90	N	2	29	59.14	E	61.080250	2.499761	6771989.850000	473011.270000	31	34	11	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6481	http://www.npd.no/FactMapSearch?NPDID_wellbore=6481	sidetrack	34/11-A-1	6481	44642	1036101	9999-12-31	22356	280877	280877	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/1-A-25 A	2/1-A-25	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2011-02-01	2011-05-26	GYDA	3296-P	2/1-3 GYDA	NO	56.000000	\N	7115.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2011	2011	\N	50	ED50	56	54	17.19	N	3	5	6.38	E	56.904775	3.085106	6306930.320000	505183.430000	31	2	1	A	25	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6482	http://www.npd.no/FactMapSearch?NPDID_wellbore=6482	sidetrack	2/1-A-25	6482	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
31/2-O-23 Y2H	31/2-O-23	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2010-11-22	2010-12-03	TROLL	3196-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5166.000000	338.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL O2	4	YES	OIL	2010	2010	\N	50	ED50	60	54	54.42	N	3	31	22.31	E	60.915117	3.522864	6753605.700000	528356.180000	31	31	2	O	23	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6483	http://www.npd.no/FactMapSearch?NPDID_wellbore=6483	multilateral	31/2-O-23 Y1H	6483	44534	46437	9999-12-31	21228	296164	283677	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/5-J-14 AY1H	31/5-J-14	Statoil Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2011-01-02	2011-03-05	TROLL	3297-P1	31/2-1 TROLL VEST	NO	24.000000	\N	4794.000000	315.000000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL J1	Awarded additionaly to round 7	YES	OIL	2011	2011	\N	50	ED50	60	44	35.57	N	3	36	28.50	E	60.743214	3.607917	6734498.390000	533146.110000	31	31	5	J	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6485	http://www.npd.no/FactMapSearch?NPDID_wellbore=6485	multilateral	31/5-J-14 H	6485	44534	46437	9999-12-31	21476	297649	279141	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/5-J-14 AY2H	31/5-J-14	Statoil Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2011-03-06	2011-03-22	TROLL	3297-P2	31/2-1 TROLL VEST	NO	24.000000	\N	4975.000000	315.000000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL J1	Awarded additionaly to round 7	YES	OIL	2011	2011	\N	50	ED50	60	44	35.57	N	3	36	28.50	E	60.743214	3.607917	6734498.390000	533146.110000	31	31	5	J	14	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6486	http://www.npd.no/FactMapSearch?NPDID_wellbore=6486	multilateral	31/5-J-14 AY1H	6486	44534	46437	9999-12-31	21476	297649	279141	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/4-L-1 H	25/4-L-1	Marathon Petroleum Norge AS	MARATHON	036 C	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2010-10-18	2010-11-16	ALVHEIM	3298-P	25/4-7 ALVHEIM	NO	25.000000	\N	2690.000000	120.700000	NORTH SEA	SONGA DEE	SEMISUB STEEL	ØST KAMELEON	Awarded additionaly to round 2-A	NO	OIL	2010	2010	\N	99	ED50	59	35	9.41	N	2	5	11.18	E	59.585947	2.086439	6605808.810000	448406.780000	31	25	4	L	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6489	http://www.npd.no/FactMapSearch?NPDID_wellbore=6489	initial	\N	6489	2420578	2845712	9999-12-31	2473241	290980	375282	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
25/4-L-1 BY1H	25/4-L-1	Marathon Petroleum Norge AS	MARATHON	036 C	PRODUCTION	OIL	DEVELOPMENT	2011-06-21	2011-07-21	ALVHEIM	3299-P1	25/4-7 ALVHEIM	NO	25.000000	\N	5583.000000	120.700000	NORTH SEA	SONGA DEE	SEMISUB STEEL	ØST KAMELEON	Awarded additionaly to round 2-A	YES	OIL	2011	2011	\N	50	ED50	59	35	9.41	N	2	5	11.18	E	59.585947	2.086439	6605808.810000	448406.780000	31	25	4	L	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6490	http://www.npd.no/FactMapSearch?NPDID_wellbore=6490	multilateral	25/4-L-1 AH	6490	2420578	2845712	9999-12-31	2473241	290980	375282	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
25/4-L-1 BY2H	25/4-L-1	Marathon Petroleum Norge AS	MARATHON	036 C	PRODUCTION	OIL	DEVELOPMENT	2011-07-22	2011-08-07	ALVHEIM	3299-P2	25/4-7 ALVHEIM	NO	25.000000	\N	5650.000000	120.700000	NORTH SEA	SONGA DEE	SEMISUB STEEL	ØST KAMELEON	Awarded additionaly to round 2-A	YES	OIL	2011	2011	\N	50	ED50	59	35	9.41	N	2	5	11.18	E	59.585947	2.086439	6605808.810000	448406.780000	31	25	4	L	1	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6491	http://www.npd.no/FactMapSearch?NPDID_wellbore=6491	multilateral	25/4-L-1 BY1H	6491	2420578	2845712	9999-12-31	2473241	290980	375282	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
25/4-L-2 Y1H	25/4-L-2	Marathon Petroleum Norge AS	MARATHON	036 C	PRODUCTION	OIL	DEVELOPMENT	2010-10-28	2010-12-28	ALVHEIM	3300-P1	25/4-7 ALVHEIM	NO	25.000000	\N	6167.000000	120.700000	NORTH SEA	SONGA DEE	SEMISUB STEEL	ØST KAMELEON	Awarded additionaly to round 2-A	YES	OIL	2010	2010	\N	50	ED50	59	35	8.83	N	2	5	10.20	E	59.585786	2.086167	6605791.080000	448391.160000	31	25	4	L	2	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6492	http://www.npd.no/FactMapSearch?NPDID_wellbore=6492	multilateral	\N	6492	2420578	2845712	9999-12-31	2473241	290980	375282	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
25/4-L-2 Y2H	25/4-L-2	Marathon Petroleum Norge AS	MARATHON	036 C	PRODUCTION	OIL	DEVELOPMENT	2011-01-02	2011-01-26	ALVHEIM	3300-P2	25/4-7 ALVHEIM	NO	25.000000	\N	5143.000000	120.700000	NORTH SEA	SONGA DEE	SEMISUB STEEL	ØST KAMELEON	Awarded additionaly to round 2-A	YES	OIL	2011	2011	\N	50	ED50	59	35	8.83	N	2	5	10.20	E	59.585786	2.086167	6605791.080000	448391.160000	31	25	4	L	2	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6493	http://www.npd.no/FactMapSearch?NPDID_wellbore=6493	multilateral	25/4-L-2 Y1H	6493	2420578	2845712	9999-12-31	2473241	290980	375282	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
25/4-L-3 H	25/4-L-3	Marathon Petroleum Norge AS	MARATHON	036 C	PRODUCTION	OIL	DEVELOPMENT	2010-11-04	2011-02-22	ALVHEIM	3301-P	25/4-7 ALVHEIM	NO	25.000000	\N	3326.000000	120.700000	NORTH SEA	SONGA DEE	SEMISUB STEEL	ØST KAMELEON	Awarded additionaly to round 2-A	NO	OIL	2010	2011	\N	50	ED50	59	35	8.85	N	2	5	12.45	E	59.585792	2.086792	6605791.210000	448426.470000	31	25	4	L	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6494	http://www.npd.no/FactMapSearch?NPDID_wellbore=6494	initial	\N	6494	2420578	2845712	9999-12-31	2473241	290980	375282	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
2/1-A-19 A	2/1-A-19	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	OIL	DEVELOPMENT	2010-11-17	2010-12-15	GYDA	3302-P	2/1-3 GYDA	NO	56.000000	\N	4630.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2010	2010	\N	50	ED50	56	54	17.42	N	3	5	6.38	E	56.904839	3.085106	6306937.430000	505183.430000	31	2	1	A	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6496	http://www.npd.no/FactMapSearch?NPDID_wellbore=6496	sidetrack	2/1-A-19	6496	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
31/4-A-33 E	31/4-A-33	Statoil Petroleum AS	STATOIL	055	INJECTION	CUTTINGS	DEVELOPMENT	2010-11-04	2010-11-28	BRAGE	3303-P	31/4-3 BRAGE	NO	62.600000	\N	1362.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	CUTTINGS	2010	2010	\N	171	ED50	60	32	32.92	N	3	2	50.52	E	60.542478	3.047367	6711987.250000	502598.760000	31	31	4	A	33	E	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6497	http://www.npd.no/FactMapSearch?NPDID_wellbore=6497	sidetrack	31/4-A-33 D	6497	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
6507/8-D-1 AH	6507/8-D-1	Statoil Petroleum AS	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2010-12-31	2011-01-31	HEIDRUN	3304-P	6507/8-4 HEIDRUN NORD	NO	23.000000	\N	3390.000000	357.000000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2010	2011	\N	50	ED50	65	21	42.65	N	7	20	9.41	E	65.361847	7.335947	7249986.640000	422595.050000	32	6507	8	D	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6498	http://www.npd.no/FactMapSearch?NPDID_wellbore=6498	sidetrack	6507/8-D-1 H	6498	44936	43771	9999-12-31	21804	287983	283593	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/4-X-6 A	2/4-X-6	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2011-03-30	2011-07-01	EKOFISK	3305-P	2/4-2 EKOFISK	NO	57.000000	\N	5650.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2011	2011	\N	50	ED50	56	32	50.99	N	3	13	8.14	E	56.547497	3.218928	6267178.200000	513461.040000	31	2	4	X	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6499	http://www.npd.no/FactMapSearch?NPDID_wellbore=6499	sidetrack	2/4-X-6	6499	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
34/8-A-17 H	34/8-A-17	Statoil Petroleum AS	STATOIL	120	PRODUCTION	OIL/GAS/CONDENSATE	DEVELOPMENT	2011-03-19	2012-04-22	VISUND	3306-P	34/8-1 VISUND	NO	29.000000	\N	7520.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	OIL/GAS/CONDENSATE	2011	2012	\N	0	ED50	61	22	11.56	N	2	27	31.06	E	61.369878	2.458628	6804269.280000	471059.290000	31	34	8	A	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6500	http://www.npd.no/FactMapSearch?NPDID_wellbore=6500	initial	\N	6500	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6608/10-M-3 H	6608/10-M-3	Statoil Petroleum AS	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2010-11-15	2011-02-01	NORNE	3307-P	6608/10-2 NORNE	NO	40.000000	\N	5367.000000	375.000000	NORWEGIAN SEA	AKER SPITSBERGEN	SEMISUB STEEL	NORNE M	10-B	NO	OIL	2010	2011	\N	50	ED50	66	0	17.92	N	8	1	55.54	E	66.004978	8.032094	7320989.260000	456077.800000	32	6608	10	M	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6503	http://www.npd.no/FactMapSearch?NPDID_wellbore=6503	initial	\N	6503	44942	43778	9999-12-31	21836	404201	409423	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6407/1-W-2 H	6407/1-W-2	StatoilHydro ASA	STATOIL	073	INJECTION	WATER	DEVELOPMENT	2010-11-22	2011-01-30	TYRIHANS	3308-P	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	3896.000000	283.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS W	5	NO	WATER	2010	2011	\N	173	ED50	64	50	5.37	N	7	0	55.41	E	64.834825	7.015392	7191701.920000	405842.220000	32	6407	1	W	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6504	http://www.npd.no/FactMapSearch?NPDID_wellbore=6504	initial	\N	6504	44852	3960848	9999-12-31	21380	294382	377763	0	STATOILHYDRO ASA	2013-01-26	2013-01-26	2013-05-08
6507/7-A-45 A	6507/7-A-45	Statoil Petroleum AS	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2011-06-10	2011-06-26	HEIDRUN	3309-P	6507/7-2 HEIDRUN	NO	74.000000	\N	3310.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2011	2011	\N	50	ED50	65	19	32.56	N	7	19	3.78	E	65.325711	7.317717	7245982.610000	421639.720000	32	6507	7	A	45	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6505	http://www.npd.no/FactMapSearch?NPDID_wellbore=6505	sidetrack	6507/7-A-45	6505	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/10-C-38 A	34/10-C-38	Statoil Petroleum AS	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GULLFAKS	3310-P	34/10-1 GULLFAKS	NO	84.000000	\N	0.000000	216.900000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL	0	0	\N	0	ED50	61	12	54.68	N	2	16	26.13	E	61.215189	2.273925	6787134.430000	460994.160000	31	34	10	C	38	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6506	http://www.npd.no/FactMapSearch?NPDID_wellbore=6506	sidetrack	34/10-C-38	6506	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
35/9-B-1 AH	35/9-B-1	GDF SUEZ E&P Norge AS	GDF SUEZ	153	PRODUCTION	OIL	DEVELOPMENT	2011-03-29	2012-02-25	GJØA	3311-P	35/9-2	NO	22.000000	\N	4419.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA B	12	NO	OIL	2011	2012	\N	50	ED50	61	20	24.99	N	3	57	31.67	E	61.340275	3.958797	6801228.340000	551302.990000	31	35	9	B	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6508	http://www.npd.no/FactMapSearch?NPDID_wellbore=6508	sidetrack	35/9-B-1 H	6508	2449421	4467574	9999-12-31	22036	296245	403298	0	GDF SUEZ E&P NORGE	2012-11-10	2012-11-10	2013-05-08
25/4-L-1 AH	25/4-L-1	Marathon Petroleum Norge AS	MARATHON	036 C	OBSERVATION	OIL	DEVELOPMENT	2010-11-17	2010-11-25	ALVHEIM	3312-P	25/4-7 ALVHEIM	NO	25.000000	\N	3669.000000	120.700000	NORTH SEA	SONGA DEE	SEMISUB STEEL	ØST KAMELEON	Awarded additionaly to round 2-A	NO	OIL	2010	2010	\N	99	ED50	59	35	9.41	N	2	5	11.18	E	59.585947	2.086439	6605808.810000	448406.780000	31	25	4	L	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6509	http://www.npd.no/FactMapSearch?NPDID_wellbore=6509	sidetrack	25/4-L-1 H	6509	2420578	2845712	9999-12-31	2473241	290980	375282	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
31/4-A-14 A	31/4-A-14	Statoil Petroleum AS	STATOIL	055	OBSERVATION	OIL	DEVELOPMENT	2010-12-23	2011-03-06	BRAGE	3313-P	31/4-3 BRAGE	NO	62.600000	\N	7175.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2010	2011	\N	99	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	31	4	A	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6510	http://www.npd.no/FactMapSearch?NPDID_wellbore=6510	sidetrack	31/4-A-14	6510	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
31/4-A-14 B	31/4-A-14	Statoil Petroleum AS	STATOIL	055	OBSERVATION	OIL	DEVELOPMENT	2011-03-07	2011-03-15	BRAGE	3314-P	31/4-3 BRAGE	NO	62.600000	\N	6262.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2011	2011	\N	99	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	31	4	A	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6511	http://www.npd.no/FactMapSearch?NPDID_wellbore=6511	sidetrack	31/4-A-14 A	6511	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
31/2-G-3 AY1H	31/2-G-3	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-01-08	2011-02-15	TROLL	3315-P1	31/2-1 TROLL VEST	NO	25.000000	\N	4708.000000	328.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL G	4	YES	OIL	2011	2011	\N	50	ED50	60	45	19.16	N	3	26	27.75	E	60.755322	3.441042	6735774.400000	524038.450000	31	31	2	G	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6512	http://www.npd.no/FactMapSearch?NPDID_wellbore=6512	multilateral	31/2-G-3 H	6512	44534	46437	9999-12-31	21228	296164	278189	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-G-3 AY2H	31/2-G-3	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-02-16	2011-02-27	TROLL	3315-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4521.000000	328.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL G	4	YES	OIL	2011	2011	\N	50	ED50	60	45	19.16	N	3	26	27.75	E	60.755322	3.441042	6735774.400000	524038.450000	31	31	2	G	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6513	http://www.npd.no/FactMapSearch?NPDID_wellbore=6513	multilateral	31/2-G-3 AY1H	6513	44534	46437	9999-12-31	21228	296164	278189	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-G-3 AY3H	31/2-G-3	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-02-28	2011-03-13	TROLL	3315-P3	31/2-1 TROLL VEST	NO	25.000000	\N	4288.000000	328.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL G	4	YES	OIL	2011	2011	\N	50	ED50	60	45	19.16	N	3	26	27.75	E	60.755322	3.441042	6735774.400000	524038.450000	31	31	2	G	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6514	http://www.npd.no/FactMapSearch?NPDID_wellbore=6514	multilateral	31/2-G-3 AY2H	6514	44534	46437	9999-12-31	21228	296164	278189	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
15/12-A-1 A	15/12-A-1	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2011-03-04	2011-03-10	VARG	3316-P	15/12-4 VARG	NO	52.200000	\N	4012.000000	84.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2011	2011	\N	50	ED50	58	4	40.53	N	1	53	25.51	E	58.077925	1.890419	6438070.210000	434554.670000	31	15	12	A	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6515	http://www.npd.no/FactMapSearch?NPDID_wellbore=6515	sidetrack	15/12-A-1	6515	43868	43451	9999-12-31	21092	292114	279505	0	TALISMAN ENERGY	2013-04-16	2013-04-16	2013-05-08
15/9-B-8 C	15/9-B-8	Statoil Petroleum AS	STATOIL	046	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2010-12-29	2011-01-23	SLEIPNER VEST	3317-P	15/6-3 SLEIPNER VEST	NO	52.600000	\N	7160.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	OIL	2010	2011	\N	99	ED50	58	25	4.70	N	1	43	4.43	E	58.417972	1.717897	6476107.840000	425100.120000	31	15	9	B	8	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6519	http://www.npd.no/FactMapSearch?NPDID_wellbore=6519	sidetrack	15/9-B-8 B	6519	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
25/11-G-38 AY1	25/11-G-38	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2011-03-31	2011-04-24	GRANE	3318-P1	25/11-15 GRANE	NO	69.900000	\N	6430.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2011	2011	\N	50	ED50	59	9	54.59	N	2	29	14.98	E	59.165164	2.487494	6558707.440000	470695.230000	31	25	11	G	38	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6522	http://www.npd.no/FactMapSearch?NPDID_wellbore=6522	multilateral	25/11-G-38	6522	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-38 AY2	25/11-G-38	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2011-04-25	2011-05-08	GRANE	3318-P2	25/11-15 GRANE	NO	69.900000	\N	6780.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2011	2011	\N	50	ED50	59	9	54.59	N	2	29	14.98	E	59.165164	2.487494	6558707.440000	470695.230000	31	25	11	G	38	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6523	http://www.npd.no/FactMapSearch?NPDID_wellbore=6523	multilateral	25/11-G-38 AY1	6523	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-10-27	2012-10-27	2013-05-08
25/11-G-38 AY3	25/11-G-38	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2011-05-11	2011-05-24	GRANE	3318-P3	25/11-15 GRANE	NO	69.900000	\N	7083.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2011	2011	\N	50	ED50	59	9	54.59	N	2	29	14.98	E	59.165164	2.487494	6558707.440000	470695.230000	31	25	11	G	38	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6524	http://www.npd.no/FactMapSearch?NPDID_wellbore=6524	multilateral	25/11-G-38 AY2	6524	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-10-27	2012-10-27	2013-05-08
25/11-G-38 AY4	25/11-G-38	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3318-P4	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	0	0	\N	0	ED50	59	9	54.59	N	2	29	14.98	E	59.165164	2.487494	6558707.440000	470695.230000	31	25	11	G	38	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6525	http://www.npd.no/FactMapSearch?NPDID_wellbore=6525	multilateral	25/11-G-38 AY3	6525	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
35/9-D-1 Y2H	35/9-D-1	GDF SUEZ E&P Norge AS	GDF SUEZ	153	PRODUCTION	OIL	DEVELOPMENT	2011-05-17	2011-06-03	GJØA	3283-P2	35/9-1 GJØA	NO	22.000000	\N	4429.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA D	12	YES	OIL	2011	2011	\N	50	ED50	61	20	28.65	N	3	57	32.49	E	61.341292	3.959025	6801341.760000	551313.510000	31	35	9	D	1	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6527	http://www.npd.no/FactMapSearch?NPDID_wellbore=6527	multilateral	35/9-D-1 Y1H	6527	44786	4467574	9999-12-31	22036	296245	403414	0	GDF SUEZ E&P NORGE	2013-01-31	2013-01-31	2013-05-08
2/4-E-4	2/4-E-4	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TOR	3319-P	2/5-1 TOR	NO	41.800000	\N	309.000000	67.000000	NORTH SEA	TOR	JACKET 8 LEGS	TOR	1-A	NO	OIL	0	0	\N	0	ED50	56	38	31.22	N	3	19	37.13	E	56.642006	3.326981	6277724.500000	520054.660000	31	2	4	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6530	http://www.npd.no/FactMapSearch?NPDID_wellbore=6530	initial	\N	6530	44084	43520	9999-12-31	20900	271525	271525	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/4-L-3 AY1H	25/4-L-3	Marathon Petroleum Norge AS	MARATHON	036 C	PRODUCTION	OIL	DEVELOPMENT	2011-02-23	2011-04-30	ALVHEIM	3320-P1	25/4-7 ALVHEIM	NO	25.000000	\N	5451.000000	120.700000	NORTH SEA	SONGA DEE	SEMISUB STEEL	ØST KAMELEON	Awarded additionaly to round 2-A	YES	OIL	2011	2011	\N	50	ED50	59	35	8.85	N	2	5	12.45	E	59.585792	2.086792	6605791.210000	448426.470000	31	25	4	L	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6532	http://www.npd.no/FactMapSearch?NPDID_wellbore=6532	multilateral	25/4-L-3 H	6532	2420578	2845712	9999-12-31	2473241	290980	375282	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
25/4-L-3 AY2H	25/4-L-3	Marathon Petroleum Norge AS	MARATHON	036 C	PRODUCTION	OIL	DEVELOPMENT	2011-05-13	2011-05-31	ALVHEIM	3320-P2	25/4-7 ALVHEIM	NO	25.000000	\N	5807.000000	120.700000	NORTH SEA	SONGA DEE	SEMISUB STEEL	ØST KAMELEON	Awarded additionaly to round 2-A	YES	OIL	2011	2011	\N	50	ED50	59	35	8.85	N	2	5	12.45	E	59.585792	2.086792	6605791.210000	448426.470000	31	25	4	L	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6533	http://www.npd.no/FactMapSearch?NPDID_wellbore=6533	multilateral	25/4-L-3 AY1H	6533	2420578	2845712	9999-12-31	2473241	290980	375282	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
2/4-K-20 A	2/4-K-20	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2011-01-13	2011-03-21	EKOFISK	3321-P	2/4-2 EKOFISK	NO	55.200000	\N	3981.000000	73.800000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2011	2011	\N	173	ED50	56	33	55.85	N	3	12	12.93	E	56.565514	3.203592	6269180.760000	512512.140000	31	2	4	K	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6534	http://www.npd.no/FactMapSearch?NPDID_wellbore=6534	sidetrack	2/4-K-20	6534	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6305/7-D-1 H	6305/7-D-1	A/S Norske Shell	SHELL	208	PRODUCTION	GAS	DEVELOPMENT	2011-03-19	2011-05-23	ORMEN LANGE	3322-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3512.000000	853.800000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE D	15	NO	GAS	2011	2011	\N	90	ED50	63	23	8.41	N	5	18	52.19	E	63.385669	5.314497	7030821.820000	615672.940000	31	6305	7	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6535	http://www.npd.no/FactMapSearch?NPDID_wellbore=6535	initial	\N	6535	44822	2762452	9999-12-31	22476	297082	406437	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/7-D-5 H	6305/7-D-5	A/S Norske Shell	SHELL	208	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ORMEN LANGE	3323-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	0.000000	853.800000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE D	15	NO	GAS	0	0	\N	0	ED50	63	23	8.84	N	5	18	52.73	E	63.385789	5.314647	7030835.390000	615679.950000	31	6305	7	D	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6536	http://www.npd.no/FactMapSearch?NPDID_wellbore=6536	initial	\N	6536	44822	2762452	9999-12-31	22476	297082	406437	0	SHELL NORGE	2013-01-29	2013-01-29	2013-05-08
6305/7-D-8 H	6305/7-D-8	A/S Norske Shell	SHELL	208	PRODUCTION	GAS	DEVELOPMENT	2011-04-11	2011-06-21	ORMEN LANGE	3324-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3705.000000	853.800000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE D	15	NO	GAS	2011	2011	\N	90	ED50	63	23	9.13	N	5	18	51.59	E	63.385869	5.314331	7030843.790000	615663.800000	31	6305	7	D	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6537	http://www.npd.no/FactMapSearch?NPDID_wellbore=6537	initial	\N	6537	44822	2762452	9999-12-31	22476	297082	406437	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6407/7-A-4 AH	6407/7-A-4	Statoil Petroleum AS	STATOIL	107	PRODUCTION	OIL	DEVELOPMENT	2011-01-24	2011-03-15	NJORD	3325-P	6407/7-1 S NJORD	NO	30.000000	\N	4320.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2011	2011	\N	50	ED50	64	16	14.59	N	7	12	5.77	E	64.270719	7.201603	7128589.940000	412893.010000	32	6407	7	A	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6539	http://www.npd.no/FactMapSearch?NPDID_wellbore=6539	sidetrack	6407/7-A-4 H	6539	44876	43751	9999-12-31	21660	277713	277713	0	STATOIL PETROLEUM AS	2013-02-14	2013-02-14	2013-05-08
6406/3-D-4 H	6406/3-D-4	Statoil Petroleum AS	STATOIL	091	OBSERVATION	OIL	DEVELOPMENT	2011-02-16	2011-04-29	TYRIHANS	3326-P	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	4545.000000	267.800000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS D	8	NO	OIL	2011	2011	\N	99	ED50	64	46	47.02	N	6	59	27.03	E	64.779728	6.990842	7185600.470000	404482.920000	32	6406	3	D	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6541	http://www.npd.no/FactMapSearch?NPDID_wellbore=6541	initial	\N	6541	44852	3960848	9999-12-31	21532	294382	377726	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
6406/3-D-4 AY1H	6406/3-D-4	Statoil Petroleum AS	STATOIL	091	PRODUCTION	OIL	DEVELOPMENT	2011-04-30	2011-05-25	TYRIHANS	3327-P1	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	6241.000000	267.800000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS D	8	YES	OIL	2011	2011	\N	50	ED50	64	46	47.02	N	6	59	27.03	E	64.779728	6.990842	7185600.470000	404482.920000	32	6406	3	D	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6542	http://www.npd.no/FactMapSearch?NPDID_wellbore=6542	multilateral	6406/3-D-4 H	6542	44852	3960848	9999-12-31	21532	294382	377726	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6406/3-D-4 AY2H	6406/3-D-4	Statoil Petroleum AS	STATOIL	091	PRODUCTION	OIL	DEVELOPMENT	2011-06-15	2011-07-15	TYRIHANS	3327-P2	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	7400.000000	267.800000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS D	8	YES	OIL	2011	2011	\N	50	ED50	64	46	47.02	N	6	59	27.03	E	64.779728	6.990842	7185600.470000	404482.920000	32	6406	3	D	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6543	http://www.npd.no/FactMapSearch?NPDID_wellbore=6543	multilateral	6406/3-D-4 AY1H	6543	44852	3960848	9999-12-31	21532	294382	377726	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
15/9-B-8 D	15/9-B-8	Statoil Petroleum AS	STATOIL	046	PRODUCTION	GAS	DEVELOPMENT	2011-01-23	2011-02-06	SLEIPNER VEST	3328-P	15/6-3 SLEIPNER VEST	NO	52.600000	\N	5777.000000	108.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	SLEIPNER B	3	NO	GAS	2011	2011	\N	90	ED50	58	25	4.70	N	1	43	4.43	E	58.417972	1.717897	6476107.840000	425100.120000	31	15	9	B	8	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6544	http://www.npd.no/FactMapSearch?NPDID_wellbore=6544	sidetrack	15/9-B-8 C	6544	43910	43457	9999-12-31	21156	296110	277601	0	STATOIL PETROLEUM AS	2012-08-24	2012-08-24	2013-05-08
34/7-P-17 A	34/7-P-17	Statoil Petroleum AS	STATOIL	089	INJECTION	WATER/GAS	DEVELOPMENT	2011-01-25	2011-04-02	SNORRE	3329-P	34/4-1 SNORRE	NO	59.400000	\N	5757.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER/GAS	2011	2011	\N	0	ED50	61	26	57.21	N	2	8	36.82	E	61.449225	2.143561	6813288.060000	454333.010000	31	34	7	P	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6545	http://www.npd.no/FactMapSearch?NPDID_wellbore=6545	sidetrack	34/7-P-17	6545	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/4-C-8 H	34/4-C-8	Statoil Petroleum AS	STATOIL	057	PRODUCTION	OIL	DEVELOPMENT	2011-05-08	2011-07-20	SNORRE	3330-P	34/4-1 SNORRE	NO	37.000000	\N	4646.000000	347.000000	NORTH SEA	SNORRE B	SEMISUB STEEL	SNORRE B	4	NO	OIL	2011	2011	\N	50	ED50	61	31	30.50	N	2	12	40.00	E	61.525139	2.211111	6821698.810000	458037.090000	31	34	4	C	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6546	http://www.npd.no/FactMapSearch?NPDID_wellbore=6546	initial	\N	6546	44654	43718	9999-12-31	21252	280485	280485	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/7-A-27 A	2/7-A-27	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2011-04-19	2011-07-25	ELDFISK	3331-P	2/7-1 ELDFISK	NO	42.900000	\N	4778.000000	70.700000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2011	2011	\N	50	ED50	56	22	36.25	N	3	15	56.44	E	56.376736	3.265678	6248180.970000	516408.980000	31	2	7	A	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6547	http://www.npd.no/FactMapSearch?NPDID_wellbore=6547	sidetrack	2/7-A-27	6547	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
33/9-A-20 B	33/9-A-20	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2011-03-06	2011-04-04	STATFJORD	3332-P	33/12-1 STATFJORD	NO	64.400000	\N	2883.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	2011	2011	\N	90	ED50	61	15	20.72	N	1	51	14.90	E	61.255756	1.854139	6791975.690000	438523.170000	31	33	9	A	20	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6548	http://www.npd.no/FactMapSearch?NPDID_wellbore=6548	sidetrack	33/9-A-20 A	6548	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/3-A-13 BY2	30/3-A-13	Statoil Petroleum AS	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2011-02-21	2011-04-30	VESLEFRIKK	3333-P2	30/3-2  VESLEFRIKK	NO	56.000000	\N	6761.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	YES	OIL	2011	2011	\N	50	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	30	3	A	13	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6550	http://www.npd.no/FactMapSearch?NPDID_wellbore=6550	multilateral	30/3-A-13 BY1	6550	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-P-21 BY1H	31/2-P-21	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-04-29	2011-05-26	TROLL	3334-P1	31/2-1 TROLL VEST	NO	24.000000	\N	4867.000000	337.600000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL P2	4	YES	OIL	2011	2011	\N	50	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	31	2	P	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6554	http://www.npd.no/FactMapSearch?NPDID_wellbore=6554	multilateral	31/2-P-21 AY2H	6554	44534	46437	9999-12-31	21228	297649	280261	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-P-21 BY2H	31/2-P-21	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-05-28	2011-06-08	TROLL	3334-P2	31/2-1 TROLL VEST	NO	24.000000	\N	4703.000000	337.600000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL P2	4	YES	OIL	2011	2011	\N	50	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	31	2	P	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6555	http://www.npd.no/FactMapSearch?NPDID_wellbore=6555	multilateral	31/2-P-21 BY1H	6555	44534	46437	9999-12-31	21228	297649	280261	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/9-B-12 C	30/9-B-12	Statoil Petroleum AS	STATOIL	079	PRODUCTION	OIL	DEVELOPMENT	2011-04-21	2011-05-14	OSEBERG	3335-P	30/6-1 OSEBERG	NO	58.000000	\N	5020.000000	109.000000	NORTH SEA	OSEBERG B	JACKET 8 LEGS	OSEBERG B	Awarded additionaly to round 6	NO	OIL	2011	2011	\N	50	ED50	60	29	36.40	N	2	49	43.19	E	60.493444	2.828664	6706537.170000	490585.480000	31	30	9	B	12	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6556	http://www.npd.no/FactMapSearch?NPDID_wellbore=6556	sidetrack	30/9-B-12 B	6556	44396	43625	9999-12-31	34635	272897	272897	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/10-B-11 A	34/10-B-11	Statoil Petroleum AS	STATOIL	050	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GULLFAKS	3336-P	34/10-1 GULLFAKS	NO	80.700000	\N	0.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	0	0	\N	0	ED50	61	12	11.14	N	2	12	4.64	E	61.203094	2.201289	6785832.780000	457075.710000	31	34	10	B	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6558	http://www.npd.no/FactMapSearch?NPDID_wellbore=6558	sidetrack	34/10-B-11	6558	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6506/12-K-4 H	6506/12-K-4	Statoil Petroleum AS	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2011-04-14	2011-06-26	ÅSGARD	3337-P	6506/12-1 SMØRBUKK	NO	40.000000	\N	6252.000000	298.000000	NORWEGIAN SEA	AKER SPITSBERGEN	SEMISUB STEEL	ÅSGARD K	8	NO	OIL	2011	2011	\N	50	ED50	65	8	1.73	N	6	42	25.51	E	65.133814	6.707086	7225502.210000	392428.100000	32	6506	12	K	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6559	http://www.npd.no/FactMapSearch?NPDID_wellbore=6559	initial	\N	6559	44900	43765	9999-12-31	21556	404201	278777	0	STATOIL PETROLEUM AS	2012-11-10	2012-11-10	2013-05-08
31/4-A-14 C	31/4-A-14	Statoil Petroleum AS	STATOIL	055	PRODUCTION	OIL	DEVELOPMENT	2011-03-16	2011-04-02	BRAGE	3338-P	31/4-3 BRAGE	NO	62.600000	\N	8545.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2011	2011	\N	50	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	31	4	A	14	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6564	http://www.npd.no/FactMapSearch?NPDID_wellbore=6564	sidetrack	31/4-A-14 B	6564	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
6507/8-D-3 CH	6507/8-D-3	Statoil Petroleum AS	STATOIL	124	PRODUCTION	OIL	DEVELOPMENT	2011-05-01	2011-05-27	HEIDRUN	3339-P	6507/8-4 HEIDRUN NORD	NO	23.000000	\N	3998.000000	357.000000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	HEIDRUN D	10-B	NO	OIL	2011	2011	\N	50	ED50	65	21	42.95	N	7	20	9.70	E	65.361931	7.336028	7249995.830000	422599.040000	32	6507	8	D	3	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6565	http://www.npd.no/FactMapSearch?NPDID_wellbore=6565	sidetrack	6507/8-D-3 BH	6565	44936	43771	9999-12-31	21804	287983	283593	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-S-14 BY1H	31/2-S-14	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-04-01	2011-04-22	TROLL	3340-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5455.000000	343.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL S1	4	YES	OIL	2011	2011	\N	50	ED50	60	53	42.13	N	3	39	16.38	E	60.895036	3.654550	6751433.180000	535520.020000	31	31	2	S	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6566	http://www.npd.no/FactMapSearch?NPDID_wellbore=6566	multilateral	31/2-S-14 AH	6566	44534	46437	9999-12-31	21228	296164	280737	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-S-14 BY2H	31/2-S-14	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-04-23	2011-05-04	TROLL	3340-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5071.000000	343.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL S1	4	YES	OIL	2011	2011	\N	50	ED50	60	53	42.13	N	3	39	16.38	E	60.895036	3.654550	6751433.180000	535520.020000	31	31	2	S	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6567	http://www.npd.no/FactMapSearch?NPDID_wellbore=6567	multilateral	31/2-S-14 BY1H	6567	44534	46437	9999-12-31	21228	296164	280737	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/8-G-1	2/8-G-1	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALHALL	3341-P	2/8-6 VALHALL	NO	65.300000	\N	0.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	0	0	\N	0	ED50	56	16	35.34	N	3	23	46.67	E	56.276483	3.396297	6237060.970000	524540.580000	31	2	8	G	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6569	http://www.npd.no/FactMapSearch?NPDID_wellbore=6569	initial	\N	6569	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-2	2/8-G-2	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALHALL	3342-P	2/8-6 VALHALL	NO	65.300000	\N	0.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	0	0	\N	0	ED50	56	16	35.33	N	3	23	46.79	E	56.276481	3.396331	6237060.680000	524542.650000	31	2	8	G	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6570	http://www.npd.no/FactMapSearch?NPDID_wellbore=6570	initial	\N	6570	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-3	2/8-G-3	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALHALL	3343-P	2/8-6 VALHALL	NO	65.300000	\N	0.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	0	0	\N	0	ED50	56	16	35.32	N	3	23	46.91	E	56.276478	3.396364	6237060.380000	524544.710000	31	2	8	G	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6571	http://www.npd.no/FactMapSearch?NPDID_wellbore=6571	initial	\N	6571	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-4	2/8-G-4	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2012-05-09	2012-08-05	VALHALL	3344-P	2/8-6 VALHALL	NO	65.300000	\N	5315.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	2012	2012	\N	50	ED50	56	16	35.31	N	3	23	47.03	E	56.276475	3.396397	6237060.080000	524546.780000	31	2	8	G	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6572	http://www.npd.no/FactMapSearch?NPDID_wellbore=6572	initial	\N	6572	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2013-01-26	2013-01-26	2013-05-08
2/8-G-5	2/8-G-5	BP Norge AS	BP	006 B	OBSERVATION	\N	DEVELOPMENT	2013-01-30	2013-02-23	VALHALL	3345-P	2/8-6 VALHALL	NO	65.300000	\N	563.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL/GAS	2013	2013	\N	99	ED50	56	16	35.40	N	3	23	46.69	E	56.276500	3.396303	6237062.830000	524540.910000	31	2	8	G	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6573	http://www.npd.no/FactMapSearch?NPDID_wellbore=6573	initial	\N	6573	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2013-03-05	2013-03-20	2013-05-08
2/8-G-9	2/8-G-9	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALHALL	3346-P	2/8-6 VALHALL	NO	65.300000	\N	0.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	OIL	0	0	\N	0	ED50	56	16	35.47	N	3	23	46.70	E	56.276519	3.396306	6237065.000000	524541.070000	31	2	8	G	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6574	http://www.npd.no/FactMapSearch?NPDID_wellbore=6574	initial	\N	6574	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-17	2/8-G-17	BP Norge AS	BP	006 B	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALHALL	3347-P	2/8-6 VALHALL	NO	65.300000	\N	0.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	WATER	0	0	\N	0	ED50	56	16	35.61	N	3	23	46.73	E	56.276558	3.396314	6237069.330000	524541.570000	31	2	8	G	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6575	http://www.npd.no/FactMapSearch?NPDID_wellbore=6575	initial	\N	6575	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-20	2/8-G-20	BP Norge AS	BP	006 B	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALHALL	3348-P	2/8-6 VALHALL	NO	65.300000	\N	384.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	NOT APPLICABLE	0	0	\N	99	ED50	56	16	35.58	N	3	23	47.10	E	56.276550	3.396417	6237068.440000	524547.940000	31	2	8	G	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6576	http://www.npd.no/FactMapSearch?NPDID_wellbore=6576	initial	\N	6576	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-G-21	2/8-G-21	BP Norge AS	BP	006 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2011-04-24	2011-05-03	VALHALL	3349-P	2/8-6 VALHALL	NO	65.300000	\N	376.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	NOT APPLICABLE	2011	2011	\N	99	ED50	56	16	35.34	N	3	23	46.67	E	56.276483	3.396297	6237060.970000	524540.580000	31	2	8	G	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6577	http://www.npd.no/FactMapSearch?NPDID_wellbore=6577	initial	\N	6577	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
2/8-G-21 A	2/8-G-21	BP Norge AS	BP	006 B	INJECTION	CUTTINGS	DEVELOPMENT	2011-07-06	2011-11-25	VALHALL	3350-P	2/8-6 VALHALL	NO	65.300000	\N	3538.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	CUTTINGS	2011	2011	\N	171	ED50	56	16	35.34	N	3	23	46.67	E	56.276483	3.396297	6237060.970000	524540.580000	31	2	8	G	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6579	http://www.npd.no/FactMapSearch?NPDID_wellbore=6579	sidetrack	2/8-G-21	6579	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
15/12-A-12 C	15/12-A-12	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	\N	DEVELOPMENT	2011-03-23	2011-04-11	VARG	3351-P	15/12-4 VARG	NO	52.200000	\N	4782.000000	84.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2011	2011	\N	71	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	15	12	A	12	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6580	http://www.npd.no/FactMapSearch?NPDID_wellbore=6580	sidetrack	15/12-A-12 B	6580	43868	43451	9999-12-31	21092	292114	279505	0	TALISMAN ENERGY	2013-01-29	2013-01-29	2013-05-08
31/2-P-21 BY3H	31/2-P-21	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-06-09	2011-06-26	TROLL	3334-P3	31/2-1 TROLL VEST	NO	24.000000	\N	5240.000000	337.600000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL P2	4	YES	OIL	2011	2011	\N	50	ED50	60	52	35.63	N	3	29	39.19	E	60.876564	3.494219	6749299.430000	526835.110000	31	31	2	P	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6581	http://www.npd.no/FactMapSearch?NPDID_wellbore=6581	multilateral	31/2-P-21 BY2H	6581	44534	46437	9999-12-31	21228	297649	280261	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
35/8-Q-12 AH	35/8-Q-12	Statoil Petroleum AS	STATOIL	248	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2011-02-18	2011-05-17	VEGA	3352-P	35/8-1 VEGA	NO	31.000000	\N	5336.000000	378.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VEGA SENTRAL	NST99	NO	GAS/CONDENSATE	2011	2011	\N	170	ED50	61	15	42.18	N	3	21	32.26	E	61.261717	3.358961	6792153.590000	519255.670000	31	35	8	Q	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6586	http://www.npd.no/FactMapSearch?NPDID_wellbore=6586	sidetrack	35/8-Q-12 H	6586	44774	4467595	9999-12-31	102285	290170	407849	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/4-A-14 D	31/4-A-14	Statoil Petroleum AS	STATOIL	055	PRODUCTION	OIL	DEVELOPMENT	2011-04-03	2011-04-26	BRAGE	3353-P	31/4-3 BRAGE	NO	62.600000	\N	8940.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2011	2011	\N	50	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	31	4	A	14	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6590	http://www.npd.no/FactMapSearch?NPDID_wellbore=6590	sidetrack	31/4-A-14 C	6590	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6/3-A-1 H	6/3-A-1	BG Norge AS	BG GROUP	292	PRODUCTION	OIL/GAS	DEVELOPMENT	2011-04-26	2011-05-25	GAUPE	3354-P	6/3-1 PI	NO	18.000000	\N	4168.000000	85.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	6/3-A-1 H	NST2002	NO	OIL/GAS	2011	2011	\N	0	ED50	57	57	31.92	N	1	55	47.32	E	57.958867	1.929811	6424777.990000	436667.930000	31	6	3	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6591	http://www.npd.no/FactMapSearch?NPDID_wellbore=6591	initial	\N	6591	44804	18161341	9999-12-31	2407572	297514	410771	0	BG NORGE	2012-11-10	2012-11-10	2013-05-08
15/12-A-12 D	15/12-A-12	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	\N	DEVELOPMENT	2011-04-15	2011-04-20	VARG	3355-P	15/12-4 VARG	NO	52.200000	\N	3938.000000	84.000000	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2011	2011	\N	71	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	15	12	A	12	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6595	http://www.npd.no/FactMapSearch?NPDID_wellbore=6595	sidetrack	15/12-A-12 C	6595	43868	43451	9999-12-31	21092	292114	279505	0	TALISMAN ENERGY	2013-01-29	2013-01-29	2013-05-08
31/2-K-12 BY1H	31/2-K-12	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-05-11	2011-06-04	TROLL	3356-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5041.000000	319.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL K1	4	YES	OIL	2011	2011	\N	50	ED50	60	46	6.08	N	3	36	40.72	E	60.768356	3.611311	6737300.440000	533305.110000	31	31	2	K	12	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6596	http://www.npd.no/FactMapSearch?NPDID_wellbore=6596	multilateral	31/2-K-12 AH	6596	44534	46437	9999-12-31	21228	296164	279449	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-K-12 BY2H	31/2-K-12	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-06-07	2011-06-25	TROLL	3356-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5690.000000	319.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL K1	4	YES	OIL	2011	2011	\N	50	ED50	60	46	6.08	N	3	36	40.72	E	60.768356	3.611311	6737300.440000	533305.110000	31	31	2	K	12	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6597	http://www.npd.no/FactMapSearch?NPDID_wellbore=6597	multilateral	31/2-K-12 BY1H	6597	44534	46437	9999-12-31	21228	296164	279449	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/1-A-32 C	2/1-A-32	Talisman Energy Norge AS	TALISMAN	019 B	OBSERVATION	OIL	DEVELOPMENT	2012-12-04	2013-04-16	GYDA	3357-P	2/1-3 GYDA	NO	56.000000	\N	6939.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2012	2013	\N	99	ED50	56	54	17.31	N	3	5	5.95	E	56.904808	3.084986	6306934.020000	505176.150000	31	2	1	A	32	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6598	http://www.npd.no/FactMapSearch?NPDID_wellbore=6598	sidetrack	2/1-A-32 B	6598	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2013-04-26	2013-04-26	2013-05-08
25/8-C-19	25/8-C-19	ExxonMobil Exploration & Production Norway AS	ESSO	027	OBSERVATION	\N	DEVELOPMENT	2011-05-21	2011-09-04	BALDER	3358-P	25/8-11 RINGHORNE	NO	60.300000	\N	6680.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2011	2011	\N	99	ED50	59	15	58.05	N	2	26	59.59	E	59.266125	2.449886	6569967.250000	468637.580000	31	25	8	C	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6600	http://www.npd.no/FactMapSearch?NPDID_wellbore=6600	initial	\N	6600	44318	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2013-01-29	2013-01-29	2013-05-08
25/8-C-19 A	25/8-C-19	ExxonMobil Exploration & Production Norway AS	ESSO	027	OBSERVATION	OIL	DEVELOPMENT	2011-09-05	2012-01-21	BALDER	3359-P	25/8-11 RINGHORNE	NO	60.300000	\N	7651.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2011	2012	\N	99	ED50	59	15	58.05	N	2	26	59.59	E	59.266125	2.449886	6569967.250000	468637.580000	31	25	8	C	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6601	http://www.npd.no/FactMapSearch?NPDID_wellbore=6601	sidetrack	25/8-C-19	6601	44318	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
25/8-C-19 B	25/8-C-19	ExxonMobil Exploration & Production Norway AS	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2012-01-22	2012-10-19	BALDER	3360-P	25/8-11 RINGHORNE	NO	60.300000	\N	6815.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2012	2012	\N	50	ED50	59	15	58.05	N	2	26	59.59	E	59.266125	2.449886	6569967.250000	468637.580000	31	25	8	C	19	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6602	http://www.npd.no/FactMapSearch?NPDID_wellbore=6602	sidetrack	25/8-C-19 A	6602	44318	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2012-10-25	2012-10-25	2013-05-08
25/11-G-23 A	25/11-G-23	Statoil Petroleum AS	STATOIL	169 B1	INJECTION	WATER	DEVELOPMENT	2011-06-23	2011-07-23	GRANE	3361-P	25/11-15 GRANE	NO	23.000000	\N	1638.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	WATER	2011	2011	\N	173	ED50	59	9	54.89	N	2	29	14.66	E	59.165247	2.487406	6558716.760000	470690.220000	31	25	11	G	23	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6606	http://www.npd.no/FactMapSearch?NPDID_wellbore=6606	sidetrack	25/11-G-23	6606	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-08-24	2012-08-24	2013-05-08
15/12-E-1 H	15/12-E-1	BG Norge AS	BG GROUP	292	PRODUCTION	OIL	DEVELOPMENT	2011-05-31	2011-07-11	GAUPE	3362-P	15/12-19	NO	18.000000	\N	4303.000000	85.500000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	15/12-E-1 H	NST2002	NO	OIL/GAS	2011	2011	\N	50	ED50	58	0	43.03	N	1	55	31.57	E	58.011953	1.925436	6430692.120000	436503.030000	31	15	12	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6608	http://www.npd.no/FactMapSearch?NPDID_wellbore=6608	initial	\N	6608	4972729	18161341	9999-12-31	2407572	297514	410712	0	BG NORGE	2012-11-10	2012-11-10	2013-05-08
2/4-K-8 B	2/4-K-8	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2011-09-23	2011-11-23	EKOFISK	3363-P	2/4-2 EKOFISK	NO	55.200000	\N	4892.000000	73.800000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2011	2011	\N	173	ED50	56	33	55.82	N	3	12	22.32	E	56.565506	3.206200	6269180.310000	512672.440000	31	2	4	K	8	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6609	http://www.npd.no/FactMapSearch?NPDID_wellbore=6609	sidetrack	2/4-K-8 A	6609	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-08-24	2012-08-24	2013-05-08
33/9-A-37 C	33/9-A-37	Statoil Petroleum AS	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2011-09-17	2011-10-26	STATFJORD	3364-P	33/12-1 STATFJORD	NO	64.400000	\N	2520.000000	145.500000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL/GAS	2011	2011	\N	0	ED50	61	15	19.76	N	1	51	14.06	E	61.255489	1.853906	6791946.210000	438510.130000	31	33	9	A	37	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6610	http://www.npd.no/FactMapSearch?NPDID_wellbore=6610	sidetrack	33/9-A-37 B	6610	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
1/3-A-1 H	1/3-A-1	DONG E&P Norge AS	DONG	274	PRODUCTION	OIL	DEVELOPMENT	2011-07-22	2011-09-25	OSELVAR	3365-P	1/3-6 OSELVAR	NO	45.000000	\N	5927.000000	72.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	OSELVAR	NST2001	NO	OIL	2011	2011	\N	50	ED50	56	55	55.06	N	2	40	16.66	E	56.931961	2.671294	6310001.500000	479994.470000	31	1	3	A	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6612	http://www.npd.no/FactMapSearch?NPDID_wellbore=6612	initial	\N	6612	43832	5506919	9999-12-31	2060266	278245	410592	0	DONG E&P NORGE	2012-07-25	2012-07-25	2013-05-08
1/3-A-2 H	1/3-A-2	DONG E&P Norge AS	DONG	274	PRODUCTION	OIL	DEVELOPMENT	2011-11-18	2012-02-08	OSELVAR	3366-P	1/3-6 OSELVAR	NO	45.000000	\N	5882.000000	72.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	OSELVAR	NST2001	NO	OIL	2011	2012	\N	50	ED50	56	55	54.89	N	2	40	16.67	E	56.931914	2.671297	6309996.240000	479994.610000	31	1	3	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6613	http://www.npd.no/FactMapSearch?NPDID_wellbore=6613	initial	\N	6613	43832	5506919	9999-12-31	2060266	278245	410592	0	DONG E&P NORGE	2012-07-25	2012-07-25	2013-05-08
1/3-A-3 H	1/3-A-3	DONG E&P Norge AS	DONG	274	PRODUCTION	OIL	DEVELOPMENT	2012-03-04	2012-05-15	OSELVAR	3367-P	1/3-6 OSELVAR	NO	45.000000	\N	6665.000000	72.000000	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	OSELVAR	NST2001	NO	OIL	2012	2012	\N	50	ED50	56	55	55.07	N	2	40	17.32	E	56.931964	2.671478	6310001.760000	480005.630000	31	1	3	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6614	http://www.npd.no/FactMapSearch?NPDID_wellbore=6614	initial	\N	6614	43832	5506919	9999-12-31	2060266	278245	410592	0	DONG E&P NORGE	2012-07-25	2012-07-25	2013-05-08
6507/7-A-3	6507/7-A-3	Statoil Petroleum AS	STATOIL	095	INJECTION	WATER	DEVELOPMENT	2011-07-13	2011-10-03	HEIDRUN	3368-P	6507/7-2 HEIDRUN	NO	74.200000	\N	4697.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	WATER	2011	2011	\N	173	ED50	65	19	33.01	N	7	19	2.85	E	65.325836	7.317458	7245996.860000	421628.060000	32	6507	7	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6616	http://www.npd.no/FactMapSearch?NPDID_wellbore=6616	initial	\N	6616	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/4-B-18 D	2/4-B-18	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2011-07-14	2011-09-26	EKOFISK	3369-P	2/4-2 EKOFISK	NO	63.800000	\N	5808.000000	74.300000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL	2011	2011	\N	50	ED50	56	33	55.02	N	3	12	13.97	E	56.565283	3.203881	6269155.150000	512529.970000	31	2	4	B	18	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6618	http://www.npd.no/FactMapSearch?NPDID_wellbore=6618	sidetrack	2/4-B-18 C	6618	44072	43506	9999-12-31	20900	271413	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
31/2-D-2 AY1H	31/2-D-2	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-07-16	2011-08-06	TROLL	3370-P1	31/2-1 TROLL VEST	NO	25.000000	\N	4215.000000	338.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2011	2011	\N	50	ED50	60	51	30.48	N	3	26	43.52	E	60.858467	3.445422	6747264.690000	524199.230000	31	31	2	D	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6619	http://www.npd.no/FactMapSearch?NPDID_wellbore=6619	multilateral	31/2-D-2 H	6619	44534	46437	9999-12-31	21228	296164	278105	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-D-2 AY2H	31/2-D-2	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-08-07	2011-08-14	TROLL	3370-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4147.000000	338.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2011	2011	\N	50	ED50	60	51	30.48	N	3	26	43.52	E	60.858467	3.445422	6747264.690000	524199.230000	31	31	2	D	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6620	http://www.npd.no/FactMapSearch?NPDID_wellbore=6620	multilateral	31/2-D-2 AY1H	6620	44534	46437	9999-12-31	21228	296164	278105	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-D-2 AY3H	31/2-D-2	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-08-15	2011-08-23	TROLL	3370-P3	31/2-1 TROLL VEST	NO	25.000000	\N	4478.000000	338.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL D	4	YES	OIL	2011	2011	\N	50	ED50	60	51	30.48	N	3	26	43.52	E	60.858467	3.445422	6747264.690000	524199.230000	31	31	2	D	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6621	http://www.npd.no/FactMapSearch?NPDID_wellbore=6621	multilateral	31/2-D-2 AY2H	6621	44534	46437	9999-12-31	21228	296164	278105	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/4-A-14 E	31/4-A-14	Statoil Petroleum AS	STATOIL	055	PRODUCTION	OIL	DEVELOPMENT	2011-07-06	2011-07-28	BRAGE	3371-P	31/4-3 BRAGE	NO	62.600000	\N	6940.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2011	2011	\N	50	ED50	60	32	33.42	N	3	2	50.69	E	60.542617	3.047414	6712002.720000	502601.340000	31	31	4	A	14	E	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6623	http://www.npd.no/FactMapSearch?NPDID_wellbore=6623	sidetrack	31/4-A-14 D	6623	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/8-G-20 A	2/8-G-20	BP Norge AS	BP	006 B	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALHALL	3372-P	2/8-6 VALHALL	NO	65.300000	\N	0.000000	73.700000	NORTH SEA	VALHALL IP	JACKET 4 LEGS	VALHALL IP	Awarded additionaly to round 1-A	NO	WATER	0	0	\N	0	ED50	56	16	35.58	N	3	23	47.10	E	56.276550	3.396417	6237068.440000	524547.940000	31	2	8	G	20	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6624	http://www.npd.no/FactMapSearch?NPDID_wellbore=6624	sidetrack	2/8-G-20	6624	44162	43548	9999-12-31	1333048	282529	282529	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
6608/10-H-4 H	6608/10-H-4	Statoil Petroleum AS	STATOIL	128	OBSERVATION	WATER	DEVELOPMENT	2011-07-01	2011-07-20	URD	3373-P	6608/10-6 SVALE	NO	40.000000	\N	1841.000000	376.000000	NORWEGIAN SEA	AKER SPITSBERGEN	SEMISUB STEEL	NORNE H	10-B	NO	WATER	2011	2011	\N	99	ED50	66	4	39.34	N	8	15	3.75	E	66.077594	8.251042	7328947.280000	466109.580000	32	6608	10	H	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6625	http://www.npd.no/FactMapSearch?NPDID_wellbore=6625	initial	\N	6625	1030536	2834734	9999-12-31	21836	404201	364827	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
6608/10-H-4 AH	6608/10-H-4	Statoil Petroleum AS	STATOIL	128	INJECTION	WATER	DEVELOPMENT	2011-07-21	2011-08-06	URD	3374-P	6608/10-6 SVALE	NO	40.000000	\N	1979.000000	376.000000	NORWEGIAN SEA	AKER SPITSBERGEN	SEMISUB STEEL	NORNE H	10-B	NO	WATER	2011	2011	\N	173	ED50	66	4	39.34	N	8	15	3.75	E	66.077594	8.251042	7328947.280000	466109.580000	32	6608	10	H	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6626	http://www.npd.no/FactMapSearch?NPDID_wellbore=6626	sidetrack	6608/10-H-4 H	6626	1030536	2834734	9999-12-31	21836	404201	364827	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/9-F-7	30/9-F-7	Norsk Hydro Produksjon AS	HYDRO	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2006-09-06	2006-09-18	OSEBERG SØR	3375-P	30/9-10 OSEBERG SØR	NO	67.200000	\N	1487.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2006	2006	\N	99	ED50	60	23	24.86	N	2	47	49.42	E	60.390239	2.797061	6695047.100000	488813.570000	31	30	9	F	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6627	http://www.npd.no/FactMapSearch?NPDID_wellbore=6627	initial	\N	6627	44468	43645	9999-12-31	21636	280205	280205	0	HYDRO PRODUKSJON	2013-01-29	2013-01-29	2013-05-08
30/9-F-7 A	30/9-F-7	Statoil Petroleum AS	STATOIL	104	PRODUCTION	OIL	DEVELOPMENT	2011-07-31	2011-12-22	OSEBERG SØR	3376-P	30/9-10 OSEBERG SØR	NO	67.200000	\N	3772.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	2011	2011	\N	50	ED50	60	23	24.86	N	2	47	49.42	E	60.390239	2.797061	6695047.100000	488813.570000	31	30	9	F	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6628	http://www.npd.no/FactMapSearch?NPDID_wellbore=6628	sidetrack	30/9-F-7	6628	44468	43645	9999-12-31	21636	280205	280205	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/3-A-20 B	30/3-A-20	Statoil Petroleum AS	STATOIL	052	PRODUCTION	OIL	DEVELOPMENT	2011-09-18	2011-11-30	VESLEFRIKK	3377-P	30/3-2  VESLEFRIKK	NO	56.000000	\N	5898.000000	175.000000	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	VESLEFRIKK A	4	NO	OIL	2011	2011	\N	50	ED50	60	46	57.77	N	2	53	52.16	E	60.782714	2.897822	6738749.030000	494435.640000	31	30	3	A	20	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6641	http://www.npd.no/FactMapSearch?NPDID_wellbore=6641	sidetrack	30/3-A-20 A	6641	44378	43618	9999-12-31	21212	277321	277321	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6506/12-P-1 AH	6506/12-P-1	Statoil Petroleum AS	STATOIL	094	OBSERVATION	OIL	DEVELOPMENT	2011-07-21	2011-09-04	ÅSGARD	3378-P	6506/12-3 SMØRBUKK SØR	NO	23.000000	\N	5162.000000	311.000000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	ÅSGARD P	8	NO	OIL	2011	2011	\N	99	ED50	65	1	22.64	N	6	52	46.01	E	65.022956	6.879447	7212869.410000	400097.210000	32	6506	12	P	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6643	http://www.npd.no/FactMapSearch?NPDID_wellbore=6643	sidetrack	6506/12-P-1 H	6643	45846	43765	9999-12-31	21556	287983	278889	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
6506/12-P-1 BH	6506/12-P-1	Statoil Petroleum AS	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2011-09-05	2011-09-30	ÅSGARD	3379-P	6506/12-3 SMØRBUKK SØR	NO	23.000000	\N	6799.000000	311.000000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	ÅSGARD P	8	NO	OIL	2011	2011	\N	50	ED50	65	1	22.64	N	6	52	46.01	E	65.022956	6.879447	7212869.410000	400097.210000	32	6506	12	P	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6644	http://www.npd.no/FactMapSearch?NPDID_wellbore=6644	sidetrack	6506/12-P-1 AH	6644	45846	43765	9999-12-31	21556	287983	278889	0	STATOIL PETROLEUM AS	2012-11-20	2012-11-20	2013-05-08
6406/3-D-1 H	6406/3-D-1	Statoil Petroleum AS	STATOIL	091	OBSERVATION	OIL	DEVELOPMENT	2011-08-22	2011-09-30	TYRIHANS	3380-P	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	4236.000000	268.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS D	8	NO	OIL	2011	2011	\N	99	ED50	64	46	46.91	N	6	59	26.80	E	64.779697	6.990778	7185597.160000	404479.780000	32	6406	3	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6645	http://www.npd.no/FactMapSearch?NPDID_wellbore=6645	initial	\N	6645	44852	3960848	9999-12-31	21532	294382	377726	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
6406/3-D-1 AY1H	6406/3-D-1	Statoil Petroleum AS	STATOIL	091	PRODUCTION	OIL	DEVELOPMENT	2011-10-01	2011-10-25	TYRIHANS	3386-P1	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	5803.000000	268.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS D	8	NO	OIL	2011	2011	\N	50	ED50	64	46	46.91	N	6	59	26.80	E	64.779697	6.990778	7185597.160000	404479.780000	32	6406	3	D	1	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6646	http://www.npd.no/FactMapSearch?NPDID_wellbore=6646	multilateral	6406/3-D-1 H	6646	44852	3960848	9999-12-31	21532	294382	377726	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6406/3-D-1 AY2H	6406/3-D-1	Statoil Petroleum AS	STATOIL	091	PRODUCTION	OIL	DEVELOPMENT	2011-10-26	2012-01-09	TYRIHANS	3386-P2	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	7300.000000	268.000000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS D	8	NO	OIL	2011	2012	\N	50	ED50	64	46	46.91	N	6	59	26.80	E	64.779697	6.990778	7185597.160000	404479.780000	32	6406	3	D	1	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6647	http://www.npd.no/FactMapSearch?NPDID_wellbore=6647	multilateral	6406/3-D-1 AY1H	6647	44852	3960848	9999-12-31	21532	294382	377726	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/9-F-23	30/9-F-23	Statoil Petroleum AS	STATOIL	104	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	OSEBERG SØR	3381-P	30/9-10 OSEBERG SØR	NO	67.200000	\N	0.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	NO	OIL	0	0	\N	0	ED50	60	23	24.57	N	2	47	49.56	E	60.390158	2.797100	6695038.120000	488815.680000	31	30	9	F	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6649	http://www.npd.no/FactMapSearch?NPDID_wellbore=6649	initial	\N	6649	44468	43645	9999-12-31	21636	280205	280205	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
35/9-C-1 AY1H	35/9-C-1	GDF SUEZ E&P Norge AS	GDF SUEZ	153	PRODUCTION	OIL	DEVELOPMENT	2011-07-31	2011-09-14	GJØA	3382-P1	35/9-1 GJØA	NO	22.000000	\N	6449.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA C	12	YES	OIL	2011	2011	\N	50	ED50	61	20	26.90	N	3	57	30.46	E	61.340806	3.958461	6801287.170000	551284.140000	31	35	9	C	1	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6650	http://www.npd.no/FactMapSearch?NPDID_wellbore=6650	multilateral	\N	6650	44786	4467574	9999-12-31	22036	296245	403356	0	GDF SUEZ E&P NORGE	2013-01-31	2013-01-31	2013-05-08
35/9-C-1 AY2H	35/9-C-1	GDF SUEZ E&P Norge AS	GDF SUEZ	153	PRODUCTION	OIL	DEVELOPMENT	2011-09-15	2011-10-25	GJØA	3382-P2	35/9-1 GJØA	NO	22.000000	\N	6075.000000	363.000000	NORTH SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	GJØA C	12	YES	OIL	2011	2011	\N	50	ED50	61	20	26.90	N	3	57	30.46	E	61.340806	3.958461	6801287.170000	551284.140000	31	35	9	C	1	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6651	http://www.npd.no/FactMapSearch?NPDID_wellbore=6651	multilateral	35/9-C-1 AY1H	6651	44786	4467574	9999-12-31	22036	296245	403356	0	GDF SUEZ E&P NORGE	2013-01-31	2013-01-31	2013-05-08
31/2-X-11 BY1H	31/2-X-11	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-07-31	2011-08-22	TROLL	3383-P1	31/2-1 TROLL VEST	NO	24.000000	\N	5040.000000	333.000000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL T1	4	YES	OIL	2011	2011	\N	50	ED50	60	49	57.38	N	3	36	14.59	E	60.832606	3.604053	6744453.120000	532843.810000	31	31	2	X	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6652	http://www.npd.no/FactMapSearch?NPDID_wellbore=6652	multilateral	31/2-X-11 AH	6652	44534	46437	9999-12-31	21228	297649	280373	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-X-11 BY2H	31/2-X-11	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-08-23	2011-09-04	TROLL	3383-P2	31/2-1 TROLL VEST	NO	24.000000	\N	4944.000000	333.000000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL T1	4	YES	OIL	2011	2011	\N	50	ED50	60	49	57.38	N	3	36	14.59	E	60.832606	3.604053	6744453.120000	532843.810000	31	31	2	X	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6653	http://www.npd.no/FactMapSearch?NPDID_wellbore=6653	multilateral	31/2-X-11 BY1H	6653	44534	46437	9999-12-31	21228	297649	280373	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-Q-12 BH	31/2-Q-12	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-08-09	2011-08-31	TROLL	3384-P	31/2-1 TROLL VEST	NO	35.500000	\N	6068.000000	335.100000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL Q1	4	NO	OIL	2011	2011	\N	50	ED50	60	50	40.72	N	3	37	38.29	E	60.844644	3.627303	6745805.920000	534095.120000	31	31	2	Q	12	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6654	http://www.npd.no/FactMapSearch?NPDID_wellbore=6654	sidetrack	31/2-Q-12 AH	6654	44534	46437	9999-12-31	21228	297055	279477	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-5 A	25/11-G-5	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2011-08-03	2011-08-09	GRANE	3385-P	25/11-15 GRANE	NO	69.900000	\N	1886.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2011	2011	\N	50	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	25	11	G	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6656	http://www.npd.no/FactMapSearch?NPDID_wellbore=6656	sidetrack	25/11-G-5	6656	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
6305/5-C-2 H	6305/5-C-2	A/S Norske Shell	SHELL	209	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2011-09-10	2011-10-02	ORMEN LANGE	3387-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	2877.000000	925.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE C	15	NO	GAS	2011	2011	\N	99	ED50	63	34	21.74	N	5	20	54.51	E	63.572706	5.348475	7051714.460000	616606.090000	31	6305	5	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6659	http://www.npd.no/FactMapSearch?NPDID_wellbore=6659	initial	\N	6659	44822	2762452	9999-12-31	22484	297082	415218	0	SHELL NORGE	2013-01-29	2013-01-29	2013-05-08
6305/5-C-2 AH	6305/5-C-2	A/S Norske Shell	SHELL	209	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ORMEN LANGE	3388-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	0.000000	925.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE C	15	NO	GAS	0	0	\N	0	ED50	63	34	21.74	N	5	20	54.51	E	63.572706	5.348475	7051714.460000	616606.090000	31	6305	5	C	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6660	http://www.npd.no/FactMapSearch?NPDID_wellbore=6660	sidetrack	6305/5-C-2 H	6660	44822	2762452	9999-12-31	22484	297082	415218	0	SHELL NORGE	2012-08-23	2012-08-23	2013-05-08
6305/5-C-3 H	6305/5-C-3	A/S Norske Shell	SHELL	209	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ORMEN LANGE	3389-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	0.000000	925.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE C	15	NO	GAS	0	0	\N	0	ED50	63	34	21.75	N	5	20	54.07	E	63.572708	5.348353	7051714.540000	616600.010000	31	6305	5	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6661	http://www.npd.no/FactMapSearch?NPDID_wellbore=6661	initial	\N	6661	44822	2762452	9999-12-31	22484	297082	415218	0	SHELL NORGE	2012-08-23	2012-08-23	2013-05-08
6305/5-C-7 H	6305/5-C-7	A/S Norske Shell	SHELL	209	PRODUCTION	\N	DEVELOPMENT	2011-08-21	2011-11-21	ORMEN LANGE	3390-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	4008.000000	925.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE C	15	NO	GAS	2011	2011	\N	71	ED50	63	34	22.23	N	5	20	54.11	E	63.572842	5.348364	7051729.410000	616600.020000	31	6305	5	C	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6662	http://www.npd.no/FactMapSearch?NPDID_wellbore=6662	initial	\N	6662	44822	2762452	9999-12-31	22484	297082	415218	0	SHELL NORGE	2013-01-29	2013-01-29	2013-05-08
6507/7-A-21	6507/7-A-21	Statoil Petroleum AS	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2012-01-02	2012-03-30	HEIDRUN	3391-P	6507/7-2 HEIDRUN	NO	74.200000	\N	0.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2012	2012	\N	50	ED50	65	19	32.87	N	7	19	3.58	E	65.325797	7.317661	7245992.280000	421637.390000	32	6507	7	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6664	http://www.npd.no/FactMapSearch?NPDID_wellbore=6664	initial	\N	6664	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2012-11-10	2012-11-10	2013-05-08
34/8-V-4 H	34/8-V-4	Statoil Petroleum AS	STATOIL	120	OBSERVATION	OIL	DEVELOPMENT	2011-09-28	2011-12-11	VISUND SØR	3392-P	34/8-14 S VISUND SØR	NO	22.000000	\N	3181.000000	291.000000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	VISUND SØR	10-A	NO	OIL	2011	2011	\N	99	ED50	61	18	1.95	N	2	21	49.80	E	61.300542	2.363833	6796591.550000	465916.620000	31	34	8	V	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6665	http://www.npd.no/FactMapSearch?NPDID_wellbore=6665	initial	\N	6665	5081135	20461008	9999-12-31	21772	287902	414939	0	STATOIL PETROLEUM AS	2013-05-01	2013-05-01	2013-05-08
34/8-V-4 AH	34/8-V-4	Statoil Petroleum AS	STATOIL	120	OBSERVATION	OIL	DEVELOPMENT	2011-12-15	2012-02-11	VISUND SØR	3393-P	34/8-14 S VISUND SØR	NO	22.000000	\N	4160.000000	291.000000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	VISUND SØR	10-A	NO	OIL	2011	2012	\N	99	ED50	61	18	1.95	N	2	21	49.78	E	61.300542	2.363828	6796591.560000	465916.320000	31	34	8	V	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6666	http://www.npd.no/FactMapSearch?NPDID_wellbore=6666	sidetrack	34/8-V-4 H	6666	5081135	20461008	9999-12-31	21772	287902	414939	0	STATOIL PETROLEUM AS	2013-05-01	2013-05-01	2013-05-08
34/8-V-4 BY1H	34/8-V-4	Statoil Petroleum AS	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2012-02-11	2012-08-22	VISUND SØR	3394-P1	34/8-14 S VISUND SØR	NO	22.000000	\N	4721.000000	291.000000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	VISUND SØR	10-A	YES	OIL	2012	2012	\N	50	ED50	61	18	1.95	N	2	21	49.78	E	61.300542	2.363828	6796591.560000	465916.320000	31	34	8	V	4	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6667	http://www.npd.no/FactMapSearch?NPDID_wellbore=6667	multilateral	34/8-V-4 AH	6667	5081135	20461008	9999-12-31	21772	287902	414939	0	STATOIL PETROLEUM AS	2013-05-01	2013-05-01	2013-05-08
34/8-V-4 BY2H	34/8-V-4	Statoil Petroleum AS	STATOIL	120	PRODUCTION	OIL/GAS	DEVELOPMENT	2012-08-23	2012-09-16	VISUND SØR	3394-P2	34/8-14 S VISUND SØR	NO	25.000000	\N	4815.000000	291.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VISUND SØR	10-A	YES	OIL/GAS	2012	2012	\N	0	ED50	61	18	1.95	N	2	21	49.78	E	61.300542	2.363828	6796591.560000	465916.320000	31	34	8	V	4	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6668	http://www.npd.no/FactMapSearch?NPDID_wellbore=6668	multilateral	34/8-V-4 BY1H	6668	5081135	20461008	9999-12-31	21772	294058	414939	0	STATOIL PETROLEUM AS	2013-05-01	2013-05-01	2013-05-08
31/5-J-22 AY1H	31/5-J-22	Statoil Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2011-10-25	2011-11-15	TROLL	3395-P1	31/2-1 TROLL VEST	NO	35.500000	\N	5263.000000	314.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	YES	OIL	2011	2011	\N	50	ED50	60	43	45.35	N	3	39	23.79	E	60.729264	3.656608	6732970.190000	535816.450000	31	31	5	J	22	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6675	http://www.npd.no/FactMapSearch?NPDID_wellbore=6675	multilateral	\N	6675	44534	46437	9999-12-31	21476	297055	279981	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/5-J-22 AY2H	31/5-J-22	Statoil Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2011-11-16	2011-11-30	TROLL	3395-P2	31/2-1 TROLL VEST	NO	35.500000	\N	5242.000000	314.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	YES	OIL	2011	2011	\N	50	ED50	60	43	45.35	N	3	39	23.79	E	60.729264	3.656608	6732970.190000	535816.450000	31	31	5	J	22	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6676	http://www.npd.no/FactMapSearch?NPDID_wellbore=6676	multilateral	31/5-J-22 AY1H	6676	44534	46437	9999-12-31	21476	297055	279981	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/5-J-22 AY3H	31/5-J-22	Statoil Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2011-12-01	2011-12-20	TROLL	3395-P3	31/2-1 TROLL VEST	NO	35.500000	\N	5201.000000	314.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL J2	Awarded additionaly to round 7	YES	OIL	2011	2011	\N	50	ED50	60	43	45.35	N	3	39	23.79	E	60.729264	3.656608	6732970.190000	535816.450000	31	31	5	J	22	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6677	http://www.npd.no/FactMapSearch?NPDID_wellbore=6677	multilateral	31/5-J-22 AY2H	6677	44534	46437	9999-12-31	21476	297055	279981	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-G-4 BY1H	31/2-G-4	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-09-16	2011-10-08	TROLL	3396-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5362.000000	327.400000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL G	4	YES	OIL	2011	2011	\N	50	ED50	60	45	9.37	N	3	26	21.77	E	60.752603	3.439381	6735470.890000	523949.940000	31	31	2	G	4	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6679	http://www.npd.no/FactMapSearch?NPDID_wellbore=6679	multilateral	31/2-G-4 AH	6679	44534	46437	9999-12-31	21228	296164	278189	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-G-4 BY2H	31/2-G-4	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-10-09	2011-10-26	TROLL	3396-P2	31/2-1 TROLL VEST	NO	25.000000	\N	4100.000000	327.400000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL G	4	YES	OIL	2011	2011	\N	50	ED50	60	45	9.37	N	3	26	21.77	E	60.752603	3.439381	6735470.890000	523949.940000	31	31	2	G	4	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6680	http://www.npd.no/FactMapSearch?NPDID_wellbore=6680	multilateral	31/2-G-4 BY1H	6680	44534	46437	9999-12-31	21228	296164	278189	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/10-F-3 AH	34/10-F-3	Statoil Petroleum AS	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2011-10-14	2012-04-25	GULLFAKS SØR	3397-P	34/10-2 GULLFAKS SØR	NO	32.000000	\N	6290.000000	134.000000	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	GULLFAKS SØR F	Awarded additionaly to round 3	NO	OIL	2011	2012	\N	50	ED50	61	5	51.78	N	2	16	35.48	E	61.097717	2.276522	6774047.980000	460988.950000	31	34	10	F	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6682	http://www.npd.no/FactMapSearch?NPDID_wellbore=6682	sidetrack	34/10-F-3 H	6682	44606	43699	9999-12-31	21188	404360	279645	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6507/2-N-2 H	6507/2-N-2	Eni Norge AS	ENI	122	OBSERVATION	GAS/CONDENSATE	DEVELOPMENT	2011-10-03	2011-11-21	MARULK	3398-P	6507/2-2 MARULK	NO	25.000000	\N	2930.000000	367.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	MARULK	10-B	NO	GAS/CONDENSATE	2011	2011	\N	99	ED50	65	56	0.57	N	7	32	36.69	E	65.933492	7.543525	7313451.130000	433724.860000	32	6507	2	N	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6702	http://www.npd.no/FactMapSearch?NPDID_wellbore=6702	initial	\N	6702	44918	18212090	9999-12-31	21788	294058	410829	0	ENI NORGE	2013-01-29	2013-01-29	2013-05-08
6507/2-N-2 AH	6507/2-N-2	Eni Norge AS	ENI	122	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2011-11-23	2012-03-01	MARULK	3399-P	6507/2-2 MARULK	NO	25.000000	\N	3364.000000	367.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	MARULK	10-B	NO	GAS/CONDENSATE	2011	2012	\N	170	ED50	65	56	0.57	N	7	32	36.69	E	65.933492	7.543525	7313451.130000	433724.860000	32	6507	2	N	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6703	http://www.npd.no/FactMapSearch?NPDID_wellbore=6703	sidetrack	6507/2-N-2 H	6703	44918	18212090	9999-12-31	21788	294058	410829	0	ENI NORGE	2012-11-10	2012-11-10	2013-05-08
6507/2-N-4 H	6507/2-N-4	Eni Norge AS	ENI	122	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2011-12-22	2012-11-12	MARULK	3400-P	6507/2-2 MARULK	NO	25.000000	\N	3606.000000	367.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	MARULK	10-B	NO	GAS/CONDENSATE	2011	2012	\N	170	ED50	65	56	0.41	N	7	32	37.60	E	65.933447	7.543778	7313445.910000	433736.250000	32	6507	2	N	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6704	http://www.npd.no/FactMapSearch?NPDID_wellbore=6704	initial	\N	6704	44918	18212090	9999-12-31	21788	294058	410829	0	ENI NORGE	2012-11-20	2012-11-20	2013-05-08
15/3-A-5	15/3-A-5	Statoil Petroleum AS	STATOIL	025	OBSERVATION	\N	DEVELOPMENT	2011-12-12	2012-05-20	GUDRUN	3401-P	15/3-1 S GUDRUN	NO	54.000000	\N	5919.000000	109.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	GUDRUN	2-A	NO	OIL	2011	2012	\N	99	ED50	58	50	42.42	N	1	44	37.69	E	58.845117	1.743803	6523636.080000	427503.810000	31	15	3	A	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6705	http://www.npd.no/FactMapSearch?NPDID_wellbore=6705	initial	\N	6705	43880	18116481	9999-12-31	34512	296110	410651	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
15/3-A-6	15/3-A-6	Statoil Petroleum AS	STATOIL	025	PRODUCTION	\N	DEVELOPMENT	2012-09-26	2012-11-01	GUDRUN	3402-P	15/3-1 S GUDRUN	NO	54.000000	\N	4316.000000	109.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	GUDRUN	2-A	NO	GAS/CONDENSATE	2012	2012	\N	71	ED50	58	50	42.46	N	1	44	37.82	E	58.845128	1.743839	6523637.280000	427505.920000	31	15	3	A	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6706	http://www.npd.no/FactMapSearch?NPDID_wellbore=6706	initial	\N	6706	43880	18116481	9999-12-31	34512	296110	410651	0	STATOIL PETROLEUM AS	2013-03-09	2013-03-09	2013-05-08
15/3-A-7	15/3-A-7	Statoil Petroleum AS	STATOIL	025	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GUDRUN	3403-P	15/3-1 S GUDRUN	NO	53.200000	\N	0.000000	109.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	GUDRUN	2-A	NO	OIL	0	0	\N	0	ED50	58	50	42.53	N	1	44	37.92	E	58.845147	1.743867	6523639.410000	427507.560000	31	15	3	A	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6707	http://www.npd.no/FactMapSearch?NPDID_wellbore=6707	initial	\N	6707	43880	18116481	9999-12-31	34512	296110	410651	0	STATOIL PETROLEUM AS	2013-04-23	2013-04-23	2013-05-08
15/3-A-12	15/3-A-12	Statoil Petroleum AS	STATOIL	025	PRODUCTION	\N	DEVELOPMENT	2011-10-15	2012-09-16	GUDRUN	3404-P	15/3-1 S GUDRUN	NO	54.000000	\N	6180.000000	109.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	GUDRUN	2-A	NO	OIL	2011	2012	\N	71	ED50	58	50	42.47	N	1	44	38.17	E	58.845131	1.743936	6523637.480000	427511.530000	31	15	3	A	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6708	http://www.npd.no/FactMapSearch?NPDID_wellbore=6708	initial	\N	6708	43880	18116481	9999-12-31	34512	296110	410651	0	STATOIL PETROLEUM AS	2013-04-10	2013-04-10	2013-05-08
15/3-A-13	15/3-A-13	Statoil Petroleum AS	STATOIL	025	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GUDRUN	3405-P	15/3-1 S GUDRUN	NO	54.000000	\N	0.000000	109.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	GUDRUN	2-A	NO	OIL	0	0	\N	0	ED50	58	50	42.31	N	1	44	37.82	E	58.845086	1.743839	6523632.640000	427505.830000	31	15	3	A	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6709	http://www.npd.no/FactMapSearch?NPDID_wellbore=6709	initial	\N	6709	43880	18116481	9999-12-31	34512	296110	410651	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
15/3-A-16	15/3-A-16	Statoil Petroleum AS	STATOIL	025	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GUDRUN	3406-P	15/3-1 S GUDRUN	NO	54.000000	\N	0.000000	109.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	GUDRUN	2-A	NO	GAS/CONDENSATE	0	0	\N	0	ED50	58	50	42.43	N	1	44	38.22	E	58.845119	1.743950	6523636.230000	427512.310000	31	15	3	A	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6710	http://www.npd.no/FactMapSearch?NPDID_wellbore=6710	initial	\N	6710	43880	18116481	9999-12-31	34512	296110	410651	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6407/7-A-3 H	6407/7-A-3	Statoil Petroleum AS	STATOIL	107	PRODUCTION	\N	DEVELOPMENT	2011-11-11	2011-12-30	NJORD	3408-P	6407/7-1 S NJORD	NO	30.000000	\N	0.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL	2011	2011	\N	71	ED50	64	16	14.42	N	7	12	5.04	E	64.270672	7.201400	7128584.960000	412883.040000	32	6407	7	A	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6713	http://www.npd.no/FactMapSearch?NPDID_wellbore=6713	initial	\N	6713	44876	43751	9999-12-31	21660	277713	277713	0	STATOIL PETROLEUM AS	2013-02-14	2013-02-14	2013-05-08
15/3-A-9	15/3-A-9	Statoil Petroleum AS	STATOIL	025	PRODUCTION	GAS	DEVELOPMENT	2012-11-27	2013-03-12	GUDRUN	3409-P	15/3-1 S GUDRUN	NO	53.200000	\N	5706.000000	109.000000	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	GUDRUN	2-A	NO	GAS	2012	2013	\N	90	ED50	58	50	42.35	N	1	44	37.77	E	58.845097	1.743825	6523633.890000	427505.050000	31	15	3	A	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6714	http://www.npd.no/FactMapSearch?NPDID_wellbore=6714	initial	\N	6714	43880	18116481	9999-12-31	34512	296110	410651	0	STATOIL PETROLEUM AS	2013-03-15	2013-03-15	2013-05-08
6305/5-C-5 H	6305/5-C-5	A/S Norske Shell	SHELL	209	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	ORMEN LANGE	3410-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	0.000000	925.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE C	15	NO	GAS	0	0	\N	0	ED50	63	34	22.44	N	5	20	55.58	E	63.572900	5.348772	7051736.650000	616620.050000	31	6305	5	C	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6717	http://www.npd.no/FactMapSearch?NPDID_wellbore=6717	initial	\N	6717	44822	2762452	9999-12-31	22484	297082	415218	0	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6305/5-C-6 H	6305/5-C-6	A/S Norske Shell	SHELL	209	PRODUCTION	GAS	DEVELOPMENT	2012-01-02	2012-03-05	ORMEN LANGE	3411-P	6305/5-1 ORMEN LANGE	NO	36.000000	\N	3497.000000	925.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	ORMEN LANGE C	15	NO	GAS	2012	2012	\N	90	ED50	63	34	22.21	N	5	20	54.46	E	63.572836	5.348461	7051728.970000	616604.870000	31	6305	5	C	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6718	http://www.npd.no/FactMapSearch?NPDID_wellbore=6718	initial	\N	6718	44822	2762452	9999-12-31	22484	297082	415218	0	SHELL NORGE	2013-01-26	2013-01-26	2013-05-08
34/10-E-2 AH	34/10-E-2	Statoil Petroleum AS	STATOIL	050	INJECTION	GAS	DEVELOPMENT	2011-10-16	2012-05-17	GULLFAKS SØR	3412-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	3784.000000	134.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	GULLFAKS SØR E	Awarded additionaly to round 3	NO	GAS	2011	2012	\N	91	ED50	61	6	38.27	N	2	15	38.33	E	61.110631	2.260647	6775495.970000	460149.220000	31	34	10	E	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6719	http://www.npd.no/FactMapSearch?NPDID_wellbore=6719	sidetrack	34/10-E-2 H	6719	44606	43699	9999-12-31	21188	290980	279701	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
25/11-G-5 BY1	25/11-G-5	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2011-10-20	2011-11-09	GRANE	3413-P1	25/11-15 GRANE	NO	69.900000	\N	3805.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2011	2011	\N	50	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	25	11	G	5	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6721	http://www.npd.no/FactMapSearch?NPDID_wellbore=6721	multilateral	25/11-G-5 A	6721	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-5 BY2	25/11-G-5	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2011-11-10	2011-11-28	GRANE	3413-P2	25/11-15 GRANE	NO	69.900000	\N	3840.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2011	2011	\N	50	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	25	11	G	5	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6722	http://www.npd.no/FactMapSearch?NPDID_wellbore=6722	multilateral	25/11-G-5 BY1	6722	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-5 BY3	25/11-G-5	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2011-11-29	2011-12-08	GRANE	3413-P3	25/11-15 GRANE	NO	69.900000	\N	3877.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2011	2011	\N	50	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	25	11	G	5	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6723	http://www.npd.no/FactMapSearch?NPDID_wellbore=6723	multilateral	25/11-G-5 BY2	6723	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/11-G-5 BY4	25/11-G-5	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2011-12-11	2011-12-29	GRANE	3413-P4	25/11-15 GRANE	NO	69.900000	\N	3050.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2011	2011	\N	50	ED50	59	9	54.99	N	2	29	13.98	E	59.165275	2.487217	6558719.940000	470679.440000	31	25	11	G	5	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6724	http://www.npd.no/FactMapSearch?NPDID_wellbore=6724	multilateral	25/11-G-5 BY3	6724	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/7-A-15 B	2/7-A-15	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2011-10-13	2012-02-15	ELDFISK	3414-P	2/7-1 ELDFISK	NO	43.000000	\N	5393.000000	71.000000	NORTH SEA	ELDFISK A	JACKET 12 LEGS	ELDFISK A	1-A	NO	OIL	2011	2012	\N	50	ED50	56	22	36.58	N	3	15	57.54	E	56.376828	3.265983	6248191.250000	516427.810000	31	2	7	A	15	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6726	http://www.npd.no/FactMapSearch?NPDID_wellbore=6726	sidetrack	2/7-A-15 A	6726	44114	43527	9999-12-31	20900	271581	271581	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6506/12-NB-1 H	6506/12-NB-1	Statoil Petroleum AS	STATOIL	094	PRODUCTION	OIL/GAS	DEVELOPMENT	2009-08-06	2009-09-02	ÅSGARD	3415-P	6506/12-1 SMØRBUKK	NO	23.500000	\N	5481.000000	301.000000	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	ÅSGARD NB	8	NO	OIL/GAS	2009	2009	6506/12-12 A	0	ED50	65	13	1.19	N	6	54	29.77	E	65.216997	6.908269	7234441.750000	402170.960000	32	6506	12	N	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6731	http://www.npd.no/FactMapSearch?NPDID_wellbore=6731	initial	\N	6731	44900	43765	9999-12-31	21556	296677	413766	6208	STATOIL PETROLEUM AS	2012-11-10	2012-11-10	2013-05-08
31/2-P-11 AY1H	31/2-P-11	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-11-07	2011-12-21	TROLL	3416-P1	31/2-1 TROLL VEST	NO	24.000000	\N	6151.000000	336.200000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL P1	4	YES	OIL	2011	2011	\N	50	ED50	60	52	1.24	N	3	33	28.91	E	60.867011	3.558031	6748263.200000	530308.920000	31	31	2	P	11	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6732	http://www.npd.no/FactMapSearch?NPDID_wellbore=6732	multilateral	\N	6732	44534	46437	9999-12-31	21228	297649	279085	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-P-11 AY2H	31/2-P-11	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-01-02	2012-02-02	TROLL	3416-P2	31/2-1 TROLL VEST	NO	24.000000	\N	6254.000000	336.200000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL P1	4	YES	OIL	2012	2012	\N	50	ED50	60	52	1.24	N	3	33	28.91	E	60.867011	3.558031	6748263.200000	530308.920000	31	31	2	P	11	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6733	http://www.npd.no/FactMapSearch?NPDID_wellbore=6733	multilateral	31/2-P-11 AY1H	6733	44534	46437	9999-12-31	21228	297649	279085	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
33/9-C-1 C	33/9-C-1	Statoil Petroleum AS	STATOIL	037	PRODUCTION	WATER	DEVELOPMENT	2012-01-11	2012-05-05	STATFJORD	3417-P	33/12-1 STATFJORD	NO	78.400000	\N	3982.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	2012	2012	\N	172	ED50	61	17	48.17	N	1	54	11.09	E	61.296714	1.903081	6796492.690000	441225.370000	31	33	9	C	1	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6734	http://www.npd.no/FactMapSearch?NPDID_wellbore=6734	sidetrack	33/9-C-1 B	6734	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
6608/10-M-4 AH	6608/10-M-4	Statoil Petroleum AS	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2011-12-19	2012-01-21	NORNE	3418-P	6608/10-2 NORNE	NO	40.000000	\N	4752.000000	375.000000	NORWEGIAN SEA	TRANSOCEAN SPITSBERGEN	SEMISUB STEEL	NORNE M	10-B	NO	OIL	2011	2012	\N	50	ED50	66	0	17.65	N	8	1	56.16	E	66.004903	8.032267	7320980.780000	456085.490000	32	6608	10	M	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6735	http://www.npd.no/FactMapSearch?NPDID_wellbore=6735	sidetrack	6608/10-M-4 H	6735	44942	43778	9999-12-31	21836	404201	409423	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/4-A-23 C	31/4-A-23	Statoil Petroleum AS	STATOIL	055	PRODUCTION	\N	DEVELOPMENT	2011-12-21	2012-05-02	BRAGE	3419-P	31/4-3 BRAGE	NO	63.000000	\N	0.000000	137.000000	NORTH SEA	BRAGE	JACKET 8 LEGS	BRAGE	4	NO	OIL	2011	2012	\N	0	ED50	60	32	33.09	N	3	2	50.86	E	60.542525	3.047461	6711992.510000	502603.940000	31	31	4	A	23	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6741	http://www.npd.no/FactMapSearch?NPDID_wellbore=6741	sidetrack	31/4-A-23 B	6741	44546	43651	9999-12-31	21236	277405	277405	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-N-13 AY1H	31/2-N-13	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-12-12	2012-01-06	TROLL	3420-P1	31/2-1 TROLL VEST	NO	25.000000	\N	4432.000000	341.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL N1	4	YES	OIL	2011	2012	\N	50	ED50	60	54	56.39	N	3	35	12.08	E	60.915664	3.586689	6753695.940000	531816.960000	31	31	2	N	13	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6743	http://www.npd.no/FactMapSearch?NPDID_wellbore=6743	multilateral	31/2-N-13 H	6743	44534	46437	9999-12-31	21228	296164	279729	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-N-13 AY2H	31/2-N-13	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-01-07	2012-02-04	TROLL	3420-P2	31/2-1 TROLL VEST	NO	25.000000	\N	6641.000000	341.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL N1	4	YES	OIL	2012	2012	\N	50	ED50	60	54	56.39	N	3	35	12.08	E	60.915664	3.586689	6753695.940000	531816.960000	31	31	2	N	13	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6744	http://www.npd.no/FactMapSearch?NPDID_wellbore=6744	multilateral	31/2-N-13 AY1H	6744	44534	46437	9999-12-31	21228	296164	279729	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
33/9-A-33 A	33/9-A-33	Statoil Petroleum AS	STATOIL	037	PRODUCTION	OIL/GAS	DEVELOPMENT	2011-12-10	2012-03-30	STATFJORD	3421-P	33/12-1 STATFJORD	NO	64.400000	\N	3037.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	OIL/GAS	2011	2012	\N	0	ED50	61	15	19.79	N	1	51	14.26	E	61.255497	1.853961	6791947.080000	438513.120000	31	33	9	A	33	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6746	http://www.npd.no/FactMapSearch?NPDID_wellbore=6746	sidetrack	33/9-A-33	6746	44558	43658	9999-12-31	21084	271273	271273	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-D-8 BY1H	31/2-D-8	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2011-11-28	2012-01-22	TROLL	3422-P1	31/2-1 TROLL VEST	NO	23.500000	\N	3800.000000	336.900000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TROLL D	4	YES	OIL	2011	2012	\N	50	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	31	2	D	8	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6748	http://www.npd.no/FactMapSearch?NPDID_wellbore=6748	multilateral	31/2-D-8 AH	6748	44534	46437	9999-12-31	21228	296677	278105	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-D-8 BY2H	31/2-D-8	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-01-24	2012-02-06	TROLL	3422-P2	31/2-1 TROLL VEST	NO	23.500000	\N	4107.000000	336.900000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TROLL D	4	YES	OIL	2012	2012	\N	50	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	31	2	D	8	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6749	http://www.npd.no/FactMapSearch?NPDID_wellbore=6749	multilateral	31/2-D-8 BY1H	6749	44534	46437	9999-12-31	21228	296677	278105	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-D-8 BY3H	31/2-D-8	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-02-07	2012-02-21	TROLL	3422-P3	31/2-1 TROLL VEST	NO	23.500000	\N	4038.000000	336.900000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TROLL D	4	YES	OIL	2012	2012	\N	50	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	31	2	D	8	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6750	http://www.npd.no/FactMapSearch?NPDID_wellbore=6750	multilateral	31/2-D-8 BY2H	6750	44534	46437	9999-12-31	21228	296677	278105	0	STATOIL PETROLEUM AS	2012-10-27	2012-10-27	2013-05-08
31/2-D-8 BY4H	31/2-D-8	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3422-P4	31/2-1 TROLL VEST	NO	23.500000	\N	0.000000	336.900000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TROLL D	4	YES	OIL	0	0	\N	0	ED50	60	51	18.84	N	3	26	43.69	E	60.855233	3.445469	6746904.560000	524204.250000	31	31	2	D	8	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6751	http://www.npd.no/FactMapSearch?NPDID_wellbore=6751	multilateral	31/2-D-8 BY3H	6751	44534	46437	9999-12-31	21228	296677	278105	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/4-B-9 C	2/4-B-9	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2011-11-17	2012-02-26	EKOFISK	3423-P	2/4-2 EKOFISK	NO	63.800000	\N	4957.000000	74.300000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2011	2012	\N	50	ED50	56	33	54.97	N	3	12	14.20	E	56.565269	3.203944	6269153.620000	512533.900000	31	2	4	B	9	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6752	http://www.npd.no/FactMapSearch?NPDID_wellbore=6752	sidetrack	2/4-B-9 B	6752	44072	43506	9999-12-31	20900	297838	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6407/1-B-4 H	6407/1-B-4	Statoil Petroleum AS	STATOIL	073	OBSERVATION	OIL	DEVELOPMENT	2012-01-24	2012-03-20	TYRIHANS	3424-P	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	4168.000000	275.200000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS B	5	NO	OIL	2012	2012	\N	99	ED50	64	48	41.60	N	7	3	24.60	E	64.811556	7.056833	7189048.470000	407728.290000	32	6407	1	B	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6757	http://www.npd.no/FactMapSearch?NPDID_wellbore=6757	initial	\N	6757	44852	3960848	9999-12-31	21380	294382	377652	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6407/1-B-4 AY1H	6407/1-B-4	Statoil Petroleum AS	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2012-03-21	2012-04-09	TYRIHANS	3425-P1	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	6223.000000	275.200000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS B	5	YES	OIL	2012	2012	\N	50	ED50	64	48	41.60	N	7	3	24.60	E	64.811556	7.056833	7189048.470000	407728.290000	32	6407	1	B	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6758	http://www.npd.no/FactMapSearch?NPDID_wellbore=6758	multilateral	6407/1-B-4 H	6758	44852	3960848	9999-12-31	21380	294382	377652	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6407/1-B-4 AY2H	6407/1-B-4	Statoil Petroleum AS	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2012-04-09	2012-06-22	TYRIHANS	3425-P2	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	7200.000000	275.200000	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TYRIHANS B	5	YES	OIL	2012	2012	\N	50	ED50	64	48	41.60	N	7	3	24.60	E	64.811556	7.056833	7189048.470000	407728.290000	32	6407	1	B	4	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6759	http://www.npd.no/FactMapSearch?NPDID_wellbore=6759	multilateral	6407/1-B-4 AY1H	6759	44852	3960848	9999-12-31	21380	294382	377652	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/10-K-4 AH	34/10-K-4	Statoil Petroleum AS	STATOIL	050	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2012-04-29	2012-06-24	GULLFAKS SØR	3426-P	34/10-37 GULLVEIG	NO	25.000000	\N	3713.000000	139.800000	NORTH SEA	SONGA DEE	SEMISUB STEEL	GULLFAKS SØR K	Awarded additionaly to round 3	NO	GAS/CONDENSATE	2012	2012	\N	170	ED50	61	8	10.45	N	2	0	56.98	E	61.136236	2.015828	6778521.760000	446997.080000	31	34	10	K	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6760	http://www.npd.no/FactMapSearch?NPDID_wellbore=6760	sidetrack	34/10-K-4 H	6760	44630	43699	9999-12-31	21188	290980	280765	0	STATOIL PETROLEUM AS	2012-11-13	2012-11-13	2013-05-08
34/8-V-3 H	34/8-V-3	Statoil Petroleum AS	STATOIL	120	PRODUCTION	\N	DEVELOPMENT	2013-03-17	9999-12-31	VISUND SØR	3427-P	34/8-14 S VISUND SØR	NO	22.000000	\N	0.000000	292.000000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	VISUND SØR	10-A	NO	GAS	2013	0	\N	0	ED50	61	18	2.24	N	2	21	49.18	E	61.300622	2.363661	6796600.620000	465907.480000	31	34	8	V	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6761	http://www.npd.no/FactMapSearch?NPDID_wellbore=6761	initial	\N	6761	5081135	20461008	9999-12-31	21772	287902	414939	0	STATOIL PETROLEUM AS	2013-03-26	2013-03-26	2013-05-08
2/8-N-1	2/8-N-1	BP Norge AS	BP	006 B	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2012-01-18	2012-01-21	VALHALL	3428-P	2/8-6 VALHALL	NO	63.500000	\N	0.000000	69.800000	NORTH SEA	MÆRSK REACHER	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2012	2012	\N	81	ED50	56	19	27.65	N	3	21	9.35	E	56.324347	3.352597	6242373.820000	521807.210000	31	2	8	N	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6763	http://www.npd.no/FactMapSearch?NPDID_wellbore=6763	initial	\N	6763	44162	43548	9999-12-31	1333048	411423	361248	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
2/8-N-1 A	2/8-N-1	BP Norge AS	BP	006 B	OBSERVATION	\N	DEVELOPMENT	2012-03-05	2012-05-20	VALHALL	3429-P	2/8-6 VALHALL	NO	63.500000	\N	3340.000000	69.800000	NORTH SEA	MÆRSK REACHER	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2012	2012	\N	71	ED50	56	19	27.65	N	3	21	9.35	E	56.324347	3.352597	6242373.820000	521807.210000	31	2	8	N	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6764	http://www.npd.no/FactMapSearch?NPDID_wellbore=6764	sidetrack	2/8-N-1	6764	44162	43548	9999-12-31	1333048	411423	361248	0	BP NORGE	2013-01-29	2013-01-29	2013-05-08
2/8-N-4	2/8-N-4	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALHALL	3430-P	2/8-6 VALHALL	NO	63.500000	\N	0.000000	69.800000	NORTH SEA	MÆRSK REACHER	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	0	0	\N	0	ED50	56	19	27.81	N	3	21	9.63	E	56.324392	3.352675	6242378.790000	521811.990000	31	2	8	N	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6765	http://www.npd.no/FactMapSearch?NPDID_wellbore=6765	initial	\N	6765	44162	43548	9999-12-31	1333048	411423	361248	0	BP NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-N-9	2/8-N-9	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	2013-04-22	9999-12-31	VALHALL	3431-P	2/8-6 VALHALL	NO	63.500000	\N	0.000000	69.800000	NORTH SEA	MÆRSK REACHER	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2013	0	\N	0	ED50	56	19	27.55	N	3	21	9.54	E	56.324319	3.352650	6242370.750000	521810.490000	31	2	8	N	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6766	http://www.npd.no/FactMapSearch?NPDID_wellbore=6766	initial	\N	6766	44162	43548	9999-12-31	1333048	411423	361248	0	BP NORGE	2013-05-07	2013-05-07	2013-05-08
2/8-N-16	2/8-N-16	BP Norge AS	BP	006 B	PRODUCTION	OIL	DEVELOPMENT	2012-10-09	2013-04-10	VALHALL	3432-P	2/8-6 VALHALL	NO	63.500000	\N	4821.000000	69.800000	NORTH SEA	MÆRSK REACHER	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2012	2013	\N	50	ED50	56	19	27.79	N	3	21	9.38	E	56.324386	3.352606	6242378.150000	521807.700000	31	2	8	N	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6767	http://www.npd.no/FactMapSearch?NPDID_wellbore=6767	initial	\N	6767	44162	43548	9999-12-31	1333048	411423	361248	0	BP NORGE	2013-04-17	2013-04-17	2013-05-08
2/4-K-5 A	2/4-K-5	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2012-01-09	2012-03-09	EKOFISK	3433-P	2/4-2 EKOFISK	NO	55.200000	\N	3869.000000	73.800000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2012	2012	\N	173	ED50	56	33	55.91	N	3	12	22.81	E	56.565531	3.206336	6269183.120000	512680.800000	31	2	4	K	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6769	http://www.npd.no/FactMapSearch?NPDID_wellbore=6769	sidetrack	2/4-K-5	6769	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
34/10-H-2 BH	34/10-H-2	Statoil Petroleum AS	STATOIL	050 B	PRODUCTION	OIL/GAS	DEVELOPMENT	2013-01-23	2013-03-11	GULLFAKS SØR	3434-P	34/10-17 RIMFAKS	NO	32.000000	\N	4449.000000	135.000000	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	GULLFAKS SØR H	Awarded additionaly to round 3	NO	OIL/GAS	2013	2013	\N	0	ED50	61	3	20.40	N	2	4	26.04	E	61.055667	2.073900	6769502.020000	449997.430000	31	34	10	H	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6770	http://www.npd.no/FactMapSearch?NPDID_wellbore=6770	sidetrack	34/10-H-2 AH	6770	44600	43699	9999-12-31	21196	404360	280709	0	STATOIL PETROLEUM AS	2013-03-13	2013-03-13	2013-05-08
2/4-X-42 A	2/4-X-42	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	CUTTINGS	DEVELOPMENT	2012-03-01	2012-04-19	EKOFISK	3435-P	2/4-2 EKOFISK	NO	57.300000	\N	3969.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	CUTTINGS	2012	2012	\N	171	ED50	56	32	51.91	N	3	13	8.73	E	56.547753	3.219092	6267206.680000	513471.030000	31	2	4	X	42	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6771	http://www.npd.no/FactMapSearch?NPDID_wellbore=6771	sidetrack	2/4-X-42	6771	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
34/7-G-4 CH	34/7-G-4	Statoil Petroleum AS	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2012-01-15	2012-04-06	VIGDIS	3436-P	34/7-8 VIGDIS	NO	31.000000	\N	5688.000000	282.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS G	8	NO	OIL	2012	2012	\N	50	ED50	61	22	44.12	N	2	6	21.36	E	61.378922	2.105933	6805484.030000	452219.400000	31	34	7	G	4	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6773	http://www.npd.no/FactMapSearch?NPDID_wellbore=6773	sidetrack	34/7-G-4 BH	6773	44714	43732	9999-12-31	21516	290170	377425	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/9-F-8 Y1	30/9-F-8	Statoil Petroleum AS	STATOIL	104	PRODUCTION	OIL	DEVELOPMENT	2012-11-05	2013-03-18	OSEBERG SØR	3437-P1	30/9-10 OSEBERG SØR	NO	67.200000	\N	4543.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	YES	OIL	2012	2013	\N	50	ED50	60	23	24.88	N	2	47	49.56	E	60.390244	2.797100	6695047.720000	488815.710000	31	30	9	F	8	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6782	http://www.npd.no/FactMapSearch?NPDID_wellbore=6782	multilateral	\N	6782	44468	43645	9999-12-31	21636	280205	280205	0	STATOIL PETROLEUM AS	2013-03-20	2013-03-20	2013-05-08
30/9-F-8 Y2	30/9-F-8	Statoil Petroleum AS	STATOIL	104	PRODUCTION	OIL	DEVELOPMENT	2013-03-19	2013-04-06	OSEBERG SØR	3437-P2	30/9-10 OSEBERG SØR	NO	67.200000	\N	4234.000000	101.000000	NORTH SEA	OSEBERG SØR	JACKET 6 LEGS	OSEBERG SØR	9	YES	OIL	2013	2013	\N	50	ED50	60	23	24.88	N	2	47	49.56	E	60.390244	2.797100	6695047.720000	488815.710000	31	30	9	F	8	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6783	http://www.npd.no/FactMapSearch?NPDID_wellbore=6783	multilateral	30/9-F-8 Y1	6783	44468	43645	9999-12-31	21636	280205	280205	0	STATOIL PETROLEUM AS	2013-04-11	2013-04-11	2013-05-08
31/5-I-12 AY1H	31/5-I-12	Statoil Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2012-02-27	2012-03-24	TROLL	3438-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5683.000000	317.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2012	2012	\N	50	ED50	60	44	27.51	N	3	34	54.44	E	60.740975	3.581789	6734236.120000	531723.750000	31	31	5	I	12	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6784	http://www.npd.no/FactMapSearch?NPDID_wellbore=6784	multilateral	\N	6784	44534	46437	9999-12-31	21476	296164	279113	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/5-I-12 AY2H	31/5-I-12	Statoil Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2012-03-26	2012-04-18	TROLL	3438-P2	31/2-1 TROLL VEST	NO	25.000000	\N	6250.000000	317.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL I1	Awarded additionaly to round 7	YES	OIL	2012	2012	\N	50	ED50	60	44	27.51	N	3	34	54.44	E	60.740975	3.581789	6734236.120000	531723.750000	31	31	5	I	12	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6785	http://www.npd.no/FactMapSearch?NPDID_wellbore=6785	multilateral	31/5-I-12 AY1H	6785	44534	46437	9999-12-31	21476	296164	279113	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
6506/11-F-3 H	6506/11-F-3	Statoil Petroleum AS	STATOIL	134	PRODUCTION	OIL	DEVELOPMENT	2012-01-26	2012-03-05	ÅSGARD	3439-P	6506/12-1 SMØRBUKK	NO	40.000000	\N	4584.000000	303.000000	NORWEGIAN SEA	TRANSOCEAN SPITSBERGEN	SEMISUB STEEL	ÅSGARD F	11-A	NO	OIL	2012	2012	\N	50	ED50	65	1	46.46	N	6	36	4.47	E	65.029572	6.601242	7214075.090000	387023.110000	32	6506	11	F	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6786	http://www.npd.no/FactMapSearch?NPDID_wellbore=6786	initial	\N	6786	44900	43765	9999-12-31	21884	404201	278553	0	STATOIL PETROLEUM AS	2012-11-20	2012-11-20	2013-05-08
34/8-A-18 H	34/8-A-18	Statoil Petroleum AS	STATOIL	120	PRODUCTION	\N	DEVELOPMENT	2012-11-17	2012-12-30	VISUND	3440-P	34/8-1 VISUND	NO	29.000000	\N	0.000000	335.000000	NORTH SEA	VISUND	SEMISUB STEEL	VISUND	10-A	NO	GAS/CONDENSATE	2012	2012	\N	0	ED50	61	22	11.65	N	2	27	31.33	E	61.369903	2.458703	6804272.030000	471063.320000	31	34	8	A	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6787	http://www.npd.no/FactMapSearch?NPDID_wellbore=6787	initial	\N	6787	44720	43745	9999-12-31	21772	277685	277685	0	STATOIL PETROLEUM AS	2013-01-09	2013-01-09	2013-05-08
31/2-Y-24 BY1H	31/2-Y-24	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-02-19	2012-04-23	TROLL	3441-P1	31/2-1 TROLL VEST	NO	24.000000	\N	5405.000000	331.500000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL U2	4	YES	OIL	2012	2012	\N	50	ED50	60	49	51.68	N	3	34	21.08	E	60.831022	3.572522	6744261.400000	531130.990000	31	31	2	Y	24	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6789	http://www.npd.no/FactMapSearch?NPDID_wellbore=6789	multilateral	31/2-Y-24 AH	6789	44534	46437	9999-12-31	21228	297649	280457	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-Y-24 BY2H	31/2-Y-24	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-04-24	2012-06-12	TROLL	3441-P2	31/2-1 TROLL VEST	NO	24.000000	\N	5748.000000	331.500000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL U2	4	YES	OIL	2012	2012	\N	50	ED50	60	49	51.68	N	3	34	21.08	E	60.831022	3.572522	6744261.400000	531130.990000	31	31	2	Y	24	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6790	http://www.npd.no/FactMapSearch?NPDID_wellbore=6790	multilateral	31/2-Y-24 BY1H	6790	44534	46437	9999-12-31	21228	297649	280457	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
24/6-B-5 H	24/6-B-5	Marathon Petroleum Norge AS	MARATHON	203	OBSERVATION	OIL	DEVELOPMENT	2012-04-05	2012-04-30	ALVHEIM	3442-P	24/6-2 ALVHEIM	NO	26.000000	\N	3343.000000	124.000000	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	KNELER B	15	NO	OIL	2012	2012	\N	99	ED50	59	32	46.09	N	1	59	22.93	E	59.546136	1.989703	6601454.680000	442876.480000	31	24	6	B	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6791	http://www.npd.no/FactMapSearch?NPDID_wellbore=6791	initial	\N	6791	45828	2845712	9999-12-31	22436	296326	375092	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
24/6-B-5 AY1H	24/6-B-5	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2012-05-01	2012-05-27	ALVHEIM	3443-P1	24/6-2 ALVHEIM	NO	26.000000	\N	4977.000000	124.000000	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	KNELER B	15	YES	OIL	2012	2012	\N	50	ED50	59	32	46.09	N	1	59	22.93	E	59.546136	1.989703	6601454.680000	442876.480000	31	24	6	B	5	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6792	http://www.npd.no/FactMapSearch?NPDID_wellbore=6792	multilateral	24/6-B-5 H	6792	45828	2845712	9999-12-31	22436	296326	375092	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/6-B-5 AY2H	24/6-B-5	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2012-05-29	2012-06-20	ALVHEIM	3443-P2	24/6-2 ALVHEIM	NO	26.000000	\N	5268.000000	124.000000	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	KNELER B	15	YES	OIL	2012	2012	\N	50	ED50	59	32	46.09	N	1	59	22.93	E	59.546136	1.989703	6601454.680000	442876.480000	31	24	6	B	5	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6793	http://www.npd.no/FactMapSearch?NPDID_wellbore=6793	multilateral	24/6-B-5 AY1H	6793	45828	2845712	9999-12-31	22436	296326	375092	0	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/6-B-5 AY3H	24/6-B-5	Marathon Petroleum Norge AS	MARATHON	203	PRODUCTION	OIL	DEVELOPMENT	2012-07-12	2012-08-10	ALVHEIM	3443-P3	24/6-2 ALVHEIM	NO	26.000000	\N	5654.000000	124.000000	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	KNELER B	15	YES	OIL	2012	2012	\N	50	ED50	59	32	46.09	N	1	59	22.93	E	59.546136	1.989703	6601454.680000	442876.480000	31	24	6	B	5	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6794	http://www.npd.no/FactMapSearch?NPDID_wellbore=6794	multilateral	24/6-B-5 AY2H	6794	45828	2845712	9999-12-31	22436	296326	375092	0	MARATHON N	2012-08-21	2012-08-21	2013-05-08
34/10-C-18 A	34/10-C-18	Statoil Petroleum AS	STATOIL	050	OBSERVATION	\N	DEVELOPMENT	2012-02-12	9999-12-31	GULLFAKS	3444-P	34/10-1 GULLFAKS	NO	84.000000	\N	0.000000	216.900000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL/GAS	2012	0	\N	99	ED50	61	12	53.42	N	2	16	27.84	E	61.214839	2.274400	6787095.160000	461019.250000	31	34	10	C	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6795	http://www.npd.no/FactMapSearch?NPDID_wellbore=6795	sidetrack	34/10-C-18	6795	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL PETROLEUM AS	2013-03-19	2013-03-19	2013-05-08
34/10-C-18 B	34/10-C-18	Statoil Petroleum AS	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GULLFAKS	3445-P	34/10-1 GULLFAKS	NO	84.000000	\N	0.000000	216.000000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	OIL/GAS	0	0	\N	0	ED50	61	12	53.42	N	2	16	27.84	E	61.214839	2.274400	6787095.160000	461019.250000	31	34	10	C	18	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6796	http://www.npd.no/FactMapSearch?NPDID_wellbore=6796	sidetrack	34/10-C-18 A	6796	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-K-14 BY1H	31/2-K-14	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-04-25	2012-05-18	TROLL	3446-P1	31/2-1 TROLL VEST	NO	23.500000	\N	4545.000000	319.000000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TROLL K1	4	YES	OIL	2012	2012	\N	50	ED50	60	46	5.96	N	3	36	41.19	E	60.768322	3.611442	6737296.790000	533312.260000	31	31	2	K	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6797	http://www.npd.no/FactMapSearch?NPDID_wellbore=6797	multilateral	31/2-K-14 AY2H	6797	44534	46437	9999-12-31	21228	296677	279449	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-K-14 BY2H	31/2-K-14	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-05-19	2012-05-31	TROLL	3446-P2	31/2-1 TROLL VEST	NO	23.500000	\N	4236.000000	319.000000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TROLL K1	4	YES	OIL	2012	2012	\N	50	ED50	60	46	5.96	N	3	36	41.19	E	60.768322	3.611442	6737296.790000	533312.260000	31	31	2	K	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6798	http://www.npd.no/FactMapSearch?NPDID_wellbore=6798	multilateral	31/2-K-14 BY1H	6798	44534	46437	9999-12-31	21228	296677	279449	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/10-F-1 H	34/10-F-1	Statoil Petroleum AS	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2012-05-02	2012-07-25	GULLFAKS SØR	3447-P	34/10-2 GULLFAKS SØR	NO	32.000000	\N	5370.000000	134.000000	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	GULLFAKS SØR F	Awarded additionaly to round 3	NO	OIL	2012	2012	\N	50	ED50	61	5	51.83	N	2	16	36.14	E	61.097731	2.276706	6774049.410000	460998.850000	31	34	10	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6799	http://www.npd.no/FactMapSearch?NPDID_wellbore=6799	initial	\N	6799	44606	43699	9999-12-31	21188	404360	279645	0	STATOIL PETROLEUM AS	2012-11-13	2012-11-13	2013-05-08
15/5-A-7 AH	15/5-A-7	Statoil Petroleum AS	STATOIL	048 B	PRODUCTION	\N	DEVELOPMENT	2012-05-12	2012-05-31	GLITNE	3448-P	15/5-5 GLITNE	NO	25.000000	\N	4122.000000	109.000000	NORTH SEA	COSLPioneer	SEMISUB STEEL	15/5-A-7 H	Awarded additionaly to round 3	NO	OIL	2012	2012	\N	71	ED50	58	42	45.05	N	1	37	52.05	E	58.712514	1.631125	6509000.010000	420699.940000	31	15	5	A	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6800	http://www.npd.no/FactMapSearch?NPDID_wellbore=6800	sidetrack	15/5-A-7 H	6800	43904	1272071	9999-12-31	1342723	413534	377347	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
25/8-C-13 B	25/8-C-13	ExxonMobil Exploration & Production Norway AS	ESSO	027	OBSERVATION	OIL	DEVELOPMENT	2012-04-22	2012-05-28	RINGHORNE ØST	3449-P	25/8-14 S	NO	60.300000	\N	4508.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2012	2012	\N	99	ED50	59	15	57.69	N	2	26	59.53	E	59.266025	2.449869	6569956.120000	468636.530000	31	25	8	C	13	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6801	http://www.npd.no/FactMapSearch?NPDID_wellbore=6801	sidetrack	25/8-C-13 A	6801	2472571	3505505	9999-12-31	20988	280849	280849	0	EXXON MO	2012-07-25	2012-07-25	2013-05-08
25/8-C-13 C	25/8-C-13	ExxonMobil Exploration & Production Norway AS	ESSO	027	PRODUCTION	OIL	DEVELOPMENT	2012-05-29	2012-07-18	RINGHORNE ØST	3450-P	25/8-14 S	NO	60.300000	\N	4536.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2012	2012	\N	50	ED50	59	15	57.69	N	2	26	59.53	E	59.266025	2.449869	6569956.120000	468636.530000	31	25	8	C	13	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6802	http://www.npd.no/FactMapSearch?NPDID_wellbore=6802	sidetrack	25/8-C-13 B	6802	2472571	3505505	9999-12-31	20988	280849	280849	0	EXXON MO	2012-11-13	2012-11-13	2013-05-08
25/11-G-21 A	25/11-G-21	Statoil Petroleum AS	STATOIL	169 B1	OBSERVATION	OIL	DEVELOPMENT	2012-02-13	2012-03-27	GRANE	3451-P	25/11-15 GRANE	NO	69.900000	\N	3476.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2012	2012	\N	99	ED50	59	9	54.76	N	2	29	14.42	E	59.165211	2.487339	6558712.770000	470686.380000	31	25	11	G	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6803	http://www.npd.no/FactMapSearch?NPDID_wellbore=6803	sidetrack	25/11-G-21	6803	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
25/11-G-21 BY1	25/11-G-21	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2012-03-28	2012-05-16	GRANE	3452-P1	25/11-15 GRANE	NO	69.900000	\N	3868.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2012	2012	\N	50	ED50	59	9	54.76	N	2	29	14.42	E	59.165211	2.487339	6558712.770000	470686.380000	31	25	11	G	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6804	http://www.npd.no/FactMapSearch?NPDID_wellbore=6804	multilateral	25/11-G-21 A	6804	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-11-13	2012-11-13	2013-05-08
25/11-G-21 BY2	25/11-G-21	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2012-05-21	2012-06-05	GRANE	3452-P2	25/11-15 GRANE	NO	69.900000	\N	4030.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2012	2012	\N	50	ED50	59	9	54.76	N	2	29	14.42	E	59.165211	2.487339	6558712.770000	470686.380000	31	25	11	G	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6805	http://www.npd.no/FactMapSearch?NPDID_wellbore=6805	multilateral	25/11-G-21 BY1	6805	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-11-13	2012-11-13	2013-05-08
25/11-G-21 BY3	25/11-G-21	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3452-P3	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	0	0	\N	0	ED50	59	9	54.76	N	2	29	14.42	E	59.165211	2.487339	6558712.770000	470686.380000	31	25	11	G	21	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6806	http://www.npd.no/FactMapSearch?NPDID_wellbore=6806	multilateral	25/11-G-21 BY2	6806	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
33/12-B-8 A	33/12-B-8	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS/CONDENSATE	DEVELOPMENT	2012-04-03	2012-04-23	STATFJORD	3453-P	33/12-1 STATFJORD	NO	77.800000	\N	2742.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS/CONDENSATE	2012	2012	\N	170	ED50	61	12	25.12	N	1	49	52.61	E	61.206978	1.831281	6786564.500000	437199.720000	31	33	12	B	8	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6807	http://www.npd.no/FactMapSearch?NPDID_wellbore=6807	sidetrack	33/12-B-8	6807	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL PETROLEUM AS	2012-10-19	2012-10-19	2013-05-08
6608/10-R-1 H	6608/10-R-1	Statoil Petroleum AS	STATOIL	128	INJECTION	WATER	DEVELOPMENT	2012-03-25	2012-05-09	SKULD	3454-P	6608/10-14 S SKULD	NO	40.000000	\N	2971.000000	358.000000	NORWEGIAN SEA	TRANSOCEAN SPITSBERGEN	SEMISUB STEEL	FOSSEKALL R	10-B	NO	WATER	2012	2012	\N	173	ED50	66	8	40.99	N	8	14	13.42	E	66.144719	8.237061	7336436.860000	465568.080000	32	6608	10	R	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6808	http://www.npd.no/FactMapSearch?NPDID_wellbore=6808	initial	\N	6808	18086080	21350124	9999-12-31	21836	404201	417722	0	STATOIL PETROLEUM AS	2013-02-01	2013-02-01	2013-05-08
6608/10-P-2 H	6608/10-P-2	Statoil Petroleum AS	STATOIL	128	OBSERVATION	\N	DEVELOPMENT	2012-03-12	2012-03-25	SKULD	3455-P	6608/10-14 S SKULD	NO	40.000000	\N	0.000000	360.000000	NORWEGIAN SEA	TRANSOCEAN SPITSBERGEN	SEMISUB STEEL	FOSSEKALL P	10-B	NO	OIL	2012	2012	\N	99	ED50	66	8	37.41	N	8	13	58.26	E	66.143725	8.232850	7336328.340000	465376.680000	32	6608	10	P	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6809	http://www.npd.no/FactMapSearch?NPDID_wellbore=6809	initial	\N	6809	18086080	21350124	9999-12-31	21836	404201	417663	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
34/7-H-1 H	34/7-H-1	Statoil Petroleum AS	STATOIL	089	INJECTION	WATER	DEVELOPMENT	2012-12-27	2013-02-16	VIGDIS	3456-P	34/7-34	NO	31.000000	\N	5401.000000	292.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS H	8	NO	WATER	2012	2013	\N	172	ED50	61	23	21.46	N	2	8	28.01	E	61.389294	2.141114	6806614.140000	454114.640000	31	34	7	H	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6810	http://www.npd.no/FactMapSearch?NPDID_wellbore=6810	initial	\N	6810	5490421	43732	9999-12-31	21516	290170	417223	0	STATOIL PETROLEUM AS	2013-02-19	2013-02-19	2013-05-08
34/7-H-2 H	34/7-H-2	Statoil Petroleum AS	STATOIL	089	OBSERVATION	OIL	DEVELOPMENT	2013-04-11	2013-05-04	VIGDIS	3457-P	34/7-34	NO	31.000000	\N	4364.000000	292.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS H	8	NO	OIL	2013	2013	\N	99	ED50	61	23	21.39	N	2	8	28.85	E	61.389275	2.141347	6806611.810000	454127.070000	31	34	7	H	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6811	http://www.npd.no/FactMapSearch?NPDID_wellbore=6811	initial	\N	6811	5490421	43732	9999-12-31	21516	290170	417223	0	STATOIL PETROLEUM AS	2013-05-07	2013-05-07	2013-05-08
34/7-H-3 H	34/7-H-3	Statoil Petroleum AS	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2012-05-04	2012-06-18	VIGDIS	3458-P	34/7-34	NO	31.000000	\N	3186.000000	292.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS H	8	NO	OIL	2012	2012	\N	50	ED50	61	23	21.20	N	2	8	28.78	E	61.389222	2.141328	6806605.940000	454125.960000	31	34	7	H	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6812	http://www.npd.no/FactMapSearch?NPDID_wellbore=6812	initial	\N	6812	5490421	43732	9999-12-31	21516	290170	417223	0	STATOIL PETROLEUM AS	2013-03-19	2013-03-19	2013-05-08
34/7-H-4 H	34/7-H-4	Statoil Petroleum AS	STATOIL	089	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VIGDIS	3459-P	34/7-34	NO	31.000000	\N	0.000000	292.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS H	8	NO	OIL	0	0	\N	0	ED50	61	23	21.27	N	2	8	27.95	E	61.389242	2.141097	6806608.270000	454113.670000	31	34	7	H	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6813	http://www.npd.no/FactMapSearch?NPDID_wellbore=6813	initial	\N	6813	5490421	43732	9999-12-31	21516	290170	417223	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
2/4-B-19 C	2/4-B-19	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2012-04-17	2012-06-17	EKOFISK	3460-P	2/4-2 EKOFISK	NO	63.800000	\N	4572.000000	74.400000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK B	1-A	NO	OIL	2012	2012	\N	50	ED50	56	33	54.98	N	3	12	13.80	E	56.565272	3.203833	6269153.900000	512527.070000	31	2	4	B	19	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6832	http://www.npd.no/FactMapSearch?NPDID_wellbore=6832	sidetrack	2/4-B-19 B	6832	44072	43506	9999-12-31	20900	297838	271413	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
2/4-K-12 A	2/4-K-12	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2012-04-08	2012-06-30	EKOFISK	3461-P	2/4-2 EKOFISK	NO	55.200000	\N	5197.000000	73.800000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2012	2012	\N	173	ED50	56	33	56.12	N	3	12	23.25	E	56.565589	3.206458	6269189.640000	512688.290000	31	2	4	K	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6833	http://www.npd.no/FactMapSearch?NPDID_wellbore=6833	sidetrack	2/4-K-12	6833	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
25/5-D-1 H	25/5-D-1	Total E&P Norge AS	TOTAL	102 C	PRODUCTION	GAS	DEVELOPMENT	2012-06-06	2012-07-04	ATLA	3462-P	25/5-7 ATLA	NO	31.000000	\N	2727.000000	119.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	25/5-D-1 H	Awarded additionaly to round 9	NO	GAS	2012	2012	\N	90	ED50	59	39	43.26	N	2	34	15.39	E	59.662017	2.570942	6614003.760000	475823.340000	31	25	5	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6834	http://www.npd.no/FactMapSearch?NPDID_wellbore=6834	initial	\N	6834	18404420	21106284	9999-12-31	5467035	297784	415159	0	TOTAL E&P NORGE	2012-09-26	2012-09-26	2013-05-08
30/9-M-11 H	30/9-M-11	Statoil Petroleum AS	STATOIL	104	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	OSEBERG SØR	3463-P	30/9-22 STJERNE	NO	22.000000	\N	0.000000	102.700000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	STJERNE	9	NO	WATER	0	0	\N	0	ED50	60	18	0.62	N	2	44	22.48	E	60.300172	2.739578	6685026.820000	485605.350000	31	30	9	M	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6841	http://www.npd.no/FactMapSearch?NPDID_wellbore=6841	initial	\N	6841	5490404	43645	9999-12-31	21636	287902	424530	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/9-M-12 H	30/9-M-12	Statoil Petroleum AS	STATOIL	104	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	OSEBERG SØR	3464-P	30/9-22 STJERNE	NO	22.000000	\N	0.000000	102.700000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	STJERNE	9	NO	\N	0	0	\N	99	ED50	60	18	0.25	N	2	44	22.99	E	60.300069	2.739719	6685015.340000	485613.130000	31	30	9	M	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6842	http://www.npd.no/FactMapSearch?NPDID_wellbore=6842	initial	\N	6842	5490404	43645	9999-12-31	21636	287902	424530	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/9-M-12 AH	30/9-M-12	Statoil Petroleum AS	STATOIL	104	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	OSEBERG SØR	3465-P	30/9-22 STJERNE	NO	22.000000	\N	0.000000	102.700000	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	STJERNE	9	NO	WATER	0	0	\N	0	ED50	60	18	0.25	N	2	44	22.99	E	60.300069	2.739719	6685015.340000	485613.130000	31	30	9	M	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6843	http://www.npd.no/FactMapSearch?NPDID_wellbore=6843	sidetrack	30/9-M-12 H	6843	5490404	43645	9999-12-31	21636	287902	424530	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/9-M-13 H	30/9-M-13	Statoil Petroleum AS	STATOIL	104	PRODUCTION	\N	DEVELOPMENT	2013-03-26	9999-12-31	OSEBERG SØR	3466-P	30/9-22 STJERNE	NO	29.000000	\N	0.000000	102.000000	NORTH SEA	SONGA DELTA	SEMISUB STEEL	STJERNE	9	NO	OIL/GAS	2013	0	\N	0	ED50	60	18	0.45	N	2	44	22.28	E	60.300125	2.739522	6685021.570000	485602.250000	31	30	9	M	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6844	http://www.npd.no/FactMapSearch?NPDID_wellbore=6844	initial	\N	6844	5490404	43645	9999-12-31	21636	287821	424530	0	STATOIL PETROLEUM AS	2013-04-26	2013-04-26	2013-05-08
30/9-M-14 H	30/9-M-14	Statoil Petroleum AS	STATOIL	104	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2012-11-21	2013-02-04	OSEBERG SØR	3467-P	30/9-22 STJERNE	NO	29.000000	\N	4430.000000	102.700000	NORTH SEA	SONGA DELTA	SEMISUB STEEL	STJERNE	9	NO	OIL/GAS	2012	2013	\N	99	ED50	60	18	0.42	N	2	44	23.19	E	60.300117	2.739775	6685020.590000	485616.220000	31	30	9	M	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6845	http://www.npd.no/FactMapSearch?NPDID_wellbore=6845	initial	\N	6845	5490404	43645	9999-12-31	21636	287821	424530	0	STATOIL PETROLEUM AS	2013-02-08	2013-02-08	2013-05-08
30/9-M-14 AH	30/9-M-14	Statoil Petroleum AS	STATOIL	104	PRODUCTION	OIL	DEVELOPMENT	2013-02-05	2013-03-23	OSEBERG SØR	3468-P	30/9-22 STJERNE	NO	29.000000	\N	4542.000000	102.700000	NORTH SEA	SONGA DELTA	SEMISUB STEEL	STJERNE	9	NO	OIL	2013	2013	\N	50	ED50	60	18	0.42	N	2	44	23.19	E	60.300117	2.739775	6685020.590000	485616.220000	31	30	9	M	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6846	http://www.npd.no/FactMapSearch?NPDID_wellbore=6846	sidetrack	30/9-M-14 H	6846	5490404	43645	9999-12-31	21636	287821	424530	0	STATOIL PETROLEUM AS	2013-03-26	2013-03-26	2013-05-08
31/5-H-5 BY1H	31/5-H-5	Statoil Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2012-07-30	2012-09-19	TROLL	3469-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5061.000000	316.300000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	OIL	2012	2012	\N	50	ED50	60	42	52.25	N	3	30	24.52	E	60.714514	3.506811	6731254.930000	527658.170000	31	31	5	H	5	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6847	http://www.npd.no/FactMapSearch?NPDID_wellbore=6847	multilateral	31/5-H-5 AH	6847	44534	46437	9999-12-31	21476	296164	278301	0	STATOIL PETROLEUM AS	2012-09-22	2012-09-22	2013-05-08
31/5-H-5 BY2H	31/5-H-5	Statoil Petroleum AS	STATOIL	085	PRODUCTION	OIL	DEVELOPMENT	2012-09-20	2012-10-20	TROLL	3469-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5425.000000	316.300000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL H	Awarded additionaly to round 7	NO	OIL	2012	2012	\N	50	ED50	60	42	52.25	N	3	30	24.52	E	60.714514	3.506811	6731254.930000	527658.170000	31	31	5	H	5	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6848	http://www.npd.no/FactMapSearch?NPDID_wellbore=6848	multilateral	31/5-H-5 BY1H	6848	44534	46437	9999-12-31	21476	296164	278301	0	STATOIL PETROLEUM AS	2012-10-25	2012-10-25	2013-05-08
31/2-O-25 Y2H	31/2-O-25	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-06-23	2012-07-19	TROLL	3197-P2	31/2-1 TROLL VEST	NO	25.000000	\N	6739.000000	338.000000	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TROLL O2	4	YES	OIL	2012	2012	\N	50	ED50	60	54	54.17	N	3	31	22.89	E	60.915047	3.523025	6753598.040000	528364.980000	31	31	2	O	25	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6850	http://www.npd.no/FactMapSearch?NPDID_wellbore=6850	multilateral	31/2-O-25 Y1H	6850	44534	46437	9999-12-31	21228	296164	283677	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6407/8-C-2 H	6407/8-C-2	Statoil Petroleum AS	STATOIL	348	OBSERVATION	OIL	DEVELOPMENT	2012-05-04	2012-06-13	HYME	3470-P	6407/8-5 S HYME	NO	25.000000	\N	3520.000000	256.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	HYME	TFO2004	NO	OIL	2012	2012	\N	99	ED50	64	21	29.37	N	7	33	4.09	E	64.358158	7.551136	7137900.180000	430042.520000	32	6407	8	C	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6853	http://www.npd.no/FactMapSearch?NPDID_wellbore=6853	initial	\N	6853	5506881	20474183	9999-12-31	2987047	294058	424593	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
6407/8-C-2 AY1H	6407/8-C-2	Statoil Petroleum AS	STATOIL	348	PRODUCTION	OIL	DEVELOPMENT	2012-11-16	2012-12-19	HYME	3471-P1	6407/8-5 S HYME	NO	25.000000	\N	4430.000000	256.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	HYME	TFO2004	YES	OIL	2012	2012	\N	50	ED50	64	21	29.37	N	7	33	4.09	E	64.358158	7.551136	7137900.180000	430042.520000	32	6407	8	C	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6854	http://www.npd.no/FactMapSearch?NPDID_wellbore=6854	multilateral	6407/8-C-2 H	6854	5506881	20474183	9999-12-31	2987047	294058	424593	0	STATOIL PETROLEUM AS	2012-12-21	2012-12-21	2013-05-08
6407/8-C-2 AY2H	6407/8-C-2	Statoil Petroleum AS	STATOIL	348	PRODUCTION	OIL	DEVELOPMENT	2012-12-20	2013-01-12	HYME	3471-P2	6407/8-5 S HYME	NO	25.000000	\N	3551.000000	256.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	HYME	TFO2004	YES	OIL	2012	2013	\N	50	ED50	64	21	29.37	N	7	33	4.09	E	64.358158	7.551136	7137900.180000	430042.520000	32	6407	8	C	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6855	http://www.npd.no/FactMapSearch?NPDID_wellbore=6855	multilateral	6407/8-C-2 AY1H	6855	5506881	20474183	9999-12-31	2987047	294058	424593	0	STATOIL PETROLEUM AS	2013-01-19	2013-01-19	2013-05-08
6407/8-C-4 H	6407/8-C-4	Statoil Petroleum AS	STATOIL	348	INJECTION	WATER	DEVELOPMENT	2012-06-18	2012-07-04	HYME	3472-P	6407/8-5 S HYME	NO	25.000000	\N	2240.000000	256.000000	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	HYME	TFO2004	NO	WATER	2012	2012	\N	173	ED50	64	21	29.39	N	7	33	4.96	E	64.358164	7.551378	7137900.530000	430054.200000	32	6407	8	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6856	http://www.npd.no/FactMapSearch?NPDID_wellbore=6856	initial	\N	6856	5506881	20474183	9999-12-31	2987047	294058	424593	0	STATOIL PETROLEUM AS	2012-11-16	2012-11-16	2013-05-08
33/9-A-17 C	33/9-A-17	StatoilHydro ASA	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2012-11-20	2013-03-07	STATFJORD	3473-P	33/12-1 STATFJORD	NO	64.400000	\N	5154.000000	145.300000	NORTH SEA	STATFJORD A	CONDEEP 3 SHAFTS	STATFJORD A	Awarded additionaly to round 2-A	NO	GAS	2012	2013	\N	90	ED50	61	15	20.75	N	1	51	15.11	E	61.255764	1.854197	6791976.560000	438526.310000	31	33	9	A	17	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6857	http://www.npd.no/FactMapSearch?NPDID_wellbore=6857	sidetrack	33/9-A-17 B	6857	44558	43658	9999-12-31	21084	271273	271273	0	STATOILHYDRO ASA	2013-03-09	2013-03-09	2013-05-08
6608/10-P-2 AH	6608/10-P-2	Statoil Petroleum AS	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2012-05-28	2012-06-06	SKULD	3474-P	6608/10-14 S SKULD	NO	40.000000	\N	2986.000000	360.000000	NORWEGIAN SEA	TRANSOCEAN SPITSBERGEN	SEMISUB STEEL	FOSSEKALL P	10-B	NO	OIL	2012	2012	\N	50	ED50	66	8	37.41	N	8	13	58.26	E	66.143725	8.232850	7336328.340000	465376.680000	32	6608	10	P	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6858	http://www.npd.no/FactMapSearch?NPDID_wellbore=6858	sidetrack	6608/10-P-2 H	6858	18086080	21350124	9999-12-31	21836	404201	417663	0	STATOIL PETROLEUM AS	2013-03-19	2013-03-19	2013-05-08
6506/12-P-2 Y2H	6506/12-P-2	Statoil Petroleum AS	STATOIL	094	PRODUCTION	OIL	DEVELOPMENT	2012-04-12	2012-06-10	ÅSGARD	1423-P2	6506/12-3 SMØRBUKK SØR	NO	23.000000	\N	6061.000000	310.000000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	ÅSGARD P	8	YES	OIL	2012	2012	\N	50	ED50	65	1	22.83	N	6	52	45.47	E	65.023008	6.879297	7212875.520000	400090.340000	32	6506	12	P	2	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6859	http://www.npd.no/FactMapSearch?NPDID_wellbore=6859	multilateral	6506/12-P-2 H	6859	45846	43765	9999-12-31	21556	287983	278889	0	STATOIL PETROLEUM AS	2012-11-20	2012-11-20	2013-05-08
2/4-X-38 A	2/4-X-38	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	2012-04-27	2012-06-19	EKOFISK	3475-P	2/4-2 EKOFISK	NO	57.000000	\N	3997.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2012	2012	\N	71	ED50	56	32	51.83	N	3	13	8.70	E	56.547731	3.219083	6267204.200000	513470.520000	31	2	4	X	38	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6883	http://www.npd.no/FactMapSearch?NPDID_wellbore=6883	sidetrack	2/4-X-38	6883	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-29	2013-01-29	2013-05-08
25/8-D-1 H	25/8-D-1	Det norske oljeselskap ASA	DET NORSKE	027 D	OBSERVATION	OIL	DEVELOPMENT	2012-05-26	2012-06-09	JETTE	3476-P	25/8-17 JETTE	NO	40.000000	\N	2256.000000	127.000000	NORTH SEA	TRANSOCEAN BARENTS	SEMISUB STEEL	25/8-D-1 AH	Awarded additionaly to round 1-A	NO	OIL	2012	2012	\N	99	ED50	59	24	13.52	N	2	22	8.32	E	59.403756	2.368978	6585334.350000	464170.210000	31	25	8	D	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6885	http://www.npd.no/FactMapSearch?NPDID_wellbore=6885	initial	\N	6885	17238186	21613906	9999-12-31	4943160	404303	424812	0	DET NORSKE	2013-01-29	2013-01-29	2013-05-08
25/8-D-1 AH	25/8-D-1	Det norske oljeselskap ASA	DET NORSKE	027 D	PRODUCTION	OIL	DEVELOPMENT	2012-06-10	2012-09-11	JETTE	3477-P	25/8-17 JETTE	NO	40.000000	\N	4506.000000	127.000000	NORTH SEA	TRANSOCEAN BARENTS	SEMISUB STEEL	25/8-D-1 AH	Awarded additionaly to round 1-A	NO	OIL	2012	2012	\N	50	ED50	59	24	13.52	N	2	22	8.32	E	59.403756	2.368978	6585334.350000	464170.210000	31	25	8	D	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6886	http://www.npd.no/FactMapSearch?NPDID_wellbore=6886	sidetrack	25/8-D-1 H	6886	17238186	21613906	9999-12-31	4943160	404303	424812	0	DET NORSKE	2012-09-15	2012-09-15	2013-05-08
25/8-E-1 H	25/8-E-1	Det norske oljeselskap ASA	DET NORSKE	027 D	PRODUCTION	OIL	DEVELOPMENT	2012-09-17	2012-10-20	JETTE	3478-P	25/8-17 JETTE	NO	40.000000	\N	4387.000000	127.000000	NORTH SEA	TRANSOCEAN BARENTS	SEMISUB STEEL	25/8-E-1 H	Awarded additionaly to round 1-A	NO	OIL	2012	2012	\N	50	ED50	59	24	12.39	N	2	22	8.34	E	59.403442	2.368983	6585299.400000	464170.190000	31	25	8	E	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6887	http://www.npd.no/FactMapSearch?NPDID_wellbore=6887	initial	\N	6887	17238186	21613906	9999-12-31	4943160	404303	424753	0	DET NORSKE	2012-10-25	2012-10-25	2013-05-08
34/10-B-35 B	34/10-B-35	Statoil Petroleum AS	STATOIL	050	INJECTION	WATER	DEVELOPMENT	2012-07-18	2013-03-04	GULLFAKS	3480-P	34/10-1 GULLFAKS	NO	80.700000	\N	4974.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	2012	2013	\N	173	ED50	61	12	10.94	N	2	12	4.89	E	61.203039	2.201358	6785826.540000	457079.370000	31	34	10	B	35	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6923	http://www.npd.no/FactMapSearch?NPDID_wellbore=6923	sidetrack	34/10-B-35 A	6923	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL PETROLEUM AS	2013-03-06	2013-03-06	2013-05-08
31/2-N-24 AY1H	31/2-N-24	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-06-11	2012-08-02	TROLL	3481-P1	31/2-1 TROLL VEST	NO	23.500000	\N	4484.000000	346.900000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TROLL N2	4	YES	OIL	2012	2012	\N	50	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	31	2	N	24	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6924	http://www.npd.no/FactMapSearch?NPDID_wellbore=6924	multilateral	\N	6924	44534	46437	9999-12-31	21228	296677	280317	0	STATOIL PETROLEUM AS	2012-08-21	2012-08-21	2013-05-08
31/2-N-24 AY2H	31/2-N-24	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-08-02	2012-08-17	TROLL	3481-P2	31/2-1 TROLL VEST	NO	23.500000	\N	4404.000000	346.900000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TROLL N2	4	YES	OIL	2012	2012	\N	50	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	31	2	N	24	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6925	http://www.npd.no/FactMapSearch?NPDID_wellbore=6925	multilateral	31/2-N-24 AY1H	6925	44534	46437	9999-12-31	21228	296677	280317	0	STATOIL PETROLEUM AS	2012-08-21	2012-08-21	2013-05-08
31/2-N-24 AY3H	31/2-N-24	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-08-18	2012-08-28	TROLL	3481-P3	31/2-1 TROLL VEST	NO	23.500000	\N	4190.000000	346.900000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TROLL N2	4	YES	OIL	2012	2012	\N	50	ED50	60	56	46.91	N	3	34	49.60	E	60.946364	3.580444	6757112.460000	531448.040000	31	31	2	N	24	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6926	http://www.npd.no/FactMapSearch?NPDID_wellbore=6926	multilateral	31/2-N-24 AY2H	6926	44534	46437	9999-12-31	21228	296677	280317	0	STATOIL PETROLEUM AS	2012-09-06	2012-09-06	2013-05-08
6507/7-A-19 A	6507/7-A-19	Statoil Petroleum AS	STATOIL	095	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	HEIDRUN	3482-P	6507/7-2 HEIDRUN	NO	74.200000	\N	0.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	0	0	\N	0	ED50	65	19	32.80	N	7	19	2.99	E	65.325778	7.317497	7245990.310000	421629.700000	32	6507	7	A	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6927	http://www.npd.no/FactMapSearch?NPDID_wellbore=6927	sidetrack	6507/7-A-19	6927	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6507/7-A-9 C	6507/7-A-9	Statoil Petroleum AS	STATOIL	095	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	HEIDRUN	3483-P	6507/7-2 HEIDRUN	NO	74.200000	\N	0.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	0	0	\N	0	ED50	65	19	32.85	N	7	19	2.31	E	65.325792	7.317308	7245992.100000	421620.940000	32	6507	7	A	9	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6928	http://www.npd.no/FactMapSearch?NPDID_wellbore=6928	sidetrack	6507/7-A-9 B	6928	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6507/7-A-33 A	6507/7-A-33	Statoil Petroleum AS	STATOIL	095	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	HEIDRUN	3484-P	6507/7-2 HEIDRUN	NO	74.200000	\N	0.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	0	0	\N	0	ED50	65	19	32.55	N	7	19	2.51	E	65.325708	7.317364	7245982.740000	421623.280000	32	6507	7	A	33	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6929	http://www.npd.no/FactMapSearch?NPDID_wellbore=6929	sidetrack	6507/7-A-33	6929	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
31/2-D-6 AY1H	31/2-D-6	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-07-17	2013-02-28	TROLL	3485-P1	31/2-1 TROLL VEST	NO	24.000000	\N	7386.000000	339.000000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL D	4	YES	OIL	2012	2013	\N	50	ED50	60	51	23.74	N	3	26	28.95	E	60.856594	3.441375	6747054.660000	523980.760000	31	31	2	D	6	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6930	http://www.npd.no/FactMapSearch?NPDID_wellbore=6930	multilateral	31/2-D-6 H	6930	44534	46437	9999-12-31	21228	297649	278105	0	STATOIL PETROLEUM AS	2013-03-02	2013-03-02	2013-05-08
31/2-D-6 AY2H	31/2-D-6	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2013-03-01	2013-03-11	TROLL	3485-P2	31/2-1 TROLL VEST	NO	35.500000	\N	4714.000000	339.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL D	4	YES	OIL	2013	2013	\N	50	ED50	60	51	23.74	N	3	26	28.95	E	60.856594	3.441375	6747054.660000	523980.760000	31	31	2	D	6	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6931	http://www.npd.no/FactMapSearch?NPDID_wellbore=6931	multilateral	31/2-D-6 AY1H	6931	44534	46437	9999-12-31	21228	297055	278105	0	STATOIL PETROLEUM AS	2013-03-15	2013-03-15	2013-05-08
31/2-D-6 AY3H	31/2-D-6	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2013-03-12	2013-04-02	TROLL	3485-P3	31/2-1 TROLL VEST	NO	35.500000	\N	5649.000000	339.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL D	4	YES	OIL	2013	2013	\N	50	ED50	60	51	23.74	N	3	26	28.95	E	60.856594	3.441375	6747054.660000	523980.760000	31	31	2	D	6	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6932	http://www.npd.no/FactMapSearch?NPDID_wellbore=6932	multilateral	31/2-D-6 AY2H	6932	44534	46437	9999-12-31	21228	297055	278105	0	STATOIL PETROLEUM AS	2013-04-11	2013-04-11	2013-05-08
2/4-A-92	2/4-A-92	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1969-09-18	1969-12-24	EKOFISK	1-PA	2/4-2 EKOFISK	NO	28.000000	\N	3305.000000	70.000000	NORTH SEA	GULFTIDE	JACK-UP 4 LEGS	\N	1-A	NO	OIL	1969	1969	\N	50	ED50	56	32	8.65	N	3	11	54.57	E	56.535736	3.198492	6265865.230000	512208.290000	31	2	4	A	92	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6934	http://www.npd.no/FactMapSearch?NPDID_wellbore=6934	initial	\N	6934	44072	43506	9999-12-31	20900	288307	\N	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-93	2/4-A-93	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1970-01-27	1970-05-31	EKOFISK	1-PB	2/4-2 EKOFISK	NO	28.000000	\N	3431.000000	71.000000	NORTH SEA	GULFTIDE	JACK-UP 4 LEGS	\N	1-A	NO	OIL	1970	1970	\N	50	ED50	56	32	42.12	N	3	14	55.49	E	56.545033	3.248747	6266910.180000	515295.520000	31	2	4	A	93	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6935	http://www.npd.no/FactMapSearch?NPDID_wellbore=6935	initial	\N	6935	44072	43506	9999-12-31	20900	288307	\N	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-94	2/4-A-94	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1970-06-02	1970-08-01	EKOFISK	1-PC	2/4-2 EKOFISK	NO	28.000000	\N	3424.000000	71.000000	NORTH SEA	GULFTIDE	JACK-UP 4 LEGS	\N	1-A	NO	OIL	1970	1970	\N	50	ED50	56	30	47.90	N	3	12	39.48	E	56.513306	3.210967	6263370.750000	512983.230000	31	2	4	A	94	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6936	http://www.npd.no/FactMapSearch?NPDID_wellbore=6936	initial	\N	6936	44072	43506	9999-12-31	20900	288307	\N	0	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-A-95	2/4-A-95	Phillips Petroleum Company Norway	PHILLIPS	018	PRODUCTION	OIL	DEVELOPMENT	1970-06-21	1970-08-27	EKOFISK	1-PD	2/4-2 EKOFISK	NO	28.000000	\N	3320.000000	68.000000	NORTH SEA	GULFTIDE	JACK-UP 4 LEGS	\N	1-A	NO	OIL	1970	1970	\N	50	ED50	56	34	27.24	N	3	12	11.82	E	56.574233	3.203283	6270151.280000	512490.310000	31	2	4	A	95	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6937	http://www.npd.no/FactMapSearch?NPDID_wellbore=6937	initial	\N	6937	44072	43506	9999-12-31	20900	288307	\N	0	PHILLIPS	2012-08-23	2012-08-23	2013-05-08
30/6-E-14 A	30/6-E-14	Statoil Petroleum AS	STATOIL	053	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2012-06-04	2012-06-24	OSEBERG ØST	3486-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	2218.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	2012	2012	\N	99	ED50	60	42	1.72	N	2	56	6.91	E	60.700478	2.935253	6729586.570000	496464.990000	31	30	6	E	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6938	http://www.npd.no/FactMapSearch?NPDID_wellbore=6938	sidetrack	30/6-E-14	6938	44438	43639	9999-12-31	21220	277489	277489	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
30/6-E-14 B	30/6-E-14	Statoil Petroleum AS	STATOIL	053	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	OSEBERG ØST	3487-P	30/6-5 OSEBERG ØST	NO	64.000000	\N	0.000000	158.000000	NORTH SEA	OSEBERG ØST	JACKET 4 LEGS	OSEBERG ØST	4	NO	OIL	0	0	\N	0	ED50	60	42	1.72	N	2	56	6.91	E	60.700478	2.935253	6729586.570000	496464.990000	31	30	6	E	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6939	http://www.npd.no/FactMapSearch?NPDID_wellbore=6939	sidetrack	30/6-E-14 A	6939	44438	43639	9999-12-31	21220	277489	277489	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
15/12-C-1 AH	15/12-C-1	Talisman Energy Norge AS	TALISMAN	038 C	PRODUCTION	GAS	DEVELOPMENT	2012-07-15	2012-09-03	REV	3488-P	15/12-12 REV	NO	50.300000	\N	3041.000000	87.000000	NORTH SEA	ROWAN STAVANGER	JACK-UP 3 LEGS	15/12-C	Awarded additionaly to NST2002	NO	GAS	2012	2012	\N	90	ED50	58	1	40.68	N	1	55	28.34	E	58.027967	1.924539	6432475.780000	436478.400000	31	15	12	C	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6940	http://www.npd.no/FactMapSearch?NPDID_wellbore=6940	sidetrack	15/12-C-1 H	6940	1626017	4467554	9999-12-31	4005057	413943	378147	0	TALISMAN ENERGY	2013-02-16	2013-02-16	2013-05-08
6507/7-A-43 A	6507/7-A-43	Statoil Petroleum AS	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2012-06-29	2012-08-19	HEIDRUN	3489-P	6507/7-2 HEIDRUN	NO	74.200000	\N	2871.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2012	2012	\N	50	ED50	65	19	32.49	N	7	19	3.18	E	65.325692	7.317550	7245980.650000	421631.900000	32	6507	7	A	43	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6950	http://www.npd.no/FactMapSearch?NPDID_wellbore=6950	sidetrack	6507/7-A-43	6950	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2012-11-13	2012-11-13	2013-05-08
34/10-G-4 H	34/10-G-4	Statoil Petroleum AS	STATOIL	050	OBSERVATION	NOT APPLICABLE	DEVELOPMENT	2012-08-25	2012-10-03	GULLFAKS SØR	3490-P	34/10-2 GULLFAKS SØR	NO	32.000000	\N	4260.000000	134.000000	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	GULLFAKS SØR G	Awarded additionaly to round 3	NO	OIL	2012	2012	\N	99	ED50	61	5	50.33	N	2	16	36.44	E	61.097314	2.276789	6774002.950000	461002.840000	31	34	10	G	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6953	http://www.npd.no/FactMapSearch?NPDID_wellbore=6953	initial	\N	6953	44606	43699	9999-12-31	21188	404360	279673	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
34/10-G-4 AH	34/10-G-4	Statoil Petroleum AS	STATOIL	050	PRODUCTION	OIL	DEVELOPMENT	2012-10-06	2012-11-28	GULLFAKS SØR	3491-P	34/10-2 GULLFAKS SØR	NO	32.000000	\N	5380.000000	134.000000	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	GULLFAKS SØR G	Awarded additionaly to round 3	NO	OIL	2012	2012	\N	50	ED50	61	5	50.33	N	2	16	36.44	E	61.097314	2.276789	6774002.950000	461002.840000	31	34	10	G	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6954	http://www.npd.no/FactMapSearch?NPDID_wellbore=6954	sidetrack	34/10-G-4 H	6954	44606	43699	9999-12-31	21188	404360	279673	0	STATOIL PETROLEUM AS	2012-12-01	2012-12-01	2013-05-08
33/9-C-23 D	33/9-C-23	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2012-07-14	2012-08-18	STATFJORD	3492-P	33/12-1 STATFJORD	NO	78.400000	\N	3406.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	GAS	2012	2012	\N	90	ED50	61	17	46.96	N	1	54	10.18	E	61.296378	1.902828	6796455.480000	441211.200000	31	33	9	C	23	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6956	http://www.npd.no/FactMapSearch?NPDID_wellbore=6956	sidetrack	33/9-C-23 C	6956	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL PETROLEUM AS	2012-08-21	2012-08-21	2013-05-08
2/8-N-1 B	2/8-N-1	BP Norge AS	BP	006 B	PRODUCTION	\N	DEVELOPMENT	2012-05-21	2012-10-07	VALHALL	3493-P	2/8-6 VALHALL	NO	63.500000	\N	0.000000	69.800000	NORTH SEA	MÆRSK REACHER	JACK-UP 3 LEGS	VALHALL FLANKE NORD	Awarded additionaly to round 1-A	NO	OIL	2012	2012	\N	0	ED50	56	19	27.65	N	3	21	9.35	E	56.324347	3.352597	6242373.820000	521807.210000	31	2	8	N	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6957	http://www.npd.no/FactMapSearch?NPDID_wellbore=6957	sidetrack	2/8-N-1 A	6957	44162	43548	9999-12-31	1333048	411423	361248	0	BP NORGE	2012-10-18	2012-10-18	2013-05-08
2/4-X-38 B	2/4-X-38	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2012-06-20	2012-07-21	EKOFISK	3494-P	2/4-2 EKOFISK	NO	57.000000	\N	4013.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2012	2012	\N	50	ED50	56	32	51.83	N	3	13	8.70	E	56.547731	3.219083	6267204.200000	513470.520000	31	2	4	X	38	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6959	http://www.npd.no/FactMapSearch?NPDID_wellbore=6959	sidetrack	2/4-X-38 A	6959	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
31/2-K-13 BY1H	31/2-K-13	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	2013-04-04	9999-12-31	TROLL	3495-P1	31/2-1 TROLL VEST	NO	25.100000	\N	0.000000	319.400000	NORTH SEA	COSLPromoter	SEMISUB STEEL	TROLL K1	4	YES	OIL	2013	0	\N	0	ED50	60	46	5.78	N	3	36	41.00	E	60.768272	3.611389	6737291.200000	533309.430000	31	31	2	K	13	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6961	http://www.npd.no/FactMapSearch?NPDID_wellbore=6961	multilateral	31/2-K-13 AH	6961	44534	46437	9999-12-31	21228	413883	279449	0	STATOIL PETROLEUM AS	2013-04-13	2013-04-13	2013-05-08
31/2-K-13 BY2H	31/2-K-13	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3495-P2	31/2-1 TROLL VEST	NO	25.100000	\N	0.000000	319.400000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TROLL K1	4	YES	OIL	0	0	\N	0	ED50	60	46	5.78	N	3	36	41.00	E	60.768272	3.611389	6737291.200000	533309.430000	31	31	2	K	13	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6962	http://www.npd.no/FactMapSearch?NPDID_wellbore=6962	multilateral	31/2-K-13 BY1H	6962	44534	46437	9999-12-31	21228	296677	279449	0	STATOIL PETROLEUM AS	2013-04-09	2013-04-09	2013-05-08
31/2-K-13 BY3H	31/2-K-13	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3495-P3	31/2-1 TROLL VEST	NO	25.100000	\N	0.000000	319.400000	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TROLL K1	4	YES	OIL	0	0	\N	0	ED50	60	46	5.78	N	3	36	41.00	E	60.768272	3.611389	6737291.200000	533309.430000	31	31	2	K	13	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6963	http://www.npd.no/FactMapSearch?NPDID_wellbore=6963	multilateral	31/2-K-13 BY2H	6963	44534	46437	9999-12-31	21228	296677	279449	0	STATOIL PETROLEUM AS	2013-04-09	2013-04-09	2013-05-08
24/9-P-6 H	24/9-P-6	Marathon Petroleum Norge AS	MARATHON	150	OBSERVATION	OIL	DEVELOPMENT	2012-09-08	2012-10-03	VOLUND	3496-P	24/9-5 VOLUND	NO	26.000000	\N	3115.000000	124.000000	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	VOLUND	12	NO	OIL	2012	2012	\N	99	ED50	59	29	45.25	N	1	57	56.75	E	59.495903	1.965764	6595881.740000	441435.990000	31	24	9	P	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6964	http://www.npd.no/FactMapSearch?NPDID_wellbore=6964	initial	\N	6964	44186	4380167	9999-12-31	22012	296326	408227	0	MARATHON N	2013-01-29	2013-01-29	2013-05-08
24/9-P-6 AH	24/9-P-6	Marathon Petroleum Norge AS	MARATHON	150	PRODUCTION	OIL	DEVELOPMENT	2012-10-04	2012-11-05	VOLUND	3497-P	24/9-5 VOLUND	NO	26.000000	\N	4475.000000	124.000000	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	VOLUND	12	NO	OIL	2012	2012	\N	50	ED50	59	29	45.25	N	1	57	56.75	E	59.495903	1.965764	6595881.740000	441435.990000	31	24	9	P	6	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6965	http://www.npd.no/FactMapSearch?NPDID_wellbore=6965	sidetrack	24/9-P-6 H	6965	44186	4380167	9999-12-31	22012	296326	408227	0	MARATHON N	2012-11-09	2012-11-09	2013-05-08
2/4-VB-1 H	2/4-VB-1	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	3498-P	2/4-2 EKOFISK	NO	52.000000	\N	0.000000	74.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VB	1-A	NO	WATER	0	0	\N	0	ED50	56	31	13.52	N	3	14	21.74	E	56.520422	3.239372	6264168.640000	514728.590000	31	2	4	V	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6972	http://www.npd.no/FactMapSearch?NPDID_wellbore=6972	initial	\N	6972	44072	43506	9999-12-31	20900	297838	424664	0	CONOCOPHILLIPS SKANDINAVIA	2012-09-21	2012-09-21	2013-05-08
2/4-VB-2 H	2/4-VB-2	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2013-01-22	2013-05-02	EKOFISK	3499-P	2/4-2 EKOFISK	NO	52.000000	\N	5334.000000	74.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VB	1-A	NO	WATER	2013	2013	\N	173	ED50	56	31	13.78	N	3	14	21.41	E	56.520494	3.239281	6264176.660000	514722.930000	31	2	4	V	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6973	http://www.npd.no/FactMapSearch?NPDID_wellbore=6973	initial	\N	6973	44072	43506	9999-12-31	20900	297838	424664	0	CONOCOPHILLIPS SKANDINAVIA	2013-05-07	2013-05-07	2013-05-08
2/4-VB-3 H	2/4-VB-3	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	3500-P	2/4-2 EKOFISK	NO	52.000000	\N	0.000000	74.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VB	1-A	NO	WATER	0	0	\N	0	ED50	56	31	13.45	N	3	14	21.56	E	56.520403	3.239322	6264166.470000	514725.530000	31	2	4	V	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6974	http://www.npd.no/FactMapSearch?NPDID_wellbore=6974	initial	\N	6974	44072	43506	9999-12-31	20900	297838	424664	0	CONOCOPHILLIPS SKANDINAVIA	2012-09-21	2012-09-21	2013-05-08
2/4-VB-4 H	2/4-VB-4	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	3501-P	2/4-2 EKOFISK	NO	52.000000	\N	0.000000	74.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VB	1-A	NO	WATER	0	0	\N	0	ED50	56	31	13.71	N	3	14	21.23	E	56.520475	3.239231	6264174.490000	514719.860000	31	2	4	V	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6975	http://www.npd.no/FactMapSearch?NPDID_wellbore=6975	initial	\N	6975	44072	43506	9999-12-31	20900	297838	424664	0	CONOCOPHILLIPS SKANDINAVIA	2012-09-21	2012-09-21	2013-05-08
2/4-VB-5 H	2/4-VB-5	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2012-11-14	2013-01-20	EKOFISK	3502-P	2/4-2 EKOFISK	NO	52.000000	\N	5319.000000	74.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VB	1-A	NO	WATER	2012	2013	\N	173	ED50	56	31	13.36	N	3	14	21.33	E	56.520378	3.239258	6264163.670000	514721.600000	31	2	4	V	5	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6976	http://www.npd.no/FactMapSearch?NPDID_wellbore=6976	initial	\N	6976	44072	43506	9999-12-31	20900	297838	424664	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-25	2013-01-25	2013-05-08
2/4-VB-6 H	2/4-VB-6	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	3503-P	2/4-2 EKOFISK	NO	52.000000	\N	0.000000	74.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VB	1-A	NO	WATER	0	0	\N	0	ED50	56	31	13.61	N	3	14	21.49	E	56.520447	3.239303	6264171.410000	514724.310000	31	2	4	V	6	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6977	http://www.npd.no/FactMapSearch?NPDID_wellbore=6977	initial	\N	6977	44072	43506	9999-12-31	20900	297838	424664	0	CONOCOPHILLIPS SKANDINAVIA	2012-09-21	2012-09-21	2013-05-08
2/4-VB-7 H	2/4-VB-7	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	\N	DEVELOPMENT	2013-05-04	9999-12-31	EKOFISK	3504-P	2/4-2 EKOFISK	NO	52.000000	\N	0.000000	74.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VB	1-A	NO	WATER	2013	0	\N	0	ED50	56	31	13.30	N	3	14	21.15	E	56.520361	3.239208	6264161.810000	514718.530000	31	2	4	V	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6978	http://www.npd.no/FactMapSearch?NPDID_wellbore=6978	initial	\N	6978	44072	43506	9999-12-31	20900	297838	424664	0	CONOCOPHILLIPS SKANDINAVIA	2013-05-08	2013-05-08	2013-05-08
2/4-VB-8 H	2/4-VB-8	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	3505-P	2/4-2 EKOFISK	NO	52.000000	\N	0.000000	74.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK VB	1-A	NO	WATER	0	0	\N	0	ED50	56	31	13.56	N	3	14	20.83	E	56.520433	3.239119	6264169.830000	514713.040000	31	2	4	V	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6980	http://www.npd.no/FactMapSearch?NPDID_wellbore=6980	initial	\N	6980	44072	43506	9999-12-31	20900	297838	424664	0	CONOCOPHILLIPS SKANDINAVIA	2012-09-21	2012-09-21	2013-05-08
2/4-K-1 A	2/4-K-1	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2012-08-04	2012-09-22	EKOFISK	3506-P	2/4-2 EKOFISK	NO	55.200000	\N	3475.000000	73.800000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2012	2012	\N	173	ED50	56	33	56.06	N	3	12	23.47	E	56.565572	3.206519	6269187.790000	512692.050000	31	2	4	K	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6981	http://www.npd.no/FactMapSearch?NPDID_wellbore=6981	sidetrack	2/4-K-1	6981	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-26	2013-01-26	2013-05-08
33/12-B-7 A	33/12-B-7	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2012-09-20	2012-10-29	STATFJORD	3507-P	33/12-1 STATFJORD	NO	77.800000	\N	3467.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS	2012	2012	\N	90	ED50	61	12	25.15	N	1	49	52.48	E	61.206986	1.831244	6786565.460000	437197.800000	31	33	12	B	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6982	http://www.npd.no/FactMapSearch?NPDID_wellbore=6982	sidetrack	33/12-B-7	6982	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL PETROLEUM AS	2012-11-01	2012-11-01	2013-05-08
25/11-G-17 A	25/11-G-17	Statoil Petroleum AS	STATOIL	169 B1	OBSERVATION	OIL	DEVELOPMENT	2012-07-24	2012-08-31	GRANE	3508-P	25/11-15 GRANE	NO	69.900000	\N	4103.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2012	2012	\N	99	ED50	59	9	54.82	N	2	29	14.31	E	59.165228	2.487308	6558714.640000	470684.640000	31	25	11	G	17	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6983	http://www.npd.no/FactMapSearch?NPDID_wellbore=6983	sidetrack	25/11-G-17	6983	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-01-30	2013-01-30	2013-05-08
25/11-G-17 B	25/11-G-17	Statoil Petroleum AS	STATOIL	169 B1	OBSERVATION	OIL	DEVELOPMENT	2012-09-01	2012-09-02	GRANE	3509-P	25/11-15 GRANE	NO	69.900000	\N	2333.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2012	2012	\N	99	ED50	59	9	54.82	N	2	29	14.31	E	59.165228	2.487308	6558714.640000	470684.640000	31	25	11	G	17	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6984	http://www.npd.no/FactMapSearch?NPDID_wellbore=6984	sidetrack	25/11-G-17 A	6984	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
6507/11-Y-1 AH	6507/11-Y-1	Statoil Petroleum AS	STATOIL	062	PRODUCTION	GAS	DEVELOPMENT	2012-08-16	2012-09-26	ÅSGARD	3510-P	6507/11-1 MIDGARD	NO	40.000000	\N	2778.000000	256.000000	NORWEGIAN SEA	TRANSOCEAN SPITSBERGEN	SEMISUB STEEL	ÅSGARD Y	5	NO	GAS	2012	2012	\N	90	ED50	65	0	18.51	N	7	33	25.58	E	65.005142	7.557106	7209984.310000	431972.150000	32	6507	11	Y	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6986	http://www.npd.no/FactMapSearch?NPDID_wellbore=6986	sidetrack	6507/11-Y-1 H	6986	44912	43765	9999-12-31	21292	404201	278945	0	STATOIL PETROLEUM AS	2012-11-20	2012-11-20	2013-05-08
31/2-K-23 BY1H	31/2-K-23	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3511-P1	31/2-1 TROLL VEST	NO	25.100000	\N	0.000000	318.000000	NORTH SEA	COSLInnovator	SEMISUB STEEL	TROLL K2	4	YES	OIL	0	0	\N	0	ED50	60	45	21.12	N	3	38	22.98	E	60.755867	3.639717	6735924.150000	534866.210000	31	31	2	K	23	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6987	http://www.npd.no/FactMapSearch?NPDID_wellbore=6987	multilateral	31/2-K-23 AH	6987	44534	46437	9999-12-31	21228	413825	280009	0	STATOIL PETROLEUM AS	2012-11-14	2012-11-14	2013-05-08
31/2-K-23 BY2H	31/2-K-23	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3511-P2	31/2-1 TROLL VEST	NO	25.100000	\N	0.000000	318.000000	NORTH SEA	COSLInnovator	SEMISUB STEEL	TROLL K2	4	YES	OIL	0	0	\N	0	ED50	60	45	21.12	N	3	38	22.98	E	60.755867	3.639717	6735924.150000	534866.210000	31	31	2	K	23	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6988	http://www.npd.no/FactMapSearch?NPDID_wellbore=6988	multilateral	31/2-K-23 BY1H	6988	44534	46437	9999-12-31	21228	413825	280009	0	STATOIL PETROLEUM AS	2012-11-14	2012-11-14	2013-05-08
6406/3-D-3 H	6406/3-D-3	Statoil Petroleum AS	STATOIL	091	OBSERVATION	OIL	DEVELOPMENT	2012-09-11	2012-10-21	TYRIHANS	3512-P	6407/1-2 TYRIHANS SØR	NO	22.000000	\N	4482.000000	267.800000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	TYRIHANS D	8	NO	OIL	2012	2012	\N	99	ED50	64	46	47.25	N	6	59	26.43	E	64.779792	6.990675	7185607.840000	404475.230000	32	6406	3	D	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6989	http://www.npd.no/FactMapSearch?NPDID_wellbore=6989	initial	\N	6989	44852	3960848	9999-12-31	21532	296245	377726	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
6406/3-D-3 AY1H	6406/3-D-3	Statoil Petroleum AS	STATOIL	091	PRODUCTION	OIL	DEVELOPMENT	2012-10-22	2012-11-14	TYRIHANS	3513-P1	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	6958.000000	267.800000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	TYRIHANS D	8	YES	OIL	2012	2012	\N	50	ED50	64	46	47.25	N	6	59	26.43	E	64.779792	6.990675	7185607.840000	404475.230000	32	6406	3	D	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6990	http://www.npd.no/FactMapSearch?NPDID_wellbore=6990	multilateral	6406/3-D-3 H	6990	44852	3960848	9999-12-31	21532	296245	377726	0	STATOIL PETROLEUM AS	2013-01-15	2013-01-15	2013-05-08
6406/3-D-3 AY2H	6406/3-D-3	Statoil Petroleum AS	STATOIL	091	PRODUCTION	OIL	DEVELOPMENT	2012-11-15	2013-01-25	TYRIHANS	3513-P2	6407/1-2 TYRIHANS SØR	NO	24.000000	\N	7203.000000	267.800000	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	TYRIHANS D	8	YES	OIL	2012	2013	\N	50	ED50	64	46	47.25	N	6	59	26.43	E	64.779792	6.990675	7185607.840000	404475.230000	32	6406	3	D	3	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6991	http://www.npd.no/FactMapSearch?NPDID_wellbore=6991	multilateral	6406/3-D-3 AY1H	6991	44852	3960848	9999-12-31	21532	296245	377726	0	STATOIL PETROLEUM AS	2013-01-30	2013-01-30	2013-05-08
31/2-P-24 AH	31/2-P-24	Statoil Petroleum AS	STATOIL	054	OBSERVATION	OIL	DEVELOPMENT	2012-09-11	2012-09-23	TROLL	3514-P	31/2-1 TROLL VEST	NO	24.000000	\N	2214.000000	338.500000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL P2	4	NO	OIL	2012	2012	\N	99	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	31	2	P	24	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6994	http://www.npd.no/FactMapSearch?NPDID_wellbore=6994	initial	\N	6994	44534	46437	9999-12-31	21228	297649	280261	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
31/2-P-24 BY1H	31/2-P-24	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-11-06	2013-01-04	TROLL	3515-P1	31/2-1 TROLL VEST	NO	24.000000	\N	6360.000000	338.500000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL P2	4	YES	OIL	2012	2013	\N	50	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	31	2	P	24	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6995	http://www.npd.no/FactMapSearch?NPDID_wellbore=6995	multilateral	31/2-P-24 AH	6995	44534	46437	9999-12-31	21228	297649	280261	0	STATOIL PETROLEUM AS	2013-01-09	2013-01-09	2013-05-08
31/2-P-24 BY2H	31/2-P-24	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2013-01-06	2013-02-09	TROLL	3515-P2	31/2-1 TROLL VEST	NO	24.000000	\N	6850.000000	338.500000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL P2	4	YES	OIL	2013	2013	\N	50	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	31	2	P	24	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6996	http://www.npd.no/FactMapSearch?NPDID_wellbore=6996	multilateral	31/2-P-24 BY1H	6996	44534	46437	9999-12-31	21228	297649	280261	0	STATOIL PETROLEUM AS	2013-02-12	2013-02-12	2013-05-08
31/2-P-24 BY3H	31/2-P-24	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2013-02-10	2013-03-07	TROLL	3515-P3	31/2-1 TROLL VEST	NO	24.000000	\N	7158.000000	338.500000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL P2	4	YES	OIL	2013	2013	\N	50	ED50	60	52	35.74	N	3	29	39.83	E	60.876594	3.494397	6749302.910000	526844.730000	31	31	2	P	24	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6997	http://www.npd.no/FactMapSearch?NPDID_wellbore=6997	multilateral	31/2-P-24 BY2H	6997	44534	46437	9999-12-31	21228	297649	280261	0	STATOIL PETROLEUM AS	2013-03-09	2013-03-09	2013-05-08
15/12-A-3 B	15/12-A-3	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2012-10-29	2013-01-02	VARG	3516-P	15/12-4 VARG	NO	0.000000	\N	4283.000000	84.000000	NORTH SEA	ROWAN STAVANGER	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2012	2013	\N	50	ED50	58	4	40.59	N	1	53	25.72	E	58.077942	1.890478	6438072.010000	434558.140000	31	15	12	A	3	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6998	http://www.npd.no/FactMapSearch?NPDID_wellbore=6998	sidetrack	15/12-A-3 A	6998	43868	43451	9999-12-31	21092	413943	279505	0	TALISMAN ENERGY	2013-02-16	2013-02-16	2013-05-08
34/11-B-2	34/11-B-2	Statoil Petroleum AS	STATOIL	193 D	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALEMON	3517-P	34/10-23 VALEMON	NO	53.700000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	GAS	0	0	\N	0	ED50	61	2	26.95	N	2	20	19.61	E	61.040819	2.338781	6767674.880000	464281.920000	31	34	11	B	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6999	http://www.npd.no/FactMapSearch?NPDID_wellbore=6999	initial	\N	6999	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2012-09-22	2012-09-22	2013-05-08
34/11-B-3	34/11-B-3	Statoil Petroleum AS	STATOIL	193 D	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALEMON	3518-P	34/10-23 VALEMON	NO	53.700000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	GAS	0	0	\N	0	ED50	61	2	26.99	N	2	20	19.75	E	61.040831	2.338819	6767676.090000	464284.030000	31	34	11	B	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7000	http://www.npd.no/FactMapSearch?NPDID_wellbore=7000	initial	\N	7000	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2012-09-28	2012-09-28	2013-05-08
34/11-B-7	34/11-B-7	Statoil Petroleum AS	STATOIL	193 D	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALEMON	3519-P	34/10-23 VALEMON	NO	53.700000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	GAS	0	0	\N	0	ED50	61	2	26.88	N	2	20	19.69	E	61.040800	2.338803	6767672.700000	464283.100000	31	34	11	B	7	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7001	http://www.npd.no/FactMapSearch?NPDID_wellbore=7001	initial	\N	7001	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2012-10-09	2012-10-09	2013-05-08
34/11-B-8	34/11-B-8	Statoil Petroleum AS	STATOIL	193 D	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALEMON	3520-P	34/10-23 VALEMON	NO	53.700000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	WATER	0	0	\N	0	ED50	61	2	26.92	N	2	20	19.83	E	61.040811	2.338842	6767673.910000	464285.210000	31	34	11	B	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7002	http://www.npd.no/FactMapSearch?NPDID_wellbore=7002	initial	\N	7002	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2012-09-12	2012-09-12	2013-05-08
34/11-B-9	34/11-B-9	Statoil Petroleum AS	STATOIL	193 D	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALEMON	3521-P	34/10-23 VALEMON	NO	53.700000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	GAS	0	0	\N	0	ED50	61	2	26.95	N	2	20	19.98	E	61.040819	2.338883	6767674.820000	464287.470000	31	34	11	B	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7003	http://www.npd.no/FactMapSearch?NPDID_wellbore=7003	initial	\N	7003	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2012-10-13	2012-10-13	2013-05-08
34/11-B-10	34/11-B-10	Statoil Petroleum AS	STATOIL	193 D	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALEMON	3522-P	34/10-23 VALEMON	NO	53.700000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	GAS	0	0	\N	0	ED50	61	2	26.99	N	2	20	20.13	E	61.040831	2.338925	6767676.030000	464289.740000	31	34	11	B	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7004	http://www.npd.no/FactMapSearch?NPDID_wellbore=7004	initial	\N	7004	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/11-B-12	34/11-B-12	Statoil Petroleum AS	STATOIL	193 D	PRODUCTION	\N	DEVELOPMENT	2012-12-16	9999-12-31	VALEMON	3523-P	34/10-23 VALEMON	NO	54.200000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	GAS	2012	0	\N	0	ED50	61	2	26.76	N	2	20	19.82	E	61.040767	2.338839	6767668.960000	464285.010000	31	34	11	B	12	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7005	http://www.npd.no/FactMapSearch?NPDID_wellbore=7005	initial	\N	7005	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2012-12-18	2012-12-18	2013-05-08
34/11-B-13	34/11-B-13	Statoil Petroleum AS	STATOIL	193 D	PRODUCTION	\N	DEVELOPMENT	2012-12-08	9999-12-31	VALEMON	3524-P	34/10-23 VALEMON	NO	54.200000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	GAS	2012	0	\N	0	ED50	61	2	26.80	N	2	20	19.97	E	61.040778	2.338881	6767670.180000	464287.280000	31	34	11	B	13	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7006	http://www.npd.no/FactMapSearch?NPDID_wellbore=7006	initial	\N	7006	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2012-12-13	2012-12-13	2013-05-08
34/11-B-14	34/11-B-14	Statoil Petroleum AS	STATOIL	193 D	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALEMON	3525-P	34/10-23 VALEMON	NO	53.700000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	GAS	0	0	\N	0	ED50	61	2	26.84	N	2	20	20.11	E	61.040789	2.338919	6767671.400000	464289.390000	31	34	11	B	14	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7007	http://www.npd.no/FactMapSearch?NPDID_wellbore=7007	initial	\N	7007	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2012-09-08	2012-09-08	2013-05-08
34/11-B-17	34/11-B-17	Statoil Petroleum AS	STATOIL	193 D	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALEMON	3526-P	34/10-23 VALEMON	NO	53.700000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	GAS	0	0	\N	0	ED50	61	2	26.69	N	2	20	19.90	E	61.040747	2.338861	6767666.790000	464286.190000	31	34	11	B	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7008	http://www.npd.no/FactMapSearch?NPDID_wellbore=7008	initial	\N	7008	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2013-03-09	2013-03-09	2013-05-08
34/11-B-18	34/11-B-18	Statoil Petroleum AS	STATOIL	193 D	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALEMON	3527-P	34/10-23 VALEMON	NO	53.700000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	GAS	0	0	\N	0	ED50	61	2	26.73	N	2	20	20.05	E	61.040758	2.338903	6767668.000000	464288.450000	31	34	11	B	18	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7009	http://www.npd.no/FactMapSearch?NPDID_wellbore=7009	initial	\N	7009	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2012-09-25	2012-09-25	2013-05-08
34/11-B-19	34/11-B-19	Statoil Petroleum AS	STATOIL	193 D	OBSERVATION	\N	DEVELOPMENT	2012-10-21	2012-10-27	VALEMON	3528-P	34/10-23 VALEMON	NO	53.700000	\N	930.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	GAS	2012	2012	\N	99	ED50	61	2	26.77	N	2	20	20.19	E	61.040769	2.338942	6767669.220000	464290.570000	31	34	11	B	19	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7010	http://www.npd.no/FactMapSearch?NPDID_wellbore=7010	initial	\N	7010	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2013-01-24	2013-01-24	2013-05-08
34/11-B-20	34/11-B-20	Statoil Petroleum AS	STATOIL	193 D	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VALEMON	3529-P	34/10-23 VALEMON	NO	53.700000	\N	0.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	\N	0	0	\N	0	ED50	61	2	26.81	N	2	20	20.34	E	61.040781	2.338983	6767670.430000	464292.830000	31	34	11	B	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7011	http://www.npd.no/FactMapSearch?NPDID_wellbore=7011	initial	\N	7011	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2012-09-14	2012-09-14	2013-05-08
33/9-C-13 A	33/9-C-13	Statoil Petroleum AS	STATOIL	037	PRODUCTION	OIL	DEVELOPMENT	2012-09-02	2012-09-24	STATFJORD	3530-P	33/12-1 STATFJORD	NO	78.400000	\N	3149.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	OIL	2012	2012	\N	50	ED50	61	17	47.95	N	1	54	11.39	E	61.296653	1.903164	6796485.810000	441229.720000	31	33	9	C	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7012	http://www.npd.no/FactMapSearch?NPDID_wellbore=7012	sidetrack	33/9-C-13	7012	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL PETROLEUM AS	2012-09-26	2012-09-26	2013-05-08
34/7-P-25 B	34/7-P-25	Statoil Petroleum AS	STATOIL	089	INJECTION	\N	DEVELOPMENT	2012-09-14	2012-10-22	SNORRE	3531-P	34/4-1 SNORRE	NO	59.400000	\N	0.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	WATER/GAS	2012	2012	\N	0	ED50	61	26	57.73	N	2	8	36.81	E	61.449369	2.143558	6813304.150000	454333.070000	31	34	7	P	25	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7017	http://www.npd.no/FactMapSearch?NPDID_wellbore=7017	sidetrack	34/7-P-25 A	7017	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL PETROLEUM AS	2012-10-27	2012-10-27	2013-05-08
31/2-E-5 BY1H	31/2-E-5	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-11-09	2012-12-01	TROLL	3532-P1	31/2-1 TROLL VEST	NO	35.500000	\N	3561.000000	330.700000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL E	4	YES	OIL	2012	2012	\N	50	ED50	60	47	52.42	N	3	26	34.66	E	60.797894	3.442961	6740516.960000	524111.070000	31	31	2	E	5	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7018	http://www.npd.no/FactMapSearch?NPDID_wellbore=7018	multilateral	31/2-E-5 AH	7018	44534	46437	9999-12-31	21228	297055	278133	0	STATOIL PETROLEUM AS	2012-12-05	2012-12-05	2013-05-08
31/2-E-5 BY2H	31/2-E-5	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-12-02	2012-12-15	TROLL	3532-P2	31/2-1 TROLL VEST	NO	35.500000	\N	4176.000000	330.700000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL E	4	YES	OIL	2012	2012	\N	50	ED50	60	47	52.42	N	3	26	34.66	E	60.797894	3.442961	6740516.960000	524111.070000	31	31	2	E	5	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7019	http://www.npd.no/FactMapSearch?NPDID_wellbore=7019	multilateral	31/2-E-5 BY1H	7019	44534	46437	9999-12-31	21228	297055	278133	0	STATOIL PETROLEUM AS	2012-12-18	2012-12-18	2013-05-08
31/2-E-5 BY3H	31/2-E-5	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2012-12-16	2013-01-02	TROLL	3532-P3	31/2-1 TROLL VEST	NO	35.500000	\N	4451.000000	330.700000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL E	4	YES	OIL	2012	2013	\N	50	ED50	60	47	52.42	N	3	26	34.66	E	60.797894	3.442961	6740516.960000	524111.070000	31	31	2	E	5	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7020	http://www.npd.no/FactMapSearch?NPDID_wellbore=7020	multilateral	31/2-E-5 BY2H	7020	44534	46437	9999-12-31	21228	297055	278133	0	STATOIL PETROLEUM AS	2013-01-09	2013-01-09	2013-05-08
2/4-Z-9	2/4-Z-9	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2012-11-07	2013-01-05	EKOFISK	3533-P	2/4-2 EKOFISK	NO	52.100000	\N	3475.000000	80.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK Z	1-A	NO	OIL	2012	2013	\N	50	ED50	56	32	40.12	N	3	13	35.96	E	56.544478	3.226656	6266843.640000	513937.300000	31	2	4	Z	9	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7022	http://www.npd.no/FactMapSearch?NPDID_wellbore=7022	initial	\N	7022	44072	43506	9999-12-31	20900	296002	425058	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-11	2013-01-11	2013-05-08
2/4-Z-10	2/4-Z-10	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	2013-04-25	9999-12-31	EKOFISK	3534-P	2/4-2 EKOFISK	NO	52.100000	\N	0.000000	80.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK Z	1-A	NO	OIL/GAS	2013	0	\N	0	ED50	56	32	40.19	N	3	13	35.99	E	56.544497	3.226664	6266845.810000	513937.810000	31	2	4	Z	10	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7023	http://www.npd.no/FactMapSearch?NPDID_wellbore=7023	initial	\N	7023	44072	43506	9999-12-31	20900	296002	425058	0	CONOCOPHILLIPS SKANDINAVIA	2013-05-07	2013-05-07	2013-05-08
2/4-Z-11	2/4-Z-11	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL/GAS	DEVELOPMENT	2013-01-07	2013-02-15	EKOFISK	3535-P	2/4-2 EKOFISK	NO	52.300000	\N	4017.000000	80.200000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK Z	1-A	NO	OIL/GAS	2013	2013	\N	0	ED50	56	32	39.70	N	3	13	35.81	E	56.544361	3.226614	6266830.650000	513934.780000	31	2	4	Z	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7024	http://www.npd.no/FactMapSearch?NPDID_wellbore=7024	initial	\N	7024	44072	43506	9999-12-31	20900	296002	425058	0	CONOCOPHILLIPS SKANDINAVIA	2013-02-19	2013-02-19	2013-05-08
2/4-Z-15	2/4-Z-15	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	3536-P	2/4-2 EKOFISK	NO	51.000000	\N	0.000000	80.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK Z	1-A	NO	OIL/GAS	0	0	\N	0	ED50	56	32	40.01	N	3	13	35.98	E	56.544447	3.226661	6266840.240000	513937.650000	31	2	4	Z	15	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7025	http://www.npd.no/FactMapSearch?NPDID_wellbore=7025	initial	\N	7025	44072	43506	9999-12-31	20900	296002	425058	0	CONOCOPHILLIPS SKANDINAVIA	2012-11-01	2012-11-01	2013-05-08
2/4-Z-16	2/4-Z-16	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	3537-P	2/4-2 EKOFISK	NO	50.000000	\N	0.000000	80.000000	NORTH SEA	MÆRSK INNOVATOR	JACK-UP 3 LEGS	EKOFISK Z	1-A	NO	OIL/GAS	0	0	\N	0	ED50	56	32	40.15	N	3	13	36.05	E	56.544486	3.226681	6266844.570000	513938.840000	31	2	4	Z	16	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7026	http://www.npd.no/FactMapSearch?NPDID_wellbore=7026	initial	\N	7026	44072	43506	9999-12-31	20900	297838	425058	0	CONOCOPHILLIPS SKANDINAVIA	2013-01-31	2013-01-31	2013-05-08
2/4-Z-17	2/4-Z-17	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL/GAS	DEVELOPMENT	2013-02-27	2013-04-10	EKOFISK	3538-P	2/4-2 EKOFISK	NO	51.000000	\N	4315.000000	80.000000	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	EKOFISK Z	1-A	NO	OIL/GAS	2013	2013	\N	0	ED50	56	32	40.22	N	3	13	36.12	E	56.544506	3.226700	6266846.740000	513940.020000	31	2	4	Z	17	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7027	http://www.npd.no/FactMapSearch?NPDID_wellbore=7027	initial	\N	7027	44072	43506	9999-12-31	20900	296002	425058	0	CONOCOPHILLIPS SKANDINAVIA	2013-04-13	2013-04-13	2013-05-08
25/11-G-17 CY1	25/11-G-17	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2012-09-03	2012-09-27	GRANE	3539-P1	25/11-15 GRANE	NO	69.900000	\N	4310.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2012	2012	\N	50	ED50	59	9	54.82	N	2	29	14.31	E	59.165228	2.487308	6558714.640000	470684.640000	31	25	11	G	17	CY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7029	http://www.npd.no/FactMapSearch?NPDID_wellbore=7029	multilateral	25/11-G-17 B	7029	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-10-09	2012-10-09	2013-05-08
25/11-G-17 CY2	25/11-G-17	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	OIL	DEVELOPMENT	2012-10-02	2012-11-27	GRANE	3539-P2	25/11-15 GRANE	NO	69.900000	\N	5038.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2012	2012	\N	50	ED50	59	9	54.82	N	2	29	14.31	E	59.165228	2.487308	6558714.640000	470684.640000	31	25	11	G	17	CY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7030	http://www.npd.no/FactMapSearch?NPDID_wellbore=7030	multilateral	25/11-G-17 CY1	7030	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-12-01	2012-12-01	2013-05-08
6507/7-A-51 A	6507/7-A-51	Statoil Petroleum AS	STATOIL	095	PRODUCTION	OIL	DEVELOPMENT	2012-10-05	2012-10-24	HEIDRUN	3540-P	6507/7-2 HEIDRUN	NO	74.200000	\N	2650.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2012	2012	\N	50	ED50	65	19	32.40	N	7	19	3.24	E	65.325667	7.317567	7245977.850000	421632.600000	32	6507	7	A	51	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7034	http://www.npd.no/FactMapSearch?NPDID_wellbore=7034	sidetrack	6507/7-A-51	7034	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2012-10-31	2012-10-31	2013-05-08
30/6-C-14 B	30/6-C-14	Statoil Petroleum AS	STATOIL	053	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	OSEBERG	3541-P	30/6-1 OSEBERG	NO	62.300000	\N	0.000000	109.000000	NORTH SEA	OSEBERG C	JACKET 8 LEGS	OSEBERG C	4	NO	GAS	0	0	\N	0	ED50	60	36	29.43	N	2	46	33.26	E	60.608175	2.775906	6719324.720000	487730.060000	31	30	6	C	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7035	http://www.npd.no/FactMapSearch?NPDID_wellbore=7035	sidetrack	30/6-C-14 A	7035	44396	43625	9999-12-31	21220	272225	272225	0	STATOIL PETROLEUM AS	2012-09-11	2012-09-11	2013-05-08
25/8-C-15 A	25/8-C-15	ExxonMobil Exploration & Production Norway AS	ESSO	027	OBSERVATION	\N	DEVELOPMENT	2012-11-29	2012-12-26	BALDER	3543-P	25/8-1 RINGHORNE	NO	60.300000	\N	3191.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	2012	2012	\N	99	ED50	59	15	57.87	N	2	26	59.56	E	59.266075	2.449878	6569961.680000	468637.060000	31	25	8	C	15	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7036	http://www.npd.no/FactMapSearch?NPDID_wellbore=7036	sidetrack	25/8-C-15	7036	44312	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2013-01-24	2013-01-24	2013-05-08
25/8-C-15 B	25/8-C-15	ExxonMobil Exploration & Production Norway AS	ESSO	027	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	BALDER	3544-P	25/8-1 RINGHORNE	NO	60.300000	\N	0.000000	128.500000	NORTH SEA	RINGHORNE	JACKET 4 LEGS	RINGHORNE	2-A	NO	OIL	0	0	\N	0	ED50	59	15	57.87	N	2	26	59.56	E	59.266075	2.449878	6569961.680000	468637.060000	31	25	8	C	15	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7037	http://www.npd.no/FactMapSearch?NPDID_wellbore=7037	sidetrack	25/8-C-15 A	7037	44312	43562	9999-12-31	20988	280849	280849	0	EXXON MO	2012-09-11	2012-09-11	2013-05-08
34/11-B-19 A	34/11-B-19	Statoil Petroleum AS	STATOIL	193 D	INJECTION	CUTTINGS	DEVELOPMENT	2012-10-29	2012-11-30	VALEMON	3542-P	34/10-23 VALEMON	NO	53.700000	\N	1353.000000	133.500000	NORTH SEA	WEST ELARA	JACK-UP 3 LEGS	VALEMON	Awarded additionaly to round 14	NO	CUTTINGS	2012	2012	\N	171	ED50	61	2	26.77	N	2	20	20.19	E	61.040769	2.338942	6767669.220000	464290.570000	31	34	11	B	19	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7038	http://www.npd.no/FactMapSearch?NPDID_wellbore=7038	sidetrack	34/11-B-19	7038	44618	20460969	9999-12-31	21349950	414002	424932	0	STATOIL PETROLEUM AS	2013-01-24	2013-01-24	2013-05-08
33/9-C-39 A	33/9-C-39	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2012-10-05	2012-10-25	STATFJORD	3545-P	33/12-1 STATFJORD	NO	78.400000	\N	3072.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	GAS	2012	2012	\N	90	ED50	61	17	46.69	N	1	54	10.29	E	61.296303	1.902858	6796447.100000	441212.700000	31	33	9	C	39	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7040	http://www.npd.no/FactMapSearch?NPDID_wellbore=7040	sidetrack	33/9-C-39	7040	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL PETROLEUM AS	2012-10-26	2012-10-26	2013-05-08
25/11-G-11 A	25/11-G-11	Statoil Petroleum AS	STATOIL	169 B1	OBSERVATION	OIL	DEVELOPMENT	2012-12-31	2013-04-04	GRANE	3546-P	25/11-15 GRANE	NO	69.900000	\N	3556.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	2012	2013	\N	99	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	25	11	G	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7041	http://www.npd.no/FactMapSearch?NPDID_wellbore=7041	sidetrack	25/11-G-11	7041	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-04-09	2013-04-09	2013-05-08
25/11-G-11 BY1	25/11-G-11	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	\N	DEVELOPMENT	2013-04-05	9999-12-31	GRANE	3547-P1	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	2013	0	\N	0	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	25	11	G	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7042	http://www.npd.no/FactMapSearch?NPDID_wellbore=7042	multilateral	25/11-G-11 A	7042	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-04-09	2013-04-09	2013-05-08
25/11-G-11 BY2	25/11-G-11	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3547-P2	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	0	0	\N	0	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	25	11	G	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7043	http://www.npd.no/FactMapSearch?NPDID_wellbore=7043	multilateral	25/11-G-11 BY1	7043	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-09-15	2012-09-15	2013-05-08
25/11-G-11 BY3	25/11-G-11	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3547-P3	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	0	0	\N	0	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	25	11	G	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7044	http://www.npd.no/FactMapSearch?NPDID_wellbore=7044	multilateral	25/11-G-11 BY2	7044	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-09-15	2012-09-15	2013-05-08
25/11-G-11 BY4	25/11-G-11	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3547-P4	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	0	0	\N	0	ED50	59	9	55.06	N	2	29	14.34	E	59.165294	2.487317	6558722.060000	470685.180000	31	25	11	G	11	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7045	http://www.npd.no/FactMapSearch?NPDID_wellbore=7045	multilateral	25/11-G-11 BY3	7045	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2012-09-15	2012-09-15	2013-05-08
6507/7-A-8	6507/7-A-8	Statoil Petroleum AS	STATOIL	095	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	HEIDRUN	3548-P	6507/7-2 HEIDRUN	NO	74.200000	\N	0.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	0	0	\N	0	ED50	65	19	33.17	N	7	19	4.27	E	65.325881	7.317853	7246001.320000	421646.560000	32	6507	7	A	8	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7054	http://www.npd.no/FactMapSearch?NPDID_wellbore=7054	initial	\N	7054	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2012-10-19	2012-10-19	2013-05-08
33/12-B-8 B	33/12-B-8	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2012-11-06	2012-11-24	STATFJORD	3549-P	33/12-1 STATFJORD	NO	77.800000	\N	2844.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS	2012	2012	\N	90	ED50	61	12	25.12	N	1	49	52.61	E	61.206978	1.831281	6786564.500000	437199.720000	31	33	12	B	8	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7055	http://www.npd.no/FactMapSearch?NPDID_wellbore=7055	sidetrack	33/12-B-8 A	7055	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL PETROLEUM AS	2013-02-08	2013-02-08	2013-05-08
34/10-E-4 CH	34/10-E-4	Statoil Petroleum AS	STATOIL	050	INJECTION	GAS	DEVELOPMENT	2012-11-26	2013-01-23	GULLFAKS SØR	3550-P	34/10-2 GULLFAKS SØR	NO	25.000000	\N	4775.000000	133.000000	NORTH SEA	SONGA DEE	SEMISUB STEEL	GULLFAKS SØR E	Awarded additionaly to round 3	NO	GAS	2012	2013	\N	91	ED50	61	6	38.54	N	2	15	38.70	E	61.110706	2.260750	6775504.260000	460154.860000	31	34	10	E	4	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7056	http://www.npd.no/FactMapSearch?NPDID_wellbore=7056	sidetrack	34/10-E-4 BH	7056	44606	43699	9999-12-31	21188	290980	279701	0	STATOIL PETROLEUM AS	2013-01-26	2013-01-26	2013-05-08
33/9-C-9 A	33/9-C-9	Statoil Petroleum AS	STATOIL	037	PRODUCTION	WATER	DEVELOPMENT	2012-12-04	2013-03-20	STATFJORD	3551-P	33/12-1 STATFJORD	NO	78.400000	\N	4907.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	2012	2013	\N	172	ED50	61	17	48.06	N	1	54	10.83	E	61.296683	1.903008	6796489.350000	441221.440000	31	33	9	C	9	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7057	http://www.npd.no/FactMapSearch?NPDID_wellbore=7057	sidetrack	33/9-C-9	7057	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL PETROLEUM AS	2013-03-23	2013-03-23	2013-05-08
6608/10-G-3 H	6608/10-G-3	Statoil Petroleum AS	STATOIL	128	PRODUCTION	NOT APPLICABLE	DEVELOPMENT	2012-12-01	2013-01-01	URD	3552-P	6608/10-6 SVALE	NO	40.000000	\N	2244.000000	377.000000	NORWEGIAN SEA	TRANSOCEAN SPITSBERGEN	SEMISUB STEEL	NORNE G	10-B	NO	OIL	2012	2013	\N	81	ED50	66	4	42.16	N	8	14	55.69	E	66.078378	8.248803	7329035.800000	466009.320000	32	6608	10	G	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7060	http://www.npd.no/FactMapSearch?NPDID_wellbore=7060	initial	\N	7060	1030536	2834734	9999-12-31	21836	404201	364789	0	STATOIL PETROLEUM AS	2013-01-29	2013-01-29	2013-05-08
34/10-C-30 A	34/10-C-30	Statoil Petroleum AS	STATOIL	050	INJECTION	CUTTINGS	DEVELOPMENT	2012-12-05	2013-01-02	GULLFAKS	3553-P	34/10-1 GULLFAKS	NO	84.000000	\N	2177.000000	216.900000	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	GULLFAKS C	Awarded additionaly to round 3	NO	CUTTINGS	2012	2013	\N	171	61ED50	61	12	53.49	N	2	16	27.75	E	61.214858	2.274375	6787097.340000	461017.930000	31	34	10	C	30	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7061	http://www.npd.no/FactMapSearch?NPDID_wellbore=7061	sidetrack	34/10-C-30	7061	44594	43686	9999-12-31	21188	272645	272645	0	STATOIL PETROLEUM AS	2013-01-09	2013-01-09	2013-05-08
2/4-X-27 A	2/4-X-27	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	OIL	DEVELOPMENT	2012-12-05	2013-02-06	EKOFISK	3554-P	2/4-2 EKOFISK	NO	57.000000	\N	4025.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL	2012	2013	\N	50	ED50	56	32	51.72	N	3	13	8.24	E	56.547700	3.218956	6267200.770000	513462.680000	31	2	4	X	27	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7062	http://www.npd.no/FactMapSearch?NPDID_wellbore=7062	sidetrack	2/4-X-27	7062	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2013-03-22	2013-03-22	2013-05-08
2/4-K-13 A	2/4-K-13	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	WATER	DEVELOPMENT	2013-02-01	2013-04-16	EKOFISK	3555-P	2/4-2 EKOFISK	NO	55.200000	\N	3943.000000	73.800000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	2013	2013	\N	173	ED50	56	33	56.08	N	3	12	23.08	E	56.565578	3.206411	6269188.390000	512685.390000	31	2	4	K	13	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7063	http://www.npd.no/FactMapSearch?NPDID_wellbore=7063	sidetrack	2/4-K-13	7063	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2013-04-20	2013-04-20	2013-05-08
15/12-A-12 E	15/12-A-12	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2013-01-08	2013-02-12	VARG	3556-P	15/12-4 VARG	NO	31.700000	\N	3682.000000	84.000000	NORTH SEA	ROWAN STAVANGER	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2013	2013	\N	50	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	15	12	A	12	E	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7064	http://www.npd.no/FactMapSearch?NPDID_wellbore=7064	sidetrack	15/12-A-12 D	7064	43868	43451	9999-12-31	21092	413943	279505	0	TALISMAN ENERGY	2013-02-19	2013-02-19	2013-05-08
34/8-C-4 H	34/8-C-4	Statoil Petroleum AS	STATOIL	120	OBSERVATION	OIL	DEVELOPMENT	2013-02-19	2013-03-05	VISUND	3557-P	34/8-1 VISUND	NO	25.000000	\N	3522.000000	378.000000	NORTH SEA	COSLPioneer	SEMISUB STEEL	VISUND NORD ITS	10-A	NO	OIL	2013	2013	\N	99	ED50	61	26	6.10	N	2	35	20.84	E	61.435028	2.589122	6811475.750000	478080.890000	31	34	8	C	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7073	http://www.npd.no/FactMapSearch?NPDID_wellbore=7073	initial	\N	7073	44720	43745	9999-12-31	21772	413534	424989	0	STATOIL PETROLEUM AS	2013-03-08	2013-03-08	2013-05-08
34/8-C-4 AH	34/8-C-4	Statoil Petroleum AS	STATOIL	120	PRODUCTION	OIL	DEVELOPMENT	2013-03-06	2013-03-28	VISUND	3558-P	34/8-1 VISUND	NO	25.000000	\N	5168.000000	378.000000	NORTH SEA	COSLPioneer	SEMISUB STEEL	VISUND NORD ITS	10-A	NO	OIL	2013	2013	\N	50	ED50	61	26	6.10	N	2	35	20.84	E	61.435028	2.589122	6811475.750000	478080.890000	31	34	8	C	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7074	http://www.npd.no/FactMapSearch?NPDID_wellbore=7074	sidetrack	34/8-C-4 H	7074	44720	43745	9999-12-31	21772	413534	424989	0	STATOIL PETROLEUM AS	2013-04-03	2013-04-03	2013-05-08
34/8-C-3 H	34/8-C-3	Statoil Petroleum AS	STATOIL	120	OBSERVATION	OIL	DEVELOPMENT	2013-03-30	2013-05-04	VISUND	3559-P	34/8-1 VISUND	NO	25.000000	\N	3456.000000	378.000000	NORTH SEA	COSLPioneer	SEMISUB STEEL	VISUND NORD ITS	10-A	NO	OIL	2013	2013	\N	99	ED50	61	26	6.10	N	2	35	20.84	E	61.435028	2.589122	6811475.750000	478080.890000	31	34	8	C	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7075	http://www.npd.no/FactMapSearch?NPDID_wellbore=7075	initial	\N	7075	44720	43745	9999-12-31	21772	413534	424989	0	STATOIL PETROLEUM AS	2013-05-07	2013-05-07	2013-05-08
2/1-A-32 D	2/1-A-32	Talisman Energy Norge AS	TALISMAN	019 B	PRODUCTION	\N	DEVELOPMENT	2013-04-29	9999-12-31	GYDA	3560-P	2/1-3 GYDA	NO	56.000000	\N	0.000000	65.500000	NORTH SEA	GYDA	JACKET 6 LEGS	GYDA	Awarded additionaly to round 1-A	NO	OIL	2013	0	\N	0	ED50	56	54	17.31	N	3	5	5.95	E	56.904808	3.084986	6306934.020000	505176.150000	31	2	1	A	32	D	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7076	http://www.npd.no/FactMapSearch?NPDID_wellbore=7076	sidetrack	2/1-A-32 C	7076	44012	43492	9999-12-31	20924	272337	272337	0	TALISMAN ENERGY	2013-05-07	2013-05-07	2013-05-08
33/12-B-30 B	33/12-B-30	Statoil Petroleum AS	STATOIL	037	PRODUCTION	WATER/GAS	DEVELOPMENT	2013-01-06	2013-03-11	STATFJORD	3561-P	33/12-1 STATFJORD	NO	77.800000	\N	5510.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	WATER/GAS	2013	2013	\N	0	ED50	61	12	24.04	N	1	49	50.78	E	61.206678	1.830772	6786531.570000	437171.810000	31	33	12	B	30	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7077	http://www.npd.no/FactMapSearch?NPDID_wellbore=7077	sidetrack	33/12-B-30 A	7077	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL PETROLEUM AS	2013-03-13	2013-03-13	2013-05-08
15/9-F-11	15/9-F-11	Statoil Petroleum AS	STATOIL	046 BS	OBSERVATION	\N	DEVELOPMENT	2013-03-15	9999-12-31	VOLVE	3562-P	15/9-19 S VOLVE	NO	54.900000	\N	0.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	2013	0	\N	99	ED50	58	26	29.96	N	1	53	14.87	E	58.441656	1.887464	6478568.280000	435049.150000	31	15	9	F	11	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7078	http://www.npd.no/FactMapSearch?NPDID_wellbore=7078	initial	\N	7078	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOIL PETROLEUM AS	2013-03-23	2013-03-23	2013-05-08
15/9-F-11 A	15/9-F-11	Statoil Petroleum AS	STATOIL	046 BS	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VOLVE	3563-P	15/9-19 S VOLVE	NO	54.900000	\N	0.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	0	0	\N	99	ED50	58	26	29.96	N	1	53	14.87	E	58.441656	1.887464	6478568.280000	435049.150000	31	15	9	F	11	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7079	http://www.npd.no/FactMapSearch?NPDID_wellbore=7079	sidetrack	15/9-F-11	7079	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOIL PETROLEUM AS	2012-11-24	2012-11-24	2013-05-08
15/9-F-11 B	15/9-F-11	Statoil Petroleum AS	STATOIL	046 BS	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VOLVE	3564-P	15/9-19 S VOLVE	NO	54.900000	\N	0.000000	91.000000	NORTH SEA	MÆRSK INSPIRER	JACK-UP 3 LEGS	MÆRSK INSPIRER	Awarded additionaly to round 3	NO	OIL	0	0	\N	0	ED50	58	26	29.96	N	1	53	14.87	E	58.441656	1.887464	6478568.280000	435049.150000	31	15	9	F	11	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7080	http://www.npd.no/FactMapSearch?NPDID_wellbore=7080	sidetrack	15/9-F-11 A	7080	43934	3420717	9999-12-31	4227659	369304	369304	0	STATOIL PETROLEUM AS	2012-11-24	2012-11-24	2013-05-08
30/9-J-14 AH	30/9-J-14	Statoil Petroleum AS	STATOIL	104	PRODUCTION	OIL	DEVELOPMENT	2013-01-10	2013-02-11	OSEBERG SØR	3565-P	30/9-10 OSEBERG SØR	NO	25.000000	\N	4938.000000	102.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	OSEBERG SØR J	9	NO	OIL	2013	2013	\N	50	ED50	60	21	16.14	N	2	54	0.70	E	60.354483	2.900194	6691051.640000	494492.470000	31	30	9	J	14	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7087	http://www.npd.no/FactMapSearch?NPDID_wellbore=7087	sidetrack	30/9-J-14 H	7087	44468	43645	9999-12-31	21636	297784	281745	0	STATOIL PETROLEUM AS	2013-03-20	2013-03-20	2013-05-08
31/2-N-14 BY1H	31/2-N-14	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3566-P1	31/2-1 TROLL VEST	NO	25.100000	\N	0.000000	341.000000	NORTH SEA	COSLPromoter	SEMISUB STEEL	TROLL N1	4	NO	OIL	0	0	\N	0	ED50	60	54	56.59	N	3	35	12.03	E	60.915719	3.586675	6753702.130000	531816.150000	31	31	2	N	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7088	http://www.npd.no/FactMapSearch?NPDID_wellbore=7088	multilateral	31/2-N-14 AH	7088	44534	46437	9999-12-31	21228	413883	279729	0	STATOIL PETROLEUM AS	2012-11-29	2012-11-29	2013-05-08
31/2-N-14 BY2H	31/2-N-14	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3566-P2	31/2-1 TROLL VEST	NO	25.100000	\N	0.000000	341.000000	NORTH SEA	COSLPromoter	SEMISUB STEEL	TROLL N1	4	NO	OIL	0	0	\N	0	ED50	60	54	56.59	N	3	35	12.03	E	60.915719	3.586675	6753702.130000	531816.150000	31	31	2	N	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7089	http://www.npd.no/FactMapSearch?NPDID_wellbore=7089	multilateral	31/2-N-14 BY1H	7089	44534	46437	9999-12-31	21228	413883	279729	0	STATOIL PETROLEUM AS	2012-11-29	2012-11-29	2013-05-08
31/2-N-14 BY3H	31/2-N-14	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3566-P3	31/2-1 TROLL VEST	NO	25.100000	\N	0.000000	341.000000	NORTH SEA	COSLPromoter	SEMISUB STEEL	TROLL N1	4	NO	OIL	0	0	\N	0	ED50	60	54	56.59	N	3	35	12.03	E	60.915719	3.586675	6753702.130000	531816.150000	31	31	2	N	14	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7090	http://www.npd.no/FactMapSearch?NPDID_wellbore=7090	multilateral	31/2-N-14 BY2H	7090	44534	46437	9999-12-31	21228	413883	279729	0	STATOIL PETROLEUM AS	2012-11-29	2012-11-29	2013-05-08
6407/1-A-2 H	6407/1-A-2	Statoil Petroleum AS	STATOIL	073	OBSERVATION	OIL	DEVELOPMENT	2013-01-07	2013-03-12	TYRIHANS	3567-P	6407/1-3 TYRIHANS NORD	NO	23.500000	\N	4829.000000	288.100000	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TYRIHANS A	5	NO	OIL	2013	2013	\N	99	ED50	64	53	20.44	N	7	4	16.70	E	64.889011	7.071306	7197656.820000	408678.390000	32	6407	1	A	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7092	http://www.npd.no/FactMapSearch?NPDID_wellbore=7092	initial	\N	7092	44858	3960848	9999-12-31	21380	296677	377615	0	STATOIL PETROLEUM AS	2013-03-15	2013-03-15	2013-05-08
6407/1-A-2 AY1H	6407/1-A-2	Statoil Petroleum AS	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2013-03-15	2013-03-28	TYRIHANS	3568-P1	6407/1-3 TYRIHANS NORD	NO	23.500000	\N	7456.000000	288.100000	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TYRIHANS A	5	YES	OIL	2013	2013	\N	50	ED50	64	53	20.44	N	7	4	16.70	E	64.889011	7.071306	7197656.820000	408678.390000	32	6407	1	A	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7093	http://www.npd.no/FactMapSearch?NPDID_wellbore=7093	multilateral	6407/1-A-2 H	7093	44858	3960848	9999-12-31	21380	296677	377615	0	STATOIL PETROLEUM AS	2013-04-03	2013-04-03	2013-05-08
6407/1-A-2 AY3H	6407/1-A-2	Statoil Petroleum AS	STATOIL	073	PRODUCTION	\N	DEVELOPMENT	2013-04-15	9999-12-31	TYRIHANS	3568-P3	6407/1-3 TYRIHANS NORD	NO	23.500000	\N	0.000000	288.100000	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TYRIHANS A	5	YES	OIL	2013	0	\N	0	ED50	64	53	20.44	N	7	4	16.70	E	64.889011	7.071306	7197656.820000	408678.390000	32	6407	1	A	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7094	http://www.npd.no/FactMapSearch?NPDID_wellbore=7094	multilateral	6407/1-A-2 AY2H	7094	44858	3960848	9999-12-31	21380	296677	377615	0	STATOIL PETROLEUM AS	2013-04-16	2013-04-16	2013-05-08
6608/10-P-1 H	6608/10-P-1	Statoil Petroleum AS	STATOIL	128	OBSERVATION	OIL	DEVELOPMENT	2013-02-08	2013-04-09	SKULD	3569-P	6608/10-14 S SKULD	NO	23.000000	\N	2978.000000	358.000000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	FOSSEKALL P	10-B	NO	OIL	2013	2013	\N	99	ED50	66	8	37.07	N	8	13	59.13	E	66.143631	8.233092	7336317.680000	465387.460000	32	6608	10	P	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7096	http://www.npd.no/FactMapSearch?NPDID_wellbore=7096	initial	\N	7096	18086080	21350124	9999-12-31	21836	287983	417663	0	STATOIL PETROLEUM AS	2013-04-24	2013-04-24	2013-05-08
6608/10-R-4 H	6608/10-R-4	Statoil Petroleum AS	STATOIL	128	INJECTION	\N	DEVELOPMENT	2013-01-03	2013-01-12	SKULD	3570-P	6608/10-14 S SKULD	NO	23.000000	\N	0.000000	358.000000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	FOSSEKALL R	10-B	NO	WATER	2013	2013	\N	0	ED50	66	8	41.13	N	8	14	13.75	E	66.144758	8.237153	7336441.140000	465572.270000	32	6608	10	R	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7097	http://www.npd.no/FactMapSearch?NPDID_wellbore=7097	initial	\N	7097	18086080	21350124	9999-12-31	21836	287983	417722	0	STATOIL PETROLEUM AS	2013-01-19	2013-01-19	2013-05-08
6608/10-P-4 H	6608/10-P-4	Statoil Petroleum AS	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2013-02-15	2013-03-23	SKULD	3571-P	6608/10-14 S SKULD	NO	23.000000	\N	2760.000000	358.000000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	FOSSEKALL P	10-B	NO	OIL	2013	2013	\N	50	ED50	66	8	37.31	N	8	13	59.46	E	66.143697	8.233183	7336325.060000	465391.690000	32	6608	10	P	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7099	http://www.npd.no/FactMapSearch?NPDID_wellbore=7099	initial	\N	7099	18086080	21350124	9999-12-31	21836	287983	417663	0	STATOIL PETROLEUM AS	2013-04-04	2013-04-04	2013-05-08
7122/7-H-1 H	7122/7-H-1	Eni Norge AS	ENI	229	OBSERVATION	WATER	DEVELOPMENT	2013-02-06	2013-03-07	GOLIAT	3572-P	7122/7-1 GOLIAT	NO	34.000000	\N	2280.000000	383.000000	BARENTS SEA	SCARABEO 8	SEMISUB STEEL	GOLIAT H	BARENTSHAVPROSJEKTET-97	NO	WATER	2013	2013	\N	99	ED50	71	17	11.17	N	22	17	17.32	E	71.286436	22.288144	7910048.170000	546126.270000	34	7122	7	H	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7106	http://www.npd.no/FactMapSearch?NPDID_wellbore=7106	initial	\N	7106	1340775	5774394	9999-12-31	22644	404415	411296	0	ENI NORGE	2013-03-15	2013-03-15	2013-05-08
7122/7-H-1 AH	7122/7-H-1	Eni Norge AS	ENI	229	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GOLIAT	3573-P	7122/7-1 GOLIAT	NO	34.000000	\N	0.000000	383.000000	BARENTS SEA	SCARABEO 8	SEMISUB STEEL	GOLIAT H	BARENTSHAVPROSJEKTET-97	NO	WATER	0	0	\N	0	ED50	71	17	11.17	N	22	17	17.32	E	71.286436	22.288144	7910048.170000	546126.270000	34	7122	7	H	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7108	http://www.npd.no/FactMapSearch?NPDID_wellbore=7108	sidetrack	7122/7-H-1 H	7108	1340775	5774394	9999-12-31	22644	404415	411296	0	ENI NORGE	2013-03-09	2013-03-09	2013-05-08
34/7-P-12 A	34/7-P-12	Statoil Petroleum AS	STATOIL	089	PRODUCTION	OIL	DEVELOPMENT	2013-01-25	2013-03-12	SNORRE	3574-P	34/4-1 SNORRE	NO	59.400000	\N	5475.000000	309.000000	NORTH SEA	SNORRE A	TLP STEEL	SNORRE A	8	NO	OIL	2013	2013	\N	50	ED50	61	26	57.08	N	2	8	36.82	E	61.449189	2.143561	6813284.040000	454332.950000	31	34	7	P	12	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7109	http://www.npd.no/FactMapSearch?NPDID_wellbore=7109	sidetrack	34/7-P-12	7109	44654	43718	9999-12-31	21516	272085	272085	0	STATOIL PETROLEUM AS	2013-03-15	2013-03-15	2013-05-08
6608/10-G-3 AH	6608/10-G-3	Statoil Petroleum AS	STATOIL	128	PRODUCTION	OIL	DEVELOPMENT	2013-01-02	2013-03-12	URD	3575-P	6608/10-6 SVALE	NO	40.000000	\N	3558.000000	377.000000	NORWEGIAN SEA	TRANSOCEAN SPITSBERGEN	SEMISUB STEEL	NORNE G	10-B	NO	OIL	2013	2013	\N	50	ED50	66	4	42.16	N	8	14	55.69	E	66.078378	8.248803	7329035.800000	466009.320000	32	6608	10	G	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7116	http://www.npd.no/FactMapSearch?NPDID_wellbore=7116	sidetrack	6608/10-G-3 H	7116	1030536	2834734	9999-12-31	21836	404201	364789	0	STATOIL PETROLEUM AS	2013-03-15	2013-03-15	2013-05-08
7122/7-H-3 H	7122/7-H-3	Eni Norge AS	ENI	229	INJECTION	WATER	DEVELOPMENT	2013-03-10	2013-03-31	GOLIAT	3576-P	7122/7-1 GOLIAT	NO	34.000000	\N	2230.000000	384.000000	BARENTS SEA	SCARABEO 8	SEMISUB STEEL	GOLIAT H	BARENTSHAVPROSJEKTET-97	NO	WATER	2013	2013	\N	173	ED50	71	17	11.69	N	22	17	17.22	E	71.286581	22.288117	7910064.260000	546124.930000	34	7122	7	H	3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7117	http://www.npd.no/FactMapSearch?NPDID_wellbore=7117	initial	\N	7117	1340775	5774394	9999-12-31	22644	404415	411296	0	ENI NORGE	2013-04-04	2013-04-04	2013-05-08
7122/7-H-4 H	7122/7-H-4	Eni Norge AS	ENI	229	INJECTION	\N	DEVELOPMENT	2013-04-07	9999-12-31	GOLIAT	3577-P	7122/7-1 GOLIAT	NO	34.000000	\N	0.000000	383.000000	BARENTS SEA	SCARABEO 8	SEMISUB STEEL	GOLIAT H	BARENTSHAVPROSJEKTET-97	NO	WATER	2013	0	\N	0	ED50	71	17	11.29	N	22	17	17.90	E	71.286469	22.288306	7910052.010000	546131.960000	34	7122	7	H	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7118	http://www.npd.no/FactMapSearch?NPDID_wellbore=7118	initial	\N	7118	1340775	5774394	9999-12-31	22644	404415	411296	0	ENI NORGE	2013-04-24	2013-04-24	2013-05-08
15/12-A-1 B	15/12-A-1	Talisman Energy Norge AS	TALISMAN	038	PRODUCTION	OIL	DEVELOPMENT	2013-02-19	2013-04-09	VARG	3578-P	15/12-4 VARG	NO	31.700000	\N	3987.000000	84.000000	NORTH SEA	ROWAN STAVANGER	JACK-UP 3 LEGS	VARG A	3	NO	OIL	2013	2013	\N	50	ED50	58	4	40.53	N	1	53	25.51	E	58.077925	1.890419	6438070.210000	434554.670000	31	15	12	A	1	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7122	http://www.npd.no/FactMapSearch?NPDID_wellbore=7122	sidetrack	15/12-A-1 A	7122	43868	43451	9999-12-31	21092	413943	279505	0	TALISMAN ENERGY	2013-04-16	2013-04-16	2013-05-08
6507/7-A-28 B	6507/7-A-28	Statoil Petroleum AS	STATOIL	095	OBSERVATION	OIL	DEVELOPMENT	2013-02-25	2013-04-12	HEIDRUN	3579-P	6507/7-2 HEIDRUN	NO	74.200000	\N	2360.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2013	2013	\N	99	ED50	65	19	32.73	N	7	19	3.27	E	65.325758	7.317575	7245988.050000	421633.260000	32	6507	7	A	28	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7124	http://www.npd.no/FactMapSearch?NPDID_wellbore=7124	sidetrack	6507/7-A-28 A	7124	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2013-04-16	2013-04-16	2013-05-08
6507/7-A-28 C	6507/7-A-28	Statoil Petroleum AS	STATOIL	095	PRODUCTION	\N	DEVELOPMENT	2013-04-13	9999-12-31	HEIDRUN	3580-P	6507/7-2 HEIDRUN	NO	74.200000	\N	0.000000	345.600000	NORWEGIAN SEA	HEIDRUN	TLP CONCRETE	HEIDRUN	8	NO	OIL	2013	0	\N	0	ED50	65	19	32.73	N	7	19	3.27	E	65.325758	7.317575	7245988.050000	421633.260000	32	6507	7	A	28	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7125	http://www.npd.no/FactMapSearch?NPDID_wellbore=7125	sidetrack	6507/7-A-28 B	7125	44930	43771	9999-12-31	21564	272421	272421	0	STATOIL PETROLEUM AS	2013-04-16	2013-04-16	2013-05-08
25/11-A-21 H	25/11-A-21	ExxonMobil Exploration & Production Norway AS	ESSO	001	OBSERVATION	OIL	DEVELOPMENT	2013-04-15	2013-04-22	BALDER	3581-P	25/11-1 BALDER	NO	18.000000	\N	2449.000000	126.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	BALDER FPU	1-A	NO	OIL	2013	2013	\N	99	ED50	59	11	29.61	N	2	21	29.42	E	59.191558	2.358172	6561710.560000	463329.070000	31	25	11	A	21	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7126	http://www.npd.no/FactMapSearch?NPDID_wellbore=7126	initial	\N	7126	44210	43562	9999-12-31	20756	297514	279841	0	EXXON MO	2013-05-01	2013-05-01	2013-05-08
25/11-A-21 AH	25/11-A-21	ExxonMobil Exploration & Production Norway AS	ESSO	001	PRODUCTION	\N	DEVELOPMENT	2013-04-23	9999-12-31	BALDER	3582-P	25/11-1 BALDER	NO	18.000000	\N	0.000000	126.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	BALDER FPU	1-A	NO	OIL	2013	0	\N	0	ED50	59	11	29.61	N	2	21	29.42	E	59.191558	2.358172	6561710.560000	463329.070000	31	25	11	A	21	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7127	http://www.npd.no/FactMapSearch?NPDID_wellbore=7127	sidetrack	25/11-A-21 H	7127	44210	43562	9999-12-31	20756	297514	279841	0	EXXON MO	2013-05-01	2013-05-01	2013-05-08
25/11-A-22 H	25/11-A-22	ExxonMobil Exploration & Production Norway AS	ESSO	001	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	BALDER	3583-P	25/11-1 BALDER	NO	18.000000	\N	0.000000	126.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	BALDER FPU	1-A	NO	OIL	0	0	\N	99	ED50	59	11	27.42	N	2	21	31.55	E	59.190950	2.358764	6561642.490000	463362.220000	31	25	11	A	22	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7128	http://www.npd.no/FactMapSearch?NPDID_wellbore=7128	initial	\N	7128	44210	43562	9999-12-31	20756	297514	279841	0	EXXON MO	2013-02-20	2013-02-20	2013-05-08
25/11-A-23 H	25/11-A-23	ExxonMobil Exploration & Production Norway AS	ESSO	001	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	BALDER	3584-P	25/11-1 BALDER	NO	18.000000	\N	0.000000	126.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	BALDER FPU	1-A	NO	OIL	0	0	\N	0	ED50	59	11	28.71	N	2	21	27.69	E	59.191308	2.357692	6561682.980000	463301.340000	31	25	11	A	23	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7129	http://www.npd.no/FactMapSearch?NPDID_wellbore=7129	initial	\N	7129	44210	43562	9999-12-31	20756	297514	279841	0	EXXON MO	2013-02-20	2013-02-20	2013-05-08
6608/10-M-4 BH	6608/10-M-4	Statoil Petroleum AS	STATOIL	128	PRODUCTION	\N	DEVELOPMENT	2013-04-06	9999-12-31	NORNE	3585-P	6608/10-2 NORNE	NO	40.000000	\N	0.000000	375.000000	NORWEGIAN SEA	TRANSOCEAN SPITSBERGEN	SEMISUB STEEL	NORNE M	10-B	NO	OIL	2013	0	\N	0	ED50	66	0	17.65	N	8	1	56.16	E	66.004903	8.032267	7320980.780000	456085.490000	32	6608	10	M	4	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7131	http://www.npd.no/FactMapSearch?NPDID_wellbore=7131	sidetrack	6608/10-M-4 AH	7131	44942	43778	9999-12-31	21836	404201	409423	0	STATOIL PETROLEUM AS	2013-04-13	2013-04-13	2013-05-08
25/4-F-1 H	25/4-F-1	Marathon Oil Norge AS	MARATHON	036 D	OBSERVATION	OIL	DEVELOPMENT	2013-03-26	2013-04-25	VILJE	3586-P	25/4-9 S VILJE	NO	26.000000	\N	2850.000000	122.000000	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	25/4-F-1 H	Awarded additionaly to round 2-A	NO	OIL	2013	2013	\N	99	ED50	59	39	23.85	N	2	16	43.68	E	59.656625	2.278800	6613545.950000	459355.500000	31	25	4	F	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7132	http://www.npd.no/FactMapSearch?NPDID_wellbore=7132	initial	\N	7132	2472606	3392471	9999-12-31	5081703	296326	429545	0	MARATHON OIL	2013-04-27	2013-04-27	2013-05-08
25/11-A-22 AH	25/11-A-22	ExxonMobil Exploration & Production Norway AS	ESSO	001	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	BALDER	3587-P	25/11-1 BALDER	NO	18.000000	\N	0.000000	126.000000	NORTH SEA	WEST ALPHA	SEMISUB STEEL	BALDER FPU	1-A	NO	OIL	0	0	\N	0	ED50	59	11	27.42	N	2	21	31.55	E	59.190950	2.358764	6561642.490000	463362.220000	31	25	11	A	22	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7133	http://www.npd.no/FactMapSearch?NPDID_wellbore=7133	sidetrack	25/11-A-22 H	7133	44210	43562	9999-12-31	20756	297514	279841	0	EXXON MO	2013-02-01	2013-02-01	2013-05-08
2/4-X-27 B	2/4-X-27	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	2013-02-07	9999-12-31	EKOFISK	3588-P	2/4-2 EKOFISK	NO	57.000000	\N	0.000000	76.000000	NORTH SEA	EKOFISK X	JACKET 4 LEGS	EKOFISK X	1-A	NO	OIL/GAS	2013	0	\N	0	ED50	56	32	51.72	N	3	13	8.24	E	56.547700	3.218956	6267200.770000	513462.680000	31	2	4	X	27	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7134	http://www.npd.no/FactMapSearch?NPDID_wellbore=7134	sidetrack	2/4-X-27 A	7134	44072	43506	9999-12-31	20900	278525	278525	0	CONOCOPHILLIPS SKANDINAVIA	2013-02-12	2013-02-12	2013-05-08
33/12-B-5 A	33/12-B-5	Statoil Petroleum AS	STATOIL	037	PRODUCTION	GAS	DEVELOPMENT	2013-04-02	2013-05-03	STATFJORD	3589-P	33/12-1 STATFJORD	NO	77.800000	\N	4220.000000	144.500000	NORTH SEA	STATFJORD B	CONDEEP 4 SHAFTS	STATFJORD B	Awarded additionaly to round 2-A	NO	GAS	2013	2013	\N	90	ED50	61	12	25.22	N	1	49	52.20	E	61.207006	1.831167	6786567.700000	437193.660000	31	33	12	B	5	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7135	http://www.npd.no/FactMapSearch?NPDID_wellbore=7135	sidetrack	33/12-B-5	7135	44558	43658	9999-12-31	21084	271301	271301	0	STATOIL PETROLEUM AS	2013-05-07	2013-05-07	2013-05-08
2/11-A-3 A	2/11-A-3	BP Norge AS	BP	033	PRODUCTION	OIL	DEVELOPMENT	1991-05-15	1991-07-23	HOD	3590-P	2/11-2 HOD	NO	38.300000	\N	3812.000000	72.000000	NORTH SEA	KOLSKAYA	JACK-UP 3 LEGS	HOD	2-A	NO	OIL	1991	1991	\N	50	ED50	56	10	36.01	N	3	27	36.32	E	56.176669	3.460089	6225975.790000	528564.990000	31	2	11	A	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7136	http://www.npd.no/FactMapSearch?NPDID_wellbore=7136	sidetrack	2/11-A-3	7136	44000	43485	9999-12-31	21052	293977	272309	0	BP NORGE	2013-02-16	2013-02-16	2013-05-08
25/4-F-1 AH	25/4-F-1	Marathon Oil Norge AS	MARATHON	036 D	PRODUCTION	\N	DEVELOPMENT	2013-04-26	9999-12-31	VILJE	3591-P	25/4-9 S VILJE	NO	26.000000	\N	0.000000	122.000000	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	25/4-F-1 H	Awarded additionaly to round 2-A	NO	OIL	2013	0	\N	0	ED50	59	39	23.85	N	2	16	43.68	E	59.656625	2.278800	6613545.950000	459355.500000	31	25	4	F	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7138	http://www.npd.no/FactMapSearch?NPDID_wellbore=7138	sidetrack	25/4-F-1 H	7138	2472606	3392471	9999-12-31	5081703	296326	429545	0	MARATHON OIL	2013-05-01	2013-05-01	2013-05-08
30/9-J-14 BH	30/9-J-14	Statoil Petroleum AS	STATOIL	104	PRODUCTION	OIL	DEVELOPMENT	2013-02-19	2013-04-07	OSEBERG SØR	3592-P	30/9-6 OSEBERG SØR	NO	25.000000	\N	4751.000000	109.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	OSEBERG SØR J	9	NO	OIL	2013	2013	\N	50	ED50	60	21	16.14	N	2	54	0.70	E	60.354483	2.900194	6691051.640000	494492.470000	31	30	9	J	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7139	http://www.npd.no/FactMapSearch?NPDID_wellbore=7139	sidetrack	30/9-J-14 AH	7139	44510	43645	9999-12-31	21636	297784	281745	0	STATOIL PETROLEUM AS	2013-04-13	2013-04-13	2013-05-08
2/4-K-18 A	2/4-K-18	ConocoPhillips Skandinavia AS	CONPHIL	018	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	3593-P	2/4-2 EKOFISK	NO	55.200000	\N	0.000000	73.800000	NORTH SEA	EKOFISK K	JACKET 8 LEGS	EKOFISK K	1-A	NO	WATER	0	0	\N	0	ED50	56	33	55.91	N	3	12	22.26	E	56.565531	3.206183	6269183.090000	512671.410000	31	2	4	K	18	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7143	http://www.npd.no/FactMapSearch?NPDID_wellbore=7143	sidetrack	2/4-K-18	7143	44072	43506	9999-12-31	20900	271469	271469	0	CONOCOPHILLIPS SKANDINAVIA	2013-03-06	2013-03-06	2013-05-08
2/4-B-7 A	2/4-B-7	ConocoPhillips Skandinavia AS	CONPHIL	018	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	EKOFISK	3594-P	2/4-2 EKOFISK	NO	51.500000	\N	0.000000	74.000000	NORTH SEA	EKOFISK B	JACKET 12 LEGS	EKOFISK B	1-A	NO	OIL/GAS	0	0	\N	0	ED50	56	33	54.66	N	3	12	13.27	E	56.565183	3.203686	6269143.980000	512518.050000	31	2	4	B	7	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7145	http://www.npd.no/FactMapSearch?NPDID_wellbore=7145	sidetrack	2/4-B-7	7145	44072	43506	9999-12-31	20900	271413	271413	0	CONOCOPHILLIPS SKANDINAVIA	2013-03-09	2013-03-09	2013-05-08
34/8-C-3 AH	34/8-C-3	Statoil Petroleum AS	STATOIL	120	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VISUND	3595-P	34/8-1 VISUND	NO	25.000000	\N	0.000000	378.000000	NORTH SEA	COSLPioneer	SEMISUB STEEL	VISUND NORD ITS	10-A	NO	OIL/GAS	0	0	\N	0	ED50	61	26	6.10	N	2	35	20.84	E	61.435028	2.589122	6811475.750000	478080.890000	31	34	8	C	3	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7146	http://www.npd.no/FactMapSearch?NPDID_wellbore=7146	sidetrack	34/8-C-3 H	7146	44720	43745	9999-12-31	21772	413534	424989	0	STATOIL PETROLEUM AS	2013-03-09	2013-03-09	2013-05-08
33/9-C-30 B	33/9-C-30	Statoil Petroleum AS	STATOIL	037	PRODUCTION	\N	DEVELOPMENT	2013-04-28	9999-12-31	STATFJORD	3596-P	33/12-1 STATFJORD	NO	78.400000	\N	0.000000	145.600000	NORTH SEA	STATFJORD C	CONDEEP 4 SHAFTS	STATFJORD C	Awarded additionaly to round 2-A	NO	WATER	2013	0	\N	0	ED50	61	17	46.88	N	1	54	9.78	E	61.296356	1.902717	6796453.100000	441205.200000	31	33	9	C	30	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7147	http://www.npd.no/FactMapSearch?NPDID_wellbore=7147	sidetrack	33/9-C-30 A	7147	44558	43658	9999-12-31	21084	271329	271329	0	STATOIL PETROLEUM AS	2013-05-01	2013-05-01	2013-05-08
34/10-H-4 AH	34/10-H-4	Statoil Petroleum AS	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	2013-04-04	2013-04-12	GULLFAKS SØR	3597-P	34/10-17 RIMFAKS	NO	32.000000	\N	0.000000	135.000000	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	GULLFAKS SØR H	Awarded additionaly to round 3	NO	OIL	2013	2013	\N	0	ED50	61	3	20.33	N	2	4	26.69	E	61.055647	2.074081	6769499.710000	450007.150000	31	34	10	H	4	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7148	http://www.npd.no/FactMapSearch?NPDID_wellbore=7148	sidetrack	34/10-H-4 H	7148	44600	43699	9999-12-31	21188	404360	280709	0	STATOIL PETROLEUM AS	2013-04-26	2013-04-26	2013-05-08
31/2-O-22 Y1H	31/2-O-22	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	2013-05-04	9999-12-31	TROLL	3599-P1	31/2-1 TROLL VEST	NO	35.500000	\N	0.000000	338.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL O2	4	YES	OIL	2013	0	\N	0	ED50	60	54	54.29	N	3	31	22.22	E	60.915081	3.522839	6753601.670000	528354.850000	31	31	2	O	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7150	http://www.npd.no/FactMapSearch?NPDID_wellbore=7150	multilateral	\N	7150	44534	46437	9999-12-31	21228	297055	283677	0	STATOIL PETROLEUM AS	2013-05-08	2013-05-08	2013-05-08
31/2-O-22 Y2H	31/2-O-22	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3599-P2	31/2-1 TROLL VEST	NO	35.500000	\N	0.000000	338.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL O2	4	YES	OIL	0	0	\N	0	ED50	60	54	54.29	N	3	31	22.22	E	60.915081	3.522839	6753601.670000	528354.850000	31	31	2	O	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7151	http://www.npd.no/FactMapSearch?NPDID_wellbore=7151	multilateral	31/2-O-22 Y1H	7151	44534	46437	9999-12-31	21228	297055	283677	0	STATOIL PETROLEUM AS	2013-03-20	2013-03-20	2013-05-08
31/2-O-22 Y3H	31/2-O-22	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3599-P3	31/2-1 TROLL VEST	NO	35.500000	\N	0.000000	338.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL O2	4	YES	OIL	0	0	\N	0	ED50	60	54	54.29	N	3	31	22.22	E	60.915081	3.522839	6753601.670000	528354.850000	31	31	2	O	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7152	http://www.npd.no/FactMapSearch?NPDID_wellbore=7152	multilateral	31/2-O-22 Y2H	7152	44534	46437	9999-12-31	21228	297055	283677	0	STATOIL PETROLEUM AS	2013-03-20	2013-03-20	2013-05-08
31/2-O-22 Y4H	31/2-O-22	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3599-P4	31/2-1 TROLL VEST	NO	35.500000	\N	0.000000	338.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL O2	4	YES	OIL	0	0	\N	0	ED50	60	54	54.29	N	3	31	22.22	E	60.915081	3.522839	6753601.670000	528354.850000	31	31	2	O	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7153	http://www.npd.no/FactMapSearch?NPDID_wellbore=7153	multilateral	31/2-O-22 Y3H	7153	44534	46437	9999-12-31	21228	297055	283677	0	STATOIL PETROLEUM AS	2013-03-20	2013-03-20	2013-05-08
31/2-O-22 Y5H	31/2-O-22	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3599-P5	31/2-1 TROLL VEST	NO	3810.000000	\N	0.000000	338.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL O2	4	YES	OIL	0	0	\N	0	ED50	60	54	54.29	N	3	31	22.22	E	60.915081	3.522839	6753601.670000	528354.850000	31	31	2	O	22	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7154	http://www.npd.no/FactMapSearch?NPDID_wellbore=7154	multilateral	31/2-O-22 Y4H	7154	44534	46437	9999-12-31	21228	297055	283677	0	STATOIL PETROLEUM AS	2013-03-20	2013-03-20	2013-05-08
31/2-O-24 Y1H	31/2-O-24	Statoil Petroleum AS	STATOIL	054	\N	\N	DEVELOPMENT	2013-04-28	2013-05-03	TROLL	3600-P1	31/2-1 TROLL VEST	NO	35.500000	\N	0.000000	338.000000	NORTH SEA	WEST VENTURE	SEMISUB STEEL	TROLL O2	4	YES	\N	2013	2013	\N	0	ED50	60	54	54.03	N	3	31	22.80	E	60.915008	3.523000	6753593.690000	528363.660000	31	31	2	O	24	Y	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7155	http://www.npd.no/FactMapSearch?NPDID_wellbore=7155	multilateral	\N	7155	44534	46437	9999-12-31	21228	297055	283677	0	STATOIL PETROLEUM AS	2013-05-08	2013-05-08	2013-05-08
31/2-K-22 BY1H	31/2-K-22	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2013-03-21	2013-03-30	TROLL	3601-P1	31/2-1 TROLL VEST	NO	25.000000	\N	5587.000000	317.400000	NORTH SEA	COSLInnovator	SEMISUB STEEL	TROLL K2	4	YES	OIL	2013	2013	\N	50	ED50	60	45	20.93	N	3	38	23.53	E	60.755814	3.639869	6735918.350000	534874.590000	31	31	2	K	22	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7157	http://www.npd.no/FactMapSearch?NPDID_wellbore=7157	multilateral	31/2-K-22 AH	7157	44534	46437	9999-12-31	21228	413825	280009	0	STATOIL PETROLEUM AS	2013-04-10	2013-04-10	2013-05-08
31/2-K-22 BY2H	31/2-K-22	Statoil Petroleum AS	STATOIL	054	PRODUCTION	OIL	DEVELOPMENT	2013-04-04	2013-04-10	TROLL	3601-P2	31/2-1 TROLL VEST	NO	25.000000	\N	5765.000000	317.400000	NORTH SEA	COSLInnovator	SEMISUB STEEL	TROLL K2	4	YES	OIL	2013	2013	\N	50	ED50	60	45	20.93	N	3	38	23.53	E	60.755814	3.639869	6735918.350000	534874.590000	31	31	2	K	22	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7158	http://www.npd.no/FactMapSearch?NPDID_wellbore=7158	multilateral	31/2-K-22 BY1H	7158	44534	46437	9999-12-31	21228	413825	280009	0	STATOIL PETROLEUM AS	2013-04-13	2013-04-13	2013-05-08
6407/1-A-2 AY2H	6407/1-A-2	Statoil Petroleum AS	STATOIL	073	PRODUCTION	OIL	DEVELOPMENT	2013-03-29	2013-04-14	TYRIHANS	3568-P2	6407/1-2 TYRIHANS SØR	NO	23.500000	\N	7441.000000	288.100000	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TYRIHANS A	5	YES	OIL	2013	2013	\N	50	ED50	64	53	20.44	N	7	4	16.70	E	64.889011	7.071306	7197656.820000	408678.390000	32	6407	1	A	2	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7159	http://www.npd.no/FactMapSearch?NPDID_wellbore=7159	multilateral	6407/1-A-2 AY1H	7159	44852	3960848	9999-12-31	21380	296677	377615	0	STATOIL PETROLEUM AS	2013-04-16	2013-04-16	2013-05-08
34/7-H-2 AH	34/7-H-2	Statoil Petroleum AS	STATOIL	089	OBSERVATION	\N	DEVELOPMENT	2013-05-05	9999-12-31	VIGDIS	3602-P	34/7-34	NO	31.000000	\N	0.000000	292.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS H	8	NO	OIL	2013	0	\N	99	ED50	61	23	21.39	N	2	8	28.85	E	61.389275	2.141347	6806611.810000	454127.070000	31	34	7	H	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7160	http://www.npd.no/FactMapSearch?NPDID_wellbore=7160	sidetrack	34/7-H-2 H	7160	5490421	43732	9999-12-31	21516	290170	417223	0	STATOIL PETROLEUM AS	2013-05-07	2013-05-07	2013-05-08
34/7-H-2 BH	34/7-H-2	Statoil Petroleum AS	STATOIL	089	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VIGDIS	3603-P	34/7-34	NO	31.000000	\N	0.000000	292.000000	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	VIGDIS H	8	NO	WATER	0	0	\N	0	ED50	61	23	21.39	N	2	8	28.85	E	61.389275	2.141347	6806611.810000	454127.070000	31	34	7	H	2	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7161	http://www.npd.no/FactMapSearch?NPDID_wellbore=7161	sidetrack	34/7-H-2 AH	7161	5490421	43732	9999-12-31	21516	290170	417223	0	STATOIL PETROLEUM AS	2013-03-27	2013-03-27	2013-05-08
31/2-L-24 BY1H	31/2-L-24	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	2013-04-11	9999-12-31	TROLL	3604-P1	31/2-1 TROLL VEST	NO	24.000000	\N	0.000000	329.400000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL L2	4	YES	OIL	2013	0	\N	0	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	31	2	L	24	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7162	http://www.npd.no/FactMapSearch?NPDID_wellbore=7162	multilateral	31/2-L-24 AY2H	7162	44534	46437	9999-12-31	21228	297649	280289	0	STATOIL PETROLEUM AS	2013-04-20	2013-04-20	2013-05-08
31/2-L-24 BY2H	31/2-L-24	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3604-P2	31/2-1 TROLL VEST	NO	24.000000	\N	0.000000	329.400000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL L2	4	YES	OIL	0	0	\N	0	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	31	2	L	24	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7163	http://www.npd.no/FactMapSearch?NPDID_wellbore=7163	multilateral	31/2-L-24 BY1H	7163	44534	46437	9999-12-31	21228	297649	280289	0	STATOIL PETROLEUM AS	2013-03-27	2013-03-27	2013-05-08
31/2-L-24 BY3H	31/2-L-24	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3604-P3	31/2-1 TROLL VEST	NO	24.000000	\N	0.000000	329.400000	NORTH SEA	STENA DON	SEMISUB STEEL	TROLL L2	4	YES	OIL	0	0	\N	0	ED50	60	48	31.66	N	3	33	21.72	E	60.808794	3.556033	6741777.880000	530255.400000	31	31	2	L	24	BY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7164	http://www.npd.no/FactMapSearch?NPDID_wellbore=7164	multilateral	31/2-L-24 BY2H	7164	44534	46437	9999-12-31	21228	297649	280289	0	STATOIL PETROLEUM AS	2013-03-27	2013-03-27	2013-05-08
35/11-R-14 BH	35/11-R-14	Statoil Petroleum AS	STATOIL	090 C	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VEGA	3605-P	35/11-2 VEGA SØR	NO	31.000000	\N	0.000000	368.000000	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	VEGA SØR	Awarded additionaly to round 8	NO	OIL/GAS	0	0	\N	0	ED50	61	10	26.02	N	3	26	28.98	E	61.173894	3.441383	6782398.040000	523743.040000	31	35	11	R	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7165	http://www.npd.no/FactMapSearch?NPDID_wellbore=7165	sidetrack	35/11-R-14 AH	7165	44744	4467595	9999-12-31	3426824	297784	407908	0	STATOIL PETROLEUM AS	2013-04-03	2013-04-03	2013-05-08
6407/7-A-20 H	6407/7-A-20	Statoil Petroleum AS	STATOIL	107	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	NJORD	3606-P	6407/7-1 S NJORD	NO	30.000000	\N	0.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	NO	OIL/GAS	0	0	\N	0	ED50	64	16	16.88	N	7	12	5.42	E	64.271356	7.201506	7128660.940000	412890.310000	32	6407	7	A	20	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7167	http://www.npd.no/FactMapSearch?NPDID_wellbore=7167	initial	\N	7167	44876	43751	9999-12-31	21660	277713	277713	0	STATOIL PETROLEUM AS	2013-04-06	2013-04-06	2013-05-08
6407/7-A-20 AY2H	6407/7-A-20	StatoilHydro Petroleum AS	STATOIL	107	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	NJORD	3609-P2	6407/7-1 S NJORD	NO	30.000000	\N	0.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	YES	OIL/GAS	0	0	\N	0	ED50	64	16	16.88	N	7	12	5.42	E	64.271356	7.201506	7128660.940000	412890.310000	32	6407	7	A	20	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7168	http://www.npd.no/FactMapSearch?NPDID_wellbore=7168	multilateral	6407/7-A-20 AY1H	7168	44876	43751	9999-12-31	21660	277713	277713	0	STATOILHYDRO PETROLEUM	2013-04-06	2013-04-06	2013-05-08
31/2-X-21 AY1H	31/2-X-21	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3607-P1	31/2-1 TROLL VEST	NO	25.100000	\N	0.000000	327.900000	NORTH SEA	COSLInnovator	SEMISUB STEEL	TROLL T2	4	YES	OIL	0	0	\N	0	ED50	60	48	29.18	N	3	35	35.81	E	60.808106	3.593281	6741718.890000	532282.780000	31	31	2	X	21	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7170	http://www.npd.no/FactMapSearch?NPDID_wellbore=7170	multilateral	31/2-X-21 H	7170	44534	46437	9999-12-31	21228	413825	280401	0	STATOIL PETROLEUM AS	2013-04-07	2013-04-07	2013-05-08
31/2-X-21 AY2H	31/2-X-21	Statoil Petroleum AS	STATOIL	054	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	TROLL	3607-P2	31/2-1 TROLL VEST	NO	25.100000	\N	0.000000	327.900000	NORTH SEA	COSLInnovator	SEMISUB STEEL	TROLL T2	4	YES	OIL	0	0	\N	0	ED50	60	48	29.18	N	3	35	35.81	E	60.808106	3.593281	6741718.890000	532282.780000	31	31	2	X	21	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7171	http://www.npd.no/FactMapSearch?NPDID_wellbore=7171	multilateral	31/2-X-21 AY1H	7171	44534	46437	9999-12-31	21228	413825	280401	0	STATOIL PETROLEUM AS	2013-04-07	2013-04-07	2013-05-08
34/10-B-14 B	34/10-B-14	Statoil Petroleum AS	STATOIL	050	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GULLFAKS	3608-P	34/10-1 GULLFAKS	NO	80.700000	\N	0.000000	142.600000	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	GULLFAKS B	Awarded additionaly to round 3	NO	WATER	0	0	\N	0	ED50	61	12	11.01	N	2	12	4.81	E	61.203058	2.201336	6785828.720000	457078.200000	31	34	10	B	14	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7172	http://www.npd.no/FactMapSearch?NPDID_wellbore=7172	sidetrack	34/10-B-14 A	7172	44594	43686	9999-12-31	21188	271917	271917	0	STATOIL PETROLEUM AS	2013-04-07	2013-04-07	2013-05-08
6407/7-A-20 AY1H	6407/7-A-20	Statoil Petroleum AS	STATOIL	107	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	NJORD	3609-P1	6407/7-1 S NJORD	NO	30.000000	\N	0.000000	330.000000	NORWEGIAN SEA	NJORD A	SEMISUB STEEL	NJORD A	9	YES	OIL/GAS	0	0	\N	0	ED50	64	16	16.88	N	7	12	5.42	E	64.271356	7.201506	7128660.940000	412890.310000	32	6407	7	A	20	AY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7173	http://www.npd.no/FactMapSearch?NPDID_wellbore=7173	multilateral	6407/7-A-20 H	7173	44876	43751	9999-12-31	21660	277713	277713	0	STATOIL PETROLEUM AS	2013-04-07	2013-04-07	2013-05-08
6608/10-P-1 AH	6608/10-P-1	Statoil Petroleum AS	STATOIL	128	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	SKULD	3610-P	6608/10-14 S SKULD	NO	23.000000	\N	0.000000	358.000000	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	FOSSEKALL P	10-B	NO	OIL	0	0	\N	0	ED50	66	8	37.07	N	8	13	59.13	E	66.143631	8.233092	7336317.680000	465387.460000	32	6608	10	P	1	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7174	http://www.npd.no/FactMapSearch?NPDID_wellbore=7174	sidetrack	6608/10-P-1 H	7174	18086080	21350124	9999-12-31	21836	287983	417663	0	STATOIL PETROLEUM AS	2013-04-07	2013-04-07	2013-05-08
34/8-V-1 H	34/8-V-1	Statoil Petroleum AS	STATOIL	120	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VISUND SØR	3611-P	34/8-14 S VISUND SØR	NO	25.000000	\N	0.000000	291.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VISUND SØR	10-A	NO	OIL/GAS	0	0	\N	0	ED50	61	18	1.81	N	2	21	49.50	E	61.300503	2.363750	6796587.260000	465912.110000	31	34	8	V	1	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7176	http://www.npd.no/FactMapSearch?NPDID_wellbore=7176	initial	\N	7176	5081135	20461008	9999-12-31	21772	294058	414939	0	STATOIL PETROLEUM AS	2013-04-14	2013-04-14	2013-05-08
34/8-V-2 H	34/8-V-2	Statoil Petroleum AS	STATOIL	120	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VISUND SØR	3612-P	34/8-14 S VISUND SØR	NO	25.000000	\N	0.000000	291.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VISUND SØR	10-A	NO	GAS/CONDENSATE	0	0	\N	99	ED50	61	18	2.10	N	2	21	48.90	E	61.300583	2.363583	6796596.320000	465903.270000	31	34	8	V	2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7177	http://www.npd.no/FactMapSearch?NPDID_wellbore=7177	initial	\N	7177	5081135	20461008	9999-12-31	21772	294058	414939	0	STATOIL PETROLEUM AS	2013-04-14	2013-04-14	2013-05-08
34/8-V-2 AH	34/8-V-2	Statoil Petroleum AS	STATOIL	120	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	VISUND SØR	3613-P	34/8-14 S VISUND SØR	NO	25.000000	\N	0.000000	291.000000	NORTH SEA	SCARABEO 5	SEMISUB STEEL	VISUND SØR	10-A	NO	GAS	0	0	\N	0	ED50	61	18	2.10	N	2	21	48.90	E	61.300583	2.363583	6796596.320000	465903.270000	31	34	8	V	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7178	http://www.npd.no/FactMapSearch?NPDID_wellbore=7178	sidetrack	34/8-V-2 H	7178	5081135	20461008	9999-12-31	21772	294058	414939	0	STATOIL PETROLEUM AS	2013-04-14	2013-04-14	2013-05-08
34/10-A-20 B	34/10-A-20	Statoil Petroleum AS	STATOIL	050	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GULLFAKS	3614-P	34/10-1 GULLFAKS	NO	82.200000	\N	0.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	GAS	0	0	\N	99	ED50	61	10	34.84	N	2	11	21.71	E	61.176344	2.189364	6782861.070000	456397.920000	31	34	10	A	20	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7183	http://www.npd.no/FactMapSearch?NPDID_wellbore=7183	sidetrack	34/10-A-20 A	7183	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL PETROLEUM AS	2013-04-27	2013-04-27	2013-05-08
34/10-A-20 C	34/10-A-20	Statoil Petroleum AS	STATOIL	050	INJECTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GULLFAKS	3615-P	34/10-1 GULLFAKS	NO	82.200000	\N	0.000000	134.300000	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	GULLFAKS A	Awarded additionaly to round 3	NO	WATER	0	0	\N	0	ED50	61	10	34.84	N	2	11	21.71	E	61.176344	2.189364	6782861.070000	456397.920000	31	34	10	A	20	C	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7184	http://www.npd.no/FactMapSearch?NPDID_wellbore=7184	sidetrack	34/10-A-20 B	7184	44594	43686	9999-12-31	21188	271833	271833	0	STATOIL PETROLEUM AS	2013-04-27	2013-04-27	2013-05-08
25/11-G-37 A	25/11-G-37	Statoil Petroleum AS	STATOIL	169 B1	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3616-P	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	0	0	\N	99	ED50	59	9	54.53	N	2	29	14.86	E	59.165147	2.487461	6558705.600000	470693.310000	31	25	11	G	37	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7186	http://www.npd.no/FactMapSearch?NPDID_wellbore=7186	sidetrack	25/11-G-37	7186	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-04-28	2013-04-28	2013-05-08
25/11-G-37 B	25/11-G-37	Statoil Petroleum AS	STATOIL	169 B1	OBSERVATION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3617-P	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	NO	OIL	0	0	\N	99	ED50	59	9	54.53	N	2	29	14.86	E	59.165147	2.487461	6558705.600000	470693.310000	31	25	11	G	37	B	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7187	http://www.npd.no/FactMapSearch?NPDID_wellbore=7187	sidetrack	25/11-G-37 A	7187	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-04-28	2013-04-28	2013-05-08
25/11-G-37 CY1	25/11-G-37	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3618-P1	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	0	0	\N	0	ED50	59	9	54.53	N	2	29	14.86	E	59.165147	2.487461	6558705.600000	470693.310000	31	25	11	G	37	CY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7188	http://www.npd.no/FactMapSearch?NPDID_wellbore=7188	multilateral	25/11-G-37 B	7188	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-04-28	2013-04-28	2013-05-08
25/11-G-37 CY2	25/11-G-37	Statoil Petroleum AS	STATOIL	169 B1	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GRANE	3618-P2	25/11-15 GRANE	NO	69.900000	\N	0.000000	127.500000	NORTH SEA	GRANE	JACKET 8 LEGS	GRANE	Awarded additionaly to round 13	YES	OIL	0	0	\N	0	ED50	59	9	54.53	N	2	29	14.86	E	59.165147	2.487461	6558705.600000	470693.310000	31	25	11	G	37	CY	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7189	http://www.npd.no/FactMapSearch?NPDID_wellbore=7189	multilateral	25/11-G-37 CY1	7189	44216	1035937	9999-12-31	1030964	283285	283285	0	STATOIL PETROLEUM AS	2013-04-28	2013-04-28	2013-05-08
34/10-D-2 AH	34/10-D-2	Statoil Petroleum AS	STATOIL	050	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	GULLFAKS SØR	3619-P	34/10-2 GULLFAKS SØR	NO	32.000000	\N	0.000000	134.000000	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	GULLFAKS SØR D	Awarded additionaly to round 3	NO	OIL/GAS	0	0	\N	0	ED50	61	7	26.43	N	2	14	39.25	E	61.124008	2.244236	6776996.180000	459281.910000	31	34	10	D	2	A	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7190	http://www.npd.no/FactMapSearch?NPDID_wellbore=7190	sidetrack	34/10-D-2 H	7190	44606	43699	9999-12-31	21188	404360	277517	0	STATOIL PETROLEUM AS	2013-05-08	2013-05-08	2013-05-08
6407/9-E-4 H	6407/9-E-4	A/S Norske Shell	SHELL	093	PRODUCTION	\N	DEVELOPMENT	9999-12-31	9999-12-31	DRAUGEN	3620-P	6407/9-1 DRAUGEN	NO	36.000000	\N	0.000000	296.000000	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	DRAUGEN E	8	NO	OIL	0	0	\N	0	ED50	64	15	23.37	N	7	42	13.16	E	64.256492	7.703656	7126412.930000	437174.990000	32	6407	9	E	4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7191	http://www.npd.no/FactMapSearch?NPDID_wellbore=7191	initial	\N	7191	44888	43758	9999-12-31	21548	297082	281801	0	SHELL NORGE	2013-05-08	2013-05-08	2013-05-08
\.



COPY wellbore_document (wlbname, wlbdocumenttype, wlbdocumentname, wlbdocumenturl, wlbdocumentformat, wlbdocumentsize, wlbnpdidwellbore, wlbdocumentdateupdated, datesyncnpd, wellbore_document_id) FROM stdin;
1/2-1	GEOCHEMICAL INFORMATION	1382_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1382_1.pdf	pdf	174.000000	1382	9999-12-31	2013-05-08	1
1/2-1	GEOCHEMICAL INFORMATION	1382_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1382_2.pdf	pdf	3408.000000	1382	9999-12-31	2013-05-08	2
1/2-1	OLD NPD WDSS	1382_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1382_01_WDSS_General_Information.pdf	pdf	258.000000	1382	9999-12-31	2013-05-08	3
1/2-1	OLD NPD WDSS	1382_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1382_02_WDSS_completion_log.pdf	pdf	168.000000	1382	9999-12-31	2013-05-08	4
1/3-1	GEOCHEMICAL INFORMATION	154_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/154_1.pdf	pdf	880.000000	154	9999-12-31	2013-05-08	5
1/3-1	GEOCHEMICAL INFORMATION	154_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/154_2.pdf	pdf	1236.000000	154	9999-12-31	2013-05-08	6
1/3-1	NPD PAPER	154_01_NPD_Paper_No.15_Lithology__Well_1_3_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/154_01_NPD_Paper_No.15_Lithology__Well_1_3_1.pdf	pdf	14982.000000	154	9999-12-31	2013-05-08	7
1/3-1	NPD PAPER	154_02_NPD_Paper_No.15_Interpreted_Lithology_log__Well_1_3_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/154_02_NPD_Paper_No.15_Interpreted_Lithology_log__Well_1_3_1.pdf	pdf	78912.000000	154	9999-12-31	2013-05-08	8
1/3-1	OLD NPD WDSS	154_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/154_01_WDSS_General_Information.pdf	pdf	212.000000	154	9999-12-31	2013-05-08	9
1/3-1	REPORTED BY LICENSEE	154_01_1_3_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/154_01_1_3_1_Completion_log.pdf	pdf	3013.000000	154	9999-12-31	2013-05-08	10
1/3-1	REPORTED BY LICENSEE	154_01_1_3_1_Core_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/154_01_1_3_1_Core_report.pdf	pdf	4162.000000	154	9999-12-31	2013-05-08	11
1/3-1	REPORTED BY LICENSEE	154_01_1_3_1_Well_Resume	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/154_01_1_3_1_Well_Resume.pdf	pdf	24932.000000	154	9999-12-31	2013-05-08	12
1/3-11	GEOCHEMICAL INFORMATION	5806_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5806_1.pdf	pdf	5606.000000	5806	9999-12-31	2013-05-08	13
1/3-2	NPD PAPER	165_01_NPD_Paper_No.15_Lithology__Well_1_3_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/165_01_NPD_Paper_No.15_Lithology__Well_1_3_2.pdf	pdf	14982.000000	165	9999-12-31	2013-05-08	14
1/3-2	NPD PAPER	165_02_NPD_Paper_No.15_Interpreted_Lithology_log__Well_1_3_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/165_02_NPD_Paper_No.15_Interpreted_Lithology_log__Well_1_3_2.pdf	pdf	64619.000000	165	9999-12-31	2013-05-08	15
1/3-2	OLD NPD WDSS	165_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/165_01_WDSS_General_Information.pdf	pdf	189.000000	165	9999-12-31	2013-05-08	16
1/3-2	REPORTED BY LICENSEE	165_01_1_3_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/165_01_1_3_2_Completion_log.pdf	pdf	2564.000000	165	9999-12-31	2013-05-08	17
1/3-2	REPORTED BY LICENSEE	165_01_1_3_2_Well_Resume	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/165_01_1_3_2_Well_Resume.pdf	pdf	24932.000000	165	9999-12-31	2013-05-08	18
1/3-3	GEOCHEMICAL INFORMATION	87_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/87_1.pdf	pdf	309.000000	87	9999-12-31	2013-05-08	19
1/3-3	OLD NPD WDSS	87_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/87_01_WDSS_General_Information.pdf	pdf	188.000000	87	9999-12-31	2013-05-08	20
1/3-3	OLD NPD WDSS	87_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/87_02_WDSS_completion_log.pdf	pdf	442.000000	87	9999-12-31	2013-05-08	21
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Addendum_to_Petroleum_Geological_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Addendum_to_Petroleum_Geological_Evaluation.pdf	pdf	8547.000000	87	9999-12-31	2013-05-08	22
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Biostratigraph_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Biostratigraph_report.pdf	pdf	1004.000000	87	9999-12-31	2013-05-08	23
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Completion_log.pdf	pdf	2040.000000	87	9999-12-31	2013-05-08	24
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Completion_Report.pdf	pdf	27738.000000	87	9999-12-31	2013-05-08	25
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Compte_rendu_de_mission_dechantillonnage	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Compte_rendu_de_mission_dechantillonnage.pdf	pdf	558.000000	87	9999-12-31	2013-05-08	26
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Core_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Core_description.pdf	pdf	786.000000	87	9999-12-31	2013-05-08	27
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Core_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Core_report.pdf	pdf	3019.000000	87	9999-12-31	2013-05-08	28
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Description_of_core_and_sidewall_core_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Description_of_core_and_sidewall_core_samples.pdf	pdf	35457.000000	87	9999-12-31	2013-05-08	29
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Description_of_the_cored_interval_of_the_upper_jurassic_sandstones	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Description_of_the_cored_interval_of_the_upper_jurassic_sandstones.pdf	pdf	35411.000000	87	9999-12-31	2013-05-08	30
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Discovery_annual_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Discovery_annual_report.pdf	pdf	646.000000	87	9999-12-31	2013-05-08	31
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Etude_sedimentologique_et_mineralogique_des_carottes	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Etude_sedimentologique_et_mineralogique_des_carottes.pdf	pdf	2089.000000	87	9999-12-31	2013-05-08	32
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Geological_completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Geological_completion_report.pdf	pdf	12282.000000	87	9999-12-31	2013-05-08	33
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Laboratory_study_of_the_permian_to_danian_series	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Laboratory_study_of_the_permian_to_danian_series.pdf	pdf	38407.000000	87	9999-12-31	2013-05-08	34
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Preliminary_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Preliminary_evaluation.pdf	pdf	1198.000000	87	9999-12-31	2013-05-08	35
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_Survey-DST-1B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_Survey-DST-1B.pdf	pdf	1028.000000	87	9999-12-31	2013-05-08	36
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_Survey-DST-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_Survey-DST-2.pdf	pdf	2281.000000	87	9999-12-31	2013-05-08	37
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_Survey-DST-3A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_Survey-DST-3A.pdf	pdf	1517.000000	87	9999-12-31	2013-05-08	38
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_Survey-DST-3B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_Survey-DST-3B.pdf	pdf	1227.000000	87	9999-12-31	2013-05-08	39
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_Test_data_summary-DST-1A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_Test_data_summary-DST-1A.pdf	pdf	572.000000	87	9999-12-31	2013-05-08	40
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_Test_data_Summary-DST-1B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_Test_data_Summary-DST-1B.pdf	pdf	901.000000	87	9999-12-31	2013-05-08	41
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_Test_data_Summary-DST-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_Test_data_Summary-DST-2.pdf	pdf	778.000000	87	9999-12-31	2013-05-08	42
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_Test_data_summary-DST-3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_Test_data_summary-DST-3.pdf	pdf	2195.000000	87	9999-12-31	2013-05-08	43
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_test_data_summary-DST-No-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_test_data_summary-DST-No-2.pdf	pdf	1183.000000	87	9999-12-31	2013-05-08	44
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_test_data_summary_DST-3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_test_data_summary_DST-3.pdf	pdf	603.000000	87	9999-12-31	2013-05-08	45
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_Test_data_Summary_DST-no-3B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_Test_data_Summary_DST-no-3B.pdf	pdf	666.000000	87	9999-12-31	2013-05-08	46
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Pressure_Variations_in_Late_jurassic_Sandstones	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Pressure_Variations_in_Late_jurassic_Sandstones.pdf	pdf	22976.000000	87	9999-12-31	2013-05-08	47
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Reservoir_Evaluation_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Reservoir_Evaluation_Report.pdf	pdf	13877.000000	87	9999-12-31	2013-05-08	48
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Side_wall_cores_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Side_wall_cores_description.pdf	pdf	604.000000	87	9999-12-31	2013-05-08	49
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Test_report_Chronological_order	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Test_report_Chronological_order.pdf	pdf	22333.000000	87	9999-12-31	2013-05-08	50
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Thermodynamic_Study_and_Physical_Properties	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Thermodynamic_Study_and_Physical_Properties.pdf	pdf	4068.000000	87	9999-12-31	2013-05-08	51
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Water_Samples-DST-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Water_Samples-DST-1.pdf	pdf	136.000000	87	9999-12-31	2013-05-08	52
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Water_Samples-DST-2-DST-3A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Water_Samples-DST-2-DST-3A.pdf	pdf	391.000000	87	9999-12-31	2013-05-08	53
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Water_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Water_Samples.pdf	pdf	214.000000	87	9999-12-31	2013-05-08	54
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Water_Samples_UP_Chamber	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Water_Samples_UP_Chamber.pdf	pdf	120.000000	87	9999-12-31	2013-05-08	55
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Well_Logging_Study_of_Upper_Jurassic_Formation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Well_Logging_Study_of_Upper_Jurassic_Formation.pdf	pdf	3526.000000	87	9999-12-31	2013-05-08	56
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Well_Testing_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Well_Testing_Report.pdf	pdf	9903.000000	87	9999-12-31	2013-05-08	57
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Well_Testing_Report_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Well_Testing_Report_2.pdf	pdf	5601.000000	87	9999-12-31	2013-05-08	58
1/3-3	REPORTED BY LICENSEE	87_01_1_3_3_Well_Testing_Report_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/87_01_1_3_3_Well_Testing_Report_3.pdf	pdf	7696.000000	87	9999-12-31	2013-05-08	59
1/3-4	GEOCHEMICAL INFORMATION	2_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2_1.pdf	pdf	788.000000	2	9999-12-31	2013-05-08	60
1/3-4	OLD NPD WDSS	2_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2_01_WDSS_General_Information.pdf	pdf	175.000000	2	9999-12-31	2013-05-08	61
1/3-4	OLD NPD WDSS	2_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2_02_WDSS_completion_log.pdf	pdf	254.000000	2	9999-12-31	2013-05-08	62
1/3-4	REPORTED BY LICENSEE	2_01_1_3_4_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/2_01_1_3_4_Completion_log.pdf	pdf	1251.000000	2	9999-12-31	2013-05-08	63
1/3-4	REPORTED BY LICENSEE	2_01_1_3_4_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/2_01_1_3_4_Completion_Report.pdf	pdf	5771.000000	2	9999-12-31	2013-05-08	64
1/3-4	REPORTED BY LICENSEE	2_01_1_3_4_Study_of_Calcareous_nannofossils	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/2_01_1_3_4_Study_of_Calcareous_nannofossils.pdf	pdf	1582.000000	2	9999-12-31	2013-05-08	65
1/3-5	COMPOSITE LOG	223	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/223.pdf	pdf	645.000000	223	9999-12-31	2013-05-08	66
1/3-5	OLD NPD WDSS	223_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/223_01_WDSS_General_Information.pdf	pdf	295.000000	223	9999-12-31	2013-05-08	67
1/3-5	OLD NPD WDSS	223_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/223_02_WDSS_completion_log.pdf	pdf	317.000000	223	9999-12-31	2013-05-08	68
1/3-5	REPORTED BY LICENSEE	223_01_1_3_5_Well_Resume	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/223_01_1_3_5_Well_Resume.pdf	pdf	3192.000000	223	9999-12-31	2013-05-08	69
1/3-5	REPORTED BY LICENSEE	223_02_1_3_5_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/223_02_1_3_5_Completion_log.pdf	pdf	2405.000000	223	9999-12-31	2013-05-08	70
1/3-6	GEOCHEMICAL INFORMATION	1521_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1521_1.pdf	pdf	136.000000	1521	9999-12-31	2013-05-08	71
1/3-6	GEOCHEMICAL INFORMATION	1521_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1521_2.pdf	pdf	816.000000	1521	9999-12-31	2013-05-08	72
1/3-6	OLD NPD WDSS	1521_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1521_01_WDSS_General_Information.pdf	pdf	24156.000000	1521	9999-12-31	2013-05-08	73
1/3-6	OLD NPD WDSS	1521_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1521_02_WDSS_completion_log.pdf	pdf	194.000000	1521	9999-12-31	2013-05-08	74
1/3-7	GEOCHEMICAL INFORMATION	2505_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2505_1.pdf	pdf	64.000000	2505	9999-12-31	2013-05-08	75
1/3-7	GEOCHEMICAL INFORMATION	2505_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2505_2.pdf	pdf	942.000000	2505	9999-12-31	2013-05-08	76
1/3-8	GEOCHEMICAL INFORMATION	2829_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2829_1.pdf	pdf	193.000000	2829	9999-12-31	2013-05-08	77
1/3-8	GEOCHEMICAL INFORMATION	2829_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2829_2.pdf	pdf	4883.000000	2829	9999-12-31	2013-05-08	78
1/3-9 S	GEOCHEMICAL INFORMATION	3362_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3362_1.pdf	pdf	438.000000	3362	9999-12-31	2013-05-08	79
1/3-9 S	GEOCHEMICAL INFORMATION	3362_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3362_2.pdf	pdf	2490.000000	3362	9999-12-31	2013-05-08	80
1/3-9 S	GEOCHEMICAL INFORMATION	3362_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3362_3.pdf	pdf	122.000000	3362	9999-12-31	2013-05-08	81
1/5-1	OLD NPD WDSS	237_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/237_01_WDSS_General_Information.pdf	pdf	96.000000	237	9999-12-31	2013-05-08	82
1/5-2	COMPOSITE LOG	238	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/238.pdf	pdf	652.000000	238	2013-05-01	2013-05-08	83
1/5-2	GEOCHEMICAL INFORMATION	238_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/238_1.pdf	pdf	278.000000	238	9999-12-31	2013-05-08	84
1/5-2	GEOCHEMICAL INFORMATION	238_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/238_2.pdf	pdf	400.000000	238	9999-12-31	2013-05-08	85
1/5-2	GEOCHEMICAL INFORMATION	238_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/238_3.pdf	pdf	1589.000000	238	9999-12-31	2013-05-08	86
1/5-2	OLD NPD WDSS	238_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/238_01_WDSS_General_Information.pdf	pdf	264.000000	238	9999-12-31	2013-05-08	87
1/5-2	REPORTED BY LICENSEE	238_01_1_5_2_CompletionLog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/238_01_1_5_2_CompletionLog.pdf	pdf	2399.000000	238	9999-12-31	2013-05-08	88
1/5-2	REPORTED BY LICENSEE	238_01_1_5_2_CompletionReport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/238_01_1_5_2_CompletionReport.pdf	pdf	21981.000000	238	9999-12-31	2013-05-08	89
1/5-3 S	COMPOSITE LOG	3257	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3257.pdf	pdf	206.000000	3257	9999-12-31	2013-05-08	90
1/5-3 S	GEOCHEMICAL INFORMATION	3257_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3257_1.pdf	pdf	1608.000000	3257	9999-12-31	2013-05-08	91
1/5-4 S	COMPOSITE LOG	4521	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4521.pdf	pdf	316.000000	4521	9999-12-31	2013-05-08	92
1/5-4 S	GEOCHEMICAL INFORMATION	4521_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4521_1.pdf	pdf	10482.000000	4521	9999-12-31	2013-05-08	93
1/6-1	OLD NPD WDSS	239_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/239_01_WDSS_General_Information.pdf	pdf	419.000000	239	9999-12-31	2013-05-08	94
1/6-1	REPORTED BY LICENSEE	239_01_1_6_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/239_01_1_6_1_Completion_Report_and_Completion_log.pdf	pdf	19612.000000	239	9999-12-31	2013-05-08	95
1/6-2	COMPOSITE LOG	240	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/240.pdf	pdf	403.000000	240	2013-05-01	2013-05-08	96
1/6-2	OLD NPD WDSS	240_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/240_01_WDSS_General_Information.pdf	pdf	247.000000	240	9999-12-31	2013-05-08	97
1/6-2	REPORTED BY LICENSEE	240_1_6_2_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/240_1_6_2_Completion_Log.pdf	pdf	1937.000000	240	9999-12-31	2013-05-08	98
1/6-2	REPORTED BY LICENSEE	240_1_6_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/240_1_6_2_Completion_report.pdf	pdf	20820.000000	240	9999-12-31	2013-05-08	99
1/6-3	OLD NPD WDSS	241_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/241_01_WDSS_General_Information.pdf	pdf	262.000000	241	9999-12-31	2013-05-08	100
1/6-3	REPORTED BY LICENSEE	241_01_1_6_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/241_01_1_6_3_Completion_log.pdf	pdf	1642.000000	241	9999-12-31	2013-05-08	101
1/6-3	REPORTED BY LICENSEE	241_01_1_6_3_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/241_01_1_6_3_Completion_Report.pdf	pdf	3271.000000	241	9999-12-31	2013-05-08	102
1/6-4	GEOCHEMICAL INFORMATION	242_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/242_1.pdf	pdf	48.000000	242	9999-12-31	2013-05-08	103
1/6-4	GEOCHEMICAL INFORMATION	242_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/242_2.pdf	pdf	686.000000	242	9999-12-31	2013-05-08	104
1/6-4	OLD NPD WDSS	242_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/242_01_WDSS_General_Information.pdf	pdf	270.000000	242	9999-12-31	2013-05-08	105
1/6-4	REPORTED BY LICENSEE	242_1_6_4_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/242_1_6_4_Completion_Log.pdf	pdf	1624.000000	242	9999-12-31	2013-05-08	106
1/6-4	REPORTED BY LICENSEE	242_1_6_4_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/242_1_6_4_Completion_report.pdf	pdf	25704.000000	242	9999-12-31	2013-05-08	107
1/6-5	OLD NPD WDSS	1508_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1508_01_WDSS_General_Information.pdf	pdf	220.000000	1508	9999-12-31	2013-05-08	108
1/6-5	OLD NPD WDSS	1508_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1508_02_WDSS_completion_log.pdf	pdf	138.000000	1508	9999-12-31	2013-05-08	109
1/6-5	REPORTED BY LICENSEE	1508_1_6_5_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1508_1_6_5_Completion_Log.pdf	pdf	1148.000000	1508	9999-12-31	2013-05-08	110
1/6-5	REPORTED BY LICENSEE	1508_1_6_5_Completion_report_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1508_1_6_5_Completion_report_1.pdf	pdf	29717.000000	1508	9999-12-31	2013-05-08	111
1/6-5	REPORTED BY LICENSEE	1508_1_6_5_Completion_report_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1508_1_6_5_Completion_report_2.pdf	pdf	20439.000000	1508	9999-12-31	2013-05-08	112
1/6-7	GEOCHEMICAL INFORMATION	1928_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1928_1.pdf	pdf	255.000000	1928	9999-12-31	2013-05-08	113
1/6-7	GEOCHEMICAL INFORMATION	1928_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1928_2.pdf	pdf	7145.000000	1928	9999-12-31	2013-05-08	114
1/6-7	OLD NPD WDSS	1928_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1928_01_WDSS_General_Information.pdf	pdf	620.000000	1928	9999-12-31	2013-05-08	115
1/6-7	OLD NPD WDSS	1928_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1928_02_WDSS_completion_log.pdf	pdf	212.000000	1928	9999-12-31	2013-05-08	116
1/6-7	REPORTED BY LICENSEE	1928_1_6_7_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1928_1_6_7_Completion_Log.pdf	pdf	3108.000000	1928	9999-12-31	2013-05-08	117
1/6-7	REPORTED BY LICENSEE	1928_1_6_7_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1928_1_6_7_Completion_Report.pdf	pdf	54721.000000	1928	9999-12-31	2013-05-08	118
1/9-1	GEOCHEMICAL INFORMATION	243_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/243_1.pdf	pdf	1229.000000	243	9999-12-31	2013-05-08	119
1/9-1	GEOCHEMICAL INFORMATION	243_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/243_2.pdf	pdf	2574.000000	243	9999-12-31	2013-05-08	120
1/9-1	REPORTED BY LICENSEE	243_1_9_1_and_1_9_2_Pore_pressure_fracture_gradients	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/243_1_9_1_and_1_9_2_Pore_pressure_fracture_gradients.pdf	pdf	3174.000000	243	9999-12-31	2013-05-08	121
1/9-1	REPORTED BY LICENSEE	243_1_9_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/243_1_9_1_Completion_log.pdf	pdf	2146.000000	243	9999-12-31	2013-05-08	122
1/9-1	REPORTED BY LICENSEE	243_1_9_1_Completion_report_I	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/243_1_9_1_Completion_report_I.pdf	pdf	32919.000000	243	9999-12-31	2013-05-08	123
1/9-1	REPORTED BY LICENSEE	243_1_9_1_Completion_report_II	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/243_1_9_1_Completion_report_II.pdf	pdf	38518.000000	243	9999-12-31	2013-05-08	124
15/12-13 B	COMPOSITE LOG	4759	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4759.pdf	pdf	313.000000	4759	9999-12-31	2013-05-08	286
1/9-1 R	OLD NPD WDSS	1444_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1444_01_WDSS_General_Information.pdf	pdf	271.000000	1444	9999-12-31	2013-05-08	125
1/9-2	GEOCHEMICAL INFORMATION	244_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/244_1.pdf	pdf	664.000000	244	9999-12-31	2013-05-08	126
1/9-2	GEOCHEMICAL INFORMATION	244_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/244_2.pdf	pdf	2369.000000	244	9999-12-31	2013-05-08	127
1/9-2	GEOCHEMICAL INFORMATION	244_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/244_3.pdf	pdf	861.000000	244	9999-12-31	2013-05-08	128
1/9-2	OLD NPD WDSS	244_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/244_01_WDSS_General_Information.pdf	pdf	255.000000	244	9999-12-31	2013-05-08	129
1/9-2	REPORTED BY LICENSEE	244_1_9_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/244_1_9_2_Completion_log.pdf	pdf	2433.000000	244	9999-12-31	2013-05-08	130
1/9-2	REPORTED BY LICENSEE	244_1_9_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/244_1_9_2_Completion_report.pdf	pdf	50836.000000	244	9999-12-31	2013-05-08	131
1/9-3	OLD NPD WDSS	245_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/245_01_WDSS_General_Information.pdf	pdf	424.000000	245	9999-12-31	2013-05-08	132
1/9-3	OLD NPD WDSS	245_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/245_03_WDSS_lithlog.pdf	pdf	77.000000	245	9999-12-31	2013-05-08	133
1/9-3	REPORTED BY LICENSEE	245_01_1_9_3_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_01_1_9_3_Completion_Report_and_Completion_log.pdf	pdf	29249.000000	245	9999-12-31	2013-05-08	134
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Biostratigrapy_of_the_interval_2278m-4570m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Biostratigrapy_of_the_interval_2278m-4570m.pdf	pdf	4215.000000	245	9999-12-31	2013-05-08	135
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Biostrat_of_180-2773m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Biostrat_of_180-2773m.pdf	pdf	8036.000000	245	9999-12-31	2013-05-08	136
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Biostrat_report_3834-4569m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Biostrat_report_3834-4569m.pdf	pdf	4644.000000	245	9999-12-31	2013-05-08	137
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Chemical_Analysis_of_Water_Gas_and_Oil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Chemical_Analysis_of_Water_Gas_and_Oil.pdf	pdf	806.000000	245	9999-12-31	2013-05-08	138
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Core_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Core_Report.pdf	pdf	3028.000000	245	9999-12-31	2013-05-08	139
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Daily_Drilling_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Daily_Drilling_Report.pdf	pdf	10989.000000	245	9999-12-31	2013-05-08	140
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Diplog_Results	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Diplog_Results.pdf	pdf	8339.000000	245	9999-12-31	2013-05-08	141
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Drilling_Mud_Operation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Drilling_Mud_Operation.pdf	pdf	2778.000000	245	9999-12-31	2013-05-08	142
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Estimated_pore_pressure_and_fracture_gradient	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Estimated_pore_pressure_and_fracture_gradient.pdf	pdf	3338.000000	245	9999-12-31	2013-05-08	143
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Formation_Pressure_Final_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Formation_Pressure_Final_Report.pdf	pdf	6961.000000	245	9999-12-31	2013-05-08	144
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Geological_Prognosis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Geological_Prognosis.pdf	pdf	2602.000000	245	9999-12-31	2013-05-08	145
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Petrophysical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Petrophysical_Evaluation.pdf	pdf	1195.000000	245	9999-12-31	2013-05-08	146
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Petrophysical_Evaluation_Encl1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Petrophysical_Evaluation_Encl1.pdf	pdf	641.000000	245	9999-12-31	2013-05-08	147
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Phase2_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Phase2_Drilling_programme.pdf	pdf	1115.000000	245	9999-12-31	2013-05-08	148
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Phase2_Well_Prognosis_Sheet_Enc_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Phase2_Well_Prognosis_Sheet_Enc_1.pdf	pdf	138.000000	245	9999-12-31	2013-05-08	149
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Preliminary_Formation_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Preliminary_Formation_Evaluation.pdf	pdf	509.000000	245	9999-12-31	2013-05-08	150
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Preliminary_Formation_Evaluation_Encl1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Preliminary_Formation_Evaluation_Encl1.pdf	pdf	641.000000	245	9999-12-31	2013-05-08	151
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Pressure_Gradient_Calculations	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Pressure_Gradient_Calculations.pdf	pdf	3173.000000	245	9999-12-31	2013-05-08	152
1/9-3	REPORTED BY LICENSEE	245_1_9_3_prod_testing	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_prod_testing.pdf	pdf	1584.000000	245	9999-12-31	2013-05-08	153
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Report_on_a_geochem_eval	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Report_on_a_geochem_eval.pdf	pdf	7058.000000	245	9999-12-31	2013-05-08	154
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Reservoir_Fluid_Study_DST4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Reservoir_Fluid_Study_DST4.pdf	pdf	535.000000	245	9999-12-31	2013-05-08	155
1/9-3	REPORTED BY LICENSEE	245_1_9_3_R_Biostrat_of_2778-4570m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_R_Biostrat_of_2778-4570m.pdf	pdf	4215.000000	245	9999-12-31	2013-05-08	156
1/9-3	REPORTED BY LICENSEE	245_1_9_3_R_Special_Core_Analysis_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_R_Special_Core_Analysis_Report.pdf	pdf	2546.000000	245	9999-12-31	2013-05-08	157
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Sonic_Calibration	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Sonic_Calibration.pdf	pdf	1019.000000	245	9999-12-31	2013-05-08	158
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Sonic_Calibration_Enc_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Sonic_Calibration_Enc_01.pdf	pdf	3335.000000	245	9999-12-31	2013-05-08	159
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Sonic_Calibration_Enc_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Sonic_Calibration_Enc_02.pdf	pdf	2844.000000	245	9999-12-31	2013-05-08	160
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Sonic_Calibration_Enc_03	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Sonic_Calibration_Enc_03.pdf	pdf	12246.000000	245	9999-12-31	2013-05-08	161
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Sonic_Calibration_Enc_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Sonic_Calibration_Enc_1.pdf	pdf	7.000000	245	9999-12-31	2013-05-08	162
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Test_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Test_Report.pdf	pdf	4305.000000	245	9999-12-31	2013-05-08	163
1/9-3	REPORTED BY LICENSEE	245_1_9_3_wellog_services	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_wellog_services.pdf	pdf	852.000000	245	9999-12-31	2013-05-08	164
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Well_Prognosis_Sheet	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Well_Prognosis_Sheet.pdf	pdf	360.000000	245	9999-12-31	2013-05-08	165
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Well_Testing_Report_Annexes	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Well_Testing_Report_Annexes.pdf	pdf	5863.000000	245	9999-12-31	2013-05-08	166
1/9-3	REPORTED BY LICENSEE	245_1_9_3_Well_Testing_Report_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/245_1_9_3_Well_Testing_Report_Flopetrol.pdf	pdf	3553.000000	245	9999-12-31	2013-05-08	167
1/9-3 R	COMPOSITE LOG	246	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/246.pdf	pdf	944.000000	246	2013-05-01	2013-05-08	168
1/9-3 R	GEOCHEMICAL INFORMATION	246_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/246_1.pdf	pdf	4177.000000	246	9999-12-31	2013-05-08	169
1/9-3 R	GEOCHEMICAL INFORMATION	246_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/246_2.pdf	pdf	3697.000000	246	9999-12-31	2013-05-08	170
1/9-4	GEOCHEMICAL INFORMATION	247_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/247_1.pdf	pdf	2178.000000	247	9999-12-31	2013-05-08	171
1/9-4	GEOCHEMICAL INFORMATION	247_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/247_2.pdf	pdf	3151.000000	247	9999-12-31	2013-05-08	172
1/9-4	GEOCHEMICAL INFORMATION	247_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/247_3.pdf	pdf	523.000000	247	9999-12-31	2013-05-08	173
1/9-4	OLD NPD WDSS	247_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/247_01_WDSS_General_Information.pdf	pdf	212.000000	247	9999-12-31	2013-05-08	174
1/9-4	OLD NPD WDSS	247_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/247_03_WDSS_lithlog.pdf	pdf	62.000000	247	9999-12-31	2013-05-08	175
1/9-4	REPORTED BY LICENSEE	247_00_1_9_4_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/247_00_1_9_4_Completion_Log.pdf	pdf	2483.000000	247	9999-12-31	2013-05-08	176
1/9-4	REPORTED BY LICENSEE	247_00_1_9_4_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/247_00_1_9_4_Completion_Report.pdf	pdf	34547.000000	247	9999-12-31	2013-05-08	177
1/9-5	OLD NPD WDSS	248_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/248_01_WDSS_General_Information.pdf	pdf	200.000000	248	9999-12-31	2013-05-08	178
1/9-5	OLD NPD WDSS	248_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/248_03_WDSS_lithlog.pdf	pdf	64.000000	248	9999-12-31	2013-05-08	179
1/9-5	REPORTED BY LICENSEE	248_1_9_5_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/248_1_9_5_Completion_log.pdf	pdf	2371.000000	248	9999-12-31	2013-05-08	180
1/9-5	REPORTED BY LICENSEE	248_1_9_5_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/248_1_9_5_Completion_report.pdf	pdf	61544.000000	248	9999-12-31	2013-05-08	181
1/9-6 S	OLD NPD WDSS	44_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/44_01_WDSS_General_Information.pdf	pdf	201.000000	44	9999-12-31	2013-05-08	182
1/9-6 S	OLD NPD WDSS	44_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/44_02_WDSS_completion_log.pdf	pdf	238.000000	44	9999-12-31	2013-05-08	183
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Analyst_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Analyst_report.pdf	pdf	2634.000000	44	9999-12-31	2013-05-08	184
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Analyst_report_Enc_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Analyst_report_Enc_1.pdf	pdf	713.000000	44	9999-12-31	2013-05-08	185
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Analyst_report_Enc_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Analyst_report_Enc_2.pdf	pdf	3982.000000	44	9999-12-31	2013-05-08	186
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Analyst_report_Enc_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Analyst_report_Enc_3.pdf	pdf	70.000000	44	9999-12-31	2013-05-08	187
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Analyst_report_Enc_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Analyst_report_Enc_4.pdf	pdf	47.000000	44	9999-12-31	2013-05-08	188
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Analyst_report_Enc_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Analyst_report_Enc_5.pdf	pdf	59.000000	44	9999-12-31	2013-05-08	189
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Analyst_report_Enc_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Analyst_report_Enc_6.pdf	pdf	53.000000	44	9999-12-31	2013-05-08	190
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Completion_report.pdf	pdf	47498.000000	44	9999-12-31	2013-05-08	191
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Conventional core analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Conventional core analysis.pdf	pdf	2770.000000	44	9999-12-31	2013-05-08	192
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Drilling_Programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Drilling_Programme.pdf	pdf	2962.000000	44	9999-12-31	2013-05-08	193
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Drilling_Programme_Vedlegg_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Drilling_Programme_Vedlegg_1.pdf	pdf	107.000000	44	9999-12-31	2013-05-08	194
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Drilling_Programme_Vedlegg_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Drilling_Programme_Vedlegg_2.pdf	pdf	85.000000	44	9999-12-31	2013-05-08	195
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Drilling_Programme_Vedlegg_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Drilling_Programme_Vedlegg_3.pdf	pdf	32.000000	44	9999-12-31	2013-05-08	196
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Drilling_Programme_Vedlegg_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Drilling_Programme_Vedlegg_4.pdf	pdf	458.000000	44	9999-12-31	2013-05-08	197
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Formation_Testing_Report_Test3A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Formation_Testing_Report_Test3A.pdf	pdf	3849.000000	44	9999-12-31	2013-05-08	198
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Formation_Testing_Report_Test4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Formation_Testing_Report_Test4.pdf	pdf	1945.000000	44	9999-12-31	2013-05-08	199
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Geokjemiske_Kjernelogger_Ekofisk _Torfms	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Geokjemiske_Kjernelogger_Ekofisk _Torfms.pdf	pdf	1219.000000	44	9999-12-31	2013-05-08	200
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_High_Accuracy_Pressure_Temp_DST1_SSDR	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_High_Accuracy_Pressure_Temp_DST1_SSDR.pdf	pdf	2559.000000	44	9999-12-31	2013-05-08	201
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_High_Accuracy_Pressure_Temp_DST1_TPT82138	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_High_Accuracy_Pressure_Temp_DST1_TPT82138.pdf	pdf	2789.000000	44	9999-12-31	2013-05-08	202
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_High_Accuracy_Pressure_Temp_DST2A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_High_Accuracy_Pressure_Temp_DST2A.pdf	pdf	2601.000000	44	9999-12-31	2013-05-08	203
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Offshore_Gas_Testing	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Offshore_Gas_Testing.pdf	pdf	250.000000	44	9999-12-31	2013-05-08	204
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Paleo and strat_final report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Paleo and strat_final report.pdf	pdf	5863.000000	44	9999-12-31	2013-05-08	205
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Petrophysical_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Petrophysical_Analysis.pdf	pdf	2699.000000	44	9999-12-31	2013-05-08	206
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Pressure_Survey_Report_Sperry_DST2B_Bottom_Hole	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Pressure_Survey_Report_Sperry_DST2B_Bottom_Hole.pdf	pdf	1904.000000	44	9999-12-31	2013-05-08	207
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Pressure_Survey_Report_Sperry_DST3A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Pressure_Survey_Report_Sperry_DST3A.pdf	pdf	1385.000000	44	9999-12-31	2013-05-08	208
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Pressure_Survey_Report_Sperry_DST4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Pressure_Survey_Report_Sperry_DST4.pdf	pdf	883.000000	44	9999-12-31	2013-05-08	209
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Pressure_Test_Data_Summary_Sperry_DST3A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Pressure_Test_Data_Summary_Sperry_DST3A.pdf	pdf	407.000000	44	9999-12-31	2013-05-08	210
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_PVT_Study_on_Recombined_sample_DST3A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_PVT_Study_on_Recombined_sample_DST3A.pdf	pdf	614.000000	44	9999-12-31	2013-05-08	211
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_PVT_Study_Report_DST2B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_PVT_Study_Report_DST2B.pdf	pdf	1077.000000	44	9999-12-31	2013-05-08	212
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_PVT_Study_Report_DST3A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_PVT_Study_Report_DST3A.pdf	pdf	1111.000000	44	9999-12-31	2013-05-08	213
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_PVT_Study_Report_DST4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_PVT_Study_Report_DST4.pdf	pdf	1098.000000	44	9999-12-31	2013-05-08	214
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Special_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Special_Core_Analysis.pdf	pdf	331.000000	44	9999-12-31	2013-05-08	215
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Special_Core_Analysis_CoreLab	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Special_Core_Analysis_CoreLab.pdf	pdf	11683.000000	44	9999-12-31	2013-05-08	216
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Special_Core_Analysis_Geco_Jan84	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Special_Core_Analysis_Geco_Jan84.pdf	pdf	4853.000000	44	9999-12-31	2013-05-08	217
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_S_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_S_Completion_log.pdf	pdf	2594.000000	44	9999-12-31	2013-05-08	218
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_TBP_distillation_of_condensate_DST3A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_TBP_distillation_of_condensate_DST3A.pdf	pdf	333.000000	44	9999-12-31	2013-05-08	219
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_TBP_distillation_of_condensate_DST4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_TBP_distillation_of_condensate_DST4.pdf	pdf	389.000000	44	9999-12-31	2013-05-08	220
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Water_Analysis_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Water_Analysis_DST1.pdf	pdf	650.000000	44	9999-12-31	2013-05-08	221
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Well_Testing_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Well_Testing_Report.pdf	pdf	6619.000000	44	9999-12-31	2013-05-08	222
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Well_Testing_Report_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Well_Testing_Report_DST1.pdf	pdf	3180.000000	44	9999-12-31	2013-05-08	223
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Well_Testing_Report_DST2B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Well_Testing_Report_DST2B.pdf	pdf	6060.000000	44	9999-12-31	2013-05-08	224
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Well_Testing_Report_DST2_2A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Well_Testing_Report_DST2_2A.pdf	pdf	3774.000000	44	9999-12-31	2013-05-08	225
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Well_Testing_Report_DST3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Well_Testing_Report_DST3.pdf	pdf	2331.000000	44	9999-12-31	2013-05-08	226
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Well_Testing_Report_DST3A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Well_Testing_Report_DST3A.pdf	pdf	6489.000000	44	9999-12-31	2013-05-08	227
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Well_Testing_Report_DST4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Well_Testing_Report_DST4.pdf	pdf	10471.000000	44	9999-12-31	2013-05-08	228
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Well_Testing_Report_Vedlegg_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Well_Testing_Report_Vedlegg_1.pdf	pdf	197.000000	44	9999-12-31	2013-05-08	229
1/9-6 S	REPORTED BY LICENSEE	44_1_9_6_Well_Testing_Report_Vedlegg_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/44_1_9_6_Well_Testing_Report_Vedlegg_2.pdf	pdf	141.000000	44	9999-12-31	2013-05-08	230
1/9-7	GEOCHEMICAL INFORMATION	4652_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4652_GCH_1.pdf	pdf	558.000000	4652	2012-10-10	2013-05-08	231
1/9-7	GEOCHEMICAL INFORMATION	4652_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4652_GCH_2.pdf	pdf	1781.000000	4652	2012-10-10	2013-05-08	232
10/5-1	COMPOSITE LOG	306	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/306.pdf	pdf	185.000000	306	9999-12-31	2013-05-08	233
10/5-1	GEOCHEMICAL INFORMATION	306_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/306_1.pdf	pdf	1568.000000	306	9999-12-31	2013-05-08	234
10/5-1	GEOCHEMICAL INFORMATION	306_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/306_2.pdf	pdf	1803.000000	306	9999-12-31	2013-05-08	235
10/5-1	OLD NPD WDSS	306_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/306_01_WDSS_General_Information.pdf	pdf	275.000000	306	9999-12-31	2013-05-08	236
10/5-1	REPORTED BY LICENSEE	306_01_Final_well_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/306_01_Final_well_report.pdf	pdf	5395.000000	306	9999-12-31	2013-05-08	237
10/5-1	REPORTED BY LICENSEE	306_02_Composite_well_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/306_02_Composite_well_log.pdf	pdf	1622.000000	306	9999-12-31	2013-05-08	238
10/5-1	REPORTED BY LICENSEE	306_03_Results_of_Potassium_Argon_Dating_1976	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/306_03_Results_of_Potassium_Argon_Dating_1976.pdf	pdf	2098.000000	306	9999-12-31	2013-05-08	239
10/5-1	REPORTED BY LICENSEE	306_04_The_Biostratigraphy_of_the_Interval_186-1842m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/306_04_The_Biostratigraphy_of_the_Interval_186-1842m.pdf	pdf	2950.000000	306	9999-12-31	2013-05-08	240
10/7-1	COMPOSITE LOG	1972	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1972.pdf	pdf	261.000000	1972	9999-12-31	2013-05-08	241
10/7-1	GEOCHEMICAL INFORMATION	1972_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1972_1.pdf	pdf	2315.000000	1972	9999-12-31	2013-05-08	242
10/7-1	GEOCHEMICAL INFORMATION	1972_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1972_2.pdf	pdf	4820.000000	1972	9999-12-31	2013-05-08	243
15/12-14	COMPOSITE LOG	4845	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4845.pdf	pdf	265.000000	4845	9999-12-31	2013-05-08	287
10/7-1	OLD NPD WDSS	1972_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1972_01_WDSS_General_Information.pdf	pdf	363.000000	1972	9999-12-31	2013-05-08	244
10/7-1	OLD NPD WDSS	1972_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1972_02_WDSS_completion_log.pdf	pdf	143.000000	1972	9999-12-31	2013-05-08	245
10/8-1	COMPOSITE LOG	175	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/175.pdf	pdf	327.000000	175	9999-12-31	2013-05-08	246
10/8-1	GEOCHEMICAL INFORMATION	175_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/175_1.pdf	pdf	768.000000	175	9999-12-31	2013-05-08	247
10/8-1	GEOCHEMICAL INFORMATION	175_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/175_2.pdf	pdf	4820.000000	175	9999-12-31	2013-05-08	248
10/8-1	NPD PAPER	175_01_NPD_Paper_No.26_Lithology__Well_10_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/175_01_NPD_Paper_No.26_Lithology__Well_10_8_1.pdf	pdf	10254.000000	175	9999-12-31	2013-05-08	249
10/8-1	NPD PAPER	175_02_NPD_Paper_No.26_Interpreted_Lithology_log__Well_10_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/175_02_NPD_Paper_No.26_Interpreted_Lithology_log__Well_10_8_1.pdf	pdf	42902.000000	175	9999-12-31	2013-05-08	250
10/8-1	OLD NPD WDSS	175_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/175_01_WDSS_General_Information.pdf	pdf	164.000000	175	9999-12-31	2013-05-08	251
10/8-1	REPORTED BY LICENSEE	175_01_Final_Geological_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/175_01_Final_Geological_report.pdf	pdf	499.000000	175	9999-12-31	2013-05-08	252
10/8-1	REPORTED BY LICENSEE	175_02_Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/175_02_Composite_log.pdf	pdf	1552.000000	175	9999-12-31	2013-05-08	253
10/8-1	REPORTED BY LICENSEE	175_03_Stratigraphical_and_reservoir_conclusions	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/175_03_Stratigraphical_and_reservoir_conclusions.pdf	pdf	212.000000	175	9999-12-31	2013-05-08	254
10/8-1	REPORTED BY LICENSEE	175_04_Sidewall_core_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/175_04_Sidewall_core_description.pdf	pdf	433.000000	175	9999-12-31	2013-05-08	255
10/8-1	REPORTED BY LICENSEE	175_05_Etude_stratigraphique	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/175_05_Etude_stratigraphique.pdf	pdf	2766.000000	175	9999-12-31	2013-05-08	256
10/8-1	REPORTED BY LICENSEE	175_06_Etude_stratigraphique_geochemique_et_sedimentologiqu	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/175_06_Etude_stratigraphique_geochemique_et_sedimentologiqu.pdf	pdf	6309.000000	175	9999-12-31	2013-05-08	257
10/8-1	REPORTED BY LICENSEE	175_07_Etude_micropalaeontologique_(foraminiferes)	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/175_07_Etude_micropalaeontologique_(foraminiferes).pdf	pdf	1554.000000	175	9999-12-31	2013-05-08	258
10/8-1	REPORTED BY LICENSEE	175_08_Etude_geochemique_complementaires_de_la_matiere_orga	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/175_08_Etude_geochemique_complementaires_de_la_matiere_orga.pdf	pdf	1899.000000	175	9999-12-31	2013-05-08	259
10/8-1	REPORTED BY LICENSEE	175_09_Considerations_sedimentologiques_a_propos_de_letude	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/175_09_Considerations_sedimentologiques_a_propos_de_letude.pdf	pdf	440.000000	175	2013-05-08	2013-05-08	260
11/10-1	COMPOSITE LOG	170	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/170.pdf	pdf	225.000000	170	9999-12-31	2013-05-08	261
11/10-1	NPD PAPER	170_01_NPD_Paper_No.23_Lithology__Well_11_10_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/170_01_NPD_Paper_No.23_Lithology__Well_11_10_1.pdf	pdf	10681.000000	170	9999-12-31	2013-05-08	262
11/10-1	NPD PAPER	170_02_NPD_Paper_No.23_Interpreted_Lithology_log__Well_11_10_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/170_02_NPD_Paper_No.23_Interpreted_Lithology_log__Well_11_10_1.pdf	pdf	38091.000000	170	9999-12-31	2013-05-08	263
11/10-1	OLD NPD WDSS	170_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/170_01_WDSS_General_Information.pdf	pdf	180.000000	170	9999-12-31	2013-05-08	264
11/5-1	COMPOSITE LOG	5596	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5596.pdf	pdf	358.000000	5596	2013-01-22	2013-05-08	265
11/9-1	COMPOSITE LOG	307	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/307.pdf	pdf	201.000000	307	9999-12-31	2013-05-08	266
11/9-1	OLD NPD WDSS	307_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/307_01_WDSS_General_Information.pdf	pdf	267.000000	307	9999-12-31	2013-05-08	267
11/9-1	REPORTED BY LICENSEE	307_01_Drilling_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/307_01_Drilling_report.pdf	pdf	5163.000000	307	9999-12-31	2013-05-08	268
11/9-1	REPORTED BY LICENSEE	307_02_Provisional_Geological_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/307_02_Provisional_Geological_report.pdf	pdf	794.000000	307	9999-12-31	2013-05-08	269
11/9-1	REPORTED BY LICENSEE	307_03_Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/307_03_Composite_log.pdf	pdf	739.000000	307	9999-12-31	2013-05-08	270
11/9-1	REPORTED BY LICENSEE	307_04_Geological_note_on_the_well	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/307_04_Geological_note_on_the_well.pdf	pdf	584.000000	307	9999-12-31	2013-05-08	271
11/9-1	REPORTED BY LICENSEE	307_05_Well_prognosis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/307_05_Well_prognosis.pdf	pdf	53643.000000	307	9999-12-31	2013-05-08	272
11/9-1	REPORTED BY LICENSEE	307_06_Lithological_study_and_sedimentological_interpretation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/307_06_Lithological_study_and_sedimentological_interpretation.pdf	pdf	2914.000000	307	9999-12-31	2013-05-08	273
11/9-1	REPORTED BY LICENSEE	307_07_Drilling_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/307_07_Drilling_program.pdf	pdf	6970.000000	307	9999-12-31	2013-05-08	274
15/12-1	COMPOSITE LOG	94	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/94.pdf	pdf	404.000000	94	9999-12-31	2013-05-08	275
15/12-1	GEOCHEMICAL INFORMATION	94_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/94_1.pdf	pdf	1688.000000	94	9999-12-31	2013-05-08	276
15/12-1	OLD NPD WDSS	94_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/94_01_WDSS_General_Information.pdf	pdf	293.000000	94	9999-12-31	2013-05-08	277
15/12-1	REPORTED BY LICENSEE	94_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/94_1_Completion_Report_and_Completion_log.pdf	pdf	22223.000000	94	9999-12-31	2013-05-08	278
15/12-10 S	GEOCHEMICAL INFORMATION	2285_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2285_1.pdf	pdf	5235.000000	2285	9999-12-31	2013-05-08	279
15/12-11 S	COMPOSITE LOG	3074	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3074.pdf	pdf	583.000000	3074	9999-12-31	2013-05-08	280
15/12-11 S	GEOCHEMICAL INFORMATION	3074_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3074_1.pdf	pdf	1891.000000	3074	9999-12-31	2013-05-08	281
15/12-11 S	GEOCHEMICAL INFORMATION	3074_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3074_2.pdf	pdf	1782.000000	3074	9999-12-31	2013-05-08	282
15/12-11 S	GEOCHEMICAL INFORMATION	3074_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3074_3.pdf	pdf	1863.000000	3074	9999-12-31	2013-05-08	283
15/12-11 S	GEOCHEMICAL INFORMATION	3074_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3074_4.pdf	pdf	1768.000000	3074	9999-12-31	2013-05-08	284
15/12-12	GEOCHEMICAL INFORMATION	3391_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3391_1.pdf	pdf	2199.000000	3391	9999-12-31	2013-05-08	285
15/12-2	COMPOSITE LOG	331	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/331.pdf	pdf	281.000000	331	9999-12-31	2013-05-08	288
15/12-2	GEOCHEMICAL INFORMATION	331_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/331_1.pdf	pdf	2175.000000	331	9999-12-31	2013-05-08	289
15/12-2	GEOCHEMICAL INFORMATION	331_2_Report_on_oil_source_rock_correlation in well 15_12_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/331_2_Report_on_oil_source_rock_correlation in well 15_12_2.pdf	pdf	1656.000000	331	9999-12-31	2013-05-08	290
15/12-2	OLD NPD WDSS	331_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/331_01_WDSS_General_Information.pdf	pdf	264.000000	331	9999-12-31	2013-05-08	291
15/12-2	REPORTED BY LICENSEE	331_1_Completion_report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/331_1_Completion_report_and_Completion_log.pdf	pdf	8116.000000	331	9999-12-31	2013-05-08	292
15/12-2	REPORTED BY LICENSEE	331_2_Final_wel_history_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/331_2_Final_wel_history_report.pdf	pdf	46864.000000	331	9999-12-31	2013-05-08	293
15/12-2	REPORTED BY LICENSEE	331_2_Report_on_oil_source_rock_correlation in well 15_12_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/331_2_Report_on_oil_source_rock_correlation in well 15_12_2.pdf	pdf	1656.000000	331	9999-12-31	2013-05-08	294
15/12-2	REPORTED BY LICENSEE	331_3_Evaluation_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/331_3_Evaluation_report.pdf	pdf	779.000000	331	9999-12-31	2013-05-08	295
15/12-2	REPORTED BY LICENSEE	331_4_Geological_prognosis_and_drilling_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/331_4_Geological_prognosis_and_drilling_program.pdf	pdf	32607.000000	331	9999-12-31	2013-05-08	296
15/12-2	REPORTED BY LICENSEE	331_5_Paleontological_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/331_5_Paleontological_study.pdf	pdf	684.000000	331	9999-12-31	2013-05-08	297
15/12-2	REPORTED BY LICENSEE	331_6_Petrographic_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/331_6_Petrographic_study.pdf	pdf	58665.000000	331	9999-12-31	2013-05-08	298
15/12-2	REPORTED BY LICENSEE	331_7_Report_on_oil_source_rock_correlation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/331_7_Report_on_oil_source_rock_correlation.pdf	pdf	1656.000000	331	9999-12-31	2013-05-08	299
15/12-2	REPORTED BY LICENSEE	331_8_ADT_end_of_wel_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/331_8_ADT_end_of_wel_report.pdf	pdf	1830.000000	331	9999-12-31	2013-05-08	300
15/12-22	GEOCHEMICAL INFORMATION	6326_01_15_12_22_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6326_01_15_12_22_gch_transfer_1.txt	txt	0.000000	6326	9999-12-31	2013-05-08	301
15/12-22	GEOCHEMICAL INFORMATION	6326_02_15_12_22_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6326_02_15_12_22_gch_results_1.txt	txt	12.000000	6326	9999-12-31	2013-05-08	302
15/12-23 A	GEOCHEMICAL INFORMATION	6404_01_15_12_23A_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6404_01_15_12_23A_gch_transfer_1.txt	txt	0.000000	6404	2012-08-24	2013-05-08	303
15/12-23 A	GEOCHEMICAL INFORMATION	6404_02_15_12_23A_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6404_02_15_12_23A_gch_results_1.txt	txt	62.000000	6404	2012-08-24	2013-05-08	304
15/12-3	GEOCHEMICAL INFORMATION	199_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/199_1.pdf	pdf	90.000000	199	9999-12-31	2013-05-08	305
15/12-3	GEOCHEMICAL INFORMATION	199_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/199_2.pdf	pdf	2640.000000	199	9999-12-31	2013-05-08	306
15/12-3	GEOCHEMICAL INFORMATION	199_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/199_3.pdf	pdf	163.000000	199	9999-12-31	2013-05-08	307
15/12-3	OLD NPD WDSS	199_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/199_01_WDSS_General_Information.pdf	pdf	121.000000	199	9999-12-31	2013-05-08	308
15/12-3	OLD NPD WDSS	199_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/199_02_WDSS_completion_log.pdf	pdf	260.000000	199	9999-12-31	2013-05-08	309
15/12-3	REPORTED BY LICENSEE	199_01_15_12_3_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_01_15_12_3_Completion_report.pdf	pdf	6630.000000	199	9999-12-31	2013-05-08	310
15/12-3	REPORTED BY LICENSEE	199_01_Core_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_01_Core_report.pdf	pdf	74.000000	199	9999-12-31	2013-05-08	311
15/12-3	REPORTED BY LICENSEE	199_02_15_12_3_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_02_15_12_3_Completionlog.pdf	pdf	2768.000000	199	9999-12-31	2013-05-08	312
15/12-3	REPORTED BY LICENSEE	199_03_15_12_3_End_of_well_report_by NPS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_03_15_12_3_End_of_well_report_by NPS.pdf	pdf	18709.000000	199	9999-12-31	2013-05-08	313
15/12-3	REPORTED BY LICENSEE	199_04_15_12_3_End_of_well_report_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_04_15_12_3_End_of_well_report_encl_1.pdf	pdf	370.000000	199	9999-12-31	2013-05-08	314
15/12-3	REPORTED BY LICENSEE	199_05_15_12_3_End_of_well_report_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_05_15_12_3_End_of_well_report_encl_2.pdf	pdf	226.000000	199	9999-12-31	2013-05-08	315
15/12-3	REPORTED BY LICENSEE	199_06_15_12_3_Geologica_progn.and_drilling_progr	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_06_15_12_3_Geologica_progn.and_drilling_progr.pdf	pdf	1809.000000	199	9999-12-31	2013-05-08	316
15/12-3	REPORTED BY LICENSEE	199_07_15_12_3_Geological_progn.and_drilling_progr_encll_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_07_15_12_3_Geological_progn.and_drilling_progr_encll_1.pdf	pdf	1772.000000	199	9999-12-31	2013-05-08	317
15/12-3	REPORTED BY LICENSEE	199_08_15_12_3_Geologica_progn.and_drilling_progr_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_08_15_12_3_Geologica_progn.and_drilling_progr_encl_2.pdf	pdf	213.000000	199	9999-12-31	2013-05-08	318
15/12-3	REPORTED BY LICENSEE	199_09_15_12_3_Appendix_drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_09_15_12_3_Appendix_drilling_programme.pdf	pdf	484.000000	199	9999-12-31	2013-05-08	319
15/12-3	REPORTED BY LICENSEE	199_10_15_12_3_Sluttrapport_oljebasert_boreslam	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_10_15_12_3_Sluttrapport_oljebasert_boreslam.pdf	pdf	4855.000000	199	9999-12-31	2013-05-08	320
15/12-3	REPORTED BY LICENSEE	199_11_15_12_3_Miljømessige_effekter	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_11_15_12_3_Miljømessige_effekter.pdf	pdf	2507.000000	199	9999-12-31	2013-05-08	321
15/12-3	REPORTED BY LICENSEE	199_12_15_12_3_Biostrat2_of_int.2803-4450m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_12_15_12_3_Biostrat2_of_int.2803-4450m.pdf	pdf	11105.000000	199	9999-12-31	2013-05-08	322
15/12-3	REPORTED BY LICENSEE	199_13_15_12_3_Biostrat_of_int.2803-4450m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_13_15_12_3_Biostrat_of_int.2803-4450m.pdf	pdf	11287.000000	199	9999-12-31	2013-05-08	323
15/12-3	REPORTED BY LICENSEE	199_14_15_12_3_Core_report_core_no_1-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/199_14_15_12_3_Core_report_core_no_1-2.pdf	pdf	451.000000	199	9999-12-31	2013-05-08	324
15/12-4	GEOCHEMICAL INFORMATION	438_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/438_1.pdf	pdf	332.000000	438	9999-12-31	2013-05-08	325
15/12-4	GEOCHEMICAL INFORMATION	438_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/438_2.pdf	pdf	15828.000000	438	9999-12-31	2013-05-08	326
15/12-4	GEOCHEMICAL INFORMATION	438_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/438_3.pdf	pdf	728.000000	438	9999-12-31	2013-05-08	327
15/12-4	OLD NPD WDSS	438_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/438_01_WDSS_General_Information.pdf	pdf	214.000000	438	9999-12-31	2013-05-08	328
15/12-4	OLD NPD WDSS	438_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/438_02_WDSS_completion_log.pdf	pdf	274.000000	438	9999-12-31	2013-05-08	329
15/12-4	REPORTED BY LICENSEE	438_01_15_12_4_CompletionReport_and_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_01_15_12_4_CompletionReport_and_Completionlog.pdf	pdf	21194.000000	438	9999-12-31	2013-05-08	330
15/12-4	REPORTED BY LICENSEE	438_02_15_12_4_Final_well_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_02_15_12_4_Final_well_report.pdf	pdf	12349.000000	438	9999-12-31	2013-05-08	331
15/12-4	REPORTED BY LICENSEE	438_03_15_12_4_Geological_progn.press.pred.	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_03_15_12_4_Geological_progn.press.pred..pdf	pdf	2316.000000	438	9999-12-31	2013-05-08	332
15/12-4	REPORTED BY LICENSEE	438_03_15_12_4_Geological_progn.press.pred._encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_03_15_12_4_Geological_progn.press.pred._encl_1.pdf	pdf	162.000000	438	9999-12-31	2013-05-08	333
15/12-4	REPORTED BY LICENSEE	438_03_15_12_4_Geological_progn.press.pred._encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_03_15_12_4_Geological_progn.press.pred._encl_2.pdf	pdf	1442.000000	438	9999-12-31	2013-05-08	334
15/12-4	REPORTED BY LICENSEE	438_04_15_12_4_PVT_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_04_15_12_4_PVT_Analysis.pdf	pdf	260.000000	438	9999-12-31	2013-05-08	335
15/12-4	REPORTED BY LICENSEE	438_05_15_12_4_Routine_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_05_15_12_4_Routine_core_analysis.pdf	pdf	946.000000	438	9999-12-31	2013-05-08	336
15/12-4	REPORTED BY LICENSEE	438_06_15_12_4_Sampling_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_06_15_12_4_Sampling_report.pdf	pdf	407.000000	438	9999-12-31	2013-05-08	337
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study.pdf	pdf	632.000000	438	9999-12-31	2013-05-08	338
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study_encl_1.pdf	pdf	1449.000000	438	9999-12-31	2013-05-08	339
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study_encl_10	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study_encl_10.pdf	pdf	1252.000000	438	9999-12-31	2013-05-08	340
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study_encl_11	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study_encl_11.pdf	pdf	2880.000000	438	9999-12-31	2013-05-08	341
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study_encl_2.pdf	pdf	1397.000000	438	9999-12-31	2013-05-08	342
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study_encl_3.pdf	pdf	1877.000000	438	9999-12-31	2013-05-08	343
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study_encl_4.pdf	pdf	1867.000000	438	9999-12-31	2013-05-08	344
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study_encl_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study_encl_5.pdf	pdf	1486.000000	438	9999-12-31	2013-05-08	345
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study_encl_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study_encl_6.pdf	pdf	2013.000000	438	9999-12-31	2013-05-08	346
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study_encl_7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study_encl_7.pdf	pdf	1181.000000	438	9999-12-31	2013-05-08	347
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study_encl_8	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study_encl_8.pdf	pdf	3042.000000	438	9999-12-31	2013-05-08	348
15/12-4	REPORTED BY LICENSEE	438_07_15_12_4_Shallow_gas_study_encl_9	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/438_07_15_12_4_Shallow_gas_study_encl_9.pdf	pdf	2121.000000	438	9999-12-31	2013-05-08	349
15/12-5	OLD NPD WDSS	113_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/113_01_WDSS_General_Information.pdf	pdf	238.000000	113	9999-12-31	2013-05-08	350
15/12-5	OLD NPD WDSS	113_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/113_02_WDSS_completion_log.pdf	pdf	241.000000	113	9999-12-31	2013-05-08	351
15/12-6 S	GEOCHEMICAL INFORMATION	1524_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1524_1.pdf	pdf	504.000000	1524	9999-12-31	2013-05-08	352
15/12-6 S	GEOCHEMICAL INFORMATION	1524_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1524_2.pdf	pdf	151.000000	1524	9999-12-31	2013-05-08	353
15/12-6 S	GEOCHEMICAL INFORMATION	1524_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1524_3.pdf	pdf	1958.000000	1524	9999-12-31	2013-05-08	354
15/12-6 S	OLD NPD WDSS	1524_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1524_01_WDSS_General_Information.pdf	pdf	221.000000	1524	9999-12-31	2013-05-08	355
15/12-6 S	OLD NPD WDSS	1524_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1524_02_WDSS_completion_log.pdf	pdf	183.000000	1524	9999-12-31	2013-05-08	356
15/12-7 S	COMPOSITE LOG	1680	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1680.pdf	pdf	597.000000	1680	9999-12-31	2013-05-08	357
15/12-7 S	GEOCHEMICAL INFORMATION	1680_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1680_1.pdf	pdf	1497.000000	1680	9999-12-31	2013-05-08	358
15/12-7 S	OLD NPD WDSS	1680_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1680_01_WDSS_General_Information.pdf	pdf	513.000000	1680	9999-12-31	2013-05-08	359
15/12-7 S	OLD NPD WDSS	1680_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1680_02_WDSS_completion_log.pdf	pdf	214.000000	1680	9999-12-31	2013-05-08	360
15/12-8	OLD NPD WDSS	1778_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1778_01_WDSS_General_Information.pdf	pdf	478.000000	1778	9999-12-31	2013-05-08	361
15/12-8	OLD NPD WDSS	1778_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1778_02_WDSS_completion_log.pdf	pdf	186.000000	1778	9999-12-31	2013-05-08	362
15/12-8 A	GEOCHEMICAL INFORMATION	1835_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1835_1.pdf	pdf	572.000000	1835	9999-12-31	2013-05-08	363
15/12-8 A	GEOCHEMICAL INFORMATION	1835_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1835_2.pdf	pdf	1263.000000	1835	9999-12-31	2013-05-08	364
15/12-9 S	OLD NPD WDSS	1978_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1978_01_WDSS_General_Information.pdf	pdf	456.000000	1978	9999-12-31	2013-05-08	365
15/12-9 S	OLD NPD WDSS	1978_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1978_02_WDSS_completion_log.pdf	pdf	202.000000	1978	9999-12-31	2013-05-08	366
15/2-1	COMPOSITE LOG	308	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/308.pdf	pdf	884.000000	308	2013-05-01	2013-05-08	367
15/2-1	GEOCHEMICAL INFORMATION	308_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/308_1.pdf	pdf	414.000000	308	9999-12-31	2013-05-08	368
15/2-1	GEOCHEMICAL INFORMATION	308_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/308_2.pdf	pdf	2266.000000	308	9999-12-31	2013-05-08	369
15/2-1	OLD NPD WDSS	308_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/308_01_WDSS_General_Information.pdf	pdf	157.000000	308	9999-12-31	2013-05-08	370
15/2-1	OLD NPD WDSS	308_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/308_02_WDSS_completion_log.pdf	pdf	342.000000	308	9999-12-31	2013-05-08	371
15/2-1	REPORTED BY LICENSEE	308_15_2_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/308_15_2_1_Completion_log.pdf	pdf	3373.000000	308	9999-12-31	2013-05-08	372
15/2-1	REPORTED BY LICENSEE	308_15_2_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/308_15_2_1_Completion_report.pdf	pdf	35903.000000	308	9999-12-31	2013-05-08	373
15/3-1 S	OLD NPD WDSS	309_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/309_01_WDSS_General_Information.pdf	pdf	257.000000	309	9999-12-31	2013-05-08	374
15/3-2	OLD NPD WDSS	310_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/310_01_WDSS_General_Information.pdf	pdf	268.000000	310	9999-12-31	2013-05-08	375
15/3-2	REPORTED BY LICENSEE	310_1_15_3_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/310_1_15_3_2_Completion_log.pdf	pdf	2385.000000	310	9999-12-31	2013-05-08	376
15/3-2	REPORTED BY LICENSEE	310_1_15_3_2_Drilling_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/310_1_15_3_2_Drilling_report.pdf	pdf	4981.000000	310	9999-12-31	2013-05-08	377
15/3-2	REPORTED BY LICENSEE	310_1_15_3_2_Geological_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/310_1_15_3_2_Geological_Completion_report.pdf	pdf	3736.000000	310	9999-12-31	2013-05-08	378
15/3-2 R	COMPOSITE LOG	311	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/311.pdf	pdf	744.000000	311	2013-05-01	2013-05-08	379
15/3-2 R	GEOCHEMICAL INFORMATION	311_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/311_1.pdf	pdf	1267.000000	311	9999-12-31	2013-05-08	380
15/3-2 R	GEOCHEMICAL INFORMATION	311_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/311_2.pdf	pdf	106.000000	311	9999-12-31	2013-05-08	381
15/3-2 R	GEOCHEMICAL INFORMATION	311_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/311_3.pdf	pdf	12713.000000	311	9999-12-31	2013-05-08	382
15/3-3	OLD NPD WDSS	313_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/313_01_WDSS_General_Information.pdf	pdf	128.000000	313	9999-12-31	2013-05-08	383
15/3-3	OLD NPD WDSS	313_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/313_02_WDSS_completion_log.pdf	pdf	330.000000	313	9999-12-31	2013-05-08	384
15/3-4	OLD NPD WDSS	314_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/314_01_WDSS_General_Information.pdf	pdf	181.000000	314	9999-12-31	2013-05-08	385
15/3-4	OLD NPD WDSS	314_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/314_02_WDSS_completion_log.pdf	pdf	270.000000	314	9999-12-31	2013-05-08	386
15/3-5	OLD NPD WDSS	52_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/52_01_WDSS_General_Information.pdf	pdf	161.000000	52	9999-12-31	2013-05-08	387
15/3-5	OLD NPD WDSS	52_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/52_02_WDSS_completion_log.pdf	pdf	342.000000	52	9999-12-31	2013-05-08	388
15/3-6	COMPOSITE LOG	3250	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3250.pdf	pdf	412.000000	3250	9999-12-31	2013-05-08	389
15/3-6	GEOCHEMICAL INFORMATION	3250_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3250_1.pdf	pdf	131.000000	3250	9999-12-31	2013-05-08	390
15/3-7	COMPOSITE LOG	4055	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4055.pdf	pdf	593.000000	4055	9999-12-31	2013-05-08	391
15/3-7	GEOCHEMICAL INFORMATION	4055_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4055_1.pdf	pdf	1067.000000	4055	9999-12-31	2013-05-08	392
15/5-1	OLD NPD WDSS	315_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/315_01_WDSS_General_Information.pdf	pdf	430.000000	315	9999-12-31	2013-05-08	393
15/5-1	OLD NPD WDSS	315_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/315_03_WDSS_lithlog.pdf	pdf	87.000000	315	9999-12-31	2013-05-08	394
15/5-2	OLD NPD WDSS	316_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/316_01_WDSS_General_Information.pdf	pdf	211.000000	316	9999-12-31	2013-05-08	395
15/5-2	OLD NPD WDSS	316_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/316_03_WDSS_lithlog.pdf	pdf	99.000000	316	9999-12-31	2013-05-08	396
15/5-3	OLD NPD WDSS	207_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/207_01_WDSS_General_Information.pdf	pdf	250.000000	207	9999-12-31	2013-05-08	397
15/5-3	OLD NPD WDSS	207_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/207_02_WDSS_completion_log.pdf	pdf	324.000000	207	9999-12-31	2013-05-08	398
15/5-4	OLD NPD WDSS	1762_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1762_02_WDSS_completion_log.pdf	pdf	149.000000	1762	9999-12-31	2013-05-08	399
15/5-5	GEOCHEMICAL INFORMATION	2635_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2635_1.pdf	pdf	648.000000	2635	9999-12-31	2013-05-08	400
15/5-5	GEOCHEMICAL INFORMATION	2635_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2635_2.pdf	pdf	273.000000	2635	9999-12-31	2013-05-08	401
15/5-5	GEOCHEMICAL INFORMATION	2635_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2635_3.pdf	pdf	2326.000000	2635	9999-12-31	2013-05-08	402
15/5-6	COMPOSITE LOG	3113	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3113.pdf	pdf	334.000000	3113	9999-12-31	2013-05-08	403
15/5-6	GEOCHEMICAL INFORMATION	3113_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3113_1.pdf	pdf	3114.000000	3113	9999-12-31	2013-05-08	404
15/6-1	OLD NPD WDSS	197_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/197_01_WDSS_General_Information.pdf	pdf	154.000000	197	9999-12-31	2013-05-08	405
15/6-1	REPORTED BY LICENSEE	197_01_15_6_1_Geological_summary_and_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/197_01_15_6_1_Geological_summary_and_Completion_report.PDF	PDF	659.000000	197	9999-12-31	2013-05-08	406
15/6-1	REPORTED BY LICENSEE	197_02_15_6_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/197_02_15_6_1_Completion_log.pdf	pdf	797.000000	197	9999-12-31	2013-05-08	407
15/6-10	GEOCHEMICAL INFORMATION	6030_01_15_6_10_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6030_01_15_6_10_gch_transfer_1.txt	txt	0.000000	6030	9999-12-31	2013-05-08	408
15/6-10	GEOCHEMICAL INFORMATION	6030_02_15_6_10_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6030_02_15_6_10_gch_results_1.txt	txt	97.000000	6030	9999-12-31	2013-05-08	409
15/6-2	OLD NPD WDSS	317_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/317_01_WDSS_General_Information.pdf	pdf	292.000000	317	9999-12-31	2013-05-08	410
15/6-3	OLD NPD WDSS	318_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/318_01_WDSS_General_Information.pdf	pdf	273.000000	318	9999-12-31	2013-05-08	411
15/6-4	OLD NPD WDSS	319_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/319_01_WDSS_General_Information.pdf	pdf	282.000000	319	9999-12-31	2013-05-08	412
15/6-5	OLD NPD WDSS	320_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/320_01_WDSS_General_Information.pdf	pdf	254.000000	320	9999-12-31	2013-05-08	413
15/6-6	COMPOSITE LOG	38	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/38.pdf	pdf	780.000000	38	2013-01-22	2013-05-08	414
15/6-6	OLD NPD WDSS	38_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/38_01_WDSS_General_Information.pdf	pdf	167.000000	38	9999-12-31	2013-05-08	415
15/6-6	OLD NPD WDSS	38_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/38_02_WDSS_completion_log.pdf	pdf	279.000000	38	9999-12-31	2013-05-08	416
15/6-6	REPORTED BY LICENSEE	38_01_15_6_6_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/38_01_15_6_6_Completion_Report_and_Completion_log.pdf	pdf	34767.000000	38	9999-12-31	2013-05-08	417
15/6-7	COMPOSITE LOG	2084	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2084.pdf	pdf	663.000000	2084	9999-12-31	2013-05-08	418
15/6-7	GEOCHEMICAL INFORMATION	2084_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2084_1.pdf	pdf	1988.000000	2084	9999-12-31	2013-05-08	419
15/6-7	GEOCHEMICAL INFORMATION	2084_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2084_2.pdf	pdf	451.000000	2084	9999-12-31	2013-05-08	420
15/6-8 A	COMPOSITE LOG	3077	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3077.pdf	pdf	346.000000	3077	9999-12-31	2013-05-08	421
15/6-8 A	GEOCHEMICAL INFORMATION	3077_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3077_1.pdf	pdf	805.000000	3077	9999-12-31	2013-05-08	422
15/6-8 S	COMPOSITE LOG	3014	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3014.pdf	pdf	515.000000	3014	9999-12-31	2013-05-08	423
15/6-8 S	GEOCHEMICAL INFORMATION	3014_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3014_1.pdf	pdf	1960.000000	3014	9999-12-31	2013-05-08	424
15/6-8 S	GEOCHEMICAL INFORMATION	3014_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3014_2.pdf	pdf	583.000000	3014	9999-12-31	2013-05-08	425
15/8-1	GEOCHEMICAL INFORMATION	321_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/321_1.pdf	pdf	971.000000	321	9999-12-31	2013-05-08	426
15/8-1	GEOCHEMICAL INFORMATION	321_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/321_2.pdf	pdf	4585.000000	321	9999-12-31	2013-05-08	427
15/8-1	OLD NPD WDSS	321_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/321_01_WDSS_General_Information.pdf	pdf	182.000000	321	9999-12-31	2013-05-08	428
15/8-1	OLD NPD WDSS	321_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/321_02_WDSS_completion_log.pdf	pdf	317.000000	321	9999-12-31	2013-05-08	429
15/8-1	REPORTED BY LICENSEE	321_01_15_8_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_01_15_8_1_Completion_Report.pdf	pdf	9870.000000	321	9999-12-31	2013-05-08	430
15/8-1	REPORTED BY LICENSEE	321_01_Comments_to_Gecos_report_Special_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_01_Comments_to_Gecos_report_Special_core_analysis.pdf	pdf	671.000000	321	9999-12-31	2013-05-08	431
15/8-1	REPORTED BY LICENSEE	321_02_15_8_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_02_15_8_1_Completion_log.pdf	pdf	1712.000000	321	9999-12-31	2013-05-08	432
15/8-1	REPORTED BY LICENSEE	321_02_15_8_1_Completion_report_Drilling	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_02_15_8_1_Completion_report_Drilling.pdf	pdf	2667.000000	321	9999-12-31	2013-05-08	433
15/8-1	REPORTED BY LICENSEE	321_02_Convetional_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_02_Convetional_Core_Analysis.pdf	pdf	292.000000	321	9999-12-31	2013-05-08	434
15/8-1	REPORTED BY LICENSEE	321_03_Special_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_03_Special_Core_Analysis.pdf	pdf	15675.000000	321	9999-12-31	2013-05-08	435
15/8-1	REPORTED BY LICENSEE	321_04_Well_test_report_DST_No_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_04_Well_test_report_DST_No_2.pdf	pdf	3689.000000	321	9999-12-31	2013-05-08	436
15/8-1	REPORTED BY LICENSEE	321_05_Well_test_report_DST_No_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_05_Well_test_report_DST_No_3.pdf	pdf	4526.000000	321	9999-12-31	2013-05-08	437
15/8-1	REPORTED BY LICENSEE	321_06_Well_test_report_DST_No_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_06_Well_test_report_DST_No_4.pdf	pdf	2108.000000	321	9999-12-31	2013-05-08	438
15/8-1	REPORTED BY LICENSEE	321_07_Well_test_report_DST_No_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_07_Well_test_report_DST_No_1.pdf	pdf	3729.000000	321	9999-12-31	2013-05-08	439
15/8-1	REPORTED BY LICENSEE	321_08_Formation_testing_service_report_Test_no_1C	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_08_Formation_testing_service_report_Test_no_1C.pdf	pdf	1557.000000	321	9999-12-31	2013-05-08	440
15/8-1	REPORTED BY LICENSEE	321_09_Formation_testing_service_report_Test_no_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_09_Formation_testing_service_report_Test_no_2.pdf	pdf	1497.000000	321	9999-12-31	2013-05-08	441
15/8-1	REPORTED BY LICENSEE	321_10_Formation_testing_service_report_Test_no_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_10_Formation_testing_service_report_Test_no_3.pdf	pdf	1420.000000	321	9999-12-31	2013-05-08	442
15/8-1	REPORTED BY LICENSEE	321_11_Formation_testing_service_report_Test_no_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_11_Formation_testing_service_report_Test_no_4.pdf	pdf	807.000000	321	9999-12-31	2013-05-08	443
15/8-1	REPORTED BY LICENSEE	321_12_High_Accuracy_Pressure_Temperature_Measurments_Sleipner_Norway	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_12_High_Accuracy_Pressure_Temperature_Measurments_Sleipner_Norway.pdf	pdf	2408.000000	321	9999-12-31	2013-05-08	444
15/8-1	REPORTED BY LICENSEE	321_13_High_Accuracy_Pressure_Temperature_Measurments_DST1_Sleipner_Norway	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_13_High_Accuracy_Pressure_Temperature_Measurments_DST1_Sleipner_Norway.pdf	pdf	6522.000000	321	9999-12-31	2013-05-08	445
15/8-1	REPORTED BY LICENSEE	321_14_High_Accuracy_Pressure_Temperature_MeasurmentsDST2_Sleipner_Norway	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_14_High_Accuracy_Pressure_Temperature_MeasurmentsDST2_Sleipner_Norway.pdf	pdf	7258.000000	321	9999-12-31	2013-05-08	446
15/8-1	REPORTED BY LICENSEE	321_15_Pressure_Survey_Report_Test_no_1_run_no_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_15_Pressure_Survey_Report_Test_no_1_run_no_1.pdf	pdf	4270.000000	321	9999-12-31	2013-05-08	447
15/8-1	REPORTED BY LICENSEE	321_16_Pressure_Survey_Report_Test_no_1_run_no_1_1981	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_16_Pressure_Survey_Report_Test_no_1_run_no_1_1981.pdf	pdf	1538.000000	321	9999-12-31	2013-05-08	448
15/8-1	REPORTED BY LICENSEE	321_17_Pressure_Survey_Report_Test_no_2_run_no_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_17_Pressure_Survey_Report_Test_no_2_run_no_1.pdf	pdf	2639.000000	321	9999-12-31	2013-05-08	449
15/8-1	REPORTED BY LICENSEE	321_18_Pressure_Survey_Report_Test_no_2_run_no_1_1981	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_18_Pressure_Survey_Report_Test_no_2_run_no_1_1981.pdf	pdf	440.000000	321	9999-12-31	2013-05-08	450
15/8-1	REPORTED BY LICENSEE	321_19_Pressure_Survey_Report_Test_no_3_run_no_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_19_Pressure_Survey_Report_Test_no_3_run_no_1.pdf	pdf	3984.000000	321	9999-12-31	2013-05-08	451
16/1-7	GEOCHEMICAL INFORMATION	4928_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4928_1.pdf	pdf	81.000000	4928	9999-12-31	2013-05-08	726
15/8-1	REPORTED BY LICENSEE	321_20_Pressure_Survey_Report_Test_no_4_run_no_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_20_Pressure_Survey_Report_Test_no_4_run_no_1.pdf	pdf	3143.000000	321	9999-12-31	2013-05-08	452
15/8-1	REPORTED BY LICENSEE	321_21_Pressure_Survey_Report_Test_no_3_run_no_1_1981	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_21_Pressure_Survey_Report_Test_no_3_run_no_1_1981.pdf	pdf	2835.000000	321	9999-12-31	2013-05-08	453
15/8-1	REPORTED BY LICENSEE	321_22_Partial_reservoir_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_22_Partial_reservoir_study.pdf	pdf	304.000000	321	9999-12-31	2013-05-08	454
15/8-1	REPORTED BY LICENSEE	321_23_Reservoir_Fluid_Study_DST_2_Sleipner_field_Norway	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_23_Reservoir_Fluid_Study_DST_2_Sleipner_field_Norway.pdf	pdf	1560.000000	321	9999-12-31	2013-05-08	455
15/8-1	REPORTED BY LICENSEE	321_24_Reservoir_Fluid_Study_DST_1C_Sleipner_field_Norway_RFL_830489	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_24_Reservoir_Fluid_Study_DST_1C_Sleipner_field_Norway_RFL_830489.pdf	pdf	1487.000000	321	9999-12-31	2013-05-08	456
15/8-1	REPORTED BY LICENSEE	321_25_Reservoir_Fluid_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_25_Reservoir_Fluid_study.pdf	pdf	1446.000000	321	9999-12-31	2013-05-08	457
15/8-1	REPORTED BY LICENSEE	321_26_Results_of_Production_Tests_Sleipner_Area_Norway	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_26_Results_of_Production_Tests_Sleipner_Area_Norway.pdf	pdf	9337.000000	321	9999-12-31	2013-05-08	458
15/8-1	REPORTED BY LICENSEE	321_27_Well_test_report_PL_046_FMT_DST_NO_1C_2_3_and_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_27_Well_test_report_PL_046_FMT_DST_NO_1C_2_3_and_4.pdf	pdf	5541.000000	321	9999-12-31	2013-05-08	459
15/8-1	REPORTED BY LICENSEE	321_28_Biostratigraphy_Report_No_2724P_A_Robertson_research_international_limited	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_28_Biostratigraphy_Report_No_2724P_A_Robertson_research_international_limited.pdf	pdf	1694.000000	321	9999-12-31	2013-05-08	460
15/8-1	REPORTED BY LICENSEE	321_29_Evaluation_of_Core_Data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_29_Evaluation_of_Core_Data.pdf	pdf	3941.000000	321	9999-12-31	2013-05-08	461
15/8-1	REPORTED BY LICENSEE	321_30_Corrected_reservoir_fluid_compositions_DST_1C_and_2_PVT_simulations	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/321_30_Corrected_reservoir_fluid_compositions_DST_1C_and_2_PVT_simulations.pdf	pdf	1129.000000	321	9999-12-31	2013-05-08	462
15/9-1	COMPOSITE LOG	322	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/322.pdf	pdf	492.000000	322	9999-12-31	2013-05-08	463
15/9-1	OLD NPD WDSS	322_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/322_01_WDSS_General_Information.pdf	pdf	251.000000	322	9999-12-31	2013-05-08	464
15/9-1	REPORTED BY LICENSEE	322_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_01_Completion_Report.pdf	pdf	25676.000000	322	9999-12-31	2013-05-08	465
15/9-1	REPORTED BY LICENSEE	322_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_02_Completion_log.pdf	pdf	2286.000000	322	9999-12-31	2013-05-08	466
15/9-1	REPORTED BY LICENSEE	322_03_ Analysis_of_complex_lithology	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_03_ Analysis_of_complex_lithology.pdf	pdf	11614.000000	322	9999-12-31	2013-05-08	467
15/9-1	REPORTED BY LICENSEE	322_04_ Biostratigraphic_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_04_ Biostratigraphic_report.pdf	pdf	2303.000000	322	9999-12-31	2013-05-08	468
15/9-1	REPORTED BY LICENSEE	322_05_Biostratigraphy_300-3755	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_05_Biostratigraphy_300-3755.pdf	pdf	3104.000000	322	9999-12-31	2013-05-08	469
15/9-1	REPORTED BY LICENSEE	322_06_Biostratigraphy_of_core_chip_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_06_Biostratigraphy_of_core_chip_samples.pdf	pdf	6711.000000	322	9999-12-31	2013-05-08	470
15/9-1	REPORTED BY LICENSEE	322_07_Capillary_pressure_curves	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_07_Capillary_pressure_curves.pdf	pdf	3049.000000	322	9999-12-31	2013-05-08	471
15/9-1	REPORTED BY LICENSEE	322_08_Composition_and_reservoir_quality_of_jurassic_dogger	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_08_Composition_and_reservoir_quality_of_jurassic_dogger.pdf	pdf	17538.000000	322	9999-12-31	2013-05-08	472
15/9-1	REPORTED BY LICENSEE	322_09_Core_1-9	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_09_Core_1-9.pdf	pdf	4882.000000	322	9999-12-31	2013-05-08	473
15/9-1	REPORTED BY LICENSEE	322_10_Core_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_10_Core_report.pdf	pdf	1374.000000	322	9999-12-31	2013-05-08	474
15/9-1	REPORTED BY LICENSEE	322_11_Description_of_shows_core_ 8_9	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_11_Description_of_shows_core_ 8_9.pdf	pdf	307.000000	322	9999-12-31	2013-05-08	475
15/9-1	REPORTED BY LICENSEE	322_12_Elementananalyse_på_karbonatsementerte_lag	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_12_Elementananalyse_på_karbonatsementerte_lag.pdf	pdf	445.000000	322	9999-12-31	2013-05-08	476
15/9-1	REPORTED BY LICENSEE	322_13_Formation_factor_tests_Statoil_petrophysics_lap.	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_13_Formation_factor_tests_Statoil_petrophysics_lap..pdf	pdf	3036.000000	322	9999-12-31	2013-05-08	477
15/9-1	REPORTED BY LICENSEE	322_14_Geochemical_analysis_of_additional_core_extracts	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_14_Geochemical_analysis_of_additional_core_extracts.pdf	pdf	7271.000000	322	9999-12-31	2013-05-08	478
15/9-1	REPORTED BY LICENSEE	322_15_Geochemical_analysis_of_core_&_oil_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_15_Geochemical_analysis_of_core_&_oil_samples.pdf	pdf	8941.000000	322	9999-12-31	2013-05-08	479
15/9-1	REPORTED BY LICENSEE	322_16_Hydrocarbon_report_DST_1_Subface_oil_DST_2_surfaces	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_16_Hydrocarbon_report_DST_1_Subface_oil_DST_2_surfaces.pdf	pdf	1655.000000	322	9999-12-31	2013-05-08	480
15/9-1	REPORTED BY LICENSEE	322_17_Oil_to_rock_correlation_caried_out_on_samples_of_oil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_17_Oil_to_rock_correlation_caried_out_on_samples_of_oil.pdf	pdf	1804.000000	322	9999-12-31	2013-05-08	481
15/9-1	REPORTED BY LICENSEE	322_18_Paleontological_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_18_Paleontological_study.pdf	pdf	491.000000	322	9999-12-31	2013-05-08	482
15/9-1	REPORTED BY LICENSEE	322_19_Palynologi_3350-3732m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_19_Palynologi_3350-3732m.pdf	pdf	325.000000	322	9999-12-31	2013-05-08	483
15/9-1	REPORTED BY LICENSEE	322_20_Petrophysical_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_20_Petrophysical_evaluation.pdf	pdf	11119.000000	322	9999-12-31	2013-05-08	484
15/9-1	REPORTED BY LICENSEE	322_21_Preesure_build_up_applied_on_RFT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_21_Preesure_build_up_applied_on_RFT.pdf	pdf	4821.000000	322	9999-12-31	2013-05-08	485
15/9-1	REPORTED BY LICENSEE	322_22_PVT-simulation_&_fluid_data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_22_PVT-simulation_&_fluid_data.pdf	pdf	939.000000	322	9999-12-31	2013-05-08	486
15/9-1	REPORTED BY LICENSEE	322_23_Rapport_PVT-simulering	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_23_Rapport_PVT-simulering.pdf	pdf	1282.000000	322	9999-12-31	2013-05-08	487
15/9-1	REPORTED BY LICENSEE	322_24_Reservoir_fluid_study_DST_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_24_Reservoir_fluid_study_DST_1.pdf	pdf	2760.000000	322	9999-12-31	2013-05-08	488
15/9-1	REPORTED BY LICENSEE	322_25_Reservoir_fluid_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_25_Reservoir_fluid_study.pdf	pdf	2138.000000	322	9999-12-31	2013-05-08	489
15/9-1	REPORTED BY LICENSEE	322_26_Source_rock_crude_oil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_26_Source_rock_crude_oil.pdf	pdf	1079.000000	322	9999-12-31	2013-05-08	490
15/9-1	REPORTED BY LICENSEE	322_27_Source_rock_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_27_Source_rock_evaluation.pdf	pdf	3275.000000	322	9999-12-31	2013-05-08	491
15/9-1	REPORTED BY LICENSEE	322_28_Abnormal_pressure_prediction_by_use_of_well_logs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/322_28_Abnormal_pressure_prediction_by_use_of_well_logs.pdf	pdf	2030.000000	322	9999-12-31	2013-05-08	492
15/9-10	COMPOSITE LOG	69	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/69.pdf	pdf	527.000000	69	9999-12-31	2013-05-08	493
15/9-10	OLD NPD WDSS	69_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/69_01_WDSS_General_Information.pdf	pdf	98.000000	69	9999-12-31	2013-05-08	494
15/9-10	OLD NPD WDSS	69_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/69_02_WDSS_completion_log.pdf	pdf	253.000000	69	9999-12-31	2013-05-08	495
15/9-10	REPORTED BY LICENSEE	69_01_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/69_01_Completion_report.pdf	pdf	16167.000000	69	9999-12-31	2013-05-08	496
15/9-10	REPORTED BY LICENSEE	69_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/69_02_Completion_log.pdf	pdf	1856.000000	69	9999-12-31	2013-05-08	497
15/9-10	REPORTED BY LICENSEE	69_02_General_information	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/69_02_General_information.pdf	pdf	112.000000	69	9999-12-31	2013-05-08	498
15/9-10	REPORTED BY LICENSEE	69_03_General_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/69_03_General_report.pdf	pdf	3581.000000	69	9999-12-31	2013-05-08	499
15/9-10	REPORTED BY LICENSEE	69_04_Marine_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/69_04_Marine_report.pdf	pdf	154.000000	69	9999-12-31	2013-05-08	500
15/9-10	REPORTED BY LICENSEE	69_05_Formation_integrity_test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/69_05_Formation_integrity_test.pdf	pdf	3893.000000	69	9999-12-31	2013-05-08	501
15/9-10	REPORTED BY LICENSEE	69_06_Core_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/69_06_Core_report.pdf	pdf	286.000000	69	9999-12-31	2013-05-08	502
15/9-10	REPORTED BY LICENSEE	69_07_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/69_07_Biostratigraphy.pdf	pdf	2429.000000	69	9999-12-31	2013-05-08	503
15/9-10	REPORTED BY LICENSEE	69_08_Pressure_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/69_08_Pressure_summary.pdf	pdf	180.000000	69	9999-12-31	2013-05-08	504
15/9-11	COMPOSITE LOG	329	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/329.pdf	pdf	561.000000	329	2013-01-22	2013-05-08	505
15/9-11	GEOCHEMICAL INFORMATION	329_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/329_1.pdf	pdf	1525.000000	329	9999-12-31	2013-05-08	506
15/9-11	GEOCHEMICAL INFORMATION	329_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/329_2.pdf	pdf	278.000000	329	9999-12-31	2013-05-08	507
15/9-11	GEOCHEMICAL INFORMATION	329_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/329_3.pdf	pdf	478.000000	329	9999-12-31	2013-05-08	508
15/9-11	GEOCHEMICAL INFORMATION	329_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/329_4.pdf	pdf	4923.000000	329	9999-12-31	2013-05-08	509
15/9-11	OLD NPD WDSS	329_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/329_01_WDSS_General_Information.pdf	pdf	103.000000	329	9999-12-31	2013-05-08	510
15/9-11	OLD NPD WDSS	329_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/329_02_WDSS_completion_log.pdf	pdf	224.000000	329	9999-12-31	2013-05-08	511
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Biostrat_of_int.2000-2946m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Biostrat_of_int.2000-2946m.pdf	pdf	17698.000000	329	9999-12-31	2013-05-08	512
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Completion_Log.pdf	pdf	1582.000000	329	9999-12-31	2013-05-08	513
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Completion_Report.pdf	pdf	11130.000000	329	9999-12-31	2013-05-08	514
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Conventional_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Conventional_Core_Analysis.pdf	pdf	1957.000000	329	9999-12-31	2013-05-08	515
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Core_photo_core_1-11	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Core_photo_core_1-11.pdf	pdf	8288.000000	329	9999-12-31	2013-05-08	516
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Drilling_fluid_proposal	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Drilling_fluid_proposal.pdf	pdf	637.000000	329	9999-12-31	2013-05-08	517
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_End_of_well_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_End_of_well_report.pdf	pdf	27834.000000	329	9999-12-31	2013-05-08	518
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Evaluation_of_core	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Evaluation_of_core.pdf	pdf	1709.000000	329	9999-12-31	2013-05-08	519
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Evaluation_of_core_data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Evaluation_of_core_data.pdf	pdf	946.000000	329	9999-12-31	2013-05-08	520
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Geochemistry_Isotopic_ratios	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Geochemistry_Isotopic_ratios.pdf	pdf	688.000000	329	9999-12-31	2013-05-08	521
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Geochemistry_Report_on_stable_isotopes	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Geochemistry_Report_on_stable_isotopes.pdf	pdf	484.000000	329	9999-12-31	2013-05-08	522
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Geochemistry_Source_rock_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Geochemistry_Source_rock_analysis.pdf	pdf	13772.000000	329	9999-12-31	2013-05-08	523
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Geolog_ progn_and_drilling_progrl	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Geolog_ progn_and_drilling_progrl.pdf	pdf	3202.000000	329	9999-12-31	2013-05-08	524
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Geolog_progn_and_drilling_program_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Geolog_progn_and_drilling_program_encl_01.pdf	pdf	182.000000	329	9999-12-31	2013-05-08	525
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Geolog_progn_and_drilling_program_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Geolog_progn_and_drilling_program_encl_02.pdf	pdf	790.000000	329	9999-12-31	2013-05-08	526
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_High_acc.pressure.temp.meas_DST2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_High_acc.pressure.temp.meas_DST2.pdf	pdf	2132.000000	329	9999-12-31	2013-05-08	527
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_High_acc.pressure.temp.meas_DST3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_High_acc.pressure.temp.meas_DST3.pdf	pdf	9011.000000	329	9999-12-31	2013-05-08	528
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_High_acc.pressure_temp.meas_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_High_acc.pressure_temp.meas_DST1.pdf	pdf	2241.000000	329	9999-12-31	2013-05-08	529
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Petrophysical_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Petrophysical_evaluation.pdf	pdf	1893.000000	329	9999-12-31	2013-05-08	530
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Pressure_survey_report_DST_2_Run 1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Pressure_survey_report_DST_2_Run 1.pdf	pdf	416.000000	329	9999-12-31	2013-05-08	531
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Production_test_no_1,2_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Production_test_no_1,2_3.pdf	pdf	5696.000000	329	9999-12-31	2013-05-08	532
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Repeat_formation_tester	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Repeat_formation_tester.pdf	pdf	1287.000000	329	9999-12-31	2013-05-08	533
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Rep_on_well_vel.survey_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Rep_on_well_vel.survey_01.pdf	pdf	1444.000000	329	9999-12-31	2013-05-08	534
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Rep_on_well_vel.survey_03	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Rep_on_well_vel.survey_03.pdf	pdf	1411.000000	329	9999-12-31	2013-05-08	535
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Rep_on_well_vel.survey_04	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Rep_on_well_vel.survey_04.pdf	pdf	640.000000	329	9999-12-31	2013-05-08	536
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Rep_on_well_vel.survey_and_cal.vel.log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Rep_on_well_vel.survey_and_cal.vel.log.pdf	pdf	1258.000000	329	9999-12-31	2013-05-08	537
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Reservoir_fluid_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Reservoir_fluid_study.pdf	pdf	1560.000000	329	9999-12-31	2013-05-08	538
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_SCAL_Comments	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_SCAL_Comments.pdf	pdf	287.000000	329	9999-12-31	2013-05-08	539
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Special_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Special_core_analysis.pdf	pdf	2047.000000	329	9999-12-31	2013-05-08	540
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Synthetic_seismogram_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Synthetic_seismogram_report.pdf	pdf	24.000000	329	9999-12-31	2013-05-08	541
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Synthetic_seismogram_report_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Synthetic_seismogram_report_encl_1.pdf	pdf	723.000000	329	9999-12-31	2013-05-08	542
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Synthetic_seismogram_report_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Synthetic_seismogram_report_encl_2.pdf	pdf	1453.000000	329	9999-12-31	2013-05-08	543
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Synthetic_seismogram_report_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Synthetic_seismogram_report_encl_3.pdf	pdf	498.000000	329	9999-12-31	2013-05-08	544
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Synthetic_seismogram_report_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Synthetic_seismogram_report_encl_4.pdf	pdf	461.000000	329	9999-12-31	2013-05-08	545
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Water_analysis_DST-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Water_analysis_DST-2.pdf	pdf	213.000000	329	9999-12-31	2013-05-08	546
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Well_summary_Sediment_petrography	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Well_summary_Sediment_petrography.pdf	pdf	1811.000000	329	9999-12-31	2013-05-08	547
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Well_testing_report_DST_1_2_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Well_testing_report_DST_1_2_3.pdf	pdf	2822.000000	329	9999-12-31	2013-05-08	548
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Well_Test_Report_DST1,2_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Well_Test_Report_DST1,2_3.pdf	pdf	3562.000000	329	9999-12-31	2013-05-08	549
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Well_Test_Report_DST_ 1,2_3_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Well_Test_Report_DST_ 1,2_3_encl_1.pdf	pdf	187.000000	329	9999-12-31	2013-05-08	550
15/9-11	REPORTED BY LICENSEE	329_00_15_9_11_Well_Test_Report_DST_1,2_3_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/329_00_15_9_11_Well_Test_Report_DST_1,2_3_encl_2.pdf	pdf	102.000000	329	9999-12-31	2013-05-08	551
15/9-12	OLD NPD WDSS	330_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/330_01_WDSS_General_Information.pdf	pdf	200.000000	330	9999-12-31	2013-05-08	552
15/9-12	OLD NPD WDSS	330_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/330_02_WDSS_completion_log.pdf	pdf	53.000000	330	9999-12-31	2013-05-08	553
15/9-12 R	OLD NPD WDSS	516_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/516_02_WDSS_completion_log.pdf	pdf	267.000000	516	9999-12-31	2013-05-08	554
15/9-13	OLD NPD WDSS	45_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/45_01_WDSS_General_Information.pdf	pdf	183.000000	45	9999-12-31	2013-05-08	555
15/9-13	OLD NPD WDSS	45_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/45_02_WDSS_completion_log.pdf	pdf	255.000000	45	9999-12-31	2013-05-08	556
15/9-14	OLD NPD WDSS	71_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/71_01_WDSS_General_Information.pdf	pdf	157.000000	71	9999-12-31	2013-05-08	557
15/9-14	OLD NPD WDSS	71_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/71_02_WDSS_completion_log.pdf	pdf	304.000000	71	9999-12-31	2013-05-08	558
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Biostratigraphy.pdf	pdf	19703.000000	71	9999-12-31	2013-05-08	559
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_CompletionReport_and_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_CompletionReport_and_Log.pdf	pdf	21929.000000	71	9999-12-31	2013-05-08	560
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Geolog.progn.and_drilling_progr	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Geolog.progn.and_drilling_progr.pdf	pdf	2638.000000	71	9999-12-31	2013-05-08	561
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Geolog.progn.and_drilling_progr._encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Geolog.progn.and_drilling_progr._encl_1.pdf	pdf	192.000000	71	9999-12-31	2013-05-08	562
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Geolog.progn.and_drilling_progr._encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Geolog.progn.and_drilling_progr._encl_2.pdf	pdf	1043.000000	71	9999-12-31	2013-05-08	563
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Post-well_audit	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Post-well_audit.pdf	pdf	2447.000000	71	9999-12-31	2013-05-08	564
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Synthetic_seismogram_table	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Synthetic_seismogram_table.pdf	pdf	35007.000000	71	9999-12-31	2013-05-08	565
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Synthetic_seismogram_table_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Synthetic_seismogram_table_encl_1.pdf	pdf	553.000000	71	9999-12-31	2013-05-08	566
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Synthetic_seismogram_table_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Synthetic_seismogram_table_encl_2.pdf	pdf	1235.000000	71	9999-12-31	2013-05-08	567
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Synthetic_seismogram_table_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Synthetic_seismogram_table_encl_3.pdf	pdf	1410.000000	71	9999-12-31	2013-05-08	568
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Synthetic_seismogram_table_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Synthetic_seismogram_table_encl_4.pdf	pdf	537.000000	71	9999-12-31	2013-05-08	569
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Synthetic_seismogram_table_encl_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Synthetic_seismogram_table_encl_5.pdf	pdf	358.000000	71	9999-12-31	2013-05-08	570
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Synthetic_seismogram_table_encl_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Synthetic_seismogram_table_encl_6.pdf	pdf	531.000000	71	9999-12-31	2013-05-08	571
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Synthetic_seismogram_table_encl_7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Synthetic_seismogram_table_encl_7.pdf	pdf	549.000000	71	9999-12-31	2013-05-08	572
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Well_completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Well_completion_report.pdf	pdf	986.000000	71	9999-12-31	2013-05-08	573
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Well_completion_report_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Well_completion_report_encl_1.pdf	pdf	4283.000000	71	9999-12-31	2013-05-08	574
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Well_completion_report_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Well_completion_report_encl_2.pdf	pdf	895.000000	71	9999-12-31	2013-05-08	575
15/9-14	REPORTED BY LICENSEE	71_01_15_9_14_Well_completion_report_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_15_9_14_Well_completion_report_encl_3.pdf	pdf	905.000000	71	9999-12-31	2013-05-08	576
15/9-14	REPORTED BY LICENSEE	71_01_Core_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_01_Core_report.pdf	pdf	100.000000	71	9999-12-31	2013-05-08	577
15/9-14	REPORTED BY LICENSEE	71_02_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/71_02_Biostratigraphy.pdf	pdf	2623.000000	71	9999-12-31	2013-05-08	578
15/9-15	OLD NPD WDSS	74_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/74_01_WDSS_General_Information.pdf	pdf	183.000000	74	9999-12-31	2013-05-08	579
15/9-15	OLD NPD WDSS	74_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/74_02_WDSS_completion_log.pdf	pdf	253.000000	74	9999-12-31	2013-05-08	580
15/9-15	REPORTED BY LICENSEE	74_01_Convential_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/74_01_Convential_core_analysis.pdf	pdf	389.000000	74	9999-12-31	2013-05-08	581
15/9-15	REPORTED BY LICENSEE	74_02_Well_test_report_RFT_DST_1_and_DST_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/74_02_Well_test_report_RFT_DST_1_and_DST_2.pdf	pdf	5348.000000	74	9999-12-31	2013-05-08	582
15/9-15	REPORTED BY LICENSEE	74_03_Composotional_analysis_on_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/74_03_Composotional_analysis_on_samples.pdf	pdf	1037.000000	74	9999-12-31	2013-05-08	583
15/9-15	REPORTED BY LICENSEE	74_04_PVT_Study_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/74_04_PVT_Study_report.pdf	pdf	1178.000000	74	9999-12-31	2013-05-08	584
15/9-15	REPORTED BY LICENSEE	74_05_TBP_distillation_of_condensate	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/74_05_TBP_distillation_of_condensate.pdf	pdf	590.000000	74	9999-12-31	2013-05-08	585
15/9-16	OLD NPD WDSS	79_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/79_01_WDSS_General_Information.pdf	pdf	166.000000	79	9999-12-31	2013-05-08	586
15/9-16	OLD NPD WDSS	79_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/79_02_WDSS_completion_log.pdf	pdf	232.000000	79	9999-12-31	2013-05-08	587
15/9-17	OLD NPD WDSS	60_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/60_01_WDSS_General_Information.pdf	pdf	183.000000	60	9999-12-31	2013-05-08	588
15/9-17	OLD NPD WDSS	60_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/60_02_WDSS_completion_log.pdf	pdf	279.000000	60	9999-12-31	2013-05-08	589
15/9-18	GEOCHEMICAL INFORMATION	36_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/36_1.pdf	pdf	1059.000000	36	9999-12-31	2013-05-08	590
15/9-18	GEOCHEMICAL INFORMATION	36_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/36_2.pdf	pdf	742.000000	36	9999-12-31	2013-05-08	591
15/9-18	GEOCHEMICAL INFORMATION	36_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/36_3.pdf	pdf	962.000000	36	9999-12-31	2013-05-08	592
15/9-18	OLD NPD WDSS	36_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/36_01_WDSS_General_Information.pdf	pdf	183.000000	36	9999-12-31	2013-05-08	593
15/9-18	OLD NPD WDSS	36_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/36_02_WDSS_completion_log.pdf	pdf	321.000000	36	9999-12-31	2013-05-08	594
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Analyse_av_mudfiltrat	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Analyse_av_mudfiltrat.pdf	pdf	73.000000	36	9999-12-31	2013-05-08	595
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Analysis_of_HC	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Analysis_of_HC.pdf	pdf	1841.000000	36	9999-12-31	2013-05-08	596
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Biostrat_of_int.2000-3622.5m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Biostrat_of_int.2000-3622.5m.pdf	pdf	20202.000000	36	9999-12-31	2013-05-08	597
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_data.pdf	pdf	1633.000000	36	9999-12-31	2013-05-08	598
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_1.pdf	pdf	711.000000	36	9999-12-31	2013-05-08	599
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_10	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_10.pdf	pdf	515.000000	36	9999-12-31	2013-05-08	600
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_11	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_11.pdf	pdf	530.000000	36	9999-12-31	2013-05-08	601
16/1-7	GEOCHEMICAL INFORMATION	4928_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4928_2.pdf	pdf	529.000000	4928	9999-12-31	2013-05-08	727
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_12	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_12.pdf	pdf	538.000000	36	9999-12-31	2013-05-08	602
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_13	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_13.pdf	pdf	529.000000	36	9999-12-31	2013-05-08	603
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_14	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_14.pdf	pdf	293.000000	36	9999-12-31	2013-05-08	604
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_15	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_15.pdf	pdf	278.000000	36	9999-12-31	2013-05-08	605
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_16	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_16.pdf	pdf	191.000000	36	9999-12-31	2013-05-08	606
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_17	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_17.pdf	pdf	806.000000	36	9999-12-31	2013-05-08	607
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_18	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_18.pdf	pdf	822.000000	36	9999-12-31	2013-05-08	608
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_2.pdf	pdf	1806.000000	36	9999-12-31	2013-05-08	609
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_3.pdf	pdf	2223.000000	36	9999-12-31	2013-05-08	610
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_5.pdf	pdf	2450.000000	36	9999-12-31	2013-05-08	611
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_6.pdf	pdf	798.000000	36	9999-12-31	2013-05-08	612
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_7.pdf	pdf	655.000000	36	9999-12-31	2013-05-08	613
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_8	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_8.pdf	pdf	811.000000	36	9999-12-31	2013-05-08	614
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_9	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_9.pdf	pdf	617.000000	36	9999-12-31	2013-05-08	615
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Comments_to_spec.core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Comments_to_spec.core_analysis.pdf	pdf	193.000000	36	9999-12-31	2013-05-08	616
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Completion_Report_&_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Completion_Report_&_Log.pdf	pdf	30931.000000	36	9999-12-31	2013-05-08	617
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Core_gamma_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Core_gamma_log.pdf	pdf	156.000000	36	9999-12-31	2013-05-08	618
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Final_well_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Final_well_report.pdf	pdf	14869.000000	36	9999-12-31	2013-05-08	619
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Geochem.Analysis_of_6_de-asphalted	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Geochem.Analysis_of_6_de-asphalted.pdf	pdf	2376.000000	36	9999-12-31	2013-05-08	620
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Geochem.Analysis_of_FMT_and_Seal_peel	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Geochem.Analysis_of_FMT_and_Seal_peel.pdf	pdf	2119.000000	36	9999-12-31	2013-05-08	621
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Geological_progn,pressure_pred	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Geological_progn,pressure_pred.pdf	pdf	2169.000000	36	9999-12-31	2013-05-08	622
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Geological_progn,pressure_pred_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Geological_progn,pressure_pred_encl_1.pdf	pdf	185.000000	36	9999-12-31	2013-05-08	623
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Geological_progn,pressure_pred_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Geological_progn,pressure_pred_encl_2.pdf	pdf	918.000000	36	9999-12-31	2013-05-08	624
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Post_well audit	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Post_well audit.pdf	pdf	2514.000000	36	9999-12-31	2013-05-08	625
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Recommended_mud_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Recommended_mud_program.pdf	pdf	845.000000	36	9999-12-31	2013-05-08	626
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Rutine_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Rutine_core_analysis.pdf	pdf	1136.000000	36	9999-12-31	2013-05-08	627
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Shallow gas study_by Statoil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Shallow gas study_by Statoil.pdf	pdf	646.000000	36	9999-12-31	2013-05-08	628
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Shallow_gas_study_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Shallow_gas_study_encl_1.pdf	pdf	1709.000000	36	9999-12-31	2013-05-08	629
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Shallow_gas_study_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Shallow_gas_study_encl_2.pdf	pdf	1709.000000	36	9999-12-31	2013-05-08	630
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Shallow_gas_study_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Shallow_gas_study_encl_3.pdf	pdf	1040.000000	36	9999-12-31	2013-05-08	631
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Shallow_gas_study_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Shallow_gas_study_encl_4.pdf	pdf	984.000000	36	9999-12-31	2013-05-08	632
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Shallow_gas_study_encl_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Shallow_gas_study_encl_5.pdf	pdf	1775.000000	36	9999-12-31	2013-05-08	633
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Shallow_gas_study_encl_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Shallow_gas_study_encl_6.pdf	pdf	1627.000000	36	9999-12-31	2013-05-08	634
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Shallow_gas_study_encl_7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Shallow_gas_study_encl_7.pdf	pdf	2337.000000	36	9999-12-31	2013-05-08	635
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Shallow_gas_study_encl_8	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Shallow_gas_study_encl_8.pdf	pdf	1546.000000	36	9999-12-31	2013-05-08	636
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Special_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Special_core_analysis.pdf	pdf	3069.000000	36	9999-12-31	2013-05-08	637
15/9-18	REPORTED BY LICENSEE	36_01_15_9_18_Borehole_geophysical_datal_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/36_01_15_9_18_Borehole_geophysical_datal_encl_4.pdf	pdf	3917.000000	36	2012-10-04	2013-05-08	638
15/9-19 A	GEOCHEMICAL INFORMATION	3145_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3145_1.pdf	pdf	724.000000	3145	9999-12-31	2013-05-08	639
15/9-2	OLD NPD WDSS	323_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/323_01_WDSS_General_Information.pdf	pdf	207.000000	323	9999-12-31	2013-05-08	640
15/9-2	OLD NPD WDSS	323_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/323_03_WDSS_lithlog.pdf	pdf	87.000000	323	9999-12-31	2013-05-08	641
15/9-22	GEOCHEMICAL INFORMATION	5174_01_15_9_22_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5174_01_15_9_22_gch_transfer_1.txt	txt	0.000000	5174	9999-12-31	2013-05-08	642
15/9-22	GEOCHEMICAL INFORMATION	5174_02_15_9_22_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5174_02_15_9_22_gch_results_1.txt	txt	150.000000	5174	9999-12-31	2013-05-08	643
15/9-22	GEOCHEMICAL INFORMATION	5174_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5174_1.pdf	pdf	3774.000000	5174	9999-12-31	2013-05-08	644
15/9-3	OLD NPD WDSS	324_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/324_01_WDSS_General_Information.pdf	pdf	121.000000	324	9999-12-31	2013-05-08	645
15/9-3	OLD NPD WDSS	324_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/324_02_WDSS_completion_log.pdf	pdf	264.000000	324	9999-12-31	2013-05-08	646
15/9-4	OLD NPD WDSS	325_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/325_01_WDSS_General_Information.pdf	pdf	114.000000	325	9999-12-31	2013-05-08	647
15/9-4	OLD NPD WDSS	325_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/325_02_WDSS_completion_log.pdf	pdf	245.000000	325	9999-12-31	2013-05-08	648
15/9-5	OLD NPD WDSS	326_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/326_01_WDSS_General_Information.pdf	pdf	140.000000	326	9999-12-31	2013-05-08	649
15/9-5	OLD NPD WDSS	326_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/326_02_WDSS_completion_log.pdf	pdf	253.000000	326	9999-12-31	2013-05-08	650
15/9-6	OLD NPD WDSS	231_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/231_01_WDSS_General_Information.pdf	pdf	123.000000	231	9999-12-31	2013-05-08	651
15/9-6	OLD NPD WDSS	231_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/231_02_WDSS_completion_log.pdf	pdf	247.000000	231	9999-12-31	2013-05-08	652
15/9-7	OLD NPD WDSS	218_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/218_01_WDSS_General_Information.pdf	pdf	106.000000	218	9999-12-31	2013-05-08	653
15/9-7	OLD NPD WDSS	218_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/218_02_WDSS_completion_log.pdf	pdf	311.000000	218	9999-12-31	2013-05-08	654
15/9-8	OLD NPD WDSS	327_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/327_01_WDSS_General_Information.pdf	pdf	101.000000	327	9999-12-31	2013-05-08	655
15/9-8	OLD NPD WDSS	327_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/327_02_WDSS_completion_log.pdf	pdf	248.000000	327	9999-12-31	2013-05-08	656
15/9-9	OLD NPD WDSS	328_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/328_01_WDSS_General_Information.pdf	pdf	98.000000	328	9999-12-31	2013-05-08	657
15/9-9	OLD NPD WDSS	328_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/328_02_WDSS_completion_log.pdf	pdf	216.000000	328	9999-12-31	2013-05-08	658
16/10-1	COMPOSITE LOG	901	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/901.pdf	pdf	532.000000	901	9999-12-31	2013-05-08	659
16/10-1	GEOCHEMICAL INFORMATION	901_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/901_1.pdf	pdf	4383.000000	901	9999-12-31	2013-05-08	660
16/10-1	OLD NPD WDSS	901_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/901_01_WDSS_General_Information.pdf	pdf	207.000000	901	9999-12-31	2013-05-08	661
16/10-1	OLD NPD WDSS	901_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/901_02_WDSS_completion_log.pdf	pdf	239.000000	901	9999-12-31	2013-05-08	662
16/10-2	COMPOSITE LOG	1767	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1767.pdf	pdf	350.000000	1767	9999-12-31	2013-05-08	663
16/10-2	GEOCHEMICAL INFORMATION	1767_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1767_1.pdf	pdf	2477.000000	1767	9999-12-31	2013-05-08	664
16/10-2	OLD NPD WDSS	1767_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1767_01_WDSS_General_Information.pdf	pdf	495.000000	1767	9999-12-31	2013-05-08	665
16/10-2	OLD NPD WDSS	1767_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1767_02_WDSS_completion_log.pdf	pdf	177.000000	1767	9999-12-31	2013-05-08	666
16/10-3	COMPOSITE LOG	2703	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2703.pdf	pdf	429.000000	2703	9999-12-31	2013-05-08	667
16/10-3	GEOCHEMICAL INFORMATION	2703_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2703_1.pdf	pdf	1925.000000	2703	9999-12-31	2013-05-08	668
16/10-3	GEOCHEMICAL INFORMATION	2703_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2703_2.pdf	pdf	1384.000000	2703	9999-12-31	2013-05-08	669
16/10-4	COMPOSITE LOG	3531	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3531.pdf	pdf	232.000000	3531	9999-12-31	2013-05-08	670
16/10-4	GEOCHEMICAL INFORMATION	3531_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3531_1.pdf	pdf	1143.000000	3531	9999-12-31	2013-05-08	671
16/1-1	COMPOSITE LOG	147	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/147.pdf	pdf	548.000000	147	2013-01-22	2013-05-08	672
16/1-1	GEOCHEMICAL INFORMATION	147_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/147_1.pdf	pdf	1249.000000	147	9999-12-31	2013-05-08	673
16/1-1	GEOCHEMICAL INFORMATION	147_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/147_2.pdf	pdf	1128.000000	147	9999-12-31	2013-05-08	674
16/1-1	NPD PAPER	147_01_NPD_Paper_No.8_Lithology__Well_16_1_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/147_01_NPD_Paper_No.8_Lithology__Well_16_1_1.pdf	pdf	12728.000000	147	9999-12-31	2013-05-08	675
16/1-1	NPD PAPER	147_02_NPD_Paper_No.8_Interpreted_Lithology_log__Well_16_1_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/147_02_NPD_Paper_No.8_Interpreted_Lithology_log__Well_16_1_1.pdf	pdf	89241.000000	147	9999-12-31	2013-05-08	676
16/1-1	OLD NPD WDSS	147_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/147_01_WDSS_General_Information.pdf	pdf	202.000000	147	9999-12-31	2013-05-08	677
16/1-1	REPORTED BY LICENSEE	147_01_16_1_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/147_01_16_1_1_Completion_Report.pdf	pdf	5959.000000	147	9999-12-31	2013-05-08	678
16/1-1	REPORTED BY LICENSEE	147_02_16_1_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/147_02_16_1_1_Completion_log.pdf	pdf	1744.000000	147	9999-12-31	2013-05-08	679
16/1-10	COMPOSITE LOG	5879	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5879.pdf	pdf	284.000000	5879	2013-05-01	2013-05-08	680
16/1-10	GEOCHEMICAL INFORMATION	5879_01_16_1_10_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5879_01_16_1_10_gch_transfer_1.txt	txt	0.000000	5879	2012-11-07	2013-05-08	681
16/1-10	GEOCHEMICAL INFORMATION	5879_02_16_1_10_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5879_02_16_1_10_gch_results_1.txt	txt	599.000000	5879	2012-11-07	2013-05-08	682
16/1-11	GEOCHEMICAL INFORMATION	6157_01_16_1_11_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6157_01_16_1_11_gch_transfer_1.txt	txt	0.000000	6157	2012-08-10	2013-05-08	683
16/1-11	GEOCHEMICAL INFORMATION	6157_02_16_1_11_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6157_02_16_1_11_gch_results_1.txt	txt	11.000000	6157	2012-08-10	2013-05-08	684
16/1-11 A	GEOCHEMICAL INFORMATION	6364_01_16_1_11A_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6364_01_16_1_11A_gch_transfer_1.txt	txt	0.000000	6364	2012-08-10	2013-05-08	685
16/1-11 A	GEOCHEMICAL INFORMATION	6364_02_16_1_11A_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6364_02_16_1_11A_gch_results_1.txt	txt	6.000000	6364	2012-08-10	2013-05-08	686
16/11-1 S	COMPOSITE LOG	112	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/112.pdf	pdf	302.000000	112	9999-12-31	2013-05-08	687
16/11-1 S	GEOCHEMICAL INFORMATION	112_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/112_1.pdf	pdf	34.000000	112	9999-12-31	2013-05-08	688
16/11-1 S	GEOCHEMICAL INFORMATION	112_2_preliminary_results_of_petroleum_geochemical_studies_of_the_phillips_norway_16_11_1_well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/112_2_preliminary_results_of_petroleum_geochemical_studies_of_the_phillips_norway_16_11_1_well.pdf	pdf	803.000000	112	9999-12-31	2013-05-08	689
16/11-1 S	NPD PAPER	112_02_NPD_Paper_No.4_Interpreted_Lithology_log__Well_16_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/112_02_NPD_Paper_No.4_Interpreted_Lithology_log__Well_16_11_1.pdf	pdf	44936.000000	112	9999-12-31	2013-05-08	690
16/11-1 S	NPD PAPER	112_01_NPD_Paper_No.4_Lithology__Well_16_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/112_01_NPD_Paper_No.4_Lithology__Well_16_11_1.pdf	pdf	10680.000000	112	9999-12-31	2013-05-08	691
16/11-1 S	OLD NPD WDSS	112_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/112_01_WDSS_General_Information.pdf	pdf	197.000000	112	9999-12-31	2013-05-08	692
16/11-1 S	REPORTED BY LICENSEE	112_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/112_1_Completion_Report_and_Completion_log.pdf	pdf	30923.000000	112	9999-12-31	2013-05-08	693
16/1-12	COMPOSITE LOG	6166	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/6166.pdf	pdf	414.000000	6166	2013-05-01	2013-05-08	694
16/1-12	GEOCHEMICAL INFORMATION	6166_01_16_1_12_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6166_01_16_1_12_gch_transfer_1.txt	txt	0.000000	6166	2012-11-07	2013-05-08	695
16/1-12	GEOCHEMICAL INFORMATION	6166_02_16_1_12_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6166_02_16_1_12_gch_results_1.txt	txt	218.000000	6166	2012-11-07	2013-05-08	696
16/1-12	GEOCHEMICAL INFORMATION	6166_03_16_1_12_gch_transfer_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6166_03_16_1_12_gch_transfer_2.txt	txt	0.000000	6166	2012-11-07	2013-05-08	697
16/1-12	GEOCHEMICAL INFORMATION	6166_04_16_1_12_gch_results_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6166_04_16_1_12_gch_results_2.txt	txt	91.000000	6166	2012-11-07	2013-05-08	698
16/11-2	COMPOSITE LOG	336	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/336.pdf	pdf	215.000000	336	9999-12-31	2013-05-08	699
16/11-2	GEOCHEMICAL INFORMATION	336_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/336_1.pdf	pdf	311.000000	336	9999-12-31	2013-05-08	700
16/11-2	GEOCHEMICAL INFORMATION	336_2_Source_rock_potential_of_the_16_11_2_well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/336_2_Source_rock_potential_of_the_16_11_2_well.pdf	pdf	4082.000000	336	9999-12-31	2013-05-08	701
16/11-2	OLD NPD WDSS	336_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/336_01_WDSS_General_Information.pdf	pdf	251.000000	336	9999-12-31	2013-05-08	702
16/11-2	REPORTED BY LICENSEE	336_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/336_1_Completion_Report_and_Completion_log.pdf	pdf	10697.000000	336	9999-12-31	2013-05-08	703
16/1-14	GEOCHEMICAL INFORMATION	6399_01_16_1_14_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6399_01_16_1_14_gch_transfer_1.txt	txt	0.000000	6399	2013-03-20	2013-05-08	704
16/1-14	GEOCHEMICAL INFORMATION	6399_02_16_1_14_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6399_02_16_1_14_gch_results_1.txt	txt	552.000000	6399	2013-03-20	2013-05-08	705
16/1-2	COMPOSITE LOG	332	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/332.pdf	pdf	392.000000	332	2013-05-01	2013-05-08	706
16/1-2	GEOCHEMICAL INFORMATION	332_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/332_1.pdf	pdf	1474.000000	332	9999-12-31	2013-05-08	707
16/1-2	OLD NPD WDSS	332_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/332_01_WDSS_General_Information.pdf	pdf	272.000000	332	9999-12-31	2013-05-08	708
16/1-2	REPORTED BY LICENSEE	332_01_16_1_2_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/332_01_16_1_2_Completion_Log.pdf	pdf	1646.000000	332	9999-12-31	2013-05-08	709
16/1-2	REPORTED BY LICENSEE	332_01_16_1_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/332_01_16_1_2_Completion_report.pdf	pdf	3263.000000	332	9999-12-31	2013-05-08	710
16/1-3	COMPOSITE LOG	84	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/84.pdf	pdf	624.000000	84	9999-12-31	2013-05-08	711
16/1-3	GEOCHEMICAL INFORMATION	84_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/84_1.pdf	pdf	3235.000000	84	9999-12-31	2013-05-08	712
16/1-3	OLD NPD WDSS	84_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/84_01_WDSS_General_Information.pdf	pdf	169.000000	84	9999-12-31	2013-05-08	713
16/1-3	OLD NPD WDSS	84_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/84_02_WDSS_completion_log.pdf	pdf	227.000000	84	9999-12-31	2013-05-08	714
16/1-4	COMPOSITE LOG	2072	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2072.pdf	pdf	285.000000	2072	9999-12-31	2013-05-08	715
16/1-4	GEOCHEMICAL INFORMATION	2072_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2072_1.pdf	pdf	1639.000000	2072	9999-12-31	2013-05-08	716
16/1-4	GEOCHEMICAL INFORMATION	2072_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2072_2.pdf	pdf	963.000000	2072	9999-12-31	2013-05-08	717
16/1-5	COMPOSITE LOG	3279	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3279.pdf	pdf	328.000000	3279	9999-12-31	2013-05-08	718
16/1-5	GEOCHEMICAL INFORMATION	3279_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3279_1.pdf	pdf	1718.000000	3279	9999-12-31	2013-05-08	719
16/1-5 A	COMPOSITE LOG	3626	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3626.pdf	pdf	72.000000	3626	9999-12-31	2013-05-08	720
16/1-5 A	GEOCHEMICAL INFORMATION	3626_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3626_1.pdf	pdf	1718.000000	3626	9999-12-31	2013-05-08	721
16/1-6 A	COMPOSITE LOG	4767	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4767.pdf	pdf	184.000000	4767	9999-12-31	2013-05-08	722
16/1-6 S	COMPOSITE LOG	4711	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4711.pdf	pdf	186.000000	4711	9999-12-31	2013-05-08	723
16/1-6 S	GEOCHEMICAL INFORMATION	4711_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4711_1.pdf	pdf	72.000000	4711	9999-12-31	2013-05-08	724
16/1-7	COMPOSITE LOG	4928	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4928.pdf	pdf	468.000000	4928	9999-12-31	2013-05-08	725
16/1-8	COMPOSITE LOG	5612	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5612.pdf	pdf	392.000000	5612	2013-05-01	2013-05-08	728
16/1-9	COMPOSITE LOG	5773	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5773.pdf	pdf	461.000000	5773	2013-05-01	2013-05-08	729
16/1-9	GEOCHEMICAL INFORMATION	5773_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5773_1.pdf	pdf	1192.000000	5773	9999-12-31	2013-05-08	730
16/1-9	GEOCHEMICAL INFORMATION	5773_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5773_2.pdf	pdf	3787.000000	5773	9999-12-31	2013-05-08	731
16/2-1	COMPOSITE LOG	144	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/144.pdf	pdf	270.000000	144	9999-12-31	2013-05-08	732
16/2-1	GEOCHEMICAL INFORMATION	144_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/144_1.pdf	pdf	1255.000000	144	9999-12-31	2013-05-08	733
16/2-1	NPD PAPER	144_01_NPD_Paper_No.3_Lithology__Well_16_2_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/144_01_NPD_Paper_No.3_Lithology__Well_16_2_1.pdf	pdf	11512.000000	144	9999-12-31	2013-05-08	734
16/2-1	NPD PAPER	144_02_NPD_Paper_No.3_Interpreted_Lithology_log__Well_16_2_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/144_02_NPD_Paper_No.3_Interpreted_Lithology_log__Well_16_2_1.pdf	pdf	51084.000000	144	9999-12-31	2013-05-08	735
16/2-1	OLD NPD WDSS	144_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/144_01_WDSS_General_Information.pdf	pdf	184.000000	144	9999-12-31	2013-05-08	736
16/2-2	COMPOSITE LOG	4408	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4408.pdf	pdf	194.000000	4408	9999-12-31	2013-05-08	737
16/2-3	COMPOSITE LOG	5551	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5551.pdf	pdf	240.000000	5551	2013-01-22	2013-05-08	738
16/2-3	GEOCHEMICAL INFORMATION	5551_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5551_1.pdf	pdf	202.000000	5551	9999-12-31	2013-05-08	739
16/2-4	COMPOSITE LOG	5625	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5625.pdf	pdf	391.000000	5625	2013-05-01	2013-05-08	740
16/2-4	GEOCHEMICAL INFORMATION	5625_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5625_1.pdf	pdf	849.000000	5625	9999-12-31	2013-05-08	741
16/2-4	GEOCHEMICAL INFORMATION	5625_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5625_2.pdf	pdf	6669.000000	5625	9999-12-31	2013-05-08	742
16/2-5	COMPOSITE LOG	6042	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/6042.pdf	pdf	475.000000	6042	2013-05-01	2013-05-08	743
16/2-6	GEOCHEMICAL INFORMATION	6374_01_16_2_6_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6374_01_16_2_6_gch_transfer_1.txt	txt	0.000000	6374	2012-10-10	2013-05-08	744
16/2-6	GEOCHEMICAL INFORMATION	6374_02_16_2_6_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6374_02_16_2_6_gch_results_1.txt	txt	285.000000	6374	2012-10-10	2013-05-08	745
16/3-1	COMPOSITE LOG	451	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/451.pdf	pdf	23.000000	451	9999-12-31	2013-05-08	746
16/3-1	OLD NPD WDSS	451_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/451_01_WDSS_General_Information.pdf	pdf	215.000000	451	9999-12-31	2013-05-08	747
16/3-1	REPORTED BY LICENSEE	451_01_16_3_1_Final_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/451_01_16_3_1_Final_Report.pdf	pdf	4171.000000	451	9999-12-31	2013-05-08	748
16/3-1	REPORTED BY LICENSEE	451_02_16_3_1_Mudlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/451_02_16_3_1_Mudlog.pdf	pdf	500.000000	451	9999-12-31	2013-05-08	749
16/3-1	REPORTED BY LICENSEE	451_02_16_3_1_Mud_Contractors_Final_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/451_02_16_3_1_Mud_Contractors_Final_report.pdf	pdf	884.000000	451	9999-12-31	2013-05-08	750
16/3-1	REPORTED BY LICENSEE	451_03_16_3_1_Progress_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/451_03_16_3_1_Progress_Report.pdf	pdf	56.000000	451	9999-12-31	2013-05-08	751
16/3-1	REPORTED BY LICENSEE	451_03_16_3_1_Well_Prognosis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/451_03_16_3_1_Well_Prognosis.pdf	pdf	4360.000000	451	9999-12-31	2013-05-08	752
16/3-2	GEOCHEMICAL INFORMATION	334_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/334_1.pdf	pdf	173.000000	334	9999-12-31	2013-05-08	753
16/3-2	GEOCHEMICAL INFORMATION	334_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/334_2.pdf	pdf	796.000000	334	9999-12-31	2013-05-08	754
16/3-2	OLD NPD WDSS	334_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/334_01_WDSS_General_Information.pdf	pdf	259.000000	334	9999-12-31	2013-05-08	755
16/3-2	REPORTED BY LICENSEE	334_01_16_3_2_Final_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_01_16_3_2_Final_Report.pdf	pdf	3383.000000	334	9999-12-31	2013-05-08	756
16/3-2	REPORTED BY LICENSEE	334_02_16_3_2_Core Report_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_02_16_3_2_Core Report_2.pdf	pdf	126.000000	334	9999-12-31	2013-05-08	757
16/3-2	REPORTED BY LICENSEE	334_02_16_3_2_Core_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_02_16_3_2_Core_Report.pdf	pdf	230.000000	334	9999-12-31	2013-05-08	758
16/3-2	REPORTED BY LICENSEE	334_02_16_3_2_Pressure_Porosity_Program_Core_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_02_16_3_2_Pressure_Porosity_Program_Core_2.pdf	pdf	1015.000000	334	9999-12-31	2013-05-08	759
16/3-2	REPORTED BY LICENSEE	334_02_16_3_2_Sidewall_Core_Description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_02_16_3_2_Sidewall_Core_Description.pdf	pdf	1340.000000	334	9999-12-31	2013-05-08	760
16/3-2	REPORTED BY LICENSEE	334_03_16_3_2_Progress_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_03_16_3_2_Progress_Report.pdf	pdf	1437.000000	334	9999-12-31	2013-05-08	761
16/3-2	REPORTED BY LICENSEE	334_04_16_3_2_Computer_Processed_Drilling_Data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_04_16_3_2_Computer_Processed_Drilling_Data.pdf	pdf	8068.000000	334	9999-12-31	2013-05-08	762
16/3-2	REPORTED BY LICENSEE	334_05_16_3_2_Micropaleontological_Report_Cretaceous_and_Jur	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_05_16_3_2_Micropaleontological_Report_Cretaceous_and_Jur.pdf	pdf	1125.000000	334	9999-12-31	2013-05-08	763
16/3-2	REPORTED BY LICENSEE	334_05_16_3_2_Palynological_report_on_the_Lower_Tertiary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_05_16_3_2_Palynological_report_on_the_Lower_Tertiary.pdf	pdf	1163.000000	334	9999-12-31	2013-05-08	764
16/3-2	REPORTED BY LICENSEE	334_05_16_3_2_Palynological_Report_on_the_Lower_Tertiary_and	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_05_16_3_2_Palynological_Report_on_the_Lower_Tertiary_and.pdf	pdf	499.000000	334	9999-12-31	2013-05-08	765
16/3-2	REPORTED BY LICENSEE	334_05_16_3_2_Sedimentological_Study_of_Jurassic_Deposits	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_05_16_3_2_Sedimentological_Study_of_Jurassic_Deposits.pdf	pdf	597.000000	334	9999-12-31	2013-05-08	766
16/3-2	REPORTED BY LICENSEE	334_05_16_3_2_Sedimentological_Study_of_Tertiary_Deposits	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_05_16_3_2_Sedimentological_Study_of_Tertiary_Deposits.pdf	pdf	863.000000	334	9999-12-31	2013-05-08	767
16/3-2	REPORTED BY LICENSEE	334_05_16_3_2_Source_Rock_Identification_and_Organic_Catagene	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/334_05_16_3_2_Source_Rock_Identification_and_Organic_Catagene.pdf	pdf	1136.000000	334	9999-12-31	2013-05-08	768
16/3-3	COMPOSITE LOG	1415	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1415.pdf	pdf	219.000000	1415	9999-12-31	2013-05-08	769
16/3-3	OLD NPD WDSS	1415_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1415_01_WDSS_General_Information.pdf	pdf	198.000000	1415	9999-12-31	2013-05-08	770
16/3-3	OLD NPD WDSS	1415_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1415_02_WDSS_completion_log.pdf	pdf	113.000000	1415	9999-12-31	2013-05-08	771
16/4-1	COMPOSITE LOG	229	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/229.pdf	pdf	592.000000	229	9999-12-31	2013-05-08	772
16/4-1	GEOCHEMICAL INFORMATION	229_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/229_1.pdf	pdf	617.000000	229	9999-12-31	2013-05-08	773
16/4-1	OLD NPD WDSS	229_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/229_01_WDSS_General_Information.pdf	pdf	222.000000	229	9999-12-31	2013-05-08	774
16/4-1	OLD NPD WDSS	229_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/229_02_WDSS_completion_log.pdf	pdf	279.000000	229	9999-12-31	2013-05-08	775
16/4-2	COMPOSITE LOG	1560	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1560.pdf	pdf	511.000000	1560	9999-12-31	2013-05-08	776
16/4-2	GEOCHEMICAL INFORMATION	1560_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1560_1.pdf	pdf	475.000000	1560	9999-12-31	2013-05-08	777
16/4-2	OLD NPD WDSS	1560_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1560_01_WDSS_General_Information.pdf	pdf	201.000000	1560	9999-12-31	2013-05-08	778
16/4-2	OLD NPD WDSS	1560_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1560_02_WDSS_completion_log.pdf	pdf	201.000000	1560	9999-12-31	2013-05-08	779
16/4-3	COMPOSITE LOG	4194	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4194.pdf	pdf	327.000000	4194	9999-12-31	2013-05-08	780
16/4-3	GEOCHEMICAL INFORMATION	4194_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4194_1.pdf	pdf	856.000000	4194	9999-12-31	2013-05-08	781
16/4-4	COMPOSITE LOG	5441	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5441.pdf	pdf	288.000000	5441	2013-01-22	2013-05-08	782
16/4-5	GEOCHEMICAL INFORMATION	6216_01_16_4_5_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6216_01_16_4_5_gch_transfer_1.txt	txt	0.000000	6216	9999-12-31	2013-05-08	783
16/4-5	GEOCHEMICAL INFORMATION	6216_02_16_4_5_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6216_02_16_4_5_gch_results_1.txt	txt	248.000000	6216	9999-12-31	2013-05-08	784
16/5-1	COMPOSITE LOG	189	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/189.pdf	pdf	164.000000	189	9999-12-31	2013-05-08	785
16/5-1	GEOCHEMICAL INFORMATION	189_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/189_1.pdf	pdf	15.000000	189	9999-12-31	2013-05-08	786
16/5-1	GEOCHEMICAL INFORMATION	189_2_Etude_stratigraphique_geochemique_et_sedimentologique_16_5_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/189_2_Etude_stratigraphique_geochemique_et_sedimentologique_16_5_1.pdf	pdf	94119.000000	189	9999-12-31	2013-05-08	787
16/5-1	OLD NPD WDSS	189_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/189_01_WDSS_General_Information.pdf	pdf	153.000000	189	9999-12-31	2013-05-08	788
16/5-1	REPORTED BY LICENSEE	189_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/189_1_Completion_Report.pdf	pdf	5019.000000	189	9999-12-31	2013-05-08	789
16/6-1	COMPOSITE LOG	148	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/148.pdf	pdf	190.000000	148	9999-12-31	2013-05-08	790
16/6-1	GEOCHEMICAL INFORMATION	148_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/148_1.pdf	pdf	14.000000	148	9999-12-31	2013-05-08	791
16/6-1	GEOCHEMICAL INFORMATION	148_2_Preliminary_results_of_geochemical_studies_of_well_16_6_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/148_2_Preliminary_results_of_geochemical_studies_of_well_16_6_1.pdf	pdf	256.000000	148	9999-12-31	2013-05-08	792
16/6-1	NPD PAPER	148_01_NPD_Paper_No.9_Lithology__Well_16_6_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/148_01_NPD_Paper_No.9_Lithology__Well_16_6_1.pdf	pdf	10675.000000	148	9999-12-31	2013-05-08	793
16/6-1	NPD PAPER	148_02_NPD_Paper_No.9_Interpreted_Lithology_log__Well_16_6_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/148_02_NPD_Paper_No.9_Interpreted_Lithology_log__Well_16_6_1.pdf	pdf	33303.000000	148	9999-12-31	2013-05-08	794
16/6-1	OLD NPD WDSS	148_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/148_01_WDSS_General_Information.pdf	pdf	194.000000	148	9999-12-31	2013-05-08	795
16/6-1	REPORTED BY LICENSEE	148_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/148_1_Completion_Report.pdf	pdf	927.000000	148	9999-12-31	2013-05-08	796
16/7-1	COMPOSITE LOG	146	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/146.pdf	pdf	280.000000	146	9999-12-31	2013-05-08	797
16/7-1	GEOCHEMICAL INFORMATION	146_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/146_1.pdf	pdf	25.000000	146	9999-12-31	2013-05-08	798
16/7-1	GEOCHEMICAL INFORMATION	146_2_Geochemical_analyses_of_canned_cuttings_samples_from_the_16_7_1_well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/146_2_Geochemical_analyses_of_canned_cuttings_samples_from_the_16_7_1_well.pdf	pdf	9006.000000	146	9999-12-31	2013-05-08	799
16/7-1	NPD PAPER	146_01_NPD_Paper_No.6_Lithology__Well_16_7_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/146_01_NPD_Paper_No.6_Lithology__Well_16_7_1.pdf	pdf	11367.000000	146	9999-12-31	2013-05-08	800
16/7-1	NPD PAPER	146_02_NPD_Paper_No.6_Interpreted_Lithology_log__Well_16_7_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/146_02_NPD_Paper_No.6_Interpreted_Lithology_log__Well_16_7_1.pdf	pdf	46636.000000	146	9999-12-31	2013-05-08	801
16/7-1	OLD NPD WDSS	146_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/146_01_WDSS_General_Information.pdf	pdf	201.000000	146	9999-12-31	2013-05-08	802
16/7-1	REPORTED BY LICENSEE	146_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/146_1_Completion_Report_and_Completion_log.pdf	pdf	4233.000000	146	9999-12-31	2013-05-08	803
16/7-10	REPORTED BY LICENSEE	6607_16_7_10_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6607_16_7_10_Completion_log.PDF	PDF	1406.000000	6607	2012-11-07	2013-05-08	804
16/7-10	REPORTED BY LICENSEE	6607_16_7_10_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6607_16_7_10_Completion_report.PDF	PDF	13977.000000	6607	2012-11-07	2013-05-08	805
16/7-10	REPORTED BY LICENSEE	6607_16_7_10_Discovery_Evaluation_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6607_16_7_10_Discovery_Evaluation_Report.PDF	PDF	7207.000000	6607	2012-11-07	2013-05-08	806
16/7-2	COMPOSITE LOG	40	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/40.pdf	pdf	523.000000	40	9999-12-31	2013-05-08	807
16/7-2	GEOCHEMICAL INFORMATION	40_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/40_1.pdf	pdf	1215.000000	40	9999-12-31	2013-05-08	808
16/7-2	GEOCHEMICAL INFORMATION	40_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/40_2.pdf	pdf	1821.000000	40	9999-12-31	2013-05-08	809
16/7-2	GEOCHEMICAL INFORMATION	40_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/40_3.pdf	pdf	72.000000	40	2012-12-21	2013-05-08	810
16/7-2	OLD NPD WDSS	40_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/40_01_WDSS_General_Information.pdf	pdf	170.000000	40	9999-12-31	2013-05-08	811
16/7-2	OLD NPD WDSS	40_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/40_02_WDSS_completion_log.pdf	pdf	231.000000	40	9999-12-31	2013-05-08	812
16/7-2	REPORTED BY LICENSEE	40_01_16_7_2_Completion_Report_Geological	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/40_01_16_7_2_Completion_Report_Geological.pdf	pdf	16158.000000	40	9999-12-31	2013-05-08	813
16/7-2	REPORTED BY LICENSEE	40_02_16_7_2_Final_Well_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/40_02_16_7_2_Final_Well_Report.pdf	pdf	58177.000000	40	9999-12-31	2013-05-08	814
16/7-2	REPORTED BY LICENSEE	40_03_16_7_2_Well_Completion_Report_Gearhart	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/40_03_16_7_2_Well_Completion_Report_Gearhart.pdf	pdf	47566.000000	40	9999-12-31	2013-05-08	815
16/7-2	REPORTED BY LICENSEE	40_04_16_7_2_Drilling_And_Evaluation_Program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/40_04_16_7_2_Drilling_And_Evaluation_Program.pdf	pdf	7433.000000	40	9999-12-31	2013-05-08	816
16/7-2	REPORTED BY LICENSEE	40_05_16_7_2_Hydrocarbon_Source_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/40_05_16_7_2_Hydrocarbon_Source_Analysis.pdf	pdf	5599.000000	40	9999-12-31	2013-05-08	817
16/7-2	REPORTED BY LICENSEE	40_06_16_7_2_Paleontological_And_Geochemical	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/40_06_16_7_2_Paleontological_And_Geochemical.pdf	pdf	3360.000000	40	9999-12-31	2013-05-08	818
16/7-2	REPORTED BY LICENSEE	40_07_16_7_2_Well_Core_1-4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/40_07_16_7_2_Well_Core_1-4.pdf	pdf	814.000000	40	9999-12-31	2013-05-08	819
16/7-3	COMPOSITE LOG	75	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/75.pdf	pdf	393.000000	75	9999-12-31	2013-05-08	820
16/7-3	GEOCHEMICAL INFORMATION	75_1_hydrocarbon_source_analyses_well_16_7_3_norway	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/75_1_hydrocarbon_source_analyses_well_16_7_3_norway.pdf	pdf	2308.000000	75	9999-12-31	2013-05-08	821
16/7-3	OLD NPD WDSS	75_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/75_01_WDSS_General_Information.pdf	pdf	151.000000	75	9999-12-31	2013-05-08	822
16/7-3	OLD NPD WDSS	75_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/75_02_WDSS_completion_log.pdf	pdf	227.000000	75	9999-12-31	2013-05-08	823
16/7-3	REPORTED BY LICENSEE	75_1_hydrocarbon_source_analyses_well_16_7_3_norway	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/75_1_hydrocarbon_source_analyses_well_16_7_3_norway.pdf	pdf	2308.000000	75	9999-12-31	2013-05-08	824
16/7-4	GEOCHEMICAL INFORMATION	91_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/91_1.pdf	pdf	131.000000	91	9999-12-31	2013-05-08	825
16/7-4	GEOCHEMICAL INFORMATION	91_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/91_2.pdf	pdf	447.000000	91	9999-12-31	2013-05-08	826
16/7-4	GEOCHEMICAL INFORMATION	91_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/91_3.pdf	pdf	1656.000000	91	9999-12-31	2013-05-08	827
16/7-4	GEOCHEMICAL INFORMATION	91_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/91_4.pdf	pdf	141.000000	91	9999-12-31	2013-05-08	828
16/7-4	OLD NPD WDSS	91_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/91_01_WDSS_General_Information.pdf	pdf	169.000000	91	9999-12-31	2013-05-08	829
16/7-4	OLD NPD WDSS	91_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/91_02_WDSS_completion_log.pdf	pdf	214.000000	91	9999-12-31	2013-05-08	830
16/7-4	REPORTED BY LICENSEE	91_01_16_7_4_Final_Well_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_01_16_7_4_Final_Well_Report.pdf	pdf	47468.000000	91	9999-12-31	2013-05-08	831
16/7-4	REPORTED BY LICENSEE	91_01_16_7_4_Geological_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_01_16_7_4_Geological_Completion_Report_and_Completion_log.pdf	pdf	8636.000000	91	9999-12-31	2013-05-08	832
16/7-4	REPORTED BY LICENSEE	91_02_16_7_4_Drilling_And_Evaluation_Program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_02_16_7_4_Drilling_And_Evaluation_Program.pdf	pdf	5728.000000	91	9999-12-31	2013-05-08	833
16/7-4	REPORTED BY LICENSEE	91_02_16_7_4_End_of_well_Report_Gearhart_Geodata_Services	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_02_16_7_4_End_of_well_Report_Gearhart_Geodata_Services.pdf	pdf	33123.000000	91	9999-12-31	2013-05-08	834
16/7-4	REPORTED BY LICENSEE	91_03_16_7_4_Geochemical_Analysis_And_Interpretation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_03_16_7_4_Geochemical_Analysis_And_Interpretation.pdf	pdf	743.000000	91	9999-12-31	2013-05-08	835
16/7-4	REPORTED BY LICENSEE	91_04_16_7_4_Core_measurements	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_04_16_7_4_Core_measurements.pdf	pdf	2186.000000	91	9999-12-31	2013-05-08	836
16/7-4	REPORTED BY LICENSEE	91_04_16_7_4_Hydrocarbon_Source_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_04_16_7_4_Hydrocarbon_Source_Analysis.pdf	pdf	4050.000000	91	9999-12-31	2013-05-08	837
16/7-4	REPORTED BY LICENSEE	91_04_16_7_4_Palentological_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_04_16_7_4_Palentological_Report.pdf	pdf	3159.000000	91	9999-12-31	2013-05-08	838
16/7-4	REPORTED BY LICENSEE	91_05_16_7_4_DST_1_PVT_Study_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_05_16_7_4_DST_1_PVT_Study_Report.pdf	pdf	6100.000000	91	9999-12-31	2013-05-08	839
16/7-4	REPORTED BY LICENSEE	91_05_16_7_4_DST_2_PVT_Study_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_05_16_7_4_DST_2_PVT_Study_Report.pdf	pdf	5902.000000	91	9999-12-31	2013-05-08	840
16/7-4	REPORTED BY LICENSEE	91_05_16_7_4_Pressure_Test_Data_Summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_05_16_7_4_Pressure_Test_Data_Summary.pdf	pdf	8399.000000	91	9999-12-31	2013-05-08	841
16/7-4	REPORTED BY LICENSEE	91_05_16_7_4_Pressure_Test_Data_Summary_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_05_16_7_4_Pressure_Test_Data_Summary_2.pdf	pdf	13033.000000	91	9999-12-31	2013-05-08	842
16/7-4	REPORTED BY LICENSEE	91_05_16_7_4_Results_Of_Drillstem_Tests	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_05_16_7_4_Results_Of_Drillstem_Tests.pdf	pdf	12565.000000	91	9999-12-31	2013-05-08	843
16/7-4	REPORTED BY LICENSEE	91_05_16_7_4_Test_Report_Glomar_Biscay_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/91_05_16_7_4_Test_Report_Glomar_Biscay_2.pdf	pdf	15463.000000	91	9999-12-31	2013-05-08	844
16/7-5	OLD NPD WDSS	134_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/134_01_WDSS_General_Information.pdf	pdf	193.000000	134	9999-12-31	2013-05-08	845
16/7-5	OLD NPD WDSS	134_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/134_02_WDSS_completion_log.pdf	pdf	271.000000	134	9999-12-31	2013-05-08	846
16/7-5	REPORTED BY LICENSEE	134_01_16_7_5_CompletionReport_and_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/134_01_16_7_5_CompletionReport_and_Completionlog.pdf	pdf	16760.000000	134	9999-12-31	2013-05-08	847
16/7-5	REPORTED BY LICENSEE	134_02_16_7_5_Final_Well_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/134_02_16_7_5_Final_Well_Report.pdf	pdf	25171.000000	134	9999-12-31	2013-05-08	848
16/7-5	REPORTED BY LICENSEE	134_03_16_7_5_End_of_Well_report_Gearhart_Geodata_Services	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/134_03_16_7_5_End_of_Well_report_Gearhart_Geodata_Services.pdf	pdf	35392.000000	134	9999-12-31	2013-05-08	849
16/7-5	REPORTED BY LICENSEE	134_04_16_7_5_Hydrocarbon_Source_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/134_04_16_7_5_Hydrocarbon_Source_Analysis.pdf	pdf	4410.000000	134	9999-12-31	2013-05-08	850
2/1-4	GEOCHEMICAL INFORMATION	48_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/48_3.pdf	pdf	1711.000000	48	9999-12-31	2013-05-08	1105
16/7-5	REPORTED BY LICENSEE	134_05_16_7_5_Paleontological_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/134_05_16_7_5_Paleontological_Study.pdf	pdf	11916.000000	134	9999-12-31	2013-05-08	851
16/7-5	REPORTED BY LICENSEE	134_06_16_7_5_Routine_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/134_06_16_7_5_Routine_Core_Analysis.pdf	pdf	468.000000	134	9999-12-31	2013-05-08	852
16/7-7 S	COMPOSITE LOG	3244	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3244.pdf	pdf	515.000000	3244	2013-01-22	2013-05-08	853
16/7-8 S	COMPOSITE LOG	4612	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4612.pdf	pdf	512.000000	4612	2013-05-01	2013-05-08	854
16/7-9	GEOCHEMICAL INFORMATION	6382_01_16_7_9_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6382_01_16_7_9_gch_transfer_1.txt	txt	0.000000	6382	2012-10-10	2013-05-08	855
16/7-9	GEOCHEMICAL INFORMATION	6382_02_16_7_9_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6382_02_16_7_9_gch_results_1.txt	txt	161.000000	6382	2012-10-10	2013-05-08	856
16/8-1	COMPOSITE LOG	335	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/335.pdf	pdf	255.000000	335	9999-12-31	2013-05-08	857
16/8-1	GEOCHEMICAL INFORMATION	335_1_Geochemistry_of_NOCS_well_16_8_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/335_1_Geochemistry_of_NOCS_well_16_8_1.pdf	pdf	115.000000	335	9999-12-31	2013-05-08	858
16/8-1	GEOCHEMICAL INFORMATION	335_2_A_hydrocarbon_source_potentialand_maturation_study_of_the_16_8_1_well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/335_2_A_hydrocarbon_source_potentialand_maturation_study_of_the_16_8_1_well.pdf	pdf	961.000000	335	9999-12-31	2013-05-08	859
16/8-1	GEOCHEMICAL INFORMATION	335_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/335_3.pdf	pdf	434.000000	335	9999-12-31	2013-05-08	860
16/8-1	OLD NPD WDSS	335_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/335_01_WDSS_General_Information.pdf	pdf	261.000000	335	9999-12-31	2013-05-08	861
16/8-1	REPORTED BY LICENSEE	335_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/335_1_Completion_Report_&_Completion_log.pdf	pdf	9709.000000	335	9999-12-31	2013-05-08	862
16/8-1	REPORTED BY LICENSEE	335_2_Final_well_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/335_2_Final_well_Report.pdf	pdf	1574.000000	335	9999-12-31	2013-05-08	863
16/8-1	REPORTED BY LICENSEE	335_3_Drilling_Programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/335_3_Drilling_Programme.pdf	pdf	2930.000000	335	9999-12-31	2013-05-08	864
16/8-1	REPORTED BY LICENSEE	335_4_Hydrocarbon_Source_Potential_and_Maturation_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/335_4_Hydrocarbon_Source_Potential_and_Maturation_Study.pdf	pdf	961.000000	335	9999-12-31	2013-05-08	865
16/8-1	REPORTED BY LICENSEE	335_5_A_hydrocarbon_source_potentialand_maturation_study_of_the_16_8_1_well	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/335_5_A_hydrocarbon_source_potentialand_maturation_study_of_the_16_8_1_well.pdf	pdf	961.000000	335	9999-12-31	2013-05-08	866
16/8-1	REPORTED BY LICENSEE	335_6_Paleontological_Branch	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/335_6_Paleontological_Branch.pdf	pdf	642.000000	335	9999-12-31	2013-05-08	867
16/8-1	REPORTED BY LICENSEE	335_7_Preliminary_Geological_Well_Programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/335_7_Preliminary_Geological_Well_Programme.pdf	pdf	2116.000000	335	9999-12-31	2013-05-08	868
16/8-1	REPORTED BY LICENSEE	335_8_Source_Rock_Summary_Chart	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/335_8_Source_Rock_Summary_Chart.pdf	pdf	72.000000	335	9999-12-31	2013-05-08	869
16/8-2	COMPOSITE LOG	234	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/234.pdf	pdf	314.000000	234	9999-12-31	2013-05-08	870
16/8-2	GEOCHEMICAL INFORMATION	234_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/234_1.pdf	pdf	1603.000000	234	9999-12-31	2013-05-08	871
16/8-2	GEOCHEMICAL INFORMATION	234_2_the_petroleum_geochemistry_of_rock_cuttings_and_sidewall_core_material_from_the_north_sea_norwegian_sectors_well_16_8_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/234_2_the_petroleum_geochemistry_of_rock_cuttings_and_sidewall_core_material_from_the_north_sea_norwegian_sectors_well_16_8_2.pdf	pdf	1138.000000	234	9999-12-31	2013-05-08	872
16/8-2	OLD NPD WDSS	234_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/234_01_WDSS_General_Information.pdf	pdf	112.000000	234	9999-12-31	2013-05-08	873
16/8-2	OLD NPD WDSS	234_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/234_02_WDSS_completion_log.pdf	pdf	230.000000	234	9999-12-31	2013-05-08	874
16/9-1	COMPOSITE LOG	151	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/151.pdf	pdf	403.000000	151	9999-12-31	2013-05-08	875
16/9-1	NPD PAPER	151_01_NPD_Paper_No.11_Lithology__Well_16_9_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/151_01_NPD_Paper_No.11_Lithology__Well_16_9_1.pdf	pdf	11205.000000	151	9999-12-31	2013-05-08	876
16/9-1	NPD PAPER	151_02_NPD_Paper_No.11_Interpreted_Lithology_log__Well_16_9_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/151_02_NPD_Paper_No.11_Interpreted_Lithology_log__Well_16_9_1.pdf	pdf	62640.000000	151	9999-12-31	2013-05-08	877
16/9-1	OLD NPD WDSS	151_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/151_01_WDSS_General_Information.pdf	pdf	203.000000	151	9999-12-31	2013-05-08	878
16/9-1	REPORTED BY LICENSEE	151_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/151_1_Completion_Report_&_Completion_log.pdf	pdf	4186.000000	151	9999-12-31	2013-05-08	879
17/10-1	COMPOSITE LOG	161	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/161.pdf	pdf	645.000000	161	9999-12-31	2013-05-08	880
17/10-1	GEOCHEMICAL INFORMATION	161_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/161_1.pdf	pdf	1114.000000	161	9999-12-31	2013-05-08	881
17/10-1	NPD PAPER	161_01_NPD_Paper_No.21_Lithology__Well_17_10_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/161_01_NPD_Paper_No.21_Lithology__Well_17_10_1.pdf	pdf	11647.000000	161	9999-12-31	2013-05-08	882
17/10-1	NPD PAPER	161_02_NPD_Paper_No.21_Interpreted_Lithology_log__Well_17_10_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/161_02_NPD_Paper_No.21_Interpreted_Lithology_log__Well_17_10_1.pdf	pdf	54738.000000	161	9999-12-31	2013-05-08	883
17/10-1	OLD NPD WDSS	161_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/161_01_WDSS_General_Information.pdf	pdf	202.000000	161	9999-12-31	2013-05-08	884
17/10-1	REPORTED BY LICENSEE	161_01_Resume_of_exploration_well	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/161_01_Resume_of_exploration_well.pdf	pdf	5646.000000	161	9999-12-31	2013-05-08	885
17/10-1	REPORTED BY LICENSEE	161_02_Composite_well_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/161_02_Composite_well_log.pdf	pdf	1453.000000	161	9999-12-31	2013-05-08	886
17/10-1	REPORTED BY LICENSEE	161_02_Source_rock_and_carbonization_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/161_02_Source_rock_and_carbonization_evaluation.pdf	pdf	1090.000000	161	9999-12-31	2013-05-08	887
17/10-1	REPORTED BY LICENSEE	161_03_Palenologi_biostrat	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/161_03_Palenologi_biostrat.pdf	pdf	7720.000000	161	9999-12-31	2013-05-08	888
17/10-1	REPORTED BY LICENSEE	161_04_Drilling_programme_loc	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/161_04_Drilling_programme_loc.pdf	pdf	413.000000	161	9999-12-31	2013-05-08	889
17/10-1	REPORTED BY LICENSEE	161_05_Abandoning_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/161_05_Abandoning_programme.pdf	pdf	110.000000	161	9999-12-31	2013-05-08	890
17/11-1	COMPOSITE LOG	906	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/906.pdf	pdf	494.000000	906	9999-12-31	2013-05-08	891
17/11-1	GEOCHEMICAL INFORMATION	906_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/906_1.pdf	pdf	1278.000000	906	9999-12-31	2013-05-08	892
17/11-1	OLD NPD WDSS	906_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/906_01_WDSS_General_Information.pdf	pdf	206.000000	906	9999-12-31	2013-05-08	893
17/11-1	REPORTED BY LICENSEE	906_01_Exploration_well_resume	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/906_01_Exploration_well_resume.pdf	pdf	8444.000000	906	9999-12-31	2013-05-08	894
17/11-1	REPORTED BY LICENSEE	906_02_Composite_well_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/906_02_Composite_well_log.pdf	pdf	1502.000000	906	9999-12-31	2013-05-08	895
17/11-2	COMPOSITE LOG	338	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/338.pdf	pdf	350.000000	338	9999-12-31	2013-05-08	896
17/11-2	GEOCHEMICAL INFORMATION	338_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/338_1.pdf	pdf	724.000000	338	9999-12-31	2013-05-08	897
17/11-2	OLD NPD WDSS	338_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/338_01_WDSS_General_Information.pdf	pdf	268.000000	338	9999-12-31	2013-05-08	898
17/11-2	REPORTED BY LICENSEE	338_01_Resume_of_exploration_well	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/338_01_Resume_of_exploration_well.pdf	pdf	5373.000000	338	9999-12-31	2013-05-08	899
17/11-2	REPORTED BY LICENSEE	338_02_Composite_well_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/338_02_Composite_well_log.pdf	pdf	1271.000000	338	9999-12-31	2013-05-08	900
17/11-2	REPORTED BY LICENSEE	338_03_Source_rock_and_carbonisation_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/338_03_Source_rock_and_carbonisation_evaluation.pdf	pdf	974.000000	338	9999-12-31	2013-05-08	901
17/11-2	REPORTED BY LICENSEE	338_04_Micropalaeontological_summary_of_norske_shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/338_04_Micropalaeontological_summary_of_norske_shell.pdf	pdf	2005.000000	338	9999-12-31	2013-05-08	902
17/11-2	REPORTED BY LICENSEE	338_05_Drilling_programme_location_17-11-cx_norske_shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/338_05_Drilling_programme_location_17-11-cx_norske_shell.pdf	pdf	1479.000000	338	9999-12-31	2013-05-08	903
17/11-2	REPORTED BY LICENSEE	338_06_Contingency_plan_for_uncontrolled_blowout	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/338_06_Contingency_plan_for_uncontrolled_blowout.pdf	pdf	2122.000000	338	9999-12-31	2013-05-08	904
17/12-1 R	COMPOSITE LOG	514	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/514.pdf	pdf	463.000000	514	9999-12-31	2013-05-08	905
17/12-1 R	GEOCHEMICAL INFORMATION	514_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/514_1.pdf	pdf	281.000000	514	9999-12-31	2013-05-08	906
17/12-1 R	GEOCHEMICAL INFORMATION	514_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/514_2.pdf	pdf	215.000000	514	9999-12-31	2013-05-08	907
17/12-1 R	GEOCHEMICAL INFORMATION	514_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/514_3.pdf	pdf	424.000000	514	9999-12-31	2013-05-08	908
17/12-1 R	GEOCHEMICAL INFORMATION	514_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/514_4.pdf	pdf	289.000000	514	9999-12-31	2013-05-08	909
17/12-1 R	GEOCHEMICAL INFORMATION	514_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/514_5.pdf	pdf	1410.000000	514	9999-12-31	2013-05-08	910
17/12-1 R	GEOCHEMICAL INFORMATION	514_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/514_6.pdf	pdf	1477.000000	514	9999-12-31	2013-05-08	911
17/12-1 R	OLD NPD WDSS	514_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/514_01_WDSS_General_Information.pdf	pdf	242.000000	514	9999-12-31	2013-05-08	912
17/12-2	COMPOSITE LOG	340	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/340.pdf	pdf	240.000000	340	9999-12-31	2013-05-08	913
17/12-2	GEOCHEMICAL INFORMATION	340_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/340_1.pdf	pdf	374.000000	340	9999-12-31	2013-05-08	914
17/12-2	GEOCHEMICAL INFORMATION	340_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/340_2.pdf	pdf	1323.000000	340	9999-12-31	2013-05-08	915
17/12-2	OLD NPD WDSS	340_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/340_01_WDSS_General_Information.pdf	pdf	330.000000	340	9999-12-31	2013-05-08	916
17/12-2	REPORTED BY LICENSEE	340_01_Well_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/340_01_Well_Completion_report.pdf	pdf	4743.000000	340	9999-12-31	2013-05-08	917
17/12-2	REPORTED BY LICENSEE	340_02_Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/340_02_Composite_log.pdf	pdf	1069.000000	340	9999-12-31	2013-05-08	918
17/12-3	COMPOSITE LOG	341	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/341.pdf	pdf	336.000000	341	9999-12-31	2013-05-08	919
17/12-3	GEOCHEMICAL INFORMATION	341_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/341_1.pdf	pdf	950.000000	341	9999-12-31	2013-05-08	920
17/12-3	GEOCHEMICAL INFORMATION	341_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/341_2.pdf	pdf	882.000000	341	9999-12-31	2013-05-08	921
17/12-3	GEOCHEMICAL INFORMATION	341_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/341_3.pdf	pdf	2683.000000	341	9999-12-31	2013-05-08	922
17/12-3	GEOCHEMICAL INFORMATION	341_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/341_4.pdf	pdf	319.000000	341	9999-12-31	2013-05-08	923
17/12-3	GEOCHEMICAL INFORMATION	341_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/341_5.pdf	pdf	1107.000000	341	9999-12-31	2013-05-08	924
17/12-3	OLD NPD WDSS	341_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/341_01_WDSS_General_Information.pdf	pdf	118.000000	341	9999-12-31	2013-05-08	925
17/12-3	OLD NPD WDSS	341_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/341_02_WDSS_completion_log.pdf	pdf	190.000000	341	9999-12-31	2013-05-08	926
17/12-3	REPORTED BY LICENSEE	341_01_Well_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/341_01_Well_summary.pdf	pdf	24742.000000	341	9999-12-31	2013-05-08	927
17/12-3	REPORTED BY LICENSEE	341_02_Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/341_02_Composite_log.pdf	pdf	1656.000000	341	9999-12-31	2013-05-08	928
17/3-1	COMPOSITE LOG	2576	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2576.pdf	pdf	397.000000	2576	9999-12-31	2013-05-08	929
17/3-1	GEOCHEMICAL INFORMATION	2576_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2576_1.pdf	pdf	1218.000000	2576	9999-12-31	2013-05-08	930
17/3-1	GEOCHEMICAL INFORMATION	2576_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2576_2.pdf	pdf	1966.000000	2576	9999-12-31	2013-05-08	931
17/3-1	GEOCHEMICAL INFORMATION	2576_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2576_3.pdf	pdf	1036.000000	2576	9999-12-31	2013-05-08	932
17/4-1	COMPOSITE LOG	153	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/153.pdf	pdf	417.000000	153	9999-12-31	2013-05-08	933
17/4-1	GEOCHEMICAL INFORMATION	153_1_Etyde_geochimique_complementaire_well_17_4_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/153_1_Etyde_geochimique_complementaire_well_17_4_1.PDF	PDF	2182.000000	153	9999-12-31	2013-05-08	934
18/11-1	OLD NPD WDSS	343_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/343_01_WDSS_General_Information.pdf	pdf	250.000000	343	9999-12-31	2013-05-08	976
17/4-1	GEOCHEMICAL INFORMATION	153_2_Rapport_concernant_une_etude_geochimique_17_4_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/153_2_Rapport_concernant_une_etude_geochimique_17_4_1.pdf	pdf	30940.000000	153	9999-12-31	2013-05-08	935
17/4-1	GEOCHEMICAL INFORMATION	153_3_Preliminary_results_of_petroleum_geochemical_studies_of_the_17_4_1 well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/153_3_Preliminary_results_of_petroleum_geochemical_studies_of_the_17_4_1 well.pdf	pdf	1118.000000	153	9999-12-31	2013-05-08	936
17/4-1	GEOCHEMICAL INFORMATION	153_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/153_4.pdf	pdf	395.000000	153	9999-12-31	2013-05-08	937
17/4-1	NPD PAPER	153_01_NPD_Paper_No.14_Lithology__Well_17_4_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/153_01_NPD_Paper_No.14_Lithology__Well_17_4_1.pdf	pdf	17823.000000	153	9999-12-31	2013-05-08	938
17/4-1	NPD PAPER	153_02_NPD_Paper_No.14_Interpreted_Lithology_log__Well_17_4_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/153_02_NPD_Paper_No.14_Interpreted_Lithology_log__Well_17_4_1.pdf	pdf	64579.000000	153	9999-12-31	2013-05-08	939
17/4-1	OLD NPD WDSS	153_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/153_01_WDSS_General_Information.pdf	pdf	201.000000	153	9999-12-31	2013-05-08	940
17/4-1	REPORTED BY LICENSEE	153_10_Survey_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_10_Survey_report.pdf	pdf	1260.000000	153	9999-12-31	2013-05-08	941
17/4-1	REPORTED BY LICENSEE	153_11_Etude_des_mineraux_argileux_et_majeurs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_11_Etude_des_mineraux_argileux_et_majeurs .pdf	pdf	7152.000000	153	9999-12-31	2013-05-08	942
17/4-1	REPORTED BY LICENSEE	153_12_Etude_micropaleontologique_cretace_inferieur-jura	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_12_Etude_micropaleontologique_cretace_inferieur-jura.pdf	pdf	1113.000000	153	9999-12-31	2013-05-08	943
17/4-1	REPORTED BY LICENSEE	153_13_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_13_Completion_Report_&_Completion_log.pdf	pdf	3087.000000	153	9999-12-31	2013-05-08	944
17/4-1	REPORTED BY LICENSEE	153_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_1_Completion_Report_&_Completion_log.pdf	pdf	3087.000000	153	9999-12-31	2013-05-08	945
17/4-1	REPORTED BY LICENSEE	153_2_Drilling_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_2_Drilling_summary.pdf	pdf	351.000000	153	9999-12-31	2013-05-08	946
17/4-1	REPORTED BY LICENSEE	153_3_Bore_card_fiche_stratigraphique	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_3_Bore_card_fiche_stratigraphique.pdf	pdf	805.000000	153	9999-12-31	2013-05-08	947
17/4-1	REPORTED BY LICENSEE	153_4_Preliminary_results_of_petroleum_geochemical_studies	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_4_Preliminary_results_of_petroleum_geochemical_studies.pdf	pdf	1118.000000	153	9999-12-31	2013-05-08	948
17/4-1	REPORTED BY LICENSEE	153_5_Programme_du_fromage	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_5_Programme_du_fromage.pdf	pdf	2767.000000	153	9999-12-31	2013-05-08	949
17/4-1	REPORTED BY LICENSEE	153_6_Rapport_concernant_une_geochemique_complementaire_su	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_6_Rapport_concernant_une_geochemique_complementaire_su.pdf	pdf	30940.000000	153	9999-12-31	2013-05-08	950
17/4-1	REPORTED BY LICENSEE	153_7_Rapport_d_implatation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_7_Rapport_d_implatation.pdf	pdf	39583.000000	153	9999-12-31	2013-05-08	951
17/4-1	REPORTED BY LICENSEE	153_8_Rapport_de_fine_de_sondage	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_8_Rapport_de_fine_de_sondage.pdf	pdf	1107.000000	153	9999-12-31	2013-05-08	952
17/4-1	REPORTED BY LICENSEE	153_9_Resultats_de_analyse_dun_enchantillon	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/153_9_Resultats_de_analyse_dun_enchantillon.pdf	pdf	7350.000000	153	2013-05-08	2013-05-08	953
17/6-1	GEOCHEMICAL INFORMATION	6501_01_17_6_1_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6501_01_17_6_1_gch_transfer_1.txt	txt	0.000000	6501	2012-10-10	2013-05-08	954
17/6-1	GEOCHEMICAL INFORMATION	6501_02_17_6_1_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6501_02_17_6_1_gch_results_1.txt	txt	294.000000	6501	2012-10-10	2013-05-08	955
17/9-1	COMPOSITE LOG	337	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/337.pdf	pdf	423.000000	337	9999-12-31	2013-05-08	956
17/9-1	GEOCHEMICAL INFORMATION	337_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/337_1.pdf	pdf	201.000000	337	9999-12-31	2013-05-08	957
17/9-1	GEOCHEMICAL INFORMATION	337_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/337_2.pdf	pdf	523.000000	337	9999-12-31	2013-05-08	958
17/9-1	OLD NPD WDSS	337_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/337_01_WDSS_General_Information.pdf	pdf	259.000000	337	9999-12-31	2013-05-08	959
17/9-1	REPORTED BY LICENSEE	337_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/337_01_Completion_Report.pdf	pdf	4995.000000	337	9999-12-31	2013-05-08	960
17/9-1	REPORTED BY LICENSEE	337_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/337_02_Completion_log.pdf	pdf	2694.000000	337	9999-12-31	2013-05-08	961
17/9-1 R	GEOCHEMICAL INFORMATION	515_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/515_1.pdf	pdf	224.000000	515	9999-12-31	2013-05-08	962
17/9-1 R	GEOCHEMICAL INFORMATION	515_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/515_2.pdf	pdf	1909.000000	515	9999-12-31	2013-05-08	963
17/9-1 R	GEOCHEMICAL INFORMATION	515_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/515_3.pdf	pdf	4450.000000	515	9999-12-31	2013-05-08	964
17/9-1 R	REPORTED BY LICENSEE	515_01_Completion_report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/515_01_Completion_report_and_Completion_log.pdf	pdf	9910.000000	515	9999-12-31	2013-05-08	965
18/10-1	COMPOSITE LOG	342	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/342.pdf	pdf	431.000000	342	9999-12-31	2013-05-08	966
18/10-1	GEOCHEMICAL INFORMATION	342_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/342_1.pdf	pdf	1381.000000	342	9999-12-31	2013-05-08	967
18/10-1	GEOCHEMICAL INFORMATION	342_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/342_2.pdf	pdf	234.000000	342	9999-12-31	2013-05-08	968
18/10-1	OLD NPD WDSS	342_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/342_01_WDSS_General_Information.pdf	pdf	126.000000	342	9999-12-31	2013-05-08	969
18/10-1	OLD NPD WDSS	342_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/342_02_WDSS_completion_log.pdf	pdf	182.000000	342	9999-12-31	2013-05-08	970
18/10-1	REPORTED BY LICENSEE	342_01_Geological_well_prognosis_and_drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/342_01_Geological_well_prognosis_and_drilling_programme.pdf	pdf	15279.000000	342	9999-12-31	2013-05-08	971
18/10-1	REPORTED BY LICENSEE	342_02_Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/342_02_Composite_log.pdf	pdf	1524.000000	342	9999-12-31	2013-05-08	972
18/11-1	COMPOSITE LOG	343	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/343.pdf	pdf	166.000000	343	9999-12-31	2013-05-08	973
18/11-1	GEOCHEMICAL INFORMATION	343_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/343_1.pdf	pdf	6033.000000	343	9999-12-31	2013-05-08	974
18/11-1	GEOCHEMICAL INFORMATION	343_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/343_2.pdf	pdf	465.000000	343	9999-12-31	2013-05-08	975
18/11-1	REPORTED BY LICENSEE	343_01_Geological_report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/343_01_Geological_report_and_Completion_log.pdf	pdf	3075.000000	343	9999-12-31	2013-05-08	977
18/11-1	REPORTED BY LICENSEE	343_02_Sidewall_cores_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/343_02_Sidewall_cores_description.pdf	pdf	586.000000	343	9999-12-31	2013-05-08	978
18/11-1	REPORTED BY LICENSEE	343_03_Palynological_study_of_the_mesozoic	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/343_03_Palynological_study_of_the_mesozoic.pdf	pdf	2909.000000	343	9999-12-31	2013-05-08	979
2/10-1 S	COMPOSITE LOG	284	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/284.pdf	pdf	467.000000	284	9999-12-31	2013-05-08	980
2/10-1 S	GEOCHEMICAL INFORMATION	284_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/284_1.pdf	pdf	1529.000000	284	9999-12-31	2013-05-08	981
2/10-1 S	OLD NPD WDSS	284_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/284_01_WDSS_General_Information.pdf	pdf	257.000000	284	9999-12-31	2013-05-08	982
2/10-1 S	REPORTED BY LICENSEE	284_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/284_1_Completion_Report_&_Completion_log.pdf	pdf	15704.000000	284	9999-12-31	2013-05-08	983
2/10-2	COMPOSITE LOG	2050	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2050.pdf	pdf	624.000000	2050	9999-12-31	2013-05-08	984
2/10-2	GEOCHEMICAL INFORMATION	2050_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2050_1.pdf	pdf	1726.000000	2050	9999-12-31	2013-05-08	985
2/10-2	GEOCHEMICAL INFORMATION	2050_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2050_2.pdf	pdf	1122.000000	2050	9999-12-31	2013-05-08	986
2/1-1	GEOCHEMICAL INFORMATION	249_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/249_1.pdf	pdf	1182.000000	249	9999-12-31	2013-05-08	987
2/1-1	OLD NPD WDSS	249_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/249_01_WDSS_General_Information.pdf	pdf	236.000000	249	9999-12-31	2013-05-08	988
2/1-1	REPORTED BY LICENSEE	249_2_1_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/249_2_1_1_Completion_log.pdf	pdf	2329.000000	249	9999-12-31	2013-05-08	989
2/1-1	REPORTED BY LICENSEE	249_2_1_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/249_2_1_1_Completion_Report.pdf	pdf	4450.000000	249	9999-12-31	2013-05-08	990
2/1-10	COMPOSITE LOG	1865	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1865.pdf	pdf	608.000000	1865	9999-12-31	2013-05-08	991
2/1-10	OLD NPD WDSS	1865_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1865_01_WDSS_General_Information.pdf	pdf	487.000000	1865	9999-12-31	2013-05-08	992
2/1-10	OLD NPD WDSS	1865_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1865_02_WDSS_completion_log.pdf	pdf	252.000000	1865	9999-12-31	2013-05-08	993
2/11-1	GEOCHEMICAL INFORMATION	168_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/168_1.pdf	pdf	1284.000000	168	9999-12-31	2013-05-08	994
2/11-1	GEOCHEMICAL INFORMATION	168_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/168_2.pdf	pdf	1834.000000	168	9999-12-31	2013-05-08	995
2/11-1	GEOCHEMICAL INFORMATION	168_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/168_3.pdf	pdf	900.000000	168	9999-12-31	2013-05-08	996
2/11-1	GEOCHEMICAL INFORMATION	168_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/168_4.pdf	pdf	978.000000	168	9999-12-31	2013-05-08	997
2/11-1	GEOCHEMICAL INFORMATION	168_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/168_5.pdf	pdf	415.000000	168	9999-12-31	2013-05-08	998
2/11-1	GEOCHEMICAL INFORMATION	168_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/168_6.pdf	pdf	325.000000	168	9999-12-31	2013-05-08	999
2/11-1	GEOCHEMICAL INFORMATION	168_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/168_7.pdf	pdf	132.000000	168	9999-12-31	2013-05-08	1000
2/11-1	GEOCHEMICAL INFORMATION	168_8	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/168_8.pdf	pdf	4956.000000	168	9999-12-31	2013-05-08	1001
2/11-1	NPD PAPER	168_01_NPD_Paper_No.7_Lithology__Well_2_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/168_01_NPD_Paper_No.7_Lithology__Well_2_11_1.pdf	pdf	12729.000000	168	9999-12-31	2013-05-08	1002
2/11-1	NPD PAPER	168_02_NPD_Paper_No.7_Interpreted_Lithology_log__Well_2_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/168_02_NPD_Paper_No.7_Interpreted_Lithology_log__Well_2_11_1.pdf	pdf	74277.000000	168	9999-12-31	2013-05-08	1003
2/11-1	NPD PAPER	168_03_NPD_Paper_No.32_Late_Cretaceous-early_Tertiary_Correlation_chart_Valhall-Hod_Fields_Profile_1__Well_2_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/168_03_NPD_Paper_No.32_Late_Cretaceous-early_Tertiary_Correlation_chart_Valhall-Hod_Fields_Profile_1__Well_2_11_1.pdf	pdf	542.000000	168	9999-12-31	2013-05-08	1004
2/11-1	NPD PAPER	168_04_NPD_Paper_No.32_Late_Jurassic-early_Tertiary_Correlation_chart_Profile_3__Well_2_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/168_04_NPD_Paper_No.32_Late_Jurassic-early_Tertiary_Correlation_chart_Profile_3__Well_2_11_1.pdf	pdf	739.000000	168	9999-12-31	2013-05-08	1005
2/11-1	NPD PAPER	168_05_NPD_Paper_No.32_Stratigraphic_Correlation_chart_Profile_5__Well_2_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/168_05_NPD_Paper_No.32_Stratigraphic_Correlation_chart_Profile_5__Well_2_11_1.pdf	pdf	688.000000	168	9999-12-31	2013-05-08	1006
2/11-1	OLD NPD WDSS	168_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/168_01_WDSS_General_Information.pdf	pdf	187.000000	168	9999-12-31	2013-05-08	1007
2/11-1	REPORTED BY LICENSEE	168_01_2_11_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_01_2_11_1_Completion_Report.pdf	pdf	19276.000000	168	9999-12-31	2013-05-08	1008
2/11-1	REPORTED BY LICENSEE	168_02_2_11_1_Completion_log.1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_02_2_11_1_Completion_log.1.pdf	pdf	3150.000000	168	9999-12-31	2013-05-08	1009
2/11-1	REPORTED BY LICENSEE	168_2_11_1_Biostratigraphic_and_wireline_log_correlation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_2_11_1_Biostratigraphic_and_wireline_log_correlation.pdf	pdf	5523.000000	168	9999-12-31	2013-05-08	1010
2/11-1	REPORTED BY LICENSEE	168_2_11_1_Engineering_and_geological_data_1968	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_2_11_1_Engineering_and_geological_data_1968.pdf	pdf	20448.000000	168	9999-12-31	2013-05-08	1011
2/11-1	REPORTED BY LICENSEE	168_2_11_1_Geochemical analysis of core samples_1983	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_2_11_1_Geochemical analysis of core samples_1983.pdf	pdf	1850.000000	168	9999-12-31	2013-05-08	1012
2/11-1	REPORTED BY LICENSEE	168_2_11_1_Geochemical_analyses_of_an_oil_sample_1979	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_2_11_1_Geochemical_analyses_of_an_oil_sample_1979.pdf	pdf	790.000000	168	9999-12-31	2013-05-08	1013
2/11-1	REPORTED BY LICENSEE	168_2_11_1_Paleontological_age_and_Environmental_Determination_1971	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_2_11_1_Paleontological_age_and_Environmental_Determination_1971.pdf	pdf	3378.000000	168	9999-12-31	2013-05-08	1014
2/11-1	REPORTED BY LICENSEE	168_2_11_1_Preliminary_results_of_biostratigraphic_and_petroleumgeochemical_studies	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_2_11_1_Preliminary_results_of_biostratigraphic_and_petroleumgeochemical_studies.pdf	pdf	1877.000000	168	9999-12-31	2013-05-08	1015
2/11-6 S	REPORTED BY LICENSEE	289_2_11_6_S_PVT_stud_Zone 3685-3706m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/289_2_11_6_S_PVT_stud_Zone 3685-3706m.pdf	pdf	4238.000000	289	2013-03-20	2013-05-08	1057
2/11-1	REPORTED BY LICENSEE	168_2_11_1_Preliminary_results_of_petroleum_geochemical_studies_1978	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_2_11_1_Preliminary_results_of_petroleum_geochemical_studies_1978.pdf	pdf	1467.000000	168	9999-12-31	2013-05-08	1016
2/11-1	REPORTED BY LICENSEE	168_2_11_1_Scanning_Electron_Micropscope_study_1971	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_2_11_1_Scanning_Electron_Micropscope_study_1971.pdf	pdf	115369.000000	168	9999-12-31	2013-05-08	1017
2/11-1	REPORTED BY LICENSEE	168_2_11_1_Source_Rock_Evaluation _1971	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_2_11_1_Source_Rock_Evaluation _1971.pdf	pdf	555.000000	168	9999-12-31	2013-05-08	1018
2/11-1	REPORTED BY LICENSEE	168_2_11_1_Source_Rock_Evaluation_Tertiary_Basin_1971	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/168_2_11_1_Source_Rock_Evaluation_Tertiary_Basin_1971.pdf	pdf	368.000000	168	9999-12-31	2013-05-08	1019
2/11-10 S	COMPOSITE LOG	2297	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2297.pdf	pdf	457.000000	2297	2013-01-22	2013-05-08	1020
2/11-10 S	GEOCHEMICAL INFORMATION	2297_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2297_1.pdf	pdf	281.000000	2297	9999-12-31	2013-05-08	1021
2/11-10 S	GEOCHEMICAL INFORMATION	2297_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2297_2.pdf	pdf	5809.000000	2297	9999-12-31	2013-05-08	1022
2/11-10 S	GEOCHEMICAL INFORMATION	2297_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2297_3.pdf	pdf	5990.000000	2297	9999-12-31	2013-05-08	1023
2/1-12	COMPOSITE LOG	3648	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3648.pdf	pdf	337.000000	3648	9999-12-31	2013-05-08	1024
2/1-12	GEOCHEMICAL INFORMATION	3648_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3648_1.pdf	pdf	1008.000000	3648	9999-12-31	2013-05-08	1025
2/11-2	GEOCHEMICAL INFORMATION	285_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/285_1.pdf	pdf	819.000000	285	2013-03-20	2013-05-08	1026
2/11-2	GEOCHEMICAL INFORMATION	285_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/285_2.pdf	pdf	2535.000000	285	2013-03-20	2013-05-08	1027
2/11-2	OLD NPD WDSS	285_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/285_01_WDSS_General_Information.pdf	pdf	260.000000	285	9999-12-31	2013-05-08	1028
2/11-2	REPORTED BY LICENSEE	285_2_11_2_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/285_2_11_2_Completionlog.pdf	pdf	2340.000000	285	2013-03-20	2013-05-08	1029
2/11-2	REPORTED BY LICENSEE	285_2_11_2_Final_well_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/285_2_11_2_Final_well_report.pdf	pdf	12141.000000	285	2013-03-20	2013-05-08	1030
2/11-3	REPORTED BY LICENSEE	286_2_11_3_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/286_2_11_3_Completionlog.pdf	pdf	2611.000000	286	2013-03-20	2013-05-08	1031
2/11-3	REPORTED BY LICENSEE	286_2_11_3_Final_well_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/286_2_11_3_Final_well_report.pdf	pdf	46033.000000	286	2013-03-20	2013-05-08	1032
2/11-3 A	OLD NPD WDSS	287_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/287_01_WDSS_General_Information.pdf	pdf	247.000000	287	9999-12-31	2013-05-08	1033
2/11-3 A	OLD NPD WDSS	287_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/287_03_WDSS_lithlog.pdf	pdf	52.000000	287	9999-12-31	2013-05-08	1034
2/11-3 A	REPORTED BY LICENSEE	287_2_11_3_A_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/287_2_11_3_A_Completionlog.pdf	pdf	1746.000000	287	2013-03-20	2013-05-08	1035
2/11-4	OLD NPD WDSS	96_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/96_01_WDSS_General_Information.pdf	pdf	209.000000	96	9999-12-31	2013-05-08	1036
2/11-4	OLD NPD WDSS	96_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/96_03_WDSS_lithlog.pdf	pdf	49.000000	96	9999-12-31	2013-05-08	1037
2/11-4	REPORTED BY LICENSEE	96_2_11_4_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/96_2_11_4_Completionlog.pdf	pdf	1949.000000	96	2013-03-20	2013-05-08	1038
2/11-4	REPORTED BY LICENSEE	96_2_11_4_Final_well_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/96_2_11_4_Final_well_report.pdf	pdf	33348.000000	96	2013-03-20	2013-05-08	1039
2/11-5	OLD NPD WDSS	288_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/288_01_WDSS_General_Information.pdf	pdf	101.000000	288	9999-12-31	2013-05-08	1040
2/11-5	OLD NPD WDSS	288_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/288_02_WDSS_completion_log.pdf	pdf	197.000000	288	9999-12-31	2013-05-08	1041
2/11-5	REPORTED BY LICENSEE	288_2_11_5_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/288_2_11_5_Completionlog.pdf	pdf	1948.000000	288	2013-03-20	2013-05-08	1042
2/11-5	REPORTED BY LICENSEE	288_2_11_5_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/288_2_11_5_Completion_report.pdf	pdf	14153.000000	288	2013-03-20	2013-05-08	1043
2/11-5	REPORTED BY LICENSEE	288_2_11_5_Geological_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/288_2_11_5_Geological_summary.pdf	pdf	730.000000	288	2013-03-20	2013-05-08	1044
2/11-6 S	OLD NPD WDSS	289_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/289_01_WDSS_General_Information.pdf	pdf	198.000000	289	9999-12-31	2013-05-08	1045
2/11-6 S	OLD NPD WDSS	289_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/289_02_WDSS_completion_log.pdf	pdf	230.000000	289	9999-12-31	2013-05-08	1046
2/11-6 S	REPORTED BY LICENSEE	289_2_11_6_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/289_2_11_6_Completion_log.pdf	pdf	2394.000000	289	2013-03-20	2013-05-08	1047
2/11-6 S	REPORTED BY LICENSEE	289_2_11_6_S_Biostratigraphy_of_the_Intervals_180m-3970m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/289_2_11_6_S_Biostratigraphy_of_the_Intervals_180m-3970m.pdf	pdf	8999.000000	289	2013-03-20	2013-05-08	1048
2/11-6 S	REPORTED BY LICENSEE	289_2_11_6_S_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/289_2_11_6_S_Completion_report.pdf	pdf	2792.000000	289	2013-03-20	2013-05-08	1049
2/11-6 S	REPORTED BY LICENSEE	289_2_11_6_S_Completion_report_drilling	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/289_2_11_6_S_Completion_report_drilling.pdf	pdf	5360.000000	289	2013-03-20	2013-05-08	1050
2/11-6 S	REPORTED BY LICENSEE	289_2_11_6_S_Core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/289_2_11_6_S_Core_analysis.pdf	pdf	604.000000	289	2013-03-20	2013-05-08	1051
2/11-6 S	REPORTED BY LICENSEE	289_2_11_6_S_Petrographic_and_scanning_electron	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/289_2_11_6_S_Petrographic_and_scanning_electron.pdf	pdf	3165.000000	289	2013-03-20	2013-05-08	1052
2/11-6 S	REPORTED BY LICENSEE	289_2_11_6_S_Petrographic_and_Sheets_for_Interval_3693-3739m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/289_2_11_6_S_Petrographic_and_Sheets_for_Interval_3693-3739m.pdf	pdf	6769.000000	289	2013-03-20	2013-05-08	1053
2/11-6 S	REPORTED BY LICENSEE	289_2_11_6_S_PVT_study_DST1_3875-3900m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/289_2_11_6_S_PVT_study_DST1_3875-3900m.pdf	pdf	2411.000000	289	2013-03-20	2013-05-08	1054
2/11-6 S	REPORTED BY LICENSEE	289_2_11_6_S_PVT_study_DST1_Zone_3875-3900m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/289_2_11_6_S_PVT_study_DST1_Zone_3875-3900m.pdf	pdf	5190.000000	289	2013-03-20	2013-05-08	1055
2/11-6 S	REPORTED BY LICENSEE	289_2_11_6_S_PVT_study_DST2_Zone_3713-3735m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/289_2_11_6_S_PVT_study_DST2_Zone_3713-3735m.pdf	pdf	4178.000000	289	2013-03-20	2013-05-08	1056
2/11-6 SR	REPORTED BY LICENSEE	1668_2_11_6_SR_Well_testing	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1668_2_11_6_SR_Well_testing.pdf	pdf	19789.000000	1668	2013-03-20	2013-05-08	1058
2/11-6 SR	REPORTED BY LICENSEE	1668_2_11_6_SR_Well_test_Interpretation_report_DST-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1668_2_11_6_SR_Well_test_Interpretation_report_DST-1.pdf	pdf	5548.000000	1668	2013-03-20	2013-05-08	1059
2/11-6 SR	REPORTED BY LICENSEE	1668_2_11_6_SR_Well_Test_Interpretation_Report_Dst-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1668_2_11_6_SR_Well_Test_Interpretation_Report_Dst-2.pdf	pdf	4841.000000	1668	2013-03-20	2013-05-08	1060
2/11-7	COMPOSITE LOG	902	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/902.pdf	pdf	722.000000	902	9999-12-31	2013-05-08	1061
2/11-7	GEOCHEMICAL INFORMATION	902_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/902_1.pdf	pdf	4009.000000	902	9999-12-31	2013-05-08	1062
2/11-7	GEOCHEMICAL INFORMATION	902_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/902_2.pdf	pdf	2620.000000	902	9999-12-31	2013-05-08	1063
2/11-7	OLD NPD WDSS	902_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/902_01_WDSS_General_Information.pdf	pdf	242.000000	902	9999-12-31	2013-05-08	1064
2/11-7	OLD NPD WDSS	902_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/902_02_WDSS_completion_log.pdf	pdf	319.000000	902	9999-12-31	2013-05-08	1065
2/11-8	COMPOSITE LOG	1715	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1715.pdf	pdf	549.000000	1715	9999-12-31	2013-05-08	1066
2/11-8	GEOCHEMICAL INFORMATION	1715_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1715_1.pdf	pdf	695.000000	1715	9999-12-31	2013-05-08	1067
2/11-8	OLD NPD WDSS	1715_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1715_01_WDSS_General_Information.pdf	pdf	467.000000	1715	9999-12-31	2013-05-08	1068
2/11-8	OLD NPD WDSS	1715_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1715_02_WDSS_completion_log.pdf	pdf	254.000000	1715	9999-12-31	2013-05-08	1069
2/11-9	COMPOSITE LOG	2153	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2153.pdf	pdf	714.000000	2153	2013-01-22	2013-05-08	1070
2/11-9	GEOCHEMICAL INFORMATION	2153_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2153_1.pdf	pdf	2482.000000	2153	9999-12-31	2013-05-08	1071
2/1-2	COMPOSITE LOG	250	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/250.pdf	pdf	530.000000	250	2013-01-22	2013-05-08	1072
2/1-2	GEOCHEMICAL INFORMATION	250_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/250_1.pdf	pdf	2194.000000	250	9999-12-31	2013-05-08	1073
2/1-2	GEOCHEMICAL INFORMATION	250_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/250_2.pdf	pdf	3769.000000	250	9999-12-31	2013-05-08	1074
2/1-2	OLD NPD WDSS	250_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/250_01_WDSS_General_Information.pdf	pdf	206.000000	250	9999-12-31	2013-05-08	1075
2/1-2	OLD NPD WDSS	250_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/250_03_WDSS_lithlog.pdf	pdf	65.000000	250	9999-12-31	2013-05-08	1076
2/1-2	REPORTED BY LICENSEE	250_01_Completion_Report_and_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/250_01_Completion_Report_and_Completion_Log.pdf	pdf	13558.000000	250	9999-12-31	2013-05-08	1077
2/12-1	GEOCHEMICAL INFORMATION	1014_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1014_1.pdf	pdf	503.000000	1014	9999-12-31	2013-05-08	1078
2/12-1	GEOCHEMICAL INFORMATION	1014_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1014_2.pdf	pdf	2060.000000	1014	9999-12-31	2013-05-08	1079
2/12-1	GEOCHEMICAL INFORMATION	1014_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1014_3.pdf	pdf	415.000000	1014	9999-12-31	2013-05-08	1080
2/12-1	GEOCHEMICAL INFORMATION	1014_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1014_4.pdf	pdf	11893.000000	1014	9999-12-31	2013-05-08	1081
2/12-1	GEOCHEMICAL INFORMATION	1014_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1014_5.pdf	pdf	2475.000000	1014	9999-12-31	2013-05-08	1082
2/12-1	GEOCHEMICAL INFORMATION	1014_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1014_6.pdf	pdf	406.000000	1014	9999-12-31	2013-05-08	1083
2/12-1	OLD NPD WDSS	1014_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1014_01_WDSS_General_Information.pdf	pdf	387.000000	1014	9999-12-31	2013-05-08	1084
2/12-1	OLD NPD WDSS	1014_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1014_02_WDSS_completion_log.pdf	pdf	310.000000	1014	9999-12-31	2013-05-08	1085
2/12-1	REPORTED BY LICENSEE	1014_01_2_12_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1014_01_2_12_1_Completion_report.pdf	pdf	10634.000000	1014	9999-12-31	2013-05-08	1086
2/12-1	REPORTED BY LICENSEE	1014_02_2_12_1_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1014_02_2_12_1_Completion_Log.pdf	pdf	3947.000000	1014	9999-12-31	2013-05-08	1087
2/12-2 S	COMPOSITE LOG	1416	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1416.pdf	pdf	804.000000	1416	2013-05-01	2013-05-08	1088
2/12-2 S	GEOCHEMICAL INFORMATION	1416_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1416_1.pdf	pdf	626.000000	1416	9999-12-31	2013-05-08	1089
2/12-2 S	GEOCHEMICAL INFORMATION	1416_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1416_2.pdf	pdf	219.000000	1416	9999-12-31	2013-05-08	1090
2/12-2 S	OLD NPD WDSS	1416_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1416_01_WDSS_General_Information.pdf	pdf	246.000000	1416	9999-12-31	2013-05-08	1091
2/12-2 S	OLD NPD WDSS	1416_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1416_02_WDSS_completion_log.pdf	pdf	279.000000	1416	9999-12-31	2013-05-08	1092
2/1-3	COMPOSITE LOG	251	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/251.pdf	pdf	714.000000	251	2013-05-01	2013-05-08	1093
2/1-3	GEOCHEMICAL INFORMATION	251_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/251_1.pdf	pdf	170.000000	251	9999-12-31	2013-05-08	1094
2/1-3	GEOCHEMICAL INFORMATION	251_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/251_2.pdf	pdf	1430.000000	251	9999-12-31	2013-05-08	1095
2/1-3	GEOCHEMICAL INFORMATION	251_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/251_3.pdf	pdf	2854.000000	251	9999-12-31	2013-05-08	1096
2/1-3	GEOCHEMICAL INFORMATION	251_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/251_4.pdf	pdf	7438.000000	251	9999-12-31	2013-05-08	1097
2/1-3	OLD NPD WDSS	251_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/251_01_WDSS_General_Information.pdf	pdf	131.000000	251	9999-12-31	2013-05-08	1098
2/1-3	OLD NPD WDSS	251_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/251_02_WDSS_completion_log.pdf	pdf	282.000000	251	9999-12-31	2013-05-08	1099
2/1-3	REPORTED BY LICENSEE	251_2_1_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/251_2_1_3_Completion_log.pdf	pdf	2508.000000	251	9999-12-31	2013-05-08	1100
2/1-3	REPORTED BY LICENSEE	251_2_1_3_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/251_2_1_3_Completion_report.pdf	pdf	7232.000000	251	9999-12-31	2013-05-08	1101
2/1-4	COMPOSITE LOG	48	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/48.pdf	pdf	778.000000	48	2013-05-01	2013-05-08	1102
2/1-4	GEOCHEMICAL INFORMATION	48_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/48_1.pdf	pdf	2251.000000	48	9999-12-31	2013-05-08	1103
2/1-4	GEOCHEMICAL INFORMATION	48_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/48_2.pdf	pdf	729.000000	48	9999-12-31	2013-05-08	1104
2/1-4	GEOCHEMICAL INFORMATION	48_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/48_4.pdf	pdf	318.000000	48	9999-12-31	2013-05-08	1106
2/1-4	GEOCHEMICAL INFORMATION	48_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/48_5.pdf	pdf	271.000000	48	9999-12-31	2013-05-08	1107
2/1-4	GEOCHEMICAL INFORMATION	48_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/48_6.pdf	pdf	166.000000	48	9999-12-31	2013-05-08	1108
2/1-4	OLD NPD WDSS	48_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/48_01_WDSS_General_Information.pdf	pdf	201.000000	48	9999-12-31	2013-05-08	1109
2/1-4	OLD NPD WDSS	48_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/48_02_WDSS_completion_log.pdf	pdf	315.000000	48	9999-12-31	2013-05-08	1110
2/1-4	REPORTED BY LICENSEE	48_2_1_4_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/48_2_1_4_Completion_log.pdf	pdf	3224.000000	48	9999-12-31	2013-05-08	1111
2/1-4	REPORTED BY LICENSEE	48_2_1_4_Drilling_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/48_2_1_4_Drilling_Completion_report.pdf	pdf	17215.000000	48	9999-12-31	2013-05-08	1112
2/1-4	REPORTED BY LICENSEE	48_2_1_4_Geological_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/48_2_1_4_Geological_Completion_report.pdf	pdf	5187.000000	48	9999-12-31	2013-05-08	1113
2/1-5	COMPOSITE LOG	63	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/63.pdf	pdf	769.000000	63	2013-05-01	2013-05-08	1114
2/1-5	GEOCHEMICAL INFORMATION	63_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/63_1.pdf	pdf	1203.000000	63	9999-12-31	2013-05-08	1115
2/1-5	OLD NPD WDSS	63_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/63_01_WDSS_General_Information.pdf	pdf	171.000000	63	9999-12-31	2013-05-08	1116
2/1-5	OLD NPD WDSS	63_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/63_02_WDSS_completion_log.pdf	pdf	419.000000	63	9999-12-31	2013-05-08	1117
2/1-5	REPORTED BY LICENSEE	63_2_1_5_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/63_2_1_5_Completion_Report.pdf	pdf	17091.000000	63	9999-12-31	2013-05-08	1118
2/1-6	COMPOSITE LOG	109	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/109.pdf	pdf	797.000000	109	2013-05-01	2013-05-08	1119
2/1-6	OLD NPD WDSS	109_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/109_01_WDSS_General_Information.pdf	pdf	244.000000	109	9999-12-31	2013-05-08	1120
2/1-6	OLD NPD WDSS	109_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/109_02_WDSS_completion_log.pdf	pdf	388.000000	109	9999-12-31	2013-05-08	1121
2/1-6	REPORTED BY LICENSEE	109_2_1_6_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/109_2_1_6_Completion_Report.pdf	pdf	17505.000000	109	9999-12-31	2013-05-08	1122
2/1-7	COMPOSITE LOG	137	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/137.pdf	pdf	705.000000	137	9999-12-31	2013-05-08	1123
2/1-7	OLD NPD WDSS	137_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/137_01_WDSS_General_Information.pdf	pdf	310.000000	137	9999-12-31	2013-05-08	1124
2/1-7	OLD NPD WDSS	137_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/137_02_WDSS_completion_log.pdf	pdf	382.000000	137	9999-12-31	2013-05-08	1125
2/1-7	REPORTED BY LICENSEE	137_01_2_1_7_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/137_01_2_1_7_Completion_report.pdf	pdf	2440.000000	137	9999-12-31	2013-05-08	1126
2/1-7	REPORTED BY LICENSEE	137_02_2_1_7_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/137_02_2_1_7_Completion_log.pdf	pdf	2750.000000	137	9999-12-31	2013-05-08	1127
2/1-8	COMPOSITE LOG	459	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/459.pdf	pdf	691.000000	459	2013-05-01	2013-05-08	1128
2/1-8	GEOCHEMICAL INFORMATION	459_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/459_1.pdf	pdf	1086.000000	459	9999-12-31	2013-05-08	1129
2/1-8	GEOCHEMICAL INFORMATION	459_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/459_2.pdf	pdf	751.000000	459	9999-12-31	2013-05-08	1130
2/1-8	GEOCHEMICAL INFORMATION	459_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/459_3.pdf	pdf	188.000000	459	9999-12-31	2013-05-08	1131
2/1-8	OLD NPD WDSS	459_01_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/459_01_WDSS_completion_log.pdf	pdf	334.000000	459	9999-12-31	2013-05-08	1132
2/1-8	OLD NPD WDSS	459_02_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/459_02_WDSS_General_Information.pdf	pdf	254.000000	459	9999-12-31	2013-05-08	1133
2/1-8	REPORTED BY LICENSEE	459_2_1_8_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/459_2_1_8_Completion_Log.pdf	pdf	2961.000000	459	9999-12-31	2013-05-08	1134
2/1-8	REPORTED BY LICENSEE	459_2_1_8_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/459_2_1_8_Completion_report.pdf	pdf	6757.000000	459	9999-12-31	2013-05-08	1135
2/1-9	COMPOSITE LOG	1667	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1667.pdf	pdf	504.000000	1667	2013-01-22	2013-05-08	1136
2/1-9	GEOCHEMICAL INFORMATION	1667_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1667_1.pdf	pdf	327.000000	1667	9999-12-31	2013-05-08	1137
2/1-9	GEOCHEMICAL INFORMATION	1667_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1667_2.pdf	pdf	968.000000	1667	9999-12-31	2013-05-08	1138
2/1-9	OLD NPD WDSS	1667_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1667_01_WDSS_General_Information.pdf	pdf	1464.000000	1667	9999-12-31	2013-05-08	1139
2/1-9	OLD NPD WDSS	1667_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1667_02_WDSS_completion_log.pdf	pdf	216.000000	1667	9999-12-31	2013-05-08	1140
2/1-9 A	COMPOSITE LOG	1867	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1867.pdf	pdf	505.000000	1867	2013-01-22	2013-05-08	1141
2/1-9 A	OLD NPD WDSS	1867_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1867_01_WDSS_General_Information.pdf	pdf	500.000000	1867	9999-12-31	2013-05-08	1142
2/1-9 A	OLD NPD WDSS	1867_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1867_02_WDSS_completion_log.pdf	pdf	218.000000	1867	9999-12-31	2013-05-08	1143
2/2-1	COMPOSITE LOG	46	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/46.pdf	pdf	737.000000	46	9999-12-31	2013-05-08	1144
2/2-1	GEOCHEMICAL INFORMATION	46_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/46_1.pdf	pdf	4171.000000	46	9999-12-31	2013-05-08	1145
2/2-1	GEOCHEMICAL INFORMATION	46_2_REPORT_ON_CARBON_ISOTOPIC_DISTRIBUTION_BETWEEN_HYDROCARBON_GASES	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/46_2_REPORT_ON_CARBON_ISOTOPIC_DISTRIBUTION_BETWEEN_HYDROCARBON_GASES.pdf	pdf	304.000000	46	9999-12-31	2013-05-08	1146
2/2-1	GEOCHEMICAL INFORMATION	46_3_A_PETROLEUM_GEOCHEMICAL_STUDY_OFTHE_SECTION_900-3983m_OF_THE_SAGA_2_2_1WELL	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/46_3_A_PETROLEUM_GEOCHEMICAL_STUDY_OFTHE_SECTION_900-3983m_OF_THE_SAGA_2_2_1WELL.pdf	pdf	5119.000000	46	9999-12-31	2013-05-08	1147
2/2-1	OLD NPD WDSS	46_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/46_01_WDSS_General_Information.pdf	pdf	177.000000	46	9999-12-31	2013-05-08	1148
2/2-1	OLD NPD WDSS	46_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/46_02_WDSS_completion_log.pdf	pdf	265.000000	46	9999-12-31	2013-05-08	1149
2/2-2	COMPOSITE LOG	80	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/80.pdf	pdf	524.000000	80	9999-12-31	2013-05-08	1150
2/2-2	GEOCHEMICAL INFORMATION	80_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/80_1.pdf	pdf	1753.000000	80	9999-12-31	2013-05-08	1151
2/2-2	OLD NPD WDSS	80_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/80_01_WDSS_General_Information.pdf	pdf	178.000000	80	9999-12-31	2013-05-08	1152
2/2-2	OLD NPD WDSS	80_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/80_02_WDSS_completion_log.pdf	pdf	228.000000	80	9999-12-31	2013-05-08	1153
2/2-3	COMPOSITE LOG	3	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3.pdf	pdf	539.000000	3	9999-12-31	2013-05-08	1154
2/2-3	OLD NPD WDSS	3_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/3_01_WDSS_General_Information.pdf	pdf	165.000000	3	9999-12-31	2013-05-08	1155
2/2-3	OLD NPD WDSS	3_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/3_02_WDSS_completion_log.pdf	pdf	336.000000	3	9999-12-31	2013-05-08	1156
2/2-4	COMPOSITE LOG	1188	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1188.pdf	pdf	763.000000	1188	9999-12-31	2013-05-08	1157
2/2-4	GEOCHEMICAL INFORMATION	1188_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1188_1.pdf	pdf	1801.000000	1188	9999-12-31	2013-05-08	1158
2/2-4	OLD NPD WDSS	1188_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1188_01_WDSS_General_Information.pdf	pdf	310.000000	1188	9999-12-31	2013-05-08	1159
2/2-4	OLD NPD WDSS	1188_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1188_02_WDSS_completion_log.pdf	pdf	256.000000	1188	9999-12-31	2013-05-08	1160
2/2-5	COMPOSITE LOG	1846	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1846.pdf	pdf	508.000000	1846	9999-12-31	2013-05-08	1161
2/2-5	GEOCHEMICAL INFORMATION	1846_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1846_1.pdf	pdf	1970.000000	1846	9999-12-31	2013-05-08	1162
2/2-5	GEOCHEMICAL INFORMATION	1846_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1846_2.pdf	pdf	1992.000000	1846	9999-12-31	2013-05-08	1163
2/2-5	OLD NPD WDSS	1846_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1846_01_WDSS_General_Information.pdf	pdf	489.000000	1846	9999-12-31	2013-05-08	1164
2/2-5	OLD NPD WDSS	1846_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1846_02_WDSS_completion_log.pdf	pdf	230.000000	1846	9999-12-31	2013-05-08	1165
2/3-1	COMPOSITE LOG	162	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/162.pdf	pdf	308.000000	162	9999-12-31	2013-05-08	1166
2/3-1	NPD PAPER	162_01_NPD_Paper_No.17_Lithology__Well_2_3_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/162_01_NPD_Paper_No.17_Lithology__Well_2_3_1.pdf	pdf	19100.000000	162	9999-12-31	2013-05-08	1167
2/3-1	NPD PAPER	162_02_NPD_Paper_No.17_Interpreted_Lithology_log__Well_2_3_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/162_02_NPD_Paper_No.17_Interpreted_Lithology_log__Well_2_3_1.pdf	pdf	46290.000000	162	9999-12-31	2013-05-08	1168
2/3-1	OLD NPD WDSS	162_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/162_01_WDSS_General_Information.pdf	pdf	191.000000	162	9999-12-31	2013-05-08	1169
2/3-1	REPORTED BY LICENSEE	162_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/162_1_Completion_report.pdf	pdf	13067.000000	162	9999-12-31	2013-05-08	1170
2/3-1	REPORTED BY LICENSEE	162_2_Drilling_programme_murphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/162_2_Drilling_programme_murphy.pdf	pdf	4387.000000	162	9999-12-31	2013-05-08	1171
2/3-1	REPORTED BY LICENSEE	162_3_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/162_3_Drilling_programme.pdf	pdf	463.000000	162	9999-12-31	2013-05-08	1172
2/3-1	REPORTED BY LICENSEE	162_4_Permanent_abandonment	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/162_4_Permanent_abandonment.pdf	pdf	2729.000000	162	9999-12-31	2013-05-08	1173
2/3-1	REPORTED BY LICENSEE	162_5_Report_on_wellhead_demolition_operations	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/162_5_Report_on_wellhead_demolition_operations.pdf	pdf	1080.000000	162	9999-12-31	2013-05-08	1174
2/3-1	REPORTED BY LICENSEE	162_6_Sea_floor_search_survey	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/162_6_Sea_floor_search_survey.pdf	pdf	40056.000000	162	9999-12-31	2013-05-08	1175
2/3-1	REPORTED BY LICENSEE	162_7_Survey_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/162_7_Survey_report.pdf	pdf	2480.000000	162	9999-12-31	2013-05-08	1176
2/3-2	COMPOSITE LOG	169	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/169.pdf	pdf	185.000000	169	9999-12-31	2013-05-08	1177
2/3-2	NPD PAPER	169_01_NPD_Paper_No.17_Lithology__Well_2_3_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/169_01_NPD_Paper_No.17_Lithology__Well_2_3_2.pdf	pdf	19100.000000	169	9999-12-31	2013-05-08	1178
2/3-2	OLD NPD WDSS	169_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/169_01_WDSS_General_Information.pdf	pdf	179.000000	169	9999-12-31	2013-05-08	1179
2/3-3	COMPOSITE LOG	198	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/198.pdf	pdf	323.000000	198	9999-12-31	2013-05-08	1180
2/3-3	NPD PAPER	198_01_NPD_Paper_No.17_Lithology__Well_2_3_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/198_01_NPD_Paper_No.17_Lithology__Well_2_3_3.pdf	pdf	19100.000000	198	9999-12-31	2013-05-08	1181
2/3-3	NPD PAPER	198_02_NPD_Paper_No.17_Interpreted_Lithology_log__Well_2_3_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/198_02_NPD_Paper_No.17_Interpreted_Lithology_log__Well_2_3_3.pdf	pdf	46577.000000	198	9999-12-31	2013-05-08	1182
2/3-3	OLD NPD WDSS	198_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/198_01_WDSS_General_Information.pdf	pdf	157.000000	198	9999-12-31	2013-05-08	1183
2/3-3	REPORTED BY LICENSEE	198_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/198_1_Completion_Report.pdf	pdf	4629.000000	198	9999-12-31	2013-05-08	1184
2/3-3	REPORTED BY LICENSEE	198_2_Paleontological_final_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/198_2_Paleontological_final_report.pdf	pdf	2663.000000	198	9999-12-31	2013-05-08	1185
2/3-3	REPORTED BY LICENSEE	198_3_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/198_3_Drilling_programme.pdf	pdf	636.000000	198	9999-12-31	2013-05-08	1186
2/3-3	REPORTED BY LICENSEE	198_4_High_resolution_boomer_sparker_and_side_scan_surv	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/198_4_High_resolution_boomer_sparker_and_side_scan_surv.pdf	pdf	949.000000	198	9999-12-31	2013-05-08	1187
2/3-4	COMPOSITE LOG	129	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/129.pdf	pdf	519.000000	129	9999-12-31	2013-05-08	1188
2/3-4	GEOCHEMICAL INFORMATION	129_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/129_1.pdf	pdf	399.000000	129	9999-12-31	2013-05-08	1189
2/3-4	OLD NPD WDSS	129_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/129_01_WDSS_General_Information.pdf	pdf	210.000000	129	9999-12-31	2013-05-08	1190
2/3-4	OLD NPD WDSS	129_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/129_02_WDSS_completion_log.pdf	pdf	295.000000	129	9999-12-31	2013-05-08	1191
2/4-1	GEOCHEMICAL INFORMATION	895_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/895_1.pdf	pdf	466.000000	895	9999-12-31	2013-05-08	1192
2/4-1	OLD NPD WDSS	895_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/895_01_WDSS_General_Information.pdf	pdf	174.000000	895	9999-12-31	2013-05-08	1193
2/4-1	REPORTED BY LICENSEE	895_01_2_4_1_Well_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/895_01_2_4_1_Well_Completion_report.PDF	PDF	491.000000	895	9999-12-31	2013-05-08	1194
2/4-17	GEOCHEMICAL INFORMATION	1792_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1792_1.pdf	pdf	7000.000000	1792	9999-12-31	2013-05-08	1236
2/4-1	REPORTED BY LICENSEE	895_2_4_1_Report_on_Analysis_of_an_Oil_Sample	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/895_2_4_1_Report_on_Analysis_of_an_Oil_Sample.pdf	pdf	610.000000	895	9999-12-31	2013-05-08	1195
2/4-1	REPORTED BY LICENSEE	895_2_4_1_The_Micropalaeontology_and_Stratigrahy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/895_2_4_1_The_Micropalaeontology_and_Stratigrahy.pdf	pdf	1673.000000	895	9999-12-31	2013-05-08	1196
2/4-10	GEOCHEMICAL INFORMATION	254_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/254_1.pdf	pdf	601.000000	254	9999-12-31	2013-05-08	1197
2/4-10	GEOCHEMICAL INFORMATION	254_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/254_2.pdf	pdf	2400.000000	254	9999-12-31	2013-05-08	1198
2/4-10	OLD NPD WDSS	254_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/254_01_WDSS_General_Information.pdf	pdf	258.000000	254	9999-12-31	2013-05-08	1199
2/4-10	REPORTED BY LICENSEE	254_01_2_4_10_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/254_01_2_4_10_Completion_Report_and_Completion_log.pdf	pdf	13758.000000	254	9999-12-31	2013-05-08	1200
2/4-10	REPORTED BY LICENSEE	254_02_2_4_10_Drilling_Fluid_Summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/254_02_2_4_10_Drilling_Fluid_Summary.pdf	pdf	1481.000000	254	9999-12-31	2013-05-08	1201
2/4-10	REPORTED BY LICENSEE	254_02_2_4_10_Mud_Program_and_Record	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/254_02_2_4_10_Mud_Program_and_Record.pdf	pdf	12273.000000	254	9999-12-31	2013-05-08	1202
2/4-10	REPORTED BY LICENSEE	254_04_2_4_10_Cores_Geochemical_Characterization	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/254_04_2_4_10_Cores_Geochemical_Characterization.pdf	pdf	7343.000000	254	9999-12-31	2013-05-08	1203
2/4-10	REPORTED BY LICENSEE	254_05_2_4_10_Individual_well_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/254_05_2_4_10_Individual_well_report.pdf	pdf	13758.000000	254	9999-12-31	2013-05-08	1204
2/4-10	REPORTED BY LICENSEE	254_05_2_4_10_Reservoir_Fluid_Study_DST_1_Flow_Period_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/254_05_2_4_10_Reservoir_Fluid_Study_DST_1_Flow_Period_4.pdf	pdf	1188.000000	254	9999-12-31	2013-05-08	1205
2/4-10	REPORTED BY LICENSEE	254_05_2_4_10_Well_Testing	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/254_05_2_4_10_Well_Testing.pdf	pdf	6006.000000	254	9999-12-31	2013-05-08	1206
2/4-11	GEOCHEMICAL INFORMATION	255_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/255_1.pdf	pdf	853.000000	255	9999-12-31	2013-05-08	1207
2/4-11	GEOCHEMICAL INFORMATION	255_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/255_2.pdf	pdf	405.000000	255	9999-12-31	2013-05-08	1208
2/4-11	GEOCHEMICAL INFORMATION	255_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/255_3.pdf	pdf	1600.000000	255	9999-12-31	2013-05-08	1209
2/4-11	OLD NPD WDSS	255_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/255_01_WDSS_General_Information.pdf	pdf	260.000000	255	9999-12-31	2013-05-08	1210
2/4-11	REPORTED BY LICENSEE	255_01_2_4_11_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/255_01_2_4_11_Completion_log.pdf	pdf	1282.000000	255	9999-12-31	2013-05-08	1211
2/4-11	REPORTED BY LICENSEE	255_01_2_4_11_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/255_01_2_4_11_Completion_Report.pdf	pdf	89471.000000	255	9999-12-31	2013-05-08	1212
2/4-11	REPORTED BY LICENSEE	255_01_2_4_11_Well_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/255_01_2_4_11_Well_Completion_Report.pdf	pdf	89471.000000	255	9999-12-31	2013-05-08	1213
2/4-11	REPORTED BY LICENSEE	255_02_2_4_11_Mud_Program_and_Record	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/255_02_2_4_11_Mud_Program_and_Record.pdf	pdf	15316.000000	255	9999-12-31	2013-05-08	1214
2/4-11	REPORTED BY LICENSEE	255_04_2_4_11_Palynology_Zonation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/255_04_2_4_11_Palynology_Zonation.pdf	pdf	205.000000	255	9999-12-31	2013-05-08	1215
2/4-11	REPORTED BY LICENSEE	255_05_2_4_11_DSTs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/255_05_2_4_11_DSTs.pdf	pdf	6730.000000	255	9999-12-31	2013-05-08	1216
2/4-11	REPORTED BY LICENSEE	255_05_2_4_11_Formation_Testing_Service_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/255_05_2_4_11_Formation_Testing_Service_Report.pdf	pdf	4011.000000	255	9999-12-31	2013-05-08	1217
2/4-11	REPORTED BY LICENSEE	255_05_2_4_11_Source_Rock_Potential_of_the_Upper_Jurassic	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/255_05_2_4_11_Source_Rock_Potential_of_the_Upper_Jurassic.pdf	pdf	2870.000000	255	9999-12-31	2013-05-08	1218
2/4-11	REPORTED BY LICENSEE	255_05_2_4_11_Thermal_Aleration_and_Source_Rock_Potential	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/255_05_2_4_11_Thermal_Aleration_and_Source_Rock_Potential.pdf	pdf	3016.000000	255	9999-12-31	2013-05-08	1219
2/4-12	COMPOSITE LOG	256	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/256.pdf	pdf	265.000000	256	9999-12-31	2013-05-08	1220
2/4-12	OLD NPD WDSS	256_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/256_01_WDSS_General_Information.pdf	pdf	245.000000	256	9999-12-31	2013-05-08	1221
2/4-12	REPORTED BY LICENSEE	256_2_4_12_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/256_2_4_12_Completion_Log.pdf	pdf	1721.000000	256	9999-12-31	2013-05-08	1222
2/4-12	REPORTED BY LICENSEE	256_2_4_12_Complex_Lithology_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/256_2_4_12_Complex_Lithology_Analysis.pdf	pdf	16855.000000	256	9999-12-31	2013-05-08	1223
2/4-12	REPORTED BY LICENSEE	256_2_4_12_Core_Lithological_Description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/256_2_4_12_Core_Lithological_Description.pdf	pdf	620.000000	256	9999-12-31	2013-05-08	1224
2/4-12	REPORTED BY LICENSEE	256_2_4_12_Micropaleontological_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/256_2_4_12_Micropaleontological_Report.pdf	pdf	4753.000000	256	9999-12-31	2013-05-08	1225
2/4-13	OLD NPD WDSS	1313_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1313_01_WDSS_General_Information.pdf	pdf	157.000000	1313	9999-12-31	2013-05-08	1226
2/4-15 S	COMPOSITE LOG	1371	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1371.pdf	pdf	407.000000	1371	9999-12-31	2013-05-08	1227
2/4-15 S	GEOCHEMICAL INFORMATION	1371_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1371_1.pdf	pdf	1215.000000	1371	9999-12-31	2013-05-08	1228
2/4-15 S	OLD NPD WDSS	1371_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1371_01_WDSS_General_Information.pdf	pdf	237.000000	1371	9999-12-31	2013-05-08	1229
2/4-15 S	OLD NPD WDSS	1371_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1371_02_WDSS_completion_log.pdf	pdf	234.000000	1371	9999-12-31	2013-05-08	1230
2/4-16	COMPOSITE LOG	1702	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1702.pdf	pdf	816.000000	1702	9999-12-31	2013-05-08	1231
2/4-16	GEOCHEMICAL INFORMATION	1702_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1702_1.pdf	pdf	2892.000000	1702	9999-12-31	2013-05-08	1232
2/4-16	OLD NPD WDSS	1702_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1702_01_WDSS_General_Information.pdf	pdf	1019.000000	1702	9999-12-31	2013-05-08	1233
2/4-16	OLD NPD WDSS	1702_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1702_02_WDSS_completion_log.pdf	pdf	271.000000	1702	9999-12-31	2013-05-08	1234
2/4-17	COMPOSITE LOG	1792	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1792.pdf	pdf	797.000000	1792	9999-12-31	2013-05-08	1235
2/4-17	OLD NPD WDSS	1792_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1792_01_WDSS_General_Information.pdf	pdf	776.000000	1792	9999-12-31	2013-05-08	1237
2/4-17	OLD NPD WDSS	1792_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1792_02_WDSS_completion_log.pdf	pdf	290.000000	1792	9999-12-31	2013-05-08	1238
2/4-18 R	GEOCHEMICAL INFORMATION	2253_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2253_1.pdf	pdf	7112.000000	2253	9999-12-31	2013-05-08	1239
2/4-19 B	OLD NPD WDSS	257_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/257_01_WDSS_General_Information.pdf	pdf	268.000000	257	9999-12-31	2013-05-08	1240
2/4-19 B	REPORTED BY LICENSEE	257_2_4_19_B_COMPLETION_LOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/257_2_4_19_B_COMPLETION_LOG.pdf	pdf	1652.000000	257	2012-11-07	2013-05-08	1241
2/4-19 B	REPORTED BY LICENSEE	257_2_4_19_B_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/257_2_4_19_B_COMPLETION_REPORT.pdf	pdf	6042.000000	257	2012-11-07	2013-05-08	1242
2/4-2	COMPOSITE LOG	172	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/172.pdf	pdf	287.000000	172	9999-12-31	2013-05-08	1243
2/4-2	GEOCHEMICAL INFORMATION	172_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/172_1.pdf	pdf	337.000000	172	9999-12-31	2013-05-08	1244
2/4-2	GEOCHEMICAL INFORMATION	172_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/172_2.pdf	pdf	1284.000000	172	9999-12-31	2013-05-08	1245
2/4-2	NPD PAPER	172_01_NPD_Paper_No.25_Lithology__Well_2_4_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/172_01_NPD_Paper_No.25_Lithology__Well_2_4_2.pdf	pdf	18619.000000	172	9999-12-31	2013-05-08	1246
2/4-2	NPD PAPER	172_02_NPD_Paper_No.25_Lithologic_Correlation_chart__Well_2_4_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/172_02_NPD_Paper_No.25_Lithologic_Correlation_chart__Well_2_4_2.pdf	pdf	1953.000000	172	9999-12-31	2013-05-08	1247
2/4-2	NPD PAPER	172_03_NPD_Paper_No.25_Paleocene_Maastrichtian_Correlation_chart_Well_2_4_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/172_03_NPD_Paper_No.25_Paleocene_Maastrichtian_Correlation_chart_Well_2_4_2.pdf	pdf	1180.000000	172	9999-12-31	2013-05-08	1248
2/4-2	OLD NPD WDSS	172_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/172_01_WDSS_General_Information.pdf	pdf	191.000000	172	9999-12-31	2013-05-08	1249
2/4-2	REPORTED BY LICENSEE	172_01_2_4_2_Completion_Report_and_Completion_log_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_01_2_4_2_Completion_Report_and_Completion_log_2.pdf	pdf	11041.000000	172	9999-12-31	2013-05-08	1250
2/4-2	REPORTED BY LICENSEE	172_02_2_4_2_Well_Recompletion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_02_2_4_2_Well_Recompletion_Report.pdf	pdf	3432.000000	172	9999-12-31	2013-05-08	1251
2/4-2	REPORTED BY LICENSEE	172_2_4_2_Additional_Core_Description_Sheets	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_Additional_Core_Description_Sheets.pdf	pdf	11079.000000	172	9999-12-31	2013-05-08	1252
2/4-2	REPORTED BY LICENSEE	172_2_4_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_Completion_report.pdf	pdf	6017.000000	172	9999-12-31	2013-05-08	1253
2/4-2	REPORTED BY LICENSEE	172_2_4_2_Drilling_Fluid_Summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_Drilling_Fluid_Summary.pdf	pdf	3292.000000	172	9999-12-31	2013-05-08	1254
2/4-2	REPORTED BY LICENSEE	172_2_4_2_Drilling_Mud_Reports	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_Drilling_Mud_Reports.pdf	pdf	173.000000	172	9999-12-31	2013-05-08	1255
2/4-2	REPORTED BY LICENSEE	172_2_4_2_Individual_Well_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_Individual_Well_Completion_Report.pdf	pdf	43438.000000	172	9999-12-31	2013-05-08	1256
2/4-2	REPORTED BY LICENSEE	172_2_4_2_Individual_well_Record	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_Individual_well_Record.pdf	pdf	30919.000000	172	9999-12-31	2013-05-08	1257
2/4-2	REPORTED BY LICENSEE	172_2_4_2_Lithological_and_Sedimentological_Eval	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_Lithological_and_Sedimentological_Eval.pdf	pdf	2546.000000	172	9999-12-31	2013-05-08	1258
2/4-2	REPORTED BY LICENSEE	172_2_4_2_Petrography_of_Selected_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_Petrography_of_Selected_Samples.pdf	pdf	25719.000000	172	9999-12-31	2013-05-08	1259
2/4-2	REPORTED BY LICENSEE	172_2_4_2_Quantitative_Log_Analysis_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_Quantitative_Log_Analysis_1.pdf	pdf	8813.000000	172	9999-12-31	2013-05-08	1260
2/4-2	REPORTED BY LICENSEE	172_2_4_2_Quantitative_Log_Analysis_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_Quantitative_Log_Analysis_2.pdf	pdf	5152.000000	172	9999-12-31	2013-05-08	1261
2/4-2	REPORTED BY LICENSEE	172_2_4_2_The_Micropalaeontology_and_Stratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_The_Micropalaeontology_and_Stratigraphy.pdf	pdf	4253.000000	172	9999-12-31	2013-05-08	1262
2/4-2	REPORTED BY LICENSEE	172_2_4_2_Well_Log_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/172_2_4_2_Well_Log_Study.pdf	pdf	7275.000000	172	9999-12-31	2013-05-08	1263
2/4-3	COMPOSITE LOG	97	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/97.pdf	pdf	431.000000	97	2013-01-22	2013-05-08	1264
2/4-3	OLD NPD WDSS	97_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/97_01_WDSS_General_Information.pdf	pdf	1048.000000	97	9999-12-31	2013-05-08	1265
2/4-3	REPORTED BY LICENSEE	97_01_2_4_3(2X)_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_01_2_4_3(2X)_Completion_Report_and_Completion_log.pdf	pdf	11814.000000	97	9999-12-31	2013-05-08	1266
2/4-3	REPORTED BY LICENSEE	97_01_2_4_4(3X)_Completion_Report_and Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_01_2_4_4(3X)_Completion_Report_and Completion_log.pdf	pdf	17897.000000	97	9999-12-31	2013-05-08	1267
2/4-3	REPORTED BY LICENSEE	97_02_2_4_3(2X)_Well_Recompletion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_02_2_4_3(2X)_Well_Recompletion_Report.pdf	pdf	9405.000000	97	9999-12-31	2013-05-08	1268
2/4-3	REPORTED BY LICENSEE	97_02_2_4_4(3X)_Drilling_Fluid_Summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_02_2_4_4(3X)_Drilling_Fluid_Summary.pdf	pdf	6828.000000	97	9999-12-31	2013-05-08	1269
2/4-3	REPORTED BY LICENSEE	97_02_2_4_4(3X)_Individual_Well_Record	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_02_2_4_4(3X)_Individual_Well_Record.pdf	pdf	4218.000000	97	9999-12-31	2013-05-08	1270
2/4-3	REPORTED BY LICENSEE	97_02_2_4_4(3X)_Mud_Reports	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_02_2_4_4(3X)_Mud_Reports.pdf	pdf	10550.000000	97	9999-12-31	2013-05-08	1271
2/4-3	REPORTED BY LICENSEE	97_02_2_4_4(3X)_Well_Recompletion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_02_2_4_4(3X)_Well_Recompletion_Report.pdf	pdf	17897.000000	97	9999-12-31	2013-05-08	1272
2/4-3	REPORTED BY LICENSEE	97_03_2_4_3(2X)_Well_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_03_2_4_3(2X)_Well_Completion_Report.pdf	pdf	115.000000	97	9999-12-31	2013-05-08	1273
2/4-3	REPORTED BY LICENSEE	97_03_2_4_4(3X)_Complex_Lithology_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_03_2_4_4(3X)_Complex_Lithology_Analysis.pdf	pdf	47431.000000	97	9999-12-31	2013-05-08	1274
2/4-5	OLD NPD WDSS	177_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/177_01_WDSS_General_Information.pdf	pdf	198.000000	177	9999-12-31	2013-05-08	1311
2/4-3	REPORTED BY LICENSEE	97_03_2_4_4(3X)_Computer_Processed_Interpretation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_03_2_4_4(3X)_Computer_Processed_Interpretation.pdf	pdf	3230.000000	97	9999-12-31	2013-05-08	1275
2/4-3	REPORTED BY LICENSEE	97_03_2_4_4(3X)_Computer_Processed_Interpretations	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_03_2_4_4(3X)_Computer_Processed_Interpretations.pdf	pdf	4466.000000	97	9999-12-31	2013-05-08	1276
2/4-3	REPORTED BY LICENSEE	97_03_2_4_4(3X)_Quantitative_Log_Interpretation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_03_2_4_4(3X)_Quantitative_Log_Interpretation.pdf	pdf	14312.000000	97	9999-12-31	2013-05-08	1277
2/4-3	REPORTED BY LICENSEE	97_03_2_4_4(3X)_Reservoir_Fluid_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_03_2_4_4(3X)_Reservoir_Fluid_Study.pdf	pdf	6813.000000	97	9999-12-31	2013-05-08	1278
2/4-3	REPORTED BY LICENSEE	97_04_2_4_3(2X)_Individual_Well_Completion_Record	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_04_2_4_3(2X)_Individual_Well_Completion_Record.pdf	pdf	1175.000000	97	9999-12-31	2013-05-08	1279
2/4-3	REPORTED BY LICENSEE	97_05_2_4_3(2X)_Drill_Stem_Tests	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_3(2X)_Drill_Stem_Tests.pdf	pdf	55844.000000	97	9999-12-31	2013-05-08	1280
2/4-3	REPORTED BY LICENSEE	97_05_2_4_3(2X)_Reservoir_Fluid_Studies	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_3(2X)_Reservoir_Fluid_Studies.pdf	pdf	1396.000000	97	9999-12-31	2013-05-08	1281
2/4-3	REPORTED BY LICENSEE	97_05_2_4_3(2X)_Reservoir_Fluid_Study_DST_1-4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_3(2X)_Reservoir_Fluid_Study_DST_1-4.pdf	pdf	29213.000000	97	9999-12-31	2013-05-08	1282
2/4-3	REPORTED BY LICENSEE	97_05_2_4_3(2X)_Reservoir_Fluid_Study_DST_5-10	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_3(2X)_Reservoir_Fluid_Study_DST_5-10.pdf	pdf	29526.000000	97	9999-12-31	2013-05-08	1283
2/4-3	REPORTED BY LICENSEE	97_05_2_4_3(2X)_Reservoir_Fluid_Study_DST_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_3(2X)_Reservoir_Fluid_Study_DST_6.pdf	pdf	1185.000000	97	9999-12-31	2013-05-08	1284
2/4-3	REPORTED BY LICENSEE	97_05_2_4_3(2X)_Reservoir_Fluid_Study_DST_6C-7-8-9	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_3(2X)_Reservoir_Fluid_Study_DST_6C-7-8-9.pdf	pdf	1237.000000	97	9999-12-31	2013-05-08	1285
2/4-3	REPORTED BY LICENSEE	97_05_2_4_4(3X)_Companion_Seperator_Sample_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_4(3X)_Companion_Seperator_Sample_Analysis.pdf	pdf	13165.000000	97	9999-12-31	2013-05-08	1286
2/4-3	REPORTED BY LICENSEE	97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_1.pdf	pdf	5307.000000	97	9999-12-31	2013-05-08	1287
2/4-3	REPORTED BY LICENSEE	97_05_2_4_4(3X)_Drill_Stem_Test_Data_test_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_4(3X)_Drill_Stem_Test_Data_test_2.pdf	pdf	2004.000000	97	9999-12-31	2013-05-08	1288
2/4-3	REPORTED BY LICENSEE	97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_3.pdf	pdf	3781.000000	97	9999-12-31	2013-05-08	1289
2/4-3	REPORTED BY LICENSEE	97_05_2_4_4(3X)_Drill_Stem_Test_data_Test_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_4(3X)_Drill_Stem_Test_data_Test_4.pdf	pdf	3929.000000	97	9999-12-31	2013-05-08	1290
2/4-3	REPORTED BY LICENSEE	97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_5.pdf	pdf	248.000000	97	9999-12-31	2013-05-08	1291
2/4-3	REPORTED BY LICENSEE	97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_5A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_5A.pdf	pdf	5549.000000	97	9999-12-31	2013-05-08	1292
2/4-3	REPORTED BY LICENSEE	97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_6.pdf	pdf	3270.000000	97	9999-12-31	2013-05-08	1293
2/4-3	REPORTED BY LICENSEE	97_05_2_4_4(3X)_Drill_Stem_Test_data_Test_7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_4(3X)_Drill_Stem_Test_data_Test_7.pdf	pdf	3154.000000	97	9999-12-31	2013-05-08	1294
2/4-3	REPORTED BY LICENSEE	97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_8	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_4(3X)_Drill_Stem_Test_Data_Test_8.pdf	pdf	4208.000000	97	9999-12-31	2013-05-08	1295
2/4-3	REPORTED BY LICENSEE	97_05_2_4_4(3X)_Summary_of_DSTs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_05_2_4_4(3X)_Summary_of_DSTs.pdf	pdf	810.000000	97	9999-12-31	2013-05-08	1296
2/4-3	REPORTED BY LICENSEE	97_06_2_4_3(2X)_Petrography_Environment_of_Deposition	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_06_2_4_3(2X)_Petrography_Environment_of_Deposition.pdf	pdf	32198.000000	97	9999-12-31	2013-05-08	1297
2/4-3	REPORTED BY LICENSEE	97_07_2_4_3(2X)_Mud_Report_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_07_2_4_3(2X)_Mud_Report_1.pdf	pdf	27191.000000	97	9999-12-31	2013-05-08	1298
2/4-3	REPORTED BY LICENSEE	97_07_2_4_3(2X)_Mud_Report_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/97_07_2_4_3(2X)_Mud_Report_2.pdf	pdf	19242.000000	97	9999-12-31	2013-05-08	1299
2/4-4	COMPOSITE LOG	174	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/174.pdf	pdf	473.000000	174	2013-01-22	2013-05-08	1300
2/4-4	NPD PAPER	174_01_NPD_Paper_No.25_Lithology__Well_2_4_4	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/174_01_NPD_Paper_No.25_Lithology__Well_2_4_4.pdf	pdf	18619.000000	174	9999-12-31	2013-05-08	1301
2/4-4	NPD PAPER	174_02_NPD_Paper_No.25_Interpreted_Lithology_log__Well_2_4_4	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/174_02_NPD_Paper_No.25_Interpreted_Lithology_log__Well_2_4_4.pdf	pdf	57026.000000	174	9999-12-31	2013-05-08	1302
2/4-4	NPD PAPER	174_03_NPD_Paper_No.25_Lithologic_Correlation_chart__Well_2_4_4	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/174_03_NPD_Paper_No.25_Lithologic_Correlation_chart__Well_2_4_4.pdf	pdf	1953.000000	174	9999-12-31	2013-05-08	1303
2/4-4	NPD PAPER	174_04_NPD_Paper_No.25_Paleocene_Maastrichtian_Correlation_chart_Well_2_4_4	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/174_04_NPD_Paper_No.25_Paleocene_Maastrichtian_Correlation_chart_Well_2_4_4.pdf	pdf	1180.000000	174	9999-12-31	2013-05-08	1304
2/4-4	OLD NPD WDSS	174_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/174_01_WDSS_General_Information.pdf	pdf	192.000000	174	9999-12-31	2013-05-08	1305
2/4-5	COMPOSITE LOG	177	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/177.pdf	pdf	468.000000	177	2013-01-22	2013-05-08	1306
2/4-5	GEOCHEMICAL INFORMATION	177_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/177_1.pdf	pdf	527.000000	177	9999-12-31	2013-05-08	1307
2/4-5	NPD PAPER	177_01_NPD_Paper_No.25_Lithology__Well_2_4_5	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/177_01_NPD_Paper_No.25_Lithology__Well_2_4_5.pdf	pdf	18619.000000	177	9999-12-31	2013-05-08	1308
2/4-5	NPD PAPER	177_02_NPD_Paper_No.25_Lithologic_Correlation_chart__Well_2_4_5	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/177_02_NPD_Paper_No.25_Lithologic_Correlation_chart__Well_2_4_5.pdf	pdf	1953.000000	177	9999-12-31	2013-05-08	1309
2/4-5	NPD PAPER	177_03_NPD_Paper_No.25_Paleocene_Maastrichtian_Correlation_chart_Well_2_4_5	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/177_03_NPD_Paper_No.25_Paleocene_Maastrichtian_Correlation_chart_Well_2_4_5.pdf	pdf	1180.000000	177	9999-12-31	2013-05-08	1310
2/4-5	REPORTED BY LICENSEE	177_01_2_4_5(4AX)_Completion_Report_and Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_01_2_4_5(4AX)_Completion_Report_and Completion_log.pdf	pdf	20471.000000	177	9999-12-31	2013-05-08	1312
2/4-5	REPORTED BY LICENSEE	177_01_2_4_5(4AX)_Final_Report_Individual_Well_Status	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_01_2_4_5(4AX)_Final_Report_Individual_Well_Status.pdf	pdf	570.000000	177	9999-12-31	2013-05-08	1313
2/4-5	REPORTED BY LICENSEE	177_02_2_4_5(4AX)_Casing_and_Valve_Failure_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_02_2_4_5(4AX)_Casing_and_Valve_Failure_Report.pdf	pdf	5425.000000	177	9999-12-31	2013-05-08	1314
2/4-5	REPORTED BY LICENSEE	177_02_2_4_5(4AX)_Drilling_Fluid_Summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_02_2_4_5(4AX)_Drilling_Fluid_Summary.pdf	pdf	4441.000000	177	9999-12-31	2013-05-08	1315
2/4-5	REPORTED BY LICENSEE	177_02_2_4_5(4AX)_Individual_Well_Completion_record	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_02_2_4_5(4AX)_Individual_Well_Completion_record.pdf	pdf	24043.000000	177	9999-12-31	2013-05-08	1316
2/4-5	REPORTED BY LICENSEE	177_02_2_4_5(4AX)_Mud_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_02_2_4_5(4AX)_Mud_Report.pdf	pdf	10562.000000	177	9999-12-31	2013-05-08	1317
2/4-5	REPORTED BY LICENSEE	177_02_2_4_5(4AX)_Well_Recompletion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_02_2_4_5(4AX)_Well_Recompletion_Report.pdf	pdf	20471.000000	177	9999-12-31	2013-05-08	1318
2/4-5	REPORTED BY LICENSEE	177_03_2_4_5(4AX)_Analyst_ Quantitative_Logs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_03_2_4_5(4AX)_Analyst_ Quantitative_Logs.pdf	pdf	10984.000000	177	9999-12-31	2013-05-08	1319
2/4-5	REPORTED BY LICENSEE	177_03_2_4_5(4AX)_Complex_Lithology_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_03_2_4_5(4AX)_Complex_Lithology_Analysis.pdf	pdf	12227.000000	177	9999-12-31	2013-05-08	1320
2/4-5	REPORTED BY LICENSEE	177_03_2_4_5(4AX)_Geochemistry_of_Side_Wall_Cores	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_03_2_4_5(4AX)_Geochemistry_of_Side_Wall_Cores.pdf	pdf	4409.000000	177	9999-12-31	2013-05-08	1321
2/4-5	REPORTED BY LICENSEE	177_03_2_4_5(4X)_Micropaleontology_and_Stratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_03_2_4_5(4X)_Micropaleontology_and_Stratigraphy.pdf	pdf	2707.000000	177	9999-12-31	2013-05-08	1322
2/4-5	REPORTED BY LICENSEE	177_04_2_4_5(4AX)_Columnar_Core_Record	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_04_2_4_5(4AX)_Columnar_Core_Record.pdf	pdf	7234.000000	177	9999-12-31	2013-05-08	1323
2/4-5	REPORTED BY LICENSEE	177_04_2_4_5(4AX)_Core_Analysis_and_Core_Lithological_Description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_04_2_4_5(4AX)_Core_Analysis_and_Core_Lithological_Description.pdf	pdf	3752.000000	177	9999-12-31	2013-05-08	1324
2/4-5	REPORTED BY LICENSEE	177_05_2_4_5(4AX)_Drill_Stem_Tests	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_05_2_4_5(4AX)_Drill_Stem_Tests.pdf	pdf	13147.000000	177	9999-12-31	2013-05-08	1325
2/4-5	REPORTED BY LICENSEE	177_05_2_4_5(4AX)_Drill_Stem_Test_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_05_2_4_5(4AX)_Drill_Stem_Test_2.pdf	pdf	7938.000000	177	9999-12-31	2013-05-08	1326
2/4-5	REPORTED BY LICENSEE	177_05_2_4_5(4AX)_Drill_Stem_Test_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_05_2_4_5(4AX)_Drill_Stem_Test_3.pdf	pdf	1708.000000	177	9999-12-31	2013-05-08	1327
2/4-5	REPORTED BY LICENSEE	177_05_2_4_5(4AX)_Drill_Stem_Test_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_05_2_4_5(4AX)_Drill_Stem_Test_4.pdf	pdf	7165.000000	177	9999-12-31	2013-05-08	1328
2/4-5	REPORTED BY LICENSEE	177_05_2_4_5(4AX)_North_Sea_Oils_Data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_05_2_4_5(4AX)_North_Sea_Oils_Data.pdf	pdf	5409.000000	177	9999-12-31	2013-05-08	1329
2/4-5	REPORTED BY LICENSEE	177_05_2_4_5(4AX)_Reservoir_Fluid_Studies	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_05_2_4_5(4AX)_Reservoir_Fluid_Studies.pdf	pdf	996.000000	177	9999-12-31	2013-05-08	1330
2/4-5	REPORTED BY LICENSEE	177_05_2_4_5(4AX)_Reservoir_Fluid_Studies_3000_feet	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_05_2_4_5(4AX)_Reservoir_Fluid_Studies_3000_feet.pdf	pdf	3050.000000	177	9999-12-31	2013-05-08	1331
2/4-5	REPORTED BY LICENSEE	177_05_2_4_5(4AX)_Reservoir_Fluid_Studies_and_Fluid_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_05_2_4_5(4AX)_Reservoir_Fluid_Studies_and_Fluid_Analysis.pdf	pdf	10954.000000	177	9999-12-31	2013-05-08	1332
2/4-5	REPORTED BY LICENSEE	177_05_2_4_5(4AX)_Reservoir_Fluid_Studies_DST_Nos_1_and_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_05_2_4_5(4AX)_Reservoir_Fluid_Studies_DST_Nos_1_and_4.pdf	pdf	688.000000	177	9999-12-31	2013-05-08	1333
2/4-5	REPORTED BY LICENSEE	177_05_2_4_5(4AX)_Reservoir_Fluid_Studies_DST_No_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/177_05_2_4_5(4AX)_Reservoir_Fluid_Studies_DST_No_4.pdf	pdf	989.000000	177	9999-12-31	2013-05-08	1334
2/4-6	GEOCHEMICAL INFORMATION	181_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/181_1.pdf	pdf	72.000000	181	9999-12-31	2013-05-08	1335
2/4-6	GEOCHEMICAL INFORMATION	181_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/181_2.pdf	pdf	3645.000000	181	9999-12-31	2013-05-08	1336
2/4-6	OLD NPD WDSS	181_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/181_01_WDSS_General_Information.pdf	pdf	169.000000	181	9999-12-31	2013-05-08	1337
2/4-6	REPORTED BY LICENSEE	181_01_2_4_6(5X)_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/181_01_2_4_6(5X)_Completion_Report_and_Completion_log.pdf	pdf	3109.000000	181	9999-12-31	2013-05-08	1338
2/4-6	REPORTED BY LICENSEE	181_01_2_4_6(5X)_Well_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/181_01_2_4_6(5X)_Well_Completion_Report.pdf	pdf	3109.000000	181	9999-12-31	2013-05-08	1339
2/4-6	REPORTED BY LICENSEE	181_02_2_4_6(5X)_Mud_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/181_02_2_4_6(5X)_Mud_Report.pdf	pdf	15325.000000	181	9999-12-31	2013-05-08	1340
2/4-6	REPORTED BY LICENSEE	181_03_2_4_6(5X)_Complex_Lithology_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/181_03_2_4_6(5X)_Complex_Lithology_Analysis.pdf	pdf	7988.000000	181	9999-12-31	2013-05-08	1341
2/4-6	REPORTED BY LICENSEE	181_03_2_4_6(5X)_Fluid_Sample_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/181_03_2_4_6(5X)_Fluid_Sample_Analysis.pdf	pdf	5657.000000	181	9999-12-31	2013-05-08	1342
2/4-6	REPORTED BY LICENSEE	181_03_2_4_6(5X)_Geochemical_Analysis_of_Sidewall_Core_Sample	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/181_03_2_4_6(5X)_Geochemical_Analysis_of_Sidewall_Core_Sample.pdf	pdf	6563.000000	181	9999-12-31	2013-05-08	1343
2/4-6	REPORTED BY LICENSEE	181_03_2_4_6(5X)_The_Micropalaeontology_and_Stratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/181_03_2_4_6(5X)_The_Micropalaeontology_and_Stratigraphy.pdf	pdf	5715.000000	181	9999-12-31	2013-05-08	1344
2/4-6	REPORTED BY LICENSEE	181_04_2_4_6(5X)_Core_Analysis_Results	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/181_04_2_4_6(5X)_Core_Analysis_Results.pdf	pdf	741.000000	181	9999-12-31	2013-05-08	1345
2/4-6	REPORTED BY LICENSEE	181_05_2_4_6(5X)_DSTs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/181_05_2_4_6(5X)_DSTs.pdf	pdf	11794.000000	181	9999-12-31	2013-05-08	1346
2/4-7	OLD NPD WDSS	196_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/196_01_WDSS_General_Information.pdf	pdf	167.000000	196	9999-12-31	2013-05-08	1347
2/4-7	REPORTED BY LICENSEE	196_01_2_4_7(7X)_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_01_2_4_7(7X)_Completion_Report_and_Completion_log.pdf	pdf	24233.000000	196	9999-12-31	2013-05-08	1348
2/4-7	REPORTED BY LICENSEE	196_01_2_4_7(7X)_Well_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_01_2_4_7(7X)_Well_Completion_Report.pdf	pdf	24233.000000	196	9999-12-31	2013-05-08	1349
2/4-7	REPORTED BY LICENSEE	196_02_2_4_7(7X)_Individual_Well_Completion_Record	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_02_2_4_7(7X)_Individual_Well_Completion_Record.pdf	pdf	79.000000	196	9999-12-31	2013-05-08	1350
2/4-7	REPORTED BY LICENSEE	196_03_2_4_7(7X)_Computer_Processed_Interpretation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_03_2_4_7(7X)_Computer_Processed_Interpretation.pdf	pdf	9735.000000	196	9999-12-31	2013-05-08	1351
2/4-7	REPORTED BY LICENSEE	196_03_2_4_7(7X)_Computer_Processed_Interpretations	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_03_2_4_7(7X)_Computer_Processed_Interpretations.pdf	pdf	34664.000000	196	9999-12-31	2013-05-08	1352
2/4-7	REPORTED BY LICENSEE	196_03_2_4_7(7X)_Lithostratigraphy_Sedimentology_Reservoir	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_03_2_4_7(7X)_Lithostratigraphy_Sedimentology_Reservoir.pdf	pdf	252666.000000	196	9999-12-31	2013-05-08	1353
2/4-7	REPORTED BY LICENSEE	196_03_2_4_7(7X)_Stratigraphical_Palaeontological_Final_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_03_2_4_7(7X)_Stratigraphical_Palaeontological_Final_Report.pdf	pdf	1377.000000	196	9999-12-31	2013-05-08	1354
2/4-7	REPORTED BY LICENSEE	196_03_2_4_7(7X)_The_Micropalaeontology_and_Stratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_03_2_4_7(7X)_The_Micropalaeontology_and_Stratigraphy.pdf	pdf	1923.000000	196	9999-12-31	2013-05-08	1355
2/4-7	REPORTED BY LICENSEE	196_03_2_4_7(7X)_Well_Log_Interpretation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_03_2_4_7(7X)_Well_Log_Interpretation.pdf	pdf	15307.000000	196	9999-12-31	2013-05-08	1356
2/4-7	REPORTED BY LICENSEE	196_03_2_4_7(7X)_XRD_Analysis_from_the_2_4_7X	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_03_2_4_7(7X)_XRD_Analysis_from_the_2_4_7X.pdf	pdf	249.000000	196	9999-12-31	2013-05-08	1357
2/4-7	REPORTED BY LICENSEE	196_04_2_4_7(7X)_A_Study_of_the_Natural_Fracture_System	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_04_2_4_7(7X)_A_Study_of_the_Natural_Fracture_System.pdf	pdf	6721.000000	196	9999-12-31	2013-05-08	1358
2/4-7	REPORTED BY LICENSEE	196_04_2_4_7(7X)_Biostratigraphic_Summary_Charts	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_04_2_4_7(7X)_Biostratigraphic_Summary_Charts.pdf	pdf	20455.000000	196	9999-12-31	2013-05-08	1359
2/4-7	REPORTED BY LICENSEE	196_04_2_4_7(7X)_Biostratigraphy_and_paleoenvironmental_interp	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_04_2_4_7(7X)_Biostratigraphy_and_paleoenvironmental_interp.pdf	pdf	4641.000000	196	9999-12-31	2013-05-08	1360
2/4-7	REPORTED BY LICENSEE	196_04_2_4_7(7X)_Core_Analysis_(Pore-Perm)_and_Core_Lithologi	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_04_2_4_7(7X)_Core_Analysis_(Pore-Perm)_and_Core_Lithologi.pdf	pdf	719.000000	196	9999-12-31	2013-05-08	1361
2/4-7	REPORTED BY LICENSEE	196_04_2_4_7(7X)_Core_Analysis_Results	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_04_2_4_7(7X)_Core_Analysis_Results.pdf	pdf	929.000000	196	9999-12-31	2013-05-08	1362
2/4-7	REPORTED BY LICENSEE	196_05_2_4_7(7X)_Companion_Separator_Sample_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_05_2_4_7(7X)_Companion_Separator_Sample_Analysis.pdf	pdf	2698.000000	196	9999-12-31	2013-05-08	1363
2/4-7	REPORTED BY LICENSEE	196_05_2_4_7(7X)_DSTs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_05_2_4_7(7X)_DSTs.pdf	pdf	101991.000000	196	9999-12-31	2013-05-08	1364
2/4-7	REPORTED BY LICENSEE	196_05_2_4_7(7X)_Fluid_and_sample_Analysis_from_DSTs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_05_2_4_7(7X)_Fluid_and_sample_Analysis_from_DSTs.pdf	pdf	8955.000000	196	9999-12-31	2013-05-08	1365
2/4-7	REPORTED BY LICENSEE	196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.1.pdf	pdf	4512.000000	196	9999-12-31	2013-05-08	1366
2/4-7	REPORTED BY LICENSEE	196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.2.pdf	pdf	4037.000000	196	9999-12-31	2013-05-08	1367
2/4-7	REPORTED BY LICENSEE	196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.3.pdf	pdf	11623.000000	196	9999-12-31	2013-05-08	1368
2/4-7	REPORTED BY LICENSEE	196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.4.pdf	pdf	3749.000000	196	9999-12-31	2013-05-08	1369
2/4-7	REPORTED BY LICENSEE	196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.5.pdf	pdf	4434.000000	196	9999-12-31	2013-05-08	1370
2/4-7	REPORTED BY LICENSEE	196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.6.pdf	pdf	3678.000000	196	9999-12-31	2013-05-08	1371
2/4-7	REPORTED BY LICENSEE	196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/196_05_2_4_7(7X)_Formation_Testing_Service_Report_No.7.pdf	pdf	10169.000000	196	9999-12-31	2013-05-08	1372
2/4-8	GEOCHEMICAL INFORMATION	252_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/252_1.pdf	pdf	1139.000000	252	9999-12-31	2013-05-08	1373
2/4-8	GEOCHEMICAL INFORMATION	252_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/252_2.pdf	pdf	930.000000	252	9999-12-31	2013-05-08	1374
2/4-8	GEOCHEMICAL INFORMATION	252_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/252_3.pdf	pdf	2059.000000	252	9999-12-31	2013-05-08	1375
2/4-8	OLD NPD WDSS	252_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/252_01_WDSS_General_Information.pdf	pdf	406.000000	252	9999-12-31	2013-05-08	1376
2/4-8	REPORTED BY LICENSEE	252_01_2_4_8(8AX)_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_01_2_4_8(8AX)_Completion_Report_and_Completion_log.pdf	pdf	33888.000000	252	9999-12-31	2013-05-08	1377
2/4-8	REPORTED BY LICENSEE	252_02_2_4_8(8AX)_Individual_Well_Completion_Record	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_02_2_4_8(8AX)_Individual_Well_Completion_Record.pdf	pdf	86.000000	252	9999-12-31	2013-05-08	1378
2/4-8	REPORTED BY LICENSEE	252_03_2_4_8(8AX)_A_Study_of_the_Natural_Fracture_System	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_03_2_4_8(8AX)_A_Study_of_the_Natural_Fracture_System.pdf	pdf	6711.000000	252	9999-12-31	2013-05-08	1379
2/4-8	REPORTED BY LICENSEE	252_03_2_4_8(8AX)_Lithostratigraphy_Sedimentology	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_03_2_4_8(8AX)_Lithostratigraphy_Sedimentology.pdf	pdf	163611.000000	252	9999-12-31	2013-05-08	1380
2/4-8	REPORTED BY LICENSEE	252_03_2_4_8(8X)_Biostratigraphy_and_Paleoe	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_03_2_4_8(8X)_Biostratigraphy_and_Paleoe.pdf	pdf	651.000000	252	9999-12-31	2013-05-08	1381
2/4-8	REPORTED BY LICENSEE	252_03_2_4_8(8X)_Biostratigraphy_of_Core_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_03_2_4_8(8X)_Biostratigraphy_of_Core_Samples.pdf	pdf	1368.000000	252	9999-12-31	2013-05-08	1382
2/4-8	REPORTED BY LICENSEE	252_03_2_4_8(8X)_The_Micropaleontology_and_Stratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_03_2_4_8(8X)_The_Micropaleontology_and_Stratigraphy.pdf	pdf	2776.000000	252	9999-12-31	2013-05-08	1383
2/4-8	REPORTED BY LICENSEE	252_03_2_4_8_Biostratigraphical_Summary_of_the_Lower_Cretace	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_03_2_4_8_Biostratigraphical_Summary_of_the_Lower_Cretace.pdf	pdf	166.000000	252	9999-12-31	2013-05-08	1384
2/4-8	REPORTED BY LICENSEE	252_03_2_4_8_Biostratigraphic_Summary_Diagram	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_03_2_4_8_Biostratigraphic_Summary_Diagram.pdf	pdf	26947.000000	252	9999-12-31	2013-05-08	1385
2/4-8	REPORTED BY LICENSEE	252_03_2_4_8_Geochemical_Analysis_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_03_2_4_8_Geochemical_Analysis_Report.pdf	pdf	13364.000000	252	9999-12-31	2013-05-08	1386
2/4-8	REPORTED BY LICENSEE	252_04_2_4_8(8AX)_Additional_Conventional_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_04_2_4_8(8AX)_Additional_Conventional_Core_Analysis.pdf	pdf	179.000000	252	9999-12-31	2013-05-08	1387
2/4-8	REPORTED BY LICENSEE	252_04_2_4_8(8AX)_Core_Analysis_Result	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_04_2_4_8(8AX)_Core_Analysis_Result.pdf	pdf	1767.000000	252	9999-12-31	2013-05-08	1388
2/4-8	REPORTED BY LICENSEE	252_04_2_4_8(8AX)_Core_Lithological_Descriptions	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_04_2_4_8(8AX)_Core_Lithological_Descriptions.pdf	pdf	478.000000	252	9999-12-31	2013-05-08	1389
2/4-8	REPORTED BY LICENSEE	252_04_2_4_8(8AX)_Petrography_of_Selected_Samples_Danian	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_04_2_4_8(8AX)_Petrography_of_Selected_Samples_Danian.pdf	pdf	18252.000000	252	9999-12-31	2013-05-08	1390
2/4-8	REPORTED BY LICENSEE	252_04_2_4_8(8AX)_Porosity_Permeability_and_Grain_Density	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_04_2_4_8(8AX)_Porosity_Permeability_and_Grain_Density.pdf	pdf	267.000000	252	9999-12-31	2013-05-08	1391
2/4-8	REPORTED BY LICENSEE	252_04_2_4_8(8AX)_Special_Core_Analysis_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_04_2_4_8(8AX)_Special_Core_Analysis_Study.pdf	pdf	3422.000000	252	9999-12-31	2013-05-08	1392
2/4-8	REPORTED BY LICENSEE	252_04_2_4_8(8AX)_XRD_Analysis_of_Selected_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_04_2_4_8(8AX)_XRD_Analysis_of_Selected_Samples.pdf	pdf	335.000000	252	9999-12-31	2013-05-08	1393
2/4-8	REPORTED BY LICENSEE	252_05_2_4_8(8AX)_Capillary_Pressure_Gas-Oil_and_water-Oil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_05_2_4_8(8AX)_Capillary_Pressure_Gas-Oil_and_water-Oil .pdf	pdf	3308.000000	252	9999-12-31	2013-05-08	1394
2/4-8	REPORTED BY LICENSEE	252_05_2_4_8(8AX)_DST_Fluid_and_Samples_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_05_2_4_8(8AX)_DST_Fluid_and_Samples_Analysis.pdf	pdf	2962.000000	252	9999-12-31	2013-05-08	1395
2/4-8	REPORTED BY LICENSEE	252_05_2_4_8(8AX)_DST_Fluid_and_Sample_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_05_2_4_8(8AX)_DST_Fluid_and_Sample_Analysis.pdf	pdf	16395.000000	252	9999-12-31	2013-05-08	1396
2/4-8	REPORTED BY LICENSEE	252_05_2_4_8(8AX)_Formation_Testing_Service_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_05_2_4_8(8AX)_Formation_Testing_Service_Report.pdf	pdf	1316.000000	252	9999-12-31	2013-05-08	1397
2/4-8	REPORTED BY LICENSEE	252_05_2_4_8(8AX)_Individual_Well_Production_Test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/252_05_2_4_8(8AX)_Individual_Well_Production_Test.pdf	pdf	120.000000	252	9999-12-31	2013-05-08	1398
2/4-9	GEOCHEMICAL INFORMATION	253_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/253_1.pdf	pdf	160.000000	253	9999-12-31	2013-05-08	1399
2/4-9	GEOCHEMICAL INFORMATION	253_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/253_2.pdf	pdf	965.000000	253	9999-12-31	2013-05-08	1400
2/4-9	OLD NPD WDSS	253_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/253_01_WDSS_General_Information.pdf	pdf	263.000000	253	9999-12-31	2013-05-08	1401
2/4-9	REPORTED BY LICENSEE	253_01_2_4_9(9X)_Well_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/253_01_2_4_9(9X)_Well_Completion_Report_and_Completion_log.pdf	pdf	13691.000000	253	9999-12-31	2013-05-08	1402
2/4-9	REPORTED BY LICENSEE	253_03_2_4_9(9X)_Additional_Biostratigraphic_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/253_03_2_4_9(9X)_Additional_Biostratigraphic_Analysis.pdf	pdf	151.000000	253	9999-12-31	2013-05-08	1403
2/4-9	REPORTED BY LICENSEE	253_03_2_4_9(9X)_Biostratigraphy_of_the_Interval_5110_12315ft	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/253_03_2_4_9(9X)_Biostratigraphy_of_the_Interval_5110_12315ft.pdf	pdf	3600.000000	253	9999-12-31	2013-05-08	1404
2/4-9	REPORTED BY LICENSEE	253_03_2_4_9(9X)_Geochemical_Characterization_of_DST_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/253_03_2_4_9(9X)_Geochemical_Characterization_of_DST_Samples.pdf	pdf	1891.000000	253	9999-12-31	2013-05-08	1405
2/4-9	REPORTED BY LICENSEE	253_05_2_4_9(9X)_Individual_Well_Production_Test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/253_05_2_4_9(9X)_Individual_Well_Production_Test.pdf	pdf	9650.000000	253	9999-12-31	2013-05-08	1406
2/5-1	GEOCHEMICAL INFORMATION	178_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/178_1.pdf	pdf	273.000000	178	9999-12-31	2013-05-08	1407
2/5-1	GEOCHEMICAL INFORMATION	178_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/178_2.pdf	pdf	1785.000000	178	9999-12-31	2013-05-08	1408
2/5-1	GEOCHEMICAL INFORMATION	178_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/178_3.pdf	pdf	762.000000	178	9999-12-31	2013-05-08	1409
2/5-1	GEOCHEMICAL INFORMATION	178_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/178_4.pdf	pdf	2200.000000	178	9999-12-31	2013-05-08	1410
2/5-1	OLD NPD WDSS	178_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/178_01_WDSS_General_Information.pdf	pdf	166.000000	178	9999-12-31	2013-05-08	1411
2/5-1	REPORTED BY LICENSEE	178_01_2_5_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/178_01_2_5_1_Completion_log.pdf	pdf	6918.000000	178	9999-12-31	2013-05-08	1412
2/5-1	REPORTED BY LICENSEE	178_01_2_5_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/178_01_2_5_1_Completion_Report.pdf	pdf	23391.000000	178	9999-12-31	2013-05-08	1413
2/5-1	REPORTED BY LICENSEE	178_01_2_5_1_Operator_Final_Well_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/178_01_2_5_1_Operator_Final_Well_Report.pdf	pdf	6609.000000	178	9999-12-31	2013-05-08	1414
2/5-1	REPORTED BY LICENSEE	178_02_2_5_1_Cross_Section_Enclosure1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/178_02_2_5_1_Cross_Section_Enclosure1.pdf	pdf	6517.000000	178	9999-12-31	2013-05-08	1415
2/5-1	REPORTED BY LICENSEE	178_05_2_5_1_Gas_chrom_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/178_05_2_5_1_Gas_chrom_log.pdf	pdf	5186.000000	178	9999-12-31	2013-05-08	1416
2/5-10	COMPOSITE LOG	2044	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2044.pdf	pdf	605.000000	2044	9999-12-31	2013-05-08	1417
2/5-10	GEOCHEMICAL INFORMATION	2044_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2044_1.pdf	pdf	1952.000000	2044	9999-12-31	2013-05-08	1418
2/5-10	GEOCHEMICAL INFORMATION	2044_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2044_2.pdf	pdf	1444.000000	2044	9999-12-31	2013-05-08	1419
2/5-10	GEOCHEMICAL INFORMATION	2044_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2044_3.pdf	pdf	928.000000	2044	9999-12-31	2013-05-08	1420
2/5-10 A	COMPOSITE LOG	2194	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2194.pdf	pdf	92.000000	2194	9999-12-31	2013-05-08	1421
2/5-10 A	GEOCHEMICAL INFORMATION	2194_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2194_1.pdf	pdf	1952.000000	2194	9999-12-31	2013-05-08	1422
2/5-10 A	GEOCHEMICAL INFORMATION	2194_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2194_2.pdf	pdf	1444.000000	2194	9999-12-31	2013-05-08	1423
2/5-10 A	GEOCHEMICAL INFORMATION	2194_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2194_3.pdf	pdf	928.000000	2194	9999-12-31	2013-05-08	1424
2/5-11	COMPOSITE LOG	3084	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3084.pdf	pdf	272.000000	3084	9999-12-31	2013-05-08	1425
2/5-11	GEOCHEMICAL INFORMATION	3084_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3084_1.pdf	pdf	597.000000	3084	9999-12-31	2013-05-08	1426
2/5-12	COMPOSITE LOG	4433	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4433.pdf	pdf	472.000000	4433	9999-12-31	2013-05-08	1427
2/5-12	GEOCHEMICAL INFORMATION	4433_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4433_1.pdf	pdf	7146.000000	4433	9999-12-31	2013-05-08	1428
2/5-13	GEOCHEMICAL INFORMATION	5948_01_2_5_13_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5948_01_2_5_13_gch_transfer_1.txt	txt	0.000000	5948	9999-12-31	2013-05-08	1429
2/5-13	GEOCHEMICAL INFORMATION	5948_02_2_5_13_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5948_02_2_5_13_gch_results_1.txt	txt	62.000000	5948	9999-12-31	2013-05-08	1430
2/5-14 S	GEOCHEMICAL INFORMATION	5958_01_2_5_14_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5958_01_2_5_14_gch_transfer_1.txt	txt	0.000000	5958	2013-02-13	2013-05-08	1431
2/5-14 S	GEOCHEMICAL INFORMATION	5958_01_2_5_14_gch_transfer_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5958_01_2_5_14_gch_transfer_2.txt	txt	0.000000	5958	2013-02-13	2013-05-08	1432
2/5-14 S	GEOCHEMICAL INFORMATION	5958_02_2_5_14_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5958_02_2_5_14_gch_results_1.txt	txt	125.000000	5958	2013-02-13	2013-05-08	1433
2/5-14 S	GEOCHEMICAL INFORMATION	5958_02_2_5_14_gch_results_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5958_02_2_5_14_gch_results_2.txt	txt	43.000000	5958	2013-02-13	2013-05-08	1434
2/5-2	OLD NPD WDSS	188_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/188_01_WDSS_General_Information.pdf	pdf	169.000000	188	9999-12-31	2013-05-08	1435
2/5-2	REPORTED BY LICENSEE	188_01_2_5_2_Completionr_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/188_01_2_5_2_Completionr_Report.pdf	pdf	16388.000000	188	9999-12-31	2013-05-08	1436
2/5-2	REPORTED BY LICENSEE	188_01_2_5_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/188_01_2_5_2_Completion_log.pdf	pdf	2058.000000	188	9999-12-31	2013-05-08	1437
2/5-2	REPORTED BY LICENSEE	188_04_2_5_2_Core_Analysis_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/188_04_2_5_2_Core_Analysis_Report.pdf	pdf	1427.000000	188	9999-12-31	2013-05-08	1438
2/5-3	OLD NPD WDSS	258_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/258_01_WDSS_General_Information.pdf	pdf	406.000000	258	9999-12-31	2013-05-08	1439
2/5-4	OLD NPD WDSS	259_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/259_01_WDSS_General_Information.pdf	pdf	235.000000	259	9999-12-31	2013-05-08	1440
2/5-4	REPORTED BY LICENSEE	259_01_2_5_4_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/259_01_2_5_4_Completion_log.pdf	pdf	3187.000000	259	9999-12-31	2013-05-08	1441
2/5-4	REPORTED BY LICENSEE	259_01_2_5_4_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/259_01_2_5_4_Completion_Report.pdf	pdf	4694.000000	259	9999-12-31	2013-05-08	1442
2/5-5	OLD NPD WDSS	260_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/260_01_WDSS_General_Information.pdf	pdf	256.000000	260	9999-12-31	2013-05-08	1443
2/5-6	GEOCHEMICAL INFORMATION	261_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/261_1.pdf	pdf	313.000000	261	9999-12-31	2013-05-08	1444
2/5-6	GEOCHEMICAL INFORMATION	261_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/261_2.pdf	pdf	1669.000000	261	9999-12-31	2013-05-08	1445
2/5-6	GEOCHEMICAL INFORMATION	261_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/261_3.pdf	pdf	209.000000	261	9999-12-31	2013-05-08	1446
2/5-6	GEOCHEMICAL INFORMATION	261_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/261_4.pdf	pdf	387.000000	261	9999-12-31	2013-05-08	1447
2/5-6	OLD NPD WDSS	261_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/261_01_WDSS_General_Information.pdf	pdf	205.000000	261	9999-12-31	2013-05-08	1448
2/5-6	OLD NPD WDSS	261_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/261_03_WDSS_lithlog.pdf	pdf	61.000000	261	9999-12-31	2013-05-08	1449
2/5-6	REPORTED BY LICENSEE	261_01_2_5_6_Completion_Report2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/261_01_2_5_6_Completion_Report2.pdf	pdf	22757.000000	261	9999-12-31	2013-05-08	1450
2/5-6	REPORTED BY LICENSEE	261_01_2_5_6_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/261_01_2_5_6_Completion_Report_and_Completion_log.pdf	pdf	45205.000000	261	9999-12-31	2013-05-08	1451
2/5-7	GEOCHEMICAL INFORMATION	25_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/25_1.pdf	pdf	191.000000	25	9999-12-31	2013-05-08	1452
2/5-7	GEOCHEMICAL INFORMATION	25_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/25_2.pdf	pdf	347.000000	25	9999-12-31	2013-05-08	1453
2/5-7	GEOCHEMICAL INFORMATION	25_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/25_3.pdf	pdf	996.000000	25	9999-12-31	2013-05-08	1454
2/5-7	GEOCHEMICAL INFORMATION	25_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/25_4.pdf	pdf	647.000000	25	9999-12-31	2013-05-08	1455
2/5-7	OLD NPD WDSS	25_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/25_01_WDSS_General_Information.pdf	pdf	220.000000	25	9999-12-31	2013-05-08	1456
2/5-7	OLD NPD WDSS	25_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/25_02_WDSS_completion_log.pdf	pdf	373.000000	25	9999-12-31	2013-05-08	1457
2/5-7	REPORTED BY LICENSEE	25_01_2_5_7_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/25_01_2_5_7_Completion_Report_and_Completion_log.pdf	pdf	13557.000000	25	9999-12-31	2013-05-08	1458
2/5-7	REPORTED BY LICENSEE	25_03_2_5_7_Biostratigraphy_of_the_Cretaceous-Tertiary_Interval	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/25_03_2_5_7_Biostratigraphy_of_the_Cretaceous-Tertiary_Interval.pdf	pdf	6470.000000	25	9999-12-31	2013-05-08	1459
2/5-7	REPORTED BY LICENSEE	25_03_2_5_7_Geochemical_Analysis_Crude_Oil_Well	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/25_03_2_5_7_Geochemical_Analysis_Crude_Oil_Well.pdf	pdf	378.000000	25	9999-12-31	2013-05-08	1460
2/5-7	REPORTED BY LICENSEE	25_03_2_5_7_Geochemical_Analysis_of_two_Kimmeridge_Klay_rock_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/25_03_2_5_7_Geochemical_Analysis_of_two_Kimmeridge_Klay_rock_Samples.pdf	pdf	1117.000000	25	9999-12-31	2013-05-08	1461
2/5-7	REPORTED BY LICENSEE	25_04_2_5_7_Preliminary_Petrophysical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/25_04_2_5_7_Preliminary_Petrophysical_Evaluation.pdf	pdf	3296.000000	25	9999-12-31	2013-05-08	1462
2/5-7	REPORTED BY LICENSEE	25_04_2_5_7_Results_of_Rock_Eval_Analysis_of_Sidewall_Core_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/25_04_2_5_7_Results_of_Rock_Eval_Analysis_of_Sidewall_Core_Samples.pdf	pdf	353.000000	25	9999-12-31	2013-05-08	1463
2/5-7	REPORTED BY LICENSEE	25_04_2_5_7_Routine_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/25_04_2_5_7_Routine_Core_Analysis.pdf	pdf	433.000000	25	9999-12-31	2013-05-08	1464
2/5-7	REPORTED BY LICENSEE	25_05_2_5_7_High_Accuracy_Pressure_Temperature_Measurements	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/25_05_2_5_7_High_Accuracy_Pressure_Temperature_Measurements.pdf	pdf	4152.000000	25	9999-12-31	2013-05-08	1465
2/5-7	REPORTED BY LICENSEE	25_05_2_5_7_Well_Testing_Report_Production_Test_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/25_05_2_5_7_Well_Testing_Report_Production_Test_1.pdf	pdf	10405.000000	25	9999-12-31	2013-05-08	1466
2/5-7	REPORTED BY LICENSEE	25_05_2_5_7_Well_Testing_Report_Production_Test_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/25_05_2_5_7_Well_Testing_Report_Production_Test_2.pdf	pdf	10751.000000	25	9999-12-31	2013-05-08	1467
2/5-7	REPORTED BY LICENSEE	25_05_2_5_7_Well_Testing_Report_Production_Test_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/25_05_2_5_7_Well_Testing_Report_Production_Test_3.pdf	pdf	4883.000000	25	9999-12-31	2013-05-08	1468
2/5-8	OLD NPD WDSS	1308_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1308_01_WDSS_General_Information.pdf	pdf	298.000000	1308	9999-12-31	2013-05-08	1469
2/5-8	OLD NPD WDSS	1308_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1308_02_WDSS_completion_log.pdf	pdf	217.000000	1308	9999-12-31	2013-05-08	1470
2/5-9	COMPOSITE LOG	1834	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1834.pdf	pdf	965.000000	1834	2013-05-01	2013-05-08	1471
2/5-9	GEOCHEMICAL INFORMATION	1834_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1834_1.pdf	pdf	668.000000	1834	9999-12-31	2013-05-08	1472
2/5-9	GEOCHEMICAL INFORMATION	1834_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1834_2.pdf	pdf	2788.000000	1834	9999-12-31	2013-05-08	1473
2/5-9	OLD NPD WDSS	1834_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1834_01_WDSS_General_Information.pdf	pdf	616.000000	1834	9999-12-31	2013-05-08	1474
2/5-9	OLD NPD WDSS	1834_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1834_02_WDSS_completion_log.pdf	pdf	289.000000	1834	9999-12-31	2013-05-08	1475
2/6-1	COMPOSITE LOG	160	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/160.pdf	pdf	418.000000	160	2013-01-22	2013-05-08	1476
2/6-1	GEOCHEMICAL INFORMATION	160_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/160_1.pdf	pdf	465.000000	160	9999-12-31	2013-05-08	1477
2/6-1	NPD PAPER	160_01_NPD_Paper_No.19_Lithology__Well_2_6_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/160_01_NPD_Paper_No.19_Lithology__Well_2_6_1.pdf	pdf	11080.000000	160	9999-12-31	2013-05-08	1478
2/6-1	NPD PAPER	160_02_NPD_Paper_No.19_Interpreted_Lithology_log__Well_2_6_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/160_02_NPD_Paper_No.19_Interpreted_Lithology_log__Well_2_6_1.pdf	pdf	49978.000000	160	9999-12-31	2013-05-08	1479
2/6-1	OLD NPD WDSS	160_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/160_01_WDSS_General_Information.pdf	pdf	190.000000	160	9999-12-31	2013-05-08	1480
2/6-1	REPORTED BY LICENSEE	160_01_2_6_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/160_01_2_6_1_Completion_Report.pdf	pdf	3928.000000	160	9999-12-31	2013-05-08	1481
2/6-1	REPORTED BY LICENSEE	160_02_2_6_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/160_02_2_6_1_Completion_log.pdf	pdf	1812.000000	160	9999-12-31	2013-05-08	1482
2/6-2	COMPOSITE LOG	224	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/224.pdf	pdf	1090.000000	224	2013-01-22	2013-05-08	1483
2/6-2	GEOCHEMICAL INFORMATION	224_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/224_1.pdf	pdf	12011.000000	224	9999-12-31	2013-05-08	1484
2/6-2	GEOCHEMICAL INFORMATION	224_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/224_2.pdf	pdf	10011.000000	224	9999-12-31	2013-05-08	1485
2/6-2	GEOCHEMICAL INFORMATION	224_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/224_3.pdf	pdf	249.000000	224	9999-12-31	2013-05-08	1486
2/6-2	GEOCHEMICAL INFORMATION	224_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/224_4.pdf	pdf	12468.000000	224	9999-12-31	2013-05-08	1487
2/6-2	GEOCHEMICAL INFORMATION	224_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/224_5.pdf	pdf	382.000000	224	9999-12-31	2013-05-08	1488
2/6-2	OLD NPD WDSS	224_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/224_01_WDSS_General_Information.pdf	pdf	129.000000	224	9999-12-31	2013-05-08	1489
2/6-2	OLD NPD WDSS	224_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/224_02_WDSS_completion_log.pdf	pdf	305.000000	224	9999-12-31	2013-05-08	1490
2/6-2	REPORTED BY LICENSEE	224_00_2_6_2_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/224_00_2_6_2_Completion_Log.pdf	pdf	3012.000000	224	9999-12-31	2013-05-08	1491
2/6-2	REPORTED BY LICENSEE	224_00_2_6_2_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/224_00_2_6_2_Completion_Report.pdf	pdf	7848.000000	224	9999-12-31	2013-05-08	1492
2/6-3	COMPOSITE LOG	64	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/64.pdf	pdf	732.000000	64	2013-01-22	2013-05-08	1493
2/6-3	OLD NPD WDSS	64_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/64_01_WDSS_General_Information.pdf	pdf	163.000000	64	9999-12-31	2013-05-08	1494
2/6-3	OLD NPD WDSS	64_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/64_02_WDSS_completion_log.pdf	pdf	338.000000	64	9999-12-31	2013-05-08	1495
2/6-3	REPORTED BY LICENSEE	64_01_2_6_3_Completion_Report_Geological	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/64_01_2_6_3_Completion_Report_Geological.pdf	pdf	15996.000000	64	9999-12-31	2013-05-08	1496
2/6-3	REPORTED BY LICENSEE	64_02_2_6_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/64_02_2_6_3_Completion_log.pdf	pdf	1966.000000	64	9999-12-31	2013-05-08	1497
2/6-4 S	OLD NPD WDSS	1527_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1527_01_WDSS_General_Information.pdf	pdf	180.000000	1527	9999-12-31	2013-05-08	1498
2/6-4 S	OLD NPD WDSS	1527_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1527_02_WDSS_completion_log.pdf	pdf	202.000000	1527	9999-12-31	2013-05-08	1499
2/6-5	COMPOSITE LOG	2885	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2885.pdf	pdf	437.000000	2885	9999-12-31	2013-05-08	1500
2/7-1	NPD PAPER	179_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/179_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_1.pdf	pdf	72884.000000	179	9999-12-31	2013-05-08	1501
2/7-1	NPD PAPER	179_02_NPD_Paper_No.32_Late_Jurassic-early_Tertiary_Correlation_chart_Profile_3__Well_2_7_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/179_02_NPD_Paper_No.32_Late_Jurassic-early_Tertiary_Correlation_chart_Profile_3__Well_2_7_1.pdf	pdf	739.000000	179	9999-12-31	2013-05-08	1502
2/7-1	NPD PAPER	179_03_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart_Eldfisk__Well_2_7_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/179_03_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart_Eldfisk__Well_2_7_1.pdf	pdf	824.000000	179	9999-12-31	2013-05-08	1503
2/7-1	OLD NPD WDSS	179_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/179_01_WDSS_General_Information.pdf	pdf	167.000000	179	9999-12-31	2013-05-08	1504
2/7-10	COMPOSITE LOG	269	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/269.pdf	pdf	294.000000	269	9999-12-31	2013-05-08	1505
2/7-10	OLD NPD WDSS	269_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/269_01_WDSS_General_Information.pdf	pdf	255.000000	269	9999-12-31	2013-05-08	1506
2/7-10	REPORTED BY LICENSEE	269_01_2_7_10_Final_Well_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/269_01_2_7_10_Final_Well_Report.pdf	pdf	3705.000000	269	9999-12-31	2013-05-08	1507
2/7-10	REPORTED BY LICENSEE	269_02_2_7_10_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/269_02_2_7_10_Completion_log.pdf	pdf	3970.000000	269	9999-12-31	2013-05-08	1508
2/7-11	NPD PAPER	270_01_NPD_Paper_No.32_Geology_of_the_southernmost_part_of_the_Norwegian_section_of_the_Central_Trough__Well_2_7_11	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/270_01_NPD_Paper_No.32_Geology_of_the_southernmost_part_of_the_Norwegian_section_of_the_Central_Trough__Well_2_7_11.pdf	pdf	24435.000000	270	9999-12-31	2013-05-08	1509
2/7-11	NPD PAPER	270_02_NPD_Paper_No.32_Late_Cretaceous-early_Tertiary_Correlation_chart_Valhall-Hod_Fields__Well_2_7_11	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/270_02_NPD_Paper_No.32_Late_Cretaceous-early_Tertiary_Correlation_chart_Valhall-Hod_Fields__Well_2_7_11.pdf	pdf	542.000000	270	9999-12-31	2013-05-08	1510
2/7-11	NPD PAPER	270_03_NPD_Paper_No.32_Stratigraphic_Correlation_chart_Profile_4__Well_2_7_11	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/270_03_NPD_Paper_No.32_Stratigraphic_Correlation_chart_Profile_4__Well_2_7_11.pdf	pdf	535.000000	270	9999-12-31	2013-05-08	1511
2/7-11	OLD NPD WDSS	270_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/270_01_WDSS_General_Information.pdf	pdf	245.000000	270	9999-12-31	2013-05-08	1512
2/7-12	GEOCHEMICAL INFORMATION	271_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/271_1.pdf	pdf	785.000000	271	9999-12-31	2013-05-08	1513
2/7-12	OLD NPD WDSS	271_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/271_01_WDSS_General_Information.pdf	pdf	112.000000	271	9999-12-31	2013-05-08	1514
2/7-12	REPORTED BY LICENSEE	271_01_2_7_12_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/271_01_2_7_12_Completion_Report_and_Completion_log.pdf	pdf	12929.000000	271	9999-12-31	2013-05-08	1515
2/7-13	COMPOSITE LOG	272	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/272.pdf	pdf	340.000000	272	9999-12-31	2013-05-08	1516
2/7-13	GEOCHEMICAL INFORMATION	272_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/272_1.pdf	pdf	698.000000	272	9999-12-31	2013-05-08	1517
2/7-13	GEOCHEMICAL INFORMATION	272_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/272_2.pdf	pdf	201.000000	272	9999-12-31	2013-05-08	1518
2/7-13	OLD NPD WDSS	272_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/272_01_WDSS_General_Information.pdf	pdf	111.000000	272	9999-12-31	2013-05-08	1519
2/7-13	OLD NPD WDSS	272_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/272_02_WDSS_completion_log.pdf	pdf	202.000000	272	9999-12-31	2013-05-08	1520
2/7-13	REPORTED BY LICENSEE	272_01_2_7_13_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/272_01_2_7_13_Completion_Report_and_Completion_log.pdf	pdf	24190.000000	272	9999-12-31	2013-05-08	1521
2/7-13	REPORTED BY LICENSEE	272_02_2_7_13_Drilling_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/272_02_2_7_13_Drilling_Completion_Report.pdf	pdf	165498.000000	272	9999-12-31	2013-05-08	1522
2/7-13	REPORTED BY LICENSEE	272_2_7_13_Calacreous_Nannofossil_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/272_2_7_13_Calacreous_Nannofossil_Biostratigraphy.pdf	pdf	61.000000	272	9999-12-31	2013-05-08	1523
2/7-13	REPORTED BY LICENSEE	272_2_7_13_Drilling_Summary_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/272_2_7_13_Drilling_Summary_report.pdf	pdf	1920.000000	272	9999-12-31	2013-05-08	1524
2/7-13	REPORTED BY LICENSEE	272_2_7_13_Northsea_Norwegian_Sector_Gamma-Residual_Oil_in_Chal	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/272_2_7_13_Northsea_Norwegian_Sector_Gamma-Residual_Oil_in_Chal.pdf	pdf	5807.000000	272	9999-12-31	2013-05-08	1525
2/7-13	REPORTED BY LICENSEE	272_2_7_13_Results_of_Routine_Core_Analysis_data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/272_2_7_13_Results_of_Routine_Core_Analysis_data.pdf	pdf	6645.000000	272	9999-12-31	2013-05-08	1526
2/7-13	REPORTED BY LICENSEE	272_2_7_13_Well_Site_Core_Descriptions_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/272_2_7_13_Well_Site_Core_Descriptions_Core_Analysis.pdf	pdf	13552.000000	272	9999-12-31	2013-05-08	1527
2/7-14	OLD NPD WDSS	116_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/116_01_WDSS_General_Information.pdf	pdf	131.000000	116	9999-12-31	2013-05-08	1528
2/7-14	OLD NPD WDSS	116_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/116_02_WDSS_completion_log.pdf	pdf	208.000000	116	9999-12-31	2013-05-08	1529
2/7-14	REPORTED BY LICENSEE	116_01_2_7_14_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/116_01_2_7_14_Completion_log.pdf	pdf	2281.000000	116	9999-12-31	2013-05-08	1530
2/7-14	REPORTED BY LICENSEE	116_01_2_7_14_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/116_01_2_7_14_Completion_Report.pdf	pdf	11808.000000	116	9999-12-31	2013-05-08	1531
2/7-14	REPORTED BY LICENSEE	116_04_2_7_14_Core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/116_04_2_7_14_Core_analysis.pdf	pdf	15173.000000	116	9999-12-31	2013-05-08	1532
2/7-15	GEOCHEMICAL INFORMATION	225_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/225_1.pdf	pdf	2144.000000	225	9999-12-31	2013-05-08	1533
2/7-15	GEOCHEMICAL INFORMATION	225_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/225_2.pdf	pdf	3576.000000	225	9999-12-31	2013-05-08	1534
2/7-15	GEOCHEMICAL INFORMATION	225_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/225_3.pdf	pdf	10553.000000	225	9999-12-31	2013-05-08	1535
2/7-15	OLD NPD WDSS	225_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/225_01_WDSS_General_Information.pdf	pdf	255.000000	225	9999-12-31	2013-05-08	1536
2/7-15	OLD NPD WDSS	225_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/225_02_WDSS_completion_log.pdf	pdf	251.000000	225	9999-12-31	2013-05-08	1537
2/7-15	REPORTED BY LICENSEE	225_01_2_7_15_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/225_01_2_7_15_Completion_report.pdf	pdf	22321.000000	225	9999-12-31	2013-05-08	1538
2/7-16	OLD NPD WDSS	232_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/232_01_WDSS_General_Information.pdf	pdf	133.000000	232	9999-12-31	2013-05-08	1539
2/7-16	OLD NPD WDSS	232_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/232_02_WDSS_completion_log.pdf	pdf	287.000000	232	9999-12-31	2013-05-08	1540
2/7-16	REPORTED BY LICENSEE	232_01_2_7_16_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/232_01_2_7_16_Completion_Report.pdf	pdf	31792.000000	232	9999-12-31	2013-05-08	1541
2/7-16	REPORTED BY LICENSEE	232_02_2_7_16_Completion_log.1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/232_02_2_7_16_Completion_log.1.pdf	pdf	3088.000000	232	9999-12-31	2013-05-08	1542
2/7-17	COMPOSITE LOG	200	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/200.pdf	pdf	156.000000	200	9999-12-31	2013-05-08	1543
2/7-17	OLD NPD WDSS	200_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/200_01_WDSS_General_Information.pdf	pdf	114.000000	200	9999-12-31	2013-05-08	1544
2/7-17	OLD NPD WDSS	200_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/200_02_WDSS_completion_log.pdf	pdf	130.000000	200	9999-12-31	2013-05-08	1545
2/7-17	REPORTED BY LICENSEE	200_01_2_7_17_Completion_Report_and Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/200_01_2_7_17_Completion_Report_and Completion_log.pdf	pdf	14093.000000	200	9999-12-31	2013-05-08	1546
2/7-18	OLD NPD WDSS	206_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/206_01_WDSS_General_Information.pdf	pdf	108.000000	206	9999-12-31	2013-05-08	1547
2/7-18	OLD NPD WDSS	206_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/206_02_WDSS_completion_log.pdf	pdf	65.000000	206	9999-12-31	2013-05-08	1548
2/7-18	REPORTED BY LICENSEE	206_01_2_7_18_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/206_01_2_7_18_Completion_Report.pdf	pdf	4792.000000	206	9999-12-31	2013-05-08	1549
2/7-19	GEOCHEMICAL INFORMATION	1367_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1367_1.pdf	pdf	255.000000	1367	9999-12-31	2013-05-08	1550
2/7-19	GEOCHEMICAL INFORMATION	1367_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1367_2.pdf	pdf	961.000000	1367	9999-12-31	2013-05-08	1551
2/7-19	OLD NPD WDSS	1367_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1367_01_WDSS_General_Information.pdf	pdf	99.000000	1367	9999-12-31	2013-05-08	1552
2/7-19	OLD NPD WDSS	1367_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1367_02_WDSS_completion_log.pdf	pdf	308.000000	1367	9999-12-31	2013-05-08	1553
2/7-19	REPORTED BY LICENSEE	1367_01_2_7_19_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1367_01_2_7_19_Completion_Report_and_Completion_log.pdf	pdf	14708.000000	1367	9999-12-31	2013-05-08	1554
2/7-19	REPORTED BY LICENSEE	1367_01_2_7_19_Final_Well_Report_Exploratory	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1367_01_2_7_19_Final_Well_Report_Exploratory.pdf	pdf	7452.000000	1367	9999-12-31	2013-05-08	1555
2/7-19	REPORTED BY LICENSEE	1367_04_2_7_19_Ebba_Palynology_and_Source_Rock_Potential	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1367_04_2_7_19_Ebba_Palynology_and_Source_Rock_Potential.pdf	pdf	4030.000000	1367	9999-12-31	2013-05-08	1556
2/7-19 R	GEOCHEMICAL INFORMATION	1512_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1512_1.pdf	pdf	211.000000	1512	9999-12-31	2013-05-08	1557
2/7-19 R	GEOCHEMICAL INFORMATION	1512_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1512_2.pdf	pdf	1005.000000	1512	9999-12-31	2013-05-08	1558
2/7-2	GEOCHEMICAL INFORMATION	187_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/187_1.pdf	pdf	143.000000	187	9999-12-31	2013-05-08	1559
2/7-2	GEOCHEMICAL INFORMATION	187_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/187_2.pdf	pdf	2766.000000	187	9999-12-31	2013-05-08	1560
2/7-2	GEOCHEMICAL INFORMATION	187_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/187_3.pdf	pdf	5975.000000	187	9999-12-31	2013-05-08	1561
2/7-2	NPD PAPER	187_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/187_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_2.pdf	pdf	72884.000000	187	9999-12-31	2013-05-08	1562
2/7-2	NPD PAPER	187_02_NPD_Paper_No.32_Stratigraphic_Correlation_chart_Profile_4__Well_2_7_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/187_02_NPD_Paper_No.32_Stratigraphic_Correlation_chart_Profile_4__Well_2_7_2.pdf	pdf	535.000000	187	9999-12-31	2013-05-08	1563
2/7-2	NPD PAPER	187_03_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart__Well_2_7_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/187_03_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart__Well_2_7_2.pdf	pdf	562.000000	187	9999-12-31	2013-05-08	1564
2/7-2	OLD NPD WDSS	187_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/187_01_WDSS_General_Information.pdf	pdf	162.000000	187	9999-12-31	2013-05-08	1565
2/7-2	REPORTED BY LICENSEE	187_1_2_7_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/187_1_2_7_2_Completion_log.pdf	pdf	2088.000000	187	9999-12-31	2013-05-08	1566
2/7-2	REPORTED BY LICENSEE	187_1_2_7_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/187_1_2_7_2_Completion_report.pdf	pdf	22394.000000	187	9999-12-31	2013-05-08	1567
2/7-20	GEOCHEMICAL INFORMATION	1062_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1062_GCH_1.pdf	pdf	656.000000	1062	2012-10-10	2013-05-08	1568
2/7-20	GEOCHEMICAL INFORMATION	1062_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1062_GCH_2.pdf	pdf	2583.000000	1062	2012-10-10	2013-05-08	1569
2/7-20	GEOCHEMICAL INFORMATION	1062_GCH_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1062_GCH_3.pdf	pdf	12152.000000	1062	2012-10-10	2013-05-08	1570
2/7-20	GEOCHEMICAL INFORMATION	1062_GCH_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1062_GCH_4.pdf	pdf	3293.000000	1062	2012-10-10	2013-05-08	1571
2/7-20	GEOCHEMICAL INFORMATION	1062_GCH_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1062_GCH_5.pdf	pdf	1186.000000	1062	2012-10-10	2013-05-08	1572
2/7-20	OLD NPD WDSS	1062_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1062_01_WDSS_General_Information.pdf	pdf	267.000000	1062	9999-12-31	2013-05-08	1573
2/7-20	OLD NPD WDSS	1062_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1062_02_WDSS_completion_log.pdf	pdf	284.000000	1062	9999-12-31	2013-05-08	1574
2/7-20	REPORTED BY LICENSEE	1062_2_7_20_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1062_2_7_20_Completion_log.pdf	pdf	3800.000000	1062	9999-12-31	2013-05-08	1575
2/7-20	REPORTED BY LICENSEE	1062_2_7_20_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1062_2_7_20_Completion_report.pdf	pdf	29586.000000	1062	9999-12-31	2013-05-08	1576
2/7-21 S	GEOCHEMICAL INFORMATION	1394_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1394_1.pdf	pdf	286.000000	1394	9999-12-31	2013-05-08	1577
2/7-21 S	GEOCHEMICAL INFORMATION	1394_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1394_2.pdf	pdf	3454.000000	1394	9999-12-31	2013-05-08	1578
2/7-21 S	GEOCHEMICAL INFORMATION	1394_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1394_3.pdf	pdf	6885.000000	1394	9999-12-31	2013-05-08	1579
2/7-21 S	OLD NPD WDSS	1394_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1394_01_WDSS_General_Information.pdf	pdf	274.000000	1394	9999-12-31	2013-05-08	1580
2/7-21 S	OLD NPD WDSS	1394_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1394_02_WDSS_completion_log.pdf	pdf	251.000000	1394	9999-12-31	2013-05-08	1581
2/7-22	COMPOSITE LOG	1495	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1495.pdf	pdf	590.000000	1495	9999-12-31	2013-05-08	1582
2/7-22	GEOCHEMICAL INFORMATION	1495_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1495_1.pdf	pdf	332.000000	1495	9999-12-31	2013-05-08	1583
2/7-22	GEOCHEMICAL INFORMATION	1495_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1495_2.pdf	pdf	938.000000	1495	9999-12-31	2013-05-08	1584
2/7-22	GEOCHEMICAL INFORMATION	1495_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1495_3.pdf	pdf	301.000000	1495	9999-12-31	2013-05-08	1585
2/7-22	OLD NPD WDSS	1495_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1495_01_WDSS_General_Information.pdf	pdf	266.000000	1495	9999-12-31	2013-05-08	1586
24/12-1	GEOCHEMICAL INFORMATION	347_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/347_1.pdf	pdf	604.000000	347	9999-12-31	2013-05-08	1746
2/7-22	OLD NPD WDSS	1495_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1495_02_WDSS_completion_log.pdf	pdf	233.000000	1495	9999-12-31	2013-05-08	1587
2/7-23 S	GEOCHEMICAL INFORMATION	1547_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1547_1.pdf	pdf	404.000000	1547	9999-12-31	2013-05-08	1588
2/7-23 S	GEOCHEMICAL INFORMATION	1547_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1547_2.pdf	pdf	1991.000000	1547	9999-12-31	2013-05-08	1589
2/7-23 S	OLD NPD WDSS	1547_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1547_01_WDSS_General_Information.pdf	pdf	238.000000	1547	9999-12-31	2013-05-08	1590
2/7-23 S	OLD NPD WDSS	1547_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1547_02_WDSS_completion_log.pdf	pdf	253.000000	1547	9999-12-31	2013-05-08	1591
2/7-24	OLD NPD WDSS	1613_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1613_01_WDSS_General_Information.pdf	pdf	716.000000	1613	9999-12-31	2013-05-08	1592
2/7-24	OLD NPD WDSS	1613_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1613_02_WDSS_completion_log.pdf	pdf	285.000000	1613	9999-12-31	2013-05-08	1593
2/7-25 S	OLD NPD WDSS	1679_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1679_01_WDSS_General_Information.pdf	pdf	540.000000	1679	9999-12-31	2013-05-08	1594
2/7-25 S	OLD NPD WDSS	1679_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1679_02_WDSS_completion_log.pdf	pdf	266.000000	1679	9999-12-31	2013-05-08	1595
2/7-25 S	REPORTED BY LICENSEE	1679_2_7_25_S_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1679_2_7_25_S_Completion_report.pdf	pdf	23394.000000	1679	2012-11-07	2013-05-08	1596
2/7-25 S	REPORTED BY LICENSEE	1679_2_7_25_S_Completion_report_Drilling	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1679_2_7_25_S_Completion_report_Drilling.pdf	pdf	32181.000000	1679	2012-11-07	2013-05-08	1597
2/7-26 S	OLD NPD WDSS	1756_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1756_01_WDSS_General_Information.pdf	pdf	579.000000	1756	9999-12-31	2013-05-08	1598
2/7-26 S	OLD NPD WDSS	1756_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1756_02_WDSS_completion_log.pdf	pdf	254.000000	1756	9999-12-31	2013-05-08	1599
2/7-27 S	GEOCHEMICAL INFORMATION	1878_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1878_GCH_1.pdf	pdf	1596.000000	1878	2012-12-21	2013-05-08	1600
2/7-27 S	GEOCHEMICAL INFORMATION	1878_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1878_GCH_2.pdf	pdf	5951.000000	1878	2012-12-21	2013-05-08	1601
2/7-27 S	GEOCHEMICAL INFORMATION	1878_GCH_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1878_GCH_3.pdf	pdf	1075.000000	1878	2012-12-21	2013-05-08	1602
2/7-27 S	GEOCHEMICAL INFORMATION	1878_GCH_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1878_GCH_4.pdf	pdf	1710.000000	1878	2012-12-21	2013-05-08	1603
2/7-27 S	OLD NPD WDSS	1878_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1878_01_WDSS_General_Information.pdf	pdf	646.000000	1878	9999-12-31	2013-05-08	1604
2/7-27 S	OLD NPD WDSS	1878_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1878_02_WDSS_completion_log.pdf	pdf	233.000000	1878	9999-12-31	2013-05-08	1605
2/7-27 S	REPORTED BY LICENSEE	1878_2_7_27_S_COMPLETION_LOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1878_2_7_27_S_COMPLETION_LOG.pdf	pdf	2670.000000	1878	2012-11-07	2013-05-08	1606
2/7-27 S	REPORTED BY LICENSEE	1878_2_7_27_S_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1878_2_7_27_S_Completion_report.pdf	pdf	51199.000000	1878	2012-11-07	2013-05-08	1607
2/7-27 S	REPORTED BY LICENSEE	1878_2_7_27_S_Completion_report_Drilling	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1878_2_7_27_S_Completion_report_Drilling.pdf	pdf	60600.000000	1878	2012-11-07	2013-05-08	1608
2/7-27 S	REPORTED BY LICENSEE	1878_2_7_27_S_Completion_report_Enclosure	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1878_2_7_27_S_Completion_report_Enclosure.pdf	pdf	18105.000000	1878	2012-11-07	2013-05-08	1609
2/7-28	OLD NPD WDSS	1906_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1906_01_WDSS_General_Information.pdf	pdf	656.000000	1906	9999-12-31	2013-05-08	1610
2/7-28	OLD NPD WDSS	1906_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1906_02_WDSS_completion_log.pdf	pdf	227.000000	1906	9999-12-31	2013-05-08	1611
2/7-29	COMPOSITE LOG	2124	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2124.pdf	pdf	427.000000	2124	9999-12-31	2013-05-08	1612
2/7-3	NPD PAPER	262_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/262_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_3.pdf	pdf	72884.000000	262	9999-12-31	2013-05-08	1613
2/7-3	NPD PAPER	262_02_NPD_Paper_No.32_Late_Jurassic-early_Tertiary_Correlation_chart_Profile_3__Well_2_7_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/262_02_NPD_Paper_No.32_Late_Jurassic-early_Tertiary_Correlation_chart_Profile_3__Well_2_7_3.pdf	pdf	739.000000	262	9999-12-31	2013-05-08	1614
2/7-3	NPD PAPER	262_03_NPD_Paper_No.30_Interpreted_Lithology_log__Well_2_7_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/262_03_NPD_Paper_No.30_Interpreted_Lithology_log__Well_2_7_3.pdf	pdf	61830.000000	262	9999-12-31	2013-05-08	1615
2/7-3	NPD PAPER	262_04_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart_Eldfisk__Well_2_7_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/262_04_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart_Eldfisk__Well_2_7_3.pdf	pdf	824.000000	262	9999-12-31	2013-05-08	1616
2/7-3	OLD NPD WDSS	262_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/262_01_WDSS_General_Information.pdf	pdf	238.000000	262	9999-12-31	2013-05-08	1617
2/7-30	GEOCHEMICAL INFORMATION	2394_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2394_1.pdf	pdf	129.000000	2394	9999-12-31	2013-05-08	1618
2/7-30	GEOCHEMICAL INFORMATION	2394_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2394_2.pdf	pdf	2199.000000	2394	9999-12-31	2013-05-08	1619
2/7-31	COMPOSITE LOG	3573	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3573.pdf	pdf	802.000000	3573	9999-12-31	2013-05-08	1620
2/7-4	COMPOSITE LOG	263	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/263.pdf	pdf	282.000000	263	9999-12-31	2013-05-08	1621
2/7-4	OLD NPD WDSS	263_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/263_01_WDSS_General_Information.pdf	pdf	246.000000	263	9999-12-31	2013-05-08	1622
2/7-4	REPORTED BY LICENSEE	263_01_2_7_4_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/263_01_2_7_4_Completion_Report_and_Completion_log.pdf	pdf	18326.000000	263	9999-12-31	2013-05-08	1623
2/7-5	COMPOSITE LOG	264	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/264.pdf	pdf	321.000000	264	9999-12-31	2013-05-08	1624
2/7-5	OLD NPD WDSS	264_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/264_01_WDSS_General_Information.pdf	pdf	246.000000	264	9999-12-31	2013-05-08	1625
2/7-5	REPORTED BY LICENSEE	264_02_2_7_5_Completion_log.1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/264_02_2_7_5_Completion_log.1.pdf	pdf	1193.000000	264	9999-12-31	2013-05-08	1626
2/7-5	REPORTED BY LICENSEE	264_2_7_5_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/264_2_7_5_Completion_Report.pdf	pdf	19558.000000	264	9999-12-31	2013-05-08	1627
2/7-6	NPD PAPER	265_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_6	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/265_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_6.pdf	pdf	72884.000000	265	9999-12-31	2013-05-08	1628
2/7-6	NPD PAPER	265_02_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart_Eldfisk__Well_2_7_6	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/265_02_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart_Eldfisk__Well_2_7_6.pdf	pdf	824.000000	265	9999-12-31	2013-05-08	1629
2/7-6	OLD NPD WDSS	265_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/265_01_WDSS_General_Information.pdf	pdf	246.000000	265	9999-12-31	2013-05-08	1630
2/7-7	NPD PAPER	266_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_7	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/266_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_7.pdf	pdf	72884.000000	266	9999-12-31	2013-05-08	1631
2/7-7	NPD PAPER	266_02_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart_Eldfisk__Well_2_7_7	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/266_02_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart_Eldfisk__Well_2_7_7.pdf	pdf	824.000000	266	9999-12-31	2013-05-08	1632
2/7-7	NPD PAPER	266_03_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart__Well_2_7_7	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/266_03_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart__Well_2_7_7.pdf	pdf	562.000000	266	9999-12-31	2013-05-08	1633
2/7-7	OLD NPD WDSS	266_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/266_01_WDSS_General_Information.pdf	pdf	267.000000	266	9999-12-31	2013-05-08	1634
2/7-8	NPD PAPER	267_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_8	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/267_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_8.pdf	pdf	72884.000000	267	9999-12-31	2013-05-08	1635
2/7-8	NPD PAPER	267_02_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart__Well_2_7_8	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/267_02_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart__Well_2_7_8.pdf	pdf	562.000000	267	9999-12-31	2013-05-08	1636
2/7-8	OLD NPD WDSS	267_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/267_01_WDSS_General_Information.pdf	pdf	252.000000	267	9999-12-31	2013-05-08	1637
2/7-8	REPORTED BY LICENSEE	267_01_2_7_8_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/267_01_2_7_8_Completion_Log.pdf	pdf	1349.000000	267	9999-12-31	2013-05-08	1638
2/7-8	REPORTED BY LICENSEE	267_01_2_7_8_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/267_01_2_7_8_Completion_report.pdf	pdf	5036.000000	267	9999-12-31	2013-05-08	1639
2/7-9	GEOCHEMICAL INFORMATION	268_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/268_GCH_1.pdf	pdf	352.000000	268	2012-12-21	2013-05-08	1640
2/7-9	GEOCHEMICAL INFORMATION	268_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/268_GCH_2.pdf	pdf	3634.000000	268	2012-12-21	2013-05-08	1641
2/7-9	NPD PAPER	268_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_9	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/268_01_NPD_Paper_No.30_Geology_of_the_Eldfisk_Area__Well_2_7_9.pdf	pdf	72884.000000	268	9999-12-31	2013-05-08	1642
2/7-9	NPD PAPER	268_02_NPD_Paper_No.32_Stratigraphic_Correlation_chart_Profile_4__Well_2_7_9	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/268_02_NPD_Paper_No.32_Stratigraphic_Correlation_chart_Profile_4__Well_2_7_9.pdf	pdf	535.000000	268	9999-12-31	2013-05-08	1643
2/7-9	NPD PAPER	268_03_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart__Well_2_7_9	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/268_03_NPD_Paper_No.30_Early_Tertiary-Late_Jurassic_Correlation_chart__Well_2_7_9.pdf	pdf	562.000000	268	9999-12-31	2013-05-08	1644
2/7-9	OLD NPD WDSS	268_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/268_01_WDSS_General_Information.pdf	pdf	263.000000	268	9999-12-31	2013-05-08	1645
2/7-9	REPORTED BY LICENSEE	268_2_7_9_COMPLETION_LOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/268_2_7_9_COMPLETION_LOG.pdf	pdf	2735.000000	268	2012-11-07	2013-05-08	1646
2/7-9	REPORTED BY LICENSEE	268_2_7_9_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/268_2_7_9_COMPLETION_REPORT.pdf	pdf	26380.000000	268	2012-11-07	2013-05-08	1647
2/8-1	NPD PAPER	124_01_NPD_Paper_No.7_Lithology__Well_2_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/124_01_NPD_Paper_No.7_Lithology__Well_2_8_1.pdf	pdf	12729.000000	124	9999-12-31	2013-05-08	1648
2/8-1	NPD PAPER	124_02_NPD_Paper_No.7_Interpreted_Lithology_log__Well_2_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/124_02_NPD_Paper_No.7_Interpreted_Lithology_log__Well_2_8_1.pdf	pdf	39332.000000	124	9999-12-31	2013-05-08	1649
2/8-1	OLD NPD WDSS	124_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/124_01_WDSS_General_Information.pdf	pdf	190.000000	124	9999-12-31	2013-05-08	1650
2/8-1	REPORTED BY LICENSEE	124_01_2_8_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/124_01_2_8_1_Completion_Report.pdf	pdf	3178.000000	124	9999-12-31	2013-05-08	1651
2/8-1	REPORTED BY LICENSEE	124_02_2_8_1_Completion_log.1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/124_02_2_8_1_Completion_log.1.pdf	pdf	1738.000000	124	9999-12-31	2013-05-08	1652
2/8-1	REPORTED BY LICENSEE	124_2_8_1_plus_Correlation_charts_Valhall_wells	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/124_2_8_1_plus_Correlation_charts_Valhall_wells.pdf	pdf	28994.000000	124	9999-12-31	2013-05-08	1653
2/8-1	REPORTED BY LICENSEE	124_2_8_1_plus_Valhall_Hod_Biostratigraphic_Reappraisal_and_Correlation_Study_vol_1_of_2_1984	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/124_2_8_1_plus_Valhall_Hod_Biostratigraphic_Reappraisal_and_Correlation_Study_vol_1_of_2_1984.pdf	pdf	4812.000000	124	9999-12-31	2013-05-08	1654
2/8-1	REPORTED BY LICENSEE	124_2_8_1_plus_Valhall_Hod_Biostratigraphic_Reappraisal_and_Correlation_Study_vol_2_of_2_1984	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/124_2_8_1_plus_Valhall_Hod_Biostratigraphic_Reappraisal_and_Correlation_Study_vol_2_of_2_1984.pdf	pdf	12771.000000	124	9999-12-31	2013-05-08	1655
2/8-10	OLD NPD WDSS	280_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/280_01_WDSS_General_Information.pdf	pdf	278.000000	280	9999-12-31	2013-05-08	1656
2/8-10	REPORTED BY LICENSEE	280_2_8_10_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/280_2_8_10_Completionlog.pdf	pdf	2197.000000	280	9999-12-31	2013-05-08	1657
2/8-10	REPORTED BY LICENSEE	280_2_8_10_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/280_2_8_10_Completion_report.pdf	pdf	21247.000000	280	9999-12-31	2013-05-08	1658
2/8-11	NPD PAPER	1224_03_NPD_Paper_No.32_Late_Cretaceous-early_Tertiary_Correlation_chart_Valhall-Hod_Fields_Profile_2__Well_2_8_11	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/1224_03_NPD_Paper_No.32_Late_Cretaceous-early_Tertiary_Correlation_chart_Valhall-Hod_Fields_Profile_2__Well_2_8_11.pdf	pdf	364.000000	1224	9999-12-31	2013-05-08	1659
2/8-11	NPD PAPER	1224_01_NPD_Paper_No.32_Geology_of_the_southernmost_part_of_the_Norwegian_section_of_the_Central_Trough__Well_2_8_11	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/1224_01_NPD_Paper_No.32_Geology_of_the_southernmost_part_of_the_Norwegian_section_of_the_Central_Trough__Well_2_8_11.pdf	pdf	24435.000000	1224	9999-12-31	2013-05-08	1660
2/8-11	NPD PAPER	1224_02_NPD_Paper_No.32_Late_Cretaceous-early_Tertiary_Correlation_chart_Valhall-Hod_Fields_Profile_1__Well_2_8_11	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/1224_02_NPD_Paper_No.32_Late_Cretaceous-early_Tertiary_Correlation_chart_Valhall-Hod_Fields_Profile_1__Well_2_8_11.pdf	pdf	542.000000	1224	9999-12-31	2013-05-08	1661
25/4-1	COMPOSITE LOG	359	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/359.pdf	pdf	514.000000	359	9999-12-31	2013-05-08	2130
2/8-11	OLD NPD WDSS	1224_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1224_01_WDSS_General_Information.pdf	pdf	269.000000	1224	9999-12-31	2013-05-08	1662
2/8-11	REPORTED BY LICENSEE	1224_2_8_11_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1224_2_8_11_Completionlog.pdf	pdf	1438.000000	1224	9999-12-31	2013-05-08	1663
2/8-11	REPORTED BY LICENSEE	1224_2_8_11_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1224_2_8_11_Completion_report.pdf	pdf	17674.000000	1224	9999-12-31	2013-05-08	1664
2/8-12 S	COMPOSITE LOG	1351	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1351.pdf	pdf	654.000000	1351	9999-12-31	2013-05-08	1665
2/8-12 S	GEOCHEMICAL INFORMATION	1351_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1351_1.pdf	pdf	988.000000	1351	9999-12-31	2013-05-08	1666
2/8-12 S	OLD NPD WDSS	1351_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1351_01_WDSS_General_Information.pdf	pdf	264.000000	1351	9999-12-31	2013-05-08	1667
2/8-12 S	OLD NPD WDSS	1351_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1351_02_WDSS_completion_log.pdf	pdf	243.000000	1351	9999-12-31	2013-05-08	1668
2/8-12 S	REPORTED BY LICENSEE	1351_01_2_8_12_S_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1351_01_2_8_12_S_Completion_report.pdf	pdf	20587.000000	1351	9999-12-31	2013-05-08	1669
2/8-12 S	REPORTED BY LICENSEE	1351_02_2_8_12_S_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1351_02_2_8_12_S_Completion_log.pdf	pdf	3669.000000	1351	9999-12-31	2013-05-08	1670
2/8-13	COMPOSITE LOG	1383	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1383.pdf	pdf	224.000000	1383	9999-12-31	2013-05-08	1671
2/8-13	OLD NPD WDSS	1383_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1383_01_WDSS_General_Information.pdf	pdf	284.000000	1383	9999-12-31	2013-05-08	1672
2/8-13	OLD NPD WDSS	1383_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1383_02_WDSS_completion_log.pdf	pdf	125.000000	1383	9999-12-31	2013-05-08	1673
2/8-14	GEOCHEMICAL INFORMATION	1552_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1552_GCH_1.pdf	pdf	124.000000	1552	2012-10-10	2013-05-08	1674
2/8-14	GEOCHEMICAL INFORMATION	1552_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1552_GCH_2.pdf	pdf	20450.000000	1552	2012-10-10	2013-05-08	1675
2/8-14	OLD NPD WDSS	1552_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1552_01_WDSS_General_Information.pdf	pdf	629.000000	1552	9999-12-31	2013-05-08	1676
2/8-14	OLD NPD WDSS	1552_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1552_02_WDSS_completion_log.pdf	pdf	222.000000	1552	9999-12-31	2013-05-08	1677
2/8-14	REPORTED BY LICENSEE	1552_2_8_14_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1552_2_8_14_Completion_log.pdf	pdf	2315.000000	1552	9999-12-31	2013-05-08	1678
2/8-14	REPORTED BY LICENSEE	1552_2_8_14_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1552_2_8_14_Completion_report.pdf	pdf	16990.000000	1552	9999-12-31	2013-05-08	1679
2/8-14	REPORTED BY LICENSEE	1552_2_8_14_Drilling_diary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1552_2_8_14_Drilling_diary.pdf	pdf	25143.000000	1552	9999-12-31	2013-05-08	1680
2/8-14	REPORTED BY LICENSEE	1552_2_8_14_Drilling_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1552_2_8_14_Drilling_report.pdf	pdf	35464.000000	1552	9999-12-31	2013-05-08	1681
2/8-14	REPORTED BY LICENSEE	1552_2_8_14_Wellsite_samples - Kopi	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1552_2_8_14_Wellsite_samples - Kopi.pdf	pdf	39657.000000	1552	9999-12-31	2013-05-08	1682
2/8-14	REPORTED BY LICENSEE	1552_2_8_14_Wellsite_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1552_2_8_14_Wellsite_samples.pdf	pdf	39657.000000	1552	9999-12-31	2013-05-08	1683
2/8-14	REPORTED BY LICENSEE	1552_34_7_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1552_34_7_3_Completion_log.pdf	pdf	2547.000000	1552	9999-12-31	2013-05-08	1684
2/8-14	REPORTED BY LICENSEE	1552_34_7_3_Completion_report_I	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1552_34_7_3_Completion_report_I.pdf	pdf	26968.000000	1552	9999-12-31	2013-05-08	1685
2/8-14	REPORTED BY LICENSEE	1552_34_7_3_Completion_report_II	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1552_34_7_3_Completion_report_II.pdf	pdf	25518.000000	1552	9999-12-31	2013-05-08	1686
2/8-15	COMPOSITE LOG	2636	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2636.pdf	pdf	430.000000	2636	9999-12-31	2013-05-08	1687
2/8-15	GEOCHEMICAL INFORMATION	2636_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2636_1.pdf	pdf	665.000000	2636	9999-12-31	2013-05-08	1688
2/8-17 A	COMPOSITE LOG	3328	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3328.pdf	pdf	288.000000	3328	9999-12-31	2013-05-08	1689
2/8-17 S	COMPOSITE LOG	3210	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3210.pdf	pdf	216.000000	3210	9999-12-31	2013-05-08	1690
2/8-17 S	GEOCHEMICAL INFORMATION	3210_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3210_1.pdf	pdf	982.000000	3210	9999-12-31	2013-05-08	1691
2/8-2	COMPOSITE LOG	155	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/155.pdf	pdf	388.000000	155	9999-12-31	2013-05-08	1692
2/8-2	GEOCHEMICAL INFORMATION	155_1_source_rock_evaluation_amoco_norway_2_8_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/155_1_source_rock_evaluation_amoco_norway_2_8_2.pdf	pdf	1775.000000	155	9999-12-31	2013-05-08	1693
2/8-2	GEOCHEMICAL INFORMATION	155_2_source_rock_evaluation_amoco_norway_2_8_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/155_2_source_rock_evaluation_amoco_norway_2_8_2.pdf	pdf	494.000000	155	9999-12-31	2013-05-08	1694
2/8-2	GEOCHEMICAL INFORMATION	155_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/155_3.pdf	pdf	160.000000	155	9999-12-31	2013-05-08	1695
2/8-2	NPD PAPER	155_01_NPD_Paper_No.13_Lithology__Well_2_8_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/155_01_NPD_Paper_No.13_Lithology__Well_2_8_2.pdf	pdf	11510.000000	155	9999-12-31	2013-05-08	1696
2/8-2	NPD PAPER	155_02_NPD_Paper_No.13_Interpreted_Lithology_log__Well_2_8_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/155_02_NPD_Paper_No.13_Interpreted_Lithology_log__Well_2_8_2.pdf	pdf	55222.000000	155	9999-12-31	2013-05-08	1697
2/8-2	OLD NPD WDSS	155_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/155_01_WDSS_General_Information.pdf	pdf	194.000000	155	9999-12-31	2013-05-08	1698
2/8-2	REPORTED BY LICENSEE	155_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/155_1_Completion_Report_&_Completion_log.pdf	pdf	31919.000000	155	9999-12-31	2013-05-08	1699
2/8-3	GEOCHEMICAL INFORMATION	117_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/117_1.pdf	pdf	1903.000000	117	9999-12-31	2013-05-08	1700
2/8-3	GEOCHEMICAL INFORMATION	117_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/117_2.pdf	pdf	510.000000	117	9999-12-31	2013-05-08	1701
2/8-3	NPD PAPER	117_01_NPD_Paper_No.32_Geology_of_the_southernmost_part_of_the_Norwegian_section_of_the_Central_Trough__Well_2_8_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/117_01_NPD_Paper_No.32_Geology_of_the_southernmost_part_of_the_Norwegian_section_of_the_Central_Trough__Well_2_8_3.pdf	pdf	24435.000000	117	9999-12-31	2013-05-08	1702
2/8-3	NPD PAPER	117_02_NPD_Paper_No.32_Interpreted_Lithology_log__Well_2_8_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/117_02_NPD_Paper_No.32_Interpreted_Lithology_log__Well_2_8_3.pdf	pdf	60774.000000	117	9999-12-31	2013-05-08	1703
2/8-3	NPD PAPER	117_03_NPD_Paper_No.32_Late_Cretaceous-early_Tertiary_Correlation_chart_Valhall-Hod_Fields_Profile_2__Well_2_8_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/117_03_NPD_Paper_No.32_Late_Cretaceous-early_Tertiary_Correlation_chart_Valhall-Hod_Fields_Profile_2__Well_2_8_3.pdf	pdf	364.000000	117	9999-12-31	2013-05-08	1704
2/8-3	NPD PAPER	117_04_NPD_Paper_No.32_Late_Jurassic-early_Tertiary_Correlation_chart_Profile_3__Well_2_8_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/117_04_NPD_Paper_No.32_Late_Jurassic-early_Tertiary_Correlation_chart_Profile_3__Well_2_8_3.pdf	pdf	739.000000	117	9999-12-31	2013-05-08	1705
2/8-3	OLD NPD WDSS	117_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/117_01_WDSS_General_Information.pdf	pdf	415.000000	117	9999-12-31	2013-05-08	1706
2/8-3	REPORTED BY LICENSEE	117_01_2_8_3_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/117_01_2_8_3_Completion_Log.pdf	pdf	3278.000000	117	9999-12-31	2013-05-08	1707
2/8-3	REPORTED BY LICENSEE	117_01_2_8_3_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/117_01_2_8_3_Completion_report.pdf	pdf	67920.000000	117	9999-12-31	2013-05-08	1708
2/8-4	OLD NPD WDSS	273_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/273_01_WDSS_General_Information.pdf	pdf	237.000000	273	9999-12-31	2013-05-08	1709
2/8-4	REPORTED BY LICENSEE	273_2_8_4_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/273_2_8_4_Completionlog.pdf	pdf	1392.000000	273	9999-12-31	2013-05-08	1710
2/8-5	COMPOSITE LOG	275	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/275.pdf	pdf	373.000000	275	9999-12-31	2013-05-08	1711
2/8-5	OLD NPD WDSS	275_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/275_01_WDSS_General_Information.pdf	pdf	247.000000	275	9999-12-31	2013-05-08	1712
2/8-6	OLD NPD WDSS	276_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/276_01_WDSS_General_Information.pdf	pdf	262.000000	276	9999-12-31	2013-05-08	1713
2/8-6	REPORTED BY LICENSEE	276_2_8_6_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/276_2_8_6_Completionlog.pdf	pdf	1914.000000	276	9999-12-31	2013-05-08	1714
2/8-6	REPORTED BY LICENSEE	276_2_8_6_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/276_2_8_6_Completion_report.pdf	pdf	14385.000000	276	9999-12-31	2013-05-08	1715
2/8-7	COMPOSITE LOG	277	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/277.pdf	pdf	388.000000	277	9999-12-31	2013-05-08	1716
2/8-7	OLD NPD WDSS	277_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/277_01_WDSS_General_Information.pdf	pdf	235.000000	277	9999-12-31	2013-05-08	1717
2/8-7	REPORTED BY LICENSEE	277_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/277_1_Completion_Report_and_Completion_log.pdf	pdf	9062.000000	277	9999-12-31	2013-05-08	1718
2/8-8	OLD NPD WDSS	278_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/278_01_WDSS_General_Information.pdf	pdf	286.000000	278	9999-12-31	2013-05-08	1719
2/8-8	REPORTED BY LICENSEE	278_2_8_8_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/278_2_8_8_Completion_log.pdf	pdf	1287.000000	278	9999-12-31	2013-05-08	1720
2/8-8	REPORTED BY LICENSEE	278_2_8_8_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/278_2_8_8_Completion_report.pdf	pdf	22960.000000	278	9999-12-31	2013-05-08	1721
2/8-9	OLD NPD WDSS	279_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/279_01_WDSS_General_Information.pdf	pdf	278.000000	279	9999-12-31	2013-05-08	1722
2/8-9	REPORTED BY LICENSEE	279_2_8_9_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/279_2_8_9_Completion_log.pdf	pdf	1758.000000	279	9999-12-31	2013-05-08	1723
2/8-9	REPORTED BY LICENSEE	279_2_8_9_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/279_2_8_9_Completion_report.pdf	pdf	24700.000000	279	9999-12-31	2013-05-08	1724
2/8-9	REPORTED BY LICENSEE	279_2_8_9_Completion_report_Attachemnts	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/279_2_8_9_Completion_report_Attachemnts.pdf	pdf	20759.000000	279	9999-12-31	2013-05-08	1725
2/8-9	REPORTED BY LICENSEE	279_2_8_9_Completion_report_Drilling_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/279_2_8_9_Completion_report_Drilling_summary.pdf	pdf	28133.000000	279	9999-12-31	2013-05-08	1726
2/8-G-5	GEOCHEMICAL INFORMATION	6573_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6573_1.pdf	pdf	1244.000000	6573	2013-03-20	2013-05-08	1727
2/9-1	COMPOSITE LOG	282	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/282.pdf	pdf	344.000000	282	9999-12-31	2013-05-08	1728
2/9-1	OLD NPD WDSS	282_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/282_01_WDSS_General_Information.pdf	pdf	232.000000	282	9999-12-31	2013-05-08	1729
2/9-1	REPORTED BY LICENSEE	282_1_CompletionReport_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/282_1_CompletionReport_and_Completion_log.pdf	pdf	28746.000000	282	9999-12-31	2013-05-08	1730
2/9-1	REPORTED BY LICENSEE	282_2_Micropaleontology_and_Stratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/282_2_Micropaleontology_and_Stratigraphy.pdf	pdf	3205.000000	282	9999-12-31	2013-05-08	1731
2/9-1	REPORTED BY LICENSEE	282_3_Survey_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/282_3_Survey_report.pdf	pdf	836.000000	282	9999-12-31	2013-05-08	1732
2/9-1	REPORTED BY LICENSEE	282_4_The_Chalk_in_Schlumberger_Core_Slice	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/282_4_The_Chalk_in_Schlumberger_Core_Slice.pdf	pdf	3759.000000	282	9999-12-31	2013-05-08	1733
2/9-2	GEOCHEMICAL INFORMATION	283_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/283_1.pdf	pdf	2456.000000	283	9999-12-31	2013-05-08	1734
2/9-2	GEOCHEMICAL INFORMATION	283_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/283_2.pdf	pdf	4453.000000	283	9999-12-31	2013-05-08	1735
2/9-2	GEOCHEMICAL INFORMATION	283_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/283_3.pdf	pdf	343.000000	283	9999-12-31	2013-05-08	1736
2/9-2	GEOCHEMICAL INFORMATION	283_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/283_4.pdf	pdf	110.000000	283	9999-12-31	2013-05-08	1737
2/9-2	GEOCHEMICAL INFORMATION	283_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/283_5.pdf	pdf	2520.000000	283	9999-12-31	2013-05-08	1738
2/9-2	OLD NPD WDSS	283_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/283_01_WDSS_General_Information.pdf	pdf	105.000000	283	9999-12-31	2013-05-08	1739
2/9-2	OLD NPD WDSS	283_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/283_02_WDSS_completion_log.pdf	pdf	262.000000	283	9999-12-31	2013-05-08	1740
2/9-2	REPORTED BY LICENSEE	283_01_2_9_2_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/283_01_2_9_2_Completion_Log.pdf	pdf	2226.000000	283	9999-12-31	2013-05-08	1741
2/9-2	REPORTED BY LICENSEE	283_01_2_9_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/283_01_2_9_2_Completion_report.pdf	pdf	7944.000000	283	9999-12-31	2013-05-08	1742
2/9-3	GEOCHEMICAL INFORMATION	1443_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1443_1.pdf	pdf	1006.000000	1443	9999-12-31	2013-05-08	1743
2/9-3	OLD NPD WDSS	1443_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1443_01_WDSS_General_Information.pdf	pdf	256.000000	1443	9999-12-31	2013-05-08	1744
2/9-3	OLD NPD WDSS	1443_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1443_02_WDSS_completion_log.pdf	pdf	259.000000	1443	9999-12-31	2013-05-08	1745
24/12-1	GEOCHEMICAL INFORMATION	347_1_Source_rock_evaluation_of_well_24_12_1_section_I	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/347_1_Source_rock_evaluation_of_well_24_12_1_section_I.PDF	PDF	1319.000000	347	9999-12-31	2013-05-08	1747
24/12-1	GEOCHEMICAL INFORMATION	347_2_Source_rock_evaluation_of_well_24_12_1_section_II	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/347_2_Source_rock_evaluation_of_well_24_12_1_section_II.PDF	PDF	5035.000000	347	9999-12-31	2013-05-08	1748
24/12-1	OLD NPD WDSS	347_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/347_01_WDSS_General_Information.pdf	pdf	207.000000	347	9999-12-31	2013-05-08	1749
24/12-1	OLD NPD WDSS	347_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/347_03_WDSS_lithlog.pdf	pdf	83.000000	347	9999-12-31	2013-05-08	1750
24/12-1	REPORTED BY LICENSEE	347_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/347_1_Completion_Report_and_Completion_log.pdf	pdf	40084.000000	347	9999-12-31	2013-05-08	1751
24/12-1	REPORTED BY LICENSEE	347_2_ADT_end_of_wel_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/347_2_ADT_end_of_wel_summary.pdf	pdf	6343.000000	347	9999-12-31	2013-05-08	1752
24/12-1	REPORTED BY LICENSEE	347_3_Computer_processed_interpretation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/347_3_Computer_processed_interpretation.pdf	pdf	5224.000000	347	9999-12-31	2013-05-08	1753
24/12-1	REPORTED BY LICENSEE	347_5_Seismic_reference	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/347_5_Seismic_reference.pdf	pdf	18590.000000	347	9999-12-31	2013-05-08	1754
24/12-1	REPORTED BY LICENSEE	347_6_Source_rock_evaluation_of_well_24_12_1_section_I	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/347_6_Source_rock_evaluation_of_well_24_12_1_section_I.PDF	PDF	1319.000000	347	9999-12-31	2013-05-08	1755
24/12-1	REPORTED BY LICENSEE	347_7_Source_rock_evaluation_of_well_24_12_1_section_II	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/347_7_Source_rock_evaluation_of_well_24_12_1_section_II.PDF	PDF	5035.000000	347	9999-12-31	2013-05-08	1756
24/12-1 R	GEOCHEMICAL INFORMATION	513_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/513_1.pdf	pdf	1966.000000	513	9999-12-31	2013-05-08	1757
24/12-2	COMPOSITE LOG	348	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/348.pdf	pdf	804.000000	348	9999-12-31	2013-05-08	1758
24/12-2	GEOCHEMICAL INFORMATION	348_ 2_Source_Rock_Analysis_of_well_24_12_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/348_ 2_Source_Rock_Analysis_of_well_24_12_2.pdf	pdf	4695.000000	348	9999-12-31	2013-05-08	1759
24/12-2	GEOCHEMICAL INFORMATION	348_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/348_1.pdf	pdf	3024.000000	348	9999-12-31	2013-05-08	1760
24/12-2	OLD NPD WDSS	348_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/348_01_WDSS_General_Information.pdf	pdf	165.000000	348	9999-12-31	2013-05-08	1761
24/12-2	OLD NPD WDSS	348_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/348_02_WDSS_completion_log.pdf	pdf	288.000000	348	9999-12-31	2013-05-08	1762
24/12-3 S	COMPOSITE LOG	2823	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2823.pdf	pdf	389.000000	2823	9999-12-31	2013-05-08	1763
24/12-3 S	GEOCHEMICAL INFORMATION	2823_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2823_1.pdf	pdf	1630.000000	2823	9999-12-31	2013-05-08	1764
24/12-3 S	GEOCHEMICAL INFORMATION	2823_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2823_2.pdf	pdf	863.000000	2823	9999-12-31	2013-05-08	1765
24/12-4	COMPOSITE LOG	4383	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4383.pdf	pdf	273.000000	4383	9999-12-31	2013-05-08	1766
24/6-1	COMPOSITE LOG	443	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/443.pdf	pdf	753.000000	443	9999-12-31	2013-05-08	1767
24/6-1	GEOCHEMICAL INFORMATION	443_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/443_1.pdf	pdf	389.000000	443	9999-12-31	2013-05-08	1768
24/6-1	GEOCHEMICAL INFORMATION	443_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/443_2.pdf	pdf	1809.000000	443	9999-12-31	2013-05-08	1769
24/6-1	OLD NPD WDSS	443_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/443_01_WDSS_General_Information.pdf	pdf	303.000000	443	9999-12-31	2013-05-08	1770
24/6-1	OLD NPD WDSS	443_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/443_02_WDSS_completion_log.pdf	pdf	321.000000	443	9999-12-31	2013-05-08	1771
24/6-1	REPORTED BY LICENSEE	443_01_24_6_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/443_01_24_6_1_Completion_report.pdf	pdf	11996.000000	443	9999-12-31	2013-05-08	1772
24/6-1	REPORTED BY LICENSEE	443_02_24_6_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/443_02_24_6_1_Completion_log.pdf	pdf	2630.000000	443	9999-12-31	2013-05-08	1773
24/6-2	GEOCHEMICAL INFORMATION	3397_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3397_1.pdf	pdf	1992.000000	3397	9999-12-31	2013-05-08	1774
24/6-2	GEOCHEMICAL INFORMATION	3397_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3397_2.pdf	pdf	2244.000000	3397	9999-12-31	2013-05-08	1775
24/6-4	COMPOSITE LOG	4745	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4745.pdf	pdf	179.000000	4745	9999-12-31	2013-05-08	1776
24/9-1	COMPOSITE LOG	344	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/344.pdf	pdf	760.000000	344	9999-12-31	2013-05-08	1777
24/9-1	GEOCHEMICAL INFORMATION	344_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/344_1.pdf	pdf	2368.000000	344	9999-12-31	2013-05-08	1778
24/9-1	GEOCHEMICAL INFORMATION	344_1_Geochemical_analysis_of_core_samples_from_well_24_9_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/344_1_Geochemical_analysis_of_core_samples_from_well_24_9_1.pdf	pdf	2033.000000	344	9999-12-31	2013-05-08	1779
24/9-1	GEOCHEMICAL INFORMATION	344_2_A_maturation_and_source_rock_study_of_well_24_9_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/344_2_A_maturation_and_source_rock_study_of_well_24_9_1.pdf	pdf	3640.000000	344	9999-12-31	2013-05-08	1780
24/9-1	OLD NPD WDSS	344_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/344_01_WDSS_General_Information.pdf	pdf	253.000000	344	9999-12-31	2013-05-08	1781
24/9-1	REPORTED BY LICENSEE	344_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/344_1_Completion_Report_&_Completion_log.pdf	pdf	24838.000000	344	9999-12-31	2013-05-08	1782
24/9-1	REPORTED BY LICENSEE	344_2_A_maturation_and_source_rock_study_of_well_24_9_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/344_2_A_maturation_and_source_rock_study_of_well_24_9_1.pdf	pdf	3640.000000	344	9999-12-31	2013-05-08	1783
24/9-10 S	GEOCHEMICAL INFORMATION	6531_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6531_GCH_1.pdf	pdf	53.000000	6531	2013-03-20	2013-05-08	1784
24/9-10 S	GEOCHEMICAL INFORMATION	6531_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6531_GCH_2.pdf	pdf	434.000000	6531	2013-03-20	2013-05-08	1785
24/9-2	GEOCHEMICAL INFORMATION	345_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/345_1.pdf	pdf	485.000000	345	9999-12-31	2013-05-08	1786
24/9-2	GEOCHEMICAL INFORMATION	345_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/345_2.pdf	pdf	972.000000	345	9999-12-31	2013-05-08	1787
24/9-2	GEOCHEMICAL INFORMATION	345_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/345_3.pdf	pdf	1529.000000	345	9999-12-31	2013-05-08	1788
24/9-2	GEOCHEMICAL INFORMATION	345_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/345_4.pdf	pdf	324.000000	345	9999-12-31	2013-05-08	1789
25/4-1	GEOCHEMICAL INFORMATION	359_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/359_1.pdf	pdf	74.000000	359	9999-12-31	2013-05-08	2131
24/9-2	OLD NPD WDSS	345_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/345_01_WDSS_General_Information.pdf	pdf	234.000000	345	9999-12-31	2013-05-08	1790
24/9-2	REPORTED BY LICENSEE	345_00_24_9_2_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/345_00_24_9_2_Completion_Log.pdf	pdf	1864.000000	345	9999-12-31	2013-05-08	1791
24/9-2	REPORTED BY LICENSEE	345_00_24_9_2_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/345_00_24_9_2_Completion_Report.pdf	pdf	2675.000000	345	9999-12-31	2013-05-08	1792
24/9-2	REPORTED BY LICENSEE	345_00_24_9_2_GEOCHEMICAL_EVALUATION_OF_THREE_SIDEWALL_CORE_SAMPLES	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/345_00_24_9_2_GEOCHEMICAL_EVALUATION_OF_THREE_SIDEWALL_CORE_SAMPLES.PDF	PDF	307.000000	345	9999-12-31	2013-05-08	1793
24/9-3	COMPOSITE LOG	346	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/346.pdf	pdf	424.000000	346	9999-12-31	2013-05-08	1794
24/9-3	GEOCHEMICAL INFORMATION	346_1_PETROLEUM_GEOCHEMISTRY_REPORT	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/346_1_PETROLEUM_GEOCHEMISTRY_REPORT.pdf	pdf	560.000000	346	9999-12-31	2013-05-08	1795
24/9-3	OLD NPD WDSS	346_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/346_01_WDSS_General_Information.pdf	pdf	96.000000	346	9999-12-31	2013-05-08	1796
24/9-3	OLD NPD WDSS	346_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/346_02_WDSS_completion_log.pdf	pdf	250.000000	346	9999-12-31	2013-05-08	1797
24/9-4	GEOCHEMICAL INFORMATION	1714_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1714_1.pdf	pdf	514.000000	1714	9999-12-31	2013-05-08	1798
24/9-4	OLD NPD WDSS	1714_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1714_01_WDSS_General_Information.pdf	pdf	512.000000	1714	9999-12-31	2013-05-08	1799
24/9-4	OLD NPD WDSS	1714_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1714_02_WDSS_completion_log.pdf	pdf	137.000000	1714	9999-12-31	2013-05-08	1800
24/9-5	COMPOSITE LOG	2244	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2244.pdf	pdf	363.000000	2244	9999-12-31	2013-05-08	1801
24/9-5	GEOCHEMICAL INFORMATION	2244_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2244_1.pdf	pdf	1876.000000	2244	9999-12-31	2013-05-08	1802
24/9-6	COMPOSITE LOG	2288	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2288.pdf	pdf	201.000000	2288	9999-12-31	2013-05-08	1803
24/9-6	GEOCHEMICAL INFORMATION	2288_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2288_1.pdf	pdf	2775.000000	2288	9999-12-31	2013-05-08	1804
24/9-7	COMPOSITE LOG	4910	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4910.pdf	pdf	278.000000	4910	9999-12-31	2013-05-08	1805
25/10-1	OLD NPD WDSS	441_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/441_01_WDSS_General_Information.pdf	pdf	188.000000	441	9999-12-31	2013-05-08	1806
25/10-1	REPORTED BY LICENSEE	441_00_25_10_1_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/441_00_25_10_1_Completion_Log.pdf	pdf	1332.000000	441	9999-12-31	2013-05-08	1807
25/10-1	REPORTED BY LICENSEE	441_00_25_10_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/441_00_25_10_1_Completion_Report.pdf	pdf	3462.000000	441	9999-12-31	2013-05-08	1808
25/10-2	COMPOSITE LOG	180	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/180.pdf	pdf	310.000000	180	9999-12-31	2013-05-08	1809
25/10-2	GEOCHEMICAL INFORMATION	180_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/180_1.pdf	pdf	1073.000000	180	9999-12-31	2013-05-08	1810
25/10-2	GEOCHEMICAL INFORMATION	180_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/180_2.pdf	pdf	89.000000	180	9999-12-31	2013-05-08	1811
25/10-2	NPD PAPER	180_01_NPD_Paper_No.28_Lithology_Balder area__Well_25_10_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/180_01_NPD_Paper_No.28_Lithology_Balder area__Well_25_10_2.pdf	pdf	18564.000000	180	9999-12-31	2013-05-08	1812
25/10-2	NPD PAPER	180_02_NPD_Paper_No.28_Interpreted_Lithology_log__Well_25_10_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/180_02_NPD_Paper_No.28_Interpreted_Lithology_log__Well_25_10_2.pdf	pdf	47775.000000	180	9999-12-31	2013-05-08	1813
25/10-2	NPD PAPER	180_03_NPD_Paper_No.28_Log_Correlation_chart_Profile_NE-SW__Well_25_10_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/180_03_NPD_Paper_No.28_Log_Correlation_chart_Profile_NE-SW__Well_25_10_2.pdf	pdf	408.000000	180	9999-12-31	2013-05-08	1814
25/10-2	NPD PAPER	180_04_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_10_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/180_04_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_10_2.pdf	pdf	475.000000	180	9999-12-31	2013-05-08	1815
25/10-2	OLD NPD WDSS	180_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/180_01_WDSS_General_Information.pdf	pdf	171.000000	180	9999-12-31	2013-05-08	1816
25/10-2 R	COMPOSITE LOG	511	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/511.pdf	pdf	496.000000	511	9999-12-31	2013-05-08	1817
25/10-2 R	GEOCHEMICAL INFORMATION	511_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/511_1.pdf	pdf	1973.000000	511	9999-12-31	2013-05-08	1818
25/10-2 R	GEOCHEMICAL INFORMATION	511_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/511_2.pdf	pdf	89.000000	511	9999-12-31	2013-05-08	1819
25/10-3	NPD PAPER	182_01_NPD_Paper_No.28_Lithology_Balder area__Well_25_10_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/182_01_NPD_Paper_No.28_Lithology_Balder area__Well_25_10_3.pdf	pdf	18564.000000	182	9999-12-31	2013-05-08	1820
25/10-3	NPD PAPER	182_02_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_10_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/182_02_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_10_3.pdf	pdf	475.000000	182	9999-12-31	2013-05-08	1821
25/10-3	NPD PAPER	182_03_NPD_Paper_No.28_Log_Correlation_chart_Profile_NW-SE__Well_25_10_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/182_03_NPD_Paper_No.28_Log_Correlation_chart_Profile_NW-SE__Well_25_10_3.pdf	pdf	248.000000	182	9999-12-31	2013-05-08	1822
25/10-3	OLD NPD WDSS	182_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/182_01_WDSS_General_Information.pdf	pdf	155.000000	182	9999-12-31	2013-05-08	1823
25/10-3	REPORTED BY LICENSEE	182_01_25_10_3_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/182_01_25_10_3_Completion_Log.pdf	pdf	977.000000	182	9999-12-31	2013-05-08	1824
25/10-3	REPORTED BY LICENSEE	182_01_25_10_3_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/182_01_25_10_3_Completion_report.pdf	pdf	1022.000000	182	9999-12-31	2013-05-08	1825
25/10-4	OLD NPD WDSS	217_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/217_01_WDSS_General_Information.pdf	pdf	177.000000	217	9999-12-31	2013-05-08	1826
25/10-4	OLD NPD WDSS	217_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/217_02_WDSS_completion_log.pdf	pdf	226.000000	217	9999-12-31	2013-05-08	1827
25/10-4	REPORTED BY LICENSEE	217_00_25_10_4_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/217_00_25_10_4_Completion_Log.pdf	pdf	1595.000000	217	9999-12-31	2013-05-08	1828
25/10-4	REPORTED BY LICENSEE	217_00_25_10_4_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/217_00_25_10_4_Completion_Report.pdf	pdf	20293.000000	217	9999-12-31	2013-05-08	1829
25/10-4	REPORTED BY LICENSEE	217_00_25_10_4_Geological_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/217_00_25_10_4_Geological_Completion_Report.pdf	pdf	14190.000000	217	9999-12-31	2013-05-08	1830
25/4-1	GEOCHEMICAL INFORMATION	359_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/359_2.pdf	pdf	1142.000000	359	9999-12-31	2013-05-08	2132
25/10-4 R	OLD NPD WDSS	510_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/510_01_WDSS_General_Information.pdf	pdf	178.000000	510	9999-12-31	2013-05-08	1831
25/10-5	OLD NPD WDSS	365_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/365_01_WDSS_General_Information.pdf	pdf	87.000000	365	9999-12-31	2013-05-08	1832
25/10-5	OLD NPD WDSS	365_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/365_02_WDSS_completion_log.pdf	pdf	167.000000	365	9999-12-31	2013-05-08	1833
25/10-5	REPORTED BY LICENSEE	365_01_Geological_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/365_01_Geological_Completion_Report.pdf	pdf	5780.000000	365	9999-12-31	2013-05-08	1834
25/10-5	REPORTED BY LICENSEE	365_03_Drilling_And_Evaluation_Program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/365_03_Drilling_And_Evaluation_Program.pdf	pdf	4676.000000	365	9999-12-31	2013-05-08	1835
25/10-5	REPORTED BY LICENSEE	365_04_Paleontological_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/365_04_Paleontological_Study.pdf	pdf	1097.000000	365	9999-12-31	2013-05-08	1836
25/10-5	REPORTED BY LICENSEE	365_05_02_Final_Well_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/365_05_02_Final_Well_Report.pdf	pdf	47701.000000	365	9999-12-31	2013-05-08	1837
25/10-5	REPORTED BY LICENSEE	365_05_Test_Glomar_Biscay_	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/365_05_Test_Glomar_Biscay_.pdf	pdf	27120.000000	365	9999-12-31	2013-05-08	1838
25/10-5	REPORTED BY LICENSEE	365_06_PVT_Study_Report_Test_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/365_06_PVT_Study_Report_Test_1.pdf	pdf	6631.000000	365	9999-12-31	2013-05-08	1839
25/10-5	REPORTED BY LICENSEE	365_07_PVT_Study_Report_Test_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/365_07_PVT_Study_Report_Test_2.pdf	pdf	11024.000000	365	9999-12-31	2013-05-08	1840
25/10-5	REPORTED BY LICENSEE	365_08_PVT_Study_Report_Test_2_Surface_Sampl	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/365_08_PVT_Study_Report_Test_2_Surface_Sampl.pdf	pdf	11769.000000	365	9999-12-31	2013-05-08	1841
25/10-5	REPORTED BY LICENSEE	365_5_03_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/365_5_03_Completion_log.pdf	pdf	1267.000000	365	9999-12-31	2013-05-08	1842
25/10-6 S	COMPOSITE LOG	2728	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2728.pdf	pdf	705.000000	2728	9999-12-31	2013-05-08	1843
25/10-6 S	GEOCHEMICAL INFORMATION	2728_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2728_1.pdf	pdf	1727.000000	2728	9999-12-31	2013-05-08	1844
25/10-6 S	GEOCHEMICAL INFORMATION	2728_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2728_2.pdf	pdf	1752.000000	2728	9999-12-31	2013-05-08	1845
25/10-7 S	COMPOSITE LOG	2769	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2769.pdf	pdf	491.000000	2769	9999-12-31	2013-05-08	1846
25/10-7 S	GEOCHEMICAL INFORMATION	2769_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2769_1.pdf	pdf	1763.000000	2769	9999-12-31	2013-05-08	1847
25/10-8	COMPOSITE LOG	2955	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2955.pdf	pdf	454.000000	2955	9999-12-31	2013-05-08	1848
25/10-8	GEOCHEMICAL INFORMATION	2955_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2955_1.pdf	pdf	1963.000000	2955	9999-12-31	2013-05-08	1849
25/10-8	GEOCHEMICAL INFORMATION	2955_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2955_2.pdf	pdf	1359.000000	2955	9999-12-31	2013-05-08	1850
25/10-8 A	COMPOSITE LOG	3098	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3098.pdf	pdf	302.000000	3098	9999-12-31	2013-05-08	1851
25/10-8 A	GEOCHEMICAL INFORMATION	3098_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3098_1.pdf	pdf	1963.000000	3098	9999-12-31	2013-05-08	1852
25/10-8 A	GEOCHEMICAL INFORMATION	3098_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3098_2.pdf	pdf	1359.000000	3098	9999-12-31	2013-05-08	1853
25/1-1	GEOCHEMICAL INFORMATION	190_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/190_1.pdf	pdf	12037.000000	190	9999-12-31	2013-05-08	1854
25/1-1	GEOCHEMICAL INFORMATION	190_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/190_2.pdf	pdf	608.000000	190	9999-12-31	2013-05-08	1855
25/1-1	GEOCHEMICAL INFORMATION	190_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/190_3.pdf	pdf	603.000000	190	9999-12-31	2013-05-08	1856
25/1-1	GEOCHEMICAL INFORMATION	190_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/190_4.pdf	pdf	285.000000	190	9999-12-31	2013-05-08	1857
25/1-1	OLD NPD WDSS	190_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/190_01_WDSS_General_Information.pdf	pdf	164.000000	190	9999-12-31	2013-05-08	1858
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Completion_Log.pdf	pdf	2438.000000	190	9999-12-31	2013-05-08	1859
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Completion_Report.pdf	pdf	520.000000	190	9999-12-31	2013-05-08	1860
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Core_description_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Core_description_report.PDF	PDF	332.000000	190	9999-12-31	2013-05-08	1861
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Core_Photos	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Core_Photos.PDF	PDF	60598.000000	190	9999-12-31	2013-05-08	1862
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_FIT_1_Test_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_FIT_1_Test_report.PDF	PDF	657.000000	190	9999-12-31	2013-05-08	1863
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Geochemical_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Geochemical_report.PDF	PDF	20806.000000	190	9999-12-31	2013-05-08	1864
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Lithology	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Lithology.PDF	PDF	339.000000	190	9999-12-31	2013-05-08	1865
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Micro_paleontology_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Micro_paleontology_report.PDF	PDF	4790.000000	190	9999-12-31	2013-05-08	1866
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Paleontology_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Paleontology_report.PDF	PDF	3507.000000	190	9999-12-31	2013-05-08	1867
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Rock_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Rock_evaluation.PDF	PDF	1110.000000	190	9999-12-31	2013-05-08	1868
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Sampling_Test report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Sampling_Test report.PDF	PDF	699.000000	190	9999-12-31	2013-05-08	1869
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Sedimentology_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Sedimentology_report.PDF	PDF	3621.000000	190	9999-12-31	2013-05-08	1870
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Synthetic_Seismograms	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Synthetic_Seismograms.PDF	PDF	1340.000000	190	9999-12-31	2013-05-08	1871
25/1-1	REPORTED BY LICENSEE	190_00_25_1_1_Well_log_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_1_Well_log_Study.PDF	PDF	2827.000000	190	9999-12-31	2013-05-08	1872
25/1-1	REPORTED BY LICENSEE	190_00_25_1_5_Well_Testing_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/190_00_25_1_5_Well_Testing_Report.PDF	PDF	88130.000000	190	9999-12-31	2013-05-08	1873
25/1-10	OLD NPD WDSS	1219_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1219_01_WDSS_General_Information.pdf	pdf	234.000000	1219	9999-12-31	2013-05-08	1874
25/1-10	OLD NPD WDSS	1219_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1219_02_WDSS_completion_log.pdf	pdf	286.000000	1219	9999-12-31	2013-05-08	1875
25/11-1	GEOCHEMICAL INFORMATION	143_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/143_1.pdf	pdf	74.000000	143	9999-12-31	2013-05-08	1876
25/11-1	GEOCHEMICAL INFORMATION	143_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/143_2.pdf	pdf	709.000000	143	9999-12-31	2013-05-08	1877
25/11-1	GEOCHEMICAL INFORMATION	143_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/143_3.pdf	pdf	1149.000000	143	9999-12-31	2013-05-08	1878
25/11-1	GEOCHEMICAL INFORMATION	143_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/143_4.pdf	pdf	316.000000	143	9999-12-31	2013-05-08	1879
25/11-1	GEOCHEMICAL INFORMATION	143_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/143_5.pdf	pdf	124.000000	143	9999-12-31	2013-05-08	1880
25/11-1	NPD PAPER	143_01_NPD_Paper_No.2_Lithology__Well_25_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/143_01_NPD_Paper_No.2_Lithology__Well_25_11_1.pdf	pdf	14978.000000	143	9999-12-31	2013-05-08	1881
25/11-1	NPD PAPER	143_02_NPD_Paper_No.2_Interpreted_Lithology_log__Well_25_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/143_02_NPD_Paper_No.2_Interpreted_Lithology_log__Well_25_11_1.pdf	pdf	63315.000000	143	9999-12-31	2013-05-08	1882
25/11-1	NPD PAPER	143_03_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/143_03_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_11_1.pdf	pdf	475.000000	143	9999-12-31	2013-05-08	1883
25/11-1	NPD PAPER	143_04_NPD_Paper_No.28_Lithology_Balder area__Well_25_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/143_04_NPD_Paper_No.28_Lithology_Balder area__Well_25_11_1.pdf	pdf	18564.000000	143	9999-12-31	2013-05-08	1884
25/11-1	NPD PAPER	143_05_NPD_Paper_No.28_Log_Correlation_chart_Profile_NW-SE__Well_25_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/143_05_NPD_Paper_No.28_Log_Correlation_chart_Profile_NW-SE__Well_25_11_1.pdf	pdf	248.000000	143	9999-12-31	2013-05-08	1885
25/11-1	OLD NPD WDSS	143_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/143_01_WDSS_General_Information.pdf	pdf	197.000000	143	9999-12-31	2013-05-08	1886
25/11-1	REPORTED BY LICENSEE	143_01_25_11_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/143_01_25_11_1_Completion_Report_and_Completion_log.pdf	pdf	3684.000000	143	9999-12-31	2013-05-08	1887
25/11-10	OLD NPD WDSS	370_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/370_01_WDSS_General_Information.pdf	pdf	92.000000	370	9999-12-31	2013-05-08	1888
25/11-10	OLD NPD WDSS	370_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/370_02_WDSS_completion_log.pdf	pdf	150.000000	370	9999-12-31	2013-05-08	1889
25/11-10	REPORTED BY LICENSEE	370_25_11_10_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/370_25_11_10_Completion_Log.pdf	pdf	1291.000000	370	9999-12-31	2013-05-08	1890
25/11-10	REPORTED BY LICENSEE	370_25_11_10_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/370_25_11_10_Completion_Report.pdf	pdf	9028.000000	370	9999-12-31	2013-05-08	1891
25/11-11	OLD NPD WDSS	371_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/371_01_WDSS_General_Information.pdf	pdf	95.000000	371	9999-12-31	2013-05-08	1892
25/11-11	OLD NPD WDSS	371_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/371_02_WDSS_completion_log.pdf	pdf	144.000000	371	9999-12-31	2013-05-08	1893
25/11-11	REPORTED BY LICENSEE	371_25_11_11_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/371_25_11_11_Completion_Log.pdf	pdf	1176.000000	371	9999-12-31	2013-05-08	1894
25/11-11	REPORTED BY LICENSEE	371_25_11_11_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/371_25_11_11_Completion_Report.pdf	pdf	6972.000000	371	9999-12-31	2013-05-08	1895
25/11-12	OLD NPD WDSS	372_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/372_01_WDSS_General_Information.pdf	pdf	132.000000	372	9999-12-31	2013-05-08	1896
25/11-12	OLD NPD WDSS	372_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/372_02_WDSS_completion_log.pdf	pdf	152.000000	372	9999-12-31	2013-05-08	1897
25/11-12	REPORTED BY LICENSEE	372_25_11_12_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/372_25_11_12_Completion_Log.pdf	pdf	1170.000000	372	9999-12-31	2013-05-08	1898
25/11-12	REPORTED BY LICENSEE	372_25_11_12_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/372_25_11_12_Completion_Report.pdf	pdf	6226.000000	372	9999-12-31	2013-05-08	1899
25/11-13	OLD NPD WDSS	373_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/373_01_WDSS_General_Information.pdf	pdf	95.000000	373	9999-12-31	2013-05-08	1900
25/11-13	OLD NPD WDSS	373_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/373_02_WDSS_completion_log.pdf	pdf	164.000000	373	9999-12-31	2013-05-08	1901
25/11-13	REPORTED BY LICENSEE	373_25_11_13_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/373_25_11_13_Completion_Log.pdf	pdf	1200.000000	373	9999-12-31	2013-05-08	1902
25/11-13	REPORTED BY LICENSEE	373_25_11_13_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/373_25_11_13_Completion_Report.pdf	pdf	6989.000000	373	9999-12-31	2013-05-08	1903
25/11-14 S	OLD NPD WDSS	1672_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1672_01_WDSS_General_Information.pdf	pdf	237.000000	1672	9999-12-31	2013-05-08	1904
25/11-14 S	OLD NPD WDSS	1672_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1672_02_WDSS_completion_log.pdf	pdf	131.000000	1672	9999-12-31	2013-05-08	1905
25/11-14 S	REPORTED BY LICENSEE	1672_25_11_14_S_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1672_25_11_14_S_Completion_Log.pdf	pdf	1139.000000	1672	9999-12-31	2013-05-08	1906
25/11-14 S	REPORTED BY LICENSEE	1672_25_11_14_S_Completion_report_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1672_25_11_14_S_Completion_report_1.pdf	pdf	25907.000000	1672	9999-12-31	2013-05-08	1907
25/11-14 S	REPORTED BY LICENSEE	1672_25_11_14_S_Completion_report_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1672_25_11_14_S_Completion_report_2.pdf	pdf	39298.000000	1672	9999-12-31	2013-05-08	1908
25/11-14 SR	REPORTED BY LICENSEE	1907_25_11_14_SR_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1907_25_11_14_SR_Completion_Log.pdf	pdf	988.000000	1907	9999-12-31	2013-05-08	1909
25/11-15	GEOCHEMICAL INFORMATION	1872_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1872_1.pdf	pdf	158.000000	1872	9999-12-31	2013-05-08	1910
25/11-15	GEOCHEMICAL INFORMATION	1872_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1872_2.pdf	pdf	1234.000000	1872	9999-12-31	2013-05-08	1911
25/11-15	GEOCHEMICAL INFORMATION	1872_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1872_3.pdf	pdf	458.000000	1872	9999-12-31	2013-05-08	1912
25/11-15	OLD NPD WDSS	1872_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1872_01_WDSS_General_Information.pdf	pdf	511.000000	1872	9999-12-31	2013-05-08	1913
25/11-15	OLD NPD WDSS	1872_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1872_02_WDSS_completion_log.pdf	pdf	147.000000	1872	9999-12-31	2013-05-08	1914
25/11-16	GEOCHEMICAL INFORMATION	1920_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1920_2.pdf	pdf	2837.000000	1920	9999-12-31	2013-05-08	1915
25/11-16	OLD NPD WDSS	1920_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1920_01_WDSS_General_Information.pdf	pdf	440.000000	1920	9999-12-31	2013-05-08	1916
25/11-16	OLD NPD WDSS	1920_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1920_02_WDSS_completion_log.pdf	pdf	135.000000	1920	9999-12-31	2013-05-08	1917
25/11-17	COMPOSITE LOG	1921	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1921.pdf	pdf	318.000000	1921	9999-12-31	2013-05-08	1918
25/11-17	GEOCHEMICAL INFORMATION	1921_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1921_1.pdf	pdf	699.000000	1921	9999-12-31	2013-05-08	1919
25/11-18	COMPOSITE LOG	2358	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2358.pdf	pdf	251.000000	2358	9999-12-31	2013-05-08	1920
25/11-18	GEOCHEMICAL INFORMATION	2358_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_1.pdf	pdf	1910.000000	2358	9999-12-31	2013-05-08	1921
25/11-18	GEOCHEMICAL INFORMATION	2358_10	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_10.pdf	pdf	1902.000000	2358	9999-12-31	2013-05-08	1922
25/11-18	GEOCHEMICAL INFORMATION	2358_11	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_11.pdf	pdf	1930.000000	2358	9999-12-31	2013-05-08	1923
25/11-18	GEOCHEMICAL INFORMATION	2358_12	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_12.pdf	pdf	1415.000000	2358	9999-12-31	2013-05-08	1924
25/11-18	GEOCHEMICAL INFORMATION	2358_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_2.pdf	pdf	1198.000000	2358	9999-12-31	2013-05-08	1925
25/11-18	GEOCHEMICAL INFORMATION	2358_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_3.pdf	pdf	1775.000000	2358	9999-12-31	2013-05-08	1926
25/11-18	GEOCHEMICAL INFORMATION	2358_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_4.pdf	pdf	1817.000000	2358	9999-12-31	2013-05-08	1927
25/11-18	GEOCHEMICAL INFORMATION	2358_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_5.pdf	pdf	1784.000000	2358	9999-12-31	2013-05-08	1928
25/11-18	GEOCHEMICAL INFORMATION	2358_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_6.pdf	pdf	1786.000000	2358	9999-12-31	2013-05-08	1929
25/11-18	GEOCHEMICAL INFORMATION	2358_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_7.pdf	pdf	1842.000000	2358	9999-12-31	2013-05-08	1930
25/11-18	GEOCHEMICAL INFORMATION	2358_8	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_8.pdf	pdf	1764.000000	2358	9999-12-31	2013-05-08	1931
25/11-18	GEOCHEMICAL INFORMATION	2358_9	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2358_9.pdf	pdf	1588.000000	2358	9999-12-31	2013-05-08	1932
25/11-19 S	COMPOSITE LOG	2562	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2562.pdf	pdf	418.000000	2562	9999-12-31	2013-05-08	1933
25/11-2	NPD PAPER	184_01_NPD_Paper_No.28_Lithology_Balder area__Well_25_11_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/184_01_NPD_Paper_No.28_Lithology_Balder area__Well_25_11_2.pdf	pdf	18564.000000	184	9999-12-31	2013-05-08	1934
25/11-2	NPD PAPER	184_02_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_11_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/184_02_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_11_2.pdf	pdf	475.000000	184	9999-12-31	2013-05-08	1935
25/11-2	NPD PAPER	184_03_NPD_Paper_No.28_Log_Correlation_chart_Profile_NE-SW__Well_25_11_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/184_03_NPD_Paper_No.28_Log_Correlation_chart_Profile_NE-SW__Well_25_11_2.pdf	pdf	408.000000	184	9999-12-31	2013-05-08	1936
25/11-2	OLD NPD WDSS	184_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/184_01_WDSS_General_Information.pdf	pdf	150.000000	184	9999-12-31	2013-05-08	1937
25/11-2	REPORTED BY LICENSEE	184_01_25_11_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/184_01_25_11_2_Completion_log.pdf	pdf	1008.000000	184	9999-12-31	2013-05-08	1938
25/11-2	REPORTED BY LICENSEE	184_01_25_11_2_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/184_01_25_11_2_Completion_Report.pdf	pdf	3204.000000	184	9999-12-31	2013-05-08	1939
25/11-20	COMPOSITE LOG	2667	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2667.pdf	pdf	283.000000	2667	9999-12-31	2013-05-08	1940
25/11-21 A	COMPOSITE LOG	2812	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2812.pdf	pdf	421.000000	2812	9999-12-31	2013-05-08	1941
25/11-21 S	COMPOSITE LOG	2701	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2701.pdf	pdf	304.000000	2701	9999-12-31	2013-05-08	1942
25/11-22	COMPOSITE LOG	3243	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3243.pdf	pdf	259.000000	3243	9999-12-31	2013-05-08	1943
25/11-23	COMPOSITE LOG	3755	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3755.pdf	pdf	371.000000	3755	9999-12-31	2013-05-08	1944
25/11-24	COMPOSITE LOG	5470	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5470.pdf	pdf	356.000000	5470	2013-01-22	2013-05-08	1945
25/11-24	GEOCHEMICAL INFORMATION	5470_01_25_11_24_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5470_01_25_11_24_gch_transfer_1.txt	txt	0.000000	5470	9999-12-31	2013-05-08	1946
25/11-24	GEOCHEMICAL INFORMATION	5470_02_25_11_24_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5470_02_25_11_24_gch_results_1.txt	txt	69.000000	5470	9999-12-31	2013-05-08	1947
25/11-24	GEOCHEMICAL INFORMATION	5470_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5470_1.pdf	pdf	91.000000	5470	9999-12-31	2013-05-08	1948
25/11-24	GEOCHEMICAL INFORMATION	5470_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5470_2.pdf	pdf	2691.000000	5470	9999-12-31	2013-05-08	1949
25/11-3	NPD PAPER	185_01_NPD_Paper_No.28_Lithology_Balder area__Well_25_11_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/185_01_NPD_Paper_No.28_Lithology_Balder area__Well_25_11_3.pdf	pdf	18564.000000	185	9999-12-31	2013-05-08	1950
25/11-3	NPD PAPER	185_02_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_11_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/185_02_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_11_3.pdf	pdf	475.000000	185	9999-12-31	2013-05-08	1951
25/11-3	NPD PAPER	185_03_NPD_Paper_No.28_Log_Correlation_chart_Profile_NW-SE__Well_25_11_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/185_03_NPD_Paper_No.28_Log_Correlation_chart_Profile_NW-SE__Well_25_11_3.pdf	pdf	248.000000	185	9999-12-31	2013-05-08	1952
25/11-3	OLD NPD WDSS	185_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/185_01_WDSS_General_Information.pdf	pdf	154.000000	185	9999-12-31	2013-05-08	1953
25/11-3	REPORTED BY LICENSEE	185_01_25_11_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/185_01_25_11_3_Completion_log.pdf	pdf	1050.000000	185	9999-12-31	2013-05-08	1954
25/11-3	REPORTED BY LICENSEE	185_01_25_11_3_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/185_01_25_11_3_Completion_Report.pdf	pdf	3185.000000	185	9999-12-31	2013-05-08	1955
25/11-4	NPD PAPER	186_01_NPD_Paper_No.28_Lithology_Balder area__Well_25_11_4	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/186_01_NPD_Paper_No.28_Lithology_Balder area__Well_25_11_4.pdf	pdf	18564.000000	186	9999-12-31	2013-05-08	1956
25/11-4	NPD PAPER	186_02_NPD_Paper_No.28_Biostratigraphy_of_Well_25_11_4	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/186_02_NPD_Paper_No.28_Biostratigraphy_of_Well_25_11_4.pdf	pdf	730.000000	186	9999-12-31	2013-05-08	1957
25/11-4	NPD PAPER	186_03_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_11_4	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/186_03_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_11_4.pdf	pdf	475.000000	186	9999-12-31	2013-05-08	1958
25/11-4	OLD NPD WDSS	186_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/186_01_WDSS_General_Information.pdf	pdf	151.000000	186	9999-12-31	2013-05-08	1959
25/11-4	REPORTED BY LICENSEE	186_01_25_11_4_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/186_01_25_11_4_Completion_log.pdf	pdf	1032.000000	186	9999-12-31	2013-05-08	1960
25/11-4	REPORTED BY LICENSEE	186_01_25_11_4_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/186_01_25_11_4_Completion_Report.pdf	pdf	12983.000000	186	9999-12-31	2013-05-08	1961
25/11-5	GEOCHEMICAL INFORMATION	366_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/366_1.pdf	pdf	815.000000	366	9999-12-31	2013-05-08	1962
25/11-5	OLD NPD WDSS	366_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/366_01_WDSS_General_Information.pdf	pdf	243.000000	366	9999-12-31	2013-05-08	1963
25/11-5	REPORTED BY LICENSEE	366_01_25_11_5_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/366_01_25_11_5_Completion_log.pdf	pdf	1354.000000	366	9999-12-31	2013-05-08	1964
25/11-5	REPORTED BY LICENSEE	366_01_25_11_5_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/366_01_25_11_5_Completion_Report.pdf	pdf	4688.000000	366	9999-12-31	2013-05-08	1965
25/11-6	OLD NPD WDSS	367_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/367_01_WDSS_General_Information.pdf	pdf	216.000000	367	9999-12-31	2013-05-08	1966
25/11-6	OLD NPD WDSS	367_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/367_03_WDSS_lithlog.pdf	pdf	49.000000	367	9999-12-31	2013-05-08	1967
25/11-6	REPORTED BY LICENSEE	367_01_25_11_6_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/367_01_25_11_6_Completion_log.pdf	pdf	1007.000000	367	9999-12-31	2013-05-08	1968
25/11-6	REPORTED BY LICENSEE	367_01_25_11_6_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/367_01_25_11_6_Completion_Report.pdf	pdf	155997.000000	367	9999-12-31	2013-05-08	1969
25/11-7	OLD NPD WDSS	368_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/368_01_WDSS_General_Information.pdf	pdf	218.000000	368	9999-12-31	2013-05-08	1970
25/11-7	OLD NPD WDSS	368_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/368_03_WDSS_lithlog.pdf	pdf	47.000000	368	9999-12-31	2013-05-08	1971
25/11-7	REPORTED BY LICENSEE	368_01_25_11_7_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/368_01_25_11_7_Completion_log.pdf	pdf	1279.000000	368	9999-12-31	2013-05-08	1972
25/11-7	REPORTED BY LICENSEE	368_01_25_11_7_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/368_01_25_11_7_Completion_Report.pdf	pdf	100034.000000	368	9999-12-31	2013-05-08	1973
25/11-8	OLD NPD WDSS	369_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/369_01_WDSS_General_Information.pdf	pdf	103.000000	369	9999-12-31	2013-05-08	1974
25/11-8	OLD NPD WDSS	369_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/369_02_WDSS_completion_log.pdf	pdf	153.000000	369	9999-12-31	2013-05-08	1975
25/11-8	REPORTED BY LICENSEE	369_01_25_11_8_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/369_01_25_11_8_Completion_log.pdf	pdf	1126.000000	369	9999-12-31	2013-05-08	1976
25/11-8	REPORTED BY LICENSEE	369_01_25_11_8_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/369_01_25_11_8_Completion_Report.pdf	pdf	7936.000000	369	9999-12-31	2013-05-08	1977
25/11-9	OLD NPD WDSS	213_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/213_01_WDSS_General_Information.pdf	pdf	118.000000	213	9999-12-31	2013-05-08	1978
25/11-9	OLD NPD WDSS	213_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/213_02_WDSS_completion_log.pdf	pdf	151.000000	213	9999-12-31	2013-05-08	1979
25/11-9	REPORTED BY LICENSEE	213_01_25_11_9_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/213_01_25_11_9_Completion_log.pdf	pdf	1404.000000	213	9999-12-31	2013-05-08	1980
25/11-9	REPORTED BY LICENSEE	213_01_25_11_9_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/213_01_25_11_9_Completion_Report.pdf	pdf	3905.000000	213	9999-12-31	2013-05-08	1981
25/1-2	OLD NPD WDSS	195_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/195_01_WDSS_General_Information.pdf	pdf	160.000000	195	9999-12-31	2013-05-08	1982
25/12-1	COMPOSITE LOG	374	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/374.pdf	pdf	342.000000	374	9999-12-31	2013-05-08	1983
25/12-1	GEOCHEMICAL INFORMATION	374_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/374_1.pdf	pdf	413.000000	374	9999-12-31	2013-05-08	1984
25/12-1	GEOCHEMICAL INFORMATION	374_1_Source_rock_and_DOM_evaluation_in_well_25_12_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/374_1_Source_rock_and_DOM_evaluation_in_well_25_12_1.pdf	pdf	3059.000000	374	9999-12-31	2013-05-08	1985
25/12-1	OLD NPD WDSS	374_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/374_01_WDSS_General_Information.pdf	pdf	287.000000	374	9999-12-31	2013-05-08	1986
25/12-1	REPORTED BY LICENSEE	374_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/374_1_Completion_Report.pdf	pdf	360.000000	374	9999-12-31	2013-05-08	1987
25/12-1	REPORTED BY LICENSEE	374_2_Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/374_2_Composite_log.pdf	pdf	1814.000000	374	9999-12-31	2013-05-08	1988
25/12-1	REPORTED BY LICENSEE	374_3_Source_rock_and_DOM_evaluation_in_well_25_12_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/374_3_Source_rock_and_DOM_evaluation_in_well_25_12_1.pdf	pdf	3059.000000	374	9999-12-31	2013-05-08	1989
25/1-3	OLD NPD WDSS	349_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/349_01_WDSS_General_Information.pdf	pdf	235.000000	349	9999-12-31	2013-05-08	1990
25/1-4	COMPOSITE LOG	350	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/350.pdf	pdf	321.000000	350	9999-12-31	2013-05-08	1991
25/1-4	OLD NPD WDSS	350_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/350_01_WDSS_General_Information.pdf	pdf	245.000000	350	9999-12-31	2013-05-08	1992
25/1-4	REPORTED BY LICENSEE	350_10_Crude_oil_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_10_Crude_oil_analysis.PDF	PDF	762.000000	350	9999-12-31	2013-05-08	1993
25/1-4	REPORTED BY LICENSEE	350_11_CPI_data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_11_CPI_data.PDF	PDF	8356.000000	350	9999-12-31	2013-05-08	1994
25/1-4	REPORTED BY LICENSEE	350_12_Prognosis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_12_Prognosis.PDF	PDF	348.000000	350	9999-12-31	2013-05-08	1995
25/1-4	REPORTED BY LICENSEE	350_13_Drilling_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_13_Drilling_report.PDF	PDF	5394.000000	350	9999-12-31	2013-05-08	1996
25/1-4	REPORTED BY LICENSEE	350_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_1_Completion_Report_and_Completion_log.pdf	pdf	3223.000000	350	9999-12-31	2013-05-08	1997
25/1-4	REPORTED BY LICENSEE	350_2_Test_FIT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_2_Test_FIT.PDF	PDF	11317.000000	350	9999-12-31	2013-05-08	1998
25/1-4	REPORTED BY LICENSEE	350_3_Well_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_3_Well_summary.PDF	PDF	5753.000000	350	9999-12-31	2013-05-08	1999
25/1-4	REPORTED BY LICENSEE	350_4_CPI	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_4_CPI.PDF	PDF	958.000000	350	9999-12-31	2013-05-08	2000
25/1-4	REPORTED BY LICENSEE	350_5_Test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_5_Test.PDF	PDF	621.000000	350	9999-12-31	2013-05-08	2001
25/1-4	REPORTED BY LICENSEE	350_6_Core	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_6_Core.PDF	PDF	1874.000000	350	9999-12-31	2013-05-08	2002
25/1-4	REPORTED BY LICENSEE	350_7_Palynology	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_7_Palynology.PDF	PDF	421.000000	350	9999-12-31	2013-05-08	2003
25/1-4	REPORTED BY LICENSEE	350_8_Log_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_8_Log_evaluation.PDF	PDF	11209.000000	350	9999-12-31	2013-05-08	2004
25/1-4	REPORTED BY LICENSEE	350_9_Test_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/350_9_Test_analysis.PDF	PDF	3558.000000	350	9999-12-31	2013-05-08	2005
25/1-5	OLD NPD WDSS	351_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/351_01_WDSS_General_Information.pdf	pdf	258.000000	351	9999-12-31	2013-05-08	2006
25/1-6	COMPOSITE LOG	352	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/352.pdf	pdf	444.000000	352	9999-12-31	2013-05-08	2007
25/1-6	OLD NPD WDSS	352_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/352_01_WDSS_General_Information.pdf	pdf	452.000000	352	9999-12-31	2013-05-08	2008
25/1-6	OLD NPD WDSS	352_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/352_03_WDSS_lithlog.pdf	pdf	62.000000	352	9999-12-31	2013-05-08	2009
25/1-6	REPORTED BY LICENSEE	352_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/352_1_Completion_Report_and_Completion_log.pdf	pdf	5340.000000	352	9999-12-31	2013-05-08	2010
25/1-6	REPORTED BY LICENSEE	352_2_Drilling_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/352_2_Drilling_report.pdf	pdf	14650.000000	352	9999-12-31	2013-05-08	2011
25/1-6	REPORTED BY LICENSEE	352_3_Geological_completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/352_3_Geological_completion_report.PDF	PDF	5385.000000	352	9999-12-31	2013-05-08	2012
25/1-6	REPORTED BY LICENSEE	352_4_Geological_well_prognosis_and_drilling_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/352_4_Geological_well_prognosis_and_drilling_program.pdf	pdf	23072.000000	352	9999-12-31	2013-05-08	2013
25/1-6	REPORTED BY LICENSEE	352_5_Note_on_results	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/352_5_Note_on_results.pdf	pdf	15459.000000	352	9999-12-31	2013-05-08	2014
25/1-6	REPORTED BY LICENSEE	352_6_Sedimentological_study_of_basal_tertiary_formations	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/352_6_Sedimentological_study_of_basal_tertiary_formations.pdf	pdf	5159.000000	352	9999-12-31	2013-05-08	2015
25/1-7	OLD NPD WDSS	463_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/463_01_WDSS_General_Information.pdf	pdf	300.000000	463	9999-12-31	2013-05-08	2016
25/1-7	OLD NPD WDSS	463_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/463_02_WDSS_completion_log.pdf	pdf	205.000000	463	9999-12-31	2013-05-08	2017
25/1-7	REPORTED BY LICENSEE	463_01_25_1_7_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/463_01_25_1_7_Completion_Log.pdf	pdf	1597.000000	463	9999-12-31	2013-05-08	2018
25/1-7	REPORTED BY LICENSEE	463_01_25_1_7_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/463_01_25_1_7_Completion_report.pdf	pdf	2232.000000	463	9999-12-31	2013-05-08	2019
25/1-8 S	OLD NPD WDSS	472_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/472_01_WDSS_General_Information.pdf	pdf	282.000000	472	9999-12-31	2013-05-08	2020
25/1-8 S	OLD NPD WDSS	472_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/472_02_WDSS_completion_log.pdf	pdf	201.000000	472	9999-12-31	2013-05-08	2021
25/1-8 S	REPORTED BY LICENSEE	472_25_1_8_S_COMPLETION_LOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/472_25_1_8_S_COMPLETION_LOG.pdf	pdf	1569.000000	472	9999-12-31	2013-05-08	2022
25/1-8 S	REPORTED BY LICENSEE	472_25_1_8_S_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/472_25_1_8_S_COMPLETION_REPORT.pdf	pdf	830.000000	472	9999-12-31	2013-05-08	2023
25/1-8 SR	REPORTED BY LICENSEE	1030_25_1_8_SR_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1030_25_1_8_SR_Completion_report.pdf	pdf	2188.000000	1030	9999-12-31	2013-05-08	2024
25/1-8 SR2	REPORTED BY LICENSEE	1286_25_1_8_SR2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1286_25_1_8_SR2_Completion_report.pdf	pdf	2809.000000	1286	9999-12-31	2013-05-08	2025
25/1-8 SR3	REPORTED BY LICENSEE	1396_25_1_8_SR3_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1396_25_1_8_SR3_Completion_report.pdf	pdf	3515.000000	1396	9999-12-31	2013-05-08	2026
25/1-8 SR4	REPORTED BY LICENSEE	1644_25_1_8_SR4_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1644_25_1_8_SR4_Completion_report.pdf	pdf	5100.000000	1644	9999-12-31	2013-05-08	2027
25/1-9	COMPOSITE LOG	1001	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1001.pdf	pdf	355.000000	1001	9999-12-31	2013-05-08	2028
25/1-9	GEOCHEMICAL INFORMATION	1001_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1001_1.pdf	pdf	511.000000	1001	9999-12-31	2013-05-08	2029
25/1-9	OLD NPD WDSS	1001_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1001_01_WDSS_General_Information.pdf	pdf	211.000000	1001	9999-12-31	2013-05-08	2030
25/1-9	OLD NPD WDSS	1001_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1001_02_WDSS_completion_log.pdf	pdf	236.000000	1001	9999-12-31	2013-05-08	2031
25/2-1	COMPOSITE LOG	353	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/353.pdf	pdf	303.000000	353	9999-12-31	2013-05-08	2032
25/2-1	OLD NPD WDSS	353_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/353_01_WDSS_General_Information.pdf	pdf	261.000000	353	9999-12-31	2013-05-08	2033
25/2-1	REPORTED BY LICENSEE	353_10_Sedimentological_study_of_the_base_of_the_tertiary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_10_Sedimentological_study_of_the_base_of_the_tertiary.pdf	pdf	2799.000000	353	9999-12-31	2013-05-08	2034
25/2-1	REPORTED BY LICENSEE	353_11_Sidewall_cores_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_11_Sidewall_cores_description.pdf	pdf	1583.000000	353	9999-12-31	2013-05-08	2035
25/2-1	REPORTED BY LICENSEE	353_12_Thermodynamic_study_and_physical_properties	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_12_Thermodynamic_study_and_physical_properties.pdf	pdf	4522.000000	353	9999-12-31	2013-05-08	2036
25/2-1	REPORTED BY LICENSEE	353_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_1_Completion_Report_&_Completion_log.pdf	pdf	3546.000000	353	9999-12-31	2013-05-08	2037
25/2-1	REPORTED BY LICENSEE	353_2_Geological_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_2_Geological_report.PDF	PDF	8542.000000	353	9999-12-31	2013-05-08	2038
25/2-1	REPORTED BY LICENSEE	353_3_Analyse_des_gas_preleves	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_3_Analyse_des_gas_preleves.pdf	pdf	505.000000	353	9999-12-31	2013-05-08	2039
25/2-1	REPORTED BY LICENSEE	353_4_Core_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_4_Core_description.pdf	pdf	350.000000	353	9999-12-31	2013-05-08	2040
25/2-1	REPORTED BY LICENSEE	353_5_Fit_puits	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_5_Fit_puits.pdf	pdf	3511.000000	353	9999-12-31	2013-05-08	2041
25/2-1	REPORTED BY LICENSEE	353_6_Mesures_petrophysical_sur_les_carottes_du_puits	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_6_Mesures_petrophysical_sur_les_carottes_du_puits.pdf	pdf	334.000000	353	9999-12-31	2013-05-08	2042
25/2-1	REPORTED BY LICENSEE	353_7_Palynological_study_on_lower_tertiary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_7_Palynological_study_on_lower_tertiary .pdf	pdf	979.000000	353	9999-12-31	2013-05-08	2043
25/2-1	REPORTED BY LICENSEE	353_8_Rapport_chronologique_des_operations_realisees_du_24	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_8_Rapport_chronologique_des_operations_realisees_du_24.pdf	pdf	1529.000000	353	9999-12-31	2013-05-08	2044
25/2-1	REPORTED BY LICENSEE	353_9_Results_des_essai_sur_le_reservoir_a_gas_eocene	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/353_9_Results_des_essai_sur_le_reservoir_a_gas_eocene.pdf	pdf	1198.000000	353	9999-12-31	2013-05-08	2045
25/2-10 S	COMPOSITE LOG	855	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/855.pdf	pdf	584.000000	855	9999-12-31	2013-05-08	2046
25/2-10 S	GEOCHEMICAL INFORMATION	855_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/855_1.pdf	pdf	1755.000000	855	9999-12-31	2013-05-08	2047
25/2-10 S	GEOCHEMICAL INFORMATION	855_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/855_2.pdf	pdf	401.000000	855	9999-12-31	2013-05-08	2048
25/2-10 S	OLD NPD WDSS	855_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/855_01_WDSS_General_Information.pdf	pdf	355.000000	855	9999-12-31	2013-05-08	2049
25/2-10 S	OLD NPD WDSS	855_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/855_02_WDSS_completion_log.pdf	pdf	230.000000	855	9999-12-31	2013-05-08	2050
25/2-11	COMPOSITE LOG	1036	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1036.pdf	pdf	311.000000	1036	9999-12-31	2013-05-08	2051
25/2-11	GEOCHEMICAL INFORMATION	1036_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1036_1.pdf	pdf	457.000000	1036	9999-12-31	2013-05-08	2052
25/2-11	OLD NPD WDSS	1036_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1036_01_WDSS_General_Information.pdf	pdf	442.000000	1036	9999-12-31	2013-05-08	2053
25/2-11	OLD NPD WDSS	1036_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1036_02_WDSS_completion_log.pdf	pdf	147.000000	1036	9999-12-31	2013-05-08	2054
25/2-12	COMPOSITE LOG	1290	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1290.pdf	pdf	517.000000	1290	9999-12-31	2013-05-08	2055
25/2-12	GEOCHEMICAL INFORMATION	1290_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1290_1.pdf	pdf	1669.000000	1290	9999-12-31	2013-05-08	2056
25/2-12	GEOCHEMICAL INFORMATION	1290_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1290_2.pdf	pdf	1154.000000	1290	9999-12-31	2013-05-08	2057
25/2-12	OLD NPD WDSS	1290_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1290_01_WDSS_General_Information.pdf	pdf	244.000000	1290	9999-12-31	2013-05-08	2058
25/2-12	OLD NPD WDSS	1290_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1290_02_WDSS_completion_log.pdf	pdf	283.000000	1290	9999-12-31	2013-05-08	2059
25/2-12 A	COMPOSITE LOG	1355	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1355.pdf	pdf	436.000000	1355	9999-12-31	2013-05-08	2060
25/2-12 A	OLD NPD WDSS	1355_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1355_01_WDSS_General_Information.pdf	pdf	296.000000	1355	9999-12-31	2013-05-08	2061
25/2-12 A	OLD NPD WDSS	1355_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1355_02_WDSS_completion_log.pdf	pdf	170.000000	1355	9999-12-31	2013-05-08	2062
25/2-13	OLD NPD WDSS	1459_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1459_01_WDSS_General_Information.pdf	pdf	255.000000	1459	9999-12-31	2013-05-08	2063
25/2-13	OLD NPD WDSS	1459_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1459_02_WDSS_completion_log.pdf	pdf	217.000000	1459	9999-12-31	2013-05-08	2064
25/2-14	COMPOSITE LOG	1712	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1712.pdf	pdf	496.000000	1712	9999-12-31	2013-05-08	2065
25/2-14	GEOCHEMICAL INFORMATION	1712_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1712_1.pdf	pdf	510.000000	1712	9999-12-31	2013-05-08	2066
25/2-14	OLD NPD WDSS	1712_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1712_01_WDSS_General_Information.pdf	pdf	431.000000	1712	9999-12-31	2013-05-08	2067
25/2-14	OLD NPD WDSS	1712_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1712_02_WDSS_completion_log.pdf	pdf	204.000000	1712	9999-12-31	2013-05-08	2068
25/2-15 R2	COMPOSITE LOG	2116	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2116.pdf	pdf	582.000000	2116	9999-12-31	2013-05-08	2069
25/2-16 S	COMPOSITE LOG	4385	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4385.pdf	pdf	366.000000	4385	9999-12-31	2013-05-08	2070
25/2-17	GEOCHEMICAL INFORMATION	6215_01_25_2_17_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6215_01_25_2_17_gch_transfer_1.txt	txt	0.000000	6215	2012-11-07	2013-05-08	2071
25/2-17	GEOCHEMICAL INFORMATION	6215_02_25_2_17_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6215_02_25_2_17_gch_results_1.txt	txt	16.000000	6215	2012-11-07	2013-05-08	2072
25/2-17	GEOCHEMICAL INFORMATION	6215_03_25_2_17_gch_transfer_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6215_03_25_2_17_gch_transfer_2.txt	txt	0.000000	6215	2012-11-07	2013-05-08	2073
25/2-17	GEOCHEMICAL INFORMATION	6215_04_25_2_17_gch_results_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6215_04_25_2_17_gch_results_2.txt	txt	7.000000	6215	2012-11-07	2013-05-08	2074
25/2-2	COMPOSITE LOG	354	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/354.pdf	pdf	313.000000	354	9999-12-31	2013-05-08	2075
25/2-2	OLD NPD WDSS	354_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/354_01_WDSS_General_Information.pdf	pdf	245.000000	354	9999-12-31	2013-05-08	2076
25/2-2	REPORTED BY LICENSEE	354_11_Resultats_preliminaires_diagraphies_et_essais	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_11_Resultats_preliminaires_diagraphies_et_essais.pdf	pdf	15493.000000	354	9999-12-31	2013-05-08	2077
25/2-2	REPORTED BY LICENSEE	354_13_Study_of_clay_sensitivity	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_13_Study_of_clay_sensitivity.pdf	pdf	1314.000000	354	9999-12-31	2013-05-08	2078
25/2-2	REPORTED BY LICENSEE	354_14_Study_of_fluids_from_fit_no2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_14_Study_of_fluids_from_fit_no2.pdf	pdf	166.000000	354	9999-12-31	2013-05-08	2079
25/2-2	REPORTED BY LICENSEE	354_15_Well_prognosis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_15_Well_prognosis.pdf	pdf	1040.000000	354	9999-12-31	2013-05-08	2080
25/2-2	REPORTED BY LICENSEE	354_1_Completion_Report_&_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_1_Completion_Report_&_Completionlog.pdf	pdf	6718.000000	354	9999-12-31	2013-05-08	2081
25/2-2	REPORTED BY LICENSEE	354_2_Geological_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_2_Geological_report.pdf	pdf	6719.000000	354	9999-12-31	2013-05-08	2082
25/2-2	REPORTED BY LICENSEE	354_4_Analysis_of_fluids_from_fit_no_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_4_Analysis_of_fluids_from_fit_no_1.pdf	pdf	449.000000	354	9999-12-31	2013-05-08	2083
25/2-2	REPORTED BY LICENSEE	354_5_Characteristiques_reseervoir_a_partir_du_cpi	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_5_Characteristiques_reseervoir_a_partir_du_cpi.pdf	pdf	901.000000	354	9999-12-31	2013-05-08	2084
25/2-2	REPORTED BY LICENSEE	354_6_Core_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_6_Core_description.pdf	pdf	491.000000	354	9999-12-31	2013-05-08	2085
25/2-2	REPORTED BY LICENSEE	354_7_CPI_coriband_and_analysis_of_complex_lithology	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_7_CPI_coriband_and_analysis_of_complex_lithology.pdf	pdf	3661.000000	354	9999-12-31	2013-05-08	2086
25/2-2	REPORTED BY LICENSEE	354_8_Palynological_study_on_the_lower_tertiary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_8_Palynological_study_on_the_lower_tertiary.pdf	pdf	467.000000	354	9999-12-31	2013-05-08	2087
25/2-2	REPORTED BY LICENSEE	354_9_Premier_resultats	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_9_Premier_resultats.pdf	pdf	172.000000	354	9999-12-31	2013-05-08	2088
25/2-2	REPORTED BY LICENSEE	354_10_Rapport_dessais_du_puits	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_10_Rapport_dessais_du_puits.pdf	pdf	495.000000	354	2013-05-08	2013-05-08	2089
25/2-2	REPORTED BY LICENSEE	354_12_Results_danalyses_diffractometriques_et_granulometr	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_12_Results_danalyses_diffractometriques_et_granulometr.pdf	pdf	2259.000000	354	2013-05-08	2013-05-08	2090
25/2-2	REPORTED BY LICENSEE	354_3_Analysis_deaux	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/354_3_Analysis_deaux.pdf	pdf	349.000000	354	2013-05-08	2013-05-08	2091
25/2-3	COMPOSITE LOG	355	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/355.pdf	pdf	219.000000	355	9999-12-31	2013-05-08	2092
25/2-3	OLD NPD WDSS	355_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/355_01_WDSS_General_Information.pdf	pdf	285.000000	355	9999-12-31	2013-05-08	2093
25/2-3	REPORTED BY LICENSEE	355_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/355_1_Completion_Report_&_Completion_log.pdf	pdf	3233.000000	355	9999-12-31	2013-05-08	2094
25/2-4	COMPOSITE LOG	356	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/356.pdf	pdf	394.000000	356	9999-12-31	2013-05-08	2095
25/2-4	GEOCHEMICAL INFORMATION	356_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/356_1.pdf	pdf	3272.000000	356	9999-12-31	2013-05-08	2096
25/2-4	OLD NPD WDSS	356_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/356_01_WDSS_General_Information.pdf	pdf	2825.000000	356	9999-12-31	2013-05-08	2097
25/2-4	REPORTED BY LICENSEE	356_2_Sedimentogenese_du_jurassic_de_la_zone_centrale	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/356_2_Sedimentogenese_du_jurassic_de_la_zone_centrale.pdf	pdf	7817.000000	356	9999-12-31	2013-05-08	2098
25/2-4	REPORTED BY LICENSEE	356_3_Core_measurements_porosity_vs_permeability	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/356_3_Core_measurements_porosity_vs_permeability.pdf	pdf	173.000000	356	9999-12-31	2013-05-08	2099
25/2-4	REPORTED BY LICENSEE	356_4_Computer_processed_interpretation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/356_4_Computer_processed_interpretation.pdf	pdf	15241.000000	356	9999-12-31	2013-05-08	2100
25/2-4	REPORTED BY LICENSEE	356_5_Computer_processed_interpretation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/356_5_Computer_processed_interpretation .pdf	pdf	2445.000000	356	9999-12-31	2013-05-08	2101
25/2-4	REPORTED BY LICENSEE	356_6_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/356_6_Completion_Report.pdf	pdf	2857.000000	356	9999-12-31	2013-05-08	2102
25/2-5	GEOCHEMICAL INFORMATION	357_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/357_1.pdf	pdf	109.000000	357	9999-12-31	2013-05-08	2103
25/2-5	GEOCHEMICAL INFORMATION	357_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/357_2.pdf	pdf	2294.000000	357	9999-12-31	2013-05-08	2104
25/2-5	GEOCHEMICAL INFORMATION	357_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/357_3.pdf	pdf	4397.000000	357	9999-12-31	2013-05-08	2105
25/2-5	GEOCHEMICAL INFORMATION	357_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/357_4.pdf	pdf	544.000000	357	9999-12-31	2013-05-08	2106
25/2-5	OLD NPD WDSS	357_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/357_01_WDSS_General_Information.pdf	pdf	387.000000	357	9999-12-31	2013-05-08	2107
25/2-6	COMPOSITE LOG	358	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/358.pdf	pdf	434.000000	358	9999-12-31	2013-05-08	2108
25/2-6	GEOCHEMICAL INFORMATION	358_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/358_1.pdf	pdf	823.000000	358	9999-12-31	2013-05-08	2109
25/2-6	GEOCHEMICAL INFORMATION	358_1_Organisk_geokjemi_25_2_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/358_1_Organisk_geokjemi_25_2_6.PDF	PDF	126.000000	358	9999-12-31	2013-05-08	2110
25/2-6	GEOCHEMICAL INFORMATION	358_2_Organic_geochemistry_of_the_Jurassic_series_well_25_2_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/358_2_Organic_geochemistry_of_the_Jurassic_series_well_25_2_6.PDF	PDF	4917.000000	358	9999-12-31	2013-05-08	2111
25/2-6	OLD NPD WDSS	358_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/358_01_WDSS_General_Information.pdf	pdf	445.000000	358	9999-12-31	2013-05-08	2112
25/2-6	REPORTED BY LICENSEE	358_1_Geological_well_prognosis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/358_1_Geological_well_prognosis.pdf	pdf	48387.000000	358	9999-12-31	2013-05-08	2113
25/2-6	REPORTED BY LICENSEE	358_2_Geological_completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/358_2_Geological_completion_report.PDF	PDF	5044.000000	358	9999-12-31	2013-05-08	2114
25/2-6	REPORTED BY LICENSEE	358_3_Drilling_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/358_3_Drilling_program.pdf	pdf	14671.000000	358	9999-12-31	2013-05-08	2115
25/2-6	REPORTED BY LICENSEE	358_4_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/358_4_Completion_Report_and_Completion_log.pdf	pdf	2835.000000	358	9999-12-31	2013-05-08	2116
25/2-7	GEOCHEMICAL INFORMATION	47_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/47_1.pdf	pdf	1753.000000	47	9999-12-31	2013-05-08	2117
25/2-7	OLD NPD WDSS	47_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/47_01_WDSS_General_Information.pdf	pdf	154.000000	47	9999-12-31	2013-05-08	2118
25/2-7	OLD NPD WDSS	47_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/47_02_WDSS_completion_log.pdf	pdf	234.000000	47	9999-12-31	2013-05-08	2119
25/2-8	COMPOSITE LOG	131	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/131.pdf	pdf	396.000000	131	9999-12-31	2013-05-08	2120
25/2-8	OLD NPD WDSS	131_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/131_01_WDSS_General_Information.pdf	pdf	213.000000	131	9999-12-31	2013-05-08	2121
25/2-8	OLD NPD WDSS	131_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/131_02_WDSS_completion_log.pdf	pdf	215.000000	131	9999-12-31	2013-05-08	2122
25/2-9	COMPOSITE LOG	477	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/477.pdf	pdf	331.000000	477	9999-12-31	2013-05-08	2123
25/2-9	OLD NPD WDSS	477_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/477_01_WDSS_General_Information.pdf	pdf	280.000000	477	9999-12-31	2013-05-08	2124
25/2-9	OLD NPD WDSS	477_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/477_02_WDSS_completion_log.pdf	pdf	189.000000	477	9999-12-31	2013-05-08	2125
25/3-1	COMPOSITE LOG	1419	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1419.pdf	pdf	621.000000	1419	9999-12-31	2013-05-08	2126
25/3-1	GEOCHEMICAL INFORMATION	1419_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1419_1.pdf	pdf	2604.000000	1419	9999-12-31	2013-05-08	2127
25/3-1	OLD NPD WDSS	1419_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1419_01_WDSS_General_Information.pdf	pdf	242.000000	1419	9999-12-31	2013-05-08	2128
25/3-1	OLD NPD WDSS	1419_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1419_02_WDSS_completion_log.pdf	pdf	223.000000	1419	9999-12-31	2013-05-08	2129
25/4-1	GEOCHEMICAL INFORMATION	359_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/359_3.pdf	pdf	1575.000000	359	9999-12-31	2013-05-08	2133
25/4-1	OLD NPD WDSS	359_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/359_01_WDSS_General_Information.pdf	pdf	404.000000	359	9999-12-31	2013-05-08	2134
25/4-1	REPORTED BY LICENSEE	359_01_25_4_1_Geological_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/359_01_25_4_1_Geological_report.pdf	pdf	20979.000000	359	9999-12-31	2013-05-08	2135
25/4-1	REPORTED BY LICENSEE	359_02_25_4_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/359_02_25_4_1_Completion_log.pdf	pdf	1888.000000	359	9999-12-31	2013-05-08	2136
25/4-2	COMPOSITE LOG	360	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/360.pdf	pdf	296.000000	360	9999-12-31	2013-05-08	2137
25/4-2	OLD NPD WDSS	360_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/360_01_WDSS_General_Information.pdf	pdf	259.000000	360	9999-12-31	2013-05-08	2138
25/4-2	REPORTED BY LICENSEE	360_01_25_4_2_Geological_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/360_01_25_4_2_Geological_report.pdf	pdf	1637.000000	360	9999-12-31	2013-05-08	2139
25/4-2	REPORTED BY LICENSEE	360_02_25_4_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/360_02_25_4_2_Completion_log.pdf	pdf	1251.000000	360	9999-12-31	2013-05-08	2140
25/4-3	COMPOSITE LOG	361	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/361.pdf	pdf	266.000000	361	9999-12-31	2013-05-08	2141
25/4-3	OLD NPD WDSS	361_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/361_01_WDSS_General_Information.pdf	pdf	254.000000	361	9999-12-31	2013-05-08	2142
25/4-3	REPORTED BY LICENSEE	361_01_25_4_3_Geological_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/361_01_25_4_3_Geological_report.pdf	pdf	2566.000000	361	9999-12-31	2013-05-08	2143
25/4-3	REPORTED BY LICENSEE	361_02_25_4_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/361_02_25_4_3_Completion_log.pdf	pdf	1278.000000	361	9999-12-31	2013-05-08	2144
25/4-4	COMPOSITE LOG	362	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/362.pdf	pdf	290.000000	362	9999-12-31	2013-05-08	2145
25/4-4	OLD NPD WDSS	362_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/362_01_WDSS_General_Information.pdf	pdf	254.000000	362	9999-12-31	2013-05-08	2146
25/4-4	REPORTED BY LICENSEE	362_01_25_4_4_Final_Geological_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/362_01_25_4_4_Final_Geological_report.pdf	pdf	891.000000	362	9999-12-31	2013-05-08	2147
25/4-4	REPORTED BY LICENSEE	362_02_25_4_4_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/362_02_25_4_4_Completion_log.pdf	pdf	1142.000000	362	9999-12-31	2013-05-08	2148
25/4-5	COMPOSITE LOG	201	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/201.pdf	pdf	826.000000	201	9999-12-31	2013-05-08	2149
25/4-5	GEOCHEMICAL INFORMATION	201_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/201_1.pdf	pdf	186.000000	201	9999-12-31	2013-05-08	2150
25/4-5	GEOCHEMICAL INFORMATION	201_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/201_2.pdf	pdf	784.000000	201	9999-12-31	2013-05-08	2151
25/4-5	OLD NPD WDSS	201_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/201_01_WDSS_General_Information.pdf	pdf	122.000000	201	9999-12-31	2013-05-08	2152
25/4-5	OLD NPD WDSS	201_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/201_02_WDSS_completion_log.pdf	pdf	260.000000	201	9999-12-31	2013-05-08	2153
25/4-5	REPORTED BY LICENSEE	201_01_25_4_5_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/201_01_25_4_5_Completion_report.pdf	pdf	4422.000000	201	9999-12-31	2013-05-08	2154
25/4-5	REPORTED BY LICENSEE	201_02_25_4_5_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/201_02_25_4_5_Completion_log.pdf	pdf	1595.000000	201	9999-12-31	2013-05-08	2155
25/4-6 S	COMPOSITE LOG	1703	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1703.pdf	pdf	526.000000	1703	9999-12-31	2013-05-08	2156
25/4-6 S	GEOCHEMICAL INFORMATION	1703_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1703_1.pdf	pdf	5251.000000	1703	9999-12-31	2013-05-08	2157
25/4-6 S	OLD NPD WDSS	1703_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1703_01_WDSS_General_Information.pdf	pdf	665.000000	1703	9999-12-31	2013-05-08	2158
25/4-6 S	OLD NPD WDSS	1703_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1703_02_WDSS_completion_log.pdf	pdf	225.000000	1703	9999-12-31	2013-05-08	2159
25/4-7	COMPOSITE LOG	4716	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4716.pdf	pdf	204.000000	4716	9999-12-31	2013-05-08	2160
25/4-9 S	GEOCHEMICAL INFORMATION	4278_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4278_1.pdf	pdf	1478.000000	4278	9999-12-31	2013-05-08	2161
25/5-1	COMPOSITE LOG	884	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/884.pdf	pdf	514.000000	884	9999-12-31	2013-05-08	2162
25/5-1	OLD NPD WDSS	884_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/884_01_WDSS_General_Information.pdf	pdf	440.000000	884	9999-12-31	2013-05-08	2163
25/5-1	OLD NPD WDSS	884_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/884_02_WDSS_completion_log.pdf	pdf	266.000000	884	9999-12-31	2013-05-08	2164
25/5-1 A	COMPOSITE LOG	1131	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1131.pdf	pdf	549.000000	1131	9999-12-31	2013-05-08	2165
25/5-1 A	OLD NPD WDSS	1131_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1131_01_WDSS_General_Information.pdf	pdf	324.000000	1131	9999-12-31	2013-05-08	2166
25/5-1 A	OLD NPD WDSS	1131_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1131_02_WDSS_completion_log.pdf	pdf	178.000000	1131	9999-12-31	2013-05-08	2167
25/5-2	COMPOSITE LOG	1346	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1346.pdf	pdf	425.000000	1346	9999-12-31	2013-05-08	2168
25/5-2	GEOCHEMICAL INFORMATION	1346_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1346_1.pdf	pdf	1117.000000	1346	9999-12-31	2013-05-08	2169
25/5-2	GEOCHEMICAL INFORMATION	1346_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1346_2.pdf	pdf	953.000000	1346	9999-12-31	2013-05-08	2170
25/5-2	OLD NPD WDSS	1346_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1346_01_WDSS_General_Information.pdf	pdf	263.000000	1346	9999-12-31	2013-05-08	2171
25/5-2	OLD NPD WDSS	1346_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1346_02_WDSS_completion_log.pdf	pdf	164.000000	1346	9999-12-31	2013-05-08	2172
25/5-3	GEOCHEMICAL INFORMATION	1488_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1488_1.pdf	pdf	73.000000	1488	9999-12-31	2013-05-08	2173
25/5-3	GEOCHEMICAL INFORMATION	1488_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1488_2.pdf	pdf	1180.000000	1488	9999-12-31	2013-05-08	2174
25/5-3	GEOCHEMICAL INFORMATION	1488_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1488_3.pdf	pdf	1494.000000	1488	9999-12-31	2013-05-08	2175
25/5-3	OLD NPD WDSS	1488_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1488_01_WDSS_General_Information.pdf	pdf	206.000000	1488	9999-12-31	2013-05-08	2176
25/5-3	OLD NPD WDSS	1488_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1488_02_WDSS_completion_log.pdf	pdf	164.000000	1488	9999-12-31	2013-05-08	2177
25/5-4	GEOCHEMICAL INFORMATION	1691_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1691_1.pdf	pdf	211.000000	1691	9999-12-31	2013-05-08	2178
25/5-4	OLD NPD WDSS	1691_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1691_01_WDSS_General_Information.pdf	pdf	468.000000	1691	9999-12-31	2013-05-08	2179
25/5-4	OLD NPD WDSS	1691_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1691_02_WDSS_completion_log.pdf	pdf	192.000000	1691	9999-12-31	2013-05-08	2180
25/5-5	COMPOSITE LOG	2661	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2661.pdf	pdf	341.000000	2661	9999-12-31	2013-05-08	2181
25/5-5	GEOCHEMICAL INFORMATION	2661_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2661_1.pdf	pdf	1573.000000	2661	9999-12-31	2013-05-08	2182
25/6-1	COMPOSITE LOG	524	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/524.pdf	pdf	438.000000	524	9999-12-31	2013-05-08	2183
25/6-1	GEOCHEMICAL INFORMATION	524_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/524_1.pdf	pdf	1777.000000	524	9999-12-31	2013-05-08	2184
25/6-1	GEOCHEMICAL INFORMATION	524_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/524_2.pdf	pdf	1849.000000	524	9999-12-31	2013-05-08	2185
25/6-1	GEOCHEMICAL INFORMATION	524_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/524_3.pdf	pdf	1268.000000	524	9999-12-31	2013-05-08	2186
25/6-1	OLD NPD WDSS	524_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/524_01_WDSS_General_Information.pdf	pdf	245.000000	524	9999-12-31	2013-05-08	2187
25/6-1	OLD NPD WDSS	524_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/524_02_WDSS_completion_log.pdf	pdf	263.000000	524	9999-12-31	2013-05-08	2188
25/6-2	COMPOSITE LOG	1949	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1949.pdf	pdf	314.000000	1949	9999-12-31	2013-05-08	2189
25/6-2	GEOCHEMICAL INFORMATION	1949_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1949_1.pdf	pdf	1864.000000	1949	9999-12-31	2013-05-08	2190
25/6-2	OLD NPD WDSS	1949_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1949_01_WDSS_General_Information.pdf	pdf	397.000000	1949	9999-12-31	2013-05-08	2191
25/6-2	OLD NPD WDSS	1949_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1949_02_WDSS_completion_log.pdf	pdf	153.000000	1949	9999-12-31	2013-05-08	2192
25/6-3	COMPOSITE LOG	3885	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3885.pdf	pdf	381.000000	3885	9999-12-31	2013-05-08	2193
25/6-3	GEOCHEMICAL INFORMATION	3885_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3885_1.pdf	pdf	1113.000000	3885	9999-12-31	2013-05-08	2194
25/7-1 S	OLD NPD WDSS	898_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/898_01_WDSS_General_Information.pdf	pdf	215.000000	898	9999-12-31	2013-05-08	2195
25/7-1 S	OLD NPD WDSS	898_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/898_02_WDSS_completion_log.pdf	pdf	329.000000	898	9999-12-31	2013-05-08	2196
25/7-1 S	REPORTED BY LICENSEE	898_01_25_7_1_S_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/898_01_25_7_1_S_Completion_Log.pdf	pdf	2676.000000	898	9999-12-31	2013-05-08	2197
25/7-1 S	REPORTED BY LICENSEE	898_01_25_7_1_S_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/898_01_25_7_1_S_Completion_report.pdf	pdf	13829.000000	898	9999-12-31	2013-05-08	2198
25/7-2	COMPOSITE LOG	1494	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1494.pdf	pdf	709.000000	1494	9999-12-31	2013-05-08	2199
25/7-2	GEOCHEMICAL INFORMATION	1494_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1494_1.pdf	pdf	1261.000000	1494	9999-12-31	2013-05-08	2200
25/7-2	GEOCHEMICAL INFORMATION	1494_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1494_2.pdf	pdf	912.000000	1494	9999-12-31	2013-05-08	2201
25/7-2	OLD NPD WDSS	1494_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1494_01_WDSS_General_Information.pdf	pdf	250.000000	1494	9999-12-31	2013-05-08	2202
25/7-2	OLD NPD WDSS	1494_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1494_02_WDSS_completion_log.pdf	pdf	269.000000	1494	9999-12-31	2013-05-08	2203
25/7-3	COMPOSITE LOG	2623	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2623.pdf	pdf	401.000000	2623	9999-12-31	2013-05-08	2204
25/7-3	GEOCHEMICAL INFORMATION	2623_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2623_1.pdf	pdf	1763.000000	2623	9999-12-31	2013-05-08	2205
25/7-3	GEOCHEMICAL INFORMATION	2623_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2623_2.pdf	pdf	1052.000000	2623	9999-12-31	2013-05-08	2206
25/7-4 S	COMPOSITE LOG	3114	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3114.pdf	pdf	319.000000	3114	9999-12-31	2013-05-08	2207
25/7-5	COMPOSITE LOG	3132	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3132.pdf	pdf	343.000000	3132	9999-12-31	2013-05-08	2208
25/7-5	GEOCHEMICAL INFORMATION	3132_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3132_1.pdf	pdf	1836.000000	3132	9999-12-31	2013-05-08	2209
25/7-5	GEOCHEMICAL INFORMATION	3132_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3132_2.pdf	pdf	1951.000000	3132	9999-12-31	2013-05-08	2210
25/7-5	GEOCHEMICAL INFORMATION	3132_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3132_3.pdf	pdf	1895.000000	3132	9999-12-31	2013-05-08	2211
25/7-5	GEOCHEMICAL INFORMATION	3132_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3132_4.pdf	pdf	1981.000000	3132	9999-12-31	2013-05-08	2212
25/7-5	GEOCHEMICAL INFORMATION	3132_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3132_5.pdf	pdf	1879.000000	3132	9999-12-31	2013-05-08	2213
25/7-5	GEOCHEMICAL INFORMATION	3132_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3132_6.pdf	pdf	136.000000	3132	9999-12-31	2013-05-08	2214
25/7-6	COMPOSITE LOG	4141	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4141.pdf	pdf	212.000000	4141	9999-12-31	2013-05-08	2215
25/8-1	GEOCHEMICAL INFORMATION	173_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/173_1.pdf	pdf	4955.000000	173	9999-12-31	2013-05-08	2216
25/8-1	GEOCHEMICAL INFORMATION	173_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/173_2.pdf	pdf	1402.000000	173	9999-12-31	2013-05-08	2217
25/8-1	GEOCHEMICAL INFORMATION	173_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/173_3.pdf	pdf	637.000000	173	9999-12-31	2013-05-08	2218
25/8-1	GEOCHEMICAL INFORMATION	173_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/173_4.pdf	pdf	2439.000000	173	9999-12-31	2013-05-08	2219
25/8-1	NPD PAPER	173_01_NPD_Paper_No.28_Lithology__Balder area__Well_25_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/173_01_NPD_Paper_No.28_Lithology__Balder area__Well_25_8_1.pdf	pdf	18564.000000	173	9999-12-31	2013-05-08	2220
25/8-1	NPD PAPER	173_02_NPD_Paper_No.28_Interpreted_Lithology_log__Well_25_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/173_02_NPD_Paper_No.28_Interpreted_Lithology_log__Well_25_8_1.pdf	pdf	1401.000000	173	9999-12-31	2013-05-08	2221
25/8-1	NPD PAPER	173_03_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/173_03_NPD_Paper_No.28_Lithologic_Correlation_chart__Well_25_8_1.pdf	pdf	475.000000	173	9999-12-31	2013-05-08	2222
25/8-1	NPD PAPER	173_04_NPD_Paper_No.28_Log_Correlation_chart_Profile_NE-SW__Well_25_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/173_04_NPD_Paper_No.28_Log_Correlation_chart_Profile_NE-SW__Well_25_8_1.pdf	pdf	408.000000	173	9999-12-31	2013-05-08	2223
25/8-1	OLD NPD WDSS	173_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/173_01_WDSS_General_Information.pdf	pdf	183.000000	173	9999-12-31	2013-05-08	2224
25/8-1	REPORTED BY LICENSEE	173_25_8_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/173_25_8_1_Completion_log.pdf	pdf	1550.000000	173	9999-12-31	2013-05-08	2225
25/8-1	REPORTED BY LICENSEE	173_25_8_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/173_25_8_1_Completion_report.pdf	pdf	38469.000000	173	9999-12-31	2013-05-08	2226
25/8-10 S	COMPOSITE LOG	3062	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3062.pdf	pdf	281.000000	3062	9999-12-31	2013-05-08	2227
25/8-11	COMPOSITE LOG	3209	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3209.pdf	pdf	319.000000	3209	9999-12-31	2013-05-08	2228
25/8-12 A	COMPOSITE LOG	3772	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3772.pdf	pdf	393.000000	3772	9999-12-31	2013-05-08	2229
25/8-12 S	COMPOSITE LOG	3771	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3771.pdf	pdf	378.000000	3771	9999-12-31	2013-05-08	2230
25/8-2	GEOCHEMICAL INFORMATION	363_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/363_1.pdf	pdf	589.000000	363	9999-12-31	2013-05-08	2231
25/8-2	OLD NPD WDSS	363_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/363_01_WDSS_General_Information.pdf	pdf	249.000000	363	9999-12-31	2013-05-08	2232
25/8-2	REPORTED BY LICENSEE	363_25_8_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/363_25_8_2_Completion_log.pdf	pdf	1437.000000	363	9999-12-31	2013-05-08	2233
25/8-2	REPORTED BY LICENSEE	363_25_8_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/363_25_8_2_Completion_report.pdf	pdf	4966.000000	363	9999-12-31	2013-05-08	2234
25/8-3	OLD NPD WDSS	364_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/364_01_WDSS_General_Information.pdf	pdf	85.000000	364	9999-12-31	2013-05-08	2235
25/8-3	OLD NPD WDSS	364_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/364_02_WDSS_completion_log.pdf	pdf	149.000000	364	9999-12-31	2013-05-08	2236
25/8-3	REPORTED BY LICENSEE	364_25_8_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/364_25_8_3_Completion_log.pdf	pdf	1108.000000	364	9999-12-31	2013-05-08	2237
25/8-4	GEOCHEMICAL INFORMATION	1986_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1986_1.pdf	pdf	352.000000	1986	9999-12-31	2013-05-08	2238
25/8-4	GEOCHEMICAL INFORMATION	1986_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1986_2.pdf	pdf	663.000000	1986	9999-12-31	2013-05-08	2239
25/8-4	GEOCHEMICAL INFORMATION	1986_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1986_3.pdf	pdf	5108.000000	1986	9999-12-31	2013-05-08	2240
25/8-4	OLD NPD WDSS	1986_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1986_01_WDSS_General_Information.pdf	pdf	440.000000	1986	9999-12-31	2013-05-08	2241
25/8-4	OLD NPD WDSS	1986_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1986_02_WDSS_completion_log.pdf	pdf	133.000000	1986	9999-12-31	2013-05-08	2242
25/8-5 S	GEOCHEMICAL INFORMATION	2390_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2390_1.pdf	pdf	1470.000000	2390	9999-12-31	2013-05-08	2243
25/8-6	GEOCHEMICAL INFORMATION	2573_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2573_1.pdf	pdf	701.000000	2573	9999-12-31	2013-05-08	2244
25/8-7	GEOCHEMICAL INFORMATION	2612_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2612_1.pdf	pdf	1778.000000	2612	9999-12-31	2013-05-08	2245
25/8-7	GEOCHEMICAL INFORMATION	2612_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2612_2.pdf	pdf	835.000000	2612	9999-12-31	2013-05-08	2246
25/8-8 S	GEOCHEMICAL INFORMATION	2646_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2646_1.pdf	pdf	1949.000000	2646	9999-12-31	2013-05-08	2247
25/8-8 S	GEOCHEMICAL INFORMATION	2646_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2646_2.pdf	pdf	1636.000000	2646	9999-12-31	2013-05-08	2248
25/8-9	COMPOSITE LOG	2988	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2988.pdf	pdf	379.000000	2988	9999-12-31	2013-05-08	2249
25/8-9	GEOCHEMICAL INFORMATION	2988_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2988_1.pdf	pdf	1570.000000	2988	9999-12-31	2013-05-08	2250
25/8-9	GEOCHEMICAL INFORMATION	2988_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2988_2.pdf	pdf	1155.000000	2988	9999-12-31	2013-05-08	2251
25/8-9 A	COMPOSITE LOG	3025	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3025.pdf	pdf	397.000000	3025	9999-12-31	2013-05-08	2252
25/8-9 A	GEOCHEMICAL INFORMATION	3025_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3025_1.pdf	pdf	1567.000000	3025	9999-12-31	2013-05-08	2253
25/8-9 A	GEOCHEMICAL INFORMATION	3025_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3025_2.pdf	pdf	923.000000	3025	9999-12-31	2013-05-08	2254
25/9-1	COMPOSITE LOG	2476	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2476.pdf	pdf	290.000000	2476	9999-12-31	2013-05-08	2255
25/9-1	GEOCHEMICAL INFORMATION	2476_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2476_1.pdf	pdf	1633.000000	2476	9999-12-31	2013-05-08	2256
25/9-1	GEOCHEMICAL INFORMATION	2476_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2476_2.pdf	pdf	1194.000000	2476	9999-12-31	2013-05-08	2257
25/9-3	GEOCHEMICAL INFORMATION	6189_01_25_9_3_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6189_01_25_9_3_gch_transfer_1.txt	txt	0.000000	6189	9999-12-31	2013-05-08	2258
25/9-3	GEOCHEMICAL INFORMATION	6189_02_25_9_3_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6189_02_25_9_3_gch_results_1.txt	txt	87.000000	6189	9999-12-31	2013-05-08	2259
26/4-1	COMPOSITE LOG	1046	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1046.pdf	pdf	480.000000	1046	9999-12-31	2013-05-08	2260
26/4-1	GEOCHEMICAL INFORMATION	1046_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1046_1.pdf	pdf	1768.000000	1046	9999-12-31	2013-05-08	2261
26/4-1	GEOCHEMICAL INFORMATION	1046_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1046_2.pdf	pdf	608.000000	1046	9999-12-31	2013-05-08	2262
26/4-1	OLD NPD WDSS	1046_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1046_01_WDSS_General_Information.pdf	pdf	300.000000	1046	9999-12-31	2013-05-08	2263
26/4-1	OLD NPD WDSS	1046_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1046_02_WDSS_completion_log.pdf	pdf	299.000000	1046	9999-12-31	2013-05-08	2264
26/4-2	COMPOSITE LOG	4925	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4925.pdf	pdf	346.000000	4925	9999-12-31	2013-05-08	2265
29/3-1	COMPOSITE LOG	904	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/904.pdf	pdf	480.000000	904	9999-12-31	2013-05-08	2266
29/3-1	GEOCHEMICAL INFORMATION	904_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/904_1.pdf	pdf	1885.000000	904	9999-12-31	2013-05-08	2267
29/3-1	GEOCHEMICAL INFORMATION	904_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/904_2.pdf	pdf	1557.000000	904	9999-12-31	2013-05-08	2268
29/3-1	OLD NPD WDSS	904_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/904_01_WDSS_General_Information.pdf	pdf	277.000000	904	9999-12-31	2013-05-08	2269
29/3-1	OLD NPD WDSS	904_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/904_02_WDSS_completion_log.pdf	pdf	344.000000	904	9999-12-31	2013-05-08	2270
29/6-1	COMPOSITE LOG	375	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/375.pdf	pdf	756.000000	375	2013-05-01	2013-05-08	2271
29/6-1	OLD NPD WDSS	375_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/375_01_WDSS_General_Information.pdf	pdf	206.000000	375	9999-12-31	2013-05-08	2272
29/6-1	OLD NPD WDSS	375_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/375_02_WDSS_completion_log.pdf	pdf	303.000000	375	9999-12-31	2013-05-08	2273
30/11-5	COMPOSITE LOG	2986	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2986.pdf	pdf	273.000000	2986	9999-12-31	2013-05-08	2436
29/6-1	REPORTED BY LICENSEE	375_29_6_1_COMPLETION_REPORT_DRILLING	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_COMPLETION_REPORT_DRILLING.pdf	pdf	12904.000000	375	9999-12-31	2013-05-08	2274
29/6-1	REPORTED BY LICENSEE	375_29_6_1_CUTTINGS_SAMPLE_BOOK_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_CUTTINGS_SAMPLE_BOOK_1.PDF	PDF	4047.000000	375	9999-12-31	2013-05-08	2275
29/6-1	REPORTED BY LICENSEE	375_29_6_1_DRILLING_PROGRAMME	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_DRILLING_PROGRAMME.PDF	PDF	3009.000000	375	9999-12-31	2013-05-08	2276
29/6-1	REPORTED BY LICENSEE	375_29_6_1_DRILLING_PROPOSAL__	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_DRILLING_PROPOSAL__.PDF	PDF	3453.000000	375	9999-12-31	2013-05-08	2277
29/6-1	REPORTED BY LICENSEE	375_29_6_1_DRILL_STEM_TESTING_FIELD_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_DRILL_STEM_TESTING_FIELD_REPORT.PDF	PDF	7850.000000	375	9999-12-31	2013-05-08	2278
29/6-1	REPORTED BY LICENSEE	375_29_6_1_GEOLOGICAL_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_GEOLOGICAL_COMPLETION_REPORT.PDF	PDF	6884.000000	375	9999-12-31	2013-05-08	2279
29/6-1	REPORTED BY LICENSEE	375_29_6_1_GLOBAL_INTERPRETATION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_GLOBAL_INTERPRETATION.PDF	PDF	19475.000000	375	9999-12-31	2013-05-08	2280
29/6-1	REPORTED BY LICENSEE	375_29_6_1_HIGH_RESOLUTION_DIPMETER_ARROW_LISTING_-_RUN_NO_8A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_HIGH_RESOLUTION_DIPMETER_ARROW_LISTING_-_RUN_NO_8A.PDF	PDF	2130.000000	375	9999-12-31	2013-05-08	2281
29/6-1	REPORTED BY LICENSEE	375_29_6_1_OPERATIONAL_DRILL_STEM_TESTING_PROGRAMME	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_OPERATIONAL_DRILL_STEM_TESTING_PROGRAMME.PDF	PDF	1070.000000	375	9999-12-31	2013-05-08	2282
29/6-1	REPORTED BY LICENSEE	375_29_6_1_PETROLEUM_ENGINEERING_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_PETROLEUM_ENGINEERING_COMPLETION_REPORT.pdf	pdf	6955.000000	375	9999-12-31	2013-05-08	2283
29/6-1	REPORTED BY LICENSEE	375_29_6_1_PRESSURE_SURVEY_REPORT_RUN_NO_1_DST_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_PRESSURE_SURVEY_REPORT_RUN_NO_1_DST_2.PDF	PDF	1042.000000	375	9999-12-31	2013-05-08	2284
29/6-1	REPORTED BY LICENSEE	375_29_6_1_PRESSURE_SURVEY_REPORT_TEST_NO_DST1_RUN_NO_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_PRESSURE_SURVEY_REPORT_TEST_NO_DST1_RUN_NO_1.PDF	PDF	2154.000000	375	9999-12-31	2013-05-08	2285
29/6-1	REPORTED BY LICENSEE	375_29_6_1_THE_BIOSTRATIGRAPHY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_THE_BIOSTRATIGRAPHY.PDF	PDF	796.000000	375	9999-12-31	2013-05-08	2286
29/6-1	REPORTED BY LICENSEE	375_29_6_1_WELL_TESTING_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/375_29_6_1_WELL_TESTING_REPORT.PDF	PDF	6202.000000	375	9999-12-31	2013-05-08	2287
29/9-1	COMPOSITE LOG	31	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/31.pdf	pdf	878.000000	31	2013-05-01	2013-05-08	2288
29/9-1	GEOCHEMICAL INFORMATION	31_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/31_1.pdf	pdf	730.000000	31	9999-12-31	2013-05-08	2289
29/9-1	GEOCHEMICAL INFORMATION	31_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/31_2.pdf	pdf	241.000000	31	9999-12-31	2013-05-08	2290
29/9-1	GEOCHEMICAL INFORMATION	31_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/31_3.pdf	pdf	891.000000	31	9999-12-31	2013-05-08	2291
29/9-1	GEOCHEMICAL INFORMATION	31_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/31_4.pdf	pdf	940.000000	31	9999-12-31	2013-05-08	2292
29/9-1	OLD NPD WDSS	31_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/31_01_WDSS_General_Information.pdf	pdf	205.000000	31	9999-12-31	2013-05-08	2293
29/9-1	OLD NPD WDSS	31_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/31_02_WDSS_completion_log.pdf	pdf	415.000000	31	9999-12-31	2013-05-08	2294
29/9-1	REPORTED BY LICENSEE	31_29_9_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/31_29_9_1_Completion_log.pdf	pdf	3807.000000	31	9999-12-31	2013-05-08	2295
29/9-1	REPORTED BY LICENSEE	31_29_9_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/31_29_9_1_Completion_report.pdf	pdf	19347.000000	31	9999-12-31	2013-05-08	2296
3/4-1	COMPOSITE LOG	2222	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2222.pdf	pdf	457.000000	2222	9999-12-31	2013-05-08	2297
3/4-1	GEOCHEMICAL INFORMATION	2222_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2222_1.pdf	pdf	1753.000000	2222	9999-12-31	2013-05-08	2298
3/4-1	GEOCHEMICAL INFORMATION	2222_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2222_2.pdf	pdf	656.000000	2222	9999-12-31	2013-05-08	2299
3/5-1	COMPOSITE LOG	290	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/290.pdf	pdf	382.000000	290	9999-12-31	2013-05-08	2300
3/5-1	GEOCHEMICAL INFORMATION	290_1_Migrated_crude_oil_detection_in_the_3_5_1_well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/290_1_Migrated_crude_oil_detection_in_the_3_5_1_well.pdf	pdf	4268.000000	290	9999-12-31	2013-05-08	2301
3/5-1	GEOCHEMICAL INFORMATION	290_2_north_sea_source_and_migration_study_3_5_1_and_3_5_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/290_2_north_sea_source_and_migration_study_3_5_1_and_3_5_2.pdf	pdf	7057.000000	290	9999-12-31	2013-05-08	2302
3/5-1	GEOCHEMICAL INFORMATION	290_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/290_3.pdf	pdf	497.000000	290	9999-12-31	2013-05-08	2303
3/5-1	GEOCHEMICAL INFORMATION	290_4_Geochemical_service_report_migrated_crude_oil_detect	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/290_4_Geochemical_service_report_migrated_crude_oil_detect.pdf	pdf	4268.000000	290	9999-12-31	2013-05-08	2304
3/5-1	OLD NPD WDSS	290_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/290_01_WDSS_General_Information.pdf	pdf	213.000000	290	9999-12-31	2013-05-08	2305
3/5-1	OLD NPD WDSS	290_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/290_03_WDSS_lithlog.pdf	pdf	75.000000	290	9999-12-31	2013-05-08	2306
3/5-1	REPORTED BY LICENSEE	290_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/290_1_Completion_report.pdf	pdf	16860.000000	290	9999-12-31	2013-05-08	2307
3/5-1	REPORTED BY LICENSEE	290_3_Stratigraphic_tops	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/290_3_Stratigraphic_tops.pdf	pdf	840.000000	290	9999-12-31	2013-05-08	2308
3/5-1	REPORTED BY LICENSEE	290_4_The_petrology_palynofacies_and_gran_density_of_SWC	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/290_4_The_petrology_palynofacies_and_gran_density_of_SWC.pdf	pdf	28800.000000	290	9999-12-31	2013-05-08	2309
3/5-1	REPORTED BY LICENSEE	290_2_Biostratigraphy_of_the_interval_630_-_11233	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/290_2_Biostratigraphy_of_the_interval_630_-_11233.pdf	pdf	12981.000000	290	2013-05-08	2013-05-08	2310
3/5-2	COMPOSITE LOG	291	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/291.pdf	pdf	514.000000	291	9999-12-31	2013-05-08	2311
3/5-2	GEOCHEMICAL INFORMATION	291_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/291_1.pdf	pdf	509.000000	291	9999-12-31	2013-05-08	2312
3/5-2	GEOCHEMICAL INFORMATION	291_2_comparison_of_chemical_reports_from_3_5_1_and_3_5_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/291_2_comparison_of_chemical_reports_from_3_5_1_and_3_5_2.pdf	pdf	450.000000	291	9999-12-31	2013-05-08	2313
30/12-1	COMPOSITE LOG	2248	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2248.pdf	pdf	707.000000	2248	9999-12-31	2013-05-08	2437
3/5-2	OLD NPD WDSS	291_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/291_01_WDSS_General_Information.pdf	pdf	214.000000	291	9999-12-31	2013-05-08	2314
3/5-2	OLD NPD WDSS	291_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/291_03_WDSS_lithlog.pdf	pdf	72.000000	291	9999-12-31	2013-05-08	2315
3/5-2	REPORTED BY LICENSEE	291_1_Completion_report_operation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/291_1_Completion_report_operation.pdf	pdf	5814.000000	291	9999-12-31	2013-05-08	2316
3/5-2	REPORTED BY LICENSEE	291_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/291_2_Completion_report.pdf	pdf	29306.000000	291	9999-12-31	2013-05-08	2317
3/5-2	REPORTED BY LICENSEE	291_3_Proposed_drilling_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/291_3_Proposed_drilling_program.pdf	pdf	54457.000000	291	9999-12-31	2013-05-08	2318
3/5-2	REPORTED BY LICENSEE	291_4_Stratigraphic_tops	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/291_4_Stratigraphic_tops.pdf	pdf	574.000000	291	9999-12-31	2013-05-08	2319
3/5-2	REPORTED BY LICENSEE	291_5_Petrographic_analysis_of_four_sidewall_cores	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/291_5_Petrographic_analysis_of_four_sidewall_cores.pdf	pdf	362.000000	291	9999-12-31	2013-05-08	2320
3/5-2	REPORTED BY LICENSEE	291_6_Biostratigraphy_of_the_interval_580-12550	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/291_6_Biostratigraphy_of_the_interval_580-12550.pdf	pdf	9964.000000	291	9999-12-31	2013-05-08	2321
3/5-2	REPORTED BY LICENSEE	291_7_A_brief_hand_formation_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/291_7_A_brief_hand_formation_evaluation.pdf	pdf	1079.000000	291	9999-12-31	2013-05-08	2322
3/5-2	REPORTED BY LICENSEE	291_8_Formation_pressure_evaluation_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/291_8_Formation_pressure_evaluation_report.pdf	pdf	1796.000000	291	9999-12-31	2013-05-08	2323
3/6-1	COMPOSITE LOG	4117	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4117.pdf	pdf	314.000000	4117	9999-12-31	2013-05-08	2324
3/6-1	GEOCHEMICAL INFORMATION	4117_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4117_1.pdf	pdf	408.000000	4117	9999-12-31	2013-05-08	2325
3/7-1	GEOCHEMICAL INFORMATION	292_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/292_1.pdf	pdf	1144.000000	292	9999-12-31	2013-05-08	2326
3/7-1	OLD NPD WDSS	292_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/292_01_WDSS_General_Information.pdf	pdf	247.000000	292	9999-12-31	2013-05-08	2327
3/7-1	REPORTED BY LICENSEE	292_01_3_7_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_01_3_7_1_Completion_Report.pdf	pdf	923.000000	292	9999-12-31	2013-05-08	2328
3/7-1	REPORTED BY LICENSEE	292_02_3_7_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_02_3_7_1_Completion_log.pdf	pdf	1302.000000	292	9999-12-31	2013-05-08	2329
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_BIOSTRATIGRAPHY_OF_THE_INTERVAL_1750M-2860M	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_BIOSTRATIGRAPHY_OF_THE_INTERVAL_1750M-2860M.PDF	PDF	6894.000000	292	9999-12-31	2013-05-08	2330
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_BORECARD	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_BORECARD.PDF	PDF	136.000000	292	9999-12-31	2013-05-08	2331
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_CORE_DESCRIPTION_SHEET_NO-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_CORE_DESCRIPTION_SHEET_NO-1.PDF	PDF	46.000000	292	9999-12-31	2013-05-08	2332
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_DATATION_DU_GNEISS_DU_SONDAGE	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_DATATION_DU_GNEISS_DU_SONDAGE.PDF	PDF	139.000000	292	9999-12-31	2013-05-08	2333
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_DESCRIPTION_CORE_NO-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_DESCRIPTION_CORE_NO-1.PDF	PDF	109.000000	292	9999-12-31	2013-05-08	2334
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_DRILLING_AND_COMPLETION_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_DRILLING_AND_COMPLETION_PROGRAM.PDF	PDF	153.000000	292	9999-12-31	2013-05-08	2335
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_FORMATION_TEMPERATURE_GRAPH	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_FORMATION_TEMPERATURE_GRAPH.PDF	PDF	361.000000	292	9999-12-31	2013-05-08	2336
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_GEOCHEMICAL_LITHOLOGICAL_AND_PALYNOLOGICAL_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_GEOCHEMICAL_LITHOLOGICAL_AND_PALYNOLOGICAL_REPORT.PDF	PDF	454.000000	292	9999-12-31	2013-05-08	2337
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_GEOLOGICAL_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_GEOLOGICAL_REPORT.PDF	PDF	923.000000	292	9999-12-31	2013-05-08	2338
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_GEOLOGIE_PETROLIERE	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_GEOLOGIE_PETROLIERE.PDF	PDF	213.000000	292	9999-12-31	2013-05-08	2339
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_GEOLOGY_PROGNOSIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_GEOLOGY_PROGNOSIS.PDF	PDF	1672.000000	292	9999-12-31	2013-05-08	2340
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_MICROPALEONTOLOGICAL_REPORT_TERTIARY_AND_UPPER_CRETACEOUS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_MICROPALEONTOLOGICAL_REPORT_TERTIARY_AND_UPPER_CRETACEOUS.PDF	PDF	2317.000000	292	9999-12-31	2013-05-08	2341
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_PLANER_FOR_BORING	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_PLANER_FOR_BORING.PDF	PDF	279.000000	292	9999-12-31	2013-05-08	2342
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_PROGNOSE	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_PROGNOSE.PDF	PDF	108.000000	292	9999-12-31	2013-05-08	2343
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_PROGRAM.PDF	PDF	121.000000	292	9999-12-31	2013-05-08	2344
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_REFLECTANCE_OF_INSOLUBLE_ORGANIC_MATTER	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_REFLECTANCE_OF_INSOLUBLE_ORGANIC_MATTER.PDF	PDF	1485.000000	292	9999-12-31	2013-05-08	2345
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_SEDIMENTOLOGICAL_STUDY_OF_THE_PALEOCENE_EOCENE_SERIES	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_SEDIMENTOLOGICAL_STUDY_OF_THE_PALEOCENE_EOCENE_SERIES.PDF	PDF	1571.000000	292	9999-12-31	2013-05-08	2346
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_SIDE_WALL_CORES_DESCRIPTION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_SIDE_WALL_CORES_DESCRIPTION.PDF	PDF	256.000000	292	9999-12-31	2013-05-08	2347
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_SIDE_WALL_CORES_DESCRIPTION_RUN_NO-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_SIDE_WALL_CORES_DESCRIPTION_RUN_NO-1.PDF	PDF	123.000000	292	9999-12-31	2013-05-08	2348
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_SIDE_WALL_CORES_DESCRIPTION_RUN_NO-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_SIDE_WALL_CORES_DESCRIPTION_RUN_NO-2.PDF	PDF	128.000000	292	9999-12-31	2013-05-08	2349
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_SOIL_SAMPLES	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_SOIL_SAMPLES.PDF	PDF	970.000000	292	9999-12-31	2013-05-08	2350
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_STRUCTURE_MAPS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_STRUCTURE_MAPS.PDF	PDF	3641.000000	292	9999-12-31	2013-05-08	2351
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_WELL_ABONDONMENT_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_WELL_ABONDONMENT_REPORT.PDF	PDF	312.000000	292	9999-12-31	2013-05-08	2352
3/7-1	REPORTED BY LICENSEE	292_03_3_7_1_WELL_PROGNOSIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/292_03_3_7_1_WELL_PROGNOSIS.PDF	PDF	128.000000	292	9999-12-31	2013-05-08	2353
3/7-2	COMPOSITE LOG	220	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/220.pdf	pdf	675.000000	220	9999-12-31	2013-05-08	2354
3/7-2	GEOCHEMICAL INFORMATION	220_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/220_1.pdf	pdf	188.000000	220	9999-12-31	2013-05-08	2355
3/7-2	OLD NPD WDSS	220_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/220_01_WDSS_General_Information.pdf	pdf	108.000000	220	9999-12-31	2013-05-08	2356
3/7-2	OLD NPD WDSS	220_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/220_02_WDSS_completion_log.pdf	pdf	305.000000	220	9999-12-31	2013-05-08	2357
3/7-2	REPORTED BY LICENSEE	220_01_3_7_2_GEOLOGICAL_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/220_01_3_7_2_GEOLOGICAL_COMPLETION_REPORT.PDF	PDF	21520.000000	220	9999-12-31	2013-05-08	2358
3/7-2	REPORTED BY LICENSEE	220_02_3_7_2_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/220_02_3_7_2_Completion_Report.pdf	pdf	21520.000000	220	9999-12-31	2013-05-08	2359
3/7-2	REPORTED BY LICENSEE	220_03_3_7_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/220_03_3_7_2_Completion_log.pdf	pdf	1845.000000	220	9999-12-31	2013-05-08	2360
3/7-2	REPORTED BY LICENSEE	220_3_7_2_BIOSTRATIGRAPHICAL_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/220_3_7_2_BIOSTRATIGRAPHICAL_REPORT.PDF	PDF	856.000000	220	9999-12-31	2013-05-08	2361
3/7-2	REPORTED BY LICENSEE	220_3_7_2_CALIBRATED_SONIC_AND_IMPEDANCE_LOG_ON_SEISMIC_SECTION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/220_3_7_2_CALIBRATED_SONIC_AND_IMPEDANCE_LOG_ON_SEISMIC_SECTION.PDF	PDF	1934.000000	220	9999-12-31	2013-05-08	2362
3/7-2	REPORTED BY LICENSEE	220_3_7_2_CORE_DESCRIPTION_CORE_1-5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/220_3_7_2_CORE_DESCRIPTION_CORE_1-5.PDF	PDF	146.000000	220	9999-12-31	2013-05-08	2363
3/7-2	REPORTED BY LICENSEE	220_3_7_2_FLUIDS_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/220_3_7_2_FLUIDS_PROGRAM.PDF	PDF	1970.000000	220	9999-12-31	2013-05-08	2364
3/7-2	REPORTED BY LICENSEE	220_3_7_2_PRELIMINARY_REPORT_CORE_1-4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/220_3_7_2_PRELIMINARY_REPORT_CORE_1-4.PDF	PDF	457.000000	220	9999-12-31	2013-05-08	2365
3/7-2	REPORTED BY LICENSEE	220_3_7_2_SIDEWALL_CORES_DESCRIPTION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/220_3_7_2_SIDEWALL_CORES_DESCRIPTION.PDF	PDF	2028.000000	220	9999-12-31	2013-05-08	2366
3/7-3	GEOCHEMICAL INFORMATION	293_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/293_1.pdf	pdf	235.000000	293	9999-12-31	2013-05-08	2367
3/7-3	GEOCHEMICAL INFORMATION	293_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/293_2.pdf	pdf	9170.000000	293	9999-12-31	2013-05-08	2368
3/7-3	OLD NPD WDSS	293_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/293_01_WDSS_General_Information.pdf	pdf	100.000000	293	9999-12-31	2013-05-08	2369
3/7-3	OLD NPD WDSS	293_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/293_02_WDSS_completion_log.pdf	pdf	229.000000	293	9999-12-31	2013-05-08	2370
3/7-3	REPORTED BY LICENSEE	293_01_3_7_3_GEOLOGICAL_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/293_01_3_7_3_GEOLOGICAL_COMPLETION_REPORT.PDF	PDF	25896.000000	293	9999-12-31	2013-05-08	2371
3/7-3	REPORTED BY LICENSEE	293_02_3_7_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/293_02_3_7_3_Completion_log.pdf	pdf	1905.000000	293	9999-12-31	2013-05-08	2372
3/7-3	REPORTED BY LICENSEE	293_03_3_7_3_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/293_03_3_7_3_Completion_Report.pdf	pdf	25896.000000	293	9999-12-31	2013-05-08	2373
3/7-3	REPORTED BY LICENSEE	293_03_3_7_3_CORE_DESCRIPTION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/293_03_3_7_3_CORE_DESCRIPTION.PDF	PDF	6.000000	293	9999-12-31	2013-05-08	2374
3/7-3	REPORTED BY LICENSEE	293_03_3_7_3_CORE_PHOTOS_1-3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/293_03_3_7_3_CORE_PHOTOS_1-3.PDF	PDF	694.000000	293	9999-12-31	2013-05-08	2375
3/7-3	REPORTED BY LICENSEE	293_03_3_7_3_DRILLING_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/293_03_3_7_3_DRILLING_PROGRAM.pdf	pdf	3221.000000	293	9999-12-31	2013-05-08	2376
3/7-3	REPORTED BY LICENSEE	293_03_3_7_3_DRILLING_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/293_03_3_7_3_DRILLING_REPORT.pdf	pdf	4276.000000	293	9999-12-31	2013-05-08	2377
3/7-3	REPORTED BY LICENSEE	293_03_3_7_3_LITHOSTRATIGRAPHY_AND_RESERVOIR_ASPECT_OF_THE_PRE-CHALK_SEDIMENTS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/293_03_3_7_3_LITHOSTRATIGRAPHY_AND_RESERVOIR_ASPECT_OF_THE_PRE-CHALK_SEDIMENTS.pdf	pdf	479.000000	293	9999-12-31	2013-05-08	2378
3/7-3	REPORTED BY LICENSEE	293_03_3_7_3_PRELIMINARY_REPORT_CORE_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/293_03_3_7_3_PRELIMINARY_REPORT_CORE_1.PDF	PDF	90.000000	293	9999-12-31	2013-05-08	2379
3/7-4	GEOCHEMICAL INFORMATION	1467_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1467_1.pdf	pdf	5526.000000	1467	9999-12-31	2013-05-08	2380
3/7-4	OLD NPD WDSS	1467_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1467_01_WDSS_General_Information.pdf	pdf	267.000000	1467	9999-12-31	2013-05-08	2381
3/7-4	OLD NPD WDSS	1467_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1467_02_WDSS_completion_log.pdf	pdf	198.000000	1467	9999-12-31	2013-05-08	2382
3/7-5	GEOCHEMICAL INFORMATION	1759_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1759_1.pdf	pdf	637.000000	1759	9999-12-31	2013-05-08	2383
3/7-5	GEOCHEMICAL INFORMATION	1759_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1759_2.pdf	pdf	1660.000000	1759	9999-12-31	2013-05-08	2384
3/7-5	GEOCHEMICAL INFORMATION	1759_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1759_3.pdf	pdf	5590.000000	1759	9999-12-31	2013-05-08	2385
3/7-5	OLD NPD WDSS	1759_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1759_01_WDSS_General_Information.pdf	pdf	452.000000	1759	9999-12-31	2013-05-08	2386
3/7-5	OLD NPD WDSS	1759_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1759_02_WDSS_completion_log.pdf	pdf	209.000000	1759	9999-12-31	2013-05-08	2387
3/7-6	GEOCHEMICAL INFORMATION	2891_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2891_1.pdf	pdf	150.000000	2891	9999-12-31	2013-05-08	2388
3/7-6	GEOCHEMICAL INFORMATION	2891_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2891_2.pdf	pdf	584.000000	2891	9999-12-31	2013-05-08	2389
3/7-6	GEOCHEMICAL INFORMATION	2891_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2891_3.pdf	pdf	297.000000	2891	9999-12-31	2013-05-08	2390
3/7-6	GEOCHEMICAL INFORMATION	2891_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2891_4.pdf	pdf	3511.000000	2891	9999-12-31	2013-05-08	2391
3/7-7	COMPOSITE LOG	5932	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5932.pdf	pdf	480.000000	5932	2013-05-01	2013-05-08	2392
3/7-7	GEOCHEMICAL INFORMATION	5932_01_3_7_7_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5932_01_3_7_7_gch_transfer_1.txt	txt	0.000000	5932	9999-12-31	2013-05-08	2393
30/12-1	GEOCHEMICAL INFORMATION	2248_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2248_1.pdf	pdf	1703.000000	2248	9999-12-31	2013-05-08	2438
3/7-7	GEOCHEMICAL INFORMATION	5932_02_3_7_7_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5932_02_3_7_7_gch_results_1.txt	txt	225.000000	5932	9999-12-31	2013-05-08	2394
3/8-1	GEOCHEMICAL INFORMATION	6476_01_3_8_1_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6476_01_3_8_1_gch_transfer_1.txt	txt	0.000000	6476	2012-10-10	2013-05-08	2395
3/8-1	GEOCHEMICAL INFORMATION	6476_01_3_8_1_gch_transfer_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6476_01_3_8_1_gch_transfer_2.txt	txt	0.000000	6476	2012-10-10	2013-05-08	2396
3/8-1	GEOCHEMICAL INFORMATION	6476_02_3_8_1_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6476_02_3_8_1_gch_results_1.txt	txt	103.000000	6476	2012-10-10	2013-05-08	2397
3/8-1	GEOCHEMICAL INFORMATION	6476_02_3_8_1_gch_results_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6476_02_3_8_1_gch_results_2.txt	txt	128.000000	6476	2012-10-10	2013-05-08	2398
30/10-1	COMPOSITE LOG	391	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/391.pdf	pdf	207.000000	391	9999-12-31	2013-05-08	2399
30/10-1	OLD NPD WDSS	391_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/391_01_WDSS_General_Information.pdf	pdf	312.000000	391	9999-12-31	2013-05-08	2400
30/10-1	REPORTED BY LICENSEE	391_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/391_1_Completion_Report_&_Completion_log.pdf	pdf	6459.000000	391	9999-12-31	2013-05-08	2401
30/10-2	COMPOSITE LOG	392	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/392.pdf	pdf	333.000000	392	9999-12-31	2013-05-08	2402
30/10-2	GEOCHEMICAL INFORMATION	392_1_Source_characteristics_of_canned_cuttings_from_the_30_10_2 well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/392_1_Source_characteristics_of_canned_cuttings_from_the_30_10_2 well.pdf	pdf	747.000000	392	9999-12-31	2013-05-08	2403
30/10-2	GEOCHEMICAL INFORMATION	392_2_Geochemical_characterization_of_the_oil_under_the_gas	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/392_2_Geochemical_characterization_of_the_oil_under_the_gas.pdf	pdf	148.000000	392	9999-12-31	2013-05-08	2404
30/10-2	OLD NPD WDSS	392_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/392_01_WDSS_General_Information.pdf	pdf	255.000000	392	9999-12-31	2013-05-08	2405
30/10-2	REPORTED BY LICENSEE	392_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/392_1_Completion_Report.pdf	pdf	4914.000000	392	9999-12-31	2013-05-08	2406
30/10-3	COMPOSITE LOG	393	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/393.pdf	pdf	187.000000	393	9999-12-31	2013-05-08	2407
30/10-3	GEOCHEMICAL INFORMATION	393_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/393_1.pdf	pdf	55.000000	393	9999-12-31	2013-05-08	2408
30/10-3	GEOCHEMICAL INFORMATION	393_2_Hydrocarbon_source_analysis_of_canned_cuttings_from_the_30_10_3_well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/393_2_Hydrocarbon_source_analysis_of_canned_cuttings_from_the_30_10_3_well.pdf	pdf	956.000000	393	9999-12-31	2013-05-08	2409
30/10-3	GEOCHEMICAL INFORMATION	393_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/393_4.pdf	pdf	55.000000	393	9999-12-31	2013-05-08	2410
30/10-3	OLD NPD WDSS	393_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/393_01_WDSS_General_Information.pdf	pdf	255.000000	393	9999-12-31	2013-05-08	2411
30/10-3	REPORTED BY LICENSEE	393_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/393_1_Completion_Report.pdf	pdf	3882.000000	393	9999-12-31	2013-05-08	2412
30/10-4	OLD NPD WDSS	394_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/394_01_WDSS_General_Information.pdf	pdf	204.000000	394	9999-12-31	2013-05-08	2413
30/10-5	COMPOSITE LOG	395	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/395.pdf	pdf	601.000000	395	9999-12-31	2013-05-08	2414
30/10-5	GEOCHEMICAL INFORMATION	395_1_Northern_North_Sea_basin_An_organic_geochemical_source_rock_study	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/395_1_Northern_North_Sea_basin_An_organic_geochemical_source_rock_study.pdf	pdf	13064.000000	395	9999-12-31	2013-05-08	2415
30/10-5	GEOCHEMICAL INFORMATION	395_2_Geochemical_study_of_the_Mesozoic_series_in_well_30_10_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/395_2_Geochemical_study_of_the_Mesozoic_series_in_well_30_10_5.pdf	pdf	893.000000	395	9999-12-31	2013-05-08	2416
30/10-5	GEOCHEMICAL INFORMATION	395_3_Organic_matter_diagenesis_in_30_10_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/395_3_Organic_matter_diagenesis_in_30_10_5.pdf	pdf	115.000000	395	9999-12-31	2013-05-08	2417
30/10-5	GEOCHEMICAL INFORMATION	395_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/395_4.pdf	pdf	239.000000	395	9999-12-31	2013-05-08	2418
30/10-5	GEOCHEMICAL INFORMATION	395_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/395_5.pdf	pdf	239.000000	395	9999-12-31	2013-05-08	2419
30/10-5	OLD NPD WDSS	395_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/395_01_WDSS_General_Information.pdf	pdf	261.000000	395	9999-12-31	2013-05-08	2420
30/10-5	REPORTED BY LICENSEE	395_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/395_1_Completion_Report.pdf	pdf	2641.000000	395	9999-12-31	2013-05-08	2421
30/10-5	REPORTED BY LICENSEE	395_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/395_2_Completion_log.pdf	pdf	2893.000000	395	9999-12-31	2013-05-08	2422
30/10-6	COMPOSITE LOG	1816	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1816.pdf	pdf	732.000000	1816	9999-12-31	2013-05-08	2423
30/10-6	GEOCHEMICAL INFORMATION	1816_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1816_1.pdf	pdf	1742.000000	1816	9999-12-31	2013-05-08	2424
30/10-6	OLD NPD WDSS	1816_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1816_01_WDSS_General_Information.pdf	pdf	923.000000	1816	9999-12-31	2013-05-08	2425
30/10-6	OLD NPD WDSS	1816_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1816_02_WDSS_completion_log.pdf	pdf	287.000000	1816	9999-12-31	2013-05-08	2426
30/10-7	COMPOSITE LOG	2015	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2015.pdf	pdf	330.000000	2015	9999-12-31	2013-05-08	2427
30/10-7	OLD NPD WDSS	2015_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2015_01_WDSS_General_Information.pdf	pdf	384.000000	2015	9999-12-31	2013-05-08	2428
30/10-7	OLD NPD WDSS	2015_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2015_02_WDSS_completion_log.pdf	pdf	159.000000	2015	9999-12-31	2013-05-08	2429
30/11-1	OLD NPD WDSS	396_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/396_01_WDSS_General_Information.pdf	pdf	256.000000	396	9999-12-31	2013-05-08	2430
30/11-2	OLD NPD WDSS	397_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/397_01_WDSS_General_Information.pdf	pdf	224.000000	397	9999-12-31	2013-05-08	2431
30/11-3	OLD NPD WDSS	62_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/62_01_WDSS_General_Information.pdf	pdf	171.000000	62	9999-12-31	2013-05-08	2432
30/11-3	OLD NPD WDSS	62_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/62_02_WDSS_completion_log.pdf	pdf	376.000000	62	9999-12-31	2013-05-08	2433
30/11-4	OLD NPD WDSS	98_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/98_01_WDSS_General_Information.pdf	pdf	198.000000	98	9999-12-31	2013-05-08	2434
30/11-4	OLD NPD WDSS	98_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/98_02_WDSS_completion_log.pdf	pdf	469.000000	98	9999-12-31	2013-05-08	2435
30/12-1	GEOCHEMICAL INFORMATION	2248_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2248_2.pdf	pdf	398.000000	2248	9999-12-31	2013-05-08	2439
30/2-1	GEOCHEMICAL INFORMATION	72_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/72_1.pdf	pdf	1539.000000	72	9999-12-31	2013-05-08	2440
30/2-1	GEOCHEMICAL INFORMATION	72_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/72_2.pdf	pdf	380.000000	72	9999-12-31	2013-05-08	2441
30/2-1	GEOCHEMICAL INFORMATION	72_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/72_3.pdf	pdf	1221.000000	72	9999-12-31	2013-05-08	2442
30/2-1	GEOCHEMICAL INFORMATION	72_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/72_4.pdf	pdf	869.000000	72	9999-12-31	2013-05-08	2443
30/2-1	GEOCHEMICAL INFORMATION	72_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/72_5.pdf	pdf	437.000000	72	9999-12-31	2013-05-08	2444
30/2-1	OLD NPD WDSS	72_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/72_01_WDSS_General_Information.pdf	pdf	212.000000	72	9999-12-31	2013-05-08	2445
30/2-1	OLD NPD WDSS	72_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/72_02_WDSS_completion_log.pdf	pdf	302.000000	72	9999-12-31	2013-05-08	2446
30/2-1	REPORTED BY LICENSEE	72_01_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_01_Completion_Report_and_Completion_log.PDF	PDF	44390.000000	72	9999-12-31	2013-05-08	2447
30/2-1	REPORTED BY LICENSEE	72_03_Cation_exchange_capacity	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Cation_exchange_capacity.pdf	pdf	74.000000	72	9999-12-31	2013-05-08	2448
30/2-1	REPORTED BY LICENSEE	72_03_Comparison_of_separator_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Comparison_of_separator_samples.pdf	pdf	584.000000	72	9999-12-31	2013-05-08	2449
30/2-1	REPORTED BY LICENSEE	72_03_Drilling_fluid_recap	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Drilling_fluid_recap.pdf	pdf	2814.000000	72	9999-12-31	2013-05-08	2450
30/2-1	REPORTED BY LICENSEE	72_03_Final_core_report_core_11	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Final_core_report_core_11.pdf	pdf	1512.000000	72	9999-12-31	2013-05-08	2451
30/2-1	REPORTED BY LICENSEE	72_03_Final_well_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Final_well_report.pdf	pdf	11488.000000	72	9999-12-31	2013-05-08	2452
30/2-1	REPORTED BY LICENSEE	72_03_Geochemical_analysis_of_sediments	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Geochemical_analysis_of_sediments.pdf	pdf	581.000000	72	9999-12-31	2013-05-08	2453
30/2-1	REPORTED BY LICENSEE	72_03_Geological_prognosis_and_Drilling_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Geological_prognosis_and_Drilling_program.pdf	pdf	1789.000000	72	9999-12-31	2013-05-08	2454
30/2-1	REPORTED BY LICENSEE	72_03_Geological_prognosis_and_Drilling_program_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Geological_prognosis_and_Drilling_program_encl_01.pdf	pdf	105.000000	72	9999-12-31	2013-05-08	2455
30/2-1	REPORTED BY LICENSEE	72_03_Geological_prognosis_and_Drilling_program_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Geological_prognosis_and_Drilling_program_encl_02.pdf	pdf	879.000000	72	9999-12-31	2013-05-08	2456
30/2-1	REPORTED BY LICENSEE	72_03_Interpretaion_Six_by_SCHLUMBERGER	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Interpretaion_Six_by_SCHLUMBERGER.pdf	pdf	7594.000000	72	9999-12-31	2013-05-08	2457
30/2-1	REPORTED BY LICENSEE	72_03_Interpretation_Six_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Interpretation_Six_encl_01.pdf	pdf	367.000000	72	9999-12-31	2013-05-08	2458
30/2-1	REPORTED BY LICENSEE	72_03_Interpretation_Six_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Interpretation_Six_encl_02.pdf	pdf	247.000000	72	9999-12-31	2013-05-08	2459
30/2-1	REPORTED BY LICENSEE	72_03_Interpretation_Six_encl_03	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Interpretation_Six_encl_03.pdf	pdf	401.000000	72	9999-12-31	2013-05-08	2460
30/2-1	REPORTED BY LICENSEE	72_03_Interpretation_Six_encl_04	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Interpretation_Six_encl_04.pdf	pdf	1209.000000	72	9999-12-31	2013-05-08	2461
30/2-1	REPORTED BY LICENSEE	72_03_Interpretation_Six_encl_05	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Interpretation_Six_encl_05.pdf	pdf	642.000000	72	9999-12-31	2013-05-08	2462
30/2-1	REPORTED BY LICENSEE	72_03_Interpretation_Six_encl_06	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Interpretation_Six_encl_06.pdf	pdf	423.000000	72	9999-12-31	2013-05-08	2463
30/2-1	REPORTED BY LICENSEE	72_03_Int_palynofacies_sedimentological_core	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Int_palynofacies_sedimentological_core.pdf	pdf	1321.000000	72	9999-12-31	2013-05-08	2464
30/2-1	REPORTED BY LICENSEE	72_03_Int_palynofacies_sedimentological_core_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Int_palynofacies_sedimentological_core_encl_01.pdf	pdf	325.000000	72	9999-12-31	2013-05-08	2465
30/2-1	REPORTED BY LICENSEE	72_03_Int_palynofacies_sedimentological_core_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Int_palynofacies_sedimentological_core_encl_02.pdf	pdf	373.000000	72	9999-12-31	2013-05-08	2466
30/2-1	REPORTED BY LICENSEE	72_03_Paleo_strat_final_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Paleo_strat_final_report.pdf	pdf	7744.000000	72	9999-12-31	2013-05-08	2467
30/2-1	REPORTED BY LICENSEE	72_03_Petroleum_geochemistry_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Petroleum_geochemistry_report.pdf	pdf	1305.000000	72	9999-12-31	2013-05-08	2468
30/2-1	REPORTED BY LICENSEE	72_03_Petroleum_geochemistry_report_B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Petroleum_geochemistry_report_B.pdf	pdf	919.000000	72	9999-12-31	2013-05-08	2469
30/2-1	REPORTED BY LICENSEE	72_03_Petrophysical_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Petrophysical_evaluation.pdf	pdf	1458.000000	72	9999-12-31	2013-05-08	2470
30/2-1	REPORTED BY LICENSEE	72_03_Petrophysical_evaluation_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Petrophysical_evaluation_encl_01.pdf	pdf	696.000000	72	9999-12-31	2013-05-08	2471
30/2-1	REPORTED BY LICENSEE	72_03_Preliminary_description_interpretation_of_cores	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Preliminary_description_interpretation_of_cores.pdf	pdf	346.000000	72	9999-12-31	2013-05-08	2472
30/2-1	REPORTED BY LICENSEE	72_03_Pressure_prediction	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Pressure_prediction.pdf	pdf	696.000000	72	9999-12-31	2013-05-08	2473
30/2-1	REPORTED BY LICENSEE	72_03_Pressure_survey_report_by_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Pressure_survey_report_by_SPERRY.pdf	pdf	361.000000	72	9999-12-31	2013-05-08	2474
30/2-1	REPORTED BY LICENSEE	72_03_Pressure_survey_report_DST2_Gauge_0022_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Pressure_survey_report_DST2_Gauge_0022_SPERRY.pdf	pdf	1302.000000	72	9999-12-31	2013-05-08	2475
30/2-1	REPORTED BY LICENSEE	72_03_Pressure_survey_report_DST2_Gauge_0054_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Pressure_survey_report_DST2_Gauge_0054_SPERRY.pdf	pdf	898.000000	72	9999-12-31	2013-05-08	2476
30/2-1	REPORTED BY LICENSEE	72_03_Pressure_survey_report_DST3_Gauge0054_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Pressure_survey_report_DST3_Gauge0054_SPERRY.pdf	pdf	2264.000000	72	9999-12-31	2013-05-08	2477
30/2-1	REPORTED BY LICENSEE	72_03_Pressure_survey_report_DST3_sureface_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Pressure_survey_report_DST3_sureface_SPERRY.pdf	pdf	355.000000	72	9999-12-31	2013-05-08	2478
30/2-1	REPORTED BY LICENSEE	72_03_Pressure_survey_report_Run1_ DST1_G51&54_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Pressure_survey_report_Run1_ DST1_G51&54_SPERRY.pdf	pdf	1723.000000	72	9999-12-31	2013-05-08	2479
30/2-1	REPORTED BY LICENSEE	72_03_Pressure_survey_report_Run1_DST1_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Pressure_survey_report_Run1_DST1_SPERRY.pdf	pdf	802.000000	72	9999-12-31	2013-05-08	2480
30/2-1	REPORTED BY LICENSEE	72_03_Pressure_survey_report_Run1_DST3_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Pressure_survey_report_Run1_DST3_SPERRY.pdf	pdf	1061.000000	72	9999-12-31	2013-05-08	2481
30/2-1	REPORTED BY LICENSEE	72_03_Pressure_temperature_measurements_by_FLOPETROL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Pressure_temperature_measurements_by_FLOPETROL.pdf	pdf	4174.000000	72	9999-12-31	2013-05-08	2482
30/2-1	REPORTED BY LICENSEE	72_03_Processing_Global_by_SCHLUMBERGER	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Processing_Global_by_SCHLUMBERGER.pdf	pdf	17.000000	72	9999-12-31	2013-05-08	2483
30/2-1	REPORTED BY LICENSEE	72_03_Processing_Global_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Processing_Global_encl_01.pdf	pdf	7162.000000	72	9999-12-31	2013-05-08	2484
30/2-1	REPORTED BY LICENSEE	72_03_Processing_Global_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Processing_Global_encl_02.pdf	pdf	1221.000000	72	9999-12-31	2013-05-08	2485
30/2-1	REPORTED BY LICENSEE	72_03_Report_on_stable_isotopes_on_natural_gas	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Report_on_stable_isotopes_on_natural_gas.pdf	pdf	448.000000	72	9999-12-31	2013-05-08	2486
30/2-1	REPORTED BY LICENSEE	72_03_Reservoir_fluid_study_DST_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Reservoir_fluid_study_DST_2.pdf	pdf	991.000000	72	9999-12-31	2013-05-08	2487
30/2-1	REPORTED BY LICENSEE	72_03_Reservoir_Fluid_Study_DST_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Reservoir_Fluid_Study_DST_3.pdf	pdf	1000.000000	72	9999-12-31	2013-05-08	2488
30/2-1	REPORTED BY LICENSEE	72_03_Residual_gas_measurements	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Residual_gas_measurements.pdf	pdf	1059.000000	72	9999-12-31	2013-05-08	2489
30/2-1	REPORTED BY LICENSEE	72_03_RFT_Report_a	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_RFT_Report_a.pdf	pdf	342.000000	72	9999-12-31	2013-05-08	2490
30/2-1	REPORTED BY LICENSEE	72_03_RFT_Report_a_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_RFT_Report_a_encl_01.pdf	pdf	1590.000000	72	9999-12-31	2013-05-08	2491
30/2-1	REPORTED BY LICENSEE	72_03_RFT_Report_a_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_RFT_Report_a_encl_02.pdf	pdf	3530.000000	72	9999-12-31	2013-05-08	2492
30/2-1	REPORTED BY LICENSEE	72_03_RFT_Report_b	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_RFT_Report_b.pdf	pdf	302.000000	72	9999-12-31	2013-05-08	2493
30/2-1	REPORTED BY LICENSEE	72_03_RFT_Report_b_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_RFT_Report_b_encl_1.pdf	pdf	1379.000000	72	9999-12-31	2013-05-08	2494
30/2-1	REPORTED BY LICENSEE	72_03_RFT_Report_b_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_RFT_Report_b_encl_2.pdf	pdf	2684.000000	72	9999-12-31	2013-05-08	2495
30/2-1	REPORTED BY LICENSEE	72_03_Special_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Special_core_analysis.pdf	pdf	4327.000000	72	9999-12-31	2013-05-08	2496
30/2-1	REPORTED BY LICENSEE	72_03_Special_core_analysis_by_STATOIL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Special_core_analysis_by_STATOIL.pdf	pdf	1704.000000	72	9999-12-31	2013-05-08	2497
30/2-1	REPORTED BY LICENSEE	72_03_TBP_Distillation_of_condensate_DST_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_TBP_Distillation_of_condensate_DST_2.pdf	pdf	385.000000	72	9999-12-31	2013-05-08	2498
30/2-1	REPORTED BY LICENSEE	72_03_Test_program_Dyvi_Delta	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Test_program_Dyvi_Delta.pdf	pdf	900.000000	72	9999-12-31	2013-05-08	2499
30/2-1	REPORTED BY LICENSEE	72_03_Thin_section_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Thin_section_analysis.pdf	pdf	8943.000000	72	9999-12-31	2013-05-08	2500
30/2-1	REPORTED BY LICENSEE	72_03_Time_breakdown_and_review_of_operations	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Time_breakdown_and_review_of_operations.pdf	pdf	546.000000	72	9999-12-31	2013-05-08	2501
30/2-1	REPORTED BY LICENSEE	72_03_Wax_analysis_of_condensate_DST_no_2B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Wax_analysis_of_condensate_DST_no_2B.pdf	pdf	266.000000	72	9999-12-31	2013-05-08	2502
30/2-1	REPORTED BY LICENSEE	72_03_Well_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Well_summary.pdf	pdf	2600.000000	72	9999-12-31	2013-05-08	2503
30/2-1	REPORTED BY LICENSEE	72_03_Well_testing_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Well_testing_report.pdf	pdf	2721.000000	72	9999-12-31	2013-05-08	2504
30/2-1	REPORTED BY LICENSEE	72_03_Well_testing_report_DST_1_by_FLOPETROL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Well_testing_report_DST_1_by_FLOPETROL.pdf	pdf	2361.000000	72	9999-12-31	2013-05-08	2505
30/2-1	REPORTED BY LICENSEE	72_03_Well_testing_report_DST_2_by_FLOPETROL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Well_testing_report_DST_2_by_FLOPETROL.pdf	pdf	2599.000000	72	9999-12-31	2013-05-08	2506
30/2-1	REPORTED BY LICENSEE	72_03_Well_testing_report_DST_3_by_FLOPETROL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Well_testing_report_DST_3_by_FLOPETROL.pdf	pdf	2673.000000	72	9999-12-31	2013-05-08	2507
30/2-1	REPORTED BY LICENSEE	72_03_Well_testing_report_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/72_03_Well_testing_report_encl_01.pdf	pdf	823.000000	72	9999-12-31	2013-05-08	2508
30/2-2	OLD NPD WDSS	457_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/457_01_WDSS_General_Information.pdf	pdf	299.000000	457	9999-12-31	2013-05-08	2509
30/2-2	OLD NPD WDSS	457_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/457_02_WDSS_completion_log.pdf	pdf	295.000000	457	9999-12-31	2013-05-08	2510
30/2-3	OLD NPD WDSS	1970_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1970_01_WDSS_General_Information.pdf	pdf	603.000000	1970	9999-12-31	2013-05-08	2511
30/2-3	OLD NPD WDSS	1970_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1970_02_WDSS_completion_log.pdf	pdf	244.000000	1970	9999-12-31	2013-05-08	2512
30/3-1	GEOCHEMICAL INFORMATION	376_1_Geochemical_evaluation_of_the_Statoil_30_3_1_well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/376_1_Geochemical_evaluation_of_the_Statoil_30_3_1_well.pdf	pdf	591.000000	376	9999-12-31	2013-05-08	2513
30/3-1	GEOCHEMICAL INFORMATION	376_2_Phase_I_Organic_geochemistry_results_from_well_30_3_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/376_2_Phase_I_Organic_geochemistry_results_from_well_30_3_1 .pdf	pdf	1265.000000	376	9999-12-31	2013-05-08	2514
30/3-1	GEOCHEMICAL INFORMATION	376_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/376_3.pdf	pdf	809.000000	376	9999-12-31	2013-05-08	2515
30/3-1	OLD NPD WDSS	376_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/376_01_WDSS_General_Information.pdf	pdf	110.000000	376	9999-12-31	2013-05-08	2516
30/3-1	OLD NPD WDSS	376_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/376_02_WDSS_completion_log.pdf	pdf	208.000000	376	9999-12-31	2013-05-08	2517
30/3-1	REPORTED BY LICENSEE	376_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/376_1_Completion_Report.pdf	pdf	37082.000000	376	9999-12-31	2013-05-08	2518
30/3-1	REPORTED BY LICENSEE	376_2_Completion_Report_Appendix	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/376_2_Completion_Report_Appendix.pdf	pdf	5196.000000	376	9999-12-31	2013-05-08	2519
30/3-1 R	COMPOSITE LOG	509	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/509.pdf	pdf	716.000000	509	9999-12-31	2013-05-08	2520
30/3-1 R	GEOCHEMICAL INFORMATION	509_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/509_1.pdf	pdf	919.000000	509	9999-12-31	2013-05-08	2521
30/3-1 R	GEOCHEMICAL INFORMATION	509_2_Geokjemisk_analyse_TOC_og_Rock_eval_for_brønn_30_3_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/509_2_Geokjemisk_analyse_TOC_og_Rock_eval_for_brønn_30_3_1.pdf	pdf	68.000000	509	9999-12-31	2013-05-08	2522
30/3-1 R	OLD NPD WDSS	509_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/509_01_WDSS_General_Information.pdf	pdf	110.000000	509	9999-12-31	2013-05-08	2523
30/3-1 R	OLD NPD WDSS	509_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/509_02_WDSS_completion_log.pdf	pdf	118.000000	509	9999-12-31	2013-05-08	2524
30/3-10 S	GEOCHEMICAL INFORMATION	6045_01_30_3_10S_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6045_01_30_3_10S_gch_transfer_1.txt	txt	0.000000	6045	9999-12-31	2013-05-08	2525
30/3-10 S	GEOCHEMICAL INFORMATION	6045_02_30_3_10S_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6045_02_30_3_10S_gch_results_1.txt	txt	83.000000	6045	9999-12-31	2013-05-08	2526
30/3-2	OLD NPD WDSS	203_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/203_01_WDSS_General_Information.pdf	pdf	108.000000	203	9999-12-31	2013-05-08	2527
30/3-2	OLD NPD WDSS	203_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/203_02_WDSS_completion_log.pdf	pdf	91.000000	203	9999-12-31	2013-05-08	2528
30/3-2	REPORTED BY LICENSEE	203_01_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/203_01_Completion_Report_and_Completion_log.pdf	pdf	30599.000000	203	9999-12-31	2013-05-08	2529
30/3-2 R	GEOCHEMICAL INFORMATION	508_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/508_1.pdf	pdf	331.000000	508	9999-12-31	2013-05-08	2530
30/3-2 R	GEOCHEMICAL INFORMATION	508_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/508_2.pdf	pdf	910.000000	508	9999-12-31	2013-05-08	2531
30/3-2 R	GEOCHEMICAL INFORMATION	508_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/508_3.pdf	pdf	3188.000000	508	9999-12-31	2013-05-08	2532
30/3-2 R	GEOCHEMICAL INFORMATION	508_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/508_4.pdf	pdf	242.000000	508	9999-12-31	2013-05-08	2533
30/3-2 R	GEOCHEMICAL INFORMATION	508_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/508_5.pdf	pdf	5486.000000	508	9999-12-31	2013-05-08	2534
30/3-2 R	OLD NPD WDSS	508_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/508_01_WDSS_General_Information.pdf	pdf	116.000000	508	9999-12-31	2013-05-08	2535
30/3-2 R	OLD NPD WDSS	508_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/508_02_WDSS_completion_log.pdf	pdf	274.000000	508	9999-12-31	2013-05-08	2536
30/3-3	OLD NPD WDSS	10_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/10_01_WDSS_General_Information.pdf	pdf	169.000000	10	9999-12-31	2013-05-08	2537
30/3-3	OLD NPD WDSS	10_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/10_02_WDSS_completion_log.pdf	pdf	333.000000	10	9999-12-31	2013-05-08	2538
30/3-4	COMPOSITE LOG	460	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/460.pdf	pdf	544.000000	460	9999-12-31	2013-05-08	2539
30/3-4	GEOCHEMICAL INFORMATION	460_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/460_1.pdf	pdf	4831.000000	460	9999-12-31	2013-05-08	2540
30/3-4	GEOCHEMICAL INFORMATION	460_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/460_2.pdf	pdf	13244.000000	460	9999-12-31	2013-05-08	2541
30/3-4	OLD NPD WDSS	460_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/460_01_WDSS_General_Information.pdf	pdf	288.000000	460	9999-12-31	2013-05-08	2542
30/3-4	OLD NPD WDSS	460_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/460_02_WDSS_completion_log.pdf	pdf	235.000000	460	9999-12-31	2013-05-08	2543
30/3-4	REPORTED BY LICENSEE	460_01_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/460_01_Completion_report.pdf	pdf	14949.000000	460	9999-12-31	2013-05-08	2544
30/3-4	REPORTED BY LICENSEE	460_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/460_02_Completion_log.pdf	pdf	1881.000000	460	9999-12-31	2013-05-08	2545
30/3-5 S	OLD NPD WDSS	1950_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1950_01_WDSS_General_Information.pdf	pdf	421.000000	1950	9999-12-31	2013-05-08	2546
30/3-5 S	OLD NPD WDSS	1950_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1950_02_WDSS_completion_log.pdf	pdf	177.000000	1950	9999-12-31	2013-05-08	2547
30/3-7 A	COMPOSITE LOG	3176	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3176.pdf	pdf	414.000000	3176	9999-12-31	2013-05-08	2548
30/3-7 B	COMPOSITE LOG	3229	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3229.pdf	pdf	485.000000	3229	9999-12-31	2013-05-08	2549
30/3-7 B	GEOCHEMICAL INFORMATION	3229_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3229_1.pdf	pdf	566.000000	3229	9999-12-31	2013-05-08	2550
30/3-7 S	COMPOSITE LOG	2632	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2632.pdf	pdf	446.000000	2632	9999-12-31	2013-05-08	2551
30/3-7 S	GEOCHEMICAL INFORMATION	2632_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2632_1.pdf	pdf	1094.000000	2632	9999-12-31	2013-05-08	2552
30/3-9	COMPOSITE LOG	4053	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4053.pdf	pdf	540.000000	4053	9999-12-31	2013-05-08	2553
30/3-9	GEOCHEMICAL INFORMATION	4053_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4053_1.pdf	pdf	1452.000000	4053	9999-12-31	2013-05-08	2554
30/4-1	COMPOSITE LOG	377	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/377.pdf	pdf	559.000000	377	9999-12-31	2013-05-08	2555
30/4-1	GEOCHEMICAL INFORMATION	377_1_Interim_geochemical_evaluation_of_30_4_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/377_1_Interim_geochemical_evaluation_of_30_4_1.pdf	pdf	4130.000000	377	9999-12-31	2013-05-08	2556
30/4-1	GEOCHEMICAL INFORMATION	377_2_Geochemical_evaluation_of_30_4_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/377_2_Geochemical_evaluation_of_30_4_1.pdf	pdf	3215.000000	377	9999-12-31	2013-05-08	2557
30/4-1	GEOCHEMICAL INFORMATION	377_3_Geochemical_data_report_30_4_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/377_3_Geochemical_data_report_30_4_1.pdf	pdf	2727.000000	377	9999-12-31	2013-05-08	2558
30/4-1	GEOCHEMICAL INFORMATION	377_4_Comparison_of_geochemical_data_from_the_Geochem_and_BP_laboratories	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/377_4_Comparison_of_geochemical_data_from_the_Geochem_and_BP_laboratories.pdf	pdf	224.000000	377	9999-12-31	2013-05-08	2559
30/4-1	OLD NPD WDSS	377_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/377_01_WDSS_General_Information.pdf	pdf	111.000000	377	9999-12-31	2013-05-08	2560
30/4-1	OLD NPD WDSS	377_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/377_02_WDSS_completion_log.pdf	pdf	286.000000	377	9999-12-31	2013-05-08	2561
30/4-1	REPORTED BY LICENSEE	377_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/377_1_Completion_Report_and_Completion_log.pdf	pdf	14195.000000	377	9999-12-31	2013-05-08	2562
30/4-2	OLD NPD WDSS	378_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/378_01_WDSS_General_Information.pdf	pdf	140.000000	378	9999-12-31	2013-05-08	2563
30/4-2	OLD NPD WDSS	378_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/378_02_WDSS_completion_log.pdf	pdf	292.000000	378	9999-12-31	2013-05-08	2564
30/5-1	GEOCHEMICAL INFORMATION	379_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/379_1.pdf	pdf	111.000000	379	9999-12-31	2013-05-08	2565
30/5-1	GEOCHEMICAL INFORMATION	379_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/379_2.pdf	pdf	2364.000000	379	9999-12-31	2013-05-08	2566
30/5-1	GEOCHEMICAL INFORMATION	379_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/379_3.pdf	pdf	1179.000000	379	9999-12-31	2013-05-08	2567
30/5-1	OLD NPD WDSS	379_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/379_01_WDSS_General_Information.pdf	pdf	247.000000	379	9999-12-31	2013-05-08	2568
30/5-1	REPORTED BY LICENSEE	379_30_5_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/379_30_5_1_Completion_log.pdf	pdf	2027.000000	379	9999-12-31	2013-05-08	2569
30/5-1	REPORTED BY LICENSEE	379_30_5_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/379_30_5_1_Completion_report.pdf	pdf	14939.000000	379	9999-12-31	2013-05-08	2570
30/6-1	OLD NPD WDSS	380_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/380_01_WDSS_General_Information.pdf	pdf	111.000000	380	9999-12-31	2013-05-08	2571
30/6-1	OLD NPD WDSS	380_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/380_02_WDSS_completion_log.pdf	pdf	201.000000	380	9999-12-31	2013-05-08	2572
30/6-10	OLD NPD WDSS	92_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/92_01_WDSS_General_Information.pdf	pdf	177.000000	92	9999-12-31	2013-05-08	2573
30/6-10	OLD NPD WDSS	92_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/92_02_WDSS_completion_log.pdf	pdf	201.000000	92	9999-12-31	2013-05-08	2574
30/6-10 A	OLD NPD WDSS	56_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/56_01_WDSS_General_Information.pdf	pdf	177.000000	56	9999-12-31	2013-05-08	2575
30/6-10 A	OLD NPD WDSS	56_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/56_02_WDSS_completion_log.pdf	pdf	173.000000	56	9999-12-31	2013-05-08	2576
30/6-11	OLD NPD WDSS	58_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/58_01_WDSS_General_Information.pdf	pdf	184.000000	58	9999-12-31	2013-05-08	2577
30/6-11	OLD NPD WDSS	58_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/58_02_WDSS_completion_log.pdf	pdf	348.000000	58	9999-12-31	2013-05-08	2578
30/6-12	OLD NPD WDSS	4_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/4_01_WDSS_General_Information.pdf	pdf	136.000000	4	9999-12-31	2013-05-08	2579
30/6-12	OLD NPD WDSS	4_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/4_02_WDSS_completion_log.pdf	pdf	113.000000	4	9999-12-31	2013-05-08	2580
30/6-12	REPORTED BY LICENSEE	4_01_30_6_12_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/4_01_30_6_12_Completion_Report_and_Completion_log.pdf	pdf	3503.000000	4	9999-12-31	2013-05-08	2581
30/6-13	OLD NPD WDSS	7_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/7_01_WDSS_General_Information.pdf	pdf	196.000000	7	9999-12-31	2013-05-08	2582
30/6-13	OLD NPD WDSS	7_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/7_02_WDSS_completion_log.pdf	pdf	291.000000	7	9999-12-31	2013-05-08	2583
30/6-13	REPORTED BY LICENSEE	7_01_30_6_13_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/7_01_30_6_13_Completion_Report_and_Completion_log.pdf	pdf	15338.000000	7	9999-12-31	2013-05-08	2584
30/6-14	OLD NPD WDSS	53_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/53_01_WDSS_General_Information.pdf	pdf	178.000000	53	9999-12-31	2013-05-08	2585
30/6-14	OLD NPD WDSS	53_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/53_02_WDSS_completion_log.pdf	pdf	274.000000	53	9999-12-31	2013-05-08	2586
30/6-15	OLD NPD WDSS	110_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/110_01_WDSS_General_Information.pdf	pdf	268.000000	110	9999-12-31	2013-05-08	2587
30/6-15	OLD NPD WDSS	110_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/110_02_WDSS_completion_log.pdf	pdf	370.000000	110	9999-12-31	2013-05-08	2588
30/6-16	OLD NPD WDSS	333_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/333_01_WDSS_General_Information.pdf	pdf	268.000000	333	9999-12-31	2013-05-08	2589
30/6-16	OLD NPD WDSS	333_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/333_02_WDSS_completion_log.pdf	pdf	252.000000	333	9999-12-31	2013-05-08	2590
30/6-17	REPORTED BY LICENSEE	487_30_6_17_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/487_30_6_17_Completion_log.pdf	pdf	3471.000000	487	9999-12-31	2013-05-08	2591
30/6-17	REPORTED BY LICENSEE	487_30_6_17_Completion_report_II	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/487_30_6_17_Completion_report_II.pdf	pdf	33214.000000	487	9999-12-31	2013-05-08	2592
30/6-17	REPORTED BY LICENSEE	487_30_7_17_Completion_report_I	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/487_30_7_17_Completion_report_I.pdf	pdf	18674.000000	487	9999-12-31	2013-05-08	2593
30/6-17 A	OLD NPD WDSS	894_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/894_01_WDSS_General_Information.pdf	pdf	212.000000	894	9999-12-31	2013-05-08	2594
30/6-17 A	OLD NPD WDSS	894_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/894_02_WDSS_completion_log.pdf	pdf	153.000000	894	9999-12-31	2013-05-08	2595
30/6-17 A	REPORTED BY LICENSEE	894_30_6_17_A_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/894_30_6_17_A_Completion_log.pdf	pdf	1586.000000	894	9999-12-31	2013-05-08	2596
30/6-17 A	REPORTED BY LICENSEE	894_30_6_17_A_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/894_30_6_17_A_Completion_report.pdf	pdf	31761.000000	894	9999-12-31	2013-05-08	2597
30/6-17 R	OLD NPD WDSS	849_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/849_01_WDSS_General_Information.pdf	pdf	240.000000	849	9999-12-31	2013-05-08	2598
30/6-17 R	OLD NPD WDSS	849_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/849_02_WDSS_completion_log.pdf	pdf	253.000000	849	9999-12-31	2013-05-08	2599
30/6-17 R	REPORTED BY LICENSEE	849_30_6_17_R_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/849_30_6_17_R_Completion_log.pdf	pdf	3645.000000	849	9999-12-31	2013-05-08	2600
30/6-17 R	REPORTED BY LICENSEE	849_30_7_17_R_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/849_30_7_17_R_Completion_report.pdf	pdf	18674.000000	849	9999-12-31	2013-05-08	2601
30/6-18	COMPOSITE LOG	488	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/488.pdf	pdf	643.000000	488	9999-12-31	2013-05-08	2602
30/6-18	GEOCHEMICAL INFORMATION	488_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/488_1.pdf	pdf	153.000000	488	9999-12-31	2013-05-08	2603
30/6-18	OLD NPD WDSS	488_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/488_01_WDSS_General_Information.pdf	pdf	386.000000	488	9999-12-31	2013-05-08	2604
30/6-18	OLD NPD WDSS	488_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/488_02_WDSS_completion_log.pdf	pdf	286.000000	488	9999-12-31	2013-05-08	2605
30/6-19	OLD NPD WDSS	489_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/489_01_WDSS_General_Information.pdf	pdf	325.000000	489	9999-12-31	2013-05-08	2606
30/6-19	OLD NPD WDSS	489_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/489_02_WDSS_completion_log.pdf	pdf	280.000000	489	9999-12-31	2013-05-08	2607
30/6-2	OLD NPD WDSS	381_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/381_01_WDSS_General_Information.pdf	pdf	111.000000	381	9999-12-31	2013-05-08	2608
30/6-2	OLD NPD WDSS	381_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/381_02_WDSS_completion_log.pdf	pdf	188.000000	381	9999-12-31	2013-05-08	2609
30/6-20	OLD NPD WDSS	892_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/892_01_WDSS_General_Information.pdf	pdf	208.000000	892	9999-12-31	2013-05-08	2610
30/6-20	OLD NPD WDSS	892_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/892_02_WDSS_completion_log.pdf	pdf	245.000000	892	9999-12-31	2013-05-08	2611
30/6-21	OLD NPD WDSS	1037_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1037_01_WDSS_General_Information.pdf	pdf	378.000000	1037	9999-12-31	2013-05-08	2612
30/6-21	OLD NPD WDSS	1037_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1037_02_WDSS_completion_log.pdf	pdf	293.000000	1037	9999-12-31	2013-05-08	2613
30/6-22	OLD NPD WDSS	1225_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1225_01_WDSS_General_Information.pdf	pdf	234.000000	1225	9999-12-31	2013-05-08	2614
30/6-22	OLD NPD WDSS	1225_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1225_02_WDSS_completion_log.pdf	pdf	224.000000	1225	9999-12-31	2013-05-08	2615
30/6-23	OLD NPD WDSS	1545_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1545_01_WDSS_General_Information.pdf	pdf	227.000000	1545	9999-12-31	2013-05-08	2616
30/6-23	OLD NPD WDSS	1545_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1545_02_WDSS_completion_log.pdf	pdf	209.000000	1545	9999-12-31	2013-05-08	2617
30/6-24 S	OLD NPD WDSS	1855_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1855_01_WDSS_General_Information.pdf	pdf	488.000000	1855	9999-12-31	2013-05-08	2618
30/6-24 S	OLD NPD WDSS	1855_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1855_02_WDSS_completion_log.pdf	pdf	215.000000	1855	9999-12-31	2013-05-08	2619
30/6-25 S	COMPOSITE LOG	3578	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3578.pdf	pdf	284.000000	3578	9999-12-31	2013-05-08	2620
30/6-25 S	GEOCHEMICAL INFORMATION	3578_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3578_1.pdf	pdf	1938.000000	3578	9999-12-31	2013-05-08	2621
30/6-25 S	GEOCHEMICAL INFORMATION	3578_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3578_2.pdf	pdf	1740.000000	3578	9999-12-31	2013-05-08	2622
30/6-25 S	GEOCHEMICAL INFORMATION	3578_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3578_3.pdf	pdf	1944.000000	3578	9999-12-31	2013-05-08	2623
30/6-25 S	GEOCHEMICAL INFORMATION	3578_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3578_4.pdf	pdf	1011.000000	3578	9999-12-31	2013-05-08	2624
30/6-27	GEOCHEMICAL INFORMATION	4425_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4425_1.pdf	pdf	293.000000	4425	9999-12-31	2013-05-08	2625
30/6-27	GEOCHEMICAL INFORMATION	4425_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4425_2.pdf	pdf	2282.000000	4425	9999-12-31	2013-05-08	2626
30/6-3	OLD NPD WDSS	382_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/382_01_WDSS_General_Information.pdf	pdf	123.000000	382	9999-12-31	2013-05-08	2627
30/6-3	OLD NPD WDSS	382_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/382_02_WDSS_completion_log.pdf	pdf	223.000000	382	9999-12-31	2013-05-08	2628
30/6-4	OLD NPD WDSS	383_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/383_01_WDSS_General_Information.pdf	pdf	101.000000	383	9999-12-31	2013-05-08	2629
30/6-4	OLD NPD WDSS	383_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/383_02_WDSS_completion_log.pdf	pdf	268.000000	383	9999-12-31	2013-05-08	2630
30/6-5	OLD NPD WDSS	118_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/118_01_WDSS_General_Information.pdf	pdf	107.000000	118	9999-12-31	2013-05-08	2631
30/6-5	OLD NPD WDSS	118_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/118_02_WDSS_completion_log.pdf	pdf	283.000000	118	9999-12-31	2013-05-08	2632
30/6-6	GEOCHEMICAL INFORMATION	39_1_Hydrocarbon_migration_in_a_selected_area_of_the_North_Sea	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/39_1_Hydrocarbon_migration_in_a_selected_area_of_the_North_Sea.pdf	pdf	20538.000000	39	9999-12-31	2013-05-08	2633
30/6-6	OLD NPD WDSS	39_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/39_01_WDSS_General_Information.pdf	pdf	172.000000	39	9999-12-31	2013-05-08	2634
30/6-6	OLD NPD WDSS	39_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/39_02_WDSS_completion_log.pdf	pdf	249.000000	39	9999-12-31	2013-05-08	2635
30/6-6	REPORTED BY LICENSEE	39_1_Hydrocarbon_migration_in_a_selected_area_of_the_North_Sea	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/39_1_Hydrocarbon_migration_in_a_selected_area_of_the_North_Sea.pdf	pdf	20538.000000	39	9999-12-31	2013-05-08	2636
30/6-7	GEOCHEMICAL INFORMATION	73_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/73_1.pdf	pdf	800.000000	73	9999-12-31	2013-05-08	2637
30/6-7	GEOCHEMICAL INFORMATION	73_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/73_2.pdf	pdf	513.000000	73	9999-12-31	2013-05-08	2638
30/6-7	OLD NPD WDSS	73_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/73_01_WDSS_General_Information.pdf	pdf	206.000000	73	9999-12-31	2013-05-08	2639
30/6-7	OLD NPD WDSS	73_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/73_02_WDSS_completion_log.pdf	pdf	240.000000	73	9999-12-31	2013-05-08	2640
30/6-7	REPORTED BY LICENSEE	73_01_30_6_7_Completion_Report_and_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/73_01_30_6_7_Completion_Report_and_Log.pdf	pdf	18460.000000	73	9999-12-31	2013-05-08	2641
30/6-8	OLD NPD WDSS	77_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/77_01_WDSS_General_Information.pdf	pdf	156.000000	77	9999-12-31	2013-05-08	2642
30/6-8	OLD NPD WDSS	77_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/77_02_WDSS_completion_log.pdf	pdf	241.000000	77	9999-12-31	2013-05-08	2643
30/6-9	OLD NPD WDSS	83_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/83_01_WDSS_General_Information.pdf	pdf	209.000000	83	9999-12-31	2013-05-08	2644
30/6-9	OLD NPD WDSS	83_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/83_02_WDSS_completion_log.pdf	pdf	245.000000	83	9999-12-31	2013-05-08	2645
30/7-1	OLD NPD WDSS	384_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/384_01_WDSS_General_Information.pdf	pdf	233.000000	384	9999-12-31	2013-05-08	2646
30/7-1	REPORTED BY LICENSEE	384_01_30_7_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/384_01_30_7_1_Completion_Report.pdf	pdf	8894.000000	384	9999-12-31	2013-05-08	2647
30/7-1	REPORTED BY LICENSEE	384_01_30_7_1_Compl_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/384_01_30_7_1_Compl_log.pdf	pdf	818.000000	384	9999-12-31	2013-05-08	2648
30/7-1	REPORTED BY LICENSEE	384_01_30_7_1_Drilling_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/384_01_30_7_1_Drilling_program.pdf	pdf	2371.000000	384	9999-12-31	2013-05-08	2649
30/7-1	REPORTED BY LICENSEE	384_01_30_7_1_Final_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/384_01_30_7_1_Final_Report.pdf	pdf	8894.000000	384	9999-12-31	2013-05-08	2650
30/7-1	REPORTED BY LICENSEE	384_01_30_7_1_Geological_Prognosis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/384_01_30_7_1_Geological_Prognosis.pdf	pdf	17424.000000	384	9999-12-31	2013-05-08	2651
30/7-1	REPORTED BY LICENSEE	384_01_30_7_1_Litholog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/384_01_30_7_1_Litholog.pdf	pdf	1219.000000	384	9999-12-31	2013-05-08	2652
30/7-1	REPORTED BY LICENSEE	384_01_30_7_1_Mud_Log_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/384_01_30_7_1_Mud_Log_Report.pdf	pdf	4724.000000	384	9999-12-31	2013-05-08	2653
30/7-1	REPORTED BY LICENSEE	384_01_30_7_1_Well_Summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/384_01_30_7_1_Well_Summary.pdf	pdf	2654.000000	384	9999-12-31	2013-05-08	2654
30/7-2	COMPOSITE LOG	385	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/385.pdf	pdf	429.000000	385	2013-05-01	2013-05-08	2655
30/7-2	OLD NPD WDSS	385_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/385_01_WDSS_General_Information.pdf	pdf	257.000000	385	9999-12-31	2013-05-08	2656
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Analysis_of_Samples_from_DST	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Analysis_of_Samples_from_DST.pdf	pdf	2242.000000	385	9999-12-31	2013-05-08	2657
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Biostratigraphic_Analysis_of_14_Sidewall_Cores	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Biostratigraphic_Analysis_of_14_Sidewall_Cores.pdf	pdf	2844.000000	385	9999-12-31	2013-05-08	2658
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Biostratigraphy_from_1725-2475m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Biostratigraphy_from_1725-2475m.pdf	pdf	3084.000000	385	9999-12-31	2013-05-08	2659
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Completion_log.pdf	pdf	1259.000000	385	9999-12-31	2013-05-08	2660
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Completion_Report.pdf	pdf	26747.000000	385	9999-12-31	2013-05-08	2661
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Core_1-8_Lithological_Description_Poro-Perm	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Core_1-8_Lithological_Description_Poro-Perm.pdf	pdf	3594.000000	385	9999-12-31	2013-05-08	2662
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Core_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Core_Report.pdf	pdf	1223.000000	385	9999-12-31	2013-05-08	2663
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Core_Show_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Core_Show_report.pdf	pdf	989.000000	385	9999-12-31	2013-05-08	2664
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Drilling_Program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Drilling_Program.pdf	pdf	2355.000000	385	9999-12-31	2013-05-08	2665
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Final_Geological_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Final_Geological_Report.pdf	pdf	5065.000000	385	9999-12-31	2013-05-08	2666
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Gas_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Gas_Analysis.pdf	pdf	81.000000	385	9999-12-31	2013-05-08	2667
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Geological_Prognosis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Geological_Prognosis.pdf	pdf	1496.000000	385	9999-12-31	2013-05-08	2668
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Grain_Size_distribution_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Grain_Size_distribution_Analysis.pdf	pdf	4066.000000	385	9999-12-31	2013-05-08	2669
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Idel_Mud_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Idel_Mud_Log.pdf	pdf	12338.000000	385	9999-12-31	2013-05-08	2670
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Mud_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Mud_Log.pdf	pdf	12868.000000	385	9999-12-31	2013-05-08	2671
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Rapport_av_GC_MS_analysene_av_råoljen	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Rapport_av_GC_MS_analysene_av_råoljen.pdf	pdf	172.000000	385	9999-12-31	2013-05-08	2672
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Reservoir_Evaluation_Eocene_Discovery	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Reservoir_Evaluation_Eocene_Discovery.pdf	pdf	5361.000000	385	9999-12-31	2013-05-08	2673
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Reservoir_Evaluation_Eocene_Discovery_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Reservoir_Evaluation_Eocene_Discovery_2.pdf	pdf	5415.000000	385	9999-12-31	2013-05-08	2674
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Reservoir_Fluid_Study_PVT_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Reservoir_Fluid_Study_PVT_Study.pdf	pdf	24474.000000	385	9999-12-31	2013-05-08	2675
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Reservoir_Sampling_Report-Surface_Sample	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Reservoir_Sampling_Report-Surface_Sample.pdf	pdf	510.000000	385	9999-12-31	2013-05-08	2676
30/7-2	REPORTED BY LICENSEE	385_01_30_7_2_Well_Summary_Final Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/385_01_30_7_2_Well_Summary_Final Report.pdf	pdf	3300.000000	385	9999-12-31	2013-05-08	2677
30/7-3	COMPOSITE LOG	386	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/386.pdf	pdf	434.000000	386	9999-12-31	2013-05-08	2678
30/7-3	GEOCHEMICAL INFORMATION	386_1_Source_rock_evaluation_of_well_30_7_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/386_1_Source_rock_evaluation_of_well_30_7_3.pdf	pdf	5614.000000	386	9999-12-31	2013-05-08	2679
30/7-3	GEOCHEMICAL INFORMATION	386_2_Geochemical_evaluation_of_the_30_7_3_well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/386_2_Geochemical_evaluation_of_the_30_7_3_well.pdf	pdf	5080.000000	386	9999-12-31	2013-05-08	2680
30/7-3	GEOCHEMICAL INFORMATION	386_3_Optical_Studies_of_Organic_matter	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/386_3_Optical_Studies_of_Organic_matter.pdf	pdf	751.000000	386	9999-12-31	2013-05-08	2681
30/7-3	GEOCHEMICAL INFORMATION	386_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/386_4.pdf	pdf	417.000000	386	9999-12-31	2013-05-08	2682
30/7-3	GEOCHEMICAL INFORMATION	386_5_Geochemical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/386_5_Geochemical_Evaluation.pdf	pdf	5077.000000	386	9999-12-31	2013-05-08	2683
30/7-3	OLD NPD WDSS	386_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/386_01_WDSS_General_Information.pdf	pdf	278.000000	386	9999-12-31	2013-05-08	2684
30/7-3	REPORTED BY LICENSEE	386_10_Lithology_of_the Interval_3600-4040m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_10_Lithology_of_the Interval_3600-4040m.pdf	pdf	3102.000000	386	9999-12-31	2013-05-08	2685
30/7-3	REPORTED BY LICENSEE	386_11_Lithology_of_the_Interval_3600-4040m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_11_Lithology_of_the_Interval_3600-4040m.pdf	pdf	3202.000000	386	9999-12-31	2013-05-08	2686
30/7-3	REPORTED BY LICENSEE	386_12_Mud_Program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_12_Mud_Program.pdf	pdf	4368.000000	386	9999-12-31	2013-05-08	2687
30/7-3	REPORTED BY LICENSEE	386_13_Report_on_a_Well_Site_Biostratigraphical_Invest	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_13_Report_on_a_Well_Site_Biostratigraphical_Invest.pdf	pdf	1253.000000	386	9999-12-31	2013-05-08	2688
30/7-3	REPORTED BY LICENSEE	386_14_Biostratigraphical_report_on_the_Mesozoic_serie	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_14_Biostratigraphical_report_on_the_Mesozoic_serie.pdf	pdf	2546.000000	386	9999-12-31	2013-05-08	2689
30/7-3	REPORTED BY LICENSEE	386_15_Source_Rock_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_15_Source_Rock_Evaluation.pdf	pdf	5614.000000	386	9999-12-31	2013-05-08	2690
30/7-3	REPORTED BY LICENSEE	386_17_Sample_Description_Book_Field_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_17_Sample_Description_Book_Field_Report.pdf	pdf	9135.000000	386	9999-12-31	2013-05-08	2691
30/7-3	REPORTED BY LICENSEE	386_18_Biostratigraphy_of_the_Interval_1820-4040m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_18_Biostratigraphy_of_the_Interval_1820-4040m.pdf	pdf	3962.000000	386	9999-12-31	2013-05-08	2692
30/7-3	REPORTED BY LICENSEE	386_19_Petrophysical_Study,_Final_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_19_Petrophysical_Study,_Final_Report.pdf	pdf	1449.000000	386	9999-12-31	2013-05-08	2693
30/7-3	REPORTED BY LICENSEE	386_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_1_Completion_Report.pdf	pdf	9437.000000	386	9999-12-31	2013-05-08	2694
30/7-3	REPORTED BY LICENSEE	386_2_Directional_Surveys_deviations_multishots	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_2_Directional_Surveys_deviations_multishots.pdf	pdf	12944.000000	386	9999-12-31	2013-05-08	2695
30/7-3	REPORTED BY LICENSEE	386_4_Geological_Progress_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_4_Geological_Progress_Report.pdf	pdf	946.000000	386	9999-12-31	2013-05-08	2696
30/7-3	REPORTED BY LICENSEE	386_5_Core_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_5_Core_Report.pdf	pdf	474.000000	386	9999-12-31	2013-05-08	2697
30/7-3	REPORTED BY LICENSEE	386_6_Litholog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_6_Litholog.pdf	pdf	4833.000000	386	9999-12-31	2013-05-08	2698
30/7-3	REPORTED BY LICENSEE	386_7_Well_Summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_7_Well_Summary.pdf	pdf	2052.000000	386	9999-12-31	2013-05-08	2699
30/7-3	REPORTED BY LICENSEE	386_8_Mud_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_8_Mud_Log.pdf	pdf	9234.000000	386	9999-12-31	2013-05-08	2700
30/7-3	REPORTED BY LICENSEE	386_9_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/386_9_Biostratigraphy.pdf	pdf	9658.000000	386	9999-12-31	2013-05-08	2701
30/7-4	OLD NPD WDSS	387_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/387_01_WDSS_General_Information.pdf	pdf	228.000000	387	9999-12-31	2013-05-08	2702
30/7-4	REPORTED BY LICENSEE	387_01_30_7_4_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/387_01_30_7_4_Completion_log.pdf	pdf	580.000000	387	9999-12-31	2013-05-08	2703
30/7-4	REPORTED BY LICENSEE	387_01_30_7_4_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/387_01_30_7_4_Completion_Report.pdf	pdf	2990.000000	387	9999-12-31	2013-05-08	2704
30/7-4	REPORTED BY LICENSEE	387_01_30_7_4_Drilling_Program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/387_01_30_7_4_Drilling_Program.pdf	pdf	5885.000000	387	9999-12-31	2013-05-08	2705
30/7-4	REPORTED BY LICENSEE	387_01_30_7_4_Mud_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/387_01_30_7_4_Mud_Log.pdf	pdf	4825.000000	387	9999-12-31	2013-05-08	2706
30/7-4	REPORTED BY LICENSEE	387_01_30_7_4_Mud_Log_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/387_01_30_7_4_Mud_Log_2.pdf	pdf	3134.000000	387	9999-12-31	2013-05-08	2707
30/7-4	REPORTED BY LICENSEE	387_01_30_7_4_Well_Summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/387_01_30_7_4_Well_Summary.pdf	pdf	69.000000	387	9999-12-31	2013-05-08	2708
30/7-5	OLD NPD WDSS	388_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/388_01_WDSS_General_Information.pdf	pdf	228.000000	388	9999-12-31	2013-05-08	2709
30/7-5	REPORTED BY LICENSEE	388_01_30_7_5_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/388_01_30_7_5_Completion_log.pdf	pdf	520.000000	388	9999-12-31	2013-05-08	2710
30/7-5	REPORTED BY LICENSEE	388_01_30_7_5_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/388_01_30_7_5_Completion_Report.pdf	pdf	2019.000000	388	9999-12-31	2013-05-08	2711
30/7-5	REPORTED BY LICENSEE	388_01_30_7_5_Litholog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/388_01_30_7_5_Litholog.pdf	pdf	846.000000	388	9999-12-31	2013-05-08	2712
30/7-5	REPORTED BY LICENSEE	388_01_30_7_5_Plug_and_Abandonement_Program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/388_01_30_7_5_Plug_and_Abandonement_Program.pdf	pdf	999.000000	388	9999-12-31	2013-05-08	2713
30/7-5	REPORTED BY LICENSEE	388_01_30_7_5_Wel_Critique	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/388_01_30_7_5_Wel_Critique.pdf	pdf	1969.000000	388	9999-12-31	2013-05-08	2714
30/7-5	REPORTED BY LICENSEE	388_01_30_7_5_Wel_Summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/388_01_30_7_5_Wel_Summary.pdf	pdf	77.000000	388	9999-12-31	2013-05-08	2715
30/7-6	OLD NPD WDSS	389_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/389_01_WDSS_General_Information.pdf	pdf	431.000000	389	9999-12-31	2013-05-08	2716
30/7-6 R	OLD NPD WDSS	507_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/507_03_WDSS_lithlog.pdf	pdf	77.000000	507	9999-12-31	2013-05-08	2717
30/7-7	COMPOSITE LOG	390	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/390.pdf	pdf	644.000000	390	9999-12-31	2013-05-08	2718
30/7-7	GEOCHEMICAL INFORMATION	390_1_organic_geochemical_correlation_of_nine_oils_and_ten_source_rocks_from_the_northern_sea_area	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/390_1_organic_geochemical_correlation_of_nine_oils_and_ten_source_rocks_from_the_northern_sea_area.pdf	pdf	2638.000000	390	9999-12-31	2013-05-08	2719
30/7-7	GEOCHEMICAL INFORMATION	390_2_Rock_eval_pyrolysis_of_samples_from_well_30_7_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/390_2_Rock_eval_pyrolysis_of_samples_from_well_30_7_7.pdf	pdf	1212.000000	390	9999-12-31	2013-05-08	2720
30/7-7	GEOCHEMICAL INFORMATION	390_3_source_rock_evaluation_of_well_30_7_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/390_3_source_rock_evaluation_of_well_30_7_7.pdf	pdf	9189.000000	390	9999-12-31	2013-05-08	2721
30/7-7	GEOCHEMICAL INFORMATION	390_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/390_4.pdf	pdf	5929.000000	390	9999-12-31	2013-05-08	2722
30/7-7	OLD NPD WDSS	390_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/390_01_WDSS_General_Information.pdf	pdf	122.000000	390	9999-12-31	2013-05-08	2723
30/7-7	OLD NPD WDSS	390_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/390_02_WDSS_completion_log.pdf	pdf	328.000000	390	9999-12-31	2013-05-08	2724
30/7-7	REPORTED BY LICENSEE	390_1_Completion_Report_Drilling	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/390_1_Completion_Report_Drilling.pdf	pdf	14389.000000	390	9999-12-31	2013-05-08	2725
30/7-7	REPORTED BY LICENSEE	390_2_Completion_Report_Geological_&_Completio_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/390_2_Completion_Report_Geological_&_Completio_log.pdf	pdf	4348.000000	390	9999-12-31	2013-05-08	2726
30/7-8	OLD NPD WDSS	216_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/216_01_WDSS_General_Information.pdf	pdf	95.000000	216	9999-12-31	2013-05-08	2727
30/7-8 R	OLD NPD WDSS	506_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/506_01_WDSS_General_Information.pdf	pdf	199.000000	506	9999-12-31	2013-05-08	2728
30/8-1 S	GEOCHEMICAL INFORMATION	2430_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2430_1.pdf	pdf	980.000000	2430	9999-12-31	2013-05-08	2729
30/8-1 S	GEOCHEMICAL INFORMATION	2430_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2430_2.pdf	pdf	2401.000000	2430	9999-12-31	2013-05-08	2730
30/8-1 SR	GEOCHEMICAL INFORMATION	2719_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2719_1.pdf	pdf	620.000000	2719	9999-12-31	2013-05-08	2731
30/8-1 SR	GEOCHEMICAL INFORMATION	2719_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2719_2.pdf	pdf	1867.000000	2719	9999-12-31	2013-05-08	2732
30/8-4 S	GEOCHEMICAL INFORMATION	5974_01_30_8_4S_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5974_01_30_8_4S_gch_transfer_1.txt	txt	0.000000	5974	9999-12-31	2013-05-08	2733
30/8-4 S	GEOCHEMICAL INFORMATION	5974_02_30_8_4S_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5974_02_30_8_4S_gch_results_1.txt	txt	115.000000	5974	9999-12-31	2013-05-08	2734
30/9-1	OLD NPD WDSS	65_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/65_01_WDSS_General_Information.pdf	pdf	173.000000	65	9999-12-31	2013-05-08	2735
30/9-1	OLD NPD WDSS	65_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/65_02_WDSS_completion_log.pdf	pdf	296.000000	65	9999-12-31	2013-05-08	2736
30/9-10	OLD NPD WDSS	1514_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1514_01_WDSS_General_Information.pdf	pdf	233.000000	1514	9999-12-31	2013-05-08	2737
30/9-10	OLD NPD WDSS	1514_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1514_02_WDSS_completion_log.pdf	pdf	227.000000	1514	9999-12-31	2013-05-08	2738
30/9-11	OLD NPD WDSS	1673_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1673_01_WDSS_General_Information.pdf	pdf	187.000000	1673	9999-12-31	2013-05-08	2739
30/9-11	OLD NPD WDSS	1673_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1673_02_WDSS_completion_log.pdf	pdf	171.000000	1673	9999-12-31	2013-05-08	2740
30/9-11 A	OLD NPD WDSS	1705_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1705_01_WDSS_General_Information.pdf	pdf	205.000000	1705	9999-12-31	2013-05-08	2741
30/9-11 A	OLD NPD WDSS	1705_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1705_02_WDSS_completion_log.pdf	pdf	185.000000	1705	9999-12-31	2013-05-08	2742
30/9-12	COMPOSITE LOG	1717	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1717.pdf	pdf	404.000000	1717	9999-12-31	2013-05-08	2743
30/9-12	OLD NPD WDSS	1717_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1717_01_WDSS_General_Information.pdf	pdf	845.000000	1717	9999-12-31	2013-05-08	2744
30/9-12	OLD NPD WDSS	1717_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1717_02_WDSS_completion_log.pdf	pdf	189.000000	1717	9999-12-31	2013-05-08	2745
30/9-12 A	COMPOSITE LOG	1770	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1770.pdf	pdf	411.000000	1770	9999-12-31	2013-05-08	2746
30/9-12 A	GEOCHEMICAL INFORMATION	1770_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1770_1.pdf	pdf	528.000000	1770	9999-12-31	2013-05-08	2747
30/9-12 A	OLD NPD WDSS	1770_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1770_01_WDSS_General_Information.pdf	pdf	519.000000	1770	9999-12-31	2013-05-08	2748
30/9-12 A	OLD NPD WDSS	1770_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1770_02_WDSS_completion_log.pdf	pdf	186.000000	1770	9999-12-31	2013-05-08	2749
30/9-13 S	COMPOSITE LOG	1811	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1811.pdf	pdf	622.000000	1811	9999-12-31	2013-05-08	2750
30/9-13 S	GEOCHEMICAL INFORMATION	1811_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1811_1.pdf	pdf	1943.000000	1811	9999-12-31	2013-05-08	2751
30/9-13 S	OLD NPD WDSS	1811_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1811_01_WDSS_General_Information.pdf	pdf	619.000000	1811	9999-12-31	2013-05-08	2752
30/9-13 S	OLD NPD WDSS	1811_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1811_02_WDSS_completion_log.pdf	pdf	232.000000	1811	9999-12-31	2013-05-08	2753
30/9-14	COMPOSITE LOG	2076	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2076.pdf	pdf	752.000000	2076	9999-12-31	2013-05-08	2754
30/9-14	GEOCHEMICAL INFORMATION	2076_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2076_1.pdf	pdf	1762.000000	2076	9999-12-31	2013-05-08	2755
30/9-14	GEOCHEMICAL INFORMATION	2076_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2076_2.pdf	pdf	1846.000000	2076	9999-12-31	2013-05-08	2756
30/9-14	GEOCHEMICAL INFORMATION	2076_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2076_3.pdf	pdf	1723.000000	2076	9999-12-31	2013-05-08	2757
30/9-14	GEOCHEMICAL INFORMATION	2076_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2076_4.pdf	pdf	1956.000000	2076	9999-12-31	2013-05-08	2758
30/9-14	GEOCHEMICAL INFORMATION	2076_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2076_5.pdf	pdf	1927.000000	2076	9999-12-31	2013-05-08	2759
30/9-14	GEOCHEMICAL INFORMATION	2076_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2076_6.pdf	pdf	1852.000000	2076	9999-12-31	2013-05-08	2760
30/9-15	COMPOSITE LOG	2223	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2223.pdf	pdf	473.000000	2223	9999-12-31	2013-05-08	2761
30/9-15	GEOCHEMICAL INFORMATION	2223_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2223_1.pdf	pdf	1462.000000	2223	9999-12-31	2013-05-08	2762
30/9-15	GEOCHEMICAL INFORMATION	2223_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2223_2.pdf	pdf	1885.000000	2223	9999-12-31	2013-05-08	2763
30/9-15	GEOCHEMICAL INFORMATION	2223_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2223_3.pdf	pdf	1881.000000	2223	9999-12-31	2013-05-08	2764
30/9-15	GEOCHEMICAL INFORMATION	2223_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2223_4.pdf	pdf	1938.000000	2223	9999-12-31	2013-05-08	2765
30/9-15	GEOCHEMICAL INFORMATION	2223_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2223_5.pdf	pdf	1379.000000	2223	9999-12-31	2013-05-08	2766
30/9-15	GEOCHEMICAL INFORMATION	2223_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2223_6.pdf	pdf	1227.000000	2223	9999-12-31	2013-05-08	2767
30/9-2	COMPOSITE LOG	11	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/11.pdf	pdf	428.000000	11	9999-12-31	2013-05-08	2768
30/9-2	GEOCHEMICAL INFORMATION	11_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/11_1.pdf	pdf	1864.000000	11	9999-12-31	2013-05-08	2769
30/9-2	GEOCHEMICAL INFORMATION	11_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/11_2.pdf	pdf	1333.000000	11	9999-12-31	2013-05-08	2770
30/9-2	OLD NPD WDSS	11_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/11_01_WDSS_General_Information.pdf	pdf	209.000000	11	9999-12-31	2013-05-08	2771
30/9-2	OLD NPD WDSS	11_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/11_02_WDSS_completion_log.pdf	pdf	292.000000	11	9999-12-31	2013-05-08	2772
30/9-2 R	GEOCHEMICAL INFORMATION	937_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/937_1.pdf	pdf	1864.000000	937	9999-12-31	2013-05-08	2773
30/9-2 R	GEOCHEMICAL INFORMATION	937_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/937_2.pdf	pdf	1333.000000	937	9999-12-31	2013-05-08	2774
30/9-20 S	COMPOSITE LOG	4463	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4463.pdf	pdf	410.000000	4463	9999-12-31	2013-05-08	2775
30/9-20 S	GEOCHEMICAL INFORMATION	4463_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4463_1.pdf	pdf	2717.000000	4463	9999-12-31	2013-05-08	2776
30/9-21 S	GEOCHEMICAL INFORMATION	5800_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5800_1.pdf	pdf	275.000000	5800	9999-12-31	2013-05-08	2777
30/9-21 S	GEOCHEMICAL INFORMATION	5800_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5800_2.pdf	pdf	620.000000	5800	9999-12-31	2013-05-08	2778
30/9-22	GEOCHEMICAL INFORMATION	6034_01_30_9_22_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6034_01_30_9_22_gch_transfer_1.txt	txt	0.000000	6034	9999-12-31	2013-05-08	2779
30/9-22	GEOCHEMICAL INFORMATION	6034_02_30_9_22_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6034_02_30_9_22_gch_results_1.txt	txt	395.000000	6034	9999-12-31	2013-05-08	2780
30/9-3	OLD NPD WDSS	55_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/55_01_WDSS_General_Information.pdf	pdf	167.000000	55	9999-12-31	2013-05-08	2781
30/9-3	OLD NPD WDSS	55_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/55_02_WDSS_completion_log.pdf	pdf	279.000000	55	9999-12-31	2013-05-08	2782
30/9-3	REPORTED BY LICENSEE	55_30_9_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/55_30_9_3_Completion_log.pdf	pdf	3229.000000	55	9999-12-31	2013-05-08	2783
30/9-3	REPORTED BY LICENSEE	55_30_9_3_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/55_30_9_3_Completion_Report.pdf	pdf	16175.000000	55	9999-12-31	2013-05-08	2784
30/9-3 A	GEOCHEMICAL INFORMATION	102_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/102_1.pdf	pdf	675.000000	102	9999-12-31	2013-05-08	2785
30/9-3 A	GEOCHEMICAL INFORMATION	102_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/102_2.pdf	pdf	643.000000	102	9999-12-31	2013-05-08	2786
30/9-3 A	OLD NPD WDSS	102_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/102_01_WDSS_General_Information.pdf	pdf	194.000000	102	9999-12-31	2013-05-08	2787
30/9-3 A	OLD NPD WDSS	102_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/102_02_WDSS_completion_log.pdf	pdf	360.000000	102	9999-12-31	2013-05-08	2788
30/9-3 A	REPORTED BY LICENSEE	102_30_9_3_A_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/102_30_9_3_A_Completion_log.pdf	pdf	3522.000000	102	9999-12-31	2013-05-08	2789
30/9-3 A	REPORTED BY LICENSEE	102_30_9_3_A_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/102_30_9_3_A_Completion_Report.pdf	pdf	15750.000000	102	9999-12-31	2013-05-08	2790
30/9-4 S	OLD NPD WDSS	452_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/452_01_WDSS_General_Information.pdf	pdf	301.000000	452	9999-12-31	2013-05-08	2791
30/9-4 S	OLD NPD WDSS	452_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/452_02_WDSS_completion_log.pdf	pdf	378.000000	452	9999-12-31	2013-05-08	2792
30/9-5 S	OLD NPD WDSS	478_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/478_01_WDSS_General_Information.pdf	pdf	258.000000	478	9999-12-31	2013-05-08	2793
30/9-5 S	OLD NPD WDSS	478_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/478_02_WDSS_completion_log.pdf	pdf	239.000000	478	9999-12-31	2013-05-08	2794
30/9-6	OLD NPD WDSS	1027_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1027_01_WDSS_General_Information.pdf	pdf	384.000000	1027	9999-12-31	2013-05-08	2795
30/9-6	OLD NPD WDSS	1027_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1027_02_WDSS_completion_log.pdf	pdf	253.000000	1027	9999-12-31	2013-05-08	2796
30/9-7	OLD NPD WDSS	1306_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1306_01_WDSS_General_Information.pdf	pdf	221.000000	1306	9999-12-31	2013-05-08	2797
30/9-7	OLD NPD WDSS	1306_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1306_02_WDSS_completion_log.pdf	pdf	260.000000	1306	9999-12-31	2013-05-08	2798
30/9-8	REPORTED BY LICENSEE	1421_30_9_8_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1421_30_9_8_Completion_Log.pdf	pdf	3338.000000	1421	9999-12-31	2013-05-08	2799
30/9-8	REPORTED BY LICENSEE	1421_30_9_8_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1421_30_9_8_Completion_report.pdf	pdf	19131.000000	1421	9999-12-31	2013-05-08	2800
30/9-8 R	GEOCHEMICAL INFORMATION	1461_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1461_1.pdf	pdf	222.000000	1461	9999-12-31	2013-05-08	2801
30/9-8 R	GEOCHEMICAL INFORMATION	1461_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1461_2.pdf	pdf	397.000000	1461	9999-12-31	2013-05-08	2802
30/9-8 R	GEOCHEMICAL INFORMATION	1461_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1461_3.pdf	pdf	4621.000000	1461	9999-12-31	2013-05-08	2803
30/9-8 R	GEOCHEMICAL INFORMATION	1461_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1461_4.pdf	pdf	3771.000000	1461	9999-12-31	2013-05-08	2804
30/9-8 R	OLD NPD WDSS	1461_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1461_01_WDSS_General_Information.pdf	pdf	345.000000	1461	9999-12-31	2013-05-08	2805
30/9-8 R	OLD NPD WDSS	1461_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1461_02_WDSS_completion_log.pdf	pdf	204.000000	1461	9999-12-31	2013-05-08	2806
30/9-9	OLD NPD WDSS	1442_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1442_01_WDSS_General_Information.pdf	pdf	267.000000	1442	9999-12-31	2013-05-08	2807
30/9-9	OLD NPD WDSS	1442_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1442_02_WDSS_completion_log.pdf	pdf	182.000000	1442	9999-12-31	2013-05-08	2808
31/2-1	COMPOSITE LOG	398	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/398.pdf	pdf	354.000000	398	9999-12-31	2013-05-08	2809
31/2-1	GEOCHEMICAL INFORMATION	398_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/398_1.pdf	pdf	742.000000	398	9999-12-31	2013-05-08	2810
31/2-1	GEOCHEMICAL INFORMATION	398_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/398_2.pdf	pdf	3930.000000	398	9999-12-31	2013-05-08	2811
31/2-1	GEOCHEMICAL INFORMATION	398_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/398_3.pdf	pdf	1126.000000	398	9999-12-31	2013-05-08	2812
31/2-1	GEOCHEMICAL INFORMATION	398_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/398_4.pdf	pdf	634.000000	398	9999-12-31	2013-05-08	2813
31/2-1	OLD NPD WDSS	398_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/398_01_WDSS_General_Information.pdf	pdf	121.000000	398	9999-12-31	2013-05-08	2814
31/2-1	OLD NPD WDSS	398_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/398_02_WDSS_completion_log.pdf	pdf	173.000000	398	9999-12-31	2013-05-08	2815
31/2-10	GEOCHEMICAL INFORMATION	90_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/90_1.pdf	pdf	389.000000	90	9999-12-31	2013-05-08	2816
31/2-10	GEOCHEMICAL INFORMATION	90_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/90_2.pdf	pdf	496.000000	90	9999-12-31	2013-05-08	2817
31/2-10	GEOCHEMICAL INFORMATION	90_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/90_3.pdf	pdf	339.000000	90	9999-12-31	2013-05-08	2818
31/2-10	OLD NPD WDSS	90_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/90_01_WDSS_General_Information.pdf	pdf	166.000000	90	9999-12-31	2013-05-08	2819
31/2-10	OLD NPD WDSS	90_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/90_02_WDSS_completion_log.pdf	pdf	120.000000	90	9999-12-31	2013-05-08	2820
31/2-10	REPORTED BY LICENSEE	90_01_31_2_10_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_01_31_2_10_Completion_Report_and_Completion_log.PDF	PDF	7818.000000	90	9999-12-31	2013-05-08	2821
31/2-10	REPORTED BY LICENSEE	90_02_31_2_10_Biostratigraphy_appraisal	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_02_31_2_10_Biostratigraphy_appraisal.pdf	pdf	85.000000	90	9999-12-31	2013-05-08	2822
31/2-10	REPORTED BY LICENSEE	90_02_31_2_10_Biostratigraphy_appraisal_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_02_31_2_10_Biostratigraphy_appraisal_encl_1.pdf	pdf	1255.000000	90	9999-12-31	2013-05-08	2823
31/2-10	REPORTED BY LICENSEE	90_02_31_2_10_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_02_31_2_10_Drilling_programme.pdf	pdf	1227.000000	90	9999-12-31	2013-05-08	2824
31/2-10	REPORTED BY LICENSEE	90_02_31_2_10_Drilling_programme_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_02_31_2_10_Drilling_programme_encl_1.pdf	pdf	252.000000	90	9999-12-31	2013-05-08	2825
31/2-10	REPORTED BY LICENSEE	90_02_31_2_10_Geochemical_investig_of_3_core_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_02_31_2_10_Geochemical_investig_of_3_core_samples.pdf	pdf	365.000000	90	9999-12-31	2013-05-08	2826
31/2-10	REPORTED BY LICENSEE	90_02_31_2_10_Production_test_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_02_31_2_10_Production_test_programme.pdf	pdf	1391.000000	90	9999-12-31	2013-05-08	2827
31/2-10	REPORTED BY LICENSEE	90_02_31_2_10_Routine_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_02_31_2_10_Routine_core_analysis.pdf	pdf	2398.000000	90	9999-12-31	2013-05-08	2828
31/2-10	REPORTED BY LICENSEE	90_02_31_2_10_Sedimentologi_av_kjerne	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_02_31_2_10_Sedimentologi_av_kjerne.pdf	pdf	16194.000000	90	9999-12-31	2013-05-08	2829
31/2-10	REPORTED BY LICENSEE	90_02_31_2_10_Source_rock_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_02_31_2_10_Source_rock_analysis.pdf	pdf	338.000000	90	9999-12-31	2013-05-08	2830
31/2-10	REPORTED BY LICENSEE	90_02_31_2_10_Source_rock_analysis_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_02_31_2_10_Source_rock_analysis_encl_1.pdf	pdf	43.000000	90	9999-12-31	2013-05-08	2831
31/2-10	REPORTED BY LICENSEE	90_02_31_2_10_Well_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/90_02_31_2_10_Well_summary.pdf	pdf	1019.000000	90	9999-12-31	2013-05-08	2832
31/2-11	OLD NPD WDSS	6_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/6_01_WDSS_General_Information.pdf	pdf	179.000000	6	9999-12-31	2013-05-08	2833
31/2-11	OLD NPD WDSS	6_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/6_02_WDSS_completion_log.pdf	pdf	182.000000	6	9999-12-31	2013-05-08	2834
31/2-11	REPORTED BY LICENSEE	6_01_31_2_11_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_01_31_2_11_Completion_Report_and_Completion_log.PDF	PDF	9091.000000	6	9999-12-31	2013-05-08	2835
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Assey_of_crude_oil_sample	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Assey_of_crude_oil_sample.pdf	pdf	357.000000	6	9999-12-31	2013-05-08	2836
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Drilling_programme.pdf	pdf	1328.000000	6	9999-12-31	2013-05-08	2837
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Emulsions_of_Troll_crude_oil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Emulsions_of_Troll_crude_oil.pdf	pdf	308.000000	6	9999-12-31	2013-05-08	2838
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Grain_size_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Grain_size_analysis.pdf	pdf	137.000000	6	9999-12-31	2013-05-08	2839
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_High_acc.press_temp_measure	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_High_acc.press_temp_measure.pdf	pdf	1864.000000	6	9999-12-31	2013-05-08	2840
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_High_acc.press_temp_measure_gravel_pack	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_High_acc.press_temp_measure_gravel_pack.pdf	pdf	28939.000000	6	9999-12-31	2013-05-08	2841
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_High_acc.press_temp_measure_injection_test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_High_acc.press_temp_measure_injection_test.pdf	pdf	19249.000000	6	9999-12-31	2013-05-08	2842
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Production_test_programme_b	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Production_test_programme_b.pdf	pdf	1871.000000	6	9999-12-31	2013-05-08	2843
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_PVT_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_PVT_study.pdf	pdf	1069.000000	6	9999-12-31	2013-05-08	2844
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Report_on_the_low_damaging	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Report_on_the_low_damaging.pdf	pdf	287.000000	6	9999-12-31	2013-05-08	2845
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Routine_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Routine_core_analysis.pdf	pdf	851.000000	6	9999-12-31	2013-05-08	2846
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Sedimentologi_av_kjerne	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Sedimentologi_av_kjerne.pdf	pdf	18453.000000	6	9999-12-31	2013-05-08	2847
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Water_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Water_samples.pdf	pdf	294.000000	6	9999-12-31	2013-05-08	2848
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Well_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Well_summary.pdf	pdf	1593.000000	6	9999-12-31	2013-05-08	2849
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Well_test.rep.no.83-2301-22_Anx	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Well_test.rep.no.83-2301-22_Anx.pdf	pdf	12131.000000	6	9999-12-31	2013-05-08	2850
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Well_testing_rep.no.83-2301-22	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Well_testing_rep.no.83-2301-22.pdf	pdf	8885.000000	6	9999-12-31	2013-05-08	2851
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Well_testing_rep.no.83-2301-23	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Well_testing_rep.no.83-2301-23.pdf	pdf	1252.000000	6	9999-12-31	2013-05-08	2852
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Well_testing_rep.no.83-2301-24	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Well_testing_rep.no.83-2301-24.pdf	pdf	2040.000000	6	9999-12-31	2013-05-08	2853
31/2-11	REPORTED BY LICENSEE	6_02_31_2_11_Well_test_Int.Report#290	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/6_02_31_2_11_Well_test_Int.Report#290.pdf	pdf	990.000000	6	9999-12-31	2013-05-08	2854
31/2-12	OLD NPD WDSS	14_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/14_01_WDSS_General_Information.pdf	pdf	185.000000	14	9999-12-31	2013-05-08	2855
31/2-12	OLD NPD WDSS	14_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/14_02_WDSS_completion_log.pdf	pdf	179.000000	14	9999-12-31	2013-05-08	2856
31/2-12	REPORTED BY LICENSEE	14_01_31_2_12_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_01_31_2_12_Completion_Report_and_Completion_log.PDF	PDF	11381.000000	14	9999-12-31	2013-05-08	2857
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_Amendment_no.1_to_drilling_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_Amendment_no.1_to_drilling_program.pdf	pdf	112.000000	14	9999-12-31	2013-05-08	2858
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_Drilling_programme.pdf	pdf	1500.000000	14	9999-12-31	2013-05-08	2859
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_Grain_size_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_Grain_size_analysis.pdf	pdf	677.000000	14	9999-12-31	2013-05-08	2860
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_High_acc._press._rep._ELS-83.49A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_High_acc._press._rep._ELS-83.49A.pdf	pdf	1175.000000	14	9999-12-31	2013-05-08	2861
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_High_acc._press._rep._ELS-83.49B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_High_acc._press._rep._ELS-83.49B.pdf	pdf	4066.000000	14	9999-12-31	2013-05-08	2862
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_High_acc._press_temp_measurements	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_High_acc._press_temp_measurements.pdf	pdf	5814.000000	14	9999-12-31	2013-05-08	2863
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_PVT_lab._and_consult.service	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_PVT_lab._and_consult.service.pdf	pdf	1134.000000	14	9999-12-31	2013-05-08	2864
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_Routine_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_Routine_core_analysis.pdf	pdf	1553.000000	14	9999-12-31	2013-05-08	2865
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_Testanalyse_gasstest	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_Testanalyse_gasstest.pdf	pdf	652.000000	14	9999-12-31	2013-05-08	2866
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_The_comp._of_Norwegian_Trol_well_by_THORNTO	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_The_comp._of_Norwegian_Trol_well_by_THORNTO.pdf	pdf	1179.000000	14	9999-12-31	2013-05-08	2867
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_Well_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_Well_summary.pdf	pdf	2854.000000	14	9999-12-31	2013-05-08	2868
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_Well_testing_report_83-2301-33	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_Well_testing_report_83-2301-33.pdf	pdf	13777.000000	14	9999-12-31	2013-05-08	2869
31/2-12	REPORTED BY LICENSEE	14_02_31_2_12_Well_testing_report_83-2301-34	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/14_02_31_2_12_Well_testing_report_83-2301-34.pdf	pdf	23302.000000	14	9999-12-31	2013-05-08	2870
31/2-13 S	OLD NPD WDSS	93_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/93_01_WDSS_General_Information.pdf	pdf	179.000000	93	9999-12-31	2013-05-08	2871
31/2-13 S	OLD NPD WDSS	93_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/93_02_WDSS_completion_log.pdf	pdf	188.000000	93	9999-12-31	2013-05-08	2872
31/2-13 S	REPORTED BY LICENSEE	93_01_31_2_13_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_01_31_2_13_Completion_Report_and_Completion_log.PDF	PDF	7742.000000	93	9999-12-31	2013-05-08	2873
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Core_description_core_2-8	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Core_description_core_2-8.pdf	pdf	5934.000000	93	9999-12-31	2013-05-08	2874
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Data_from_meas._on_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Data_from_meas._on_samples.pdf	pdf	97.000000	93	9999-12-31	2013-05-08	2875
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Directional_drilling_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Directional_drilling_report.pdf	pdf	716.000000	93	9999-12-31	2013-05-08	2876
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Drilling_fluids_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Drilling_fluids_summary.pdf	pdf	2164.000000	93	9999-12-31	2013-05-08	2877
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Drilling_programme_a	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Drilling_programme_a.pdf	pdf	1498.000000	93	9999-12-31	2013-05-08	2878
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Drilling_programme_b	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Drilling_programme_b.pdf	pdf	1030.000000	93	9999-12-31	2013-05-08	2879
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Drilling_programme_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Drilling_programme_encl_1.pdf	pdf	431.000000	93	9999-12-31	2013-05-08	2880
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Grain_size_distribution_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Grain_size_distribution_analysis.pdf	pdf	261.000000	93	9999-12-31	2013-05-08	2881
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_High_Acc.press.temp	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_High_Acc.press.temp.pdf	pdf	1628.000000	93	9999-12-31	2013-05-08	2882
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_High_acc.pressure_Report_post_acid_82014	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_High_acc.pressure_Report_post_acid_82014.pdf	pdf	6678.000000	93	9999-12-31	2013-05-08	2883
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_High_acc.pressure_Report_post_acid_83064	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_High_acc.pressure_Report_post_acid_83064.pdf	pdf	5795.000000	93	9999-12-31	2013-05-08	2884
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_High_acc.pressure_Report_pre_acid_a	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_High_acc.pressure_Report_pre_acid_a.pdf	pdf	2661.000000	93	9999-12-31	2013-05-08	2885
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_High_acc.pressure_Report_pre_acid_b	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_High_acc.pressure_Report_pre_acid_b.pdf	pdf	2274.000000	93	9999-12-31	2013-05-08	2886
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_High_rate_ gas_flow_test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_High_rate_ gas_flow_test.pdf	pdf	720.000000	93	9999-12-31	2013-05-08	2887
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Palynological_results	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Palynological_results.pdf	pdf	914.000000	93	9999-12-31	2013-05-08	2888
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Petrofysisk_hurtig-evaluering	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Petrofysisk_hurtig-evaluering.pdf	pdf	866.000000	93	9999-12-31	2013-05-08	2889
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Petrofysisk_hurtig-evaluering_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Petrofysisk_hurtig-evaluering_encl_1.pdf	pdf	825.000000	93	9999-12-31	2013-05-08	2890
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Poro_perm_results	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Poro_perm_results.pdf	pdf	438.000000	93	9999-12-31	2013-05-08	2891
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Poro_perm_results_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Poro_perm_results_encl_1.pdf	pdf	140.000000	93	9999-12-31	2013-05-08	2892
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Production_test_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Production_test_program.pdf	pdf	1735.000000	93	9999-12-31	2013-05-08	2893
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Production_test_program_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Production_test_program_encl_1.pdf	pdf	196.000000	93	9999-12-31	2013-05-08	2894
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Production_test_program_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Production_test_program_encl_2.pdf	pdf	256.000000	93	9999-12-31	2013-05-08	2895
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Production_test_program_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Production_test_program_encl_3.pdf	pdf	145.000000	93	9999-12-31	2013-05-08	2896
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Reservoir_fluid_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Reservoir_fluid_study.pdf	pdf	765.000000	93	9999-12-31	2013-05-08	2897
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Special_core_analyis_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Special_core_analyis_study.pdf	pdf	2448.000000	93	9999-12-31	2013-05-08	2898
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Special_core_analysis_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Special_core_analysis_study.pdf	pdf	722.000000	93	9999-12-31	2013-05-08	2899
31/2-13 S	REPORTED BY LICENSEE	93_02_31_2_13_Well_testing_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/93_02_31_2_13_Well_testing_report.pdf	pdf	26287.000000	93	9999-12-31	2013-05-08	2900
31/2-14	COMPOSITE LOG	106	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/106.pdf	pdf	229.000000	106	9999-12-31	2013-05-08	2901
31/2-14	OLD NPD WDSS	106_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/106_01_WDSS_General_Information.pdf	pdf	174.000000	106	9999-12-31	2013-05-08	2902
31/2-14	OLD NPD WDSS	106_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/106_02_WDSS_completion_log.pdf	pdf	174.000000	106	9999-12-31	2013-05-08	2903
31/2-14	REPORTED BY LICENSEE	106_01_31_2_14_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_01_31_2_14_Completion_Report_and_Completion_log.PDF	PDF	8202.000000	106	9999-12-31	2013-05-08	2904
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Core_description_core_1-7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Core_description_core_1-7.pdf	pdf	2692.000000	106	9999-12-31	2013-05-08	2905
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Drilling programme_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Drilling programme_encl_1.pdf	pdf	386.000000	106	9999-12-31	2013-05-08	2906
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Drilling_programme.pdf	pdf	1269.000000	106	9999-12-31	2013-05-08	2907
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Drilling_programme_	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Drilling_programme_.pdf	pdf	1269.000000	106	9999-12-31	2013-05-08	2908
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Drilling_programme_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Drilling_programme_encl_01.pdf	pdf	386.000000	106	9999-12-31	2013-05-08	2909
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Frigg_field_res.simulation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Frigg_field_res.simulation.pdf	pdf	2692.000000	106	9999-12-31	2013-05-08	2910
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Grain_size_distr.analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Grain_size_distr.analysis.pdf	pdf	158.000000	106	9999-12-31	2013-05-08	2911
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_High_accuracy_pressure_ELS84-49A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_High_accuracy_pressure_ELS84-49A.pdf	pdf	3327.000000	106	9999-12-31	2013-05-08	2912
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_High_accuracy_pressure_ELS84-49A_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_High_accuracy_pressure_ELS84-49A_encl_1.pdf	pdf	619.000000	106	9999-12-31	2013-05-08	2913
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_High_accuracy_pressure_ELS84-49A_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_High_accuracy_pressure_ELS84-49A_encl_2.pdf	pdf	94.000000	106	9999-12-31	2013-05-08	2914
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_High_accuracy_pressure_ELS84-49A_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_High_accuracy_pressure_ELS84-49A_encl_3.pdf	pdf	57.000000	106	9999-12-31	2013-05-08	2915
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_High_accuracy_pressure_ELS84-49A_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_High_accuracy_pressure_ELS84-49A_encl_4.pdf	pdf	45.000000	106	9999-12-31	2013-05-08	2916
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_High_accuracy_pressure_ELS84-49B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_High_accuracy_pressure_ELS84-49B.pdf	pdf	3084.000000	106	9999-12-31	2013-05-08	2917
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_High_accuracy_pressure_ELS84-49B_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_High_accuracy_pressure_ELS84-49B_encl_1.pdf	pdf	523.000000	106	9999-12-31	2013-05-08	2918
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_High_accuracy_pressure_ELS84-49B_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_High_accuracy_pressure_ELS84-49B_encl_2.pdf	pdf	102.000000	106	9999-12-31	2013-05-08	2919
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_High_accuracy_pressure_ELS84-49B_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_High_accuracy_pressure_ELS84-49B_encl_3.pdf	pdf	63.000000	106	9999-12-31	2013-05-08	2920
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_High_accuracy_pressure_ELS84-49B_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_High_accuracy_pressure_ELS84-49B_encl_4.pdf	pdf	71.000000	106	9999-12-31	2013-05-08	2921
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Palynological_results	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Palynological_results.pdf	pdf	2001.000000	106	9999-12-31	2013-05-08	2922
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Petrofysisk_hurtig-evaluering	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Petrofysisk_hurtig-evaluering.pdf	pdf	1016.000000	106	9999-12-31	2013-05-08	2923
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Petrofysisk_hurtig-evaluering_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Petrofysisk_hurtig-evaluering_encl_1.pdf	pdf	912.000000	106	9999-12-31	2013-05-08	2924
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Pressure_survey_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Pressure_survey_report.pdf	pdf	960.000000	106	9999-12-31	2013-05-08	2925
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_PVT_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_PVT_Study.pdf	pdf	1127.000000	106	9999-12-31	2013-05-08	2926
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Routine_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Routine_core_analysis.pdf	pdf	1273.000000	106	9999-12-31	2013-05-08	2927
31/2-2 R	GEOCHEMICAL INFORMATION	504_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/504_4.pdf	pdf	1036.000000	504	9999-12-31	2013-05-08	3073
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Well summary_by Dresser	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Well summary_by Dresser.pdf	pdf	1537.000000	106	9999-12-31	2013-05-08	2928
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Well_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Well_summary.pdf	pdf	893.000000	106	9999-12-31	2013-05-08	2929
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Well_summary_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Well_summary_2.pdf	pdf	1537.000000	106	9999-12-31	2013-05-08	2930
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Well_summary_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Well_summary_3.pdf	pdf	531.000000	106	9999-12-31	2013-05-08	2931
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Well_summary_by_Anchor	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Well_summary_by_Anchor.pdf	pdf	893.000000	106	9999-12-31	2013-05-08	2932
31/2-14	REPORTED BY LICENSEE	106_02_31_2_14_Well_summary_by_Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_02_31_2_14_Well_summary_by_Shell.pdf	pdf	531.000000	106	9999-12-31	2013-05-08	2933
31/2-14	REPORTED BY LICENSEE	106_03_31_2_14_Frigg_field_res.simulation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_03_31_2_14_Frigg_field_res.simulation.pdf	pdf	2692.000000	106	9999-12-31	2013-05-08	2934
31/2-14	REPORTED BY LICENSEE	106_03_31_2_14_Palynological_results_by_Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_03_31_2_14_Palynological_results_by_Shell.pdf	pdf	2001.000000	106	9999-12-31	2013-05-08	2935
31/2-14	REPORTED BY LICENSEE	106_03_31_2_14_Petrofysisk_hurtig-evaluering_by_Statoil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_03_31_2_14_Petrofysisk_hurtig-evaluering_by_Statoil.pdf	pdf	1016.000000	106	9999-12-31	2013-05-08	2936
31/2-14	REPORTED BY LICENSEE	106_03_31_2_14_Petrofysisk_hurtig-evaluering_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_03_31_2_14_Petrofysisk_hurtig-evaluering_encl_1.pdf	pdf	912.000000	106	9999-12-31	2013-05-08	2937
31/2-14	REPORTED BY LICENSEE	106_04_31_2_14_Core_description_core_1-7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_04_31_2_14_Core_description_core_1-7.pdf	pdf	2692.000000	106	9999-12-31	2013-05-08	2938
31/2-14	REPORTED BY LICENSEE	106_04_31_2_14_Grain_size_distr.analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_04_31_2_14_Grain_size_distr.analysis.pdf	pdf	158.000000	106	9999-12-31	2013-05-08	2939
31/2-14	REPORTED BY LICENSEE	106_04_31_2_14_Routine_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_04_31_2_14_Routine_core_analysis.pdf	pdf	1273.000000	106	9999-12-31	2013-05-08	2940
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_High_accuracy_ELS84-49A_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_High_accuracy_ELS84-49A_encl_4.pdf	pdf	45.000000	106	9999-12-31	2013-05-08	2941
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_High_accuracy_pressure_ELS84-49A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_High_accuracy_pressure_ELS84-49A.pdf	pdf	3327.000000	106	9999-12-31	2013-05-08	2942
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_High_accuracy_pressure_ELS84-49A_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_High_accuracy_pressure_ELS84-49A_encl_1.pdf	pdf	619.000000	106	9999-12-31	2013-05-08	2943
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_High_accuracy_pressure_ELS84-49A_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_High_accuracy_pressure_ELS84-49A_encl_2.pdf	pdf	94.000000	106	9999-12-31	2013-05-08	2944
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_High_accuracy_pressure_ELS84-49A_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_High_accuracy_pressure_ELS84-49A_encl_3.pdf	pdf	57.000000	106	9999-12-31	2013-05-08	2945
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_High_accuracy_pressure_ELS84-49B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_High_accuracy_pressure_ELS84-49B.pdf	pdf	3084.000000	106	9999-12-31	2013-05-08	2946
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_High_accuracy_pressure_ELS84-49B_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_High_accuracy_pressure_ELS84-49B_encl_1.pdf	pdf	523.000000	106	9999-12-31	2013-05-08	2947
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_High_accuracy_pressure_ELS84-49B_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_High_accuracy_pressure_ELS84-49B_encl_2.pdf	pdf	102.000000	106	9999-12-31	2013-05-08	2948
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_High_accuracy_pressure_ELS84-49B_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_High_accuracy_pressure_ELS84-49B_encl_3.pdf	pdf	63.000000	106	9999-12-31	2013-05-08	2949
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_High_accuracy_pressure_ELS84-49B_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_High_accuracy_pressure_ELS84-49B_encl_4.pdf	pdf	71.000000	106	9999-12-31	2013-05-08	2950
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_Pressure_survey_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_Pressure_survey_report.pdf	pdf	960.000000	106	9999-12-31	2013-05-08	2951
31/2-14	REPORTED BY LICENSEE	106_05_31_2_14_PVT_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/106_05_31_2_14_PVT_Study.pdf	pdf	1127.000000	106	9999-12-31	2013-05-08	2952
31/2-15	COMPOSITE LOG	439	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/439.pdf	pdf	270.000000	439	9999-12-31	2013-05-08	2953
31/2-15	OLD NPD WDSS	439_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/439_01_WDSS_General_Information.pdf	pdf	223.000000	439	9999-12-31	2013-05-08	2954
31/2-15	OLD NPD WDSS	439_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/439_02_WDSS_completion_log.pdf	pdf	178.000000	439	9999-12-31	2013-05-08	2955
31/2-15	REPORTED BY LICENSEE	439_01_31_2_15_Completion_Report_and_Competion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_01_31_2_15_Completion_Report_and_Competion_log.pdf	pdf	7844.000000	439	9999-12-31	2013-05-08	2956
31/2-15	REPORTED BY LICENSEE	439_02_31_2_15_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_02_31_2_15_Drilling_programme.pdf	pdf	1266.000000	439	9999-12-31	2013-05-08	2957
31/2-15	REPORTED BY LICENSEE	439_02_31_2_15_Drilling_programme_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_02_31_2_15_Drilling_programme_encl_1.pdf	pdf	410.000000	439	9999-12-31	2013-05-08	2958
31/2-15	REPORTED BY LICENSEE	439_02_31_2_15_Well_summary_by_Dresser	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_02_31_2_15_Well_summary_by_Dresser.pdf	pdf	1789.000000	439	9999-12-31	2013-05-08	2959
31/2-15	REPORTED BY LICENSEE	439_03_31_2_15_Petrofysisk_hurtig-evaluering_by_Statoil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_03_31_2_15_Petrofysisk_hurtig-evaluering_by_Statoil.pdf	pdf	949.000000	439	9999-12-31	2013-05-08	2960
31/2-15	REPORTED BY LICENSEE	439_04_31_2_15_Routine_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_04_31_2_15_Routine_core_analysis.pdf	pdf	1944.000000	439	9999-12-31	2013-05-08	2961
31/2-15	REPORTED BY LICENSEE	439_05_31_2_15_Bottom_hole_press_and_temp	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_05_31_2_15_Bottom_hole_press_and_temp.pdf	pdf	3222.000000	439	9999-12-31	2013-05-08	2962
31/2-15	REPORTED BY LICENSEE	439_05_31_2_15_Compl.and_prod.test_nr.2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_05_31_2_15_Compl.and_prod.test_nr.2.pdf	pdf	1316.000000	439	9999-12-31	2013-05-08	2963
31/2-15	REPORTED BY LICENSEE	439_05_31_2_15_Compl._and_prod._test_nr.1_by Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_05_31_2_15_Compl._and_prod._test_nr.1_by Shell.pdf	pdf	1325.000000	439	9999-12-31	2013-05-08	2964
31/2-15	REPORTED BY LICENSEE	439_05_31_2_15_Press._and_temp._frac_test_84222_84186_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_05_31_2_15_Press._and_temp._frac_test_84222_84186_Flopetrol.pdf	pdf	1143.000000	439	9999-12-31	2013-05-08	2965
31/2-15	REPORTED BY LICENSEE	439_05_31_2_15_Press._and_temp._frac_test_84223_84178_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_05_31_2_15_Press._and_temp._frac_test_84223_84178_Flopetrol.pdf	pdf	878.000000	439	9999-12-31	2013-05-08	2966
31/2-15	REPORTED BY LICENSEE	439_05_31_2_15_Press._and_temp._gradient_run_1_84178_84163_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_05_31_2_15_Press._and_temp._gradient_run_1_84178_84163_Flopetrol.pdf	pdf	717.000000	439	9999-12-31	2013-05-08	2967
31/2-15	REPORTED BY LICENSEE	439_05_31_2_15_Press._and_temp._gradient_run_2_834222_84186_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_05_31_2_15_Press._and_temp._gradient_run_2_834222_84186_Flopetrol.pdf	pdf	891.000000	439	9999-12-31	2013-05-08	2968
31/2-15	REPORTED BY LICENSEE	439_05_31_2_15_Press._and_temp._Run_1_84178_84163_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_05_31_2_15_Press._and_temp._Run_1_84178_84163_Flopetrol.pdf	pdf	1183.000000	439	9999-12-31	2013-05-08	2969
31/2-15	REPORTED BY LICENSEE	439_05_31_2_15_Press._and_temp._Run_2_84223_84178_ Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_05_31_2_15_Press._and_temp._Run_2_84223_84178_ Flopetrol.pdf	pdf	591.000000	439	9999-12-31	2013-05-08	2970
31/2-15	REPORTED BY LICENSEE	439_05_31_2_15_Well_test_report_prod.test_1,2_by_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_05_31_2_15_Well_test_report_prod.test_1,2_by_Flopetrol.pdf	pdf	17909.000000	439	9999-12-31	2013-05-08	2971
31/2-15	REPORTED BY LICENSEE	439_06_31_2_15_Processing_SHDT_1444-1671m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_06_31_2_15_Processing_SHDT_1444-1671m.pdf	pdf	2992.000000	439	9999-12-31	2013-05-08	2972
31/2-15	REPORTED BY LICENSEE	439_06_31_2_15_Processing_SHDT_1444-1671m_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_06_31_2_15_Processing_SHDT_1444-1671m_encl_1.pdf	pdf	2190.000000	439	9999-12-31	2013-05-08	2973
31/2-15	REPORTED BY LICENSEE	439_06_31_2_15_Processing_SHDT_1444-1671m_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_06_31_2_15_Processing_SHDT_1444-1671m_encl_2.pdf	pdf	263.000000	439	9999-12-31	2013-05-08	2974
31/2-15	REPORTED BY LICENSEE	439_06_31_2_15_Processing_SHDT_1444-1671m_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/439_06_31_2_15_Processing_SHDT_1444-1671m_encl_3.pdf	pdf	453.000000	439	9999-12-31	2013-05-08	2975
31/2-16 S	OLD NPD WDSS	1453_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1453_01_WDSS_General_Information.pdf	pdf	277.000000	1453	9999-12-31	2013-05-08	2976
31/2-16 S	OLD NPD WDSS	1453_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1453_02_WDSS_completion_log.pdf	pdf	127.000000	1453	9999-12-31	2013-05-08	2977
31/2-17 A	GEOCHEMICAL INFORMATION	1898_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1898_1.pdf	pdf	1261.000000	1898	9999-12-31	2013-05-08	2978
31/2-17 A	OLD NPD WDSS	1898_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1898_01_WDSS_General_Information.pdf	pdf	358.000000	1898	9999-12-31	2013-05-08	2979
31/2-17 A	OLD NPD WDSS	1898_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1898_02_WDSS_completion_log.pdf	pdf	124.000000	1898	9999-12-31	2013-05-08	2980
31/2-17 B	OLD NPD WDSS	1899_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1899_01_WDSS_General_Information.pdf	pdf	295.000000	1899	9999-12-31	2013-05-08	2981
31/2-17 B	OLD NPD WDSS	1899_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1899_02_WDSS_completion_log.pdf	pdf	131.000000	1899	9999-12-31	2013-05-08	2982
31/2-17 S	OLD NPD WDSS	1885_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1885_01_WDSS_General_Information.pdf	pdf	404.000000	1885	9999-12-31	2013-05-08	2983
31/2-17 S	OLD NPD WDSS	1885_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1885_02_WDSS_completion_log.pdf	pdf	144.000000	1885	9999-12-31	2013-05-08	2984
31/2-18	COMPOSITE LOG	1988	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1988.pdf	pdf	220.000000	1988	9999-12-31	2013-05-08	2985
31/2-18	OLD NPD WDSS	1988_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1988_01_WDSS_General_Information.pdf	pdf	446.000000	1988	9999-12-31	2013-05-08	2986
31/2-18	OLD NPD WDSS	1988_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1988_02_WDSS_completion_log.pdf	pdf	130.000000	1988	9999-12-31	2013-05-08	2987
31/2-18 A	COMPOSITE LOG	2038	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2038.pdf	pdf	257.000000	2038	9999-12-31	2013-05-08	2988
31/2-18 A	OLD NPD WDSS	2038_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2038_01_WDSS_General_Information.pdf	pdf	339.000000	2038	9999-12-31	2013-05-08	2989
31/2-18 A	OLD NPD WDSS	2038_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2038_02_WDSS_completion_log.pdf	pdf	131.000000	2038	9999-12-31	2013-05-08	2990
31/2-19 S	COMPOSITE LOG	2798	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2798.pdf	pdf	705.000000	2798	9999-12-31	2013-05-08	2991
31/2-19 S	GEOCHEMICAL INFORMATION	2798_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2798_1.pdf	pdf	1782.000000	2798	9999-12-31	2013-05-08	2992
31/2-19 S	GEOCHEMICAL INFORMATION	2798_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2798_2.pdf	pdf	1723.000000	2798	9999-12-31	2013-05-08	2993
31/2-19 S	GEOCHEMICAL INFORMATION	2798_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2798_3.pdf	pdf	695.000000	2798	9999-12-31	2013-05-08	2994
31/2-2	OLD NPD WDSS	227_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/227_01_WDSS_General_Information.pdf	pdf	155.000000	227	9999-12-31	2013-05-08	2995
31/2-2	OLD NPD WDSS	227_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/227_02_WDSS_completion_log.pdf	pdf	183.000000	227	9999-12-31	2013-05-08	2996
31/2-2	REPORTED BY LICENSEE	227_01_31_2_2_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_01_31_2_2_Completion_Report.pdf	pdf	5699.000000	227	9999-12-31	2013-05-08	2997
31/2-2	REPORTED BY LICENSEE	227_01_31_2_2_Final_well_report_EXLOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_01_31_2_2_Final_well_report_EXLOG.pdf	pdf	8876.000000	227	9999-12-31	2013-05-08	2998
31/2-2	REPORTED BY LICENSEE	227_01_31_2_2_Well_summary_ANCHOR	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_01_31_2_2_Well_summary_ANCHOR.pdf	pdf	2763.000000	227	9999-12-31	2013-05-08	2999
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Completion_log.pdf	pdf	1320.000000	227	9999-12-31	2013-05-08	3000
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Drilling_programme.pdf	pdf	2484.000000	227	9999-12-31	2013-05-08	3001
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Drilling_programme_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Drilling_programme_encl_1.pdf	pdf	510.000000	227	9999-12-31	2013-05-08	3002
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Drilling_programme_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Drilling_programme_encl_2.pdf	pdf	165.000000	227	9999-12-31	2013-05-08	3003
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Drilling_programme_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Drilling_programme_encl_3.pdf	pdf	269.000000	227	9999-12-31	2013-05-08	3004
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Drilling_programme_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Drilling_programme_encl_4.pdf	pdf	767.000000	227	9999-12-31	2013-05-08	3005
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Exploration_well_proposal	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Exploration_well_proposal.pdf	pdf	747.000000	227	9999-12-31	2013-05-08	3006
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Exploration_well_proposal_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Exploration_well_proposal_encl_1.pdf	pdf	6210.000000	227	9999-12-31	2013-05-08	3007
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Exploration_well_proposal_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Exploration_well_proposal_encl_2.pdf	pdf	19850.000000	227	9999-12-31	2013-05-08	3008
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Exploration_well_proposal_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Exploration_well_proposal_encl_3.pdf	pdf	14802.000000	227	9999-12-31	2013-05-08	3009
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Exploration_well_proposal_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Exploration_well_proposal_encl_4.pdf	pdf	12527.000000	227	9999-12-31	2013-05-08	3010
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Exploration_well_proposal_encl_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Exploration_well_proposal_encl_5.pdf	pdf	158.000000	227	9999-12-31	2013-05-08	3011
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Exploration_well_proposal_encl_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Exploration_well_proposal_encl_6.pdf	pdf	12757.000000	227	9999-12-31	2013-05-08	3012
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Exploration_well_proposal_encl_7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Exploration_well_proposal_encl_7.pdf	pdf	12643.000000	227	9999-12-31	2013-05-08	3013
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Exploration_well_proposal_encl_8	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Exploration_well_proposal_encl_8.pdf	pdf	11256.000000	227	9999-12-31	2013-05-08	3014
31/2-2	REPORTED BY LICENSEE	227_02_31_2_2_Exploration_well_proposal_encl_9	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_02_31_2_2_Exploration_well_proposal_encl_9.pdf	pdf	6197.000000	227	9999-12-31	2013-05-08	3015
31/2-2	REPORTED BY LICENSEE	227_03_31_2_2_Geochemical_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_03_31_2_2_Geochemical_analysis.pdf	pdf	836.000000	227	9999-12-31	2013-05-08	3016
31/2-2	REPORTED BY LICENSEE	227_03_31_2_2_Geochemistry_evaluation_of_source_rock	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_03_31_2_2_Geochemistry_evaluation_of_source_rock.pdf	pdf	567.000000	227	9999-12-31	2013-05-08	3017
31/2-2	REPORTED BY LICENSEE	227_03_31_2_2_Geochemistry_evaluation_of_source_rock_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_03_31_2_2_Geochemistry_evaluation_of_source_rock_encl_1.pdf	pdf	71.000000	227	9999-12-31	2013-05-08	3018
31/2-2	REPORTED BY LICENSEE	227_04_31_2_2_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_04_31_2_2_Biostratigraphy.pdf	pdf	8083.000000	227	9999-12-31	2013-05-08	3019
31/2-2	REPORTED BY LICENSEE	227_04_31_2_2_Biostratigraphy_appendix_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_04_31_2_2_Biostratigraphy_appendix_3.pdf	pdf	3785.000000	227	9999-12-31	2013-05-08	3020
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Core_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Core_description.pdf	pdf	5022.000000	227	9999-12-31	2013-05-08	3021
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Core_report_core_1-13_Final_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Core_report_core_1-13_Final_report.pdf	pdf	3955.000000	227	9999-12-31	2013-05-08	3022
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Evaluation_of_core_data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Evaluation_of_core_data.pdf	pdf	8359.000000	227	9999-12-31	2013-05-08	3023
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Geological_investigations_of_cores_vol_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Geological_investigations_of_cores_vol_1.pdf	pdf	28430.000000	227	9999-12-31	2013-05-08	3024
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Geological_investigations_of_cores_vol_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Geological_investigations_of_cores_vol_2.pdf	pdf	24382.000000	227	9999-12-31	2013-05-08	3025
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Geological_investigations_of_cores_vol_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Geological_investigations_of_cores_vol_3.pdf	pdf	478.000000	227	9999-12-31	2013-05-08	3026
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Sidewall_sample_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Sidewall_sample_description.pdf	pdf	701.000000	227	9999-12-31	2013-05-08	3027
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Sieve_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Sieve_analysis.pdf	pdf	3898.000000	227	9999-12-31	2013-05-08	3028
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Source_rock_analysis_by_IKU	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Source_rock_analysis_by_IKU.pdf	pdf	1518.000000	227	9999-12-31	2013-05-08	3029
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Source_rock_analysis_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Source_rock_analysis_encl_1.pdf	pdf	58.000000	227	9999-12-31	2013-05-08	3030
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Source_rock_analysis_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Source_rock_analysis_encl_2.pdf	pdf	30.000000	227	9999-12-31	2013-05-08	3031
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Source_rock_analysis_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Source_rock_analysis_encl_3.pdf	pdf	24.000000	227	9999-12-31	2013-05-08	3032
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Source_rock_analysis_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Source_rock_analysis_encl_4.pdf	pdf	25.000000	227	9999-12-31	2013-05-08	3033
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Source_rock_analysis_encl_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Source_rock_analysis_encl_5.pdf	pdf	18.000000	227	9999-12-31	2013-05-08	3034
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Source_rock_analysis_encl_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Source_rock_analysis_encl_6.pdf	pdf	43.000000	227	9999-12-31	2013-05-08	3035
31/2-2	REPORTED BY LICENSEE	227_05_31_2_2_Special_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_05_31_2_2_Special_core_analysis.pdf	pdf	2580.000000	227	9999-12-31	2013-05-08	3036
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Crude_oil_source_rock_correlation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Crude_oil_source_rock_correlation.pdf	pdf	1219.000000	227	9999-12-31	2013-05-08	3037
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_completion_test_1_by_SPERR	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_completion_test_1_by_SPERR.pdf	pdf	791.000000	227	9999-12-31	2013-05-08	3038
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_completion_test_3_by_SPERR	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_completion_test_3_by_SPERR.pdf	pdf	2779.000000	227	9999-12-31	2013-05-08	3039
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_test_1_run_1_by_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_test_1_run_1_by_SPERRY.pdf	pdf	93.000000	227	9999-12-31	2013-05-08	3040
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_test_1_run_1_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_test_1_run_1_SPERRY.pdf	pdf	889.000000	227	9999-12-31	2013-05-08	3041
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_test_2_run_1_by_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_test_2_run_1_by_SPERRY.pdf	pdf	1992.000000	227	9999-12-31	2013-05-08	3042
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_test_3_run_1_by_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_test_3_run_1_by_SPERRY.pdf	pdf	550.000000	227	9999-12-31	2013-05-08	3043
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_test_3_run_2_by_SERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_test_3_run_2_by_SERRY.pdf	pdf	1373.000000	227	9999-12-31	2013-05-08	3044
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_test_4_by_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_test_4_by_SPERRY.pdf	pdf	855.000000	227	9999-12-31	2013-05-08	3045
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_test_4_run_2_by_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_test_4_run_2_by_SPERRY.pdf	pdf	1749.000000	227	9999-12-31	2013-05-08	3046
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_test_4_run_3_by_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_test_4_run_3_by_SPERRY.pdf	pdf	1832.000000	227	9999-12-31	2013-05-08	3047
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_test_4_run_4_by_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_test_4_run_4_by_SPERRY.pdf	pdf	126.000000	227	9999-12-31	2013-05-08	3048
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Pressure_survey_report_test_4_run_5_by_SPERRY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Pressure_survey_report_test_4_run_5_by_SPERRY.pdf	pdf	1483.000000	227	9999-12-31	2013-05-08	3049
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Production_test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Production_test.pdf	pdf	304.000000	227	9999-12-31	2013-05-08	3050
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Production_test_b	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Production_test_b.pdf	pdf	284.000000	227	9999-12-31	2013-05-08	3051
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Production_test_nr1_part1_by_OTIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Production_test_nr1_part1_by_OTIS.pdf	pdf	7438.000000	227	9999-12-31	2013-05-08	3052
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Production_test_nr1_part2_by_OTIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Production_test_nr1_part2_by_OTIS.pdf	pdf	10026.000000	227	9999-12-31	2013-05-08	3053
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Production_test_nr1_part3_by_OTIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Production_test_nr1_part3_by_OTIS.pdf	pdf	6679.000000	227	9999-12-31	2013-05-08	3054
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Production_test_nr2_by_OTIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Production_test_nr2_by_OTIS.pdf	pdf	11615.000000	227	9999-12-31	2013-05-08	3055
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Production_test_nr3_by_OTIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Production_test_nr3_by_OTIS.pdf	pdf	8950.000000	227	9999-12-31	2013-05-08	3056
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Production_test_nr4_by_OTIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Production_test_nr4_by_OTIS.pdf	pdf	8215.000000	227	9999-12-31	2013-05-08	3057
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Production_test_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Production_test_programme.pdf	pdf	2418.000000	227	9999-12-31	2013-05-08	3058
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Produksjonstest_nr_2_av_oljezone_by_OTIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Produksjonstest_nr_2_av_oljezone_by_OTIS.pdf	pdf	3019.000000	227	9999-12-31	2013-05-08	3059
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Produksjon_av_oljezonen	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Produksjon_av_oljezonen.pdf	pdf	770.000000	227	9999-12-31	2013-05-08	3060
31/2-2	REPORTED BY LICENSEE	227_06_31_2_2_Well_test_interpretation_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_06_31_2_2_Well_test_interpretation_report.pdf	pdf	9038.000000	227	9999-12-31	2013-05-08	3061
31/2-2	REPORTED BY LICENSEE	227_07_31_2_2_Reservoir_engineering	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_07_31_2_2_Reservoir_engineering.pdf	pdf	1793.000000	227	9999-12-31	2013-05-08	3062
31/2-2	REPORTED BY LICENSEE	227_07_31_2_2_Reservoir_engineering_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_07_31_2_2_Reservoir_engineering_encl_1.pdf	pdf	1332.000000	227	9999-12-31	2013-05-08	3063
31/2-2	REPORTED BY LICENSEE	227_07_31_2_2_Reservoir_engineering_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_07_31_2_2_Reservoir_engineering_encl_2.pdf	pdf	1072.000000	227	9999-12-31	2013-05-08	3064
31/2-2	REPORTED BY LICENSEE	227_07_31_2_2_Reservoir_fluid_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_07_31_2_2_Reservoir_fluid_study.pdf	pdf	318.000000	227	9999-12-31	2013-05-08	3065
31/2-2	REPORTED BY LICENSEE	227_07_31_2_2_Reservoir_fluid_study_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_07_31_2_2_Reservoir_fluid_study_analysis.pdf	pdf	302.000000	227	9999-12-31	2013-05-08	3066
31/2-2	REPORTED BY LICENSEE	227_07_31_2_2_Reservoir_fluid_study_RFLA_80078A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_07_31_2_2_Reservoir_fluid_study_RFLA_80078A.pdf	pdf	696.000000	227	9999-12-31	2013-05-08	3067
31/2-2	REPORTED BY LICENSEE	227_07_31_2_2_True_boiling_point_distillation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/227_07_31_2_2_True_boiling_point_distillation.pdf	pdf	193.000000	227	9999-12-31	2013-05-08	3068
31/2-2 R	COMPOSITE LOG	504	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/504.pdf	pdf	423.000000	504	9999-12-31	2013-05-08	3069
31/2-2 R	GEOCHEMICAL INFORMATION	504_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/504_1.pdf	pdf	578.000000	504	9999-12-31	2013-05-08	3070
31/2-2 R	GEOCHEMICAL INFORMATION	504_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/504_2.pdf	pdf	1968.000000	504	9999-12-31	2013-05-08	3071
31/2-2 R	GEOCHEMICAL INFORMATION	504_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/504_3.pdf	pdf	913.000000	504	9999-12-31	2013-05-08	3072
31/2-2 R	OLD NPD WDSS	504_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/504_01_WDSS_General_Information.pdf	pdf	155.000000	504	9999-12-31	2013-05-08	3074
31/2-3	COMPOSITE LOG	236	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/236.pdf	pdf	452.000000	236	9999-12-31	2013-05-08	3075
31/2-3	GEOCHEMICAL INFORMATION	236_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/236_1.pdf	pdf	1291.000000	236	9999-12-31	2013-05-08	3076
31/2-3	GEOCHEMICAL INFORMATION	236_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/236_2.pdf	pdf	506.000000	236	9999-12-31	2013-05-08	3077
31/2-3	OLD NPD WDSS	236_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/236_01_WDSS_General_Information.pdf	pdf	150.000000	236	9999-12-31	2013-05-08	3078
31/2-3	OLD NPD WDSS	236_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/236_02_WDSS_completion_log.pdf	pdf	181.000000	236	9999-12-31	2013-05-08	3079
31/2-3	REPORTED BY LICENSEE	236_01_31_2_3_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_01_31_2_3_Completion_Report.pdf	pdf	35055.000000	236	9999-12-31	2013-05-08	3080
31/2-3	REPORTED BY LICENSEE	236_02_31_2_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_02_31_2_3_Completion_log.pdf	pdf	1287.000000	236	9999-12-31	2013-05-08	3081
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Biostratigraphy_appendix	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Biostratigraphy_appendix.pdf	pdf	2427.000000	236	9999-12-31	2013-05-08	3082
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Bottom_hole_press.calc	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Bottom_hole_press.calc.pdf	pdf	435.000000	236	9999-12-31	2013-05-08	3083
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Core_description_core_1-21	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Core_description_core_1-21.pdf	pdf	10794.000000	236	9999-12-31	2013-05-08	3084
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Core_report_core_1-22_final_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Core_report_core_1-22_final_report.pdf	pdf	10101.000000	236	9999-12-31	2013-05-08	3085
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Facies_inndeling_basert_på_logg	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Facies_inndeling_basert_på_logg.pdf	pdf	1305.000000	236	9999-12-31	2013-05-08	3086
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Form.testing_services_report_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Form.testing_services_report_DST1.pdf	pdf	356.000000	236	9999-12-31	2013-05-08	3087
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Formation_survey_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Formation_survey_analysis.pdf	pdf	57.000000	236	9999-12-31	2013-05-08	3088
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Geochem_eval_of_source_rock	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Geochem_eval_of_source_rock.pdf	pdf	443.000000	236	9999-12-31	2013-05-08	3089
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Geochem_eval_of_source_rock_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Geochem_eval_of_source_rock_encl_1.pdf	pdf	115.000000	236	9999-12-31	2013-05-08	3090
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Geological_investigation_cores_vol _3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Geological_investigation_cores_vol _3.pdf	pdf	139858.000000	236	9999-12-31	2013-05-08	3091
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Geological_investigation_cores_vol_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Geological_investigation_cores_vol_1.pdf	pdf	17606.000000	236	9999-12-31	2013-05-08	3092
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Geological_Investigation_cores_vol_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Geological_Investigation_cores_vol_2.pdf	pdf	20732.000000	236	9999-12-31	2013-05-08	3093
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Palynofacies_invest_on_the_Juras	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Palynofacies_invest_on_the_Juras.pdf	pdf	6046.000000	236	9999-12-31	2013-05-08	3094
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Press.surv.rep_test1_run3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Press.surv.rep_test1_run3.pdf	pdf	1253.000000	236	9999-12-31	2013-05-08	3095
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Press.surv.rep_test2_run1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Press.surv.rep_test2_run1.pdf	pdf	769.000000	236	9999-12-31	2013-05-08	3096
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Press.surv.rep_test2_run2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Press.surv.rep_test2_run2.pdf	pdf	1506.000000	236	9999-12-31	2013-05-08	3097
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Press.surv.rep_test3_run1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Press.surv.rep_test3_run1.pdf	pdf	1215.000000	236	9999-12-31	2013-05-08	3098
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Press.surv.rep_test3_run2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Press.surv.rep_test3_run2.pdf	pdf	1656.000000	236	9999-12-31	2013-05-08	3099
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Press.surv.rep_test3_run3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Press.surv.rep_test3_run3.pdf	pdf	1434.000000	236	9999-12-31	2013-05-08	3100
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Press.surv.test1_run1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Press.surv.test1_run1.pdf	pdf	598.000000	236	9999-12-31	2013-05-08	3101
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Press.surv.test_clean_sand	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Press.surv.test_clean_sand.pdf	pdf	843.000000	236	9999-12-31	2013-05-08	3102
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Prod.test sampling	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Prod.test sampling.pdf	pdf	538.000000	236	9999-12-31	2013-05-08	3103
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Production_test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Production_test.pdf	pdf	1969.000000	236	9999-12-31	2013-05-08	3104
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Production_test_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Production_test_programme.pdf	pdf	2685.000000	236	9999-12-31	2013-05-08	3105
31/2-3	REPORTED BY LICENSEE	236_31_2_3_PVT_study_on_b.h.sample	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_PVT_study_on_b.h.sample.pdf	pdf	498.000000	236	9999-12-31	2013-05-08	3106
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Rapport_fra_prod.test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Rapport_fra_prod.test.pdf	pdf	1116.000000	236	9999-12-31	2013-05-08	3107
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Res.fliud_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Res.fliud_study.pdf	pdf	317.000000	236	9999-12-31	2013-05-08	3108
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Res.fliud_study_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Res.fliud_study_2.pdf	pdf	714.000000	236	9999-12-31	2013-05-08	3109
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Res.fluid_analysis_80167	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Res.fluid_analysis_80167.pdf	pdf	352.000000	236	9999-12-31	2013-05-08	3110
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Res.fluid_analysis_80167B	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Res.fluid_analysis_80167B.pdf	pdf	336.000000	236	9999-12-31	2013-05-08	3111
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Res.fluid_analysis_80168	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Res.fluid_analysis_80168.pdf	pdf	333.000000	236	9999-12-31	2013-05-08	3112
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Res.fluid_analysis_80169	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Res.fluid_analysis_80169.pdf	pdf	341.000000	236	9999-12-31	2013-05-08	3113
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Res.fluid_analysis_81.12	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Res.fluid_analysis_81.12.pdf	pdf	557.000000	236	9999-12-31	2013-05-08	3114
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Res.fluid_analysis_91.13	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Res.fluid_analysis_91.13.pdf	pdf	276.000000	236	9999-12-31	2013-05-08	3115
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Res.fluid_study_80090	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Res.fluid_study_80090.pdf	pdf	204.000000	236	9999-12-31	2013-05-08	3116
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Res.fluid_study_80091	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Res.fluid_study_80091.pdf	pdf	227.000000	236	9999-12-31	2013-05-08	3117
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Res.fluid_study_by_Sintef	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Res.fluid_study_by_Sintef.pdf	pdf	384.000000	236	9999-12-31	2013-05-08	3118
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Rock_mineral_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Rock_mineral_analysis.pdf	pdf	143.000000	236	9999-12-31	2013-05-08	3119
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Sidewall_sample_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Sidewall_sample_description.pdf	pdf	688.000000	236	9999-12-31	2013-05-08	3120
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Sieve_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Sieve_analysis.pdf	pdf	2601.000000	236	9999-12-31	2013-05-08	3121
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Test_information_micace	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Test_information_micace.pdf	pdf	754.000000	236	9999-12-31	2013-05-08	3122
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Well_summary_by_Anchor	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Well_summary_by_Anchor.pdf	pdf	2055.000000	236	9999-12-31	2013-05-08	3123
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Well_testing_data_sheet	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Well_testing_data_sheet.pdf	pdf	2293.000000	236	9999-12-31	2013-05-08	3124
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Well_test_interpretation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Well_test_interpretation.pdf	pdf	11200.000000	236	9999-12-31	2013-05-08	3125
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Well_test_report_DST1_DST2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Well_test_report_DST1_DST2.pdf	pdf	6066.000000	236	9999-12-31	2013-05-08	3126
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Well_test_report_gas_no1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Well_test_report_gas_no1.pdf	pdf	5323.000000	236	9999-12-31	2013-05-08	3127
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Well_test_report_gas_no1_micaceous	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Well_test_report_gas_no1_micaceous.pdf	pdf	9805.000000	236	9999-12-31	2013-05-08	3128
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Well_test_report_gas_no2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Well_test_report_gas_no2.pdf	pdf	3625.000000	236	9999-12-31	2013-05-08	3129
31/2-3	REPORTED BY LICENSEE	236_31_2_3_Well_test_report_gas_no2_annexes	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/236_31_2_3_Well_test_report_gas_no2_annexes.pdf	pdf	6095.000000	236	9999-12-31	2013-05-08	3130
31/2-4	GEOCHEMICAL INFORMATION	208_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/208_1.pdf	pdf	415.000000	208	9999-12-31	2013-05-08	3131
31/2-4	GEOCHEMICAL INFORMATION	208_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/208_2.pdf	pdf	1244.000000	208	9999-12-31	2013-05-08	3132
31/2-4	GEOCHEMICAL INFORMATION	208_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/208_3.pdf	pdf	1248.000000	208	9999-12-31	2013-05-08	3133
31/2-4	OLD NPD WDSS	208_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/208_01_WDSS_General_Information.pdf	pdf	106.000000	208	9999-12-31	2013-05-08	3134
31/2-4	OLD NPD WDSS	208_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/208_02_WDSS_completion_log.pdf	pdf	78.000000	208	9999-12-31	2013-05-08	3135
31/2-4	REPORTED BY LICENSEE	208_01_31_2_4_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_01_31_2_4_Completion_Report.pdf	pdf	28562.000000	208	9999-12-31	2013-05-08	3136
31/2-4	REPORTED BY LICENSEE	208_02_31_2_4_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_02_31_2_4_Completion_log.pdf	pdf	2472.000000	208	9999-12-31	2013-05-08	3137
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Biostratigraphy.pdf	pdf	10670.000000	208	9999-12-31	2013-05-08	3138
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Compaction_study_82.242	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Compaction_study_82.242.pdf	pdf	1750.000000	208	9999-12-31	2013-05-08	3139
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Core_Report_Core_5-28_Final_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Core_Report_Core_5-28_Final_report.pdf	pdf	4066.000000	208	9999-12-31	2013-05-08	3140
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Exploration_well_proposal	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Exploration_well_proposal.pdf	pdf	1393.000000	208	9999-12-31	2013-05-08	3141
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Exploration_well_proposal_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Exploration_well_proposal_encl_01.pdf	pdf	605.000000	208	9999-12-31	2013-05-08	3142
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Exploration_well_proposal_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Exploration_well_proposal_encl_02.pdf	pdf	575.000000	208	9999-12-31	2013-05-08	3143
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Exploration_well_proposal_encl_03	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Exploration_well_proposal_encl_03.pdf	pdf	687.000000	208	9999-12-31	2013-05-08	3144
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Exploration_well_proposal_encl_04	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Exploration_well_proposal_encl_04.pdf	pdf	1631.000000	208	9999-12-31	2013-05-08	3145
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Exploration_well_proposal_encl_05	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Exploration_well_proposal_encl_05.pdf	pdf	1613.000000	208	9999-12-31	2013-05-08	3146
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Exploration_well_proposal_encl_06	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Exploration_well_proposal_encl_06.pdf	pdf	1645.000000	208	9999-12-31	2013-05-08	3147
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Exploration_well_proposal_encl_07	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Exploration_well_proposal_encl_07.pdf	pdf	1814.000000	208	9999-12-31	2013-05-08	3148
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Exploration_well_proposal_encl_08	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Exploration_well_proposal_encl_08.pdf	pdf	2234.000000	208	9999-12-31	2013-05-08	3149
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Exploration_well_proposal_encl_09	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Exploration_well_proposal_encl_09.pdf	pdf	504.000000	208	9999-12-31	2013-05-08	3150
31/6-6	COMPOSITE LOG	127	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/127.pdf	pdf	364.000000	127	9999-12-31	2013-05-08	3680
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geochemistry_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geochemistry_analysis.pdf	pdf	3074.000000	208	9999-12-31	2013-05-08	3151
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geochem_Source_rock_properties	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geochem_Source_rock_properties.pdf	pdf	2676.000000	208	9999-12-31	2013-05-08	3152
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol1.pdf	pdf	8311.000000	208	9999-12-31	2013-05-08	3153
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol2.pdf	pdf	5071.000000	208	9999-12-31	2013-05-08	3154
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol2_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol2_encl_01.pdf	pdf	1089.000000	208	9999-12-31	2013-05-08	3155
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol2_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol2_encl_02.pdf	pdf	967.000000	208	9999-12-31	2013-05-08	3156
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol2_encl_03	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol2_encl_03.pdf	pdf	869.000000	208	9999-12-31	2013-05-08	3157
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol2_encl_04	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol2_encl_04.pdf	pdf	65.000000	208	9999-12-31	2013-05-08	3158
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol2_encl_05	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol2_encl_05.pdf	pdf	339.000000	208	9999-12-31	2013-05-08	3159
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol2_encl_06	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol2_encl_06.pdf	pdf	347.000000	208	9999-12-31	2013-05-08	3160
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol2_encl_07	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol2_encl_07.pdf	pdf	348.000000	208	9999-12-31	2013-05-08	3161
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol2_encl_08	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol2_encl_08.pdf	pdf	133.000000	208	9999-12-31	2013-05-08	3162
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol2_encl_09	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol2_encl_09.pdf	pdf	140.000000	208	9999-12-31	2013-05-08	3163
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol2_encl_10	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol2_encl_10.pdf	pdf	528.000000	208	9999-12-31	2013-05-08	3164
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Geolog.invest.of.cores_vol3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Geolog.invest.of.cores_vol3.pdf	pdf	26754.000000	208	9999-12-31	2013-05-08	3165
31/2-4	REPORTED BY LICENSEE	208_31_2_4_List_of_results_from_well	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_List_of_results_from_well.pdf	pdf	1382.000000	208	9999-12-31	2013-05-08	3166
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Palynofacies_investigation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Palynofacies_investigation.pdf	pdf	7825.000000	208	9999-12-31	2013-05-08	3167
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Petr.investigation_of_cores	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Petr.investigation_of_cores.pdf	pdf	1410.000000	208	9999-12-31	2013-05-08	3168
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Quick_look_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Quick_look_evaluation.pdf	pdf	811.000000	208	9999-12-31	2013-05-08	3169
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Quick_look_evaluation_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Quick_look_evaluation_encl_01.pdf	pdf	395.000000	208	9999-12-31	2013-05-08	3170
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Quick_look_evaluation_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Quick_look_evaluation_encl_02.pdf	pdf	383.000000	208	9999-12-31	2013-05-08	3171
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Rel.perm.measurements	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Rel.perm.measurements.pdf	pdf	1121.000000	208	9999-12-31	2013-05-08	3172
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Repeat_form_test_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Repeat_form_test_report.pdf	pdf	566.000000	208	9999-12-31	2013-05-08	3173
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Saturation_exponent_water-toluene	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Saturation_exponent_water-toluene.pdf	pdf	580.000000	208	9999-12-31	2013-05-08	3174
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Special_core_and_sieve_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Special_core_and_sieve_analysis.pdf	pdf	7258.000000	208	9999-12-31	2013-05-08	3175
31/2-4	REPORTED BY LICENSEE	208_31_2_4_TDC_Final_report_by_Anchor	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_TDC_Final_report_by_Anchor.pdf	pdf	2766.000000	208	9999-12-31	2013-05-08	3176
31/2-4	REPORTED BY LICENSEE	208_31_2_4_Well_summary_by_Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/208_31_2_4_Well_summary_by_Shell.pdf	pdf	4740.000000	208	9999-12-31	2013-05-08	3177
31/2-4 R	COMPOSITE LOG	502	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/502.pdf	pdf	1040.000000	502	9999-12-31	2013-05-08	3178
31/2-4 R	OLD NPD WDSS	502_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/502_01_WDSS_General_Information.pdf	pdf	91.000000	502	9999-12-31	2013-05-08	3179
31/2-4 R2	OLD NPD WDSS	503_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/503_02_WDSS_completion_log.pdf	pdf	313.000000	503	9999-12-31	2013-05-08	3180
31/2-5	COMPOSITE LOG	210	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/210.pdf	pdf	318.000000	210	9999-12-31	2013-05-08	3181
31/2-5	OLD NPD WDSS	210_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/210_01_WDSS_General_Information.pdf	pdf	145.000000	210	9999-12-31	2013-05-08	3182
31/2-5	OLD NPD WDSS	210_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/210_02_WDSS_completion_log.pdf	pdf	179.000000	210	9999-12-31	2013-05-08	3183
31/2-5	REPORTED BY LICENSEE	210_01_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_01_Drilling_programme.pdf	pdf	1183.000000	210	9999-12-31	2013-05-08	3184
31/2-5	REPORTED BY LICENSEE	210_02_Drilling_programme_enclosure	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_02_Drilling_programme_enclosure.pdf	pdf	1014.000000	210	9999-12-31	2013-05-08	3185
31/2-5	REPORTED BY LICENSEE	210_03_Final_Well_Report_by_EXLOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_03_Final_Well_Report_by_EXLOG.pdf	pdf	7302.000000	210	9999-12-31	2013-05-08	3186
31/2-5	REPORTED BY LICENSEE	210_04_Well_resume_by_Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_04_Well_resume_by_Shell.pdf	pdf	1360.000000	210	9999-12-31	2013-05-08	3187
31/2-5	REPORTED BY LICENSEE	210_05_Well Summary_by_Anchor	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_05_Well Summary_by_Anchor.pdf	pdf	1580.000000	210	9999-12-31	2013-05-08	3188
31/2-5	REPORTED BY LICENSEE	210_06_Biostratigraphy_appendix_3_by_Corelab	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_06_Biostratigraphy_appendix_3_by_Corelab.pdf	pdf	4059.000000	210	9999-12-31	2013-05-08	3189
31/2-5	REPORTED BY LICENSEE	210_07_Final_Core_report_core_1-21_by_GECO	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_07_Final_Core_report_core_1-21_by_GECO.pdf	pdf	2897.000000	210	9999-12-31	2013-05-08	3190
31/2-5	REPORTED BY LICENSEE	210_08_Evaluation_of_core_data_by_Geco	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_08_Evaluation_of_core_data_by_Geco.pdf	pdf	9856.000000	210	9999-12-31	2013-05-08	3191
31/2-5	REPORTED BY LICENSEE	210_09_Evaluation_of_core_data_b_GECO	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_09_Evaluation_of_core_data_b_GECO.pdf	pdf	5690.000000	210	9999-12-31	2013-05-08	3192
31/2-5	REPORTED BY LICENSEE	210_0_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_0_Completion_Report.pdf	pdf	4283.000000	210	9999-12-31	2013-05-08	3193
31/2-5	REPORTED BY LICENSEE	210_10_Geological_invest_of_cores_vol-1_by_SHELL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_10_Geological_invest_of_cores_vol-1_by_SHELL.pdf	pdf	17200.000000	210	9999-12-31	2013-05-08	3194
31/2-5	REPORTED BY LICENSEE	210_11_Geological_invest_of_cores_vol-2_by_SHELL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_11_Geological_invest_of_cores_vol-2_by_SHELL.pdf	pdf	13112.000000	210	9999-12-31	2013-05-08	3195
31/2-5	REPORTED BY LICENSEE	210_12_Geological_invest_of_cores_vol-3_by SHELL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_12_Geological_invest_of_cores_vol-3_by SHELL.pdf	pdf	75606.000000	210	9999-12-31	2013-05-08	3196
31/2-5	REPORTED BY LICENSEE	210_13_Palynofacies_Jurassic_investigation_by SHELL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_13_Palynofacies_Jurassic_investigation_by SHELL.pdf	pdf	7237.000000	210	9999-12-31	2013-05-08	3197
31/2-5	REPORTED BY LICENSEE	210_14_Special_ core_analysis_study_by_CORELAB	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_14_Special_ core_analysis_study_by_CORELAB.pdf	pdf	2172.000000	210	9999-12-31	2013-05-08	3198
31/2-5	REPORTED BY LICENSEE	210_15_Special_core_analysis_by_CORELAB	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_15_Special_core_analysis_by_CORELAB.pdf	pdf	1848.000000	210	9999-12-31	2013-05-08	3199
31/2-5	REPORTED BY LICENSEE	210_16_Special_core_description_by_SHELL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_16_Special_core_description_by_SHELL.pdf	pdf	2093.000000	210	9999-12-31	2013-05-08	3200
31/2-5	REPORTED BY LICENSEE	210_17_Special_core_description_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_17_Special_core_description_encl_1.pdf	pdf	145.000000	210	9999-12-31	2013-05-08	3201
31/2-5	REPORTED BY LICENSEE	210_18_Special_core_description_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_18_Special_core_description_encl_2.pdf	pdf	151.000000	210	9999-12-31	2013-05-08	3202
31/2-5	REPORTED BY LICENSEE	210_19_Special_core_description_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_19_Special_core_description_encl_3.pdf	pdf	143.000000	210	9999-12-31	2013-05-08	3203
31/2-5	REPORTED BY LICENSEE	210_20_Special_core_description_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_20_Special_core_description_encl_4.pdf	pdf	155.000000	210	9999-12-31	2013-05-08	3204
31/2-5	REPORTED BY LICENSEE	210_21_Special_core_description_encl_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_21_Special_core_description_encl_5.pdf	pdf	154.000000	210	9999-12-31	2013-05-08	3205
31/2-5	REPORTED BY LICENSEE	210_22_Special_core_description_encl_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_22_Special_core_description_encl_6.pdf	pdf	123.000000	210	9999-12-31	2013-05-08	3206
31/2-5	REPORTED BY LICENSEE	210_23_Special_core_description_encl_7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_23_Special_core_description_encl_7.pdf	pdf	145.000000	210	9999-12-31	2013-05-08	3207
31/2-5	REPORTED BY LICENSEE	210_24_Reservoir_fluid_study_Supplementary_Report_by_CORELAB	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_24_Reservoir_fluid_study_Supplementary_Report_by_CORELAB.pdf	pdf	277.000000	210	9999-12-31	2013-05-08	3208
31/2-5	REPORTED BY LICENSEE	210_25_Well_test_report_by_STATOIL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_25_Well_test_report_by_STATOIL.pdf	pdf	1397.000000	210	9999-12-31	2013-05-08	3209
31/2-5	REPORTED BY LICENSEE	210_26_Well_testing_rep_No_84-2301-10_by_FLOPETROL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_26_Well_testing_rep_No_84-2301-10_by_FLOPETROL.pdf	pdf	17016.000000	210	9999-12-31	2013-05-08	3210
31/2-5	REPORTED BY LICENSEE	210_27_Well_testing_rep_No_81-230-23_by_FLOPETROL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_27_Well_testing_rep_No_81-230-23_by_FLOPETROL.pdf	pdf	8215.000000	210	9999-12-31	2013-05-08	3211
31/2-5	REPORTED BY LICENSEE	210_28_Well_testing_rep_No_81-2301-23_by_FLOPETROL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_28_Well_testing_rep_No_81-2301-23_by_FLOPETROL.pdf	pdf	18401.000000	210	9999-12-31	2013-05-08	3212
31/2-5	REPORTED BY LICENSEE	210_29_Bottom_ hole_pressure_calc_by_FLOPETROL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_29_Bottom_ hole_pressure_calc_by_FLOPETROL.pdf	pdf	1779.000000	210	9999-12-31	2013-05-08	3213
31/2-5	REPORTED BY LICENSEE	210_30_Final_report_Rock_Mineral_Analysis_GECO	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_30_Final_report_Rock_Mineral_Analysis_GECO.pdf	pdf	162.000000	210	9999-12-31	2013-05-08	3214
31/2-5	REPORTED BY LICENSEE	210_31_High_acc_pres_temp_measure_by_FLOPETROL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_31_High_acc_pres_temp_measure_by_FLOPETROL.pdf	pdf	1102.000000	210	9999-12-31	2013-05-08	3215
31/2-5	REPORTED BY LICENSEE	210_32_Notes_on_oil_zone_test_by_SHELL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_32_Notes_on_oil_zone_test_by_SHELL.pdf	pdf	888.000000	210	9999-12-31	2013-05-08	3216
31/2-5	REPORTED BY LICENSEE	210_33_Pressure_survey_report_Run_1_by_Sperry	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_33_Pressure_survey_report_Run_1_by_Sperry.pdf	pdf	2138.000000	210	9999-12-31	2013-05-08	3217
31/2-5	REPORTED BY LICENSEE	210_34_Pressure_survey_report_Run_2_by_Sperry	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_34_Pressure_survey_report_Run_2_by_Sperry.pdf	pdf	912.000000	210	9999-12-31	2013-05-08	3218
31/2-5	REPORTED BY LICENSEE	210_35_Pressure_survey_report_by_Sperry	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_35_Pressure_survey_report_by_Sperry.pdf	pdf	1088.000000	210	9999-12-31	2013-05-08	3219
31/2-5	REPORTED BY LICENSEE	210_36_SDP_Bottom_Hole_Press_ELS_84_24_by_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_36_SDP_Bottom_Hole_Press_ELS_84_24_by_Flopetrol.pdf	pdf	5828.000000	210	9999-12-31	2013-05-08	3220
31/2-5	REPORTED BY LICENSEE	210_37_SDP_Bottom_Hole_Press_ELS_84_25_by_FLOPETROL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_37_SDP_Bottom_Hole_Press_ELS_84_25_by_FLOPETROL.pdf	pdf	6027.000000	210	9999-12-31	2013-05-08	3221
31/2-5	REPORTED BY LICENSEE	210_38_SDP_Bottom_Hole_Press_ELS_84_27_by_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_38_SDP_Bottom_Hole_Press_ELS_84_27_by_Flopetrol.pdf	pdf	1207.000000	210	9999-12-31	2013-05-08	3222
31/2-5	REPORTED BY LICENSEE	210_39_SDP_Bottom_Hole_Press_ELS_84_28_by_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_39_SDP_Bottom_Hole_Press_ELS_84_28_by_Flopetrol.pdf	pdf	1133.000000	210	9999-12-31	2013-05-08	3223
31/2-5	REPORTED BY LICENSEE	210_40_Source_rock_evaluation_by_SHELL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_40_Source_rock_evaluation_by_SHELL.pdf	pdf	421.000000	210	9999-12-31	2013-05-08	3224
31/2-5	REPORTED BY LICENSEE	210_41_Source_rock_evaluation_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_41_Source_rock_evaluation_encl_1.pdf	pdf	54.000000	210	9999-12-31	2013-05-08	3225
31/2-5	REPORTED BY LICENSEE	210_42_Geochem_analysis_of_crude_oil_by_SHELL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_42_Geochem_analysis_of_crude_oil_by_SHELL.pdf	pdf	578.000000	210	9999-12-31	2013-05-08	3226
31/2-5	REPORTED BY LICENSEE	210_43_One_well_study_by_STATOIL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_43_One_well_study_by_STATOIL.pdf	pdf	1662.000000	210	9999-12-31	2013-05-08	3227
31/2-5	REPORTED BY LICENSEE	210_44_One_well_study_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_44_One_well_study_encl_1.pdf	pdf	812.000000	210	9999-12-31	2013-05-08	3228
31/2-5	REPORTED BY LICENSEE	210_45_Partial_Reservoir_Fluid_Study_by_Corelab	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_45_Partial_Reservoir_Fluid_Study_by_Corelab.pdf	pdf	198.000000	210	9999-12-31	2013-05-08	3229
31/2-5	REPORTED BY LICENSEE	210_46_Particle_size_analysis_by_Anchor	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_46_Particle_size_analysis_by_Anchor.pdf	pdf	423.000000	210	9999-12-31	2013-05-08	3230
31/2-5	REPORTED BY LICENSEE	210_47_Quick_look_evaluation_by_STATOIL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_47_Quick_look_evaluation_by_STATOIL.pdf	pdf	669.000000	210	9999-12-31	2013-05-08	3231
31/2-5	REPORTED BY LICENSEE	210_48_Quick_look_evaluation_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_48_Quick_look_evaluation_encl_1.pdf	pdf	135.000000	210	9999-12-31	2013-05-08	3232
31/2-5	REPORTED BY LICENSEE	210_49_Quick_look_evaluation_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_49_Quick_look_evaluation_encl_2.pdf	pdf	137.000000	210	9999-12-31	2013-05-08	3233
31/2-5	REPORTED BY LICENSEE	210_50_Quick_look_evaluation_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_50_Quick_look_evaluation_encl_3.pdf	pdf	137.000000	210	9999-12-31	2013-05-08	3234
31/2-5	REPORTED BY LICENSEE	210_51_Quick_look_evaluation_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_51_Quick_look_evaluation_encl_4.pdf	pdf	140.000000	210	9999-12-31	2013-05-08	3235
31/2-5	REPORTED BY LICENSEE	210_52_Reservoir_Fluid_Study_by_Corelab	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_52_Reservoir_Fluid_Study_by_Corelab.pdf	pdf	801.000000	210	9999-12-31	2013-05-08	3236
31/2-5	REPORTED BY LICENSEE	210_53_Reservoir_Fluid_Study_by_Corelab	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_53_Reservoir_Fluid_Study_by_Corelab.pdf	pdf	805.000000	210	9999-12-31	2013-05-08	3237
31/2-5	REPORTED BY LICENSEE	210_54_Rock_mineral_analysis_by_ Geco	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_54_Rock_mineral_analysis_by_ Geco.pdf	pdf	112.000000	210	9999-12-31	2013-05-08	3238
31/2-5	REPORTED BY LICENSEE	210_55_Exploration_drilling_proposal_by_Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_55_Exploration_drilling_proposal_by_Shell.pdf	pdf	543.000000	210	9999-12-31	2013-05-08	3239
31/2-5	REPORTED BY LICENSEE	210_56_Exploration_drilling proposal_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_56_Exploration_drilling proposal_encl_1.pdf	pdf	758.000000	210	9999-12-31	2013-05-08	3240
31/2-5	REPORTED BY LICENSEE	210_57_Exploration_drilling_proposal_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_57_Exploration_drilling_proposal_encl_2.pdf	pdf	207.000000	210	9999-12-31	2013-05-08	3241
31/2-5	REPORTED BY LICENSEE	210_58_Exploration_drilling_proposal_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_58_Exploration_drilling_proposal_encl_3.pdf	pdf	389.000000	210	9999-12-31	2013-05-08	3242
31/2-5	REPORTED BY LICENSEE	210_59_Exploration_drilling_proposal_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_59_Exploration_drilling_proposal_encl_4.pdf	pdf	10454.000000	210	9999-12-31	2013-05-08	3243
31/2-5	REPORTED BY LICENSEE	210_60_Exploration_ drilling_proposal_encl_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_60_Exploration_ drilling_proposal_encl_5.pdf	pdf	12591.000000	210	9999-12-31	2013-05-08	3244
31/2-5	REPORTED BY LICENSEE	210_61_Exploration_drilling_proposal_encl_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_61_Exploration_drilling_proposal_encl_6.pdf	pdf	21533.000000	210	9999-12-31	2013-05-08	3245
31/2-5	REPORTED BY LICENSEE	210_62_Exploration_drilling_proposal_encl_7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_62_Exploration_drilling_proposal_encl_7.pdf	pdf	20696.000000	210	9999-12-31	2013-05-08	3246
31/2-5	REPORTED BY LICENSEE	210_63_Exploration_drilling_proposal_encl_8	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/210_63_Exploration_drilling_proposal_encl_8.pdf	pdf	333.000000	210	9999-12-31	2013-05-08	3247
31/2-5 R	GEOCHEMICAL INFORMATION	500_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/500_1.pdf	pdf	1080.000000	500	9999-12-31	2013-05-08	3248
31/2-5 R2	OLD NPD WDSS	501_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/501_01_WDSS_General_Information.pdf	pdf	149.000000	501	9999-12-31	2013-05-08	3249
31/2-6	COMPOSITE LOG	399	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/399.pdf	pdf	293.000000	399	9999-12-31	2013-05-08	3250
31/2-6	GEOCHEMICAL INFORMATION	399_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/399_1.pdf	pdf	599.000000	399	9999-12-31	2013-05-08	3251
31/2-6	GEOCHEMICAL INFORMATION	399_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/399_2.pdf	pdf	535.000000	399	9999-12-31	2013-05-08	3252
31/2-6	OLD NPD WDSS	399_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/399_01_WDSS_General_Information.pdf	pdf	93.000000	399	9999-12-31	2013-05-08	3253
31/2-6	OLD NPD WDSS	399_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/399_02_WDSS_completion_log.pdf	pdf	157.000000	399	9999-12-31	2013-05-08	3254
31/2-6	REPORTED BY LICENSEE	399_01_31_2_6_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_01_31_2_6_Drilling_programme.pdf	pdf	1202.000000	399	9999-12-31	2013-05-08	3255
31/2-6	REPORTED BY LICENSEE	399_01_31_2_6_Exploration_well_resume	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_01_31_2_6_Exploration_well_resume.pdf	pdf	33294.000000	399	9999-12-31	2013-05-08	3256
31/2-6	REPORTED BY LICENSEE	399_01_31_2_6_Well_summary_by_Anchor	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_01_31_2_6_Well_summary_by_Anchor.pdf	pdf	1545.000000	399	9999-12-31	2013-05-08	3257
31/2-6	REPORTED BY LICENSEE	399_01_Drilling_prospectus	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_01_Drilling_prospectus.pdf	pdf	6826.000000	399	9999-12-31	2013-05-08	3258
31/2-6	REPORTED BY LICENSEE	399_02_31_2_6_Biostratigraphy_appendix_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_02_31_2_6_Biostratigraphy_appendix_3.pdf	pdf	4005.000000	399	9999-12-31	2013-05-08	3259
31/2-6	REPORTED BY LICENSEE	399_02_31_2_6_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_02_31_2_6_Completion_log.pdf	pdf	1147.000000	399	9999-12-31	2013-05-08	3260
31/2-6	REPORTED BY LICENSEE	399_02_Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_02_Composite_log.pdf	pdf	1862.000000	399	9999-12-31	2013-05-08	3261
31/2-6	REPORTED BY LICENSEE	399_03_31_2_6_Petrophysical evaluation study_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_03_31_2_6_Petrophysical evaluation study_encl_01.pdf	pdf	1478.000000	399	9999-12-31	2013-05-08	3262
31/2-6	REPORTED BY LICENSEE	399_03_31_2_6_Petrophysical_evaluation_study_by_Statoil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_03_31_2_6_Petrophysical_evaluation_study_by_Statoil.pdf	pdf	1341.000000	399	9999-12-31	2013-05-08	3263
31/2-6	REPORTED BY LICENSEE	399_03_31_2_6_Petrophysical_invest._of_cores_by_Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_03_31_2_6_Petrophysical_invest._of_cores_by_Shell.pdf	pdf	1484.000000	399	9999-12-31	2013-05-08	3264
31/2-6	REPORTED BY LICENSEE	399_03_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_03_Drilling_programme.pdf	pdf	3189.000000	399	9999-12-31	2013-05-08	3265
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Aut._kornstr.og_sort.analyse_by_Sintef	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Aut._kornstr.og_sort.analyse_by_Sintef.pdf	pdf	1078.000000	399	9999-12-31	2013-05-08	3266
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Conventional_Core_Analysis_core_1-9	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Conventional_Core_Analysis_core_1-9.pdf	pdf	3192.000000	399	9999-12-31	2013-05-08	3267
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Halvaut._kornstr.og_sort.analyse_by_Sintef	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Halvaut._kornstr.og_sort.analyse_by_Sintef.pdf	pdf	1000.000000	399	9999-12-31	2013-05-08	3268
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Partial_fluid_study_by_Corelabs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Partial_fluid_study_by_Corelabs.pdf	pdf	245.000000	399	9999-12-31	2013-05-08	3269
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Partical_fluid_study_oil_zone_by_Corelabs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Partical_fluid_study_oil_zone_by_Corelabs.pdf	pdf	152.000000	399	9999-12-31	2013-05-08	3270
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Porosity_and_perm._data_by_Geolab	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Porosity_and_perm._data_by_Geolab.pdf	pdf	964.000000	399	9999-12-31	2013-05-08	3271
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Quick_sidewall_sample_descr	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Quick_sidewall_sample_descr.pdf	pdf	152.000000	399	9999-12-31	2013-05-08	3272
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Relative_perm.measurements	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Relative_perm.measurements.pdf	pdf	1089.000000	399	9999-12-31	2013-05-08	3273
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Reservoir_fluid_study_by_Corelabs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Reservoir_fluid_study_by_Corelabs.pdf	pdf	651.000000	399	9999-12-31	2013-05-08	3274
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Spec.core_analysis_measure_by_Sintef	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Spec.core_analysis_measure_by_Sintef.pdf	pdf	1283.000000	399	9999-12-31	2013-05-08	3275
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Special_core_analysis_by_Sintef	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Special_core_analysis_by_Sintef.pdf	pdf	696.000000	399	9999-12-31	2013-05-08	3276
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Special_core_analysis_Cation_exch	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Special_core_analysis_Cation_exch.pdf	pdf	2537.000000	399	9999-12-31	2013-05-08	3277
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Special_core_analysis_Cation_exch_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Special_core_analysis_Cation_exch_encl_1.pdf	pdf	158.000000	399	9999-12-31	2013-05-08	3278
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Special_core_analysis_Cation_exch_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Special_core_analysis_Cation_exch_encl_2.pdf	pdf	201.000000	399	9999-12-31	2013-05-08	3279
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Special_core_analysis_Cation_exch_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Special_core_analysis_Cation_exch_encl_3.pdf	pdf	197.000000	399	9999-12-31	2013-05-08	3280
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Special_core_analysis_Cation_exch_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Special_core_analysis_Cation_exch_encl_4.pdf	pdf	206.000000	399	9999-12-31	2013-05-08	3281
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Special_core_analysis_Cation_exch_encl_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Special_core_analysis_Cation_exch_encl_5.pdf	pdf	209.000000	399	9999-12-31	2013-05-08	3282
31/2-6	REPORTED BY LICENSEE	399_04_31_2_6_Special_core_analysis_Cation_exch_encl_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_31_2_6_Special_core_analysis_Cation_exch_encl_6.pdf	pdf	214.000000	399	9999-12-31	2013-05-08	3283
31/2-6	REPORTED BY LICENSEE	399_04_Drill_stem_test_data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_04_Drill_stem_test_data.pdf	pdf	4442.000000	399	9999-12-31	2013-05-08	3284
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Brønntestrapport_by_Geco	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Brønntestrapport_by_Geco.pdf	pdf	2670.000000	399	9999-12-31	2013-05-08	3285
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Brønntestrapport_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Brønntestrapport_encl_1.pdf	pdf	448.000000	399	9999-12-31	2013-05-08	3286
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Expl._and_positioning_test_on_gas	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Expl._and_positioning_test_on_gas.pdf	pdf	432.000000	399	9999-12-31	2013-05-08	3287
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Gas_tests_offshore_Norway_by_Thornton	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Gas_tests_offshore_Norway_by_Thornton.pdf	pdf	512.000000	399	9999-12-31	2013-05-08	3288
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Online _TDC_report_by_Geoservices	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Online _TDC_report_by_Geoservices.pdf	pdf	1031.000000	399	9999-12-31	2013-05-08	3289
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Overlagringstrykk_by_Statoil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Overlagringstrykk_by_Statoil.pdf	pdf	909.000000	399	9999-12-31	2013-05-08	3290
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Pressure_survey_report_test1_run1_by_Sperry	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Pressure_survey_report_test1_run1_by_Sperry.pdf	pdf	916.000000	399	9999-12-31	2013-05-08	3291
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Pressure_survey_report_test1_run2_by_Sperry	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Pressure_survey_report_test1_run2_by_Sperry.pdf	pdf	605.000000	399	9999-12-31	2013-05-08	3292
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Production_test_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Production_test_programme.pdf	pdf	1792.000000	399	9999-12-31	2013-05-08	3293
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Room_condition_Oil_by_Sintef	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Room_condition_Oil_by_Sintef.pdf	pdf	348.000000	399	9999-12-31	2013-05-08	3294
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Sieve_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Sieve_analysis.pdf	pdf	3289.000000	399	9999-12-31	2013-05-08	3295
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Well_testing_report_clean_sand_gas_zone_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Well_testing_report_clean_sand_gas_zone_Flopetrol.pdf	pdf	13653.000000	399	9999-12-31	2013-05-08	3296
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Well_testing_report_oil_zone_annexes_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Well_testing_report_oil_zone_annexes_Flopetrol.pdf	pdf	15995.000000	399	9999-12-31	2013-05-08	3297
31/2-6	REPORTED BY LICENSEE	399_05_31_2_6_Well_testing_report_oil_zone_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_31_2_6_Well_testing_report_oil_zone_Flopetrol.pdf	pdf	8115.000000	399	9999-12-31	2013-05-08	3298
31/2-6	REPORTED BY LICENSEE	399_05_Geological_well_prognosis_and_drilling_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_05_Geological_well_prognosis_and_drilling_program.pdf	pdf	1200.000000	399	9999-12-31	2013-05-08	3299
31/2-6	REPORTED BY LICENSEE	399_06_31_2_6_Geochem_analysis_of_source_rock	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_06_31_2_6_Geochem_analysis_of_source_rock.pdf	pdf	239.000000	399	9999-12-31	2013-05-08	3300
31/2-6	REPORTED BY LICENSEE	399_06_31_2_6_Geochem_analysis_of_source_rock_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_06_31_2_6_Geochem_analysis_of_source_rock_encl_1.pdf	pdf	259.000000	399	9999-12-31	2013-05-08	3301
31/2-6	REPORTED BY LICENSEE	399_06_Geological_well_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_06_Geological_well_program.pdf	pdf	178.000000	399	9999-12-31	2013-05-08	3302
31/2-6	REPORTED BY LICENSEE	399_07_31_2_6_Global_interpretation_by_Slb	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_07_31_2_6_Global_interpretation_by_Slb.pdf	pdf	377.000000	399	9999-12-31	2013-05-08	3303
31/2-6	REPORTED BY LICENSEE	399_07_Individual_well_record	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_07_Individual_well_record.pdf	pdf	6860.000000	399	9999-12-31	2013-05-08	3304
31/2-6	REPORTED BY LICENSEE	399_08_Log_analysis_rapport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_08_Log_analysis_rapport.pdf	pdf	96.000000	399	9999-12-31	2013-05-08	3305
31/2-6	REPORTED BY LICENSEE	399_09_Production_measurements_during_the_drill_stem_test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_09_Production_measurements_during_the_drill_stem_test.pdf	pdf	753.000000	399	9999-12-31	2013-05-08	3306
31/2-6	REPORTED BY LICENSEE	399_10_Analysis_chart_robertson	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_10_Analysis_chart_robertson.pdf	pdf	10320.000000	399	9999-12-31	2013-05-08	3307
31/2-6	REPORTED BY LICENSEE	399_11_A_study_of_selected_sections_from_palaeogene	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_11_A_study_of_selected_sections_from_palaeogene.pdf	pdf	1543.000000	399	9999-12-31	2013-05-08	3308
31/2-6	REPORTED BY LICENSEE	399_12_Biostratigraphy_and_organic_geochemistry	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_12_Biostratigraphy_and_organic_geochemistry.pdf	pdf	4821.000000	399	9999-12-31	2013-05-08	3309
31/2-6	REPORTED BY LICENSEE	399_13_geochemical_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_13_geochemical_study.pdf	pdf	2129.000000	399	9999-12-31	2013-05-08	3310
31/2-6	REPORTED BY LICENSEE	399_14_Lithological_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_14_Lithological_log.pdf	pdf	494.000000	399	9999-12-31	2013-05-08	3311
31/2-6	REPORTED BY LICENSEE	399_15_Lithology_and_abundance	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_15_Lithology_and_abundance.pdf	pdf	210.000000	399	9999-12-31	2013-05-08	3312
31/2-6	REPORTED BY LICENSEE	399_16_Palynological_correlations_in_early_cretaceous	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_16_Palynological_correlations_in_early_cretaceous.pdf	pdf	438.000000	399	9999-12-31	2013-05-08	3313
31/2-6	REPORTED BY LICENSEE	399_17_Preliminary_petroleum_geochemistry_results	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_17_Preliminary_petroleum_geochemistry_results.pdf	pdf	1415.000000	399	9999-12-31	2013-05-08	3314
31/2-6	REPORTED BY LICENSEE	399_18_Rapported_analyses_geochimiques_de_fluides	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_18_Rapported_analyses_geochimiques_de_fluides.pdf	pdf	284.000000	399	9999-12-31	2013-05-08	3315
31/2-6	REPORTED BY LICENSEE	399_19_Rock_eval_pyrolysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_19_Rock_eval_pyrolysis.pdf	pdf	710.000000	399	9999-12-31	2013-05-08	3316
31/2-6	REPORTED BY LICENSEE	399_20_The_micropalaeontology_and_stratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_20_The_micropalaeontology_and_stratigraphy.pdf	pdf	1430.000000	399	9999-12-31	2013-05-08	3317
31/2-6	REPORTED BY LICENSEE	399_21_Water_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/399_21_Water_analysis.pdf	pdf	314.000000	399	9999-12-31	2013-05-08	3318
31/2-7	OLD NPD WDSS	70_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/70_01_WDSS_General_Information.pdf	pdf	160.000000	70	9999-12-31	2013-05-08	3319
31/2-7	OLD NPD WDSS	70_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/70_02_WDSS_completion_log.pdf	pdf	112.000000	70	9999-12-31	2013-05-08	3320
31/2-7	REPORTED BY LICENSEE	70_01_31_2_7_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_01_31_2_7_Completion_Report_and_Completion_log.PDF	PDF	9775.000000	70	9999-12-31	2013-05-08	3321
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Appraisal_well_proposal_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Appraisal_well_proposal_encl_1.pdf	pdf	342.000000	70	9999-12-31	2013-05-08	3322
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Appraisal_well_proposal_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Appraisal_well_proposal_encl_2.pdf	pdf	382.000000	70	9999-12-31	2013-05-08	3323
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Biostratigraphy_appraisal	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Biostratigraphy_appraisal.pdf	pdf	1776.000000	70	9999-12-31	2013-05-08	3324
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Brønntestrapport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Brønntestrapport.pdf	pdf	3311.000000	70	9999-12-31	2013-05-08	3325
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Drilling_programme.pdf	pdf	1085.000000	70	9999-12-31	2013-05-08	3326
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Drilling_programme_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Drilling_programme_encl_1.pdf	pdf	371.000000	70	9999-12-31	2013-05-08	3327
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Drilling_programme_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Drilling_programme_encl_2.pdf	pdf	343.000000	70	9999-12-31	2013-05-08	3328
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Drilling_programme_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Drilling_programme_encl_3.pdf	pdf	1778.000000	70	9999-12-31	2013-05-08	3329
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Frozen_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Frozen_core_analysis.pdf	pdf	2161.000000	70	9999-12-31	2013-05-08	3330
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Gravel_pack_operation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Gravel_pack_operation.pdf	pdf	1473.000000	70	9999-12-31	2013-05-08	3331
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Investigation_of_cores	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Investigation_of_cores.pdf	pdf	2296.000000	70	9999-12-31	2013-05-08	3332
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Mr-six_Press.survey_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Mr-six_Press.survey_report.pdf	pdf	1415.000000	70	9999-12-31	2013-05-08	3333
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Mud_logging_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Mud_logging_report.pdf	pdf	2504.000000	70	9999-12-31	2013-05-08	3334
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Rel.perm.Measurements	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Rel.perm.Measurements.pdf	pdf	609.000000	70	9999-12-31	2013-05-08	3335
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Reservoir_Fluid_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Reservoir_Fluid_study.pdf	pdf	713.000000	70	9999-12-31	2013-05-08	3336
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Resistivity_index_capp.pressure	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Resistivity_index_capp.pressure.pdf	pdf	927.000000	70	9999-12-31	2013-05-08	3337
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Sieve_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Sieve_analysis.pdf	pdf	1508.000000	70	9999-12-31	2013-05-08	3338
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Special_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Special_core_analysis.pdf	pdf	2555.000000	70	9999-12-31	2013-05-08	3339
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Well_summary_by_Anchor	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Well_summary_by_Anchor.pdf	pdf	1364.000000	70	9999-12-31	2013-05-08	3340
31/2-7	REPORTED BY LICENSEE	70_02_31_2_7_Well_testing_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_02_31_2_7_Well_testing_report.pdf	pdf	13379.000000	70	9999-12-31	2013-05-08	3341
31/2-7	REPORTED BY LICENSEE	70_31_02_07_Appraisal well proposal_by Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/70_31_02_07_Appraisal well proposal_by Shell.pdf	pdf	591.000000	70	9999-12-31	2013-05-08	3342
31/2-8	COMPOSITE LOG	78	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/78.pdf	pdf	639.000000	78	9999-12-31	2013-05-08	3343
31/2-8	GEOCHEMICAL INFORMATION	78_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/78_1.pdf	pdf	3215.000000	78	9999-12-31	2013-05-08	3344
31/2-8	GEOCHEMICAL INFORMATION	78_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/78_2.pdf	pdf	1087.000000	78	9999-12-31	2013-05-08	3345
31/2-8	GEOCHEMICAL INFORMATION	78_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/78_3.pdf	pdf	780.000000	78	9999-12-31	2013-05-08	3346
31/2-8	OLD NPD WDSS	78_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/78_01_WDSS_General_Information.pdf	pdf	185.000000	78	9999-12-31	2013-05-08	3347
31/2-8	OLD NPD WDSS	78_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/78_02_WDSS_completion_log.pdf	pdf	238.000000	78	9999-12-31	2013-05-08	3348
31/2-8	REPORTED BY LICENSEE	78_01_31_2_8_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_01_31_2_8_Completion_Report.PDF	PDF	11090.000000	78	9999-12-31	2013-05-08	3349
31/2-8	REPORTED BY LICENSEE	78_02_31_2_8_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_02_31_2_8_Completion_log.pdf	pdf	1073.000000	78	9999-12-31	2013-05-08	3350
31/2-8	REPORTED BY LICENSEE	78_02_31_2_8_Drilling programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_02_31_2_8_Drilling programme.pdf	pdf	1216.000000	78	9999-12-31	2013-05-08	3351
31/2-8	REPORTED BY LICENSEE	78_02_31_2_8_Drilling_programme_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_02_31_2_8_Drilling_programme_encl_1.pdf	pdf	2276.000000	78	9999-12-31	2013-05-08	3352
31/2-8	REPORTED BY LICENSEE	78_02_31_2_8_Drilling_programme_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_02_31_2_8_Drilling_programme_encl_2.pdf	pdf	2909.000000	78	9999-12-31	2013-05-08	3353
31/2-8	REPORTED BY LICENSEE	78_02_31_2_8_Drilling_programme_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_02_31_2_8_Drilling_programme_encl_3.pdf	pdf	169.000000	78	9999-12-31	2013-05-08	3354
31/2-8	REPORTED BY LICENSEE	78_03_31_2_8_Drill_steam_test_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_03_31_2_8_Drill_steam_test_program.pdf	pdf	638.000000	78	9999-12-31	2013-05-08	3355
31/2-8	REPORTED BY LICENSEE	78_03_31_2_8_Overlagringstrykk	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_03_31_2_8_Overlagringstrykk.pdf	pdf	759.000000	78	9999-12-31	2013-05-08	3356
31/2-8	REPORTED BY LICENSEE	78_03_31_2_8_Water_analysis_by_Geco	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_03_31_2_8_Water_analysis_by_Geco.pdf	pdf	128.000000	78	9999-12-31	2013-05-08	3357
31/2-8	REPORTED BY LICENSEE	78_03_31_2_8_Water_analysis_DST2_by_Geco	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_03_31_2_8_Water_analysis_DST2_by_Geco.pdf	pdf	119.000000	78	9999-12-31	2013-05-08	3358
31/2-8	REPORTED BY LICENSEE	78_03_31_2_8_Well_testing_report_by_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_03_31_2_8_Well_testing_report_by_Flopetrol.pdf	pdf	1349.000000	78	9999-12-31	2013-05-08	3359
31/2-8	REPORTED BY LICENSEE	78_04_31_2_8_Biostratigraphy_appendix_3_by_Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_04_31_2_8_Biostratigraphy_appendix_3_by_Shell.pdf	pdf	6686.000000	78	9999-12-31	2013-05-08	3360
31/2-8	REPORTED BY LICENSEE	78_05_31_2_8_Geochemistry_of_six_cores_by_Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_05_31_2_8_Geochemistry_of_six_cores_by_Shell.pdf	pdf	533.000000	78	9999-12-31	2013-05-08	3361
31/2-8	REPORTED BY LICENSEE	78_05_31_2_8_Geochem_source_rock_analysis_by_Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_05_31_2_8_Geochem_source_rock_analysis_by_Shell.pdf	pdf	716.000000	78	9999-12-31	2013-05-08	3362
31/2-8	REPORTED BY LICENSEE	78_05_31_2_8_Geochem_source_rock_analysis_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_05_31_2_8_Geochem_source_rock_analysis_encl_1.pdf	pdf	273.000000	78	9999-12-31	2013-05-08	3363
31/2-8	REPORTED BY LICENSEE	78_06_31_2_8_Routine_core_analysis_by_Geco	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_06_31_2_8_Routine_core_analysis_by_Geco.pdf	pdf	3343.000000	78	9999-12-31	2013-05-08	3364
31/2-8	REPORTED BY LICENSEE	78_06_31_2_8_Special_core_analysis_by_Geco	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_06_31_2_8_Special_core_analysis_by_Geco.pdf	pdf	1605.000000	78	9999-12-31	2013-05-08	3365
31/2-8	REPORTED BY LICENSEE	78_07_31_2_8_Palynofacies_invest_in_the_jura_by_Shell	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_07_31_2_8_Palynofacies_invest_in_the_jura_by_Shell.pdf	pdf	1450.000000	78	9999-12-31	2013-05-08	3366
31/2-8	REPORTED BY LICENSEE	78_08_31_2_8_Well_summary_by_Anchor	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/78_08_31_2_8_Well_summary_by_Anchor.pdf	pdf	1832.000000	78	9999-12-31	2013-05-08	3367
31/2-9	OLD NPD WDSS	88_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/88_01_WDSS_General_Information.pdf	pdf	160.000000	88	9999-12-31	2013-05-08	3368
31/2-9	OLD NPD WDSS	88_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/88_02_WDSS_completion_log.pdf	pdf	132.000000	88	9999-12-31	2013-05-08	3369
31/2-9	REPORTED BY LICENSEE	88_01_31_2_9_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_01_31_2_9_Completion_Report_and_Completion_log.pdf	pdf	8069.000000	88	9999-12-31	2013-05-08	3370
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Biostratigraphy_appraisal	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Biostratigraphy_appraisal.pdf	pdf	2034.000000	88	9999-12-31	2013-05-08	3371
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Cutting description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Cutting description.pdf	pdf	707.000000	88	9999-12-31	2013-05-08	3372
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Drilling_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Drilling_programme.pdf	pdf	1312.000000	88	9999-12-31	2013-05-08	3373
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Drilling_programme_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Drilling_programme_encl_1.pdf	pdf	383.000000	88	9999-12-31	2013-05-08	3374
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Grain_size_distr.analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Grain_size_distr.analysis.pdf	pdf	98.000000	88	9999-12-31	2013-05-08	3375
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_High_res.dipmeter_arrow_listing	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_High_res.dipmeter_arrow_listing.pdf	pdf	19.000000	88	9999-12-31	2013-05-08	3376
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_High_res.dipmeter_arrow_listing_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_High_res.dipmeter_arrow_listing_encl_1.pdf	pdf	2619.000000	88	9999-12-31	2013-05-08	3377
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Mudlogging_and_cutting_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Mudlogging_and_cutting_description.pdf	pdf	3404.000000	88	9999-12-31	2013-05-08	3378
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Overlagringstrykk_fra_brønn	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Overlagringstrykk_fra_brønn.pdf	pdf	823.000000	88	9999-12-31	2013-05-08	3379
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Partial_fluid_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Partial_fluid_study.pdf	pdf	244.000000	88	9999-12-31	2013-05-08	3380
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Partial_fluid_study_Final_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Partial_fluid_study_Final_report.pdf	pdf	370.000000	88	9999-12-31	2013-05-08	3381
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Prod_test_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Prod_test_programme.pdf	pdf	1679.000000	88	9999-12-31	2013-05-08	3382
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Reservoir_fluid_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Reservoir_fluid_study.pdf	pdf	773.000000	88	9999-12-31	2013-05-08	3383
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Sedimentologi_av_kjerne	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Sedimentologi_av_kjerne.pdf	pdf	10091.000000	88	9999-12-31	2013-05-08	3384
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Special_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Special_core_analysis.pdf	pdf	3310.000000	88	9999-12-31	2013-05-08	3385
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Special_core_analysis_Sintef	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Special_core_analysis_Sintef.pdf	pdf	3033.000000	88	9999-12-31	2013-05-08	3386
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Technical_report_on_core	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Technical_report_on_core.pdf	pdf	1368.000000	88	9999-12-31	2013-05-08	3387
31/2-9	REPORTED BY LICENSEE	88_02_31_2_9_Well_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/88_02_31_2_9_Well_summary.pdf	pdf	1397.000000	88	9999-12-31	2013-05-08	3388
31/3-1	COMPOSITE LOG	20	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/20.pdf	pdf	402.000000	20	9999-12-31	2013-05-08	3389
31/3-1	GEOCHEMICAL INFORMATION	20_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/20_1.pdf	pdf	5743.000000	20	9999-12-31	2013-05-08	3390
31/3-1	GEOCHEMICAL INFORMATION	20_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/20_2.pdf	pdf	286.000000	20	9999-12-31	2013-05-08	3391
31/3-1	GEOCHEMICAL INFORMATION	20_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/20_3.pdf	pdf	1743.000000	20	9999-12-31	2013-05-08	3392
31/3-1	GEOCHEMICAL INFORMATION	20_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/20_4.pdf	pdf	215.000000	20	9999-12-31	2013-05-08	3393
31/3-1	GEOCHEMICAL INFORMATION	20_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/20_5.pdf	pdf	3556.000000	20	9999-12-31	2013-05-08	3394
31/3-1	GEOCHEMICAL INFORMATION	20_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/20_6.pdf	pdf	359.000000	20	9999-12-31	2013-05-08	3395
31/3-1	OLD NPD WDSS	20_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/20_01_WDSS_General_Information.pdf	pdf	188.000000	20	9999-12-31	2013-05-08	3396
31/3-1	OLD NPD WDSS	20_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/20_02_WDSS_completion_log.pdf	pdf	251.000000	20	9999-12-31	2013-05-08	3397
31/3-1	REPORTED BY LICENSEE	20_01_31_3_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_01_31_3_1_Completion_Report_and_Completion_log.PDF	PDF	30925.000000	20	9999-12-31	2013-05-08	3398
31/3-1	REPORTED BY LICENSEE	20_02_31_3_1_Final_well_report_by_Exlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_02_31_3_1_Final_well_report_by_Exlog.pdf	pdf	5868.000000	20	9999-12-31	2013-05-08	3399
31/3-1	REPORTED BY LICENSEE	20_03_31_3_1_Final_well_report_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_03_31_3_1_Final_well_report_encl_01.pdf	pdf	2893.000000	20	9999-12-31	2013-05-08	3400
31/3-1	REPORTED BY LICENSEE	20_04_31_3_1_Final_well_report_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_04_31_3_1_Final_well_report_encl_02.pdf	pdf	635.000000	20	9999-12-31	2013-05-08	3401
31/3-1	REPORTED BY LICENSEE	20_05_31_3_1_Final_well_report_encl_03	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_05_31_3_1_Final_well_report_encl_03.pdf	pdf	454.000000	20	9999-12-31	2013-05-08	3402
31/3-1	REPORTED BY LICENSEE	20_06_31_3_1_Final_well_report_encl_04	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_06_31_3_1_Final_well_report_encl_04.pdf	pdf	354.000000	20	9999-12-31	2013-05-08	3403
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Biostratigrafisk_analyse	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Biostratigrafisk_analyse.pdf	pdf	7919.000000	20	9999-12-31	2013-05-08	3404
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Biostratigraphy_by_IKU	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Biostratigraphy_by_IKU.pdf	pdf	7335.000000	20	9999-12-31	2013-05-08	3405
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Clay_contrib_to_obs.prod.loss	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Clay_contrib_to_obs.prod.loss.pdf	pdf	4446.000000	20	9999-12-31	2013-05-08	3406
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Comp.of_reserv_Fluids DST1,2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Comp.of_reserv_Fluids DST1,2.pdf	pdf	439.000000	20	9999-12-31	2013-05-08	3407
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Completion_fluids_by_Statoil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Completion_fluids_by_Statoil.pdf	pdf	778.000000	20	9999-12-31	2013-05-08	3408
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Core_gamma_surface_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Core_gamma_surface_log.pdf	pdf	347.000000	20	9999-12-31	2013-05-08	3409
31/3-1	REPORTED BY LICENSEE	20_31_3_1_DST_1-2_pre-post_gravel_pack_by_Otis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_DST_1-2_pre-post_gravel_pack_by_Otis.pdf	pdf	12582.000000	20	9999-12-31	2013-05-08	3410
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Formation_res.factor_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Formation_res.factor_analysis.pdf	pdf	300.000000	20	9999-12-31	2013-05-08	3411
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Geochem.analyse_TOC	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Geochem.analyse_TOC.pdf	pdf	214.000000	20	9999-12-31	2013-05-08	3412
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Geochem.correlation_of_HC	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Geochem.correlation_of_HC.pdf	pdf	1834.000000	20	9999-12-31	2013-05-08	3413
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Geochemistry_source_rock_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Geochemistry_source_rock_Evaluation.pdf	pdf	3800.000000	20	9999-12-31	2013-05-08	3414
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Geolog.progn_and_drilling_progr	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Geolog.progn_and_drilling_progr.pdf	pdf	2089.000000	20	9999-12-31	2013-05-08	3415
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Geolog.progn_and_drilling_progr_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Geolog.progn_and_drilling_progr_encl_01.pdf	pdf	900.000000	20	9999-12-31	2013-05-08	3416
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Geolog.progn_and_drilling_progr_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Geolog.progn_and_drilling_progr_encl_02.pdf	pdf	160.000000	20	9999-12-31	2013-05-08	3417
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Grain_size_distr.analysi	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Grain_size_distr.analysi.pdf	pdf	3148.000000	20	9999-12-31	2013-05-08	3418
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Gravel_Pack_Operations	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Gravel_Pack_Operations.pdf	pdf	1268.000000	20	9999-12-31	2013-05-08	3419
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Gravel_Pack_Operations_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Gravel_Pack_Operations_encl_01.pdf	pdf	164.000000	20	9999-12-31	2013-05-08	3420
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Gravel_Pack_Operations_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Gravel_Pack_Operations_encl_02.pdf	pdf	140.000000	20	9999-12-31	2013-05-08	3421
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_ Acc.press.temp.meas	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_ Acc.press.temp.meas.pdf	pdf	4465.000000	20	9999-12-31	2013-05-08	3422
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_Acc.press.temp.meas	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_Acc.press.temp.meas.pdf	pdf	5556.000000	20	9999-12-31	2013-05-08	3423
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_acc.press.temp.meas_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_acc.press.temp.meas_encl_01.pdf	pdf	167.000000	20	9999-12-31	2013-05-08	3424
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_acc.press.temp.meas_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_acc.press.temp.meas_encl_02.pdf	pdf	29.000000	20	9999-12-31	2013-05-08	3425
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_acc.press.temp.meas_encl_03	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_acc.press.temp.meas_encl_03.pdf	pdf	27.000000	20	9999-12-31	2013-05-08	3426
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_acc.press.temp.meas_encl_04	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_acc.press.temp.meas_encl_04.pdf	pdf	19.000000	20	9999-12-31	2013-05-08	3427
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_acc.press.temp.meas_encl_05	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_acc.press.temp.meas_encl_05.pdf	pdf	20.000000	20	9999-12-31	2013-05-08	3428
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_acc.press.temp.meas_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_acc.press.temp.meas_Flopetrol.pdf	pdf	3037.000000	20	9999-12-31	2013-05-08	3429
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_acc.press.temp	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_acc.press.temp.pdf	pdf	2463.000000	20	9999-12-31	2013-05-08	3430
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_acc.press.temp_b	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_acc.press.temp_b.pdf	pdf	1326.000000	20	9999-12-31	2013-05-08	3431
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_acc.press.temp_b_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_acc.press.temp_b_encl_01.pdf	pdf	389.000000	20	9999-12-31	2013-05-08	3432
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_acc.press.temp_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_acc.press.temp_encl_01.pdf	pdf	372.000000	20	9999-12-31	2013-05-08	3433
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_Acc.press.temp_e_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_Acc.press.temp_e_encl_01.pdf	pdf	170.000000	20	9999-12-31	2013-05-08	3434
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_Acc.press.temp_e_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_Acc.press.temp_e_encl_02.pdf	pdf	58.000000	20	9999-12-31	2013-05-08	3435
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_Acc.press.temp_e_encl_03	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_Acc.press.temp_e_encl_03.pdf	pdf	26.000000	20	9999-12-31	2013-05-08	3436
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_Acc.press.temp_e_encl_04	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_Acc.press.temp_e_encl_04.pdf	pdf	21.000000	20	9999-12-31	2013-05-08	3437
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_Acc.press.temp_e_encl_05	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_Acc.press.temp_e_encl_05.pdf	pdf	33.000000	20	9999-12-31	2013-05-08	3438
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_Acc.press.temp_e_encl_06	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_Acc.press.temp_e_encl_06.pdf	pdf	35.000000	20	9999-12-31	2013-05-08	3439
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_Acc.press.temp_e_encl_07	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_Acc.press.temp_e_encl_07.pdf	pdf	26.000000	20	9999-12-31	2013-05-08	3440
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_Acc.press.temp_e_encl_08	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_Acc.press.temp_e_encl_08.pdf	pdf	22.000000	20	9999-12-31	2013-05-08	3441
31/3-1	REPORTED BY LICENSEE	20_31_3_1_High_Acc.press.temp_e_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_High_Acc.press.temp_e_Flopetrol.pdf	pdf	4520.000000	20	9999-12-31	2013-05-08	3442
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Mon.quality_of_compl.fluids	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Mon.quality_of_compl.fluids.pdf	pdf	3796.000000	20	9999-12-31	2013-05-08	3443
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Mud_and_Res.gas_Geochemistry	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Mud_and_Res.gas_Geochemistry.pdf	pdf	369.000000	20	9999-12-31	2013-05-08	3444
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Multivariat_behandling_by Rogforsk	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Multivariat_behandling_by Rogforsk.pdf	pdf	613.000000	20	9999-12-31	2013-05-08	3445
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Overlagringstrykk	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Overlagringstrykk.pdf	pdf	1091.000000	20	9999-12-31	2013-05-08	3446
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Palynofacies_and_stratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Palynofacies_and_stratigraphy.pdf	pdf	40837.000000	20	9999-12-31	2013-05-08	3447
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Petrophysical_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Petrophysical_evaluation.pdf	pdf	1424.000000	20	9999-12-31	2013-05-08	3448
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Petrophysical_evaluation_encl_01	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Petrophysical_evaluation_encl_01.pdf	pdf	409.000000	20	9999-12-31	2013-05-08	3449
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Petrophysical_evaluation_encl_02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Petrophysical_evaluation_encl_02.pdf	pdf	2208.000000	20	9999-12-31	2013-05-08	3450
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Point_counting_test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Point_counting_test.pdf	pdf	131.000000	20	9999-12-31	2013-05-08	3451
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Press.survey_rep.test1_run1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Press.survey_rep.test1_run1.pdf	pdf	1270.000000	20	9999-12-31	2013-05-08	3452
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Press.survey_rep.test1_run2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Press.survey_rep.test1_run2.pdf	pdf	2179.000000	20	9999-12-31	2013-05-08	3453
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Press.survey_rep.test2_run1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Press.survey_rep.test2_run1.pdf	pdf	918.000000	20	9999-12-31	2013-05-08	3454
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Press.survey_rep.test2_run3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Press.survey_rep.test2_run3.pdf	pdf	1868.000000	20	9999-12-31	2013-05-08	3455
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Press.survey_rep.test2_run4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Press.survey_rep.test2_run4.pdf	pdf	1248.000000	20	9999-12-31	2013-05-08	3456
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Routine_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Routine_core_analysis.pdf	pdf	4462.000000	20	9999-12-31	2013-05-08	3457
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Special_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Special_core_analysis.pdf	pdf	9100.000000	20	9999-12-31	2013-05-08	3458
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Special_core_analysis_by_Robertson	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Special_core_analysis_by_Robertson.pdf	pdf	2280.000000	20	9999-12-31	2013-05-08	3459
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Special_core_analysis_rev_report_by_Geco	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Special_core_analysis_rev_report_by_Geco.pdf	pdf	6002.000000	20	9999-12-31	2013-05-08	3460
31/3-1	REPORTED BY LICENSEE	20_31_3_1_TBP_distillation_of_stock_tank	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_TBP_distillation_of_stock_tank.pdf	pdf	673.000000	20	9999-12-31	2013-05-08	3461
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Tritiated_water_in_the_mud	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Tritiated_water_in_the_mud.pdf	pdf	549.000000	20	9999-12-31	2013-05-08	3462
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Troll_single_well_Geochemical_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Troll_single_well_Geochemical_study.pdf	pdf	209.000000	20	9999-12-31	2013-05-08	3463
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Und.av_GravelPack_væsker	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Und.av_GravelPack_væsker.pdf	pdf	1266.000000	20	9999-12-31	2013-05-08	3464
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Use_of_tritiated_water	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Use_of_tritiated_water.pdf	pdf	2625.000000	20	9999-12-31	2013-05-08	3465
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Weesite_Gas_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Weesite_Gas_Analysis.pdf	pdf	460.000000	20	9999-12-31	2013-05-08	3466
31/3-1	REPORTED BY LICENSEE	20_31_3_1_Well_test_report_FMT_no.1,2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/20_31_3_1_Well_test_report_FMT_no.1,2.pdf	pdf	5399.000000	20	9999-12-31	2013-05-08	3467
31/3-2	COMPOSITE LOG	100	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/100.pdf	pdf	316.000000	100	9999-12-31	2013-05-08	3468
31/3-2	GEOCHEMICAL INFORMATION	100_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/100_1.pdf	pdf	328.000000	100	9999-12-31	2013-05-08	3469
31/3-2	GEOCHEMICAL INFORMATION	100_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/100_2.pdf	pdf	3302.000000	100	9999-12-31	2013-05-08	3470
31/3-2	OLD NPD WDSS	100_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/100_01_WDSS_General_Information.pdf	pdf	177.000000	100	9999-12-31	2013-05-08	3471
31/3-2	OLD NPD WDSS	100_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/100_02_WDSS_completion_log.pdf	pdf	211.000000	100	9999-12-31	2013-05-08	3472
31/3-2	REPORTED BY LICENSEE	100_01_31_3_2_Completion_repor_and_Competion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_01_31_3_2_Completion_repor_and_Competion_log.pdf	pdf	13558.000000	100	9999-12-31	2013-05-08	3473
31/3-2	REPORTED BY LICENSEE	100_01_31_3_2_Final_Well_Report_by_Exlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_01_31_3_2_Final_Well_Report_by_Exlog.pdf	pdf	5884.000000	100	9999-12-31	2013-05-08	3474
31/3-2	REPORTED BY LICENSEE	100_02_31_3_2_Drilling_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_02_31_3_2_Drilling_program.pdf	pdf	3263.000000	100	9999-12-31	2013-05-08	3475
31/3-2	REPORTED BY LICENSEE	100_02_31_3_2_Prospect_descr.and_prognosis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_02_31_3_2_Prospect_descr.and_prognosis.pdf	pdf	2302.000000	100	9999-12-31	2013-05-08	3476
31/3-2	REPORTED BY LICENSEE	100_02_31_3_2_Prospect_descr_and_prognosis_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_02_31_3_2_Prospect_descr_and_prognosis_encl_1.pdf	pdf	521.000000	100	9999-12-31	2013-05-08	3477
31/3-2	REPORTED BY LICENSEE	100_02_31_3_2_Prospect_descr_and_prognosis_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_02_31_3_2_Prospect_descr_and_prognosis_encl_2.pdf	pdf	9511.000000	100	9999-12-31	2013-05-08	3478
31/3-2	REPORTED BY LICENSEE	100_02_31_3_2_Prospect_descr_and_prognosis_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_02_31_3_2_Prospect_descr_and_prognosis_encl_3.pdf	pdf	8075.000000	100	9999-12-31	2013-05-08	3479
31/3-2	REPORTED BY LICENSEE	100_02_31_3_2_Prospect_descr_and_prognosis_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_02_31_3_2_Prospect_descr_and_prognosis_encl_4.pdf	pdf	379.000000	100	9999-12-31	2013-05-08	3480
31/3-2	REPORTED BY LICENSEE	100_02_31_3_2_Prospect_descr_and_prognosis_encl_5(7)	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_02_31_3_2_Prospect_descr_and_prognosis_encl_5(7).pdf	pdf	238.000000	100	9999-12-31	2013-05-08	3481
31/3-2	REPORTED BY LICENSEE	100_03_31_3_2_Biostrat._kerogen_analysis_by_Stratlab	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_03_31_3_2_Biostrat._kerogen_analysis_by_Stratlab.pdf	pdf	10298.000000	100	9999-12-31	2013-05-08	3482
31/3-2	REPORTED BY LICENSEE	100_03_31_3_2_Formation_resistivity_meas	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_03_31_3_2_Formation_resistivity_meas.pdf	pdf	270.000000	100	9999-12-31	2013-05-08	3483
31/3-2	REPORTED BY LICENSEE	100_03_31_3_2_Grain_size_distr.analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_03_31_3_2_Grain_size_distr.analysis.pdf	pdf	677.000000	100	9999-12-31	2013-05-08	3484
31/3-2	REPORTED BY LICENSEE	100_03_31_3_2_Historie-tilpasning_by_Statoil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_03_31_3_2_Historie-tilpasning_by_Statoil.pdf	pdf	967.000000	100	9999-12-31	2013-05-08	3485
31/3-2	REPORTED BY LICENSEE	100_03_31_3_2_Hydrocarbon_characterisation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_03_31_3_2_Hydrocarbon_characterisation.pdf	pdf	3554.000000	100	9999-12-31	2013-05-08	3486
31/3-2	REPORTED BY LICENSEE	100_03_31_3_2_Permeability_thin_section	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_03_31_3_2_Permeability_thin_section.pdf	pdf	121.000000	100	9999-12-31	2013-05-08	3487
31/3-2	REPORTED BY LICENSEE	100_03_31_3_2_Petrophysical_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_03_31_3_2_Petrophysical_evaluation.pdf	pdf	1974.000000	100	9999-12-31	2013-05-08	3488
31/3-2	REPORTED BY LICENSEE	100_03_31_3_2_Petrophysical_evaluation_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_03_31_3_2_Petrophysical_evaluation_encl_1.pdf	pdf	707.000000	100	9999-12-31	2013-05-08	3489
31/3-2	REPORTED BY LICENSEE	100_04_31_3_2_Core_gamma_surface_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_04_31_3_2_Core_gamma_surface_log.pdf	pdf	148.000000	100	9999-12-31	2013-05-08	3490
31/3-2	REPORTED BY LICENSEE	100_04_31_3_2_Routine_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_04_31_3_2_Routine_core_analysis.pdf	pdf	1790.000000	100	9999-12-31	2013-05-08	3491
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_31_3_2_High_acc.press.temp.meas_82816_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_31_3_2_High_acc.press.temp.meas_82816_Flopetrol.pdf	pdf	4431.000000	100	9999-12-31	2013-05-08	3492
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_Drillsteam_test_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_Drillsteam_test_report.pdf	pdf	8078.000000	100	9999-12-31	2013-05-08	3493
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_High acc.press.temp.meas_82816_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_High acc.press.temp.meas_82816_encl_1.pdf	pdf	158.000000	100	9999-12-31	2013-05-08	3494
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_High_acc.press.temp.meas_82802_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_High_acc.press.temp.meas_82802_Flopetrol.pdf	pdf	6250.000000	100	9999-12-31	2013-05-08	3495
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_Oil_test_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_Oil_test_program.pdf	pdf	2298.000000	100	9999-12-31	2013-05-08	3496
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_Pressure_survey_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_Pressure_survey_report.pdf	pdf	2395.000000	100	9999-12-31	2013-05-08	3497
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_Production_test_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_Production_test_report.pdf	pdf	1390.000000	100	9999-12-31	2013-05-08	3498
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_PVT_Analyse_av_olje_fra_Troll	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_PVT_Analyse_av_olje_fra_Troll.pdf	pdf	1401.000000	100	9999-12-31	2013-05-08	3499
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_Repeated_formation_tester	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_Repeated_formation_tester.pdf	pdf	300.000000	100	9999-12-31	2013-05-08	3500
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_Results_and_implications	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_Results_and_implications.pdf	pdf	1276.000000	100	9999-12-31	2013-05-08	3501
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_Results_and_implications_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_Results_and_implications_encl_1.pdf	pdf	172.000000	100	9999-12-31	2013-05-08	3502
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_Results_of_the quality_by_Oilplus	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_Results_of_the quality_by_Oilplus.pdf	pdf	2855.000000	100	9999-12-31	2013-05-08	3503
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_Sampling_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_Sampling_report.pdf	pdf	1684.000000	100	9999-12-31	2013-05-08	3504
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_SDP_CRG_press.and_temp.survey0_by_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_SDP_CRG_press.and_temp.survey0_by_Flopetrol.pdf	pdf	10046.000000	100	9999-12-31	2013-05-08	3505
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_SDP_CRG_press.and_temp.survey_29C_ Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_SDP_CRG_press.and_temp.survey_29C_ Flopetrol.pdf	pdf	10280.000000	100	9999-12-31	2013-05-08	3506
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_SDP_CRG_press.and_temp.survey_29C_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_SDP_CRG_press.and_temp.survey_29C_encl_1.pdf	pdf	128.000000	100	9999-12-31	2013-05-08	3507
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_SDP_CRG_press.and_temp.survey_29E_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_SDP_CRG_press.and_temp.survey_29E_encl_1.pdf	pdf	161.000000	100	9999-12-31	2013-05-08	3508
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_SDP_CRG_press.and_temp.survey_29E_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_SDP_CRG_press.and_temp.survey_29E_encl_2.pdf	pdf	142.000000	100	9999-12-31	2013-05-08	3509
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_SDP_CRG_press.and_temp.survey_29E_Flopetrol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_SDP_CRG_press.and_temp.survey_29E_Flopetrol.pdf	pdf	9978.000000	100	9999-12-31	2013-05-08	3510
31/3-2	REPORTED BY LICENSEE	100_05_31_3_2_SDP_CRG_press.and_temp.survey_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_05_31_3_2_SDP_CRG_press.and_temp.survey_encl_1.pdf	pdf	124.000000	100	9999-12-31	2013-05-08	3511
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone.pdf	pdf	238.000000	100	9999-12-31	2013-05-08	3512
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_1.pdf	pdf	381.000000	100	9999-12-31	2013-05-08	3513
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_10	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_10.pdf	pdf	422.000000	100	9999-12-31	2013-05-08	3514
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_11	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_11.pdf	pdf	437.000000	100	9999-12-31	2013-05-08	3515
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_12	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_12.pdf	pdf	343.000000	100	9999-12-31	2013-05-08	3516
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_13	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_13.pdf	pdf	284.000000	100	9999-12-31	2013-05-08	3517
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_14	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_14.pdf	pdf	396.000000	100	9999-12-31	2013-05-08	3518
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_15	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_15.pdf	pdf	386.000000	100	9999-12-31	2013-05-08	3519
31/6-6	GEOCHEMICAL INFORMATION	127_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/127_1.pdf	pdf	1185.000000	127	9999-12-31	2013-05-08	3681
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_16	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_16.pdf	pdf	264.000000	100	9999-12-31	2013-05-08	3520
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_17	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_17.pdf	pdf	276.000000	100	9999-12-31	2013-05-08	3521
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_18	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_18.pdf	pdf	167.000000	100	9999-12-31	2013-05-08	3522
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_19	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_19.pdf	pdf	354.000000	100	9999-12-31	2013-05-08	3523
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_2.pdf	pdf	1085.000000	100	9999-12-31	2013-05-08	3524
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_20	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_20.pdf	pdf	312.000000	100	9999-12-31	2013-05-08	3525
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_21	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_21.pdf	pdf	388.000000	100	9999-12-31	2013-05-08	3526
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_22	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_22.pdf	pdf	382.000000	100	9999-12-31	2013-05-08	3527
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_23	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_23.pdf	pdf	313.000000	100	9999-12-31	2013-05-08	3528
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_24	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_24.pdf	pdf	317.000000	100	9999-12-31	2013-05-08	3529
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_25	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_25.pdf	pdf	188.000000	100	9999-12-31	2013-05-08	3530
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_26	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_26.pdf	pdf	163.000000	100	9999-12-31	2013-05-08	3531
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_27	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_27.pdf	pdf	140.000000	100	9999-12-31	2013-05-08	3532
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_28	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_28.pdf	pdf	140.000000	100	9999-12-31	2013-05-08	3533
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_29	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_29.tif	tif	140.000000	100	9999-12-31	2013-05-08	3534
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_3.pdf	pdf	31.000000	100	9999-12-31	2013-05-08	3535
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_4.pdf	pdf	36.000000	100	9999-12-31	2013-05-08	3536
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_5.pdf	pdf	821.000000	100	9999-12-31	2013-05-08	3537
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_6.pdf	pdf	1062.000000	100	9999-12-31	2013-05-08	3538
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_7.pdf	pdf	3813.000000	100	9999-12-31	2013-05-08	3539
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_8	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_8.pdf	pdf	3341.000000	100	9999-12-31	2013-05-08	3540
31/3-2	REPORTED BY LICENSEE	100_07_31_3_2_Borehole_geoph.well_Geophone_encl_9	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/100_07_31_3_2_Borehole_geoph.well_Geophone_encl_9.pdf	pdf	92.000000	100	9999-12-31	2013-05-08	3541
31/3-3	GEOCHEMICAL INFORMATION	447_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/447_1.pdf	pdf	182.000000	447	9999-12-31	2013-05-08	3542
31/3-3	GEOCHEMICAL INFORMATION	447_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/447_2.pdf	pdf	389.000000	447	9999-12-31	2013-05-08	3543
31/3-3	GEOCHEMICAL INFORMATION	447_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/447_3.pdf	pdf	3488.000000	447	9999-12-31	2013-05-08	3544
31/3-3	OLD NPD WDSS	447_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/447_01_WDSS_General_Information.pdf	pdf	216.000000	447	9999-12-31	2013-05-08	3545
31/3-3	OLD NPD WDSS	447_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/447_02_WDSS_completion_log.pdf	pdf	244.000000	447	9999-12-31	2013-05-08	3546
31/3-3	REPORTED BY LICENSEE	447_01_31_3_3_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/447_01_31_3_3_Completion_Report_and_Completion_log.pdf	pdf	13776.000000	447	9999-12-31	2013-05-08	3547
31/3-3	REPORTED BY LICENSEE	447_02_31_3_3_Final_well_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/447_02_31_3_3_Final_well_report.pdf	pdf	6046.000000	447	9999-12-31	2013-05-08	3548
31/3-3	REPORTED BY LICENSEE	447_03_31_3_3_Well_programme	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/447_03_31_3_3_Well_programme.pdf	pdf	2784.000000	447	9999-12-31	2013-05-08	3549
31/3-3	REPORTED BY LICENSEE	447_04_31_3_3_Well_prognosis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/447_04_31_3_3_Well_prognosis.pdf	pdf	157.000000	447	9999-12-31	2013-05-08	3550
31/3-3	REPORTED BY LICENSEE	447_05_31_3_3_Site_Survey	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/447_05_31_3_3_Site_Survey.pdf	pdf	844.000000	447	9999-12-31	2013-05-08	3551
31/3-3	REPORTED BY LICENSEE	447_06_31_3_3_Display_panel	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/447_06_31_3_3_Display_panel.pdf	pdf	1762.000000	447	9999-12-31	2013-05-08	3552
31/3-3	REPORTED BY LICENSEE	447_07_31_3_3_Core_gamma_surface_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/447_07_31_3_3_Core_gamma_surface_log.pdf	pdf	267.000000	447	9999-12-31	2013-05-08	3553
31/3-3	REPORTED BY LICENSEE	447_08_31_3_3_Routine_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/447_08_31_3_3_Routine_core_analysis.pdf	pdf	4239.000000	447	9999-12-31	2013-05-08	3554
31/4-1	OLD NPD WDSS	400_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/400_01_WDSS_General_Information.pdf	pdf	95.000000	400	9999-12-31	2013-05-08	3555
31/4-1	OLD NPD WDSS	400_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/400_02_WDSS_completion_log.pdf	pdf	89.000000	400	9999-12-31	2013-05-08	3556
31/4-1	REPORTED BY LICENSEE	400_01_31_4_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/400_01_31_4_1_Completion_Report_and_Completion_log.pdf	pdf	4057.000000	400	9999-12-31	2013-05-08	3557
31/4-2	OLD NPD WDSS	401_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/401_01_WDSS_General_Information.pdf	pdf	112.000000	401	9999-12-31	2013-05-08	3558
31/4-2	OLD NPD WDSS	401_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/401_02_WDSS_completion_log.pdf	pdf	175.000000	401	9999-12-31	2013-05-08	3559
31/4-3	OLD NPD WDSS	402_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/402_01_WDSS_General_Information.pdf	pdf	247.000000	402	9999-12-31	2013-05-08	3560
31/4-3	OLD NPD WDSS	402_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/402_02_WDSS_completion_log.pdf	pdf	347.000000	402	9999-12-31	2013-05-08	3561
31/4-4	COMPOSITE LOG	214	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/214.pdf	pdf	486.000000	214	9999-12-31	2013-05-08	3562
31/4-4	GEOCHEMICAL INFORMATION	214_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/214_1.pdf	pdf	529.000000	214	9999-12-31	2013-05-08	3563
31/4-4	GEOCHEMICAL INFORMATION	214_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/214_2.pdf	pdf	1696.000000	214	9999-12-31	2013-05-08	3564
31/4-4	OLD NPD WDSS	214_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/214_01_WDSS_General_Information.pdf	pdf	97.000000	214	9999-12-31	2013-05-08	3565
31/4-4	OLD NPD WDSS	214_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/214_02_WDSS_completion_log.pdf	pdf	267.000000	214	9999-12-31	2013-05-08	3566
31/4-4	REPORTED BY LICENSEE	214_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/214_01_Completion_Report.pdf	pdf	12427.000000	214	9999-12-31	2013-05-08	3567
31/4-4	REPORTED BY LICENSEE	214_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/214_02_Completion_log.pdf	pdf	2241.000000	214	9999-12-31	2013-05-08	3568
31/4-5	OLD NPD WDSS	403_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/403_01_WDSS_General_Information.pdf	pdf	106.000000	403	9999-12-31	2013-05-08	3569
31/4-5	OLD NPD WDSS	403_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/403_02_WDSS_completion_log.pdf	pdf	262.000000	403	9999-12-31	2013-05-08	3570
31/4-6	OLD NPD WDSS	43_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/43_01_WDSS_General_Information.pdf	pdf	174.000000	43	9999-12-31	2013-05-08	3571
31/4-6	OLD NPD WDSS	43_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/43_02_WDSS_completion_log.pdf	pdf	193.000000	43	9999-12-31	2013-05-08	3572
31/4-7	OLD NPD WDSS	235_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/235_01_WDSS_General_Information.pdf	pdf	217.000000	235	9999-12-31	2013-05-08	3573
31/4-7	OLD NPD WDSS	235_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/235_02_WDSS_completion_log.pdf	pdf	246.000000	235	9999-12-31	2013-05-08	3574
31/4-8	OLD NPD WDSS	312_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/312_01_WDSS_General_Information.pdf	pdf	355.000000	312	9999-12-31	2013-05-08	3575
31/4-8	OLD NPD WDSS	312_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/312_02_WDSS_completion_log.pdf	pdf	214.000000	312	9999-12-31	2013-05-08	3576
31/4-9	OLD NPD WDSS	1026_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1026_01_WDSS_General_Information.pdf	pdf	378.000000	1026	9999-12-31	2013-05-08	3577
31/4-9	OLD NPD WDSS	1026_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1026_02_WDSS_completion_log.pdf	pdf	198.000000	1026	9999-12-31	2013-05-08	3578
31/5-1	OLD NPD WDSS	27_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/27_01_WDSS_General_Information.pdf	pdf	95.000000	27	9999-12-31	2013-05-08	3579
31/5-1	OLD NPD WDSS	27_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/27_02_WDSS_completion_log.pdf	pdf	107.000000	27	9999-12-31	2013-05-08	3580
31/5-1	REPORTED BY LICENSEE	27_01_31_5_1_Completion_Report_and_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/27_01_31_5_1_Completion_Report_and_Completionlog.pdf	pdf	17022.000000	27	9999-12-31	2013-05-08	3581
31/5-2	GEOCHEMICAL INFORMATION	32_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/32_1.pdf	pdf	582.000000	32	9999-12-31	2013-05-08	3582
31/5-2	GEOCHEMICAL INFORMATION	32_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/32_2.pdf	pdf	329.000000	32	9999-12-31	2013-05-08	3583
31/5-2	GEOCHEMICAL INFORMATION	32_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/32_3.pdf	pdf	3500.000000	32	9999-12-31	2013-05-08	3584
31/5-2	REPORTED BY LICENSEE	32_01_31_5_2_Completion_Report_and_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/32_01_31_5_2_Completion_Report_and_Completionlog.pdf	pdf	17022.000000	32	9999-12-31	2013-05-08	3585
31/5-2	REPORTED BY LICENSEE	32_02_31_5_2_Test_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/32_02_31_5_2_Test_report.pdf	pdf	3895.000000	32	9999-12-31	2013-05-08	3586
31/5-2 R	GEOCHEMICAL INFORMATION	499_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/499_1.pdf	pdf	582.000000	499	9999-12-31	2013-05-08	3587
31/5-2 R	GEOCHEMICAL INFORMATION	499_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/499_2.pdf	pdf	241.000000	499	9999-12-31	2013-05-08	3588
31/5-2 R	GEOCHEMICAL INFORMATION	499_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/499_3.pdf	pdf	4002.000000	499	9999-12-31	2013-05-08	3589
31/5-2 R	OLD NPD WDSS	499_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/499_01_WDSS_General_Information.pdf	pdf	242.000000	499	9999-12-31	2013-05-08	3590
31/5-2 R	OLD NPD WDSS	499_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/499_02_WDSS_completion_log.pdf	pdf	243.000000	499	9999-12-31	2013-05-08	3591
31/5-3	COMPOSITE LOG	101	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/101.pdf	pdf	351.000000	101	9999-12-31	2013-05-08	3592
31/5-3	OLD NPD WDSS	101_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/101_01_WDSS_General_Information.pdf	pdf	218.000000	101	9999-12-31	2013-05-08	3593
31/5-3	OLD NPD WDSS	101_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/101_02_WDSS_completion_log.pdf	pdf	223.000000	101	9999-12-31	2013-05-08	3594
31/5-3	REPORTED BY LICENSEE	101_01_31_5_3_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/101_01_31_5_3_Completion_Report_and_Completion_log.pdf	pdf	12083.000000	101	9999-12-31	2013-05-08	3595
31/5-4 A	COMPOSITE LOG	1689	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1689.pdf	pdf	176.000000	1689	9999-12-31	2013-05-08	3596
31/5-4 A	OLD NPD WDSS	1689_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1689_01_WDSS_General_Information.pdf	pdf	160.000000	1689	9999-12-31	2013-05-08	3597
31/5-4 A	OLD NPD WDSS	1689_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1689_02_WDSS_completion_log.pdf	pdf	152.000000	1689	9999-12-31	2013-05-08	3598
31/5-4 S	COMPOSITE LOG	1669	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1669.pdf	pdf	173.000000	1669	9999-12-31	2013-05-08	3599
31/5-4 S	OLD NPD WDSS	1669_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1669_01_WDSS_General_Information.pdf	pdf	200.000000	1669	9999-12-31	2013-05-08	3600
31/5-4 S	OLD NPD WDSS	1669_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1669_02_WDSS_completion_log.pdf	pdf	139.000000	1669	9999-12-31	2013-05-08	3601
31/5-5	COMPOSITE LOG	2059	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2059.pdf	pdf	258.000000	2059	9999-12-31	2013-05-08	3602
31/5-6	COMPOSITE LOG	4128	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4128.pdf	pdf	252.000000	4128	9999-12-31	2013-05-08	3603
31/5-6	GEOCHEMICAL INFORMATION	4128_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4128_1.pdf	pdf	1878.000000	4128	9999-12-31	2013-05-08	3604
31/5-6	GEOCHEMICAL INFORMATION	4128_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4128_2.pdf	pdf	1883.000000	4128	9999-12-31	2013-05-08	3605
31/5-6	GEOCHEMICAL INFORMATION	4128_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4128_3.pdf	pdf	1145.000000	4128	9999-12-31	2013-05-08	3606
31/6-1	COMPOSITE LOG	22	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/22.pdf	pdf	633.000000	22	9999-12-31	2013-05-08	3607
31/6-1	GEOCHEMICAL INFORMATION	22_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/22_1.pdf	pdf	961.000000	22	9999-12-31	2013-05-08	3608
31/6-1	GEOCHEMICAL INFORMATION	22_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/22_2.pdf	pdf	245.000000	22	9999-12-31	2013-05-08	3609
31/6-1	GEOCHEMICAL INFORMATION	22_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/22_3.pdf	pdf	6561.000000	22	9999-12-31	2013-05-08	3610
31/6-1	OLD NPD WDSS	22_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/22_01_WDSS_General_Information.pdf	pdf	271.000000	22	9999-12-31	2013-05-08	3611
31/6-1	OLD NPD WDSS	22_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/22_02_WDSS_completion_log.pdf	pdf	387.000000	22	9999-12-31	2013-05-08	3612
31/6-1	REPORTED BY LICENSEE	22_01_31_6_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/22_01_31_6_1_Completion_Report_and_Completion_log.pdf	pdf	22240.000000	22	9999-12-31	2013-05-08	3613
31/6-2	GEOCHEMICAL INFORMATION	34_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/34_1.pdf	pdf	557.000000	34	9999-12-31	2013-05-08	3614
31/6-2	GEOCHEMICAL INFORMATION	34_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/34_2.pdf	pdf	483.000000	34	9999-12-31	2013-05-08	3615
31/6-2	OLD NPD WDSS	34_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/34_01_WDSS_General_Information.pdf	pdf	304.000000	34	9999-12-31	2013-05-08	3616
31/6-2	OLD NPD WDSS	34_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/34_02_WDSS_completion_log.pdf	pdf	226.000000	34	9999-12-31	2013-05-08	3617
31/6-2	REPORTED BY LICENSEE	34_01_31_6_2_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_01_31_6_2_Completion_Report.pdf	pdf	18976.000000	34	9999-12-31	2013-05-08	3618
31/6-2	REPORTED BY LICENSEE	34_02_31_6_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_02_31_6_2_Completion_log.pdf	pdf	1286.000000	34	9999-12-31	2013-05-08	3619
31/6-2	REPORTED BY LICENSEE	34_03_31_6_2_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_03_31_6_2_Biostratigraphy.pdf	pdf	7280.000000	34	9999-12-31	2013-05-08	3620
31/6-2	REPORTED BY LICENSEE	34_03_31_6_2_Biostratigraphy_Kerogen_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_03_31_6_2_Biostratigraphy_Kerogen_Analysis.pdf	pdf	876.000000	34	9999-12-31	2013-05-08	3621
31/6-2	REPORTED BY LICENSEE	34_03_31_6_2_Formation_resistivity_factor	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_03_31_6_2_Formation_resistivity_factor.pdf	pdf	456.000000	34	9999-12-31	2013-05-08	3622
31/6-2	REPORTED BY LICENSEE	34_03_31_6_2_Mud_Reservoired_and_Headspace_gas_Geochemistry	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_03_31_6_2_Mud_Reservoired_and_Headspace_gas_Geochemistry.pdf	pdf	663.000000	34	9999-12-31	2013-05-08	3623
31/6-2	REPORTED BY LICENSEE	34_03_31_6_2_Palynofacies_and_Palynostratigraphy_interval_1332-1846m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_03_31_6_2_Palynofacies_and_Palynostratigraphy_interval_1332-1846m.pdf	pdf	13958.000000	34	9999-12-31	2013-05-08	3624
31/6-2	REPORTED BY LICENSEE	34_03_31_6_2_Source_rock_evaluation_of_well	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_03_31_6_2_Source_rock_evaluation_of_well.pdf	pdf	6309.000000	34	9999-12-31	2013-05-08	3625
31/6-2	REPORTED BY LICENSEE	34_04_31_6_2_Grain_size_distribution	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_04_31_6_2_Grain_size_distribution.pdf	pdf	6118.000000	34	9999-12-31	2013-05-08	3626
31/6-2	REPORTED BY LICENSEE	34_04_31_6_2_Grain_size_distribution_analyses_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_04_31_6_2_Grain_size_distribution_analyses_2.pdf	pdf	2464.000000	34	9999-12-31	2013-05-08	3627
31/6-2	REPORTED BY LICENSEE	34_04_31_6_2_Hydrocarbon_evaluation_of_core_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_04_31_6_2_Hydrocarbon_evaluation_of_core_samples.pdf	pdf	845.000000	34	9999-12-31	2013-05-08	3628
31/6-2	REPORTED BY LICENSEE	34_04_31_6_2_Routine_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_04_31_6_2_Routine_Core_Analysis.pdf	pdf	2595.000000	34	9999-12-31	2013-05-08	3629
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Analyse_av_vannprøver	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Analyse_av_vannprøver.pdf	pdf	1073.000000	34	9999-12-31	2013-05-08	3630
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Completion_Fluid_Monitoring	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Completion_Fluid_Monitoring.pdf	pdf	9447.000000	34	9999-12-31	2013-05-08	3631
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Gauge_performance_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Gauge_performance_report.pdf	pdf	172.000000	34	9999-12-31	2013-05-08	3632
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Otis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Otis.pdf	pdf	25982.000000	34	9999-12-31	2013-05-08	3633
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Pressure_Survey_Report-Clean_Up_Flows	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Pressure_Survey_Report-Clean_Up_Flows.pdf	pdf	5827.000000	34	9999-12-31	2013-05-08	3634
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Pressure_Survey_Report-Gauge_No.0063	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Pressure_Survey_Report-Gauge_No.0063.pdf	pdf	8915.000000	34	9999-12-31	2013-05-08	3635
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Pressure_Survey_Report-Gauge_No.0248-0063	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Pressure_Survey_Report-Gauge_No.0248-0063.pdf	pdf	5380.000000	34	9999-12-31	2013-05-08	3636
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Pressure_Survey_Report-Pre_Gravel-Pack_Test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Pressure_Survey_Report-Pre_Gravel-Pack_Test.pdf	pdf	6174.000000	34	9999-12-31	2013-05-08	3637
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Pressure_Survey_Report_D.S.T_No 1-PartII	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Pressure_Survey_Report_D.S.T_No 1-PartII.pdf	pdf	6400.000000	34	9999-12-31	2013-05-08	3638
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Pressure_temperature_measurements_CRG_82818	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Pressure_temperature_measurements_CRG_82818.pdf	pdf	3186.000000	34	9999-12-31	2013-05-08	3639
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Pressure_temperature_measurements_CRG_82819	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Pressure_temperature_measurements_CRG_82819.pdf	pdf	3031.000000	34	9999-12-31	2013-05-08	3640
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_SDP_bottom_hole_pressure_and_temperature	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_SDP_bottom_hole_pressure_and_temperature.pdf	pdf	17595.000000	34	9999-12-31	2013-05-08	3641
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_SDP_bottom_hole_survay	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_SDP_bottom_hole_survay.pdf	pdf	2770.000000	34	9999-12-31	2013-05-08	3642
31/6-2	REPORTED BY LICENSEE	34_05_31_6_2_Troll_Completion_Fluids	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/34_05_31_6_2_Troll_Completion_Fluids.pdf	pdf	6408.000000	34	9999-12-31	2013-05-08	3643
31/6-2 R	COMPOSITE LOG	498	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/498.pdf	pdf	415.000000	498	9999-12-31	2013-05-08	3644
31/6-3	COMPOSITE LOG	35	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/35.pdf	pdf	428.000000	35	9999-12-31	2013-05-08	3645
31/6-3	GEOCHEMICAL INFORMATION	35_1_SOURCE_ROCK_ANALYSIS_OF_WELL31_6_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/35_1_SOURCE_ROCK_ANALYSIS_OF_WELL31_6_3.pdf	pdf	6698.000000	35	9999-12-31	2013-05-08	3646
31/6-3	GEOCHEMICAL INFORMATION	35_2_Source_Rock_Analyses_for well31_6_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/35_2_Source_Rock_Analyses_for well31_6_3.pdf	pdf	1189.000000	35	9999-12-31	2013-05-08	3647
31/6-3	GEOCHEMICAL INFORMATION	35_3_Hydrocarbon_characterisation_of wells_31_6_1_and_31_6_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/35_3_Hydrocarbon_characterisation_of wells_31_6_1_and_31_6_3.pdf	pdf	7087.000000	35	9999-12-31	2013-05-08	3648
31/6-3	OLD NPD WDSS	35_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/35_01_WDSS_General_Information.pdf	pdf	169.000000	35	9999-12-31	2013-05-08	3649
31/6-3	OLD NPD WDSS	35_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/35_02_WDSS_completion_log.pdf	pdf	251.000000	35	9999-12-31	2013-05-08	3650
31/6-4	COMPOSITE LOG	404	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/404.pdf	pdf	56.000000	404	9999-12-31	2013-05-08	3651
31/6-4	OLD NPD WDSS	404_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/404_01_WDSS_General_Information.pdf	pdf	131.000000	404	9999-12-31	2013-05-08	3652
31/6-4	OLD NPD WDSS	404_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/404_02_WDSS_completion_log.pdf	pdf	102.000000	404	9999-12-31	2013-05-08	3653
31/6-4	REPORTED BY LICENSEE	404_01_31_6_4_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/404_01_31_6_4_Completion_Report_and_Completion_log.pdf	pdf	16112.000000	404	9999-12-31	2013-05-08	3654
31/6-5	COMPOSITE LOG	105	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/105.pdf	pdf	331.000000	105	9999-12-31	2013-05-08	3655
31/6-5	GEOCHEMICAL INFORMATION	105_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/105_1.pdf	pdf	459.000000	105	9999-12-31	2013-05-08	3656
31/6-5	GEOCHEMICAL INFORMATION	105_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/105_2.pdf	pdf	264.000000	105	9999-12-31	2013-05-08	3657
31/6-5	GEOCHEMICAL INFORMATION	105_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/105_3.pdf	pdf	4753.000000	105	9999-12-31	2013-05-08	3658
31/6-5	OLD NPD WDSS	105_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/105_01_WDSS_General_Information.pdf	pdf	182.000000	105	9999-12-31	2013-05-08	3659
31/6-5	OLD NPD WDSS	105_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/105_02_WDSS_completion_log.pdf	pdf	212.000000	105	9999-12-31	2013-05-08	3660
31/6-5	REPORTED BY LICENSEE	105_01_31_6_5_Completion_Report_and_Completio_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_01_31_6_5_Completion_Report_and_Completio_log.pdf	pdf	28813.000000	105	9999-12-31	2013-05-08	3661
31/6-5	REPORTED BY LICENSEE	105_03_31_6_5_Formation_Resistivity_Factor	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_03_31_6_5_Formation_Resistivity_Factor.pdf	pdf	1310.000000	105	9999-12-31	2013-05-08	3662
31/6-5	REPORTED BY LICENSEE	105_03_31_6_5_Hydrocarbon_Characterisation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_03_31_6_5_Hydrocarbon_Characterisation.pdf	pdf	6374.000000	105	9999-12-31	2013-05-08	3663
31/6-5	REPORTED BY LICENSEE	105_03_31_6_5_PVT_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_03_31_6_5_PVT_Analysis.pdf	pdf	807.000000	105	9999-12-31	2013-05-08	3664
31/6-5	REPORTED BY LICENSEE	105_03_31_6_5_Reservoir_Gas_Geochemistry_on_Sample	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_03_31_6_5_Reservoir_Gas_Geochemistry_on_Sample.pdf	pdf	299.000000	105	9999-12-31	2013-05-08	3665
31/6-5	REPORTED BY LICENSEE	105_04_31_6_5_Grain_Size_Distribution_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_04_31_6_5_Grain_Size_Distribution_Analysis.pdf	pdf	17512.000000	105	9999-12-31	2013-05-08	3666
31/6-5	REPORTED BY LICENSEE	105_04_31_6_5_Routine_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_04_31_6_5_Routine_Core_Analysis.pdf	pdf	3730.000000	105	9999-12-31	2013-05-08	3667
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_Compositional_Analyses_of_Seperator_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_Compositional_Analyses_of_Seperator_Samples.pdf	pdf	602.000000	105	9999-12-31	2013-05-08	3668
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_Exploration_and_production_tests_on_gas	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_Exploration_and_production_tests_on_gas.pdf	pdf	1430.000000	105	9999-12-31	2013-05-08	3669
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_Gauge_No_0001-0241	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_Gauge_No_0001-0241.pdf	pdf	5612.000000	105	9999-12-31	2013-05-08	3670
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_Gauge_Performance_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_Gauge_Performance_Report.pdf	pdf	251.000000	105	9999-12-31	2013-05-08	3671
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_Pressure_Survey_Report_DST_No_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_Pressure_Survey_Report_DST_No_1.pdf	pdf	9765.000000	105	9999-12-31	2013-05-08	3672
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_Pressure_Survey_Report_DST_No_1A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_Pressure_Survey_Report_DST_No_1A.pdf	pdf	10321.000000	105	9999-12-31	2013-05-08	3673
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_Pressure_Survey_Report_Gauge_no.0052	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_Pressure_Survey_Report_Gauge_no.0052.pdf	pdf	2281.000000	105	9999-12-31	2013-05-08	3674
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_Statoils_Strømningsmåler	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_Statoils_Strømningsmåler.pdf	pdf	6444.000000	105	9999-12-31	2013-05-08	3675
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_TBP-Destillasjon_DST1A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_TBP-Destillasjon_DST1A.pdf	pdf	1190.000000	105	9999-12-31	2013-05-08	3676
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_TBP-distillation_FMT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_TBP-distillation_FMT.pdf	pdf	883.000000	105	9999-12-31	2013-05-08	3677
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_Testrapport_Nr.1-1A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_Testrapport_Nr.1-1A.pdf	pdf	15530.000000	105	9999-12-31	2013-05-08	3678
31/6-5	REPORTED BY LICENSEE	105_05_31_6_5_Well_Test_Report_Metric_Conditions	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/105_05_31_6_5_Well_Test_Report_Metric_Conditions.pdf	pdf	16882.000000	105	9999-12-31	2013-05-08	3679
31/6-6	GEOCHEMICAL INFORMATION	127_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/127_2.pdf	pdf	259.000000	127	9999-12-31	2013-05-08	3682
31/6-6	GEOCHEMICAL INFORMATION	127_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/127_3.pdf	pdf	4726.000000	127	9999-12-31	2013-05-08	3683
31/6-6	OLD NPD WDSS	127_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/127_01_WDSS_General_Information.pdf	pdf	235.000000	127	9999-12-31	2013-05-08	3684
31/6-6	OLD NPD WDSS	127_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/127_02_WDSS_completion_log.pdf	pdf	250.000000	127	9999-12-31	2013-05-08	3685
31/6-6	REPORTED BY LICENSEE	127_01_31_6_6_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_01_31_6_6_Completion_Report_and_Completion_log.pdf	pdf	23657.000000	127	9999-12-31	2013-05-08	3686
31/6-6	REPORTED BY LICENSEE	127_03_31_6_6_Biostratigraphy_Kerogen_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_03_31_6_6_Biostratigraphy_Kerogen_Analysis.pdf	pdf	8006.000000	127	9999-12-31	2013-05-08	3687
31/6-6	REPORTED BY LICENSEE	127_03_31_6_6_En_Petrografisk_Undersøkelse_av_Brønn	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_03_31_6_6_En_Petrografisk_Undersøkelse_av_Brønn.pdf	pdf	55709.000000	127	9999-12-31	2013-05-08	3688
31/6-6	REPORTED BY LICENSEE	127_03_31_6_6_Formation_Resistivity_Factor	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_03_31_6_6_Formation_Resistivity_Factor.pdf	pdf	393.000000	127	9999-12-31	2013-05-08	3689
31/6-6	REPORTED BY LICENSEE	127_03_31_6_6_Petrofysisk_evaluering	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_03_31_6_6_Petrofysisk_evaluering.pdf	pdf	3773.000000	127	9999-12-31	2013-05-08	3690
31/6-6	REPORTED BY LICENSEE	127_03_31_6_6_Reservoir_gas_geochemistry	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_03_31_6_6_Reservoir_gas_geochemistry.pdf	pdf	338.000000	127	9999-12-31	2013-05-08	3691
31/6-6	REPORTED BY LICENSEE	127_04_31_6_6_Grain_Size_Distributation_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_04_31_6_6_Grain_Size_Distributation_Analysis.pdf	pdf	1141.000000	127	9999-12-31	2013-05-08	3692
31/6-6	REPORTED BY LICENSEE	127_04_31_6_6_Routine_core_analyses	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_04_31_6_6_Routine_core_analyses.pdf	pdf	3818.000000	127	9999-12-31	2013-05-08	3693
31/6-6	REPORTED BY LICENSEE	127_05_31_6_6_Compositional_Analysis_DST2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_05_31_6_6_Compositional_Analysis_DST2.pdf	pdf	159.000000	127	9999-12-31	2013-05-08	3694
31/6-6	REPORTED BY LICENSEE	127_05_31_6_6_Pressure_Survey_Report_Test-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_05_31_6_6_Pressure_Survey_Report_Test-1.pdf	pdf	6325.000000	127	9999-12-31	2013-05-08	3695
31/6-6	REPORTED BY LICENSEE	127_05_31_6_6_Pressure_Survey_Report_Test-1A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_05_31_6_6_Pressure_Survey_Report_Test-1A.pdf	pdf	12624.000000	127	9999-12-31	2013-05-08	3696
31/6-6	REPORTED BY LICENSEE	127_05_31_6_6_Pressure_Survey_Report_Test-2_Run-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_05_31_6_6_Pressure_Survey_Report_Test-2_Run-1.pdf	pdf	11079.000000	127	9999-12-31	2013-05-08	3697
31/6-6	REPORTED BY LICENSEE	127_05_31_6_6_Pressure_Temperature_Measurement	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_05_31_6_6_Pressure_Temperature_Measurement.pdf	pdf	13546.000000	127	9999-12-31	2013-05-08	3698
31/6-6	REPORTED BY LICENSEE	127_05_31_6_6_SDP_Pressure_Temperature_Survey-Test_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_05_31_6_6_SDP_Pressure_Temperature_Survey-Test_2.pdf	pdf	5045.000000	127	9999-12-31	2013-05-08	3699
31/6-6	REPORTED BY LICENSEE	127_05_31_6_6_The_Composition_of_Statoil_Gas_Well	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/127_05_31_6_6_The_Composition_of_Statoil_Gas_Well.pdf	pdf	1331.000000	127	9999-12-31	2013-05-08	3700
31/6-7	COMPOSITE LOG	141	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/141.pdf	pdf	41.000000	141	9999-12-31	2013-05-08	3701
31/6-7	OLD NPD WDSS	141_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/141_01_WDSS_General_Information.pdf	pdf	175.000000	141	9999-12-31	2013-05-08	3702
31/6-7	OLD NPD WDSS	141_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/141_02_WDSS_completion_log.pdf	pdf	91.000000	141	9999-12-31	2013-05-08	3703
31/6-8	COMPOSITE LOG	466	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/466.pdf	pdf	303.000000	466	9999-12-31	2013-05-08	3704
31/6-8	OLD NPD WDSS	466_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/466_01_WDSS_General_Information.pdf	pdf	366.000000	466	9999-12-31	2013-05-08	3705
31/6-8	OLD NPD WDSS	466_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/466_02_WDSS_completion_log.pdf	pdf	197.000000	466	9999-12-31	2013-05-08	3706
31/6-8	REPORTED BY LICENSEE	466_05_31_6_8_Test_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/466_05_31_6_8_Test_report.pdf	pdf	29315.000000	466	9999-12-31	2013-05-08	3707
31/6-8	REPORTED BY LICENSEE	466_05_31_6_8_TEST_report_encl1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/466_05_31_6_8_TEST_report_encl1.pdf	pdf	3667.000000	466	9999-12-31	2013-05-08	3708
31/6-8	REPORTED BY LICENSEE	466_05_31_6_8_TEST_report_encl2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/466_05_31_6_8_TEST_report_encl2.pdf	pdf	764.000000	466	9999-12-31	2013-05-08	3709
31/6-8	REPORTED BY LICENSEE	466_05_31_6_8_TEST_report_encl3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/466_05_31_6_8_TEST_report_encl3.pdf	pdf	2415.000000	466	9999-12-31	2013-05-08	3710
31/6-8 R	REPORTED BY LICENSEE	493_01_31_6_8_R_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/493_01_31_6_8_R_Completion_report.pdf	pdf	2946.000000	493	9999-12-31	2013-05-08	3711
32/4-1	COMPOSITE LOG	2918	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2918.pdf	pdf	367.000000	2918	9999-12-31	2013-05-08	3712
32/4-1	GEOCHEMICAL INFORMATION	2918_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2918_1.pdf	pdf	1622.000000	2918	9999-12-31	2013-05-08	3713
32/4-1	GEOCHEMICAL INFORMATION	2918_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2918_2.pdf	pdf	494.000000	2918	9999-12-31	2013-05-08	3714
33/12-1	OLD NPD WDSS	417_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/417_01_WDSS_General_Information.pdf	pdf	265.000000	417	9999-12-31	2013-05-08	3715
33/12-2	OLD NPD WDSS	418_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/418_01_WDSS_General_Information.pdf	pdf	270.000000	418	9999-12-31	2013-05-08	3716
33/12-3	OLD NPD WDSS	841_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/841_01_WDSS_General_Information.pdf	pdf	240.000000	841	9999-12-31	2013-05-08	3717
33/12-4	OLD NPD WDSS	126_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/126_01_WDSS_General_Information.pdf	pdf	251.000000	126	9999-12-31	2013-05-08	3718
33/12-5	OLD NPD WDSS	115_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/115_01_WDSS_General_Information.pdf	pdf	275.000000	115	9999-12-31	2013-05-08	3719
33/12-6	OLD NPD WDSS	119_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/119_01_WDSS_General_Information.pdf	pdf	282.000000	119	9999-12-31	2013-05-08	3720
33/12-7	COMPOSITE LOG	1358	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1358.pdf	pdf	534.000000	1358	9999-12-31	2013-05-08	3721
33/12-7	GEOCHEMICAL INFORMATION	1358_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1358_1.pdf	pdf	1696.000000	1358	9999-12-31	2013-05-08	3722
33/12-7	OLD NPD WDSS	1358_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1358_01_WDSS_General_Information.pdf	pdf	228.000000	1358	9999-12-31	2013-05-08	3723
33/12-7	OLD NPD WDSS	1358_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1358_02_WDSS_completion_log.pdf	pdf	214.000000	1358	9999-12-31	2013-05-08	3724
33/12-8 A	COMPOSITE LOG	4532	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4532.pdf	pdf	568.000000	4532	9999-12-31	2013-05-08	3725
33/12-8 S	COMPOSITE LOG	4493	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4493.pdf	pdf	315.000000	4493	9999-12-31	2013-05-08	3726
33/5-1	COMPOSITE LOG	103	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/103.pdf	pdf	528.000000	103	9999-12-31	2013-05-08	3727
33/5-1	GEOCHEMICAL INFORMATION	103_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/103_1.pdf	pdf	7744.000000	103	9999-12-31	2013-05-08	3728
33/5-1	GEOCHEMICAL INFORMATION	103_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/103_2.pdf	pdf	665.000000	103	9999-12-31	2013-05-08	3729
33/5-1	GEOCHEMICAL INFORMATION	103_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/103_3.pdf	pdf	927.000000	103	9999-12-31	2013-05-08	3730
33/5-1	OLD NPD WDSS	103_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/103_01_WDSS_General_Information.pdf	pdf	116.000000	103	9999-12-31	2013-05-08	3731
33/5-1	OLD NPD WDSS	103_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/103_02_WDSS_completion_log.pdf	pdf	230.000000	103	9999-12-31	2013-05-08	3732
33/5-1	REPORTED BY LICENSEE	103_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/103_1_Completion_Report_&_Completion_log.pdf	pdf	13573.000000	103	9999-12-31	2013-05-08	3733
33/5-2	COMPOSITE LOG	405	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/405.pdf	pdf	636.000000	405	9999-12-31	2013-05-08	3734
33/5-2	GEOCHEMICAL INFORMATION	405_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/405_1.pdf	pdf	2958.000000	405	9999-12-31	2013-05-08	3735
33/5-2	GEOCHEMICAL INFORMATION	405_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/405_2.pdf	pdf	4258.000000	405	9999-12-31	2013-05-08	3736
33/5-2	GEOCHEMICAL INFORMATION	405_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/405_3.pdf	pdf	4956.000000	405	9999-12-31	2013-05-08	3737
33/5-2	OLD NPD WDSS	405_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/405_01_WDSS_General_Information.pdf	pdf	101.000000	405	9999-12-31	2013-05-08	3738
33/5-2	OLD NPD WDSS	405_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/405_02_WDSS_completion_log.pdf	pdf	296.000000	405	9999-12-31	2013-05-08	3739
33/5-2	REPORTED BY LICENSEE	405_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/405_1_Completion_Report_and_Completion_log.pdf	pdf	21831.000000	405	9999-12-31	2013-05-08	3740
33/6-1	COMPOSITE LOG	406	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/406.pdf	pdf	523.000000	406	9999-12-31	2013-05-08	3741
33/6-1	GEOCHEMICAL INFORMATION	406_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/406_1.pdf	pdf	2130.000000	406	9999-12-31	2013-05-08	3742
33/6-1	GEOCHEMICAL INFORMATION	406_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/406_2.pdf	pdf	205.000000	406	9999-12-31	2013-05-08	3743
33/6-1	GEOCHEMICAL INFORMATION	406_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/406_3.pdf	pdf	672.000000	406	9999-12-31	2013-05-08	3744
33/6-1	OLD NPD WDSS	406_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/406_01_WDSS_General_Information.pdf	pdf	105.000000	406	9999-12-31	2013-05-08	3745
33/6-1	OLD NPD WDSS	406_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/406_02_WDSS_completion_log.pdf	pdf	228.000000	406	9999-12-31	2013-05-08	3746
33/6-1	REPORTED BY LICENSEE	406_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/406_1_Completion_Report_and_Completion_log.pdf	pdf	26331.000000	406	9999-12-31	2013-05-08	3747
33/6-2	COMPOSITE LOG	2873	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2873.pdf	pdf	626.000000	2873	9999-12-31	2013-05-08	3748
33/6-2	GEOCHEMICAL INFORMATION	2873_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2873_1.pdf	pdf	1903.000000	2873	9999-12-31	2013-05-08	3749
33/6-2	GEOCHEMICAL INFORMATION	2873_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2873_2.pdf	pdf	1951.000000	2873	9999-12-31	2013-05-08	3750
33/6-2	GEOCHEMICAL INFORMATION	2873_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2873_3.pdf	pdf	1966.000000	2873	9999-12-31	2013-05-08	3751
33/6-2	GEOCHEMICAL INFORMATION	2873_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2873_4.pdf	pdf	1654.000000	2873	9999-12-31	2013-05-08	3752
33/9-1	OLD NPD WDSS	407_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/407_01_WDSS_General_Information.pdf	pdf	266.000000	407	9999-12-31	2013-05-08	3753
33/9-10	COMPOSITE LOG	415	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/415.pdf	pdf	507.000000	415	9999-12-31	2013-05-08	3754
33/9-10	GEOCHEMICAL INFORMATION	415_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/415_1.pdf	pdf	1683.000000	415	9999-12-31	2013-05-08	3755
33/9-10	OLD NPD WDSS	415_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/415_01_WDSS_General_Information.pdf	pdf	199.000000	415	9999-12-31	2013-05-08	3756
33/9-10	OLD NPD WDSS	415_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/415_03_WDSS_lithlog.pdf	pdf	72.000000	415	9999-12-31	2013-05-08	3757
33/9-10	REPORTED BY LICENSEE	415_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/415_1_Completion_Report_and_Completion_log.pdf	pdf	3020.000000	415	9999-12-31	2013-05-08	3758
33/9-11	COMPOSITE LOG	416	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/416.pdf	pdf	483.000000	416	9999-12-31	2013-05-08	3759
33/9-11	OLD NPD WDSS	416_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/416_01_WDSS_General_Information.pdf	pdf	214.000000	416	9999-12-31	2013-05-08	3760
33/9-11	OLD NPD WDSS	416_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/416_03_WDSS_lithlog.pdf	pdf	71.000000	416	9999-12-31	2013-05-08	3761
33/9-11	REPORTED BY LICENSEE	416_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/416_1_Completion_Report_and_Completion_log.pdf	pdf	4958.000000	416	9999-12-31	2013-05-08	3762
33/9-12	OLD NPD WDSS	1069_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1069_01_WDSS_General_Information.pdf	pdf	372.000000	1069	9999-12-31	2013-05-08	3763
33/9-12	OLD NPD WDSS	1069_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1069_02_WDSS_completion_log.pdf	pdf	249.000000	1069	9999-12-31	2013-05-08	3764
33/9-13 S	GEOCHEMICAL INFORMATION	1028_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1028_1.pdf	pdf	1945.000000	1028	9999-12-31	2013-05-08	3765
33/9-13 S	OLD NPD WDSS	1028_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1028_01_WDSS_General_Information.pdf	pdf	392.000000	1028	9999-12-31	2013-05-08	3766
33/9-13 S	OLD NPD WDSS	1028_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1028_02_WDSS_completion_log.pdf	pdf	270.000000	1028	9999-12-31	2013-05-08	3767
33/9-14	OLD NPD WDSS	1226_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1226_01_WDSS_General_Information.pdf	pdf	216.000000	1226	9999-12-31	2013-05-08	3768
33/9-14	OLD NPD WDSS	1226_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1226_02_WDSS_completion_log.pdf	pdf	209.000000	1226	9999-12-31	2013-05-08	3769
33/9-15	COMPOSITE LOG	1810	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1810.pdf	pdf	437.000000	1810	9999-12-31	2013-05-08	3770
33/9-15	GEOCHEMICAL INFORMATION	1810_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1810_1.pdf	pdf	2746.000000	1810	9999-12-31	2013-05-08	3771
33/9-15	GEOCHEMICAL INFORMATION	1810_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1810_2.pdf	pdf	2411.000000	1810	9999-12-31	2013-05-08	3772
33/9-15	OLD NPD WDSS	1810_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1810_01_WDSS_General_Information.pdf	pdf	445.000000	1810	9999-12-31	2013-05-08	3773
33/9-15	OLD NPD WDSS	1810_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1810_02_WDSS_completion_log.pdf	pdf	192.000000	1810	9999-12-31	2013-05-08	3774
33/9-16	COMPOSITE LOG	1801	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1801.pdf	pdf	335.000000	1801	9999-12-31	2013-05-08	3775
33/9-16	GEOCHEMICAL INFORMATION	1801_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1801_1.pdf	pdf	1862.000000	1801	9999-12-31	2013-05-08	3776
33/9-16	GEOCHEMICAL INFORMATION	1801_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1801_2.pdf	pdf	1966.000000	1801	9999-12-31	2013-05-08	3777
33/9-16	GEOCHEMICAL INFORMATION	1801_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1801_3.pdf	pdf	1767.000000	1801	9999-12-31	2013-05-08	3778
33/9-16	GEOCHEMICAL INFORMATION	1801_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1801_4.pdf	pdf	1049.000000	1801	9999-12-31	2013-05-08	3779
33/9-17	GEOCHEMICAL INFORMATION	2114_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2114_1.pdf	pdf	4563.000000	2114	9999-12-31	2013-05-08	3780
33/9-18	COMPOSITE LOG	2454	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2454.pdf	pdf	471.000000	2454	9999-12-31	2013-05-08	3781
33/9-18	GEOCHEMICAL INFORMATION	2454_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2454_1.pdf	pdf	959.000000	2454	9999-12-31	2013-05-08	3782
33/9-18 A	COMPOSITE LOG	2455	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2455.pdf	pdf	99.000000	2455	9999-12-31	2013-05-08	3783
33/9-18 A	GEOCHEMICAL INFORMATION	2455_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2455_1.pdf	pdf	959.000000	2455	9999-12-31	2013-05-08	3784
33/9-19 A	COMPOSITE LOG	2872	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2872.pdf	pdf	155.000000	2872	9999-12-31	2013-05-08	3785
33/9-19 S	COMPOSITE LOG	2830	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2830.pdf	pdf	455.000000	2830	9999-12-31	2013-05-08	3786
33/9-19 S	GEOCHEMICAL INFORMATION	2830_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2830_1.pdf	pdf	495.000000	2830	9999-12-31	2013-05-08	3787
33/9-2	OLD NPD WDSS	408_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/408_01_WDSS_General_Information.pdf	pdf	236.000000	408	9999-12-31	2013-05-08	3788
33/9-3	OLD NPD WDSS	125_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/125_01_WDSS_General_Information.pdf	pdf	276.000000	125	9999-12-31	2013-05-08	3789
33/9-4	OLD NPD WDSS	409_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/409_01_WDSS_General_Information.pdf	pdf	267.000000	409	9999-12-31	2013-05-08	3790
33/9-5	OLD NPD WDSS	410_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/410_01_WDSS_General_Information.pdf	pdf	268.000000	410	9999-12-31	2013-05-08	3791
33/9-6	GEOCHEMICAL INFORMATION	411_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/411_1.pdf	pdf	4136.000000	411	9999-12-31	2013-05-08	3792
33/9-6	GEOCHEMICAL INFORMATION	411_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/411_2.pdf	pdf	4448.000000	411	9999-12-31	2013-05-08	3793
33/9-6	GEOCHEMICAL INFORMATION	411_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/411_3.pdf	pdf	4604.000000	411	9999-12-31	2013-05-08	3794
33/9-6	OLD NPD WDSS	411_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/411_01_WDSS_General_Information.pdf	pdf	276.000000	411	9999-12-31	2013-05-08	3795
33/9-6	REPORTED BY LICENSEE	411_33_9_6_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/411_33_9_6_Completion_Log.pdf	pdf	1981.000000	411	9999-12-31	2013-05-08	3796
33/9-6	REPORTED BY LICENSEE	411_33_9_6_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/411_33_9_6_Completion_Report.pdf	pdf	3490.000000	411	9999-12-31	2013-05-08	3797
33/9-7	OLD NPD WDSS	412_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/412_01_WDSS_General_Information.pdf	pdf	284.000000	412	9999-12-31	2013-05-08	3798
33/9-8	OLD NPD WDSS	413_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/413_01_WDSS_General_Information.pdf	pdf	259.000000	413	9999-12-31	2013-05-08	3799
33/9-9	GEOCHEMICAL INFORMATION	414_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/414_1.pdf	pdf	1235.000000	414	9999-12-31	2013-05-08	3800
33/9-9	GEOCHEMICAL INFORMATION	414_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/414_2.pdf	pdf	320.000000	414	9999-12-31	2013-05-08	3801
33/9-9	OLD NPD WDSS	414_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/414_01_WDSS_General_Information.pdf	pdf	1901.000000	414	9999-12-31	2013-05-08	3802
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Biostratighraphical_analysis_charts	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Biostratighraphical_analysis_charts.pdf	pdf	2466.000000	414	9999-12-31	2013-05-08	3803
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Biostratigraphic_correlation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Biostratigraphic_correlation.pdf	pdf	979.000000	414	9999-12-31	2013-05-08	3804
33/9-9	REPORTED BY LICENSEE	414_33_9_9_biostratigraphy_of_the_interval_254m-3100m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_biostratigraphy_of_the_interval_254m-3100m.pdf	pdf	2333.000000	414	9999-12-31	2013-05-08	3805
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Completion_log.pdf	pdf	1797.000000	414	9999-12-31	2013-05-08	3806
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Completion_Report.pdf	pdf	2950.000000	414	9999-12-31	2013-05-08	3807
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Conventional_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Conventional_core_analysis.pdf	pdf	816.000000	414	9999-12-31	2013-05-08	3808
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Core_analysis_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Core_analysis_report.pdf	pdf	10650.000000	414	9999-12-31	2013-05-08	3809
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Core_analysis_report_statfjord	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Core_analysis_report_statfjord.pdf	pdf	6734.000000	414	9999-12-31	2013-05-08	3810
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Drilling_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Drilling_program.pdf	pdf	1305.000000	414	9999-12-31	2013-05-08	3811
33/9-9	REPORTED BY LICENSEE	414_33_9_9_final_geological_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_final_geological_report.pdf	pdf	2953.000000	414	9999-12-31	2013-05-08	3812
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Final_geological_report_appraisal	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Final_geological_report_appraisal.pdf	pdf	588.000000	414	9999-12-31	2013-05-08	3813
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Paleontological_and_sedimentological_studies	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Paleontological_and_sedimentological_studies.pdf	pdf	534.000000	414	9999-12-31	2013-05-08	3814
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Palynofacies_studies	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Palynofacies_studies.pdf	pdf	874.000000	414	9999-12-31	2013-05-08	3815
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Special_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Special_core_analysis.pdf	pdf	10472.000000	414	9999-12-31	2013-05-08	3816
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Special_core_analysis_Final_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Special_core_analysis_Final_report.pdf	pdf	12444.000000	414	9999-12-31	2013-05-08	3817
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Special_core_analysis_mobil_exploratoin	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Special_core_analysis_mobil_exploratoin.pdf	pdf	3028.000000	414	9999-12-31	2013-05-08	3818
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Special_core_analysis_statfjord_field	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Special_core_analysis_statfjord_field.pdf	pdf	6894.000000	414	9999-12-31	2013-05-08	3819
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Special_core_analysis_study_Core_lab	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Special_core_analysis_study_Core_lab.pdf	pdf	1644.000000	414	9999-12-31	2013-05-08	3820
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Summary_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Summary_log.pdf	pdf	128.000000	414	9999-12-31	2013-05-08	3821
33/9-9	REPORTED BY LICENSEE	414_33_9_9_Well_history_operations_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/414_33_9_9_Well_history_operations_report.pdf	pdf	3666.000000	414	9999-12-31	2013-05-08	3822
34/10-1	GEOCHEMICAL INFORMATION	424_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/424_GCH_1.pdf	pdf	656.000000	424	2012-12-21	2013-05-08	3823
34/10-1	GEOCHEMICAL INFORMATION	424_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/424_GCH_2.pdf	pdf	3656.000000	424	2012-12-21	2013-05-08	3824
34/10-1	GEOCHEMICAL INFORMATION	424_GCH_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/424_GCH_3.pdf	pdf	1036.000000	424	2012-12-21	2013-05-08	3825
34/10-1	OLD NPD WDSS	424_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/424_01_WDSS_General_Information.pdf	pdf	218.000000	424	9999-12-31	2013-05-08	3826
34/10-1	OLD NPD WDSS	424_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/424_03_WDSS_lithlog.pdf	pdf	59.000000	424	9999-12-31	2013-05-08	3827
34/10-1	REPORTED BY LICENSEE	424_34_10_1_ A_palynostratigraphic_study_of_11 samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_ A_palynostratigraphic_study_of_11 samples.pdf	pdf	840.000000	424	2012-11-07	2013-05-08	3828
34/10-1	REPORTED BY LICENSEE	424_34_10_1_ADT_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_ADT_report.pdf	pdf	7172.000000	424	2012-11-07	2013-05-08	3829
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Analysis_of_oil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Analysis_of_oil.pdf	pdf	886.000000	424	2012-11-07	2013-05-08	3830
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Biostratigraphy.pdf	pdf	3531.000000	424	2012-11-07	2013-05-08	3831
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Biostratigraphy_of_interval_210m-2462m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Biostratigraphy_of_interval_210m-2462m.pdf	pdf	7296.000000	424	2012-11-07	2013-05-08	3832
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Brent_formation_relief_program	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Brent_formation_relief_program.pdf	pdf	1879.000000	424	2012-11-07	2013-05-08	3833
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Capilary_pressure_measurment	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Capilary_pressure_measurment.pdf	pdf	7376.000000	424	2012-11-07	2013-05-08	3834
34/10-1	REPORTED BY LICENSEE	424_34_10_1_CompletionReport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_CompletionReport.pdf	pdf	23143.000000	424	2012-11-07	2013-05-08	3835
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Completion_report.PDF	PDF	29024.000000	424	2012-11-07	2013-05-08	3836
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Core_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Core_description.pdf	pdf	1724.000000	424	2012-11-07	2013-05-08	3837
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Core_photoes_core_1-13	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Core_photoes_core_1-13.pdf	pdf	201963.000000	424	2012-11-07	2013-05-08	3838
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Data_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Data_summary.pdf	pdf	39045.000000	424	2012-11-07	2013-05-08	3839
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Dipmeter_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Dipmeter_analysis.pdf	pdf	2775.000000	424	2012-11-07	2013-05-08	3840
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Final_report_core_1-13	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Final_report_core_1-13.pdf	pdf	3288.000000	424	2012-11-07	2013-05-08	3841
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Geological_prognosis_&_drilling_program_consideratio	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Geological_prognosis_&_drilling_program_consideratio.pdf	pdf	4271.000000	424	2012-11-07	2013-05-08	3842
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Pressure_prediction	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Pressure_prediction.pdf	pdf	37614.000000	424	2012-11-07	2013-05-08	3843
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Reservoir_fluid_analysis_DST-3_flow-3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Reservoir_fluid_analysis_DST-3_flow-3.pdf	pdf	1271.000000	424	2012-11-07	2013-05-08	3844
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Reservoir_fluid_study_bottom_hole_sample	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Reservoir_fluid_study_bottom_hole_sample.pdf	pdf	1177.000000	424	2012-11-07	2013-05-08	3845
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Reservoir_fluid_study_DST-2 flow-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Reservoir_fluid_study_DST-2 flow-2.pdf	pdf	1244.000000	424	2012-11-07	2013-05-08	3846
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Source_rock_crude_oil_correlation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Source_rock_crude_oil_correlation.pdf	pdf	5670.000000	424	2012-11-07	2013-05-08	3847
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Source_rock_evaluation (2)	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Source_rock_evaluation (2).pdf	pdf	4921.000000	424	2012-11-07	2013-05-08	3848
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Source_rock_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Source_rock_evaluation.pdf	pdf	437.000000	424	2012-11-07	2013-05-08	3849
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Special_core_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Special_core_analysis.pdf	pdf	18181.000000	424	2012-11-07	2013-05-08	3850
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Special_core_analysis_II	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Special_core_analysis_II.pdf	pdf	6137.000000	424	2012-11-07	2013-05-08	3851
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Special_core_analysis_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Special_core_analysis_study.pdf	pdf	6463.000000	424	2012-11-07	2013-05-08	3852
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Supplementary_report_DST_2_flow_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Supplementary_report_DST_2_flow_3.pdf	pdf	760.000000	424	2012-11-07	2013-05-08	3853
34/10-1	REPORTED BY LICENSEE	424_34_10_1_Testrapport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_Testrapport.pdf	pdf	2120.000000	424	2012-11-07	2013-05-08	3854
34/10-1	REPORTED BY LICENSEE	424_34_10_1_True_boiling_point_distillation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/424_34_10_1_True_boiling_point_distillation.pdf	pdf	2352.000000	424	2012-11-07	2013-05-08	3855
34/10-10	OLD NPD WDSS	430_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/430_01_WDSS_General_Information.pdf	pdf	110.000000	430	9999-12-31	2013-05-08	3856
34/10-10	OLD NPD WDSS	430_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/430_02_WDSS_completion_log.pdf	pdf	84.000000	430	9999-12-31	2013-05-08	3857
34/10-10	REPORTED BY LICENSEE	430_01_34_10_10_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/430_01_34_10_10_Completion_Log.pdf	pdf	490.000000	430	9999-12-31	2013-05-08	3858
34/10-10	REPORTED BY LICENSEE	430_01_34_10_10_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/430_01_34_10_10_Completion_report.pdf	pdf	4224.000000	430	9999-12-31	2013-05-08	3859
34/10-11	OLD NPD WDSS	211_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/211_01_WDSS_General_Information.pdf	pdf	97.000000	211	9999-12-31	2013-05-08	3860
34/10-11	OLD NPD WDSS	211_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/211_02_WDSS_completion_log.pdf	pdf	170.000000	211	9999-12-31	2013-05-08	3861
34/10-12	OLD NPD WDSS	204_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/204_01_WDSS_General_Information.pdf	pdf	98.000000	204	9999-12-31	2013-05-08	3862
34/10-12	OLD NPD WDSS	204_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/204_02_WDSS_completion_log.pdf	pdf	238.000000	204	9999-12-31	2013-05-08	3863
34/10-13	OLD NPD WDSS	431_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/431_01_WDSS_General_Information.pdf	pdf	204.000000	431	9999-12-31	2013-05-08	3864
34/10-13	OLD NPD WDSS	431_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/431_02_WDSS_completion_log.pdf	pdf	244.000000	431	9999-12-31	2013-05-08	3865
34/10-14	OLD NPD WDSS	95_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/95_01_WDSS_General_Information.pdf	pdf	182.000000	95	9999-12-31	2013-05-08	3866
34/10-14	OLD NPD WDSS	95_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/95_02_WDSS_completion_log.pdf	pdf	214.000000	95	9999-12-31	2013-05-08	3867
34/10-15	OLD NPD WDSS	67_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/67_01_WDSS_General_Information.pdf	pdf	180.000000	67	9999-12-31	2013-05-08	3868
34/10-15	OLD NPD WDSS	67_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/67_02_WDSS_completion_log.pdf	pdf	195.000000	67	9999-12-31	2013-05-08	3869
34/10-16	GEOCHEMICAL INFORMATION	59_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/59_1.pdf	pdf	1663.000000	59	9999-12-31	2013-05-08	3870
34/10-16	GEOCHEMICAL INFORMATION	59_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/59_2.pdf	pdf	4587.000000	59	9999-12-31	2013-05-08	3871
34/10-16	GEOCHEMICAL INFORMATION	59_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/59_3.pdf	pdf	188.000000	59	9999-12-31	2013-05-08	3872
34/10-16	OLD NPD WDSS	59_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/59_01_WDSS_General_Information.pdf	pdf	208.000000	59	9999-12-31	2013-05-08	3873
34/10-16	OLD NPD WDSS	59_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/59_02_WDSS_completion_log.pdf	pdf	392.000000	59	9999-12-31	2013-05-08	3874
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Analysis_of_Core_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Analysis_of_Core_Samples.pdf	pdf	251.000000	59	9999-12-31	2013-05-08	3875
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Completion_log.pdf	pdf	3045.000000	59	9999-12-31	2013-05-08	3876
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Completion_Report.PDF	PDF	44907.000000	59	9999-12-31	2013-05-08	3877
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Interpretation_Of_Drill_Stem_Test	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Interpretation_Of_Drill_Stem_Test.pdf	pdf	571.000000	59	9999-12-31	2013-05-08	3878
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Petrophysical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Petrophysical_Evaluation.pdf	pdf	3425.000000	59	9999-12-31	2013-05-08	3879
34/10-16	REPORTED BY LICENSEE	59_34_10_16_PVT Analysis_DST1_Jan84	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_PVT Analysis_DST1_Jan84.pdf	pdf	225.000000	59	9999-12-31	2013-05-08	3880
34/10-16	REPORTED BY LICENSEE	59_34_10_16_PVT_ analysis_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_PVT_ analysis_DST1.pdf	pdf	232.000000	59	9999-12-31	2013-05-08	3881
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Reservoir_Fluid_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Reservoir_Fluid_Study.pdf	pdf	627.000000	59	9999-12-31	2013-05-08	3882
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Routine_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Routine_Core_Analysis.pdf	pdf	2560.000000	59	9999-12-31	2013-05-08	3883
34/10-16	REPORTED BY LICENSEE	59_34_10_16_R_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_R_Completion_Report.pdf	pdf	36404.000000	59	9999-12-31	2013-05-08	3884
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Source_Rock_Analyses	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Source_Rock_Analyses.pdf	pdf	3161.000000	59	9999-12-31	2013-05-08	3885
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Special_Core_Analysis_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Special_Core_Analysis_Study.pdf	pdf	4471.000000	59	9999-12-31	2013-05-08	3886
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Special_Core_Analysis_Study_Sep84	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Special_Core_Analysis_Study_Sep84.pdf	pdf	2465.000000	59	9999-12-31	2013-05-08	3887
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Special_Core_Analysis_Study_Vol1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Special_Core_Analysis_Study_Vol1.pdf	pdf	2792.000000	59	9999-12-31	2013-05-08	3888
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Special_Core_Analysis_Study_Vol2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Special_Core_Analysis_Study_Vol2.pdf	pdf	7970.000000	59	9999-12-31	2013-05-08	3889
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Spesial_Core_Analysis_Geco_64plugs	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Spesial_Core_Analysis_Geco_64plugs.pdf	pdf	14999.000000	59	9999-12-31	2013-05-08	3890
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Stratigraphical_Paleontological_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Stratigraphical_Paleontological_Report.pdf	pdf	5967.000000	59	9999-12-31	2013-05-08	3891
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Vitrinite_Reflectance	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Vitrinite_Reflectance.pdf	pdf	88.000000	59	9999-12-31	2013-05-08	3892
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Well_Testing_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Well_Testing_Report.pdf	pdf	1324.000000	59	9999-12-31	2013-05-08	3893
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Well_Testing_Report_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Well_Testing_Report_DST1.pdf	pdf	2066.000000	59	9999-12-31	2013-05-08	3894
34/10-16	REPORTED BY LICENSEE	59_34_10_16_Well_Testing_Report_DST2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/59_34_10_16_Well_Testing_Report_DST2.pdf	pdf	2254.000000	59	9999-12-31	2013-05-08	3895
34/10-16 R	GEOCHEMICAL INFORMATION	494_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/494_1.pdf	pdf	1663.000000	494	9999-12-31	2013-05-08	3896
34/10-16 R	GEOCHEMICAL INFORMATION	494_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/494_2.pdf	pdf	598.000000	494	9999-12-31	2013-05-08	3897
34/10-16 R	OLD NPD WDSS	494_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/494_01_WDSS_General_Information.pdf	pdf	208.000000	494	9999-12-31	2013-05-08	3898
34/10-17	GEOCHEMICAL INFORMATION	5_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5_1.pdf	pdf	1658.000000	5	9999-12-31	2013-05-08	3899
34/10-17	GEOCHEMICAL INFORMATION	5_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5_2.pdf	pdf	5028.000000	5	9999-12-31	2013-05-08	3900
34/10-17	GEOCHEMICAL INFORMATION	5_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5_3.pdf	pdf	1265.000000	5	9999-12-31	2013-05-08	3901
34/10-17	OLD NPD WDSS	5_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/5_01_WDSS_General_Information.pdf	pdf	212.000000	5	9999-12-31	2013-05-08	3902
34/10-17	OLD NPD WDSS	5_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/5_02_WDSS_completion_log.pdf	pdf	343.000000	5	9999-12-31	2013-05-08	3903
34/10-17	REPORTED BY LICENSEE	5_34_10_17_Analysis_of_core_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_Analysis_of_core_samples.pdf	pdf	573.000000	5	9999-12-31	2013-05-08	3904
34/10-17	REPORTED BY LICENSEE	5_34_10_17_Analysis_of_oil,_cores_and_coal_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_Analysis_of_oil,_cores_and_coal_samples.pdf	pdf	652.000000	5	9999-12-31	2013-05-08	3905
34/10-17	REPORTED BY LICENSEE	5_34_10_17_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_Completion_log.pdf	pdf	2545.000000	5	9999-12-31	2013-05-08	3906
34/10-17	REPORTED BY LICENSEE	5_34_10_17_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_Completion_Report.pdf	pdf	38682.000000	5	9999-12-31	2013-05-08	3907
34/10-17	REPORTED BY LICENSEE	5_34_10_17_FMT_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_FMT_Report.pdf	pdf	426.000000	5	9999-12-31	2013-05-08	3908
34/10-17	REPORTED BY LICENSEE	5_34_10_17_Funnevalueringsrapport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_Funnevalueringsrapport.pdf	pdf	1492.000000	5	9999-12-31	2013-05-08	3909
34/10-17	REPORTED BY LICENSEE	5_34_10_17_Petrophysical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_Petrophysical_Evaluation.pdf	pdf	5744.000000	5	9999-12-31	2013-05-08	3910
34/10-17	REPORTED BY LICENSEE	5_34_10_17_PVT_analysis_of_bottom_hole_sample	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_PVT_analysis_of_bottom_hole_sample.pdf	pdf	203.000000	5	9999-12-31	2013-05-08	3911
34/10-17	REPORTED BY LICENSEE	5_34_10_17_Routine_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_Routine_Core_Analysis.pdf	pdf	1178.000000	5	9999-12-31	2013-05-08	3912
34/10-17	REPORTED BY LICENSEE	5_34_10_17_Source_Rock_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_Source_Rock_Analysis.pdf	pdf	2590.000000	5	9999-12-31	2013-05-08	3913
34/10-17	REPORTED BY LICENSEE	5_34_10_17_Stratigraphical_Paleontological_Final_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_Stratigraphical_Paleontological_Final_Report.pdf	pdf	6224.000000	5	9999-12-31	2013-05-08	3914
34/10-17	REPORTED BY LICENSEE	5_34_10_17_TBP_distillation_of_oil_DST2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_TBP_distillation_of_oil_DST2.PDF	PDF	274.000000	5	9999-12-31	2013-05-08	3915
34/10-17	REPORTED BY LICENSEE	5_34_10_17_Water_Analysis_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_Water_Analysis_DST1.pdf	pdf	358.000000	5	9999-12-31	2013-05-08	3916
34/10-17	REPORTED BY LICENSEE	5_34_10_17_Well_Testing_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/5_34_10_17_Well_Testing_Report.pdf	pdf	3018.000000	5	9999-12-31	2013-05-08	3917
34/10-18	GEOCHEMICAL INFORMATION	23_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/23_1.pdf	pdf	1086.000000	23	9999-12-31	2013-05-08	3918
34/10-18	GEOCHEMICAL INFORMATION	23_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/23_2.pdf	pdf	102.000000	23	9999-12-31	2013-05-08	3919
34/10-18	GEOCHEMICAL INFORMATION	23_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/23_3.pdf	pdf	2461.000000	23	9999-12-31	2013-05-08	3920
34/10-18	GEOCHEMICAL INFORMATION	23_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/23_4.pdf	pdf	11528.000000	23	9999-12-31	2013-05-08	3921
34/10-18	GEOCHEMICAL INFORMATION	23_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/23_5.pdf	pdf	15170.000000	23	9999-12-31	2013-05-08	3922
34/10-18	GEOCHEMICAL INFORMATION	23_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/23_6.pdf	pdf	16234.000000	23	9999-12-31	2013-05-08	3923
34/10-18	GEOCHEMICAL INFORMATION	23_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/23_7.pdf	pdf	12204.000000	23	9999-12-31	2013-05-08	3924
34/10-18	OLD NPD WDSS	23_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/23_01_WDSS_General_Information.pdf	pdf	175.000000	23	9999-12-31	2013-05-08	3925
34/10-18	OLD NPD WDSS	23_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/23_02_WDSS_completion_log.pdf	pdf	301.000000	23	9999-12-31	2013-05-08	3926
34/10-18	REPORTED BY LICENSEE	23_34_10_18_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/23_34_10_18_Completion_log.pdf	pdf	1752.000000	23	9999-12-31	2013-05-08	3927
34/10-18	REPORTED BY LICENSEE	23_34_10_18_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/23_34_10_18_Completion_Report.PDF	PDF	22911.000000	23	9999-12-31	2013-05-08	3928
34/10-18	REPORTED BY LICENSEE	23_34_10_18_Formation_Evalution	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/23_34_10_18_Formation_Evalution.pdf	pdf	4676.000000	23	9999-12-31	2013-05-08	3929
34/10-18	REPORTED BY LICENSEE	23_34_10_18_Geokjemisk_Analyse	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/23_34_10_18_Geokjemisk_Analyse.pdf	pdf	64.000000	23	9999-12-31	2013-05-08	3930
34/10-18	REPORTED BY LICENSEE	23_34_10_18_Stratigraphical_Paleontological_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/23_34_10_18_Stratigraphical_Paleontological_Report.pdf	pdf	10071.000000	23	9999-12-31	2013-05-08	3931
34/10-18	REPORTED BY LICENSEE	23_34_10_18_Wellsite_Gas_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/23_34_10_18_Wellsite_Gas_Analysis.pdf	pdf	102.000000	23	9999-12-31	2013-05-08	3932
34/10-19	OLD NPD WDSS	33_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/33_01_WDSS_General_Information.pdf	pdf	175.000000	33	9999-12-31	2013-05-08	3933
34/10-19	OLD NPD WDSS	33_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/33_02_WDSS_completion_log.pdf	pdf	221.000000	33	9999-12-31	2013-05-08	3934
34/10-2	GEOCHEMICAL INFORMATION	425_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/425_GCH_1.pdf	pdf	2414.000000	425	2012-12-21	2013-05-08	3935
34/10-2	GEOCHEMICAL INFORMATION	425_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/425_GCH_2.pdf	pdf	5467.000000	425	2012-12-21	2013-05-08	3936
34/10-2	GEOCHEMICAL INFORMATION	425_GCH_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/425_GCH_3.pdf	pdf	5326.000000	425	2012-12-21	2013-05-08	3937
34/10-2	GEOCHEMICAL INFORMATION	425_GCH_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/425_GCH_4.pdf	pdf	253.000000	425	2012-12-21	2013-05-08	3938
34/10-2	GEOCHEMICAL INFORMATION	425_GCH_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/425_GCH_5.pdf	pdf	1029.000000	425	2012-12-21	2013-05-08	3939
34/10-2	OLD NPD WDSS	425_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/425_01_WDSS_General_Information.pdf	pdf	221.000000	425	9999-12-31	2013-05-08	3940
34/10-2	OLD NPD WDSS	425_03_WDSS_lithlog	http://www.npd.no/engelsk/cwi/pbl/wdss_old/425_03_WDSS_lithlog.pdf	pdf	72.000000	425	9999-12-31	2013-05-08	3941
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Aalyse_av_formasjonsvann_analyseresultat	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Aalyse_av_formasjonsvann_analyseresultat.pdf	pdf	97.000000	425	2012-11-07	2013-05-08	3942
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Anallysis_of_oil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Anallysis_of_oil.pdf	pdf	554.000000	425	2012-11-07	2013-05-08	3943
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Comparison_of_7_oil_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Comparison_of_7_oil_samples.pdf	pdf	464.000000	425	2012-11-07	2013-05-08	3944
34/10-2	REPORTED BY LICENSEE	425_34_10_2_CompletionReport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_CompletionReport.pdf	pdf	15950.000000	425	2012-11-07	2013-05-08	3945
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Completion_report.pdf	pdf	15950.000000	425	2012-11-07	2013-05-08	3946
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Core_photes	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Core_photes.pdf	pdf	206385.000000	425	2012-11-07	2013-05-08	3947
34/10-2	REPORTED BY LICENSEE	425_34_10_2_GC-MS_Analysis_of_oil	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_GC-MS_Analysis_of_oil.pdf	pdf	287.000000	425	2012-11-07	2013-05-08	3948
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Hydrocarbon_source_patterns	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Hydrocarbon_source_patterns.pdf	pdf	2846.000000	425	2012-11-07	2013-05-08	3949
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Maturity_analysis_on_cool_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Maturity_analysis_on_cool_samples.pdf	pdf	505.000000	425	2012-11-07	2013-05-08	3950
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Measurement_of_saturation_exponent	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Measurement_of_saturation_exponent.pdf	pdf	990.000000	425	2012-11-07	2013-05-08	3951
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Observasjoner_av_olje_gass_emulsjon	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Observasjoner_av_olje_gass_emulsjon.pdf	pdf	2090.000000	425	2012-11-07	2013-05-08	3952
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Partial_PTV_study_on_RFT_sample	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Partial_PTV_study_on_RFT_sample.pdf	pdf	2434.000000	425	2012-11-07	2013-05-08	3953
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Pressure_prediction	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Pressure_prediction.pdf	pdf	38252.000000	425	2012-11-07	2013-05-08	3954
34/10-2	REPORTED BY LICENSEE	425_34_10_2_PTV_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_PTV_study.pdf	pdf	177.000000	425	2012-11-07	2013-05-08	3955
34/10-2	REPORTED BY LICENSEE	425_34_10_2_PTV_study_of_recombined_surface_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_PTV_study_of_recombined_surface_samples.pdf	pdf	4751.000000	425	2012-11-07	2013-05-08	3956
34/10-2	REPORTED BY LICENSEE	425_34_10_2_PTV_study_og_bottom_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_PTV_study_og_bottom_samples.pdf	pdf	1032.000000	425	2012-11-07	2013-05-08	3957
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Reservoir_fluid_study_for_Statiol	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Reservoir_fluid_study_for_Statiol.pdf	pdf	941.000000	425	2012-11-07	2013-05-08	3958
34/10-2	REPORTED BY LICENSEE	425_34_10_2_RFT_rapport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_RFT_rapport.pdf	pdf	1097.000000	425	2012-11-07	2013-05-08	3959
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Source_rock_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Source_rock_evaluation.pdf	pdf	6590.000000	425	2012-11-07	2013-05-08	3960
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Special_core_analysis_report_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Special_core_analysis_report_1.pdf	pdf	3116.000000	425	2012-11-07	2013-05-08	3961
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Transfer_rapport_RFT_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Transfer_rapport_RFT_samples.pdf	pdf	104.000000	425	2012-11-07	2013-05-08	3962
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Væskeprøve_fra_DST-1,2,3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Væskeprøve_fra_DST-1,2,3.pdf	pdf	131.000000	425	2012-11-07	2013-05-08	3963
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Væskeprøve_fra_DST-3A,4,5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Væskeprøve_fra_DST-3A,4,5.pdf	pdf	329.000000	425	2012-11-07	2013-05-08	3964
34/10-2	REPORTED BY LICENSEE	425_34_10_2_Well_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/425_34_10_2_Well_summary.pdf	pdf	7357.000000	425	2012-11-07	2013-05-08	3965
34/10-20	OLD NPD WDSS	212_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/212_01_WDSS_General_Information.pdf	pdf	133.000000	212	9999-12-31	2013-05-08	3966
34/10-20	OLD NPD WDSS	212_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/212_02_WDSS_completion_log.pdf	pdf	300.000000	212	9999-12-31	2013-05-08	3967
34/10-21	OLD NPD WDSS	221_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/221_01_WDSS_General_Information.pdf	pdf	238.000000	221	9999-12-31	2013-05-08	3968
34/10-21	OLD NPD WDSS	221_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/221_02_WDSS_completion_log.pdf	pdf	350.000000	221	9999-12-31	2013-05-08	3969
34/10-22	GEOCHEMICAL INFORMATION	446_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/446_GCH_1.pdf	pdf	1970.000000	446	2012-12-21	2013-05-08	3970
34/10-22	OLD NPD WDSS	446_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/446_01_WDSS_General_Information.pdf	pdf	161.000000	446	9999-12-31	2013-05-08	3971
34/10-22	OLD NPD WDSS	446_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/446_02_WDSS_completion_log.pdf	pdf	92.000000	446	9999-12-31	2013-05-08	3972
34/10-22	REPORTED BY LICENSEE	446_34_10_22_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/446_34_10_22_Completion_log.pdf	pdf	424.000000	446	2013-01-17	2013-05-08	3973
34/10-22	REPORTED BY LICENSEE	446_34_10_22_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/446_34_10_22_Completion_report.pdf	pdf	14136.000000	446	2013-01-17	2013-05-08	3974
34/10-23	GEOCHEMICAL INFORMATION	476_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/476_1.pdf	pdf	419.000000	476	9999-12-31	2013-05-08	3975
34/10-23	GEOCHEMICAL INFORMATION	476_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/476_2.pdf	pdf	412.000000	476	9999-12-31	2013-05-08	3976
34/10-23	GEOCHEMICAL INFORMATION	476_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/476_3.pdf	pdf	6646.000000	476	9999-12-31	2013-05-08	3977
34/10-23	OLD NPD WDSS	476_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/476_01_WDSS_General_Information.pdf	pdf	330.000000	476	9999-12-31	2013-05-08	3978
34/10-23	OLD NPD WDSS	476_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/476_02_WDSS_completion_log.pdf	pdf	325.000000	476	9999-12-31	2013-05-08	3979
34/10-23	REPORTED BY LICENSEE	476_34_10_23_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/476_34_10_23_Completion_log.pdf	pdf	3055.000000	476	9999-12-31	2013-05-08	3980
34/10-23	REPORTED BY LICENSEE	476_34_10_23_Completion_report_I	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/476_34_10_23_Completion_report_I.pdf	pdf	41133.000000	476	9999-12-31	2013-05-08	3981
34/10-23	REPORTED BY LICENSEE	476_34_10_23_Completion_report_II	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/476_34_10_23_Completion_report_II.pdf	pdf	38881.000000	476	9999-12-31	2013-05-08	3982
34/10-24	GEOCHEMICAL INFORMATION	483_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/483_GCH_1.pdf	pdf	59.000000	483	2012-12-21	2013-05-08	3983
34/10-24	OLD NPD WDSS	483_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/483_01_WDSS_General_Information.pdf	pdf	246.000000	483	9999-12-31	2013-05-08	3984
34/10-24	REPORTED BY LICENSEE	483_34_10_24_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/483_34_10_24_Completion_log.pdf	pdf	355.000000	483	2013-01-17	2013-05-08	3985
34/10-24	REPORTED BY LICENSEE	483_34_10_24_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/483_34_10_24_Completion_report.pdf	pdf	9337.000000	483	2013-01-17	2013-05-08	3986
34/10-25	OLD NPD WDSS	523_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/523_01_WDSS_General_Information.pdf	pdf	210.000000	523	9999-12-31	2013-05-08	3987
34/10-25	REPORTED BY LICENSEE	523_34_10_25_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/523_34_10_25_Completion_log.pdf	pdf	429.000000	523	2013-01-17	2013-05-08	3988
34/10-25	REPORTED BY LICENSEE	523_34_10_25_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/523_34_10_25_Completion_report.pdf	pdf	8132.000000	523	2013-01-17	2013-05-08	3989
34/10-26	OLD NPD WDSS	858_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/858_01_WDSS_General_Information.pdf	pdf	203.000000	858	9999-12-31	2013-05-08	3990
34/10-26	REPORTED BY LICENSEE	858_34_10_26_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/858_34_10_26_Completion_log.pdf	pdf	313.000000	858	2013-01-17	2013-05-08	3991
34/10-26	REPORTED BY LICENSEE	858_34_10_26_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/858_34_10_26_Completion_report.pdf	pdf	7668.000000	858	2013-01-17	2013-05-08	3992
34/10-27	REPORTED BY LICENSEE	867_34_10_27_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/867_34_10_27_Completion_log.pdf	pdf	302.000000	867	2013-01-17	2013-05-08	3993
34/10-27	REPORTED BY LICENSEE	867_34_10_27_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/867_34_10_27_Completion_report.pdf	pdf	8026.000000	867	2013-01-17	2013-05-08	3994
34/10-28	REPORTED BY LICENSEE	872_34_10_28_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/872_34_10_28_Completion_log.pdf	pdf	330.000000	872	2013-01-17	2013-05-08	3995
34/10-28	REPORTED BY LICENSEE	872_34_10_28_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/872_34_10_28_Completion_report.pdf	pdf	4073.000000	872	2013-01-17	2013-05-08	3996
34/10-29	REPORTED BY LICENSEE	453_34_10_29_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/453_34_10_29_Completion_log.pdf	pdf	417.000000	453	2013-01-17	2013-05-08	3997
34/10-29	REPORTED BY LICENSEE	453_34_10_29_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/453_34_10_29_Completion_report.pdf	pdf	8718.000000	453	2013-01-17	2013-05-08	3998
34/10-3	GEOCHEMICAL INFORMATION	426_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/426_GCH_1.pdf	pdf	1176.000000	426	2012-12-21	2013-05-08	3999
34/10-3	GEOCHEMICAL INFORMATION	426_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/426_GCH_2.pdf	pdf	2070.000000	426	2012-12-21	2013-05-08	4000
34/10-3	GEOCHEMICAL INFORMATION	426_GCH_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/426_GCH_3.pdf	pdf	2899.000000	426	2012-12-21	2013-05-08	4001
34/10-3	GEOCHEMICAL INFORMATION	426_GCH_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/426_GCH_4.pdf	pdf	485.000000	426	2012-12-21	2013-05-08	4002
34/10-3	OLD NPD WDSS	426_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/426_01_WDSS_General_Information.pdf	pdf	111.000000	426	9999-12-31	2013-05-08	4003
34/10-3	OLD NPD WDSS	426_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/426_02_WDSS_completion_log.pdf	pdf	190.000000	426	9999-12-31	2013-05-08	4004
34/10-3	REPORTED BY LICENSEE	426_34_10_3_ANALYSIS_OF_OIL	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_ANALYSIS_OF_OIL.PDF	PDF	1013.000000	426	2012-11-07	2013-05-08	4005
34/10-3	REPORTED BY LICENSEE	426_34_10_3_COMPARION_OF_7_OIL_SAMPLES_K	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_COMPARION_OF_7_OIL_SAMPLES_K.PDF	PDF	257.000000	426	2012-11-07	2013-05-08	4006
34/10-3	REPORTED BY LICENSEE	426_34_10_3_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_COMPLETION_REPORT.PDF	PDF	11668.000000	426	2012-11-07	2013-05-08	4007
34/10-3	REPORTED BY LICENSEE	426_34_10_3_CORE_ANALYSES_GECO	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_CORE_ANALYSES_GECO.PDF	PDF	173.000000	426	2012-11-07	2013-05-08	4008
34/10-3	REPORTED BY LICENSEE	426_34_10_3_CORE_ANALYSIS_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_CORE_ANALYSIS_REPORT.PDF	PDF	3379.000000	426	2012-11-07	2013-05-08	4009
34/10-3	REPORTED BY LICENSEE	426_34_10_3_CORRECTION_TO_GEOLOGICAL_PROGNOSIS_&_DRILLING_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_CORRECTION_TO_GEOLOGICAL_PROGNOSIS_&_DRILLING_PROGRAM.PDF	PDF	383.000000	426	2012-11-07	2013-05-08	4010
34/10-3	REPORTED BY LICENSEE	426_34_10_3_DST 1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_DST 1.pdf	pdf	4284.000000	426	2012-11-07	2013-05-08	4011
34/10-3	REPORTED BY LICENSEE	426_34_10_3_FINAL_REPORT_CORE_1_9	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_FINAL_REPORT_CORE_1_9.PDF	PDF	1285.000000	426	2012-11-07	2013-05-08	4012
34/10-3	REPORTED BY LICENSEE	426_34_10_3_Foto	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_Foto.pdf	pdf	70370.000000	426	2012-11-07	2013-05-08	4013
34/10-3	REPORTED BY LICENSEE	426_34_10_3_GEOLOGICAL_PROGNOSIS_AND_DRILLING_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_GEOLOGICAL_PROGNOSIS_AND_DRILLING_PROGRAM.PDF	PDF	3140.000000	426	2012-11-07	2013-05-08	4014
34/10-3	REPORTED BY LICENSEE	426_34_10_3_LABORATORY_STUDY_ON_CORES	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_LABORATORY_STUDY_ON_CORES.PDF	PDF	3147.000000	426	2012-11-07	2013-05-08	4015
34/10-3	REPORTED BY LICENSEE	426_34_10_3_NPD_CPI	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_NPD_CPI.PDF	PDF	535.000000	426	2012-11-07	2013-05-08	4016
34/10-3	REPORTED BY LICENSEE	426_34_10_3_oil_and_gas_flow_rates	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_oil_and_gas_flow_rates.pdf	pdf	4330.000000	426	2012-11-07	2013-05-08	4017
34/10-3	REPORTED BY LICENSEE	426_34_10_3_PALEONTOLOGICAL_STRATIGRAPHICAL_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_PALEONTOLOGICAL_STRATIGRAPHICAL_REPORT.PDF	PDF	7169.000000	426	2012-11-07	2013-05-08	4018
34/10-3	REPORTED BY LICENSEE	426_34_10_3_PALEONTOLOGICAL_STUDY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_PALEONTOLOGICAL_STUDY.PDF	PDF	406.000000	426	2012-11-07	2013-05-08	4019
34/10-3	REPORTED BY LICENSEE	426_34_10_3_PETROPHYSICAL_EVALUATION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_PETROPHYSICAL_EVALUATION.PDF	PDF	3592.000000	426	2012-11-07	2013-05-08	4020
34/10-3	REPORTED BY LICENSEE	426_34_10_3_POROSITY_AND_PERMABILITY_RESULTS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_POROSITY_AND_PERMABILITY_RESULTS.PDF	PDF	59.000000	426	2012-11-07	2013-05-08	4021
34/10-3	REPORTED BY LICENSEE	426_34_10_3_POSITIONING_OF_NORSKALD	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_POSITIONING_OF_NORSKALD.PDF	PDF	615.000000	426	2012-11-07	2013-05-08	4022
34/10-3	REPORTED BY LICENSEE	426_34_10_3_PRESSURE_PREDICTION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_PRESSURE_PREDICTION.PDF	PDF	2418.000000	426	2012-11-07	2013-05-08	4023
34/10-3	REPORTED BY LICENSEE	426_34_10_3_PVT_STUDY_OF_BOTTOM_HOLE_SAMPLE	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_PVT_STUDY_OF_BOTTOM_HOLE_SAMPLE.PDF	PDF	996.000000	426	2012-11-07	2013-05-08	4024
34/10-3	REPORTED BY LICENSEE	426_34_10_3_SLUTTRAPPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_SLUTTRAPPORT.PDF	PDF	1560.000000	426	2012-11-07	2013-05-08	4025
34/10-3	REPORTED BY LICENSEE	426_34_10_3_SOURCE_ROCK_EVALUATION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_SOURCE_ROCK_EVALUATION.PDF	PDF	2469.000000	426	2012-11-07	2013-05-08	4026
34/10-3	REPORTED BY LICENSEE	426_34_10_3_SPESCIAL_CORE_ANALYSIS_STUDY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_SPESCIAL_CORE_ANALYSIS_STUDY.PDF	PDF	2372.000000	426	2012-11-07	2013-05-08	4027
34/10-3	REPORTED BY LICENSEE	426_34_10_3_TESTING_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_TESTING_PROGRAM.PDF	PDF	96.000000	426	2012-11-07	2013-05-08	4028
34/10-3	REPORTED BY LICENSEE	426_34_10_3_TEST_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_TEST_PROGRAM.PDF	PDF	770.000000	426	2012-11-07	2013-05-08	4029
34/10-3	REPORTED BY LICENSEE	426_34_10_3_TEST_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_TEST_REPORT.PDF	PDF	2660.000000	426	2012-11-07	2013-05-08	4030
34/10-3	REPORTED BY LICENSEE	426_34_10_3_WATER_ANALYSIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_WATER_ANALYSIS.PDF	PDF	343.000000	426	2012-11-07	2013-05-08	4031
34/10-3	REPORTED BY LICENSEE	426_34_10_3_WATHERFLOOD_TEST	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_WATHERFLOOD_TEST.PDF	PDF	536.000000	426	2012-11-07	2013-05-08	4032
34/10-3	REPORTED BY LICENSEE	426_34_10_3_WETTABILITY_STUDY_OF_SAMPLES_FEB_1980	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/426_34_10_3_WETTABILITY_STUDY_OF_SAMPLES_FEB_1980.PDF	PDF	4864.000000	426	2012-11-07	2013-05-08	4033
34/10-30	COMPOSITE LOG	877	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/877.pdf	pdf	810.000000	877	9999-12-31	2013-05-08	4034
34/10-30	GEOCHEMICAL INFORMATION	877_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/877_1.pdf	pdf	1871.000000	877	9999-12-31	2013-05-08	4035
34/10-30	GEOCHEMICAL INFORMATION	877_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/877_2.pdf	pdf	269.000000	877	9999-12-31	2013-05-08	4036
34/10-30	OLD NPD WDSS	877_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/877_01_WDSS_General_Information.pdf	pdf	284.000000	877	9999-12-31	2013-05-08	4037
34/10-30	OLD NPD WDSS	877_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/877_02_WDSS_completion_log.pdf	pdf	338.000000	877	9999-12-31	2013-05-08	4038
34/10-31	REPORTED BY LICENSEE	887_34_10_31_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/887_34_10_31_Completion_log.pdf	pdf	433.000000	887	2013-01-17	2013-05-08	4039
34/10-31	REPORTED BY LICENSEE	887_34_10_31_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/887_34_10_31_Completion_report.pdf	pdf	7969.000000	887	2013-01-17	2013-05-08	4040
34/10-32	OLD NPD WDSS	1051_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1051_01_WDSS_General_Information.pdf	pdf	633.000000	1051	9999-12-31	2013-05-08	4041
34/10-32	OLD NPD WDSS	1051_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1051_02_WDSS_completion_log.pdf	pdf	222.000000	1051	9999-12-31	2013-05-08	4042
34/10-33	GEOCHEMICAL INFORMATION	1302_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1302_1.pdf	pdf	316.000000	1302	9999-12-31	2013-05-08	4043
34/10-33	GEOCHEMICAL INFORMATION	1302_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1302_2.pdf	pdf	478.000000	1302	9999-12-31	2013-05-08	4044
34/10-33	GEOCHEMICAL INFORMATION	1302_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1302_3.pdf	pdf	344.000000	1302	9999-12-31	2013-05-08	4045
34/10-33	GEOCHEMICAL INFORMATION	1302_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1302_4.pdf	pdf	637.000000	1302	9999-12-31	2013-05-08	4046
34/10-33	OLD NPD WDSS	1302_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1302_01_WDSS_General_Information.pdf	pdf	259.000000	1302	9999-12-31	2013-05-08	4047
34/10-33	OLD NPD WDSS	1302_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1302_02_WDSS_completion_log.pdf	pdf	257.000000	1302	9999-12-31	2013-05-08	4048
34/10-33	REPORTED BY LICENSEE	1302_34_10_33_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1302_34_10_33_Completion_log.pdf	pdf	3191.000000	1302	9999-12-31	2013-05-08	4049
34/10-33	REPORTED BY LICENSEE	1302_34_10_33_Completion_report_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1302_34_10_33_Completion_report_1.pdf	pdf	47331.000000	1302	9999-12-31	2013-05-08	4050
34/10-33	REPORTED BY LICENSEE	1302_34_10_33_Completion_report_II	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1302_34_10_33_Completion_report_II.pdf	pdf	40300.000000	1302	9999-12-31	2013-05-08	4051
34/10-33 A	OLD NPD WDSS	1365_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1365_01_WDSS_General_Information.pdf	pdf	212.000000	1365	9999-12-31	2013-05-08	4052
34/10-33 A	OLD NPD WDSS	1365_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1365_02_WDSS_completion_log.pdf	pdf	170.000000	1365	9999-12-31	2013-05-08	4053
34/10-33 A	REPORTED BY LICENSEE	1365_34_10_33_A_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1365_34_10_33_A_Completion_log.pdf	pdf	1083.000000	1365	9999-12-31	2013-05-08	4054
34/10-33 A	REPORTED BY LICENSEE	1365_34_10_33_A_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1365_34_10_33_A_Completion_report.pdf	pdf	35110.000000	1365	9999-12-31	2013-05-08	4055
34/10-33 B	GEOCHEMICAL INFORMATION	1407_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1407_1.pdf	pdf	275.000000	1407	9999-12-31	2013-05-08	4056
34/10-33 B	GEOCHEMICAL INFORMATION	1407_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1407_2.pdf	pdf	577.000000	1407	9999-12-31	2013-05-08	4057
34/10-33 B	OLD NPD WDSS	1407_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1407_01_WDSS_General_Information.pdf	pdf	210.000000	1407	9999-12-31	2013-05-08	4058
34/10-33 B	OLD NPD WDSS	1407_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1407_02_WDSS_completion_log.pdf	pdf	165.000000	1407	9999-12-31	2013-05-08	4059
34/10-33 B	REPORTED BY LICENSEE	1407_34_10_33_B_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1407_34_10_33_B_Completion_log.pdf	pdf	1529.000000	1407	9999-12-31	2013-05-08	4060
34/10-33 B	REPORTED BY LICENSEE	1407_34_10_33_B_Completion_report_I	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1407_34_10_33_B_Completion_report_I.pdf	pdf	36213.000000	1407	9999-12-31	2013-05-08	4061
34/10-33 B	REPORTED BY LICENSEE	1407_34_10_33_B_Completion_report_II	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1407_34_10_33_B_Completion_report_II.pdf	pdf	32194.000000	1407	9999-12-31	2013-05-08	4062
34/10-33 C	GEOCHEMICAL INFORMATION	1384_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1384_1.pdf	pdf	532.000000	1384	9999-12-31	2013-05-08	4063
34/10-33 C	GEOCHEMICAL INFORMATION	1384_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1384_2.pdf	pdf	709.000000	1384	9999-12-31	2013-05-08	4064
34/10-33 C	OLD NPD WDSS	1384_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1384_01_WDSS_General_Information.pdf	pdf	241.000000	1384	9999-12-31	2013-05-08	4065
34/10-33 C	OLD NPD WDSS	1384_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1384_02_WDSS_completion_log.pdf	pdf	139.000000	1384	9999-12-31	2013-05-08	4066
34/10-33 C	REPORTED BY LICENSEE	1384_34_10_33_C_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1384_34_10_33_C_Completion_log.pdf	pdf	598.000000	1384	9999-12-31	2013-05-08	4067
34/10-33 C	REPORTED BY LICENSEE	1384_34_10_33_C_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1384_34_10_33_C_Completion_report.pdf	pdf	31754.000000	1384	9999-12-31	2013-05-08	4068
34/10-33 CR	REPORTED BY LICENSEE	1530_34_10_33_CR_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1530_34_10_33_CR_Completion_report.pdf	pdf	20622.000000	1530	9999-12-31	2013-05-08	4069
34/10-34	GEOCHEMICAL INFORMATION	1747_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1747_1.pdf	pdf	1775.000000	1747	9999-12-31	2013-05-08	4070
34/10-34	OLD NPD WDSS	1747_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1747_01_WDSS_General_Information.pdf	pdf	517.000000	1747	9999-12-31	2013-05-08	4071
34/10-34	OLD NPD WDSS	1747_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1747_02_WDSS_completion_log.pdf	pdf	160.000000	1747	9999-12-31	2013-05-08	4072
34/10-35	GEOCHEMICAL INFORMATION	1874_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1874_1.pdf	pdf	696.000000	1874	2013-03-20	2013-05-08	4073
34/10-35	GEOCHEMICAL INFORMATION	1874_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1874_2.pdf	pdf	28196.000000	1874	2013-03-20	2013-05-08	4074
34/10-35	GEOCHEMICAL INFORMATION	1874_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1874_3.pdf	pdf	25258.000000	1874	2013-03-20	2013-05-08	4075
34/10-35	OLD NPD WDSS	1874_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1874_01_WDSS_General_Information.pdf	pdf	622.000000	1874	9999-12-31	2013-05-08	4076
34/10-35	OLD NPD WDSS	1874_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1874_02_WDSS_completion_log.pdf	pdf	241.000000	1874	9999-12-31	2013-05-08	4077
34/10-35	REPORTED BY LICENSEE	1874_34_10_35_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1874_34_10_35_Completion_log.pdf	pdf	2667.000000	1874	2013-03-20	2013-05-08	4078
34/10-35	REPORTED BY LICENSEE	1874_34_10_35_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1874_34_10_35_Completion_report.pdf	pdf	36803.000000	1874	2013-03-20	2013-05-08	4079
34/10-35	REPORTED BY LICENSEE	1874_34_10_35_Completion_report_Appendix	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1874_34_10_35_Completion_report_Appendix.pdf	pdf	16585.000000	1874	2013-03-20	2013-05-08	4080
34/10-36	OLD NPD WDSS	1940_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1940_01_WDSS_General_Information.pdf	pdf	463.000000	1940	9999-12-31	2013-05-08	4081
34/10-36	OLD NPD WDSS	1940_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1940_02_WDSS_completion_log.pdf	pdf	204.000000	1940	9999-12-31	2013-05-08	4082
34/10-37 A	GEOCHEMICAL INFORMATION	2530_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2530_1.pdf	pdf	5158.000000	2530	9999-12-31	2013-05-08	4083
34/10-4	GEOCHEMICAL INFORMATION	427_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/427_GCH_1.pdf	pdf	892.000000	427	2012-12-21	2013-05-08	4084
34/10-4	GEOCHEMICAL INFORMATION	427_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/427_GCH_2.pdf	pdf	2324.000000	427	2012-12-21	2013-05-08	4085
34/10-4	OLD NPD WDSS	427_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/427_01_WDSS_General_Information.pdf	pdf	115.000000	427	9999-12-31	2013-05-08	4086
34/10-4	OLD NPD WDSS	427_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/427_02_WDSS_completion_log.pdf	pdf	185.000000	427	9999-12-31	2013-05-08	4087
34/10-4	REPORTED BY LICENSEE	427_34_10_4_ADT_end_of_well_summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_ADT_end_of_well_summary.pdf	pdf	19776.000000	427	2012-11-07	2013-05-08	4088
34/10-4	REPORTED BY LICENSEE	427_34_10_4_ADT_LOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_ADT_LOG.PDF	PDF	596.000000	427	2012-11-07	2013-05-08	4089
34/10-4	REPORTED BY LICENSEE	427_34_10_4_ANALYTICAL_REPORT_NO_ABN_238_80	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_ANALYTICAL_REPORT_NO_ABN_238_80.PDF	PDF	266.000000	427	2012-11-07	2013-05-08	4090
34/10-4	REPORTED BY LICENSEE	427_34_10_4_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_COMPLETION_REPORT.PDF	PDF	9397.000000	427	2012-11-07	2013-05-08	4091
34/10-4	REPORTED BY LICENSEE	427_34_10_4_COMPUTERIZED_LOG_INTERPRETATION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_COMPUTERIZED_LOG_INTERPRETATION.PDF	PDF	753.000000	427	2012-11-07	2013-05-08	4092
34/10-4	REPORTED BY LICENSEE	427_34_10_4_CORMORANT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_CORMORANT.PDF	PDF	336.000000	427	2012-11-07	2013-05-08	4093
34/10-4	REPORTED BY LICENSEE	427_34_10_4_Data_Summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_Data_Summary.pdf	pdf	41266.000000	427	2012-11-07	2013-05-08	4094
34/10-4	REPORTED BY LICENSEE	427_34_10_4_ELECTRICAL_RESISTIVITY_MEASUREMENTS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_ELECTRICAL_RESISTIVITY_MEASUREMENTS.PDF	PDF	491.000000	427	2012-11-07	2013-05-08	4095
34/10-4	REPORTED BY LICENSEE	427_34_10_4_EVALUATION_OF_SPECIAL_CORE_ANALYSIS_DATA	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_EVALUATION_OF_SPECIAL_CORE_ANALYSIS_DATA.PDF	PDF	7102.000000	427	2012-11-07	2013-05-08	4096
34/10-4	REPORTED BY LICENSEE	427_34_10_4_FINAL_REPORT_WELL_CORE_1_6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_FINAL_REPORT_WELL_CORE_1_6.PDF	PDF	1084.000000	427	2012-11-07	2013-05-08	4097
34/10-4	REPORTED BY LICENSEE	427_34_10_4_GEOLOGICAL_PROGNOSIS_&_DRILLING_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_GEOLOGICAL_PROGNOSIS_&_DRILLING_PROGRAM.PDF	PDF	1901.000000	427	2012-11-07	2013-05-08	4098
34/10-4	REPORTED BY LICENSEE	427_34_10_4_KAPILLÆR_TRYKKS_STUDIE	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_KAPILLÆR_TRYKKS_STUDIE.PDF	PDF	410.000000	427	2012-11-07	2013-05-08	4099
34/10-4	REPORTED BY LICENSEE	427_34_10_4_KORRIGERING_AV_PETROFYSISK_RAPPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_KORRIGERING_AV_PETROFYSISK_RAPPORT.PDF	PDF	531.000000	427	2012-11-07	2013-05-08	4100
34/10-4	REPORTED BY LICENSEE	427_34_10_4_PALAEONTOLOGICAL_STRATIGRAPHICAL_FINAL_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_PALAEONTOLOGICAL_STRATIGRAPHICAL_FINAL_REPORT.PDF	PDF	960.000000	427	2012-11-07	2013-05-08	4101
34/10-4	REPORTED BY LICENSEE	427_34_10_4_Palentological_study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_Palentological_study.pdf	pdf	1327.000000	427	2012-11-07	2013-05-08	4102
34/10-4	REPORTED BY LICENSEE	427_34_10_4_PETROGRAPHY_AND_DIAGENESIS_OF_THE_BRENT_SANDSTONES	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_PETROGRAPHY_AND_DIAGENESIS_OF_THE_BRENT_SANDSTONES.PDF	PDF	9964.000000	427	2012-11-07	2013-05-08	4103
34/10-4	REPORTED BY LICENSEE	427_34_10_4_PETROPHYSICAL_EVALUATION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_PETROPHYSICAL_EVALUATION.PDF	PDF	950.000000	427	2012-11-07	2013-05-08	4104
34/10-4	REPORTED BY LICENSEE	427_34_10_4_PLUG_AND_ABANDONMENT_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_PLUG_AND_ABANDONMENT_PROGRAM.PDF	PDF	69.000000	427	2012-11-07	2013-05-08	4105
34/10-4	REPORTED BY LICENSEE	427_34_10_4_PLUG_BACK_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_PLUG_BACK_PROGRAM.PDF	PDF	41.000000	427	2012-11-07	2013-05-08	4106
34/10-4	REPORTED BY LICENSEE	427_34_10_4_PRESSURE_PREDICTION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_PRESSURE_PREDICTION.PDF	PDF	2135.000000	427	2012-11-07	2013-05-08	4107
34/10-4	REPORTED BY LICENSEE	427_34_10_4_PVT_STUDY_ON_A_BOTTOM_HOLE_SAMPLE_DST_1A	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_PVT_STUDY_ON_A_BOTTOM_HOLE_SAMPLE_DST_1A.PDF	PDF	1197.000000	427	2012-11-07	2013-05-08	4108
34/10-4	REPORTED BY LICENSEE	427_34_10_4_QUALITY_CONTROL_OF_ROUTINE_CORE_ANALYSIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_QUALITY_CONTROL_OF_ROUTINE_CORE_ANALYSIS.PDF	PDF	263.000000	427	2012-11-07	2013-05-08	4109
34/10-4	REPORTED BY LICENSEE	427_34_10_4_Report_interpretation_of_DST_1A_&_DST_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_Report_interpretation_of_DST_1A_&_DST_2.pdf	pdf	1871.000000	427	2012-11-07	2013-05-08	4110
34/10-4	REPORTED BY LICENSEE	427_34_10_4_RESERVOIR_FLUID_STUDY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_RESERVOIR_FLUID_STUDY.PDF	PDF	177.000000	427	2012-11-07	2013-05-08	4111
34/10-4	REPORTED BY LICENSEE	427_34_10_4_RESERVOIR_FLUID_STUDY_DST_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_RESERVOIR_FLUID_STUDY_DST_2.PDF	PDF	820.000000	427	2012-11-07	2013-05-08	4112
34/10-4	REPORTED BY LICENSEE	427_34_10_4_SOURCE_ROCK_ANALYSES	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_SOURCE_ROCK_ANALYSES.PDF	PDF	1236.000000	427	2012-11-07	2013-05-08	4113
34/10-4	REPORTED BY LICENSEE	427_34_10_4_SPECIAL_CORE_ANALYSIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_SPECIAL_CORE_ANALYSIS.PDF	PDF	1647.000000	427	2012-11-07	2013-05-08	4114
34/10-4	REPORTED BY LICENSEE	427_34_10_4_SPECIAL_CORE_ANALYSIS_STUDY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_SPECIAL_CORE_ANALYSIS_STUDY.PDF	PDF	4118.000000	427	2012-11-07	2013-05-08	4115
34/10-4	REPORTED BY LICENSEE	427_34_10_4_Special_core_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_Special_core_description.pdf	pdf	1167.000000	427	2012-11-07	2013-05-08	4116
34/10-4	REPORTED BY LICENSEE	427_34_10_4_SPECIAL_STUDY_DST_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_SPECIAL_STUDY_DST_1.PDF	PDF	514.000000	427	2012-11-07	2013-05-08	4117
34/10-4	REPORTED BY LICENSEE	427_34_10_4_STRATIGRAPHIC_LOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_STRATIGRAPHIC_LOG.PDF	PDF	2051.000000	427	2012-11-07	2013-05-08	4118
34/10-4	REPORTED BY LICENSEE	427_34_10_4_SUPPLEMENTARY_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_SUPPLEMENTARY_REPORT.PDF	PDF	198.000000	427	2012-11-07	2013-05-08	4119
34/10-4	REPORTED BY LICENSEE	427_34_10_4_SURVEY_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_SURVEY_REPORT.PDF	PDF	1009.000000	427	2012-11-07	2013-05-08	4120
34/10-4	REPORTED BY LICENSEE	427_34_10_4_TEST_PROGRAM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_TEST_PROGRAM.PDF	PDF	464.000000	427	2012-11-07	2013-05-08	4121
34/10-4	REPORTED BY LICENSEE	427_34_10_4_UPPER_PART_OF_THE_WELL_TEST_STRING_ASSEMBLY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_UPPER_PART_OF_THE_WELL_TEST_STRING_ASSEMBLY.PDF	PDF	123.000000	427	2012-11-07	2013-05-08	4122
34/10-4	REPORTED BY LICENSEE	427_34_10_4_WELL_PROGNOSIS_	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_WELL_PROGNOSIS_.PDF	PDF	185.000000	427	2012-11-07	2013-05-08	4123
34/10-4	REPORTED BY LICENSEE	427_34_10_4_WELL_TEST_REPORT_PL_050	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/427_34_10_4_WELL_TEST_REPORT_PL_050.PDF	PDF	2312.000000	427	2012-11-07	2013-05-08	4124
34/10-42 S	COMPOSITE LOG	3816	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3816.pdf	pdf	488.000000	3816	9999-12-31	2013-05-08	4125
34/10-5	GEOCHEMICAL INFORMATION	428_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/428_GCH_1.pdf	pdf	929.000000	428	2012-12-21	2013-05-08	4126
34/10-5	GEOCHEMICAL INFORMATION	428_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/428_GCH_2.pdf	pdf	631.000000	428	2012-12-21	2013-05-08	4127
34/10-5	OLD NPD WDSS	428_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/428_01_WDSS_General_Information.pdf	pdf	126.000000	428	9999-12-31	2013-05-08	4128
34/10-5	OLD NPD WDSS	428_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/428_02_WDSS_completion_log.pdf	pdf	206.000000	428	9999-12-31	2013-05-08	4129
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Core_Supplementary_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Core_Supplementary_Report.pdf	pdf	64.000000	428	2012-11-07	2013-05-08	4130
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Geco_Core_Final_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Geco_Core_Final_Report.pdf	pdf	1063.000000	428	2012-11-07	2013-05-08	4131
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Paleontological_Report_1500_2780m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Paleontological_Report_1500_2780m.pdf	pdf	11764.000000	428	2012-11-07	2013-05-08	4132
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Paleontological_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Paleontological_Study.pdf	pdf	912.000000	428	2012-11-07	2013-05-08	4133
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Petrophysical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Petrophysical_Evaluation.pdf	pdf	3821.000000	428	2012-11-07	2013-05-08	4134
34/10-5	REPORTED BY LICENSEE	428_34_10_5_PVT_study_of_Bottom_Hole_Sample	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_PVT_study_of_Bottom_Hole_Sample.pdf	pdf	236.000000	428	2012-11-07	2013-05-08	4135
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Reservoir_Fluid_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Reservoir_Fluid_Study.pdf	pdf	571.000000	428	2012-11-07	2013-05-08	4136
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Source_Rock_Analyses	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Source_Rock_Analyses.pdf	pdf	471.000000	428	2012-11-07	2013-05-08	4137
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Special_Core_Analysis_CoreLab	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Special_Core_Analysis_CoreLab.pdf	pdf	259.000000	428	2012-11-07	2013-05-08	4138
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Special_Core_Analysis_Corex	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Special_Core_Analysis_Corex.pdf	pdf	983.000000	428	2012-11-07	2013-05-08	4139
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Special_Core_Analysis_Waterflood_Tests	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Special_Core_Analysis_Waterflood_Tests.pdf	pdf	1038.000000	428	2012-11-07	2013-05-08	4140
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Well_Testing_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Well_Testing_Report.pdf	pdf	811.000000	428	2012-11-07	2013-05-08	4141
34/10-5	REPORTED BY LICENSEE	428_34_10_5_Well_Test_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/428_34_10_5_Well_Test_Report.pdf	pdf	685.000000	428	2012-11-07	2013-05-08	4142
34/10-6	GEOCHEMICAL INFORMATION	429_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/429_GCH_1.pdf	pdf	432.000000	429	2012-12-21	2013-05-08	4143
34/10-6	GEOCHEMICAL INFORMATION	429_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/429_GCH_2.pdf	pdf	773.000000	429	2012-12-21	2013-05-08	4144
34/10-6	OLD NPD WDSS	429_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/429_01_WDSS_General_Information.pdf	pdf	121.000000	429	9999-12-31	2013-05-08	4145
34/10-6	OLD NPD WDSS	429_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/429_02_WDSS_completion_log.pdf	pdf	165.000000	429	9999-12-31	2013-05-08	4146
34/10-6	REPORTED BY LICENSEE	429_34_10_6_Palaeontological_Stratigraphical_Final_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/429_34_10_6_Palaeontological_Stratigraphical_Final_Report.pdf	pdf	2707.000000	429	2012-11-07	2013-05-08	4147
34/10-6	REPORTED BY LICENSEE	429_34_10_6_Paleontological_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/429_34_10_6_Paleontological_Study.pdf	pdf	810.000000	429	2012-11-07	2013-05-08	4148
34/10-6	REPORTED BY LICENSEE	429_34_10_6_Petrophysical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/429_34_10_6_Petrophysical_Evaluation.pdf	pdf	1474.000000	429	2012-11-07	2013-05-08	4149
34/10-6	REPORTED BY LICENSEE	429_34_10_6_Source_Rock_Analyses	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/429_34_10_6_Source_Rock_Analyses.pdf	pdf	327.000000	429	2012-11-07	2013-05-08	4150
34/10-7	OLD NPD WDSS	222_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/222_01_WDSS_General_Information.pdf	pdf	128.000000	222	9999-12-31	2013-05-08	4151
34/10-7	OLD NPD WDSS	222_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/222_02_WDSS_completion_log.pdf	pdf	159.000000	222	9999-12-31	2013-05-08	4152
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Completion_log.pdf	pdf	1391.000000	222	2012-11-07	2013-05-08	4153
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Completion_report.pdf	pdf	23472.000000	222	2012-11-07	2013-05-08	4154
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Composition_Single_Flash_Bubble_Point_Of_Reservoir_Fluid	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Composition_Single_Flash_Bubble_Point_Of_Reservoir_Fluid.pdf	pdf	441.000000	222	2012-11-07	2013-05-08	4155
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Core_Analysis.pdf	pdf	438.000000	222	2012-11-07	2013-05-08	4156
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Drilling_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Drilling_Completion_report.pdf	pdf	34358.000000	222	2012-11-07	2013-05-08	4157
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Facies_Description_of_core	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Facies_Description_of_core.pdf	pdf	306.000000	222	2012-11-07	2013-05-08	4158
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Paleontological_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Paleontological_Report.pdf	pdf	2832.000000	222	2012-11-07	2013-05-08	4159
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Paleontological_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Paleontological_Study.pdf	pdf	691.000000	222	2012-11-07	2013-05-08	4160
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Petrophysical_Eval_Cook_Statfjord	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Petrophysical_Eval_Cook_Statfjord.pdf	pdf	2749.000000	222	2012-11-07	2013-05-08	4161
34/10-7	REPORTED BY LICENSEE	222_34_10_7_PVT_Analysis_Of_Bottom_Hole_Sample	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_PVT_Analysis_Of_Bottom_Hole_Sample.pdf	pdf	887.000000	222	2012-11-07	2013-05-08	4162
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Reservoir_Fluid_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Reservoir_Fluid_Study.pdf	pdf	53.000000	222	2012-11-07	2013-05-08	4163
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Reservoir_Fluid_Study_Sep80	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Reservoir_Fluid_Study_Sep80.pdf	pdf	626.000000	222	2012-11-07	2013-05-08	4164
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Source_Rock_Analyses_partII	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Source_Rock_Analyses_partII.pdf	pdf	300.000000	222	2012-11-07	2013-05-08	4165
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Source_Rock_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Source_Rock_Analysis.pdf	pdf	453.000000	222	2012-11-07	2013-05-08	4166
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Special_Core_Description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Special_Core_Description.pdf	pdf	1959.000000	222	2012-11-07	2013-05-08	4167
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Special_Core_Studies_Comments	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Special_Core_Studies_Comments.pdf	pdf	3162.000000	222	2012-11-07	2013-05-08	4168
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Special_Core_Studies_Plug_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Special_Core_Studies_Plug_samples.pdf	pdf	4486.000000	222	2012-11-07	2013-05-08	4169
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Special_Study_Fluid_Gas_samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Special_Study_Fluid_Gas_samples.pdf	pdf	219.000000	222	2012-11-07	2013-05-08	4170
34/10-7	REPORTED BY LICENSEE	222_34_10_7_TBP_distillation_Of_Oil_DST3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_TBP_distillation_Of_Oil_DST3.pdf	pdf	651.000000	222	2012-11-07	2013-05-08	4171
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Well_Testing_Report_DST2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Well_Testing_Report_DST2.pdf	pdf	2514.000000	222	2012-11-07	2013-05-08	4172
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Well_Testing_Report_DST3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Well_Testing_Report_DST3.pdf	pdf	4069.000000	222	2012-11-07	2013-05-08	4173
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Well_Test_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Well_Test_Report.pdf	pdf	1420.000000	222	2012-11-07	2013-05-08	4174
34/10-7	REPORTED BY LICENSEE	222_34_10_7_Well_Test_report_DST2_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/222_34_10_7_Well_Test_report_DST2_3.pdf	pdf	4524.000000	222	2012-11-07	2013-05-08	4175
34/10-8	OLD NPD WDSS	230_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/230_01_WDSS_General_Information.pdf	pdf	128.000000	230	9999-12-31	2013-05-08	4176
34/10-8	OLD NPD WDSS	230_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/230_02_WDSS_completion_log.pdf	pdf	168.000000	230	9999-12-31	2013-05-08	4177
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Completion_log.pdf	pdf	1305.000000	230	2012-11-07	2013-05-08	4178
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Completion_report.pdf	pdf	22288.000000	230	2012-11-07	2013-05-08	4179
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Corex_Report_and_Comments	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Corex_Report_and_Comments.pdf	pdf	8432.000000	230	2012-11-07	2013-05-08	4180
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Core_description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Core_description.pdf	pdf	2724.000000	230	2012-11-07	2013-05-08	4181
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Core_measurements	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Core_measurements.pdf	pdf	2149.000000	230	2012-11-07	2013-05-08	4182
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Drilling_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Drilling_Completion_report.pdf	pdf	26839.000000	230	2012-11-07	2013-05-08	4183
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Laboratory_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Laboratory_report.pdf	pdf	1436.000000	230	2012-11-07	2013-05-08	4184
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Paleontological_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Paleontological_Report.pdf	pdf	2101.000000	230	2012-11-07	2013-05-08	4185
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Petrophysical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Petrophysical_Evaluation.pdf	pdf	3060.000000	230	2012-11-07	2013-05-08	4186
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Reservoir_ Fluid_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Reservoir_ Fluid_Study.pdf	pdf	195.000000	230	2012-11-07	2013-05-08	4187
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Rock_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Rock_Analysis.pdf	pdf	449.000000	230	2012-11-07	2013-05-08	4188
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Special_Core_Analysis_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Special_Core_Analysis_Study.pdf	pdf	3416.000000	230	2012-11-07	2013-05-08	4189
34/10-8	REPORTED BY LICENSEE	230_34_10_8_Well_Test_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/230_34_10_8_Well_Test_Report.pdf	pdf	1093.000000	230	2012-11-07	2013-05-08	4190
34/10-9	OLD NPD WDSS	140_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/140_01_WDSS_General_Information.pdf	pdf	144.000000	140	9999-12-31	2013-05-08	4191
34/10-9	OLD NPD WDSS	140_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/140_02_WDSS_completion_log.pdf	pdf	170.000000	140	9999-12-31	2013-05-08	4192
34/10-9	REPORTED BY LICENSEE	140_34_10_9_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/140_34_10_9_Completion_log.pdf	pdf	1540.000000	140	2012-11-07	2013-05-08	4193
34/10-9	REPORTED BY LICENSEE	140_34_10_9_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/140_34_10_9_Completion_report.pdf	pdf	27304.000000	140	2012-11-07	2013-05-08	4194
34/10-9	REPORTED BY LICENSEE	140_34_10_9_Drilling_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/140_34_10_9_Drilling_Completion_report.pdf	pdf	33805.000000	140	2012-11-07	2013-05-08	4195
34/10-9	REPORTED BY LICENSEE	140_34_10_9_Evaluation_Of_Wet_Crude_Demulsifier	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/140_34_10_9_Evaluation_Of_Wet_Crude_Demulsifier.pdf	pdf	303.000000	140	2012-11-07	2013-05-08	4196
34/10-9	REPORTED BY LICENSEE	140_34_10_9_Fluid_Sample_Data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/140_34_10_9_Fluid_Sample_Data.pdf	pdf	1837.000000	140	2012-11-07	2013-05-08	4197
34/10-9	REPORTED BY LICENSEE	140_34_10_9_Fluid_Sample_Data_DST2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/140_34_10_9_Fluid_Sample_Data_DST2.pdf	pdf	1387.000000	140	2012-11-07	2013-05-08	4198
34/10-9	REPORTED BY LICENSEE	140_34_10_9_Fluid_Sample_Data_DST3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/140_34_10_9_Fluid_Sample_Data_DST3.pdf	pdf	1322.000000	140	2012-11-07	2013-05-08	4199
34/10-9	REPORTED BY LICENSEE	140_34_10_9_Formation_Testing_Service_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/140_34_10_9_Formation_Testing_Service_Report.pdf	pdf	286.000000	140	2012-11-07	2013-05-08	4200
34/10-9	REPORTED BY LICENSEE	140_34_10_9_Laboratory_Final_Report_Core_parameters	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/140_34_10_9_Laboratory_Final_Report_Core_parameters.pdf	pdf	1046.000000	140	2012-11-07	2013-05-08	4201
34/10-9	REPORTED BY LICENSEE	140_34_10_9_Palaeontological_Stratigraphical_Final_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/140_34_10_9_Palaeontological_Stratigraphical_Final_Report.pdf	pdf	2597.000000	140	2012-11-07	2013-05-08	4202
34/10-9	REPORTED BY LICENSEE	140_34_10_9_Well_Test_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/140_34_10_9_Well_Test_Report.pdf	pdf	3135.000000	140	2012-11-07	2013-05-08	4203
34/11-3	GEOCHEMICAL INFORMATION	2866_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2866_1.pdf	pdf	2784.000000	2866	9999-12-31	2013-05-08	4204
34/11-4	COMPOSITE LOG	3314	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3314.pdf	pdf	634.000000	3314	9999-12-31	2013-05-08	4205
34/11-4	GEOCHEMICAL INFORMATION	3314_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3314_1.pdf	pdf	1930.000000	3314	9999-12-31	2013-05-08	4206
34/11-4	GEOCHEMICAL INFORMATION	3314_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3314_2.pdf	pdf	1879.000000	3314	9999-12-31	2013-05-08	4207
34/11-4	GEOCHEMICAL INFORMATION	3314_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3314_3.pdf	pdf	1835.000000	3314	9999-12-31	2013-05-08	4208
34/11-4	GEOCHEMICAL INFORMATION	3314_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3314_4.pdf	pdf	1945.000000	3314	9999-12-31	2013-05-08	4209
34/11-4	GEOCHEMICAL INFORMATION	3314_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3314_5.pdf	pdf	1732.000000	3314	9999-12-31	2013-05-08	4210
34/11-4	GEOCHEMICAL INFORMATION	3314_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3314_6.pdf	pdf	798.000000	3314	9999-12-31	2013-05-08	4211
34/11-5 S	GEOCHEMICAL INFORMATION	5248_01_34_11_5S_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5248_01_34_11_5S_gch_transfer_1.txt	txt	0.000000	5248	9999-12-31	2013-05-08	4212
34/11-5 S	GEOCHEMICAL INFORMATION	5248_02_34_11_5S_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5248_02_34_11_5S_gch_results_1.txt	txt	20.000000	5248	9999-12-31	2013-05-08	4213
34/11-5 S	GEOCHEMICAL INFORMATION	5248_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5248_1.pdf	pdf	801.000000	5248	9999-12-31	2013-05-08	4214
34/11-5 S	GEOCHEMICAL INFORMATION	5248_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5248_2.pdf	pdf	661.000000	5248	9999-12-31	2013-05-08	4215
34/12-1	GEOCHEMICAL INFORMATION	5684_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5684_1.pdf	pdf	669.000000	5684	9999-12-31	2013-05-08	4216
34/12-1	GEOCHEMICAL INFORMATION	5684_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5684_2.pdf	pdf	1135.000000	5684	9999-12-31	2013-05-08	4217
34/2-1	COMPOSITE LOG	420	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/420.pdf	pdf	39.000000	420	9999-12-31	2013-05-08	4218
34/2-1	OLD NPD WDSS	420_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/420_01_WDSS_General_Information.pdf	pdf	220.000000	420	9999-12-31	2013-05-08	4219
34/2-1	OLD NPD WDSS	420_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/420_02_WDSS_completion_log.pdf	pdf	70.000000	420	9999-12-31	2013-05-08	4220
34/2-1	REPORTED BY LICENSEE	420_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/420_01_Completion_Report.pdf	pdf	6845.000000	420	9999-12-31	2013-05-08	4221
34/2-1	REPORTED BY LICENSEE	420_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/420_02_Completion_log.pdf	pdf	240.000000	420	9999-12-31	2013-05-08	4222
34/2-2	OLD NPD WDSS	215_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/215_01_WDSS_General_Information.pdf	pdf	95.000000	215	9999-12-31	2013-05-08	4223
34/2-2	OLD NPD WDSS	215_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/215_02_WDSS_completion_log.pdf	pdf	286.000000	215	9999-12-31	2013-05-08	4224
34/2-2	REPORTED BY LICENSEE	215_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/215_01_Completion_Report.pdf	pdf	14492.000000	215	9999-12-31	2013-05-08	4225
34/2-2	REPORTED BY LICENSEE	215_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/215_02_Completion_log.pdf	pdf	2454.000000	215	9999-12-31	2013-05-08	4226
34/2-2 R	COMPOSITE LOG	497	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/497.pdf	pdf	620.000000	497	9999-12-31	2013-05-08	4227
34/2-2 R	GEOCHEMICAL INFORMATION	497_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/497_1.pdf	pdf	981.000000	497	9999-12-31	2013-05-08	4228
34/2-2 R	GEOCHEMICAL INFORMATION	497_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/497_2.pdf	pdf	3038.000000	497	9999-12-31	2013-05-08	4229
34/2-2 R	GEOCHEMICAL INFORMATION	497_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/497_3.pdf	pdf	2029.000000	497	9999-12-31	2013-05-08	4230
34/2-2 R	GEOCHEMICAL INFORMATION	497_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/497_4.pdf	pdf	119.000000	497	9999-12-31	2013-05-08	4231
34/2-2 R	OLD NPD WDSS	497_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/497_01_WDSS_General_Information.pdf	pdf	95.000000	497	9999-12-31	2013-05-08	4232
34/2-3	COMPOSITE LOG	421	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/421.pdf	pdf	521.000000	421	9999-12-31	2013-05-08	4233
34/2-3	OLD NPD WDSS	421_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/421_01_WDSS_General_Information.pdf	pdf	98.000000	421	9999-12-31	2013-05-08	4234
34/2-3	OLD NPD WDSS	421_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/421_02_WDSS_completion_log.pdf	pdf	262.000000	421	9999-12-31	2013-05-08	4235
34/2-4	COMPOSITE LOG	467	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/467.pdf	pdf	454.000000	467	9999-12-31	2013-05-08	4236
34/2-4	GEOCHEMICAL INFORMATION	467_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/467_1.pdf	pdf	1714.000000	467	9999-12-31	2013-05-08	4237
34/2-4	GEOCHEMICAL INFORMATION	467_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/467_2.pdf	pdf	1395.000000	467	9999-12-31	2013-05-08	4238
34/2-4	OLD NPD WDSS	467_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/467_01_WDSS_General_Information.pdf	pdf	236.000000	467	9999-12-31	2013-05-08	4239
34/2-4	OLD NPD WDSS	467_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/467_02_WDSS_completion_log.pdf	pdf	296.000000	467	9999-12-31	2013-05-08	4240
34/3-1 A	COMPOSITE LOG	5921	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5921.pdf	pdf	477.000000	5921	2013-05-01	2013-05-08	4241
34/3-1 A	GEOCHEMICAL INFORMATION	5921_01_34_3_1A_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5921_01_34_3_1A_gch_transfer_1.txt	txt	0.000000	5921	9999-12-31	2013-05-08	4242
34/3-1 A	GEOCHEMICAL INFORMATION	5921_02_34_3_1A_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5921_02_34_3_1A_gch_results_1.txt	txt	45.000000	5921	9999-12-31	2013-05-08	4243
34/3-1 S	COMPOSITE LOG	5811	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5811.pdf	pdf	596.000000	5811	2013-05-01	2013-05-08	4244
34/3-1 S	GEOCHEMICAL INFORMATION	5811_01_34_3_1S_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5811_01_34_3_1S_gch_transfer_1.txt	txt	0.000000	5811	9999-12-31	2013-05-08	4245
34/3-1 S	GEOCHEMICAL INFORMATION	5811_01_34_3_1S_gch_transfer_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5811_01_34_3_1S_gch_transfer_2.txt	txt	0.000000	5811	9999-12-31	2013-05-08	4246
34/3-1 S	GEOCHEMICAL INFORMATION	5811_02_34_3_1S_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5811_02_34_3_1S_gch_results_1.txt	txt	108.000000	5811	9999-12-31	2013-05-08	4247
34/3-1 S	GEOCHEMICAL INFORMATION	5811_02_34_3_1S_gch_results_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5811_02_34_3_1S_gch_results_2.txt	txt	38.000000	5811	9999-12-31	2013-05-08	4248
34/4-1	GEOCHEMICAL INFORMATION	422_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/422_1.pdf	pdf	151.000000	422	9999-12-31	2013-05-08	4249
34/4-1	GEOCHEMICAL INFORMATION	422_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/422_2.pdf	pdf	376.000000	422	9999-12-31	2013-05-08	4250
34/4-1	GEOCHEMICAL INFORMATION	422_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/422_3.pdf	pdf	1255.000000	422	9999-12-31	2013-05-08	4251
34/4-1	OLD NPD WDSS	422_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/422_01_WDSS_General_Information.pdf	pdf	127.000000	422	9999-12-31	2013-05-08	4252
34/4-1	OLD NPD WDSS	422_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/422_02_WDSS_completion_log.pdf	pdf	181.000000	422	9999-12-31	2013-05-08	4253
34/4-1	REPORTED BY LICENSEE	422_00_34_4_1_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/422_00_34_4_1_Completion_Log.pdf	pdf	1602.000000	422	9999-12-31	2013-05-08	4254
34/4-1	REPORTED BY LICENSEE	422_00_34_4_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/422_00_34_4_1_Completion_Report.pdf	pdf	3053.000000	422	9999-12-31	2013-05-08	4255
34/4-10 R	COMPOSITE LOG	4051	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4051.pdf	pdf	425.000000	4051	9999-12-31	2013-05-08	4256
34/4-12 A	COMPOSITE LOG	6316	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/6316.pdf	pdf	361.000000	6316	9999-12-31	2013-05-08	4257
34/4-12 S	COMPOSITE LOG	6283	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/6283.pdf	pdf	388.000000	6283	9999-12-31	2013-05-08	4258
34/4-2	GEOCHEMICAL INFORMATION	228_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/228_1.pdf	pdf	47.000000	228	9999-12-31	2013-05-08	4259
34/4-2	GEOCHEMICAL INFORMATION	228_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/228_2.pdf	pdf	1904.000000	228	9999-12-31	2013-05-08	4260
34/4-2	OLD NPD WDSS	228_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/228_01_WDSS_General_Information.pdf	pdf	230.000000	228	9999-12-31	2013-05-08	4261
34/4-2	OLD NPD WDSS	228_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/228_02_WDSS_completion_log.pdf	pdf	190.000000	228	9999-12-31	2013-05-08	4262
34/4-2	REPORTED BY LICENSEE	228_01_34_4_2_Completion_Report_and_Composite_Well_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/228_01_34_4_2_Completion_Report_and_Composite_Well_Log.pdf	pdf	13025.000000	228	9999-12-31	2013-05-08	4263
34/4-3	COMPOSITE LOG	423	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/423.pdf	pdf	769.000000	423	9999-12-31	2013-05-08	4264
34/4-3	GEOCHEMICAL INFORMATION	423_1_GEOCHEMICAL_EVALUATION _OF_ SAGA_ 34_4_3 WELL	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/423_1_GEOCHEMICAL_EVALUATION _OF_ SAGA_ 34_4_3 WELL.pdf	pdf	6176.000000	423	9999-12-31	2013-05-08	4265
34/4-3	GEOCHEMICAL INFORMATION	423_2_Total_Organic_Carbon_and_Kerogen_Analysis	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/423_2_Total_Organic_Carbon_and_Kerogen_Analysis.pdf	pdf	838.000000	423	9999-12-31	2013-05-08	4266
34/4-3	GEOCHEMICAL INFORMATION	423_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/423_3.pdf	pdf	2446.000000	423	9999-12-31	2013-05-08	4267
34/4-3	GEOCHEMICAL INFORMATION	423_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/423_4.pdf	pdf	372.000000	423	9999-12-31	2013-05-08	4268
34/4-3	GEOCHEMICAL INFORMATION	423_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/423_5.pdf	pdf	2446.000000	423	9999-12-31	2013-05-08	4269
34/4-3	GEOCHEMICAL INFORMATION	423_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/423_6.pdf	pdf	372.000000	423	9999-12-31	2013-05-08	4270
34/4-3	GEOCHEMICAL INFORMATION	423_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/423_7.pdf	pdf	117.000000	423	9999-12-31	2013-05-08	4271
34/4-3	GEOCHEMICAL INFORMATION	423_8	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/423_8.pdf	pdf	434.000000	423	9999-12-31	2013-05-08	4272
34/4-3	OLD NPD WDSS	423_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/423_01_WDSS_General_Information.pdf	pdf	178.000000	423	9999-12-31	2013-05-08	4273
34/4-3	OLD NPD WDSS	423_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/423_02_WDSS_completion_log.pdf	pdf	268.000000	423	9999-12-31	2013-05-08	4274
34/4-4	GEOCHEMICAL INFORMATION	41_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/41_GCH_1.pdf	pdf	1005.000000	41	2012-12-21	2013-05-08	4275
34/4-4	GEOCHEMICAL INFORMATION	41_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/41_GCH_2.pdf	pdf	8323.000000	41	2012-12-21	2013-05-08	4276
34/4-4	GEOCHEMICAL INFORMATION	41_GCH_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/41_GCH_3.pdf	pdf	1833.000000	41	2012-12-21	2013-05-08	4277
34/4-4	OLD NPD WDSS	41_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/41_01_WDSS_General_Information.pdf	pdf	190.000000	41	9999-12-31	2013-05-08	4278
34/4-4	OLD NPD WDSS	41_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/41_02_WDSS_completion_log.pdf	pdf	355.000000	41	9999-12-31	2013-05-08	4279
34/4-4	REPORTED BY LICENSEE	41_34_04_04_Completion_Report_and_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/41_34_04_04_Completion_Report_and_log.pdf	pdf	23910.000000	41	2013-01-17	2013-05-08	4280
34/4-5	COMPOSITE LOG	37	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/37.pdf	pdf	695.000000	37	9999-12-31	2013-05-08	4281
34/4-5	GEOCHEMICAL INFORMATION	37_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/37_1.pdf	pdf	3313.000000	37	9999-12-31	2013-05-08	4282
34/4-5	GEOCHEMICAL INFORMATION	37_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/37_2.pdf	pdf	6327.000000	37	9999-12-31	2013-05-08	4283
34/4-5	OLD NPD WDSS	37_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/37_01_WDSS_General_Information.pdf	pdf	236.000000	37	9999-12-31	2013-05-08	4284
34/4-5	OLD NPD WDSS	37_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/37_02_WDSS_completion_log.pdf	pdf	330.000000	37	9999-12-31	2013-05-08	4285
34/4-6	GEOCHEMICAL INFORMATION	875_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/875_1.pdf	pdf	392.000000	875	9999-12-31	2013-05-08	4286
34/4-6	GEOCHEMICAL INFORMATION	875_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/875_2.pdf	pdf	2361.000000	875	9999-12-31	2013-05-08	4287
34/4-6	OLD NPD WDSS	875_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/875_01_WDSS_General_Information.pdf	pdf	248.000000	875	9999-12-31	2013-05-08	4288
34/4-6	OLD NPD WDSS	875_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/875_02_WDSS_completion_log.pdf	pdf	283.000000	875	9999-12-31	2013-05-08	4289
34/4-6	REPORTED BY LICENSEE	875_01_34_4_6_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/875_01_34_4_6_Completion_Log.pdf	pdf	1650.000000	875	9999-12-31	2013-05-08	4290
34/4-6	REPORTED BY LICENSEE	875_01_34_4_6_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/875_01_34_4_6_Completion_report.pdf	pdf	8393.000000	875	9999-12-31	2013-05-08	4291
34/4-7	GEOCHEMICAL INFORMATION	943_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/943_1.pdf	pdf	785.000000	943	9999-12-31	2013-05-08	4292
34/4-7	GEOCHEMICAL INFORMATION	943_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/943_2.pdf	pdf	2140.000000	943	9999-12-31	2013-05-08	4293
34/4-7	OLD NPD WDSS	943_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/943_01_WDSS_General_Information.pdf	pdf	418.000000	943	9999-12-31	2013-05-08	4294
34/4-7	OLD NPD WDSS	943_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/943_02_WDSS_completion_log.pdf	pdf	235.000000	943	9999-12-31	2013-05-08	4295
34/4-7	REPORTED BY LICENSEE	943_01_34_4_7_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/943_01_34_4_7_Completion_Log.pdf	pdf	2833.000000	943	9999-12-31	2013-05-08	4296
34/4-7	REPORTED BY LICENSEE	943_01_34_4_7_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/943_01_34_4_7_Completion_report.pdf	pdf	10000.000000	943	9999-12-31	2013-05-08	4297
34/4-8	COMPOSITE LOG	1908	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1908.pdf	pdf	319.000000	1908	9999-12-31	2013-05-08	4298
34/4-8	GEOCHEMICAL INFORMATION	1908_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1908_1.pdf	pdf	1908.000000	1908	9999-12-31	2013-05-08	4299
34/4-K-3 H	GEOCHEMICAL INFORMATION	4651_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4651_1.pdf	pdf	1782.000000	4651	9999-12-31	2013-05-08	4300
34/5-1 A	GEOCHEMICAL INFORMATION	6352_01_34_5_1S&A_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6352_01_34_5_1S&A_gch_transfer_1.txt	txt	0.000000	6352	2012-08-10	2013-05-08	4301
34/5-1 A	GEOCHEMICAL INFORMATION	6352_02_34_5_1S&A_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6352_02_34_5_1S&A_gch_results_1.txt	txt	322.000000	6352	2012-08-10	2013-05-08	4302
34/6-1 S	COMPOSITE LOG	4561	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4561.pdf	pdf	444.000000	4561	9999-12-31	2013-05-08	4303
34/7-1	GEOCHEMICAL INFORMATION	111_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/111_1.pdf	pdf	1067.000000	111	9999-12-31	2013-05-08	4304
34/7-1	GEOCHEMICAL INFORMATION	111_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/111_2.pdf	pdf	2335.000000	111	9999-12-31	2013-05-08	4305
34/7-1	OLD NPD WDSS	111_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/111_01_WDSS_General_Information.pdf	pdf	247.000000	111	9999-12-31	2013-05-08	4306
34/7-1	OLD NPD WDSS	111_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/111_02_WDSS_completion_log.pdf	pdf	248.000000	111	9999-12-31	2013-05-08	4307
34/7-1	REPORTED BY LICENSEE	111_01_34_7_1_Completion_Report_and_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/111_01_34_7_1_Completion_Report_and_Log.pdf	pdf	17198.000000	111	9999-12-31	2013-05-08	4308
34/7-10	OLD NPD WDSS	947_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/947_01_WDSS_General_Information.pdf	pdf	276.000000	947	9999-12-31	2013-05-08	4309
34/7-10	OLD NPD WDSS	947_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/947_02_WDSS_completion_log.pdf	pdf	256.000000	947	9999-12-31	2013-05-08	4310
34/7-11	OLD NPD WDSS	1176_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1176_01_WDSS_General_Information.pdf	pdf	285.000000	1176	9999-12-31	2013-05-08	4311
34/7-11	REPORTED BY LICENSEE	1176_01_34_7_11_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1176_01_34_7_11_Completion_report.pdf	pdf	8973.000000	1176	9999-12-31	2013-05-08	4312
34/7-11	REPORTED BY LICENSEE	1176_02_34_7_11_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1176_02_34_7_11_Completion_log.pdf	pdf	670.000000	1176	9999-12-31	2013-05-08	4313
34/7-12	GEOCHEMICAL INFORMATION	1187_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1187_1.pdf	pdf	737.000000	1187	9999-12-31	2013-05-08	4314
34/7-12	GEOCHEMICAL INFORMATION	1187_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1187_2.pdf	pdf	2434.000000	1187	9999-12-31	2013-05-08	4315
34/7-12	OLD NPD WDSS	1187_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1187_01_WDSS_General_Information.pdf	pdf	425.000000	1187	9999-12-31	2013-05-08	4316
34/7-12	OLD NPD WDSS	1187_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1187_02_WDSS_completion_log.pdf	pdf	257.000000	1187	9999-12-31	2013-05-08	4317
34/7-12	REPORTED BY LICENSEE	1187_01_34_7_12_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1187_01_34_7_12_Completion_report.pdf	pdf	8973.000000	1187	9999-12-31	2013-05-08	4318
34/7-12	REPORTED BY LICENSEE	1187_02_34_7_12_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1187_02_34_7_12_Completion_log.pdf	pdf	1670.000000	1187	9999-12-31	2013-05-08	4319
34/7-13	GEOCHEMICAL INFORMATION	1233_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1233_1.pdf	pdf	290.000000	1233	9999-12-31	2013-05-08	4320
34/7-13	GEOCHEMICAL INFORMATION	1233_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1233_2.pdf	pdf	1247.000000	1233	9999-12-31	2013-05-08	4321
34/7-13	OLD NPD WDSS	1233_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1233_01_WDSS_General_Information.pdf	pdf	239.000000	1233	9999-12-31	2013-05-08	4322
34/7-13	OLD NPD WDSS	1233_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1233_02_WDSS_completion_log.pdf	pdf	233.000000	1233	9999-12-31	2013-05-08	4323
34/7-14	COMPOSITE LOG	1278	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1278.pdf	pdf	334.000000	1278	9999-12-31	2013-05-08	4324
34/7-14	GEOCHEMICAL INFORMATION	1278_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1278_1.pdf	pdf	1867.000000	1278	9999-12-31	2013-05-08	4325
34/7-14	GEOCHEMICAL INFORMATION	1278_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1278_2.pdf	pdf	341.000000	1278	9999-12-31	2013-05-08	4326
34/7-14	OLD NPD WDSS	1278_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1278_01_WDSS_General_Information.pdf	pdf	265.000000	1278	9999-12-31	2013-05-08	4327
34/7-14	OLD NPD WDSS	1278_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1278_02_WDSS_completion_log.pdf	pdf	159.000000	1278	9999-12-31	2013-05-08	4328
34/7-15 S	COMPOSITE LOG	1544	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1544.pdf	pdf	656.000000	1544	9999-12-31	2013-05-08	4329
34/7-15 S	GEOCHEMICAL INFORMATION	1544_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1544_1.pdf	pdf	1492.000000	1544	9999-12-31	2013-05-08	4330
34/7-15 S	OLD NPD WDSS	1544_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1544_01_WDSS_General_Information.pdf	pdf	226.000000	1544	9999-12-31	2013-05-08	4331
34/7-15 S	OLD NPD WDSS	1544_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1544_02_WDSS_completion_log.pdf	pdf	248.000000	1544	9999-12-31	2013-05-08	4332
34/7-16	OLD NPD WDSS	1550_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1550_01_WDSS_General_Information.pdf	pdf	228.000000	1550	9999-12-31	2013-05-08	4333
34/7-16	OLD NPD WDSS	1550_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1550_02_WDSS_completion_log.pdf	pdf	171.000000	1550	9999-12-31	2013-05-08	4334
34/7-16 R	GEOCHEMICAL INFORMATION	1677_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1677_1.pdf	pdf	285.000000	1677	9999-12-31	2013-05-08	4335
34/7-16 R	GEOCHEMICAL INFORMATION	1677_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1677_2.pdf	pdf	5746.000000	1677	9999-12-31	2013-05-08	4336
34/7-17	OLD NPD WDSS	1713_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1713_01_WDSS_General_Information.pdf	pdf	523.000000	1713	9999-12-31	2013-05-08	4337
34/7-17	OLD NPD WDSS	1713_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1713_02_WDSS_completion_log.pdf	pdf	189.000000	1713	9999-12-31	2013-05-08	4338
34/7-17 A	GEOCHEMICAL INFORMATION	1536_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1536_1.pdf	pdf	394.000000	1536	9999-12-31	2013-05-08	4339
34/7-17 A	GEOCHEMICAL INFORMATION	1536_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1536_2.pdf	pdf	5663.000000	1536	9999-12-31	2013-05-08	4340
34/7-17 A	OLD NPD WDSS	1536_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1536_01_WDSS_General_Information.pdf	pdf	377.000000	1536	9999-12-31	2013-05-08	4341
34/7-17 A	OLD NPD WDSS	1536_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1536_02_WDSS_completion_log.pdf	pdf	149.000000	1536	9999-12-31	2013-05-08	4342
34/7-18	GEOCHEMICAL INFORMATION	1819_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1819_1.pdf	pdf	343.000000	1819	9999-12-31	2013-05-08	4343
34/7-18	GEOCHEMICAL INFORMATION	1819_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1819_2.pdf	pdf	2197.000000	1819	9999-12-31	2013-05-08	4344
34/7-18	OLD NPD WDSS	1819_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1819_01_WDSS_General_Information.pdf	pdf	547.000000	1819	9999-12-31	2013-05-08	4345
34/7-18	OLD NPD WDSS	1819_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1819_02_WDSS_completion_log.pdf	pdf	152.000000	1819	9999-12-31	2013-05-08	4346
34/7-19	GEOCHEMICAL INFORMATION	1838_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1838_1.pdf	pdf	435.000000	1838	9999-12-31	2013-05-08	4347
34/7-19	GEOCHEMICAL INFORMATION	1838_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1838_2.pdf	pdf	1065.000000	1838	9999-12-31	2013-05-08	4348
34/7-19	OLD NPD WDSS	1838_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1838_01_WDSS_General_Information.pdf	pdf	530.000000	1838	9999-12-31	2013-05-08	4349
34/7-19	OLD NPD WDSS	1838_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1838_02_WDSS_completion_log.pdf	pdf	175.000000	1838	9999-12-31	2013-05-08	4350
34/7-2	GEOCHEMICAL INFORMATION	233_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/233_1.pdf	pdf	332.000000	233	9999-12-31	2013-05-08	4351
34/7-2	GEOCHEMICAL INFORMATION	233_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/233_2.pdf	pdf	4854.000000	233	9999-12-31	2013-05-08	4352
34/7-2	OLD NPD WDSS	233_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/233_01_WDSS_General_Information.pdf	pdf	209.000000	233	9999-12-31	2013-05-08	4353
34/7-2	OLD NPD WDSS	233_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/233_02_WDSS_completion_log.pdf	pdf	229.000000	233	9999-12-31	2013-05-08	4354
34/7-2	REPORTED BY LICENSEE	233_01_34_7_2_Completion_Report_and_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/233_01_34_7_2_Completion_Report_and_Log.pdf	pdf	13042.000000	233	9999-12-31	2013-05-08	4355
34/7-20	GEOCHEMICAL INFORMATION	1967_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1967_1.pdf	pdf	316.000000	1967	9999-12-31	2013-05-08	4356
34/7-20	GEOCHEMICAL INFORMATION	1967_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1967_2.pdf	pdf	4556.000000	1967	9999-12-31	2013-05-08	4357
34/7-20	OLD NPD WDSS	1967_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1967_01_WDSS_General_Information.pdf	pdf	466.000000	1967	9999-12-31	2013-05-08	4358
34/7-20	OLD NPD WDSS	1967_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1967_02_WDSS_completion_log.pdf	pdf	190.000000	1967	9999-12-31	2013-05-08	4359
34/7-21	OLD NPD WDSS	2026_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2026_01_WDSS_General_Information.pdf	pdf	507.000000	2026	9999-12-31	2013-05-08	4360
34/7-21	OLD NPD WDSS	2026_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2026_02_WDSS_completion_log.pdf	pdf	189.000000	2026	9999-12-31	2013-05-08	4361
34/7-21 A	GEOCHEMICAL INFORMATION	2068_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2068_1.pdf	pdf	300.000000	2068	9999-12-31	2013-05-08	4362
34/7-21 A	GEOCHEMICAL INFORMATION	2068_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2068_2.pdf	pdf	8558.000000	2068	9999-12-31	2013-05-08	4363
34/7-22	GEOCHEMICAL INFORMATION	2167_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2167_1.pdf	pdf	530.000000	2167	9999-12-31	2013-05-08	4364
34/7-22	GEOCHEMICAL INFORMATION	2167_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2167_2.pdf	pdf	2553.000000	2167	9999-12-31	2013-05-08	4365
34/7-22	GEOCHEMICAL INFORMATION	2167_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2167_3.pdf	pdf	248.000000	2167	9999-12-31	2013-05-08	4366
34/7-23 A	GEOCHEMICAL INFORMATION	2326_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2326_1.pdf	pdf	196.000000	2326	9999-12-31	2013-05-08	4367
34/7-23 A	GEOCHEMICAL INFORMATION	2326_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2326_2.pdf	pdf	3019.000000	2326	9999-12-31	2013-05-08	4368
34/7-23 A	GEOCHEMICAL INFORMATION	2326_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2326_3.pdf	pdf	862.000000	2326	9999-12-31	2013-05-08	4369
34/7-24 S	GEOCHEMICAL INFORMATION	2460_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2460_1.pdf	pdf	2220.000000	2460	9999-12-31	2013-05-08	4370
34/7-25 S	GEOCHEMICAL INFORMATION	2863_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2863_1.pdf	pdf	205.000000	2863	9999-12-31	2013-05-08	4371
34/7-25 S	GEOCHEMICAL INFORMATION	2863_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2863_2.pdf	pdf	1454.000000	2863	9999-12-31	2013-05-08	4372
34/7-25 S	GEOCHEMICAL INFORMATION	2863_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2863_3.pdf	pdf	167.000000	2863	9999-12-31	2013-05-08	4373
34/7-26 A	GEOCHEMICAL INFORMATION	3329_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3329_1.pdf	pdf	467.000000	3329	9999-12-31	2013-05-08	4374
34/7-26 A	GEOCHEMICAL INFORMATION	3329_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3329_2.pdf	pdf	5064.000000	3329	9999-12-31	2013-05-08	4375
34/7-26 SR	GEOCHEMICAL INFORMATION	3315_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3315_1.pdf	pdf	180.000000	3315	9999-12-31	2013-05-08	4376
34/7-26 SR	GEOCHEMICAL INFORMATION	3315_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3315_2.pdf	pdf	6038.000000	3315	9999-12-31	2013-05-08	4377
34/7-27	COMPOSITE LOG	3214	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3214.pdf	pdf	351.000000	3214	9999-12-31	2013-05-08	4378
34/7-28	GEOCHEMICAL INFORMATION	3282_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3282_1.pdf	pdf	143.000000	3282	9999-12-31	2013-05-08	4379
34/7-28	GEOCHEMICAL INFORMATION	3282_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3282_2.pdf	pdf	4494.000000	3282	9999-12-31	2013-05-08	4380
34/7-29 S	COMPOSITE LOG	3313	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3313.pdf	pdf	269.000000	3313	9999-12-31	2013-05-08	4381
34/7-29 S	GEOCHEMICAL INFORMATION	3313_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3313_1.pdf	pdf	1812.000000	3313	9999-12-31	2013-05-08	4382
34/7-29 S	GEOCHEMICAL INFORMATION	3313_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3313_2.pdf	pdf	1958.000000	3313	9999-12-31	2013-05-08	4383
34/7-29 S	GEOCHEMICAL INFORMATION	3313_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3313_3.pdf	pdf	209.000000	3313	9999-12-31	2013-05-08	4384
34/7-29 SR	GEOCHEMICAL INFORMATION	3702_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3702_1.pdf	pdf	1812.000000	3702	9999-12-31	2013-05-08	4385
34/7-29 SR	GEOCHEMICAL INFORMATION	3702_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3702_2.pdf	pdf	1958.000000	3702	9999-12-31	2013-05-08	4386
34/7-29 SR	GEOCHEMICAL INFORMATION	3702_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3702_3.pdf	pdf	209.000000	3702	9999-12-31	2013-05-08	4387
34/7-3	GEOCHEMICAL INFORMATION	442_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/442_1.pdf	pdf	1430.000000	442	9999-12-31	2013-05-08	4388
34/7-3	GEOCHEMICAL INFORMATION	442_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/442_2.pdf	pdf	1734.000000	442	9999-12-31	2013-05-08	4389
34/7-3	GEOCHEMICAL INFORMATION	442_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/442_3.pdf	pdf	712.000000	442	9999-12-31	2013-05-08	4390
34/7-3	GEOCHEMICAL INFORMATION	442_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/442_4.pdf	pdf	186.000000	442	9999-12-31	2013-05-08	4391
34/7-3	GEOCHEMICAL INFORMATION	442_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/442_5.pdf	pdf	2902.000000	442	9999-12-31	2013-05-08	4392
34/7-3	OLD NPD WDSS	442_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/442_01_WDSS_General_Information.pdf	pdf	295.000000	442	9999-12-31	2013-05-08	4393
34/7-3	OLD NPD WDSS	442_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/442_02_WDSS_completion_log.pdf	pdf	260.000000	442	9999-12-31	2013-05-08	4394
34/7-30 SR	COMPOSITE LOG	3886	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3886.pdf	pdf	168.000000	3886	9999-12-31	2013-05-08	4395
34/7-34	GEOCHEMICAL INFORMATION	5973_01_34_7_34_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5973_01_34_7_34_gch_transfer_1.txt	txt	0.000000	5973	9999-12-31	2013-05-08	4396
34/7-34	GEOCHEMICAL INFORMATION	5973_02_34_7_34_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5973_02_34_7_34_gch_results_1.txt	txt	99.000000	5973	9999-12-31	2013-05-08	4397
34/7-34 A	GEOCHEMICAL INFORMATION	6080_01_34_7_34A_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6080_01_34_7_34A_gch_transfer_1.txt	txt	0.000000	6080	9999-12-31	2013-05-08	4398
34/7-34 A	GEOCHEMICAL INFORMATION	6080_02_34_7_34A_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6080_02_34_7_34A_gch_results_1.txt	txt	33.000000	6080	9999-12-31	2013-05-08	4399
34/7-4	GEOCHEMICAL INFORMATION	455_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/455_1.pdf	pdf	609.000000	455	9999-12-31	2013-05-08	4400
34/7-4	GEOCHEMICAL INFORMATION	455_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/455_2.pdf	pdf	5159.000000	455	9999-12-31	2013-05-08	4401
34/7-4	GEOCHEMICAL INFORMATION	455_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/455_3.pdf	pdf	926.000000	455	9999-12-31	2013-05-08	4402
34/7-4	GEOCHEMICAL INFORMATION	455_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/455_4.pdf	pdf	380.000000	455	9999-12-31	2013-05-08	4403
34/7-4	OLD NPD WDSS	455_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/455_01_WDSS_General_Information.pdf	pdf	287.000000	455	9999-12-31	2013-05-08	4404
34/7-4	OLD NPD WDSS	455_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/455_02_WDSS_completion_log.pdf	pdf	248.000000	455	9999-12-31	2013-05-08	4405
34/7-4	REPORTED BY LICENSEE	455_34_7_4_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/455_34_7_4_Completion_log.pdf	pdf	1778.000000	455	9999-12-31	2013-05-08	4406
34/7-4	REPORTED BY LICENSEE	455_34_7_4_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/455_34_7_4_Completion_report.pdf	pdf	37518.000000	455	9999-12-31	2013-05-08	4407
34/7-5	GEOCHEMICAL INFORMATION	458_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/458_1.pdf	pdf	545.000000	458	9999-12-31	2013-05-08	4408
34/7-5	GEOCHEMICAL INFORMATION	458_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/458_2.pdf	pdf	1912.000000	458	9999-12-31	2013-05-08	4409
34/7-5	GEOCHEMICAL INFORMATION	458_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/458_3.pdf	pdf	724.000000	458	9999-12-31	2013-05-08	4410
34/7-5	GEOCHEMICAL INFORMATION	458_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/458_4.pdf	pdf	8706.000000	458	9999-12-31	2013-05-08	4411
34/7-5	OLD NPD WDSS	458_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/458_01_WDSS_General_Information.pdf	pdf	303.000000	458	9999-12-31	2013-05-08	4412
34/7-5	OLD NPD WDSS	458_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/458_02_WDSS_completion_log.pdf	pdf	283.000000	458	9999-12-31	2013-05-08	4413
34/7-5	REPORTED BY LICENSEE	458_34_7_5_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/458_34_7_5_Completion_log.pdf	pdf	1940.000000	458	9999-12-31	2013-05-08	4414
34/7-5	REPORTED BY LICENSEE	458_34_7_5_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/458_34_7_5_Completion_report.pdf	pdf	41538.000000	458	9999-12-31	2013-05-08	4415
34/7-6	OLD NPD WDSS	465_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/465_01_WDSS_General_Information.pdf	pdf	319.000000	465	9999-12-31	2013-05-08	4416
34/7-6	OLD NPD WDSS	465_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/465_02_WDSS_completion_log.pdf	pdf	258.000000	465	9999-12-31	2013-05-08	4417
34/7-7	OLD NPD WDSS	525_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/525_01_WDSS_General_Information.pdf	pdf	308.000000	525	9999-12-31	2013-05-08	4418
34/7-7	OLD NPD WDSS	525_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/525_02_WDSS_completion_log.pdf	pdf	253.000000	525	9999-12-31	2013-05-08	4419
34/7-8	GEOCHEMICAL INFORMATION	878_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/878_1.pdf	pdf	639.000000	878	9999-12-31	2013-05-08	4420
34/7-8	GEOCHEMICAL INFORMATION	878_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/878_2.pdf	pdf	3797.000000	878	9999-12-31	2013-05-08	4421
34/7-8	OLD NPD WDSS	878_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/878_01_WDSS_General_Information.pdf	pdf	261.000000	878	9999-12-31	2013-05-08	4422
34/7-8	OLD NPD WDSS	878_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/878_02_WDSS_completion_log.pdf	pdf	229.000000	878	9999-12-31	2013-05-08	4423
34/7-8	REPORTED BY LICENSEE	878_01_34_7_8_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/878_01_34_7_8_Completion_report.pdf	pdf	8573.000000	878	9999-12-31	2013-05-08	4424
34/7-8	REPORTED BY LICENSEE	878_02_34_7_8_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/878_02_34_7_8_Completion_log.pdf	pdf	1673.000000	878	9999-12-31	2013-05-08	4425
34/7-9	GEOCHEMICAL INFORMATION	889_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/889_1.pdf	pdf	361.000000	889	9999-12-31	2013-05-08	4426
34/7-9	GEOCHEMICAL INFORMATION	889_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/889_2.pdf	pdf	2177.000000	889	9999-12-31	2013-05-08	4427
34/7-9	OLD NPD WDSS	889_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/889_01_WDSS_General_Information.pdf	pdf	279.000000	889	9999-12-31	2013-05-08	4428
34/7-9	OLD NPD WDSS	889_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/889_02_WDSS_completion_log.pdf	pdf	258.000000	889	9999-12-31	2013-05-08	4429
34/7-9	REPORTED BY LICENSEE	889_34_7_9_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/889_34_7_9_Completion_Log.pdf	pdf	1835.000000	889	9999-12-31	2013-05-08	4430
34/7-9	REPORTED BY LICENSEE	889_34_7_9_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/889_34_7_9_Completion_report.pdf	pdf	37253.000000	889	9999-12-31	2013-05-08	4431
34/8-1	COMPOSITE LOG	854	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/854.pdf	pdf	580.000000	854	9999-12-31	2013-05-08	4432
34/8-1	GEOCHEMICAL INFORMATION	854_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/854_1.pdf	pdf	1872.000000	854	9999-12-31	2013-05-08	4433
34/8-1	GEOCHEMICAL INFORMATION	854_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/854_2.pdf	pdf	1908.000000	854	9999-12-31	2013-05-08	4434
34/8-1	GEOCHEMICAL INFORMATION	854_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/854_3.pdf	pdf	1621.000000	854	9999-12-31	2013-05-08	4435
34/8-1	GEOCHEMICAL INFORMATION	854_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/854_4.pdf	pdf	1758.000000	854	9999-12-31	2013-05-08	4436
34/8-1	OLD NPD WDSS	854_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/854_01_WDSS_General_Information.pdf	pdf	313.000000	854	9999-12-31	2013-05-08	4437
34/8-1	OLD NPD WDSS	854_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/854_02_WDSS_completion_log.pdf	pdf	309.000000	854	9999-12-31	2013-05-08	4438
34/8-10 S	GEOCHEMICAL INFORMATION	2179_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2179_1.pdf	pdf	289.000000	2179	9999-12-31	2013-05-08	4439
34/8-10 S	GEOCHEMICAL INFORMATION	2179_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2179_2.pdf	pdf	1426.000000	2179	9999-12-31	2013-05-08	4440
34/8-10 S	GEOCHEMICAL INFORMATION	2179_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2179_3.pdf	pdf	750.000000	2179	9999-12-31	2013-05-08	4441
34/8-11	GEOCHEMICAL INFORMATION	2180_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2180_GCH_1.pdf	pdf	602.000000	2180	2012-12-21	2013-05-08	4442
34/8-2	GEOCHEMICAL INFORMATION	915_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/915_GCH_1.pdf	pdf	236.000000	915	2012-12-21	2013-05-08	4443
34/8-2	GEOCHEMICAL INFORMATION	915_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/915_GCH_2.pdf	pdf	4726.000000	915	2012-12-21	2013-05-08	4444
34/8-2	GEOCHEMICAL INFORMATION	915_GCH_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/915_GCH_3.pdf	pdf	6524.000000	915	2012-12-21	2013-05-08	4445
34/8-2	OLD NPD WDSS	915_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/915_01_WDSS_General_Information.pdf	pdf	224.000000	915	9999-12-31	2013-05-08	4446
34/8-2	OLD NPD WDSS	915_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/915_02_WDSS_completion_log.pdf	pdf	256.000000	915	9999-12-31	2013-05-08	4447
34/8-2	REPORTED BY LICENSEE	915_34_8_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/915_34_8_2_Completion_log.pdf	pdf	2189.000000	915	2013-01-17	2013-05-08	4448
34/8-2	REPORTED BY LICENSEE	915_34_8_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/915_34_8_2_Completion_report.pdf	pdf	12594.000000	915	2013-01-17	2013-05-08	4449
34/8-3	GEOCHEMICAL INFORMATION	940_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/940_GCH_1.pdf	pdf	579.000000	940	2012-12-21	2013-05-08	4450
34/8-3	OLD NPD WDSS	940_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/940_02_WDSS_completion_log.pdf	pdf	216.000000	940	9999-12-31	2013-05-08	4451
34/8-3	REPORTED BY LICENSEE	940_34_8_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/940_34_8_3_Completion_log.pdf	pdf	5056.000000	940	2013-01-17	2013-05-08	4452
34/8-3	REPORTED BY LICENSEE	940_34_8_3_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/940_34_8_3_Completion_report.pdf	pdf	15671.000000	940	2013-01-17	2013-05-08	4453
34/8-3 A	GEOCHEMICAL INFORMATION	1338_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1338_GCH_1.pdf	pdf	252.000000	1338	2012-12-21	2013-05-08	4454
34/8-3 A	GEOCHEMICAL INFORMATION	1338_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1338_GCH_2.pdf	pdf	9198.000000	1338	2012-12-21	2013-05-08	4455
34/8-3 A	OLD NPD WDSS	1338_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1338_01_WDSS_General_Information.pdf	pdf	249.000000	1338	9999-12-31	2013-05-08	4456
34/8-3 A	OLD NPD WDSS	1338_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1338_02_WDSS_completion_log.pdf	pdf	224.000000	1338	9999-12-31	2013-05-08	4457
34/8-3 A	REPORTED BY LICENSEE	1338_34_8_3_A_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1338_34_8_3_A_Completion_log.pdf	pdf	2624.000000	1338	2013-01-17	2013-05-08	4458
34/8-3 A	REPORTED BY LICENSEE	1338_34_8_3_A_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1338_34_8_3_A_Completion_report.pdf	pdf	16594.000000	1338	2013-01-17	2013-05-08	4459
34/8-4 A	COMPOSITE LOG	1909	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1909.pdf	pdf	558.000000	1909	9999-12-31	2013-05-08	4460
34/8-4 A	GEOCHEMICAL INFORMATION	1909_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1909_1.pdf	pdf	5295.000000	1909	9999-12-31	2013-05-08	4461
34/8-4 A	OLD NPD WDSS	1909_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1909_01_WDSS_General_Information.pdf	pdf	1181.000000	1909	9999-12-31	2013-05-08	4462
34/8-4 A	OLD NPD WDSS	1909_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1909_02_WDSS_completion_log.pdf	pdf	185.000000	1909	9999-12-31	2013-05-08	4463
34/8-4 S	COMPOSITE LOG	1683	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1683.pdf	pdf	657.000000	1683	9999-12-31	2013-05-08	4464
34/8-4 S	GEOCHEMICAL INFORMATION	1683_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1683_1.pdf	pdf	1159.000000	1683	9999-12-31	2013-05-08	4465
34/8-4 S	OLD NPD WDSS	1683_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1683_01_WDSS_General_Information.pdf	pdf	1181.000000	1683	9999-12-31	2013-05-08	4466
34/8-4 S	OLD NPD WDSS	1683_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1683_02_WDSS_completion_log.pdf	pdf	235.000000	1683	9999-12-31	2013-05-08	4467
34/8-5	GEOCHEMICAL INFORMATION	1719 _GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1719 _GCH_1.pdf	pdf	136.000000	1719	2012-12-21	2013-05-08	4468
34/8-5	GEOCHEMICAL INFORMATION	1719 _GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1719 _GCH_2.pdf	pdf	2628.000000	1719	2012-12-21	2013-05-08	4469
34/8-5	OLD NPD WDSS	1719_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1719_01_WDSS_General_Information.pdf	pdf	538.000000	1719	9999-12-31	2013-05-08	4470
34/8-5	OLD NPD WDSS	1719_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1719_02_WDSS_completion_log.pdf	pdf	205.000000	1719	9999-12-31	2013-05-08	4471
34/8-5	REPORTED BY LICENSEE	1719_34_8_5_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1719_34_8_5_Completion_log.pdf	pdf	3423.000000	1719	2013-01-17	2013-05-08	4472
34/8-5	REPORTED BY LICENSEE	1719_34_8_5_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1719_34_8_5_Completion_report.pdf	pdf	17677.000000	1719	2013-01-17	2013-05-08	4473
34/8-6	COMPOSITE LOG	1842	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1842.pdf	pdf	506.000000	1842	9999-12-31	2013-05-08	4474
34/8-6	GEOCHEMICAL INFORMATION	1842_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1842_1.pdf	pdf	923.000000	1842	9999-12-31	2013-05-08	4475
34/8-6	OLD NPD WDSS	1842_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1842_01_WDSS_General_Information.pdf	pdf	705.000000	1842	9999-12-31	2013-05-08	4476
34/8-6	OLD NPD WDSS	1842_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1842_02_WDSS_completion_log.pdf	pdf	216.000000	1842	9999-12-31	2013-05-08	4477
34/8-7	COMPOSITE LOG	1941	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1941.pdf	pdf	712.000000	1941	9999-12-31	2013-05-08	4478
34/8-7	GEOCHEMICAL INFORMATION	1941_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1941_1.pdf	pdf	1932.000000	1941	9999-12-31	2013-05-08	4479
34/8-7	GEOCHEMICAL INFORMATION	1941_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1941_2.pdf	pdf	356.000000	1941	9999-12-31	2013-05-08	4480
34/8-7	OLD NPD WDSS	1941_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1941_01_WDSS_General_Information.pdf	pdf	692.000000	1941	9999-12-31	2013-05-08	4481
34/8-7	OLD NPD WDSS	1941_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1941_02_WDSS_completion_log.pdf	pdf	301.000000	1941	9999-12-31	2013-05-08	4482
34/8-7 R	GEOCHEMICAL INFORMATION	2057_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2057_1.pdf	pdf	1932.000000	2057	9999-12-31	2013-05-08	4483
34/8-7 R	GEOCHEMICAL INFORMATION	2057_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2057_2.pdf	pdf	356.000000	2057	9999-12-31	2013-05-08	4484
34/8-8	GEOCHEMICAL INFORMATION	1969_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1969_1.pdf	pdf	742.000000	1969	9999-12-31	2013-05-08	4485
34/8-8	GEOCHEMICAL INFORMATION	1969_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1969_2.pdf	pdf	617.000000	1969	9999-12-31	2013-05-08	4486
34/8-8	GEOCHEMICAL INFORMATION	1969_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1969_3.pdf	pdf	2693.000000	1969	9999-12-31	2013-05-08	4487
34/8-8	OLD NPD WDSS	1969_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1969_01_WDSS_General_Information.pdf	pdf	515.000000	1969	9999-12-31	2013-05-08	4488
34/8-8	OLD NPD WDSS	1969_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1969_02_WDSS_completion_log.pdf	pdf	205.000000	1969	9999-12-31	2013-05-08	4489
34/8-9 S	GEOCHEMICAL INFORMATION	2029_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2029_GCH_1.pdf	pdf	1020.000000	2029	2012-12-21	2013-05-08	4490
34/8-9 S	GEOCHEMICAL INFORMATION	2029_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2029_GCH_2.pdf	pdf	6587.000000	2029	2012-12-21	2013-05-08	4491
34/8-9 S	OLD NPD WDSS	2029_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2029_01_WDSS_General_Information.pdf	pdf	512.000000	2029	9999-12-31	2013-05-08	4492
34/8-9 S	OLD NPD WDSS	2029_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2029_02_WDSS_completion_log.pdf	pdf	216.000000	2029	9999-12-31	2013-05-08	4493
34/8-9 S	REPORTED BY LICENSEE	2029_34_8_9_S_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/2029_34_8_9_S_Completion_log.pdf	pdf	2198.000000	2029	2013-01-17	2013-05-08	4494
34/8-9 S	REPORTED BY LICENSEE	2029_34_8_9_S_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/2029_34_8_9_S_Completion_report.pdf	pdf	17818.000000	2029	2013-01-17	2013-05-08	4495
35/10-1	COMPOSITE LOG	1822	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1822.pdf	pdf	762.000000	1822	2013-01-22	2013-05-08	4496
35/10-1	GEOCHEMICAL INFORMATION	1822_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1822_1.pdf	pdf	4125.000000	1822	9999-12-31	2013-05-08	4497
35/10-1	OLD NPD WDSS	1822_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1822_01_WDSS_General_Information.pdf	pdf	642.000000	1822	9999-12-31	2013-05-08	4498
35/10-1	OLD NPD WDSS	1822_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1822_02_WDSS_completion_log.pdf	pdf	135.000000	1822	9999-12-31	2013-05-08	4499
35/10-2	GEOCHEMICAL INFORMATION	2783_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2783_1.pdf	pdf	3287.000000	2783	9999-12-31	2013-05-08	4500
35/10-3	COMPOSITE LOG	3719	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3719.pdf	pdf	163.000000	3719	9999-12-31	2013-05-08	4501
35/1-1	COMPOSITE LOG	4541	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4541.pdf	pdf	744.000000	4541	9999-12-31	2013-05-08	4502
35/1-1	GEOCHEMICAL INFORMATION	4541_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4541_1.pdf	pdf	685.000000	4541	9999-12-31	2013-05-08	4503
35/11-1	COMPOSITE LOG	128	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/128.pdf	pdf	547.000000	128	9999-12-31	2013-05-08	4504
35/11-1	GEOCHEMICAL INFORMATION	128_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/128_1.pdf	pdf	2835.000000	128	9999-12-31	2013-05-08	4505
35/11-1	GEOCHEMICAL INFORMATION	128_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/128_2.pdf	pdf	2316.000000	128	9999-12-31	2013-05-08	4506
35/11-1	OLD NPD WDSS	128_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/128_01_WDSS_General_Information.pdf	pdf	181.000000	128	9999-12-31	2013-05-08	4507
35/11-1	OLD NPD WDSS	128_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/128_02_WDSS_completion_log.pdf	pdf	306.000000	128	9999-12-31	2013-05-08	4508
35/11-1	REPORTED BY LICENSEE	128_01_Completion_report_and_Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/128_01_Completion_report_and_Composite_log .pdf	pdf	13187.000000	128	9999-12-31	2013-05-08	4509
35/11-10	GEOCHEMICAL INFORMATION	3042_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3042_1.pdf	pdf	6429.000000	3042	9999-12-31	2013-05-08	4510
35/11-10	GEOCHEMICAL INFORMATION	3042_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3042_2.pdf	pdf	7422.000000	3042	9999-12-31	2013-05-08	4511
35/11-11	COMPOSITE LOG	3356	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3356.pdf	pdf	527.000000	3356	9999-12-31	2013-05-08	4512
35/11-11	GEOCHEMICAL INFORMATION	3356_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3356_1.pdf	pdf	3812.000000	3356	9999-12-31	2013-05-08	4513
35/11-12	COMPOSITE LOG	4054	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4054.pdf	pdf	352.000000	4054	9999-12-31	2013-05-08	4514
35/11-12	GEOCHEMICAL INFORMATION	4054_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4054_1.pdf	pdf	1935.000000	4054	9999-12-31	2013-05-08	4515
35/11-12	GEOCHEMICAL INFORMATION	4054_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4054_2.pdf	pdf	1959.000000	4054	9999-12-31	2013-05-08	4516
35/11-12	GEOCHEMICAL INFORMATION	4054_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4054_3.pdf	pdf	1911.000000	4054	9999-12-31	2013-05-08	4517
35/11-12	GEOCHEMICAL INFORMATION	4054_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4054_4.pdf	pdf	1949.000000	4054	9999-12-31	2013-05-08	4518
35/11-12	GEOCHEMICAL INFORMATION	4054_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4054_5.pdf	pdf	1335.000000	4054	9999-12-31	2013-05-08	4519
35/11-13	GEOCHEMICAL INFORMATION	5063_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5063_1.pdf	pdf	378.000000	5063	9999-12-31	2013-05-08	4520
35/11-13	GEOCHEMICAL INFORMATION	5063_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5063_2.pdf	pdf	312.000000	5063	9999-12-31	2013-05-08	4521
35/11-2	COMPOSITE LOG	893	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/893.pdf	pdf	726.000000	893	9999-12-31	2013-05-08	4522
35/11-2	GEOCHEMICAL INFORMATION	893_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/893_1.pdf	pdf	1373.000000	893	9999-12-31	2013-05-08	4523
35/11-2	GEOCHEMICAL INFORMATION	893_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/893_2.pdf	pdf	4506.000000	893	9999-12-31	2013-05-08	4524
35/11-2	GEOCHEMICAL INFORMATION	893_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/893_3.pdf	pdf	1086.000000	893	9999-12-31	2013-05-08	4525
35/11-2	OLD NPD WDSS	893_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/893_01_WDSS_General_Information.pdf	pdf	484.000000	893	9999-12-31	2013-05-08	4526
35/11-2	OLD NPD WDSS	893_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/893_02_WDSS_completion_log.pdf	pdf	331.000000	893	9999-12-31	2013-05-08	4527
35/11-3 S	COMPOSITE LOG	1356	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1356.pdf	pdf	534.000000	1356	9999-12-31	2013-05-08	4528
35/11-3 S	GEOCHEMICAL INFORMATION	1356_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1356_1.pdf	pdf	2953.000000	1356	9999-12-31	2013-05-08	4529
35/11-3 S	OLD NPD WDSS	1356_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1356_01_WDSS_General_Information.pdf	pdf	251.000000	1356	9999-12-31	2013-05-08	4530
35/11-3 S	OLD NPD WDSS	1356_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1356_02_WDSS_completion_log.pdf	pdf	231.000000	1356	9999-12-31	2013-05-08	4531
35/11-4	COMPOSITE LOG	1523	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1523.pdf	pdf	485.000000	1523	9999-12-31	2013-05-08	4532
35/11-4	GEOCHEMICAL INFORMATION	1523_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1523_1.pdf	pdf	1452.000000	1523	9999-12-31	2013-05-08	4533
35/11-4	GEOCHEMICAL INFORMATION	1523_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1523_2.pdf	pdf	6732.000000	1523	9999-12-31	2013-05-08	4534
35/11-4	OLD NPD WDSS	1523_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1523_01_WDSS_General_Information.pdf	pdf	235.000000	1523	9999-12-31	2013-05-08	4535
35/11-4	OLD NPD WDSS	1523_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1523_02_WDSS_completion_log.pdf	pdf	200.000000	1523	9999-12-31	2013-05-08	4536
35/11-4 R	GEOCHEMICAL INFORMATION	1883_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1883_1.pdf	pdf	3164.000000	1883	9999-12-31	2013-05-08	4537
35/11-5	COMPOSITE LOG	1780	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1780.pdf	pdf	571.000000	1780	9999-12-31	2013-05-08	4538
35/11-5	GEOCHEMICAL INFORMATION	1780_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1780_1.pdf	pdf	6604.000000	1780	9999-12-31	2013-05-08	4539
35/11-5	OLD NPD WDSS	1780_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1780_01_WDSS_General_Information.pdf	pdf	645.000000	1780	9999-12-31	2013-05-08	4540
35/11-5	OLD NPD WDSS	1780_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1780_02_WDSS_completion_log.pdf	pdf	203.000000	1780	9999-12-31	2013-05-08	4541
35/11-6	COMPOSITE LOG	1879	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1879.pdf	pdf	466.000000	1879	9999-12-31	2013-05-08	4542
35/11-6	GEOCHEMICAL INFORMATION	1879_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1879_1.pdf	pdf	5985.000000	1879	9999-12-31	2013-05-08	4543
35/11-6	OLD NPD WDSS	1879_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1879_01_WDSS_General_Information.pdf	pdf	569.000000	1879	9999-12-31	2013-05-08	4544
35/11-6	OLD NPD WDSS	1879_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1879_02_WDSS_completion_log.pdf	pdf	231.000000	1879	9999-12-31	2013-05-08	4545
35/11-7	COMPOSITE LOG	1979	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1979.pdf	pdf	461.000000	1979	9999-12-31	2013-05-08	4546
35/11-7	OLD NPD WDSS	1979_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1979_01_WDSS_General_Information.pdf	pdf	515.000000	1979	9999-12-31	2013-05-08	4547
35/11-7	OLD NPD WDSS	1979_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1979_02_WDSS_completion_log.pdf	pdf	178.000000	1979	9999-12-31	2013-05-08	4548
35/11-9	GEOCHEMICAL INFORMATION	3009_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3009_1.pdf	pdf	3292.000000	3009	9999-12-31	2013-05-08	4549
35/12-1	COMPOSITE LOG	1881	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1881.pdf	pdf	389.000000	1881	9999-12-31	2013-05-08	4550
35/12-1	GEOCHEMICAL INFORMATION	1881_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1881_1.pdf	pdf	3239.000000	1881	9999-12-31	2013-05-08	4551
35/12-1	OLD NPD WDSS	1881_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1881_01_WDSS_General_Information.pdf	pdf	475.000000	1881	9999-12-31	2013-05-08	4552
35/12-1	OLD NPD WDSS	1881_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1881_02_WDSS_completion_log.pdf	pdf	183.000000	1881	9999-12-31	2013-05-08	4553
35/2-1	GEOCHEMICAL INFORMATION	5135_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5135_1.pdf	pdf	337.000000	5135	9999-12-31	2013-05-08	4554
35/2-1	GEOCHEMICAL INFORMATION	5135_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5135_2.pdf	pdf	476.000000	5135	9999-12-31	2013-05-08	4555
35/2-1	GEOCHEMICAL INFORMATION	5135_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5135_3.pdf	pdf	111.000000	5135	9999-12-31	2013-05-08	4556
35/2-1	OLD NPD WDSS	5135_01_Report_Biostratigraphic _investigation_of_35_2_1	http://www.npd.no/engelsk/cwi/pbl/wdss_old/5135_01_Report_Biostratigraphic _investigation_of_35_2_1.pdf	pdf	300.000000	5135	9999-12-31	2013-05-08	4557
35/3-1	COMPOSITE LOG	432	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/432.pdf	pdf	561.000000	432	9999-12-31	2013-05-08	4558
35/3-1	GEOCHEMICAL INFORMATION	432_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/432_1.pdf	pdf	1622.000000	432	9999-12-31	2013-05-08	4559
35/3-1	OLD NPD WDSS	432_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/432_01_WDSS_General_Information.pdf	pdf	280.000000	432	9999-12-31	2013-05-08	4560
35/3-1	REPORTED BY LICENSEE	432_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/432_01_Completion_Report.pdf	pdf	12111.000000	432	9999-12-31	2013-05-08	4561
35/3-1	REPORTED BY LICENSEE	432_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/432_02_Completion_log.pdf	pdf	3082.000000	432	9999-12-31	2013-05-08	4562
35/3-2	COMPOSITE LOG	136	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/136.pdf	pdf	731.000000	136	9999-12-31	2013-05-08	4563
35/3-2	GEOCHEMICAL INFORMATION	136_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/136_1.pdf	pdf	1176.000000	136	9999-12-31	2013-05-08	4564
35/3-2	GEOCHEMICAL INFORMATION	136_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/136_2.pdf	pdf	1335.000000	136	9999-12-31	2013-05-08	4565
35/3-2	GEOCHEMICAL INFORMATION	136_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/136_3.pdf	pdf	567.000000	136	9999-12-31	2013-05-08	4566
35/3-2	GEOCHEMICAL INFORMATION	136_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/136_4.pdf	pdf	1947.000000	136	9999-12-31	2013-05-08	4567
35/3-2	GEOCHEMICAL INFORMATION	136_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/136_5.pdf	pdf	1946.000000	136	9999-12-31	2013-05-08	4568
35/3-2	GEOCHEMICAL INFORMATION	136_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/136_6.pdf	pdf	1944.000000	136	9999-12-31	2013-05-08	4569
35/3-2	OLD NPD WDSS	136_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/136_01_WDSS_General_Information.pdf	pdf	134.000000	136	9999-12-31	2013-05-08	4570
35/3-2	OLD NPD WDSS	136_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/136_02_WDSS_completion_log.pdf	pdf	268.000000	136	9999-12-31	2013-05-08	4571
35/3-3	COMPOSITE LOG	491	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/491.pdf	pdf	113.000000	491	9999-12-31	2013-05-08	4572
35/3-3	OLD NPD WDSS	491_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/491_01_WDSS_General_Information.pdf	pdf	108.000000	491	9999-12-31	2013-05-08	4573
35/3-3	OLD NPD WDSS	491_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/491_02_WDSS_completion_log.pdf	pdf	88.000000	491	9999-12-31	2013-05-08	4574
35/3-4	COMPOSITE LOG	219	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/219.pdf	pdf	716.000000	219	9999-12-31	2013-05-08	4575
35/3-4	GEOCHEMICAL INFORMATION	219_01	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/219_01.pdf	pdf	1982.000000	219	9999-12-31	2013-05-08	4576
35/3-4	GEOCHEMICAL INFORMATION	219_02	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/219_02.pdf	pdf	1934.000000	219	9999-12-31	2013-05-08	4577
35/3-4	GEOCHEMICAL INFORMATION	219_03	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/219_03.pdf	pdf	1840.000000	219	9999-12-31	2013-05-08	4578
35/3-4	GEOCHEMICAL INFORMATION	219_04	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/219_04.pdf	pdf	1891.000000	219	9999-12-31	2013-05-08	4579
35/3-4	GEOCHEMICAL INFORMATION	219_05	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/219_05.pdf	pdf	1892.000000	219	9999-12-31	2013-05-08	4580
35/3-4	GEOCHEMICAL INFORMATION	219_06	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/219_06.pdf	pdf	1253.000000	219	9999-12-31	2013-05-08	4581
35/3-4	GEOCHEMICAL INFORMATION	219_07	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/219_07.pdf	pdf	1997.000000	219	9999-12-31	2013-05-08	4582
35/3-4	GEOCHEMICAL INFORMATION	219_08	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/219_08.pdf	pdf	1889.000000	219	9999-12-31	2013-05-08	4583
35/3-4	GEOCHEMICAL INFORMATION	219_09	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/219_09.pdf	pdf	1743.000000	219	9999-12-31	2013-05-08	4584
35/3-4	GEOCHEMICAL INFORMATION	219_10	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/219_10.pdf	pdf	1999.000000	219	9999-12-31	2013-05-08	4585
35/3-4	GEOCHEMICAL INFORMATION	219_11	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/219_11.pdf	pdf	96.000000	219	9999-12-31	2013-05-08	4586
35/3-4	OLD NPD WDSS	219_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/219_01_WDSS_General_Information.pdf	pdf	106.000000	219	9999-12-31	2013-05-08	4587
35/3-4	OLD NPD WDSS	219_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/219_02_WDSS_completion_log.pdf	pdf	249.000000	219	9999-12-31	2013-05-08	4588
35/3-5	COMPOSITE LOG	433	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/433.pdf	pdf	731.000000	433	9999-12-31	2013-05-08	4589
35/3-5	GEOCHEMICAL INFORMATION	433_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/433_1.pdf	pdf	3642.000000	433	9999-12-31	2013-05-08	4590
35/3-5	OLD NPD WDSS	433_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/433_01_WDSS_General_Information.pdf	pdf	167.000000	433	9999-12-31	2013-05-08	4591
35/3-5	OLD NPD WDSS	433_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/433_02_WDSS_completion_log.pdf	pdf	277.000000	433	9999-12-31	2013-05-08	4592
35/3-5	REPORTED BY LICENSEE	433_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/433_01_Completion_Report.pdf	pdf	3150.000000	433	9999-12-31	2013-05-08	4593
35/3-5	REPORTED BY LICENSEE	433_02_Summary_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/433_02_Summary_log.pdf	pdf	881.000000	433	9999-12-31	2013-05-08	4594
35/3-5	REPORTED BY LICENSEE	433_03_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/433_03_Completion_log.pdf	pdf	2078.000000	433	9999-12-31	2013-05-08	4595
35/3-6	COMPOSITE LOG	4492	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4492.pdf	pdf	316.000000	4492	9999-12-31	2013-05-08	4596
35/3-7 S	GEOCHEMICAL INFORMATION	6154_01_35_3_7S_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6154_01_35_3_7S_gch_transfer_1.txt	txt	0.000000	6154	9999-12-31	2013-05-08	4597
35/3-7 S	GEOCHEMICAL INFORMATION	6154_02_35_3_7S_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6154_02_35_3_7S_gch_results_1.txt	txt	1.000000	6154	9999-12-31	2013-05-08	4598
35/4-1	COMPOSITE LOG	2993	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2993.pdf	pdf	784.000000	2993	9999-12-31	2013-05-08	4599
35/4-1	GEOCHEMICAL INFORMATION	2993_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2993_1.pdf	pdf	1561.000000	2993	9999-12-31	2013-05-08	4600
35/4-1	GEOCHEMICAL INFORMATION	2993_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2993_2.pdf	pdf	1743.000000	2993	9999-12-31	2013-05-08	4601
35/4-1	GEOCHEMICAL INFORMATION	2993_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2993_3.pdf	pdf	1772.000000	2993	9999-12-31	2013-05-08	4602
35/8-1	GEOCHEMICAL INFORMATION	205_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/205_1.pdf	pdf	2895.000000	205	9999-12-31	2013-05-08	4603
35/8-1	GEOCHEMICAL INFORMATION	205_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/205_2.pdf	pdf	3971.000000	205	9999-12-31	2013-05-08	4604
35/8-1	GEOCHEMICAL INFORMATION	205_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/205_3.pdf	pdf	535.000000	205	9999-12-31	2013-05-08	4605
35/8-1	GEOCHEMICAL INFORMATION	205_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/205_4.pdf	pdf	5944.000000	205	9999-12-31	2013-05-08	4606
35/8-1	OLD NPD WDSS	205_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/205_01_WDSS_General_Information.pdf	pdf	117.000000	205	9999-12-31	2013-05-08	4607
35/8-1	OLD NPD WDSS	205_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/205_02_WDSS_completion_log.pdf	pdf	332.000000	205	9999-12-31	2013-05-08	4608
35/8-1	REPORTED BY LICENSEE	205_35_8_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/205_35_8_1_Completion_log.pdf	pdf	2489.000000	205	9999-12-31	2013-05-08	4609
35/8-1	REPORTED BY LICENSEE	205_35_8_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/205_35_8_1_Completion_report.pdf	pdf	40677.000000	205	9999-12-31	2013-05-08	4610
35/8-2	GEOCHEMICAL INFORMATION	434_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/434_1.pdf	pdf	1384.000000	434	9999-12-31	2013-05-08	4611
35/8-2	GEOCHEMICAL INFORMATION	434_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/434_2.pdf	pdf	4055.000000	434	9999-12-31	2013-05-08	4612
35/8-2	GEOCHEMICAL INFORMATION	434_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/434_3.pdf	pdf	8786.000000	434	9999-12-31	2013-05-08	4613
35/8-2	OLD NPD WDSS	434_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/434_01_WDSS_General_Information.pdf	pdf	217.000000	434	9999-12-31	2013-05-08	4614
35/8-2	OLD NPD WDSS	434_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/434_02_WDSS_completion_log.pdf	pdf	298.000000	434	9999-12-31	2013-05-08	4615
35/8-2	REPORTED BY LICENSEE	434_01_35_8_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/434_01_35_8_2_Completion_report.pdf	pdf	14381.000000	434	9999-12-31	2013-05-08	4616
35/8-2	REPORTED BY LICENSEE	434_02_35_8_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/434_02_35_8_2_Completion_log.pdf	pdf	2590.000000	434	9999-12-31	2013-05-08	4617
35/8-3	GEOCHEMICAL INFORMATION	1288_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1288_1.pdf	pdf	1481.000000	1288	9999-12-31	2013-05-08	4618
35/8-3	GEOCHEMICAL INFORMATION	1288_11	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1288_11.pdf	pdf	1181.000000	1288	9999-12-31	2013-05-08	4619
35/8-3	GEOCHEMICAL INFORMATION	1288_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1288_2.pdf	pdf	1566.000000	1288	9999-12-31	2013-05-08	4620
35/8-3	OLD NPD WDSS	1288_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1288_01_WDSS_General_Information.pdf	pdf	225.000000	1288	9999-12-31	2013-05-08	4621
35/8-3	OLD NPD WDSS	1288_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1288_02_WDSS_completion_log.pdf	pdf	257.000000	1288	9999-12-31	2013-05-08	4622
35/8-4	COMPOSITE LOG	3791	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3791.pdf	pdf	364.000000	3791	9999-12-31	2013-05-08	4623
35/8-4	GEOCHEMICAL INFORMATION	3791_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3791_1.pdf	pdf	906.000000	3791	9999-12-31	2013-05-08	4624
35/8-5 S	COMPOSITE LOG	4761	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4761.pdf	pdf	515.000000	4761	2013-05-01	2013-05-08	4625
35/8-5 S	GEOCHEMICAL INFORMATION	4761_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4761_1.pdf	pdf	2711.000000	4761	9999-12-31	2013-05-08	4626
35/9-1	GEOCHEMICAL INFORMATION	1375_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1375_1.pdf	pdf	996.000000	1375	9999-12-31	2013-05-08	4627
35/9-1	OLD NPD WDSS	1375_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1375_01_WDSS_General_Information.pdf	pdf	393.000000	1375	9999-12-31	2013-05-08	4628
35/9-1	OLD NPD WDSS	1375_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1375_02_WDSS_completion_log.pdf	pdf	149.000000	1375	9999-12-31	2013-05-08	4629
35/9-1 R	GEOCHEMICAL INFORMATION	1441_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1441_1.pdf	pdf	403.000000	1441	9999-12-31	2013-05-08	4630
35/9-2	GEOCHEMICAL INFORMATION	1600_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1600_1.pdf	pdf	2717.000000	1600	9999-12-31	2013-05-08	4631
35/9-2	OLD NPD WDSS	1600_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1600_01_WDSS_General_Information.pdf	pdf	671.000000	1600	9999-12-31	2013-05-08	4632
35/9-2	OLD NPD WDSS	1600_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1600_02_WDSS_completion_log.pdf	pdf	181.000000	1600	9999-12-31	2013-05-08	4633
35/9-3	GEOCHEMICAL INFORMATION	3206_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3206_1.pdf	pdf	7673.000000	3206	9999-12-31	2013-05-08	4634
35/9-5	GEOCHEMICAL INFORMATION	6293_01_35_9_5_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6293_01_35_9_5_gch_transfer_1.txt	txt	0.000000	6293	9999-12-31	2013-05-08	4635
35/9-5	GEOCHEMICAL INFORMATION	6293_02_35_9_5_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6293_02_35_9_5_gch_results_1.txt	txt	93.000000	6293	9999-12-31	2013-05-08	4636
36/1-1	COMPOSITE LOG	435	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/435.pdf	pdf	220.000000	435	9999-12-31	2013-05-08	4637
36/1-1	GEOCHEMICAL INFORMATION	435_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/435_1.pdf	pdf	875.000000	435	9999-12-31	2013-05-08	4638
36/1-1	OLD NPD WDSS	435_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/435_01_WDSS_General_Information.pdf	pdf	256.000000	435	9999-12-31	2013-05-08	4639
36/1-1	REPORTED BY LICENSEE	435_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/435_01_Completion_Report.pdf	pdf	24491.000000	435	9999-12-31	2013-05-08	4640
36/1-1	REPORTED BY LICENSEE	435_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/435_02_Completion_log.pdf	pdf	1930.000000	435	9999-12-31	2013-05-08	4641
36/1-2	COMPOSITE LOG	436	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/436.pdf	pdf	283.000000	436	9999-12-31	2013-05-08	4642
36/1-2	GEOCHEMICAL INFORMATION	436_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/436_1.pdf	pdf	515.000000	436	9999-12-31	2013-05-08	4643
36/1-2	OLD NPD WDSS	436_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/436_01_WDSS_General_Information.pdf	pdf	261.000000	436	9999-12-31	2013-05-08	4644
36/1-2	REPORTED BY LICENSEE	436_01_Completion_Report_and_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/436_01_Completion_Report_and_log.pdf	pdf	11419.000000	436	9999-12-31	2013-05-08	4645
36/4-1	GEOCHEMICAL INFORMATION	2847_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2847_1.pdf	pdf	22.000000	2847	9999-12-31	2013-05-08	4646
36/4-1	GEOCHEMICAL INFORMATION	2847_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2847_2.pdf	pdf	1433.000000	2847	9999-12-31	2013-05-08	4647
36/7-1	GEOCHEMICAL INFORMATION	1794_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1794_1.pdf	pdf	11208.000000	1794	9999-12-31	2013-05-08	4648
36/7-2	COMPOSITE LOG	2990	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2990.pdf	pdf	241.000000	2990	9999-12-31	2013-05-08	4649
36/7-2	GEOCHEMICAL INFORMATION	2990_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2990_1.pdf	pdf	11886.000000	2990	9999-12-31	2013-05-08	4650
36/7-3	COMPOSITE LOG	4427	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4427.pdf	pdf	388.000000	4427	9999-12-31	2013-05-08	4651
6/3-1	COMPOSITE LOG	450	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/450.pdf	pdf	537.000000	450	9999-12-31	2013-05-08	4652
6/3-1	GEOCHEMICAL INFORMATION	450_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/450_1.pdf	pdf	6735.000000	450	9999-12-31	2013-05-08	4653
6/3-1	OLD NPD WDSS	450_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/450_01_WDSS_General_Information.pdf	pdf	263.000000	450	9999-12-31	2013-05-08	4654
6/3-1	OLD NPD WDSS	450_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/450_02_WDSS_completion_log.pdf	pdf	263.000000	450	9999-12-31	2013-05-08	4655
6/3-1	REPORTED BY LICENSEE	450_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/450_01_Completion_Report.pdf	pdf	13179.000000	450	9999-12-31	2013-05-08	4656
6/3-1	REPORTED BY LICENSEE	450_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/450_02_Completion_log.pdf	pdf	1975.000000	450	9999-12-31	2013-05-08	4657
6/3-2	COMPOSITE LOG	862	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/862.pdf	pdf	683.000000	862	9999-12-31	2013-05-08	4658
6/3-2	GEOCHEMICAL INFORMATION	862_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/862_1.pdf	pdf	5553.000000	862	9999-12-31	2013-05-08	4659
6/3-2	OLD NPD WDSS	862_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/862_01_WDSS_General_Information.pdf	pdf	269.000000	862	9999-12-31	2013-05-08	4660
6/3-2	OLD NPD WDSS	862_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/862_02_WDSS_completion_log.pdf	pdf	325.000000	862	9999-12-31	2013-05-08	4661
6201/11-1	COMPOSITE LOG	1134	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1134.pdf	pdf	636.000000	1134	9999-12-31	2013-05-08	4662
6201/11-1	GEOCHEMICAL INFORMATION	1134_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1134_1.pdf	pdf	1693.000000	1134	9999-12-31	2013-05-08	4663
6201/11-1	GEOCHEMICAL INFORMATION	1134_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1134_2.pdf	pdf	891.000000	1134	9999-12-31	2013-05-08	4664
6201/11-1	OLD NPD WDSS	1134_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1134_01_WDSS_General_Information.pdf	pdf	442.000000	1134	9999-12-31	2013-05-08	4665
6201/11-1	OLD NPD WDSS	1134_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1134_02_WDSS_completion_log.pdf	pdf	313.000000	1134	9999-12-31	2013-05-08	4666
6201/11-2	COMPOSITE LOG	1549	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1549.pdf	pdf	543.000000	1549	9999-12-31	2013-05-08	4667
6201/11-2	GEOCHEMICAL INFORMATION	1549_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1549_1.pdf	pdf	1474.000000	1549	9999-12-31	2013-05-08	4668
6201/11-2	GEOCHEMICAL INFORMATION	1549_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1549_2.pdf	pdf	922.000000	1549	9999-12-31	2013-05-08	4669
6201/11-2	OLD NPD WDSS	1549_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1549_01_WDSS_General_Information.pdf	pdf	477.000000	1549	9999-12-31	2013-05-08	4670
6201/11-2	OLD NPD WDSS	1549_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1549_02_WDSS_completion_log.pdf	pdf	214.000000	1549	9999-12-31	2013-05-08	4671
6204/10-1	COMPOSITE LOG	2666	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2666.pdf	pdf	507.000000	2666	9999-12-31	2013-05-08	4672
6204/10-1	GEOCHEMICAL INFORMATION	2666_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2666_1.pdf	pdf	511.000000	2666	9999-12-31	2013-05-08	4673
6204/10-2	GEOCHEMICAL INFORMATION	2952_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2952_1.pdf	pdf	1338.000000	2952	9999-12-31	2013-05-08	4674
6204/10-2	GEOCHEMICAL INFORMATION	2952_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2952_2.pdf	pdf	1356.000000	2952	9999-12-31	2013-05-08	4675
6204/10-2 A	COMPOSITE LOG	3280	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3280.pdf	pdf	226.000000	3280	9999-12-31	2013-05-08	4676
6204/10-2 A	GEOCHEMICAL INFORMATION	3280_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3280_1.pdf	pdf	1091.000000	3280	9999-12-31	2013-05-08	4677
6204/10-2 R	COMPOSITE LOG	3258	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3258.pdf	pdf	231.000000	3258	9999-12-31	2013-05-08	4678
6204/10-2 R	GEOCHEMICAL INFORMATION	3258_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3258_1.pdf	pdf	1338.000000	3258	9999-12-31	2013-05-08	4679
6204/10-2 R	GEOCHEMICAL INFORMATION	3258_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3258_2.pdf	pdf	1356.000000	3258	9999-12-31	2013-05-08	4680
6204/11-1	COMPOSITE LOG	2205	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2205.pdf	pdf	444.000000	2205	9999-12-31	2013-05-08	4681
6204/11-1	GEOCHEMICAL INFORMATION	2205_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2205_1.pdf	pdf	1656.000000	2205	9999-12-31	2013-05-08	4682
6204/11-1	GEOCHEMICAL INFORMATION	2205_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2205_2.pdf	pdf	1182.000000	2205	9999-12-31	2013-05-08	4683
6204/11-2	COMPOSITE LOG	3249	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3249.pdf	pdf	438.000000	3249	9999-12-31	2013-05-08	4684
6204/11-2	GEOCHEMICAL INFORMATION	3249_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3249_1.pdf	pdf	1907.000000	3249	9999-12-31	2013-05-08	4685
6204/11-2	GEOCHEMICAL INFORMATION	3249_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3249_2.pdf	pdf	1536.000000	3249	9999-12-31	2013-05-08	4686
6205/3-1	GEOCHEMICAL INFORMATION	1479_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1479_1.pdf	pdf	1844.000000	1479	9999-12-31	2013-05-08	4687
6205/3-1	GEOCHEMICAL INFORMATION	1479_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1479_2.pdf	pdf	1632.000000	1479	9999-12-31	2013-05-08	4688
6205/3-1	OLD NPD WDSS	1479_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1479_01_WDSS_General_Information.pdf	pdf	225.000000	1479	9999-12-31	2013-05-08	4689
6205/3-1	OLD NPD WDSS	1479_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1479_02_WDSS_completion_log.pdf	pdf	252.000000	1479	9999-12-31	2013-05-08	4690
6205/3-1 R	COMPOSITE LOG	1510	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1510.pdf	pdf	708.000000	1510	9999-12-31	2013-05-08	4691
6205/3-1 R	GEOCHEMICAL INFORMATION	1510_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1510_1.pdf	pdf	1844.000000	1510	9999-12-31	2013-05-08	4692
6205/3-1 R	GEOCHEMICAL INFORMATION	1510_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1510_2.pdf	pdf	1632.000000	1510	9999-12-31	2013-05-08	4693
6205/3-1 R	OLD NPD WDSS	1510_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1510_01_WDSS_General_Information.pdf	pdf	203.000000	1510	9999-12-31	2013-05-08	4694
6205/3-1 R	OLD NPD WDSS	1510_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1510_02_WDSS_completion_log.pdf	pdf	261.000000	1510	9999-12-31	2013-05-08	4695
6302/6-1	COMPOSITE LOG	5086	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5086.pdf	pdf	556.000000	5086	9999-12-31	2013-05-08	4696
6302/6-1	GEOCHEMICAL INFORMATION	5086_01_6302_6_1_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5086_01_6302_6_1_gch_transfer_1.txt	txt	0.000000	5086	9999-12-31	2013-05-08	4697
6302/6-1	GEOCHEMICAL INFORMATION	5086_02_6302_6_1_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5086_02_6302_6_1_gch_results_1.txt	txt	178.000000	5086	9999-12-31	2013-05-08	4698
6302/6-1	GEOCHEMICAL INFORMATION	5086_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5086_1.pdf	pdf	508.000000	5086	9999-12-31	2013-05-08	4699
6302/6-1	GEOCHEMICAL INFORMATION	5086_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5086_2.pdf	pdf	3208.000000	5086	9999-12-31	2013-05-08	4700
6305/1-1	COMPOSITE LOG	3555	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3555.pdf	pdf	573.000000	3555	9999-12-31	2013-05-08	4701
6305/12-1	COMPOSITE LOG	1808	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1808.pdf	pdf	598.000000	1808	9999-12-31	2013-05-08	4702
6305/12-1	GEOCHEMICAL INFORMATION	1808_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1808_1.pdf	pdf	2669.000000	1808	9999-12-31	2013-05-08	4703
6305/12-1	OLD NPD WDSS	1808_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1808_01_WDSS_General_Information.pdf	pdf	555.000000	1808	9999-12-31	2013-05-08	4704
6305/12-1	OLD NPD WDSS	1808_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1808_02_WDSS_completion_log.pdf	pdf	237.000000	1808	9999-12-31	2013-05-08	4705
6305/12-2	GEOCHEMICAL INFORMATION	2207_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2207_1.pdf	pdf	1483.000000	2207	9999-12-31	2013-05-08	4706
6305/4-1	COMPOSITE LOG	4441	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4441.pdf	pdf	280.000000	4441	9999-12-31	2013-05-08	4707
6305/5-1	COMPOSITE LOG	3144	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3144.pdf	pdf	357.000000	3144	9999-12-31	2013-05-08	4708
6305/5-1	GEOCHEMICAL INFORMATION	3144_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3144_1.pdf	pdf	1254.000000	3144	9999-12-31	2013-05-08	4709
6305/5-1	GEOCHEMICAL INFORMATION	3144_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3144_2.pdf	pdf	1316.000000	3144	9999-12-31	2013-05-08	4710
6305/7-1	COMPOSITE LOG	3535	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3535.pdf	pdf	333.000000	3535	9999-12-31	2013-05-08	4711
6305/7-1	GEOCHEMICAL INFORMATION	3535_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3535_1.pdf	pdf	1955.000000	3535	9999-12-31	2013-05-08	4712
6305/7-1	GEOCHEMICAL INFORMATION	3535_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3535_2.pdf	pdf	1863.000000	3535	9999-12-31	2013-05-08	4713
6305/7-1	GEOCHEMICAL INFORMATION	3535_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3535_3.pdf	pdf	1816.000000	3535	9999-12-31	2013-05-08	4714
6305/7-1	GEOCHEMICAL INFORMATION	3535_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3535_4.pdf	pdf	965.000000	3535	9999-12-31	2013-05-08	4715
6305/8-1	COMPOSITE LOG	4109	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4109.pdf	pdf	326.000000	4109	9999-12-31	2013-05-08	4716
6305/8-1	GEOCHEMICAL INFORMATION	4109_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4109_1.pdf	pdf	1924.000000	4109	9999-12-31	2013-05-08	4717
6305/8-1	GEOCHEMICAL INFORMATION	4109_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4109_2.pdf	pdf	1856.000000	4109	9999-12-31	2013-05-08	4718
6305/8-1	GEOCHEMICAL INFORMATION	4109_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4109_3.pdf	pdf	1442.000000	4109	9999-12-31	2013-05-08	4719
6305/8-1	GEOCHEMICAL INFORMATION	4109_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4109_4.pdf	pdf	1969.000000	4109	9999-12-31	2013-05-08	4720
6305/8-1	GEOCHEMICAL INFORMATION	4109_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4109_5.pdf	pdf	1904.000000	4109	9999-12-31	2013-05-08	4721
6305/8-1	GEOCHEMICAL INFORMATION	4109_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4109_6.pdf	pdf	1920.000000	4109	9999-12-31	2013-05-08	4722
6305/8-1	GEOCHEMICAL INFORMATION	4109_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4109_7.pdf	pdf	1791.000000	4109	9999-12-31	2013-05-08	4723
6305/8-1	GEOCHEMICAL INFORMATION	4109_8	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4109_8.pdf	pdf	1814.000000	4109	9999-12-31	2013-05-08	4724
6305/9-1	COMPOSITE LOG	4297	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4297.pdf	pdf	206.000000	4297	9999-12-31	2013-05-08	4725
6305/9-1	GEOCHEMICAL INFORMATION	4297_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4297_1.pdf	pdf	3014.000000	4297	9999-12-31	2013-05-08	4726
6305/9-2	GEOCHEMICAL INFORMATION	6502_01_6305_9_2_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6502_01_6305_9_2_gch_transfer_1.txt	txt	0.000000	6502	2012-10-10	2013-05-08	4727
6305/9-2	GEOCHEMICAL INFORMATION	6502_02_6305_9_2_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6502_02_6305_9_2_gch_results_1.txt	txt	22.000000	6502	2012-10-10	2013-05-08	4728
6305/9-2	GEOCHEMICAL INFORMATION	6502_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6502_GCH_1.pdf	pdf	278.000000	6502	2013-02-19	2013-05-08	4729
6306/10-1	GEOCHEMICAL INFORMATION	1551_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1551_1.pdf	pdf	4353.000000	1551	9999-12-31	2013-05-08	4730
6306/10-1	GEOCHEMICAL INFORMATION	1551_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1551_2.pdf	pdf	2703.000000	1551	9999-12-31	2013-05-08	4731
6306/10-1	OLD NPD WDSS	1551_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1551_01_WDSS_General_Information.pdf	pdf	214.000000	1551	9999-12-31	2013-05-08	4732
6306/10-1	OLD NPD WDSS	1551_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1551_02_WDSS_completion_log.pdf	pdf	202.000000	1551	9999-12-31	2013-05-08	4733
6306/5-1	COMPOSITE LOG	3060	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3060.pdf	pdf	332.000000	3060	9999-12-31	2013-05-08	4734
6306/5-1	GEOCHEMICAL INFORMATION	3060_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3060_1.pdf	pdf	1391.000000	3060	9999-12-31	2013-05-08	4735
6306/6-1	COMPOSITE LOG	2384	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2384.pdf	pdf	131.000000	2384	9999-12-31	2013-05-08	4736
6306/6-1	GEOCHEMICAL INFORMATION	2384_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2384_1.pdf	pdf	1813.000000	2384	9999-12-31	2013-05-08	4737
6306/6-2	GEOCHEMICAL INFORMATION	6143_01_6306_6_2_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6143_01_6306_6_2_gch_transfer_1.txt	txt	0.000000	6143	9999-12-31	2013-05-08	4738
6306/6-2	GEOCHEMICAL INFORMATION	6143_02_6306_6_2_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6143_02_6306_6_2_gch_results_1.txt	txt	95.000000	6143	9999-12-31	2013-05-08	4739
6403/10-1	COMPOSITE LOG	4602	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4602.pdf	pdf	235.000000	4602	9999-12-31	2013-05-08	4740
6403/10-1	GEOCHEMICAL INFORMATION	4602_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4602_1.pdf	pdf	1658.000000	4602	9999-12-31	2013-05-08	4741
6403/6-1	GEOCHEMICAL INFORMATION	5296_01_6403_6_1_gch_transfer _1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5296_01_6403_6_1_gch_transfer _1.txt	txt	0.000000	5296	9999-12-31	2013-05-08	4742
6403/6-1	GEOCHEMICAL INFORMATION	5296_02_6403_6_1_gch_results _1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5296_02_6403_6_1_gch_results _1.txt	txt	217.000000	5296	9999-12-31	2013-05-08	4743
6403/6-1	GEOCHEMICAL INFORMATION	5296_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5296_1.pdf	pdf	282.000000	5296	9999-12-31	2013-05-08	4744
6403/6-1	GEOCHEMICAL INFORMATION	5296_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5296_2.pdf	pdf	1785.000000	5296	9999-12-31	2013-05-08	4745
6404/11-1	COMPOSITE LOG	4465	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4465.pdf	pdf	237.000000	4465	9999-12-31	2013-05-08	4746
6404/11-1	GEOCHEMICAL INFORMATION	4465_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4465_1.pdf	pdf	13757.000000	4465	9999-12-31	2013-05-08	4747
6405/10-1	COMPOSITE LOG	5565	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5565.pdf	pdf	433.000000	5565	2013-01-22	2013-05-08	4748
6405/10-1	GEOCHEMICAL INFORMATION	5565_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5565_1.pdf	pdf	234.000000	5565	9999-12-31	2013-05-08	4749
6405/10-1	GEOCHEMICAL INFORMATION	5565_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5565_2.pdf	pdf	1007.000000	5565	9999-12-31	2013-05-08	4750
6405/10-1	GEOCHEMICAL INFORMATION	5565_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5565_3.pdf	pdf	219.000000	5565	9999-12-31	2013-05-08	4751
6405/7-1	COMPOSITE LOG	4749	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4749.pdf	pdf	578.000000	4749	9999-12-31	2013-05-08	4752
6405/7-1	GEOCHEMICAL INFORMATION	4749_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4749_1.pdf	pdf	6048.000000	4749	9999-12-31	2013-05-08	4753
6406/1-1	COMPOSITE LOG	4262	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4262.pdf	pdf	445.000000	4262	9999-12-31	2013-05-08	4754
6406/1-1	GEOCHEMICAL INFORMATION	4262_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4262_1.pdf	pdf	2019.000000	4262	9999-12-31	2013-05-08	4755
6406/11-1 S	COMPOSITE LOG	1539	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1539.pdf	pdf	540.000000	1539	9999-12-31	2013-05-08	4756
6406/11-1 S	GEOCHEMICAL INFORMATION	1539_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1539_1.pdf	pdf	3599.000000	1539	9999-12-31	2013-05-08	4757
6406/11-1 S	OLD NPD WDSS	1539_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1539_01_WDSS_General_Information.pdf	pdf	566.000000	1539	9999-12-31	2013-05-08	4758
6406/11-1 S	OLD NPD WDSS	1539_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1539_02_WDSS_completion_log.pdf	pdf	223.000000	1539	9999-12-31	2013-05-08	4759
6406/1-2	COMPOSITE LOG	4762	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4762.pdf	pdf	580.000000	4762	9999-12-31	2013-05-08	4760
6406/1-2	GEOCHEMICAL INFORMATION	4762_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4762_1.pdf	pdf	999.000000	4762	9999-12-31	2013-05-08	4761
6406/12-1 S	COMPOSITE LOG	1711	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1711.pdf	pdf	633.000000	1711	9999-12-31	2013-05-08	4762
6406/12-1 S	GEOCHEMICAL INFORMATION	1711_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1711_1.pdf	pdf	2435.000000	1711	9999-12-31	2013-05-08	4763
6406/12-1 S	OLD NPD WDSS	1711_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1711_01_WDSS_General_Information.pdf	pdf	527.000000	1711	9999-12-31	2013-05-08	4764
6406/12-1 S	OLD NPD WDSS	1711_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1711_02_WDSS_completion_log.pdf	pdf	220.000000	1711	9999-12-31	2013-05-08	4765
6406/12-2	COMPOSITE LOG	2640	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2640.pdf	pdf	623.000000	2640	9999-12-31	2013-05-08	4766
6406/12-2	GEOCHEMICAL INFORMATION	2640_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2640_1.pdf	pdf	1932.000000	2640	9999-12-31	2013-05-08	4767
6406/12-2	GEOCHEMICAL INFORMATION	2640_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2640_2.pdf	pdf	1919.000000	2640	9999-12-31	2013-05-08	4768
6406/12-2	GEOCHEMICAL INFORMATION	2640_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2640_3.pdf	pdf	1909.000000	2640	9999-12-31	2013-05-08	4769
6406/12-2	GEOCHEMICAL INFORMATION	2640_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2640_4.pdf	pdf	190.000000	2640	9999-12-31	2013-05-08	4770
6406/2-1	GEOCHEMICAL INFORMATION	2444_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2444_1.pdf	pdf	701.000000	2444	9999-12-31	2013-05-08	4771
6406/2-1	GEOCHEMICAL INFORMATION	2444_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2444_2.pdf	pdf	1964.000000	2444	9999-12-31	2013-05-08	4772
6406/2-1	GEOCHEMICAL INFORMATION	2444_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2444_3.pdf	pdf	495.000000	2444	9999-12-31	2013-05-08	4773
6406/2-1 R	COMPOSITE LOG	2642	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2642.pdf	pdf	765.000000	2642	9999-12-31	2013-05-08	4774
6406/2-1 R	GEOCHEMICAL INFORMATION	2642_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2642_1.pdf	pdf	701.000000	2642	9999-12-31	2013-05-08	4775
6406/2-1 R	GEOCHEMICAL INFORMATION	2642_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2642_2.pdf	pdf	1964.000000	2642	9999-12-31	2013-05-08	4776
6406/2-1 R	GEOCHEMICAL INFORMATION	2642_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2642_3.pdf	pdf	495.000000	2642	9999-12-31	2013-05-08	4777
6406/2-2	COMPOSITE LOG	2644	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2644.pdf	pdf	695.000000	2644	9999-12-31	2013-05-08	4778
6406/2-2	GEOCHEMICAL INFORMATION	2644_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2644_1.pdf	pdf	1613.000000	2644	9999-12-31	2013-05-08	4779
6406/2-2	GEOCHEMICAL INFORMATION	2644_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2644_2.pdf	pdf	1940.000000	2644	9999-12-31	2013-05-08	4780
6406/2-2	GEOCHEMICAL INFORMATION	2644_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2644_3.pdf	pdf	1865.000000	2644	9999-12-31	2013-05-08	4781
6406/2-2	GEOCHEMICAL INFORMATION	2644_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2644_4.pdf	pdf	1710.000000	2644	9999-12-31	2013-05-08	4782
6406/2-2	GEOCHEMICAL INFORMATION	2644_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2644_5.pdf	pdf	1185.000000	2644	9999-12-31	2013-05-08	4783
6406/2-3	COMPOSITE LOG	2849	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2849.pdf	pdf	766.000000	2849	9999-12-31	2013-05-08	4784
6406/2-3	GEOCHEMICAL INFORMATION	2849_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2849_1.pdf	pdf	1681.000000	2849	9999-12-31	2013-05-08	4785
6406/2-3	GEOCHEMICAL INFORMATION	2849_10	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2849_10.pdf	pdf	975.000000	2849	9999-12-31	2013-05-08	4786
6406/2-3	GEOCHEMICAL INFORMATION	2849_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2849_2.pdf	pdf	1936.000000	2849	9999-12-31	2013-05-08	4787
6406/2-3	GEOCHEMICAL INFORMATION	2849_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2849_3.pdf	pdf	1987.000000	2849	9999-12-31	2013-05-08	4788
6406/2-3	GEOCHEMICAL INFORMATION	2849_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2849_4.pdf	pdf	1882.000000	2849	9999-12-31	2013-05-08	4789
6406/2-3	GEOCHEMICAL INFORMATION	2849_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2849_5.pdf	pdf	1914.000000	2849	9999-12-31	2013-05-08	4790
6406/2-3	GEOCHEMICAL INFORMATION	2849_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2849_6.pdf	pdf	1865.000000	2849	9999-12-31	2013-05-08	4791
6406/2-3	GEOCHEMICAL INFORMATION	2849_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2849_7.pdf	pdf	1881.000000	2849	9999-12-31	2013-05-08	4792
6406/2-3	GEOCHEMICAL INFORMATION	2849_8	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2849_8.pdf	pdf	1781.000000	2849	9999-12-31	2013-05-08	4793
6406/2-3	GEOCHEMICAL INFORMATION	2849_9	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2849_9.pdf	pdf	1462.000000	2849	9999-12-31	2013-05-08	4794
6406/2-4 S	GEOCHEMICAL INFORMATION	3012_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3012_1.pdf	pdf	1992.000000	3012	9999-12-31	2013-05-08	4795
6406/2-4 S	GEOCHEMICAL INFORMATION	3012_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3012_2.pdf	pdf	1775.000000	3012	9999-12-31	2013-05-08	4796
6406/2-4 S	GEOCHEMICAL INFORMATION	3012_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3012_3.pdf	pdf	1116.000000	3012	9999-12-31	2013-05-08	4797
6406/2-4 SR	COMPOSITE LOG	3627	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3627.pdf	pdf	449.000000	3627	9999-12-31	2013-05-08	4798
6406/2-4 SR	GEOCHEMICAL INFORMATION	3627_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3627_1.pdf	pdf	1933.000000	3627	9999-12-31	2013-05-08	4799
6406/2-4 SR	GEOCHEMICAL INFORMATION	3627_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3627_2.pdf	pdf	681.000000	3627	9999-12-31	2013-05-08	4800
6406/2-5	COMPOSITE LOG	3125	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3125.pdf	pdf	779.000000	3125	9999-12-31	2013-05-08	4801
6406/2-5	GEOCHEMICAL INFORMATION	3125_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3125_1.pdf	pdf	1902.000000	3125	9999-12-31	2013-05-08	4802
6406/2-5	GEOCHEMICAL INFORMATION	3125_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3125_2.pdf	pdf	1926.000000	3125	9999-12-31	2013-05-08	4803
6406/2-5	GEOCHEMICAL INFORMATION	3125_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3125_3.pdf	pdf	1929.000000	3125	9999-12-31	2013-05-08	4804
6406/2-5	GEOCHEMICAL INFORMATION	3125_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3125_4.pdf	pdf	1921.000000	3125	9999-12-31	2013-05-08	4805
6406/2-5 A	COMPOSITE LOG	3213	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3213.pdf	pdf	378.000000	3213	9999-12-31	2013-05-08	4806
6406/2-5 A	GEOCHEMICAL INFORMATION	3213_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3213_1.pdf	pdf	1833.000000	3213	9999-12-31	2013-05-08	4807
6406/2-5 A	GEOCHEMICAL INFORMATION	3213_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3213_2.pdf	pdf	1964.000000	3213	9999-12-31	2013-05-08	4808
6406/2-6	COMPOSITE LOG	3407	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3407.pdf	pdf	544.000000	3407	9999-12-31	2013-05-08	4809
6406/2-6	GEOCHEMICAL INFORMATION	3407_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3407_1.pdf	pdf	1837.000000	3407	9999-12-31	2013-05-08	4810
6406/2-6	GEOCHEMICAL INFORMATION	3407_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3407_2.pdf	pdf	1851.000000	3407	9999-12-31	2013-05-08	4811
6406/2-6	GEOCHEMICAL INFORMATION	3407_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3407_3.pdf	pdf	1806.000000	3407	9999-12-31	2013-05-08	4812
6406/2-6	GEOCHEMICAL INFORMATION	3407_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3407_4.pdf	pdf	314.000000	3407	9999-12-31	2013-05-08	4813
6406/2-6 A	COMPOSITE LOG	4094	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4094.pdf	pdf	291.000000	4094	9999-12-31	2013-05-08	4814
6406/2-6 A	GEOCHEMICAL INFORMATION	4094_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4094_1.pdf	pdf	1869.000000	4094	9999-12-31	2013-05-08	4815
6406/2-6 A	GEOCHEMICAL INFORMATION	4094_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4094_2.pdf	pdf	1334.000000	4094	9999-12-31	2013-05-08	4816
6406/2-7	COMPOSITE LOG	3878	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3878.pdf	pdf	847.000000	3878	9999-12-31	2013-05-08	4817
6406/2-7	GEOCHEMICAL INFORMATION	3878_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3878_1.pdf	pdf	1737.000000	3878	9999-12-31	2013-05-08	4818
6406/2-7	GEOCHEMICAL INFORMATION	3878_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3878_2.pdf	pdf	1851.000000	3878	9999-12-31	2013-05-08	4819
6406/2-7	GEOCHEMICAL INFORMATION	3878_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3878_3.pdf	pdf	1960.000000	3878	9999-12-31	2013-05-08	4820
6406/2-7	GEOCHEMICAL INFORMATION	3878_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3878_4.pdf	pdf	1953.000000	3878	9999-12-31	2013-05-08	4821
6406/2-7	GEOCHEMICAL INFORMATION	3878_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3878_5.pdf	pdf	1318.000000	3878	9999-12-31	2013-05-08	4822
6406/2-7	GEOCHEMICAL INFORMATION	3878_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3878_6.pdf	pdf	766.000000	3878	9999-12-31	2013-05-08	4823
6406/2-7	GEOCHEMICAL INFORMATION	3878_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3878_7.pdf	pdf	1517.000000	3878	9999-12-31	2013-05-08	4824
6406/3-1	GEOCHEMICAL INFORMATION	108_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/108_1.pdf	pdf	1559.000000	108	9999-12-31	2013-05-08	4825
6406/3-1	GEOCHEMICAL INFORMATION	108_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/108_2.pdf	pdf	315.000000	108	9999-12-31	2013-05-08	4826
6406/3-1	GEOCHEMICAL INFORMATION	108_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/108_3.pdf	pdf	427.000000	108	9999-12-31	2013-05-08	4827
6406/3-1	GEOCHEMICAL INFORMATION	108_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/108_4.pdf	pdf	439.000000	108	9999-12-31	2013-05-08	4828
6406/3-1	GEOCHEMICAL INFORMATION	108_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/108_5.pdf	pdf	9113.000000	108	9999-12-31	2013-05-08	4829
6406/3-1	OLD NPD WDSS	108_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/108_01_WDSS_General_Information.pdf	pdf	259.000000	108	9999-12-31	2013-05-08	4830
6406/3-1	OLD NPD WDSS	108_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/108_02_WDSS_completion_log.pdf	pdf	387.000000	108	9999-12-31	2013-05-08	4831
6406/3-1	REPORTED BY LICENSEE	108_01_6406_3_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_01_6406_3_1_Completion_Report.PDF	PDF	30325.000000	108	9999-12-31	2013-05-08	4832
6406/3-1	REPORTED BY LICENSEE	108_02_6406_3_1_Composite_Well_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_02_6406_3_1_Composite_Well_Log.pdf	pdf	3350.000000	108	9999-12-31	2013-05-08	4833
6406/3-1	REPORTED BY LICENSEE	108_03_6406_3_1_Final_Report_Exlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_03_6406_3_1_Final_Report_Exlog.pdf	pdf	33513.000000	108	9999-12-31	2013-05-08	4834
6406/3-1	REPORTED BY LICENSEE	108_04_6406_3_1_Final_report_DLWD	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_04_6406_3_1_Final_report_DLWD.pdf	pdf	3458.000000	108	9999-12-31	2013-05-08	4835
6406/3-1	REPORTED BY LICENSEE	108_05_6406_3_1_Biostratigraphy_Kerogen_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_05_6406_3_1_Biostratigraphy_Kerogen_Analysis.pdf	pdf	4808.000000	108	9999-12-31	2013-05-08	4836
6406/3-1	REPORTED BY LICENSEE	108_06_6406_3_1_Gas_Composition	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_06_6406_3_1_Gas_Composition.pdf	pdf	561.000000	108	9999-12-31	2013-05-08	4837
6406/6-1	OLD NPD WDSS	486_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/486_02_WDSS_completion_log.pdf	pdf	337.000000	486	9999-12-31	2013-05-08	4882
6406/3-1	REPORTED BY LICENSEE	108_07_6406_3_1_Geochemical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_07_6406_3_1_Geochemical_Evaluation.pdf	pdf	13163.000000	108	9999-12-31	2013-05-08	4838
6406/3-1	REPORTED BY LICENSEE	108_08_6406_3_1_Pressure_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_08_6406_3_1_Pressure_DST1.pdf	pdf	7809.000000	108	9999-12-31	2013-05-08	4839
6406/3-1	REPORTED BY LICENSEE	108_09_6406_3_1_QC_Routine_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_09_6406_3_1_QC_Routine_Core_Analysis.pdf	pdf	584.000000	108	9999-12-31	2013-05-08	4840
6406/3-1	REPORTED BY LICENSEE	108_10_6406_3_1_Report_on_Stable_Isotopes	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_10_6406_3_1_Report_on_Stable_Isotopes.pdf	pdf	1157.000000	108	9999-12-31	2013-05-08	4841
6406/3-1	REPORTED BY LICENSEE	108_11_6406_3_1_Routine_Core_Geco	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_11_6406_3_1_Routine_Core_Geco.pdf	pdf	1139.000000	108	9999-12-31	2013-05-08	4842
6406/3-1	REPORTED BY LICENSEE	108_12_6406_3_1_Water_Analysis_RFT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_12_6406_3_1_Water_Analysis_RFT.pdf	pdf	1338.000000	108	9999-12-31	2013-05-08	4843
6406/3-1	REPORTED BY LICENSEE	108_13_6406_3_1_Water_Analysis_WestLab	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_13_6406_3_1_Water_Analysis_WestLab.pdf	pdf	743.000000	108	9999-12-31	2013-05-08	4844
6406/3-1	REPORTED BY LICENSEE	108_14_6406_3_1_Well_Testing_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/108_14_6406_3_1_Well_Testing_Report.pdf	pdf	8797.000000	108	9999-12-31	2013-05-08	4845
6406/3-2	GEOCHEMICAL INFORMATION	863_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/863_1.pdf	pdf	276.000000	863	9999-12-31	2013-05-08	4846
6406/3-2	GEOCHEMICAL INFORMATION	863_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/863_2.pdf	pdf	1415.000000	863	9999-12-31	2013-05-08	4847
6406/3-2	GEOCHEMICAL INFORMATION	863_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/863_3.pdf	pdf	407.000000	863	9999-12-31	2013-05-08	4848
6406/3-2	GEOCHEMICAL INFORMATION	863_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/863_4.pdf	pdf	926.000000	863	9999-12-31	2013-05-08	4849
6406/3-2	OLD NPD WDSS	863_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/863_01_WDSS_General_Information.pdf	pdf	265.000000	863	9999-12-31	2013-05-08	4850
6406/3-2	OLD NPD WDSS	863_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/863_02_WDSS_completion_log.pdf	pdf	338.000000	863	9999-12-31	2013-05-08	4851
6406/3-2	REPORTED BY LICENSEE	863_01_6406_3_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/863_01_6406_3_2_Completion_report.pdf	pdf	2403.000000	863	9999-12-31	2013-05-08	4852
6406/3-2	REPORTED BY LICENSEE	863_02_6406_3_2_Completion_report_Drilling	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/863_02_6406_3_2_Completion_report_Drilling.pdf	pdf	9743.000000	863	9999-12-31	2013-05-08	4853
6406/3-2	REPORTED BY LICENSEE	863_03_6406_3_2_Completion_report_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/863_03_6406_3_2_Completion_report_Samples.pdf	pdf	9658.000000	863	9999-12-31	2013-05-08	4854
6406/3-2	REPORTED BY LICENSEE	863_04_6406_3_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/863_04_6406_3_2_Completion_log.pdf	pdf	2977.000000	863	9999-12-31	2013-05-08	4855
6406/3-3	GEOCHEMICAL INFORMATION	949_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/949_1.pdf	pdf	371.000000	949	9999-12-31	2013-05-08	4856
6406/3-3	GEOCHEMICAL INFORMATION	949_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/949_2.pdf	pdf	10548.000000	949	9999-12-31	2013-05-08	4857
6406/3-3	OLD NPD WDSS	949_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/949_01_WDSS_General_Information.pdf	pdf	251.000000	949	9999-12-31	2013-05-08	4858
6406/3-3	OLD NPD WDSS	949_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/949_02_WDSS_completion_log.pdf	pdf	344.000000	949	9999-12-31	2013-05-08	4859
6406/3-3	REPORTED BY LICENSEE	949_01_6406_3_3_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/949_01_6406_3_3_Completion_report.pdf	pdf	6384.000000	949	9999-12-31	2013-05-08	4860
6406/3-3	REPORTED BY LICENSEE	949_02_6406_3_3_Completion_report_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/949_02_6406_3_3_Completion_report_Samples.pdf	pdf	5592.000000	949	9999-12-31	2013-05-08	4861
6406/3-3	REPORTED BY LICENSEE	949_03_6406_3_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/949_03_6406_3_3_Completion_log.pdf	pdf	2959.000000	949	9999-12-31	2013-05-08	4862
6406/3-4	COMPOSITE LOG	1173	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1173.pdf	pdf	648.000000	1173	9999-12-31	2013-05-08	4863
6406/3-4	GEOCHEMICAL INFORMATION	1173_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1173_1.pdf	pdf	1281.000000	1173	9999-12-31	2013-05-08	4864
6406/3-4	OLD NPD WDSS	1173_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1173_01_WDSS_General_Information.pdf	pdf	447.000000	1173	9999-12-31	2013-05-08	4865
6406/3-4	OLD NPD WDSS	1173_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1173_02_WDSS_completion_log.pdf	pdf	387.000000	1173	9999-12-31	2013-05-08	4866
6406/3-5	COMPOSITE LOG	1227	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1227.pdf	pdf	611.000000	1227	9999-12-31	2013-05-08	4867
6406/3-5	GEOCHEMICAL INFORMATION	1227_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1227_1.pdf	pdf	863.000000	1227	9999-12-31	2013-05-08	4868
6406/3-5	OLD NPD WDSS	1227_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1227_01_WDSS_General_Information.pdf	pdf	252.000000	1227	9999-12-31	2013-05-08	4869
6406/3-5	OLD NPD WDSS	1227_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1227_02_WDSS_completion_log.pdf	pdf	285.000000	1227	9999-12-31	2013-05-08	4870
6406/3-6	COMPOSITE LOG	4589	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4589.pdf	pdf	378.000000	4589	9999-12-31	2013-05-08	4871
6406/3-8	GEOCHEMICAL INFORMATION	6350_01_6406_3_8_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6350_01_6406_3_8_gch_transfer_1.txt	txt	0.000000	6350	2012-08-24	2013-05-08	4872
6406/3-8	GEOCHEMICAL INFORMATION	6350_02_6406_3_8_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6350_02_6406_3_8_gch_results_1.txt	txt	262.000000	6350	2012-08-24	2013-05-08	4873
6406/5-1	COMPOSITE LOG	4451	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4451.pdf	pdf	596.000000	4451	9999-12-31	2013-05-08	4874
6406/5-1	GEOCHEMICAL INFORMATION	4451_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4451_1.pdf	pdf	1923.000000	4451	9999-12-31	2013-05-08	4875
6406/5-1	GEOCHEMICAL INFORMATION	4451_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4451_2.xls	xls	138.000000	4451	9999-12-31	2013-05-08	4876
6406/5-1	GEOCHEMICAL INFORMATION	4451_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4451_3.xls	xls	161.000000	4451	9999-12-31	2013-05-08	4877
6406/6-1	COMPOSITE LOG	486	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/486.pdf	pdf	926.000000	486	9999-12-31	2013-05-08	4878
6406/6-1	GEOCHEMICAL INFORMATION	486_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/486_1.pdf	pdf	128.000000	486	9999-12-31	2013-05-08	4879
6406/6-1	GEOCHEMICAL INFORMATION	486_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/486_2.pdf	pdf	4515.000000	486	9999-12-31	2013-05-08	4880
6406/6-1	OLD NPD WDSS	486_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/486_01_WDSS_General_Information.pdf	pdf	285.000000	486	9999-12-31	2013-05-08	4881
6406/6-1	REPORTED BY LICENSEE	486_01_6406_6_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/486_01_6406_6_1_Completion_report.pdf	pdf	7756.000000	486	9999-12-31	2013-05-08	4883
6406/6-1	REPORTED BY LICENSEE	486_02_6406_6_1_Completion_report_Drilling	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/486_02_6406_6_1_Completion_report_Drilling.pdf	pdf	10011.000000	486	9999-12-31	2013-05-08	4884
6406/6-1	REPORTED BY LICENSEE	486_03_6406_6_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/486_03_6406_6_1_Completion_log.pdf	pdf	2867.000000	486	9999-12-31	2013-05-08	4885
6406/6-2	COMPOSITE LOG	5359	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5359.pdf	pdf	654.000000	5359	2013-01-22	2013-05-08	4886
6406/8-1	COMPOSITE LOG	1136	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1136.pdf	pdf	818.000000	1136	2013-01-22	2013-05-08	4887
6406/8-1	GEOCHEMICAL INFORMATION	1136_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1136_1.pdf	pdf	97.000000	1136	9999-12-31	2013-05-08	4888
6406/8-1	GEOCHEMICAL INFORMATION	1136_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1136_2.pdf	pdf	720.000000	1136	9999-12-31	2013-05-08	4889
6406/8-1	GEOCHEMICAL INFORMATION	1136_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1136_3.pdf	pdf	1899.000000	1136	9999-12-31	2013-05-08	4890
6406/8-1	OLD NPD WDSS	1136_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1136_01_WDSS_General_Information.pdf	pdf	307.000000	1136	9999-12-31	2013-05-08	4891
6406/8-1	OLD NPD WDSS	1136_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1136_02_WDSS_completion_log.pdf	pdf	292.000000	1136	9999-12-31	2013-05-08	4892
6406/9-2	COMPOSITE LOG	5454	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5454.pdf	pdf	861.000000	5454	2013-05-01	2013-05-08	4893
6407/10-1	COMPOSITE LOG	1054	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1054.pdf	pdf	379.000000	1054	9999-12-31	2013-05-08	4894
6407/10-1	GEOCHEMICAL INFORMATION	1054_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1054_1.pdf	pdf	1185.000000	1054	9999-12-31	2013-05-08	4895
6407/10-1	OLD NPD WDSS	1054_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1054_01_WDSS_General_Information.pdf	pdf	386.000000	1054	9999-12-31	2013-05-08	4896
6407/10-1	OLD NPD WDSS	1054_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1054_02_WDSS_completion_log.pdf	pdf	274.000000	1054	9999-12-31	2013-05-08	4897
6407/10-2	COMPOSITE LOG	1497	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1497.pdf	pdf	530.000000	1497	9999-12-31	2013-05-08	4898
6407/10-2	GEOCHEMICAL INFORMATION	1497_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1497_1.pdf	pdf	907.000000	1497	9999-12-31	2013-05-08	4899
6407/10-2	OLD NPD WDSS	1497_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1497_01_WDSS_General_Information.pdf	pdf	214.000000	1497	9999-12-31	2013-05-08	4900
6407/10-2	OLD NPD WDSS	1497_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1497_02_WDSS_completion_log.pdf	pdf	217.000000	1497	9999-12-31	2013-05-08	4901
6407/10-3	COMPOSITE LOG	1927	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1927.pdf	pdf	449.000000	1927	9999-12-31	2013-05-08	4902
6407/10-3	GEOCHEMICAL INFORMATION	1927_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1927_1.pdf	pdf	2329.000000	1927	9999-12-31	2013-05-08	4903
6407/10-3	OLD NPD WDSS	1927_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1927_01_WDSS_General_Information.pdf	pdf	438.000000	1927	9999-12-31	2013-05-08	4904
6407/10-3	OLD NPD WDSS	1927_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1927_02_WDSS_completion_log.pdf	pdf	193.000000	1927	9999-12-31	2013-05-08	4905
6407/1-1	OLD NPD WDSS	66_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/66_01_WDSS_General_Information.pdf	pdf	129.000000	66	9999-12-31	2013-05-08	4906
6407/1-1	OLD NPD WDSS	66_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/66_02_WDSS_completion_log.pdf	pdf	84.000000	66	9999-12-31	2013-05-08	4907
6407/1-1	REPORTED BY LICENSEE	66_01_6407_1_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/66_01_6407_1_1_Completion_report.pdf	pdf	3017.000000	66	9999-12-31	2013-05-08	4908
6407/1-1	REPORTED BY LICENSEE	66_02_6407_1_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/66_02_6407_1_1_Completion_log.pdf	pdf	491.000000	66	9999-12-31	2013-05-08	4909
6407/1-2	COMPOSITE LOG	61	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/61.pdf	pdf	846.000000	61	9999-12-31	2013-05-08	4910
6407/1-2	GEOCHEMICAL INFORMATION	61_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/61_1.pdf	pdf	1589.000000	61	9999-12-31	2013-05-08	4911
6407/1-2	GEOCHEMICAL INFORMATION	61_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/61_2.pdf	pdf	410.000000	61	9999-12-31	2013-05-08	4912
6407/1-2	GEOCHEMICAL INFORMATION	61_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/61_3.pdf	pdf	1166.000000	61	9999-12-31	2013-05-08	4913
6407/1-2	GEOCHEMICAL INFORMATION	61_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/61_4.pdf	pdf	232.000000	61	9999-12-31	2013-05-08	4914
6407/1-2	GEOCHEMICAL INFORMATION	61_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/61_5.pdf	pdf	1376.000000	61	9999-12-31	2013-05-08	4915
6407/1-2	GEOCHEMICAL INFORMATION	61_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/61_6.pdf	pdf	4408.000000	61	9999-12-31	2013-05-08	4916
6407/1-2	GEOCHEMICAL INFORMATION	61_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/61_7.pdf	pdf	158.000000	61	9999-12-31	2013-05-08	4917
6407/1-2	GEOCHEMICAL INFORMATION	61_8	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/61_8.pdf	pdf	1795.000000	61	9999-12-31	2013-05-08	4918
6407/1-2	GEOCHEMICAL INFORMATION	61_9	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/61_9.pdf	pdf	1010.000000	61	9999-12-31	2013-05-08	4919
6407/1-2	OLD NPD WDSS	61_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/61_01_WDSS_General_Information.pdf	pdf	188.000000	61	9999-12-31	2013-05-08	4920
6407/1-2	OLD NPD WDSS	61_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/61_02_WDSS_completion_log.pdf	pdf	423.000000	61	9999-12-31	2013-05-08	4921
6407/1-2	REPORTED BY LICENSEE	61_01_6407_01_02_CompletionReport_&_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_01_6407_01_02_CompletionReport_&_Completionlog.pdf	pdf	57330.000000	61	9999-12-31	2013-05-08	4922
6407/1-2	REPORTED BY LICENSEE	61_02_Analysis_Trace_Fossils	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_02_Analysis_Trace_Fossils.pdf	pdf	20459.000000	61	9999-12-31	2013-05-08	4923
6407/1-2	REPORTED BY LICENSEE	61_03_Special_Fluid_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_03_Special_Fluid_Study.pdf	pdf	1558.000000	61	9999-12-31	2013-05-08	4924
6407/1-2	REPORTED BY LICENSEE	61_04_Biostratigraphy_Kerogen_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_04_Biostratigraphy_Kerogen_Analysis.pdf	pdf	4047.000000	61	9999-12-31	2013-05-08	4925
6407/1-2	REPORTED BY LICENSEE	61_05_Biostratigraphy_Kerogen_Analysis_Summary	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_05_Biostratigraphy_Kerogen_Analysis_Summary.pdf	pdf	629.000000	61	9999-12-31	2013-05-08	4926
6407/1-2	REPORTED BY LICENSEE	61_06_Carbon_Isotope_Distribution	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_06_Carbon_Isotope_Distribution.pdf	pdf	1154.000000	61	9999-12-31	2013-05-08	4927
6407/7-1 S	GEOCHEMICAL INFORMATION	474_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/474_4.pdf	pdf	2785.000000	474	9999-12-31	2013-05-08	5060
6407/1-2	REPORTED BY LICENSEE	61_07_Compositional_Analysis_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_07_Compositional_Analysis_DST1.pdf	pdf	5495.000000	61	9999-12-31	2013-05-08	4928
6407/1-2	REPORTED BY LICENSEE	61_08_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_08_Core_Analysis.pdf	pdf	2673.000000	61	9999-12-31	2013-05-08	4929
6407/1-2	REPORTED BY LICENSEE	61_09_Debris_Survey	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_09_Debris_Survey.pdf	pdf	7264.000000	61	9999-12-31	2013-05-08	4930
6407/1-2	REPORTED BY LICENSEE	61_10_Discovery_Evaluation_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_10_Discovery_Evaluation_Report.pdf	pdf	17645.000000	61	9999-12-31	2013-05-08	4931
6407/1-2	REPORTED BY LICENSEE	61_11_FWR_Exlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_11_FWR_Exlog.pdf	pdf	27037.000000	61	9999-12-31	2013-05-08	4932
6407/1-2	REPORTED BY LICENSEE	61_12_Geochemical_Analyses_Robertson	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_12_Geochemical_Analyses_Robertson.pdf	pdf	702.000000	61	9999-12-31	2013-05-08	4933
6407/1-2	REPORTED BY LICENSEE	61_13_Organic_Geochemistry	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_13_Organic_Geochemistry.pdf	pdf	10150.000000	61	9999-12-31	2013-05-08	4934
6407/1-2	REPORTED BY LICENSEE	61_14_Palynological_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_14_Palynological_Analysis.pdf	pdf	122.000000	61	9999-12-31	2013-05-08	4935
6407/1-2	REPORTED BY LICENSEE	61_15_Palynostratigraphy_Kerogen_Palynofacies_Organic_Maturation_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_15_Palynostratigraphy_Kerogen_Palynofacies_Organic_Maturation_Analysis.pdf	pdf	1984.000000	61	9999-12-31	2013-05-08	4936
6407/1-2	REPORTED BY LICENSEE	61_16_Petrophysical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_16_Petrophysical_Evaluation.pdf	pdf	1528.000000	61	9999-12-31	2013-05-08	4937
6407/1-2	REPORTED BY LICENSEE	61_17_Pressure_Survey_DST_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_17_Pressure_Survey_DST_1.pdf	pdf	109476.000000	61	9999-12-31	2013-05-08	4938
6407/1-2	REPORTED BY LICENSEE	61_18_Pressure_Temperature_DST	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_18_Pressure_Temperature_DST.pdf	pdf	2768.000000	61	9999-12-31	2013-05-08	4939
6407/1-2	REPORTED BY LICENSEE	61_19_Pressure_Temperature	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_19_Pressure_Temperature.pdf	pdf	6287.000000	61	9999-12-31	2013-05-08	4940
6407/1-2	REPORTED BY LICENSEE	61_20_PVT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_20_PVT.pdf	pdf	14630.000000	61	9999-12-31	2013-05-08	4941
6407/1-2	REPORTED BY LICENSEE	61_21_QC_Routine_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_21_QC_Routine_Core_Analysis.pdf	pdf	561.000000	61	9999-12-31	2013-05-08	4942
6407/1-2	REPORTED BY LICENSEE	61_22_RFT_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_22_RFT_Report.pdf	pdf	922.000000	61	9999-12-31	2013-05-08	4943
6407/1-2	REPORTED BY LICENSEE	61_23_Routine_Core_Analysis_Cores_1-4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_23_Routine_Core_Analysis_Cores_1-4.pdf	pdf	867.000000	61	9999-12-31	2013-05-08	4944
6407/1-2	REPORTED BY LICENSEE	61_24_Sedimentology_Diagenesis_Mid_Jurassic_Sandstones	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_24_Sedimentology_Diagenesis_Mid_Jurassic_Sandstones.pdf	pdf	6118.000000	61	9999-12-31	2013-05-08	4945
6407/1-2	REPORTED BY LICENSEE	61_25_Source_Rock_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_25_Source_Rock_Evaluation.pdf	pdf	2151.000000	61	9999-12-31	2013-05-08	4946
6407/1-2	REPORTED BY LICENSEE	61_26_Stable_Isotopes	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_26_Stable_Isotopes.pdf	pdf	1241.000000	61	9999-12-31	2013-05-08	4947
6407/1-2	REPORTED BY LICENSEE	61_27_Supplimentary_Geochemical_Data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_27_Supplimentary_Geochemical_Data.pdf	pdf	2799.000000	61	9999-12-31	2013-05-08	4948
6407/1-2	REPORTED BY LICENSEE	61_28_TBP_Distillation_Condensate_DST_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_28_TBP_Distillation_Condensate_DST_1.pdf	pdf	1157.000000	61	9999-12-31	2013-05-08	4949
6407/1-2	REPORTED BY LICENSEE	61_29_Trace_Fossils_in_Cores	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_29_Trace_Fossils_in_Cores.pdf	pdf	222.000000	61	9999-12-31	2013-05-08	4950
6407/1-2	REPORTED BY LICENSEE	61_30_VSP_Processing	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/61_30_VSP_Processing.pdf	pdf	237878.000000	61	9999-12-31	2013-05-08	4951
6407/12-1	COMPOSITE LOG	3781	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3781.pdf	pdf	125.000000	3781	9999-12-31	2013-05-08	4952
6407/12-1	GEOCHEMICAL INFORMATION	3781_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3781_1.pdf	pdf	915.000000	3781	9999-12-31	2013-05-08	4953
6407/1-3	COMPOSITE LOG	29	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/29.pdf	pdf	813.000000	29	9999-12-31	2013-05-08	4954
6407/1-3	GEOCHEMICAL INFORMATION	29_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/29_1.pdf	pdf	1027.000000	29	9999-12-31	2013-05-08	4955
6407/1-3	GEOCHEMICAL INFORMATION	29_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/29_2.pdf	pdf	1198.000000	29	9999-12-31	2013-05-08	4956
6407/1-3	GEOCHEMICAL INFORMATION	29_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/29_3.pdf	pdf	250.000000	29	9999-12-31	2013-05-08	4957
6407/1-3	GEOCHEMICAL INFORMATION	29_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/29_4.pdf	pdf	5455.000000	29	9999-12-31	2013-05-08	4958
6407/1-3	GEOCHEMICAL INFORMATION	29_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/29_5.pdf	pdf	648.000000	29	9999-12-31	2013-05-08	4959
6407/1-3	GEOCHEMICAL INFORMATION	29_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/29_6.pdf	pdf	1058.000000	29	9999-12-31	2013-05-08	4960
6407/1-3	OLD NPD WDSS	29_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/29_01_WDSS_General_Information.pdf	pdf	223.000000	29	9999-12-31	2013-05-08	4961
6407/1-3	OLD NPD WDSS	29_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/29_02_WDSS_completion_log.pdf	pdf	364.000000	29	9999-12-31	2013-05-08	4962
6407/1-3	REPORTED BY LICENSEE	29_01_CompletionReport_&_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_01_CompletionReport_&_Completionlog.pdf	pdf	38113.000000	29	9999-12-31	2013-05-08	4963
6407/1-3	REPORTED BY LICENSEE	29_02_Biostratigraphy_Kerogen_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_02_Biostratigraphy_Kerogen_Analysis.pdf	pdf	4483.000000	29	9999-12-31	2013-05-08	4964
6407/1-3	REPORTED BY LICENSEE	29_03_Core_Analyses_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_03_Core_Analyses_Report.pdf	pdf	4263.000000	29	9999-12-31	2013-05-08	4965
6407/1-3	REPORTED BY LICENSEE	29_04_Core_Photos_Sedimentary_Features	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_04_Core_Photos_Sedimentary_Features.pdf	pdf	87237.000000	29	9999-12-31	2013-05-08	4966
6407/1-3	REPORTED BY LICENSEE	29_05_Discovery_Evaluation_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_05_Discovery_Evaluation_Report.pdf	pdf	18618.000000	29	9999-12-31	2013-05-08	4967
6407/1-3	REPORTED BY LICENSEE	29_06_DST1_ and_DST2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_06_DST1_ and_DST2.pdf	pdf	22110.000000	29	9999-12-31	2013-05-08	4968
6407/1-3	REPORTED BY LICENSEE	29_07_Final_DLWD	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_07_Final_DLWD.pdf	pdf	5623.000000	29	9999-12-31	2013-05-08	4969
6407/1-3	REPORTED BY LICENSEE	29_08_Oil_Correlation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_08_Oil_Correlation.pdf	pdf	2257.000000	29	9999-12-31	2013-05-08	4970
6407/1-3	REPORTED BY LICENSEE	29_09_Partial_Fluid_Study	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_09_Partial_Fluid_Study.pdf	pdf	1234.000000	29	9999-12-31	2013-05-08	4971
6407/1-3	REPORTED BY LICENSEE	29_10_Petrophysical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_10_Petrophysical_Evaluation.pdf	pdf	2155.000000	29	9999-12-31	2013-05-08	4972
6407/1-3	REPORTED BY LICENSEE	29_11_Pressure_Survey_Test1_Run1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_11_Pressure_Survey_Test1_Run1.pdf	pdf	7200.000000	29	9999-12-31	2013-05-08	4973
6407/1-3	REPORTED BY LICENSEE	29_12_Pressure_Survey_Test2_Run2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_12_Pressure_Survey_Test2_Run2.pdf	pdf	3083.000000	29	9999-12-31	2013-05-08	4974
6407/1-3	REPORTED BY LICENSEE	29_13_Pressure_Temperature_DST1_Gauge3719m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_13_Pressure_Temperature_DST1_Gauge3719m.pdf	pdf	6789.000000	29	9999-12-31	2013-05-08	4975
6407/1-3	REPORTED BY LICENSEE	29_14_Pressure_Temperature_DST1_Gauge3722m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_14_Pressure_Temperature_DST1_Gauge3722m.pdf	pdf	5953.000000	29	9999-12-31	2013-05-08	4976
6407/1-3	REPORTED BY LICENSEE	29_15_Pressure_Temperature_DST2_3649,47m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_15_Pressure_Temperature_DST2_3649,47m.pdf	pdf	4731.000000	29	9999-12-31	2013-05-08	4977
6407/1-3	REPORTED BY LICENSEE	29_16_Pressure_Temperature_DST2_3658,88m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_16_Pressure_Temperature_DST2_3658,88m.pdf	pdf	8942.000000	29	9999-12-31	2013-05-08	4978
6407/1-3	REPORTED BY LICENSEE	29_17_PVT_Analysis_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_17_PVT_Analysis_DST1.pdf	pdf	1122.000000	29	9999-12-31	2013-05-08	4979
6407/1-3	REPORTED BY LICENSEE	29_18_Report_Mud_and_Reservoired_Gas_Stable_Isotopes	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_18_Report_Mud_and_Reservoired_Gas_Stable_Isotopes.pdf	pdf	1239.000000	29	9999-12-31	2013-05-08	4980
6407/1-3	REPORTED BY LICENSEE	29_19_Reservoir_Fluid_Analysis_DST2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_19_Reservoir_Fluid_Analysis_DST2.pdf	pdf	2344.000000	29	9999-12-31	2013-05-08	4981
6407/1-3	REPORTED BY LICENSEE	29_30_RFT_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_30_RFT_report.pdf	pdf	1516.000000	29	9999-12-31	2013-05-08	4982
6407/1-3	REPORTED BY LICENSEE	29_31_RFT_chamber_Sample_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_31_RFT_chamber_Sample_Evaluation.pdf	pdf	1232.000000	29	9999-12-31	2013-05-08	4983
6407/1-3	REPORTED BY LICENSEE	29_32_RFT_chamber_Sample_Transfer	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_32_RFT_chamber_Sample_Transfer.pdf	pdf	1470.000000	29	9999-12-31	2013-05-08	4984
6407/1-3	REPORTED BY LICENSEE	29_33_Source_Rock_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_33_Source_Rock_Evaluation.pdf	pdf	10022.000000	29	9999-12-31	2013-05-08	4985
6407/1-3	REPORTED BY LICENSEE	29_34_Supplement_Oil_Oil_Correlation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_34_Supplement_Oil_Oil_Correlation.pdf	pdf	1203.000000	29	9999-12-31	2013-05-08	4986
6407/1-3	REPORTED BY LICENSEE	29_35_TBP_Distillation_Condensate_DST2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_35_TBP_Distillation_Condensate_DST2.pdf	pdf	1281.000000	29	9999-12-31	2013-05-08	4987
6407/1-3	REPORTED BY LICENSEE	29_36_TBP_distillation_Oil_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_36_TBP_distillation_Oil_DST1.pdf	pdf	1271.000000	29	9999-12-31	2013-05-08	4988
6407/1-3	REPORTED BY LICENSEE	29_37_Wax_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/29_37_Wax_Analysis.pdf	pdf	1161.000000	29	9999-12-31	2013-05-08	4989
6407/1-4	COMPOSITE LOG	2796	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2796.pdf	pdf	381.000000	2796	9999-12-31	2013-05-08	4990
6407/2-1	COMPOSITE LOG	76	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/76.pdf	pdf	800.000000	76	9999-12-31	2013-05-08	4991
6407/2-1	GEOCHEMICAL INFORMATION	76_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/76_1.pdf	pdf	408.000000	76	9999-12-31	2013-05-08	4992
6407/2-1	GEOCHEMICAL INFORMATION	76_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/76_2.pdf	pdf	7228.000000	76	9999-12-31	2013-05-08	4993
6407/2-1	GEOCHEMICAL INFORMATION	76_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/76_3.pdf	pdf	1721.000000	76	9999-12-31	2013-05-08	4994
6407/2-1	GEOCHEMICAL INFORMATION	76_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/76_4.pdf	pdf	1305.000000	76	9999-12-31	2013-05-08	4995
6407/2-1	GEOCHEMICAL INFORMATION	76_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/76_5.pdf	pdf	562.000000	76	9999-12-31	2013-05-08	4996
6407/2-1	GEOCHEMICAL INFORMATION	76_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/76_6.pdf	pdf	279.000000	76	9999-12-31	2013-05-08	4997
6407/2-1	GEOCHEMICAL INFORMATION	76_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/76_7.pdf	pdf	550.000000	76	9999-12-31	2013-05-08	4998
6407/2-1	GEOCHEMICAL INFORMATION	76_8	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/76_8.pdf	pdf	1421.000000	76	9999-12-31	2013-05-08	4999
6407/2-1	OLD NPD WDSS	76_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/76_01_WDSS_General_Information.pdf	pdf	164.000000	76	9999-12-31	2013-05-08	5000
6407/2-1	OLD NPD WDSS	76_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/76_02_WDSS_completion_log.pdf	pdf	265.000000	76	9999-12-31	2013-05-08	5001
6407/2-1	REPORTED BY LICENSEE	76_01_CompletionReport_&_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/76_01_CompletionReport_&_Completionlog.pdf	pdf	23863.000000	76	9999-12-31	2013-05-08	5002
6407/2-2	COMPOSITE LOG	16	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/16.pdf	pdf	584.000000	16	9999-12-31	2013-05-08	5003
6407/2-2	GEOCHEMICAL INFORMATION	16_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/16_1.pdf	pdf	525.000000	16	9999-12-31	2013-05-08	5004
6407/2-2	GEOCHEMICAL INFORMATION	16_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/16_2.pdf	pdf	4173.000000	16	9999-12-31	2013-05-08	5005
6407/2-2	GEOCHEMICAL INFORMATION	16_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/16_3.pdf	pdf	889.000000	16	9999-12-31	2013-05-08	5006
6407/2-2	OLD NPD WDSS	16_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/16_01_WDSS_General_Information.pdf	pdf	185.000000	16	9999-12-31	2013-05-08	5007
6407/2-2	OLD NPD WDSS	16_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/16_02_WDSS_completion_log.pdf	pdf	305.000000	16	9999-12-31	2013-05-08	5008
6407/2-2	REPORTED BY LICENSEE	16_01_CompletionReport_&_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/16_01_CompletionReport_&_Completionlog.pdf	pdf	16894.000000	16	9999-12-31	2013-05-08	5009
6407/2-3	GEOCHEMICAL INFORMATION	935_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/935_1.pdf	pdf	541.000000	935	9999-12-31	2013-05-08	5010
6407/2-3	GEOCHEMICAL INFORMATION	935_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/935_2.pdf	pdf	510.000000	935	9999-12-31	2013-05-08	5011
6407/2-3	GEOCHEMICAL INFORMATION	935_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/935_3.pdf	pdf	5177.000000	935	9999-12-31	2013-05-08	5012
6407/2-3	OLD NPD WDSS	935_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/935_01_WDSS_General_Information.pdf	pdf	441.000000	935	9999-12-31	2013-05-08	5013
6407/2-3	OLD NPD WDSS	935_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/935_02_WDSS_completion_log.pdf	pdf	276.000000	935	9999-12-31	2013-05-08	5014
6407/2-3	REPORTED BY LICENSEE	935_01_6407_2_3_Competion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/935_01_6407_2_3_Competion_report.pdf	pdf	7668.000000	935	9999-12-31	2013-05-08	5015
6407/2-3	REPORTED BY LICENSEE	935_02_6407_2_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/935_02_6407_2_3_Completion_log.pdf	pdf	2280.000000	935	9999-12-31	2013-05-08	5016
6407/4-1	COMPOSITE LOG	490	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/490.pdf	pdf	1015.000000	490	9999-12-31	2013-05-08	5017
6407/4-1	GEOCHEMICAL INFORMATION	490_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/490_1.pdf	pdf	6537.000000	490	9999-12-31	2013-05-08	5018
6407/4-1	OLD NPD WDSS	490_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/490_01_WDSS_General_Information.pdf	pdf	308.000000	490	9999-12-31	2013-05-08	5019
6407/4-1	OLD NPD WDSS	490_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/490_02_WDSS_completion_log.pdf	pdf	375.000000	490	9999-12-31	2013-05-08	5020
6407/4-2	GEOCHEMICAL INFORMATION	6557_01_6407_4_2_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6557_01_6407_4_2_gch_transfer_1.txt	txt	0.000000	6557	2012-10-10	2013-05-08	5021
6407/4-2	GEOCHEMICAL INFORMATION	6557_02_6407_4_2_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6557_02_6407_4_2_gch_results_1.txt	txt	38.000000	6557	2012-10-10	2013-05-08	5022
6407/4-2	GEOCHEMICAL INFORMATION	6557_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6557_GCH_1.pdf	pdf	147.000000	6557	2012-10-10	2013-05-08	5023
6407/5-1	COMPOSITE LOG	1174	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1174.pdf	pdf	753.000000	1174	2013-01-22	2013-05-08	5024
6407/5-1	GEOCHEMICAL INFORMATION	1174_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1174_1.pdf	pdf	9661.000000	1174	9999-12-31	2013-05-08	5025
6407/5-1	OLD NPD WDSS	1174_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1174_01_WDSS_General_Information.pdf	pdf	224.000000	1174	9999-12-31	2013-05-08	5026
6407/5-1	OLD NPD WDSS	1174_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1174_02_WDSS_completion_log.pdf	pdf	305.000000	1174	9999-12-31	2013-05-08	5027
6407/6-1	COMPOSITE LOG	444	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/444.pdf	pdf	591.000000	444	9999-12-31	2013-05-08	5028
6407/6-1	GEOCHEMICAL INFORMATION	444_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/444_1.pdf	pdf	380.000000	444	9999-12-31	2013-05-08	5029
6407/6-1	GEOCHEMICAL INFORMATION	444_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/444_2.pdf	pdf	1294.000000	444	9999-12-31	2013-05-08	5030
6407/6-1	GEOCHEMICAL INFORMATION	444_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/444_3.pdf	pdf	6083.000000	444	9999-12-31	2013-05-08	5031
6407/6-1	OLD NPD WDSS	444_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/444_01_WDSS_General_Information.pdf	pdf	207.000000	444	9999-12-31	2013-05-08	5032
6407/6-1	OLD NPD WDSS	444_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/444_02_WDSS_completion_log.pdf	pdf	270.000000	444	9999-12-31	2013-05-08	5033
6407/6-1	REPORTED BY LICENSEE	444_01_CompletionReport_and_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/444_01_CompletionReport_and_Completionlog.pdf	pdf	18369.000000	444	9999-12-31	2013-05-08	5034
6407/6-2	GEOCHEMICAL INFORMATION	522_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/522_1.pdf	pdf	396.000000	522	9999-12-31	2013-05-08	5035
6407/6-2	OLD NPD WDSS	522_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/522_01_WDSS_General_Information.pdf	pdf	201.000000	522	9999-12-31	2013-05-08	5036
6407/6-2	REPORTED BY LICENSEE	522_01_Completionreport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/522_01_Completionreport.pdf	pdf	936.000000	522	9999-12-31	2013-05-08	5037
6407/6-2	REPORTED BY LICENSEE	522_02_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/522_02_Completionlog.pdf	pdf	171.000000	522	9999-12-31	2013-05-08	5038
6407/6-3	GEOCHEMICAL INFORMATION	1024_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1024_1.pdf	pdf	130.000000	1024	9999-12-31	2013-05-08	5039
6407/6-3	GEOCHEMICAL INFORMATION	1024_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1024_2.pdf	pdf	5431.000000	1024	9999-12-31	2013-05-08	5040
6407/6-3	GEOCHEMICAL INFORMATION	1024_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1024_3.pdf	pdf	447.000000	1024	9999-12-31	2013-05-08	5041
6407/6-3	GEOCHEMICAL INFORMATION	1024_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1024_4.pdf	pdf	9450.000000	1024	9999-12-31	2013-05-08	5042
6407/6-3	OLD NPD WDSS	1024_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1024_01_WDSS_General_Information.pdf	pdf	439.000000	1024	9999-12-31	2013-05-08	5043
6407/6-3	OLD NPD WDSS	1024_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1024_02_WDSS_completion_log.pdf	pdf	268.000000	1024	9999-12-31	2013-05-08	5044
6407/6-3	REPORTED BY LICENSEE	1024_01_6407_6_3_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1024_01_6407_6_3_Completion_report.pdf	pdf	10015.000000	1024	9999-12-31	2013-05-08	5045
6407/6-3	REPORTED BY LICENSEE	1024_02_6407_6_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1024_02_6407_6_3_Completion_log.pdf	pdf	3169.000000	1024	9999-12-31	2013-05-08	5046
6407/6-4	GEOCHEMICAL INFORMATION	1604_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1604_1.pdf	pdf	127.000000	1604	9999-12-31	2013-05-08	5047
6407/6-4	GEOCHEMICAL INFORMATION	1604_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1604_2.pdf	pdf	7684.000000	1604	9999-12-31	2013-05-08	5048
6407/6-4	GEOCHEMICAL INFORMATION	1604_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1604_3.pdf	pdf	437.000000	1604	9999-12-31	2013-05-08	5049
6407/6-4	GEOCHEMICAL INFORMATION	1604_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1604_4.pdf	pdf	621.000000	1604	9999-12-31	2013-05-08	5050
6407/6-4	OLD NPD WDSS	1604_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1604_01_WDSS_General_Information.pdf	pdf	180.000000	1604	9999-12-31	2013-05-08	5051
6407/6-4	OLD NPD WDSS	1604_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1604_02_WDSS_completion_log.pdf	pdf	192.000000	1604	9999-12-31	2013-05-08	5052
6407/6-5	COMPOSITE LOG	3921	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3921.pdf	pdf	373.000000	3921	9999-12-31	2013-05-08	5053
6407/6-5	GEOCHEMICAL INFORMATION	3921_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3921_1.pdf	pdf	1941.000000	3921	9999-12-31	2013-05-08	5054
6407/6-5	GEOCHEMICAL INFORMATION	3921_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3921_2.pdf	pdf	1794.000000	3921	9999-12-31	2013-05-08	5055
6407/6-5	GEOCHEMICAL INFORMATION	3921_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3921_3.pdf	pdf	394.000000	3921	9999-12-31	2013-05-08	5056
6407/7-1 S	GEOCHEMICAL INFORMATION	474_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/474_1.pdf	pdf	32.000000	474	9999-12-31	2013-05-08	5057
6407/7-1 S	GEOCHEMICAL INFORMATION	474_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/474_2.pdf	pdf	648.000000	474	9999-12-31	2013-05-08	5058
6407/7-1 S	GEOCHEMICAL INFORMATION	474_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/474_3.pdf	pdf	6833.000000	474	9999-12-31	2013-05-08	5059
6407/7-1 S	GEOCHEMICAL INFORMATION	474_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/474_5.pdf	pdf	12126.000000	474	9999-12-31	2013-05-08	5061
6407/7-1 S	GEOCHEMICAL INFORMATION	474_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/474_6.pdf	pdf	6533.000000	474	9999-12-31	2013-05-08	5062
6407/7-1 S	GEOCHEMICAL INFORMATION	474_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/474_7.pdf	pdf	3953.000000	474	9999-12-31	2013-05-08	5063
6407/7-1 S	OLD NPD WDSS	474_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/474_01_WDSS_General_Information.pdf	pdf	286.000000	474	9999-12-31	2013-05-08	5064
6407/7-1 S	OLD NPD WDSS	474_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/474_02_WDSS_completion_log.pdf	pdf	303.000000	474	9999-12-31	2013-05-08	5065
6407/7-1 S	REPORTED BY LICENSEE	474_01_6407_7_1_S_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/474_01_6407_7_1_S_Completion_report.pdf	pdf	15863.000000	474	9999-12-31	2013-05-08	5066
6407/7-1 S	REPORTED BY LICENSEE	474_02_6407_7_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/474_02_6407_7_1_Completion_log.pdf	pdf	4827.000000	474	9999-12-31	2013-05-08	5067
6407/7-2	GEOCHEMICAL INFORMATION	1017_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1017_1.pdf	pdf	331.000000	1017	9999-12-31	2013-05-08	5068
6407/7-2	GEOCHEMICAL INFORMATION	1017_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1017_2.pdf	pdf	2405.000000	1017	9999-12-31	2013-05-08	5069
6407/7-2	GEOCHEMICAL INFORMATION	1017_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1017_3.pdf	pdf	13209.000000	1017	9999-12-31	2013-05-08	5070
6407/7-2	GEOCHEMICAL INFORMATION	1017_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1017_4.pdf	pdf	1276.000000	1017	9999-12-31	2013-05-08	5071
6407/7-2	OLD NPD WDSS	1017_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1017_01_WDSS_General_Information.pdf	pdf	451.000000	1017	9999-12-31	2013-05-08	5072
6407/7-2	OLD NPD WDSS	1017_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1017_02_WDSS_completion_log.pdf	pdf	263.000000	1017	9999-12-31	2013-05-08	5073
6407/7-2	REPORTED BY LICENSEE	1017_01_6407_7_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1017_01_6407_7_2_Completion_report.pdf	pdf	9409.000000	1017	9999-12-31	2013-05-08	5074
6407/7-2	REPORTED BY LICENSEE	1017_02_6407_7_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1017_02_6407_7_2_Completion_log.pdf	pdf	9099.000000	1017	9999-12-31	2013-05-08	5075
6407/7-3	GEOCHEMICAL INFORMATION	1229_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1229_1.pdf	pdf	314.000000	1229	9999-12-31	2013-05-08	5076
6407/7-3	GEOCHEMICAL INFORMATION	1229_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1229_2.pdf	pdf	2462.000000	1229	9999-12-31	2013-05-08	5077
6407/7-3	OLD NPD WDSS	1229_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1229_01_WDSS_General_Information.pdf	pdf	559.000000	1229	9999-12-31	2013-05-08	5078
6407/7-3	OLD NPD WDSS	1229_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1229_02_WDSS_completion_log.pdf	pdf	246.000000	1229	9999-12-31	2013-05-08	5079
6407/7-3	REPORTED BY LICENSEE	1229_01_6407_7_3_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1229_01_6407_7_3_Completion_report.pdf	pdf	10133.000000	1229	9999-12-31	2013-05-08	5080
6407/7-3	REPORTED BY LICENSEE	1229_02_6407_7_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1229_02_6407_7_3_Completion_log.pdf	pdf	4684.000000	1229	9999-12-31	2013-05-08	5081
6407/7-4	GEOCHEMICAL INFORMATION	1360_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1360_1.pdf	pdf	339.000000	1360	9999-12-31	2013-05-08	5082
6407/7-4	GEOCHEMICAL INFORMATION	1360_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1360_2.pdf	pdf	188.000000	1360	9999-12-31	2013-05-08	5083
6407/7-4	OLD NPD WDSS	1360_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1360_01_WDSS_General_Information.pdf	pdf	271.000000	1360	9999-12-31	2013-05-08	5084
6407/7-4	OLD NPD WDSS	1360_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1360_02_WDSS_completion_log.pdf	pdf	164.000000	1360	9999-12-31	2013-05-08	5085
6407/7-5	GEOCHEMICAL INFORMATION	1699_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1699_1.pdf	pdf	162.000000	1699	9999-12-31	2013-05-08	5086
6407/7-5	GEOCHEMICAL INFORMATION	1699_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1699_2.pdf	pdf	1297.000000	1699	9999-12-31	2013-05-08	5087
6407/7-5	OLD NPD WDSS	1699_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1699_01_WDSS_General_Information.pdf	pdf	502.000000	1699	9999-12-31	2013-05-08	5088
6407/7-5	OLD NPD WDSS	1699_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1699_02_WDSS_completion_log.pdf	pdf	174.000000	1699	9999-12-31	2013-05-08	5089
6407/7-6	COMPOSITE LOG	4172	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4172.pdf	pdf	461.000000	4172	9999-12-31	2013-05-08	5090
6407/7-6	GEOCHEMICAL INFORMATION	4172_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4172_1.pdf	pdf	1880.000000	4172	9999-12-31	2013-05-08	5091
6407/7-6	GEOCHEMICAL INFORMATION	4172_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4172_2.pdf	pdf	1670.000000	4172	9999-12-31	2013-05-08	5092
6407/7-7 S	GEOCHEMICAL INFORMATION	5550_01_6407_7_7S_gch_ transfer _1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5550_01_6407_7_7S_gch_ transfer _1.txt	txt	0.000000	5550	9999-12-31	2013-05-08	5093
6407/7-7 S	GEOCHEMICAL INFORMATION	5550_02_6407_7_7S_gch_ results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5550_02_6407_7_7S_gch_ results_1.txt	txt	7.000000	5550	9999-12-31	2013-05-08	5094
6407/7-7 S	GEOCHEMICAL INFORMATION	5550_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5550_1.pdf	pdf	265.000000	5550	9999-12-31	2013-05-08	5095
6407/7-7 S	GEOCHEMICAL INFORMATION	5550_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5550_2.pdf	pdf	2320.000000	5550	9999-12-31	2013-05-08	5096
6407/8-1	COMPOSITE LOG	1859	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1859.pdf	pdf	477.000000	1859	9999-12-31	2013-05-08	5097
6407/8-1	OLD NPD WDSS	1859_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1859_01_WDSS_General_Information.pdf	pdf	454.000000	1859	9999-12-31	2013-05-08	5098
6407/8-1	OLD NPD WDSS	1859_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1859_02_WDSS_completion_log.pdf	pdf	233.000000	1859	9999-12-31	2013-05-08	5099
6407/8-2	COMPOSITE LOG	2434	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2434.pdf	pdf	211.000000	2434	9999-12-31	2013-05-08	5100
6407/8-2	GEOCHEMICAL INFORMATION	2434_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2434_1.pdf	pdf	1810.000000	2434	9999-12-31	2013-05-08	5101
6407/8-2	GEOCHEMICAL INFORMATION	2434_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2434_2.pdf	pdf	1604.000000	2434	9999-12-31	2013-05-08	5102
6407/8-3	COMPOSITE LOG	3092	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3092.pdf	pdf	220.000000	3092	9999-12-31	2013-05-08	5103
6407/8-3	GEOCHEMICAL INFORMATION	3092_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3092_1.pdf	pdf	1463.000000	3092	9999-12-31	2013-05-08	5104
6407/8-4 A	GEOCHEMICAL INFORMATION	5814_01_6407_8_4A_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5814_01_6407_8_4A_gch_transfer_1.txt	txt	0.000000	5814	9999-12-31	2013-05-08	5105
6407/8-4 A	GEOCHEMICAL INFORMATION	5814_02_6407_8_4A_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5814_02_6407_8_4A_gch_results_1.txt	txt	94.000000	5814	9999-12-31	2013-05-08	5106
6407/8-4 S	GEOCHEMICAL INFORMATION	5813_01_6407_8_4S_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5813_01_6407_8_4S_gch_transfer_1.txt	txt	0.000000	5813	9999-12-31	2013-05-08	5107
6407/8-4 S	GEOCHEMICAL INFORMATION	5813_02_6407_8_4S_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5813_02_6407_8_4S_gch_results_1.txt	txt	68.000000	5813	9999-12-31	2013-05-08	5108
6407/8-5 A	COMPOSITE LOG	6153	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/6153.pdf	pdf	410.000000	6153	2013-05-01	2013-05-08	5109
6407/8-5 S	COMPOSITE LOG	6110	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/6110.pdf	pdf	422.000000	6110	2013-05-01	2013-05-08	5110
6407/9-1	COMPOSITE LOG	133	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/133.pdf	pdf	494.000000	133	9999-12-31	2013-05-08	5111
6407/9-1	GEOCHEMICAL INFORMATION	133_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/133_1.pdf	pdf	812.000000	133	9999-12-31	2013-05-08	5112
6407/9-1	GEOCHEMICAL INFORMATION	133_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/133_2.pdf	pdf	1151.000000	133	9999-12-31	2013-05-08	5113
6407/9-1	GEOCHEMICAL INFORMATION	133_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/133_3.pdf	pdf	850.000000	133	9999-12-31	2013-05-08	5114
6407/9-1	GEOCHEMICAL INFORMATION	133_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/133_4.pdf	pdf	409.000000	133	9999-12-31	2013-05-08	5115
6407/9-1	OLD NPD WDSS	133_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/133_01_WDSS_General_Information.pdf	pdf	238.000000	133	9999-12-31	2013-05-08	5116
6407/9-1	OLD NPD WDSS	133_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/133_02_WDSS_completion_log.pdf	pdf	233.000000	133	9999-12-31	2013-05-08	5117
6407/9-1	REPORTED BY LICENSEE	133_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/133_01_Completion_Report.pdf	pdf	11088.000000	133	9999-12-31	2013-05-08	5118
6407/9-1	REPORTED BY LICENSEE	133_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/133_02_Completion_log.pdf	pdf	1232.000000	133	9999-12-31	2013-05-08	5119
6407/9-1	REPORTED BY LICENSEE	133_03_Well_Testing_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/133_03_Well_Testing_Report.pdf	pdf	26942.000000	133	9999-12-31	2013-05-08	5120
6407/9-1	REPORTED BY LICENSEE	133_04_Biostratigraphy_of_the_tertiarycretaceous_interval	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/133_04_Biostratigraphy_of_the_tertiarycretaceous_interval.pdf	pdf	2941.000000	133	9999-12-31	2013-05-08	5121
6407/9-1	REPORTED BY LICENSEE	133_05_Grain_size_distribution	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/133_05_Grain_size_distribution.pdf	pdf	444.000000	133	9999-12-31	2013-05-08	5122
6407/9-1	REPORTED BY LICENSEE	133_06_Palynological_results	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/133_06_Palynological_results.pdf	pdf	4200.000000	133	9999-12-31	2013-05-08	5123
6407/9-1	REPORTED BY LICENSEE	133_07_Reservoir_fluid_study_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/133_07_Reservoir_fluid_study_1.pdf	pdf	1094.000000	133	9999-12-31	2013-05-08	5124
6407/9-1	REPORTED BY LICENSEE	133_08_Reservoir_fluid_study_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/133_08_Reservoir_fluid_study_2.pdf	pdf	1136.000000	133	9999-12-31	2013-05-08	5125
6407/9-1	REPORTED BY LICENSEE	133_09_Water_analysis_and_compositional_analysis_of_suspended_solids	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/133_09_Water_analysis_and_compositional_analysis_of_suspended_solids.pdf	pdf	327.000000	133	9999-12-31	2013-05-08	5126
6407/9-1	REPORTED BY LICENSEE	133_10_Water_analysis_and_compositional_analysis_of_suspended_solids	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/133_10_Water_analysis_and_compositional_analysis_of_suspended_solids.pdf	pdf	327.000000	133	9999-12-31	2013-05-08	5127
6407/9-2	COMPOSITE LOG	449	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/449.pdf	pdf	320.000000	449	9999-12-31	2013-05-08	5128
6407/9-2	GEOCHEMICAL INFORMATION	449_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/449_1.pdf	pdf	515.000000	449	9999-12-31	2013-05-08	5129
6407/9-2	OLD NPD WDSS	449_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/449_01_WDSS_General_Information.pdf	pdf	291.000000	449	9999-12-31	2013-05-08	5130
6407/9-2	OLD NPD WDSS	449_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/449_02_WDSS_completion_log.pdf	pdf	150.000000	449	9999-12-31	2013-05-08	5131
6407/9-2	REPORTED BY LICENSEE	449_01_Well_resume	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/449_01_Well_resume.pdf	pdf	5142.000000	449	9999-12-31	2013-05-08	5132
6407/9-2	REPORTED BY LICENSEE	449_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/449_02_Completion_log.pdf	pdf	966.000000	449	9999-12-31	2013-05-08	5133
6407/9-3	COMPOSITE LOG	469	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/469.pdf	pdf	415.000000	469	9999-12-31	2013-05-08	5134
6407/9-3	GEOCHEMICAL INFORMATION	469_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/469_1.pdf	pdf	1329.000000	469	9999-12-31	2013-05-08	5135
6407/9-3	OLD NPD WDSS	469_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/469_01_WDSS_General_Information.pdf	pdf	322.000000	469	9999-12-31	2013-05-08	5136
6407/9-3	OLD NPD WDSS	469_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/469_02_WDSS_completion_log.pdf	pdf	155.000000	469	9999-12-31	2013-05-08	5137
6407/9-3	REPORTED BY LICENSEE	469_01_Well_resume	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/469_01_Well_resume.pdf	pdf	5936.000000	469	9999-12-31	2013-05-08	5138
6407/9-3	REPORTED BY LICENSEE	469_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/469_02_Completion_log.pdf	pdf	882.000000	469	9999-12-31	2013-05-08	5139
6407/9-4	COMPOSITE LOG	480	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/480.pdf	pdf	364.000000	480	9999-12-31	2013-05-08	5140
6407/9-4	GEOCHEMICAL INFORMATION	480_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/480_1.pdf	pdf	142.000000	480	9999-12-31	2013-05-08	5141
6407/9-4	GEOCHEMICAL INFORMATION	480_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/480_2.pdf	pdf	1189.000000	480	9999-12-31	2013-05-08	5142
6407/9-4	GEOCHEMICAL INFORMATION	480_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/480_3.pdf	pdf	373.000000	480	9999-12-31	2013-05-08	5143
6407/9-4	OLD NPD WDSS	480_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/480_01_WDSS_General_Information.pdf	pdf	295.000000	480	9999-12-31	2013-05-08	5144
6407/9-4	OLD NPD WDSS	480_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/480_02_WDSS_completion_log.pdf	pdf	143.000000	480	9999-12-31	2013-05-08	5145
6407/9-4	REPORTED BY LICENSEE	480_01_6407_9_4_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/480_01_6407_9_4_Completion_Report.pdf	pdf	17788.000000	480	9999-12-31	2013-05-08	5146
6407/9-4	REPORTED BY LICENSEE	480_02_6407_9_4_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/480_02_6407_9_4_Completion_log.pdf	pdf	1005.000000	480	9999-12-31	2013-05-08	5147
6407/9-5	COMPOSITE LOG	492	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/492.pdf	pdf	344.000000	492	9999-12-31	2013-05-08	5148
6407/9-5	GEOCHEMICAL INFORMATION	492_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/492_1.pdf	pdf	1269.000000	492	9999-12-31	2013-05-08	5149
6407/9-5	GEOCHEMICAL INFORMATION	492_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/492_2.pdf	pdf	188.000000	492	9999-12-31	2013-05-08	5150
6407/9-5	GEOCHEMICAL INFORMATION	492_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/492_3.pdf	pdf	476.000000	492	9999-12-31	2013-05-08	5151
6407/9-5	OLD NPD WDSS	492_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/492_01_WDSS_General_Information.pdf	pdf	259.000000	492	9999-12-31	2013-05-08	5152
6407/9-5	OLD NPD WDSS	492_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/492_02_WDSS_completion_log.pdf	pdf	141.000000	492	9999-12-31	2013-05-08	5153
6407/9-5	REPORTED BY LICENSEE	492_01_6407_9_5_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/492_01_6407_9_5_Completion_report.pdf	pdf	5161.000000	492	9999-12-31	2013-05-08	5154
6407/9-5	REPORTED BY LICENSEE	492_02_6407_9_5_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/492_02_6407_9_5_Completion_log.pdf	pdf	916.000000	492	9999-12-31	2013-05-08	5155
6407/9-6	COMPOSITE LOG	871	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/871.pdf	pdf	254.000000	871	9999-12-31	2013-05-08	5156
6407/9-6	GEOCHEMICAL INFORMATION	871_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/871_1.pdf	pdf	746.000000	871	9999-12-31	2013-05-08	5157
6407/9-6	OLD NPD WDSS	871_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/871_01_WDSS_General_Information.pdf	pdf	271.000000	871	9999-12-31	2013-05-08	5158
6407/9-6	OLD NPD WDSS	871_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/871_02_WDSS_completion_log.pdf	pdf	165.000000	871	9999-12-31	2013-05-08	5159
6407/9-6	REPORTED BY LICENSEE	871_01_Well_resume	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/871_01_Well_resume.pdf	pdf	8932.000000	871	9999-12-31	2013-05-08	5160
6407/9-6	REPORTED BY LICENSEE	871_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/871_02_Completion_log.pdf	pdf	818.000000	871	9999-12-31	2013-05-08	5161
6407/9-7	COMPOSITE LOG	1057	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1057.pdf	pdf	375.000000	1057	9999-12-31	2013-05-08	5162
6407/9-7	GEOCHEMICAL INFORMATION	1057_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1057_1.pdf	pdf	2662.000000	1057	9999-12-31	2013-05-08	5163
6407/9-7	OLD NPD WDSS	1057_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1057_01_WDSS_General_Information.pdf	pdf	185.000000	1057	9999-12-31	2013-05-08	5164
6407/9-7	OLD NPD WDSS	1057_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1057_02_WDSS_completion_log.pdf	pdf	171.000000	1057	9999-12-31	2013-05-08	5165
6407/9-8	COMPOSITE LOG	1974	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1974.pdf	pdf	476.000000	1974	9999-12-31	2013-05-08	5166
6407/9-8	GEOCHEMICAL INFORMATION	1974_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1974_1.pdf	pdf	4382.000000	1974	9999-12-31	2013-05-08	5167
6407/9-8	OLD NPD WDSS	1974_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1974_01_WDSS_General_Information.pdf	pdf	455.000000	1974	9999-12-31	2013-05-08	5168
6407/9-8	OLD NPD WDSS	1974_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1974_02_WDSS_completion_log.pdf	pdf	150.000000	1974	9999-12-31	2013-05-08	5169
6407/9-9	COMPOSITE LOG	1990	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1990.pdf	pdf	143.000000	1990	9999-12-31	2013-05-08	5170
6407/9-9	GEOCHEMICAL INFORMATION	1990_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1990_1.pdf	pdf	1840.000000	1990	9999-12-31	2013-05-08	5171
6408/4-1	COMPOSITE LOG	1246	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1246.pdf	pdf	313.000000	1246	9999-12-31	2013-05-08	5172
6408/4-1	OLD NPD WDSS	1246_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1246_01_WDSS_General_Information.pdf	pdf	408.000000	1246	9999-12-31	2013-05-08	5173
6408/4-1	OLD NPD WDSS	1246_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1246_02_WDSS_completion_log.pdf	pdf	195.000000	1246	9999-12-31	2013-05-08	5174
6504/5-1 S	COMPOSITE LOG	5518	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5518.pdf	pdf	519.000000	5518	2013-05-01	2013-05-08	5175
6505/10-1	COMPOSITE LOG	3259	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3259.pdf	pdf	850.000000	3259	9999-12-31	2013-05-08	5176
6505/10-1	GEOCHEMICAL INFORMATION	3259_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3259_1.pdf	pdf	1143.000000	3259	9999-12-31	2013-05-08	5177
6506/11-1	COMPOSITE LOG	1216	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1216.pdf	pdf	764.000000	1216	9999-12-31	2013-05-08	5178
6506/11-1	GEOCHEMICAL INFORMATION	1216_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1216_1.pdf	pdf	596.000000	1216	9999-12-31	2013-05-08	5179
6506/11-1	OLD NPD WDSS	1216_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1216_01_WDSS_General_Information.pdf	pdf	250.000000	1216	9999-12-31	2013-05-08	5180
6506/11-1	OLD NPD WDSS	1216_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1216_02_WDSS_completion_log.pdf	pdf	309.000000	1216	9999-12-31	2013-05-08	5181
6506/11-2	COMPOSITE LOG	1754	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1754.pdf	pdf	1004.000000	1754	2013-05-01	2013-05-08	5182
6506/11-2	GEOCHEMICAL INFORMATION	1754_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1754_1.pdf	pdf	521.000000	1754	9999-12-31	2013-05-08	5183
6506/11-2	GEOCHEMICAL INFORMATION	1754_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1754_2.pdf	pdf	2796.000000	1754	9999-12-31	2013-05-08	5184
6506/11-2	GEOCHEMICAL INFORMATION	1754_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1754_3.pdf	pdf	109.000000	1754	9999-12-31	2013-05-08	5185
6506/11-2	OLD NPD WDSS	1754_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1754_01_WDSS_General_Information.pdf	pdf	721.000000	1754	9999-12-31	2013-05-08	5186
6506/11-2	OLD NPD WDSS	1754_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1754_02_WDSS_completion_log.pdf	pdf	241.000000	1754	9999-12-31	2013-05-08	5187
6506/11-3	COMPOSITE LOG	1973	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1973.pdf	pdf	570.000000	1973	9999-12-31	2013-05-08	5188
6506/11-3	GEOCHEMICAL INFORMATION	1973_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1973_1.pdf	pdf	520.000000	1973	9999-12-31	2013-05-08	5189
6506/11-3	GEOCHEMICAL INFORMATION	1973_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1973_2.pdf	pdf	19317.000000	1973	9999-12-31	2013-05-08	5190
6506/11-3	OLD NPD WDSS	1973_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1973_01_WDSS_General_Information.pdf	pdf	618.000000	1973	9999-12-31	2013-05-08	5191
6506/11-3	OLD NPD WDSS	1973_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1973_02_WDSS_completion_log.pdf	pdf	236.000000	1973	9999-12-31	2013-05-08	5192
6506/11-4 S	COMPOSITE LOG	2736	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2736.pdf	pdf	586.000000	2736	2013-01-22	2013-05-08	5193
6506/11-4 S	GEOCHEMICAL INFORMATION	2736_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2736_1.pdf	pdf	4204.000000	2736	9999-12-31	2013-05-08	5194
6506/11-5 S	COMPOSITE LOG	2794	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2794.pdf	pdf	472.000000	2794	9999-12-31	2013-05-08	5195
6506/11-5 S	GEOCHEMICAL INFORMATION	2794_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2794_1.pdf	pdf	1158.000000	2794	9999-12-31	2013-05-08	5196
6506/11-6	COMPOSITE LOG	3306	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3306.pdf	pdf	694.000000	3306	9999-12-31	2013-05-08	5197
6506/11-6	GEOCHEMICAL INFORMATION	3306_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3306_1.pdf	pdf	3653.000000	3306	9999-12-31	2013-05-08	5198
6506/11-7	COMPOSITE LOG	3322	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3322.pdf	pdf	630.000000	3322	9999-12-31	2013-05-08	5199
6506/11-7	GEOCHEMICAL INFORMATION	3322_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3322_1.pdf	pdf	6252.000000	3322	9999-12-31	2013-05-08	5200
6506/12-1	COMPOSITE LOG	1004	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1004.pdf	pdf	1070.000000	1004	9999-12-31	2013-05-08	5201
6506/12-1	GEOCHEMICAL INFORMATION	1004_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1004_1.pdf	pdf	2384.000000	1004	9999-12-31	2013-05-08	5202
6506/12-1	OLD NPD WDSS	1004_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1004_01_WDSS_General_Information.pdf	pdf	334.000000	1004	9999-12-31	2013-05-08	5203
6506/12-1	OLD NPD WDSS	1004_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1004_02_WDSS_completion_log.pdf	pdf	350.000000	1004	9999-12-31	2013-05-08	5204
6506/12-1	REPORTED BY LICENSEE	1004_01_Completionreport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1004_01_Completionreport.pdf	pdf	21309.000000	1004	9999-12-31	2013-05-08	5205
6506/12-1	REPORTED BY LICENSEE	1004_02_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1004_02_Completionlog.pdf	pdf	3506.000000	1004	9999-12-31	2013-05-08	5206
6506/12-10	COMPOSITE LOG	2445	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2445.pdf	pdf	595.000000	2445	9999-12-31	2013-05-08	5207
6506/12-10	GEOCHEMICAL INFORMATION	2445_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2445_1.pdf	pdf	1187.000000	2445	9999-12-31	2013-05-08	5208
6506/12-10	GEOCHEMICAL INFORMATION	2445_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2445_2.pdf	pdf	1122.000000	2445	9999-12-31	2013-05-08	5209
6506/12-10 A	COMPOSITE LOG	2610	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2610.pdf	pdf	455.000000	2610	9999-12-31	2013-05-08	5210
6506/12-10 A	GEOCHEMICAL INFORMATION	2610_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2610_1.pdf	pdf	1187.000000	2610	9999-12-31	2013-05-08	5211
6506/12-10 A	GEOCHEMICAL INFORMATION	2610_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2610_2.pdf	pdf	1122.000000	2610	9999-12-31	2013-05-08	5212
6506/12-11 S	COMPOSITE LOG	2795	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2795.pdf	pdf	605.000000	2795	9999-12-31	2013-05-08	5213
6506/12-11 S	GEOCHEMICAL INFORMATION	2795_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2795_1.pdf	pdf	1003.000000	2795	9999-12-31	2013-05-08	5214
6506/12-2	OLD NPD WDSS	462_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/462_01_WDSS_General_Information.pdf	pdf	199.000000	462	9999-12-31	2013-05-08	5215
6506/12-2	OLD NPD WDSS	462_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/462_02_WDSS_completion_log.pdf	pdf	112.000000	462	9999-12-31	2013-05-08	5216
6506/12-2	REPORTED BY LICENSEE	462_01_6506_12_2_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/462_01_6506_12_2_Completion_report.pdf	pdf	3685.000000	462	9999-12-31	2013-05-08	5217
6506/12-2	REPORTED BY LICENSEE	462_02_6506_12_2_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/462_02_6506_12_2_Completion_log.pdf	pdf	504.000000	462	9999-12-31	2013-05-08	5218
6506/12-3	GEOCHEMICAL INFORMATION	468_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/468_1.pdf	pdf	875.000000	468	9999-12-31	2013-05-08	5219
6506/12-3	GEOCHEMICAL INFORMATION	468_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/468_2.pdf	pdf	539.000000	468	9999-12-31	2013-05-08	5220
6506/12-3	GEOCHEMICAL INFORMATION	468_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/468_3.pdf	pdf	4685.000000	468	9999-12-31	2013-05-08	5221
6506/12-3	GEOCHEMICAL INFORMATION	468_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/468_4.pdf	pdf	1161.000000	468	9999-12-31	2013-05-08	5222
6506/12-3	GEOCHEMICAL INFORMATION	468_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/468_5.pdf	pdf	4995.000000	468	9999-12-31	2013-05-08	5223
6506/12-3	GEOCHEMICAL INFORMATION	468_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/468_6.pdf	pdf	153.000000	468	9999-12-31	2013-05-08	5224
6506/12-3	OLD NPD WDSS	468_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/468_01_WDSS_General_Information.pdf	pdf	312.000000	468	9999-12-31	2013-05-08	5225
6506/12-3	OLD NPD WDSS	468_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/468_02_WDSS_completion_log.pdf	pdf	309.000000	468	9999-12-31	2013-05-08	5226
6506/12-3	REPORTED BY LICENSEE	468_01_6506_12_3_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/468_01_6506_12_3_Completion_report.pdf	pdf	23721.000000	468	9999-12-31	2013-05-08	5227
6506/12-3	REPORTED BY LICENSEE	468_02_6506_12_3_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/468_02_6506_12_3_Completion_log.pdf	pdf	2727.000000	468	9999-12-31	2013-05-08	5228
6506/12-4	COMPOSITE LOG	475	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/475.pdf	pdf	758.000000	475	9999-12-31	2013-05-08	5229
6506/12-4	GEOCHEMICAL INFORMATION	475_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/475_1.pdf	pdf	4800.000000	475	9999-12-31	2013-05-08	5230
6506/12-4	OLD NPD WDSS	475_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/475_01_WDSS_General_Information.pdf	pdf	300.000000	475	9999-12-31	2013-05-08	5231
6506/12-4	OLD NPD WDSS	475_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/475_02_WDSS_completion_log.pdf	pdf	311.000000	475	9999-12-31	2013-05-08	5232
6506/12-5	GEOCHEMICAL INFORMATION	852_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/852_1.pdf	pdf	644.000000	852	9999-12-31	2013-05-08	5233
6506/12-5	GEOCHEMICAL INFORMATION	852_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/852_2.pdf	pdf	7988.000000	852	9999-12-31	2013-05-08	5234
6506/12-5	GEOCHEMICAL INFORMATION	852_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/852_3.pdf	pdf	581.000000	852	9999-12-31	2013-05-08	5235
6506/12-5	GEOCHEMICAL INFORMATION	852_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/852_4.pdf	pdf	4884.000000	852	9999-12-31	2013-05-08	5236
6506/12-5	GEOCHEMICAL INFORMATION	852_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/852_5.pdf	pdf	14835.000000	852	9999-12-31	2013-05-08	5237
6506/12-5	GEOCHEMICAL INFORMATION	852_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/852_6.pdf	pdf	91.000000	852	9999-12-31	2013-05-08	5238
6506/12-5	OLD NPD WDSS	852_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/852_01_WDSS_General_Information.pdf	pdf	303.000000	852	9999-12-31	2013-05-08	5239
6506/12-5	REPORTED BY LICENSEE	852_01_6506_12_5_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/852_01_6506_12_5_Completion_report.pdf	pdf	3083.000000	852	9999-12-31	2013-05-08	5240
6506/12-5	REPORTED BY LICENSEE	852_02_6506_12_5_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/852_02_6506_12_5_Completion_log.pdf	pdf	3207.000000	852	9999-12-31	2013-05-08	5241
6506/12-6	COMPOSITE LOG	1342	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1342.pdf	pdf	632.000000	1342	9999-12-31	2013-05-08	5242
6506/12-6	GEOCHEMICAL INFORMATION	1342_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1342_1.pdf	pdf	5089.000000	1342	9999-12-31	2013-05-08	5243
6506/12-6	OLD NPD WDSS	1342_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1342_01_WDSS_General_Information.pdf	pdf	295.000000	1342	9999-12-31	2013-05-08	5244
6506/12-6	OLD NPD WDSS	1342_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1342_02_WDSS_completion_log.pdf	pdf	323.000000	1342	9999-12-31	2013-05-08	5245
6506/12-7	COMPOSITE LOG	300	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/300.pdf	pdf	772.000000	300	2013-01-22	2013-05-08	5246
6506/12-7	GEOCHEMICAL INFORMATION	300_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/300_1.pdf	pdf	116.000000	300	9999-12-31	2013-05-08	5247
6506/12-7	GEOCHEMICAL INFORMATION	300_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/300_2.pdf	pdf	2464.000000	300	9999-12-31	2013-05-08	5248
6506/12-7	GEOCHEMICAL INFORMATION	300_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/300_3.pdf	pdf	157.000000	300	9999-12-31	2013-05-08	5249
6506/12-7	GEOCHEMICAL INFORMATION	300_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/300_4.pdf	pdf	412.000000	300	9999-12-31	2013-05-08	5250
6506/12-7	OLD NPD WDSS	300_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/300_01_WDSS_General_Information.pdf	pdf	439.000000	300	9999-12-31	2013-05-08	5251
6506/12-7	OLD NPD WDSS	300_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/300_02_WDSS_completion_log.pdf	pdf	371.000000	300	9999-12-31	2013-05-08	5252
6506/12-8	GEOCHEMICAL INFORMATION	1068_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1068_1.pdf	pdf	272.000000	1068	9999-12-31	2013-05-08	5253
6506/12-8	GEOCHEMICAL INFORMATION	1068_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1068_2.pdf	pdf	2237.000000	1068	9999-12-31	2013-05-08	5254
6506/12-8	GEOCHEMICAL INFORMATION	1068_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1068_3.pdf	pdf	2245.000000	1068	9999-12-31	2013-05-08	5255
6506/12-8	GEOCHEMICAL INFORMATION	1068_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1068_4.pdf	pdf	190.000000	1068	9999-12-31	2013-05-08	5256
6506/12-8	OLD NPD WDSS	1068_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1068_01_WDSS_General_Information.pdf	pdf	254.000000	1068	9999-12-31	2013-05-08	5257
6506/12-8	OLD NPD WDSS	1068_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1068_02_WDSS_completion_log.pdf	pdf	269.000000	1068	9999-12-31	2013-05-08	5258
6506/12-9 S	COMPOSITE LOG	2128	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2128.pdf	pdf	634.000000	2128	9999-12-31	2013-05-08	5259
6506/12-9 S	GEOCHEMICAL INFORMATION	2128_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2128_1.pdf	pdf	1857.000000	2128	9999-12-31	2013-05-08	5260
6506/12-9 S	GEOCHEMICAL INFORMATION	2128_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2128_2.pdf	pdf	1594.000000	2128	9999-12-31	2013-05-08	5261
6506/12-9 S	GEOCHEMICAL INFORMATION	2128_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2128_3.pdf	pdf	946.000000	2128	9999-12-31	2013-05-08	5262
6506/3-1	COMPOSITE LOG	4344	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4344.pdf	pdf	515.000000	4344	9999-12-31	2013-05-08	5263
6506/6-1	COMPOSITE LOG	4122	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4122.pdf	pdf	687.000000	4122	9999-12-31	2013-05-08	5264
6506/6-1	GEOCHEMICAL INFORMATION	4122_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4122_1.pdf	pdf	1911.000000	4122	9999-12-31	2013-05-08	5265
6506/6-1	GEOCHEMICAL INFORMATION	4122_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4122_2.pdf	pdf	1987.000000	4122	9999-12-31	2013-05-08	5266
6506/6-1	GEOCHEMICAL INFORMATION	4122_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4122_3.pdf	pdf	1867.000000	4122	9999-12-31	2013-05-08	5267
6506/6-1	GEOCHEMICAL INFORMATION	4122_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4122_4.pdf	pdf	1500.000000	4122	9999-12-31	2013-05-08	5268
6506/6-1	GEOCHEMICAL INFORMATION	4122_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4122_5.pdf	pdf	719.000000	4122	9999-12-31	2013-05-08	5269
6506/9-2 S	GEOCHEMICAL INFORMATION	6332_01_6506_9_2S_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6332_01_6506_9_2S_gch_transfer_1.txt	txt	0.000000	6332	2012-08-10	2013-05-08	5270
6506/9-2 S	GEOCHEMICAL INFORMATION	6332_02_6506_9_2S_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6332_02_6506_9_2S_gch_results_1.txt	txt	58.000000	6332	2012-08-10	2013-05-08	5271
6507/10-1	COMPOSITE LOG	81	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/81.pdf	pdf	629.000000	81	9999-12-31	2013-05-08	5272
6507/10-1	GEOCHEMICAL INFORMATION	81_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/81_1.pdf	pdf	219.000000	81	9999-12-31	2013-05-08	5273
6507/10-1	GEOCHEMICAL INFORMATION	81_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/81_2.pdf	pdf	278.000000	81	9999-12-31	2013-05-08	5274
6507/10-1	GEOCHEMICAL INFORMATION	81_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/81_3.pdf	pdf	1207.000000	81	9999-12-31	2013-05-08	5275
6507/10-1	GEOCHEMICAL INFORMATION	81_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/81_4.pdf	pdf	1534.000000	81	9999-12-31	2013-05-08	5276
6507/10-1	OLD NPD WDSS	81_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/81_01_WDSS_General_Information.pdf	pdf	167.000000	81	9999-12-31	2013-05-08	5277
6507/10-1	OLD NPD WDSS	81_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/81_02_WDSS_completion_log.pdf	pdf	230.000000	81	9999-12-31	2013-05-08	5278
6507/10-1	REPORTED BY LICENSEE	81_01_Geological_CompletionReport_&_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_01_Geological_CompletionReport_&_Completionlog.pdf	pdf	14425.000000	81	9999-12-31	2013-05-08	5279
6507/10-1	REPORTED BY LICENSEE	81_02_Engineering_CompletionReport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_02_Engineering_CompletionReport.pdf	pdf	1516.000000	81	9999-12-31	2013-05-08	5280
6507/10-1	REPORTED BY LICENSEE	81_03_Drilling_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_03_Drilling_Completion_Report.pdf	pdf	33042.000000	81	9999-12-31	2013-05-08	5281
6507/10-1	REPORTED BY LICENSEE	81_04_Depositional_Environments_and_Reservoir_Potential	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_04_Depositional_Environments_and_Reservoir_Potential.pdf	pdf	34004.000000	81	9999-12-31	2013-05-08	5282
6507/10-1	REPORTED BY LICENSEE	81_05_Final_core_report_1-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_05_Final_core_report_1-2.pdf	pdf	319.000000	81	9999-12-31	2013-05-08	5283
6507/10-1	REPORTED BY LICENSEE	81_06_Geochemical_analysis_of_four_jurassic_core	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_06_Geochemical_analysis_of_four_jurassic_core.pdf	pdf	557.000000	81	9999-12-31	2013-05-08	5284
6507/10-1	REPORTED BY LICENSEE	81_07_Geochemical_analysis_of_sediments	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_07_Geochemical_analysis_of_sediments.pdf	pdf	2212.000000	81	9999-12-31	2013-05-08	5285
6507/10-1	REPORTED BY LICENSEE	81_08_Geological_evaluation_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_08_Geological_evaluation_report.pdf	pdf	19926.000000	81	9999-12-31	2013-05-08	5286
6507/10-1	REPORTED BY LICENSEE	81_09_Petrophysical_study_of_norwegian_offshore	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_09_Petrophysical_study_of_norwegian_offshore.pdf	pdf	12260.000000	81	9999-12-31	2013-05-08	5287
6507/10-1	REPORTED BY LICENSEE	81_10_Petrophysical_study_Appendix	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_10_Petrophysical_study_Appendix.pdf	pdf	32840.000000	81	9999-12-31	2013-05-08	5288
6507/10-1	REPORTED BY LICENSEE	81_11_Pressure_evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_11_Pressure_evaluation.pdf	pdf	73692.000000	81	9999-12-31	2013-05-08	5289
6507/10-1	REPORTED BY LICENSEE	81_12_Stratigraphy_branch	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_12_Stratigraphy_branch.pdf	pdf	16621.000000	81	9999-12-31	2013-05-08	5290
6507/10-1	REPORTED BY LICENSEE	81_13_The_clay_mineral_analysis_of_twenty_seven	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_13_The_clay_mineral_analysis_of_twenty_seven.pdf	pdf	1077.000000	81	9999-12-31	2013-05-08	5291
6507/10-1	REPORTED BY LICENSEE	81_14_The Petroleum_Geochemistry_of_Haltenbanken	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/81_14_The Petroleum_Geochemistry_of_Haltenbanken.pdf	pdf	7687.000000	81	9999-12-31	2013-05-08	5292
6507/11-1	COMPOSITE LOG	68	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/68.pdf	pdf	469.000000	68	9999-12-31	2013-05-08	5293
6507/11-1	GEOCHEMICAL INFORMATION	68_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/68_1.pdf	pdf	733.000000	68	9999-12-31	2013-05-08	5294
6507/11-1	GEOCHEMICAL INFORMATION	68_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/68_2.pdf	pdf	4121.000000	68	9999-12-31	2013-05-08	5295
6507/11-1	OLD NPD WDSS	68_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/68_01_WDSS_General_Information.pdf	pdf	100.000000	68	9999-12-31	2013-05-08	5296
6507/11-1	OLD NPD WDSS	68_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/68_02_WDSS_completion_log.pdf	pdf	239.000000	68	9999-12-31	2013-05-08	5297
6507/11-1	REPORTED BY LICENSEE	68_01_Completionreport	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/68_01_Completionreport.pdf	pdf	8270.000000	68	9999-12-31	2013-05-08	5298
6507/11-1	REPORTED BY LICENSEE	68_02_Completionlog	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/68_02_Completionlog.pdf	pdf	2131.000000	68	9999-12-31	2013-05-08	5299
6507/11-2	GEOCHEMICAL INFORMATION	51_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/51_1.pdf	pdf	262.000000	51	9999-12-31	2013-05-08	5300
6507/11-2	GEOCHEMICAL INFORMATION	51_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/51_2.pdf	pdf	990.000000	51	9999-12-31	2013-05-08	5301
6507/11-2	GEOCHEMICAL INFORMATION	51_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/51_3.pdf	pdf	400.000000	51	9999-12-31	2013-05-08	5302
6507/11-2	GEOCHEMICAL INFORMATION	51_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/51_4.pdf	pdf	4816.000000	51	9999-12-31	2013-05-08	5303
6507/11-2	OLD NPD WDSS	51_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/51_01_WDSS_General_Information.pdf	pdf	160.000000	51	9999-12-31	2013-05-08	5304
6507/11-2	OLD NPD WDSS	51_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/51_02_WDSS_completion_log.pdf	pdf	220.000000	51	9999-12-31	2013-05-08	5305
6507/11-2	REPORTED BY LICENSEE	51_01_6507_11_2_Completion_Report_and_Composite_Well_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/51_01_6507_11_2_Completion_Report_and_Composite_Well_Log.pdf	pdf	13505.000000	51	9999-12-31	2013-05-08	5306
6507/11-3	GEOCHEMICAL INFORMATION	470_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/470_1.pdf	pdf	3565.000000	470	9999-12-31	2013-05-08	5307
6507/11-3	OLD NPD WDSS	470_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/470_01_WDSS_General_Information.pdf	pdf	294.000000	470	9999-12-31	2013-05-08	5308
6507/11-3	OLD NPD WDSS	470_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/470_02_WDSS_completion_log.pdf	pdf	214.000000	470	9999-12-31	2013-05-08	5309
6507/11-4	GEOCHEMICAL INFORMATION	1055_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1055_1.pdf	pdf	85.000000	1055	9999-12-31	2013-05-08	5310
6507/11-4	GEOCHEMICAL INFORMATION	1055_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1055_2.pdf	pdf	410.000000	1055	9999-12-31	2013-05-08	5311
6507/11-4	GEOCHEMICAL INFORMATION	1055_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1055_3.pdf	pdf	6335.000000	1055	9999-12-31	2013-05-08	5312
6507/11-4	GEOCHEMICAL INFORMATION	1055_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1055_4.pdf	pdf	722.000000	1055	9999-12-31	2013-05-08	5313
6507/11-4	OLD NPD WDSS	1055_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1055_01_WDSS_General_Information.pdf	pdf	396.000000	1055	9999-12-31	2013-05-08	5314
6507/11-4	OLD NPD WDSS	1055_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1055_02_WDSS_completion_log.pdf	pdf	255.000000	1055	9999-12-31	2013-05-08	5315
6507/11-4	REPORTED BY LICENSEE	1055_01_6507_11_4_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1055_01_6507_11_4_Completion_report.pdf	pdf	5477.000000	1055	9999-12-31	2013-05-08	5316
6507/11-4	REPORTED BY LICENSEE	1055_02_6507_11_4_COMPLETION_LOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1055_02_6507_11_4_COMPLETION_LOG.pdf	pdf	4081.000000	1055	9999-12-31	2013-05-08	5317
6507/11-6	GEOCHEMICAL INFORMATION	4321_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4321_1.pdf	pdf	2900.000000	4321	9999-12-31	2013-05-08	5318
6507/11-7	GEOCHEMICAL INFORMATION	5430_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5430_1.pdf	pdf	268.000000	5430	9999-12-31	2013-05-08	5319
6507/11-7	GEOCHEMICAL INFORMATION	5430_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5430_2.pdf	pdf	2311.000000	5430	9999-12-31	2013-05-08	5320
6507/12-1	COMPOSITE LOG	202	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/202.pdf	pdf	671.000000	202	9999-12-31	2013-05-08	5321
6507/12-1	GEOCHEMICAL INFORMATION	202_1_MATURITY_MEASUREMENTS_ON_COAL_SAMPLES_FROM_CORES_FROM_WEL_ 6507_12_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/202_1_MATURITY_MEASUREMENTS_ON_COAL_SAMPLES_FROM_CORES_FROM_WEL_ 6507_12_1.pdf	pdf	325.000000	202	9999-12-31	2013-05-08	5322
6507/12-1	GEOCHEMICAL INFORMATION	202_2_RESULTS_OF_ROCK_EVAL_PYROLYSIS_ANALYSES_OF_CUTTINGS_AND_CORE_SAMPLES_FROM_HALTENBANKEN_WELL6507_12_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/202_2_RESULTS_OF_ROCK_EVAL_PYROLYSIS_ANALYSES_OF_CUTTINGS_AND_CORE_SAMPLES_FROM_HALTENBANKEN_WELL6507_12_1.pdf	pdf	1393.000000	202	9999-12-31	2013-05-08	5323
6507/12-1	GEOCHEMICAL INFORMATION	202_3_SOURCE_ROCK_ANALYSIS_OF_WELL6507_12_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/202_3_SOURCE_ROCK_ANALYSIS_OF_WELL6507_12_1.pdf	pdf	3590.000000	202	9999-12-31	2013-05-08	5324
6507/12-1	GEOCHEMICAL INFORMATION	202_4_MATURATION_STUDY_USING_VITRINITE_REFLECTANCE_WELL6507_12_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/202_4_MATURATION_STUDY_USING_VITRINITE_REFLECTANCE_WELL6507_12_1.pdf	pdf	524.000000	202	9999-12-31	2013-05-08	5325
6507/12-1	GEOCHEMICAL INFORMATION	202_5_Source_Rock_Analysis_and_Evaluation_of_Well6507_12_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/202_5_Source_Rock_Analysis_and_Evaluation_of_Well6507_12_1.pdf	pdf	570.000000	202	9999-12-31	2013-05-08	5326
6507/12-1	GEOCHEMICAL INFORMATION	202_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/202_6.pdf	pdf	3917.000000	202	9999-12-31	2013-05-08	5327
6507/12-1	OLD NPD WDSS	202_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/202_01_WDSS_General_Information.pdf	pdf	119.000000	202	9999-12-31	2013-05-08	5328
6507/12-1	OLD NPD WDSS	202_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/202_02_WDSS_completion_log.pdf	pdf	247.000000	202	9999-12-31	2013-05-08	5329
6507/12-1	REPORTED BY LICENSEE	202_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/202_1_Completion_Report_&_Completion_log.pdf	pdf	105803.000000	202	9999-12-31	2013-05-08	5330
6507/12-2	COMPOSITE LOG	437	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/437.pdf	pdf	995.000000	437	9999-12-31	2013-05-08	5331
6507/12-2	GEOCHEMICAL INFORMATION	437_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/437_1.pdf	pdf	4857.000000	437	9999-12-31	2013-05-08	5332
6507/12-2	GEOCHEMICAL INFORMATION	437_2_GEOCHEMICAL_EVALUATION_OF_SAGA_WELL6507_12_2APPENDIX	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/437_2_GEOCHEMICAL_EVALUATION_OF_SAGA_WELL6507_12_2APPENDIX.pdf	pdf	1255.000000	437	9999-12-31	2013-05-08	5333
6507/12-2	GEOCHEMICAL INFORMATION	437_3_GEOCHEMICAL_EVALUATION_OF_SAGA_WELL6507_12_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/437_3_GEOCHEMICAL_EVALUATION_OF_SAGA_WELL6507_12_2.pdf	pdf	5656.000000	437	9999-12-31	2013-05-08	5334
6507/12-2	GEOCHEMICAL INFORMATION	437_4_PETROLEUM_GEOCHEMISTRY_REPORT_FOR_6507_12_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/437_4_PETROLEUM_GEOCHEMISTRY_REPORT_FOR_6507_12_2.pdf	pdf	1237.000000	437	9999-12-31	2013-05-08	5335
6507/12-2	GEOCHEMICAL INFORMATION	437_5_MATURATION_STUDY_USING_VITRINITE_REFLECTANCE_FOR_WELL6507_12_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/437_5_MATURATION_STUDY_USING_VITRINITE_REFLECTANCE_FOR_WELL6507_12_2.pdf	pdf	566.000000	437	9999-12-31	2013-05-08	5336
6507/12-2	GEOCHEMICAL INFORMATION	437_6_GEOCHEMICAL_STUDY_OF_ORGANIC_MATTER_IN-WELL_6507_12_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/437_6_GEOCHEMICAL_STUDY_OF_ORGANIC_MATTER_IN-WELL_6507_12_2.pdf	pdf	587.000000	437	9999-12-31	2013-05-08	5337
6507/12-2	OLD NPD WDSS	437_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/437_01_WDSS_General_Information.pdf	pdf	100.000000	437	9999-12-31	2013-05-08	5338
6507/12-2	OLD NPD WDSS	437_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/437_02_WDSS_completion_log.pdf	pdf	265.000000	437	9999-12-31	2013-05-08	5339
6507/12-3	COMPOSITE LOG	485	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/485.pdf	pdf	347.000000	485	9999-12-31	2013-05-08	5340
6507/12-3	GEOCHEMICAL INFORMATION	485_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/485_1.pdf	pdf	1175.000000	485	9999-12-31	2013-05-08	5341
6507/12-3	OLD NPD WDSS	485_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/485_01_WDSS_General_Information.pdf	pdf	280.000000	485	9999-12-31	2013-05-08	5342
6507/12-3	OLD NPD WDSS	485_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/485_02_WDSS_completion_log.pdf	pdf	229.000000	485	9999-12-31	2013-05-08	5343
6507/2-1	GEOCHEMICAL INFORMATION	911_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/911_1.pdf	pdf	199.000000	911	9999-12-31	2013-05-08	5344
6507/2-1	GEOCHEMICAL INFORMATION	911_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/911_2.pdf	pdf	1570.000000	911	9999-12-31	2013-05-08	5345
6507/2-1	GEOCHEMICAL INFORMATION	911_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/911_3.pdf	pdf	403.000000	911	9999-12-31	2013-05-08	5346
6507/2-1	OLD NPD WDSS	911_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/911_01_WDSS_General_Information.pdf	pdf	228.000000	911	9999-12-31	2013-05-08	5347
6507/2-1	OLD NPD WDSS	911_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/911_02_WDSS_completion_log.pdf	pdf	313.000000	911	9999-12-31	2013-05-08	5348
6507/2-1	REPORTED BY LICENSEE	911_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/911_01_Completion_Report.pdf	pdf	7926.000000	911	9999-12-31	2013-05-08	5349
6507/2-1	REPORTED BY LICENSEE	911_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/911_02_Completion_log.pdf	pdf	2813.000000	911	9999-12-31	2013-05-08	5350
6507/2-2	GEOCHEMICAL INFORMATION	1840_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1840_1.pdf	pdf	506.000000	1840	9999-12-31	2013-05-08	5351
6507/2-2	GEOCHEMICAL INFORMATION	1840_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1840_2.pdf	pdf	1497.000000	1840	9999-12-31	2013-05-08	5352
6507/2-2	GEOCHEMICAL INFORMATION	1840_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1840_3.pdf	pdf	665.000000	1840	9999-12-31	2013-05-08	5353
6507/2-2	GEOCHEMICAL INFORMATION	1840_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1840_4.pdf	pdf	327.000000	1840	9999-12-31	2013-05-08	5354
6507/2-2	GEOCHEMICAL INFORMATION	1840_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1840_5.pdf	pdf	2283.000000	1840	9999-12-31	2013-05-08	5355
6507/2-2	GEOCHEMICAL INFORMATION	1840_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1840_6.pdf	pdf	1347.000000	1840	9999-12-31	2013-05-08	5356
6507/2-2	OLD NPD WDSS	1840_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1840_01_WDSS_General_Information.pdf	pdf	893.000000	1840	9999-12-31	2013-05-08	5357
6507/2-2	OLD NPD WDSS	1840_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1840_02_WDSS_completion_log.pdf	pdf	216.000000	1840	9999-12-31	2013-05-08	5358
6507/2-3	COMPOSITE LOG	2299	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2299.pdf	pdf	538.000000	2299	9999-12-31	2013-05-08	5359
6507/2-3	GEOCHEMICAL INFORMATION	2299_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2299_1.pdf	pdf	1882.000000	2299	9999-12-31	2013-05-08	5360
6507/2-3	GEOCHEMICAL INFORMATION	2299_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2299_2.pdf	pdf	1928.000000	2299	9999-12-31	2013-05-08	5361
6507/2-3	GEOCHEMICAL INFORMATION	2299_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2299_3.pdf	pdf	1899.000000	2299	9999-12-31	2013-05-08	5362
6507/2-3	GEOCHEMICAL INFORMATION	2299_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2299_4.pdf	pdf	1882.000000	2299	9999-12-31	2013-05-08	5363
6507/2-3	GEOCHEMICAL INFORMATION	2299_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2299_5.pdf	pdf	1943.000000	2299	9999-12-31	2013-05-08	5364
6507/2-3	GEOCHEMICAL INFORMATION	2299_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2299_6.pdf	pdf	1950.000000	2299	9999-12-31	2013-05-08	5365
6507/2-3	GEOCHEMICAL INFORMATION	2299_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2299_7.pdf	pdf	1934.000000	2299	9999-12-31	2013-05-08	5366
6507/2-3	GEOCHEMICAL INFORMATION	2299_8	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2299_8.pdf	pdf	1743.000000	2299	9999-12-31	2013-05-08	5367
6507/2-3	GEOCHEMICAL INFORMATION	2299_9	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2299_9.pdf	pdf	410.000000	2299	9999-12-31	2013-05-08	5368
6507/3-1	GEOCHEMICAL INFORMATION	1533_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1533_1.pdf	pdf	227.000000	1533	9999-12-31	2013-05-08	5369
6507/3-1	GEOCHEMICAL INFORMATION	1533_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1533_2.pdf	pdf	721.000000	1533	9999-12-31	2013-05-08	5370
6507/3-1	GEOCHEMICAL INFORMATION	1533_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1533_3.pdf	pdf	550.000000	1533	9999-12-31	2013-05-08	5371
6507/3-1	GEOCHEMICAL INFORMATION	1533_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1533_4.pdf	pdf	36.000000	1533	9999-12-31	2013-05-08	5372
6507/3-1	OLD NPD WDSS	1533_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1533_01_WDSS_General_Information.pdf	pdf	273.000000	1533	9999-12-31	2013-05-08	5373
6507/3-1	OLD NPD WDSS	1533_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1533_02_WDSS_completion_log.pdf	pdf	221.000000	1533	9999-12-31	2013-05-08	5374
6507/3-2	COMPOSITE LOG	2954	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2954.pdf	pdf	249.000000	2954	9999-12-31	2013-05-08	5375
6507/3-2	GEOCHEMICAL INFORMATION	2954_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2954_1.pdf	pdf	1439.000000	2954	9999-12-31	2013-05-08	5376
6507/3-3	COMPOSITE LOG	3668	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3668.pdf	pdf	462.000000	3668	9999-12-31	2013-05-08	5377
6507/3-3	GEOCHEMICAL INFORMATION	3668_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3668_1.pdf	pdf	1722.000000	3668	9999-12-31	2013-05-08	5378
6507/3-3	GEOCHEMICAL INFORMATION	3668_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3668_2.pdf	pdf	1889.000000	3668	9999-12-31	2013-05-08	5379
6507/3-3	GEOCHEMICAL INFORMATION	3668_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3668_3.pdf	pdf	1428.000000	3668	9999-12-31	2013-05-08	5380
6507/3-3	GEOCHEMICAL INFORMATION	3668_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3668_4.pdf	pdf	1368.000000	3668	9999-12-31	2013-05-08	5381
6507/3-3 A	COMPOSITE LOG	3718	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3718.pdf	pdf	251.000000	3718	9999-12-31	2013-05-08	5382
6507/3-3 A	GEOCHEMICAL INFORMATION	3718_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3718_1.pdf	pdf	1722.000000	3718	9999-12-31	2013-05-08	5383
6507/3-3 A	GEOCHEMICAL INFORMATION	3718_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3718_2.pdf	pdf	1889.000000	3718	9999-12-31	2013-05-08	5384
6507/3-3 A	GEOCHEMICAL INFORMATION	3718_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3718_3.pdf	pdf	1428.000000	3718	9999-12-31	2013-05-08	5385
6507/3-3 A	GEOCHEMICAL INFORMATION	3718_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3718_4.pdf	pdf	1368.000000	3718	9999-12-31	2013-05-08	5386
6507/3-3 B	COMPOSITE LOG	3773	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3773.pdf	pdf	83.000000	3773	9999-12-31	2013-05-08	5387
6507/3-3 B	GEOCHEMICAL INFORMATION	3773_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3773_1.pdf	pdf	1722.000000	3773	9999-12-31	2013-05-08	5388
6507/3-3 B	GEOCHEMICAL INFORMATION	3773_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3773_2.pdf	pdf	1889.000000	3773	9999-12-31	2013-05-08	5389
6507/3-3 B	GEOCHEMICAL INFORMATION	3773_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3773_3.pdf	pdf	1428.000000	3773	9999-12-31	2013-05-08	5390
6507/3-3 B	GEOCHEMICAL INFORMATION	3773_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3773_4.pdf	pdf	1368.000000	3773	9999-12-31	2013-05-08	5391
6507/3-4	GEOCHEMICAL INFORMATION	4905_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4905_1.pdf	pdf	2484.000000	4905	9999-12-31	2013-05-08	5392
6507/3-5 S	GEOCHEMICAL INFORMATION	5307_01_6507_3_5S_gch_ transfer _1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5307_01_6507_3_5S_gch_ transfer _1.txt	txt	0.000000	5307	9999-12-31	2013-05-08	5393
6507/3-5 S	GEOCHEMICAL INFORMATION	5307_02_6507_3_5S_gch_ results _1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5307_02_6507_3_5S_gch_ results _1.txt	txt	174.000000	5307	9999-12-31	2013-05-08	5394
6507/3-6	COMPOSITE LOG	6073	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/6073.pdf	pdf	223.000000	6073	2013-05-01	2013-05-08	5395
6507/5-1	COMPOSITE LOG	3683	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3683.pdf	pdf	685.000000	3683	9999-12-31	2013-05-08	5396
6507/5-1	GEOCHEMICAL INFORMATION	3683_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3683_1.pdf	pdf	1875.000000	3683	9999-12-31	2013-05-08	5397
6507/5-1	GEOCHEMICAL INFORMATION	3683_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3683_2.pdf	pdf	1683.000000	3683	9999-12-31	2013-05-08	5398
6507/5-2	COMPOSITE LOG	3756	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3756.pdf	pdf	492.000000	3756	9999-12-31	2013-05-08	5399
6507/5-2	GEOCHEMICAL INFORMATION	3756_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3756_1.pdf	pdf	1990.000000	3756	9999-12-31	2013-05-08	5400
6507/5-2	GEOCHEMICAL INFORMATION	3756_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3756_2.pdf	pdf	1628.000000	3756	9999-12-31	2013-05-08	5401
6507/5-2	GEOCHEMICAL INFORMATION	3756_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3756_3.pdf	pdf	1023.000000	3756	9999-12-31	2013-05-08	5402
6507/5-3	COMPOSITE LOG	4059	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4059.pdf	pdf	353.000000	4059	9999-12-31	2013-05-08	5403
6507/5-3	GEOCHEMICAL INFORMATION	4059_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4059_1.pdf	pdf	1320.000000	4059	9999-12-31	2013-05-08	5404
6507/5-3	GEOCHEMICAL INFORMATION	4059_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4059_2.pdf	pdf	1226.000000	4059	9999-12-31	2013-05-08	5405
6507/5-4	GEOCHEMICAL INFORMATION	4209_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4209_1.pdf	pdf	4702.000000	4209	9999-12-31	2013-05-08	5406
6507/5-4	GEOCHEMICAL INFORMATION	4209_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4209_2.pdf	pdf	4245.000000	4209	9999-12-31	2013-05-08	5407
6507/5-4 A	GEOCHEMICAL INFORMATION	4306_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4306_1.pdf	pdf	2443.000000	4306	9999-12-31	2013-05-08	5408
6507/5-5	COMPOSITE LOG	4428	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4428.pdf	pdf	453.000000	4428	9999-12-31	2013-05-08	5409
6507/5-5	GEOCHEMICAL INFORMATION	4428_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4428_1.pdf	pdf	3862.000000	4428	9999-12-31	2013-05-08	5410
6507/6-1	COMPOSITE LOG	910	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/910.pdf	pdf	637.000000	910	9999-12-31	2013-05-08	5411
6507/6-1	GEOCHEMICAL INFORMATION	910_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/910_1.pdf	pdf	2058.000000	910	9999-12-31	2013-05-08	5412
6507/6-1	OLD NPD WDSS	910_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/910_01_WDSS_General_Information.pdf	pdf	240.000000	910	9999-12-31	2013-05-08	5413
6507/6-1	OLD NPD WDSS	910_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/910_02_WDSS_completion_log.pdf	pdf	297.000000	910	9999-12-31	2013-05-08	5414
6507/6-2	GEOCHEMICAL INFORMATION	1520_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1520_1.pdf	pdf	343.000000	1520	9999-12-31	2013-05-08	5415
6507/6-2	GEOCHEMICAL INFORMATION	1520_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1520_2.pdf	pdf	3256.000000	1520	9999-12-31	2013-05-08	5416
6507/6-2	OLD NPD WDSS	1520_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1520_01_WDSS_General_Information.pdf	pdf	624.000000	1520	9999-12-31	2013-05-08	5417
6507/6-2	OLD NPD WDSS	1520_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1520_02_WDSS_completion_log.pdf	pdf	221.000000	1520	9999-12-31	2013-05-08	5418
6507/7-1	COMPOSITE LOG	138	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/138.pdf	pdf	884.000000	138	9999-12-31	2013-05-08	5419
6507/7-1	GEOCHEMICAL INFORMATION	138_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/138_1.pdf	pdf	3980.000000	138	9999-12-31	2013-05-08	5420
6507/7-1	OLD NPD WDSS	138_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/138_01_WDSS_General_Information.pdf	pdf	277.000000	138	9999-12-31	2013-05-08	5421
6507/7-1	OLD NPD WDSS	138_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/138_02_WDSS_completion_log.pdf	pdf	389.000000	138	9999-12-31	2013-05-08	5422
6507/7-10	COMPOSITE LOG	2182	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2182.pdf	pdf	331.000000	2182	9999-12-31	2013-05-08	5423
6507/7-10	GEOCHEMICAL INFORMATION	2182_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2182_1.pdf	pdf	6894.000000	2182	9999-12-31	2013-05-08	5424
6507/7-11 S	COMPOSITE LOG	3131	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3131.pdf	pdf	487.000000	3131	9999-12-31	2013-05-08	5425
6507/7-11 S	GEOCHEMICAL INFORMATION	3131_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3131_1.pdf	pdf	2636.000000	3131	9999-12-31	2013-05-08	5426
6507/7-12	COMPOSITE LOG	3812	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3812.pdf	pdf	493.000000	3812	9999-12-31	2013-05-08	5427
6507/7-13	GEOCHEMICAL INFORMATION	4213_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4213_1.pdf	pdf	1432.000000	4213	9999-12-31	2013-05-08	5428
6507/7-2	GEOCHEMICAL INFORMATION	464_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/464_1.pdf	pdf	718.000000	464	9999-12-31	2013-05-08	5429
6507/7-2	GEOCHEMICAL INFORMATION	464_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/464_2.pdf	pdf	167.000000	464	9999-12-31	2013-05-08	5430
6507/7-2	GEOCHEMICAL INFORMATION	464_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/464_3.pdf	pdf	358.000000	464	9999-12-31	2013-05-08	5431
6507/7-2	OLD NPD WDSS	464_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/464_01_WDSS_General_Information.pdf	pdf	305.000000	464	9999-12-31	2013-05-08	5432
6507/7-2	OLD NPD WDSS	464_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/464_02_WDSS_completion_log.pdf	pdf	229.000000	464	9999-12-31	2013-05-08	5433
6507/7-2	REPORTED BY LICENSEE	464_01_6507_7_2_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/464_01_6507_7_2_COMPLETION_REPORT.pdf	pdf	20528.000000	464	9999-12-31	2013-05-08	5434
6507/7-2	REPORTED BY LICENSEE	464_02_6507_7_2_COMPLETION_LOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/464_02_6507_7_2_COMPLETION_LOG.pdf	pdf	2389.000000	464	9999-12-31	2013-05-08	5435
6507/7-3	GEOCHEMICAL INFORMATION	482_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/482_1.pdf	pdf	787.000000	482	9999-12-31	2013-05-08	5436
6507/7-3	GEOCHEMICAL INFORMATION	482_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/482_2.pdf	pdf	2647.000000	482	9999-12-31	2013-05-08	5437
6507/7-3	OLD NPD WDSS	482_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/482_01_WDSS_General_Information.pdf	pdf	289.000000	482	9999-12-31	2013-05-08	5438
6507/7-3	OLD NPD WDSS	482_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/482_02_WDSS_completion_log.pdf	pdf	215.000000	482	9999-12-31	2013-05-08	5439
6507/7-3	REPORTED BY LICENSEE	482_01_6507_7_3_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/482_01_6507_7_3_COMPLETION_REPORT.pdf	pdf	12378.000000	482	9999-12-31	2013-05-08	5440
6507/7-3	REPORTED BY LICENSEE	482_02_6507_7_3_COMPLETION_LOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/482_02_6507_7_3_COMPLETION_LOG.pdf	pdf	1920.000000	482	9999-12-31	2013-05-08	5441
6507/7-4	GEOCHEMICAL INFORMATION	853_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/853_1.pdf	pdf	422.000000	853	9999-12-31	2013-05-08	5442
6507/7-4	GEOCHEMICAL INFORMATION	853_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/853_2.pdf	pdf	358.000000	853	9999-12-31	2013-05-08	5443
6507/7-4	GEOCHEMICAL INFORMATION	853_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/853_3.pdf	pdf	734.000000	853	9999-12-31	2013-05-08	5444
6507/7-4	OLD NPD WDSS	853_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/853_01_WDSS_General_Information.pdf	pdf	260.000000	853	9999-12-31	2013-05-08	5445
6507/7-4	OLD NPD WDSS	853_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/853_02_WDSS_completion_log.pdf	pdf	286.000000	853	9999-12-31	2013-05-08	5446
6507/7-4	REPORTED BY LICENSEE	853_01_6507_7_4_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/853_01_6507_7_4_COMPLETION_REPORT.pdf	pdf	15208.000000	853	9999-12-31	2013-05-08	5447
6507/7-4	REPORTED BY LICENSEE	853_02_6507_7_4_COMPLETION_LOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/853_02_6507_7_4_COMPLETION_LOG.pdf	pdf	3066.000000	853	9999-12-31	2013-05-08	5448
6507/7-5	GEOCHEMICAL INFORMATION	879_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/879_1.pdf	pdf	267.000000	879	9999-12-31	2013-05-08	5449
6507/7-5	GEOCHEMICAL INFORMATION	879_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/879_2.pdf	pdf	90.000000	879	9999-12-31	2013-05-08	5450
6507/7-5	GEOCHEMICAL INFORMATION	879_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/879_3.pdf	pdf	192.000000	879	9999-12-31	2013-05-08	5451
6507/7-5	OLD NPD WDSS	879_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/879_01_WDSS_General_Information.pdf	pdf	293.000000	879	9999-12-31	2013-05-08	5452
6507/7-5	OLD NPD WDSS	879_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/879_02_WDSS_completion_log.pdf	pdf	232.000000	879	9999-12-31	2013-05-08	5453
6507/7-5	REPORTED BY LICENSEE	879_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/879_01_Completion_Report.pdf	pdf	11565.000000	879	9999-12-31	2013-05-08	5454
6507/7-5	REPORTED BY LICENSEE	879_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/879_02_Completion_log.pdf	pdf	2146.000000	879	9999-12-31	2013-05-08	5455
6507/7-5 A	OLD NPD WDSS	860_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/860_01_WDSS_General_Information.pdf	pdf	229.000000	860	9999-12-31	2013-05-08	5456
6507/7-5 A	OLD NPD WDSS	860_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/860_02_WDSS_completion_log.pdf	pdf	180.000000	860	9999-12-31	2013-05-08	5457
6507/7-5 A	REPORTED BY LICENSEE	860_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/860_01_Completion_Report.pdf	pdf	8032.000000	860	9999-12-31	2013-05-08	5458
6507/7-5 A	REPORTED BY LICENSEE	860_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/860_02_Completion_log.pdf	pdf	1419.000000	860	9999-12-31	2013-05-08	5459
6507/7-6	GEOCHEMICAL INFORMATION	922_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/922_1.pdf	pdf	665.000000	922	9999-12-31	2013-05-08	5460
6507/7-6	GEOCHEMICAL INFORMATION	922_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/922_2.pdf	pdf	137.000000	922	9999-12-31	2013-05-08	5461
6507/7-6	OLD NPD WDSS	922_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/922_01_WDSS_General_Information.pdf	pdf	258.000000	922	9999-12-31	2013-05-08	5462
6507/7-6	OLD NPD WDSS	922_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/922_02_WDSS_completion_log.pdf	pdf	196.000000	922	9999-12-31	2013-05-08	5463
6507/7-6	REPORTED BY LICENSEE	922_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/922_02_Completion_log.pdf	pdf	1558.000000	922	9999-12-31	2013-05-08	5464
6507/7-6	REPORTED BY LICENSEE	922_03_Test_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/922_03_Test_Report.pdf	pdf	11239.000000	922	9999-12-31	2013-05-08	5465
6507/7-6	REPORTED BY LICENSEE	922_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/922_Completion_Report.pdf	pdf	7859.000000	922	9999-12-31	2013-05-08	5466
6507/7-7	COMPOSITE LOG	1056	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1056.pdf	pdf	58.000000	1056	2013-05-01	2013-05-08	5467
6507/7-7	OLD NPD WDSS	1056_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1056_01_WDSS_General_Information.pdf	pdf	224.000000	1056	9999-12-31	2013-05-08	5468
6507/7-8	OLD NPD WDSS	1071_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1071_01_WDSS_General_Information.pdf	pdf	399.000000	1071	9999-12-31	2013-05-08	5469
6507/7-8	OLD NPD WDSS	1071_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1071_02_WDSS_completion_log.pdf	pdf	209.000000	1071	9999-12-31	2013-05-08	5470
6507/7-8	REPORTED BY LICENSEE	1071_01_6507_7_8_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1071_01_6507_7_8_COMPLETION_REPORT.pdf	pdf	12899.000000	1071	9999-12-31	2013-05-08	5471
6507/7-8	REPORTED BY LICENSEE	1071_02_6507_7_8_COMPLETION_LOG	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1071_02_6507_7_8_COMPLETION_LOG.pdf	pdf	2952.000000	1071	9999-12-31	2013-05-08	5472
6507/7-8	REPORTED BY LICENSEE	1071_03_6507_7_8_Test_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1071_03_6507_7_8_Test_report.pdf	pdf	12418.000000	1071	9999-12-31	2013-05-08	5473
6507/7-9	COMPOSITE LOG	1078	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1078.pdf	pdf	92.000000	1078	2013-01-22	2013-05-08	5474
6507/7-9	OLD NPD WDSS	1078_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1078_01_WDSS_General_Information.pdf	pdf	299.000000	1078	9999-12-31	2013-05-08	5475
6507/8-1	GEOCHEMICAL INFORMATION	933_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/933_1.pdf	pdf	362.000000	933	9999-12-31	2013-05-08	5476
6507/8-1	GEOCHEMICAL INFORMATION	933_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/933_2.pdf	pdf	1173.000000	933	9999-12-31	2013-05-08	5477
6507/8-1	GEOCHEMICAL INFORMATION	933_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/933_3.pdf	pdf	87.000000	933	9999-12-31	2013-05-08	5478
6507/8-1	OLD NPD WDSS	933_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/933_01_WDSS_General_Information.pdf	pdf	253.000000	933	9999-12-31	2013-05-08	5479
6507/8-1	OLD NPD WDSS	933_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/933_02_WDSS_completion_log.pdf	pdf	203.000000	933	9999-12-31	2013-05-08	5480
6507/8-1	REPORTED BY LICENSEE	933_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/933_01_Completion_Report.pdf	pdf	9596.000000	933	9999-12-31	2013-05-08	5481
6507/8-1	REPORTED BY LICENSEE	933_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/933_02_Completion_log.pdf	pdf	1725.000000	933	9999-12-31	2013-05-08	5482
6507/8-2	COMPOSITE LOG	1076	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1076.pdf	pdf	421.000000	1076	9999-12-31	2013-05-08	5483
6507/8-2	GEOCHEMICAL INFORMATION	1076_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1076_1.pdf	pdf	889.000000	1076	9999-12-31	2013-05-08	5484
6507/8-2	OLD NPD WDSS	1076_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1076_01_WDSS_General_Information.pdf	pdf	360.000000	1076	9999-12-31	2013-05-08	5485
6507/8-2	OLD NPD WDSS	1076_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1076_02_WDSS_completion_log.pdf	pdf	233.000000	1076	9999-12-31	2013-05-08	5486
6507/8-3	COMPOSITE LOG	1309	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1309.pdf	pdf	303.000000	1309	9999-12-31	2013-05-08	5487
6507/8-3	GEOCHEMICAL INFORMATION	1309_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1309_1.pdf	pdf	481.000000	1309	9999-12-31	2013-05-08	5488
6507/8-3	OLD NPD WDSS	1309_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1309_01_WDSS_General_Information.pdf	pdf	199.000000	1309	9999-12-31	2013-05-08	5489
6507/8-3	OLD NPD WDSS	1309_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1309_02_WDSS_completion_log.pdf	pdf	165.000000	1309	9999-12-31	2013-05-08	5490
6507/8-4	GEOCHEMICAL INFORMATION	1340_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1340_1.pdf	pdf	131.000000	1340	9999-12-31	2013-05-08	5491
6507/8-4	GEOCHEMICAL INFORMATION	1340_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1340_2.pdf	pdf	65.000000	1340	9999-12-31	2013-05-08	5492
6507/8-4	GEOCHEMICAL INFORMATION	1340_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1340_3.pdf	pdf	125.000000	1340	9999-12-31	2013-05-08	5493
6507/8-4	GEOCHEMICAL INFORMATION	1340_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1340_4.pdf	pdf	38.000000	1340	9999-12-31	2013-05-08	5494
6507/8-4	GEOCHEMICAL INFORMATION	1340_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1340_5.pdf	pdf	296.000000	1340	9999-12-31	2013-05-08	5495
6507/8-4	GEOCHEMICAL INFORMATION	1340_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1340_6.pdf	pdf	752.000000	1340	9999-12-31	2013-05-08	5496
6507/8-4	OLD NPD WDSS	1340_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1340_01_WDSS_General_Information.pdf	pdf	234.000000	1340	9999-12-31	2013-05-08	5497
6507/8-4	OLD NPD WDSS	1340_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1340_02_WDSS_completion_log.pdf	pdf	167.000000	1340	9999-12-31	2013-05-08	5498
6507/8-5	COMPOSITE LOG	1749	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1749.pdf	pdf	226.000000	1749	9999-12-31	2013-05-08	5499
6507/8-5	GEOCHEMICAL INFORMATION	1749_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1749_1.pdf	pdf	1324.000000	1749	9999-12-31	2013-05-08	5500
6507/8-5	OLD NPD WDSS	1749_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1749_01_WDSS_General_Information.pdf	pdf	390.000000	1749	9999-12-31	2013-05-08	5501
6507/8-5	OLD NPD WDSS	1749_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1749_02_WDSS_completion_log.pdf	pdf	131.000000	1749	9999-12-31	2013-05-08	5502
6507/8-6	GEOCHEMICAL INFORMATION	2183_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2183_1.pdf	pdf	5510.000000	2183	9999-12-31	2013-05-08	5503
6507/8-7	COMPOSITE LOG	4854	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4854.pdf	pdf	380.000000	4854	9999-12-31	2013-05-08	5504
6508/1-1 A	COMPOSITE LOG	3849	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3849.pdf	pdf	190.000000	3849	9999-12-31	2013-05-08	5505
6508/1-1 A	GEOCHEMICAL INFORMATION	3849_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3849_1.pdf	pdf	1715.000000	3849	9999-12-31	2013-05-08	5506
6508/1-1 A	GEOCHEMICAL INFORMATION	3849_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3849_2.pdf	pdf	1874.000000	3849	9999-12-31	2013-05-08	5507
6508/1-1 A	GEOCHEMICAL INFORMATION	3849_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3849_3.pdf	pdf	1847.000000	3849	9999-12-31	2013-05-08	5508
6508/1-1 A	GEOCHEMICAL INFORMATION	3849_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3849_4.pdf	pdf	1827.000000	3849	9999-12-31	2013-05-08	5509
6508/1-1 A	GEOCHEMICAL INFORMATION	3849_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3849_5.pdf	pdf	1797.000000	3849	9999-12-31	2013-05-08	5510
6508/1-1 A	GEOCHEMICAL INFORMATION	3849_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3849_6.pdf	pdf	1730.000000	3849	9999-12-31	2013-05-08	5511
6508/1-1 S	COMPOSITE LOG	3284	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3284.pdf	pdf	266.000000	3284	9999-12-31	2013-05-08	5512
6508/1-1 S	GEOCHEMICAL INFORMATION	3284_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3284_1.pdf	pdf	1715.000000	3284	9999-12-31	2013-05-08	5513
6508/1-1 S	GEOCHEMICAL INFORMATION	3284_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3284_2.pdf	pdf	1874.000000	3284	9999-12-31	2013-05-08	5514
6508/1-1 S	GEOCHEMICAL INFORMATION	3284_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3284_3.pdf	pdf	1847.000000	3284	9999-12-31	2013-05-08	5515
6508/1-1 S	GEOCHEMICAL INFORMATION	3284_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3284_4.pdf	pdf	1827.000000	3284	9999-12-31	2013-05-08	5516
6508/1-1 S	GEOCHEMICAL INFORMATION	3284_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3284_5.pdf	pdf	1797.000000	3284	9999-12-31	2013-05-08	5517
6508/1-1 S	GEOCHEMICAL INFORMATION	3284_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3284_6.pdf	pdf	1730.000000	3284	9999-12-31	2013-05-08	5518
6508/5-1	COMPOSITE LOG	1044	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1044.pdf	pdf	375.000000	1044	9999-12-31	2013-05-08	5519
6508/5-1	GEOCHEMICAL INFORMATION	1044_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1044_1.pdf	pdf	1825.000000	1044	9999-12-31	2013-05-08	5520
6508/5-1	GEOCHEMICAL INFORMATION	1044_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1044_2.pdf	pdf	2577.000000	1044	9999-12-31	2013-05-08	5521
6508/5-1	OLD NPD WDSS	1044_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1044_01_WDSS_General_Information.pdf	pdf	354.000000	1044	9999-12-31	2013-05-08	5522
6508/5-1	OLD NPD WDSS	1044_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1044_02_WDSS_completion_log.pdf	pdf	225.000000	1044	9999-12-31	2013-05-08	5523
6508/5-1	REPORTED BY LICENSEE	1044_01_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1044_01_Completion_report.pdf	pdf	4143.000000	1044	9999-12-31	2013-05-08	5524
6508/5-1	REPORTED BY LICENSEE	1044_01_Encl.1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1044_01_Encl.1.pdf	pdf	828.000000	1044	9999-12-31	2013-05-08	5525
6508/5-1	REPORTED BY LICENSEE	1044_01_Encl.2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1044_01_Encl.2.pdf	pdf	748.000000	1044	9999-12-31	2013-05-08	5526
6508/5-1	REPORTED BY LICENSEE	1044_01_Encl.3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1044_01_Encl.3.pdf	pdf	2630.000000	1044	9999-12-31	2013-05-08	5527
6508/5-1	REPORTED BY LICENSEE	1044_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/1044_02_Completion_log.pdf	pdf	6149.000000	1044	9999-12-31	2013-05-08	5528
6510/2-1	GEOCHEMICAL INFORMATION	3166_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3166_1.pdf	pdf	941.000000	3166	9999-12-31	2013-05-08	5529
6510/2-1 R	COMPOSITE LOG	3263	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3263.pdf	pdf	924.000000	3263	9999-12-31	2013-05-08	5530
6603/12-1	COMPOSITE LOG	5985	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5985.pdf	pdf	397.000000	5985	2013-05-01	2013-05-08	5531
6603/5-1 S	GEOCHEMICAL INFORMATION	6348_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6348_GCH_1.pdf	pdf	497.000000	6348	2013-01-17	2013-05-08	5532
6603/5-1 S	GEOCHEMICAL INFORMATION	6348_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6348_GCH_2.pdf	pdf	1593.000000	6348	2013-01-17	2013-05-08	5533
6603/5-1 S	GEOCHEMICAL INFORMATION	6348_GCH_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6348_GCH_3.pdf	pdf	480.000000	6348	2013-01-17	2013-05-08	5534
6605/1-1	COMPOSITE LOG	5979	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5979.pdf	pdf	551.000000	5979	2013-05-01	2013-05-08	5535
6605/1-1	GEOCHEMICAL INFORMATION	5979_01_6605_1_1_gch_transfer _1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5979_01_6605_1_1_gch_transfer _1.txt	txt	0.000000	5979	2012-11-07	2013-05-08	5536
6605/1-1	GEOCHEMICAL INFORMATION	5979_02_6605_1_1_gch_results _1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5979_02_6605_1_1_gch_results _1.txt	txt	9.000000	5979	2012-11-07	2013-05-08	5537
6605/8-1	COMPOSITE LOG	4984	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4984.pdf	pdf	654.000000	4984	2013-05-01	2013-05-08	5538
6605/8-1	GEOCHEMICAL INFORMATION	4984_01_6605_8_1_gch_transfer _1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4984_01_6605_8_1_gch_transfer _1.txt	txt	0.000000	4984	9999-12-31	2013-05-08	5539
6605/8-1	GEOCHEMICAL INFORMATION	4984_02_6605_8_1_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4984_02_6605_8_1_gch_results_1.txt	txt	26.000000	4984	9999-12-31	2013-05-08	5540
6605/8-1	GEOCHEMICAL INFORMATION	4984_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4984_1.xls	xls	69.000000	4984	9999-12-31	2013-05-08	5541
6605/8-2	COMPOSITE LOG	5812	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5812.pdf	pdf	533.000000	5812	2013-05-01	2013-05-08	5542
6605/8-2	GEOCHEMICAL INFORMATION	5812_01_6605_8_1_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5812_01_6605_8_1_gch_transfer_1.txt	txt	0.000000	5812	9999-12-31	2013-05-08	5543
6605/8-2	GEOCHEMICAL INFORMATION	5812_02_6605_8_2_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5812_02_6605_8_2_gch_results_1.txt	txt	203.000000	5812	9999-12-31	2013-05-08	5544
6607/12-1	OLD NPD WDSS	925_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/925_01_WDSS_General_Information.pdf	pdf	210.000000	925	9999-12-31	2013-05-08	5545
6607/12-1	OLD NPD WDSS	925_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/925_02_WDSS_completion_log.pdf	pdf	277.000000	925	9999-12-31	2013-05-08	5546
6607/2-1	COMPOSITE LOG	5471	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5471.pdf	pdf	447.000000	5471	2013-01-22	2013-05-08	5547
6607/5-1	COMPOSITE LOG	1064	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1064.pdf	pdf	630.000000	1064	9999-12-31	2013-05-08	5548
6607/5-1	GEOCHEMICAL INFORMATION	1064_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1064_1.pdf	pdf	1700.000000	1064	9999-12-31	2013-05-08	5549
6607/5-1	GEOCHEMICAL INFORMATION	1064_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1064_2.pdf	pdf	1570.000000	1064	9999-12-31	2013-05-08	5550
6607/5-1	GEOCHEMICAL INFORMATION	1064_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1064_3.pdf	pdf	1073.000000	1064	9999-12-31	2013-05-08	5551
6607/5-1	OLD NPD WDSS	1064_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1064_01_WDSS_General_Information.pdf	pdf	394.000000	1064	9999-12-31	2013-05-08	5552
6607/5-1	OLD NPD WDSS	1064_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1064_02_WDSS_completion_log.pdf	pdf	279.000000	1064	9999-12-31	2013-05-08	5553
6607/5-2	COMPOSITE LOG	1789	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1789.pdf	pdf	700.000000	1789	9999-12-31	2013-05-08	5554
6607/5-2	GEOCHEMICAL INFORMATION	1789_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1789_1.pdf	pdf	1969.000000	1789	9999-12-31	2013-05-08	5555
6607/5-2	OLD NPD WDSS	1789_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1789_01_WDSS_General_Information.pdf	pdf	682.000000	1789	9999-12-31	2013-05-08	5556
6607/5-2	OLD NPD WDSS	1789_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1789_02_WDSS_completion_log.pdf	pdf	224.000000	1789	9999-12-31	2013-05-08	5557
6608/10-1	COMPOSITE LOG	1391	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1391.pdf	pdf	476.000000	1391	9999-12-31	2013-05-08	5558
6608/10-1	GEOCHEMICAL INFORMATION	1391_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1391_1.pdf	pdf	2409.000000	1391	9999-12-31	2013-05-08	5559
6608/10-1	OLD NPD WDSS	1391_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1391_01_WDSS_General_Information.pdf	pdf	255.000000	1391	9999-12-31	2013-05-08	5560
6608/10-1	OLD NPD WDSS	1391_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1391_02_WDSS_completion_log.pdf	pdf	180.000000	1391	9999-12-31	2013-05-08	5561
6608/10-2	GEOCHEMICAL INFORMATION	1782_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1782_1.pdf	pdf	269.000000	1782	9999-12-31	2013-05-08	5562
6608/10-2	GEOCHEMICAL INFORMATION	1782_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1782_2.pdf	pdf	648.000000	1782	9999-12-31	2013-05-08	5563
6608/10-2	GEOCHEMICAL INFORMATION	1782_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1782_3.pdf	pdf	97.000000	1782	9999-12-31	2013-05-08	5564
6608/10-2	GEOCHEMICAL INFORMATION	1782_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1782_4.pdf	pdf	2960.000000	1782	9999-12-31	2013-05-08	5565
6608/10-2	OLD NPD WDSS	1782_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1782_01_WDSS_General_Information.pdf	pdf	807.000000	1782	9999-12-31	2013-05-08	5566
6608/10-2	OLD NPD WDSS	1782_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1782_02_WDSS_completion_log.pdf	pdf	234.000000	1782	9999-12-31	2013-05-08	5567
6608/10-3	COMPOSITE LOG	1732	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1732.pdf	pdf	433.000000	1732	9999-12-31	2013-05-08	5568
6608/10-3	GEOCHEMICAL INFORMATION	1732_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1732_1.pdf	pdf	1819.000000	1732	9999-12-31	2013-05-08	5569
6608/10-3	GEOCHEMICAL INFORMATION	1732_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1732_2.pdf	pdf	1330.000000	1732	9999-12-31	2013-05-08	5570
6608/10-4	COMPOSITE LOG	2256	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2256.pdf	pdf	269.000000	2256	9999-12-31	2013-05-08	5571
6608/10-4	GEOCHEMICAL INFORMATION	2256_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2256_1.pdf	pdf	1943.000000	2256	9999-12-31	2013-05-08	5572
6608/10-4	GEOCHEMICAL INFORMATION	2256_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2256_2.pdf	pdf	1975.000000	2256	9999-12-31	2013-05-08	5573
6608/10-4	GEOCHEMICAL INFORMATION	2256_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2256_3.pdf	pdf	1781.000000	2256	9999-12-31	2013-05-08	5574
6608/10-5	COMPOSITE LOG	2578	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2578.pdf	pdf	513.000000	2578	9999-12-31	2013-05-08	5575
6608/10-5	GEOCHEMICAL INFORMATION	2578_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2578_1.pdf	pdf	1909.000000	2578	9999-12-31	2013-05-08	5576
6608/10-6	COMPOSITE LOG	3260	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3260.pdf	pdf	299.000000	3260	9999-12-31	2013-05-08	5577
6608/10-6	GEOCHEMICAL INFORMATION	3260_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3260_1.pdf	pdf	98.000000	3260	9999-12-31	2013-05-08	5578
6608/10-6	GEOCHEMICAL INFORMATION	3260_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3260_2.pdf	pdf	1944.000000	3260	9999-12-31	2013-05-08	5579
6608/10-6	GEOCHEMICAL INFORMATION	3260_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3260_3.pdf	pdf	2926.000000	3260	9999-12-31	2013-05-08	5580
6608/10-6	GEOCHEMICAL INFORMATION	3260_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3260_4.pdf	pdf	1948.000000	3260	9999-12-31	2013-05-08	5581
6608/10-6	GEOCHEMICAL INFORMATION	3260_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3260_5.pdf	pdf	1927.000000	3260	9999-12-31	2013-05-08	5582
6608/10-6	GEOCHEMICAL INFORMATION	3260_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3260_6.pdf	pdf	1949.000000	3260	9999-12-31	2013-05-08	5583
6608/10-6	GEOCHEMICAL INFORMATION	3260_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3260_7.pdf	pdf	1550.000000	3260	9999-12-31	2013-05-08	5584
6608/10-7	COMPOSITE LOG	4273	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4273.pdf	pdf	294.000000	4273	9999-12-31	2013-05-08	5585
6608/10-7	GEOCHEMICAL INFORMATION	4273_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4273_1.pdf	pdf	3554.000000	4273	9999-12-31	2013-05-08	5586
6608/10-8	COMPOSITE LOG	4439	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4439.pdf	pdf	408.000000	4439	9999-12-31	2013-05-08	5587
6608/10-8	GEOCHEMICAL INFORMATION	4439_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4439_1.pdf	pdf	5449.000000	4439	9999-12-31	2013-05-08	5588
6608/10-8 A	COMPOSITE LOG	4530	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4530.pdf	pdf	384.000000	4530	9999-12-31	2013-05-08	5589
6608/10-9	COMPOSITE LOG	4668	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4668.pdf	pdf	336.000000	4668	9999-12-31	2013-05-08	5590
6608/10-9	GEOCHEMICAL INFORMATION	4668_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4668_1.pdf	pdf	6641.000000	4668	9999-12-31	2013-05-08	5591
6608/11-1	GEOCHEMICAL INFORMATION	936_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/936_1.pdf	pdf	386.000000	936	9999-12-31	2013-05-08	5592
6608/11-1	GEOCHEMICAL INFORMATION	936_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/936_2.pdf	pdf	450.000000	936	9999-12-31	2013-05-08	5593
6608/11-1	GEOCHEMICAL INFORMATION	936_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/936_3.pdf	pdf	1055.000000	936	9999-12-31	2013-05-08	5594
6608/11-1	GEOCHEMICAL INFORMATION	936_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/936_4.pdf	pdf	3741.000000	936	9999-12-31	2013-05-08	5595
6608/11-1	OLD NPD WDSS	936_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/936_01_WDSS_General_Information.pdf	pdf	208.000000	936	9999-12-31	2013-05-08	5596
6608/11-1	OLD NPD WDSS	936_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/936_02_WDSS_completion_log.pdf	pdf	159.000000	936	9999-12-31	2013-05-08	5597
6608/11-1	REPORTED BY LICENSEE	936_01_6608_11_1_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/936_01_6608_11_1_Completion_report.pdf	pdf	6899.000000	936	9999-12-31	2013-05-08	5598
6608/11-1	REPORTED BY LICENSEE	936_02_6608_11_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/936_02_6608_11_1_Completion_log.pdf	pdf	765.000000	936	9999-12-31	2013-05-08	5599
6608/11-2	COMPOSITE LOG	4189	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4189.pdf	pdf	266.000000	4189	9999-12-31	2013-05-08	5600
6608/11-2	GEOCHEMICAL INFORMATION	4189_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4189_1.pdf	pdf	1934.000000	4189	9999-12-31	2013-05-08	5601
6608/11-2	GEOCHEMICAL INFORMATION	4189_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4189_2.pdf	pdf	1834.000000	4189	9999-12-31	2013-05-08	5602
6608/11-2	GEOCHEMICAL INFORMATION	4189_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4189_3.pdf	pdf	776.000000	4189	9999-12-31	2013-05-08	5603
6608/11-3	GEOCHEMICAL INFORMATION	4630_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4630_1.pdf	pdf	2175.000000	4630	9999-12-31	2013-05-08	5604
6608/11-4	COMPOSITE LOG	4939	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4939.pdf	pdf	371.000000	4939	9999-12-31	2013-05-08	5605
6608/11-4	GEOCHEMICAL INFORMATION	4939_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4939_1.pdf	pdf	3063.000000	4939	9999-12-31	2013-05-08	5606
6608/8-1	COMPOSITE LOG	2974	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2974.pdf	pdf	271.000000	2974	9999-12-31	2013-05-08	5607
6608/8-1	GEOCHEMICAL INFORMATION	2974_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2974_1.pdf	pdf	1655.000000	2974	9999-12-31	2013-05-08	5608
6609/10-1	COMPOSITE LOG	24	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/24.pdf	pdf	292.000000	24	9999-12-31	2013-05-08	5609
6609/10-1	GEOCHEMICAL INFORMATION	24_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/24_1.pdf	pdf	130.000000	24	9999-12-31	2013-05-08	5610
6609/10-1	GEOCHEMICAL INFORMATION	24_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/24_2.pdf	pdf	2985.000000	24	9999-12-31	2013-05-08	5611
6609/10-1	GEOCHEMICAL INFORMATION	24_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/24_3.pdf	pdf	7664.000000	24	9999-12-31	2013-05-08	5612
6609/10-1	OLD NPD WDSS	24_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/24_01_WDSS_General_Information.pdf	pdf	156.000000	24	9999-12-31	2013-05-08	5613
6609/10-1	OLD NPD WDSS	24_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/24_02_WDSS_completion_log.pdf	pdf	218.000000	24	9999-12-31	2013-05-08	5614
6609/10-1	REPORTED BY LICENSEE	24_01_Completion_Report_and Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/24_01_Completion_Report_and Composite_log.pdf	pdf	14444.000000	24	9999-12-31	2013-05-08	5615
6609/11-1	COMPOSITE LOG	15	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/15.pdf	pdf	461.000000	15	9999-12-31	2013-05-08	5616
6609/11-1	GEOCHEMICAL INFORMATION	15_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/15_1.pdf	pdf	219.000000	15	9999-12-31	2013-05-08	5617
6609/11-1	GEOCHEMICAL INFORMATION	15_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/15_2.pdf	pdf	5944.000000	15	9999-12-31	2013-05-08	5618
6609/11-1	OLD NPD WDSS	15_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/15_01_WDSS_General_Information.pdf	pdf	168.000000	15	9999-12-31	2013-05-08	5619
6609/11-1	OLD NPD WDSS	15_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/15_02_WDSS_completion_log.pdf	pdf	313.000000	15	9999-12-31	2013-05-08	5620
6609/11-1	REPORTED BY LICENSEE	15_01_Completion_Report_and_Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/15_01_Completion_Report_and_Composite_log.pdf	pdf	11500.000000	15	9999-12-31	2013-05-08	5621
6609/5-1	GEOCHEMICAL INFORMATION	445_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/445_1.pdf	pdf	642.000000	445	9999-12-31	2013-05-08	5622
6609/5-1	GEOCHEMICAL INFORMATION	445_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/445_2.pdf	pdf	620.000000	445	9999-12-31	2013-05-08	5623
6609/5-1	GEOCHEMICAL INFORMATION	445_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/445_3.pdf	pdf	341.000000	445	9999-12-31	2013-05-08	5624
6609/5-1	GEOCHEMICAL INFORMATION	445_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/445_4.pdf	pdf	42.000000	445	9999-12-31	2013-05-08	5625
6609/5-1	OLD NPD WDSS	445_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/445_01_WDSS_General_Information.pdf	pdf	253.000000	445	9999-12-31	2013-05-08	5626
6609/5-1	OLD NPD WDSS	445_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/445_02_WDSS_completion_log.pdf	pdf	252.000000	445	9999-12-31	2013-05-08	5627
6609/5-1	REPORTED BY LICENSEE	445_01_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/445_01_Completion_report.pdf	pdf	11560.000000	445	9999-12-31	2013-05-08	5628
6609/5-1	REPORTED BY LICENSEE	445_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/445_02_Completion_log.pdf	pdf	8532.000000	445	9999-12-31	2013-05-08	5629
6609/7-1	COMPOSITE LOG	19	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/19.pdf	pdf	219.000000	19	9999-12-31	2013-05-08	5630
6609/7-1	GEOCHEMICAL INFORMATION	19_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/19_1.pdf	pdf	805.000000	19	9999-12-31	2013-05-08	5631
6609/7-1	OLD NPD WDSS	19_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/19_01_WDSS_General_Information.pdf	pdf	166.000000	19	9999-12-31	2013-05-08	5632
6609/7-1	OLD NPD WDSS	19_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/19_02_WDSS_completion_log.pdf	pdf	207.000000	19	9999-12-31	2013-05-08	5633
6609/7-1	REPORTED BY LICENSEE	19_01_Completion_Report_and_Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/19_01_Completion_Report_and_Composite_log.pdf	pdf	16712.000000	19	9999-12-31	2013-05-08	5634
6609/7-1	REPORTED BY LICENSEE	19_02_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/19_02_Biostratigraphy.pdf	pdf	644.000000	19	9999-12-31	2013-05-08	5635
6609/7-1	REPORTED BY LICENSEE	19_03_Follow-Up_Analyses_on_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/19_03_Follow-Up_Analyses_on_Samples.pdf	pdf	1445.000000	19	9999-12-31	2013-05-08	5636
6609/7-1	REPORTED BY LICENSEE	19_04_Petrogenesis_and_Structural_Thermal_History	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/19_04_Petrogenesis_and_Structural_Thermal_History.pdf	pdf	2093.000000	19	9999-12-31	2013-05-08	5637
6609/7-1	REPORTED BY LICENSEE	19_05_Petrography_and_Mineralogy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/19_05_Petrography_and_Mineralogy.pdf	pdf	632.000000	19	9999-12-31	2013-05-08	5638
6609/7-1	REPORTED BY LICENSEE	19_06_Source_Rock_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/19_06_Source_Rock_Analysis.pdf	pdf	1213.000000	19	9999-12-31	2013-05-08	5639
6609/7-1	REPORTED BY LICENSEE	19_07_Traenabanken_Core1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/19_07_Traenabanken_Core1.pdf	pdf	475.000000	19	9999-12-31	2013-05-08	5640
6610/2-1 S	COMPOSITE LOG	2874	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2874.pdf	pdf	260.000000	2874	9999-12-31	2013-05-08	5641
6610/2-1 S	GEOCHEMICAL INFORMATION	2874_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2874_1.pdf	pdf	4666.000000	2874	9999-12-31	2013-05-08	5642
6610/3-1	GEOCHEMICAL INFORMATION	1864_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1864_1.pdf	pdf	2210.000000	1864	9999-12-31	2013-05-08	5643
6610/3-1 R	GEOCHEMICAL INFORMATION	2193_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2193_1.pdf	pdf	2825.000000	2193	9999-12-31	2013-05-08	5644
6610/7-1	COMPOSITE LOG	12	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/12.pdf	pdf	490.000000	12	9999-12-31	2013-05-08	5645
6610/7-1	GEOCHEMICAL INFORMATION	12_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/12_1.pdf	pdf	1096.000000	12	9999-12-31	2013-05-08	5646
6610/7-1	GEOCHEMICAL INFORMATION	12_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/12_2.pdf	pdf	2429.000000	12	9999-12-31	2013-05-08	5647
6610/7-1	GEOCHEMICAL INFORMATION	12_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/12_3.pdf	pdf	6221.000000	12	9999-12-31	2013-05-08	5648
6610/7-1	OLD NPD WDSS	12_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/12_01_WDSS_General_Information.pdf	pdf	164.000000	12	9999-12-31	2013-05-08	5649
6610/7-1	OLD NPD WDSS	12_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/12_02_WDSS_completion_log.pdf	pdf	318.000000	12	9999-12-31	2013-05-08	5650
6610/7-1	REPORTED BY LICENSEE	12_01_Completion_Report_and Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/12_01_Completion_Report_and Completion_log.pdf	pdf	15526.000000	12	9999-12-31	2013-05-08	5651
6610/7-1	REPORTED BY LICENSEE	12_02_Biostratigraphy_390-2100m_NPD	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/12_02_Biostratigraphy_390-2100m_NPD.pdf	pdf	775.000000	12	9999-12-31	2013-05-08	5652
6610/7-1	REPORTED BY LICENSEE	12_03_Biostratigraphy_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/12_03_Biostratigraphy_Report.pdf	pdf	7488.000000	12	9999-12-31	2013-05-08	5653
6610/7-1	REPORTED BY LICENSEE	12_04_Organic_Geochemistry	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/12_04_Organic_Geochemistry.pdf	pdf	829.000000	12	9999-12-31	2013-05-08	5654
6610/7-1	REPORTED BY LICENSEE	12_05_Petrophysical_Report_RFT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/12_05_Petrophysical_Report_RFT.pdf	pdf	1844.000000	12	9999-12-31	2013-05-08	5655
6610/7-1	REPORTED BY LICENSEE	12_06_Source_Rock_HC_Staining_Correlation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/12_06_Source_Rock_HC_Staining_Correlation.pdf	pdf	4537.000000	12	9999-12-31	2013-05-08	5656
6610/7-1	REPORTED BY LICENSEE	12_07_Special_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/12_07_Special_Core_Analysis.pdf	pdf	20038.000000	12	9999-12-31	2013-05-08	5657
6610/7-1	REPORTED BY LICENSEE	12_08_WST_Geogram_Processing_Schlumberger	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/12_08_WST_Geogram_Processing_Schlumberger.pdf	pdf	24591.000000	12	9999-12-31	2013-05-08	5658
6610/7-2	COMPOSITE LOG	26	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/26.pdf	pdf	720.000000	26	9999-12-31	2013-05-08	5659
6610/7-2	GEOCHEMICAL INFORMATION	26_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/26_1.pdf	pdf	3383.000000	26	9999-12-31	2013-05-08	5660
6610/7-2	GEOCHEMICAL INFORMATION	26_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/26_2.pdf	pdf	4157.000000	26	9999-12-31	2013-05-08	5661
6610/7-2	OLD NPD WDSS	26_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/26_01_WDSS_General_Information.pdf	pdf	192.000000	26	9999-12-31	2013-05-08	5662
6610/7-2	OLD NPD WDSS	26_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/26_02_WDSS_completion_log.pdf	pdf	369.000000	26	9999-12-31	2013-05-08	5663
6610/7-2	REPORTED BY LICENSEE	26_01_Completion_Report_and Composite_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/26_01_Completion_Report_and Composite_log.pdf	pdf	57534.000000	26	9999-12-31	2013-05-08	5664
6610/7-2	REPORTED BY LICENSEE	26_02_End_Of_Well_Report_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/26_02_End_Of_Well_Report_Report.pdf	pdf	1582.000000	26	9999-12-31	2013-05-08	5665
6610/7-2	REPORTED BY LICENSEE	26_03_Analysis_samples_from_Shaker_and_mudcleaner	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/26_03_Analysis_samples_from_Shaker_and_mudcleaner.pdf	pdf	259.000000	26	9999-12-31	2013-05-08	5666
6610/7-2	REPORTED BY LICENSEE	26_04_Biostratigraphy_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/26_04_Biostratigraphy_report.pdf	pdf	2147.000000	26	9999-12-31	2013-05-08	5667
6610/7-2	REPORTED BY LICENSEE	26_05_End_Of_Well_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/26_05_End_Of_Well_Report.pdf	pdf	92784.000000	26	9999-12-31	2013-05-08	5668
6610/7-2	REPORTED BY LICENSEE	26_06_Geochemical_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/26_06_Geochemical_Evaluation.pdf	pdf	7859.000000	26	9999-12-31	2013-05-08	5669
6610/7-2	REPORTED BY LICENSEE	26_07_Hvitolje_basert_boreslam	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/26_07_Hvitolje_basert_boreslam.pdf	pdf	47943.000000	26	9999-12-31	2013-05-08	5670
6610/7-2	REPORTED BY LICENSEE	26_08_Palynology	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/26_08_Palynology.pdf	pdf	1356.000000	26	9999-12-31	2013-05-08	5671
6610/7-2	REPORTED BY LICENSEE	26_09_Sedimentundersøkelse_etter_prøveboring_med_oljebasert_slam	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/26_09_Sedimentundersøkelse_etter_prøveboring_med_oljebasert_slam.pdf	pdf	38968.000000	26	9999-12-31	2013-05-08	5672
6704/12-1	COMPOSITE LOG	3759	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3759.pdf	pdf	521.000000	3759	9999-12-31	2013-05-08	5673
6704/12-1	GEOCHEMICAL INFORMATION	3759_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3759_1.pdf	pdf	1927.000000	3759	9999-12-31	2013-05-08	5674
6704/12-1	GEOCHEMICAL INFORMATION	3759_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3759_2.pdf	pdf	1875.000000	3759	9999-12-31	2013-05-08	5675
6704/12-1	GEOCHEMICAL INFORMATION	3759_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3759_3.pdf	pdf	1909.000000	3759	9999-12-31	2013-05-08	5676
6704/12-1	GEOCHEMICAL INFORMATION	3759_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3759_4.pdf	pdf	850.000000	3759	9999-12-31	2013-05-08	5677
6704/12-1	OLD NPD WDSS	3759_01_Investigation_6704-12-GB1	http://www.npd.no/engelsk/cwi/pbl/wdss_old/3759_01_Investigation_6704-12-GB1.pdf	pdf	8409.000000	3759	9999-12-31	2013-05-08	5678
6705/10-1	COMPOSITE LOG	6044	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/6044.pdf	pdf	386.000000	6044	9999-12-31	2013-05-08	5679
6706/11-1	COMPOSITE LOG	3202	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3202.pdf	pdf	623.000000	3202	9999-12-31	2013-05-08	5680
6706/11-1	GEOCHEMICAL INFORMATION	3202_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3202_1.pdf	pdf	1055.000000	3202	9999-12-31	2013-05-08	5681
6706/11-1	GEOCHEMICAL INFORMATION	3202_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3202_2.pdf	pdf	2295.000000	3202	9999-12-31	2013-05-08	5682
6706/11-1	GEOCHEMICAL INFORMATION	3202_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3202_3.pdf	pdf	367.000000	3202	9999-12-31	2013-05-08	5683
6706/11-1	GEOCHEMICAL INFORMATION	3202_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3202_4.pdf	pdf	1031.000000	3202	9999-12-31	2013-05-08	5684
6706/12-1	COMPOSITE LOG	5867	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5867.pdf	pdf	602.000000	5867	2013-05-01	2013-05-08	5685
6706/12-1	GEOCHEMICAL INFORMATION	5867_01_6706_12_1_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5867_01_6706_12_1_gch_transfer_1.txt	txt	0.000000	5867	9999-12-31	2013-05-08	5686
6706/12-1	GEOCHEMICAL INFORMATION	5867_02_6706_12_1_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5867_02_6706_12_1_gch_results_1.txt	txt	122.000000	5867	9999-12-31	2013-05-08	5687
6706/6-1	COMPOSITE LOG	4705	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4705.pdf	pdf	286.000000	4705	9999-12-31	2013-05-08	5688
6706/6-1	GEOCHEMICAL INFORMATION	4705_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4705_1.pdf	pdf	1954.000000	4705	9999-12-31	2013-05-08	5689
6707/10-1	COMPOSITE LOG	3075	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3075.pdf	pdf	738.000000	3075	9999-12-31	2013-05-08	5690
6707/10-1	GEOCHEMICAL INFORMATION	3075_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3075_1.pdf	pdf	1734.000000	3075	9999-12-31	2013-05-08	5691
6707/10-1	GEOCHEMICAL INFORMATION	3075_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3075_2.pdf	pdf	1900.000000	3075	9999-12-31	2013-05-08	5692
6710/10-1	COMPOSITE LOG	3941	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3941.pdf	pdf	386.000000	3941	9999-12-31	2013-05-08	5693
6710/10-1	GEOCHEMICAL INFORMATION	3941_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3941_1.pdf	pdf	1866.000000	3941	9999-12-31	2013-05-08	5694
7/1-1	GEOCHEMICAL INFORMATION	192_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/192_1.pdf	pdf	459.000000	192	9999-12-31	2013-05-08	5695
7/1-1	NPD PAPER	192_01_NPD_Paper_No.31_Lithology__Norwegian_Danish_Basin__Well_7_1_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/192_01_NPD_Paper_No.31_Lithology__Norwegian_Danish_Basin__Well_7_1_1.pdf	pdf	33179.000000	192	9999-12-31	2013-05-08	5696
7/1-1	NPD PAPER	192_02_NPD_Paper_No.31_Correlation_chart_1__Well_7_1_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/192_02_NPD_Paper_No.31_Correlation_chart_1__Well_7_1_1.pdf	pdf	494.000000	192	9999-12-31	2013-05-08	5697
7/1-1	OLD NPD WDSS	192_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/192_01_WDSS_General_Information.pdf	pdf	153.000000	192	9999-12-31	2013-05-08	5698
7/1-1	REPORTED BY LICENSEE	192_00_7_1_1_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/192_00_7_1_1_Completion_log.pdf	pdf	2842.000000	192	9999-12-31	2013-05-08	5699
7/1-1	REPORTED BY LICENSEE	192_00_7_1_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/192_00_7_1_1_Completion_Report.pdf	pdf	621.000000	192	9999-12-31	2013-05-08	5700
7/11-1	GEOCHEMICAL INFORMATION	149_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/149_GCH_1.pdf	pdf	818.000000	149	2013-01-17	2013-05-08	5701
7/11-1	GEOCHEMICAL INFORMATION	149_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/149_GCH_2.pdf	pdf	1388.000000	149	2013-01-17	2013-05-08	5702
7/11-1	NPD PAPER	149_01_NPD_Paper_No.10_Lithology__Well_7_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/149_01_NPD_Paper_No.10_Lithology__Well_7_11_1.pdf	pdf	24448.000000	149	9999-12-31	2013-05-08	5703
7/11-1	NPD PAPER	149_02_NPD_Paper_No.10_Interpreted_Lithology_log__Well_7_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/149_02_NPD_Paper_No.10_Interpreted_Lithology_log__Well_7_11_1.pdf	pdf	68798.000000	149	9999-12-31	2013-05-08	5704
7/11-1	NPD PAPER	149_03_NPD_Paper_No.10_Lithologic_Correlation_chart__Well_7_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/149_03_NPD_Paper_No.10_Lithologic_Correlation_chart__Well_7_11_1.pdf	pdf	32571.000000	149	9999-12-31	2013-05-08	5705
7/11-1	NPD PAPER	149_04_NPD_Paper_No.10_Paleocene_Correlation_map__Well_7_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/149_04_NPD_Paper_No.10_Paleocene_Correlation_map__Well_7_11_1.pdf	pdf	12361.000000	149	9999-12-31	2013-05-08	5706
7/11-1	OLD NPD WDSS	149_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/149_01_WDSS_General_Information.pdf	pdf	208.000000	149	9999-12-31	2013-05-08	5707
7/11-1	REPORTED BY LICENSEE	149_7_11_1_CLASTIC_SEDIMENTS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_CLASTIC_SEDIMENTS.PDF	PDF	1676.000000	149	2013-01-17	2013-05-08	5708
7/11-1	REPORTED BY LICENSEE	149_7_11_1_COD	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_COD.PDF	PDF	6306.000000	149	2013-01-17	2013-05-08	5709
7/11-1	REPORTED BY LICENSEE	149_7_11_1_COMPLEX_LITHOLOGY_ANALYSIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_COMPLEX_LITHOLOGY_ANALYSIS.PDF	PDF	8711.000000	149	2013-01-17	2013-05-08	5710
7/11-1	REPORTED BY LICENSEE	149_7_11_1_CONTINUOUS_DIPMETER	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_CONTINUOUS_DIPMETER.PDF	PDF	3965.000000	149	2013-01-17	2013-05-08	5711
7/11-1	REPORTED BY LICENSEE	149_7_11_1_CORE_ANALYSIS_CALCULATION_CORE_NO-3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_CORE_ANALYSIS_CALCULATION_CORE_NO-3.PDF	PDF	110.000000	149	2013-01-17	2013-05-08	5712
7/11-1	REPORTED BY LICENSEE	149_7_11_1_CORE_DESCRIPTION	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_CORE_DESCRIPTION.PDF	PDF	356.000000	149	2013-01-17	2013-05-08	5713
7/11-1	REPORTED BY LICENSEE	149_7_11_1_CORE_DESCRIPTION_CORE_NO-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_CORE_DESCRIPTION_CORE_NO-1.PDF	PDF	146.000000	149	2013-01-17	2013-05-08	5714
7/11-1	REPORTED BY LICENSEE	149_7_11_1_CORE_STUDY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_CORE_STUDY.PDF	PDF	1061.000000	149	2013-01-17	2013-05-08	5715
7/11-1	REPORTED BY LICENSEE	149_7_11_1_DIAGRAM_PSI_TESTING	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_DIAGRAM_PSI_TESTING.PDF	PDF	2873.000000	149	2013-01-17	2013-05-08	5716
7/11-1	REPORTED BY LICENSEE	149_7_11_1_DRILLING_FLUID_SUMMARY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_DRILLING_FLUID_SUMMARY.PDF	PDF	4399.000000	149	2013-01-17	2013-05-08	5717
7/11-1	REPORTED BY LICENSEE	149_7_11_1_DRILLING_MUD_RECORD	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_DRILLING_MUD_RECORD.PDF	PDF	3136.000000	149	2013-01-17	2013-05-08	5718
7/11-1	REPORTED BY LICENSEE	149_7_11_1_DRILLING_MUD_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_DRILLING_MUD_REPORT.PDF	PDF	5717.000000	149	2013-01-17	2013-05-08	5719
7/11-1	REPORTED BY LICENSEE	149_7_11_1_DRILLING_MUD_REPORT_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_DRILLING_MUD_REPORT_1.PDF	PDF	10118.000000	149	2013-01-17	2013-05-08	5720
7/11-1	REPORTED BY LICENSEE	149_7_11_1_DRILL_STEM_TEST_DATA	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_DRILL_STEM_TEST_DATA.PDF	PDF	2710.000000	149	2013-01-17	2013-05-08	5721
7/11-1	REPORTED BY LICENSEE	149_7_11_1_DRILL_STEM_TEST_DATA_TEST_NO-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_DRILL_STEM_TEST_DATA_TEST_NO-1.PDF	PDF	497.000000	149	2013-01-17	2013-05-08	5722
7/11-1	REPORTED BY LICENSEE	149_7_11_1_DRILL_STEM_TEST_DATA_TEST_NO-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_DRILL_STEM_TEST_DATA_TEST_NO-2.PDF	PDF	874.000000	149	2013-01-17	2013-05-08	5723
7/11-1	REPORTED BY LICENSEE	149_7_11_1_DRILL_STEM_TEST_DATA_TEST_NO-3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_DRILL_STEM_TEST_DATA_TEST_NO-3.PDF	PDF	690.000000	149	2013-01-17	2013-05-08	5724
7/11-1	REPORTED BY LICENSEE	149_7_11_1_DRILL_STEM_TEST_DATA_TEST_NO-4	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_DRILL_STEM_TEST_DATA_TEST_NO-4.PDF	PDF	1216.000000	149	2013-01-17	2013-05-08	5725
7/11-1	REPORTED BY LICENSEE	149_7_11_1_DRILL_STEM_TEST_DATA_TEST_NO-5	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_DRILL_STEM_TEST_DATA_TEST_NO-5.PDF	PDF	1187.000000	149	2013-01-17	2013-05-08	5726
7/11-1	REPORTED BY LICENSEE	149_7_11_1_FORMATION_TEST	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_FORMATION_TEST.PDF	PDF	1023.000000	149	2013-01-17	2013-05-08	5727
7/11-1	REPORTED BY LICENSEE	149_7_11_1_GAS_LIQUID_AND_COMPOSITE_WELL_STREAM_OMPOSITIONS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_GAS_LIQUID_AND_COMPOSITE_WELL_STREAM_OMPOSITIONS.PDF	PDF	139.000000	149	2013-01-17	2013-05-08	5728
7/11-1	REPORTED BY LICENSEE	149_7_11_1_KONTINENTALSOKKELEN_MIDLERTIDIG_AVBRUDD_I_ARBEIDE	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_KONTINENTALSOKKELEN_MIDLERTIDIG_AVBRUDD_I_ARBEIDE.PDF	PDF	395.000000	149	2013-01-17	2013-05-08	5729
7/11-1	REPORTED BY LICENSEE	149_7_11_1_LOG_ANALYSIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_LOG_ANALYSIS.PDF	PDF	1812.000000	149	2013-01-17	2013-05-08	5730
7/11-1	REPORTED BY LICENSEE	149_7_11_1_RAPPORT_GEOCHIMIQUE_COMPLEMENTAIRE	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_RAPPORT_GEOCHIMIQUE_COMPLEMENTAIRE.PDF	PDF	1364.000000	149	2013-01-17	2013-05-08	5731
7/11-1	REPORTED BY LICENSEE	149_7_11_1_THE_MICROPALAEONTOLOGY_AND_STRATIGRAPHY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_THE_MICROPALAEONTOLOGY_AND_STRATIGRAPHY.PDF	PDF	17085.000000	149	2013-01-17	2013-05-08	5732
7/11-1	REPORTED BY LICENSEE	149_7_11_1_VELOCITY_SURVEY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_VELOCITY_SURVEY.PDF	PDF	2821.000000	149	2013-01-17	2013-05-08	5733
7/11-1	REPORTED BY LICENSEE	149_7_11_1_VELOG_PROCESSING_COD_FIELD	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_VELOG_PROCESSING_COD_FIELD.PDF	PDF	9239.000000	149	2013-01-17	2013-05-08	5734
7/11-1	REPORTED BY LICENSEE	149_7_11_1_WELL_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_WELL_COMPLETION_REPORT.PDF	PDF	1607.000000	149	2013-01-17	2013-05-08	5735
7/11-1	REPORTED BY LICENSEE	149_7_11_1_WELL_COMPLETION_REPORT_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_WELL_COMPLETION_REPORT_1.PDF	PDF	1589.000000	149	2013-01-17	2013-05-08	5736
7/11-1	REPORTED BY LICENSEE	149_7_11_1_WET_SAMPLES	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/149_7_11_1_WET_SAMPLES.PDF	PDF	73.000000	149	2013-01-17	2013-05-08	5737
7/11-10 S	OLD NPD WDSS	1563_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1563_01_WDSS_General_Information.pdf	pdf	224.000000	1563	9999-12-31	2013-05-08	5738
7/11-10 S	OLD NPD WDSS	1563_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1563_02_WDSS_completion_log.pdf	pdf	232.000000	1563	9999-12-31	2013-05-08	5739
7/11-2	NPD PAPER	156_01_NPD_Paper_No.10_Lithology__Well_7_11_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/156_01_NPD_Paper_No.10_Lithology__Well_7_11_2.pdf	pdf	24448.000000	156	9999-12-31	2013-05-08	5740
7/11-2	NPD PAPER	156_02_NPD_Paper_No.10_Lithologic_Correlation_chart__Well_7_11_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/156_02_NPD_Paper_No.10_Lithologic_Correlation_chart__Well_7_11_2.pdf	pdf	32571.000000	156	9999-12-31	2013-05-08	5741
7/11-2	NPD PAPER	156_03_NPD_Paper_No.10_Paleocene_Correlation_map__Well_7_11_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/156_03_NPD_Paper_No.10_Paleocene_Correlation_map__Well_7_11_2.pdf	pdf	12361.000000	156	9999-12-31	2013-05-08	5742
7/11-2	OLD NPD WDSS	156_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/156_01_WDSS_General_Information.pdf	pdf	201.000000	156	9999-12-31	2013-05-08	5743
7/11-2	REPORTED BY LICENSEE	156_7_11_2_AAODC_REPORTS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_AAODC_REPORTS.PDF	PDF	20613.000000	156	2013-01-17	2013-05-08	5744
7/11-2	REPORTED BY LICENSEE	156_7_11_2_CHANGE_IN_DRILLING_PROGRAM_ON_EXPLORATORY_TEST	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_CHANGE_IN_DRILLING_PROGRAM_ON_EXPLORATORY_TEST.PDF	PDF	593.000000	156	2013-01-17	2013-05-08	5745
7/11-2	REPORTED BY LICENSEE	156_7_11_2_CLASTIC_SEDIMENTS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_CLASTIC_SEDIMENTS.PDF	PDF	1793.000000	156	2013-01-17	2013-05-08	5746
7/11-2	REPORTED BY LICENSEE	156_7_11_2_COD	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_COD.PDF	PDF	509.000000	156	2013-01-17	2013-05-08	5747
7/11-2	REPORTED BY LICENSEE	156_7_11_2_COMPLEX_LITHOLOGY_ANALYSIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_COMPLEX_LITHOLOGY_ANALYSIS.PDF	PDF	19991.000000	156	2013-01-17	2013-05-08	5748
7/11-2	REPORTED BY LICENSEE	156_7_11_2_CONTINENTAL_SHELF_DRILL_CUTTINGS_AND_CORE_SAMPLES	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_CONTINENTAL_SHELF_DRILL_CUTTINGS_AND_CORE_SAMPLES.PDF	PDF	89.000000	156	2013-01-17	2013-05-08	5749
7/11-2	REPORTED BY LICENSEE	156_7_11_2_CORE_ANALYSIS_RESULTS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_CORE_ANALYSIS_RESULTS.PDF	PDF	247.000000	156	2013-01-17	2013-05-08	5750
7/11-2	REPORTED BY LICENSEE	156_7_11_2_DRILL_STEM_TEST_DATA_TEST-NO-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_DRILL_STEM_TEST_DATA_TEST-NO-1.PDF	PDF	1732.000000	156	2013-01-17	2013-05-08	5751
7/11-2	REPORTED BY LICENSEE	156_7_11_2_DRILL_STEM_TEST_DATA_TEST_NO-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_DRILL_STEM_TEST_DATA_TEST_NO-2.PDF	PDF	5016.000000	156	2013-01-17	2013-05-08	5752
7/11-2	REPORTED BY LICENSEE	156_7_11_2_DRILL_STEM_TEST_DATA_TEST_NO-3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_DRILL_STEM_TEST_DATA_TEST_NO-3.PDF	PDF	3434.000000	156	2013-01-17	2013-05-08	5753
7/11-2	REPORTED BY LICENSEE	156_7_11_2_HIGH_RESOLUTION_DIPMETER-REF-02	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_HIGH_RESOLUTION_DIPMETER-REF-02.PDF	PDF	3327.000000	156	2013-01-17	2013-05-08	5754
7/11-2	REPORTED BY LICENSEE	156_7_11_2_HIGH_RESOLUTION_DIPMETER_REF-24	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_HIGH_RESOLUTION_DIPMETER_REF-24.PDF	PDF	2218.000000	156	2013-01-17	2013-05-08	5755
7/11-2	REPORTED BY LICENSEE	156_7_11_2_INDIVIDUAL_WELL_RECORD	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_INDIVIDUAL_WELL_RECORD.PDF	PDF	12507.000000	156	2013-01-17	2013-05-08	5756
7/11-2	REPORTED BY LICENSEE	156_7_11_2_INTERNATIONAL_DEPARTMENT_INDIVIDUAL_WELL_RECORD	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_INTERNATIONAL_DEPARTMENT_INDIVIDUAL_WELL_RECORD.PDF	PDF	69811.000000	156	2013-01-17	2013-05-08	5757
7/11-2	REPORTED BY LICENSEE	156_7_11_2_LOGGING_RAPPORT_AV_PALEOCEN	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_LOGGING_RAPPORT_AV_PALEOCEN.PDF	PDF	161.000000	156	2013-01-17	2013-05-08	5758
7/11-2	REPORTED BY LICENSEE	156_7_11_2_MICROPALAEONTOLOGICAL_CHART	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_MICROPALAEONTOLOGICAL_CHART.PDF	PDF	10140.000000	156	2013-01-17	2013-05-08	5759
7/11-2	REPORTED BY LICENSEE	156_7_11_2_RESERVOIR_FLUID_STUDY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_RESERVOIR_FLUID_STUDY.PDF	PDF	4887.000000	156	2013-01-17	2013-05-08	5760
7/11-2	REPORTED BY LICENSEE	156_7_11_2_SEDIMENTOLOGY_STUDY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_SEDIMENTOLOGY_STUDY.PDF	PDF	7070.000000	156	2013-01-17	2013-05-08	5761
7/11-2	REPORTED BY LICENSEE	156_7_11_2_SIDEWALL_CORE_FORM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_SIDEWALL_CORE_FORM.PDF	PDF	104.000000	156	2013-01-17	2013-05-08	5762
7/11-2	REPORTED BY LICENSEE	156_7_11_2_SURFACE_AND_BOTTOM_HOLE_READINGS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_SURFACE_AND_BOTTOM_HOLE_READINGS.PDF	PDF	1378.000000	156	2013-01-17	2013-05-08	5763
7/11-2	REPORTED BY LICENSEE	156_7_11_2_SURVEY_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_SURVEY_REPORT.PDF	PDF	1075.000000	156	2013-01-17	2013-05-08	5764
7/11-2	REPORTED BY LICENSEE	156_7_11_2_TEMPORARY_SUSPENSION_PROCEDURE	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_TEMPORARY_SUSPENSION_PROCEDURE.PDF	PDF	153.000000	156	2013-01-17	2013-05-08	5765
7/11-2	REPORTED BY LICENSEE	156_7_11_2_THE_MICROPALAEONTOLOGY_AND_STRATIGRAPHY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_THE_MICROPALAEONTOLOGY_AND_STRATIGRAPHY.PDF	PDF	734.000000	156	2013-01-17	2013-05-08	5766
7/11-2	REPORTED BY LICENSEE	156_7_11_2_WELL_COMPLETION_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_WELL_COMPLETION_REPORT.PDF	PDF	13781.000000	156	2013-01-17	2013-05-08	5767
7/11-2	REPORTED BY LICENSEE	156_7_11_2_WELL_COMPLETION_REPORT_PRODUCTION_LICENSE_018	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_WELL_COMPLETION_REPORT_PRODUCTION_LICENSE_018.PDF	PDF	1745.000000	156	2013-01-17	2013-05-08	5768
7/11-2	REPORTED BY LICENSEE	156_7_11_2_WELL_PRODUCTION_TEST_DST_NO-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_WELL_PRODUCTION_TEST_DST_NO-1.PDF	PDF	5006.000000	156	2013-01-17	2013-05-08	5769
7/11-2	REPORTED BY LICENSEE	156_7_11_2_WELL_PRODUCTION_TEST_DST_NO-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_WELL_PRODUCTION_TEST_DST_NO-2.PDF	PDF	2871.000000	156	2013-01-17	2013-05-08	5770
7/11-2	REPORTED BY LICENSEE	156_7_11_2_WELL_PRODUCTION_TEST_DST_NO-3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/156_7_11_2_WELL_PRODUCTION_TEST_DST_NO-3.PDF	PDF	308.000000	156	2013-01-17	2013-05-08	5771
7/11-3	GEOCHEMICAL INFORMATION	159_GCH_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/159_GCH_1.pdf	pdf	858.000000	159	2013-01-17	2013-05-08	5772
7/11-3	GEOCHEMICAL INFORMATION	159_GCH_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/159_GCH_2.pdf	pdf	894.000000	159	2013-01-17	2013-05-08	5773
7/11-3	NPD PAPER	159_01_NPD_Paper_No.10_Lithology__Well_7_11_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/159_01_NPD_Paper_No.10_Lithology__Well_7_11_3.pdf	pdf	24448.000000	159	9999-12-31	2013-05-08	5774
7/11-3	NPD PAPER	159_02_NPD_Paper_No.10_Lithologic_Correlation_chart__Well_7_11_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/159_02_NPD_Paper_No.10_Lithologic_Correlation_chart__Well_7_11_3.pdf	pdf	32571.000000	159	9999-12-31	2013-05-08	5775
7/11-3	NPD PAPER	159_03_NPD_Paper_No.10_Paleocene_Correlation_map__Well_7_11_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/159_03_NPD_Paper_No.10_Paleocene_Correlation_map__Well_7_11_3.pdf	pdf	12361.000000	159	9999-12-31	2013-05-08	5776
7/11-3	OLD NPD WDSS	159_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/159_01_WDSS_General_Information.pdf	pdf	204.000000	159	9999-12-31	2013-05-08	5777
7/11-3	REPORTED BY LICENSEE	159_7_11_3_AAODC_REPORTS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_AAODC_REPORTS.PDF	PDF	16168.000000	159	2013-01-17	2013-05-08	5778
7/11-3	REPORTED BY LICENSEE	159_7_11_3_CLASTIC_SEDIMENTS_OF_WELLS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_CLASTIC_SEDIMENTS_OF_WELLS.PDF	PDF	2642.000000	159	2013-01-17	2013-05-08	5779
7/11-3	REPORTED BY LICENSEE	159_7_11_3_COMPLEX_LITHOLOGY_ANALYSIS	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_COMPLEX_LITHOLOGY_ANALYSIS.PDF	PDF	9077.000000	159	2013-01-17	2013-05-08	5780
7/11-3	REPORTED BY LICENSEE	159_7_11_3_CORE_LABORATORIES	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_CORE_LABORATORIES.PDF	PDF	809.000000	159	2013-01-17	2013-05-08	5781
7/11-3	REPORTED BY LICENSEE	159_7_11_3_DRILLING_FLUID_SUMMARY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_DRILLING_FLUID_SUMMARY.PDF	PDF	2878.000000	159	2013-01-17	2013-05-08	5782
7/11-3	REPORTED BY LICENSEE	159_7_11_3_DRILL_STEM_TEST_DATA_TEST_NO-6	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_DRILL_STEM_TEST_DATA_TEST_NO-6.PDF	PDF	1221.000000	159	2013-01-17	2013-05-08	5783
7/11-3	REPORTED BY LICENSEE	159_7_11_3_DRILL_STEM_TEST_DATA_TEST_NO-7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_DRILL_STEM_TEST_DATA_TEST_NO-7.PDF	PDF	1823.000000	159	2013-01-17	2013-05-08	5784
7/11-3	REPORTED BY LICENSEE	159_7_11_3_DRILL_STEM_TEST_DATA_TEST_NO-8	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_DRILL_STEM_TEST_DATA_TEST_NO-8.PDF	PDF	1247.000000	159	2013-01-17	2013-05-08	5785
7/11-3	REPORTED BY LICENSEE	159_7_11_3_DST_NO_1_SUMMARY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_DST_NO_1_SUMMARY.PDF	PDF	811.000000	159	2013-01-17	2013-05-08	5786
7/11-3	REPORTED BY LICENSEE	159_7_11_3_EXPLORATORY_TEST_DRILLING_VESSEL_OCEAN_TRAVELER	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_EXPLORATORY_TEST_DRILLING_VESSEL_OCEAN_TRAVELER.PDF	PDF	476.000000	159	2013-01-17	2013-05-08	5787
7/11-3	REPORTED BY LICENSEE	159_7_11_3_GEOCHEM	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_GEOCHEM.PDF	PDF	117.000000	159	2013-01-17	2013-05-08	5788
7/11-3	REPORTED BY LICENSEE	159_7_11_3_KONTINENTALSOKKELEN_BORETILLATELSE_NR-20	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_KONTINENTALSOKKELEN_BORETILLATELSE_NR-20.PDF	PDF	72.000000	159	2013-01-17	2013-05-08	5789
7/11-3	REPORTED BY LICENSEE	159_7_11_3_PRELIMINARY_GCH_REPOR_NO-7	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_PRELIMINARY_GCH_REPOR_NO-7.PDF	PDF	565.000000	159	2013-01-17	2013-05-08	5790
7/11-3	REPORTED BY LICENSEE	159_7_11_3_SAND_DISTRIBUTION_WITHIN_THE_PALEOCENE	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_SAND_DISTRIBUTION_WITHIN_THE_PALEOCENE.PDF	PDF	12033.000000	159	2013-01-17	2013-05-08	5791
7/11-3	REPORTED BY LICENSEE	159_7_11_3_SYNTHETIC_SEISMOIGRAM_REPORT	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_SYNTHETIC_SEISMOIGRAM_REPORT.PDF	PDF	3679.000000	159	2013-01-17	2013-05-08	5792
7/11-3	REPORTED BY LICENSEE	159_7_11_3_THE_MICROPALAEONTOLOGY_AND_STRATIGRAPHY	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_THE_MICROPALAEONTOLOGY_AND_STRATIGRAPHY.PDF	PDF	8884.000000	159	2013-01-17	2013-05-08	5793
7/11-3	REPORTED BY LICENSEE	159_7_11_3_WELL_COMPLETION_REPORT-1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_WELL_COMPLETION_REPORT-1.PDF	PDF	2591.000000	159	2013-01-17	2013-05-08	5794
7/11-3	REPORTED BY LICENSEE	159_7_11_3_WELL_COMPLETION_REPORT-2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_WELL_COMPLETION_REPORT-2.PDF	PDF	2317.000000	159	2013-01-17	2013-05-08	5795
7/11-3	REPORTED BY LICENSEE	159_7_11_3_WELL_PRODUCTION_TEST	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_WELL_PRODUCTION_TEST.PDF	PDF	1641.000000	159	2013-01-17	2013-05-08	5796
7/11-3	REPORTED BY LICENSEE	159_7_11_3_WELL_PRODUCTION_TEST_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/159_7_11_3_WELL_PRODUCTION_TEST_2.PDF	PDF	3250.000000	159	2013-01-17	2013-05-08	5797
7/11-4	NPD PAPER	167_01_NPD_Paper_No.10_Lithology__Well_7_11_4	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/167_01_NPD_Paper_No.10_Lithology__Well_7_11_4.pdf	pdf	24448.000000	167	9999-12-31	2013-05-08	5798
7/11-4	NPD PAPER	167_02_NPD_Paper_No.10_Lithologic_Correlation_chart__Well_7_11_4	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/167_02_NPD_Paper_No.10_Lithologic_Correlation_chart__Well_7_11_4.pdf	pdf	32571.000000	167	9999-12-31	2013-05-08	5799
7/11-4	NPD PAPER	167_03_NPD_Paper_No.10_Paleocene_Correlation_map__Well_7_11_4	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/167_03_NPD_Paper_No.10_Paleocene_Correlation_map__Well_7_11_4.pdf	pdf	12361.000000	167	9999-12-31	2013-05-08	5800
7/11-4	OLD NPD WDSS	167_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/167_01_WDSS_General_Information.pdf	pdf	176.000000	167	9999-12-31	2013-05-08	5801
7/11-4	REPORTED BY LICENSEE	167_01_Completion_Report_and_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/167_01_Completion_Report_and_Completion_Log.pdf	pdf	45548.000000	167	9999-12-31	2013-05-08	5802
7/11-4	REPORTED BY LICENSEE	167_02_Daily_Drilling_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/167_02_Daily_Drilling_Report.pdf	pdf	5928.000000	167	9999-12-31	2013-05-08	5803
7/11-5	COMPOSITE LOG	42	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/42.pdf	pdf	769.000000	42	9999-12-31	2013-05-08	5804
7/11-5	GEOCHEMICAL INFORMATION	42_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/42_1.pdf	pdf	1286.000000	42	9999-12-31	2013-05-08	5805
7/11-5	GEOCHEMICAL INFORMATION	42_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/42_2.pdf	pdf	2121.000000	42	9999-12-31	2013-05-08	5806
7/11-5	GEOCHEMICAL INFORMATION	42_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/42_3.pdf	pdf	1745.000000	42	9999-12-31	2013-05-08	5807
7/11-5	GEOCHEMICAL INFORMATION	42_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/42_4.pdf	pdf	2546.000000	42	9999-12-31	2013-05-08	5808
7/11-5	OLD NPD WDSS	42_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/42_01_WDSS_General_Information.pdf	pdf	183.000000	42	9999-12-31	2013-05-08	5809
7/11-5	OLD NPD WDSS	42_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/42_02_WDSS_completion_log.pdf	pdf	299.000000	42	9999-12-31	2013-05-08	5810
7/11-5	REPORTED BY LICENSEE	42_01_7_11_5_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/42_01_7_11_5_Completion_Report.pdf	pdf	11666.000000	42	9999-12-31	2013-05-08	5811
7/11-5	REPORTED BY LICENSEE	42_02_7_11_5_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/42_02_7_11_5_Completion_log.pdf	pdf	3123.000000	42	9999-12-31	2013-05-08	5812
7/11-6	COMPOSITE LOG	86	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/86.pdf	pdf	787.000000	86	9999-12-31	2013-05-08	5813
7/11-6	GEOCHEMICAL INFORMATION	86_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/86_1.pdf	pdf	415.000000	86	9999-12-31	2013-05-08	5814
7/11-6	GEOCHEMICAL INFORMATION	86_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/86_2.pdf	pdf	2223.000000	86	9999-12-31	2013-05-08	5815
7/11-6	OLD NPD WDSS	86_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/86_01_WDSS_General_Information.pdf	pdf	160.000000	86	9999-12-31	2013-05-08	5816
7/11-6	OLD NPD WDSS	86_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/86_02_WDSS_completion_log.pdf	pdf	298.000000	86	9999-12-31	2013-05-08	5817
7/11-6	REPORTED BY LICENSEE	86_01_7_11_06_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/86_01_7_11_06_Completion_Report.pdf	pdf	10643.000000	86	9999-12-31	2013-05-08	5818
7/11-6	REPORTED BY LICENSEE	86_02_7_11_6_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/86_02_7_11_6_Completion_log.pdf	pdf	2783.000000	86	9999-12-31	2013-05-08	5819
7/11-7	GEOCHEMICAL INFORMATION	57_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/57_1.pdf	pdf	4837.000000	57	9999-12-31	2013-05-08	5820
7/11-7	OLD NPD WDSS	57_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/57_01_WDSS_General_Information.pdf	pdf	196.000000	57	9999-12-31	2013-05-08	5821
7/11-7	OLD NPD WDSS	57_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/57_02_WDSS_completion_log.pdf	pdf	423.000000	57	9999-12-31	2013-05-08	5822
7/11-7	REPORTED BY LICENSEE	57_01_7_11_7_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_01_7_11_7_Completion_Report_and_Completion_log.pdf	pdf	95215.000000	57	9999-12-31	2013-05-08	5823
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Biostratigraphy_of_the_Interval	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Biostratigraphy_of_the_Interval.pdf	pdf	2807.000000	57	9999-12-31	2013-05-08	5824
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Calcinity_on_6_Samples	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Calcinity_on_6_Samples.pdf	pdf	60.000000	57	9999-12-31	2013-05-08	5825
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Cored_Interval	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Cored_Interval.pdf	pdf	13129.000000	57	9999-12-31	2013-05-08	5826
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Core_Analysis_Jurassic	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Core_Analysis_Jurassic.pdf	pdf	1109.000000	57	9999-12-31	2013-05-08	5827
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Core_Analysis_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Core_Analysis_Report.pdf	pdf	433.000000	57	9999-12-31	2013-05-08	5828
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Core_Log_Chart	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Core_Log_Chart.pdf	pdf	272.000000	57	9999-12-31	2013-05-08	5829
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Coring_Analysis_Jurassic_Sandst	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Coring_Analysis_Jurassic_Sandst.pdf	pdf	1167.000000	57	9999-12-31	2013-05-08	5830
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Geochemical_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Geochemical_Analysis.pdf	pdf	1958.000000	57	9999-12-31	2013-05-08	5831
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Investigation_of_Bailed_Sample_I	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Investigation_of_Bailed_Sample_I.pdf	pdf	645.000000	57	9999-12-31	2013-05-08	5832
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Investigation_of_Bailed_Sample_II	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Investigation_of_Bailed_Sample_II.pdf	pdf	265.000000	57	9999-12-31	2013-05-08	5833
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Palynological_Study_of_the_Interval	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Palynological_Study_of_the_Interval.pdf	pdf	278.000000	57	9999-12-31	2013-05-08	5834
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Partial_Rock_Analysis_Triassic	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Partial_Rock_Analysis_Triassic.pdf	pdf	1982.000000	57	9999-12-31	2013-05-08	5835
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Partial_Rock_Analysis_Zechstein	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Partial_Rock_Analysis_Zechstein.pdf	pdf	1170.000000	57	9999-12-31	2013-05-08	5836
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Routine_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Routine_Core_Analysis.pdf	pdf	270.000000	57	9999-12-31	2013-05-08	5837
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Routine_Core_Analysis_I	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Routine_Core_Analysis_I.pdf	pdf	342.000000	57	9999-12-31	2013-05-08	5838
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Routine_Sidewall_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Routine_Sidewall_Core_Analysis.pdf	pdf	2083.000000	57	9999-12-31	2013-05-08	5839
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Sidewall_Core_Description	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Sidewall_Core_Description.pdf	pdf	258.000000	57	9999-12-31	2013-05-08	5840
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Source_Rock_Evaluation	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Source_Rock_Evaluation.pdf	pdf	2639.000000	57	9999-12-31	2013-05-08	5841
7/11-7	REPORTED BY LICENSEE	57_7_11_7_Special_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/57_7_11_7_Special_Core_Analysis.pdf	pdf	3563.000000	57	9999-12-31	2013-05-08	5842
7/11-8	COMPOSITE LOG	30	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/30.pdf	pdf	875.000000	30	9999-12-31	2013-05-08	5843
7/11-8	GEOCHEMICAL INFORMATION	30_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/30_1.pdf	pdf	617.000000	30	9999-12-31	2013-05-08	5844
7/11-8	GEOCHEMICAL INFORMATION	30_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/30_2.pdf	pdf	1525.000000	30	9999-12-31	2013-05-08	5845
7/11-8	OLD NPD WDSS	30_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/30_01_WDSS_General_Information.pdf	pdf	172.000000	30	9999-12-31	2013-05-08	5846
7/11-8	OLD NPD WDSS	30_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/30_02_WDSS_completion_log.pdf	pdf	396.000000	30	9999-12-31	2013-05-08	5847
7/11-8	REPORTED BY LICENSEE	30_01_7_11_8_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/30_01_7_11_8_Completion_Report_and_Completion_log.pdf	pdf	17570.000000	30	9999-12-31	2013-05-08	5848
7/11-9	OLD NPD WDSS	856_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/856_01_WDSS_General_Information.pdf	pdf	253.000000	856	9999-12-31	2013-05-08	5849
7/11-9	OLD NPD WDSS	856_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/856_02_WDSS_completion_log.pdf	pdf	342.000000	856	9999-12-31	2013-05-08	5850
7/12-1 S	OLD NPD WDSS	157_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/157_01_WDSS_General_Information.pdf	pdf	194.000000	157	9999-12-31	2013-05-08	5851
7/12-10	OLD NPD WDSS	1557_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1557_01_WDSS_General_Information.pdf	pdf	435.000000	1557	9999-12-31	2013-05-08	5852
7/12-10	OLD NPD WDSS	1557_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1557_02_WDSS_completion_log.pdf	pdf	201.000000	1557	9999-12-31	2013-05-08	5853
7/12-11	COMPOSITE LOG	1787	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1787.pdf	pdf	465.000000	1787	9999-12-31	2013-05-08	5854
7/12-11	OLD NPD WDSS	1787_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1787_01_WDSS_General_Information.pdf	pdf	424.000000	1787	9999-12-31	2013-05-08	5855
7/12-11	OLD NPD WDSS	1787_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1787_02_WDSS_completion_log.pdf	pdf	214.000000	1787	9999-12-31	2013-05-08	5856
7/12-2	OLD NPD WDSS	295_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/295_01_WDSS_General_Information.pdf	pdf	279.000000	295	9999-12-31	2013-05-08	5857
7/12-2 R	OLD NPD WDSS	454_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/454_01_WDSS_General_Information.pdf	pdf	125.000000	454	9999-12-31	2013-05-08	5858
7/12-3	OLD NPD WDSS	296_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/296_01_WDSS_General_Information.pdf	pdf	245.000000	296	9999-12-31	2013-05-08	5859
7/12-4	OLD NPD WDSS	298_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/298_01_WDSS_General_Information.pdf	pdf	255.000000	298	9999-12-31	2013-05-08	5860
7/12-4 R	OLD NPD WDSS	518_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/518_01_WDSS_General_Information.pdf	pdf	102.000000	518	9999-12-31	2013-05-08	5861
7/12-5	OLD NPD WDSS	299_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/299_01_WDSS_General_Information.pdf	pdf	101.000000	299	9999-12-31	2013-05-08	5862
7/12-5	OLD NPD WDSS	299_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/299_02_WDSS_completion_log.pdf	pdf	308.000000	299	9999-12-31	2013-05-08	5863
7/12-6	GEOCHEMICAL INFORMATION	281_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/281_1.pdf	pdf	1209.000000	281	9999-12-31	2013-05-08	5864
7/12-6	GEOCHEMICAL INFORMATION	281_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/281_2.pdf	pdf	5391.000000	281	9999-12-31	2013-05-08	5865
7/12-6	GEOCHEMICAL INFORMATION	281_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/281_3.pdf	pdf	351.000000	281	9999-12-31	2013-05-08	5866
7/12-6	OLD NPD WDSS	281_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/281_01_WDSS_General_Information.pdf	pdf	107.000000	281	9999-12-31	2013-05-08	5867
7/12-6	OLD NPD WDSS	281_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/281_02_WDSS_completion_log.pdf	pdf	270.000000	281	9999-12-31	2013-05-08	5868
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Completionh_report_I	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Completionh_report_I.pdf	pdf	18367.000000	281	9999-12-31	2013-05-08	5869
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Completion_log.pdf	pdf	2338.000000	281	9999-12-31	2013-05-08	5870
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Completion_report_II	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Completion_report_II.pdf	pdf	29482.000000	281	9999-12-31	2013-05-08	5871
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Drill_stem_testing_field_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Drill_stem_testing_field_report.pdf	pdf	27737.000000	281	9999-12-31	2013-05-08	5872
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Evaluation_of_core_data	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Evaluation_of_core_data.pdf	pdf	297.000000	281	9999-12-31	2013-05-08	5873
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Formation_Evaluation_Study_of_Ula_Field	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Formation_Evaluation_Study_of_Ula_Field.pdf	pdf	37341.000000	281	9999-12-31	2013-05-08	5874
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Formation_testing_service_report_DST_NO_1C	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Formation_testing_service_report_DST_NO_1C.pdf	pdf	5333.000000	281	9999-12-31	2013-05-08	5875
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Formation_testing_service_report_DST_NO_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Formation_testing_service_report_DST_NO_2.pdf	pdf	3872.000000	281	9999-12-31	2013-05-08	5876
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Geological_ Evaluation_of_the_Triassic_oil_Discovery	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Geological_ Evaluation_of_the_Triassic_oil_Discovery.pdf	pdf	3949.000000	281	9999-12-31	2013-05-08	5877
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Geological_Evaluation_of_the_Triassic_oil_Discovery	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Geological_Evaluation_of_the_Triassic_oil_Discovery.pdf	pdf	3982.000000	281	9999-12-31	2013-05-08	5878
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Injection_testing_measurement_DST_NO_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Injection_testing_measurement_DST_NO_2.pdf	pdf	2595.000000	281	9999-12-31	2013-05-08	5879
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Petroleum_Engineering_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Petroleum_Engineering_Completion_Report.pdf	pdf	29482.000000	281	9999-12-31	2013-05-08	5880
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Pressure_survey_report_DST_NO_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Pressure_survey_report_DST_NO_2.pdf	pdf	4314.000000	281	9999-12-31	2013-05-08	5881
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Reservoir_fluid_study_DST_NO_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Reservoir_fluid_study_DST_NO_1.pdf	pdf	1657.000000	281	9999-12-31	2013-05-08	5882
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Reservoir_fluid_study_DST_NO_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Reservoir_fluid_study_DST_NO_2.pdf	pdf	1806.000000	281	9999-12-31	2013-05-08	5883
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Sampling_and_gas_analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Sampling_and_gas_analysis.pdf	pdf	681.000000	281	9999-12-31	2013-05-08	5884
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Sedimentology_and_Diagenesis_of_Triassic_Cored	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Sedimentology_and_Diagenesis_of_Triassic_Cored.pdf	pdf	45038.000000	281	9999-12-31	2013-05-08	5885
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Special_core_analysis_study_UKSCAL-311-811891	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Special_core_analysis_study_UKSCAL-311-811891.pdf	pdf	13490.000000	281	9999-12-31	2013-05-08	5886
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Special_core_analysis_study_UKSCAL-311-811893	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Special_core_analysis_study_UKSCAL-311-811893.pdf	pdf	3883.000000	281	9999-12-31	2013-05-08	5887
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Special_Fluid_Study_DST_NO_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Special_Fluid_Study_DST_NO_2.pdf	pdf	990.000000	281	9999-12-31	2013-05-08	5888
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Specia_core_analysis_study_UKSAL-311-811892	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Specia_core_analysis_study_UKSAL-311-811892.pdf	pdf	11312.000000	281	9999-12-31	2013-05-08	5889
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Temperature_Survey_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Temperature_Survey_Report.pdf	pdf	2961.000000	281	9999-12-31	2013-05-08	5890
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Testing_procedures	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Testing_procedures.pdf	pdf	2670.000000	281	9999-12-31	2013-05-08	5891
7/12-6	REPORTED BY LICENSEE	281_7_12_6_The_sedimentology_and_reservoir_geology	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_The_sedimentology_and_reservoir_geology.pdf	pdf	207046.000000	281	9999-12-31	2013-05-08	5892
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Well_testing_Report_annexes	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Well_testing_Report_annexes.pdf	pdf	9830.000000	281	9999-12-31	2013-05-08	5893
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Well_testing_Report_DST_NO.1C	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Well_testing_Report_DST_NO.1C.pdf	pdf	10255.000000	281	9999-12-31	2013-05-08	5894
7/12-6	REPORTED BY LICENSEE	281_7_12_6_Well_testing_Report_DST_NO.2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/281_7_12_6_Well_testing_Report_DST_NO.2.pdf	pdf	11874.000000	281	9999-12-31	2013-05-08	5895
7/12-7 R	OLD NPD WDSS	1413_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1413_01_WDSS_General_Information.pdf	pdf	211.000000	1413	9999-12-31	2013-05-08	5896
7/12-7 R	OLD NPD WDSS	1413_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1413_02_WDSS_completion_log.pdf	pdf	252.000000	1413	9999-12-31	2013-05-08	5897
7/12-8	OLD NPD WDSS	1311_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1311_01_WDSS_General_Information.pdf	pdf	210.000000	1311	9999-12-31	2013-05-08	5898
7/12-8	OLD NPD WDSS	1311_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1311_02_WDSS_completion_log.pdf	pdf	253.000000	1311	9999-12-31	2013-05-08	5899
7/12-9	OLD NPD WDSS	1470_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1470_01_WDSS_General_Information.pdf	pdf	227.000000	1470	9999-12-31	2013-05-08	5900
7/12-9	OLD NPD WDSS	1470_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1470_02_WDSS_completion_log.pdf	pdf	204.000000	1470	9999-12-31	2013-05-08	5901
7/3-1	COMPOSITE LOG	164	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/164.pdf	pdf	389.000000	164	9999-12-31	2013-05-08	5902
7/3-1	GEOCHEMICAL INFORMATION	164_1_Preliminary results of Petroleum Geochemical Studies_1978	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/164_1_Preliminary results of Petroleum Geochemical Studies_1978.pdf	pdf	434.000000	164	9999-12-31	2013-05-08	5903
7/3-1	NPD PAPER	164_01_NPD_Paper_No.20_Lithology__Well_7_3_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/164_01_NPD_Paper_No.20_Lithology__Well_7_3_1.pdf	pdf	10625.000000	164	9999-12-31	2013-05-08	5904
7/3-1	NPD PAPER	164_02_NPD_Paper_No.20_Interpreted_Lithology_log__Well_7_3_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/164_02_NPD_Paper_No.20_Interpreted_Lithology_log__Well_7_3_1.pdf	pdf	86415.000000	164	9999-12-31	2013-05-08	5905
7/3-1	OLD NPD WDSS	164_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/164_01_WDSS_General_Information.pdf	pdf	199.000000	164	9999-12-31	2013-05-08	5906
7/3-1	REPORTED BY LICENSEE	164_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/164_1_Completion_Report.pdf	pdf	11978.000000	164	9999-12-31	2013-05-08	5907
7/4-1	COMPOSITE LOG	2136	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2136.pdf	pdf	322.000000	2136	9999-12-31	2013-05-08	5908
7/4-1	GEOCHEMICAL INFORMATION	2136_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2136_1.pdf	pdf	1422.000000	2136	9999-12-31	2013-05-08	5909
7/4-1	GEOCHEMICAL INFORMATION	2136_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2136_2.pdf	pdf	1012.000000	2136	9999-12-31	2013-05-08	5910
7/7-1	COMPOSITE LOG	1492	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1492.pdf	pdf	574.000000	1492	9999-12-31	2013-05-08	5911
7/7-1	GEOCHEMICAL INFORMATION	1492_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1492_1.pdf	pdf	232.000000	1492	9999-12-31	2013-05-08	5912
7/7-1	OLD NPD WDSS	1492_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1492_01_WDSS_General_Information.pdf	pdf	192.000000	1492	9999-12-31	2013-05-08	5913
7/7-1	OLD NPD WDSS	1492_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1492_02_WDSS_completion_log.pdf	pdf	183.000000	1492	9999-12-31	2013-05-08	5914
7/7-2	GEOCHEMICAL INFORMATION	1868_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1868_1.pdf	pdf	2850.000000	1868	9999-12-31	2013-05-08	5915
7/7-2	OLD NPD WDSS	1868_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1868_01_WDSS_General_Information.pdf	pdf	489.000000	1868	9999-12-31	2013-05-08	5916
7/7-2	OLD NPD WDSS	1868_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1868_02_WDSS_completion_log.pdf	pdf	193.000000	1868	9999-12-31	2013-05-08	5917
7/7-3	COMPOSITE LOG	2113	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2113.pdf	pdf	456.000000	2113	9999-12-31	2013-05-08	5918
7/7-3	GEOCHEMICAL INFORMATION	2113_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2113_1.pdf	pdf	2192.000000	2113	9999-12-31	2013-05-08	5919
7/8-1	NPD PAPER	158_01_NPD_Paper_No.18_Lithology__Well_7_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/158_01_NPD_Paper_No.18_Lithology__Well_7_8_1.pdf	pdf	13524.000000	158	9999-12-31	2013-05-08	5920
7/8-1	NPD PAPER	158_02_NPD_Paper_No.18_Interpreted_Lithology_log__Well_7_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/158_02_NPD_Paper_No.18_Interpreted_Lithology_log__Well_7_8_1.pdf	pdf	50731.000000	158	9999-12-31	2013-05-08	5921
7/8-1	OLD NPD WDSS	158_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/158_01_WDSS_General_Information.pdf	pdf	195.000000	158	9999-12-31	2013-05-08	5922
7/8-1	REPORTED BY LICENSEE	158_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/158_01_Completion_Report.pdf	pdf	4925.000000	158	9999-12-31	2013-05-08	5923
7/8-1	REPORTED BY LICENSEE	158_02_Completion_Log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/158_02_Completion_Log.pdf	pdf	1474.000000	158	9999-12-31	2013-05-08	5924
7/8-2	GEOCHEMICAL INFORMATION	294_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/294_1.pdf	pdf	335.000000	294	9999-12-31	2013-05-08	5925
7/8-2	GEOCHEMICAL INFORMATION	294_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/294_2.pdf	pdf	2608.000000	294	9999-12-31	2013-05-08	5926
7/8-2	OLD NPD WDSS	294_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/294_01_WDSS_General_Information.pdf	pdf	254.000000	294	9999-12-31	2013-05-08	5927
7/8-2	REPORTED BY LICENSEE	294_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/294_01_Completion_Report.pdf	pdf	3805.000000	294	9999-12-31	2013-05-08	5928
7/8-2	REPORTED BY LICENSEE	294_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/294_02_Completion_log.pdf	pdf	849.000000	294	9999-12-31	2013-05-08	5929
7/8-3	COMPOSITE LOG	28	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/28.pdf	pdf	907.000000	28	9999-12-31	2013-05-08	5930
7/8-3	GEOCHEMICAL INFORMATION	28_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/28_1.pdf	pdf	1705.000000	28	9999-12-31	2013-05-08	5931
7/8-3	GEOCHEMICAL INFORMATION	28_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/28_2.pdf	pdf	3001.000000	28	9999-12-31	2013-05-08	5932
7/8-3	GEOCHEMICAL INFORMATION	28_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/28_3.pdf	pdf	765.000000	28	9999-12-31	2013-05-08	5933
7/8-3	GEOCHEMICAL INFORMATION	28_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/28_4.pdf	pdf	2178.000000	28	9999-12-31	2013-05-08	5934
7/8-3	GEOCHEMICAL INFORMATION	28_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/28_5.pdf	pdf	401.000000	28	9999-12-31	2013-05-08	5935
7/8-3	GEOCHEMICAL INFORMATION	28_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/28_6.pdf	pdf	1772.000000	28	9999-12-31	2013-05-08	5936
7/8-3	OLD NPD WDSS	28_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/28_01_WDSS_General_Information.pdf	pdf	183.000000	28	9999-12-31	2013-05-08	5937
7/8-3	OLD NPD WDSS	28_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/28_02_WDSS_completion_log.pdf	pdf	359.000000	28	9999-12-31	2013-05-08	5938
7/8-3	REPORTED BY LICENSEE	28_01_7_8_3_Final_Well_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_01_7_8_3_Final_Well_Report_and_Completion_log.pdf	pdf	9769.000000	28	9999-12-31	2013-05-08	5939
7/8-3	REPORTED BY LICENSEE	28_02_7_8_3_Discovery_report_1984	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_02_7_8_3_Discovery_report_1984.pdf	pdf	7953.000000	28	9999-12-31	2013-05-08	5940
7/8-3	REPORTED BY LICENSEE	28_02_7_8_3_Drill_Stem_Test_Report_1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_02_7_8_3_Drill_Stem_Test_Report_1.pdf	pdf	1965.000000	28	9999-12-31	2013-05-08	5941
7/8-3	REPORTED BY LICENSEE	28_02_7_8_3_Drill_Stem_Test_Report_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_02_7_8_3_Drill_Stem_Test_Report_2.pdf	pdf	1423.000000	28	9999-12-31	2013-05-08	5942
7/8-3	REPORTED BY LICENSEE	28_02_7_8_3_DST_Technical_Report_Test1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_02_7_8_3_DST_Technical_Report_Test1.pdf	pdf	453.000000	28	9999-12-31	2013-05-08	5943
7/8-3	REPORTED BY LICENSEE	28_02_7_8_3_DST_Technical_Report_Test2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_02_7_8_3_DST_Technical_Report_Test2.pdf	pdf	424.000000	28	9999-12-31	2013-05-08	5944
7119/12-2	COMPOSITE LOG	114	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/114.pdf	pdf	375.000000	114	9999-12-31	2013-05-08	5986
7/8-3	REPORTED BY LICENSEE	28_02_7_8_3_Well_Testing_Report_Jurassic_Sand	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_02_7_8_3_Well_Testing_Report_Jurassic_Sand.pdf	pdf	3640.000000	28	9999-12-31	2013-05-08	5945
7/8-3	REPORTED BY LICENSEE	28_03_7_8_3_Geco_Routine_Core_Analysis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_03_7_8_3_Geco_Routine_Core_Analysis.pdf	pdf	252.000000	28	9999-12-31	2013-05-08	5946
7/8-3	REPORTED BY LICENSEE	28_03_7_8_3_Source_Rock_Evaluation_of_Sediments	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_03_7_8_3_Source_Rock_Evaluation_of_Sediments.pdf	pdf	2467.000000	28	9999-12-31	2013-05-08	5947
7/8-3	REPORTED BY LICENSEE	28_03_7_8_3_Upper_Jurassic_Reservoir	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_03_7_8_3_Upper_Jurassic_Reservoir.pdf	pdf	684.000000	28	9999-12-31	2013-05-08	5948
7/8-3	REPORTED BY LICENSEE	28_04_7_8_3_Reservoir_Fluid_Study_DST1	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_04_7_8_3_Reservoir_Fluid_Study_DST1.pdf	pdf	549.000000	28	9999-12-31	2013-05-08	5949
7/8-3	REPORTED BY LICENSEE	28_04_7_8_3_Reservoir_Fluid_Study_DST2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_04_7_8_3_Reservoir_Fluid_Study_DST2.pdf	pdf	721.000000	28	9999-12-31	2013-05-08	5950
7/8-3	REPORTED BY LICENSEE	28_05_7_8_3_Biostratigraphy_of_the_Interval_210m-4320m	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/28_05_7_8_3_Biostratigraphy_of_the_Interval_210m-4320m.pdf	pdf	2663.000000	28	9999-12-31	2013-05-08	5951
7/8-4	GEOCHEMICAL INFORMATION	448_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/448_1.pdf	pdf	1881.000000	448	9999-12-31	2013-05-08	5952
7/8-4	OLD NPD WDSS	448_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/448_01_WDSS_General_Information.pdf	pdf	287.000000	448	9999-12-31	2013-05-08	5953
7/8-4	OLD NPD WDSS	448_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/448_02_WDSS_completion_log.pdf	pdf	315.000000	448	9999-12-31	2013-05-08	5954
7/8-4	REPORTED BY LICENSEE	448_01_7_8_4_Completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/448_01_7_8_4_Completion_report.pdf	pdf	7743.000000	448	9999-12-31	2013-05-08	5955
7/9-1	COMPOSITE LOG	191	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/191.pdf	pdf	285.000000	191	9999-12-31	2013-05-08	5956
7/9-1	GEOCHEMICAL INFORMATION	191_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/191_1.pdf	pdf	342.000000	191	9999-12-31	2013-05-08	5957
7/9-1	GEOCHEMICAL INFORMATION	191_2_prelim_results_geochemical_studies_of_conoco_pelican_gulf_7_9_1_well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/191_2_prelim_results_geochemical_studies_of_conoco_pelican_gulf_7_9_1_well.pdf	pdf	691.000000	191	9999-12-31	2013-05-08	5958
7/9-1	GEOCHEMICAL INFORMATION	191_3_Preliminary_Results_of_Petroleum_Geochemical_Studies	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/191_3_Preliminary_Results_of_Petroleum_Geochemical_Studies.pdf	pdf	364.000000	191	9999-12-31	2013-05-08	5959
7/9-1	NPD PAPER	191_01_NPD_Paper_No.31_Lithology__Norwegian_Danish_Basin__Well_7_9_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/191_01_NPD_Paper_No.31_Lithology__Norwegian_Danish_Basin__Well_7_9_1.pdf	pdf	33179.000000	191	9999-12-31	2013-05-08	5960
7/9-1	NPD PAPER	191_02_NPD_Paper_No.31_Correlation_chart_1__Well_7_9_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/191_02_NPD_Paper_No.31_Correlation_chart_1__Well_7_9_1.pdf	pdf	494.000000	191	9999-12-31	2013-05-08	5961
7/9-1	NPD PAPER	191_03_NPD_Paper_No.31_Correlation_chart_1_II__Well_7_9_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/191_03_NPD_Paper_No.31_Correlation_chart_1_II__Well_7_9_1.pdf	pdf	349.000000	191	9999-12-31	2013-05-08	5962
7/9-1	OLD NPD WDSS	191_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/191_01_WDSS_General_Information.pdf	pdf	157.000000	191	9999-12-31	2013-05-08	5963
7/9-1	REPORTED BY LICENSEE	191_1_Final_Report_Drilling_Operations	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/191_1_Final_Report_Drilling_Operations.pdf	pdf	707.000000	191	9999-12-31	2013-05-08	5964
7/9-1	REPORTED BY LICENSEE	191_2_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/191_2_Completion_Report.pdf	pdf	3814.000000	191	9999-12-31	2013-05-08	5965
7/9-1	REPORTED BY LICENSEE	191_3_Palynological_Analysis_of_the_Jurassic_8000-8400feet	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/191_3_Palynological_Analysis_of_the_Jurassic_8000-8400feet.pdf	pdf	148.000000	191	9999-12-31	2013-05-08	5966
7/9-1	REPORTED BY LICENSEE	191_4_Supplementary_Repor_ on_the_Palynology_Interval_8400-8600	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/191_4_Supplementary_Repor_ on_the_Palynology_Interval_8400-8600.pdf	pdf	296.000000	191	9999-12-31	2013-05-08	5967
7019/1-1	COMPOSITE LOG	4145	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4145.pdf	pdf	394.000000	4145	9999-12-31	2013-05-08	5968
7019/1-1	GEOCHEMICAL INFORMATION	4145_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4145_1.pdf	pdf	1552.000000	4145	9999-12-31	2013-05-08	5969
7117/9-1	COMPOSITE LOG	49	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/49.pdf	pdf	420.000000	49	9999-12-31	2013-05-08	5970
7117/9-1	GEOCHEMICAL INFORMATION	49_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/49_1.pdf	pdf	865.000000	49	9999-12-31	2013-05-08	5971
7117/9-1	OLD NPD WDSS	49_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/49_01_WDSS_General_Information.pdf	pdf	161.000000	49	9999-12-31	2013-05-08	5972
7117/9-1	OLD NPD WDSS	49_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/49_02_WDSS_completion_log.pdf	pdf	196.000000	49	9999-12-31	2013-05-08	5973
7117/9-2	COMPOSITE LOG	13	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/13.pdf	pdf	881.000000	13	9999-12-31	2013-05-08	5974
7117/9-2	GEOCHEMICAL INFORMATION	13_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/13_1.pdf	pdf	21.000000	13	9999-12-31	2013-05-08	5975
7117/9-2	GEOCHEMICAL INFORMATION	13_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/13_2.pdf	pdf	359.000000	13	9999-12-31	2013-05-08	5976
7117/9-2	GEOCHEMICAL INFORMATION	13_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/13_3.pdf	pdf	902.000000	13	9999-12-31	2013-05-08	5977
7117/9-2	OLD NPD WDSS	13_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/13_01_WDSS_General_Information.pdf	pdf	169.000000	13	9999-12-31	2013-05-08	5978
7117/9-2	OLD NPD WDSS	13_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/13_02_WDSS_completion_log.pdf	pdf	466.000000	13	9999-12-31	2013-05-08	5979
7119/12-1	COMPOSITE LOG	121	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/121.pdf	pdf	571.000000	121	9999-12-31	2013-05-08	5980
7119/12-1	GEOCHEMICAL INFORMATION	121_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/121_1.pdf	pdf	6076.000000	121	9999-12-31	2013-05-08	5981
7119/12-1	OLD NPD WDSS	121_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/121_01_WDSS_General_Information.pdf	pdf	124.000000	121	9999-12-31	2013-05-08	5982
7119/12-1	OLD NPD WDSS	121_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/121_02_WDSS_completion_log.pdf	pdf	187.000000	121	9999-12-31	2013-05-08	5983
7119/12-1	REPORTED BY LICENSEE	121_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/121_01_Completion_Report.pdf	pdf	15329.000000	121	9999-12-31	2013-05-08	5984
7119/12-1	REPORTED BY LICENSEE	121_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/121_02_Completion_log.pdf	pdf	1722.000000	121	9999-12-31	2013-05-08	5985
7119/12-2	GEOCHEMICAL INFORMATION	114_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/114_1.pdf	pdf	4465.000000	114	9999-12-31	2013-05-08	5987
7119/12-2	OLD NPD WDSS	114_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/114_01_WDSS_General_Information.pdf	pdf	105.000000	114	9999-12-31	2013-05-08	5988
7119/12-2	OLD NPD WDSS	114_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/114_02_WDSS_completion_log.pdf	pdf	177.000000	114	9999-12-31	2013-05-08	5989
7119/12-2	REPORTED BY LICENSEE	114_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/114_01_Completion_Report.pdf	pdf	16159.000000	114	9999-12-31	2013-05-08	5990
7119/12-2	REPORTED BY LICENSEE	114_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/114_02_Completion_log.pdf	pdf	1208.000000	114	9999-12-31	2013-05-08	5991
7119/12-3	COMPOSITE LOG	17	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/17.pdf	pdf	517.000000	17	9999-12-31	2013-05-08	5992
7119/12-3	GEOCHEMICAL INFORMATION	17_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/17_1.pdf	pdf	2692.000000	17	9999-12-31	2013-05-08	5993
7119/12-3	OLD NPD WDSS	17_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/17_01_WDSS_General_Information.pdf	pdf	172.000000	17	9999-12-31	2013-05-08	5994
7119/12-3	OLD NPD WDSS	17_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/17_02_WDSS_completion_log.pdf	pdf	307.000000	17	9999-12-31	2013-05-08	5995
7119/12-3	REPORTED BY LICENSEE	17_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/17_01_Completion_Report.pdf	pdf	15639.000000	17	9999-12-31	2013-05-08	5996
7119/12-3	REPORTED BY LICENSEE	17_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/17_02_Completion_log.pdf	pdf	1496.000000	17	9999-12-31	2013-05-08	5997
7119/12-4	GEOCHEMICAL INFORMATION	6468_01_7119_12_4_gch_transfer_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6468_01_7119_12_4_gch_transfer_2.txt	txt	0.000000	6468	2013-03-20	2013-05-08	5998
7119/12-4	GEOCHEMICAL INFORMATION	6468_02_7119_12_4_gch_results_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6468_02_7119_12_4_gch_results_2.txt	txt	28.000000	6468	2013-03-20	2013-05-08	5999
7119/7-1	COMPOSITE LOG	21	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/21.pdf	pdf	561.000000	21	9999-12-31	2013-05-08	6000
7119/7-1	GEOCHEMICAL INFORMATION	21_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/21_1.pdf	pdf	986.000000	21	9999-12-31	2013-05-08	6001
7119/7-1	OLD NPD WDSS	21_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/21_01_WDSS_General_Information.pdf	pdf	153.000000	21	9999-12-31	2013-05-08	6002
7119/7-1	OLD NPD WDSS	21_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/21_02_WDSS_completion_log.pdf	pdf	299.000000	21	9999-12-31	2013-05-08	6003
7119/9-1	COMPOSITE LOG	132	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/132.pdf	pdf	516.000000	132	9999-12-31	2013-05-08	6004
7119/9-1	GEOCHEMICAL INFORMATION	132_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/132_1.pdf	pdf	346.000000	132	9999-12-31	2013-05-08	6005
7119/9-1	OLD NPD WDSS	132_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/132_01_WDSS_General_Information.pdf	pdf	231.000000	132	9999-12-31	2013-05-08	6006
7119/9-1	OLD NPD WDSS	132_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/132_02_WDSS_completion_log.pdf	pdf	286.000000	132	9999-12-31	2013-05-08	6007
7120/10-1	COMPOSITE LOG	274	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/274.pdf	pdf	359.000000	274	9999-12-31	2013-05-08	6008
7120/10-1	GEOCHEMICAL INFORMATION	274_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/274_1.pdf	pdf	630.000000	274	9999-12-31	2013-05-08	6009
7120/10-1	OLD NPD WDSS	274_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/274_02_WDSS_completion_log.pdf	pdf	206.000000	274	9999-12-31	2013-05-08	6010
7120/10-1	REPORTED BY LICENSEE	274_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/274_01_Completion_Report.pdf	pdf	9646.000000	274	9999-12-31	2013-05-08	6011
7120/10-1	REPORTED BY LICENSEE	274_02_Geological_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/274_02_Geological_Completion_Report.pdf	pdf	17861.000000	274	9999-12-31	2013-05-08	6012
7120/10-1	REPORTED BY LICENSEE	274_03_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/274_03_Completion_log.pdf	pdf	1474.000000	274	9999-12-31	2013-05-08	6013
7120/10-2	COMPOSITE LOG	1561	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1561.pdf	pdf	341.000000	1561	9999-12-31	2013-05-08	6014
7120/10-2	OLD NPD WDSS	1561_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1561_01_WDSS_General_Information.pdf	pdf	192.000000	1561	9999-12-31	2013-05-08	6015
7120/10-2	OLD NPD WDSS	1561_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1561_02_WDSS_completion_log.pdf	pdf	159.000000	1561	9999-12-31	2013-05-08	6016
7120/1-1	GEOCHEMICAL INFORMATION	484_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/484_1.pdf	pdf	723.000000	484	9999-12-31	2013-05-08	6017
7120/1-1	GEOCHEMICAL INFORMATION	484_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/484_2.pdf	pdf	1569.000000	484	9999-12-31	2013-05-08	6018
7120/1-1 R	GEOCHEMICAL INFORMATION	874_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/874_1.pdf	pdf	723.000000	874	9999-12-31	2013-05-08	6019
7120/1-1 R	GEOCHEMICAL INFORMATION	874_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/874_2.pdf	pdf	1569.000000	874	9999-12-31	2013-05-08	6020
7120/1-1 R2	COMPOSITE LOG	897	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/897.pdf	pdf	739.000000	897	9999-12-31	2013-05-08	6021
7120/1-1 R2	GEOCHEMICAL INFORMATION	897_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/897_1.pdf	pdf	723.000000	897	9999-12-31	2013-05-08	6022
7120/1-1 R2	GEOCHEMICAL INFORMATION	897_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/897_2.pdf	pdf	1569.000000	897	9999-12-31	2013-05-08	6023
7120/1-1 R2	OLD NPD WDSS	897_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/897_01_WDSS_General_Information.pdf	pdf	307.000000	897	9999-12-31	2013-05-08	6024
7120/1-1 R2	OLD NPD WDSS	897_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/897_02_WDSS_completion_log.pdf	pdf	294.000000	897	9999-12-31	2013-05-08	6025
7120/1-2	COMPOSITE LOG	1366	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1366.pdf	pdf	468.000000	1366	9999-12-31	2013-05-08	6026
7120/1-2	GEOCHEMICAL INFORMATION	1366_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1366_1.pdf	pdf	3202.000000	1366	9999-12-31	2013-05-08	6027
7120/1-2	OLD NPD WDSS	1366_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1366_01_WDSS_General_Information.pdf	pdf	264.000000	1366	9999-12-31	2013-05-08	6028
7120/1-2	OLD NPD WDSS	1366_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1366_02_WDSS_completion_log.pdf	pdf	145.000000	1366	9999-12-31	2013-05-08	6029
7120/12-1	COMPOSITE LOG	123	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/123.pdf	pdf	636.000000	123	9999-12-31	2013-05-08	6030
7120/12-1	GEOCHEMICAL INFORMATION	123_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/123_1.pdf	pdf	7499.000000	123	9999-12-31	2013-05-08	6031
7120/12-1	OLD NPD WDSS	123_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/123_01_WDSS_General_Information.pdf	pdf	124.000000	123	9999-12-31	2013-05-08	6032
7120/12-1	OLD NPD WDSS	123_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/123_02_WDSS_completion_log.pdf	pdf	229.000000	123	9999-12-31	2013-05-08	6033
7120/12-1	REPORTED BY LICENSEE	123_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/123_01_Completion_Report.pdf	pdf	9770.000000	123	9999-12-31	2013-05-08	6034
7120/12-1	REPORTED BY LICENSEE	123_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/123_02_Completion_log.pdf	pdf	2456.000000	123	9999-12-31	2013-05-08	6035
7120/12-2	COMPOSITE LOG	122	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/122.pdf	pdf	921.000000	122	9999-12-31	2013-05-08	6036
7120/12-2	GEOCHEMICAL INFORMATION	122_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/122_1.pdf	pdf	6129.000000	122	9999-12-31	2013-05-08	6037
7120/12-2	OLD NPD WDSS	122_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/122_01_WDSS_General_Information.pdf	pdf	117.000000	122	9999-12-31	2013-05-08	6038
7120/12-2	OLD NPD WDSS	122_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/122_02_WDSS_completion_log.pdf	pdf	361.000000	122	9999-12-31	2013-05-08	6039
7120/12-2	REPORTED BY LICENSEE	122_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/122_01_Completion_Report.pdf	pdf	16216.000000	122	9999-12-31	2013-05-08	6040
7120/12-2	REPORTED BY LICENSEE	122_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/122_02_Completion_log.pdf	pdf	3326.000000	122	9999-12-31	2013-05-08	6041
7120/12-3	COMPOSITE LOG	8	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/8.pdf	pdf	401.000000	8	9999-12-31	2013-05-08	6042
7120/12-3	OLD NPD WDSS	8_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/8_01_WDSS_General_Information.pdf	pdf	164.000000	8	9999-12-31	2013-05-08	6043
7120/12-3	OLD NPD WDSS	8_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/8_02_WDSS_completion_log.pdf	pdf	260.000000	8	9999-12-31	2013-05-08	6044
7120/12-3	REPORTED BY LICENSEE	8_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/8_01_Completion_Report.pdf	pdf	5295.000000	8	9999-12-31	2013-05-08	6045
7120/12-3	REPORTED BY LICENSEE	8_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/8_02_Completion_log.pdf	pdf	1374.000000	8	9999-12-31	2013-05-08	6046
7120/12-4	COMPOSITE LOG	99	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/99.pdf	pdf	426.000000	99	9999-12-31	2013-05-08	6047
7120/12-4	GEOCHEMICAL INFORMATION	99_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/99_1.pdf	pdf	3917.000000	99	9999-12-31	2013-05-08	6048
7120/12-4	OLD NPD WDSS	99_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/99_01_WDSS_General_Information.pdf	pdf	158.000000	99	9999-12-31	2013-05-08	6049
7120/12-4	OLD NPD WDSS	99_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/99_02_WDSS_completion_log.pdf	pdf	243.000000	99	9999-12-31	2013-05-08	6050
7120/12-4	REPORTED BY LICENSEE	99_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/99_01_Completion_Report.pdf	pdf	6011.000000	99	9999-12-31	2013-05-08	6051
7120/12-4	REPORTED BY LICENSEE	99_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/99_02_Completion_log.pdf	pdf	1663.000000	99	9999-12-31	2013-05-08	6052
7120/2-1	COMPOSITE LOG	473	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/473.pdf	pdf	662.000000	473	9999-12-31	2013-05-08	6053
7120/2-1	GEOCHEMICAL INFORMATION	473_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/473_1.pdf	pdf	6970.000000	473	9999-12-31	2013-05-08	6054
7120/2-1	GEOCHEMICAL INFORMATION	473_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/473_2.pdf	pdf	8222.000000	473	9999-12-31	2013-05-08	6055
7120/2-1	OLD NPD WDSS	473_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/473_01_WDSS_General_Information.pdf	pdf	330.000000	473	9999-12-31	2013-05-08	6056
7120/2-1	OLD NPD WDSS	473_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/473_02_WDSS_completion_log.pdf	pdf	286.000000	473	9999-12-31	2013-05-08	6057
7120/2-2	COMPOSITE LOG	1690	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1690.pdf	pdf	367.000000	1690	9999-12-31	2013-05-08	6058
7120/2-2	GEOCHEMICAL INFORMATION	1690_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1690_1.pdf	pdf	5177.000000	1690	9999-12-31	2013-05-08	6059
7120/2-2	GEOCHEMICAL INFORMATION	1690_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1690_2.pdf	pdf	5194.000000	1690	9999-12-31	2013-05-08	6060
7120/2-2	GEOCHEMICAL INFORMATION	1690_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1690_3.pdf	pdf	6863.000000	1690	9999-12-31	2013-05-08	6061
7120/2-2	OLD NPD WDSS	1690_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1690_01_WDSS_General_Information.pdf	pdf	642.000000	1690	9999-12-31	2013-05-08	6062
7120/2-2	OLD NPD WDSS	1690_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1690_02_WDSS_completion_log.pdf	pdf	164.000000	1690	9999-12-31	2013-05-08	6063
7120/5-1	COMPOSITE LOG	471	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/471.pdf	pdf	532.000000	471	9999-12-31	2013-05-08	6064
7120/5-1	GEOCHEMICAL INFORMATION	471_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/471_1.pdf	pdf	2682.000000	471	9999-12-31	2013-05-08	6065
7120/5-1	OLD NPD WDSS	471_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/471_01_WDSS_General_Information.pdf	pdf	282.000000	471	9999-12-31	2013-05-08	6066
7120/5-1	OLD NPD WDSS	471_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/471_02_WDSS_completion_log.pdf	pdf	223.000000	471	9999-12-31	2013-05-08	6067
7120/6-1	COMPOSITE LOG	456	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/456.pdf	pdf	470.000000	456	9999-12-31	2013-05-08	6068
7120/6-1	GEOCHEMICAL INFORMATION	456_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/456_1.pdf	pdf	3607.000000	456	9999-12-31	2013-05-08	6069
7120/6-1	OLD NPD WDSS	456_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/456_01_WDSS_General_Information.pdf	pdf	292.000000	456	9999-12-31	2013-05-08	6070
7120/6-1	OLD NPD WDSS	456_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/456_02_WDSS_completion_log.pdf	pdf	221.000000	456	9999-12-31	2013-05-08	6071
7120/6-2 S	COMPOSITE LOG	3558	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3558.pdf	pdf	298.000000	3558	9999-12-31	2013-05-08	6072
7120/6-2 S	GEOCHEMICAL INFORMATION	3558_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3558_1.pdf	pdf	230.000000	3558	9999-12-31	2013-05-08	6073
7120/7-1	COMPOSITE LOG	85	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/85.pdf	pdf	477.000000	85	9999-12-31	2013-05-08	6074
7120/7-1	GEOCHEMICAL INFORMATION	85_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/85_1.pdf	pdf	1186.000000	85	9999-12-31	2013-05-08	6075
7120/7-1	GEOCHEMICAL INFORMATION	85_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/85_2.pdf	pdf	1087.000000	85	9999-12-31	2013-05-08	6076
7120/7-1	GEOCHEMICAL INFORMATION	85_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/85_3.pdf	pdf	260.000000	85	9999-12-31	2013-05-08	6077
7120/7-1	GEOCHEMICAL INFORMATION	85_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/85_4.pdf	pdf	6610.000000	85	9999-12-31	2013-05-08	6078
7120/7-1	OLD NPD WDSS	85_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/85_01_WDSS_General_Information.pdf	pdf	157.000000	85	9999-12-31	2013-05-08	6079
7120/7-1	OLD NPD WDSS	85_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/85_02_WDSS_completion_log.pdf	pdf	200.000000	85	9999-12-31	2013-05-08	6080
7122/2-1	GEOCHEMICAL INFORMATION	2018_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2018_2.pdf	pdf	5710.000000	2018	9999-12-31	2013-05-08	6176
7120/7-1	REPORTED BY LICENSEE	85_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/85_01_Completion_Report.pdf	pdf	11907.000000	85	9999-12-31	2013-05-08	6081
7120/7-1	REPORTED BY LICENSEE	85_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/85_02_Completion_log.pdf	pdf	1742.000000	85	9999-12-31	2013-05-08	6082
7120/7-2	COMPOSITE LOG	18	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/18.pdf	pdf	435.000000	18	9999-12-31	2013-05-08	6083
7120/7-2	GEOCHEMICAL INFORMATION	18_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/18_1.pdf	pdf	1141.000000	18	9999-12-31	2013-05-08	6084
7120/7-2	GEOCHEMICAL INFORMATION	18_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/18_2.pdf	pdf	4776.000000	18	9999-12-31	2013-05-08	6085
7120/7-2	OLD NPD WDSS	18_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/18_01_WDSS_General_Information.pdf	pdf	170.000000	18	9999-12-31	2013-05-08	6086
7120/7-2	OLD NPD WDSS	18_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/18_02_WDSS_completion_log.pdf	pdf	263.000000	18	9999-12-31	2013-05-08	6087
7120/7-2	REPORTED BY LICENSEE	18_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/18_01_Completion_Report.pdf	pdf	18922.000000	18	9999-12-31	2013-05-08	6088
7120/7-2	REPORTED BY LICENSEE	18_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/18_02_Completion_log.pdf	pdf	1292.000000	18	9999-12-31	2013-05-08	6089
7120/7-3	COMPOSITE LOG	104	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/104.pdf	pdf	505.000000	104	9999-12-31	2013-05-08	6090
7120/7-3	GEOCHEMICAL INFORMATION	104_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/104_1.pdf	pdf	2108.000000	104	9999-12-31	2013-05-08	6091
7120/7-3	OLD NPD WDSS	104_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/104_01_WDSS_General_Information.pdf	pdf	176.000000	104	9999-12-31	2013-05-08	6092
7120/7-3	OLD NPD WDSS	104_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/104_02_WDSS_completion_log.pdf	pdf	293.000000	104	9999-12-31	2013-05-08	6093
7120/8-1	COMPOSITE LOG	120	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/120.pdf	pdf	441.000000	120	9999-12-31	2013-05-08	6094
7120/8-1	GEOCHEMICAL INFORMATION	120_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/120_1.pdf	pdf	7338.000000	120	9999-12-31	2013-05-08	6095
7120/8-1	OLD NPD WDSS	120_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/120_01_WDSS_General_Information.pdf	pdf	99.000000	120	9999-12-31	2013-05-08	6096
7120/8-1	OLD NPD WDSS	120_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/120_02_WDSS_completion_log.pdf	pdf	216.000000	120	9999-12-31	2013-05-08	6097
7120/8-1	REPORTED BY LICENSEE	120_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/120_01_Completion_Report.pdf	pdf	13009.000000	120	9999-12-31	2013-05-08	6098
7120/8-1	REPORTED BY LICENSEE	120_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/120_02_Completion_log.pdf	pdf	1771.000000	120	9999-12-31	2013-05-08	6099
7120/8-2	COMPOSITE LOG	50	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/50.pdf	pdf	413.000000	50	9999-12-31	2013-05-08	6100
7120/8-2	GEOCHEMICAL INFORMATION	50_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/50_1.pdf	pdf	1560.000000	50	9999-12-31	2013-05-08	6101
7120/8-2	GEOCHEMICAL INFORMATION	50_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/50_2.pdf	pdf	4837.000000	50	9999-12-31	2013-05-08	6102
7120/8-2	GEOCHEMICAL INFORMATION	50_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/50_3.pdf	pdf	277.000000	50	9999-12-31	2013-05-08	6103
7120/8-2	GEOCHEMICAL INFORMATION	50_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/50_4.pdf	pdf	7986.000000	50	9999-12-31	2013-05-08	6104
7120/8-2	GEOCHEMICAL INFORMATION	50_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/50_5.pdf	pdf	1912.000000	50	9999-12-31	2013-05-08	6105
7120/8-2	OLD NPD WDSS	50_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/50_01_WDSS_General_Information.pdf	pdf	177.000000	50	9999-12-31	2013-05-08	6106
7120/8-2	OLD NPD WDSS	50_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/50_02_WDSS_completion_log.pdf	pdf	198.000000	50	9999-12-31	2013-05-08	6107
7120/8-2	REPORTED BY LICENSEE	50_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/50_01_Completion_Report.pdf	pdf	14068.000000	50	9999-12-31	2013-05-08	6108
7120/8-2	REPORTED BY LICENSEE	50_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/50_02_Completion_log.pdf	pdf	1592.000000	50	9999-12-31	2013-05-08	6109
7120/8-3	COMPOSITE LOG	9	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/9.pdf	pdf	364.000000	9	9999-12-31	2013-05-08	6110
7120/8-3	OLD NPD WDSS	9_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/9_01_WDSS_General_Information.pdf	pdf	156.000000	9	9999-12-31	2013-05-08	6111
7120/8-3	OLD NPD WDSS	9_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/9_02_WDSS_completion_log.pdf	pdf	235.000000	9	9999-12-31	2013-05-08	6112
7120/8-3	REPORTED BY LICENSEE	9_1_Source_rock_analysis_of_well_7120_8_3	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/9_1_Source_rock_analysis_of_well_7120_8_3.pdf	pdf	6541.000000	9	9999-12-31	2013-05-08	6113
7120/8-3	REPORTED BY LICENSEE	9_2_Analysis_of_core_samples_from_7120_8_3_Correlation_with_7120_8_2	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/9_2_Analysis_of_core_samples_from_7120_8_3_Correlation_with_7120_8_2.pdf	pdf	931.000000	9	9999-12-31	2013-05-08	6114
7120/8-4	COMPOSITE LOG	5572	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5572.pdf	pdf	299.000000	5572	9999-12-31	2013-05-08	6115
7120/9-1	COMPOSITE LOG	82	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/82.pdf	pdf	415.000000	82	9999-12-31	2013-05-08	6116
7120/9-1	GEOCHEMICAL INFORMATION	82_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/82_1.pdf	pdf	2228.000000	82	9999-12-31	2013-05-08	6117
7120/9-1	GEOCHEMICAL INFORMATION	82_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/82_2.pdf	pdf	3965.000000	82	9999-12-31	2013-05-08	6118
7120/9-1	GEOCHEMICAL INFORMATION	82_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/82_3.pdf	pdf	3140.000000	82	9999-12-31	2013-05-08	6119
7120/9-1	OLD NPD WDSS	82_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/82_01_WDSS_General_Information.pdf	pdf	166.000000	82	9999-12-31	2013-05-08	6120
7120/9-1	OLD NPD WDSS	82_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/82_02_WDSS_completion_log.pdf	pdf	173.000000	82	9999-12-31	2013-05-08	6121
7120/9-1	REPORTED BY LICENSEE	82_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/82_01_Completion_Report.pdf	pdf	9123.000000	82	9999-12-31	2013-05-08	6122
7120/9-1	REPORTED BY LICENSEE	82_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/82_02_Completion_log.pdf	pdf	2812.000000	82	9999-12-31	2013-05-08	6123
7120/9-2	COMPOSITE LOG	107	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/107.pdf	pdf	990.000000	107	9999-12-31	2013-05-08	6124
7120/9-2	GEOCHEMICAL INFORMATION	107_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/107_1.pdf	pdf	1567.000000	107	9999-12-31	2013-05-08	6125
7120/9-2	OLD NPD WDSS	107_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/107_01_WDSS_General_Information.pdf	pdf	259.000000	107	9999-12-31	2013-05-08	6126
7120/9-2	OLD NPD WDSS	107_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/107_02_WDSS_completion_log.pdf	pdf	456.000000	107	9999-12-31	2013-05-08	6127
7121/1-1	GEOCHEMICAL INFORMATION	521_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/521_1.pdf	pdf	1932.000000	521	9999-12-31	2013-05-08	6128
7121/1-1	GEOCHEMICAL INFORMATION	521_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/521_2.pdf	pdf	1958.000000	521	9999-12-31	2013-05-08	6129
7121/1-1	GEOCHEMICAL INFORMATION	521_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/521_3.pdf	pdf	1972.000000	521	9999-12-31	2013-05-08	6130
7121/1-1	GEOCHEMICAL INFORMATION	521_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/521_4.pdf	pdf	1700.000000	521	9999-12-31	2013-05-08	6131
7121/1-1	GEOCHEMICAL INFORMATION	521_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/521_5.pdf	pdf	789.000000	521	9999-12-31	2013-05-08	6132
7121/1-1 R	COMPOSITE LOG	896	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/896.pdf	pdf	737.000000	896	9999-12-31	2013-05-08	6133
7121/1-1 R	GEOCHEMICAL INFORMATION	896_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/896_1.pdf	pdf	1932.000000	896	9999-12-31	2013-05-08	6134
7121/1-1 R	GEOCHEMICAL INFORMATION	896_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/896_2.pdf	pdf	1958.000000	896	9999-12-31	2013-05-08	6135
7121/1-1 R	GEOCHEMICAL INFORMATION	896_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/896_3.pdf	pdf	1972.000000	896	9999-12-31	2013-05-08	6136
7121/1-1 R	GEOCHEMICAL INFORMATION	896_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/896_4.pdf	pdf	1700.000000	896	9999-12-31	2013-05-08	6137
7121/1-1 R	GEOCHEMICAL INFORMATION	896_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/896_5.pdf	pdf	789.000000	896	9999-12-31	2013-05-08	6138
7121/1-1 R	OLD NPD WDSS	896_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/896_01_WDSS_General_Information.pdf	pdf	229.000000	896	9999-12-31	2013-05-08	6139
7121/1-1 R	OLD NPD WDSS	896_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/896_02_WDSS_completion_log.pdf	pdf	393.000000	896	9999-12-31	2013-05-08	6140
7121/4-1	COMPOSITE LOG	135	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/135.pdf	pdf	368.000000	135	9999-12-31	2013-05-08	6141
7121/4-1	GEOCHEMICAL INFORMATION	135_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/135_1.pdf	pdf	1082.000000	135	9999-12-31	2013-05-08	6142
7121/4-1	GEOCHEMICAL INFORMATION	135_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/135_2.pdf	pdf	239.000000	135	9999-12-31	2013-05-08	6143
7121/4-1	GEOCHEMICAL INFORMATION	135_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/135_3.pdf	pdf	5382.000000	135	9999-12-31	2013-05-08	6144
7121/4-1	GEOCHEMICAL INFORMATION	135_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/135_4.pdf	pdf	4582.000000	135	9999-12-31	2013-05-08	6145
7121/4-1	OLD NPD WDSS	135_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/135_01_WDSS_General_Information.pdf	pdf	245.000000	135	9999-12-31	2013-05-08	6146
7121/4-1	OLD NPD WDSS	135_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/135_02_WDSS_completion_log.pdf	pdf	230.000000	135	9999-12-31	2013-05-08	6147
7121/4-1	REPORTED BY LICENSEE	135_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/135_01_Completion_Report.pdf	pdf	13292.000000	135	9999-12-31	2013-05-08	6148
7121/4-1	REPORTED BY LICENSEE	135_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/135_02_Completion_log.pdf	pdf	1345.000000	135	9999-12-31	2013-05-08	6149
7121/4-2	COMPOSITE LOG	461	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/461.pdf	pdf	416.000000	461	9999-12-31	2013-05-08	6150
7121/4-2	GEOCHEMICAL INFORMATION	461_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/461_1.pdf	pdf	3677.000000	461	9999-12-31	2013-05-08	6151
7121/4-2	OLD NPD WDSS	461_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/461_01_WDSS_General_Information.pdf	pdf	285.000000	461	9999-12-31	2013-05-08	6152
7121/4-2	OLD NPD WDSS	461_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/461_02_WDSS_completion_log.pdf	pdf	212.000000	461	9999-12-31	2013-05-08	6153
7121/5-1	COMPOSITE LOG	479	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/479.pdf	pdf	581.000000	479	9999-12-31	2013-05-08	6154
7121/5-1	GEOCHEMICAL INFORMATION	479_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/479_1.pdf	pdf	2050.000000	479	9999-12-31	2013-05-08	6155
7121/5-1	OLD NPD WDSS	479_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/479_01_WDSS_General_Information.pdf	pdf	305.000000	479	9999-12-31	2013-05-08	6156
7121/5-1	OLD NPD WDSS	479_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/479_02_WDSS_completion_log.pdf	pdf	253.000000	479	9999-12-31	2013-05-08	6157
7121/5-2	COMPOSITE LOG	907	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/907.pdf	pdf	330.000000	907	9999-12-31	2013-05-08	6158
7121/5-2	GEOCHEMICAL INFORMATION	907_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/907_1.pdf	pdf	2432.000000	907	9999-12-31	2013-05-08	6159
7121/5-2	OLD NPD WDSS	907_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/907_01_WDSS_General_Information.pdf	pdf	205.000000	907	9999-12-31	2013-05-08	6160
7121/5-2	OLD NPD WDSS	907_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/907_02_WDSS_completion_log.pdf	pdf	224.000000	907	9999-12-31	2013-05-08	6161
7121/5-3	COMPOSITE LOG	4244	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4244.pdf	pdf	347.000000	4244	9999-12-31	2013-05-08	6162
7121/7-1	COMPOSITE LOG	130	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/130.pdf	pdf	325.000000	130	9999-12-31	2013-05-08	6163
7121/7-1	GEOCHEMICAL INFORMATION	130_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/130_1.pdf	pdf	3533.000000	130	9999-12-31	2013-05-08	6164
7121/7-1	GEOCHEMICAL INFORMATION	130_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/130_2.pdf	pdf	1223.000000	130	9999-12-31	2013-05-08	6165
7121/7-1	OLD NPD WDSS	130_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/130_01_WDSS_General_Information.pdf	pdf	220.000000	130	9999-12-31	2013-05-08	6166
7121/7-1	OLD NPD WDSS	130_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/130_02_WDSS_completion_log.pdf	pdf	209.000000	130	9999-12-31	2013-05-08	6167
7121/7-1	REPORTED BY LICENSEE	130_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/130_01_Completion_Report.pdf	pdf	13647.000000	130	9999-12-31	2013-05-08	6168
7121/7-1	REPORTED BY LICENSEE	130_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/130_02_Completion_log.pdf	pdf	1145.000000	130	9999-12-31	2013-05-08	6169
7121/7-2	COMPOSITE LOG	881	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/881.pdf	pdf	180.000000	881	9999-12-31	2013-05-08	6170
7121/7-2	GEOCHEMICAL INFORMATION	881_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/881_1.pdf	pdf	262.000000	881	9999-12-31	2013-05-08	6171
7121/7-2	OLD NPD WDSS	881_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/881_01_WDSS_General_Information.pdf	pdf	237.000000	881	9999-12-31	2013-05-08	6172
7121/7-2	OLD NPD WDSS	881_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/881_02_WDSS_completion_log.pdf	pdf	193.000000	881	9999-12-31	2013-05-08	6173
7122/2-1	COMPOSITE LOG	2018	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2018.pdf	pdf	358.000000	2018	9999-12-31	2013-05-08	6174
7122/2-1	GEOCHEMICAL INFORMATION	2018_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2018_1.pdf	pdf	5391.000000	2018	9999-12-31	2013-05-08	6175
7122/2-1	GEOCHEMICAL INFORMATION	2018_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2018_3.pdf	pdf	6459.000000	2018	9999-12-31	2013-05-08	6177
7122/2-1	GEOCHEMICAL INFORMATION	2018_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2018_4.pdf	pdf	8630.000000	2018	9999-12-31	2013-05-08	6178
7122/2-1	GEOCHEMICAL INFORMATION	2018_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2018_5.pdf	pdf	4375.000000	2018	9999-12-31	2013-05-08	6179
7122/2-1	OLD NPD WDSS	2018_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2018_01_WDSS_General_Information.pdf	pdf	644.000000	2018	9999-12-31	2013-05-08	6180
7122/2-1	OLD NPD WDSS	2018_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2018_02_WDSS_completion_log.pdf	pdf	150.000000	2018	9999-12-31	2013-05-08	6181
7122/4-1	COMPOSITE LOG	1869	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1869.pdf	pdf	472.000000	1869	9999-12-31	2013-05-08	6182
7122/4-1	GEOCHEMICAL INFORMATION	1869_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1869_1.pdf	pdf	2630.000000	1869	9999-12-31	2013-05-08	6183
7122/4-1	OLD NPD WDSS	1869_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1869_01_WDSS_General_Information.pdf	pdf	393.000000	1869	9999-12-31	2013-05-08	6184
7122/4-1	OLD NPD WDSS	1869_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1869_02_WDSS_completion_log.pdf	pdf	183.000000	1869	9999-12-31	2013-05-08	6185
7122/6-1	COMPOSITE LOG	1140	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1140.pdf	pdf	419.000000	1140	9999-12-31	2013-05-08	6186
7122/6-1	GEOCHEMICAL INFORMATION	1140_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1140_1.pdf	pdf	4884.000000	1140	9999-12-31	2013-05-08	6187
7122/6-1	GEOCHEMICAL INFORMATION	1140_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1140_2.pdf	pdf	2118.000000	1140	9999-12-31	2013-05-08	6188
7122/6-1	OLD NPD WDSS	1140_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1140_01_WDSS_General_Information.pdf	pdf	430.000000	1140	9999-12-31	2013-05-08	6189
7122/6-1	OLD NPD WDSS	1140_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1140_02_WDSS_completion_log.pdf	pdf	219.000000	1140	9999-12-31	2013-05-08	6190
7122/6-2	COMPOSITE LOG	5327	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5327.pdf	pdf	317.000000	5327	9999-12-31	2013-05-08	6191
7122/6-2	GEOCHEMICAL INFORMATION	5327_01_7122_6_2_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5327_01_7122_6_2_gch_transfer_1.txt	txt	0.000000	5327	9999-12-31	2013-05-08	6192
7122/6-2	GEOCHEMICAL INFORMATION	5327_02_7122_6_2_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5327_02_7122_6_2_gch_results_1.txt	txt	403.000000	5327	9999-12-31	2013-05-08	6193
7122/6-2	GEOCHEMICAL INFORMATION	5327_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5327_1.pdf	pdf	378.000000	5327	9999-12-31	2013-05-08	6194
7122/6-2	GEOCHEMICAL INFORMATION	5327_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5327_2.pdf	pdf	2164.000000	5327	9999-12-31	2013-05-08	6195
7122/7-1	COMPOSITE LOG	4173	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4173.pdf	pdf	181.000000	4173	9999-12-31	2013-05-08	6196
7122/7-1	GEOCHEMICAL INFORMATION	4173_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4173_1.pdf	pdf	1415.000000	4173	9999-12-31	2013-05-08	6197
7122/7-2	COMPOSITE LOG	4391	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4391.pdf	pdf	194.000000	4391	9999-12-31	2013-05-08	6198
7122/7-2	GEOCHEMICAL INFORMATION	4391_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4391_1.pdf	pdf	464.000000	4391	9999-12-31	2013-05-08	6199
7122/7-3	COMPOSITE LOG	5214	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5214.pdf	pdf	403.000000	5214	9999-12-31	2013-05-08	6200
7122/7-3	GEOCHEMICAL INFORMATION	5214_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5214_1.pdf	pdf	1745.000000	5214	9999-12-31	2013-05-08	6201
7122/7-4 S	COMPOSITE LOG	5406	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5406.pdf	pdf	372.000000	5406	9999-12-31	2013-05-08	6202
7122/7-4 S	GEOCHEMICAL INFORMATION	5406_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5406_1.pdf	pdf	1224.000000	5406	9999-12-31	2013-05-08	6203
7122/7-4 S	GEOCHEMICAL INFORMATION	5406_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5406_2.pdf	pdf	715.000000	5406	9999-12-31	2013-05-08	6204
7122/7-5	COMPOSITE LOG	5439	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5439.pdf	pdf	324.000000	5439	9999-12-31	2013-05-08	6205
7122/7-5 A	COMPOSITE LOG	5465	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5465.pdf	pdf	235.000000	5465	9999-12-31	2013-05-08	6206
7123/4-1 A	COMPOSITE LOG	5808	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5808.pdf	pdf	337.000000	5808	9999-12-31	2013-05-08	6207
7123/4-1 A	GEOCHEMICAL INFORMATION	5808_01_7123_4_1A_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5808_01_7123_4_1A_gch_transfer_1.txt	txt	0.000000	5808	9999-12-31	2013-05-08	6208
7123/4-1 A	GEOCHEMICAL INFORMATION	5808_02_7123_4_1A_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5808_02_7123_4_1A_gch_results_1.txt	txt	215.000000	5808	9999-12-31	2013-05-08	6209
7123/4-1 S	COMPOSITE LOG	5786	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5786.pdf	pdf	316.000000	5786	9999-12-31	2013-05-08	6210
7123/4-1 S	GEOCHEMICAL INFORMATION	5786_01_7123_4_1S_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5786_01_7123_4_1S_gch_transfer_1.txt	txt	0.000000	5786	9999-12-31	2013-05-08	6211
7123/4-1 S	GEOCHEMICAL INFORMATION	5786_02_7123_4_1S_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5786_02_7123_4_1S_gch_results_1.txt	txt	146.000000	5786	9999-12-31	2013-05-08	6212
7124/3-1	COMPOSITE LOG	1066	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1066.pdf	pdf	911.000000	1066	9999-12-31	2013-05-08	6213
7124/3-1	GEOCHEMICAL INFORMATION	1066_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1066_1.pdf	pdf	2472.000000	1066	9999-12-31	2013-05-08	6214
7124/3-1	GEOCHEMICAL INFORMATION	1066_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1066_2.pdf	pdf	3131.000000	1066	9999-12-31	2013-05-08	6215
7124/3-1	OLD NPD WDSS	1066_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1066_01_WDSS_General_Information.pdf	pdf	429.000000	1066	9999-12-31	2013-05-08	6216
7124/3-1	OLD NPD WDSS	1066_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1066_02_WDSS_completion_log.pdf	pdf	385.000000	1066	9999-12-31	2013-05-08	6217
7125/1-1	COMPOSITE LOG	1350	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1350.pdf	pdf	354.000000	1350	9999-12-31	2013-05-08	6218
7125/1-1	GEOCHEMICAL INFORMATION	1350_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1350_1.pdf	pdf	2008.000000	1350	9999-12-31	2013-05-08	6219
7125/1-1	OLD NPD WDSS	1350_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1350_01_WDSS_General_Information.pdf	pdf	183.000000	1350	9999-12-31	2013-05-08	6220
7125/1-1	OLD NPD WDSS	1350_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1350_02_WDSS_completion_log.pdf	pdf	197.000000	1350	9999-12-31	2013-05-08	6221
7125/4-1	COMPOSITE LOG	5450	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5450.pdf	pdf	282.000000	5450	9999-12-31	2013-05-08	6222
7125/4-1	GEOCHEMICAL INFORMATION	5450_01_7125_4_1_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5450_01_7125_4_1_gch_transfer_1.txt	txt	0.000000	5450	9999-12-31	2013-05-08	6223
7125/4-1	GEOCHEMICAL INFORMATION	5450_02_7125_4_1_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5450_02_7125_4_1_gch_results_1.txt	txt	331.000000	5450	9999-12-31	2013-05-08	6224
7125/4-1	GEOCHEMICAL INFORMATION	5450_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5450_1.pdf	pdf	402.000000	5450	9999-12-31	2013-05-08	6225
7125/4-1	GEOCHEMICAL INFORMATION	5450_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5450_2.pdf	pdf	2403.000000	5450	9999-12-31	2013-05-08	6226
7125/4-2	COMPOSITE LOG	5944	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5944.pdf	pdf	286.000000	5944	9999-12-31	2013-05-08	6227
7128/4-1	COMPOSITE LOG	2049	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2049.pdf	pdf	387.000000	2049	9999-12-31	2013-05-08	6228
7128/4-1	GEOCHEMICAL INFORMATION	2049_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2049_1.pdf	pdf	1835.000000	2049	9999-12-31	2013-05-08	6229
7128/4-1	GEOCHEMICAL INFORMATION	2049_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2049_2.pdf	pdf	1032.000000	2049	9999-12-31	2013-05-08	6230
7128/4-1	GEOCHEMICAL INFORMATION	2049_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2049_3.pdf	pdf	1913.000000	2049	9999-12-31	2013-05-08	6231
7128/6-1	COMPOSITE LOG	1836	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1836.pdf	pdf	417.000000	1836	9999-12-31	2013-05-08	6232
7128/6-1	GEOCHEMICAL INFORMATION	1836_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1836_1.pdf	pdf	2300.000000	1836	9999-12-31	2013-05-08	6233
7128/6-1	OLD NPD WDSS	1836_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1836_01_WDSS_General_Information.pdf	pdf	681.000000	1836	9999-12-31	2013-05-08	6234
7128/6-1	OLD NPD WDSS	1836_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1836_02_WDSS_completion_log.pdf	pdf	172.000000	1836	9999-12-31	2013-05-08	6235
7131/4-1	GEOCHEMICAL INFORMATION	5093_01_7131_4_1_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5093_01_7131_4_1_gch_transfer_1.txt	txt	0.000000	5093	9999-12-31	2013-05-08	6236
7131/4-1	GEOCHEMICAL INFORMATION	5093_02_7131_4_1_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5093_02_7131_4_1_gch_results_1.txt	txt	238.000000	5093	9999-12-31	2013-05-08	6237
7131/4-1	GEOCHEMICAL INFORMATION	5093_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5093_1.pdf	pdf	115.000000	5093	9999-12-31	2013-05-08	6238
7131/4-1	GEOCHEMICAL INFORMATION	5093_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5093_2.pdf	pdf	668.000000	5093	9999-12-31	2013-05-08	6239
7131/4-1	GEOCHEMICAL INFORMATION	5093_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5093_3.pdf	pdf	8342.000000	5093	9999-12-31	2013-05-08	6240
7216/11-1 S	COMPOSITE LOG	4129	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4129.pdf	pdf	669.000000	4129	9999-12-31	2013-05-08	6241
7216/11-1 S	GEOCHEMICAL INFORMATION	4129_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4129_1.pdf	pdf	1799.000000	4129	9999-12-31	2013-05-08	6242
7216/11-1 S	GEOCHEMICAL INFORMATION	4129_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4129_2.pdf	pdf	1973.000000	4129	9999-12-31	2013-05-08	6243
7216/11-1 S	GEOCHEMICAL INFORMATION	4129_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4129_3.pdf	pdf	1838.000000	4129	9999-12-31	2013-05-08	6244
7216/11-1 S	GEOCHEMICAL INFORMATION	4129_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4129_4.pdf	pdf	1948.000000	4129	9999-12-31	2013-05-08	6245
7216/11-1 S	GEOCHEMICAL INFORMATION	4129_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4129_5.pdf	pdf	1947.000000	4129	9999-12-31	2013-05-08	6246
7216/11-1 S	GEOCHEMICAL INFORMATION	4129_6	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4129_6.pdf	pdf	1829.000000	4129	9999-12-31	2013-05-08	6247
7216/11-1 S	GEOCHEMICAL INFORMATION	4129_7	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4129_7.pdf	pdf	825.000000	4129	9999-12-31	2013-05-08	6248
7219/8-1 S	COMPOSITE LOG	2031	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2031.pdf	pdf	681.000000	2031	9999-12-31	2013-05-08	6249
7219/8-1 S	GEOCHEMICAL INFORMATION	2031_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/2031_1.pdf	pdf	3513.000000	2031	9999-12-31	2013-05-08	6250
7219/8-1 S	OLD NPD WDSS	2031_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2031_01_WDSS_General_Information.pdf	pdf	543.000000	2031	9999-12-31	2013-05-08	6251
7219/8-1 S	OLD NPD WDSS	2031_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/2031_02_WDSS_completion_log.pdf	pdf	223.000000	2031	9999-12-31	2013-05-08	6252
7219/9-1	COMPOSITE LOG	1138	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1138.pdf	pdf	860.000000	1138	9999-12-31	2013-05-08	6253
7219/9-1	GEOCHEMICAL INFORMATION	1138_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1138_1.pdf	pdf	2689.000000	1138	9999-12-31	2013-05-08	6254
7219/9-1	GEOCHEMICAL INFORMATION	1138_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1138_2.pdf	pdf	3478.000000	1138	9999-12-31	2013-05-08	6255
7219/9-1	GEOCHEMICAL INFORMATION	1138_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1138_3.pdf	pdf	4770.000000	1138	9999-12-31	2013-05-08	6256
7219/9-1	GEOCHEMICAL INFORMATION	1138_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1138_4.pdf	pdf	2106.000000	1138	9999-12-31	2013-05-08	6257
7219/9-1	OLD NPD WDSS	1138_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1138_01_WDSS_General_Information.pdf	pdf	292.000000	1138	9999-12-31	2013-05-08	6258
7219/9-1	OLD NPD WDSS	1138_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1138_02_WDSS_completion_log.pdf	pdf	288.000000	1138	9999-12-31	2013-05-08	6259
7220/6-1	COMPOSITE LOG	5039	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5039.pdf	pdf	214.000000	5039	9999-12-31	2013-05-08	6260
7220/6-1	GEOCHEMICAL INFORMATION	5039_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5039_1.pdf	pdf	391.000000	5039	9999-12-31	2013-05-08	6261
7220/6-1	GEOCHEMICAL INFORMATION	5039_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5039_2.pdf	pdf	564.000000	5039	9999-12-31	2013-05-08	6262
7222/11-1	COMPOSITE LOG	5916	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5916.pdf	pdf	486.000000	5916	9999-12-31	2013-05-08	6263
7222/6-1 S	COMPOSITE LOG	5755	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5755.pdf	pdf	423.000000	5755	9999-12-31	2013-05-08	6264
7222/6-1 S	GEOCHEMICAL INFORMATION	5755_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5755_1.pdf	pdf	271.000000	5755	9999-12-31	2013-05-08	6265
7222/6-1 S	GEOCHEMICAL INFORMATION	5755_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5755_2.pdf	pdf	6141.000000	5755	9999-12-31	2013-05-08	6266
7223/5-1	COMPOSITE LOG	5960	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5960.pdf	pdf	453.000000	5960	9999-12-31	2013-05-08	6267
7224/6-1	COMPOSITE LOG	5835	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5835.pdf	pdf	428.000000	5835	9999-12-31	2013-05-08	6268
7224/7-1	COMPOSITE LOG	1245	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1245.pdf	pdf	577.000000	1245	9999-12-31	2013-05-08	6269
7224/7-1	GEOCHEMICAL INFORMATION	1245_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1245_1.pdf	pdf	1411.000000	1245	9999-12-31	2013-05-08	6270
7224/7-1	OLD NPD WDSS	1245_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1245_01_WDSS_General_Information.pdf	pdf	247.000000	1245	9999-12-31	2013-05-08	6271
7224/7-1	OLD NPD WDSS	1245_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1245_02_WDSS_completion_log.pdf	pdf	246.000000	1245	9999-12-31	2013-05-08	6272
7226/11-1	COMPOSITE LOG	1177	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1177.pdf	pdf	1052.000000	1177	9999-12-31	2013-05-08	6273
7226/11-1	GEOCHEMICAL INFORMATION	1177_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1177_1.pdf	pdf	2169.000000	1177	9999-12-31	2013-05-08	6274
7226/11-1	GEOCHEMICAL INFORMATION	1177_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1177_2.pdf	pdf	3348.000000	1177	9999-12-31	2013-05-08	6275
7226/11-1	OLD NPD WDSS	1177_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1177_01_WDSS_General_Information.pdf	pdf	328.000000	1177	9999-12-31	2013-05-08	6276
7226/11-1	OLD NPD WDSS	1177_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1177_02_WDSS_completion_log.pdf	pdf	350.000000	1177	9999-12-31	2013-05-08	6277
7226/2-1	COMPOSITE LOG	5807	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5807.pdf	pdf	465.000000	5807	9999-12-31	2013-05-08	6278
7226/2-1	GEOCHEMICAL INFORMATION	5807_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5807_1.pdf	pdf	172.000000	5807	9999-12-31	2013-05-08	6279
7226/2-1	GEOCHEMICAL INFORMATION	5807_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5807_2.pdf	pdf	5172.000000	5807	9999-12-31	2013-05-08	6280
7228/1-1	GEOCHEMICAL INFORMATION	6820_01_7228_1_1_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6820_01_7228_1_1_gch_transfer_1.txt	txt	0.000000	6820	2013-03-20	2013-05-08	6281
7228/1-1	GEOCHEMICAL INFORMATION	6820_02_7228_1_1_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/6820_02_7228_1_1_gch_results_1.txt	txt	22.000000	6820	2013-03-20	2013-05-08	6282
7228/2-1 S	COMPOSITE LOG	1460	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1460.pdf	pdf	766.000000	1460	9999-12-31	2013-05-08	6283
7228/2-1 S	GEOCHEMICAL INFORMATION	1460_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1460_1.pdf	pdf	3055.000000	1460	9999-12-31	2013-05-08	6284
7228/2-1 S	OLD NPD WDSS	1460_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1460_01_WDSS_General_Information.pdf	pdf	251.000000	1460	9999-12-31	2013-05-08	6285
7228/2-1 S	OLD NPD WDSS	1460_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1460_02_WDSS_completion_log.pdf	pdf	247.000000	1460	9999-12-31	2013-05-08	6286
7228/7-1 A	COMPOSITE LOG	4257	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4257.pdf	pdf	451.000000	4257	9999-12-31	2013-05-08	6287
7228/7-1 A	GEOCHEMICAL INFORMATION	4257_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4257_1.pdf	pdf	1829.000000	4257	9999-12-31	2013-05-08	6288
7228/7-1 A	GEOCHEMICAL INFORMATION	4257_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4257_2.pdf	pdf	1820.000000	4257	9999-12-31	2013-05-08	6289
7228/7-1 B	COMPOSITE LOG	4261	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/4261.pdf	pdf	78.000000	4261	9999-12-31	2013-05-08	6290
7228/7-1 B	GEOCHEMICAL INFORMATION	4261_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4261_1.pdf	pdf	1829.000000	4261	9999-12-31	2013-05-08	6291
7228/7-1 B	GEOCHEMICAL INFORMATION	4261_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/4261_2.pdf	pdf	1820.000000	4261	9999-12-31	2013-05-08	6292
7228/7-1 S	COMPOSITE LOG	3015	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3015.pdf	pdf	144.000000	3015	9999-12-31	2013-05-08	6293
7228/7-1 S	GEOCHEMICAL INFORMATION	3015_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3015_1.pdf	pdf	1829.000000	3015	9999-12-31	2013-05-08	6294
7228/7-1 S	GEOCHEMICAL INFORMATION	3015_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3015_2.pdf	pdf	1820.000000	3015	9999-12-31	2013-05-08	6295
7228/9-1 S	COMPOSITE LOG	1486	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1486.pdf	pdf	792.000000	1486	9999-12-31	2013-05-08	6296
7228/9-1 S	GEOCHEMICAL INFORMATION	1486_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1486_1.pdf	pdf	3575.000000	1486	9999-12-31	2013-05-08	6297
7228/9-1 S	GEOCHEMICAL INFORMATION	1486_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1486_2.pdf	pdf	1001.000000	1486	9999-12-31	2013-05-08	6298
7228/9-1 S	GEOCHEMICAL INFORMATION	1486_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1486_3.pdf	pdf	1051.000000	1486	9999-12-31	2013-05-08	6299
7228/9-1 S	GEOCHEMICAL INFORMATION	1486_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1486_4.pdf	pdf	1446.000000	1486	9999-12-31	2013-05-08	6300
7228/9-1 S	GEOCHEMICAL INFORMATION	1486_5	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1486_5.pdf	pdf	1038.000000	1486	9999-12-31	2013-05-08	6301
7228/9-1 S	OLD NPD WDSS	1486_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1486_01_WDSS_General_Information.pdf	pdf	237.000000	1486	9999-12-31	2013-05-08	6302
7228/9-1 S	OLD NPD WDSS	1486_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1486_02_WDSS_completion_log.pdf	pdf	256.000000	1486	9999-12-31	2013-05-08	6303
7229/11-1	COMPOSITE LOG	1643	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1643.pdf	pdf	780.000000	1643	9999-12-31	2013-05-08	6304
7229/11-1	GEOCHEMICAL INFORMATION	1643_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1643_1.pdf	pdf	1724.000000	1643	9999-12-31	2013-05-08	6305
7229/11-1	GEOCHEMICAL INFORMATION	1643_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1643_2.pdf	pdf	1391.000000	1643	9999-12-31	2013-05-08	6306
7316/5-1	COMPOSITE LOG	1987	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1987.pdf	pdf	693.000000	1987	9999-12-31	2013-05-08	6307
7316/5-1	GEOCHEMICAL INFORMATION	1987_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1987_1.pdf	pdf	2488.000000	1987	9999-12-31	2013-05-08	6308
7316/5-1	GEOCHEMICAL INFORMATION	1987_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1987_2.pdf	pdf	3279.000000	1987	9999-12-31	2013-05-08	6309
7316/5-1	OLD NPD WDSS	1987_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1987_01_WDSS_General_Information.pdf	pdf	587.000000	1987	9999-12-31	2013-05-08	6310
7316/5-1	OLD NPD WDSS	1987_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1987_02_WDSS_completion_log.pdf	pdf	205.000000	1987	9999-12-31	2013-05-08	6311
7321/7-1	COMPOSITE LOG	1284	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1284.pdf	pdf	562.000000	1284	9999-12-31	2013-05-08	6312
7321/7-1	GEOCHEMICAL INFORMATION	1284_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1284_1.pdf	pdf	2587.000000	1284	9999-12-31	2013-05-08	6313
7321/7-1	OLD NPD WDSS	1284_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1284_01_WDSS_General_Information.pdf	pdf	492.000000	1284	9999-12-31	2013-05-08	6314
7321/7-1	OLD NPD WDSS	1284_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1284_02_WDSS_completion_log.pdf	pdf	250.000000	1284	9999-12-31	2013-05-08	6315
7321/8-1	COMPOSITE LOG	1070	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1070.pdf	pdf	631.000000	1070	9999-12-31	2013-05-08	6316
7321/8-1	GEOCHEMICAL INFORMATION	1070_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1070_1.pdf	pdf	3160.000000	1070	9999-12-31	2013-05-08	6317
7321/8-1	GEOCHEMICAL INFORMATION	1070_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1070_2.pdf	pdf	2773.000000	1070	9999-12-31	2013-05-08	6318
7321/8-1	GEOCHEMICAL INFORMATION	1070_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1070_3.pdf	pdf	2811.000000	1070	9999-12-31	2013-05-08	6319
7321/8-1	OLD NPD WDSS	1070_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1070_01_WDSS_General_Information.pdf	pdf	407.000000	1070	9999-12-31	2013-05-08	6320
7321/8-1	OLD NPD WDSS	1070_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1070_02_WDSS_completion_log.pdf	pdf	317.000000	1070	9999-12-31	2013-05-08	6321
7321/9-1	COMPOSITE LOG	1339	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1339.pdf	pdf	178.000000	1339	9999-12-31	2013-05-08	6322
7321/9-1	GEOCHEMICAL INFORMATION	1339_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1339_1.pdf	pdf	2394.000000	1339	9999-12-31	2013-05-08	6323
7321/9-1	GEOCHEMICAL INFORMATION	1339_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1339_2.pdf	pdf	4289.000000	1339	9999-12-31	2013-05-08	6324
7321/9-1	OLD NPD WDSS	1339_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1339_01_WDSS_General_Information.pdf	pdf	207.000000	1339	9999-12-31	2013-05-08	6325
7321/9-1	OLD NPD WDSS	1339_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1339_02_WDSS_completion_log.pdf	pdf	153.000000	1339	9999-12-31	2013-05-08	6326
7324/10-1	COMPOSITE LOG	1411	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1411.pdf	pdf	475.000000	1411	9999-12-31	2013-05-08	6327
7324/10-1	GEOCHEMICAL INFORMATION	1411_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1411_1.pdf	pdf	1364.000000	1411	9999-12-31	2013-05-08	6328
7324/10-1	OLD NPD WDSS	1411_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1411_01_WDSS_General_Information.pdf	pdf	261.000000	1411	9999-12-31	2013-05-08	6329
7324/10-1	OLD NPD WDSS	1411_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1411_02_WDSS_completion_log.pdf	pdf	172.000000	1411	9999-12-31	2013-05-08	6330
8/10-1	COMPOSITE LOG	166	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/166.pdf	pdf	239.000000	166	9999-12-31	2013-05-08	6331
8/10-1	NPD PAPER	166_01_NPD_Paper_No.22_Lithology__Well_8_10_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/166_01_NPD_Paper_No.22_Lithology__Well_8_10_1.pdf	pdf	10540.000000	166	9999-12-31	2013-05-08	6332
8/10-1	NPD PAPER	166_02_NPD_Paper_No.22_Interpreted_Lithology_log__Well_8_10_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/166_02_NPD_Paper_No.22_Interpreted_Lithology_log__Well_8_10_1.pdf	pdf	48653.000000	166	9999-12-31	2013-05-08	6333
8/10-1	OLD NPD WDSS	166_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/166_01_WDSS_General_Information.pdf	pdf	180.000000	166	9999-12-31	2013-05-08	6334
8/10-1	REPORTED BY LICENSEE	166_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/166_1_Completion_Report_and_Completion_log.pdf	pdf	3315.000000	166	9999-12-31	2013-05-08	6335
8/10-2	COMPOSITE LOG	226	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/226.pdf	pdf	365.000000	226	9999-12-31	2013-05-08	6336
8/10-2	GEOCHEMICAL INFORMATION	226_1_source_rock_analysis_of_well_8_10_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/226_1_source_rock_analysis_of_well_8_10_2.pdf	pdf	2130.000000	226	9999-12-31	2013-05-08	6337
8/10-2	OLD NPD WDSS	226_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/226_01_WDSS_General_Information.pdf	pdf	232.000000	226	9999-12-31	2013-05-08	6338
8/10-2	OLD NPD WDSS	226_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/226_02_WDSS_completion_log.pdf	pdf	195.000000	226	9999-12-31	2013-05-08	6339
8/10-2	REPORTED BY LICENSEE	226_1_Completion_Report_&_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/226_1_Completion_Report_&_Completion_log.pdf	pdf	11813.000000	226	9999-12-31	2013-05-08	6340
8/1-1	COMPOSITE LOG	301	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/301.pdf	pdf	305.000000	301	9999-12-31	2013-05-08	6341
8/1-1	OLD NPD WDSS	301_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/301_01_WDSS_General_Information.pdf	pdf	230.000000	301	9999-12-31	2013-05-08	6342
8/1-1	REPORTED BY LICENSEE	301_01_Well_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/301_01_Well_Completion_Report_and_Completion_log.pdf	pdf	16353.000000	301	9999-12-31	2013-05-08	6343
8/11-1	COMPOSITE LOG	304	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/304.pdf	pdf	268.000000	304	9999-12-31	2013-05-08	6344
8/11-1	GEOCHEMICAL INFORMATION	304_1_Visual_maturity_of_selected_cuttingsin_8_11_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/304_1_Visual_maturity_of_selected_cuttingsin_8_11_1.pdf	pdf	4894.000000	304	9999-12-31	2013-05-08	6345
8/11-1	OLD NPD WDSS	304_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/304_01_WDSS_General_Information.pdf	pdf	221.000000	304	9999-12-31	2013-05-08	6346
8/11-1	REPORTED BY LICENSEE	304_1_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/304_1_Completion_Report_and_Completion_log.pdf	pdf	6692.000000	304	9999-12-31	2013-05-08	6347
8/12-1	COMPOSITE LOG	193	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/193.pdf	pdf	332.000000	193	9999-12-31	2013-05-08	6348
8/12-1	GEOCHEMICAL INFORMATION	193_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/193_1.pdf	pdf	978.000000	193	9999-12-31	2013-05-08	6349
8/12-1	GEOCHEMICAL INFORMATION	193_2_preliminary_results_of_petroleum_geochemical_studies_of_the_8_12_1_well	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/193_2_preliminary_results_of_petroleum_geochemical_studies_of_the_8_12_1_well.pdf	pdf	856.000000	193	9999-12-31	2013-05-08	6350
8/12-1	NPD PAPER	193_01_NPD_Paper_No.31_Lithology__Norwegian_Danish_Basin__Well_8_12_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/193_01_NPD_Paper_No.31_Lithology__Norwegian_Danish_Basin__Well_8_12_1.pdf	pdf	33179.000000	193	9999-12-31	2013-05-08	6351
8/12-1	NPD PAPER	193_02_NPD_Paper_No.31_Correlation_chart_3__Well_8_12_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/193_02_NPD_Paper_No.31_Correlation_chart_3__Well_8_12_1.pdf	pdf	640.000000	193	9999-12-31	2013-05-08	6352
8/12-1	NPD PAPER	193_03_NPD_Paper_No.31_Correlation_chart_3_II__Well_8_12_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/193_03_NPD_Paper_No.31_Correlation_chart_3_II__Well_8_12_1.pdf	pdf	494.000000	193	9999-12-31	2013-05-08	6353
8/12-1	OLD NPD WDSS	193_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/193_01_WDSS_General_Information.pdf	pdf	158.000000	193	9999-12-31	2013-05-08	6354
8/12-1	REPORTED BY LICENSEE	193_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/193_1_Completion_Report.pdf	pdf	20511.000000	193	9999-12-31	2013-05-08	6355
8/3-1	COMPOSITE LOG	142	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/142.pdf	pdf	286.000000	142	9999-12-31	2013-05-08	6356
8/3-1	GEOCHEMICAL INFORMATION	142_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/142_1.pdf	pdf	4332.000000	142	9999-12-31	2013-05-08	6357
8/3-1	NPD PAPER	142_01_NPD_Paper_No.1_Lithology__Well_8_3_1.pdf	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/142_01_NPD_Paper_No.1_Lithology__Well_8_3_1.pdf.pdf	pdf	16813.000000	142	9999-12-31	2013-05-08	6358
8/3-1	NPD PAPER	142_02_NPD_Paper_No.1_Interpreted_Lithology_log__Well_8_3_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/142_02_NPD_Paper_No.1_Interpreted_Lithology_log__Well_8_3_1.pdf	pdf	54856.000000	142	9999-12-31	2013-05-08	6359
8/3-1	OLD NPD WDSS	142_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/142_01_WDSS_General_Information.pdf	pdf	195.000000	142	9999-12-31	2013-05-08	6360
8/3-1	REPORTED BY LICENSEE	142_01_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/142_01_Completion_Report_and_Completion_log.pdf	pdf	3651.000000	142	9999-12-31	2013-05-08	6361
8/3-2	COMPOSITE LOG	89	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/89.pdf	pdf	497.000000	89	9999-12-31	2013-05-08	6362
8/3-2	GEOCHEMICAL INFORMATION	89_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/89_1.pdf	pdf	467.000000	89	9999-12-31	2013-05-08	6363
8/3-2	GEOCHEMICAL INFORMATION	89_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/89_2.pdf	pdf	3976.000000	89	9999-12-31	2013-05-08	6364
8/3-2	OLD NPD WDSS	89_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/89_01_WDSS_General_Information.pdf	pdf	146.000000	89	9999-12-31	2013-05-08	6365
8/3-2	OLD NPD WDSS	89_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/89_02_WDSS_completion_log.pdf	pdf	201.000000	89	9999-12-31	2013-05-08	6366
8/3-2	REPORTED BY LICENSEE	89_01_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/89_01_Completion_Report_and_Completion_log.pdf	pdf	26846.000000	89	9999-12-31	2013-05-08	6367
8/4-1	COMPOSITE LOG	302	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/302.pdf	pdf	439.000000	302	9999-12-31	2013-05-08	6368
8/4-1	GEOCHEMICAL INFORMATION	302_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/302_1.pdf	pdf	3173.000000	302	9999-12-31	2013-05-08	6369
8/4-1	GEOCHEMICAL INFORMATION	302_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/302_2.pdf	pdf	1571.000000	302	9999-12-31	2013-05-08	6370
8/4-1	OLD NPD WDSS	302_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/302_01_WDSS_General_Information.pdf	pdf	245.000000	302	9999-12-31	2013-05-08	6371
8/4-1	REPORTED BY LICENSEE	302_01_Well_completion_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/302_01_Well_completion_report.pdf	pdf	3452.000000	302	9999-12-31	2013-05-08	6372
8/4-1	REPORTED BY LICENSEE	302_02_Composite_well_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/302_02_Composite_well_log.pdf	pdf	2243.000000	302	9999-12-31	2013-05-08	6373
8/4-1	REPORTED BY LICENSEE	302_03_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/302_03_Biostratigraphy.pdf	pdf	46704.000000	302	9999-12-31	2013-05-08	6374
8/4-1	REPORTED BY LICENSEE	302_04_Exploratory_Well_Prognosis	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/302_04_Exploratory_Well_Prognosis.pdf	pdf	695.000000	302	9999-12-31	2013-05-08	6375
8/9-1	COMPOSITE LOG	303	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/303.pdf	pdf	289.000000	303	9999-12-31	2013-05-08	6376
8/9-1	GEOCHEMICAL INFORMATION	303_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/303_1.pdf	pdf	657.000000	303	9999-12-31	2013-05-08	6377
8/9-1	GEOCHEMICAL INFORMATION	303_2_interim_report_on_the_geochemistry_of_conoco_norway_8_9_1_well_norwegian_north_sea	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/303_2_interim_report_on_the_geochemistry_of_conoco_norway_8_9_1_well_norwegian_north_sea.pdf	pdf	817.000000	303	9999-12-31	2013-05-08	6378
8/9-1	OLD NPD WDSS	303_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/303_01_WDSS_General_Information.pdf	pdf	262.000000	303	9999-12-31	2013-05-08	6379
8/9-1	REPORTED BY LICENSEE	303_1_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/303_1_Completion_Report.pdf	pdf	4596.000000	303	9999-12-31	2013-05-08	6380
9/10-1	COMPOSITE LOG	183	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/183.pdf	pdf	144.000000	183	9999-12-31	2013-05-08	6381
9/10-1	NPD PAPER	183_01_NPD_Paper_No.31_Lithology__Norwegian_Danish_Basin__Well_9_10_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/183_01_NPD_Paper_No.31_Lithology__Norwegian_Danish_Basin__Well_9_10_1.pdf	pdf	33179.000000	183	9999-12-31	2013-05-08	6382
9/10-1	NPD PAPER	183_02_NPD_Paper_No.31_Correlation_chart_4__Well_9_10_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/183_02_NPD_Paper_No.31_Correlation_chart_4__Well_9_10_1.pdf	pdf	601.000000	183	9999-12-31	2013-05-08	6383
9/10-1	OLD NPD WDSS	183_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/183_01_WDSS_General_Information.pdf	pdf	156.000000	183	9999-12-31	2013-05-08	6384
9/10-1	REPORTED BY LICENSEE	183_01_Completion_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/183_01_Completion_Report.pdf	pdf	1200.000000	183	9999-12-31	2013-05-08	6385
9/10-1	REPORTED BY LICENSEE	183_02_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/183_02_Completion_log.pdf	pdf	859.000000	183	9999-12-31	2013-05-08	6386
9/11-1	COMPOSITE LOG	194	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/194.pdf	pdf	282.000000	194	9999-12-31	2013-05-08	6387
9/11-1	GEOCHEMICAL INFORMATION	194_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/194_1.pdf	pdf	927.000000	194	9999-12-31	2013-05-08	6388
9/11-1	GEOCHEMICAL INFORMATION	194_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/194_2.pdf	pdf	956.000000	194	9999-12-31	2013-05-08	6389
9/11-1	NPD PAPER	194_01_NPD_Paper_No.31_Lithology__Norwegian_Danish_Basin__Well_9_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/194_01_NPD_Paper_No.31_Lithology__Norwegian_Danish_Basin__Well_9_11_1.pdf	pdf	33179.000000	194	9999-12-31	2013-05-08	6390
9/11-1	NPD PAPER	194_02_NPD_Paper_No.31_Correlation_chart_4__Well_9_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/194_02_NPD_Paper_No.31_Correlation_chart_4__Well_9_11_1.pdf	pdf	601.000000	194	9999-12-31	2013-05-08	6391
9/11-1	NPD PAPER	194_03_NPD_Paper_No.31_Correlation_chart_4_II__Well_9_11_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/194_03_NPD_Paper_No.31_Correlation_chart_4_II__Well_9_11_1.pdf	pdf	465.000000	194	9999-12-31	2013-05-08	6392
9/11-1	OLD NPD WDSS	194_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/194_01_WDSS_General_Information.pdf	pdf	160.000000	194	9999-12-31	2013-05-08	6393
9/11-1	REPORTED BY LICENSEE	194_01_Final_report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/194_01_Final_report.pdf	pdf	6766.000000	194	9999-12-31	2013-05-08	6394
9/11-1	REPORTED BY LICENSEE	194_02_Composite_well_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/194_02_Composite_well_log.pdf	pdf	2307.000000	194	9999-12-31	2013-05-08	6395
9/11-1	REPORTED BY LICENSEE	194_03_Biostratigraphy	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/194_03_Biostratigraphy.pdf	pdf	705.000000	194	9999-12-31	2013-05-08	6396
9/12-1	COMPOSITE LOG	163	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/163.pdf	pdf	442.000000	163	9999-12-31	2013-05-08	6397
9/12-1	GEOCHEMICAL INFORMATION	163_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/163_1.pdf	pdf	255.000000	163	9999-12-31	2013-05-08	6398
9/12-1	GEOCHEMICAL INFORMATION	163_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/163_2.pdf	pdf	960.000000	163	9999-12-31	2013-05-08	6399
9/12-1	GEOCHEMICAL INFORMATION	163_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/163_3.pdf	pdf	656.000000	163	9999-12-31	2013-05-08	6400
9/12-1	GEOCHEMICAL INFORMATION	163_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/163_4.pdf	pdf	1162.000000	163	9999-12-31	2013-05-08	6401
9/12-1	NPD PAPER	163_01_NPD_Paper_No.27_Lithology__Well_9_12_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/163_01_NPD_Paper_No.27_Lithology__Well_9_12_1.pdf	pdf	11487.000000	163	9999-12-31	2013-05-08	6402
9/12-1	NPD PAPER	163_02_NPD_Paper_No.27_Interpreted_Lithology_log__Well_9_12_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/163_02_NPD_Paper_No.27_Interpreted_Lithology_log__Well_9_12_1.pdf	pdf	40386.000000	163	9999-12-31	2013-05-08	6403
9/12-1	NPD PAPER	163_03_NPD_Paper_No.31_Correlation_chart_4__Well_9_12_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/163_03_NPD_Paper_No.31_Correlation_chart_4__Well_9_12_1.pdf	pdf	601.000000	163	9999-12-31	2013-05-08	6404
9/12-1	NPD PAPER	163_04_NPD_Paper_No.31_Correlation_chart_4_II__Well_9_12_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/163_04_NPD_Paper_No.31_Correlation_chart_4_II__Well_9_12_1.pdf	pdf	465.000000	163	9999-12-31	2013-05-08	6405
9/12-1	OLD NPD WDSS	163_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/163_01_WDSS_General_Information.pdf	pdf	201.000000	163	9999-12-31	2013-05-08	6406
9/12-1	REPORTED BY LICENSEE	163_01_Resume_of_exploration_well_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/163_01_Resume_of_exploration_well_and_Completion_log.pdf	pdf	11073.000000	163	9999-12-31	2013-05-08	6407
9/2-1	COMPOSITE LOG	1038	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1038.pdf	pdf	583.000000	1038	9999-12-31	2013-05-08	6408
9/2-1	GEOCHEMICAL INFORMATION	1038_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1038_1.pdf	pdf	1299.000000	1038	9999-12-31	2013-05-08	6409
9/2-1	GEOCHEMICAL INFORMATION	1038_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1038_2.pdf	pdf	2226.000000	1038	9999-12-31	2013-05-08	6410
9/2-1	GEOCHEMICAL INFORMATION	1038_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1038_3.pdf	pdf	1589.000000	1038	9999-12-31	2013-05-08	6411
9/2-1	GEOCHEMICAL INFORMATION	1038_4	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1038_4.pdf	pdf	227.000000	1038	9999-12-31	2013-05-08	6412
9/2-1	OLD NPD WDSS	1038_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1038_01_WDSS_General_Information.pdf	pdf	379.000000	1038	9999-12-31	2013-05-08	6413
9/2-1	OLD NPD WDSS	1038_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1038_02_WDSS_completion_log.pdf	pdf	296.000000	1038	9999-12-31	2013-05-08	6414
9/2-2	COMPOSITE LOG	1135	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1135.pdf	pdf	570.000000	1135	9999-12-31	2013-05-08	6415
9/2-2	GEOCHEMICAL INFORMATION	1135_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1135_1.pdf	pdf	4022.000000	1135	9999-12-31	2013-05-08	6416
9/2-2	OLD NPD WDSS	1135_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1135_01_WDSS_General_Information.pdf	pdf	377.000000	1135	9999-12-31	2013-05-08	6417
9/2-2	OLD NPD WDSS	1135_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1135_02_WDSS_completion_log.pdf	pdf	279.000000	1135	9999-12-31	2013-05-08	6418
9/2-3	COMPOSITE LOG	1294	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/1294.pdf	pdf	398.000000	1294	9999-12-31	2013-05-08	6419
9/2-3	GEOCHEMICAL INFORMATION	1294_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1294_1.pdf	pdf	815.000000	1294	9999-12-31	2013-05-08	6420
9/2-3	GEOCHEMICAL INFORMATION	1294_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1294_2.pdf	pdf	2503.000000	1294	9999-12-31	2013-05-08	6421
9/2-3	GEOCHEMICAL INFORMATION	1294_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/1294_3.pdf	pdf	578.000000	1294	9999-12-31	2013-05-08	6422
9/2-3	OLD NPD WDSS	1294_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1294_01_WDSS_General_Information.pdf	pdf	212.000000	1294	9999-12-31	2013-05-08	6423
9/2-3	OLD NPD WDSS	1294_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/1294_02_WDSS_completion_log.pdf	pdf	223.000000	1294	9999-12-31	2013-05-08	6424
9/2-4 S	COMPOSITE LOG	2258	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2258.pdf	pdf	443.000000	2258	9999-12-31	2013-05-08	6425
9/2-5	COMPOSITE LOG	2599	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2599.pdf	pdf	362.000000	2599	9999-12-31	2013-05-08	6426
9/2-6 S	COMPOSITE LOG	2867	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/2867.pdf	pdf	514.000000	2867	9999-12-31	2013-05-08	6427
9/2-7 S	COMPOSITE LOG	3087	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3087.pdf	pdf	681.000000	3087	9999-12-31	2013-05-08	6428
9/2-7 S	GEOCHEMICAL INFORMATION	3087_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3087_1.pdf	pdf	1996.000000	3087	9999-12-31	2013-05-08	6429
9/2-7 S	GEOCHEMICAL INFORMATION	3087_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/3087_2.pdf	pdf	578.000000	3087	9999-12-31	2013-05-08	6430
9/2-8 S	COMPOSITE LOG	3126	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3126.pdf	pdf	516.000000	3126	9999-12-31	2013-05-08	6431
9/2-9 S	COMPOSITE LOG	3703	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/3703.pdf	pdf	356.000000	3703	9999-12-31	2013-05-08	6432
9/3-1	COMPOSITE LOG	921	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/921.pdf	pdf	403.000000	921	9999-12-31	2013-05-08	6433
9/3-1	GEOCHEMICAL INFORMATION	921_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/921_1.pdf	pdf	327.000000	921	9999-12-31	2013-05-08	6434
9/3-1	GEOCHEMICAL INFORMATION	921_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/921_2.pdf	pdf	1624.000000	921	9999-12-31	2013-05-08	6435
9/3-1	OLD NPD WDSS	921_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/921_01_WDSS_General_Information.pdf	pdf	212.000000	921	9999-12-31	2013-05-08	6436
9/3-1	OLD NPD WDSS	921_02_WDSS_completion_log	http://www.npd.no/engelsk/cwi/pbl/wdss_old/921_02_WDSS_completion_log.pdf	pdf	169.000000	921	9999-12-31	2013-05-08	6437
9/3-2	COMPOSITE LOG	5173	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/5173.pdf	pdf	461.000000	5173	2013-01-22	2013-05-08	6438
9/4-1	COMPOSITE LOG	150	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/150.pdf	pdf	235.000000	150	9999-12-31	2013-05-08	6439
9/4-1	GEOCHEMICAL INFORMATION	150_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/150_1.pdf	pdf	493.000000	150	9999-12-31	2013-05-08	6440
9/4-1	GEOCHEMICAL INFORMATION	150_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/150_2.pdf	pdf	937.000000	150	9999-12-31	2013-05-08	6441
9/4-1	GEOCHEMICAL INFORMATION	150_3	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/150_3.pdf	pdf	768.000000	150	9999-12-31	2013-05-08	6442
9/4-1	NPD PAPER	150_01_NPD_Paper_No.24_Lithology__Well_9_4_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/150_01_NPD_Paper_No.24_Lithology__Well_9_4_1.pdf	pdf	13946.000000	150	9999-12-31	2013-05-08	6443
9/4-1	OLD NPD WDSS	150_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/150_01_WDSS_General_Information.pdf	pdf	196.000000	150	9999-12-31	2013-05-08	6444
9/4-1	REPORTED BY LICENSEE	150_01_Final_Geological_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/150_01_Final_Geological_Report.pdf	pdf	804.000000	150	9999-12-31	2013-05-08	6445
9/4-1	REPORTED BY LICENSEE	150_02_Composite_well_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/150_02_Composite_well_log.pdf	pdf	1548.000000	150	9999-12-31	2013-05-08	6446
9/4-2	COMPOSITE LOG	176	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/176.pdf	pdf	290.000000	176	9999-12-31	2013-05-08	6447
9/4-2	NPD PAPER	176_01_NPD_Paper_No.24_Lithology__Well_9_4_2	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/176_01_NPD_Paper_No.24_Lithology__Well_9_4_2.pdf	pdf	13946.000000	176	9999-12-31	2013-05-08	6448
9/4-2	OLD NPD WDSS	176_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/176_01_WDSS_General_Information.pdf	pdf	180.000000	176	9999-12-31	2013-05-08	6449
9/4-2	REPORTED BY LICENSEE	176_01_Final_Engineering_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/176_01_Final_Engineering_Report.pdf	pdf	669.000000	176	9999-12-31	2013-05-08	6450
9/4-2	REPORTED BY LICENSEE	176_02_Composite_well_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/176_02_Composite_well_log.pdf	pdf	1257.000000	176	9999-12-31	2013-05-08	6451
9/4-3	COMPOSITE LOG	152	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/152.pdf	pdf	314.000000	152	9999-12-31	2013-05-08	6452
9/4-3	GEOCHEMICAL INFORMATION	152_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/152_1.pdf	pdf	1455.000000	152	9999-12-31	2013-05-08	6453
9/4-3	NPD PAPER	152_01_NPD_Paper_No.24_Lithology__Well_9_4_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/152_01_NPD_Paper_No.24_Lithology__Well_9_4_3.pdf	pdf	13946.000000	152	9999-12-31	2013-05-08	6454
9/4-3	NPD PAPER	152_02_NPD_Paper_No.24_Interpreted_Lithology_log__Well_9_4_3	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/152_02_NPD_Paper_No.24_Interpreted_Lithology_log__Well_9_4_3.pdf	pdf	42218.000000	152	9999-12-31	2013-05-08	6455
9/4-3	OLD NPD WDSS	152_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/152_01_WDSS_General_Information.pdf	pdf	234.000000	152	9999-12-31	2013-05-08	6456
9/4-3	REPORTED BY LICENSEE	152_01_Final_Report	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/152_01_Final_Report.pdf	pdf	2344.000000	152	9999-12-31	2013-05-08	6457
9/4-3	REPORTED BY LICENSEE	152_02_Composite_Well_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/152_02_Composite_Well_log.pdf	pdf	1216.000000	152	9999-12-31	2013-05-08	6458
9/4-4	COMPOSITE LOG	305	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/305.pdf	pdf	427.000000	305	9999-12-31	2013-05-08	6459
9/4-4	GEOCHEMICAL INFORMATION	305_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/305_1.pdf	pdf	1818.000000	305	9999-12-31	2013-05-08	6460
9/4-4	OLD NPD WDSS	305_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/305_01_WDSS_General_Information.pdf	pdf	245.000000	305	9999-12-31	2013-05-08	6461
9/4-4	REPORTED BY LICENSEE	305_01_Final_well_report_and_Composite_well_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/305_01_Final_well_report_and_Composite_well_log.pdf	pdf	11142.000000	305	9999-12-31	2013-05-08	6462
9/4-5	GEOCHEMICAL INFORMATION	5134_01_9_4_5_gch_transfer_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5134_01_9_4_5_gch_transfer_1.txt	txt	0.000000	5134	9999-12-31	2013-05-08	6463
9/4-5	GEOCHEMICAL INFORMATION	5134_02_9_4_5_gch_results_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5134_02_9_4_5_gch_results_1.txt	txt	163.000000	5134	9999-12-31	2013-05-08	6464
9/4-5	GEOCHEMICAL INFORMATION	5134_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/5134_1.pdf	pdf	3663.000000	5134	9999-12-31	2013-05-08	6465
9/8-1	COMPOSITE LOG	145	http://www.npd.no/engelsk/cwi/pbl/wellbore_composite_logs/145.pdf	pdf	235.000000	145	9999-12-31	2013-05-08	6466
9/8-1	GEOCHEMICAL INFORMATION	145_1	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/145_1.pdf	pdf	4426.000000	145	9999-12-31	2013-05-08	6467
9/8-1	GEOCHEMICAL INFORMATION	145_2	http://www.npd.no/engelsk/cwi/pbl/geochemical_pdfs/145_2.pdf	pdf	393.000000	145	9999-12-31	2013-05-08	6468
9/8-1	NPD PAPER	145_01_NPD_Paper_No.5_Lithology__Well_9_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/145_01_NPD_Paper_No.5_Lithology__Well_9_8_1.pdf	pdf	10850.000000	145	9999-12-31	2013-05-08	6469
9/8-1	NPD PAPER	145_02_NPD_Paper_No.5_Interpreted_Lithology_log__Well_9_8_1	http://www.npd.no/engelsk/cwi/pbl/NPD_papers/145_02_NPD_Paper_No.5_Interpreted_Lithology_log__Well_9_8_1.pdf	pdf	40257.000000	145	9999-12-31	2013-05-08	6470
9/8-1	OLD NPD WDSS	145_01_WDSS_General_Information	http://www.npd.no/engelsk/cwi/pbl/wdss_old/145_01_WDSS_General_Information.pdf	pdf	192.000000	145	9999-12-31	2013-05-08	6471
9/8-1	REPORTED BY LICENSEE	145_01_Completion_Report_and_Completion_log	http://www.npd.no/engelsk/cwi/pbl/wellbore_documents/145_01_Completion_Report_and_Completion_log.pdf	pdf	3957.000000	145	9999-12-31	2013-05-08	6472
\.



COPY wellbore_dst (wlbname, wlbdsttestnumber, wlbdstfromdepth, wlbdsttodepth, wlbdstchokesize, wlbdstfinshutinpress, wlbdstfinflowpress, wlbdstbottomholepress, wlbdstoilprod, wlbdstgasprod, wlbdstoildensity, wlbdstgasdensity, wlbdstgasoilrelation, wlbnpdidwellbore, wlbdstdateupdated, datesyncnpd) FROM stdin;
34/10-17	1.000000	2934.000000	2944.000000	15.800000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	5	9999-12-31	2013-05-08
34/10-17	2.000000	2881.000000	2891.000000	19.000000	0.000000	0.000000	0.000000	782	192000	0.820000	0.740000	245	5	9999-12-31	2013-05-08
34/10-17	3.000000	2835.000000	2845.000000	19.000000	0.000000	0.000000	0.000000	734	530000	0.800000	0.720000	722	5	9999-12-31	2013-05-08
34/10-17	4.000000	2754.000000	2790.000000	19.000000	0.000000	0.000000	0.000000	501	635000	0.760000	0.710000	1303	5	9999-12-31	2013-05-08
31/2-11	1.000000	1681.000000	1685.000000	50.800000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	6	9999-12-31	2013-05-08
31/2-11	2.000000	1576.000000	1582.000000	50.800000	0.000000	0.000000	0.000000	1240	69000	0.883000	0.667000	56	6	9999-12-31	2013-05-08
30/6-13	1.000000	2640.000000	2650.000000	11.100000	0.000000	0.000000	0.000000	450	58000	0.852000	0.680000	128	7	9999-12-31	2013-05-08
30/6-13	2.000000	2596.000000	2601.000000	11.100000	0.000000	0.000000	0.000000	423	44000	0.852000	0.680000	102	7	9999-12-31	2013-05-08
30/6-13	3.000000	2573.000000	2580.000000	11.100000	0.000000	0.000000	0.000000	428	42000	0.847000	0.680000	99	7	9999-12-31	2013-05-08
31/2-12	1.000000	1428.000000	1452.000000	17.500000	0.000000	0.000000	0.000000	0	564000	0.000000	0.000000	0	14	9999-12-31	2013-05-08
31/2-12	2.000000	1385.000000	1405.000000	17.500000	0.000000	0.000000	0.000000	0	684000	0.000000	0.000000	0	14	9999-12-31	2013-05-08
6407/2-2	1.000000	2476.000000	2484.000000	23.800000	0.000000	0.000000	0.000000	119	994000	0.770000	0.690000	0	16	9999-12-31	2013-05-08
7119/12-3	1.000000	3185.000000	3195.000000	25.400000	0.000000	0.000000	0.000000	17	957000	0.797000	0.722000	0	17	9999-12-31	2013-05-08
7120/7-2	1.100000	2187.000000	2193.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	18	9999-12-31	2013-05-08
7120/7-2	1.200000	2168.000000	2180.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	18	9999-12-31	2013-05-08
7120/7-2	1.300000	2153.000000	2164.000000	25.400000	0.000000	0.000000	0.000000	30	702000	0.770000	0.680000	23400	18	9999-12-31	2013-05-08
31/3-1	1.000000	1519.000000	1529.000000	16.900000	0.000000	0.000000	0.000000	0	355000	0.000000	0.000000	0	20	9999-12-31	2013-05-08
31/3-1	2.000000	1373.000000	1383.000000	12.700000	0.000000	0.000000	0.000000	0	479000	0.000000	0.000000	0	20	9999-12-31	2013-05-08
31/6-1	1.000000	1562.000000	1568.000000	22.200000	0.000000	0.000000	0.000000	0	842000	0.000000	0.635000	0	22	9999-12-31	2013-05-08
31/6-1	2.000000	1435.000000	1441.000000	19.000000	0.000000	0.000000	0.000000	0	733000	0.000000	0.630000	0	22	9999-12-31	2013-05-08
2/5-7	1.000000	3300.000000	3335.000000	7.900000	5.000000	0.000000	35.000000	120	46350	0.820000	0.830000	27	25	9999-12-31	2013-05-08
2/5-7	2.000000	3263.000000	3287.000000	14.300000	14.000000	0.000000	29.000000	121	32670	0.820000	0.960000	48	25	9999-12-31	2013-05-08
2/5-7	3.000000	3210.000000	3225.000000	0.000000	0.000000	0.000000	32.000000	8	0	0.000000	0.000000	0	25	9999-12-31	2013-05-08
7/8-3	1.000000	3762.000000	3767.000000	50.000000	0.000000	0.000000	0.000000	207	6512910	0.882000	0.880000	31463	28	9999-12-31	2013-05-08
7/8-3	2.000000	3734.000000	3741.000000	50.000000	0.000000	0.000000	0.000000	66	0	0.882000	0.000000	0	28	9999-12-31	2013-05-08
6407/1-3	1.000000	3698.000000	3703.000000	19.100000	0.000000	0.000000	0.000000	137	867000	0.872000	0.665000	158	29	9999-12-31	2013-05-08
6407/1-3	2.000000	3665.000000	3670.000000	25.400000	0.000000	0.000000	0.000000	253	875000	0.776000	0.655000	3458	29	9999-12-31	2013-05-08
29/9-1	1.000000	4394.000000	4405.000000	12.700000	0.000000	0.000000	0.000000	0	10000	0.000000	0.774000	0	31	9999-12-31	2013-05-08
31/5-2	1.000000	1577.000000	1581.000000	25.400000	0.200000	0.000000	14.900000	447	0	0.896000	0.660000	53	32	9999-12-31	2013-05-08
31/5-2	2.000000	1574.000000	1576.000000	44.500000	0.140000	0.000000	12.700000	1089	0	0.890000	0.660000	53	32	9999-12-31	2013-05-08
31/5-2	3.000000	1547.000000	1555.000000	44.500000	6.800000	0.000000	14.800000	0	1240000	0.780000	0.610000	0	32	9999-12-31	2013-05-08
34/4-5	1.000000	3599.000000	3589.000000	3.200000	2.060000	0.000000	0.000000	0	0	0.000000	0.000000	0	37	9999-12-31	2013-05-08
34/4-5	2.000000	3481.000000	3463.000000	4.000000	13.680000	0.000000	62.550000	48	11520	0.834000	0.820000	240	37	9999-12-31	2013-05-08
15/6-6	1.000000	3568.000000	3578.000000	22.200000	0.000000	0.000000	0.000000	278	835000	0.793000	0.762000	3003	38	9999-12-31	2013-05-08
34/4-4	1.000000	2618.000000	2626.000000	12.700000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	41	9999-12-31	2013-05-08
34/4-4	2.000000	2572.000000	2578.000000	10.300000	0.000000	0.000000	0.000000	461	0	0.000000	0.000000	94	41	9999-12-31	2013-05-08
34/4-4	3.000000	2512.000000	2516.000000	6.300000	0.000000	0.000000	0.000000	54	0	0.000000	0.000000	0	41	9999-12-31	2013-05-08
34/4-4	4.000000	2429.000000	2437.000000	17.500000	0.000000	0.000000	0.000000	1749	200000	0.830000	0.000000	70	41	9999-12-31	2013-05-08
7/11-5	1.000000	4185.000000	4197.000000	14.300000	0.000000	0.000000	0.000000	470	118000	0.828000	0.876000	251	42	9999-12-31	2013-05-08
7/11-5	2.000000	4165.000000	4174.000000	14.300000	0.000000	0.000000	0.000000	45	0	0.000000	0.000000	0	42	9999-12-31	2013-05-08
1/9-6 S	1.000000	3772.000000	3777.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	44	9999-12-31	2013-05-08
1/9-6 S	2.000000	3636.000000	3655.000000	11.100000	0.000000	0.000000	0.000000	500	530000	0.799000	0.705000	1115	44	9999-12-31	2013-05-08
1/9-6 S	3.000000	3524.000000	3588.000000	17.400000	0.000000	0.000000	0.000000	700	850000	0.828000	0.687000	1215	44	9999-12-31	2013-05-08
1/9-6 S	4.000000	3417.000000	3459.000000	22.200000	0.000000	0.000000	0.000000	605	850000	0.878000	0.695000	1406	44	9999-12-31	2013-05-08
2/2-1	1.000000	3715.000000	3730.000000	11.100000	3.000000	0.000000	51.000000	200	0	0.827000	0.860000	70	46	9999-12-31	2013-05-08
2/1-4	1.000000	4120.000000	4129.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	48	9999-12-31	2013-05-08
2/1-4	2.000000	4101.000000	4117.000000	6.300000	0.000000	0.000000	0.000000	182	20000	0.816000	0.758000	112	48	9999-12-31	2013-05-08
2/1-4	3.000000	4061.000000	4087.000000	3.200000	0.000000	0.000000	0.000000	99	11000	0.823000	0.750000	115	48	9999-12-31	2013-05-08
7120/8-2	1.000000	2092.000000	2097.000000	17.500000	10.000000	0.000000	17.000000	17	470000	0.778000	0.679000	26880	50	9999-12-31	2013-05-08
7/11-7	1.000000	4850.000000	4870.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	57	9999-12-31	2013-05-08
7/11-7	2.000000	4625.000000	4789.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	57	9999-12-31	2013-05-08
7/11-7	3.000000	4550.000000	4577.000000	1.600000	0.000000	0.000000	0.000000	23	0	0.820000	0.000000	0	57	9999-12-31	2013-05-08
34/10-16	1.000000	3397.000000	3407.000000	19.000000	0.000000	0.000000	0.000000	955	182000	0.860000	0.670000	191	59	9999-12-31	2013-05-08
34/10-16	2.000000	3177.000000	3187.000000	20.600000	0.000000	0.000000	0.000000	400	1647000	0.790000	0.660000	4118	59	9999-12-31	2013-05-08
6407/1-2	1.000000	3659.000000	3669.000000	19.000000	0.000000	0.000000	0.000000	454	394000	0.792000	0.735000	869	61	9999-12-31	2013-05-08
6507/11-1	1.000000	2396.000000	2402.000000	16.000000	14.000000	0.000000	0.000000	0	765000	0.000000	0.000000	0	68	9999-12-31	2013-05-08
31/2-7	1.000000	1584.000000	1590.000000	43.600000	0.000000	0.000000	0.000000	1184	5332000	0.887000	0.642000	4503	70	9999-12-31	2013-05-08
30/2-1	1.000000	3785.000000	3792.000000	12.700000	0.000000	0.000000	0.000000	307	677000	0.804000	0.695000	2205	72	9999-12-31	2013-05-08
30/2-1	2.000000	3761.000000	3771.000000	19.000000	0.000000	0.000000	0.000000	417	1030000	0.807000	0.695000	2470	72	9999-12-31	2013-05-08
30/2-1	3.000000	3720.000000	3728.000000	19.000000	0.000000	0.000000	0.000000	396	1016000	0.814000	0.692000	2565	72	9999-12-31	2013-05-08
30/6-7	1.000000	2729.000000	2736.000000	31.700000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	73	9999-12-31	2013-05-08
30/6-7	2.000000	2711.000000	2716.000000	22.200000	0.000000	0.000000	0.000000	1028	116000	0.850000	0.720000	113	73	9999-12-31	2013-05-08
30/6-7	3.000000	2681.000000	2684.000000	12.700000	0.000000	0.000000	0.000000	534	65000	0.835000	0.700000	122	73	9999-12-31	2013-05-08
30/6-7	4.000000	2637.000000	2639.000000	19.000000	0.000000	0.000000	0.000000	1339	146000	0.853000	0.700000	109	73	9999-12-31	2013-05-08
31/2-8	1.000000	1843.000000	1848.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	78	9999-12-31	2013-05-08
2/2-2	1.000000	1980.000000	1988.000000	11.200000	0.000000	0.000000	0.000000	0	314000	0.000000	0.570000	0	80	9999-12-31	2013-05-08
7120/9-1	1.000000	1935.000000	1936.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	82	9999-12-31	2013-05-08
7120/9-1	2.000000	1858.000000	1864.000000	20.600000	0.000000	0.000000	0.000000	11	291000	0.764000	0.720000	26697	82	9999-12-31	2013-05-08
7120/7-1	1.000000	2487.000000	2505.000000	12.000000	0.000000	0.000000	26.700000	0	0	0.000000	0.000000	0	85	9999-12-31	2013-05-08
7120/7-1	2.000000	2415.000000	2435.000000	19.000000	10.000000	14.600000	19.000000	19	489000	0.780000	0.680000	26010	85	9999-12-31	2013-05-08
1/3-3	1.000000	4529.000000	4552.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	87	9999-12-31	2013-05-08
1/3-3	2.000000	4233.000000	4240.000000	9.500000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	87	9999-12-31	2013-05-08
1/3-3	3.100000	4202.000000	4208.000000	50.800000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	87	9999-12-31	2013-05-08
1/3-3	3.300000	4211.000000	4214.000000	6.400000	0.000000	0.000000	0.000000	143	28000	0.829000	0.820000	196	87	9999-12-31	2013-05-08
16/7-4	1.000000	2590.000000	2597.000000	16.700000	0.000000	0.000000	0.000000	199	385110	0.750000	0.790000	1938	91	9999-12-31	2013-05-08
16/7-4	2.000000	2525.000000	2535.000000	16.700000	0.000000	0.000000	0.000000	253	472890	0.740000	0.800000	1871	91	9999-12-31	2013-05-08
31/2-13 S	1.000000	1801.000000	1807.000000	21.000000	0.000000	0.000000	0.000000	540	144180	0.880000	0.630000	267	93	9999-12-31	2013-05-08
2/11-4	1.000000	2698.000000	2707.000000	99.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	96	9999-12-31	2013-05-08
2/11-4	2.000000	2588.000000	2595.000000	99.000000	0.000000	0.000000	0.000000	213	32000	0.000000	0.000000	0	96	9999-12-31	2013-05-08
2/4-3	1.000000	3354.000000	3363.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	97	9999-12-31	2013-05-08
2/4-3	2.000000	3332.000000	3341.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	97	9999-12-31	2013-05-08
2/4-3	3.000000	3317.000000	3320.000000	19.000000	7.300000	0.000000	27.500000	323	58581	0.855000	0.000000	0	97	9999-12-31	2013-05-08
2/4-3	4.000000	3268.000000	3296.000000	28.500000	0.000000	0.000000	0.000000	328	62967	0.845000	0.000000	0	97	9999-12-31	2013-05-08
2/4-3	5.000000	3235.000000	3244.000000	19.000000	28.000000	0.000000	0.000000	172	36337	0.853000	0.000000	0	97	9999-12-31	2013-05-08
2/4-3	6.000000	3195.000000	3226.000000	6.300000	28.500000	0.000000	46.000000	166	35799	0.848000	0.000000	0	97	9999-12-31	2013-05-08
2/4-3	7.000000	3195.000000	3226.000000	19.000000	28.000000	0.000000	33.000000	609	129812	0.854000	0.000000	0	97	9999-12-31	2013-05-08
2/4-3	8.000000	3139.000000	3148.000000	6.000000	28.000000	0.000000	46.000000	186	39337	0.847000	0.000000	0	97	9999-12-31	2013-05-08
2/4-3	9.000000	3124.000000	3154.000000	25.400000	28.000000	0.000000	20.000000	326	79240	0.849000	0.000000	0	97	9999-12-31	2013-05-08
2/4-3	10.000000	3124.000000	3224.000000	19.000000	28.000000	0.000000	38.000000	595	132925	0.859000	0.000000	0	97	9999-12-31	2013-05-08
2/4-3	11.000000	3015.000000	3023.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	97	9999-12-31	2013-05-08
31/3-2	1.000000	1567.000000	1577.000000	63.500000	0.000000	0.000000	0.000000	1272	563000	0.890000	0.620000	442	100	9999-12-31	2013-05-08
31/5-3	1.000000	1606.000000	1618.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	101	9999-12-31	2013-05-08
31/5-3	2.000000	1582.000000	1586.000000	44.500000	0.000000	0.000000	0.000000	1230	59040	0.000000	0.650000	48	101	9999-12-31	2013-05-08
30/9-3 A	1.000000	2910.000000	2916.000000	38.100000	0.000000	0.000000	0.000000	800	108000	0.854000	0.710000	135	102	9999-12-31	2013-05-08
31/6-5	1.000000	1558.000000	1568.000000	38.100000	0.000000	0.000000	0.000000	0	1266000	0.000000	0.000000	0	105	9999-12-31	2013-05-08
6406/3-1	1.000000	3783.000000	3788.000000	15.900000	11.000000	50.000000	67.000000	0	8000	0.000000	0.000000	6	108	9999-12-31	2013-05-08
2/1-6	1.000000	4329.000000	4340.000000	25.400000	16.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	109	9999-12-31	2013-05-08
2/1-6	2.000000	4241.000000	4210.000000	11.100000	12.500000	0.000000	0.000000	0	0	0.000000	0.000000	0	109	9999-12-31	2013-05-08
34/7-1	1.000000	2581.000000	2574.000000	11.000000	0.000000	18.000000	36.000000	35	720000	0.826000	0.000000	2000	111	9999-12-31	2013-05-08
34/7-1	2.000000	2455.000000	2467.000000	9.500000	0.000000	0.000000	0.000000	509	40000	0.825000	0.000000	80	111	9999-12-31	2013-05-08
34/7-1	3.000000	2410.000000	2417.000000	17.500000	0.000000	0.000000	0.000000	1815	126000	0.830000	0.000000	70	111	9999-12-31	2013-05-08
7119/12-2	1.000000	1395.000000	1415.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	114	9999-12-31	2013-05-08
2/7-14	1.000000	3321.000000	3324.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	116	9999-12-31	2013-05-08
2/7-14	2.000000	3236.000000	3254.000000	0.000000	0.000000	14.000000	0.000000	227	31000	0.874000	0.820000	139	116	9999-12-31	2013-05-08
2/7-14	3.000000	3200.000000	3210.000000	0.000000	0.000000	0.000000	0.000000	0	59000	0.000000	0.000000	0	116	9999-12-31	2013-05-08
2/7-14	4.000000	3164.000000	3186.000000	0.000000	0.000000	0.000000	0.000000	553	86000	0.852000	0.682000	239	116	9999-12-31	2013-05-08
2/7-14	5.000000	3125.000000	3143.000000	0.000000	0.000000	0.000000	0.000000	76	14000	0.861000	0.697000	190	116	9999-12-31	2013-05-08
2/8-3	1.000000	3571.000000	3589.000000	0.000000	30.000000	25.000000	0.000000	4	278	0.000000	0.000000	0	117	9999-12-31	2013-05-08
2/8-3	2.000000	3600.000000	3571.000000	0.000000	28.000000	24.000000	0.000000	32	2019	0.000000	0.000000	0	117	9999-12-31	2013-05-08
2/8-3	3.000000	2871.000000	2882.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	117	9999-12-31	2013-05-08
7120/8-1	1.000000	2165.000000	2172.000000	36.000000	0.000000	0.000000	0.000000	48	1049000	0.777000	0.662000	21854	120	9999-12-31	2013-05-08
7120/8-1	2.000000	2133.000000	2138.000000	25.000000	0.000000	0.000000	0.000000	27	557000	0.779000	0.666000	20629	120	9999-12-31	2013-05-08
7120/8-1	3.000000	2093.000000	2110.000000	25.000000	0.000000	0.000000	0.000000	50	953000	0.780000	0.666000	19060	120	9999-12-31	2013-05-08
7120/12-2	1.000000	2562.000000	2568.000000	25.100000	0.000000	0.000000	0.000000	25	418000	0.755000	0.620000	16624	122	9999-12-31	2013-05-08
7120/12-2	2.000000	1985.000000	1991.000000	68.300000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	122	9999-12-31	2013-05-08
7120/12-2	3.000000	1944.000000	1950.000000	23.100000	0.000000	0.000000	0.000000	53	758000	0.722000	0.630000	14425	122	9999-12-31	2013-05-08
31/6-6	1.000000	1563.000000	1567.000000	25.400000	0.000000	0.000000	0.000000	0	7790	0.000000	0.000000	0	127	9999-12-31	2013-05-08
31/6-6	2.000000	1520.000000	1533.000000	12.500000	0.000000	44.000000	11.000000	0	107	0.000000	0.000000	0	127	9999-12-31	2013-05-08
7121/7-1	1.000000	1950.000000	1960.000000	67.500000	21.000000	0.000000	20.000000	0	0	0.000000	0.000000	0	130	9999-12-31	2013-05-08
7121/7-1	2.000000	1866.000000	1871.000000	24.400000	21.000000	10.000000	18.000000	28	501000	0.000000	0.000000	18000	130	9999-12-31	2013-05-08
6407/9-1	1.000000	1632.000000	1638.000000	48.000000	0.000000	0.000000	0.000000	1351	51338	0.820000	0.890000	38	133	9999-12-31	2013-05-08
7121/4-1	1.000000	2498.000000	2504.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	135	9999-12-31	2013-05-08
7121/4-1	2.000000	2466.000000	2472.000000	19.100000	13.000000	0.000000	0.000000	67	771600	0.850000	0.730000	11516	135	9999-12-31	2013-05-08
7121/4-1	3.000000	2420.000000	2435.000000	12.700000	18.000000	0.000000	0.000000	94	89000	0.850000	0.730000	946	135	9999-12-31	2013-05-08
7121/4-1	4.000000	2353.000000	2385.000000	25.400000	0.000000	0.000000	0.000000	109	846000	0.760000	0.700000	7760	135	9999-12-31	2013-05-08
35/3-2	1.000000	3599.000000	3605.000000	15.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	136	9999-12-31	2013-05-08
35/3-2	2.000000	3552.000000	3566.000000	15.000000	0.000000	0.000000	0.000000	53	1082000	0.819000	0.620000	0	136	9999-12-31	2013-05-08
6507/7-1	1.000000	4338.000000	4374.000000	12.700000	0.000000	5.000000	64.000000	0	30000	0.000000	0.650000	0	138	9999-12-31	2013-05-08
34/10-9	1.000000	2078.000000	2084.000000	9.500000	32.000000	15.000000	0.000000	35	2715	0.854000	0.000000	77	140	9999-12-31	2013-05-08
34/10-9	2.000000	2059.000000	2065.000000	9.500000	33.000000	32.000000	0.000000	751	48428	0.847000	0.000000	65	140	9999-12-31	2013-05-08
34/10-9	3.000000	1879.000000	1885.000000	12.700000	31.000000	30.000000	0.000000	727	42480	0.866000	0.000000	62	140	9999-12-31	2013-05-08
7/11-1	1.000000	3124.000000	3162.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	149	9999-12-31	2013-05-08
7/11-1	2.000000	3102.000000	3109.000000	6.300000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	149	9999-12-31	2013-05-08
7/11-1	3.000000	2979.000000	2988.000000	15.800000	0.000000	0.000000	0.000000	106	167000	0.000000	0.000000	1575	149	9999-12-31	2013-05-08
7/11-1	4.000000	2904.000000	2956.000000	19.000000	0.000000	0.000000	0.000000	135	714000	0.000000	0.000000	5280	149	9999-12-31	2013-05-08
7/11-1	5.000000	2877.000000	2882.000000	10.300000	0.000000	0.000000	0.000000	76	184000	0.000000	0.000000	2412	149	9999-12-31	2013-05-08
1/3-1	1.000000	4585.000000	4602.000000	12.500000	80.000000	61.000000	0.000000	0	1132	0.000000	0.000000	0	154	9999-12-31	2013-05-08
1/3-1	2.000000	4565.000000	4602.000000	12.500000	52.000000	40.000000	0.000000	0	6626	0.000000	0.000000	0	154	9999-12-31	2013-05-08
1/3-1	3.000000	3356.000000	3361.000000	12.500000	70.000000	50.000000	0.000000	0	28317	0.000000	0.000000	0	154	9999-12-31	2013-05-08
7/11-2	1.000000	3167.000000	3193.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	156	9999-12-31	2013-05-08
7/11-2	2.000000	3028.000000	3107.000000	19.000000	0.000000	0.000000	0.000000	221	469000	0.000000	0.000000	2121	156	9999-12-31	2013-05-08
7/11-2	3.000000	2980.000000	2999.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	156	9999-12-31	2013-05-08
7/8-1	1.000000	3231.000000	3317.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	158	9999-12-31	2013-05-08
7/8-1	2.000000	2680.000000	2702.000000	25.400000	36.600000	24.800000	0.000000	23	0	0.000000	0.000000	0	158	9999-12-31	2013-05-08
7/8-1	3.000000	2529.000000	2544.000000	25.400000	37.200000	24.100000	0.000000	19	0	0.000000	0.000000	0	158	9999-12-31	2013-05-08
7/8-1	4.000000	2489.000000	2508.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	158	9999-12-31	2013-05-08
7/11-3	1.000000	3241.000000	3247.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	159	9999-12-31	2013-05-08
7/11-3	2.000000	3211.000000	3233.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	159	9999-12-31	2013-05-08
7/11-3	3.000000	3180.000000	3203.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	159	9999-12-31	2013-05-08
7/11-3	4.000000	3161.000000	3173.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	159	9999-12-31	2013-05-08
7/11-3	5.000000	3127.000000	3145.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	159	9999-12-31	2013-05-08
7/11-3	6.000000	3097.000000	3111.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	159	9999-12-31	2013-05-08
7/11-3	7.000000	3087.000000	3093.000000	0.000000	0.000000	0.000000	0.000000	14	4400	0.000000	0.000000	237	159	9999-12-31	2013-05-08
7/11-3	8.000000	3037.000000	3046.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	159	9999-12-31	2013-05-08
2/3-1	1.000000	1624.000000	1637.000000	11.500000	0.000000	0.000000	0.000000	0	283100	0.000000	0.000000	0	162	9999-12-31	2013-05-08
2/3-1	2.000000	1588.000000	1601.000000	11.500000	0.000000	0.000000	0.000000	0	50000	0.000000	0.000000	0	162	9999-12-31	2013-05-08
2/11-1	1.000000	2633.000000	2639.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	168	9999-12-31	2013-05-08
2/11-1	2.000000	2595.000000	2605.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	168	9999-12-31	2013-05-08
2/11-1	3.000000	2629.000000	2651.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	168	9999-12-31	2013-05-08
2/11-1	4.000000	2646.000000	2651.000000	12.500000	0.000000	0.000000	0.000000	72	0	0.000000	0.000000	0	168	9999-12-31	2013-05-08
2/4-2	1.000000	3160.000000	3196.000000	25.400000	0.000000	0.000000	0.000000	1089	0	0.000000	0.000000	0	172	9999-12-31	2013-05-08
2/4-2	2.000000	3160.000000	3196.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	172	9999-12-31	2013-05-08
2/4-2	3.000000	3160.000000	3196.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	172	9999-12-31	2013-05-08
2/4-2	4.000000	3148.000000	3160.000000	25.400000	0.000000	0.000000	0.000000	170	167067	0.839000	0.000000	0	172	9999-12-31	2013-05-08
25/8-1	1.000000	1755.000000	1762.000000	25.400000	0.000000	0.000000	0.000000	429	9965	0.930000	0.000000	23	173	9999-12-31	2013-05-08
2/4-4	1.000000	3274.000000	3284.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	174	9999-12-31	2013-05-08
2/4-4	2.000000	3247.000000	3256.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	174	9999-12-31	2013-05-08
2/4-4	3.000000	3234.000000	3237.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	174	9999-12-31	2013-05-08
2/4-4	4.000000	3220.000000	3226.000000	19.000000	27.000000	4.000000	15.000000	168	32488	0.854000	0.000000	0	174	9999-12-31	2013-05-08
2/4-4	5.000000	3177.000000	3201.000000	19.000000	28.000000	6.000000	23.000000	432	77655	0.848000	0.000000	0	174	9999-12-31	2013-05-08
2/4-4	6.000000	3163.000000	3168.000000	19.000000	26.000000	2.000000	9.000000	107	26998	0.850000	0.000000	0	174	9999-12-31	2013-05-08
2/4-4	7.000000	3128.000000	3152.000000	19.000000	28.000000	8.000000	30.000000	600	613800	0.847000	0.000000	1023	174	9999-12-31	2013-05-08
2/4-5	1.000000	3165.000000	3204.000000	9.500000	29.000000	22.000000	42.000000	701	165696	0.838000	0.896000	0	177	9999-12-31	2013-05-08
2/4-5	2.000000	3178.000000	3187.000000	5.600000	32.000000	23.000000	44.000000	433	94918	0.842000	0.000000	0	177	9999-12-31	2013-05-08
2/4-5	3.000000	3107.000000	3143.000000	19.800000	29.000000	6.000000	20.000000	483	111785	0.840000	0.000000	0	177	9999-12-31	2013-05-08
2/4-5	4.000000	3087.000000	3098.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	177	9999-12-31	2013-05-08
2/4-5	5.000000	3041.000000	3075.000000	9.500000	25.000000	16.000000	34.000000	411	92060	0.838000	0.000000	0	177	9999-12-31	2013-05-08
2/4-5	6.000000	3043.000000	3076.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	177	9999-12-31	2013-05-08
2/5-1	1.000000	3042.000000	3101.000000	0.000000	0.000000	0.000000	46.000000	209	223212	0.000000	0.000000	1068	178	9999-12-31	2013-05-08
2/5-1	2.000000	3274.000000	3277.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	178	9999-12-31	2013-05-08
2/5-1	4.000000	3244.000000	3248.000000	0.000000	0.000000	0.000000	0.000000	425	612000	0.000000	0.000000	1440	178	9999-12-31	2013-05-08
2/5-1	5.000000	3285.000000	3234.000000	0.000000	0.000000	0.000000	0.000000	145	0	0.000000	0.000000	0	178	9999-12-31	2013-05-08
2/5-1	6.000000	3225.000000	3234.000000	0.000000	0.000000	0.000000	0.000000	445	0	0.000000	0.000000	0	178	9999-12-31	2013-05-08
2/5-1	7.000000	3154.000000	3191.000000	0.000000	48.000000	0.000000	48.000000	159	203838	0.000000	0.000000	1282	178	9999-12-31	2013-05-08
2/5-1	8.000000	3043.000000	3056.000000	0.000000	0.000000	0.000000	0.000000	230	65000	0.000000	0.000000	0	178	9999-12-31	2013-05-08
2/4-6	1.000000	3370.000000	3375.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	181	9999-12-31	2013-05-08
2/4-6	2.000000	3271.000000	3310.000000	25.400000	0.000000	0.000000	0.000000	568	256736	0.812000	0.000000	452	181	9999-12-31	2013-05-08
2/4-6	3.000000	3243.000000	3246.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	181	9999-12-31	2013-05-08
2/4-6	4.000000	3195.000000	3216.000000	25.400000	0.000000	0.000000	0.000000	609	221676	0.819000	0.000000	364	181	9999-12-31	2013-05-08
2/4-6	5.000000	3125.000000	3152.000000	25.400000	48.000000	45.000000	45.000000	747	402539	0.804000	0.000000	539	181	9999-12-31	2013-05-08
25/10-3	1.000000	1750.000000	1752.000000	0.000000	0.000000	0.000000	0.000000	900	0	0.840000	0.000000	0	182	9999-12-31	2013-05-08
2/7-2	1.000000	3006.000000	3018.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	187	9999-12-31	2013-05-08
2/5-2	1.000000	3511.000000	3514.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	188	9999-12-31	2013-05-08
2/5-2	2.000000	3350.000000	3361.000000	0.000000	0.000000	0.000000	0.000000	165	39643	0.000000	0.000000	0	188	9999-12-31	2013-05-08
2/5-2	3.000000	3300.000000	3315.000000	0.000000	0.000000	0.000000	0.000000	377	96276	0.000000	0.000000	0	188	9999-12-31	2013-05-08
2/5-2	4.000000	3166.000000	3183.000000	0.000000	0.000000	0.000000	0.000000	362	0	0.000000	0.000000	0	188	9999-12-31	2013-05-08
2/5-2	5.000000	3166.000000	3183.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	188	9999-12-31	2013-05-08
2/5-2	6.000000	3150.000000	3188.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	188	9999-12-31	2013-05-08
25/1-1	1.000000	1920.000000	1928.000000	0.000000	0.000000	0.000000	0.000000	0	674000	0.000000	0.000000	0	190	9999-12-31	2013-05-08
2/4-7	1.000000	3367.000000	3370.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	196	9999-12-31	2013-05-08
2/4-7	2.000000	3346.000000	3349.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	196	9999-12-31	2013-05-08
2/4-7	3.000000	3304.000000	3329.000000	0.000000	0.000000	0.000000	0.000000	551	736231	0.000000	0.000000	0	196	9999-12-31	2013-05-08
2/4-7	4.000000	3250.000000	3261.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	196	9999-12-31	2013-05-08
2/4-7	5.000000	3176.000000	3204.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	196	9999-12-31	2013-05-08
2/4-7	6.000000	3176.000000	3182.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	196	9999-12-31	2013-05-08
2/4-7	7.000000	3189.000000	3204.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	196	9999-12-31	2013-05-08
25/4-5	1.000000	4154.000000	4176.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	201	9999-12-31	2013-05-08
25/4-5	2.000000	4065.000000	4088.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	201	9999-12-31	2013-05-08
25/4-5	3.000000	3969.000000	3999.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	201	9999-12-31	2013-05-08
30/3-2	1.000000	2916.000000	2923.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	203	9999-12-31	2013-05-08
30/3-2	2.000000	2870.000000	2874.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	203	9999-12-31	2013-05-08
30/3-2	3.000000	2832.000000	2837.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	203	9999-12-31	2013-05-08
35/8-1	1.000000	3636.000000	3645.000000	15.900000	0.000000	0.000000	0.000000	204	651000	0.804000	0.000000	3197	205	9999-12-31	2013-05-08
35/8-1	2.000000	3636.000000	3645.000000	15.900000	0.000000	0.000000	0.000000	204	651000	0.804000	0.000000	3197	205	9999-12-31	2013-05-08
35/8-1	3.000000	3636.000000	3645.000000	15.900000	0.000000	0.000000	0.000000	204	651000	0.804000	0.000000	3197	205	9999-12-31	2013-05-08
35/8-1	4.000000	3565.000000	3575.000000	19.500000	0.000000	0.000000	0.000000	229	920000	0.799000	0.656000	4070	205	9999-12-31	2013-05-08
31/2-5	1.000000	1582.000000	1588.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	210	9999-12-31	2013-05-08
35/3-4	2.000000	3445.000000	3471.000000	14.300000	0.000000	0.000000	0.000000	84	688000	0.778000	0.620000	8190	219	9999-12-31	2013-05-08
34/10-7	1.000000	1833.000000	1840.000000	15.900000	0.000000	0.000000	0.000000	471	0	0.832000	0.000000	126	222	9999-12-31	2013-05-08
2/7-15	1.000000	3425.000000	3462.000000	25.400000	66.000000	30.000000	0.000000	0	0	0.000000	0.000000	0	225	9999-12-31	2013-05-08
2/7-15	2.000000	3006.000000	3010.000000	14.300000	46.000000	30.000000	0.000000	7	0	0.000000	0.000000	0	225	9999-12-31	2013-05-08
2/7-15	3.000000	2988.000000	3010.000000	13.400000	44.000000	30.000000	0.000000	13	0	0.000000	0.000000	0	225	9999-12-31	2013-05-08
34/10-8	1.000000	1845.000000	1848.000000	12.700000	0.000000	0.000000	0.000000	501	0	0.882000	0.000000	117	230	9999-12-31	2013-05-08
2/7-16	1.000000	3254.000000	3263.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	232	9999-12-31	2013-05-08
2/7-16	2.000000	3168.000000	3190.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	232	9999-12-31	2013-05-08
31/2-3	1.000000	1575.000000	1580.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	236	9999-12-31	2013-05-08
31/2-3	2.000000	1552.000000	1557.000000	6.400000	0.000000	0.000000	0.000000	14	560	0.910000	0.000000	40	236	9999-12-31	2013-05-08
31/2-3	3.000000	1495.000000	1510.000000	50.800000	0.000000	0.000000	0.000000	0	914000	0.000000	0.000000	0	236	9999-12-31	2013-05-08
31/2-3	4.000000	1410.000000	1435.000000	38.100000	0.000000	0.000000	0.000000	0	1133000	0.000000	0.000000	0	236	9999-12-31	2013-05-08
1/5-2	1.000000	3338.000000	3363.000000	0.000000	0.000000	0.000000	0.000000	5	0	0.870000	0.000000	0	238	9999-12-31	2013-05-08
1/5-2	2.000000	3152.000000	3174.000000	21.400000	0.000000	0.000000	0.000000	500	180662	0.810000	0.000000	361	238	9999-12-31	2013-05-08
1/5-2	3.000000	3076.000000	3103.000000	0.000000	0.000000	0.000000	0.000000	15	0	0.000000	0.000000	0	238	9999-12-31	2013-05-08
1/5-2	4.000000	2832.000000	2841.000000	0.000000	0.000000	0.000000	0.000000	37	16707	0.820000	0.000000	456	238	9999-12-31	2013-05-08
1/6-1	1.000000	3820.000000	3833.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	239	9999-12-31	2013-05-08
1/6-1	2.000000	3621.000000	3633.000000	12.000000	0.000000	0.000000	0.000000	32	16980	0.832000	0.000000	0	239	9999-12-31	2013-05-08
1/6-1	3.000000	3271.000000	3280.000000	25.400000	0.000000	0.000000	0.000000	352	466893	0.794000	0.690000	0	239	9999-12-31	2013-05-08
1/6-1	4.000000	3153.000000	3159.000000	25.400000	0.000000	0.000000	0.000000	24	51959	0.796000	0.745000	0	239	9999-12-31	2013-05-08
1/9-1	1.000000	3298.000000	3310.000000	19.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	243	9999-12-31	2013-05-08
1/9-1	2.000000	3210.000000	3220.000000	19.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	243	9999-12-31	2013-05-08
1/9-1	3.000000	3174.000000	3182.000000	19.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	243	9999-12-31	2013-05-08
1/9-1	4.000000	3148.000000	3157.000000	9.500000	0.000000	41.000000	0.000000	420	154000	0.849000	0.699000	380	243	9999-12-31	2013-05-08
1/9-1	5.000000	3120.000000	3133.000000	9.500000	0.000000	27.000000	0.000000	460	251000	0.818000	0.680000	550	243	9999-12-31	2013-05-08
1/9-1	5.100000	3129.000000	3133.000000	5.000000	21.000000	0.000000	0.000000	98	45000	0.836000	0.710000	600	243	9999-12-31	2013-05-08
1/9-1	6.000000	3105.000000	3109.000000	8.400000	14.300000	0.000000	0.000000	127	130000	0.796000	0.708000	990	243	9999-12-31	2013-05-08
1/9-1	7.000000	3082.000000	3088.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	243	9999-12-31	2013-05-08
1/9-1	8.000000	3055.000000	3068.000000	4.600000	11.100000	0.000000	0.000000	90	218000	0.760000	0.691000	2336	243	9999-12-31	2013-05-08
1/9-1	8.100000	3055.000000	3068.000000	18.300000	13.300000	0.000000	0.000000	1007	0	0.000000	0.000000	0	243	9999-12-31	2013-05-08
1/9-2	1.000000	3197.000000	3209.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	244	9999-12-31	2013-05-08
1/9-2	2.000000	3130.000000	3154.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	244	9999-12-31	2013-05-08
1/9-3	1.000000	3205.000000	3214.000000	19.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	245	9999-12-31	2013-05-08
1/9-3	2.000000	3157.000000	3180.000000	9.500000	0.000000	0.000000	0.000000	8	4800	0.000000	0.840000	0	245	9999-12-31	2013-05-08
1/9-3	3.000000	3126.000000	3125.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	245	9999-12-31	2013-05-08
1/9-3	4.000000	3094.000000	3112.000000	19.000000	0.000000	0.000000	0.000000	397	648400	0.000000	0.770000	0	245	9999-12-31	2013-05-08
1/9-4	1.000000	3292.000000	3296.000000	19.000000	0.000000	0.000000	0.000000	16	30582	0.790000	0.000000	0	247	9999-12-31	2013-05-08
1/9-4	2.000000	3235.000000	3255.000000	19.000000	0.000000	0.000000	0.000000	592	673944	0.790000	0.000000	0	247	9999-12-31	2013-05-08
1/9-4	3.000000	3176.000000	3198.000000	19.000000	0.000000	0.000000	0.000000	0	311487	0.000000	0.000000	0	247	9999-12-31	2013-05-08
1/9-4	4.000000	3137.000000	3127.000000	19.000000	0.000000	0.000000	0.000000	223	498379	0.770000	0.690000	0	247	9999-12-31	2013-05-08
2/1-1	1.000000	3620.000000	3743.000000	0.000000	16.000000	0.000000	0.000000	0	14100	0.000000	0.000000	0	249	9999-12-31	2013-05-08
2/1-3	1.000000	3863.000000	3872.000000	15.900000	0.000000	0.000000	0.000000	226	19000	0.820000	0.000000	150	251	9999-12-31	2013-05-08
2/1-3	2.000000	3839.000000	3845.000000	12.700000	0.000000	0.000000	0.000000	1051	55000	0.830000	0.000000	116	251	9999-12-31	2013-05-08
2/1-3	3.000000	3819.000000	3825.000000	12.700000	0.000000	0.000000	0.000000	933	39000	0.835000	0.000000	108	251	9999-12-31	2013-05-08
2/4-8	1.000000	3194.000000	3204.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	252	9999-12-31	2013-05-08
2/4-8	2.000000	3185.000000	3194.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	252	9999-12-31	2013-05-08
2/4-8	3.000000	3181.000000	3191.000000	12.400000	0.000000	0.000000	0.000000	443	707028	0.885000	0.000000	1596	252	9999-12-31	2013-05-08
2/4-8	4.000000	3194.000000	3204.000000	25.400000	0.000000	0.000000	0.000000	175	326025	0.822000	0.000000	1863	252	9999-12-31	2013-05-08
2/4-8	5.000000	3091.000000	3158.000000	6.300000	0.000000	0.000000	0.000000	654	1316502	0.821000	0.000000	2013	252	9999-12-31	2013-05-08
2/4-8	6.000000	3014.000000	3042.000000	11.100000	0.000000	0.000000	0.000000	360	519480	0.820000	0.000000	1443	252	9999-12-31	2013-05-08
2/4-8	7.000000	2996.000000	3002.000000	0.000000	0.000000	0.000000	0.000000	71	133906	0.000000	0.000000	1886	252	9999-12-31	2013-05-08
2/4-9	1.000000	3360.000000	3369.000000	38.000000	0.000000	0.000000	0.000000	121	97700	0.802000	0.000000	801	253	9999-12-31	2013-05-08
2/4-9	2.000000	3308.000000	3369.000000	9.100000	0.000000	0.000000	0.000000	461	455900	0.802000	0.000000	977	253	9999-12-31	2013-05-08
2/4-9	3.000000	3274.000000	3283.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	253	9999-12-31	2013-05-08
2/4-9	4.000000	3222.000000	3224.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	253	9999-12-31	2013-05-08
2/4-10	1.000000	3304.000000	3322.000000	9.500000	11.000000	0.000000	43.000000	586	1180	0.834000	0.000000	2	254	9999-12-31	2013-05-08
2/4-10	2.000000	3304.000000	3309.000000	25.400000	0.000000	0.000000	31.000000	122	864	0.846000	0.856000	7	254	9999-12-31	2013-05-08
2/4-11	1.000000	3758.000000	3770.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	255	9999-12-31	2013-05-08
2/4-11	2.000000	3639.000000	3667.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	255	9999-12-31	2013-05-08
2/4-11	3.000000	3639.000000	3667.000000	0.000000	0.000000	0.000000	0.000000	8	0	0.000000	0.000000	0	255	9999-12-31	2013-05-08
2/4-11	4.000000	3188.000000	3200.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	255	9999-12-31	2013-05-08
2/4-11	5.000000	3146.000000	3161.000000	0.000000	0.000000	0.000000	0.000000	50	1050	0.822000	0.000000	0	255	9999-12-31	2013-05-08
2/5-3	1.000000	3386.000000	3395.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	258	9999-12-31	2013-05-08
2/5-3	2.000000	3121.000000	3191.000000	15.900000	0.000000	0.000000	0.000000	682	340400	0.844000	0.000000	464	258	9999-12-31	2013-05-08
2/5-3	3.000000	3053.000000	3065.000000	12.500000	0.000000	0.000000	0.000000	682	141330	0.830000	0.000000	179	258	9999-12-31	2013-05-08
2/5-4	1.000000	3137.000000	3170.000000	12.000000	0.000000	0.000000	0.000000	556	30500	0.800000	0.000000	53	259	9999-12-31	2013-05-08
2/5-4	2.000000	3070.000000	3081.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	259	9999-12-31	2013-05-08
2/5-4	3.000000	3051.000000	3065.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	259	9999-12-31	2013-05-08
2/5-5	1.000000	3425.000000	3434.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	260	9999-12-31	2013-05-08
2/5-5	3.000000	3297.000000	3313.000000	25.400000	0.000000	0.000000	0.000000	72	12430	0.829000	0.000000	171	260	9999-12-31	2013-05-08
2/7-4	1.000000	3266.000000	3292.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	263	9999-12-31	2013-05-08
2/7-4	2.000000	3197.000000	3220.000000	0.000000	0.000000	0.000000	0.000000	1054	27183	0.000000	0.000000	0	263	9999-12-31	2013-05-08
2/7-4	3.000000	3149.000000	3170.000000	0.000000	0.000000	0.000000	0.000000	200	7079	0.000000	0.000000	0	263	9999-12-31	2013-05-08
2/7-4	4.000000	3127.000000	3145.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	263	9999-12-31	2013-05-08
2/7-4	5.000000	3106.000000	3114.000000	0.000000	0.000000	0.000000	0.000000	7	736	0.000000	0.000000	0	263	9999-12-31	2013-05-08
2/7-4	6.000000	3106.000000	3114.000000	0.000000	0.000000	0.000000	0.000000	8	1444	0.000000	0.000000	0	263	9999-12-31	2013-05-08
2/7-5	1.000000	3274.000000	3293.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	264	9999-12-31	2013-05-08
2/7-5	2.000000	3225.000000	3237.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	264	9999-12-31	2013-05-08
2/7-5	3.000000	3210.000000	3219.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	264	9999-12-31	2013-05-08
2/7-5	4.000000	3160.000000	3185.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	264	9999-12-31	2013-05-08
2/7-5	5.000000	3120.000000	3230.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	264	9999-12-31	2013-05-08
2/7-8	1.000000	3039.000000	3051.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	267	9999-12-31	2013-05-08
2/7-8	2.000000	3039.000000	3051.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	267	9999-12-31	2013-05-08
2/7-8	3.000000	3014.000000	3033.000000	0.000000	40.000000	27.000000	0.000000	13	2406	0.970000	0.000000	0	267	9999-12-31	2013-05-08
2/7-8	4.000000	2969.000000	3001.000000	0.000000	40.000000	37.000000	0.000000	539	53789	0.860000	0.000000	0	267	9999-12-31	2013-05-08
2/7-9	1.000000	4313.000000	4356.000000	0.000000	38.400000	0.000000	0.000000	36	9996	0.800000	0.000000	278	268	9999-12-31	2013-05-08
2/7-9	2.000000	3417.000000	3436.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	268	9999-12-31	2013-05-08
2/7-9	3.000000	3098.000000	3109.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	268	9999-12-31	2013-05-08
2/7-10	1.000000	3313.000000	3322.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	269	9999-12-31	2013-05-08
2/7-10	3.000000	3289.000000	3301.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	269	9999-12-31	2013-05-08
2/7-10	5.000000	3245.000000	3261.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	269	9999-12-31	2013-05-08
2/7-10	6.000000	3219.000000	3237.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	269	9999-12-31	2013-05-08
2/7-10	7.000000	3203.000000	3210.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	269	9999-12-31	2013-05-08
2/7-12	1.000000	417.000000	426.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	271	9999-12-31	2013-05-08
2/7-13	1.000000	3188.000000	3205.000000	38.100000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	272	9999-12-31	2013-05-08
2/7-13	2.000000	3042.000000	3084.000000	38.100000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	272	9999-12-31	2013-05-08
2/7-13	3.000000	2794.000000	2807.000000	38.100000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	272	9999-12-31	2013-05-08
2/7-13	4.000000	2697.000000	2729.000000	38.100000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	272	9999-12-31	2013-05-08
2/8-4	1.000000	2603.000000	2622.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	273	9999-12-31	2013-05-08
2/8-4	2.000000	2579.000000	2588.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	273	9999-12-31	2013-05-08
34/4-1	1.000000	2608.000000	2613.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	422	9999-12-31	2013-05-08
2/8-6	1.000000	2570.000000	2582.000000	25.400000	44.900000	26.900000	0.000000	94	19283	0.850000	0.000000	1152	276	9999-12-31	2013-05-08
2/8-6	2.000000	2526.000000	2553.000000	19.000000	41.500000	11.700000	0.000000	262	40691	0.840000	0.000000	872	276	9999-12-31	2013-05-08
2/8-6	3.000000	2502.000000	2514.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	276	9999-12-31	2013-05-08
2/8-6	4.000000	2478.000000	2489.000000	12.500000	44.600000	15.800000	0.000000	136	30270	0.830000	0.000000	0	276	9999-12-31	2013-05-08
2/8-6	5.000000	2466.000000	2488.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	276	9999-12-31	2013-05-08
2/8-8	1.000000	2585.000000	2595.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	278	9999-12-31	2013-05-08
2/8-8	2.000000	2556.000000	2568.000000	19.000000	43.000000	32.000000	0.000000	455	0	0.000000	0.000000	690	278	9999-12-31	2013-05-08
2/8-8	3.000000	2507.000000	2515.000000	0.000000	44.600000	23.300000	0.000000	179	0	0.830000	0.000000	780	278	9999-12-31	2013-05-08
2/8-8	4.000000	2488.000000	2493.000000	12.500000	0.000000	0.000000	0.000000	745	0	0.000000	0.000000	1225	278	9999-12-31	2013-05-08
2/8-8	5.000000	2460.000000	2465.000000	25.400000	44.000000	36.000000	0.000000	1222	0	0.850000	0.000000	1118	278	9999-12-31	2013-05-08
2/8-9	1.000000	2552.000000	2558.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	279	9999-12-31	2013-05-08
2/8-9	2.000000	2525.000000	2529.000000	0.000000	45.200000	20.400000	0.000000	353	81693	0.840000	0.000000	231	279	9999-12-31	2013-05-08
2/8-10	1.000000	2536.000000	2547.000000	3.200000	0.000000	0.000000	0.000000	49	6760	0.840000	0.674000	775	280	9999-12-31	2013-05-08
2/8-10	2.000000	2493.000000	2509.000000	9.500000	0.000000	0.000000	0.000000	552	78155	0.840000	0.653000	793	280	9999-12-31	2013-05-08
2/8-10	3.000000	2480.000000	2486.000000	15.900000	0.000000	0.000000	0.000000	1017	165937	0.840000	0.660000	910	280	9999-12-31	2013-05-08
7/12-6	1.000000	3544.000000	3612.000000	4.700000	0.000000	0.000000	0.000000	160	5720	0.816000	0.806000	36	281	9999-12-31	2013-05-08
7/12-6	2.000000	3434.000000	3511.000000	12.700000	0.000000	0.000000	0.000000	1270	84526	0.842000	0.840000	66	281	9999-12-31	2013-05-08
2/11-2	1.000000	2672.000000	2680.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	285	9999-12-31	2013-05-08
2/11-2	2.000000	2643.000000	2665.000000	0.000000	0.000000	0.000000	0.000000	545	82120	0.830000	0.000000	194	285	9999-12-31	2013-05-08
2/11-3 A	1.000000	3268.000000	3280.000000	9.500000	0.000000	0.000000	0.000000	88	12743	0.880000	0.800000	0	287	9999-12-31	2013-05-08
2/11-3 A	2.000000	3230.000000	3236.000000	9.500000	0.000000	0.000000	0.000000	519	63429	0.840000	0.690000	0	287	9999-12-31	2013-05-08
2/11-6 S	1.000000	3875.000000	3900.000000	3.200000	0.000000	0.000000	0.000000	364	39000	0.000000	0.000000	105	289	9999-12-31	2013-05-08
2/11-6 S	2.000000	3585.000000	3706.000000	7.900000	0.000000	0.000000	0.000000	223	24000	0.863000	0.714000	106	289	9999-12-31	2013-05-08
2/11-6 S	3.000000	3713.000000	3735.000000	19.000000	0.000000	0.000000	0.000000	921	87000	0.000000	0.000000	95	289	9999-12-31	2013-05-08
6506/12-7	1.000000	4741.000000	4748.000000	12.700000	0.000000	0.000000	0.000000	520	145000	0.820000	0.770000	442	300	9999-12-31	2013-05-08
6506/12-7	2.000000	4702.000000	4707.000000	7.900000	0.000000	0.000000	0.000000	200	145000	0.818000	0.785000	725	300	9999-12-31	2013-05-08
6506/12-7	3.000000	4474.000000	4514.000000	15.900000	0.000000	0.000000	0.000000	70	110000	0.790000	0.745000	1571	300	9999-12-31	2013-05-08
6506/12-7	4.000000	4414.000000	4439.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	300	9999-12-31	2013-05-08
15/8-1	1.000000	4079.000000	4085.000000	19.100000	0.000000	0.000000	0.000000	316	427000	0.754000	0.851000	1351	321	9999-12-31	2013-05-08
15/8-1	2.000000	3911.000000	3926.000000	16.700000	0.000000	0.000000	0.000000	399	486000	0.811000	0.944000	1218	321	9999-12-31	2013-05-08
15/8-1	3.000000	3688.000000	3697.000000	22.200000	0.000000	0.000000	0.000000	408	657000	0.846000	0.840000	1610	321	9999-12-31	2013-05-08
15/8-1	4.000000	3543.000000	3653.000000	22.200000	0.000000	0.000000	0.000000	290	550000	0.799000	0.832000	1897	321	9999-12-31	2013-05-08
15/9-1	1.000000	3655.000000	3660.000000	19.000000	0.000000	0.000000	0.000000	211	40210	0.890000	0.738000	191	322	9999-12-31	2013-05-08
15/9-1	2.000000	3602.000000	3607.000000	25.000000	0.000000	0.000000	0.000000	129	736242	0.780000	0.703000	5700	322	9999-12-31	2013-05-08
15/9-11	1.000000	2797.000000	2807.000000	16.700000	0.000000	0.000000	0.000000	238	517000	0.750000	0.730000	2172	329	9999-12-31	2013-05-08
15/9-11	2.000000	2432.000000	2440.000000	12.700000	0.000000	0.000000	0.000000	104	234000	0.750000	0.720000	2248	329	9999-12-31	2013-05-08
15/9-11	3.000000	2395.000000	2415.000000	19.000000	0.000000	0.000000	0.000000	266	570000	0.750000	0.734000	2142	329	9999-12-31	2013-05-08
16/11-2	2.000000	2251.000000	2262.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	336	9999-12-31	2013-05-08
16/11-2	3.000000	2231.000000	2242.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	336	9999-12-31	2013-05-08
17/12-2	1.000000	2166.000000	2169.000000	0.000000	0.000000	0.000000	0.000000	1	0	0.000000	0.000000	0	340	9999-12-31	2013-05-08
17/12-2	2.000000	2157.000000	2162.000000	6.300000	4.000000	3.000000	0.000000	366	31820	0.887000	0.000000	87	340	9999-12-31	2013-05-08
18/10-1	1.000000	2414.000000	2427.000000	50.800000	23.000000	19.000000	0.000000	295	2850	0.834000	0.724000	9	342	9999-12-31	2013-05-08
24/9-3	1.000000	1805.000000	1796.000000	0.000000	0.000000	0.000000	0.000000	39	1000	0.916000	0.650000	26	346	9999-12-31	2013-05-08
24/9-3	2.000000	1782.000000	1775.000000	50.800000	0.000000	0.000000	0.000000	86	2400	0.925000	0.630000	28	346	9999-12-31	2013-05-08
24/9-3	3.000000	1747.000000	1739.000000	0.000000	0.000000	0.000000	0.000000	0	1000	0.000000	0.562000	0	346	9999-12-31	2013-05-08
25/1-4	1.000000	1969.000000	1995.000000	19.000000	0.000000	0.000000	0.000000	5	610000	0.000000	0.000000	0	350	9999-12-31	2013-05-08
25/2-1	1.000000	1926.000000	1938.000000	19.000000	0.000000	19.600000	0.000000	4	637975	0.000000	0.840000	157000	353	9999-12-31	2013-05-08
25/2-2	1.000000	1983.000000	1996.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	354	9999-12-31	2013-05-08
25/2-4	1.000000	2902.000000	2911.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	356	9999-12-31	2013-05-08
25/2-5	1.000000	3692.000000	3695.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	357	9999-12-31	2013-05-08
25/2-5	2.000000	3652.000000	3695.000000	19.000000	0.000000	0.000000	0.000000	330	108000	0.000000	0.000000	327	357	9999-12-31	2013-05-08
25/2-5	3.000000	3337.000000	3362.000000	12.500000	0.000000	0.000000	0.000000	470	95400	0.813000	0.000000	203	357	9999-12-31	2013-05-08
25/4-1	1.000000	3300.000000	3314.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	359	9999-12-31	2013-05-08
25/4-1	2.000000	3208.000000	3213.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	359	9999-12-31	2013-05-08
25/4-1	3.000000	3179.000000	3184.000000	25.400000	0.000000	29.000000	0.000000	74	180000	0.000000	0.797000	2432	359	9999-12-31	2013-05-08
25/4-4	1.000000	2134.000000	2143.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	362	9999-12-31	2013-05-08
25/10-5	1.000000	1756.000000	1763.000000	12.700000	0.000000	0.000000	0.000000	170	10000	0.900000	0.640000	59	365	9999-12-31	2013-05-08
25/10-5	2.000000	1732.000000	1740.000000	25.400000	0.000000	0.000000	0.000000	515	30000	0.900000	0.640000	59	365	9999-12-31	2013-05-08
25/11-5	1.000000	1750.000000	1765.000000	0.000000	17.800000	0.000000	0.000000	636	28371	0.910000	0.000000	44	366	9999-12-31	2013-05-08
25/11-6	1.000000	1725.000000	1740.000000	13.900000	17.600000	0.000000	0.000000	485	1800000	0.900000	0.600000	210	367	9999-12-31	2013-05-08
25/11-8	1.000000	1752.000000	1767.000000	15.100000	0.000000	0.000000	0.000000	418	0	0.900000	0.000000	46	369	9999-12-31	2013-05-08
29/6-1	1.000000	4287.000000	4301.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	375	9999-12-31	2013-05-08
29/6-1	2.000000	4256.000000	4260.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	375	9999-12-31	2013-05-08
29/6-1	3.000000	4208.000000	4218.000000	3.200000	0.000000	0.000000	0.000000	220	300000	0.808000	0.705000	1363	375	9999-12-31	2013-05-08
30/7-2	1.000000	1797.000000	1801.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	385	9999-12-31	2013-05-08
30/7-2	2.000000	1765.000000	1777.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	385	9999-12-31	2013-05-08
30/7-7	1.000000	4735.000000	4762.000000	6.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	390	9999-12-31	2013-05-08
30/10-2	1.000000	2023.000000	2026.000000	16.500000	20.800000	20.300000	0.000000	0	44995	0.000000	0.585000	0	392	9999-12-31	2013-05-08
30/10-5	1.000000	3638.000000	3644.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	395	9999-12-31	2013-05-08
31/2-6	1.000000	1576.000000	1579.000000	7.900000	0.000000	0.000000	0.000000	144	25000	0.888000	0.605000	175	399	9999-12-31	2013-05-08
31/2-6	2.000000	1518.000000	1537.000000	50.800000	0.000000	0.000000	0.000000	40	1699000	0.781000	0.602000	42475	399	9999-12-31	2013-05-08
33/9-9	2.000000	2848.000000	2853.000000	19.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	414	9999-12-31	2013-05-08
33/9-9	3.000000	2800.000000	2804.000000	19.000000	30.000000	0.000000	0.000000	1438	0	0.830000	0.000000	412	414	9999-12-31	2013-05-08
33/9-9	5.000000	2742.000000	2745.000000	15.900000	34.000000	0.000000	0.000000	1206	0	0.830000	0.000000	545	414	9999-12-31	2013-05-08
33/9-9	6.000000	2742.000000	2745.000000	11.000000	38.000000	0.000000	0.000000	863	0	0.830000	0.000000	618	414	9999-12-31	2013-05-08
33/9-9	7.000000	2531.000000	2538.000000	30.000000	24.000000	0.000000	0.000000	1327	0	0.830000	0.000000	569	414	9999-12-31	2013-05-08
33/9-9	8.000000	2458.000000	2461.000000	19.000000	34.000000	0.000000	0.000000	1468	0	0.830000	0.000000	1059	414	9999-12-31	2013-05-08
33/9-9	9.000000	2426.000000	2433.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	414	9999-12-31	2013-05-08
34/4-1	2.000000	2510.000000	2536.000000	6.300000	38.100000	35.000000	0.000000	238	28560	0.820000	0.712000	120	422	9999-12-31	2013-05-08
34/10-1	1.000000	1930.000000	1935.000000	12.700000	0.000000	0.000000	13.500000	191	20560	0.881000	0.632000	108	424	9999-12-31	2013-05-08
34/10-1	2.000000	1839.000000	1844.000000	14.300000	0.000000	0.000000	29.000000	1048	86930	0.885000	0.610000	83	424	9999-12-31	2013-05-08
34/10-1	2.100000	1839.000000	1844.000000	6.700000	0.000000	0.000000	30.000000	323	29365	0.879000	0.626000	0	424	9999-12-31	2013-05-08
34/10-1	3.000000	1788.000000	1792.000000	6.700000	0.000000	0.000000	30.000000	322	28151	0.882000	0.620000	0	424	9999-12-31	2013-05-08
34/10-2	1.000000	3385.000000	3395.000000	19.000000	0.000000	4.000000	0.000000	0	0	0.000000	0.000000	0	425	9999-12-31	2013-05-08
34/10-2	2.000000	3355.000000	3365.000000	19.000000	0.000000	0.000000	0.000000	127	19000	0.865000	0.678000	150	425	9999-12-31	2013-05-08
34/10-2	3.000000	3335.000000	3345.000000	19.000000	0.000000	1.000000	0.000000	127	19800	0.865000	0.696000	155	425	9999-12-31	2013-05-08
34/10-2	4.000000	3110.000000	3115.000000	7.900000	0.000000	3.500000	0.000000	12	96300	0.810000	0.652000	8000	425	9999-12-31	2013-05-08
34/10-2	5.000000	3017.000000	3022.000000	9.500000	0.000000	4.300000	0.000000	238	733400	0.810000	0.645000	3800	425	9999-12-31	2013-05-08
34/10-3	1.000000	1965.000000	1970.000000	7.900000	0.000000	0.000000	31.500000	0	0	0.000000	0.000000	0	426	9999-12-31	2013-05-08
34/10-3	2.000000	1910.000000	1915.000000	7.900000	0.000000	0.000000	30.600000	450	33000	0.877000	0.656000	70	426	9999-12-31	2013-05-08
34/10-3	3.000000	1870.000000	1875.000000	4.000000	0.000000	0.000000	0.000000	103	0	0.882000	0.000000	0	426	9999-12-31	2013-05-08
34/10-4	1.000000	1880.000000	1885.000000	7.900000	0.000000	0.000000	0.000000	279	24300	0.880000	0.000000	87	427	9999-12-31	2013-05-08
34/10-4	2.000000	1824.000000	1826.000000	14.700000	0.000000	0.000000	0.000000	810	67400	0.880000	0.000000	83	427	9999-12-31	2013-05-08
34/10-5	1.000000	1900.000000	1902.000000	12.700000	0.000000	0.000000	0.000000	724	59400	0.882000	0.000000	82	428	9999-12-31	2013-05-08
35/8-2	1.000000	3694.000000	3703.000000	17.500000	0.000000	0.000000	0.000000	305	447000	0.797000	0.670000	1467	434	2012-07-20	2013-05-08
35/8-2	2.000000	3306.000000	3315.000000	17.500000	0.000000	0.000000	0.000000	205	214000	0.797000	0.670000	1044	434	2012-07-20	2013-05-08
36/1-1	1.000000	1550.000000	1556.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	435	9999-12-31	2013-05-08
36/1-1	2.000000	1489.000000	1496.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	435	9999-12-31	2013-05-08
34/7-3	1.000000	2601.000000	2607.000000	8.000000	0.000000	0.000000	0.000000	300	8400	0.840000	0.000000	28	442	9999-12-31	2013-05-08
34/7-3	2.000000	2505.000000	2513.000000	11.000000	0.000000	0.000000	0.000000	680	17680	0.836000	0.000000	26	442	9999-12-31	2013-05-08
34/7-3	3.000000	2441.000000	2449.000000	12.700000	0.000000	0.000000	0.000000	1370	43872	0.838000	0.000000	32	442	9999-12-31	2013-05-08
24/6-1	1.000000	4502.000000	4537.000000	7.900000	0.000000	0.000000	0.000000	75	425000	0.785000	0.640000	5690	443	9999-12-31	2013-05-08
6407/9-2	1.000000	1670.000000	1676.000000	15.800000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	449	9999-12-31	2013-05-08
6407/9-2	2.000000	1651.000000	1657.000000	38.000000	0.000000	0.000000	0.000000	1177	43549	0.825000	0.960000	37	449	9999-12-31	2013-05-08
6/3-1	1.000000	3015.000000	3023.000000	19.500000	0.000000	0.000000	0.000000	765	121000	0.860000	0.000000	158	450	9999-12-31	2013-05-08
6/3-1	1.100000	3015.000000	3023.000000	25.400000	0.000000	0.000000	0.000000	907	141000	0.860000	0.000000	155	450	9999-12-31	2013-05-08
6/3-1	2.000000	2978.000000	2993.000000	25.400000	36.000000	12.000000	35.000000	409	889900	0.768000	0.000000	2176	450	9999-12-31	2013-05-08
6/3-1	3.000000	2902.000000	2921.000000	0.000000	0.000000	0.000000	39.000000	0	0	0.000000	0.000000	0	450	9999-12-31	2013-05-08
34/10-29	1.000000	344.000000	348.000000	19.100000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	453	9999-12-31	2013-05-08
34/10-29	2.000000	344.000000	348.000000	12.700000	3.000000	1.000000	1.000000	0	0	0.000000	0.567000	0	453	9999-12-31	2013-05-08
34/7-4	1.000000	2547.000000	2563.000000	9.500000	192.000000	131.000000	385.000000	865	35000	0.833000	0.740000	33	455	9999-12-31	2013-05-08
7120/6-1	1.000000	2459.000000	2465.000000	20.600000	0.000000	4.000000	26.000000	0	0	0.000000	0.000000	0	456	9999-12-31	2013-05-08
7120/6-1	2.000000	2432.000000	2436.000000	31.700000	6.700000	0.000000	0.000000	1526	178542	0.866000	0.705000	117	456	9999-12-31	2013-05-08
7120/6-1	3.000000	2418.000000	2424.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	456	9999-12-31	2013-05-08
7120/6-1	4.000000	2386.000000	2401.000000	25.400000	14.000000	0.000000	0.000000	162	1260360	0.752000	0.695000	7783	456	9999-12-31	2013-05-08
34/7-5	1.000000	2503.000000	2512.000000	9.500000	13.000000	9.000000	36.000000	318	46000	0.085000	0.760000	145	458	9999-12-31	2013-05-08
34/7-5	2.000000	2502.000000	2512.000000	9.500000	0.000000	11.000000	0.000000	262	4000	0.845000	0.000000	151	458	9999-12-31	2013-05-08
2/1-8	1.000000	3919.000000	3926.000000	6.400000	0.000000	0.000000	0.000000	305	0	0.826000	0.740000	99	459	9999-12-31	2013-05-08
2/1-8	2.000000	3901.000000	3926.000000	11.100000	0.000000	0.000000	0.000000	954	0	0.825000	0.825000	107	459	9999-12-31	2013-05-08
30/3-4	1.000000	3079.000000	3096.000000	23.800000	6.000000	0.000000	34.000000	1023	104000	0.830000	0.000000	108	460	9999-12-31	2013-05-08
30/3-4	3.000000	2903.000000	2923.000000	23.800000	9.000000	0.000000	32.000000	1640	126700	0.830000	0.000000	77	460	9999-12-31	2013-05-08
30/3-4	4.000000	2866.000000	2882.000000	18.300000	10.000000	0.000000	32.000000	1230	101900	0.831000	0.766000	82	460	9999-12-31	2013-05-08
30/3-4	5.000000	2850.000000	2857.000000	19.000000	4.000000	0.000000	0.000000	578	46200	0.835000	0.770000	80	460	9999-12-31	2013-05-08
30/3-4	6.000000	2826.000000	2833.000000	25.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	460	9999-12-31	2013-05-08
7121/4-2	1.000000	2484.000000	2493.000000	16.000000	0.000000	0.000000	0.000000	20	527000	0.769000	0.647000	27300	461	9999-12-31	2013-05-08
6507/7-2	1.000000	2521.000000	2529.000000	6.100000	0.000000	1.000000	26.000000	0	0	0.000000	0.000000	0	464	9999-12-31	2013-05-08
6507/7-2	2.000000	2417.000000	2439.000000	25.400000	0.000000	0.000000	0.000000	704	34000	0.922000	0.617000	48	464	9999-12-31	2013-05-08
6507/7-2	2.100000	2417.000000	2439.000000	9.500000	0.000000	5.000000	0.000000	208	12000	0.910000	0.000000	57	464	9999-12-31	2013-05-08
6507/7-2	2.200000	2417.000000	2439.000000	9.500000	0.000000	5.000000	0.000000	208	12000	0.910000	0.000000	57	464	9999-12-31	2013-05-08
6507/7-2	2.300000	2417.000000	2439.000000	25.400000	6.000000	3.000000	25.000000	704	34000	0.920000	0.000000	49	464	9999-12-31	2013-05-08
6507/7-2	3.000000	2357.000000	2376.000000	25.400000	0.000000	40.000000	0.000000	489	32000	0.982000	0.668000	65	464	9999-12-31	2013-05-08
6507/7-2	4.000000	2330.000000	2340.000000	22.200000	0.000000	4.000000	25.000000	902	68000	0.876000	0.660000	75	464	9999-12-31	2013-05-08
6507/7-2	5.000000	2290.000000	2310.000000	19.100000	0.000000	12.000000	0.000000	73	724000	0.754000	0.650000	9965	464	9999-12-31	2013-05-08
6507/7-2	6.000000	2232.000000	2245.000000	19.100000	0.000000	5.000000	0.000000	17	45000	0.755000	0.650000	2632	464	9999-12-31	2013-05-08
6507/7-2	7.000000	2203.000000	2222.000000	20.200000	0.000000	9.000000	0.000000	96	900000	0.755000	0.000000	9360	464	9999-12-31	2013-05-08
31/6-8	1.000000	1538.000000	1558.000000	23.800000	0.000000	0.000000	0.000000	0	26000	0.000000	0.000000	0	466	9999-12-31	2013-05-08
31/6-8	2.000000	1523.000000	1523.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	466	9999-12-31	2013-05-08
31/6-8	3.000000	1416.000000	1418.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	466	9999-12-31	2013-05-08
6506/12-3	1.000000	4222.000000	4241.000000	25.400000	0.000000	83.000000	0.000000	820	372000	0.810000	0.803000	454	468	9999-12-31	2013-05-08
6506/12-3	2.000000	4165.000000	4170.000000	25.400000	0.000000	10.000000	0.000000	54	68000	0.820000	0.907000	1264	468	9999-12-31	2013-05-08
6506/12-3	3.000000	3960.000000	3980.000000	25.400000	0.000000	7.000000	0.000000	297	445000	0.795000	0.755000	1500	468	9999-12-31	2013-05-08
6506/12-3	4.000000	3881.000000	3890.000000	28.600000	0.000000	9.000000	0.000000	790	416000	0.820000	0.765000	526	468	9999-12-31	2013-05-08
6506/12-3	5.000000	3822.000000	3836.000000	9.500000	7.000000	0.000000	23.000000	100	29000	0.830000	0.797000	290	468	9999-12-31	2013-05-08
6506/12-3	6.000000	3162.000000	3173.000000	32.000000	0.000000	14.000000	40.000000	92	28000	0.785000	0.797000	304	468	9999-12-31	2013-05-08
6506/12-3	6.100000	3162.000000	3173.000000	15.800000	0.000000	128.000000	0.000000	329	57000	0.814000	0.797000	173	468	9999-12-31	2013-05-08
6407/9-3	1.000000	1631.000000	1643.000000	50.800000	0.000000	0.000000	0.000000	2500	49000	0.825000	0.810000	21	469	9999-12-31	2013-05-08
6507/11-3	1.000000	2519.000000	2521.000000	25.400000	23.000000	8.000000	23.000000	1490	29500	0.847000	0.720000	198	470	9999-12-31	2013-05-08
6507/11-3	2.000000	2496.000000	2509.000000	31.800000	24.000000	12.000000	20.000000	0	1480000	0.000000	0.690000	0	470	9999-12-31	2013-05-08
6507/11-3	3.000000	2413.000000	2420.000000	38.100000	25.000000	10.000000	24.000000	0	1740000	0.000000	0.670000	0	470	9999-12-31	2013-05-08
7120/2-1	1.000000	2157.000000	2177.000000	50.800000	0.000000	18.060000	0.000000	0	0	0.000000	0.000000	0	473	9999-12-31	2013-05-08
7120/2-1	2.000000	2120.000000	2140.000000	25.400000	0.000000	19.840000	0.000000	0	0	0.000000	0.000000	0	473	9999-12-31	2013-05-08
7120/2-1	3.000000	2048.000000	2108.000000	25.400000	0.000000	20.220000	0.000000	0	0	0.000000	0.000000	0	473	9999-12-31	2013-05-08
7120/2-1	4.000000	1944.000000	2031.000000	25.400000	0.000000	0.000000	0.000000	5	0	0.839000	0.000000	0	473	9999-12-31	2013-05-08
6407/7-1 S	1.000000	3100.000000	3114.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	474	9999-12-31	2013-05-08
6407/7-1 S	2.000000	3023.000000	3034.000000	25.400000	0.000000	0.000000	0.000000	85	19000	0.832000	0.800000	229	474	9999-12-31	2013-05-08
6407/7-1 S	3.000000	2947.000000	2973.000000	12.700000	0.000000	0.000000	0.000000	210	147000	0.824000	0.707000	208	474	9999-12-31	2013-05-08
6407/7-1 S	4.000000	2840.000000	2886.000000	12.700000	0.000000	0.000000	0.000000	204	148000	0.825000	0.693000	202	474	9999-12-31	2013-05-08
6407/7-1 S	5.000000	2758.000000	2781.000000	25.400000	0.000000	0.000000	0.000000	221	170000	0.823000	0.732000	220	474	9999-12-31	2013-05-08
6506/12-4	1.000000	3133.000000	3150.000000	12.700000	17.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	475	9999-12-31	2013-05-08
34/10-23	1.000000	4085.000000	4095.000000	22.200000	0.000000	28.000000	0.000000	150	1700000	0.820000	0.650000	11400	476	9999-12-31	2013-05-08
7121/5-1	1.100000	2802.000000	2820.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	479	9999-12-31	2013-05-08
7121/5-1	1.200000	2436.000000	2439.000000	12.700000	3.500000	0.000000	16.300000	229	27190	0.860000	0.000000	119	479	9999-12-31	2013-05-08
7121/5-1	2.000000	2394.000000	2403.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	479	2012-08-29	2013-05-08
6407/9-4	1.000000	1708.000000	1713.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	480	9999-12-31	2013-05-08
6407/9-4	2.000000	1662.000000	1668.000000	25.400000	0.000000	0.000000	0.000000	962	0	0.820000	0.820000	36	480	9999-12-31	2013-05-08
6507/7-3	1.000000	2413.000000	2430.000000	21.000000	6.000000	5.000000	25.000000	772	86027	0.870000	0.680000	112	482	9999-12-31	2013-05-08
6507/7-3	2.000000	2385.000000	2400.000000	24.000000	6.000000	4.000000	25.000000	870	93021	0.909000	0.737000	227	482	9999-12-31	2013-05-08
6507/7-3	3.000000	2368.000000	2380.000000	25.400000	6.000000	5.000000	25.000000	823	89510	0.808000	0.745000	417	482	9999-12-31	2013-05-08
34/10-24	1.000000	335.000000	336.000000	32.500000	0.000000	0.000000	0.000000	0	70000	0.000000	0.559000	0	483	9999-12-31	2013-05-08
30/6-18	1.000000	3307.000000	3324.000000	14.000000	0.000000	0.000000	0.000000	609	161970	0.811000	0.000000	265	488	9999-12-31	2013-05-08
30/6-18	2.000000	3198.000000	3210.000000	14.000000	0.000000	0.000000	0.000000	871	2832	0.000000	0.000000	0	488	9999-12-31	2013-05-08
30/6-18	3.000000	3164.000000	3173.000000	14.000000	0.000000	0.000000	0.000000	957	189744	0.845000	0.705000	198	488	9999-12-31	2013-05-08
6407/4-1	2.000000	3889.000000	3919.000000	17.500000	0.000000	0.000000	0.000000	20	32000	0.800000	0.810000	1625	490	9999-12-31	2013-05-08
6407/9-5	1.000000	1654.000000	1661.000000	25.400000	0.000000	0.000000	0.000000	1203	23000	0.825000	0.785000	17	492	9999-12-31	2013-05-08
34/10-16 R	1.000000	3397.000000	3407.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	494	9999-12-31	2013-05-08
34/10-16 R	2.000000	3177.000000	3187.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	494	9999-12-31	2013-05-08
34/10-7 R	1.000000	1858.000000	1865.000000	15.900000	0.000000	0.000000	0.000000	473	59000	0.832000	0.642000	124	496	9999-12-31	2013-05-08
34/10-7 R	2.000000	1835.000000	1865.000000	15.900000	0.000000	0.000000	0.000000	810	99000	0.826000	0.680000	122	496	9999-12-31	2013-05-08
34/10-7 R	3.000000	1810.000000	1824.000000	12.700000	0.000000	0.000000	0.000000	830	110000	0.830000	0.680000	133	496	9999-12-31	2013-05-08
31/6-2 R	1.000000	1506.000000	1510.000000	19.100000	13.000000	5.000000	0.000000	0	0	0.000000	0.600000	0	498	9999-12-31	2013-05-08
31/2-5 R	1.000000	1582.000000	1588.000000	25.400000	3.000000	0.000000	0.000000	820	47000	0.890000	0.655000	58	500	9999-12-31	2013-05-08
31/2-5 R2	1.000000	1591.000000	1594.000000	50.800000	0.000000	0.000000	0.000000	668	125584	0.880000	0.631000	188	501	9999-12-31	2013-05-08
31/2-2 R	1.000000	1554.000000	1556.000000	12.700000	0.000000	0.000000	0.000000	128	5888	0.904000	0.000000	46	504	9999-12-31	2013-05-08
31/2-2 R	2.000000	1538.000000	1543.000000	25.400000	0.000000	0.000000	0.000000	34	1501000	0.790000	0.000000	44147	504	9999-12-31	2013-05-08
31/2-2 R	3.000000	1521.000000	1530.000000	25.400000	0.000000	0.000000	0.000000	0	1407000	0.000000	0.000000	0	504	9999-12-31	2013-05-08
30/3-2 R	1.000000	2916.000000	2923.000000	12.700000	32.000000	23.000000	0.000000	325	27000	0.831000	0.714000	86	508	9999-12-31	2013-05-08
30/3-2 R	2.000000	2870.000000	2874.000000	12.700000	31.000000	23.000000	0.000000	369	32000	0.826000	0.710000	86	508	9999-12-31	2013-05-08
30/3-2 R	3.000000	2832.000000	2837.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	508	9999-12-31	2013-05-08
17/12-1 R	1.000000	2337.000000	2341.000000	4.700000	0.000000	0.000000	0.000000	140	4813	0.880000	0.000000	34	514	9999-12-31	2013-05-08
17/12-1 R	2.000000	2316.000000	2325.000000	4.700000	0.000000	0.000000	0.000000	80	4277	0.860000	0.000000	53	514	9999-12-31	2013-05-08
17/12-1 R	3.000000	2316.000000	2342.000000	3.200000	0.000000	0.000000	0.000000	159	7000	0.860000	0.000000	44	514	9999-12-31	2013-05-08
25/6-1	1.000000	2277.000000	2280.000000	7.900000	9.600000	0.000000	0.000000	298	0	0.725000	0.000000	130	524	9999-12-31	2013-05-08
30/6-17 R	1.000000	2401.000000	2415.000000	14.300000	0.000000	0.000000	0.000000	701	110000	0.820000	0.660000	157	849	9999-12-31	2013-05-08
6506/12-5	1.000000	4040.000000	4025.000000	19.000000	1.000000	1.000000	10.000000	0	0	0.000000	0.000000	0	852	9999-12-31	2013-05-08
6506/12-5	1.100000	4040.000000	4025.000000	19.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	852	9999-12-31	2013-05-08
6506/12-5	2.000000	4004.000000	4010.000000	19.000000	0.000000	0.000000	41.000000	208	55000	0.827000	0.000000	264	852	9999-12-31	2013-05-08
6506/12-5	2.100000	4004.000000	4010.000000	19.000000	40.000000	16.000000	41.000000	208	55000	0.827000	0.000000	264	852	9999-12-31	2013-05-08
6506/12-5	4.000000	3174.000000	3178.000000	15.900000	45.000000	8.000000	24.000000	590	116000	0.800000	0.000000	196	852	9999-12-31	2013-05-08
6507/7-4	1.000000	2494.000000	2499.000000	19.100000	19.000000	5.000000	26.000000	646	51000	0.897000	0.685000	80	853	9999-12-31	2013-05-08
6507/7-4	2.000000	2470.000000	2477.000000	35.800000	6.000000	5.000000	26.000000	875	732000	0.879000	0.000000	84	853	9999-12-31	2013-05-08
6507/7-4	3.000000	2449.000000	2465.000000	60.300000	0.000000	4.000000	25.000000	1034	91000	0.897000	0.000000	88	853	9999-12-31	2013-05-08
34/8-1	1.000000	2880.000000	2900.000000	11.100000	0.000000	0.000000	42.200000	0	2400	0.000000	0.620000	3	854	9999-12-31	2013-05-08
34/8-1	2.000000	2845.000000	2857.000000	9.500000	0.000000	0.000000	41.600000	429	248000	0.834000	0.660000	579	854	9999-12-31	2013-05-08
34/8-1	3.000000	2768.000000	2807.000000	19.000000	0.000000	0.000000	41.400000	447	952110	0.745000	0.670000	2130	854	9999-12-31	2013-05-08
7/11-9	1.000000	4170.000000	4183.000000	44.500000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	856	9999-12-31	2013-05-08
6/3-2	1.000000	3776.000000	3772.000000	31.800000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	862	9999-12-31	2013-05-08
6406/3-2	1.000000	4302.000000	4336.000000	12.700000	0.000000	0.000000	38.000000	0	0	0.000000	0.000000	0	863	9999-12-31	2013-05-08
6406/3-2	2.000000	3937.000000	3995.000000	11.000000	2.000000	0.000000	24.000000	645	129000	0.825000	0.000000	200	863	9999-12-31	2013-05-08
34/4-6	1.000000	2592.000000	2595.000000	6.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	875	9999-12-31	2013-05-08
34/4-6	1.100000	2577.000000	2585.000000	12.700000	0.000000	0.000000	0.000000	1173	72726	0.821000	0.770000	62	875	9999-12-31	2013-05-08
34/10-30	1.000000	3460.000000	3473.000000	12.700000	7.600000	0.000000	25.900000	418	61000	0.863000	0.694000	146	877	9999-12-31	2013-05-08
34/10-30	2.000000	3297.000000	3318.000000	17.500000	0.000000	9.000000	29.200000	1150	118000	0.859000	0.662000	102	877	9999-12-31	2013-05-08
34/10-30	3.000000	3125.000000	3155.000000	17.500000	0.000000	0.000000	43.100000	352	1151000	0.790000	0.658000	3271	877	9999-12-31	2013-05-08
34/7-8	1.100000	2359.000000	2374.000000	6.400000	2.600000	0.000000	19.000000	64	3520	0.855000	0.000000	55	878	9999-12-31	2013-05-08
34/7-8	1.200000	2359.000000	2374.000000	19.100000	1.000000	0.000000	43.000000	120	5520	0.851000	0.000000	46	878	9999-12-31	2013-05-08
34/7-8	3.000000	2334.000000	2329.000000	6.400000	14.000000	9.000000	41.000000	272	14144	0.840000	0.000000	52	878	9999-12-31	2013-05-08
34/7-8	4.000000	2284.000000	2276.000000	17.500000	14.000000	0.000000	48.000000	1337	70861	0.830000	0.000000	53	878	9999-12-31	2013-05-08
6507/7-5	1.000000	2417.000000	2424.000000	35.900000	4.000000	4.000000	25.000000	774	52000	0.890000	0.000000	67	879	9999-12-31	2013-05-08
6507/7-5	2.000000	2355.000000	2375.000000	35.900000	4.000000	5.000000	25.000000	953	85000	0.868000	0.000000	89	879	9999-12-31	2013-05-08
7121/7-2	1.000000	1882.000000	1899.000000	15.900000	0.000000	14.000000	0.000000	28	527000	0.775000	0.780000	18800	881	9999-12-31	2013-05-08
25/5-1	1.000000	3233.000000	3254.000000	12.700000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	884	9999-12-31	2013-05-08
25/5-1	2.000000	3045.000000	3025.000000	12.700000	0.000000	8.000000	0.000000	396	71000	0.827000	0.705000	178	884	9999-12-31	2013-05-08
25/5-1	2.100000	3045.000000	3025.000000	12.700000	30.000000	11.000000	30.000000	437	88000	0.837000	0.705000	201	884	9999-12-31	2013-05-08
25/5-1	3.000000	3002.000000	2987.000000	12.700000	0.000000	10.000000	0.000000	339	74000	0.825000	0.790000	217	884	9999-12-31	2013-05-08
25/5-1	3.100000	2987.000000	3002.000000	12.700000	0.000000	0.000000	32.000000	442	82000	0.825000	0.815000	186	884	9999-12-31	2013-05-08
34/10-31	1.000000	342.000000	345.000000	4.000000	2.000000	2.000000	0.000000	0	0	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	2.000000	344.000000	347.000000	9.500000	3.000000	3.000000	0.000000	0	37000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	2.100000	344.000000	347.000000	34.900000	0.000000	0.000000	3.000000	0	57000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	2.200000	344.000000	347.000000	34.900000	0.000000	0.000000	3.000000	0	57000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	2.300000	344.000000	347.000000	50.600000	0.000000	0.000000	3.000000	0	76000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	2.400000	344.000000	347.000000	50.800000	0.000000	0.000000	8.000000	0	70000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	2.500000	344.000000	347.000000	50.800000	0.000000	0.000000	8.000000	0	68000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	2.600000	344.000000	347.000000	50.800000	0.000000	0.000000	8.000000	0	67000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	2.700000	344.000000	347.000000	50.800000	0.000000	0.000000	8.000000	0	67000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	2.800000	344.000000	347.000000	50.800000	0.000000	0.000000	1.000000	0	62000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	2.900000	344.000000	347.000000	50.800000	0.000000	0.000000	1.000000	0	61000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	3.000000	344.000000	347.000000	50.800000	0.000000	0.000000	0.000000	0	64000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	3.100000	344.000000	347.000000	50.800000	0.000000	0.000000	0.000000	0	64000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	3.200000	344.000000	347.000000	50.800000	0.000000	0.000000	0.000000	0	67000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	3.300000	344.000000	347.000000	50.800000	0.000000	0.000000	1.000000	0	66000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	3.400000	344.000000	347.000000	50.800000	0.000000	0.000000	1.000000	0	65000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	3.500000	344.000000	347.000000	50.800000	0.000000	0.000000	1.000000	0	64000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	3.600000	344.000000	347.000000	50.800000	0.000000	0.000000	1.000000	0	64000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	3.700000	344.000000	347.000000	50.800000	0.000000	0.000000	1.000000	0	63000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/10-31	3.800000	344.000000	347.000000	50.800000	2.000000	0.000000	2.000000	0	63000	0.000000	0.000000	0	887	9999-12-31	2013-05-08
34/7-9	1.000000	2554.000000	2501.000000	15.900000	35.000000	9.000000	33.000000	896	79000	0.839000	0.778000	88	889	9999-12-31	2013-05-08
34/7-9	1.100000	2536.000000	2527.000000	15.900000	0.000000	0.000000	0.000000	1135	109000	0.835000	0.805000	96	889	9999-12-31	2013-05-08
34/7-9	1.200000	2515.000000	2506.000000	15.900000	0.000000	0.000000	0.000000	893	79000	0.835000	0.795000	89	889	9999-12-31	2013-05-08
34/7-9	1.300000	2504.000000	2501.000000	15.900000	0.000000	0.000000	0.000000	896	79000	0.838000	0.805000	88	889	9999-12-31	2013-05-08
35/11-2	1.000000	3551.000000	3559.000000	10.700000	0.000000	36.000000	50.000000	0	0	0.000000	0.000000	5	893	9999-12-31	2013-05-08
35/11-2	2.000000	3524.000000	3542.000000	18.300000	45.000000	0.000000	49.000000	280	36900	0.811000	0.719000	1319	893	9999-12-31	2013-05-08
35/11-2	3.000000	3477.000000	3487.000000	15.900000	0.000000	42.000000	49.000000	510	531000	0.820000	0.739000	1041	893	9999-12-31	2013-05-08
35/11-2	4.000000	3427.000000	3432.000000	17.400000	0.000000	31.000000	48.000000	425	402400	0.822000	0.740000	946	893	9999-12-31	2013-05-08
35/11-2	5.000000	3374.000000	3378.000000	12.700000	0.000000	29.000000	48.000000	415	177400	0.828000	0.780000	427	893	9999-12-31	2013-05-08
7120/1-1 R2	1.000000	2810.000000	2855.000000	25.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	897	9999-12-31	2013-05-08
7120/1-1 R2	2.000000	2607.000000	2665.000000	6.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	897	9999-12-31	2013-05-08
29/3-1	1.000000	3802.000000	3822.000000	7.900000	0.000000	0.000000	36.000000	2	0	0.878000	0.690000	0	904	9999-12-31	2013-05-08
29/3-1	2.000000	3682.000000	3725.000000	12.700000	54.000000	30.000000	50.000000	440	534000	0.868000	0.680000	1212	904	9999-12-31	2013-05-08
29/3-1	2.100000	3682.000000	3699.000000	12.700000	54.000000	21.000000	37.000000	236	438000	0.845000	0.720000	1858	904	9999-12-31	2013-05-08
29/3-1	3.000000	3522.000000	3530.000000	12.700000	48.000000	1.000000	34.000000	0	0	0.000000	0.000000	0	904	9999-12-31	2013-05-08
6507/7-6	1.000000	2424.000000	2412.000000	35.900000	0.000000	4.000000	24.000000	781	41000	0.918000	0.617000	59	922	9999-12-31	2013-05-08
6507/7-6	2.000000	2349.000000	2365.000000	52.400000	0.000000	2.000000	22.000000	628	610000	0.895000	0.617000	971	922	9999-12-31	2013-05-08
6507/8-1	1.000000	2444.000000	2463.000000	38.100000	3.000000	2.000000	17.000000	715	31460	0.932000	0.600000	44	933	2012-08-31	2013-05-08
6507/8-1	2.000000	2386.000000	2406.000000	19.100000	6.000000	5.000000	0.000000	906	50080	0.925000	0.000000	55	933	2012-08-31	2013-05-08
6407/2-3	1.000000	2518.000000	2509.000000	38.100000	9.000000	17.000000	0.000000	271	1285000	0.766000	0.705000	4740	935	9999-12-31	2013-05-08
6407/2-3	2.000000	2436.000000	2428.000000	38.100000	9.000000	17.000000	0.000000	213	1321000	0.768000	0.705000	6210	935	9999-12-31	2013-05-08
30/9-2 R	1.000000	2738.000000	2757.000000	19.000000	11.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	937	9999-12-31	2013-05-08
30/9-2 R	2.000000	2704.000000	2728.000000	10.300000	0.000000	0.000000	0.000000	401	41000	0.865000	0.708000	102	937	9999-12-31	2013-05-08
30/9-2 R	3.000000	2685.000000	2693.000000	11.100000	0.000000	0.000000	0.000000	495	51000	0.865000	0.695000	102	937	9999-12-31	2013-05-08
30/9-2 R	4.000000	2595.000000	2604.000000	11.100000	0.000000	0.000000	0.000000	479	58000	0.842000	0.730000	120	937	9999-12-31	2013-05-08
34/8-3	1.000000	2935.000000	2947.000000	4.800000	0.000000	0.000000	0.000000	68	18200	0.847000	0.635000	268	940	9999-12-31	2013-05-08
34/8-3	2.000000	2905.000000	2921.000000	28.600000	0.000000	0.000000	0.000000	613	1540000	0.775000	0.640000	2520	940	9999-12-31	2013-05-08
34/8-3	3.000000	2868.000000	2880.000000	25.400000	0.000000	0.000000	0.000000	554	1540000	0.782000	0.648000	2776	940	9999-12-31	2013-05-08
34/4-7	1.000000	2596.000000	2579.000000	7.900000	0.000000	13.000000	38.000000	190	19950	0.833000	0.870000	105	943	9999-12-31	2013-05-08
34/4-7	2.000000	2506.000000	2566.000000	14.300000	0.000000	0.000000	0.000000	1378	118000	0.835000	0.730000	85	943	9999-12-31	2013-05-08
6506/12-1	1.000000	4504.000000	4509.000000	31.800000	67.000000	44.000000	71.000000	0	0	0.000000	0.000000	0	1004	9999-12-31	2013-05-08
6506/12-1	2.000000	4351.000000	4373.000000	25.400000	33.000000	12.000000	43.000000	517	692000	0.790000	0.750000	1352	1004	9999-12-31	2013-05-08
6506/12-1	3.000000	4291.000000	4304.000000	3.200000	0.000000	0.000000	47.000000	0	0	0.000000	0.000000	0	1004	9999-12-31	2013-05-08
6506/12-1	4.100000	4251.000000	4261.000000	25.400000	0.000000	19.000000	47.000000	700	547000	0.805000	0.000000	928	1004	9999-12-31	2013-05-08
6506/12-1	5.000000	4218.000000	4203.000000	19.000000	0.000000	104.000000	0.000000	350	550000	0.790000	0.000000	1571	1004	9999-12-31	2013-05-08
6506/12-1	5.100000	4218.000000	4203.000000	19.000000	0.000000	104.000000	0.000000	273	410000	0.790000	0.000000	1500	1004	9999-12-31	2013-05-08
6506/12-1	6.000000	4095.000000	4110.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1004	9999-12-31	2013-05-08
6506/12-1	7.000000	3993.000000	4011.000000	31.800000	0.000000	0.000000	0.000000	511	728000	0.790000	0.750000	1424	1004	9999-12-31	2013-05-08
2/12-1	1.000000	4630.000000	4647.000000	9.500000	0.000000	0.000000	0.000000	1051	176000	0.828000	0.835000	168	1014	9999-12-31	2013-05-08
2/12-1	2.000000	4600.000000	4612.000000	14.300000	0.000000	0.000000	0.000000	1629	214000	0.828000	0.828000	131	1014	9999-12-31	2013-05-08
6407/7-2	1.000000	2870.000000	2879.000000	12.700000	0.000000	0.000000	0.000000	125	24000	0.829000	0.744000	190	1017	9999-12-31	2013-05-08
6407/7-2	2.000000	2802.000000	2820.000000	12.700000	0.000000	0.000000	0.000000	575	106000	0.825000	0.685000	184	1017	9999-12-31	2013-05-08
6407/6-3	1.000000	2570.000000	2577.000000	12.700000	0.000000	0.000000	0.000000	115	228000	0.818000	0.770000	1979	1024	9999-12-31	2013-05-08
6407/6-3	2.000000	2546.000000	2555.000000	19.100000	0.000000	0.000000	0.000000	260	753000	0.752000	0.755000	2897	1024	9999-12-31	2013-05-08
6407/6-3	3.000000	2479.000000	2489.000000	19.100000	0.000000	0.000000	0.000000	326	746000	0.741000	0.720000	2288	1024	9999-12-31	2013-05-08
25/2-11	1.000000	1958.000000	1953.000000	25.400000	15.000000	6.000000	18.000000	0	666000	0.000000	0.600000	0	1036	9999-12-31	2013-05-08
9/2-1	1.000000	3245.000000	3263.000000	12.700000	1.000000	0.000000	35.000000	0	0	0.000000	0.000000	0	1038	9999-12-31	2013-05-08
9/2-1	2.000000	3220.000000	3236.000000	12.700000	0.000000	0.000000	28.000000	3	0	0.834000	0.000000	0	1038	9999-12-31	2013-05-08
9/2-1	3.000000	3177.000000	3210.000000	14.300000	0.000000	6.000000	28.000000	850	20400	0.835000	0.803000	24	1038	9999-12-31	2013-05-08
9/2-1	3.100000	3177.000000	3210.000000	9.500000	11.000000	8.000000	28.000000	580	14500	0.825000	0.845000	25	1038	9999-12-31	2013-05-08
9/2-1	3.200000	3177.000000	3210.000000	11.100000	11.000000	4.000000	34.000000	660	18480	0.829000	0.845000	28	1038	9999-12-31	2013-05-08
2/7-20	1.000000	4099.000000	4258.000000	9.500000	0.000000	0.000000	0.000000	566	223000	0.000000	0.000000	365	1062	2012-10-16	2013-05-08
6506/12-8	1.000000	4237.000000	4277.000000	22.200000	0.000000	0.000000	0.000000	1100	300000	0.810000	0.827000	273	1068	9999-12-31	2013-05-08
6506/12-8	1.200000	4205.000000	4221.000000	11.100000	0.000000	0.000000	0.000000	460	115000	0.820000	0.820000	250	1068	9999-12-31	2013-05-08
6506/12-8	2.000000	3915.000000	3955.000000	12.700000	0.000000	0.000000	0.000000	610	180000	0.829000	0.756000	295	1068	9999-12-31	2013-05-08
6507/7-8	1.000000	2473.000000	2480.000000	7.900000	0.000000	8.000000	0.000000	175	0	0.882000	0.670000	80	1071	9999-12-31	2013-05-08
6507/7-8	2.000000	2441.000000	2438.000000	20.600000	0.000000	8.000000	0.000000	1145	99000	0.882000	0.670000	86	1071	9999-12-31	2013-05-08
6507/7-8	2.100000	2441.000000	2438.000000	20.600000	0.000000	8.000000	0.000000	1145	0	0.887000	0.700000	86	1071	9999-12-31	2013-05-08
6507/7-8	2.200000	2441.000000	2438.000000	20.600000	0.000000	8.000000	0.000000	1137	0	0.887000	0.700000	87	1071	9999-12-31	2013-05-08
6201/11-1	3.000000	2713.000000	2717.000000	10.300000	0.000000	0.000000	0.000000	91	72000	0.835000	0.630000	798	1134	9999-12-31	2013-05-08
6406/8-1	1.000000	4718.000000	4711.000000	6.300000	71.000000	48.000000	0.000000	0	0	0.000000	0.000000	0	1136	9999-12-31	2013-05-08
6406/8-1	2.000000	4413.000000	4453.000000	9.500000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1136	9999-12-31	2013-05-08
7122/6-1	1.100000	2449.000000	2439.000000	0.000000	0.000000	0.000000	20.500000	0	0	0.000000	0.000000	0	1140	9999-12-31	2013-05-08
7122/6-1	2.200000	2434.000000	2424.000000	17.400000	25.000000	21.000000	28.000000	69	579393	0.749000	0.680000	8397	1140	9999-12-31	2013-05-08
6406/3-4	1.000000	4175.000000	4198.000000	25.400000	0.000000	0.000000	43.000000	0	0	0.000000	0.000000	0	1173	9999-12-31	2013-05-08
6406/3-4	2.000000	4103.000000	4117.000000	7.900000	0.000000	0.000000	41.000000	0	0	0.000000	0.000000	0	1173	9999-12-31	2013-05-08
6406/3-4	3.000000	4054.000000	4082.000000	4.000000	0.000000	0.000000	40.000000	0	0	0.000000	0.000000	0	1173	9999-12-31	2013-05-08
7226/11-1	1.000000	2935.000000	2951.000000	4.700000	0.000000	0.000000	31.000000	1	0	0.000000	0.000000	0	1177	9999-12-31	2013-05-08
7226/11-1	1.100000	2913.000000	2926.000000	4.900000	0.000000	0.000000	38.000000	0	14323	0.000000	0.620000	0	1177	9999-12-31	2013-05-08
34/7-12	1.000000	2276.000000	2282.000000	12.700000	15.000000	0.000000	49.000000	0	1685	0.000000	0.000000	0	1187	9999-12-31	2013-05-08
34/7-12	2.000000	2229.000000	2235.000000	12.700000	19.000000	0.000000	43.000000	881	59000	0.841000	0.722000	68	1187	9999-12-31	2013-05-08
34/7-12	3.000000	2206.000000	2210.000000	14.300000	23.000000	0.000000	48.000000	1460	96000	0.840000	0.695000	66	1187	9999-12-31	2013-05-08
6506/11-1	1.000000	3741.000000	3745.000000	9.500000	30.000000	0.000000	20.000000	0	690	0.000000	0.645000	0	1216	9999-12-31	2013-05-08
2/8-11	1.000000	2553.000000	2560.000000	12.500000	0.000000	0.000000	0.000000	378	10477	0.830000	0.000000	1550	1224	9999-12-31	2013-05-08
2/8-11	2.000000	2469.000000	2476.000000	19.000000	0.000000	0.000000	0.000000	842	21521	0.840000	0.000000	0	1224	9999-12-31	2013-05-08
6407/7-3	1.000000	3047.000000	3068.000000	25.400000	0.000000	0.000000	0.000000	16	0	0.831000	0.000000	0	1229	9999-12-31	2013-05-08
6407/7-3	2.000000	2990.000000	3014.000000	50.800000	0.000000	0.000000	0.000000	527	119000	0.809000	0.737000	227	1229	9999-12-31	2013-05-08
6407/7-3	3.000000	2852.000000	2868.000000	25.400000	0.000000	0.000000	0.000000	950	396000	0.808000	0.745000	417	1229	9999-12-31	2013-05-08
34/7-13	1.000000	2501.000000	2504.000000	16.000000	34.000000	0.000000	15.000000	1350	68850	0.840000	0.000000	51	1233	9999-12-31	2013-05-08
34/7-14	1.000000	2232.000000	2241.000000	12.700000	15.400000	0.000000	32.500000	960	0	0.716000	0.000000	0	1278	9999-12-31	2013-05-08
34/7-14	2.000000	2204.000000	2210.000000	14.300000	15.700000	0.000000	33.000000	1120	0	0.712000	0.000000	0	1278	9999-12-31	2013-05-08
25/2-12	1.000000	3686.000000	3691.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1290	9999-12-31	2013-05-08
9/2-3	1.000000	3258.000000	3268.000000	12.700000	0.000000	0.000000	0.000000	4	0	0.000000	0.000000	0	1294	9999-12-31	2013-05-08
34/10-33	1.000000	3378.000000	3394.000000	12.700000	0.000000	0.000000	21.000000	288	51000	0.854000	0.680000	176	1302	9999-12-31	2013-05-08
34/10-33	1.300000	3359.000000	3374.000000	28.600000	0.000000	0.000000	30.000000	1318	211900	0.856000	0.680000	161	1302	9999-12-31	2013-05-08
34/10-33	2.100000	3279.000000	3307.000000	19.100000	0.000000	0.000000	32.000000	850	376700	0.850000	0.665000	443	1302	9999-12-31	2013-05-08
34/10-33	2.200000	3279.000000	3329.000000	19.100000	0.000000	0.000000	43.500000	1403	302100	0.850000	0.660000	218	1302	9999-12-31	2013-05-08
34/8-3 A	1.000000	3087.000000	3093.000000	12.700000	0.000000	0.000000	0.000000	746	153000	0.850000	0.646000	205	1338	9999-12-31	2013-05-08
34/8-3 A	1.100000	3072.000000	3093.000000	12.700000	0.000000	0.000000	0.000000	782	156000	0.850000	0.650000	199	1338	9999-12-31	2013-05-08
6507/8-4	1.000000	2250.000000	2254.000000	12.700000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1340	9999-12-31	2013-05-08
6507/8-4	1.100000	2250.000000	2254.000000	6.300000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1340	9999-12-31	2013-05-08
6507/8-4	2.000000	2200.000000	2221.000000	12.700000	0.000000	0.000000	0.000000	1024	58700	0.900000	0.685000	59	1340	9999-12-31	2013-05-08
6507/8-4	3.000000	2150.000000	2168.000000	19.100000	0.000000	0.000000	0.000000	986	45300	0.908000	0.635000	55	1340	9999-12-31	2013-05-08
6507/8-4	3.100000	2163.000000	2168.000000	22.200000	0.000000	0.000000	0.000000	1480	70100	0.908000	0.634000	61	1340	9999-12-31	2013-05-08
6507/8-4	4.000000	2126.000000	2135.000000	15.900000	0.000000	56.000000	0.000000	16	756777	0.780000	0.648000	47078	1340	9999-12-31	2013-05-08
6506/12-6	1.000000	4514.000000	4525.000000	9.500000	18.000000	10.000000	0.000000	128	41000	0.819000	0.765000	345	1342	9999-12-31	2013-05-08
6506/12-6	1.100000	4549.000000	4592.000000	9.500000	18.000000	10.000000	0.000000	128	58000	0.819000	0.000000	410	1342	9999-12-31	2013-05-08
6506/12-6	1.200000	4514.000000	4525.000000	9.500000	18.000000	10.000000	0.000000	128	44000	0.819000	0.000000	345	1342	9999-12-31	2013-05-08
6506/12-6	1.300000	4549.000000	4592.000000	9.500000	18.000000	10.000000	0.000000	128	44000	0.819000	0.000000	345	1342	9999-12-31	2013-05-08
6506/12-6	1.400000	4514.000000	4525.000000	0.000000	18.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1342	9999-12-31	2013-05-08
6506/12-6	1.500000	4549.000000	4592.000000	0.000000	18.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1342	9999-12-31	2013-05-08
6506/12-6	1.600000	4514.000000	4525.000000	9.500000	0.000000	6.000000	0.000000	100	15000	0.819000	0.000000	153	1342	9999-12-31	2013-05-08
6506/12-6	1.700000	4549.000000	4592.000000	9.500000	0.000000	6.000000	0.000000	100	15000	0.819000	0.000000	153	1342	9999-12-31	2013-05-08
6506/12-6	1.800000	4514.000000	4525.000000	12.700000	18.000000	6.000000	26.000000	155	70000	0.820000	0.000000	456	1342	9999-12-31	2013-05-08
6506/12-6	1.900000	4549.000000	4592.000000	12.700000	18.000000	6.000000	26.000000	155	70000	0.820000	0.000000	456	1342	9999-12-31	2013-05-08
6506/12-6	2.000000	4464.000000	4493.000000	6.400000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1342	9999-12-31	2013-05-08
6506/12-6	2.100000	4464.000000	4493.000000	6.400000	44.000000	36.000000	0.000000	0	0	0.000000	0.000000	0	1342	9999-12-31	2013-05-08
6506/12-6	3.000000	4312.000000	4352.000000	20.600000	0.000000	13.000000	40.000000	376	610000	0.783000	0.000000	1622	1342	9999-12-31	2013-05-08
25/5-2	2.000000	3196.000000	3201.000000	9.500000	0.000000	0.000000	0.000000	200	35000	0.821000	0.000000	170	1346	9999-12-31	2013-05-08
25/2-12 A	1.000000	3805.000000	3795.000000	5.600000	0.000000	37.000000	0.000000	102	200000	0.810000	0.700000	1960	1355	9999-12-31	2013-05-08
6407/7-4	1.000000	3126.000000	3139.000000	11.100000	0.000000	0.000000	0.000000	0	424	0.000000	0.690000	0	1360	9999-12-31	2013-05-08
6407/7-4	2.000000	2999.000000	3008.000000	7.900000	0.000000	0.000000	0.000000	242	46000	0.830000	0.740000	185	1360	9999-12-31	2013-05-08
6407/7-4	3.000000	3028.000000	3071.000000	12.700000	0.000000	0.000000	0.000000	740	125000	0.840000	0.720000	169	1360	9999-12-31	2013-05-08
7120/1-2	2.000000	1879.000000	1971.000000	12.700000	0.000000	0.000000	0.000000	150	0	0.000000	0.673000	0	1366	9999-12-31	2013-05-08
35/9-1	1.000000	2286.000000	2292.000000	25.400000	7.300000	0.000000	0.000000	903	256452	0.815000	0.705000	284	1375	9999-12-31	2013-05-08
35/9-1	2.000000	2225.000000	2249.000000	17.600000	15.000000	0.000000	0.000000	198	598000	0.728000	0.681000	3014	1375	9999-12-31	2013-05-08
35/9-1	3.000000	2100.000000	2138.000000	25.400000	11.600000	0.000000	0.000000	179	912000	0.749000	0.705000	5098	1375	9999-12-31	2013-05-08
1/2-1	1.000000	3122.000000	3137.000000	25.400000	0.000000	0.000000	0.000000	859	57000	0.810000	0.000000	66	1382	9999-12-31	2013-05-08
34/10-33 C	1.000000	3448.000000	3517.000000	20.600000	23.000000	16.000000	42.000000	1635	305558	0.859000	0.680000	186	1384	9999-12-31	2013-05-08
2/7-21 S	1.000000	4575.000000	4610.000000	7.900000	0.000000	0.000000	0.000000	107	27000	0.800000	0.790000	267	1394	2012-07-21	2013-05-08
2/7-21 S	2.100000	4446.000000	4519.000000	11.900000	0.000000	0.000000	0.000000	879	272000	0.810000	0.790000	312	1394	2012-07-21	2013-05-08
2/7-21 S	2.200000	4446.000000	4519.000000	9.900000	0.000000	0.000000	0.000000	592	211000	0.810000	0.790000	357	1394	9999-12-31	2013-05-08
2/7-21 S	3.100000	4308.000000	4338.000000	11.100000	0.000000	0.000000	0.000000	760	249000	0.810000	0.810000	326	1394	2012-07-21	2013-05-08
2/7-21 S	3.200000	4308.000000	4338.000000	19.000000	0.000000	0.000000	0.000000	1236	447000	0.800000	0.760000	362	1394	2012-07-21	2013-05-08
31/2-16 S	1.000000	1888.000000	2384.000000	50.800000	4.000000	0.000000	14.700000	1990	89444	0.882000	0.638000	0	1453	9999-12-31	2013-05-08
25/2-13	1.000000	3785.000000	3774.000000	4.700000	10.000000	10.000000	0.000000	0	0	0.000000	0.000000	0	1459	9999-12-31	2013-05-08
25/2-13	2.000000	3713.000000	3706.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1459	9999-12-31	2013-05-08
25/2-13	2.300000	3713.000000	3695.000000	6.300000	8.500000	0.000000	0.000000	69	29400	0.823000	0.880000	425	1459	9999-12-31	2013-05-08
25/2-13	3.100000	3460.000000	3437.000000	12.500000	16.000000	0.000000	0.000000	210	242000	0.800000	0.800000	1120	1459	9999-12-31	2013-05-08
25/2-13	5.000000	3382.000000	3343.000000	15.800000	12.500000	0.000000	0.000000	650	213600	0.829000	0.818000	330	1459	9999-12-31	2013-05-08
30/9-8 R	1.000000	2904.000000	2913.000000	19.500000	0.000000	0.000000	0.000000	0	1100	0.000000	0.700000	0	1461	9999-12-31	2013-05-08
30/9-8 R	2.000000	2837.000000	2848.000000	25.400000	0.000000	0.000000	0.000000	35	0	0.867000	0.000000	0	1461	9999-12-31	2013-05-08
30/9-8 R	3.000000	2825.000000	2848.000000	12.700000	0.000000	0.000000	0.000000	405	28667	0.870000	0.780000	109	1461	9999-12-31	2013-05-08
3/7-4	1.000000	3473.000000	3537.000000	19.000000	0.000000	0.000000	0.000000	665	884450	0.804000	0.720000	1330	1467	2012-07-21	2013-05-08
3/7-4	2.000000	3440.000000	3473.000000	19.000000	0.000000	0.000000	0.000000	611	838292	0.796000	0.720000	1372	1467	2012-07-21	2013-05-08
25/5-3	1.000000	2405.000000	2336.000000	11.100000	15.000000	0.000000	23.000000	57	585000	0.800000	0.750000	5100	1488	9999-12-31	2013-05-08
25/7-2	1.000000	4148.000000	4273.000000	15.900000	9.000000	0.000000	0.000000	228	255700	0.781000	0.732000	1121	1494	9999-12-31	2013-05-08
2/7-22	1.000000	4484.000000	4491.000000	12.700000	0.000000	24.000000	0.000000	197	232700	0.790000	0.800000	1181	1495	9999-12-31	2013-05-08
1/6-5	1.000000	1722.000000	1741.000000	9.500000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1508	2012-07-21	2013-05-08
6205/3-1 R	1.000000	4324.000000	4344.000000	12.700000	0.000000	0.000000	36.080000	0	0	0.000000	0.000000	0	1510	9999-12-31	2013-05-08
2/7-19 R	1.000000	4711.000000	4838.000000	12.000000	0.000000	2.700000	0.000000	35	15631	0.000000	0.000000	449	1512	2012-07-21	2013-05-08
1/3-6	1.000000	2961.000000	2977.000000	17.500000	0.000000	3.000000	0.000000	78	93300	0.780000	0.780000	1196	1521	9999-12-31	2013-05-08
1/3-6	2.000000	2913.000000	2953.000000	15.800000	0.000000	6.800000	0.000000	153	172500	0.771000	0.735000	1131	1521	9999-12-31	2013-05-08
15/12-6 S	1.000000	2922.000000	2930.000000	12.700000	0.000000	10.000000	0.000000	154	11683	0.850000	0.795000	76	1524	2012-07-21	2013-05-08
15/12-6 S	2.000000	2875.000000	2895.000000	15.900000	0.000000	8.000000	0.000000	866	52530	0.843000	0.740000	61	1524	2012-07-21	2013-05-08
34/10-33 CR	1.000000	3448.000000	3517.000000	20.600000	23.000000	16.000000	42.000000	1635	313300	0.859000	0.680000	193	1530	2012-07-21	2013-05-08
34/10-33 CR	1.200000	3448.000000	3517.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1530	9999-12-31	2013-05-08
6507/3-1	1.000000	3783.000000	3798.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1533	9999-12-31	2013-05-08
6507/3-1	2.000000	3690.000000	3724.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1533	9999-12-31	2013-05-08
6507/3-1	3.000000	3611.000000	3636.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1533	9999-12-31	2013-05-08
6507/3-1	3.100000	3611.000000	3636.000000	25.400000	0.000000	15.000000	0.000000	290	905000	0.800000	0.710000	3121	1533	9999-12-31	2013-05-08
34/7-17 A	1.000000	2495.000000	2499.000000	15.600000	5.000000	0.000000	25.000000	719	36000	0.850000	0.800000	50	1536	9999-12-31	2013-05-08
6406/11-1 S	1.000000	4027.000000	4060.000000	6.400000	1.000000	0.000000	51.000000	0	0	0.000000	0.000000	0	1539	9999-12-31	2013-05-08
6406/11-1 S	2.000000	3709.000000	3723.000000	31.800000	2.000000	0.000000	35.000000	19	0	0.000000	0.000000	0	1539	9999-12-31	2013-05-08
6406/11-1 S	3.000000	3692.000000	3723.000000	16.700000	2.300000	0.000000	37.000000	0	0	0.000000	0.000000	0	1539	9999-12-31	2013-05-08
6306/10-1	1.000000	2967.000000	3158.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1551	9999-12-31	2013-05-08
35/9-2	1.000000	2330.000000	2342.000000	12.700000	14.400000	0.000000	0.000000	289	2063000	0.826000	0.608000	714	1600	2012-07-21	2013-05-08
35/9-2	2.000000	2295.000000	2310.000000	25.400000	11.200000	0.000000	0.000000	206	881000	0.720000	0.668000	4276	1600	9999-12-31	2013-05-08
35/9-2	3.000000	2187.000000	2211.000000	25.400000	10.600000	0.000000	0.000000	205	803000	0.732000	0.664000	3897	1600	9999-12-31	2013-05-08
35/9-2	4.000000	2100.000000	2130.000000	25.400000	11.900000	0.000000	0.000000	202	954000	0.726000	0.664000	4717	1600	9999-12-31	2013-05-08
2/1-9	1.000000	4078.000000	4108.000000	17.400000	7.000000	0.000000	23.600000	165	90577	0.000000	0.000000	549	1667	2012-07-21	2013-05-08
34/7-16 R	1.000000	2454.000000	2458.000000	111.000000	13.200000	0.000000	36.600000	950	52250	0.860000	0.710000	55	1677	2012-07-21	2013-05-08
34/7-16 R	2.000000	2401.000000	2414.000000	12.700000	15.900000	0.000000	36.200000	1310	62040	0.860000	0.710000	47	1677	9999-12-31	2013-05-08
34/7-16 R	3.000000	2821.000000	2837.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1677	9999-12-31	2013-05-08
34/8-4 S	1.000000	3219.000000	3241.000000	15.800000	17.000000	0.000000	0.000000	441	410130	0.782000	0.728000	930	1683	2012-07-21	2013-05-08
34/8-4 S	2.100000	3133.000000	3143.000000	17.400000	25.000000	0.000000	0.000000	754	605000	0.788000	0.734000	803	1683	2012-07-21	2013-05-08
34/8-4 S	2.200000	3066.000000	3142.000000	20.600000	23.000000	0.000000	0.000000	985	792000	0.785000	0.739000	805	1683	2012-07-21	2013-05-08
34/8-4 S	3.000000	3000.000000	3017.000000	21.400000	20.000000	0.000000	0.000000	908	708000	0.777000	0.738000	781	1683	2012-07-21	2013-05-08
34/8-4 S	4.000000	2903.000000	2917.000000	25.400000	6.000000	0.000000	0.000000	205	480000	0.770000	0.690000	2418	1683	9999-12-31	2013-05-08
25/5-4	1.000000	2933.000000	2923.000000	20.600000	14.000000	0.000000	29.000000	223	759600	0.760000	0.720000	3398	1691	9999-12-31	2013-05-08
25/4-6 S	1.000000	3802.000000	3819.000000	20.600000	0.000000	0.000000	0.000000	688	461700	0.810000	0.720000	671	1703	2012-07-21	2013-05-08
6608/10-3	1.000000	2617.000000	2648.000000	23.400000	0.000000	0.000000	0.000000	1250	102500	0.860000	0.650000	82	1732	9999-12-31	2013-05-08
34/10-34	1.000000	1994.000000	2001.000000	19.000000	0.000000	0.000000	0.000000	1545	135784	0.860000	0.680000	87	1747	2012-07-21	2013-05-08
6506/11-2	1.000000	4668.000000	4704.000000	31.000000	0.000000	10.500000	48.900000	554	770733	0.807000	0.765000	1392	1754	9999-12-31	2013-05-08
6506/11-2	2.000000	4553.000000	4597.000000	31.000000	0.000000	6.800000	48.000000	481	440000	0.000000	0.000000	915	1754	9999-12-31	2013-05-08
6506/11-2	3.000000	4486.000000	4510.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1754	9999-12-31	2013-05-08
6506/11-2	4.000000	4371.000000	4420.000000	25.400000	0.000000	14.500000	47.700000	714	1028000	0.780000	0.730000	1440	1754	9999-12-31	2013-05-08
6506/11-2	5.000000	4005.000000	4048.000000	14.300000	0.000000	3.500000	66.400000	136	69845	0.820000	0.780000	513	1754	9999-12-31	2013-05-08
6506/11-2	6.000000	3374.000000	3399.000000	9.500000	0.000000	5.000000	48.500000	40	6825	0.826000	0.775000	170	1754	9999-12-31	2013-05-08
2/7-26 S	1.000000	4309.000000	4538.000000	6.300000	0.000000	0.000000	0.000000	53	10123	0.819000	0.000000	191	1756	2012-07-21	2013-05-08
2/7-26 S	2.000000	4605.000000	4696.000000	6.300000	0.000000	0.000000	0.000000	223	61447	0.819000	0.810000	279	1756	9999-12-31	2013-05-08
15/12-8	1.000000	2838.000000	2869.000000	15.900000	0.000000	0.000000	0.000000	420	550000	0.000000	0.817000	1308	1778	2012-07-21	2013-05-08
6608/10-2	1.000000	2715.000000	2720.000000	50.800000	0.000000	0.000000	0.000000	0	0	0.000000	0.680000	0	1782	9999-12-31	2013-05-08
6608/10-2	3.100000	2673.000000	2696.000000	72.000000	0.000000	30.000000	0.000000	1165	0	0.847000	0.660000	93	1782	9999-12-31	2013-05-08
6608/10-2	3.200000	2605.000000	2610.000000	19.000000	0.000000	0.000000	0.000000	0	582600	0.000000	0.640000	0	1782	9999-12-31	2013-05-08
6608/10-2	3.300000	2590.000000	2610.000000	28.000000	0.000000	0.000000	0.000000	0	945000	0.000000	0.640000	0	1782	9999-12-31	2013-05-08
2/4-17	1.000000	4523.000000	4638.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1792	9999-12-31	2013-05-08
2/4-17	2.000000	4341.000000	4388.000000	15.900000	0.000000	0.000000	0.000000	774	849078	0.799000	0.735000	1097	1792	2012-07-21	2013-05-08
2/4-17	2.100000	4340.000000	4388.000000	0.000000	0.000000	0.000000	0.000000	266	0	0.000000	0.000000	0	1792	9999-12-31	2013-05-08
2/4-17	2.200000	4341.000000	4388.000000	0.000000	0.000000	0.000000	0.000000	610	0	0.000000	0.000000	0	1792	9999-12-31	2013-05-08
2/4-17	2.300000	4341.000000	4388.000000	0.000000	0.000000	0.000000	0.000000	597	0	0.000000	0.000000	0	1792	9999-12-31	2013-05-08
2/4-17	2.400000	4341.000000	4388.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1792	9999-12-31	2013-05-08
2/4-17	2.500000	4341.000000	4388.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1792	9999-12-31	2013-05-08
2/4-17	2.600000	4341.000000	4388.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1792	9999-12-31	2013-05-08
36/7-1	1.000000	2363.000000	2368.000000	25.400000	24.000000	22.000000	24.000000	1025	171175	0.820000	0.800000	167	1794	2012-07-21	2013-05-08
30/9-13 S	1.000000	3086.000000	3095.000000	19.000000	0.000000	0.000000	0.000000	792	120983	0.850000	0.730000	153	1811	9999-12-31	2013-05-08
30/9-13 S	2.000000	3024.000000	3073.000000	19.000000	0.000000	0.000000	0.000000	535	107458	0.840000	0.760000	201	1811	9999-12-31	2013-05-08
30/9-13 S	3.000000	2958.000000	2986.000000	28.500000	0.000000	0.000000	0.000000	90	459522	0.780000	0.720000	5099	1811	9999-12-31	2013-05-08
30/10-6	1.000000	5008.000000	5045.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1816	9999-12-31	2013-05-08
30/10-6	1.100000	5008.000000	5045.000000	3.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1816	9999-12-31	2013-05-08
30/10-6	2.000000	4899.000000	4965.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1816	9999-12-31	2013-05-08
30/10-6	2.100000	4899.000000	4965.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1816	9999-12-31	2013-05-08
30/10-6	2.200000	4899.000000	5250.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.580000	0	1816	9999-12-31	2013-05-08
30/10-6	3.000000	4768.000000	4803.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	1816	9999-12-31	2013-05-08
30/10-6	4.000000	4666.000000	4714.000000	3.100000	0.000000	0.000000	0.000000	0	90000	0.000000	0.620000	0	1816	9999-12-31	2013-05-08
34/7-18	1.000000	1770.000000	1784.000000	8.000000	6.000000	0.000000	25.000000	46	0	0.890000	0.000000	0	1819	9999-12-31	2013-05-08
7128/6-1	1.000000	1623.000000	1664.000000	0.000000	0.000000	0.000000	16.000000	0	0	0.000000	0.000000	0	1836	9999-12-31	2013-05-08
34/7-19	1.000000	2455.000000	2468.000000	14.300000	13.000000	0.000000	36.000000	1070	0	0.835000	0.000000	40	1838	9999-12-31	2013-05-08
34/7-19	2.000000	2542.000000	2557.000000	6.400000	13.000000	0.000000	37.000000	290	0	0.000000	0.000000	0	1838	9999-12-31	2013-05-08
1/6-6	1.000000	5391.000000	5407.000000	12.700000	48.000000	12.000000	0.000000	0	4300	0.000000	0.670000	0	1839	9999-12-31	2013-05-08
6507/2-2	1.000000	3285.000000	3294.000000	25.400000	0.000000	0.000000	0.000000	107	676000	0.790000	0.630000	6317	1840	9999-12-31	2013-05-08
6507/2-2	2.000000	2820.000000	2831.000000	25.400000	0.000000	0.000000	0.000000	80	865000	0.780000	0.640000	1081	1840	9999-12-31	2013-05-08
2/2-5	1.000000	3666.000000	3670.000000	7.900000	0.000000	0.000000	0.000000	600	0	0.000000	0.000000	44	1846	2012-07-21	2013-05-08
7/7-2	1.000000	3333.000000	3342.000000	9.500000	35.000000	15.000000	0.000000	787	15740	0.877000	0.840000	20	1868	9999-12-31	2013-05-08
25/11-15	1.000000	1736.000000	1774.000000	25.400000	0.000000	0.000000	0.000000	525	7500	0.940000	0.640000	14	1872	2012-07-21	2013-05-08
34/10-35	1.000000	4015.000000	4025.000000	15.800000	190.000000	0.000000	0.000000	130	630000	0.795000	0.665000	4800	1874	9999-12-31	2013-05-08
34/10-35	2.000000	3984.000000	3995.000000	12.700000	0.000000	390.000000	0.000000	220	990000	0.795000	0.667000	4500	1874	9999-12-31	2013-05-08
34/10-35	3.000000	3920.000000	3930.000000	15.800000	0.000000	0.000000	0.000000	113	340000	0.794000	0.684000	3000	1874	9999-12-31	2013-05-08
2/7-27 S	1.000000	4741.000000	4484.000000	7.900000	0.000000	0.000000	0.000000	582	180400	0.800000	0.800000	309	1878	9999-12-31	2013-05-08
35/11-4 R	1.000000	2676.000000	2684.000000	12.400000	0.000000	26.000000	27.000000	456	77955	0.810000	0.730000	1709	1883	9999-12-31	2013-05-08
35/11-4 R	2.000000	2286.000000	2293.000000	15.800000	0.000000	21.000000	23.000000	545	564066	0.832000	0.653000	1034	1883	9999-12-31	2013-05-08
35/11-4 R	3.000000	2034.000000	2046.000000	17.500000	0.000000	20.000000	21.000000	682	660697	0.845000	0.678000	954	1883	9999-12-31	2013-05-08
35/11-4 R	4.000000	2010.000000	2013.000000	6.400000	0.000000	19.000000	20.000000	44	799943	0.818000	0.648000	1818	1883	9999-12-31	2013-05-08
25/11-14 SR	1.000000	1998.000000	2015.000000	13.700000	0.000000	0.000000	0.000000	508	2000	0.915000	0.670000	36	1907	9999-12-31	2013-05-08
25/11-14 SR	2.000000	1999.000000	2015.000000	25.400000	0.000000	0.000000	0.000000	985	0	0.915000	0.000000	0	1907	2012-07-21	2013-05-08
34/8-4 A	1.000000	3323.000000	3341.000000	14.200000	23.000000	0.000000	49.000000	936	211536	0.815000	0.770000	226	1909	9999-12-31	2013-05-08
34/8-4 A	2.000000	3214.000000	3228.000000	12.700000	1.000000	0.000000	7.000000	35	15680	0.800000	0.810000	448	1909	9999-12-31	2013-05-08
34/8-4 A	3.000000	3160.000000	3184.000000	19.000000	11.000000	0.000000	27.000000	821	170768	0.820000	0.740000	208	1909	9999-12-31	2013-05-08
34/8-4 A	4.000000	3056.000000	3108.000000	12.700000	26.000000	0.000000	45.000000	831	181158	0.821000	0.740000	218	1909	9999-12-31	2013-05-08
34/8-4 A	5.000000	2988.000000	3019.000000	14.300000	26.000000	0.000000	44.000000	992	225184	0.820000	0.740000	227	1909	9999-12-31	2013-05-08
6506/11-3	1.000000	3120.000000	3142.000000	12.700000	0.000000	3.000000	34.000000	0	1817	0.000000	0.000000	0	1973	9999-12-31	2013-05-08
35/11-7	1.000000	2476.000000	2491.000000	15.900000	0.000000	12.000000	24.000000	662	195384	0.802000	0.700000	295	1979	9999-12-31	2013-05-08
35/11-7	2.000000	1829.000000	1846.000000	15.900000	0.000000	12.000000	24.000000	636	39643	0.802000	0.730000	62	1979	2012-07-21	2013-05-08
7316/5-1	1.000000	1338.000000	1350.000000	25.400000	0.000000	0.000000	0.000000	0	563000	0.600000	0.000000	0	1987	9999-12-31	2013-05-08
34/7-21	1.000000	2510.000000	2537.000000	12.700000	14.000000	0.000000	32.000000	884	0	0.850000	0.890000	95	2026	9999-12-31	2013-05-08
15/9-19 S	1.000000	4316.000000	0.000000	12.700000	0.000000	11.000000	0.000000	680	0	0.870000	0.740000	98	2043	9999-12-31	2013-05-08
7128/4-1	1.000000	1592.000000	1610.000000	72.000000	0.000000	0.000000	0.000000	17	320000	0.000000	0.000000	18823	2049	9999-12-31	2013-05-08
7128/4-1	2.000000	1577.000000	1586.000000	25.400000	0.000000	30.000000	0.000000	15	215000	0.797000	0.638000	14333	2049	9999-12-31	2013-05-08
34/8-7 R	1.000000	5118.000000	5210.000000	6.300000	0.000000	0.000000	86.400000	0	0	0.000000	0.000000	0	2057	9999-12-31	2013-05-08
34/8-7 R	2.000000	4671.000000	4731.000000	19.000000	0.000000	0.000000	7.600000	0	18673	0.000000	0.720000	0	2057	9999-12-31	2013-05-08
34/8-8 R	1.000000	2960.000000	2973.000000	12.700000	20.000000	0.000000	42.000000	775	106300	0.852000	0.665000	137	2080	9999-12-31	2013-05-08
34/8-8 R	2.000000	2921.000000	2950.000000	19.000000	8.000000	0.000000	23.000000	956	147100	0.844000	0.660000	164	2080	9999-12-31	2013-05-08
25/2-15 R2	1.000000	3909.000000	3580.000000	0.000000	50.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	2116	9999-12-31	2013-05-08
6506/12-9 S	1.000000	4846.000000	4876.000000	17.500000	0.000000	0.000000	0.000000	840	444000	0.815000	0.832000	749	2128	9999-12-31	2013-05-08
6506/12-9 S	2.000000	4805.000000	4834.000000	22.200000	0.000000	0.000000	0.000000	900	249000	0.850000	0.830000	390	2128	9999-12-31	2013-05-08
6506/12-9 S	3.000000	4742.000000	4751.000000	17.500000	0.000000	0.000000	0.000000	567	138000	0.825000	0.794000	292	2128	9999-12-31	2013-05-08
6506/12-9 S	4.000000	4730.000000	4712.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	2128	9999-12-31	2013-05-08
6506/12-9 S	5.000000	4477.000000	4510.000000	43.600000	0.000000	0.000000	0.000000	17	33000	0.807000	0.781000	1379	2128	9999-12-31	2013-05-08
34/7-22	1.000000	2236.000000	2242.000000	14.300000	15.000000	0.000000	33.000000	1154	0	0.840000	0.690000	67	2167	9999-12-31	2013-05-08
34/8-10 S	1.000000	3039.000000	3052.000000	17.400000	0.000000	0.000000	0.000000	1180	414000	0.823000	0.755000	350	2179	2012-07-21	2013-05-08
34/8-11	1.000000	2942.000000	2956.000000	15.800000	0.000000	0.000000	0.000000	1142	285300	0.841000	0.755000	250	2180	9999-12-31	2013-05-08
34/8-11	2.000000	2913.000000	2956.000000	15.800000	0.000000	0.000000	0.000000	1135	291800	0.839000	0.735000	257	2180	9999-12-31	2013-05-08
6608/10-4	1.000000	2640.000000	2635.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	2256	9999-12-31	2013-05-08
6608/10-4	2.000000	2582.000000	2466.000000	31.700000	0.000000	40.000000	0.000000	900	75000	0.858000	0.648000	83	2256	9999-12-31	2013-05-08
6608/10-4	3.100000	2485.000000	2514.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	2256	9999-12-31	2013-05-08
6608/10-4	3.200000	2524.000000	2531.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	2256	9999-12-31	2013-05-08
25/11-18	1.000000	815.000000	865.000000	0.000000	0.000000	0.000000	0.000000	0	1081	0.000000	0.630000	0	2358	2012-07-21	2013-05-08
34/11-1	1.000000	4117.000000	4137.000000	12.700000	0.000000	40.000000	67.000000	387	664221	0.794000	0.690000	1728	2377	9999-12-31	2013-05-08
25/8-5 S	1.000000	2118.000000	2149.000000	50.000000	0.000000	29.000000	0.000000	1073	40774	0.850000	0.000000	38	2390	9999-12-31	2013-05-08
1/3-7	1.100000	3184.000000	3216.000000	12.500000	0.000000	30.000000	0.000000	49	16783	0.806000	0.000000	364	2505	2012-07-21	2013-05-08
1/3-7	2.000000	3184.000000	3220.000000	12.500000	0.000000	40.000000	41.000000	137	37762	0.790000	0.000000	281	2505	2012-07-21	2013-05-08
34/10-37 A	1.000000	2667.000000	2697.000000	20.000000	8.500000	0.000000	35.400000	1950	645000	0.820000	0.730000	330	2530	9999-12-31	2013-05-08
34/10-37 A	1.100000	2667.000000	0.000000	11.100000	0.000000	0.000000	0.000000	500	0	0.820000	0.720000	300	2530	9999-12-31	2013-05-08
34/10-37 A	1.200000	2667.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1969	0	0.820000	0.730000	320	2530	9999-12-31	2013-05-08
34/10-37 A	1.300000	2667.000000	0.000000	0.000000	0.000000	0.000000	0.000000	1969	0	0.820000	0.730000	320	2530	9999-12-31	2013-05-08
34/10-37 A	1.400000	2667.000000	0.000000	11.100000	0.000000	0.000000	0.000000	595	0	0.000000	0.000000	309	2530	9999-12-31	2013-05-08
6506/12-10 A	1.000000	5707.000000	5686.000000	19.000000	0.000000	22.000000	0.000000	450	168750	0.810000	0.000000	375	2610	9999-12-31	2013-05-08
25/7-3	1.000000	2096.000000	2107.000000	25.400000	2.000000	0.000000	17.000000	739	29207	0.839000	0.000000	39	2623	9999-12-31	2013-05-08
15/5-5	1.000000	2154.000000	2183.000000	23.800000	0.000000	0.000000	18.000000	575	36000	0.864000	0.868000	63	2635	9999-12-31	2013-05-08
6406/2-1 R	1.000000	5227.000000	5201.000000	6.400000	51.000000	45.000000	51.000000	0	0	0.000000	0.000000	0	2642	9999-12-31	2013-05-08
6406/2-1 R	2.000000	5170.000000	5099.000000	20.600000	51.000000	49.000000	51.000000	0	0	0.000000	0.000000	0	2642	9999-12-31	2013-05-08
6406/2-1 R	3.000000	5041.000000	5021.000000	12.700000	48.000000	13.000000	53.000000	22	88000	0.796000	0.770000	4000	2642	9999-12-31	2013-05-08
6406/2-1 R	4.000000	4924.000000	4910.000000	12.700000	48.000000	28.000000	52.000000	69	289000	0.783000	0.770000	4200	2642	9999-12-31	2013-05-08
6406/2-1 R	5.000000	4858.000000	4816.000000	28.600000	50.000000	26.000000	52.000000	273	788000	0.803000	0.770000	2700	2642	9999-12-31	2013-05-08
6406/2-1 R	6.000000	4704.000000	4645.000000	28.600000	38.000000	22.000000	51.000000	247	716300	0.798000	0.730000	2900	2642	9999-12-31	2013-05-08
6406/2-1 R	7.000000	4495.000000	4427.000000	25.400000	38.000000	19.000000	0.000000	4	0	0.800000	0.730000	0	2642	9999-12-31	2013-05-08
6406/2-2	1.000000	4927.000000	4868.000000	19.100000	51.000000	10.000000	52.000000	91	223000	0.804000	0.941000	2450	2644	9999-12-31	2013-05-08
6406/2-2	2.000000	4746.000000	4715.000000	27.000000	41.000000	32.000000	51.000000	575	1021000	0.784000	1.030000	1808	2644	9999-12-31	2013-05-08
6608/10-3 R	1.000000	1810.000000	1842.000000	46.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	2645	9999-12-31	2013-05-08
25/8-8 S	1.000000	2258.000000	2267.000000	50.000000	3.600000	0.000000	0.000000	1067	75900	0.850000	0.730000	71	2646	9999-12-31	2013-05-08
25/5-5	1.000000	2170.000000	2159.000000	38.100000	2.000000	1.000000	20.000000	428	15578	0.880000	0.700000	36	2661	9999-12-31	2013-05-08
30/8-1 SR	1.000000	4700.000000	4803.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	2719	9999-12-31	2013-05-08
34/11-2 S	1.000000	4260.000000	4240.000000	15.800000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	2733	9999-12-31	2013-05-08
34/11-2 S	2.000000	4185.000000	4260.000000	12.700000	6.000000	8.000000	13.000000	125	126100	0.791000	0.720000	1009	2733	9999-12-31	2013-05-08
34/11-2 S	3.000000	4143.000000	4068.000000	12.700000	0.000000	8.000000	14.000000	75	172288	0.801000	0.680000	2305	2733	9999-12-31	2013-05-08
6506/11-4 S	1.000000	5039.000000	5073.000000	15.900000	0.000000	15.000000	0.000000	725	395000	0.800000	0.738000	545	2736	9999-12-31	2013-05-08
35/11-8 S	1.000000	2924.000000	2931.000000	19.100000	26.000000	21.000000	27.000000	700	79000	0.850000	0.720000	112	2772	9999-12-31	2013-05-08
35/11-8 S	2.000000	2910.000000	2920.000000	19.100000	26.000000	24.000000	27.000000	860	82000	0.850000	0.690000	95	2772	9999-12-31	2013-05-08
35/11-8 S	3.000000	2886.000000	2901.000000	12.700000	26.000000	25.000000	27.000000	520	58000	0.850000	0.706000	112	2772	9999-12-31	2013-05-08
6506/12-11 S	1.000000	5236.000000	5226.000000	20.600000	0.000000	12.000000	0.000000	690	453000	0.840000	0.000000	656	2795	9999-12-31	2013-05-08
6506/12-11 S	2.000000	5207.000000	5198.000000	19.000000	0.000000	73.000000	0.000000	470	173900	0.831000	0.775000	360	2795	9999-12-31	2013-05-08
6407/1-4	1.000000	3693.000000	3687.000000	12.700000	0.000000	3.000000	15.100000	244	29505	0.860000	0.690000	121	2796	9999-12-31	2013-05-08
6406/2-3	1.000000	4832.000000	4806.000000	17.000000	90.000000	89.000000	91.000000	890	892000	0.791000	0.720000	1003	2849	9999-12-31	2013-05-08
6406/2-3	2.000000	4654.000000	4629.000000	17.500000	88.000000	81.000000	89.000000	1048	777000	0.792000	0.720000	744	2849	9999-12-31	2013-05-08
34/7-25 S	1.000000	2817.000000	2791.000000	15.900000	0.000000	0.000000	30.000000	1039	101920	0.840000	0.730000	98	2863	9999-12-31	2013-05-08
2/6-5	1.000000	2955.000000	2919.000000	11.100000	44.000000	30.000000	0.000000	8	0	0.831000	0.000000	0	2885	9999-12-31	2013-05-08
30/5-2	1.000000	3611.000000	3624.000000	12.500000	7.000000	0.000000	24.000000	135	63000	0.880000	0.710000	470	2886	9999-12-31	2013-05-08
30/5-2	2.000000	3566.000000	3590.000000	11.000000	36.000000	0.000000	0.000000	140	300000	0.830000	0.690000	2140	2886	9999-12-31	2013-05-08
25/10-8	1.000000	2392.000000	2398.000000	15.900000	24.000000	0.000000	25.000000	692	0	0.840000	0.700000	116	2955	2012-07-21	2013-05-08
6506/12-11 SR	2.000000	5207.000000	5198.000000	22.200000	0.000000	0.000000	0.000000	740	0	0.834000	0.772000	386	2977	9999-12-31	2013-05-08
25/8-10 S	1.000000	1727.000000	1740.000000	14.400000	4.000000	4.000000	4.000000	413	15	0.900000	0.680000	0	3062	2012-07-21	2013-05-08
2/5-11	1.000000	3381.000000	3363.000000	19.000000	46.240000	0.000000	0.000000	4	0	0.829000	0.000000	0	3084	9999-12-31	2013-05-08
2/5-11	2.000000	3329.000000	3289.000000	18.100000	47.200000	0.000000	0.000000	12	0	0.800000	0.000000	120	3084	9999-12-31	2013-05-08
25/7-5	1.000000	2043.000000	2052.000000	17.500000	7.000000	5.260000	18.981000	900	78000	0.870000	0.671000	88	3132	9999-12-31	2013-05-08
15/9-19 A	1.000000	3099.000000	3102.000000	15.100000	0.000000	3.000000	21.000000	200	27000	0.892000	0.738000	90	3145	9999-12-31	2013-05-08
15/9-19 A	2.000000	3046.000000	3081.000000	13.500000	9.000000	9.000000	32.000000	528	38107	0.902000	0.730000	72	3145	9999-12-31	2013-05-08
25/8-11	1.000000	1893.000000	1910.000000	16.000000	0.000000	0.000000	0.000000	520	23000	0.000000	0.000000	44	3209	2012-07-21	2013-05-08
6406/2-5 A	1.000000	5304.000000	5334.000000	11.100000	87.000000	38.000000	0.000000	274	221500	0.795000	0.745000	821	3213	9999-12-31	2013-05-08
16/7-7 S	1.000000	2752.000000	2785.000000	17.400000	15.600000	0.000000	0.000000	513	0	0.740000	0.940000	517	3244	2012-07-21	2013-05-08
16/7-7 S	2.000000	2852.000000	2762.000000	17.400000	11.400000	0.000000	0.000000	563	253350	0.740000	0.940000	450	3244	2012-07-21	2013-05-08
6506/11-6	1.000000	4839.000000	4849.000000	14.300000	0.000000	0.000000	0.000000	557	568000	0.789000	0.715000	1019	3306	9999-12-31	2013-05-08
6506/11-6	2.000000	4695.000000	4736.000000	4.700000	0.000000	0.000000	0.000000	105	78000	0.795000	0.715000	743	3306	9999-12-31	2013-05-08
6506/11-6	3.000000	4649.000000	4668.000000	14.300000	0.000000	0.000000	0.000000	770	533000	0.795000	0.715000	692	3306	9999-12-31	2013-05-08
6506/11-7	1.000000	4751.000000	4818.000000	12.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	3322	9999-12-31	2013-05-08
6506/11-7	2.000000	4668.000000	4700.000000	11.000000	0.000000	0.000000	49.000000	680	253000	0.000000	0.000000	372	3322	9999-12-31	2013-05-08
6506/11-7	3.000000	4590.000000	4631.000000	3.800000	0.000000	0.000000	38.000000	240	127000	0.000000	0.000000	529	3322	9999-12-31	2013-05-08
34/7-26 A	1.000000	4204.000000	4208.000000	17.500000	14.000000	0.000000	30.000000	1361	0	0.000000	0.000000	0	3329	2012-07-21	2013-05-08
34/7-26 A	2.000000	4140.000000	4180.000000	0.000000	0.000000	0.000000	0.000000	0	0	0.000000	0.000000	0	3329	9999-12-31	2013-05-08
24/6-2	1.000000	2166.000000	2157.000000	19.000000	4.800000	0.000000	18.680000	550	44000	0.860000	0.690000	80	3397	9999-12-31	2013-05-08
6305/7-1	1.000000	2915.000000	2931.000000	23.800000	0.000000	0.000000	28.960000	58	638000	0.770000	0.610000	11000	3535	9999-12-31	2013-05-08
2/7-31	1.000000	4623.000000	4565.000000	6.300000	0.000000	0.000000	0.000000	282	120360	0.000000	0.702000	426	3573	9999-12-31	2013-05-08
6406/2-4 SR	1.000000	4905.000000	4874.000000	9.500000	44.000000	31.000000	52.000000	93	237000	0.773000	0.780000	2925	3627	9999-12-31	2013-05-08
6406/2-4 SR	2.000000	4704.000000	4684.000000	7.900000	50.000000	12.000000	51.000000	18	42855	0.789000	0.743000	2300	3627	9999-12-31	2013-05-08
6507/5-1	1.000000	3607.000000	3653.000000	15.900000	8.000000	0.000000	37.000000	628	109000	0.857000	0.700000	175	3683	9999-12-31	2013-05-08
6507/5-1	2.100000	3430.000000	3442.000000	15.900000	19.000000	0.000000	36.000000	178	741000	0.759000	0.670000	4164	3683	9999-12-31	2013-05-08
6507/5-1	2.200000	3430.000000	3514.000000	12.700000	22.000000	0.000000	0.000000	148	580000	0.767000	0.675000	3926	3683	9999-12-31	2013-05-08
6507/5-1	3.000000	2993.000000	3001.000000	14.300000	18.000000	0.000000	42.000000	925	222000	0.829000	0.670000	240	3683	9999-12-31	2013-05-08
34/7-29 SR	1.000000	2704.000000	2716.000000	17.500000	8.150000	0.000000	0.000000	863	119520	0.842000	0.000000	138	3702	9999-12-31	2013-05-08
6406/2-7	1.000000	4558.000000	4573.000000	0.000000	50.000000	78.000000	0.000000	678	496000	0.806000	0.000000	731	3878	9999-12-31	2013-05-08
6407/7-6	1.000000	3686.000000	3770.000000	16.000000	0.000000	52.450000	0.000000	220	155000	0.815000	0.000000	705	4172	9999-12-31	2013-05-08
6608/10-6 R2	1.000000	1810.000000	1842.000000	0.000000	0.000000	0.000000	0.000000	42	0	0.000000	0.000000	0	4386	9999-12-31	2013-05-08
7122/7-2	1.000000	1078.000000	1136.000000	19.000000	0.000000	12.600000	0.000000	685	40415	0.860000	0.000000	59	4391	9999-12-31	2013-05-08
34/10-44 S	1.000000	4654.000000	4868.000000	17.400000	0.000000	0.000000	0.000000	550	560000	0.770000	0.742000	1020	4422	9999-12-31	2013-05-08
34/10-44 S	2.000000	4627.000000	4649.000000	11.100000	0.000000	0.000000	0.000000	645	350000	0.795000	0.745000	542	4422	9999-12-31	2013-05-08
6507/5-5	1.000000	3561.000000	3706.000000	25.000000	7.400000	0.000000	0.000000	940	164256	0.855000	0.735000	176	4428	9999-12-31	2013-05-08
6305/4-1	1.000000	2770.000000	2797.000000	31.700000	0.000000	15.300000	0.000000	145	1860000	0.000000	0.000000	12827	4441	9999-12-31	2013-05-08
6405/7-1	1.000000	2758.000000	2812.000000	12.700000	0.000000	0.000000	0.000000	40	7000	0.000000	0.000000	175	4749	9999-12-31	2013-05-08
6406/9-1	1.000000	4964.000000	5004.000000	22.000000	0.000000	0.000000	23.000000	0	1410000	0.000000	0.000000	0	4927	9999-12-31	2013-05-08
6406/9-1	2.000000	4619.000000	4634.000000	19.000000	0.000000	0.000000	28.000000	0	1440000	0.000000	0.000000	0	4927	9999-12-31	2013-05-08
6605/8-1	1.000000	4184.000000	4211.000000	25.400000	0.000000	0.000000	0.000000	2	100000	0.000000	0.000000	230000	4984	9999-12-31	2013-05-08
15/3-8	1.000000	4141.000000	4183.000000	12.700000	3.500000	0.000000	7.000000	733	0	0.000000	0.000000	473	5175	9999-12-31	2013-05-08
15/3-8	2.000000	4073.000000	4087.000000	11.000000	4.000000	0.000000	7.500000	670	0	0.000000	0.000000	500	5175	9999-12-31	2013-05-08
15/12-16 S	1.000000	2850.000000	2884.000000	28.600000	0.000000	0.000000	0.000000	332	1190000	0.000000	0.692000	3600	5271	9999-12-31	2013-05-08
1/3-10	1.000000	3158.000000	3288.000000	19.000000	9.000000	0.000000	38.000000	457	212453	0.791000	0.855000	465	5614	9999-12-31	2013-05-08
34/12-1	1.000000	4321.000000	4356.000000	15.900000	0.000000	0.000000	0.000000	33	216000	0.780000	0.000000	6600	5684	9999-12-31	2013-05-08
15/12-19	1.000000	3088.000000	3102.000000	11.000000	0.000000	0.000000	0.000000	318	29450	0.000000	0.680000	93	5705	9999-12-31	2013-05-08
15/12-19	2.000000	3036.000000	3102.000000	17.500000	0.000000	0.000000	0.000000	657	156621	0.000000	0.680000	239	5705	9999-12-31	2013-05-08
15/12-19	3.000000	3023.000000	3102.000000	22.000000	0.000000	0.000000	0.000000	396	831297	0.000000	0.680000	2102	5705	9999-12-31	2013-05-08
34/3-1 S	1.000000	3866.000000	3950.000000	9.500000	0.000000	0.000000	0.000000	1239	42789	0.798000	0.795000	35	5811	9999-12-31	2013-05-08
16/1-10	1.000000	1920.000000	1958.000000	25.400000	0.000000	16.200000	0.000000	2	0	0.000000	0.000000	0	5879	9999-12-31	2013-05-08
16/1-10	2.000000	1897.000000	1910.000000	12.700000	6.000000	17.000000	0.000000	338	35500	0.000000	0.000000	105	5879	9999-12-31	2013-05-08
6506/9-1	1.000000	5431.000000	5515.000000	6.300000	27.000000	0.000000	40.000000	0	180000	0.000000	0.000000	0	5980	9999-12-31	2013-05-08
16/2-5	1.000000	1885.000000	1902.000000	23.800000	0.000000	19.000000	0.000000	0	120000	0.000000	0.000000	0	6042	9999-12-31	2013-05-08
15/12-21	1.000000	3099.000000	3158.000000	8.000000	3.000000	0.000000	27.000000	161	3847	0.000000	0.000000	24	6047	2012-07-21	2013-05-08
15/12-21	2.000000	3030.000000	3059.000000	8.000000	1.600000	0.000000	26.000000	90	3003	0.000000	0.000000	33	6047	2012-07-21	2013-05-08
35/2-2	1.000000	581.000000	600.000000	48.000000	3.800000	0.000000	5.300000	0	1200000	0.000000	0.000000	0	6084	9999-12-31	2013-05-08
16/1-11	1.000000	0.000000	0.000000	24.000000	0.000000	0.000000	0.000000	525	0	0.000000	0.000000	0	6157	2012-07-21	2013-05-08
17/12-4 A	1.000000	2694.000000	2760.000000	12.500000	24.000000	0.000000	16.000000	400	11500	0.000000	0.000000	0	6178	2012-07-21	2013-05-08
16/1-8 R	1.000000	1945.000000	1959.000000	7.900000	0.000000	11.300000	0.000000	74	6400	0.000000	0.000000	87	6226	9999-12-31	2013-05-08
16/1-8 R	2.000000	1926.000000	1936.000000	15.900000	0.000000	18.000000	0.000000	564	53000	0.000000	0.000000	94	6226	9999-12-31	2013-05-08
15/12-23	1.000000	3181.000000	3233.000000	6.300000	0.000000	0.000000	0.000000	84	4159	0.000000	0.000000	50	6327	9999-12-31	2013-05-08
6507/7-14 S	1.000000	4219.000000	4289.000000	14.300000	44.000000	0.000000	0.000000	0	1200000	0.000000	0.647000	22600	6367	9999-12-31	2013-05-08
16/2-6	1.000000	1932.000000	1938.000000	20.600000	0.000000	0.000000	0.000000	780	0	0.000000	0.000000	0	6374	9999-12-31	2013-05-08
34/4-13 S	1.000000	4803.000000	4815.000000	13.600000	0.000000	73.800000	74.900000	1400	0	0.000000	0.000000	0	6442	9999-12-31	2013-05-08
16/1-15	1.000000	1926.000000	1960.000000	15.800000	0.000000	0.000000	0.000000	105	0	0.000000	0.000000	0	6517	9999-12-31	2013-05-08
16/1-15	2.000000	1917.000000	1920.000000	15.800000	0.000000	0.000000	0.000000	620	0	0.000000	0.000000	0	6517	9999-12-31	2013-05-08
15/6-11 A	1.000000	4148.000000	4180.000000	12.700000	0.000000	0.000000	22.000000	120	220000	0.000000	0.000000	0	6526	9999-12-31	2013-05-08
\.



COPY wellbore_exploration_all (wlbwellborename, wlbwell, wlbdrillingoperator, wlbdrillingoperatorgroup, wlbproductionlicence, wlbpurpose, wlbstatus, wlbcontent, wlbwelltype, wlbentrydate, wlbcompletiondate, wlbfield, wlbdrillpermit, wlbdiscovery, wlbdiscoverywellbore, wlbbottomholetemperature, wlbseismiclocation, wlbmaxinclation, wlbkellybushelevation, wlbfinalverticaldepth, wlbtotaldepth, wlbwaterdepth, wlbageattd, wlbformationattd, wlbmainarea, wlbdrillingfacility, wlbfacilitytypedrilling, wlblicensingactivity, wlbmultilateral, wlbpurposeplanned, wlbentryyear, wlbcompletionyear, wlbreclassfromwellbore, wlbreentryexplorationactivity, wlbplotsymbol, wlbformationwithhc1, wlbagewithhc1, wlbformationwithhc2, wlbagewithhc2, wlbformationwithhc3, wlbagewithhc3, wlbdrillingdays, wlbreentry, wlbgeodeticdatum, wlbnsdeg, wlbnsmin, wlbnssec, wlbnscode, wlbewdeg, wlbewmin, wlbewsec, wlbewcode, wlbnsdecdeg, wlbewdesdeg, wlbnsutm, wlbewutm, wlbutmzone, wlbnamepart1, wlbnamepart2, wlbnamepart3, wlbnamepart4, wlbnamepart5, wlbnamepart6, wlbpressreleaseurl, wlbfactpageurl, wlbfactmapurl, wlbdiskoswellboretype, wlbdiskoswellboreparent, wlbwdssqcdate, wlbnpdidwellbore, dscnpdiddiscovery, fldnpdidfield, fclnpdidfacilitydrilling, wlbnpdidwellborereclass, prlnpdidproductionlicence, wlbdiskoswelloperator, wlbdateupdated, wlbdateupdatedmax, datesyncnpd) FROM stdin;
1/3-4	1/3-4	Elf Petroleum Norge AS	ELF	065	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1983-02-15	1983-05-08	\N	361-L	\N	NO	144	8186 - 208 AND 8186 - 421 crossing of lines	0.00	25.000000	3198.00	3198.000000	72.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	6	NO	WILDCAT	1983	1983	\N	\N	12	\N	\N	\N	\N	\N	\N	83	NO	ED50	56	56	39.21	N	2	43	0.23	E	56.944225	2.716731	6311354.320000	482765.430000	31	1	3	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2	http://www.npd.no/FactMapSearch?NPDID_wellbore=2	initial	\N	2010-04-30	2	\N	\N	297514	0	21316	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/2-3	2/2-3	Saga Petroleum ASA	SAGA	066	WILDCAT	P&A	DRY	EXPLORATION	1983-02-04	1983-05-11	\N	362-L	\N	NO	138	SG 8252 - 258  SP 301	8.00	27.000000	4096.00	4100.000000	65.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	6	NO	WILDCAT	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	97	NO	ED50	56	47	36.42	N	3	25	38.14	E	56.793450	3.427261	6294616.140000	526100.020000	31	2	2	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3	http://www.npd.no/FactMapSearch?NPDID_wellbore=3	initial	\N	2004-09-24	3	\N	\N	296326	0	21324	SAGA	2012-07-25	2012-07-25	2013-05-08
30/6-12	30/6-12	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	JUNKED	DRY	EXPLORATION	1983-02-20	1983-03-09	OSEBERG	363-L	30/6-1 OSEBERG	NO	0	36 M SW OF SP 490 ON LINE 703 127	0.50	25.000000	615.00	615.000000	104.000000	PLIOCENE	NORDLAND GP	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	4	NO	APPRAISAL	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	18	NO	ED50	60	33	15.59	N	2	49	23.31	E	60.554331	2.823142	6713319.530000	490300.270000	31	30	6	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4	http://www.npd.no/FactMapSearch?NPDID_wellbore=4	initial	\N	2007-12-19	4	44396	43625	287956	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-17	34/10-17	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	P&A	OIL/GAS	EXPLORATION	1983-02-22	1983-07-08	GULLFAKS SØR	364-L	34/10-17 RIMFAKS	YES	120	8213 - 177  SP 158	10.00	25.000000	3460.00	3466.000000	135.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1983	1983	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	137	NO	ED50	61	3	58.93	N	2	0	50.78	E	61.066369	2.014106	6770741.250000	446787.090000	31	34	10	\N	17	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5	http://www.npd.no/FactMapSearch?NPDID_wellbore=5	initial	\N	2011-09-30	5	44600	43699	287983	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-11	31/2-11	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1983-03-17	1983-05-25	TROLL	365-L	31/2-1 TROLL VEST	NO	76	79 - 406  SP 778	1.25	25.000000	1744.00	1744.000000	336.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	APPRAISAL	1983	1983	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	70	NO	ED50	60	49	27.76	N	3	25	30.16	E	60.824378	3.425044	6743460.350000	523116.740000	31	31	2	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6	http://www.npd.no/FactMapSearch?NPDID_wellbore=6	initial	\N	2007-12-19	6	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
30/6-13	30/6-13	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1983-03-11	1983-05-14	OSEBERG	366-L	30/6-1 OSEBERG	NO	107	36 M SW OF SP 490 ON LINE 703 127	1.75	25.000000	2775.00	2775.000000	105.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	4	NO	APPRAISAL	1983	1983	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	65	NO	ED50	60	33	14.59	N	2	49	21.76	E	60.554053	2.822711	6713288.650000	490276.570000	31	30	6	\N	13	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7	http://www.npd.no/FactMapSearch?NPDID_wellbore=7	initial	\N	2007-12-19	7	44396	43625	287956	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7120/12-3	7120/12-3	Norsk Hydro Produksjon AS	HYDRO	061	WILDCAT	P&A	GAS	EXPLORATION	1983-03-16	1983-05-05	\N	367-L	7120/12-3	YES	118	513-350 SP 1545 AND 573-110 SP 1624	3.10	23.000000	2522.00	2523.000000	185.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	TREASURE SCOUT	SEMISUB STEEL	5	NO	WILDCAT	1983	1983	\N	\N	9	STØ FM	MIDDLE JURASSIC	\N	\N	\N	\N	51	NO	ED50	71	11	43.31	N	20	46	43.70	E	71.195364	20.778806	7899413.560000	492041.760000	34	7120	12	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=8	http://www.npd.no/FactMapSearch?NPDID_wellbore=8	initial	\N	2005-02-11	8	45008	\N	287848	0	21284	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7120/8-3	7120/8-3	Den norske stats oljeselskap a.s	STATOIL	064	APPRAISAL	P&A	SHOWS	EXPLORATION	1983-04-07	1983-05-24	SNØHVIT	368-L	7120/8-1 ASKELADD	NO	58	513 - 138  SP 590	1.90	22.000000	2325.00	2335.000000	280.500000	EARLY JURASSIC	NORDMELA FM	BARENTS SEA	WEST VANGUARD	SEMISUB STEEL	5	NO	APPRAISAL	1983	1983	\N	\N	12	\N	\N	\N	\N	\N	\N	48	NO	ED50	71	27	48.77	N	20	36	9.47	E	71.463547	20.602631	7929358.330000	485899.850000	34	7120	8	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=9	http://www.npd.no/FactMapSearch?NPDID_wellbore=9	initial	\N	2004-06-29	9	45026	2053062	287902	0	21308	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-3	30/3-3	Den norske stats oljeselskap a.s	STATOIL	052	WILDCAT	P&A	DRY	EXPLORATION	1983-04-01	1983-05-30	\N	369-L	\N	NO	\N	ST 8006 - 151  SP 136	\N	22.000000	\N	3419.000000	186.000000	EARLY JURASSIC	\N	NORTH SEA	ROSS ISLE	SEMISUB STEEL	4	NO	WILDCAT	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	60	NO	ED50	60	46	11.44	N	2	57	5.58	E	60.769844	2.951550	6737312.210000	497360.470000	31	30	3	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=10	http://www.npd.no/FactMapSearch?NPDID_wellbore=10	initial	\N	9999-12-31	10	\N	\N	296245	0	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-2	30/9-2	Norsk Hydro Produksjon AS	HYDRO	079	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1983-04-01	1983-07-12	OSEBERG	370-L	30/6-9	NO	107	ST 8006 - 117  SP 1505	12.00	25.000000	2830.00	2830.000000	105.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	NORTRYM	SEMISUB STEEL	Awarded additionaly to round 6	NO	WILDCAT	1983	1983	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	103	NO	ED50	60	27	53.00	N	2	49	13.03	E	60.464722	2.820286	6703339.300000	490116.410000	31	30	9	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=11	http://www.npd.no/FactMapSearch?NPDID_wellbore=11	initial	\N	2003-05-28	11	2770154	43625	288010	944	34635	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6610/7-1	6610/7-1	Den norske stats oljeselskap a.s	STATOIL	084	WILDCAT	P&A	SHOWS	EXPLORATION	1983-04-18	1983-06-19	\N	371-L	\N	NO	100	NH 81 - 02 - 431  SP 2439	3.45	25.000000	3332.00	3333.000000	265.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	NORDRAUG	SEMISUB STEEL	7	NO	WILDCAT	1983	1983	\N	\N	12	\N	\N	\N	\N	\N	\N	63	NO	ED50	66	17	32.82	N	10	16	52.92	E	66.292450	10.281367	7353283.540000	557489.790000	32	6610	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=12	http://www.npd.no/FactMapSearch?NPDID_wellbore=12	initial	\N	2005-06-25	12	\N	\N	298081	0	21468	STATOIL	2012-07-25	2012-09-26	2013-05-08
7117/9-2	7117/9-2	Norsk Hydro Produksjon AS	HYDRO	063	WILDCAT	P&A	DRY	EXPLORATION	1983-05-07	1983-09-09	\N	372-L	\N	NO	173	X LINE 8103-819 SP:205+8103-610 SP:403	7.70	23.000000	4991.00	5000.000000	271.000000	EARLY CRETACEOUS	KOLMULE FM	BARENTS SEA	TREASURE SCOUT	SEMISUB STEEL	5	NO	WILDCAT	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	126	NO	ED50	71	25	44.75	N	17	53	32.45	E	71.429097	17.892347	7927929.190000	602781.040000	33	7117	9	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=13	http://www.npd.no/FactMapSearch?NPDID_wellbore=13	initial	\N	2004-12-17	13	\N	\N	287848	0	21300	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-12	31/2-12	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1983-05-26	1983-09-08	TROLL	373-L	31/2-1 TROLL VEST	NO	71	82 - 41081  SP 956	2.00	25.000000	1615.00	1615.000000	334.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	APPRAISAL	1983	1983	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC	\N	\N	76	NO	ED50	60	50	5.40	N	3	30	48.47	E	60.834833	3.513464	6744659.320000	527916.410000	31	31	2	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=14	http://www.npd.no/FactMapSearch?NPDID_wellbore=14	initial	\N	2007-12-19	14	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6609/11-1	6609/11-1	Norsk Hydro Produksjon AS	HYDRO	083	WILDCAT	P&A	DRY	EXPLORATION	1983-05-19	1983-07-07	\N	374-L	\N	NO	90	NH 8102 - 415  SP 4335	5.80	25.000000	3067.00	3068.000000	238.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	TREASURE SEEKER	SEMISUB STEEL	7	NO	WILDCAT	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	50	NO	ED50	66	8	13.90	N	9	33	47.89	E	66.137194	9.563303	7335502.710000	525429.990000	32	6609	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=15	http://www.npd.no/FactMapSearch?NPDID_wellbore=15	initial	\N	2005-06-15	15	\N	\N	287956	0	21460	HYDRO PRODUKSJON	2012-07-25	2012-10-26	2013-05-08
6407/2-2	6407/2-2	Saga Petroleum ASA	SAGA	074	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1983-05-17	1983-07-31	ÅSGARD	375-L	6507/11-1 MIDGARD	NO	112	line 8271-101 SP 474	2.00	26.000000	3351.00	3351.000000	258.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	TREASURE SAGA	SEMISUB STEEL	5	NO	WILDCAT	1983	1983	\N	\N	17	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	76	NO	ED50	64	59	39.64	N	7	31	53.08	E	64.994344	7.531411	7208809.080000	430732.950000	32	6407	2	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=16	http://www.npd.no/FactMapSearch?NPDID_wellbore=16	initial	\N	2005-12-13	16	44912	43765	296326	0	21388	SAGA	2013-03-08	2013-03-08	2013-05-08
7119/12-3	7119/12-3	Den norske stats oljeselskap a.s	STATOIL	060	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1983-05-20	1983-09-12	\N	376-L	7119/12-3	YES	136	738 - 232  SP 676	7.00	29.000000	3308.00	3314.000000	211.000000	EARLY JURASSIC	NORDMELA FM	BARENTS SEA	DYVI DELTA	SEMISUB STEEL	5	NO	WILDCAT	1983	1983	\N	\N	17	STØ FM	JURASSIC	\N	\N	\N	\N	116	NO	ED50	71	14	20.18	N	19	44	37.92	E	71.238939	19.743867	7904727.310000	454909.860000	34	7119	12	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=17	http://www.npd.no/FactMapSearch?NPDID_wellbore=17	initial	\N	2005-02-11	17	44996	\N	287821	0	21276	STATOIL	2012-07-25	2012-07-25	2013-05-08
7120/7-2	7120/7-2	Den norske stats oljeselskap a.s	STATOIL	077	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1983-05-26	1983-08-21	SNØHVIT	377-L	7120/7-2 ASKELADD SENTRAL	YES	97	513 - 123  SP 996	5.00	22.000000	2522.00	2523.000000	241.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	WEST VANGUARD	SEMISUB STEEL	5	NO	WILDCAT	1983	1983	\N	\N	17	STØ FM	JURASSIC	\N	\N	\N	\N	88	NO	ED50	71	19	11.49	N	20	19	44.31	E	71.319858	20.328975	7913417.990000	476011.920000	34	7120	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=18	http://www.npd.no/FactMapSearch?NPDID_wellbore=18	initial	\N	2005-02-11	18	45020	2053062	287902	0	21412	STATOIL	2012-07-25	2013-02-19	2013-05-08
6609/7-1	6609/7-1	Phillips Petroleum Company Norway	PHILLIPS	081	WILDCAT	P&A	DRY	EXPLORATION	1983-06-21	1983-08-03	\N	378-L	\N	NO	0	NH 81 - 02 - 419  SP 500	0.00	25.000000	1969.00	1969.000000	250.000000	PRE-DEVONIAN	BASEMENT	NORWEGIAN SEA	NORDRAUG	SEMISUB STEEL	7	NO	WILDCAT	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	44	NO	ED50	66	24	56.49	N	9	1	14.91	E	66.415692	9.020808	7366433.200000	500929.070000	32	6609	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=19	http://www.npd.no/FactMapSearch?NPDID_wellbore=19	initial	\N	2005-06-16	19	\N	\N	298081	0	21444	PHILLIPS	2012-09-25	2012-09-25	2013-05-08
31/3-1	31/3-1	Den norske stats oljeselskap a.s	STATOIL	085	APPRAISAL	P&A	GAS	EXPLORATION	1983-07-17	1983-10-13	TROLL	379-L	31/6-1 TROLL ØST	NO	73	ST 8116 - 138  SP 481	2.15	23.000000	2374.00	2374.000000	334.000000	TRIASSIC	HEGRE GP	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 7	NO	WILDCAT	1983	1983	\N	\N	9	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC	\N	\N	88	NO	ED50	60	46	47.86	N	3	44	3.40	E	60.779961	3.734278	6738661.730000	539989.880000	31	31	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=20	http://www.npd.no/FactMapSearch?NPDID_wellbore=20	initial	\N	2006-02-15	20	44552	46437	287983	0	21476	STATOIL	2012-07-25	2012-07-25	2013-05-08
7119/7-1	7119/7-1	Norsk Hydro Produksjon AS	HYDRO	076	WILDCAT	P&A	DRY	EXPLORATION	1983-07-12	1983-09-11	\N	380-L	\N	NO	130	NH 8205 - 412 SP: 466	19.00	25.000000	3134.00	3167.000000	238.000000	PERMIAN	UNDEFINED GP	BARENTS SEA	TREASURE SEEKER	SEMISUB STEEL	5	NO	WILDCAT	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	62	NO	ED50	71	23	42.40	N	19	15	18.43	E	71.395111	19.255119	7922575.250000	437872.000000	34	7119	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=21	http://www.npd.no/FactMapSearch?NPDID_wellbore=21	initial	\N	2005-01-04	21	\N	\N	287956	0	21404	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/6-1	31/6-1	Norsk Hydro Produksjon AS	HYDRO	085	WILDCAT	P&A	OIL/GAS	EXPLORATION	1983-07-15	1983-10-28	TROLL	381-L	31/6-1 TROLL ØST	YES	132	ST 8007 - 123  SP 1175	6.25	25.000000	4070.00	4070.000000	302.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	NORTRYM	SEMISUB STEEL	Awarded additionaly to round 7	NO	WILDCAT	1983	1983	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC	\N	\N	106	NO	ED50	60	38	44.89	N	3	40	52.28	E	60.645803	3.681189	6723687.940000	537253.600000	31	31	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=22	http://www.npd.no/FactMapSearch?NPDID_wellbore=22	initial	\N	2006-02-15	22	44552	46437	288010	0	21476	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-18	34/10-18	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	P&A	SHOWS	EXPLORATION	1983-07-16	1983-08-30	\N	382-L	\N	NO	90	ST 8214 - 402  SP 190	5.70	22.000000	3024.00	3025.000000	141.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1983	1983	\N	\N	12	\N	\N	\N	\N	\N	\N	46	NO	ED50	61	14	22.48	N	2	3	18.83	E	61.239578	2.055231	6790001.130000	449285.340000	31	34	10	\N	18	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=23	http://www.npd.no/FactMapSearch?NPDID_wellbore=23	initial	\N	2011-09-30	23	\N	\N	296245	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
6609/10-1	6609/10-1	Saga Petroleum ASA	SAGA	082	WILDCAT	P&A	DRY	EXPLORATION	1983-08-02	1983-08-29	\N	383-L	\N	NO	64	8102-415 SP 3593 &  8102-208 SP 6340	2.25	26.000000	2167.00	2167.000000	262.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	TREASURE SAGA	SEMISUB STEEL	7	NO	WILDCAT	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	28	NO	ED50	66	14	42.27	N	9	14	59.50	E	66.245075	9.249861	7347436.330000	511231.960000	32	6609	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=24	http://www.npd.no/FactMapSearch?NPDID_wellbore=24	initial	\N	2005-06-30	24	\N	\N	296326	0	21452	SAGA	2012-07-25	2012-07-25	2013-05-08
2/5-7	2/5-7	A/S Norske Shell	SHELL	067	WILDCAT	P&A	OIL	EXPLORATION	1983-08-11	1984-02-24	\N	384-L	2/5-7	YES	157	82-408 SP 253 AND NS-19 SP 301	5.30	35.000000	4529.00	4531.000000	65.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	NEDDRILL TRIGON	JACK-UP 3 LEGS	6	NO	WILDCAT	1983	1984	\N	\N	5	TOR FM	LATE CRETACEOUS	\N	\N	\N	\N	198	NO	ED50	56	43	16.69	N	3	22	1.07	E	56.721303	3.366964	6286563.740000	522459.700000	31	2	5	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=25	http://www.npd.no/FactMapSearch?NPDID_wellbore=25	initial	\N	2007-04-02	25	44102	\N	296947	0	21332	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6610/7-2	6610/7-2	Den norske stats oljeselskap a.s	STATOIL	084	WILDCAT	P&A	DRY	EXPLORATION	1983-08-28	1984-03-14	\N	385-L	\N	NO	112	ST 8216 - 115  SP 541	5.20	22.000000	4213.00	4215.000000	235.000000	EARLY TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	WEST VANGUARD	SEMISUB STEEL	7	NO	WILDCAT	1983	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	200	NO	ED50	66	27	49.61	N	10	10	10.92	E	66.463781	10.169700	7372281.530000	552123.020000	32	6610	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=26	http://www.npd.no/FactMapSearch?NPDID_wellbore=26	initial	\N	2005-06-15	26	\N	\N	287902	0	21468	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/5-1	31/5-1	Saga Petroleum ASA	SAGA	085	APPRAISAL	JUNKED	DRY	EXPLORATION	1983-09-05	1983-09-30	TROLL	386-L	31/2-1 TROLL VEST	NO	31	8007-132 SP 887	2.00	26.000000	860.00	860.000000	316.000000	OLIGOCENE	HORDALAND GP	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	26	NO	ED50	60	43	33.17	N	3	32	57.01	E	60.725881	3.549169	6732539.550000	529959.160000	31	31	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=27	http://www.npd.no/FactMapSearch?NPDID_wellbore=27	initial	\N	2008-12-18	27	44534	46437	296326	0	21476	SAGA	2012-07-25	2012-07-25	2013-05-08
7/8-3	7/8-3	Conoco Norway Inc.	CONOCO	069	WILDCAT	P&A	OIL	EXPLORATION	1983-09-12	1983-12-12	\N	387-L	7/8-3	YES	172	NH CN 82 - 119  SP 667	0.00	25.000000	4320.00	4320.000000	81.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	6	NO	WILDCAT	1983	1983	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	92	NO	ED50	57	15	30.58	N	2	32	45.78	E	57.258494	2.546050	6346394.870000	472613.750000	31	7	8	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=28	http://www.npd.no/FactMapSearch?NPDID_wellbore=28	initial	\N	2006-10-19	28	44990	\N	288280	0	21348	CONOCO	2012-07-25	2012-07-25	2013-05-08
6407/1-3	6407/1-3	Den norske stats oljeselskap a.s	STATOIL	073	WILDCAT	P&A	OIL/GAS	EXPLORATION	1983-09-17	1984-01-16	TYRIHANS	388-L	6407/1-3 TYRIHANS NORD	YES	153	ST 8110 - 435  SP 140	4.20	29.000000	4467.00	4469.000000	286.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	5	NO	WILDCAT	1983	1984	\N	\N	13	FANGST GP	MIDDLE JURASSIC	\N	\N	\N	\N	122	NO	ED50	64	52	25.48	N	7	2	53.47	E	64.873744	7.048186	7195989.530000	407531.490000	32	6407	1	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=29	http://www.npd.no/FactMapSearch?NPDID_wellbore=29	initial	\N	2005-12-13	29	44858	3960848	287821	0	21380	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/11-8	7/11-8	Norsk Hydro Produksjon AS	HYDRO	070	WILDCAT	P&A	DRY	EXPLORATION	1983-09-22	1983-12-12	\N	389-L	\N	NO	148	NH CN 82 - 124 SP 377	0.00	23.000000	4750.00	4750.000000	79.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	6	NO	WILDCAT	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	82	NO	ED50	57	12	49.94	N	2	31	46.50	E	57.213872	2.529583	6341434.150000	471586.050000	31	7	11	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=30	http://www.npd.no/FactMapSearch?NPDID_wellbore=30	initial	\N	2006-10-19	30	\N	\N	287848	0	21356	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
29/9-1	29/9-1	Norsk Hydro Produksjon AS	HYDRO	040	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1983-09-23	1984-02-24	MARTIN LINGE	390-L	30/7-2	NO	147	CDP 239276  (NH 8101)	4.10	25.000000	4703.00	4703.000000	104.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	3	NO	APPRAISAL	1983	1984	\N	\N	13	FRIGG FM	EOCENE	BRENT GP	MIDDLE JURASSIC	\N	\N	155	NO	ED50	60	28	33.19	N	1	59	58.95	E	60.475886	1.999708	6704986.970000	445007.970000	31	29	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=31	http://www.npd.no/FactMapSearch?NPDID_wellbore=31	initial	\N	2010-08-01	31	44444	21675447	287956	0	21108	HYDRO PRODUKSJON	2013-05-01	2013-05-01	2013-05-08
31/5-2	31/5-2	Saga Petroleum ASA	SAGA	085	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1983-10-05	1983-11-11	TROLL	391-L	31/2-1 TROLL VEST	NO	87	ST 8007 - 132  SP 884	2.00	26.000000	2500.00	2500.000000	316.000000	TRIASSIC	HEGRE GP	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1983	1983	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	38	NO	ED50	60	43	33.29	N	3	32	52.74	E	60.725914	3.547983	6732542.720000	529894.430000	31	31	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=32	http://www.npd.no/FactMapSearch?NPDID_wellbore=32	initial	\N	2008-12-18	32	44534	46437	296326	0	21476	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-19	34/10-19	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	DRY	EXPLORATION	1983-10-05	1983-12-06	GULLFAKS	392-L	34/10-1 GULLFAKS	NO	\N	ST S3D - 206  SP 293	\N	22.000000	\N	2218.000000	193.000000	TRIASSIC	\N	NORTH SEA	ROSS ISLE	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	63	NO	ED50	61	11	10.86	N	2	15	30.55	E	61.186350	2.258486	6783931.440000	460128.360000	31	34	10	\N	19	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=33	http://www.npd.no/FactMapSearch?NPDID_wellbore=33	initial	\N	9999-12-31	33	44594	43686	296245	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-2	31/6-2	Den norske stats oljeselskap a.s	STATOIL	085	APPRAISAL	SUSP.REENTERED LATER	GAS	EXPLORATION	1983-10-18	1983-12-11	TROLL	393-L	31/6-1 TROLL ØST	NO	65	ST 8007 - 351  SP 1647	1.00	23.000000	2020.00	2020.000000	303.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1983	1983	\N	\N	9	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	55	NO	ED50	60	34	58.24	N	3	54	55.76	E	60.582844	3.915489	6716831.540000	550164.400000	31	31	6	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=34	http://www.npd.no/FactMapSearch?NPDID_wellbore=34	initial	\N	2006-06-06	34	44552	46437	287983	0	21476	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-3	31/6-3	Norsk Hydro Produksjon AS	HYDRO	085	WILDCAT	P&A	DRY	EXPLORATION	1983-11-01	1983-12-26	\N	394-L	\N	NO	76	ST 8007 - 107  SP 1025	0.80	25.000000	2250.00	2250.000000	301.000000	TRIASSIC	HEGRE GP	NORTH SEA	NORTRYM	SEMISUB STEEL	Awarded additionaly to round 7	NO	WILDCAT	1983	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	56	NO	ED50	60	30	4.77	N	3	59	53.57	E	60.501325	3.998214	6707818.420000	554834.840000	31	31	6	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=35	http://www.npd.no/FactMapSearch?NPDID_wellbore=35	initial	\N	2004-06-29	35	\N	\N	288010	0	21476	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-18	15/9-18	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	P&A	SHOWS	EXPLORATION	1983-12-16	1984-03-02	\N	396-L	\N	NO	104	ST 8215 - 122  SP 636	2.15	23.000000	3621.00	3622.000000	97.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	3	NO	WILDCAT	1983	1984	\N	\N	12	\N	\N	\N	\N	\N	\N	78	NO	ED50	58	21	1.95	N	1	48	12.27	E	58.350542	1.803408	6468508.490000	429961.760000	31	15	9	\N	18	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=36	http://www.npd.no/FactMapSearch?NPDID_wellbore=36	initial	\N	2010-01-10	36	\N	\N	287983	0	21156	STATOIL	2012-07-25	2012-10-04	2013-05-08
34/4-5	34/4-5	Saga Petroleum ASA	SAGA	057	WILDCAT	P&A	OIL	EXPLORATION	1983-11-13	1984-04-06	\N	395-L	34/4-5	YES	140	SG 8320 - 442  SP 188	8.10	26.000000	3910.00	3917.000000	379.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	4	NO	WILDCAT	1983	1984	\N	\N	5	COOK FM	EARLY JURASSIC	STATFJORD FM	EARLY JURASSIC	\N	\N	146	NO	ED50	61	41	9.49	N	2	17	52.00	E	61.685969	2.297778	6839561.780000	462840.140000	31	34	4	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=37	http://www.npd.no/FactMapSearch?NPDID_wellbore=37	initial	\N	2004-05-18	37	44660	\N	296326	0	21252	SAGA	2012-07-25	2012-07-25	2013-05-08
15/6-6	15/6-6	Esso Exploration and Production Norway A/S	ESSO	029	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1982-04-01	1982-06-09	SLEIPNER VEST	308-L	15/6-3 SLEIPNER VEST	NO	122	ST 8010 - 118  SP 345	2.75	25.000000	3760.00	3760.000000	110.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	2-A	NO	APPRAISAL	1982	1982	\N	\N	17	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	70	NO	ED50	58	31	14.57	N	1	44	53.78	E	58.520714	1.748272	6487513.040000	427087.520000	31	15	6	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=38	http://www.npd.no/FactMapSearch?NPDID_wellbore=38	initial	\N	2007-12-19	38	43910	43457	288091	0	21020	ESSO	2013-01-22	2013-01-22	2013-05-08
30/6-6	30/6-6	Den norske stats oljeselskap a.s	STATOIL	053	APPRAISAL	P&A	DRY	EXPLORATION	1982-01-09	1982-03-24	OSEBERG	311-L	30/6-1 OSEBERG	NO	\N	8006 - 203  SP 280	\N	25.000000	\N	3220.000000	113.000000	EARLY JURASSIC	\N	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	4	NO	APPRAISAL	1982	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	75	NO	ED50	60	36	43.43	N	2	49	54.11	E	60.612064	2.831697	6719748.760000	490785.950000	31	30	6	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=39	http://www.npd.no/FactMapSearch?NPDID_wellbore=39	initial	\N	9999-12-31	39	44396	43625	289090	0	21220	STATOIL	2012-07-25	2012-07-25	2013-05-08
16/7-2	16/7-2	Esso Exploration and Production Norway A/S	ESSO	072	WILDCAT	P&A	GAS	EXPLORATION	1982-01-11	1982-03-30	\N	314-L	16/7-2	YES	97	NH 8008 - 016  SP 1040	2.75	25.000000	3146.00	3146.000000	83.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	6	NO	WILDCAT	1982	1982	\N	\N	9	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	79	NO	ED50	58	28	26.50	N	2	2	3.12	E	58.474028	2.034200	6482040.150000	443667.120000	31	16	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=40	http://www.npd.no/FactMapSearch?NPDID_wellbore=40	initial	\N	2006-12-14	40	43952	\N	288091	0	21372	ESSO	2012-07-25	2012-12-21	2013-05-08
34/4-4	34/4-4	Saga Petroleum ASA	SAGA	057	APPRAISAL	P&A	OIL	EXPLORATION	1982-09-11	1983-02-03	SNORRE	315-L	34/4-1 SNORRE	NO	122	SG 8020 - 201  SP 2295	0.00	25.000000	3800.00	3800.000000	345.000000	MIDDLE TRIASSIC	TEIST FM (INFORMAL)	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	4	NO	WILDCAT	1982	1983	\N	\N	5	LUNDE FM	LATE TRIASSIC	\N	\N	\N	\N	146	NO	ED50	61	30	20.85	N	2	14	9.54	E	61.505792	2.235983	6819527.920000	459334.800000	31	34	4	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=41	http://www.npd.no/FactMapSearch?NPDID_wellbore=41	initial	\N	2012-12-21	41	44654	43718	297514	0	21252	SAGA	2013-02-14	2013-02-14	2013-05-08
7/11-5	7/11-5	Norsk Hydro Produksjon AS	HYDRO	070	WILDCAT	P&A	OIL	EXPLORATION	1982-02-09	1982-06-10	MIME	316-L	7/11-5 MIME	YES	169	603 221  SP 320	4.75	25.000000	4478.00	4478.000000	80.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	6	NO	WILDCAT	1982	1982	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	122	NO	ED50	57	8	6.39	N	2	29	53.53	E	57.135108	2.498203	6332679.580000	469626.100000	31	7	11	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=42	http://www.npd.no/FactMapSearch?NPDID_wellbore=42	initial	\N	2006-10-19	42	44966	43792	287956	0	21356	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-6	31/4-6	Norsk Hydro Produksjon AS	HYDRO	055	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1982-02-28	1982-04-20	BRAGE	317-L	31/4-3 BRAGE	NO	\N	954 443  SP 190	\N	25.000000	\N	2447.000000	130.000000	EARLY JURASSIC	\N	NORTH SEA	NORTRYM	SEMISUB STEEL	4	NO	APPRAISAL	1982	1982	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	52	NO	ED50	60	31	17.09	N	3	1	59.84	E	60.521414	3.033289	6709640.640000	501827.570000	31	31	4	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=43	http://www.npd.no/FactMapSearch?NPDID_wellbore=43	initial	\N	9999-12-31	43	44546	43651	288010	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
1/9-6 S	1/9-6	Den norske stats oljeselskap a.s	STATOIL	044	APPRAISAL	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	1982-03-21	1982-12-01	TOMMELITEN GAMMA	318-L	1/9-4 TOMMELITEN GAMMA	NO	135	ST 404-410.shot point 100	32.50	26.000000	3529.00	3880.000000	76.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	SEDCO 703	SEMISUB STEEL	3	NO	APPRAISAL	1982	1982	\N	\N	17	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	256	NO	ED50	56	29	3.85	N	2	56	0.14	E	56.484403	2.933372	6260135.610000	495896.490000	31	1	9	\N	6	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=44	http://www.npd.no/FactMapSearch?NPDID_wellbore=44	initial	\N	2012-10-10	44	43856	43444	288793	0	21140	STATOIL	2012-10-12	2012-10-12	2013-05-08
15/9-13	15/9-13	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1982-03-21	1982-05-27	SLEIPNER ØST	319-L	15/9-9 SLEIPNER ØST	NO	\N	610 - 160  SP 110	\N	25.000000	\N	3282.000000	81.000000	LATE PERMIAN	\N	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	APPRAISAL	1982	1982	\N	\N	17	\N	PALEOCENE	\N	MIDDLE JURASSIC	\N	\N	68	NO	ED50	58	22	25.96	N	1	56	2.86	E	58.373878	1.934128	6470978.020000	437653.700000	31	15	9	\N	13	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=45	http://www.npd.no/FactMapSearch?NPDID_wellbore=45	initial	\N	9999-12-31	45	43946	43478	294382	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/2-1	2/2-1	Saga Petroleum ASA	SAGA	066	WILDCAT	P&A	OIL/GAS	EXPLORATION	1982-04-09	1982-07-03	\N	320-L	2/2-1	YES	146	SG 8052 - 210  SP 165	3.25	25.000000	4002.00	4003.000000	59.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	6	NO	WILDCAT	1982	1982	\N	\N	13	VADE FM	OLIGOCENE	ULA FM	LATE JURASSIC	\N	\N	86	NO	ED50	56	47	15.69	N	3	38	15.62	E	56.787692	3.637672	6294075.100000	538959.150000	31	2	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=46	http://www.npd.no/FactMapSearch?NPDID_wellbore=46	initial	\N	2004-06-29	46	44024	\N	297514	0	21324	SAGA	2012-07-25	2012-07-25	2013-05-08
25/2-7	25/2-7	Elf Petroleum Norge AS	ELF	026	WILDCAT	P&A	SHOWS	EXPLORATION	1982-04-01	1982-07-12	\N	321-L	\N	NO	133	881 105  SP 315	0.00	25.000000	4110.00	4110.000000	117.000000	EARLY JURASSIC	DUNLIN GP	NORTH SEA	BORGSTEN DOLPHIN	SEMISUB STEEL	2-A	NO	WILDCAT	1982	1982	\N	\N	12	\N	\N	\N	\N	\N	\N	103	NO	ED50	59	54	20.41	N	2	38	25.87	E	59.905669	2.640519	6641115.530000	479891.010000	31	25	2	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=47	http://www.npd.no/FactMapSearch?NPDID_wellbore=47	initial	\N	2004-12-01	47	\N	\N	288334	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/1-4	2/1-4	BP Petroleum Dev. of Norway AS	BP	019 B	APPRAISAL	P&A	OIL	EXPLORATION	1982-04-05	1982-08-03	GYDA	322-L	2/1-3 GYDA	NO	168	BP 80 - 019 - 31A  SP 1353	7.30	25.000000	4522.00	4525.000000	66.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ALADDIN	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	APPRAISAL	1982	1982	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	121	NO	ED50	56	54	40.59	N	3	4	0.86	E	56.911275	3.066906	6307652.660000	504074.240000	31	2	1	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=48	http://www.npd.no/FactMapSearch?NPDID_wellbore=48	initial	\N	2011-03-12	48	44012	43492	289171	0	20924	BPAS	2013-05-01	2013-05-01	2013-05-08
7117/9-1	7117/9-1	Norsk Hydro Produksjon AS	HYDRO	063	WILDCAT	P&A	DRY	EXPLORATION	1982-04-20	1982-07-16	\N	323-L	\N	NO	112	79409  SP 128	7.50	23.000000	3196.00	3200.000000	261.000000	EARLY CRETACEOUS	KOLMULE FM	BARENTS SEA	TREASURE SCOUT	SEMISUB STEEL	5	NO	WILDCAT	1982	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	88	NO	ED50	71	22	51.05	N	17	56	5.76	E	71.380847	17.934933	7922625.970000	604554.550000	33	7117	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=49	http://www.npd.no/FactMapSearch?NPDID_wellbore=49	initial	\N	2004-12-17	49	\N	\N	287848	0	21300	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7120/8-2	7120/8-2	Den norske stats oljeselskap a.s	STATOIL	064	APPRAISAL	P&A	GAS	EXPLORATION	1982-04-15	1982-07-29	SNØHVIT	324-L	7120/8-1 ASKELADD	NO	91	513 - 125  SP 2270	1.50	25.000000	2590.00	2590.000000	245.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	NORDRAUG	SEMISUB STEEL	5	NO	WILDCAT	1982	1982	\N	\N	9	STØ FM	JURASSIC	\N	\N	\N	\N	106	NO	ED50	71	20	15.72	N	20	27	57.61	E	71.337700	20.466003	7915359.170000	480927.890000	34	7120	8	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=50	http://www.npd.no/FactMapSearch?NPDID_wellbore=50	initial	\N	2005-02-11	50	45026	2053062	298081	0	21308	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/11-2	6507/11-2	Saga Petroleum ASA	SAGA	062	WILDCAT	P&A	DRY	EXPLORATION	1982-04-18	1982-05-30	\N	325-L	\N	NO	88	SG 8158-401   x-over  713-477	1.50	33.000000	2905.00	2905.000000	243.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	WEST VENTURE OLD	SEMISUB STEEL	5	NO	WILDCAT	1982	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	43	NO	ED50	65	10	59.70	N	7	36	39.84	E	65.183250	7.611067	7229774.550000	434952.380000	32	6507	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=51	http://www.npd.no/FactMapSearch?NPDID_wellbore=51	initial	\N	2007-06-28	51	\N	\N	362494	0	21292	SAGA	2012-07-25	2012-07-25	2013-05-08
15/3-5	15/3-5	Elf Petroleum Norge AS	ELF	025	APPRAISAL	P&A	OIL	EXPLORATION	1983-12-28	1984-05-13	\N	397-L	15/3-4	NO	\N	EL 8206 - 418 A  SP 726	\N	25.000000	\N	4130.000000	103.000000	MIDDLE JURASSIC	\N	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	2-A	NO	WILDCAT	1983	1984	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	138	NO	ED50	58	47	13.04	N	1	50	34.11	E	58.786956	1.842808	6517057.340000	433105.220000	31	15	3	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=52	http://www.npd.no/FactMapSearch?NPDID_wellbore=52	initial	\N	9999-12-31	52	43886	\N	341331	0	34512	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
30/6-14	30/6-14	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	OIL	EXPLORATION	1983-12-17	1984-02-08	OSEBERG ØST	398-L	30/6-14	YES	\N	ST 8006 - 402  SP 202	\N	23.000000	\N	2900.000000	148.000000	EARLY JURASSIC	\N	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	4	NO	WILDCAT	1983	1984	\N	\N	5	\N	EARLY JURASSIC	\N	\N	\N	\N	54	NO	ED50	60	38	7.69	N	2	59	21.76	E	60.635469	2.989378	6722344.000000	499418.890000	31	30	6	\N	14	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=53	http://www.npd.no/FactMapSearch?NPDID_wellbore=53	initial	\N	9999-12-31	53	44402	43639	287848	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-3	30/9-3	Norsk Hydro Produksjon AS	HYDRO	079	WILDCAT	P&A	OIL	EXPLORATION	1983-12-31	1984-02-26	OSEBERG SØR	400-L	30/9-3 OSEBERG SØR	YES	57	NH 82 - 065  SP 377	0.00	25.000000	3113.00	3113.000000	110.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	NORTRYM	SEMISUB STEEL	Awarded additionaly to round 6	NO	WILDCAT	1983	1984	\N	\N	5	NESS FM	MIDDLE JURASSIC	\N	\N	\N	\N	58	NO	ED50	60	28	16.33	N	2	45	37.55	E	60.471203	2.760431	6704071.580000	486827.210000	31	30	9	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=55	http://www.npd.no/FactMapSearch?NPDID_wellbore=55	initial	\N	2011-10-03	55	44492	43645	288010	0	34635	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-10 A	30/6-10	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1982-12-02	1983-03-04	OSEBERG	360-L	30/6-1 OSEBERG	NO	\N	913 133  SP 615	\N	23.000000	\N	2665.000000	109.000000	EARLY JURASSIC	\N	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	4	NO	APPRAISAL	1982	1983	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	93	NO	ED50	60	36	29.53	N	2	46	24.74	E	60.608203	2.773539	6719328.260000	487600.490000	31	30	6	\N	10	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=56	http://www.npd.no/FactMapSearch?NPDID_wellbore=56	sidetrack	30/6-10	9999-12-31	56	44396	43625	287848	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7/11-7	7/11-7	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	SUSP.REENTERED LATER	OIL	EXPLORATION	1982-12-29	1983-12-25	\N	359-L	\N	YES	168	NH CN 82-124 SP 377	0.00	41.800000	4661.00	4927.000000	70.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	COD	JACKET 8 LEGS	1-A	NO	WILDCAT	1982	1983	\N	\N	5	FORTIES FM	PALEOCENE	ULA FM	LATE JURASSIC	\N	\N	362	NO	ED50	57	4	10.04	N	2	26	4.82	E	57.069456	2.434672	6325401.220000	465720.080000	31	7	11	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=57	http://www.npd.no/FactMapSearch?NPDID_wellbore=57	initial	\N	2006-02-15	57	\N	\N	271693	0	20900	PHILLIPS	2013-01-12	2013-01-12	2013-05-08
30/6-11	30/6-11	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	SHOWS	EXPLORATION	1982-12-20	1983-03-30	\N	358-L	\N	NO	\N	ST 703 146  SP 974	\N	25.000000	\N	4001.000000	121.000000	EARLY JURASSIC	\N	NORTH SEA	NORTRYM	SEMISUB STEEL	4	NO	WILDCAT	1982	1983	\N	\N	12	\N	\N	\N	\N	\N	\N	101	NO	ED50	60	43	28.95	N	2	44	42.00	E	60.724708	2.745000	6732310.740000	486088.240000	31	30	6	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=58	http://www.npd.no/FactMapSearch?NPDID_wellbore=58	initial	\N	9999-12-31	58	\N	\N	288010	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-16	34/10-16	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1982-12-14	1983-04-11	GULLFAKS SØR	357-L	34/10-2 GULLFAKS SØR	NO	126	8008 - 111  SP 240	15.00	25.000000	4027.00	4042.000000	138.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	NORDRAUG	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1982	1983	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	119	NO	ED50	61	5	35.62	N	2	10	46.66	E	61.093228	2.179628	6773609.610000	455758.160000	31	34	10	\N	16	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=59	http://www.npd.no/FactMapSearch?NPDID_wellbore=59	initial	\N	2011-10-03	59	44606	43699	298081	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-17	15/9-17	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1982-12-09	1983-03-30	SLEIPNER ØST	356-L	15/9-17 LOKE	YES	\N	610 - 168  SP 93	\N	22.000000	\N	3120.000000	86.000000	TRIASSIC	\N	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	3	NO	WILDCAT	1982	1983	\N	\N	17	\N	PALEOCENE	\N	TRIASSIC	\N	\N	112	NO	ED50	58	26	44.19	N	1	56	53.58	E	58.445608	1.948217	6478951.280000	438602.650000	31	15	9	\N	17	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=60	http://www.npd.no/FactMapSearch?NPDID_wellbore=60	initial	\N	9999-12-31	60	43928	43478	287902	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/1-2	6407/1-2	Den norske stats oljeselskap a.s	STATOIL	073	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1982-11-13	1983-05-15	TYRIHANS	355-L	6407/1-2 TYRIHANS SØR	YES	159	8110 - 427  SP 234	5.00	29.000000	4558.00	4560.000000	273.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	5	NO	WILDCAT	1982	1983	\N	\N	17	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	184	NO	ED50	64	47	50.61	N	7	2	23.76	E	64.797392	7.039933	7187495.230000	406877.130000	32	6407	1	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=61	http://www.npd.no/FactMapSearch?NPDID_wellbore=61	initial	\N	2005-12-13	61	44852	3960848	287821	0	21380	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/11-3	30/11-3	A/S Norske Shell	SHELL	035	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1982-11-17	1983-03-14	\N	354-L	\N	NO	\N	81205  SP 554	\N	25.000000	\N	4662.000000	112.000000	EARLY JURASSIC	\N	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	2-A	NO	WILDCAT	1982	1983	\N	\N	12	\N	\N	\N	\N	\N	\N	118	NO	ED50	60	2	38.59	N	2	32	15.47	E	60.044053	2.537631	6656563.030000	474243.250000	31	30	11	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=62	http://www.npd.no/FactMapSearch?NPDID_wellbore=62	initial	\N	9999-12-31	62	\N	\N	288280	0	21068	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/1-5	2/1-5	BP Norway Limited  U.A.	BP	019 B	WILDCAT	P&A	OIL	EXPLORATION	1982-11-13	1983-04-05	\N	353-L	\N	NO	157	BP 019 - 80 - 61A  SP 1367	9.00	24.000000	4454.00	4454.000000	66.000000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	SEDCO 707	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	WILDCAT	1982	1983	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	144	NO	ED50	56	47	54.06	N	3	12	21.39	E	56.798350	3.205942	6295099.080000	512578.710000	31	2	1	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=63	http://www.npd.no/FactMapSearch?NPDID_wellbore=63	initial	\N	2011-03-12	63	\N	\N	288037	0	20924	BP NORWAY LIMITED U.A.	2013-05-01	2013-05-01	2013-05-08
2/6-3	2/6-3	Elf Petroleum Norge AS	ELF	008	WILDCAT	P&A	DRY	EXPLORATION	1982-11-09	1983-02-25	\N	352-L	\N	NO	134	8180 223   SP 84.5   &  980 401  SP 267	0.00	25.000000	4060.00	4060.000000	71.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	1-A	NO	WILDCAT	1982	1983	\N	\N	1	\N	\N	\N	\N	\N	\N	109	NO	ED50	56	31	49.32	N	3	49	25.38	E	56.530367	3.823717	6265553.750000	550669.460000	31	2	6	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=64	http://www.npd.no/FactMapSearch?NPDID_wellbore=64	initial	\N	2009-03-09	64	\N	\N	341331	0	20820	ELF NORGE	2013-01-22	2013-01-22	2013-05-08
30/9-1	30/9-1	Norsk Hydro Produksjon AS	HYDRO	079	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1982-10-24	1983-01-29	OSEBERG	351-L	30/6-1 OSEBERG	NO	\N	705  118  SP 332	\N	25.000000	\N	2895.000000	105.000000	EARLY JURASSIC	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	Awarded additionaly to round 6	NO	WILDCAT	1982	1983	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	98	NO	ED50	60	28	25.09	N	2	52	45.38	E	60.473636	2.879272	6704324.730000	493362.240000	31	30	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=65	http://www.npd.no/FactMapSearch?NPDID_wellbore=65	initial	\N	9999-12-31	65	44396	43625	287956	0	34635	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/1-1	6407/1-1	Den norske stats oljeselskap a.s	STATOIL	073	WILDCAT	JUNKED	DRY	EXPLORATION	1982-10-19	1982-11-13	\N	350-L	\N	NO	27	8110 - 427  SP 234	1.00	29.000000	900.00	900.000000	273.000000	PLIOCENE	NAUST FM	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	5	NO	WILDCAT	1982	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	26	NO	ED50	64	47	51.66	N	7	2	21.62	E	64.797683	7.039339	7187528.600000	406849.900000	32	6407	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=66	http://www.npd.no/FactMapSearch?NPDID_wellbore=66	initial	\N	2006-12-15	66	\N	\N	287821	0	21380	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-15	34/10-15	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	P&A	DRY	EXPLORATION	1982-10-16	1982-12-12	\N	349-L	\N	NO	\N	3D - 223    SP 265	\N	25.000000	\N	2400.000000	164.000000	LATE TRIASSIC	\N	NORTH SEA	NORDRAUG	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1982	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	57	NO	ED50	61	10	30.06	N	2	14	44.57	E	61.175017	2.245714	6782676.910000	459427.040000	31	34	10	\N	15	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=67	http://www.npd.no/FactMapSearch?NPDID_wellbore=67	initial	\N	9999-12-31	67	\N	\N	298081	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/11-1	6507/11-1	Saga Petroleum ASA	SAGA	062	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1981-09-13	1981-12-10	ÅSGARD	301-L	6507/11-1 MIDGARD	YES	111	713 - 464   x-over  713 - 263	2.80	33.000000	3138.00	3139.000000	298.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	WEST VENTURE OLD	SEMISUB STEEL	5	NO	WILDCAT	1981	1981	\N	\N	17	ILE FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	89	NO	ED50	65	4	43.95	N	7	29	23.31	E	65.078875	7.489808	7218274.440000	428996.140000	32	6507	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=68	http://www.npd.no/FactMapSearch?NPDID_wellbore=68	initial	\N	2005-12-13	68	44912	43765	362494	0	21292	SAGA	2012-07-25	2012-07-25	2013-05-08
15/9-10	15/9-10	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	P&A	DRY	EXPLORATION	1981-09-15	1981-11-07	\N	302-L	\N	NO	100	510 - 155  SP 255	2.00	25.000000	3288.00	3289.000000	98.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	NORDRAUG	SEMISUB STEEL	3	NO	WILDCAT	1981	1981	\N	\N	1	\N	\N	\N	\N	\N	\N	54	NO	ED50	58	19	42.92	N	1	46	20.61	E	58.328589	1.772392	6466097.130000	428101.860000	31	15	9	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=69	http://www.npd.no/FactMapSearch?NPDID_wellbore=69	initial	\N	2005-02-11	69	\N	\N	298081	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-7	31/2-7	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1982-04-22	1982-06-14	TROLL	326-L	31/2-1 TROLL VEST	NO	71	8007 - 147  SP 998	1.00	25.000000	1660.00	1660.000000	338.000000	LATE JURASSIC	HEATHER FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	APPRAISAL	1982	1982	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	54	NO	ED50	60	51	25.93	N	3	27	9.21	E	60.857203	3.452558	6747126.560000	524587.900000	31	31	2	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=70	http://www.npd.no/FactMapSearch?NPDID_wellbore=70	initial	\N	2007-12-19	70	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
15/9-14	15/9-14	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	P&A	DRY	EXPLORATION	1982-05-01	1982-06-27	\N	327-L	\N	NO	106	510 - 313  SP 480	4.30	25.000000	3562.00	3563.000000	103.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	3	NO	WILDCAT	1982	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	58	NO	ED50	58	17	23.19	N	1	41	28.06	E	58.289775	1.691128	6461865.650000	423258.770000	31	15	9	\N	14	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=71	http://www.npd.no/FactMapSearch?NPDID_wellbore=71	initial	\N	2010-01-10	71	\N	\N	289090	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/2-1	30/2-1	Den norske stats oljeselskap a.s	STATOIL	051	WILDCAT	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	1982-05-17	1982-10-12	HULDRA	328-L	30/2-1 HULDRA	YES	164	702 164  SP 435	7.75	30.000000	4237.00	4243.000000	125.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DYVI DELTA	SEMISUB STEEL	4	NO	WILDCAT	1982	1982	\N	\N	17	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	149	NO	ED50	60	52	5.42	N	2	38	49.16	E	60.868172	2.646989	6748315.200000	480827.130000	31	30	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=72	http://www.npd.no/FactMapSearch?NPDID_wellbore=72	initial	\N	2007-10-17	72	44372	97002	287821	0	21204	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-7	30/6-7	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1982-05-20	1982-08-24	OSEBERG	329-L	30/6-1 OSEBERG	NO	124	8006 - 137 SP 589	3.00	25.000000	3236.00	3236.000000	114.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	NORTRYM	SEMISUB STEEL	4	NO	APPRAISAL	1982	1982	\N	\N	13	TARBERT FM	MIDDLE JURASSIC	NESS FM	MIDDLE JURASSIC	\N	\N	97	NO	ED50	60	38	39.49	N	2	45	21.74	E	60.644303	2.756039	6723352.600000	486657.230000	31	30	6	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=73	http://www.npd.no/FactMapSearch?NPDID_wellbore=73	initial	\N	2009-10-26	73	44396	43625	288010	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-15	15/9-15	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1982-05-28	1982-08-01	GUNGNE	330-L	15/9-15 GUNGNE	YES	\N	8122 - 726  SP 147	\N	25.000000	\N	3200.000000	83.000000	TRIASSIC	\N	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1982	1982	\N	\N	17	\N	MIDDLE JURASSIC	\N	TRIASSIC	\N	\N	66	NO	ED50	58	18	7.35	N	1	55	19.28	E	58.302042	1.922022	6462991.440000	436817.550000	31	15	9	\N	15	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=74	http://www.npd.no/FactMapSearch?NPDID_wellbore=74	initial	\N	9999-12-31	74	43922	43464	294382	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
16/7-3	16/7-3	Esso Exploration and Production Norway A/S	ESSO	072	WILDCAT	P&A	DRY	EXPLORATION	1982-06-11	1982-07-27	\N	331-L	\N	NO	94	ST 8122 - 563  SP 738	0.00	25.000000	3141.00	3141.000000	85.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	6	NO	WILDCAT	1982	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	47	NO	ED50	58	24	21.96	N	2	8	8.06	E	58.406100	2.135572	6474396.590000	449482.480000	31	16	7	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=75	http://www.npd.no/FactMapSearch?NPDID_wellbore=75	initial	\N	2004-09-24	75	\N	\N	288091	0	21372	ESSO	2012-07-25	2012-07-25	2013-05-08
6407/2-1	6407/2-1	Saga Petroleum ASA	SAGA	074	WILDCAT	P&A	SHOWS	EXPLORATION	1982-06-03	1982-08-06	\N	332-L	\N	NO	130	715 - 259  SP 840	3.00	33.000000	3869.00	3870.000000	266.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	WEST VENTURE OLD	SEMISUB STEEL	5	NO	WILDCAT	1982	1982	\N	\N	12	\N	\N	\N	\N	\N	\N	65	NO	ED50	64	58	4.97	N	7	28	28.12	E	64.968047	7.474478	7205942.440000	427977.330000	32	6407	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=76	http://www.npd.no/FactMapSearch?NPDID_wellbore=76	initial	\N	2005-12-13	76	\N	\N	362494	0	21388	SAGA	2012-07-25	2012-07-25	2013-05-08
30/6-8	30/6-8	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	DRY	EXPLORATION	1982-06-15	1982-08-06	\N	333-L	\N	NO	\N	703 - 125  SP 205	\N	25.000000	\N	3600.000000	121.000000	EARLY JURASSIC	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	4	NO	WILDCAT	1982	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	53	NO	ED50	60	32	11.92	N	2	58	20.59	E	60.536644	2.972386	6711336.900000	498484.700000	31	30	6	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=77	http://www.npd.no/FactMapSearch?NPDID_wellbore=77	initial	\N	9999-12-31	77	\N	\N	287956	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-8	31/2-8	A/S Norske Shell	SHELL	054	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1982-06-16	1982-08-18	\N	334-L	\N	NO	91	8007-158 X-OVER 8100-406.	5.00	25.000000	3373.00	3375.000000	345.500000	TRIASSIC	HEGRE GP	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1982	1982	\N	\N	12	\N	\N	\N	\N	\N	\N	64	NO	ED50	60	57	33.02	N	3	29	49.84	E	60.959172	3.497178	6758502.040000	526925.960000	31	31	2	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=78	http://www.npd.no/FactMapSearch?NPDID_wellbore=78	initial	\N	2006-05-23	78	\N	\N	288280	0	21228	SHELL NORGE	2013-02-14	2013-02-14	2013-05-08
15/9-16	15/9-16	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1982-06-28	1982-08-24	SLEIPNER ØST	335-L	15/9-9 SLEIPNER ØST	NO	\N	8122 - 559  SP 140	\N	25.000000	\N	3120.000000	85.000000	EARLY PERMIAN	\N	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	3	NO	APPRAISAL	1982	1982	\N	\N	17	\N	PALEOCENE	\N	\N	\N	\N	58	NO	ED50	58	22	9.97	N	1	52	43.16	E	58.369436	1.878656	6470536.250000	434400.890000	31	15	9	\N	16	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=79	http://www.npd.no/FactMapSearch?NPDID_wellbore=79	initial	\N	9999-12-31	79	43946	43478	289090	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/2-2	2/2-2	Saga Petroleum ASA	SAGA	066	WILDCAT	P&A	GAS	EXPLORATION	1982-07-04	1982-08-27	\N	336-L	2/2-2	YES	103	SG 8052 - 302  SP 285	2.25	25.000000	3124.00	3127.000000	66.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	6	NO	WILDCAT	1982	1982	\N	\N	9	VADE FM	OLIGOCENE	\N	\N	\N	\N	55	NO	ED50	56	56	40.61	N	3	22	46.81	E	56.944614	3.379669	6311426.050000	523099.440000	31	2	2	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=80	http://www.npd.no/FactMapSearch?NPDID_wellbore=80	initial	\N	2004-06-29	80	44030	\N	297514	0	21324	SAGA	2012-07-25	2012-07-25	2013-05-08
6507/10-1	6507/10-1	BP Norway Limited  U.A.	BP	075	WILDCAT	P&A	DRY	EXPLORATION	1982-07-10	1982-10-31	\N	337-L	\N	NO	112	725 474 SP 718.66  X-OVER  725 280	8.50	25.000000	3687.00	3693.000000	297.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	SEDCO 707	SEMISUB STEEL	5	NO	WILDCAT	1982	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	114	NO	ED50	65	13	10.75	N	7	14	0.47	E	65.219653	7.233464	7234272.640000	417384.990000	32	6507	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=81	http://www.npd.no/FactMapSearch?NPDID_wellbore=81	initial	\N	2005-12-13	81	\N	\N	288037	0	21396	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
7120/9-1	7120/9-1	Norsk Hydro Produksjon AS	HYDRO	078	WILDCAT	P&A	GAS	EXPLORATION	1982-07-25	1982-09-26	SNØHVIT	338-L	7120/9-1 ALBATROSS	YES	73	513 - 353  SP 1815	3.20	23.000000	2300.00	2300.000000	320.000000	LATE TRIASSIC	SNADD FM	BARENTS SEA	TREASURE SCOUT	SEMISUB STEEL	5	NO	WILDCAT	1982	1982	\N	\N	9	KAPP TOSCANA GP	EARLY JURASSIC	\N	\N	\N	\N	64	NO	ED50	71	29	26.57	N	20	56	49.47	E	71.490714	20.947075	7932342.990000	498124.670000	34	7120	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=82	http://www.npd.no/FactMapSearch?NPDID_wellbore=82	initial	\N	2005-02-11	82	45032	2053062	287848	0	21420	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-9	30/6-9	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1982-08-28	1982-12-16	OSEBERG	339-L	30/6-9	YES	\N	ST 8006 - 121  SP 510	\N	25.000000	\N	3476.000000	107.000000	LATE TRIASSIC	\N	NORTH SEA	NORTRYM	SEMISUB STEEL	4	NO	WILDCAT	1982	1982	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	111	NO	ED50	60	30	3.46	N	2	46	52.62	E	60.500961	2.781283	6707382.090000	487984.810000	31	30	6	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=83	http://www.npd.no/FactMapSearch?NPDID_wellbore=83	initial	\N	9999-12-31	83	2770154	43625	288010	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
16/1-3	16/1-3	Esso Exploration and Production Norway A/S	ESSO	001	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1982-07-29	1982-09-27	\N	340-L	\N	NO	97	SC 75 - 30  2110	1.20	25.000000	3496.00	3498.000000	108.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	1-A	NO	WILDCAT	1982	1982	\N	\N	12	\N	\N	\N	\N	\N	\N	61	NO	ED50	58	48	48.90	N	2	2	56.45	E	58.813583	2.049014	6519834.640000	445067.060000	31	16	1	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=84	http://www.npd.no/FactMapSearch?NPDID_wellbore=84	initial	\N	2004-09-24	84	\N	\N	288091	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
7120/7-1	7120/7-1	Den norske stats oljeselskap a.s	STATOIL	077	WILDCAT	P&A	GAS	EXPLORATION	1982-07-31	1982-10-08	SNØHVIT	341-L	7120/7-1 ASKELADD VEST	YES	102	513 - 122  SP 826	1.75	25.000000	2839.00	2839.000000	233.500000	LATE TRIASSIC	TUBÅEN FM	BARENTS SEA	NORDRAUG	SEMISUB STEEL	5	NO	WILDCAT	1982	1982	\N	\N	9	STØ FM	JURASSIC	\N	\N	\N	\N	70	NO	ED50	71	18	36.29	N	20	11	22.21	E	71.310081	20.189503	7912388.540000	471011.630000	34	7120	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=85	http://www.npd.no/FactMapSearch?NPDID_wellbore=85	initial	\N	2005-02-11	85	45014	2053062	298081	0	21412	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/11-6	7/11-6	Norsk Hydro Produksjon AS	HYDRO	070	WILDCAT	P&A	SHOWS	EXPLORATION	1982-08-09	1982-10-20	\N	342-L	\N	NO	148	SG 8048 - 207  SP 240	8.50	25.000000	4500.00	4500.000000	71.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	6	NO	WILDCAT	1982	1982	\N	\N	12	\N	\N	\N	\N	\N	\N	73	NO	ED50	57	6	59.45	N	2	36	55.16	E	57.116514	2.615322	6330563.560000	476703.640000	31	7	11	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=86	http://www.npd.no/FactMapSearch?NPDID_wellbore=86	initial	\N	2006-02-15	86	\N	\N	287956	0	21356	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
1/3-3	1/3-3	Elf Petroleum Norge AS	ELF	065	WILDCAT	P&A	OIL	EXPLORATION	1982-08-22	1983-03-24	TAMBAR	343-L	1/3-3 TAMBAR	YES	179	8186 - 216  sp264-8186-407 sp463	0.00	25.000000	4875.00	4876.000000	68.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	BORGSTEN DOLPHIN	SEMISUB STEEL	6	NO	WILDCAT	1982	1983	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	216	NO	ED50	56	57	8.56	N	2	58	54.05	E	56.952378	2.981681	6312226.320000	498885.660000	31	1	3	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=87	http://www.npd.no/FactMapSearch?NPDID_wellbore=87	initial	\N	2010-04-30	87	43826	1028599	288334	0	21316	ELF NORGE	2012-07-25	2013-04-24	2013-05-08
31/2-9	31/2-9	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1982-08-29	1982-10-01	TROLL	344-L	31/2-1 TROLL VEST	NO	46	79403  SP 435	2.25	25.000000	1770.00	1770.000000	339.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	APPRAISAL	1982	1982	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	34	NO	ED50	60	52	54.34	N	3	28	3.43	E	60.881761	3.467619	6749867.740000	525386.670000	31	31	2	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=88	http://www.npd.no/FactMapSearch?NPDID_wellbore=88	initial	\N	2007-12-19	88	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
8/3-2	8/3-2	Den norske stats oljeselskap a.s	STATOIL	071	WILDCAT	P&A	DRY	EXPLORATION	1982-10-04	1982-12-04	\N	345-L	\N	NO	77	ST 8118 - 238  SP 665	2.30	22.000000	2657.00	2657.000000	78.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	6	NO	WILDCAT	1982	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	62	NO	ED50	57	54	6.61	N	3	47	45.41	E	57.901836	3.795947	6418204.630000	547178.170000	31	8	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=89	http://www.npd.no/FactMapSearch?NPDID_wellbore=89	initial	\N	2005-05-22	89	\N	\N	287902	0	21364	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-10	31/2-10	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	DRY	EXPLORATION	1982-10-02	1982-10-31	TROLL	346-L	31/2-1 TROLL VEST	NO	51	79-410 SP 668 AND 8007-328 SP 612	3.25	25.000000	1833.00	1833.000000	331.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	APPRAISAL	1982	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	30	NO	ED50	60	47	38.94	N	3	29	39.46	E	60.794150	3.494294	6740119.840000	526908.330000	31	31	2	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=90	http://www.npd.no/FactMapSearch?NPDID_wellbore=90	initial	\N	2007-12-19	90	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
16/7-4	16/7-4	Esso Exploration and Production Norway A/S	ESSO	072	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1982-10-15	1982-12-06	SIGYN	347-L	16/7-4 SIGYN	YES	96	ST 8122-732  SP 317	2.25	25.000000	2781.00	2781.000000	78.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	6	NO	WILDCAT	1982	1982	\N	\N	17	INTRA DRAUPNE FM SS	LATE JURASSIC	SKAGERRAK FM	TRIASSIC	\N	\N	53	NO	ED50	58	17	9.75	N	2	1	30.07	E	58.286042	2.025019	6461118.040000	442828.360000	31	16	7	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=91	http://www.npd.no/FactMapSearch?NPDID_wellbore=91	initial	\N	2007-04-02	91	45625	1630100	288091	0	21372	ESSO	2012-07-25	2012-07-25	2013-05-08
30/6-10	30/6-10	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1982-10-04	1982-12-02	OSEBERG	348-L	30/6-1 OSEBERG	NO	\N	913  133  SP 615	\N	23.000000	\N	2656.000000	109.000000	EARLY JURASSIC	\N	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	4	NO	APPRAISAL	1982	1982	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	60	NO	ED50	60	36	29.53	N	2	46	24.74	E	60.608203	2.773539	6719328.260000	487600.490000	31	30	6	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=92	http://www.npd.no/FactMapSearch?NPDID_wellbore=92	initial	\N	9999-12-31	92	44396	43625	287848	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-13 S	31/2-13	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1984-01-02	1984-03-15	TROLL	401-L	31/2-1 TROLL VEST	NO	60	81 007-412 SP 337.5 & 82-430 SP 102	46.20	25.000000	1727.60	2010.000000	333.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	APPRAISAL	1984	1984	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	74	NO	ED50	60	47	14.15	N	3	26	3.43	E	60.787264	3.434286	6739329.730000	523646.720000	31	31	2	\N	13	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=93	http://www.npd.no/FactMapSearch?NPDID_wellbore=93	initial	\N	2007-12-19	93	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
15/12-1	15/12-1	Den norske stats oljeselskap a.s	STATOIL	038	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1975-07-07	1975-09-06	\N	132-L	\N	NO	113	LINE 511 138- 1975   SP.100	0.00	24.400000	3269.00	3269.000000	95.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1975	1975	\N	\N	12	\N	\N	\N	\N	\N	\N	62	NO	ED50	58	10	32.60	N	1	44	23.10	E	58.175722	1.739750	6449113.790000	425871.870000	31	15	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=94	http://www.npd.no/FactMapSearch?NPDID_wellbore=94	initial	\N	2004-09-24	94	\N	\N	294382	0	21092	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-14	34/10-14	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	1981-12-24	1982-03-19	GULLFAKS	312-L	34/10-1 GULLFAKS	NO	\N	3D - 136  SP 285	\N	25.000000	\N	2647.000000	224.000000	LATE TRIASSIC	\N	NORTH SEA	ROSS RIG	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1981	1982	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	86	NO	ED50	61	14	0.50	N	2	15	18.87	E	61.233472	2.255242	6789182.270000	460013.700000	31	34	10	\N	14	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=95	http://www.npd.no/FactMapSearch?NPDID_wellbore=95	initial	\N	9999-12-31	95	44594	43686	294382	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/11-4	2/11-4	Amoco Norway Oil Company	AMOCO	033	APPRAISAL	P&A	OIL	EXPLORATION	1978-03-20	1978-05-18	VALHALL	188-L	2/8-6 VALHALL	NO	99	\N	0.00	34.000000	0.00	2858.000000	69.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	DYVI BETA	JACKET 4 LEGS	2-A	NO	APPRAISAL	1978	1978	\N	\N	5	TOR FM	LATE CRETACEOUS	\N	\N	\N	\N	60	NO	ED50	56	14	50.37	N	3	23	18.92	E	56.247325	3.388589	6233812.770000	524081.550000	31	2	11	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=96	http://www.npd.no/FactMapSearch?NPDID_wellbore=96	initial	\N	2013-03-22	96	44162	43548	288118	0	21052	AMOCO	2013-03-24	2013-03-24	2013-05-08
2/4-3	2/4-3	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	OIL	EXPLORATION	1970-01-27	1970-05-31	EKOFISK	35-L	2/4-2 EKOFISK	NO	138	\N	16.40	27.000000	0.00	3431.000000	71.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	APPRAISAL	1970	1970	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	125	NO	ED50	56	32	42.12	N	3	14	55.49	E	56.545033	3.248747	6266910.180000	515295.520000	31	2	4	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=97	http://www.npd.no/FactMapSearch?NPDID_wellbore=97	initial	\N	2007-04-02	97	44072	43506	296407	0	20900	PHILLIPS	2013-01-22	2013-01-22	2013-05-08
30/11-4	30/11-4	A/S Norske Shell	SHELL	035	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1984-01-25	1984-07-24	\N	402-L	\N	NO	\N	83 - 36  SP. 284	\N	29.000000	\N	5255.000000	110.000000	LATE TRIASSIC	\N	NORTH SEA	DYVI DELTA	SEMISUB STEEL	2-A	NO	WILDCAT	1984	1984	\N	\N	12	\N	\N	\N	\N	\N	\N	182	NO	ED50	60	2	43.96	N	2	32	39.47	E	60.045544	2.544297	6656726.580000	474615.760000	31	30	11	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=98	http://www.npd.no/FactMapSearch?NPDID_wellbore=98	initial	\N	9999-12-31	98	\N	\N	287821	0	21068	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
7120/12-4	7120/12-4	Norsk Hydro Produksjon AS	HYDRO	061	WILDCAT	P&A	DRY	EXPLORATION	1984-02-18	1984-04-16	\N	404-L	\N	NO	51	NH 8003-412 SP.448 & NH 8003-204 SP.1477	2.50	23.000000	2198.00	2199.000000	152.000000	LATE CARBONIFEROUS	UGLE FM	BARENTS SEA	TREASURE SCOUT	SEMISUB STEEL	5	NO	WILDCAT	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	59	NO	ED50	71	3	1.13	N	20	42	32.16	E	71.050314	20.708933	7883245.960000	489450.110000	34	7120	12	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=99	http://www.npd.no/FactMapSearch?NPDID_wellbore=99	initial	\N	2005-02-11	99	\N	\N	287848	0	21284	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/3-2	31/3-2	Norsk Hydro Produksjon AS	HYDRO	085	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1984-03-05	1984-04-30	TROLL	403-L	31/6-1 TROLL ØST	NO	73	ST 8007 - 338 A  SP. 204.5	1.40	25.000000	2090.00	2090.000000	340.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1984	1984	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	57	NO	ED50	60	52	11.41	N	3	40	41.79	E	60.869836	3.678275	6748639.400000	536836.480000	31	31	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=100	http://www.npd.no/FactMapSearch?NPDID_wellbore=100	initial	\N	2006-06-06	100	44552	46437	287956	0	21476	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-3	31/5-3	Saga Petroleum ASA	SAGA	085	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1984-04-10	1984-06-09	TROLL	405-L	31/2-1 TROLL VEST	NO	90	8007 - 134 & SP 566	3.20	26.000000	2249.00	2250.000000	327.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1984	1984	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	61	NO	ED50	60	44	37.17	N	3	26	20.44	E	60.743658	3.439011	6734474.490000	523936.460000	31	31	5	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=101	http://www.npd.no/FactMapSearch?NPDID_wellbore=101	initial	\N	2006-06-06	101	44534	46437	296326	0	21476	SAGA	2012-07-25	2012-07-25	2013-05-08
30/9-3 A	30/9-3	Norsk Hydro Produksjon AS	HYDRO	079	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1984-02-26	1984-05-20	OSEBERG SØR	406-L	30/9-3 OSEBERG SØR	NO	138	NH 82 - 065  SP. 377	35.50	25.000000	4008.00	4300.000000	111.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	NORTRYM	SEMISUB STEEL	Awarded additionaly to round 6	NO	WILDCAT	1984	1984	\N	\N	13	NESS FM	MIDDLE JURASSIC	\N	\N	\N	\N	85	NO	ED50	60	28	16.33	N	2	45	37.55	E	60.471203	2.760431	6704071.580000	486827.210000	31	30	9	\N	3	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=102	http://www.npd.no/FactMapSearch?NPDID_wellbore=102	sidetrack	30/9-3	2011-10-03	102	44492	43645	288010	0	34635	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/5-1	33/5-1	Norsk Hydro Produksjon AS	HYDRO	047	WILDCAT	P&A	SHOWS	EXPLORATION	1979-07-19	1979-10-18	\N	218-L	\N	NO	0	line 754-305 & Sp 228	7.20	25.000000	3822.00	3829.000000	339.500000	EARLY TRIASSIC	TEIST FM (INFORMAL)	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	3	NO	WILDCAT	1979	1979	\N	\N	12	\N	\N	\N	\N	\N	\N	92	NO	ED50	61	44	46.10	N	1	34	57.40	E	61.746139	1.582611	6846879.890000	425144.480000	31	33	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=103	http://www.npd.no/FactMapSearch?NPDID_wellbore=103	initial	\N	2004-05-18	103	\N	\N	287956	0	21164	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7120/7-3	7120/7-3	Den norske stats oljeselskap a.s	STATOIL	077	WILDCAT	P&A	SHOWS	EXPLORATION	1984-03-18	1984-06-09	\N	408-L	\N	NO	97	8106 - 342  SP. 164	2.90	22.000000	3061.00	3062.000000	259.000000	EARLY JURASSIC	NORDMELA FM	BARENTS SEA	WEST VANGUARD	SEMISUB STEEL	5	NO	WILDCAT	1984	1984	\N	\N	12	\N	\N	\N	\N	\N	\N	84	NO	ED50	71	27	43.31	N	20	10	46.44	E	71.462031	20.179567	7929340.440000	470886.270000	34	7120	7	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=104	http://www.npd.no/FactMapSearch?NPDID_wellbore=104	initial	\N	2004-05-18	104	\N	\N	287902	0	21412	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/6-5	31/6-5	Den norske stats oljeselskap a.s	STATOIL	085	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1984-03-16	1984-05-21	TROLL	409-L	31/6-1 TROLL ØST	NO	61	NH 8202 - 120  SP. 246	1.50	23.000000	2028.00	2082.000000	304.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1984	1984	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	67	NO	ED50	60	37	6.80	N	3	48	20.98	E	60.618556	3.805828	6720730.310000	544106.970000	31	31	6	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=105	http://www.npd.no/FactMapSearch?NPDID_wellbore=105	initial	\N	2006-06-06	105	44552	46437	287983	0	21476	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-14	31/2-14	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1984-04-23	1984-06-21	TROLL	411-L	31/2-1 TROLL VEST	NO	74	Line 8007-147	1.00	25.000000	1725.00	1725.000000	340.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	APPRAISAL	1984	1984	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	60	NO	ED50	60	51	26.52	N	3	25	37.68	E	60.857367	3.427133	6747135.560000	523206.430000	31	31	2	\N	14	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=106	http://www.npd.no/FactMapSearch?NPDID_wellbore=106	initial	\N	2006-06-06	106	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
7120/9-2	7120/9-2	Norsk Hydro Produksjon AS	HYDRO	078	APPRAISAL	P&A	GAS	EXPLORATION	1984-04-18	1984-10-20	SNØHVIT	410-L	7120/9-1 ALBATROSS	NO	161	NH 8308 - 201  SP. 263	6.70	23.000000	5069.00	5072.000000	293.000000	LATE PERMIAN	RØYE FM	BARENTS SEA	TREASURE SCOUT	SEMISUB STEEL	5	NO	WILDCAT	1984	1984	\N	\N	9	KAPP TOSCANA GP	JURASSIC	FRUHOLMEN FM	LATE TRIASSIC	\N	\N	186	NO	ED50	71	29	40.81	N	20	42	5.38	E	71.494669	20.701494	7932809.500000	489425.030000	34	7120	9	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=107	http://www.npd.no/FactMapSearch?NPDID_wellbore=107	initial	\N	2004-05-18	107	45032	2053062	287848	0	21420	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6406/3-1	6406/3-1	Den norske stats oljeselskap a.s	STATOIL	091	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1984-04-27	1984-08-14	\N	412-L	\N	NO	169	line 911 279-shot point 950	9.50	22.000000	4896.00	4902.000000	256.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	\N	\N	12	\N	\N	\N	\N	\N	\N	110	NO	ED50	64	45	29.77	N	6	49	21.77	E	64.758269	6.822714	7183474.260000	396410.130000	32	6406	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=108	http://www.npd.no/FactMapSearch?NPDID_wellbore=108	initial	\N	2007-06-28	108	\N	\N	296245	0	21532	STATOIL	2012-07-25	2013-05-01	2013-05-08
2/1-6	2/1-6	BP Norway Limited  U.A.	BP	019 B	APPRAISAL	P&A	DRY	EXPLORATION	1984-04-30	1984-08-12	GYDA	413-L	2/1-3 GYDA	NO	166	BP 80 - 27 B  SP. 2268	2.50	25.000000	4582.00	4588.000000	66.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	APPRAISAL	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	105	NO	ED50	56	55	14.81	N	3	1	38.37	E	56.920781	3.027325	6308709.140000	501663.540000	31	2	1	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=109	http://www.npd.no/FactMapSearch?NPDID_wellbore=109	initial	\N	2011-03-12	109	44012	43492	297514	0	20924	BP NORWAY LIMITED U.A.	2013-05-01	2013-05-01	2013-05-08
30/6-15	30/6-15	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	OIL/GAS	EXPLORATION	1984-05-02	1984-09-05	OSEBERG	414-L	30/6-15 OSEBERG VEST	YES	\N	NH 82 - 165  SP. 457	\N	25.000000	\N	3972.000000	107.000000	LATE TRIASSIC	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	4	NO	WILDCAT	1984	1984	\N	\N	13	\N	EARLY JURASSIC	\N	\N	\N	\N	127	NO	ED50	60	32	18.49	N	2	45	49.64	E	60.538469	2.763789	6711563.120000	487038.750000	31	30	6	\N	15	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=110	http://www.npd.no/FactMapSearch?NPDID_wellbore=110	initial	\N	9999-12-31	110	44408	43625	287956	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-1	34/7-1	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1984-05-09	1984-07-24	SNORRE	415-L	34/4-1 SNORRE	NO	105	SG-8231 - 125  SP. 200	1.50	25.000000	2905.00	2905.000000	328.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	34/7-J-3 H	\N	5	LUNDE FM	LATE TRIASSIC	\N	\N	\N	\N	77	NO	ED50	61	28	21.80	N	2	13	25.55	E	61.472722	2.223764	6815851.930000	458640.580000	31	34	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=111	http://www.npd.no/FactMapSearch?NPDID_wellbore=111	initial	\N	2009-10-26	111	44654	43718	297028	4052	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
16/11-1 S	16/11-1	Phillips Petroleum Company Norway	PHILLIPS	016	WILDCAT	P&A	DRY	EXPLORATION	1967-07-14	1967-10-31	\N	4-L	\N	NO	100	16/11-B  SP:75.	16.00	27.000000	3020.00	3050.000000	67.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1967	1967	\N	\N	1	\N	\N	\N	\N	\N	\N	110	NO	ED50	58	4	4.00	N	2	34	8.00	E	58.067778	2.568889	6436483.750000	474564.380000	31	16	11	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=112	http://www.npd.no/FactMapSearch?NPDID_wellbore=112	initial	\N	2004-09-24	112	\N	\N	296407	0	20884	PHILLIPS	2012-11-17	2012-11-17	2013-05-08
15/12-5	15/12-5	Den norske stats oljeselskap a.s	STATOIL	038	APPRAISAL	P&A	OIL	EXPLORATION	1986-03-12	1986-05-04	VARG	507-L	15/12-4 VARG	NO	\N	ST 8503 - 109   SP. 306	\N	22.000000	\N	3150.000000	84.000000	LATE TRIASSIC	\N	NORTH SEA	ROSS ISLE	SEMISUB STEEL	3	NO	WILDCAT	1986	1986	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	54	NO	ED50	58	4	53.36	N	1	54	53.24	E	58.081489	1.914789	6438443.610000	435998.330000	31	15	12	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=113	http://www.npd.no/FactMapSearch?NPDID_wellbore=113	initial	\N	9999-12-31	113	43868	43451	296245	0	21092	STATOIL	2012-07-25	2012-07-25	2013-05-08
7119/12-2	7119/12-2	Den norske stats oljeselskap a.s	STATOIL	060	WILDCAT	P&A	SHOWS	EXPLORATION	1981-04-16	1981-06-26	\N	283-L	\N	NO	62	738 418  SP: 65.	2.00	25.000000	1902.00	1902.000000	180.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	5	NO	WILDCAT	1981	1981	\N	\N	12	\N	\N	\N	\N	\N	\N	72	NO	ED50	71	0	51.81	N	19	58	20.81	E	71.014392	19.972447	7879530.380000	462689.200000	34	7119	12	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=114	http://www.npd.no/FactMapSearch?NPDID_wellbore=114	initial	\N	2005-02-11	114	\N	\N	294382	0	21276	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-5	33/12-5	Mobil Exploration Norway INC	MOBIL	037	APPRAISAL	P&A	DRY	EXPLORATION	1975-10-09	1976-02-21	STATFJORD	140-L	33/12-1 STATFJORD	NO	\N	LINE MNG-34   SP.145	\N	25.000000	\N	4574.000000	143.000000	TRIASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1975	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	136	NO	ED50	61	11	5.53	N	1	51	53.39	E	61.184869	1.864831	6784070.290000	438959.620000	31	33	12	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=115	http://www.npd.no/FactMapSearch?NPDID_wellbore=115	initial	\N	9999-12-31	115	44558	43658	288091	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/7-14	2/7-14	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1979-08-09	1980-01-20	EKOFISK	221-L	2/4-2 EKOFISK	NO	124	PS 562915 SP.116	0.00	25.000000	0.00	3390.000000	71.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	HAAKON MAGNUS	SEMISUB STEEL	1-A	NO	APPRAISAL	1979	1980	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	165	NO	ED50	56	29	20.30	N	3	14	2.65	E	56.488972	3.234069	6260666.800000	514414.240000	31	2	7	\N	14	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=116	http://www.npd.no/FactMapSearch?NPDID_wellbore=116	initial	\N	2007-04-02	116	44072	43506	288334	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-3	2/8-3	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL/GAS SHOWS	EXPLORATION	1972-06-16	1972-09-03	\N	72-L	\N	NO	132	\N	1.50	34.000000	0.00	4115.000000	69.000000	LATE JURASSIC	HAUGESUND FM	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1972	1972	\N	\N	12	\N	\N	\N	\N	\N	\N	80	NO	ED50	56	18	31.00	N	3	26	54.10	E	56.308611	3.448361	6240656.750000	527741.320000	31	2	8	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=117	http://www.npd.no/FactMapSearch?NPDID_wellbore=117	initial	\N	2009-10-26	117	\N	\N	288901	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
30/6-5	30/6-5	Den norske stats oljeselskap a.s	STATOIL	053	WILDCAT	P&A	OIL	EXPLORATION	1981-06-11	1981-08-15	OSEBERG ØST	290-L	30/6-5 OSEBERG ØST	YES	\N	LINE 703 - 142  SP:427.	\N	25.000000	\N	3550.000000	156.000000	TRIASSIC	\N	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	4	NO	WILDCAT	1981	1981	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	66	NO	ED50	60	41	20.60	N	2	57	11.09	E	60.689056	2.953081	6728313.490000	497437.430000	31	30	6	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=118	http://www.npd.no/FactMapSearch?NPDID_wellbore=118	initial	\N	9999-12-31	118	44438	43639	289090	0	21220	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/12-6	33/12-6	Mobil Exploration Norway INC	MOBIL	037	WILDCAT	P&A	DRY	EXPLORATION	1976-03-02	1976-06-20	\N	150-L	\N	NO	\N	LINE MNG 42 SP.365	\N	26.000000	\N	4614.000000	138.000000	LATE TRIASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	111	NO	ED50	61	4	36.41	N	1	57	17.76	E	61.076781	1.954933	6771950.390000	443612.010000	31	33	12	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=119	http://www.npd.no/FactMapSearch?NPDID_wellbore=119	initial	\N	9999-12-31	119	\N	\N	288091	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
7120/8-1	7120/8-1	Den norske stats oljeselskap a.s	STATOIL	064	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1981-06-28	1981-09-10	SNØHVIT	292-L	7120/8-1 ASKELADD	YES	95	LINE 513 - 134  SP: 2224.	1.50	25.000000	2610.00	2610.000000	270.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	5	NO	WILDCAT	1981	1981	\N	\N	17	STØ FM	JURASSIC	\N	\N	\N	\N	75	NO	ED50	71	24	34.43	N	20	26	6.20	E	71.409564	20.435056	7923384.580000	479897.510000	34	7120	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=120	http://www.npd.no/FactMapSearch?NPDID_wellbore=120	initial	\N	2005-02-11	120	45026	2053062	294382	0	21308	STATOIL	2012-07-25	2012-07-25	2013-05-08
7119/12-1	7119/12-1	Den norske stats oljeselskap a.s	STATOIL	060	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1980-06-14	1980-10-10	\N	251-L	\N	NO	96	738-424 &SP.484	4.40	25.000000	3087.00	3088.000000	200.000000	EARLY JURASSIC	STØ FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	5	NO	WILDCAT	1980	1980	\N	\N	12	\N	\N	\N	\N	\N	\N	119	NO	ED50	71	6	8.00	N	19	47	40.29	E	71.102222	19.794525	7889443.980000	456424.420000	34	7119	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=121	http://www.npd.no/FactMapSearch?NPDID_wellbore=121	initial	\N	2005-02-11	121	\N	\N	294382	0	21276	STATOIL	2012-07-25	2012-07-25	2013-05-08
7120/12-2	7120/12-2	Norsk Hydro Produksjon AS	HYDRO	061	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1981-04-15	1981-09-11	\N	284-L	7120/12-2	YES	115	722 272  SP: 175.	9.25	25.000000	4667.00	4680.000000	164.000000	PRE-DEVONIAN	BASEMENT	BARENTS SEA	TREASURE SEEKER	SEMISUB STEEL	5	NO	WILDCAT	1981	1981	\N	\N	17	STØ FM	JURASSIC	SNADD FM	MIDDLE TRIASSIC	\N	\N	150	NO	ED50	71	7	30.30	N	20	48	19.00	E	71.125083	20.805278	7891571.430000	492968.970000	34	7120	12	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=122	http://www.npd.no/FactMapSearch?NPDID_wellbore=122	initial	\N	2005-02-11	122	45002	\N	287956	0	21284	HYDRO PRODUKSJON	2012-07-25	2012-11-07	2013-05-08
7120/12-1	7120/12-1	Norsk Hydro Produksjon AS	HYDRO	061	WILDCAT	P&A	SHOWS	EXPLORATION	1980-06-01	1980-10-12	\N	250-L	\N	NO	65	722 273 SP.105	23.00	25.000000	3516.00	3573.000000	167.000000	MIDDLE TRIASSIC	KOBBE FM	BARENTS SEA	TREASURE SEEKER	SEMISUB STEEL	5	NO	WILDCAT	1980	1980	\N	\N	12	\N	\N	\N	\N	\N	\N	134	NO	ED50	71	6	48.71	N	20	45	20.13	E	71.113531	20.755592	7890289.380000	491169.710000	34	7120	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=123	http://www.npd.no/FactMapSearch?NPDID_wellbore=123	initial	\N	2005-02-11	123	\N	\N	287956	0	21284	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-1	2/8-1	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1967-11-28	1968-07-02	\N	7-L	\N	NO	57	LINE 70 - 17.	7.75	17.000000	2594.00	2595.000000	69.000000	EOCENE	HORDALAND GP	NORTH SEA	DRILLSHIP	VESSEL	1-A	NO	WILDCAT	1967	1968	\N	\N	12	\N	\N	\N	\N	\N	\N	218	NO	ED50	56	17	47.20	N	3	26	59.70	E	56.296444	3.449917	6239303.150000	527846.410000	31	2	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=124	http://www.npd.no/FactMapSearch?NPDID_wellbore=124	initial	\N	2007-01-18	124	\N	\N	288199	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
33/9-3	33/9-3	Mobil Exploration Norway INC	MOBIL	037	APPRAISAL	P&A	OIL	EXPLORATION	1974-09-15	1974-11-14	STATFJORD	117-L	33/12-1 STATFJORD	NO	\N	LINE MNG-20   SP.340	\N	25.000000	\N	2992.000000	146.000000	LATE TRIASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1974	1974	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	61	NO	ED50	61	17	55.13	N	1	53	39.94	E	61.298647	1.894428	6796715.850000	440765.420000	31	33	9	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=125	http://www.npd.no/FactMapSearch?NPDID_wellbore=125	initial	\N	9999-12-31	125	44558	43658	288091	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-4	33/12-4	Mobil Exploration Norway INC	MOBIL	037	APPRAISAL	P&A	OIL	EXPLORATION	1975-05-17	1975-07-17	STATFJORD	130-L	33/12-1 STATFJORD	NO	\N	LINE MNG 28   SP.380	\N	26.000000	\N	2896.000000	146.000000	LATE TRIASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1975	1975	\N	\N	5	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC	\N	\N	62	NO	ED50	61	14	19.20	N	1	53	27.50	E	61.238667	1.890972	6790038.190000	440466.880000	31	33	12	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=126	http://www.npd.no/FactMapSearch?NPDID_wellbore=126	initial	\N	9999-12-31	126	44558	43658	288091	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
31/6-6	31/6-6	Den norske stats oljeselskap a.s	STATOIL	085	APPRAISAL	P&A	GAS	EXPLORATION	1984-05-22	1984-07-29	TROLL	416-L	31/6-1 TROLL ØST	NO	67	NH 8007-129  SP. 156	0.00	23.000000	2291.00	2293.000000	313.000000	LATE TRIASSIC	HEGRE GP	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1984	1984	\N	\N	9	INTRA HEATHER FM SS	LATE JURASSIC	SOGNEFJORD FM	LATE JURASSIC	\N	\N	69	NO	ED50	60	41	57.08	N	3	56	4.61	E	60.699189	3.934614	6729804.220000	551028.070000	31	31	6	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=127	http://www.npd.no/FactMapSearch?NPDID_wellbore=127	initial	\N	2006-05-23	127	44552	46437	287983	0	21476	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/11-1	35/11-1	Mobil Exploration Norway INC	MOBIL	090	WILDCAT	P&A	DRY	EXPLORATION	1984-05-23	1984-08-06	\N	417-L	\N	NO	108	SG 8043 - 205  SP. 2360	1.60	25.000000	3360.00	3361.000000	365.000000	TRIASSIC	HEGRE GP	NORTH SEA	NORTRYM	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	76	NO	ED50	61	10	59.27	N	3	39	44.95	E	61.183131	3.662486	6783527.210000	535626.010000	31	35	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=128	http://www.npd.no/FactMapSearch?NPDID_wellbore=128	initial	\N	2005-06-15	128	\N	\N	288010	0	21524	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-10-16	2013-05-08
2/3-4	2/3-4	Norwegian Gulf Exploration Company AS	GULF	022	WILDCAT	P&A	DRY	EXPLORATION	1984-05-28	1984-07-24	\N	418-L	\N	NO	109	SG 8252 - 374  SP. 185	0.00	38.000000	3386.00	3386.000000	56.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	GLOMAR MORAY F.I	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	58	NO	ED50	56	46	45.61	N	3	48	27.89	E	56.779336	3.807747	6293254.690000	549360.760000	31	2	3	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=129	http://www.npd.no/FactMapSearch?NPDID_wellbore=129	initial	\N	2004-05-18	129	\N	\N	296191	0	20948	GULF EXPLORATION	2012-07-25	2012-07-25	2013-05-08
7121/7-1	7121/7-1	Den norske stats oljeselskap a.s	STATOIL	100	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1984-06-11	1984-08-05	SNØHVIT	419-L	7120/9-1 ALBATROSS	NO	72	8205 - 374  SP. 377	1.30	22.000000	2160.00	2160.000000	329.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	WEST VANGUARD	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	\N	\N	17	STØ FM	MIDDLE JURASSIC	\N	\N	\N	\N	56	NO	ED50	71	28	20.78	N	21	5	15.18	E	71.472439	21.087550	7930306.010000	503105.180000	34	7121	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=130	http://www.npd.no/FactMapSearch?NPDID_wellbore=130	initial	\N	2005-02-11	130	45032	2053062	287902	0	21604	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/2-8	25/2-8	Elf Petroleum Norge AS	ELF	026	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1984-06-18	1984-08-01	ØST FRIGG	420-L	25/2-1 ØST FRIGG	NO	73	EL 8305-201R OG EL 835-406	2.00	12.000000	2380.00	2380.000000	106.000000	PALEOCENE	LISTA FM	NORTH SEA	LE PELERIN	VESSEL	2-A	NO	APPRAISAL	1984	1984	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	45	NO	ED50	59	54	45.14	N	2	20	27.62	E	59.912539	2.341006	6642009.400000	463144.400000	31	25	2	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=131	http://www.npd.no/FactMapSearch?NPDID_wellbore=131	initial	\N	2004-05-18	131	44234	43576	289063	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7119/9-1	7119/9-1	Elf Petroleum Norge AS	ELF	096	WILDCAT	P&A	DRY	EXPLORATION	1984-06-28	1984-09-25	\N	421-L	\N	NO	112	EL 8301 - 559 OG EL 8401 - 209	0.00	25.000000	0.00	3248.000000	201.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	BYFORD DOLPHIN	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	90	NO	ED50	71	24	53.19	N	19	49	43.26	E	71.414775	19.828683	7924275.600000	458333.920000	34	7119	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=132	http://www.npd.no/FactMapSearch?NPDID_wellbore=132	initial	\N	2005-01-04	132	\N	\N	341331	0	21572	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
6407/9-1	6407/9-1	A/S Norske Shell	SHELL	093	WILDCAT	P&A	OIL	EXPLORATION	1984-06-26	1984-09-07	DRAUGEN	422-L	6407/9-1 DRAUGEN	YES	99	729 - 408  SP. 390	2.00	25.000000	2500.00	2500.000000	248.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	BORGNY DOLPHIN	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	\N	\N	5	ROGN FM	LATE JURASSIC	\N	\N	\N	\N	74	NO	ED50	64	21	56.14	N	7	47	20.86	E	64.365594	7.789128	7138488.300000	441548.410000	32	6407	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=133	http://www.npd.no/FactMapSearch?NPDID_wellbore=133	initial	\N	2005-11-07	133	44888	43758	288280	0	21548	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
16/7-5	16/7-5	Esso Exploration and Production Norway A/S	ESSO	072	WILDCAT	P&A	DRY	EXPLORATION	1984-07-02	1984-08-03	\N	423-L	\N	NO	95	ST 8122 - 552  SP. 615.5	0.00	26.800000	0.00	2900.000000	80.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	ZAPATA UGLAND	SEMISUB STEEL	6	NO	WILDCAT	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	58	21	6.30	N	2	4	56.16	E	58.351750	2.082267	6468386.640000	446284.860000	31	16	7	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=134	http://www.npd.no/FactMapSearch?NPDID_wellbore=134	initial	\N	2008-08-15	134	\N	\N	296731	0	21372	ESSO	2012-07-25	2012-07-25	2013-05-08
7121/4-1	7121/4-1	Den norske stats oljeselskap a.s	STATOIL	099	WILDCAT	P&A	OIL/GAS	EXPLORATION	1984-08-06	1984-10-27	SNØHVIT	428-L	7121/4-1 SNØHVIT	YES	88	ST 8310 - 369  SP. 1083	1.20	22.000000	2609.00	2609.000000	335.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	WEST VANGUARD	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	\N	\N	13	STØ FM	MIDDLE JURASSIC	NORDMELA FM	EARLY JURASSIC	\N	\N	83	NO	ED50	71	35	59.68	N	21	9	22.79	E	71.599911	21.156331	7944529.350000	505507.860000	34	7121	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=135	http://www.npd.no/FactMapSearch?NPDID_wellbore=135	initial	\N	2005-02-11	135	45038	2053062	287902	0	21596	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/3-2	35/3-2	Saga Petroleum ASA	SAGA	041	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1980-05-19	1980-10-26	\N	249-L	35/3-2 AGAT	YES	147	TLGS 78-01 SP.2945	5.30	24.000000	4396.00	4400.000000	272.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	SEDCO 707	SEMISUB STEEL	3	NO	WILDCAT	1980	1980	\N	\N	17	AGAT FM	EARLY CRETACEOUS	\N	\N	\N	\N	161	NO	ED50	61	51	5.98	N	3	46	28.22	E	61.851661	3.774506	6858062.650000	540764.960000	31	35	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=136	http://www.npd.no/FactMapSearch?NPDID_wellbore=136	initial	\N	2004-05-18	136	44768	\N	288037	0	21116	SAGA	2012-10-04	2012-10-04	2013-05-08
2/1-7	2/1-7	BP Petroleum Dev. of Norway AS	BP	019 B	WILDCAT	P&A	DRY	EXPLORATION	1984-09-06	1985-03-06	\N	431-L	\N	NO	178	80 - 30A  SP. 1630	0.00	38.000000	5464.00	5464.000000	69.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	GLOMAR MORAY F.I	JACK-UP 3 LEGS	Awarded additionaly to round 1-A	NO	WILDCAT	1984	1985	\N	\N	1	\N	\N	\N	\N	\N	\N	182	NO	ED50	56	51	51.32	N	3	5	40.36	E	56.864256	3.094544	6302420.540000	505764.550000	31	2	1	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=137	http://www.npd.no/FactMapSearch?NPDID_wellbore=137	initial	\N	2006-02-15	137	\N	\N	296191	0	20924	BPAS	2012-07-25	2012-07-25	2013-05-08
6507/7-1	6507/7-1	Conoco Norway Inc.	CONOCO	095	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1984-08-10	1984-12-01	\N	427-L	\N	NO	170	911460  SP. 230	6.80	25.000000	4818.00	4825.000000	367.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	NORTRYM	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	\N	\N	12	\N	\N	\N	\N	\N	\N	114	NO	ED50	65	27	16.73	N	7	12	52.77	E	65.454647	7.214658	7260481.160000	417247.400000	32	6507	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=138	http://www.npd.no/FactMapSearch?NPDID_wellbore=138	initial	\N	2004-06-29	138	\N	\N	288010	0	21564	CONOCO	2012-07-25	2012-07-25	2013-05-08
34/10-9	34/10-9	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1980-03-24	1980-05-09	GULLFAKS	248-L	34/10-1 GULLFAKS	NO	64	3D 163   SP 275	1.75	25.000000	2200.00	2200.000000	202.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1980	1980	\N	\N	5	BRENT GP	MIDDLE JURASSIC	COOK FM	EARLY JURASSIC	\N	\N	47	NO	ED50	61	12	55.34	N	2	15	0.53	E	61.215372	2.250147	6787169.270000	459717.060000	31	34	10	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=140	http://www.npd.no/FactMapSearch?NPDID_wellbore=140	initial	\N	2012-11-15	140	44594	43686	294382	0	21188	STATOIL	2013-02-02	2013-02-02	2013-05-08
31/6-7	31/6-7	Norsk Hydro Produksjon AS	HYDRO	085	APPRAISAL	JUNKED	DRY	EXPLORATION	1985-04-01	1985-04-13	TROLL	459-L	31/6-1 TROLL ØST	NO	25	N H  8202 - 338  SP.  247	1.50	25.000000	698.00	698.000000	300.000000	OLIGOCENE	HORDALAND GP	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1985	1985	\N	\N	1	\N	\N	\N	\N	\N	\N	13	NO	ED50	60	33	19.68	N	3	40	39.04	E	60.555467	3.677511	6713624.350000	537156.130000	31	31	6	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=141	http://www.npd.no/FactMapSearch?NPDID_wellbore=141	initial	\N	2006-06-06	141	44552	46437	287956	0	21476	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
8/3-1	8/3-1	Esso Exploration and Production Norway A/S	ESSO	003	WILDCAT	P&A	DRY	EXPLORATION	1966-07-19	1966-10-10	\N	1-L	\N	NO	77	\N	0.00	26.000000	0.00	3015.000000	94.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	OCEAN TRAVELER	SEMISUB STEEL	1-A	NO	WILDCAT	1966	1966	\N	\N	1	\N	\N	\N	\N	\N	\N	84	NO	ED50	57	59	13.16	N	3	40	13.29	E	57.986989	3.670358	6427604.280000	539640.290000	31	8	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=142	http://www.npd.no/FactMapSearch?NPDID_wellbore=142	initial	\N	2005-04-22	142	\N	\N	288496	0	20780	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-1	25/11-1	Esso Exploration and Production Norway A/S	ESSO	001	WILDCAT	P&A	OIL	EXPLORATION	1966-10-18	1967-07-09	BALDER	2-L	25/11-1 BALDER	YES	71	\N	2.75	27.000000	0.00	2459.000000	126.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	OCEAN TRAVELER	SEMISUB STEEL	1-A	NO	WILDCAT	1966	1967	\N	\N	5	INTRA BALDER FM SS	EOCENE	\N	\N	\N	\N	265	NO	ED50	59	10	53.00	N	2	24	49.00	E	59.181389	2.413611	6560548.970000	466486.570000	31	25	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=143	http://www.npd.no/FactMapSearch?NPDID_wellbore=143	initial	\N	2007-12-19	143	44210	43562	288496	0	20756	ESSO	2012-07-25	2012-11-21	2013-05-08
16/2-1	16/2-1	Esso Exploration and Production Norway A/S	ESSO	001	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1967-07-11	1967-08-09	\N	3-L	\N	NO	73	C 309 C  SP: 19246	1.50	26.000000	1906.00	1906.000000	113.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	OCEAN TRAVELER	SEMISUB STEEL	1-A	NO	WILDCAT	1967	1967	\N	\N	12	\N	\N	\N	\N	\N	\N	30	NO	ED50	58	53	35.19	N	2	21	25.77	E	58.893108	2.357158	6528477.900000	462951.380000	31	16	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=144	http://www.npd.no/FactMapSearch?NPDID_wellbore=144	initial	\N	2006-10-19	144	\N	\N	288496	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
9/8-1	9/8-1	Esso Exploration and Production Norway A/S	ESSO	003	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1968-05-23	1968-06-29	\N	5-L	\N	NO	75	C 284  SP: 36142.	4.00	30.000000	0.00	2176.000000	68.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ENDEAVOUR	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1968	1968	\N	\N	12	\N	\N	\N	\N	\N	\N	38	NO	ED50	57	20	33.97	N	4	20	12.98	E	57.342769	4.336939	6356476.030000	580468.980000	31	9	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=145	http://www.npd.no/FactMapSearch?NPDID_wellbore=145	initial	\N	2005-04-25	145	\N	\N	296704	0	20780	ESSO	2012-07-25	2012-07-25	2013-05-08
16/7-1	16/7-1	Esso Exploration and Production Norway A/S	ESSO	001	WILDCAT	P&A	DRY	EXPLORATION	1967-08-11	1967-09-24	\N	6-L	\N	NO	91	C 287 (i)  SP: 185	36.00	26.000000	2726.00	2781.000000	80.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN TRAVELER	SEMISUB STEEL	1-A	NO	WILDCAT	1967	1967	\N	\N	1	\N	\N	\N	\N	\N	\N	45	NO	ED50	58	20	22.38	N	2	18	49.96	E	58.339550	2.313878	6466866.760000	459826.920000	31	16	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=146	http://www.npd.no/FactMapSearch?NPDID_wellbore=146	initial	\N	2004-09-24	146	\N	\N	288496	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
16/1-1	16/1-1	Esso Exploration and Production Norway A/S	ESSO	001	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1967-09-26	1967-12-10	\N	8-L	\N	NO	95	C 309 C  SP: 20470	4.25	26.000000	0.00	3203.000000	114.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	OCEAN TRAVELER	SEMISUB STEEL	1-A	NO	WILDCAT	1967	1967	\N	\N	12	\N	\N	\N	\N	\N	\N	76	NO	ED50	58	59	18.40	N	2	2	3.00	E	58.988444	2.034167	6539317.030000	444490.520000	31	16	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=147	http://www.npd.no/FactMapSearch?NPDID_wellbore=147	initial	\N	2007-06-28	147	\N	\N	288496	0	20756	ESSO	2013-01-22	2013-01-22	2013-05-08
16/6-1	16/6-1	Elf Petroleum Norge AS	ELF	007	WILDCAT	P&A	DRY	EXPLORATION	1967-11-07	1968-01-19	\N	9-L	\N	NO	65	LINE 0255 SP: 8910	0.00	28.000000	2060.80	2060.500000	117.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1967	1968	\N	\N	1	\N	\N	\N	\N	\N	\N	74	NO	ED50	58	42	6.00	N	2	54	44.00	E	58.701667	2.912222	6506985.910000	494913.160000	31	16	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=148	http://www.npd.no/FactMapSearch?NPDID_wellbore=148	initial	\N	2004-09-24	148	\N	\N	296407	0	20812	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7/11-1	7/11-1	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1968-02-26	1968-06-15	COD	10-L	7/11-1 COD	YES	145	NJV 5704  SP: 1238	11.50	27.000000	0.00	3974.000000	78.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1968	1968	\N	\N	17	INTRA BALDER FM SS	EOCENE	FORTIES FM	PALEOCENE	\N	\N	111	NO	ED50	57	4	15.60	N	2	26	24.40	E	57.071000	2.440111	6325570.430000	466051.280000	31	7	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=149	http://www.npd.no/FactMapSearch?NPDID_wellbore=149	initial	\N	2013-01-15	149	44960	43785	296407	0	20900	PHILLIPS	2013-01-17	2013-02-15	2013-05-08
9/4-1	9/4-1	Conoco Norway Inc.	CONOCO	013	WILDCAT	P&A	SHOWS	EXPLORATION	1968-03-31	1968-05-19	\N	11-L	\N	NO	75	line 5735 & SP 2462 1/2	5.25	29.000000	0.00	2963.000000	68.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ENDEAVOUR	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1968	1968	\N	\N	12	\N	\N	\N	\N	\N	\N	50	NO	ED50	57	35	2.00	N	4	1	13.00	E	57.583889	4.020278	6382987.510000	561007.440000	31	9	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=150	http://www.npd.no/FactMapSearch?NPDID_wellbore=150	initial	\N	2005-04-22	150	\N	\N	296704	0	20860	CONOCO	2012-07-25	2012-07-25	2013-05-08
16/9-1	16/9-1	Esso Exploration and Production Norway A/S	ESSO	002	WILDCAT	P&A	DRY	EXPLORATION	1968-05-08	1968-07-12	\N	12-L	\N	NO	101	LINE  NS - 9 . SP.530	0.00	9.000000	3655.00	3655.000000	89.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	1-A	NO	WILDCAT	1968	1968	\N	\N	1	\N	\N	\N	\N	\N	\N	66	NO	ED50	58	22	41.48	N	2	48	16.99	E	58.378189	2.804719	6470980.800000	488578.520000	31	16	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=151	http://www.npd.no/FactMapSearch?NPDID_wellbore=151	initial	\N	2004-09-24	151	\N	\N	288388	0	20772	ESSO	2012-07-25	2012-07-25	2013-05-08
9/4-3	9/4-3	Conoco Norway Inc.	CONOCO	013	WILDCAT	P&A	DRY	EXPLORATION	1972-07-14	1972-08-19	\N	74-L	\N	NO	68	LINE CN9-16	0.75	28.000000	0.00	2682.000000	72.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	OCEAN TIDE	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1972	1972	\N	\N	1	\N	\N	\N	\N	\N	\N	37	NO	ED50	57	36	54.50	N	4	18	57.70	E	57.615139	4.316028	6386770.590000	578623.150000	31	9	4	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=152	http://www.npd.no/FactMapSearch?NPDID_wellbore=152	initial	\N	2005-04-22	152	\N	\N	288469	0	20860	CONOCO	2012-07-25	2012-07-25	2013-05-08
17/4-1	17/4-1	Elf Petroleum Norge AS	ELF	007	WILDCAT	P&A	DRY	EXPLORATION	1968-06-17	1968-08-26	\N	14-L	\N	NO	98	LINE 5836  SP. C1325.	0.00	27.000000	0.00	3997.000000	105.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1968	1968	\N	\N	1	\N	\N	\N	\N	\N	\N	71	NO	ED50	58	35	54.00	N	3	16	5.00	E	58.598333	3.268056	6495507.610000	515580.130000	31	17	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=153	http://www.npd.no/FactMapSearch?NPDID_wellbore=153	initial	\N	2004-09-24	153	\N	\N	296407	0	20812	ELF NORGE	2012-07-25	2013-05-08	2013-05-08
1/3-1	1/3-1	A/S Norske Shell	SHELL	011	WILDCAT	P&A	GAS	EXPLORATION	1968-07-06	1968-11-11	\N	15-L	1/3-1	YES	182	LINE 5651  SP. E165	18.00	26.000000	0.00	4877.000000	71.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ORION	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1968	1968	\N	\N	9	TOR FM	LATE CRETACEOUS	CROMER KNOLL GP	EARLY CRETACEOUS	\N	\N	129	NO	ED50	56	51	21.00	N	2	51	5.00	E	56.855833	2.851389	6301488.860000	490936.870000	31	1	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=154	http://www.npd.no/FactMapSearch?NPDID_wellbore=154	initial	\N	2010-04-30	154	43820	\N	288604	0	20844	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-2	2/8-2	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	SHOWS	EXPLORATION	1970-06-28	1970-07-30	\N	16-L	\N	NO	89	LINE 72-01  SP.105.	3.50	26.000000	3246.00	3246.000000	69.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	ORION	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1970	1970	\N	\N	12	\N	\N	\N	\N	\N	\N	33	NO	ED50	56	29	52.85	N	3	28	33.60	E	56.498014	3.476000	6261750.200000	529305.510000	31	2	8	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=155	http://www.npd.no/FactMapSearch?NPDID_wellbore=155	initial	\N	2004-10-01	155	\N	\N	288604	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
7/11-2	7/11-2	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1968-07-21	1968-10-14	COD	17-L	7/11-1 COD	NO	125	NJV 5704  SP: 1248	2.00	27.000000	0.00	3427.000000	82.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	OCEAN TRAVELER	SEMISUB STEEL	1-A	NO	APPRAISAL	1968	1968	\N	\N	17	FORTIES FM	PALEOCENE	\N	\N	\N	\N	86	NO	ED50	57	4	15.20	N	2	24	26.50	E	57.070889	2.407361	6325574.830000	464065.410000	31	7	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=156	http://www.npd.no/FactMapSearch?NPDID_wellbore=156	initial	\N	2013-01-15	156	44960	43785	288496	0	20900	PHILLIPS	2013-02-16	2013-02-16	2013-05-08
7/12-1 S	7/12-1	Norwegian Gulf Exploration Company AS	GULF	019	WILDCAT	P&A	DRY	EXPLORATION	1968-08-31	1968-10-18	\N	18-L	\N	NO	\N	LINE N7-3.	\N	28.000000	\N	3312.000000	71.000000	EARLY CRETACEOUS	\N	NORTH SEA	GULFTIDE	JACK-UP 4 LEGS	1-A	NO	WILDCAT	1968	1968	\N	\N	1	\N	\N	\N	\N	\N	\N	49	NO	ED50	57	6	2.90	N	2	51	6.10	E	57.100806	2.851694	6328758.970000	491014.690000	31	7	12	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=157	http://www.npd.no/FactMapSearch?NPDID_wellbore=157	initial	\N	9999-12-31	157	\N	\N	288307	0	20916	GULF EXPLORATION	2012-07-25	2012-07-25	2013-05-08
7/8-1	7/8-1	Phillips Petroleum Company Norway	PHILLIPS	016	WILDCAT	P&A	DRY	EXPLORATION	1968-08-31	1969-02-05	\N	19-L	\N	NO	125	LINE 22830  SP. 1114	7.00	27.000000	0.00	3334.000000	82.000000	LATE TRIASSIC	GASSUM FM	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1968	1969	\N	\N	1	\N	\N	\N	\N	\N	\N	159	NO	ED50	57	19	20.60	N	2	28	28.80	E	57.322389	2.474667	6353538.760000	468362.200000	31	7	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=158	http://www.npd.no/FactMapSearch?NPDID_wellbore=158	initial	\N	2007-10-17	158	\N	\N	296407	0	20884	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/11-3	7/11-3	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1968-10-17	1969-02-07	COD	20-L	7/11-1 COD	NO	133	\N	3.70	27.000000	0.00	3350.000000	79.000000	PALEOCENE	EKOFISK FM	NORTH SEA	OCEAN TRAVELER	SEMISUB STEEL	1-A	NO	APPRAISAL	1968	1969	\N	\N	12	\N	\N	\N	\N	\N	\N	114	NO	ED50	57	2	58.80	N	2	28	18.80	E	57.049667	2.471889	6323180.270000	467959.730000	31	7	11	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=159	http://www.npd.no/FactMapSearch?NPDID_wellbore=159	initial	\N	2013-01-18	159	44960	43785	288496	0	20900	PHILLIPS	2013-02-16	2013-02-19	2013-05-08
2/6-1	2/6-1	Elf Petroleum Norge AS	ELF	008	WILDCAT	P&A	DRY	EXPLORATION	1969-04-21	1969-05-30	\N	21-L	\N	NO	95	LINE 686201 SP. 30.	2.50	29.000000	0.00	3336.000000	69.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1969	1969	\N	\N	1	\N	\N	\N	\N	\N	\N	40	NO	ED50	56	35	52.00	N	3	54	55.00	E	56.597778	3.915278	6273128.340000	556201.470000	31	2	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=160	http://www.npd.no/FactMapSearch?NPDID_wellbore=160	initial	\N	2009-03-09	160	\N	\N	296407	0	20820	ELF NORGE	2013-01-22	2013-01-22	2013-05-08
17/10-1	17/10-1	A/S Norske Shell	SHELL	010	WILDCAT	P&A	DRY	EXPLORATION	1968-12-30	1969-03-24	\N	22-L	\N	NO	106	LINE 310 S.P.1152.	0.00	26.000000	0.00	3591.000000	88.000000	EARLY TRIASSIC	SMITH BANK FM	NORTH SEA	SEDNETH I	SEMISUB STEEL	1-A	NO	WILDCAT	1968	1969	\N	\N	1	\N	\N	\N	\N	\N	\N	85	NO	ED50	58	1	54.00	N	3	9	58.00	E	58.031667	3.166111	6432394.040000	509810.510000	31	17	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=161	http://www.npd.no/FactMapSearch?NPDID_wellbore=161	initial	\N	2005-04-25	161	\N	\N	288847	0	20836	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/3-1	2/3-1	NORSKE MURPHY OIL COMPANY	MURPHY	022	WILDCAT	P&A	GAS	EXPLORATION	1969-02-10	1969-04-03	\N	23-L	2/3-1	YES	90	LINE 13.	0.00	27.000000	0.00	2934.000000	59.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN TRAVELER	SEMISUB STEEL	1-A	NO	WILDCAT	1969	1969	\N	\N	9	VADE FM	OLIGOCENE	\N	\N	\N	\N	53	NO	ED50	56	53	9.46	N	3	51	38.08	E	56.885961	3.860578	6305162.640000	552439.870000	31	2	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=162	http://www.npd.no/FactMapSearch?NPDID_wellbore=162	initial	\N	2004-06-29	162	44042	\N	288496	0	20948	NORSKE MURPHY	2012-07-25	2012-07-25	2013-05-08
9/12-1	9/12-1	A/S Norske Shell	SHELL	012	WILDCAT	P&A	DRY	EXPLORATION	1969-03-28	1969-05-06	\N	24-L	\N	NO	73	LINE 310  SP. 1692.	3.00	26.000000	0.00	2698.000000	61.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	SEDNETH I	SEMISUB STEEL	1-A	NO	WILDCAT	1969	1969	\N	\N	1	\N	\N	\N	\N	\N	\N	40	NO	ED50	57	11	40.00	N	4	57	21.00	E	57.194444	4.955833	6340869.090000	618188.740000	31	9	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=163	http://www.npd.no/FactMapSearch?NPDID_wellbore=163	initial	\N	2005-04-25	163	\N	\N	288847	0	20852	SHELL NORGE	2012-12-19	2012-12-19	2013-05-08
7/3-1	7/3-1	Amoco Norway Oil Company	AMOCO	005	WILDCAT	P&A	DRY	EXPLORATION	1969-04-07	1969-06-10	\N	25-L	\N	NO	131	LINE 66-14  SP.2091	3.75	31.000000	4700.00	4700.000000	64.000000	CARBONIFEROUS	UNDEFINED GP	NORTH SEA	ORION	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1969	1969	\N	\N	1	\N	\N	\N	\N	\N	\N	65	NO	ED50	57	50	35.25	N	2	44	55.61	E	57.843125	2.748781	6411418.070000	485085.010000	31	7	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=164	http://www.npd.no/FactMapSearch?NPDID_wellbore=164	initial	\N	2004-09-24	164	\N	\N	288604	0	20796	AMOCO	2012-07-25	2012-07-25	2013-05-08
1/3-2	1/3-2	A/S Norske Shell	SHELL	011	WILDCAT	P&A	DRY	EXPLORATION	1969-05-14	1969-07-27	\N	26-L	\N	NO	143	LINE 5656  SP.5125	0.00	26.000000	0.00	4297.000000	73.000000	EARLY CRETACEOUS	SOLA FM	NORTH SEA	SEDNETH I	SEMISUB STEEL	1-A	NO	WILDCAT	1969	1969	\N	\N	1	\N	\N	\N	\N	\N	\N	75	NO	ED50	56	56	10.00	N	2	45	0.00	E	56.936111	2.750000	6310443.200000	484786.280000	31	1	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=165	http://www.npd.no/FactMapSearch?NPDID_wellbore=165	initial	\N	2010-04-30	165	\N	\N	288847	0	20844	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
8/10-1	8/10-1	Phillips Petroleum Company Norway	PHILLIPS	017	WILDCAT	P&A	DRY	EXPLORATION	1969-05-30	1969-07-01	\N	27-L	\N	NO	101	PG 030340 & SP30	13.50	27.000000	0.00	3089.000000	66.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1969	1969	\N	\N	1	\N	\N	\N	\N	\N	\N	33	NO	ED50	57	8	1.04	N	3	3	55.09	E	57.133622	3.065303	6332404.310000	503952.970000	31	8	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=166	http://www.npd.no/FactMapSearch?NPDID_wellbore=166	initial	\N	2004-09-24	166	\N	\N	296407	0	20892	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/11-4	7/11-4	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	DRY	EXPLORATION	1969-07-02	1969-07-31	MIME	28-L	7/11-5 MIME	NO	106	line PW 7-11 B & SP44	4.60	27.000000	0.00	3322.000000	79.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1969	1969	\N	\N	1	\N	\N	\N	\N	\N	\N	30	NO	ED50	57	7	30.50	N	2	29	21.40	E	57.125139	2.489278	6331573.790000	469077.560000	31	7	11	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=167	http://www.npd.no/FactMapSearch?NPDID_wellbore=167	initial	\N	2007-10-17	167	44966	43792	296407	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/11-1	2/11-1	Amoco Norway Oil Company	AMOCO	033	APPRAISAL	P&A	OIL	EXPLORATION	1969-07-14	1969-10-03	VALHALL	29-L	2/8-6 VALHALL	NO	133	LINE 70 - 17.	11.00	27.000000	0.00	4691.000000	68.000000	LATE JURASSIC	HAUGESUND FM	NORTH SEA	ORION	JACK-UP 3 LEGS	2-A	NO	WILDCAT	1969	1969	\N	\N	5	TOR FM	LATE CRETACEOUS	\N	\N	\N	\N	82	NO	ED50	56	14	16.98	N	3	27	7.05	E	56.238050	3.451958	6232804.370000	528015.410000	31	2	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=168	http://www.npd.no/FactMapSearch?NPDID_wellbore=168	initial	\N	2007-01-18	168	44162	43548	288604	0	21052	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/3-2	2/3-2	NORSKE MURPHY OIL COMPANY	MURPHY	022	APPRAISAL	P&A	DRY	EXPLORATION	1969-07-26	1969-08-13	\N	30-L	2/3-1	NO	76	LINE 13.	0.00	27.000000	0.00	2297.000000	58.000000	PALEOCENE	VIDAR FM	NORTH SEA	OCEAN TRAVELER	SEMISUB STEEL	1-A	NO	APPRAISAL	1969	1969	\N	\N	1	\N	\N	\N	\N	\N	\N	19	NO	ED50	56	54	53.70	N	3	49	2.28	E	56.914917	3.817300	6308353.440000	549764.260000	31	2	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=169	http://www.npd.no/FactMapSearch?NPDID_wellbore=169	initial	\N	2004-10-01	169	44042	\N	288496	0	20948	NORSKE MURPHY	2012-07-25	2012-07-25	2013-05-08
11/10-1	11/10-1	Syracuse Oils Norge A/S	SYRACUSE	021	WILDCAT	P&A	DRY	EXPLORATION	1969-08-02	1969-08-19	\N	31-L	\N	NO	68	LINE 610  SP. 2050.	0.00	27.000000	2430.00	2430.000000	63.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1969	1969	\N	\N	1	\N	\N	\N	\N	\N	\N	18	NO	ED50	57	0	46.00	N	6	10	4.70	E	57.012778	6.167972	6322515.780000	328039.300000	32	11	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=170	http://www.npd.no/FactMapSearch?NPDID_wellbore=170	initial	\N	2004-12-01	170	\N	\N	296407	0	20940	SYRACUSE	2012-07-25	2012-07-25	2013-05-08
2/4-2	2/4-2	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL	EXPLORATION	1969-09-18	1969-12-24	EKOFISK	34-L	2/4-2 EKOFISK	YES	133	LINE PG-0312  SP: 698.	6.75	27.000000	0.00	3305.000000	70.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1969	1969	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	98	NO	ED50	56	32	8.65	N	3	11	54.57	E	56.535736	3.198492	6265865.230000	512208.290000	31	2	4	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=172	http://www.npd.no/FactMapSearch?NPDID_wellbore=172	initial	\N	2007-01-18	172	44072	43506	296407	0	20900	PHILLIPS	2012-07-25	2012-08-10	2013-05-08
25/8-1	25/8-1	Esso Exploration and Production Norway A/S	ESSO	027	WILDCAT	P&A	OIL	EXPLORATION	1970-04-28	1970-07-04	BALDER	36-L	25/8-1 RINGHORNE	YES	71	LINE CS 40.sp 5650	0.00	9.000000	0.00	2606.000000	129.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	2-A	NO	WILDCAT	1970	1970	\N	\N	5	HERMOD FM	PALEOCENE	\N	\N	\N	\N	68	NO	ED50	59	15	2.24	N	2	29	38.21	E	59.250622	2.493947	6568220.990000	471136.400000	31	25	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=173	http://www.npd.no/FactMapSearch?NPDID_wellbore=173	initial	\N	2010-08-01	173	44312	43562	288388	0	20988	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-4	2/4-4	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	OIL	EXPLORATION	1970-06-02	1970-08-01	EKOFISK	37-L	2/4-2 EKOFISK	NO	121	LINE PG-0312  SP: 685	1.50	27.000000	3424.00	3424.000000	71.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	APPRAISAL	1970	1970	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	61	NO	ED50	56	30	47.90	N	3	12	39.48	E	56.513306	3.210967	6263370.750000	512983.230000	31	2	4	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=174	http://www.npd.no/FactMapSearch?NPDID_wellbore=174	initial	\N	2007-04-02	174	44072	43506	296407	0	20900	PHILLIPS	2013-01-22	2013-01-22	2013-05-08
10/8-1	10/8-1	Elf Petroleum Norge AS	ELF	009	WILDCAT	P&A	DRY	EXPLORATION	1970-12-12	1971-01-17	\N	38-L	\N	NO	57	line 70/57 25 & SP 7014	0.00	24.000000	0.00	2861.000000	81.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	PENTAGONE 81	SEMISUB STEEL	1-A	NO	WILDCAT	1970	1971	\N	\N	1	\N	\N	\N	\N	\N	\N	37	NO	ED50	57	25	0.01	N	5	34	21.71	E	57.416669	5.572697	6366836.520000	654520.930000	31	10	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=175	http://www.npd.no/FactMapSearch?NPDID_wellbore=175	initial	\N	2005-04-22	175	\N	\N	288631	0	20828	ELF NORGE	2012-07-25	2013-05-08	2013-05-08
9/4-2	9/4-2	Texaco Exploration Norway AS	TEXACO	013	WILDCAT	P&A	DRY	EXPLORATION	1970-07-19	1970-08-29	\N	39-L	\N	NO	76	LINE CN9-16.	3.00	29.000000	0.00	3025.000000	70.000000	MIDDLE TRIASSIC	SKAGERRAK FM	NORTH SEA	GULFTIDE	JACK-UP 4 LEGS	1-A	NO	WILDCAT	1970	1970	\N	\N	1	\N	\N	\N	\N	\N	\N	42	NO	ED50	57	41	11.05	N	4	2	34.85	E	57.686403	4.043014	6394420.370000	562191.390000	31	9	4	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=176	http://www.npd.no/FactMapSearch?NPDID_wellbore=176	initial	\N	2005-04-22	176	\N	\N	288307	0	20860	TEXACO	2012-07-25	2012-07-25	2013-05-08
2/4-5	2/4-5	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	OIL	EXPLORATION	1970-06-21	1970-08-27	EKOFISK	40-L	2/4-2 EKOFISK	NO	132	LINE PG-0312 - SP 719	3.50	24.000000	0.00	3320.000000	68.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	PENTAGONE 81	SEMISUB STEEL	1-A	NO	APPRAISAL	1970	1970	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	68	NO	ED50	56	34	27.24	N	3	12	11.82	E	56.574233	3.203283	6270151.280000	512490.310000	31	2	4	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=177	http://www.npd.no/FactMapSearch?NPDID_wellbore=177	initial	\N	2007-04-02	177	44072	43506	288631	0	20900	PHILLIPS	2013-01-22	2013-01-22	2013-05-08
2/5-1	2/5-1	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL	EXPLORATION	1970-08-01	1970-11-22	TOR	41-L	2/5-1 TOR	YES	125	\N	22.00	27.000000	0.00	3972.000000	68.000000	LATE JURASSIC	FARSUND FM	NORTH SEA	ORION	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1970	1970	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	114	NO	ED50	56	38	19.95	N	3	20	7.94	E	56.638875	3.335539	6277378.570000	520581.270000	31	2	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=178	http://www.npd.no/FactMapSearch?NPDID_wellbore=178	initial	\N	2007-04-02	178	44084	43520	288604	0	20804	AMOCO	2012-07-25	2013-03-16	2013-05-08
2/7-1	2/7-1	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL	EXPLORATION	1970-08-03	1970-12-11	ELDFISK	42-L	2/7-1 ELDFISK	YES	\N	LINE PG-031430 S  SP.452	\N	27.000000	\N	4573.000000	71.000000	LATE JURASSIC	\N	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1970	1970	\N	\N	5	\N	PALEOCENE	\N	\N	\N	\N	131	NO	ED50	56	25	44.68	N	3	12	14.21	E	56.429078	3.203947	6253994.050000	512579.070000	31	2	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=179	http://www.npd.no/FactMapSearch?NPDID_wellbore=179	initial	\N	9999-12-31	179	44114	43527	296407	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/10-2	25/10-2	Esso Exploration and Production Norway A/S	ESSO	028	WILDCAT	SUSP.REENTERED LATER	OIL SHOWS	EXPLORATION	1970-08-05	1970-08-25	\N	43-L	\N	NO	90	Line SC-68 & Shotpoint 7026	0.00	9.000000	0.00	2191.000000	121.000000	PALEOCENE	LISTA FM	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	2-A	NO	WILDCAT	1970	1970	\N	\N	12	\N	\N	\N	\N	\N	\N	21	NO	ED50	59	9	38.40	N	2	11	38.20	E	59.160667	2.193944	6558372.500000	453904.590000	31	25	10	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=180	http://www.npd.no/FactMapSearch?NPDID_wellbore=180	initial	\N	2003-08-29	180	\N	\N	288388	0	21004	ESSO	2012-07-25	2012-07-25	2013-05-08
2/4-6	2/4-6	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1970-08-28	1970-12-10	VEST EKOFISK	44-L	2/4-6 VEST EKOFISK	YES	137	\N	1.30	24.000000	3411.00	3411.000000	69.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	PENTAGONE 81	SEMISUB STEEL	1-A	NO	WILDCAT	1970	1970	\N	\N	17	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	105	NO	ED50	56	34	0.40	N	3	5	8.20	E	56.566778	3.085611	6269306.180000	505261.230000	31	2	4	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=181	http://www.npd.no/FactMapSearch?NPDID_wellbore=181	initial	\N	2007-04-16	181	44078	43513	288631	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/10-3	25/10-3	Esso Exploration and Production Norway A/S	ESSO	028	APPRAISAL	P&A	OIL	EXPLORATION	1970-08-27	1970-09-13	BALDER	45-L	25/11-1 BALDER	NO	63	line sc 72-shot point 6626	0.00	10.000000	1921.00	1921.000000	126.000000	PALEOCENE	EKOFISK FM	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	2-A	NO	APPRAISAL	1970	1970	\N	\N	5	INTRA BALDER FM SS	EOCENE	\N	\N	\N	\N	18	NO	ED50	59	12	58.99	N	2	19	41.96	E	59.216386	2.328322	6564492.050000	461651.460000	31	25	10	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=182	http://www.npd.no/FactMapSearch?NPDID_wellbore=182	initial	\N	2010-01-10	182	44210	43562	288388	0	21004	ESSO	2012-07-25	2012-07-25	2013-05-08
9/10-1	9/10-1	NORSKE MURPHY OIL COMPANY	MURPHY	022	WILDCAT	P&A	DRY	EXPLORATION	1970-08-30	1970-09-18	\N	46-L	\N	NO	57	\N	0.75	29.000000	0.00	2205.000000	59.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	GULFTIDE	JACK-UP 4 LEGS	1-A	NO	WILDCAT	1970	1970	\N	\N	1	\N	\N	\N	\N	\N	\N	20	NO	ED50	57	0	4.02	N	4	0	33.52	E	57.001117	4.009311	6318104.700000	561313.410000	31	9	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=183	http://www.npd.no/FactMapSearch?NPDID_wellbore=183	initial	\N	2005-04-22	183	\N	\N	288307	0	20948	NORSKE MURPHY	2012-07-25	2012-07-25	2013-05-08
25/11-2	25/11-2	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	SHOWS	EXPLORATION	1970-09-13	1970-09-24	BALDER	47-L	25/11-1 BALDER	NO	61	LINE SC 72 & sp 6660	0.00	10.000000	1824.00	1824.000000	130.000000	PALEOCENE	SELE FM	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	1-A	NO	APPRAISAL	1970	1970	\N	\N	12	\N	\N	\N	\N	\N	\N	12	NO	ED50	59	13	1.55	N	2	24	35.10	E	59.217097	2.409750	6564527.250000	466301.090000	31	25	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=184	http://www.npd.no/FactMapSearch?NPDID_wellbore=184	initial	\N	2010-04-30	184	44210	43562	288388	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-3	25/11-3	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	DRY	EXPLORATION	1970-09-25	1970-10-14	BALDER	48-L	25/11-1 BALDER	NO	63	line SC 71 & sp 7375	0.00	10.000000	0.00	1858.000000	127.000000	PALEOCENE	EKOFISK FM	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	1-A	NO	APPRAISAL	1970	1970	\N	\N	1	\N	\N	\N	\N	\N	\N	20	NO	ED50	59	10	36.20	N	2	26	19.10	E	59.176722	2.438639	6560017.010000	467912.570000	31	25	11	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=185	http://www.npd.no/FactMapSearch?NPDID_wellbore=185	initial	\N	2010-04-30	185	44210	43562	288388	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-4	25/11-4	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	SHOWS	EXPLORATION	1970-10-15	1970-11-20	BALDER	49-L	25/11-1 BALDER	NO	71	line SC -68 sp 6942	0.00	10.000000	0.00	1896.000000	127.000000	PALEOCENE	EKOFISK FM	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	1-A	NO	APPRAISAL	1970	1970	\N	\N	12	\N	\N	\N	\N	\N	\N	37	NO	ED50	59	9	38.79	N	2	23	25.07	E	59.160775	2.390297	6558265.450000	465133.180000	31	25	11	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=186	http://www.npd.no/FactMapSearch?NPDID_wellbore=186	initial	\N	2010-04-30	186	44210	43562	288388	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
2/7-2	2/7-2	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL	EXPLORATION	1970-12-13	1971-03-02	\N	50-L	2/7-2	YES	132	LINE PW 0309-SP 66	4.00	27.000000	0.00	3964.000000	71.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1970	1971	\N	\N	5	TOR FM	LATE CRETACEOUS	\N	\N	\N	\N	80	NO	ED50	56	16	0.85	N	3	9	9.04	E	56.266903	3.152511	6235934.460000	509446.590000	31	2	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=187	http://www.npd.no/FactMapSearch?NPDID_wellbore=187	initial	\N	2010-10-06	187	44126	\N	296407	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/5-2	2/5-2	Amoco Norway Oil Company	AMOCO	006	APPRAISAL	P&A	OIL	EXPLORATION	1971-01-15	1971-04-20	TOR	51-L	2/5-1 TOR	NO	120	\N	1.00	35.000000	0.00	3597.000000	66.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	MÆRSK EXPLORER	JACK-UP 3 LEGS	1-A	NO	APPRAISAL	1971	1971	\N	\N	5	EKOFISK FM	PALEOCENE	\N	\N	\N	\N	96	NO	ED50	56	38	41.60	N	3	22	20.60	E	56.644889	3.372389	6278059.650000	522837.920000	31	2	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=188	http://www.npd.no/FactMapSearch?NPDID_wellbore=188	initial	\N	2007-04-02	188	44084	43520	362316	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
16/5-1	16/5-1	Elf Petroleum Norge AS	ELF	007	WILDCAT	P&A	DRY	EXPLORATION	1971-01-17	1971-02-08	\N	52-L	\N	NO	44	\N	0.00	24.000000	1943.00	1943.000000	103.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	PENTAGONE 81	SEMISUB STEEL	1-A	NO	WILDCAT	1971	1971	\N	\N	1	\N	\N	\N	\N	\N	\N	23	NO	ED50	58	38	53.66	N	2	29	39.69	E	58.648239	2.494358	6501144.010000	470652.690000	31	16	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=189	http://www.npd.no/FactMapSearch?NPDID_wellbore=189	initial	\N	2004-09-24	189	\N	\N	288631	0	20812	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-1	25/1-1	Elf Petroleum Norge AS	ELF	024	WILDCAT	P&A	OIL/GAS	EXPLORATION	1971-03-30	1971-07-22	FRIGG	53-L	25/1-1 FRIGG	YES	98	line 69205-SP 162	4.20	24.000000	0.00	4570.000000	101.000000	MIDDLE JURASSIC	HUGIN FM	NORTH SEA	PENTAGONE 81	SEMISUB STEEL	2-A	NO	WILDCAT	1971	1971	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	115	NO	ED50	59	53	17.40	N	2	4	42.70	E	59.888167	2.078528	6639470.410000	448427.570000	31	25	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=190	http://www.npd.no/FactMapSearch?NPDID_wellbore=190	initial	\N	2009-05-26	190	44204	43555	288631	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7/9-1	7/9-1	Conoco Norway Inc.	CONOCO	020	WILDCAT	P&A	DRY	EXPLORATION	1971-04-22	1971-05-29	\N	54-L	\N	NO	113	LINE N 7-3.  SP.42	5.50	31.000000	0.00	2931.000000	70.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	MÆRSK EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1971	1971	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	57	20	37.10	N	2	51	21.40	E	57.343639	2.855944	6355791.530000	491329.320000	31	7	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=191	http://www.npd.no/FactMapSearch?NPDID_wellbore=191	initial	\N	2004-09-24	191	\N	\N	362316	0	20932	CONOCO	2012-07-25	2012-07-25	2013-05-08
7/1-1	7/1-1	Amoco Norway Oil Company	AMOCO	004	WILDCAT	P&A	DRY	EXPLORATION	1971-07-03	1971-08-05	\N	55-L	\N	NO	93	LINE 66-9. SP.1597	1.00	34.000000	0.00	2808.000000	82.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1971	1971	\N	\N	1	\N	\N	\N	\N	\N	\N	34	NO	ED50	57	47	52.00	N	2	9	56.00	E	57.797778	2.165556	6406647.320000	450397.190000	31	7	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=192	http://www.npd.no/FactMapSearch?NPDID_wellbore=192	initial	\N	2009-05-26	192	\N	\N	362316	0	20788	AMOCO	2012-07-25	2012-07-25	2013-05-08
8/12-1	8/12-1	Conoco Norway Inc.	CONOCO	014	WILDCAT	P&A	DRY	EXPLORATION	1971-05-31	1971-07-23	\N	56-L	\N	NO	82	LINE C 8-6. SP.70	0.00	34.000000	0.00	2875.000000	62.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1971	1971	\N	\N	1	\N	\N	\N	\N	\N	\N	54	NO	ED50	57	13	18.60	N	3	46	45.13	E	57.221833	3.779203	6342491.380000	547054.640000	31	8	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=193	http://www.npd.no/FactMapSearch?NPDID_wellbore=193	initial	\N	2004-09-24	193	\N	\N	362316	0	20868	CONOCO	2012-07-25	2012-07-25	2013-05-08
9/11-1	9/11-1	Conoco Norway Inc.	CONOCO	014	WILDCAT	P&A	SHOWS	EXPLORATION	1971-07-03	1971-08-19	\N	57-L	\N	NO	68	\N	0.00	25.000000	0.00	2196.000000	65.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	TRANSWORLD RIG61	SEMISUB STEEL	1-A	NO	WILDCAT	1971	1971	\N	\N	12	\N	\N	\N	\N	\N	\N	48	NO	ED50	57	0	41.40	N	4	31	40.60	E	57.011500	4.527944	6319845.510000	592790.860000	31	9	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=194	http://www.npd.no/FactMapSearch?NPDID_wellbore=194	initial	\N	2005-04-25	194	\N	\N	362531	0	20868	CONOCO	2012-07-25	2012-07-25	2013-05-08
25/1-2	25/1-2	Elf Petroleum Norge AS	ELF	024	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1971-07-22	1971-08-25	FRIGG	58-L	25/1-1 FRIGG	NO	\N	LINE 69205 SP.216	\N	24.000000	\N	2772.000000	103.000000	LATE CRETACEOUS	\N	NORTH SEA	PENTAGONE 81	SEMISUB STEEL	2-A	NO	APPRAISAL	1971	1971	\N	\N	13	\N	EOCENE	\N	\N	\N	\N	35	NO	ED50	59	56	8.00	N	2	4	54.60	E	59.935556	2.081833	6644745.250000	448685.750000	31	25	1	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=195	http://www.npd.no/FactMapSearch?NPDID_wellbore=195	initial	\N	9999-12-31	195	44204	43555	288631	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/4-7	2/4-7	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	OIL	EXPLORATION	1971-07-24	1971-10-08	TOR	59-L	2/5-1 TOR	NO	142	\N	0.75	34.000000	0.00	3494.000000	68.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	MÆRSK EXPLORER	JACK-UP 3 LEGS	1-A	NO	APPRAISAL	1971	1971	\N	\N	5	TOR FM	LATE CRETACEOUS	\N	\N	\N	\N	77	NO	ED50	56	38	5.40	N	3	16	45.30	E	56.634833	3.279250	6276913.210000	517130.460000	31	2	4	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=196	http://www.npd.no/FactMapSearch?NPDID_wellbore=196	initial	\N	2007-04-02	196	44084	43520	362316	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
15/6-1	15/6-1	Esso Exploration and Production Norway A/S	ESSO	029	WILDCAT	P&A	DRY	EXPLORATION	1971-08-07	1971-09-08	\N	60-L	\N	NO	41	LINE SC 23 SP.7493	0.00	9.000000	1616.00	1679.000000	115.500000	EOCENE	HORDALAND GP	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	2-A	NO	WILDCAT	1971	1971	\N	\N	1	\N	\N	\N	\N	\N	\N	33	NO	ED50	58	32	48.26	N	1	41	32.80	E	58.546739	1.692444	6490472.460000	423892.240000	31	15	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=197	http://www.npd.no/FactMapSearch?NPDID_wellbore=197	initial	\N	2007-12-19	197	\N	\N	288388	0	21020	ESSO	2012-07-25	2012-07-25	2013-05-08
2/3-3	2/3-3	NORSKE MURPHY OIL COMPANY	MURPHY	022	WILDCAT	P&A	DRY	EXPLORATION	1971-10-08	1971-11-20	\N	61-L	\N	NO	73	LINE 13.	0.00	31.000000	2973.00	2973.000000	56.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN TIDE	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1971	1971	\N	\N	1	\N	\N	\N	\N	\N	\N	44	NO	ED50	56	48	18.90	N	3	58	11.50	E	56.805250	3.969861	6296267.730000	559226.210000	31	2	3	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=198	http://www.npd.no/FactMapSearch?NPDID_wellbore=198	initial	\N	2004-09-24	198	\N	\N	288469	0	20948	NORSKE MURPHY	2012-07-25	2012-07-25	2013-05-08
15/12-3	15/12-3	Den norske stats oljeselskap a.s	STATOIL	038	WILDCAT	P&A	DRY	EXPLORATION	1980-06-21	1980-12-22	\N	252-L	\N	NO	136	SP.1720 & line 511-324	3.00	25.000000	4449.00	4450.000000	86.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	NORDRAUG	SEMISUB STEEL	3	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	185	NO	ED50	58	14	36.59	N	1	52	45.67	E	58.243497	1.879353	6456514.340000	434208.300000	31	15	12	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=199	http://www.npd.no/FactMapSearch?NPDID_wellbore=199	initial	\N	2008-08-15	199	\N	\N	298081	0	21092	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-17	2/7-17	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	JUNKED	DRY	EXPLORATION	1980-06-24	1980-07-12	\N	253-L	\N	NO	51	PG 0306 15 SP.12	0.00	25.000000	1600.00	1600.000000	73.000000	MIOCENE	NORDLAND GP	NORTH SEA	BORGSTEN DOLPHIN	SEMISUB STEEL	1-A	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	19	NO	ED50	56	20	13.00	N	3	6	4.00	E	56.336944	3.101111	6243724.740000	506251.410000	31	2	7	\N	17	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=200	http://www.npd.no/FactMapSearch?NPDID_wellbore=200	initial	\N	2007-01-18	200	\N	\N	288334	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/4-5	25/4-5	Elf Petroleum Norge AS	ELF	036	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1980-06-26	1981-03-26	HEIMDAL	254-L	25/4-1 HEIMDAL	NO	140	LINE 780 - 206	5.70	25.300000	4355.00	4355.000000	121.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	2-A	NO	APPRAISAL	1980	1981	\N	\N	13	HEIMDAL FM	PALEOCENE	SLEIPNER FM	MIDDLE JURASSIC	STATFJORD FM	EARLY JURASSIC      	273	NO	ED50	59	34	4.75	N	2	11	39.21	E	59.567986	2.194225	6603729.890000	454469.520000	31	25	4	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=201	http://www.npd.no/FactMapSearch?NPDID_wellbore=201	initial	\N	2006-02-15	201	44252	43590	297514	0	21076	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
6507/12-1	6507/12-1	Saga Petroleum ASA	SAGA	059	WILDCAT	P&A	DRY	EXPLORATION	1980-07-01	1980-10-26	\N	255-L	\N	NO	131	803-472 SP.590	19.60	25.000000	3712.00	3720.000000	225.000000	TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	5	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	118	NO	ED50	65	7	1.62	N	7	42	42.61	E	65.117117	7.711836	7222304.750000	439520.780000	32	6507	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=202	http://www.npd.no/FactMapSearch?NPDID_wellbore=202	initial	\N	2004-06-29	202	\N	\N	341331	0	21268	SAGA	2012-12-08	2012-12-08	2013-05-08
30/3-2	30/3-2	Den norske stats oljeselskap a.s	STATOIL	052	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1980-07-04	1980-08-15	\N	256-L	\N	NO	35	702 154   SP. 233	0.00	25.000000	955.00	955.000000	186.000000	MIOCENE	HORDALAND GP	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	4	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	43	NO	ED50	60	47	49.23	N	2	55	18.06	E	60.797008	2.921683	6740339.450000	495736.960000	31	30	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=203	http://www.npd.no/FactMapSearch?NPDID_wellbore=203	initial	\N	2007-10-17	203	\N	\N	289090	0	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-12	34/10-12	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	P&A	DRY	EXPLORATION	1981-07-16	1981-09-12	\N	295-L	\N	NO	\N	LINE 709 401  SP: 630.	\N	25.000000	\N	2800.000000	138.000000	EARLY JURASSIC	\N	NORTH SEA	NORDRAUG	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1981	1981	\N	\N	1	\N	\N	\N	\N	\N	\N	59	NO	ED50	61	9	26.69	N	2	6	21.72	E	61.157414	2.106033	6780810.910000	451887.140000	31	34	10	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=204	http://www.npd.no/FactMapSearch?NPDID_wellbore=204	initial	\N	9999-12-31	204	\N	\N	298081	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/8-1	35/8-1	Norwegian Gulf Exploration Company AS	GULF	058	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1980-07-27	1981-01-24	VEGA	258-L	35/8-1 VEGA	YES	152	79 - 2 - 35A SP 460	0.00	26.000000	4344.00	4344.900000	376.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	SEDCO 704	SEMISUB STEEL	4	NO	WILDCAT	1980	1981	\N	\N	17	TARBERT FM	MIDDLE JURASSIC	NESS FM	MIDDLE JURASSIC	ETIVE FM	MIDDLE JURASSIC     	182	NO	ED50	61	21	26.37	N	3	21	44.09	E	61.357325	3.362247	6802804.700000	519372.880000	31	35	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=205	http://www.npd.no/FactMapSearch?NPDID_wellbore=205	initial	\N	2010-08-01	205	44774	4467595	288820	0	21260	GULF EXPLORATION	2012-07-25	2013-01-10	2013-05-08
2/7-18	2/7-18	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	JUNKED	DRY	EXPLORATION	1980-08-20	1980-08-31	\N	259-L	\N	NO	0	PG 0306 15 & SP 12	0.00	25.000000	601.00	601.000000	73.000000	PLIOCENE	NORDLAND GP	NORTH SEA	BORGSTEN DOLPHIN	SEMISUB STEEL	1-A	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	12	NO	ED50	56	20	18.36	N	3	6	13.61	E	56.338433	3.103781	6243890.710000	506416.200000	31	2	7	\N	18	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=206	http://www.npd.no/FactMapSearch?NPDID_wellbore=206	initial	\N	2007-01-18	206	\N	\N	288334	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
15/5-3	15/5-3	Norsk Hydro Produksjon AS	HYDRO	048	WILDCAT	P&A	DRY	EXPLORATION	1980-08-21	1980-12-06	\N	260-L	\N	NO	\N	508 310 SP.606	\N	25.000000	\N	5042.000000	110.000000	DEVONIAN	\N	NORTH SEA	NORTRYM	SEMISUB STEEL	3	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	108	NO	ED50	58	43	47.93	N	1	38	12.05	E	58.729981	1.636681	6510938.120000	421061.300000	31	15	5	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=207	http://www.npd.no/FactMapSearch?NPDID_wellbore=207	initial	\N	9999-12-31	207	\N	\N	288010	0	21172	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-4	31/2-4	A/S Norske Shell	SHELL	054	APPRAISAL	SUSP.REENTERED LATER	DRY	EXPLORATION	1980-09-01	1980-09-13	TROLL	261-L	31/2-1 TROLL VEST	NO	0	TLGS 78 - 6C & D - 26	0.50	25.000000	815.00	815.000000	336.000000	OLIGOCENE	HORDALAND GP	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	13	NO	ED50	60	51	23.57	N	3	30	44.33	E	60.856547	3.512314	6747077.420000	527835.000000	31	31	2	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=208	http://www.npd.no/FactMapSearch?NPDID_wellbore=208	initial	\N	2006-02-15	208	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-5	31/2-5	A/S Norske Shell	SHELL	054	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1980-10-26	1980-12-21	TROLL	263-L	31/2-1 TROLL VEST	NO	79	79421 SP. 274	1.50	32.000000	2532.00	2532.000000	333.000000	TRIASSIC	HEGRE GP	NORTH SEA	WEST VENTURE OLD	SEMISUB STEEL	4	NO	WILDCAT	1980	1980	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	57	NO	ED50	60	46	16.20	N	3	25	53.46	E	60.771167	3.431517	6737535.760000	523507.710000	31	31	2	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=210	http://www.npd.no/FactMapSearch?NPDID_wellbore=210	initial	\N	2005-11-07	210	44534	46437	362494	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-11	34/10-11	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	1980-10-24	1981-03-04	GULLFAKS	264-L	34/10-1 GULLFAKS	NO	\N	S 3D 152    SP 365	\N	25.000000	\N	2151.000000	229.000000	LATE TRIASSIC	\N	NORTH SEA	ROSS RIG	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1980	1981	\N	\N	5	\N	EARLY JURASSIC	\N	LATE TRIASSIC	\N	\N	132	NO	ED50	61	13	20.84	N	2	17	32.90	E	61.222456	2.292472	6787932.930000	461999.280000	31	34	10	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=211	http://www.npd.no/FactMapSearch?NPDID_wellbore=211	initial	\N	9999-12-31	211	44594	43686	294382	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-20	34/10-20	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	JUNKED	DRY	EXPLORATION	1983-12-23	1984-04-23	\N	399-L	\N	NO	\N	ST 8313 - 410  SP 220	\N	22.000000	\N	3743.000000	135.000000	EARLY CRETACEOUS	\N	NORTH SEA	ROSS ISLE	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1983	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	123	NO	ED50	61	1	20.39	N	2	17	45.74	E	61.022331	2.296039	6765639.550000	461951.000000	31	34	10	\N	20	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=212	http://www.npd.no/FactMapSearch?NPDID_wellbore=212	initial	\N	9999-12-31	212	\N	\N	296245	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-9	25/11-9	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1980-11-04	1980-12-07	BALDER	266-L	25/11-1 BALDER	NO	57	218 SP.227	0.00	25.000000	1910.00	1910.000000	126.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	NORSKALD	SEMISUB STEEL	1-A	NO	APPRAISAL	1980	1980	\N	\N	13	INTRA BALDER FM SS	EOCENE	HERMOD FM	PALEOCENE	\N	\N	34	NO	ED50	59	10	14.02	N	2	22	30.84	E	59.170561	2.375233	6559363.150000	464281.940000	31	25	11	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=213	http://www.npd.no/FactMapSearch?NPDID_wellbore=213	initial	\N	2010-04-30	213	44210	43562	288091	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
31/4-4	31/4-4	Norsk Hydro Produksjon AS	HYDRO	055	WILDCAT	P&A	DRY	EXPLORATION	1980-12-17	1981-02-17	\N	267-L	\N	NO	0	X 954459 + 954235.	1.00	25.000000	3150.00	3150.000000	214.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	NORTRYM	SEMISUB STEEL	4	NO	WILDCAT	1980	1981	\N	\N	1	\N	\N	\N	\N	\N	\N	63	NO	ED50	60	40	1.12	N	3	6	54.12	E	60.666978	3.115033	6725858.960000	506287.020000	31	31	4	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=214	http://www.npd.no/FactMapSearch?NPDID_wellbore=214	initial	\N	2005-11-07	214	\N	\N	288010	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/2-2	34/2-2	Amoco Norway Oil Company	AMOCO	056	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1980-11-27	1980-12-12	\N	268-L	\N	NO	0	ANO 79 - 36& SP 515	0.00	26.000000	513.00	513.000000	386.000000	PLIOCENE	NORDLAND GP	NORTH SEA	SEDCO 703	SEMISUB STEEL	4	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	141	NO	ED50	61	46	28.06	N	2	33	6.20	E	61.774461	2.551722	6849300.930000	476345.980000	31	34	2	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=215	http://www.npd.no/FactMapSearch?NPDID_wellbore=215	initial	\N	2005-02-11	215	\N	\N	288793	0	21244	AMOCO	2012-07-25	2012-07-25	2013-05-08
30/7-8	30/7-8	Norsk Hydro Produksjon AS	HYDRO	040	APPRAISAL	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	1980-11-19	1981-04-04	MARTIN LINGE	269-L	30/7-6 MARTIN LINGE	NO	\N	802 - 61  SP. 87.7	\N	25.000000	\N	4287.000000	103.000000	MIDDLE JURASSIC	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	3	NO	WILDCAT	1980	1981	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	137	NO	ED50	60	29	43.08	N	2	0	20.56	E	60.495300	2.005711	6707144.140000	445370.620000	31	30	7	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=216	http://www.npd.no/FactMapSearch?NPDID_wellbore=216	initial	\N	9999-12-31	216	44450	21675447	287956	0	21108	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
1/6-4	1/6-4	A/S Norske Shell	SHELL	011	WILDCAT	P&A	DRY	EXPLORATION	1975-12-29	1976-04-09	\N	144-L	\N	NO	133	LINE 002425   SP.6977	0.00	33.000000	0.00	3810.000000	72.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	CHRIS CHENERY	SEMISUB STEEL	1-A	NO	WILDCAT	1975	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	103	NO	ED50	56	44	52.06	N	2	42	23.64	E	56.747794	2.706567	6289490.960000	482053.290000	31	1	6	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=242	http://www.npd.no/FactMapSearch?NPDID_wellbore=242	initial	\N	2011-06-15	242	\N	\N	288145	0	20844	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
25/10-4	25/10-4	Esso Exploration and Production Norway A/S	ESSO	028	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1980-12-08	1981-01-18	BALDER	270-L	25/11-1 BALDER	NO	60	BALMG 188  SP: 125.	4.00	25.000000	2348.00	2349.000000	126.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	2-A	NO	APPRAISAL	1980	1981	\N	\N	5	INTRA BALDER FM SS	EOCENE	HEIMDAL FM	PALEOCENE	\N	\N	42	NO	ED50	59	11	26.04	N	2	19	50.14	E	59.190567	2.330594	6561615.620000	461752.330000	31	25	10	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=217	http://www.npd.no/FactMapSearch?NPDID_wellbore=217	initial	\N	2009-05-26	217	44210	43562	288091	0	21004	ESSO	2012-07-25	2012-07-25	2013-05-08
15/9-7	15/9-7	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1980-12-26	1981-04-29	SLEIPNER VEST	271-L	15/6-3 SLEIPNER VEST	NO	\N	610 161  SP: 275.	\N	25.000000	\N	3776.000000	107.000000	MIDDLE JURASSIC	\N	NORTH SEA	NORDRAUG	SEMISUB STEEL	3	NO	APPRAISAL	1980	1981	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	125	NO	ED50	58	22	56.07	N	1	42	45.99	E	58.382242	1.712775	6472135.590000	424724.770000	31	15	9	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=218	http://www.npd.no/FactMapSearch?NPDID_wellbore=218	initial	\N	9999-12-31	218	43910	43457	298081	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/3-4	35/3-4	Saga Petroleum ASA	SAGA	041	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1980-11-30	1981-06-06	\N	272-L	35/3-2 AGAT	NO	125	\N	3.50	25.000000	4087.00	4089.000000	258.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	3	NO	WILDCAT	1980	1981	\N	\N	17	AGAT FM	EARLY CRETACEOUS	\N	\N	\N	\N	189	NO	ED50	61	51	54.54	N	3	52	26.99	E	61.865150	3.874164	6859631.800000	545989.900000	31	35	3	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=219	http://www.npd.no/FactMapSearch?NPDID_wellbore=219	initial	\N	2004-05-18	219	44768	\N	341331	0	21116	SAGA	2012-07-25	2012-07-25	2013-05-08
3/7-2	3/7-2	Elf Petroleum Norge AS	ELF	023	WILDCAT	P&A	DRY	EXPLORATION	1981-03-30	1981-06-20	\N	273-L	\N	NO	126	X ANO 7832 SP: 1343 +line ANO738&SP502	9.50	25.000000	4330.00	4330.000000	52.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	2-A	NO	WILDCAT	1981	1981	\N	\N	1	\N	\N	\N	\N	\N	\N	83	NO	ED50	56	29	58.37	N	4	4	8.36	E	56.499547	4.068989	6262331.320000	565809.720000	31	3	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=220	http://www.npd.no/FactMapSearch?NPDID_wellbore=220	initial	\N	2006-02-15	220	\N	\N	297514	0	20956	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-21	34/10-21	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	GAS	EXPLORATION	1984-07-26	1984-10-22	GULLFAKS SØR	426-L	34/10-2 GULLFAKS SØR	NO	\N	ST 8134 - 173  SP. 160	\N	29.000000	\N	4001.000000	136.000000	LATE TRIASSIC	\N	NORTH SEA	DYVI DELTA	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1984	1984	\N	\N	9	\N	MIDDLE JURASSIC	\N	\N	\N	\N	89	NO	ED50	61	7	33.04	N	2	8	54.53	E	61.125844	2.148481	6777264.060000	454125.770000	31	34	10	\N	21	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=221	http://www.npd.no/FactMapSearch?NPDID_wellbore=221	initial	\N	9999-12-31	221	44606	43699	287821	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-7	34/10-7	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1980-01-07	1980-03-23	GULLFAKS	237-L	34/10-1 GULLFAKS	NO	90	S 30-180   SP 328	1.50	25.000000	2250.00	2250.000000	204.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1980	1980	\N	\N	5	COOK FM	EARLY JURASSIC	STATFJORD FM	EARLY JURASSIC	\N	\N	77	NO	ED50	61	12	13.44	N	2	16	28.56	E	61.203733	2.274600	6785858.020000	461016.270000	31	34	10	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=222	http://www.npd.no/FactMapSearch?NPDID_wellbore=222	initial	\N	2012-11-14	222	44594	43686	294382	0	21188	STATOIL	2013-02-02	2013-02-02	2013-05-08
1/3-5	1/3-5	A/S Norske Shell	SHELL	011	WILDCAT	P&A	DRY	EXPLORATION	1984-10-01	1985-02-11	\N	435-L	\N	NO	172	79111  SP. 527	0.00	35.000000	4850.00	4850.000000	71.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	NEDDRILL TRIGON	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1984	1985	\N	\N	1	\N	\N	\N	\N	\N	\N	134	NO	ED50	56	46	16.02	N	2	53	38.85	E	56.771117	2.894125	6292053.660000	493528.570000	31	1	3	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=223	http://www.npd.no/FactMapSearch?NPDID_wellbore=223	initial	\N	2006-02-15	223	\N	\N	296947	0	20844	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/6-2	2/6-2	Elf Petroleum Norge AS	ELF	008	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1980-01-03	1980-05-25	\N	238-L	\N	NO	0	686 201 SP.348	0.00	25.000000	4760.00	4760.000000	70.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	1-A	NO	WILDCAT	1980	1980	\N	\N	12	\N	\N	\N	\N	\N	\N	144	NO	ED50	56	30	48.90	N	3	42	39.66	E	56.513583	3.711017	6263608.180000	543756.410000	31	2	6	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=224	http://www.npd.no/FactMapSearch?NPDID_wellbore=224	initial	\N	2009-05-27	224	\N	\N	297514	0	20820	ELF NORGE	2013-01-22	2013-01-22	2013-05-08
2/7-15	2/7-15	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	OIL	EXPLORATION	1980-01-29	1980-06-02	ELDFISK	239-L	2/7-8	NO	151	PG 2/7-K SP.12	1.20	25.000000	4423.00	4423.000000	69.000000	LATE JURASSIC	HAUGESUND FM	NORTH SEA	HAAKON MAGNUS	SEMISUB STEEL	1-A	NO	WILDCAT	1980	1980	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	125	NO	ED50	56	23	46.82	N	3	18	54.63	E	56.396339	3.315175	6250375.820000	519456.060000	31	2	7	\N	15	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=225	http://www.npd.no/FactMapSearch?NPDID_wellbore=225	initial	\N	2009-10-26	225	44156	43527	288334	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
8/10-2	8/10-2	Phillips Petroleum Company Norway	PHILLIPS	017	WILDCAT	P&A	DRY	EXPLORATION	1980-02-05	1980-03-17	\N	240-L	\N	NO	91	PG 5708 SP.870	0.00	25.000000	2997.00	2997.000000	66.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	NORTRYM	SEMISUB STEEL	1-A	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	41	NO	ED50	57	8	6.90	N	3	18	9.50	E	57.135250	3.302639	6332624.270000	518318.790000	31	8	10	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=226	http://www.npd.no/FactMapSearch?NPDID_wellbore=226	initial	\N	2004-09-24	226	\N	\N	288010	0	20892	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
31/2-2	31/2-2	A/S Norske Shell	SHELL	054	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1980-02-27	1980-04-23	TROLL	241-L	31/2-1 TROLL VEST	NO	43	79416 SP.200	1.25	32.000000	1857.00	1857.000000	323.000000	MIDDLE JURASSIC	KROSSFJORD FM	NORTH SEA	WEST VENTURE OLD	SEMISUB STEEL	4	NO	WILDCAT	1980	1980	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	57	NO	ED50	60	46	47.80	N	3	37	23.50	E	60.779944	3.623194	6738597.320000	533940.270000	31	31	2	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=227	http://www.npd.no/FactMapSearch?NPDID_wellbore=227	initial	\N	2006-05-23	227	44534	46437	362494	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
34/4-2	34/4-2	Saga Petroleum ASA	SAGA	057	WILDCAT	P&A	DRY	EXPLORATION	1980-03-06	1980-05-24	\N	242-L	\N	NO	120	ST 606-403 SP.77	20.00	25.000000	3571.00	3599.000000	322.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	80	NO	ED50	61	30	30.93	N	2	4	17.04	E	61.508592	2.071400	6819953.530000	450579.590000	31	34	4	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=228	http://www.npd.no/FactMapSearch?NPDID_wellbore=228	initial	\N	2007-06-28	228	\N	\N	341331	0	21252	SAGA	2012-07-25	2012-07-25	2013-05-08
16/4-1	16/4-1	Norsk Hydro Produksjon AS	HYDRO	087	WILDCAT	P&A	DRY	EXPLORATION	1984-09-08	1984-11-18	\N	432-L	\N	NO	96	NH 8105 - 306  SP. 752	2.50	25.000000	2909.00	2909.000000	96.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	72	NO	ED50	58	38	18.33	N	2	8	17.03	E	58.638425	2.138064	6500262.060000	449959.990000	31	16	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=229	http://www.npd.no/FactMapSearch?NPDID_wellbore=229	initial	\N	2004-09-24	229	\N	\N	287956	0	21500	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-8	34/10-8	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	1980-03-03	1980-05-25	GULLFAKS	243-L	34/10-1 GULLFAKS	NO	84	S3D - 236   SP. 170	2.70	25.000000	2213.70	2214.000000	133.000000	EARLY JURASSIC	COOK FM	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1980	1980	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	84	NO	ED50	61	9	59.53	N	2	12	3.44	E	61.166536	2.200956	6781760.880000	457008.040000	31	34	10	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=230	http://www.npd.no/FactMapSearch?NPDID_wellbore=230	initial	\N	2012-11-14	230	44594	43686	289090	0	21188	STATOIL	2013-02-02	2013-02-02	2013-05-08
15/9-6	15/9-6	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	DRY	EXPLORATION	1980-05-06	1980-09-07	SLEIPNER VEST	244-L	15/6-3 SLEIPNER VEST	NO	\N	510-169 SP.265	\N	25.000000	\N	3946.000000	112.000000	TRIASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	3	NO	APPRAISAL	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	125	NO	ED50	58	27	13.50	N	1	41	31.40	E	58.453750	1.692056	6480120.130000	423668.060000	31	15	9	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=231	http://www.npd.no/FactMapSearch?NPDID_wellbore=231	initial	\N	9999-12-31	231	43910	43457	288091	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-16	2/7-16	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	SHOWS	EXPLORATION	1980-03-20	1980-07-12	\N	245-L	\N	NO	125	PG-2/7-F	4.75	25.000000	4812.00	4818.000000	71.000000	EARLY CRETACEOUS	ÅSGARD FM	NORTH SEA	NORTRYM	SEMISUB STEEL	1-A	NO	WILDCAT	1980	1980	\N	\N	12	\N	\N	\N	\N	\N	\N	115	NO	ED50	56	25	21.68	N	3	5	41.87	E	56.422689	3.094964	6253268.300000	505858.170000	31	2	7	\N	16	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=232	http://www.npd.no/FactMapSearch?NPDID_wellbore=232	initial	\N	2007-01-18	232	\N	\N	288010	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-2	34/7-2	Saga Petroleum ASA	SAGA	089	WILDCAT	P&A	DRY	EXPLORATION	1984-09-02	1984-10-10	\N	424-L	\N	NO	92	SG 8231 - 106  SP. 287	1.75	26.000000	2475.00	2475.000000	245.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	39	NO	ED50	61	17	57.16	N	2	9	40.90	E	61.299211	2.161361	6796565.810000	455067.400000	31	34	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=233	http://www.npd.no/FactMapSearch?NPDID_wellbore=233	initial	\N	2009-10-26	233	\N	\N	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
16/8-2	16/8-2	BP Norway Limited  U.A.	BP	020	WILDCAT	P&A	DRY	EXPLORATION	1980-04-03	1980-08-13	\N	246-L	\N	NO	110	CN 16-14 SP.84	4.50	30.000000	3583.00	3585.000000	72.500000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	SEDCO H	SEMISUB STEEL	1-A	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	133	NO	ED50	58	20	59.81	N	2	24	59.58	E	58.349947	2.416550	6467967.710000	465848.410000	31	16	8	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=234	http://www.npd.no/FactMapSearch?NPDID_wellbore=234	initial	\N	2004-09-24	234	\N	\N	288712	0	20932	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
31/4-7	31/4-7	Norsk Hydro Produksjon AS	HYDRO	055	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1984-07-26	1984-09-11	BRAGE	425-L	31/4-3 BRAGE	NO	\N	954 - 447  SP. 600	\N	24.000000	\N	2505.000000	139.000000	LATE TRIASSIC	\N	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	4	NO	WILDCAT	1984	1984	\N	\N	13	\N	LATE JURASSIC	\N	EARLY JURASSIC	\N	\N	48	NO	ED50	60	34	8.21	N	3	1	5.82	E	60.568947	3.018283	6714934.670000	501002.290000	31	31	4	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=235	http://www.npd.no/FactMapSearch?NPDID_wellbore=235	initial	\N	9999-12-31	235	44546	43651	297028	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-3	31/2-3	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1980-03-28	1980-07-20	TROLL	247-L	31/2-1 TROLL VEST	NO	73	62-4421 SP.175	2.65	25.000000	2600.00	2601.000000	334.000000	LATE TRIASSIC	HEGRE GP	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	APPRAISAL	1980	1980	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC	\N	\N	115	NO	ED50	60	50	27.84	N	3	35	10.82	E	60.841067	3.586339	6745386.820000	531872.260000	31	31	2	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=236	http://www.npd.no/FactMapSearch?NPDID_wellbore=236	initial	\N	2006-02-15	236	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
1/5-1	1/5-1	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	JUNKED	DRY	EXPLORATION	1973-10-12	1973-10-19	\N	99-L	\N	NO	0	LINE PG 56 3445  SP.32	0.00	27.000000	491.00	491.000000	70.000000	PLIOCENE	NORDLAND GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1973	1973	\N	\N	1	\N	\N	\N	\N	\N	\N	8	NO	ED50	56	34	40.50	N	2	38	28.00	E	56.577917	2.641111	6270600.430000	477951.010000	31	1	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=237	http://www.npd.no/FactMapSearch?NPDID_wellbore=237	initial	\N	2010-01-01	237	\N	\N	296407	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
1/5-2	1/5-2	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL	EXPLORATION	1973-10-19	1974-04-15	\N	100-L	1/5-2 FLYNDRE	YES	0	LINE PG 56 3445  SP.32	2.00	27.000000	4287.00	4287.000000	70.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1973	1974	\N	\N	5	FORTIES FM	PALEOCENE	HOD FM	CAMPANIAN	TOR FM	CAMPANIAN           	179	NO	ED50	56	34	41.59	N	2	38	30.53	E	56.578219	2.641814	6270633.900000	477994.360000	31	1	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=238	http://www.npd.no/FactMapSearch?NPDID_wellbore=238	initial	\N	2010-01-01	238	43838	\N	296407	0	20900	PHILLIPS	2013-05-01	2013-05-01	2013-05-08
1/6-1	1/6-1	A/S Norske Shell	SHELL	011	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1972-07-10	1972-11-26	ALBUSKJELL	75-L	1/6-1 ALBUSKJELL	YES	166	\N	0.00	34.000000	0.00	4822.000000	69.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ZAPATA NORDIC	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1972	1972	\N	\N	17	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	140	NO	ED50	56	38	2.40	N	2	59	50.30	E	56.634000	2.997306	6276785.580000	499834.710000	31	1	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=239	http://www.npd.no/FactMapSearch?NPDID_wellbore=239	initial	\N	2007-04-02	239	43844	43437	288928	0	20844	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
1/6-2	1/6-2	A/S Norske Shell	SHELL	011	WILDCAT	P&A	SHOWS	EXPLORATION	1972-11-28	1973-01-12	\N	78-L	\N	NO	70	\N	0.00	36.000000	0.00	3383.000000	69.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	ZAPATA NORDIC	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1972	1973	\N	\N	12	\N	\N	\N	\N	\N	\N	46	NO	ED50	56	33	50.60	N	2	51	53.20	E	56.564056	2.864778	6269008.060000	491689.320000	31	1	6	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=240	http://www.npd.no/FactMapSearch?NPDID_wellbore=240	initial	\N	2011-06-15	240	\N	\N	288928	0	20844	SHELL NORGE	2013-05-01	2013-05-01	2013-05-08
1/6-3	1/6-3	A/S Norske Shell	SHELL	011	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1974-04-12	1974-09-11	ALBUSKJELL	105-L	1/6-1 ALBUSKJELL	NO	140	LINE SI-6 ABs    SP.70-7	0.00	34.000000	0.00	3343.000000	69.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	ZAPATA NORDIC	JACK-UP 3 LEGS	1-A	NO	APPRAISAL	1974	1974	\N	\N	17	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	143	NO	ED50	56	38	36.40	N	2	55	49.70	E	56.643444	2.930472	6277839.030000	495735.820000	31	1	6	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=241	http://www.npd.no/FactMapSearch?NPDID_wellbore=241	initial	\N	2007-04-02	241	43844	43437	288928	0	20844	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
1/9-1	1/9-1	Den norske stats oljeselskap a.s	STATOIL	044	WILDCAT	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	1976-10-14	1977-02-17	\N	167-L	1/9-1 TOMMELITEN ALPHA	YES	133	line 404-403.SP 548	0.00	25.000000	0.00	3703.000000	78.000000	LATE CRETACEOUS	HIDRA FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1976	1977	\N	\N	17	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	HOD FM	LATE CRETACEOUS     	127	NO	ED50	56	24	5.07	N	2	54	6.49	E	56.401408	2.901803	6250899.860000	493938.990000	31	1	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=243	http://www.npd.no/FactMapSearch?NPDID_wellbore=243	initial	\N	2012-04-01	243	43850	\N	294382	0	21140	STATOIL	2012-07-25	2012-07-25	2013-05-08
1/9-2	1/9-2	Den norske stats oljeselskap a.s	STATOIL	044	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1977-06-01	1977-08-12	\N	175-L	1/9-1 TOMMELITEN ALPHA	NO	121	line 404-404.SP 572	2.25	25.000000	0.00	3459.000000	75.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	APPRAISAL	1977	1977	\N	\N	12	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	73	NO	ED50	56	23	52.77	N	2	55	34.63	E	56.397992	2.926286	6250517.660000	495449.760000	31	1	9	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=244	http://www.npd.no/FactMapSearch?NPDID_wellbore=244	initial	\N	2012-04-01	244	43850	\N	294382	0	21140	STATOIL	2012-07-25	2012-07-25	2013-05-08
1/9-3	1/9-3	Den norske stats oljeselskap a.s	STATOIL	044	APPRAISAL	SUSP.REENTERED LATER	DRY	EXPLORATION	1977-08-13	1977-11-27	\N	181-L	1/9-1 TOMMELITEN ALPHA	NO	116	line no 404-404&SP476	0.75	35.800000	2771.00	2771.000000	76.500000	EOCENE	HORDALAND GP	NORTH SEA	DYVI GAMMA	JACK-UP 3 LEGS	3	NO	WILDCAT	1977	1977	\N	\N	1	\N	\N	\N	\N	\N	\N	107	NO	ED50	56	24	55.68	N	2	54	15.22	E	56.415467	2.904228	6252464.470000	494090.840000	31	1	9	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=245	http://www.npd.no/FactMapSearch?NPDID_wellbore=245	initial	\N	2007-01-18	245	43850	\N	288226	0	21140	STATOIL	2012-07-25	2012-07-25	2013-05-08
1/9-3 R	1/9-3	Den norske stats oljeselskap a.s	STATOIL	044	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1978-05-27	1978-09-30	\N	181-L2	1/9-1 TOMMELITEN ALPHA	NO	116	line No 404-404 & SP 476	8.30	35.800000	4566.00	4570.000000	76.500000	LATE JURASSIC	HAUGESUND FM	NORTH SEA	DYVI BETA	JACKET 4 LEGS	3	NO	WILDCAT	1978	1978	\N	DRILLING/TESTING/PLUGGING	17	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	127	YES	ED50	56	24	55.68	N	2	54	15.22	E	56.415467	2.904228	6252464.470000	494090.840000	31	1	9	\N	3	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=246	http://www.npd.no/FactMapSearch?NPDID_wellbore=246	re-entry	1/9-3	2007-01-18	246	43850	\N	288118	0	21140	STATOIL	2013-05-01	2013-05-01	2013-05-08
1/9-4	1/9-4	Den norske stats oljeselskap a.s	STATOIL	044	WILDCAT	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	1977-08-13	1978-01-12	TOMMELITEN GAMMA	182-L	1/9-4 TOMMELITEN GAMMA	YES	150	line 404-410 shot point 100	7.50	25.000000	0.00	3710.000000	75.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1977	1978	\N	\N	17	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	153	NO	ED50	56	29	3.76	N	2	56	0.29	E	56.484378	2.933414	6260132.830000	495899.060000	31	1	9	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=247	http://www.npd.no/FactMapSearch?NPDID_wellbore=247	initial	\N	2009-05-26	247	43856	43444	294382	0	21140	STATOIL	2012-07-25	2012-07-25	2013-05-08
1/9-5	1/9-5	Den norske stats oljeselskap a.s	STATOIL	044	APPRAISAL	P&A	DRY	EXPLORATION	1978-10-03	1978-12-16	TOMMELITEN GAMMA	203-L	1/9-4 TOMMELITEN GAMMA	NO	0	PG-03.SP 210	10.00	37.000000	3449.50	3450.000000	75.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	DYVI BETA	JACKET 4 LEGS	3	NO	APPRAISAL	1978	1978	\N	\N	1	\N	\N	\N	\N	\N	\N	75	NO	ED50	56	29	27.69	N	2	57	55.27	E	56.491025	2.965353	6260871.290000	497866.500000	31	1	9	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=248	http://www.npd.no/FactMapSearch?NPDID_wellbore=248	initial	\N	2012-04-01	248	43856	43444	288118	0	21140	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/1-1	2/1-1	Conoco Norway Inc.	CONOCO	019	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1972-08-28	1972-11-14	\N	73-L	\N	NO	126	\N	0.00	34.000000	0.00	4178.000000	66.000000	LATE JURASSIC	TYNE GP	NORTH SEA	OCEAN TIDE	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1972	1972	\N	\N	12	\N	\N	\N	\N	\N	\N	79	NO	ED50	56	45	26.60	N	3	12	18.80	E	56.757389	3.205222	6290539.340000	512548.430000	31	2	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=249	http://www.npd.no/FactMapSearch?NPDID_wellbore=249	initial	\N	2011-03-12	249	\N	\N	288469	0	20916	CONOCO	2012-07-25	2012-07-25	2013-05-08
2/1-2	2/1-2	BP Norway Limited  U.A.	BP	019 B	WILDCAT	P&A	DRY	EXPLORATION	1977-12-14	1978-02-26	\N	187-9L	\N	NO	0	\N	3.50	24.000000	0.00	3555.500000	70.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	WILDCAT	1977	1978	\N	\N	1	\N	\N	\N	\N	\N	\N	75	NO	ED50	56	57	30.76	N	3	12	32.07	E	56.958544	3.208908	6312932.050000	512705.460000	31	2	1	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=250	http://www.npd.no/FactMapSearch?NPDID_wellbore=250	initial	\N	2007-09-17	250	\N	\N	288091	0	20924	BP NORWAY LIMITED U.A.	2013-01-22	2013-01-22	2013-05-08
2/1-3	2/1-3	BP Norway Limited  U.A.	BP	019 B	WILDCAT	P&A	OIL	EXPLORATION	1979-11-03	1980-03-29	GYDA	229-L	2/1-3 GYDA	YES	162	2-109 SP.782	3.00	30.000000	4296.00	4297.000000	66.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	SEDCO H	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	WILDCAT	1979	1980	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	148	NO	ED50	56	54	41.39	N	3	6	30.39	E	56.911497	3.108442	6307680.640000	506603.550000	31	2	1	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=251	http://www.npd.no/FactMapSearch?NPDID_wellbore=251	initial	\N	2011-03-12	251	44012	43492	288712	0	20924	BP NORWAY LIMITED U.A.	2013-05-01	2013-05-01	2013-05-08
2/4-8	2/4-8	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	OIL	EXPLORATION	1971-11-25	1972-03-29	TOR	63-L	2/5-1 TOR	NO	128	AFE NW 5603	1.75	37.000000	0.00	4075.000000	66.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	APPRAISAL	1971	1972	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	124	NO	ED50	56	38	15.60	N	3	18	55.00	E	56.637667	3.315278	6277238.170000	519339.110000	31	2	4	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=252	http://www.npd.no/FactMapSearch?NPDID_wellbore=252	initial	\N	2007-04-02	252	44084	43520	288901	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-9	2/4-9	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1973-08-13	1973-10-09	ALBUSKJELL	91-L	1/6-1 ALBUSKJELL	NO	106	LINE P 60/30515  SP.1121	0.00	35.000000	0.00	3752.000000	69.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1973	1973	\N	\N	17	TOR FM	LATE CRETACEOUS	\N	\N	\N	\N	58	NO	ED50	56	36	22.20	N	3	5	8.50	E	56.606167	3.085694	6273690.650000	505260.880000	31	2	4	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=253	http://www.npd.no/FactMapSearch?NPDID_wellbore=253	initial	\N	2007-04-02	253	43844	43437	288901	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-10	2/4-10	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL	EXPLORATION	1973-10-13	1973-12-20	\N	94-L	2/4-10	YES	114	PS 031310 SP.65	0.00	35.000000	0.00	3418.000000	67.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1973	1973	\N	\N	5	TOR FM	LATE CRETACEOUS	\N	\N	\N	\N	69	NO	ED50	56	40	41.60	N	3	13	21.70	E	56.678222	3.222694	6281730.280000	513645.420000	31	2	4	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=254	http://www.npd.no/FactMapSearch?NPDID_wellbore=254	initial	\N	2007-04-02	254	44048	\N	288901	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-11	2/4-11	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL	EXPLORATION	1973-12-25	1974-04-09	\N	103-L	2/4-11	YES	0	LINE PG-0312  SP.633-833	0.00	35.000000	0.00	4281.000000	66.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1973	1974	\N	\N	5	EKOFISK FM	PALEOCENE	\N	\N	\N	\N	106	NO	ED50	56	44	45.90	N	3	13	21.80	E	56.746083	3.222722	6289284.200000	513622.570000	31	2	4	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=255	http://www.npd.no/FactMapSearch?NPDID_wellbore=255	initial	\N	2007-04-02	255	44054	\N	288901	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-12	2/4-12	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	DRY	EXPLORATION	1975-07-28	1975-09-08	\N	133-L	\N	NO	108	LINE PC 66 5631  SP.30	0.00	27.000000	0.00	3383.000000	70.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1975	1975	\N	\N	1	\N	\N	\N	\N	\N	\N	43	NO	ED50	56	31	26.60	N	3	8	35.90	E	56.524056	3.143306	6264556.610000	508816.770000	31	2	4	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=256	http://www.npd.no/FactMapSearch?NPDID_wellbore=256	initial	\N	2007-01-18	256	\N	\N	296407	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-19 B	2/4-19	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	RE-CLASS TO DEV	GAS/CONDENSATE	EXPLORATION	1975-12-16	1976-03-15	EKOFISK	149-L	2/4-2 EKOFISK	NO	110	\N	0.00	35.000000	0.00	4605.000000	69.000000	LATE JURASSIC	TYNE GP	NORTH SEA	EKOFISK B	JACKET 12 LEGS	1-A	NO	WILDCAT	1975	1976	2/4-B-19	\N	17	EKOFISK FM	PALEOCENE	\N	\N	\N	\N	91	NO	ED50	56	33	54.97	N	3	12	13.79	E	56.565269	3.203831	6269153.590000	512526.900000	31	2	4	\N	19	B	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=257	http://www.npd.no/FactMapSearch?NPDID_wellbore=257	initial	\N	2013-01-15	257	44072	43506	271413	625	20900	PHILLIPS	2013-01-16	2013-01-16	2013-05-08
2/5-3	2/5-3	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL	EXPLORATION	1972-04-02	1972-06-15	\N	67-L	2/5-3 SØRØST TOR	YES	122	\N	0.00	34.000000	0.00	3731.000000	67.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1972	1972	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	HOD FM	LATE CRETACEOUS     	75	NO	ED50	56	35	50.80	N	3	26	58.80	E	56.597444	3.449667	6272806.930000	527611.800000	31	2	5	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=258	http://www.npd.no/FactMapSearch?NPDID_wellbore=258	initial	\N	2007-04-02	258	44090	\N	288901	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/5-4	2/5-4	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL	EXPLORATION	1972-09-03	1972-10-31	\N	76-L	2/5-4	YES	155	\N	0.00	35.000000	0.00	3490.000000	68.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1972	1972	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	59	NO	ED50	56	33	54.40	N	3	36	56.40	E	56.565111	3.615667	6269287.020000	537837.190000	31	2	5	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=259	http://www.npd.no/FactMapSearch?NPDID_wellbore=259	initial	\N	2007-04-02	259	44096	\N	288901	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/5-5	2/5-5	Amoco Norway Oil Company	AMOCO	006	APPRAISAL	P&A	OIL	EXPLORATION	1972-12-09	1973-02-09	\N	81-L	2/5-3 SØRØST TOR	NO	107	\N	0.00	36.000000	0.00	3456.000000	65.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	APPRAISAL	1972	1973	\N	\N	5	TOR FM	LATE CRETACEOUS	\N	\N	\N	\N	63	NO	ED50	56	34	54.40	N	3	25	49.10	E	56.581778	3.430306	6271055.430000	526433.880000	31	2	5	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=260	http://www.npd.no/FactMapSearch?NPDID_wellbore=260	initial	\N	2007-04-02	260	44090	\N	288901	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/5-6	2/5-6	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL/GAS SHOWS	EXPLORATION	1978-05-14	1978-08-16	\N	196-L	\N	NO	147	\N	4.75	25.000000	0.00	4132.000000	68.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	NORSKALD	SEMISUB STEEL	1-A	NO	WILDCAT	1978	1978	\N	\N	12	\N	\N	\N	\N	\N	\N	95	NO	ED50	56	34	13.24	N	3	37	16.57	E	56.570344	3.621269	6269872.650000	538176.240000	31	2	5	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=261	http://www.npd.no/FactMapSearch?NPDID_wellbore=261	initial	\N	2007-04-02	261	\N	\N	288091	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/7-3	2/7-3	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL/GAS	EXPLORATION	1972-04-14	1972-10-11	\N	68-L	\N	NO	\N	LINE PG-031430 S  SP.478	\N	28.000000	\N	4359.000000	69.000000	LATE PERMIAN	\N	NORTH SEA	ORION	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1972	1972	\N	\N	13	\N	PALEOCENE	\N	LATE CRETACEOUS	\N	LATE JURASSIC       	181	NO	ED50	56	23	2.90	N	3	14	45.90	E	56.384139	3.246083	6249000.460000	515195.830000	31	2	7	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=262	http://www.npd.no/FactMapSearch?NPDID_wellbore=262	initial	\N	9999-12-31	262	\N	\N	288604	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-4	2/7-4	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL	EXPLORATION	1972-06-23	1972-09-03	EDDA	71-L	2/7-4 EDDA	YES	110	Line PS 5628 & SP 82	1.60	26.000000	0.00	3356.000000	72.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1972	1972	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	73	NO	ED50	56	27	52.03	N	3	6	12.00	E	56.464453	3.103333	6257917.770000	506367.480000	31	2	7	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=263	http://www.npd.no/FactMapSearch?NPDID_wellbore=263	initial	\N	2007-01-18	263	44150	43541	296407	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-5	2/7-5	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	SHOWS	EXPLORATION	1972-09-03	1973-01-01	EDDA	77-L	2/7-4 EDDA	NO	100	\N	1.50	27.000000	0.00	3353.000000	72.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	APPRAISAL	1972	1973	\N	\N	12	\N	\N	\N	\N	\N	\N	122	NO	ED50	56	28	43.00	N	3	9	28.00	E	56.478611	3.157778	6259500.110000	509718.770000	31	2	7	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=264	http://www.npd.no/FactMapSearch?NPDID_wellbore=264	initial	\N	2007-01-18	264	44150	43541	296407	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-6	2/7-6	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	OIL	EXPLORATION	1973-03-31	1973-06-08	ELDFISK	80-L	2/7-1 ELDFISK	NO	\N	LINE PG-031430 SP.460.	\N	27.000000	\N	3381.000000	70.000000	EARLY CRETACEOUS	\N	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	APPRAISAL	1973	1973	\N	\N	5	\N	PALEOCENE	\N	LATE CRETACEOUS	\N	\N	70	NO	ED50	56	25	0.95	N	3	14	35.82	E	56.416931	3.243283	6252649.840000	515010.020000	31	2	7	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=265	http://www.npd.no/FactMapSearch?NPDID_wellbore=265	initial	\N	9999-12-31	265	44114	43527	296407	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-7	2/7-7	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	OIL	EXPLORATION	1973-01-02	1973-03-29	ELDFISK	82-L	2/7-1 ELDFISK	NO	\N	LINE PG-031430  SP.488	\N	27.000000	\N	3083.000000	70.000000	EARLY CRETACEOUS	\N	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	APPRAISAL	1973	1973	\N	\N	5	\N	PALEOCENE	\N	LATE CRETACEOUS	\N	LATE CRETACEOUS     	87	NO	ED50	56	22	6.75	N	3	15	27.86	E	56.368542	3.257739	6247267.000000	515922.070000	31	2	7	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=266	http://www.npd.no/FactMapSearch?NPDID_wellbore=266	initial	\N	9999-12-31	266	44114	43527	296407	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
3/7-1	3/7-1	Elf Petroleum Norge AS	ELF	023	WILDCAT	P&A	DRY	EXPLORATION	1973-08-01	1973-09-13	\N	89-L	\N	NO	0	LINE 66.47 & SP6664	0.00	31.000000	0.00	3227.000000	63.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	OCEAN TIDE	JACK-UP 3 LEGS	2-A	NO	WILDCAT	1973	1973	\N	\N	1	\N	\N	\N	\N	\N	\N	44	NO	ED50	56	27	43.50	N	4	0	7.80	E	56.462083	4.002167	6258099.440000	561756.960000	31	3	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=292	http://www.npd.no/FactMapSearch?NPDID_wellbore=292	initial	\N	2009-03-09	292	\N	\N	288469	0	20956	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/7-8	2/7-8	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL	EXPLORATION	1973-06-08	1973-08-12	ELDFISK	85-L	2/7-8	YES	104	LINE PGE 217 M  SP: 375	0.00	34.000000	0.00	3318.000000	70.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1973	1973	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	66	NO	ED50	56	23	8.60	N	3	19	6.60	E	56.385722	3.318500	6249195.050000	519666.780000	31	2	7	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=267	http://www.npd.no/FactMapSearch?NPDID_wellbore=267	initial	\N	2009-10-26	267	44156	43527	288901	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-9	2/7-9	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL	EXPLORATION	1973-12-25	1974-04-10	EMBLA	87-L	2/7-20 EMBLA	NO	156	LINE PGE 217 M  SP: 220	1.00	37.000000	0.00	4448.000000	71.000000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	ZAPATA NORDIC	JACK-UP 3 LEGS	1-A	NO	APPRAISAL	1973	1974	\N	\N	5	NO GROUP DEFINED	DEVONIAN	\N	\N	\N	\N	107	NO	ED50	56	19	50.60	N	3	14	29.30	E	56.330722	3.241472	6243053.760000	514931.950000	31	2	7	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=268	http://www.npd.no/FactMapSearch?NPDID_wellbore=268	initial	\N	2012-12-05	268	44132	43534	288928	0	20900	PHILLIPS	2012-12-21	2012-12-21	2013-05-08
2/7-10	2/7-10	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	OIL	EXPLORATION	1973-10-06	1973-12-05	EDDA	96-L	2/7-4 EDDA	NO	108	LINE 56 2830 SP.1430	1.75	37.000000	0.00	3370.000000	72.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	ZAPATA NORDIC	JACK-UP 3 LEGS	1-A	NO	APPRAISAL	1973	1973	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	61	NO	ED50	56	28	31.70	N	3	4	59.70	E	56.475472	3.083250	6259142.670000	505128.450000	31	2	7	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=269	http://www.npd.no/FactMapSearch?NPDID_wellbore=269	initial	\N	2007-01-18	269	44150	43541	288928	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-11	2/7-11	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	DRY	EXPLORATION	1975-02-24	1975-03-30	\N	97-L	\N	NO	\N	LINE PG 56 2505  SP.202	\N	27.000000	\N	3377.000000	69.000000	EARLY CRETACEOUS	\N	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1975	1975	\N	\N	1	\N	\N	\N	\N	\N	\N	35	NO	ED50	56	19	49.38	N	3	18	29.13	E	56.330383	3.308092	6243032.480000	519051.660000	31	2	7	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=270	http://www.npd.no/FactMapSearch?NPDID_wellbore=270	initial	\N	9999-12-31	270	\N	\N	296407	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-12	2/7-12	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	SHOWS	EXPLORATION	1978-12-17	1979-01-30	\N	208-L	\N	NO	88	\N	0.00	38.000000	0.00	1832.000000	75.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DYVI BETA	JACKET 4 LEGS	1-A	NO	WILDCAT	1978	1979	\N	\N	12	\N	\N	\N	\N	\N	\N	45	NO	ED50	56	29	43.76	N	3	0	36.37	E	56.495489	3.010103	6261367.670000	500622.030000	31	2	7	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=271	http://www.npd.no/FactMapSearch?NPDID_wellbore=271	initial	\N	2007-01-18	271	\N	\N	288118	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/7-13	2/7-13	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	SHOWS	EXPLORATION	1979-02-01	1979-04-21	\N	210-L	\N	NO	121	\N	6.10	35.000000	3383.00	3388.000000	73.000000	EARLY CRETACEOUS	SOLA FM	NORTH SEA	DYVI BETA	JACKET 4 LEGS	1-A	NO	WILDCAT	1979	1979	\N	\N	12	\N	\N	\N	\N	\N	\N	80	NO	ED50	56	29	34.74	N	3	1	58.38	E	56.492983	3.032883	6261089.220000	502024.780000	31	2	7	\N	13	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=272	http://www.npd.no/FactMapSearch?NPDID_wellbore=272	initial	\N	2007-01-18	272	\N	\N	288118	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/8-4	2/8-4	Amoco Norway Oil Company	AMOCO	006	APPRAISAL	P&A	OIL	EXPLORATION	1973-04-28	1973-06-07	VALHALL	83-L	2/8-6 VALHALL	NO	86	LINE 66-53 SP.8599-SP.8313	0.00	34.000000	0.00	2852.000000	70.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	APPRAISAL	1973	1973	\N	\N	5	HOD FM	LATE CRETACEOUS	\N	\N	\N	\N	41	NO	ED50	56	17	53.80	N	3	20	38.06	E	56.298278	3.343906	6239469.400000	521284.150000	31	2	8	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=273	http://www.npd.no/FactMapSearch?NPDID_wellbore=273	initial	\N	2012-10-10	273	44162	43548	288901	0	20804	AMOCO	2012-10-12	2012-10-12	2013-05-08
7120/10-1	7120/10-1	Esso Exploration and Production Norway A/S	ESSO	098	WILDCAT	P&A	DRY	EXPLORATION	1984-08-10	1984-09-08	\N	429-L	\N	NO	71	E 841 - 30  SP. 630	8.50	25.000000	0.00	2000.000000	183.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	ZAPATA UGLAND	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	30	NO	ED50	71	3	6.25	N	20	16	29.80	E	71.051736	20.274944	7883536.500000	473722.270000	34	7120	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=274	http://www.npd.no/FactMapSearch?NPDID_wellbore=274	initial	\N	2005-02-11	274	\N	\N	296731	0	21588	ESSO	2012-07-25	2012-07-25	2013-05-08
2/8-5	2/8-5	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1974-04-11	1974-05-23	\N	107-L	\N	NO	43	LINE 72-04  SP.1-130	0.00	34.000000	3304.00	3304.000000	69.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1974	1974	\N	\N	12	\N	\N	\N	\N	\N	\N	43	NO	ED50	56	29	58.70	N	3	27	19.70	E	56.499639	3.455472	6261922.510000	528040.500000	31	2	8	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=275	http://www.npd.no/FactMapSearch?NPDID_wellbore=275	initial	\N	2004-09-24	275	\N	\N	288901	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-6	2/8-6	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL	EXPLORATION	1975-04-07	1975-06-30	VALHALL	124-L	2/8-6 VALHALL	YES	83	LINE 73-23  SP.102	0.00	27.000000	0.00	2669.000000	68.000000	EARLY CRETACEOUS	SOLA FM	NORTH SEA	WAAGE DRILL I	SEMISUB STEEL	1-A	NO	WILDCAT	1975	1975	\N	\N	5	TOR FM	LATE CRETACEOUS	HOD FM	LATE CRETACEOUS	\N	\N	85	NO	ED50	56	15	42.91	N	3	23	40.81	E	56.261919	3.394669	6235439.350000	524449.070000	31	2	8	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=276	http://www.npd.no/FactMapSearch?NPDID_wellbore=276	initial	\N	2012-10-16	276	44162	43548	289171	0	20804	AMOCO	2012-10-16	2012-10-16	2013-05-08
2/8-7	2/8-7	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1975-07-23	1975-08-24	\N	134-L	\N	NO	113	LINE 72-18   SP.24	0.00	33.000000	2868.00	2868.000000	68.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1975	1975	\N	\N	12	\N	\N	\N	\N	\N	\N	33	NO	ED50	56	26	49.80	N	3	36	50.60	E	56.447167	3.614056	6256157.920000	537855.510000	31	2	8	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=277	http://www.npd.no/FactMapSearch?NPDID_wellbore=277	initial	\N	2004-09-24	277	\N	\N	288901	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/8-8	2/8-8	Amoco Norway Oil Company	AMOCO	006	APPRAISAL	P&A	OIL	EXPLORATION	1975-11-10	1976-03-15	VALHALL	143-L	2/8-6 VALHALL	NO	77	LINE 75-19   SP.650	0.00	25.000000	0.00	2667.000000	70.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	1-A	NO	APPRAISAL	1975	1976	\N	\N	5	TOR FM	LATE CRETACEOUS	HOD FM	LATE CRETACEOUS	\N	\N	127	NO	ED50	56	16	49.81	N	3	24	12.71	E	56.280503	3.403531	6237510.960000	524985.880000	31	2	8	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=278	http://www.npd.no/FactMapSearch?NPDID_wellbore=278	initial	\N	2012-10-16	278	44162	43548	289090	0	20804	AMOCO	2012-10-16	2012-10-16	2013-05-08
3/7-3	3/7-3	Elf Petroleum Norge AS	ELF	023	WILDCAT	P&A	DRY	EXPLORATION	1981-06-21	1981-08-31	\N	293-L	\N	NO	93	LINE ANO 7380  SP: 269.	3.50	25.000000	0.00	3540.000000	67.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	2-A	NO	WILDCAT	1981	1981	\N	\N	1	\N	\N	\N	\N	\N	\N	72	NO	ED50	56	24	54.77	N	4	10	54.33	E	56.415214	4.181758	6253058.670000	572913.120000	31	3	7	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=293	http://www.npd.no/FactMapSearch?NPDID_wellbore=293	initial	\N	2009-03-09	293	\N	\N	297514	0	20956	ELF NORGE	2012-07-25	2012-09-04	2013-05-08
2/8-9	2/8-9	Amoco Norway Oil Company	AMOCO	006	APPRAISAL	P&A	OIL	EXPLORATION	1976-04-09	1976-06-27	VALHALL	155-L	2/8-6 VALHALL	NO	86	\N	0.00	33.000000	0.00	2703.000000	69.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	SEDCO 135 G	SEMISUB STEEL	1-A	NO	APPRAISAL	1976	1976	\N	\N	5	TOR FM	LATE CRETACEOUS	HOD FM	LATE CRETACEOUS	\N	\N	80	NO	ED50	56	17	49.30	N	3	23	4.00	E	56.297028	3.384444	6239343.540000	523793.840000	31	2	8	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=279	http://www.npd.no/FactMapSearch?NPDID_wellbore=279	initial	\N	2012-10-16	279	44162	43548	288766	0	20804	AMOCO	2012-10-16	2012-10-16	2013-05-08
2/8-10	2/8-10	Amoco Norway Oil Company	AMOCO	006	APPRAISAL	P&A	OIL	EXPLORATION	1976-06-30	1976-08-29	VALHALL	157-L	2/8-6 VALHALL	NO	69	ANO72-06.SP140	0.00	33.000000	2682.00	2683.000000	69.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	SEDCO 135 G	SEMISUB STEEL	1-A	NO	APPRAISAL	1976	1976	\N	\N	5	TOR FM	LATE CRETACEOUS	HOD FM	LATE CRETACEOUS	\N	\N	61	NO	ED50	56	15	53.32	N	3	24	58.81	E	56.264811	3.416336	6235769.110000	525789.330000	31	2	8	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=280	http://www.npd.no/FactMapSearch?NPDID_wellbore=280	initial	\N	2012-10-16	280	44162	43548	288766	0	20804	AMOCO	2012-10-16	2012-10-16	2013-05-08
7/12-6	7/12-6	BP Norway Limited  U.A.	BP	019	APPRAISAL	P&A	OIL	EXPLORATION	1981-04-10	1981-07-24	ULA	282-L	7/12-2 ULA	NO	153	CN7 - 111  SP: 584.	2.50	25.000000	3699.00	3700.000000	69.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	SEDCO 707	SEMISUB STEEL	1-A	NO	APPRAISAL	1981	1981	\N	\N	5	ULA FM	LATE JURASSIC	SKAGERRAK FM	TRIASSIC	\N	\N	106	NO	ED50	57	7	16.85	N	2	50	4.14	E	57.121347	2.834483	6331048.100000	489977.470000	31	7	12	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=281	http://www.npd.no/FactMapSearch?NPDID_wellbore=281	initial	\N	2012-01-01	281	44972	43800	288037	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/9-1	2/9-1	Amoco Norway Oil Company	AMOCO	032	WILDCAT	P&A	DRY	EXPLORATION	1972-11-03	1972-12-07	\N	79-L	\N	NO	96	\N	1.50	34.000000	0.00	3551.000000	67.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	2-A	NO	WILDCAT	1972	1972	\N	\N	1	\N	\N	\N	\N	\N	\N	35	NO	ED50	56	22	11.88	N	3	39	59.77	E	56.369967	3.666603	6247595.250000	541178.190000	31	2	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=282	http://www.npd.no/FactMapSearch?NPDID_wellbore=282	initial	\N	2004-09-24	282	\N	\N	288901	0	21044	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/9-2	2/9-2	Amoco Norway Oil Company	AMOCO	032	WILDCAT	P&A	DRY	EXPLORATION	1979-07-07	1979-09-04	\N	220-L	\N	NO	115	ANO74-90 & SP 100	10.00	25.000000	0.00	4367.000000	68.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	2-A	NO	WILDCAT	1979	1979	\N	\N	1	\N	\N	\N	\N	\N	\N	60	NO	ED50	56	20	56.66	N	3	56	0.70	E	56.349072	3.933528	6245461.360000	557698.070000	31	2	9	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=283	http://www.npd.no/FactMapSearch?NPDID_wellbore=283	initial	\N	2009-10-26	283	\N	\N	297514	0	21044	AMOCO	2012-07-25	2012-07-25	2013-05-08
2/10-1 S	2/10-1	Phillips Petroleum Company Norway	PHILLIPS	031	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1975-09-16	1976-04-23	\N	141-L	\N	NO	0	LINE PG 560740   SP.117	0.00	27.000000	4267.20	4609.000000	66.000000	CARBONIFEROUS	NO GROUP DEFINED	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	2-A	NO	WILDCAT	1975	1976	\N	\N	12	\N	\N	\N	\N	\N	\N	221	NO	ED50	56	7	32.15	N	3	18	6.68	E	56.125597	3.301856	6220236.980000	518765.860000	31	2	10	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=284	http://www.npd.no/FactMapSearch?NPDID_wellbore=284	initial	\N	2004-07-01	284	\N	\N	296407	0	21036	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/11-2	2/11-2	Amoco Norway Oil Company	AMOCO	033	WILDCAT	P&A	OIL	EXPLORATION	1974-11-06	1974-12-29	HOD	120-L	2/11-2 HOD	YES	67	LINE 73-21  SP.31	0.00	36.000000	0.00	2806.000000	66.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	ZAPATA EXPLORER	JACK-UP 3 LEGS	2-A	NO	WILDCAT	1974	1974	\N	\N	5	HOD FM	LATE CRETACEOUS	\N	\N	\N	\N	54	NO	ED50	56	10	51.20	N	3	25	25.90	E	56.180889	3.423861	6226431.020000	526312.890000	31	2	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=285	http://www.npd.no/FactMapSearch?NPDID_wellbore=285	initial	\N	2013-03-22	285	44000	43485	288901	0	21052	AMOCO	2013-03-24	2013-03-24	2013-05-08
2/11-3	2/11-3	Amoco Norway Oil Company	AMOCO	033	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1977-10-10	1977-12-03	HOD	184-L	2/11-10 S	NO	89	ANO 75-12 .SP 160	0.00	36.000000	0.00	3052.000000	72.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	DYVI BETA	JACKET 4 LEGS	2-A	NO	APPRAISAL	1977	1977	\N	\N	12	\N	\N	\N	\N	\N	\N	55	NO	ED50	56	10	53.74	N	3	27	51.78	E	56.181594	3.464383	6226525.750000	528827.920000	31	2	11	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=286	http://www.npd.no/FactMapSearch?NPDID_wellbore=286	initial	\N	2013-03-22	286	43994	43485	288118	0	21052	AMOCO	2013-03-24	2013-03-24	2013-05-08
2/11-3 A	2/11-3	Amoco Norway Oil Company	AMOCO	033	APPRAISAL	P&A	OIL	EXPLORATION	1977-12-03	1978-03-13	HOD	192-L	2/11-10 S	NO	110	\N	53.40	36.000000	2857.00	3400.000000	72.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	DYVI BETA	JACKET 4 LEGS	2-A	NO	APPRAISAL	1977	1978	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	HOD FM	LATE CRETACEOUS     	101	NO	ED50	56	10	53.74	N	3	27	51.78	E	56.181594	3.464383	6226525.750000	528827.920000	31	2	11	\N	3	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=287	http://www.npd.no/FactMapSearch?NPDID_wellbore=287	sidetrack	2/11-3	2013-03-22	287	43994	43485	288118	0	21052	AMOCO	2013-03-24	2013-03-24	2013-05-08
2/11-5	2/11-5	Amoco Norway Oil Company	AMOCO	033	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1979-05-18	1979-07-05	HOD	214-L	2/11-2 HOD	NO	106	\N	4.40	25.000000	2944.00	2945.000000	72.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	2-A	NO	APPRAISAL	1979	1979	\N	\N	12	\N	\N	\N	\N	\N	\N	49	NO	ED50	56	9	57.70	N	3	26	6.42	E	56.166028	3.435117	6224781.270000	527022.050000	31	2	11	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=288	http://www.npd.no/FactMapSearch?NPDID_wellbore=288	initial	\N	2013-03-22	288	44000	43485	297514	0	21052	AMOCO	2013-03-24	2013-03-24	2013-05-08
2/11-6 S	2/11-6	Amoco Norway Oil Company	AMOCO	033	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1981-09-02	1982-02-25	HOD	305-L	2/11-2 HOD	NO	111	ANO 75 - 13  SP. 333	57.00	26.000000	2957.00	4076.000000	72.000000	EARLY CRETACEOUS	HOD FM	NORTH SEA	SEDCO 703	SEMISUB STEEL	2-A	NO	APPRAISAL	1981	1982	\N	\N	5	TOR FM	LATE CRETACEOUS	HOD FM	LATE CRETACEOUS	\N	\N	177	NO	ED50	56	10	35.50	N	3	27	36.72	E	56.176528	3.460200	6225960.070000	528571.990000	31	2	11	\N	6	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=289	http://www.npd.no/FactMapSearch?NPDID_wellbore=289	initial	\N	2013-03-22	289	44000	43485	288793	0	21052	AMOCO	2013-03-24	2013-03-24	2013-05-08
3/5-1	3/5-1	Norwegian Gulf Exploration Company AS	GULF	022	WILDCAT	P&A	DRY	EXPLORATION	1978-05-03	1978-06-28	\N	195-L	\N	NO	96	SP 1290  line 75-15	0.00	25.300000	3423.00	3426.000000	63.700000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	ODIN DRILL	SEMISUB STEEL	1-A	NO	WILDCAT	1978	1978	\N	\N	1	\N	\N	\N	\N	\N	\N	57	NO	ED50	56	37	25.78	N	4	25	11.97	E	56.623828	4.419992	6276554.990000	587130.720000	31	3	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=290	http://www.npd.no/FactMapSearch?NPDID_wellbore=290	initial	\N	2004-09-24	290	\N	\N	288577	0	20948	GULF EXPLORATION	2012-07-25	2013-05-08	2013-05-08
3/5-2	3/5-2	Norwegian Gulf Exploration Company AS	GULF	022	WILDCAT	P&A	DRY	EXPLORATION	1978-06-29	1978-08-20	\N	199-L	\N	NO	110	Sp145 line 77-10	0.00	25.000000	3824.00	3825.000000	67.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	ODIN DRILL	SEMISUB STEEL	1-A	NO	WILDCAT	1978	1978	\N	\N	1	\N	\N	\N	\N	\N	\N	53	NO	ED50	56	32	34.46	N	4	23	11.10	E	56.542906	4.386417	6267506.240000	585252.660000	31	3	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=291	http://www.npd.no/FactMapSearch?NPDID_wellbore=291	initial	\N	2004-09-24	291	\N	\N	288577	0	20948	GULF EXPLORATION	2012-07-25	2012-07-25	2013-05-08
7/8-2	7/8-2	Phillips Petroleum Company Norway	PHILLIPS	016	WILDCAT	P&A	DRY	EXPLORATION	1973-07-24	1973-08-29	\N	88-L	\N	NO	104	PG 57 2340  SP.1890	4.00	27.000000	0.00	3006.000000	81.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1973	1973	\N	\N	1	\N	\N	\N	\N	\N	\N	37	NO	ED50	57	23	39.35	N	2	35	30.21	E	57.394264	2.591725	6361491.910000	475459.910000	31	7	8	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=294	http://www.npd.no/FactMapSearch?NPDID_wellbore=294	initial	\N	2007-10-17	294	\N	\N	296407	0	20884	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7/12-2	7/12-2	BP Norway Limited  U.A.	BP	019	WILDCAT	SUSP.REENTERED LATER	OIL	EXPLORATION	1976-07-04	1976-09-24	ULA	161-L	7/12-2 ULA	YES	\N	\N	\N	25.000000	\N	3676.000000	71.000000	EARLY JURASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	1-A	NO	WILDCAT	1976	1976	\N	\N	5	\N	LATE JURASSIC	\N	EARLY JURASSIC	\N	\N	83	NO	ED50	57	6	41.34	N	2	50	50.73	E	57.111483	2.847425	6329948.210000	490758.670000	31	7	12	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=295	http://www.npd.no/FactMapSearch?NPDID_wellbore=295	initial	\N	9999-12-31	295	44972	43800	288091	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
7/12-3	7/12-3	BP Norway Limited  U.A.	BP	019	APPRAISAL	P&A	DRY	EXPLORATION	1977-04-05	1977-06-03	ULA	174-L	7/12-2 ULA	NO	\N	\N	\N	24.000000	\N	3686.000000	71.000000	LATE JURASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	1-A	NO	APPRAISAL	1977	1977	\N	\N	1	\N	\N	\N	\N	\N	\N	60	NO	ED50	57	6	24.54	N	2	48	41.56	E	57.106817	2.811544	6329434.140000	488583.990000	31	7	12	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=296	http://www.npd.no/FactMapSearch?NPDID_wellbore=296	initial	\N	9999-12-31	296	44972	43800	288091	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
7/12-3 A	7/12-3	BP Norway Limited  U.A.	BP	019	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1977-06-04	1977-09-06	ULA	191-L	7/12-2 ULA	NO	\N	\N	\N	25.000000	\N	4191.000000	71.000000	LATE PERMIAN	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	1-A	NO	APPRAISAL	1977	1977	\N	\N	12	\N	\N	\N	\N	\N	\N	95	NO	ED50	57	6	24.54	N	2	48	41.56	E	57.106817	2.811544	6329434.140000	488583.990000	31	7	12	\N	3	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=297	http://www.npd.no/FactMapSearch?NPDID_wellbore=297	sidetrack	7/12-3	9999-12-31	297	44972	43800	288091	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
7/12-4	7/12-4	BP Norway Limited  U.A.	BP	019	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1977-09-11	1977-12-12	ULA	183-L	7/12-2 ULA	NO	\N	\N	\N	25.000000	\N	3621.000000	71.000000	EARLY JURASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	1-A	NO	APPRAISAL	1977	1977	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	93	NO	ED50	57	5	36.66	N	2	51	36.96	E	57.093517	2.860267	6327946.460000	491532.390000	31	7	12	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=298	http://www.npd.no/FactMapSearch?NPDID_wellbore=298	initial	\N	9999-12-31	298	44972	43800	288091	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
7/12-5	7/12-5	BP Norway Limited  U.A.	BP	019	WILDCAT	P&A	OIL	EXPLORATION	1981-02-06	1981-06-07	\N	276-L	7/12-5	YES	\N	SL CN7 - 118  SP: 220.	\N	25.000000	\N	4440.000000	73.000000	LATE PERMIAN	\N	NORTH SEA	BORGSTEN DOLPHIN	SEMISUB STEEL	1-A	NO	WILDCAT	1981	1981	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	122	NO	ED50	57	9	49.01	N	2	46	42.35	E	57.163614	2.778431	6335762.940000	486598.600000	31	7	12	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=299	http://www.npd.no/FactMapSearch?NPDID_wellbore=299	initial	\N	9999-12-31	299	44978	\N	288334	0	20916	BP NORWAY LIMITED U.A.	2012-12-11	2012-12-11	2013-05-08
6506/12-7	6506/12-7	Den norske stats oljeselskap a.s	STATOIL	094	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1987-05-04	1987-08-12	ÅSGARD	544-L	6506/12-1 SMØRBUKK	NO	167	ST 8403 - 463   SP. 322	0.00	29.000000	0.00	4840.000000	267.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	8	NO	WILDCAT	1987	1987	\N	\N	17	ILE FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	101	NO	ED50	65	10	4.38	N	6	54	38.87	E	65.167883	6.910797	7228966.150000	402107.960000	32	6506	12	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=300	http://www.npd.no/FactMapSearch?NPDID_wellbore=300	initial	\N	2007-06-28	300	44900	43765	287821	0	21556	STATOIL	2013-01-22	2013-01-22	2013-05-08
8/1-1	8/1-1	Phillips Petroleum Company Norway	PHILLIPS	016	WILDCAT	P&A	DRY	EXPLORATION	1971-12-02	1972-02-07	\N	66-L	\N	NO	101	\N	5.00	31.000000	0.00	2971.000000	67.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN TIDE	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1971	1972	\N	\N	1	\N	\N	\N	\N	\N	\N	68	NO	ED50	57	51	45.50	N	3	12	27.64	E	57.862639	3.207678	6413581.880000	512323.240000	31	8	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=301	http://www.npd.no/FactMapSearch?NPDID_wellbore=301	initial	\N	2005-04-25	301	\N	\N	288469	0	20884	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
8/4-1	8/4-1	Unocal Norge A/S	UNOCAL	005	WILDCAT	P&A	DRY	EXPLORATION	1977-06-21	1977-07-25	\N	177-L	\N	NO	90	\N	4.00	24.000000	2631.00	2632.000000	63.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	NORJARL	SEMISUB STEEL	1-A	NO	WILDCAT	1977	1977	\N	\N	1	\N	\N	\N	\N	\N	\N	35	NO	ED50	57	44	50.24	N	3	0	3.86	E	57.747289	3.001072	6400720.560000	500063.830000	31	8	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=302	http://www.npd.no/FactMapSearch?NPDID_wellbore=302	initial	\N	2005-04-22	302	\N	\N	295084	0	20796	UNOCAL N	2012-07-25	2012-07-25	2013-05-08
8/9-1	8/9-1	Conoco Norway Inc.	CONOCO	013	WILDCAT	P&A	DRY	EXPLORATION	1975-12-22	1976-02-10	\N	145-L	\N	NO	51	LINE C8-9-1    SP.44	0.00	25.000000	0.00	2376.000000	69.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN VICTORY	SEMISUB STEEL	1-A	NO	WILDCAT	1975	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	51	NO	ED50	57	26	27.28	N	3	51	3.48	E	57.440911	3.850967	6366931.100000	551083.270000	31	8	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=303	http://www.npd.no/FactMapSearch?NPDID_wellbore=303	initial	\N	2004-09-24	303	\N	\N	288523	0	20860	CONOCO	2012-07-25	2012-07-25	2013-05-08
8/11-1	8/11-1	Phillips Petroleum Company Norway	PHILLIPS	017	WILDCAT	P&A	DRY	EXPLORATION	1975-04-24	1975-06-29	\N	126-L	\N	NO	107	LINE PG 8/11-1  SP.145	4.50	27.000000	0.00	3810.000000	64.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1975	1975	\N	\N	1	\N	\N	\N	\N	\N	\N	67	NO	ED50	57	6	32.00	N	3	38	25.00	E	57.108889	3.640278	6329831.020000	538783.430000	31	8	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=304	http://www.npd.no/FactMapSearch?NPDID_wellbore=304	initial	\N	2004-09-24	304	\N	\N	296407	0	20892	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
9/4-4	9/4-4	Saga Petroleum ASA	SAGA	013	WILDCAT	P&A	DRY	EXPLORATION	1977-07-19	1977-08-20	\N	178-L	\N	NO	76	\N	0.00	25.000000	0.00	2902.000000	78.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	1-A	NO	WILDCAT	1977	1977	\N	\N	1	\N	\N	\N	\N	\N	\N	33	NO	ED50	57	42	1.48	N	4	13	20.79	E	57.700411	4.222442	6396158.570000	572861.290000	31	9	4	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=305	http://www.npd.no/FactMapSearch?NPDID_wellbore=305	initial	\N	2005-04-25	305	\N	\N	289090	0	20860	SAGA	2012-07-25	2012-07-25	2013-05-08
10/5-1	10/5-1	Conoco Norway Inc.	CONOCO	015	WILDCAT	P&A	DRY	EXPLORATION	1976-05-31	1976-06-26	\N	156-L	\N	NO	52	\N	0.75	24.000000	0.00	1843.000000	98.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	NORJARL	SEMISUB STEEL	1-A	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	27	NO	ED50	57	34	51.90	N	5	35	25.00	E	57.581083	5.590278	6385172.720000	654878.470000	31	10	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=306	http://www.npd.no/FactMapSearch?NPDID_wellbore=306	initial	\N	2005-04-22	306	\N	\N	295084	0	20876	CONOCO	2012-07-25	2012-07-25	2013-05-08
11/9-1	11/9-1	Elf Petroleum Norge AS	ELF	009	WILDCAT	P&A	DRY	EXPLORATION	1976-01-16	1976-02-28	\N	147-L	\N	NO	44	LINE 69/5716    SP.108	0.00	25.000000	0.00	1972.000000	73.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DEEPSEA DRILLER	SEMISUB STEEL	1-A	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	44	NO	ED50	57	16	33.20	N	6	44	52.60	E	57.275889	6.747944	6350485.550000	364214.180000	32	11	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=307	http://www.npd.no/FactMapSearch?NPDID_wellbore=307	initial	\N	2005-04-22	307	\N	\N	341331	0	20828	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
15/2-1	15/2-1	Norsk Hydro Produksjon AS	HYDRO	048	WILDCAT	P&A	OIL/GAS SHOWS	EXPLORATION	1981-11-26	1982-02-24	\N	310-L	\N	NO	132	753 228  SP 321	8.30	25.000000	0.00	4600.000000	109.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	NORTRYM	SEMISUB STEEL	3	NO	WILDCAT	1981	1982	\N	\N	12	\N	\N	\N	\N	\N	\N	91	NO	ED50	58	45	19.30	N	1	35	40.58	E	58.755361	1.594606	6513814.190000	418684.570000	31	15	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=308	http://www.npd.no/FactMapSearch?NPDID_wellbore=308	initial	\N	2010-08-01	308	\N	\N	288010	0	21172	HYDRO PRODUKSJON	2013-05-01	2013-05-01	2013-05-08
15/3-1 S	15/3-1	Elf Petroleum Norge AS	ELF	025	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1974-11-27	1975-07-06	GUDRUN	121-L	15/3-1 S GUDRUN	YES	\N	LINES 69-58-51/1-43	\N	25.000000	\N	5132.000000	109.000000	MIDDLE JURASSIC	\N	NORTH SEA	DEEPSEA DRILLER	SEMISUB STEEL	2-A	NO	WILDCAT	1974	1975	\N	\N	17	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	222	NO	ED50	58	50	57.00	N	1	43	13.25	E	58.849167	1.720347	6524112.640000	426158.890000	31	15	3	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=309	http://www.npd.no/FactMapSearch?NPDID_wellbore=309	initial	\N	9999-12-31	309	43880	18116481	341331	0	34512	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
15/3-2	15/3-2	Elf Petroleum Norge AS	ELF	025	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1976-10-29	1977-01-24	\N	168-L	\N	NO	138	line 580529-SP 210	3.30	25.000000	4256.00	4258.000000	110.000000	LATE JURASSIC	DRAUPNE FM	NORTH SEA	POLYGLOMAR DRILLER	SEMISUB STEEL	2-A	NO	WILDCAT	1976	1977	\N	\N	1	\N	\N	\N	\N	\N	\N	88	NO	ED50	58	59	0.50	N	1	47	12.60	E	58.983472	1.786833	6538995.080000	430266.340000	31	15	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=310	http://www.npd.no/FactMapSearch?NPDID_wellbore=310	initial	\N	2010-10-06	310	\N	\N	362458	0	34512	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
15/3-2 R	15/3-2	Elf Petroleum Norge AS	ELF	025	WILDCAT	P&A	SHOWS	EXPLORATION	1977-07-26	1977-11-27	\N	168-L2	\N	NO	138	line 580529-SP 210	3.30	25.000000	4990.00	4990.000000	110.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	PENTAGONE 84	SEMISUB STEEL	2-A	NO	WILDCAT	1977	1977	\N	DRILLING	12	\N	\N	\N	\N	\N	\N	125	YES	ED50	58	59	0.50	N	1	47	12.60	E	58.983472	1.786833	6538995.080000	430266.340000	31	15	3	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=311	http://www.npd.no/FactMapSearch?NPDID_wellbore=311	re-entry	15/3-2	2010-10-06	311	\N	\N	288982	0	34512	ELF NORGE	2013-05-01	2013-05-01	2013-05-08
31/4-8	31/4-8	Norsk Hydro Produksjon AS	HYDRO	055	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1986-03-21	1986-05-11	BRAGE	508-L	31/4-3 BRAGE	NO	\N	NH 8501 - 077  SP. 172	\N	25.000000	\N	2611.000000	124.000000	LATE TRIASSIC	\N	NORTH SEA	TREASURE HUNTER	SEMISUB STEEL	4	NO	APPRAISAL	1986	1986	\N	\N	13	\N	EARLY JURASSIC	\N	\N	\N	\N	52	NO	ED50	60	31	22.82	N	3	0	9.59	E	60.523006	3.002664	6709817.470000	500146.240000	31	31	4	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=312	http://www.npd.no/FactMapSearch?NPDID_wellbore=312	initial	\N	9999-12-31	312	44546	43651	289360	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/3-3	15/3-3	Elf Petroleum Norge AS	ELF	025	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1979-01-05	1979-08-09	GUDRUN	209-L	15/3-1 S GUDRUN	NO	\N	\N	\N	25.000000	\N	5116.000000	109.000000	TRIASSIC	\N	NORTH SEA	PENTAGONE 84	SEMISUB STEEL	2-A	NO	APPRAISAL	1979	1979	\N	\N	17	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	217	NO	ED50	58	52	31.25	N	1	46	46.24	E	58.875347	1.779511	6526963.860000	429625.800000	31	15	3	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=313	http://www.npd.no/FactMapSearch?NPDID_wellbore=313	initial	\N	9999-12-31	313	43880	18116481	288982	0	34512	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
15/3-4	15/3-4	Elf Petroleum Norge AS	ELF	025	WILDCAT	P&A	OIL/GAS	EXPLORATION	1981-10-03	1982-03-30	\N	304-L	15/3-4	YES	\N	783   402  SP 490	\N	25.000000	\N	4259.000000	107.000000	TRIASSIC	\N	NORTH SEA	BORGSTEN DOLPHIN	SEMISUB STEEL	2-A	NO	WILDCAT	1981	1982	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	179	NO	ED50	58	49	5.28	N	1	52	59.82	E	58.818133	1.883283	6520489.030000	435502.740000	31	15	3	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=314	http://www.npd.no/FactMapSearch?NPDID_wellbore=314	initial	\N	9999-12-31	314	43886	\N	288334	0	34512	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
15/5-1	15/5-1	Norsk Hydro Produksjon AS	HYDRO	048	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1977-11-26	1978-04-07	\N	186-L	15/5-1 GINA KROG	YES	\N	\N	\N	25.000000	\N	3800.000000	119.000000	LATE TRIASSIC	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	3	NO	WILDCAT	1977	1978	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	133	NO	ED50	58	35	4.37	N	1	39	8.35	E	58.584547	1.652319	6494728.580000	421641.420000	31	15	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=315	http://www.npd.no/FactMapSearch?NPDID_wellbore=315	initial	\N	9999-12-31	315	43892	\N	287956	0	21172	HYDRO PRODUKSJON	2013-03-13	2013-03-13	2013-05-08
15/5-2	15/5-2	Norsk Hydro Produksjon AS	HYDRO	048	WILDCAT	SUSP.REENTERED LATER	GAS	EXPLORATION	1978-08-16	1978-12-10	\N	200-L	15/5-2 EIRIN	YES	\N	\N	\N	25.000000	\N	4322.000000	120.000000	TRIASSIC	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	3	NO	WILDCAT	1978	1978	\N	\N	9	\N	MIDDLE JURASSIC	\N	TRIASSIC	\N	\N	117	NO	ED50	58	38	36.74	N	1	36	16.48	E	58.643539	1.604578	6501352.420000	419002.370000	31	15	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=316	http://www.npd.no/FactMapSearch?NPDID_wellbore=316	initial	\N	9999-12-31	316	43898	\N	287956	0	21172	HYDRO PRODUKSJON	2012-10-27	2012-10-27	2013-05-08
15/6-2	15/6-2	Esso Exploration and Production Norway A/S	ESSO	029	APPRAISAL	SUSP.REENTERED LATER	SHOWS	EXPLORATION	1971-09-09	1971-10-26	\N	62-L	15/5-1 GINA KROG	NO	\N	SC 23  SP.7490	\N	9.000000	\N	3131.000000	115.000000	LATE CRETACEOUS	\N	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	2-A	NO	WILDCAT	1971	1971	\N	\N	12	\N	\N	\N	\N	\N	\N	48	NO	ED50	58	32	47.58	N	1	41	54.09	E	58.546550	1.698358	6490444.740000	424236.030000	31	15	6	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=317	http://www.npd.no/FactMapSearch?NPDID_wellbore=317	initial	\N	9999-12-31	317	43892	\N	288388	0	21020	ESSO	2013-03-13	2013-03-13	2013-05-08
15/6-3	15/6-3	Esso Exploration and Production Norway A/S	ESSO	029	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1974-09-05	1974-12-19	SLEIPNER VEST	114-L	15/6-3 SLEIPNER VEST	YES	\N	LINE SC-21  SP.7642	\N	24.000000	\N	3795.000000	113.000000	LATE TRIASSIC	\N	NORTH SEA	DRILLMASTER	SEMISUB STEEL	2-A	NO	WILDCAT	1974	1974	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	106	NO	ED50	58	30	15.84	N	1	42	39.49	E	58.504400	1.710969	6485737.840000	424879.960000	31	15	6	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=318	http://www.npd.no/FactMapSearch?NPDID_wellbore=318	initial	\N	9999-12-31	318	43910	43457	288172	0	21020	ESSO	2012-07-25	2012-07-25	2013-05-08
15/6-4	15/6-4	Esso Exploration and Production Norway A/S	ESSO	029	WILDCAT	P&A	DRY	EXPLORATION	1976-06-28	1976-08-16	\N	159-L	\N	NO	\N	\N	\N	25.000000	\N	3530.000000	111.000000	TRIASSIC	\N	NORTH SEA	NORJARL	SEMISUB STEEL	2-A	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	50	NO	ED50	58	37	30.97	N	1	48	19.18	E	58.625269	1.805328	6499093.410000	430617.900000	31	15	6	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=319	http://www.npd.no/FactMapSearch?NPDID_wellbore=319	initial	\N	9999-12-31	319	\N	\N	295084	0	21020	ESSO	2012-07-25	2012-07-25	2013-05-08
15/6-5	15/6-5	Esso Exploration and Production Norway A/S	ESSO	029	APPRAISAL	P&A	SHOWS	EXPLORATION	1977-10-10	1977-11-29	SLEIPNER VEST	185-L	15/6-3 SLEIPNER VEST	NO	\N	\N	\N	24.000000	\N	3824.000000	108.000000	TRIASSIC	\N	NORTH SEA	DRILLMASTER	SEMISUB STEEL	2-A	NO	APPRAISAL	1977	1977	\N	\N	12	\N	\N	\N	\N	\N	\N	51	NO	ED50	58	30	29.67	N	1	45	50.40	E	58.508242	1.764000	6486107.490000	427978.040000	31	15	6	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=320	http://www.npd.no/FactMapSearch?NPDID_wellbore=320	initial	\N	9999-12-31	320	43910	43457	288172	0	21020	ESSO	2012-07-25	2012-07-25	2013-05-08
15/8-1	15/8-1	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1981-07-18	1982-01-07	\N	298-L	15/8-1 ALPHA	YES	141	LINE NO. 609 159  SP:534	2.50	25.000000	4299.00	4300.000000	112.000000	MIDDLE JURASSIC	RATTRAY FM	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	3	NO	WILDCAT	1981	1982	\N	\N	17	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	174	NO	ED50	58	21	48.10	N	1	34	22.31	E	58.363361	1.572864	6470198.700000	416499.090000	31	15	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=321	http://www.npd.no/FactMapSearch?NPDID_wellbore=321	initial	\N	2006-10-19	321	43916	\N	288091	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-1	15/9-1	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1977-02-24	1977-05-30	SLEIPNER VEST	171-L	15/6-3 SLEIPNER VEST	NO	96	Line 610-402 & Sp 721	3.75	25.000000	3733.00	3734.000000	106.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1977	1977	\N	\N	13	HUGIN FM	MIDDLE JURASSIC	SLEIPNER FM	MIDDLE JURASSIC	\N	\N	96	NO	ED50	58	28	19.00	N	1	45	11.76	E	58.471944	1.753267	6482077.910000	427277.670000	31	15	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=322	http://www.npd.no/FactMapSearch?NPDID_wellbore=322	initial	\N	2005-02-11	322	43910	43457	294382	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-2	15/9-2	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1978-04-11	1978-06-17	SLEIPNER VEST	194-L	15/6-3 SLEIPNER VEST	NO	\N	\N	\N	25.000000	\N	3764.000000	108.000000	TRIASSIC	\N	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1978	1978	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	68	NO	ED50	58	25	34.06	N	1	42	28.20	E	58.426128	1.707833	6477027.070000	424529.680000	31	15	9	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=323	http://www.npd.no/FactMapSearch?NPDID_wellbore=323	initial	\N	9999-12-31	323	43910	43457	294382	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-3	15/9-3	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	SHOWS	EXPLORATION	1978-12-16	1979-04-03	SLEIPNER VEST	206-L	15/6-3 SLEIPNER VEST	NO	\N	\N	\N	25.000000	\N	3796.000000	115.000000	TRIASSIC	\N	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	APPRAISAL	1978	1979	\N	\N	12	\N	\N	\N	\N	\N	\N	109	NO	ED50	58	29	10.04	N	1	41	38.46	E	58.486122	1.694017	6483722.000000	423852.540000	31	15	9	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=324	http://www.npd.no/FactMapSearch?NPDID_wellbore=324	initial	\N	9999-12-31	324	43910	43457	294382	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-4	15/9-4	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1979-04-05	1979-06-14	SLEIPNER VEST	213-L	15/6-3 SLEIPNER VEST	NO	\N	\N	\N	25.000000	\N	3716.000000	102.000000	TRIASSIC	\N	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1979	1979	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	71	NO	ED50	58	24	0.26	N	1	47	6.93	E	58.400072	1.785258	6474041.910000	428999.050000	31	15	9	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=325	http://www.npd.no/FactMapSearch?NPDID_wellbore=325	initial	\N	9999-12-31	325	43910	43457	294382	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-5	15/9-5	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1979-11-20	1980-04-09	SLEIPNER VEST	232-L	15/6-3 SLEIPNER VEST	NO	\N	510-314 SP.735	\N	25.000000	\N	3946.000000	108.000000	TRIASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	3	NO	APPRAISAL	1979	1980	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	142	NO	ED50	58	24	12.47	N	1	42	29.20	E	58.403464	1.708111	6474503.530000	424497.430000	31	15	9	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=326	http://www.npd.no/FactMapSearch?NPDID_wellbore=326	initial	\N	9999-12-31	326	43910	43457	288091	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-8	15/9-8	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1981-03-04	1981-05-25	SLEIPNER VEST	279-L	15/6-3 SLEIPNER VEST	NO	\N	610 161  SP: 349.	\N	25.000000	\N	3730.000000	106.000000	TRIASSIC	\N	NORTH SEA	NORTRYM	SEMISUB STEEL	3	NO	APPRAISAL	1981	1981	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	83	NO	ED50	58	22	55.81	N	1	46	28.32	E	58.382169	1.774533	6472060.110000	428335.920000	31	15	9	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=327	http://www.npd.no/FactMapSearch?NPDID_wellbore=327	initial	\N	9999-12-31	327	43910	43457	288010	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-9	15/9-9	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1981-05-04	1981-07-14	SLEIPNER ØST	285-L	15/9-9 SLEIPNER ØST	YES	\N	510 - 157  SP: 160	\N	25.000000	\N	3044.000000	83.000000	EARLY PERMIAN	\N	NORTH SEA	NORDRAUG	SEMISUB STEEL	3	NO	WILDCAT	1981	1981	\N	\N	17	\N	PALEOCENE	\N	PALEOCENE	\N	\N	72	NO	ED50	58	20	47.81	N	1	53	24.98	E	58.346614	1.890272	6467984.080000	435038.520000	31	15	9	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=328	http://www.npd.no/FactMapSearch?NPDID_wellbore=328	initial	\N	9999-12-31	328	43946	43478	298081	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-11	15/9-11	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1981-09-18	1981-12-23	SLEIPNER ØST	303-L	15/9-9 SLEIPNER ØST	NO	107	510 - 325  SP 1369	2.20	25.000000	0.00	2950.000000	88.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	APPRAISAL	1981	1981	\N	\N	17	HEIMDAL FM	PALEOCENE	HUGIN FM	MIDDLE JURASSIC	\N	\N	97	NO	ED50	58	24	2.53	N	1	53	41.79	E	58.400703	1.894942	6474001.570000	435410.760000	31	15	9	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=329	http://www.npd.no/FactMapSearch?NPDID_wellbore=329	initial	\N	2009-05-27	329	43946	43478	294382	0	21156	STATOIL	2013-01-22	2013-01-22	2013-05-08
15/9-12	15/9-12	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	1981-11-26	1982-02-23	SLEIPNER VEST	309-L	15/6-3 SLEIPNER VEST	NO	\N	8010 - 023  SP 270	\N	25.000000	\N	3740.000000	107.000000	MIDDLE JURASSIC	\N	NORTH SEA	NORDRAUG	SEMISUB STEEL	3	NO	APPRAISAL	1981	1982	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	90	NO	ED50	58	27	23.17	N	1	43	4.01	E	58.456436	1.717781	6480390.260000	425174.970000	31	15	9	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=330	http://www.npd.no/FactMapSearch?NPDID_wellbore=330	initial	\N	9999-12-31	330	43910	43457	298081	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/12-2	15/12-2	Den norske stats oljeselskap a.s	STATOIL	038	WILDCAT	P&A	DRY	EXPLORATION	1976-01-07	1976-02-27	\N	146-L	\N	NO	81	LINE 511-327    SP.485	5.00	25.000000	2922.00	2924.000000	86.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	52	NO	ED50	58	8	31.05	N	1	55	47.27	E	58.141958	1.929797	6445161.610000	436990.200000	31	15	12	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=331	http://www.npd.no/FactMapSearch?NPDID_wellbore=331	initial	\N	2004-09-24	331	\N	\N	294382	0	21092	STATOIL	2012-07-25	2012-07-25	2013-05-08
24/9-2	24/9-2	Conoco Norway Inc.	CONOCO	039	WILDCAT	P&A	DRY	EXPLORATION	1977-06-13	1977-07-22	\N	176-L	\N	NO	69	\N	0.00	26.000000	0.00	2743.000000	118.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	FERNSTAR	SEMISUB STEEL	3	NO	WILDCAT	1977	1977	\N	\N	1	\N	\N	\N	\N	\N	\N	40	NO	ED50	59	16	12.43	N	1	55	12.26	E	59.270119	1.920072	6570781.360000	438440.970000	31	24	9	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=345	http://www.npd.no/FactMapSearch?NPDID_wellbore=345	initial	\N	2009-05-27	345	\N	\N	288280	0	21100	CONOCO	2012-07-25	2012-07-25	2013-05-08
16/1-2	16/1-2	Esso Exploration and Production Norway A/S	ESSO	001	WILDCAT	P&A	SHOWS	EXPLORATION	1976-07-04	1976-08-07	\N	160-L	\N	NO	101	CS 75-30-shot point 2658	0.00	25.000000	0.00	2919.000000	113.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	ROSS RIG	SEMISUB STEEL	1-A	NO	WILDCAT	1976	1976	\N	\N	12	\N	\N	\N	\N	\N	\N	35	NO	ED50	58	56	9.22	N	2	13	20.06	E	58.935894	2.222239	6533324.630000	455231.210000	31	16	1	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=332	http://www.npd.no/FactMapSearch?NPDID_wellbore=332	initial	\N	2010-01-10	332	\N	\N	294382	0	20756	ESSO	2013-05-01	2013-05-01	2013-05-08
30/6-16	30/6-16	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	OIL/GAS	EXPLORATION	1984-11-09	1985-01-21	\N	442-L	30/6-16	YES	\N	NH 82 - 344   SP. 300.	\N	23.000000	\N	3300.000000	108.000000	TRIASSIC	\N	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	4	NO	WILDCAT	1984	1985	\N	\N	13	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC	\N	\N	74	NO	ED50	60	39	31.72	N	2	41	37.64	E	60.658811	2.693789	6724982.820000	483260.180000	31	30	6	\N	16	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=333	http://www.npd.no/FactMapSearch?NPDID_wellbore=333	initial	\N	9999-12-31	333	44414	\N	287848	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
16/3-2	16/3-2	Norsk Hydro Produksjon AS	HYDRO	007	WILDCAT	P&A	DRY	EXPLORATION	1976-02-11	1976-03-08	\N	151-L	\N	NO	60	\N	1.25	24.000000	0.00	2019.000000	118.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	POLYGLOMAR DRILLER	SEMISUB STEEL	1-A	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	27	NO	ED50	58	47	12.80	N	2	47	34.70	E	58.786889	2.792972	6516490.640000	488031.780000	31	16	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=334	http://www.npd.no/FactMapSearch?NPDID_wellbore=334	initial	\N	2006-10-19	334	\N	\N	362458	0	20812	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
16/8-1	16/8-1	Conoco Norway Inc.	CONOCO	020	WILDCAT	P&A	DRY	EXPLORATION	1976-09-25	1976-10-29	\N	166-L	\N	NO	88	\N	2.50	25.000000	0.00	2301.000000	81.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	NORSKALD	SEMISUB STEEL	1-A	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	35	NO	ED50	58	27	24.80	N	2	25	56.80	E	58.456889	2.432444	6479866.890000	466879.220000	31	16	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=335	http://www.npd.no/FactMapSearch?NPDID_wellbore=335	initial	\N	2004-09-24	335	\N	\N	288091	0	20932	CONOCO	2012-07-25	2012-08-10	2013-05-08
16/11-2	16/11-2	Phillips Petroleum Company Norway	PHILLIPS	016	WILDCAT	P&A	DRY	EXPLORATION	1973-06-16	1973-07-23	\N	86-L	\N	NO	0	LINE PS 5811	12.00	27.000000	2372.00	2378.000000	70.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1973	1973	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	58	11	7.20	N	2	28	9.20	E	58.185333	2.469222	6449614.030000	468787.060000	31	16	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=336	http://www.npd.no/FactMapSearch?NPDID_wellbore=336	initial	\N	2004-09-24	336	\N	\N	296407	0	20884	PHILLIPS	2012-11-30	2012-11-30	2013-05-08
17/9-1	17/9-1	Esso Exploration and Production Norway A/S	ESSO	002	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1973-09-16	1973-10-23	\N	93-L	\N	NO	121	LINE CS-72-5 & SP 2250	2.00	9.000000	0.00	2816.000000	159.000000	MIDDLE JURASSIC	VESTLAND GP	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	1-A	NO	WILDCAT	1973	1973	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	58	28	27.26	N	3	50	16.18	E	58.474239	3.837828	6481963.510000	548868.520000	31	17	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=337	http://www.npd.no/FactMapSearch?NPDID_wellbore=337	initial	\N	2005-04-25	337	\N	\N	288388	0	20772	ESSO	2012-07-25	2012-07-25	2013-05-08
17/11-2	17/11-2	A/S Norske Shell	SHELL	010	WILDCAT	P&A	DRY	EXPLORATION	1976-04-12	1976-05-17	\N	154-L	\N	NO	66	\N	1.50	33.000000	0.00	2644.000000	79.000000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	CHRIS CHENERY	SEMISUB STEEL	1-A	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	36	NO	ED50	58	6	54.91	N	3	22	9.81	E	58.115253	3.369392	6441747.950000	521765.260000	31	17	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=338	http://www.npd.no/FactMapSearch?NPDID_wellbore=338	initial	\N	2005-04-25	338	\N	\N	288145	0	20836	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
17/12-1	17/12-1	Phillips Petroleum Company Norway	PHILLIPS	016	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1971-10-27	1971-11-01	\N	64-L	\N	NO	0	LINE 685 402 SP.160	3.00	27.000000	458.00	458.000000	115.000000	OLIGOCENE	HORDALAND GP	NORTH SEA	MÆRSK EXPLORER	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1971	1971	\N	\N	1	\N	\N	\N	\N	\N	\N	5	NO	ED50	58	11	17.30	N	3	56	22.20	E	58.188139	3.939500	6450188.440000	555243.170000	31	17	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=339	http://www.npd.no/FactMapSearch?NPDID_wellbore=339	initial	\N	2005-04-25	339	\N	\N	362316	0	20884	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
17/12-2	17/12-2	Phillips Petroleum Company Norway	PHILLIPS	016	WILDCAT	P&A	OIL	EXPLORATION	1973-08-31	1973-10-09	\N	92-L	17/12-2 BRISLING	YES	0	LINE PG 58 0820 SP.822	1.50	27.000000	0.00	2334.000000	101.000000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1973	1973	\N	\N	5	SANDNES FM	MIDDLE JURASSIC	\N	\N	\N	\N	40	NO	ED50	58	8	19.70	N	3	42	10.90	E	58.138806	3.703028	6444526.450000	541396.080000	31	17	12	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=340	http://www.npd.no/FactMapSearch?NPDID_wellbore=340	initial	\N	2005-04-25	340	43970	\N	296407	0	20884	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
17/12-3	17/12-3	Phillips Petroleum Company Norway	PHILLIPS	016	APPRAISAL	P&A	DRY	EXPLORATION	1979-12-12	1980-02-03	\N	233-L	17/12-1 BREAM	NO	76	78-17/12-05  SP.400	1.20	25.000000	0.00	2730.000000	111.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	NORTRYM	SEMISUB STEEL	1-A	NO	APPRAISAL	1979	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	52	NO	ED50	58	11	32.84	N	3	51	44.06	E	58.192456	3.862239	6450608.340000	550694.180000	31	17	12	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=341	http://www.npd.no/FactMapSearch?NPDID_wellbore=341	initial	\N	2005-04-25	341	43964	\N	288010	0	20884	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
18/10-1	18/10-1	Elf Petroleum Norge AS	ELF	008	WILDCAT	P&A	OIL	EXPLORATION	1979-10-19	1980-01-01	\N	227-L	18/10-1	YES	88	685402 SP.160	0.00	25.000000	0.00	2800.000000	96.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	1-A	NO	WILDCAT	1979	1980	\N	\N	5	SANDNES FM	MIDDLE JURASSIC	BRYNE FM	MIDDLE JURASSIC	\N	\N	75	NO	ED50	58	4	38.25	N	4	7	0.83	E	58.077292	4.116897	6438006.820000	565878.030000	31	18	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=342	http://www.npd.no/FactMapSearch?NPDID_wellbore=342	initial	\N	2005-04-25	342	43982	\N	297514	0	20820	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
18/11-1	18/11-1	Elf Petroleum Norge AS	ELF	008	WILDCAT	P&A	DRY	EXPLORATION	1974-02-17	1974-03-31	\N	104-L	\N	NO	50	LINE 72-18-6   SP.12	0.00	25.000000	0.00	2086.000000	116.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	DEEPSEA DRILLER	SEMISUB STEEL	1-A	NO	WILDCAT	1974	1974	\N	\N	1	\N	\N	\N	\N	\N	\N	43	NO	ED50	58	4	21.30	N	4	32	0.10	E	58.072583	4.533361	6437964.920000	590452.020000	31	18	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=343	http://www.npd.no/FactMapSearch?NPDID_wellbore=343	initial	\N	2005-04-25	343	\N	\N	341331	0	20820	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
24/9-1	24/9-1	Conoco Norway Inc.	CONOCO	039	WILDCAT	P&A	DRY	EXPLORATION	1976-02-29	1976-07-03	\N	152-L	\N	NO	127	LINE CN 24-25 R  SP.130	0.00	25.000000	0.00	4907.000000	118.000000	LATE JURASSIC	HEATHER FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	126	NO	ED50	59	16	9.48	N	1	47	31.18	E	59.269300	1.791994	6570815.420000	431138.990000	31	24	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=344	http://www.npd.no/FactMapSearch?NPDID_wellbore=344	initial	\N	2004-12-01	344	\N	\N	294382	0	21100	CONOCO	2012-07-25	2012-07-25	2013-05-08
24/9-3	24/9-3	Conoco Norway Inc.	CONOCO	039	WILDCAT	P&A	OIL	EXPLORATION	1981-01-28	1981-04-15	\N	275-L	24/9-3	YES	75	C9/19 - 529 SP.345	0.00	26.000000	3051.00	3051.000000	120.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	SEDCO 704	SEMISUB STEEL	3	NO	WILDCAT	1981	1981	\N	\N	5	FRIGG FM	EOCENE	\N	\N	\N	\N	78	NO	ED50	59	22	25.38	N	1	46	27.28	E	59.373717	1.774244	6582460.550000	430341.200000	31	24	9	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=346	http://www.npd.no/FactMapSearch?NPDID_wellbore=346	initial	\N	2004-06-29	346	44180	\N	288820	0	21100	CONOCO	2012-07-25	2012-07-25	2013-05-08
24/12-1	24/12-1	Den norske stats oljeselskap a.s	STATOIL	045	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1978-01-16	1978-04-09	\N	189-L	\N	NO	141	Sd 260 line 403-329	1.20	25.000000	3966.00	3966.000000	113.000000	EARLY CRETACEOUS	SOLA FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1978	1978	\N	\N	1	\N	\N	\N	\N	\N	\N	84	NO	ED50	59	2	29.80	N	1	52	57.93	E	59.041611	1.882758	6545372.480000	435888.070000	31	24	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=347	http://www.npd.no/FactMapSearch?NPDID_wellbore=347	initial	\N	2004-12-01	347	\N	\N	294382	0	21148	STATOIL	2012-07-25	2012-10-25	2013-05-08
24/12-2	24/12-2	Den norske stats oljeselskap a.s	STATOIL	045	WILDCAT	P&A	SHOWS	EXPLORATION	1981-06-23	1982-01-21	\N	294-L	\N	NO	142	LINE 403 - 148  SP: 38.	11.30	32.000000	5091.00	5100.000000	119.000000	LATE JURASSIC	HEATHER FM	NORTH SEA	DYVI DELTA	SEMISUB STEEL	3	NO	WILDCAT	1981	1982	\N	\N	12	\N	\N	\N	\N	\N	\N	213	NO	ED50	59	12	0.75	N	1	52	53.34	E	59.200208	1.881483	6563033.080000	436110.820000	31	24	12	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=348	http://www.npd.no/FactMapSearch?NPDID_wellbore=348	initial	\N	2004-12-01	348	\N	\N	287821	0	21148	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/1-3	25/1-3	Elf Petroleum Norge AS	ELF	024	APPRAISAL	P&A	GAS	EXPLORATION	1971-11-14	1972-01-27	FRIGG	65-L	25/1-1 FRIGG	NO	\N	\N	\N	24.000000	\N	2872.000000	105.000000	LATE CRETACEOUS	\N	NORTH SEA	PENTAGONE 81	SEMISUB STEEL	2-A	NO	APPRAISAL	1971	1972	\N	\N	9	\N	EOCENE	\N	\N	\N	\N	75	NO	ED50	59	54	5.00	N	2	10	8.50	E	59.901389	2.169028	6640875.890000	453510.910000	31	25	1	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=349	http://www.npd.no/FactMapSearch?NPDID_wellbore=349	initial	\N	9999-12-31	349	44204	43555	288631	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-4	25/1-4	Elf Petroleum Norge AS	ELF	024	WILDCAT	P&A	OIL/GAS	EXPLORATION	1974-04-01	1974-05-30	NORDØST FRIGG	108-L	25/1-4 NORDØST FRIGG	YES	76	LINE 73 595950  SP.70	0.00	25.000000	0.00	2795.000000	107.000000	LATE CRETACEOUS	HARDRÅDE FM	NORTH SEA	DEEPSEA DRILLER	SEMISUB STEEL	2-A	NO	WILDCAT	1974	1974	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	60	NO	ED50	59	59	52.51	N	2	15	54.80	E	59.997919	2.265222	6651562.600000	459011.740000	31	25	1	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=350	http://www.npd.no/FactMapSearch?NPDID_wellbore=350	initial	\N	2004-06-29	350	44228	43568	341331	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-5	25/1-5	Elf Petroleum Norge AS	ELF	024	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1975-07-24	1975-09-12	FRIGG	136-L	25/1-1 FRIGG	NO	\N	LINE F9/73   SP.305	\N	28.000000	\N	2262.000000	102.000000	EOCENE	\N	NORTH SEA	DEEPSEA DRILLER	SEMISUB STEEL	2-A	NO	APPRAISAL	1975	1975	\N	\N	13	\N	EOCENE	\N	\N	\N	\N	51	NO	ED50	59	52	27.92	N	2	6	36.99	E	59.874422	2.110275	6637915.480000	450183.750000	31	25	1	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=351	http://www.npd.no/FactMapSearch?NPDID_wellbore=351	initial	\N	9999-12-31	351	44204	43555	341331	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-6	25/1-6	Elf Petroleum Norge AS	ELF	024	WILDCAT	P&A	DRY	EXPLORATION	1978-01-26	1978-03-18	\N	190-L	\N	NO	54	SP 150 line 680301	2.20	24.000000	2894.00	2895.000000	105.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	PENTAGONE 84	SEMISUB STEEL	2-A	NO	WILDCAT	1978	1978	\N	\N	1	\N	\N	\N	\N	\N	\N	52	NO	ED50	59	46	57.68	N	2	5	42.23	E	59.782689	2.095064	6627711.350000	449192.600000	31	25	1	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=352	http://www.npd.no/FactMapSearch?NPDID_wellbore=352	initial	\N	2004-07-01	352	\N	\N	288982	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/2-1	25/2-1	Elf Petroleum Norge AS	ELF	026	WILDCAT	P&A	GAS	EXPLORATION	1973-08-04	1973-09-21	ØST FRIGG	90-L	25/2-1 ØST FRIGG	YES	88	LINE 71223  SP 260	0.00	24.000000	0.00	2740.000000	104.000000	LATE CRETACEOUS	HARDRÅDE FM	NORTH SEA	NEPTUNE 7	SEMISUB STEEL	2-A	NO	WILDCAT	1973	1973	\N	\N	9	FRIGG FM	EOCENE	\N	\N	\N	\N	49	NO	ED50	59	55	30.20	N	2	23	2.00	E	59.925056	2.383889	6643380.270000	465555.660000	31	25	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=353	http://www.npd.no/FactMapSearch?NPDID_wellbore=353	initial	\N	2004-06-29	353	44234	43576	288631	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/2-2	25/2-2	Elf Petroleum Norge AS	ELF	026	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1974-05-31	1974-07-11	ØST FRIGG	110-L	25/2-1 ØST FRIGG	NO	71	LINE 73-59-53-20   SP.415	0.00	25.000000	0.00	2740.000000	104.000000	LATE CRETACEOUS	HARDRÅDE FM	NORTH SEA	DEEPSEA DRILLER	SEMISUB STEEL	2-A	NO	APPRAISAL	1974	1974	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	42	NO	ED50	59	53	34.80	N	2	20	15.00	E	59.893000	2.337500	6639835.370000	462926.580000	31	25	2	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=354	http://www.npd.no/FactMapSearch?NPDID_wellbore=354	initial	\N	2004-12-01	354	44234	43576	341331	0	20980	ELF NORGE	2012-07-25	2013-05-08	2013-05-08
25/2-3	25/2-3	Elf Petroleum Norge AS	ELF	026	WILDCAT	P&A	DRY	EXPLORATION	1974-09-01	1974-10-09	\N	115-L	\N	NO	67	LINE 73-59-49-10.  SP.370	0.00	25.000000	0.00	2795.000000	113.000000	LATE CRETACEOUS	HARDRÅDE FM	NORTH SEA	DEEPSEA DRILLER	SEMISUB STEEL	2-A	NO	WILDCAT	1974	1974	\N	\N	1	\N	\N	\N	\N	\N	\N	39	NO	ED50	59	49	9.70	N	2	21	21.40	E	59.819361	2.355944	6631624.280000	463878.990000	31	25	2	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=355	http://www.npd.no/FactMapSearch?NPDID_wellbore=355	initial	\N	2004-12-01	355	\N	\N	341331	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/2-4	25/2-4	Elf Petroleum Norge AS	ELF	026	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1975-05-14	1975-10-20	LILLE-FRIGG	129-L	25/2-4 LILLE-FRIGG	YES	144	LINE 059588  SP.2858	0.00	24.000000	0.00	4360.000000	113.000000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	NEPTUNE 7	SEMISUB STEEL	2-A	NO	WILDCAT	1975	1975	\N	\N	17	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	160	NO	ED50	59	58	44.09	N	2	22	58.88	E	59.978914	2.383022	6649378.840000	465563.120000	31	25	2	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=356	http://www.npd.no/FactMapSearch?NPDID_wellbore=356	initial	\N	2004-06-29	356	44240	43583	288631	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/2-5	25/2-5	Elf Petroleum Norge AS	ELF	026	WILDCAT	P&A	OIL/GAS	EXPLORATION	1976-03-08	1976-08-04	\N	153-L	25/2-5 LILLE FRØY	YES	112	LINE 58 2401 SP.232/LINE 78 0228 SP.1109	0.00	24.000000	0.00	4000.000000	117.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	POLYGLOMAR DRILLER	SEMISUB STEEL	2-A	NO	WILDCAT	1976	1976	\N	\N	13	VESTLAND GP	MIDDLE JURASSIC	STATFJORD FM	EARLY JURASSIC	\N	\N	150	NO	ED50	59	48	1.40	N	2	28	18.30	E	59.800389	2.471750	6629453.960000	470356.850000	31	25	2	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=357	http://www.npd.no/FactMapSearch?NPDID_wellbore=357	initial	\N	2008-08-15	357	44246	\N	362458	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/2-6	25/2-6	Elf Petroleum Norge AS	ELF	026	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1977-08-01	1977-11-15	FRØY	180-L	25/5-1 FRØY	NO	104	\N	0.00	24.000000	0.00	3750.000000	117.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	POLYGLOMAR DRILLER	SEMISUB STEEL	2-A	NO	WILDCAT	1977	1977	\N	\N	12	\N	\N	\N	\N	\N	\N	107	NO	ED50	59	45	33.55	N	2	33	5.96	E	59.759319	2.551656	6624847.150000	474809.830000	31	25	2	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=358	http://www.npd.no/FactMapSearch?NPDID_wellbore=358	initial	\N	2004-12-01	358	44264	43597	362458	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/4-1	25/4-1	Elf Petroleum Norge AS	ELF	036	WILDCAT	P&A	OIL/GAS	EXPLORATION	1972-07-01	1972-12-09	HEIMDAL	69-L	25/4-1 HEIMDAL	YES	130	LINE 681 203.	5.00	23.000000	0.00	4060.000000	122.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	NEPTUNE 7	SEMISUB STEEL	2-A	NO	WILDCAT	1972	1972	\N	\N	13	HEIMDAL FM	PALEOCENE	VESTLAND GP	MIDDLE JURASSIC	STATFJORD FM	EARLY JURASSIC      	162	NO	ED50	59	34	27.30	N	2	13	22.60	E	59.574250	2.222944	6604408.110000	456100.430000	31	25	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=359	http://www.npd.no/FactMapSearch?NPDID_wellbore=359	initial	\N	2006-02-15	359	44252	43590	288631	0	21076	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/4-2	25/4-2	Elf Petroleum Norge AS	ELF	036	WILDCAT	P&A	OIL	EXPLORATION	1973-10-18	1973-12-06	\N	98-L	\N	YES	57	LINE 681 202.	0.00	23.000000	0.00	2775.000000	121.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	NEPTUNE 7	SEMISUB STEEL	2-A	NO	WILDCAT	1973	1973	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	50	NO	ED50	59	35	46.51	N	2	18	51.40	E	59.596253	2.314278	6606801.580000	461285.450000	31	25	4	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=360	http://www.npd.no/FactMapSearch?NPDID_wellbore=360	initial	\N	2006-02-15	360	\N	\N	288631	0	21076	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/4-3	25/4-3	Elf Petroleum Norge AS	ELF	036	WILDCAT	P&A	OIL/GAS	EXPLORATION	1974-10-13	1974-11-22	\N	119-L	25/4-3 GEKKO	YES	70	LINE 72-02-05 & SP 135	0.00	25.500000	0.00	2714.000000	121.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	DEEPSEA DRILLER	SEMISUB STEEL	2-A	NO	WILDCAT	1974	1974	\N	\N	13	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	41	NO	ED50	59	30	44.20	N	2	5	28.90	E	59.512278	2.091361	6597601.320000	448572.590000	31	25	4	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=361	http://www.npd.no/FactMapSearch?NPDID_wellbore=361	initial	\N	2006-02-15	361	1630312	\N	341331	0	21076	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/4-4	25/4-4	Elf Petroleum Norge AS	ELF	036	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1975-05-16	1975-07-07	HEIMDAL	127-L	25/4-1 HEIMDAL	NO	73	LINE 72-X  SP.50	0.00	25.000000	0.00	2681.000000	116.000000	PALEOCENE	VÅLE FM	NORTH SEA	ODIN DRILL	SEMISUB STEEL	2-A	NO	APPRAISAL	1975	1975	\N	\N	13	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	53	NO	ED50	59	36	8.63	N	2	12	26.64	E	59.602397	2.207400	6607552.970000	455259.670000	31	25	4	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=362	http://www.npd.no/FactMapSearch?NPDID_wellbore=362	initial	\N	2006-02-15	362	44252	43590	288577	0	21076	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/8-2	25/8-2	Esso Exploration and Production Norway A/S	ESSO	027	WILDCAT	P&A	DRY	EXPLORATION	1975-09-09	1975-10-01	\N	139-L	\N	NO	63	LINE 575-6  SP.2305	0.00	25.000000	0.00	2578.000000	126.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	2-A	NO	WILDCAT	1975	1975	\N	\N	1	\N	\N	\N	\N	\N	\N	23	NO	ED50	59	23	43.69	N	2	22	36.82	E	59.395469	2.376894	6584407.390000	464611.070000	31	25	8	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=363	http://www.npd.no/FactMapSearch?NPDID_wellbore=363	initial	\N	2010-08-01	363	\N	\N	294382	0	20988	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-3	25/8-3	Esso Exploration and Production Norway A/S	ESSO	027	APPRAISAL	P&A	OIL	EXPLORATION	1981-03-20	1981-04-17	BALDER	280-L	25/8-10 S RINGHORNE	NO	50	C 79 - 1  SP: 196	1.80	25.000000	0.00	1868.000000	130.000000	PALEOCENE	EKOFISK FM	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	2-A	NO	APPRAISAL	1981	1981	\N	\N	5	HERMOD FM	PALEOCENE	HEIMDAL FM	PALEOCENE	\N	\N	29	NO	ED50	59	16	22.17	N	2	31	18.25	E	59.272825	2.521736	6570681.750000	472739.110000	31	25	8	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=364	http://www.npd.no/FactMapSearch?NPDID_wellbore=364	initial	\N	2010-08-01	364	52316	43562	288091	0	20988	ESSO	2013-04-23	2013-04-23	2013-05-08
25/10-5	25/10-5	Esso Exploration and Production Norway A/S	ESSO	028	APPRAISAL	P&A	OIL	EXPLORATION	1981-06-15	1981-07-17	BALDER	291-L	25/11-1 BALDER	NO	55	BALMG 203  SP: 109.	0.00	25.000000	0.00	2011.000000	125.000000	LATE JURASSIC	VIKING GP	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	2-A	NO	APPRAISAL	1981	1981	\N	\N	5	INTRA BALDER FM SS	EOCENE	\N	\N	\N	\N	33	NO	ED50	59	10	49.24	N	2	19	26.97	E	59.180344	2.324158	6560481.030000	461373.070000	31	25	10	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=365	http://www.npd.no/FactMapSearch?NPDID_wellbore=365	initial	\N	2005-11-07	365	44210	43562	288091	0	21004	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-5	25/11-5	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	OIL	EXPLORATION	1974-04-03	1974-05-08	BALDER	106-L	25/11-1 BALDER	NO	60	LINE SC 73-15 & sp 2125	0.00	23.500000	0.00	2164.000000	124.000000	TRIASSIC	NO GROUP DEFINED	NORTH SEA	DRILLMASTER	SEMISUB STEEL	1-A	NO	WILDCAT	1974	1974	\N	\N	5	INTRA BALDER FM SS	EOCENE	HERMOD FM	PALEOCENE	\N	\N	36	NO	ED50	59	12	9.32	N	2	21	55.58	E	59.202589	2.365439	6562934.900000	463755.930000	31	25	11	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=366	http://www.npd.no/FactMapSearch?NPDID_wellbore=366	initial	\N	2010-04-30	366	44210	43562	288172	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-6	25/11-6	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	OIL	EXPLORATION	1978-08-20	1978-10-01	BALDER	201-L	25/11-1 BALDER	NO	65	\N	4.70	25.300000	0.00	1948.000000	125.700000	EARLY CRETACEOUS	CROMER KNOLL GP	NORTH SEA	NORSKALD	SEMISUB STEEL	1-A	NO	APPRAISAL	1978	1978	\N	\N	5	INTRA BALDER FM SS	EOCENE	HEIMDAL FM	PALEOCENE	\N	\N	43	NO	ED50	59	10	58.63	N	2	23	39.13	E	59.182953	2.394203	6560733.030000	465378.940000	31	25	11	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=367	http://www.npd.no/FactMapSearch?NPDID_wellbore=367	initial	\N	2010-04-30	367	44210	43562	288091	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-7	25/11-7	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	OIL	EXPLORATION	1978-10-03	1978-10-27	BALDER	204-L	25/11-1 BALDER	NO	0	\N	1.00	25.000000	0.00	1944.000000	124.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	NORSKALD	SEMISUB STEEL	1-A	NO	APPRAISAL	1978	1978	\N	\N	5	INTRA BALDER FM SS	EOCENE	HEIMDAL FM	PALEOCENE	\N	\N	25	NO	ED50	59	10	33.07	N	2	21	47.23	E	59.175853	2.363119	6559958.950000	463595.030000	31	25	11	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=368	http://www.npd.no/FactMapSearch?NPDID_wellbore=368	initial	\N	2010-04-30	368	44210	43562	288091	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-8	25/11-8	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	OIL	EXPLORATION	1979-09-08	1979-10-16	BALDER	223-L	25/11-1 BALDER	NO	77	CS-75-32 sp 2207	4.50	25.000000	0.00	1950.000000	126.000000	PALEOCENE	EKOFISK FM	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	1-A	NO	APPRAISAL	1979	1979	\N	\N	5	INTRA BALDER FM SS	EOCENE	HEIMDAL FM	PALEOCENE	\N	\N	39	NO	ED50	59	11	17.33	N	2	21	39.92	E	59.188147	2.361089	6561329.110000	463492.070000	31	25	11	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=369	http://www.npd.no/FactMapSearch?NPDID_wellbore=369	initial	\N	2010-04-30	369	44210	43562	297514	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-10	25/11-10	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	SHOWS	EXPLORATION	1981-01-20	1981-02-17	BALDER	274-L	25/11-1 BALDER	NO	55	BALMG 220  SP: 168.	0.00	25.000000	1988.00	1988.000000	124.000000	PALEOCENE	EKOFISK FM	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	1-A	NO	APPRAISAL	1981	1981	\N	\N	12	\N	\N	\N	\N	\N	\N	29	NO	ED50	59	10	9.23	N	2	20	58.00	E	59.169231	2.349444	6559229.080000	462806.170000	31	25	11	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=370	http://www.npd.no/FactMapSearch?NPDID_wellbore=370	initial	\N	2011-06-17	370	44210	43562	288091	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-11	25/11-11	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	OIL	EXPLORATION	1981-02-18	1981-03-18	BALDER	278-L	25/11-1 BALDER	NO	55	BALMG 179  SP: 162	4.00	25.000000	1960.00	1960.000000	126.000000	PALEOCENE	EKOFISK FM	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	1-A	NO	APPRAISAL	1981	1981	\N	\N	5	INTRA BALDER FM SS	EOCENE	HEIMDAL FM	PALEOCENE	\N	\N	29	NO	ED50	59	11	47.20	N	2	20	47.43	E	59.196444	2.346508	6562261.120000	462667.990000	31	25	11	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=371	http://www.npd.no/FactMapSearch?NPDID_wellbore=371	initial	\N	2011-06-17	371	44210	43562	288091	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-12	25/11-12	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	SHOWS	EXPLORATION	1981-04-18	1981-05-07	BALDER	281-L	25/11-1 BALDER	NO	60	BALMG 173  SP: 240.	1.40	25.000000	1918.00	1918.000000	127.000000	PALEOCENE	EKOFISK FM	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	1-A	NO	APPRAISAL	1981	1981	\N	\N	12	\N	\N	\N	\N	\N	\N	20	NO	ED50	59	12	2.61	N	2	22	50.81	E	59.200725	2.380781	6562719.110000	464630.250000	31	25	11	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=372	http://www.npd.no/FactMapSearch?NPDID_wellbore=372	initial	\N	2011-06-17	372	44210	43562	288091	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-13	25/11-13	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	OIL	EXPLORATION	1981-05-10	1981-05-29	BALDER	287-L	25/11-1 BALDER	NO	55	BALMG 188  SP: 261.	3.00	25.000000	1932.00	1932.000000	127.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	1-A	NO	APPRAISAL	1981	1981	\N	\N	5	INTRA BALDER FM SS	EOCENE	HEIMDAL FM	PALEOCENE	\N	\N	20	NO	ED50	59	11	26.88	N	2	23	23.80	E	59.190800	2.389944	6561609.080000	465143.570000	31	25	11	\N	13	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=373	http://www.npd.no/FactMapSearch?NPDID_wellbore=373	initial	\N	2011-06-17	373	44210	43562	288091	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
25/12-1	25/12-1	A/S Norske Shell	SHELL	010	WILDCAT	P&A	DRY	EXPLORATION	1973-10-03	1973-12-23	\N	95-L	\N	NO	93	LINE SC 59 SP.2145	2.50	34.000000	0.00	2865.000000	135.000000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	SEDCO 135 G	SEMISUB STEEL	1-A	NO	WILDCAT	1973	1973	\N	\N	1	\N	\N	\N	\N	\N	\N	82	NO	ED50	59	1	47.00	N	2	49	17.10	E	59.029722	2.821417	6543526.230000	489748.320000	31	25	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=374	http://www.npd.no/FactMapSearch?NPDID_wellbore=374	initial	\N	2004-12-01	374	\N	\N	288766	0	20836	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
29/6-1	29/6-1	BP Norway Limited  U.A.	BP	043	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1981-10-12	1982-05-09	MARTIN LINGE	307-L	29/6-1	YES	166	BP 80 - 021  SP 302	25.30	24.000000	4785.00	4832.000000	124.700000	LATE TRIASSIC	LUNDE FM	NORTH SEA	SEDCO 707	SEMISUB STEEL	3	NO	APPRAISAL	1981	1982	\N	\N	17	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	210	NO	ED50	60	32	17.94	N	1	59	24.05	E	60.538317	1.990014	6711948.140000	444581.730000	31	29	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=375	http://www.npd.no/FactMapSearch?NPDID_wellbore=375	initial	\N	2010-08-01	375	2770139	21675447	288037	0	21132	BP NORWAY LIMITED U.A.	2013-05-01	2013-05-01	2013-05-08
30/3-1	30/3-1	Den norske stats oljeselskap a.s	STATOIL	052	APPRAISAL	SUSP.REENTERED LATER	SHOWS	EXPLORATION	1979-06-11	1979-09-07	HULDRA	215-L	30/2-1 HULDRA	NO	99	702 166  SP. 790	2.00	25.000000	3716.00	3718.000000	138.000000	EARLY CRETACEOUS	ÅSGARD FM	NORTH SEA	NORSKALD	SEMISUB STEEL	4	NO	WILDCAT	1979	1979	\N	\N	12	\N	\N	\N	\N	\N	\N	89	NO	ED50	60	54	15.35	N	2	40	11.71	E	60.904264	2.669919	6752328.840000	482092.770000	31	30	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=376	http://www.npd.no/FactMapSearch?NPDID_wellbore=376	initial	\N	2004-09-24	376	44372	97002	288091	0	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/4-1	30/4-1	BP Norway Limited  U.A.	BP	043	WILDCAT	P&A	DRY	EXPLORATION	1978-11-01	1979-05-14	\N	205-L	\N	NO	161	\N	0.00	24.300000	5448.00	5454.000000	120.500000	EARLY JURASSIC	DRAKE FM	NORTH SEA	SEDCO 707	SEMISUB STEEL	3	NO	WILDCAT	1978	1979	\N	\N	1	\N	\N	\N	\N	\N	\N	195	NO	ED50	60	37	20.87	N	2	9	34.61	E	60.622464	2.159614	6721189.290000	454007.110000	31	30	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=377	http://www.npd.no/FactMapSearch?NPDID_wellbore=377	initial	\N	2004-09-24	377	\N	\N	288037	0	21132	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/4-2	30/4-2	BP Norway Limited  U.A.	BP	043	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1979-11-16	1980-05-15	MARTIN LINGE	230-L	30/7-6 MARTIN LINGE	NO	\N	802-55 SP 93.8	\N	25.000000	\N	4800.000000	123.000000	TRIASSIC	\N	NORTH SEA	SEDCO 707	SEMISUB STEEL	3	NO	WILDCAT	1979	1980	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	182	NO	ED50	60	31	1.10	N	2	2	46.22	E	60.516972	2.046172	6709524.950000	447628.550000	31	30	4	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=378	http://www.npd.no/FactMapSearch?NPDID_wellbore=378	initial	\N	9999-12-31	378	44450	21675447	288037	0	21132	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
30/5-1	30/5-1	A/S Norske Shell	SHELL	034	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1972-05-17	1972-07-29	\N	70-L	\N	NO	109	\N	5.00	25.000000	0.00	4124.000000	106.000000	EARLY CRETACEOUS	ÅSGARD FM	NORTH SEA	TRANSWORLD RIG61	SEMISUB STEEL	2-A	NO	WILDCAT	1972	1972	\N	\N	12	\N	\N	\N	\N	\N	\N	74	NO	ED50	60	31	49.60	N	2	22	11.70	E	60.530444	2.369917	6710811.570000	465418.160000	31	30	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=379	http://www.npd.no/FactMapSearch?NPDID_wellbore=379	initial	\N	2010-08-01	379	\N	\N	362531	0	21060	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
30/6-1	30/6-1	Den norske stats oljeselskap a.s	STATOIL	053	WILDCAT	P&A	GAS	EXPLORATION	1979-06-19	1979-09-22	OSEBERG	216-L	30/6-1 OSEBERG	YES	\N	703 127   SP 390	\N	25.000000	\N	3175.000000	106.000000	TRIASSIC	\N	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	4	NO	WILDCAT	1979	1979	\N	\N	9	\N	MIDDLE JURASSIC	\N	\N	\N	\N	96	NO	ED50	60	33	15.10	N	2	46	38.36	E	60.554194	2.777322	6713312.000000	487787.270000	31	30	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=380	http://www.npd.no/FactMapSearch?NPDID_wellbore=380	initial	\N	9999-12-31	380	44396	43625	289090	0	21220	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-2	30/6-2	Den norske stats oljeselskap a.s	STATOIL	053	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1979-09-24	1979-12-10	OSEBERG	225-L	30/6-1 OSEBERG	NO	\N	\N	\N	25.000000	\N	2890.000000	106.000000	TRIASSIC	\N	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	4	NO	APPRAISAL	1979	1979	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	78	NO	ED50	60	32	12.16	N	2	46	11.11	E	60.536711	2.769753	6711366.110000	487365.310000	31	30	6	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=381	http://www.npd.no/FactMapSearch?NPDID_wellbore=381	initial	\N	9999-12-31	381	44396	43625	289090	0	21220	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-3	30/6-3	Den norske stats oljeselskap a.s	STATOIL	053	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1979-12-16	1980-03-07	OSEBERG	234-L	30/6-1 OSEBERG	NO	\N	703 130 SP.615	\N	25.000000	\N	2940.000000	105.000000	EARLY JURASSIC	\N	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	4	NO	APPRAISAL	1979	1980	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	83	NO	ED50	60	34	52.98	N	2	47	1.41	E	60.581383	2.783725	6716339.170000	488148.390000	31	30	6	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=382	http://www.npd.no/FactMapSearch?NPDID_wellbore=382	initial	\N	9999-12-31	382	44396	43625	289090	0	21220	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-4	30/6-4	Den norske stats oljeselskap a.s	STATOIL	053	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1981-02-17	1981-05-11	OSEBERG	277-L	30/6-1 OSEBERG	NO	\N	703 122  SP:477.	\N	25.000000	\N	2942.000000	110.000000	EARLY JURASSIC	\N	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	4	NO	WILDCAT	1981	1981	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	84	NO	ED50	60	30	35.66	N	2	50	53.78	E	60.509906	2.848272	6708367.970000	491667.130000	31	30	6	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=383	http://www.npd.no/FactMapSearch?NPDID_wellbore=383	initial	\N	9999-12-31	383	44396	43625	289090	0	21220	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/7-1	30/7-1	Norsk Hydro Produksjon AS	HYDRO	040	WILDCAT	JUNKED	DRY	EXPLORATION	1975-07-05	1975-08-05	\N	131-L	\N	NO	0	LINES 550 306/550 402	0.75	22.900000	0.00	1007.000000	109.000000	MIOCENE	UTSIRA FM	NORTH SEA	POLYGLOMAR DRILLER	SEMISUB STEEL	3	NO	WILDCAT	1975	1975	\N	\N	1	\N	\N	\N	\N	\N	\N	32	NO	ED50	60	29	27.59	N	2	1	34.49	E	60.490997	2.026247	6706648.060000	446491.800000	31	30	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=384	http://www.npd.no/FactMapSearch?NPDID_wellbore=384	initial	\N	2009-10-26	384	\N	\N	362458	0	21108	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/7-2	30/7-2	Norsk Hydro Produksjon AS	HYDRO	040	WILDCAT	P&A	OIL/GAS	EXPLORATION	1975-08-06	1975-11-09	MARTIN LINGE	137-L	30/7-2	YES	69	LINE 550114    SP.570	5.00	23.000000	2591.00	2591.000000	111.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	POLYGLOMAR DRILLER	SEMISUB STEEL	3	NO	WILDCAT	1975	1975	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	96	NO	ED50	60	29	26.06	N	2	1	40.85	E	60.490572	2.028014	6706599.290000	446588.170000	31	30	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=385	http://www.npd.no/FactMapSearch?NPDID_wellbore=385	initial	\N	2010-04-30	385	44444	21675447	362458	0	21108	HYDRO PRODUKSJON	2013-05-01	2013-05-01	2013-05-08
30/7-3	30/7-3	Norsk Hydro Produksjon AS	HYDRO	040	WILDCAT	P&A	DRY	EXPLORATION	1976-08-06	1976-10-25	\N	163-L	\N	NO	119	\N	2.75	24.000000	4043.00	4044.000000	99.500000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	POLYGLOMAR DRILLER	SEMISUB STEEL	3	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	81	NO	ED50	60	17	9.24	N	2	14	54.44	E	60.285900	2.248456	6683645.520000	458441.330000	31	30	7	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=386	http://www.npd.no/FactMapSearch?NPDID_wellbore=386	initial	\N	2004-09-24	386	\N	\N	362458	0	21108	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/7-4	30/7-4	Norsk Hydro Produksjon AS	HYDRO	040	WILDCAT	JUNKED	DRY	EXPLORATION	1977-01-25	1977-02-05	\N	170-L	\N	NO	0	\N	0.00	25.000000	0.00	778.000000	117.000000	MIOCENE	NORDLAND GP	NORTH SEA	POLYGLOMAR DRILLER	SEMISUB STEEL	3	NO	WILDCAT	1977	1977	\N	\N	1	\N	\N	\N	\N	\N	\N	12	NO	ED50	60	29	29.72	N	2	3	24.32	E	60.491589	2.056756	6706689.550000	448169.110000	31	30	7	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=387	http://www.npd.no/FactMapSearch?NPDID_wellbore=387	initial	\N	2010-04-20	387	\N	\N	362458	0	21108	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/7-5	30/7-5	Norsk Hydro Produksjon AS	HYDRO	040	WILDCAT	JUNKED	DRY	EXPLORATION	1977-02-05	1977-02-13	\N	172-L	\N	NO	0	\N	1.20	24.000000	0.00	805.000000	117.000000	MIOCENE	NORDLAND GP	NORTH SEA	POLYGLOMAR DRILLER	SEMISUB STEEL	3	NO	WILDCAT	1977	1977	\N	\N	1	\N	\N	\N	\N	\N	\N	9	NO	ED50	60	29	30.19	N	2	3	27.40	E	60.491719	2.057611	6706703.420000	448216.330000	31	30	7	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=388	http://www.npd.no/FactMapSearch?NPDID_wellbore=388	initial	\N	2010-04-30	388	\N	\N	362458	0	21108	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/7-6	30/7-6	Norsk Hydro Produksjon AS	HYDRO	040	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1977-02-14	1977-07-29	\N	173-L	\N	NO	\N	\N	\N	24.000000	\N	3784.000000	116.000000	MIDDLE JURASSIC	\N	NORTH SEA	POLYGLOMAR DRILLER	SEMISUB STEEL	3	NO	WILDCAT	1977	1977	\N	\N	1	\N	\N	\N	\N	\N	\N	166	NO	ED50	60	29	29.82	N	2	3	26.14	E	60.491617	2.057261	6706692.250000	448196.930000	31	30	7	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=389	http://www.npd.no/FactMapSearch?NPDID_wellbore=389	initial	\N	9999-12-31	389	\N	\N	362458	0	21108	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/7-7	30/7-7	Norsk Hydro Produksjon AS	HYDRO	040	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1978-12-18	1979-07-01	\N	207-L	\N	NO	167	\N	17.40	25.000000	0.00	5127.000000	110.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	3	NO	WILDCAT	1978	1979	\N	\N	12	\N	\N	\N	\N	\N	\N	196	NO	ED50	60	16	19.30	N	2	16	7.30	E	60.272028	2.268694	6682087.960000	459543.340000	31	30	7	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=390	http://www.npd.no/FactMapSearch?NPDID_wellbore=390	initial	\N	2004-09-24	390	\N	\N	287956	0	21108	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/10-1	30/10-1	Esso Exploration and Production Norway A/S	ESSO	030	APPRAISAL	JUNKED	OIL/GAS	EXPLORATION	1973-05-05	1973-07-18	FRIGG	84-L	25/1-1 FRIGG	NO	0	LINE 572-1 SP.2010	0.00	14.000000	0.00	2917.000000	115.000000	LATE CRETACEOUS	HARDRÅDE FM	NORTH SEA	SAIPEM II	VESSEL	2-A	NO	WILDCAT	1973	1973	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	75	NO	ED50	60	0	20.37	N	2	4	7.17	E	60.005658	2.068658	6652562.510000	448059.340000	31	30	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=391	http://www.npd.no/FactMapSearch?NPDID_wellbore=391	initial	\N	2004-09-30	391	44204	43555	288685	0	21028	ESSO	2012-07-25	2012-07-25	2013-05-08
30/10-2	30/10-2	Esso Exploration and Production Norway A/S	ESSO	030	WILDCAT	P&A	GAS	EXPLORATION	1973-12-24	1974-03-28	ODIN	102-L	30/10-2 ODIN	YES	77	LINE CS 131  SP.26575	0.00	24.000000	0.00	2755.000000	104.000000	LATE CRETACEOUS	HARDRÅDE FM	NORTH SEA	DRILLMASTER	SEMISUB STEEL	2-A	NO	WILDCAT	1973	1974	\N	\N	9	FRIGG FM	EOCENE	\N	\N	\N	\N	95	NO	ED50	60	4	58.87	N	2	9	42.76	E	60.083019	2.161878	6661108.480000	453367.160000	31	30	10	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=392	http://www.npd.no/FactMapSearch?NPDID_wellbore=392	initial	\N	2004-06-29	392	44360	43610	288172	0	21028	ESSO	2012-07-25	2012-07-25	2013-05-08
30/10-3	30/10-3	Esso Exploration and Production Norway A/S	ESSO	030	APPRAISAL	P&A	GAS	EXPLORATION	1974-08-08	1974-08-31	ODIN	112-L	30/10-2 ODIN	NO	53	LINE CS 73-27  SP.2390	0.00	24.000000	2255.00	2255.000000	106.000000	PALEOCENE	HERMOD FM	NORTH SEA	DRILLMASTER	SEMISUB STEEL	2-A	NO	APPRAISAL	1974	1974	\N	\N	9	FRIGG FM	EOCENE	\N	\N	\N	\N	24	NO	ED50	60	3	12.27	N	2	10	2.06	E	60.053408	2.167239	6657806.990000	453623.900000	31	30	10	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=393	http://www.npd.no/FactMapSearch?NPDID_wellbore=393	initial	\N	2004-09-30	393	44360	43610	288172	0	21028	ESSO	2012-07-25	2012-07-25	2013-05-08
30/10-4	30/10-4	Esso Exploration and Production Norway A/S	ESSO	030	APPRAISAL	JUNKED	DRY	EXPLORATION	1974-09-11	1974-09-25	FRIGG	116-L	25/1-1 FRIGG	NO	0	LINE CS 73-27   SP.2390	0.00	24.000000	758.00	758.000000	104.000000	MIOCENE	SKADE FM	NORTH SEA	NEPTUNE 7	SEMISUB STEEL	2-A	NO	APPRAISAL	1974	1974	\N	\N	1	\N	\N	\N	\N	\N	\N	15	NO	ED50	60	0	25.07	N	2	4	6.19	E	60.006964	2.068386	6652708.120000	448046.200000	31	30	10	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=394	http://www.npd.no/FactMapSearch?NPDID_wellbore=394	initial	\N	2004-09-30	394	44204	43555	288631	0	21028	ESSO	2012-07-25	2012-07-25	2013-05-08
30/10-5	30/10-5	Esso Exploration and Production Norway A/S	ESSO	030	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1974-08-25	1975-05-01	FRIGG	118-L	25/1-1 FRIGG	NO	160	LINE S 72   SP.2010	0.00	24.000000	5186.00	5186.000000	106.000000	LATE TRIASSIC	HEGRE GP	NORTH SEA	NEPTUNE 7	SEMISUB STEEL	2-A	NO	WILDCAT	1974	1975	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	250	NO	ED50	60	0	25.88	N	2	4	7.17	E	60.007189	2.068658	6652732.960000	448061.740000	31	30	10	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=395	http://www.npd.no/FactMapSearch?NPDID_wellbore=395	initial	\N	2004-09-24	395	44204	43555	288631	0	21028	ESSO	2012-07-25	2012-07-25	2013-05-08
30/11-1	30/11-1	A/S Norske Shell	SHELL	035	WILDCAT	P&A	DRY	EXPLORATION	1975-02-05	1975-03-14	\N	122-L	\N	NO	\N	LINE 060004  SP.2805	\N	24.000000	\N	2682.000000	114.000000	LATE CRETACEOUS	\N	NORTH SEA	OCEAN VOYAGER	SEMISUB STEEL	2-A	NO	WILDCAT	1975	1975	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	60	0	22.43	N	2	31	16.20	E	60.006231	2.521167	6652357.260000	473295.630000	31	30	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=396	http://www.npd.no/FactMapSearch?NPDID_wellbore=396	initial	\N	9999-12-31	396	\N	\N	288550	0	21068	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
30/11-2	30/11-2	A/S Norske Shell	SHELL	035	WILDCAT	P&A	DRY	EXPLORATION	1975-03-18	1975-04-16	\N	123-L	\N	NO	\N	LINE 304003  SP.2080	\N	24.000000	\N	2590.000000	110.000000	LATE CRETACEOUS	\N	NORTH SEA	OCEAN VOYAGER	SEMISUB STEEL	2-A	NO	WILDCAT	1975	1975	\N	\N	1	\N	\N	\N	\N	\N	\N	30	NO	ED50	60	7	33.20	N	2	39	5.20	E	60.125889	2.651444	6665638.490000	480631.380000	31	30	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=397	http://www.npd.no/FactMapSearch?NPDID_wellbore=397	initial	\N	9999-12-31	397	\N	\N	288550	0	21068	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-1	31/2-1	A/S Norske Shell	SHELL	054	WILDCAT	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1979-07-17	1979-11-09	TROLL	219-L	31/2-1 TROLL VEST	YES	65	77 - 6046 SP 461	0.00	24.000000	2433.00	2433.000000	324.000000	LATE TRIASSIC	HEGRE GP	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1979	1979	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	116	NO	ED50	60	46	19.16	N	3	33	15.87	E	60.771989	3.554408	6737677.610000	530201.600000	31	31	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=398	http://www.npd.no/FactMapSearch?NPDID_wellbore=398	initial	\N	2006-02-15	398	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-6	31/2-6	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1981-07-21	1981-10-17	TROLL	296-L	31/2-1 TROLL VEST	NO	73	LINE 79-406 & SP185	1.25	25.000000	1754.00	1760.000000	343.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	APPRAISAL	1981	1981	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	89	NO	ED50	60	54	13.57	N	3	38	49.53	E	60.903769	3.647092	6752401.910000	535105.690000	31	31	2	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=399	http://www.npd.no/FactMapSearch?NPDID_wellbore=399	initial	\N	2006-06-06	399	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/4-1	31/4-1	Norsk Hydro Produksjon AS	HYDRO	055	WILDCAT	JUNKED	DRY	EXPLORATION	1979-09-09	1979-09-25	\N	224-L	\N	NO	38	\N	0.00	25.000000	0.00	1000.000000	144.000000	OLIGOCENE	HORDALAND GP	NORTH SEA	NORSKALD	SEMISUB STEEL	4	NO	WILDCAT	1979	1979	\N	\N	1	\N	\N	\N	\N	\N	\N	17	NO	ED50	60	36	18.20	N	3	0	32.30	E	60.605056	3.008972	6718956.400000	500491.310000	31	31	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=400	http://www.npd.no/FactMapSearch?NPDID_wellbore=400	initial	\N	2007-12-19	400	\N	\N	288091	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-2	31/4-2	Norsk Hydro Produksjon AS	HYDRO	055	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1979-09-25	1979-11-15	\N	226-L	\N	NO	\N	\N	\N	25.000000	\N	2900.000000	142.000000	TRIASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	4	NO	WILDCAT	1979	1979	\N	\N	12	\N	\N	\N	\N	\N	\N	52	NO	ED50	60	36	14.60	N	3	0	26.70	E	60.604056	3.007417	6718845.000000	500406.140000	31	31	4	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=401	http://www.npd.no/FactMapSearch?NPDID_wellbore=401	initial	\N	9999-12-31	401	\N	\N	288091	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-3	31/4-3	Norsk Hydro Produksjon AS	HYDRO	055	WILDCAT	P&A	OIL/GAS	EXPLORATION	1979-12-24	1980-05-11	BRAGE	236-L	31/4-3 BRAGE	YES	\N	954 231 SP.586	\N	25.000000	\N	4981.000000	170.000000	EARLY PERMIAN	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	4	NO	WILDCAT	1979	1980	\N	\N	13	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	140	NO	ED50	60	35	12.20	N	3	5	38.10	E	60.586722	3.093917	6716918.020000	505145.680000	31	31	4	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=402	http://www.npd.no/FactMapSearch?NPDID_wellbore=402	initial	\N	9999-12-31	402	44546	43651	287956	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/4-5	31/4-5	Norsk Hydro Produksjon AS	HYDRO	055	APPRAISAL	P&A	OIL	EXPLORATION	1981-05-27	1981-07-29	BRAGE	288-L	31/4-3 BRAGE	NO	\N	LINE 954 - 231  SP: 435.	\N	25.000000	\N	2930.000000	148.000000	TRIASSIC	\N	NORTH SEA	NORTRYM	SEMISUB STEEL	4	NO	WILDCAT	1981	1981	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	64	NO	ED50	60	33	30.92	N	3	3	25.17	E	60.558589	3.056992	6713782.150000	503125.280000	31	31	4	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=403	http://www.npd.no/FactMapSearch?NPDID_wellbore=403	initial	\N	9999-12-31	403	44546	43651	288010	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/6-4	31/6-4	Den norske stats oljeselskap a.s	STATOIL	085	APPRAISAL	JUNKED	DRY	EXPLORATION	1984-03-05	1984-03-16	TROLL	407-L	31/6-1 TROLL ØST	NO	37	NH 8202 - 120  SP. 246	12.75	23.000000	817.00	820.000000	305.000000	EOCENE	BALDER FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	12	NO	ED50	60	37	6.05	N	3	48	20.36	E	60.618347	3.805656	6720706.990000	544097.830000	31	31	6	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=404	http://www.npd.no/FactMapSearch?NPDID_wellbore=404	initial	\N	2006-06-06	404	44552	46437	287983	0	21476	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/5-2	33/5-2	Norsk Hydro Produksjon AS	HYDRO	047	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1981-07-31	1981-11-18	\N	297-L	\N	NO	137	SL 5 3 - 415  SP: 185.	8.00	25.000000	0.00	4520.000000	309.500000	LATE TRIASSIC	LUNDE FM	NORTH SEA	NORTRYM	SEMISUB STEEL	3	NO	WILDCAT	1981	1981	\N	\N	12	\N	\N	\N	\N	\N	\N	111	NO	ED50	61	39	47.14	N	1	37	17.40	E	61.663094	1.621500	6837585.980000	427002.080000	31	33	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=405	http://www.npd.no/FactMapSearch?NPDID_wellbore=405	initial	\N	2004-05-18	405	\N	\N	288010	0	21164	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/6-1	33/6-1	Norsk Agip  AS	AGIP	049	WILDCAT	P&A	DRY	EXPLORATION	1979-04-09	1979-07-06	\N	212-L	\N	NO	103	\N	3.50	25.000000	3898.00	3900.000000	306.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	FERNSTAR	SEMISUB STEEL	3	NO	WILDCAT	1979	1979	\N	\N	1	\N	\N	\N	\N	\N	\N	89	NO	ED50	61	32	14.83	N	1	51	57.55	E	61.537453	1.865986	6823341.210000	439704.030000	31	33	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=406	http://www.npd.no/FactMapSearch?NPDID_wellbore=406	initial	\N	2004-07-01	406	\N	\N	288280	0	21180	AGIP	2012-07-25	2012-07-25	2013-05-08
33/9-1	33/9-1	Mobil Exploration Norway INC	MOBIL	037	APPRAISAL	P&A	OIL	EXPLORATION	1974-04-02	1974-06-04	STATFJORD	109-L	33/12-1 STATFJORD	NO	\N	LINE MNG-28  SP.1-680	\N	25.000000	\N	3126.000000	146.000000	LATE TRIASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1974	1974	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	64	NO	ED50	61	15	7.29	N	1	50	25.54	E	61.252025	1.840428	6791573.150000	437780.230000	31	33	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=407	http://www.npd.no/FactMapSearch?NPDID_wellbore=407	initial	\N	9999-12-31	407	44558	43658	288091	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-2	33/9-2	Mobil Exploration Norway INC	MOBIL	037	APPRAISAL	JUNKED	DRY	EXPLORATION	1974-08-25	1974-09-14	STATFJORD	113-L	33/12-1 STATFJORD	NO	\N	LINE MNG-20  SP.340	\N	25.000000	\N	941.000000	146.000000	OLIGOCENE	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1974	1974	\N	\N	1	\N	\N	\N	\N	\N	\N	21	NO	ED50	61	17	53.75	N	1	53	41.41	E	61.298264	1.894836	6796672.780000	440786.570000	31	33	9	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=408	http://www.npd.no/FactMapSearch?NPDID_wellbore=408	initial	\N	9999-12-31	408	44558	43658	288091	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-4	33/9-4	Mobil Exploration Norway INC	MOBIL	037	APPRAISAL	P&A	OIL	EXPLORATION	1975-07-30	1975-09-17	STATFJORD	135-L	33/12-1 STATFJORD	NO	\N	LINE MNG 21   SP.325	\N	25.000000	\N	3076.000000	144.000000	LATE TRIASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1975	1975	\N	\N	5	\N	EARLY JURASSIC	\N	\N	\N	\N	50	NO	ED50	61	19	46.57	N	1	54	43.04	E	61.329603	1.911956	6800148.020000	441761.910000	31	33	9	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=409	http://www.npd.no/FactMapSearch?NPDID_wellbore=409	initial	\N	9999-12-31	409	44558	43658	288091	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-5	33/9-5	Mobil Exploration Norway INC	MOBIL	037	APPRAISAL	P&A	OIL	EXPLORATION	1975-10-27	1976-01-01	STATFJORD	142-L	33/12-1 STATFJORD	NO	\N	LINE MNG-16  SP.778	\N	25.000000	\N	3157.000000	152.000000	LATE TRIASSIC	\N	NORTH SEA	ROSS RIG	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1975	1976	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	67	NO	ED50	61	20	47.87	N	1	56	51.70	E	61.346631	1.947694	6802013.310000	443705.300000	31	33	9	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=410	http://www.npd.no/FactMapSearch?NPDID_wellbore=410	initial	\N	9999-12-31	410	44558	43658	294382	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-6	33/9-6	Mobil Exploration Norway INC	MOBIL	037	WILDCAT	P&A	OIL	EXPLORATION	1976-06-23	1976-08-31	\N	158-L	33/9-6 DELTA	YES	0	\N	0.00	25.500000	0.00	3354.000000	153.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1976	1976	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	70	NO	ED50	61	25	12.80	N	1	48	43.09	E	61.420222	1.811969	6810334.730000	436594.240000	31	33	9	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=411	http://www.npd.no/FactMapSearch?NPDID_wellbore=411	initial	\N	2011-06-20	411	44576	\N	297514	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-7	33/9-7	Mobil Exploration Norway INC	MOBIL	037	WILDCAT	P&A	OIL	EXPLORATION	1976-09-06	1976-11-07	STATFJORD ØST	165-L	33/9-7 STATFJORD ØST	YES	\N	\N	\N	26.000000	\N	3127.000000	155.000000	TRIASSIC	\N	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1976	1976	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	63	NO	ED50	61	20	12.17	N	1	59	12.66	E	61.336714	1.986850	6800875.600000	445782.730000	31	33	9	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=412	http://www.npd.no/FactMapSearch?NPDID_wellbore=412	initial	\N	9999-12-31	412	44582	43672	297514	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-8	33/9-8	Mobil Exploration Norway INC	MOBIL	037	WILDCAT	P&A	OIL	EXPLORATION	1976-11-11	1977-02-18	STATFJORD NORD	169-L	33/9-8 STATFJORD NORD	YES	\N	\N	\N	25.000000	\N	3085.000000	265.000000	EARLY JURASSIC	\N	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1976	1977	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	90	NO	ED50	61	26	17.44	N	1	55	4.87	E	61.438178	1.918019	6812236.260000	442286.970000	31	33	9	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=413	http://www.npd.no/FactMapSearch?NPDID_wellbore=413	initial	\N	9999-12-31	413	44588	43679	289090	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-9	33/9-9	Mobil Exploration Norway INC	MOBIL	037	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1977-07-27	1977-11-17	STATFJORD	179-L	33/12-1 STATFJORD	NO	96	\N	5.20	25.000000	3098.00	3100.000000	145.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1977	1977	\N	\N	13	BRENT GP	MIDDLE JURASSIC	DUNLIN GP	EARLY JURASSIC	STATFJORD FM	EARLY JURASSIC      	114	NO	ED50	61	17	10.19	N	1	54	26.05	E	61.286164	1.907236	6795313.860000	441428.360000	31	33	9	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=414	http://www.npd.no/FactMapSearch?NPDID_wellbore=414	initial	\N	2011-10-03	414	44558	43658	288280	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-10	33/9-10	Mobil Exploration Norway INC	MOBIL	037	WILDCAT	P&A	DRY	EXPLORATION	1978-04-08	1978-06-12	\N	193-L	\N	NO	112	\N	21.15	26.000000	3693.00	3715.000000	162.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	FERNSTAR	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1978	1978	\N	\N	1	\N	\N	\N	\N	\N	\N	66	NO	ED50	61	28	0.21	N	1	46	29.63	E	61.466725	1.774897	6815550.940000	434713.130000	31	33	9	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=415	http://www.npd.no/FactMapSearch?NPDID_wellbore=415	initial	\N	2004-07-01	415	\N	\N	288280	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/9-11	33/9-11	Mobil Exploration Norway INC	MOBIL	037	WILDCAT	P&A	DRY	EXPLORATION	1978-06-17	1978-08-28	\N	198-L	\N	NO	99	\N	2.40	25.000000	3527.00	3528.000000	287.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	FERNSTAR	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1978	1978	\N	\N	1	\N	\N	\N	\N	\N	\N	74	NO	ED50	61	29	26.13	N	1	52	46.01	E	61.490592	1.879447	6818109.140000	440329.980000	31	33	9	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=416	http://www.npd.no/FactMapSearch?NPDID_wellbore=416	initial	\N	2004-07-01	416	\N	\N	288280	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-1	33/12-1	Mobil Exploration Norway INC	MOBIL	037	WILDCAT	P&A	OIL	EXPLORATION	1973-12-01	1974-04-18	STATFJORD	101-L	33/12-1 STATFJORD	YES	\N	LINE ANO 73-12   SP.58	\N	27.000000	\N	3060.000000	146.000000	LATE TRIASSIC	\N	NORTH SEA	WAAGE DRILL I	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1973	1974	\N	\N	5	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC	\N	\N	139	NO	ED50	61	12	15.14	N	1	49	43.33	E	61.204206	1.828703	6786258.210000	437055.690000	31	33	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=417	http://www.npd.no/FactMapSearch?NPDID_wellbore=417	initial	\N	9999-12-31	417	44558	43658	289171	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-2	33/12-2	Mobil Exploration Norway INC	MOBIL	037	APPRAISAL	P&A	OIL	EXPLORATION	1974-06-06	1974-08-23	STATFJORD	111-L	33/12-1 STATFJORD	NO	\N	LINE MNG-30  SP.160	\N	25.000000	\N	4354.000000	147.000000	EARLY TRIASSIC	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1974	1974	\N	\N	5	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC	\N	\N	79	NO	ED50	61	13	31.18	N	1	51	25.97	E	61.225328	1.857214	6788583.710000	438628.860000	31	33	12	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=418	http://www.npd.no/FactMapSearch?NPDID_wellbore=418	initial	\N	9999-12-31	418	44558	43658	288091	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
34/2-1	34/2-1	Amoco Norway Oil Company	AMOCO	056	WILDCAT	JUNKED	DRY	EXPLORATION	1979-12-29	1980-02-23	\N	235-L	\N	NO	24	ANO 77-02 SP.230	1.50	25.000000	807.00	807.000000	389.000000	PLIOCENE	NORDLAND GP	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1979	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	57	NO	ED50	61	46	28.06	N	2	33	6.20	E	61.774461	2.551722	6849300.930000	476345.980000	31	34	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=420	http://www.npd.no/FactMapSearch?NPDID_wellbore=420	initial	\N	2005-02-11	420	\N	\N	341331	0	21244	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/2-3	34/2-3	Amoco Norway Oil Company	AMOCO	056	WILDCAT	P&A	SHOWS	EXPLORATION	1981-05-15	1981-08-13	\N	286-L	\N	NO	117	ANO 79 - 35  SP: 620.	5.20	26.000000	3740.00	3741.000000	388.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	SEDCO 703	SEMISUB STEEL	4	NO	WILDCAT	1981	1981	\N	\N	12	\N	\N	\N	\N	\N	\N	91	NO	ED50	61	47	20.91	N	2	30	4.60	E	61.789142	2.501278	6850955.730000	473696.790000	31	34	2	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=421	http://www.npd.no/FactMapSearch?NPDID_wellbore=421	initial	\N	2004-05-18	421	\N	\N	288793	0	21244	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/4-1	34/4-1	Saga Petroleum ASA	SAGA	057	WILDCAT	P&A	OIL	EXPLORATION	1979-07-11	1979-12-16	SNORRE	217-L	34/4-1 SNORRE	YES	103	\N	8.80	25.000000	2912.00	2916.000000	377.000000	MIDDLE TRIASSIC	TEIST FM (INFORMAL)	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1979	1979	\N	\N	5	LUNDE FM	LATE TRIASSIC	\N	\N	\N	\N	159	NO	ED50	61	32	49.23	N	2	16	23.66	E	61.547008	2.273239	6824096.500000	461368.880000	31	34	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=422	http://www.npd.no/FactMapSearch?NPDID_wellbore=422	initial	\N	2009-05-26	422	44654	43718	341331	0	21252	SAGA	2012-07-25	2012-07-25	2013-05-08
34/4-3	34/4-3	Saga Petroleum ASA	SAGA	057	WILDCAT	P&A	DRY	EXPLORATION	1981-10-16	1982-03-30	\N	306-L	\N	NO	127	SG 8020 - 409  SP 580	5.00	25.000000	4457.00	4460.000000	366.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	4	NO	WILDCAT	1981	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	166	NO	ED50	61	36	32.95	N	2	7	34.42	E	61.609153	2.126228	6831114.850000	453647.630000	31	34	4	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=423	http://www.npd.no/FactMapSearch?NPDID_wellbore=423	initial	\N	2004-07-01	423	\N	\N	297514	0	21252	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-1	34/10-1	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	P&A	OIL	EXPLORATION	1978-06-20	1978-09-08	GULLFAKS	197-L	34/10-1 GULLFAKS	YES	58	LINE ST 24.5  &  SP 1373	0.00	25.000000	0.00	2460.000000	138.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1978	1978	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	80	NO	ED50	61	10	46.84	N	2	12	43.67	E	61.179678	2.212131	6783217.390000	457626.920000	31	34	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=424	http://www.npd.no/FactMapSearch?NPDID_wellbore=424	initial	\N	2012-12-05	424	44594	43686	294382	0	21188	STATOIL	2013-02-14	2013-02-14	2013-05-08
34/10-2	34/10-2	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	P&A	OIL/GAS	EXPLORATION	1978-09-09	1978-12-08	GULLFAKS SØR	202-L	34/10-2 GULLFAKS SØR	YES	141	ST.32.Sp 510	2.40	25.000000	3728.00	3729.000000	133.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1978	1978	\N	\N	13	BRENT GP	MIDDLE JURASSIC	STATFJORD FM	EARLY JURASSIC	\N	\N	91	NO	ED50	61	6	7.92	N	2	13	39.96	E	61.102200	2.227767	6774577.400000	458365.950000	31	34	10	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=425	http://www.npd.no/FactMapSearch?NPDID_wellbore=425	initial	\N	2012-12-05	425	44606	43699	294382	0	21188	STATOIL	2013-02-14	2013-02-14	2013-05-08
34/10-3	34/10-3	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1979-03-14	1979-06-07	GULLFAKS	211-L	34/10-1 GULLFAKS	NO	93	708/709-404   SP 405	4.00	25.000000	2801.00	2802.000000	140.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1979	1979	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	86	NO	ED50	61	12	49.70	N	2	11	53.65	E	61.213806	2.198236	6787027.860000	456926.290000	31	34	10	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=426	http://www.npd.no/FactMapSearch?NPDID_wellbore=426	initial	\N	2012-12-05	426	44594	43686	288091	0	21188	STATOIL	2013-02-14	2013-02-14	2013-05-08
34/10-4	34/10-4	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	1979-08-12	1979-10-15	GULLFAKS	222-L	34/10-1 GULLFAKS	NO	77	709-404   SP 322	0.00	25.000000	2598.00	2600.000000	197.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1979	1979	\N	\N	5	BRENT GP	MIDDLE JURASSIC	NO FORMAL NAME	EOCENE	\N	\N	65	NO	ED50	61	12	15.65	N	2	13	55.96	E	61.204347	2.232211	6785952.410000	458739.120000	31	34	10	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=427	http://www.npd.no/FactMapSearch?NPDID_wellbore=427	initial	\N	2012-12-05	427	44594	43686	294382	0	21188	STATOIL	2013-02-14	2013-02-14	2013-05-08
34/10-5	34/10-5	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	1979-10-18	1980-01-02	GULLFAKS	228-L	34/10-1 GULLFAKS	NO	79	ST 24.5    SP 1275	7.50	25.000000	2778.00	2780.000000	136.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1979	1980	\N	\N	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	77	NO	ED50	61	11	25.35	N	2	10	23.39	E	61.190375	2.173164	6784434.790000	455546.360000	31	34	10	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=428	http://www.npd.no/FactMapSearch?NPDID_wellbore=428	initial	\N	2012-12-06	428	44594	43686	294382	0	21188	STATOIL	2013-02-14	2013-02-14	2013-05-08
34/10-6	34/10-6	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	DRY	EXPLORATION	1979-11-13	1980-01-22	GULLFAKS	231-L	34/10-1 GULLFAKS	NO	63	ST 37.5   SP 295	0.00	25.000000	0.00	2363.000000	222.500000	EARLY JURASSIC	DRAKE FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1979	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	71	NO	ED50	61	14	37.09	N	2	13	43.68	E	61.243636	2.228800	6790330.870000	458607.450000	31	34	10	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=429	http://www.npd.no/FactMapSearch?NPDID_wellbore=429	initial	\N	2012-12-05	429	44594	43686	288280	0	21188	STATOIL	2012-12-21	2012-12-21	2013-05-08
34/10-10	34/10-10	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1980-08-15	1980-08-21	\N	257-L	\N	NO	49	3D-224    SP 265	0.00	25.000000	816.00	816.000000	154.000000	MIOCENE	NORDLAND GP	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	7	NO	ED50	61	10	27.95	N	2	14	43.12	E	61.174431	2.245311	6782611.870000	459404.630000	31	34	10	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=430	http://www.npd.no/FactMapSearch?NPDID_wellbore=430	initial	\N	2009-10-26	430	\N	\N	288091	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-13	34/10-13	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	1981-08-24	1982-01-05	GULLFAKS	300-L	34/10-1 GULLFAKS	NO	\N	3D - 185 SP: 385.	\N	25.000000	\N	3392.000000	214.000000	LATE TRIASSIC	\N	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1981	1982	\N	\N	5	\N	EARLY JURASSIC	\N	\N	\N	\N	135	NO	ED50	61	12	1.93	N	2	18	3.00	E	61.200536	2.300833	6785486.520000	462422.230000	31	34	10	\N	13	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=431	http://www.npd.no/FactMapSearch?NPDID_wellbore=431	initial	\N	9999-12-31	431	44594	43686	289090	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/3-1	35/3-1	Saga Petroleum ASA	SAGA	041	WILDCAT	P&A	DRY	EXPLORATION	1976-07-19	1976-10-26	\N	162-L	\N	NO	126	\N	12.10	25.000000	4469.60	4475.000000	304.000000	MIDDLE JURASSIC	DRAKE FM	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	3	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	100	NO	ED50	61	50	41.89	N	3	43	41.36	E	61.844969	3.728156	6857289.000000	538333.830000	31	35	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=432	http://www.npd.no/FactMapSearch?NPDID_wellbore=432	initial	\N	2005-02-11	432	\N	\N	289090	0	21116	SAGA	2012-07-25	2012-07-25	2013-05-08
35/3-5	35/3-5	Saga Petroleum ASA	SAGA	041	WILDCAT	P&A	DRY	EXPLORATION	1981-12-22	1982-03-31	\N	313-L	\N	NO	123	SG 8130 - 413 &  SP 484	7.00	33.000000	4112.00	4114.000000	262.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	WEST VENTURE OLD	SEMISUB STEEL	3	NO	WILDCAT	1981	1982	\N	\N	1	\N	\N	\N	\N	\N	\N	100	NO	ED50	61	47	46.71	N	3	54	44.01	E	61.796308	3.912225	6851990.690000	548099.850000	31	35	3	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=433	http://www.npd.no/FactMapSearch?NPDID_wellbore=433	initial	\N	2005-02-11	433	\N	\N	362494	0	21116	SAGA	2012-07-25	2012-10-03	2013-05-08
35/8-2	35/8-2	Norwegian Gulf Exploration Company AS	GULF	058	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1981-08-30	1982-05-21	VEGA	299-L	35/8-2 VEGA	YES	151	79-1-4C SP: 478	0.00	26.000000	4334.00	4336.000000	376.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	SEDCO 704	SEMISUB STEEL	4	NO	WILDCAT	1981	1982	\N	\N	17	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	265	NO	ED50	61	16	15.42	N	3	21	58.17	E	61.270950	3.366158	6793184.260000	519635.980000	31	35	8	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=434	http://www.npd.no/FactMapSearch?NPDID_wellbore=434	initial	\N	2006-12-15	434	44780	4467595	288820	0	21260	GULF EXPLORATION	2012-07-25	2013-01-09	2013-05-08
36/1-1	36/1-1	Amoco Norway Oil Company	AMOCO	042	WILDCAT	P&A	DRY	EXPLORATION	1975-05-09	1975-06-14	\N	128-L	\N	NO	38	LINE ANO 74-18  SP.191	0.00	26.000000	0.00	1596.000000	165.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	3	NO	WILDCAT	1975	1975	\N	\N	1	\N	\N	\N	\N	\N	\N	37	NO	ED50	61	56	40.36	N	4	15	43.86	E	61.944544	4.262183	6868811.120000	566230.220000	31	36	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=435	http://www.npd.no/FactMapSearch?NPDID_wellbore=435	initial	\N	2005-02-11	435	\N	\N	297514	0	21124	AMOCO	2012-07-25	2012-07-25	2013-05-08
36/1-2	36/1-2	Saga Petroleum ASA	SAGA	042	WILDCAT	P&A	SHOWS	EXPLORATION	1975-08-26	1975-10-27	\N	138-L	\N	NO	82	LINE CH 431-120   SP.730	6.30	25.500000	3250.00	3255.600000	226.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	3	NO	WILDCAT	1975	1975	\N	\N	12	\N	\N	\N	\N	\N	\N	63	NO	ED50	61	53	0.25	N	4	0	52.19	E	61.883403	4.014497	6861772.370000	553340.710000	31	36	1	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=436	http://www.npd.no/FactMapSearch?NPDID_wellbore=436	initial	\N	2005-02-11	436	\N	\N	289090	0	21124	SAGA	2012-07-25	2012-07-25	2013-05-08
6507/12-2	6507/12-2	Saga Petroleum ASA	SAGA	059	WILDCAT	P&A	SHOWS	EXPLORATION	1981-06-09	1981-11-24	\N	289-L	\N	NO	152	X SG 8045-252 + SG 8045-483.	0.00	25.000000	0.00	5008.000000	261.000000	MIDDLE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	5	NO	WILDCAT	1981	1981	\N	\N	12	\N	\N	\N	\N	\N	\N	169	NO	ED50	65	11	48.90	N	7	51	35.41	E	65.196917	7.859836	7231064.180000	446629.360000	32	6507	12	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=437	http://www.npd.no/FactMapSearch?NPDID_wellbore=437	initial	\N	2004-06-29	437	\N	\N	341331	0	21268	SAGA	2012-07-25	2012-07-25	2013-05-08
15/12-4	15/12-4	Den norske stats oljeselskap a.s	STATOIL	038	WILDCAT	P&A	OIL	EXPLORATION	1984-09-13	1984-10-31	VARG	433-L	15/12-4 VARG	YES	114	ST 8315/106  SP. 2105	2.50	23.000000	3156.00	3157.000000	87.000000	TRIASSIC	NO GROUP DEFINED	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	3	NO	WILDCAT	1984	1984	\N	\N	5	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	49	NO	ED50	58	3	9.16	N	1	54	11.61	E	58.052544	1.903225	6435232.250000	435264.020000	31	15	12	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=438	http://www.npd.no/FactMapSearch?NPDID_wellbore=438	initial	\N	2008-08-15	438	43868	43451	287983	0	21092	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-15	31/2-15	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1984-09-10	1984-11-15	TROLL	434-L	31/2-1 TROLL VEST	NO	37	8007 - 154  SP. 290	3.50	25.000000	1677.00	1677.000000	343.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	APPRAISAL	1984	1984	\N	\N	13	NO FORMAL NAME	PALEOCENE	SOGNEFJORD FM	LATE JURASSIC	\N	\N	67	NO	ED50	60	55	25.45	N	3	34	2.57	E	60.923736	3.567381	6754585.850000	530762.080000	31	31	2	\N	15	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=439	http://www.npd.no/FactMapSearch?NPDID_wellbore=439	initial	\N	2006-06-06	439	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
25/10-1	25/10-1	Esso Exploration and Production Norway A/S	ESSO	028	APPRAISAL	SUSP.REENTERED LATER	SHOWS	EXPLORATION	1969-08-04	1969-10-16	BALDER	32-L	25/11-1 BALDER	NO	76	LINE SC 70-shotpoint 136	4.90	10.000000	0.00	1747.000000	124.000000	PALEOCENE	SELE FM	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	2-A	NO	WILDCAT	1969	1969	\N	\N	12	\N	\N	\N	\N	\N	\N	74	NO	ED50	59	11	21.72	N	2	19	11.83	E	59.189367	2.319953	6561488.140000	461142.950000	31	25	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=441	http://www.npd.no/FactMapSearch?NPDID_wellbore=441	initial	\N	2009-05-26	441	44210	43562	288388	0	21004	ESSO	2012-07-25	2012-07-25	2013-05-08
34/7-3	34/7-3	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1984-09-14	1985-01-02	SNORRE	436-L	34/4-1 SNORRE	NO	113	G/E - 153  SP. 440	2.80	25.000000	3413.00	3414.000000	303.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	8	NO	APPRAISAL	1984	1985	\N	\N	5	STATFJORD FM	EARLY JURASSIC	LUNDE FM	LATE TRIASSIC	\N	\N	111	NO	ED50	61	25	54.08	N	2	7	43.89	E	61.431689	2.128858	6811345.100000	453522.970000	31	34	7	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=442	http://www.npd.no/FactMapSearch?NPDID_wellbore=442	initial	\N	2012-04-01	442	44654	43718	297028	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
24/6-1	24/6-1	Total Norge AS	TOTAL	088	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1985-02-09	1985-08-25	\N	452-L	24/6-1 PEIK	YES	157	TO 8401 - 106   SP. 370	0.00	26.800000	4937.00	4937.000000	122.200000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	ZAPATA UGLAND	SEMISUB STEEL	8	NO	WILDCAT	1985	1985	\N	\N	17	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	198	NO	ED50	59	36	0.25	N	1	55	25.16	E	59.600069	1.923656	6607519.080000	439239.590000	31	24	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=443	http://www.npd.no/FactMapSearch?NPDID_wellbore=443	initial	\N	2006-02-15	443	44174	\N	296731	0	21508	TOTAL	2012-07-25	2012-07-25	2013-05-08
6407/6-1	6407/6-1	Den norske stats oljeselskap a.s	STATOIL	092	WILDCAT	P&A	DRY	EXPLORATION	1984-09-16	1984-10-26	\N	437-L	\N	NO	105	line 627-423 & SP 337	1.00	27.000000	2895.00	2895.000000	226.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	ZAPATA UGLAND	SEMISUB STEEL	8	NO	WILDCAT	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	41	NO	ED50	64	38	29.62	N	7	52	31.53	E	64.641561	7.875425	7169163.290000	446258.700000	32	6407	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=444	http://www.npd.no/FactMapSearch?NPDID_wellbore=444	initial	\N	2005-12-13	444	\N	\N	296731	0	21540	STATOIL	2012-07-25	2012-07-25	2013-05-08
6609/5-1	6609/5-1	Den norske stats oljeselskap a.s	STATOIL	080	WILDCAT	P&A	SHOWS	EXPLORATION	1984-11-03	1985-01-05	\N	439-L	\N	NO	97	EL 8204-833   SP. 167	3.90	22.000000	3599.00	3600.000000	292.000000	MIDDLE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	WEST VANGUARD	SEMISUB STEEL	7	NO	WILDCAT	1984	1985	\N	\N	12	\N	\N	\N	\N	\N	\N	64	NO	ED50	66	37	42.73	N	9	24	52.17	E	66.628536	9.414492	7390220.930000	518349.040000	32	6609	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=445	http://www.npd.no/FactMapSearch?NPDID_wellbore=445	initial	\N	2007-09-17	445	\N	\N	287902	0	21436	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-22	34/10-22	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	GAS	EXPLORATION	1984-10-25	1984-11-05	GULLFAKS	440-L	34/10-1 GULLFAKS	NO	23	linje 8199407   SP. 102	1.90	29.000000	579.00	579.000000	135.000000	PLIOCENE	NORDLAND GP	NORTH SEA	DYVI DELTA	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1984	1984	\N	\N	9	NORDLAND GP	PLIOCENE	\N	\N	\N	\N	12	NO	ED50	61	10	33.50	N	2	11	15.32	E	61.175972	2.187589	6782820.800000	456301.940000	31	34	10	\N	22	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=446	http://www.npd.no/FactMapSearch?NPDID_wellbore=446	initial	\N	2012-12-21	446	44594	43686	287821	0	21188	STATOIL	2013-02-14	2013-02-14	2013-05-08
31/3-3	31/3-3	Saga Petroleum ASA	SAGA	085	WILDCAT	P&A	DRY	EXPLORATION	1984-10-13	1984-11-18	\N	438-L	\N	NO	79	ST 8007 - 347  SP. 781	3.70	26.000000	2571.00	2573.000000	332.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	Awarded additionaly to round 7	NO	WILDCAT	1984	1984	\N	\N	1	\N	\N	\N	\N	\N	\N	37	NO	ED50	60	50	2.29	N	3	50	38.16	E	60.833969	3.843933	6744748.950000	545884.320000	31	31	3	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=447	http://www.npd.no/FactMapSearch?NPDID_wellbore=447	initial	\N	2006-12-15	447	\N	\N	296326	0	21476	SAGA	2012-07-25	2012-07-25	2013-05-08
7/8-4	7/8-4	Conoco Norway Inc.	CONOCO	069	WILDCAT	P&A	DRY	EXPLORATION	1984-12-11	1985-02-20	\N	446-L	\N	NO	160	NHCN 82-119-SP. 386+NHCN 82-309-SP. 1095	3.20	25.000000	4398.00	4400.000000	82.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	NORTRYM	SEMISUB STEEL	6	NO	WILDCAT	1984	1985	\N	\N	1	\N	\N	\N	\N	\N	\N	72	NO	ED50	57	15	28.03	N	2	25	46.23	E	57.257786	2.429508	6346368.890000	465582.360000	31	7	8	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=448	http://www.npd.no/FactMapSearch?NPDID_wellbore=448	initial	\N	2006-10-19	448	\N	\N	288010	0	21348	CONOCO	2012-07-25	2012-07-25	2013-05-08
6407/9-2	6407/9-2	A/S Norske Shell	SHELL	093	APPRAISAL	P&A	OIL	EXPLORATION	1984-11-18	1985-02-02	DRAUGEN	443-L	6407/9-1 DRAUGEN	NO	50	+  84-140 AND 84-113	0.00	25.000000	1865.00	1865.000000	247.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	BORGNY DOLPHIN	SEMISUB STEEL	8	NO	APPRAISAL	1984	1985	\N	\N	5	ROGN FM	LATE JURASSIC	\N	\N	\N	\N	77	NO	ED50	64	24	1.31	N	7	48	11.26	E	64.400364	7.803128	7142349.800000	442297.150000	32	6407	9	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=449	http://www.npd.no/FactMapSearch?NPDID_wellbore=449	initial	\N	2007-07-28	449	44888	43758	288280	0	21548	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6/3-1	6/3-1	Den norske stats oljeselskap a.s	STATOIL	086	WILDCAT	P&A	OIL/GAS	EXPLORATION	1984-11-02	1985-02-01	GAUPE	441-L	6/3-1 PI	YES	148	511-115   SP. 160	2.00	23.000000	3560.00	3560.000000	86.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	8	NO	WILDCAT	1984	1985	\N	\N	13	INTRA DRAUPNE FM SS	LATE JURASSIC	HOD FM	LATE CRETACEOUS	SKAGERRAK FM	LATE TRIASSIC       	92	NO	ED50	57	58	10.20	N	1	55	30.38	E	57.969500	1.925106	6425966.200000	436408.300000	31	6	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=450	http://www.npd.no/FactMapSearch?NPDID_wellbore=450	initial	\N	2005-02-11	450	44804	18161341	287983	0	21492	STATOIL	2012-07-25	2012-07-25	2013-05-08
16/3-1	16/3-1	Norsk Hydro Produksjon AS	HYDRO	007	WILDCAT	JUNKED	DRY	EXPLORATION	1976-01-31	1976-02-10	\N	148-L	\N	NO	0	LINE 72 58 47  SP.40	0.00	24.000000	0.00	453.000000	118.000000	PLIOCENE	NORDLAND GP	NORTH SEA	POLYGLOMAR DRILLER	SEMISUB STEEL	1-A	NO	WILDCAT	1976	1976	\N	\N	1	\N	\N	\N	\N	\N	\N	11	NO	ED50	58	47	12.88	N	2	47	32.25	E	58.786911	2.792292	6516493.240000	487992.440000	31	16	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=451	http://www.npd.no/FactMapSearch?NPDID_wellbore=451	initial	\N	2006-10-19	451	\N	\N	362458	0	20812	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-4 S	30/9-4	Norsk Hydro Produksjon AS	HYDRO	079	WILDCAT	P&A	OIL/GAS	EXPLORATION	1984-11-22	1985-03-30	OSEBERG SØR	444-L	30/9-4 S OSEBERG SØR	YES	\N	NH 82-064  SP. 444	\N	25.000000	\N	4303.000000	110.000000	EARLY JURASSIC	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	Awarded additionaly to round 6	NO	WILDCAT	1984	1985	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	129	NO	ED50	60	28	12.83	N	2	45	32.05	E	60.470231	2.758903	6703963.610000	486742.810000	31	30	9	\N	4	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=452	http://www.npd.no/FactMapSearch?NPDID_wellbore=452	initial	\N	9999-12-31	452	44498	43645	287956	0	34635	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-29	34/10-29	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	GAS	EXPLORATION	1985-12-27	1986-01-26	GULLFAKS	496-L	34/10-1 GULLFAKS	NO	0	ST 8488 2111  SP. 500	0.80	32.000000	405.00	405.000000	135.000000	PLIOCENE	NORDLAND GP	NORTH SEA	WEST VENTURE OLD	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1985	1986	\N	\N	9	NORDLAND GP	PLIOCENE	\N	\N	\N	\N	31	NO	ED50	61	10	33.06	N	2	11	28.76	E	61.175850	2.191322	6782804.690000	456502.570000	31	34	10	\N	29	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=453	http://www.npd.no/FactMapSearch?NPDID_wellbore=453	initial	\N	2012-12-21	453	44594	43686	362494	0	21188	STATOIL	2013-01-17	2013-01-17	2013-05-08
7/12-2 R	7/12-2	BP Norway Limited  U.A.	BP	019	WILDCAT	P&A	OIL	EXPLORATION	1984-03-24	1984-04-29	ULA	161-L2	7/12-2 ULA	NO	\N	\N	\N	25.000000	\N	3676.000000	71.000000	EARLY JURASSIC	\N	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	1-A	NO	WILDCAT	1984	1984	\N	TESTING/PLUGGING	5	\N	LATE JURASSIC	\N	EARLY JURASSIC	\N	\N	37	YES	ED50	57	6	41.34	N	2	50	50.73	E	57.111483	2.847425	6329948.210000	490758.670000	31	7	12	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=454	http://www.npd.no/FactMapSearch?NPDID_wellbore=454	re-entry	7/12-2	9999-12-31	454	44972	43800	297514	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
34/7-4	34/7-4	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1984-11-19	1985-01-16	SNORRE	445-L	34/4-1 SNORRE	NO	75	G/E-035   SP. 430	3.80	26.000000	3114.00	3115.000000	319.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	APPRAISAL	1984	1985	\N	\N	5	STATFJORD FM	EARLY JURASSIC	\N	\N	\N	\N	59	NO	ED50	61	29	4.44	N	2	8	0.26	E	61.484567	2.133406	6817231.930000	453843.830000	31	34	7	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=455	http://www.npd.no/FactMapSearch?NPDID_wellbore=455	initial	\N	2012-04-01	455	44654	43718	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
7120/6-1	7120/6-1	Norsk Hydro Produksjon AS	HYDRO	097	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1985-02-02	1985-05-02	SNØHVIT	450-L	7121/4-1 SNØHVIT	NO	104	NPD 2056 - 82   SP. 855	3.80	23.000000	2820.00	2820.000000	314.000000	LATE TRIASSIC	TUBÅEN FM	BARENTS SEA	TREASURE SCOUT	SEMISUB STEEL	8	NO	WILDCAT	1985	1985	\N	\N	13	STØ FM	EARLY JURASSIC	\N	\N	\N	\N	90	NO	ED50	71	37	11.76	N	20	55	59.72	E	71.619933	20.933256	7946756.850000	497650.920000	34	7120	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=456	http://www.npd.no/FactMapSearch?NPDID_wellbore=456	initial	\N	2005-02-11	456	45038	2053062	287848	0	21580	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/2-2	30/2-2	Den norske stats oljeselskap a.s	STATOIL	051	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1984-12-19	1985-05-04	HULDRA	447-L	30/2-1 HULDRA	NO	\N	L 8330 - 134  SP. 430	\N	29.000000	\N	4170.000000	123.000000	EARLY JURASSIC	\N	NORTH SEA	DYVI DELTA	SEMISUB STEEL	4	NO	WILDCAT	1984	1985	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	138	NO	ED50	60	49	53.89	N	2	39	51.65	E	60.831636	2.664347	6744240.640000	481749.070000	31	30	2	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=457	http://www.npd.no/FactMapSearch?NPDID_wellbore=457	initial	\N	9999-12-31	457	44372	97002	287821	0	21204	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-5	34/7-5	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1985-01-17	1985-03-16	STATFJORD ØST	448-L	33/9-7 STATFJORD ØST	NO	98	SG 82 31 - 113  SP. 485	4.60	26.000000	3145.00	3146.000000	244.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1985	1985	\N	\N	5	NESS FM	MIDDLE JURASSIC	\N	\N	\N	\N	59	NO	ED50	61	21	54.95	N	2	1	23.67	E	61.365264	2.023242	6804026.010000	447777.650000	31	34	7	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=458	http://www.npd.no/FactMapSearch?NPDID_wellbore=458	initial	\N	2012-04-01	458	44582	43672	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
2/1-8	2/1-8	BP Norway Limited  U.A.	BP	019 B	APPRAISAL	P&A	OIL	EXPLORATION	1985-07-28	1985-11-23	GYDA	473-L	2/1-3 GYDA	NO	160	BP 80 - 37  SP. 400	6.00	37.000000	4146.00	4151.000000	66.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	NEDDRILL TRIGON	JACK-UP 3 LEGS	Awarded additionaly to round 1-A	NO	APPRAISAL	1985	1985	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	119	NO	ED50	56	53	40.63	N	3	6	55.95	E	56.894619	3.115542	6305802.540000	507039.080000	31	2	1	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=459	http://www.npd.no/FactMapSearch?NPDID_wellbore=459	initial	\N	2011-03-12	459	44012	43492	296947	0	20924	BP NORWAY LIMITED U.A.	2013-05-01	2013-05-01	2013-05-08
30/3-4	30/3-4	Den norske stats oljeselskap a.s	STATOIL	052	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1985-02-05	1985-06-12	VESLEFRIKK	451-L	30/3-2  VESLEFRIKK	NO	152	ST 8318 - 650  SP. 368	6.00	23.000000	3285.00	3287.000000	164.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	4	NO	APPRAISAL	1985	1985	\N	\N	13	BRENT GP	MIDDLE JURASSIC	COOK FM	EARLY JURASSIC	\N	\N	128	NO	ED50	60	45	56.85	N	2	51	30.20	E	60.765792	2.858389	6736868.130000	492284.130000	31	30	3	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=460	http://www.npd.no/FactMapSearch?NPDID_wellbore=460	initial	\N	2005-11-07	460	44378	43618	287983	0	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
7121/4-2	7121/4-2	Den norske stats oljeselskap a.s	STATOIL	099	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1985-01-29	1985-04-14	SNØHVIT	449-L	7121/4-2 SNØHVIT NORD	YES	95	TNGS 83 - 366   SP. 805	3.70	22.000000	2798.50	2800.000000	317.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	WEST VANGUARD	SEMISUB STEEL	8	NO	WILDCAT	1985	1985	\N	\N	17	STØ FM	MIDDLE JURASSIC	TUBÅEN FM	EARLY JURASSIC	\N	\N	76	NO	ED50	71	39	26.09	N	21	3	45.96	E	71.657247	21.062767	7950918.800000	502204.760000	34	7121	4	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=461	http://www.npd.no/FactMapSearch?NPDID_wellbore=461	initial	\N	2005-02-11	461	45044	2053062	287902	0	21596	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-2	6506/12-2	Den norske stats oljeselskap a.s	STATOIL	094	WILDCAT	JUNKED	DRY	EXPLORATION	1985-02-12	1985-02-28	\N	453-L	\N	NO	24	8403 - 402 A    SP. 1112	1.00	22.000000	955.00	955.000000	310.000000	PLIOCENE	NAUST FM	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	8	NO	WILDCAT	1985	1985	\N	\N	1	\N	\N	\N	\N	\N	\N	17	NO	ED50	65	1	29.85	N	6	53	29.41	E	65.024958	6.891503	7213073.520000	400672.450000	32	6506	12	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=462	http://www.npd.no/FactMapSearch?NPDID_wellbore=462	initial	\N	2006-12-15	462	\N	\N	296245	0	21556	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/1-7	25/1-7	Elf Petroleum Norge AS	ELF	024	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1985-03-08	1985-05-26	FRIGG	455-L	25/1-1 FRIGG	NO	58	73/0205  SP. 660 AND 73/F11  SP. 57.5	3.70	25.000000	2718.00	2719.000000	101.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	2-A	NO	APPRAISAL	1985	1985	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	80	NO	ED50	59	55	8.28	N	2	4	52.33	E	59.918967	2.081203	6642898.340000	448624.870000	31	25	1	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=463	http://www.npd.no/FactMapSearch?NPDID_wellbore=463	initial	\N	2010-01-10	463	44204	43555	341331	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
6507/7-2	6507/7-2	Conoco Norway Inc.	CONOCO	095	WILDCAT	P&A	OIL/GAS	EXPLORATION	1985-02-25	1985-06-10	HEIDRUN	454-L	6507/7-2 HEIDRUN	YES	113	BP 83 - 307  SP. 910	7.80	25.000000	3260.00	3262.000000	351.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	NORTRYM	SEMISUB STEEL	8	NO	WILDCAT	1985	1985	\N	\N	13	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	106	NO	ED50	65	20	12.37	N	7	18	34.52	E	65.336769	7.309589	7247224.930000	421294.240000	32	6507	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=464	http://www.npd.no/FactMapSearch?NPDID_wellbore=464	initial	\N	2008-12-18	464	44930	43771	288010	0	21564	CONOCO	2012-07-25	2012-07-25	2013-05-08
34/7-6	34/7-6	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1985-03-17	1985-05-30	SNORRE	457-L	34/4-1 SNORRE	NO	\N	G/E - 106  SP. 420	\N	26.000000	\N	3685.000000	307.000000	TRIASSIC	\N	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	APPRAISAL	1985	1985	\N	\N	5	\N	EARLY JURASSIC	\N	LATE TRIASSIC	\N	\N	75	NO	ED50	61	27	10.85	N	2	8	17.26	E	61.453014	2.138128	6813713.920000	454048.880000	31	34	7	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=465	http://www.npd.no/FactMapSearch?NPDID_wellbore=465	initial	\N	9999-12-31	465	44654	43718	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
31/6-8	31/6-8	Norsk Hydro Produksjon AS	HYDRO	085	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1985-04-14	1985-05-25	TROLL	462-L	31/6-1 TROLL ØST	NO	79	NH 8202 - 338  SP. 249	2.00	25.000000	2138.00	2138.000000	300.000000	EARLY JURASSIC	COOK FM	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1985	1985	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	42	NO	ED50	60	33	21.36	N	3	40	39.07	E	60.555933	3.677519	6713676.330000	537156.050000	31	31	6	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=466	http://www.npd.no/FactMapSearch?NPDID_wellbore=466	initial	\N	2006-06-06	466	44552	46437	287956	0	21476	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/2-4	34/2-4	Amoco Norway Oil Company	AMOCO	056	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1985-03-22	1985-06-11	\N	458-L	\N	NO	134	79 - 39  SP. 1140	4.50	33.000000	4105.00	4107.000000	391.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST VENTURE OLD	SEMISUB STEEL	4	NO	WILDCAT	1985	1985	\N	\N	12	\N	\N	\N	\N	\N	\N	82	NO	ED50	61	45	20.11	N	2	39	37.64	E	61.755586	2.660456	6847163.490000	482072.430000	31	34	2	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=467	http://www.npd.no/FactMapSearch?NPDID_wellbore=467	initial	\N	2004-05-18	467	\N	\N	362494	0	21244	AMOCO	2012-07-25	2012-07-25	2013-05-08
6506/12-3	6506/12-3	Den norske stats oljeselskap a.s	STATOIL	094	WILDCAT	P&A	OIL/GAS	EXPLORATION	1985-03-02	1985-07-17	ÅSGARD	456-L	6506/12-3 SMØRBUKK SØR	YES	152	ST 8403 - 402 A  SP. 1112	4.40	22.000000	4359.00	4360.000000	301.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	8	NO	WILDCAT	1985	1985	\N	\N	13	LYSING FM	LATE CRETACEOUS	FANGST GP	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC      	138	NO	ED50	65	1	31.09	N	6	53	27.35	E	65.025303	6.890931	7213112.800000	400646.780000	32	6506	12	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=468	http://www.npd.no/FactMapSearch?NPDID_wellbore=468	initial	\N	2007-06-28	468	45846	43765	296245	0	21556	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/9-3	6407/9-3	A/S Norske Shell	SHELL	093	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1985-05-03	1985-07-28	DRAUGEN	463-L	6407/9-1 DRAUGEN	NO	63	84 - 140  SP. 529	0.00	25.000000	1868.00	1868.000000	279.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	BORGNY DOLPHIN	SEMISUB STEEL	8	NO	APPRAISAL	1985	1985	6407/9-A-53 H	\N	5	ROGN FM	LATE JURASSIC	\N	\N	\N	\N	87	NO	ED50	64	19	48.94	N	7	46	30.91	E	64.330261	7.775253	7134564.040000	440802.820000	32	6407	9	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=469	http://www.npd.no/FactMapSearch?NPDID_wellbore=469	initial	\N	2007-06-28	469	44888	43758	288280	2081	21548	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6507/11-3	6507/11-3	Saga Petroleum ASA	SAGA	062	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1985-06-03	1985-08-15	ÅSGARD	469-L	6507/11-1 MIDGARD	NO	107	SG 8458 - 412   SP. 526	2.80	26.000000	3250.00	3250.000000	290.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	TREASURE SAGA	SEMISUB STEEL	5	NO	WILDCAT	1985	1985	\N	\N	13	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	\N	\N	71	NO	ED50	65	1	59.80	N	7	30	42.34	E	65.033278	7.511761	7213169.060000	429908.440000	32	6507	11	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=470	http://www.npd.no/FactMapSearch?NPDID_wellbore=470	initial	\N	2005-12-13	470	44912	43765	296326	0	21292	SAGA	2012-07-25	2012-07-25	2013-05-08
7120/5-1	7120/5-1	Den norske stats oljeselskap a.s	STATOIL	110	WILDCAT	P&A	SHOWS	EXPLORATION	1985-04-17	1985-06-06	\N	461-L	\N	NO	66	TN 6583-346  SP. 495	4.40	22.000000	2699.00	2700.000000	296.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	WEST VANGUARD	SEMISUB STEEL	9	NO	WILDCAT	1985	1985	\N	\N	12	\N	\N	\N	\N	\N	\N	51	NO	ED50	71	34	51.86	N	20	26	12.26	E	71.581072	20.436739	7942513.530000	480135.740000	34	7120	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=471	http://www.npd.no/FactMapSearch?NPDID_wellbore=471	initial	\N	2004-05-18	471	\N	\N	287902	0	21684	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/1-8 S	25/1-8	Elf Petroleum Norge AS	ELF	024	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1985-05-28	1985-07-25	FRIGG	466-L	25/1-1 FRIGG	NO	65	L 73 - 59 - 54   SP. 1105	0.00	25.000000	2572.00	2650.000000	102.000000	PALEOCENE	LISTA FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	2-A	NO	APPRAISAL	1985	1985	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	59	NO	ED50	59	54	3.28	N	2	6	9.79	E	59.900911	2.102719	6640871.090000	449800.690000	31	25	1	\N	8	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=472	http://www.npd.no/FactMapSearch?NPDID_wellbore=472	initial	\N	2011-09-30	472	44204	43555	341331	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7120/2-1	7120/2-1	Norsk Hydro Produksjon AS	HYDRO	109	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1985-05-05	1985-10-29	\N	464-L	\N	NO	97	N H 8412 - 402  SP. 460	16.00	23.000000	3484.00	3502.000000	387.000000	INDETERMINATE	BASEMENT	BARENTS SEA	TREASURE SCOUT	SEMISUB STEEL	9	NO	WILDCAT	1985	1985	\N	\N	12	\N	\N	\N	\N	\N	\N	178	NO	ED50	71	58	57.94	N	20	28	35.09	E	71.982761	20.476414	7987305.650000	481923.840000	34	7120	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=473	http://www.npd.no/FactMapSearch?NPDID_wellbore=473	initial	\N	2004-05-18	473	\N	\N	287848	0	21676	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-1 S	6407/7-1	Norsk Hydro Produksjon AS	HYDRO	107	WILDCAT	P&A	OIL/GAS	EXPLORATION	1985-10-19	1986-04-07	NJORD	486-L	6407/7-1 S NJORD	YES	138	HBGS 83 - 424  SP. 1568	9.80	23.000000	3925.00	3950.000000	328.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	WILDCAT	1985	1986	\N	\N	13	ILE FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	171	NO	ED50	64	16	31.49	N	7	12	21.12	E	64.275414	7.205867	7129107.110000	413114.250000	32	6407	7	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=474	http://www.npd.no/FactMapSearch?NPDID_wellbore=474	initial	\N	2009-03-09	474	44876	43751	289333	0	21660	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-4	6506/12-4	Den norske stats oljeselskap a.s	STATOIL	094	WILDCAT	P&A	SHOWS	EXPLORATION	1985-03-24	1985-08-13	\N	460-L	\N	NO	155	ST 8403 - 203  SP. 471	6.00	25.000000	4455.00	4457.000000	257.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	8	NO	WILDCAT	1985	1985	\N	\N	12	\N	\N	\N	\N	\N	\N	143	NO	ED50	65	12	46.97	N	6	43	30.37	E	65.213047	6.725103	7234298.140000	393591.290000	32	6506	12	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=475	http://www.npd.no/FactMapSearch?NPDID_wellbore=475	initial	\N	2004-03-02	475	\N	\N	290980	0	21556	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-23	34/10-23	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	P&A	GAS	EXPLORATION	1985-05-06	1985-10-13	VALEMON	465-L	34/10-23 VALEMON	YES	162	ST 8313 - 410  SP. 170	0.00	29.000000	4764.00	4764.000000	135.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	DYVI DELTA	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1985	1985	\N	\N	9	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	161	NO	ED50	61	1	6.35	N	2	19	1.57	E	61.018431	2.317103	6765193.090000	463084.940000	31	34	10	\N	23	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=476	http://www.npd.no/FactMapSearch?NPDID_wellbore=476	initial	\N	2012-01-10	476	44618	20460969	287821	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/2-9	25/2-9	Elf Petroleum Norge AS	ELF	026	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1985-06-15	1985-07-24	ØST FRIGG	470-L	25/2-1 ØST FRIGG	NO	57	EL 8403 - 410   SP. 270	0.00	25.000000	2297.00	2297.000000	112.500000	EOCENE	BALDER FM	NORTH SEA	NORTRYM	SEMISUB STEEL	2-A	NO	APPRAISAL	1985	1985	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	41	NO	ED50	59	53	10.16	N	2	22	15.09	E	59.886156	2.370858	6639054.920000	464786.030000	31	25	2	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=477	http://www.npd.no/FactMapSearch?NPDID_wellbore=477	initial	\N	2003-12-17	477	44234	43576	288010	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
30/9-5 S	30/9-5	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	GAS	EXPLORATION	1985-05-27	1985-07-19	OSEBERG SØR	467-L	30/9-5 S OSEBERG SØR	YES	\N	NOD 3 - 84 - 19   SP. 1330	\N	25.000000	\N	2980.000000	103.000000	LATE TRIASSIC	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	9	NO	WILDCAT	1985	1985	\N	\N	9	\N	EARLY JURASSIC	\N	\N	\N	\N	54	NO	ED50	60	21	31.34	N	2	53	37.09	E	60.358706	2.893636	6691522.470000	494131.320000	31	30	9	\N	5	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=478	http://www.npd.no/FactMapSearch?NPDID_wellbore=478	initial	\N	9999-12-31	478	44504	43645	287956	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7121/5-1	7121/5-1	Den norske stats oljeselskap a.s	STATOIL	110	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1985-06-07	1985-09-28	SNØHVIT	468-L	7121/4-1 SNØHVIT	NO	115	ST 8310 - 377   SP. 1090	4.75	22.000000	3197.00	3200.000000	336.000000	LATE TRIASSIC	SNADD FM	BARENTS SEA	WEST VANGUARD	SEMISUB STEEL	9	NO	WILDCAT	1985	1985	\N	\N	13	STØ FM	EARLY JURASSIC	\N	\N	\N	\N	114	NO	ED50	71	35	54.88	N	21	24	21.78	E	71.598578	21.406050	7944421.610000	514306.930000	34	7121	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=479	http://www.npd.no/FactMapSearch?NPDID_wellbore=479	initial	\N	2005-01-04	479	45038	2053062	287902	0	21684	STATOIL	2012-07-25	2012-08-29	2013-05-08
6407/9-4	6407/9-4	A/S Norske Shell	SHELL	093	APPRAISAL	P&A	OIL	EXPLORATION	1985-07-04	1985-09-10	DRAUGEN	472-L	6407/9-1 DRAUGEN	NO	47	84 - 117 A   SP. 630	0.00	32.000000	1820.00	1820.000000	244.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	WEST VENTURE OLD	SEMISUB STEEL	8	NO	APPRAISAL	1985	1985	\N	\N	5	ROGN FM	LATE JURASSIC	GARN FM	MIDDLE JURASSIC	\N	\N	69	NO	ED50	64	22	14.00	N	7	43	21.84	E	64.370556	7.722733	7139103.840000	438354.840000	32	6407	9	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=480	http://www.npd.no/FactMapSearch?NPDID_wellbore=480	initial	\N	2009-03-09	480	44888	43758	362494	0	21548	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6507/7-3	6507/7-3	Conoco Norway Inc.	CONOCO	095	APPRAISAL	RE-CLASS TO DEV	OIL/GAS	EXPLORATION	1985-07-29	1985-09-18	HEIDRUN	475-L	6507/7-2 HEIDRUN	NO	98	BP 83 - 307  SP. 820	1.75	25.000000	2850.00	2850.000000	346.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	NORTRYM	SEMISUB STEEL	8	NO	APPRAISAL	1985	1985	6507/7-A-53	\N	13	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	52	NO	ED50	65	19	1.31	N	7	17	44.79	E	65.317031	7.295775	7245042.820000	420591.730000	32	6507	7	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=482	http://www.npd.no/FactMapSearch?NPDID_wellbore=482	initial	\N	2008-12-18	482	44930	43771	288010	2108	21564	CONOCO	2012-07-25	2012-07-25	2013-05-08
34/10-24	34/10-24	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	GAS	EXPLORATION	1985-06-30	1985-08-05	GULLFAKS	471-L	34/10-1 GULLFAKS	NO	29	ST 8488  2111   SP. 500	4.00	23.000000	600.00	600.000000	134.000000	PLIOCENE	NORDLAND GP	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1985	1985	\N	\N	9	NORDLAND GP	PLIOCENE	\N	\N	\N	\N	37	NO	ED50	61	10	32.65	N	2	11	28.10	E	61.175736	2.191139	6782792.130000	456492.550000	31	34	10	\N	24	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=483	http://www.npd.no/FactMapSearch?NPDID_wellbore=483	initial	\N	2012-12-21	483	44594	43686	287983	0	21188	STATOIL	2013-01-17	2013-01-17	2013-05-08
7120/1-1	7120/1-1	A/S Norske Shell	SHELL	108	WILDCAT	SUSP.REENTERED LATER	OIL/GAS SHOWS	EXPLORATION	1985-08-16	1985-11-15	\N	480-L	\N	NO	58	TNGS 83 - 142   SP. 2891	3.10	25.000000	2568.00	2569.000000	342.000000	LATE PERMIAN	ØRRET FM	BARENTS SEA	BORGNY DOLPHIN	SEMISUB STEEL	9	NO	WILDCAT	1985	1985	\N	\N	12	\N	\N	\N	\N	\N	\N	101	NO	ED50	71	55	0.83	N	20	18	7.13	E	71.916897	20.301981	7980020.260000	475816.850000	34	7120	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=484	http://www.npd.no/FactMapSearch?NPDID_wellbore=484	initial	\N	2003-04-11	484	\N	\N	288280	0	21668	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6507/12-3	6507/12-3	Saga Petroleum ASA	SAGA	059	WILDCAT	P&A	DRY	EXPLORATION	1985-08-16	1985-09-13	\N	481-L	\N	NO	80	SG 8258 - 103   SP. 1112	1.00	26.000000	2600.00	2600.000000	240.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TREASURE SAGA	SEMISUB STEEL	5	NO	WILDCAT	1985	1985	\N	\N	1	\N	\N	\N	\N	\N	\N	29	NO	ED50	65	3	35.82	N	7	49	6.40	E	65.059950	7.818444	7215836.280000	444406.390000	32	6507	12	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=485	http://www.npd.no/FactMapSearch?NPDID_wellbore=485	initial	\N	2004-03-08	485	\N	\N	296326	0	21268	SAGA	2012-07-25	2012-07-25	2013-05-08
6406/6-1	6406/6-1	Den norske stats oljeselskap a.s	STATOIL	105	WILDCAT	P&A	SHOWS	EXPLORATION	1985-08-15	1985-12-30	\N	479-L	\N	NO	0	HBGS 83 - 462   SP. 1389	10.10	25.000000	4708.00	4715.000000	243.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	9	NO	WILDCAT	1985	1985	\N	\N	12	\N	\N	\N	\N	\N	\N	138	NO	ED50	64	43	48.23	N	6	42	14.69	E	64.730064	6.704081	7180531.710000	390653.800000	32	6406	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=486	http://www.npd.no/FactMapSearch?NPDID_wellbore=486	initial	\N	2007-06-28	486	\N	\N	290980	0	21644	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-17	30/6-17	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1985-08-12	1985-08-24	OSEBERG	478-L	30/6-17	NO	98	NH 82 - 214   cell point 424	1.50	25.000000	615.00	615.000000	110.000000	PLIOCENE	NORDLAND GP	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	4	NO	WILDCAT	1985	1985	\N	\N	1	\N	\N	\N	\N	\N	\N	13	NO	ED50	60	34	15.77	N	2	44	59.84	E	60.571047	2.749956	6715194.480000	486293.490000	31	30	6	\N	17	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=487	http://www.npd.no/FactMapSearch?NPDID_wellbore=487	initial	\N	2012-01-01	487	44420	43625	297028	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-18	30/6-18	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	OIL/GAS	EXPLORATION	1985-08-01	1985-11-23	OSEBERG	476-L	30/6-18 KAPPA	YES	148	NH 82 - 121   SP. 290	4.80	25.000000	3686.00	3690.000000	108.000000	LATE TRIASSIC	HEGRE GP	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1985	1985	\N	\N	13	STATFJORD FM	EARLY JURASSIC	\N	\N	\N	\N	115	NO	ED50	60	30	30.65	N	2	41	20.65	E	60.508514	2.689069	6708243.700000	482923.040000	31	30	6	\N	18	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=488	http://www.npd.no/FactMapSearch?NPDID_wellbore=488	initial	\N	2003-05-28	488	44426	43625	341331	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-19	30/6-19	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1986-04-09	1986-06-21	OSEBERG ØST	511-L	30/6-19 BETA SADEL	YES	\N	ST 8006 - 145   SP. 215	\N	23.000000	\N	3304.000000	159.000000	EARLY JURASSIC	\N	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	4	NO	APPRAISAL	1986	1986	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	74	NO	ED50	60	42	58.03	N	2	54	54.18	E	60.716119	2.915050	6731330.070000	495364.230000	31	30	6	\N	19	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=489	http://www.npd.no/FactMapSearch?NPDID_wellbore=489	initial	\N	9999-12-31	489	44432	43639	289333	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/4-1	6407/4-1	Den norske stats oljeselskap a.s	STATOIL	106	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1985-07-20	1985-11-15	\N	474-L	6407/4-1	YES	139	HBGS 83 - 456   SP. 485	5.20	22.000000	4835.00	4835.000000	225.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	9	NO	WILDCAT	1985	1985	\N	\N	17	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	119	NO	ED50	64	35	45.36	N	7	8	42.17	E	64.595933	7.145047	7164900.010000	411212.790000	32	6407	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=490	http://www.npd.no/FactMapSearch?NPDID_wellbore=490	initial	\N	2004-05-18	490	44864	\N	296245	0	21652	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/3-3	35/3-3	Saga Petroleum ASA	SAGA	041	WILDCAT	JUNKED	DRY	EXPLORATION	1980-10-30	1980-11-28	\N	265-L	\N	NO	27	TLGS 78 - 01A  SP: 2727.	0.00	25.000000	900.00	900.000000	259.000000	OLIGOCENE	HORDALAND GP	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	3	NO	WILDCAT	1980	1980	\N	\N	1	\N	\N	\N	\N	\N	\N	30	NO	ED50	61	51	54.60	N	3	52	25.80	E	61.865167	3.873833	6859633.430000	545972.490000	31	35	3	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=491	http://www.npd.no/FactMapSearch?NPDID_wellbore=491	initial	\N	2004-05-18	491	\N	\N	341331	0	21116	SAGA	2012-07-25	2012-07-25	2013-05-08
6407/9-5	6407/9-5	A/S Norske Shell	SHELL	093	APPRAISAL	\N	OIL	EXPLORATION	1985-09-12	1985-11-13	DRAUGEN	482-L	6407/9-1 DRAUGEN	NO	48	84 - 127   SP. 563	0.00	33.000000	1819.00	1820.000000	286.000000	MIDDLE JURASSIC	NOT FM	NORWEGIAN SEA	WEST VENTURE OLD	SEMISUB STEEL	8	NO	APPRAISAL	1985	1985	6407/9-A-55 AH	\N	5	ROGN FM	LATE JURASSIC	\N	\N	\N	\N	63	NO	ED50	64	16	42.35	N	7	44	14.66	E	64.278431	7.737406	7128824.580000	438858.990000	32	6407	9	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=492	http://www.npd.no/FactMapSearch?NPDID_wellbore=492	initial	\N	2009-03-09	492	44888	43758	362494	2129	21548	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/6-8 R	31/6-8	Norsk Hydro Produksjon AS	HYDRO	085	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1985-07-22	1985-09-22	TROLL	462-L2	31/6-1 TROLL ØST	NO	79	NH 8202 - 338  SP. 249	2.00	25.000000	2138.00	2138.000000	300.000000	EARLY JURASSIC	COOK FM	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1985	1985	\N	TESTING/PLUGGING	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	63	YES	ED50	60	33	21.36	N	3	40	39.07	E	60.555933	3.677519	6713676.330000	537156.050000	31	31	6	\N	8	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=493	http://www.npd.no/FactMapSearch?NPDID_wellbore=493	re-entry	31/6-8	2006-06-06	493	44552	46437	287956	0	21476	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-16 R	34/10-16	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1983-08-31	1983-09-27	GULLFAKS SØR	357-L2	34/10-2 GULLFAKS SØR	NO	145	8008 - 111  SP. 240	15.00	22.000000	4024.00	4039.000000	138.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1983	1983	\N	TESTING/PLUGGING	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	28	YES	ED50	61	5	35.62	N	2	10	46.66	E	61.093228	2.179628	6773609.610000	455758.160000	31	34	10	\N	16	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=494	http://www.npd.no/FactMapSearch?NPDID_wellbore=494	re-entry	34/10-16	2011-10-03	494	44606	43699	296245	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-9 R	34/10-9	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	1980-05-29	1980-07-03	GULLFAKS	248-L2	34/10-1 GULLFAKS	NO	95	3D 163   SP 275	4.50	25.000000	2421.00	2421.000000	202.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1980	1980	\N	DRILLING/PLUGGING	5	BRENT GP	MIDDLE JURASSIC	COOK FM	EARLY JURASSIC	\N	\N	36	YES	ED50	61	12	55.34	N	2	15	0.53	E	61.215372	2.250147	6787169.270000	459717.060000	31	34	10	\N	9	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=495	http://www.npd.no/FactMapSearch?NPDID_wellbore=495	re-entry	34/10-9	2012-11-15	495	44594	43686	289090	0	21188	STATOIL	2012-11-17	2012-11-17	2013-05-08
34/10-7 R	34/10-7	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	1983-05-31	1983-07-14	GULLFAKS	237-L2	34/10-1 GULLFAKS	NO	90	S 30 - 180  SP. 328	1.50	22.000000	2247.00	2247.000000	204.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1983	1983	\N	TESTING/PLUGGING	5	COOK FM	EARLY JURASSIC	STATFJORD FM	EARLY JURASSIC	\N	\N	45	YES	ED50	61	12	13.44	N	2	16	28.56	E	61.203733	2.274600	6785858.020000	461016.270000	31	34	10	\N	7	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=496	http://www.npd.no/FactMapSearch?NPDID_wellbore=496	re-entry	34/10-7	2012-11-14	496	44594	43686	296245	0	21188	STATOIL	2012-11-15	2012-11-15	2013-05-08
34/2-2 R	34/2-2	Amoco Norway Oil Company	AMOCO	056	WILDCAT	P&A	DRY	EXPLORATION	1980-12-12	1981-05-08	\N	268-L2	\N	NO	120	ANO 79 - 36& SP 515	11.00	26.000000	4067.60	4074.000000	386.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	SEDCO 703	SEMISUB STEEL	4	NO	WILDCAT	1980	1981	\N	DRILLING/PLUGGING	1	\N	\N	\N	\N	\N	\N	148	YES	ED50	61	46	28.06	N	2	33	6.20	E	61.774461	2.551722	6849300.930000	476345.980000	31	34	2	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=497	http://www.npd.no/FactMapSearch?NPDID_wellbore=497	re-entry	34/2-2	2005-02-11	497	\N	\N	288793	0	21244	AMOCO	2012-07-25	2012-07-25	2013-05-08
31/6-2 R	31/6-2	Den norske stats oljeselskap a.s	STATOIL	085	APPRAISAL	P&A	GAS	EXPLORATION	1984-07-31	1984-09-08	TROLL	393-L2	31/6-1 TROLL ØST	NO	72	ST 8007 - 351 SP 1647	1.00	23.000000	2235.00	2235.000000	303.000000	LATE TRIASSIC	HEGRE GP	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1984	1984	\N	DRILLING/PLUGGING	9	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	40	YES	ED50	60	34	58.24	N	3	54	55.76	E	60.582844	3.915489	6716831.540000	550164.400000	31	31	6	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=498	http://www.npd.no/FactMapSearch?NPDID_wellbore=498	re-entry	31/6-2	2006-06-06	498	44552	46437	287983	0	21476	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/5-2 R	31/5-2	Saga Petroleum ASA	SAGA	085	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1984-06-13	1984-08-30	TROLL	391-L2	31/2-1 TROLL VEST	NO	87	ST 8007 - 132  SP 884	2.00	26.000000	2500.00	2500.000000	316.000000	TRIASSIC	HEGRE GP	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1984	1984	\N	TESTING	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	79	YES	ED50	60	43	33.29	N	3	32	52.74	E	60.725914	3.547983	6732542.720000	529894.430000	31	31	5	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=499	http://www.npd.no/FactMapSearch?NPDID_wellbore=499	re-entry	31/5-2	2008-12-18	499	44534	46437	296326	0	21476	SAGA	2012-07-25	2012-07-25	2013-05-08
31/2-5 R	31/2-5	A/S Norske Shell	SHELL	054	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1981-06-12	1981-07-20	TROLL	263-L2	31/2-1 TROLL VEST	NO	79	79421   SP. 274	1.50	25.000000	2525.00	2525.000000	333.000000	TRIASSIC	HEGRE GP	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1981	1981	\N	TESTING	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	39	YES	ED50	60	46	16.20	N	3	25	53.46	E	60.771167	3.431517	6737535.760000	523507.710000	31	31	2	\N	5	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=500	http://www.npd.no/FactMapSearch?NPDID_wellbore=500	re-entry	31/2-5	2005-11-07	500	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-5 R2	31/2-5	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1984-03-22	1984-04-22	TROLL	263-L3	31/2-1 TROLL VEST	NO	79	79421 SP.274	1.50	25.000000	2525.00	2525.000000	333.000000	TRIASSIC	HEGRE GP	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1984	1984	\N	TESTING	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	32	YES	ED50	60	46	16.20	N	3	25	53.46	E	60.771167	3.431517	6737535.760000	523507.710000	31	31	2	\N	5	R2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=501	http://www.npd.no/FactMapSearch?NPDID_wellbore=501	re-entry	31/2-5 R	2005-11-07	501	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-4 R	31/2-4	A/S Norske Shell	SHELL	054	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1980-10-09	1981-04-06	TROLL	261-L2	31/2-1 TROLL VEST	NO	141	624445  SP: 195	4.00	25.000000	5035.00	5035.000000	336.000000	EARLY TRIASSIC	HEGRE GP	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1980	1981	\N	DRILLING	13	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC	\N	\N	180	YES	ED50	60	51	23.57	N	3	30	44.33	E	60.856547	3.512314	6747077.420000	527835.000000	31	31	2	\N	4	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=502	http://www.npd.no/FactMapSearch?NPDID_wellbore=502	re-entry	31/2-4	2006-02-15	502	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-4 R2	31/2-4	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1982-11-04	1982-11-12	TROLL	261-L3	31/2-1 TROLL VEST	NO	141	624445 SP.195	4.00	25.000000	5035.00	5035.000000	336.000000	EARLY TRIASSIC	HEGRE GP	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1982	1982	\N	PLUGGING	13	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC	\N	\N	9	YES	ED50	60	51	23.57	N	3	30	44.33	E	60.856547	3.512314	6747077.420000	527835.000000	31	31	2	\N	4	R2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=503	http://www.npd.no/FactMapSearch?NPDID_wellbore=503	re-entry	31/2-4 R	2006-02-15	503	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-2 R	31/2-2	A/S Norske Shell	SHELL	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1980-06-02	1980-10-06	TROLL	241-L2	31/2-1 TROLL VEST	NO	68	79416 SP.200	3.00	32.000000	2599.00	2600.000000	323.000000	TRIASSIC	HEGRE GP	NORTH SEA	WEST VENTURE OLD	SEMISUB STEEL	4	NO	WILDCAT	1980	1980	\N	DRILLING/PLUGGING	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	126	YES	ED50	60	46	47.80	N	3	37	23.50	E	60.779944	3.623194	6738597.320000	533940.270000	31	31	2	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=504	http://www.npd.no/FactMapSearch?NPDID_wellbore=504	re-entry	31/2-2	2006-05-23	504	44534	46437	362494	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
31/2-1 R	31/2-1	A/S Norske Shell	SHELL	054	WILDCAT	P&A	OIL/GAS	EXPLORATION	1981-10-26	1981-11-09	TROLL	219-L2	31/2-1 TROLL VEST	NO	65	77-6046 SP.461	0.00	25.000000	2434.00	2434.000000	324.000000	LATE TRIASSIC	HEGRE GP	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	4	NO	WILDCAT	1981	1981	\N	PLUGGING	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	15	YES	ED50	60	46	19.16	N	3	33	15.87	E	60.771989	3.554408	6737677.610000	530201.600000	31	31	2	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=505	http://www.npd.no/FactMapSearch?NPDID_wellbore=505	re-entry	31/2-1	2006-05-23	505	44534	46437	288280	0	21228	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
30/7-8 R	30/7-8	Norsk Hydro Produksjon AS	HYDRO	040	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1981-09-23	1982-01-27	MARTIN LINGE	269-L2	30/7-6 MARTIN LINGE	NO	\N	802-61 SP.87.7	\N	25.000000	\N	4812.000000	103.000000	TRIASSIC	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	3	NO	WILDCAT	1981	1982	\N	DRILLING/PLUGGING	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	127	YES	ED50	60	29	43.08	N	2	0	20.56	E	60.495300	2.005711	6707144.140000	445370.620000	31	30	7	\N	8	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=506	http://www.npd.no/FactMapSearch?NPDID_wellbore=506	re-entry	30/7-8	9999-12-31	506	44450	21675447	287956	0	21108	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/7-6 R	30/7-6	Norsk Hydro Produksjon AS	HYDRO	040	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1978-04-18	1978-06-03	MARTIN LINGE	173-L3	30/7-6 MARTIN LINGE	YES	\N	\N	\N	24.000000	\N	4116.000000	116.000000	EARLY JURASSIC	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	3	NO	WILDCAT	1978	1978	\N	DRILLING/PLUGGING	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	47	YES	ED50	60	29	29.82	N	2	3	26.14	E	60.491617	2.057261	6706692.250000	448196.930000	31	30	7	\N	6	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=507	http://www.npd.no/FactMapSearch?NPDID_wellbore=507	re-entry	30/7-6	9999-12-31	507	44450	21675447	287956	0	21108	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7121/1-1	7121/1-1	Esso Exploration and Production Norway A/S	ESSO	111	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1985-10-10	1985-11-13	\N	487-L	\N	NO	0	NH 8306 - 211   SP. 1106	0.00	26.800000	916.00	916.000000	369.000000	LATE TRIASSIC	SNADD FM	BARENTS SEA	ZAPATA UGLAND	SEMISUB STEEL	9	NO	WILDCAT	1985	1985	\N	\N	1	\N	\N	\N	\N	\N	\N	39	NO	ED50	71	56	25.74	N	21	4	36.52	E	71.940483	21.076811	7982512.860000	502657.850000	34	7121	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=521	http://www.npd.no/FactMapSearch?NPDID_wellbore=521	initial	\N	2003-04-11	521	\N	\N	296731	0	21692	ESSO	2012-07-25	2012-07-25	2013-05-08
30/3-2 R	30/3-2	Den norske stats oljeselskap a.s	STATOIL	052	WILDCAT	P&A	OIL/GAS	EXPLORATION	1980-09-02	1981-02-16	VESLEFRIKK	256-L2	30/3-2  VESLEFRIKK	YES	125	702 154   SP. 233	2.75	25.000000	3566.00	3567.000000	186.000000	TRIASSIC	HEGRE GP	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	4	NO	WILDCAT	1980	1981	\N	DRILLING/PLUGGING	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	168	YES	ED50	60	47	49.23	N	2	55	18.06	E	60.797008	2.921683	6740339.450000	495736.960000	31	30	3	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=508	http://www.npd.no/FactMapSearch?NPDID_wellbore=508	re-entry	30/3-2	2007-10-17	508	44378	43618	289090	0	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-1 R	30/3-1	Den norske stats oljeselskap a.s	STATOIL	052	APPRAISAL	P&A	SHOWS	EXPLORATION	1982-02-01	1982-04-26	HULDRA	215-L2	30/2-1 HULDRA	NO	143	702 166  SP. 790	0.00	27.000000	4421.00	4421.000000	138.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	DYVI DELTA	SEMISUB STEEL	4	NO	WILDCAT	1982	1982	\N	DRILLING/PLUGGING	12	\N	\N	\N	\N	\N	\N	85	YES	ED50	60	54	15.35	N	2	40	11.71	E	60.904264	2.669919	6752328.840000	482092.770000	31	30	3	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=509	http://www.npd.no/FactMapSearch?NPDID_wellbore=509	re-entry	30/3-1	2004-09-24	509	44372	97002	287821	0	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/10-4 R	25/10-4	Esso Exploration and Production Norway A/S	ESSO	028	APPRAISAL	P&A	OIL	EXPLORATION	1981-06-01	1981-06-13	BALDER	270-L2	25/11-1 BALDER	NO	75	BALMG 188  SP. 125	4.00	25.000000	2550.00	2550.000000	126.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	GLOMAR BISCAY II	SEMISUB STEEL	2-A	NO	APPRAISAL	1981	1981	\N	DRILLING/PLUGGING	5	INTRA BALDER FM SS	EOCENE	HEIMDAL FM	PALEOCENE	\N	\N	13	YES	ED50	59	11	26.04	N	2	19	50.14	E	59.190567	2.330594	6561615.620000	461752.330000	31	25	10	\N	4	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=510	http://www.npd.no/FactMapSearch?NPDID_wellbore=510	re-entry	25/10-4	2009-05-26	510	44210	43562	288091	0	21004	ESSO	2012-07-25	2012-07-25	2013-05-08
25/10-2 R	25/10-2	Esso Exploration and Production Norway A/S	ESSO	028	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1972-05-02	1972-07-08	\N	43-L2	\N	NO	82	Line SC-68 & Shotpoint 7026	0.00	9.000000	3181.00	3181.000000	121.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	2-A	NO	WILDCAT	1972	1972	\N	DRILLING/PLUGGING	12	\N	\N	\N	\N	\N	\N	68	YES	ED50	59	9	38.40	N	2	11	38.20	E	59.160667	2.193944	6558372.500000	453904.590000	31	25	10	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=511	http://www.npd.no/FactMapSearch?NPDID_wellbore=511	re-entry	25/10-2	2003-08-29	511	\N	\N	288388	0	21004	ESSO	2012-07-25	2012-07-25	2013-05-08
25/10-1 R	25/10-1	Esso Exploration and Production Norway A/S	ESSO	028	APPRAISAL	P&A	SHOWS	EXPLORATION	1970-07-09	1970-08-03	BALDER	32-L2	25/11-1 BALDER	NO	76	LINE SC 70-shotpoint 136	6.00	10.000000	2092.00	2091.000000	124.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	2-A	NO	WILDCAT	1970	1970	\N	DRILLING/PLUGGING	12	\N	\N	\N	\N	\N	\N	27	YES	ED50	59	11	21.72	N	2	19	14.40	E	59.189367	2.320667	6561487.720000	461183.740000	31	25	10	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=512	http://www.npd.no/FactMapSearch?NPDID_wellbore=512	re-entry	25/10-1	2009-05-26	512	44210	43562	288388	0	21004	ESSO	2012-07-25	2012-07-25	2013-05-08
24/12-1 R	24/12-1	Den norske stats oljeselskap a.s	STATOIL	045	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1978-06-07	1978-08-14	\N	189-L2	\N	NO	141	SD 260 line 403-329	0.00	25.000000	4825.00	4825.000000	113.000000	TRIASSIC	NO GROUP DEFINED	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	3	NO	WILDCAT	1978	1978	\N	DRILLING/PLUGGING	12	\N	\N	\N	\N	\N	\N	69	YES	ED50	59	2	29.80	N	1	52	57.93	E	59.041611	1.882758	6545372.480000	435888.070000	31	24	12	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=513	http://www.npd.no/FactMapSearch?NPDID_wellbore=513	re-entry	24/12-1	2004-12-01	513	\N	\N	287956	0	21148	STATOIL	2012-07-25	2012-07-25	2013-05-08
17/12-1 R	17/12-1	Phillips Petroleum Company Norway	PHILLIPS	016	WILDCAT	P&A	OIL	EXPLORATION	1972-03-14	1972-06-21	\N	64-L2	17/12-1 BREAM	YES	101	LINE 685 402 SP.160	1.75	27.000000	4298.00	4298.000000	115.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1972	1972	\N	DRILLING/PLUGGING	5	SANDNES FM	MIDDLE JURASSIC	\N	\N	\N	\N	100	YES	ED50	58	11	17.30	N	3	56	22.20	E	58.188139	3.939500	6450188.440000	555243.170000	31	17	12	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=514	http://www.npd.no/FactMapSearch?NPDID_wellbore=514	re-entry	17/12-1	2005-04-25	514	43964	\N	296407	0	20884	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
17/9-1 R	17/9-1	Esso Exploration and Production Norway A/S	ESSO	002	WILDCAT	P&A	DRY	EXPLORATION	1974-05-18	1974-06-11	\N	93-L2	\N	NO	62	LINE N-9/C-315	0.00	9.000000	3161.00	3161.000000	159.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	GLOMAR GRAND ISLE	VESSEL	1-A	NO	WILDCAT	1974	1974	\N	DRILLING	1	\N	\N	\N	\N	\N	\N	25	YES	ED50	58	28	27.26	N	3	50	16.18	E	58.474239	3.837828	6481963.510000	548868.520000	31	17	9	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=515	http://www.npd.no/FactMapSearch?NPDID_wellbore=515	re-entry	17/9-1	2005-04-25	515	\N	\N	288388	0	20772	ESSO	2012-07-25	2012-07-25	2013-05-08
15/9-12 R	15/9-12	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1982-03-26	1982-04-27	SLEIPNER VEST	309-L2	15/6-3 SLEIPNER VEST	NO	\N	8010-023 SP 270	\N	25.000000	\N	3740.000000	107.000000	MIDDLE JURASSIC	\N	NORTH SEA	DEEPSEA SAGA	SEMISUB STEEL	3	NO	APPRAISAL	1982	1982	\N	PLUGGING	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	33	YES	ED50	58	27	23.17	N	1	43	4.01	E	58.456436	1.717781	6480390.260000	425174.970000	31	15	9	\N	12	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=516	http://www.npd.no/FactMapSearch?NPDID_wellbore=516	re-entry	15/9-12	9999-12-31	516	43910	43457	289090	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/6-2 R	15/6-2	Esso Exploration and Production Norway A/S	ESSO	029	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1974-05-09	1974-08-01	\N	62-L2	15/5-1 GINA KROG	NO	\N	SC 23  SP.7490	\N	24.000000	\N	4779.000000	115.000000	LATE PERMIAN	\N	NORTH SEA	DRILLMASTER	SEMISUB STEEL	2-A	NO	WILDCAT	1974	1974	\N	DRILLING	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	85	YES	ED50	58	32	47.58	N	1	41	54.09	E	58.546550	1.698358	6490444.740000	424236.030000	31	15	6	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=517	http://www.npd.no/FactMapSearch?NPDID_wellbore=517	re-entry	15/6-2	9999-12-31	517	43892	\N	288172	0	21020	ESSO	2013-03-13	2013-03-13	2013-05-08
7/12-4 R	7/12-4	BP Norway Limited  U.A.	BP	019	APPRAISAL	P&A	OIL	EXPLORATION	1984-03-16	1984-03-20	ULA	183-L2	7/12-2 ULA	NO	\N	\N	\N	25.000000	\N	3621.000000	71.000000	EARLY JURASSIC	\N	NORTH SEA	DYVI ALPHA	SEMISUB STEEL	1-A	NO	APPRAISAL	1984	1984	\N	PLUGGING	5	\N	LATE JURASSIC	\N	\N	\N	\N	5	YES	ED50	57	5	36.66	N	2	51	36.96	E	57.093517	2.860267	6327946.460000	491532.390000	31	7	12	\N	4	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=518	http://www.npd.no/FactMapSearch?NPDID_wellbore=518	re-entry	7/12-4	9999-12-31	518	44972	43800	297514	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
7/11-7 R	7/11-7	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	RE-CLASS TO DEV	OIL	EXPLORATION	1984-09-29	1984-10-08	COD	359-L2	7/11-1 COD	NO	168	NH CN 82-124 SP 377	0.00	41.800000	4661.00	4927.000000	70.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	COD	JACKET 8 LEGS	1-A	NO	WILDCAT	1984	1984	7/11-A-6	\N	5	FORTIES FM	PALEOCENE	ULA FM	LATE JURASSIC	\N	\N	10	YES	ED50	57	4	10.04	N	2	26	4.82	E	57.069456	2.434672	6325401.220000	465720.080000	31	7	11	\N	7	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=519	http://www.npd.no/FactMapSearch?NPDID_wellbore=519	re-entry	7/11-7	2006-02-15	519	44960	43785	271693	837	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6407/6-2	6407/6-2	Den norske stats oljeselskap a.s	STATOIL	092	WILDCAT	BLOWOUT	GAS SHOWS	EXPLORATION	1985-10-04	1985-10-06	\N	484-L	\N	NO	0	ST 8402 - 123   SP. 750	0.00	22.000000	504.00	524.000000	221.000000	PLIOCENE	NAUST FM	NORWEGIAN SEA	WEST VANGUARD	SEMISUB STEEL	8	NO	WILDCAT	1985	1985	\N	\N	12	\N	\N	\N	\N	\N	\N	3	NO	ED50	64	42	29.56	N	7	40	32.59	E	64.708211	7.675719	7176774.360000	436871.330000	32	6407	6	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=522	http://www.npd.no/FactMapSearch?NPDID_wellbore=522	initial	\N	2005-12-13	522	\N	\N	287902	0	21540	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-25	34/10-25	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	DRY	EXPLORATION	1985-08-06	1985-08-17	GULLFAKS	477-L	34/10-1 GULLFAKS	NO	29	8199423   SP. 120	1.00	23.000000	600.00	600.000000	143.000000	PLIOCENE	NORDLAND GP	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1985	1985	\N	\N	1	\N	\N	\N	\N	\N	\N	12	NO	ED50	61	12	11.60	N	2	12	12.77	E	61.203222	2.203547	6785845.530000	457197.250000	31	34	10	\N	25	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=523	http://www.npd.no/FactMapSearch?NPDID_wellbore=523	initial	\N	2012-12-21	523	44594	43686	287983	0	21188	STATOIL	2013-01-17	2013-01-17	2013-05-08
25/6-1	25/6-1	Saga Petroleum ASA	SAGA	117	WILDCAT	P&A	OIL	EXPLORATION	1985-12-18	1986-02-03	\N	493-L	25/6-1	YES	120	NOD 2 - 84 - 29  SP. 5250	1.30	26.000000	2881.00	2881.000000	121.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	10-A	NO	WILDCAT	1985	1986	\N	\N	5	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	48	NO	ED50	59	31	32.04	N	2	48	2.07	E	59.525567	2.800575	6598746.730000	488717.110000	31	25	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=524	http://www.npd.no/FactMapSearch?NPDID_wellbore=524	initial	\N	2003-12-17	524	44288	\N	296326	0	21748	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-7	34/7-7	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1985-09-17	1985-12-16	SNORRE	483-L	34/4-1 SNORRE	NO	\N	G/E - 116   SP. 505	\N	26.000000	\N	3526.000000	303.000000	LATE TRIASSIC	\N	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1985	1985	\N	\N	5	\N	EARLY JURASSIC	\N	\N	\N	\N	91	NO	ED50	61	26	54.53	N	2	5	55.69	E	61.448481	2.098803	6813237.290000	451945.360000	31	34	7	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=525	http://www.npd.no/FactMapSearch?NPDID_wellbore=525	initial	\N	9999-12-31	525	44654	43718	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
33/12-3	33/12-3	Mobil Exploration Norway INC	MOBIL	037	APPRAISAL	JUNKED	DRY	EXPLORATION	1975-04-23	1975-05-16	STATFJORD	125-L	33/12-1 STATFJORD	NO	\N	LINE MNG 28   SP.380	\N	25.000000	\N	1735.000000	146.000000	EOCENE	\N	NORTH SEA	NORSKALD	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1975	1975	\N	\N	1	\N	\N	\N	\N	\N	\N	24	NO	ED50	61	14	19.64	N	1	53	25.80	E	61.238789	1.890500	6790052.240000	440441.760000	31	33	12	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=841	http://www.npd.no/FactMapSearch?NPDID_wellbore=841	initial	\N	9999-12-31	841	44558	43658	288091	0	21084	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
30/6-17 R	30/6-17	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	OIL/GAS	EXPLORATION	1985-11-14	1986-02-04	OSEBERG	478-L2	30/6-17	YES	104	NH 82 - 214   cell point 424	2.75	25.000000	2650.00	2650.000000	110.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TREASURE HUNTER	SEMISUB STEEL	4	NO	WILDCAT	1985	1986	\N	DRILLING	13	COOK FM	EARLY JURASSIC	\N	\N	\N	\N	83	YES	ED50	60	34	15.77	N	2	44	59.84	E	60.571047	2.749956	6715194.480000	486293.490000	31	30	6	\N	17	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=849	http://www.npd.no/FactMapSearch?NPDID_wellbore=849	re-entry	30/6-17 A	2012-01-01	849	44420	43625	289360	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-5	6506/12-5	Den norske stats oljeselskap a.s	STATOIL	094	APPRAISAL	P&A	OIL	EXPLORATION	1985-10-17	1986-03-27	ÅSGARD	485-L	6506/12-3 SMØRBUKK SØR	NO	149	ST 8403 - 451   SP. 338	0.00	29.000000	4587.00	4587.000000	301.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	8	NO	APPRAISAL	1985	1986	\N	\N	5	LYSING FM	LATE CRETACEOUS	GARN FM	MIDDLE JURASSIC	\N	\N	162	NO	ED50	65	2	28.60	N	6	58	21.93	E	65.041278	6.972758	7214766.400000	404557.550000	32	6506	12	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=852	http://www.npd.no/FactMapSearch?NPDID_wellbore=852	initial	\N	2007-06-28	852	45846	43765	287821	0	21556	STATOIL	2012-07-25	2012-12-22	2013-05-08
6507/7-4	6507/7-4	Conoco Norway Inc.	CONOCO	095	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1985-11-06	1986-01-13	HEIDRUN	490-L	6507/7-2 HEIDRUN	NO	98	BP 83 - 308   SP. 689	2.80	25.000000	2850.00	2850.000000	345.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	NORTRYM	SEMISUB STEEL	8	NO	APPRAISAL	1985	1986	\N	\N	13	ILE FM	MIDDLE JURASSIC	\N	\N	\N	\N	69	NO	ED50	65	19	11.56	N	7	15	44.99	E	65.319878	7.262497	7245402.390000	419050.200000	32	6507	7	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=853	http://www.npd.no/FactMapSearch?NPDID_wellbore=853	initial	\N	2008-12-18	853	44930	43771	288010	0	21564	CONOCO	2013-02-14	2013-02-14	2013-05-08
34/8-1	34/8-1	Norsk Hydro Produksjon AS	HYDRO	120	WILDCAT	P&A	OIL/GAS	EXPLORATION	1985-11-11	1986-03-08	VISUND	488-L	34/8-1 VISUND	YES	131	NH 8404 - 221   SP. 215	13.40	23.000000	3577.00	3610.000000	325.500000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	10-A	NO	WILDCAT	1985	1986	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	121	NO	ED50	61	21	53.50	N	2	25	57.57	E	61.364861	2.432658	6803722.250000	469666.180000	31	34	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=854	http://www.npd.no/FactMapSearch?NPDID_wellbore=854	initial	\N	2003-05-28	854	44720	43745	287848	0	21772	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/2-10 S	25/2-10	Elf Petroleum Norge AS	ELF	112	WILDCAT	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1985-12-02	1986-03-19	\N	494-L	25/2-10 S	YES	75	EL 8504 - 330   SP. 304	0.00	21.000000	2643.00	2967.000000	120.000000	PALEOCENE	EKOFISK FM	NORTH SEA	HENRY GOODRICH	SEMISUB STEEL	Awarded additionaly to round 9	NO	WILDCAT	1985	1986	\N	\N	13	NO FORMAL NAME	EARLY MIOCENE	FRIGG FM	EOCENE	\N	\N	108	NO	ED50	59	53	11.80	N	2	30	8.33	E	59.886611	2.502314	6639043.070000	472144.070000	31	25	2	\N	10	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=855	http://www.npd.no/FactMapSearch?NPDID_wellbore=855	initial	\N	2003-12-17	855	2429169	\N	289387	0	21700	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7/11-9	7/11-9	Norsk Hydro Produksjon AS	HYDRO	070	WILDCAT	P&A	SHOWS	EXPLORATION	1985-11-26	1986-03-09	\N	491-L	\N	NO	170	NH CN 82 - 308  SP. 713	2.80	25.000000	4270.00	4271.000000	81.000000	EARLY TRIASSIC	SMITH BANK FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	6	NO	WILDCAT	1985	1986	\N	\N	12	\N	\N	\N	\N	\N	\N	104	NO	ED50	57	12	11.79	N	2	24	50.18	E	57.203275	2.413939	6340308.600000	464590.880000	31	7	11	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=856	http://www.npd.no/FactMapSearch?NPDID_wellbore=856	initial	\N	2006-10-19	856	\N	\N	341331	0	21356	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-26	34/10-26	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	DRY	EXPLORATION	1985-10-18	1985-10-26	GULLFAKS	489-L	34/10-1 GULLFAKS	NO	26	ST 8488 - 325   SP. 160	3.30	23.000000	600.00	600.000000	219.000000	PLIOCENE	NORDLAND GP	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1985	1985	\N	\N	1	\N	\N	\N	\N	\N	\N	9	NO	ED50	61	12	59.90	N	2	16	23.77	E	61.216639	2.273269	6787296.340000	460960.740000	31	34	10	\N	26	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=858	http://www.npd.no/FactMapSearch?NPDID_wellbore=858	initial	\N	2012-12-21	858	44594	43686	287983	0	21188	STATOIL	2013-01-17	2013-01-17	2013-05-08
34/10-10 R	34/10-10	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	JUNKED	DRY	EXPLORATION	1980-09-19	1980-10-04	\N	257-L2	\N	NO	49	3D-224 SP.265	0.00	25.000000	816.00	816.000000	154.000000	MIOCENE	NORDLAND GP	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1980	1980	\N	PLUGGING	1	\N	\N	\N	\N	\N	\N	16	YES	ED50	61	10	27.95	N	2	14	43.12	E	61.174431	2.245311	6782611.870000	459404.630000	31	34	10	\N	10	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=859	http://www.npd.no/FactMapSearch?NPDID_wellbore=859	re-entry	34/10-10	2009-10-26	859	\N	\N	288280	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-5 A	6507/7-5	Conoco Norway Inc.	CONOCO	095	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1986-03-06	1986-04-05	HEIDRUN	505-L	6507/7-2 HEIDRUN	NO	63	CN 8502 - 599   SP. 225	30.90	25.000000	2525.00	2673.000000	331.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	NORTRYM	SEMISUB STEEL	8	NO	APPRAISAL	1986	1986	\N	\N	13	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	31	NO	ED50	65	21	30.27	N	7	17	35.08	E	65.358408	7.293078	7249656.780000	420590.940000	32	6507	7	\N	5	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=860	http://www.npd.no/FactMapSearch?NPDID_wellbore=860	sidetrack	6507/7-5	2007-09-17	860	44930	43771	288010	0	21564	CONOCO	2012-07-25	2012-07-25	2013-05-08
6/3-2	6/3-2	Den norske stats oljeselskap a.s	STATOIL	086	WILDCAT	P&A	SHOWS	EXPLORATION	1985-11-21	1986-03-10	\N	492-L	\N	NO	154	511 - 108   SP. 80	9.20	22.000000	4085.00	4091.000000	89.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	ROSS ISLE	SEMISUB STEEL	8	NO	WILDCAT	1985	1986	\N	\N	12	\N	\N	\N	\N	\N	\N	110	NO	ED50	57	54	25.99	N	1	59	14.19	E	57.907219	1.987275	6418975.760000	439982.260000	31	6	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=862	http://www.npd.no/FactMapSearch?NPDID_wellbore=862	initial	\N	2005-02-11	862	\N	\N	296245	0	21492	STATOIL	2012-07-25	2012-07-25	2013-05-08
6406/3-2	6406/3-2	Den norske stats oljeselskap a.s	STATOIL	091	WILDCAT	P&A	OIL	EXPLORATION	1986-06-28	1986-11-22	\N	519-L	6406/3-2 TRESTAKK	YES	160	911430 X ST 8403 - 401	3.40	22.000000	4522.00	4523.000000	300.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST VANGUARD	SEMISUB STEEL	8	NO	WILDCAT	1986	1986	\N	\N	5	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	148	NO	ED50	64	51	46.78	N	6	49	51.87	E	64.862994	6.831075	7195126.910000	397207.630000	32	6406	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=863	http://www.npd.no/FactMapSearch?NPDID_wellbore=863	initial	\N	2007-06-28	863	44846	\N	287902	0	21532	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-27	34/10-27	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	SUSP.REENTERED LATER	GAS	EXPLORATION	1985-12-02	1985-12-14	GULLFAKS	495-L	34/10-1 GULLFAKS	NO	0	ST 8488 - 404   SP. 261	1.20	32.000000	482.00	482.000000	135.000000	PLIOCENE	NORDLAND GP	NORTH SEA	WEST VENTURE OLD	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1985	1985	\N	\N	9	NORDLAND GP	PLIOCENE	\N	\N	\N	\N	13	NO	ED50	61	10	31.12	N	2	11	23.96	E	61.175311	2.189989	6782745.560000	456430.110000	31	34	10	\N	27	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=867	http://www.npd.no/FactMapSearch?NPDID_wellbore=867	initial	\N	2012-12-21	867	44594	43686	362494	0	21188	STATOIL	2013-01-17	2013-01-17	2013-05-08
6407/9-6	6407/9-6	A/S Norske Shell	SHELL	093	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1986-01-02	1986-03-13	DRAUGEN	499-L	6407/9-1 DRAUGEN	NO	57	84-121 SP.228	1.90	25.000000	1796.00	1800.000000	276.000000	EARLY JURASSIC	ROR FM	NORWEGIAN SEA	BORGNY DOLPHIN	SEMISUB STEEL	8	NO	APPRAISAL	1986	1986	\N	\N	5	ROGN FM	LATE JURASSIC	\N	\N	\N	\N	71	NO	ED50	64	19	58.07	N	7	44	23.70	E	64.332797	7.739917	7134880.010000	439100.650000	32	6407	9	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=871	http://www.npd.no/FactMapSearch?NPDID_wellbore=871	initial	\N	2005-11-07	871	44888	43758	288280	0	21548	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-28	34/10-28	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	JUNKED	GAS	EXPLORATION	1986-01-02	1986-01-16	GULLFAKS SØR	498-L	34/10-2 GULLFAKS SØR	NO	0	LINE 170 CDP 405 (3D-SURVEY)	0.50	25.000000	528.00	528.000000	133.000000	PLIOCENE	NORDLAND GP	NORTH SEA	DYVI STENA	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1986	1986	\N	\N	9	NORDLAND GP	PLIOCENE	\N	\N	\N	\N	15	NO	ED50	61	6	31.99	N	2	15	23.72	E	61.108886	2.256589	6775304.140000	459928.280000	31	34	10	\N	28	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=872	http://www.npd.no/FactMapSearch?NPDID_wellbore=872	initial	\N	2012-12-21	872	44606	43699	290980	0	21188	STATOIL	2013-01-17	2013-01-17	2013-05-08
7120/1-1 R	7120/1-1	A/S Norske Shell	SHELL	108	WILDCAT	SUSP.REENTERED LATER	OIL/GAS SHOWS	EXPLORATION	1985-12-02	1985-12-26	\N	480-L2	\N	NO	58	TNGS 83 - 142  SP. 2891	5.70	25.000000	2609.00	2610.000000	342.000000	LATE PERMIAN	RØYE FM	BARENTS SEA	BORGNY DOLPHIN	SEMISUB STEEL	9	NO	WILDCAT	1985	1985	\N	DRILLING	12	\N	\N	\N	\N	\N	\N	23	YES	ED50	71	55	0.83	N	20	18	7.13	E	71.916897	20.301981	7980020.260000	475816.850000	34	7120	1	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=874	http://www.npd.no/FactMapSearch?NPDID_wellbore=874	re-entry	7120/1-1	2003-04-11	874	\N	\N	288280	0	21668	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
34/4-6	34/4-6	Saga Petroleum ASA	SAGA	057	APPRAISAL	P&A	OIL	EXPLORATION	1985-12-31	1986-03-27	SNORRE	497-L	34/4-1 SNORRE	NO	113	SG 8420 - 198  SP. 525	2.20	26.000000	3281.00	3282.000000	373.500000	LATE TRIASSIC	TEIST FM (INFORMAL)	NORTH SEA	VINNI	SEMISUB STEEL	4	NO	APPRAISAL	1985	1986	\N	\N	5	LUNDE FM	LATE TRIASSIC	\N	\N	\N	\N	87	NO	ED50	61	34	14.09	N	2	13	19.99	E	61.570581	2.222219	6826753.590000	458688.370000	31	34	4	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=875	http://www.npd.no/FactMapSearch?NPDID_wellbore=875	initial	\N	2009-10-26	875	44654	43718	289414	0	21252	SAGA	2012-07-25	2012-07-25	2013-05-08
34/10-30	34/10-30	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1986-01-16	1986-05-12	GULLFAKS SØR	501-L	34/10-2 GULLFAKS SØR	NO	143	LINJE 170  SP 405 (3D-SURVEY)	11.50	25.000000	3773.00	3785.000000	133.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	DYVI STENA	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1986	1986	\N	\N	13	BRENT GP	MIDDLE JURASSIC	STATFJORD FM	EARLY JURASSIC	LUNDE FM	LATE TRIASSIC       	115	NO	ED50	61	6	31.07	N	2	15	23.92	E	61.108631	2.256644	6775275.640000	459930.950000	31	34	10	\N	30	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=877	http://www.npd.no/FactMapSearch?NPDID_wellbore=877	initial	\N	2003-05-28	877	44606	43699	290980	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-8	34/7-8	Saga Petroleum ASA	SAGA	089	WILDCAT	P&A	OIL	EXPLORATION	1986-02-05	1986-04-11	VIGDIS	503-L	34/7-8 VIGDIS	YES	96	G/E - 281   SP. 410	2.00	26.000000	2766.00	2766.000000	286.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1986	1986	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	STATFJORD FM	EARLY JURASSIC	\N	\N	66	NO	ED50	61	22	25.93	N	2	8	33.37	E	61.373869	2.142603	6804894.920000	454171.610000	31	34	7	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=878	http://www.npd.no/FactMapSearch?NPDID_wellbore=878	initial	\N	2008-02-28	878	44714	43732	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
6507/7-5	6507/7-5	Conoco Norway Inc.	CONOCO	095	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1986-01-16	1986-03-06	HEIDRUN	500-L	6507/7-2 HEIDRUN	NO	92	CN 8502 - 599   SP. 225	2.80	25.000000	2659.00	2660.000000	331.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	NORTRYM	SEMISUB STEEL	8	NO	APPRAISAL	1986	1986	\N	\N	13	ILE FM	MIDDLE JURASSIC	\N	\N	\N	\N	50	NO	ED50	65	21	30.27	N	7	17	35.08	E	65.358408	7.293078	7249656.780000	420590.940000	32	6507	7	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=879	http://www.npd.no/FactMapSearch?NPDID_wellbore=879	initial	\N	2007-09-17	879	44930	43771	288010	0	21564	CONOCO	2012-07-25	2013-05-01	2013-05-08
7121/7-2	7121/7-2	Den norske stats oljeselskap a.s	STATOIL	100	WILDCAT	P&A	GAS	EXPLORATION	1986-07-07	1986-08-12	SNØHVIT	520-L	7121/7-2 ALBATROSS SØR	YES	74	ST 8412 - 320   SP. 520	2.80	22.000000	2155.00	2156.000000	325.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	ROSS ISLE	SEMISUB STEEL	8	NO	WILDCAT	1986	1986	\N	\N	9	STØ FM	MIDDLE JURASSIC	\N	\N	\N	\N	37	NO	ED50	71	26	37.91	N	21	3	21.42	E	71.443864	21.055950	7927117.400000	501987.360000	34	7121	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=881	http://www.npd.no/FactMapSearch?NPDID_wellbore=881	initial	\N	2005-02-11	881	45062	2053062	296245	0	21604	STATOIL	2012-09-08	2012-09-08	2013-05-08
25/5-1	25/5-1	Elf Petroleum Norge AS	ELF	102	WILDCAT	P&A	OIL/GAS	EXPLORATION	1987-05-12	1987-08-01	FRØY	543-L	25/5-1 FRØY	YES	122	EL 8503 - 417   SP. 600	3.60	25.000000	3429.00	3429.000000	118.000000	TRIASSIC	NO GROUP DEFINED	NORTH SEA	NORTRYM	SEMISUB STEEL	9	NO	WILDCAT	1987	1987	\N	\N	13	HUGIN FM	MIDDLE JURASSIC	SLEIPNER FM	MIDDLE JURASSIC	\N	\N	82	NO	ED50	59	43	47.19	N	2	34	13.46	E	59.729775	2.570406	6621549.920000	475841.980000	31	25	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=884	http://www.npd.no/FactMapSearch?NPDID_wellbore=884	initial	\N	2003-12-17	884	44264	43597	288010	0	21620	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-31	34/10-31	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	GAS	EXPLORATION	1986-02-01	1986-04-08	GULLFAKS	502-L	34/10-1 GULLFAKS	NO	0	ST 8488 - 2111   SP. 516	1.60	32.000000	420.00	420.000000	132.000000	PLIOCENE	NORDLAND GP	NORTH SEA	WEST VENTURE OLD	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1986	1986	\N	\N	9	NORDLAND GP	PLIOCENE	\N	\N	\N	\N	67	NO	ED50	61	10	32.40	N	2	11	15.46	E	61.175667	2.187628	6782786.740000	456303.610000	31	34	10	\N	31	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=887	http://www.npd.no/FactMapSearch?NPDID_wellbore=887	initial	\N	2012-12-21	887	44594	43686	362494	0	21188	STATOIL	2013-01-17	2013-01-17	2013-05-08
34/10-27 R	34/10-27	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	GAS	EXPLORATION	1986-01-27	1986-01-31	GULLFAKS	495-L2	34/10-1 GULLFAKS	NO	0	ST 8488 - 404  SP. 261	1.20	32.000000	482.00	482.000000	135.000000	PLIOCENE	NORDLAND GP	NORTH SEA	WEST VENTURE OLD	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1986	1986	\N	PLUGGING	9	NORDLAND GP	PLIOCENE	\N	\N	\N	\N	5	YES	ED50	61	10	31.12	N	2	11	23.96	E	61.175311	2.189989	6782745.560000	456430.110000	31	34	10	\N	27	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=888	http://www.npd.no/FactMapSearch?NPDID_wellbore=888	re-entry	34/10-27	2012-12-21	888	44594	43686	362494	0	21188	STATOIL	2012-12-23	2012-12-23	2013-05-08
34/7-9	34/7-9	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1986-04-13	1986-06-12	SNORRE	510-L	34/4-1 SNORRE	NO	93	SG 8420 ROW 011 COLUMN 470	2.70	26.000000	3239.00	3240.000000	330.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	APPRAISAL	1986	1986	\N	\N	5	LUNDE FM	LATE TRIASSIC	\N	\N	\N	\N	61	NO	ED50	61	29	11.99	N	2	11	43.60	E	61.486664	2.195444	6817423.200000	457150.880000	31	34	7	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=889	http://www.npd.no/FactMapSearch?NPDID_wellbore=889	initial	\N	2011-06-20	889	44654	43718	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
30/6-20	30/6-20	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	SHOWS	EXPLORATION	1986-03-10	1986-04-13	\N	506-L	\N	NO	\N	NH 82 - 290 CENTER CELL 325	\N	23.000000	\N	3042.000000	111.000000	EARLY JURASSIC	\N	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	4	NO	WILDCAT	1986	1986	\N	\N	12	\N	\N	\N	\N	\N	\N	35	NO	ED50	60	37	20.52	N	2	42	18.52	E	60.622367	2.705144	6720920.710000	483862.750000	31	30	6	\N	20	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=892	http://www.npd.no/FactMapSearch?NPDID_wellbore=892	initial	\N	9999-12-31	892	\N	\N	287848	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
35/11-2	35/11-2	Mobil Exploration Norway INC	MOBIL	090	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1987-07-20	1987-12-04	VEGA	553-L	35/11-2 VEGA SØR	YES	153	NM84 - 208   SP. 520	3.20	23.000000	4024.00	4025.000000	372.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	8	NO	WILDCAT	1987	1987	\N	\N	17	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	138	NO	ED50	61	10	26.42	N	3	27	31.36	E	61.174006	3.458711	6782416.830000	524675.040000	31	35	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=893	http://www.npd.no/FactMapSearch?NPDID_wellbore=893	initial	\N	2005-04-25	893	44744	4467595	287848	0	21524	MOBIL EXPLORATION NORWAY INC	2012-09-01	2013-01-11	2013-05-08
30/6-17 A	30/6-17	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	OIL/GAS	EXPLORATION	1986-02-04	1986-03-18	OSEBERG	504-L	30/6-17	NO	104	NH 82 - 214   cell point 424	2.80	25.000000	2528.00	2686.000000	110.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TREASURE HUNTER	SEMISUB STEEL	4	NO	WILDCAT	1986	1986	\N	\N	13	COOK FM	EARLY JURASSIC	\N	\N	\N	\N	43	NO	ED50	60	34	15.77	N	2	44	59.84	E	60.571047	2.749956	6715194.480000	486293.490000	31	30	6	\N	17	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=894	http://www.npd.no/FactMapSearch?NPDID_wellbore=894	sidetrack	30/6-17	2012-01-01	894	44420	43625	289360	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-1	2/4-1	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	JUNKED	OIL/GAS SHOWS	EXPLORATION	1969-08-25	1969-09-16	\N	33-L	\N	NO	0	PG S6331 & SP 12-1	0.00	27.000000	1662.00	1662.000000	70.500000	MIOCENE	NORDLAND GP	NORTH SEA	OCEAN VIKING	SEMISUB STEEL	1-A	NO	WILDCAT	1969	1969	\N	\N	12	\N	\N	\N	\N	\N	\N	23	NO	ED50	56	32	40.23	N	3	11	55.22	E	56.544508	3.198672	6266841.710000	512216.570000	31	2	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=895	http://www.npd.no/FactMapSearch?NPDID_wellbore=895	initial	\N	2007-01-18	895	\N	\N	296407	0	20900	PHILLIPS	2012-08-10	2012-08-10	2013-05-08
7121/1-1 R	7121/1-1	Esso Exploration and Production Norway A/S	ESSO	111	WILDCAT	P&A	SHOWS	EXPLORATION	1986-03-18	1986-08-23	\N	487-L2	\N	NO	146	NH 8306 - 211   SP. 1106	0.00	26.800000	5000.00	5000.000000	369.000000	LATE CARBONIFEROUS	ØRN FM	BARENTS SEA	ZAPATA UGLAND	SEMISUB STEEL	9	NO	WILDCAT	1986	1986	\N	DRILLING/PLUGGING	12	\N	\N	\N	\N	\N	\N	158	YES	ED50	71	56	25.74	N	21	4	36.52	E	71.940483	21.076811	7982512.860000	502657.850000	34	7121	1	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=896	http://www.npd.no/FactMapSearch?NPDID_wellbore=896	re-entry	7121/1-1	2003-04-11	896	\N	\N	296731	0	21692	ESSO	2012-07-25	2012-07-25	2013-05-08
7120/1-1 R2	7120/1-1	A/S Norske Shell	SHELL	108	WILDCAT	P&A	OIL/GAS SHOWS	EXPLORATION	1986-03-13	1986-07-21	\N	480-L3	\N	NO	58	TNGS 83 - 142   SP. 2891	12.50	25.000000	3978.00	4003.000000	342.000000	PRE-DEVONIAN	BASEMENT	BARENTS SEA	BORGNY DOLPHIN	SEMISUB STEEL	9	NO	WILDCAT	1986	1986	\N	DRILLING/PLUGGING	12	\N	\N	\N	\N	\N	\N	126	YES	ED50	71	55	0.83	N	20	18	7.13	E	71.916897	20.301981	7980020.260000	475816.850000	34	7120	1	\N	1	R2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=897	http://www.npd.no/FactMapSearch?NPDID_wellbore=897	re-entry	7120/1-1 R	2003-04-11	897	\N	\N	288280	0	21668	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
25/7-1 S	25/7-1	Conoco Norway Inc.	CONOCO	103	WILDCAT	P&A	DRY	EXPLORATION	1986-04-14	1986-07-19	\N	512-L	\N	NO	114	CN 8525 - 11   SP. 326	32.00	25.000000	3495.00	3592.000000	127.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	NORTRYM	SEMISUB STEEL	9	NO	WILDCAT	1986	1986	\N	\N	1	\N	\N	\N	\N	\N	\N	97	NO	ED50	59	18	35.23	N	2	16	5.37	E	59.309786	2.268158	6574928.800000	458330.760000	31	25	7	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=898	http://www.npd.no/FactMapSearch?NPDID_wellbore=898	initial	\N	2010-01-10	898	\N	\N	288010	0	21628	CONOCO	2012-07-25	2012-07-25	2013-05-08
16/10-1	16/10-1	Norsk Agip  AS	AGIP	101	WILDCAT	P&A	DRY	EXPLORATION	1986-05-25	1986-07-14	\N	515-L	\N	NO	123	ST 8315 - 303   SP. 946	0.00	25.000000	3151.00	3151.000000	84.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DYVI STENA	SEMISUB STEEL	9	NO	WILDCAT	1986	1986	\N	\N	1	\N	\N	\N	\N	\N	\N	51	NO	ED50	58	3	23.68	N	2	3	14.05	E	58.056578	2.053903	6435546.750000	444163.520000	31	16	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=901	http://www.npd.no/FactMapSearch?NPDID_wellbore=901	initial	\N	2004-02-27	901	\N	\N	290980	0	21612	AGIP	2012-07-25	2012-07-25	2013-05-08
2/11-7	2/11-7	Norsk Hydro Produksjon AS	HYDRO	068	WILDCAT	P&A	SHOWS	EXPLORATION	1986-04-16	1986-09-06	\N	513-L	\N	NO	178	NH 8201 - 412   SP. 194	2.90	23.000000	5039.00	5042.000000	72.000000	LATE JURASSIC	HAUGESUND FM	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	6	NO	WILDCAT	1986	1986	\N	\N	12	\N	\N	\N	\N	\N	\N	144	NO	ED50	56	14	6.09	N	3	37	38.84	E	56.235025	3.627456	6232552.870000	538896.830000	31	2	11	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=902	http://www.npd.no/FactMapSearch?NPDID_wellbore=902	initial	\N	2004-02-27	902	\N	\N	287848	0	21340	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
29/3-1	29/3-1	Total Norge AS	TOTAL	119	WILDCAT	P&A	OIL/GAS	EXPLORATION	1986-05-20	1986-09-15	\N	514-L	29/3-1	YES	150	SL: NOD5 - 85 - 04   SP. 245	18.30	25.000000	4419.00	4427.000000	131.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	10-A	NO	WILDCAT	1986	1986	\N	\N	13	NESS FM	MIDDLE JURASSIC	\N	\N	\N	\N	119	NO	ED50	60	57	50.24	N	1	56	13.25	E	60.963956	1.937014	6759399.560000	442441.230000	31	29	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=904	http://www.npd.no/FactMapSearch?NPDID_wellbore=904	initial	\N	2003-12-17	904	44348	\N	341331	0	21764	TOTAL	2012-07-25	2012-07-25	2013-05-08
17/11-1	17/11-1	A/S Norske Shell	SHELL	010	WILDCAT	P&A	DRY	EXPLORATION	1968-05-24	1968-06-30	\N	13-L	\N	NO	83	LINE 5812A  SP. 85	3.25	27.000000	3269.00	3269.000000	75.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ORION	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1968	1968	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	58	12	36.00	N	3	20	34.90	E	58.210000	3.343028	6452288.880000	520158.200000	31	17	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=906	http://www.npd.no/FactMapSearch?NPDID_wellbore=906	initial	\N	2005-04-25	906	\N	\N	288604	0	20836	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
7121/5-2	7121/5-2	Den norske stats oljeselskap a.s	STATOIL	110	WILDCAT	P&A	OIL/GAS	EXPLORATION	1986-05-26	1986-07-06	SNØHVIT	516-L	7121/5-2 BETA	YES	0	ST 8310 - 385   SP. 760	4.30	22.000000	2540.00	2543.000000	328.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	ROSS ISLE	SEMISUB STEEL	9	NO	WILDCAT	1986	1986	\N	\N	13	STØ FM	MIDDLE JURASSIC	\N	\N	\N	\N	42	NO	ED50	71	40	20.79	N	21	39	24.42	E	71.672442	21.656783	7952737.910000	523051.480000	34	7121	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=907	http://www.npd.no/FactMapSearch?NPDID_wellbore=907	initial	\N	2005-01-05	907	45050	2053062	296245	0	21684	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/6-1	6507/6-1	Saga Petroleum ASA	SAGA	123	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1986-06-15	1986-08-23	\N	517-L	\N	NO	116	NRGS - 84 - 429  &  SP. 2235	4.10	26.000000	4039.00	4040.000000	419.000000	EARLY TRIASSIC	NO FORMAL NAME	NORWEGIAN SEA	TREASURE SAGA	SEMISUB STEEL	10-B	NO	WILDCAT	1986	1986	\N	\N	12	\N	\N	\N	\N	\N	\N	70	NO	ED50	65	36	37.59	N	7	43	43.04	E	65.610442	7.728622	7277265.270000	441417.850000	32	6507	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=910	http://www.npd.no/FactMapSearch?NPDID_wellbore=910	initial	\N	2004-03-08	910	\N	\N	296326	0	21796	SAGA	2012-07-25	2012-07-25	2013-05-08
6507/2-1	6507/2-1	Norsk Hydro Produksjon AS	HYDRO	122	WILDCAT	P&A	SHOWS	EXPLORATION	1986-06-24	1986-09-29	\N	518-L	\N	NO	156	NRGS 84 - 437   SP. 785	4.30	23.000000	4475.00	4477.000000	381.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	10-B	NO	WILDCAT	1986	1986	\N	\N	12	\N	\N	\N	\N	\N	\N	98	NO	ED50	65	54	2.48	N	7	26	16.43	E	65.900689	7.437897	7309911.230000	428828.150000	32	6507	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=911	http://www.npd.no/FactMapSearch?NPDID_wellbore=911	initial	\N	2007-09-17	911	\N	\N	289333	0	21788	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/6-2 R	6407/6-2	Den norske stats oljeselskap a.s	STATOIL	092	WILDCAT	SUSP.REENTERED LATER	GAS SHOWS	EXPLORATION	1986-05-08	1986-05-20	\N	484-L2	\N	NO	0	ST 8402 - 123   SP. 750	0.00	22.000000	504.00	524.000000	221.000000	PLIOCENE	NAUST FM	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	8	NO	WILDCAT	1986	1986	\N	\N	12	\N	\N	\N	\N	\N	\N	13	YES	ED50	64	42	29.56	N	7	40	32.59	E	64.708211	7.675719	7176774.360000	436871.330000	32	6407	6	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=912	http://www.npd.no/FactMapSearch?NPDID_wellbore=912	re-entry	6407/6-2	2005-12-13	912	\N	\N	296245	0	21540	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/8-2	34/8-2	Norsk Hydro Produksjon AS	HYDRO	120	WILDCAT	P&A	DRY	EXPLORATION	1986-10-04	1986-11-17	\N	522-L	\N	NO	122	NH 8404 - 271   SP. 465	2.50	23.000000	3239.00	3240.000000	353.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	10-A	NO	WILDCAT	1986	1986	\N	\N	1	\N	\N	\N	\N	\N	\N	45	NO	ED50	61	22	10.51	N	2	31	36.09	E	61.369586	2.526692	6804208.510000	474697.570000	31	34	8	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=915	http://www.npd.no/FactMapSearch?NPDID_wellbore=915	initial	\N	2012-12-21	915	\N	\N	289333	0	21772	HYDRO PRODUKSJON	2013-01-17	2013-01-17	2013-05-08
9/3-1	9/3-1	A/S Norske Shell	SHELL	115	WILDCAT	P&A	DRY	EXPLORATION	1986-07-29	1986-09-04	\N	525-L	\N	NO	77	line 85-2261 & SP 105	5.00	25.000000	1970.00	1971.000000	99.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	BORGNY DOLPHIN	SEMISUB STEEL	10-A	NO	WILDCAT	1986	1986	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	57	49	45.19	N	4	45	58.38	E	57.829219	4.766217	6411210.910000	604894.260000	31	9	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=921	http://www.npd.no/FactMapSearch?NPDID_wellbore=921	initial	\N	2005-04-25	921	\N	\N	288280	0	21732	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6507/7-6	6507/7-6	Conoco Norway Inc.	CONOCO	095	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1986-07-23	1986-09-06	HEIDRUN	524-L	6507/7-2 HEIDRUN	NO	84	CN 8502-608 & SP.268	2.70	25.000000	2470.00	2525.000000	350.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	NORTRYM	SEMISUB STEEL	8	NO	APPRAISAL	1986	1986	\N	\N	13	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	46	NO	ED50	65	21	30.03	N	7	19	10.35	E	65.358342	7.319542	7249616.270000	421821.650000	32	6507	7	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=922	http://www.npd.no/FactMapSearch?NPDID_wellbore=922	initial	\N	2007-09-17	922	44930	43771	288010	0	21564	CONOCO	2012-07-25	2013-05-01	2013-05-08
6607/12-1	6607/12-1	Elf Petroleum Norge AS	ELF	127	WILDCAT	P&A	DRY	EXPLORATION	1986-07-19	1986-10-01	\N	521-L	\N	NO	124	LINE B-20-83 SP.940	7.80	21.000000	3516.00	3521.000000	369.000000	LATE CRETACEOUS	SHETLAND GP	NORWEGIAN SEA	HENRY GOODRICH	SEMISUB STEEL	10-B	NO	WILDCAT	1986	1986	\N	\N	1	\N	\N	\N	\N	\N	\N	75	NO	ED50	66	12	54.15	N	7	44	26.72	E	66.215042	7.740756	7344635.950000	443329.050000	32	6607	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=925	http://www.npd.no/FactMapSearch?NPDID_wellbore=925	initial	\N	2007-09-17	925	\N	\N	289387	0	21828	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
6407/6-2 R2	6407/6-2	Den norske stats oljeselskap a.s	STATOIL	092	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1986-06-13	1986-06-24	\N	484-L3	\N	NO	0	ST 8402 - 123  SP. 750	0.00	2.900000	524.00	524.000000	221.000000	PLIOCENE	NAUST FM	NORWEGIAN SEA	BUCENTAUR	VESSEL	8	NO	WILDCAT	1986	1986	\N	PLUGGING	12	\N	\N	\N	\N	\N	\N	12	YES	ED50	64	42	29.56	N	7	40	32.59	E	64.708211	7.675719	7176774.360000	436871.330000	32	6407	6	\N	2	R2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=928	http://www.npd.no/FactMapSearch?NPDID_wellbore=928	re-entry	6407/6-2 R	2005-12-13	928	\N	\N	289441	0	21540	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/8-1	6507/8-1	Den norske stats oljeselskap a.s	STATOIL	124	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1986-10-28	1986-12-09	HEIDRUN	529-L	6507/7-2 HEIDRUN	NO	86	CN 8502 - 518  SP. 127	2.60	29.000000	2600.00	2600.000000	342.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	10-B	NO	APPRAISAL	1986	1986	\N	\N	13	FANGST GP	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	43	NO	ED50	65	18	35.03	N	7	20	52.80	E	65.309731	7.348000	7244164.640000	423003.380000	32	6507	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=933	http://www.npd.no/FactMapSearch?NPDID_wellbore=933	initial	\N	2007-09-17	933	44930	43771	287821	0	21804	STATOIL	2012-07-25	2012-08-31	2013-05-08
6407/2-3	6407/2-3	Saga Petroleum ASA	SAGA	074	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1986-11-07	1987-01-23	ÅSGARD	531-L	6507/11-1 MIDGARD	NO	104	SG 8571 - 296  SP. 520	10.30	26.000000	3050.00	3050.000000	250.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TREASURE SAGA	SEMISUB STEEL	5	NO	WILDCAT	1986	1987	\N	\N	17	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	\N	\N	78	NO	ED50	64	56	1.39	N	7	39	53.04	E	64.933719	7.664733	7201913.990000	436877.750000	32	6407	2	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=935	http://www.npd.no/FactMapSearch?NPDID_wellbore=935	initial	\N	2009-03-09	935	44912	43765	296326	0	21388	SAGA	2012-07-25	2012-07-25	2013-05-08
6608/11-1	6608/11-1	Den norske stats oljeselskap a.s	STATOIL	128	WILDCAT	P&A	DRY	EXPLORATION	1986-07-19	1986-08-13	\N	523-L	\N	NO	0	NRGS 84 - 456   SP. 3540	0.00	25.000000	1620.00	1620.000000	381.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	10-B	NO	WILDCAT	1986	1986	\N	\N	1	\N	\N	\N	\N	\N	\N	26	NO	ED50	66	1	4.02	N	8	23	38.67	E	66.017783	8.394075	7322210.510000	472517.230000	32	6608	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=936	http://www.npd.no/FactMapSearch?NPDID_wellbore=936	initial	\N	2006-12-15	936	\N	\N	290980	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-2 R	30/9-2	Norsk Hydro Produksjon AS	HYDRO	079	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1986-06-01	1986-07-07	OSEBERG	370-L2	30/6-1 OSEBERG	NO	107	ST 8006 - 117  SP 1505	12.00	25.000000	2830.00	2830.000000	105.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TREASURE HUNTER	SEMISUB STEEL	Awarded additionaly to round 6	NO	WILDCAT	1986	1986	\N	TESTING/PLUGGING	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	38	YES	ED50	60	27	53.00	N	2	49	13.03	E	60.464722	2.820286	6703339.300000	490116.410000	31	30	9	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=937	http://www.npd.no/FactMapSearch?NPDID_wellbore=937	re-entry	30/9-2	2003-05-28	937	44396	43625	289360	0	34635	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-3	34/8-3	Norsk Hydro Produksjon AS	HYDRO	120	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1988-07-14	1988-09-14	VISUND	581-L	34/8-1 VISUND	NO	122	NH 8404 - 321   SP 275	9.60	23.000000	3320.00	3328.000000	382.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	10-A	NO	WILDCAT	1988	1988	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	63	NO	ED50	61	24	28.04	N	2	32	45.06	E	61.407789	2.545850	6808456.800000	475751.350000	31	34	8	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=940	http://www.npd.no/FactMapSearch?NPDID_wellbore=940	initial	\N	2012-12-21	940	44720	43745	289333	0	21772	HYDRO PRODUKSJON	2013-02-14	2013-02-14	2013-05-08
34/4-7	34/4-7	Saga Petroleum ASA	SAGA	057	APPRAISAL	P&A	OIL	EXPLORATION	1987-02-17	1987-05-12	SNORRE	535-L	34/4-1 SNORRE	NO	110	SG 8420 - 084  SP. 595	3.60	26.000000	2950.00	2950.000000	354.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	4	NO	APPRAISAL	1987	1987	\N	\N	5	LUNDE FM	LATE TRIASSIC	\N	\N	\N	\N	85	NO	ED50	61	31	9.83	N	2	15	15.45	E	61.519397	2.254292	6821032.190000	460326.580000	31	34	4	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=943	http://www.npd.no/FactMapSearch?NPDID_wellbore=943	initial	\N	2009-10-26	943	44654	43718	296326	0	21252	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-10	34/7-10	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1986-08-26	1986-10-29	SNORRE	527-L	34/4-1 SNORRE	NO	\N	G/E 3D 1983 LINJE 185  SP. 445	\N	26.000000	\N	3000.000000	300.000000	LATE TRIASSIC	\N	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1986	1986	\N	\N	5	\N	EARLY JURASSIC	\N	\N	\N	\N	65	NO	ED50	61	25	2.64	N	2	7	36.23	E	61.417400	2.126731	6809754.990000	453388.150000	31	34	7	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=947	http://www.npd.no/FactMapSearch?NPDID_wellbore=947	initial	\N	9999-12-31	947	44654	43718	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
6406/3-3	6406/3-3	Den norske stats oljeselskap a.s	STATOIL	091	APPRAISAL	P&A	SHOWS	EXPLORATION	1986-08-04	1986-10-26	ÅSGARD	526-L	6506/12-3 SMØRBUKK SØR	NO	0	ST 8403 - 445   SP. 350	0.00	29.000000	4416.00	4416.000000	302.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	8	NO	APPRAISAL	1986	1986	\N	\N	12	\N	\N	\N	\N	\N	\N	84	NO	ED50	64	59	49.18	N	6	53	27.64	E	64.996994	6.891011	7209958.990000	400545.310000	32	6406	3	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=949	http://www.npd.no/FactMapSearch?NPDID_wellbore=949	initial	\N	2007-06-28	949	45846	43765	287821	0	21532	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/1-9	25/1-9	Norsk Hydro Produksjon AS	HYDRO	129	WILDCAT	P&A	OIL/GAS	EXPLORATION	1986-09-09	1986-10-12	\N	528-L	25/1-9	YES	88	NH 8603 - 405   SP. 175	2.80	23.000000	2807.00	2807.000000	112.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	Awarded additionaly to round 10-A	NO	WILDCAT	1986	1986	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	33	NO	ED50	59	50	13.34	N	2	13	30.24	E	59.837039	2.225067	6633671.530000	456562.100000	31	25	1	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1001	http://www.npd.no/FactMapSearch?NPDID_wellbore=1001	initial	\N	2004-02-27	1001	2786238	\N	287848	0	21844	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/12-1	6506/12-1	Den norske stats oljeselskap a.s	STATOIL	094	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1984-08-16	1985-02-06	ÅSGARD	430-L	6506/12-1 SMØRBUKK	YES	168	line 911 460 & SP230	0.00	22.000000	0.00	4924.000000	250.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	8	NO	WILDCAT	1984	1985	\N	\N	17	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	268	NO	ED50	65	10	7.58	N	6	43	44.07	E	65.168772	6.728908	7229359.520000	393591.680000	32	6506	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1004	http://www.npd.no/FactMapSearch?NPDID_wellbore=1004	initial	\N	2005-12-13	1004	44900	43765	296245	0	21556	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-13 R	30/6-13	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1986-09-08	1986-09-11	OSEBERG	366-L2	30/6-1 OSEBERG	NO	85	36 M SW OF SP 490 ON LINE 703 127	1.75	25.000000	2775.00	2775.000000	105.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TREASURE HUNTER	SEMISUB STEEL	4	NO	APPRAISAL	1986	1986	\N	PLUGGING	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	4	YES	ED50	60	33	14.59	N	2	49	21.76	E	60.554053	2.822711	6713288.650000	490276.570000	31	30	6	\N	13	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1005	http://www.npd.no/FactMapSearch?NPDID_wellbore=1005	re-entry	30/6-13	2007-12-19	1005	44396	43625	289360	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/12-1	2/12-1	Norsk Hydro Produksjon AS	HYDRO	113	WILDCAT	P&A	OIL	EXPLORATION	1986-10-14	1987-03-12	\N	530-L	2/12-1 MJØLNER	YES	151	NP 85C - 81   SP. 2293	4.40	23.000000	4793.00	4795.000000	70.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	10-A	NO	WILDCAT	1986	1987	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	150	NO	ED50	56	14	4.07	N	3	42	27.50	E	56.234464	3.707639	6232538.560000	543868.060000	31	2	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1014	http://www.npd.no/FactMapSearch?NPDID_wellbore=1014	initial	\N	2009-10-26	1014	44006	\N	287848	0	21708	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-2	6407/7-2	Norsk Hydro Produksjon AS	HYDRO	107	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1986-11-19	1987-01-21	NJORD	532-L	6407/7-1 S NJORD	NO	125	NH 8604 - 235  KOLONNE 960	4.00	23.000000	3320.00	3320.000000	338.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	WILDCAT	1986	1987	\N	\N	13	ILE FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	63	NO	ED50	64	15	26.39	N	7	10	42.65	E	64.257331	7.178514	7127130.160000	411732.180000	32	6407	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1017	http://www.npd.no/FactMapSearch?NPDID_wellbore=1017	initial	\N	2009-03-09	1017	44876	43751	289333	0	21660	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/6-3	6407/6-3	Den norske stats oljeselskap a.s	STATOIL	092	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1986-12-13	1987-02-16	MIKKEL	533-L	6407/6-3 MIKKEL	YES	98	ST 8402-123 SP 762	7.00	29.000000	3215.00	3220.000000	222.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	8	NO	WILDCAT	1986	1987	\N	\N	17	FANGST GP	MIDDLE JURASSIC	\N	\N	\N	\N	66	NO	ED50	64	42	31.77	N	7	40	9.84	E	64.708825	7.669400	7176849.070000	436571.550000	32	6407	6	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1024	http://www.npd.no/FactMapSearch?NPDID_wellbore=1024	initial	\N	2009-03-09	1024	44870	1630514	287821	0	21540	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/4-9	31/4-9	Norsk Hydro Produksjon AS	HYDRO	055	APPRAISAL	P&A	OIL	EXPLORATION	1987-01-23	1987-03-07	BRAGE	534-L	31/4-3 BRAGE	NO	\N	NH 8501 - 129   SP 610	\N	23.000000	\N	2480.000000	147.000000	EARLY JURASSIC	\N	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	4	NO	APPRAISAL	1987	1987	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	44	NO	ED50	60	32	2.29	N	3	5	26.92	E	60.533969	3.090811	6711042.080000	504983.640000	31	31	4	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1026	http://www.npd.no/FactMapSearch?NPDID_wellbore=1026	initial	\N	9999-12-31	1026	44546	43651	289333	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-6	30/9-6	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	OIL	EXPLORATION	1987-03-08	1987-04-21	OSEBERG SØR	539-L	30/9-6 OSEBERG SØR	YES	\N	NH 8502  320   KOL1080	\N	23.000000	\N	3034.000000	113.000000	EARLY JURASSIC	\N	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	WILDCAT	1987	1987	\N	\N	5	\N	MIDDLE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	44	NO	ED50	60	23	3.77	N	2	49	55.59	E	60.384381	2.832108	6694389.170000	490743.780000	31	30	9	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1027	http://www.npd.no/FactMapSearch?NPDID_wellbore=1027	initial	\N	9999-12-31	1027	44510	43645	289333	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-13 S	33/9-13	Den norske stats oljeselskap a.s	STATOIL	037	APPRAISAL	P&A	OIL	EXPLORATION	1987-10-14	1987-12-24	STATFJORD NORD	565-L	33/9-8 STATFJORD NORD	NO	\N	E 86-543 & CMP 946	\N	22.000000	\N	3077.000000	291.000000	EARLY JURASSIC	\N	NORTH SEA	ROSS ISLE	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1987	1987	\N	\N	5	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	72	NO	ED50	61	27	4.45	N	1	58	3.00	E	61.451236	1.967500	6813648.010000	444949.130000	31	33	9	\N	13	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1028	http://www.npd.no/FactMapSearch?NPDID_wellbore=1028	initial	\N	9999-12-31	1028	44588	43679	296245	0	21084	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/1-8 SR	25/1-8	Elf Petroleum Norge AS	ELF	024	APPRAISAL	SUSP.REENTERED LATER	GAS	EXPLORATION	1987-02-14	1987-02-18	FRIGG	466-L2	25/1-1 FRIGG	NO	0	L 73-59-54  SP.1105	0.00	25.000000	2572.00	2650.000000	102.000000	PALEOCENE	LISTA FM	NORTH SEA	NORTRYM	SEMISUB STEEL	2-A	NO	APPRAISAL	1987	1987	\N	LOGGING	9	FRIGG FM	EOCENE	\N	\N	\N	\N	5	YES	ED50	59	54	3.28	N	2	6	9.79	E	59.900911	2.102719	6640871.090000	449800.690000	31	25	1	\N	8	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1030	http://www.npd.no/FactMapSearch?NPDID_wellbore=1030	re-entry	25/1-8 S	2011-09-30	1030	44204	43555	288010	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-7 R	25/1-7	Elf Petroleum Norge AS	ELF	024	APPRAISAL	SUSP.REENTERED LATER	GAS	EXPLORATION	1987-02-10	1987-02-14	FRIGG	455-L2	25/1-1 FRIGG	NO	0	73/0205 SP.660 AND 73/F11 SP.57.5	3.70	25.000000	2718.00	2719.000000	101.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	NORTRYM	SEMISUB STEEL	2-A	NO	APPRAISAL	1987	1987	\N	LOGGING	9	FRIGG FM	EOCENE	\N	\N	\N	\N	5	YES	ED50	59	55	8.28	N	2	4	52.33	E	59.918967	2.081203	6642898.340000	448624.870000	31	25	1	\N	7	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1031	http://www.npd.no/FactMapSearch?NPDID_wellbore=1031	re-entry	25/1-7	2010-01-10	1031	44204	43555	288010	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/2-11	25/2-11	Elf Petroleum Norge AS	ELF	112	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1987-02-20	1987-05-10	\N	536-L	25/2-10 S	NO	58	8504 - 328  SP. 10253	7.30	25.000000	2071.00	2075.000000	118.000000	EOCENE	FRIGG FM	NORTH SEA	NORTRYM	SEMISUB STEEL	Awarded additionaly to round 9	NO	APPRAISAL	1987	1987	\N	\N	13	NO FORMAL NAME	EARLY MIOCENE	FRIGG FM	EOCENE	\N	\N	80	NO	ED50	59	52	27.86	N	2	30	59.58	E	59.874406	2.516550	6637677.850000	472930.940000	31	25	2	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1036	http://www.npd.no/FactMapSearch?NPDID_wellbore=1036	initial	\N	2003-12-17	1036	2429169	\N	288010	0	21700	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
30/6-21	30/6-21	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1987-02-20	1987-04-09	OSEBERG	537-L	30/6-1 OSEBERG	NO	\N	NH 82 - 321  COLUMN 379	\N	25.000000	\N	3100.000000	112.000000	EARLY JURASSIC	\N	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	4	NO	APPRAISAL	1987	1987	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	49	NO	ED50	60	38	34.88	N	2	43	47.60	E	60.643022	2.729889	6723215.560000	485226.440000	31	30	6	\N	21	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1037	http://www.npd.no/FactMapSearch?NPDID_wellbore=1037	initial	\N	9999-12-31	1037	44396	43625	297028	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
9/2-1	9/2-1	Den norske stats oljeselskap a.s	STATOIL	114	WILDCAT	P&A	OIL	EXPLORATION	1987-02-21	1987-04-28	YME	538-L	9/2-1 YME	YES	116	ST 8626 - 212  SP 160	3.30	29.000000	3755.00	3756.000000	99.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	DYVI DELTA	SEMISUB STEEL	10-A	NO	WILDCAT	1987	1987	\N	\N	5	SANDNES FM	LATE JURASSIC	\N	\N	\N	\N	67	NO	ED50	57	49	58.10	N	4	31	27.92	E	57.832806	4.524422	6411261.000000	590526.870000	31	9	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1038	http://www.npd.no/FactMapSearch?NPDID_wellbore=1038	initial	\N	2005-04-22	1038	45098	43807	287821	0	21716	STATOIL	2012-07-25	2012-07-25	2013-05-08
6508/5-1	6508/5-1	A/S Norske Shell	SHELL	125	WILDCAT	P&A	DRY	EXPLORATION	1987-04-22	1987-05-24	\N	542-L	\N	NO	66	86 - 122   SP. 595	1.80	22.000000	2586.00	2586.000000	411.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	WEST VANGUARD	SEMISUB STEEL	10-B	NO	WILDCAT	1987	1987	\N	\N	1	\N	\N	\N	\N	\N	\N	33	NO	ED50	65	42	51.22	N	8	28	35.37	E	65.714228	8.476492	7288341.640000	475973.170000	32	6508	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1044	http://www.npd.no/FactMapSearch?NPDID_wellbore=1044	initial	\N	2005-06-30	1044	\N	\N	287902	0	21812	SHELL NORGE	2012-12-23	2012-12-23	2013-05-08
26/4-1	26/4-1	BP Norway Limited  U.A.	BP	118	WILDCAT	P&A	DRY	EXPLORATION	1987-05-08	1987-07-17	\N	545-L	\N	NO	128	NOD 2 - 84 - 08   SP. 1838	7.80	23.000000	3687.00	3690.000000	121.000000	TRIASSIC	NO GROUP DEFINED	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	10-A	NO	WILDCAT	1987	1987	\N	\N	1	\N	\N	\N	\N	\N	\N	71	NO	ED50	59	36	37.84	N	3	1	13.26	E	59.610511	3.020350	6608189.830000	501148.450000	31	26	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1046	http://www.npd.no/FactMapSearch?NPDID_wellbore=1046	initial	\N	2004-01-01	1046	\N	\N	287848	0	21756	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
34/10-32	34/10-32	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1987-04-09	1987-07-13	GULLFAKS SØR	540-L	34/10-2 GULLFAKS SØR	NO	\N	ST 8134-227 CP 365	\N	34.000000	\N	3753.000000	136.000000	LATE TRIASSIC	\N	NORTH SEA	WEST VISION	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1987	1987	\N	\N	13	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC	\N	\N	96	NO	ED50	61	4	33.37	N	2	12	43.59	E	61.075936	2.212108	6771662.050000	457486.560000	31	34	10	\N	32	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1051	http://www.npd.no/FactMapSearch?NPDID_wellbore=1051	initial	\N	9999-12-31	1051	44606	43699	289495	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/10-1	6407/10-1	Norsk Hydro Produksjon AS	HYDRO	132	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1987-05-07	1987-06-19	\N	541-L	\N	NO	120	NH 8604 - 185  SP. 1180	4.10	23.000000	3346.00	3347.000000	343.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	11-A	NO	WILDCAT	1987	1987	\N	\N	12	\N	\N	\N	\N	\N	\N	44	NO	ED50	64	13	40.66	N	7	11	29.81	E	64.227961	7.191614	7123840.080000	412273.830000	32	6407	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1054	http://www.npd.no/FactMapSearch?NPDID_wellbore=1054	initial	\N	2004-03-02	1054	\N	\N	289333	0	21868	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/11-4	6507/11-4	Saga Petroleum ASA	SAGA	062	WILDCAT	P&A	DRY	EXPLORATION	1987-05-16	1987-06-22	\N	547-L	\N	NO	106	713  469   SP. 415	4.70	26.000000	3043.00	3045.000000	288.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	TREASURE SAGA	SEMISUB STEEL	5	NO	WILDCAT	1987	1987	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	65	8	10.28	N	7	26	3.45	E	65.136189	7.434292	7224724.360000	426544.700000	32	6507	11	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1055	http://www.npd.no/FactMapSearch?NPDID_wellbore=1055	initial	\N	2008-12-18	1055	\N	\N	296326	0	21292	SAGA	2012-07-25	2012-07-25	2013-05-08
6507/7-7	6507/7-7	Conoco Norway Inc.	CONOCO	095	APPRAISAL	JUNKED	DRY	EXPLORATION	1987-05-11	1987-06-07	HEIDRUN	546-L	6507/7-2 HEIDRUN	NO	0	CN 8502 - 482   SP. 570	4.80	25.000000	1027.00	1035.000000	335.000000	PLIOCENE	NAUST FM	NORWEGIAN SEA	TREASURE HUNTER	SEMISUB STEEL	8	NO	APPRAISAL	1987	1987	\N	\N	1	\N	\N	\N	\N	\N	\N	28	NO	ED50	65	17	52.25	N	7	18	50.65	E	65.297847	7.314069	7242882.380000	421386.830000	32	6507	7	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1056	http://www.npd.no/FactMapSearch?NPDID_wellbore=1056	initial	\N	2006-12-15	1056	44930	43771	289360	0	21564	CONOCO	2013-05-01	2013-05-01	2013-05-08
6407/9-7	6407/9-7	A/S Norske Shell	SHELL	093	WILDCAT	P&A	DRY	EXPLORATION	1988-04-26	1988-05-25	\N	577-L	\N	NO	74	ST  8607 - 409 &  SP.  119.1	2.00	23.000000	2561.00	2561.000000	241.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	TREASURE SCOUT	SEMISUB STEEL	8	NO	WILDCAT	1988	1988	\N	\N	1	\N	\N	\N	\N	\N	\N	30	NO	ED50	64	29	48.05	N	7	51	44.90	E	64.496681	7.862472	7153029.890000	445350.250000	32	6407	9	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1057	http://www.npd.no/FactMapSearch?NPDID_wellbore=1057	initial	\N	2004-03-02	1057	\N	\N	287848	0	21548	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/7-20	2/7-20	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	SUSP.REENTERED LATER	OIL	EXPLORATION	1987-10-15	1988-06-25	EMBLA	566-L	2/7-20 EMBLA	YES	167	NS 210  SP. 720	5.20	25.000000	4508.00	4509.000000	70.800000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	DYVI STENA	SEMISUB STEEL	1-A	NO	WILDCAT	1987	1988	\N	\N	5	NO GROUP DEFINED	DEVONIAN	\N	\N	\N	\N	255	NO	ED50	56	20	0.10	N	3	14	54.70	E	56.333361	3.248528	6243349.040000	515367.190000	31	2	7	\N	20	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1062	http://www.npd.no/FactMapSearch?NPDID_wellbore=1062	initial	\N	2012-10-10	1062	44132	43534	290980	0	20900	PHILLIPS	2012-10-16	2012-10-16	2013-05-08
6607/5-1	6607/5-1	Esso Exploration and Production Norway A/S	ESSO	126	WILDCAT	P&A	DRY	EXPLORATION	1987-06-09	1987-09-11	\N	549-L	\N	NO	112	AE 86 - 114   SP. 2539	20.00	27.000000	3805.00	3817.000000	368.000000	LATE CRETACEOUS	LANGE FM	NORWEGIAN SEA	VINNI	SEMISUB STEEL	10-B	NO	WILDCAT	1987	1987	\N	\N	1	\N	\N	\N	\N	\N	\N	95	NO	ED50	66	38	9.67	N	7	32	21.38	E	66.636019	7.539272	7391750.710000	435359.290000	32	6607	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1064	http://www.npd.no/FactMapSearch?NPDID_wellbore=1064	initial	\N	2002-05-29	1064	\N	\N	289414	0	21820	ESSO	2012-07-25	2012-07-25	2013-05-08
7124/3-1	7124/3-1	Saga Petroleum ASA	SAGA	135	WILDCAT	P&A	OIL/GAS	EXPLORATION	1987-05-29	1987-10-20	\N	548-L	7124/3-1	YES	151	GFW2-37- SP.1162- GFW2-15 SP.858	4.70	23.000000	4727.00	4730.000000	273.000000	LATE CARBONIFEROUS	ØRN FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	11-A	NO	WILDCAT	1987	1987	\N	\N	13	TUBÅEN FM	EARLY JURASSIC	\N	\N	\N	\N	144	NO	ED50	71	45	36.03	N	24	46	49.99	E	71.760008	24.780553	7963806.280000	422476.340000	35	7124	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1066	http://www.npd.no/FactMapSearch?NPDID_wellbore=1066	initial	\N	2005-01-11	1066	45074	\N	294382	0	21892	SAGA	2012-07-25	2012-07-25	2013-05-08
6506/12-8	6506/12-8	Den norske stats oljeselskap a.s	STATOIL	094	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1988-06-04	1988-08-30	ÅSGARD	579-L	6506/12-3 SMØRBUKK SØR	NO	149	ST 8701 - 529  SP 858	2.30	29.000000	4334.00	4335.000000	296.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	WEST DELTA	SEMISUB STEEL	8	NO	APPRAISAL	1988	1988	\N	\N	13	FANGST GP	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	88	NO	ED50	65	0	59.32	N	6	56	58.75	E	65.016478	6.949653	7212038.590000	403380.370000	32	6506	12	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1068	http://www.npd.no/FactMapSearch?NPDID_wellbore=1068	initial	\N	2007-06-28	1068	45846	43765	287821	0	21556	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-12	33/9-12	Den norske stats oljeselskap a.s	STATOIL	037	APPRAISAL	P&A	OIL	EXPLORATION	1987-06-19	1987-08-03	STATFJORD ØST	551-L	33/9-7 STATFJORD ØST	NO	\N	E86 - 171  SP. 1381	\N	22.000000	\N	2959.000000	148.000000	LATE TRIASSIC	\N	NORTH SEA	ROSS ISLE	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1987	1987	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	46	NO	ED50	61	19	12.04	N	1	59	36.42	E	61.320011	1.993450	6799009.690000	446107.220000	31	33	9	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1069	http://www.npd.no/FactMapSearch?NPDID_wellbore=1069	initial	\N	9999-12-31	1069	44582	43672	296245	0	21084	STATOIL	2012-07-25	2012-07-25	2013-05-08
7321/8-1	7321/8-1	Norsk Hydro Produksjon AS	HYDRO	141	WILDCAT	P&A	SHOWS	EXPLORATION	1987-06-23	1987-09-03	\N	552-L	\N	NO	108	NH 8506-425 SP. 988XSBB 86 2076 SP. 723	10.70	23.000000	3470.00	3482.000000	468.000000	LATE PERMIAN	RØYE FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	11-B	NO	WILDCAT	1987	1987	\N	\N	12	\N	\N	\N	\N	\N	\N	73	NO	ED50	73	20	11.99	N	21	24	57.27	E	73.336664	21.415908	8146601.960000	321501.020000	35	7321	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1070	http://www.npd.no/FactMapSearch?NPDID_wellbore=1070	initial	\N	2005-01-06	1070	\N	\N	289333	0	21940	HYDRO PRODUKSJON	2012-07-25	2012-09-27	2013-05-08
6507/7-8	6507/7-8	Conoco Norway Inc.	CONOCO	095	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1987-06-09	1987-08-02	HEIDRUN	550-L	6507/7-2 HEIDRUN	NO	96	CN 8502 - 482  SP. 570	1.40	25.000000	2855.00	2855.000000	332.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TREASURE HUNTER	SEMISUB STEEL	8	NO	APPRAISAL	1987	1987	\N	\N	13	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	\N	\N	73	NO	ED50	65	17	52.68	N	7	18	49.87	E	65.297967	7.313853	7242895.960000	421377.090000	32	6507	7	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1071	http://www.npd.no/FactMapSearch?NPDID_wellbore=1071	initial	\N	2008-12-18	1071	44930	43771	289360	0	21564	CONOCO	2012-07-25	2012-07-25	2013-05-08
6507/8-2	6507/8-2	Den norske stats oljeselskap a.s	STATOIL	124	WILDCAT	P&A	DRY	EXPLORATION	1987-08-15	1987-09-09	\N	557-L	\N	NO	76	CN 8502 - 608   SP. 505	1.90	29.000000	2690.00	2690.000000	346.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	10-B	NO	WILDCAT	1987	1987	\N	\N	1	\N	\N	\N	\N	\N	\N	26	NO	ED50	65	20	18.11	N	7	26	15.04	E	65.338364	7.437511	7247248.940000	427253.720000	32	6507	8	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1076	http://www.npd.no/FactMapSearch?NPDID_wellbore=1076	initial	\N	2004-03-08	1076	\N	\N	287821	0	21804	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-9	6507/7-9	Conoco Norway Inc.	CONOCO	095	APPRAISAL	P&A	DRY	EXPLORATION	1987-08-04	1987-08-08	HEIDRUN	555-L	6507/7-2 HEIDRUN	NO	0	CO  87 229   SP 35	2.10	25.000000	850.00	850.000000	345.000000	PLIOCENE	NAUST FM	NORWEGIAN SEA	TREASURE HUNTER	SEMISUB STEEL	8	NO	APPRAISAL	1987	1987	\N	\N	1	\N	\N	\N	\N	\N	\N	5	NO	ED50	65	19	31.55	N	7	19	3.95	E	65.325431	7.317764	7245951.290000	421641.080000	32	6507	7	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1078	http://www.npd.no/FactMapSearch?NPDID_wellbore=1078	initial	\N	2006-12-15	1078	44930	43771	289360	0	21564	CONOCO	2013-01-22	2013-01-22	2013-05-08
34/10-32 R	34/10-32	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1987-07-15	1987-08-10	GULLFAKS SØR	540-L3	34/10-2 GULLFAKS SØR	NO	\N	ST 8134 - 227   CP. 365	\N	23.000000	\N	3742.000000	136.000000	LATE TRIASSIC	\N	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1987	1987	\N	PLUGGING	13	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC	\N	\N	27	YES	ED50	61	4	33.37	N	2	12	43.59	E	61.075936	2.212108	6771662.050000	457486.560000	31	34	10	\N	32	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1128	http://www.npd.no/FactMapSearch?NPDID_wellbore=1128	re-entry	34/10-32	9999-12-31	1128	44606	43699	287983	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/5-1 A	25/5-1	Elf Petroleum Norge AS	ELF	102	APPRAISAL	P&A	OIL	EXPLORATION	1987-08-01	1987-09-16	FRØY	554-L	25/5-1 FRØY	NO	114	EL 8503 - 417  SP 600 (578 TOP SLEIPNER)	49.00	25.000000	3178.00	3432.000000	118.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	NORTRYM	SEMISUB STEEL	9	NO	APPRAISAL	1987	1987	\N	\N	5	HUGIN FM	MIDDLE JURASSIC	SLEIPNER FM	MIDDLE JURASSIC	\N	\N	47	NO	ED50	59	43	47.19	N	2	34	13.46	E	59.729775	2.570406	6621549.920000	475841.980000	31	25	5	\N	1	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1131	http://www.npd.no/FactMapSearch?NPDID_wellbore=1131	sidetrack	25/5-1	2003-12-17	1131	44264	43597	288010	0	21620	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
6201/11-1	6201/11-1	Den norske stats oljeselskap a.s	STATOIL	130	WILDCAT	P&A	OIL	EXPLORATION	1987-08-13	1987-11-06	\N	556-L	6201/11-1	YES	0	MS 85 - 407   SP. 812	7.60	23.000000	3846.00	3850.000000	381.000000	EARLY TRIASSIC	TEIST FM (INFORMAL)	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	11-A	NO	WILDCAT	1987	1987	\N	\N	5	LUNDE FM	LATE TRIASSIC	\N	\N	\N	\N	86	NO	ED50	62	1	52.73	N	1	30	50.37	E	62.031314	1.513992	6878724.500000	422247.770000	31	6201	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1134	http://www.npd.no/FactMapSearch?NPDID_wellbore=1134	initial	\N	2004-05-18	1134	44810	\N	287983	0	21852	STATOIL	2012-07-25	2012-07-25	2013-05-08
9/2-2	9/2-2	Den norske stats oljeselskap a.s	STATOIL	114	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1987-08-08	1987-09-21	\N	558-L	\N	NO	104	ST 8626 - 418   SP. 173	11.10	22.000000	3548.00	3577.000000	99.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	10-A	NO	WILDCAT	1987	1987	\N	\N	12	\N	\N	\N	\N	\N	\N	45	NO	ED50	57	52	44.35	N	4	24	0.69	E	57.878986	4.400192	6416242.450000	583043.780000	31	9	2	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1135	http://www.npd.no/FactMapSearch?NPDID_wellbore=1135	initial	\N	2005-04-25	1135	\N	\N	296245	0	21716	STATOIL	2012-07-25	2012-07-25	2013-05-08
6406/8-1	6406/8-1	Elf Petroleum Norge AS	ELF	131	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1987-09-15	1988-04-11	\N	560-L	\N	NO	172	HB - 12 - 84   SP. 130	6.30	27.000000	4900.00	4910.000000	348.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	VINNI	SEMISUB STEEL	11-A	NO	WILDCAT	1987	1988	\N	\N	12	\N	\N	\N	\N	\N	\N	210	NO	ED50	64	21	55.01	N	6	26	48.16	E	64.365281	6.446711	7140372.600000	376765.250000	32	6406	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1136	http://www.npd.no/FactMapSearch?NPDID_wellbore=1136	initial	\N	2007-06-28	1136	\N	\N	289414	0	21860	ELF NORGE	2013-01-22	2013-01-22	2013-05-08
7219/9-1	7219/9-1	Norsk Hydro Produksjon AS	HYDRO	136	WILDCAT	P&A	SHOWS	EXPLORATION	1987-11-17	1988-02-25	\N	568-L	\N	NO	145	MN 85 105  SP. 1125	8.20	23.000000	4286.00	4300.000000	356.000000	LATE TRIASSIC	SNADD FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	11-A	NO	WILDCAT	1987	1988	\N	\N	12	\N	\N	\N	\N	\N	\N	101	NO	ED50	72	24	0.78	N	19	57	11.68	E	72.400217	19.953244	8040679.940000	667003.560000	33	7219	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1138	http://www.npd.no/FactMapSearch?NPDID_wellbore=1138	initial	\N	2004-12-03	1138	\N	\N	289333	0	21900	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7122/6-1	7122/6-1	Total Norge AS	TOTAL	138	WILDCAT	P&A	GAS	EXPLORATION	1987-09-06	1987-11-11	\N	559-L	7122/6-1	YES	89	FWGS 84-314 SP.1658/TO 8514-04 SP.293.2	4.80	23.000000	2707.00	2707.000000	401.000000	MIDDLE TRIASSIC	SNADD FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	11-B	NO	WILDCAT	1987	1987	\N	\N	9	STØ FM	EARLY JURASSIC	SNADD FM	LATE TRIASSIC	\N	\N	67	NO	ED50	71	38	19.32	N	22	48	42.80	E	71.638700	22.811889	7949804.840000	563698.430000	34	7122	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1140	http://www.npd.no/FactMapSearch?NPDID_wellbore=1140	initial	\N	2004-05-18	1140	45068	\N	289333	0	21916	TOTAL	2012-07-25	2012-07-25	2013-05-08
6406/3-4	6406/3-4	Den norske stats oljeselskap a.s	STATOIL	091	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1987-09-25	1987-12-29	\N	563-L	6406/3-2 TRESTAKK	NO	0	ST 8710 - 201  SP. 870	6.00	29.000000	4410.00	4414.000000	295.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	8	NO	APPRAISAL	1987	1987	\N	\N	12	\N	\N	\N	\N	\N	\N	96	NO	ED50	64	53	0.11	N	6	50	48.55	E	64.883364	6.846819	7197370.600000	398030.830000	32	6406	3	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1173	http://www.npd.no/FactMapSearch?NPDID_wellbore=1173	initial	\N	2004-05-18	1173	44846	\N	287821	0	21532	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/5-1	6407/5-1	Mobil Exploration Norway INC	MOBIL	121	WILDCAT	P&A	SHOWS	EXPLORATION	1987-12-11	1988-03-04	\N	562-L	\N	NO	155	MG 304   SP. 300	7.10	23.000000	4303.00	4306.000000	221.000000	MIDDLE JURASSIC	GARN FM	NORWEGIAN SEA	TREASURE SCOUT	SEMISUB STEEL	10-B	NO	WILDCAT	1987	1988	\N	\N	12	\N	\N	\N	\N	\N	\N	85	NO	ED50	64	36	22.40	N	7	28	26.54	E	64.606222	7.474039	7165626.690000	426984.940000	32	6407	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1174	http://www.npd.no/FactMapSearch?NPDID_wellbore=1174	initial	\N	2004-05-18	1174	\N	\N	287848	0	21780	MOBIL EXPLORATION NORWAY INC	2013-01-22	2013-01-22	2013-05-08
34/7-11	34/7-11	Saga Petroleum ASA	SAGA	089	WILDCAT	JUNKED	DRY	EXPLORATION	1987-10-02	1987-10-11	\N	564-L	\N	NO	0	SG   8431   ROW  155   COLUMN  534	1.00	26.000000	861.00	861.000000	190.000000	MIOCENE	UTSIRA FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1987	1987	\N	\N	1	\N	\N	\N	\N	\N	\N	10	NO	ED50	61	16	17.20	N	2	6	47.10	E	61.271444	2.113083	6793507.130000	452438.890000	31	34	7	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1176	http://www.npd.no/FactMapSearch?NPDID_wellbore=1176	initial	\N	2008-02-28	1176	\N	\N	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
7226/11-1	7226/11-1	Den norske stats oljeselskap a.s	STATOIL	139	WILDCAT	P&A	GAS	EXPLORATION	1987-10-22	1988-04-11	\N	561-L	7226/11-1	YES	143	D-14-84A SP. 1349/N-1-86 SP. 5667	5.80	23.000000	0.00	5200.000000	237.500000	PRE-DEVONIAN	BASEMENT	BARENTS SEA	ROSS RIG	SEMISUB STEEL	11-B	NO	WILDCAT	1987	1988	\N	\N	9	HAVERT FM	EARLY TRIASSIC	\N	\N	\N	\N	173	NO	ED50	72	14	18.16	N	26	28	44.78	E	72.238378	26.479106	8015817.520000	482263.450000	35	7226	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1177	http://www.npd.no/FactMapSearch?NPDID_wellbore=1177	initial	\N	2004-12-02	1177	45086	\N	294382	0	21924	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/2-10 SR	25/2-10	Elf Petroleum Norge AS	ELF	112	WILDCAT	P&A	OIL/GAS	EXPLORATION	1987-09-16	1987-09-22	\N	494-L2	25/2-10 S	NO	75	EL 8504 - 330   SP. 304	0.00	25.000000	2647.00	2971.000000	120.000000	PALEOCENE	EKOFISK FM	NORTH SEA	NORTRYM	SEMISUB STEEL	Awarded additionaly to round 9	NO	WILDCAT	1987	1987	\N	PLUGGING	13	NO FORMAL NAME	EARLY MIOCENE	FRIGG FM	EOCENE	\N	\N	7	YES	ED50	59	53	11.80	N	2	30	8.33	E	59.886611	2.502314	6639043.070000	472144.070000	31	25	2	\N	10	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1178	http://www.npd.no/FactMapSearch?NPDID_wellbore=1178	re-entry	25/2-10 S	2003-12-17	1178	2429169	\N	288010	0	21700	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-3 R	34/10-3	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	1987-10-03	1987-10-10	GULLFAKS	211-L2	34/10-1 GULLFAKS	NO	0	708/709-404 SP.405	4.00	22.000000	2798.00	2799.000000	140.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1987	1987	\N	PLUGGING	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	8	YES	ED50	61	12	49.70	N	2	11	53.65	E	61.213806	2.198236	6787027.860000	456926.290000	31	34	10	\N	3	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1186	http://www.npd.no/FactMapSearch?NPDID_wellbore=1186	re-entry	34/10-3	2012-12-05	1186	44594	43686	296245	0	21188	STATOIL	2012-12-06	2012-12-06	2013-05-08
34/7-12	34/7-12	Saga Petroleum ASA	SAGA	089	WILDCAT	P&A	OIL	EXPLORATION	1987-10-11	1987-12-17	TORDIS	567-L	34/7-12 TORDIS	YES	100	SG  8431   ROW 155   COLUMN  534	5.40	26.000000	2780.00	2784.000000	190.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1987	1987	\N	\N	5	TARBERT FM	MIDDLE JURASSIC	NESS FM	MIDDLE JURASSIC	\N	\N	68	NO	ED50	61	16	17.86	N	2	6	47.26	E	61.271628	2.113128	6793527.520000	452441.550000	31	34	7	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1187	http://www.npd.no/FactMapSearch?NPDID_wellbore=1187	initial	\N	2008-02-28	1187	44666	43725	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
2/2-4	2/2-4	Saga Petroleum ASA	SAGA	066	APPRAISAL	P&A	GAS	EXPLORATION	1988-04-16	1988-06-07	\N	574-L	2/2-1	NO	138	SG 8652 - 102  SP. 218	4.40	26.000000	4017.50	4020.000000	59.000000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	6	NO	WILDCAT	1988	1988	\N	\N	9	VADE FM	OLIGOCENE	\N	\N	\N	\N	53	NO	ED50	56	47	40.88	N	3	39	34.46	E	56.794689	3.659572	6294866.660000	540289.630000	31	2	2	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1188	http://www.npd.no/FactMapSearch?NPDID_wellbore=1188	initial	\N	2004-03-02	1188	44024	\N	296326	0	21324	SAGA	2012-07-25	2012-07-25	2013-05-08
6506/11-1	6506/11-1	Den norske stats oljeselskap a.s	STATOIL	134	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1987-12-30	1988-03-31	\N	569-L	\N	NO	143	ST 8403 - 860 SP. 622	10.00	29.000000	4672.00	4679.000000	246.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	11-A	NO	WILDCAT	1987	1988	\N	\N	12	\N	\N	\N	\N	\N	\N	93	NO	ED50	65	11	4.49	N	6	39	53.88	E	65.184581	6.664967	7231229.820000	390662.030000	32	6506	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1216	http://www.npd.no/FactMapSearch?NPDID_wellbore=1216	initial	\N	2004-03-02	1216	\N	\N	287821	0	21884	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/1-10	25/1-10	Elf Petroleum Norge AS	ELF	024	WILDCAT	P&A	DRY	EXPLORATION	1988-04-19	1988-09-14	\N	570-L	\N	NO	\N	EL 8501 X 376  SP. 380	\N	27.000000	\N	4739.000000	99.000000	MIDDLE JURASSIC	\N	NORTH SEA	VINNI	SEMISUB STEEL	2-A	NO	WILDCAT	1988	1988	\N	\N	1	\N	\N	\N	\N	\N	\N	149	NO	ED50	59	57	8.58	N	2	5	48.11	E	59.952383	2.096697	6646607.840000	449542.000000	31	25	1	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1219	http://www.npd.no/FactMapSearch?NPDID_wellbore=1219	initial	\N	9999-12-31	1219	\N	\N	289414	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-11	2/8-11	Amoco Norway Oil Company	AMOCO	006	APPRAISAL	P&A	OIL	EXPLORATION	1976-08-10	1976-10-11	VALHALL	164-L	2/8-6 VALHALL	NO	74	\N	0.00	25.000000	0.00	2655.000000	70.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	1-A	NO	APPRAISAL	1976	1976	\N	\N	5	TOR FM	LATE CRETACEOUS	HOD FM	LATE CRETACEOUS	\N	\N	63	NO	ED50	56	16	56.30	N	3	22	15.61	E	56.282306	3.371003	6237700.300000	522970.750000	31	2	8	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1224	http://www.npd.no/FactMapSearch?NPDID_wellbore=1224	initial	\N	2012-10-16	1224	44162	43548	294382	0	20804	AMOCO	2012-10-16	2012-10-16	2013-05-08
30/6-22	30/6-22	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1988-05-21	1988-07-13	OSEBERG ØST	578-L	30/6-19 BETA SADEL	NO	\N	NH 8606 - 670  KOL. 660	\N	23.000000	\N	3336.000000	179.000000	EARLY JURASSIC	\N	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	4	NO	APPRAISAL	1988	1988	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	54	NO	ED50	60	43	57.26	N	2	58	53.12	E	60.732572	2.981422	6733159.800000	498986.720000	31	30	6	\N	22	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1225	http://www.npd.no/FactMapSearch?NPDID_wellbore=1225	initial	\N	9999-12-31	1225	44432	43639	289333	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-14	33/9-14	Den norske stats oljeselskap a.s	STATOIL	037	APPRAISAL	P&A	OIL	EXPLORATION	1988-02-17	1988-04-09	STATFJORD NORD	571-L	33/9-8 STATFJORD NORD	NO	\N	E 86 - 457  SP. 716	\N	23.000000	\N	2982.000000	248.000000	EARLY JURASSIC	\N	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1988	1988	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	53	NO	ED50	61	26	0.26	N	1	54	4.48	E	61.433406	1.901244	6811719.660000	441383.290000	31	33	9	\N	14	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1226	http://www.npd.no/FactMapSearch?NPDID_wellbore=1226	initial	\N	9999-12-31	1226	44588	43679	287983	0	21084	STATOIL	2012-07-25	2012-07-25	2013-05-08
6406/3-5	6406/3-5	Den norske stats oljeselskap a.s	STATOIL	091	WILDCAT	P&A	SHOWS	EXPLORATION	1988-04-03	1988-06-01	\N	576-L	\N	NO	92	LINJE  911 - 444 &   SP  982	4.50	29.000000	4281.00	4283.000000	302.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	WEST DELTA	SEMISUB STEEL	8	NO	WILDCAT	1988	1988	\N	\N	12	\N	\N	\N	\N	\N	\N	60	NO	ED50	64	58	20.07	N	6	58	33.65	E	64.972242	6.976014	7207070.270000	404464.420000	32	6406	3	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1227	http://www.npd.no/FactMapSearch?NPDID_wellbore=1227	initial	\N	2004-05-18	1227	\N	\N	287821	0	21532	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/7-3	6407/7-3	Norsk Hydro Produksjon AS	HYDRO	107	APPRAISAL	P&A	OIL	EXPLORATION	1988-03-03	1988-05-18	NJORD	573-L	6407/7-1 S NJORD	NO	120	NH 8604 ROW 763 COL. 745	6.90	23.000000	3220.00	3222.000000	332.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	WILDCAT	1988	1988	\N	\N	5	ILE FM	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	79	NO	ED50	64	16	44.34	N	7	9	0.13	E	64.278983	7.150036	7129582.240000	410422.660000	32	6407	7	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1229	http://www.npd.no/FactMapSearch?NPDID_wellbore=1229	initial	\N	2009-03-09	1229	44876	43751	289333	0	21660	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-13	34/7-13	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1988-02-19	1988-04-13	VIGDIS	572-L	34/7-8 VIGDIS	NO	103	E 86 (3D) ROW 438 COL. 1410	21.00	26.000000	0.00	2994.000000	282.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1988	1988	\N	\N	5	ETIVE FM	MIDDLE JURASSIC	\N	\N	\N	\N	61	NO	ED50	61	24	19.23	N	2	3	12.49	E	61.405342	2.053469	6808466.370000	449458.440000	31	34	7	\N	13	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1233	http://www.npd.no/FactMapSearch?NPDID_wellbore=1233	initial	\N	2008-02-28	1233	44714	43732	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
7224/7-1	7224/7-1	Den norske stats oljeselskap a.s	STATOIL	137	WILDCAT	P&A	SHOWS	EXPLORATION	1988-04-13	1988-06-19	\N	575-L	\N	NO	119	ST 8611 - 332  SP. 2480	7.30	23.500000	3064.00	3067.000000	269.000000	EARLY TRIASSIC	HAVERT FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	11-A	NO	WILDCAT	1988	1988	\N	\N	12	\N	\N	\N	\N	\N	\N	68	NO	ED50	72	17	6.34	N	24	18	2.98	E	72.285094	24.300828	8023008.800000	408353.140000	35	7224	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1245	http://www.npd.no/FactMapSearch?NPDID_wellbore=1245	initial	\N	2004-12-02	1245	\N	\N	294382	0	21908	STATOIL	2012-07-25	2012-07-31	2013-05-08
6408/4-1	6408/4-1	Conoco Norway Inc.	CONOCO	133	WILDCAT	P&A	DRY	EXPLORATION	1988-09-18	1988-10-18	\N	586-L	\N	NO	94	ST 8621 - 417  SP 1660	2.50	27.000000	2725.00	2725.000000	209.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	VINNI	SEMISUB STEEL	11-A	NO	WILDCAT	1988	1988	\N	\N	1	\N	\N	\N	\N	\N	\N	31	NO	ED50	64	40	0.22	N	8	15	27.05	E	64.666728	8.257514	7171699.060000	464550.030000	32	6408	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1246	http://www.npd.no/FactMapSearch?NPDID_wellbore=1246	initial	\N	2005-06-30	1246	\N	\N	289414	0	21876	CONOCO	2012-07-25	2012-07-25	2013-05-08
15/5-2 R	15/5-2	Norsk Hydro Produksjon AS	HYDRO	048	WILDCAT	P&A	GAS	EXPLORATION	1979-11-02	1979-12-07	\N	200-L3	15/5-2 EIRIN	NO	\N	\N	\N	25.000000	\N	4322.000000	120.000000	TRIASSIC	\N	NORTH SEA	TREASURE SEEKER	SEMISUB STEEL	3	NO	WILDCAT	1979	1979	\N	PLUGGING	9	\N	MIDDLE JURASSIC	\N	TRIASSIC	\N	\N	36	YES	ED50	58	38	36.74	N	1	36	16.48	E	58.643539	1.604578	6501352.420000	419002.370000	31	15	5	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1250	http://www.npd.no/FactMapSearch?NPDID_wellbore=1250	re-entry	15/5-2	9999-12-31	1250	43898	\N	287956	0	21172	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-14	34/7-14	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1989-09-28	1989-12-02	TORDIS	620-L	34/7-12 TORDIS	NO	102	SG 8431  ROW 183  COL. 528	5.10	25.000000	2652.00	2653.000000	148.000000	EARLY JURASSIC	BURTON FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	8	NO	APPRAISAL	1989	1989	\N	\N	5	TARBERT FM	MIDDLE JURASSIC	NESS FM	MIDDLE JURASSIC	\N	\N	66	NO	ED50	61	15	32.24	N	2	6	58.05	E	61.258956	2.116125	6792113.820000	452583.170000	31	34	7	\N	14	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1278	http://www.npd.no/FactMapSearch?NPDID_wellbore=1278	initial	\N	2003-05-28	1278	44666	43725	297028	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
25/1-7 R2	25/1-7	Elf Petroleum Norge AS	ELF	024	APPRAISAL	SUSP.REENTERED LATER	GAS	EXPLORATION	1988-05-07	1988-05-10	FRIGG	455-L3	25/1-1 FRIGG	NO	0	73/0205 SP.660 AND 73/F11 SP.57.5	3.70	22.000000	2715.00	2716.000000	101.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	APPRAISAL	1988	1988	\N	LOGGING	9	FRIGG FM	EOCENE	\N	\N	\N	\N	4	YES	ED50	59	55	8.28	N	2	4	52.33	E	59.918967	2.081203	6642898.340000	448624.870000	31	25	1	\N	7	R2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1279	http://www.npd.no/FactMapSearch?NPDID_wellbore=1279	re-entry	25/1-7 R	2010-01-10	1279	44204	43555	287902	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7321/7-1	7321/7-1	Mobil Exploration Norway INC	MOBIL	140	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1988-06-26	1988-10-22	\N	582-L	\N	NO	121	D-16-84   SP 3410	7.50	23.500000	3545.00	3550.000000	475.000000	MIDDLE TRIASSIC	SNADD FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	11-B	NO	WILDCAT	1988	1988	\N	\N	12	\N	\N	\N	\N	\N	\N	119	NO	ED50	73	25	55.57	N	21	4	31.75	E	73.432103	21.075486	8158249.220000	311704.770000	35	7321	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1284	http://www.npd.no/FactMapSearch?NPDID_wellbore=1284	initial	\N	2005-01-05	1284	\N	\N	294382	0	21932	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
25/1-8 SR2	25/1-8	Elf Petroleum Norge AS	ELF	024	APPRAISAL	SUSP.REENTERED LATER	GAS	EXPLORATION	1988-05-12	1988-05-15	FRIGG	466-L3	25/1-1 FRIGG	NO	0	L 73-59-54 SP.1105	0.00	22.000000	2569.00	2647.000000	102.000000	PALEOCENE	LISTA FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	APPRAISAL	1988	1988	\N	LOGGING	9	FRIGG FM	EOCENE	\N	\N	\N	\N	27	YES	ED50	59	54	3.28	N	2	6	9.79	E	59.900911	2.102719	6640871.090000	449800.690000	31	25	1	\N	8	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1286	http://www.npd.no/FactMapSearch?NPDID_wellbore=1286	re-entry	25/1-8 SR	2011-09-30	1286	44204	43555	287902	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7/12-7	7/12-7	BP Norway Limited  U.A.	BP	019	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1988-06-20	1988-07-26	ULA	583-L	7/12-2 ULA	NO	\N	LINJE 201  SP  415	\N	25.000000	\N	3852.000000	70.000000	LATE JURASSIC	\N	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	1-A	NO	APPRAISAL	1988	1988	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	37	NO	ED50	57	6	31.92	N	2	52	47.27	E	57.108867	2.879797	6329652.990000	492718.910000	31	7	12	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1287	http://www.npd.no/FactMapSearch?NPDID_wellbore=1287	initial	\N	9999-12-31	1287	44972	43800	297028	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
35/8-3	35/8-3	Norwegian Gulf Exploration Company AS	GULF	058	WILDCAT	P&A	GAS	EXPLORATION	1988-07-06	1988-10-15	\N	580-L	35/8-3	YES	141	LINJE 79 - 2 - 30   SP 590	12.90	23.000000	3944.00	3944.000000	373.000000	MIDDLE JURASSIC	RANNOCH FM	NORTH SEA	TREASURE SCOUT	SEMISUB STEEL	4	NO	WILDCAT	1988	1988	\N	\N	9	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	102	NO	ED50	61	21	5.35	N	3	32	2.63	E	61.351486	3.534064	6802217.370000	528566.790000	31	35	8	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1288	http://www.npd.no/FactMapSearch?NPDID_wellbore=1288	initial	\N	2010-08-01	1288	1333027	\N	287848	0	21260	GULF EXPLORATION	2012-07-25	2012-07-25	2013-05-08
25/2-12	25/2-12	Elf Petroleum Norge AS	ELF	026	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1988-07-17	1988-11-12	LILLE-FRIGG	584-L	25/2-4 LILLE-FRIGG	NO	150	EL 8706 - 116   SP 430	2.80	22.000000	4102.00	4102.000000	115.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	APPRAISAL	1988	1988	\N	\N	17	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	119	NO	ED50	59	57	48.34	N	2	23	40.78	E	59.963428	2.394661	6647648.170000	466196.960000	31	25	2	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1290	http://www.npd.no/FactMapSearch?NPDID_wellbore=1290	initial	\N	2003-12-17	1290	44240	43583	287902	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
9/2-3	9/2-3	Den norske stats oljeselskap a.s	STATOIL	114	WILDCAT	P&A	OIL	EXPLORATION	1989-12-04	1990-02-08	YME	624-L	9/2-3	YES	106	ST 8626 - 410   SP 210	1.60	25.000000	3421.00	3424.000000	79.000000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	10-A	NO	WILDCAT	1989	1990	\N	\N	5	SANDNES FM	LATE JURASSIC	\N	\N	\N	\N	67	NO	ED50	57	45	20.20	N	4	22	13.50	E	57.755611	4.370417	6402472.090000	581556.090000	31	9	2	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1294	http://www.npd.no/FactMapSearch?NPDID_wellbore=1294	initial	\N	2005-04-25	1294	45104	43807	297028	0	21716	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-33	34/10-33	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1988-09-25	1988-12-15	GULLFAKS SØR	591-L	34/10-2 GULLFAKS SØR	NO	135	ST 8134 - 156  CELLEPKT. 296	20.00	29.000000	3850.00	3870.000000	134.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST DELTA	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1988	1988	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	82	NO	ED50	61	7	34.44	N	2	12	57.10	E	61.126233	2.215861	6777262.000000	457756.180000	31	34	10	\N	33	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1302	http://www.npd.no/FactMapSearch?NPDID_wellbore=1302	initial	\N	2012-01-01	1302	44606	43699	287821	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-7	30/9-7	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	OIL	EXPLORATION	1988-11-02	1988-12-23	OSEBERG SØR	592-L	30/9-7 OSEBERG SØR	YES	\N	NH 8502 RAD 395  KOLONNE 728	\N	23.000000	\N	3565.000000	98.000000	EARLY JURASSIC	\N	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	WILDCAT	1988	1988	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	52	NO	ED50	60	25	4.76	N	2	45	7.00	E	60.417989	2.751944	6698146.380000	486338.280000	31	30	9	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1306	http://www.npd.no/FactMapSearch?NPDID_wellbore=1306	initial	\N	9999-12-31	1306	44516	43645	289333	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/5-8	2/5-8	Amoco Norway Oil Company	AMOCO	006	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1988-09-18	1988-11-05	\N	585-L	2/5-3 SØRØST TOR	NO	132	ANO 79 - 56    SP 133	4.30	25.000000	3364.00	3367.000000	66.500000	LATE CRETACEOUS	HOD FM	NORTH SEA	DYVI STENA	SEMISUB STEEL	1-A	NO	APPRAISAL	1988	1988	\N	\N	12	\N	\N	\N	\N	\N	\N	49	NO	ED50	56	35	15.77	N	3	26	22.51	E	56.587714	3.439586	6271719.800000	526999.750000	31	2	5	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1308	http://www.npd.no/FactMapSearch?NPDID_wellbore=1308	initial	\N	2007-10-17	1308	44090	\N	290980	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
6507/8-3	6507/8-3	Den norske stats oljeselskap a.s	STATOIL	124	WILDCAT	P&A	GAS SHOWS	EXPLORATION	1988-09-03	1988-09-20	\N	587-L	\N	NO	62	ST 8102 - 806   SP 770	2.90	29.000000	2075.00	2075.000000	309.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	WEST DELTA	SEMISUB STEEL	10-B	NO	WILDCAT	1988	1988	\N	\N	12	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	18	NO	ED50	65	27	34.61	N	7	38	29.29	E	65.459614	7.641469	7260540.880000	437039.710000	32	6507	8	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1309	http://www.npd.no/FactMapSearch?NPDID_wellbore=1309	initial	\N	2004-03-08	1309	\N	\N	287821	0	21804	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-8	7/12-8	BP Norway Limited  U.A.	BP	019	APPRAISAL	SUSPENDED	OIL	EXPLORATION	1988-10-03	1988-12-27	ULA	590-L	7/12-2 ULA	NO	\N	LINE 143   SP 470	\N	25.000000	\N	3900.000000	70.000000	LATE TRIASSIC	\N	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	1-A	NO	APPRAISAL	1988	1988	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	86	NO	ED50	57	5	1.24	N	2	53	52.61	E	57.083678	2.897947	6326847.140000	493814.130000	31	7	12	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1311	http://www.npd.no/FactMapSearch?NPDID_wellbore=1311	initial	\N	9999-12-31	1311	44972	43800	297028	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/4-13	2/4-13	Saga Petroleum ASA	SAGA	146	WILDCAT	JUNKED	GAS SHOWS	EXPLORATION	1988-09-03	1988-10-06	\N	588-L	\N	NO	65	LINJE  NS - 5 - 235    SP 585	2.90	26.000000	2517.00	2518.000000	69.000000	OLIGOCENE	HORDALAND GP	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	12	NO	WILDCAT	1988	1988	\N	\N	12	\N	\N	\N	\N	\N	\N	33	NO	ED50	56	41	3.98	N	3	8	44.53	E	56.684439	3.145703	6282409.610000	508926.350000	31	2	4	\N	13	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1313	http://www.npd.no/FactMapSearch?NPDID_wellbore=1313	initial	\N	2005-12-13	1313	\N	\N	296326	0	21980	SAGA	2012-07-25	2012-07-25	2013-05-08
34/8-3 A	34/8-3	Norsk Hydro Produksjon AS	HYDRO	120	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1988-09-14	1988-10-31	VISUND	589-L	34/8-1 VISUND	NO	116	NH 8404 - 321   SP  245	25.40	23.000000	3091.20	3230.000000	382.000000	EARLY JURASSIC	COOK FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	10-A	NO	APPRAISAL	1988	1988	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	48	NO	ED50	61	24	28.04	N	2	32	45.06	E	61.407789	2.545850	6808456.800000	475751.350000	31	34	8	\N	3	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1338	http://www.npd.no/FactMapSearch?NPDID_wellbore=1338	sidetrack	34/8-3	2012-12-21	1338	44720	43745	289333	0	21772	HYDRO PRODUKSJON	2013-02-02	2013-02-02	2013-05-08
7321/9-1	7321/9-1	Norsk Hydro Produksjon AS	HYDRO	141	WILDCAT	P&A	SHOWS	EXPLORATION	1988-10-25	1988-11-28	\N	594-L	\N	NO	44	SBB - 86 - 1198  SP  265	3.80	23.500000	1799.00	1800.000000	459.000000	LATE TRIASSIC	SNADD FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	11-B	NO	WILDCAT	1988	1988	\N	\N	12	\N	\N	\N	\N	\N	\N	35	NO	ED50	73	16	7.34	N	21	41	0.68	E	73.268706	21.683522	8138267.660000	329361.050000	35	7321	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1339	http://www.npd.no/FactMapSearch?NPDID_wellbore=1339	initial	\N	2005-01-06	1339	\N	\N	294382	0	21940	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/8-4	6507/8-4	Den norske stats oljeselskap a.s	STATOIL	124	WILDCAT	P&A	OIL/GAS	EXPLORATION	1990-06-14	1990-08-13	HEIDRUN	631-L	6507/8-4 HEIDRUN NORD	YES	86	CN 8502-211 SP.568	5.30	23.000000	2559.00	2560.000000	354.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	10-B	NO	WILDCAT	1990	1990	\N	\N	13	ÅRE FM	EARLY JURASSIC	\N	\N	\N	\N	61	NO	ED50	65	23	17.18	N	7	23	59.65	E	65.388106	7.399903	7252835.580000	425643.790000	32	6507	8	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1340	http://www.npd.no/FactMapSearch?NPDID_wellbore=1340	initial	\N	2007-09-17	1340	44936	43771	287983	0	21804	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-6	6506/12-6	Den norske stats oljeselskap a.s	STATOIL	094	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1986-03-31	1986-08-02	ÅSGARD	509-L	6506/12-1 SMØRBUKK	NO	167	ST 8403 - 860   SP. 390	5.30	29.000000	4738.00	4741.000000	272.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	DYVI DELTA	SEMISUB STEEL	8	NO	APPRAISAL	1986	1986	\N	\N	17	ILE FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	125	NO	ED50	65	9	57.60	N	6	46	43.19	E	65.166000	6.778664	7228967.740000	395911.260000	32	6506	12	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1342	http://www.npd.no/FactMapSearch?NPDID_wellbore=1342	initial	\N	2005-12-13	1342	44900	43765	287821	0	21556	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-14	2/4-14	Saga Petroleum ASA	SAGA	146	WILDCAT	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1988-10-06	1989-01-31	\N	593-L	\N	YES	150	LINJE NS-5-235 & SP585	2.20	26.000000	4733.00	4734.000000	68.000000	EARLY CRETACEOUS	MANDAL FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	12	NO	WILDCAT	1988	1989	\N	\N	13	MANDAL FM	EARLY CRETACEOUS	\N	\N	\N	\N	118	NO	ED50	56	41	5.26	N	3	8	43.08	E	56.684794	3.145300	6282449.130000	508901.590000	31	2	4	\N	14	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1343	http://www.npd.no/FactMapSearch?NPDID_wellbore=1343	initial	\N	2005-12-13	1343	\N	\N	296326	0	21980	SAGA	2012-07-25	2012-07-25	2013-05-08
25/5-2	25/5-2	Elf Petroleum Norge AS	ELF	102	APPRAISAL	P&A	OIL	EXPLORATION	1989-04-18	1989-07-04	FRØY	606-L	25/5-1 FRØY	NO	109	EL 8801-3D rad 204 & rekke 1008	5.00	22.000000	3302.00	3304.000000	117.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	9	NO	WILDCAT	1989	1989	\N	\N	5	HUGIN FM	MIDDLE JURASSIC	SLEIPNER FM	MIDDLE JURASSIC	\N	\N	78	NO	ED50	59	42	13.28	N	2	32	8.58	E	59.703689	2.535717	6618657.960000	473870.960000	31	25	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1346	http://www.npd.no/FactMapSearch?NPDID_wellbore=1346	initial	\N	2003-12-17	1346	44264	43597	287902	0	21620	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7125/1-1	7125/1-1	Saga Petroleum ASA	SAGA	135	WILDCAT	P&A	OIL/GAS	EXPLORATION	1988-11-30	1988-12-30	\N	597-L	7125/1-1	YES	64	GWF - 2 - 24   SP  988	2.10	23.500000	2199.00	2200.000000	252.200000	MIDDLE TRIASSIC	KOBBE FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	11-A	NO	WILDCAT	1988	1988	\N	\N	13	STØ FM	EARLY JURASSIC	KOBBE FM	MIDDLE TRIASSIC	\N	\N	31	NO	ED50	71	53	24.26	N	25	11	15.46	E	71.890072	25.187628	7977833.230000	437126.920000	35	7125	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1350	http://www.npd.no/FactMapSearch?NPDID_wellbore=1350	initial	\N	2005-01-11	1350	4055254	\N	294382	0	21892	SAGA	2012-07-25	2012-07-25	2013-05-08
2/8-12 S	2/8-12	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	SHOWS	EXPLORATION	1988-11-07	1989-04-27	\N	595-L	\N	NO	179	ANO 8701-38 & SP 143	0.00	25.000000	5143.00	5300.000000	68.700000	TRIASSIC	SKAGERRAK FM	NORTH SEA	DYVI STENA	SEMISUB STEEL	1-A	NO	WILDCAT	1988	1989	\N	\N	12	\N	\N	\N	\N	\N	\N	172	NO	ED50	56	23	48.80	N	3	26	15.40	E	56.396889	3.437611	6250478.400000	527013.720000	31	2	8	\N	12	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1351	http://www.npd.no/FactMapSearch?NPDID_wellbore=1351	initial	\N	2004-03-02	1351	\N	\N	290980	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
25/2-12 A	25/2-12	Elf Petroleum Norge AS	ELF	026	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1988-11-12	1989-04-06	LILLE-FRIGG	596-L	25/2-4 LILLE-FRIGG	NO	130	EL 8706 - 116   SP 430	39.70	22.000000	3721.00	3865.000000	115.000000	MIDDLE JURASSIC	HUGIN FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	APPRAISAL	1988	1989	\N	\N	17	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	146	NO	ED50	59	57	48.34	N	2	23	40.78	E	59.963428	2.394661	6647648.170000	466196.960000	31	25	2	\N	12	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1355	http://www.npd.no/FactMapSearch?NPDID_wellbore=1355	sidetrack	25/2-12	2003-12-17	1355	44240	43583	287902	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
35/11-3 S	35/11-3	Mobil Exploration Norway INC	MOBIL	090	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1989-06-27	1989-09-09	\N	611-L	\N	NO	144	MN 88 - 815  SP. 585	9.30	25.000000	4025.00	4040.000000	358.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DYVI STENA	SEMISUB STEEL	8	NO	WILDCAT	1989	1989	\N	\N	12	\N	\N	\N	\N	\N	\N	75	NO	ED50	61	5	12.24	N	3	20	18.47	E	61.086733	3.338464	6772656.110000	518257.030000	31	35	11	\N	3	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1356	http://www.npd.no/FactMapSearch?NPDID_wellbore=1356	initial	\N	2005-06-15	1356	\N	\N	290980	0	21524	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
33/12-7	33/12-7	Den norske stats oljeselskap a.s	STATOIL	152	WILDCAT	P&A	DRY	EXPLORATION	1989-02-22	1989-04-27	\N	601-L	\N	NO	126	NOD-8-87-012& SKUDDPUNKT 170	12.30	23.000000	3696.00	3703.000000	140.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	12	NO	WILDCAT	1989	1989	\N	\N	1	\N	\N	\N	\N	\N	\N	65	NO	ED50	61	7	35.72	N	1	54	32.50	E	61.126589	1.909028	6777538.470000	441227.760000	31	33	12	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1358	http://www.npd.no/FactMapSearch?NPDID_wellbore=1358	initial	\N	2005-06-30	1358	\N	\N	287983	0	22028	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/7-4	6407/7-4	Norsk Hydro Produksjon AS	HYDRO	107	APPRAISAL	P&A	OIL	EXPLORATION	1989-01-13	1989-03-28	NJORD	600-L	6407/7-1 S NJORD	NO	122	NH 8604- row 859 & column 1055	9.70	23.000000	3204.00	3211.000000	329.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	APPRAISAL	1989	1989	\N	\N	5	ILE FM	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	75	NO	ED50	64	15	43.43	N	7	13	25.84	E	64.262064	7.223844	7127595.360000	413943.150000	32	6407	7	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1360	http://www.npd.no/FactMapSearch?NPDID_wellbore=1360	initial	\N	2009-03-09	1360	44876	43751	289333	0	21660	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-33 A	34/10-33	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1988-12-15	1989-02-03	GULLFAKS SØR	598-L	34/10-2 GULLFAKS SØR	NO	91	ST 8134 - 156 CELLEPKT 296	48.80	29.000000	3640.00	3851.000000	134.000000	MIDDLE JURASSIC	RANNOCH FM	NORTH SEA	WEST DELTA	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1988	1989	\N	\N	13	INTRA DRAUPNE FM SS	LATE JURASSIC	BRENT GP	MIDDLE JURASSIC	\N	\N	51	NO	ED50	61	7	34.44	N	2	12	57.10	E	61.126233	2.215861	6777262.000000	457756.180000	31	34	10	\N	33	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1365	http://www.npd.no/FactMapSearch?NPDID_wellbore=1365	sidetrack	34/10-33	2012-01-01	1365	44606	43699	287821	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
7120/1-2	7120/1-2	A/S Norske Shell	SHELL	108	WILDCAT	P&A	OIL	EXPLORATION	1989-01-01	1989-03-28	\N	599-L	7120/1-2	YES	77	86 - 107 / 7147 - 82 A	17.80	23.500000	2613.00	2630.000000	304.500000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	9	NO	WILDCAT	1989	1989	\N	\N	5	KNURR FM	EARLY CRETACEOUS	HEKKINGEN FM	LATE JURASSIC	\N	\N	87	NO	ED50	71	47	29.04	N	20	16	42.98	E	71.791400	20.278606	7966032.040000	474839.560000	34	7120	1	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1366	http://www.npd.no/FactMapSearch?NPDID_wellbore=1366	initial	\N	2004-05-18	1366	3000739	\N	294382	0	21668	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/7-19	2/7-19	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	SUSP.REENTERED LATER	OIL	EXPLORATION	1980-09-02	1981-02-02	\N	262-L	2/7-19	YES	154	PG 030615  SP.12	3.40	25.000000	4876.00	4876.000000	73.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	BORGSTEN DOLPHIN	SEMISUB STEEL	1-A	NO	WILDCAT	1980	1981	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	154	NO	ED50	56	20	19.10	N	3	6	12.20	E	56.338639	3.103389	6243913.560000	506391.960000	31	2	7	\N	19	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1367	http://www.npd.no/FactMapSearch?NPDID_wellbore=1367	initial	\N	2009-06-17	1367	44120	\N	288334	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-15 S	2/4-15	Saga Petroleum ASA	SAGA	146	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1989-01-31	1990-03-16	\N	602-L	\N	NO	158	BB - 87 - 043    SP.  1987	29.30	26.000000	4706.00	4962.000000	68.000000	EARLY CRETACEOUS	MANDAL FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	12	NO	WILDCAT	1989	1990	\N	\N	1	\N	\N	\N	\N	\N	\N	410	NO	ED50	56	40	27.25	N	3	8	38.79	E	56.674236	3.144108	6281273.690000	508831.060000	31	2	4	\N	15	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1371	http://www.npd.no/FactMapSearch?NPDID_wellbore=1371	initial	\N	2005-12-13	1371	\N	\N	296326	0	21980	SAGA	2012-07-25	2012-07-25	2013-05-08
35/9-1	35/9-1	Norsk Hydro Produksjon AS	HYDRO	153	WILDCAT	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1989-04-01	1989-05-07	GJØA	603-L	35/9-1 GJØA	YES	60	DGM 1-86-0473 3D CDP 1850	5.50	23.000000	2348.00	2350.000000	361.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	12	NO	WILDCAT	1989	1989	\N	\N	13	VIKING GP	LATE JURASSIC	BRENT GP	MIDDLE JURASSIC	DUNLIN GP	EARLY JURASSIC      	39	NO	ED50	61	23	7.95	N	3	59	3.72	E	61.385542	3.984367	6806290.800000	552595.040000	31	35	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1375	http://www.npd.no/FactMapSearch?NPDID_wellbore=1375	initial	\N	2006-12-15	1375	44786	4467574	289333	0	22036	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
1/2-1	1/2-1	PHILLIPS PETROLEUM COMPANY NORWAY	PHILLIPS	143	WILDCAT	P&A	OIL	EXPLORATION	1989-03-20	1989-06-04	BLANE	604-L	1/2-1 BLANE	YES	147	PW 8303A - 10   SP. 290	2.00	22.000000	0.00	3574.000000	72.000000	CAMPANIAN	TOR FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	12	NO	WILDCAT	1989	1989	\N	\N	5	FORTIES FM	PALEOCENE	\N	\N	\N	\N	77	NO	ED50	56	53	15.07	N	2	28	35.70	E	56.887519	2.476583	6305128.260000	468106.290000	31	1	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1382	http://www.npd.no/FactMapSearch?NPDID_wellbore=1382	initial	\N	2007-12-19	1382	43814	3437650	296245	0	21956	PPCO	2012-07-25	2012-07-25	2013-05-08
2/8-13	2/8-13	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	SHOWS	EXPLORATION	1989-04-29	1989-06-22	\N	607-L	\N	NO	96	ANO 8701 - 36   SP 310	5.40	25.000000	1939.00	1940.000000	68.700000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DYVI STENA	SEMISUB STEEL	1-A	NO	WILDCAT	1989	1989	\N	\N	12	\N	\N	\N	\N	\N	\N	55	NO	ED50	56	23	21.65	N	3	23	57.58	E	56.389347	3.399328	6249624.570000	524655.380000	31	2	8	\N	13	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1383	http://www.npd.no/FactMapSearch?NPDID_wellbore=1383	initial	\N	2004-02-27	1383	\N	\N	290980	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-33 C	34/10-33	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	RE-CLASS TO TEST	OIL/GAS	EXPLORATION	1989-07-10	1989-08-01	GULLFAKS SØR	614-L	34/10-2 GULLFAKS SØR	NO	120	ST 8134- 156  SP. 296	46.10	23.000000	3587.00	3752.000000	134.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1989	1989	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	23	NO	ED50	61	7	34.44	N	2	12	57.10	E	61.126233	2.215861	6777262.000000	457756.180000	31	34	10	\N	33	C	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1384	http://www.npd.no/FactMapSearch?NPDID_wellbore=1384	sidetrack	34/10-33 B	2012-01-01	1384	44606	43699	287983	1456	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-1	6608/10-1	Den norske stats oljeselskap a.s	STATOIL	128	WILDCAT	P&A	DRY	EXPLORATION	1989-04-15	1989-05-29	\N	605-L	\N	NO	110	NRGS 84 - 457  SP 1203	5.00	24.000000	3436.00	3437.000000	375.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	10-B	NO	WILDCAT	1989	1989	\N	\N	1	\N	\N	\N	\N	\N	\N	45	NO	ED50	66	6	56.92	N	8	10	0.72	E	66.115811	8.166867	7333255.040000	462357.450000	32	6608	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1391	http://www.npd.no/FactMapSearch?NPDID_wellbore=1391	initial	\N	2004-03-09	1391	\N	\N	294382	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/7-21 S	2/7-21	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1989-06-21	1990-01-09	EMBLA	610-L	2/7-20 EMBLA	NO	169	NS 210  SP 720	44.90	22.000000	4706.00	5038.000000	71.000000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	ROSS ISLE	SEMISUB STEEL	1-A	NO	APPRAISAL	1989	1990	\N	\N	5	NO GROUP DEFINED	DEVONIAN	\N	\N	\N	\N	203	NO	ED50	56	19	59.65	N	3	14	53.89	E	56.333236	3.248303	6243335.070000	515353.320000	31	2	7	\N	21	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1394	http://www.npd.no/FactMapSearch?NPDID_wellbore=1394	initial	\N	2009-05-26	1394	44132	43534	296245	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/1-7 R3	25/1-7	Elf Petroleum Norge AS	ELF	024	APPRAISAL	SUSP.REENTERED LATER	GAS	EXPLORATION	1989-04-15	1989-04-16	FRIGG	455-L4	25/1-1 FRIGG	NO	0	73/0205 SP.660 AND 73/F11 SP.57.5	3.70	22.000000	2715.00	2716.000000	101.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	APPRAISAL	1989	1989	\N	LOGGING	9	FRIGG FM	EOCENE	\N	\N	\N	\N	2	YES	ED50	59	55	8.28	N	2	4	52.33	E	59.918967	2.081203	6642898.340000	448624.870000	31	25	1	\N	7	R3	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1395	http://www.npd.no/FactMapSearch?NPDID_wellbore=1395	re-entry	25/1-7 R2	2010-01-10	1395	44204	43555	287902	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-8 SR3	25/1-8	Elf Petroleum Norge AS	ELF	024	APPRAISAL	SUSP.REENTERED LATER	GAS	EXPLORATION	1989-04-01	1989-04-06	FRIGG	466-L4	25/1-1 FRIGG	NO	0	L 73-59-54 SP.1105	0.00	22.000000	2569.00	2647.000000	102.000000	PALEOCENE	LISTA FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	APPRAISAL	1989	1989	\N	LOGGING	9	FRIGG FM	EOCENE	\N	\N	\N	\N	6	YES	ED50	59	54	3.28	N	2	6	9.79	E	59.900911	2.102719	6640871.090000	449800.690000	31	25	1	\N	8	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1396	http://www.npd.no/FactMapSearch?NPDID_wellbore=1396	re-entry	25/1-8 SR2	2011-09-30	1396	44204	43555	287902	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-33 B	34/10-33	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1989-04-27	1989-07-10	GULLFAKS SØR	608-L	34/10-2 GULLFAKS SØR	NO	102	ST 8134-156 CP.296 OG 297 (BHPOS.CP.270)	93.70	23.000000	0.00	3942.000000	134.000000	MIDDLE JURASSIC	NESS FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1989	1989	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	75	NO	ED50	61	7	34.44	N	2	12	57.10	E	61.126233	2.215861	6777262.000000	457756.180000	31	34	10	\N	33	B	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1407	http://www.npd.no/FactMapSearch?NPDID_wellbore=1407	sidetrack	34/10-33 A	2012-01-01	1407	44606	43699	287983	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
7324/10-1	7324/10-1	Den norske stats oljeselskap a.s	STATOIL	162	WILDCAT	P&A	SHOWS	EXPLORATION	1989-06-03	1989-08-19	\N	609-L	\N	NO	119	GLR 3-87-19B   SP. 3290	2.80	23.000000	2919.00	2919.000000	408.000000	EARLY TRIASSIC	HAVERT FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	12-B	NO	WILDCAT	1989	1989	\N	\N	12	\N	\N	\N	\N	\N	\N	78	NO	ED50	73	9	49.45	N	24	18	47.62	E	73.163736	24.313228	8120918.380000	413162.080000	35	7324	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1411	http://www.npd.no/FactMapSearch?NPDID_wellbore=1411	initial	\N	2005-01-11	1411	\N	\N	294382	0	22108	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-7 R	7/12-7	BP Norway Limited  U.A.	BP	019	APPRAISAL	P&A	OIL	EXPLORATION	1989-05-14	1989-05-22	ULA	583-L2	7/12-2 ULA	NO	\N	LINJE 201  SP 415	\N	25.000000	\N	3852.000000	70.000000	LATE JURASSIC	\N	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	1-A	NO	APPRAISAL	1989	1989	\N	PLUGGING	5	\N	LATE JURASSIC	\N	\N	\N	\N	9	YES	ED50	57	6	31.92	N	2	52	47.27	E	57.108867	2.879797	6329652.990000	492718.910000	31	7	12	\N	7	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1413	http://www.npd.no/FactMapSearch?NPDID_wellbore=1413	re-entry	7/12-7	9999-12-31	1413	44972	43800	297028	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
16/3-3	16/3-3	Esso Exploration and Production Norway A/S	ESSO	149	WILDCAT	P&A	DRY	EXPLORATION	1989-07-24	1989-08-06	\N	612-L	\N	NO	61	ES  89 - 111     SP. 185	0.00	28.000000	0.00	1566.000000	119.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	12	NO	WILDCAT	1989	1989	\N	\N	1	\N	\N	\N	\N	\N	\N	14	NO	ED50	58	49	44.79	N	2	58	21.84	E	58.829108	2.972733	6521173.680000	498425.630000	31	16	3	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1415	http://www.npd.no/FactMapSearch?NPDID_wellbore=1415	initial	\N	2006-10-19	1415	\N	\N	297028	0	22004	ESSO	2012-07-25	2012-07-25	2013-05-08
2/12-2 S	2/12-2	Norsk Hydro Produksjon AS	HYDRO	113	APPRAISAL	P&A	SHOWS	EXPLORATION	1990-02-15	1990-09-14	\N	629-L	2/12-1 MJØLNER	NO	162	NH 8702 ROW 306 COLUMN 453	31.30	22.000000	5337.40	5757.000000	70.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	10-A	NO	WILDCAT	1990	1990	\N	\N	12	\N	\N	\N	\N	\N	\N	212	NO	ED50	56	13	54.28	N	3	42	16.63	E	56.231744	3.704619	6232233.960000	543683.970000	31	2	12	\N	2	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1416	http://www.npd.no/FactMapSearch?NPDID_wellbore=1416	initial	\N	2007-09-17	1416	44006	\N	296353	0	21708	HYDRO PRODUKSJON	2013-05-01	2013-05-01	2013-05-08
25/3-1	25/3-1	Elf Petroleum Norge AS	ELF	151	WILDCAT	P&A	DRY	EXPLORATION	1989-07-05	1989-09-05	\N	613-L	\N	NO	138	LINJE EL 8808-115 & SP 210	2.80	22.000000	3921.00	3922.000000	114.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	12	NO	WILDCAT	1989	1989	\N	\N	1	\N	\N	\N	\N	\N	\N	63	NO	ED50	59	55	52.99	N	2	46	21.34	E	59.931386	2.772594	6643946.880000	487288.970000	31	25	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1419	http://www.npd.no/FactMapSearch?NPDID_wellbore=1419	initial	\N	2005-06-25	1419	\N	\N	287902	0	22020	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
30/9-8	30/9-8	Norsk Hydro Produksjon AS	HYDRO	104	APPRAISAL	SUSP.REENTERED LATER	DRY	EXPLORATION	1989-07-29	1989-08-02	OSEBERG SØR	615-L	30/9-3 OSEBERG SØR	NO	0	NH 8831 - 105  COL 774	1.29	23.000000	1060.00	1060.000000	104.000000	MIOCENE	HORDALAND GP	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	WILDCAT	1989	1989	\N	\N	1	\N	\N	\N	\N	\N	\N	5	NO	ED50	60	25	26.10	N	2	47	58.38	E	60.423917	2.799550	6698797.680000	488962.170000	31	30	9	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1421	http://www.npd.no/FactMapSearch?NPDID_wellbore=1421	initial	\N	2011-06-20	1421	44492	43645	289333	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-14 R	2/4-14	Saga Petroleum ASA	SAGA	146	WILDCAT	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1989-05-01	1990-04-06	\N	593-L4	\N	NO	0	LINJE NS-5-235 & SP 585	0.00	38.000000	4745.00	4746.000000	68.000000	EARLY CRETACEOUS	MANDAL FM	NORTH SEA	NEDDRILL TRIGON	JACK-UP 3 LEGS	12	NO	WILDCAT	1989	1990	\N	\N	13	MANDAL FM	EARLY CRETACEOUS	\N	\N	\N	\N	334	YES	ED50	56	41	5.26	N	3	8	43.08	E	56.684794	3.145300	6282449.130000	508901.590000	31	2	4	\N	14	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1440	http://www.npd.no/FactMapSearch?NPDID_wellbore=1440	re-entry	2/4-14	2005-12-13	1440	\N	\N	296947	0	21980	SAGA	2012-07-25	2012-12-21	2013-05-08
35/9-1 R	35/9-1	Norsk Hydro Produksjon AS	HYDRO	153	WILDCAT	P&A	OIL/GAS	EXPLORATION	1989-07-03	1989-07-27	GJØA	603-L2	35/9-1 GJØA	NO	82	DGM 1-86-0473 3D CDP 1850	5.50	23.000000	2348.00	2350.000000	361.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	12	NO	WILDCAT	1989	1989	\N	TESTING/PLUGGING	13	VIKING GP	LATE JURASSIC	BRENT GP	MIDDLE JURASSIC	DUNLIN GP	EARLY JURASSIC      	25	YES	ED50	61	23	7.95	N	3	59	3.72	E	61.385542	3.984367	6806290.800000	552595.040000	31	35	9	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1441	http://www.npd.no/FactMapSearch?NPDID_wellbore=1441	re-entry	35/9-1	2006-12-15	1441	44786	4467574	289333	0	22036	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-9	30/9-9	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	OIL	EXPLORATION	1989-09-27	1989-11-06	OSEBERG SØR	621-L	30/9-9 OSEBERG SØR	YES	\N	NH 8502   COL. 1268  ROW  201	\N	23.000000	\N	2809.000000	101.000000	EARLY JURASSIC	\N	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	WILDCAT	1989	1989	\N	\N	5	\N	MIDDLE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	41	NO	ED50	60	19	51.23	N	2	52	28.95	E	60.330897	2.874708	6688427.060000	493081.080000	31	30	9	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1442	http://www.npd.no/FactMapSearch?NPDID_wellbore=1442	initial	\N	9999-12-31	1442	44522	43645	289333	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/9-3	2/9-3	Amoco Norway Oil Company	AMOCO	032	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1989-09-13	1989-12-14	\N	618-L	\N	NO	148	ANO-8180-230 & SP 295	9.20	25.000000	4855.00	4859.000000	67.100000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	DYVI STENA	SEMISUB STEEL	2-A	NO	WILDCAT	1989	1989	\N	\N	12	\N	\N	\N	\N	\N	\N	93	NO	ED50	56	26	3.38	N	3	47	49.91	E	56.434272	3.797197	6254838.580000	549162.290000	31	2	9	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1443	http://www.npd.no/FactMapSearch?NPDID_wellbore=1443	initial	\N	2009-10-26	1443	\N	\N	290980	0	21044	AMOCO	2012-07-25	2012-07-25	2013-05-08
1/9-1 R	1/9-1	Den norske stats oljeselskap a.s	STATOIL	044	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1987-05-08	1987-05-17	\N	167-L2	1/9-1 TOMMELITEN ALPHA	NO	133	Line 404-403.SP 548	0.00	22.000000	0.00	3704.000000	78.000000	LATE CRETACEOUS	HIDRA FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	3	NO	WILDCAT	1987	1987	\N	PLUGGING	17	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	HOD FM	LATE CRETACEOUS     	10	YES	ED50	56	24	5.07	N	2	54	6.49	E	56.401408	2.901803	6250899.860000	493938.990000	31	1	9	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1444	http://www.npd.no/FactMapSearch?NPDID_wellbore=1444	re-entry	1/9-1	2012-04-01	1444	43850	\N	296245	0	21140	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-16 S	31/2-16	Norsk Hydro Produksjon AS	HYDRO	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1989-09-27	1989-12-27	TROLL	622-L	31/2-1 TROLL VEST	NO	40	NH 8901 - 1145  SP. 336	92.80	23.000000	1587.00	2390.000000	354.000000	LATE JURASSIC	SOGNEFJORD FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	4	NO	APPRAISAL	1989	1989	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	92	NO	ED50	60	46	0.00	N	3	25	27.55	E	60.766667	3.424319	6737031.980000	523118.870000	31	31	2	\N	16	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1453	http://www.npd.no/FactMapSearch?NPDID_wellbore=1453	initial	\N	2008-12-18	1453	44534	46437	287983	1511	21228	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/2-13	25/2-13	Elf Petroleum Norge AS	ELF	026	APPRAISAL	SUSPENDED	OIL/GAS	EXPLORATION	1989-09-06	1990-01-25	\N	617-L	25/2-5 LILLE FRØY	NO	128	EL 8801  RAD 367 &  KOLONNE 483	6.20	22.000000	3903.00	3908.000000	117.000000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	APPRAISAL	1989	1990	\N	\N	13	HUGIN FM	MIDDLE JURASSIC	SLEIPNER FM	MIDDLE JURASSIC	STATFJORD FM	EARLY JURASSIC      	142	NO	ED50	59	47	37.69	N	2	27	12.52	E	59.793803	2.453478	6628728.800000	469325.460000	31	25	2	\N	13	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1459	http://www.npd.no/FactMapSearch?NPDID_wellbore=1459	initial	\N	2008-08-15	1459	44246	\N	287902	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7228/2-1 S	7228/2-1	Mobil Exploration Norway INC	MOBIL	160	WILDCAT	P&A	SHOWS	EXPLORATION	1989-08-21	1989-12-20	\N	616-L	\N	NO	130	MN 89 - 603    SP  548	38.60	23.500000	4000.00	4300.000000	349.500000	EARLY TRIASSIC	HAVERT FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	12-B	NO	WILDCAT	1989	1989	\N	\N	12	\N	\N	\N	\N	\N	\N	122	NO	ED50	72	51	9.75	N	28	26	29.61	E	72.852708	28.441558	8084841.650000	547436.900000	35	7228	2	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1460	http://www.npd.no/FactMapSearch?NPDID_wellbore=1460	initial	\N	2004-12-02	1460	\N	\N	294382	0	22092	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
30/9-8 R	30/9-8	Norsk Hydro Produksjon AS	HYDRO	104	APPRAISAL	P&A	OIL	EXPLORATION	1989-08-15	1989-09-25	OSEBERG SØR	615-L2	30/9-3 OSEBERG SØR	NO	118	NH 8831 - 105  COL. 774	3.30	23.000000	3199.00	3200.000000	104.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	WILDCAT	1989	1989	\N	DRILLING	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	42	YES	ED50	60	25	26.10	N	2	47	58.38	E	60.423917	2.799550	6698797.680000	488962.170000	31	30	9	\N	8	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1461	http://www.npd.no/FactMapSearch?NPDID_wellbore=1461	re-entry	30/9-8	2011-06-20	1461	44492	43645	289333	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
3/7-4	3/7-4	A/S Norske Shell	SHELL	147	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1989-09-20	1990-01-23	TRYM	619-L	3/7-4 TRYM	YES	136	EL 8201 - 219  SP 220	7.30	25.000000	3721.00	3723.000000	66.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	HUNTER	SEMISUB STEEL	12	NO	WILDCAT	1989	1990	\N	\N	17	SANDNES FM	MIDDLE JURASSIC	BRYNE FM	MIDDLE JURASSIC	\N	\N	126	NO	ED50	56	24	15.60	N	4	14	22.24	E	56.404333	4.239511	6251910.400000	576498.020000	31	3	7	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1467	http://www.npd.no/FactMapSearch?NPDID_wellbore=1467	initial	\N	2006-10-19	1467	44354	18081500	289360	0	21988	SHELL NORGE	2012-07-25	2012-09-01	2013-05-08
7/12-9	7/12-9	BP Norway Limited  U.A.	BP	019	APPRAISAL	SUSPENDED	OIL	EXPLORATION	1990-03-18	1990-05-14	ULA	630-L	7/12-2 ULA	NO	\N	BP84 - 135   BP84 -X- 570	\N	23.500000	\N	3820.000000	70.000000	TRIASSIC	\N	NORTH SEA	ROSS ISLE	SEMISUB STEEL	1-A	NO	APPRAISAL	1990	1990	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	58	NO	ED50	57	4	21.52	N	2	52	56.51	E	57.072644	2.882364	6325620.410000	492867.440000	31	7	12	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1470	http://www.npd.no/FactMapSearch?NPDID_wellbore=1470	initial	\N	9999-12-31	1470	44972	43800	296245	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/7-14 R	2/7-14	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	OIL	EXPLORATION	1989-06-07	1989-06-19	EKOFISK	221-L2	2/4-2 EKOFISK	NO	0	PS 562915 SP.116	0.00	22.000000	0.00	3387.000000	71.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	1-A	NO	APPRAISAL	1989	1989	\N	PLUGGING	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	13	YES	ED50	56	29	20.30	N	3	14	2.65	E	56.488972	3.234069	6260666.800000	514414.240000	31	2	7	\N	14	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1477	http://www.npd.no/FactMapSearch?NPDID_wellbore=1477	re-entry	2/7-14	2007-04-16	1477	44072	43506	296245	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6205/3-1	6205/3-1	Norsk Hydro Produksjon AS	HYDRO	154	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1989-10-24	1990-02-11	\N	623-L	\N	NO	107	NM1 - 809 &  SP 820	8.50	22.000000	4291.60	4300.000000	159.000000	EARLY CRETACEOUS	ÅSGARD FM	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	12-B	NO	WILDCAT	1989	1990	\N	\N	1	\N	\N	\N	\N	\N	\N	111	NO	ED50	62	57	8.62	N	5	56	38.11	E	62.952394	5.943919	6983872.900000	649328.840000	31	6205	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1479	http://www.npd.no/FactMapSearch?NPDID_wellbore=1479	initial	\N	2002-05-29	1479	\N	\N	296353	0	22044	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7228/9-1 S	7228/9-1	Norsk Hydro Produksjon AS	HYDRO	161	WILDCAT	P&A	OIL/GAS SHOWS	EXPLORATION	1989-12-22	1990-05-07	\N	625-L	\N	NO	149	SH 87 - 178  SP 722	24.10	23.500000	4477.00	4600.000000	278.000000	EARLY PERMIAN	ØRN FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	12-B	NO	WILDCAT	1989	1990	\N	\N	12	\N	\N	\N	\N	\N	\N	137	NO	ED50	72	23	48.36	N	28	43	8.67	E	72.396767	28.719075	8034238.910000	558023.280000	35	7228	9	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1486	http://www.npd.no/FactMapSearch?NPDID_wellbore=1486	initial	\N	2004-12-02	1486	\N	\N	294382	0	22100	HYDRO PRODUKSJON	2012-07-25	2013-01-15	2013-05-08
25/5-3	25/5-3	Elf Petroleum Norge AS	ELF	102	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1990-01-27	1990-03-26	SKIRNE	627-L	25/5-3 SKIRNE	YES	94	EL 8902 - 111   SP 830	1.10	22.000000	2900.00	2900.000000	118.000000	TRIASSIC	NO GROUP DEFINED	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	9	NO	WILDCAT	1990	1990	\N	\N	17	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	59	NO	ED50	59	35	8.01	N	2	37	46.94	E	59.585558	2.629706	6605469.050000	479087.080000	31	25	5	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1488	http://www.npd.no/FactMapSearch?NPDID_wellbore=1488	initial	\N	2008-08-15	1488	44270	2138816	287902	0	21620	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7/7-1	7/7-1	Den norske stats oljeselskap a.s	STATOIL	148	WILDCAT	P&A	DRY	EXPLORATION	1989-12-30	1990-02-20	\N	626-L	\N	NO	140	NOD  6 - 86 - 010   SP  260	6.90	23.000000	3497.00	3500.000000	83.000000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	12	NO	WILDCAT	1989	1990	\N	\N	1	\N	\N	\N	\N	\N	\N	53	NO	ED50	57	24	56.88	N	2	15	59.74	E	57.415800	2.266594	6364053.400000	455943.560000	31	7	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1492	http://www.npd.no/FactMapSearch?NPDID_wellbore=1492	initial	\N	2004-03-08	1492	\N	\N	287983	0	21996	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/7-2	25/7-2	Conoco Norway Inc.	CONOCO	103	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1990-02-08	1990-07-18	\N	628-L	25/7-2	YES	163	CN 8525 - 6  SP 390	12.90	25.000000	4847.00	4850.000000	124.000000	MIDDLE JURASSIC	SLEIPNER FM	NORTH SEA	DYVI STENA	SEMISUB STEEL	9	NO	WILDCAT	1990	1990	\N	\N	17	INTRA DRAUPNE FM SS	LATE JURASSIC	HUGIN FM	MIDDLE JURASSIC	\N	\N	161	NO	ED50	59	16	28.59	N	2	12	26.09	E	59.274608	2.207247	6571051.250000	454816.140000	31	25	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1494	http://www.npd.no/FactMapSearch?NPDID_wellbore=1494	initial	\N	2003-12-17	1494	44294	\N	290980	0	21628	CONOCO	2012-07-25	2012-07-25	2013-05-08
2/7-22	2/7-22	BP Petroleum Dev. of Norway AS	BP	145	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1990-05-17	1990-10-15	\N	637-L	2/7-22	YES	166	BPN 88 208 (SP 410)	5.00	23.500000	4750.00	4750.000000	69.500000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	ROSS ISLE	SEMISUB STEEL	12	NO	WILDCAT	1990	1990	\N	\N	17	NO GROUP DEFINED	DEVONIAN	\N	\N	\N	\N	152	NO	ED50	56	17	46.25	N	3	9	32.01	E	56.296181	3.158892	6239194.170000	509834.280000	31	2	7	\N	22	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1495	http://www.npd.no/FactMapSearch?NPDID_wellbore=1495	initial	\N	2003-12-17	1495	44138	\N	296245	0	21972	BPAS	2012-07-25	2012-07-25	2013-05-08
6407/10-2	6407/10-2	Norsk Hydro Produksjon AS	HYDRO	132	WILDCAT	P&A	SHOWS	EXPLORATION	1990-05-03	1990-06-23	\N	633-L	\N	NO	120	NH 8604-808 LINE 270 COLUMN 8604-1420	4.50	25.000000	3824.00	3825.000000	334.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	VILDKAT EXPLORER	SEMISUB STEEL	11-A	NO	WILDCAT	1990	1990	\N	\N	12	\N	\N	\N	\N	\N	\N	52	NO	ED50	64	13	44.34	N	7	16	54.02	E	64.228983	7.281672	7123832.870000	416644.870000	32	6407	10	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1497	http://www.npd.no/FactMapSearch?NPDID_wellbore=1497	initial	\N	2004-03-02	1497	\N	\N	297028	0	21868	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
1/6-5	1/6-5	Conoco Norway Inc.	CONOCO	144	WILDCAT	P&A	SHOWS	EXPLORATION	1990-07-20	1990-09-02	\N	645-L	\N	NO	104	CNI/88 - 36 & SP. 590	1.70	25.000000	1854.00	1854.000000	70.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DYVI STENA	SEMISUB STEEL	12	NO	WILDCAT	1990	1990	\N	\N	12	\N	\N	\N	\N	\N	\N	45	NO	ED50	56	32	21.57	N	2	48	4.77	E	56.539325	2.801325	6266264.750000	487781.590000	31	1	6	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1508	http://www.npd.no/FactMapSearch?NPDID_wellbore=1508	initial	\N	2011-06-15	1508	\N	\N	290980	0	21964	CONOCO	2012-07-25	2012-07-25	2013-05-08
6205/3-1 R	6205/3-1	Norsk Hydro Produksjon AS	HYDRO	154	WILDCAT	P&A	SHOWS	EXPLORATION	1990-09-20	1990-11-30	\N	623-L2	\N	NO	155	NM1 - 809 &  SP 820	0.00	23.000000	5253.00	5264.000000	159.000000	LATE JURASSIC	SPEKK FM	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	12-B	NO	WILDCAT	1990	1990	\N	DRILLING	12	\N	\N	\N	\N	\N	\N	72	YES	ED50	62	57	8.62	N	5	56	38.11	E	62.952394	5.943919	6983872.900000	649328.840000	31	6205	3	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1510	http://www.npd.no/FactMapSearch?NPDID_wellbore=1510	re-entry	6205/3-1	2002-05-29	1510	\N	\N	296353	0	22044	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-19 R	2/7-19	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL	EXPLORATION	1990-01-15	1990-03-14	\N	262-L2	2/7-19	NO	179	PG 030615- SP. 12	3.40	22.000000	4873.00	4873.000000	73.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ROSS ISLE	SEMISUB STEEL	1-A	NO	WILDCAT	1990	1990	\N	TESTING	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	59	YES	ED50	56	20	19.10	N	3	6	12.20	E	56.338639	3.103389	6243913.560000	506391.960000	31	2	7	\N	19	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1512	http://www.npd.no/FactMapSearch?NPDID_wellbore=1512	re-entry	2/7-19	2009-06-17	1512	44120	\N	296245	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6407/7-2 R	6407/7-2	Norsk Hydro Produksjon AS	HYDRO	107	APPRAISAL	SUSPENDED	OIL	EXPLORATION	1990-03-07	1990-04-30	NJORD	532-L2	6407/7-1 S NJORD	NO	113	NH 8604 ROW 235 COLUMN 960	4.00	25.000000	3321.00	3322.000000	338.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	VILDKAT EXPLORER	SEMISUB STEEL	9	NO	WILDCAT	1990	1990	\N	TESTING	5	ILE FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	55	YES	ED50	64	15	26.39	N	7	10	42.65	E	64.257331	7.178514	7127130.160000	411732.180000	32	6407	7	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1513	http://www.npd.no/FactMapSearch?NPDID_wellbore=1513	re-entry	6407/7-2	2009-03-09	1513	44876	43751	297028	0	21660	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-10	30/9-10	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	OIL	EXPLORATION	1990-07-31	1990-09-21	OSEBERG SØR	646-L	30/9-10 OSEBERG SØR	YES	\N	NH 8502-332  X-OVER NH 8502-430	\N	25.000000	\N	3649.000000	95.000000	EARLY JURASSIC	\N	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	9	NO	WILDCAT	1990	1990	\N	\N	5	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	22	NO	ED50	60	23	23.20	N	2	47	13.16	E	60.389778	2.786989	6694997.500000	488258.200000	31	30	9	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1514	http://www.npd.no/FactMapSearch?NPDID_wellbore=1514	initial	\N	9999-12-31	1514	44468	43645	297028	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/6-2	6507/6-2	Saga Petroleum ASA	SAGA	123	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1991-04-27	1991-07-16	\N	679-L	\N	NO	140	B-08-83   SP 1235	10.70	18.000000	4343.00	4354.000000	315.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	10-B	NO	WILDCAT	1991	1991	\N	\N	12	LYSING FM	LATE CRETACEOUS	\N	\N	\N	\N	81	NO	ED50	65	44	26.42	N	7	41	6.55	E	65.740672	7.685153	7291819.830000	439718.650000	32	6507	6	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1520	http://www.npd.no/FactMapSearch?NPDID_wellbore=1520	initial	\N	2008-12-18	1520	\N	\N	297514	0	21796	SAGA	2012-07-25	2012-07-25	2013-05-08
1/3-6	1/3-6	Elf Petroleum Norge AS	ELF	065	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1991-03-11	1991-06-22	OSELVAR	669-L	1/3-6 OSELVAR	YES	142	LINJE SH 8902 - 161   SP436	4.50	25.000000	3584.00	3586.000000	72.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	DYVI STENA	SEMISUB STEEL	6	NO	WILDCAT	1991	1991	\N	\N	17	FORTIES FM	PALEOCENE	\N	\N	\N	\N	105	NO	ED50	56	56	14.92	N	2	42	20.81	E	56.937478	2.705781	6310606.040000	482095.980000	31	1	3	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1521	http://www.npd.no/FactMapSearch?NPDID_wellbore=1521	initial	\N	2007-12-19	1521	43832	5506919	290980	0	21316	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
35/11-4	35/11-4	Mobil Exploration Norway INC	MOBIL	090	WILDCAT	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1990-08-18	1990-12-29	FRAM	642-L	35/11-4 FRAM	YES	102	MN88 - 814    SP 440	5.70	17.000000	3125.50	3127.000000	355.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	YATZY	SEMISUB STEEL	8	NO	WILDCAT	1990	1990	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC	BRENT GP	MIDDLE JURASSIC     	134	NO	ED50	61	1	59.93	N	3	32	53.58	E	61.033314	3.548217	6766782.480000	529620.950000	31	35	11	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1523	http://www.npd.no/FactMapSearch?NPDID_wellbore=1523	initial	\N	2005-04-25	1523	44750	1578840	289306	0	21524	MOBIL EXPLORATION NORWAY INC	2013-04-19	2013-04-19	2013-05-08
15/12-6 S	15/12-6	Den norske stats oljeselskap a.s	STATOIL	038	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1990-08-19	1990-11-04	VARG	644-L	15/12-4 VARG	NO	128	ST 8802 - 381  SP. 948	11.70	23.000000	3034.00	3050.000000	84.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	3	NO	WILDCAT	1990	1990	15/12-A-2	\N	5	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	78	NO	ED50	58	4	40.30	N	1	53	25.41	E	58.077861	1.890392	6438063.130000	434552.910000	31	15	12	\N	6	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1524	http://www.npd.no/FactMapSearch?NPDID_wellbore=1524	initial	\N	2008-08-15	1524	43868	43451	287983	3576	21092	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/6-4 S	2/6-4	Elf Petroleum Norge AS	ELF	008	WILDCAT	P&A	DRY	EXPLORATION	1990-04-08	1990-06-02	\N	632-L	\N	NO	129	G 2/6-88-207  SP 814	17.60	22.000000	3584.00	3617.000000	55.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	1-A	NO	WILDCAT	1990	1990	\N	\N	1	\N	\N	\N	\N	\N	\N	57	NO	ED50	56	38	59.29	N	3	47	23.27	E	56.649803	3.789797	6278823.480000	548430.040000	31	2	6	\N	4	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1527	http://www.npd.no/FactMapSearch?NPDID_wellbore=1527	initial	\N	2009-03-09	1527	\N	\N	287902	0	20820	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-33 CR	34/10-33	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1990-02-24	1990-04-27	GULLFAKS SØR	614-L2	34/10-2 GULLFAKS SØR	NO	129	ST 8134 - 156 SP.329	46.10	23.000000	3587.00	3752.000000	134.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1990	1990	\N	TESTING/PLUGGING	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	63	YES	ED50	61	7	34.44	N	2	12	57.10	E	61.126233	2.215861	6777262.000000	457756.180000	31	34	10	\N	33	CR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1530	http://www.npd.no/FactMapSearch?NPDID_wellbore=1530	re-entry	34/10-33 C	2012-01-01	1530	44606	43699	287983	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/3-1	6507/3-1	Den norske stats oljeselskap a.s	STATOIL	159	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1990-05-12	1990-10-26	ALVE	635-L	6507/3-1 ALVE	YES	171	NRGS 84-446 SP 1077	0.00	24.000000	0.00	4757.000000	369.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	12-B	NO	WILDCAT	1990	1990	\N	\N	17	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	168	NO	ED50	65	58	29.85	N	7	49	31.52	E	65.974958	7.825422	7317803.720000	446637.440000	32	6507	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1533	http://www.npd.no/FactMapSearch?NPDID_wellbore=1533	initial	\N	2007-09-17	1533	44924	4444332	294382	0	22084	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/1-7 R4	25/1-7	Elf Petroleum Norge AS	ELF	024	APPRAISAL	P&A	GAS	EXPLORATION	1990-03-28	1990-04-05	FRIGG	455-L5	25/1-1 FRIGG	NO	0	73/0205 SP.660 AND 73/F11 SP.57.5	3.70	22.000000	2715.00	2716.000000	101.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	APPRAISAL	1990	1990	\N	PLUGGING	9	FRIGG FM	EOCENE	\N	\N	\N	\N	9	YES	ED50	59	55	8.28	N	2	4	52.33	E	59.918967	2.081203	6642898.340000	448624.870000	31	25	1	\N	7	R4	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1534	http://www.npd.no/FactMapSearch?NPDID_wellbore=1534	re-entry	25/1-7 R3	2010-01-10	1534	44204	43555	287902	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/7-17 A	34/7-17	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1991-04-07	1991-05-04	VIGDIS	677-L	34/7-8 VIGDIS	NO	96	GE-83  ROW  341   COL  1025	43.00	26.000000	0.00	2650.000000	259.000000	MIDDLE JURASSIC	ETIVE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	APPRAISAL	1991	1991	\N	\N	13	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	28	NO	ED50	61	20	50.69	N	2	5	42.31	E	61.347414	2.095086	6801982.380000	451591.070000	31	34	7	\N	17	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1536	http://www.npd.no/FactMapSearch?NPDID_wellbore=1536	sidetrack	34/7-17	2008-02-28	1536	44714	43732	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
6406/11-1 S	6406/11-1	Saga Petroleum ASA	SAGA	156	WILDCAT	P&A	OIL	EXPLORATION	1990-10-19	1991-02-18	\N	651-L	6406/11-1 S	YES	150	DG M2-3D-90: ROW 243 & COL. 920	28.80	26.000000	4131.00	4185.000000	315.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	TREASURE SAGA	SEMISUB STEEL	12-B	NO	WILDCAT	1990	1991	\N	\N	5	ILE FM	MIDDLE JURASSIC	\N	\N	\N	\N	123	NO	ED50	64	2	45.90	N	6	36	14.16	E	64.046083	6.603933	7104524.700000	383011.320000	32	6406	11	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1539	http://www.npd.no/FactMapSearch?NPDID_wellbore=1539	initial	\N	2005-06-30	1539	45707	\N	296326	0	22060	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-15 S	34/7-15	Saga Petroleum ASA	SAGA	089	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1990-05-23	1990-09-03	\N	638-L	\N	NO	155	G/E 83    ROW 200   KOL 256	47.40	26.000000	4333.00	4646.000000	306.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1990	1990	\N	\N	12	\N	\N	\N	\N	\N	\N	104	NO	ED50	61	24	38.59	N	2	12	53.22	E	61.410719	2.214783	6808951.100000	458078.950000	31	34	7	\N	15	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1544	http://www.npd.no/FactMapSearch?NPDID_wellbore=1544	initial	\N	2004-02-27	1544	\N	\N	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
30/6-23	30/6-23	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1990-04-29	1990-07-01	OSEBERG ØST	634-L	30/6-5 OSEBERG ØST	NO	\N	NH 8606-  ROW 548 &  CDP NO 729	\N	23.000000	\N	3209.500000	151.000000	EARLY JURASSIC	\N	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	4	NO	APPRAISAL	1990	1990	\N	\N	5	\N	MIDDLE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	64	NO	ED50	60	40	58.01	N	2	55	58.97	E	60.682781	2.933047	6727615.500000	496342.560000	31	30	6	\N	23	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1545	http://www.npd.no/FactMapSearch?NPDID_wellbore=1545	initial	\N	9999-12-31	1545	44438	43639	296677	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-23 S	2/7-23	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	SUSPENDED	OIL	EXPLORATION	1990-05-15	1990-11-21	EMBLA	636-L	2/7-20 EMBLA	NO	158	X-OVER LINES 295 OG 1146	30.80	29.000000	4466.00	4760.000000	71.000000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	WEST DELTA	SEMISUB STEEL	1-A	NO	APPRAISAL	1990	1990	\N	\N	5	NO GROUP DEFINED	DEVONIAN	\N	\N	\N	\N	191	NO	ED50	56	19	59.81	N	3	14	53.63	E	56.333281	3.248231	6243340.000000	515348.840000	31	2	7	\N	23	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1547	http://www.npd.no/FactMapSearch?NPDID_wellbore=1547	initial	\N	2009-05-26	1547	44132	43534	287821	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
2/4-14 R2	2/4-14	Saga Petroleum ASA	SAGA	146	WILDCAT	JUNKED	SHOWS	EXPLORATION	1990-04-06	1990-04-14	\N	593-L3	\N	NO	0	LINJE NS-5-235 & SP585	2.20	26.000000	4733.00	4734.000000	68.000000	EARLY CRETACEOUS	MANDAL FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	12	NO	WILDCAT	1990	1990	\N	PLUGGING	12	MANDAL FM	EARLY CRETACEOUS	\N	\N	\N	\N	9	YES	ED50	56	41	5.26	N	3	8	43.08	E	56.684794	3.145300	6282449.130000	508901.590000	31	2	4	\N	14	R2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1548	http://www.npd.no/FactMapSearch?NPDID_wellbore=1548	re-entry	2/4-14 R	2005-12-13	1548	\N	\N	296326	0	21980	SAGA	2012-07-25	2012-07-25	2013-05-08
6201/11-2	6201/11-2	Den norske stats oljeselskap a.s	STATOIL	130	WILDCAT	P&A	DRY	EXPLORATION	1991-01-11	1991-03-11	\N	664-L	\N	NO	150	ST 8810 - 403    SP 385	9.00	23.000000	3775.00	3778.000000	373.000000	MIDDLE JURASSIC	HEATHER FM	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	11-A	NO	WILDCAT	1991	1991	\N	\N	1	\N	\N	\N	\N	\N	\N	60	NO	ED50	62	1	7.62	N	1	25	16.78	E	62.018783	1.421328	6877443.350000	417366.030000	31	6201	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1549	http://www.npd.no/FactMapSearch?NPDID_wellbore=1549	initial	\N	2004-05-18	1549	\N	\N	287983	0	21852	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-16	34/7-16	Saga Petroleum ASA	SAGA	089	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1990-06-28	1990-08-13	VIGDIS	640-L	34/7-8 VIGDIS	NO	98	G/E 83 (RP) RAD 253 &  KOL. 933	5.30	25.000000	0.00	2700.000000	286.000000	EARLY JURASSIC	AMUNDSEN FM	NORTH SEA	SCARABEO 5	SEMISUB STEEL	8	NO	WILDCAT	1990	1990	\N	\N	5	ETIVE FM	MIDDLE JURASSIC	RANNOCH FM	MIDDLE JURASSIC	\N	\N	48	NO	ED50	61	23	13.06	N	2	6	59.12	E	61.386961	2.116422	6806371.840000	452792.040000	31	34	7	\N	16	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1550	http://www.npd.no/FactMapSearch?NPDID_wellbore=1550	initial	\N	2008-02-28	1550	44714	43732	294058	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
6306/10-1	6306/10-1	A/S Norske Shell	SHELL	155	WILDCAT	P&A	OIL/GAS SHOWS	EXPLORATION	1990-09-07	1990-12-17	\N	649-L	\N	NO	114	NMI-822 &  SP. 380	6.90	25.000000	3183.00	3187.000000	83.000000	PRE-DEVONIAN	BASEMENT	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	12-B	NO	WILDCAT	1990	1990	\N	\N	12	\N	\N	\N	\N	\N	\N	102	NO	ED50	63	9	26.32	N	6	19	41.45	E	63.157311	6.328181	7006088.050000	365416.350000	32	6306	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1551	http://www.npd.no/FactMapSearch?NPDID_wellbore=1551	initial	\N	2005-06-30	1551	\N	\N	290980	0	22052	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-14	2/8-14	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1990-08-14	1991-01-22	\N	647-L	\N	NO	152	ANO83- 14 & SP. 270	0.00	22.000000	0.00	4392.000000	67.000000	LATE JURASSIC	FARSUND FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	1-A	NO	WILDCAT	1990	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	162	NO	ED50	56	15	48.93	N	3	21	23.11	E	56.263592	3.356419	6235612.570000	522078.600000	31	2	8	\N	14	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1552	http://www.npd.no/FactMapSearch?NPDID_wellbore=1552	initial	\N	2012-10-16	1552	\N	\N	287902	0	20804	AMOCO	2012-10-16	2012-10-16	2013-05-08
7/12-10	7/12-10	BP Norway Limited  U.A.	BP	019	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1991-07-08	1991-08-29	\N	686-L	7/12-5	NO	\N	BPN 88 - 513  SP  272	\N	23.000000	\N	3667.000000	71.000000	TRIASSIC	\N	NORTH SEA	ROSS ISLE	SEMISUB STEEL	1-A	NO	APPRAISAL	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	53	NO	ED50	57	10	57.37	N	2	48	18.47	E	57.182603	2.805131	6337871.900000	488219.560000	31	7	12	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1557	http://www.npd.no/FactMapSearch?NPDID_wellbore=1557	initial	\N	9999-12-31	1557	44978	\N	296245	0	20916	BP NORWAY LIMITED U.A.	2012-12-11	2012-12-11	2013-05-08
1/9-6 SR	1/9-6	Den norske stats oljeselskap a.s	STATOIL	044	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1991-04-06	1991-04-20	TOMMELITEN GAMMA	318-L2	1/9-4 TOMMELITEN GAMMA	NO	135	404 - 410 & SP. 217	32.50	25.000000	3529.00	3879.000000	75.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	APPRAISAL	1991	1991	\N	PLUGGING	17	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	15	YES	ED50	56	29	3.85	N	2	56	0.14	E	56.484403	2.933372	6260135.610000	495896.490000	31	1	9	\N	6	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1558	http://www.npd.no/FactMapSearch?NPDID_wellbore=1558	re-entry	1/9-6 S	2012-10-10	1558	43856	43444	294382	0	21140	STATOIL	2012-10-12	2012-10-12	2013-05-08
16/4-2	16/4-2	Norsk Hydro Produksjon AS	HYDRO	087	WILDCAT	P&A	DRY	EXPLORATION	1990-06-29	1990-07-29	\N	639-L	\N	NO	115	NH (SHELL) 8806 - 242   SP 650	2.60	25.000000	3117.00	3117.000000	93.000000	LATE JURASSIC	INTRA DRAUPNE FM SS	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	8	NO	WILDCAT	1990	1990	\N	\N	1	\N	\N	\N	\N	\N	\N	31	NO	ED50	58	35	47.03	N	2	1	48.03	E	58.596397	2.030008	6495668.280000	443619.410000	31	16	4	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1560	http://www.npd.no/FactMapSearch?NPDID_wellbore=1560	initial	\N	2004-02-27	1560	\N	\N	297028	0	21500	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7120/10-2	7120/10-2	Esso Exploration and Production Norway A/S	ESSO	098	WILDCAT	P&A	DRY	EXPLORATION	1990-07-20	1990-09-05	\N	643-L	\N	NO	63	E 841 - 09  SP. 295	7.50	25.000000	2497.00	2500.000000	186.000000	LATE JURASSIC	HEKKINGEN FM	BARENTS SEA	BYFORD DOLPHIN	SEMISUB STEEL	8	NO	WILDCAT	1990	1990	\N	\N	1	\N	\N	\N	\N	\N	\N	48	NO	ED50	71	5	34.80	N	20	14	28.31	E	71.093000	20.241197	7888153.580000	472556.900000	34	7120	10	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1561	http://www.npd.no/FactMapSearch?NPDID_wellbore=1561	initial	\N	2005-02-11	1561	\N	\N	341331	0	21588	ESSO	2012-07-25	2012-07-25	2013-05-08
30/6-9 R	30/6-9	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	OIL/GAS	EXPLORATION	1990-05-09	1990-05-12	OSEBERG	339-L2	30/6-9	NO	\N	ST 8006 - 121   SP. 510	\N	23.000000	\N	3476.000000	107.000000	LATE TRIASSIC	\N	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	4	NO	WILDCAT	1990	1990	\N	PLUGGING	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	4	YES	ED50	60	30	3.46	N	2	46	52.62	E	60.500961	2.781283	6707382.090000	487984.810000	31	30	6	\N	9	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1562	http://www.npd.no/FactMapSearch?NPDID_wellbore=1562	re-entry	30/6-9	9999-12-31	1562	2770154	43625	289333	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7/11-10 S	7/11-10	Norsk Hydro Produksjon AS	HYDRO	070	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1990-07-05	1990-09-10	MIME	641-L	7/11-5 MIME	NO	169	NH 8601  ROW 206	50.00	23.500000	4241.00	4566.000000	78.500000	TRIASSIC	SMITH BANK FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	6	NO	APPRAISAL	1990	1990	7/11-10 SR	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	68	NO	ED50	57	7	12.51	N	2	29	10.56	E	57.120142	2.486267	6331018.860000	468891.060000	31	7	11	\N	10	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1563	http://www.npd.no/FactMapSearch?NPDID_wellbore=1563	initial	\N	2006-10-19	1563	44966	43792	296677	1681	21356	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
35/9-2	35/9-2	Norsk Hydro Produksjon AS	HYDRO	153	WILDCAT	P&A	OIL/GAS	EXPLORATION	1991-01-01	1991-04-03	GJØA	663-L	35/9-2	YES	100	NH 8902 - ROW 816 & KOL. 1229	14.00	25.000000	2877.00	2885.000000	367.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	12	NO	WILDCAT	1991	1991	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC	\N	\N	92	NO	ED50	61	20	8.62	N	3	56	16.74	E	61.335728	3.937983	6800705.660000	550196.620000	31	35	9	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1600	http://www.npd.no/FactMapSearch?NPDID_wellbore=1600	initial	\N	2006-12-15	1600	2449421	4467574	297028	0	22036	HYDRO PRODUKSJON	2012-07-25	2013-01-17	2013-05-08
6407/6-4	6407/6-4	Mobil Exploration Norway INC	MOBIL	092	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1990-10-31	1990-12-13	MIKKEL	654-L	6407/6-3 MIKKEL	NO	110	8402 - 114    SP. 1420	3.70	23.500000	3125.00	3126.000000	219.500000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	8	NO	APPRAISAL	1990	1990	\N	\N	12	\N	\N	\N	\N	\N	\N	41	NO	ED50	64	37	36.77	N	7	40	51.00	E	64.626881	7.680833	7167706.660000	436926.450000	32	6407	6	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1604	http://www.npd.no/FactMapSearch?NPDID_wellbore=1604	initial	\N	2009-03-09	1604	44870	1630514	294382	0	21540	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
2/7-24	2/7-24	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	DRY	EXPLORATION	1990-11-07	1991-04-13	\N	653-L	\N	NO	\N	PC 88 - 389- SP. 1090	\N	22.300000	\N	5023.000000	71.000000	LATE JURASSIC	\N	NORTH SEA	ROSS ISLE	SEMISUB STEEL	1-A	NO	WILDCAT	1990	1991	\N	\N	1	\N	\N	\N	\N	\N	\N	158	NO	ED50	56	18	33.00	N	3	19	23.56	E	56.309167	3.323211	6240675.200000	519997.700000	31	2	7	\N	24	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1613	http://www.npd.no/FactMapSearch?NPDID_wellbore=1613	initial	\N	9999-12-31	1613	\N	\N	296245	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
7229/11-1	7229/11-1	A/S Norske Shell	SHELL	183	WILDCAT	P&A	DRY	EXPLORATION	1993-08-09	1993-12-15	\N	767-L	\N	NO	140	SH 9102-INLINE 539 & CROSSLINE 525	4.05	24.000000	4627.70	4630.000000	284.000000	LATE CARBONIFEROUS	ØRN FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	13	NO	WILDCAT	1993	1993	\N	\N	1	\N	\N	\N	\N	\N	\N	130	NO	ED50	72	12	57.24	N	29	38	29.75	E	72.215900	29.641597	8015210.030000	590031.990000	35	7229	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1643	http://www.npd.no/FactMapSearch?NPDID_wellbore=1643	initial	\N	2003-04-11	1643	\N	\N	294382	0	22276	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
25/1-8 SR4	25/1-8	Elf Petroleum Norge AS	ELF	024	APPRAISAL	P&A	GAS	EXPLORATION	1991-04-03	1991-04-14	FRIGG	466-L5	25/1-1 FRIGG	NO	0	L 73-59-54  SP.1105	0.00	22.000000	2569.00	2647.000000	102.000000	PALEOCENE	LISTA FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	APPRAISAL	1991	1991	\N	PLUGGING	9	FRIGG FM	EOCENE	\N	\N	\N	\N	12	YES	ED50	59	54	3.28	N	2	6	9.79	E	59.900911	2.102719	6640871.090000	449800.690000	31	25	1	\N	8	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1644	http://www.npd.no/FactMapSearch?NPDID_wellbore=1644	re-entry	25/1-8 SR3	2011-09-30	1644	44204	43555	287902	0	20964	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/1-9	2/1-9	BP Norway Limited  U.A.	BP	019 B	WILDCAT	P&A	OIL	EXPLORATION	1991-04-15	1991-07-06	GYDA	676-L	2/1-9 GYDA SØR	YES	160	X-OVER 3D LINE 560 AND X-LINE 570	2.20	23.000000	4289.00	4289.000000	66.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ROSS ISLE	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	APPRAISAL	1991	1991	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	83	NO	ED50	56	51	37.77	N	3	5	4.77	E	56.860492	3.084658	6302000.770000	505162.300000	31	2	1	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1667	http://www.npd.no/FactMapSearch?NPDID_wellbore=1667	initial	\N	2007-10-16	1667	44018	43492	296245	0	20924	BP NORWAY LIMITED U.A.	2013-01-22	2013-01-22	2013-05-08
2/11-6 SR	2/11-6	Amoco Norway Oil Company	AMOCO	033	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1990-07-19	1990-08-13	HOD	305-L3	2/11-2 HOD	NO	0	ANO 75 - 13- SP. 333	0.00	38.300000	2957.00	4088.300000	72.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	KOLSKAYA	JACK-UP 3 LEGS	2-A	NO	APPRAISAL	1990	1990	2/11-A-6	TESTING	5	TOR FM	LATE CRETACEOUS	HOD FM	LATE CRETACEOUS	\N	\N	26	YES	ED50	56	10	35.50	N	3	27	36.72	E	56.176528	3.460200	6225960.070000	528571.990000	31	2	11	\N	6	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1668	http://www.npd.no/FactMapSearch?NPDID_wellbore=1668	re-entry	2/11-6 S	2013-03-22	1668	44000	43485	293977	1610	21052	AMOCO	2013-03-24	2013-04-04	2013-05-08
31/5-4 S	31/5-4	Norsk Hydro Produksjon AS	HYDRO	085	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1990-09-13	1990-10-10	TROLL	650-L	31/2-1 TROLL VEST	NO	57	NH 9056 - 209&  SP. 95	53.00	24.000000	1706.00	1909.000000	316.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1990	1990	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	28	NO	ED50	60	43	16.19	N	3	33	43.06	E	60.721164	3.561961	6732020.100000	530661.480000	31	31	5	\N	4	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1669	http://www.npd.no/FactMapSearch?NPDID_wellbore=1669	initial	\N	2006-06-06	1669	44534	46437	296677	0	21476	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-14 S	25/11-14	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1990-09-13	1990-10-13	BALDER	648-L	25/11-1 BALDER	NO	85	B88S - 320  SP. 541	44.40	25.000000	1749.00	1908.000000	127.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	1-A	NO	APPRAISAL	1990	1990	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	31	NO	ED50	59	11	17.35	N	2	22	11.48	E	59.188153	2.369856	6561324.970000	463993.000000	31	25	11	\N	14	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1672	http://www.npd.no/FactMapSearch?NPDID_wellbore=1672	initial	\N	2011-06-17	1672	44210	43562	341331	1779	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
30/9-11	30/9-11	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	DRY	EXPLORATION	1990-10-27	1990-11-19	\N	652-L	\N	NO	\N	NH 8502-187  CDP-LINJE 158 - COL 745	\N	25.000000	\N	2570.000000	108.000000	EARLY JURASSIC	\N	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	9	NO	WILDCAT	1990	1990	\N	\N	1	\N	\N	\N	\N	\N	\N	24	NO	ED50	60	19	27.89	N	2	55	44.00	E	60.324414	2.928889	6687700.500000	496072.290000	31	30	9	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1673	http://www.npd.no/FactMapSearch?NPDID_wellbore=1673	initial	\N	9999-12-31	1673	\N	\N	297028	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-16 R	34/7-16	Saga Petroleum ASA	SAGA	089	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1990-09-04	1990-10-15	VIGDIS	640-L2	34/7-8 VIGDIS	NO	106	G/E 83 (RP)  RAD 253&  KOL 933.	5.30	26.000000	2978.00	2980.000000	286.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1990	1990	\N	DRILLING	5	ETIVE FM	MIDDLE JURASSIC	RANNOCH FM	MIDDLE JURASSIC	\N	\N	42	YES	ED50	61	23	13.06	N	2	6	59.12	E	61.386961	2.116422	6806371.840000	452792.040000	31	34	7	\N	16	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1677	http://www.npd.no/FactMapSearch?NPDID_wellbore=1677	re-entry	34/7-16	2008-02-28	1677	44714	43732	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
2/7-25 S	2/7-25	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	SUSPENDED	DRY	EXPLORATION	1990-11-29	1991-03-31	EMBLA	657-L	2/7-20 EMBLA	NO	155	KRYSN.  3D LINJER  460 OG 1173	37.60	29.000000	4560.00	5177.000000	70.000000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	WEST DELTA	SEMISUB STEEL	1-A	NO	APPRAISAL	1990	1991	\N	\N	1	\N	\N	\N	\N	\N	\N	123	NO	ED50	56	19	59.69	N	3	14	53.90	E	56.333247	3.248306	6243336.310000	515353.490000	31	2	7	\N	25	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1679	http://www.npd.no/FactMapSearch?NPDID_wellbore=1679	initial	\N	2012-12-05	1679	44132	43534	287821	0	20900	PHILLIPS	2013-02-02	2013-02-02	2013-05-08
15/12-7 S	15/12-7	Den norske stats oljeselskap a.s	STATOIL	116	WILDCAT	P&A	DRY	EXPLORATION	1990-11-06	1991-01-07	\N	655-L	\N	NO	128	ST8802 - 775 &   SP 534	26.60	23.000000	3529.00	3570.000000	85.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	10-A	NO	WILDCAT	1990	1991	\N	\N	1	\N	\N	\N	\N	\N	\N	63	NO	ED50	58	0	49.93	N	1	58	35.54	E	58.013869	1.976539	6430858.600000	439525.830000	31	15	12	\N	7	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1680	http://www.npd.no/FactMapSearch?NPDID_wellbore=1680	initial	\N	2005-02-11	1680	\N	\N	287983	0	21740	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/11-10 SR	7/11-10	Norsk Hydro Produksjon AS	HYDRO	070	APPRAISAL	RE-CLASS TO TEST	OIL	EXPLORATION	1990-09-25	1990-10-24	MIME	641-L3	7/11-5 MIME	NO	269	NH 8601 ROW 206	50.00	25.000000	4241.00	4565.000000	78.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	6	NO	APPRAISAL	1990	1990	\N	TESTING/PLUGGING	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	30	YES	ED50	57	7	12.51	N	2	29	10.56	E	57.120142	2.486267	6331018.860000	468891.060000	31	7	11	\N	10	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1681	http://www.npd.no/FactMapSearch?NPDID_wellbore=1681	re-entry	7/11-10 S	2006-10-19	1681	44966	43792	297028	1721	21356	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-4 S	34/8-4	Norsk Hydro Produksjon AS	HYDRO	120	WILDCAT	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	1990-12-06	1991-06-09	VISUND	659-L	34/8-4 S	YES	137	NH 8404-171/1171& SP. 10656	56.30	23.000000	3802.00	4150.000000	309.000000	TRIASSIC	TEIST FM (INFORMAL)	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	10-A	NO	WILDCAT	1990	1991	\N	\N	17	RANNOCH FM	MIDDLE JURASSIC	LUNDE FM	LATE TRIASSIC	\N	\N	186	NO	ED50	61	19	29.58	N	2	25	18.67	E	61.324883	2.421853	6799274.110000	469049.020000	31	34	8	\N	4	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1683	http://www.npd.no/FactMapSearch?NPDID_wellbore=1683	initial	\N	2005-04-22	1683	44726	43745	296353	0	21772	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-4 A	31/5-4	Norsk Hydro Produksjon AS	HYDRO	085	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1990-10-10	1990-12-13	TROLL	656-L	31/2-1 TROLL VEST	NO	66	NH 9056-209 & SP.95	93.00	24.000000	1579.20	2603.000000	316.000000	LATE JURASSIC	SOGNEFJORD FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1990	1990	\N	TESTING	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	65	NO	ED50	60	43	16.19	N	3	33	43.06	E	60.721164	3.561961	6732020.100000	530661.480000	31	31	5	\N	4	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1689	http://www.npd.no/FactMapSearch?NPDID_wellbore=1689	sidetrack	31/5-4 S	2006-06-06	1689	44534	46437	296677	1729	21476	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7120/2-2	7120/2-2	Norsk Hydro Produksjon AS	HYDRO	109	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1991-01-27	1991-03-23	\N	665-L	\N	NO	87	NH8904 - 005    SP 470	12.00	23.000000	2794.00	2794.000000	336.500000	MIDDLE JURASSIC	STØ FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	WILDCAT	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	56	NO	ED50	71	50	23.99	N	20	36	3.59	E	71.839997	20.600997	7971348.280000	486119.440000	34	7120	2	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1690	http://www.npd.no/FactMapSearch?NPDID_wellbore=1690	initial	\N	2004-05-18	1690	\N	\N	289333	0	21676	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/5-4	25/5-4	Elf Petroleum Norge AS	ELF	102	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1990-12-22	1991-03-07	SKIRNE	661-L	25/5-4 BYGGVE	YES	111	EL 8902 - 308 &  SP. 660	2.00	25.000000	3184.00	3185.000000	120.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DYVI STENA	SEMISUB STEEL	9	NO	WILDCAT	1990	1991	\N	\N	17	HUGIN FM	MIDDLE JURASSIC	SLEIPNER FM	MIDDLE JURASSIC	\N	\N	76	NO	ED50	59	36	33.22	N	2	28	32.07	E	59.609228	2.475575	6608163.570000	470403.240000	31	25	5	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1691	http://www.npd.no/FactMapSearch?NPDID_wellbore=1691	initial	\N	2008-08-15	1691	44276	2138816	290980	0	21620	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
6407/7-5	6407/7-5	Norsk Hydro Produksjon AS	HYDRO	107	APPRAISAL	P&A	SHOWS	EXPLORATION	1990-12-17	1991-02-15	NJORD	660-L	6407/7-1 S NJORD	NO	140	NH 8604- Row 342 & COL. 655	11.30	24.000000	3716.00	3725.000000	327.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	9	NO	APPRAISAL	1990	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	61	NO	ED50	64	18	24.34	N	7	10	50.58	E	64.306761	7.180717	7132634.020000	411996.500000	32	6407	7	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1699	http://www.npd.no/FactMapSearch?NPDID_wellbore=1699	initial	\N	2009-03-09	1699	44876	43751	296677	0	21660	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-16	2/4-16	Saga Petroleum ASA	SAGA	146	WILDCAT	SUSP.REENTERED LATER	SHOWS	EXPLORATION	1991-05-07	1991-11-04	\N	680-L	\N	NO	172	BB-87-043A- SP. 10870	3.10	26.000000	4995.00	4996.000000	67.500000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	12	NO	WILDCAT	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	182	NO	ED50	56	40	37.23	N	3	9	2.07	E	56.677008	3.150575	6281583.130000	509226.660000	31	2	4	\N	16	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1702	http://www.npd.no/FactMapSearch?NPDID_wellbore=1702	initial	\N	2007-01-18	1702	\N	\N	296326	0	21980	SAGA	2012-07-25	2012-07-25	2013-05-08
25/4-6 S	25/4-6	Elf Petroleum Norge AS	ELF	036	WILDCAT	\N	GAS/CONDENSATE	EXPLORATION	1991-04-15	1991-08-24	VALE	678-L	25/4-6 S VALE	YES	143	EL8802 - 110    SP 205	22.50	22.000000	4136.00	4170.000000	114.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	WILDCAT	1991	1991	\N	\N	17	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	132	NO	ED50	59	42	35.43	N	2	19	4.45	E	59.709842	2.317903	6619449.040000	461620.070000	31	25	4	\N	6	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1703	http://www.npd.no/FactMapSearch?NPDID_wellbore=1703	initial	\N	2006-02-15	1703	44258	1578893	287902	0	21076	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
30/9-11 A	30/9-11	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	SHOWS	EXPLORATION	1990-11-20	1990-12-29	\N	658-L	\N	NO	\N	NH 8502-187  CDP-LINJE 1508 - COL 745	\N	25.000000	\N	3002.000000	108.000000	EARLY JURASSIC	\N	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	9	NO	APPRAISAL	1990	1990	\N	\N	12	\N	\N	\N	\N	\N	\N	40	NO	ED50	60	19	27.89	N	2	55	44.00	E	60.324414	2.928889	6687700.500000	496072.290000	31	30	9	\N	11	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1705	http://www.npd.no/FactMapSearch?NPDID_wellbore=1705	sidetrack	30/9-11	9999-12-31	1705	\N	\N	297028	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6406/12-1 S	6406/12-1	Den norske stats oljeselskap a.s	STATOIL	157	WILDCAT	P&A	DRY	EXPLORATION	1990-12-15	1991-02-28	\N	662-L	\N	NO	147	ST9096-513 & SP 1613	26.80	23.000000	3891.00	3965.000000	329.000000	MIDDLE JURASSIC	MELKE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	12-B	NO	WILDCAT	1990	1991	\N	\N	1	\N	\N	\N	\N	\N	\N	76	NO	ED50	64	4	11.14	N	6	43	56.91	E	64.069761	6.732475	7106932.340000	389379.240000	32	6406	12	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1711	http://www.npd.no/FactMapSearch?NPDID_wellbore=1711	initial	\N	2004-03-02	1711	\N	\N	294382	0	22068	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/2-14	25/2-14	Elf Petroleum Norge AS	ELF	026	APPRAISAL	P&A	DRY	EXPLORATION	1991-01-25	1991-03-30	FRØY	666-L	25/5-1 FRØY	NO	126	EL8801   RAD  343   KOLONNE 1100	10.00	22.000000	3618.00	3623.000000	117.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	APPRAISAL	1991	1991	\N	\N	1	\N	\N	\N	\N	\N	\N	65	NO	ED50	59	45	53.52	N	2	35	24.04	E	59.764867	2.590011	6625450.980000	476968.640000	31	25	2	\N	14	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1712	http://www.npd.no/FactMapSearch?NPDID_wellbore=1712	initial	\N	2004-02-27	1712	44264	43597	287902	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/7-17	34/7-17	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	SHOWS	EXPLORATION	1991-02-25	1991-04-07	VIGDIS	668-L	34/7-8 VIGDIS	NO	103	GE-83 & ROW 341- COL. 1025	6.60	26.000000	3111.00	3115.000000	259.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	APPRAISAL	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	42	NO	ED50	61	20	50.69	N	2	5	42.31	E	61.347414	2.095086	6801982.380000	451591.070000	31	34	7	\N	17	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1713	http://www.npd.no/FactMapSearch?NPDID_wellbore=1713	initial	\N	2008-02-28	1713	44714	43732	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
24/9-4	24/9-4	Fina Production Licenses AS	FINA	150	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1991-04-17	1991-06-17	\N	675-L	24/9-3	NO	44	FI89 X-1017 / FI89 Y-1804	6.50	24.500000	2206.00	2208.000000	119.000000	PALEOCENE	LISTA FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	12	NO	WILDCAT	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	62	NO	ED50	59	23	21.95	N	1	47	20.29	E	59.389431	1.788969	6584194.970000	431209.790000	31	24	9	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1714	http://www.npd.no/FactMapSearch?NPDID_wellbore=1714	initial	\N	2004-12-01	1714	44180	\N	341331	0	22012	FINA PRODUCTION	2012-07-25	2012-07-25	2013-05-08
2/11-8	2/11-8	Norsk Hydro Produksjon AS	HYDRO	068	WILDCAT	P&A	DRY	EXPLORATION	1991-04-03	1991-07-11	\N	673-L	\N	NO	148	NH 8201 - 244   SP 1307	11.00	23.000000	4580.00	4584.000000	66.000000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	6	NO	WILDCAT	1991	1991	\N	\N	1	\N	\N	\N	\N	\N	\N	100	NO	ED50	56	8	8.60	N	3	20	46.64	E	56.135722	3.346289	6221376.900000	521522.540000	31	2	11	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1715	http://www.npd.no/FactMapSearch?NPDID_wellbore=1715	initial	\N	2004-05-18	1715	\N	\N	289333	0	21340	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-12	30/9-12	Norsk Hydro Produksjon AS	HYDRO	104	APPRAISAL	P&A	OIL	EXPLORATION	1991-04-07	1991-05-09	OSEBERG	671-L	30/6-1 OSEBERG	NO	118	NH 8831- ROW 143 &  COLUMN 520	3.40	25.000000	2994.00	2994.000000	104.000000	EARLY JURASSIC	COOK FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	9	NO	APPRAISAL	1991	1991	\N	\N	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	33	NO	ED50	60	25	57.09	N	2	51	34.90	E	60.432525	2.859694	6699747.910000	492276.080000	31	30	9	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1717	http://www.npd.no/FactMapSearch?NPDID_wellbore=1717	initial	\N	2004-06-29	1717	44396	43625	297028	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-5	34/8-5	Norsk Hydro Produksjon AS	HYDRO	120	APPRAISAL	P&A	SHOWS	EXPLORATION	1991-02-18	1991-04-01	VISUND	667-L	34/8-1 VISUND	NO	113	NH 9001-219 &  SP. 750	10.50	23.000000	3528.00	3540.000000	297.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	10-A	NO	APPRAISAL	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	43	NO	ED50	61	19	29.94	N	2	20	57.94	E	61.324983	2.349428	6799321.730000	465171.960000	31	34	8	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1719	http://www.npd.no/FactMapSearch?NPDID_wellbore=1719	initial	\N	2012-12-21	1719	44720	43745	296677	0	21772	HYDRO PRODUKSJON	2013-02-02	2013-02-02	2013-05-08
1/9-4 R	1/9-4	Den norske stats oljeselskap a.s	STATOIL	044	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1991-04-21	1991-04-26	TOMMELITEN GAMMA	182-L2	1/9-4 TOMMELITEN GAMMA	NO	150	line 404-410 shot point 100	7.50	25.000000	0.00	3710.000000	75.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1991	1991	\N	PLUGGING	17	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	6	YES	ED50	56	29	3.76	N	2	56	0.29	E	56.484378	2.933414	6260132.830000	495899.060000	31	1	9	\N	4	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1727	http://www.npd.no/FactMapSearch?NPDID_wellbore=1727	re-entry	1/9-4	2009-05-26	1727	43856	43444	294382	0	21140	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-3	6608/10-3	Den norske stats oljeselskap a.s	STATOIL	128	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1993-01-07	1993-03-11	NORNE	753-L	6608/10-2 NORNE	NO	115	B-18-83& SP. 1345	5.50	24.000000	2919.50	2921.000000	382.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	10-B	NO	APPRAISAL	1993	1993	\N	\N	13	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	64	NO	ED50	66	2	6.66	N	8	4	57.97	E	66.035183	8.082769	7324321.370000	458426.470000	32	6608	10	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1732	http://www.npd.no/FactMapSearch?NPDID_wellbore=1732	initial	\N	2002-09-24	1732	44942	43778	294382	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-34	34/10-34	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	SUSPENDED	OIL	EXPLORATION	1991-04-10	1991-05-31	GULLFAKS	672-L	34/10-34 GULLFAKS VEST	YES	84	ST 8511-364& SP. 327P	4.20	23.000000	2410.00	2410.000000	139.000000	EARLY JURASSIC	COOK FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1991	1991	\N	\N	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	52	NO	ED50	61	13	4.19	N	2	8	4.69	E	61.217831	2.134636	6787519.760000	453515.530000	31	34	10	\N	34	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1747	http://www.npd.no/FactMapSearch?NPDID_wellbore=1747	initial	\N	2006-10-19	1747	44624	43686	287983	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/8-5	6507/8-5	Den norske stats oljeselskap a.s	STATOIL	124	WILDCAT	P&A	DRY	EXPLORATION	1991-03-02	1991-03-16	\N	670-L	\N	NO	65	ST 8904-401 SP 350/ST 8002-494 SP 156	1.10	23.000000	2000.00	2000.000000	332.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	10-B	NO	WILDCAT	1991	1991	\N	\N	1	\N	\N	\N	\N	\N	\N	15	NO	ED50	65	20	36.75	N	7	38	4.70	E	65.343542	7.634639	7247612.810000	436442.870000	32	6507	8	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1749	http://www.npd.no/FactMapSearch?NPDID_wellbore=1749	initial	\N	2004-03-08	1749	\N	\N	294382	0	21804	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/11-2	6506/11-2	Den norske stats oljeselskap a.s	STATOIL	134	WILDCAT	P&A	OIL/GAS	EXPLORATION	1991-05-08	1991-10-26	\N	681-L	6506/11-2 LANGE	YES	166	ST 8801-280 &  SP. 220	5.50	23.000000	4806.00	4813.000000	297.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	11-A	NO	WILDCAT	1991	1991	\N	\N	13	LANGE FM	LATE CRETACEOUS	ILE FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC      	172	NO	ED50	65	3	25.32	N	6	37	22.39	E	65.057033	6.622886	7217095.510000	388157.270000	32	6506	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1754	http://www.npd.no/FactMapSearch?NPDID_wellbore=1754	initial	\N	2007-06-28	1754	44894	\N	294382	0	21884	STATOIL	2013-05-01	2013-05-01	2013-05-08
2/7-26 S	2/7-26	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1991-03-20	1991-09-13	EMBLA	674-L	2/7-20 EMBLA	NO	167	PC-88  LINE 369 & COLUMN 1061	24.00	29.000000	4697.00	4848.000000	70.800000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	WEST DELTA	SEMISUB STEEL	1-A	NO	APPRAISAL	1991	1991	2/7-D-26	\N	5	NO GROUP DEFINED	DEVONIAN	\N	\N	\N	\N	178	NO	ED50	56	19	59.59	N	3	14	53.55	E	56.333219	3.248208	6243333.200000	515347.490000	31	2	7	\N	26	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1756	http://www.npd.no/FactMapSearch?NPDID_wellbore=1756	initial	\N	2009-05-26	1756	44132	43534	287821	2120	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
3/7-5	3/7-5	A/S Norske Shell	SHELL	147	WILDCAT	P&A	SHOWS	EXPLORATION	1991-12-06	1992-02-07	\N	708-L	\N	NO	126	SH8901-104 KRYSSN. 87-233	20.90	25.000000	0.00	3666.000000	67.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DYVI STENA	SEMISUB STEEL	12	NO	WILDCAT	1991	1992	\N	\N	12	\N	\N	\N	\N	\N	\N	64	NO	ED50	56	28	47.00	N	4	18	17.60	E	56.479722	4.304889	6260375.710000	580373.350000	31	3	7	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1759	http://www.npd.no/FactMapSearch?NPDID_wellbore=1759	initial	\N	2009-03-09	1759	\N	\N	290980	0	21988	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
15/5-4	15/5-4	Norsk Hydro Produksjon AS	HYDRO	048	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1991-06-06	1991-07-03	ENOCH	682-L	15/5 ENOCH/SELE	NO	\N	NH 9068-109 AND NH 9068-312	\N	25.000000	\N	2300.000000	112.000000	PALEOCENE	\N	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	3	NO	APPRAISAL	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	28	NO	ED50	58	38	28.40	N	1	33	8.87	E	58.641222	1.552464	6501158.600000	415972.130000	31	15	5	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1762	http://www.npd.no/FactMapSearch?NPDID_wellbore=1762	initial	\N	9999-12-31	1762	48253	3437659	297028	0	21172	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
16/10-2	16/10-2	Norsk Agip  AS	AGIP	101	WILDCAT	P&A	DRY	EXPLORATION	1991-06-20	1991-08-01	\N	685-L	\N	NO	117	NA85 - 6 &  SP. 910	4.60	25.000000	3148.00	3150.000000	79.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	9	NO	WILDCAT	1991	1991	\N	\N	1	\N	\N	\N	\N	\N	\N	43	NO	ED50	58	8	26.58	N	2	2	14.91	E	58.140717	2.037475	6444927.850000	443327.640000	31	16	10	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1767	http://www.npd.no/FactMapSearch?NPDID_wellbore=1767	initial	\N	2004-02-27	1767	\N	\N	341331	0	21612	AGIP	2012-07-25	2012-07-25	2013-05-08
15/9-17 R	15/9-17	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1991-04-28	1991-05-04	SLEIPNER ØST	356-L2	15/9-17 LOKE	NO	\N	610 - 168 &  SP. 93	\N	25.000000	\N	3123.000000	86.000000	TRIASSIC	\N	NORTH SEA	ROSS RIG	SEMISUB STEEL	3	NO	WILDCAT	1991	1991	\N	PLUGGING	17	\N	PALEOCENE	\N	TRIASSIC	\N	\N	7	YES	ED50	58	26	44.19	N	1	56	53.58	E	58.445608	1.948217	6478951.280000	438602.650000	31	15	9	\N	17	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1768	http://www.npd.no/FactMapSearch?NPDID_wellbore=1768	re-entry	15/9-17	9999-12-31	1768	43928	43478	294382	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-12 A	30/9-12	Norsk Hydro Produksjon AS	HYDRO	104	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1991-05-09	1991-06-04	OSEBERG	683-L	30/6-1 OSEBERG	NO	110	NH 8831- ROW 143 & COLUMN 520	24.50	25.000000	2927.00	3061.000000	104.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	9	NO	APPRAISAL	1991	1991	\N	\N	5	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	27	NO	ED50	60	25	57.09	N	2	51	34.90	E	60.432525	2.859694	6699747.910000	492276.080000	31	30	9	\N	12	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1770	http://www.npd.no/FactMapSearch?NPDID_wellbore=1770	sidetrack	30/9-12	2004-06-29	1770	44396	43625	297028	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/12-8	15/12-8	Den norske stats oljeselskap a.s	STATOIL	038	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1991-06-05	1991-07-14	\N	684-L	15/12-8	YES	120	ST 8802- ROW 547 & COLUMN 580.	6.40	23.000000	3052.00	3054.000000	87.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	3	NO	WILDCAT	1991	1991	\N	\N	17	VESTLAND GP	LATE JURASSIC	SKAGERRAK FM	TRIASSIC	\N	\N	40	NO	ED50	58	3	1.85	N	1	58	3.41	E	58.050514	1.967614	6434946.270000	439060.860000	31	15	12	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1778	http://www.npd.no/FactMapSearch?NPDID_wellbore=1778	initial	\N	2007-10-17	1778	43874	\N	287983	0	21092	STATOIL	2012-12-07	2012-12-07	2013-05-08
35/11-5	35/11-5	Mobil Exploration Norway INC	MOBIL	090	WILDCAT	P&A	OIL/GAS	EXPLORATION	1991-06-27	1991-11-03	\N	687-L	\N	YES	134	MN 88-814 &  SP. 822	2.20	27.000000	3768.00	3769.000000	355.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	SOVEREIGN EXPLOR	SEMISUB STEEL	8	NO	WILDCAT	1991	1991	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	TARBERT FM	MIDDLE JURASSIC	\N	\N	130	NO	ED50	61	4	45.58	N	3	23	53.49	E	61.079328	3.398192	6771849.340000	521483.790000	31	35	11	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1780	http://www.npd.no/FactMapSearch?NPDID_wellbore=1780	initial	\N	2005-05-16	1780	\N	\N	289846	0	21524	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
6608/10-2	6608/10-2	Den norske stats oljeselskap a.s	STATOIL	128	WILDCAT	P&A	OIL/GAS	EXPLORATION	1991-10-28	1992-01-29	NORNE	701-L	6608/10-2 NORNE	YES	133	NRGS 85 -NRGS84  -  451& SP. 780	4.00	23.000000	3677.00	3678.000000	374.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	10-B	NO	WILDCAT	1991	1992	\N	\N	13	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	94	NO	ED50	66	0	49.35	N	8	4	26.48	E	66.013708	8.074022	7321933.620000	457994.680000	32	6608	10	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1782	http://www.npd.no/FactMapSearch?NPDID_wellbore=1782	initial	\N	2007-12-21	1782	44942	43778	294382	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
7/12-11	7/12-11	BP Norway Limited  U.A.	BP	164	WILDCAT	P&A	SHOWS	EXPLORATION	1991-08-31	1991-11-06	\N	696-L	\N	NO	142	BPN  91 - 228  SP  196.5	2.20	22.000000	3864.00	3868.000000	68.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	13	NO	WILDCAT	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	68	NO	ED50	57	7	10.71	N	2	58	33.19	E	57.119642	2.975886	6330846.330000	498539.760000	31	7	12	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1787	http://www.npd.no/FactMapSearch?NPDID_wellbore=1787	initial	\N	2004-03-08	1787	\N	\N	296245	0	22124	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
6607/5-2	6607/5-2	Esso Exploration and Production Norway A/S	ESSO	126	WILDCAT	P&A	DRY	EXPLORATION	1991-08-07	1991-11-17	\N	694-L	\N	NO	140	NRGS - 84 - 479 &  SP. 1005	15.00	25.000000	4666.00	4684.000000	523.000000	LATE CRETACEOUS	KVITNOS FM	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	10-B	NO	WILDCAT	1991	1991	\N	\N	1	\N	\N	\N	\N	\N	\N	103	NO	ED50	66	41	3.38	N	7	21	22.52	E	66.684272	7.356256	7397329.730000	427403.490000	32	6607	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1789	http://www.npd.no/FactMapSearch?NPDID_wellbore=1789	initial	\N	2002-05-29	1789	\N	\N	290980	0	21820	ESSO	2012-07-25	2012-10-29	2013-05-08
2/4-17	2/4-17	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	1991-07-21	1992-02-29	\N	689-L	2/4-17 TJALVE	YES	182	PC 88-0614- SP. 160	9.60	43.000000	5255.00	5258.000000	68.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1991	1992	\N	\N	17	ULA FM	LATE JURASSIC	\N	\N	\N	\N	224	NO	ED50	56	41	2.60	N	3	13	45.20	E	56.684056	3.229222	6282380.930000	514043.230000	31	2	4	\N	17	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1792	http://www.npd.no/FactMapSearch?NPDID_wellbore=1792	initial	\N	2006-02-15	1792	44066	\N	292114	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
36/7-1	36/7-1	Norsk Hydro Produksjon AS	HYDRO	153	WILDCAT	P&A	OIL/GAS	EXPLORATION	1996-03-31	1996-05-07	GJØA	842-L	36/7-1	YES	81	NH 8902-INLINE 928 & CROSSLINE 900	8.80	22.000000	2839.00	2841.000000	358.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	12	NO	WILDCAT	1996	1996	\N	\N	13	INTRA DRAUPNE FM SS	LATE JURASSIC	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC     	38	NO	ED50	61	21	13.49	N	4	0	57.22	E	61.353747	4.015894	6802775.150000	554334.610000	31	36	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1794	http://www.npd.no/FactMapSearch?NPDID_wellbore=1794	initial	\N	2006-05-23	1794	44792	4467574	287902	0	22036	HYDRO PRODUKSJON	2012-07-25	2013-01-18	2013-05-08
33/9-16	33/9-16	Mobil Exploration Norway INC	MOBIL	172	WILDCAT	P&A	SHOWS	EXPLORATION	1992-11-28	1993-01-20	\N	750-L	\N	NO	101	E86R91-line715 & xline1025	1.66	22.000000	2870.00	2870.000000	227.000000	MIDDLE JURASSIC	NESS FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	13	NO	APPRAISAL	1992	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	53	NO	ED50	61	23	28.81	N	1	57	1.93	E	61.391336	1.950536	6806990.410000	443937.380000	31	33	9	\N	16	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1801	http://www.npd.no/FactMapSearch?NPDID_wellbore=1801	initial	\N	2003-09-24	1801	\N	\N	296245	0	22188	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
6305/12-1	6305/12-1	Norsk Hydro Produksjon AS	HYDRO	154	WILDCAT	P&A	SHOWS	EXPLORATION	1991-07-29	1991-09-18	\N	693-L	\N	NO	146	NM 1 - 418 & SP. 1130	8.50	23.000000	4296.00	4302.000000	176.500000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	12-B	NO	WILDCAT	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	52	NO	ED50	63	1	25.73	N	5	47	23.94	E	63.023814	5.789983	6991476.940000	641178.970000	31	6305	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1808	http://www.npd.no/FactMapSearch?NPDID_wellbore=1808	initial	\N	2005-08-08	1808	\N	\N	296677	0	22044	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-15	33/9-15	Mobil Exploration Norway INC	MOBIL	172	WILDCAT	P&A	SHOWS	EXPLORATION	1992-04-23	1992-06-08	\N	727-L	\N	NO	100	E86X403&  SP. 1001	2.80	26.500000	3006.90	3007.000000	252.500000	MIDDLE JURASSIC	ETIVE FM	NORTH SEA	SOVEREIGN EXPLOR	SEMISUB STEEL	13	NO	WILDCAT	1992	1992	\N	\N	12	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	47	NO	ED50	61	24	24.67	N	1	57	15.76	E	61.406853	1.954378	6808715.450000	444170.280000	31	33	9	\N	15	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1810	http://www.npd.no/FactMapSearch?NPDID_wellbore=1810	initial	\N	2004-02-27	1810	\N	\N	289846	0	22188	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
30/9-13 S	30/9-13	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1991-07-05	1991-10-11	OSEBERG SØR	688-L	30/9-13 S OSEBERG SØR	YES	140	NH 8502-ROW 267 &  COLUMN 592	31.20	25.000000	3964.00	4027.000000	106.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	9	NO	WILDCAT	1991	1991	\N	\N	13	INTRA HEATHER FM SS	MIDDLE JURASSIC	TARBERT FM	MIDDLE JURASSIC	\N	\N	99	NO	ED50	60	21	37.69	N	2	43	17.78	E	60.360469	2.721606	6691746.630000	484640.300000	31	30	9	\N	13	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1811	http://www.npd.no/FactMapSearch?NPDID_wellbore=1811	initial	\N	2004-06-29	1811	44474	43645	297028	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/10-6	30/10-6	Elf Petroleum Norge AS	ELF	142	WILDCAT	P&A	GAS	EXPLORATION	1992-01-13	1992-11-09	\N	712-L	30/10-6	YES	180	EL 8807- REKKE 129& KOLONNE 810	3.00	18.000000	5246.00	5248.000000	91.000000	MIDDLE JURASSIC	NESS FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	11-B	NO	WILDCAT	1992	1992	\N	\N	9	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	302	NO	ED50	60	9	13.65	N	2	12	37.38	E	60.153792	2.210383	6668957.090000	456160.100000	31	30	10	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1816	http://www.npd.no/FactMapSearch?NPDID_wellbore=1816	initial	\N	2003-12-17	1816	44366	\N	297514	0	21948	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/7-18	34/7-18	Saga Petroleum ASA	SAGA	089	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1991-07-20	1991-09-17	\N	690-L	\N	NO	83	GE - 8431R: ROW 95 & COLUMN 1075	2.60	18.000000	2443.00	2443.000000	242.500000	EARLY JURASSIC	DRAKE FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	8	NO	WILDCAT	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	60	NO	ED50	61	19	10.75	N	2	6	40.26	E	61.319653	2.111183	6798878.300000	452410.070000	31	34	7	\N	18	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1819	http://www.npd.no/FactMapSearch?NPDID_wellbore=1819	initial	\N	2008-02-28	1819	\N	\N	297514	0	21516	SAGA	2012-07-25	2012-11-20	2013-05-08
31/2-16 SR	31/2-16	Norsk Hydro Produksjon AS	HYDRO	054	APPRAISAL	RE-CLASS TO DEV	OIL/GAS	EXPLORATION	1991-06-26	1991-07-08	TROLL	622-L2	31/2-1 TROLL VEST	NO	67	NH 8901 - 1145 SP.336	0.00	24.000000	1588.00	2391.000000	354.000000	LATE JURASSIC	SOGNEFJORD FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	4	NO	APPRAISAL	1991	1991	31/2-F-5 H	PLUGGING	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	13	YES	ED50	60	46	0.00	N	3	25	27.55	E	60.766667	3.424319	6737031.980000	523118.870000	31	31	2	\N	16	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1820	http://www.npd.no/FactMapSearch?NPDID_wellbore=1820	re-entry	31/2-16 S	2008-12-18	1820	44534	46437	296677	2616	21228	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
35/10-1	35/10-1	Den norske stats oljeselskap a.s	STATOIL	173	WILDCAT	P&A	OIL	EXPLORATION	1991-08-01	1992-01-16	\N	692-L	\N	YES	147	NOD4 - 84 - 06 &  SP. 2030	5.90	23.000000	3982.00	3986.000000	361.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	13	NO	WILDCAT	1991	1992	\N	\N	5	LISTA FM	PALEOCENE	\N	\N	\N	\N	169	NO	ED50	61	7	2.05	N	3	13	34.87	E	61.117236	3.226353	6776027.740000	512197.930000	31	35	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1822	http://www.npd.no/FactMapSearch?NPDID_wellbore=1822	initial	\N	2006-12-15	1822	\N	\N	287983	0	22196	STATOIL	2013-01-22	2013-01-22	2013-05-08
31/5-4 AR	31/5-4	Norsk Hydro Produksjon AS	HYDRO	085	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1991-07-09	1991-07-18	TROLL	656-L2	31/2-1 TROLL VEST	NO	69	NH 9056-209 &  SP.95	93.00	24.000000	1579.00	2603.000000	316.000000	LATE JURASSIC	SOGNEFJORD FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1991	1991	\N	TESTING	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	10	YES	ED50	60	43	16.19	N	3	33	43.06	E	60.721164	3.561961	6732020.100000	530661.480000	31	31	5	\N	4	AR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1832	http://www.npd.no/FactMapSearch?NPDID_wellbore=1832	re-entry	31/5-4 A	2006-06-06	1832	44534	46437	296677	0	21476	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/5-9	2/5-9	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1991-09-10	1992-01-18	\N	697-L	\N	NO	167	SGT 8606 - 2203   SP 4203	12.50	22.000000	5443.00	5460.000000	69.000000	LATE JURASSIC	HAUGESUND FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	1-A	NO	WILDCAT	1991	1992	\N	\N	12	\N	\N	\N	\N	\N	\N	131	NO	ED50	56	32	7.18	N	3	33	13.43	E	56.535328	3.553731	6265939.430000	534057.550000	31	2	5	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1834	http://www.npd.no/FactMapSearch?NPDID_wellbore=1834	initial	\N	2009-10-26	1834	\N	\N	287902	0	20804	AMOCO	2013-05-01	2013-05-01	2013-05-08
15/12-8 A	15/12-8	Den norske stats oljeselskap a.s	STATOIL	038	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1991-07-14	1991-07-29	\N	691-L	15/12-8	NO	123	ST 8802- ROW 547 & COLUMN 580	0.00	23.000000	2939.00	2940.000000	87.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	3	NO	APPRAISAL	1991	1991	\N	\N	17	VESTLAND GP	LATE JURASSIC	SKAGERRAK FM	TRIASSIC	\N	\N	16	NO	ED50	58	3	1.85	N	1	58	3.41	E	58.050514	1.967614	6434946.270000	439060.860000	31	15	12	\N	8	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1835	http://www.npd.no/FactMapSearch?NPDID_wellbore=1835	sidetrack	15/12-8	2007-10-17	1835	43874	\N	287983	0	21092	STATOIL	2012-12-07	2012-12-07	2013-05-08
7128/6-1	7128/6-1	Conoco Norway Inc.	CONOCO	181	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1991-08-11	1991-11-08	\N	695-L	\N	NO	74	BPGC. 87-116 &  SP. 546	5.80	23.500000	0.00	2543.000000	336.000000	PRE-DEVONIAN	BASEMENT	BARENTS SEA	ARCADE FRONTIER	SEMISUB STEEL	13	NO	WILDCAT	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	90	NO	ED50	71	31	4.99	N	28	49	3.41	E	71.518053	28.817614	7936359.060000	564304.640000	35	7128	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1836	http://www.npd.no/FactMapSearch?NPDID_wellbore=1836	initial	\N	2004-12-02	1836	\N	\N	295084	0	22260	CONOCO	2012-11-02	2012-11-02	2013-05-08
34/7-19	34/7-19	Saga Petroleum ASA	SAGA	089	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1991-09-24	1991-12-27	VIGDIS	698-L	34/7-8 VIGDIS	NO	91	GE-83: RAD 237 & KOLONNE 1037	2.70	18.000000	2800.00	2800.000000	285.000000	EARLY JURASSIC	COOK FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	8	NO	APPRAISAL	1991	1991	\N	\N	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	95	NO	ED50	61	23	38.96	N	2	5	31.46	E	61.394156	2.092072	6807191.070000	451502.270000	31	34	7	\N	19	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1838	http://www.npd.no/FactMapSearch?NPDID_wellbore=1838	initial	\N	2008-02-28	1838	44714	43732	297514	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
1/6-6	1/6-6	A/S Norske Shell	SHELL	011	WILDCAT	P&A	SHOWS	EXPLORATION	1992-02-10	1993-03-08	\N	718-L	\N	NO	190	ALBUSKJELL 3D KRYSS RAD 423 & KOLONNE 79	4.60	25.000000	5562.00	5565.000000	70.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	DYVI STENA	SEMISUB STEEL	1-A	NO	WILDCAT	1992	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	393	NO	ED50	56	36	41.13	N	2	57	18.19	E	56.611425	2.955053	6274273.590000	497241.020000	31	1	6	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1839	http://www.npd.no/FactMapSearch?NPDID_wellbore=1839	initial	\N	2009-06-17	1839	\N	\N	290980	0	20844	SHELL NORGE	2012-07-25	2013-04-24	2013-05-08
6507/2-2	6507/2-2	Norsk Hydro Produksjon AS	HYDRO	122	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1991-10-21	1992-03-16	MARULK	702-L	6507/2-2 MARULK	YES	141	NH   9010 - 102 &   SP 565	10.00	23.000000	3953.00	3958.000000	384.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	10-B	NO	WILDCAT	1991	1992	\N	\N	17	LYSING FM	LATE CRETACEOUS	LANGE FM	LATE CRETACEOUS	\N	\N	148	NO	ED50	65	55	1.69	N	7	30	54.56	E	65.917136	7.515156	7311658.690000	432391.000000	32	6507	2	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1840	http://www.npd.no/FactMapSearch?NPDID_wellbore=1840	initial	\N	2007-12-19	1840	44918	18212090	289333	0	21788	HYDRO PRODUKSJON	2012-07-25	2012-12-12	2013-05-08
34/8-6	34/8-6	Norsk Hydro Produksjon AS	HYDRO	120	WILDCAT	P&A	SHOWS	EXPLORATION	1991-09-21	1991-11-03	\N	699-L	\N	NO	122	NH9001 - 597 A   SP. 291	3.80	23.500000	3948.00	3950.000000	376.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	10-A	NO	WILDCAT	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	44	NO	ED50	61	26	31.36	N	2	28	33.35	E	61.442044	2.475931	6812300.640000	472048.810000	31	34	8	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1842	http://www.npd.no/FactMapSearch?NPDID_wellbore=1842	initial	\N	2004-02-27	1842	\N	\N	296677	0	21772	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/2-5	2/2-5	Saga Petroleum ASA	SAGA	066	WILDCAT	P&A	OIL	EXPLORATION	1991-11-07	1992-02-19	\N	705-L	2/2-5	YES	160	SG - 8752 - 315   SP 310	4.50	26.000000	4081.00	4082.000000	63.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	6	NO	WILDCAT	1991	1992	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	105	NO	ED50	56	50	5.80	N	3	27	22.90	E	56.834944	3.456361	6299246.570000	527846.840000	31	2	2	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1846	http://www.npd.no/FactMapSearch?NPDID_wellbore=1846	initial	\N	2003-12-17	1846	44036	\N	296326	0	21324	SAGA	2012-07-25	2012-07-25	2013-05-08
30/6-24 S	30/6-24	Norsk Hydro Produksjon AS	HYDRO	170	WILDCAT	P&A	SHOWS	EXPLORATION	1991-10-13	1991-12-07	\N	700-L	\N	NO	\N	NH 850 - 110   SP. 182	\N	25.000000	\N	3986.000000	144.000000	LATE TRIASSIC	\N	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	13	NO	WILDCAT	1991	1991	\N	\N	12	\N	\N	\N	\N	\N	\N	56	NO	ED50	60	42	2.74	N	2	41	34.28	E	60.700761	2.692856	6729655.590000	483230.990000	31	30	6	\N	24	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1855	http://www.npd.no/FactMapSearch?NPDID_wellbore=1855	initial	\N	9999-12-31	1855	\N	\N	297028	0	22172	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/8-1	6407/8-1	BP Norway Limited  U.A.	BP	158	WILDCAT	P&A	SHOWS	EXPLORATION	1992-03-27	1992-06-07	\N	726-L	\N	NO	100	BPN 89-129 & SP. 693	6.90	23.000000	4645.00	4650.000000	284.000000	MIDDLE JURASSIC	MELKE FM	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	12-B	NO	WILDCAT	1992	1992	\N	\N	12	CROMER KNOLL GP	EARLY CRETACEOUS	\N	\N	\N	\N	73	NO	ED50	64	23	29.16	N	7	21	26.14	E	64.391433	7.357261	7141835.210000	420778.760000	32	6407	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1859	http://www.npd.no/FactMapSearch?NPDID_wellbore=1859	initial	\N	2004-03-02	1859	\N	\N	296245	0	22076	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/7-21 SR	2/7-21	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1991-09-13	1991-10-14	EMBLA	610-L2	2/7-20 EMBLA	NO	0	NS 210 SP 720	44.90	29.000000	4713.00	5046.000000	71.000000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	WEST DELTA	SEMISUB STEEL	1-A	NO	APPRAISAL	1991	1991	2/7-D-21	TESTING	5	NO GROUP DEFINED	DEVONIAN	\N	\N	\N	\N	32	YES	ED50	56	19	59.65	N	3	14	53.89	E	56.333236	3.248303	6243335.070000	515353.320000	31	2	7	\N	21	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1861	http://www.npd.no/FactMapSearch?NPDID_wellbore=1861	re-entry	2/7-21 S	2009-05-26	1861	44132	43534	287821	2111	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
6610/3-1	6610/3-1	Den norske stats oljeselskap a.s	STATOIL	177	WILDCAT	SUSP.REENTERED LATER	SHOWS	EXPLORATION	1992-10-29	1993-02-17	\N	748-L	\N	NO	144	ST 9104-437& SP. 335	3.30	23.000000	0.00	3126.000000	309.000000	LATE CRETACEOUS	LANGE FM	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	13	NO	WILDCAT	1992	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	112	NO	ED50	66	55	29.70	N	10	54	6.28	E	66.924917	10.901744	7424470.290000	583170.040000	32	6610	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1864	http://www.npd.no/FactMapSearch?NPDID_wellbore=1864	initial	\N	2005-06-27	1864	\N	\N	287983	0	22228	STATOIL	2012-07-25	2012-09-20	2013-05-08
2/1-10	2/1-10	BP Norway Limited  U.A.	BP	164	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1991-11-09	1992-01-14	\N	703-L	\N	NO	163	GYDA 3D  IN LINE  122   X- LINE  1006	6.65	23.000000	4523.10	4525.000000	66.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	13	NO	WILDCAT	1991	1992	\N	\N	12	\N	\N	\N	\N	\N	\N	67	NO	ED50	56	57	53.61	N	3	1	19.70	E	56.964892	3.022139	6313619.420000	501346.220000	31	2	1	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1865	http://www.npd.no/FactMapSearch?NPDID_wellbore=1865	initial	\N	2002-09-24	1865	\N	\N	296245	0	22124	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
2/1-9 A	2/1-9	BP Norway Limited  U.A.	BP	019 B	APPRAISAL	P&A	OIL	EXPLORATION	1992-01-18	1992-03-08	GYDA	713-L	2/1-9 GYDA SØR	NO	138	GYDA 3D IN LINE 580  x- LINE  556	60.00	23.000000	4124.00	4379.000000	66.000000	LATE JURASSIC	ULA FM	NORTH SEA	ROSS ISLE	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	APPRAISAL	1992	1992	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	51	NO	ED50	56	51	37.77	N	3	5	4.77	E	56.860492	3.084658	6302000.770000	505162.300000	31	2	1	\N	9	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1867	http://www.npd.no/FactMapSearch?NPDID_wellbore=1867	sidetrack	2/1-9	2007-10-17	1867	44018	43492	296245	0	20924	BP NORWAY LIMITED U.A.	2013-01-22	2013-01-22	2013-05-08
7/7-2	7/7-2	Den norske stats oljeselskap a.s	STATOIL	148	WILDCAT	P&A	OIL	EXPLORATION	1992-01-20	1992-04-25	BRYNHILD	710-L	7/7-2 BRYNHILD	YES	147	AHN 8707 - 212    SP.  110	3.40	23.000000	3430.00	3430.000000	82.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	12	NO	WILDCAT	1992	1992	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	97	NO	ED50	57	29	4.16	N	2	18	17.59	E	57.484489	2.304886	6371675.990000	458321.930000	31	7	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1868	http://www.npd.no/FactMapSearch?NPDID_wellbore=1868	initial	\N	2006-10-19	1868	44984	21123063	287983	0	21996	STATOIL	2012-07-25	2012-07-25	2013-05-08
7122/4-1	7122/4-1	Esso Exploration and Production Norway A/S	ESSO	178	WILDCAT	P&A	SHOWS	EXPLORATION	1991-11-13	1992-01-13	\N	706-L	\N	NO	104	GFW  3 - 117    SP 1113	0.00	23.500000	0.00	3015.000000	344.500000	LATE TRIASSIC	SNADD FM	BARENTS SEA	ARCADE FRONTIER	SEMISUB STEEL	13	NO	WILDCAT	1991	1992	\N	\N	12	\N	\N	\N	\N	\N	\N	62	NO	ED50	71	44	50.47	N	22	5	6.39	E	71.747353	22.085108	7961309.500000	537933.230000	34	7122	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1869	http://www.npd.no/FactMapSearch?NPDID_wellbore=1869	initial	\N	2004-05-18	1869	\N	\N	295084	0	22236	ESSO	2012-07-25	2012-07-25	2013-05-08
25/11-15	25/11-15	Norsk Hydro Produksjon AS	HYDRO	169	WILDCAT	P&A	OIL	EXPLORATION	1991-11-10	1991-12-25	GRANE	704-L	25/11-15 GRANE	YES	85	EU90-161& SP. 142/EB88-115& SP. 2526	2.50	24.000000	2035.00	2035.000000	127.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	13	NO	WILDCAT	1991	1991	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	46	NO	ED50	59	11	3.50	N	2	29	3.82	E	59.184306	2.484394	6560840.350000	470534.450000	31	25	11	\N	15	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1872	http://www.npd.no/FactMapSearch?NPDID_wellbore=1872	initial	\N	2011-06-20	1872	44216	1035937	296677	0	22164	HYDRO PRODUKSJON	2013-02-14	2013-02-14	2013-05-08
34/10-35	34/10-35	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1992-02-05	1992-07-01	VALEMON	715-L	34/10-23 VALEMON	NO	156	ST 8720-REKKE 507 & KOLONNE 1181	6.70	24.000000	4304.00	4310.000000	135.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1992	1992	\N	\N	17	NESS FM	MIDDLE JURASSIC	COOK FM	EARLY JURASSIC	\N	\N	148	NO	ED50	61	4	16.17	N	2	19	16.77	E	61.071158	2.321325	6771063.850000	463374.050000	31	34	10	\N	35	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1874	http://www.npd.no/FactMapSearch?NPDID_wellbore=1874	initial	\N	2013-03-15	1874	44618	20460969	294382	0	21188	STATOIL	2013-03-20	2013-03-20	2013-05-08
2/7-20 R	2/7-20	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	RE-CLASS TO DEV	OIL	EXPLORATION	1991-10-14	1991-11-01	EMBLA	566-L4	2/7-20 EMBLA	NO	0	NS 210  SP.720	5.20	22.000000	4507.00	4505.000000	71.000000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	WEST DELTA	SEMISUB STEEL	1-A	NO	WILDCAT	1991	1991	2/7-D-20	PLUGGING	5	NO GROUP DEFINED	DEVONIAN	\N	\N	\N	\N	19	YES	ED50	56	20	0.10	N	3	14	54.70	E	56.333361	3.248528	6243349.040000	515367.190000	31	2	7	\N	20	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1875	http://www.npd.no/FactMapSearch?NPDID_wellbore=1875	re-entry	2/7-20	2012-10-10	1875	44132	43534	287821	2121	20900	PHILLIPS	2013-01-19	2013-01-19	2013-05-08
2/7-27 S	2/7-27	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1991-11-09	1992-06-17	EMBLA	707-L	2/7-20 EMBLA	NO	168	LINJE PC-297 KRYSSN.PKT. TRASE 1143	41.80	29.000000	4452.00	4801.000000	71.000000	DEVONIAN	NO GROUP DEFINED	NORTH SEA	WEST DELTA	SEMISUB STEEL	1-A	NO	APPRAISAL	1991	1992	2/7-D-27	\N	5	NO GROUP DEFINED	DEVONIAN	\N	\N	\N	\N	222	NO	ED50	56	19	59.81	N	3	14	53.77	E	56.333281	3.248269	6243340.010000	515351.240000	31	2	7	\N	27	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1878	http://www.npd.no/FactMapSearch?NPDID_wellbore=1878	initial	\N	2012-12-05	1878	44132	43534	287821	2096	20900	PHILLIPS	2013-02-02	2013-02-02	2013-05-08
35/11-6	35/11-6	Mobil Exploration Norway INC	MOBIL	090	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1992-01-30	1992-04-20	VEGA	714-L	35/11-2 VEGA SØR	NO	144	MN9003 - 302 &   SP 632	2.50	27.000000	3989.00	3995.000000	370.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	SOVEREIGN EXPLOR	SEMISUB STEEL	8	NO	APPRAISAL	1992	1992	\N	\N	12	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	82	NO	ED50	61	11	45.82	N	3	27	55.46	E	61.196061	3.465406	6784876.160000	525017.660000	31	35	11	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1879	http://www.npd.no/FactMapSearch?NPDID_wellbore=1879	initial	\N	2005-06-15	1879	44744	4467595	289846	0	21524	MOBIL EXPLORATION NORWAY INC	2012-09-01	2013-01-11	2013-05-08
35/12-1	35/12-1	Saga Petroleum ASA	SAGA	174	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1992-02-27	1992-04-24	\N	720-L	\N	NO	91	NO.D4-84-83 & SP. 920	4.40	26.000000	3018.00	3020.000000	351.000000	EARLY JURASSIC	AMUNDSEN FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	13	NO	WILDCAT	1992	1992	\N	\N	12	\N	\N	\N	\N	\N	\N	58	NO	ED50	61	11	4.06	N	3	57	45.41	E	61.184461	3.962614	6783875.970000	551762.890000	31	35	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1881	http://www.npd.no/FactMapSearch?NPDID_wellbore=1881	initial	\N	2004-02-27	1881	\N	\N	296326	0	22204	SAGA	2012-07-25	2012-07-25	2013-05-08
35/11-4 R	35/11-4	Mobil Exploration Norway INC	MOBIL	090	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1991-11-16	1992-01-27	FRAM	642-L3	35/11-4 FRAM	NO	117	MN88 - 814  SP 440	5.70	26.500000	3135.50	3136.500000	355.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	SOVEREIGN EXPLOR	SEMISUB STEEL	8	NO	APPRAISAL	1991	1992	\N	TESTING/PLUGGING	13	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC	BRENT GP	MIDDLE JURASSIC     	73	YES	ED50	61	1	59.93	N	3	32	53.58	E	61.033314	3.548217	6766782.480000	529620.950000	31	35	11	\N	4	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1883	http://www.npd.no/FactMapSearch?NPDID_wellbore=1883	re-entry	35/11-4	2005-04-25	1883	44750	1578840	289846	0	21524	MOBIL EXPLORATION NORWAY INC	2013-04-19	2013-04-19	2013-05-08
31/2-17 S	31/2-17	Norsk Hydro Produksjon AS	HYDRO	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1991-12-28	1992-01-20	TROLL	709-L	31/2-1 TROLL VEST	NO	80	NH-8901- LINJE 794 &  SP. 1404	55.80	24.000000	1705.00	2220.000000	341.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	4	NO	APPRAISAL	1991	1992	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC	\N	\N	24	NO	ED50	60	52	57.08	N	3	27	5.79	E	60.882522	3.451608	6749946.420000	524516.870000	31	31	2	\N	17	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1885	http://www.npd.no/FactMapSearch?NPDID_wellbore=1885	initial	\N	2006-06-06	1885	44534	46437	296677	0	21228	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-17 A	31/2-17	Norsk Hydro Produksjon AS	HYDRO	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1992-01-20	1992-01-31	TROLL	716-L	31/2-1 TROLL VEST	NO	85	NH-8901- LINJE 794 & SP. 1404	0.00	24.000000	1712.00	1924.000000	341.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	4	NO	APPRAISAL	1992	1992	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	12	NO	ED50	60	52	57.08	N	3	27	5.79	E	60.882522	3.451608	6749946.420000	524516.870000	31	31	2	\N	17	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1898	http://www.npd.no/FactMapSearch?NPDID_wellbore=1898	sidetrack	31/2-17 S	2006-06-06	1898	44534	46437	296677	0	21228	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-17 B	31/2-17	Norsk Hydro Produksjon AS	HYDRO	054	APPRAISAL	SUSP.REENTERED LATER	GAS	EXPLORATION	1992-02-01	1992-02-14	TROLL	719-L	31/2-1 TROLL VEST	NO	80	NH-8901- LINJE 794 & SP. 1404	88.80	24.000000	1575.00	1838.000000	341.000000	LATE JURASSIC	SOGNEFJORD FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	4	NO	APPRAISAL	1992	1992	\N	\N	9	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	14	NO	ED50	60	52	57.08	N	3	27	5.79	E	60.882522	3.451608	6749946.420000	524516.870000	31	31	2	\N	17	B	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1899	http://www.npd.no/FactMapSearch?NPDID_wellbore=1899	sidetrack	31/2-17 A	2006-06-06	1899	44534	46437	296677	0	21228	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/7-28	2/7-28	Phillips Petroleum Company Norway	PHILLIPS	018	APPRAISAL	P&A	SHOWS	EXPLORATION	1992-03-08	1992-08-07	\N	717-L	\N	NO	\N	EMBLA 3D INLINJE 106 OG X-LINJE 1320	\N	43.000000	\N	3893.000000	71.000000	LATE PERMIAN	\N	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	1-A	NO	APPRAISAL	1992	1992	\N	\N	12	\N	\N	\N	\N	\N	\N	153	NO	ED50	56	22	52.16	N	3	14	19.29	E	56.381156	3.238692	6248666.780000	514740.540000	31	2	7	\N	28	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1906	http://www.npd.no/FactMapSearch?NPDID_wellbore=1906	initial	\N	9999-12-31	1906	\N	\N	292114	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
25/11-14 SR	25/11-14	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	RE-CLASS TO TEST	OIL	EXPLORATION	1991-10-19	1991-12-02	BALDER	648-L3	25/11-1 BALDER	NO	79	3885-320 SP.541	58.00	25.000000	1801.30	2081.000000	127.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	DYVI STENA	SEMISUB STEEL	1-A	NO	APPRAISAL	1991	1991	\N	DRILLING/TESTING/PLUGGING	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	45	YES	ED50	59	11	17.35	N	2	22	11.48	E	59.188153	2.369856	6561324.970000	463993.000000	31	25	11	\N	14	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1907	http://www.npd.no/FactMapSearch?NPDID_wellbore=1907	re-entry	25/11-14 S	2011-06-17	1907	44210	43562	290980	1779	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
34/4-8	34/4-8	Saga Petroleum ASA	SAGA	057	WILDCAT	P&A	DRY	EXPLORATION	1994-05-22	1994-06-21	\N	790-L	\N	NO	104	SG 8420-RE: ROW 455 & COLUMN 825	2.90	25.000000	3108.50	3110.000000	363.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	4	NO	WILDCAT	1994	1994	\N	\N	1	\N	\N	\N	\N	\N	\N	31	NO	ED50	61	35	4.02	N	2	10	9.73	E	61.584450	2.169369	6828333.190000	455901.060000	31	34	4	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1908	http://www.npd.no/FactMapSearch?NPDID_wellbore=1908	initial	\N	2003-10-31	1908	\N	\N	297028	0	21252	SAGA	2012-07-25	2012-07-25	2013-05-08
34/8-4 A	34/8-4	Norsk Hydro Produksjon AS	HYDRO	120	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1992-02-18	1992-05-27	VISUND	711-L	34/8-4 S	NO	123	NH 9001- REKKE 589 & SP. 698	33.30	23.500000	3313.00	3567.000000	309.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	10-A	NO	APPRAISAL	1992	1992	\N	\N	5	STATFJORD FM	EARLY JURASSIC	LUNDE FM	LATE TRIASSIC	\N	\N	100	NO	ED50	61	19	29.58	N	2	25	18.67	E	61.324883	2.421853	6799274.110000	469049.020000	31	34	8	\N	4	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1909	http://www.npd.no/FactMapSearch?NPDID_wellbore=1909	sidetrack	34/8-4 S	2005-04-22	1909	44726	43745	296677	0	21772	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-16	25/11-16	Norsk Hydro Produksjon AS	HYDRO	169	WILDCAT	SUSPENDED	OIL	EXPLORATION	1992-06-29	1992-07-24	SVALIN	733-L	25/11-16 SVALIN	YES	71	VGD 89 - 212 & SP. 106	1.40	25.000000	1945.00	1945.000000	120.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	13	NO	WILDCAT	1992	1992	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	26	NO	ED50	59	7	6.55	N	2	23	6.20	E	59.118486	2.385056	6553559.140000	464790.040000	31	25	11	\N	16	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1920	http://www.npd.no/FactMapSearch?NPDID_wellbore=1920	initial	\N	2011-06-20	1920	44222	22507971	297028	0	22164	HYDRO PRODUKSJON	2012-11-24	2012-11-24	2013-05-08
25/11-17	25/11-17	Norsk Hydro Produksjon AS	HYDRO	169	WILDCAT	P&A	DRY	EXPLORATION	1993-03-01	1993-03-22	\N	755-L	\N	NO	105	NH 9209   101 SP 594	3.30	29.000000	2255.00	2256.000000	124.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	WEST DELTA	SEMISUB STEEL	13	NO	WILDCAT	1993	1993	\N	\N	1	\N	\N	\N	\N	\N	\N	21	NO	ED50	59	3	26.66	N	2	29	6.59	E	59.057406	2.485164	6546709.030000	470469.440000	31	25	11	\N	17	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1921	http://www.npd.no/FactMapSearch?NPDID_wellbore=1921	initial	\N	2003-08-29	1921	\N	\N	287821	0	22164	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/10-3	6407/10-3	Norsk Hydro Produksjon AS	HYDRO	132	WILDCAT	P&A	SHOWS	EXPLORATION	1992-05-29	1992-06-27	\N	721-L	\N	NO	94	NH 8411-404 & SP. 460	2.50	23.500000	2972.00	2973.000000	323.500000	PRE-DEVONIAN	BASEMENT	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	11-A	NO	WILDCAT	1992	1992	\N	\N	12	\N	\N	\N	\N	\N	\N	30	NO	ED50	64	6	11.66	N	7	18	11.43	E	64.103239	7.303175	7109795.670000	417314.230000	32	6407	10	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1927	http://www.npd.no/FactMapSearch?NPDID_wellbore=1927	initial	\N	2004-03-02	1927	\N	\N	296677	0	21868	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
1/6-7	1/6-7	Conoco Norway Inc.	CONOCO	144	WILDCAT	P&A	SHOWS	EXPLORATION	1992-03-16	1992-07-12	\N	724-L	\N	NO	182	CNI/88-4A & SP. 620	31.40	22.000000	4925.00	4995.000000	68.000000	LATE JURASSIC	HAUGESUND FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	12	NO	WILDCAT	1992	1992	\N	\N	12	\N	\N	\N	\N	\N	\N	119	NO	ED50	56	33	20.01	N	2	54	11.18	E	56.555558	2.903106	6268058.240000	494043.590000	31	1	6	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1928	http://www.npd.no/FactMapSearch?NPDID_wellbore=1928	initial	\N	2011-06-15	1928	\N	\N	287902	0	21964	CONOCO	2012-07-25	2013-04-24	2013-05-08
25/2-15	25/2-15	Elf Petroleum Norge AS	ELF	026	WILDCAT	SUSP.REENTERED LATER	OIL SHOWS	EXPLORATION	1992-11-14	1993-01-13	\N	722-L	\N	NO	0	FRØY 3D- EL 8891 &  COLUMN  636&Row636	3.00	18.000000	3504.00	3505.000000	120.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	2-A	NO	WILDCAT	1992	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	61	NO	ED50	59	48	53.54	N	2	30	6.20	E	59.814872	2.501722	6631053.910000	472050.870000	31	25	2	\N	15	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1938	http://www.npd.no/FactMapSearch?NPDID_wellbore=1938	initial	\N	2006-02-15	1938	\N	\N	297514	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-36	34/10-36	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	1992-04-28	1992-07-13	GULLFAKS SØR	723-L	34/10-2 GULLFAKS SØR	NO	\N	ST 8720-695  & KOLONNE 555	\N	23.000000	\N	3640.000000	136.000000	EARLY JURASSIC	\N	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1992	1992	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	77	NO	ED50	61	6	48.49	N	2	10	35.15	E	61.113469	2.176431	6775866.390000	455614.120000	31	34	10	\N	36	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1940	http://www.npd.no/FactMapSearch?NPDID_wellbore=1940	initial	\N	9999-12-31	1940	44606	43699	287983	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/8-7	34/8-7	Norsk Hydro Produksjon AS	HYDRO	120	WILDCAT	SUSP.REENTERED LATER	GAS	EXPLORATION	1992-03-21	1992-07-16	\N	725-L	34/8-7	NO	181	NH 9001- REKKE 809 & KOLONNE 1200	12.80	23.000000	5441.40	5460.000000	335.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	10-A	NO	WILDCAT	1992	1992	\N	\N	9	BRENT GP	MIDDLE JURASSIC	COOK FM	EARLY JURASSIC	STATFJORD FM	EARLY JURASSIC      	118	NO	ED50	61	19	9.07	N	2	33	32.15	E	61.319186	2.558931	6798582.220000	476383.070000	31	34	8	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1941	http://www.npd.no/FactMapSearch?NPDID_wellbore=1941	initial	\N	2003-09-24	1941	44732	\N	289333	0	21772	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/6-2	25/6-2	Saga Petroleum ASA	SAGA	117	WILDCAT	P&A	DRY	EXPLORATION	1992-04-26	1992-05-29	\N	729-L	\N	NO	82	SG 8603 - 411 & SP. 799	5.90	26.000000	2390.00	2392.000000	119.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	10-A	NO	WILDCAT	1992	1992	\N	\N	1	\N	\N	\N	\N	\N	\N	32	NO	ED50	59	33	39.83	N	2	49	13.44	E	59.561064	2.820400	6602696.660000	489849.430000	31	25	6	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1949	http://www.npd.no/FactMapSearch?NPDID_wellbore=1949	initial	\N	2004-02-27	1949	\N	\N	296326	0	21748	SAGA	2012-07-25	2012-07-25	2013-05-08
30/3-5 S	30/3-5	Den norske stats oljeselskap a.s	STATOIL	052	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1992-05-01	1992-07-17	VESLEFRIKK	728-L	30/3-2  VESLEFRIKK	NO	\N	ST 8513-1486 & CDP. 176	\N	56.000000	\N	4724.000000	175.000000	EARLY JURASSIC	\N	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	4	NO	WILDCAT	1992	1992	30/3-A-14	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	78	NO	ED50	60	46	57.82	N	2	53	52.70	E	60.782728	2.897972	6738750.570000	494443.810000	31	30	3	\N	5	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1950	http://www.npd.no/FactMapSearch?NPDID_wellbore=1950	initial	\N	9999-12-31	1950	44378	43618	277321	1943	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/4-16 R	2/4-16	Saga Petroleum ASA	SAGA	146	WILDCAT	JUNKED	SHOWS	EXPLORATION	1992-06-04	1992-07-15	\N	680-L2	\N	NO	0	BB-87-043A- SP.10870	3.10	26.000000	0.00	4973.000000	67.500000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	12	NO	WILDCAT	1992	1992	\N	\N	12	\N	\N	\N	\N	\N	\N	42	YES	ED50	56	40	37.23	N	3	9	2.07	E	56.677008	3.150575	6281583.130000	509226.660000	31	2	4	\N	16	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1956	http://www.npd.no/FactMapSearch?NPDID_wellbore=1956	re-entry	2/4-16	2007-01-18	1956	\N	\N	296326	0	21980	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-20	34/7-20	Saga Petroleum ASA	SAGA	089	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1992-07-18	1992-08-27	\N	736-L	\N	NO	100	E-86-3D: REKKE 540 & KOLONNE 1219	2.90	26.000000	3177.00	3177.000000	295.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1992	1992	\N	\N	12	\N	\N	\N	\N	\N	\N	41	NO	ED50	61	26	39.65	N	2	1	49.98	E	61.444347	2.030550	6812829.080000	448299.250000	31	34	7	\N	20	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1967	http://www.npd.no/FactMapSearch?NPDID_wellbore=1967	initial	\N	2008-02-28	1967	\N	\N	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
34/8-8	34/8-8	Norsk Hydro Produksjon AS	HYDRO	120	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1992-06-30	1992-08-24	VISUND	730-L	34/8-1 VISUND	NO	125	NH-9001-3D: ROW 925 & COL. 585	6.50	23.500000	3623.00	3625.000000	340.500000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	10-A	NO	APPRAISAL	1992	1992	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	56	NO	ED50	61	22	46.19	N	2	28	43.81	E	61.379497	2.478836	6805332.030000	472148.130000	31	34	8	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1969	http://www.npd.no/FactMapSearch?NPDID_wellbore=1969	initial	\N	2012-01-10	1969	44720	43745	296677	0	21772	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/2-3	30/2-3	Den norske stats oljeselskap a.s	STATOIL	051	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1992-06-11	1992-10-05	HULDRA	731-L	30/2-1 HULDRA	NO	\N	ST 8330-313 & COL. 842	\N	22.000000	\N	4325.000000	123.000000	EARLY JURASSIC	\N	NORTH SEA	ROSS ISLE	SEMISUB STEEL	4	NO	APPRAISAL	1992	1992	\N	\N	17	\N	MIDDLE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	117	NO	ED50	60	50	49.05	N	2	39	19.68	E	60.846958	2.655467	6745949.820000	481275.160000	31	30	2	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1970	http://www.npd.no/FactMapSearch?NPDID_wellbore=1970	initial	\N	9999-12-31	1970	44372	97002	296245	0	21204	STATOIL	2012-07-25	2012-07-25	2013-05-08
10/7-1	10/7-1	Esso Exploration and Production Norway A/S	ESSO	165	WILDCAT	P&A	DRY	EXPLORATION	1992-06-28	1992-07-30	\N	735-L	\N	NO	67	SG 8726-409 & SP. 3115	0.00	24.000000	0.00	1890.000000	86.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	ARCADE FRONTIER	SEMISUB STEEL	13	NO	WILDCAT	1992	1992	\N	\N	1	\N	\N	\N	\N	\N	\N	33	NO	ED50	57	28	23.30	N	5	3	33.21	E	57.473139	5.059225	6372070.680000	623496.640000	31	10	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1972	http://www.npd.no/FactMapSearch?NPDID_wellbore=1972	initial	\N	2005-04-22	1972	\N	\N	295084	0	22132	ESSO	2012-07-25	2012-07-25	2013-05-08
6506/11-3	6506/11-3	Den norske stats oljeselskap a.s	STATOIL	134	WILDCAT	P&A	SHOWS	EXPLORATION	1992-07-08	1992-10-02	\N	734-L	\N	NO	127	ST 8807-558 & SP. 620	0.00	24.000000	4346.00	4350.000000	328.000000	MIDDLE JURASSIC	NOT FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	11-A	NO	WILDCAT	1992	1992	\N	\N	12	\N	\N	\N	\N	\N	\N	86	NO	ED50	65	13	58.44	N	6	22	26.89	E	65.232900	6.374136	7237146.880000	377273.800000	32	6506	11	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1973	http://www.npd.no/FactMapSearch?NPDID_wellbore=1973	initial	\N	2004-03-02	1973	\N	\N	294382	0	21884	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/9-8	6407/9-8	A/S Norske Shell	SHELL	093	WILDCAT	RE-CLASS TO DEV	DRY	EXPLORATION	1992-08-14	1992-09-22	\N	739-L	\N	NO	65	X-OVER MELLOM SH 9002-570 OG 1215	0.00	22.000000	0.00	2126.000000	230.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	WEST VANGUARD	SEMISUB STEEL	8	NO	WILDCAT	1992	1992	6407/9-A-58 H	\N	1	\N	\N	\N	\N	\N	\N	40	NO	ED50	64	23	7.69	N	7	57	37.47	E	64.385469	7.960408	7140556.610000	449852.140000	32	6407	9	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1974	http://www.npd.no/FactMapSearch?NPDID_wellbore=1974	initial	\N	2007-06-28	1974	\N	\N	287902	2151	21548	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
15/12-9 S	15/12-9	Den norske stats oljeselskap a.s	STATOIL	038	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1992-07-17	1992-10-08	VARG	732-L	15/12-4 VARG	NO	\N	ST 8802- KOLONNE 919 & RAD 461	\N	23.000000	\N	3848.000000	84.000000	TRIASSIC	\N	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	3	NO	APPRAISAL	1992	1992	15/12-A-11	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	85	NO	ED50	58	4	40.43	N	1	53	25.75	E	58.077897	1.890486	6438067.060000	434558.550000	31	15	12	\N	9	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1978	http://www.npd.no/FactMapSearch?NPDID_wellbore=1978	initial	\N	9999-12-31	1978	43868	43451	287983	3577	21092	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/11-7	35/11-7	Mobil Exploration Norway INC	MOBIL	090	WILDCAT	P&A	OIL/GAS	EXPLORATION	1992-07-23	1992-09-29	FRAM	737-L	35/11-7	YES	110	MN 88-813 & SP. 541	1.80	29.000000	2895.00	2895.000000	355.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST DELTA	SEMISUB STEEL	8	NO	WILDCAT	1992	1992	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	BRENT GP	MIDDLE JURASSIC	\N	\N	69	NO	ED50	61	1	59.74	N	3	35	26.23	E	61.033261	3.590619	6766796.520000	531912.040000	31	35	11	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1979	http://www.npd.no/FactMapSearch?NPDID_wellbore=1979	initial	\N	2005-04-25	1979	44756	1578840	287821	0	21524	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
25/8-4	25/8-4	Norsk Hydro Produksjon AS	HYDRO	169	WILDCAT	P&A	OIL	EXPLORATION	1992-07-25	1992-08-11	\N	738-L	25/8-4	YES	71	EP 91-29 & SP. 314	2.10	25.000000	1891.00	1891.000000	130.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	13	NO	WILDCAT	1992	1992	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	18	NO	ED50	59	15	31.31	N	2	36	42.97	E	59.258697	2.611936	6569075.080000	477871.280000	31	25	8	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1986	http://www.npd.no/FactMapSearch?NPDID_wellbore=1986	initial	\N	2010-08-01	1986	44324	\N	297028	0	22164	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7316/5-1	7316/5-1	Norsk Hydro Produksjon AS	HYDRO	184	WILDCAT	P&A	GAS	EXPLORATION	1992-07-21	1992-10-05	\N	740-L	7316/5-1	YES	183	NH 9109-112 & SP. 543.49	12.50	23.000000	4014.00	4027.000000	450.000000	LATE CRETACEOUS	KVEITE FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	13	NO	WILDCAT	1992	1992	\N	\N	9	TORSK FM	EOCENE	\N	\N	\N	\N	77	NO	ED50	73	31	11.89	N	16	25	59.70	E	73.519969	16.433250	8159255.680000	545381.150000	33	7316	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1987	http://www.npd.no/FactMapSearch?NPDID_wellbore=1987	initial	\N	2004-12-02	1987	45092	\N	289333	0	22284	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/2-18	31/2-18	Norsk Hydro Produksjon AS	HYDRO	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1992-09-15	1992-10-07	TROLL	741-L	31/2-1 TROLL VEST	NO	71	NH 9101-  REKKE 1446 &  KOLONNE 2042	1.60	26.000000	1711.00	1711.000000	340.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	4	NO	APPRAISAL	1992	1992	\N	\N	13	NO FORMAL NAME	PALEOCENE	SOGNEFJORD FM	LATE JURASSIC	\N	\N	23	NO	ED50	60	54	10.49	N	3	34	41.79	E	60.902914	3.578275	6752271.730000	531373.190000	31	31	2	\N	18	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1988	http://www.npd.no/FactMapSearch?NPDID_wellbore=1988	initial	\N	2003-05-28	1988	44534	46437	296326	0	21228	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/9-9	6407/9-9	A/S Norske Shell	SHELL	093	WILDCAT	P&A	OIL/GAS	EXPLORATION	1999-06-22	1999-07-06	\N	957-L	6407/9-9	YES	70	bpn 9501 INLINE 820 & X-LINE 2439	0.90	23.000000	1918.50	1920.000000	248.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	8	NO	WILDCAT	1999	1999	\N	\N	13	ILE FM	MIDDLE JURASSIC	ROR FM	EARLY JURASSIC	\N	\N	15	NO	ED50	64	24	13.20	N	7	41	37.10	E	64.403667	7.693639	7142821.810000	437026.660000	32	6407	9	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1990	http://www.npd.no/FactMapSearch?NPDID_wellbore=1990	initial	\N	2003-04-11	1990	110258	\N	296353	0	21548	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
30/10-7	30/10-7	Elf Petroleum Norge AS	ELF	142	WILDCAT	P&A	DRY	EXPLORATION	1992-09-08	1992-10-17	\N	742-L	\N	NO	75	EL 8807- RAD 250 & KOLONNE 361	4.00	23.000000	2611.10	2612.000000	106.000000	LATE CRETACEOUS	HARDRÅDE FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	11-B	NO	WILDCAT	1992	1992	\N	\N	1	\N	\N	\N	\N	\N	\N	40	NO	ED50	60	11	28.14	N	2	7	27.27	E	60.191150	2.124242	6673177.940000	451432.820000	31	30	10	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2015	http://www.npd.no/FactMapSearch?NPDID_wellbore=2015	initial	\N	2004-02-27	2015	\N	\N	296353	0	21948	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
7122/2-1	7122/2-1	Norsk Hydro Produksjon AS	HYDRO	179	WILDCAT	P&A	DRY	EXPLORATION	1992-10-07	1992-11-11	\N	745-L	\N	NO	72	NH 9257-417 SP.61	5.90	23.000000	2120.00	2120.000000	363.000000	MIDDLE JURASSIC	STØ FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	13	NO	WILDCAT	1992	1992	\N	\N	1	\N	\N	\N	\N	\N	\N	36	NO	ED50	71	57	40.28	N	22	38	40.10	E	71.961189	22.644472	7985596.370000	556833.380000	34	7122	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2018	http://www.npd.no/FactMapSearch?NPDID_wellbore=2018	initial	\N	2004-05-18	2018	\N	\N	289333	0	22244	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-21	34/7-21	Saga Petroleum ASA	SAGA	089	WILDCAT	P&A	OIL	EXPLORATION	1992-10-19	1992-12-11	TORDIS	747-L	34/7-21 BORG	YES	106	SG 8431: ROW 211& COLUMN 1241	4.30	26.000000	3014.00	3015.000000	192.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1992	1992	\N	\N	5	NO FORMAL NAME	EARLY CRETACEOUS	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	54	NO	ED50	61	17	36.84	N	2	4	21.14	E	61.293567	2.072539	6796001.430000	450299.760000	31	34	7	\N	21	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2026	http://www.npd.no/FactMapSearch?NPDID_wellbore=2026	initial	\N	2008-02-28	2026	44690	43725	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
34/8-9 S	34/8-9	Norsk Hydro Produksjon AS	HYDRO	120	APPRAISAL	P&A	OIL	EXPLORATION	1992-10-25	1992-12-28	VISUND	746-L	34/8-4 S	NO	118	NH 9001- RAD 461& KOLONNE 683	37.30	29.000000	3382.00	3530.000000	301.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	WEST DELTA	SEMISUB STEEL	10-A	NO	APPRAISAL	1992	1992	\N	\N	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	65	NO	ED50	61	18	50.53	N	2	23	17.89	E	61.314036	2.388303	6798082.190000	467241.650000	31	34	8	\N	9	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2029	http://www.npd.no/FactMapSearch?NPDID_wellbore=2029	initial	\N	2012-12-21	2029	44726	43745	287821	0	21772	HYDRO PRODUKSJON	2013-02-02	2013-02-02	2013-05-08
7219/8-1 S	7219/8-1	Saga Petroleum ASA	SAGA	182	WILDCAT	P&A	DRY	EXPLORATION	1992-10-05	1992-12-26	\N	744-L	\N	NO	165	SG-9106-449 & SP 550	23.80	24.000000	4404.00	4611.000000	369.000000	EARLY JURASSIC	STØ FM	BARENTS SEA	ROSS RIG	SEMISUB STEEL	13	NO	WILDCAT	1992	1992	\N	\N	1	\N	\N	\N	\N	\N	\N	83	NO	ED50	72	22	28.32	N	19	23	40.24	E	72.374533	19.394511	8036356.270000	648406.810000	33	7219	8	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2031	http://www.npd.no/FactMapSearch?NPDID_wellbore=2031	initial	\N	2004-12-02	2031	\N	\N	294382	0	22268	SAGA	2012-07-25	2012-07-25	2013-05-08
31/2-18 A	31/2-18	Norsk Hydro Produksjon AS	HYDRO	054	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1992-10-07	1992-10-17	TROLL	743-L	31/2-1 TROLL VEST	NO	78	NH 9101-  REKKE 1446 &  KOLONNE 2042	50.00	26.000000	1889.00	2005.000000	340.000000	MIDDLE JURASSIC	KROSSFJORD FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	4	NO	WILDCAT	1992	1992	\N	\N	13	NO FORMAL NAME	PALEOCENE	SOGNEFJORD FM	LATE JURASSIC	KROSSFJORD FM	MIDDLE JURASSIC     	11	NO	ED50	60	54	10.49	N	3	34	41.79	E	60.902914	3.578275	6752271.730000	531373.190000	31	31	2	\N	18	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2038	http://www.npd.no/FactMapSearch?NPDID_wellbore=2038	sidetrack	31/2-18	2003-05-28	2038	44534	46437	296326	0	21228	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-19 S	15/9-19	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1992-11-18	1993-01-31	VOLVE	749-L	15/9-19 S VOLVE	NO	0	ST 8215 R - 571 CROSSLINE  491	60.90	22.000000	2405.80	3580.000000	84.000000	PALEOCENE	LISTA FM	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	3	NO	WILDCAT	1992	1993	\N	\N	1	\N	\N	\N	\N	\N	\N	75	NO	ED50	58	26	9.08	N	1	55	47.26	E	58.435856	1.929794	6477882.410000	437510.030000	31	15	9	\N	19	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2043	http://www.npd.no/FactMapSearch?NPDID_wellbore=2043	initial	\N	2006-12-15	2043	43934	3420717	296218	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/5-10	2/5-10	Norsk Agip  AS	AGIP	067	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1993-05-23	1993-08-26	\N	761-L	\N	NO	165	SH 8903-103 SP. 370/SH 82-411 SP. 484	2.80	23.000000	4700.00	4701.000000	65.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	6	NO	WILDCAT	1993	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	96	NO	ED50	56	41	21.66	N	3	29	27.32	E	56.689350	3.490922	6283054.460000	530071.860000	31	2	5	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2044	http://www.npd.no/FactMapSearch?NPDID_wellbore=2044	initial	\N	2003-09-24	2044	\N	\N	289333	0	21332	AGIP	2012-07-25	2012-07-25	2013-05-08
7128/4-1	7128/4-1	Den norske stats oljeselskap a.s	STATOIL	180	WILDCAT	P&A	OIL/GAS	EXPLORATION	1993-12-17	1994-02-26	\N	779-L	7128/4-1	YES	82	ST 9103-417 & SP. 288	4.80	24.000000	2528.10	2530.000000	370.000000	PRE-DEVONIAN	BASEMENT	BARENTS SEA	ROSS RIG	SEMISUB STEEL	13	NO	WILDCAT	1993	1994	\N	\N	13	RØYE FM	LATE PERMIAN	\N	\N	\N	\N	72	NO	ED50	71	32	27.33	N	28	4	54.08	E	71.540925	28.081689	7938285.080000	538226.270000	35	7128	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2049	http://www.npd.no/FactMapSearch?NPDID_wellbore=2049	initial	\N	2003-04-11	2049	45080	\N	294382	0	22252	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/10-2	2/10-2	Saga Petroleum ASA	SAGA	163	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1993-02-16	1993-04-25	\N	757-L	\N	NO	148	SG 9107- ROW 541 & COLUMN 1442	6.00	26.000000	4162.00	4164.000000	71.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	13	NO	WILDCAT	1993	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	69	NO	ED50	56	13	8.48	N	3	6	41.62	E	56.219022	3.111561	6230600.200000	506918.760000	31	2	10	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2050	http://www.npd.no/FactMapSearch?NPDID_wellbore=2050	initial	\N	2003-09-24	2050	\N	\N	296326	0	22116	SAGA	2012-07-25	2012-07-25	2013-05-08
34/8-7 R	34/8-7	Norsk Hydro Produksjon AS	HYDRO	120	WILDCAT	P&A	GAS	EXPLORATION	1992-11-19	1993-02-10	\N	725-L2	34/8-7	YES	181	NH 9001- REKKE 809 & KOLONNE 1200	12.80	23.000000	5441.40	5460.000000	334.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	10-A	NO	WILDCAT	1992	1993	\N	TESTING	9	BRENT GP	MIDDLE JURASSIC	COOK FM	EARLY JURASSIC	STATFJORD FM	EARLY JURASSIC      	84	YES	ED50	61	19	9.07	N	2	33	32.15	E	61.319186	2.558931	6798582.220000	476383.070000	31	34	8	\N	7	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2057	http://www.npd.no/FactMapSearch?NPDID_wellbore=2057	re-entry	34/8-7	2003-09-24	2057	44732	\N	289333	0	21772	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
31/5-5	31/5-5	Norsk Hydro Produksjon AS	HYDRO	085	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	1992-12-30	1993-02-11	TROLL	751-L	31/2-1 TROLL VEST	NO	60	NH 9101- ROW 694& COLUMN 542	1.20	29.000000	1930.00	1930.000000	319.000000	MIDDLE JURASSIC	KROSSFJORD FM	NORTH SEA	WEST DELTA	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	1992	1993	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	44	NO	ED50	60	41	49.66	N	3	29	8.74	E	60.697128	3.485761	6729309.740000	526523.740000	31	31	5	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2059	http://www.npd.no/FactMapSearch?NPDID_wellbore=2059	initial	\N	2004-06-29	2059	44534	46437	287821	0	21476	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-21 A	34/7-21	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1992-12-15	1993-02-12	TORDIS	752-L	34/7-21 BORG	NO	102	SG 8431  R 211 C 1241	59.00	26.000000	2874.00	3360.000000	192.000000	MIDDLE JURASSIC	TARBERT FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	APPRAISAL	1992	1993	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	60	NO	ED50	61	17	36.84	N	2	4	21.14	E	61.293567	2.072539	6796001.430000	450299.760000	31	34	7	\N	21	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2068	http://www.npd.no/FactMapSearch?NPDID_wellbore=2068	sidetrack	34/7-21	2008-02-28	2068	44690	43725	296326	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
16/1-4	16/1-4	Den norske stats oljeselskap a.s	STATOIL	167	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1993-03-17	1993-04-13	\N	754-L	16/1-4	YES	80	ST 9109  206/206A & SP. 450	2.68	24.000000	0.00	2010.000000	111.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	ROSS RIG	SEMISUB STEEL	13	NO	WILDCAT	1993	1993	\N	\N	17	BASEMENT	PRE-DEVONIAN	\N	\N	\N	\N	28	NO	ED50	58	51	55.20	N	2	17	56.12	E	58.865333	2.298922	6525418.880000	459562.760000	31	16	1	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2072	http://www.npd.no/FactMapSearch?NPDID_wellbore=2072	initial	\N	2003-08-29	2072	3000757	\N	294382	0	22148	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-14	30/9-14	Norsk Hydro Produksjon AS	HYDRO	104	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1993-03-16	1993-05-14	OSEBERG SØR	756-L	30/9-13 S OSEBERG SØR	NO	135	NH 8502- REKKE 325 &  KOLONNE 251	8.40	23.000000	3678.00	3680.000000	107.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	APPRAISAL	1993	1993	\N	\N	13	INTRA HEATHER FM SS	LATE JURASSIC	TARBERT FM	MIDDLE JURASSIC	\N	\N	61	NO	ED50	60	23	11.31	N	2	42	19.37	E	60.386475	2.705381	6694646.970000	483758.080000	31	30	9	\N	14	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2076	http://www.npd.no/FactMapSearch?NPDID_wellbore=2076	initial	\N	2003-05-28	2076	44474	43645	289333	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-8 R	34/8-8	Norsk Hydro Produksjon AS	HYDRO	120	APPRAISAL	P&A	OIL	EXPLORATION	1993-02-16	1993-03-09	VISUND	730-L2	34/8-1 VISUND	NO	130	NH-9001-3d:ROW 925 & COL.585	6.50	23.000000	3622.00	3624.000000	340.500000	LATE TRIASSIC	LUNDE FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	10-A	NO	APPRAISAL	1993	1993	\N	TESTING/PLUGGING	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	22	YES	ED50	61	22	46.19	N	2	28	43.81	E	61.379497	2.478836	6805332.030000	472148.130000	31	34	8	\N	8	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2080	http://www.npd.no/FactMapSearch?NPDID_wellbore=2080	re-entry	34/8-8	2012-01-10	2080	44720	43745	289333	0	21772	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/6-7	15/6-7	Deminex Norge AS	DEMINEX	166	WILDCAT	P&A	DRY	EXPLORATION	1993-04-24	1993-06-08	\N	758-L	\N	NO	120	DX91-156-112 & SP259/DX 91-156-004- SP24	3.30	25.000000	3539.00	3540.000000	107.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	13	NO	WILDCAT	1993	1993	\N	\N	1	\N	\N	\N	\N	\N	\N	46	NO	ED50	58	35	21.41	N	1	52	19.06	E	58.589281	1.871961	6495019.480000	434420.130000	31	15	6	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2084	http://www.npd.no/FactMapSearch?NPDID_wellbore=2084	initial	\N	2003-10-31	2084	\N	\N	297028	0	22140	DEMINEX	2012-07-25	2012-07-25	2013-05-08
25/2-15 R	25/2-15	Elf Petroleum Norge AS	ELF	026	WILDCAT	SUSP.REENTERED LATER	OIL SHOWS	EXPLORATION	1993-02-06	1993-03-01	\N	722-L2	\N	NO	119	FRØY 3D- ROW 426 & COLUMN 636	3.00	22.000000	3508.00	3509.000000	120.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	WILDCAT	1993	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	24	YES	ED50	59	48	53.54	N	2	30	6.20	E	59.814872	2.501722	6631053.910000	472050.870000	31	25	2	\N	15	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2095	http://www.npd.no/FactMapSearch?NPDID_wellbore=2095	re-entry	25/2-15	2006-02-15	2095	\N	\N	287902	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
15/9-19 SR	15/9-19	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	SUSP.REENTERED LATER	OIL	EXPLORATION	1993-02-17	1993-03-29	VOLVE	749-L2	15/9-19 S VOLVE	YES	0	ST 8215 R - 571 CROSSLINE 491	55.90	22.000000	3132.00	4641.000000	84.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	TREASURE PROSPEC	SEMISUB STEEL	3	NO	WILDCAT	1993	1993	\N	DRILLING	5	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	41	YES	ED50	58	26	9.08	N	1	55	47.26	E	58.435856	1.929794	6477882.410000	437510.030000	31	15	9	\N	19	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2105	http://www.npd.no/FactMapSearch?NPDID_wellbore=2105	re-entry	15/9-19 S	2006-12-15	2105	43934	3420717	296218	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-17 BR	31/2-17	Norsk Hydro Produksjon AS	HYDRO	054	APPRAISAL	P&A	GAS	EXPLORATION	1993-02-14	1993-02-24	TROLL	719-L2	31/2-1 TROLL VEST	NO	0	NH-8901-LINE 794 & SP.1404	0.00	29.000000	1580.00	1843.000000	341.000000	LATE JURASSIC	SOGNEFJORD FM	NORTH SEA	WEST DELTA	SEMISUB STEEL	4	NO	APPRAISAL	1993	1993	\N	PLUGGING	9	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	11	YES	ED50	60	52	57.08	N	3	27	5.79	E	60.882522	3.451608	6749946.420000	524516.870000	31	31	2	\N	17	BR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2106	http://www.npd.no/FactMapSearch?NPDID_wellbore=2106	re-entry	31/2-17 B	2006-06-06	2106	44534	46437	287821	0	21228	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7/7-3	7/7-3	Den norske stats oljeselskap a.s	STATOIL	148	APPRAISAL	P&A	SHOWS	EXPLORATION	1993-04-20	1993-07-04	BRYNHILD	759-L	7/7-2 BRYNHILD	NO	144	AHN 8707-211. SP. 402	5.50	23.000000	3582.00	3584.000000	82.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	12	NO	APPRAISAL	1993	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	76	NO	ED50	57	27	41.61	N	2	16	20.96	E	57.461558	2.272489	6369143.600000	456352.150000	31	7	7	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2113	http://www.npd.no/FactMapSearch?NPDID_wellbore=2113	initial	\N	2006-10-19	2113	44984	21123063	287983	0	21996	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-17	33/9-17	Mobil Exploration Norway INC	MOBIL	172	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1994-04-02	1994-05-04	\N	786-L	\N	NO	120	E 86 R-93-3D INLINE 497 &  CROSSLINE 436	5.60	26.000000	3230.00	3233.000000	228.000000	MIDDLE JURASSIC	NESS FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	13	NO	WILDCAT	1994	1994	\N	\N	12	\N	\N	\N	\N	\N	\N	33	NO	ED50	61	27	18.58	N	1	50	45.79	E	61.455161	1.846053	6814193.730000	438481.990000	31	33	9	\N	17	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2114	http://www.npd.no/FactMapSearch?NPDID_wellbore=2114	initial	\N	2004-05-18	2114	\N	\N	296326	0	22188	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
25/2-15 R2	25/2-15	Elf Petroleum Norge AS	ELF	026	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1993-03-06	1993-04-11	\N	722-L3	\N	NO	125	FRØY 3D-ROW 426 & COLUMN 636	3.70	22.000000	3941.00	3942.000000	120.000000	EARLY JURASSIC	DUNLIN GP	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	2-A	NO	WILDCAT	1993	1993	\N	DRILLING/PLUGGING	12	\N	\N	\N	\N	\N	\N	37	YES	ED50	59	48	53.54	N	2	30	6.20	E	59.814872	2.501722	6631053.910000	472050.870000	31	25	2	\N	15	R2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2116	http://www.npd.no/FactMapSearch?NPDID_wellbore=2116	re-entry	25/2-15 R	2006-02-15	2116	\N	\N	287902	0	20980	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
2/7-29	2/7-29	BP Norway Limited  U.A.	BP	145	WILDCAT	P&A	OIL	EXPLORATION	1993-09-18	1994-01-06	\N	765-L	2/7-29	YES	170	BPN 10-500 X LINE 1170	7.60	42.200000	4893.00	4900.000000	72.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	12	NO	WILDCAT	1993	1994	\N	\N	5	ELDFISK FM	LATE JURASSIC	\N	\N	\N	\N	111	NO	ED50	56	18	43.62	N	3	4	55.28	E	56.312117	3.082022	6240959.650000	505074.490000	31	2	7	\N	29	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2124	http://www.npd.no/FactMapSearch?NPDID_wellbore=2124	initial	\N	2003-09-24	2124	44144	\N	292114	0	21972	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
6506/12-9 S	6506/12-9	Den norske stats oljeselskap a.s	STATOIL	094	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1993-04-04	1993-09-10	ÅSGARD	760-L	6506/12-1 SMØRBUKK	NO	166	ST 8801- CDP 789 (RAD) & KOLONNE 790	9.30	23.000000	4903.00	4910.000000	294.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	8	NO	APPRAISAL	1993	1993	\N	\N	13	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	160	NO	ED50	65	6	52.02	N	6	45	15.70	E	65.114450	6.754361	7223265.370000	394568.520000	32	6506	12	\N	9	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2128	http://www.npd.no/FactMapSearch?NPDID_wellbore=2128	initial	\N	2002-09-24	2128	44900	43765	296245	0	21556	STATOIL	2012-07-25	2012-09-28	2013-05-08
2/4-18	2/4-18	Saga Petroleum ASA	SAGA	146	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	1993-04-26	1993-04-29	\N	762-L	\N	NO	0	SG-9111- INLINE 1004 & CROSSLINE 1520	0.00	26.000000	0.00	622.000000	68.000000	PLIOCENE	NORDLAND GP	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	12	NO	WILDCAT	1993	1993	\N	\N	1	\N	\N	\N	\N	\N	\N	4	NO	ED50	56	41	57.72	N	3	9	44.24	E	56.699367	3.162289	6284073.560000	509938.550000	31	2	4	\N	18	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2134	http://www.npd.no/FactMapSearch?NPDID_wellbore=2134	initial	\N	2007-01-18	2134	\N	\N	296326	0	21980	SAGA	2012-07-25	2012-07-25	2013-05-08
7/4-1	7/4-1	Den norske stats oljeselskap a.s	STATOIL	148	WILDCAT	P&A	DRY	EXPLORATION	1993-07-05	1993-08-21	\N	763-L	\N	NO	128	ST 9216-403  X-OVER NOD6-86-041	2.20	23.000000	0.00	3133.000000	82.500000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	12	NO	WILDCAT	1993	1993	\N	\N	1	\N	\N	\N	\N	\N	\N	48	NO	ED50	57	44	11.92	N	2	11	38.95	E	57.736644	2.194153	6399820.830000	452016.110000	31	7	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2136	http://www.npd.no/FactMapSearch?NPDID_wellbore=2136	initial	\N	2003-10-31	2136	\N	\N	287983	0	21996	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/6-23 R	30/6-23	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	P&A	OIL	EXPLORATION	1993-05-16	1993-05-21	OSEBERG ØST	634-L2	30/6-5 OSEBERG ØST	NO	\N	NH 8606- ROW 548 &  CDP NO 729	\N	22.000000	\N	3209.500000	151.000000	EARLY JURASSIC	\N	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	4	NO	APPRAISAL	1993	1993	\N	PLUGGING	5	\N	MIDDLE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	6	YES	ED50	60	40	58.01	N	2	55	58.97	E	60.682781	2.933047	6727615.500000	496342.560000	31	30	6	\N	23	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2141	http://www.npd.no/FactMapSearch?NPDID_wellbore=2141	re-entry	30/6-23	9999-12-31	2141	44438	43639	289333	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/9-6 R	6407/9-6	A/S Norske Shell	SHELL	093	APPRAISAL	P&A	OIL	EXPLORATION	1993-05-19	1993-05-30	DRAUGEN	499-L2	6407/9-1 DRAUGEN	NO	0	84-212 SP.228	0.00	29.000000	1800.00	1804.000000	276.000000	EARLY JURASSIC	ROR FM	NORWEGIAN SEA	WEST DELTA	SEMISUB STEEL	8	NO	APPRAISAL	1993	1993	\N	PLUGGING	5	ROGN FM	LATE JURASSIC	\N	\N	\N	\N	12	YES	ED50	64	19	58.07	N	7	44	23.70	E	64.332797	7.739917	7134880.010000	439100.650000	32	6407	9	\N	6	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2147	http://www.npd.no/FactMapSearch?NPDID_wellbore=2147	re-entry	6407/9-6	2005-11-07	2147	44888	43758	287821	0	21548	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
2/11-9	2/11-9	Amoco Norway Oil Company	AMOCO	033	WILDCAT	P&A	SHOWS	EXPLORATION	1993-07-24	1993-12-23	\N	764-L	\N	NO	159	RITA SURVEY-(90) 684 & X-LINE 1276	5.50	43.000000	4405.00	4406.000000	72.000000	EARLY CARBONIFEROUS	NO FORMAL NAME	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	2-A	NO	WILDCAT	1993	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	154	NO	ED50	56	8	49.19	N	3	27	15.34	E	56.146997	3.454261	6222670.770000	528224.920000	31	2	11	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2153	http://www.npd.no/FactMapSearch?NPDID_wellbore=2153	initial	\N	2006-10-19	2153	\N	\N	296002	0	21052	AMOCO	2013-01-22	2013-01-22	2013-05-08
34/7-22	34/7-22	Saga Petroleum ASA	SAGA	089	WILDCAT	P&A	OIL	EXPLORATION	1993-08-15	1993-10-01	TORDIS	766-L	34/7-22 TORDIS ØST	YES	92	SG 8431 RP -row 0279 & columm 0815	1.60	29.000000	2507.00	2507.000000	226.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	WEST DELTA	SEMISUB STEEL	8	NO	WILDCAT	1993	1993	\N	\N	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	48	NO	ED50	61	16	42.37	N	2	10	18.72	E	61.278436	2.171867	6794244.540000	455600.910000	31	34	7	\N	22	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2167	http://www.npd.no/FactMapSearch?NPDID_wellbore=2167	initial	\N	2008-02-28	2167	44696	43725	287821	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
34/8-10 S	34/8-10	Norsk Hydro Produksjon AS	HYDRO	120	APPRAISAL	P&A	OIL	EXPLORATION	1993-09-28	1993-12-09	VISUND	768-L	34/8-1 VISUND	NO	122	NH-9001-3D:ROW 770 & COLUMN 658	44.80	23.000000	3316.00	3470.000000	326.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	10-A	NO	APPRAISAL	1993	1993	\N	\N	5	BRENT GP	MIDDLE JURASSIC	DUNLIN GP	EARLY JURASSIC	LUNDE FM	LATE TRIASSIC       	74	NO	ED50	61	21	17.30	N	2	27	19.50	E	61.354806	2.455417	6802591.770000	470873.630000	31	34	8	\N	10	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2179	http://www.npd.no/FactMapSearch?NPDID_wellbore=2179	initial	\N	2012-01-10	2179	44720	43745	289333	0	21772	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-11	34/8-11	Norsk Hydro Produksjon AS	HYDRO	120	APPRAISAL	P&A	OIL	EXPLORATION	1993-12-10	1994-02-08	VISUND	780-L	34/8-1 VISUND	NO	119	nh 9001 - 30: inline 817& crossline 625	7.10	23.000000	3137.00	3140.000000	332.000000	EARLY JURASSIC	COOK FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	10-A	NO	APPRAISAL	1993	1994	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	61	NO	ED50	61	21	46.94	N	2	27	37.54	E	61.363039	2.460428	6803506.680000	471149.220000	31	34	8	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2180	http://www.npd.no/FactMapSearch?NPDID_wellbore=2180	initial	\N	2012-12-21	2180	44720	43745	289333	0	21772	HYDRO PRODUKSJON	2013-02-02	2013-02-02	2013-05-08
6507/7-10	6507/7-10	Conoco Norway Inc.	CONOCO	095	WILDCAT	P&A	SHOWS	EXPLORATION	1993-09-28	1993-10-29	\N	771-L	\N	NO	107	ST 9102-3D - INLINE1152 & CROSSLINE 1390	7.80	23.500000	3306.00	3309.000000	394.500000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	ARCADE FRONTIER	SEMISUB STEEL	8	NO	WILDCAT	1993	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	32	NO	ED50	65	23	26.83	N	7	19	56.32	E	65.390786	7.332311	7253215.710000	422511.290000	32	6507	7	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2182	http://www.npd.no/FactMapSearch?NPDID_wellbore=2182	initial	\N	2005-12-13	2182	\N	\N	295084	0	21564	CONOCO	2012-07-25	2012-07-25	2013-05-08
6507/8-6	6507/8-6	Den norske stats oljeselskap a.s	STATOIL	124	WILDCAT	P&A	DRY	EXPLORATION	1993-08-29	1993-10-09	\N	770-L	\N	NO	85	ST 9102- INLINE 1518 & CROSSLINE 942	3.10	23.000000	2850.00	2850.000000	356.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	10-B	NO	WILDCAT	1993	1993	\N	\N	1	\N	\N	\N	\N	\N	\N	42	NO	ED50	65	24	35.96	N	7	28	52.74	E	65.409989	7.481317	7255180.500000	429485.260000	32	6507	8	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2183	http://www.npd.no/FactMapSearch?NPDID_wellbore=2183	initial	\N	2005-12-13	2183	\N	\N	287983	0	21804	STATOIL	2012-07-25	2012-07-25	2013-05-08
6610/3-1 R	6610/3-1	Den norske stats oljeselskap a.s	STATOIL	177	WILDCAT	SUSP.REENTERED LATER	SHOWS	EXPLORATION	1993-09-16	1993-12-11	\N	748-L2	\N	NO	153	ST 9104-437 & SP. 335	11.30	23.000000	4193.00	4200.000000	309.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	13	NO	WILDCAT	1993	1993	\N	DRILLING	12	\N	\N	\N	\N	\N	\N	87	YES	ED50	66	55	29.70	N	10	54	6.28	E	66.924917	10.901744	7424470.290000	583170.040000	32	6610	3	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2193	http://www.npd.no/FactMapSearch?NPDID_wellbore=2193	re-entry	6610/3-1	2005-06-27	2193	\N	\N	296245	0	22228	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/5-10 A	2/5-10	Norsk Agip  AS	AGIP	067	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1993-08-27	1993-09-25	\N	769-L	\N	NO	162	SH 8903-103 SP. 370/SH 82-411 SP. 484	34.10	23.000000	4676.00	4715.000000	65.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	6	NO	WILDCAT	1993	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	30	NO	ED50	56	41	21.66	N	3	29	27.32	E	56.689350	3.490922	6283054.460000	530071.860000	31	2	5	\N	10	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2194	http://www.npd.no/FactMapSearch?NPDID_wellbore=2194	sidetrack	2/5-10	2003-09-24	2194	\N	\N	289333	0	21332	AGIP	2012-07-25	2012-07-25	2013-05-08
6204/11-1	6204/11-1	Den norske stats oljeselskap a.s	STATOIL	175	WILDCAT	P&A	GAS	EXPLORATION	1994-10-12	1994-11-14	\N	795-L	6204/11-1	YES	83	ST 9202- IN-LINE 222 & CDP 497	13.00	23.000000	2961.60	2966.000000	199.000000	TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	13	NO	WILDCAT	1994	1994	\N	\N	9	NO FORMAL NAME	LATE CRETACEOUS	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	34	NO	ED50	62	11	16.96	N	4	23	57.85	E	62.188044	4.399403	6896081.780000	572844.350000	31	6204	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2205	http://www.npd.no/FactMapSearch?NPDID_wellbore=2205	initial	\N	2002-05-29	2205	44816	\N	287983	0	22212	STATOIL	2012-07-25	2012-07-25	2013-05-08
6305/12-2	6305/12-2	Norsk Hydro Produksjon AS	HYDRO	154	WILDCAT	P&A	SHOWS	EXPLORATION	1993-10-16	1993-12-17	\N	772-L	\N	NO	121	NH 9203-410 & SP. 890	3.80	23.000000	3161.00	3162.000000	146.000000	PRE-DEVONIAN	BASEMENT	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	12-B	NO	WILDCAT	1993	1993	\N	\N	12	\N	\N	\N	\N	\N	\N	63	NO	ED50	63	1	11.39	N	5	40	6.44	E	63.019831	5.668456	6990772.250000	635050.510000	31	6305	12	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2207	http://www.npd.no/FactMapSearch?NPDID_wellbore=2207	initial	\N	2005-08-08	2207	\N	\N	287983	0	22044	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
3/4-1	3/4-1	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	DRY	EXPLORATION	1994-01-11	1994-02-26	\N	781-L	\N	NO	107	AN080-18.-SP. 313  AN080-21 & SP. 211	1.30	43.900000	3107.00	3107.000000	48.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1994	1994	\N	\N	1	\N	\N	\N	\N	\N	\N	47	NO	ED50	56	40	53.56	N	4	15	39.09	E	56.681544	4.260858	6282788.240000	577248.850000	31	3	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2222	http://www.npd.no/FactMapSearch?NPDID_wellbore=2222	initial	\N	2003-10-31	2222	\N	\N	296002	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
30/9-15	30/9-15	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	OIL	EXPLORATION	1993-12-07	1994-01-05	OSEBERG SØR	773-L	30/9-15 OSEBERG SØR	YES	104	NH 8502R- ROW 585 & COLUMN 1481	2.61	22.000000	2763.50	2764.000000	105.500000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	9	NO	WILDCAT	1993	1994	\N	\N	5	NESS FM	MIDDLE JURASSIC	\N	\N	\N	\N	30	NO	ED50	60	22	18.63	N	2	55	24.80	E	60.371842	2.923556	6692983.260000	495783.840000	31	30	9	\N	15	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2223	http://www.npd.no/FactMapSearch?NPDID_wellbore=2223	initial	\N	2003-05-28	2223	44480	43645	287902	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
24/9-5	24/9-5	Fina Production Licenses AS	FINA	150	WILDCAT	P&A	OIL	EXPLORATION	1993-12-07	1994-01-26	VOLUND	778-L	24/9-5 VOLUND	YES	88	FI 89 3D INLINE 1070 &  CROSSLINE 2792	5.90	29.000000	0.00	2860.000000	122.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	WEST DELTA	SEMISUB STEEL	12	NO	WILDCAT	1993	1994	\N	\N	5	INTRA BALDER FM SS	EOCENE	\N	\N	\N	\N	51	NO	ED50	59	29	6.52	N	1	55	10.82	E	59.485144	1.919672	6594725.250000	438806.710000	31	24	9	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2244	http://www.npd.no/FactMapSearch?NPDID_wellbore=2244	initial	\N	2006-02-15	2244	44186	4380167	287821	0	22012	FINA PRODUCTION	2012-07-25	2012-07-25	2013-05-08
30/12-1	30/12-1	Norsk Hydro Produksjon AS	HYDRO	171	WILDCAT	P&A	DRY	EXPLORATION	1994-01-06	1994-03-07	\N	774-L	\N	NO	150	NH 9111-ROW 409 & COLUMN 1161	4.60	22.000000	3640.50	3641.000000	113.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	13	NO	WILDCAT	1994	1994	\N	\N	1	\N	\N	\N	\N	\N	\N	61	NO	ED50	60	8	44.30	N	2	51	6.54	E	60.145639	2.851817	6667796.280000	491770.630000	31	30	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2248	http://www.npd.no/FactMapSearch?NPDID_wellbore=2248	initial	\N	2003-10-31	2248	\N	\N	287902	0	22180	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/4-18 R	2/4-18	Saga Petroleum ASA	SAGA	146	WILDCAT	P&A	SHOWS	EXPLORATION	1994-02-19	1994-07-10	\N	762-L2	\N	NO	199	SG-9111- INLINE 1002 &  CROSSLINE 1520	8.80	42.000000	5305.00	5310.000000	68.000000	LATE JURASSIC	FARSUND FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	12	NO	WILDCAT	1994	1994	\N	DRILLING	12	\N	\N	\N	\N	\N	\N	142	YES	ED50	56	41	57.72	N	3	9	44.24	E	56.699367	3.162289	6284073.560000	509938.550000	31	2	4	\N	18	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2253	http://www.npd.no/FactMapSearch?NPDID_wellbore=2253	re-entry	2/4-18	2007-01-18	2253	\N	\N	292114	0	21980	SAGA	2012-07-25	2012-07-25	2013-05-08
6608/10-4	6608/10-4	Den norske stats oljeselskap a.s	STATOIL	128	WILDCAT	P&A	OIL/GAS	EXPLORATION	1993-12-15	1994-03-06	NORNE	776-L	6608/10-4	YES	103	ST 9203-CROSSLINE 2051& INLINE 1230	3.30	23.000000	2800.00	2800.000000	382.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	10-B	NO	WILDCAT	1993	1994	\N	\N	13	INTRA MELKE FM SS	MIDDLE JURASSIC	GARN FM	MIDDLE JURASSIC	\N	\N	82	NO	ED50	66	2	25.26	N	8	9	41.74	E	66.040350	8.161594	7324847.230000	462006.740000	32	6608	10	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2256	http://www.npd.no/FactMapSearch?NPDID_wellbore=2256	initial	\N	2002-09-24	2256	44948	43778	296245	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
9/2-4 S	9/2-4	Den norske stats oljeselskap a.s	STATOIL	114	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1993-12-25	1994-04-11	YME	775-L	9/2-1 YME	NO	110	ST 9002-INLINE 178 & CROSSLINE 998	62.50	23.000000	3313.00	4417.000000	91.500000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	10-A	NO	APPRAISAL	1993	1994	9/2-A-1	\N	5	SANDNES FM	MIDDLE JURASSIC	\N	\N	\N	\N	108	NO	ED50	57	49	7.48	N	4	31	10.74	E	57.818744	4.519650	6409689.370000	590278.650000	31	9	2	\N	4	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2258	http://www.npd.no/FactMapSearch?NPDID_wellbore=2258	initial	\N	2002-09-24	2258	45098	43807	287983	2662	21716	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-6 S	30/3-6	Den norske stats oljeselskap a.s	STATOIL	052	WILDCAT	RE-CLASS TO DEV	OIL	EXPLORATION	1993-12-26	1994-04-20	VESLEFRIKK	777-L	30/3-6 S	YES	\N	ST 8513-46 & CDP 320	\N	56.000000	\N	6085.000000	175.000000	EARLY JURASSIC	\N	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	4	NO	WILDCAT	1993	1994	30/3-A-20	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	116	NO	ED50	60	46	57.87	N	2	53	51.95	E	60.782742	2.897764	6738752.130000	494432.470000	31	30	3	\N	6	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2269	http://www.npd.no/FactMapSearch?NPDID_wellbore=2269	initial	\N	9999-12-31	2269	44384	43618	277321	2291	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/12-10 S	15/12-10	Saga Petroleum ASA	SAGA	038	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1996-10-02	1996-11-04	VARG	860-L	15/12-4 VARG	NO	130	ST8802 SR951- INLINE 580 & CROSSLINE 948	37.30	23.000000	3042.00	3550.000000	84.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	3	NO	APPRAISAL	1996	1996	15/12-A-4	\N	5	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	34	NO	ED50	58	4	40.48	N	1	53	25.56	E	58.077911	1.890433	6438068.650000	434555.460000	31	15	12	\N	10	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2285	http://www.npd.no/FactMapSearch?NPDID_wellbore=2285	initial	\N	2007-01-18	2285	43868	43451	287983	5393	21092	SAGA	2012-07-25	2012-07-25	2013-05-08
24/9-6	24/9-6	Fina Production Licenses AS	FINA	150	APPRAISAL	P&A	OIL	EXPLORATION	1994-02-01	1994-03-07	VOLUND	782-L	24/9-5 VOLUND	NO	60	FI 89-3D-INLINE 1098 & CROSSLINE 2830	3.70	29.000000	2255.00	2255.000000	123.500000	PALEOCENE	HEIMDAL FM	NORTH SEA	WEST DELTA	SEMISUB STEEL	12	NO	APPRAISAL	1994	1994	\N	\N	5	INTRA BALDER FM SS	EOCENE	\N	\N	\N	\N	35	NO	ED50	59	29	1.50	N	1	57	27.14	E	59.483750	1.957539	6594535.740000	440949.060000	31	24	9	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2288	http://www.npd.no/FactMapSearch?NPDID_wellbore=2288	initial	\N	2006-02-15	2288	44186	4380167	287821	0	22012	FINA PRODUCTION	2012-07-25	2012-07-25	2013-05-08
34/7-23 S	34/7-23	Saga Petroleum ASA	SAGA	089	WILDCAT	P&A	OIL	EXPLORATION	1994-02-22	1994-04-03	VIGDIS	783-L	34/7-23 S	YES	103	GE-83:ROW 357 & COLUMN 1109	46.30	25.000000	2889.00	3375.000000	246.000000	MIDDLE JURASSIC	TARBERT FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	8	NO	WILDCAT	1994	1994	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	41	NO	ED50	61	20	24.89	N	2	4	31.54	E	61.340247	2.075428	6801198.830000	450528.180000	31	34	7	\N	23	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2296	http://www.npd.no/FactMapSearch?NPDID_wellbore=2296	initial	\N	2008-02-28	2296	44702	43732	297028	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
2/11-10 S	2/11-10	Amoco Norway Oil Company	AMOCO	033	WILDCAT	RE-CLASS TO DEV	OIL	EXPLORATION	1994-02-28	1994-06-14	HOD	784-L	2/11-10 S	YES	102	INLINE 824-CROSSLINE 928	60.90	47.000000	2920.00	4090.000000	72.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	2-A	NO	WILDCAT	1994	1994	2/11-A-5	\N	5	TOR FM	LATE CRETACEOUS	\N	\N	\N	\N	110	NO	ED50	56	10	35.52	N	3	27	36.22	E	56.176533	3.460061	6225960.630000	528563.360000	31	2	11	\N	10	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2297	http://www.npd.no/FactMapSearch?NPDID_wellbore=2297	initial	\N	2007-09-17	2297	43994	43485	278245	2376	21052	AMOCO	2013-01-22	2013-01-22	2013-05-08
6507/2-3	6507/2-3	Norsk Hydro Produksjon AS	HYDRO	122	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1994-03-14	1994-05-05	\N	785-L	\N	NO	140	B-10-83   sp 1420	1.30	22.000000	3970.00	3972.000000	355.000000	LATE JURASSIC	SPEKK FM	NORWEGIAN SEA	WEST VANGUARD	SEMISUB STEEL	10-B	NO	WILDCAT	1994	1994	\N	\N	12	\N	\N	\N	\N	\N	\N	53	NO	ED50	65	51	59.90	N	7	39	58.88	E	65.866639	7.666356	7305876.360000	439155.080000	32	6507	2	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2299	http://www.npd.no/FactMapSearch?NPDID_wellbore=2299	initial	\N	2001-11-15	2299	\N	\N	287902	0	21788	HYDRO PRODUKSJON	2012-07-25	2012-12-18	2013-05-08
15/9-20 S	15/9-20	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	RE-CLASS TO DEV	GAS	EXPLORATION	1994-02-16	1994-06-01	GUNGNE	787-L	15/9-20 S	YES	0	ST 8215 R-3D	53.70	78.000000	2800.00	3624.000000	82.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	SLEIPNER A	CONDEEP 4 SHAFTS	3	NO	WILDCAT	1994	1994	15/9-A-22	\N	9	HEIMDAL FM	PALEOCENE	SKAGERRAK FM	TRIASSIC	\N	\N	106	NO	ED50	58	22	1.89	N	1	54	31.98	E	58.367192	1.908883	6470257.290000	436165.070000	31	15	9	\N	20	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2319	http://www.npd.no/FactMapSearch?NPDID_wellbore=2319	initial	\N	2007-01-18	2319	43940	43464	272365	2286	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-23 A	34/7-23	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1994-04-08	1994-05-20	VIGDIS	788-L	34/7-23 S	NO	98	GE-83:ROW 357-COLUMN 1109	45.70	25.000000	2769.00	3412.000000	246.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	8	NO	APPRAISAL	1994	1994	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	43	NO	ED50	61	20	24.89	N	2	4	31.54	E	61.340247	2.075428	6801198.830000	450528.180000	31	34	7	\N	23	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2326	http://www.npd.no/FactMapSearch?NPDID_wellbore=2326	sidetrack	34/7-23 S	2008-02-28	2326	44702	43732	297028	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
30/9-17	30/9-17	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	SUSPENDED	DRY	EXPLORATION	1995-03-03	1995-03-14	\N	806-L	\N	NO	58	NH 8502 R INLINE 239 & CROSSLINE 1033	2.50	26.000000	1408.00	1408.000000	107.000000	OLIGOCENE	HORDALAND GP	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	9	NO	WILDCAT	1995	1995	\N	\N	1	\N	\N	\N	\N	\N	\N	12	NO	ED50	60	17	39.08	N	2	49	19.44	E	60.294189	2.822067	6684345.260000	490163.050000	31	30	9	\N	17	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2355	http://www.npd.no/FactMapSearch?NPDID_wellbore=2355	initial	\N	2007-12-19	2355	\N	\N	296326	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-18	25/11-18	Norsk Hydro Produksjon AS	HYDRO	169	APPRAISAL	P&A	OIL	EXPLORATION	1994-08-10	1994-10-24	GRANE	794-L	25/11-15 GRANE	NO	83	NH 9301-INLINE 604&CROSSLINE 1413	9.30	22.000000	1874.00	1875.000000	128.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	13	NO	APPRAISAL	1994	1994	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	76	NO	ED50	59	9	8.45	N	2	28	28.79	E	59.152347	2.474664	6557285.940000	469950.360000	31	25	11	\N	18	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2358	http://www.npd.no/FactMapSearch?NPDID_wellbore=2358	initial	\N	2003-08-29	2358	44216	1035937	287902	0	22164	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-16	30/9-16	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	OIL/GAS	EXPLORATION	1994-06-14	1994-08-08	OSEBERG SØR	789-L	30/9-16 K OSEBERG SØR	YES	\N	NH9111- ROW 1047& COLUMN 713	\N	22.000000	\N	3550.000000	101.000000	EARLY JURASSIC	\N	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	9	NO	WILDCAT	1994	1994	\N	\N	13	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	56	NO	ED50	60	15	10.35	N	2	45	0.84	E	60.252875	2.750233	6679756.730000	486174.380000	31	30	9	\N	16	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2361	http://www.npd.no/FactMapSearch?NPDID_wellbore=2361	initial	\N	9999-12-31	2361	44486	43645	287902	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-19 R	30/6-19	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	OIL/GAS	EXPLORATION	1994-05-15	1994-05-25	OSEBERG ØST	511-L2	30/6-19 BETA SADEL	NO	\N	ST 8006 - 145 & SP. 215	\N	22.000000	\N	3304.000000	159.000000	EARLY JURASSIC	\N	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	4	NO	WILDCAT	1994	1994	\N	PLUGGING	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	11	YES	ED50	60	42	58.03	N	2	54	54.18	E	60.716119	2.915050	6731330.070000	495364.230000	31	30	6	\N	19	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2366	http://www.npd.no/FactMapSearch?NPDID_wellbore=2366	re-entry	30/6-19	9999-12-31	2366	44432	43639	287902	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-22 R	30/6-22	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	P&A	OIL	EXPLORATION	1994-05-27	1994-06-02	OSEBERG ØST	578-L2	30/6-19 BETA SADEL	NO	\N	NH 8606-670 COLUMN 660	\N	22.000000	\N	3334.000000	179.000000	EARLY JURASSIC	\N	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	4	NO	APPRAISAL	1994	1994	\N	PLUGGING	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	7	YES	ED50	60	43	57.26	N	2	58	53.12	E	60.732572	2.981422	6733159.800000	498986.720000	31	30	6	\N	22	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2373	http://www.npd.no/FactMapSearch?NPDID_wellbore=2373	re-entry	30/6-22	9999-12-31	2373	44432	43639	287902	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-21 R	30/6-21	Norsk Hydro Produksjon AS	HYDRO	053	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1994-06-04	1994-06-12	OSEBERG	537-L2	30/6-1 OSEBERG	NO	\N	NH 82 - 321  COLUMN 379	\N	22.000000	\N	3097.000000	112.000000	EARLY JURASSIC	\N	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	4	NO	APPRAISAL	1994	1994	\N	PLUGGING	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	9	YES	ED50	60	38	34.88	N	2	43	47.60	E	60.643022	2.729889	6723215.560000	485226.440000	31	30	6	\N	21	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2375	http://www.npd.no/FactMapSearch?NPDID_wellbore=2375	re-entry	30/6-21	9999-12-31	2375	44396	43625	287902	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/11-1	34/11-1	Den norske stats oljeselskap a.s	STATOIL	193	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1994-07-07	1994-10-25	KVITEBJØRN	792-L	34/11-1 KVITEBJØRN	YES	165	TFE 91- ROW 635 & COLUMN 1921	3.30	24.000000	4579.00	4580.000000	191.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	ROSS RIG	SEMISUB STEEL	14	NO	WILDCAT	1994	1994	\N	\N	17	TARBERT FM	MIDDLE JURASSIC	NESS FM	MIDDLE JURASSIC	\N	\N	111	NO	ED50	61	4	44.46	N	2	30	22.74	E	61.079017	2.506317	6771849.790000	473363.910000	31	34	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2377	http://www.npd.no/FactMapSearch?NPDID_wellbore=2377	initial	\N	2012-11-15	2377	44642	1036101	294382	0	22356	STATOIL	2013-02-02	2013-02-02	2013-05-08
6306/6-1	6306/6-1	Den norske stats oljeselskap a.s	STATOIL	198	WILDCAT	P&A	DRY	EXPLORATION	1994-06-22	1994-07-05	\N	791-L	\N	NO	43	LineEH91-112 & SP451	1.30	24.000000	1317.00	1317.000000	284.000000	PRE-DEVONIAN	BASEMENT	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	14	NO	WILDCAT	1994	1994	\N	\N	1	\N	\N	\N	\N	\N	\N	14	NO	ED50	63	30	1.45	N	6	49	14.42	E	63.500403	6.820672	7043364.000000	391515.490000	32	6306	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2384	http://www.npd.no/FactMapSearch?NPDID_wellbore=2384	initial	\N	2005-06-30	2384	\N	\N	294382	0	22396	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-16 R2	34/7-16	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1994-06-23	1994-07-05	VIGDIS	640-L3	34/7-8 VIGDIS	NO	0	G/E 83 (RP) RAD 253& KOL.933	5.30	25.000000	2977.00	2979.000000	286.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	8	NO	WILDCAT	1994	1994	\N	PLUGGING	5	ETIVE FM	MIDDLE JURASSIC	RANNOCH FM	MIDDLE JURASSIC	\N	\N	13	YES	ED50	61	23	13.06	N	2	6	59.12	E	61.386961	2.116422	6806371.840000	452792.040000	31	34	7	\N	16	R2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2389	http://www.npd.no/FactMapSearch?NPDID_wellbore=2389	re-entry	34/7-16 R	2008-02-28	2389	44714	43732	297028	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
25/8-5 S	25/8-5	Esso Exploration and Production Norway A/S	ESSO	027 P	WILDCAT	SUSP.REENTERED LATER	OIL	EXPLORATION	1994-07-21	1994-09-22	JOTUN	793-L	25/8-5 S JOTUN	YES	92	ESD-511 SP 162.93 / ESD-107 SP 198.56	56.60	25.000000	2912.70	3395.000000	126.000000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	DYVI STENA	SEMISUB STEEL	2-A	NO	WILDCAT	1994	1994	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	63	NO	ED50	59	27	27.10	N	2	21	52.15	E	59.457528	2.364486	6591324.830000	463972.360000	31	25	8	\N	5	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2390	http://www.npd.no/FactMapSearch?NPDID_wellbore=2390	initial	\N	2003-08-29	2390	44330	43604	290980	0	20996	ESSO	2012-07-25	2012-07-25	2013-05-08
2/7-30	2/7-30	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1995-02-27	1995-04-10	\N	803-L	\N	NO	121	EGDAR-ROW 341 COLONNE 1554	3.60	43.000000	3477.00	3478.000000	71.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1995	1995	\N	\N	12	\N	\N	\N	\N	\N	\N	43	NO	ED50	56	26	22.49	N	3	16	25.50	E	56.439581	3.273750	6255178.060000	516879.700000	31	2	7	\N	30	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2394	http://www.npd.no/FactMapSearch?NPDID_wellbore=2394	initial	\N	2009-10-26	2394	\N	\N	292114	0	20900	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/7-19 R	34/7-19	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1994-07-06	1994-07-12	VIGDIS	698-L2	34/7-8 VIGDIS	NO	0	GE-83:ROW 237 & COLUMN 1037	2.70	25.000000	2807.00	2807.000000	285.000000	EARLY JURASSIC	COOK FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	8	NO	APPRAISAL	1994	1994	\N	PLUGGING	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	7	YES	ED50	61	23	38.96	N	2	5	31.46	E	61.394156	2.092072	6807191.070000	451502.270000	31	34	7	\N	19	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2401	http://www.npd.no/FactMapSearch?NPDID_wellbore=2401	re-entry	34/7-19	2008-02-28	2401	44714	43732	297028	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
30/8-1 S	30/8-1	Norsk Hydro Produksjon AS	HYDRO	190	WILDCAT	SUSPENDED	GAS/CONDENSATE	EXPLORATION	1994-11-01	1995-03-01	TUNE	797-L	30/8-1 S TUNE	YES	151	VG 91-inline 277& x-line 546	43.10	26.000000	4348.00	4688.000000	96.000000	EARLY JURASSIC	AMUNDSEN FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	14	NO	WILDCAT	1994	1995	\N	\N	17	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	121	NO	ED50	60	27	46.93	N	2	38	6.53	E	60.463036	2.635147	6703193.600000	479933.470000	31	30	8	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2430	http://www.npd.no/FactMapSearch?NPDID_wellbore=2430	initial	\N	2010-08-01	2430	44456	853376	296326	0	22332	HYDRO PRODUKSJON	2013-04-19	2013-04-19	2013-05-08
34/10-37	34/10-37	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	P&A	OIL	EXPLORATION	1995-01-26	1995-02-22	GULLFAKS SØR	802-L	34/10-37 GULLVEIG	YES	103	NOD4-84-06 & SP2030	3.10	23.000000	2872.00	2873.000000	140.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1995	1995	\N	\N	5	NESS FM	MIDDLE JURASSIC	\N	\N	\N	\N	28	NO	ED50	61	8	9.78	N	2	0	55.81	E	61.136050	2.015503	6778501.300000	446979.260000	31	34	10	\N	37	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2431	http://www.npd.no/FactMapSearch?NPDID_wellbore=2431	initial	\N	2006-10-19	2431	44630	43699	287983	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/8-2	6407/8-2	BP Norway Limited  U.A.	BP	158	WILDCAT	P&A	OIL/GAS	EXPLORATION	1994-10-19	1994-11-25	\N	796-L	6407/8-2	YES	76	BPN 89-113(2D) & CROSSLINE SP 510	1.10	25.000000	1950.00	1950.000000	318.000000	TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	DYVI STENA	SEMISUB STEEL	12-B	NO	WILDCAT	1994	1994	\N	\N	13	ÅRE FM	EARLY JURASSIC	\N	\N	\N	\N	38	NO	ED50	64	17	0.63	N	7	31	25.28	E	64.283508	7.523689	7129613.200000	428524.240000	32	6407	8	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2434	http://www.npd.no/FactMapSearch?NPDID_wellbore=2434	initial	\N	2003-09-24	2434	44882	\N	290980	0	22076	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
6406/2-1	6406/2-1	Saga Petroleum ASA	SAGA	199	WILDCAT	SUSPENDED	GAS/CONDENSATE	EXPLORATION	1994-10-30	1995-04-09	\N	798-L	6406/2-1 LAVRANS	YES	172	SG 9312 3D- ROW 1396 & COLUMN 1975	15.30	24.000000	5283.00	5292.000000	278.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	14	NO	WILDCAT	1994	1995	\N	\N	17	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	162	NO	ED50	64	52	15.19	N	6	36	21.35	E	64.870886	6.605931	7196390.670000	386574.360000	32	6406	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2444	http://www.npd.no/FactMapSearch?NPDID_wellbore=2444	initial	\N	2002-05-29	2444	44834	\N	294382	0	22404	SAGA	2013-04-13	2013-04-13	2013-05-08
6506/12-10	6506/12-10	Den norske stats oljeselskap a.s	STATOIL	094	APPRAISAL	P&A	SHOWS	EXPLORATION	1995-04-21	1995-06-26	ÅSGARD	807-L	6506/12-1 SMØRBUKK	NO	160	ST 8801- INLINE 920 & CROSSLINE 942	2.60	24.000000	5096.00	5097.000000	285.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	8	NO	APPRAISAL	1995	1995	\N	\N	12	\N	\N	\N	\N	\N	\N	67	NO	ED50	65	8	7.82	N	6	49	6.47	E	65.135506	6.818464	7225505.520000	397658.220000	32	6506	12	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2445	http://www.npd.no/FactMapSearch?NPDID_wellbore=2445	initial	\N	2002-09-24	2445	44900	43765	294382	0	21556	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-18	33/9-18	Den norske stats oljeselskap a.s	STATOIL	037	WILDCAT	P&A	DRY	EXPLORATION	1994-11-16	1994-12-20	\N	799-L	\N	NO	124	CTM 94-3D: INLINE 1127 & CROSSLINE 492	0.00	23.000000	0.00	3253.000000	145.000000	LATE JURASSIC	DRAUPNE FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1994	1994	\N	\N	1	\N	\N	\N	\N	\N	\N	35	NO	ED50	61	15	40.78	N	1	56	7.73	E	61.261328	1.935481	6792522.530000	442897.080000	31	33	9	\N	18	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2454	http://www.npd.no/FactMapSearch?NPDID_wellbore=2454	initial	\N	2004-07-01	2454	\N	\N	287983	0	21084	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-18 A	33/9-18	Den norske stats oljeselskap a.s	STATOIL	037	WILDCAT	P&A	DRY	EXPLORATION	1994-12-21	1995-01-24	\N	800-L	\N	NO	100	CTM 94-3D: INLINE 1127 & CROSSLINE 492	0.00	23.000000	3195.00	3595.000000	145.000000	LATE JURASSIC	DRAUPNE FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	1994	1995	\N	\N	1	\N	\N	\N	\N	\N	\N	35	NO	ED50	61	15	40.78	N	1	56	7.73	E	61.261328	1.935481	6792522.530000	442897.080000	31	33	9	\N	18	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2455	http://www.npd.no/FactMapSearch?NPDID_wellbore=2455	sidetrack	33/9-18	2004-07-01	2455	\N	\N	287983	0	21084	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-24 S	34/7-24	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	SHOWS	EXPLORATION	1995-02-25	1995-03-24	VIGDIS	801-L	34/7-23 S	NO	100	CTM 94- ROW 1598 & COLUMN 857	30.00	25.000000	2938.00	3145.000000	152.000000	LATE JURASSIC	HEATHER FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	8	NO	APPRAISAL	1995	1995	\N	\N	12	\N	\N	\N	\N	\N	\N	28	NO	ED50	61	18	32.92	N	2	1	51.55	E	61.309144	2.030986	6797768.900000	448098.910000	31	34	7	\N	24	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2460	http://www.npd.no/FactMapSearch?NPDID_wellbore=2460	initial	\N	2008-02-28	2460	44702	43732	297028	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
25/9-1	25/9-1	Amerada Hess Norge AS	AMERADA	189	WILDCAT	P&A	DRY	EXPLORATION	1995-03-28	1995-04-22	\N	810-L	\N	NO	91	UHP92-50 & SP 1684 / SG 8603-307 & SP 14	1.50	25.000000	2525.00	2525.000000	111.000000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	14	NO	WILDCAT	1995	1995	\N	\N	1	\N	\N	\N	\N	\N	\N	25	NO	ED50	59	26	58.72	N	2	42	35.67	E	59.449644	2.709908	6590310.690000	483550.580000	31	25	9	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2476	http://www.npd.no/FactMapSearch?NPDID_wellbore=2476	initial	\N	2003-08-29	2476	\N	\N	297028	0	22324	AMERADA	2012-07-25	2012-07-25	2013-05-08
1/3-7	1/3-7	Elf Petroleum Norge AS	ELF	065	APPRAISAL	P&A	OIL	EXPLORATION	1995-02-13	1995-05-25	OSELVAR	804-L	1/3-6 OSELVAR	NO	136	BPN 9202  inline 1084 & xline3062	7.00	42.000000	3342.00	3345.000000	72.000000	PALEOCENE	VÅLE FM	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	6	NO	APPRAISAL	1995	1995	\N	\N	5	FORTIES FM	PALEOCENE	\N	\N	\N	\N	102	NO	ED50	56	56	25.15	N	2	40	34.61	E	56.940319	2.676281	6310930.490000	480302.330000	31	1	3	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2505	http://www.npd.no/FactMapSearch?NPDID_wellbore=2505	initial	\N	2010-04-30	2505	43832	5506919	296110	0	21316	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-38 S	34/10-38	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1995-04-05	1995-05-29	GULLFAKS SØR	805-L	34/10-17 RIMFAKS	NO	\N	ST 9207  rekke 1520 & kolonne 920	\N	23.000000	\N	3940.000000	137.000000	LATE TRIASSIC	\N	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1995	1995	\N	\N	13	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC	\N	EARLY JURASSIC      	55	NO	ED50	61	4	23.27	N	2	1	37.18	E	61.073131	2.026994	6771483.910000	447493.920000	31	34	10	\N	38	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2517	http://www.npd.no/FactMapSearch?NPDID_wellbore=2517	initial	\N	9999-12-31	2517	44600	43699	287983	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-37 A	34/10-37	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	SUSPENDED	OIL	EXPLORATION	1995-02-22	1995-04-03	GULLFAKS SØR	808-L	34/10-37 GULLVEIG	NO	102	NOD4-84-06 & SP2030	32.40	23.000000	2845.00	2950.000000	140.000000	MIDDLE JURASSIC	NESS FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1995	1995	\N	\N	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	39	NO	ED50	61	8	9.78	N	2	0	55.81	E	61.136050	2.015503	6778501.300000	446979.260000	31	34	10	\N	37	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2530	http://www.npd.no/FactMapSearch?NPDID_wellbore=2530	sidetrack	34/10-37	2006-10-19	2530	44630	43699	287983	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-18	30/9-18	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	DRY	EXPLORATION	1995-03-14	1995-04-11	\N	809-L	\N	NO	115	NH 9111- RAD 1313 & KOLONNE 1021	3.30	26.000000	2994.00	2994.000000	106.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	9	NO	WILDCAT	1995	1995	\N	\N	1	\N	\N	\N	\N	\N	\N	29	NO	ED50	60	17	38.69	N	2	49	22.59	E	60.294081	2.822942	6684333.060000	490211.400000	31	30	9	\N	18	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2552	http://www.npd.no/FactMapSearch?NPDID_wellbore=2552	initial	\N	2007-12-19	2552	\N	\N	296326	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-19 S	25/11-19	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1995-04-24	1995-05-18	BALDER	811-L	25/11-1 BALDER	NO	0	B88 Inline 207 Xline 687	39.16	25.000000	2044.00	2250.000000	129.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	1-A	NO	APPRAISAL	1995	1995	\N	\N	13	INTRA BALDER FM SS	EOCENE	HERMOD FM	PALEOCENE	\N	\N	25	NO	ED50	59	12	48.48	N	2	24	6.88	E	59.213467	2.401911	6564126.950000	465849.930000	31	25	11	\N	19	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2562	http://www.npd.no/FactMapSearch?NPDID_wellbore=2562	initial	\N	2003-08-29	2562	44210	43562	297028	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
30/9-17 R	30/9-17	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	JUNKED	DRY	EXPLORATION	1995-04-11	1995-04-13	\N	806-L2	\N	NO	58	NH 8502 R INLINE 239 & CROSSLINE 1033	2.50	26.000000	1408.00	1408.000000	107.000000	OLIGOCENE	HORDALAND GP	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	9	NO	WILDCAT	1995	1995	\N	PLUGGING	1	\N	\N	\N	\N	\N	\N	3	YES	ED50	60	17	39.08	N	2	49	19.44	E	60.294189	2.822067	6684345.260000	490163.050000	31	30	9	\N	17	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2569	http://www.npd.no/FactMapSearch?NPDID_wellbore=2569	re-entry	30/9-17	2007-12-19	2569	\N	\N	296326	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-6	25/8-6	Esso Exploration and Production Norway A/S	ESSO	027 P	APPRAISAL	P&A	OIL	EXPLORATION	1995-05-19	1995-06-27	JOTUN	813-L	25/8-5 S JOTUN	NO	88	ES 9403 & INLINE 2306 / CDP 1827	13.40	25.000000	2569.50	2577.000000	128.000000	PALEOCENE	EKOFISK FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	2-A	NO	APPRAISAL	1995	1995	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	40	NO	ED50	59	28	18.42	N	2	20	15.37	E	59.471783	2.337603	6592927.190000	462464.170000	31	25	8	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2573	http://www.npd.no/FactMapSearch?NPDID_wellbore=2573	initial	\N	2003-08-29	2573	44330	43604	297028	0	20996	ESSO	2012-07-25	2012-07-25	2013-05-08
34/10-39 S	34/10-39	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	P&A	DRY	EXPLORATION	1995-05-31	1995-06-20	\N	812-L	\N	NO	\N	ST 9207-3D: Row 2738 & Column 634	\N	23.000000	\N	3290.000000	140.000000	EARLY JURASSIC	\N	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1995	1995	\N	\N	1	\N	\N	\N	\N	\N	\N	21	NO	ED50	61	12	44.79	N	2	1	32.11	E	61.212442	2.025586	6787001.950000	447649.070000	31	34	10	\N	39	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2574	http://www.npd.no/FactMapSearch?NPDID_wellbore=2574	initial	\N	9999-12-31	2574	\N	\N	287983	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
17/3-1	17/3-1	Elf Petroleum Norge AS	ELF	188	WILDCAT	P&A	GAS	EXPLORATION	1995-06-29	1995-08-20	\N	815-L	17/3-1	YES	98	EL 9401-222- SP 382 & GES 89-14 SP 508	3.19	25.000000	2852.00	2852.000000	273.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	14	NO	WILDCAT	1995	1995	\N	\N	9	SANDNES FM	MIDDLE JURASSIC	\N	\N	\N	\N	53	NO	ED50	58	55	2.50	N	3	48	21.33	E	58.917361	3.805925	6531280.150000	546414.750000	31	17	3	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2576	http://www.npd.no/FactMapSearch?NPDID_wellbore=2576	initial	\N	2002-09-24	2576	43976	\N	297028	0	22316	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
6608/10-5	6608/10-5	Den norske stats oljeselskap a.s	STATOIL	128	WILDCAT	P&A	DRY	EXPLORATION	1995-07-05	1995-08-06	\N	814-L	\N	NO	116	ST 9301 - INLINE 3160 & CROSSLINE 1692	9.50	23.000000	3198.00	3200.000000	340.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	10-B	NO	WILDCAT	1995	1995	\N	\N	1	\N	\N	\N	\N	\N	\N	33	NO	ED50	66	10	25.69	N	8	15	3.04	E	66.173803	8.250844	7339671.100000	466228.880000	32	6608	10	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2578	http://www.npd.no/FactMapSearch?NPDID_wellbore=2578	initial	\N	2002-09-24	2578	\N	\N	296245	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
9/2-5	9/2-5	Den norske stats oljeselskap a.s	STATOIL	114	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1995-06-23	1995-07-21	YME	816-L	9/2-3	NO	118	ST 9413- INLINE 760 & CROSSLINE 655	1.80	23.000000	3354.60	3355.000000	77.000000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	10-A	NO	APPRAISAL	1995	1995	9/2-B-1 H	\N	5	SANDNES FM	MIDDLE JURASSIC	BRYNE FM	MIDDLE JURASSIC	\N	\N	29	NO	ED50	57	45	15.30	N	4	21	21.16	E	57.754250	4.355878	6402303.160000	580693.950000	31	9	2	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2599	http://www.npd.no/FactMapSearch?NPDID_wellbore=2599	initial	\N	2002-09-24	2599	45104	43807	287983	2748	21716	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-10 A	6506/12-10	Den norske stats oljeselskap a.s	STATOIL	094	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1995-06-27	1995-12-11	ÅSGARD	817-L	6506/12-1 SMØRBUKK	NO	189	ST 8801- INLINE SP 920 & CROSSLINE SP 94	57.70	24.000000	5361.00	6260.000000	285.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	8	NO	APPRAISAL	1995	1995	\N	\N	13	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	168	NO	ED50	65	8	7.82	N	6	49	6.47	E	65.135506	6.818464	7225505.520000	397658.220000	32	6506	12	\N	10	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2610	http://www.npd.no/FactMapSearch?NPDID_wellbore=2610	sidetrack	6506/12-10	2002-09-24	2610	44900	43765	294382	0	21556	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/8-7	25/8-7	Amerada Hess Norge AS	AMERADA	189	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1995-07-21	1995-08-12	\N	818-L	\N	NO	81	EL 9202-409 & sp 1470. UHP 92-53 & sp 32	3.70	25.000000	2379.00	2380.000000	123.000000	EARLY JURASSIC	AMUNDSEN FM	NORTH SEA	DYVI STENA	SEMISUB STEEL	14	NO	WILDCAT	1995	1995	\N	\N	12	\N	\N	\N	\N	\N	\N	23	NO	ED50	59	28	28.43	N	2	34	28.57	E	59.474564	2.574603	6593127.020000	475896.000000	31	25	8	\N	7	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2612	http://www.npd.no/FactMapSearch?NPDID_wellbore=2612	initial	\N	2003-08-29	2612	\N	\N	290980	0	22324	AMERADA	2012-07-25	2012-07-25	2013-05-08
31/4-10	31/4-10	Norsk Hydro Produksjon AS	HYDRO	055	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1995-11-14	1995-12-13	BRAGE	829-L	31/4-3 BRAGE	NO	\N	NH 9209- ROW 2078 & COLUMN 1224	\N	22.000000	\N	2350.000000	234.000000	MIDDLE JURASSIC	\N	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	4	NO	APPRAISAL	1995	1995	\N	\N	13	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	30	NO	ED50	60	37	30.24	N	3	11	16.26	E	60.625067	3.187850	6721199.940000	510280.060000	31	31	4	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2617	http://www.npd.no/FactMapSearch?NPDID_wellbore=2617	initial	\N	9999-12-31	2617	44546	43651	287902	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/7-3	25/7-3	Conoco Norway Inc.	CONOCO	103	WILDCAT	P&A	OIL	EXPLORATION	1995-07-27	1995-08-28	JOTUN	819-L	25/7-3 JOTUN	YES	95	ES 94-3 INLINE 1314 & CROSSLINE 1765	3.00	23.000000	2539.20	2540.000000	127.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	9	NO	WILDCAT	1995	1995	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	33	NO	ED50	59	26	8.81	N	2	19	28.00	E	59.435781	2.324444	6588925.440000	461677.840000	31	25	7	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2623	http://www.npd.no/FactMapSearch?NPDID_wellbore=2623	initial	\N	2003-08-29	2623	44300	43604	287983	0	21628	CONOCO	2012-07-25	2012-07-25	2013-05-08
30/3-7 S	30/3-7	Den norske stats oljeselskap a.s	STATOIL	052	WILDCAT	P&A	OIL/GAS	EXPLORATION	1995-09-21	1995-12-12	VESLEFRIKK	822-L	30/3-7 S	YES	0	ST 8513R94- INLINE 227 & CROSSLINE 800	54.40	57.000000	4049.00	5581.000000	174.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	4	NO	WILDCAT	1995	1995	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	83	NO	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	30	3	\N	7	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2632	http://www.npd.no/FactMapSearch?NPDID_wellbore=2632	initial	\N	2005-11-07	2632	44390	43618	277321	0	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-40 S	34/10-40	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	RE-CLASS TO DEV	GAS	EXPLORATION	1995-08-13	1995-10-13	\N	821-L	34/10-40 S	YES	\N	Topp Brent:ST 8511 rekke 952 & cp 587.	\N	80.700000	\N	5900.000000	142.500000	EARLY JURASSIC	\N	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	Awarded additionaly to round 3	NO	WILDCAT	1995	1995	34/10-B-35	\N	9	\N	MIDDLE JURASSIC	\N	\N	\N	\N	62	NO	ED50	61	12	10.92	N	2	12	4.86	E	61.203033	2.201350	6785825.930000	457078.910000	31	34	10	\N	40	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2634	http://www.npd.no/FactMapSearch?NPDID_wellbore=2634	initial	\N	9999-12-31	2634	44636	\N	271917	2607	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/5-5	15/5-5	Norsk Hydro Produksjon AS	HYDRO	048	WILDCAT	P&A	OIL	EXPLORATION	1995-08-31	1995-10-05	GLITNE	820-L	15/5-5 GLITNE	YES	90	NH 9302  ROW 1376  - COL. 1777	3.90	26.000000	2636.00	2645.000000	109.000000	PALEOCENE	EKOFISK FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	3	NO	WILDCAT	1995	1995	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	36	NO	ED50	58	43	3.40	N	1	38	39.41	E	58.717611	1.644281	6509552.030000	421473.460000	31	15	5	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2635	http://www.npd.no/FactMapSearch?NPDID_wellbore=2635	initial	\N	2007-12-19	2635	43904	1272071	296326	0	21172	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-15	2/8-15	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	DRY	EXPLORATION	1995-11-27	1996-01-09	\N	834-L	\N	NO	121	GA3D-INLINE 200 & X-LINE 2300	5.70	25.000000	3748.00	3750.000000	69.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	1-A	NO	WILDCAT	1995	1996	\N	\N	1	\N	\N	\N	\N	\N	\N	43	NO	ED50	56	25	5.14	N	3	28	58.96	E	56.418094	3.483044	6252857.510000	529801.710000	31	2	8	\N	15	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2636	http://www.npd.no/FactMapSearch?NPDID_wellbore=2636	initial	\N	2003-10-31	2636	\N	\N	297028	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
6406/12-2	6406/12-2	Den norske stats oljeselskap a.s	STATOIL	157	WILDCAT	P&A	DRY	EXPLORATION	1995-09-01	1995-10-17	\N	824-L	\N	NO	146	ST 9302- INLINE 1048 & CROSSLINE 2289	5.90	23.000000	4363.00	4367.000000	334.000000	MIDDLE JURASSIC	MELKE FM	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	12-B	NO	WILDCAT	1995	1995	\N	\N	1	\N	\N	\N	\N	\N	\N	47	NO	ED50	64	6	13.80	N	6	51	43.06	E	64.103833	6.861961	7110509.230000	395821.770000	32	6406	12	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2640	http://www.npd.no/FactMapSearch?NPDID_wellbore=2640	initial	\N	2003-09-24	2640	\N	\N	287983	0	22068	STATOIL	2012-07-25	2012-07-25	2013-05-08
6406/2-1 R	6406/2-1	Saga Petroleum ASA	SAGA	199	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1995-08-21	1996-01-07	\N	798-L2	6406/2-1 LAVRANS	NO	194	SG 9312 3D- ROW 1396 & COLUMN 1975	38.10	22.000000	5790.00	5892.000000	278.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	14	NO	WILDCAT	1995	1996	\N	TESTING	17	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	140	YES	ED50	64	52	15.19	N	6	36	21.35	E	64.870886	6.605931	7196390.670000	386574.360000	32	6406	2	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2642	http://www.npd.no/FactMapSearch?NPDID_wellbore=2642	re-entry	6406/2-1	2002-05-29	2642	44834	\N	296245	0	22404	SAGA	2013-04-13	2013-04-13	2013-05-08
6406/2-2	6406/2-2	Saga Petroleum ASA	SAGA	199	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1995-12-12	1996-03-27	\N	825-L	6406/2-1 LAVRANS	NO	183	HWM 94- ROW 1790 & COLUMN 2070	15.30	24.000000	5351.00	5367.000000	272.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS RIG	SEMISUB STEEL	14	NO	APPRAISAL	1995	1996	\N	\N	17	ILE FM	MIDDLE JURASSIC	TOFTE FM	EARLY JURASSIC	\N	\N	107	NO	ED50	64	49	46.35	N	6	34	15.43	E	64.829542	6.570953	7191848.600000	384740.990000	32	6406	2	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2644	http://www.npd.no/FactMapSearch?NPDID_wellbore=2644	initial	\N	2002-09-24	2644	44834	\N	294382	0	22404	SAGA	2012-07-25	2012-07-25	2013-05-08
6608/10-3 R	6608/10-3	Den norske stats oljeselskap a.s	STATOIL	128	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1995-08-08	1995-08-17	NORNE	753-L2	6608/10-2 NORNE	NO	115	B-18-83 & SP. 1345	5.50	23.000000	2919.50	2921.000000	382.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	ROSS ISLE	SEMISUB STEEL	10-B	NO	APPRAISAL	1995	1995	\N	TESTING/PLUGGING	13	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	10	YES	ED50	66	2	6.66	N	8	4	57.97	E	66.035183	8.082769	7324321.370000	458426.470000	32	6608	10	\N	3	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2645	http://www.npd.no/FactMapSearch?NPDID_wellbore=2645	re-entry	6608/10-3	2002-09-24	2645	44942	43778	296245	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/8-8 S	25/8-8	Esso Exploration and Production Norway A/S	ESSO	027 P	WILDCAT	P&A	OIL/GAS	EXPLORATION	1995-08-22	1995-09-24	JOTUN	823-L	25/8-8 S JOTUN	YES	0	ES 9403- INLINE 2672 &  CDP 2131	35.50	25.000000	2343.70	2592.000000	126.500000	LATE JURASSIC	DRAUPNE FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	2-A	NO	WILDCAT	1995	1995	\N	\N	13	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	34	NO	ED50	59	25	51.87	N	2	24	18.73	E	59.431075	2.405203	6588357.700000	466254.240000	31	25	8	\N	8	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2646	http://www.npd.no/FactMapSearch?NPDID_wellbore=2646	initial	\N	2003-08-29	2646	44336	43604	297028	0	20996	ESSO	2012-07-25	2012-07-25	2013-05-08
25/5-5	25/5-5	Elf Petroleum Norge AS	ELF	102	WILDCAT	P&A	OIL	EXPLORATION	1995-10-27	1995-11-23	\N	827-L	25/5-5	YES	89	EL 9201- CROSSLINE 1086 & inline 491	8.30	25.000000	2596.00	2600.000000	122.000000	PALEOCENE	VÅLE FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	9	NO	WILDCAT	1995	1995	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	28	NO	ED50	59	33	16.17	N	2	20	40.46	E	59.554492	2.344572	6602133.730000	462949.900000	31	25	5	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2661	http://www.npd.no/FactMapSearch?NPDID_wellbore=2661	initial	\N	2006-02-15	2661	44282	\N	297028	0	21620	ELF NORGE	2012-07-25	2012-07-25	2013-05-08
6204/10-1	6204/10-1	Den norske stats oljeselskap a.s	STATOIL	175	WILDCAT	P&A	DRY	EXPLORATION	1995-10-28	1995-11-23	\N	828-L	\N	NO	78	ST 9202-INLINE 398 & CROSSLINE 1130	4.60	23.000000	2707.00	2709.000000	188.000000	PRE-DEVONIAN	BASEMENT	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	13	NO	WILDCAT	1995	1995	\N	\N	1	\N	\N	\N	\N	\N	\N	27	NO	ED50	62	3	20.50	N	4	15	36.60	E	62.055694	4.260167	6881190.160000	565883.940000	31	6204	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2666	http://www.npd.no/FactMapSearch?NPDID_wellbore=2666	initial	\N	2002-05-29	2666	\N	\N	287983	0	22212	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-20	25/11-20	Norsk Hydro Produksjon AS	HYDRO	169	WILDCAT	P&A	DRY	EXPLORATION	1995-10-08	1995-10-23	\N	826-L	\N	NO	76	NH 9301- ROW 940& COLUMN 1686	2.30	26.000000	1828.00	1828.000000	122.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	13	NO	WILDCAT	1995	1995	\N	\N	1	\N	\N	\N	\N	\N	\N	16	NO	ED50	59	8	44.62	N	2	33	44.27	E	59.145728	2.562297	6556512.650000	474958.170000	31	25	11	\N	20	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2667	http://www.npd.no/FactMapSearch?NPDID_wellbore=2667	initial	\N	2003-08-29	2667	\N	\N	296326	2939	22164	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-8 A	25/8-8	Esso Exploration and Production Norway A/S	ESSO	027 P	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1995-09-29	1995-10-11	JOTUN	830-L	25/8-8 S JOTUN	NO	0	ES 9403- INLINE 2672 & CDP 2131	51.70	25.000000	2183.10	2601.000000	126.500000	PALEOCENE	TY FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	2-A	NO	APPRAISAL	1995	1995	\N	\N	13	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	13	NO	ED50	59	25	51.87	N	2	24	18.73	E	59.431075	2.405203	6588357.700000	466254.240000	31	25	8	\N	8	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2690	http://www.npd.no/FactMapSearch?NPDID_wellbore=2690	sidetrack	25/8-8 S	2003-08-29	2690	44336	43604	297028	0	20996	ESSO	2012-07-25	2012-07-25	2013-05-08
7/12-12 S	7/12-12	BP Norway Limited  U.A.	BP	019	WILDCAT	P&A	DRY	EXPLORATION	1995-11-14	1996-03-17	\N	833-L	\N	NO	\N	INLINE 1588 & CROSS-LINE 1707	\N	57.000000	\N	6079.000000	69.500000	TRIASSIC	\N	NORTH SEA	ULA DP	JACKET 4 LEGS	1-A	NO	WILDCAT	1995	1996	\N	\N	1	\N	\N	\N	\N	\N	\N	125	NO	ED50	57	6	41.19	N	2	50	50.73	E	57.111442	2.847425	6329943.570000	490758.660000	31	7	12	\N	12	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2695	http://www.npd.no/FactMapSearch?NPDID_wellbore=2695	initial	\N	9999-12-31	2695	\N	\N	271889	0	20916	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
25/8-8 B	25/8-8	Esso Exploration and Production Norway A/S	ESSO	027 P	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1995-10-12	1995-10-24	JOTUN	831-L	25/8-8 S JOTUN	NO	0	ES 9403- INLINE 2672 & CDP 2131	46.60	25.000000	2178.00	2510.000000	126.500000	PALEOCENE	LISTA FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	2-A	NO	APPRAISAL	1995	1995	\N	\N	13	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	13	NO	ED50	59	25	51.87	N	2	24	18.73	E	59.431075	2.405203	6588357.700000	466254.240000	31	25	8	\N	8	B	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2696	http://www.npd.no/FactMapSearch?NPDID_wellbore=2696	sidetrack	25/8-8 A	2003-10-20	2696	44336	43604	297028	0	20996	ESSO	2012-07-25	2012-07-25	2013-05-08
2/1-11	2/1-11	BP Norway Limited  U.A.	BP	019 B	WILDCAT	SUSPENDED	OIL	EXPLORATION	1997-01-14	1997-05-07	\N	877-L	2/1-11	YES	167	BPN 9111- INLINE 425 & CROSSLINE 1107	30.00	23.000000	4697.00	4725.000000	68.200000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	WILDCAT	1997	1997	\N	\N	5	BRYNE FM	MIDDLE JURASSIC	\N	\N	\N	\N	114	NO	ED50	56	47	35.28	N	3	3	58.16	E	56.793133	3.066156	6294501.410000	504041.280000	31	2	1	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2699	http://www.npd.no/FactMapSearch?NPDID_wellbore=2699	initial	\N	2010-04-01	2699	43988	\N	296353	0	20924	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
25/11-21 S	25/11-21	Norsk Hydro Produksjon AS	HYDRO	169	APPRAISAL	P&A	OIL	EXPLORATION	1995-10-23	1995-11-14	GRANE	832-L	25/11-15 GRANE	NO	72	NH 9301- ROW 1405 &  COLUMN 1750	27.90	26.000000	1889.50	1957.000000	129.000000	LATE CRETACEOUS	HOD FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	13	NO	APPRAISAL	1995	1995	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	22	NO	ED50	59	9	43.43	N	2	27	53.07	E	59.162064	2.464742	6558372.450000	469391.490000	31	25	11	\N	21	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2701	http://www.npd.no/FactMapSearch?NPDID_wellbore=2701	initial	\N	2003-03-20	2701	44216	1035937	296326	0	22164	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
16/10-3	16/10-3	Norsk Agip  AS	AGIP	101	WILDCAT	P&A	DRY	EXPLORATION	1996-10-22	1996-12-01	\N	856-L	\N	NO	103	ES 9401- INLINE 1782 &  CROSSLINE 5320	3.20	40.000000	2849.00	2850.000000	75.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	TRANSOCEAN NORDIC	JACK-UP 3 LEGS	9	NO	WILDCAT	1996	1996	\N	\N	1	\N	\N	\N	\N	\N	\N	41	NO	ED50	58	13	18.54	N	2	19	34.30	E	58.221817	2.326194	6453751.140000	460416.920000	31	16	10	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2703	http://www.npd.no/FactMapSearch?NPDID_wellbore=2703	initial	\N	2003-10-31	2703	\N	\N	296191	0	21612	AGIP	2012-07-25	2012-07-25	2013-05-08
30/8-1 SR	30/8-1	Norsk Hydro Produksjon AS	HYDRO	190	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1995-11-14	1996-03-01	TUNE	797-L2	30/8-1 S TUNE	NO	160	VG 91-inline 277 & xline 546	43.10	26.000000	4764.40	5149.000000	96.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	14	NO	WILDCAT	1995	1996	\N	DRILLING	17	TARBERT FM	MIDDLE JURASSIC	STATFJORD FM	EARLY JURASSIC	\N	\N	109	YES	ED50	60	27	46.93	N	2	38	6.53	E	60.463036	2.635147	6703193.600000	479933.470000	31	30	8	\N	1	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2719	http://www.npd.no/FactMapSearch?NPDID_wellbore=2719	re-entry	30/8-1 S	2010-08-01	2719	44456	853376	296326	0	22332	HYDRO PRODUKSJON	2013-04-19	2013-04-19	2013-05-08
30/8-2	30/8-2	Norsk Hydro Produksjon AS	HYDRO	190	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1995-12-15	1996-01-14	\N	835-L	\N	NO	74	NH 9304-inline 840 & crossline 2490	2.50	22.000000	2405.00	2405.000000	99.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	14	NO	WILDCAT	1995	1996	\N	\N	12	\N	\N	\N	\N	\N	\N	31	NO	ED50	60	27	24.51	N	2	21	47.92	E	60.456808	2.363311	6702613.660000	464976.310000	31	30	8	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2723	http://www.npd.no/FactMapSearch?NPDID_wellbore=2723	initial	\N	2010-08-01	2723	\N	\N	287902	0	22332	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/10-6 S	25/10-6	Den norske stats oljeselskap a.s	STATOIL	168	WILDCAT	P&A	SHOWS	EXPLORATION	1995-12-26	1996-03-22	\N	836-L	\N	NO	158	ST 9304- INLINE 648 & CROSSLINE 717	43.50	23.000000	4281.50	4706.000000	117.000000	MIDDLE JURASSIC	SLEIPNER FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	13	NO	WILDCAT	1995	1996	\N	\N	12	\N	\N	\N	\N	\N	\N	88	NO	ED50	59	8	8.69	N	2	1	37.54	E	59.135747	2.027094	6555724.910000	444322.990000	31	25	10	\N	6	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2728	http://www.npd.no/FactMapSearch?NPDID_wellbore=2728	initial	\N	2003-08-29	2728	\N	\N	287983	0	22156	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/11-2 S	34/11-2	Den norske stats oljeselskap a.s	STATOIL	193	WILDCAT	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	1996-01-16	1996-05-17	\N	838-L	34/11-2 S NØKKEN	YES	172	TFE 91- ROW 1111& COLUMN 653	48.00	25.000000	4579.00	4743.000000	261.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	14	NO	WILDCAT	1996	1996	\N	\N	17	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	123	NO	ED50	61	13	33.24	N	2	22	56.81	E	61.225900	2.382447	6788267.620000	466835.280000	31	34	11	\N	2	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2733	http://www.npd.no/FactMapSearch?NPDID_wellbore=2733	initial	\N	2012-11-15	2733	44648	\N	297028	0	22356	STATOIL	2013-02-02	2013-02-02	2013-05-08
6506/11-4 S	6506/11-4	Den norske stats oljeselskap a.s	STATOIL	134	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1996-02-11	1996-06-06	ÅSGARD	839-L	6506/12-1 SMØRBUKK	NO	165	3 D HWM-94- Inline 3578 & Crossline 1562	24.20	22.000000	4907.00	5110.000000	303.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	11-A	NO	APPRAISAL	1996	1996	6506/11-F-4 H	\N	5	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	117	NO	ED50	65	1	46.17	N	6	36	4.74	E	65.029492	6.601317	7214065.980000	387026.300000	32	6506	11	\N	4	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2736	http://www.npd.no/FactMapSearch?NPDID_wellbore=2736	initial	\N	2005-12-13	2736	44900	43765	296245	3620	21884	STATOIL	2013-01-22	2013-01-22	2013-05-08
25/10-7 S	25/10-7	Esso Exploration and Production Norway A/S	ESSO	028 P	WILDCAT	P&A	DRY	EXPLORATION	1996-05-20	1996-06-08	\N	840-L	\N	NO	87	ESD 96-28 & SP 353- ESD 96-15 & SP 312	25.80	25.000000	2582.00	2617.000000	117.000000	PALEOCENE	EKOFISK FM	NORTH SEA	VILDKAT EXPLORER	SEMISUB STEEL	2-A	NO	WILDCAT	1996	1996	\N	\N	1	\N	\N	\N	\N	\N	\N	20	NO	ED50	59	4	57.64	N	2	8	23.75	E	59.082678	2.139931	6549726.890000	450703.950000	31	25	10	\N	7	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2769	http://www.npd.no/FactMapSearch?NPDID_wellbore=2769	initial	\N	2003-08-29	2769	\N	\N	297028	0	21012	ESSO	2012-07-25	2012-07-25	2013-05-08
35/11-8 S	35/11-8	Norsk Hydro Produksjon AS	HYDRO	090	WILDCAT	P&A	OIL/GAS	EXPLORATION	1996-03-03	1996-05-11	FRAM	841-L	35/11-8 S	YES	128	MN 9201- INLINE 4287 & CROSSLINE 1277	33.00	26.000000	3355.00	3624.000000	361.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	8	NO	WILDCAT	1996	1996	\N	\N	13	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	70	NO	ED50	61	5	25.53	N	3	32	14.85	E	61.090425	3.537458	6773139.140000	528987.440000	31	35	11	\N	8	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2772	http://www.npd.no/FactMapSearch?NPDID_wellbore=2772	initial	\N	2005-06-15	2772	44762	1578840	296326	0	21524	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
35/10-2	35/10-2	Den norske stats oljeselskap a.s	STATOIL	173	WILDCAT	P&A	GAS	EXPLORATION	1996-04-16	1996-08-22	\N	843-L	35/10-2	YES	0	ST 9303-INLINE 3500 & CROSSLINE 2500	0.00	24.000000	4675.00	4677.000000	372.500000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	13	NO	WILDCAT	1996	1996	\N	\N	9	TARBERT FM	MIDDLE JURASSIC	NESS FM	MIDDLE JURASSIC	\N	\N	106	NO	ED50	61	2	22.67	N	3	2	30.60	E	61.039631	3.041833	6767362.830000	502259.880000	31	35	10	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2783	http://www.npd.no/FactMapSearch?NPDID_wellbore=2783	initial	\N	2006-12-15	2783	44738	\N	294382	0	22196	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/3-2	6507/3-2	Den norske stats oljeselskap a.s	STATOIL	159	WILDCAT	P&A	DRY	EXPLORATION	1997-04-06	1997-04-27	\N	884-L	\N	NO	0	ST 9601-407& SP 10697 x-over SG 8710-201	1.00	23.000000	2032.00	2032.000000	410.000000	TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	12-B	NO	WILDCAT	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	22	NO	ED50	65	45	25.29	N	7	55	18.79	E	65.757025	7.921886	7293435.730000	450602.420000	32	6507	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2954	http://www.npd.no/FactMapSearch?NPDID_wellbore=2954	initial	\N	2003-04-11	2954	\N	\N	296677	0	22084	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/11-5 S	6506/11-5	Den norske stats oljeselskap a.s	STATOIL	134	APPRAISAL	RE-CLASS TO DEV	OIL/GAS	EXPLORATION	1996-09-10	1996-11-10	ÅSGARD	859-L	6506/12-1 SMØRBUKK	NO	156	3D HWM 94-INLINE 4098 & CROSSLINE 1554.	16.70	22.000000	4729.00	4790.000000	288.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	11-A	NO	APPRAISAL	1996	1996	6506/11-G-1 H	\N	13	TILJE FM	EARLY JURASSIC	ÅRE FM	EARLY JURASSIC	\N	\N	62	NO	ED50	65	5	17.50	N	6	39	44.00	E	65.088194	6.662222	7220497.620000	390135.870000	32	6506	11	\N	5	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2794	http://www.npd.no/FactMapSearch?NPDID_wellbore=2794	initial	\N	2002-09-24	2794	44900	43765	296245	3622	21884	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-11 S	6506/12-11	Den norske stats oljeselskap a.s	STATOIL	094	APPRAISAL	P&A	OIL	EXPLORATION	1996-06-08	1996-09-07	ÅSGARD	849-L	6506/12-1 SMØRBUKK	NO	167	3 D HWM-94: INLINE 4188 & CROSSLINE 1678	33.20	22.000000	4843.00	5268.000000	289.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	8	NO	APPRAISAL	1996	1996	\N	\N	5	TILJE FM	EARLY JURASSIC	ÅRE FM	EARLY JURASSIC	\N	\N	92	NO	ED50	65	5	7.20	N	6	40	54.75	E	65.085333	6.681875	7220144.870000	391047.420000	32	6506	12	\N	11	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2795	http://www.npd.no/FactMapSearch?NPDID_wellbore=2795	initial	\N	2002-09-24	2795	44900	43765	296245	0	21556	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/1-4	6407/1-4	Den norske stats oljeselskap a.s	STATOIL	073	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1996-06-08	1996-08-23	TYRIHANS	846-L	6407/1-3 TYRIHANS NORD	NO	141	ST 9503-INLINE 554 & CROSSLINE 1562	0.00	25.000000	0.00	3805.000000	286.000000	MIDDLE JURASSIC	NOT FM	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	5	NO	APPRAISAL	1996	1996	\N	\N	13	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	79	NO	ED50	64	51	46.05	N	7	1	21.25	E	64.862792	7.022569	7194806.980000	406280.050000	32	6407	1	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2796	http://www.npd.no/FactMapSearch?NPDID_wellbore=2796	initial	\N	2005-12-13	2796	44858	3960848	341331	0	21380	STATOIL	2012-07-25	2012-07-25	2013-05-08
31/2-19 S	31/2-19	Norsk Hydro Produksjon AS	HYDRO	191	WILDCAT	P&A	DRY	EXPLORATION	1996-05-08	1996-07-13	\N	844-L	\N	NO	117	NH 92 - INLINE 2920 & CROSSLINE 3662	38.60	22.000000	3669.00	4114.000000	344.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	14	NO	WILDCAT	1996	1996	\N	\N	1	\N	\N	\N	\N	\N	\N	45	NO	ED50	60	54	37.50	N	3	22	17.32	E	60.910417	3.371478	6753026.190000	520149.180000	31	31	2	\N	19	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2798	http://www.npd.no/FactMapSearch?NPDID_wellbore=2798	initial	\N	2003-10-31	2798	\N	\N	287902	0	1043631	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/11-21 A	25/11-21	Norsk Hydro Produksjon AS	HYDRO	169	APPRAISAL	RE-CLASS TO TEST	OIL	EXPLORATION	1996-05-12	1996-10-01	GRANE	845-L	25/11-15 GRANE	NO	81	NH 9301-ROW 1405 & COLUMN 1750	90.40	26.000000	1801.30	3006.000000	129.000000	PALEOCENE	LISTA FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	13	NO	APPRAISAL	1996	1996	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	124	NO	ED50	59	9	43.43	N	2	27	53.07	E	59.162064	2.464742	6558372.450000	469391.490000	31	25	11	\N	21	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2812	http://www.npd.no/FactMapSearch?NPDID_wellbore=2812	sidetrack	25/11-21 S	2003-08-29	2812	44216	1035937	296326	2939	22164	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
24/12-3 S	24/12-3	Den norske stats oljeselskap a.s	STATOIL	204	WILDCAT	P&A	OIL	EXPLORATION	1996-06-27	1996-07-29	\N	847-L	24/12-3 S	YES	90	WEST 2412SC-INLINE 2781 & CROSSLINE 1594	36.20	25.000000	2726.00	3058.000000	118.000000	PALEOCENE	VÅLE FM	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	15	NO	WILDCAT	1996	1996	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	33	NO	ED50	59	5	57.53	N	1	47	23.33	E	59.099314	1.789814	6551890.290000	430671.310000	31	24	12	\N	3	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2823	http://www.npd.no/FactMapSearch?NPDID_wellbore=2823	initial	\N	2002-05-29	2823	44168	\N	296164	0	22444	STATOIL	2012-07-25	2012-07-25	2013-05-08
1/3-8	1/3-8	Amoco Norway Oil Company	AMOCO	011	WILDCAT	P&A	SHOWS	EXPLORATION	1996-12-12	1997-05-27	\N	855-L	\N	NO	179	RANDOM LINES SH 9201 S1 OG S2	4.00	41.000000	5199.00	5201.000000	70.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	TRANSOCEAN NORDIC	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1996	1997	\N	\N	12	\N	\N	\N	\N	\N	\N	167	NO	ED50	56	52	7.14	N	2	53	20.75	E	56.868650	2.889097	6302911.220000	493238.840000	31	1	3	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2829	http://www.npd.no/FactMapSearch?NPDID_wellbore=2829	initial	\N	2010-04-30	2829	\N	\N	296191	0	20844	AMOCO	2013-04-21	2013-04-21	2013-05-08
33/9-19 S	33/9-19	Den norske stats oljeselskap a.s	STATOIL	037	WILDCAT	P&A	OIL	EXPLORATION	1996-06-29	1996-07-23	SYGNA	848-L	33/9-19 S SYGNA	YES	0	E 86 REPR. 93  INLINE 620& CROSSL. 990	0.00	25.000000	3061.00	3197.000000	304.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1996	1996	\N	\N	5	ETIVE FM	MIDDLE JURASSIC	RANNOCH FM	MIDDLE JURASSIC	\N	\N	25	NO	ED50	61	28	33.56	N	1	59	50.60	E	61.475989	1.997389	6816380.310000	446585.050000	31	33	9	\N	19	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2830	http://www.npd.no/FactMapSearch?NPDID_wellbore=2830	initial	\N	2004-07-01	2830	44564	104718	297028	0	21084	STATOIL	2012-07-25	2012-07-25	2013-05-08
36/4-1	36/4-1	BP Norway Limited  U.A.	BP	196	WILDCAT	P&A	DRY	EXPLORATION	1996-09-03	1996-10-01	\N	850-L	\N	NO	79	BPN 9401 INLINE 2034 CROSSLINE 1196	5.40	23.000000	2714.00	2717.000000	261.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	14	NO	WILDCAT	1996	1996	\N	\N	1	\N	\N	\N	\N	\N	\N	29	NO	ED50	61	43	56.60	N	4	2	1.29	E	61.732389	4.033692	6844966.430000	554617.380000	31	36	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2847	http://www.npd.no/FactMapSearch?NPDID_wellbore=2847	initial	\N	2008-08-15	2847	\N	\N	296353	0	22380	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
6406/2-3	6406/2-3	Saga Petroleum ASA	SAGA	199	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1996-08-24	1997-04-15	KRISTIN	851-L	6406/2-3 KRISTIN	YES	188	HWM94-row 2802 & col 1022	6.40	24.000000	5255.90	5258.000000	372.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	14	NO	WILDCAT	1996	1997	\N	\N	17	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	235	NO	ED50	64	58	40.80	N	6	24	37.71	E	64.978000	6.410475	7208685.600000	377806.710000	32	6406	2	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2849	http://www.npd.no/FactMapSearch?NPDID_wellbore=2849	initial	\N	2002-05-29	2849	44840	1854729	294382	0	22404	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-25 S	34/7-25	Saga Petroleum ASA	SAGA	089	WILDCAT	P&A	OIL	EXPLORATION	1996-07-31	1996-09-14	TORDIS	852-L	34/7-25 S	YES	94	CTM 94-INLINE 1052 & CROSSLINE 1389	52.10	23.000000	2596.00	3235.000000	187.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	8	NO	WILDCAT	1996	1996	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	46	NO	ED50	61	15	9.24	N	2	8	41.14	E	61.252567	2.144761	6791381.740000	454110.020000	31	34	7	\N	25	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2863	http://www.npd.no/FactMapSearch?NPDID_wellbore=2863	initial	\N	2008-02-28	2863	44708	43725	287983	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
7228/7-1 S	7228/7-1	Den norske stats oljeselskap a.s	STATOIL	202	WILDCAT	P&A	DRY	EXPLORATION	2000-12-05	2001-01-08	\N	989-L	\N	NO	60	3D ST 9403- INLINE 1378 & CROSSLINE 1557	30.10	24.000000	1987.00	2087.000000	288.000000	EARLY PERMIAN	UNDEFINED GP	BARENTS SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	14	NO	WILDCAT	2000	2001	\N	\N	1	\N	\N	\N	\N	\N	\N	35	NO	ED50	72	15	28.90	N	28	8	59.70	E	72.258028	28.149917	8018306.530000	539111.270000	35	7228	7	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3015	http://www.npd.no/FactMapSearch?NPDID_wellbore=3015	initial	\N	2003-02-11	3015	\N	\N	294382	0	4705176	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/11-3	34/11-3	Den norske stats oljeselskap a.s	STATOIL	193	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1996-08-01	1997-01-16	KVITEBJØRN	853-L	34/11-1 KVITEBJØRN	NO	162	TFE 91R95W- INLINE 792 & CROSSLINE 1860	7.00	25.000000	4476.00	4482.000000	208.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	14	NO	APPRAISAL	1996	1997	\N	\N	17	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	169	NO	ED50	61	5	45.25	N	2	31	6.51	E	61.095903	2.518475	6773725.820000	474033.730000	31	34	11	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2866	http://www.npd.no/FactMapSearch?NPDID_wellbore=2866	initial	\N	2006-12-15	2866	44642	1036101	296164	0	22356	STATOIL	2012-07-25	2012-07-25	2013-05-08
9/2-6 S	9/2-6	Den norske stats oljeselskap a.s	STATOIL	114	WILDCAT	RE-CLASS TO DEV	OIL	EXPLORATION	1996-08-19	1996-12-13	YME	854-L	9/2-6 S	YES	0	ST 9002-INLINE 1196 & CROSSLINE 325	61.10	42.000000	3642.00	5205.000000	93.000000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	YME	JACK-UP 3 LEGS	10-A	NO	WILDCAT	1996	1996	9/2-A-6	\N	5	SANDNES FM	MIDDLE JURASSIC	\N	\N	\N	\N	62	NO	ED50	57	49	7.47	N	4	31	10.95	E	57.818742	4.519708	6409689.140000	590282.120000	31	9	2	\N	6	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2867	http://www.npd.no/FactMapSearch?NPDID_wellbore=2867	initial	\N	2002-09-24	2867	45110	43807	278245	3063	21716	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/9-19 A	33/9-19	Den norske stats oljeselskap a.s	STATOIL	037	APPRAISAL	P&A	OIL	EXPLORATION	1996-07-23	1996-08-09	SYGNA	857-L	33/9-19 S SYGNA	NO	0	E 86 REPR. 93 INLINE 620 & CROSSL. 990	0.00	25.000000	3057.00	3514.000000	304.000000	EARLY JURASSIC	AMUNDSEN FM	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	1996	1996	\N	\N	5	ETIVE FM	MIDDLE JURASSIC	RANNOCH FM	MIDDLE JURASSIC	\N	\N	18	NO	ED50	61	28	33.56	N	1	59	50.60	E	61.475989	1.997389	6816380.310000	446585.050000	31	33	9	\N	19	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2872	http://www.npd.no/FactMapSearch?NPDID_wellbore=2872	sidetrack	33/9-19 S	2004-07-01	2872	44564	104718	297028	0	21084	STATOIL	2012-07-25	2012-07-25	2013-05-08
33/6-2	33/6-2	Mobil Exploration Norway INC	MOBIL	206	WILDCAT	P&A	SHOWS	EXPLORATION	1996-10-28	1997-01-02	\N	864-L	\N	NO	137	MN9601M- line 984 & trace 2954	5.60	25.000000	3945.00	3950.000000	317.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	15	NO	WILDCAT	1996	1997	\N	\N	12	\N	\N	\N	\N	\N	\N	67	NO	ED50	61	32	15.87	N	1	56	33.00	E	61.537742	1.942500	6823304.990000	443772.570000	31	33	6	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2873	http://www.npd.no/FactMapSearch?NPDID_wellbore=2873	initial	\N	2003-09-24	2873	\N	\N	341331	0	22460	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
6610/2-1 S	6610/2-1	Den norske stats oljeselskap a.s	STATOIL	177	WILDCAT	P&A	SHOWS	EXPLORATION	1996-08-27	1996-09-28	\N	858-L	\N	NO	92	SP 212 & INLINE 803-ST 9293	26.90	25.000000	2558.00	2673.000000	406.000000	TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	13	NO	WILDCAT	1996	1996	\N	\N	12	\N	\N	\N	\N	\N	\N	33	NO	ED50	66	48	48.73	N	10	30	26.70	E	66.813536	10.507417	7411584.430000	566228.210000	32	6610	2	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2874	http://www.npd.no/FactMapSearch?NPDID_wellbore=2874	initial	\N	2005-06-30	2874	\N	\N	341331	0	22228	STATOIL	2012-07-25	2012-09-21	2013-05-08
2/6-5	2/6-5	Saga Petroleum ASA	SAGA	008	WILDCAT	P&A	OIL	EXPLORATION	1996-11-17	1997-01-11	\N	866-L	2/6-5	YES	125	SG-9508 INLINE 1070 & CROSSLINE 692	4.60	23.000000	3258.00	3260.000000	70.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	1-A	NO	WILDCAT	1996	1997	\N	\N	5	TOR FM	LATE CRETACEOUS	\N	\N	\N	\N	56	NO	ED50	56	35	36.69	N	3	45	42.73	E	56.593525	3.761869	6272539.870000	546787.120000	31	2	6	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2885	http://www.npd.no/FactMapSearch?NPDID_wellbore=2885	initial	\N	2003-09-24	2885	44108	\N	287983	0	20820	SAGA	2012-07-25	2012-07-25	2013-05-08
30/5-2	30/5-2	Norsk Hydro Produksjon AS	HYDRO	034	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1996-10-04	1996-12-21	TUNE	861-L	30/8-1 S TUNE	NO	139	SH 9106- INLINE 445 & CROSSLINE 177	3.00	26.000000	4075.00	4076.000000	92.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	2-A	NO	APPRAISAL	1996	1996	\N	\N	13	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	79	NO	ED50	60	30	16.30	N	2	38	12.71	E	60.504528	2.636864	6707814.400000	480053.380000	31	30	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2886	http://www.npd.no/FactMapSearch?NPDID_wellbore=2886	initial	\N	2008-12-18	2886	44456	853376	296326	0	21060	HYDRO PRODUKSJON	2013-04-19	2013-04-19	2013-05-08
3/7-6	3/7-6	A/S Norske Shell	SHELL	147	WILDCAT	P&A	SHOWS	EXPLORATION	1996-10-08	1996-11-30	\N	862-L	\N	NO	130	TRYM MERGE:INLINE 676-CROSSLINE 760	13.30	23.000000	4109.00	4120.000000	64.000000	LATE JURASSIC	HAUGESUND FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	12	NO	WILDCAT	1996	1996	\N	\N	12	\N	\N	\N	\N	\N	\N	54	NO	ED50	56	25	49.44	N	4	18	2.98	E	56.430400	4.300828	6254881.460000	580227.120000	31	3	7	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2891	http://www.npd.no/FactMapSearch?NPDID_wellbore=2891	initial	\N	2007-04-02	2891	\N	\N	296353	0	21988	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
32/4-1	32/4-1	Phillips Petroleum Company Norway	PHILLIPS	205	WILDCAT	P&A	DRY	EXPLORATION	1996-10-21	1996-12-04	\N	863-L	\N	NO	110	TE 90 -112 * TE 90 - 207	3.00	24.000000	3185.00	3186.000000	312.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	TRANSOCEAN 8	SEMISUB STEEL	15	NO	WILDCAT	1996	1996	\N	\N	1	\N	\N	\N	\N	\N	\N	45	NO	ED50	60	43	19.90	N	4	4	36.70	E	60.722194	4.076861	6732485.340000	558752.030000	31	32	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2918	http://www.npd.no/FactMapSearch?NPDID_wellbore=2918	initial	\N	2002-05-29	2918	\N	\N	296677	0	22452	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/4-9 S	34/4-9	Saga Petroleum ASA	SAGA	057	APPRAISAL	P&A	OIL	EXPLORATION	1997-01-08	1997-02-15	SNORRE	865-L	34/4-1 SNORRE	NO	106	SG 8420-67 IDP 835-SG 8420-67 IDP 819.	29.60	25.000000	3388.30	3440.000000	334.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	SCARABEO 5	SEMISUB STEEL	4	NO	APPRAISAL	1997	1997	\N	\N	5	LUNDE FM	LATE TRIASSIC	\N	\N	\N	\N	39	NO	ED50	61	30	44.75	N	2	10	18.12	E	61.512431	2.171700	6820309.220000	455922.810000	31	34	4	\N	9	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2931	http://www.npd.no/FactMapSearch?NPDID_wellbore=2931	initial	\N	2012-01-03	2931	44654	43718	294058	0	21252	SAGA	2013-03-19	2013-03-19	2013-05-08
6610/3-1 R2	6610/3-1	Den norske stats oljeselskap a.s	STATOIL	177	WILDCAT	P&A	SHOWS	EXPLORATION	1996-10-01	1996-10-07	\N	748-L3	\N	NO	0	ST 9104-437 & SP.335	0.00	25.000000	0.00	4200.000000	309.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	13	NO	WILDCAT	1996	1996	\N	PLUGGING	12	\N	\N	\N	\N	\N	\N	7	YES	ED50	66	55	29.70	N	10	54	6.28	E	66.924917	10.901744	7424470.290000	583170.040000	32	6610	3	\N	1	R2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2932	http://www.npd.no/FactMapSearch?NPDID_wellbore=2932	re-entry	6610/3-1 R	2005-06-27	2932	\N	\N	341331	0	22228	STATOIL	2012-07-25	2012-07-25	2013-05-08
6204/10-2	6204/10-2	Den norske stats oljeselskap a.s	STATOIL	175	WILDCAT	SUSPENDED	DRY	EXPLORATION	1997-01-19	1997-02-12	\N	872-L	\N	NO	58	ST 9202- INLINE 208 &  X-LINE 1364	0.90	25.000000	1145.00	1145.000000	172.000000	PALEOCENE	SELE FM	NORWEGIAN SEA	DEEPSEA TRYM	SEMISUB STEEL	13	NO	WILDCAT	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	25	NO	ED50	62	2	41.24	N	4	7	4.59	E	62.044789	4.117942	6879839.000000	558469.640000	31	6204	10	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2952	http://www.npd.no/FactMapSearch?NPDID_wellbore=2952	initial	\N	2002-05-29	2952	\N	\N	296164	0	22212	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/10-8	25/10-8	Esso Exploration and Production Norway A/S	ESSO	028 P	WILDCAT	P&A	OIL/GAS	EXPLORATION	1997-02-17	1997-04-07	\N	867-L	25/10-8 HANZ	YES	0	ESD 96-215 & SP. 323 /ESD 96-227 & SP. 5	2.70	25.000000	2653.00	2653.000000	115.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	2-A	NO	WILDCAT	1997	1997	\N	\N	13	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	50	NO	ED50	59	1	48.48	N	2	13	25.35	E	59.030133	2.223708	6543817.160000	455437.650000	31	25	10	\N	8	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2955	http://www.npd.no/FactMapSearch?NPDID_wellbore=2955	initial	\N	2001-11-15	2955	44198	\N	296164	0	21012	ESSO	2012-07-25	2012-07-25	2013-05-08
6608/8-1	6608/8-1	Den norske stats oljeselskap a.s	STATOIL	200	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1997-02-01	1997-03-30	\N	873-L	\N	NO	132	3D ST 9405 INLINE 1283& CROSSLINE 1000	0.00	23.000000	3005.00	3013.000000	334.000000	LATE PERMIAN	ZECHSTEIN GP	NORWEGIAN SEA	TRANSOCEAN 8	SEMISUB STEEL	14	NO	WILDCAT	1997	1997	\N	\N	12	\N	\N	\N	\N	\N	\N	58	NO	ED50	66	18	32.69	N	8	30	58.84	E	66.309081	8.516344	7354632.570000	478313.590000	32	6608	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2974	http://www.npd.no/FactMapSearch?NPDID_wellbore=2974	initial	\N	2001-11-15	2974	\N	\N	296677	0	22412	STATOIL	2012-07-25	2012-07-25	2013-05-08
6506/12-11 SR	6506/12-11	Den norske stats oljeselskap a.s	STATOIL	094	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1996-11-12	1997-02-01	ÅSGARD	849-L2	6506/12-1 SMØRBUKK	NO	167	3 D HWM-94: INLINE 4188 & CROSSLINE 1678	33.20	22.000000	4843.00	5268.000000	289.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN SEARCHER	SEMISUB STEEL	8	NO	APPRAISAL	1996	1997	6506/12-I-4 H	\N	5	TILJE FM	EARLY JURASSIC	ÅRE FM	EARLY JURASSIC	\N	\N	82	YES	ED50	65	5	7.20	N	6	40	54.75	E	65.085333	6.681875	7220144.870000	391047.420000	32	6506	12	\N	11	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2977	http://www.npd.no/FactMapSearch?NPDID_wellbore=2977	re-entry	6506/12-11 S	2002-09-24	2977	44900	43765	296245	3621	21556	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/11-5	30/11-5	A/S Norske Shell	SHELL	035	WILDCAT	P&A	OIL	EXPLORATION	1996-12-05	1997-01-09	\N	868-L	\N	YES	114	SH 9004-839 & CROSSLINE 719	8.30	23.000000	3725.00	3726.000000	105.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	2-A	NO	WILDCAT	1996	1997	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	36	NO	ED50	60	8	50.39	N	2	33	59.57	E	60.147331	2.566547	6668054.430000	475929.500000	31	30	11	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2986	http://www.npd.no/FactMapSearch?NPDID_wellbore=2986	initial	\N	2006-02-15	2986	\N	\N	296353	0	21068	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
25/8-9	25/8-9	Amerada Hess Norge AS	AMERADA	189	WILDCAT	P&A	OIL	EXPLORATION	1997-01-05	1997-02-14	\N	871-L	25/8-9	YES	91	ES 9403 INLINE - 1173 & CROSSLINE - 259	10.50	25.000000	2540.00	2548.000000	125.000000	EARLY JURASSIC	AMUNDSEN FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	14	NO	WILDCAT	1997	1997	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	24	NO	ED50	59	28	6.08	N	2	30	24.90	E	59.468356	2.506917	6592462.130000	472055.660000	31	25	8	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2988	http://www.npd.no/FactMapSearch?NPDID_wellbore=2988	initial	\N	2003-08-29	2988	44342	\N	341331	0	22324	AMERADA	2012-07-25	2012-07-25	2013-05-08
6608/8-2	6608/8-2	StatoilHydro ASA	STATOIL	352	WILDCAT	P&A	DRY	EXPLORATION	2007-10-14	2007-11-29	\N	1144-L	\N	NO	87	3D Survey:ST01M07-inline 1106 & X-line 1478	2.30	22.000000	2831.00	2831.000000	337.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2004	NO	WILDCAT	2007	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	47	NO	ED50	66	17	52.58	N	8	22	37.01	E	66.297939	8.376947	7353445.910000	472051.000000	32	6608	8	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Torr-bronn-i-Norskehavet2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2989	http://www.npd.no/FactMapSearch?NPDID_wellbore=2989	initial	\N	2009-11-29	2989	\N	\N	287902	0	2987228	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
36/7-2	36/7-2	Norsk Hydro Produksjon AS	HYDRO	153	WILDCAT	P&A	OIL	EXPLORATION	1997-09-02	1997-09-22	\N	869-L	36/7-2	YES	34	NH 9205 - 113 A & SP. 625	1.80	22.000000	1435.00	1435.000000	269.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	12	NO	WILDCAT	1997	1997	\N	\N	5	FENSFJORD FM	MIDDLE JURASSIC	\N	\N	\N	\N	21	NO	ED50	61	18	23.50	N	4	19	47.00	E	61.306528	4.329722	6797817.450000	571225.200000	31	36	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2990	http://www.npd.no/FactMapSearch?NPDID_wellbore=2990	initial	\N	2006-05-23	2990	44798	\N	287902	0	22036	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
35/4-1	35/4-1	Norsk Hydro Produksjon AS	HYDRO	194	WILDCAT	P&A	SHOWS	EXPLORATION	1996-12-23	1997-05-24	\N	870-L	\N	NO	164	NH 9402-crossline 4643 & inline 2487	15.40	26.000000	4924.00	4936.000000	378.000000	TRIASSIC	HEGRE GP	NORTH SEA	TREASURE SAGA	SEMISUB STEEL	14	NO	WILDCAT	1996	1997	\N	\N	12	\N	\N	\N	\N	\N	\N	153	NO	ED50	61	32	0.55	N	3	18	8.26	E	61.533486	3.302294	6822412.010000	516075.700000	31	35	4	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2993	http://www.npd.no/FactMapSearch?NPDID_wellbore=2993	initial	\N	2002-05-29	2993	\N	\N	296326	0	22364	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/8-16 S	2/8-16	Amoco Norway Oil Company	AMOCO	006	WILDCAT	JUNKED	GAS SHOWS	EXPLORATION	1997-02-08	1997-03-14	\N	874-L	\N	NO	0	\N	81.40	43.500000	2101.00	3139.000000	69.200000	EOCENE	HORDALAND GP	NORTH SEA	VALHALL	JACKET 8 LEGS	1-A	NO	WILDCAT	1997	1997	\N	\N	12	\N	\N	\N	\N	\N	\N	35	NO	ED50	56	16	40.75	N	3	23	43.61	E	56.277986	3.395447	6237227.940000	524486.990000	31	2	8	\N	16	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3008	http://www.npd.no/FactMapSearch?NPDID_wellbore=3008	initial	\N	2007-01-18	3008	\N	\N	271749	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
35/11-9	35/11-9	Norsk Hydro Produksjon AS	HYDRO	090	APPRAISAL	P&A	OIL	EXPLORATION	1997-03-02	1997-05-01	FRAM	875-L	35/11-8 S	NO	95	MN 9201- INLINE 5320 & CROSSLINE 1455	6.70	29.000000	2828.00	2830.000000	357.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	WEST DELTA	SEMISUB STEEL	8	NO	APPRAISAL	1997	1997	\N	\N	5	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	61	NO	ED50	61	3	54.23	N	3	30	6.95	E	61.065064	3.501931	6770298.990000	527092.970000	31	35	11	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3009	http://www.npd.no/FactMapSearch?NPDID_wellbore=3009	initial	\N	2005-06-15	3009	44762	1578840	287821	0	21524	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6406/2-4 S	6406/2-4	Saga Petroleum ASA	SAGA	199	APPRAISAL	SUSP.REENTERED LATER	SHOWS	EXPLORATION	1997-01-18	1997-04-05	\N	876-L	6406/2-1 LAVRANS	NO	0	HWM 94- INLINE 1500 & CROSSLINE 2063	17.70	23.000000	4457.00	4546.000000	273.500000	MIDDLE JURASSIC	MELKE FM	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	14	NO	APPRAISAL	1997	1997	\N	\N	12	\N	\N	\N	\N	\N	\N	76	NO	ED50	64	47	58.34	N	6	32	29.26	E	64.799539	6.541461	7188560.780000	383212.300000	32	6406	2	\N	4	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3012	http://www.npd.no/FactMapSearch?NPDID_wellbore=3012	initial	\N	2003-04-11	3012	44834	\N	287983	0	22404	SAGA	2012-07-25	2012-07-25	2013-05-08
15/6-8 S	15/6-8	Deminex Norge AS	DEMINEX	166	WILDCAT	P&A	DRY	EXPLORATION	1997-02-18	1997-04-05	\N	878-L	\N	NO	104	MC3D-Q15 LINE 1659 & CDP 4332	21.60	25.000000	3147.00	3225.000000	102.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	13	NO	WILDCAT	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	46	NO	ED50	58	32	57.58	N	1	52	55.90	E	58.549328	1.882194	6490561.260000	434940.960000	31	15	6	\N	8	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3014	http://www.npd.no/FactMapSearch?NPDID_wellbore=3014	initial	\N	2003-10-31	3014	\N	\N	341331	0	22140	DEMINEX	2012-07-25	2012-07-25	2013-05-08
25/8-9 A	25/8-9	Amerada Hess Norge AS	AMERADA	189	APPRAISAL	P&A	OIL	EXPLORATION	1997-01-29	1997-02-14	\N	880-L	25/8-9	NO	0	ES 9403 INLINE - 1173 & CROSSLINE - 25	56.68	25.000000	2223.00	2687.000000	125.000000	PALEOCENE	LISTA FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	14	NO	WILDCAT	1997	1997	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	17	NO	ED50	59	28	6.08	N	2	30	24.90	E	59.468356	2.506917	6592462.130000	472055.660000	31	25	8	\N	9	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3025	http://www.npd.no/FactMapSearch?NPDID_wellbore=3025	sidetrack	25/8-9	2003-08-29	3025	44342	\N	341331	0	22324	AMERADA	2012-07-25	2012-07-25	2013-05-08
35/11-10	35/11-10	Norsk Hydro Produksjon AS	HYDRO	090	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1997-05-19	1997-06-23	FRAM	891-L	35/11-4 FRAM	NO	107	MN 9201- INLINE 5385 & CROSSLINE 1871	5.10	22.000000	2949.00	2950.000000	353.500000	EARLY JURASSIC	COOK FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	8	NO	APPRAISAL	1997	1997	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	FENSFJORD FM	MIDDLE JURASSIC	NESS FM	MIDDLE JURASSIC     	36	NO	ED50	61	1	10.54	N	3	31	26.29	E	61.019594	3.523969	6765243.580000	528323.080000	31	35	11	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3042	http://www.npd.no/FactMapSearch?NPDID_wellbore=3042	initial	\N	2005-06-15	3042	44750	1578840	287902	0	21524	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6306/5-1	6306/5-1	Amerada Hess Norge AS	AMERADA	197	WILDCAT	P&A	GAS	EXPLORATION	1997-06-08	1997-07-10	\N	892-L	6306/5-1	YES	74	innline 1036 &  crossline 1414/CN6306	9.40	25.000000	2044.00	2050.000000	227.500000	LATE CRETACEOUS	KVITNOS FM	NORWEGIAN SEA	DEEPSEA TRYM	SEMISUB STEEL	14	NO	WILDCAT	1997	1997	\N	\N	9	EGGA FM (INFORMAL)	PALEOCENE	\N	\N	\N	\N	33	NO	ED50	63	41	56.42	N	6	33	35.29	E	63.699006	6.559803	7065951.070000	379378.450000	32	6306	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3060	http://www.npd.no/FactMapSearch?NPDID_wellbore=3060	initial	\N	2005-12-13	3060	44828	\N	296164	0	22388	AMERADA	2012-07-25	2012-07-25	2013-05-08
25/8-10 S	25/8-10	Esso Exploration and Production Norway A/S	ESSO	027	WILDCAT	P&A	OIL/GAS	EXPLORATION	1997-04-29	1997-06-05	BALDER	883-L	25/8-10 S RINGHORNE	YES	83	ESD96-3 & SP 577	10.40	25.000000	1883.90	1890.000000	129.000000	PALEOCENE	EKOFISK FM	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	2-A	NO	WILDCAT	1997	1997	\N	\N	13	HERMOD FM	PALEOCENE	HEIMDAL FM	PALEOCENE	\N	\N	37	NO	ED50	59	16	22.69	N	2	32	6.40	E	59.272969	2.535111	6570692.440000	473501.580000	31	25	8	\N	10	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3062	http://www.npd.no/FactMapSearch?NPDID_wellbore=3062	initial	\N	2003-08-29	3062	52316	43562	296164	0	20988	ESSO	2012-07-25	2012-07-25	2013-05-08
16/7-6	16/7-6	Esso Exploration and Production Norway A/S	ESSO	072	WILDCAT	P&A	DRY	EXPLORATION	1997-06-27	1997-07-24	\N	882-L	\N	NO	105	ES97-123 SP. 500-INLINE 1118 &CL 5664	2.38	25.000000	2725.00	2725.000000	78.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	STENA DEE	SEMISUB STEEL	6	NO	WILDCAT	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	28	NO	ED50	58	15	39.23	N	2	2	36.04	E	58.260897	2.043344	6458303.160000	443863.110000	31	16	7	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3067	http://www.npd.no/FactMapSearch?NPDID_wellbore=3067	initial	\N	2007-01-18	3067	\N	\N	290980	0	21372	ESSO	2012-07-25	2012-07-25	2013-05-08
15/12-11 S	15/12-11	Saga Petroleum ASA	SAGA	116	WILDCAT	P&A	DRY	EXPLORATION	1997-04-10	1997-05-19	\N	881-L	\N	NO	137	SG-9501- INLINE 700 & CROSSLINE 1176	26.70	23.000000	3464.00	3597.000000	99.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	10-A	NO	WILDCAT	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	40	NO	ED50	58	12	9.78	N	1	42	39.38	E	58.202717	1.710939	6452151.080000	424234.790000	31	15	12	\N	11	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3074	http://www.npd.no/FactMapSearch?NPDID_wellbore=3074	initial	\N	2003-10-31	3074	\N	\N	287983	0	21740	SAGA	2012-07-25	2012-07-25	2013-05-08
6707/10-1	6707/10-1	BP Norway Limited  U.A.	BP	218	WILDCAT	P&A	GAS	EXPLORATION	1997-04-19	1997-07-23	\N	885-L	6707/10-1 AASTA HANSTEEN	YES	114	BPN-0196- INLINE 930& CROSSLINE 2130	11.20	25.000000	5026.50	5039.000000	1274.000000	LATE CRETACEOUS	KVITNOS FM	NORWEGIAN SEA	OCEAN ALLIANCE	SEMISUB STEEL	15	NO	WILDCAT	1997	1997	\N	\N	9	DELFIN FM (INFORMAL)	LATE CRETACEOUS	\N	\N	\N	\N	96	NO	ED50	67	4	7.85	N	7	0	36.51	E	67.068847	7.010142	7440629.700000	413490.420000	32	6707	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3075	http://www.npd.no/FactMapSearch?NPDID_wellbore=3075	initial	\N	2001-11-15	3075	44954	\N	292654	0	22556	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
15/6-8 A	15/6-8	Deminex Norge AS	DEMINEX	166	WILDCAT	P&A	DRY	EXPLORATION	1997-04-05	1997-04-18	\N	886-L	\N	NO	77	MC3D-Q15 LINE 1659 & CDP 4332	25.60	25.000000	2422.00	2480.000000	102.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	13	NO	WILDCAT	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	14	NO	ED50	58	32	57.58	N	1	52	55.90	E	58.549328	1.882194	6490561.260000	434940.960000	31	15	6	\N	8	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3077	http://www.npd.no/FactMapSearch?NPDID_wellbore=3077	sidetrack	15/6-8 S	2003-10-31	3077	\N	\N	341331	0	22140	DEMINEX	2012-07-25	2012-07-25	2013-05-08
2/5-11	2/5-11	Norsk Agip  AS	AGIP	067	WILDCAT	P&A	OIL	EXPLORATION	1997-09-06	1997-11-14	\N	905-L	2/5-11	YES	130	STTM-94 INLINE 1222 & CROSSLINE 1490	1.30	39.500000	3550.00	3550.000000	64.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	TRANSOCEAN NORDIC	JACK-UP 3 LEGS	6	NO	WILDCAT	1997	1997	\N	\N	5	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	70	NO	ED50	56	42	16.23	N	3	23	1.65	E	56.704508	3.383792	6284699.930000	523500.090000	31	2	5	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3084	http://www.npd.no/FactMapSearch?NPDID_wellbore=3084	initial	\N	2002-05-29	3084	46293	\N	296191	0	21332	AGIP	2012-07-25	2012-07-25	2013-05-08
34/10-41 S	34/10-41	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	P&A	DRY	EXPLORATION	1997-07-13	1997-08-28	\N	890-L	\N	NO	\N	st 9207- inline 2973 & crossline 886	\N	25.000000	\N	3420.000000	141.000000	EARLY JURASSIC	\N	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	47	NO	ED50	61	13	54.34	N	2	5	42.30	E	61.231761	2.095083	6789100.190000	451412.460000	31	34	10	\N	41	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3085	http://www.npd.no/FactMapSearch?NPDID_wellbore=3085	initial	\N	9999-12-31	3085	\N	\N	296164	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
9/2-7 S	9/2-7	Den norske stats oljeselskap a.s	STATOIL	114	WILDCAT	RE-CLASS TO DEV	OIL	EXPLORATION	1997-04-22	1997-06-18	YME	887-L	9/2-7 S	YES	0	ST 9413 INLINE 636 & CROSSLINE 732	50.90	25.000000	3393.00	4099.000000	77.000000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	10-A	NO	WILDCAT	1997	1997	9/2-B-3 H	\N	5	SANDNES FM	LATE JURASSIC	BRYNE FM	MIDDLE JURASSIC	\N	\N	58	NO	ED50	57	45	15.15	N	4	21	21.75	E	57.754208	4.356042	6402298.710000	580703.800000	31	9	2	\N	7	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3087	http://www.npd.no/FactMapSearch?NPDID_wellbore=3087	initial	\N	2002-09-24	3087	45116	43807	341331	2901	21716	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/8-3	6407/8-3	BP Norway Limited  U.A.	BP	158	WILDCAT	P&A	SHOWS	EXPLORATION	1997-05-13	1997-05-27	\N	888-L	\N	NO	72	BPN 9501- INLINE 993 & CROSSLINE 1501	0.00	23.000000	1960.00	1960.000000	287.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	12-B	NO	WILDCAT	1997	1997	\N	\N	12	\N	\N	\N	\N	\N	\N	15	NO	ED50	64	18	2.00	N	7	37	41.60	E	64.300556	7.628222	7131399.310000	433625.590000	32	6407	8	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3092	http://www.npd.no/FactMapSearch?NPDID_wellbore=3092	initial	\N	2003-10-31	3092	\N	\N	296353	0	22076	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
25/10-8 A	25/10-8	Esso Exploration and Production Norway A/S	ESSO	028 P	APPRAISAL	P&A	DRY	EXPLORATION	1997-04-08	1997-04-27	\N	889-L	25/10-8 HANZ	NO	0	ESD 96-215& SP. 323 /ESD 96-227 & SP. 51	59.00	25.000000	2537.00	3460.000000	115.000000	LATE JURASSIC	INTRA DRAUPNE FM SS	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	2-A	NO	WILDCAT	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	20	NO	ED50	59	1	48.48	N	2	13	25.35	E	59.030133	2.223708	6543817.160000	455437.650000	31	25	10	\N	8	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3098	http://www.npd.no/FactMapSearch?NPDID_wellbore=3098	sidetrack	25/10-8	2001-11-15	3098	44198	\N	296164	0	21012	ESSO	2012-07-25	2012-07-25	2013-05-08
15/5-6	15/5-6	Den norske stats oljeselskap a.s	STATOIL	048	APPRAISAL	P&A	OIL	EXPLORATION	1997-06-20	1997-07-16	GLITNE	893-L	15/5-5 GLITNE	NO	61	NH 9302- INLINE 1242 & CROSSLINE 1636	2.50	25.000000	2725.00	2725.000000	110.000000	PALEOCENE	EKOFISK FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	3	NO	APPRAISAL	1997	1997	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	27	NO	ED50	58	41	45.95	N	1	39	3.59	E	58.696097	1.650997	6507148.910000	421814.270000	31	15	5	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3113	http://www.npd.no/FactMapSearch?NPDID_wellbore=3113	initial	\N	2006-10-19	3113	43904	1272071	341331	0	21172	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/7-4 S	25/7-4	Conoco Norway Inc.	CONOCO	103	WILDCAT	P&A	DRY	EXPLORATION	1997-06-02	1997-06-21	\N	879-L	\N	NO	75	CN 25/93 INLINE 155 & CROSSLINE 5765	9.90	23.000000	2546.30	2560.000000	126.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	9	NO	WILDCAT	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	20	NO	ED50	59	15	30.00	N	2	15	58.99	E	59.258333	2.266386	6569200.340000	458166.790000	31	25	7	\N	4	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3114	http://www.npd.no/FactMapSearch?NPDID_wellbore=3114	initial	\N	2003-08-29	3114	\N	\N	296353	0	21628	CONOCO	2012-07-25	2012-07-25	2013-05-08
25/11-19 SR	25/11-19	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1997-05-01	1997-05-06	BALDER	811-L2	25/11-1 BALDER	NO	0	B88 Inline 207 Xline 687	39.16	25.000000	2044.00	2250.000000	129.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	1-A	NO	APPRAISAL	1997	1997	\N	PLUGGING	13	INTRA BALDER FM SS	EOCENE	HERMOD FM	PALEOCENE	\N	\N	6	YES	ED50	59	12	48.48	N	2	24	6.88	E	59.213467	2.401911	6564126.950000	465849.930000	31	25	11	\N	19	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3117	http://www.npd.no/FactMapSearch?NPDID_wellbore=3117	re-entry	25/11-19 S	2003-08-29	3117	44210	43562	297514	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
6406/2-5	6406/2-5	Saga Petroleum ASA	SAGA	199	APPRAISAL	P&A	DRY	EXPLORATION	1997-06-03	1997-09-29	KRISTIN	894-L	6406/2-3 KRISTIN	NO	190	HWM94- ROW 2470 & COLUMN 1310	2.20	23.000000	5438.00	5439.000000	341.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	14	NO	APPRAISAL	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	119	NO	ED50	64	55	53.83	N	6	26	58.65	E	64.931619	6.449625	7203444.560000	379444.850000	32	6406	2	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3125	http://www.npd.no/FactMapSearch?NPDID_wellbore=3125	initial	\N	2002-09-24	3125	44840	1854729	287983	0	22404	SAGA	2012-07-25	2012-07-25	2013-05-08
9/2-8 S	9/2-8	Den norske stats oljeselskap a.s	STATOIL	114	WILDCAT	RE-CLASS TO DEV	DRY	EXPLORATION	1997-06-24	1998-02-02	\N	895-L	\N	NO	0	ST9413- INLINE 866 & CROSSLINE 1296	99.00	42.000000	3345.00	7584.000000	93.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	YME	JACK-UP 3 LEGS	10-A	NO	WILDCAT	1997	1998	9/2-A-3	\N	1	\N	\N	\N	\N	\N	\N	224	NO	ED50	57	49	7.58	N	4	31	11.00	E	57.818772	4.519722	6409692.560000	590282.870000	31	9	2	\N	8	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3126	http://www.npd.no/FactMapSearch?NPDID_wellbore=3126	initial	\N	2002-09-24	3126	\N	\N	278245	3349	21716	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-11 S	6507/7-11	Conoco Norway Inc.	CONOCO	095	WILDCAT	P&A	DRY	EXPLORATION	1997-06-25	1997-08-14	\N	897-L	\N	NO	127	CN 6507 - INLINE 2616 & X-LINE 921	7.80	23.000000	3744.00	3749.000000	274.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	8	NO	WILDCAT	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	51	NO	ED50	65	18	4.80	N	7	7	42.27	E	65.301333	7.128408	7243514.990000	412743.080000	32	6507	7	\N	11	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3131	http://www.npd.no/FactMapSearch?NPDID_wellbore=3131	initial	\N	2004-05-18	3131	\N	\N	296353	0	21564	CONOCO	2012-07-25	2012-07-25	2013-05-08
25/7-5	25/7-5	Norsk Hydro Produksjon AS	HYDRO	203	WILDCAT	P&A	OIL	EXPLORATION	1997-07-16	1997-08-30	\N	896-L	25/7-5	YES	99	NH 9603- INLINE 1156 & CROSSLINE 5382	2.40	22.000000	2735.00	2736.000000	124.000000	PALEOCENE	VÅLE FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	15	NO	WILDCAT	1997	1997	\N	\N	5	HERMOD FM	PALEOCENE	HEIMDAL FM	PALEOCENE	\N	\N	46	NO	ED50	59	29	39.81	N	2	1	9.42	E	59.494392	2.019283	6595667.550000	444463.920000	31	25	7	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3132	http://www.npd.no/FactMapSearch?NPDID_wellbore=3132	initial	\N	2002-05-29	3132	44306	\N	287902	0	22436	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/4-10	34/4-10	Saga Petroleum ASA	SAGA	057	WILDCAT	SUSPENDED	DRY	EXPLORATION	2000-02-12	2000-03-05	\N	968-L	34/4-10	NO	141	MN 9601 INLINE 1220 - CROSSLINE 2054	3.60	24.000000	2379.50	2380.000000	357.000000	LATE CRETACEOUS	KYRRE FM	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	4	NO	WILDCAT	2000	2000	\N	\N	1	\N	\N	\N	\N	\N	\N	23	NO	ED50	61	37	33.33	N	2	4	30.47	E	61.625925	2.075131	6833020.570000	450963.660000	31	34	4	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3143	http://www.npd.no/FactMapSearch?NPDID_wellbore=3143	initial	\N	2002-05-29	3143	1030530	\N	294382	0	21252	SAGA	2012-07-25	2012-07-25	2013-05-08
6305/5-1	6305/5-1	Norsk Hydro Produksjon AS	HYDRO	209	WILDCAT	P&A	GAS	EXPLORATION	1997-07-27	1997-10-07	ORMEN LANGE	900-L	6305/5-1 ORMEN LANGE	YES	81	inline 2153 & x-line 4757	13.00	26.000000	3052.80	3053.000000	885.500000	LATE CRETACEOUS	NISE FM	NORWEGIAN SEA	OCEAN ALLIANCE	SEMISUB STEEL	15	NO	WILDCAT	1997	1997	\N	\N	9	EGGA FM (INFORMAL)	PALEOCENE	\N	\N	\N	\N	73	NO	ED50	63	32	27.50	N	5	20	14.90	E	63.540972	5.337472	7048160.150000	616189.140000	31	6305	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3144	http://www.npd.no/FactMapSearch?NPDID_wellbore=3144	initial	\N	2001-11-15	3144	44822	2762452	292654	0	22484	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/9-19 A	15/9-19	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	OIL	EXPLORATION	1997-07-25	1997-11-09	VOLVE	898-L	15/9-19 S VOLVE	NO	117	3D ST9407r96 &  INLINE 1646& X-LINE 1711	59.00	25.000000	3319.00	4131.000000	85.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	3	NO	APPRAISAL	1997	1997	\N	\N	5	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	108	NO	ED50	58	26	9.08	N	1	55	47.26	E	58.435856	1.929794	6477882.410000	437510.030000	31	15	9	\N	19	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3145	http://www.npd.no/FactMapSearch?NPDID_wellbore=3145	sidetrack	15/9-19 S	2006-12-15	3145	43934	3420717	341331	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/11-10 A	35/11-10	Norsk Hydro Produksjon AS	HYDRO	090	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	1997-06-23	1997-07-14	FRAM	899-L	35/11-4 FRAM	NO	104	MN 9201 inline 5385 xline 1871	40.40	22.000000	2889.00	3259.000000	353.500000	MIDDLE JURASSIC	OSEBERG FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	8	NO	APPRAISAL	1997	1997	\N	\N	12	\N	\N	\N	\N	\N	\N	22	NO	ED50	61	1	10.54	N	3	31	26.29	E	61.019594	3.523969	6765243.580000	528323.080000	31	35	11	\N	10	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3151	http://www.npd.no/FactMapSearch?NPDID_wellbore=3151	sidetrack	35/11-10	2005-06-15	3151	44750	1578840	287902	0	21524	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6510/2-1	6510/2-1	A/S Norske Shell	SHELL	214	WILDCAT	SUSPENDED	SHOWS	EXPLORATION	1997-08-16	1997-10-10	\N	901-L	\N	NO	128	SH 9601-2-409 & CDP 1316	1.70	23.000000	3102.00	3102.000000	325.000000	TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	15	NO	WILDCAT	1997	1997	\N	\N	12	\N	\N	\N	\N	\N	\N	56	NO	ED50	65	47	15.60	N	10	25	51.33	E	65.787667	10.430925	7297173.230000	565483.130000	32	6510	2	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3166	http://www.npd.no/FactMapSearch?NPDID_wellbore=3166	initial	\N	2002-05-29	3166	\N	\N	296353	0	22524	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
34/7-26 S	34/7-26	Saga Petroleum ASA	SAGA	089	APPRAISAL	SUSP.REENTERED LATER	DRY	EXPLORATION	1997-08-19	1997-09-13	TORDIS	902-L	34/7-21 BORG	NO	0	CTM 94:E-W LINE 1235 & N-S LINE 1284	65.50	25.000000	2248.00	4193.000000	201.000000	LATE CRETACEOUS	KYRRE FM	NORTH SEA	SCARABEO 5	SEMISUB STEEL	8	NO	APPRAISAL	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	26	NO	ED50	61	16	29.38	N	2	7	11.41	E	61.274828	2.119836	6793879.090000	452806.070000	31	34	7	\N	26	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3168	http://www.npd.no/FactMapSearch?NPDID_wellbore=3168	initial	\N	2008-02-28	3168	44690	43725	294058	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
30/3-7 A	30/3-7	Den norske stats oljeselskap a.s	STATOIL	052	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1997-10-13	1998-01-29	VESLEFRIKK	903-L	30/3-7 A	YES	0	ST 8513R94-201& SP. 867	73.90	56.000000	4181.00	6678.000000	175.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	4	NO	WILDCAT	1997	1998	\N	\N	17	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	95	NO	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	30	3	\N	7	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3176	http://www.npd.no/FactMapSearch?NPDID_wellbore=3176	sidetrack	30/3-7 S	2005-11-07	3176	46312	43618	277321	0	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/9-19 SR2	15/9-19	Den norske stats oljeselskap a.s	STATOIL	046	WILDCAT	P&A	OIL	EXPLORATION	1997-07-18	1997-07-25	VOLVE	749-L3	15/9-19 S VOLVE	NO	0	3D-ST9407-inline1646 & crossline 1711	55.90	25.000000	3132.00	4644.000000	85.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	3	NO	WILDCAT	1997	1997	\N	PLUGGING	5	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	8	YES	ED50	58	26	9.08	N	1	55	47.26	E	58.435856	1.929794	6477882.410000	437510.030000	31	15	9	\N	19	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3180	http://www.npd.no/FactMapSearch?NPDID_wellbore=3180	re-entry	15/9-19 SR	2006-12-15	3180	43934	3420717	341331	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/8-5 SR	25/8-5	Esso Exploration and Production Norway A/S	ESSO	027 P	WILDCAT	P&A	OIL	EXPLORATION	1997-07-27	1997-08-03	JOTUN	793-L2	25/8-5 S JOTUN	NO	92	ESD-511 SP 162.93 / ESD-107 SP 198.56	56.60	25.000000	2912.60	3395.000000	128.000000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	STENA DEE	SEMISUB STEEL	2-A	NO	WILDCAT	1997	1997	\N	PLUGGING	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	8	YES	ED50	59	27	27.10	N	2	21	52.15	E	59.457528	2.364486	6591324.830000	463972.360000	31	25	8	\N	5	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3192	http://www.npd.no/FactMapSearch?NPDID_wellbore=3192	re-entry	25/8-5 S	2003-08-29	3192	44330	43604	290980	0	20996	ESSO	2012-07-25	2012-07-25	2013-05-08
6507/11-5 S	6507/11-5	Den norske stats oljeselskap a.s	STATOIL	062	APPRAISAL	RE-CLASS TO DEV	OIL/GAS	EXPLORATION	1997-09-05	1997-10-28	ÅSGARD	904-L	6507/11-1 MIDGARD	NO	93	SG 8758-inline 530 & crossline 434	21.00	25.000000	2599.50	2695.000000	256.000000	EARLY JURASSIC	ROR FM	NORWEGIAN SEA	DEEPSEA TRYM	SEMISUB STEEL	5	NO	APPRAISAL	1997	1997	6507/11-Y-3 H	\N	13	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	\N	\N	55	NO	ED50	65	0	18.57	N	7	33	25.23	E	65.005158	7.557008	7209986.270000	431967.600000	32	6507	11	\N	5	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3193	http://www.npd.no/FactMapSearch?NPDID_wellbore=3193	initial	\N	2005-11-07	3193	44912	43765	296164	3623	21292	STATOIL	2012-07-25	2012-09-28	2013-05-08
6706/11-1	6706/11-1	Den norske stats oljeselskap a.s	STATOIL	217	WILDCAT	P&A	DRY	EXPLORATION	1997-10-12	1998-03-22	\N	907-L	\N	NO	115	3D- ST 9603- INLINE 3840& CROSSLINE 2090	0.00	26.000000	4306.00	4317.000000	1238.000000	LATE CRETACEOUS	LANGE FM	NORWEGIAN SEA	OCEAN ALLIANCE	SEMISUB STEEL	15	NO	WILDCAT	1997	1998	\N	\N	1	\N	\N	\N	\N	\N	\N	162	NO	ED50	67	4	24.77	N	6	27	47.70	E	67.073547	6.463250	7442018.410000	389745.190000	32	6706	11	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3202	http://www.npd.no/FactMapSearch?NPDID_wellbore=3202	initial	\N	2001-11-15	3202	\N	\N	292654	0	22548	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/9-3	35/9-3	Norsk Hydro Produksjon AS	HYDRO	153	WILDCAT	P&A	OIL/GAS	EXPLORATION	1997-09-23	1997-11-11	\N	906-L	35/9-3	YES	91	NH 9405- INLINE 2925 & CROSSLINE 7511	6.00	22.000000	2781.00	2783.000000	348.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	12	NO	WILDCAT	1997	1997	\N	\N	13	KYRRE FM	LATE CRETACEOUS	AGAT FM	EARLY CRETACEOUS	\N	\N	50	NO	ED50	61	28	51.76	N	3	58	30.17	E	61.481044	3.975047	6816921.170000	551938.120000	31	35	9	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3206	http://www.npd.no/FactMapSearch?NPDID_wellbore=3206	initial	\N	2006-05-23	3206	45651	\N	287902	0	22036	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
25/8-11	25/8-11	Esso Exploration and Production Norway A/S	ESSO	027	WILDCAT	P&A	OIL	EXPLORATION	1997-10-16	1997-12-02	BALDER	909-L	25/8-11 RINGHORNE	YES	82	ES9403 3D- INLINE 3824 & X-LINE 2313	2.97	18.000000	1994.00	1994.000000	128.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	2-A	NO	WILDCAT	1997	1997	\N	\N	5	HERMOD FM	PALEOCENE	STATFJORD FM	EARLY JURASSIC	\N	\N	48	NO	ED50	59	18	7.00	N	2	26	51.00	E	59.301944	2.447500	6573957.140000	468534.610000	31	25	8	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3209	http://www.npd.no/FactMapSearch?NPDID_wellbore=3209	initial	\N	2002-12-18	3209	44318	43562	297514	0	20988	ESSO	2012-07-25	2012-07-25	2013-05-08
2/8-17 S	2/8-17	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1997-12-04	1998-01-17	\N	912-L	\N	NO	117	CA 3D  INLINE 174 &  X-LINE 1622	25.80	41.700000	2641.00	2685.000000	68.700000	LATE CRETACEOUS	TOR FM	NORTH SEA	TRANSOCEAN NORDIC	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1997	1998	\N	\N	12	\N	\N	\N	\N	\N	\N	56	NO	ED50	56	27	21.19	N	3	36	5.18	E	56.455886	3.601439	6257121.590000	537069.240000	31	2	8	\N	17	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3210	http://www.npd.no/FactMapSearch?NPDID_wellbore=3210	initial	\N	2003-09-24	3210	\N	\N	296191	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
6406/2-5 A	6406/2-5	Saga Petroleum ASA	SAGA	199	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1997-10-02	1998-02-23	KRISTIN	908-L	6406/2-3 KRISTIN	NO	175	HWM 94- ROW 2500 & COLUMN 1152	37.50	23.000000	4956.00	5600.000000	341.000000	EARLY JURASSIC	ROR FM	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	14	NO	APPRAISAL	1997	1998	\N	\N	17	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	\N	\N	145	NO	ED50	64	55	53.83	N	6	26	58.65	E	64.931619	6.449625	7203444.560000	379444.850000	32	6406	2	\N	5	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3213	http://www.npd.no/FactMapSearch?NPDID_wellbore=3213	sidetrack	6406/2-5	2002-09-24	3213	44840	1854729	287983	0	22404	SAGA	2012-07-25	2012-07-25	2013-05-08
34/7-27	34/7-27	Mobil Exploration Norway INC	MOBIL	089	WILDCAT	P&A	DRY	EXPLORATION	1998-09-01	1998-10-07	\N	933-L	\N	NO	103	E86R97- INLINE 1334& X-LINE 10999	2.48	25.000000	3000.00	3000.000000	311.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	8	NO	WILDCAT	1998	1998	\N	\N	1	\N	\N	\N	\N	\N	\N	37	NO	ED50	61	29	32.09	N	2	0	21.00	E	61.492247	2.005833	6818184.410000	447062.530000	31	34	7	\N	27	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3214	http://www.npd.no/FactMapSearch?NPDID_wellbore=3214	initial	\N	2002-12-18	3214	\N	\N	341331	0	21516	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
30/3-7 B	30/3-7	Den norske stats oljeselskap a.s	STATOIL	052	WILDCAT	RE-CLASS TO TEST	OIL/GAS	EXPLORATION	1998-05-20	1998-08-04	VESLEFRIKK	910-L	30/3-7 B	YES	153	LINE 229/CDP 753	67.20	56.000000	4217.00	5970.000000	175.000000	EARLY JURASSIC	COOK FM	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	4	NO	WILDCAT	1998	1998	\N	\N	13	BRENT GP	MIDDLE JURASSIC	COOK FM	EARLY JURASSIC	\N	\N	77	NO	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	30	3	\N	7	B	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3229	http://www.npd.no/FactMapSearch?NPDID_wellbore=3229	sidetrack	30/3-7 A	2005-11-07	3229	46322	43618	277321	4039	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-22	25/11-22	Norsk Hydro Produksjon AS	HYDRO	169	WILDCAT	P&A	DRY	EXPLORATION	1998-01-07	1998-01-24	\N	911-L	\N	NO	82	NH 9301 - INLINE 1156 &  X-LINE 1642	2.40	22.000000	1804.20	1805.000000	123.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	13	NO	WILDCAT	1998	1998	\N	\N	1	\N	\N	\N	\N	\N	\N	18	NO	ED50	59	9	40.27	N	2	31	26.13	E	59.161186	2.523925	6558249.060000	472775.120000	31	25	11	\N	22	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3243	http://www.npd.no/FactMapSearch?NPDID_wellbore=3243	initial	\N	2003-08-29	3243	\N	\N	287902	0	22164	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
16/7-7 S	16/7-7	Esso Exploration and Production Norway A/S	ESSO	072	WILDCAT	P&A	OIL	EXPLORATION	1997-10-20	1997-12-29	SIGYN	913-L	16/7-7 S	YES	112	ES 9401- INLINE 1158 &  X-LINE 5820	39.00	25.000000	2730.00	2994.000000	78.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	STENA DEE	SEMISUB STEEL	6	NO	WILDCAT	1997	1997	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	SKAGERRAK FM	LATE TRIASSIC	\N	\N	71	NO	ED50	58	17	6.53	N	2	3	51.01	E	58.285147	2.064169	6460985.890000	445122.590000	31	16	7	\N	7	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3244	http://www.npd.no/FactMapSearch?NPDID_wellbore=3244	initial	\N	2007-01-18	3244	45641	1630100	290980	0	21372	ESSO	2013-01-22	2013-01-22	2013-05-08
30/8-3	30/8-3	Norsk Hydro Produksjon AS	HYDRO	190	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1997-11-13	1998-01-05	TUNE	914-L	30/8-3	YES	135	NH 9304- INLINE 2100 & CROSSLINE 2372	7.40	22.000000	3718.00	3720.000000	92.500000	EARLY JURASSIC	DRAKE FM	NORTH SEA	WEST VANGUARD	SEMISUB STEEL	14	NO	WILDCAT	1997	1998	\N	\N	17	NESS FM	MIDDLE JURASSIC	\N	\N	\N	\N	54	NO	ED50	60	26	40.54	N	2	38	58.02	E	60.444594	2.649450	6701135.310000	480709.170000	31	30	8	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3246	http://www.npd.no/FactMapSearch?NPDID_wellbore=3246	initial	\N	2010-08-01	3246	45614	853376	287902	0	22332	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6204/11-2	6204/11-2	Den norske stats oljeselskap a.s	STATOIL	175	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1997-12-06	1997-12-28	\N	915-L	\N	NO	85	ST 9202-INLINE 263 &  X-LINE 404	2.50	25.000000	2919.00	2920.000000	197.000000	LATE JURASSIC	SOGNEFJORD FM	NORWEGIAN SEA	DEEPSEA TRYM	SEMISUB STEEL	13	NO	WILDCAT	1997	1997	\N	\N	12	\N	\N	\N	\N	\N	\N	23	NO	ED50	62	11	50.47	N	4	26	37.67	E	62.197353	4.443797	6897169.350000	575131.870000	31	6204	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3249	http://www.npd.no/FactMapSearch?NPDID_wellbore=3249	initial	\N	2003-12-17	3249	\N	\N	296164	0	22212	STATOIL	2012-07-25	2012-07-25	2013-05-08
15/3-6	15/3-6	Amoco Norway Oil Company	AMOCO	187	WILDCAT	P&A	DRY	EXPLORATION	1998-12-14	1999-01-05	\N	941-L	\N	NO	0	INLINE 1070 &  CROSS-LINE 2336	12.51	23.000000	2786.00	2793.000000	105.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	14	NO	WILDCAT	1998	1999	\N	\N	1	\N	\N	\N	\N	\N	\N	16	NO	ED50	58	46	23.41	N	1	45	14.90	E	58.773169	1.754139	6515614.350000	427951.240000	31	15	3	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3250	http://www.npd.no/FactMapSearch?NPDID_wellbore=3250	initial	\N	2002-12-18	3250	\N	\N	296353	0	22308	AMOCO	2012-07-25	2012-07-25	2013-05-08
15/9-19 B	15/9-19	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	SHOWS	EXPLORATION	1997-11-09	1998-02-02	VOLVE	916-L	15/9-19 S VOLVE	NO	119	3D-ST 9407- 96 & INLINE 1664 & X-LINE 1623	57.00	25.000000	3360.00	4250.000000	85.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	3	NO	APPRAISAL	1997	1998	\N	\N	12	\N	\N	\N	\N	\N	\N	86	NO	ED50	58	26	9.08	N	1	55	47.26	E	58.435856	1.929794	6477882.410000	437510.030000	31	15	9	\N	19	B	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3251	http://www.npd.no/FactMapSearch?NPDID_wellbore=3251	sidetrack	15/9-19 A	2006-12-15	3251	43934	3420717	341331	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
1/5-3 S	1/5-3	Conoco Norway Inc.	CONOCO	144	WILDCAT	P&A	OIL	EXPLORATION	1998-06-10	1998-08-06	\N	918-L	1/5-3 S	YES	54	CN1/93- INLINE 1237 & X-LINE 2433	5.70	25.000000	1565.00	1565.000000	69.000000	MIOCENE	HORDALAND GP	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	12	NO	WILDCAT	1998	1998	\N	\N	5	NO FORMAL NAME	MIOCENE	\N	\N	\N	\N	57	NO	ED50	56	41	24.52	N	2	36	54.13	E	56.690144	2.615036	6283101.440000	476419.160000	31	1	5	\N	3	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3257	http://www.npd.no/FactMapSearch?NPDID_wellbore=3257	initial	\N	2003-01-07	3257	3000726	\N	341331	0	21964	CONOCO	2013-05-03	2013-05-03	2013-05-08
6204/10-2 R	6204/10-2	Den norske stats oljeselskap a.s	STATOIL	175	WILDCAT	P&A	GAS	EXPLORATION	1997-11-04	1997-11-21	\N	872-L2	6204/10-2	YES	71	ST 9202- INLINE 208 &  X-LINE 1364	7.70	25.000000	2092.00	2095.000000	172.000000	PRE-DEVONIAN	BASEMENT	NORWEGIAN SEA	DEEPSEA TRYM	SEMISUB STEEL	13	NO	WILDCAT	1997	1997	\N	DRILLING	9	NO FORMAL NAME	EARLY CRETACEOUS	\N	\N	\N	\N	18	YES	ED50	62	2	41.24	N	4	7	4.59	E	62.044789	4.117942	6879839.000000	558469.640000	31	6204	10	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3258	http://www.npd.no/FactMapSearch?NPDID_wellbore=3258	re-entry	6204/10-2 A	2002-05-29	3258	45664	\N	296164	0	22212	STATOIL	2012-07-25	2012-07-25	2013-05-08
6505/10-1	6505/10-1	A/S Norske Shell	SHELL	210	WILDCAT	P&A	DRY	EXPLORATION	1998-03-28	1998-07-04	\N	917-L	\N	NO	151	SH 9602-3D: INLINE 798 &  X-LINE 2249	3.24	26.000000	5026.00	5028.000000	684.000000	LATE CRETACEOUS	LANGE FM	NORWEGIAN SEA	OCEAN ALLIANCE	SEMISUB STEEL	15	NO	WILDCAT	1998	1998	\N	\N	1	\N	\N	\N	\N	\N	\N	99	NO	ED50	65	7	59.69	N	5	10	29.39	E	65.133247	5.174831	7225243.080000	602035.970000	31	6505	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3259	http://www.npd.no/FactMapSearch?NPDID_wellbore=3259	initial	\N	2001-11-15	3259	\N	\N	292654	0	22492	SHELL NORGE	2012-07-25	2012-11-05	2013-05-08
6608/10-6	6608/10-6	Den norske stats oljeselskap a.s	STATOIL	128	WILDCAT	SUSP.REENTERED LATER	OIL	EXPLORATION	2000-02-29	2000-05-14	URD	971-L	6608/10-6 SVALE	YES	75	ST 9301- INLINE 2448 & CROSSLINE 2344	1.20	36.000000	2115.00	2115.000000	378.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST NAVION	VESSEL	10-B	NO	WILDCAT	2000	2000	\N	\N	5	INTRA MELKE FM SS	MIDDLE JURASSIC	ÅRE FM	EARLY JURASSIC	\N	\N	76	NO	ED50	66	3	55.95	N	8	15	26.07	E	66.065542	8.257242	7327600.500000	466374.200000	32	6608	10	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3260	http://www.npd.no/FactMapSearch?NPDID_wellbore=3260	initial	\N	2002-05-29	3260	1030536	2834734	297082	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
6510/2-1 R	6510/2-1	A/S Norske Shell	SHELL	214	WILDCAT	P&A	SHOWS	EXPLORATION	1997-11-05	1997-12-19	\N	901-L2	\N	NO	0	SH 9601-2-409 & CDP 1316	4.70	23.000000	4700.00	4700.000000	325.000000	EARLY TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	15	NO	WILDCAT	1997	1997	\N	DRILLING	12	\N	\N	\N	\N	\N	\N	45	YES	ED50	65	47	15.60	N	10	25	51.33	E	65.787667	10.430925	7297173.230000	565483.130000	32	6510	2	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3263	http://www.npd.no/FactMapSearch?NPDID_wellbore=3263	re-entry	6510/2-1	2002-05-29	3263	\N	\N	296353	0	22524	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
16/1-5	16/1-5	Den norske stats oljeselskap a.s	STATOIL	167	WILDCAT	P&A	SHOWS	EXPLORATION	1998-10-12	1998-11-21	\N	939-L	\N	NO	86	ST 9511- INLINE 457 & X-LINE 1361	0.00	25.000000	2457.20	2460.000000	105.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	13	NO	WILDCAT	1998	1998	\N	\N	12	\N	\N	\N	\N	\N	\N	41	NO	ED50	58	47	53.52	N	2	9	12.14	E	58.798200	2.153372	6518040.860000	451073.370000	31	16	1	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3279	http://www.npd.no/FactMapSearch?NPDID_wellbore=3279	initial	\N	2001-11-15	3279	\N	\N	341331	0	22148	STATOIL	2012-07-25	2012-07-25	2013-05-08
6204/10-2 A	6204/10-2	Den norske stats oljeselskap a.s	STATOIL	175	APPRAISAL	P&A	DRY	EXPLORATION	1997-11-22	1997-12-04	\N	920-L	6204/10-2	NO	70	ST 9202- INLINE 208 &  X-LINE 1364	49.70	25.000000	2051.00	2290.000000	172.000000	EARLY CRETACEOUS	ÅSGARD FM	NORWEGIAN SEA	DEEPSEA TRYM	SEMISUB STEEL	13	NO	WILDCAT	1997	1997	\N	\N	1	\N	\N	\N	\N	\N	\N	13	NO	ED50	62	2	41.24	N	4	7	4.59	E	62.044789	4.117942	6879839.000000	558469.640000	31	6204	10	\N	2	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3280	http://www.npd.no/FactMapSearch?NPDID_wellbore=3280	sidetrack	6204/10-2	2002-05-29	3280	45664	\N	296164	0	22212	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-28	34/7-28	Saga Petroleum ASA	SAGA	089	WILDCAT	P&A	DRY	EXPLORATION	1997-12-30	1998-03-02	\N	921-L	\N	NO	104	E86R97- INLINE 1208 &  X-LINE 1107	1.70	24.000000	3005.00	3005.000000	304.000000	MIDDLE JURASSIC	DRAKE FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	8	NO	WILDCAT	1997	1998	\N	\N	1	\N	\N	\N	\N	\N	\N	63	NO	ED50	61	28	7.55	N	2	1	5.61	E	61.468764	2.018225	6815558.640000	447682.940000	31	34	7	\N	28	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3282	http://www.npd.no/FactMapSearch?NPDID_wellbore=3282	initial	\N	2008-02-28	3282	\N	\N	296677	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
6508/1-1 S	6508/1-1	Saga Petroleum ASA	SAGA	213	WILDCAT	P&A	DRY	EXPLORATION	1999-07-25	1999-08-29	\N	961-L	\N	NO	98	ST9203- INLINE 1372 & X-LINE 1294	0.00	25.000000	2749.20	2750.000000	389.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	15	NO	WILDCAT	1999	1999	\N	\N	1	\N	\N	\N	\N	\N	\N	36	NO	ED50	65	57	57.16	N	8	3	15.19	E	65.965878	8.054219	7316615.950000	457016.020000	32	6508	1	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3284	http://www.npd.no/FactMapSearch?NPDID_wellbore=3284	initial	\N	2001-11-15	3284	\N	\N	294058	0	22516	SAGA	2012-07-25	2012-07-25	2013-05-08
6506/11-6	6506/11-6	Den norske stats oljeselskap a.s	STATOIL	134	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1998-02-24	1998-08-22	KRISTIN	922-L	6406/2-3 KRISTIN	NO	173	HWM 94- INLINE 3194 & X-LINE 906	0.00	23.000000	5273.00	5275.000000	380.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	11-A	NO	APPRAISAL	1998	1998	\N	\N	17	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	\N	\N	180	NO	ED50	65	1	26.24	N	6	25	10.71	E	65.023956	6.419642	7213786.470000	378448.140000	32	6506	11	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3306	http://www.npd.no/FactMapSearch?NPDID_wellbore=3306	initial	\N	2005-12-13	3306	44840	1854729	287983	0	21884	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-29 S	34/7-29	Saga Petroleum ASA	SAGA	089	APPRAISAL	SUSP.REENTERED LATER	OIL	EXPLORATION	1998-03-04	1998-04-14	\N	923-L	34/7-29 S	NO	100	CMT-94R95: ROW 2038 & COLUMN 993	20.70	24.000000	2846.00	2927.000000	250.000000	MIDDLE JURASSIC	TARBERT FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	8	NO	WILDCAT	1998	1998	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	42	NO	ED50	61	21	51.69	N	2	2	23.37	E	61.364358	2.039825	6803911.990000	448662.750000	31	34	7	\N	29	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3313	http://www.npd.no/FactMapSearch?NPDID_wellbore=3313	initial	\N	2003-04-11	3313	105363	\N	296677	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
34/11-4	34/11-4	Den norske stats oljeselskap a.s	STATOIL	193	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1998-12-09	1999-04-14	VALEMON	947-L	34/10-23 VALEMON	NO	159	TFE 91- INLINE 356 & X-LINE 1641	2.30	24.000000	4437.00	4438.000000	133.000000	EARLY JURASSIC	COOK FM	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	14	NO	APPRAISAL	1998	1999	\N	\N	17	NESS FM	MIDDLE JURASSIC	TARBERT FM	MIDDLE JURASSIC	\N	\N	127	NO	ED50	61	3	26.20	N	2	22	46.50	E	61.057278	2.379583	6769486.550000	466503.350000	31	34	11	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3314	http://www.npd.no/FactMapSearch?NPDID_wellbore=3314	initial	\N	2003-04-11	3314	44618	20460969	294382	0	22356	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-26 SR	34/7-26	Saga Petroleum ASA	SAGA	089	APPRAISAL	RE-CLASS TO TEST	OIL	EXPLORATION	1998-01-08	1998-02-02	TORDIS	902-L2	34/7-21 BORG	NO	0	\N	59.00	25.000000	2658.00	4690.000000	201.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	SCARABEO 5	SEMISUB STEEL	8	NO	APPRAISAL	1998	1998	\N	DRILLING/PLUGGING	5	NO FORMAL NAME	EARLY CRETACEOUS	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	26	YES	ED50	61	16	29.38	N	2	7	11.41	E	61.274828	2.119836	6793879.090000	452806.070000	31	34	7	\N	26	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3315	http://www.npd.no/FactMapSearch?NPDID_wellbore=3315	re-entry	34/7-26 S	2008-02-28	3315	44690	43725	294058	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
6506/11-7	6506/11-7	StatoilHydro Petroleum AS	STATOIL	134 B	WILDCAT	P&A	OIL/GAS	EXPLORATION	2001-01-25	2001-07-27	MORVIN	990-L	6506/11-7 MORVIN	YES	175	ST98M4- INLINE 2620 & CROSSLINE 4102	6.00	25.000000	4972.50	4977.500000	356.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	Awarded additionaly to round 11-A	NO	WILDCAT	2001	2001	\N	\N	13	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	184	NO	ED50	65	10	6.69	N	6	28	12.96	E	65.168525	6.470267	7229792.830000	381477.180000	32	6506	11	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/650611-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3322	http://www.npd.no/FactMapSearch?NPDID_wellbore=3322	initial	\N	2005-11-07	3322	1630175	4966234	294058	0	1025257	STATOILHYDRO PETROLEUM	2012-07-25	2012-08-22	2013-05-08
2/8-17 A	2/8-17	Amoco Norway Oil Company	AMOCO	006	WILDCAT	P&A	DRY	EXPLORATION	1998-01-18	1998-02-21	\N	924-L	\N	NO	121	CA 3D  INLINE 174 & X-LINE 1622	51.20	41.300000	2852.90	3145.000000	68.700000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	TRANSOCEAN NORDIC	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1998	1998	\N	\N	1	\N	\N	\N	\N	\N	\N	25	NO	ED50	56	27	21.19	N	3	36	5.18	E	56.455886	3.601439	6257121.590000	537069.240000	31	2	8	\N	17	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3328	http://www.npd.no/FactMapSearch?NPDID_wellbore=3328	sidetrack	2/8-17 S	2003-09-24	3328	\N	\N	296191	0	20804	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/7-26 A	34/7-26	Saga Petroleum ASA	SAGA	089	APPRAISAL	RE-CLASS TO TEST	OIL	EXPLORATION	1998-02-06	1998-04-22	TORDIS	925-L	34/7-21 BORG	NO	91	CTM 94R95 INLINE 1360 &  X-LINE 1104	63.00	25.000000	2573.00	4290.000000	201.000000	LATE JURASSIC	HEATHER FM	NORTH SEA	SCARABEO 5	SEMISUB STEEL	8	NO	APPRAISAL	1998	1998	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	76	NO	ED50	61	16	29.38	N	2	7	11.41	E	61.274828	2.119836	6793879.090000	452806.070000	31	34	7	\N	26	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3329	http://www.npd.no/FactMapSearch?NPDID_wellbore=3329	sidetrack	34/7-26 S	2008-06-04	3329	44690	43725	294058	3527	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
15/9-21 S	15/9-21	Den norske stats oljeselskap a.s	STATOIL	046	APPRAISAL	P&A	SHOWS	EXPLORATION	1998-03-23	1998-05-23	SLEIPNER VEST	926-L	15/6-3 SLEIPNER VEST	NO	0	Geo. 58.25.1.24 N     2.45.52.23 E	55.00	48.000000	3907.00	5126.000000	108.000000	MIDDLE JURASSIC	SLEIPNER FM	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	3	NO	APPRAISAL	1998	1998	\N	\N	12	\N	\N	\N	\N	\N	\N	62	NO	ED50	58	25	4.58	N	1	43	4.61	E	58.417939	1.717947	6476104.070000	425102.970000	31	15	9	\N	21	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3334	http://www.npd.no/FactMapSearch?NPDID_wellbore=3334	initial	\N	2007-01-18	3334	43910	43457	296110	0	21156	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/11-11	35/11-11	Norsk Hydro Produksjon AS	HYDRO	090	APPRAISAL	P&A	SHOWS	EXPLORATION	1998-04-16	1998-05-22	FRAM	927-L	35/11-8 S	NO	115	MN 920196- INLINE 3530 &  X-LINE 114	3.50	23.500000	3224.00	3225.000000	359.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	8	NO	APPRAISAL	1998	1998	\N	\N	12	\N	\N	\N	\N	\N	\N	37	NO	ED50	61	6	31.42	N	3	33	49.08	E	61.108728	3.563633	6775189.730000	530381.590000	31	35	11	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3356	http://www.npd.no/FactMapSearch?NPDID_wellbore=3356	initial	\N	2005-06-15	3356	44762	1578840	296677	0	21524	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
1/3-9 S	1/3-9	BP Norway Limited  U.A.	BP	065	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	1998-05-08	1998-07-31	TAMBAR	928-L	1/3-3 TAMBAR	NO	168	BPNHR97-13 X-OVER BPNHR97-22	25.90	23.000000	4359.00	4516.000000	68.000000	LATE JURASSIC	ULA FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	6	NO	APPRAISAL	1998	1998	1/3-K-1	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	85	NO	ED50	56	58	57.97	N	2	57	31.33	E	56.982769	2.958703	6315610.110000	497490.000000	31	1	3	\N	9	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3362	http://www.npd.no/FactMapSearch?NPDID_wellbore=3362	initial	\N	2010-04-30	3362	43826	1028599	296353	4320	21316	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
15/12-12	15/12-12	Saga Petroleum ASA	SAGA	038	WILDCAT	RE-CLASS TO DEV	OIL/GAS	EXPLORATION	2000-12-25	2001-02-09	REV	938-L	15/12-12 REV	YES	126	SG9809 - 308/NH0073 - 102	26.00	26.000000	3056.00	3085.000000	87.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	SCARABEO 6	SEMISUB STEEL	3	NO	WILDCAT	2000	2001	15/12-C-1 H	\N	13	INTRA HEATHER FM SS	LATE JURASSIC	SKAGERRAK FM	TRIASSIC	\N	\N	47	NO	ED50	58	1	40.68	N	1	55	28.34	E	58.027967	1.924539	6432475.780000	436478.400000	31	15	12	\N	12	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/1512-12/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3391	http://www.npd.no/FactMapSearch?NPDID_wellbore=3391	initial	\N	2006-10-19	3391	1626017	4467554	297001	5935	21092	SAGA	2012-07-25	2012-07-25	2013-05-08
24/6-2	24/6-2	Norsk Hydro Produksjon AS	HYDRO	203	WILDCAT	P&A	OIL/GAS	EXPLORATION	1998-05-25	1998-07-08	ALVHEIM	929-L	24/6-2 ALVHEIM	YES	76	NH 9603  INLINE 716 &  X-LINE 4914	16.50	23.500000	2705.70	2722.000000	124.000000	PALEOCENE	VÅLE FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	15	NO	WILDCAT	1998	1998	\N	\N	13	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	45	NO	ED50	59	33	32.41	N	1	57	17.26	E	59.559003	1.954794	6602917.980000	440925.360000	31	24	6	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3397	http://www.npd.no/FactMapSearch?NPDID_wellbore=3397	initial	\N	2002-05-29	3397	45828	2845712	296677	0	22436	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6406/2-6	6406/2-6	Saga Petroleum ASA	SAGA	199	WILDCAT	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	1998-08-25	1998-11-07	\N	934-L	6406/2-6 RAGNFRID	YES	177	HWM94- INLINE 940 & CROSSLINE 1630	11.20	23.000000	5256.80	5263.000000	302.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	14	NO	WILDCAT	1998	1998	\N	\N	17	ILE FM	MIDDLE JURASSIC	TOFTE FM	EARLY JURASSIC	\N	\N	75	NO	ED50	64	45	31.34	N	6	22	54.69	E	64.758706	6.381858	7184316.920000	375445.840000	32	6406	2	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3407	http://www.npd.no/FactMapSearch?NPDID_wellbore=3407	initial	\N	2002-12-18	3407	105682	\N	287983	0	22404	SAGA	2012-07-25	2012-07-25	2013-05-08
35/9-4 S	35/9-4	Norsk Hydro Produksjon AS	HYDRO	153	APPRAISAL	P&A	DRY	EXPLORATION	1998-07-13	1998-08-13	GJØA	930-L	35/9-2	NO	0	NH 9301-inline 1156 & x-line 1642	0.00	23.500000	1261.00	1261.000000	364.000000	PALEOCENE	LISTA FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	12	NO	APPRAISAL	1998	1998	\N	\N	1	\N	\N	\N	\N	\N	\N	32	NO	ED50	61	19	32.50	N	3	57	55.23	E	61.325694	3.965342	6799609.420000	551677.160000	31	35	9	\N	4	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3524	http://www.npd.no/FactMapSearch?NPDID_wellbore=3524	initial	\N	2006-12-15	3524	2449421	4467574	296677	0	22036	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
16/10-4	16/10-4	Norsk Agip  AS	AGIP	101	WILDCAT	P&A	DRY	EXPLORATION	1998-07-11	1998-08-10	\N	931-L	\N	NO	109	ES9401-inline 1486 & xline 4084	0.00	39.000000	2580.00	2580.000000	77.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	TRANSOCEAN NORDIC	JACK-UP 3 LEGS	9	NO	WILDCAT	1998	1998	\N	\N	1	\N	\N	\N	\N	\N	\N	32	NO	ED50	58	4	59.56	N	2	11	57.20	E	58.083211	2.199222	6438401.000000	452774.850000	31	16	10	\N	4	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3531	http://www.npd.no/FactMapSearch?NPDID_wellbore=3531	initial	\N	2003-10-31	3531	\N	\N	296191	0	21612	AGIP	2012-07-25	2012-07-25	2013-05-08
6305/7-1	6305/7-1	BP Norway Limited  U.A.	BP	208	APPRAISAL	P&A	GAS	EXPLORATION	1998-07-08	1998-08-30	ORMEN LANGE	932-L	6305/5-1 ORMEN LANGE	NO	100	BPN 9603- INLINE 2008 & X-LINE 3170	2.60	26.000000	3376.90	3377.000000	857.000000	LATE CRETACEOUS	SPRINGAR FM	NORWEGIAN SEA	OCEAN ALLIANCE	SEMISUB STEEL	15	NO	WILDCAT	1998	1998	\N	\N	9	EGGA (INFORMAL)	PALEOCENE	\N	\N	\N	\N	54	NO	ED50	63	21	47.60	N	5	15	43.73	E	63.363222	5.262147	7028228.300000	613145.720000	31	6305	7	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3535	http://www.npd.no/FactMapSearch?NPDID_wellbore=3535	initial	\N	2002-12-18	3535	44822	2762452	292654	0	22476	BP NORWAY LIMITED U.A.	2012-08-31	2012-08-31	2013-05-08
6305/1-1	6305/1-1	Norsk Hydro Produksjon AS	HYDRO	209	WILDCAT	P&A	DRY	EXPLORATION	1998-08-18	1998-11-19	\N	935-L	\N	NO	141	NH 9602- INLINE 2016 & X-LINE 6916	0.00	23.500000	4546.00	4560.000000	839.500000	LATE CRETACEOUS	LYSING FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	15	NO	WILDCAT	1998	1998	\N	\N	1	\N	\N	\N	\N	\N	\N	91	NO	ED50	63	46	59.72	N	5	16	19.57	E	63.783256	5.272103	7075028.480000	611981.310000	31	6305	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3555	http://www.npd.no/FactMapSearch?NPDID_wellbore=3555	initial	\N	2002-12-18	3555	\N	\N	296677	0	22484	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7120/6-2 S	7120/6-2	Statoil ASA (old)	STATOIL	097	APPRAISAL	SUSPENDED	OIL/GAS	EXPLORATION	2007-06-14	2007-07-22	SNØHVIT	936-L	7121/4-1 SNØHVIT	NO	111	HR line ST0691-05006-SP 1254 line ST0691-SP 1258	32.00	23.000000	3035.00	3242.000000	321.000000	LATE TRIASSIC	SNADD FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	8	NO	APPRAISAL	2007	2007	\N	\N	13	STØ FM	MIDDLE JURASSIC	\N	\N	\N	\N	39	NO	ED50	71	36	0.60	N	20	49	41.70	E	71.600167	20.828250	7944559.340000	493948.960000	34	7120	6	\N	2	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/7120-6-2-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3558	http://www.npd.no/FactMapSearch?NPDID_wellbore=3558	initial	\N	2009-07-22	3558	45038	2053062	289333	0	21580	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/9-19	30/9-19	Norsk Hydro Produksjon AS	HYDRO	079	WILDCAT	P&A	OIL/GAS	EXPLORATION	1998-09-08	1998-10-30	OSEBERG	937-L	30/9-19	YES	\N	NH9201- INLINE 439 & X-LINE 1341	\N	29.000000	\N	3560.000000	105.000000	EARLY JURASSIC	\N	NORTH SEA	WEST DELTA	SEMISUB STEEL	Awarded additionaly to round 6	NO	WILDCAT	1998	1998	\N	\N	13	\N	MIDDLE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	53	NO	ED50	60	27	35.38	N	2	41	38.94	E	60.459828	2.694150	6702819.740000	483176.890000	31	30	9	\N	19	\N	\N	http://www.npd.no/ftpkatalog/pressemeldinger/1999/n2-99.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3561	http://www.npd.no/FactMapSearch?NPDID_wellbore=3561	initial	\N	9999-12-31	3561	96300	43625	287821	0	34635	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
2/1-16 S	2/1-16	Talisman Energy Norge AS	TALISMAN	299	WILDCAT	\N	\N	EXPLORATION	9999-12-31	9999-12-31	\N	1445-L	\N	NO	\N	inline 7062 & xline 21494	\N	43.200000	\N	0.000000	67.000000	\N	\N	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	TFO2003	NO	WILDCAT	0	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	56	51	1.72	N	3	18	52.69	E	56.850478	3.314636	6300926.970000	519190.970000	31	2	1	\N	16	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7180	http://www.npd.no/FactMapSearch?NPDID_wellbore=7180	initial	\N	9999-12-31	7180	\N	\N	278245	0	2490320	TALISMAN ENERGY	2013-04-17	2013-04-17	2013-05-08
2/7-31	2/7-31	Phillips Petroleum Company Norway	PHILLIPS	018	WILDCAT	SUSPENDED	OIL	EXPLORATION	1999-01-13	1999-06-09	\N	943-L	2/7-31	YES	176	BPN 9102-163 2& SP 982	6.90	47.500000	4965.60	4968.200000	72.800000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	1-A	NO	WILDCAT	1999	1999	\N	\N	5	TUXEN FM	EARLY CRETACEOUS	ULA FM	LATE JURASSIC	ROTLIEGEND GP	EARLY PERMIAN       	148	NO	ED50	56	20	12.40	N	3	5	15.40	E	56.336778	3.087611	6243705.050000	505416.770000	31	2	7	\N	31	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3573	http://www.npd.no/FactMapSearch?NPDID_wellbore=3573	initial	\N	2002-05-29	3573	105311	\N	296002	0	20900	PHILLIPS	2013-04-21	2013-04-21	2013-05-08
30/6-25 S	30/6-25	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	SHOWS	EXPLORATION	1998-11-26	1999-01-06	\N	940-L	\N	NO	106	NH9201-iINLINE 753 &  X-LINE 1221	28.70	23.500000	2935.00	2988.300000	104.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	4	NO	WILDCAT	1998	1999	\N	\N	12	\N	\N	\N	\N	\N	\N	42	NO	\N	60	30	45.70	N	2	43	16.00	E	60.512694	2.721111	6708701.440000	484684.810000	31	30	6	\N	25	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3578	http://www.npd.no/FactMapSearch?NPDID_wellbore=3578	initial	\N	2003-04-11	3578	\N	\N	296677	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-19 A	30/9-19	Norsk Hydro Produksjon AS	HYDRO	079	APPRAISAL	P&A	OIL/GAS	EXPLORATION	1998-10-30	1998-12-21	OSEBERG	942-L	30/9-19	NO	\N	NH 9201- INLINE 439 & X-LINE 1341	\N	29.000000	\N	3775.000000	105.000000	EARLY JURASSIC	\N	NORTH SEA	WEST DELTA	SEMISUB STEEL	Awarded additionaly to round 6	NO	APPRAISAL	1998	1998	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	53	NO	\N	60	27	35.38	N	2	41	38.94	E	60.459828	2.694150	6702819.740000	483176.890000	31	30	9	\N	19	A	\N	http://www.npd.no/ftpkatalog/pressemeldinger/1999/n2-99.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3593	http://www.npd.no/FactMapSearch?NPDID_wellbore=3593	sidetrack	30/9-19	9999-12-31	3593	96300	43625	287821	0	34635	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
16/1-5 A	16/1-5	Den norske stats oljeselskap a.s	STATOIL	167	WILDCAT	P&A	SHOWS	EXPLORATION	1998-11-21	1998-12-06	\N	945-L	\N	NO	0	INLINR 470 + RANDOMLINE + X-LINE 1349	39.00	25.000000	2029.80	2150.000000	105.000000	LATE JURASSIC	INTRA HEATHER FM SS	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	13	NO	WILDCAT	1998	1998	\N	\N	12	\N	\N	\N	\N	\N	\N	16	NO	ED50	58	47	53.52	N	2	9	12.14	E	58.798200	2.153372	6518040.860000	451073.370000	31	16	1	\N	5	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3626	http://www.npd.no/FactMapSearch?NPDID_wellbore=3626	sidetrack	16/1-5	2001-11-15	3626	\N	\N	341331	0	22148	STATOIL	2012-07-25	2012-07-25	2013-05-08
6406/2-4 SR	6406/2-4	Saga Petroleum ASA	SAGA	199	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1998-11-12	1999-02-15	\N	876-L2	6406/2-1 LAVRANS	NO	177	HWM94- INLINE 1500 & CROSSLINE 2063	25.10	23.000000	4969.60	5080.000000	273.500000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	14	NO	APPRAISAL	1998	1999	\N	DRILLING	17	GARN FM	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	96	YES	ED50	64	47	58.34	N	6	32	29.26	E	64.799539	6.541461	7188560.780000	383212.300000	32	6406	2	\N	4	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3627	http://www.npd.no/FactMapSearch?NPDID_wellbore=3627	re-entry	6406/2-4 S	2003-04-11	3627	44834	\N	287983	0	22404	SAGA	2012-07-25	2012-07-25	2013-05-08
2/1-12	2/1-12	BP Norway Limited  U.A.	BP	019 C	WILDCAT	P&A	DRY	EXPLORATION	1999-01-08	1999-02-10	\N	946-L	\N	NO	125	SG9502-INLINE 428 & X-LINE 1758	1.40	23.000000	3550.00	3550.000000	68.000000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	WILDCAT	1999	1999	\N	\N	1	\N	\N	\N	\N	\N	\N	34	NO	\N	56	52	13.28	N	3	18	46.44	E	56.870356	3.312900	6303139.220000	519074.960000	31	2	1	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3648	http://www.npd.no/FactMapSearch?NPDID_wellbore=3648	initial	\N	2002-12-18	3648	\N	\N	296353	0	47992	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
6507/3-3	6507/3-3	Den norske stats oljeselskap a.s	STATOIL	159	WILDCAT	P&A	GAS	EXPLORATION	1998-12-23	1999-03-25	SKARV	944-L	6507/3-3 IDUN	YES	135	ST9717- INLINE 3260 & CROSSLINE 2590	0.00	25.000000	3796.00	3830.000000	391.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	12-B	NO	WILDCAT	1998	1999	\N	\N	9	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	93	NO	ED50	65	48	3.73	N	7	43	28.69	E	65.801036	7.724636	7298509.860000	441665.210000	32	6507	3	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3668	http://www.npd.no/FactMapSearch?NPDID_wellbore=3668	initial	\N	2001-11-15	3668	105867	4704482	341331	0	22084	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/5-1	6507/5-1	Amoco Norway Oil Company	AMOCO	212	WILDCAT	SUSPENDED	OIL/GAS/CONDENSATE	EXPLORATION	1997-12-24	1998-05-03	SKARV	919-L	6507/5-1 SKARV	YES	147	INLINE 274 SP 1170 - 1180	0.00	23.300000	4222.00	4224.000000	323.200000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	15	NO	WILDCAT	1997	1998	\N	\N	0	LANGE FM	EARLY CRETACEOUS	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC      	131	NO	ED50	65	44	36.11	N	7	39	4.60	E	65.743364	7.651278	7292152.720000	438172.230000	32	6507	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3683	http://www.npd.no/FactMapSearch?NPDID_wellbore=3683	initial	\N	2001-11-15	3683	45801	4704482	296353	0	22508	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/7-29 SR	34/7-29	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	OIL	EXPLORATION	1999-02-18	1999-03-17	\N	923-L2	34/7-29 S	NO	100	CMT-94R95: ROW 2038 & COLUMN 993	20.70	23.000000	2846.00	2926.000000	250.000000	MIDDLE JURASSIC	TARBERT FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	8	NO	WILDCAT	1999	1999	\N	TESTING	5	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	28	YES	\N	61	21	51.69	N	2	2	23.37	E	61.364358	2.039825	6803911.990000	448662.750000	31	34	7	\N	29	SR	\N	http://www.npd.no/ftpkatalog/pressemeldinger/1999/n13-99.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3702	http://www.npd.no/FactMapSearch?NPDID_wellbore=3702	re-entry	34/7-29 S	2003-04-11	3702	105363	\N	287983	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
9/2-9 S	9/2-9	Den norske stats oljeselskap a.s	STATOIL	114	WILDCAT	RE-CLASS TO DEV	OIL	EXPLORATION	1999-06-29	1999-10-18	YME	948-L	9/2-9 S	YES	0	ST 9413- INLINE 646 & X-LINE 646	0.00	25.000000	3386.00	4367.000000	77.000000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	10-A	NO	WILDCAT	1999	1999	9/2-B-4 H	\N	5	SANDNES FM	MIDDLE JURASSIC	\N	\N	\N	\N	112	NO	ED50	57	45	15.19	N	4	21	20.58	E	57.754219	4.355717	6402299.560000	580684.430000	31	9	2	\N	9	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3703	http://www.npd.no/FactMapSearch?NPDID_wellbore=3703	initial	\N	2002-09-24	3703	112160	43807	341331	3911	21716	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/3-3 A	6507/3-3	Den norske stats oljeselskap a.s	STATOIL	159	APPRAISAL	P&A	GAS	EXPLORATION	1999-03-25	1999-05-06	SKARV	949-L	6507/3-3 IDUN	NO	115	ST9717- INLINE 3260 & CROSSLINE 2590	0.00	25.000000	3692.50	4528.000000	391.000000	MIDDLE JURASSIC	NOT FM	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	12-B	NO	WILDCAT	1999	1999	\N	\N	9	FANGST GP	MIDDLE JURASSIC	\N	\N	\N	\N	43	NO	ED50	65	48	3.73	N	7	43	28.69	E	65.801036	7.724636	7298509.860000	441665.210000	32	6507	3	\N	3	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3718	http://www.npd.no/FactMapSearch?NPDID_wellbore=3718	sidetrack	6507/3-3	2001-11-15	3718	105867	4704482	341331	0	22084	STATOIL	2012-07-25	2012-07-25	2013-05-08
35/10-3	35/10-3	Den norske stats oljeselskap a.s	STATOIL	173	WILDCAT	P&A	DRY	EXPLORATION	1999-06-23	1999-07-14	\N	950-L	\N	NO	65	ST 9303- INLINE 536 & CROSSLINE 2436	4.40	24.000000	2247.00	2250.000000	363.000000	LATE CRETACEOUS	JORSALFARE FM	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	13	NO	WILDCAT	1999	1999	\N	\N	1	\N	\N	\N	\N	\N	\N	22	NO	ED50	61	2	47.96	N	3	7	40.70	E	61.046656	3.127972	6768151.380000	506911.670000	31	35	10	\N	3	\N	\N	http://www.npd.no/ftpkatalog/pressemeldinger/1999/n21-99.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3719	http://www.npd.no/FactMapSearch?NPDID_wellbore=3719	initial	\N	2002-12-18	3719	\N	\N	294382	0	22196	STATOIL	2012-07-25	2012-07-25	2013-05-08
25/11-23	25/11-23	Esso Exploration and Production Norway A/S	ESSO	001	APPRAISAL	P&A	OIL	EXPLORATION	1999-05-13	1999-05-28	BALDER	951-L	25/11-1 BALDER	NO	0	\N	2.11	23.000000	2014.00	2014.000000	127.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	1-A	NO	APPRAISAL	1999	1999	\N	\N	5	INTRA BALDER FM SS	EOCENE	\N	\N	\N	\N	16	NO	ED50	59	14	7.23	N	2	21	4.64	E	59.235342	2.351289	6566589.880000	462983.220000	31	25	11	\N	23	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3755	http://www.npd.no/FactMapSearch?NPDID_wellbore=3755	initial	\N	2002-12-18	3755	44210	43562	296353	0	20756	ESSO	2012-07-25	2012-07-25	2013-05-08
6507/5-2	6507/5-2	Amoco Norway Oil Company	AMOCO	212	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	1999-08-13	1999-09-23	SKARV	962-L	6507/5-1 SKARV	NO	128	ANO9802- INLINE 1267 & X-LINE 388	3.40	18.000000	3894.50	3897.000000	347.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	15	NO	APPRAISAL	1999	1999	\N	\N	17	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	42	NO	ED50	65	42	59.10	N	7	38	18.83	E	65.716417	7.638564	7289162.200000	437524.410000	32	6507	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3756	http://www.npd.no/FactMapSearch?NPDID_wellbore=3756	initial	\N	2003-04-11	3756	45801	4704482	297514	0	22508	AMOCO	2012-07-25	2012-07-25	2013-05-08
34/7-30 S	34/7-30	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	DRY	EXPLORATION	1999-05-26	1999-06-12	TORDIS	952-L	34/7-25 S	NO	0	SG 9201 INLINE 450 & X-LINE 2750	1.14	31.000000	1148.00	1148.000000	213.000000	MIOCENE	UTSIRA FM	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	8	NO	APPRAISAL	1999	1999	\N	\N	1	\N	\N	\N	\N	\N	\N	17	NO	ED50	61	15	42.27	N	2	10	13.50	E	61.261742	2.170417	6792385.970000	455499.560000	31	34	7	\N	30	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3757	http://www.npd.no/FactMapSearch?NPDID_wellbore=3757	initial	\N	2003-04-11	3757	44708	43725	290170	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
6704/12-1	6704/12-1	Saga Petroleum ASA	SAGA	215	WILDCAT	P&A	DRY	EXPLORATION	1999-06-04	1999-07-24	\N	956-L	\N	NO	142	INLINE 11725& X-LINE 7975	11.00	25.000000	4094.00	4103.000000	1352.000000	LATE CRETACEOUS	NISE FM	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	15	NO	WILDCAT	1999	1999	\N	\N	1	\N	\N	\N	\N	\N	\N	51	NO	ED50	67	7	25.00	N	4	42	44.70	E	67.123611	4.712417	7446374.140000	574282.360000	31	6704	12	\N	1	\N	\N	http://www.npd.no/ftpkatalog/pressemeldinger/1999/n23-99.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3759	http://www.npd.no/FactMapSearch?NPDID_wellbore=3759	initial	\N	2001-11-15	3759	\N	\N	294058	0	22532	SAGA	2012-07-25	2012-07-25	2013-05-08
25/8-12 S	25/8-12	Esso Exploration and Production Norway A/S	ESSO	027	APPRAISAL	P&A	OIL	EXPLORATION	1999-05-29	1999-06-09	BALDER	954-L	25/8-11 RINGHORNE	NO	82	\N	11.63	23.000000	2085.00	2096.000000	127.000000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	2-A	NO	APPRAISAL	1999	1999	\N	\N	5	HERMOD FM	PALEOCENE	STATFJORD FM	EARLY JURASSIC	\N	\N	13	NO	ED50	59	17	22.57	N	2	26	39.45	E	59.289603	2.444292	6572584.320000	468340.440000	31	25	8	\N	12	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3771	http://www.npd.no/FactMapSearch?NPDID_wellbore=3771	initial	\N	2002-12-18	3771	44318	43562	296353	0	20988	ESSO	2012-07-25	2012-07-25	2013-05-08
25/8-12 A	25/8-12	Esso Exploration and Production Norway A/S	ESSO	027	APPRAISAL	P&A	OIL	EXPLORATION	1999-06-09	1999-06-19	BALDER	955-L	25/8-11 RINGHORNE	NO	85	\N	24.90	23.000000	2083.00	2156.000000	127.000000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	MÆRSK JUTLANDER	SEMISUB STEEL	2-A	NO	APPRAISAL	1999	1999	\N	\N	5	STATFJORD FM	EARLY JURASSIC	\N	\N	\N	\N	6	NO	ED50	59	17	22.57	N	2	26	39.45	E	59.289603	2.444292	6572584.320000	468340.440000	31	25	8	\N	12	A	\N	http://www.npd.no/ftpkatalog/pressemeldinger/1999/n18-99.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3772	http://www.npd.no/FactMapSearch?NPDID_wellbore=3772	sidetrack	25/8-12 S	2002-12-18	3772	44318	43562	296353	0	20988	ESSO	2012-07-25	2012-07-25	2013-05-08
6507/3-3 B	6507/3-3	Den norske stats oljeselskap a.s	STATOIL	159	APPRAISAL	P&A	GAS	EXPLORATION	1999-05-07	1999-06-16	SKARV	953-L	6507/3-3 IDUN	NO	139	ST9717- INLINE 3260 & CROSSLINE 2590	0.00	25.000000	3840.90	4275.000000	391.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	12-B	NO	WILDCAT	1999	1999	\N	\N	9	FANGST GP	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	41	NO	ED50	65	48	3.73	N	7	43	28.69	E	65.801036	7.724636	7298509.860000	441665.210000	32	6507	3	\N	3	B	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3773	http://www.npd.no/FactMapSearch?NPDID_wellbore=3773	sidetrack	6507/3-3 A	2001-11-15	3773	105867	4704482	341331	0	22084	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/12-1	6407/12-1	A/S Norske Shell	SHELL	176	APPRAISAL	P&A	OIL	EXPLORATION	1999-07-07	1999-07-14	DRAUGEN	958-L	6407/9-1 DRAUGEN	NO	69	SH 9002- INLINE 414 & X-LINE 412	2.10	23.000000	1802.90	1805.000000	289.000000	MIDDLE JURASSIC	GARN FM	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	13	NO	WILDCAT	1999	1999	\N	\N	5	ROGN FM	LATE JURASSIC	\N	\N	\N	\N	10	NO	ED50	64	14	23.44	N	7	42	7.98	E	64.239844	7.702217	7124559.460000	437067.410000	32	6407	12	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3781	http://www.npd.no/FactMapSearch?NPDID_wellbore=3781	initial	\N	2002-05-29	3781	44888	43758	296353	0	22220	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
35/8-4	35/8-4	BP Norway Limited  U.A.	BP	195	WILDCAT	P&A	DRY	EXPLORATION	1999-07-04	1999-08-10	\N	959-L	\N	NO	89	BPA 9301 SD:IL 4035.XL 5522	3.10	18.000000	3718.00	3719.000000	376.000000	LATE JURASSIC	SOGNEFJORD FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	14	NO	WILDCAT	1999	1999	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	61	21	33.03	N	3	30	20.45	E	61.359175	3.505681	6803061.760000	527041.960000	31	35	8	\N	4	\N	\N	http://www.npd.no/ftpkatalog/pressemeldinger/1999/n25-99.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3791	http://www.npd.no/FactMapSearch?NPDID_wellbore=3791	initial	\N	2002-05-29	3791	\N	\N	297514	0	22372	BP NORWAY LIMITED U.A.	2012-07-25	2012-07-25	2013-05-08
6507/7-12	6507/7-12	Conoco Norway Inc.	CONOCO	095	WILDCAT	P&A	OIL SHOWS	EXPLORATION	1999-07-17	1999-08-12	\N	963-L	\N	NO	128	INLINE 1572 X-LINE 1670	8.20	23.200000	3974.00	3976.000000	333.000000	LATE JURASSIC	SPEKK FM	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	8	NO	WILDCAT	1999	1999	\N	\N	12	\N	\N	\N	\N	\N	\N	27	NO	ED50	65	26	46.16	N	7	18	17.82	E	65.446156	7.304950	7259419.310000	421406.230000	32	6507	7	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3812	http://www.npd.no/FactMapSearch?NPDID_wellbore=3812	initial	\N	2003-04-11	3812	\N	\N	296353	0	21564	CONOCO	2012-07-25	2012-07-25	2013-05-08
34/10-42 S	34/10-42	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	SHOWS	EXPLORATION	1999-07-15	1999-09-19	VALEMON	960-L	34/10-23 VALEMON	NO	155	STM98MS INNLINE 856 & X-LINE 3056	27.70	24.000000	4378.00	4520.000000	135.000000	EARLY JURASSIC	COOK FM	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	1999	1999	\N	\N	12	\N	\N	\N	\N	\N	\N	67	NO	ED50	61	0	26.99	N	2	17	3.46	E	61.007497	2.284294	6763994.220000	461298.180000	31	34	10	\N	42	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3816	http://www.npd.no/FactMapSearch?NPDID_wellbore=3816	initial	\N	2003-04-11	3816	44618	20460969	294382	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
6508/1-1 A	6508/1-1	Saga Petroleum ASA	SAGA	213	WILDCAT	P&A	DRY	EXPLORATION	1999-08-29	1999-09-13	\N	964-L	\N	NO	86	ST9203- INNLIN 1313 & X-LINE 1269	40.70	25.000000	2563.50	2861.000000	389.000000	MIDDLE JURASSIC	MELKE FM	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	15	NO	WILDCAT	1999	1999	\N	\N	1	\N	\N	\N	\N	\N	\N	16	NO	ED50	65	57	57.16	N	8	3	15.19	E	65.965878	8.054219	7316615.950000	457016.020000	32	6508	1	\N	1	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3849	http://www.npd.no/FactMapSearch?NPDID_wellbore=3849	sidetrack	6508/1-1 S	2001-11-15	3849	\N	\N	294058	0	22516	SAGA	2012-07-25	2012-07-25	2013-05-08
6406/2-7	6406/2-7	Saga Petroleum ASA	SAGA	199	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	1999-09-22	1999-12-26	\N	965-L	6406/2-7 ERLEND	YES	177	HMW-94 LINE 1588 X-OVER LINE 1277	5.70	24.000000	4977.00	4981.000000	293.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	14	NO	WILDCAT	1999	1999	\N	\N	17	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	\N	\N	96	NO	ED50	64	50	22.89	N	6	20	31.18	E	64.839692	6.341994	7193415.640000	373929.110000	32	6406	2	\N	7	\N	\N	http://www.npd.no/ftpkatalog/pressemeldinger/1999/n39-99.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3878	http://www.npd.no/FactMapSearch?NPDID_wellbore=3878	initial	\N	2002-12-18	3878	916112	\N	294382	0	22404	SAGA	2012-07-25	2012-07-25	2013-05-08
25/6-3	25/6-3	Den norske stats oljeselskap a.s	STATOIL	245	WILDCAT	P&A	DRY	EXPLORATION	1999-10-21	1999-11-11	\N	966-L	\N	NO	91	UHN 98- INLINE 4650 & X-LINE 3170	2.50	25.000000	2474.00	2475.000000	109.000000	LATE CRETACEOUS	HARDRÅDE FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	NST99	NO	WILDCAT	1999	1999	\N	\N	1	\N	\N	\N	\N	\N	\N	22	NO	ED50	59	42	3.03	N	2	55	25.04	E	59.700842	2.923622	6618251.930000	495701.210000	31	25	6	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3885	http://www.npd.no/FactMapSearch?NPDID_wellbore=3885	initial	\N	2002-12-18	3885	\N	\N	341331	0	102258	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-30 SR	34/7-30	Saga Petroleum ASA	SAGA	089	APPRAISAL	P&A	DRY	EXPLORATION	1999-11-12	1999-12-02	TORDIS	952-L2	34/7-25 S	NO	73	SG 9201 INLINE 450 & X-LINE 2750	46.70	25.000000	2269.20	2478.000000	213.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	SCARABEO 5	SEMISUB STEEL	8	NO	APPRAISAL	1999	1999	\N	DRILLING	1	\N	\N	\N	\N	\N	\N	21	YES	ED50	61	15	42.27	N	2	10	13.50	E	61.261742	2.170417	6792385.970000	455499.560000	31	34	7	\N	30	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3886	http://www.npd.no/FactMapSearch?NPDID_wellbore=3886	re-entry	34/7-30 S	2003-04-11	3886	44708	43725	294058	0	21516	SAGA	2012-07-25	2012-07-25	2013-05-08
30/3-8 S	30/3-8	Den norske stats oljeselskap a.s	STATOIL	052	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	2000-03-26	2000-05-04	VESLEFRIKK	970-L	30/3-2  VESLEFRIKK	NO	\N	Inline 321& crossline 639	\N	56.000000	\N	5120.000000	175.000000	EARLY JURASSIC	\N	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	4	NO	APPRAISAL	2000	2000	\N	\N	12	\N	\N	\N	\N	\N	\N	40	NO	ED50	60	46	57.87	N	2	53	52.27	E	60.782742	2.897853	6738752.120000	494437.310000	31	30	3	\N	8	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3899	http://www.npd.no/FactMapSearch?NPDID_wellbore=3899	initial	\N	9999-12-31	3899	44378	43618	277321	0	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
6407/6-5	6407/6-5	Den norske stats oljeselskap a.s	STATOIL	092	APPRAISAL	P&A	GAS	EXPLORATION	1999-11-15	1999-12-27	MIKKEL	967-L	6407/6-3 MIKKEL	NO	111	INLINE 1656-XLINE 1726  ST 98M10	5.10	25.000000	2757.50	2759.000000	225.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	8	NO	APPRAISAL	1999	1999	\N	\N	9	FANGST GP	MIDDLE JURASSIC	TOFTE FM	EARLY JURASSIC	\N	\N	43	NO	ED50	64	38	34.90	N	7	40	3.80	E	64.643028	7.667722	7169519.030000	436337.450000	32	6407	6	\N	5	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3921	http://www.npd.no/FactMapSearch?NPDID_wellbore=3921	initial	\N	2002-12-18	3921	44870	1630514	341331	0	21540	STATOIL	2012-07-25	2012-07-25	2013-05-08
6710/10-1	6710/10-1	Den norske stats oljeselskap a.s	STATOIL	220	WILDCAT	P&A	DRY	EXPLORATION	2000-10-05	2000-10-26	\N	983-L	\N	NO	74	ST 9604 Inline 2765& X-line 3580	3.10	36.000000	2267.00	2267.000000	329.000000	LATE CRETACEOUS	SPRINGAR FM	NORWEGIAN SEA	WEST NAVION	VESSEL	15	NO	WILDCAT	2000	2000	\N	\N	1	\N	\N	\N	\N	\N	\N	22	NO	ED50	67	5	51.73	N	10	8	46.78	E	67.097703	10.146328	7442921.700000	549782.260000	32	6710	10	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3941	http://www.npd.no/FactMapSearch?NPDID_wellbore=3941	initial	\N	2002-12-18	3941	\N	\N	297082	0	22572	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-8 A	30/3-8	Den norske stats oljeselskap a.s	STATOIL	052	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	2000-05-04	2000-05-23	VESLEFRIKK	969-L	30/3-2  VESLEFRIKK	NO	\N	Inline 321& crossline 639	\N	31.000000	\N	6208.000000	175.000000	EARLY JURASSIC	\N	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	4	NO	APPRAISAL	2000	2000	\N	\N	12	\N	\N	\N	\N	\N	\N	20	NO	ED50	60	46	57.87	N	2	53	52.27	E	60.782742	2.897853	6738752.120000	494437.310000	31	30	3	\N	8	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3995	http://www.npd.no/FactMapSearch?NPDID_wellbore=3995	sidetrack	30/3-8 S	9999-12-31	3995	44378	43618	277321	0	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/4-10 R	34/4-10	Saga Petroleum ASA	SAGA	057	WILDCAT	P&A	OIL	EXPLORATION	2000-03-13	2000-04-18	\N	968-L2	34/4-10	YES	139	MN 9601 INLINE 1220- CROSSLINE 2054	4.60	24.000000	4244.00	4246.000000	357.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	4	NO	WILDCAT	2000	2000	\N	DRILLING/PLUGGING	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	37	YES	ED50	61	37	33.33	N	2	4	30.47	E	61.625925	2.075131	6833020.570000	450963.660000	31	34	4	\N	10	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4051	http://www.npd.no/FactMapSearch?NPDID_wellbore=4051	re-entry	34/4-10	2002-05-29	4051	1030530	\N	294382	0	21252	SAGA	2012-07-25	2012-07-25	2013-05-08
30/3-9	30/3-9	Den norske stats oljeselskap a.s	STATOIL	052	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2000-04-24	2000-07-01	\N	972-L	30/3-9	YES	142	Crossline 1515- Inline 877  St98M7	10.74	18.000000	4010.00	4015.000000	123.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	4	NO	WILDCAT	2000	2000	\N	\N	17	NESS FM	MIDDLE JURASSIC	\N	\N	\N	\N	69	NO	ED50	60	47	34.27	N	2	41	43.29	E	60.792853	2.695358	6739912.520000	483415.220000	31	30	3	\N	9	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4053	http://www.npd.no/FactMapSearch?NPDID_wellbore=4053	initial	\N	2002-12-18	4053	1036262	\N	297514	0	21212	STATOIL	2012-08-17	2012-08-17	2013-05-08
35/11-12	35/11-12	Norsk Hydro Produksjon AS	HYDRO	248	WILDCAT	P&A	OIL SHOWS	EXPLORATION	2000-04-19	2000-05-14	\N	973-L	\N	NO	108	Crossline 2764 & Inline 1288 Survey STNH	5.33	24.000000	3378.00	3378.000000	364.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NST99	NO	WILDCAT	2000	2000	\N	\N	12	\N	\N	\N	\N	\N	\N	26	NO	ED50	61	7	43.53	N	3	22	53.66	E	61.128758	3.381572	6777350.060000	520555.020000	31	35	11	\N	12	\N	\N	http://www.npd.no/ftpkatalog/pressemeldinger/2000/n25-00.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4054	http://www.npd.no/FactMapSearch?NPDID_wellbore=4054	initial	\N	2002-12-18	4054	\N	\N	294382	0	102285	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/3-7	15/3-7	Den norske stats oljeselskap a.s	STATOIL	025	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2001-04-26	2001-09-01	GUDRUN	1004-L	15/3-1 S GUDRUN	NO	154	inline 1064 & x-line 1665-survey mc3dq15	2.90	18.000000	4817.00	4818.000000	109.000000	MIDDLE JURASSIC	SLEIPNER FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	2-A	NO	APPRAISAL	2001	2001	\N	\N	13	INTRA DRAUPNE FM SS	LATE JURASSIC	HUGIN FM	MIDDLE JURASSIC	\N	\N	129	NO	ED50	58	50	54.57	N	1	45	8.59	E	58.848492	1.752386	6524002.590000	428006.130000	31	15	3	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/153-7	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4055	http://www.npd.no/FactMapSearch?NPDID_wellbore=4055	initial	\N	2006-02-15	4055	43880	18116481	297514	0	34512	STATOIL	2012-07-25	2012-10-27	2013-05-08
6507/5-3	6507/5-3	BP Amoco Norge AS	BP	212	WILDCAT	P&A	GAS	EXPLORATION	2000-05-15	2000-06-23	SKARV	974-L	6507/5-3 SNADD	YES	110	ANO 9701 xlime 1082& inline 1165	1.20	36.000000	3000.00	3000.000000	417.000000	EARLY CRETACEOUS	LANGE FM	NORWEGIAN SEA	WEST NAVION	VESSEL	15	NO	WILDCAT	2000	2000	\N	\N	9	LYSING FM	LATE CRETACEOUS	\N	\N	\N	\N	40	NO	ED50	65	35	20.68	N	7	24	38.13	E	65.589078	7.410592	7275217.820000	426705.810000	32	6507	5	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4059	http://www.npd.no/FactMapSearch?NPDID_wellbore=4059	initial	\N	2002-12-18	4059	1036252	4704482	297082	0	22508	BP AMOCO	2012-12-22	2012-12-22	2013-05-08
6406/2-2 R	6406/2-2	Den norske stats oljeselskap a.s	STATOIL	199	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	2006-02-24	2006-03-03	\N	825-L2	6406/2-1 LAVRANS	NO	183	HWM 94- ROW 1790 & COLUMN 2070	15.30	18.000000	5345.00	5361.000000	272.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	14	NO	APPRAISAL	2006	2006	\N	PLUGGING	17	ILE FM	MIDDLE JURASSIC	TOFTE FM	EARLY JURASSIC	\N	\N	8	YES	ED50	64	49	46.35	N	6	34	15.43	E	64.829542	6.570953	7191848.600000	384740.990000	32	6406	2	\N	2	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4078	http://www.npd.no/FactMapSearch?NPDID_wellbore=4078	re-entry	6406/2-2	2008-08-15	4078	44834	\N	297514	0	22404	STATOIL	2012-07-25	2012-07-25	2013-05-08
6406/2-6 A	6406/2-6	Den norske stats oljeselskap a.s	STATOIL	199	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	2000-05-24	2000-07-06	\N	975-L	6406/2-6 RAGNFRID	NO	175	Crossline line 862 - line 1578.  HWM94	42.60	24.000000	4842.20	5251.000000	302.000000	EARLY JURASSIC	TOFTE FM	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	14	NO	APPRAISAL	2000	2000	\N	\N	17	TOFTE FM	EARLY JURASSIC	\N	\N	\N	\N	44	NO	ED50	64	45	31.34	N	6	22	54.69	E	64.758706	6.381858	7184316.920000	375445.840000	32	6406	2	\N	6	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4094	http://www.npd.no/FactMapSearch?NPDID_wellbore=4094	sidetrack	6406/2-6	2002-12-18	4094	105682	\N	294382	0	22404	STATOIL	2012-07-25	2012-07-25	2013-05-08
6406/2-6 R	6406/2-6	Den norske stats oljeselskap a.s	STATOIL	199	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2000-05-17	2000-05-23	\N	934-L2	6406/2-6 RAGNFRID	NO	177	\N	11.20	24.000000	5256.80	5263.000000	302.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	14	NO	WILDCAT	2000	2000	\N	PLUGGING	17	ILE FM	MIDDLE JURASSIC	TOFTE FM	EARLY JURASSIC	\N	\N	7	YES	ED50	64	45	31.34	N	6	22	54.69	E	64.758706	6.381858	7184316.920000	375445.840000	32	6406	2	\N	6	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4108	http://www.npd.no/FactMapSearch?NPDID_wellbore=4108	re-entry	6406/2-6 A	2002-12-18	4108	105682	\N	294382	0	22404	STATOIL	2012-07-25	2012-07-25	2013-05-08
6305/8-1	6305/8-1	Norsk Hydro Produksjon AS	HYDRO	250	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2000-07-13	2000-09-08	ORMEN LANGE	978-L	6305/5-1 ORMEN LANGE	NO	90	innline 2288-crossline 4182    NH 9602	1.70	25.000000	3174.80	3175.000000	837.000000	LATE CRETACEOUS	NISE FM	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	Awarded additionaly to round 15	NO	APPRAISAL	2000	2000	\N	\N	13	EGGA FM (INFORMAL)	PALEOCENE	\N	\N	\N	\N	61	NO	ED50	63	28	34.84	N	5	24	14.59	E	63.476344	5.404053	7041085.110000	619767.970000	31	6305	8	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4109	http://www.npd.no/FactMapSearch?NPDID_wellbore=4109	initial	\N	2002-12-18	4109	44822	2762452	294058	0	115537	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
3/6-1	3/6-1	Norsk Agip  AS	AGIP	238	WILDCAT	P&A	DRY	EXPLORATION	2000-06-20	2000-07-10	\N	976-L	\N	NO	70	3D ST 9602 Inline 3466-Crossline 3910	0.75	34.000000	2167.00	2167.000000	64.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	TRANSOCEAN NORDIC	JACK-UP 3 LEGS	NST99	NO	WILDCAT	2000	2000	\N	\N	1	\N	\N	\N	\N	\N	\N	21	NO	ED50	56	35	0.14	N	4	53	30.35	E	56.583372	4.891764	6272751.480000	616199.200000	31	3	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4117	http://www.npd.no/FactMapSearch?NPDID_wellbore=4117	initial	\N	2002-12-18	4117	\N	\N	296191	0	102103	AGIP	2012-07-25	2012-07-25	2013-05-08
6506/6-1	6506/6-1	Mobil Exploration Norway INC	MOBIL	211	WILDCAT	P&A	GAS	EXPLORATION	2000-07-10	2000-12-07	\N	977-L	6506/6-1	YES	200	Innline 1330  trase 1940 Strikeline 1330	11.84	18.000000	5474.20	5491.000000	434.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	15	NO	WILDCAT	2000	2000	\N	\N	9	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	150	NO	ED50	65	31	54.88	N	6	57	47.30	E	65.531911	6.963139	7269443.220000	405870.780000	32	6506	6	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4122	http://www.npd.no/FactMapSearch?NPDID_wellbore=4122	initial	\N	2002-12-18	4122	1340823	\N	297514	0	22500	MOBIL EXPLORATION NORWAY INC	2012-07-25	2012-07-25	2013-05-08
31/5-6	31/5-6	Norsk Hydro Produksjon AS	HYDRO	191	WILDCAT	P&A	OIL SHOWS	EXPLORATION	2000-07-05	2000-07-25	\N	979-L	\N	NO	0	NH9453-312 N-S& NH9453-110 E-W	5.71	26.000000	2368.00	2370.000000	328.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	SCARABEO 6	SEMISUB STEEL	14	NO	WILDCAT	2000	2000	\N	\N	12	\N	\N	\N	\N	\N	\N	21	NO	ED50	60	43	19.78	N	3	21	26.35	E	60.722161	3.357319	6732053.040000	519495.400000	31	31	5	\N	6	\N	\N	http://www.npd.no/ftpkatalog/pressemeldinger/2000/n22-00.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4128	http://www.npd.no/FactMapSearch?NPDID_wellbore=4128	initial	\N	2002-12-18	4128	\N	\N	297001	0	1043631	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7216/11-1 S	7216/11-1	Norsk Hydro Produksjon AS	HYDRO	221	WILDCAT	P&A	DRY	EXPLORATION	2000-07-24	2000-09-14	\N	980-L	\N	NO	114	NH9803 INLINE A 2940 & X-LINE A 4882	52.40	24.000000	3733.20	4239.000000	361.000000	PALEOCENE	TORSK FM	BARENTS SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	WILDCAT	2000	2000	\N	\N	1	\N	\N	\N	\N	\N	\N	53	NO	ED50	72	0	56.72	N	16	36	22.00	E	72.015756	16.606111	7991645.420000	555345.640000	33	7216	11	\N	1	S	\N	http://www.npd.no/ftpkatalog/pressemeldinger/2000/n23-00.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4129	http://www.npd.no/FactMapSearch?NPDID_wellbore=4129	initial	\N	2003-04-11	4129	\N	\N	294382	0	22580	HYDRO PRODUKSJON	2012-07-25	2012-10-16	2013-05-08
25/7-6	25/7-6	Norsk Hydro Produksjon AS	HYDRO	203	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	2000-09-13	2000-10-14	\N	982-L	25/7-5	NO	71	NH9603- INLINE 1142 & CROSSLINE 5450	1.40	26.000000	2250.00	2250.000000	124.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	SCARABEO 6	SEMISUB STEEL	15	NO	APPRAISAL	2000	2000	\N	\N	12	\N	\N	\N	\N	\N	\N	32	NO	ED50	59	29	15.04	N	2	0	37.34	E	59.487511	2.010372	6594908.840000	443947.920000	31	25	7	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4141	http://www.npd.no/FactMapSearch?NPDID_wellbore=4141	initial	\N	2006-02-15	4141	44306	\N	297001	0	22436	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
33/9-20 S	33/9-20	Statoil ASA (old)	STATOIL	037 D	APPRAISAL	P&A	DRY	EXPLORATION	2006-07-25	2006-09-09	\N	1104-L	33/9-6 DELTA	NO	119	MC3D-211/19 inline 2957& xline 2620	64.80	56.300000	3158.00	5502.300000	156.000000	MIDDLE JURASSIC	ETIVE FM	NORTH SEA	MURCHISON A	JACKET 12 LEGS	Awarded additionaly to round 2-A	NO	APPRAISAL	2006	2006	\N	\N	1	\N	\N	\N	\N	\N	\N	47	NO	ED50	61	23	48.26	N	1	44	27.25	E	61.396739	1.740903	6807790.250000	432751.220000	31	33	9	\N	20	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/339-20-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4143	http://www.npd.no/FactMapSearch?NPDID_wellbore=4143	initial	\N	2008-12-18	4143	44576	\N	372759	0	2787322	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7019/1-1	7019/1-1	Norsk Agip  AS	AGIP	201	WILDCAT	P&A	GAS	EXPLORATION	2000-10-06	2000-12-03	\N	984-L	7019/1-1	YES	108	94 TRM3D inline 1026 & crossline 1050	7.90	24.000000	2998.00	3003.000000	190.000000	EARLY JURASSIC	TUBÅEN FM	BARENTS SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	14	NO	WILDCAT	2000	2000	\N	\N	9	STØ FM	MIDDLE JURASSIC	\N	\N	\N	\N	59	NO	ED50	70	55	5.10	N	19	4	22.44	E	70.918083	19.072900	7869589.800000	429692.260000	34	7019	1	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4145	http://www.npd.no/FactMapSearch?NPDID_wellbore=4145	initial	\N	2003-02-11	4145	1340799	\N	294382	0	22420	AGIP	2012-07-25	2012-07-25	2013-05-08
31/4-11	31/4-11	Norsk Hydro Produksjon AS	HYDRO	055	WILDCAT	P&A	OIL/GAS	EXPLORATION	2000-07-27	2000-09-12	BRAGE	981-L	31/4-11	YES	\N	NH9204 RANDOML.1855 CROSSL.891	\N	26.000000	\N	3271.000000	183.000000	EARLY JURASSIC	\N	NORTH SEA	SCARABEO 6	SEMISUB STEEL	4	NO	APPRAISAL	2000	2000	\N	\N	13	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC      	48	NO	ED50	60	36	42.58	N	3	6	1.74	E	60.611828	3.100483	6719714.870000	505501.190000	31	31	4	\N	11	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4147	http://www.npd.no/FactMapSearch?NPDID_wellbore=4147	initial	\N	9999-12-31	4147	1626899	43651	297001	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6407/7-6	6407/7-6	Norsk Hydro Produksjon AS	HYDRO	107	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2000-10-18	2000-12-16	NJORD	985-L	6407/7-6	YES	148	\N	9.58	26.000000	3971.00	3975.000000	336.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	SCARABEO 6	SEMISUB STEEL	9	NO	WILDCAT	2000	2000	\N	\N	17	TILJE FM	EARLY JURASSIC	\N	\N	\N	\N	60	NO	ED50	64	17	40.66	N	7	6	16.31	E	64.294628	7.104531	7131389.980000	408271.690000	32	6407	7	\N	6	\N	\N	http://www.npd.no/ftpkatalog/pressemeldinger/2000/n37-00.pdf	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4172	http://www.npd.no/FactMapSearch?NPDID_wellbore=4172	initial	\N	2002-12-18	4172	1341958	43751	297001	0	21660	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
7122/7-1	7122/7-1	Norsk Agip  AS	AGIP	229	WILDCAT	P&A	OIL	EXPLORATION	2000-09-16	2000-10-05	GOLIAT	986-L	7122/7-1 GOLIAT	YES	37	Na9801 3D inline 710 & x-line 3000	6.20	24.000000	1522.60	1524.000000	381.000000	TRIASSIC	SNADD FM	BARENTS SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	WILDCAT	2000	2000	\N	\N	5	TUBÅEN FM	EARLY JURASSIC	\N	\N	\N	\N	20	NO	ED50	71	17	10.93	N	22	19	7.02	E	71.286369	22.318617	7910064.250000	547217.440000	34	7122	7	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/71227-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4173	http://www.npd.no/FactMapSearch?NPDID_wellbore=4173	initial	\N	2003-02-11	4173	1340775	5774394	294382	0	22644	AGIP	2012-07-25	2012-07-25	2013-05-08
6608/11-2	6608/11-2	Den norske stats oljeselskap a.s	STATOIL	128	WILDCAT	P&A	OIL	EXPLORATION	2000-10-28	2000-11-24	\N	988-L	6608/11-2 FALK	YES	80	CROSSLINE 3066 & INLINE 2248  ST9301	3.30	36.000000	2215.00	2215.000000	351.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	WEST NAVION	VESSEL	10-B	NO	WILDCAT	2000	2000	\N	\N	5	ÅRE FM	EARLY JURASSIC	\N	\N	\N	\N	28	NO	ED50	66	7	29.32	N	8	20	57.39	E	66.124811	8.349275	7334160.640000	470609.160000	32	6608	11	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4189	http://www.npd.no/FactMapSearch?NPDID_wellbore=4189	initial	\N	2002-12-18	4189	1340747	\N	297082	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
16/4-3	16/4-3	BP Amoco Norge AS	BP	243	WILDCAT	P&A	OIL SHOWS	EXPLORATION	2000-12-05	2000-12-24	\N	987-L	\N	NO	0	UP96 3D X-LINE 2922 & INLINE 497	1.70	29.000000	2425.00	2425.000000	102.000000	PALEOCENE	EKOFISK FM	NORTH SEA	WEST DELTA	SEMISUB STEEL	NST99	NO	WILDCAT	2000	2000	\N	\N	12	\N	\N	\N	\N	\N	\N	20	NO	ED50	58	42	18.51	N	2	3	51.45	E	58.705142	2.064292	6507747.850000	445780.920000	31	16	4	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/Undersokelsesbronn-164-3/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4194	http://www.npd.no/FactMapSearch?NPDID_wellbore=4194	initial	\N	2003-08-29	4194	\N	\N	287821	0	102235	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
6507/5-4	6507/5-4	BP Amoco Norge AS	BP	212	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2001-02-10	2001-04-15	SKARV	995-L	6507/5-1 SKARV	NO	124	xline 1865 & inline 1157	6.70	25.000000	3811.20	3812.000000	421.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	STENA DEE	SEMISUB STEEL	15	NO	WILDCAT	2001	2001	\N	\N	13	LANGE FM	EARLY CRETACEOUS	GARN FM	MIDDLE JURASSIC	\N	\N	65	NO	ED50	65	41	44.78	N	7	34	13.62	E	65.695772	7.570450	7286930.970000	434346.790000	32	6507	5	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/65075-4/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4209	http://www.npd.no/FactMapSearch?NPDID_wellbore=4209	initial	\N	2007-06-28	4209	45801	4704482	290980	0	22508	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
6507/7-13	6507/7-13	Norske Conoco A/S	CONOCO	095	WILDCAT	P&A	OIL	EXPLORATION	2000-12-12	2001-01-08	\N	991-L	6507/7-13	YES	87	ST97 INLINE 1234& CROSSLINE 1435	1.00	23.000000	2623.00	2623.000000	381.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	8	NO	WILDCAT	2000	2001	\N	\N	5	ÅRE FM	EARLY JURASSIC	\N	\N	\N	\N	28	NO	ED50	65	24	4.53	N	7	19	49.20	E	65.401258	7.330333	7254385.050000	422450.330000	32	6507	7	\N	13	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/65077-13-og-13-A-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4213	http://www.npd.no/FactMapSearch?NPDID_wellbore=4213	initial	\N	2007-06-28	4213	1628221	\N	296353	0	21564	CONOCO N	2012-07-25	2012-07-25	2013-05-08
34/7-31	34/7-31	Norsk Hydro Produksjon AS	HYDRO	089	APPRAISAL	P&A	OIL	EXPLORATION	2001-03-10	2001-04-13	\N	994-L	34/7-31	NO	97	SG 9701& inline 1800/6456	2.40	26.000000	2650.00	2650.000000	207.000000	MIDDLE JURASSIC	TARBERT FM	NORTH SEA	SCARABEO 6	SEMISUB STEEL	8	NO	APPRAISAL	2001	2001	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	35	NO	ED50	61	18	37.51	N	2	3	59.80	E	61.310419	2.066611	6797883.120000	450008.950000	31	34	7	\N	31	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/347-31-og-347-31-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4214	http://www.npd.no/FactMapSearch?NPDID_wellbore=4214	initial	\N	2006-10-19	4214	1629388	\N	297001	0	21516	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6608/10-6 R	6608/10-6	Den norske stats oljeselskap a.s	STATOIL	128	WILDCAT	SUSPENDED	OIL	EXPLORATION	2000-11-27	2000-12-02	URD	971-L2	6608/10-6 SVALE	NO	75	ST 9301- INLINE 2448 & CROSSLINE 2344	1.20	36.000000	2115.00	2115.000000	378.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST NAVION	VESSEL	10-B	NO	WILDCAT	2000	2000	\N	TESTING	5	INTRA MELKE FM SS	MIDDLE JURASSIC	ÅRE FM	EARLY JURASSIC	\N	\N	6	YES	ED50	66	3	55.95	N	8	15	26.07	E	66.065542	8.257242	7327600.500000	466374.200000	32	6608	10	\N	6	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4217	http://www.npd.no/FactMapSearch?NPDID_wellbore=4217	re-entry	6608/10-6	2002-12-18	4217	1030536	2834734	297082	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
7121/5-3	7121/5-3	Den norske stats oljeselskap a.s	STATOIL	110	WILDCAT	P&A	OIL/GAS SHOWS	EXPLORATION	2001-02-16	2001-03-09	\N	992-L	\N	NO	83	ST9711. inline 1611& crossline 1348	5.30	24.000000	2261.50	2265.000000	345.000000	LATE TRIASSIC	SNADD FM	BARENTS SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	9	NO	WILDCAT	2001	2001	\N	\N	12	\N	\N	\N	\N	\N	\N	22	NO	ED50	71	30	55.53	N	21	39	42.61	E	71.515425	21.661836	7935226.770000	523420.770000	34	7121	5	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/71215-3/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4244	http://www.npd.no/FactMapSearch?NPDID_wellbore=4244	initial	\N	2003-04-11	4244	\N	\N	294382	0	21684	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/10-43 S	34/10-43	Den norske stats oljeselskap a.s	STATOIL	050 B	WILDCAT	P&A	OIL	EXPLORATION	2001-02-25	2001-04-11	GULLFAKS SØR	993-L	34/10-43 S	YES	121	\N	101.00	25.000000	3220.00	5725.000000	139.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2001	2001	\N	\N	5	STATFJORD FM	EARLY JURASSIC	\N	\N	\N	\N	46	NO	ED50	61	6	30.78	N	2	2	59.76	E	61.108550	2.049933	6775410.840000	448788.970000	31	34	10	\N	43	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/3410-43-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4247	http://www.npd.no/FactMapSearch?NPDID_wellbore=4247	initial	\N	2006-10-19	4247	1628630	43699	297028	0	21196	STATOIL	2012-07-25	2012-07-25	2013-05-08
7228/7-1 A	7228/7-1	Den norske stats oljeselskap a.s	STATOIL	202	WILDCAT	P&A	OIL/GAS	EXPLORATION	2001-01-08	2001-02-02	\N	996-L	7228/7-1	YES	89	3D ST 9403- INLINE 1378 & CROSSLINE 1557	19.30	24.000000	2848.00	2881.000000	288.000000	EARLY TRIASSIC	KLAPPMYSS FM	BARENTS SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	14	NO	WILDCAT	2001	2001	\N	\N	13	SNADD FM	LATE TRIASSIC	KLAPPMYSS FM	EARLY TRIASSIC	\N	\N	26	NO	ED50	72	15	28.90	N	28	8	59.70	E	72.258028	28.149917	8018306.530000	539111.270000	35	7228	7	\N	1	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/72287-1-A	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4257	http://www.npd.no/FactMapSearch?NPDID_wellbore=4257	sidetrack	7228/7-1 S	2003-02-11	4257	1630384	\N	294382	0	4705176	STATOIL	2012-07-25	2012-07-25	2013-05-08
7228/7-1 B	7228/7-1	Den norske stats oljeselskap a.s	STATOIL	202	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2001-02-02	2001-02-10	\N	997-L	7228/7-1	NO	69	3D ST 9403- INLINE 1378 & CROSSLINE 1557	60.20	24.000000	2122.00	2227.000000	288.000000	LATE TRIASSIC	SNADD FM	BARENTS SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	14	NO	APPRAISAL	2001	2001	\N	\N	13	SNADD FM	LATE TRIASSIC	\N	\N	\N	\N	9	NO	ED50	72	15	28.90	N	28	8	59.70	E	72.258028	28.149917	8018306.530000	539111.270000	35	7228	7	\N	1	B	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4261	http://www.npd.no/FactMapSearch?NPDID_wellbore=4261	sidetrack	7228/7-1 A	2003-02-11	4261	1630384	\N	294382	0	4705176	STATOIL	2012-07-25	2012-07-25	2013-05-08
6406/1-1	6406/1-1	Den norske stats oljeselskap a.s	STATOIL	257	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2001-04-05	2001-06-10	\N	998-L	6406/1-1 ERLEND N.	YES	172	HWM94-innlinje 2061 & krysslinje 841	1.40	24.000000	5057.00	5057.000000	344.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	16	NO	WILDCAT	2001	2001	\N	\N	17	TOFTE FM	EARLY JURASSIC	\N	\N	\N	\N	67	NO	ED50	64	54	26.10	N	6	17	41.20	E	64.907250	6.294778	7201034.630000	372012.520000	32	6406	1	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/64061-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4262	http://www.npd.no/FactMapSearch?NPDID_wellbore=4262	initial	\N	2005-11-07	4262	1630215	\N	294382	0	1033013	STATOIL	2012-07-25	2012-07-25	2013-05-08
6608/10-7	6608/10-7	Den norske stats oljeselskap a.s	STATOIL	128	APPRAISAL	P&A	OIL	EXPLORATION	2001-03-30	2001-05-23	URD	1000-L	6608/10-6 SVALE	NO	84	ST9301:inline 2448 & crossline2344	3.10	31.000000	2318.00	2319.000000	377.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	10-B	NO	APPRAISAL	2001	2001	\N	\N	5	INTRA MELKE FM SS	MIDDLE JURASSIC	ÅRE FM	EARLY JURASSIC	\N	\N	55	NO	ED50	66	4	41.48	N	8	14	43.68	E	66.078189	8.245467	7329016.560000	465858.120000	32	6608	10	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/660810-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4273	http://www.npd.no/FactMapSearch?NPDID_wellbore=4273	initial	\N	2005-11-07	4273	1030536	2834734	297784	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
6507/7-13 A	6507/7-13	Conoco Norway Inc.	CONOCO	095	APPRAISAL	P&A	OIL	EXPLORATION	2001-01-08	2001-01-21	\N	999-L	6507/7-13	NO	90	ST97 inline 1233-xline1435	11.10	23.000000	2519.00	2522.000000	381.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	MÆRSK JUTLANDER	SEMISUB STEEL	8	NO	APPRAISAL	2001	2001	\N	\N	5	ÅRE FM	EARLY JURASSIC	\N	\N	\N	\N	14	NO	ED50	65	24	4.55	N	7	19	49.20	E	65.401264	7.330333	7254385.660000	422450.350000	32	6507	7	\N	13	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/65077-13-og-13-A-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4275	http://www.npd.no/FactMapSearch?NPDID_wellbore=4275	sidetrack	6507/7-13	2007-06-28	4275	1628221	\N	296353	0	21564	CONOCO	2012-07-25	2012-07-25	2013-05-08
25/4-9 S	25/4-9	Norsk Hydro Produksjon AS	HYDRO	036	WILDCAT	P&A	OIL	EXPLORATION	2003-09-05	2003-09-29	VILJE	1006-L	25/4-9 S VILJE	YES	80	NH0074-107/305	23.60	29.000000	2297.30	2377.000000	120.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	2-A	NO	WILDCAT	2003	2003	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	25	NO	ED50	59	40	20.50	N	2	16	40.71	E	59.672361	2.277975	6615298.860000	459328.070000	31	25	4	\N	9	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/254-9-S-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4278	http://www.npd.no/FactMapSearch?NPDID_wellbore=4278	initial	\N	2005-11-07	4278	2472606	3392471	287821	0	21076	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6305/9-1	6305/9-1	Norsk Hydro Produksjon AS	HYDRO	252	WILDCAT	P&A	DRY	EXPLORATION	2001-07-09	2001-07-31	\N	1008-L	\N	NO	86	NH-OLSE98R01-inline5170 & xline3865	2.90	24.000000	2654.00	2655.000000	187.000000	LATE CRETACEOUS	SPRINGAR FM	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	16	NO	WILDCAT	2001	2001	\N	\N	1	\N	\N	\N	\N	\N	\N	23	NO	ED50	63	17	59.96	N	5	59	14.63	E	63.299989	5.987397	7022673.850000	649731.560000	31	6305	9	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/63059-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4297	http://www.npd.no/FactMapSearch?NPDID_wellbore=4297	initial	\N	2005-06-15	4297	\N	\N	294382	0	1032911	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/7-31 A	34/7-31	Norsk Hydro Produksjon AS	HYDRO	089	APPRAISAL	P&A	OIL	EXPLORATION	2001-04-13	2001-04-25	VIGDIS	1002-L	34/7-23 S	NO	89	SG9701& inline 1800/6456	131.00	26.000000	2355.40	3454.000000	207.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	SCARABEO 6	SEMISUB STEEL	8	NO	APPRAISAL	2001	2001	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	13	NO	ED50	61	18	37.51	N	2	3	59.80	E	61.310419	2.066611	6797883.120000	450008.950000	31	34	7	\N	31	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/347-31-og-347-31-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4301	http://www.npd.no/FactMapSearch?NPDID_wellbore=4301	sidetrack	34/7-31	2006-10-19	4301	44702	43732	297001	0	21516	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/5-4 A	6507/5-4	BP Amoco Norge AS	BP	212	APPRAISAL	SUSPENDED	OIL	EXPLORATION	2001-04-15	2001-06-03	SKARV	1003-L	6507/5-1 SKARV	NO	118	xline1865 & inline 1157	19.20	25.000000	3778.00	3883.000000	421.000000	EARLY JURASSIC	ROR FM	NORWEGIAN SEA	STENA DEE	SEMISUB STEEL	15	NO	APPRAISAL	2001	2001	\N	\N	5	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	50	NO	ED50	65	41	44.78	N	7	34	13.62	E	65.695772	7.570450	7286930.970000	434346.790000	32	6507	5	\N	4	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/65075-4-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4306	http://www.npd.no/FactMapSearch?NPDID_wellbore=4306	sidetrack	6507/5-4	2007-06-28	4306	45801	4704482	290980	0	22508	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
26/4-2	26/4-2	A/S Norske Shell	SHELL	266	WILDCAT	P&A	DRY	EXPLORATION	2004-04-13	2004-04-26	\N	1075-L	\N	NO	98	EN0101fi line 2160 -xline 3126	2.10	29.000000	2302.00	2302.000000	131.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	NST2000	NO	WILDCAT	2004	2004	\N	\N	1	\N	\N	\N	\N	\N	\N	14	NO	ED50	59	44	22.02	N	3	6	3.67	E	59.739450	3.101019	6622553.510000	505679.160000	31	26	4	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/264-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4925	http://www.npd.no/FactMapSearch?NPDID_wellbore=4925	initial	\N	2006-06-06	4925	\N	\N	287821	0	1624332	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
6507/11-6	6507/11-6	Norsk Hydro Produksjon AS	HYDRO	263	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2001-06-13	2001-07-08	\N	1005-L	6507/11-6 SIGRID	YES	115	Survey: inline 4475-crossline 2790	3.80	24.000000	3439.00	3440.000000	315.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	16	NO	WILDCAT	2001	2001	\N	\N	17	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	26	NO	ED50	65	1	9.02	N	7	24	52.17	E	65.019172	7.414492	7211708.740000	425288.630000	32	6507	11	\N	6	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/650711-6/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4321	http://www.npd.no/FactMapSearch?NPDID_wellbore=4321	initial	\N	2007-06-28	4321	1630057	\N	294382	0	1033111	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6506/3-1	6506/3-1	CHEVRON PETROLEUM COMPANY OF NORWAY	CHEVRON	259	WILDCAT	P&A	DRY	EXPLORATION	2001-07-22	2001-08-19	\N	1007-L	\N	NO	121	DTW2000-xline7757 & inline5120	4.50	25.000000	3662.00	3667.000000	341.000000	LATE CRETACEOUS	LANGE FM	NORWEGIAN SEA	BYFORD DOLPHIN	SEMISUB STEEL	16	NO	WILDCAT	2001	2001	\N	\N	1	\N	\N	\N	\N	\N	\N	26	NO	ED50	65	48	20.75	N	6	44	32.64	E	65.805764	6.742400	7300300.070000	396769.020000	32	6506	3	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/65063-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4344	http://www.npd.no/FactMapSearch?NPDID_wellbore=4344	initial	\N	2005-11-07	4344	\N	\N	341331	0	1033049	CHEVRON	2012-07-25	2012-07-25	2013-05-08
24/12-4	24/12-4	Statoil ASA (old)	STATOIL	204	WILDCAT	P&A	DRY	EXPLORATION	2001-08-31	2001-09-14	\N	1012-L	\N	NO	74	SV92R00-line:3263/2142	1.90	25.000000	2264.50	2265.000000	115.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	15	NO	WILDCAT	2001	2001	\N	\N	1	\N	\N	\N	\N	\N	\N	15	NO	ED50	59	11	36.95	N	1	45	42.69	E	59.193597	1.761858	6562417.680000	429264.710000	31	24	12	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/2412-4/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4383	http://www.npd.no/FactMapSearch?NPDID_wellbore=4383	initial	\N	2003-09-14	4383	\N	\N	341331	0	22444	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/2-16 S	25/2-16	Norsk Hydro Produksjon AS	HYDRO	244	WILDCAT	P&A	DRY	EXPLORATION	2001-08-03	2001-09-13	\N	1010-L	\N	NO	121	2D Linje e:nh 0075-108 &  se nh 0075-106	29.00	24.000000	3792.40	4013.000000	115.000000	EARLY JURASSIC	DUNLIN GP	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	NST99	NO	WILDCAT	2001	2001	\N	\N	1	\N	\N	\N	\N	\N	\N	46	NO	ED50	59	45	7.67	N	2	24	33.10	E	59.752131	2.409194	6624109.270000	466798.670000	31	25	2	\N	16	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/252-16-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4385	http://www.npd.no/FactMapSearch?NPDID_wellbore=4385	initial	\N	2003-09-24	4385	\N	\N	294382	0	102244	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6608/10-6 R2	6608/10-6	Den norske stats oljeselskap a.s	STATOIL	128	WILDCAT	P&A	OIL	EXPLORATION	2001-08-13	2001-08-29	URD	971-L3	6608/10-6 SVALE	NO	75	ST 9301- INLINE 2448 & CROSSLINE 2344	1.20	31.000000	2108.00	2108.000000	378.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	10-B	NO	WILDCAT	2001	2001	\N	TESTING/PLUGGING	5	INTRA MELKE FM SS	MIDDLE JURASSIC	ÅRE FM	EARLY JURASSIC	\N	\N	17	YES	ED50	66	3	55.95	N	8	15	26.07	E	66.065542	8.257242	7327600.500000	466374.200000	32	6608	10	\N	6	R2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4386	http://www.npd.no/FactMapSearch?NPDID_wellbore=4386	re-entry	6608/10-6 R	2003-10-20	4386	1030536	2834734	297784	0	21836	STATOIL	2012-07-25	2012-07-25	2013-05-08
7122/7-2	7122/7-2	Norsk Agip  AS	AGIP	229	APPRAISAL	P&A	OIL	EXPLORATION	2001-09-12	2001-10-19	GOLIAT	1011-L	7122/7-1 GOLIAT	NO	36	NA9801 3D INLINE 680 & X-LINE 2784	3.70	18.000000	1417.00	1418.000000	377.000000	TRIASSIC	SNADD FM	BARENTS SEA	WEST ALPHA	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	APPRAISAL	2001	2001	\N	\N	5	TUBÅEN FM	LATE TRIASSIC	\N	\N	\N	\N	41	NO	ED50	71	17	28.46	N	22	16	57.22	E	71.291239	22.282561	7910579.510000	545915.010000	34	7122	7	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4391	http://www.npd.no/FactMapSearch?NPDID_wellbore=4391	initial	\N	2003-10-19	4391	1340775	5774394	297514	0	22644	AGIP	2012-07-25	2012-07-25	2013-05-08
16/2-2	16/2-2	Statoil ASA (old)	STATOIL	265	WILDCAT	P&A	DRY	EXPLORATION	2001-09-17	2001-10-04	\N	1013-L	\N	NO	82	ST00M3-INLINE 2290 & X-LINE 2948	1.90	25.000000	1855.00	1880.000000	120.000000	EARLY CRETACEOUS	RØDBY FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	NST2000	NO	WILDCAT	2001	2001	\N	\N	1	\N	\N	\N	\N	\N	\N	18	NO	ED50	58	58	7.79	N	2	30	7.79	E	58.968831	2.502164	6536838.500000	471371.060000	31	16	2	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/162-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4408	http://www.npd.no/FactMapSearch?NPDID_wellbore=4408	initial	\N	2003-10-04	4408	\N	\N	341331	0	1624237	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/6-26	30/6-26	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	OIL/GAS	EXPLORATION	2001-09-17	2001-10-07	OSEBERG	1014-L	30/6-26 GAMMA VEST	YES	\N	NH9201R98-inline 842 & xline 1266	\N	24.000000	\N	2860.000000	108.500000	EARLY JURASSIC	\N	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	4	NO	WILDCAT	2001	2001	\N	\N	13	\N	EARLY JURASSIC	\N	\N	\N	\N	21	NO	ED50	60	31	39.61	N	2	42	37.70	E	60.527669	2.710472	6710371.890000	484107.910000	31	30	6	\N	26	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/306-26/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4416	http://www.npd.no/FactMapSearch?NPDID_wellbore=4416	initial	\N	9999-12-31	4416	1632058	43625	294382	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-44 S	34/10-44	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	RE-CLASS TO DEV	GAS/CONDENSATE	EXPLORATION	2001-05-30	2001-07-08	GULLFAKS SØR	1018-L	34/10-44 S RIMFAKS LUNDE	YES	0	\N	58.50	25.000000	3671.00	4865.000000	137.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2001	2001	34/10-J-4 H	\N	17	LUNDE FM	LATE TRIASSIC	\N	\N	\N	\N	40	NO	ED50	61	3	50.65	N	2	0	10.91	E	61.064069	2.003031	6770494.130000	446185.450000	31	34	10	\N	44	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/3410-44-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4422	http://www.npd.no/FactMapSearch?NPDID_wellbore=4422	initial	\N	2006-10-19	4422	1630418	43699	297028	4314	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
34/7-32	34/7-32	Norsk Hydro Produksjon AS	HYDRO	089	WILDCAT	P&A	DRY	EXPLORATION	2001-10-08	2001-10-27	\N	1015-L	\N	NO	\N	SG 9701 4240/6554	\N	25.000000	\N	2651.000000	300.000000	MIDDLE JURASSIC	\N	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	8	NO	WILDCAT	2001	2001	\N	\N	1	\N	\N	\N	\N	\N	\N	20	NO	ED50	61	26	33.90	N	2	2	55.60	E	61.442750	2.048778	6812636.850000	449268.690000	31	34	7	\N	32	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/347-32/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4423	http://www.npd.no/FactMapSearch?NPDID_wellbore=4423	initial	\N	9999-12-31	4423	\N	\N	341331	0	21516	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/8-12 S	34/8-12	Norsk Hydro Produksjon AS	HYDRO	120	WILDCAT	P&A	OIL	EXPLORATION	2001-11-06	2001-12-09	GIMLE	1016-L	34/8-12 S	YES	\N	NH9263-16	\N	24.000000	\N	3347.000000	273.000000	LATE TRIASSIC	\N	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	10-A	NO	WILDCAT	2001	2001	\N	\N	5	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC	\N	\N	34	NO	ED50	61	16	4.90	N	2	20	31.95	E	61.268028	2.342208	6792981.300000	464721.600000	31	34	8	\N	12	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/348-12-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4424	http://www.npd.no/FactMapSearch?NPDID_wellbore=4424	initial	\N	9999-12-31	4424	1853123	4005142	294382	0	21772	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/6-27	30/6-27	Norsk Hydro Produksjon AS	HYDRO	053	WILDCAT	P&A	OIL/GAS	EXPLORATION	2001-10-08	2001-10-30	OSEBERG	1017-L	30/6-27	YES	124	NH 154-15.NH 154-403	26.60	24.000000	3378.00	3432.000000	112.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	4	NO	WILDCAT	2001	2001	\N	\N	13	STATFJORD FM	EARLY JURASSIC	\N	\N	\N	\N	23	NO	ED50	60	33	28.86	N	2	40	45.58	E	60.558017	2.679328	6713759.920000	482414.880000	31	30	6	\N	27	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/306-27/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4425	http://www.npd.no/FactMapSearch?NPDID_wellbore=4425	initial	\N	2008-12-18	4425	1632112	43625	294382	0	21220	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-34 R	34/10-34	Den norske stats oljeselskap a.s	STATOIL	050	WILDCAT	P&A	OIL	EXPLORATION	2001-10-06	2001-10-16	GULLFAKS	672-L2	34/10-34 GULLFAKS VEST	NO	84	\N	4.20	23.000000	2410.00	2410.000000	139.000000	EARLY JURASSIC	COOK FM	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2001	2001	\N	PLUGGING	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	11	YES	ED50	61	13	4.19	N	2	8	4.69	E	61.217831	2.134636	6787519.760000	453515.530000	31	34	10	\N	34	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4426	http://www.npd.no/FactMapSearch?NPDID_wellbore=4426	re-entry	34/10-34	2006-10-19	4426	44624	43686	297028	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
36/7-3	36/7-3	Norsk Hydro Produksjon AS	HYDRO	153	WILDCAT	P&A	DRY	EXPLORATION	2001-12-12	2002-01-06	\N	1020-L	\N	NO	0	NH 0069.204/Nh 0069-402	2.60	24.000000	2946.80	2948.000000	349.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	12	NO	WILDCAT	2001	2002	\N	\N	1	\N	\N	\N	\N	\N	\N	26	NO	ED50	61	25	33.12	N	4	2	59.61	E	61.425867	4.049892	6810837.000000	556023.580000	31	36	7	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/367-3/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4427	http://www.npd.no/FactMapSearch?NPDID_wellbore=4427	initial	\N	2004-03-18	4427	\N	\N	294382	0	22036	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/5-5	6507/5-5	BP Amoco Norge AS	BP	212	APPRAISAL	P&A	OIL	EXPLORATION	2001-11-28	2002-02-14	SKARV	1021-L	6507/5-1 SKARV	NO	155	bpn00ml Pl 212 xline1765-inline1203	6.60	18.000000	3948.00	3948.000000	375.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	15	NO	APPRAISAL	2001	2002	\N	\N	5	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	79	NO	ED50	65	42	8.01	N	7	35	45.36	E	65.702225	7.595933	7287623.700000	435533.040000	32	6507	5	\N	5	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/65075-5/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4428	http://www.npd.no/FactMapSearch?NPDID_wellbore=4428	initial	\N	2004-03-08	4428	45801	4704482	297514	0	22508	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-37 AR	34/10-37	Den norske stats oljeselskap a.s	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	2001-10-17	2001-10-25	GULLFAKS SØR	808-L2	34/10-37 GULLVEIG	NO	102	NOD4-84-06 & SP2030	32.40	25.000000	2845.00	2952.000000	140.000000	MIDDLE JURASSIC	NESS FM	NORTH SEA	TRANS. WILDCAT	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	2001	2001	\N	PLUGGING	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	8	YES	ED50	61	8	9.78	N	2	0	55.81	E	61.136050	2.015503	6778501.300000	446979.260000	31	34	10	\N	37	AR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4432	http://www.npd.no/FactMapSearch?NPDID_wellbore=4432	re-entry	34/10-37 A	2006-10-19	4432	44630	43699	297028	0	21188	STATOIL	2012-07-25	2012-07-25	2013-05-08
2/5-12	2/5-12	Amerada Hess Norge AS	AMERADA	006 C	WILDCAT	P&A	OIL SHOWS	EXPLORATION	2001-11-24	2002-02-22	\N	1022-L	\N	NO	130	STTM-94 Inline 1184 Crossline 1515	2.10	39.300000	4152.00	4153.000000	58.400000	LATE JURASSIC	FARSUND FM	NORTH SEA	TRANSOCEAN NORDIC	JACK-UP 3 LEGS	Awarded additionaly to round 1-A	NO	WILDCAT	2001	2002	\N	\N	12	\N	\N	\N	\N	\N	\N	86	NO	ED50	56	43	18.50	N	3	34	50.81	E	56.721806	3.580781	6286710.190000	535545.530000	31	2	5	\N	12	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/25-12	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4433	http://www.npd.no/FactMapSearch?NPDID_wellbore=4433	initial	\N	2004-02-27	4433	\N	\N	296191	0	1333089	AMERADA	2012-07-25	2012-07-25	2013-05-08
25/8-13	25/8-13	Esso Exploration and Production Norway A/S	ESSO	027 B	WILDCAT	P&A	DRY	EXPLORATION	2001-10-31	2001-11-20	\N	1023-L	\N	NO	0	ES9403 xline 1935- inline 1644	0.00	18.000000	2276.00	2276.000000	127.600000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	2001	2001	\N	\N	1	\N	\N	\N	\N	\N	\N	21	NO	ED50	59	21	42.30	N	2	21	48.10	E	59.361750	2.363361	6580659.710000	463806.570000	31	25	8	\N	13	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2001/258-13/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4438	http://www.npd.no/FactMapSearch?NPDID_wellbore=4438	initial	\N	2003-11-29	4438	\N	\N	297514	0	917344	ESSO	2012-07-25	2012-07-25	2013-05-08
6608/10-8	6608/10-8	Statoil ASA (old)	STATOIL	128	WILDCAT	P&A	OIL	EXPLORATION	2001-12-29	2002-04-12	URD	1024-L	6608/10-8 STÆR	YES	97	ST9203R98- Inline1165 & Crossline2220	5.60	24.000000	2650.00	2652.000000	376.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	10-B	NO	WILDCAT	2001	2002	\N	\N	5	INTRA MELKE FM SS	MIDDLE JURASSIC	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC      	105	NO	ED50	66	3	34.10	N	8	10	42.80	E	66.059472	8.178556	7326968.440000	462803.250000	32	6608	10	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/6608-10-8/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4439	http://www.npd.no/FactMapSearch?NPDID_wellbore=4439	initial	\N	2004-05-18	4439	2074060	2834734	297649	0	21836	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6305/4-1	6305/4-1	Norsk Hydro Produksjon AS	HYDRO	209	APPRAISAL	P&A	GAS	EXPLORATION	2002-03-14	2002-06-03	ORMEN LANGE	1025-L	6305/5-1 ORMEN LANGE	NO	84	inline 4152 & x-line 5028	5.70	25.000000	2974.00	2975.000000	1002.000000	LATE CRETACEOUS	SPRINGAR FM	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	15	NO	APPRAISAL	2002	2002	\N	\N	9	EGGA FM (INFORMAL)	PALEOCENE	\N	\N	\N	\N	82	NO	ED50	63	34	17.76	N	5	17	55.93	E	63.571600	5.298869	7051501.850000	614148.320000	31	6305	4	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/63054-1	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4441	http://www.npd.no/FactMapSearch?NPDID_wellbore=4441	initial	\N	2004-06-29	4441	44822	2762452	294058	0	22484	HYDRO PRODUKSJON	2012-07-25	2012-11-05	2013-05-08
34/10-45 S	34/10-45	Statoil ASA (old)	STATOIL	050	WILDCAT	RE-CLASS TO DEV	GAS/CONDENSATE	EXPLORATION	2001-11-03	2002-01-12	GULLFAKS	1027-L	34/10-45 S	YES	0	\N	0.00	80.800000	2317.00	7594.000000	143.000000	LATE JURASSIC	HEATHER FM	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	Awarded additionaly to round 3	NO	WILDCAT	2001	2002	34/10-B-42 A	\N	17	NO FORMAL NAME	LATE CRETACEOUS	\N	\N	\N	\N	71	NO	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	34	10	\N	45	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/3410-45-S-og-3410-45-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4450	http://www.npd.no/FactMapSearch?NPDID_wellbore=4450	initial	\N	2004-05-03	4450	1853762	43686	271917	4420	21188	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6406/5-1	6406/5-1	A/S Norske Shell	SHELL	255	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2001-12-23	2002-04-30	\N	1026-L	6406/5-1	YES	165	SH00S2-104DA intersecting SH00S2-304D	0.00	26.000000	4684.00	4692.000000	286.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	16	NO	WILDCAT	2001	2002	\N	\N	17	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	129	NO	ED50	64	37	16.62	N	6	36	3.13	E	64.621283	6.600869	7168597.210000	385281.150000	32	6406	5	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/64065-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4451	http://www.npd.no/FactMapSearch?NPDID_wellbore=4451	initial	\N	2004-05-18	4451	2074021	\N	296326	0	1032979	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
30/3-7 BR	30/3-7	Den norske stats oljeselskap a.s	STATOIL	052	WILDCAT	RE-CLASS TO DEV	OIL	EXPLORATION	2001-11-05	2001-11-17	VESLEFRIKK	910-L2	30/3-7 B	NO	151	Line 229/CDP 753	0.00	56.000000	4217.00	5970.000000	175.000000	EARLY JURASSIC	COOK FM	NORTH SEA	VESLEFRIKK A	JACKET 4 LEGS	4	NO	WILDCAT	2001	2001	30/3-A-23	\N	5	BRENT GP	MIDDLE JURASSIC	COOK FM	EARLY JURASSIC	\N	\N	13	YES	ED50	60	46	57.98	N	2	53	51.95	E	60.782772	2.897764	6738755.540000	494432.480000	31	30	3	\N	7	BR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4453	http://www.npd.no/FactMapSearch?NPDID_wellbore=4453	re-entry	30/3-7 B	2005-11-07	4453	46322	43618	277321	4645	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/3-4 R	30/3-4	Den norske stats oljeselskap a.s	STATOIL	052	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2001-11-02	2001-11-18	VESLEFRIKK	451-L5	30/3-2  VESLEFRIKK	NO	128	ST 8318- 650- SP. 368	0.00	25.000000	3287.00	3287.000000	164.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	BYFORD DOLPHIN	SEMISUB STEEL	4	NO	APPRAISAL	2001	2001	\N	PLUGGING	13	BRENT GP	MIDDLE JURASSIC	COOK FM	EARLY JURASSIC	\N	\N	17	YES	ED50	60	45	56.85	N	2	51	30.20	E	60.765792	2.858389	6736868.130000	492284.130000	31	30	3	\N	4	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4454	http://www.npd.no/FactMapSearch?NPDID_wellbore=4454	re-entry	30/3-4	2005-11-07	4454	44378	43618	341331	0	21212	STATOIL	2012-07-25	2012-07-25	2013-05-08
30/9-20 S	30/9-20	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	OIL	EXPLORATION	2002-01-09	2002-02-11	OSEBERG SØR	1028-L	30/9-20 S	YES	125	NH-9356-118/NH-9356-318	16.30	24.000000	3096.00	3124.000000	101.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	9	NO	WILDCAT	2002	2002	\N	\N	5	INTRA HEATHER FM SS	LATE JURASSIC	TARBERT FM	MIDDLE JURASSIC	\N	\N	33	NO	ED50	60	19	1.67	N	2	48	3.38	E	60.317131	2.800939	6686903.780000	489002.730000	31	30	9	\N	20	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/309-20-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4463	http://www.npd.no/FactMapSearch?NPDID_wellbore=4463	initial	\N	2004-02-27	4463	2066145	43645	294382	0	21636	HYDRO PRODUKSJON	2012-07-25	2013-01-08	2013-05-08
6404/11-1	6404/11-1	BP Amoco Norge AS	BP	254	WILDCAT	P&A	DRY	EXPLORATION	2001-12-01	2002-03-10	\N	1019-L	\N	NO	93	RHD 99-3D:inline 3063 & xline4182	2.00	25.000000	3649.70	3650.000000	1495.000000	LATE CRETACEOUS	NISE FM	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	16	NO	WILDCAT	2001	2002	\N	\N	1	\N	\N	\N	\N	\N	\N	96	NO	ED50	64	10	11.91	N	4	21	36.65	E	64.169975	4.360181	7116837.720000	566124.460000	31	6404	11	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/640411-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4465	http://www.npd.no/FactMapSearch?NPDID_wellbore=4465	initial	\N	2004-03-10	4465	\N	\N	294058	0	1032954	BP AMOCO	2012-07-25	2012-07-25	2013-05-08
34/10-46 S	34/10-46	Statoil ASA (old)	STATOIL	050	WILDCAT	RE-CLASS TO DEV	GAS	EXPLORATION	2001-11-13	2002-02-01	GULLFAKS	1030-L	34/10-46 A	YES	94	\N	0.00	82.200000	2368.00	5568.000000	134.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	Awarded additionaly to round 3	NO	WILDCAT	2001	2002	34/10-A-48	\N	9	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	81	NO	ED50	61	10	33.98	N	2	11	20.93	E	61.176106	2.189147	6782834.610000	456385.940000	31	34	10	\N	46	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4489	http://www.npd.no/FactMapSearch?NPDID_wellbore=4489	initial	\N	2004-05-03	4489	2066044	43686	271833	4816	21188	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
35/3-6	35/3-6	RWE Dea Norge AS	RWE-DEA	270	WILDCAT	P&A	DRY	EXPLORATION	2002-02-06	2002-04-02	\N	1029-L	\N	NO	96	GP3D93 inline 3825 & crossline 1820	4.20	23.000000	3366.00	3366.000000	225.000000	LATE JURASSIC	HEATHER FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	NST2000	NO	WILDCAT	2002	2002	\N	\N	1	\N	\N	\N	\N	\N	\N	56	NO	ED50	61	53	36.96	N	3	59	17.29	E	61.893600	3.988136	6862886.920000	551937.480000	31	35	3	\N	6	\N	\N	http://www.npd.no/Norsk/Aktuelt/Pressemeldinger/2002/15_2002.htm	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4492	http://www.npd.no/FactMapSearch?NPDID_wellbore=4492	initial	\N	2004-05-18	4492	\N	\N	287983	0	1624436	RWE-DEA NORGE	2012-07-25	2012-07-25	2013-05-08
33/12-8 S	33/12-8	Statoil ASA (old)	STATOIL	152	WILDCAT	P&A	OIL/GAS	EXPLORATION	2002-03-26	2002-04-26	GULLFAKS SØR	1031-L	33/12-8 S SKINFAKS B	YES	124	\N	0.00	31.000000	3380.70	3750.000000	137.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	12	NO	WILDCAT	2002	2002	\N	\N	13	BRENT GP	MIDDLE JURASSIC	STATFJORD FM	EARLY JURASSIC	\N	\N	32	NO	ED50	61	4	38.34	N	1	57	56.20	E	61.077317	1.965611	6772000.950000	444189.050000	31	33	12	\N	8	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/To-nye-funn-i-Gullfaksomradet/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4493	http://www.npd.no/FactMapSearch?NPDID_wellbore=4493	initial	\N	2004-05-18	4493	2074087	43699	297784	0	22028	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-46 A	34/10-46	Statoil ASA (old)	STATOIL	050	WILDCAT	RE-CLASS TO DEV	OIL/GAS	EXPLORATION	2002-02-01	2002-03-18	GULLFAKS	1032-L	34/10-46 A	YES	0	\N	0.00	82.200000	2106.00	6860.000000	134.000000	MIDDLE JURASSIC	TARBERT FM	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	Awarded additionaly to round 3	NO	WILDCAT	2002	2002	34/10-A-48 A	\N	13	NO FORMAL NAME	LATE CRETACEOUS	TARBERT FM	MIDDLE JURASSIC	\N	\N	46	NO	ED50	61	10	33.98	N	2	11	20.93	E	61.176106	2.189147	6782834.610000	456385.940000	31	34	10	\N	46	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/3410-45-S-og-3410-45-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4500	http://www.npd.no/FactMapSearch?NPDID_wellbore=4500	sidetrack	34/10-46 S	2004-05-03	4500	2066044	43686	271833	4817	21188	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-45 A	34/10-45	Statoil ASA (old)	STATOIL	050	APPRAISAL	RE-CLASS TO DEV	GAS/CONDENSATE	EXPLORATION	2002-01-12	2002-02-23	GULLFAKS	1033-L	34/10-45 S	NO	0	\N	0.00	80.800000	2140.00	6523.000000	142.500000	LATE JURASSIC	HEATHER FM	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	Awarded additionaly to round 3	NO	APPRAISAL	2002	2002	34/10-B-42 B	\N	17	NO FORMAL NAME	LATE CRETACEOUS	\N	\N	\N	\N	43	NO	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	34	10	\N	45	A	\N	http://www.npd.no/Norsk/Aktuelt/Pressemeldinger/2002/8_2002.htm	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4501	http://www.npd.no/FactMapSearch?NPDID_wellbore=4501	sidetrack	34/10-45 S	2004-05-03	4501	1853762	43686	271917	4677	21188	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
1/5-4 S	1/5-4	Amerada Hess Norge AS	AMERADA	144	WILDCAT	P&A	OIL SHOWS	EXPLORATION	2002-04-15	2002-05-22	\N	1034-L	\N	NO	120	Il:1135 CL:2172	55.40	23.000000	2590.00	3090.000000	69.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	12	NO	WILDCAT	2002	2002	\N	\N	12	\N	\N	\N	\N	\N	\N	38	NO	ED50	56	42	32.00	N	2	37	41.00	E	56.708889	2.628056	6285183.540000	477227.980000	31	1	5	\N	4	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/15-4-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4521	http://www.npd.no/FactMapSearch?NPDID_wellbore=4521	initial	\N	2004-06-29	4521	\N	\N	287983	0	21964	AMERADA	2012-07-25	2012-07-25	2013-05-08
34/10-46 B	34/10-46	Statoil ASA (old)	STATOIL	050	APPRAISAL	RE-CLASS TO DEV	DRY	EXPLORATION	2002-03-17	2002-05-12	GULLFAKS	1035-L	34/10-46 A	NO	0	\N	0.00	82.200000	2181.00	7725.000000	134.000000	MIDDLE JURASSIC	TARBERT FM	NORTH SEA	GULLFAKS A	CONDEEP 4 SHAFTS	Awarded additionaly to round 3	NO	APPRAISAL	2002	2002	34/10-A-48 B	\N	1	\N	\N	\N	\N	\N	\N	57	NO	ED50	61	10	33.98	N	2	11	20.93	E	61.176106	2.189147	6782834.610000	456385.940000	31	34	10	\N	46	B	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4527	http://www.npd.no/FactMapSearch?NPDID_wellbore=4527	sidetrack	34/10-46 A	2004-05-12	4527	2066044	43686	271833	4550	21188	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6608/10-8 A	6608/10-8	Statoil ASA (old)	STATOIL	128	APPRAISAL	P&A	OIL	EXPLORATION	2002-04-12	2002-04-26	URD	1036-L	6608/10-8 STÆR	NO	94	ST9203R98-Inline 1165 & Crossline 2220.	46.40	24.000000	2539.50	2660.000000	376.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	10-B	NO	APPRAISAL	2002	2002	\N	\N	5	INTRA MELKE FM SS	MIDDLE JURASSIC	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC      	15	NO	ED50	66	3	34.10	N	8	10	42.80	E	66.059472	8.178556	7326968.440000	462803.250000	32	6608	10	\N	8	A	\N	http://www.npd.no/Norsk/Aktuelt/Pressemeldinger/2002/21_2002.htm	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4530	http://www.npd.no/FactMapSearch?NPDID_wellbore=4530	sidetrack	6608/10-8	2004-05-18	4530	2074060	2834734	297649	0	21836	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
33/12-8 A	33/12-8	Statoil ASA (old)	STATOIL	152	WILDCAT	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	2002-04-26	2002-05-16	GULLFAKS SØR	1037-L	33/12-8 A SKINFAKS	YES	119	\N	0.00	31.000000	3399.00	5098.000000	137.000000	MIDDLE JURASSIC	RANNOCH FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	12	NO	WILDCAT	2002	2002	\N	\N	13	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	21	NO	ED50	61	4	38.34	N	1	57	56.20	E	61.077317	1.965611	6772000.950000	444189.050000	31	33	12	\N	8	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/To-nye-funn-i-Gullfaksomradet/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4532	http://www.npd.no/FactMapSearch?NPDID_wellbore=4532	sidetrack	33/12-8 S	2004-05-18	4532	2074147	43699	297784	0	22028	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
35/1-1	35/1-1	Phillips Petroleum Company Norway	PHILLIPS	269	WILDCAT	P&A	DRY	EXPLORATION	2002-05-28	2002-07-18	\N	1038-L	\N	NO	152	Supergrid line 30280&Supergrid trace 782	0.00	23.000000	4540.00	4540.000000	408.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	NST2000	NO	WILDCAT	2002	2002	\N	\N	1	\N	\N	\N	\N	\N	\N	52	NO	ED50	61	50	9.11	N	3	4	24.21	E	61.835864	3.073392	6856062.020000	503864.910000	31	35	1	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/351-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4541	http://www.npd.no/FactMapSearch?NPDID_wellbore=4541	initial	\N	2004-07-18	4541	\N	\N	287983	0	1624410	PHILLIPS	2012-07-25	2012-07-25	2013-05-08
34/6-1 S	34/6-1	Norske Conoco A/S	CONOCO	268	WILDCAT	P&A	DRY	EXPLORATION	2002-07-18	2002-08-28	\N	1039-L	\N	NO	147	Intersection line 4100 and trace 3542	49.00	26.000000	3922.00	4360.000000	380.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	NST2000	NO	WILDCAT	2002	2002	\N	\N	1	\N	\N	\N	\N	\N	\N	42	NO	ED50	61	34	56.34	N	2	41	7.70	E	61.582317	2.685472	6827854.700000	483300.010000	31	34	6	\N	1	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/346-1-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4561	http://www.npd.no/FactMapSearch?NPDID_wellbore=4561	initial	\N	2004-09-24	4561	\N	\N	296326	0	1624366	CONOCO N	2012-07-25	2012-07-25	2013-05-08
30/9-12 AR	30/9-12	Norsk Hydro Produksjon AS	HYDRO	104	APPRAISAL	P&A	OIL	EXPLORATION	2002-07-06	2002-07-11	OSEBERG	683-L2	30/6-1 OSEBERG	NO	101	NH 8831- ROW 143 &  COLUMN 520	0.00	29.000000	2931.00	3065.000000	104.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	9	NO	APPRAISAL	2002	2002	\N	PLUGGING	5	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	6	YES	ED50	60	25	57.09	N	2	51	34.90	E	60.432525	2.859694	6699747.910000	492276.080000	31	30	9	\N	12	AR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4584	http://www.npd.no/FactMapSearch?NPDID_wellbore=4584	re-entry	30/9-12 A	2004-07-11	4584	44396	43625	287821	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
30/9-13 SR	30/9-13	Norsk Hydro Produksjon AS	HYDRO	104	WILDCAT	P&A	OIL/GAS	EXPLORATION	2002-07-12	2002-07-17	OSEBERG SØR	688-L3	30/9-13 S OSEBERG SØR	NO	140	NH 8502- ROW 267 & COLUMN 592	31.20	29.000000	3964.00	4031.000000	106.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	9	NO	WILDCAT	2002	2002	\N	PLUGGING	13	INTRA HEATHER FM SS	LATE JURASSIC	TARBERT FM	MIDDLE JURASSIC	\N	\N	6	YES	ED50	60	21	37.69	N	2	43	17.78	E	60.360469	2.721606	6691746.630000	484640.300000	31	30	9	\N	13	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4586	http://www.npd.no/FactMapSearch?NPDID_wellbore=4586	re-entry	30/9-13 S	2004-07-17	4586	44474	43645	287821	0	21636	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6406/3-6	6406/3-6	Statoil ASA (old)	STATOIL	091	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2002-09-21	2002-11-15	TYRIHANS	1040-L	6407/1-2 TYRIHANS SØR	NO	151	inline 484 & x-line 927: ST9503R99	3.70	24.000000	4174.00	4175.000000	273.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	8	NO	APPRAISAL	2002	2002	\N	\N	13	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	\N	\N	56	NO	ED50	64	47	43.50	N	6	57	54.90	E	64.795417	6.965250	7187387.140000	403322.780000	32	6406	3	\N	6	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/64063-6/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4589	http://www.npd.no/FactMapSearch?NPDID_wellbore=4589	initial	\N	2004-12-01	4589	44852	3960848	297649	0	21532	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/5-5 R	31/5-5	Norsk Hydro Produksjon AS	HYDRO	085	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2002-07-18	2002-07-27	TROLL	751-L2	31/2-1 TROLL VEST	NO	60	NH 9101- ROW 694& COLUMN 542	1.20	35.500000	1936.50	1936.500000	319.000000	MIDDLE JURASSIC	KROSSFJORD FM	NORTH SEA	WEST VENTURE	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	2002	2002	\N	PLUGGING	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	10	YES	ED50	60	41	49.66	N	3	29	8.74	E	60.697128	3.485761	6729309.740000	526523.740000	31	31	5	\N	5	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4593	http://www.npd.no/FactMapSearch?NPDID_wellbore=4593	re-entry	31/5-5	2004-07-27	4593	44534	46437	297055	0	21476	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6403/10-1	6403/10-1	Norsk Hydro Produksjon AS	HYDRO	253	WILDCAT	P&A	DRY	EXPLORATION	2002-10-24	2002-12-30	\N	1041-L	\N	NO	80	xline:NH003-4698 Inline:NH003-3446	6.30	25.000000	3397.00	3398.000000	1717.000000	LATE CRETACEOUS	KVITNOS FM	NORWEGIAN SEA	SCARABEO 5	SEMISUB STEEL	16	NO	WILDCAT	2002	2002	\N	\N	1	\N	\N	\N	\N	\N	\N	68	NO	ED50	64	3	39.18	N	3	0	10.92	E	64.060883	3.003033	7103974.070000	500148.050000	31	6403	10	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/640310-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4602	http://www.npd.no/FactMapSearch?NPDID_wellbore=4602	initial	\N	2005-02-11	4602	\N	\N	294058	0	1032927	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-47 S	34/10-47	Statoil ASA (old)	STATOIL	050 B	WILDCAT	SUSP.REENTERED LATER	OIL	EXPLORATION	2002-09-22	2002-11-02	GULLFAKS SØR	1042-L	34/10-47 S GULLTOPP	YES	0	ST9607-inline 2401 & CDP 2056	0.00	25.000000	2445.20	4027.000000	140.000000	MIDDLE JURASSIC	RANNOCH FM	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2002	2002	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	42	NO	ED50	61	10	52.50	N	2	3	11.10	E	61.181250	2.053083	6783505.970000	449075.980000	31	34	10	\N	47	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/3410-47-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4609	http://www.npd.no/FactMapSearch?NPDID_wellbore=4609	initial	\N	2004-12-01	4609	2144184	43699	296164	0	21196	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-52 S	34/10-52	Statoil Petroleum AS	STATOIL	050	APPRAISAL	P&A	DRY	EXPLORATION	2009-08-11	2009-11-26	GULLFAKS SØR	1257-L	34/10-2 GULLFAKS SØR	NO	\N	\N	\N	32.000000	\N	1516.000000	135.000000	\N	\N	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	Awarded additionaly to round 3	NO	APPRAISAL	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	108	NO	ED50	61	4	16.83	N	2	11	31.37	E	61.071342	2.192047	6771163.490000	456397.820000	31	34	10	\N	52	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6147	http://www.npd.no/FactMapSearch?NPDID_wellbore=6147	initial	\N	9999-12-31	6147	44606	43699	404360	0	21188	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
16/7-8 S	16/7-8	Esso Exploration and Production Norway A/S	ESSO	072 B	WILDCAT	P&A	DRY	EXPLORATION	2002-12-17	2003-01-19	\N	1043-L	\N	NO	104	Es9401 R99- inline 1039 & crossline6364	37.80	23.000000	2645.30	2900.000000	79.500000	TRIASSIC	SKAGERRAK FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 6	NO	WILDCAT	2002	2003	\N	\N	1	\N	\N	\N	\N	\N	\N	33	NO	ED50	58	20	22.06	N	2	0	35.15	E	58.339461	2.009764	6467078.590000	442021.300000	31	16	7	\N	8	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/167-8-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4612	http://www.npd.no/FactMapSearch?NPDID_wellbore=4612	initial	\N	2005-02-11	4612	\N	\N	287983	0	1630345	ESSO	2013-05-01	2013-05-01	2013-05-08
6608/11-3	6608/11-3	Statoil ASA (old)	STATOIL	128	WILDCAT	P&A	DRY	EXPLORATION	2002-11-26	2002-12-15	\N	1044-L	\N	NO	72	ST01M01 inline 3314 & crossline 12738	1.40	24.000000	2031.00	2031.000000	374.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	10-B	NO	WILDCAT	2002	2002	\N	\N	1	\N	\N	\N	\N	\N	\N	20	NO	ED50	66	6	33.90	N	8	29	48.87	E	66.109417	8.496908	7332383.270000	477263.300000	32	6608	11	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/660811-3/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4630	http://www.npd.no/FactMapSearch?NPDID_wellbore=4630	initial	\N	2005-02-11	4630	\N	\N	297649	0	21836	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/2-20 S	31/2-20	Norsk Hydro Produksjon AS	HYDRO	054	WILDCAT	P&A	OIL/GAS	EXPLORATION	2002-11-27	2002-12-08	TROLL	1045-L	31/2-1 TROLL VEST	NO	72	NH0102-Inline 1281 &  crossline 898	66.50	23.000000	1928.00	3400.000000	332.000000	MIDDLE JURASSIC	BRENT GP	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	4	NO	WILDCAT	2002	2002	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	9	NO	ED50	60	47	59.30	N	3	26	57.70	E	60.799806	3.449361	6740732.200000	524457.970000	31	31	2	\N	20	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/312-20-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4636	http://www.npd.no/FactMapSearch?NPDID_wellbore=4636	initial	\N	2005-02-11	4636	44534	46437	289333	0	21228	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-47 A	34/10-47	Statoil ASA (old)	STATOIL	050 B	WILDCAT	P&A	DRY	EXPLORATION	2002-11-02	2002-11-14	\N	1046-L	\N	NO	94	ST9607-inline 2401 & CDP 2056	31.30	25.000000	2924.80	3020.000000	140.000000	EARLY JURASSIC	NANSEN MBR	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2002	2002	\N	\N	1	\N	\N	\N	\N	\N	\N	13	NO	ED50	61	10	52.50	N	2	3	11.10	E	61.181250	2.053083	6783505.970000	449075.980000	31	34	10	\N	47	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2002/3410-47-A-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4640	http://www.npd.no/FactMapSearch?NPDID_wellbore=4640	sidetrack	34/10-47 S	2004-12-01	4640	\N	\N	296164	0	21196	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
1/9-7	1/9-7	Phillips Petroleum Company Norway	PHILLIPS	044	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2003-03-22	2003-08-02	\N	1048-L	1/9-1 TOMMELITEN ALPHA	NO	180	ST92063D- Line 928 & Trace 936	16.10	45.000000	4966.00	4986.000000	76.000000	TRIASSIC	SMITH BANK FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	3	NO	WILDCAT	2003	2003	\N	\N	17	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	134	NO	ED50	56	24	31.23	N	2	52	55.00	E	56.408675	2.881944	6251710.630000	492714.660000	31	1	9	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/19-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4652	http://www.npd.no/FactMapSearch?NPDID_wellbore=4652	initial	\N	2012-10-10	4652	43850	\N	278245	0	21140	PHILLIPS	2012-10-12	2012-10-12	2013-05-08
6608/10-9	6608/10-9	Statoil ASA (old)	STATOIL	128	WILDCAT	P&A	OIL	EXPLORATION	2003-01-23	2003-02-18	URD	1049-L	6608/10-9 LERKE	YES	94	ST0103-inline 1268 & crossline 2342	0.00	23.000000	2400.00	2400.000000	375.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	10-B	NO	WILDCAT	2003	2003	\N	\N	5	INTRA MELKE FM SS	MIDDLE JURASSIC	\N	\N	\N	\N	27	NO	ED50	66	3	44.15	N	8	13	19.57	E	66.062264	8.222103	7327254.450000	464778.940000	32	6608	10	\N	9	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/660810-9/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4668	http://www.npd.no/FactMapSearch?NPDID_wellbore=4668	initial	\N	2005-04-22	4668	2391586	2834734	287983	0	21836	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6608/10-10	6608/10-10	Statoil ASA (old)	STATOIL	128	WILDCAT	P&A	DRY	EXPLORATION	2003-07-17	2003-08-07	\N	1047-L	\N	NO	0	ST0103- inline 1070 & crossline 2281	3.50	24.000000	2800.00	2800.000000	374.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	10-B	NO	WILDCAT	2003	2003	\N	\N	1	\N	\N	\N	\N	\N	\N	22	NO	ED50	66	4	17.90	N	8	10	11.40	E	66.071639	8.169833	7328329.750000	462426.270000	32	6608	10	\N	10	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/660810-10/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4699	http://www.npd.no/FactMapSearch?NPDID_wellbore=4699	initial	\N	2007-12-21	4699	\N	\N	297649	0	21836	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6706/6-1	6706/6-1	Esso Exploration and Production Norway A/S	ESSO	264	WILDCAT	P&A	GAS	EXPLORATION	2003-05-02	2003-06-17	\N	1050-L	6706/6-1	YES	84	inline 1689-xline 6695 on ES00-01 3D	3.00	36.000000	3450.00	3451.000000	1298.000000	PALEOCENE	NO FORMAL NAME	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	16	NO	WILDCAT	2003	2003	\N	\N	9	NO FORMAL NAME	PALEOCENE	\N	\N	\N	\N	48	NO	ED50	67	33	34.79	N	6	41	18.38	E	67.559664	6.688439	7495801.600000	401546.000000	32	6706	6	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/67066-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4705	http://www.npd.no/FactMapSearch?NPDID_wellbore=4705	initial	\N	2005-06-17	4705	2450045	\N	297082	0	1033127	ESSO	2012-07-25	2012-10-29	2013-05-08
34/8-4 AR	34/8-4	Statoil ASA (old)	STATOIL	120	APPRAISAL	P&A	OIL	EXPLORATION	2003-02-21	2003-03-07	VISUND	711-L2	34/8-4 S	NO	123	NH 9001-589 & SP 698	43.50	31.000000	3320.00	3574.000000	309.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	10-A	NO	APPRAISAL	2003	2003	\N	PLUGGING	5	STATFJORD FM	EARLY JURASSIC	LUNDE FM	LATE TRIASSIC	\N	\N	15	YES	ED50	61	19	29.58	N	2	25	18.67	E	61.324883	2.421853	6799274.110000	469049.020000	31	34	8	\N	4	AR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4709	http://www.npd.no/FactMapSearch?NPDID_wellbore=4709	re-entry	34/8-4 A	2005-04-22	4709	44726	43745	290170	0	21772	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6407/9-10	6407/9-10	A/S Norske Shell	SHELL	093	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	2003-06-11	2003-06-23	DRAUGEN	1051-L	6407/9-1 DRAUGEN	NO	0	on line 1560 and inline 2922	0.80	24.000000	1800.00	1800.000000	250.000000	MIDDLE JURASSIC	NOT FM	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	8	NO	APPRAISAL	2003	2003	6407/9-F-1 H	\N	5	ROGN FM	LATE JURASSIC	GARN FM	MIDDLE JURASSIC	\N	\N	13	NO	ED50	64	22	32.00	N	7	46	9.05	E	64.375556	7.769181	7139616.740000	440607.110000	32	6407	9	\N	10	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4710	http://www.npd.no/FactMapSearch?NPDID_wellbore=4710	initial	\N	2005-06-23	4710	44888	43758	297649	5095	21548	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
16/1-6 S	16/1-6	Statoil ASA (old)	STATOIL	167	WILDCAT	P&A	OIL/GAS	EXPLORATION	2003-05-22	2003-06-07	\N	1052-L	16/1-6 S	YES	87	SNST3D-inline 4379 & crossline 5037	33.60	31.000000	1909.00	1997.000000	112.000000	PALEOCENE	EKOFISK FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	13	NO	WILDCAT	2003	2003	\N	\N	13	GRID FM	EOCENE	HEIMDAL FM	PALEOCENE	\N	\N	17	NO	ED50	58	59	27.95	N	2	17	43.07	E	58.991097	2.295297	6539424.890000	459501.210000	31	16	1	\N	6	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/161-6-S-og-161-6-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4711	http://www.npd.no/FactMapSearch?NPDID_wellbore=4711	initial	\N	2005-06-15	4711	2449370	\N	297784	0	22148	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/4-7	25/4-7	Marathon Petroleum Norge AS	MARATHON	203	WILDCAT	P&A	OIL	EXPLORATION	2003-03-21	2003-04-17	ALVHEIM	1053-L	25/4-7 ALVHEIM	YES	73	line 1026 & trace 4924 NH9601	2.60	23.000000	2286.00	2286.000000	119.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	15	NO	WILDCAT	2003	2003	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	27	NO	ED50	59	32	52.06	N	2	1	10.91	E	59.547794	2.019697	6601613.950000	444575.050000	31	25	4	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/254-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4716	http://www.npd.no/FactMapSearch?NPDID_wellbore=4716	initial	\N	2005-04-22	4716	2420578	2845712	287983	0	22436	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/6-3	24/6-3	Marathon Petroleum Norge AS	MARATHON	088 BS	APPRAISAL	JUNKED	DRY	EXPLORATION	2003-04-18	2003-04-22	ALVHEIM	1054-L	24/6-2 ALVHEIM	NO	0	line 484 & trace 4798- NH9601	0.00	23.000000	253.00	253.000000	121.000000	PLIOCENE	NORDLAND GP	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 8	NO	APPRAISAL	2003	2003	\N	\N	1	\N	\N	\N	\N	\N	\N	5	NO	ED50	59	34	44.57	N	1	54	47.45	E	59.579047	1.913181	6605187.760000	438610.000000	31	24	6	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4728	http://www.npd.no/FactMapSearch?NPDID_wellbore=4728	initial	\N	2005-04-22	4728	45828	2845712	287983	0	2787418	MARATHON N	2012-07-25	2012-07-25	2013-05-08
15/12-13	15/12-13	Pertra AS (OLD)	PERTRA	038	APPRAISAL	P&A	DRY	EXPLORATION	2003-04-23	2003-05-11	REV	1055-L	15/12-12 REV	NO	110	Varg 2002 Survey x-line888 inline 1875	12.20	18.000000	3017.00	3047.000000	87.000000	LATE JURASSIC	HUGIN FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	3	NO	APPRAISAL	2003	2003	\N	\N	1	\N	\N	\N	\N	\N	\N	19	NO	ED50	58	2	3.83	N	1	55	4.57	E	58.034397	1.917936	6433197.920000	436099.900000	31	15	12	\N	13	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4733	http://www.npd.no/FactMapSearch?NPDID_wellbore=4733	initial	\N	2005-06-15	4733	1626017	4467554	297514	0	21092	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
25/9-2 S	25/9-2	Esso Exploration and Production Norway A/S	ESSO	189	WILDCAT	P&A	DRY	EXPLORATION	2003-07-18	2003-08-03	\N	1056-L	\N	NO	0	crossline 2842 & inline2988	28.00	25.000000	2139.00	2250.000000	122.000000	EARLY JURASSIC	BURTON FM	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	14	NO	WILDCAT	2003	2003	\N	\N	1	\N	\N	\N	\N	\N	\N	17	NO	ED50	59	22	56.26	N	2	41	46.89	E	59.382294	2.696358	6582813.900000	482748.030000	31	25	9	\N	2	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/259-2-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4735	http://www.npd.no/FactMapSearch?NPDID_wellbore=4735	initial	\N	2006-12-15	4735	\N	\N	296164	0	22324	ESSO	2012-07-25	2012-07-25	2013-05-08
24/6-4	24/6-4	Marathon Petroleum Norge AS	MARATHON	088 BS	WILDCAT	P&A	OIL/GAS	EXPLORATION	2003-04-22	2003-06-02	ALVHEIM	1059-L	24/6-4 ALVHEIM	YES	73	line 484 & trace 4798- NH 9601	11.60	23.000000	2319.00	2325.000000	119.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	Awarded additionaly to round 8	NO	APPRAISAL	2003	2003	\N	\N	13	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	42	NO	ED50	59	34	44.70	N	1	54	46.08	E	59.579083	1.912800	6605192.140000	438588.580000	31	24	6	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/246-4/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4745	http://www.npd.no/FactMapSearch?NPDID_wellbore=4745	initial	\N	2005-06-02	4745	2472552	2845712	287983	0	2787418	MARATHON N	2012-07-25	2012-07-25	2013-05-08
6405/7-1	6405/7-1	Statoil ASA (old)	STATOIL	281	WILDCAT	P&A	OIL	EXPLORATION	2003-06-20	2003-10-10	\N	1060-L	6405/7-1 ELLIDA	YES	129	GH0103 -Inline 1268 & Crossline 2342	7.20	36.000000	4299.00	4300.000000	1206.000000	LATE CRETACEOUS	LYSING FM	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	17	NO	WILDCAT	2003	2003	\N	\N	5	NISE FM	LATE CRETACEOUS	\N	\N	\N	\N	113	NO	ED50	64	17	16.42	N	5	7	58.60	E	64.287894	5.132944	7131004.000000	603242.590000	31	6405	7	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/64057-11/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4749	http://www.npd.no/FactMapSearch?NPDID_wellbore=4749	initial	\N	2005-11-07	4749	2472532	\N	297082	0	2073488	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/12-13 A	15/12-13	Pertra AS (OLD)	PERTRA	038	APPRAISAL	JUNKED	DRY	EXPLORATION	2003-05-11	2003-05-17	REV	1061-L	15/12-12 REV	NO	132	Survey x-line 896 in-line 1927 at 2645ms	42.00	18.000000	2530.00	2532.000000	87.000000	PALEOCENE	SELE FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	3	NO	APPRAISAL	2003	2003	\N	\N	1	\N	\N	\N	\N	\N	\N	7	NO	ED50	58	2	3.83	N	1	55	4.57	E	58.034397	1.917936	6433197.920000	436099.900000	31	15	12	\N	13	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4754	http://www.npd.no/FactMapSearch?NPDID_wellbore=4754	sidetrack	15/12-13	2005-06-15	4754	1626017	4467554	297514	0	21092	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
15/12-13 B	15/12-13	Pertra AS (OLD)	PERTRA	038	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2003-05-17	2003-06-11	REV	1062-L	15/12-12 REV	NO	110	Survey x-line 896 in-line 1927 at 2645ms	19.60	18.000000	3071.00	3151.000000	87.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	3	NO	APPRAISAL	2003	2003	\N	\N	13	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	26	NO	ED50	58	2	3.83	N	1	55	4.57	E	58.034397	1.917936	6433197.920000	436099.900000	31	15	12	\N	13	B	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/1512-13/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4759	http://www.npd.no/FactMapSearch?NPDID_wellbore=4759	sidetrack	15/12-13 A	2005-06-15	4759	1626017	4467554	297514	0	21092	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
35/8-5 S	35/8-5	Norsk Hydro Produksjon AS	HYDRO	195	WILDCAT	P&A	SHOWS	EXPLORATION	2003-06-01	2003-07-20	\N	1063-L	\N	NO	138	BPN 9301M00 -inline 1984	37.10	21.000000	3831.80	4000.000000	369.000000	MIDDLE JURASSIC	RANNOCH FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	14	NO	WILDCAT	2003	2003	\N	\N	12	\N	\N	\N	\N	\N	\N	50	NO	ED50	61	22	40.50	N	3	39	13.22	E	61.377917	3.653672	6805219.700000	534934.950000	31	35	8	\N	5	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/358-5-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4761	http://www.npd.no/FactMapSearch?NPDID_wellbore=4761	initial	\N	2010-04-01	4761	\N	\N	287821	0	22372	HYDRO PRODUKSJON	2013-05-01	2013-05-01	2013-05-08
6406/1-2	6406/1-2	Norsk Agip  AS	AGIP	256	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2003-06-26	2003-09-04	\N	1064-L	6406/1-2	YES	164	NA01 M2 - 3D inline 2386-xline1600	8.70	23.000000	4492.00	4500.000000	383.000000	TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	16	NO	WILDCAT	2003	2003	\N	\N	17	LANGE FM	LATE CRETACEOUS	\N	\N	\N	\N	71	NO	ED50	64	55	32.23	N	6	7	55.71	E	64.925619	6.132142	7203419.290000	364414.820000	32	6406	1	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/64061-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4762	http://www.npd.no/FactMapSearch?NPDID_wellbore=4762	initial	\N	2005-12-29	4762	2455593	\N	287983	0	1032995	AGIP	2012-12-23	2012-12-23	2013-05-08
25/4-8	25/4-8	Marathon Petroleum Norge AS	MARATHON	203	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2003-06-03	2003-06-22	\N	1065-L	25/4-3 GEKKO	NO	0	line 1300 & cross line 5150 (NH9603)	0.70	23.000000	2286.00	2286.000000	122.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	DEEPSEA BERGEN	SEMISUB STEEL	15	NO	APPRAISAL	2003	2003	\N	\N	13	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	20	NO	ED50	59	30	52.34	N	2	3	47.24	E	59.514539	2.063122	6597875.290000	446977.930000	31	25	4	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/254-8/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4765	http://www.npd.no/FactMapSearch?NPDID_wellbore=4765	initial	\N	2005-06-22	4765	1630312	\N	287983	0	22436	MARATHON N	2012-07-25	2012-07-25	2013-05-08
16/1-6 A	16/1-6	Statoil ASA (old)	STATOIL	167	APPRAISAL	P&A	DRY	EXPLORATION	2003-06-08	2003-06-21	\N	1066-L	16/1-6 S	NO	0	SNST3D-inline4379 & crossline5037	40.50	31.000000	2024.00	2194.000000	112.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	13	NO	WILDCAT	2003	2003	\N	\N	1	\N	\N	\N	\N	\N	\N	14	NO	ED50	58	59	27.95	N	2	17	43.07	E	58.991097	2.295297	6539424.890000	459501.210000	31	16	1	\N	6	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/161-6-S-og-161-6-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4767	http://www.npd.no/FactMapSearch?NPDID_wellbore=4767	sidetrack	16/1-6 S	2005-06-21	4767	2449370	\N	297784	0	22148	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
25/8-14 S	25/8-14	Esso Exploration and Production Norway A/S	ESSO	027	WILDCAT	P&A	OIL	EXPLORATION	2003-08-21	2003-09-22	RINGHORNE ØST	1067-L	25/8-14 S	YES	\N	EM01-01-x-line 2764 & inline 1806	\N	25.000000	\N	2825.000000	129.000000	EARLY JURASSIC	\N	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	2-A	NO	WILDCAT	2003	2003	\N	\N	5	\N	EARLY JURASSIC	\N	\N	\N	\N	33	NO	ED50	59	17	53.39	N	2	30	22.03	E	59.298164	2.506119	6573509.930000	471869.880000	31	25	8	\N	14	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/258/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4805	http://www.npd.no/FactMapSearch?NPDID_wellbore=4805	initial	\N	9999-12-31	4805	2472571	3505505	296164	0	20988	ESSO	2012-07-25	2012-07-25	2013-05-08
25/4-6 SR	25/4-6	Norsk Hydro Produksjon AS	HYDRO	036	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2003-09-09	2003-09-14	VALE	678-L3	25/4-6 S VALE	NO	143	EL8802-110 SP 205	22.50	31.000000	4145.00	4179.000000	114.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	2-A	NO	WILDCAT	2003	2003	\N	PLUGGING	17	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	6	YES	ED50	59	42	35.43	N	2	19	4.45	E	59.709842	2.317903	6619449.040000	461620.070000	31	25	4	\N	6	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4819	http://www.npd.no/FactMapSearch?NPDID_wellbore=4819	re-entry	25/4-6 S	2006-02-15	4819	44258	1578893	290170	0	21076	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-45 B	34/10-45	Statoil ASA (old)	STATOIL	050	WILDCAT	RE-CLASS TO DEV	GAS/CONDENSATE	EXPLORATION	2003-10-10	2003-11-06	GULLFAKS	1068-L	34/10-45 B	YES	\N	\N	\N	81.000000	\N	7928.000000	142.500000	MIDDLE JURASSIC	\N	NORTH SEA	GULLFAKS B	CONDEEP 4 SHAFTS	Awarded additionaly to round 3	NO	WILDCAT	2003	2003	34/10-B-42 E	\N	17	\N	LATE CRETACEOUS	\N	\N	\N	\N	28	NO	ED50	61	12	9.93	N	2	12	5.93	E	61.202758	2.201647	6785795.100000	457094.510000	31	34	10	\N	45	B	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/3410-45-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4824	http://www.npd.no/FactMapSearch?NPDID_wellbore=4824	sidetrack	34/10-45 A	9999-12-31	4824	2482767	43686	271917	4941	21188	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
2/4-15 SR	2/4-15	Norsk Hydro Produksjon AS	HYDRO	146	WILDCAT	P&A	DRY	EXPLORATION	2003-10-03	2003-10-27	\N	602-L6	\N	NO	0	BB-87-043 & SP.1987	0.00	29.000000	0.00	4965.000000	68.000000	EARLY CRETACEOUS	MANDAL FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	12	NO	WILDCAT	2003	2003	\N	PLUGGING	1	\N	\N	\N	\N	\N	\N	25	YES	ED50	56	40	27.25	N	3	8	38.79	E	56.674236	3.144108	6281273.690000	508831.060000	31	2	4	\N	15	SR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4842	http://www.npd.no/FactMapSearch?NPDID_wellbore=4842	re-entry	2/4-15 S	2005-12-13	4842	\N	\N	287821	0	21980	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
15/12-14	15/12-14	Pertra AS (OLD)	PERTRA	038	APPRAISAL	RE-CLASS TO DEV	OIL	EXPLORATION	2003-12-08	2003-12-31	VARG	1069-L	15/12-4 VARG	NO	130	\N	0.00	51.000000	3081.00	3305.000000	87.000000	MIDDLE JURASSIC	SLEIPNER FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	3	NO	APPRAISAL	2003	2003	15/12-A-12 A	\N	5	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	24	NO	ED50	58	4	40.47	N	1	53	25.84	E	58.077908	1.890511	6438068.270000	434560.050000	31	15	12	\N	14	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2003/1512-14/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4845	http://www.npd.no/FactMapSearch?NPDID_wellbore=4845	initial	\N	2005-12-31	4845	43868	43451	278245	4875	21092	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/8-7	6507/8-7	Statoil ASA (old)	STATOIL	124	WILDCAT	P&A	DRY	EXPLORATION	2004-01-05	2004-01-31	\N	1070-L	\N	NO	107	ST00M01- inline402 & crossline 972	2.70	23.000000	2975.00	2975.000000	333.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	DEEPSEA BERGEN	SEMISUB STEEL	10-B	NO	WILDCAT	2004	2004	\N	\N	1	\N	\N	\N	\N	\N	\N	27	NO	ED50	65	17	42.50	N	7	21	41.60	E	65.295139	7.361556	7242522.230000	423592.820000	32	6507	8	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/65078-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4854	http://www.npd.no/FactMapSearch?NPDID_wellbore=4854	initial	\N	2006-06-06	4854	\N	\N	287983	0	21804	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-48 S	34/10-48	Statoil ASA (old)	STATOIL	050	WILDCAT	RE-CLASS TO DEV	OIL	EXPLORATION	2004-03-17	2004-12-22	GIMLE	1071-L	34/10-48 S GIMLE	YES	107	linje 2951 & CDP 3135	92.60	84.100000	2933.00	7393.000000	216.900000	LATE TRIASSIC	LUNDE FM	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	Awarded additionaly to round 3	NO	WILDCAT	2004	2004	34/10-C-46	\N	5	VIKING GP	LATE JURASSIC	BRENT GP	MIDDLE JURASSIC	\N	\N	281	NO	ED50	61	12	53.78	N	2	16	27.79	E	61.214939	2.274386	6787106.310000	461018.630000	31	34	10	\N	48	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/3410-48-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4902	http://www.npd.no/FactMapSearch?NPDID_wellbore=4902	initial	\N	2008-02-28	4902	3000688	4005142	272645	5404	21188	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6507/3-4	6507/3-4	Statoil ASA (old)	STATOIL	159	APPRAISAL	P&A	GAS SHOWS	EXPLORATION	2004-03-14	2004-04-30	ALVE	1072-L	6507/3-1 ALVE	NO	145	ST9203R03-inline 4810 & x-line 3346	4.70	36.000000	4089.00	4092.000000	372.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	12-B	NO	APPRAISAL	2004	2004	\N	\N	12	FANGST GP	MIDDLE JURASSIC	\N	\N	\N	\N	48	NO	ED50	65	59	16.60	N	7	50	45.60	E	65.987944	7.846000	7319233.710000	447598.860000	32	6507	3	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/65073-4	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4905	http://www.npd.no/FactMapSearch?NPDID_wellbore=4905	initial	\N	2006-06-06	4905	44924	4444332	297082	0	22084	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
24/9-7	24/9-7	Marathon Petroleum Norge AS	MARATHON	150	APPRAISAL	SUSP.REENTERED LATER	OIL/GAS	EXPLORATION	2004-03-02	2004-03-25	VOLUND	1073-L	24/9-5 VOLUND	NO	79	inline 958 5590 NH 960	3.84	29.000000	2279.00	2280.000000	124.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	12	NO	APPRAISAL	2004	2004	\N	\N	13	NO FORMAL NAME	EOCENE	\N	\N	\N	\N	24	NO	ED50	59	28	42.60	N	1	57	44.49	E	59.478500	1.962358	6593946.860000	441212.920000	31	24	9	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/249-7-7A-7B-og-7C/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4910	http://www.npd.no/FactMapSearch?NPDID_wellbore=4910	initial	\N	2006-05-23	4910	44186	4380167	287821	0	22012	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/9-7 A	24/9-7	Marathon Petroleum Norge AS	MARATHON	150	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2004-03-25	2004-03-29	VOLUND	1074-L	24/9-5 VOLUND	NO	77	inline 958 5590 NH 960	32.10	29.000000	2217.00	2277.000000	124.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	12	NO	APPRAISAL	2004	2004	\N	\N	13	NO FORMAL NAME	EOCENE	\N	\N	\N	\N	6	NO	ED50	59	28	42.60	N	1	57	44.49	E	59.478500	1.962358	6593946.860000	441212.920000	31	24	9	\N	7	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/249-7-7A-7B-og-7C/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4919	http://www.npd.no/FactMapSearch?NPDID_wellbore=4919	sidetrack	24/9-7	2006-05-23	4919	44186	4380167	287821	0	22012	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/9-7 B	24/9-7	Marathon Petroleum Norge AS	MARATHON	150	APPRAISAL	P&A	GAS	EXPLORATION	2004-03-30	2004-04-02	\N	1076-L	24/9-6	NO	75	inline 958 5590 NH 960	29.80	29.000000	2120.00	2230.000000	125.000000	PALEOCENE	LISTA FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	12	NO	APPRAISAL	2004	2004	\N	\N	9	NO FORMAL NAME	EOCENE	\N	\N	\N	\N	4	NO	ED50	59	28	42.60	N	1	57	44.49	E	59.478500	1.962358	6593946.860000	441212.920000	31	24	9	\N	7	B	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/249-7-7A-7B-og-7C/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4926	http://www.npd.no/FactMapSearch?NPDID_wellbore=4926	sidetrack	24/9-7 A	2006-05-23	4926	44192	\N	287821	0	22012	MARATHON N	2012-07-25	2012-07-25	2013-05-08
6406/9-1	6406/9-1	A/S Norske Shell	SHELL	255	WILDCAT	P&A	GAS	EXPLORATION	2004-06-15	2005-06-02	\N	1077-L	6406/9-1 LINNORM	YES	184	HWE95m:inline 4340 & xline 1541.6	7.00	23.500000	5077.00	5080.000000	308.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	16	NO	WILDCAT	2004	2005	\N	\N	9	ILE FM	MIDDLE JURASSIC	TOFTE FM	EARLY JURASSIC	TILJE FM	EARLY JURASSIC      	353	NO	ED50	64	26	46.85	N	6	48	55.23	E	64.446347	6.815342	7148739.490000	394862.070000	32	6406	9	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2005/64069-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4927	http://www.npd.no/FactMapSearch?NPDID_wellbore=4927	initial	\N	2007-12-21	4927	3435686	\N	296677	0	1032979	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
16/1-7	16/1-7	Esso Exploration and Production Norway A/S	ESSO	001 B	WILDCAT	P&A	OIL	EXPLORATION	2004-04-29	2004-05-28	\N	1078-L	16/1-7	YES	122	FS9402RE98 Survey - inline 2290 & crossline 2020	2.20	29.000000	3185.00	3186.000000	112.200000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	WILDCAT	2004	2004	\N	\N	5	SLEIPNER FM	MIDDLE JURASSIC	\N	\N	\N	\N	30	NO	ED50	58	55	58.63	N	2	7	42.36	E	58.932953	2.128433	6533063.650000	449827.580000	31	16	1	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/161-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4928	http://www.npd.no/FactMapSearch?NPDID_wellbore=4928	initial	\N	2006-10-19	4928	2819923	\N	287821	0	917266	ESSO	2013-02-23	2013-02-23	2013-05-08
24/9-7 C	24/9-7	Marathon Petroleum Norge AS	MARATHON	150	APPRAISAL	P&A	OIL	EXPLORATION	2004-04-05	2004-04-11	VOLUND	1080-L	24/9-5 VOLUND	NO	74	inline 958 5590 NH 960	44.00	29.000000	2079.00	2363.000000	124.000000	PALEOCENE	SELE FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	12	NO	APPRAISAL	2004	2004	\N	\N	5	NO FORMAL NAME	EOCENE	\N	\N	\N	\N	7	NO	ED50	59	28	42.60	N	1	57	44.49	E	59.478500	1.962358	6593946.860000	441212.920000	31	24	9	\N	7	C	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/249-7-7A-7B-og-7C/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4930	http://www.npd.no/FactMapSearch?NPDID_wellbore=4930	sidetrack	24/9-7 B	2006-05-23	4930	44186	4380167	287821	0	22012	MARATHON N	2012-07-25	2012-07-25	2013-05-08
6608/11-4	6608/11-4	Statoil ASA (old)	STATOIL	128	WILDCAT	P&A	OIL	EXPLORATION	2004-05-01	2004-05-23	\N	1079-L	6608/11-4 LINERLE	YES	72	ST01M01-inline 3754 & crossline 12030	0.00	36.000000	2317.00	2317.000000	342.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	10-B	NO	WILDCAT	2004	2004	\N	\N	5	TILJE FM	EARLY JURASSIC	\N	\N	\N	\N	23	NO	ED50	66	11	56.20	N	8	25	47.60	E	66.198944	8.429889	7342388.560000	474325.310000	32	6608	11	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/660811-4/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4939	http://www.npd.no/FactMapSearch?NPDID_wellbore=4939	initial	\N	2006-12-15	4939	2820030	\N	297082	0	21836	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
30/11-6 S	30/11-6	Norsk Hydro Produksjon AS	HYDRO	272	WILDCAT	P&A	SHOWS	EXPLORATION	2004-06-03	2004-07-02	\N	1081-L	\N	NO	128	NH9004-839 & crossline 719	24.50	29.000000	3436.00	3550.000000	103.500000	EARLY JURASSIC	DRAKE FM	NORTH SEA	DEEPSEA DELTA	SEMISUB STEEL	NST2001	NO	WILDCAT	2004	2004	\N	\N	12	\N	\N	\N	\N	\N	\N	30	NO	ED50	60	9	32.65	N	2	37	29.62	E	60.159069	2.624894	6669342.010000	479177.040000	31	30	11	\N	6	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/3011-6/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4950	http://www.npd.no/FactMapSearch?NPDID_wellbore=4950	initial	\N	2006-12-15	4950	\N	\N	287821	0	2060232	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6507/1-1	6507/1-1	Chevron Texaco Norge AS	CHEVRON	261 BS	WILDCAT	P&A	DRY	EXPLORATION	2004-09-25	2004-11-02	\N	1082-L	\N	NO	121	\N	0.00	25.000000	3745.00	3745.000000	397.000000	LATE CRETACEOUS	LANGE FM	NORWEGIAN SEA	STENA DEE	SEMISUB STEEL	Awarded additionaly to round 16	NO	WILDCAT	2004	2004	\N	\N	1	\N	\N	\N	\N	\N	\N	39	NO	ED50	65	56	19.02	N	7	15	39.03	E	65.938617	7.260842	7314349.780000	420879.950000	32	6507	1	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/65071-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4955	http://www.npd.no/FactMapSearch?NPDID_wellbore=4955	initial	\N	2006-12-15	4955	\N	\N	290980	0	2588889	CHEVRONTEXACO	2012-07-25	2012-07-25	2013-05-08
6605/8-1	6605/8-1	Norsk Hydro Produksjon AS	HYDRO	283	WILDCAT	P&A	GAS	EXPLORATION	2005-06-14	2005-10-22	\N	1083-L	6605/8-1	YES	158	inline NH0202 &4436crossline NH0202-5031	10.40	23.500000	4508.00	4513.000000	838.000000	LATE CRETACEOUS	LANGE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	17	NO	WILDCAT	2005	2005	\N	\N	9	NISE FM	LATE CRETACEOUS	LYSING FM	LATE CRETACEOUS	\N	\N	131	NO	ED50	66	21	51.93	N	5	34	39.23	E	66.364425	5.577564	7363094.510000	615294.530000	31	6605	8	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2005/66058-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4984	http://www.npd.no/FactMapSearch?NPDID_wellbore=4984	initial	\N	2007-11-08	4984	3490643	\N	296677	0	2073530	HYDRO PRODUKSJON	2013-05-01	2013-05-01	2013-05-08
6406/1-3	6406/1-3	Eni Norge AS	ENI	256	APPRAISAL	SUSP.REENTERED LATER	DRY	EXPLORATION	2004-10-16	2004-12-22	\N	1084-L	6406/1-2	NO	0	NA01 M2-3D-inline 2484 & crossline 1465	3.20	22.000000	4275.00	4276.000000	361.000000	CRETACEOUS	LANGE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	16	NO	APPRAISAL	2004	2004	\N	\N	1	\N	\N	\N	\N	\N	\N	68	NO	ED50	64	54	25.97	N	6	8	25.34	E	64.907214	6.140372	7201351.970000	364711.000000	32	6406	1	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4986	http://www.npd.no/FactMapSearch?NPDID_wellbore=4986	initial	\N	2007-06-28	4986	2455593	\N	287902	0	1032995	ENI NORGE	2012-07-25	2012-07-25	2013-05-08
25/8-15 S	25/8-15	Esso Exploration and Production Norway A/S	ESSO	027	APPRAISAL	P&A	OIL	EXPLORATION	2004-07-13	2004-08-07	BALDER	1085-L	25/8-11 RINGHORNE	NO	0	\N	83.20	60.000000	2038.00	4804.000000	128.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	RINGHORNE	JACKET 4 LEGS	2-A	NO	APPRAISAL	2004	2004	\N	\N	5	STATFJORD FM	EARLY JURASSIC	\N	\N	\N	\N	26	NO	ED50	59	15	58.13	N	2	26	59.53	E	59.266147	2.449869	6569969.730000	468636.650000	31	25	8	\N	15	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5000	http://www.npd.no/FactMapSearch?NPDID_wellbore=5000	initial	\N	2006-12-15	5000	44318	43562	280849	0	20988	ESSO	2012-07-25	2012-07-25	2013-05-08
7227/11-1 S	7227/11-1	Statoil ASA (old)	STATOIL	202	WILDCAT	P&A	DRY	EXPLORATION	2006-01-13	2006-02-22	\N	1086-L	\N	NO	68	ST0309-inline 3419 & crossline 2990	0.00	25.000000	2294.00	2590.000000	234.000000	EARLY PERMIAN	ØRN FM	BARENTS SEA	EIRIK RAUDE	SEMISUB STEEL	14	NO	WILDCAT	2006	2006	\N	\N	1	\N	\N	\N	\N	\N	\N	41	NO	ED50	72	14	22.18	N	27	22	14.89	E	72.239494	27.370803	8015904.210000	512625.200000	35	7227	11	\N	1	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/722711-1-S-og-1-A-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5006	http://www.npd.no/FactMapSearch?NPDID_wellbore=5006	initial	\N	2008-08-15	5006	\N	\N	341172	0	4705176	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/12-15	15/12-15	Pertra AS (OLD)	PERTRA	038	WILDCAT	P&A	DRY	EXPLORATION	2004-11-19	2004-12-21	\N	1087-L	\N	NO	122	Varg 2002-ph1-linline1835 & crossline 10	1.91	25.000000	3300.00	3300.000000	88.000000	MIDDLE JURASSIC	SLEIPNER FM	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	3	NO	WILDCAT	2004	2004	\N	\N	1	\N	\N	\N	\N	\N	\N	33	NO	ED50	58	2	43.92	N	1	52	22.98	E	58.045533	1.873050	6434481.040000	433470.040000	31	15	12	\N	15	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2004/1512-15/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5017	http://www.npd.no/FactMapSearch?NPDID_wellbore=5017	initial	\N	2006-12-21	5017	\N	\N	296164	0	21092	PERTRA AS (OLD)	2012-07-25	2012-07-25	2013-05-08
7220/6-1	7220/6-1	Norsk Hydro Produksjon AS	HYDRO	225	WILDCAT	P&A	OIL SHOWS	EXPLORATION	2005-01-20	2005-03-29	\N	1088-L	\N	NO	46	NH0352-inline 8352 & x-line 5106	1.40	25.000000	1540.00	1540.000000	368.000000	PRE-DEVONIAN	BASEMENT	BARENTS SEA	EIRIK RAUDE	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	WILDCAT	2005	2005	\N	\N	12	\N	\N	\N	\N	\N	\N	69	NO	ED50	72	33	12.56	N	20	59	26.86	E	72.553489	20.990794	8060886.890000	700186.920000	33	7220	6	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2005/72206-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5039	http://www.npd.no/FactMapSearch?NPDID_wellbore=5039	initial	\N	2007-09-17	5039	\N	\N	341172	0	22612	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-48 A	34/10-48	Statoil ASA (old)	STATOIL	050	APPRAISAL	RE-CLASS TO TEST	OIL	EXPLORATION	2004-12-23	2005-02-15	GIMLE	1089-L	34/10-48 S GIMLE	NO	109	inline 2963- CD 3155-TVD 2750	103.00	84.100000	2870.00	6221.000000	217.000000	MIDDLE JURASSIC	NESS FM	NORTH SEA	GULLFAKS C	CONDEEP 4 SHAFTS	Awarded additionaly to round 3	NO	APPRAISAL	2004	2005	\N	\N	5	INTRA HEATHER FM SS	MIDDLE JURASSIC	BRENT GP	MIDDLE JURASSIC	\N	\N	55	NO	ED50	61	12	53.78	N	2	16	27.79	E	61.214939	2.274386	6787106.310000	461018.630000	31	34	10	\N	48	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5046	http://www.npd.no/FactMapSearch?NPDID_wellbore=5046	sidetrack	34/10-48 S	2008-02-28	5046	3000688	4005142	272645	5085	21188	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/4-12	31/4-12	Norsk Hydro Produksjon AS	HYDRO	055	WILDCAT	P&A	DRY	EXPLORATION	2005-02-06	2005-03-14	\N	1090-L	\N	NO	92	NH9204:inline 1800 & crossline 1200	3.70	25.000000	2226.00	2226.000000	210.000000	MIDDLE JURASSIC	FENSFJORD FM	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	4	NO	WILDCAT	2005	2005	\N	\N	1	\N	\N	\N	\N	\N	\N	37	NO	ED50	60	35	45.40	N	3	9	51.96	E	60.595944	3.164433	6717952.800000	509006.700000	31	31	4	\N	12	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2005/314-12/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5051	http://www.npd.no/FactMapSearch?NPDID_wellbore=5051	initial	\N	2008-02-28	5051	\N	\N	296164	0	21236	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6406/1-3 R	6406/1-3	Eni Norge AS	ENI	256	APPRAISAL	SUSP.REENTERED LATER	DRY	EXPLORATION	2005-01-25	2005-02-06	\N	1084-L2	6406/1-2	NO	0	NA01 M2-3D-inline 2484 & crossline 1465	3.20	24.000000	4277.00	4278.000000	361.000000	CRETACEOUS	LANGE FM	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	16	NO	APPRAISAL	2005	2005	\N	\N	1	\N	\N	\N	\N	\N	\N	8	YES	ED50	64	54	25.97	N	6	8	25.34	E	64.907214	6.140372	7201351.970000	364711.000000	32	6406	1	\N	3	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5056	http://www.npd.no/FactMapSearch?NPDID_wellbore=5056	re-entry	6406/1-3	2007-06-27	5056	2455593	\N	294382	0	1032995	ENI NORGE	2012-07-25	2012-07-25	2013-05-08
6406/1-3 R2	6406/1-3	Eni Norge AS	ENI	256	APPRAISAL	P&A	DRY	EXPLORATION	2005-02-26	2005-03-14	\N	1084-L3	6406/1-2	NO	0	NA01 M2-3D:inline 2484 & crossline 1465	3.20	22.000000	4275.00	4276.000000	361.000000	CRETACEOUS	LANGE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	16	NO	APPRAISAL	2005	2005	\N	\N	1	\N	\N	\N	\N	\N	\N	17	YES	ED50	64	54	25.97	N	6	8	25.34	E	64.907214	6.140372	7201351.970000	364711.000000	32	6406	1	\N	3	R2	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5060	http://www.npd.no/FactMapSearch?NPDID_wellbore=5060	re-entry	6406/1-3 R	2007-06-28	5060	2455593	\N	287902	0	1032995	ENI NORGE	2012-07-25	2012-07-25	2013-05-08
35/11-13	35/11-13	Norsk Hydro Produksjon AS	HYDRO	090	WILDCAT	P&A	OIL/GAS	EXPLORATION	2005-03-18	2005-05-28	\N	1092-L	35/11-13	YES	122	MN92001R03:inline934 & crossline 976	2.00	25.000000	3292.00	3291.500000	362.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	8	NO	WILDCAT	2005	2005	\N	\N	13	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	72	NO	ED50	61	9	44.10	N	3	32	21.40	E	61.162250	3.539278	6781140.460000	529019.630000	31	35	11	\N	13	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2005/3511-13/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5063	http://www.npd.no/FactMapSearch?NPDID_wellbore=5063	initial	\N	2008-02-28	5063	3465388	\N	296164	0	21524	HYDRO PRODUKSJON	2013-01-12	2013-01-12	2013-05-08
6302/6-1	6302/6-1	Statoil ASA (old)	STATOIL	251	WILDCAT	P&A	GAS	EXPLORATION	2005-06-24	2005-10-04	\N	1093-L	6302/6-1	YES	112	ST0105-inline 3775 & crossline 4826	2.70	25.000000	4234.00	4234.000000	1261.000000	LATE CRETACEOUS	SPRINGAR FM	NORWEGIAN SEA	EIRIK RAUDE	SEMISUB STEEL	16	NO	WILDCAT	2005	2005	\N	\N	9	NO FORMAL NAME	DANIAN	\N	\N	\N	\N	103	NO	ED50	63	31	38.43	N	2	45	51.56	E	63.527342	2.764322	7044540.650000	488277.590000	31	6302	6	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2005/63026-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5086	http://www.npd.no/FactMapSearch?NPDID_wellbore=5086	initial	\N	2007-12-21	5086	3505670	\N	341172	0	1032893	STATOIL ASA (OLD)	2012-09-26	2012-09-26	2013-05-08
7131/4-1	7131/4-1	Statoil ASA (old)	STATOIL	233	WILDCAT	P&A	DRY	EXPLORATION	2005-04-02	2005-05-13	\N	1094-L	\N	NO	45	ST9802 inline 1792 & x-line 6001	0.50	25.000000	1295.00	1295.000000	331.000000	MIDDLE TRIASSIC	KOBBE FM	BARENTS SEA	EIRIK RAUDE	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	WILDCAT	2005	2005	\N	\N	1	\N	\N	\N	\N	\N	\N	42	NO	ED50	71	41	40.98	N	31	0	40.96	E	71.694717	31.011378	7956245.690000	430296.120000	36	7131	4	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2005/71314-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5093	http://www.npd.no/FactMapSearch?NPDID_wellbore=5093	initial	\N	2007-09-17	5093	\N	\N	341172	0	22676	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
9/4-5	9/4-5	ExxonMobil Exploration & Production Norway AS	ESSO	315	WILDCAT	P&A	DRY	EXPLORATION	2006-01-08	2006-08-01	\N	1097-L	\N	NO	150	NSR04-42232  2D Surveu- shot point 2900	8.50	44.000000	5874.00	5881.000000	77.000000	CARBONIFEROUS	NO FORMAL NAME	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	18	NO	WILDCAT	2006	2006	\N	\N	1	\N	\N	\N	\N	\N	\N	206	NO	ED50	57	40	38.81	N	4	16	8.37	E	57.677447	4.268992	6393653.210000	575683.490000	31	9	4	\N	5	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/94-5/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5134	http://www.npd.no/FactMapSearch?NPDID_wellbore=5134	initial	\N	2008-08-15	5134	\N	\N	296002	0	2786350	EXXON MO	2012-07-25	2012-07-25	2013-05-08
35/2-1	35/2-1	Norsk Hydro Produksjon AS	HYDRO	318	WILDCAT	SUSPENDED	GAS	EXPLORATION	2005-07-21	2005-08-28	\N	1098-L	35/2-1	YES	24	NHO473-101/NH0473-101	1.20	25.000000	713.00	713.000000	384.000000	LATE PLIOCENE	NORDLAND GP	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	18	NO	WILDCAT	2005	2005	\N	\N	9	NORDLAND GP	PLEISTOCENE	\N	\N	\N	\N	39	NO	ED50	61	53	26.68	N	3	20	34.36	E	61.890744	3.342878	6862221.310000	518024.130000	31	35	2	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2005/352-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5135	http://www.npd.no/FactMapSearch?NPDID_wellbore=5135	initial	\N	2008-02-28	5135	3465397	\N	296164	0	2786586	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
34/10-49 S	34/10-49	Statoil ASA (old)	STATOIL	050	WILDCAT	P&A	OIL	EXPLORATION	2006-03-20	2006-05-01	GULLFAKS SØR	1099-L	34/10-49 S ALUN	YES	105	ST9607	72.00	21.500000	3079.00	4126.000000	138.000000	EARLY JURASSIC	AMUNDSEN FM	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2006	2006	\N	\N	5	BRENT GP	MIDDLE JURASSIC	STATFJORD FM	EARLY JURASSIC	\N	\N	43	NO	ED50	61	7	45.10	N	2	5	26.20	E	61.129194	2.090611	6777679.150000	451013.470000	31	34	10	\N	49	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/3410-49-S-B-og-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5140	http://www.npd.no/FactMapSearch?NPDID_wellbore=5140	initial	\N	2008-12-18	5140	4038603	43699	287902	0	21188	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
9/3-2	9/3-2	Paladin Resources Norge AS	PALADIN	316	WILDCAT	P&A	DRY	EXPLORATION	2005-10-23	2005-12-09	\N	1100-L	\N	NO	92	inline 28406 & trace 325 -survey ST9702	5.00	46.000000	3151.00	3154.000000	101.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	18	NO	WILDCAT	2005	2005	\N	\N	1	\N	\N	\N	\N	\N	\N	48	NO	ED50	57	49	25.79	N	4	42	39.64	E	57.823831	4.711011	6410526.830000	601631.240000	31	9	3	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2005/93-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5173	http://www.npd.no/FactMapSearch?NPDID_wellbore=5173	initial	\N	2008-02-28	5173	\N	\N	278245	0	2786469	PALADIN	2013-01-22	2013-01-22	2013-05-08
15/9-22	15/9-22	ExxonMobil Exploration & Production Norway AS	ESSO	241	WILDCAT	P&A	DRY	EXPLORATION	2006-01-01	2006-03-13	\N	1101-L	\N	NO	142	inline 1080-crossline 1336(EM01-MR01 3D)	9.00	22.000000	3918.00	3923.000000	107.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	NST99	NO	WILDCAT	2006	2006	\N	\N	1	\N	\N	\N	\N	\N	\N	72	NO	ED50	58	20	42.41	N	1	40	55.12	E	58.345114	1.681978	6468037.000000	422842.960000	31	15	9	\N	22	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/159-22/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5174	http://www.npd.no/FactMapSearch?NPDID_wellbore=5174	initial	\N	2008-08-15	5174	\N	\N	287902	0	102131	EXXON MO	2012-07-25	2012-07-25	2013-05-08
15/3-8	15/3-8	Statoil ASA (old)	STATOIL	025	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2005-11-03	2006-04-11	GUDRUN	1096-L	15/3-1 S GUDRUN	NO	145	ST0208-inline 2620 & crossline 2328	2.20	23.500000	4591.00	4592.000000	109.000000	LATE JURASSIC	DRAUPNE FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	2-A	NO	APPRAISAL	2005	2006	\N	\N	13	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	161	NO	ED50	58	51	27.80	N	1	43	17.00	E	58.857722	1.721389	6525064.070000	426237.200000	31	15	3	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/153-8/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5175	http://www.npd.no/FactMapSearch?NPDID_wellbore=5175	initial	\N	2008-08-15	5175	43880	18116481	296677	0	34512	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6406/1-4	6406/1-4	Eni Norge AS	ENI	256	APPRAISAL	P&A	SHOWS	EXPLORATION	2005-08-16	2005-12-26	\N	1102-L	6406/1-2	NO	157	EN03M1 INLINE 2480 & CROSSLINE 1485	3.10	22.000000	4593.00	4596.000000	363.000000	MIDDLE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	16	NO	APPRAISAL	2005	2005	\N	\N	12	\N	\N	\N	\N	\N	\N	133	NO	ED50	64	54	34.09	N	6	8	30.84	E	64.909469	6.141900	7201599.890000	364794.600000	32	6406	1	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2005/64061-4/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5183	http://www.npd.no/FactMapSearch?NPDID_wellbore=5183	initial	\N	2007-12-26	5183	2455593	\N	287902	0	1032995	ENI NORGE	2012-07-25	2012-07-25	2013-05-08
1/2-2	1/2-2	Paladin Resources Norge AS	PALADIN	143 CS	WILDCAT	P&A	OIL SHOWS	EXPLORATION	2005-12-14	2006-02-02	\N	1103-L	\N	NO	138	inline 7429-trace 4824 Survey PGS CGMNOR	4.90	40.000000	3432.00	3434.000000	74.000000	PALEOCENE	EKOFISK FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	Awarded additionaly to round 12	NO	WILDCAT	2005	2006	\N	\N	12	\N	\N	\N	\N	\N	\N	51	NO	ED50	56	59	32.00	N	2	29	47.66	E	56.992222	2.496572	6316774.330000	469410.100000	31	1	2	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/1-2-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5192	http://www.npd.no/FactMapSearch?NPDID_wellbore=5192	initial	\N	2008-08-15	5192	\N	\N	278245	0	2424919	PALADIN	2012-07-25	2012-07-25	2013-05-08
7122/7-3	7122/7-3	Eni Norge AS	ENI	229	WILDCAT	P&A	OIL/GAS	EXPLORATION	2005-10-24	2006-01-08	GOLIAT	1105-L	7122/7-3	YES	73	NA01M1 3D inline:1399 & crossline 3119	4.70	25.000000	2725.00	2726.000000	343.000000	PERMIAN	TEMPELFJORDEN GP	BARENTS SEA	EIRIK RAUDE	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	APPRAISAL	2005	2006	\N	\N	13	TUBÅEN FM	LATE TRIASSIC	SNADD FM	TRIASSIC	KOBBE FM	MIDDLE TRIASSIC     	77	NO	ED50	71	15	17.53	N	22	16	4.60	E	71.254869	22.267944	7906512.670000	545476.820000	34	7122	7	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/7122-7-3/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5214	http://www.npd.no/FactMapSearch?NPDID_wellbore=5214	initial	\N	2008-01-09	5214	4001397	5774394	341172	0	22644	ENI NORGE	2012-07-25	2013-02-20	2013-05-08
34/11-5 S	34/11-5	Statoil ASA (old)	STATOIL	193	APPRAISAL	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	2006-01-31	2006-06-14	VALEMON	1106-L	34/10-23 VALEMON	NO	161	line9671-survey ST0407	70.00	60.500000	4432.00	7380.000000	190.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	KVITEBJØRN	JACKET 4 LEGS	14	NO	APPRAISAL	2006	2006	\N	\N	17	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	135	NO	ED50	61	4	49.01	N	2	29	59.00	E	61.080281	2.499722	6771993.270000	473009.200000	31	34	11	\N	5	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/3411--5-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5248	http://www.npd.no/FactMapSearch?NPDID_wellbore=5248	initial	\N	2008-08-15	5248	44618	20460969	280877	0	22356	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
15/12-16 S	15/12-16	Talisman Energy Norge AS	TALISMAN	038	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	2006-02-06	2006-03-31	REV	1107-L	15/12-12 REV	NO	123	Varg2002-PH1&inline:1912&crossline:882	28.60	40.000000	2897.00	2961.000000	87.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	3	NO	APPRAISAL	2006	2006	\N	\N	17	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	54	NO	ED50	58	1	40.39	N	1	55	27.97	E	58.027886	1.924436	6432466.910000	436472.190000	31	15	12	\N	16	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/1512-16-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5271	http://www.npd.no/FactMapSearch?NPDID_wellbore=5271	initial	\N	2008-08-15	5271	1626017	4467554	278245	0	21092	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
34/10-49 A	34/10-49	Statoil ASA (old)	STATOIL	050	WILDCAT	P&A	DRY	EXPLORATION	2006-05-21	2006-06-02	\N	1108-L	\N	NO	105	ST9607&line 2009&Cdp 2184	76.00	21.500000	2479.70	3312.000000	138.000000	MIDDLE JURASSIC	NESS FM	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2006	2006	\N	\N	1	\N	\N	\N	\N	\N	\N	13	NO	ED50	61	7	45.10	N	2	5	26.20	E	61.129194	2.090611	6777679.150000	451013.470000	31	34	10	\N	49	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/3410-49-S-B-og-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5282	http://www.npd.no/FactMapSearch?NPDID_wellbore=5282	sidetrack	34/10-49 S	2008-12-18	5282	\N	\N	287902	0	21188	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7227/11-1 A	7227/11-1	Statoil ASA (old)	STATOIL	202	WILDCAT	P&A	SHOWS	EXPLORATION	2006-02-24	2006-03-24	\N	1109-L	\N	NO	68	ST0309-inline3419 & crossline2990	53.80	25.000000	3198.00	3446.000000	236.000000	EARLY PERMIAN	ØRN FM	BARENTS SEA	EIRIK RAUDE	SEMISUB STEEL	14	NO	WILDCAT	2006	2006	\N	\N	12	\N	\N	\N	\N	\N	\N	29	NO	ED50	72	14	22.18	N	27	22	14.89	E	72.239494	27.370803	8015904.210000	512625.200000	35	7227	11	\N	1	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/722711-1-S-og-1-A-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5287	http://www.npd.no/FactMapSearch?NPDID_wellbore=5287	sidetrack	7227/11-1 S	2008-08-15	5287	\N	\N	341172	0	4705176	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6506/11-8	6506/11-8	Statoil ASA (old)	STATOIL	134 B	APPRAISAL	P&A	OIL	EXPLORATION	2006-03-24	2006-07-16	MORVIN	1110-L	6506/11-7 MORVIN	NO	178	3d survey ST02M04-inline 2660 & crossline 2648	6.20	18.000000	4988.00	4990.000000	380.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	Awarded additionaly to round 11-A	NO	APPRAISAL	2006	2006	\N	\N	5	GARN FM	MIDDLE JURASSIC	TOFTE FM	EARLY JURASSIC	\N	\N	115	NO	ED50	65	7	13.60	N	6	26	49.30	E	65.120444	6.447028	7224481.280000	380172.200000	32	6506	11	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/650611-8/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5295	http://www.npd.no/FactMapSearch?NPDID_wellbore=5295	initial	\N	2008-08-15	5295	1630175	4966234	297514	0	1025257	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6403/6-1	6403/6-1	Statoil ASA (old)	STATOIL	322	WILDCAT	P&A	DRY	EXPLORATION	2006-04-10	2006-07-23	\N	1111-L	\N	NO	118	3D survey MC3DMGS2002 3D-inline 3428 & xline 4342	2.70	25.000000	4120.00	4120.000000	1721.000000	LATE CRETACEOUS	LYSING FM	NORWEGIAN SEA	EIRIK RAUDE	SEMISUB STEEL	18	NO	WILDCAT	2006	2006	\N	\N	1	\N	\N	\N	\N	\N	\N	105	NO	ED50	64	36	30.46	N	3	43	9.58	E	64.608461	3.719328	7165192.950000	534417.980000	31	6403	6	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/64036-1	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5296	http://www.npd.no/FactMapSearch?NPDID_wellbore=5296	initial	\N	2008-08-20	5296	\N	\N	341172	0	2786703	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7/8-5 S	7/8-5	Talisman Energy Norge AS	TALISMAN	301	APPRAISAL	P&A	DRY	EXPLORATION	2006-04-18	2006-06-03	\N	1112-L	7/8-3	NO	153	Brønnhode lokasjon på Seismisk linje7811 & CDP7108	16.00	44.200000	4127.00	4168.000000	81.400000	TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	TFO2003	NO	APPRAISAL	2006	2006	\N	\N	1	\N	\N	\N	\N	\N	\N	46	NO	ED50	57	15	2.65	N	2	34	10.91	E	57.250736	2.569697	6345521.930000	474034.890000	31	7	8	\N	5	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/78-5-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5304	http://www.npd.no/FactMapSearch?NPDID_wellbore=5304	initial	\N	2008-08-15	5304	44990	\N	278245	0	2490380	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
6507/3-5 S	6507/3-5	StatoilHydro ASA	STATOIL	159 B	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2008-02-28	2008-05-08	ALVE	1113-L	6507/3-5 S	YES	142	ST03M03:inline 4486 & crossline 3280	37.00	22.000000	3834.00	4265.000000	368.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	Awarded additionaly to round 12 B	NO	WILDCAT	2008	2008	\N	\N	17	ILE FM	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	71	NO	ED50	65	58	6.48	N	7	48	35.91	E	65.968467	7.809975	7317093.450000	445922.000000	32	6507	3	\N	5	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gasskondensatfunn-i-Norskehavet---65073-5-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5307	http://www.npd.no/FactMapSearch?NPDID_wellbore=5307	initial	\N	2010-05-08	5307	4972713	4444332	287902	0	2819945	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6608/11-5	6608/11-5	Statoil ASA (old)	STATOIL	128	WILDCAT	P&A	SHOWS	EXPLORATION	2006-06-18	2006-07-14	\N	1114-L	\N	NO	85	ST04M17-linje 1244 & trase 3788	2.40	22.000000	2269.00	2270.000000	342.500000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	10-B	NO	WILDCAT	2006	2006	\N	\N	12	\N	\N	\N	\N	\N	\N	27	NO	ED50	66	11	9.50	N	8	28	50.60	E	66.185972	8.480722	7340922.660000	476602.530000	32	6608	11	\N	5	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/660811-5/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5316	http://www.npd.no/FactMapSearch?NPDID_wellbore=5316	initial	\N	2008-08-15	5316	\N	\N	287902	0	21836	STATOIL ASA (OLD)	2013-01-09	2013-01-09	2013-05-08
7122/6-2	7122/6-2	Statoil ASA (old)	STATOIL	110 B	APPRAISAL	P&A	GAS	EXPLORATION	2006-08-10	2006-09-19	\N	1116-L	7122/6-1	NO	100	ST0509-inline3090 & crossline 5235	1.80	23.000000	3070.00	3070.000000	408.000000	MIDDLE TRIASSIC	KOBBE FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	TFO2004	NO	WILDCAT	2006	2006	\N	\N	9	SNADD FM	LATE TRIASSIC	\N	\N	\N	\N	41	NO	ED50	71	35	13.60	N	22	51	21.54	E	71.587111	22.855983	7944100.000000	565425.040000	34	7122	6	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/71226-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5327	http://www.npd.no/FactMapSearch?NPDID_wellbore=5327	initial	\N	2008-12-18	5327	45068	\N	289333	0	3001885	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
34/10-49 B	34/10-49	Statoil ASA (old)	STATOIL	050	APPRAISAL	P&A	OIL	EXPLORATION	2006-05-01	2006-06-12	GULLFAKS SØR	1117-L	34/10-49 S ALUN	NO	105	skuddpunkt 2342 på linje 1777-Seis.survey ST9607	92.10	21.500000	3156.00	5480.000000	138.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2006	2006	\N	\N	5	STATFJORD FM	EARLY JURASSIC	\N	\N	\N	\N	43	NO	ED50	61	7	45.10	N	2	5	26.20	E	61.129194	2.090611	6777679.150000	451013.470000	31	34	10	\N	49	B	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/3410-49-S-B-og-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5328	http://www.npd.no/FactMapSearch?NPDID_wellbore=5328	sidetrack	34/10-49 A	2008-12-18	5328	4038603	43699	287902	0	21188	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
31/5-4 AR2	31/5-4	Statoil ASA (old)	STATOIL	085	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2003-08-24	2003-09-05	TROLL	656-L4	31/2-1 TROLL VEST	NO	0	NH 9056-209 & SP.95	0.00	31.000000	1586.00	2610.000000	316.000000	LATE JURASSIC	SOGNEFJORD FM	NORTH SEA	BIDEFORD DOLPHIN	SEMISUB STEEL	Awarded additionaly to round 7	NO	APPRAISAL	2003	2003	\N	PLUGGING	13	SOGNEFJORD FM	LATE JURASSIC	\N	\N	\N	\N	13	YES	ED50	60	43	16.19	N	3	33	43.06	E	60.721164	3.561961	6732020.100000	530661.480000	31	31	5	\N	4	AR	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5335	http://www.npd.no/FactMapSearch?NPDID_wellbore=5335	re-entry	31/5-4 AR	2006-06-06	5335	44534	46437	290170	0	21476	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
6406/6-2	6406/6-2	A/S Norske Shell	SHELL	255	WILDCAT	P&A	DRY	EXPLORATION	2006-09-23	2007-01-31	\N	1118-L	\N	NO	172	HW95M in line:4860 trace = x-line:2000	2.50	18.000000	4669.00	4670.000000	253.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	16	NO	WILDCAT	2006	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	131	NO	ED50	64	31	0.51	N	6	53	8.53	E	64.516808	6.885703	7156474.060000	398508.770000	32	6406	6	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Pressemelding-42007/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5359	http://www.npd.no/FactMapSearch?NPDID_wellbore=5359	initial	\N	2009-03-09	5359	\N	\N	297514	0	1032979	SHELL NORGE	2013-01-22	2013-01-22	2013-05-08
35/11-14 S	35/11-14	Norsk Hydro Produksjon AS	HYDRO	090 B	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2006-08-23	2006-12-07	\N	1119-L	35/11-13	NO	122	Seismic survey MN-9201R05-NE inline 937-crossline 1076	16.50	26.000000	3285.50	3306.000000	361.000000	LATE JURASSIC	HEATHER FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	Awarded additionaly to round 8	NO	APPRAISAL	2006	2006	\N	\N	13	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	107	NO	ED50	61	9	2.41	N	3	32	51.76	E	61.150669	3.547711	6779854.280000	529484.240000	31	35	11	\N	14	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/3511-14-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5365	http://www.npd.no/FactMapSearch?NPDID_wellbore=5365	initial	\N	2008-12-18	5365	3465388	\N	296326	0	3426781	HYDRO PRODUKSJON	2013-01-12	2013-01-12	2013-05-08
16/2-20	16/2-20	Lundin Norway AS	LUNDIN	501	WILDCAT	\N	\N	EXPLORATION	9999-12-31	9999-12-31	\N	1450-L	\N	NO	\N	LN09002R12:inline 3065 & crossline 3710	\N	30.000000	\N	0.000000	109.500000	\N	\N	NORTH SEA	ISLAND INNOVATOR	SEMISUB STEEL	TFO2008	NO	WILDCAT	0	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	58	56	25.80	N	2	25	34.09	E	58.940500	2.426136	6533718.880000	466971.950000	31	16	2	\N	20	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7181	http://www.npd.no/FactMapSearch?NPDID_wellbore=7181	initial	\N	9999-12-31	7181	\N	\N	426940	0	5106314	LUNDIN NORWAY	2013-04-26	2013-04-26	2013-05-08
6406/3-7	6406/3-7	Statoil ASA (old)	STATOIL	314	WILDCAT	P&A	DRY	EXPLORATION	2006-07-22	2006-09-19	\N	1120-L	\N	NO	162	Seismic 3D survey:HWE95M-inline3501-trace 7324	0.00	18.000000	4507.20	4520.000000	275.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	TFO2003	NO	WILDCAT	2006	2006	\N	\N	1	\N	\N	\N	\N	\N	\N	60	NO	ED50	64	46	14.70	N	6	42	29.30	E	64.770750	6.708139	7185056.840000	391011.070000	32	6406	3	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/64063-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5375	http://www.npd.no/FactMapSearch?NPDID_wellbore=5375	initial	\N	2008-12-18	5375	\N	\N	297514	0	2491284	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
35/2-1 R	35/2-1	Norsk Hydro Produksjon AS	HYDRO	318	WILDCAT	P&A	GAS	EXPLORATION	2006-06-15	2006-07-25	\N	1098-L2	35/2-1	NO	24	NH0473-101/NH0473-101	1.20	25.000000	706.00	713.000000	384.000000	LATE PLIOCENE	NORDLAND GP	NORTH SEA	DEEPSEA TRYM	SEMISUB STEEL	18	NO	WILDCAT	2006	2006	\N	TESTING/PLUGGING	9	NORDLAND GP	PLEISTOCENE	\N	\N	\N	\N	41	YES	ED50	61	53	26.68	N	3	20	34.36	E	61.890744	3.342878	6862221.310000	518024.130000	31	35	2	\N	1	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5376	http://www.npd.no/FactMapSearch?NPDID_wellbore=5376	re-entry	35/2-1	2008-08-15	5376	3465397	\N	296164	0	2786586	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6608/10-11 S	6608/10-11	Statoil ASA (old)	STATOIL	128	WILDCAT	P&A	GAS	EXPLORATION	2006-07-12	2006-08-15	URD	1121-L	6608/10-11 S	YES	122	ST0103 Inline 5526 & Crossline 1663	42.30	24.000000	3243.30	3725.100000	375.700000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	10-B	NO	WILDCAT	2006	2006	\N	\N	9	NOT FM	MIDDLE JURASSIC	\N	\N	\N	\N	35	NO	ED50	66	0	48.68	N	8	3	14.73	E	66.013522	8.054092	7321926.370000	457090.310000	32	6608	10	\N	11	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/660810-11S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5386	http://www.npd.no/FactMapSearch?NPDID_wellbore=5386	initial	\N	2008-12-18	5386	4055854	2834734	294382	0	21836	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
7122/7-4 S	7122/7-4	Eni Norge AS	ENI	229	WILDCAT	P&A	OIL/GAS	EXPLORATION	2006-09-21	2006-11-25	GOLIAT	1122-L	7122/7-4 S KLAPPMYS	YES	57	NA01M1-R05 3D-INLINE1480 & TRACE 3359	33.00	23.000000	2389.00	2550.000000	372.000000	EARLY TRIASSIC	HAVERT FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	APPRAISAL	2006	2006	\N	\N	13	FRUHOLMEN FM	LATE TRIASSIC	KOBBE FM	MIDDLE TRIASSIC	KLAPPMYSS FM	EARLY TRIASSIC      	66	NO	ED50	71	15	13.07	N	22	19	5.41	E	71.253631	22.318169	7906413.020000	547280.980000	34	7122	7	\N	4	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2006/71227-4-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5406	http://www.npd.no/FactMapSearch?NPDID_wellbore=5406	initial	\N	2008-12-18	5406	4213452	5774394	289333	0	22644	ENI NORGE	2012-07-25	2012-07-25	2013-05-08
6507/11-7	6507/11-7	Norsk Hydro Produksjon AS	HYDRO	263	WILDCAT	P&A	DRY	EXPLORATION	2006-12-13	2007-02-12	\N	1123-L	\N	NO	107	Seismic survey MC3D-MGW98 inline4277-crossline 4238	3.40	26.000000	2948.80	2950.000000	294.000000	EARLY CRETACEOUS	LANGE FM	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	16	NO	WILDCAT	2006	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	62	NO	ED50	65	10	54.58	N	7	21	52.80	E	65.181828	7.364667	7229892.520000	423410.550000	32	6507	11	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Pressemelding-52007/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5430	http://www.npd.no/FactMapSearch?NPDID_wellbore=5430	initial	\N	2009-03-09	5430	\N	\N	296326	0	1033111	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
6406/8-2	6406/8-2	Total E&P Norge AS	TOTAL	323	WILDCAT	P&A	DRY	EXPLORATION	2006-10-28	2007-04-08	\N	1124-L	\N	NO	169	crossline 2968-inline 1932(TO05M01 PSDM)	5.00	21.500000	4697.00	4700.000000	363.600000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	18	NO	WILDCAT	2006	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	163	NO	ED50	64	28	49.95	N	6	20	17.62	E	64.480542	6.338228	7153423.990000	372069.890000	32	6406	8	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/6406-8-2	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5435	http://www.npd.no/FactMapSearch?NPDID_wellbore=5435	initial	\N	2009-04-08	5435	\N	\N	287902	0	2786740	TOTAL E&P NORGE	2012-07-25	2012-07-25	2013-05-08
7122/7-5	7122/7-5	Eni Norge AS	ENI	229	WILDCAT	P&A	DRY	EXPLORATION	2006-11-28	2006-12-23	\N	1125-L	\N	NO	59	inline 1548-crossline 2959(Survey Na01M1 3D)	2.40	23.000000	2227.00	2228.000000	370.000000	EARLY TRIASSIC	KLAPPMYSS FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	WILDCAT	2006	2006	\N	\N	1	\N	\N	\N	\N	\N	\N	26	NO	ED50	71	16	24.70	N	22	16	40.43	E	71.273528	22.277897	7908600.890000	545789.790000	34	7122	7	\N	5	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Pressemelding-32007/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5439	http://www.npd.no/FactMapSearch?NPDID_wellbore=5439	initial	\N	2008-12-23	5439	\N	\N	289333	0	22644	ENI NORGE	2012-07-25	2012-07-25	2013-05-08
16/4-4	16/4-4	Statoil ASA (old)	STATOIL	339	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2006-12-28	2007-03-23	\N	1126-L	16/4-4	YES	91	ST04M02-line 4780-trace4490	1.80	49.000000	2409.00	2409.000000	91.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	TFO2004	NO	WILDCAT	2006	2007	\N	\N	17	TY FM	PALEOCENE	\N	\N	\N	\N	86	NO	ED50	58	31	48.00	N	2	8	59.80	E	58.530000	2.149944	6488180.960000	450496.830000	31	16	4	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/16-4-4-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5441	http://www.npd.no/FactMapSearch?NPDID_wellbore=5441	initial	\N	2009-03-23	5441	4445817	\N	296110	0	2986606	STATOIL ASA (OLD)	2013-01-22	2013-01-22	2013-05-08
15/12-17 S	15/12-17	Talisman Energy Norge AS	TALISMAN	038	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	2006-12-23	2007-02-04	REV	1127-L	15/12-12 REV	NO	125	\N	45.74	43.000000	2860.00	3371.000000	87.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	3	NO	APPRAISAL	2006	2007	\N	\N	17	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	44	NO	ED50	58	1	42.68	N	1	55	23.46	E	58.028522	1.923183	6432538.900000	436399.330000	31	15	12	\N	17	S	\N	http://www.npd.no/Norsk/Aktuelt/Pressemeldinger/2007/Pressemelding+7-2007+REV.htm	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5442	http://www.npd.no/FactMapSearch?NPDID_wellbore=5442	initial	\N	2009-03-09	5442	1626017	4467554	278245	0	21092	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
7125/4-1	7125/4-1	Norsk Hydro Produksjon AS	HYDRO	393	WILDCAT	P&A	OIL/GAS	EXPLORATION	2007-01-17	2007-03-07	\N	1128-L	7125/4-1	YES	48	MC3D-MFZ-inline 1460 & xline 3876	1.30	23.000000	1615.00	1615.000000	293.000000	EARLY TRIASSIC	KLAPPMYSS FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	19	NO	WILDCAT	2007	2007	\N	\N	13	NORDMELA FM	EARLY JURASSIC	FRUHOLMEN FM	LATE TRIASSIC	KOBBE FM	MIDDLE TRIASSIC     	50	NO	ED50	71	33	0.80	N	25	14	22.32	E	71.550222	25.239533	7939886.060000	437821.200000	35	7125	4	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Pressemelding-82007/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5450	http://www.npd.no/FactMapSearch?NPDID_wellbore=5450	initial	\N	2009-03-09	5450	4445929	\N	289333	0	3965277	HYDRO PRODUKSJON	2013-03-19	2013-03-19	2013-05-08
6406/9-2	6406/9-2	A/S Norske Shell	SHELL	255	APPRAISAL	P&A	GAS	EXPLORATION	2007-02-05	2007-07-01	\N	1129-L	6406/9-1 LINNORM	NO	184	HW95M in line:4308 TRACE= x-line :2076	4.70	18.000000	5347.00	5348.000000	299.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	16	NO	APPRAISAL	2007	2007	\N	\N	9	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	TOFTE FM	EARLY JURASSIC      	147	NO	ED50	64	28	34.83	N	6	48	9.46	E	64.476342	6.802628	7152101.790000	394366.070000	32	6406	9	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/6406-9-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5454	http://www.npd.no/FactMapSearch?NPDID_wellbore=5454	initial	\N	2009-06-28	5454	3435686	\N	297514	0	1032979	SHELL NORGE	2013-05-01	2013-05-01	2013-05-08
7122/7-5 A	7122/7-5	Eni Norge AS	ENI	229	APPRAISAL	P&A	OIL	EXPLORATION	2006-12-23	2007-01-13	GOLIAT	1130-L	7122/7-1 GOLIAT	NO	51	inline 1579 & crossline 2978 (survey NA01M1 3D)	46.10	23.000000	1973.00	2186.000000	370.000000	MIDDLE TRIASSIC	KOBBE FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	WILDCAT	2006	2007	\N	\N	5	KOBBE FM	MIDDLE TRIASSIC	\N	\N	\N	\N	22	NO	ED50	71	16	24.70	N	22	16	40.43	E	71.273528	22.277897	7908600.890000	545789.790000	34	7122	7	\N	5	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Pressemelding-32007/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5465	http://www.npd.no/FactMapSearch?NPDID_wellbore=5465	sidetrack	7122/7-5	2009-03-09	5465	1340775	5774394	289333	0	22644	ENI NORGE	2012-07-25	2012-07-25	2013-05-08
25/11-24	25/11-24	Norsk Hydro Produksjon AS	HYDRO	169	WILDCAT	P&A	OIL	EXPLORATION	2007-02-18	2007-03-29	\N	1131-L	25/11-24	YES	81	3D survey (NH9301):inline 1691 & crossline 2462	1.20	26.000000	2117.00	2117.000000	114.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	13	NO	WILDCAT	2007	2007	\N	\N	5	HEIMDAL FM	PALEOCENE	STATFJORD FM	JURASSIC	\N	\N	40	NO	ED50	59	6	12.68	N	2	20	27.73	E	59.103522	2.341036	6551916.900000	462253.220000	31	25	11	\N	24	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/25-11-24-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5470	http://www.npd.no/FactMapSearch?NPDID_wellbore=5470	initial	\N	2009-03-29	5470	4457094	\N	296326	0	22164	HYDRO PRODUKSJON	2013-01-22	2013-01-22	2013-05-08
6607/2-1	6607/2-1	Eni Norge AS	ENI	329	WILDCAT	P&A	DRY	EXPLORATION	2007-02-09	2007-03-26	\N	1132-L	\N	NO	93	3D VGUH-0201 line 5290 and trace 2250	0.70	23.000000	3526.00	3526.000000	860.000000	LATE CRETACEOUS	SPRINGAR FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	18	NO	WILDCAT	2007	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	46	NO	ED50	66	49	20.18	N	7	22	15.50	E	66.822272	7.370972	7412692.490000	428455.220000	32	6607	2	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/6607-2-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5471	http://www.npd.no/FactMapSearch?NPDID_wellbore=5471	initial	\N	2009-03-26	5471	\N	\N	296677	0	2786994	ENI NORGE	2013-01-22	2013-01-22	2013-05-08
7/11-11 S	7/11-11	Talisman Energy Norge AS	TALISMAN	301	APPRAISAL	P&A	OIL SHOWS	EXPLORATION	2007-03-29	2007-06-10	MIME	1133-L	7/11-5 MIME	NO	168	ILN 7369-CDP 6109-TRC 37	24.30	46.000000	4444.00	4679.000000	80.400000	TRIASSIC	SMITH BANK FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	TFO2003	NO	APPRAISAL	2007	2007	\N	\N	12	ULA FM	LATE JURASSIC	\N	\N	\N	\N	74	NO	ED50	57	7	34.87	N	2	28	58.68	E	57.126353	2.482967	6331711.790000	468696.470000	31	7	11	\N	11	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/7-11-11-s/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5474	http://www.npd.no/FactMapSearch?NPDID_wellbore=5474	initial	\N	2009-06-10	5474	44966	43792	278245	0	2490380	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
15/12-17 A	15/12-17	Talisman Energy Norge AS	TALISMAN	038	APPRAISAL	RE-CLASS TO DEV	GAS/CONDENSATE	EXPLORATION	2007-02-04	2007-03-23	REV	1134-L	15/12-12 REV	NO	128	\N	56.93	43.000000	2955.00	3620.000000	87.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	3	NO	APPRAISAL	2007	2007	15/12-D-1 H	\N	17	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	48	NO	ED50	58	1	42.68	N	1	55	23.46	E	58.028522	1.923183	6432538.900000	436399.330000	31	15	12	\N	17	A	\N	http://www.npd.no/Norsk/Aktuelt/Pressemeldinger/2007/Pressemelding+7-2007+REV.htm	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5484	http://www.npd.no/FactMapSearch?NPDID_wellbore=5484	sidetrack	15/12-17 S	2009-03-23	5484	1626017	4467554	278245	5937	21092	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
15/6-9 S	15/6-9	Statoil ASA (old)	STATOIL	303	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2007-03-29	2007-05-27	\N	1135-L	15/5-1 GINA KROG	NO	125	ST04M01 & inline 2886 & crossline 5000	14.10	48.000000	3910.00	3940.000000	113.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	TFO2003	NO	APPRAISAL	2007	2007	\N	\N	13	UTSIRA FM	MIOCENE	HUGIN FM	MIDDLE JURASSIC	\N	\N	60	NO	ED50	58	35	13.71	N	1	44	34.87	E	58.587142	1.743019	6494914.510000	426920.010000	31	15	6	\N	9	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Oljefunn-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5494	http://www.npd.no/FactMapSearch?NPDID_wellbore=5494	initial	\N	2009-05-27	5494	43892	\N	296110	0	2490467	STATOIL ASA (OLD)	2013-03-13	2013-03-13	2013-05-08
35/11-15 S	35/11-15	Norsk Hydro Produksjon AS	HYDRO	090	WILDCAT	P&A	OIL/GAS	EXPLORATION	2007-04-01	2007-06-28	\N	1136-L	35/11-15 S	YES	123	seismic survey MG0098R01 inline 1115 & crossline 1373	61.20	26.000000	2987.00	3250.000000	363.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	8	NO	WILDCAT	2007	2007	\N	\N	13	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	89	NO	ED50	61	6	50.28	N	3	31	19.94	E	61.113967	3.522206	6775754.760000	528143.880000	31	35	11	\N	15	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Oljefunn-i-Nordsjoen1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5517	http://www.npd.no/FactMapSearch?NPDID_wellbore=5517	initial	\N	2009-06-28	5517	4475297	\N	296326	0	21524	HYDRO PRODUKSJON	2013-01-19	2013-01-19	2013-05-08
6504/5-1 S	6504/5-1	Eni Norge AS	ENI	324	WILDCAT	P&A	DRY	EXPLORATION	2007-03-31	2007-06-28	\N	1137-L	\N	NO	130	WHH2002 R05 trace 3964 & line 3099	29.40	24.000000	4090.00	4193.000000	1190.000000	LATE CRETACEOUS	LANGE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	18	NO	WILDCAT	2007	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	90	NO	ED50	65	41	38.46	N	4	22	43.92	E	65.694017	4.378867	7286683.330000	563330.140000	31	6504	5	\N	1	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Torr-bronn-i-Norskehavet/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5518	http://www.npd.no/FactMapSearch?NPDID_wellbore=5518	initial	\N	2009-06-28	5518	\N	\N	296677	0	2786758	ENI NORGE	2013-05-01	2013-05-01	2013-05-08
6407/7-7 S	6407/7-7	Norsk Hydro Produksjon AS	HYDRO	107	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2007-08-03	2007-09-20	NJORD	1138-L	6407/7-7S	YES	141	NH9701:inline 1556 & crossline 564	54.70	26.000000	3678.00	3886.000000	334.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	9	NO	WILDCAT	2007	2007	\N	\N	17	ILE FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	49	NO	ED50	64	17	40.10	N	7	7	10.50	E	64.294472	7.119583	7131351.020000	408999.470000	32	6407	7	\N	7	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/6407-7-7-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5550	http://www.npd.no/FactMapSearch?NPDID_wellbore=5550	initial	\N	2009-09-21	5550	4527314	43751	296326	0	21660	HYDRO PRODUKSJON	2012-07-25	2012-07-25	2013-05-08
16/2-3	16/2-3	Statoil ASA (old)	STATOIL	265	WILDCAT	P&A	OIL/GAS	EXPLORATION	2007-08-01	2007-09-28	\N	1139-L	16/2-3	YES	89	ST06M02-inline 1728 & crossline 752	0.60	49.000000	1905.00	1905.000000	113.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	NST2000	NO	WILDCAT	2007	2007	\N	\N	13	EKOFISK FM	PALEOCENE	TOR FM	LATE CRETACEOUS	\N	\N	59	NO	ED50	58	53	0.30	N	2	22	24.30	E	58.883417	2.373417	6527389.840000	463878.260000	31	16	2	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Oljefunn-i-Nordsjoen2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5551	http://www.npd.no/FactMapSearch?NPDID_wellbore=5551	initial	\N	2009-09-28	5551	4527337	\N	296110	0	1624237	STATOIL ASA (OLD)	2013-01-22	2013-01-22	2013-05-08
16/3-6	16/3-6	Lundin Norway AS	LUNDIN	501	APPRAISAL	\N	\N	EXPLORATION	9999-12-31	9999-12-31	\N	1451-L	\N	NO	\N	LN0902:inline 2365 & crossline 7792	\N	25.000000	\N	0.000000	117.000000	\N	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2008	NO	APPRAISAL	0	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	58	49	7.86	N	2	42	11.40	E	58.818850	2.703167	6520069.070000	482855.930000	31	16	3	\N	6	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7182	http://www.npd.no/FactMapSearch?NPDID_wellbore=7182	initial	\N	9999-12-31	7182	\N	\N	373521	0	5106314	LUNDIN NORWAY	2013-04-27	2013-04-27	2013-05-08
2/4-20	2/4-20	ConocoPhillips Skandinavia AS	CONPHIL	018	WILDCAT	P&A	DRY	EXPLORATION	2007-09-22	2008-03-14	\N	1142-L	\N	NO	197	Line 7832 Trace 17200 (VGCNS-05 3D)	3.00	45.000000	5673.00	5719.000000	68.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	1-A	NO	WILDCAT	2007	2008	\N	\N	1	\N	\N	\N	\N	\N	\N	175	NO	ED50	56	36	43.17	N	3	8	40.08	E	56.611992	3.144467	6274345.100000	508867.610000	31	2	4	\N	20	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Torr-bronn-i-Nordsjoen---24-20/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5556	http://www.npd.no/FactMapSearch?NPDID_wellbore=5556	initial	\N	2010-03-14	5556	\N	\N	296002	0	20900	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6507/11-8	6507/11-8	Statoil ASA (old)	STATOIL	062	WILDCAT	RE-CLASS TO DEV	GAS	EXPLORATION	2007-05-31	2007-07-03	YTTERGRYTA	1143-L	6507/11-8	YES	97	\N	4.20	24.000000	2772.00	2773.000000	300.500000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	STENA DON	SEMISUB STEEL	5	NO	WILDCAT	2007	2007	6507/11-V-1 H	\N	9	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	\N	\N	34	NO	ED50	65	6	41.74	N	7	30	33.21	E	65.111594	7.509225	7221898.700000	429994.970000	32	6507	11	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Gassfunn-i-Norskehavet/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5562	http://www.npd.no/FactMapSearch?NPDID_wellbore=5562	initial	\N	2009-07-03	5562	4475288	4973114	297649	5947	21292	STATOIL ASA (OLD)	2012-07-25	2012-07-25	2013-05-08
24/9-8	24/9-8	Det Norske Oljeselskap AS	DNO	305	WILDCAT	P&A	DRY	EXPLORATION	2007-07-18	2007-09-04	\N	1141-L	\N	NO	0	f19501R04-INLINE 6640 & CROSSLINE 2826	1.30	25.000000	2190.00	2190.000000	123.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2003	NO	WILDCAT	2007	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	49	NO	ED50	59	21	59.99	N	1	57	17.97	E	59.366664	1.954992	6581500.030000	440600.020000	31	24	9	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Torr-bronn-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5563	http://www.npd.no/FactMapSearch?NPDID_wellbore=5563	initial	\N	2009-09-05	5563	\N	\N	373521	0	2490682	DNO AS	2012-07-25	2012-07-25	2013-05-08
6405/10-1	6405/10-1	Statoil ASA (old)	STATOIL	281	WILDCAT	P&A	GAS	EXPLORATION	2007-07-05	2007-09-07	\N	1145-L	6405/10-1	YES	94	ST04M01 & inline 2913 & crossline 2838	1.20	23.500000	3182.00	3182.000000	928.000000	LATE CRETACEOUS	NISE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	17	NO	WILDCAT	2007	2007	\N	\N	9	NISE FM	LATE CRETACEOUS	\N	\N	\N	\N	65	NO	ED50	64	0	49.10	N	5	16	45.80	E	64.013639	5.279389	7100701.880000	611423.070000	31	6405	10	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/6405-10-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5565	http://www.npd.no/FactMapSearch?NPDID_wellbore=5565	initial	\N	2009-09-06	5565	4527324	\N	296677	0	2073488	STATOIL ASA (OLD)	2013-01-22	2013-01-22	2013-05-08
15/6-9 A	15/6-9	Statoil ASA (old)	STATOIL	303	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	2007-05-26	2007-06-13	\N	1146-L	15/5-1 GINA KROG	NO	119	ST04M01-Inline 2886 & Crossline 5000	27.80	48.000000	3629.00	3690.000000	113.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	TFO2003	NO	APPRAISAL	2007	2007	\N	\N	17	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	19	NO	ED50	58	35	13.71	N	1	44	34.87	E	58.587142	1.743019	6494914.510000	426920.010000	31	15	6	\N	9	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Avgrensing-av-olje--og-gassfunn-i-Nordsjoen	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5566	http://www.npd.no/FactMapSearch?NPDID_wellbore=5566	sidetrack	15/6-9 S	2009-06-13	5566	43892	\N	296110	0	2490467	STATOIL ASA (OLD)	2013-03-13	2013-03-13	2013-05-08
7/7-4	7/7-4	BG Norge AS	BG GROUP	335	WILDCAT	P&A	DRY	EXPLORATION	2007-08-29	2007-10-20	\N	1147-L	\N	NO	139	Line D3 & Line D28	10.90	43.000000	3034.00	3054.000000	81.000000	PALEOCENE	EKOFISK FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2004	NO	WILDCAT	2007	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	53	NO	ED50	57	22	37.81	N	2	16	4.10	E	57.377169	2.267806	6359752.140000	455970.010000	31	7	7	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/BG-borer-torr-bronn-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5570	http://www.npd.no/FactMapSearch?NPDID_wellbore=5570	initial	\N	2009-10-20	5570	\N	\N	292114	0	2986333	BG NORGE	2012-07-25	2012-07-25	2013-05-08
15/6-9 B	15/6-9	Statoil ASA (old)	STATOIL	303	APPRAISAL	P&A	OIL	EXPLORATION	2007-06-13	2007-07-23	\N	1148-L	15/5-1 GINA KROG	NO	125	ST04M01-inline 2886-crossline 5000	32.60	48.000000	3915.00	4010.000000	113.000000	MIDDLE JURASSIC	SLEIPNER FM	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	TFO2003	NO	APPRAISAL	2007	2007	\N	\N	5	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	41	NO	ED50	58	35	13.71	N	1	44	34.87	E	58.587142	1.743019	6494914.510000	426920.010000	31	15	6	\N	9	B	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Avgrensing-av-olje--og-gassfunn-i-Nordsjoen	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5571	http://www.npd.no/FactMapSearch?NPDID_wellbore=5571	sidetrack	15/6-9 A	2009-07-23	5571	43892	\N	296110	0	2490467	STATOIL ASA (OLD)	2013-03-13	2013-03-13	2013-05-08
7120/8-4	7120/8-4	StatoilHydro ASA	STATOIL	064	WILDCAT	P&A	DRY	EXPLORATION	2007-11-14	2007-12-10	\N	1140-L	\N	NO	98	ST8320R00 & crossline 1919 & inline 304	4.20	23.000000	2696.00	2697.000000	275.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	5	NO	WILDCAT	2007	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	27	NO	ED50	71	28	36.76	N	20	26	44.22	E	71.476878	20.445617	7930889.050000	480342.170000	34	7120	8	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Torr-bronn-i-Barentshavet/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5572	http://www.npd.no/FactMapSearch?NPDID_wellbore=5572	initial	\N	2009-12-10	5572	\N	\N	289333	0	21308	STATOILHYDRO ASA	2012-09-08	2012-09-08	2013-05-08
11/5-1	11/5-1	Norsk Hydro Produksjon AS	HYDRO	317	WILDCAT	P&A	DRY	EXPLORATION	2007-08-07	2007-09-12	\N	1149-L	\N	NO	64	NH0504 crossline 2620 & inline 1490	17.30	23.000000	1935.00	1950.000000	176.000000	SILURIAN	BASEMENT	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	18	NO	WILDCAT	2007	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	37	NO	ED50	57	36	46.27	N	6	36	24.09	E	57.612853	6.606692	6388275.790000	357020.500000	32	11	5	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Torr-bronn-i-Farsundbassenget/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5596	http://www.npd.no/FactMapSearch?NPDID_wellbore=5596	initial	\N	2009-09-12	5596	\N	\N	289333	0	2786553	HYDRO PRODUKSJON	2013-01-22	2013-01-22	2013-05-08
15/12-18 S	15/12-18	Det norske oljeselskap ASA (old)	DET NORSKE	337	WILDCAT	P&A	OIL	EXPLORATION	2007-09-05	2007-11-07	\N	1150-L	15/12-18 S	YES	86	2004: inline 1166 & crossline 2860	36.00	43.000000	3310.00	3520.000000	90.500000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	TFO2004	NO	WILDCAT	2007	2007	\N	\N	5	TY FM	PALEOCENE	\N	\N	\N	\N	64	NO	ED50	58	12	53.07	N	1	46	40.43	E	58.214742	1.777897	6453416.520000	428194.300000	31	15	12	\N	18	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Oljefunn-i-Nordsjoen5/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5607	http://www.npd.no/FactMapSearch?NPDID_wellbore=5607	initial	\N	2009-11-07	5607	4554315	\N	278245	0	2986484	DET NORSKE (OLD)	2012-07-25	2012-07-25	2013-05-08
15/12-18 A	15/12-18	Det norske oljeselskap ASA (old)	DET NORSKE	337	WILDCAT	P&A	OIL	EXPLORATION	2007-11-08	2007-12-11	\N	1151-L	15/12-18 A	YES	86	LGW 2004:inline 1166 & crossline 2860	42.00	43.000000	2678.00	3036.000000	90.500000	LATE CRETACEOUS	TOR FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	TFO2004	NO	APPRAISAL	2007	2007	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	34	NO	ED50	58	12	53.07	N	1	46	40.43	E	58.214742	1.777897	6453416.520000	428194.300000	31	15	12	\N	18	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Oljefunn-i-Nordsjoen5/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5608	http://www.npd.no/FactMapSearch?NPDID_wellbore=5608	sidetrack	15/12-18 S	2009-12-11	5608	4554325	\N	278245	0	2986484	DET NORSKE (OLD)	2012-07-25	2012-07-25	2013-05-08
16/1-8	16/1-8	Lundin Norway AS	LUNDIN	338	WILDCAT	SUSPENDED	OIL	EXPLORATION	2007-09-08	2007-11-13	EDVARD GRIEG	1152-L	16/1-8 EDVARD GRIEG	YES	87	ST9511M06 3085 & x-line ST9511M06 2334	1.70	25.000000	2200.00	2200.000000	108.000000	LATE TRIASSIC	NO GROUP DEFINED	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2004	NO	WILDCAT	2007	2007	\N	\N	5	NO GROUP DEFINED	JURASSIC	\N	\N	\N	\N	67	NO	ED50	58	50	8.63	N	2	14	6.36	E	58.835731	2.235100	6522162.970000	455844.010000	31	16	1	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Oljefunn-i-Nordsjoen4/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5612	http://www.npd.no/FactMapSearch?NPDID_wellbore=5612	initial	\N	2009-11-13	5612	4530554	21675433	373521	0	2986578	LUNDIN NORWAY	2013-05-01	2013-05-01	2013-05-08
1/3-10	1/3-10	DONG E&P Norge AS	DONG	274	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2007-10-25	2008-01-07	OSELVAR	1154-L	1/3-6 OSELVAR	NO	135	BPN 9202 R02 3D dataset inline 904 & crossline 3018	1.10	45.000000	3288.00	3288.000000	72.000000	PALEOCENE	LISTA FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	NST2001	NO	APPRAISAL	2007	2008	\N	\N	13	FORTIES FM	PALEOCENE	\N	\N	\N	\N	75	NO	ED50	56	55	39.86	N	2	42	20.69	E	56.927739	2.705747	6309521.940000	482089.290000	31	1	3	\N	10	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/1-3-10/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5614	http://www.npd.no/FactMapSearch?NPDID_wellbore=5614	initial	\N	2010-01-07	5614	43832	5506919	292114	0	2060266	DONG E&P NORGE	2012-07-25	2012-07-25	2013-05-08
16/2-4	16/2-4	StatoilHydro ASA	STATOIL	265	WILDCAT	P&A	OIL/GAS	EXPLORATION	2007-10-08	2007-12-15	\N	1155-L	16/2-4	YES	91	ST06M02-inline 1800-crossline 660	1.97	48.000000	2000.00	2000.000000	113.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	NST2000	NO	APPRAISAL	2007	2007	\N	\N	13	TOR FM	LATE CRETACEOUS	BASEMENT	PRE-DEVONIAN	\N	\N	69	NO	ED50	58	52	21.50	N	2	23	24.70	E	58.872639	2.390194	6526180.800000	464834.530000	31	16	2	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Avgrensing-av-oljefunn-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5625	http://www.npd.no/FactMapSearch?NPDID_wellbore=5625	initial	\N	2009-12-15	5625	17237080	\N	296110	0	1624237	STATOILHYDRO ASA	2013-05-01	2013-05-01	2013-05-08
6609/6-1	6609/6-1	StatoilHydro Petroleum AS	STATOIL	286	WILDCAT	P&A	DRY	EXPLORATION	2007-09-17	2007-11-07	\N	1156-L	\N	NO	92	inline NLG-SKO2-crossline NLG SKO2-4047	6.70	23.000000	2709.00	2710.000000	330.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	17	NO	WILDCAT	2007	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	52	NO	ED50	66	41	59.67	N	9	56	1.23	E	66.699908	9.933675	7398424.830000	541212.600000	32	6609	6	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Torr-bronn-i-Norskehavet1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5626	http://www.npd.no/FactMapSearch?NPDID_wellbore=5626	initial	\N	2009-11-07	5626	\N	\N	289333	0	2073578	STATOILHYDRO PETROLEUM	2013-01-20	2013-01-20	2013-05-08
6407/6-6	6407/6-6	StatoilHydro ASA	STATOIL	312	WILDCAT	P&A	GAS	EXPLORATION	2008-01-02	2008-02-05	\N	1157-L	6407/6-6 MIKKEL SØR	YES	92	ST04M8 inline 2455 & crossline 5495	3.17	22.000000	2507.00	2508.000000	226.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2003	NO	WILDCAT	2008	2008	\N	\N	9	FANGST GP	MIDDLE JURASSIC	\N	\N	\N	\N	35	NO	ED50	64	35	28.82	N	7	44	32.03	E	64.591339	7.742231	7163686.590000	439783.190000	32	6407	6	\N	6	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gassfunn-i-Norskehavet1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5636	http://www.npd.no/FactMapSearch?NPDID_wellbore=5636	initial	\N	2010-02-05	5636	4972665	\N	287902	0	2491196	STATOILHYDRO ASA	2013-01-20	2013-01-20	2013-05-08
24/12-5 S	24/12-5	Noil Energy ASA	DET NORSKE	341	APPRAISAL	P&A	DRY	EXPLORATION	2007-11-15	2007-12-21	\N	1158-L	24/12-3 S	NO	59	\N	25.00	25.000000	2239.00	2325.000000	116.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2004	NO	APPRAISAL	2007	2007	\N	\N	1	\N	\N	\N	\N	\N	\N	37	NO	ED50	59	6	41.66	N	1	47	21.25	E	59.111572	1.789236	6553255.800000	430662.970000	31	24	12	\N	5	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2007/Torr-avgrensningsbronn-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5638	http://www.npd.no/FactMapSearch?NPDID_wellbore=5638	initial	\N	2009-12-21	5638	44168	\N	373521	0	2986675	NOIL ENERGY ASA	2012-07-25	2012-07-25	2013-05-08
25/11-25 S	25/11-25	StatoilHydro Petroleum AS	STATOIL	169	WILDCAT	P&A	OIL	EXPLORATION	2008-01-20	2008-02-15	SVALIN	1159-L	25/11-25 S SVALIN	YES	77	NH9301-  inline 1660 & crossline 2020	54.70	26.000000	1830.00	2142.000000	125.000000	PALEOCENE	LISTA FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	13	NO	WILDCAT	2008	2008	\N	\N	5	INTRA BALDER FM SS	EOCENE	\N	\N	\N	\N	27	NO	ED50	59	8	48.64	N	2	23	21.12	E	59.146844	2.389200	6556714.790000	465056.230000	31	25	11	\N	25	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Oljefunn-i-Nordsjoen---2511-25-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5642	http://www.npd.no/FactMapSearch?NPDID_wellbore=5642	initial	\N	2010-02-15	5642	4972673	22507971	296326	0	22164	STATOILHYDRO PETROLEUM	2012-11-24	2012-11-24	2013-05-08
25/11-25 A	25/11-25	StatoilHydro Petroleum AS	STATOIL	169	WILDCAT	P&A	DRY	EXPLORATION	2008-02-15	2008-03-10	\N	1160-L	\N	NO	83	NH9301:   inline 1660 & crossline 2020	52.50	26.000000	2058.00	2448.000000	125.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	13	NO	WILDCAT	2008	2008	\N	\N	1	\N	\N	\N	\N	\N	\N	25	NO	ED50	59	8	48.64	N	2	23	21.12	E	59.146844	2.389200	6556714.790000	465056.230000	31	25	11	\N	25	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Torr-bronn-i-Nordsjoen--2511-25-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5643	http://www.npd.no/FactMapSearch?NPDID_wellbore=5643	sidetrack	25/11-25 S	2010-03-10	5643	\N	\N	296326	0	22164	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
7/4-2	7/4-2	Lundin Norway AS	LUNDIN	148	APPRAISAL	P&A	OIL	EXPLORATION	2007-12-15	2008-03-13	BRYNHILD	1161-L	7/7-2 BRYNHILD	NO	153	inline 6564 & crossline 9386 Survey : CGMNOR94	3.30	43.000000	3458.00	3459.000000	82.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	12	NO	APPRAISAL	2007	2008	\N	\N	5	ULA FM	LATE JURASSIC	\N	\N	\N	\N	90	NO	ED50	57	30	13.50	N	2	18	33.18	E	57.503750	2.309217	6373817.590000	458603.390000	31	7	4	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Avgrensing-av-oljefunn-i-Nordsjoen--74-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5683	http://www.npd.no/FactMapSearch?NPDID_wellbore=5683	initial	\N	2010-03-13	5683	44984	21123063	278245	0	21996	LUNDIN NORWAY	2012-07-25	2012-07-25	2013-05-08
34/12-1	34/12-1	Eni Norge AS	ENI	293	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2007-11-03	2008-04-30	\N	1162-L	34/12-1	YES	168	PSDM en 04m01-line 2770 & trace 6120	5.60	23.000000	4711.00	4713.000000	373.000000	EARLY JURASSIC	COOK FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	NST2002	NO	WILDCAT	2007	2008	\N	\N	17	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	180	NO	ED50	61	13	19.88	N	2	59	55.62	E	61.222189	2.998783	6787697.570000	499934.650000	31	34	12	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/34-12-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5684	http://www.npd.no/FactMapSearch?NPDID_wellbore=5684	initial	\N	2010-04-30	5684	4972705	\N	296677	0	2407711	ENI NORGE	2012-07-25	2012-07-25	2013-05-08
6608/2-1 S	6608/2-1	RWE Dea Norge AS	RWE-DEA	330	WILDCAT	\N	\N	EXPLORATION	9999-12-31	9999-12-31	\N	1453-L	\N	NO	\N	RD1202-inline 1718 & crossline 5456	\N	26.000000	\N	0.000000	303.000000	\N	\N	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	18	NO	WILDCAT	0	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	66	58	6.99	N	8	23	38.11	E	66.968608	8.393919	7428199.920000	473538.330000	32	6608	2	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7192	http://www.npd.no/FactMapSearch?NPDID_wellbore=7192	initial	\N	9999-12-31	7192	\N	\N	296326	0	2787040	RWE-DEA NORGE	2013-05-08	2013-05-08	2013-05-08
6507/2-4	6507/2-4	Eni Norge AS	ENI	122	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	2007-11-17	2008-02-19	MARULK	1163-L	6507/2-2 MARULK	NO	126	Survey ST9717RO4-inline3894 & Trace 3766	2.00	18.000000	3600.00	3600.000000	365.000000	EARLY CRETACEOUS	LYR FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	10-B	NO	APPRAISAL	2007	2008	\N	\N	17	LYSING FM	LATE CRETACEOUS	\N	\N	\N	\N	87	NO	ED50	65	56	27.42	N	7	35	38.18	E	65.940950	7.593939	7314229.990000	436037.200000	32	6507	2	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/6507-2-4/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5685	http://www.npd.no/FactMapSearch?NPDID_wellbore=5685	initial	\N	2010-02-19	5685	44918	18212090	297514	0	21788	ENI NORGE	2012-07-25	2012-07-25	2013-05-08
15/12-19	15/12-19	BG Norge AS	BG GROUP	292	WILDCAT	P&A	OIL/GAS	EXPLORATION	2008-02-18	2008-05-20	GAUPE	1164-L	15/12-19	YES	134	\N	3.50	43.000000	3211.00	3212.000000	85.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	NST2002	NO	WILDCAT	2008	2008	\N	\N	13	SLEIPNER FM	MIDDLE JURASSIC	SKAGERRAK FM	TRIASSIC	\N	\N	93	NO	ED50	58	0	13.64	N	1	55	16.36	E	58.003789	1.921211	6429787.220000	436238.870000	31	15	12	\N	19	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Oljefunn-i-Nordsjoen--1512-19	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5705	http://www.npd.no/FactMapSearch?NPDID_wellbore=5705	initial	\N	2010-05-20	5705	4972729	18161341	292114	0	2407572	BG NORGE	2012-07-25	2012-07-25	2013-05-08
7222/6-1 S	7222/6-1	StatoilHydro Petroleum AS	STATOIL	228	WILDCAT	P&A	OIL/GAS	EXPLORATION	2008-01-07	2008-03-10	\N	1165-L	7222/6-1 S	YES	89	3D Survey : SG9804.inline 7625 & x-line 4363	24.00	23.000000	2848.00	2895.000000	364.000000	EARLY TRIASSIC	HAVERT FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	WILDCAT	2008	2008	\N	\N	13	SNADD FM	MIDDLE TRIASSIC	KOBBE FM	EARLY TRIASSIC	\N	\N	64	NO	ED50	72	37	25.01	N	22	55	51.40	E	72.623614	22.930944	8063310.530000	364449.650000	35	7222	6	\N	1	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Olje--og-gassfunn-i-Barentshavet-72226-1-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5755	http://www.npd.no/FactMapSearch?NPDID_wellbore=5755	initial	\N	2010-03-10	5755	4972681	\N	289333	0	22636	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
31/1-1	31/1-1	Marathon Petroleum Norge AS	MARATHON	311	WILDCAT	P&A	DRY	EXPLORATION	2008-01-02	2008-02-15	\N	1166-L	\N	NO	103	MN9201R05-NH9401R05 inline 3252& MN9201R05-NH9401R05 xline 2874	1.20	25.000000	2920.00	2920.000000	341.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2003	NO	WILDCAT	2008	2008	\N	\N	1	\N	\N	\N	\N	\N	\N	45	NO	ED50	60	49	8.86	N	3	18	54.13	E	60.819128	3.315036	6742841.840000	517136.600000	31	31	1	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Torr-bronn-i-Nordsjoen1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5765	http://www.npd.no/FactMapSearch?NPDID_wellbore=5765	initial	\N	2010-02-15	5765	\N	\N	373521	0	2491153	MARATHON N	2012-07-25	2012-07-25	2013-05-08
6507/11-9	6507/11-9	StatoilHydro Petroleum AS	STATOIL	263	WILDCAT	P&A	GAS	EXPLORATION	2008-03-12	2008-04-18	\N	1167-L	6507/11-9	YES	109	MGW98R01-line2988-trace 3976-Seismic 3D survey	9.30	18.000000	3058.00	3069.000000	281.000000	EARLY JURASSIC	BÅT GP	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	16	NO	WILDCAT	2008	2008	\N	\N	9	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	38	NO	ED50	65	9	7.80	N	7	25	10.60	E	65.152167	7.419611	7226521.880000	425900.640000	32	6507	11	\N	9	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gassfunn-i-Norskehavet---650711-9/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5766	http://www.npd.no/FactMapSearch?NPDID_wellbore=5766	initial	\N	2010-04-18	5766	4972689	\N	297514	0	1033111	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
16/1-9	16/1-9	Noil Energy ASA	DET NORSKE	001 B	WILDCAT	P&A	OIL/GAS	EXPLORATION	2008-02-19	2008-04-22	\N	1169-L	16/1-9 IVAR AASEN	YES	91	ST06M02:inline 940 & crossline 1027	10.00	25.000000	2536.00	2544.000000	112.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	WILDCAT	2008	2008	\N	\N	13	SLEIPNER FM	MIDDLE JURASSIC	SKAGERRAK FM	LATE TRIASSIC	\N	\N	64	NO	ED50	58	54	48.04	N	2	12	7.25	E	58.913344	2.202014	6530827.420000	454037.120000	31	16	1	\N	9	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Oljefunn-i-Nordsjoen---161-9/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5773	http://www.npd.no/FactMapSearch?NPDID_wellbore=5773	initial	\N	2010-04-22	5773	4972697	\N	373521	0	917266	NOIL ENERGY ASA	2013-05-01	2013-05-01	2013-05-08
1/3-10 A	1/3-10	DONG E&P Norge AS	DONG	274	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2008-01-07	2008-02-13	OSELVAR	1168-L	1/3-6 OSELVAR	NO	145	BPN 9202 R02 3D dataset inline 904  & crossline 3018	53.80	45.000000	3335.00	3632.000000	72.000000	PALEOCENE	SELE FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	NST2001	NO	APPRAISAL	2008	2008	\N	\N	13	FORTIES FM	PALEOCENE	\N	\N	\N	\N	38	NO	ED50	56	55	39.83	N	2	42	20.61	E	56.927731	2.705725	6309521.020000	482087.930000	31	1	3	\N	10	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Avgrensing-av-oljefunn-i-Nordsjoen1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5779	http://www.npd.no/FactMapSearch?NPDID_wellbore=5779	sidetrack	1/3-10	2010-02-13	5779	43832	5506919	292114	0	2060266	DONG E&P NORGE	2012-07-25	2012-07-25	2013-05-08
30/2-4 S	30/2-4	StatoilHydro ASA	STATOIL	051	WILDCAT	P&A	DRY	EXPLORATION	2008-05-01	2008-08-09	\N	1170-L	\N	NO	0	ST04M12 inline 1440 & crossline 1321	41.50	49.000000	3748.00	4325.000000	125.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	4	NO	WILDCAT	2008	2008	\N	\N	1	\N	\N	\N	\N	\N	\N	101	NO	ED50	60	51	21.37	N	2	39	0.53	E	60.855936	2.650147	6746951.350000	480991.390000	31	30	2	\N	4	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Torr-bronn-i-Nordsjoen---302-4-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5784	http://www.npd.no/FactMapSearch?NPDID_wellbore=5784	initial	\N	2010-08-15	5784	\N	\N	296110	0	21204	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
7123/4-1 S	7123/4-1	StatoilHydro ASA	STATOIL	110 C	APPRAISAL	P&A	SHOWS	EXPLORATION	2008-03-12	2008-04-21	\N	1172-L	7122/6-1	NO	98	3D Survey:ST05M09.inline:3346 & crossline 5812	44.00	23.000000	2706.00	2920.000000	413.000000	MIDDLE TRIASSIC	SNADD FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	19	NO	APPRAISAL	2008	2008	\N	\N	12	\N	\N	\N	\N	\N	\N	41	NO	ED50	71	36	49.30	N	23	3	48.70	E	71.613694	23.063528	7947301.070000	572637.440000	34	7123	4	\N	1	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/7123-4-1-s-og-a/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5786	http://www.npd.no/FactMapSearch?NPDID_wellbore=5786	initial	\N	2010-04-21	5786	45068	\N	289333	0	3986340	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
33/9-21 S	33/9-21	Revus Energy ASA	WINTERSHALL	037 D	APPRAISAL	P&A	OIL	EXPLORATION	2008-12-23	2009-03-19	\N	1171-L	33/9-6 DELTA	NO	0	inline 2216	70.00	56.400000	3105.00	6051.000000	156.100000	MIDDLE JURASSIC	ETIVE FM	NORTH SEA	MURCHISON A	JACKET 12 LEGS	Awarded additionaly to round 2-A	NO	APPRAISAL	2008	2009	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	87	NO	ED50	61	23	48.26	N	1	44	27.25	E	61.396739	1.740903	6807790.250000	432751.220000	31	33	9	\N	21	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/339-21-S--21-A---21-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5791	http://www.npd.no/FactMapSearch?NPDID_wellbore=5791	initial	\N	2011-03-19	5791	44576	\N	372759	0	2787322	REVUS ENERGY ASA	2012-07-25	2012-07-25	2013-05-08
7/1-2 S	7/1-2	StatoilHydro Petroleum AS	STATOIL	271	WILDCAT	P&A	DRY	EXPLORATION	2008-03-20	2008-05-08	\N	1174-L	\N	NO	126	Crossline 2525- NH 0201	16.00	44.000000	3158.00	3175.000000	87.000000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	NST2001	NO	WILDCAT	2008	2008	\N	\N	1	\N	\N	\N	\N	\N	\N	50	NO	ED50	57	55	57.09	N	2	4	10.82	E	57.932525	2.069672	6421722.870000	444903.980000	31	7	1	\N	2	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Torr-bronn-i-Nordsjoen--71-2-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5793	http://www.npd.no/FactMapSearch?NPDID_wellbore=5793	initial	\N	2010-05-08	5793	\N	\N	278245	0	2060218	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
30/9-21 S	30/9-21	StatoilHydro Petroleum AS	STATOIL	104	WILDCAT	P&A	OIL/GAS	EXPLORATION	2008-03-13	2008-04-30	OSEBERG	1176-L	30/9-21 S	YES	132	Seismic 3D survey: N9802-inline 1141 & x-line 2425	50.60	26.000000	3463.00	4090.000000	106.000000	MIDDLE JURASSIC	NESS FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	9	NO	WILDCAT	2008	2008	\N	\N	13	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	49	NO	ED50	60	25	29.12	N	2	41	38.47	E	60.424756	2.694019	6698913.450000	483151.560000	31	30	9	\N	21	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/30-9-21-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5800	http://www.npd.no/FactMapSearch?NPDID_wellbore=5800	initial	\N	2010-04-30	5800	4972721	43625	296326	0	21636	STATOILHYDRO PETROLEUM	2012-11-30	2012-11-30	2013-05-08
2/9-4	2/9-4	ConocoPhillips Skandinavia AS	CONPHIL	273	WILDCAT	P&A	DRY	EXPLORATION	2008-03-20	2008-07-04	\N	1177-L	\N	NO	158	inline 1137 & trace 1385	6.90	45.000000	5489.00	5500.000000	70.000000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	NST2001	NO	WILDCAT	2008	2008	\N	\N	1	\N	\N	\N	\N	\N	\N	107	NO	ED50	56	16	28.89	N	3	48	45.95	E	56.274692	3.812764	6237087.880000	550332.010000	31	2	9	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Torr-bronn-i-Nordsjoen--29-4/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5801	http://www.npd.no/FactMapSearch?NPDID_wellbore=5801	initial	\N	2010-08-01	5801	\N	\N	296002	0	2060246	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
30/9-21 A	30/9-21	StatoilHydro Petroleum AS	STATOIL	104	WILDCAT	P&A	OIL	EXPLORATION	2008-05-04	2008-06-15	\N	1178-L	30/9-21 A	YES	132	Seismic 3 D survey:N9802.inline1141 & xline 2425	49.90	26.000000	3410.00	4086.000000	106.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	9	NO	WILDCAT	2008	2008	\N	\N	5	INTRA HEATHER FM SS	LATE JURASSIC	\N	\N	\N	\N	43	NO	ED50	60	25	29.12	N	2	41	38.47	E	60.424756	2.694019	6698913.450000	483151.560000	31	30	9	\N	21	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/30-9-21-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5805	http://www.npd.no/FactMapSearch?NPDID_wellbore=5805	sidetrack	30/9-21 S	2010-06-15	5805	5010058	\N	296326	0	21636	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
1/3-11	1/3-11	DONG E&P Norge AS	DONG	274	WILDCAT	P&A	OIL	EXPLORATION	2008-05-28	2008-08-30	\N	1179-L	1/3-11	YES	140	inline 9958 & crossline 21324 på settet VGCN0401	20.30	42.000000	3507.00	3595.000000	72.000000	PALEOCENE	EKOFISK FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	NST2001	NO	WILDCAT	2008	2008	\N	\N	5	FORTIES FM	PALEOCENE	\N	\N	\N	\N	95	NO	ED50	56	50	58.47	N	2	43	15.43	E	56.849575	2.720953	6300817.060000	482979.330000	31	1	3	\N	11	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/13-11-og-13-11-T2	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5806	http://www.npd.no/FactMapSearch?NPDID_wellbore=5806	initial	\N	2010-08-30	5806	4999216	\N	292114	0	2060266	DONG E&P NORGE	2012-07-25	2012-07-25	2013-05-08
7226/2-1	7226/2-1	StatoilHydro ASA	STATOIL	395	WILDCAT	P&A	GAS	EXPLORATION	2008-05-18	2008-07-19	\N	1175-L	7226/2-1	YES	0	ST07M16-inline 3566 & crossline 2420	2.60	23.000000	2991.00	2992.000000	347.000000	EARLY TRIASSIC	HAVERT FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	19	NO	WILDCAT	2008	2008	\N	\N	9	KOBBE FM	MIDDLE TRIASSIC	\N	\N	\N	\N	63	NO	ED50	72	53	31.60	N	26	35	39.50	E	72.892111	26.594306	8088712.120000	486678.610000	35	7226	2	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gassfunn-i-Barentshavet--72262-1	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5807	http://www.npd.no/FactMapSearch?NPDID_wellbore=5807	initial	\N	2010-08-01	5807	5010034	\N	289333	0	3965360	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
7123/4-1 A	7123/4-1	StatoilHydro ASA	STATOIL	110 C	APPRAISAL	P&A	SHOWS	EXPLORATION	2008-04-21	2008-05-14	\N	1173-L	7122/6-1	NO	94	3D Survey:ST05M09.inline 3346 & crossline 5812	45.00	23.000000	2626.00	2855.000000	413.000000	LATE TRIASSIC	SNADD FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	19	NO	APPRAISAL	2008	2008	\N	\N	12	\N	\N	\N	\N	\N	\N	24	NO	ED50	71	36	49.30	N	23	3	48.70	E	71.613694	23.063528	7947301.070000	572637.440000	34	7123	4	\N	1	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/7123-4-1-s-og-a/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5808	http://www.npd.no/FactMapSearch?NPDID_wellbore=5808	sidetrack	7123/4-1 S	2010-05-14	5808	45068	\N	289333	0	3986340	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/3-1 S	34/3-1	BG Norge AS	BG GROUP	373 S	WILDCAT	P&A	OIL	EXPLORATION	2008-04-28	2008-09-10	KNARR	1180-L	34/3-1 S KNARR	YES	142	inline 5174 & crossline 3090	24.30	25.000000	4081.00	4221.000000	410.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2005	NO	WILDCAT	2008	2008	\N	\N	5	COOK FM	EARLY JURASSIC	\N	\N	\N	\N	136	NO	ED50	61	48	46.30	N	2	46	46.60	E	61.812861	2.779611	6853516.950000	488385.320000	31	34	3	\N	1	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Oljefunn-i-Nordsjoen--343-1-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5811	http://www.npd.no/FactMapSearch?NPDID_wellbore=5811	initial	\N	2010-12-23	5811	4999474	20460988	373521	0	3811116	BG NORGE	2013-05-01	2013-05-01	2013-05-08
6605/8-2	6605/8-2	StatoilHydro Petroleum AS	STATOIL	283	WILDCAT	P&A	DRY	EXPLORATION	2008-05-11	2008-07-10	\N	1181-L	\N	NO	144	NH0202R06&inline 4202 & crossline 4591	12.60	23.500000	4196.00	4210.000000	818.000000	LATE CRETACEOUS	LANGE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	17	NO	WILDCAT	2008	2008	\N	\N	1	\N	\N	\N	\N	\N	\N	61	NO	ED50	66	18	43.60	N	5	31	43.70	E	66.312111	5.528806	7357177.730000	613350.280000	31	6605	8	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Torr-bronn-i-Norskehavet--66058-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5812	http://www.npd.no/FactMapSearch?NPDID_wellbore=5812	initial	\N	2010-08-01	5812	\N	\N	296677	0	2073530	STATOILHYDRO PETROLEUM	2013-05-01	2013-05-01	2013-05-08
6407/8-4 S	6407/8-4	StatoilHydro Petroleum AS	STATOIL	348	WILDCAT	P&A	GAS	EXPLORATION	2008-04-20	2008-05-21	\N	1182-L	6407/8-4 S	YES	104	BPN9501R05 &line 496 & trace 2708 & seismic 3D survey	39.00	18.000000	2650.30	2788.000000	266.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	TFO2004	NO	WILDCAT	2008	2008	\N	\N	9	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	32	NO	ED50	64	26	47.80	N	7	38	54.20	E	64.446611	7.648389	7147652.530000	434947.460000	32	6407	8	\N	4	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gassfunn-i-Norskehavet---64078-4-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5813	http://www.npd.no/FactMapSearch?NPDID_wellbore=5813	initial	\N	2010-05-21	5813	5010066	\N	297514	0	2987047	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
7/11-13	7/11-13	Det norske oljeselskap ASA	DET NORSKE	497	WILDCAT	P&A	DRY	EXPLORATION	2012-09-10	2012-11-03	\N	1408-L	\N	NO	\N	CGM NOR94 R09.xline 7040 & inline 7186	\N	41.500000	\N	3800.000000	80.500000	TRIASSIC	\N	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2008	NO	WILDCAT	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	55	NO	ED50	57	14	26.71	N	2	26	34.75	E	57.240753	2.442986	6344465.970000	466379.950000	31	7	11	\N	13	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/711-13/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6955	http://www.npd.no/FactMapSearch?NPDID_wellbore=6955	initial	\N	9999-12-31	6955	\N	\N	292114	0	5106073	DET NORSKE	2013-02-01	2013-02-01	2013-05-08
6407/8-4 A	6407/8-4	StatoilHydro Petroleum AS	STATOIL	348	WILDCAT	P&A	GAS	EXPLORATION	2008-05-22	2008-06-16	\N	1183-L	6407/8-4 A	YES	0	BPN9501R05 & line496 & trace 2708 & seismic 3D survey	44.50	18.000000	2319.00	2473.000000	266.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	TFO2004	NO	WILDCAT	2008	2008	\N	\N	9	ILE FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	26	NO	ED50	64	26	47.80	N	7	38	54.20	E	64.446611	7.648389	7147652.530000	434947.460000	32	6407	8	\N	4	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gassfunn-i-Norskehavet--64078-4-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5814	http://www.npd.no/FactMapSearch?NPDID_wellbore=5814	sidetrack	6407/8-4 S	2010-06-16	5814	5010050	\N	297514	0	2987047	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
15/12-20 S	15/12-20	Talisman Energy Norge AS	TALISMAN	038	WILDCAT	RE-CLASS TO DEV	OIL	EXPLORATION	2008-05-28	2008-07-01	VARG	1184-L	15/12-20 S	YES	123	NH0201	56.60	51.500000	3141.50	4192.000000	84.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	3	NO	WILDCAT	2008	2008	15/12-A-7 A	\N	5	SLEIPNER FM	MIDDLE JURASSIC	\N	\N	\N	\N	35	NO	ED50	58	4	40.53	N	1	53	25.77	E	58.077925	1.890492	6438070.140000	434558.930000	31	15	12	\N	20	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/1512-20-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5824	http://www.npd.no/FactMapSearch?NPDID_wellbore=5824	initial	\N	2010-08-01	5824	5010042	43451	278245	6089	21092	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
7224/6-1	7224/6-1	StatoilHydro Petroleum AS	STATOIL	394	WILDCAT	P&A	GAS	EXPLORATION	2008-07-22	2008-08-21	\N	1185-L	7224/6-1	YES	73	3D Survey:NH0608.inline2657 & x-line 2114	1.60	23.000000	2338.00	2338.000000	266.000000	MIDDLE TRIASSIC	KOBBE FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	19	NO	WILDCAT	2008	2008	\N	\N	9	KOBBE FM	MIDDLE TRIASSIC	\N	\N	\N	\N	31	NO	ED50	72	37	29.09	N	24	54	43.41	E	72.624747	24.912058	8060051.260000	430414.450000	35	7224	6	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gassfunn-i-Barentshavet---72246-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5835	http://www.npd.no/FactMapSearch?NPDID_wellbore=5835	initial	\N	2010-08-21	5835	5010074	\N	289333	0	3965323	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
32/2-1	32/2-1	Talisman Energy Norge AS	TALISMAN	369	WILDCAT	P&A	DRY	EXPLORATION	2008-06-18	2008-07-01	\N	1186-L	\N	NO	33	line 11184. CDP no:39275	1.00	26.000000	1300.00	1300.000000	351.000000	TRIASSIC	LUNDE FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2005	NO	WILDCAT	2008	2008	\N	\N	1	\N	\N	\N	\N	\N	\N	14	NO	ED50	60	46	29.35	N	4	20	0.36	E	60.774819	4.333433	6738602.990000	572630.040000	31	32	2	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Torr-bronn-ost-for-Trollfeltet-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5839	http://www.npd.no/FactMapSearch?NPDID_wellbore=5839	initial	\N	2010-08-01	5839	\N	\N	296326	0	3810875	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
15/5-7	15/5-7	StatoilHydro ASA	STATOIL	048	APPRAISAL	P&A	OIL	EXPLORATION	2008-07-04	2008-09-07	\N	1187-L	15/5-1 GINA KROG	NO	0	3D Survey ST06M02.inline 1800& xline 660	7.00	26.000000	4031.00	4037.000000	119.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	3	NO	APPRAISAL	2008	2008	\N	\N	5	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	66	NO	ED50	58	33	22.20	N	1	39	19.30	E	58.556167	1.655361	6491564.700000	421754.960000	31	15	5	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/15-5-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5842	http://www.npd.no/FactMapSearch?NPDID_wellbore=5842	initial	\N	2010-09-07	5842	43892	\N	296326	0	21172	STATOILHYDRO ASA	2013-03-13	2013-03-13	2013-05-08
6407/7-8	6407/7-8	StatoilHydro Petroleum AS	STATOIL	107	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2008-06-18	2008-09-14	\N	1188-L	6407/7-8	YES	185	NH9806M-line 1366 & trace 2881-Seismic 3D survey	8.90	18.000000	5105.00	5138.000000	293.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	9	NO	WILDCAT	2008	2008	\N	\N	17	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	89	NO	ED50	64	25	49.30	N	7	7	38.40	E	64.430361	7.127333	7146478.820000	409820.680000	32	6407	7	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gasskondensatfunn-i-Norskehavet/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5844	http://www.npd.no/FactMapSearch?NPDID_wellbore=5844	initial	\N	2010-09-14	5844	5071896	\N	297514	0	21660	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
6706/12-1	6706/12-1	StatoilHydro ASA	STATOIL	218	WILDCAT	P&A	GAS	EXPLORATION	2008-07-12	2008-08-28	\N	1189-L	6706/12-1	YES	91	BPN9601STR07-inline:2392 & crossline 2341	0.00	23.500000	3949.00	3950.000000	1262.000000	LATE CRETACEOUS	KVITNOS FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	15	NO	WILDCAT	2008	2008	\N	\N	9	NISE FM	LATE CRETACEOUS	\N	\N	\N	\N	48	NO	ED50	67	2	43.30	N	6	52	37.60	E	67.045361	6.877111	7438203.840000	407619.330000	32	6706	12	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gassfunn-i-Norskehavet---670612-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5867	http://www.npd.no/FactMapSearch?NPDID_wellbore=5867	initial	\N	2010-08-28	5867	5010082	\N	296677	0	22556	STATOILHYDRO ASA	2013-05-01	2013-05-01	2013-05-08
6608/11-6	6608/11-6	StatoilHydro ASA	STATOIL	128	WILDCAT	P&A	DRY	EXPLORATION	2008-07-17	2008-08-06	\N	1190-L	\N	NO	57	3D Survey:ST04M17.inline 1403 & crossline 3074.	0.70	22.000000	1850.00	1850.000000	357.000000	LATE TRIASSIC	ÅRE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	10-B	NO	WILDCAT	2008	2008	\N	\N	1	\N	\N	\N	\N	\N	\N	21	NO	ED50	66	6	50.56	N	8	23	0.03	E	66.114044	8.383342	7332944.960000	472135.970000	32	6608	11	\N	6	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/660811-6/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5868	http://www.npd.no/FactMapSearch?NPDID_wellbore=5868	initial	\N	2010-08-06	5868	\N	\N	287902	0	21836	STATOILHYDRO ASA	2013-01-10	2013-01-10	2013-05-08
16/1-10	16/1-10	Lundin Norway AS	LUNDIN	338	APPRAISAL	P&A	OIL	EXPLORATION	2008-11-13	2009-02-05	EDVARD GRIEG	1191-L	16/1-8 EDVARD GRIEG	NO	89	:LMMQ16 innline 36106 &c crossline LMMQ16 128346	1.30	25.000000	2151.00	2151.000000	110.000000	EARLY JURASSIC	NO GROUP DEFINED	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2004	NO	APPRAISAL	2008	2009	\N	\N	5	NO GROUP DEFINED	JURASSIC	\N	\N	\N	\N	85	NO	ED50	58	51	14.61	N	2	16	30.85	E	58.854058	2.275236	6524177.970000	458183.010000	31	16	1	\N	10	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/Avgrensing-av-oljefunn-i-Nordsjoen2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5879	http://www.npd.no/FactMapSearch?NPDID_wellbore=5879	initial	\N	2011-02-05	5879	4530554	21675433	373521	0	2986578	LUNDIN NORWAY	2013-05-01	2013-05-01	2013-05-08
7222/11-1	7222/11-1	StatoilHydro Petroleum AS	STATOIL	228	WILDCAT	P&A	OIL/GAS	EXPLORATION	2008-08-24	2008-11-04	\N	1192-L	7222/11-1	YES	0	SG 9803-inline7381 & croddline 5747	1.30	23.000000	2625.00	2658.000000	356.000000	MIDDLE TRIASSIC	KOBBE FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	WILDCAT	2008	2008	\N	\N	13	SNADD FM	MIDDLE TRIASSIC	KOBBE FM	MIDDLE TRIASSIC	\N	\N	73	NO	ED50	72	4	20.30	N	22	28	26.40	E	72.072306	22.474000	8003058.010000	344625.310000	35	7222	11	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gassfunn-i-Barentshavet---722211-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5916	http://www.npd.no/FactMapSearch?NPDID_wellbore=5916	initial	\N	2010-11-04	5916	5081995	\N	289333	0	22636	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
34/7-33	34/7-33	StatoilHydro ASA	STATOIL	089	WILDCAT	P&A	SHOWS	EXPLORATION	2008-08-16	2008-10-15	\N	1193-L	\N	NO	86	inline1924-x-line 6202&3 D SG9701 STR05 PSDM	9.60	22.000000	2611.00	2615.000000	233.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	8	NO	WILDCAT	2008	2008	\N	\N	12	\N	\N	\N	\N	\N	\N	61	NO	ED50	61	19	2.50	N	2	5	46.40	E	61.317361	2.096222	6798634.030000	451605.510000	31	34	7	\N	33	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Torr-bronn-i-Nordsjoen---347-33/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5917	http://www.npd.no/FactMapSearch?NPDID_wellbore=5917	initial	\N	2010-10-15	5917	\N	\N	287902	0	21516	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6707/10-2 S	6707/10-2	StatoilHydro ASA	STATOIL	218	WILDCAT	P&A	GAS	EXPLORATION	2008-08-31	2008-10-13	\N	1194-L	6707/10-2 S	YES	86	BPN9601STR07-inline 1735 & x-line 2326	11.00	23.500000	3356.00	3365.000000	1248.000000	LATE CRETACEOUS	NISE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	15	NO	WILDCAT	2008	2008	\N	\N	9	NISE FM	LATE CRETACEOUS	\N	\N	\N	\N	44	NO	ED50	67	2	48.80	N	7	3	38.30	E	67.046889	7.060639	7438113.360000	415608.900000	32	6707	10	\N	2	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gassfunn-i-Norskehavet---670710-2-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5918	http://www.npd.no/FactMapSearch?NPDID_wellbore=5918	initial	\N	2010-10-13	5918	5081127	\N	296677	0	22556	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
30/11-7	30/11-7	StatoilHydro Petroleum AS	STATOIL	035 B	WILDCAT	SUSP.REENTERED LATER	GAS/CONDENSATE	EXPLORATION	2008-11-12	2009-02-03	\N	1195-L	30/11-7	YES	139	3D survey NH0609-inline 4240 & xline 2087	2.50	18.000000	4067.00	4067.000000	111.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	2008	2009	\N	\N	17	NESS FM	MIDDLE JURASSIC	\N	\N	\N	\N	84	NO	ED50	60	0	21.24	N	2	22	25.62	E	60.005900	2.373783	6652389.100000	465075.910000	31	30	11	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/Gass-kondensatfunn-i-Nordsjoen---3011-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5919	http://www.npd.no/FactMapSearch?NPDID_wellbore=5919	initial	\N	2011-02-03	5919	5490395	\N	297514	0	5105684	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
34/3-1 A	34/3-1	BG Norge AS	BG GROUP	373 S	APPRAISAL	P&A	OIL	EXPLORATION	2008-09-10	2008-10-30	KNARR	1196-L	34/3-1 S KNARR	NO	0	inline 5174 & crossline 3090	41.20	25.000000	3999.00	4162.000000	410.000000	EARLY JURASSIC	AMUNDSEN FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2005	NO	APPRAISAL	2008	2008	\N	\N	5	COOK FM	EARLY JURASSIC	\N	\N	\N	\N	51	NO	ED50	61	48	46.30	N	2	46	46.60	E	61.812861	2.779611	6853516.950000	488385.320000	31	34	3	\N	1	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/343-1-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5921	http://www.npd.no/FactMapSearch?NPDID_wellbore=5921	sidetrack	34/3-1 S	2010-12-23	5921	4999474	20460988	373521	0	3811116	BG NORGE	2013-05-01	2013-05-01	2013-05-08
6507/6-3	6507/6-3	StatoilHydro ASA	STATOIL	212 C	WILDCAT	P&A	DRY	EXPLORATION	2008-10-31	2008-11-24	\N	1197-L	\N	NO	59	3D survey ST05M10-inline 2917 & x-line 3517	1.60	26.000000	1850.00	1850.000000	400.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	Awarded additionaly to round 15	NO	WILDCAT	2008	2008	\N	\N	1	\N	\N	\N	\N	\N	\N	25	NO	ED50	65	38	58.28	N	7	55	37.60	E	65.649522	7.927111	7281450.370000	450637.290000	32	6507	6	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Torr-bronn-i-Norskehavet---65076-3/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5922	http://www.npd.no/FactMapSearch?NPDID_wellbore=5922	initial	\N	2010-11-24	5922	\N	\N	296326	0	3371954	STATOILHYDRO ASA	2012-07-25	2013-05-01	2013-05-08
6707/10-2 A	6707/10-2	StatoilHydro ASA	STATOIL	218	WILDCAT	P&A	GAS	EXPLORATION	2008-10-14	2008-12-01	\N	1199-L	6707/10-2 A	YES	109	BPN9601STR07-inline 1823-x-line 2312	53.50	24.000000	4325.00	4850.000000	1248.000000	LATE CRETACEOUS	KVITNOS FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	15	NO	WILDCAT	2008	2008	\N	\N	9	KVITNOS FM	EARLY CRETACEOUS	\N	\N	\N	\N	49	NO	ED50	67	2	48.80	N	7	3	38.30	E	67.046889	7.060639	7438113.360000	415608.900000	32	6707	10	\N	2	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/670710-2-A	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5931	http://www.npd.no/FactMapSearch?NPDID_wellbore=5931	sidetrack	6707/10-2 S	2010-12-01	5931	5125172	\N	296677	0	22556	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
3/7-7	3/7-7	DONG E&P Norge AS	DONG	289	WILDCAT	P&A	SHOWS	EXPLORATION	2008-09-03	2008-10-27	\N	1198-L	\N	NO	127	Seismic survey GD04M01-inline 1570 & x-line 1410	3.20	42.000000	3930.00	3930.000000	65.000000	LATE JURASSIC	HAUGESUND FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	NST2002	NO	WILDCAT	2008	2008	\N	\N	12	\N	\N	\N	\N	\N	\N	55	NO	ED50	56	24	10.58	N	4	18	3.14	E	56.402939	4.300872	6251825.140000	580287.680000	31	3	7	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Torr-bronn-i-Nordsjoen---37-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5932	http://www.npd.no/FactMapSearch?NPDID_wellbore=5932	initial	\N	2010-10-27	5932	\N	\N	292114	0	2407454	DONG E&P NORGE	2013-05-01	2013-05-01	2013-05-08
34/8-14 S	34/8-14	StatoilHydro ASA	STATOIL	120	WILDCAT	P&A	OIL/GAS	EXPLORATION	2008-09-17	2008-10-21	VISUND SØR	1201-L	34/8-14 S VISUND SØR	YES	115	Survey ST0404-inline 1360 & crossline 1556	42.90	31.000000	3133.00	3470.000000	292.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	10-A	NO	WILDCAT	2008	2008	\N	\N	13	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	35	NO	ED50	61	18	37.90	N	2	20	32.90	E	61.310528	2.342472	6797715.240000	464783.400000	31	34	8	\N	14	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/Gass--og-oljefunn-i-Nordsjoen---348-14-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5943	http://www.npd.no/FactMapSearch?NPDID_wellbore=5943	initial	\N	2010-10-21	5943	5081135	20461008	297784	0	21772	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
7125/4-2	7125/4-2	StatoilHydro Petroleum AS	STATOIL	393	APPRAISAL	P&A	OIL	EXPLORATION	2008-11-07	2008-12-01	\N	1200-L	7125/4-1	NO	64	3D Survey-MC3D MFZ02.inline 1310 & xline 3250	1.40	23.000000	1750.00	1750.000000	294.000000	EARLY TRIASSIC	KLAPPMYSS FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	19	NO	APPRAISAL	2008	2008	\N	\N	5	FRUHOLMEN FM	LATE TRIASSIC	\N	\N	\N	\N	25	NO	ED50	71	32	46.24	N	25	0	16.34	E	71.546178	25.004539	7939693.230000	429508.930000	35	7125	4	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/71254-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5944	http://www.npd.no/FactMapSearch?NPDID_wellbore=5944	initial	\N	2010-12-01	5944	4445929	\N	289333	0	3965277	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
15/5-7 A	15/5-7	StatoilHydro ASA	STATOIL	048	APPRAISAL	P&A	DRY	EXPLORATION	2008-09-09	2008-10-13	\N	1202-L	15/5-1 GINA KROG	NO	35	3D survey ST06M02-inline1800 & crossline 660	34.00	26.000000	4117.00	4199.000000	119.000000	MIDDLE JURASSIC	SLEIPNER FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	3	NO	APPRAISAL	2008	2008	\N	\N	1	\N	\N	\N	\N	\N	\N	35	NO	ED50	58	33	22.20	N	1	39	19.30	E	58.556167	1.655361	6491564.700000	421754.960000	31	15	5	\N	7	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/155-1-Dagny/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5946	http://www.npd.no/FactMapSearch?NPDID_wellbore=5946	sidetrack	15/5-7	2010-10-13	5946	43892	\N	296326	0	21172	STATOILHYDRO ASA	2013-03-13	2013-03-13	2013-05-08
2/5-13	2/5-13	StatoilHydro Petroleum AS	STATOIL	296	WILDCAT	P&A	DRY	EXPLORATION	2008-09-25	2009-01-21	\N	1203-L	\N	NO	169	3D survey VGCNS-05-inline6648 & crossline 18857	0.80	45.500000	4675.00	4675.000000	65.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	TFO2003	NO	WILDCAT	2008	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	142	NO	ED50	56	42	3.60	N	3	23	27.00	E	56.701000	3.390833	6284311.840000	523933.480000	31	2	5	\N	13	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/Torr-bronn-i-Nordsjoen---25-13/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5948	http://www.npd.no/FactMapSearch?NPDID_wellbore=5948	initial	\N	2011-01-03	5948	\N	\N	296110	0	2490197	STATOILHYDRO PETROLEUM	2012-07-25	2013-04-03	2013-05-08
6608/10-12	6608/10-12	StatoilHydro ASA	STATOIL	128	WILDCAT	P&A	OIL	EXPLORATION	2008-10-19	2008-12-21	SKULD	1204-L	6608/10-12 SKULD	YES	104	ST04M17-innline 534 & crossline 3680	3.80	22.000000	3179.30	3180.000000	338.000000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	10-B	NO	WILDCAT	2008	2008	\N	\N	5	LYSING FM	EARLY CRETACEOUS	ÅRE FM	EARLY JURASSIC	\N	\N	64	NO	ED50	66	13	45.69	N	8	18	45.70	E	66.229358	8.312694	7345831.650000	469084.890000	32	6608	10	\N	12	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/Oljefunn-i-Norskehavet---660810-12-og-12-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5949	http://www.npd.no/FactMapSearch?NPDID_wellbore=5949	initial	\N	2010-12-23	5949	5818165	21350124	287902	0	21836	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6407/7-8 A	6407/7-8	StatoilHydro Petroleum AS	STATOIL	107	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	2008-09-14	2008-11-05	\N	1205-L	6407/7-8	NO	0	3D survey NH9806M-line 1366 & trace 2881	33.30	18.000000	5068.00	5227.000000	293.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	9	NO	APPRAISAL	2008	2008	\N	\N	17	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	52	NO	ED50	64	25	49.30	N	7	7	38.40	E	64.430361	7.127333	7146478.820000	409820.680000	32	6407	7	\N	8	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/64077-8-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5953	http://www.npd.no/FactMapSearch?NPDID_wellbore=5953	sidetrack	6407/7-8	2010-11-05	5953	5071896	\N	297514	0	21660	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
34/8-14 A	34/8-14	StatoilHydro ASA	STATOIL	120	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2008-10-29	2008-12-01	VISUND SØR	1207-L	34/8-14 S VISUND SØR	NO	113	Survey ST0404-inline 1360 & crossline 1556	58.40	31.000000	3075.20	3838.000000	292.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	10-A	NO	APPRAISAL	2008	2008	\N	\N	13	TARBERT FM	MIDDLE JURASSIC	NESS FM	MIDDLE JURASSIC	\N	\N	34	NO	ED50	61	18	37.90	N	2	20	32.90	E	61.310528	2.342472	6797715.240000	464783.400000	31	34	8	\N	14	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2008/348-14-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5954	http://www.npd.no/FactMapSearch?NPDID_wellbore=5954	sidetrack	34/8-14 S	2010-12-01	5954	5081135	20461008	297784	0	21772	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/5-14 S	2/5-14	Lundin Norway AS	LUNDIN	006 C	WILDCAT	P&A	SHOWS	EXPLORATION	2008-12-30	2009-04-12	\N	1206-L	\N	NO	0	inline 6409 & crossline 17202 (3DNQ8)	0.00	43.000000	3507.00	3845.000000	67.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	Awarded additionaly to round 1-A	NO	WILDCAT	2008	2009	\N	\N	12	\N	\N	\N	\N	\N	\N	104	NO	ED50	56	36	25.92	N	3	26	2.42	E	56.607200	3.434006	6273886.640000	526643.270000	31	2	5	\N	14	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/25-14-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5958	http://www.npd.no/FactMapSearch?NPDID_wellbore=5958	initial	\N	2011-04-12	5958	\N	\N	296002	0	1333089	LUNDIN NORWAY	2013-02-13	2013-02-13	2013-05-08
7223/5-1	7223/5-1	StatoilHydro Petroleum AS	STATOIL	228	WILDCAT	P&A	GAS	EXPLORATION	2008-12-05	2009-01-14	\N	1209-L	7223/5-1	YES	0	3D Survey : SG9804:inline 8505 & xline 6895	2.50	23.000000	2548.60	2549.000000	340.000000	EARLY TRIASSIC	KLAPPMYSS FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	APPRAISAL	2008	2009	\N	\N	9	SNADD FM	TRIASSIC	KOBBE FM	MIDDLE TRIASSIC	\N	\N	41	NO	ED50	72	32	6.18	N	23	20	7.74	E	72.535050	23.335483	8052579.210000	377307.190000	35	7223	5	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/Avgrensing-av-olje-gassfunn-i-Barentshavet-	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5960	http://www.npd.no/FactMapSearch?NPDID_wellbore=5960	initial	\N	2011-01-03	5960	18400160	\N	289333	0	22636	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
34/7-34	34/7-34	StatoilHydro ASA	STATOIL	089	WILDCAT	P&A	OIL	EXPLORATION	2009-02-14	2009-03-10	VIGDIS	1210-L	34/7-34	YES	95	inline 3210 & crossline 5806(3D survey SG9701STR05 PSDM)	0.35	31.000000	2701.00	2701.000000	292.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	8	NO	WILDCAT	2009	2009	\N	\N	5	STATFJORD FM	EARLY JURASSIC	\N	\N	\N	\N	25	NO	ED50	61	23	22.40	N	2	8	32.30	E	61.389556	2.142306	6806642.390000	454178.680000	31	34	7	\N	34	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/347-34-og-347-34-A	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5973	http://www.npd.no/FactMapSearch?NPDID_wellbore=5973	initial	\N	2011-03-10	5973	5490421	43732	297784	0	21516	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
30/8-4 S	30/8-4	StatoilHydro ASA	STATOIL	190	WILDCAT	P&A	OIL	EXPLORATION	2008-11-29	2009-02-04	\N	1211-L	30/8-4 S	YES	0	3D survey NH02M1-inline 1886 & x-line 1393	18.00	26.000000	4154.50	4210.000000	93.500000	MIDDLE JURASSIC	NESS FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	14	NO	WILDCAT	2008	2009	\N	\N	5	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	68	NO	ED50	60	20	5.03	N	2	36	9.32	E	60.334731	2.602589	6688913.560000	478056.630000	31	30	8	\N	4	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/Oljefunn-i-Nordsjoen---308-4-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5974	http://www.npd.no/FactMapSearch?NPDID_wellbore=5974	initial	\N	2011-02-04	5974	5466601	\N	296326	0	22332	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
2/1-13 S	2/1-13	Talisman Energy Norge AS	TALISMAN	299	WILDCAT	P&A	OIL/GAS SHOWS	EXPLORATION	2008-11-07	2009-03-07	\N	1212-L	\N	NO	161	inline 8340 & xline 20280	21.40	41.300000	4358.00	4435.000000	69.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2003	NO	WILDCAT	2008	2009	\N	\N	12	\N	MIDDLE JURASSIC	\N	\N	\N	\N	121	NO	ED50	56	47	9.50	N	3	2	29.72	E	56.785972	3.041589	6293703.090000	502541.050000	31	2	1	\N	13	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/21-13-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5975	http://www.npd.no/FactMapSearch?NPDID_wellbore=5975	initial	\N	2011-01-03	5975	\N	\N	292114	0	2490320	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
6605/1-1	6605/1-1	StatoilHydro ASA	STATOIL	328	WILDCAT	P&A	DRY	EXPLORATION	2008-12-07	2009-02-03	\N	1213-L	\N	NO	134	GRE02ST05.inline4230 & crossline 3350	4.90	23.500000	3944.50	3947.000000	1157.000000	LATE CRETACEOUS	NISE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	18	NO	WILDCAT	2008	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	59	NO	ED50	66	48	23.70	N	5	10	32.60	E	66.806583	5.175722	7411677.280000	595608.970000	31	6605	1	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/Torr-bronn-i-Norskehavet--66051-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5979	http://www.npd.no/FactMapSearch?NPDID_wellbore=5979	initial	\N	2011-01-03	5979	\N	\N	296677	0	2786957	STATOILHYDRO ASA	2013-05-01	2013-05-01	2013-05-08
6506/9-1	6506/9-1	Total E&P Norge AS	TOTAL	211 B	APPRAISAL	P&A	GAS	EXPLORATION	2009-01-20	2009-09-15	\N	1214-L	6506/6-1	NO	205	inline 1378-crossline 1641 (MN9602R07)	4.30	39.000000	5659.70	5664.000000	416.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST PHOENIX	SEMISUB STEEL	TFO2006	NO	APPRAISAL	2009	2009	\N	\N	9	ILE FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	239	NO	ED50	65	29	57.31	N	6	56	12.98	E	65.499253	6.936939	7265844.080000	404541.060000	32	6506	9	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/65069-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5980	http://www.npd.no/FactMapSearch?NPDID_wellbore=5980	initial	\N	2011-09-28	5980	1340823	\N	390874	0	4238638	TOTAL E&P NORGE	2012-07-25	2013-02-20	2013-05-08
6603/12-1	6603/12-1	A/S Norske Shell	SHELL	326	WILDCAT	P&A	GAS	EXPLORATION	2009-03-26	2009-06-20	\N	1215-L	6603/12-1	YES	143	sh0402-line 1851 & trace 2992	0.80	25.000000	3830.00	3830.000000	1376.000000	LATE CRETACEOUS	SPRINGAR FM	NORWEGIAN SEA	LEIV EIRIKSSON	SEMISUB STEEL	18	NO	WILDCAT	2009	2009	\N	\N	9	SPRINGAR FM	LATE CRETACEOUS	\N	\N	\N	\N	87	NO	ED50	66	8	52.35	N	3	56	29.67	E	66.147875	3.941575	7336898.260000	542488.150000	31	6603	12	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/660312-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5985	http://www.npd.no/FactMapSearch?NPDID_wellbore=5985	initial	\N	2011-06-20	5985	5798448	\N	297865	0	2786855	SHELL NORGE	2013-05-01	2013-05-01	2013-05-08
2/1-14 S	2/1-14	Talisman Energy Norge AS	TALISMAN	019 B	WILDCAT	P&A	DRY	EXPLORATION	2008-12-07	2009-02-28	\N	1217-L	\N	NO	0	\N	65.00	56.000000	3811.00	6130.000000	65.500000	TRIASSIC	SKAGERRAK FM	NORTH SEA	GYDA	JACKET 6 LEGS	Awarded additionaly to round 1-A	NO	WILDCAT	2008	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	84	NO	ED50	56	54	17.31	N	3	5	6.38	E	56.904808	3.085106	6306934.030000	505183.430000	31	2	1	\N	14	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/Torr-bronn-i-Nordsjoen---21-14-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5995	http://www.npd.no/FactMapSearch?NPDID_wellbore=5995	initial	\N	2011-02-28	5995	\N	\N	272337	0	20924	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
34/8-14 B	34/8-14	StatoilHydro ASA	STATOIL	120	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2008-12-25	2009-01-25	VISUND SØR	1216-L	34/8-14 S VISUND SØR	NO	0	Survey ST0404:inline 1360 & crossline 1556	90.10	31.000000	2930.00	4079.000000	292.000000	MIDDLE JURASSIC	RANNOCH FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	10-A	NO	APPRAISAL	2008	2009	\N	\N	13	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	32	NO	ED50	61	18	37.90	N	2	20	32.90	E	61.310528	2.342472	6797715.240000	464783.400000	31	34	8	\N	14	B	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5997	http://www.npd.no/FactMapSearch?NPDID_wellbore=5997	sidetrack	34/8-14 A	2011-01-25	5997	5081135	20461008	297784	0	21772	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
35/6-1 S	35/6-1	StatoilHydro ASA	STATOIL	376	WILDCAT	P&A	DRY	EXPLORATION	2009-02-04	2009-02-10	\N	1218-L	\N	NO	0	3 D survey ST98M08-inline 2286 & crossline 3024	0.00	22.000000	847.00	847.000000	344.000000	PALEOCENE	SELE FM	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2005	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	7	NO	ED50	61	32	2.92	N	3	54	40.82	E	61.534144	3.911339	6822786.900000	548462.020000	31	35	6	\N	1	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6000	http://www.npd.no/FactMapSearch?NPDID_wellbore=6000	initial	\N	2011-01-03	6000	\N	\N	287902	0	3811255	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/8-14 C	34/8-14	StatoilHydro ASA	STATOIL	120	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2008-12-02	2008-12-08	VISUND SØR	1220-L	34/8-14 S VISUND SØR	NO	0	Survey ST0404:inline 1417 & crossline 1635	55.50	31.000000	3039.00	3820.000000	292.000000	MIDDLE JURASSIC	RANNOCH FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	10-A	NO	APPRAISAL	2008	2008	\N	\N	13	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	7	NO	ED50	61	18	37.90	N	2	20	32.90	E	61.310528	2.342472	6797715.240000	464783.400000	31	34	8	\N	14	C	\N	leteboring/2009/Avgrensing-av-olje--og-gassfunn-i-Nordsjoen---348-14-C-og-348-14-D/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6021	http://www.npd.no/FactMapSearch?NPDID_wellbore=6021	sidetrack	34/8-14 B	2010-12-08	6021	5081135	20461008	297784	0	21772	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/8-13 A	34/8-13	StatoilHydro ASA	STATOIL	120	WILDCAT	P&A	OIL	EXPLORATION	2009-03-17	2009-05-13	\N	1221-L	34/8-13 A	YES	0	inline ST0404-2227 & crossline ST0404-1766	62.50	25.000000	3132.70	3852.000000	380.000000	LATE TRIASSIC	STATFJORD FM	NORTH SEA	SCARABEO 5	SEMISUB STEEL	10-A	NO	WILDCAT	2009	2009	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	TARBERT FM	MIDDLE JURASSIC	\N	\N	58	NO	ED50	61	24	15.80	N	2	34	52.00	E	61.404389	2.581111	6808065.460000	477631.610000	31	34	8	\N	13	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/348-13-A-og-348-13-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6024	http://www.npd.no/FactMapSearch?NPDID_wellbore=6024	sidetrack	34/8-13 S	2011-05-13	6024	5490448	\N	294058	0	21772	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
34/8-13 S	34/8-13	StatoilHydro ASA	STATOIL	120	WILDCAT	P&A	OIL	EXPLORATION	2009-05-14	2009-06-26	\N	1222-L	34/8-13 S	YES	0	inline ST0404-2227&crossline ST0404-1766	63.20	25.000000	3283.00	4442.000000	380.000000	TRIASSIC	LUNDE FM	NORTH SEA	SCARABEO 5	SEMISUB STEEL	10-A	NO	WILDCAT	2009	2009	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	44	NO	ED50	61	24	15.80	N	2	34	52.00	E	61.404389	2.581111	6808065.460000	477631.610000	31	34	8	\N	13	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/348-13-A-og-348-13-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6025	http://www.npd.no/FactMapSearch?NPDID_wellbore=6025	initial	\N	2011-06-26	6025	5798457	\N	294058	0	21772	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6608/10-12 A	6608/10-12	StatoilHydro ASA	STATOIL	128	APPRAISAL	P&A	OIL	EXPLORATION	2008-12-25	2009-01-25	SKULD	1223-L	6608/10-12 SKULD	NO	0	ST04M17-innline 534 & crossline 3680	33.00	22.000000	2956.30	3075.000000	338.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	10-B	NO	APPRAISAL	2008	2009	\N	\N	5	ÅRE FM	EARLY JURASSIC	\N	\N	\N	\N	32	NO	ED50	66	13	45.69	N	8	18	45.70	E	66.229358	8.312694	7345831.650000	469084.890000	32	6608	10	\N	12	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/Oljefunn-i-Norskehavet---660810-12-og-12-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6029	http://www.npd.no/FactMapSearch?NPDID_wellbore=6029	sidetrack	6608/10-12	2011-01-25	6029	5818165	21350124	287902	0	21836	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
15/6-10	15/6-10	ExxonMobil Exploration & Production Norway AS	ESSO	029 B	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2009-02-07	2009-04-06	\N	1224-L	15/6-10	YES	119	ILN 3481-XLN 3740	8.00	25.000000	3693.00	3700.000000	111.300000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	2009	2009	\N	\N	17	SLEIPNER FM	MIDDLE JURASSIC	\N	\N	\N	\N	59	NO	ED50	58	40	55.72	N	1	50	15.19	E	58.682144	1.837553	6505392.930000	432599.020000	31	15	6	\N	10	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/156-10	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6030	http://www.npd.no/FactMapSearch?NPDID_wellbore=6030	initial	\N	2011-04-06	6030	5490439	\N	373521	0	1626782	EXXON MO	2012-07-25	2012-07-25	2013-05-08
1/3-12 S	1/3-12	BG Norge AS	BG GROUP	297	WILDCAT	P&A	DRY	EXPLORATION	2009-12-01	2010-07-22	\N	1287-L	\N	NO	0	inline 9410 & crossline 19564	18.00	48.000000	5868.00	5931.000000	70.400000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	ROWAN GORILLA VI	JACK-UP 3 LEGS	TFO2003	NO	WILDCAT	2009	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	0	NO	ED50	56	45	11.24	N	2	49	43.55	E	56.753122	2.828764	6290058.680000	489528.480000	31	1	3	\N	12	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/Torr-bronn-i-Nordsjoen---13-12-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6260	http://www.npd.no/FactMapSearch?NPDID_wellbore=6260	initial	\N	2011-10-03	6260	\N	\N	375355	0	2490240	BG NORGE	2012-07-25	2012-07-25	2013-05-08
30/9-22	30/9-22	StatoilHydro Petroleum AS	STATOIL	104	WILDCAT	P&A	OIL/GAS	EXPLORATION	2009-01-29	2009-03-10	OSEBERG SØR	1226-L	30/9-22 STJERNE	YES	117	inline3401 & crossline 6973(NH05-M01-Full 3D cube)	4.00	23.000000	3254.00	3255.000000	95.300000	MIDDLE JURASSIC	DRAKE FM	NORTH SEA	POLAR PIONEER	SEMISUB STEEL	9	NO	WILDCAT	2009	2009	\N	\N	13	INTRA HEATHER FM SS	LATE JURASSIC	TARBERT FM	MIDDLE JURASSIC	\N	\N	41	NO	ED50	60	17	31.78	N	2	42	5.84	E	60.292161	2.701622	6684143.450000	483503.350000	31	30	9	\N	22	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/309-22	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6034	http://www.npd.no/FactMapSearch?NPDID_wellbore=6034	initial	\N	2011-03-10	6034	5490404	43645	289333	0	21636	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
34/8-14 D	34/8-14	StatoilHydro ASA	STATOIL	120	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2009-01-26	2009-02-10	VISUND SØR	1225-L	34/8-14 S VISUND SØR	NO	0	Survey ST0404-inline 1360 & crossline 1556	67.90	31.000000	2981.50	3850.000000	292.000000	EARLY JURASSIC	DRAKE FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	10-A	NO	APPRAISAL	2009	2009	\N	\N	13	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	16	NO	ED50	61	18	37.90	N	2	20	32.90	E	61.310528	2.342472	6797715.240000	464783.400000	31	34	8	\N	14	D	\N	leteboring/2009/Avgrensing-av-olje--og-gassfunn-i-Nordsjoen---348-14-C-og-348-14-D/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6036	http://www.npd.no/FactMapSearch?NPDID_wellbore=6036	sidetrack	34/8-14 C	2011-02-10	6036	5081135	20461008	297784	0	21772	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
16/2-5	16/2-5	StatoilHydro ASA	STATOIL	265	WILDCAT	P&A	OIL/GAS	EXPLORATION	2009-02-22	2009-05-13	\N	1227-L	16/2-5	YES	90	3D survey SNST3D-inline 3589 & crossline 5365	2.80	49.200000	2373.00	2373.000000	109.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	WEST EPSILON	JACK-UP 3 LEGS	NST2000	NO	WILDCAT	2009	2009	\N	\N	13	UNDEFINED GP	JURASSIC	\N	\N	\N	\N	81	NO	ED50	58	48	50.91	N	2	22	11.02	E	58.814142	2.369728	6519678.100000	463592.990000	31	16	2	\N	5	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/162-5/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6042	http://www.npd.no/FactMapSearch?NPDID_wellbore=6042	initial	\N	2011-05-13	6042	5490457	\N	296110	0	1624237	STATOILHYDRO ASA	2013-05-01	2013-05-01	2013-05-08
30/5-3 S	30/5-3	StatoilHydro Petroleum AS	STATOIL	309	WILDCAT	P&A	GAS	EXPLORATION	2009-02-06	2009-04-12	\N	1228-L	30/5-3 S	YES	150	NH05M01.inline 3230 & xline 10226	52.80	26.000000	3863.00	4335.000000	113.000000	EARLY TRIASSIC	TEIST FM (INFORMAL)	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2003	NO	WILDCAT	2009	2009	\N	\N	9	HEGRE GP	LATE TRIASSIC	\N	\N	\N	\N	66	NO	ED50	60	39	26.30	N	2	39	33.60	E	60.657306	2.659333	6724824.400000	481375.720000	31	30	5	\N	3	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/305-3-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6043	http://www.npd.no/FactMapSearch?NPDID_wellbore=6043	initial	\N	2011-04-12	6043	5490430	\N	296326	0	2490982	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
6705/10-1	6705/10-1	StatoilHydro ASA	STATOIL	327 B	WILDCAT	P&A	GAS	EXPLORATION	2009-02-05	2009-03-19	\N	1229-L	6705/10-1	YES	117	GRE02STR05.inline3790 & crossline 5216	2.40	23.500000	3774.00	3775.000000	1335.000000	EARLY CRETACEOUS	LANGE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	Awarded additionaly to round 18	NO	WILDCAT	2009	2009	\N	\N	9	SPRINGAR FM	LATE CRETACEOUS	\N	\N	\N	\N	43	NO	ED50	67	0	58.40	N	5	17	47.80	E	67.016222	5.296611	7435225.680000	600057.620000	31	6705	10	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/670510-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6044	http://www.npd.no/FactMapSearch?NPDID_wellbore=6044	initial	\N	2011-03-19	6044	5466760	\N	296677	0	4720054	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
30/3-10 S	30/3-10	StatoilHydro ASA	STATOIL	052	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	2009-02-14	2009-04-29	\N	1230-L	30/3-9	NO	152	ST04M12-inline 900 & crossline 1477.seismic 3D survey	44.00	18.000000	3962.00	4168.000000	122.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	4	NO	APPRAISAL	2009	2009	\N	\N	17	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	75	NO	ED50	60	47	43.50	N	2	41	11.80	E	60.795417	2.686611	6740200.340000	482940.390000	31	30	3	\N	10	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/303-10-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6045	http://www.npd.no/FactMapSearch?NPDID_wellbore=6045	initial	\N	2011-04-29	6045	1036262	\N	297514	0	21212	STATOILHYDRO ASA	2012-08-17	2012-08-17	2013-05-08
15/12-21	15/12-21	Talisman Energy Norge AS	TALISMAN	038	WILDCAT	P&A	OIL	EXPLORATION	2009-03-15	2009-05-21	\N	1231-L	15/12-21	YES	124	inline 1112 & xline 3355	1.00	42.100000	3310.00	3310.000000	86.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	3	NO	WILDCAT	2009	2009	\N	\N	5	HUGIN FM	MIDDLE JURASSIC	SLEIPNER FM	LATE TRIASSIC	\N	\N	68	NO	ED50	58	13	40.47	N	1	52	56.82	E	58.227908	1.882450	6454775.770000	434361.340000	31	15	12	\N	21	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/1512-21	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6047	http://www.npd.no/FactMapSearch?NPDID_wellbore=6047	initial	\N	2011-05-21	6047	5490719	\N	292114	0	21092	TALISMAN ENERGY	2013-03-01	2013-03-01	2013-05-08
30/5-3 A	30/5-3	StatoilHydro Petroleum AS	STATOIL	309	WILDCAT	P&A	GAS	EXPLORATION	2009-04-15	2009-05-30	\N	1233-L	30/5-3 A	YES	0	NH05M01-inline 3230 & xline 10226	44.60	26.000000	3990.30	4746.000000	113.500000	LATE JURASSIC	INTRA DRAUPNE FM SS	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2003	NO	WILDCAT	2009	2009	\N	\N	9	INTRA DRAUPNE FM SS	LATE JURASSIC	\N	\N	\N	\N	46	NO	ED50	60	39	26.30	N	2	39	33.60	E	60.657306	2.659333	6724824.400000	481375.720000	31	30	5	\N	3	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/305-3-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6055	http://www.npd.no/FactMapSearch?NPDID_wellbore=6055	sidetrack	30/5-3 S	2011-05-30	6055	5490728	\N	296326	0	2490982	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
35/6-2 S	35/6-2	StatoilHydro ASA	STATOIL	376	WILDCAT	P&A	DRY	EXPLORATION	2009-02-11	2009-04-04	\N	1234-L	\N	NO	121	ST98M08-inline2286 & xline 3024	33.60	22.000000	3583.20	3700.000000	344.000000	EARLY CRETACEOUS	NO FORMAL NAME	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2005	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	51	NO	ED50	61	32	0.98	N	3	54	40.72	E	61.533606	3.911311	6822726.850000	548461.380000	31	35	6	\N	2	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/356-2-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6063	http://www.npd.no/FactMapSearch?NPDID_wellbore=6063	initial	\N	2010-12-23	6063	\N	\N	287902	0	3811255	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6507/3-6	6507/3-6	Det norske oljeselskap ASA (old)	DET NORSKE	383	WILDCAT	P&A	DRY	EXPLORATION	2009-05-29	2009-06-23	\N	1235-L	\N	NO	0	inline 3700 & crossline 2020(DNO07M01)	0.60	25.000000	1650.00	1650.000000	377.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2005	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	26	NO	ED50	65	47	47.37	N	7	55	16.50	E	65.796492	7.921250	7297834.850000	450648.810000	32	6507	3	\N	6	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/65073-6/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6073	http://www.npd.no/FactMapSearch?NPDID_wellbore=6073	initial	\N	2011-06-23	6073	\N	\N	373521	0	3811499	DET NORSKE (OLD)	2013-05-01	2013-05-01	2013-05-08
34/7-34 A	34/7-34	StatoilHydro ASA	STATOIL	089	APPRAISAL	P&A	OIL	EXPLORATION	2009-03-10	2009-03-20	VIGDIS	1236-L	34/7-34	NO	0	inline3210 & crossline 5806(3D survey SG9701STR05 PSDM)	65.30	31.000000	2733.00	3022.000000	292.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	8	NO	APPRAISAL	2009	2009	\N	\N	5	STATFJORD FM	EARLY JURASSIC	\N	\N	\N	\N	11	NO	ED50	61	23	22.40	N	2	8	32.30	E	61.389556	2.142306	6806642.390000	454178.680000	31	34	7	\N	34	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/347-34-og-347-34-A	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6080	http://www.npd.no/FactMapSearch?NPDID_wellbore=6080	sidetrack	34/7-34	2011-03-20	6080	5490421	43732	297784	0	21516	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
25/8-16 S	25/8-16	ExxonMobil Exploration & Production Norway AS	ESSO	027 D	WILDCAT	P&A	OIL	EXPLORATION	2009-04-10	2009-05-13	\N	1237-L	25/8-16 S	YES	84	ES9403.inline 1433 & xline2484	61.50	25.000000	2132.00	2550.000000	126.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	WILDCAT	2009	2009	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	34	NO	ED50	59	24	56.25	N	2	29	2.34	E	59.415625	2.483983	6586599.870000	470710.440000	31	25	8	\N	16	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/258-16-S--258-16-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6082	http://www.npd.no/FactMapSearch?NPDID_wellbore=6082	initial	\N	2011-05-13	6082	5506890	\N	373521	0	4943160	EXXON MO	2012-07-25	2012-07-25	2013-05-08
35/2-2	35/2-2	StatoilHydro Petroleum AS	STATOIL	318	APPRAISAL	P&A	GAS	EXPLORATION	2009-06-02	2009-07-26	\N	1238-L	35/2-1	NO	15	NH06M04-inline 5004-xline 4340	1.80	26.000000	640.00	640.000000	372.000000	PLIOCENE	NAUST FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	18	NO	APPRAISAL	2009	2009	\N	\N	9	NAUST FM	PLEISTOCENE	\N	\N	\N	\N	55	NO	ED50	61	52	36.20	N	3	24	51.00	E	61.876722	3.414167	6860681.030000	521781.520000	31	35	2	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/352-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6084	http://www.npd.no/FactMapSearch?NPDID_wellbore=6084	initial	\N	2011-07-26	6084	3465397	\N	296326	0	2786586	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
30/11-7 A	30/11-7	StatoilHydro Petroleum AS	STATOIL	035 B	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	2009-04-02	2009-05-25	\N	1239-L	30/11-7	NO	143	3Dsurvey NH0609-inline 4200-xline 2041	31.50	23.500000	4137.00	4250.000000	111.000000	MIDDLE JURASSIC	NESS FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	APPRAISAL	2009	2009	\N	\N	17	TARBERT FM	MIDDLE JURASSIC	\N	\N	\N	\N	54	NO	ED50	60	0	21.24	N	2	22	25.62	E	60.005900	2.373783	6652389.100000	465075.910000	31	30	11	\N	7	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/3011-7-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6085	http://www.npd.no/FactMapSearch?NPDID_wellbore=6085	sidetrack	30/11-7	2011-05-25	6085	5490395	\N	296677	0	5105684	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
35/12-2	35/12-2	Wintershall Norge ASA	WINTERSHALL	378	WILDCAT	P&A	OIL/GAS	EXPLORATION	2009-05-30	2009-07-15	\N	1241-L	35/12-2	YES	91	SG9603MN9201REV06 IL 3504 XL 2089	1.60	29.000000	2541.00	2541.000000	359.000000	MIDDLE JURASSIC	ETIVE FM	NORTH SEA	SONGA DELTA	SEMISUB STEEL	TFO2005	NO	WILDCAT	2009	2009	\N	\N	13	SOGNEFJORD FM	LATE JURASSIC	NESS FM	MIDDLE JURASSIC	\N	\N	47	NO	ED50	61	9	59.66	N	3	40	13.34	E	61.166572	3.670372	6781687.130000	536069.000000	31	35	12	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/3512-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6095	http://www.npd.no/FactMapSearch?NPDID_wellbore=6095	initial	\N	2011-07-15	6095	5818175	\N	287821	0	3811312	WINTERSHALL NORGE ASA	2012-07-25	2012-07-25	2013-05-08
8/10-3	8/10-3	ConocoPhillips Skandinavia AS	CONPHIL	331	WILDCAT	P&A	DRY	EXPLORATION	2010-06-02	2010-10-06	\N	1242-L	\N	NO	176	intersection of inline 7264 and trace 24860	2.00	45.000000	5737.00	5738.000000	68.500000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	TFO2004	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	127	NO	ED50	57	2	23.57	N	3	17	1.85	E	57.039881	3.283847	6322002.760000	517225.490000	31	8	10	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/810-3	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6098	http://www.npd.no/FactMapSearch?NPDID_wellbore=6098	initial	\N	2012-04-01	6098	\N	\N	296002	0	2986187	CONOCOPHILLIPS SKANDINAVIA	2012-07-25	2012-07-25	2013-05-08
6407/6-7 S	6407/6-7	StatoilHydro ASA	STATOIL	312	WILDCAT	P&A	GAS	EXPLORATION	2009-04-12	2009-05-27	\N	1243-L	6407/6-7 S MIKKEL SØR	YES	127	ST04m8-inline 2154 and crossline 2680	15.80	22.000000	3184.00	3227.000000	247.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2003	NO	WILDCAT	2009	2009	\N	\N	9	ROGN FM	LATE JURASSIC	GARN FM	MIDDLE JURASSIC	\N	\N	46	NO	ED50	64	33	53.10	N	7	40	26.80	E	64.564750	7.674111	7160790.270000	436460.340000	32	6407	6	\N	7	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/64076-7-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6100	http://www.npd.no/FactMapSearch?NPDID_wellbore=6100	initial	\N	2011-05-27	6100	5506872	\N	287902	0	2491196	STATOILHYDRO ASA	2012-07-25	2012-07-25	2013-05-08
6407/2-4	6407/2-4	Det norske oljeselskap ASA (old)	DET NORSKE	380	WILDCAT	P&A	DRY	EXPLORATION	2009-07-23	2009-08-31	\N	1244-L	\N	NO	0	inline 4603 & crossline 2292	2.10	29.000000	3000.00	3001.000000	269.000000	MIDDLE JURASSIC	ILE FM	NORWEGIAN SEA	SONGA DELTA	SEMISUB STEEL	TFO2005	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	40	NO	ED50	64	57	47.40	N	7	26	51.20	E	64.963167	7.447556	7205429.550000	426693.130000	32	6407	2	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/64072-4/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6106	http://www.npd.no/FactMapSearch?NPDID_wellbore=6106	initial	\N	2010-12-23	6106	\N	\N	287821	0	3811381	DET NORSKE (OLD)	2012-07-25	2012-07-25	2013-05-08
33/9-21 A	33/9-21	Wintershall Norge ASA	WINTERSHALL	037 D	APPRAISAL	P&A	OIL	EXPLORATION	2009-04-17	2009-04-30	\N	1247-L	33/9-6 DELTA	NO	0	inline 2222 & crossline 5494	93.80	56.000000	3027.00	6392.000000	156.000000	MIDDLE JURASSIC	NESS FM	NORTH SEA	MURCHISON A	JACKET 12 LEGS	Awarded additionaly to round 2-A	NO	APPRAISAL	2009	2009	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	14	NO	ED50	61	23	48.26	N	1	44	27.25	E	61.396739	1.740903	6807790.250000	432751.220000	31	33	9	\N	21	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/339-21-S--21-A---21-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6109	http://www.npd.no/FactMapSearch?NPDID_wellbore=6109	sidetrack	33/9-21 S	2011-04-30	6109	44576	\N	372759	0	2787322	WINTERSHALL NORGE ASA	2012-07-25	2012-07-25	2013-05-08
6407/8-5 S	6407/8-5	StatoilHydro Petroleum AS	STATOIL	348	WILDCAT	P&A	OIL	EXPLORATION	2009-05-02	2009-05-26	HYME	1248-L	6407/8-5 S HYME	YES	104	3D survey BPN9501R05 inline 575 & crossline 1780	70.90	18.000000	2368.70	3240.000000	252.000000	TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	TFO2004	NO	WILDCAT	2009	2009	\N	\N	5	GARN FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	25	NO	ED50	64	20	56.60	N	7	33	44.30	E	64.349056	7.562306	7136873.690000	430558.810000	32	6407	8	\N	5	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/64078-5-S-og-64078-5-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6110	http://www.npd.no/FactMapSearch?NPDID_wellbore=6110	initial	\N	2011-05-26	6110	5506881	20474183	297514	0	2987047	STATOILHYDRO PETROLEUM	2013-05-01	2013-05-01	2013-05-08
6305/5-3 S	6305/5-3	A/S Norske Shell	SHELL	209	APPRAISAL	SUSPENDED	GAS	EXPLORATION	2009-08-19	2009-10-27	ORMEN LANGE	1246-L	6305/5-1 ORMEN LANGE	NO	0	inline 4627 & crossline5121	24.90	25.000000	2837.00	2954.000000	832.000000	LATE CRETACEOUS	SPRINGAR FM	NORWEGIAN SEA	LEIV EIRIKSSON	SEMISUB STEEL	15	NO	APPRAISAL	2009	2009	\N	\N	9	EGGA FM (INFORMAL)	PALEOCENE	\N	\N	\N	\N	70	NO	ED50	63	34	53.76	N	5	25	7.38	E	63.581600	5.418717	7052835.000000	620055.010000	31	6305	5	\N	3	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/63055-3-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6118	http://www.npd.no/FactMapSearch?NPDID_wellbore=6118	initial	\N	2011-10-27	6118	44822	2762452	297865	0	22484	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
25/10-9	25/10-9	Lundin Norway AS	LUNDIN	304	WILDCAT	P&A	DRY	EXPLORATION	2009-06-09	2009-07-27	\N	1249-L	\N	NO	108	inline 636 & crossline 1495 ST9105 & ST 9304	3.40	25.000000	2984.00	2985.000000	117.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	SONGA DEE	SEMISUB STEEL	TFO2003	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	49	NO	ED50	59	6	34.66	N	2	10	7.80	E	59.109628	2.168833	6552706.830000	452397.850000	31	25	10	\N	9	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/2510-9/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6120	http://www.npd.no/FactMapSearch?NPDID_wellbore=6120	initial	\N	2011-07-27	6120	\N	\N	290980	0	2490623	LUNDIN NORWAY	2012-07-25	2012-07-25	2013-05-08
6507/11-10	6507/11-10	Det norske oljeselskap ASA	DET NORSKE	476	WILDCAT	P&A	DRY	EXPLORATION	2010-01-16	2010-02-16	\N	1245-L	\N	NO	0	inline 864 & crossline 1792	0.90	29.000000	2319.00	2319.000000	269.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	SONGA DELTA	SEMISUB STEEL	TFO2007	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	32	NO	ED50	65	5	29.53	N	7	35	46.63	E	65.091536	7.596286	7219569.850000	434033.030000	32	6507	11	\N	10	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/650711-10/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6122	http://www.npd.no/FactMapSearch?NPDID_wellbore=6122	initial	\N	2011-06-16	6122	\N	\N	287821	0	4921415	DET NORSKE	2012-07-25	2012-07-25	2013-05-08
6507/3-7	6507/3-7	StatoilHydro Petroleum AS	STATOIL	159 D	WILDCAT	P&A	GAS	EXPLORATION	2009-06-02	2009-07-22	\N	1250-L	6507/3-7	YES	145	BPN0501-innline1001 & crossline 613	3.47	22.000000	3854.50	3855.000000	377.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	Awarded additionaly to round 12 B	NO	WILDCAT	2009	2009	\N	\N	9	FANGST GP	MIDDLE JURASSIC	\N	\N	\N	\N	51	NO	ED50	65	49	24.24	N	7	43	8.15	E	65.823400	7.718931	7301007.560000	441455.110000	32	6507	3	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/65073-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6123	http://www.npd.no/FactMapSearch?NPDID_wellbore=6123	initial	\N	2011-07-22	6123	5818184	\N	287902	0	4939421	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
25/8-16 A	25/8-16	ExxonMobil Exploration & Production Norway AS	ESSO	027 D	APPRAISAL	P&A	DRY	EXPLORATION	2009-05-13	2009-05-23	\N	1251-L	25/8-16 S	NO	0	NO 07M01-inline 2003 & Xline 4329	34.30	25.000000	2189.00	2324.000000	126.000000	LATE CRET./PALEOCENE	SHETLAND GP	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	APPRAISAL	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	12	NO	ED50	59	24	56.25	N	2	29	2.34	E	59.415625	2.483983	6586599.870000	470710.440000	31	25	8	\N	16	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/258-16-S--258-16-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6128	http://www.npd.no/FactMapSearch?NPDID_wellbore=6128	sidetrack	25/8-16 S	2011-05-23	6128	5506890	\N	373521	0	4943160	EXXON MO	2012-07-25	2012-07-25	2013-05-08
17/12-4	17/12-4	BG Norge AS	BG GROUP	407	APPRAISAL	P&A	OIL	EXPLORATION	2009-06-17	2009-07-10	\N	1252-L	17/12-1 BREAM	NO	0	Bream 3D:inline 1504 & crossline 3822	0.75	18.000000	2470.00	2470.000000	110.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	TFO2006	NO	APPRAISAL	2009	2009	\N	\N	5	BRYNE FM	MIDDLE JURASSIC	\N	\N	\N	\N	24	NO	ED50	58	10	37.58	N	3	55	11.05	E	58.177106	3.919736	6448944.030000	554097.840000	31	17	12	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/1712---4---4-A-og---4-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6137	http://www.npd.no/FactMapSearch?NPDID_wellbore=6137	initial	\N	2011-07-10	6137	43964	\N	297514	0	4237300	BG NORGE	2012-07-25	2012-07-25	2013-05-08
15/12-21 A	15/12-21	Talisman Energy Norge AS	TALISMAN	038	APPRAISAL	P&A	OIL	EXPLORATION	2009-05-23	2009-06-21	\N	1253-L	15/12-21	NO	125	inline 1112 & xline 3355	50.40	42.100000	3348.00	3702.000000	86.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	3	NO	APPRAISAL	2009	2009	\N	\N	5	HUGIN FM	MIDDLE JURASSIC	SLEIPNER FM	MIDDLE JURASSIC	\N	\N	30	NO	ED50	58	13	40.47	N	1	52	56.82	E	58.227908	1.882450	6454775.770000	434361.340000	31	15	12	\N	21	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/1512-21-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6139	http://www.npd.no/FactMapSearch?NPDID_wellbore=6139	sidetrack	15/12-21	2011-06-21	6139	5490719	\N	292114	0	21092	TALISMAN ENERGY	2013-03-01	2013-03-01	2013-05-08
33/9-21 B	33/9-21	Wintershall Norge ASA	WINTERSHALL	037 D	APPRAISAL	RE-CLASS TO TEST	OIL	EXPLORATION	2009-04-30	2009-06-11	\N	1254-L	33/9-6 DELTA	NO	0	inline 2222 & crossline 5494	94.90	56.400000	3038.00	6882.000000	156.100000	MIDDLE JURASSIC	NESS FM	NORTH SEA	MURCHISON A	JACKET 12 LEGS	Awarded additionaly to round 2-A	NO	APPRAISAL	2009	2009	\N	\N	5	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	43	NO	ED50	61	23	48.26	N	1	44	27.25	E	61.396739	1.740903	6807790.250000	432751.220000	31	33	9	\N	21	B	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/339-21-S--21-A---21-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6142	http://www.npd.no/FactMapSearch?NPDID_wellbore=6142	sidetrack	33/9-21 A	2011-06-11	6142	44576	\N	372759	6168	2787322	WINTERSHALL NORGE ASA	2012-07-25	2012-07-25	2013-05-08
6306/6-2	6306/6-2	Det norske oljeselskap ASA (old)	DET NORSKE	321	WILDCAT	P&A	DRY	EXPLORATION	2009-08-21	2009-11-17	\N	1255-L	\N	NO	74	PER0704-209-SP1253 & PER0704-0408-SP1256 & PER0704-216-SP 1066	3.00	40.000000	2080.00	2080.000000	224.000000	PRE-DEVONIAN	BASEMENT	NORWEGIAN SEA	AKER BARENTS	SEMISUB STEEL	18	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	89	NO	ED50	63	41	4.90	N	6	40	16.20	E	63.684694	6.671167	7064151.710000	384823.290000	32	6306	6	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/63066-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6143	http://www.npd.no/FactMapSearch?NPDID_wellbore=6143	initial	\N	2010-12-23	6143	\N	\N	404303	0	2786661	DET NORSKE (OLD)	2013-01-08	2013-01-08	2013-05-08
6506/12-12 S	6506/12-12	StatoilHydro Petroleum AS	STATOIL	094	WILDCAT	P&A	OIL/GAS	EXPLORATION	2009-06-01	2009-08-06	ÅSGARD	1256-L	6506/12-12 S	YES	0	inline 4240 & crossline 2687- NH0609	49.45	23.500000	4904.00	5508.000000	301.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	8	NO	APPRAISAL	2009	2009	\N	\N	13	CROMER KNOLL GP	CRETACEOUS	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC      	67	NO	ED50	65	13	1.19	N	6	54	29.77	E	65.216997	6.908269	7234441.750000	402170.960000	32	6506	12	\N	12	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/650612-12-S-og-650612-12-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6144	http://www.npd.no/FactMapSearch?NPDID_wellbore=6144	initial	\N	2011-08-06	6144	18104901	43765	296677	0	21556	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
6407/2-5 S	6407/2-5	StatoilHydro Petroleum AS	STATOIL	074	WILDCAT	P&A	OIL/GAS	EXPLORATION	2009-07-26	2009-09-02	\N	1258-L	6407/2-5 S	YES	116	3D Survey:ST04m8.inline 2474 & xline 3163	31.50	22.000000	3311.00	3408.000000	250.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	5	NO	WILDCAT	2009	2009	\N	\N	13	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	\N	\N	39	NO	ED50	64	50	55.69	N	7	38	5.70	E	64.848803	7.634917	7192481.710000	435264.210000	32	6407	2	\N	5	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/64072-5-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6151	http://www.npd.no/FactMapSearch?NPDID_wellbore=6151	initial	\N	2011-09-02	6151	17115700	\N	287902	0	21388	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
6407/8-5 A	6407/8-5	StatoilHydro Petroleum AS	STATOIL	348	APPRAISAL	P&A	OIL	EXPLORATION	2009-05-30	2009-06-13	HYME	1259-L	6407/8-5 S HYME	NO	0	3D survey BPN9501R05 inline 575 & crossline 1780	115.30	18.000000	2011.40	3231.000000	252.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	TFO2004	NO	APPRAISAL	2009	2009	\N	\N	5	ILE FM	MIDDLE JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	15	NO	ED50	64	20	56.60	N	7	33	44.30	E	64.349056	7.562306	7136873.690000	430558.810000	32	6407	8	\N	5	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/64078-5-S-og-64078-5-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6153	http://www.npd.no/FactMapSearch?NPDID_wellbore=6153	sidetrack	6407/8-5 S	2011-06-13	6153	5506881	20474183	297514	0	2987047	STATOILHYDRO PETROLEUM	2013-05-01	2013-05-01	2013-05-08
35/3-7 S	35/3-7	VNG Norge AS (old)	VNG	270	WILDCAT	P&A	GAS	EXPLORATION	2009-06-28	2009-10-01	\N	1260-L	35/3-7 S	YES	124	survey GP3DR07.inline 370 & crossline 1781	25.00	25.000000	3971.00	4051.000000	257.000000	MIDDLE JURASSIC	HEATHER FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	NST2000	NO	WILDCAT	2009	2009	\N	\N	9	AGAT FM	EARLY CRETACEOUS	\N	\N	\N	\N	96	NO	ED50	61	50	7.24	N	3	49	31.83	E	61.835344	3.825508	6856278.070000	543472.410000	31	35	3	\N	7	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/353-7-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6154	http://www.npd.no/FactMapSearch?NPDID_wellbore=6154	initial	\N	2011-10-01	6154	17221700	\N	373521	0	1624436	VNG NORGE AS (OLD)	2012-07-25	2012-07-25	2013-05-08
16/1-11	16/1-11	Det norske oljeselskap ASA	DET NORSKE	001 B	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2010-02-23	2010-04-26	\N	1261-L	16/1-9 IVAR AASEN	NO	105	inline 886 & crossline 1149	1.40	29.000000	2625.00	2625.000000	112.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	SONGA DELTA	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	APPRAISAL	2010	2010	\N	\N	13	SLEIPNER FM	MIDDLE JURASSIC	SKAGERRAK FM	LATE TRIASSIC	\N	\N	63	NO	ED50	58	55	36.15	N	2	11	7.48	E	58.926708	2.185411	6532327.000000	453098.970000	31	16	1	\N	11	\N	\N	http://www.npd.no/no/nyheter/resultat-av-leteboring/2010/161-9-i-nordsjoen--161-11--161-11-a	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6157	http://www.npd.no/FactMapSearch?NPDID_wellbore=6157	initial	\N	2012-04-26	6157	4972697	\N	287821	0	917266	DET NORSKE	2012-09-12	2012-09-12	2013-05-08
16/1-12	16/1-12	Lundin Norway AS	LUNDIN	338	WILDCAT	P&A	OIL	EXPLORATION	2009-07-29	2009-09-08	\N	1262-L	16/1-12	YES	80	inline:LN09M2 36056   Crossline:LN09M2 127920	1.30	25.000000	2055.00	2055.000000	107.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	SONGA DEE	SEMISUB STEEL	TFO2004	NO	WILDCAT	2009	2009	\N	\N	5	BASEMENT	PRE-DEVONIAN	\N	\N	\N	\N	42	NO	ED50	58	48	22.53	N	2	15	50.77	E	58.806258	2.264103	6518862.540000	457482.170000	31	16	1	\N	12	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/161-12/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6166	http://www.npd.no/FactMapSearch?NPDID_wellbore=6166	initial	\N	2011-09-08	6166	17196400	\N	290980	0	2986578	LUNDIN NORWAY	2013-05-01	2013-05-01	2013-05-08
25/5-6	25/5-6	Lundin Norway AS	LUNDIN	363	WILDCAT	P&A	DRY	EXPLORATION	2009-08-27	2009-09-19	\N	1263-L	\N	NO	0	inline 1928 & crossline 909 TO06RO6111	1.10	26.000000	2446.00	2446.000000	118.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2005	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	24	NO	ED50	59	44	18.85	N	2	23	52.81	E	59.738569	2.398003	6622604.690000	466156.040000	31	25	5	\N	6	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/255-6/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6167	http://www.npd.no/FactMapSearch?NPDID_wellbore=6167	initial	\N	2011-06-20	6167	\N	\N	296326	0	3810598	LUNDIN NORWAY	2012-07-25	2012-07-25	2013-05-08
17/12-4 A	17/12-4	BG Norge AS	BG GROUP	407	APPRAISAL	P&A	OIL	EXPLORATION	2009-07-10	2009-08-15	\N	1264-L	17/12-1 BREAM	NO	84	Bream 3D-inline 1504 & crossline 3822	92.00	18.000000	2319.00	3338.000000	110.000000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	TFO2006	NO	APPRAISAL	2009	2009	\N	\N	5	BRYNE FM	MIDDLE JURASSIC	\N	\N	\N	\N	37	NO	ED50	58	10	37.58	N	3	55	11.05	E	58.177106	3.919736	6448944.030000	554097.840000	31	17	12	\N	4	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/1712---4---4-A-og---4-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6178	http://www.npd.no/FactMapSearch?NPDID_wellbore=6178	sidetrack	17/12-4	2011-08-15	6178	43964	\N	297514	0	4237300	BG NORGE	2012-07-25	2012-07-25	2013-05-08
30/9-23	30/9-23	StatoilHydro Petroleum AS	STATOIL	104	WILDCAT	P&A	DRY	EXPLORATION	2009-07-29	2009-08-21	\N	1265-L	\N	NO	0	NH05M01-BIN-inline4656 & crossline 8456	0.00	26.000000	2872.00	2872.000000	114.000000	EARLY JURASSIC	DUNLIN GP	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	9	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	24	NO	ED50	60	27	32.76	N	2	59	7.64	E	60.459100	2.985456	6702699.700000	499199.970000	31	30	9	\N	23	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/309-23/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6182	http://www.npd.no/FactMapSearch?NPDID_wellbore=6182	initial	\N	2011-08-21	6182	\N	\N	296326	0	21636	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
25/8-17	25/8-17	ExxonMobil Exploration & Production Norway AS	ESSO	027 D	WILDCAT	P&A	OIL	EXPLORATION	2009-10-09	2009-10-29	JETTE	1266-L	25/8-17 JETTE	YES	86	xline 4558 inline 1341 NO07M01	1.50	25.000000	2233.00	2233.000000	127.000000	PALEOCENE	TY FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	WILDCAT	2009	2009	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	21	NO	ED50	59	23	32.14	N	2	20	2.20	E	59.392261	2.333944	6584073.730000	462168.230000	31	25	8	\N	17	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/258-17-og-258-17-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6185	http://www.npd.no/FactMapSearch?NPDID_wellbore=6185	initial	\N	2011-10-29	6185	17238186	21613906	373521	0	4943160	EXXON MO	2012-07-25	2012-07-25	2013-05-08
15/9-23	15/9-23	Det norske oljeselskap ASA	DET NORSKE	408	WILDCAT	P&A	DRY	EXPLORATION	2009-11-18	2010-01-03	\N	1267-L	\N	NO	0	PR07M01 xline:10216 & inline 1486	2.30	25.000000	3225.00	3225.000000	84.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2006	NO	WILDCAT	2009	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	47	NO	ED50	58	16	29.10	N	1	52	23.20	E	58.274750	1.873111	6459999.910000	433900.090000	31	15	9	\N	23	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/159-23/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6186	http://www.npd.no/FactMapSearch?NPDID_wellbore=6186	initial	\N	2011-06-15	6186	\N	\N	373521	0	4237444	DET NORSKE	2012-07-25	2012-07-25	2013-05-08
16/1-17	16/1-17	Lundin Norway AS	LUNDIN	338	WILDCAT	P&A	DRY	EXPLORATION	2013-02-11	2013-03-20	\N	1409-L	\N	NO	\N	\N	\N	26.000000	\N	0.000000	109.000000	\N	\N	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2004	NO	WILDCAT	2013	2013	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	58	50	17.95	N	2	19	23.32	E	58.838319	2.323144	6522396.520000	460929.420000	31	16	1	\N	17	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/161-17/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7113	http://www.npd.no/FactMapSearch?NPDID_wellbore=7113	initial	\N	9999-12-31	7113	\N	\N	296326	0	2986578	LUNDIN NORWAY	2013-03-22	2013-03-22	2013-05-08
25/1-11	25/1-11	Det norske oljeselskap ASA	DET NORSKE	460	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	2010-01-04	2010-01-12	\N	1268-L	\N	NO	0	NH9306R04 inline 1250 & xline 2593	1.40	40.000000	1178.00	1178.000000	107.000000	OLIGOCENE	HORDALAND GP	NORTH SEA	AKER BARENTS	SEMISUB STEEL	TFO2007	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	9	NO	ED50	59	47	25.12	N	2	13	6.43	E	59.790311	2.218453	6628472.080000	456130.020000	31	25	1	\N	11	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/-251-11-og-251-11-A	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6187	http://www.npd.no/FactMapSearch?NPDID_wellbore=6187	initial	\N	2012-01-12	6187	\N	\N	404303	0	4910195	DET NORSKE	2013-01-08	2013-01-08	2013-05-08
6609/10-2	6609/10-2	Det norske oljeselskap ASA (old)	DET NORSKE	483 S	WILDCAT	SUSP.REENTERED LATER	DRY	EXPLORATION	2009-09-05	2009-10-03	\N	1240-L	\N	NO	0	inline 4127 & crossline 3076(MC3D-NNE2000)	1.90	29.000000	2528.00	2528.000000	265.000000	LATE TRIASSIC	GREY BEDS (INFORMAL)	NORWEGIAN SEA	SONGA DELTA	SEMISUB STEEL	TFO2007	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	29	NO	ED50	66	2	29.00	N	9	3	6.00	E	66.041389	9.051667	7324709.970000	502341.290000	32	6609	10	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/660910-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6188	http://www.npd.no/FactMapSearch?NPDID_wellbore=6188	initial	\N	2011-06-16	6188	\N	\N	287821	0	4921755	DET NORSKE (OLD)	2012-07-25	2012-07-25	2013-05-08
25/9-3	25/9-3	Norwegian Energy Company ASA	NORECO	412	WILDCAT	P&A	DRY	EXPLORATION	2009-08-28	2009-09-20	\N	1269-L	\N	NO	0	NO 07M01-inline 2909 & crossline 4190	1.40	18.000000	2267.00	2267.000000	121.500000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	TFO2006	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	24	NO	ED50	59	26	5.03	N	2	40	42.88	E	59.434731	2.678578	6588658.010000	481766.000000	31	25	9	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/259-3/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6189	http://www.npd.no/FactMapSearch?NPDID_wellbore=6189	initial	\N	2011-09-30	6189	\N	\N	297514	0	4237612	NORECO ASA	2012-07-25	2012-07-25	2013-05-08
6407/12-2	6407/12-2	GDF SUEZ E&P Norge AS	GDF SUEZ	469	WILDCAT	P&A	DRY	EXPLORATION	2009-11-23	2009-12-20	\N	1270-L	\N	NO	48	\N	1.00	40.000000	1481.50	1481.500000	308.000000	EARLY CRETACEOUS	LANGE FM	NORWEGIAN SEA	AKER BARENTS	SEMISUB STEEL	TFO2007	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	28	NO	ED50	64	9	40.44	N	7	48	27.87	E	64.161233	7.807742	7115699.990000	442019.970000	32	6407	12	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/640712-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6191	http://www.npd.no/FactMapSearch?NPDID_wellbore=6191	initial	\N	2011-10-03	6191	\N	\N	404303	0	4920878	GDF SUEZ E&P NORGE	2013-01-08	2013-01-08	2013-05-08
6506/12-12 A	6506/12-12	StatoilHydro Petroleum AS	STATOIL	094	APPRAISAL	RE-CLASS TO DEV	OIL/GAS	EXPLORATION	2009-08-06	2009-09-02	ÅSGARD	1271-L	6506/12-12 S	NO	169	Inline 4240. Crossline 12687-NH0609	43.40	23.500000	4888.00	5481.000000	301.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	8	NO	APPRAISAL	2009	2009	6506/12-NB-1 H	\N	13	CROMER KNOLL GP	CRETACEOUS	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC      	28	NO	ED50	65	13	1.19	N	6	54	29.77	E	65.216997	6.908269	7234441.750000	402170.960000	32	6506	12	\N	12	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/650612-12-S-og-650612-12-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6208	http://www.npd.no/FactMapSearch?NPDID_wellbore=6208	sidetrack	6506/12-12 S	2011-09-02	6208	18104901	43765	296677	6731	21556	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
30/9-24	30/9-24	StatoilHydro Petroleum AS	STATOIL	079	WILDCAT	P&A	DRY	EXPLORATION	2009-09-10	2009-10-17	\N	1272-L	\N	NO	0	NH05M01FINAL:inline 3454 & crossline 8687	10.40	23.500000	3764.00	3767.000000	107.500000	LATE TRIASSIC	LUNDE FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	Awarded additionaly to round 6	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	60	29	4.70	N	2	42	43.20	E	60.484639	2.712000	6705578.760000	484170.800000	31	30	9	\N	24	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/309-24/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6210	http://www.npd.no/FactMapSearch?NPDID_wellbore=6210	initial	\N	2011-10-17	6210	\N	\N	296677	0	34635	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
17/12-4 B	17/12-4	BG Norge AS	BG GROUP	407	APPRAISAL	P&A	OIL	EXPLORATION	2009-08-16	2009-08-26	\N	1273-L	17/12-1 BREAM	NO	0	Bream 3D:inline 1504 & crossline 3822	96.00	18.000000	2312.00	3253.000000	110.000000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	TFO2006	NO	APPRAISAL	2009	2009	\N	\N	5	BRYNE FM	MIDDLE JURASSIC	\N	\N	\N	\N	11	NO	ED50	58	10	37.58	N	3	55	11.05	E	58.177106	3.919736	6448944.030000	554097.840000	31	17	12	\N	4	B	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/1712---4---4-A-og---4-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6211	http://www.npd.no/FactMapSearch?NPDID_wellbore=6211	sidetrack	17/12-4 A	2011-08-26	6211	43964	\N	297514	0	4237300	BG NORGE	2012-07-25	2012-07-25	2013-05-08
34/10-53 S	34/10-53	Statoil Petroleum AS	STATOIL	050	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2010-12-06	2011-03-24	\N	1275-L	34/10-53 S	YES	140	3D survey-St0504-nearest inline 1392 & nearest crossline 2331	56.00	32.000000	3879.00	4526.000000	137.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2010	2011	\N	\N	17	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	107	NO	ED50	61	4	4.68	N	2	7	0.34	E	61.067967	2.116761	6770840.060000	452330.000000	31	34	10	\N	53	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/3410-53-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6212	http://www.npd.no/FactMapSearch?NPDID_wellbore=6212	initial	\N	2013-03-24	6212	20415280	\N	404360	0	21188	STATOIL PETROLEUM AS	2013-03-25	2013-04-04	2013-05-08
25/2-17	25/2-17	StatoilHydro Petroleum AS	STATOIL	442	WILDCAT	P&A	OIL	EXPLORATION	2009-09-07	2009-10-11	\N	1276-L	25/2-17	YES	67	UHN98R00-inline 3338 & crossline 4645	2.50	22.000000	2192.00	2193.000000	120.000000	EOCENE	SELE FM	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2006	NO	WILDCAT	2009	2009	\N	\N	5	FRIGG FM	EOCENE	\N	\N	\N	\N	35	NO	ED50	59	51	57.13	N	2	37	50.39	E	59.865869	2.630664	6636686.060000	479314.990000	31	25	2	\N	17	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/252-17/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6215	http://www.npd.no/FactMapSearch?NPDID_wellbore=6215	initial	\N	2011-10-11	6215	17237215	\N	287902	0	4237510	STATOILHYDRO PETROLEUM	2012-11-07	2012-11-07	2013-05-08
16/4-5	16/4-5	Lundin Norway AS	LUNDIN	359	WILDCAT	P&A	OIL SHOWS	EXPLORATION	2010-02-04	2010-03-07	\N	1274-L	\N	NO	84	UP 96 M07-inline 776 &crossline 3139	1.50	26.000000	2019.80	2020.000000	104.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2005	NO	WILDCAT	2010	2010	\N	\N	12	\N	\N	\N	\N	\N	\N	32	NO	ED50	58	43	44.13	N	2	17	32.29	E	58.728925	2.292303	6510234.130000	459020.490000	31	16	4	\N	5	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/164-5/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6216	http://www.npd.no/FactMapSearch?NPDID_wellbore=6216	initial	\N	2012-04-01	6216	\N	\N	296326	0	3810373	LUNDIN NORWAY	2012-07-25	2012-07-25	2013-05-08
24/9-9 S	24/9-9	Marathon Petroleum Norge AS	MARATHON	340	WILDCAT	P&A	OIL	EXPLORATION	2009-09-12	2009-10-07	BØYLA	1277-L	24/9-9 S BØYLA	YES	0	MN DG 043 & 032A	37.60	25.000000	2226.70	2402.000000	120.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	SONGA DEE	SEMISUB STEEL	TFO2004	NO	WILDCAT	2009	2009	\N	\N	5	HERMOD FM	PALEOCENE	\N	\N	\N	\N	26	NO	ED50	59	19	40.49	N	1	50	17.27	E	59.327914	1.838131	6577295.290000	433882.570000	31	24	9	\N	9	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/249-9-S-249-9-A-og-249-9-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6222	http://www.npd.no/FactMapSearch?NPDID_wellbore=6222	initial	\N	2011-10-07	6222	17237206	22492497	290980	0	2986630	MARATHON N	2012-10-27	2012-10-27	2013-05-08
16/1-8 R	16/1-8	Lundin Norway AS	LUNDIN	338	APPRAISAL	P&A	OIL	EXPLORATION	2009-10-02	2009-10-10	EDVARD GRIEG	1152-L2	16/1-8 EDVARD GRIEG	NO	0	ST9511 MO6 3085 xline ST 9511 MO6 2334	1.70	26.000000	2201.00	2201.000000	108.000000	TRIASSIC	NO GROUP DEFINED	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2004	NO	WILDCAT	2009	2009	\N	TESTING/PLUGGING	5	NO GROUP DEFINED	JURASSIC	\N	\N	\N	\N	9	YES	ED50	58	50	8.63	N	2	14	6.36	E	58.835731	2.235100	6522162.970000	455844.010000	31	16	1	\N	8	R	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6226	http://www.npd.no/FactMapSearch?NPDID_wellbore=6226	re-entry	16/1-8	2011-10-10	6226	4530554	21675433	296326	0	2986578	LUNDIN NORWAY	2012-07-25	2012-07-25	2013-05-08
34/4-11	34/4-11	Petro-Canada Norge AS	PETROCAN	375	WILDCAT	P&A	OIL	EXPLORATION	2009-10-13	2010-01-10	\N	1278-L	34/4-11	YES	144	PCR06M1 -crossline 1881 & innline 1917	4.50	29.000000	4326.00	4327.000000	375.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	SONGA DELTA	SEMISUB STEEL	TFO2005	NO	WILDCAT	2009	2010	\N	\N	5	BRENT GP	MIDDLE JURASSIC	STATFJORD FM	EARLY JURASSIC	\N	\N	90	NO	ED50	61	38	41.00	N	2	5	53.74	E	61.644722	2.098261	6835097.240000	452218.980000	31	34	4	\N	11	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/344-11/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6227	http://www.npd.no/FactMapSearch?NPDID_wellbore=6227	initial	\N	2012-01-10	6227	17826500	\N	287821	0	3811214	PETRO-CANADA NORGE AS	2012-07-25	2012-07-25	2013-05-08
16/1-13	16/1-13	Lundin Norway AS	LUNDIN	338	APPRAISAL	P&A	OIL	EXPLORATION	2009-11-30	2010-01-21	EDVARD GRIEG	1279-L	16/1-8 EDVARD GRIEG	NO	92	LN0803 OBS -inline 3179 & crossline 2503	4.10	26.000000	2301.00	2303.000000	109.500000	LATE TRIASSIC	HEGRE GP	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2004	NO	APPRAISAL	2009	2010	\N	\N	5	NO FORMAL NAME	EARLY CRETACEOUS	INTRA DRAUPNE FM SS	LATE JURASSIC	UNDEFINED GP	JURASSIC/TRIASSIC   	53	NO	ED50	58	51	17.39	N	2	15	17.80	E	58.854831	2.254944	6524276.810000	457013.220000	31	16	1	\N	13	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/161-13/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6232	http://www.npd.no/FactMapSearch?NPDID_wellbore=6232	initial	\N	2012-01-21	6232	4530554	21675433	296326	0	2986578	LUNDIN NORWAY	2012-07-25	2012-07-25	2013-05-08
6608/10-13	6608/10-13	StatoilHydro Petroleum AS	STATOIL	437	WILDCAT	P&A	DRY	EXPLORATION	2009-10-17	2009-11-07	\N	1280-L	\N	NO	0	3D survey ST04M14 inline 1812 & xline 2164	1.40	22.000000	1442.00	1442.000000	384.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2006	NO	WILDCAT	2009	2009	\N	\N	1	\N	\N	\N	\N	\N	\N	20	NO	ED50	66	0	25.40	N	8	18	10.20	E	66.007056	8.302833	7321057.760000	468365.640000	32	6608	10	\N	13	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/660810-13/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6235	http://www.npd.no/FactMapSearch?NPDID_wellbore=6235	initial	\N	2011-11-07	6235	\N	\N	287902	0	4238776	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
24/9-9 A	24/9-9	Marathon Petroleum Norge AS	MARATHON	340	APPRAISAL	P&A	OIL	EXPLORATION	2009-10-07	2009-10-15	BØYLA	1281-L	24/9-9 S BØYLA	NO	0	MN  DG 043 & 032 A	64.20	25.000000	2135.00	2981.000000	120.000000	PALEOCENE	SELE FM	NORTH SEA	SONGA DEE	SEMISUB STEEL	TFO2004	NO	APPRAISAL	2009	2009	\N	\N	5	HERMOD FM	PALEOCENE	\N	\N	\N	\N	9	NO	ED50	59	19	40.49	N	1	50	17.27	E	59.327914	1.838131	6577295.290000	433882.570000	31	24	9	\N	9	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/249-9-S-249-9-A-og-249-9-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6239	http://www.npd.no/FactMapSearch?NPDID_wellbore=6239	sidetrack	24/9-9 S	2011-10-15	6239	17237206	22492497	290980	0	2986630	MARATHON N	2012-10-27	2012-10-27	2013-05-08
34/3-2 S	34/3-2	BG Norge AS	BG GROUP	373 S	WILDCAT	P&A	SHOWS	EXPLORATION	2009-10-25	2009-12-30	\N	1282-L	\N	NO	148	inline 5165 & crossline 3224	10.40	18.000000	4315.00	4331.000000	409.000000	TRIASSIC	STATFJORD FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	TFO2005	NO	WILDCAT	2009	2009	\N	\N	12	\N	\N	\N	\N	\N	\N	67	NO	ED50	61	48	45.06	N	2	49	16.46	E	61.812517	2.821239	6853471.840000	490579.030000	31	34	3	\N	2	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/343-2-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6249	http://www.npd.no/FactMapSearch?NPDID_wellbore=6249	initial	\N	2012-01-03	6249	\N	\N	297514	0	3811116	BG NORGE	2012-07-25	2012-07-25	2013-05-08
25/4-10 S	25/4-10	Marathon Petroleum Norge AS	MARATHON	203	WILDCAT	P&A	OIL	EXPLORATION	2009-10-20	2009-11-10	ALVHEIM	1283-L	25/4-10 S	YES	0	MN-0504-D003 & MN-0504-D008A	53.80	26.000000	2211.80	2912.000000	123.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	15	NO	WILDCAT	2009	2009	\N	\N	5	HERMOD FM	PALEOCENE	\N	\N	\N	\N	22	NO	ED50	59	30	51.43	N	2	0	13.78	E	59.514286	2.003828	6597895.930000	443621.940000	31	25	4	\N	10	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/254-10-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6253	http://www.npd.no/FactMapSearch?NPDID_wellbore=6253	initial	\N	2011-11-10	6253	17256863	2845712	296326	0	22436	MARATHON N	2012-07-25	2012-07-25	2013-05-08
24/9-9 B	24/9-9	Marathon Petroleum Norge AS	MARATHON	340	APPRAISAL	P&A	OIL	EXPLORATION	2009-10-15	2009-10-25	BØYLA	1284-L	24/9-9 S BØYLA	NO	0	MN DG 043 & 032 A	65.20	25.000000	2118.00	3005.000000	120.000000	PALEOCENE	SELE FM	NORTH SEA	SONGA DEE	SEMISUB STEEL	TFO2004	NO	APPRAISAL	2009	2009	\N	\N	5	HERMOD FM	PALEOCENE	\N	\N	\N	\N	11	NO	ED50	59	19	40.49	N	1	50	17.27	E	59.327914	1.838131	6577295.290000	433882.570000	31	24	9	\N	9	B	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/249-9-S-249-9-A-og-249-9-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6254	http://www.npd.no/FactMapSearch?NPDID_wellbore=6254	sidetrack	24/9-9 A	2011-10-25	6254	17237206	22492497	290980	0	2986630	MARATHON N	2012-10-27	2012-10-27	2013-05-08
25/4-10 A	25/4-10	Marathon Petroleum Norge AS	MARATHON	203	WILDCAT	P&A	GAS	EXPLORATION	2009-11-11	2009-11-28	\N	1285-L	25/4-10 A	YES	0	MN-0504-D003 & MN-0504-D008A	42.60	26.000000	2191.00	2550.000000	123.000000	PALEOCENE	HEIMDAL FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	15	NO	WILDCAT	2009	2009	\N	\N	9	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	18	NO	ED50	59	30	51.43	N	2	0	13.78	E	59.514286	2.003828	6597895.930000	443621.940000	31	25	4	\N	10	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/254-10-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6255	http://www.npd.no/FactMapSearch?NPDID_wellbore=6255	sidetrack	25/4-10 S	2011-11-28	6255	17312260	\N	296326	0	22436	MARATHON N	2012-12-08	2012-12-08	2013-05-08
6507/3-8	6507/3-8	StatoilHydro Petroleum AS	STATOIL	159 B	WILDCAT	P&A	OIL/GAS	EXPLORATION	2009-11-09	2009-12-15	\N	1286-L	6507/3-8	YES	113	3D survey :ST03M03-inline 5177 & xline 2967	2.90	22.000000	2990.00	2990.000000	379.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	Awarded additionaly to round 12 B	NO	WILDCAT	2009	2009	\N	\N	13	FANGST GP	MIDDLE JURASSIC	BÅT GP	EARLY JURASSIC	\N	\N	37	NO	ED50	65	59	28.20	N	7	59	27.70	E	65.991167	7.991028	7319479.290000	454189.610000	32	6507	3	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/65073-8/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6258	http://www.npd.no/FactMapSearch?NPDID_wellbore=6258	initial	\N	2012-01-10	6258	17341840	\N	287902	0	2819945	STATOILHYDRO PETROLEUM	2012-07-25	2012-07-25	2013-05-08
16/2-17 B	16/2-17	Statoil Petroleum AS	STATOIL	265	APPRAISAL	\N	\N	EXPLORATION	9999-12-31	9999-12-31	\N	1448-L	\N	NO	\N	inline 4273 & crossline 3224(On 3D cube LN0902STR11)	\N	22.000000	\N	0.000000	111.000000	\N	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	NST2000	NO	APPRAISAL	0	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	58	48	15.92	N	2	31	46.03	E	58.804422	2.529453	6518520.010000	472811.620000	31	16	2	\N	17	B	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7175	http://www.npd.no/FactMapSearch?NPDID_wellbore=7175	sidetrack	16/2-17 A	9999-12-31	7175	\N	\N	287902	0	1624237	STATOIL PETROLEUM AS	2013-05-01	2013-05-01	2013-05-08
25/8-17 A	25/8-17	ExxonMobil Exploration & Production Norway AS	ESSO	027 D	APPRAISAL	P&A	OIL	EXPLORATION	2009-10-30	2009-11-15	JETTE	1288-L	25/8-17 JETTE	NO	0	xline 4558 & inline 1341 NO07M01	66.20	25.000000	2179.00	2945.000000	127.000000	PALEOCENE	TY FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	APPRAISAL	2009	2009	\N	\N	5	HEIMDAL FM	PALEOCENE	\N	\N	\N	\N	17	NO	ED50	59	23	32.14	N	2	20	2.20	E	59.392261	2.333944	6584073.730000	462168.230000	31	25	8	\N	17	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2009/258-17-og-258-17-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6261	http://www.npd.no/FactMapSearch?NPDID_wellbore=6261	sidetrack	25/8-17	2011-11-15	6261	17238186	21613906	373521	0	4943160	EXXON MO	2012-07-25	2012-07-25	2013-05-08
34/4-12 S	34/4-12	Statoil Petroleum AS	STATOIL	057	WILDCAT	P&A	OIL	EXPLORATION	2009-12-19	2010-01-25	\N	1289-L	34/4-12 S	YES	115	ST06M09-inline 6110-xline 4515	27.90	22.000000	2962.00	3066.000000	381.700000	LATE TRIASSIC	LUNDE FM	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	4	NO	WILDCAT	2009	2010	\N	\N	5	LUNDE FM	LATE TRIASSIC	\N	\N	\N	\N	38	NO	ED50	61	33	8.00	N	2	17	37.70	E	61.552222	2.293806	6824665.280000	462468.370000	31	34	4	\N	12	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/344-12-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6283	http://www.npd.no/FactMapSearch?NPDID_wellbore=6283	initial	\N	2012-01-25	6283	18012830	\N	287902	0	21252	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
35/9-5	35/9-5	Nexen Exploration Norge AS	NEXEN	419	WILDCAT	P&A	DRY	EXPLORATION	2010-01-01	2010-02-07	\N	1290-L	\N	NO	116	Marf 0607(PGS)line 3165 Tracer 8837	6.80	18.000000	3529.00	3531.000000	366.000000	MIDDLE JURASSIC	KROSSFJORD FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	TFO2006	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	61	19	28.90	N	3	48	45.19	E	61.324694	3.812553	6799386.690000	543499.700000	31	35	9	\N	5	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/359-5/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6293	http://www.npd.no/FactMapSearch?NPDID_wellbore=6293	initial	\N	2011-10-03	6293	\N	\N	297514	0	4238530	NEXEN EXPLORATION NORGE	2012-07-25	2012-07-25	2013-05-08
6608/10-14 S	6608/10-14	Statoil Petroleum AS	STATOIL	128	WILDCAT	P&A	OIL/GAS	EXPLORATION	2010-02-22	2010-04-01	SKULD	1291-L	6608/10-14 S SKULD	YES	97	3D Survey:ST04M17-inline 821 & xline 2986	30.50	22.000000	2771.00	2880.000000	354.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	10-B	NO	WILDCAT	2010	2010	\N	\N	13	INTRA MELKE FM SS	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	TOFTE FM	EARLY JURASSIC      	39	NO	ED50	66	8	58.50	N	8	14	45.69	E	66.149583	8.246025	7336974.110000	465979.130000	32	6608	10	\N	14	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/660810-14-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6306	http://www.npd.no/FactMapSearch?NPDID_wellbore=6306	initial	\N	2012-04-01	6306	18086080	21350124	287902	0	21836	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/5-1 S	34/5-1	BG Norge AS	BG GROUP	374 S	WILDCAT	P&A	OIL	EXPLORATION	2010-01-07	2010-03-13	\N	1292-L	34/5-1 S	YES	135	inline 4612-xline 2264 at top Cook	35.60	25.000000	3737.00	3900.000000	387.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2005	NO	WILDCAT	2010	2010	\N	\N	5	COOK FM	EARLY JURASSIC	\N	\N	\N	\N	66	NO	ED50	61	44	35.19	N	2	35	55.37	E	61.743108	2.598714	6845792.020000	478803.990000	31	34	5	\N	1	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/345-1-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6307	http://www.npd.no/FactMapSearch?NPDID_wellbore=6307	initial	\N	2012-04-01	6307	18082198	\N	373521	0	3811171	BG NORGE	2012-07-25	2012-07-25	2013-05-08
34/4-12 A	34/4-12	Statoil Petroleum AS	STATOIL	057	WILDCAT	P&A	OIL	EXPLORATION	2010-01-27	2010-02-18	SNORRE	1293-L	34/4-12 A	YES	0	ST06M09. In-line: 6110. X-line: 4515	28.60	22.000000	2652.00	2761.000000	381.700000	LATE TRIASSIC	LUNDE FM	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	4	NO	WILDCAT	2010	2010	\N	\N	5	LUNDE FM	LATE TRIASSIC	\N	\N	\N	\N	23	NO	ED50	61	33	8.00	N	2	17	37.70	E	61.552222	2.293806	6824665.280000	462468.370000	31	34	4	\N	12	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/344-12-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6316	http://www.npd.no/FactMapSearch?NPDID_wellbore=6316	sidetrack	34/4-12 S	2012-02-19	6316	18082189	43718	287902	0	21252	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
6507/5-6 S	6507/5-6	BP Norge AS	BP	212	WILDCAT	SUSPENDED	GAS	EXPLORATION	2010-01-12	2010-06-08	SKARV	1294-L	6507/5-6 S	YES	0	Survey BP 0501-R8-inline 1214 & crossline 1374 Enterypoint mudline	70.80	31.000000	2907.00	4991.000000	325.000000	LATE CRETACEOUS	LANGE FM	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	15	NO	WILDCAT	2010	2010	\N	\N	9	LYSING FM	LATE CRETACEOUS	\N	\N	\N	\N	148	NO	ED50	65	44	19.36	N	7	39	20.52	E	65.738711	7.655700	7291629.850000	438363.830000	32	6507	5	\N	6	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/65075-6-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6321	http://www.npd.no/FactMapSearch?NPDID_wellbore=6321	initial	\N	2012-06-08	6321	18161414	4704482	297784	0	22508	BP NORGE	2013-01-10	2013-01-10	2013-05-08
15/12-22	15/12-22	Det norske oljeselskap ASA	DET NORSKE	337	WILDCAT	P&A	DRY	EXPLORATION	2010-04-17	2010-05-16	\N	1295-L	\N	NO	0	PR08M01-inline 3217&xline4763	0.00	25.000000	3035.00	3035.000000	82.500000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2004	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	30	NO	ED50	58	12	12.30	N	1	59	14.40	E	58.203417	1.987333	6451951.660000	440480.330000	31	15	12	\N	22	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/1512-22/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6326	http://www.npd.no/FactMapSearch?NPDID_wellbore=6326	initial	\N	2010-06-15	6326	\N	\N	373521	0	2986484	DET NORSKE	2012-07-25	2012-07-25	2013-05-08
15/12-23	15/12-23	Talisman Energy Norge AS	TALISMAN	038 D	APPRAISAL	P&A	OIL	EXPLORATION	2010-04-01	2010-05-29	\N	1296-L	15/12-21	NO	128	inline 3341 & xline 5243	9.90	26.000000	3478.00	3485.000000	86.500000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	20	NO	APPRAISAL	2010	2010	\N	\N	5	SLEIPNER FM	MIDDLE JURASSIC	SKAGERRAK FM	LATE TRIASSIC	\N	\N	59	NO	ED50	58	13	5.55	N	1	53	3.58	E	58.218208	1.884328	6453694.020000	434453.740000	31	15	12	\N	23	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/1512-23-og-1512-23-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6327	http://www.npd.no/FactMapSearch?NPDID_wellbore=6327	initial	\N	2012-05-29	6327	5490719	\N	296326	0	5500999	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
24/12-6 S	24/12-6	Det norske oljeselskap ASA	DET NORSKE	341	WILDCAT	P&A	DRY	EXPLORATION	2010-08-16	2010-12-20	\N	1297-L	\N	NO	0	SurveyWGS2413R06 PSDM inline 2513 & crossline 1519	21.70	29.000000	5076.00	5207.000000	116.000000	MIDDLE JURASSIC	SLEIPNER FM	NORTH SEA	SONGA DELTA	SEMISUB STEEL	TFO2004	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	127	NO	ED50	59	3	54.14	N	1	45	15.24	E	59.065039	1.754233	6548111.450000	428561.940000	31	24	12	\N	6	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/2412-6-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6328	http://www.npd.no/FactMapSearch?NPDID_wellbore=6328	initial	\N	2012-04-01	6328	\N	\N	287821	0	2986675	DET NORSKE	2012-07-25	2012-07-25	2013-05-08
25/11-27	25/11-27	Statoil Petroleum AS	STATOIL	169	WILDCAT	\N	\N	EXPLORATION	2013-05-06	9999-12-31	\N	1449-L	\N	NO	\N	3D survey : NH9301-BIN -inline 1354 & xline 976	\N	25.000000	\N	0.000000	126.000000	\N	\N	NORTH SEA	SONGA TRYM	SEMISUB STEEL	13	NO	WILDCAT	2013	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	59	14	15.78	N	2	32	51.25	E	59.237717	2.547569	6566761.870000	474185.050000	31	25	11	\N	27	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7179	http://www.npd.no/FactMapSearch?NPDID_wellbore=7179	initial	\N	9999-12-31	7179	\N	\N	296164	0	22164	STATOIL PETROLEUM AS	2013-05-07	2013-05-07	2013-05-08
6506/9-2 S	6506/9-2	Centrica Resources (Norge) AS	CENTRICA	433	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2010-02-11	2010-04-28	\N	1298-L	6506/9-2 S	YES	0	seismic survey CE0801M1-inline2791& crossline 2704	14.30	18.000000	4736.00	4805.000000	281.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	TFO2006	NO	WILDCAT	2010	2010	\N	\N	17	GARN FM	MIDDLE JURASSIC	ILE FM	MIDDLE JURASSIC	\N	\N	77	NO	ED50	65	15	51.04	N	6	44	4.36	E	65.264178	6.734544	7239978.200000	394237.400000	32	6506	9	\N	2	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/65069-2-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6332	http://www.npd.no/FactMapSearch?NPDID_wellbore=6332	initial	\N	2012-04-28	6332	18086230	\N	297514	0	4238654	CENTRICA RESOURCES NORGE AS	2012-08-10	2012-08-10	2013-05-08
9/2-11	9/2-11	Talisman Energy Norge AS	TALISMAN	316 DS	WILDCAT	P&A	DRY	EXPLORATION	2010-03-09	2010-03-29	\N	1299-L	\N	NO	0	inline 1659 & xline 7588	16.60	26.000000	2836.00	2861.000000	101.000000	MIDDLE JURASSIC	BRYNE FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	Awarded additionaly to round 18	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	21	NO	ED50	57	55	21.46	N	4	33	35.71	E	57.922628	4.559919	6421307.830000	592404.020000	31	9	2	\N	11	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/92-11/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6341	http://www.npd.no/FactMapSearch?NPDID_wellbore=6341	initial	\N	2011-06-16	6341	\N	\N	296326	0	4481011	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
25/10-10	25/10-10	ExxonMobil Exploration & Production Norway AS	ESSO	028 S	WILDCAT	P&A	DRY	EXPLORATION	2010-03-01	2010-04-02	\N	1300-L	\N	NO	0	XLINE 17319 inline 13196 MC3D-CNS-MEGA	1.50	40.000000	2513.00	2513.000000	123.500000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	AKER BARENTS	SEMISUB STEEL	Awarded additionaly to round 2-A	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	33	NO	ED50	59	11	5.51	N	2	17	50.70	E	59.184864	2.297417	6561000.080000	459850.020000	31	25	10	\N	10	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/2510-10/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6345	http://www.npd.no/FactMapSearch?NPDID_wellbore=6345	initial	\N	2012-04-02	6345	\N	\N	404303	0	18054740	EXXON MO	2012-07-25	2012-07-25	2013-05-08
2/2-6	2/2-6	Talisman Energy Norge AS	TALISMAN	332	WILDCAT	P&A	DRY	EXPLORATION	2010-03-27	2010-05-14	\N	1301-L	\N	NO	0	inline 6460 & crossline 20720(Survey # VGCSN06NQ2PSDM)	5.30	42.400000	4104.30	4105.000000	63.800000	LATE JURASSIC	FARSUND FM	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2004	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	49	NO	ED50	56	48	17.52	N	3	26	7.49	E	56.804867	3.435414	6295890.120000	526589.960000	31	2	2	\N	6	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/22-6	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6346	http://www.npd.no/FactMapSearch?NPDID_wellbore=6346	initial	\N	2012-05-14	6346	\N	\N	292114	0	2986240	TALISMAN ENERGY	2012-07-25	2012-07-25	2013-05-08
6603/5-1 S	6603/5-1	A/S Norske Shell	SHELL	392	WILDCAT	P&A	DRY	EXPLORATION	2010-09-06	2010-12-20	\N	1302-L	\N	NO	190	inline 3056/3048/3010 & crossline 2242	30.40	40.000000	5068.00	5254.000000	1452.000000	EARLY CRETACEOUS	LANGE FM	NORWEGIAN SEA	AKER BARENTS	SEMISUB STEEL	19	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	106	NO	ED50	66	34	33.21	N	3	32	46.05	E	66.575892	3.546125	7384397.320000	524227.520000	31	6603	5	\N	1	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/66035-1-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6348	http://www.npd.no/FactMapSearch?NPDID_wellbore=6348	initial	\N	2013-01-15	6348	\N	\N	404303	0	3965222	SHELL NORGE	2013-01-17	2013-01-17	2013-05-08
6406/3-8	6406/3-8	Wintershall Norge ASA	WINTERSHALL	475 BS	WILDCAT	P&A	OIL	EXPLORATION	2010-05-16	2010-08-10	\N	1303-L	6406/3-8	YES	0	ST0614Inline 1346 & St0614 Xline 2122	21.60	29.000000	4138.00	4216.000000	303.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	SONGA DELTA	SEMISUB STEEL	TFO2008	NO	WILDCAT	2010	2010	\N	\N	5	GARN FM	MIDDLE JURASSIC	\N	\N	\N	\N	87	NO	ED50	64	56	9.31	N	6	56	33.42	E	64.935919	6.942617	7203074.630000	402756.750000	32	6406	3	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/64063-8/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6350	http://www.npd.no/FactMapSearch?NPDID_wellbore=6350	initial	\N	2012-08-23	6350	18212080	\N	287821	0	5107669	WINTERSHALL NORGE ASA	2012-08-24	2012-08-24	2013-05-08
6407/2-6 S	6407/2-6	Statoil Petroleum AS	STATOIL	473	WILDCAT	P&A	OIL/GAS	EXPLORATION	2010-04-03	2010-05-13	\N	1304-L	6407/2-6 S	YES	118	3D survey: ST04M8-inline 2255 & trace 3821	19.00	22.000000	3188.00	3230.000000	252.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2007	NO	WILDCAT	2010	2010	\N	\N	13	TOFTE FM	EARLY JURASSIC	TILJE FM	EARLY JURASSIC	\N	\N	41	NO	ED50	64	46	17.20	N	7	36	19.00	E	64.771444	7.605278	7183892.380000	433668.920000	32	6407	2	\N	6	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/64072-6-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6351	http://www.npd.no/FactMapSearch?NPDID_wellbore=6351	initial	\N	2012-05-13	6351	18104628	\N	287902	0	4920841	STATOIL PETROLEUM AS	2012-11-09	2012-11-09	2013-05-08
34/5-1 A	34/5-1	BG Norge AS	BG GROUP	374 S	APPRAISAL	P&A	DRY	EXPLORATION	2010-03-16	2010-04-10	\N	1305-L	34/5-1 S	NO	0	inline 4451 & xline 2305 at top Cook	55.80	25.000000	3731.00	4416.000000	387.000000	EARLY JURASSIC	BURTON FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2005	NO	APPRAISAL	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	26	NO	ED50	61	44	35.19	N	2	35	55.37	E	61.743108	2.598714	6845792.020000	478803.990000	31	34	5	\N	1	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/345-1-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6352	http://www.npd.no/FactMapSearch?NPDID_wellbore=6352	sidetrack	34/5-1 S	2012-04-10	6352	18082198	\N	373521	0	3811171	BG NORGE	2012-08-10	2012-08-10	2013-05-08
15/3-9	15/3-9	Statoil Petroleum AS	STATOIL	187	WILDCAT	P&A	OIL/GAS	EXPLORATION	2010-05-19	2010-08-13	\N	1306-L	15/3-9	YES	154	inline 2725 & xline 2721.seismic cube ST 208707	6.90	23.500000	4650.50	4654.000000	108.000000	MIDDLE JURASSIC	SLEIPNER FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	14	NO	WILDCAT	2010	2010	\N	\N	13	INTRA DRAUPNE FM SS	LATE JURASSIC	HUGIN FM	MIDDLE JURASSIC	\N	\N	87	NO	ED50	58	49	14.00	N	1	46	20.70	E	58.820556	1.772417	6520870.800000	429104.880000	31	15	3	\N	9	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/153-9/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6354	http://www.npd.no/FactMapSearch?NPDID_wellbore=6354	initial	\N	2012-10-16	6354	18212532	\N	296677	0	22308	STATOIL PETROLEUM AS	2012-10-16	2012-10-16	2013-05-08
6604/10-1	6604/10-1	A/S Norske Shell	SHELL	326	WILDCAT	P&A	GAS	EXPLORATION	2010-05-26	2010-09-03	\N	1307-L	6604/10-1	YES	129	inline 2462 & xline 3306 on sh0903 3D Volume	2.00	40.000000	3715.00	3715.000000	1354.000000	LATE CRETACEOUS	SPRINGAR FM	NORWEGIAN SEA	AKER BARENTS	SEMISUB STEEL	18	NO	APPRAISAL	2010	2010	\N	\N	9	SHETLAND GP	LATE CRETACEOUS	\N	\N	\N	\N	101	NO	ED50	66	11	0.10	N	4	11	42.79	E	66.183361	4.195219	7341048.530000	553857.270000	31	6604	10	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/660410-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6356	http://www.npd.no/FactMapSearch?NPDID_wellbore=6356	initial	\N	2012-01-01	6356	20472522	\N	404303	0	2786855	SHELL NORGE	2012-07-25	2012-07-25	2013-05-08
15/12-23 A	15/12-23	Talisman Energy Norge AS	TALISMAN	038 D	APPRAISAL	P&A	OIL	EXPLORATION	2010-05-31	2010-07-18	\N	1317-L	15/12-21	NO	0	inline3392 & xline 5412	88.50	26.000000	3327.00	4772.000000	86.500000	MIDDLE JURASSIC	SLEIPNER FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	20	NO	APPRAISAL	2010	2010	\N	\N	5	SLEIPNER FM	MIDDLE JURASSIC	\N	\N	\N	\N	49	NO	ED50	58	13	5.55	N	1	53	3.58	E	58.218208	1.884328	6453694.020000	434453.740000	31	15	12	\N	23	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/1512-23-og-1512-23-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6404	http://www.npd.no/FactMapSearch?NPDID_wellbore=6404	sidetrack	15/12-23	2012-07-18	6404	5490719	\N	296326	0	5500999	TALISMAN ENERGY	2012-08-24	2012-08-24	2013-05-08
16/1-11 A	16/1-11	Det norske oljeselskap ASA	DET NORSKE	001 B	APPRAISAL	P&A	OIL	EXPLORATION	2010-04-26	2010-05-09	\N	1308-L	16/1-9 IVAR AASEN	NO	0	inline 886 & crossline 1149	27.70	29.000000	2528.00	2595.000000	112.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	SONGA DELTA	SEMISUB STEEL	Awarded additionaly to round 1-A	NO	APPRAISAL	2010	2010	\N	\N	5	SLEIPNER FM	MIDDLE JURASSIC	SKAGERRAK FM	LATE TRIASSIC	\N	\N	14	NO	ED50	58	55	36.15	N	2	11	7.48	E	58.926708	2.185411	6532327.000000	453098.970000	31	16	1	\N	11	A	\N	http://www.npd.no/no/nyheter/resultat-av-leteboring/2010/161-9-i-nordsjoen--161-11--161-11-a	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6364	http://www.npd.no/FactMapSearch?NPDID_wellbore=6364	sidetrack	16/1-11	2012-05-09	6364	4972697	\N	287821	0	917266	DET NORSKE	2013-02-13	2013-02-13	2013-05-08
6507/7-14 S	6507/7-14	RWE Dea Norge AS	RWE-DEA	435	WILDCAT	P&A	GAS	EXPLORATION	2010-06-14	2010-09-26	\N	1309-L	6507/7-14 S	YES	162	Survey RD0701M01 inline 10519 & crossline 7637	22.40	25.000000	4477.00	4534.000000	344.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2006	NO	WILDCAT	2010	2010	\N	\N	9	FANGST GP	MIDDLE JURASSIC	\N	\N	\N	\N	105	NO	ED50	65	25	35.84	N	7	10	28.05	E	65.426622	7.174458	7257411.950000	415293.970000	32	6507	7	\N	14	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/65077-14-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6367	http://www.npd.no/FactMapSearch?NPDID_wellbore=6367	initial	\N	2012-10-17	6367	18229140	\N	373521	0	4238696	RWE-DEA NORGE	2012-10-17	2012-10-17	2013-05-08
25/1-11 R	25/1-11	Det norske oljeselskap ASA	DET NORSKE	460	WILDCAT	P&A	OIL	EXPLORATION	2010-04-04	2010-04-26	\N	1268-L2	25/1-11 R	YES	73	NH9306R04 inline 1250 & xline 2593	1.40	40.000000	2338.00	2338.000000	107.000000	LATE PALEOCENE	HEIMDAL FM	NORTH SEA	AKER BARENTS	SEMISUB STEEL	TFO2007	NO	WILDCAT	2010	2010	\N	DRILLING/PLUGGING	5	FRIGG FM	EOCENE	\N	\N	\N	\N	24	YES	ED50	59	47	25.12	N	2	13	6.43	E	59.790311	2.218453	6628472.080000	456130.020000	31	25	1	\N	11	R	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/-251-11-og-251-11-A	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6368	http://www.npd.no/FactMapSearch?NPDID_wellbore=6368	re-entry	25/1-11 A	2012-04-26	6368	18086221	\N	404303	0	4910195	DET NORSKE	2012-07-25	2012-07-25	2013-05-08
6407/12-3	6407/12-3	Centrica Resources (Norge) AS	CENTRICA	470	WILDCAT	P&A	DRY	EXPLORATION	2010-05-14	2010-06-02	\N	1310-L	\N	NO	70	Survey-RX07M01-inline 7091 & crossline 2727	2.00	18.000000	1968.00	1968.000000	288.000000	MIDDLE JURASSIC	ILE FM	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	TFO2007	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	20	NO	ED50	64	14	17.73	N	7	48	54.34	E	64.238258	7.815094	7124275.910000	442537.320000	32	6407	12	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/640712-3/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6370	http://www.npd.no/FactMapSearch?NPDID_wellbore=6370	initial	\N	2011-10-03	6370	\N	\N	297514	0	4920926	CENTRICA RESOURCES NORGE AS	2012-07-25	2012-07-25	2013-05-08
16/2-6	16/2-6	Lundin Norway AS	LUNDIN	501	WILDCAT	P&A	OIL	EXPLORATION	2010-07-20	2010-09-20	\N	1311-L	16/2-6 JOHAN SVERDRUP	YES	0	Ln0902-inline2210 & crossline 7260	0.00	26.000000	2131.00	2131.000000	115.000000	LATE PERMIAN	ZECHSTEIN GP	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2008	NO	WILDCAT	2010	2010	\N	\N	5	INTRA DRAUPNE FM SS	LATE JURASSIC	VESTLAND GP	MIDDLE JURASSIC	\N	\N	63	NO	ED50	58	49	25.26	N	2	36	54.76	E	58.823683	2.615211	6520633.120000	477779.050000	31	16	2	\N	6	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/162-6/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6374	http://www.npd.no/FactMapSearch?NPDID_wellbore=6374	initial	\N	2012-10-16	6374	18387202	\N	296326	0	5106314	LUNDIN NORWAY	2012-12-11	2012-12-11	2013-05-08
25/1-11 A	25/1-11	Det norske oljeselskap ASA	DET NORSKE	460	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2010-04-29	2010-05-14	\N	1312-L	25/1-11 R	NO	75	NH9306R04 inline 1250 & xline 2593	33.00	40.000000	2265.00	2410.000000	107.000000	LATE PALEOCENE	HEIMDAL FM	NORTH SEA	AKER BARENTS	SEMISUB STEEL	TFO2007	NO	APPRAISAL	2010	2010	\N	\N	13	FRIGG FM	EOCENE	\N	\N	\N	\N	16	NO	ED50	59	47	25.12	N	2	13	6.43	E	59.790311	2.218453	6628472.080000	456130.020000	31	25	1	\N	11	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/-251-11-og-251-11-A	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6376	http://www.npd.no/FactMapSearch?NPDID_wellbore=6376	sidetrack	25/1-11	2012-05-14	6376	18086221	\N	404303	0	4910195	DET NORSKE	2012-07-25	2012-07-25	2013-05-08
15/9-24	15/9-24	Det norske oljeselskap ASA	DET NORSKE	408	WILDCAT	P&A	DRY	EXPLORATION	2010-05-18	2010-06-10	\N	1313-L	\N	NO	0	PR07M01 inline 1998 & xline 10212	1.59	25.000000	2400.00	2400.000000	80.000000	LATE CRETACEOUS	TOR FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2006	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	24	NO	ED50	58	16	27.50	N	1	58	55.90	E	58.274306	1.982194	6459848.560000	440297.520000	31	15	9	\N	24	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/159-24/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6381	http://www.npd.no/FactMapSearch?NPDID_wellbore=6381	initial	\N	2011-06-15	6381	\N	\N	373521	0	4237444	DET NORSKE	2012-07-25	2012-07-25	2013-05-08
16/7-9	16/7-9	Lundin Norway AS	LUNDIN	409	WILDCAT	P&A	DRY	EXPLORATION	2010-12-05	2011-01-03	\N	1314-L	\N	NO	103	LN09M02-inline 36228 & crossline 123020	10.00	26.000000	2665.00	2665.000000	78.000000	LATE TRIASSIC	SMITH BANK FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2006	NO	WILDCAT	2010	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	30	NO	ED50	58	15	17.49	N	2	17	25.01	E	58.254858	2.290281	6457451.590000	458345.930000	31	16	7	\N	9	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/167-9	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6382	http://www.npd.no/FactMapSearch?NPDID_wellbore=6382	initial	\N	2012-10-16	6382	\N	\N	296326	0	4237470	LUNDIN NORWAY	2012-10-17	2012-10-17	2013-05-08
9/1-1 S	9/1-1	Premier Oil Norge AS	PREMIER	406	WILDCAT	P&A	DRY	EXPLORATION	2011-10-01	2011-11-21	\N	1316-L	\N	NO	\N	MC3D-EGBS2008 inline 2411 & crossline 5334	\N	25.000000	\N	2533.000000	87.000000	LATE TRIASSIC	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2006	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	52	NO	ED50	57	53	37.03	N	4	0	56.02	E	57.893619	4.015561	6417463.910000	560208.890000	31	9	1	\N	1	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/91-1-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6398	http://www.npd.no/FactMapSearch?NPDID_wellbore=6398	initial	\N	9999-12-31	6398	\N	\N	373521	0	4237318	PREMIER OIL NORGE	2013-04-13	2013-04-13	2013-05-08
16/1-14	16/1-14	Lundin Norway AS	LUNDIN	338	WILDCAT	P&A	OIL	EXPLORATION	2010-09-26	2010-11-30	\N	1315-L	16/1-14	YES	99	Ln0902-inline1354 & crossline 5260	10.00	26.000000	2550.00	2550.000000	110.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2004	NO	WILDCAT	2010	2010	\N	\N	5	INTRA BALDER FM SS	EOCENE	HEIMDAL FM	PALEOCENE	INTRA ÅSGARD FM SS	EARLY CRETACEOUS    	66	NO	ED50	58	53	9.28	N	2	12	10.46	E	58.885911	2.202906	6527772.150000	454052.090000	31	16	1	\N	14	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/161-14/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6399	http://www.npd.no/FactMapSearch?NPDID_wellbore=6399	initial	\N	2012-11-30	6399	18437181	\N	296326	0	2986578	LUNDIN NORWAY	2013-03-20	2013-03-20	2013-05-08
34/3-3 S	34/3-3	BG Norge AS	BG GROUP	373 S	WILDCAT	\N	OIL	EXPLORATION	2011-09-11	2011-11-19	\N	1351-L	\N	YES	\N	innline 5024 & crossline 2782	\N	18.000000	\N	4063.000000	400.000000	EARLY JURASSIC	\N	NORTH SEA	WEST ALPHA	SEMISUB STEEL	TFO2005	NO	APPRAISAL	2011	2011	\N	\N	5	\N	EARLY JURASSIC	\N	\N	\N	\N	70	NO	ED50	61	47	42.49	N	2	43	4.38	E	61.795136	2.717883	6851554.920000	485123.660000	31	34	3	\N	3	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/343-3-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6588	http://www.npd.no/FactMapSearch?NPDID_wellbore=6588	initial	\N	9999-12-31	6588	\N	\N	297514	0	3811116	BG NORGE	2013-03-06	2013-03-06	2013-05-08
25/5-7	25/5-7	Total E&P Norge AS	TOTAL	102 C	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2010-08-25	2010-10-23	ATLA	1318-L	25/5-7 ATLA	YES	110	inline 1620 & crossline 1835(TO06R06M1)	2.20	22.000000	3045.00	3045.000000	119.000000	LATE TRIASSIC	HEGRE GP	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	Awarded additionaly to round 9	NO	WILDCAT	2010	2010	\N	\N	17	BRENT GP	MIDDLE JURASSIC	\N	\N	\N	\N	61	NO	ED50	59	39	43.26	N	2	34	15.39	E	59.662017	2.570942	6614003.760000	475823.340000	31	25	5	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/255-7/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6423	http://www.npd.no/FactMapSearch?NPDID_wellbore=6423	initial	\N	2012-10-23	6423	18404420	21106284	287902	0	5467035	TOTAL E&P NORGE	2012-10-23	2012-10-23	2013-05-08
35/1-2 S	35/1-2	Statoil Petroleum AS	STATOIL	269	WILDCAT	P&A	DRY	EXPLORATION	2010-09-12	2010-12-19	\N	1319-L	\N	NO	0	3D seismic NH06M04 inline 4899 & crossline 2832	19.00	23.500000	4122.00	4202.000000	409.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	NST2000	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	99	NO	ED50	61	51	56.00	N	3	3	21.40	E	61.865556	3.055944	6859368.860000	502943.270000	31	35	1	\N	2	S	\N	http://www.npd.no/no/Nyheter/Nyheter/2010/Torr-bronn-i-Nordsjoen-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6427	http://www.npd.no/FactMapSearch?NPDID_wellbore=6427	initial	\N	2012-04-01	6427	\N	\N	296677	0	1624410	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
35/9-6 S	35/9-6	RWE Dea Norge AS	RWE-DEA	420	WILDCAT	P&A	OIL/GAS	EXPLORATION	2010-09-29	2010-12-07	\N	1320-L	35/9-6 S	YES	125	NH9202RD07:inline 2041 & crossline 3763	29.30	25.000000	3689.00	3740.000000	369.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2006	NO	WILDCAT	2010	2010	\N	\N	13	INTRA HEATHER FM SS	LATE JURASSIC	BRENT GP	MIDDLE JURASSIC	DUNLIN GP	EARLY JURASSIC      	70	NO	ED50	61	22	16.29	N	3	41	33.54	E	61.371192	3.692650	6804492.080000	537025.980000	31	35	9	\N	6	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/359-6-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6429	http://www.npd.no/FactMapSearch?NPDID_wellbore=6429	initial	\N	2012-12-07	6429	18449542	\N	373521	0	4238409	RWE-DEA NORGE	2012-12-08	2012-12-08	2013-05-08
25/1-12	25/1-12	Det norske oljeselskap ASA	DET NORSKE	460	APPRAISAL	\N	\N	EXPLORATION	9999-12-31	9999-12-31	\N	1321-L	\N	NO	\N	\N	\N	0.000000	\N	0.000000	0.000000	\N	\N	NORTH SEA	AKER BARENTS	SEMISUB STEEL	TFO2007	NO	WILDCAT	0	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	59	51	26.70	N	2	10	56.70	E	59.857417	2.182417	6635969.610000	454199.490000	31	25	1	\N	12	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6440	http://www.npd.no/FactMapSearch?NPDID_wellbore=6440	initial	\N	9999-12-31	6440	\N	\N	404303	0	4910195	DET NORSKE	2012-10-23	2012-10-23	2013-05-08
6305/4-2 S	6305/4-2	A/S Norske Shell	SHELL	209	APPRAISAL	P&A	DRY	EXPLORATION	2010-11-04	2011-02-11	ORMEN LANGE	1322-L	6305/5-1 ORMEN LANGE	NO	0	inline 4119 & crossline 5608 on OLSH 0801	25.40	36.000000	2905.00	2985.000000	1086.000000	LATE CRETACEOUS	NISE FM	NORWEGIAN SEA	WEST NAVIGATOR	VESSEL	15	NO	APPRAISAL	2010	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	100	NO	ED50	63	38	14.90	N	5	17	54.12	E	63.637472	5.298367	7058837.630000	613859.590000	31	6305	4	\N	2	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/63054-2-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6441	http://www.npd.no/FactMapSearch?NPDID_wellbore=6441	initial	\N	2013-02-11	6441	44822	2762452	297082	0	22484	SHELL NORGE	2013-02-12	2013-02-12	2013-05-08
34/4-13 S	34/4-13	Petro-Canada Norge AS	PETROCAN	375	APPRAISAL	P&A	OIL	EXPLORATION	2010-08-27	2011-01-02	\N	1323-L	34/4-11	NO	151	PCR06M01-inline 1959 & crossline 1707	37.50	18.000000	4291.00	5010.000000	374.000000	LATE TRIASSIC	LUNDE FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	TFO2005	NO	APPRAISAL	2010	2011	\N	\N	5	STATFJORD FM	EARLY JURASSIC	\N	\N	\N	\N	129	NO	ED50	61	38	42.96	N	2	6	0.20	E	61.645267	2.100056	6835156.570000	452314.900000	31	34	4	\N	13	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/344-13-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6442	http://www.npd.no/FactMapSearch?NPDID_wellbore=6442	initial	\N	2013-01-15	6442	17826500	\N	297514	0	3811214	PETRO-CANADA NORGE AS	2013-01-16	2013-01-16	2013-05-08
7119/12-4	7119/12-4	Statoil Petroleum AS	STATOIL	488	WILDCAT	P&A	DRY	EXPLORATION	2011-01-12	2011-02-17	\N	1324-L	\N	NO	105	3D survey : ST09M03-inline 6640 & xline 7290	8.90	23.000000	2910.00	2917.000000	192.000000	LATE TRIASSIC	FRUHOLMEN FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	TFO2007	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	37	NO	ED50	71	1	42.91	N	19	49	20.56	E	71.028586	19.822378	7881212.460000	457271.460000	34	7119	12	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/711912-4/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6468	http://www.npd.no/FactMapSearch?NPDID_wellbore=6468	initial	\N	2013-02-17	6468	\N	\N	289333	0	4921192	STATOIL PETROLEUM AS	2013-03-20	2013-03-20	2013-05-08
3/8-1	3/8-1	Lundin Norway AS	LUNDIN	400	WILDCAT	P&A	DRY	EXPLORATION	2010-10-29	2010-12-29	\N	1325-L	\N	NO	0	LN08M01 xline : 107246 & inline :46880	1.60	42.000000	4070.00	4070.000000	65.500000	EARLY PERMIAN	ROTLIEGEND GP	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2006	NO	WILDCAT	2010	2010	\N	\N	1	\N	\N	\N	\N	\N	\N	62	NO	ED50	56	27	16.93	N	4	25	7.30	E	56.454703	4.418694	6257730.030000	587440.040000	31	3	8	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2010/38-1-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6476	http://www.npd.no/FactMapSearch?NPDID_wellbore=6476	initial	\N	2012-10-16	6476	\N	\N	292114	0	4237242	LUNDIN NORWAY	2012-10-16	2012-10-16	2013-05-08
7120/12-5	7120/12-5	Eni Norge AS	ENI	489	WILDCAT	P&A	DRY	EXPLORATION	2010-10-17	2011-01-03	\N	1326-L	\N	NO	0	ST07M10 inline 3466 & crossline 8781	11.89	23.000000	3628.00	3630.000000	187.000000	TRIASSIC	KOBBE FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	TFO2007	NO	WILDCAT	2010	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	79	NO	ED50	71	11	57.92	N	20	54	54.97	E	71.199422	20.915269	7899853.810000	496952.150000	34	7120	12	\N	5	\N	\N	http://www.npd.no/no/nyheter/resultat-av-leteboring/2011/712012-5	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6478	http://www.npd.no/FactMapSearch?NPDID_wellbore=6478	initial	\N	2013-01-15	6478	\N	\N	289333	0	4921522	ENI NORGE	2013-01-16	2013-01-26	2013-05-08
7220/8-1	7220/8-1	Statoil Petroleum AS	STATOIL	532	WILDCAT	P&A	OIL/GAS	EXPLORATION	2011-02-27	2011-05-02	\N	1327-L	\N	YES	0	3D survey WG08 -inline 1530 & crossline 3470	3.20	23.000000	2221.00	2222.000000	374.000000	LATE TRIASSIC	SNADD FM	BARENTS SEA	POLAR PIONEER	SEMISUB STEEL	20	NO	WILDCAT	2011	2011	\N	\N	13	STØ FM	MIDDLE JURASSIC	NORDMELA FM	EARLY JURASSIC	\N	\N	65	NO	ED50	72	29	28.92	N	20	20	2.25	E	72.491367	20.333958	8051910.710000	678908.520000	33	7220	8	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/72208-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6484	http://www.npd.no/FactMapSearch?NPDID_wellbore=6484	initial	\N	2013-05-02	6484	\N	\N	289333	0	5463659	STATOIL PETROLEUM AS	2013-05-03	2013-05-03	2013-05-08
15/6-11 S	15/6-11	Statoil Petroleum AS	STATOIL	303	APPRAISAL	P&A	DRY	EXPLORATION	2010-10-27	2010-12-19	\N	1328-L	15/5-1 GINA KROG	NO	0	3D LINE st0730z09 INLINE 1460 & TRACE 1480	19.10	22.000000	3966.00	4042.000000	115.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2003	NO	APPRAISAL	2010	2010	\N	\N	1	HUGIN FM	\N	\N	\N	\N	\N	54	NO	ED50	58	34	8.32	N	1	42	10.54	E	58.568978	1.702928	6492936.580000	424550.220000	31	15	6	\N	11	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/155-11-S-og-156-11-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6488	http://www.npd.no/FactMapSearch?NPDID_wellbore=6488	initial	\N	2012-12-20	6488	43892	\N	287902	0	2490467	STATOIL PETROLEUM AS	2013-03-13	2013-03-13	2013-05-08
34/10-53 A	34/10-53	Statoil Petroleum AS	STATOIL	050	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2011-03-24	2011-06-01	\N	1329-L	34/10-53 A	YES	\N	3D surv-ST0504-inline 1392 & xline 2331	\N	32.000000	\N	4855.000000	137.000000	MIDDLE JURASSIC	\N	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2011	2011	\N	\N	17	\N	MIDDLE JURASSIC	\N	\N	\N	\N	70	NO	ED50	61	4	4.68	N	2	7	0.34	E	61.067967	2.116761	6770840.060000	452330.000000	31	34	10	\N	53	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/3410-53-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6495	http://www.npd.no/FactMapSearch?NPDID_wellbore=6495	sidetrack	34/10-53 S	2013-06-01	6495	20474194	\N	404360	0	21188	STATOIL PETROLEUM AS	2013-03-09	2013-03-09	2013-05-08
17/6-1	17/6-1	Norwegian Energy Company ASA	NORECO	545	WILDCAT	P&A	OIL	EXPLORATION	2011-01-05	2011-02-07	\N	1330-L	\N	YES	0	TA0701 xline 3007 & inline 1400	2.40	18.000000	3064.00	3065.000000	272.000000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	WEST ALPHA	SEMISUB STEEL	TFO2009	NO	WILDCAT	2011	2011	\N	\N	5	SANDNES FM	MIDDLE JURASSIC	\N	\N	\N	\N	34	NO	ED50	58	44	15.46	N	3	55	34.93	E	58.737628	3.926369	6511357.460000	553627.980000	31	17	6	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/176-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6501	http://www.npd.no/FactMapSearch?NPDID_wellbore=6501	initial	\N	2012-11-13	6501	\N	\N	297514	0	17320282	NORECO ASA	2012-11-14	2012-11-14	2013-05-08
6305/9-2	6305/9-2	Det norske oljeselskap AS	DET NORSKE	468	WILDCAT	P&A	DRY	EXPLORATION	2010-12-26	2011-03-13	\N	1332-L	\N	NO	0	2D Seismic line 20a-SP1342.inline 1159 & crossline 3357	1.30	40.000000	3075.00	3075.000000	274.000000	LATE CRETACEOUS	SPRINGAR FM	NORWEGIAN SEA	AKER BARENTS	SEMISUB STEEL	TFO2007	NO	WILDCAT	2010	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	78	NO	ED50	63	26	51.86	N	5	54	53.37	E	63.447739	5.914825	7038957.150000	645347.270000	31	6305	9	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/63059-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6502	http://www.npd.no/FactMapSearch?NPDID_wellbore=6502	initial	\N	2012-11-14	6502	\N	\N	404303	0	4918281	DET NORSKE AS	2012-11-15	2013-02-19	2013-05-08
25/6-4 S	25/6-4	Det norske oljeselskap ASA	DET NORSKE	414	WILDCAT	P&A	DRY	EXPLORATION	2012-01-10	2012-02-15	\N	1331-L	\N	NO	\N	inline 4469 & crossline 3040	\N	29.000000	\N	2950.000000	114.000000	MIDDLE JURASSIC	\N	NORTH SEA	SONGA DELTA	SEMISUB STEEL	TFO2006	NO	WILDCAT	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	37	NO	ED50	59	41	10.27	N	2	53	1.23	E	59.686186	2.883675	6616623.050000	493449.990000	31	25	6	\N	4	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/256-4-S-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6507	http://www.npd.no/FactMapSearch?NPDID_wellbore=6507	initial	\N	9999-12-31	6507	\N	\N	287821	0	4237582	DET NORSKE	2012-07-25	2012-07-25	2013-05-08
35/12-3 S	35/12-3	Wintershall Norge ASA	WINTERSHALL	378	WILDCAT	P&A	DRY	EXPLORATION	2010-12-24	2011-02-16	\N	1333-L	\N	NO	0	MN9201SG9603M06 survey-IL3656-XL2743-3027	23.00	29.000000	2758.00	2807.000000	352.000000	MIDDLE JURASSIC	ETIVE FM	NORTH SEA	SONGA DELTA	SEMISUB STEEL	TFO2005	NO	WILDCAT	2010	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	55	NO	ED50	61	5	19.99	N	3	44	56.37	E	61.088886	3.748992	6773079.850000	540398.010000	31	35	12	\N	3	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/3512-3-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6516	http://www.npd.no/FactMapSearch?NPDID_wellbore=6516	initial	\N	2012-11-14	6516	\N	\N	287821	0	3811312	WINTERSHALL NORGE ASA	2012-11-15	2012-11-15	2013-05-08
16/1-15	16/1-15	Lundin Norway AS	LUNDIN	338	APPRAISAL	P&A	OIL	EXPLORATION	2011-01-22	2011-04-05	EDVARD GRIEG	1334-L	16/1-8 EDVARD GRIEG	NO	94	LN 0902 R10 inline 1488 & crossline 5496	2.40	25.000000	2150.00	2150.000000	111.000000	PRE-DEVONIAN	BASEMENT	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2004	NO	WILDCAT	2011	2011	\N	\N	5	INTRA ÅSGARD FM SS	EARLY CRETACEOUS	BASEMENT	PRE-DEVONIAN	\N	\N	74	NO	ED50	58	52	23.82	N	2	15	41.30	E	58.873283	2.261472	6526327.330000	457412.510000	31	16	1	\N	15	\N	\N	http://www.npd.no/en/news/Exploration-drilling-results/2011/161-15--161-15-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6517	http://www.npd.no/FactMapSearch?NPDID_wellbore=6517	initial	\N	2013-04-05	6517	4530554	21675433	373521	0	2986578	LUNDIN NORWAY	2013-04-06	2013-04-06	2013-05-08
15/6-12	15/6-12	Statoil Petroleum AS	STATOIL	303	WILDCAT	P&A	OIL	EXPLORATION	2010-12-22	2011-02-09	\N	1335-L	15/6-12	YES	127	3D surveyST0730-inline 1699&xline1937	2.40	23.500000	3930.00	3930.000000	115.500000	LATE TRIASSIC	SKAGERRAK FM	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TFO2003	NO	WILDCAT	2010	2011	\N	\N	5	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	50	NO	ED50	58	37	48.53	N	1	44	43.20	E	58.630147	1.745333	6499700.070000	427144.050000	31	15	6	\N	12	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/156-12/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6518	http://www.npd.no/FactMapSearch?NPDID_wellbore=6518	initial	\N	2013-02-09	6518	20415304	\N	296677	0	2490467	STATOIL PETROLEUM AS	2013-02-10	2013-02-10	2013-05-08
15/6-11 A	15/6-11	Statoil Petroleum AS	STATOIL	303	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	2010-12-26	2011-03-13	\N	1336-L	\N	NO	121	3D LINE st0730z09 INLINE 1460 & TRACE 1480	42.00	22.000000	3853.00	4305.000000	116.000000	EARLY JURASSIC	STATFJORD FM	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2003	NO	APPRAISAL	2010	2011	\N	\N	17	HUGIN FM	MIDDLE JURASSIC	\N	\N	\N	\N	78	NO	ED50	58	34	8.30	N	1	42	10.50	E	58.568972	1.702917	6492935.970000	424549.560000	31	15	6	\N	11	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/155-11-S-og-156-11-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6526	http://www.npd.no/FactMapSearch?NPDID_wellbore=6526	sidetrack	15/6-11 S	2013-03-13	6526	\N	\N	287902	0	2490467	STATOIL PETROLEUM AS	2013-03-14	2013-03-14	2013-05-08
24/9-10 S	24/9-10	Marathon Petroleum Norge AS	MARATHON	340 BS	WILDCAT	P&A	OIL	EXPLORATION	2011-01-06	2011-02-02	\N	1337-L	\N	YES	0	DG D15 & D58	42.20	26.000000	2187.00	2339.000000	118.000000	LATE PALEOCENE	LISTA FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2009	NO	WILDCAT	2011	2011	\N	\N	5	HERMOD FM	LATE PALEOCENE	\N	\N	\N	\N	28	NO	ED50	59	16	34.73	N	1	55	36.13	E	59.276314	1.926703	6571465.010000	438830.010000	31	24	9	\N	10	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/249-10-S-og-249-10-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6531	http://www.npd.no/FactMapSearch?NPDID_wellbore=6531	initial	\N	2013-02-02	6531	\N	\N	296326	0	17320421	MARATHON N	2013-03-20	2013-03-20	2013-05-08
6507/8-8	6507/8-8	Nexen Exploration Norge AS	NEXEN	434	WILDCAT	P&A	DRY	EXPLORATION	2011-02-26	2011-04-20	\N	1338-L	\N	NO	0	ST08M07 inline 10376 & xline 10706	2.70	29.000000	2554.00	2554.000000	329.000000	EARLY JURASSIC	ÅRE FM	NORWEGIAN SEA	SONGA DELTA	SEMISUB STEEL	TFO2006	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	54	NO	ED50	65	16	52.50	N	7	25	27.66	E	65.281250	7.424350	7240899.970000	426482.010000	32	6507	8	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/65078-8/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6538	http://www.npd.no/FactMapSearch?NPDID_wellbore=6538	initial	\N	2012-11-14	6538	\N	\N	287821	0	4238730	NEXEN EXPLORATION NORGE	2012-11-15	2012-11-15	2013-05-08
30/11-8 S	30/11-8	Statoil Petroleum AS	STATOIL	035	WILDCAT	P&A	OIL/GAS/CONDENSATE	EXPLORATION	2011-03-20	2011-05-20	\N	1339-L	\N	YES	\N	MC3D-NVG05-inline 1610 & xline 3112	\N	22.000000	\N	4043.000000	107.500000	EARLY JURASSIC	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	2-A	NO	WILDCAT	2011	2011	\N	\N	0	\N	MIDDLE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	62	NO	ED50	60	13	3.03	N	2	29	22.20	E	60.217508	2.489500	6675900.930000	471711.390000	31	30	11	\N	8	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/Funn-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6540	http://www.npd.no/FactMapSearch?NPDID_wellbore=6540	initial	\N	2013-05-20	6540	\N	\N	287902	0	21068	STATOIL PETROLEUM AS	2013-03-09	2013-03-09	2013-05-08
7/11-12 S	7/11-12	ConocoPhillips Skandinavia AS	CONPHIL	301 CS	WILDCAT	P&A	SHOWS	EXPLORATION	2011-03-27	2011-07-16	\N	1340-L	7/11-12 S	NO	187	intersection of inline 10560 and trace 24248	10.00	47.000000	5403.00	5420.000000	72.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	Awarded additionaly to TFO2003	NO	WILDCAT	2011	2011	\N	\N	12	ULA FM	LATE JURASSIC	\N	\N	\N	\N	112	NO	ED50	57	0	54.51	N	2	36	13.54	E	57.015142	2.603761	6319282.810000	475938.000000	31	7	11	\N	12	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/711-12-S-og-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6549	http://www.npd.no/FactMapSearch?NPDID_wellbore=6549	initial	\N	2013-03-15	6549	21139120	\N	296002	0	4973200	CONOCOPHILLIPS SKANDINAVIA	2013-04-16	2013-04-16	2013-05-08
6508/1-2	6508/1-2	Det norske oljeselskap ASA	DET NORSKE	482	WILDCAT	P&A	OIL/GAS	EXPLORATION	2011-08-21	2011-09-12	\N	1341-L	\N	YES	\N	xline 2502 & inline 4866-EN0804	\N	40.000000	\N	1810.000000	393.000000	EARLY JURASSIC	\N	NORWEGIAN SEA	AKER BARENTS	SEMISUB STEEL	TFO2007	NO	WILDCAT	2011	2011	\N	\N	13	\N	EARLY JURASSIC	\N	EARLY JURASSIC	\N	\N	23	NO	ED50	65	55	50.28	N	8	1	52.78	E	65.930633	8.031328	7312703.590000	455915.050000	32	6508	1	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/65081-2	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6551	http://www.npd.no/FactMapSearch?NPDID_wellbore=6551	initial	\N	9999-12-31	6551	\N	\N	404303	0	4921474	DET NORSKE	2012-07-25	2012-07-25	2013-05-08
16/3-4	16/3-4	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	OIL	EXPLORATION	2011-05-16	2011-06-28	\N	1342-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902 inline 2440 & crossline 7708	\N	25.000000	\N	2020.000000	117.000000	PRE-DEVONIAN	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2008	NO	WILDCAT	2011	2011	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	44	NO	ED50	58	48	11.36	N	2	43	8.30	E	58.803156	2.718972	6518317.530000	483761.470000	31	16	3	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Nyheter/2011/Oljefunn-ost-for-161-8-Luno-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6553	http://www.npd.no/FactMapSearch?NPDID_wellbore=6553	initial	\N	2013-06-28	6553	18387202	\N	373521	0	5106314	LUNDIN NORWAY	2013-03-12	2013-03-12	2013-05-08
6407/4-2	6407/4-2	Statoil Petroleum AS	STATOIL	429	APPRAISAL	P&A	SHOWS	EXPLORATION	2011-02-14	2011-04-13	\N	1344-L	\N	NO	159	ST0809 inline 3172 crossline 3761	3.10	23.500000	4229.00	4230.000000	221.000000	MIDDLE JURASSIC	ILE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TFO2006	NO	APPRAISAL	2011	2011	\N	\N	12	\N	\N	\N	\N	\N	\N	58	NO	ED50	64	35	36.80	N	7	10	35.60	E	64.593556	7.176556	7164591.360000	412712.990000	32	6407	4	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/64074-2/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6557	http://www.npd.no/FactMapSearch?NPDID_wellbore=6557	initial	\N	2012-11-14	6557	\N	\N	296677	0	4238578	STATOIL PETROLEUM AS	2012-11-15	2012-11-15	2013-05-08
24/9-10 A	24/9-10	Marathon Petroleum Norge AS	MARATHON	340 BS	APPRAISAL	P&A	OIL	EXPLORATION	2011-02-03	2011-02-20	\N	1345-L	\N	NO	0	DG D15& D58	73.90	26.000000	2138.00	2900.000000	119.000000	LATE PALEOCENE	LISTA FM	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2009	NO	APPRAISAL	2011	2011	\N	\N	5	HERMOD FM	LATE PALEOCENE	\N	\N	\N	\N	18	NO	ED50	59	16	34.73	N	1	55	36.13	E	59.276314	1.926703	6571465.010000	438830.010000	31	24	9	\N	10	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/249-10-S-og-249-10-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6560	http://www.npd.no/FactMapSearch?NPDID_wellbore=6560	sidetrack	24/9-10 S	2013-02-20	6560	\N	\N	296326	0	17320421	MARATHON N	2013-02-21	2013-02-21	2013-05-08
16/2-7	16/2-7	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	OIL	EXPLORATION	2011-07-19	2011-09-01	\N	1343-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902 inline -crossline 6992	\N	25.000000	\N	2500.000000	113.000000	EARLY PERMIAN	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2008	NO	WILDCAT	2011	2011	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	45	NO	ED50	58	46	47.77	N	2	39	16.28	E	58.779936	2.654522	6515749.450000	480024.060000	31	16	2	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/162-7-og-162-7-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6561	http://www.npd.no/FactMapSearch?NPDID_wellbore=6561	initial	\N	9999-12-31	6561	18387202	\N	373521	0	5106314	LUNDIN NORWAY	2012-07-25	2012-07-25	2013-05-08
16/2-8	16/2-8	Statoil Petroleum AS	STATOIL	265	APPRAISAL	P&A	OIL	EXPLORATION	2011-07-18	2011-08-19	\N	1346-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902-inline 2120 & crossline 6672	\N	23.500000	\N	2140.000000	112.600000	LATE TRIASSIC	\N	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	NST2000	NO	WILDCAT	2011	2011	\N	\N	5	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	33	NO	ED50	58	48	57.00	N	2	32	30.60	E	58.815833	2.541833	6519785.690000	473535.660000	31	16	2	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/162-8/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6562	http://www.npd.no/FactMapSearch?NPDID_wellbore=6562	initial	\N	9999-12-31	6562	18387202	\N	296677	0	1624237	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
25/10-11	25/10-11	Marathon Petroleum Norge AS	MARATHON	505	WILDCAT	P&A	OIL	EXPLORATION	2011-02-22	2011-08-09	\N	1347-L	\N	YES	\N	LN 1754 MA 09m01	\N	26.000000	\N	4562.000000	120.000000	JURASSIC	\N	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2008	NO	WILDCAT	2011	2011	\N	\N	5	\N	LATE JURASSIC	\N	LATE JURASSIC	\N	MIDDLE JURASSIC     	169	NO	ED50	59	12	48.06	N	2	7	42.29	E	59.213350	2.128414	6564286.030000	450233.920000	31	25	10	\N	11	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/2510-11/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6563	http://www.npd.no/FactMapSearch?NPDID_wellbore=6563	initial	\N	9999-12-31	6563	\N	\N	296326	0	5106486	MARATHON N	2012-07-25	2012-07-25	2013-05-08
6604/2-1	6604/2-1	BG Norge AS	BG GROUP	522	WILDCAT	P&A	DRY	EXPLORATION	2011-03-21	2011-05-07	\N	1348-L	\N	NO	121	innline 3012 & crossline 2046 seismisk survey bg 0904m	1.40	40.000000	3551.00	3551.000000	1262.000000	LATE CRETACEOUS	SPRINGAR FM	NORWEGIAN SEA	AKER BARENTS	SEMISUB STEEL	20	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	49	NO	ED50	66	47	1.79	N	4	33	34.85	E	66.783831	4.559681	7408330.210000	568606.890000	31	6604	2	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Nyheter/2011/Torr-bronn-i-Norskehavet1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6568	http://www.npd.no/FactMapSearch?NPDID_wellbore=6568	initial	\N	2013-05-07	6568	\N	\N	404303	0	5463248	BG NORGE	2013-05-08	2013-05-08	2013-05-08
6407/3-1 S	6407/3-1	Statoil Petroleum AS	STATOIL	312	WILDCAT	P&A	DRY	EXPLORATION	2011-04-14	2011-05-08	\N	1349-L	\N	NO	111	3D Survey STO4M08-BIN . IL 2612 & XL 3852	10.50	23.000000	2918.00	2928.000000	234.000000	EARLY JURASSIC	TILJE FM	NORWEGIAN SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TFO2003	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	25	NO	ED50	64	46	32.49	N	7	42	14.23	E	64.775692	7.703953	7184265.960000	438370.920000	32	6407	3	\N	1	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/64073-1-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6582	http://www.npd.no/FactMapSearch?NPDID_wellbore=6582	initial	\N	2012-11-14	6582	\N	\N	296677	0	2491196	STATOIL PETROLEUM AS	2012-11-15	2012-11-15	2013-05-08
7225/3-1	7225/3-1	Total E&P Norge AS	TOTAL	535	WILDCAT	P&A	GAS	EXPLORATION	2011-04-30	2011-09-25	\N	1350-L	\N	YES	\N	inline 1438 & crossline 1874 BST4 PSTM FINAL	\N	39.000000	\N	4150.000000	377.000000	PERMIAN	\N	BARENTS SEA	WEST PHOENIX	SEMISUB STEEL	20	NO	WILDCAT	2011	2011	\N	\N	9	\N	MIDDLE JURASSIC	\N	MIDDLE TRIASSIC	\N	EARLY TRIASSIC      	149	NO	ED50	72	54	58.35	N	25	52	2.70	E	72.916208	25.867417	8091706.130000	462863.020000	35	7225	3	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/72253-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6587	http://www.npd.no/FactMapSearch?NPDID_wellbore=6587	initial	\N	9999-12-31	6587	\N	\N	390874	0	5463791	TOTAL E&P NORGE	2012-07-25	2012-07-25	2013-05-08
35/12-4 S	35/12-4	Wintershall Norge ASA	WINTERSHALL	378	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2011-04-23	2011-06-26	\N	1352-L	\N	NO	\N	MN9201SG8603M06-inline 3634 & crossline 1951	\N	29.000000	\N	3585.000000	360.000000	EARLY JURASSIC	\N	NORTH SEA	SONGA DELTA	SEMISUB STEEL	TFO2005	NO	APPRAISAL	2011	2011	\N	\N	13	\N	MIDDLE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	66	NO	ED50	61	11	6.76	N	3	41	29.40	E	61.185211	3.691500	6783775.120000	537183.780000	31	35	12	\N	4	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/3512-4-S-og-3512-4-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6589	http://www.npd.no/FactMapSearch?NPDID_wellbore=6589	initial	\N	2013-06-26	6589	\N	\N	287821	0	3811312	WINTERSHALL NORGE ASA	2013-03-09	2013-03-09	2013-05-08
7120/2-3 S	7120/2-3	Lundin Norway AS	LUNDIN	438	WILDCAT	P&A	GAS	EXPLORATION	2011-05-16	2011-07-09	\N	1353-L	\N	YES	\N	LN10M03-inline 14484 & crossline 12293	\N	23.500000	\N	2625.000000	312.000000	LATE TRIASSIC	\N	BARENTS SEA	TRANSOCEAN LEADER	SEMISUB STEEL	TFO2006	NO	WILDCAT	2011	2011	\N	\N	9	\N	CRETACEOUS	\N	MIDDLE JURASSIC	\N	\N	0	NO	ED50	71	47	20.97	N	20	21	44.23	E	71.789158	20.362286	7965749.130000	477755.390000	34	7120	2	\N	3	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/71202-3S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6592	http://www.npd.no/FactMapSearch?NPDID_wellbore=6592	initial	\N	9999-12-31	6592	\N	\N	296677	0	4238812	LUNDIN NORWAY	2012-07-25	2012-07-25	2013-05-08
16/1-15 A	16/1-15	Lundin Norway AS	LUNDIN	338	APPRAISAL	P&A	OIL	EXPLORATION	2011-04-06	2011-05-13	EDVARD GRIEG	1354-L	16/1-8 EDVARD GRIEG	NO	\N	LN0902 R10 inline 1488 & crossline 5496	\N	25.000000	\N	2175.000000	111.000000	PRE-DEVONIAN	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2004	NO	APPRAISAL	2011	2011	\N	\N	5	\N	EARLY CRETACEOUS	\N	PRE-DEVONIAN	\N	\N	38	NO	ED50	58	52	23.82	N	2	15	41.30	E	58.873283	2.261472	6526327.330000	457412.510000	31	16	1	\N	15	A	\N	http://www.npd.no/en/news/Exploration-drilling-results/2011/161-15--161-15-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6593	http://www.npd.no/FactMapSearch?NPDID_wellbore=6593	sidetrack	16/1-15	2013-05-13	6593	4530554	21675433	373521	0	2986578	LUNDIN NORWAY	2012-12-22	2012-12-22	2013-05-08
6406/3-9	6406/3-9	Maersk Oil Norway AS	M[RSK	431	WILDCAT	P&A	OIL	EXPLORATION	2011-11-09	2012-03-26	\N	1355-L	\N	YES	145	CE08M1;inline 3661 & crossline 5492	1.20	26.000000	4183.00	4183.000000	315.000000	CRETACEOUS	LANGE FM	NORWEGIAN SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2006	NO	WILDCAT	2011	2012	\N	\N	5	LYSING FM	LATE CRETACEOUS	LANGE FM	LATE CRETACEOUS	\N	\N	139	NO	ED50	64	58	4.55	N	6	41	12.73	E	64.967931	6.686869	7207058.170000	390803.200000	32	6406	3	\N	9	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/64063-9-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6594	http://www.npd.no/FactMapSearch?NPDID_wellbore=6594	initial	\N	2013-03-15	6594	\N	\N	296326	0	4238714	MAERSK OIL NORWAY AS	2013-03-16	2013-03-22	2013-05-08
35/7-1 S	35/7-1	Idemitsu Petroleum Norge AS	IDEMITSU	377 S	WILDCAT	P&A	DRY	EXPLORATION	2011-05-13	2011-08-15	\N	1356-L	\N	NO	\N	Survey:MC3DMF367-R08-inline3014 & crossline 6288	\N	40.000000	\N	4825.000000	387.000000	EARLY JURASSIC	\N	NORTH SEA	AKER BARENTS	SEMISUB STEEL	TFO2005	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	95	NO	ED50	61	21	38.86	N	3	13	11.73	E	61.360794	3.219925	6803157.240000	511760.250000	31	35	7	\N	1	S	\N	http://www.npd.no/no/nyheter/resultat-av-leteboring/2011/357-1-st2	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6599	http://www.npd.no/FactMapSearch?NPDID_wellbore=6599	initial	\N	9999-12-31	6599	\N	\N	404303	0	3811290	IDEMITSU	2012-11-17	2012-11-17	2013-05-08
31/8-1	31/8-1	E.ON Ruhrgas Norge AS	RUHRGAS	416	WILDCAT	P&A	DRY	EXPLORATION	2011-06-27	2011-07-24	\N	1358-L	\N	NO	0	EO0801;inline 1528&xline5650	1.10	31.000000	2629.00	2629.000000	304.000000	MIDDLE JURASSIC	KROSSFJORD FM	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TFO2006	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	0	NO	ED50	60	22	11.23	N	3	34	4.94	E	60.369786	3.568039	6692886.870000	531330.950000	31	31	8	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/318-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6604	http://www.npd.no/FactMapSearch?NPDID_wellbore=6604	initial	\N	2012-11-13	6604	\N	\N	297784	0	4237675	E.ON RUHRGAS NO	2012-11-14	2012-11-14	2013-05-08
16/7-10	16/7-10	Statoil Petroleum AS	STATOIL	569	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2011-07-06	2011-09-14	\N	1359-L	\N	YES	\N	inline 4200/xline 4214	\N	22.000000	\N	2514.000000	85.000000	LATE CRETACEOUS	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2010	NO	WILDCAT	2011	2011	\N	\N	17	\N	TERTIARY	\N	\N	\N	\N	71	NO	ED50	58	29	56.56	N	2	1	31.42	E	58.499044	2.025394	6484832.900000	443193.930000	31	16	7	\N	10	\N	\N	http://www.npd.no/no/Nyheter/Nyheter/2011/Lite-gasskondensatfunn-nar-Sleipner-Ost/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6607	http://www.npd.no/FactMapSearch?NPDID_wellbore=6607	initial	\N	9999-12-31	6607	\N	\N	287902	0	20107876	STATOIL PETROLEUM AS	2012-08-22	2012-11-07	2013-05-08
30/11-8 A	30/11-8	Statoil Petroleum AS	STATOIL	035	WILDCAT	P&A	OIL/GAS/CONDENSATE	EXPLORATION	2011-05-20	2011-07-03	\N	1360-L	\N	YES	\N	MC3D-NVG05-inline 1610 & xline 3112	\N	22.000000	\N	4475.000000	107.500000	MIDDLE JURASSIC	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	2-A	NO	WILDCAT	2011	2011	\N	\N	0	\N	MIDDLE JURASSIC	\N	LATE JURASSIC	\N	\N	45	NO	ED50	60	13	3.03	N	2	29	22.20	E	60.217508	2.489500	6675900.930000	471711.390000	31	30	11	\N	8	A	\N	http://www.npd.no/no/Nyheter/Nyheter/2011/Fann-olje-og-kondensat-nar-Oseberg-Sor/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6611	http://www.npd.no/FactMapSearch?NPDID_wellbore=6611	sidetrack	30/11-8 S	2013-07-03	6611	\N	\N	287902	0	21068	STATOIL PETROLEUM AS	2013-03-09	2013-03-09	2013-05-08
16/2-9 S	16/2-9	Statoil Petroleum AS	STATOIL	265	APPRAISAL	P&A	OIL	EXPLORATION	2011-08-22	2011-09-24	\N	1361-L	16/2-6 JOHAN SVERDRUP	NO	\N	ST09M05-inline 4036 & xline 4012	\N	23.500000	\N	2082.000000	115.000000	PRE-DEVONIAN	\N	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	NST2000	NO	WILDCAT	2011	2011	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	34	NO	ED50	58	54	46.39	N	2	26	22.80	E	58.912886	2.439667	6530637.430000	467724.910000	31	16	2	\N	9	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/162-9-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6615	http://www.npd.no/FactMapSearch?NPDID_wellbore=6615	initial	\N	9999-12-31	6615	18387202	\N	296677	0	1624237	STATOIL PETROLEUM AS	2013-04-23	2013-04-23	2013-05-08
35/12-4 A	35/12-4	Wintershall Norge ASA	WINTERSHALL	378	APPRAISAL	P&A	DRY	EXPLORATION	2011-06-26	2011-07-17	\N	1362-L	\N	NO	\N	MN9201SG9603M06-inline3634 & xline1951	\N	29.000000	\N	3413.000000	360.000000	MIDDLE JURASSIC	\N	NORTH SEA	SONGA DELTA	SEMISUB STEEL	TFO2005	NO	APPRAISAL	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	22	NO	ED50	61	11	6.76	N	3	41	29.40	E	61.185211	3.691500	6783775.120000	537183.780000	31	35	12	\N	4	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/3512-4-S-og-3512-4-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6617	http://www.npd.no/FactMapSearch?NPDID_wellbore=6617	sidetrack	35/12-4 S	2013-07-17	6617	\N	\N	287821	0	3811312	WINTERSHALL NORGE ASA	2013-03-09	2013-03-09	2013-05-08
3/4-2 S	3/4-2	Det norske oljeselskap ASA	DET NORSKE	356	WILDCAT	P&A	DRY	EXPLORATION	2012-07-19	2012-08-31	\N	1364-L	\N	NO	\N	dno 0601 R08 xline 1310 & inline 1182	\N	41.500000	\N	2961.000000	51.000000	LATE JURASSIC	\N	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2005	NO	WILDCAT	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	44	NO	ED50	56	38	47.24	N	4	5	38.18	E	56.646456	4.093939	6278707.020000	567085.050000	31	3	4	\N	2	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/34-2-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6622	http://www.npd.no/FactMapSearch?NPDID_wellbore=6622	initial	\N	9999-12-31	6622	\N	\N	292114	0	3810275	DET NORSKE	2013-02-01	2013-02-01	2013-05-08
16/3-4 A	16/3-4	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	OIL	EXPLORATION	2011-06-28	2011-07-18	\N	1365-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902 xline2440 & crossline 7708	\N	25.000000	\N	2128.000000	117.000000	PRE-DEVONIAN	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2008	NO	WILDCAT	2011	2011	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	0	NO	ED50	58	48	14.50	N	2	43	8.50	E	58.804028	2.719028	6518414.640000	483765.090000	31	16	3	\N	4	A	\N	http://www.npd.no/no/Nyheter/Nyheter/2011/Oljefunn-ost-for-161-8-Luno-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6629	http://www.npd.no/FactMapSearch?NPDID_wellbore=6629	sidetrack	16/3-4	2013-07-18	6629	18387202	\N	373521	0	5106314	LUNDIN NORWAY	2013-03-12	2013-03-12	2013-05-08
8/10-4 S	8/10-4	Centrica Resources (Norge) AS	CENTRICA	405	WILDCAT	P&A	OIL	EXPLORATION	2011-08-15	2011-10-27	\N	1366-L	\N	YES	\N	Survey lines CE1001-D- 22A & CE1001-D-19	\N	44.000000	\N	3071.000000	66.000000	TRIASSIC	\N	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2006	NO	WILDCAT	2011	2011	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	74	NO	ED50	57	3	53.80	N	3	2	43.60	E	57.064944	3.045444	6324758.010000	502755.980000	31	8	10	\N	4	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/810-4-S-og-810-4-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6630	http://www.npd.no/FactMapSearch?NPDID_wellbore=6630	initial	\N	9999-12-31	6630	\N	\N	292114	0	4237284	CENTRICA RESOURCES NORGE AS	2012-07-25	2012-07-25	2013-05-08
6607/12-2 S	6607/12-2	Total E&P Norge AS	TOTAL	127	WILDCAT	P&A	OIL/GAS	EXPLORATION	2011-07-22	2011-10-25	\N	1367-L	\N	YES	\N	TO06 M02-inline5080 & crossline 3494	\N	29.000000	\N	4404.000000	369.000000	EARLY JURASSIC	\N	NORWEGIAN SEA	SONGA DELTA	SEMISUB STEEL	10-B	NO	WILDCAT	2011	2011	\N	\N	13	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC	\N	CRETACEOUS          	96	NO	ED50	66	1	17.99	N	7	51	50.30	E	66.021664	7.863972	7322976.960000	448482.960000	32	6607	12	\N	2	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/660712-2-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6642	http://www.npd.no/FactMapSearch?NPDID_wellbore=6642	initial	\N	9999-12-31	6642	\N	\N	287821	0	21828	TOTAL E&P NORGE	2012-07-25	2012-07-25	2013-05-08
6407/5-2 S	6407/5-2	OMV (Norge) AS	OMV	471	WILDCAT	P&A	GAS	EXPLORATION	2011-07-26	2011-09-04	\N	1363-L	\N	YES	\N	OMV2008MR08-xl1249 & il1174	\N	31.000000	\N	3545.000000	230.000000	EARLY JURASSIC	\N	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TFO2007	NO	WILDCAT	2011	2011	\N	\N	9	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	41	NO	ED50	64	34	48.69	N	7	37	11.92	E	64.580192	7.619978	7162566.200000	433903.890000	32	6407	5	\N	2	S	\N	http://www.npd.no/no/Nyheter/Nyheter/2011/Lite-gassfunn-nar-Mikkelfelt-i-Norskehavet	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6648	http://www.npd.no/FactMapSearch?NPDID_wellbore=6648	initial	\N	9999-12-31	6648	\N	\N	297784	0	4918501	OMV NORGE AS	2012-08-07	2012-08-07	2013-05-08
7/11-12 A	7/11-12	ConocoPhillips Skandinavia AS	CONPHIL	301 CS	WILDCAT	P&A	GAS	EXPLORATION	2011-08-08	2011-12-31	\N	1368-L	7/11-12 A	YES	0	\N	52.70	47.000000	5248.00	5672.000000	72.000000	TRIASSIC	SKAGERRAK FM	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	Awarded additionaly to TFO2003	NO	WILDCAT	2011	2011	\N	\N	9	ULA FM	LATE JURASSIC	\N	\N	\N	\N	146	NO	ED50	57	0	54.51	N	2	36	13.50	E	57.015142	2.603750	6319282.820000	475937.320000	31	7	11	\N	12	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/711-12-S-og-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6655	http://www.npd.no/FactMapSearch?NPDID_wellbore=6655	sidetrack	7/11-12 S	2013-03-15	6655	21139643	\N	296002	0	4973200	CONOCOPHILLIPS SKANDINAVIA	2013-03-16	2013-03-16	2013-05-08
34/10-52 A	34/10-52	Statoil Petroleum AS	STATOIL	050	WILDCAT	P&A	OIL/GAS	EXPLORATION	2011-06-17	2011-08-07	\N	1369-L	34/10-52 A	YES	\N	\N	\N	32.000000	\N	3520.000000	134.800000	MIDDLE JURASSIC	\N	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2011	2011	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	52	NO	ED50	61	4	14.90	N	2	11	31.40	E	61.070806	2.192056	6771103.770000	456397.530000	31	34	10	\N	52	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/3410-52-A-og-3410-52-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6657	http://www.npd.no/FactMapSearch?NPDID_wellbore=6657	sidetrack	34/10-52 S	9999-12-31	6657	21060702	\N	404360	0	21188	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
34/10-52 B	34/10-52	Statoil Petroleum AS	STATOIL	050	WILDCAT	P&A	OIL/GAS	EXPLORATION	2011-08-07	2011-08-23	\N	1370-L	34/10-52 B	YES	\N	\N	\N	32.000000	\N	4050.000000	134.800000	MIDDLE JURASSIC	\N	NORTH SEA	DEEPSEA ATLANTIC	SEMISUB STEEL	Awarded additionaly to round 3	NO	WILDCAT	2011	2011	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	17	NO	ED50	61	4	14.90	N	2	11	31.40	E	61.070806	2.192056	6771103.770000	456397.530000	31	34	10	\N	52	B	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/3410-52-A-og-3410-52-B/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6658	http://www.npd.no/FactMapSearch?NPDID_wellbore=6658	sidetrack	34/10-52 A	9999-12-31	6658	21060720	\N	404360	0	21188	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
7124/4-1 S	7124/4-1	GDF SUEZ E&P Norge AS	GDF SUEZ	530	WILDCAT	P&A	DRY	EXPLORATION	2011-09-18	2011-10-12	\N	1371-L	\N	NO	\N	Fruholmen 3D seismic IL 1562 & XL 2529	\N	40.000000	\N	2814.000000	302.000000	EARLY TRIASSIC	\N	BARENTS SEA	AKER BARENTS	SEMISUB STEEL	20	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	0	NO	ED50	71	35	16.16	N	24	5	56.84	E	71.587822	24.099122	7945629.990000	397765.980000	35	7124	4	\N	1	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/71244-1-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6678	http://www.npd.no/FactMapSearch?NPDID_wellbore=6678	initial	\N	9999-12-31	6678	\N	\N	404303	0	5463588	GDF SUEZ E&P NORGE	2012-11-17	2012-11-17	2013-05-08
15/8-2	15/8-2	Statoil Petroleum AS	STATOIL	303	WILDCAT	P&A	DRY	EXPLORATION	2011-08-23	2011-10-21	\N	1372-L	\N	NO	\N	ST04M01-inline1965 & xline 3475	\N	25.000000	\N	4386.000000	119.000000	MIDDLE JURASSIC	\N	NORTH SEA	COSLPioneer	SEMISUB STEEL	TFO2003	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	60	NO	ED50	58	24	55.10	N	1	32	49.90	E	58.415306	1.547194	6476013.730000	415122.230000	31	15	8	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/158-2	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6681	http://www.npd.no/FactMapSearch?NPDID_wellbore=6681	initial	\N	9999-12-31	6681	\N	\N	413534	0	2490467	STATOIL PETROLEUM AS	2012-11-17	2012-11-17	2013-05-08
6608/11-7 S	6608/11-7	Rocksource ASA	ROCKSOURCE	559	WILDCAT	P&A	DRY	EXPLORATION	2011-09-08	2011-10-25	\N	1373-L	\N	NO	\N	linje 2204-krysslinje 5787	\N	31.200000	\N	2435.000000	333.000000	TRIASSIC	\N	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TFO2009	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	48	NO	ED50	66	14	1.32	N	8	30	47.34	E	66.233700	8.513150	7346231.060000	478105.000000	32	6608	11	\N	7	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/660811-7-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6701	http://www.npd.no/FactMapSearch?NPDID_wellbore=6701	initial	\N	9999-12-31	6701	\N	\N	297784	0	17654775	ROCKSOURCE ASA	2012-07-25	2012-07-25	2013-05-08
16/2-7 A	16/2-7	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	OIL	EXPLORATION	2011-09-02	2011-09-29	\N	1374-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902 inline 4811 & crossline 3522	\N	25.000000	\N	2100.000000	113.000000	TRIASSIC	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2011	2011	\N	\N	5	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	28	NO	ED50	58	46	47.77	N	2	39	16.28	E	58.779936	2.654522	6515749.450000	480024.060000	31	16	2	\N	7	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/162-7-og-162-7-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6711	http://www.npd.no/FactMapSearch?NPDID_wellbore=6711	sidetrack	16/2-7	9999-12-31	6711	18387202	\N	373521	0	5106314	LUNDIN NORWAY	2012-12-11	2012-12-11	2013-05-08
16/2-10	16/2-10	Statoil Petroleum AS	STATOIL	265	APPRAISAL	P&A	OIL	EXPLORATION	2011-09-28	2011-10-28	\N	1375-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902R10 inline 3994 & xline 3578	\N	23.500000	\N	2089.000000	115.000000	LATE TRIASSIC	\N	NORTH SEA	TRANSOCEAN LEADER	SEMISUB STEEL	NST2000	NO	APPRAISAL	2011	2011	\N	\N	5	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	31	NO	ED50	58	51	16.10	N	2	32	37.45	E	58.854472	2.543736	6524087.400000	473674.880000	31	16	2	\N	10	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/162-10/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6715	http://www.npd.no/FactMapSearch?NPDID_wellbore=6715	initial	\N	9999-12-31	6715	18387202	\N	296677	0	1624237	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
16/5-2 S	16/5-2	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	DRY	EXPLORATION	2011-11-29	2012-02-01	\N	1376-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902-inline4983 & crosline 3211	\N	25.000000	\N	2042.000000	111.000000	TRIASSIC	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2011	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	65	NO	ED50	58	44	43.55	N	2	37	58.20	E	58.745431	2.632833	6511913.920000	478748.940000	31	16	5	\N	2	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/165-2-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6720	http://www.npd.no/FactMapSearch?NPDID_wellbore=6720	initial	\N	9999-12-31	6720	18387202	\N	373521	0	5106314	LUNDIN NORWAY	2012-12-11	2012-12-11	2013-05-08
6507/6-4 S	6507/6-4	E.ON Ruhrgas Norge AS	RUHRGAS	350	WILDCAT	P&A	DRY	EXPLORATION	2011-10-26	2011-11-16	\N	1377-L	\N	NO	0	Sindbad-inline 3665-xline3402 &Sesam- inline 3717 and xline 3525	14.30	31.200000	1333.00	1333.000000	363.500000	LATE TRIASSIC	RED BEDS (INFORMAL)	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TFO2004	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	22	NO	ED50	65	38	6.20	N	7	43	32.80	E	65.635056	7.725778	7280010.990000	441342.380000	32	6507	6	\N	4	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/65076-4-S-og-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6725	http://www.npd.no/FactMapSearch?NPDID_wellbore=6725	initial	\N	2013-03-15	6725	\N	\N	297784	0	2987133	E.ON RUHRGAS NO	2013-04-05	2013-04-05	2013-05-08
7/12-13 S	7/12-13	Det norske oljeselskap ASA	DET NORSKE	450	WILDCAT	P&A	DRY	EXPLORATION	2012-01-29	2012-05-18	\N	1379-L	\N	NO	\N	PR08M02 inline 1125 & crossline 1918	\N	41.500000	\N	4575.000000	70.000000	MIDDLE TRIASSIC	\N	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2007	NO	WILDCAT	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	111	NO	ED50	57	1	20.46	N	2	51	24.40	E	57.022350	2.856778	6320024.570000	491304.350000	31	7	12	\N	13	S	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Torr-bronn-i-sorlige-del-av-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6727	http://www.npd.no/FactMapSearch?NPDID_wellbore=6727	initial	\N	9999-12-31	6727	\N	\N	292114	0	4909784	DET NORSKE	2012-10-16	2012-10-16	2013-05-08
7121/9-1	7121/9-1	DONG E&P Norge AS	DONG	518	WILDCAT	P&A	DRY	EXPLORATION	2011-10-16	2011-11-29	\N	1381-L	\N	NO	\N	DG0901/DG09M1 PSTM inline 1896 & crossline 2808	\N	40.000000	\N	2458.000000	310.000000	MIDDLE JURASSIC	\N	BARENTS SEA	AKER BARENTS	SEMISUB STEEL	TFO2008	NO	WILDCAT	2011	2011	\N	\N	1	\N	\N	\N	\N	\N	\N	45	NO	ED50	71	15	31.96	N	21	42	41.85	E	71.258878	21.711625	7906633.300000	525519.420000	34	7121	9	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/71219-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6728	http://www.npd.no/FactMapSearch?NPDID_wellbore=6728	initial	\N	9999-12-31	6728	\N	\N	404303	0	5106560	DONG E&P NORGE	2012-10-16	2012-10-16	2013-05-08
33/12-9 S	33/12-9	Statoil Petroleum AS	STATOIL	152	WILDCAT	P&A	OIL	EXPLORATION	2011-10-31	2012-01-09	\N	1378-L	\N	YES	\N	3D survey ST06M05-BIN inline 2052 & xline 1539	\N	25.000000	\N	3812.000000	132.000000	MIDDLE JURASSIC	\N	NORTH SEA	COSLPioneer	SEMISUB STEEL	12	NO	WILDCAT	2011	2012	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	71	NO	ED50	61	1	46.89	N	1	56	0.72	E	61.029692	1.933533	6766724.250000	442371.980000	31	33	12	\N	9	S	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Oljefunn-pa-Skinfaks-Sor	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6729	http://www.npd.no/FactMapSearch?NPDID_wellbore=6729	initial	\N	9999-12-31	6729	\N	\N	413534	0	22028	STATOIL PETROLEUM AS	2013-02-13	2013-02-13	2013-05-08
6507/7-15 S	6507/7-15	RWE Dea Norge AS	RWE-DEA	435	WILDCAT	P&A	GAS	EXPLORATION	2012-01-10	2012-05-02	\N	1380-L	6507/7-15 S	YES	\N	Survey RD07M1 inline 10690 & crossline 7523	\N	18.000000	\N	4567.000000	399.000000	EARLY JURASSIC	\N	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	TFO2006	NO	WILDCAT	2012	2012	\N	\N	9	\N	MIDDLE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	114	NO	ED50	65	25	31.81	N	7	5	56.11	E	65.425503	7.098919	7257390.900000	411785.990000	32	6507	7	\N	15	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/65077-15-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6730	http://www.npd.no/FactMapSearch?NPDID_wellbore=6730	initial	\N	9999-12-31	6730	21667407	\N	297514	0	4238696	RWE-DEA NORGE	2012-12-12	2012-12-12	2013-05-08
2/4-21	2/4-21	Statoil Petroleum AS	STATOIL	146	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2012-01-19	2012-05-25	\N	1382-L	2/4-21	YES	\N	VGCNSO5R07NH-inline 7862 & trace 18770	\N	48.100000	\N	5395.000000	67.400000	LATE JURASSIC	\N	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	12	NO	WILDCAT	2012	2012	\N	\N	17	\N	LATE JURASSIC	\N	\N	\N	\N	128	NO	ED50	56	42	0.81	N	3	8	34.31	E	56.700225	3.142864	6284166.460000	508748.770000	31	2	4	\N	21	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/24-21-og-24-21-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6736	http://www.npd.no/FactMapSearch?NPDID_wellbore=6736	initial	\N	9999-12-31	6736	21669700	\N	296002	0	21980	STATOIL PETROLEUM AS	2012-12-12	2012-12-12	2013-05-08
16/2-11	16/2-11	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	OIL	EXPLORATION	2012-02-05	2012-03-29	\N	1384-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902-inline4414 & crossline 3363	\N	25.000000	\N	2126.000000	113.000000	TRIASSIC	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2012	2012	\N	\N	5	\N	LATE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	54	NO	ED50	58	48	13.06	N	2	34	19.92	E	58.803628	2.572200	6518414.990000	475280.980000	31	16	2	\N	11	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/162-11-og-162-11-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6742	http://www.npd.no/FactMapSearch?NPDID_wellbore=6742	initial	\N	9999-12-31	6742	18387202	\N	373521	0	5106314	LUNDIN NORWAY	2012-12-11	2012-12-11	2013-05-08
34/3-3 A	34/3-3	BG Norge AS	BG GROUP	373 S	APPRAISAL	P&A	OIL	EXPLORATION	2011-11-19	2012-01-03	\N	1385-L	\N	NO	\N	innline 5024 & crossline 2782	\N	18.000000	\N	5013.000000	400.000000	EARLY JURASSIC	\N	NORTH SEA	WEST ALPHA	SEMISUB STEEL	TFO2005	NO	APPRAISAL	2011	2012	\N	\N	5	\N	EARLY JURASSIC	\N	\N	\N	\N	46	NO	ED50	61	47	42.49	N	2	43	4.38	E	61.795136	2.717883	6851554.920000	485123.660000	31	34	3	\N	3	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2011/343-3-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6745	http://www.npd.no/FactMapSearch?NPDID_wellbore=6745	sidetrack	34/3-3 S	9999-12-31	6745	\N	\N	297514	0	3811116	BG NORGE	2012-07-25	2012-07-25	2013-05-08
2/8-18 S	2/8-18	Faroe Petroleum Norge AS	FAROE	440 S	WILDCAT	P&A	DRY	EXPLORATION	2012-05-23	2012-07-12	\N	1386-L	\N	NO	\N	GA3D-93R05 inline 1512 & xline 555	\N	43.000000	\N	2852.000000	69.000000	LATE CRETACEOUS	\N	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2006	NO	WILDCAT	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	0	NO	ED50	56	22	37.58	N	3	22	24.88	E	56.377106	3.373578	6248253.050000	523072.920000	31	2	8	\N	18	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/28-18-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6747	http://www.npd.no/FactMapSearch?NPDID_wellbore=6747	initial	\N	9999-12-31	6747	\N	\N	292114	0	4237161	FAROE PETROLEUM NORGE AS	2013-02-12	2013-02-12	2013-05-08
6507/6-4 A	6507/6-4	E.ON Ruhrgas Norge AS	RUHRGAS	350	WILDCAT	P&A	DRY	EXPLORATION	2011-11-16	2012-01-29	\N	1387-L	\N	NO	0	Sinbad:line 3665-xline 3402 & Sesamline :3717-xline 3525	40.00	31.200000	4391.00	4957.000000	363.500000	PERMIAN	ROTLIEGEND GP	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TFO2004	NO	WILDCAT	2011	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	75	NO	ED50	65	38	6.20	N	7	43	32.80	E	65.635056	7.725778	7280010.990000	441342.380000	32	6507	6	\N	4	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/65076-4-S-og-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6753	http://www.npd.no/FactMapSearch?NPDID_wellbore=6753	sidetrack	6507/6-4 S	2013-03-15	6753	\N	\N	297784	0	2987133	E.ON RUHRGAS NO	2013-04-05	2013-04-05	2013-05-08
8/10-4 B	8/10-4	Centrica Resources (Norge) AS	CENTRICA	405	APPRAISAL	JUNKED	DRY	EXPLORATION	2011-12-19	2012-01-02	\N	1388-L	\N	NO	\N	site survey lines CE1001  D 22A and CE1001 D 19	\N	44.000000	\N	2549.000000	66.000000	\N	\N	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2006	NO	APPRAISAL	2011	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	15	NO	ED50	57	3	53.80	N	3	2	43.60	E	57.064944	3.045444	6324758.010000	502755.980000	31	8	10	\N	4	B	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/810-4-B	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6755	http://www.npd.no/FactMapSearch?NPDID_wellbore=6755	sidetrack	8/10-4 A	9999-12-31	6755	\N	\N	292114	0	4237284	CENTRICA RESOURCES NORGE AS	2012-07-25	2012-07-25	2013-05-08
7220/7-1	7220/7-1	Statoil Petroleum AS	STATOIL	532	WILDCAT	P&A	OIL	EXPLORATION	2011-12-06	2012-01-25	\N	1389-L	\N	YES	\N	3D survey WG 08STR10 inline 1302 & xline 3123	\N	40.000000	\N	2240.000000	367.000000	LATE TRIASSIC	\N	BARENTS SEA	TRANSOCEAN BARENTS	SEMISUB STEEL	20	NO	WILDCAT	2011	2012	\N	\N	5	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC	\N	\N	51	NO	ED50	72	27	37.91	N	20	9	8.69	E	72.460531	20.152414	8047950.550000	673127.760000	33	7220	7	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/72207-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6756	http://www.npd.no/FactMapSearch?NPDID_wellbore=6756	initial	\N	9999-12-31	6756	\N	\N	404303	0	5463659	STATOIL PETROLEUM AS	2012-07-25	2012-07-25	2013-05-08
30/6-28 S	30/6-28	Statoil Petroleum AS	STATOIL	053	WILDCAT	P&A	OIL	EXPLORATION	2012-01-17	2012-03-30	\N	1390-L	\N	YES	\N	3D Survey NH05M01 inline 3600 & xline 9415	\N	25.000000	\N	0.000000	110.000000	EARLY TRIASSIC	\N	NORTH SEA	COSLPioneer	SEMISUB STEEL	4	NO	WILDCAT	2012	2012	\N	\N	5	\N	EARLY JURASSIC	\N	\N	\N	\N	74	NO	ED50	60	33	59.33	N	2	44	40.69	E	60.566481	2.744636	6714686.960000	485999.930000	31	30	6	\N	28	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/306-28-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6768	http://www.npd.no/FactMapSearch?NPDID_wellbore=6768	initial	\N	9999-12-31	6768	\N	\N	413534	0	21220	STATOIL PETROLEUM AS	2012-11-14	2012-11-14	2013-05-08
7120/6-3 S	7120/6-3	Lundin Norway AS	LUNDIN	490	WILDCAT	\N	OIL	EXPLORATION	2012-10-11	2012-12-01	\N	1392-L	\N	YES	\N	LN1 IM07-inline 3496 & crosline 1362	\N	25.000000	\N	3030.000000	331.000000	MIDDLE JURASSIC	\N	BARENTS SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TFO2007	NO	WILDCAT	2012	2012	\N	\N	5	\N	CRETACEOUS	\N	\N	\N	\N	52	NO	ED50	71	41	2.43	N	20	43	16.97	E	71.684008	20.721381	7953925.230000	490226.960000	34	7120	6	\N	3	S	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Lite-oljefunn-nordvest-for-Snohvitfeltet-i-Barentshavet/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6772	http://www.npd.no/FactMapSearch?NPDID_wellbore=6772	initial	\N	9999-12-31	6772	\N	\N	294382	0	4921353	LUNDIN NORWAY	2013-04-10	2013-04-10	2013-05-08
6407/1-5 S	6407/1-5	Wintershall Norge ASA	WINTERSHALL	475 BS	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2012-02-01	2012-05-21	\N	1357-L	6406/3-8	NO	\N	ST0614WIR10 -inline7836 & crossline 2118	\N	31.000000	\N	4177.000000	297.000000	EARLY JURASSIC	\N	NORWEGIAN SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2012	2012	\N	\N	13	\N	MIDDLE JURASSIC	\N	\N	\N	\N	111	NO	ED50	64	59	20.14	N	7	0	17.24	E	64.988928	7.004789	7208886.090000	405880.980000	32	6407	1	\N	5	S	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Avgrensning-av-olje-gassfunnet-64063-8-nar-Kristinfeltet	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6774	http://www.npd.no/FactMapSearch?NPDID_wellbore=6774	initial	\N	9999-12-31	6774	18212080	\N	297784	0	5107669	WINTERSHALL NORGE ASA	2012-08-23	2012-08-23	2013-05-08
7220/5-1	7220/5-1	Statoil Petroleum AS	STATOIL	532	APPRAISAL	P&A	OIL/GAS	EXPLORATION	2012-01-24	2012-03-24	\N	1393-L	7220/8-1 JOHAN CASTBERG	NO	\N	3D survey WG08STR10-inline 1514 & crossline 3698	\N	40.000000	\N	1740.000000	388.000000	LATE TRIASSIC	\N	BARENTS SEA	TRANSOCEAN BARENTS	SEMISUB STEEL	20	NO	APPRAISAL	2012	2012	\N	\N	13	\N	MIDDLE JURASSIC	\N	EARLY JURASSIC	\N	\N	61	NO	ED50	72	31	0.78	N	20	20	28.55	E	72.516883	20.341264	8054768.820000	678900.070000	33	7220	5	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Avgrensing-av-gass-oljefunnet-72208-1-Skrugard/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6775	http://www.npd.no/FactMapSearch?NPDID_wellbore=6775	initial	\N	9999-12-31	6775	20441001	\N	404303	0	5463659	STATOIL PETROLEUM AS	2013-04-25	2013-04-25	2013-05-08
35/9-7	35/9-7	Wintershall Norge ASA	WINTERSHALL	418	WILDCAT	P&A	OIL	EXPLORATION	2012-02-28	2012-04-14	\N	1394-L	\N	YES	\N	MC3D-MARFLO-2007-inline3418 & xline8245	\N	29.000000	\N	3006.000000	368.000000	MIDDLE JURASSIC	\N	NORTH SEA	SONGA DELTA	SEMISUB STEEL	TFO2006	NO	WILDCAT	2012	2012	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	47	NO	ED50	61	16	6.83	N	3	40	23.28	E	61.268564	3.673133	6793049.400000	536100.570000	31	35	9	\N	7	\N	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Oljefunn-i-nordostlig-del-av-Nordsjoen	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6776	http://www.npd.no/FactMapSearch?NPDID_wellbore=6776	initial	\N	9999-12-31	6776	\N	\N	287821	0	4238348	WINTERSHALL NORGE ASA	2012-09-15	2012-09-15	2013-05-08
7228/1-1	7228/1-1	Norwegian Energy Company ASA	NORECO	396	WILDCAT	P&A	DRY	EXPLORATION	2012-03-29	2012-04-26	\N	1397-L	\N	NO	0	Survey BG0804.inline 1949 & xline 2736	7.90	40.000000	1711.50	1714.000000	351.000000	MIDDLE TRIASSIC	KOBBE FM	BARENTS SEA	TRANSOCEAN BARENTS	SEMISUB STEEL	19	NO	WILDCAT	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	29	NO	ED50	72	51	0.92	N	28	18	55.19	E	72.850256	28.315331	8084472.590000	543289.800000	35	7228	1	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/72281-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6820	http://www.npd.no/FactMapSearch?NPDID_wellbore=6820	initial	\N	2013-03-15	6820	\N	\N	404303	0	3965404	NORECO ASA	2013-04-06	2013-04-06	2013-05-08
6201/11-3	6201/11-3	Lundin Norway AS	LUNDIN	519	WILDCAT	SUSPENDED	OIL	EXPLORATION	2012-05-08	2012-06-16	\N	1395-L	6201/11-3	YES	\N	ST0503:inline 2739 & crossline 2511	\N	25.000000	\N	2120.000000	382.500000	LATE CRETACEOUS	\N	NORWEGIAN SEA	BREDFORD DOLPHIN	SEMISUB STEEL	20	NO	WILDCAT	2012	2012	\N	DRILLING	5	\N	LATE CRETACEOUS	\N	\N	\N	\N	0	NO	ED50	62	2	44.96	N	1	30	13.07	E	62.045822	1.503631	6880352.980000	421743.000000	31	6201	11	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Lite-oljefunn-nordvest-for-Snorre--620111-3/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6821	http://www.npd.no/FactMapSearch?NPDID_wellbore=6821	initial	\N	9999-12-31	6821	22492626	\N	373521	0	5463084	LUNDIN NORWAY	2012-12-14	2012-12-14	2013-05-08
33/6-4	33/6-4	Wintershall Norge ASA	WINTERSHALL	370	WILDCAT	P&A	DRY	EXPLORATION	2012-07-05	2012-08-03	\N	1398-L	\N	NO	\N	PCR06M1 inline 2794 & crossline 3154	\N	31.000000	\N	1845.000000	328.000000	LATE CRETACEOUS	\N	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TFO2005	NO	WILDCAT	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	30	NO	ED50	61	38	58.23	N	1	44	1.51	E	61.649508	1.733753	6835951.920000	432916.390000	31	33	6	\N	4	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/Torr-bronn-i-Nordsjoen--336-4	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6822	http://www.npd.no/FactMapSearch?NPDID_wellbore=6822	initial	\N	9999-12-31	6822	\N	\N	297784	0	3810959	WINTERSHALL NORGE ASA	2012-12-04	2012-12-04	2013-05-08
16/1-16	16/1-16	Wintershall Norge ASA	WINTERSHALL	457	APPRAISAL	P&A	OIL	EXPLORATION	2012-10-23	2012-12-06	\N	1391-L	16/1-9 IVAR AASEN	NO	\N	LN902-R10.inline1365 & xline6012	\N	25.000000	\N	2722.000000	113.000000	PERMIAN	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2007	NO	APPRAISAL	2012	2012	\N	\N	5	\N	MIDDLE JURASSIC	\N	TRIASSIC	\N	\N	45	NO	ED50	58	54	47.77	N	2	15	54.65	E	58.913269	2.265181	6530777.390000	457675.240000	31	16	1	\N	16	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/161-16-og-161-16-A	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6823	http://www.npd.no/FactMapSearch?NPDID_wellbore=6823	initial	\N	9999-12-31	6823	4972697	\N	373521	0	4910110	WINTERSHALL NORGE ASA	2013-04-17	2013-04-17	2013-05-08
33/6-3 S	33/6-3	Suncor Energy Norge AS	PETROCAN	375 B	APPRAISAL	P&A	DRY	EXPLORATION	2012-04-17	2012-07-24	\N	1399-L	\N	NO	\N	Seismic iln 1829. seismic xln 2600	\N	29.000000	\N	4444.000000	332.000000	LATE TRIASSIC	\N	NORTH SEA	SONGA DELTA	SEMISUB STEEL	TFO2010	NO	APPRAISAL	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	0	NO	ED50	61	35	38.70	N	1	57	9.74	E	61.594083	1.952706	6829572.040000	444416.050000	31	33	6	\N	3	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/336-3-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6835	http://www.npd.no/FactMapSearch?NPDID_wellbore=6835	initial	\N	9999-12-31	6835	\N	\N	287821	0	20108600	SUNCOR ENERGY NORGE	2012-08-07	2012-08-07	2013-05-08
16/2-11 A	16/2-11	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	OIL	EXPLORATION	2012-04-01	2012-05-05	\N	1401-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902:inline4414 & crossline 3363	\N	25.000000	\N	2365.000000	113.000000	TRIASSIC	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2012	2012	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	35	NO	ED50	58	48	13.06	N	2	34	19.92	E	58.803628	2.572200	6518414.990000	475280.980000	31	16	2	\N	11	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/162-11-og-162-11-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6849	http://www.npd.no/FactMapSearch?NPDID_wellbore=6849	sidetrack	16/2-11	9999-12-31	6849	18387202	\N	373521	0	5106314	LUNDIN NORWAY	2012-12-11	2012-12-11	2013-05-08
6506/11-9 S	6506/11-9	Centrica Resources (Norge) AS	CENTRICA	477	WILDCAT	P&A	DRY	EXPLORATION	2012-05-09	2012-09-03	\N	1402-L	\N	NO	\N	inline1832 & crossline 2652 -Site survey CE0801M2	\N	18.000000	\N	5330.000000	249.000000	EARLY JURASSIC	\N	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	TFO2007	NO	WILDCAT	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	118	NO	ED50	65	10	18.54	N	6	37	21.26	E	65.171817	6.622572	7229882.110000	388624.070000	32	6506	11	\N	9	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/650611-9-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6852	http://www.npd.no/FactMapSearch?NPDID_wellbore=6852	initial	\N	9999-12-31	6852	\N	\N	297514	0	4921022	CENTRICA RESOURCES NORGE AS	2012-11-22	2012-11-22	2013-05-08
34/7-35 S	34/7-35	Statoil Petroleum AS	STATOIL	552	WILDCAT	P&A	DRY	EXPLORATION	2012-05-10	2012-07-22	\N	1403-L	\N	NO	\N	3D survey: ST08M08-BIN-inline1632 & xline 5268	\N	22.000000	\N	4393.000000	261.000000	MIDDLE JURASSIC	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2009	NO	WILDCAT	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	0	NO	ED50	61	18	3.71	N	2	12	18.88	E	61.301031	2.205244	6796739.080000	457420.960000	31	34	7	\N	35	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/347-35-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6881	http://www.npd.no/FactMapSearch?NPDID_wellbore=6881	initial	\N	9999-12-31	6881	\N	\N	287902	0	17642108	STATOIL PETROLEUM AS	2012-11-22	2012-11-22	2013-05-08
16/2-13 S	16/2-13	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	OIL	EXPLORATION	2012-07-25	2012-08-29	\N	1404-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902:inline4414 & crossline 3363	\N	24.000000	\N	2090.000000	116.000000	PRE-PERMIAN	\N	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2012	2012	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	36	NO	ED50	58	49	58.48	N	2	39	10.34	E	58.832911	2.652872	6521648.760000	479959.230000	31	16	2	\N	13	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/162-13-S-og-162-13-A-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6888	http://www.npd.no/FactMapSearch?NPDID_wellbore=6888	initial	\N	9999-12-31	6888	18387202	\N	294382	0	5106314	LUNDIN NORWAY	2012-12-21	2012-12-21	2013-05-08
16/2-14	16/2-14	Statoil Petroleum AS	STATOIL	265	APPRAISAL	P&A	OIL	EXPLORATION	2012-09-14	2012-11-19	\N	1405-L	16/2-6 JOHAN SVERDRUP	NO	\N	inline 4388 & crossline 3365	\N	22.000000	\N	1982.000000	113.000000	TRIASSIC	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	NST2000	NO	APPRAISAL	2012	2012	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	67	NO	ED50	58	50	25.97	N	2	31	2.14	E	58.840547	2.517261	6522547.560000	472136.180000	31	16	2	\N	14	\N	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Avgrensing-av-oljefunnet-162-6-Johan-Sverdrup-i-Nordsjoen/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6898	http://www.npd.no/FactMapSearch?NPDID_wellbore=6898	initial	\N	9999-12-31	6898	18387202	\N	287902	0	1624237	STATOIL PETROLEUM AS	2013-02-01	2013-02-01	2013-05-08
35/2-3	35/2-3	Statoil Petroleum AS	STATOIL	318	WILDCAT	P&A	DRY	EXPLORATION	2012-06-14	2012-07-24	\N	1406-L	\N	NO	\N	3Dsurvey : NH 06M04-inline 4476 .crossline 5072	\N	34.000000	\N	1640.000000	351.000000	LATE CRETACEOUS	\N	NORTH SEA	SCARABEO 8	SEMISUB STEEL	18	NO	WILDCAT	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	0	NO	ED50	61	49	2.00	N	3	35	11.00	E	61.817222	3.586389	6854122.470000	530898.560000	31	35	2	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/352-3/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6921	http://www.npd.no/FactMapSearch?NPDID_wellbore=6921	initial	\N	9999-12-31	6921	\N	\N	404415	0	2786586	STATOIL PETROLEUM AS	2012-12-04	2012-12-04	2013-05-08
2/4-21 A	2/4-21	Statoil Petroleum AS	STATOIL	146	APPRAISAL	P&A	GAS/CONDENSATE	EXPLORATION	2012-05-25	2012-07-18	\N	1407-L	2/4-21	NO	\N	VGCNSO5R07NH-inline 7862 & trace 18770	\N	48.100000	\N	5575.000000	67.400000	LATE JURASSIC	\N	NORTH SEA	MÆRSK GALLANT	JACK-UP 3 LEGS	12	NO	APPRAISAL	2012	2012	\N	\N	17	\N	LATE JURASSIC	\N	\N	\N	\N	0	NO	ED50	56	42	0.81	N	3	8	34.31	E	56.700225	3.142864	6284166.460000	508748.770000	31	2	4	\N	21	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/24-21-og-24-21-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6933	http://www.npd.no/FactMapSearch?NPDID_wellbore=6933	sidetrack	2/4-21	9999-12-31	6933	21669700	\N	296002	0	21980	STATOIL PETROLEUM AS	2012-12-12	2012-12-12	2013-05-08
6507/3-9 S	6507/3-9	BP Norge AS	BP	212 E	WILDCAT	P&A	GAS	EXPLORATION	2012-06-01	2012-07-15	\N	1396-L	\N	YES	\N	EN 0804 IL 4175 & XL 3525	\N	23.000000	\N	2964.000000	364.000000	EARLY CRETACEOUS	\N	NORWEGIAN SEA	POLAR PIONEER	SEMISUB STEEL	Awarded additionaly to round 15	NO	WILDCAT	2012	2012	\N	\N	9	\N	LATE CRETACEOUS	\N	\N	\N	\N	0	NO	ED50	65	56	44.28	N	7	41	32.83	E	65.945633	7.692453	7314655.030000	440529.010000	32	6507	3	\N	9	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/65073-9-	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6951	http://www.npd.no/FactMapSearch?NPDID_wellbore=6951	initial	\N	9999-12-31	6951	\N	\N	289333	0	4966902	BP NORGE	2012-12-04	2012-12-04	2013-05-08
16/2-12	16/2-12	Statoil Petroleum AS	STATOIL	265	APPRAISAL	P&A	OIL	EXPLORATION	2012-07-25	2012-09-07	\N	1400-L	16/2-6 JOHAN SVERDRUP	NO	\N	inline 3624 & xline 3576	\N	22.000000	\N	2067.000000	115.000000	PRE-DEVONIAN	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	NST2000	NO	WILDCAT	2012	2012	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	45	NO	ED50	58	53	4.25	N	2	29	18.06	E	58.884514	2.488350	6527455.670000	470504.870000	31	16	2	\N	12	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/162-12	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6952	http://www.npd.no/FactMapSearch?NPDID_wellbore=6952	initial	\N	9999-12-31	6952	18387202	\N	287902	0	1624237	STATOIL PETROLEUM AS	2012-12-11	2012-12-11	2013-05-08
6506/6-2	6506/6-2	Maersk Oil Norway AS	M[RSK	513	WILDCAT	P&A	DRY	EXPLORATION	2012-12-06	2013-02-23	\N	1410-L	\N	NO	\N	Seismic cube MAE09M1 3D: inline 790-crossline 2555	\N	40.000000	\N	3366.000000	409.000000	EARLY CRETACEOUS	\N	NORWEGIAN SEA	TRANSOCEAN BARENTS	SEMISUB STEEL	TFO2008	NO	WILDCAT	2012	2013	\N	\N	1	\N	\N	\N	\N	\N	\N	80	NO	ED50	65	38	17.77	N	6	51	56.50	E	65.638269	6.865694	7281441.930000	401771.050000	32	6506	6	\N	2	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/65066-2-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6960	http://www.npd.no/FactMapSearch?NPDID_wellbore=6960	initial	\N	9999-12-31	6960	\N	\N	404303	0	5107217	MAERSK OIL NORWAY AS	2013-04-11	2013-04-11	2013-05-08
34/6-2 S	34/6-2	Total E&P Norge AS	TOTAL	554	WILDCAT	P&A	OIL	EXPLORATION	2012-08-05	2012-11-06	\N	1412-L	34/6-2 S	YES	\N	BE1101-1208.SP 2248	\N	31.000000	\N	4335.000000	384.000000	LATE TRIASSIC	\N	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TFO2009	NO	WILDCAT	2012	2012	\N	\N	5	\N	EARLY JURASSIC	\N	\N	\N	\N	94	NO	ED50	61	35	24.52	N	2	45	14.21	E	61.590144	2.753947	6828711.060000	486939.000000	31	34	6	\N	2	S	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Oljefunn-nordost-for-Visundfeltet/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6971	http://www.npd.no/FactMapSearch?NPDID_wellbore=6971	initial	\N	9999-12-31	6971	22506411	\N	297784	0	17654471	TOTAL E&P NORGE	2013-02-13	2013-02-13	2013-05-08
16/2-15	16/2-15	Statoil Petroleum AS	STATOIL	265	APPRAISAL	P&A	OIL	EXPLORATION	2012-11-21	2013-01-10	\N	1411-L	16/2-6 JOHAN SVERDRUP	NO	\N	inline 4505 & crossline 3197 on 3D cube LN0902STR11	\N	22.000000	\N	2006.000000	111.000000	TRIASSIC	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	NST2000	NO	APPRAISAL	2012	2013	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	51	NO	ED50	58	47	0.09	N	2	33	34.49	E	58.783358	2.559581	6516162.710000	474536.970000	31	16	2	\N	15	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/162-15	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6979	http://www.npd.no/FactMapSearch?NPDID_wellbore=6979	initial	\N	9999-12-31	6979	18387202	\N	287902	0	1624237	STATOIL PETROLEUM AS	2013-04-11	2013-04-11	2013-05-08
7220/10-1	7220/10-1	Eni Norge AS	ENI	533	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2012-08-12	2012-10-16	\N	1413-L	7220/10-1	YES	\N	Kryssing av XL 2162 og IL 1474 (WG0901-3D)	\N	34.000000	\N	2405.000000	341.000000	LATE TRIASSIC	\N	BARENTS SEA	SCARABEO 8	SEMISUB STEEL	20	NO	WILDCAT	2012	2012	\N	\N	17	\N	JURASSIC	\N	JURASSIC	\N	\N	66	NO	ED50	72	0	57.34	N	20	3	25.01	E	72.015928	20.056947	7998239.810000	674093.100000	33	7220	10	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/722010-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7015	http://www.npd.no/FactMapSearch?NPDID_wellbore=7015	initial	\N	9999-12-31	7015	22468264	\N	404415	0	5463724	ENI NORGE	2013-02-01	2013-02-01	2013-05-08
16/10-5	16/10-5	Talisman Energy Norge AS	TALISMAN	568	WILDCAT	P&A	DRY	EXPLORATION	2012-10-02	2012-11-27	\N	1414-L	\N	NO	\N	inline1604 & xline 3075	\N	44.100000	\N	3034.000000	83.500000	MIDDLE JURASSIC	\N	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	TFO2010	NO	WILDCAT	2012	2012	\N	\N	1	\N	\N	\N	\N	\N	\N	57	NO	ED50	58	0	1.37	N	2	7	59.99	E	58.000381	2.133331	6429227.240000	448770.710000	31	16	10	\N	5	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/1610-5/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7021	http://www.npd.no/FactMapSearch?NPDID_wellbore=7021	initial	\N	9999-12-31	7021	\N	\N	278245	0	20088760	TALISMAN ENERGY	2013-01-03	2013-01-03	2013-05-08
16/2-13 A	16/2-13	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	OIL	EXPLORATION	2012-08-30	2012-10-01	\N	1415-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902: inline 4414 & crossline 3363	\N	24.000000	\N	2776.000000	116.000000	PRE-PERMIAN	\N	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2012	2012	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	33	NO	ED50	58	49	58.48	N	2	39	10.34	E	58.832911	2.652872	6521648.760000	479959.230000	31	16	2	\N	13	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2012/162-13-S-og-162-13-A-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7028	http://www.npd.no/FactMapSearch?NPDID_wellbore=7028	sidetrack	16/2-13 S	9999-12-31	7028	18387202	\N	294382	0	5106314	LUNDIN NORWAY	2012-12-21	2012-12-21	2013-05-08
6607/12-3	6607/12-3	Statoil Petroleum AS	STATOIL	385	WILDCAT	\N	GAS	EXPLORATION	2012-10-22	2012-12-26	\N	1418-L	\N	YES	\N	3D survey MC3D NON 2010.inline 3053 & xline2972	\N	18.000000	\N	4306.000000	363.000000	EARLY JURASSIC	\N	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	TFO2005	NO	WILDCAT	2012	2012	\N	\N	9	\N	JURASSIC	\N	JURASSIC	\N	CRETACEOUS          	0	NO	ED50	66	9	37.30	N	7	56	34.10	E	66.160361	7.942806	7338373.160000	452318.440000	32	6607	12	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7039	http://www.npd.no/FactMapSearch?NPDID_wellbore=7039	initial	\N	9999-12-31	7039	\N	\N	297514	0	3811602	STATOIL PETROLEUM AS	2012-12-28	2012-12-28	2013-05-08
16/3-5	16/3-5	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	OIL	EXPLORATION	2013-01-04	2013-03-09	\N	1419-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902 : inline 2508 & crossline 7276	\N	25.000000	\N	2050.000000	115.000000	PERMIAN	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2013	2013	\N	\N	5	\N	LATE JURASSIC	\N	PERMIAN	\N	\N	65	NO	ED50	58	46	31.59	N	2	42	18.59	E	58.775442	2.705164	6515235.000000	482950.010000	31	16	3	\N	5	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/163-5/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7046	http://www.npd.no/FactMapSearch?NPDID_wellbore=7046	initial	\N	9999-12-31	7046	18387202	\N	373521	0	5106314	LUNDIN NORWAY	2013-05-01	2013-05-01	2013-05-08
16/2-16	16/2-16	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	OIL	EXPLORATION	2012-11-11	2012-12-12	\N	1416-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902 : inline 4191 & crossline 3733	\N	26.000000	\N	2214.000000	115.000000	PERMIAN	\N	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2012	2012	\N	\N	5	\N	JURASSIC	\N	\N	\N	\N	32	NO	ED50	58	51	1.14	N	2	35	50.55	E	58.850317	2.597375	6523604.820000	476766.880000	31	16	2	\N	16	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/162-16-og-162-16-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7047	http://www.npd.no/FactMapSearch?NPDID_wellbore=7047	initial	\N	9999-12-31	7047	18387202	\N	296326	0	5106314	LUNDIN NORWAY	2013-04-10	2013-04-10	2013-05-08
7122/7-6	7122/7-6	Eni Norge AS	ENI	229	APPRAISAL	P&A	OIL	EXPLORATION	2012-10-21	2013-01-04	GOLIAT	1422-L	7122/7-1 GOLIAT	NO	\N	inline 3229.xline 1802-3MAZ survey EN0901 Az 127	\N	34.000000	\N	2026.000000	382.000000	EARLY TRIASSIC	\N	BARENTS SEA	SCARABEO 8	SEMISUB STEEL	BARENTSHAVPROSJEKTET-97	NO	APPRAISAL	2012	2013	\N	\N	5	\N	MIDDLE TRIASSIC	\N	MIDDLE TRIASSIC	\N	\N	76	NO	ED50	71	16	11.44	N	22	19	20.14	E	71.269844	22.322261	7908224.310000	547388.200000	34	7122	7	\N	6	\N	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Avgrensningsbronn-pa-Goliat-avsluttet	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7051	http://www.npd.no/FactMapSearch?NPDID_wellbore=7051	initial	\N	9999-12-31	7051	1340775	5774394	404415	0	22644	ENI NORGE	2013-01-08	2013-01-08	2013-05-08
7/8-6 S	7/8-6	Lotos Exploration and Production Norge AS	LOTOS	498	WILDCAT	P&A	DRY	EXPLORATION	2012-11-09	2013-01-05	\N	1421-L	\N	NO	\N	MC-3DCGMNOR-94R07 IL37108/XL114502;LO1102-1010/LO1102-2319	\N	45.000000	\N	3220.000000	82.000000	LATE CRETACEOUS	\N	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2008	NO	WILDCAT	2012	2013	\N	\N	1	\N	\N	\N	\N	\N	\N	58	NO	ED50	57	17	55.17	N	2	27	19.16	E	57.298658	2.455322	6350906.150000	467176.080000	31	7	8	\N	6	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/78-6-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7053	http://www.npd.no/FactMapSearch?NPDID_wellbore=7053	initial	\N	9999-12-31	7053	\N	\N	292114	0	5106134	LOTOS EXPLORATION	2013-01-09	2013-01-09	2013-05-08
3/7-8 S	3/7-8	DONG E&P Norge AS	DONG	147	WILDCAT	P&A	OIL/GAS	EXPLORATION	2012-12-04	2013-03-03	\N	1424-L	\N	YES	\N	DG0801 FINMIG.IL UHR.I08-204/XL UHR.I08-411	\N	45.000000	\N	4188.000000	65.000000	PERMIAN	\N	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	12	NO	WILDCAT	2012	2013	\N	\N	13	\N	MIDDLE JURASSIC	\N	MIDDLE JURASSIC	\N	\N	90	NO	ED50	56	23	10.72	N	4	14	0.52	E	56.386311	4.233478	6249897.850000	576161.650000	31	3	7	\N	8	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/37-8-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7058	http://www.npd.no/FactMapSearch?NPDID_wellbore=7058	initial	\N	9999-12-31	7058	\N	\N	278245	0	21988	DONG E&P NORGE	2013-03-06	2013-03-06	2013-05-08
34/6-2 A	34/6-2	Total E&P Norge AS	TOTAL	554	APPRAISAL	P&A	OIL	EXPLORATION	2012-11-06	2012-12-13	\N	1425-L	34/6-2 S	NO	\N	BE1101-1208.SP2248	\N	31.000000	\N	3974.000000	385.500000	EARLY TRIASSIC	\N	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TFO2009	NO	APPRAISAL	2012	2012	\N	\N	5	\N	EARLY JURASSIC	\N	\N	\N	\N	0	NO	ED50	61	35	24.52	N	2	45	14.21	E	61.590144	2.753947	6828711.060000	486939.000000	31	34	6	\N	2	A	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Oljefunn-nordost-for-Visundfeltet/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7059	http://www.npd.no/FactMapSearch?NPDID_wellbore=7059	sidetrack	34/6-2 S	9999-12-31	7059	22506411	\N	297784	0	17654471	TOTAL E&P NORGE	2013-04-10	2013-04-10	2013-05-08
34/8-15 S	34/8-15	Statoil Petroleum AS	STATOIL	120	WILDCAT	P&A	DRY	EXPLORATION	2013-01-03	2013-02-19	\N	1426-L	\N	NO	\N	IL2448/XL1620	\N	25.000000	\N	3690.000000	378.000000	JURASSIC	\N	NORTH SEA	COSLPioneer	SEMISUB STEEL	10-A	NO	WILDCAT	2013	2013	\N	\N	1	\N	\N	\N	\N	\N	\N	48	NO	ED50	61	26	6.10	N	2	35	20.84	E	61.435028	2.589122	6811475.750000	478080.890000	31	34	8	\N	15	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7072	http://www.npd.no/FactMapSearch?NPDID_wellbore=7072	initial	\N	9999-12-31	7072	\N	\N	413534	0	21772	STATOIL PETROLEUM AS	2013-04-12	2013-04-12	2013-05-08
16/2-17 S	16/2-17	Statoil Petroleum AS	STATOIL	265	APPRAISAL	\N	\N	EXPLORATION	2013-03-25	9999-12-31	\N	1423-L	16/2-6 JOHAN SVERDRUP	NO	\N	inline 4273-crossline 3224(on 3D cube LN0902STR11)	\N	22.000000	\N	0.000000	111.000000	\N	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	NST2000	NO	APPRAISAL	2013	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	58	48	15.92	N	2	31	46.03	E	58.804422	2.529453	6518520.010000	472811.620000	31	16	2	\N	17	S	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7085	http://www.npd.no/FactMapSearch?NPDID_wellbore=7085	initial	\N	9999-12-31	7085	18387202	\N	287902	0	1624237	STATOIL PETROLEUM AS	2013-04-04	2013-04-04	2013-05-08
6407/1-6 S	6407/1-6	Wintershall Norge AS	WINTERSHALL	475	WILDCAT	P&A	GAS/CONDENSATE	EXPLORATION	2012-12-08	2013-01-24	\N	1420-L	\N	NO	\N	ST0614WIR10 inline 7685-xline 2781	\N	24.000000	\N	4250.000000	291.000000	EARLY JURASSIC	\N	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TFO2007	NO	WILDCAT	2012	2013	\N	\N	17	\N	EARLY CRETACEOUS	\N	\N	\N	\N	48	NO	ED50	64	56	25.71	N	7	8	36.88	E	64.940475	7.143578	7203288.270000	412267.930000	32	6407	1	\N	6	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/64071-6-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7086	http://www.npd.no/FactMapSearch?NPDID_wellbore=7086	initial	\N	9999-12-31	7086	\N	\N	294382	0	4918410	WINTERSHALL NORGE AS	2013-03-07	2013-03-07	2013-05-08
6610/10-1	6610/10-1	Statoil Petroleum AS	STATOIL	386	WILDCAT	P&A	DRY	EXPLORATION	2013-01-02	2013-02-03	\N	1427-L	\N	NO	\N	3DsurveyWG08STR10 -inline 1302 & xline3123	\N	18.000000	\N	3006.000000	244.000000	LATE TRIASSIC	\N	NORWEGIAN SEA	WEST ALPHA	SEMISUB STEEL	TFO2005	NO	WILDCAT	2013	2013	\N	\N	1	\N	\N	\N	\N	\N	\N	33	NO	ED50	66	14	9.42	N	10	2	46.89	E	66.235950	10.046358	7346789.970000	547052.080000	32	6610	10	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/661010-1	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7091	http://www.npd.no/FactMapSearch?NPDID_wellbore=7091	initial	\N	9999-12-31	7091	\N	\N	297514	0	3811659	STATOIL PETROLEUM AS	2013-02-05	2013-02-05	2013-05-08
16/1-16 A	16/1-16	Wintershall Norge AS	WINTERSHALL	457	APPRAISAL	P&A	OIL	EXPLORATION	2012-12-07	2013-01-01	\N	1428-L	16/1-9 IVAR AASEN	NO	\N	LN902-R10 linjer 1365 & 6012	\N	25.000000	\N	2897.000000	113.000000	TRIASSIC	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2007	NO	APPRAISAL	2012	2013	\N	\N	5	\N	MIDDLE JURASSIC	\N	\N	\N	\N	26	NO	ED50	58	54	47.77	N	2	15	54.65	E	58.913269	2.265181	6530777.390000	457675.240000	31	16	1	\N	16	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/161-16-og-161-16-A	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7095	http://www.npd.no/FactMapSearch?NPDID_wellbore=7095	sidetrack	16/1-16	9999-12-31	7095	4972697	\N	373521	0	4910110	WINTERSHALL NORGE AS	2013-04-10	2013-04-10	2013-05-08
16/4-6 S	16/4-6	Lundin Norway AS	LUNDIN	359	WILDCAT	P&A	OIL	EXPLORATION	2013-03-11	2013-05-04	\N	1429-L	\N	YES	\N	inline2470 & crossline 1994	\N	25.000000	\N	2233.000000	100.500000	TRIASSIC	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2005	NO	WILDCAT	2013	2013	\N	\N	5	\N	JURASSIC	\N	\N	\N	\N	55	NO	ED50	58	41	33.84	N	2	13	52.02	E	58.692733	2.231117	6506243.360000	455431.360000	31	16	4	\N	6	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/164-6-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7098	http://www.npd.no/FactMapSearch?NPDID_wellbore=7098	initial	\N	9999-12-31	7098	\N	\N	373521	0	3810373	LUNDIN NORWAY	2013-05-07	2013-05-07	2013-05-08
25/11-26	25/11-26	Statoil Petroleum AS	STATOIL	169	WILDCAT	P&A	DRY	EXPLORATION	2013-01-18	2013-02-18	\N	1430-L	\N	NO	\N	3Dsurvey : NH9301-BIN. inline 1078 & crossline 878	\N	22.000000	\N	2235.000000	130.000000	EARLY JURASSIC	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	13	NO	WILDCAT	2013	2013	\N	\N	1	\N	\N	\N	\N	\N	\N	32	NO	ED50	59	14	3.21	N	2	36	40.99	E	59.234225	2.611386	6566350.080000	477824.030000	31	25	11	\N	26	\N	\N	http://www.npd.no/no/Nyheter/Nyheter/2013/Torr-bronn-nordost-for-Granefeltet/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7105	http://www.npd.no/FactMapSearch?NPDID_wellbore=7105	initial	\N	9999-12-31	7105	\N	\N	287902	0	22164	STATOIL PETROLEUM AS	2013-02-19	2013-02-19	2013-05-08
16/2-16 A	16/2-16	Lundin Norway AS	LUNDIN	501	APPRAISAL	P&A	OIL	EXPLORATION	2012-12-13	2013-02-07	\N	1431-L	16/2-6 JOHAN SVERDRUP	NO	\N	LN0902-inline 4191 & crossline 3733	\N	26.000000	\N	2503.000000	115.000000	TRIASSIC	\N	NORTH SEA	TRANSOCEAN WINNER	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2012	2013	\N	\N	5	\N	JURASSIC	\N	\N	\N	\N	57	NO	ED50	58	51	1.14	N	2	35	50.55	E	58.850317	2.597375	6523604.820000	476766.880000	31	16	2	\N	16	A	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/162-16-og-162-16-A/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7107	http://www.npd.no/FactMapSearch?NPDID_wellbore=7107	sidetrack	16/2-16	9999-12-31	7107	18387202	\N	296326	0	5106314	LUNDIN NORWAY	2013-05-01	2013-05-01	2013-05-08
6201/11-3 R	6201/11-3	Lundin Norway AS	LUNDIN	519	WILDCAT	P&A	OIL	EXPLORATION	2012-08-16	2012-10-21	\N	1395-L2	6201/11-3	NO	\N	STO503 inline 2739 & crossline 2511	\N	25.000000	\N	3000.000000	382.500000	PERMIAN	\N	NORWEGIAN SEA	BREDFORD DOLPHIN	SEMISUB STEEL	20	NO	WILDCAT	2012	2012	\N	DRILLING	5	\N	PALEOCENE	\N	\N	\N	\N	67	YES	ED50	62	2	44.96	N	1	30	13.07	E	62.045822	1.503631	6880352.980000	421743.000000	31	6201	11	\N	3	R	\N	http://www.npd.no/no/Nyheter/Nyheter/2012/Lite-oljefunn-nordvest-for-Snorre--620111-3/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7110	http://www.npd.no/FactMapSearch?NPDID_wellbore=7110	re-entry	6201/11-3	9999-12-31	7110	22492626	\N	373521	0	5463084	LUNDIN NORWAY	2013-04-13	2013-04-13	2013-05-08
8/5-1	8/5-1	Lundin Norway AS	LUNDIN	453 S	WILDCAT	P&A	DRY	EXPLORATION	2013-01-10	2013-03-31	\N	1433-L	\N	NO	\N	3D Survey MC3D-Q8:inline 2132 & crossline 6713	\N	43.000000	\N	2405.000000	72.000000	TRIASSIC	\N	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2007	NO	WILDCAT	2013	2013	\N	\N	1	\N	\N	\N	\N	\N	\N	81	NO	ED50	57	33	43.83	N	3	34	49.67	E	57.562175	3.580464	6380260.010000	534730.000000	31	8	5	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/85-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7112	http://www.npd.no/FactMapSearch?NPDID_wellbore=7112	initial	\N	9999-12-31	7112	\N	\N	292114	0	4909893	LUNDIN NORWAY	2013-04-03	2013-04-03	2013-05-08
7218/11-1	7218/11-1	Repsol Exploration Norge AS	REPSOL	531	WILDCAT	P&A	DRY	EXPLORATION	2013-03-04	2013-04-10	\N	1435-L	\N	NO	\N	EL0001 PSTM 3D. xline 3372 & inline 1011	\N	40.000000	\N	2542.000000	325.000000	EARLY CRETACEOUS	\N	BARENTS SEA	TRANSOCEAN BARENTS	SEMISUB STEEL	20	NO	WILDCAT	2013	2013	\N	\N	1	\N	\N	\N	\N	\N	\N	38	NO	ED50	72	5	29.10	N	18	25	59.40	E	72.091417	18.433167	8002706.260000	617779.140000	33	7218	11	\N	1	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/721811-1/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7114	http://www.npd.no/FactMapSearch?NPDID_wellbore=7114	initial	\N	9999-12-31	7114	\N	\N	404303	0	5463621	REPSOL EXPLORATION NORGE AS	2013-04-13	2013-04-13	2013-05-08
16/8-3 S	16/8-3	Statoil Petroleum AS	STATOIL	360	WILDCAT	P&A	DRY	EXPLORATION	2013-03-11	2013-04-30	\N	1434-L	\N	NO	\N	inline 949 xline 2304 (3D survey : ST0611-BIN)	\N	25.000000	\N	3261.000000	71.500000	PERMIAN	\N	NORTH SEA	SONGA TRYM	SEMISUB STEEL	TFO2005	NO	WILDCAT	2013	2013	\N	\N	1	\N	\N	\N	\N	\N	\N	0	NO	ED50	58	17	43.40	N	2	34	54.50	E	58.295389	2.581806	6461821.090000	475483.630000	31	16	8	\N	3	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/168-3-S/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7115	http://www.npd.no/FactMapSearch?NPDID_wellbore=7115	initial	\N	9999-12-31	7115	\N	\N	296164	0	3810387	STATOIL PETROLEUM AS	2013-05-01	2013-05-01	2013-05-08
35/9-8	35/9-8	Wintershall Norge AS	WINTERSHALL	418	APPRAISAL	P&A	OIL	EXPLORATION	2013-02-03	2013-04-11	\N	1437-L	\N	NO	\N	inline 41904 & crossline 150128	\N	24.000000	\N	3256.000000	369.000000	MIDDLE JURASSIC	\N	NORTH SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TFO2006	NO	APPRAISAL	2013	2013	\N	\N	5	\N	JURASSIC	\N	\N	\N	\N	68	NO	ED50	61	17	6.71	N	3	40	33.63	E	61.285197	3.676008	6794903.770000	536235.580000	31	35	9	\N	8	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/359-8	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7120	http://www.npd.no/FactMapSearch?NPDID_wellbore=7120	initial	\N	9999-12-31	7120	\N	\N	294382	0	4238348	WINTERSHALL NORGE AS	2013-04-13	2013-04-13	2013-05-08
7/4-3	7/4-3	Lundin Norway AS	LUNDIN	495	WILDCAT	\N	\N	EXPLORATION	2013-04-05	9999-12-31	\N	1432-L	\N	NO	\N	3D survey LN10M08 - inline 35867 & crossline 11804	\N	43.000000	\N	0.000000	82.000000	\N	\N	NORTH SEA	MÆRSK GUARDIAN	JACK-UP 3 LEGS	TFO2008	NO	WILDCAT	2013	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	57	42	16.54	N	2	12	15.81	E	57.704594	2.204392	6396245.560000	452583.870000	31	7	4	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7121	http://www.npd.no/FactMapSearch?NPDID_wellbore=7121	initial	\N	9999-12-31	7121	\N	\N	292114	0	5105968	LUNDIN NORWAY	2013-04-06	2013-04-06	2013-05-08
16/5-3	16/5-3	Statoil Petroleum AS	STATOIL	502	APPRAISAL	P&A	OIL	EXPLORATION	2013-02-20	2013-03-18	\N	1417-L	16/2-6 JOHAN SVERDRUP	NO	\N	3D Survey:LN0902STR11 inline 4835 & xline 2875	\N	22.000000	\N	1993.000000	108.000000	PERMIAN	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2013	2013	\N	\N	5	\N	LATE JURASSIC	\N	\N	\N	\N	27	NO	ED50	58	43	53.95	N	2	33	28.64	E	58.731653	2.557956	6510405.940000	474405.050000	31	16	5	\N	3	\N	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/165-3-/	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7123	http://www.npd.no/FactMapSearch?NPDID_wellbore=7123	initial	\N	9999-12-31	7123	18387202	\N	287902	0	5106378	STATOIL PETROLEUM AS	2013-03-20	2013-03-20	2013-05-08
3/7-9 S	3/7-9	DONG E&P Norge AS	DONG	289	WILDCAT	P&A	DRY	EXPLORATION	2013-03-14	2013-04-30	\N	1440-L	\N	NO	\N	MUS-I12-210 TRACE 327 MUS-I12-418 TRACE 362	\N	45.000000	\N	0.000000	63.400000	TRIASSIC	\N	NORTH SEA	MÆRSK GIANT	JACK-UP 3 LEGS	NST2002	NO	WILDCAT	2013	2013	\N	\N	1	\N	\N	\N	\N	\N	\N	0	NO	ED50	56	26	20.84	N	4	10	10.75	E	56.439122	4.169653	6255706.910000	572120.990000	31	3	7	\N	9	S	\N	http://www.npd.no/no/Nyheter/Resultat-av-leteboring/2013/37-9-S	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7137	http://www.npd.no/FactMapSearch?NPDID_wellbore=7137	initial	\N	9999-12-31	7137	\N	\N	278245	0	2407454	DONG E&P NORGE	2013-05-01	2013-05-01	2013-05-08
16/2-17 A	16/2-17	Statoil Petroleum AS	STATOIL	265	APPRAISAL	\N	\N	EXPLORATION	9999-12-31	9999-12-31	\N	1442-L	\N	NO	\N	inline 4273 & crossline 3224	\N	22.000000	\N	0.000000	111.000000	\N	\N	NORTH SEA	OCEAN VANGUARD	SEMISUB STEEL	NST2000	NO	APPRAISAL	0	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	58	48	15.92	N	2	31	46.03	E	58.804422	2.529453	6518520.010000	472811.620000	31	16	2	\N	17	A	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7140	http://www.npd.no/FactMapSearch?NPDID_wellbore=7140	sidetrack	16/2-17 S	9999-12-31	7140	\N	\N	287902	0	1624237	STATOIL PETROLEUM AS	2013-03-02	2013-03-02	2013-05-08
6406/9-3	6406/9-3	A/S Norske Shell	SHELL	255	WILDCAT	\N	\N	EXPLORATION	2013-04-17	9999-12-31	\N	1439-L	\N	NO	\N	SH0902MZ10.inline 5601 & crossline 3098	\N	40.000000	\N	0.000000	298.000000	\N	\N	NORWEGIAN SEA	TRANSOCEAN BARENTS	SEMISUB STEEL	16	NO	WILDCAT	2013	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	64	25	15.99	N	6	58	42.79	E	64.421108	6.978553	7145667.700000	402625.050000	32	6406	9	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7141	http://www.npd.no/FactMapSearch?NPDID_wellbore=7141	initial	\N	9999-12-31	7141	\N	\N	404303	0	1032979	SHELL NORGE	2013-05-01	2013-05-01	2013-05-08
26/5-1	26/5-1	Rocksource Exploration Norway AS	ROCKSOURCE EXPLO	506 S	WILDCAT	\N	\N	EXPLORATION	2013-04-10	9999-12-31	\N	1443-L	\N	NO	\N	inline 3515 & xline 4760(seismic survey:RS101001	\N	31.200000	\N	0.000000	260.000000	\N	\N	NORTH SEA	BORGLAND DOLPHIN	SEMISUB STEEL	TFO2008	NO	WILDCAT	2013	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	59	40	18.91	N	3	38	35.70	E	59.671919	3.643250	6615204.040000	536235.080000	31	26	5	\N	1	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7142	http://www.npd.no/FactMapSearch?NPDID_wellbore=7142	initial	\N	9999-12-31	7142	\N	\N	297784	0	5106544	ROCKSOURCE EXPLORATION NORWAY AS	2013-04-13	2013-04-13	2013-05-08
7225/3-2	7225/3-2	Total E&P Norge AS	TOTAL	535	APPRAISAL	\N	\N	EXPLORATION	2013-04-30	9999-12-31	\N	1444-L	\N	NO	\N	inline 1627 & crossline 2183	\N	25.000000	\N	0.000000	383.000000	\N	\N	BARENTS SEA	LEIV EIRIKSSON	SEMISUB STEEL	20	NO	APPRAISAL	2013	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	72	57	5.17	N	25	58	23.34	E	72.951436	25.973150	8095573.090000	466396.980000	35	7225	3	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7149	http://www.npd.no/FactMapSearch?NPDID_wellbore=7149	initial	\N	9999-12-31	7149	\N	\N	297865	0	5463791	TOTAL E&P NORGE	2013-05-01	2013-05-01	2013-05-08
6406/6-3	6406/6-3	Wintershall Norge AS	WINTERSHALL	511	WILDCAT	\N	\N	EXPLORATION	2013-04-14	9999-12-31	\N	1446-L	\N	NO	\N	WINO09M02 inline 760 & xline 2806	\N	24.000000	\N	0.000000	243.000000	\N	\N	NORWEGIAN SEA	TRANSOCEAN ARCTIC	SEMISUB STEEL	TFO2008	NO	WILDCAT	2013	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	64	34	24.44	N	6	58	27.63	E	64.573456	6.974342	7162645.900000	402964.040000	32	6406	6	\N	3	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7156	http://www.npd.no/FactMapSearch?NPDID_wellbore=7156	initial	\N	9999-12-31	7156	\N	\N	294382	0	5107428	WINTERSHALL NORGE AS	2013-04-17	2013-04-17	2013-05-08
7220/5-2	7220/5-2	Statoil Petroleum AS	STATOIL	532	WILDCAT	\N	\N	EXPLORATION	9999-12-31	9999-12-31	\N	1447-L	\N	NO	\N	3D survey WG08STR10-inline 1559 & xline 4113	\N	31.000000	\N	0.000000	398.000000	\N	\N	BARENTS SEA	WEST HERCULES	SEMISUB STEEL	20	NO	WILDCAT	0	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	72	33	40.29	N	20	23	54.84	E	72.561192	20.398567	8059865.220000	680370.770000	33	7220	5	\N	2	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7166	http://www.npd.no/FactMapSearch?NPDID_wellbore=7166	initial	\N	9999-12-31	7166	\N	\N	415836	0	5463659	STATOIL PETROLEUM AS	2013-04-04	2013-04-04	2013-05-08
16/2-21	16/2-21	Lundin Norway AS	LUNDIN	501	APPRAISAL	\N	\N	EXPLORATION	2013-05-05	9999-12-31	\N	1441-L	\N	NO	\N	LN0902-inline 2351 & xline 6672	\N	25.000000	\N	0.000000	112.000000	\N	\N	NORTH SEA	BREDFORD DOLPHIN	SEMISUB STEEL	TFO2008	NO	APPRAISAL	2013	0	\N	\N	0	\N	\N	\N	\N	\N	\N	0	NO	ED50	58	46	40.81	N	2	36	38.77	E	58.778003	2.610769	6515548.040000	477492.990000	31	16	2	\N	21	\N	\N	\N	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7169	http://www.npd.no/FactMapSearch?NPDID_wellbore=7169	initial	\N	9999-12-31	7169	\N	\N	373521	0	5106314	LUNDIN NORWAY	2013-05-07	2013-05-07	2013-05-08
\.



COPY wellbore_formation_top (wlbname, lsutopdepth, lsubottomdepth, lsuname, lsulevel, lsunameparent, wlbnpdidwellbore, lsunpdidlithostrat, lsunpdidlithostratparent, lsuwellboreupdateddate, datesyncnpd) FROM stdin;
1/3-4	2617.000000	2629.000000	BALDER FM	FORMATION	ROGALAND GP	2	6	131	9999-12-31	2013-05-08
1/3-4	2754.000000	2797.000000	EKOFISK FM	FORMATION	SHETLAND GP	2	33	143	9999-12-31	2013-05-08
1/3-4	3123.000000	3160.000000	HOD FM	FORMATION	SHETLAND GP	2	66	143	9999-12-31	2013-05-08
1/3-4	1580.000000	2617.000000	HORDALAND GP	GROUP	\N	2	67	\N	9999-12-31	2013-05-08
1/3-4	2647.000000	2676.000000	LISTA FM	FORMATION	ROGALAND GP	2	95	131	9999-12-31	2013-05-08
1/3-4	2688.000000	2724.000000	LISTA FM	FORMATION	ROGALAND GP	2	95	131	9999-12-31	2013-05-08
1/3-4	97.000000	1580.000000	NORDLAND GP	GROUP	\N	2	113	\N	9999-12-31	2013-05-08
1/3-4	2617.000000	2754.000000	ROGALAND GP	GROUP	\N	2	131	\N	9999-12-31	2013-05-08
1/3-4	2629.000000	2647.000000	SELE FM	FORMATION	ROGALAND GP	2	142	131	9999-12-31	2013-05-08
1/3-4	2754.000000	3160.000000	SHETLAND GP	GROUP	\N	2	143	\N	9999-12-31	2013-05-08
1/3-4	2797.000000	3123.000000	TOR FM	FORMATION	SHETLAND GP	2	171	143	9999-12-31	2013-05-08
1/3-4	2676.000000	2688.000000	VIDAR FM	FORMATION	ROGALAND GP	2	187	131	9999-12-31	2013-05-08
1/3-4	2724.000000	2754.000000	VÅLE FM	FORMATION	ROGALAND GP	2	190	131	9999-12-31	2013-05-08
1/3-4	3160.000000	3198.000000	ZECHSTEIN GP	GROUP	\N	2	194	\N	9999-12-31	2013-05-08
2/2-3	2827.000000	2855.000000	BALDER FM	FORMATION	ROGALAND GP	3	6	131	9999-12-31	2013-05-08
2/2-3	3494.000000	3523.000000	CROMER KNOLL GP	GROUP	\N	3	23	\N	9999-12-31	2013-05-08
2/2-3	2965.000000	3090.000000	EKOFISK FM	FORMATION	SHETLAND GP	3	33	143	9999-12-31	2013-05-08
2/2-3	3527.000000	3880.000000	FARSUND FM	FORMATION	TYNE GP	3	39	177	9999-12-31	2013-05-08
2/2-3	3442.000000	3494.000000	HOD FM	FORMATION	SHETLAND GP	3	66	143	9999-12-31	2013-05-08
2/2-3	1543.000000	2827.000000	HORDALAND GP	GROUP	\N	3	67	\N	9999-12-31	2013-05-08
2/2-3	2906.000000	2947.000000	LISTA FM	FORMATION	ROGALAND GP	3	95	131	9999-12-31	2013-05-08
2/2-3	3523.000000	3527.000000	MANDAL FM	FORMATION	TYNE GP	3	101	177	9999-12-31	2013-05-08
2/2-3	2947.000000	2965.000000	MAUREEN FM	FORMATION	ROGALAND GP	3	102	131	9999-12-31	2013-05-08
2/2-3	92.000000	1543.000000	NORDLAND GP	GROUP	\N	3	113	\N	9999-12-31	2013-05-08
2/2-3	2827.000000	2965.000000	ROGALAND GP	GROUP	\N	3	131	\N	9999-12-31	2013-05-08
2/2-3	3494.000000	3499.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3	137	23	9999-12-31	2013-05-08
2/2-3	2855.000000	2906.000000	SELE FM	FORMATION	ROGALAND GP	3	142	131	9999-12-31	2013-05-08
2/2-3	2965.000000	3494.000000	SHETLAND GP	GROUP	\N	3	143	\N	9999-12-31	2013-05-08
2/2-3	3930.000000	4100.000000	SMITH BANK FM	FORMATION	HEGRE GP	3	149	61	9999-12-31	2013-05-08
2/2-3	3499.000000	3523.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3	152	23	9999-12-31	2013-05-08
2/2-3	3090.000000	3442.000000	TOR FM	FORMATION	SHETLAND GP	3	171	143	9999-12-31	2013-05-08
2/2-3	3523.000000	3880.000000	TYNE GP	GROUP	\N	3	177	\N	9999-12-31	2013-05-08
2/2-3	3880.000000	3930.000000	ULA FM	FORMATION	VESTLAND GP	3	179	186	9999-12-31	2013-05-08
2/2-3	3880.000000	3930.000000	VESTLAND GP	GROUP	\N	3	186	\N	9999-12-31	2013-05-08
2/2-3	3930.000000	4100.000000	NO GROUP DEFINED	GROUP	\N	3	208	\N	9999-12-31	2013-05-08
30/6-12	129.000000	615.000000	NORDLAND GP	GROUP	\N	4	113	\N	9999-12-31	2013-05-08
34/10-17	3267.000000	3422.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	5	4	29	9999-12-31	2013-05-08
34/10-17	1762.000000	1837.000000	BALDER FM	FORMATION	ROGALAND GP	5	6	131	9999-12-31	2013-05-08
34/10-17	2685.000000	3000.000000	BRENT GP	GROUP	\N	5	16	\N	9999-12-31	2013-05-08
34/10-17	3220.000000	3267.000000	BURTON FM	FORMATION	DUNLIN GP	5	20	29	9999-12-31	2013-05-08
34/10-17	2587.000000	2590.000000	CROMER KNOLL GP	GROUP	\N	5	23	\N	9999-12-31	2013-05-08
34/10-17	3108.000000	3220.000000	COOK FM	FORMATION	DUNLIN GP	5	24	29	9999-12-31	2013-05-08
34/10-17	3000.000000	3108.000000	DRAKE FM	FORMATION	DUNLIN GP	5	27	29	9999-12-31	2013-05-08
34/10-17	3000.000000	3422.000000	DUNLIN GP	GROUP	\N	5	29	\N	9999-12-31	2013-05-08
34/10-17	2934.000000	2937.000000	ETIVE FM	FORMATION	BRENT GP	5	35	16	9999-12-31	2013-05-08
34/10-17	2590.000000	2685.000000	HEATHER FM	FORMATION	VIKING GP	5	60	188	9999-12-31	2013-05-08
34/10-17	980.000000	1762.000000	HORDALAND GP	GROUP	\N	5	67	\N	9999-12-31	2013-05-08
34/10-17	1983.000000	2295.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5	74	143	9999-12-31	2013-05-08
34/10-17	2295.000000	2587.000000	KYRRE FM	FORMATION	SHETLAND GP	5	92	143	9999-12-31	2013-05-08
34/10-17	1837.000000	1983.000000	LISTA FM	FORMATION	ROGALAND GP	5	95	131	9999-12-31	2013-05-08
34/10-17	2717.000000	2934.000000	NESS FM	FORMATION	BRENT GP	5	110	16	9999-12-31	2013-05-08
34/10-17	948.000000	980.000000	NO FORMAL NAME	FORMATION	\N	5	111	\N	9999-12-31	2013-05-08
34/10-17	1060.000000	1167.000000	NO FORMAL NAME	FORMATION	\N	5	111	\N	9999-12-31	2013-05-08
34/10-17	1167.000000	1194.000000	NO FORMAL NAME	FORMATION	\N	5	111	\N	9999-12-31	2013-05-08
34/10-17	1194.000000	1357.000000	NO FORMAL NAME	FORMATION	\N	5	111	\N	9999-12-31	2013-05-08
34/10-17	1357.000000	1376.000000	NO FORMAL NAME	FORMATION	\N	5	111	\N	9999-12-31	2013-05-08
34/10-17	1376.000000	1565.000000	NO FORMAL NAME	FORMATION	\N	5	111	\N	9999-12-31	2013-05-08
34/10-17	1565.000000	1679.000000	NO FORMAL NAME	FORMATION	\N	5	111	\N	9999-12-31	2013-05-08
34/10-17	1679.000000	1714.000000	NO FORMAL NAME	FORMATION	\N	5	111	\N	9999-12-31	2013-05-08
34/10-17	1714.000000	1762.000000	NO FORMAL NAME	FORMATION	\N	5	111	\N	9999-12-31	2013-05-08
34/10-17	160.000000	980.000000	NORDLAND GP	GROUP	\N	5	113	\N	9999-12-31	2013-05-08
34/10-17	2937.000000	3000.000000	RANNOCH FM	FORMATION	BRENT GP	5	126	16	9999-12-31	2013-05-08
34/10-17	1762.000000	1983.000000	ROGALAND GP	GROUP	\N	5	131	\N	9999-12-31	2013-05-08
34/10-17	1983.000000	2587.000000	SHETLAND GP	GROUP	\N	5	143	\N	9999-12-31	2013-05-08
34/10-17	3422.000000	3466.000000	STATFJORD FM	FORMATION	\N	5	157	\N	9999-12-31	2013-05-08
34/10-17	2685.000000	2717.000000	TARBERT FM	FORMATION	BRENT GP	5	162	16	9999-12-31	2013-05-08
34/10-17	826.000000	948.000000	UTSIRA FM	FORMATION	NORDLAND GP	5	183	113	9999-12-31	2013-05-08
34/10-17	2590.000000	2685.000000	VIKING GP	GROUP	\N	5	188	\N	9999-12-31	2013-05-08
34/10-17	2587.000000	2590.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5	198	23	9999-12-31	2013-05-08
34/10-17	3422.000000	3466.000000	NO GROUP DEFINED	GROUP	\N	5	208	\N	9999-12-31	2013-05-08
31/2-11	1342.000000	1408.000000	BALDER FM	FORMATION	ROGALAND GP	6	6	131	9999-12-31	2013-05-08
31/2-11	1550.000000	1558.000000	CROMER KNOLL GP	GROUP	\N	6	23	\N	9999-12-31	2013-05-08
31/2-11	1678.000000	1744.000000	FENSFJORD FM	FORMATION	VIKING GP	6	40	188	9999-12-31	2013-05-08
31/2-11	1611.000000	1678.000000	HEATHER FM	FORMATION	VIKING GP	6	60	188	9999-12-31	2013-05-08
31/2-11	788.000000	1342.000000	HORDALAND GP	GROUP	\N	6	67	\N	9999-12-31	2013-05-08
31/2-11	1443.000000	1537.000000	LISTA FM	FORMATION	ROGALAND GP	6	95	131	9999-12-31	2013-05-08
31/2-11	361.000000	788.000000	NORDLAND GP	GROUP	\N	6	113	\N	9999-12-31	2013-05-08
31/2-11	1342.000000	1537.000000	ROGALAND GP	GROUP	\N	6	131	\N	9999-12-31	2013-05-08
31/2-11	1408.000000	1443.000000	SELE FM	FORMATION	ROGALAND GP	6	142	131	9999-12-31	2013-05-08
31/2-11	1537.000000	1550.000000	SHETLAND GP	GROUP	\N	6	143	\N	9999-12-31	2013-05-08
31/2-11	1558.000000	1611.000000	SOGNEFJORD FM	FORMATION	VIKING GP	6	151	188	9999-12-31	2013-05-08
31/2-11	1558.000000	1744.000000	VIKING GP	GROUP	\N	6	188	\N	9999-12-31	2013-05-08
30/6-13	2036.000000	2091.000000	BALDER FM	FORMATION	ROGALAND GP	7	6	131	9999-12-31	2013-05-08
30/6-13	2571.000000	2671.000000	BRENT GP	GROUP	\N	7	16	\N	9999-12-31	2013-05-08
30/6-13	2387.000000	2401.000000	CROMER KNOLL GP	GROUP	\N	7	23	\N	9999-12-31	2013-05-08
30/6-13	2671.000000	2775.000000	DRAKE FM	FORMATION	DUNLIN GP	7	27	29	9999-12-31	2013-05-08
30/6-13	2401.000000	2424.000000	DRAUPNE FM	FORMATION	VIKING GP	7	28	188	9999-12-31	2013-05-08
30/6-13	2671.000000	2775.000000	DUNLIN GP	GROUP	\N	7	29	\N	9999-12-31	2013-05-08
30/6-13	2628.000000	2671.000000	ETIVE FM	FORMATION	BRENT GP	7	35	16	9999-12-31	2013-05-08
30/6-13	2288.000000	2375.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	7	56	143	9999-12-31	2013-05-08
30/6-13	2424.000000	2571.000000	HEATHER FM	FORMATION	VIKING GP	7	60	188	9999-12-31	2013-05-08
30/6-13	904.000000	2036.000000	HORDALAND GP	GROUP	\N	7	67	\N	9999-12-31	2013-05-08
30/6-13	2375.000000	2387.000000	KYRRE FM	FORMATION	SHETLAND GP	7	92	143	9999-12-31	2013-05-08
30/6-13	2164.000000	2260.000000	LISTA FM	FORMATION	ROGALAND GP	7	95	131	9999-12-31	2013-05-08
30/6-13	2571.000000	2628.000000	NESS FM	FORMATION	BRENT GP	7	110	16	9999-12-31	2013-05-08
30/6-13	1080.000000	1410.000000	NO FORMAL NAME	FORMATION	\N	7	111	\N	9999-12-31	2013-05-08
30/6-13	1528.000000	2036.000000	NO FORMAL NAME	FORMATION	\N	7	111	\N	9999-12-31	2013-05-08
30/6-13	130.000000	904.000000	NORDLAND GP	GROUP	\N	7	113	\N	9999-12-31	2013-05-08
30/6-13	2036.000000	2288.000000	ROGALAND GP	GROUP	\N	7	131	\N	9999-12-31	2013-05-08
30/6-13	2387.000000	2394.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	7	137	23	9999-12-31	2013-05-08
30/6-13	2091.000000	2164.000000	SELE FM	FORMATION	ROGALAND GP	7	142	131	9999-12-31	2013-05-08
30/6-13	2288.000000	2387.000000	SHETLAND GP	GROUP	\N	7	143	\N	9999-12-31	2013-05-08
30/6-13	1032.000000	1080.000000	SKADE FM	FORMATION	HORDALAND GP	7	145	67	9999-12-31	2013-05-08
30/6-13	1410.000000	1528.000000	SKADE FM	FORMATION	HORDALAND GP	7	145	67	9999-12-31	2013-05-08
30/6-13	705.000000	904.000000	UTSIRA FM	FORMATION	NORDLAND GP	7	183	113	9999-12-31	2013-05-08
30/6-13	2401.000000	2571.000000	VIKING GP	GROUP	\N	7	188	\N	9999-12-31	2013-05-08
30/6-13	2260.000000	2288.000000	VÅLE FM	FORMATION	ROGALAND GP	7	190	131	9999-12-31	2013-05-08
30/6-13	2394.000000	2401.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	7	198	23	9999-12-31	2013-05-08
7120/12-3	864.000000	2158.000000	ADVENTDALEN GP	GROUP	\N	8	1	\N	9999-12-31	2013-05-08
7120/12-3	2395.000000	2523.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	8	46	79	9999-12-31	2013-05-08
7120/12-3	2142.000000	2158.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	8	47	1	9999-12-31	2013-05-08
7120/12-3	1946.000000	2142.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	8	63	1	9999-12-31	2013-05-08
7120/12-3	2158.000000	2523.000000	KAPP TOSCANA GP	GROUP	\N	8	79	\N	9999-12-31	2013-05-08
7120/12-3	1778.000000	1946.000000	KNURR FM	FORMATION	ADVENTDALEN GP	8	82	1	9999-12-31	2013-05-08
7120/12-3	1422.000000	1778.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	8	84	1	9999-12-31	2013-05-08
7120/12-3	864.000000	1422.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	8	85	1	9999-12-31	2013-05-08
7120/12-3	738.000000	864.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	8	89	122	9999-12-31	2013-05-08
7120/12-3	208.000000	387.000000	NORDLAND GP	GROUP	\N	8	113	\N	9999-12-31	2013-05-08
7120/12-3	2220.000000	2342.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	8	118	79	9999-12-31	2013-05-08
7120/12-3	738.000000	864.000000	NYGRUNNEN GP	GROUP	\N	8	122	\N	9999-12-31	2013-05-08
7120/12-3	387.000000	738.000000	SOTBAKKEN GP	GROUP	\N	8	154	\N	9999-12-31	2013-05-08
7120/12-3	2158.000000	2220.000000	STØ FM	FORMATION	KAPP TOSCANA GP	8	159	79	9999-12-31	2013-05-08
7120/12-3	387.000000	738.000000	TORSK FM	FORMATION	SOTBAKKEN GP	8	172	154	9999-12-31	2013-05-08
7120/12-3	2342.000000	2395.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	8	174	79	9999-12-31	2013-05-08
7120/8-3	1200.000000	2192.000000	ADVENTDALEN GP	GROUP	\N	9	1	\N	9999-12-31	2013-05-08
7120/8-3	2187.000000	2192.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	9	47	1	9999-12-31	2013-05-08
7120/8-3	2104.000000	2187.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	9	63	1	9999-12-31	2013-05-08
7120/8-3	2192.000000	2335.000000	KAPP TOSCANA GP	GROUP	\N	9	79	\N	9999-12-31	2013-05-08
7120/8-3	2055.000000	2104.000000	KNURR FM	FORMATION	ADVENTDALEN GP	9	82	1	9999-12-31	2013-05-08
7120/8-3	1962.000000	2055.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	9	84	1	9999-12-31	2013-05-08
7120/8-3	1200.000000	1962.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	9	85	1	9999-12-31	2013-05-08
7120/8-3	1067.000000	1200.000000	KVITING FM	FORMATION	NYGRUNNEN GP	9	90	122	9999-12-31	2013-05-08
7120/8-3	303.000000	605.000000	NORDLAND GP	GROUP	\N	9	113	\N	9999-12-31	2013-05-08
7120/8-3	2277.000000	2335.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	9	118	79	9999-12-31	2013-05-08
7120/8-3	1067.000000	1200.000000	NYGRUNNEN GP	GROUP	\N	9	122	\N	9999-12-31	2013-05-08
7120/8-3	605.000000	1067.000000	SOTBAKKEN GP	GROUP	\N	9	154	\N	9999-12-31	2013-05-08
7120/8-3	2192.000000	2277.000000	STØ FM	FORMATION	KAPP TOSCANA GP	9	159	79	9999-12-31	2013-05-08
7120/8-3	605.000000	1067.000000	TORSK FM	FORMATION	SOTBAKKEN GP	9	172	154	9999-12-31	2013-05-08
30/9-2	2014.000000	2084.000000	BALDER FM	FORMATION	ROGALAND GP	11	6	131	9999-12-31	2013-05-08
30/9-2	2578.000000	2767.000000	BRENT GP	GROUP	\N	11	16	\N	9999-12-31	2013-05-08
30/9-2	2507.000000	2509.000000	CROMER KNOLL GP	GROUP	\N	11	23	\N	9999-12-31	2013-05-08
30/9-2	2767.000000	2830.000000	DRAKE FM	FORMATION	DUNLIN GP	11	27	29	9999-12-31	2013-05-08
30/9-2	2767.000000	2830.000000	DUNLIN GP	GROUP	\N	11	29	\N	9999-12-31	2013-05-08
30/9-2	2698.000000	2767.000000	ETIVE FM	FORMATION	BRENT GP	11	35	16	9999-12-31	2013-05-08
30/9-2	2303.000000	2420.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	11	56	143	9999-12-31	2013-05-08
30/9-2	2509.000000	2578.000000	HEATHER FM	FORMATION	VIKING GP	11	60	188	9999-12-31	2013-05-08
30/9-2	867.000000	2014.000000	HORDALAND GP	GROUP	\N	11	67	\N	9999-12-31	2013-05-08
30/9-2	2420.000000	2505.000000	KYRRE FM	FORMATION	SHETLAND GP	11	92	143	9999-12-31	2013-05-08
30/9-2	2199.000000	2290.000000	LISTA FM	FORMATION	ROGALAND GP	11	95	131	9999-12-31	2013-05-08
30/9-2	2578.000000	2698.000000	NESS FM	FORMATION	BRENT GP	11	110	16	9999-12-31	2013-05-08
30/9-2	1155.000000	1167.000000	NO FORMAL NAME	FORMATION	\N	11	111	\N	9999-12-31	2013-05-08
30/9-2	1180.000000	1233.000000	NO FORMAL NAME	FORMATION	\N	11	111	\N	9999-12-31	2013-05-08
30/9-2	1244.000000	1269.000000	NO FORMAL NAME	FORMATION	\N	11	111	\N	9999-12-31	2013-05-08
30/9-2	1359.000000	2014.000000	NO FORMAL NAME	FORMATION	\N	11	111	\N	9999-12-31	2013-05-08
30/9-2	129.000000	867.000000	NORDLAND GP	GROUP	\N	11	113	\N	9999-12-31	2013-05-08
30/9-2	2014.000000	2303.000000	ROGALAND GP	GROUP	\N	11	131	\N	9999-12-31	2013-05-08
30/9-2	2084.000000	2199.000000	SELE FM	FORMATION	ROGALAND GP	11	142	131	9999-12-31	2013-05-08
30/9-2	2303.000000	2507.000000	SHETLAND GP	GROUP	\N	11	143	\N	9999-12-31	2013-05-08
30/9-2	1114.000000	1155.000000	SKADE FM	FORMATION	HORDALAND GP	11	145	67	9999-12-31	2013-05-08
30/9-2	1167.000000	1180.000000	SKADE FM	FORMATION	HORDALAND GP	11	145	67	9999-12-31	2013-05-08
30/9-2	1233.000000	1244.000000	SKADE FM	FORMATION	HORDALAND GP	11	145	67	9999-12-31	2013-05-08
30/9-2	1269.000000	1359.000000	SKADE FM	FORMATION	HORDALAND GP	11	145	67	9999-12-31	2013-05-08
30/9-2	2505.000000	2507.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	11	173	143	9999-12-31	2013-05-08
30/9-2	641.000000	867.000000	UTSIRA FM	FORMATION	NORDLAND GP	11	183	113	9999-12-31	2013-05-08
30/9-2	2509.000000	2578.000000	VIKING GP	GROUP	\N	11	188	\N	9999-12-31	2013-05-08
30/9-2	2290.000000	2303.000000	VÅLE FM	FORMATION	ROGALAND GP	11	190	131	9999-12-31	2013-05-08
6610/7-1	952.000000	1121.000000	BRYGGE FM	FORMATION	HORDALAND GP	12	18	67	9999-12-31	2013-05-08
6610/7-1	2679.000000	3193.000000	BÅT GP	GROUP	\N	12	22	\N	9999-12-31	2013-05-08
6610/7-1	1620.000000	2271.000000	CROMER KNOLL GP	GROUP	\N	12	23	\N	9999-12-31	2013-05-08
6610/7-1	2606.000000	2679.000000	FANGST GP	GROUP	\N	12	38	\N	9999-12-31	2013-05-08
6610/7-1	3193.000000	3237.000000	GREY BEDS (INFORMAL)	GROUP	\N	12	52	\N	9999-12-31	2013-05-08
6610/7-1	952.000000	1121.000000	HORDALAND GP	GROUP	\N	12	67	\N	9999-12-31	2013-05-08
6610/7-1	2658.000000	2679.000000	ILE FM	FORMATION	FANGST GP	12	70	38	9999-12-31	2013-05-08
6610/7-1	1620.000000	2177.000000	LANGE FM	FORMATION	CROMER KNOLL GP	12	94	23	9999-12-31	2013-05-08
6610/7-1	2190.000000	2271.000000	LANGE FM	FORMATION	CROMER KNOLL GP	12	94	23	9999-12-31	2013-05-08
6610/7-1	2315.000000	2606.000000	MELKE FM	FORMATION	VIKING GP	12	105	188	9999-12-31	2013-05-08
6610/7-1	290.000000	890.000000	NAUST FM	FORMATION	NORDLAND GP	12	109	113	9999-12-31	2013-05-08
6610/7-1	1290.000000	1312.000000	NO FORMAL NAME	FORMATION	\N	12	111	\N	9999-12-31	2013-05-08
6610/7-1	2177.000000	2190.000000	NO FORMAL NAME	FORMATION	\N	12	111	\N	9999-12-31	2013-05-08
6610/7-1	290.000000	952.000000	NORDLAND GP	GROUP	\N	12	113	\N	9999-12-31	2013-05-08
6610/7-1	2606.000000	2658.000000	NOT FM	FORMATION	FANGST GP	12	120	38	9999-12-31	2013-05-08
6610/7-1	3237.000000	3333.000000	RED BEDS (INFORMAL)	GROUP	\N	12	129	\N	9999-12-31	2013-05-08
6610/7-1	1121.000000	1335.000000	ROGALAND GP	GROUP	\N	12	131	\N	9999-12-31	2013-05-08
6610/7-1	2679.000000	2746.000000	ROR FM	FORMATION	BÅT GP	12	135	22	9999-12-31	2013-05-08
6610/7-1	1335.000000	1620.000000	SHETLAND GP	GROUP	\N	12	143	\N	9999-12-31	2013-05-08
6610/7-1	2271.000000	2315.000000	SPEKK FM	FORMATION	VIKING GP	12	155	188	9999-12-31	2013-05-08
6610/7-1	1335.000000	1620.000000	SPRINGAR FM	FORMATION	SHETLAND GP	12	156	143	9999-12-31	2013-05-08
6610/7-1	1250.000000	1290.000000	TANG FM	FORMATION	ROGALAND GP	12	161	131	9999-12-31	2013-05-08
6610/7-1	1312.000000	1335.000000	TANG FM	FORMATION	ROGALAND GP	12	161	131	9999-12-31	2013-05-08
6610/7-1	1121.000000	1250.000000	TARE FM	FORMATION	ROGALAND GP	12	163	131	9999-12-31	2013-05-08
6610/7-1	2746.000000	2855.000000	TILJE FM	FORMATION	BÅT GP	12	169	22	9999-12-31	2013-05-08
6610/7-1	2271.000000	2606.000000	VIKING GP	GROUP	\N	12	188	\N	9999-12-31	2013-05-08
6610/7-1	2855.000000	3193.000000	ÅRE FM	FORMATION	BÅT GP	12	197	22	9999-12-31	2013-05-08
6610/7-1	890.000000	952.000000	MOLO FM	FORMATION	NORDLAND GP	12	209	113	9999-12-31	2013-05-08
7117/9-2	1393.000000	5000.000000	ADVENTDALEN GP	GROUP	\N	13	1	\N	9999-12-31	2013-05-08
7117/9-2	1393.000000	5000.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	13	85	1	9999-12-31	2013-05-08
7117/9-2	1375.000000	1393.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	13	89	122	9999-12-31	2013-05-08
7117/9-2	294.000000	1092.000000	NORDLAND GP	GROUP	\N	13	113	\N	9999-12-31	2013-05-08
7117/9-2	1375.000000	1393.000000	NYGRUNNEN GP	GROUP	\N	13	122	\N	9999-12-31	2013-05-08
7117/9-2	1092.000000	1375.000000	SOTBAKKEN GP	GROUP	\N	13	154	\N	9999-12-31	2013-05-08
7117/9-2	1092.000000	1375.000000	TORSK FM	FORMATION	SOTBAKKEN GP	13	172	154	9999-12-31	2013-05-08
31/2-12	1181.000000	1234.000000	BALDER FM	FORMATION	ROGALAND GP	14	6	131	9999-12-31	2013-05-08
31/2-12	1541.000000	1615.000000	FENSFJORD FM	FORMATION	VIKING GP	14	40	188	9999-12-31	2013-05-08
31/2-12	1487.000000	1541.000000	HEATHER FM	FORMATION	VIKING GP	14	60	188	9999-12-31	2013-05-08
31/2-12	730.000000	1181.000000	HORDALAND GP	GROUP	\N	14	67	\N	9999-12-31	2013-05-08
31/2-12	1258.000000	1354.000000	LISTA FM	FORMATION	ROGALAND GP	14	95	131	9999-12-31	2013-05-08
31/2-12	359.000000	730.000000	NORDLAND GP	GROUP	\N	14	113	\N	9999-12-31	2013-05-08
31/2-12	1181.000000	1365.000000	ROGALAND GP	GROUP	\N	14	131	\N	9999-12-31	2013-05-08
31/2-12	1234.000000	1258.000000	SELE FM	FORMATION	ROGALAND GP	14	142	131	9999-12-31	2013-05-08
31/2-12	1365.000000	1487.000000	SOGNEFJORD FM	FORMATION	VIKING GP	14	151	188	9999-12-31	2013-05-08
31/2-12	1365.000000	1615.000000	VIKING GP	GROUP	\N	14	188	\N	9999-12-31	2013-05-08
31/2-12	1354.000000	1365.000000	VÅLE FM	FORMATION	ROGALAND GP	14	190	131	9999-12-31	2013-05-08
6609/11-1	1255.000000	1479.000000	BRYGGE FM	FORMATION	HORDALAND GP	15	18	67	9999-12-31	2013-05-08
6609/11-1	2467.000000	3068.000000	BÅT GP	GROUP	\N	15	22	\N	9999-12-31	2013-05-08
6609/11-1	1830.000000	2069.000000	CROMER KNOLL GP	GROUP	\N	15	23	\N	9999-12-31	2013-05-08
6609/11-1	1255.000000	1479.000000	HORDALAND GP	GROUP	\N	15	67	\N	9999-12-31	2013-05-08
6609/11-1	530.000000	1255.000000	KAI FM	FORMATION	NORDLAND GP	15	77	113	9999-12-31	2013-05-08
6609/11-1	1830.000000	2022.000000	LANGE FM	FORMATION	CROMER KNOLL GP	15	94	23	9999-12-31	2013-05-08
6609/11-1	2022.000000	2069.000000	LYR FM	FORMATION	CROMER KNOLL GP	15	98	23	9999-12-31	2013-05-08
6609/11-1	2226.000000	2467.000000	MELKE FM	FORMATION	VIKING GP	15	105	188	9999-12-31	2013-05-08
6609/11-1	263.000000	530.000000	NAUST FM	FORMATION	NORDLAND GP	15	109	113	9999-12-31	2013-05-08
6609/11-1	263.000000	1255.000000	NORDLAND GP	GROUP	\N	15	113	\N	9999-12-31	2013-05-08
6609/11-1	1479.000000	1640.000000	ROGALAND GP	GROUP	\N	15	131	\N	9999-12-31	2013-05-08
6609/11-1	2467.000000	2546.000000	ROR FM	FORMATION	BÅT GP	15	135	22	9999-12-31	2013-05-08
6609/11-1	1640.000000	1830.000000	SHETLAND GP	GROUP	\N	15	143	\N	9999-12-31	2013-05-08
6609/11-1	2069.000000	2226.000000	SPEKK FM	FORMATION	VIKING GP	15	155	188	9999-12-31	2013-05-08
6609/11-1	1640.000000	1830.000000	SPRINGAR FM	FORMATION	SHETLAND GP	15	156	143	9999-12-31	2013-05-08
6609/11-1	1548.000000	1640.000000	TANG FM	FORMATION	ROGALAND GP	15	161	131	9999-12-31	2013-05-08
6609/11-1	1479.000000	1548.000000	TARE FM	FORMATION	ROGALAND GP	15	163	131	9999-12-31	2013-05-08
6609/11-1	2546.000000	2735.000000	TILJE FM	FORMATION	BÅT GP	15	169	22	9999-12-31	2013-05-08
6609/11-1	2069.000000	2467.000000	VIKING GP	GROUP	\N	15	188	\N	9999-12-31	2013-05-08
6609/11-1	2735.000000	3068.000000	ÅRE FM	FORMATION	BÅT GP	15	197	22	9999-12-31	2013-05-08
6407/2-2	1555.000000	1955.000000	BRYGGE FM	FORMATION	HORDALAND GP	16	18	67	9999-12-31	2013-05-08
6407/2-2	2602.000000	3275.000000	BÅT GP	GROUP	\N	16	22	\N	9999-12-31	2013-05-08
6407/2-2	2328.000000	2410.000000	CROMER KNOLL GP	GROUP	\N	16	23	\N	9999-12-31	2013-05-08
6407/2-2	2461.000000	2602.000000	FANGST GP	GROUP	\N	16	38	\N	9999-12-31	2013-05-08
6407/2-2	2461.000000	2515.000000	GARN FM	FORMATION	FANGST GP	16	48	38	9999-12-31	2013-05-08
6407/2-2	3275.000000	3351.000000	GREY BEDS (INFORMAL)	GROUP	\N	16	52	\N	9999-12-31	2013-05-08
6407/2-2	1555.000000	1955.000000	HORDALAND GP	GROUP	\N	16	67	\N	9999-12-31	2013-05-08
6407/2-2	2527.000000	2602.000000	ILE FM	FORMATION	FANGST GP	16	70	38	9999-12-31	2013-05-08
6407/2-2	1384.000000	1555.000000	KAI FM	FORMATION	NORDLAND GP	16	77	113	9999-12-31	2013-05-08
6407/2-2	2328.000000	2395.000000	LANGE FM	FORMATION	CROMER KNOLL GP	16	94	23	9999-12-31	2013-05-08
6407/2-2	2395.000000	2410.000000	LYR FM	FORMATION	CROMER KNOLL GP	16	98	23	9999-12-31	2013-05-08
6407/2-2	2417.000000	2461.000000	MELKE FM	FORMATION	VIKING GP	16	105	188	9999-12-31	2013-05-08
6407/2-2	284.000000	1384.000000	NAUST FM	FORMATION	NORDLAND GP	16	109	113	9999-12-31	2013-05-08
6407/2-2	2149.000000	2328.000000	NISE FM	FORMATION	SHETLAND GP	16	112	143	9999-12-31	2013-05-08
6407/2-2	284.000000	1555.000000	NORDLAND GP	GROUP	\N	16	113	\N	9999-12-31	2013-05-08
6407/2-2	2515.000000	2527.000000	NOT FM	FORMATION	FANGST GP	16	120	38	9999-12-31	2013-05-08
6407/2-2	1955.000000	2088.000000	ROGALAND GP	GROUP	\N	16	131	\N	9999-12-31	2013-05-08
6407/2-2	2602.000000	2709.000000	ROR FM	FORMATION	BÅT GP	16	135	22	9999-12-31	2013-05-08
6407/2-2	2088.000000	2328.000000	SHETLAND GP	GROUP	\N	16	143	\N	9999-12-31	2013-05-08
6407/2-2	2410.000000	2417.000000	SPEKK FM	FORMATION	VIKING GP	16	155	188	9999-12-31	2013-05-08
6407/2-2	2088.000000	2149.000000	SPRINGAR FM	FORMATION	SHETLAND GP	16	156	143	9999-12-31	2013-05-08
6407/2-2	2035.000000	2088.000000	TANG FM	FORMATION	ROGALAND GP	16	161	131	9999-12-31	2013-05-08
6407/2-2	1955.000000	2035.000000	TARE FM	FORMATION	ROGALAND GP	16	163	131	9999-12-31	2013-05-08
6407/2-2	2709.000000	2892.000000	TILJE FM	FORMATION	BÅT GP	16	169	22	9999-12-31	2013-05-08
6407/2-2	2410.000000	2461.000000	VIKING GP	GROUP	\N	16	188	\N	9999-12-31	2013-05-08
6407/2-2	2892.000000	3275.000000	ÅRE FM	FORMATION	BÅT GP	16	197	22	9999-12-31	2013-05-08
7119/12-3	1456.000000	3144.000000	ADVENTDALEN GP	GROUP	\N	17	1	\N	9999-12-31	2013-05-08
7119/12-3	3107.000000	3144.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	17	47	1	9999-12-31	2013-05-08
7119/12-3	3026.000000	3107.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	17	63	1	9999-12-31	2013-05-08
7119/12-3	3144.000000	3314.000000	KAPP TOSCANA GP	GROUP	\N	17	79	\N	9999-12-31	2013-05-08
7119/12-3	2953.000000	3026.000000	KNURR FM	FORMATION	ADVENTDALEN GP	17	82	1	9999-12-31	2013-05-08
7119/12-3	2715.000000	2953.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	17	84	1	9999-12-31	2013-05-08
7119/12-3	1456.000000	2715.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	17	85	1	9999-12-31	2013-05-08
7119/12-3	1202.000000	1456.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	17	89	122	9999-12-31	2013-05-08
7119/12-3	240.000000	442.000000	NORDLAND GP	GROUP	\N	17	113	\N	9999-12-31	2013-05-08
7119/12-3	3299.000000	3314.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	17	118	79	9999-12-31	2013-05-08
7119/12-3	1202.000000	1456.000000	NYGRUNNEN GP	GROUP	\N	17	122	\N	9999-12-31	2013-05-08
7119/12-3	442.000000	1202.000000	SOTBAKKEN GP	GROUP	\N	17	154	\N	9999-12-31	2013-05-08
7119/12-3	3144.000000	3299.000000	STØ FM	FORMATION	KAPP TOSCANA GP	17	159	79	9999-12-31	2013-05-08
7119/12-3	442.000000	1202.000000	TORSK FM	FORMATION	SOTBAKKEN GP	17	172	154	9999-12-31	2013-05-08
7120/7-2	1092.000000	2150.000000	ADVENTDALEN GP	GROUP	\N	18	1	\N	9999-12-31	2013-05-08
7120/7-2	2435.000000	2523.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	18	46	79	9999-12-31	2013-05-08
7120/7-2	2141.000000	2150.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	18	47	1	9999-12-31	2013-05-08
7120/7-2	2017.000000	2141.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	18	63	1	9999-12-31	2013-05-08
7120/7-2	2150.000000	2523.000000	KAPP TOSCANA GP	GROUP	\N	18	79	\N	9999-12-31	2013-05-08
7120/7-2	1987.000000	2017.000000	KNURR FM	FORMATION	ADVENTDALEN GP	18	82	1	9999-12-31	2013-05-08
7120/7-2	1666.000000	1987.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	18	84	1	9999-12-31	2013-05-08
7120/7-2	1092.000000	1666.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	18	85	1	9999-12-31	2013-05-08
7120/7-2	947.000000	1092.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	18	89	122	9999-12-31	2013-05-08
7120/7-2	263.000000	380.000000	NORDLAND GP	GROUP	\N	18	113	\N	9999-12-31	2013-05-08
7120/7-2	2256.000000	2387.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	18	118	79	9999-12-31	2013-05-08
7120/7-2	947.000000	1092.000000	NYGRUNNEN GP	GROUP	\N	18	122	\N	9999-12-31	2013-05-08
7120/7-2	380.000000	947.000000	SOTBAKKEN GP	GROUP	\N	18	154	\N	9999-12-31	2013-05-08
7120/7-2	2150.000000	2256.000000	STØ FM	FORMATION	KAPP TOSCANA GP	18	159	79	9999-12-31	2013-05-08
7120/7-2	380.000000	947.000000	TORSK FM	FORMATION	SOTBAKKEN GP	18	172	154	9999-12-31	2013-05-08
7120/7-2	2387.000000	2435.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	18	174	79	9999-12-31	2013-05-08
6609/7-1	1912.000000	1969.000000	BASEMENT	GROUP	\N	19	10	\N	9999-12-31	2013-05-08
6609/7-1	1460.000000	1500.000000	BRYGGE FM	FORMATION	HORDALAND GP	19	18	67	9999-12-31	2013-05-08
6609/7-1	1820.000000	1876.000000	CROMER KNOLL GP	GROUP	\N	19	23	\N	9999-12-31	2013-05-08
6609/7-1	1460.000000	1500.000000	HORDALAND GP	GROUP	\N	19	67	\N	9999-12-31	2013-05-08
6609/7-1	1400.000000	1460.000000	KAI FM	FORMATION	NORDLAND GP	19	77	113	9999-12-31	2013-05-08
6609/7-1	1820.000000	1876.000000	LANGE FM	FORMATION	CROMER KNOLL GP	19	94	23	9999-12-31	2013-05-08
6609/7-1	275.000000	1400.000000	NAUST FM	FORMATION	NORDLAND GP	19	109	113	9999-12-31	2013-05-08
6609/7-1	1680.000000	1820.000000	NISE FM	FORMATION	SHETLAND GP	19	112	143	9999-12-31	2013-05-08
6609/7-1	275.000000	1460.000000	NORDLAND GP	GROUP	\N	19	113	\N	9999-12-31	2013-05-08
6609/7-1	1500.000000	1609.000000	ROGALAND GP	GROUP	\N	19	131	\N	9999-12-31	2013-05-08
6609/7-1	1609.000000	1820.000000	SHETLAND GP	GROUP	\N	19	143	\N	9999-12-31	2013-05-08
6609/7-1	1609.000000	1680.000000	SPRINGAR FM	FORMATION	SHETLAND GP	19	156	143	9999-12-31	2013-05-08
6609/7-1	1582.000000	1609.000000	TANG FM	FORMATION	ROGALAND GP	19	161	131	9999-12-31	2013-05-08
6609/7-1	1500.000000	1582.000000	TARE FM	FORMATION	ROGALAND GP	19	163	131	9999-12-31	2013-05-08
6609/7-1	1876.000000	1912.000000	ZECHSTEIN GP	GROUP	\N	19	194	\N	9999-12-31	2013-05-08
31/3-1	1992.000000	2001.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	20	4	29	9999-12-31	2013-05-08
31/3-1	2088.000000	2105.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	20	4	29	9999-12-31	2013-05-08
31/3-1	931.000000	1038.000000	BALDER FM	FORMATION	ROGALAND GP	20	6	131	9999-12-31	2013-05-08
31/3-1	1796.000000	1844.000000	BRENT GP	GROUP	\N	20	16	\N	9999-12-31	2013-05-08
31/3-1	1273.000000	1320.000000	CROMER KNOLL GP	GROUP	\N	20	23	\N	9999-12-31	2013-05-08
31/3-1	1945.000000	1992.000000	COOK FM	FORMATION	DUNLIN GP	20	24	29	9999-12-31	2013-05-08
31/3-1	1844.000000	1945.000000	DRAKE FM	FORMATION	DUNLIN GP	20	27	29	9999-12-31	2013-05-08
31/3-1	1320.000000	1352.000000	DRAUPNE FM	FORMATION	VIKING GP	20	28	188	9999-12-31	2013-05-08
31/3-1	1844.000000	2105.000000	DUNLIN GP	GROUP	\N	20	29	\N	9999-12-31	2013-05-08
31/3-1	1516.000000	1668.000000	FENSFJORD FM	FORMATION	VIKING GP	20	40	188	9999-12-31	2013-05-08
31/3-1	1497.000000	1516.000000	HEATHER FM	FORMATION	VIKING GP	20	60	188	9999-12-31	2013-05-08
31/3-1	1779.000000	1796.000000	HEATHER FM	FORMATION	VIKING GP	20	60	188	9999-12-31	2013-05-08
31/3-1	2160.000000	2374.000000	HEGRE GP	GROUP	\N	20	61	\N	9999-12-31	2013-05-08
31/3-1	531.000000	931.000000	HORDALAND GP	GROUP	\N	20	67	\N	9999-12-31	2013-05-08
31/3-1	2001.000000	2088.000000	JOHANSEN FM	FORMATION	DUNLIN GP	20	73	29	9999-12-31	2013-05-08
31/3-1	1668.000000	1779.000000	KROSSFJORD FM	FORMATION	VIKING GP	20	87	188	9999-12-31	2013-05-08
31/3-1	1136.000000	1225.000000	LISTA FM	FORMATION	ROGALAND GP	20	95	131	9999-12-31	2013-05-08
31/3-1	357.000000	531.000000	NORDLAND GP	GROUP	\N	20	113	\N	9999-12-31	2013-05-08
31/3-1	931.000000	1235.000000	ROGALAND GP	GROUP	\N	20	131	\N	9999-12-31	2013-05-08
31/3-1	1273.000000	1320.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	20	137	23	9999-12-31	2013-05-08
31/3-1	1038.000000	1136.000000	SELE FM	FORMATION	ROGALAND GP	20	142	131	9999-12-31	2013-05-08
31/3-1	1235.000000	1273.000000	SHETLAND GP	GROUP	\N	20	143	\N	9999-12-31	2013-05-08
31/3-1	1352.000000	1497.000000	SOGNEFJORD FM	FORMATION	VIKING GP	20	151	188	9999-12-31	2013-05-08
31/3-1	2105.000000	2160.000000	STATFJORD FM	FORMATION	\N	20	157	\N	9999-12-31	2013-05-08
31/3-1	1320.000000	1796.000000	VIKING GP	GROUP	\N	20	188	\N	9999-12-31	2013-05-08
31/3-1	1225.000000	1235.000000	VÅLE FM	FORMATION	ROGALAND GP	20	190	131	9999-12-31	2013-05-08
31/3-1	2105.000000	2160.000000	NO GROUP DEFINED	GROUP	\N	20	208	\N	9999-12-31	2013-05-08
7119/7-1	2815.000000	3075.000000	ADVENTDALEN GP	GROUP	\N	21	1	\N	9999-12-31	2013-05-08
7119/7-1	2815.000000	3075.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	21	85	1	9999-12-31	2013-05-08
7119/7-1	1332.000000	2815.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	21	89	122	9999-12-31	2013-05-08
7119/7-1	263.000000	440.000000	NORDLAND GP	GROUP	\N	21	113	\N	9999-12-31	2013-05-08
7119/7-1	1332.000000	2815.000000	NYGRUNNEN GP	GROUP	\N	21	122	\N	9999-12-31	2013-05-08
7119/7-1	440.000000	1332.000000	SOTBAKKEN GP	GROUP	\N	21	154	\N	9999-12-31	2013-05-08
7119/7-1	440.000000	1332.000000	TORSK FM	FORMATION	SOTBAKKEN GP	21	172	154	9999-12-31	2013-05-08
7119/7-1	3075.000000	3095.000000	UNDEFINED GP	GROUP	\N	21	191	\N	9999-12-31	2013-05-08
7119/7-1	3095.000000	3167.000000	UNDEFINED GP	GROUP	\N	21	191	\N	9999-12-31	2013-05-08
31/6-1	2083.000000	2111.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	22	4	29	9999-12-31	2013-05-08
31/6-1	972.000000	1084.000000	BALDER FM	FORMATION	ROGALAND GP	22	6	131	9999-12-31	2013-05-08
31/6-1	4014.000000	4070.000000	BASEMENT	GROUP	\N	22	10	\N	9999-12-31	2013-05-08
31/6-1	1805.000000	1835.000000	BRENT GP	GROUP	\N	22	16	\N	9999-12-31	2013-05-08
31/6-1	1304.000000	1313.000000	CROMER KNOLL GP	GROUP	\N	22	23	\N	9999-12-31	2013-05-08
31/6-1	1962.000000	1981.000000	COOK FM	FORMATION	DUNLIN GP	22	24	29	9999-12-31	2013-05-08
31/6-1	1835.000000	1962.000000	DRAKE FM	FORMATION	DUNLIN GP	22	27	29	9999-12-31	2013-05-08
31/6-1	1313.000000	1335.000000	DRAUPNE FM	FORMATION	VIKING GP	22	28	188	9999-12-31	2013-05-08
31/6-1	1835.000000	2111.000000	DUNLIN GP	GROUP	\N	22	29	\N	9999-12-31	2013-05-08
31/6-1	1518.000000	1720.000000	FENSFJORD FM	FORMATION	VIKING GP	22	40	188	9999-12-31	2013-05-08
31/6-1	1232.000000	1236.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	22	56	143	9999-12-31	2013-05-08
31/6-1	1335.000000	1352.000000	HEATHER FM	FORMATION	VIKING GP	22	60	188	9999-12-31	2013-05-08
31/6-1	1488.000000	1518.000000	HEATHER FM	FORMATION	VIKING GP	22	60	188	9999-12-31	2013-05-08
31/6-1	1776.000000	1805.000000	HEATHER FM	FORMATION	VIKING GP	22	60	188	9999-12-31	2013-05-08
31/6-1	2156.000000	3978.000000	HEGRE GP	GROUP	\N	22	61	\N	9999-12-31	2013-05-08
31/6-1	531.000000	972.000000	HORDALAND GP	GROUP	\N	22	67	\N	9999-12-31	2013-05-08
31/6-1	1981.000000	2083.000000	JOHANSEN FM	FORMATION	DUNLIN GP	22	73	29	9999-12-31	2013-05-08
31/6-1	1720.000000	1776.000000	KROSSFJORD FM	FORMATION	VIKING GP	22	87	188	9999-12-31	2013-05-08
31/6-1	1194.000000	1232.000000	LISTA FM	FORMATION	ROGALAND GP	22	95	131	9999-12-31	2013-05-08
31/6-1	531.000000	579.000000	NO FORMAL NAME	FORMATION	\N	22	111	\N	9999-12-31	2013-05-08
31/6-1	579.000000	972.000000	NO FORMAL NAME	FORMATION	\N	22	111	\N	9999-12-31	2013-05-08
31/6-1	327.000000	531.000000	NORDLAND GP	GROUP	\N	22	113	\N	9999-12-31	2013-05-08
31/6-1	972.000000	1232.000000	ROGALAND GP	GROUP	\N	22	131	\N	9999-12-31	2013-05-08
31/6-1	1084.000000	1194.000000	SELE FM	FORMATION	ROGALAND GP	22	142	131	9999-12-31	2013-05-08
31/6-1	1232.000000	1304.000000	SHETLAND GP	GROUP	\N	22	143	\N	9999-12-31	2013-05-08
31/6-1	1352.000000	1488.000000	SOGNEFJORD FM	FORMATION	VIKING GP	22	151	188	9999-12-31	2013-05-08
31/6-1	2111.000000	2156.000000	STATFJORD FM	FORMATION	\N	22	157	\N	9999-12-31	2013-05-08
31/6-1	1236.000000	1304.000000	UNDIFFERENTIATED	FORMATION	\N	22	182	\N	9999-12-31	2013-05-08
31/6-1	1313.000000	1805.000000	VIKING GP	GROUP	\N	22	188	\N	9999-12-31	2013-05-08
31/6-1	3978.000000	4014.000000	UNDEFINED GP	GROUP	\N	22	191	\N	9999-12-31	2013-05-08
31/6-1	2111.000000	2156.000000	NO GROUP DEFINED	GROUP	\N	22	208	\N	9999-12-31	2013-05-08
34/10-18	2843.000000	2978.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	23	4	29	9999-12-31	2013-05-08
34/10-18	1690.000000	1750.000000	BALDER FM	FORMATION	ROGALAND GP	23	6	131	9999-12-31	2013-05-08
34/10-18	2373.000000	2604.000000	BRENT GP	GROUP	\N	23	16	\N	9999-12-31	2013-05-08
34/10-18	2595.000000	2604.000000	BROOM FM	FORMATION	BRENT GP	23	17	16	9999-12-31	2013-05-08
34/10-18	2785.000000	2843.000000	BURTON FM	FORMATION	DUNLIN GP	23	20	29	9999-12-31	2013-05-08
34/10-18	2337.000000	2351.000000	CROMER KNOLL GP	GROUP	\N	23	23	\N	9999-12-31	2013-05-08
34/10-18	2688.000000	2785.000000	COOK FM	FORMATION	DUNLIN GP	23	24	29	9999-12-31	2013-05-08
34/10-18	2604.000000	2688.000000	DRAKE FM	FORMATION	DUNLIN GP	23	27	29	9999-12-31	2013-05-08
34/10-18	2351.000000	2355.000000	DRAUPNE FM	FORMATION	VIKING GP	23	28	188	9999-12-31	2013-05-08
34/10-18	2604.000000	2978.000000	DUNLIN GP	GROUP	\N	23	29	\N	9999-12-31	2013-05-08
34/10-18	2495.000000	2524.000000	ETIVE FM	FORMATION	BRENT GP	23	35	16	9999-12-31	2013-05-08
34/10-18	2355.000000	2373.000000	HEATHER FM	FORMATION	VIKING GP	23	60	188	9999-12-31	2013-05-08
34/10-18	902.000000	1690.000000	HORDALAND GP	GROUP	\N	23	67	\N	9999-12-31	2013-05-08
34/10-18	1878.000000	2107.000000	JORSALFARE FM	FORMATION	SHETLAND GP	23	74	143	9999-12-31	2013-05-08
34/10-18	2107.000000	2337.000000	KYRRE FM	FORMATION	SHETLAND GP	23	92	143	9999-12-31	2013-05-08
34/10-18	1750.000000	1878.000000	LISTA FM	FORMATION	ROGALAND GP	23	95	131	9999-12-31	2013-05-08
34/10-18	2340.000000	2351.000000	MIME FM	FORMATION	CROMER KNOLL GP	23	106	23	9999-12-31	2013-05-08
34/10-18	2412.000000	2495.000000	NESS FM	FORMATION	BRENT GP	23	110	16	9999-12-31	2013-05-08
34/10-18	858.000000	902.000000	NO FORMAL NAME	FORMATION	\N	23	111	\N	9999-12-31	2013-05-08
34/10-18	1180.000000	1246.000000	NO FORMAL NAME	FORMATION	\N	23	111	\N	9999-12-31	2013-05-08
34/10-18	1246.000000	1406.000000	NO FORMAL NAME	FORMATION	\N	23	111	\N	9999-12-31	2013-05-08
34/10-18	1406.000000	1470.000000	NO FORMAL NAME	FORMATION	\N	23	111	\N	9999-12-31	2013-05-08
34/10-18	1470.000000	1690.000000	NO FORMAL NAME	FORMATION	\N	23	111	\N	9999-12-31	2013-05-08
34/10-18	163.000000	902.000000	NORDLAND GP	GROUP	\N	23	113	\N	9999-12-31	2013-05-08
34/10-18	2524.000000	2595.000000	RANNOCH FM	FORMATION	BRENT GP	23	126	16	9999-12-31	2013-05-08
34/10-18	1690.000000	1878.000000	ROGALAND GP	GROUP	\N	23	131	\N	9999-12-31	2013-05-08
34/10-18	2337.000000	2340.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	23	137	23	9999-12-31	2013-05-08
34/10-18	1878.000000	2337.000000	SHETLAND GP	GROUP	\N	23	143	\N	9999-12-31	2013-05-08
34/10-18	2978.000000	3025.000000	STATFJORD FM	FORMATION	\N	23	157	\N	9999-12-31	2013-05-08
34/10-18	2373.000000	2412.000000	TARBERT FM	FORMATION	BRENT GP	23	162	16	9999-12-31	2013-05-08
34/10-18	822.000000	858.000000	UTSIRA FM	FORMATION	NORDLAND GP	23	183	113	9999-12-31	2013-05-08
34/10-18	2351.000000	2373.000000	VIKING GP	GROUP	\N	23	188	\N	9999-12-31	2013-05-08
34/10-18	2978.000000	3025.000000	NO GROUP DEFINED	GROUP	\N	23	208	\N	9999-12-31	2013-05-08
6609/10-1	1367.000000	1405.000000	BRYGGE FM	FORMATION	HORDALAND GP	24	18	67	9999-12-31	2013-05-08
6609/10-1	1605.000000	1993.000000	BÅT GP	GROUP	\N	24	22	\N	9999-12-31	2013-05-08
6609/10-1	1993.000000	2102.000000	GREY BEDS (INFORMAL)	GROUP	\N	24	52	\N	9999-12-31	2013-05-08
6609/10-1	1367.000000	1405.000000	HORDALAND GP	GROUP	\N	24	67	\N	9999-12-31	2013-05-08
6609/10-1	1312.000000	1367.000000	KAI FM	FORMATION	NORDLAND GP	24	77	113	9999-12-31	2013-05-08
6609/10-1	288.000000	1312.000000	NAUST FM	FORMATION	NORDLAND GP	24	109	113	9999-12-31	2013-05-08
6609/10-1	288.000000	1367.000000	NORDLAND GP	GROUP	\N	24	113	\N	9999-12-31	2013-05-08
6609/10-1	2102.000000	2167.000000	RED BEDS (INFORMAL)	GROUP	\N	24	129	\N	9999-12-31	2013-05-08
6609/10-1	1405.000000	1509.000000	ROGALAND GP	GROUP	\N	24	131	\N	9999-12-31	2013-05-08
6609/10-1	1605.000000	1642.000000	ROR FM	FORMATION	BÅT GP	24	135	22	9999-12-31	2013-05-08
6609/10-1	1509.000000	1605.000000	SHETLAND GP	GROUP	\N	24	143	\N	9999-12-31	2013-05-08
6609/10-1	1509.000000	1605.000000	SPRINGAR FM	FORMATION	SHETLAND GP	24	156	143	9999-12-31	2013-05-08
6609/10-1	1473.000000	1509.000000	TANG FM	FORMATION	ROGALAND GP	24	161	131	9999-12-31	2013-05-08
6609/10-1	1405.000000	1473.000000	TARE FM	FORMATION	ROGALAND GP	24	163	131	9999-12-31	2013-05-08
6609/10-1	1642.000000	1733.000000	TILJE FM	FORMATION	BÅT GP	24	169	22	9999-12-31	2013-05-08
6609/10-1	1733.000000	1993.000000	ÅRE FM	FORMATION	BÅT GP	24	197	22	9999-12-31	2013-05-08
2/5-7	3028.000000	3038.000000	BALDER FM	FORMATION	ROGALAND GP	25	6	131	9999-12-31	2013-05-08
2/5-7	4087.000000	4108.000000	CROMER KNOLL GP	GROUP	\N	25	23	\N	9999-12-31	2013-05-08
2/5-7	3204.000000	3289.000000	EKOFISK FM	FORMATION	SHETLAND GP	25	33	143	9999-12-31	2013-05-08
2/5-7	4120.000000	4347.000000	FARSUND FM	FORMATION	TYNE GP	25	39	177	9999-12-31	2013-05-08
2/5-7	3726.000000	4087.000000	HOD FM	FORMATION	SHETLAND GP	25	66	143	9999-12-31	2013-05-08
2/5-7	1548.000000	3028.000000	HORDALAND GP	GROUP	\N	25	67	\N	9999-12-31	2013-05-08
2/5-7	3047.000000	3143.000000	LISTA FM	FORMATION	ROGALAND GP	25	95	131	9999-12-31	2013-05-08
2/5-7	4108.000000	4120.000000	MANDAL FM	FORMATION	TYNE GP	25	101	177	9999-12-31	2013-05-08
2/5-7	100.000000	1548.000000	NORDLAND GP	GROUP	\N	25	113	\N	9999-12-31	2013-05-08
2/5-7	3028.000000	3204.000000	ROGALAND GP	GROUP	\N	25	131	\N	9999-12-31	2013-05-08
2/5-7	3038.000000	3047.000000	SELE FM	FORMATION	ROGALAND GP	25	142	131	9999-12-31	2013-05-08
2/5-7	3204.000000	4087.000000	SHETLAND GP	GROUP	\N	25	143	\N	9999-12-31	2013-05-08
2/5-7	4387.000000	4531.000000	SKAGERRAK FM	FORMATION	HEGRE GP	25	146	61	9999-12-31	2013-05-08
2/5-7	3289.000000	3726.000000	TOR FM	FORMATION	SHETLAND GP	25	171	143	9999-12-31	2013-05-08
2/5-7	4108.000000	4347.000000	TYNE GP	GROUP	\N	25	177	\N	9999-12-31	2013-05-08
2/5-7	4347.000000	4387.000000	VESTLAND GP	GROUP	\N	25	186	\N	9999-12-31	2013-05-08
2/5-7	3143.000000	3204.000000	VÅLE FM	FORMATION	ROGALAND GP	25	190	131	9999-12-31	2013-05-08
2/5-7	4387.000000	4531.000000	NO GROUP DEFINED	GROUP	\N	25	208	\N	9999-12-31	2013-05-08
6610/7-2	993.000000	1039.000000	BRYGGE FM	FORMATION	HORDALAND GP	26	18	67	9999-12-31	2013-05-08
6610/7-2	1487.000000	1726.000000	BÅT GP	GROUP	\N	26	22	\N	9999-12-31	2013-05-08
6610/7-2	1455.000000	1487.000000	CROMER KNOLL GP	GROUP	\N	26	23	\N	9999-12-31	2013-05-08
6610/7-2	1726.000000	4215.000000	GREY BEDS (INFORMAL)	GROUP	\N	26	52	\N	9999-12-31	2013-05-08
6610/7-2	993.000000	1039.000000	HORDALAND GP	GROUP	\N	26	67	\N	9999-12-31	2013-05-08
6610/7-2	1455.000000	1487.000000	LANGE FM	FORMATION	CROMER KNOLL GP	26	94	23	9999-12-31	2013-05-08
6610/7-2	257.000000	993.000000	NAUST FM	FORMATION	NORDLAND GP	26	109	113	9999-12-31	2013-05-08
6610/7-2	1166.000000	1197.000000	NO FORMAL NAME	FORMATION	\N	26	111	\N	9999-12-31	2013-05-08
6610/7-2	257.000000	993.000000	NORDLAND GP	GROUP	\N	26	113	\N	9999-12-31	2013-05-08
6610/7-2	1039.000000	1262.000000	ROGALAND GP	GROUP	\N	26	131	\N	9999-12-31	2013-05-08
6610/7-2	1262.000000	1455.000000	SHETLAND GP	GROUP	\N	26	143	\N	9999-12-31	2013-05-08
6610/7-2	1262.000000	1455.000000	SPRINGAR FM	FORMATION	SHETLAND GP	26	156	143	9999-12-31	2013-05-08
6610/7-2	1126.000000	1166.000000	TANG FM	FORMATION	ROGALAND GP	26	161	131	9999-12-31	2013-05-08
6610/7-2	1197.000000	1262.000000	TANG FM	FORMATION	ROGALAND GP	26	161	131	9999-12-31	2013-05-08
6610/7-2	1039.000000	1126.000000	TARE FM	FORMATION	ROGALAND GP	26	163	131	9999-12-31	2013-05-08
6610/7-2	1487.000000	1533.000000	TILJE FM	FORMATION	BÅT GP	26	169	22	9999-12-31	2013-05-08
6610/7-2	1533.000000	1726.000000	ÅRE FM	FORMATION	BÅT GP	26	197	22	9999-12-31	2013-05-08
31/5-1	670.000000	860.000000	HORDALAND GP	GROUP	\N	27	67	\N	9999-12-31	2013-05-08
31/5-1	342.000000	670.000000	NORDLAND GP	GROUP	\N	27	113	\N	9999-12-31	2013-05-08
7/8-3	2717.000000	2753.000000	BALDER FM	FORMATION	ROGALAND GP	28	6	131	9999-12-31	2013-05-08
7/8-3	3361.000000	3367.000000	BLODØKS FM	FORMATION	SHETLAND GP	28	13	143	9999-12-31	2013-05-08
7/8-3	3393.000000	3639.000000	CROMER KNOLL GP	GROUP	\N	28	23	\N	9999-12-31	2013-05-08
7/8-3	2858.000000	3024.000000	EKOFISK FM	FORMATION	SHETLAND GP	28	33	143	9999-12-31	2013-05-08
7/8-3	3675.000000	3724.000000	FARSUND FM	FORMATION	TYNE GP	28	39	177	9999-12-31	2013-05-08
7/8-3	3367.000000	3393.000000	HIDRA FM	FORMATION	SHETLAND GP	28	65	143	9999-12-31	2013-05-08
7/8-3	3275.000000	3361.000000	HOD FM	FORMATION	SHETLAND GP	28	66	143	9999-12-31	2013-05-08
7/8-3	1334.000000	2717.000000	HORDALAND GP	GROUP	\N	28	67	\N	9999-12-31	2013-05-08
7/8-3	2778.000000	2831.000000	LISTA FM	FORMATION	ROGALAND GP	28	95	131	9999-12-31	2013-05-08
7/8-3	3639.000000	3675.000000	MANDAL FM	FORMATION	TYNE GP	28	101	177	9999-12-31	2013-05-08
7/8-3	2831.000000	2858.000000	MAUREEN FM	FORMATION	ROGALAND GP	28	102	131	9999-12-31	2013-05-08
7/8-3	106.000000	1334.000000	NORDLAND GP	GROUP	\N	28	113	\N	9999-12-31	2013-05-08
7/8-3	2717.000000	2858.000000	ROGALAND GP	GROUP	\N	28	131	\N	9999-12-31	2013-05-08
7/8-3	3393.000000	3639.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	28	137	23	9999-12-31	2013-05-08
7/8-3	2753.000000	2778.000000	SELE FM	FORMATION	ROGALAND GP	28	142	131	9999-12-31	2013-05-08
7/8-3	2858.000000	3393.000000	SHETLAND GP	GROUP	\N	28	143	\N	9999-12-31	2013-05-08
7/8-3	3767.000000	4237.000000	SMITH BANK FM	FORMATION	HEGRE GP	28	149	61	9999-12-31	2013-05-08
7/8-3	3024.000000	3275.000000	TOR FM	FORMATION	SHETLAND GP	28	171	143	9999-12-31	2013-05-08
7/8-3	3639.000000	3724.000000	TYNE GP	GROUP	\N	28	177	\N	9999-12-31	2013-05-08
7/8-3	3724.000000	3767.000000	ULA FM	FORMATION	VESTLAND GP	28	179	186	9999-12-31	2013-05-08
7/8-3	3724.000000	3767.000000	VESTLAND GP	GROUP	\N	28	186	\N	9999-12-31	2013-05-08
7/8-3	4237.000000	4320.000000	ZECHSTEIN GP	GROUP	\N	28	194	\N	9999-12-31	2013-05-08
7/8-3	3767.000000	4237.000000	NO GROUP DEFINED	GROUP	\N	28	208	\N	9999-12-31	2013-05-08
6407/1-3	1763.000000	2213.000000	BRYGGE FM	FORMATION	HORDALAND GP	29	18	67	9999-12-31	2013-05-08
6407/1-3	3813.000000	4455.000000	BÅT GP	GROUP	\N	29	22	\N	9999-12-31	2013-05-08
6407/1-3	2601.000000	3521.000000	CROMER KNOLL GP	GROUP	\N	29	23	\N	9999-12-31	2013-05-08
6407/1-3	3600.000000	3813.000000	FANGST GP	GROUP	\N	29	38	\N	9999-12-31	2013-05-08
6407/1-3	3600.000000	3704.000000	GARN FM	FORMATION	FANGST GP	29	48	38	9999-12-31	2013-05-08
6407/1-3	4455.000000	4469.000000	GREY BEDS (INFORMAL)	GROUP	\N	29	52	\N	9999-12-31	2013-05-08
6407/1-3	1763.000000	2213.000000	HORDALAND GP	GROUP	\N	29	67	\N	9999-12-31	2013-05-08
6407/1-3	3741.000000	3813.000000	ILE FM	FORMATION	FANGST GP	29	70	38	9999-12-31	2013-05-08
6407/1-3	1449.000000	1763.000000	KAI FM	FORMATION	NORDLAND GP	29	77	113	9999-12-31	2013-05-08
6407/1-3	2601.000000	3466.000000	LANGE FM	FORMATION	CROMER KNOLL GP	29	94	23	9999-12-31	2013-05-08
6407/1-3	3470.000000	3500.000000	LANGE FM	FORMATION	CROMER KNOLL GP	29	94	23	9999-12-31	2013-05-08
6407/1-3	3500.000000	3521.000000	LYR FM	FORMATION	CROMER KNOLL GP	29	98	23	9999-12-31	2013-05-08
6407/1-3	3545.000000	3600.000000	MELKE FM	FORMATION	VIKING GP	29	105	188	9999-12-31	2013-05-08
6407/1-3	315.000000	1449.000000	NAUST FM	FORMATION	NORDLAND GP	29	109	113	9999-12-31	2013-05-08
6407/1-3	3466.000000	3470.000000	NO FORMAL NAME	FORMATION	\N	29	111	\N	9999-12-31	2013-05-08
6407/1-3	2448.000000	2601.000000	NISE FM	FORMATION	SHETLAND GP	29	112	143	9999-12-31	2013-05-08
6407/1-3	315.000000	1763.000000	NORDLAND GP	GROUP	\N	29	113	\N	9999-12-31	2013-05-08
6407/1-3	3704.000000	3741.000000	NOT FM	FORMATION	FANGST GP	29	120	38	9999-12-31	2013-05-08
6407/1-3	2213.000000	2346.000000	ROGALAND GP	GROUP	\N	29	131	\N	9999-12-31	2013-05-08
6407/1-3	3813.000000	3950.000000	ROR FM	FORMATION	BÅT GP	29	135	22	9999-12-31	2013-05-08
6407/1-3	2346.000000	2601.000000	SHETLAND GP	GROUP	\N	29	143	\N	9999-12-31	2013-05-08
6407/1-3	3521.000000	3545.000000	SPEKK FM	FORMATION	VIKING GP	29	155	188	9999-12-31	2013-05-08
6407/1-3	2346.000000	2448.000000	SPRINGAR FM	FORMATION	SHETLAND GP	29	156	143	9999-12-31	2013-05-08
6407/1-3	2300.000000	2346.000000	TANG FM	FORMATION	ROGALAND GP	29	161	131	9999-12-31	2013-05-08
6407/1-3	2213.000000	2300.000000	TARE FM	FORMATION	ROGALAND GP	29	163	131	9999-12-31	2013-05-08
6407/1-3	3950.000000	4150.000000	TILJE FM	FORMATION	BÅT GP	29	169	22	9999-12-31	2013-05-08
6407/1-3	3521.000000	3600.000000	VIKING GP	GROUP	\N	29	188	\N	9999-12-31	2013-05-08
6407/1-3	4150.000000	4455.000000	ÅRE FM	FORMATION	BÅT GP	29	197	22	9999-12-31	2013-05-08
7/11-8	2899.000000	2932.000000	BALDER FM	FORMATION	ROGALAND GP	30	6	131	9999-12-31	2013-05-08
7/11-8	3676.000000	3725.000000	CROMER KNOLL GP	GROUP	\N	30	23	\N	9999-12-31	2013-05-08
7/11-8	3039.000000	3168.000000	EKOFISK FM	FORMATION	SHETLAND GP	30	33	143	9999-12-31	2013-05-08
7/11-8	3655.000000	3676.000000	HIDRA FM	FORMATION	SHETLAND GP	30	65	143	9999-12-31	2013-05-08
7/11-8	3504.000000	3655.000000	HOD FM	FORMATION	SHETLAND GP	30	66	143	9999-12-31	2013-05-08
7/11-8	1404.000000	2899.000000	HORDALAND GP	GROUP	\N	30	67	\N	9999-12-31	2013-05-08
7/11-8	2977.000000	3028.000000	LISTA FM	FORMATION	ROGALAND GP	30	95	131	9999-12-31	2013-05-08
7/11-8	102.000000	1404.000000	NORDLAND GP	GROUP	\N	30	113	\N	9999-12-31	2013-05-08
7/11-8	2899.000000	3039.000000	ROGALAND GP	GROUP	\N	30	131	\N	9999-12-31	2013-05-08
7/11-8	3676.000000	3725.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	30	137	23	9999-12-31	2013-05-08
7/11-8	2932.000000	2977.000000	SELE FM	FORMATION	ROGALAND GP	30	142	131	9999-12-31	2013-05-08
7/11-8	3039.000000	3676.000000	SHETLAND GP	GROUP	\N	30	143	\N	9999-12-31	2013-05-08
7/11-8	3725.000000	4750.000000	SMITH BANK FM	FORMATION	HEGRE GP	30	149	61	9999-12-31	2013-05-08
7/11-8	3168.000000	3504.000000	TOR FM	FORMATION	SHETLAND GP	30	171	143	9999-12-31	2013-05-08
7/11-8	3028.000000	3039.000000	VÅLE FM	FORMATION	ROGALAND GP	30	190	131	9999-12-31	2013-05-08
7/11-8	3725.000000	4750.000000	NO GROUP DEFINED	GROUP	\N	30	208	\N	9999-12-31	2013-05-08
29/9-1	4562.000000	4640.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	31	4	29	9999-12-31	2013-05-08
29/9-1	3770.000000	3785.000000	BLODØKS FM	FORMATION	SHETLAND GP	31	13	143	9999-12-31	2013-05-08
29/9-1	4387.000000	4421.000000	BRENT GP	GROUP	\N	31	16	\N	9999-12-31	2013-05-08
29/9-1	4415.000000	4421.000000	BROOM FM	FORMATION	BRENT GP	31	17	16	9999-12-31	2013-05-08
29/9-1	4530.000000	4562.000000	BURTON FM	FORMATION	DUNLIN GP	31	20	29	9999-12-31	2013-05-08
29/9-1	3906.000000	3980.000000	CROMER KNOLL GP	GROUP	\N	31	23	\N	9999-12-31	2013-05-08
29/9-1	4487.000000	4530.000000	COOK FM	FORMATION	DUNLIN GP	31	24	29	9999-12-31	2013-05-08
29/9-1	4421.000000	4487.000000	DRAKE FM	FORMATION	DUNLIN GP	31	27	29	9999-12-31	2013-05-08
29/9-1	3980.000000	4049.000000	DRAUPNE FM	FORMATION	VIKING GP	31	28	188	9999-12-31	2013-05-08
29/9-1	4421.000000	4640.000000	DUNLIN GP	GROUP	\N	31	29	\N	9999-12-31	2013-05-08
29/9-1	2355.000000	2398.000000	EKOFISK FM	FORMATION	SHETLAND GP	31	33	143	9999-12-31	2013-05-08
29/9-1	4394.000000	4406.000000	ETIVE FM	FORMATION	BRENT GP	31	35	16	9999-12-31	2013-05-08
29/9-1	1782.000000	1981.000000	FRIGG FM	FORMATION	HORDALAND GP	31	45	67	9999-12-31	2013-05-08
29/9-1	1303.000000	1399.000000	GRID FM	FORMATION	HORDALAND GP	31	53	67	9999-12-31	2013-05-08
29/9-1	4049.000000	4387.000000	HEATHER FM	FORMATION	VIKING GP	31	60	188	9999-12-31	2013-05-08
29/9-1	2074.000000	2151.000000	HEIMDAL FM	FORMATION	ROGALAND GP	31	62	131	9999-12-31	2013-05-08
29/9-1	859.000000	1981.000000	HORDALAND GP	GROUP	\N	31	67	\N	9999-12-31	2013-05-08
29/9-1	2398.000000	2633.000000	JORSALFARE FM	FORMATION	SHETLAND GP	31	74	143	9999-12-31	2013-05-08
29/9-1	2633.000000	3604.000000	KYRRE FM	FORMATION	SHETLAND GP	31	92	143	9999-12-31	2013-05-08
29/9-1	2015.000000	2074.000000	LISTA FM	FORMATION	ROGALAND GP	31	95	131	9999-12-31	2013-05-08
29/9-1	2151.000000	2310.000000	LISTA FM	FORMATION	ROGALAND GP	31	95	131	9999-12-31	2013-05-08
29/9-1	4387.000000	4394.000000	NESS FM	FORMATION	BRENT GP	31	110	16	9999-12-31	2013-05-08
29/9-1	840.000000	859.000000	NO FORMAL NAME	FORMATION	\N	31	111	\N	9999-12-31	2013-05-08
29/9-1	935.000000	1303.000000	NO FORMAL NAME	FORMATION	\N	31	111	\N	9999-12-31	2013-05-08
29/9-1	1399.000000	1782.000000	NO FORMAL NAME	FORMATION	\N	31	111	\N	9999-12-31	2013-05-08
29/9-1	129.000000	859.000000	NORDLAND GP	GROUP	\N	31	113	\N	9999-12-31	2013-05-08
29/9-1	4406.000000	4415.000000	RANNOCH FM	FORMATION	BRENT GP	31	126	16	9999-12-31	2013-05-08
29/9-1	1981.000000	2355.000000	ROGALAND GP	GROUP	\N	31	131	\N	9999-12-31	2013-05-08
29/9-1	3906.000000	3980.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	31	137	23	9999-12-31	2013-05-08
29/9-1	2355.000000	3906.000000	SHETLAND GP	GROUP	\N	31	143	\N	9999-12-31	2013-05-08
29/9-1	859.000000	935.000000	SKADE FM	FORMATION	HORDALAND GP	31	145	67	9999-12-31	2013-05-08
29/9-1	4640.000000	4703.000000	STATFJORD FM	FORMATION	\N	31	157	\N	9999-12-31	2013-05-08
29/9-1	3785.000000	3906.000000	SVARTE FM	FORMATION	SHETLAND GP	31	160	143	9999-12-31	2013-05-08
29/9-1	3604.000000	3770.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	31	173	143	9999-12-31	2013-05-08
29/9-1	1981.000000	2015.000000	UNDIFFERENTIATED	FORMATION	\N	31	182	\N	9999-12-31	2013-05-08
29/9-1	264.000000	840.000000	UTSIRA FM	FORMATION	NORDLAND GP	31	183	113	9999-12-31	2013-05-08
29/9-1	3980.000000	4387.000000	VIKING GP	GROUP	\N	31	188	\N	9999-12-31	2013-05-08
29/9-1	2310.000000	2355.000000	VÅLE FM	FORMATION	ROGALAND GP	31	190	131	9999-12-31	2013-05-08
29/9-1	4640.000000	4703.000000	NO GROUP DEFINED	GROUP	\N	31	208	\N	9999-12-31	2013-05-08
31/5-2	2194.000000	2225.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	32	4	29	9999-12-31	2013-05-08
31/5-2	2323.000000	2336.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	32	4	29	9999-12-31	2013-05-08
31/5-2	1210.000000	1286.000000	BALDER FM	FORMATION	ROGALAND GP	32	6	131	9999-12-31	2013-05-08
31/5-2	1957.000000	2036.000000	BRENT GP	GROUP	\N	32	16	\N	9999-12-31	2013-05-08
31/5-2	1450.000000	1475.000000	CROMER KNOLL GP	GROUP	\N	32	23	\N	9999-12-31	2013-05-08
31/5-2	2176.000000	2194.000000	COOK FM	FORMATION	DUNLIN GP	32	24	29	9999-12-31	2013-05-08
31/5-2	1516.000000	1521.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	32	26	188	9999-12-31	2013-05-08
31/5-2	2036.000000	2176.000000	DRAKE FM	FORMATION	DUNLIN GP	32	27	29	9999-12-31	2013-05-08
31/5-2	1475.000000	1516.000000	DRAUPNE FM	FORMATION	VIKING GP	32	28	188	9999-12-31	2013-05-08
31/5-2	2036.000000	2336.000000	DUNLIN GP	GROUP	\N	32	29	\N	9999-12-31	2013-05-08
31/5-2	1674.000000	1826.000000	FENSFJORD FM	FORMATION	VIKING GP	32	40	188	9999-12-31	2013-05-08
31/5-2	1432.000000	1441.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	32	56	143	9999-12-31	2013-05-08
31/5-2	1642.000000	1674.000000	HEATHER FM	FORMATION	VIKING GP	32	60	188	9999-12-31	2013-05-08
31/5-2	1908.000000	1957.000000	HEATHER FM	FORMATION	VIKING GP	32	60	188	9999-12-31	2013-05-08
31/5-2	2393.000000	2500.000000	HEGRE GP	GROUP	\N	32	61	\N	9999-12-31	2013-05-08
31/5-2	670.000000	1210.000000	HORDALAND GP	GROUP	\N	32	67	\N	9999-12-31	2013-05-08
31/5-2	2225.000000	2323.000000	JOHANSEN FM	FORMATION	DUNLIN GP	32	73	29	9999-12-31	2013-05-08
31/5-2	1826.000000	1908.000000	KROSSFJORD FM	FORMATION	VIKING GP	32	87	188	9999-12-31	2013-05-08
31/5-2	1382.000000	1432.000000	LISTA FM	FORMATION	ROGALAND GP	32	95	131	9999-12-31	2013-05-08
31/5-2	342.000000	670.000000	NORDLAND GP	GROUP	\N	32	113	\N	9999-12-31	2013-05-08
31/5-2	1210.000000	1432.000000	ROGALAND GP	GROUP	\N	32	131	\N	9999-12-31	2013-05-08
31/5-2	1450.000000	1465.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	32	137	23	9999-12-31	2013-05-08
31/5-2	1286.000000	1382.000000	SELE FM	FORMATION	ROGALAND GP	32	142	131	9999-12-31	2013-05-08
31/5-2	1432.000000	1450.000000	SHETLAND GP	GROUP	\N	32	143	\N	9999-12-31	2013-05-08
31/5-2	1521.000000	1642.000000	SOGNEFJORD FM	FORMATION	VIKING GP	32	151	188	9999-12-31	2013-05-08
31/5-2	2336.000000	2393.000000	STATFJORD FM	FORMATION	\N	32	157	\N	9999-12-31	2013-05-08
31/5-2	1441.000000	1450.000000	UNDIFFERENTIATED	FORMATION	\N	32	182	\N	9999-12-31	2013-05-08
31/5-2	1475.000000	1957.000000	VIKING GP	GROUP	\N	32	188	\N	9999-12-31	2013-05-08
31/5-2	1465.000000	1475.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	32	198	23	9999-12-31	2013-05-08
31/5-2	2336.000000	2393.000000	NO GROUP DEFINED	GROUP	\N	32	208	\N	9999-12-31	2013-05-08
31/6-2	626.000000	776.000000	BALDER FM	FORMATION	ROGALAND GP	34	6	131	9999-12-31	2013-05-08
31/6-2	1931.000000	1975.000000	BRENT GP	GROUP	\N	34	16	\N	9999-12-31	2013-05-08
31/6-2	1128.000000	1322.000000	CROMER KNOLL GP	GROUP	\N	34	23	\N	9999-12-31	2013-05-08
31/6-2	1975.000000	2020.000000	DRAKE FM	FORMATION	DUNLIN GP	34	27	29	9999-12-31	2013-05-08
31/6-2	1322.000000	1435.000000	DRAUPNE FM	FORMATION	VIKING GP	34	28	188	9999-12-31	2013-05-08
31/6-2	1975.000000	2020.000000	DUNLIN GP	GROUP	\N	34	29	\N	9999-12-31	2013-05-08
31/6-2	1642.000000	1875.000000	FENSFJORD FM	FORMATION	VIKING GP	34	40	188	9999-12-31	2013-05-08
31/6-2	968.000000	978.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	34	56	143	9999-12-31	2013-05-08
31/6-2	1435.000000	1460.000000	HEATHER FM	FORMATION	VIKING GP	34	60	188	9999-12-31	2013-05-08
31/6-2	1625.000000	1642.000000	HEATHER FM	FORMATION	VIKING GP	34	60	188	9999-12-31	2013-05-08
31/6-2	1910.000000	1931.000000	HEATHER FM	FORMATION	VIKING GP	34	60	188	9999-12-31	2013-05-08
31/6-2	505.000000	626.000000	HORDALAND GP	GROUP	\N	34	67	\N	9999-12-31	2013-05-08
31/6-2	1875.000000	1910.000000	KROSSFJORD FM	FORMATION	VIKING GP	34	87	188	9999-12-31	2013-05-08
31/6-2	885.000000	968.000000	LISTA FM	FORMATION	ROGALAND GP	34	95	131	9999-12-31	2013-05-08
31/6-2	326.000000	505.000000	NORDLAND GP	GROUP	\N	34	113	\N	9999-12-31	2013-05-08
31/6-2	626.000000	968.000000	ROGALAND GP	GROUP	\N	34	131	\N	9999-12-31	2013-05-08
31/6-2	1128.000000	1223.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	34	137	23	9999-12-31	2013-05-08
31/6-2	776.000000	885.000000	SELE FM	FORMATION	ROGALAND GP	34	142	131	9999-12-31	2013-05-08
31/6-2	968.000000	1128.000000	SHETLAND GP	GROUP	\N	34	143	\N	9999-12-31	2013-05-08
31/6-2	1460.000000	1625.000000	SOGNEFJORD FM	FORMATION	VIKING GP	34	151	188	9999-12-31	2013-05-08
31/6-2	978.000000	1128.000000	UNDIFFERENTIATED	FORMATION	\N	34	182	\N	9999-12-31	2013-05-08
31/6-2	1322.000000	1931.000000	VIKING GP	GROUP	\N	34	188	\N	9999-12-31	2013-05-08
31/6-2	1223.000000	1322.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	34	198	23	9999-12-31	2013-05-08
31/6-3	2125.000000	2143.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	35	4	29	9999-12-31	2013-05-08
31/6-3	508.000000	550.000000	BALDER FM	FORMATION	ROGALAND GP	35	6	131	9999-12-31	2013-05-08
31/6-3	1932.000000	1974.000000	BRENT GP	GROUP	\N	35	16	\N	9999-12-31	2013-05-08
31/6-3	998.000000	1370.000000	CROMER KNOLL GP	GROUP	\N	35	23	\N	9999-12-31	2013-05-08
31/6-3	1974.000000	2042.000000	DRAKE FM	FORMATION	DUNLIN GP	35	27	29	9999-12-31	2013-05-08
31/6-3	1370.000000	1495.000000	DRAUPNE FM	FORMATION	VIKING GP	35	28	188	9999-12-31	2013-05-08
31/6-3	1974.000000	2143.000000	DUNLIN GP	GROUP	\N	35	29	\N	9999-12-31	2013-05-08
31/6-3	1669.000000	1756.000000	FENSFJORD FM	FORMATION	VIKING GP	35	40	188	9999-12-31	2013-05-08
31/6-3	808.000000	823.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	35	56	143	9999-12-31	2013-05-08
31/6-3	1495.000000	1511.000000	HEATHER FM	FORMATION	VIKING GP	35	60	188	9999-12-31	2013-05-08
31/6-3	2195.000000	2250.000000	HEGRE GP	GROUP	\N	35	61	\N	9999-12-31	2013-05-08
31/6-3	2042.000000	2125.000000	JOHANSEN FM	FORMATION	DUNLIN GP	35	73	29	9999-12-31	2013-05-08
31/6-3	1756.000000	1932.000000	KROSSFJORD FM	FORMATION	VIKING GP	35	87	188	9999-12-31	2013-05-08
31/6-3	702.000000	808.000000	LISTA FM	FORMATION	ROGALAND GP	35	95	131	9999-12-31	2013-05-08
31/6-3	326.000000	508.000000	NORDLAND GP	GROUP	\N	35	113	\N	9999-12-31	2013-05-08
31/6-3	508.000000	808.000000	ROGALAND GP	GROUP	\N	35	131	\N	9999-12-31	2013-05-08
31/6-3	998.000000	1058.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	35	137	23	9999-12-31	2013-05-08
31/6-3	550.000000	702.000000	SELE FM	FORMATION	ROGALAND GP	35	142	131	9999-12-31	2013-05-08
31/6-3	808.000000	998.000000	SHETLAND GP	GROUP	\N	35	143	\N	9999-12-31	2013-05-08
31/6-3	1511.000000	1669.000000	SOGNEFJORD FM	FORMATION	VIKING GP	35	151	188	9999-12-31	2013-05-08
31/6-3	1058.000000	1130.000000	SOLA FM	FORMATION	CROMER KNOLL GP	35	152	23	9999-12-31	2013-05-08
31/6-3	2143.000000	2195.000000	STATFJORD FM	FORMATION	\N	35	157	\N	9999-12-31	2013-05-08
31/6-3	823.000000	998.000000	UNDIFFERENTIATED	FORMATION	\N	35	182	\N	9999-12-31	2013-05-08
31/6-3	1370.000000	1932.000000	VIKING GP	GROUP	\N	35	188	\N	9999-12-31	2013-05-08
31/6-3	1130.000000	1370.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	35	198	23	9999-12-31	2013-05-08
31/6-3	2143.000000	2195.000000	NO GROUP DEFINED	GROUP	\N	35	208	\N	9999-12-31	2013-05-08
15/9-18	2291.000000	2338.000000	BALDER FM	FORMATION	ROGALAND GP	36	6	131	9999-12-31	2013-05-08
15/9-18	2931.000000	2993.000000	BLODØKS FM	FORMATION	SHETLAND GP	36	13	143	9999-12-31	2013-05-08
15/9-18	3013.000000	3108.000000	CROMER KNOLL GP	GROUP	\N	36	23	\N	9999-12-31	2013-05-08
15/9-18	3108.000000	3213.000000	DRAUPNE FM	FORMATION	VIKING GP	36	28	188	9999-12-31	2013-05-08
15/9-18	2702.000000	2706.000000	EKOFISK FM	FORMATION	SHETLAND GP	36	33	143	9999-12-31	2013-05-08
15/9-18	3213.000000	3237.000000	HEATHER FM	FORMATION	VIKING GP	36	60	188	9999-12-31	2013-05-08
15/9-18	2465.000000	2665.000000	HEIMDAL FM	FORMATION	ROGALAND GP	36	62	131	9999-12-31	2013-05-08
15/9-18	2843.000000	2931.000000	HOD FM	FORMATION	SHETLAND GP	36	66	143	9999-12-31	2013-05-08
15/9-18	1210.000000	2291.000000	HORDALAND GP	GROUP	\N	36	67	\N	9999-12-31	2013-05-08
15/9-18	3237.000000	3410.000000	HUGIN FM	FORMATION	VESTLAND GP	36	69	186	9999-12-31	2013-05-08
15/9-18	2405.000000	2465.000000	LISTA FM	FORMATION	ROGALAND GP	36	95	131	9999-12-31	2013-05-08
15/9-18	1254.000000	2071.000000	NO FORMAL NAME	FORMATION	\N	36	111	\N	9999-12-31	2013-05-08
15/9-18	2071.000000	2291.000000	NO FORMAL NAME	FORMATION	\N	36	111	\N	9999-12-31	2013-05-08
15/9-18	120.000000	1210.000000	NORDLAND GP	GROUP	\N	36	113	\N	9999-12-31	2013-05-08
15/9-18	2291.000000	2702.000000	ROGALAND GP	GROUP	\N	36	131	\N	9999-12-31	2013-05-08
15/9-18	3013.000000	3061.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	36	137	23	9999-12-31	2013-05-08
15/9-18	2338.000000	2405.000000	SELE FM	FORMATION	ROGALAND GP	36	142	131	9999-12-31	2013-05-08
15/9-18	2702.000000	3013.000000	SHETLAND GP	GROUP	\N	36	143	\N	9999-12-31	2013-05-08
15/9-18	3420.000000	3593.000000	SKAGERRAK FM	FORMATION	HEGRE GP	36	146	61	9999-12-31	2013-05-08
15/9-18	3410.000000	3420.000000	SLEIPNER FM	FORMATION	VESTLAND GP	36	148	186	9999-12-31	2013-05-08
15/9-18	3593.000000	3622.000000	SMITH BANK FM	FORMATION	HEGRE GP	36	149	61	9999-12-31	2013-05-08
15/9-18	3061.000000	3076.000000	SOLA FM	FORMATION	CROMER KNOLL GP	36	152	23	9999-12-31	2013-05-08
15/9-18	2993.000000	3013.000000	SVARTE FM	FORMATION	SHETLAND GP	36	160	143	9999-12-31	2013-05-08
15/9-18	2706.000000	2843.000000	TOR FM	FORMATION	SHETLAND GP	36	171	143	9999-12-31	2013-05-08
15/9-18	2665.000000	2702.000000	TY FM	FORMATION	ROGALAND GP	36	176	131	9999-12-31	2013-05-08
15/9-18	866.000000	1210.000000	UTSIRA FM	FORMATION	NORDLAND GP	36	183	113	9999-12-31	2013-05-08
15/9-18	3237.000000	3420.000000	VESTLAND GP	GROUP	\N	36	186	\N	9999-12-31	2013-05-08
15/9-18	3108.000000	3237.000000	VIKING GP	GROUP	\N	36	188	\N	9999-12-31	2013-05-08
15/9-18	3076.000000	3108.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	36	198	23	9999-12-31	2013-05-08
15/9-18	3420.000000	3622.000000	NO GROUP DEFINED	GROUP	\N	36	208	\N	9999-12-31	2013-05-08
34/4-5	3520.000000	3559.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	37	4	29	9999-12-31	2013-05-08
34/4-5	1805.000000	1838.000000	BALDER FM	FORMATION	ROGALAND GP	37	6	131	9999-12-31	2013-05-08
34/4-5	3235.000000	3245.000000	CROMER KNOLL GP	GROUP	\N	37	23	\N	9999-12-31	2013-05-08
34/4-5	3416.000000	3520.000000	COOK FM	FORMATION	DUNLIN GP	37	24	29	9999-12-31	2013-05-08
34/4-5	3266.000000	3416.000000	DRAKE FM	FORMATION	DUNLIN GP	37	27	29	9999-12-31	2013-05-08
34/4-5	3266.000000	3559.000000	DUNLIN GP	GROUP	\N	37	29	\N	9999-12-31	2013-05-08
34/4-5	3245.000000	3266.000000	HEATHER FM	FORMATION	VIKING GP	37	60	188	9999-12-31	2013-05-08
34/4-5	3599.000000	3917.000000	HEGRE GP	GROUP	\N	37	61	\N	9999-12-31	2013-05-08
34/4-5	1332.000000	1805.000000	HORDALAND GP	GROUP	\N	37	67	\N	9999-12-31	2013-05-08
34/4-5	1925.000000	2145.000000	JORSALFARE FM	FORMATION	SHETLAND GP	37	74	143	9999-12-31	2013-05-08
34/4-5	2145.000000	3015.000000	KYRRE FM	FORMATION	SHETLAND GP	37	92	143	9999-12-31	2013-05-08
34/4-5	1838.000000	1925.000000	LISTA FM	FORMATION	ROGALAND GP	37	95	131	9999-12-31	2013-05-08
34/4-5	3599.000000	3917.000000	LUNDE FM	FORMATION	HEGRE GP	37	97	61	9999-12-31	2013-05-08
34/4-5	405.000000	1332.000000	NORDLAND GP	GROUP	\N	37	113	\N	9999-12-31	2013-05-08
34/4-5	1805.000000	1925.000000	ROGALAND GP	GROUP	\N	37	131	\N	9999-12-31	2013-05-08
34/4-5	3235.000000	3241.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	37	137	23	9999-12-31	2013-05-08
34/4-5	1925.000000	3235.000000	SHETLAND GP	GROUP	\N	37	143	\N	9999-12-31	2013-05-08
34/4-5	3559.000000	3599.000000	STATFJORD FM	FORMATION	\N	37	157	\N	9999-12-31	2013-05-08
34/4-5	3015.000000	3235.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	37	173	143	9999-12-31	2013-05-08
34/4-5	1240.000000	1332.000000	UTSIRA FM	FORMATION	NORDLAND GP	37	183	113	9999-12-31	2013-05-08
34/4-5	3245.000000	3266.000000	VIKING GP	GROUP	\N	37	188	\N	9999-12-31	2013-05-08
34/4-5	3241.000000	3245.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	37	198	23	9999-12-31	2013-05-08
34/4-5	3559.000000	3599.000000	NO GROUP DEFINED	GROUP	\N	37	208	\N	9999-12-31	2013-05-08
15/6-6	2205.000000	2260.000000	BALDER FM	FORMATION	ROGALAND GP	38	6	131	9999-12-31	2013-05-08
15/6-6	3290.000000	3354.000000	BLODØKS FM	FORMATION	SHETLAND GP	38	13	143	9999-12-31	2013-05-08
15/6-6	3377.000000	3398.000000	CROMER KNOLL GP	GROUP	\N	38	23	\N	9999-12-31	2013-05-08
15/6-6	3398.000000	3418.000000	DRAUPNE FM	FORMATION	VIKING GP	38	28	188	9999-12-31	2013-05-08
15/6-6	2740.000000	2778.000000	EKOFISK FM	FORMATION	SHETLAND GP	38	33	143	9999-12-31	2013-05-08
15/6-6	1917.000000	1971.000000	GRID FM	FORMATION	HORDALAND GP	38	53	67	9999-12-31	2013-05-08
15/6-6	3418.000000	3563.000000	HEATHER FM	FORMATION	VIKING GP	38	60	188	9999-12-31	2013-05-08
15/6-6	2353.000000	2647.000000	HEIMDAL FM	FORMATION	ROGALAND GP	38	62	131	9999-12-31	2013-05-08
15/6-6	3050.000000	3290.000000	HOD FM	FORMATION	SHETLAND GP	38	66	143	9999-12-31	2013-05-08
15/6-6	1043.000000	2205.000000	HORDALAND GP	GROUP	\N	38	67	\N	9999-12-31	2013-05-08
15/6-6	3563.000000	3621.000000	HUGIN FM	FORMATION	VESTLAND GP	38	69	186	9999-12-31	2013-05-08
15/6-6	2329.000000	2353.000000	LISTA FM	FORMATION	ROGALAND GP	38	95	131	9999-12-31	2013-05-08
15/6-6	2647.000000	2740.000000	LISTA FM	FORMATION	ROGALAND GP	38	95	131	9999-12-31	2013-05-08
15/6-6	1202.000000	1917.000000	NO FORMAL NAME	FORMATION	\N	38	111	\N	9999-12-31	2013-05-08
15/6-6	1971.000000	2205.000000	NO FORMAL NAME	FORMATION	\N	38	111	\N	9999-12-31	2013-05-08
15/6-6	135.000000	1043.000000	NORDLAND GP	GROUP	\N	38	113	\N	9999-12-31	2013-05-08
15/6-6	2205.000000	2740.000000	ROGALAND GP	GROUP	\N	38	131	\N	9999-12-31	2013-05-08
15/6-6	2260.000000	2329.000000	SELE FM	FORMATION	ROGALAND GP	38	142	131	9999-12-31	2013-05-08
15/6-6	2740.000000	3377.000000	SHETLAND GP	GROUP	\N	38	143	\N	9999-12-31	2013-05-08
15/6-6	1185.000000	1202.000000	SKADE FM	FORMATION	HORDALAND GP	38	145	67	9999-12-31	2013-05-08
15/6-6	3655.000000	3760.000000	SKAGERRAK FM	FORMATION	HEGRE GP	38	146	61	9999-12-31	2013-05-08
15/6-6	3621.000000	3655.000000	SLEIPNER FM	FORMATION	VESTLAND GP	38	148	186	9999-12-31	2013-05-08
15/6-6	3354.000000	3377.000000	SVARTE FM	FORMATION	SHETLAND GP	38	160	143	9999-12-31	2013-05-08
15/6-6	2778.000000	3050.000000	TOR FM	FORMATION	SHETLAND GP	38	171	143	9999-12-31	2013-05-08
15/6-6	812.000000	1043.000000	UTSIRA FM	FORMATION	NORDLAND GP	38	183	113	9999-12-31	2013-05-08
15/6-6	3563.000000	3655.000000	VESTLAND GP	GROUP	\N	38	186	\N	9999-12-31	2013-05-08
15/6-6	3398.000000	3563.000000	VIKING GP	GROUP	\N	38	188	\N	9999-12-31	2013-05-08
15/6-6	3655.000000	3760.000000	NO GROUP DEFINED	GROUP	\N	38	208	\N	9999-12-31	2013-05-08
16/7-2	2148.000000	2204.000000	BALDER FM	FORMATION	ROGALAND GP	40	6	131	9999-12-31	2013-05-08
16/7-2	2579.000000	2668.000000	DRAUPNE FM	FORMATION	VIKING GP	40	28	188	9999-12-31	2013-05-08
16/7-2	2339.000000	2423.000000	HEIMDAL FM	FORMATION	ROGALAND GP	40	62	131	9999-12-31	2013-05-08
16/7-2	2535.000000	2579.000000	HOD FM	FORMATION	SHETLAND GP	40	66	143	9999-12-31	2013-05-08
16/7-2	1096.000000	2148.000000	HORDALAND GP	GROUP	\N	40	67	\N	9999-12-31	2013-05-08
16/7-2	2668.000000	2692.000000	HUGIN FM	FORMATION	VESTLAND GP	40	69	186	9999-12-31	2013-05-08
16/7-2	3112.000000	3117.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	40	88	194	9999-12-31	2013-05-08
16/7-2	2268.000000	2339.000000	LISTA FM	FORMATION	ROGALAND GP	40	95	131	9999-12-31	2013-05-08
16/7-2	2423.000000	2435.000000	MAUREEN FM	FORMATION	ROGALAND GP	40	102	131	9999-12-31	2013-05-08
16/7-2	108.000000	1096.000000	NORDLAND GP	GROUP	\N	40	113	\N	9999-12-31	2013-05-08
16/7-2	2148.000000	2435.000000	ROGALAND GP	GROUP	\N	40	131	\N	9999-12-31	2013-05-08
16/7-2	3117.000000	3146.000000	ROTLIEGEND GP	GROUP	\N	40	136	\N	9999-12-31	2013-05-08
16/7-2	2204.000000	2268.000000	SELE FM	FORMATION	ROGALAND GP	40	142	131	9999-12-31	2013-05-08
16/7-2	2435.000000	2579.000000	SHETLAND GP	GROUP	\N	40	143	\N	9999-12-31	2013-05-08
16/7-2	2692.000000	3010.000000	SMITH BANK FM	FORMATION	HEGRE GP	40	149	61	9999-12-31	2013-05-08
16/7-2	2435.000000	2535.000000	TOR FM	FORMATION	SHETLAND GP	40	171	143	9999-12-31	2013-05-08
16/7-2	3010.000000	3112.000000	UNDIFFERENTIATED	FORMATION	\N	40	182	\N	9999-12-31	2013-05-08
16/7-2	794.000000	1096.000000	UTSIRA FM	FORMATION	NORDLAND GP	40	183	113	9999-12-31	2013-05-08
16/7-2	2668.000000	2692.000000	VESTLAND GP	GROUP	\N	40	186	\N	9999-12-31	2013-05-08
16/7-2	2579.000000	2668.000000	VIKING GP	GROUP	\N	40	188	\N	9999-12-31	2013-05-08
16/7-2	3010.000000	3117.000000	ZECHSTEIN GP	GROUP	\N	40	194	\N	9999-12-31	2013-05-08
16/7-2	2692.000000	3010.000000	NO GROUP DEFINED	GROUP	\N	40	208	\N	9999-12-31	2013-05-08
34/4-4	1634.000000	1670.000000	BALDER FM	FORMATION	ROGALAND GP	41	6	131	9999-12-31	2013-05-08
34/4-4	2414.000000	2425.000000	CROMER KNOLL GP	GROUP	\N	41	23	\N	9999-12-31	2013-05-08
34/4-4	2425.000000	3800.000000	HEGRE GP	GROUP	\N	41	61	\N	9999-12-31	2013-05-08
34/4-4	1158.000000	1634.000000	HORDALAND GP	GROUP	\N	41	67	\N	9999-12-31	2013-05-08
34/4-4	1787.000000	1943.000000	JORSALFARE FM	FORMATION	SHETLAND GP	41	74	143	9999-12-31	2013-05-08
34/4-4	1943.000000	2414.000000	KYRRE FM	FORMATION	SHETLAND GP	41	92	143	9999-12-31	2013-05-08
34/4-4	1670.000000	1787.000000	LISTA FM	FORMATION	ROGALAND GP	41	95	131	9999-12-31	2013-05-08
34/4-4	3143.000000	3228.000000	LOMVI FM	FORMATION	HEGRE GP	41	96	61	9999-12-31	2013-05-08
34/4-4	2425.000000	3143.000000	LUNDE FM	FORMATION	HEGRE GP	41	97	61	9999-12-31	2013-05-08
34/4-4	1086.000000	1158.000000	NO FORMAL NAME	FORMATION	\N	41	111	\N	9999-12-31	2013-05-08
34/4-4	370.000000	1158.000000	NORDLAND GP	GROUP	\N	41	113	\N	9999-12-31	2013-05-08
34/4-4	1634.000000	1787.000000	ROGALAND GP	GROUP	\N	41	131	\N	9999-12-31	2013-05-08
34/4-4	1787.000000	2414.000000	SHETLAND GP	GROUP	\N	41	143	\N	9999-12-31	2013-05-08
34/4-4	3228.000000	3800.000000	TEIST FM (INFORMAL)	FORMATION	HEGRE GP	41	166	61	9999-12-31	2013-05-08
34/4-4	1045.000000	1086.000000	UTSIRA FM	FORMATION	NORDLAND GP	41	183	113	9999-12-31	2013-05-08
34/4-4	2414.000000	2425.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	41	198	23	9999-12-31	2013-05-08
7/11-5	3022.000000	3052.000000	BALDER FM	FORMATION	ROGALAND GP	42	6	131	9999-12-31	2013-05-08
7/11-5	3860.000000	3865.000000	BLODØKS FM	FORMATION	SHETLAND GP	42	13	143	9999-12-31	2013-05-08
7/11-5	3928.000000	4024.000000	CROMER KNOLL GP	GROUP	\N	42	23	\N	9999-12-31	2013-05-08
7/11-5	3231.000000	3310.000000	EKOFISK FM	FORMATION	SHETLAND GP	42	33	143	9999-12-31	2013-05-08
7/11-5	4057.000000	4155.000000	FARSUND FM	FORMATION	TYNE GP	42	39	177	9999-12-31	2013-05-08
7/11-5	3865.000000	3928.000000	HIDRA FM	FORMATION	SHETLAND GP	42	65	143	9999-12-31	2013-05-08
7/11-5	3683.000000	3860.000000	HOD FM	FORMATION	SHETLAND GP	42	66	143	9999-12-31	2013-05-08
7/11-5	1497.000000	3022.000000	HORDALAND GP	GROUP	\N	42	67	\N	9999-12-31	2013-05-08
7/11-5	3078.000000	3104.000000	LISTA FM	FORMATION	ROGALAND GP	42	95	131	9999-12-31	2013-05-08
7/11-5	4024.000000	4057.000000	MANDAL FM	FORMATION	TYNE GP	42	101	177	9999-12-31	2013-05-08
7/11-5	3104.000000	3231.000000	MAUREEN FM	FORMATION	ROGALAND GP	42	102	131	9999-12-31	2013-05-08
7/11-5	105.000000	1497.000000	NORDLAND GP	GROUP	\N	42	113	\N	9999-12-31	2013-05-08
7/11-5	3022.000000	3231.000000	ROGALAND GP	GROUP	\N	42	131	\N	9999-12-31	2013-05-08
7/11-5	3928.000000	4024.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	42	137	23	9999-12-31	2013-05-08
7/11-5	3052.000000	3078.000000	SELE FM	FORMATION	ROGALAND GP	42	142	131	9999-12-31	2013-05-08
7/11-5	3231.000000	3928.000000	SHETLAND GP	GROUP	\N	42	143	\N	9999-12-31	2013-05-08
7/11-5	4241.000000	4478.000000	SMITH BANK FM	FORMATION	HEGRE GP	42	149	61	9999-12-31	2013-05-08
7/11-5	3310.000000	3683.000000	TOR FM	FORMATION	SHETLAND GP	42	171	143	9999-12-31	2013-05-08
7/11-5	4024.000000	4155.000000	TYNE GP	GROUP	\N	42	177	\N	9999-12-31	2013-05-08
7/11-5	4155.000000	4241.000000	ULA FM	FORMATION	VESTLAND GP	42	179	186	9999-12-31	2013-05-08
7/11-5	4155.000000	4241.000000	VESTLAND GP	GROUP	\N	42	186	\N	9999-12-31	2013-05-08
7/11-5	4241.000000	4478.000000	NO GROUP DEFINED	GROUP	\N	42	208	\N	9999-12-31	2013-05-08
1/9-6 S	3242.000000	3275.000000	BALDER FM	FORMATION	ROGALAND GP	44	6	131	9999-12-31	2013-05-08
1/9-6 S	3411.000000	3516.000000	EKOFISK FM	FORMATION	SHETLAND GP	44	33	143	9999-12-31	2013-05-08
1/9-6 S	3781.000000	3880.000000	HOD FM	FORMATION	SHETLAND GP	44	66	143	9999-12-31	2013-05-08
1/9-6 S	1755.000000	3242.000000	HORDALAND GP	GROUP	\N	44	67	\N	9999-12-31	2013-05-08
1/9-6 S	3322.000000	3400.000000	LISTA FM	FORMATION	ROGALAND GP	44	95	131	9999-12-31	2013-05-08
1/9-6 S	102.000000	1755.000000	NORDLAND GP	GROUP	\N	44	113	\N	9999-12-31	2013-05-08
1/9-6 S	3242.000000	3411.000000	ROGALAND GP	GROUP	\N	44	131	\N	9999-12-31	2013-05-08
1/9-6 S	3275.000000	3322.000000	SELE FM	FORMATION	ROGALAND GP	44	142	131	9999-12-31	2013-05-08
1/9-6 S	3411.000000	3880.000000	SHETLAND GP	GROUP	\N	44	143	\N	9999-12-31	2013-05-08
1/9-6 S	3516.000000	3781.000000	TOR FM	FORMATION	SHETLAND GP	44	171	143	9999-12-31	2013-05-08
1/9-6 S	3400.000000	3411.000000	VÅLE FM	FORMATION	ROGALAND GP	44	190	131	9999-12-31	2013-05-08
2/2-1	2658.000000	2678.000000	BALDER FM	FORMATION	ROGALAND GP	46	6	131	9999-12-31	2013-05-08
2/2-1	3752.000000	3820.000000	BRYNE FM	FORMATION	VESTLAND GP	46	19	186	9999-12-31	2013-05-08
2/2-1	3225.000000	3314.000000	CROMER KNOLL GP	GROUP	\N	46	23	\N	9999-12-31	2013-05-08
2/2-1	3322.000000	3357.000000	FARSUND FM	FORMATION	TYNE GP	46	39	177	9999-12-31	2013-05-08
2/2-1	3128.000000	3225.000000	HOD FM	FORMATION	SHETLAND GP	46	66	143	9999-12-31	2013-05-08
2/2-1	1600.000000	2658.000000	HORDALAND GP	GROUP	\N	46	67	\N	9999-12-31	2013-05-08
2/2-1	2730.000000	2781.000000	LISTA FM	FORMATION	ROGALAND GP	46	95	131	9999-12-31	2013-05-08
2/2-1	3314.000000	3322.000000	MANDAL FM	FORMATION	TYNE GP	46	101	177	9999-12-31	2013-05-08
2/2-1	2781.000000	2815.000000	MAUREEN FM	FORMATION	ROGALAND GP	46	102	131	9999-12-31	2013-05-08
2/2-1	2172.000000	2658.000000	NO FORMAL NAME	FORMATION	\N	46	111	\N	9999-12-31	2013-05-08
2/2-1	84.000000	1600.000000	NORDLAND GP	GROUP	\N	46	113	\N	9999-12-31	2013-05-08
2/2-1	2658.000000	2815.000000	ROGALAND GP	GROUP	\N	46	131	\N	9999-12-31	2013-05-08
2/2-1	2678.000000	2730.000000	SELE FM	FORMATION	ROGALAND GP	46	142	131	9999-12-31	2013-05-08
2/2-1	2815.000000	3225.000000	SHETLAND GP	GROUP	\N	46	143	\N	9999-12-31	2013-05-08
2/2-1	3820.000000	3947.000000	SKAGERRAK FM	FORMATION	HEGRE GP	46	146	61	9999-12-31	2013-05-08
2/2-1	2815.000000	3128.000000	TOR FM	FORMATION	SHETLAND GP	46	171	143	9999-12-31	2013-05-08
2/2-1	3314.000000	3357.000000	TYNE GP	GROUP	\N	46	177	\N	9999-12-31	2013-05-08
2/2-1	3357.000000	3752.000000	ULA FM	FORMATION	VESTLAND GP	46	179	186	9999-12-31	2013-05-08
2/2-1	2100.000000	2172.000000	VADE FM	FORMATION	HORDALAND GP	46	184	67	9999-12-31	2013-05-08
2/2-1	3357.000000	3820.000000	VESTLAND GP	GROUP	\N	46	186	\N	9999-12-31	2013-05-08
2/2-1	3947.000000	4003.000000	ZECHSTEIN GP	GROUP	\N	46	194	\N	9999-12-31	2013-05-08
2/2-1	3820.000000	3947.000000	NO GROUP DEFINED	GROUP	\N	46	208	\N	9999-12-31	2013-05-08
25/2-7	2149.000000	2189.000000	BALDER FM	FORMATION	ROGALAND GP	47	6	131	9999-12-31	2013-05-08
25/2-7	3205.000000	3263.000000	CROMER KNOLL GP	GROUP	\N	47	23	\N	9999-12-31	2013-05-08
25/2-7	3263.000000	3275.000000	DRAUPNE FM	FORMATION	VIKING GP	47	28	188	9999-12-31	2013-05-08
25/2-7	3628.000000	4110.000000	DUNLIN GP	GROUP	\N	47	29	\N	9999-12-31	2013-05-08
25/2-7	2023.000000	2149.000000	FRIGG FM	FORMATION	HORDALAND GP	47	45	67	9999-12-31	2013-05-08
25/2-7	3275.000000	3406.000000	HEATHER FM	FORMATION	VIKING GP	47	60	188	9999-12-31	2013-05-08
25/2-7	2194.000000	2318.000000	HEIMDAL FM	FORMATION	ROGALAND GP	47	62	131	9999-12-31	2013-05-08
25/2-7	1049.000000	2149.000000	HORDALAND GP	GROUP	\N	47	67	\N	9999-12-31	2013-05-08
25/2-7	3406.000000	3418.000000	HUGIN FM	FORMATION	VESTLAND GP	47	69	186	9999-12-31	2013-05-08
25/2-7	2318.000000	2475.000000	LISTA FM	FORMATION	ROGALAND GP	47	95	131	9999-12-31	2013-05-08
25/2-7	141.000000	1049.000000	NORDLAND GP	GROUP	\N	47	113	\N	9999-12-31	2013-05-08
25/2-7	2149.000000	2589.000000	ROGALAND GP	GROUP	\N	47	131	\N	9999-12-31	2013-05-08
25/2-7	2189.000000	2194.000000	SELE FM	FORMATION	ROGALAND GP	47	142	131	9999-12-31	2013-05-08
25/2-7	2589.000000	3205.000000	SHETLAND GP	GROUP	\N	47	143	\N	9999-12-31	2013-05-08
25/2-7	3418.000000	3628.000000	SLEIPNER FM	FORMATION	VESTLAND GP	47	148	186	9999-12-31	2013-05-08
25/2-7	3406.000000	3628.000000	VESTLAND GP	GROUP	\N	47	186	\N	9999-12-31	2013-05-08
25/2-7	3263.000000	3406.000000	VIKING GP	GROUP	\N	47	188	\N	9999-12-31	2013-05-08
25/2-7	2475.000000	2589.000000	VÅLE FM	FORMATION	ROGALAND GP	47	190	131	9999-12-31	2013-05-08
2/1-4	2917.000000	2932.000000	BALDER FM	FORMATION	ROGALAND GP	48	6	131	9999-12-31	2013-05-08
2/1-4	3710.000000	3723.000000	BLODØKS FM	FORMATION	SHETLAND GP	48	13	143	9999-12-31	2013-05-08
2/1-4	4261.000000	4346.000000	BRYNE FM	FORMATION	VESTLAND GP	48	19	186	9999-12-31	2013-05-08
2/1-4	3741.000000	4004.000000	CROMER KNOLL GP	GROUP	\N	48	23	\N	9999-12-31	2013-05-08
2/1-4	3174.000000	3190.000000	EKOFISK FM	FORMATION	SHETLAND GP	48	33	143	9999-12-31	2013-05-08
2/1-4	4135.000000	4164.000000	FARSUND FM	FORMATION	TYNE GP	48	39	177	9999-12-31	2013-05-08
2/1-4	4164.000000	4251.000000	HAUGESUND FM	FORMATION	TYNE GP	48	57	177	9999-12-31	2013-05-08
2/1-4	3723.000000	3741.000000	HIDRA FM	FORMATION	SHETLAND GP	48	65	143	9999-12-31	2013-05-08
2/1-4	3623.000000	3710.000000	HOD FM	FORMATION	SHETLAND GP	48	66	143	9999-12-31	2013-05-08
2/1-4	1715.000000	2917.000000	HORDALAND GP	GROUP	\N	48	67	\N	9999-12-31	2013-05-08
2/1-4	2944.000000	3075.000000	LISTA FM	FORMATION	ROGALAND GP	48	95	131	9999-12-31	2013-05-08
2/1-4	3136.000000	3174.000000	LISTA FM	FORMATION	ROGALAND GP	48	95	131	9999-12-31	2013-05-08
2/1-4	4004.000000	4135.000000	MANDAL FM	FORMATION	TYNE GP	48	101	177	9999-12-31	2013-05-08
2/1-4	91.000000	1715.000000	NORDLAND GP	GROUP	\N	48	113	\N	9999-12-31	2013-05-08
2/1-4	2917.000000	3174.000000	ROGALAND GP	GROUP	\N	48	131	\N	9999-12-31	2013-05-08
2/1-4	3741.000000	3775.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	48	137	23	9999-12-31	2013-05-08
2/1-4	2932.000000	2944.000000	SELE FM	FORMATION	ROGALAND GP	48	142	131	9999-12-31	2013-05-08
2/1-4	3174.000000	3741.000000	SHETLAND GP	GROUP	\N	48	143	\N	9999-12-31	2013-05-08
2/1-4	4346.000000	4470.000000	SKAGERRAK FM	FORMATION	HEGRE GP	48	146	61	9999-12-31	2013-05-08
2/1-4	4470.000000	4485.000000	SMITH BANK FM	FORMATION	HEGRE GP	48	149	61	9999-12-31	2013-05-08
2/1-4	3775.000000	3785.000000	SOLA FM	FORMATION	CROMER KNOLL GP	48	152	23	9999-12-31	2013-05-08
2/1-4	3190.000000	3623.000000	TOR FM	FORMATION	SHETLAND GP	48	171	143	9999-12-31	2013-05-08
2/1-4	3785.000000	3825.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	48	175	23	9999-12-31	2013-05-08
2/1-4	4004.000000	4251.000000	TYNE GP	GROUP	\N	48	177	\N	9999-12-31	2013-05-08
2/1-4	4251.000000	4261.000000	ULA FM	FORMATION	VESTLAND GP	48	179	186	9999-12-31	2013-05-08
2/1-4	4251.000000	4485.000000	VESTLAND GP	GROUP	\N	48	186	\N	9999-12-31	2013-05-08
2/1-4	3075.000000	3136.000000	VIDAR FM	FORMATION	ROGALAND GP	48	187	131	9999-12-31	2013-05-08
2/1-4	4485.000000	4525.000000	ZECHSTEIN GP	GROUP	\N	48	194	\N	9999-12-31	2013-05-08
2/1-4	3825.000000	4004.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	48	198	23	9999-12-31	2013-05-08
7117/9-1	1875.000000	3200.000000	ADVENTDALEN GP	GROUP	\N	49	1	\N	9999-12-31	2013-05-08
7117/9-1	1875.000000	3200.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	49	85	1	9999-12-31	2013-05-08
7117/9-1	1809.000000	1875.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	49	89	122	9999-12-31	2013-05-08
7117/9-1	284.000000	1139.000000	NORDLAND GP	GROUP	\N	49	113	\N	9999-12-31	2013-05-08
7117/9-1	1809.000000	1875.000000	NYGRUNNEN GP	GROUP	\N	49	122	\N	9999-12-31	2013-05-08
7117/9-1	1139.000000	1809.000000	SOTBAKKEN GP	GROUP	\N	49	154	\N	9999-12-31	2013-05-08
7117/9-1	1139.000000	1809.000000	TORSK FM	FORMATION	SOTBAKKEN GP	49	172	154	9999-12-31	2013-05-08
7120/8-2	961.000000	2081.000000	ADVENTDALEN GP	GROUP	\N	50	1	\N	9999-12-31	2013-05-08
7120/8-2	2455.000000	2590.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	50	46	79	9999-12-31	2013-05-08
7120/8-2	2078.000000	2081.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	50	47	1	9999-12-31	2013-05-08
7120/8-2	1955.000000	2078.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	50	63	1	9999-12-31	2013-05-08
7120/8-2	2081.000000	2590.000000	KAPP TOSCANA GP	GROUP	\N	50	79	\N	9999-12-31	2013-05-08
7120/8-2	1869.000000	1955.000000	KNURR FM	FORMATION	ADVENTDALEN GP	50	82	1	9999-12-31	2013-05-08
7120/8-2	1552.000000	1869.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	50	84	1	9999-12-31	2013-05-08
7120/8-2	961.000000	1552.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	50	85	1	9999-12-31	2013-05-08
7120/8-2	877.000000	961.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	50	89	122	9999-12-31	2013-05-08
7120/8-2	270.000000	558.000000	NORDLAND GP	GROUP	\N	50	113	\N	9999-12-31	2013-05-08
7120/8-2	2190.000000	2375.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	50	118	79	9999-12-31	2013-05-08
7120/8-2	877.000000	961.000000	NYGRUNNEN GP	GROUP	\N	50	122	\N	9999-12-31	2013-05-08
7120/8-2	558.000000	877.000000	SOTBAKKEN GP	GROUP	\N	50	154	\N	9999-12-31	2013-05-08
7120/8-2	2081.000000	2190.000000	STØ FM	FORMATION	KAPP TOSCANA GP	50	159	79	9999-12-31	2013-05-08
7120/8-2	558.000000	877.000000	TORSK FM	FORMATION	SOTBAKKEN GP	50	172	154	9999-12-31	2013-05-08
7120/8-2	2375.000000	2455.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	50	174	79	9999-12-31	2013-05-08
6507/11-2	1380.000000	1791.000000	BRYGGE FM	FORMATION	HORDALAND GP	51	18	67	9999-12-31	2013-05-08
6507/11-2	2040.000000	2761.000000	BÅT GP	GROUP	\N	51	22	\N	9999-12-31	2013-05-08
6507/11-2	1892.000000	1898.000000	CROMER KNOLL GP	GROUP	\N	51	23	\N	9999-12-31	2013-05-08
6507/11-2	1948.000000	2040.000000	FANGST GP	GROUP	\N	51	38	\N	9999-12-31	2013-05-08
6507/11-2	2761.000000	2905.000000	GREY BEDS (INFORMAL)	GROUP	\N	51	52	\N	9999-12-31	2013-05-08
6507/11-2	1380.000000	1791.000000	HORDALAND GP	GROUP	\N	51	67	\N	9999-12-31	2013-05-08
6507/11-2	1948.000000	2040.000000	ILE FM	FORMATION	FANGST GP	51	70	38	9999-12-31	2013-05-08
6507/11-2	1908.000000	1948.000000	MELKE FM	FORMATION	VIKING GP	51	105	188	9999-12-31	2013-05-08
6507/11-2	276.000000	1380.000000	NORDLAND GP	GROUP	\N	51	113	\N	9999-12-31	2013-05-08
6507/11-2	1791.000000	1864.000000	ROGALAND GP	GROUP	\N	51	131	\N	9999-12-31	2013-05-08
6507/11-2	2040.000000	2117.000000	ROR FM	FORMATION	BÅT GP	51	135	22	9999-12-31	2013-05-08
6507/11-2	1864.000000	1892.000000	SHETLAND GP	GROUP	\N	51	143	\N	9999-12-31	2013-05-08
6507/11-2	1898.000000	1908.000000	SPEKK FM	FORMATION	VIKING GP	51	155	188	9999-12-31	2013-05-08
6507/11-2	1838.000000	1864.000000	TANG FM	FORMATION	ROGALAND GP	51	161	131	9999-12-31	2013-05-08
6507/11-2	1791.000000	1838.000000	TARE FM	FORMATION	ROGALAND GP	51	163	131	9999-12-31	2013-05-08
6507/11-2	2117.000000	2290.000000	TILJE FM	FORMATION	BÅT GP	51	169	22	9999-12-31	2013-05-08
6507/11-2	1898.000000	1948.000000	VIKING GP	GROUP	\N	51	188	\N	9999-12-31	2013-05-08
6507/11-2	2290.000000	2761.000000	ÅRE FM	FORMATION	BÅT GP	51	197	22	9999-12-31	2013-05-08
30/9-3	2051.000000	2131.000000	BALDER FM	FORMATION	ROGALAND GP	55	6	131	9999-12-31	2013-05-08
30/9-3	2677.000000	3045.000000	BRENT GP	GROUP	\N	55	16	\N	9999-12-31	2013-05-08
30/9-3	3045.000000	3113.000000	DRAKE FM	FORMATION	DUNLIN GP	55	27	29	9999-12-31	2013-05-08
30/9-3	3045.000000	3113.000000	DUNLIN GP	GROUP	\N	55	29	\N	9999-12-31	2013-05-08
30/9-3	2971.000000	3045.000000	ETIVE FM	FORMATION	BRENT GP	55	35	16	9999-12-31	2013-05-08
30/9-3	2354.000000	2578.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	55	56	143	9999-12-31	2013-05-08
30/9-3	2655.000000	2677.000000	HEATHER FM	FORMATION	VIKING GP	55	60	188	9999-12-31	2013-05-08
30/9-3	843.000000	2051.000000	HORDALAND GP	GROUP	\N	55	67	\N	9999-12-31	2013-05-08
30/9-3	2578.000000	2655.000000	KYRRE FM	FORMATION	SHETLAND GP	55	92	143	9999-12-31	2013-05-08
30/9-3	2220.000000	2344.000000	LISTA FM	FORMATION	ROGALAND GP	55	95	131	9999-12-31	2013-05-08
30/9-3	2712.000000	2971.000000	NESS FM	FORMATION	BRENT GP	55	110	16	9999-12-31	2013-05-08
30/9-3	135.000000	843.000000	NORDLAND GP	GROUP	\N	55	113	\N	9999-12-31	2013-05-08
30/9-3	2051.000000	2354.000000	ROGALAND GP	GROUP	\N	55	131	\N	9999-12-31	2013-05-08
30/9-3	2131.000000	2220.000000	SELE FM	FORMATION	ROGALAND GP	55	142	131	9999-12-31	2013-05-08
30/9-3	2354.000000	2655.000000	SHETLAND GP	GROUP	\N	55	143	\N	9999-12-31	2013-05-08
30/9-3	994.000000	2051.000000	SKADE FM	FORMATION	HORDALAND GP	55	145	67	9999-12-31	2013-05-08
30/9-3	594.000000	843.000000	UTSIRA FM	FORMATION	NORDLAND GP	55	183	113	9999-12-31	2013-05-08
30/9-3	2655.000000	2677.000000	VIKING GP	GROUP	\N	55	188	\N	9999-12-31	2013-05-08
30/9-3	2344.000000	2354.000000	VÅLE FM	FORMATION	ROGALAND GP	55	190	131	9999-12-31	2013-05-08
7/11-7	3133.000000	3146.000000	BALDER FM	FORMATION	ROGALAND GP	57	6	131	9999-12-31	2013-05-08
7/11-7	4318.000000	4405.000000	CROMER KNOLL GP	GROUP	\N	57	23	\N	9999-12-31	2013-05-08
7/11-7	3390.000000	3468.000000	EKOFISK FM	FORMATION	SHETLAND GP	57	33	143	9999-12-31	2013-05-08
7/11-7	4448.000000	4527.000000	FARSUND FM	FORMATION	TYNE GP	57	39	177	9999-12-31	2013-05-08
7/11-7	3185.000000	3377.000000	FORTIES FM	FORMATION	ROGALAND GP	57	44	131	9999-12-31	2013-05-08
7/11-7	4208.000000	4318.000000	HIDRA FM	FORMATION	SHETLAND GP	57	65	143	9999-12-31	2013-05-08
7/11-7	3874.000000	4208.000000	HOD FM	FORMATION	SHETLAND GP	57	66	143	9999-12-31	2013-05-08
7/11-7	1615.000000	3133.000000	HORDALAND GP	GROUP	\N	57	67	\N	9999-12-31	2013-05-08
7/11-7	4405.000000	4448.000000	MANDAL FM	FORMATION	TYNE GP	57	101	177	9999-12-31	2013-05-08
7/11-7	3377.000000	3390.000000	MAUREEN FM	FORMATION	ROGALAND GP	57	102	131	9999-12-31	2013-05-08
7/11-7	112.000000	1615.000000	NORDLAND GP	GROUP	\N	57	113	\N	9999-12-31	2013-05-08
7/11-7	3133.000000	3390.000000	ROGALAND GP	GROUP	\N	57	131	\N	9999-12-31	2013-05-08
7/11-7	4318.000000	4360.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	57	137	23	9999-12-31	2013-05-08
7/11-7	3146.000000	3185.000000	SELE FM	FORMATION	ROGALAND GP	57	142	131	9999-12-31	2013-05-08
7/11-7	3390.000000	4318.000000	SHETLAND GP	GROUP	\N	57	143	\N	9999-12-31	2013-05-08
7/11-7	4566.000000	4856.000000	SKAGERRAK FM	FORMATION	HEGRE GP	57	146	61	9999-12-31	2013-05-08
7/11-7	3468.000000	3874.000000	TOR FM	FORMATION	SHETLAND GP	57	171	143	9999-12-31	2013-05-08
7/11-7	4405.000000	4527.000000	TYNE GP	GROUP	\N	57	177	\N	9999-12-31	2013-05-08
7/11-7	4527.000000	4566.000000	ULA FM	FORMATION	VESTLAND GP	57	179	186	9999-12-31	2013-05-08
7/11-7	4527.000000	4566.000000	VESTLAND GP	GROUP	\N	57	186	\N	9999-12-31	2013-05-08
7/11-7	4856.000000	4927.000000	ZECHSTEIN GP	GROUP	\N	57	194	\N	9999-12-31	2013-05-08
7/11-7	4360.000000	4405.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	57	198	23	9999-12-31	2013-05-08
7/11-7	4566.000000	4856.000000	NO GROUP DEFINED	GROUP	\N	57	208	\N	9999-12-31	2013-05-08
34/10-16	3625.000000	3798.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	59	4	29	9999-12-31	2013-05-08
34/10-16	1855.000000	1928.000000	BALDER FM	FORMATION	ROGALAND GP	59	6	131	9999-12-31	2013-05-08
34/10-16	3171.000000	3475.000000	BRENT GP	GROUP	\N	59	16	\N	9999-12-31	2013-05-08
34/10-16	3602.000000	3625.000000	BURTON FM	FORMATION	DUNLIN GP	59	20	29	9999-12-31	2013-05-08
34/10-16	2978.000000	3017.000000	CROMER KNOLL GP	GROUP	\N	59	23	\N	9999-12-31	2013-05-08
34/10-16	3556.000000	3602.000000	COOK FM	FORMATION	DUNLIN GP	59	24	29	9999-12-31	2013-05-08
34/10-16	3475.000000	3556.000000	DRAKE FM	FORMATION	DUNLIN GP	59	27	29	9999-12-31	2013-05-08
34/10-16	3017.000000	3030.000000	DRAUPNE FM	FORMATION	VIKING GP	59	28	188	9999-12-31	2013-05-08
34/10-16	3475.000000	3798.000000	DUNLIN GP	GROUP	\N	59	29	\N	9999-12-31	2013-05-08
34/10-16	3399.000000	3412.000000	ETIVE FM	FORMATION	BRENT GP	59	35	16	9999-12-31	2013-05-08
34/10-16	3030.000000	3171.000000	HEATHER FM	FORMATION	VIKING GP	59	60	188	9999-12-31	2013-05-08
34/10-16	4010.000000	4042.000000	HEGRE GP	GROUP	\N	59	61	\N	9999-12-31	2013-05-08
34/10-16	1045.000000	1855.000000	HORDALAND GP	GROUP	\N	59	67	\N	9999-12-31	2013-05-08
34/10-16	2062.000000	2355.000000	JORSALFARE FM	FORMATION	SHETLAND GP	59	74	143	9999-12-31	2013-05-08
34/10-16	2355.000000	2978.000000	KYRRE FM	FORMATION	SHETLAND GP	59	92	143	9999-12-31	2013-05-08
34/10-16	1928.000000	2062.000000	LISTA FM	FORMATION	ROGALAND GP	59	95	131	9999-12-31	2013-05-08
34/10-16	4010.000000	4042.000000	LUNDE FM	FORMATION	HEGRE GP	59	97	61	9999-12-31	2013-05-08
34/10-16	3217.000000	3399.000000	NESS FM	FORMATION	BRENT GP	59	110	16	9999-12-31	2013-05-08
34/10-16	1002.000000	1045.000000	NO FORMAL NAME	FORMATION	\N	59	111	\N	9999-12-31	2013-05-08
34/10-16	1168.000000	1187.000000	NO FORMAL NAME	FORMATION	\N	59	111	\N	9999-12-31	2013-05-08
34/10-16	1187.000000	1223.000000	NO FORMAL NAME	FORMATION	\N	59	111	\N	9999-12-31	2013-05-08
34/10-16	1223.000000	1600.000000	NO FORMAL NAME	FORMATION	\N	59	111	\N	9999-12-31	2013-05-08
34/10-16	1600.000000	1855.000000	NO FORMAL NAME	FORMATION	\N	59	111	\N	9999-12-31	2013-05-08
34/10-16	163.000000	1045.000000	NORDLAND GP	GROUP	\N	59	113	\N	9999-12-31	2013-05-08
34/10-16	3412.000000	3475.000000	RANNOCH FM	FORMATION	BRENT GP	59	126	16	9999-12-31	2013-05-08
34/10-16	1855.000000	2062.000000	ROGALAND GP	GROUP	\N	59	131	\N	9999-12-31	2013-05-08
34/10-16	2978.000000	2984.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	59	137	23	9999-12-31	2013-05-08
34/10-16	2062.000000	2978.000000	SHETLAND GP	GROUP	\N	59	143	\N	9999-12-31	2013-05-08
34/10-16	2984.000000	2990.000000	SOLA FM	FORMATION	CROMER KNOLL GP	59	152	23	9999-12-31	2013-05-08
34/10-16	3798.000000	4010.000000	STATFJORD FM	FORMATION	\N	59	157	\N	9999-12-31	2013-05-08
34/10-16	3171.000000	3217.000000	TARBERT FM	FORMATION	BRENT GP	59	162	16	9999-12-31	2013-05-08
34/10-16	858.000000	1002.000000	UTSIRA FM	FORMATION	NORDLAND GP	59	183	113	9999-12-31	2013-05-08
34/10-16	3017.000000	3171.000000	VIKING GP	GROUP	\N	59	188	\N	9999-12-31	2013-05-08
34/10-16	2990.000000	3017.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	59	198	23	9999-12-31	2013-05-08
34/10-16	3798.000000	4010.000000	NO GROUP DEFINED	GROUP	\N	59	208	\N	9999-12-31	2013-05-08
6407/1-2	1690.000000	2189.000000	BRYGGE FM	FORMATION	HORDALAND GP	61	18	67	9999-12-31	2013-05-08
6407/1-2	3907.000000	4548.000000	BÅT GP	GROUP	\N	61	22	\N	9999-12-31	2013-05-08
6407/1-2	3048.000000	3526.000000	CROMER KNOLL GP	GROUP	\N	61	23	\N	9999-12-31	2013-05-08
6407/1-2	3659.000000	3907.000000	FANGST GP	GROUP	\N	61	38	\N	9999-12-31	2013-05-08
6407/1-2	3659.000000	3771.000000	GARN FM	FORMATION	FANGST GP	61	48	38	9999-12-31	2013-05-08
6407/1-2	4548.000000	4560.000000	GREY BEDS (INFORMAL)	GROUP	\N	61	52	\N	9999-12-31	2013-05-08
6407/1-2	1690.000000	2189.000000	HORDALAND GP	GROUP	\N	61	67	\N	9999-12-31	2013-05-08
6407/1-2	3815.000000	3907.000000	ILE FM	FORMATION	FANGST GP	61	70	38	9999-12-31	2013-05-08
6407/1-2	1419.000000	1690.000000	KAI FM	FORMATION	NORDLAND GP	61	77	113	9999-12-31	2013-05-08
6407/1-2	2900.000000	3048.000000	KVITNOS FM	FORMATION	SHETLAND GP	61	91	143	9999-12-31	2013-05-08
6407/1-2	3082.000000	3510.000000	LANGE FM	FORMATION	CROMER KNOLL GP	61	94	23	9999-12-31	2013-05-08
6407/1-2	3510.000000	3526.000000	LYR FM	FORMATION	CROMER KNOLL GP	61	98	23	9999-12-31	2013-05-08
6407/1-2	3048.000000	3082.000000	LYSING FM	FORMATION	CROMER KNOLL GP	61	99	23	9999-12-31	2013-05-08
6407/1-2	3575.000000	3659.000000	MELKE FM	FORMATION	VIKING GP	61	105	188	9999-12-31	2013-05-08
6407/1-2	302.000000	1419.000000	NAUST FM	FORMATION	NORDLAND GP	61	109	113	9999-12-31	2013-05-08
6407/1-2	2403.000000	2900.000000	NISE FM	FORMATION	SHETLAND GP	61	112	143	9999-12-31	2013-05-08
6407/1-2	302.000000	1690.000000	NORDLAND GP	GROUP	\N	61	113	\N	9999-12-31	2013-05-08
6407/1-2	3771.000000	3815.000000	NOT FM	FORMATION	FANGST GP	61	120	38	9999-12-31	2013-05-08
6407/1-2	2189.000000	2320.000000	ROGALAND GP	GROUP	\N	61	131	\N	9999-12-31	2013-05-08
6407/1-2	3907.000000	4050.000000	ROR FM	FORMATION	BÅT GP	61	135	22	9999-12-31	2013-05-08
6407/1-2	2320.000000	3048.000000	SHETLAND GP	GROUP	\N	61	143	\N	9999-12-31	2013-05-08
6407/1-2	3526.000000	3575.000000	SPEKK FM	FORMATION	VIKING GP	61	155	188	9999-12-31	2013-05-08
6407/1-2	2320.000000	2403.000000	SPRINGAR FM	FORMATION	SHETLAND GP	61	156	143	9999-12-31	2013-05-08
6407/1-2	2253.000000	2320.000000	TANG FM	FORMATION	ROGALAND GP	61	161	131	9999-12-31	2013-05-08
6407/1-2	2189.000000	2253.000000	TARE FM	FORMATION	ROGALAND GP	61	163	131	9999-12-31	2013-05-08
6407/1-2	4050.000000	4220.000000	TILJE FM	FORMATION	BÅT GP	61	169	22	9999-12-31	2013-05-08
6407/1-2	3526.000000	3659.000000	VIKING GP	GROUP	\N	61	188	\N	9999-12-31	2013-05-08
6407/1-2	4220.000000	4548.000000	ÅRE FM	FORMATION	BÅT GP	61	197	22	9999-12-31	2013-05-08
2/1-5	2886.000000	2907.000000	BALDER FM	FORMATION	ROGALAND GP	63	6	131	9999-12-31	2013-05-08
2/1-5	3741.000000	3758.000000	BLODØKS FM	FORMATION	SHETLAND GP	63	13	143	9999-12-31	2013-05-08
2/1-5	4199.000000	4454.000000	BRYNE FM	FORMATION	VESTLAND GP	63	19	186	9999-12-31	2013-05-08
2/1-5	3768.000000	3882.000000	CROMER KNOLL GP	GROUP	\N	63	23	\N	9999-12-31	2013-05-08
2/1-5	3136.000000	3237.000000	EKOFISK FM	FORMATION	SHETLAND GP	63	33	143	9999-12-31	2013-05-08
2/1-5	3914.000000	4053.000000	FARSUND FM	FORMATION	TYNE GP	63	39	177	9999-12-31	2013-05-08
2/1-5	2929.000000	2961.000000	FORTIES FM	FORMATION	ROGALAND GP	63	44	131	9999-12-31	2013-05-08
2/1-5	4053.000000	4193.000000	HAUGESUND FM	FORMATION	TYNE GP	63	57	177	9999-12-31	2013-05-08
2/1-5	3758.000000	3768.000000	HIDRA FM	FORMATION	SHETLAND GP	63	65	143	9999-12-31	2013-05-08
2/1-5	3597.000000	3741.000000	HOD FM	FORMATION	SHETLAND GP	63	66	143	9999-12-31	2013-05-08
2/1-5	1785.000000	2886.000000	HORDALAND GP	GROUP	\N	63	67	\N	9999-12-31	2013-05-08
2/1-5	2961.000000	3002.000000	LISTA FM	FORMATION	ROGALAND GP	63	95	131	9999-12-31	2013-05-08
2/1-5	3882.000000	3914.000000	MANDAL FM	FORMATION	TYNE GP	63	101	177	9999-12-31	2013-05-08
2/1-5	90.000000	1785.000000	NORDLAND GP	GROUP	\N	63	113	\N	9999-12-31	2013-05-08
2/1-5	2886.000000	3136.000000	ROGALAND GP	GROUP	\N	63	131	\N	9999-12-31	2013-05-08
2/1-5	3768.000000	3790.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	63	137	23	9999-12-31	2013-05-08
2/1-5	2907.000000	2929.000000	SELE FM	FORMATION	ROGALAND GP	63	142	131	9999-12-31	2013-05-08
2/1-5	3136.000000	3768.000000	SHETLAND GP	GROUP	\N	63	143	\N	9999-12-31	2013-05-08
2/1-5	3790.000000	3797.000000	SOLA FM	FORMATION	CROMER KNOLL GP	63	152	23	9999-12-31	2013-05-08
2/1-5	3237.000000	3597.000000	TOR FM	FORMATION	SHETLAND GP	63	171	143	9999-12-31	2013-05-08
2/1-5	3797.000000	3833.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	63	175	23	9999-12-31	2013-05-08
2/1-5	3882.000000	4193.000000	TYNE GP	GROUP	\N	63	177	\N	9999-12-31	2013-05-08
2/1-5	4193.000000	4199.000000	ULA FM	FORMATION	VESTLAND GP	63	179	186	9999-12-31	2013-05-08
2/1-5	4193.000000	4454.000000	VESTLAND GP	GROUP	\N	63	186	\N	9999-12-31	2013-05-08
2/1-5	3002.000000	3101.000000	VIDAR FM	FORMATION	ROGALAND GP	63	187	131	9999-12-31	2013-05-08
2/1-5	3101.000000	3136.000000	VÅLE FM	FORMATION	ROGALAND GP	63	190	131	9999-12-31	2013-05-08
2/1-5	3833.000000	3882.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	63	198	23	9999-12-31	2013-05-08
2/6-3	2818.000000	2827.000000	BALDER FM	FORMATION	ROGALAND GP	64	6	131	9999-12-31	2013-05-08
2/6-3	3918.000000	4060.000000	BASEMENT	GROUP	\N	64	10	\N	9999-12-31	2013-05-08
2/6-3	3545.000000	3638.000000	BRYNE FM	FORMATION	VESTLAND GP	64	19	186	9999-12-31	2013-05-08
2/6-3	2940.000000	3020.000000	EKOFISK FM	FORMATION	SHETLAND GP	64	33	143	9999-12-31	2013-05-08
2/6-3	3427.000000	3545.000000	FARSUND FM	FORMATION	TYNE GP	64	39	177	9999-12-31	2013-05-08
2/6-3	3225.000000	3391.000000	HOD FM	FORMATION	SHETLAND GP	64	66	143	9999-12-31	2013-05-08
2/6-3	1530.000000	2818.000000	HORDALAND GP	GROUP	\N	64	67	\N	9999-12-31	2013-05-08
2/6-3	2870.000000	2918.000000	LISTA FM	FORMATION	ROGALAND GP	64	95	131	9999-12-31	2013-05-08
2/6-3	3391.000000	3427.000000	MANDAL FM	FORMATION	TYNE GP	64	101	177	9999-12-31	2013-05-08
2/6-3	3790.000000	3918.000000	NO FORMAL NAME	FORMATION	\N	64	111	\N	9999-12-31	2013-05-08
2/6-3	96.000000	1530.000000	NORDLAND GP	GROUP	\N	64	113	\N	9999-12-31	2013-05-08
2/6-3	2818.000000	2940.000000	ROGALAND GP	GROUP	\N	64	131	\N	9999-12-31	2013-05-08
2/6-3	2827.000000	2870.000000	SELE FM	FORMATION	ROGALAND GP	64	142	131	9999-12-31	2013-05-08
2/6-3	2940.000000	3391.000000	SHETLAND GP	GROUP	\N	64	143	\N	9999-12-31	2013-05-08
2/6-3	3638.000000	3729.000000	SMITH BANK FM	FORMATION	HEGRE GP	64	149	61	9999-12-31	2013-05-08
2/6-3	3020.000000	3225.000000	TOR FM	FORMATION	SHETLAND GP	64	171	143	9999-12-31	2013-05-08
2/6-3	3391.000000	3545.000000	TYNE GP	GROUP	\N	64	177	\N	9999-12-31	2013-05-08
2/6-3	3545.000000	3638.000000	VESTLAND GP	GROUP	\N	64	186	\N	9999-12-31	2013-05-08
2/6-3	2918.000000	2940.000000	VÅLE FM	FORMATION	ROGALAND GP	64	190	131	9999-12-31	2013-05-08
2/6-3	3729.000000	3918.000000	ZECHSTEIN GP	GROUP	\N	64	194	\N	9999-12-31	2013-05-08
2/6-3	3638.000000	3729.000000	NO GROUP DEFINED	GROUP	\N	64	208	\N	9999-12-31	2013-05-08
6407/1-1	302.000000	900.000000	NAUST FM	FORMATION	NORDLAND GP	66	109	113	9999-12-31	2013-05-08
6407/1-1	302.000000	900.000000	NORDLAND GP	GROUP	\N	66	113	\N	9999-12-31	2013-05-08
6507/11-1	1614.000000	2010.000000	BRYGGE FM	FORMATION	HORDALAND GP	68	18	67	9999-12-31	2013-05-08
6507/11-1	2410.000000	3074.000000	BÅT GP	GROUP	\N	68	22	\N	9999-12-31	2013-05-08
6507/11-1	2358.000000	2410.000000	FANGST GP	GROUP	\N	68	38	\N	9999-12-31	2013-05-08
6507/11-1	3074.000000	3139.000000	GREY BEDS (INFORMAL)	GROUP	\N	68	52	\N	9999-12-31	2013-05-08
6507/11-1	1614.000000	2010.000000	HORDALAND GP	GROUP	\N	68	67	\N	9999-12-31	2013-05-08
6507/11-1	2358.000000	2410.000000	ILE FM	FORMATION	FANGST GP	68	70	38	9999-12-31	2013-05-08
6507/11-1	1407.000000	1614.000000	KAI FM	FORMATION	NORDLAND GP	68	77	113	9999-12-31	2013-05-08
6507/11-1	2351.000000	2358.000000	MELKE FM	FORMATION	VIKING GP	68	105	188	9999-12-31	2013-05-08
6507/11-1	331.000000	1407.000000	NAUST FM	FORMATION	NORDLAND GP	68	109	113	9999-12-31	2013-05-08
6507/11-1	331.000000	1614.000000	NORDLAND GP	GROUP	\N	68	113	\N	9999-12-31	2013-05-08
6507/11-1	2010.000000	2125.000000	ROGALAND GP	GROUP	\N	68	131	\N	9999-12-31	2013-05-08
6507/11-1	2410.000000	2498.000000	ROR FM	FORMATION	BÅT GP	68	135	22	9999-12-31	2013-05-08
6507/11-1	2125.000000	2351.000000	SHETLAND GP	GROUP	\N	68	143	\N	9999-12-31	2013-05-08
6507/11-1	2125.000000	2351.000000	SPRINGAR FM	FORMATION	SHETLAND GP	68	156	143	9999-12-31	2013-05-08
6507/11-1	2080.000000	2125.000000	TANG FM	FORMATION	ROGALAND GP	68	161	131	9999-12-31	2013-05-08
6507/11-1	2010.000000	2080.000000	TARE FM	FORMATION	ROGALAND GP	68	163	131	9999-12-31	2013-05-08
6507/11-1	2498.000000	2596.000000	TILJE FM	FORMATION	BÅT GP	68	169	22	9999-12-31	2013-05-08
6507/11-1	2351.000000	2358.000000	VIKING GP	GROUP	\N	68	188	\N	9999-12-31	2013-05-08
6507/11-1	2596.000000	3074.000000	ÅRE FM	FORMATION	BÅT GP	68	197	22	9999-12-31	2013-05-08
15/9-10	2300.000000	2335.000000	BALDER FM	FORMATION	ROGALAND GP	69	6	131	9999-12-31	2013-05-08
15/9-10	2871.000000	2924.000000	BLODØKS FM	FORMATION	SHETLAND GP	69	13	143	9999-12-31	2013-05-08
15/9-10	2955.000000	3004.000000	CROMER KNOLL GP	GROUP	\N	69	23	\N	9999-12-31	2013-05-08
15/9-10	3004.000000	3059.000000	DRAUPNE FM	FORMATION	VIKING GP	69	28	188	9999-12-31	2013-05-08
15/9-10	2667.000000	2671.000000	EKOFISK FM	FORMATION	SHETLAND GP	69	33	143	9999-12-31	2013-05-08
15/9-10	2049.000000	2079.000000	GRID FM	FORMATION	HORDALAND GP	69	53	67	9999-12-31	2013-05-08
15/9-10	3059.000000	3070.000000	HEATHER FM	FORMATION	VIKING GP	69	60	188	9999-12-31	2013-05-08
15/9-10	2547.000000	2596.000000	HEIMDAL FM	FORMATION	ROGALAND GP	69	62	131	9999-12-31	2013-05-08
15/9-10	2733.000000	2871.000000	HOD FM	FORMATION	SHETLAND GP	69	66	143	9999-12-31	2013-05-08
15/9-10	1102.000000	2300.000000	HORDALAND GP	GROUP	\N	69	67	\N	9999-12-31	2013-05-08
15/9-10	3070.000000	3127.000000	HUGIN FM	FORMATION	VESTLAND GP	69	69	186	9999-12-31	2013-05-08
15/9-10	2410.000000	2547.000000	LISTA FM	FORMATION	ROGALAND GP	69	95	131	9999-12-31	2013-05-08
15/9-10	2596.000000	2597.000000	LISTA FM	FORMATION	ROGALAND GP	69	95	131	9999-12-31	2013-05-08
15/9-10	1335.000000	2049.000000	NO FORMAL NAME	FORMATION	\N	69	111	\N	9999-12-31	2013-05-08
15/9-10	2079.000000	2300.000000	NO FORMAL NAME	FORMATION	\N	69	111	\N	9999-12-31	2013-05-08
15/9-10	123.000000	1102.000000	NORDLAND GP	GROUP	\N	69	113	\N	9999-12-31	2013-05-08
15/9-10	2300.000000	2667.000000	ROGALAND GP	GROUP	\N	69	131	\N	9999-12-31	2013-05-08
15/9-10	2955.000000	2982.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	69	137	23	9999-12-31	2013-05-08
15/9-10	2335.000000	2410.000000	SELE FM	FORMATION	ROGALAND GP	69	142	131	9999-12-31	2013-05-08
15/9-10	2667.000000	2955.000000	SHETLAND GP	GROUP	\N	69	143	\N	9999-12-31	2013-05-08
15/9-10	1316.000000	1335.000000	SKADE FM	FORMATION	HORDALAND GP	69	145	67	9999-12-31	2013-05-08
15/9-10	3183.000000	3241.000000	SKAGERRAK FM	FORMATION	HEGRE GP	69	146	61	9999-12-31	2013-05-08
15/9-10	3127.000000	3183.000000	SLEIPNER FM	FORMATION	VESTLAND GP	69	148	186	9999-12-31	2013-05-08
15/9-10	3241.000000	3289.000000	SMITH BANK FM	FORMATION	HEGRE GP	69	149	61	9999-12-31	2013-05-08
15/9-10	2982.000000	2991.000000	SOLA FM	FORMATION	CROMER KNOLL GP	69	152	23	9999-12-31	2013-05-08
15/9-10	2924.000000	2955.000000	SVARTE FM	FORMATION	SHETLAND GP	69	160	143	9999-12-31	2013-05-08
15/9-10	2671.000000	2733.000000	TOR FM	FORMATION	SHETLAND GP	69	171	143	9999-12-31	2013-05-08
15/9-10	2597.000000	2667.000000	TY FM	FORMATION	ROGALAND GP	69	176	131	9999-12-31	2013-05-08
15/9-10	884.000000	1102.000000	UTSIRA FM	FORMATION	NORDLAND GP	69	183	113	9999-12-31	2013-05-08
15/9-10	3070.000000	3183.000000	VESTLAND GP	GROUP	\N	69	186	\N	9999-12-31	2013-05-08
15/9-10	3004.000000	3070.000000	VIKING GP	GROUP	\N	69	188	\N	9999-12-31	2013-05-08
15/9-10	2991.000000	3004.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	69	198	23	9999-12-31	2013-05-08
15/9-10	3183.000000	3289.000000	NO GROUP DEFINED	GROUP	\N	69	208	\N	9999-12-31	2013-05-08
31/2-7	1304.000000	1366.000000	BALDER FM	FORMATION	ROGALAND GP	70	6	131	9999-12-31	2013-05-08
31/2-7	1531.000000	1535.000000	CROMER KNOLL GP	GROUP	\N	70	23	\N	9999-12-31	2013-05-08
31/2-7	1535.000000	1546.000000	DRAUPNE FM	FORMATION	VIKING GP	70	28	188	9999-12-31	2013-05-08
31/2-7	1601.000000	1660.000000	HEATHER FM	FORMATION	VIKING GP	70	60	188	9999-12-31	2013-05-08
31/2-7	776.000000	1304.000000	HORDALAND GP	GROUP	\N	70	67	\N	9999-12-31	2013-05-08
31/2-7	1406.000000	1524.000000	LISTA FM	FORMATION	ROGALAND GP	70	95	131	9999-12-31	2013-05-08
31/2-7	363.000000	776.000000	NORDLAND GP	GROUP	\N	70	113	\N	9999-12-31	2013-05-08
31/2-7	1304.000000	1531.000000	ROGALAND GP	GROUP	\N	70	131	\N	9999-12-31	2013-05-08
31/2-7	1366.000000	1406.000000	SELE FM	FORMATION	ROGALAND GP	70	142	131	9999-12-31	2013-05-08
31/2-7	1546.000000	1601.000000	SOGNEFJORD FM	FORMATION	VIKING GP	70	151	188	9999-12-31	2013-05-08
31/2-7	1535.000000	1660.000000	VIKING GP	GROUP	\N	70	188	\N	9999-12-31	2013-05-08
31/2-7	1524.000000	1531.000000	VÅLE FM	FORMATION	ROGALAND GP	70	190	131	9999-12-31	2013-05-08
15/9-14	2387.000000	2427.000000	BALDER FM	FORMATION	ROGALAND GP	71	6	131	9999-12-31	2013-05-08
15/9-14	3040.000000	3075.000000	BLODØKS FM	FORMATION	SHETLAND GP	71	13	143	9999-12-31	2013-05-08
15/9-14	3082.000000	3176.000000	CROMER KNOLL GP	GROUP	\N	71	23	\N	9999-12-31	2013-05-08
15/9-14	3176.000000	3212.000000	DRAUPNE FM	FORMATION	VIKING GP	71	28	188	9999-12-31	2013-05-08
15/9-14	2756.000000	2765.000000	EKOFISK FM	FORMATION	SHETLAND GP	71	33	143	9999-12-31	2013-05-08
15/9-14	3212.000000	3226.000000	HEATHER FM	FORMATION	VIKING GP	71	60	188	9999-12-31	2013-05-08
15/9-14	2623.000000	2698.000000	HEIMDAL FM	FORMATION	ROGALAND GP	71	62	131	9999-12-31	2013-05-08
15/9-14	2889.000000	3040.000000	HOD FM	FORMATION	SHETLAND GP	71	66	143	9999-12-31	2013-05-08
15/9-14	1078.000000	2387.000000	HORDALAND GP	GROUP	\N	71	67	\N	9999-12-31	2013-05-08
15/9-14	3226.000000	3254.000000	HUGIN FM	FORMATION	VESTLAND GP	71	69	186	9999-12-31	2013-05-08
15/9-14	2484.000000	2623.000000	LISTA FM	FORMATION	ROGALAND GP	71	95	131	9999-12-31	2013-05-08
15/9-14	1260.000000	2048.000000	NO FORMAL NAME	FORMATION	\N	71	111	\N	9999-12-31	2013-05-08
15/9-14	2048.000000	2387.000000	NO FORMAL NAME	FORMATION	\N	71	111	\N	9999-12-31	2013-05-08
15/9-14	128.000000	1078.000000	NORDLAND GP	GROUP	\N	71	113	\N	9999-12-31	2013-05-08
15/9-14	2387.000000	2756.000000	ROGALAND GP	GROUP	\N	71	131	\N	9999-12-31	2013-05-08
15/9-14	3082.000000	3131.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	71	137	23	9999-12-31	2013-05-08
15/9-14	2427.000000	2484.000000	SELE FM	FORMATION	ROGALAND GP	71	142	131	9999-12-31	2013-05-08
15/9-14	2756.000000	3082.000000	SHETLAND GP	GROUP	\N	71	143	\N	9999-12-31	2013-05-08
15/9-14	3360.000000	3543.000000	SKAGERRAK FM	FORMATION	HEGRE GP	71	146	61	9999-12-31	2013-05-08
15/9-14	3254.000000	3360.000000	SLEIPNER FM	FORMATION	VESTLAND GP	71	148	186	9999-12-31	2013-05-08
15/9-14	3543.000000	3563.000000	SMITH BANK FM	FORMATION	HEGRE GP	71	149	61	9999-12-31	2013-05-08
15/9-14	3131.000000	3142.000000	SOLA FM	FORMATION	CROMER KNOLL GP	71	152	23	9999-12-31	2013-05-08
15/9-14	3075.000000	3082.000000	SVARTE FM	FORMATION	SHETLAND GP	71	160	143	9999-12-31	2013-05-08
15/9-14	2765.000000	2889.000000	TOR FM	FORMATION	SHETLAND GP	71	171	143	9999-12-31	2013-05-08
15/9-14	2698.000000	2756.000000	TY FM	FORMATION	ROGALAND GP	71	176	131	9999-12-31	2013-05-08
15/9-14	925.000000	1078.000000	UTSIRA FM	FORMATION	NORDLAND GP	71	183	113	9999-12-31	2013-05-08
15/9-14	3226.000000	3360.000000	VESTLAND GP	GROUP	\N	71	186	\N	9999-12-31	2013-05-08
15/9-14	3176.000000	3226.000000	VIKING GP	GROUP	\N	71	188	\N	9999-12-31	2013-05-08
15/9-14	3142.000000	3176.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	71	198	23	9999-12-31	2013-05-08
15/9-14	3360.000000	3563.000000	NO GROUP DEFINED	GROUP	\N	71	208	\N	9999-12-31	2013-05-08
30/2-1	1917.000000	1993.000000	BALDER FM	FORMATION	ROGALAND GP	72	6	131	9999-12-31	2013-05-08
30/2-1	3675.000000	3793.000000	BRENT GP	GROUP	\N	72	16	\N	9999-12-31	2013-05-08
30/2-1	4000.000000	4110.000000	BURTON FM	FORMATION	DUNLIN GP	72	20	29	9999-12-31	2013-05-08
30/2-1	3605.000000	3636.000000	CROMER KNOLL GP	GROUP	\N	72	23	\N	9999-12-31	2013-05-08
30/2-1	3962.000000	4000.000000	COOK FM	FORMATION	DUNLIN GP	72	24	29	9999-12-31	2013-05-08
30/2-1	3793.000000	3962.000000	DRAKE FM	FORMATION	DUNLIN GP	72	27	29	9999-12-31	2013-05-08
30/2-1	3636.000000	3657.000000	DRAUPNE FM	FORMATION	VIKING GP	72	28	188	9999-12-31	2013-05-08
30/2-1	3793.000000	4110.000000	DUNLIN GP	GROUP	\N	72	29	\N	9999-12-31	2013-05-08
30/2-1	3720.000000	3778.000000	ETIVE FM	FORMATION	BRENT GP	72	35	16	9999-12-31	2013-05-08
30/2-1	3657.000000	3675.000000	HEATHER FM	FORMATION	VIKING GP	72	60	188	9999-12-31	2013-05-08
30/2-1	957.000000	1917.000000	HORDALAND GP	GROUP	\N	72	67	\N	9999-12-31	2013-05-08
30/2-1	2105.000000	2159.000000	LISTA FM	FORMATION	ROGALAND GP	72	95	131	9999-12-31	2013-05-08
30/2-1	3675.000000	3720.000000	NESS FM	FORMATION	BRENT GP	72	110	16	9999-12-31	2013-05-08
30/2-1	155.000000	957.000000	NORDLAND GP	GROUP	\N	72	113	\N	9999-12-31	2013-05-08
30/2-1	3778.000000	3793.000000	RANNOCH FM	FORMATION	BRENT GP	72	126	16	9999-12-31	2013-05-08
30/2-1	1917.000000	2159.000000	ROGALAND GP	GROUP	\N	72	131	\N	9999-12-31	2013-05-08
30/2-1	1993.000000	2105.000000	SELE FM	FORMATION	ROGALAND GP	72	142	131	9999-12-31	2013-05-08
30/2-1	2159.000000	3605.000000	SHETLAND GP	GROUP	\N	72	143	\N	9999-12-31	2013-05-08
30/2-1	4110.000000	4243.000000	STATFJORD FM	FORMATION	\N	72	157	\N	9999-12-31	2013-05-08
30/2-1	847.000000	957.000000	UTSIRA FM	FORMATION	NORDLAND GP	72	183	113	9999-12-31	2013-05-08
30/2-1	3636.000000	3675.000000	VIKING GP	GROUP	\N	72	188	\N	9999-12-31	2013-05-08
30/2-1	4110.000000	4243.000000	NO GROUP DEFINED	GROUP	\N	72	208	\N	9999-12-31	2013-05-08
30/6-7	3023.000000	3152.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	73	4	29	9999-12-31	2013-05-08
30/6-7	2010.000000	2083.000000	BALDER FM	FORMATION	ROGALAND GP	73	6	131	9999-12-31	2013-05-08
30/6-7	2632.000000	2786.000000	BRENT GP	GROUP	\N	73	16	\N	9999-12-31	2013-05-08
30/6-7	2975.000000	3023.000000	COOK FM	FORMATION	DUNLIN GP	73	24	29	9999-12-31	2013-05-08
30/6-7	2786.000000	2975.000000	DRAKE FM	FORMATION	DUNLIN GP	73	27	29	9999-12-31	2013-05-08
30/6-7	2786.000000	3152.000000	DUNLIN GP	GROUP	\N	73	29	\N	9999-12-31	2013-05-08
30/6-7	2727.000000	2737.000000	ETIVE FM	FORMATION	BRENT GP	73	35	16	9999-12-31	2013-05-08
30/6-7	2560.000000	2632.000000	HEATHER FM	FORMATION	VIKING GP	73	60	188	9999-12-31	2013-05-08
30/6-7	893.000000	2010.000000	HORDALAND GP	GROUP	\N	73	67	\N	9999-12-31	2013-05-08
30/6-7	2290.000000	2360.000000	JORSALFARE FM	FORMATION	SHETLAND GP	73	74	143	9999-12-31	2013-05-08
30/6-7	2360.000000	2560.000000	KYRRE FM	FORMATION	SHETLAND GP	73	92	143	9999-12-31	2013-05-08
30/6-7	2192.000000	2272.000000	LISTA FM	FORMATION	ROGALAND GP	73	95	131	9999-12-31	2013-05-08
30/6-7	2646.000000	2727.000000	NESS FM	FORMATION	BRENT GP	73	110	16	9999-12-31	2013-05-08
30/6-7	1344.000000	1376.000000	NO FORMAL NAME	FORMATION	\N	73	111	\N	9999-12-31	2013-05-08
30/6-7	1376.000000	2010.000000	NO FORMAL NAME	FORMATION	\N	73	111	\N	9999-12-31	2013-05-08
30/6-7	139.000000	893.000000	NORDLAND GP	GROUP	\N	73	113	\N	9999-12-31	2013-05-08
30/6-7	2739.000000	2786.000000	OSEBERG FM	FORMATION	BRENT GP	73	123	16	9999-12-31	2013-05-08
30/6-7	2737.000000	2739.000000	RANNOCH FM	FORMATION	BRENT GP	73	126	16	9999-12-31	2013-05-08
30/6-7	2010.000000	2290.000000	ROGALAND GP	GROUP	\N	73	131	\N	9999-12-31	2013-05-08
30/6-7	2083.000000	2192.000000	SELE FM	FORMATION	ROGALAND GP	73	142	131	9999-12-31	2013-05-08
30/6-7	2290.000000	2560.000000	SHETLAND GP	GROUP	\N	73	143	\N	9999-12-31	2013-05-08
30/6-7	3152.000000	3236.000000	STATFJORD FM	FORMATION	\N	73	157	\N	9999-12-31	2013-05-08
30/6-7	2632.000000	2646.000000	TARBERT FM	FORMATION	BRENT GP	73	162	16	9999-12-31	2013-05-08
30/6-7	704.000000	893.000000	UTSIRA FM	FORMATION	NORDLAND GP	73	183	113	9999-12-31	2013-05-08
30/6-7	2560.000000	2632.000000	VIKING GP	GROUP	\N	73	188	\N	9999-12-31	2013-05-08
30/6-7	2272.000000	2290.000000	VÅLE FM	FORMATION	ROGALAND GP	73	190	131	9999-12-31	2013-05-08
30/6-7	3152.000000	3236.000000	NO GROUP DEFINED	GROUP	\N	73	208	\N	9999-12-31	2013-05-08
16/7-3	2000.000000	2048.000000	BALDER FM	FORMATION	ROGALAND GP	75	6	131	9999-12-31	2013-05-08
16/7-3	2332.000000	2333.000000	DRAUPNE FM	FORMATION	VIKING GP	75	28	188	9999-12-31	2013-05-08
16/7-3	2258.000000	2265.000000	EKOFISK FM	FORMATION	SHETLAND GP	75	33	143	9999-12-31	2013-05-08
16/7-3	2333.000000	2344.000000	HEATHER FM	FORMATION	VIKING GP	75	60	188	9999-12-31	2013-05-08
16/7-3	2311.000000	2332.000000	HOD FM	FORMATION	SHETLAND GP	75	66	143	9999-12-31	2013-05-08
16/7-3	1194.000000	2000.000000	HORDALAND GP	GROUP	\N	75	67	\N	9999-12-31	2013-05-08
16/7-3	2344.000000	2385.000000	HUGIN FM	FORMATION	VESTLAND GP	75	69	186	9999-12-31	2013-05-08
16/7-3	2857.000000	2859.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	75	88	194	9999-12-31	2013-05-08
16/7-3	2107.000000	2244.000000	LISTA FM	FORMATION	ROGALAND GP	75	95	131	9999-12-31	2013-05-08
16/7-3	110.000000	1194.000000	NORDLAND GP	GROUP	\N	75	113	\N	9999-12-31	2013-05-08
16/7-3	2000.000000	2258.000000	ROGALAND GP	GROUP	\N	75	131	\N	9999-12-31	2013-05-08
16/7-3	2859.000000	3141.000000	ROTLIEGEND GP	GROUP	\N	75	136	\N	9999-12-31	2013-05-08
16/7-3	2048.000000	2107.000000	SELE FM	FORMATION	ROGALAND GP	75	142	131	9999-12-31	2013-05-08
16/7-3	2258.000000	2332.000000	SHETLAND GP	GROUP	\N	75	143	\N	9999-12-31	2013-05-08
16/7-3	2385.000000	2795.000000	SMITH BANK FM	FORMATION	HEGRE GP	75	149	61	9999-12-31	2013-05-08
16/7-3	2265.000000	2311.000000	TOR FM	FORMATION	SHETLAND GP	75	171	143	9999-12-31	2013-05-08
16/7-3	2795.000000	2857.000000	UNDIFFERENTIATED	FORMATION	\N	75	182	\N	9999-12-31	2013-05-08
16/7-3	835.000000	1194.000000	UTSIRA FM	FORMATION	NORDLAND GP	75	183	113	9999-12-31	2013-05-08
16/7-3	2344.000000	2385.000000	VESTLAND GP	GROUP	\N	75	186	\N	9999-12-31	2013-05-08
16/7-3	2332.000000	2344.000000	VIKING GP	GROUP	\N	75	188	\N	9999-12-31	2013-05-08
16/7-3	2244.000000	2258.000000	VÅLE FM	FORMATION	ROGALAND GP	75	190	131	9999-12-31	2013-05-08
16/7-3	2795.000000	2859.000000	ZECHSTEIN GP	GROUP	\N	75	194	\N	9999-12-31	2013-05-08
16/7-3	2385.000000	2795.000000	NO GROUP DEFINED	GROUP	\N	75	208	\N	9999-12-31	2013-05-08
6407/2-1	1650.000000	1997.000000	BRYGGE FM	FORMATION	HORDALAND GP	76	18	67	9999-12-31	2013-05-08
6407/2-1	3072.000000	3723.000000	BÅT GP	GROUP	\N	76	22	\N	9999-12-31	2013-05-08
6407/2-1	2535.000000	2843.000000	CROMER KNOLL GP	GROUP	\N	76	23	\N	9999-12-31	2013-05-08
6407/2-1	2939.000000	3072.000000	FANGST GP	GROUP	\N	76	38	\N	9999-12-31	2013-05-08
6407/2-1	2939.000000	2984.000000	GARN FM	FORMATION	FANGST GP	76	48	38	9999-12-31	2013-05-08
6407/2-1	3723.000000	3830.000000	GREY BEDS (INFORMAL)	GROUP	\N	76	52	\N	9999-12-31	2013-05-08
6407/2-1	1650.000000	1997.000000	HORDALAND GP	GROUP	\N	76	67	\N	9999-12-31	2013-05-08
6407/2-1	3015.000000	3072.000000	ILE FM	FORMATION	FANGST GP	76	70	38	9999-12-31	2013-05-08
6407/2-1	1392.000000	1650.000000	KAI FM	FORMATION	NORDLAND GP	76	77	113	9999-12-31	2013-05-08
6407/2-1	2424.000000	2535.000000	KVITNOS FM	FORMATION	SHETLAND GP	76	91	143	9999-12-31	2013-05-08
6407/2-1	2535.000000	2827.000000	LANGE FM	FORMATION	CROMER KNOLL GP	76	94	23	9999-12-31	2013-05-08
6407/2-1	2827.000000	2843.000000	LYR FM	FORMATION	CROMER KNOLL GP	76	98	23	9999-12-31	2013-05-08
6407/2-1	2908.000000	2939.000000	MELKE FM	FORMATION	VIKING GP	76	105	188	9999-12-31	2013-05-08
6407/2-1	299.000000	1392.000000	NAUST FM	FORMATION	NORDLAND GP	76	109	113	9999-12-31	2013-05-08
6407/2-1	2255.000000	2424.000000	NISE FM	FORMATION	SHETLAND GP	76	112	143	9999-12-31	2013-05-08
6407/2-1	299.000000	1650.000000	NORDLAND GP	GROUP	\N	76	113	\N	9999-12-31	2013-05-08
6407/2-1	2984.000000	3015.000000	NOT FM	FORMATION	FANGST GP	76	120	38	9999-12-31	2013-05-08
6407/2-1	3830.000000	3870.000000	RED BEDS (INFORMAL)	GROUP	\N	76	129	\N	9999-12-31	2013-05-08
6407/2-1	1997.000000	2147.000000	ROGALAND GP	GROUP	\N	76	131	\N	9999-12-31	2013-05-08
6407/2-1	3072.000000	3176.000000	ROR FM	FORMATION	BÅT GP	76	135	22	9999-12-31	2013-05-08
6407/2-1	2147.000000	2535.000000	SHETLAND GP	GROUP	\N	76	143	\N	9999-12-31	2013-05-08
6407/2-1	2843.000000	2908.000000	SPEKK FM	FORMATION	VIKING GP	76	155	188	9999-12-31	2013-05-08
6407/2-1	2147.000000	2255.000000	SPRINGAR FM	FORMATION	SHETLAND GP	76	156	143	9999-12-31	2013-05-08
6407/2-1	2096.000000	2147.000000	TANG FM	FORMATION	ROGALAND GP	76	161	131	9999-12-31	2013-05-08
6407/2-1	1997.000000	2096.000000	TARE FM	FORMATION	ROGALAND GP	76	163	131	9999-12-31	2013-05-08
6407/2-1	3176.000000	3345.000000	TILJE FM	FORMATION	BÅT GP	76	169	22	9999-12-31	2013-05-08
6407/2-1	2843.000000	2939.000000	VIKING GP	GROUP	\N	76	188	\N	9999-12-31	2013-05-08
6407/2-1	3345.000000	3723.000000	ÅRE FM	FORMATION	BÅT GP	76	197	22	9999-12-31	2013-05-08
31/2-8	2896.000000	2967.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	78	4	29	9999-12-31	2013-05-08
31/2-8	3035.000000	3048.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	78	4	29	9999-12-31	2013-05-08
31/2-8	1428.000000	1472.000000	BALDER FM	FORMATION	ROGALAND GP	78	6	131	9999-12-31	2013-05-08
31/2-8	2517.000000	2720.000000	BRENT GP	GROUP	\N	78	16	\N	9999-12-31	2013-05-08
31/2-8	2825.000000	2896.000000	COOK FM	FORMATION	DUNLIN GP	78	24	29	9999-12-31	2013-05-08
31/2-8	2720.000000	2825.000000	DRAKE FM	FORMATION	DUNLIN GP	78	27	29	9999-12-31	2013-05-08
31/2-8	1821.000000	1837.000000	DRAUPNE FM	FORMATION	VIKING GP	78	28	188	9999-12-31	2013-05-08
31/2-8	2720.000000	3048.000000	DUNLIN GP	GROUP	\N	78	29	\N	9999-12-31	2013-05-08
31/2-8	2189.000000	2254.000000	FENSFJORD FM	FORMATION	VIKING GP	78	40	188	9999-12-31	2013-05-08
31/2-8	1999.000000	2189.000000	HEATHER FM	FORMATION	VIKING GP	78	60	188	9999-12-31	2013-05-08
31/2-8	2266.000000	2517.000000	HEATHER FM	FORMATION	VIKING GP	78	60	188	9999-12-31	2013-05-08
31/2-8	3274.000000	3375.000000	HEGRE GP	GROUP	\N	78	61	\N	9999-12-31	2013-05-08
31/2-8	772.000000	1428.000000	HORDALAND GP	GROUP	\N	78	67	\N	9999-12-31	2013-05-08
31/2-8	2967.000000	3035.000000	JOHANSEN FM	FORMATION	DUNLIN GP	78	73	29	9999-12-31	2013-05-08
31/2-8	2254.000000	2266.000000	KROSSFJORD FM	FORMATION	VIKING GP	78	87	188	9999-12-31	2013-05-08
31/2-8	1514.000000	1808.000000	LISTA FM	FORMATION	ROGALAND GP	78	95	131	9999-12-31	2013-05-08
31/2-8	371.000000	772.000000	NORDLAND GP	GROUP	\N	78	113	\N	9999-12-31	2013-05-08
31/2-8	1428.000000	1808.000000	ROGALAND GP	GROUP	\N	78	131	\N	9999-12-31	2013-05-08
31/2-8	1472.000000	1514.000000	SELE FM	FORMATION	ROGALAND GP	78	142	131	9999-12-31	2013-05-08
31/2-8	1808.000000	1821.000000	SHETLAND GP	GROUP	\N	78	143	\N	9999-12-31	2013-05-08
31/2-8	1837.000000	1999.000000	SOGNEFJORD FM	FORMATION	VIKING GP	78	151	188	9999-12-31	2013-05-08
31/2-8	3048.000000	3274.000000	STATFJORD FM	FORMATION	\N	78	157	\N	9999-12-31	2013-05-08
31/2-8	1821.000000	2517.000000	VIKING GP	GROUP	\N	78	188	\N	9999-12-31	2013-05-08
31/2-8	3048.000000	3274.000000	NO GROUP DEFINED	GROUP	\N	78	208	\N	9999-12-31	2013-05-08
2/2-2	2326.000000	2358.000000	BALDER FM	FORMATION	ROGALAND GP	80	6	131	9999-12-31	2013-05-08
2/2-2	2917.000000	2995.000000	BRYNE FM	FORMATION	VESTLAND GP	80	19	186	9999-12-31	2013-05-08
2/2-2	2754.000000	2908.000000	CROMER KNOLL GP	GROUP	\N	80	23	\N	9999-12-31	2013-05-08
2/2-2	2639.000000	2754.000000	HOD FM	FORMATION	SHETLAND GP	80	66	143	9999-12-31	2013-05-08
2/2-2	1502.000000	2326.000000	HORDALAND GP	GROUP	\N	80	67	\N	9999-12-31	2013-05-08
2/2-2	2389.000000	2512.000000	LISTA FM	FORMATION	ROGALAND GP	80	95	131	9999-12-31	2013-05-08
2/2-2	2908.000000	2917.000000	MANDAL FM	FORMATION	TYNE GP	80	101	177	9999-12-31	2013-05-08
2/2-2	2057.000000	2326.000000	NO FORMAL NAME	FORMATION	\N	80	111	\N	9999-12-31	2013-05-08
2/2-2	91.000000	1502.000000	NORDLAND GP	GROUP	\N	80	113	\N	9999-12-31	2013-05-08
2/2-2	2326.000000	2512.000000	ROGALAND GP	GROUP	\N	80	131	\N	9999-12-31	2013-05-08
2/2-2	2358.000000	2389.000000	SELE FM	FORMATION	ROGALAND GP	80	142	131	9999-12-31	2013-05-08
2/2-2	2512.000000	2754.000000	SHETLAND GP	GROUP	\N	80	143	\N	9999-12-31	2013-05-08
2/2-2	2995.000000	3105.000000	SMITH BANK FM	FORMATION	HEGRE GP	80	149	61	9999-12-31	2013-05-08
2/2-2	2512.000000	2639.000000	TOR FM	FORMATION	SHETLAND GP	80	171	143	9999-12-31	2013-05-08
2/2-2	2908.000000	2917.000000	TYNE GP	GROUP	\N	80	177	\N	9999-12-31	2013-05-08
2/2-2	1978.000000	2057.000000	VADE FM	FORMATION	HORDALAND GP	80	184	67	9999-12-31	2013-05-08
2/2-2	2917.000000	2995.000000	VESTLAND GP	GROUP	\N	80	186	\N	9999-12-31	2013-05-08
2/2-2	3105.000000	3127.000000	ZECHSTEIN GP	GROUP	\N	80	194	\N	9999-12-31	2013-05-08
2/2-2	2995.000000	3105.000000	NO GROUP DEFINED	GROUP	\N	80	208	\N	9999-12-31	2013-05-08
6507/10-1	1439.000000	1980.000000	BRYGGE FM	FORMATION	HORDALAND GP	81	18	67	9999-12-31	2013-05-08
6507/10-1	2994.000000	3693.000000	BÅT GP	GROUP	\N	81	22	\N	9999-12-31	2013-05-08
6507/10-1	2725.000000	2781.000000	CROMER KNOLL GP	GROUP	\N	81	23	\N	9999-12-31	2013-05-08
6507/10-1	2881.000000	2994.000000	FANGST GP	GROUP	\N	81	38	\N	9999-12-31	2013-05-08
6507/10-1	1439.000000	1980.000000	HORDALAND GP	GROUP	\N	81	67	\N	9999-12-31	2013-05-08
6507/10-1	2881.000000	2994.000000	ILE FM	FORMATION	FANGST GP	81	70	38	9999-12-31	2013-05-08
6507/10-1	2660.000000	2725.000000	KVITNOS FM	FORMATION	SHETLAND GP	81	91	143	9999-12-31	2013-05-08
6507/10-1	2728.000000	2770.000000	LANGE FM	FORMATION	CROMER KNOLL GP	81	94	23	9999-12-31	2013-05-08
6507/10-1	2770.000000	2781.000000	LYR FM	FORMATION	CROMER KNOLL GP	81	98	23	9999-12-31	2013-05-08
6507/10-1	2725.000000	2728.000000	LYSING FM	FORMATION	CROMER KNOLL GP	81	99	23	9999-12-31	2013-05-08
6507/10-1	2835.000000	2881.000000	MELKE FM	FORMATION	VIKING GP	81	105	188	9999-12-31	2013-05-08
6507/10-1	2550.000000	2660.000000	NISE FM	FORMATION	SHETLAND GP	81	112	143	9999-12-31	2013-05-08
6507/10-1	322.000000	1439.000000	NORDLAND GP	GROUP	\N	81	113	\N	9999-12-31	2013-05-08
6507/10-1	1980.000000	2088.000000	ROGALAND GP	GROUP	\N	81	131	\N	9999-12-31	2013-05-08
6507/10-1	2994.000000	3081.000000	ROR FM	FORMATION	BÅT GP	81	135	22	9999-12-31	2013-05-08
6507/10-1	2088.000000	2725.000000	SHETLAND GP	GROUP	\N	81	143	\N	9999-12-31	2013-05-08
6507/10-1	2781.000000	2835.000000	SPEKK FM	FORMATION	VIKING GP	81	155	188	9999-12-31	2013-05-08
6507/10-1	2088.000000	2550.000000	SPRINGAR FM	FORMATION	SHETLAND GP	81	156	143	9999-12-31	2013-05-08
6507/10-1	2040.000000	2088.000000	TANG FM	FORMATION	ROGALAND GP	81	161	131	9999-12-31	2013-05-08
6507/10-1	1980.000000	2040.000000	TARE FM	FORMATION	ROGALAND GP	81	163	131	9999-12-31	2013-05-08
6507/10-1	3081.000000	3226.000000	TILJE FM	FORMATION	BÅT GP	81	169	22	9999-12-31	2013-05-08
6507/10-1	2781.000000	2881.000000	VIKING GP	GROUP	\N	81	188	\N	9999-12-31	2013-05-08
6507/10-1	3226.000000	3693.000000	ÅRE FM	FORMATION	BÅT GP	81	197	22	9999-12-31	2013-05-08
7120/9-1	984.000000	1840.000000	ADVENTDALEN GP	GROUP	\N	82	1	\N	9999-12-31	2013-05-08
7120/9-1	2077.000000	2173.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	82	46	79	9999-12-31	2013-05-08
7120/9-1	1813.000000	1840.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	82	63	1	9999-12-31	2013-05-08
7120/9-1	1840.000000	2300.000000	KAPP TOSCANA GP	GROUP	\N	82	79	\N	9999-12-31	2013-05-08
7120/9-1	1761.000000	1813.000000	KNURR FM	FORMATION	ADVENTDALEN GP	82	82	1	9999-12-31	2013-05-08
7120/9-1	1607.000000	1761.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	82	84	1	9999-12-31	2013-05-08
7120/9-1	984.000000	1607.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	82	85	1	9999-12-31	2013-05-08
7120/9-1	965.000000	984.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	82	89	122	9999-12-31	2013-05-08
7120/9-1	343.000000	590.000000	NORDLAND GP	GROUP	\N	82	113	\N	9999-12-31	2013-05-08
7120/9-1	1896.000000	1986.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	82	118	79	9999-12-31	2013-05-08
7120/9-1	965.000000	984.000000	NYGRUNNEN GP	GROUP	\N	82	122	\N	9999-12-31	2013-05-08
7120/9-1	2173.000000	2300.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	82	150	79	9999-12-31	2013-05-08
7120/9-1	590.000000	965.000000	SOTBAKKEN GP	GROUP	\N	82	154	\N	9999-12-31	2013-05-08
7120/9-1	1840.000000	1896.000000	STØ FM	FORMATION	KAPP TOSCANA GP	82	159	79	9999-12-31	2013-05-08
7120/9-1	590.000000	965.000000	TORSK FM	FORMATION	SOTBAKKEN GP	82	172	154	9999-12-31	2013-05-08
7120/9-1	1986.000000	2077.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	82	174	79	9999-12-31	2013-05-08
16/1-3	2125.000000	2168.000000	BALDER FM	FORMATION	ROGALAND GP	84	6	131	9999-12-31	2013-05-08
16/1-3	3440.000000	3498.000000	BASEMENT	GROUP	\N	84	10	\N	9999-12-31	2013-05-08
16/1-3	2603.000000	2707.000000	CROMER KNOLL GP	GROUP	\N	84	23	\N	9999-12-31	2013-05-08
16/1-3	1610.000000	1760.000000	GRID FM	FORMATION	HORDALAND GP	84	53	67	9999-12-31	2013-05-08
16/1-3	1834.000000	1893.000000	GRID FM	FORMATION	HORDALAND GP	84	53	67	9999-12-31	2013-05-08
16/1-3	2707.000000	2730.000000	HEATHER FM	FORMATION	VIKING GP	84	60	188	9999-12-31	2013-05-08
16/1-3	2423.000000	2458.000000	HEIMDAL FM	FORMATION	ROGALAND GP	84	62	131	9999-12-31	2013-05-08
16/1-3	951.000000	2125.000000	HORDALAND GP	GROUP	\N	84	67	\N	9999-12-31	2013-05-08
16/1-3	3227.000000	3230.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	84	88	194	9999-12-31	2013-05-08
16/1-3	2219.000000	2423.000000	LISTA FM	FORMATION	ROGALAND GP	84	95	131	9999-12-31	2013-05-08
16/1-3	2423.000000	2458.000000	MEILE MBR (INFORMAL)	MEMBER	HEIMDAL FM	84	103	62	9999-12-31	2013-05-08
16/1-3	1234.000000	1610.000000	NO FORMAL NAME	FORMATION	\N	84	111	\N	9999-12-31	2013-05-08
16/1-3	1760.000000	1834.000000	NO FORMAL NAME	FORMATION	\N	84	111	\N	9999-12-31	2013-05-08
16/1-3	1893.000000	2125.000000	NO FORMAL NAME	FORMATION	\N	84	111	\N	9999-12-31	2013-05-08
16/1-3	133.000000	951.000000	NORDLAND GP	GROUP	\N	84	113	\N	9999-12-31	2013-05-08
16/1-3	2125.000000	2458.000000	ROGALAND GP	GROUP	\N	84	131	\N	9999-12-31	2013-05-08
16/1-3	3230.000000	3440.000000	ROTLIEGEND GP	GROUP	\N	84	136	\N	9999-12-31	2013-05-08
16/1-3	2168.000000	2219.000000	SELE FM	FORMATION	ROGALAND GP	84	142	131	9999-12-31	2013-05-08
16/1-3	2458.000000	2603.000000	SHETLAND GP	GROUP	\N	84	143	\N	9999-12-31	2013-05-08
16/1-3	1043.000000	1234.000000	SKADE FM	FORMATION	HORDALAND GP	84	145	67	9999-12-31	2013-05-08
16/1-3	2730.000000	2754.000000	SLEIPNER FM	FORMATION	VESTLAND GP	84	148	186	9999-12-31	2013-05-08
16/1-3	2840.000000	3082.000000	SMITH BANK FM	FORMATION	HEGRE GP	84	149	61	9999-12-31	2013-05-08
16/1-3	2754.000000	2840.000000	UNDIFFERENTIATED	FORMATION	\N	84	182	\N	9999-12-31	2013-05-08
16/1-3	3082.000000	3227.000000	UNDIFFERENTIATED	FORMATION	\N	84	182	\N	9999-12-31	2013-05-08
16/1-3	732.000000	951.000000	UTSIRA FM	FORMATION	NORDLAND GP	84	183	113	9999-12-31	2013-05-08
16/1-3	2730.000000	2840.000000	VESTLAND GP	GROUP	\N	84	186	\N	9999-12-31	2013-05-08
16/1-3	2707.000000	2730.000000	VIKING GP	GROUP	\N	84	188	\N	9999-12-31	2013-05-08
16/1-3	3082.000000	3230.000000	ZECHSTEIN GP	GROUP	\N	84	194	\N	9999-12-31	2013-05-08
16/1-3	2840.000000	3082.000000	NO GROUP DEFINED	GROUP	\N	84	208	\N	9999-12-31	2013-05-08
7120/7-1	1170.000000	2408.000000	ADVENTDALEN GP	GROUP	\N	85	1	\N	9999-12-31	2013-05-08
7120/7-1	2390.000000	2408.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	85	47	1	9999-12-31	2013-05-08
7120/7-1	2248.000000	2390.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	85	63	1	9999-12-31	2013-05-08
7120/7-1	2408.000000	2839.000000	KAPP TOSCANA GP	GROUP	\N	85	79	\N	9999-12-31	2013-05-08
7120/7-1	1746.000000	2248.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	85	84	1	9999-12-31	2013-05-08
7120/7-1	1170.000000	1746.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	85	85	1	9999-12-31	2013-05-08
7120/7-1	992.000000	1170.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	85	89	122	9999-12-31	2013-05-08
7120/7-1	258.000000	645.000000	NORDLAND GP	GROUP	\N	85	113	\N	9999-12-31	2013-05-08
7120/7-1	2522.000000	2650.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	85	118	79	9999-12-31	2013-05-08
7120/7-1	992.000000	1170.000000	NYGRUNNEN GP	GROUP	\N	85	122	\N	9999-12-31	2013-05-08
7120/7-1	645.000000	992.000000	SOTBAKKEN GP	GROUP	\N	85	154	\N	9999-12-31	2013-05-08
7120/7-1	2408.000000	2522.000000	STØ FM	FORMATION	KAPP TOSCANA GP	85	159	79	9999-12-31	2013-05-08
7120/7-1	645.000000	992.000000	TORSK FM	FORMATION	SOTBAKKEN GP	85	172	154	9999-12-31	2013-05-08
7120/7-1	2650.000000	2839.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	85	174	79	9999-12-31	2013-05-08
7/11-6	3015.000000	3044.000000	BALDER FM	FORMATION	ROGALAND GP	86	6	131	9999-12-31	2013-05-08
7/11-6	3895.000000	4008.000000	CROMER KNOLL GP	GROUP	\N	86	23	\N	9999-12-31	2013-05-08
7/11-6	4036.000000	4098.000000	FARSUND FM	FORMATION	TYNE GP	86	39	177	9999-12-31	2013-05-08
7/11-6	3821.000000	3895.000000	HIDRA FM	FORMATION	SHETLAND GP	86	65	143	9999-12-31	2013-05-08
7/11-6	3694.000000	3821.000000	HOD FM	FORMATION	SHETLAND GP	86	66	143	9999-12-31	2013-05-08
7/11-6	1498.000000	3015.000000	HORDALAND GP	GROUP	\N	86	67	\N	9999-12-31	2013-05-08
7/11-6	3086.000000	3151.000000	LISTA FM	FORMATION	ROGALAND GP	86	95	131	9999-12-31	2013-05-08
7/11-6	4008.000000	4036.000000	MANDAL FM	FORMATION	TYNE GP	86	101	177	9999-12-31	2013-05-08
7/11-6	3151.000000	3225.000000	MAUREEN FM	FORMATION	ROGALAND GP	86	102	131	9999-12-31	2013-05-08
7/11-6	96.000000	1498.000000	NORDLAND GP	GROUP	\N	86	113	\N	9999-12-31	2013-05-08
7/11-6	3015.000000	3225.000000	ROGALAND GP	GROUP	\N	86	131	\N	9999-12-31	2013-05-08
7/11-6	3895.000000	3945.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	86	137	23	9999-12-31	2013-05-08
7/11-6	3044.000000	3086.000000	SELE FM	FORMATION	ROGALAND GP	86	142	131	9999-12-31	2013-05-08
7/11-6	3225.000000	3895.000000	SHETLAND GP	GROUP	\N	86	143	\N	9999-12-31	2013-05-08
7/11-6	4145.000000	4500.000000	SMITH BANK FM	FORMATION	HEGRE GP	86	149	61	9999-12-31	2013-05-08
7/11-6	3290.000000	3694.000000	TOR FM	FORMATION	SHETLAND GP	86	171	143	9999-12-31	2013-05-08
7/11-6	4008.000000	4098.000000	TYNE GP	GROUP	\N	86	177	\N	9999-12-31	2013-05-08
7/11-6	4098.000000	4145.000000	ULA FM	FORMATION	VESTLAND GP	86	179	186	9999-12-31	2013-05-08
7/11-6	4098.000000	4145.000000	VESTLAND GP	GROUP	\N	86	186	\N	9999-12-31	2013-05-08
7/11-6	3945.000000	4008.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	86	198	23	9999-12-31	2013-05-08
7/11-6	4145.000000	4500.000000	NO GROUP DEFINED	GROUP	\N	86	208	\N	9999-12-31	2013-05-08
1/3-3	2936.000000	2984.000000	BALDER FM	FORMATION	ROGALAND GP	87	6	131	9999-12-31	2013-05-08
1/3-3	3852.000000	3887.000000	BLODØKS FM	FORMATION	SHETLAND GP	87	13	143	9999-12-31	2013-05-08
1/3-3	4542.000000	4620.000000	BRYNE FM	FORMATION	VESTLAND GP	87	19	186	9999-12-31	2013-05-08
1/3-3	3887.000000	4043.000000	CROMER KNOLL GP	GROUP	\N	87	23	\N	9999-12-31	2013-05-08
1/3-3	3201.000000	3288.000000	EKOFISK FM	FORMATION	SHETLAND GP	87	33	143	9999-12-31	2013-05-08
1/3-3	4112.000000	4178.000000	FARSUND FM	FORMATION	TYNE GP	87	39	177	9999-12-31	2013-05-08
1/3-3	3803.000000	3852.000000	HOD FM	FORMATION	SHETLAND GP	87	66	143	9999-12-31	2013-05-08
1/3-3	1647.000000	2936.000000	HORDALAND GP	GROUP	\N	87	67	\N	9999-12-31	2013-05-08
1/3-3	2991.000000	3059.000000	LISTA FM	FORMATION	ROGALAND GP	87	95	131	9999-12-31	2013-05-08
1/3-3	3148.000000	3180.000000	LISTA FM	FORMATION	ROGALAND GP	87	95	131	9999-12-31	2013-05-08
1/3-3	4043.000000	4112.000000	MANDAL FM	FORMATION	TYNE GP	87	101	177	9999-12-31	2013-05-08
1/3-3	4324.000000	4435.000000	NO FORMAL NAME	FORMATION	\N	87	111	\N	9999-12-31	2013-05-08
1/3-3	93.000000	1647.000000	NORDLAND GP	GROUP	\N	87	113	\N	9999-12-31	2013-05-08
1/3-3	2936.000000	3201.000000	ROGALAND GP	GROUP	\N	87	131	\N	9999-12-31	2013-05-08
1/3-3	3887.000000	4043.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	87	137	23	9999-12-31	2013-05-08
1/3-3	2984.000000	2991.000000	SELE FM	FORMATION	ROGALAND GP	87	142	131	9999-12-31	2013-05-08
1/3-3	3201.000000	3887.000000	SHETLAND GP	GROUP	\N	87	143	\N	9999-12-31	2013-05-08
1/3-3	4620.000000	4820.000000	SMITH BANK FM	FORMATION	HEGRE GP	87	149	61	9999-12-31	2013-05-08
1/3-3	3288.000000	3803.000000	TOR FM	FORMATION	SHETLAND GP	87	171	143	9999-12-31	2013-05-08
1/3-3	4043.000000	4178.000000	TYNE GP	GROUP	\N	87	177	\N	9999-12-31	2013-05-08
1/3-3	4178.000000	4324.000000	ULA FM	FORMATION	VESTLAND GP	87	179	186	9999-12-31	2013-05-08
1/3-3	4435.000000	4542.000000	ULA FM	FORMATION	VESTLAND GP	87	179	186	9999-12-31	2013-05-08
1/3-3	4178.000000	4620.000000	VESTLAND GP	GROUP	\N	87	186	\N	9999-12-31	2013-05-08
1/3-3	3059.000000	3148.000000	VIDAR FM	FORMATION	ROGALAND GP	87	187	131	9999-12-31	2013-05-08
1/3-3	3180.000000	3201.000000	VÅLE FM	FORMATION	ROGALAND GP	87	190	131	9999-12-31	2013-05-08
1/3-3	4820.000000	4876.000000	ZECHSTEIN GP	GROUP	\N	87	194	\N	9999-12-31	2013-05-08
1/3-3	4620.000000	4820.000000	NO GROUP DEFINED	GROUP	\N	87	208	\N	9999-12-31	2013-05-08
31/2-9	1292.000000	1356.000000	BALDER FM	FORMATION	ROGALAND GP	88	6	131	9999-12-31	2013-05-08
31/2-9	1540.000000	1544.000000	CROMER KNOLL GP	GROUP	\N	88	23	\N	9999-12-31	2013-05-08
31/2-9	1544.000000	1549.000000	DRAUPNE FM	FORMATION	VIKING GP	88	28	188	9999-12-31	2013-05-08
31/2-9	1708.000000	1770.000000	FENSFJORD FM	FORMATION	VIKING GP	88	40	188	9999-12-31	2013-05-08
31/2-9	1600.000000	1708.000000	HEATHER FM	FORMATION	VIKING GP	88	60	188	9999-12-31	2013-05-08
31/2-9	767.000000	1292.000000	HORDALAND GP	GROUP	\N	88	67	\N	9999-12-31	2013-05-08
31/2-9	1402.000000	1526.000000	LISTA FM	FORMATION	ROGALAND GP	88	95	131	9999-12-31	2013-05-08
31/2-9	364.000000	767.000000	NORDLAND GP	GROUP	\N	88	113	\N	9999-12-31	2013-05-08
31/2-9	1292.000000	1540.000000	ROGALAND GP	GROUP	\N	88	131	\N	9999-12-31	2013-05-08
31/2-9	1356.000000	1402.000000	SELE FM	FORMATION	ROGALAND GP	88	142	131	9999-12-31	2013-05-08
31/2-9	1549.000000	1600.000000	SOGNEFJORD FM	FORMATION	VIKING GP	88	151	188	9999-12-31	2013-05-08
31/2-9	1544.000000	1770.000000	VIKING GP	GROUP	\N	88	188	\N	9999-12-31	2013-05-08
31/2-9	1526.000000	1540.000000	VÅLE FM	FORMATION	ROGALAND GP	88	190	131	9999-12-31	2013-05-08
8/3-2	1017.000000	1039.000000	BALDER FM	FORMATION	ROGALAND GP	89	6	131	9999-12-31	2013-05-08
8/3-2	2025.000000	2375.000000	BOKNFJORD GP	GROUP	\N	89	15	\N	9999-12-31	2013-05-08
8/3-2	2375.000000	2417.000000	BRYNE FM	FORMATION	VESTLAND GP	89	19	186	9999-12-31	2013-05-08
8/3-2	1604.000000	2025.000000	CROMER KNOLL GP	GROUP	\N	89	23	\N	9999-12-31	2013-05-08
8/3-2	2290.000000	2375.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	89	30	15	9999-12-31	2013-05-08
8/3-2	1115.000000	1152.000000	EKOFISK FM	FORMATION	SHETLAND GP	89	33	143	9999-12-31	2013-05-08
8/3-2	2025.000000	2075.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	89	43	15	9999-12-31	2013-05-08
8/3-2	486.000000	1017.000000	HORDALAND GP	GROUP	\N	89	67	\N	9999-12-31	2013-05-08
8/3-2	1050.000000	1115.000000	LISTA FM	FORMATION	ROGALAND GP	89	95	131	9999-12-31	2013-05-08
8/3-2	100.000000	486.000000	NORDLAND GP	GROUP	\N	89	113	\N	9999-12-31	2013-05-08
8/3-2	1017.000000	1115.000000	ROGALAND GP	GROUP	\N	89	131	\N	9999-12-31	2013-05-08
8/3-2	2075.000000	2200.000000	SAUDA FM	FORMATION	BOKNFJORD GP	89	141	15	9999-12-31	2013-05-08
8/3-2	1039.000000	1050.000000	SELE FM	FORMATION	ROGALAND GP	89	142	131	9999-12-31	2013-05-08
8/3-2	1115.000000	1604.000000	SHETLAND GP	GROUP	\N	89	143	\N	9999-12-31	2013-05-08
8/3-2	2417.000000	2657.000000	SKAGERRAK FM	FORMATION	HEGRE GP	89	146	61	9999-12-31	2013-05-08
8/3-2	1604.000000	1650.000000	SOLA FM	FORMATION	CROMER KNOLL GP	89	152	23	9999-12-31	2013-05-08
8/3-2	2200.000000	2290.000000	TAU FM	FORMATION	BOKNFJORD GP	89	164	15	9999-12-31	2013-05-08
8/3-2	1152.000000	1604.000000	TOR FM	FORMATION	SHETLAND GP	89	171	143	9999-12-31	2013-05-08
8/3-2	2375.000000	2417.000000	VESTLAND GP	GROUP	\N	89	186	\N	9999-12-31	2013-05-08
8/3-2	1650.000000	2025.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	89	198	23	9999-12-31	2013-05-08
8/3-2	2417.000000	2657.000000	NO GROUP DEFINED	GROUP	\N	89	208	\N	9999-12-31	2013-05-08
31/2-10	1279.000000	1363.000000	BALDER FM	FORMATION	ROGALAND GP	90	6	131	9999-12-31	2013-05-08
31/2-10	1555.000000	1565.000000	CROMER KNOLL GP	GROUP	\N	90	23	\N	9999-12-31	2013-05-08
31/2-10	1565.000000	1600.000000	DRAUPNE FM	FORMATION	VIKING GP	90	28	188	9999-12-31	2013-05-08
31/2-10	1535.000000	1539.000000	EKOFISK FM	FORMATION	SHETLAND GP	90	33	143	9999-12-31	2013-05-08
31/2-10	1793.000000	1833.000000	FENSFJORD FM	FORMATION	VIKING GP	90	40	188	9999-12-31	2013-05-08
31/2-10	1539.000000	1555.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	90	56	143	9999-12-31	2013-05-08
31/2-10	1733.000000	1793.000000	HEATHER FM	FORMATION	VIKING GP	90	60	188	9999-12-31	2013-05-08
31/2-10	739.000000	1279.000000	HORDALAND GP	GROUP	\N	90	67	\N	9999-12-31	2013-05-08
31/2-10	1388.000000	1535.000000	LISTA FM	FORMATION	ROGALAND GP	90	95	131	9999-12-31	2013-05-08
31/2-10	356.000000	739.000000	NORDLAND GP	GROUP	\N	90	113	\N	9999-12-31	2013-05-08
31/2-10	1279.000000	1535.000000	ROGALAND GP	GROUP	\N	90	131	\N	9999-12-31	2013-05-08
31/2-10	1363.000000	1388.000000	SELE FM	FORMATION	ROGALAND GP	90	142	131	9999-12-31	2013-05-08
31/2-10	1535.000000	1555.000000	SHETLAND GP	GROUP	\N	90	143	\N	9999-12-31	2013-05-08
31/2-10	1600.000000	1733.000000	SOGNEFJORD FM	FORMATION	VIKING GP	90	151	188	9999-12-31	2013-05-08
31/2-10	1565.000000	1833.000000	VIKING GP	GROUP	\N	90	188	\N	9999-12-31	2013-05-08
16/7-4	2052.000000	2099.000000	BALDER FM	FORMATION	ROGALAND GP	91	6	131	9999-12-31	2013-05-08
16/7-4	2465.000000	2493.000000	BLODØKS FM	FORMATION	SHETLAND GP	91	13	143	9999-12-31	2013-05-08
16/7-4	2493.000000	2520.000000	CROMER KNOLL GP	GROUP	\N	91	23	\N	9999-12-31	2013-05-08
16/7-4	2520.000000	2521.000000	DRAUPNE FM	FORMATION	VIKING GP	91	28	188	9999-12-31	2013-05-08
16/7-4	2229.000000	2238.000000	EKOFISK FM	FORMATION	SHETLAND GP	91	33	143	9999-12-31	2013-05-08
16/7-4	2408.000000	2465.000000	HOD FM	FORMATION	SHETLAND GP	91	66	143	9999-12-31	2013-05-08
16/7-4	1061.000000	2052.000000	HORDALAND GP	GROUP	\N	91	67	\N	9999-12-31	2013-05-08
16/7-4	2166.000000	2220.000000	LISTA FM	FORMATION	ROGALAND GP	91	95	131	9999-12-31	2013-05-08
16/7-4	103.000000	1061.000000	NORDLAND GP	GROUP	\N	91	113	\N	9999-12-31	2013-05-08
16/7-4	2052.000000	2229.000000	ROGALAND GP	GROUP	\N	91	131	\N	9999-12-31	2013-05-08
16/7-4	2099.000000	2166.000000	SELE FM	FORMATION	ROGALAND GP	91	142	131	9999-12-31	2013-05-08
16/7-4	2229.000000	2493.000000	SHETLAND GP	GROUP	\N	91	143	\N	9999-12-31	2013-05-08
16/7-4	2520.000000	2521.000000	SHETLAND GP	GROUP	\N	91	143	\N	9999-12-31	2013-05-08
16/7-4	2521.000000	2781.000000	SKAGERRAK FM	FORMATION	HEGRE GP	91	146	61	9999-12-31	2013-05-08
16/7-4	2238.000000	2408.000000	TOR FM	FORMATION	SHETLAND GP	91	171	143	9999-12-31	2013-05-08
16/7-4	848.000000	1061.000000	UTSIRA FM	FORMATION	NORDLAND GP	91	183	113	9999-12-31	2013-05-08
16/7-4	2220.000000	2229.000000	VÅLE FM	FORMATION	ROGALAND GP	91	190	131	9999-12-31	2013-05-08
16/7-4	2521.000000	2781.000000	NO GROUP DEFINED	GROUP	\N	91	208	\N	9999-12-31	2013-05-08
31/2-13 S	1460.000000	1540.000000	BALDER FM	FORMATION	ROGALAND GP	93	6	131	9999-12-31	2013-05-08
31/2-13 S	1934.000000	2010.000000	FENSFJORD FM	FORMATION	VIKING GP	93	40	188	9999-12-31	2013-05-08
31/2-13 S	1855.000000	1934.000000	HEATHER FM	FORMATION	VIKING GP	93	60	188	9999-12-31	2013-05-08
31/2-13 S	783.000000	1460.000000	HORDALAND GP	GROUP	\N	93	67	\N	9999-12-31	2013-05-08
31/2-13 S	1577.000000	1718.000000	LISTA FM	FORMATION	ROGALAND GP	93	95	131	9999-12-31	2013-05-08
31/2-13 S	358.000000	783.000000	NORDLAND GP	GROUP	\N	93	113	\N	9999-12-31	2013-05-08
31/2-13 S	1460.000000	1728.000000	ROGALAND GP	GROUP	\N	93	131	\N	9999-12-31	2013-05-08
31/2-13 S	1540.000000	1577.000000	SELE FM	FORMATION	ROGALAND GP	93	142	131	9999-12-31	2013-05-08
31/2-13 S	1728.000000	1732.000000	SHETLAND GP	GROUP	\N	93	143	\N	9999-12-31	2013-05-08
31/2-13 S	1732.000000	1855.000000	SOGNEFJORD FM	FORMATION	VIKING GP	93	151	188	9999-12-31	2013-05-08
31/2-13 S	1732.000000	2010.000000	VIKING GP	GROUP	\N	93	188	\N	9999-12-31	2013-05-08
31/2-13 S	1718.000000	1728.000000	VÅLE FM	FORMATION	ROGALAND GP	93	190	131	9999-12-31	2013-05-08
15/12-1	2395.000000	2425.000000	BALDER FM	FORMATION	ROGALAND GP	94	6	131	9999-12-31	2013-05-08
15/12-1	2954.000000	2961.000000	BLODØKS FM	FORMATION	SHETLAND GP	94	13	143	9999-12-31	2013-05-08
15/12-1	2992.000000	3006.000000	CROMER KNOLL GP	GROUP	\N	94	23	\N	9999-12-31	2013-05-08
15/12-1	3006.000000	3027.000000	DRAUPNE FM	FORMATION	VIKING GP	94	28	188	9999-12-31	2013-05-08
15/12-1	2643.000000	2738.000000	EKOFISK FM	FORMATION	SHETLAND GP	94	33	143	9999-12-31	2013-05-08
15/12-1	2256.000000	2277.000000	GRID FM	FORMATION	HORDALAND GP	94	53	67	9999-12-31	2013-05-08
15/12-1	3027.000000	3123.000000	HEATHER FM	FORMATION	VIKING GP	94	60	188	9999-12-31	2013-05-08
15/12-1	2884.000000	2954.000000	HOD FM	FORMATION	SHETLAND GP	94	66	143	9999-12-31	2013-05-08
15/12-1	1277.000000	2395.000000	HORDALAND GP	GROUP	\N	94	67	\N	9999-12-31	2013-05-08
15/12-1	3123.000000	3152.000000	HUGIN FM	FORMATION	VESTLAND GP	94	69	186	9999-12-31	2013-05-08
15/12-1	2490.000000	2634.000000	LISTA FM	FORMATION	ROGALAND GP	94	95	131	9999-12-31	2013-05-08
15/12-1	2634.000000	2643.000000	MAUREEN FM	FORMATION	ROGALAND GP	94	102	131	9999-12-31	2013-05-08
15/12-1	2277.000000	2395.000000	NO FORMAL NAME	FORMATION	\N	94	111	\N	9999-12-31	2013-05-08
15/12-1	119.000000	1277.000000	NORDLAND GP	GROUP	\N	94	113	\N	9999-12-31	2013-05-08
15/12-1	2395.000000	2643.000000	ROGALAND GP	GROUP	\N	94	131	\N	9999-12-31	2013-05-08
15/12-1	2992.000000	3006.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	94	137	23	9999-12-31	2013-05-08
15/12-1	2425.000000	2490.000000	SELE FM	FORMATION	ROGALAND GP	94	142	131	9999-12-31	2013-05-08
15/12-1	2643.000000	2992.000000	SHETLAND GP	GROUP	\N	94	143	\N	9999-12-31	2013-05-08
15/12-1	3204.000000	3269.000000	SKAGERRAK FM	FORMATION	HEGRE GP	94	146	61	9999-12-31	2013-05-08
15/12-1	3152.000000	3204.000000	SLEIPNER FM	FORMATION	VESTLAND GP	94	148	186	9999-12-31	2013-05-08
15/12-1	2961.000000	2992.000000	SVARTE FM	FORMATION	SHETLAND GP	94	160	143	9999-12-31	2013-05-08
15/12-1	2738.000000	2884.000000	TOR FM	FORMATION	SHETLAND GP	94	171	143	9999-12-31	2013-05-08
15/12-1	955.000000	1277.000000	UTSIRA FM	FORMATION	NORDLAND GP	94	183	113	9999-12-31	2013-05-08
15/12-1	3123.000000	3204.000000	VESTLAND GP	GROUP	\N	94	186	\N	9999-12-31	2013-05-08
15/12-1	3006.000000	3123.000000	VIKING GP	GROUP	\N	94	188	\N	9999-12-31	2013-05-08
15/12-1	3204.000000	3269.000000	NO GROUP DEFINED	GROUP	\N	94	208	\N	9999-12-31	2013-05-08
2/11-4	2543.000000	2550.000000	BALDER FM	FORMATION	ROGALAND GP	96	6	131	9999-12-31	2013-05-08
2/11-4	2811.000000	2815.000000	BLODØKS FM	FORMATION	SHETLAND GP	96	13	143	9999-12-31	2013-05-08
2/11-4	2840.000000	2858.000000	CROMER KNOLL GP	GROUP	\N	96	23	\N	9999-12-31	2013-05-08
2/11-4	2815.000000	2840.000000	HIDRA FM	FORMATION	SHETLAND GP	96	65	143	9999-12-31	2013-05-08
2/11-4	2604.000000	2811.000000	HOD FM	FORMATION	SHETLAND GP	96	66	143	9999-12-31	2013-05-08
2/11-4	1407.000000	2543.000000	HORDALAND GP	GROUP	\N	96	67	\N	9999-12-31	2013-05-08
2/11-4	2565.000000	2587.000000	LISTA FM	FORMATION	ROGALAND GP	96	95	131	9999-12-31	2013-05-08
2/11-4	103.000000	1407.000000	NORDLAND GP	GROUP	\N	96	113	\N	9999-12-31	2013-05-08
2/11-4	2543.000000	2587.000000	ROGALAND GP	GROUP	\N	96	131	\N	9999-12-31	2013-05-08
2/11-4	2840.000000	2858.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	96	137	23	9999-12-31	2013-05-08
2/11-4	2550.000000	2565.000000	SELE FM	FORMATION	ROGALAND GP	96	142	131	9999-12-31	2013-05-08
2/11-4	2587.000000	2840.000000	SHETLAND GP	GROUP	\N	96	143	\N	9999-12-31	2013-05-08
2/11-4	2587.000000	2604.000000	TOR FM	FORMATION	SHETLAND GP	96	171	143	9999-12-31	2013-05-08
2/4-3	2960.000000	2969.000000	BALDER FM	FORMATION	ROGALAND GP	97	6	131	9999-12-31	2013-05-08
2/4-3	3090.000000	3253.000000	EKOFISK FM	FORMATION	SHETLAND GP	97	33	143	9999-12-31	2013-05-08
2/4-3	1730.000000	2960.000000	HORDALAND GP	GROUP	\N	97	67	\N	9999-12-31	2013-05-08
2/4-3	2976.000000	3005.000000	LISTA FM	FORMATION	ROGALAND GP	97	95	131	9999-12-31	2013-05-08
2/4-3	3023.000000	3076.000000	LISTA FM	FORMATION	ROGALAND GP	97	95	131	9999-12-31	2013-05-08
2/4-3	124.000000	1730.000000	NORDLAND GP	GROUP	\N	97	113	\N	9999-12-31	2013-05-08
2/4-3	2960.000000	3090.000000	ROGALAND GP	GROUP	\N	97	131	\N	9999-12-31	2013-05-08
2/4-3	2969.000000	2976.000000	SELE FM	FORMATION	ROGALAND GP	97	142	131	9999-12-31	2013-05-08
2/4-3	3090.000000	3431.000000	SHETLAND GP	GROUP	\N	97	143	\N	9999-12-31	2013-05-08
2/4-3	3253.000000	3431.000000	TOR FM	FORMATION	SHETLAND GP	97	171	143	9999-12-31	2013-05-08
2/4-3	3005.000000	3023.000000	VIDAR FM	FORMATION	ROGALAND GP	97	187	131	9999-12-31	2013-05-08
2/4-3	3076.000000	3090.000000	VÅLE FM	FORMATION	ROGALAND GP	97	190	131	9999-12-31	2013-05-08
7120/12-4	2118.000000	2199.000000	GIPSDALEN GP	GROUP	\N	99	51	\N	9999-12-31	2013-05-08
7120/12-4	992.000000	1366.000000	HAVERT FM	FORMATION	SASSENDALEN GP	99	58	140	9999-12-31	2013-05-08
7120/12-4	435.000000	485.000000	KAPP TOSCANA GP	GROUP	\N	99	79	\N	9999-12-31	2013-05-08
7120/12-4	685.000000	992.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	99	80	140	9999-12-31	2013-05-08
7120/12-4	485.000000	685.000000	KOBBE FM	FORMATION	SASSENDALEN GP	99	83	140	9999-12-31	2013-05-08
7120/12-4	175.000000	435.000000	NORDLAND GP	GROUP	\N	99	113	\N	9999-12-31	2013-05-08
7120/12-4	1469.000000	1502.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	99	138	167	9999-12-31	2013-05-08
7120/12-4	1648.000000	1688.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	99	138	167	9999-12-31	2013-05-08
7120/12-4	1700.000000	1728.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	99	138	167	9999-12-31	2013-05-08
7120/12-4	2003.000000	2118.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	99	138	167	9999-12-31	2013-05-08
7120/12-4	485.000000	1366.000000	SASSENDALEN GP	GROUP	\N	99	140	\N	9999-12-31	2013-05-08
7120/12-4	435.000000	485.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	99	150	79	9999-12-31	2013-05-08
7120/12-4	1366.000000	2118.000000	TEMPELFJORDEN GP	GROUP	\N	99	167	\N	9999-12-31	2013-05-08
7120/12-4	2118.000000	2199.000000	UGLE FM	FORMATION	GIPSDALEN GP	99	178	51	9999-12-31	2013-05-08
7120/12-4	1366.000000	1469.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	99	196	167	9999-12-31	2013-05-08
7120/12-4	1502.000000	1648.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	99	196	167	9999-12-31	2013-05-08
7120/12-4	1688.000000	1700.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	99	196	167	9999-12-31	2013-05-08
7120/12-4	1728.000000	2003.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	99	196	167	9999-12-31	2013-05-08
31/3-2	1121.000000	1194.000000	BALDER FM	FORMATION	ROGALAND GP	100	6	131	9999-12-31	2013-05-08
31/3-2	1939.000000	2006.000000	BRENT GP	GROUP	\N	100	16	\N	9999-12-31	2013-05-08
31/3-2	1533.000000	1541.000000	CROMER KNOLL GP	GROUP	\N	100	23	\N	9999-12-31	2013-05-08
31/3-2	2006.000000	2090.000000	DRAKE FM	FORMATION	DUNLIN GP	100	27	29	9999-12-31	2013-05-08
31/3-2	1541.000000	1567.000000	DRAUPNE FM	FORMATION	VIKING GP	100	28	188	9999-12-31	2013-05-08
31/3-2	2006.000000	2090.000000	DUNLIN GP	GROUP	\N	100	29	\N	9999-12-31	2013-05-08
31/3-2	1966.000000	2006.000000	ETIVE FM	FORMATION	BRENT GP	100	35	16	9999-12-31	2013-05-08
31/3-2	1725.000000	1851.000000	FENSFJORD FM	FORMATION	VIKING GP	100	40	188	9999-12-31	2013-05-08
31/3-2	1706.000000	1725.000000	HEATHER FM	FORMATION	VIKING GP	100	60	188	9999-12-31	2013-05-08
31/3-2	1929.000000	1939.000000	HEATHER FM	FORMATION	VIKING GP	100	60	188	9999-12-31	2013-05-08
31/3-2	540.000000	1121.000000	HORDALAND GP	GROUP	\N	100	67	\N	9999-12-31	2013-05-08
31/3-2	1851.000000	1929.000000	KROSSFJORD FM	FORMATION	VIKING GP	100	87	188	9999-12-31	2013-05-08
31/3-2	1280.000000	1452.000000	LISTA FM	FORMATION	ROGALAND GP	100	95	131	9999-12-31	2013-05-08
31/3-2	1533.000000	1541.000000	MIME FM	FORMATION	CROMER KNOLL GP	100	106	23	9999-12-31	2013-05-08
31/3-2	1952.000000	1966.000000	NESS FM	FORMATION	BRENT GP	100	110	16	9999-12-31	2013-05-08
31/3-2	540.000000	605.000000	NO FORMAL NAME	FORMATION	\N	100	111	\N	9999-12-31	2013-05-08
31/3-2	605.000000	1121.000000	NO FORMAL NAME	FORMATION	\N	100	111	\N	9999-12-31	2013-05-08
31/3-2	365.000000	540.000000	NORDLAND GP	GROUP	\N	100	113	\N	9999-12-31	2013-05-08
31/3-2	1121.000000	1471.000000	ROGALAND GP	GROUP	\N	100	131	\N	9999-12-31	2013-05-08
31/3-2	1194.000000	1280.000000	SELE FM	FORMATION	ROGALAND GP	100	142	131	9999-12-31	2013-05-08
31/3-2	1471.000000	1533.000000	SHETLAND GP	GROUP	\N	100	143	\N	9999-12-31	2013-05-08
31/3-2	1567.000000	1706.000000	SOGNEFJORD FM	FORMATION	VIKING GP	100	151	188	9999-12-31	2013-05-08
31/3-2	1939.000000	1952.000000	TARBERT FM	FORMATION	BRENT GP	100	162	16	9999-12-31	2013-05-08
31/3-2	1541.000000	1939.000000	VIKING GP	GROUP	\N	100	188	\N	9999-12-31	2013-05-08
31/3-2	1452.000000	1471.000000	VÅLE FM	FORMATION	ROGALAND GP	100	190	131	9999-12-31	2013-05-08
31/5-3	1340.000000	1402.000000	BALDER FM	FORMATION	ROGALAND GP	101	6	131	9999-12-31	2013-05-08
31/5-3	1992.000000	2103.000000	BRENT GP	GROUP	\N	101	16	\N	9999-12-31	2013-05-08
31/5-3	2103.000000	2250.000000	DRAKE FM	FORMATION	DUNLIN GP	101	27	29	9999-12-31	2013-05-08
31/5-3	1547.000000	1555.000000	DRAUPNE FM	FORMATION	VIKING GP	101	28	188	9999-12-31	2013-05-08
31/5-3	2103.000000	2250.000000	DUNLIN GP	GROUP	\N	101	29	\N	9999-12-31	2013-05-08
31/5-3	1718.000000	1848.000000	FENSFJORD FM	FORMATION	VIKING GP	101	40	188	9999-12-31	2013-05-08
31/5-3	1666.000000	1718.000000	HEATHER FM	FORMATION	VIKING GP	101	60	188	9999-12-31	2013-05-08
31/5-3	1905.000000	1992.000000	HEATHER FM	FORMATION	VIKING GP	101	60	188	9999-12-31	2013-05-08
31/5-3	780.000000	1340.000000	HORDALAND GP	GROUP	\N	101	67	\N	9999-12-31	2013-05-08
31/5-3	1848.000000	1905.000000	KROSSFJORD FM	FORMATION	VIKING GP	101	87	188	9999-12-31	2013-05-08
31/5-3	1477.000000	1547.000000	LISTA FM	FORMATION	ROGALAND GP	101	95	131	9999-12-31	2013-05-08
31/5-3	353.000000	780.000000	NORDLAND GP	GROUP	\N	101	113	\N	9999-12-31	2013-05-08
31/5-3	1340.000000	1547.000000	ROGALAND GP	GROUP	\N	101	131	\N	9999-12-31	2013-05-08
31/5-3	1402.000000	1477.000000	SELE FM	FORMATION	ROGALAND GP	101	142	131	9999-12-31	2013-05-08
31/5-3	1555.000000	1666.000000	SOGNEFJORD FM	FORMATION	VIKING GP	101	151	188	9999-12-31	2013-05-08
31/5-3	1547.000000	1992.000000	VIKING GP	GROUP	\N	101	188	\N	9999-12-31	2013-05-08
30/9-3 A	3565.000000	3679.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	102	4	29	9999-12-31	2013-05-08
30/9-3 A	2076.000000	2170.000000	BALDER FM	FORMATION	ROGALAND GP	102	6	131	9999-12-31	2013-05-08
30/9-3 A	2853.000000	3133.000000	BRENT GP	GROUP	\N	102	16	\N	9999-12-31	2013-05-08
30/9-3 A	3466.000000	3565.000000	BURTON FM	FORMATION	DUNLIN GP	102	20	29	9999-12-31	2013-05-08
30/9-3 A	3455.000000	3466.000000	COOK FM	FORMATION	DUNLIN GP	102	24	29	9999-12-31	2013-05-08
30/9-3 A	3133.000000	3455.000000	DRAKE FM	FORMATION	DUNLIN GP	102	27	29	9999-12-31	2013-05-08
30/9-3 A	3133.000000	4249.000000	DUNLIN GP	GROUP	\N	102	29	\N	9999-12-31	2013-05-08
30/9-3 A	3059.000000	3133.000000	ETIVE FM	FORMATION	BRENT GP	102	35	16	9999-12-31	2013-05-08
30/9-3 A	4249.000000	4300.000000	HEGRE GP	GROUP	\N	102	61	\N	9999-12-31	2013-05-08
30/9-3 A	843.000000	2076.000000	HORDALAND GP	GROUP	\N	102	67	\N	9999-12-31	2013-05-08
30/9-3 A	2271.000000	2410.000000	LISTA FM	FORMATION	ROGALAND GP	102	95	131	9999-12-31	2013-05-08
30/9-3 A	4249.000000	4300.000000	LUNDE FM	FORMATION	HEGRE GP	102	97	61	9999-12-31	2013-05-08
30/9-3 A	2853.000000	3059.000000	NESS FM	FORMATION	BRENT GP	102	110	16	9999-12-31	2013-05-08
30/9-3 A	135.000000	843.000000	NORDLAND GP	GROUP	\N	102	113	\N	9999-12-31	2013-05-08
30/9-3 A	4161.000000	4249.000000	RAUDE MBR	MEMBER	STATFJORD FM	102	127	157	9999-12-31	2013-05-08
30/9-3 A	2076.000000	2424.000000	ROGALAND GP	GROUP	\N	102	131	\N	9999-12-31	2013-05-08
30/9-3 A	2170.000000	2271.000000	SELE FM	FORMATION	ROGALAND GP	102	142	131	9999-12-31	2013-05-08
30/9-3 A	2424.000000	2853.000000	SHETLAND GP	GROUP	\N	102	143	\N	9999-12-31	2013-05-08
30/9-3 A	3679.000000	4249.000000	STATFJORD FM	FORMATION	\N	102	157	\N	9999-12-31	2013-05-08
30/9-3 A	594.000000	843.000000	UTSIRA FM	FORMATION	NORDLAND GP	102	183	113	9999-12-31	2013-05-08
30/9-3 A	2410.000000	2424.000000	VÅLE FM	FORMATION	ROGALAND GP	102	190	131	9999-12-31	2013-05-08
33/5-1	1495.000000	1565.000000	BALDER FM	FORMATION	ROGALAND GP	103	6	131	9999-12-31	2013-05-08
33/5-1	2672.000000	2692.000000	CROMER KNOLL GP	GROUP	\N	103	23	\N	9999-12-31	2013-05-08
33/5-1	2692.000000	3829.000000	HEGRE GP	GROUP	\N	103	61	\N	9999-12-31	2013-05-08
33/5-1	1064.000000	1495.000000	HORDALAND GP	GROUP	\N	103	67	\N	9999-12-31	2013-05-08
33/5-1	1650.000000	2054.000000	JORSALFARE FM	FORMATION	SHETLAND GP	103	74	143	9999-12-31	2013-05-08
33/5-1	2054.000000	2650.000000	KYRRE FM	FORMATION	SHETLAND GP	103	92	143	9999-12-31	2013-05-08
33/5-1	1565.000000	1630.000000	LISTA FM	FORMATION	ROGALAND GP	103	95	131	9999-12-31	2013-05-08
33/5-1	3220.000000	3298.000000	LOMVI FM	FORMATION	HEGRE GP	103	96	61	9999-12-31	2013-05-08
33/5-1	2692.000000	3220.000000	LUNDE FM	FORMATION	HEGRE GP	103	97	61	9999-12-31	2013-05-08
33/5-1	365.000000	1064.000000	NORDLAND GP	GROUP	\N	103	113	\N	9999-12-31	2013-05-08
33/5-1	1495.000000	1650.000000	ROGALAND GP	GROUP	\N	103	131	\N	9999-12-31	2013-05-08
33/5-1	2672.000000	2692.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	103	137	23	9999-12-31	2013-05-08
33/5-1	1650.000000	2672.000000	SHETLAND GP	GROUP	\N	103	143	\N	9999-12-31	2013-05-08
33/5-1	3298.000000	3829.000000	TEIST FM (INFORMAL)	FORMATION	HEGRE GP	103	166	61	9999-12-31	2013-05-08
33/5-1	2650.000000	2672.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	103	173	143	9999-12-31	2013-05-08
33/5-1	1630.000000	1650.000000	VÅLE FM	FORMATION	ROGALAND GP	103	190	131	9999-12-31	2013-05-08
7120/7-3	1496.000000	2889.000000	ADVENTDALEN GP	GROUP	\N	104	1	\N	9999-12-31	2013-05-08
7120/7-3	2863.000000	2889.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	104	47	1	9999-12-31	2013-05-08
7120/7-3	2759.000000	2863.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	104	63	1	9999-12-31	2013-05-08
7120/7-3	2889.000000	3062.000000	KAPP TOSCANA GP	GROUP	\N	104	79	\N	9999-12-31	2013-05-08
7120/7-3	2679.000000	2759.000000	KNURR FM	FORMATION	ADVENTDALEN GP	104	82	1	9999-12-31	2013-05-08
7120/7-3	2570.000000	2679.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	104	84	1	9999-12-31	2013-05-08
7120/7-3	1496.000000	2570.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	104	85	1	9999-12-31	2013-05-08
7120/7-3	1312.000000	1496.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	104	89	122	9999-12-31	2013-05-08
7120/7-3	281.000000	380.000000	NORDLAND GP	GROUP	\N	104	113	\N	9999-12-31	2013-05-08
7120/7-3	2969.000000	3062.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	104	118	79	9999-12-31	2013-05-08
7120/7-3	1312.000000	1496.000000	NYGRUNNEN GP	GROUP	\N	104	122	\N	9999-12-31	2013-05-08
7120/7-3	380.000000	1312.000000	SOTBAKKEN GP	GROUP	\N	104	154	\N	9999-12-31	2013-05-08
7120/7-3	2889.000000	2969.000000	STØ FM	FORMATION	KAPP TOSCANA GP	104	159	79	9999-12-31	2013-05-08
7120/7-3	380.000000	1312.000000	TORSK FM	FORMATION	SOTBAKKEN GP	104	172	154	9999-12-31	2013-05-08
31/6-5	816.000000	960.000000	BALDER FM	FORMATION	ROGALAND GP	105	6	131	9999-12-31	2013-05-08
31/6-5	1999.000000	2035.000000	BRENT GP	GROUP	\N	105	16	\N	9999-12-31	2013-05-08
31/6-5	1256.000000	1388.000000	CROMER KNOLL GP	GROUP	\N	105	23	\N	9999-12-31	2013-05-08
31/6-5	2035.000000	2082.000000	DRAKE FM	FORMATION	DUNLIN GP	105	27	29	9999-12-31	2013-05-08
31/6-5	1388.000000	1480.000000	DRAUPNE FM	FORMATION	VIKING GP	105	28	188	9999-12-31	2013-05-08
31/6-5	2035.000000	2082.000000	DUNLIN GP	GROUP	\N	105	29	\N	9999-12-31	2013-05-08
31/6-5	1702.000000	1937.000000	FENSFJORD FM	FORMATION	VIKING GP	105	40	188	9999-12-31	2013-05-08
31/6-5	1144.000000	1157.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	105	56	143	9999-12-31	2013-05-08
31/6-5	1480.000000	1518.000000	HEATHER FM	FORMATION	VIKING GP	105	60	188	9999-12-31	2013-05-08
31/6-5	1677.000000	1702.000000	HEATHER FM	FORMATION	VIKING GP	105	60	188	9999-12-31	2013-05-08
31/6-5	1972.000000	1999.000000	HEATHER FM	FORMATION	VIKING GP	105	60	188	9999-12-31	2013-05-08
31/6-5	455.000000	816.000000	HORDALAND GP	GROUP	\N	105	67	\N	9999-12-31	2013-05-08
31/6-5	1937.000000	1972.000000	KROSSFJORD FM	FORMATION	VIKING GP	105	87	188	9999-12-31	2013-05-08
31/6-5	1080.000000	1144.000000	LISTA FM	FORMATION	ROGALAND GP	105	95	131	9999-12-31	2013-05-08
31/6-5	327.000000	455.000000	NORDLAND GP	GROUP	\N	105	113	\N	9999-12-31	2013-05-08
31/6-5	816.000000	1144.000000	ROGALAND GP	GROUP	\N	105	131	\N	9999-12-31	2013-05-08
31/6-5	1256.000000	1312.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	105	137	23	9999-12-31	2013-05-08
31/6-5	960.000000	1080.000000	SELE FM	FORMATION	ROGALAND GP	105	142	131	9999-12-31	2013-05-08
31/6-5	1144.000000	1256.000000	SHETLAND GP	GROUP	\N	105	143	\N	9999-12-31	2013-05-08
31/6-5	1518.000000	1677.000000	SOGNEFJORD FM	FORMATION	VIKING GP	105	151	188	9999-12-31	2013-05-08
31/6-5	1312.000000	1347.000000	SOLA FM	FORMATION	CROMER KNOLL GP	105	152	23	9999-12-31	2013-05-08
31/6-5	1157.000000	1256.000000	UNDIFFERENTIATED	FORMATION	\N	105	182	\N	9999-12-31	2013-05-08
31/6-5	1388.000000	1999.000000	VIKING GP	GROUP	\N	105	188	\N	9999-12-31	2013-05-08
31/6-5	1347.000000	1388.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	105	198	23	9999-12-31	2013-05-08
31/2-14	1326.000000	1375.000000	BALDER FM	FORMATION	ROGALAND GP	106	6	131	9999-12-31	2013-05-08
31/2-14	1532.000000	1533.000000	DRAUPNE FM	FORMATION	VIKING GP	106	28	188	9999-12-31	2013-05-08
31/2-14	1685.000000	1725.000000	FENSFJORD FM	FORMATION	VIKING GP	106	40	188	9999-12-31	2013-05-08
31/2-14	1595.000000	1685.000000	HEATHER FM	FORMATION	VIKING GP	106	60	188	9999-12-31	2013-05-08
31/2-14	799.000000	1326.000000	HORDALAND GP	GROUP	\N	106	67	\N	9999-12-31	2013-05-08
31/2-14	1421.000000	1526.000000	LISTA FM	FORMATION	ROGALAND GP	106	95	131	9999-12-31	2013-05-08
31/2-14	365.000000	799.000000	NORDLAND GP	GROUP	\N	106	113	\N	9999-12-31	2013-05-08
31/2-14	1326.000000	1530.000000	ROGALAND GP	GROUP	\N	106	131	\N	9999-12-31	2013-05-08
31/2-14	1375.000000	1421.000000	SELE FM	FORMATION	ROGALAND GP	106	142	131	9999-12-31	2013-05-08
31/2-14	1530.000000	1532.000000	SHETLAND GP	GROUP	\N	106	143	\N	9999-12-31	2013-05-08
31/2-14	1533.000000	1595.000000	SOGNEFJORD FM	FORMATION	VIKING GP	106	151	188	9999-12-31	2013-05-08
31/2-14	1532.000000	1725.000000	VIKING GP	GROUP	\N	106	188	\N	9999-12-31	2013-05-08
31/2-14	1526.000000	1530.000000	VÅLE FM	FORMATION	ROGALAND GP	106	190	131	9999-12-31	2013-05-08
7120/9-2	1097.000000	1971.000000	ADVENTDALEN GP	GROUP	\N	107	1	\N	9999-12-31	2013-05-08
7120/9-2	2290.000000	2552.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	107	46	79	9999-12-31	2013-05-08
7120/9-2	1965.000000	1971.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	107	47	1	9999-12-31	2013-05-08
7120/9-2	4806.000000	4844.000000	HAVERT FM	FORMATION	SASSENDALEN GP	107	58	140	9999-12-31	2013-05-08
7120/9-2	1906.000000	1965.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	107	63	1	9999-12-31	2013-05-08
7120/9-2	1971.000000	3962.000000	KAPP TOSCANA GP	GROUP	\N	107	79	\N	9999-12-31	2013-05-08
7120/9-2	4245.000000	4806.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	107	80	140	9999-12-31	2013-05-08
7120/9-2	1871.000000	1906.000000	KNURR FM	FORMATION	ADVENTDALEN GP	107	82	1	9999-12-31	2013-05-08
7120/9-2	3962.000000	4245.000000	KOBBE FM	FORMATION	SASSENDALEN GP	107	83	140	9999-12-31	2013-05-08
7120/9-2	1847.000000	1871.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	107	84	1	9999-12-31	2013-05-08
7120/9-2	1097.000000	1847.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	107	85	1	9999-12-31	2013-05-08
7120/9-2	1072.000000	1097.000000	KVITING FM	FORMATION	NYGRUNNEN GP	107	90	122	9999-12-31	2013-05-08
7120/9-2	316.000000	380.000000	NORDLAND GP	GROUP	\N	107	113	\N	9999-12-31	2013-05-08
7120/9-2	2048.000000	2156.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	107	118	79	9999-12-31	2013-05-08
7120/9-2	1072.000000	1097.000000	NYGRUNNEN GP	GROUP	\N	107	122	\N	9999-12-31	2013-05-08
7120/9-2	4956.000000	5072.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	107	138	167	9999-12-31	2013-05-08
7120/9-2	3962.000000	4844.000000	SASSENDALEN GP	GROUP	\N	107	140	\N	9999-12-31	2013-05-08
7120/9-2	2552.000000	3962.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	107	150	79	9999-12-31	2013-05-08
7120/9-2	380.000000	1072.000000	SOTBAKKEN GP	GROUP	\N	107	154	\N	9999-12-31	2013-05-08
7120/9-2	1971.000000	2048.000000	STØ FM	FORMATION	KAPP TOSCANA GP	107	159	79	9999-12-31	2013-05-08
7120/9-2	4844.000000	5072.000000	TEMPELFJORDEN GP	GROUP	\N	107	167	\N	9999-12-31	2013-05-08
7120/9-2	380.000000	1072.000000	TORSK FM	FORMATION	SOTBAKKEN GP	107	172	154	9999-12-31	2013-05-08
7120/9-2	2156.000000	2290.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	107	174	79	9999-12-31	2013-05-08
7120/9-2	4844.000000	4956.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	107	196	167	9999-12-31	2013-05-08
6406/3-1	1996.000000	2279.000000	BRYGGE FM	FORMATION	HORDALAND GP	108	18	67	9999-12-31	2013-05-08
6406/3-1	4012.000000	4758.000000	BÅT GP	GROUP	\N	108	22	\N	9999-12-31	2013-05-08
6406/3-1	3196.000000	3662.000000	CROMER KNOLL GP	GROUP	\N	108	23	\N	9999-12-31	2013-05-08
6406/3-1	3782.000000	4012.000000	FANGST GP	GROUP	\N	108	38	\N	9999-12-31	2013-05-08
6406/3-1	3782.000000	3901.000000	GARN FM	FORMATION	FANGST GP	108	48	38	9999-12-31	2013-05-08
6406/3-1	4758.000000	4864.000000	GREY BEDS (INFORMAL)	GROUP	\N	108	52	\N	9999-12-31	2013-05-08
6406/3-1	1996.000000	2279.000000	HORDALAND GP	GROUP	\N	108	67	\N	9999-12-31	2013-05-08
6406/3-1	3934.000000	4012.000000	ILE FM	FORMATION	FANGST GP	108	70	38	9999-12-31	2013-05-08
6406/3-1	1450.000000	1996.000000	KAI FM	FORMATION	NORDLAND GP	108	77	113	9999-12-31	2013-05-08
6406/3-1	3685.000000	3782.000000	MELKE FM	FORMATION	VIKING GP	108	105	188	9999-12-31	2013-05-08
6406/3-1	278.000000	1450.000000	NAUST FM	FORMATION	NORDLAND GP	108	109	113	9999-12-31	2013-05-08
6406/3-1	278.000000	1996.000000	NORDLAND GP	GROUP	\N	108	113	\N	9999-12-31	2013-05-08
6406/3-1	3901.000000	3934.000000	NOT FM	FORMATION	FANGST GP	108	120	38	9999-12-31	2013-05-08
6406/3-1	4864.000000	4902.000000	RED BEDS (INFORMAL)	GROUP	\N	108	129	\N	9999-12-31	2013-05-08
6406/3-1	2279.000000	2410.000000	ROGALAND GP	GROUP	\N	108	131	\N	9999-12-31	2013-05-08
6406/3-1	4012.000000	4177.000000	ROR FM	FORMATION	BÅT GP	108	135	22	9999-12-31	2013-05-08
6406/3-1	2410.000000	3196.000000	SHETLAND GP	GROUP	\N	108	143	\N	9999-12-31	2013-05-08
6406/3-1	3662.000000	3685.000000	SPEKK FM	FORMATION	VIKING GP	108	155	188	9999-12-31	2013-05-08
6406/3-1	2347.000000	2410.000000	TANG FM	FORMATION	ROGALAND GP	108	161	131	9999-12-31	2013-05-08
6406/3-1	2279.000000	2347.000000	TARE FM	FORMATION	ROGALAND GP	108	163	131	9999-12-31	2013-05-08
6406/3-1	4177.000000	4380.000000	TILJE FM	FORMATION	BÅT GP	108	169	22	9999-12-31	2013-05-08
6406/3-1	3662.000000	3782.000000	VIKING GP	GROUP	\N	108	188	\N	9999-12-31	2013-05-08
6406/3-1	4380.000000	4758.000000	ÅRE FM	FORMATION	BÅT GP	108	197	22	9999-12-31	2013-05-08
2/1-6	2947.000000	2970.000000	BALDER FM	FORMATION	ROGALAND GP	109	6	131	9999-12-31	2013-05-08
2/1-6	3788.000000	3806.000000	BLODØKS FM	FORMATION	SHETLAND GP	109	13	143	9999-12-31	2013-05-08
2/1-6	4566.000000	4587.000000	BRYNE FM	FORMATION	VESTLAND GP	109	19	186	9999-12-31	2013-05-08
2/1-6	3825.000000	4104.000000	CROMER KNOLL GP	GROUP	\N	109	23	\N	9999-12-31	2013-05-08
2/1-6	3215.000000	3312.000000	EKOFISK FM	FORMATION	SHETLAND GP	109	33	143	9999-12-31	2013-05-08
2/1-6	4165.000000	4426.000000	FARSUND FM	FORMATION	TYNE GP	109	39	177	9999-12-31	2013-05-08
2/1-6	2987.000000	3033.000000	FORTIES FM	FORMATION	ROGALAND GP	109	44	131	9999-12-31	2013-05-08
2/1-6	4426.000000	4560.000000	HAUGESUND FM	FORMATION	TYNE GP	109	57	177	9999-12-31	2013-05-08
2/1-6	3806.000000	3825.000000	HIDRA FM	FORMATION	SHETLAND GP	109	65	143	9999-12-31	2013-05-08
2/1-6	3660.000000	3788.000000	HOD FM	FORMATION	SHETLAND GP	109	66	143	9999-12-31	2013-05-08
2/1-6	1793.000000	2947.000000	HORDALAND GP	GROUP	\N	109	67	\N	9999-12-31	2013-05-08
2/1-6	3033.000000	3128.000000	LISTA FM	FORMATION	ROGALAND GP	109	95	131	9999-12-31	2013-05-08
2/1-6	3173.000000	3196.000000	LISTA FM	FORMATION	ROGALAND GP	109	95	131	9999-12-31	2013-05-08
2/1-6	4104.000000	4165.000000	MANDAL FM	FORMATION	TYNE GP	109	101	177	9999-12-31	2013-05-08
2/1-6	91.000000	1793.000000	NORDLAND GP	GROUP	\N	109	113	\N	9999-12-31	2013-05-08
2/1-6	2947.000000	3215.000000	ROGALAND GP	GROUP	\N	109	131	\N	9999-12-31	2013-05-08
2/1-6	3825.000000	3853.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	109	137	23	9999-12-31	2013-05-08
2/1-6	2970.000000	2987.000000	SELE FM	FORMATION	ROGALAND GP	109	142	131	9999-12-31	2013-05-08
2/1-6	3215.000000	3825.000000	SHETLAND GP	GROUP	\N	109	143	\N	9999-12-31	2013-05-08
2/1-6	4587.000000	4588.000000	SKAGERRAK FM	FORMATION	HEGRE GP	109	146	61	9999-12-31	2013-05-08
2/1-6	3312.000000	3660.000000	TOR FM	FORMATION	SHETLAND GP	109	171	143	9999-12-31	2013-05-08
2/1-6	3853.000000	3897.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	109	175	23	9999-12-31	2013-05-08
2/1-6	4104.000000	4560.000000	TYNE GP	GROUP	\N	109	177	\N	9999-12-31	2013-05-08
2/1-6	4560.000000	4566.000000	ULA FM	FORMATION	VESTLAND GP	109	179	186	9999-12-31	2013-05-08
2/1-6	4560.000000	4587.000000	VESTLAND GP	GROUP	\N	109	186	\N	9999-12-31	2013-05-08
2/1-6	3128.000000	3173.000000	VIDAR FM	FORMATION	ROGALAND GP	109	187	131	9999-12-31	2013-05-08
2/1-6	3196.000000	3215.000000	VÅLE FM	FORMATION	ROGALAND GP	109	190	131	9999-12-31	2013-05-08
2/1-6	3897.000000	4104.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	109	198	23	9999-12-31	2013-05-08
2/1-6	4587.000000	4588.000000	NO GROUP DEFINED	GROUP	\N	109	208	\N	9999-12-31	2013-05-08
34/7-1	1673.000000	1696.000000	BALDER FM	FORMATION	ROGALAND GP	111	6	131	9999-12-31	2013-05-08
34/7-1	2387.000000	2392.000000	CROMER KNOLL GP	GROUP	\N	111	23	\N	9999-12-31	2013-05-08
34/7-1	2392.000000	2905.000000	HEGRE GP	GROUP	\N	111	61	\N	9999-12-31	2013-05-08
34/7-1	1166.000000	1673.000000	HORDALAND GP	GROUP	\N	111	67	\N	9999-12-31	2013-05-08
34/7-1	1823.000000	1933.000000	JORSALFARE FM	FORMATION	SHETLAND GP	111	74	143	9999-12-31	2013-05-08
34/7-1	1933.000000	2387.000000	KYRRE FM	FORMATION	SHETLAND GP	111	92	143	9999-12-31	2013-05-08
34/7-1	1696.000000	1823.000000	LISTA FM	FORMATION	ROGALAND GP	111	95	131	9999-12-31	2013-05-08
34/7-1	2392.000000	2905.000000	LUNDE FM	FORMATION	HEGRE GP	111	97	61	9999-12-31	2013-05-08
34/7-1	2387.000000	2392.000000	MIME FM	FORMATION	CROMER KNOLL GP	111	106	23	9999-12-31	2013-05-08
34/7-1	353.000000	1166.000000	NORDLAND GP	GROUP	\N	111	113	\N	9999-12-31	2013-05-08
34/7-1	1673.000000	1823.000000	ROGALAND GP	GROUP	\N	111	131	\N	9999-12-31	2013-05-08
34/7-1	1823.000000	2387.000000	SHETLAND GP	GROUP	\N	111	143	\N	9999-12-31	2013-05-08
34/7-1	1028.000000	1166.000000	UTSIRA FM	FORMATION	NORDLAND GP	111	183	113	9999-12-31	2013-05-08
16/11-1 S	1500.000000	1535.000000	BALDER FM	FORMATION	ROGALAND GP	112	6	131	9999-12-31	2013-05-08
16/11-1 S	2124.000000	2165.000000	BOKNFJORD GP	GROUP	\N	112	15	\N	9999-12-31	2013-05-08
16/11-1 S	2006.000000	2124.000000	CROMER KNOLL GP	GROUP	\N	112	23	\N	9999-12-31	2013-05-08
16/11-1 S	1625.000000	1642.000000	EKOFISK FM	FORMATION	SHETLAND GP	112	33	143	9999-12-31	2013-05-08
16/11-1 S	1660.000000	2006.000000	HOD FM	FORMATION	SHETLAND GP	112	66	143	9999-12-31	2013-05-08
16/11-1 S	960.000000	1500.000000	HORDALAND GP	GROUP	\N	112	67	\N	9999-12-31	2013-05-08
16/11-1 S	1567.000000	1625.000000	LISTA FM	FORMATION	ROGALAND GP	112	95	131	9999-12-31	2013-05-08
16/11-1 S	2142.000000	2152.000000	NO FORMAL NAME	FORMATION	\N	112	111	\N	9999-12-31	2013-05-08
16/11-1 S	94.000000	960.000000	NORDLAND GP	GROUP	\N	112	113	\N	9999-12-31	2013-05-08
16/11-1 S	1500.000000	1625.000000	ROGALAND GP	GROUP	\N	112	131	\N	9999-12-31	2013-05-08
16/11-1 S	2006.000000	2025.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	112	137	23	9999-12-31	2013-05-08
16/11-1 S	2165.000000	2236.000000	SANDNES FM	FORMATION	VESTLAND GP	112	139	186	9999-12-31	2013-05-08
16/11-1 S	1535.000000	1567.000000	SELE FM	FORMATION	ROGALAND GP	112	142	131	9999-12-31	2013-05-08
16/11-1 S	1625.000000	2006.000000	SHETLAND GP	GROUP	\N	112	143	\N	9999-12-31	2013-05-08
16/11-1 S	2236.000000	2255.000000	SMITH BANK FM	FORMATION	HEGRE GP	112	149	61	9999-12-31	2013-05-08
16/11-1 S	2025.000000	2040.000000	SOLA FM	FORMATION	CROMER KNOLL GP	112	152	23	9999-12-31	2013-05-08
16/11-1 S	2124.000000	2142.000000	TAU FM	FORMATION	BOKNFJORD GP	112	164	15	9999-12-31	2013-05-08
16/11-1 S	2152.000000	2165.000000	TAU FM	FORMATION	BOKNFJORD GP	112	164	15	9999-12-31	2013-05-08
16/11-1 S	1642.000000	1660.000000	TOR FM	FORMATION	SHETLAND GP	112	171	143	9999-12-31	2013-05-08
16/11-1 S	2165.000000	2236.000000	VESTLAND GP	GROUP	\N	112	186	\N	9999-12-31	2013-05-08
16/11-1 S	2255.000000	3050.000000	ZECHSTEIN GP	GROUP	\N	112	194	\N	9999-12-31	2013-05-08
16/11-1 S	2040.000000	2124.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	112	198	23	9999-12-31	2013-05-08
16/11-1 S	2236.000000	2255.000000	NO GROUP DEFINED	GROUP	\N	112	208	\N	9999-12-31	2013-05-08
7119/12-2	452.000000	1372.000000	ADVENTDALEN GP	GROUP	\N	114	1	\N	9999-12-31	2013-05-08
7119/12-2	1855.000000	1902.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	114	46	79	9999-12-31	2013-05-08
7119/12-2	1322.000000	1372.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	114	47	1	9999-12-31	2013-05-08
7119/12-2	1163.000000	1322.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	114	63	1	9999-12-31	2013-05-08
7119/12-2	1372.000000	1902.000000	KAPP TOSCANA GP	GROUP	\N	114	79	\N	9999-12-31	2013-05-08
7119/12-2	1087.000000	1163.000000	KNURR FM	FORMATION	ADVENTDALEN GP	114	82	1	9999-12-31	2013-05-08
7119/12-2	990.000000	1087.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	114	84	1	9999-12-31	2013-05-08
7119/12-2	452.000000	990.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	114	85	1	9999-12-31	2013-05-08
7119/12-2	205.000000	452.000000	NORDLAND GP	GROUP	\N	114	113	\N	9999-12-31	2013-05-08
7119/12-2	1517.000000	1719.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	114	118	79	9999-12-31	2013-05-08
7119/12-2	1372.000000	1517.000000	STØ FM	FORMATION	KAPP TOSCANA GP	114	159	79	9999-12-31	2013-05-08
7119/12-2	1719.000000	1855.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	114	174	79	9999-12-31	2013-05-08
2/7-14	3002.000000	3018.000000	BALDER FM	FORMATION	ROGALAND GP	116	6	131	9999-12-31	2013-05-08
2/7-14	3146.000000	3257.000000	EKOFISK FM	FORMATION	SHETLAND GP	116	33	143	9999-12-31	2013-05-08
2/7-14	1783.000000	3002.000000	HORDALAND GP	GROUP	\N	116	67	\N	9999-12-31	2013-05-08
2/7-14	3033.000000	3134.000000	LISTA FM	FORMATION	ROGALAND GP	116	95	131	9999-12-31	2013-05-08
2/7-14	96.000000	1783.000000	NORDLAND GP	GROUP	\N	116	113	\N	9999-12-31	2013-05-08
2/7-14	3002.000000	3146.000000	ROGALAND GP	GROUP	\N	116	131	\N	9999-12-31	2013-05-08
2/7-14	3018.000000	3033.000000	SELE FM	FORMATION	ROGALAND GP	116	142	131	9999-12-31	2013-05-08
2/7-14	3146.000000	3390.000000	SHETLAND GP	GROUP	\N	116	143	\N	9999-12-31	2013-05-08
2/7-14	3257.000000	3390.000000	TOR FM	FORMATION	SHETLAND GP	116	171	143	9999-12-31	2013-05-08
2/7-14	3134.000000	3146.000000	VÅLE FM	FORMATION	ROGALAND GP	116	190	131	9999-12-31	2013-05-08
2/8-3	2725.000000	2738.000000	BALDER FM	FORMATION	ROGALAND GP	117	6	131	9999-12-31	2013-05-08
2/8-3	3167.000000	3169.000000	BLODØKS FM	FORMATION	SHETLAND GP	117	13	143	9999-12-31	2013-05-08
2/8-3	3192.000000	3537.000000	CROMER KNOLL GP	GROUP	\N	117	23	\N	9999-12-31	2013-05-08
2/8-3	3594.000000	3761.000000	FARSUND FM	FORMATION	TYNE GP	117	39	177	9999-12-31	2013-05-08
2/8-3	3761.000000	4115.000000	HAUGESUND FM	FORMATION	TYNE GP	117	57	177	9999-12-31	2013-05-08
2/8-3	3169.000000	3192.000000	HIDRA FM	FORMATION	SHETLAND GP	117	65	143	9999-12-31	2013-05-08
2/8-3	2850.000000	3167.000000	HOD FM	FORMATION	SHETLAND GP	117	66	143	9999-12-31	2013-05-08
2/8-3	1596.000000	2725.000000	HORDALAND GP	GROUP	\N	117	67	\N	9999-12-31	2013-05-08
2/8-3	2756.000000	2771.000000	LISTA FM	FORMATION	ROGALAND GP	117	95	131	9999-12-31	2013-05-08
2/8-3	3537.000000	3594.000000	MANDAL FM	FORMATION	TYNE GP	117	101	177	9999-12-31	2013-05-08
2/8-3	103.000000	1596.000000	NORDLAND GP	GROUP	\N	117	113	\N	9999-12-31	2013-05-08
2/8-3	2725.000000	2780.000000	ROGALAND GP	GROUP	\N	117	131	\N	9999-12-31	2013-05-08
2/8-3	2738.000000	2756.000000	SELE FM	FORMATION	ROGALAND GP	117	142	131	9999-12-31	2013-05-08
2/8-3	2780.000000	3192.000000	SHETLAND GP	GROUP	\N	117	143	\N	9999-12-31	2013-05-08
2/8-3	3209.000000	3250.000000	SOLA FM	FORMATION	CROMER KNOLL GP	117	152	23	9999-12-31	2013-05-08
2/8-3	2780.000000	2850.000000	TOR FM	FORMATION	SHETLAND GP	117	171	143	9999-12-31	2013-05-08
2/8-3	3537.000000	4115.000000	TYNE GP	GROUP	\N	117	177	\N	9999-12-31	2013-05-08
2/8-3	2771.000000	2780.000000	VÅLE FM	FORMATION	ROGALAND GP	117	190	131	9999-12-31	2013-05-08
2/8-3	3250.000000	3537.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	117	198	23	9999-12-31	2013-05-08
7120/8-1	1150.000000	2092.000000	ADVENTDALEN GP	GROUP	\N	120	1	\N	9999-12-31	2013-05-08
7120/8-1	2462.000000	2610.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	120	46	79	9999-12-31	2013-05-08
7120/8-1	2086.000000	2092.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	120	47	1	9999-12-31	2013-05-08
7120/8-1	1990.000000	2086.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	120	63	1	9999-12-31	2013-05-08
7120/8-1	2092.000000	2610.000000	KAPP TOSCANA GP	GROUP	\N	120	79	\N	9999-12-31	2013-05-08
7120/8-1	1942.000000	1990.000000	KNURR FM	FORMATION	ADVENTDALEN GP	120	82	1	9999-12-31	2013-05-08
7120/8-1	1650.000000	1942.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	120	84	1	9999-12-31	2013-05-08
7120/8-1	1150.000000	1650.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	120	85	1	9999-12-31	2013-05-08
7120/8-1	1056.000000	1150.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	120	89	122	9999-12-31	2013-05-08
7120/8-1	295.000000	603.000000	NORDLAND GP	GROUP	\N	120	113	\N	9999-12-31	2013-05-08
7120/8-1	2190.000000	2330.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	120	118	79	9999-12-31	2013-05-08
7120/8-1	1056.000000	1150.000000	NYGRUNNEN GP	GROUP	\N	120	122	\N	9999-12-31	2013-05-08
7120/8-1	603.000000	1056.000000	SOTBAKKEN GP	GROUP	\N	120	154	\N	9999-12-31	2013-05-08
7120/8-1	2092.000000	2190.000000	STØ FM	FORMATION	KAPP TOSCANA GP	120	159	79	9999-12-31	2013-05-08
7120/8-1	603.000000	1056.000000	TORSK FM	FORMATION	SOTBAKKEN GP	120	172	154	9999-12-31	2013-05-08
7120/8-1	2330.000000	2462.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	120	174	79	9999-12-31	2013-05-08
7119/12-1	1058.000000	2658.000000	ADVENTDALEN GP	GROUP	\N	121	1	\N	9999-12-31	2013-05-08
7119/12-1	2610.000000	2658.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	121	47	1	9999-12-31	2013-05-08
7119/12-1	2498.000000	2610.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	121	63	1	9999-12-31	2013-05-08
7119/12-1	2658.000000	3088.000000	KAPP TOSCANA GP	GROUP	\N	121	79	\N	9999-12-31	2013-05-08
7119/12-1	2441.000000	2498.000000	KNURR FM	FORMATION	ADVENTDALEN GP	121	82	1	9999-12-31	2013-05-08
7119/12-1	2004.000000	2441.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	121	84	1	9999-12-31	2013-05-08
7119/12-1	1058.000000	2004.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	121	85	1	9999-12-31	2013-05-08
7119/12-1	810.000000	1058.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	121	89	122	9999-12-31	2013-05-08
7119/12-1	225.000000	465.000000	NORDLAND GP	GROUP	\N	121	113	\N	9999-12-31	2013-05-08
7119/12-1	810.000000	1058.000000	NYGRUNNEN GP	GROUP	\N	121	122	\N	9999-12-31	2013-05-08
7119/12-1	465.000000	810.000000	SOTBAKKEN GP	GROUP	\N	121	154	\N	9999-12-31	2013-05-08
7119/12-1	2658.000000	3088.000000	STØ FM	FORMATION	KAPP TOSCANA GP	121	159	79	9999-12-31	2013-05-08
7119/12-1	465.000000	810.000000	TORSK FM	FORMATION	SOTBAKKEN GP	121	172	154	9999-12-31	2013-05-08
7119/12-1	2574.000000	2610.000000	ALGE MBR	MEMBER	HEKKINGEN FM	121	202	63	9999-12-31	2013-05-08
7119/12-1	2498.000000	2574.000000	KRILL MBR	MEMBER	HEKKINGEN FM	121	203	63	9999-12-31	2013-05-08
7120/12-2	745.000000	1892.000000	ADVENTDALEN GP	GROUP	\N	122	1	\N	9999-12-31	2013-05-08
7120/12-2	4664.000000	4680.000000	BASEMENT	GROUP	\N	122	10	\N	9999-12-31	2013-05-08
7120/12-2	2234.000000	2354.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	122	46	79	9999-12-31	2013-05-08
7120/12-2	1875.000000	1892.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	122	47	1	9999-12-31	2013-05-08
7120/12-2	4558.000000	4664.000000	GIPSDALEN GP	GROUP	\N	122	51	\N	9999-12-31	2013-05-08
7120/12-2	3552.000000	3657.000000	HAVERT FM	FORMATION	SASSENDALEN GP	122	58	140	9999-12-31	2013-05-08
7120/12-2	1700.000000	1875.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	122	63	1	9999-12-31	2013-05-08
7120/12-2	1892.000000	2927.000000	KAPP TOSCANA GP	GROUP	\N	122	79	\N	9999-12-31	2013-05-08
7120/12-2	3095.000000	3552.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	122	80	140	9999-12-31	2013-05-08
7120/12-2	1455.000000	1700.000000	KNURR FM	FORMATION	ADVENTDALEN GP	122	82	1	9999-12-31	2013-05-08
7120/12-2	2927.000000	3095.000000	KOBBE FM	FORMATION	SASSENDALEN GP	122	83	140	9999-12-31	2013-05-08
7120/12-2	1309.000000	1455.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	122	84	1	9999-12-31	2013-05-08
7120/12-2	745.000000	1309.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	122	85	1	9999-12-31	2013-05-08
7120/12-2	701.000000	745.000000	KVITING FM	FORMATION	NYGRUNNEN GP	122	90	122	9999-12-31	2013-05-08
7120/12-2	189.000000	463.000000	NORDLAND GP	GROUP	\N	122	113	\N	9999-12-31	2013-05-08
7120/12-2	1978.000000	2152.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	122	118	79	9999-12-31	2013-05-08
7120/12-2	701.000000	745.000000	NYGRUNNEN GP	GROUP	\N	122	122	\N	9999-12-31	2013-05-08
7120/12-2	3920.000000	3975.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	122	138	167	9999-12-31	2013-05-08
7120/12-2	4031.000000	4076.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	122	138	167	9999-12-31	2013-05-08
35/11-1	2469.000000	2534.000000	NESS FM	FORMATION	BRENT GP	128	110	16	9999-12-31	2013-05-08
7120/12-2	4485.000000	4558.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	122	138	167	9999-12-31	2013-05-08
7120/12-2	2927.000000	3657.000000	SASSENDALEN GP	GROUP	\N	122	140	\N	9999-12-31	2013-05-08
7120/12-2	2354.000000	2927.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	122	150	79	9999-12-31	2013-05-08
7120/12-2	463.000000	701.000000	SOTBAKKEN GP	GROUP	\N	122	154	\N	9999-12-31	2013-05-08
7120/12-2	1892.000000	1978.000000	STØ FM	FORMATION	KAPP TOSCANA GP	122	159	79	9999-12-31	2013-05-08
7120/12-2	3657.000000	4558.000000	TEMPELFJORDEN GP	GROUP	\N	122	167	\N	9999-12-31	2013-05-08
7120/12-2	463.000000	701.000000	TORSK FM	FORMATION	SOTBAKKEN GP	122	172	154	9999-12-31	2013-05-08
7120/12-2	2152.000000	2234.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	122	174	79	9999-12-31	2013-05-08
7120/12-2	4558.000000	4664.000000	UGLE FM	FORMATION	GIPSDALEN GP	122	178	51	9999-12-31	2013-05-08
7120/12-2	3657.000000	3920.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	122	196	167	9999-12-31	2013-05-08
7120/12-2	3975.000000	4031.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	122	196	167	9999-12-31	2013-05-08
7120/12-2	4076.000000	4485.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	122	196	167	9999-12-31	2013-05-08
7120/12-1	742.000000	2047.000000	ADVENTDALEN GP	GROUP	\N	123	1	\N	9999-12-31	2013-05-08
7120/12-1	2497.000000	2535.000000	AKKAR MBR	MEMBER	FRUHOLMEN FM	123	3	46	9999-12-31	2013-05-08
7120/12-1	2337.000000	2535.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	123	46	79	9999-12-31	2013-05-08
7120/12-1	2019.000000	2047.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	123	47	1	9999-12-31	2013-05-08
7120/12-1	1660.000000	2019.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	123	63	1	9999-12-31	2013-05-08
7120/12-1	2047.000000	3474.000000	KAPP TOSCANA GP	GROUP	\N	123	79	\N	9999-12-31	2013-05-08
7120/12-1	1375.000000	1660.000000	KNURR FM	FORMATION	ADVENTDALEN GP	123	82	1	9999-12-31	2013-05-08
7120/12-1	3474.000000	3573.000000	KOBBE FM	FORMATION	SASSENDALEN GP	123	83	140	9999-12-31	2013-05-08
7120/12-1	1272.000000	1375.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	123	84	1	9999-12-31	2013-05-08
7120/12-1	742.000000	1272.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	123	85	1	9999-12-31	2013-05-08
7120/12-1	2337.000000	2413.000000	KRABBE MBR	MEMBER	FRUHOLMEN FM	123	86	46	9999-12-31	2013-05-08
7120/12-1	725.000000	742.000000	KVITING FM	FORMATION	NYGRUNNEN GP	123	90	122	9999-12-31	2013-05-08
7120/12-1	192.000000	462.000000	NORDLAND GP	GROUP	\N	123	113	\N	9999-12-31	2013-05-08
7120/12-1	2152.000000	2250.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	123	118	79	9999-12-31	2013-05-08
7120/12-1	725.000000	742.000000	NYGRUNNEN GP	GROUP	\N	123	122	\N	9999-12-31	2013-05-08
7120/12-1	2413.000000	2497.000000	REKE MBR	MEMBER	FRUHOLMEN FM	123	130	46	9999-12-31	2013-05-08
7120/12-1	3474.000000	3573.000000	SASSENDALEN GP	GROUP	\N	123	140	\N	9999-12-31	2013-05-08
7120/12-1	2535.000000	3474.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	123	150	79	9999-12-31	2013-05-08
7120/12-1	462.000000	725.000000	SOTBAKKEN GP	GROUP	\N	123	154	\N	9999-12-31	2013-05-08
7120/12-1	2047.000000	2152.000000	STØ FM	FORMATION	KAPP TOSCANA GP	123	159	79	9999-12-31	2013-05-08
7120/12-1	462.000000	725.000000	TORSK FM	FORMATION	SOTBAKKEN GP	123	172	154	9999-12-31	2013-05-08
7120/12-1	2250.000000	2337.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	123	174	79	9999-12-31	2013-05-08
7120/12-1	1969.000000	2019.000000	ALGE MBR	MEMBER	HEKKINGEN FM	123	202	63	9999-12-31	2013-05-08
7120/12-1	1660.000000	1969.000000	KRILL MBR	MEMBER	HEKKINGEN FM	123	203	63	9999-12-31	2013-05-08
2/8-1	1105.000000	2595.000000	HORDALAND GP	GROUP	\N	124	67	\N	9999-12-31	2013-05-08
2/8-1	87.000000	1105.000000	NORDLAND GP	GROUP	\N	124	113	\N	9999-12-31	2013-05-08
31/6-6	2193.000000	2225.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	127	4	29	9999-12-31	2013-05-08
31/6-6	650.000000	798.000000	BALDER FM	FORMATION	ROGALAND GP	127	6	131	9999-12-31	2013-05-08
31/6-6	2008.000000	2045.000000	BRENT GP	GROUP	\N	127	16	\N	9999-12-31	2013-05-08
31/6-6	1204.000000	1392.000000	CROMER KNOLL GP	GROUP	\N	127	23	\N	9999-12-31	2013-05-08
31/6-6	2045.000000	2122.000000	DRAKE FM	FORMATION	DUNLIN GP	127	27	29	9999-12-31	2013-05-08
31/6-6	1392.000000	1515.000000	DRAUPNE FM	FORMATION	VIKING GP	127	28	188	9999-12-31	2013-05-08
31/6-6	2045.000000	2225.000000	DUNLIN GP	GROUP	\N	127	29	\N	9999-12-31	2013-05-08
31/6-6	1719.000000	1947.000000	FENSFJORD FM	FORMATION	VIKING GP	127	40	188	9999-12-31	2013-05-08
31/6-6	1018.000000	1025.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	127	56	143	9999-12-31	2013-05-08
31/6-6	1515.000000	1561.000000	HEATHER FM	FORMATION	VIKING GP	127	60	188	9999-12-31	2013-05-08
31/6-6	1706.000000	1719.000000	HEATHER FM	FORMATION	VIKING GP	127	60	188	9999-12-31	2013-05-08
31/6-6	1976.000000	2008.000000	HEATHER FM	FORMATION	VIKING GP	127	60	188	9999-12-31	2013-05-08
31/6-6	2277.000000	2293.000000	HEGRE GP	GROUP	\N	127	61	\N	9999-12-31	2013-05-08
31/6-6	531.000000	650.000000	HORDALAND GP	GROUP	\N	127	67	\N	9999-12-31	2013-05-08
31/6-6	2122.000000	2193.000000	JOHANSEN FM	FORMATION	DUNLIN GP	127	73	29	9999-12-31	2013-05-08
31/6-6	1947.000000	1976.000000	KROSSFJORD FM	FORMATION	VIKING GP	127	87	188	9999-12-31	2013-05-08
31/6-6	949.000000	1018.000000	LISTA FM	FORMATION	ROGALAND GP	127	95	131	9999-12-31	2013-05-08
31/6-6	336.000000	531.000000	NORDLAND GP	GROUP	\N	127	113	\N	9999-12-31	2013-05-08
31/6-6	650.000000	1018.000000	ROGALAND GP	GROUP	\N	127	131	\N	9999-12-31	2013-05-08
31/6-6	1204.000000	1340.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	127	137	23	9999-12-31	2013-05-08
31/6-6	798.000000	949.000000	SELE FM	FORMATION	ROGALAND GP	127	142	131	9999-12-31	2013-05-08
31/6-6	1018.000000	1204.000000	SHETLAND GP	GROUP	\N	127	143	\N	9999-12-31	2013-05-08
31/6-6	1561.000000	1706.000000	SOGNEFJORD FM	FORMATION	VIKING GP	127	151	188	9999-12-31	2013-05-08
31/6-6	2225.000000	2277.000000	STATFJORD FM	FORMATION	\N	127	157	\N	9999-12-31	2013-05-08
31/6-6	1025.000000	1204.000000	UNDIFFERENTIATED	FORMATION	\N	127	182	\N	9999-12-31	2013-05-08
31/6-6	1392.000000	2008.000000	VIKING GP	GROUP	\N	127	188	\N	9999-12-31	2013-05-08
31/6-6	1340.000000	1392.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	127	198	23	9999-12-31	2013-05-08
31/6-6	2225.000000	2277.000000	NO GROUP DEFINED	GROUP	\N	127	208	\N	9999-12-31	2013-05-08
35/11-1	2684.000000	2764.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	128	4	29	9999-12-31	2013-05-08
35/11-1	1307.000000	1368.000000	BALDER FM	FORMATION	ROGALAND GP	128	6	131	9999-12-31	2013-05-08
35/11-1	2469.000000	2583.000000	BRENT GP	GROUP	\N	128	16	\N	9999-12-31	2013-05-08
35/11-1	2648.000000	2684.000000	COOK FM	FORMATION	DUNLIN GP	128	24	29	9999-12-31	2013-05-08
35/11-1	2583.000000	2648.000000	DRAKE FM	FORMATION	DUNLIN GP	128	27	29	9999-12-31	2013-05-08
35/11-1	2583.000000	2995.000000	DUNLIN GP	GROUP	\N	128	29	\N	9999-12-31	2013-05-08
35/11-1	2534.000000	2557.000000	ETIVE FM	FORMATION	BRENT GP	128	35	16	9999-12-31	2013-05-08
35/11-1	2113.000000	2180.000000	FENSFJORD FM	FORMATION	VIKING GP	128	40	188	9999-12-31	2013-05-08
35/11-1	2018.000000	2113.000000	HEATHER FM	FORMATION	VIKING GP	128	60	188	9999-12-31	2013-05-08
35/11-1	2180.000000	2233.000000	HEATHER FM	FORMATION	VIKING GP	128	60	188	9999-12-31	2013-05-08
35/11-1	3265.000000	3361.000000	HEGRE GP	GROUP	\N	128	61	\N	9999-12-31	2013-05-08
35/11-1	697.000000	1307.000000	HORDALAND GP	GROUP	\N	128	67	\N	9999-12-31	2013-05-08
35/11-1	2764.000000	2995.000000	JOHANSEN FM	FORMATION	DUNLIN GP	128	73	29	9999-12-31	2013-05-08
35/11-1	2233.000000	2469.000000	KROSSFJORD FM	FORMATION	VIKING GP	128	87	188	9999-12-31	2013-05-08
35/11-1	1454.000000	1739.000000	LISTA FM	FORMATION	ROGALAND GP	128	95	131	9999-12-31	2013-05-08
35/11-1	385.000000	697.000000	NORDLAND GP	GROUP	\N	128	113	\N	9999-12-31	2013-05-08
35/11-1	2557.000000	2583.000000	RANNOCH FM	FORMATION	BRENT GP	128	126	16	9999-12-31	2013-05-08
35/11-1	1307.000000	1765.000000	ROGALAND GP	GROUP	\N	128	131	\N	9999-12-31	2013-05-08
35/11-1	1368.000000	1454.000000	SELE FM	FORMATION	ROGALAND GP	128	142	131	9999-12-31	2013-05-08
35/11-1	1765.000000	2018.000000	SHETLAND GP	GROUP	\N	128	143	\N	9999-12-31	2013-05-08
35/11-1	2995.000000	3265.000000	STATFJORD FM	FORMATION	\N	128	157	\N	9999-12-31	2013-05-08
35/11-1	548.000000	697.000000	UTSIRA FM	FORMATION	NORDLAND GP	128	183	113	9999-12-31	2013-05-08
35/11-1	2018.000000	2469.000000	VIKING GP	GROUP	\N	128	188	\N	9999-12-31	2013-05-08
35/11-1	1739.000000	1765.000000	VÅLE FM	FORMATION	ROGALAND GP	128	190	131	9999-12-31	2013-05-08
35/11-1	2995.000000	3265.000000	NO GROUP DEFINED	GROUP	\N	128	208	\N	9999-12-31	2013-05-08
2/3-4	2527.000000	2548.000000	BALDER FM	FORMATION	ROGALAND GP	129	6	131	9999-12-31	2013-05-08
2/3-4	3215.000000	3332.000000	BRYNE FM	FORMATION	VESTLAND GP	129	19	186	9999-12-31	2013-05-08
2/3-4	2925.000000	3006.000000	CROMER KNOLL GP	GROUP	\N	129	23	\N	9999-12-31	2013-05-08
2/3-4	2719.000000	2796.000000	EKOFISK FM	FORMATION	SHETLAND GP	129	33	143	9999-12-31	2013-05-08
2/3-4	1434.000000	2527.000000	HORDALAND GP	GROUP	\N	129	67	\N	9999-12-31	2013-05-08
2/3-4	2592.000000	2613.000000	LISTA FM	FORMATION	ROGALAND GP	129	95	131	9999-12-31	2013-05-08
2/3-4	3006.000000	3006.000000	MANDAL FM	FORMATION	TYNE GP	129	101	177	9999-12-31	2013-05-08
2/3-4	2613.000000	2719.000000	MAUREEN FM	FORMATION	ROGALAND GP	129	102	131	9999-12-31	2013-05-08
2/3-4	96.000000	1434.000000	NORDLAND GP	GROUP	\N	129	113	\N	9999-12-31	2013-05-08
2/3-4	2527.000000	2719.000000	ROGALAND GP	GROUP	\N	129	131	\N	9999-12-31	2013-05-08
2/3-4	2925.000000	2930.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	129	137	23	9999-12-31	2013-05-08
2/3-4	2548.000000	2592.000000	SELE FM	FORMATION	ROGALAND GP	129	142	131	9999-12-31	2013-05-08
2/3-4	2719.000000	2925.000000	SHETLAND GP	GROUP	\N	129	143	\N	9999-12-31	2013-05-08
2/3-4	3332.000000	3377.000000	SMITH BANK FM	FORMATION	HEGRE GP	129	149	61	9999-12-31	2013-05-08
2/3-4	2930.000000	3006.000000	SOLA FM	FORMATION	CROMER KNOLL GP	129	152	23	9999-12-31	2013-05-08
2/3-4	2796.000000	2925.000000	TOR FM	FORMATION	SHETLAND GP	129	171	143	9999-12-31	2013-05-08
2/3-4	3006.000000	3006.000000	TYNE GP	GROUP	\N	129	177	\N	9999-12-31	2013-05-08
2/3-4	3006.000000	3215.000000	ULA FM	FORMATION	VESTLAND GP	129	179	186	9999-12-31	2013-05-08
2/3-4	3006.000000	3332.000000	VESTLAND GP	GROUP	\N	129	186	\N	9999-12-31	2013-05-08
2/3-4	3377.000000	3386.000000	ZECHSTEIN GP	GROUP	\N	129	194	\N	9999-12-31	2013-05-08
2/3-4	3332.000000	3377.000000	NO GROUP DEFINED	GROUP	\N	129	208	\N	9999-12-31	2013-05-08
7121/7-1	931.000000	1849.000000	ADVENTDALEN GP	GROUP	\N	130	1	\N	9999-12-31	2013-05-08
7121/7-1	2045.000000	2160.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	130	46	79	9999-12-31	2013-05-08
7121/7-1	1848.000000	1849.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	130	47	1	9999-12-31	2013-05-08
7121/7-1	1793.000000	1848.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	130	63	1	9999-12-31	2013-05-08
7121/7-1	1849.000000	2160.000000	KAPP TOSCANA GP	GROUP	\N	130	79	\N	9999-12-31	2013-05-08
7121/7-1	1732.000000	1793.000000	KNURR FM	FORMATION	ADVENTDALEN GP	130	82	1	9999-12-31	2013-05-08
7121/7-1	1588.000000	1732.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	130	84	1	9999-12-31	2013-05-08
7121/7-1	931.000000	1588.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	130	85	1	9999-12-31	2013-05-08
7121/7-1	894.000000	931.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	130	89	122	9999-12-31	2013-05-08
7121/7-1	351.000000	442.000000	NORDLAND GP	GROUP	\N	130	113	\N	9999-12-31	2013-05-08
7121/7-1	1908.000000	2001.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	130	118	79	9999-12-31	2013-05-08
7121/7-1	894.000000	931.000000	NYGRUNNEN GP	GROUP	\N	130	122	\N	9999-12-31	2013-05-08
7121/7-1	442.000000	894.000000	SOTBAKKEN GP	GROUP	\N	130	154	\N	9999-12-31	2013-05-08
7121/7-1	1849.000000	1908.000000	STØ FM	FORMATION	KAPP TOSCANA GP	130	159	79	9999-12-31	2013-05-08
7121/7-1	442.000000	894.000000	TORSK FM	FORMATION	SOTBAKKEN GP	130	172	154	9999-12-31	2013-05-08
7121/7-1	2001.000000	2045.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	130	174	79	9999-12-31	2013-05-08
25/2-8	2201.000000	2202.000000	BALDER FM	FORMATION	ROGALAND GP	131	6	131	9999-12-31	2013-05-08
25/2-8	2206.000000	2222.000000	BALDER FM	FORMATION	ROGALAND GP	131	6	131	9999-12-31	2013-05-08
25/2-8	2229.000000	2232.000000	BALDER FM	FORMATION	ROGALAND GP	131	6	131	9999-12-31	2013-05-08
25/2-8	2242.000000	2257.000000	BALDER FM	FORMATION	ROGALAND GP	131	6	131	9999-12-31	2013-05-08
25/2-8	2271.000000	2278.000000	BALDER FM	FORMATION	ROGALAND GP	131	6	131	9999-12-31	2013-05-08
25/2-8	2202.000000	2206.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	131	7	131	9999-12-31	2013-05-08
25/2-8	2222.000000	2229.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	131	7	131	9999-12-31	2013-05-08
25/2-8	2232.000000	2242.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	131	7	131	9999-12-31	2013-05-08
25/2-8	2257.000000	2271.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	131	7	131	9999-12-31	2013-05-08
25/2-8	2278.000000	2294.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	131	7	131	9999-12-31	2013-05-08
25/2-8	1918.000000	2201.000000	FRIGG FM	FORMATION	HORDALAND GP	131	45	67	9999-12-31	2013-05-08
25/2-8	1015.000000	1125.000000	GRID FM	FORMATION	HORDALAND GP	131	53	67	9999-12-31	2013-05-08
25/2-8	951.000000	2201.000000	HORDALAND GP	GROUP	\N	131	67	\N	9999-12-31	2013-05-08
25/2-8	2306.000000	2380.000000	LISTA FM	FORMATION	ROGALAND GP	131	95	131	9999-12-31	2013-05-08
25/2-8	1125.000000	1918.000000	NO FORMAL NAME	FORMATION	\N	131	111	\N	9999-12-31	2013-05-08
25/2-8	118.000000	951.000000	NORDLAND GP	GROUP	\N	131	113	\N	9999-12-31	2013-05-08
25/2-8	2201.000000	2380.000000	ROGALAND GP	GROUP	\N	131	131	\N	9999-12-31	2013-05-08
25/2-8	2294.000000	2306.000000	SELE FM	FORMATION	ROGALAND GP	131	142	131	9999-12-31	2013-05-08
25/2-8	217.000000	951.000000	UTSIRA FM	FORMATION	NORDLAND GP	131	183	113	9999-12-31	2013-05-08
7119/9-1	1585.000000	2748.000000	ADVENTDALEN GP	GROUP	\N	132	1	\N	9999-12-31	2013-05-08
7119/9-1	3185.000000	3248.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	132	46	79	9999-12-31	2013-05-08
7119/9-1	2719.000000	2748.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	132	47	1	9999-12-31	2013-05-08
7119/9-1	2702.000000	2719.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	132	63	1	9999-12-31	2013-05-08
7119/9-1	2748.000000	3248.000000	KAPP TOSCANA GP	GROUP	\N	132	79	\N	9999-12-31	2013-05-08
7119/9-1	2648.000000	2702.000000	KNURR FM	FORMATION	ADVENTDALEN GP	132	82	1	9999-12-31	2013-05-08
7119/9-1	2550.000000	2648.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	132	84	1	9999-12-31	2013-05-08
7119/9-1	1585.000000	2550.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	132	85	1	9999-12-31	2013-05-08
7119/9-1	1447.000000	1585.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	132	89	122	9999-12-31	2013-05-08
7119/9-1	226.000000	1015.000000	NORDLAND GP	GROUP	\N	132	113	\N	9999-12-31	2013-05-08
7119/9-1	2868.000000	3027.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	132	118	79	9999-12-31	2013-05-08
7119/9-1	1447.000000	1585.000000	NYGRUNNEN GP	GROUP	\N	132	122	\N	9999-12-31	2013-05-08
7119/9-1	1015.000000	1447.000000	SOTBAKKEN GP	GROUP	\N	132	154	\N	9999-12-31	2013-05-08
7119/9-1	2748.000000	2868.000000	STØ FM	FORMATION	KAPP TOSCANA GP	132	159	79	9999-12-31	2013-05-08
7119/9-1	1015.000000	1447.000000	TORSK FM	FORMATION	SOTBAKKEN GP	132	172	154	9999-12-31	2013-05-08
35/3-2	975.000000	1332.000000	NO FORMAL NAME	FORMATION	\N	136	111	\N	9999-12-31	2013-05-08
7119/9-1	3027.000000	3185.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	132	174	79	9999-12-31	2013-05-08
6407/9-1	825.000000	1340.000000	BRYGGE FM	FORMATION	HORDALAND GP	133	18	67	9999-12-31	2013-05-08
6407/9-1	1783.000000	2357.000000	BÅT GP	GROUP	\N	133	22	\N	9999-12-31	2013-05-08
6407/9-1	1563.000000	1591.000000	CROMER KNOLL GP	GROUP	\N	133	23	\N	9999-12-31	2013-05-08
6407/9-1	1673.000000	1783.000000	FANGST GP	GROUP	\N	133	38	\N	9999-12-31	2013-05-08
6407/9-1	1673.000000	1746.000000	GARN FM	FORMATION	FANGST GP	133	48	38	9999-12-31	2013-05-08
6407/9-1	825.000000	1340.000000	HORDALAND GP	GROUP	\N	133	67	\N	9999-12-31	2013-05-08
6407/9-1	1563.000000	1583.000000	LANGE FM	FORMATION	CROMER KNOLL GP	133	94	23	9999-12-31	2013-05-08
6407/9-1	1583.000000	1591.000000	LYR FM	FORMATION	CROMER KNOLL GP	133	98	23	9999-12-31	2013-05-08
6407/9-1	273.000000	762.000000	NAUST FM	FORMATION	NORDLAND GP	133	109	113	9999-12-31	2013-05-08
6407/9-1	273.000000	825.000000	NORDLAND GP	GROUP	\N	133	113	\N	9999-12-31	2013-05-08
6407/9-1	1746.000000	1783.000000	NOT FM	FORMATION	FANGST GP	133	120	38	9999-12-31	2013-05-08
6407/9-1	2357.000000	2500.000000	RED BEDS (INFORMAL)	GROUP	\N	133	129	\N	9999-12-31	2013-05-08
6407/9-1	1340.000000	1533.000000	ROGALAND GP	GROUP	\N	133	131	\N	9999-12-31	2013-05-08
6407/9-1	1621.000000	1670.000000	ROGN FM	FORMATION	VIKING GP	133	134	188	9999-12-31	2013-05-08
6407/9-1	1783.000000	1839.000000	ROR FM	FORMATION	BÅT GP	133	135	22	9999-12-31	2013-05-08
6407/9-1	1900.000000	1968.000000	ROR FM	FORMATION	BÅT GP	133	135	22	9999-12-31	2013-05-08
6407/9-1	1533.000000	1563.000000	SHETLAND GP	GROUP	\N	133	143	\N	9999-12-31	2013-05-08
6407/9-1	1591.000000	1621.000000	SPEKK FM	FORMATION	VIKING GP	133	155	188	9999-12-31	2013-05-08
6407/9-1	1670.000000	1673.000000	SPEKK FM	FORMATION	VIKING GP	133	155	188	9999-12-31	2013-05-08
6407/9-1	1533.000000	1563.000000	SPRINGAR FM	FORMATION	SHETLAND GP	133	156	143	9999-12-31	2013-05-08
6407/9-1	1377.000000	1533.000000	TANG FM	FORMATION	ROGALAND GP	133	161	131	9999-12-31	2013-05-08
6407/9-1	1340.000000	1377.000000	TARE FM	FORMATION	ROGALAND GP	133	163	131	9999-12-31	2013-05-08
6407/9-1	1968.000000	2073.000000	TILJE FM	FORMATION	BÅT GP	133	169	22	9999-12-31	2013-05-08
6407/9-1	1839.000000	1900.000000	TOFTE FM	FORMATION	BÅT GP	133	170	22	9999-12-31	2013-05-08
6407/9-1	1591.000000	1673.000000	VIKING GP	GROUP	\N	133	188	\N	9999-12-31	2013-05-08
6407/9-1	2073.000000	2357.000000	ÅRE FM	FORMATION	BÅT GP	133	197	22	9999-12-31	2013-05-08
6407/9-1	762.000000	825.000000	MOLO FM	FORMATION	NORDLAND GP	133	209	113	9999-12-31	2013-05-08
16/7-5	2075.000000	2141.000000	BALDER FM	FORMATION	ROGALAND GP	134	6	131	9999-12-31	2013-05-08
16/7-5	2536.000000	2568.000000	BLODØKS FM	FORMATION	SHETLAND GP	134	13	143	9999-12-31	2013-05-08
16/7-5	2568.000000	2593.000000	CROMER KNOLL GP	GROUP	\N	134	23	\N	9999-12-31	2013-05-08
16/7-5	2593.000000	2594.000000	DRAUPNE FM	FORMATION	VIKING GP	134	28	188	9999-12-31	2013-05-08
16/7-5	2310.000000	2328.000000	EKOFISK FM	FORMATION	SHETLAND GP	134	33	143	9999-12-31	2013-05-08
16/7-5	2467.000000	2536.000000	HOD FM	FORMATION	SHETLAND GP	134	66	143	9999-12-31	2013-05-08
16/7-5	1015.000000	2075.000000	HORDALAND GP	GROUP	\N	134	67	\N	9999-12-31	2013-05-08
16/7-5	2216.000000	2293.000000	LISTA FM	FORMATION	ROGALAND GP	134	95	131	9999-12-31	2013-05-08
16/7-5	1170.000000	2075.000000	NO FORMAL NAME	FORMATION	\N	134	111	\N	9999-12-31	2013-05-08
16/7-5	107.000000	1015.000000	NORDLAND GP	GROUP	\N	134	113	\N	9999-12-31	2013-05-08
16/7-5	2075.000000	2310.000000	ROGALAND GP	GROUP	\N	134	131	\N	9999-12-31	2013-05-08
16/7-5	2568.000000	2575.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	134	137	23	9999-12-31	2013-05-08
16/7-5	2141.000000	2216.000000	SELE FM	FORMATION	ROGALAND GP	134	142	131	9999-12-31	2013-05-08
16/7-5	2310.000000	2568.000000	SHETLAND GP	GROUP	\N	134	143	\N	9999-12-31	2013-05-08
16/7-5	1105.000000	1170.000000	SKADE FM	FORMATION	HORDALAND GP	134	145	67	9999-12-31	2013-05-08
16/7-5	2594.000000	2775.000000	SKAGERRAK FM	FORMATION	HEGRE GP	134	146	61	9999-12-31	2013-05-08
16/7-5	2775.000000	2900.000000	SMITH BANK FM	FORMATION	HEGRE GP	134	149	61	9999-12-31	2013-05-08
16/7-5	2575.000000	2583.000000	SOLA FM	FORMATION	CROMER KNOLL GP	134	152	23	9999-12-31	2013-05-08
16/7-5	2328.000000	2467.000000	TOR FM	FORMATION	SHETLAND GP	134	171	143	9999-12-31	2013-05-08
16/7-5	868.000000	1015.000000	UTSIRA FM	FORMATION	NORDLAND GP	134	183	113	9999-12-31	2013-05-08
16/7-5	2593.000000	2594.000000	VIKING GP	GROUP	\N	134	188	\N	9999-12-31	2013-05-08
16/7-5	2293.000000	2310.000000	VÅLE FM	FORMATION	ROGALAND GP	134	190	131	9999-12-31	2013-05-08
16/7-5	2583.000000	2593.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	134	198	23	9999-12-31	2013-05-08
16/7-5	2594.000000	2900.000000	NO GROUP DEFINED	GROUP	\N	134	208	\N	9999-12-31	2013-05-08
7121/4-1	1052.000000	2318.000000	ADVENTDALEN GP	GROUP	\N	135	1	\N	9999-12-31	2013-05-08
7121/4-1	2532.000000	2609.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	135	46	79	9999-12-31	2013-05-08
7121/4-1	2307.000000	2318.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	135	47	1	9999-12-31	2013-05-08
7121/4-1	2237.000000	2307.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	135	63	1	9999-12-31	2013-05-08
7121/4-1	2318.000000	2609.000000	KAPP TOSCANA GP	GROUP	\N	135	79	\N	9999-12-31	2013-05-08
7121/4-1	2136.000000	2237.000000	KNURR FM	FORMATION	ADVENTDALEN GP	135	82	1	9999-12-31	2013-05-08
7121/4-1	1817.000000	2136.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	135	84	1	9999-12-31	2013-05-08
7121/4-1	1052.000000	1817.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	135	85	1	9999-12-31	2013-05-08
7121/4-1	1016.000000	1052.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	135	89	122	9999-12-31	2013-05-08
7121/4-1	357.000000	447.000000	NORDLAND GP	GROUP	\N	135	113	\N	9999-12-31	2013-05-08
7121/4-1	2396.000000	2469.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	135	118	79	9999-12-31	2013-05-08
7121/4-1	1016.000000	1052.000000	NYGRUNNEN GP	GROUP	\N	135	122	\N	9999-12-31	2013-05-08
7121/4-1	447.000000	1016.000000	SOTBAKKEN GP	GROUP	\N	135	154	\N	9999-12-31	2013-05-08
7121/4-1	2318.000000	2396.000000	STØ FM	FORMATION	KAPP TOSCANA GP	135	159	79	9999-12-31	2013-05-08
7121/4-1	447.000000	1016.000000	TORSK FM	FORMATION	SOTBAKKEN GP	135	172	154	9999-12-31	2013-05-08
7121/4-1	2469.000000	2532.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	135	174	79	9999-12-31	2013-05-08
35/3-2	3528.000000	3722.000000	AGAT FM	FORMATION	CROMER KNOLL GP	136	2	23	9999-12-31	2013-05-08
35/3-2	3975.000000	4143.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	136	4	29	9999-12-31	2013-05-08
35/3-2	1332.000000	1348.000000	BALDER FM	FORMATION	ROGALAND GP	136	6	131	9999-12-31	2013-05-08
35/3-2	4167.000000	4400.000000	BASEMENT	GROUP	\N	136	10	\N	9999-12-31	2013-05-08
35/3-2	3190.000000	3207.000000	BLODØKS FM	FORMATION	SHETLAND GP	136	13	143	9999-12-31	2013-05-08
35/3-2	3946.000000	3975.000000	BURTON FM	FORMATION	DUNLIN GP	136	20	29	9999-12-31	2013-05-08
35/3-2	3447.000000	3819.000000	CROMER KNOLL GP	GROUP	\N	136	23	\N	9999-12-31	2013-05-08
35/3-2	3920.000000	3946.000000	COOK FM	FORMATION	DUNLIN GP	136	24	29	9999-12-31	2013-05-08
35/3-2	3819.000000	3920.000000	DRAKE FM	FORMATION	DUNLIN GP	136	27	29	9999-12-31	2013-05-08
35/3-2	3819.000000	4143.000000	DUNLIN GP	GROUP	\N	136	29	\N	9999-12-31	2013-05-08
35/3-2	975.000000	1332.000000	HORDALAND GP	GROUP	\N	136	67	\N	9999-12-31	2013-05-08
35/3-2	1520.000000	1665.000000	JORSALFARE FM	FORMATION	SHETLAND GP	136	74	143	9999-12-31	2013-05-08
35/3-2	1665.000000	2864.000000	KYRRE FM	FORMATION	SHETLAND GP	136	92	143	9999-12-31	2013-05-08
35/3-2	1348.000000	1520.000000	LISTA FM	FORMATION	ROGALAND GP	136	95	131	9999-12-31	2013-05-08
35/3-2	297.000000	975.000000	NORDLAND GP	GROUP	\N	136	113	\N	9999-12-31	2013-05-08
35/3-2	1332.000000	1520.000000	ROGALAND GP	GROUP	\N	136	131	\N	9999-12-31	2013-05-08
35/3-2	3447.000000	3528.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	136	137	23	9999-12-31	2013-05-08
35/3-2	1520.000000	3447.000000	SHETLAND GP	GROUP	\N	136	143	\N	9999-12-31	2013-05-08
35/3-2	4143.000000	4167.000000	STATFJORD FM	FORMATION	\N	136	157	\N	9999-12-31	2013-05-08
35/3-2	3207.000000	3447.000000	SVARTE FM	FORMATION	SHETLAND GP	136	160	143	9999-12-31	2013-05-08
35/3-2	2864.000000	3190.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	136	173	143	9999-12-31	2013-05-08
35/3-2	3722.000000	3819.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	136	198	23	9999-12-31	2013-05-08
35/3-2	4143.000000	4167.000000	NO GROUP DEFINED	GROUP	\N	136	208	\N	9999-12-31	2013-05-08
2/1-7	3066.000000	3102.000000	ANDREW FM	FORMATION	ROGALAND GP	137	5	131	9999-12-31	2013-05-08
2/1-7	2917.000000	2939.000000	BALDER FM	FORMATION	ROGALAND GP	137	6	131	9999-12-31	2013-05-08
2/1-7	4061.000000	4105.000000	BRYNE FM	FORMATION	VESTLAND GP	137	19	186	9999-12-31	2013-05-08
2/1-7	3802.000000	3974.000000	CROMER KNOLL GP	GROUP	\N	137	23	\N	9999-12-31	2013-05-08
2/1-7	3187.000000	3275.000000	EKOFISK FM	FORMATION	SHETLAND GP	137	33	143	9999-12-31	2013-05-08
2/1-7	2948.000000	3018.000000	FORTIES FM	FORMATION	ROGALAND GP	137	44	131	9999-12-31	2013-05-08
2/1-7	3996.000000	4024.000000	HAUGESUND FM	FORMATION	TYNE GP	137	57	177	9999-12-31	2013-05-08
2/1-7	3786.000000	3802.000000	HIDRA FM	FORMATION	SHETLAND GP	137	65	143	9999-12-31	2013-05-08
2/1-7	3648.000000	3786.000000	HOD FM	FORMATION	SHETLAND GP	137	66	143	9999-12-31	2013-05-08
2/1-7	1830.000000	2917.000000	HORDALAND GP	GROUP	\N	137	67	\N	9999-12-31	2013-05-08
2/1-7	5083.000000	5084.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	137	88	194	9999-12-31	2013-05-08
2/1-7	3018.000000	3066.000000	LISTA FM	FORMATION	ROGALAND GP	137	95	131	9999-12-31	2013-05-08
2/1-7	3157.000000	3173.000000	LISTA FM	FORMATION	ROGALAND GP	137	95	131	9999-12-31	2013-05-08
2/1-7	3974.000000	3996.000000	MANDAL FM	FORMATION	TYNE GP	137	101	177	9999-12-31	2013-05-08
2/1-7	106.000000	1830.000000	NORDLAND GP	GROUP	\N	137	113	\N	9999-12-31	2013-05-08
2/1-7	2917.000000	3187.000000	ROGALAND GP	GROUP	\N	137	131	\N	9999-12-31	2013-05-08
2/1-7	5084.000000	5464.000000	ROTLIEGEND GP	GROUP	\N	137	136	\N	9999-12-31	2013-05-08
2/1-7	3802.000000	3886.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	137	137	23	9999-12-31	2013-05-08
2/1-7	2939.000000	2948.000000	SELE FM	FORMATION	ROGALAND GP	137	142	131	9999-12-31	2013-05-08
2/1-7	3187.000000	3802.000000	SHETLAND GP	GROUP	\N	137	143	\N	9999-12-31	2013-05-08
2/1-7	4105.000000	4332.000000	SMITH BANK FM	FORMATION	HEGRE GP	137	149	61	9999-12-31	2013-05-08
2/1-7	3275.000000	3648.000000	TOR FM	FORMATION	SHETLAND GP	137	171	143	9999-12-31	2013-05-08
2/1-7	3974.000000	4024.000000	TYNE GP	GROUP	\N	137	177	\N	9999-12-31	2013-05-08
2/1-7	4024.000000	4061.000000	ULA FM	FORMATION	VESTLAND GP	137	179	186	9999-12-31	2013-05-08
2/1-7	4332.000000	5083.000000	UNDIFFERENTIATED	FORMATION	\N	137	182	\N	9999-12-31	2013-05-08
2/1-7	4024.000000	4105.000000	VESTLAND GP	GROUP	\N	137	186	\N	9999-12-31	2013-05-08
2/1-7	3102.000000	3157.000000	VIDAR FM	FORMATION	ROGALAND GP	137	187	131	9999-12-31	2013-05-08
2/1-7	3173.000000	3187.000000	VÅLE FM	FORMATION	ROGALAND GP	137	190	131	9999-12-31	2013-05-08
2/1-7	4332.000000	5084.000000	ZECHSTEIN GP	GROUP	\N	137	194	\N	9999-12-31	2013-05-08
2/1-7	3886.000000	3974.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	137	198	23	9999-12-31	2013-05-08
2/1-7	4105.000000	4332.000000	NO GROUP DEFINED	GROUP	\N	137	208	\N	9999-12-31	2013-05-08
6507/7-1	1906.000000	2053.000000	BRYGGE FM	FORMATION	HORDALAND GP	138	18	67	9999-12-31	2013-05-08
6507/7-1	4478.000000	4825.000000	BÅT GP	GROUP	\N	138	22	\N	9999-12-31	2013-05-08
6507/7-1	2926.000000	3680.000000	CROMER KNOLL GP	GROUP	\N	138	23	\N	9999-12-31	2013-05-08
6507/7-1	4338.000000	4478.000000	FANGST GP	GROUP	\N	138	38	\N	9999-12-31	2013-05-08
6507/7-1	1906.000000	2053.000000	HORDALAND GP	GROUP	\N	138	67	\N	9999-12-31	2013-05-08
6507/7-1	4338.000000	4478.000000	ILE FM	FORMATION	FANGST GP	138	70	38	9999-12-31	2013-05-08
6507/7-1	1483.000000	1906.000000	KAI FM	FORMATION	NORDLAND GP	138	77	113	9999-12-31	2013-05-08
6507/7-1	2824.000000	2926.000000	KVITNOS FM	FORMATION	SHETLAND GP	138	91	143	9999-12-31	2013-05-08
6507/7-1	3000.000000	3495.000000	LANGE FM	FORMATION	CROMER KNOLL GP	138	94	23	9999-12-31	2013-05-08
6507/7-1	3645.000000	3680.000000	LYR FM	FORMATION	CROMER KNOLL GP	138	98	23	9999-12-31	2013-05-08
6507/7-1	2926.000000	3000.000000	LYSING FM	FORMATION	CROMER KNOLL GP	138	99	23	9999-12-31	2013-05-08
6507/7-1	3785.000000	4338.000000	MELKE FM	FORMATION	VIKING GP	138	105	188	9999-12-31	2013-05-08
6507/7-1	392.000000	1483.000000	NAUST FM	FORMATION	NORDLAND GP	138	109	113	9999-12-31	2013-05-08
6507/7-1	3495.000000	3645.000000	NO FORMAL NAME	FORMATION	\N	138	111	\N	9999-12-31	2013-05-08
6507/7-1	2400.000000	2824.000000	NISE FM	FORMATION	SHETLAND GP	138	112	143	9999-12-31	2013-05-08
6507/7-1	392.000000	1906.000000	NORDLAND GP	GROUP	\N	138	113	\N	9999-12-31	2013-05-08
6507/7-1	2053.000000	2159.000000	ROGALAND GP	GROUP	\N	138	131	\N	9999-12-31	2013-05-08
6507/7-1	4478.000000	4586.000000	ROR FM	FORMATION	BÅT GP	138	135	22	9999-12-31	2013-05-08
6507/7-1	2159.000000	2926.000000	SHETLAND GP	GROUP	\N	138	143	\N	9999-12-31	2013-05-08
6507/7-1	3680.000000	3785.000000	SPEKK FM	FORMATION	VIKING GP	138	155	188	9999-12-31	2013-05-08
6507/7-1	2159.000000	2400.000000	SPRINGAR FM	FORMATION	SHETLAND GP	138	156	143	9999-12-31	2013-05-08
6507/7-1	2102.000000	2159.000000	TANG FM	FORMATION	ROGALAND GP	138	161	131	9999-12-31	2013-05-08
6507/7-1	2053.000000	2102.000000	TARE FM	FORMATION	ROGALAND GP	138	163	131	9999-12-31	2013-05-08
6507/7-1	4586.000000	4825.000000	TILJE FM	FORMATION	BÅT GP	138	169	22	9999-12-31	2013-05-08
6507/7-1	3680.000000	4338.000000	VIKING GP	GROUP	\N	138	188	\N	9999-12-31	2013-05-08
34/10-9	2214.000000	2375.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	140	4	29	9999-12-31	2013-05-08
34/10-9	1510.000000	1575.000000	BALDER FM	FORMATION	ROGALAND GP	140	6	131	9999-12-31	2013-05-08
34/10-9	1833.000000	1957.000000	BRENT GP	GROUP	\N	140	16	\N	9999-12-31	2013-05-08
34/10-9	1945.000000	1957.000000	BROOM FM	FORMATION	BRENT GP	140	17	16	9999-12-31	2013-05-08
34/10-9	2203.000000	2214.000000	BURTON FM	FORMATION	DUNLIN GP	140	20	29	9999-12-31	2013-05-08
34/10-9	2083.000000	2203.000000	COOK FM	FORMATION	DUNLIN GP	140	24	29	9999-12-31	2013-05-08
34/10-9	1957.000000	2083.000000	DRAKE FM	FORMATION	DUNLIN GP	140	27	29	9999-12-31	2013-05-08
34/10-9	1957.000000	2375.000000	DUNLIN GP	GROUP	\N	140	29	\N	9999-12-31	2013-05-08
34/10-9	1836.000000	1867.000000	ETIVE FM	FORMATION	BRENT GP	140	35	16	9999-12-31	2013-05-08
34/10-9	990.000000	1510.000000	HORDALAND GP	GROUP	\N	140	67	\N	9999-12-31	2013-05-08
34/10-9	1696.000000	1767.000000	JORSALFARE FM	FORMATION	SHETLAND GP	140	74	143	9999-12-31	2013-05-08
34/10-9	1767.000000	1833.000000	KYRRE FM	FORMATION	SHETLAND GP	140	92	143	9999-12-31	2013-05-08
34/10-9	1575.000000	1696.000000	LISTA FM	FORMATION	ROGALAND GP	140	95	131	9999-12-31	2013-05-08
34/10-9	2375.000000	2200.000000	NANSEN MBR	MEMBER	STATFJORD FM	140	108	157	9999-12-31	2013-05-08
34/10-9	1833.000000	1836.000000	NESS FM	FORMATION	BRENT GP	140	110	16	9999-12-31	2013-05-08
34/10-9	945.000000	990.000000	NO FORMAL NAME	FORMATION	\N	140	111	\N	9999-12-31	2013-05-08
34/10-9	1163.000000	1362.000000	NO FORMAL NAME	FORMATION	\N	140	111	\N	9999-12-31	2013-05-08
34/10-9	1362.000000	1510.000000	NO FORMAL NAME	FORMATION	\N	140	111	\N	9999-12-31	2013-05-08
34/10-9	227.000000	990.000000	NORDLAND GP	GROUP	\N	140	113	\N	9999-12-31	2013-05-08
34/10-9	1867.000000	1945.000000	RANNOCH FM	FORMATION	BRENT GP	140	126	16	9999-12-31	2013-05-08
34/10-9	1510.000000	1696.000000	ROGALAND GP	GROUP	\N	140	131	\N	9999-12-31	2013-05-08
34/10-9	1696.000000	1833.000000	SHETLAND GP	GROUP	\N	140	143	\N	9999-12-31	2013-05-08
34/10-9	2375.000000	2200.000000	STATFJORD FM	FORMATION	\N	140	157	\N	9999-12-31	2013-05-08
34/10-9	921.000000	945.000000	UTSIRA FM	FORMATION	NORDLAND GP	140	183	113	9999-12-31	2013-05-08
34/10-9	2375.000000	2200.000000	NO GROUP DEFINED	GROUP	\N	140	208	\N	9999-12-31	2013-05-08
31/6-7	540.000000	698.000000	HORDALAND GP	GROUP	\N	141	67	\N	9999-12-31	2013-05-08
31/6-7	540.000000	698.000000	NO FORMAL NAME	FORMATION	\N	141	111	\N	9999-12-31	2013-05-08
31/6-7	325.000000	540.000000	NORDLAND GP	GROUP	\N	141	113	\N	9999-12-31	2013-05-08
8/3-1	930.000000	955.000000	BALDER FM	FORMATION	ROGALAND GP	142	6	131	9999-12-31	2013-05-08
8/3-1	2965.000000	3015.000000	BASEMENT	GROUP	\N	142	10	\N	9999-12-31	2013-05-08
8/3-1	1628.000000	2040.000000	BOKNFJORD GP	GROUP	\N	142	15	\N	9999-12-31	2013-05-08
8/3-1	1315.000000	1628.000000	CROMER KNOLL GP	GROUP	\N	142	23	\N	9999-12-31	2013-05-08
8/3-1	1890.000000	2040.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	142	30	15	9999-12-31	2013-05-08
8/3-1	1040.000000	1090.000000	EKOFISK FM	FORMATION	SHETLAND GP	142	33	143	9999-12-31	2013-05-08
8/3-1	1628.000000	1658.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	142	43	15	9999-12-31	2013-05-08
8/3-1	475.000000	930.000000	HORDALAND GP	GROUP	\N	142	67	\N	9999-12-31	2013-05-08
8/3-1	975.000000	1030.000000	LISTA FM	FORMATION	ROGALAND GP	142	95	131	9999-12-31	2013-05-08
8/3-1	120.000000	475.000000	NORDLAND GP	GROUP	\N	142	113	\N	9999-12-31	2013-05-08
8/3-1	930.000000	1040.000000	ROGALAND GP	GROUP	\N	142	131	\N	9999-12-31	2013-05-08
8/3-1	2040.000000	2113.000000	SANDNES FM	FORMATION	VESTLAND GP	142	139	186	9999-12-31	2013-05-08
8/3-1	1658.000000	1831.000000	SAUDA FM	FORMATION	BOKNFJORD GP	142	141	15	9999-12-31	2013-05-08
8/3-1	955.000000	975.000000	SELE FM	FORMATION	ROGALAND GP	142	142	131	9999-12-31	2013-05-08
8/3-1	1040.000000	1315.000000	SHETLAND GP	GROUP	\N	142	143	\N	9999-12-31	2013-05-08
8/3-1	2113.000000	2205.000000	SKAGERRAK FM	FORMATION	HEGRE GP	142	146	61	9999-12-31	2013-05-08
8/3-1	1831.000000	1890.000000	TAU FM	FORMATION	BOKNFJORD GP	142	164	15	9999-12-31	2013-05-08
8/3-1	1090.000000	1315.000000	TOR FM	FORMATION	SHETLAND GP	142	171	143	9999-12-31	2013-05-08
8/3-1	2040.000000	2113.000000	VESTLAND GP	GROUP	\N	142	186	\N	9999-12-31	2013-05-08
8/3-1	1030.000000	1040.000000	VÅLE FM	FORMATION	ROGALAND GP	142	190	131	9999-12-31	2013-05-08
8/3-1	2205.000000	2965.000000	ZECHSTEIN GP	GROUP	\N	142	194	\N	9999-12-31	2013-05-08
8/3-1	1315.000000	1628.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	142	198	23	9999-12-31	2013-05-08
8/3-1	2113.000000	2205.000000	NO GROUP DEFINED	GROUP	\N	142	208	\N	9999-12-31	2013-05-08
25/11-1	1698.000000	1753.000000	BALDER FM	FORMATION	ROGALAND GP	143	6	131	9999-12-31	2013-05-08
25/11-1	1768.000000	1778.000000	BALDER FM	FORMATION	ROGALAND GP	143	6	131	9999-12-31	2013-05-08
25/11-1	1753.000000	1768.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	143	7	131	9999-12-31	2013-05-08
25/11-1	2391.000000	2459.000000	BASEMENT	GROUP	\N	143	10	\N	9999-12-31	2013-05-08
25/11-1	1920.000000	1980.000000	CROMER KNOLL GP	GROUP	\N	143	23	\N	9999-12-31	2013-05-08
25/11-1	1980.000000	1988.000000	DRAUPNE FM	FORMATION	VIKING GP	143	28	188	9999-12-31	2013-05-08
25/11-1	1895.000000	1920.000000	EKOFISK FM	FORMATION	SHETLAND GP	143	33	143	9999-12-31	2013-05-08
25/11-1	1794.000000	1817.000000	HERMOD FM	FORMATION	ROGALAND GP	143	64	131	9999-12-31	2013-05-08
25/11-1	758.000000	1698.000000	HORDALAND GP	GROUP	\N	143	67	\N	9999-12-31	2013-05-08
25/11-1	1821.000000	1868.000000	LISTA FM	FORMATION	ROGALAND GP	143	95	131	9999-12-31	2013-05-08
25/11-1	731.000000	758.000000	NO FORMAL NAME	FORMATION	\N	143	111	\N	9999-12-31	2013-05-08
25/11-1	976.000000	1085.000000	NO FORMAL NAME	FORMATION	\N	143	111	\N	9999-12-31	2013-05-08
25/11-1	1110.000000	1698.000000	NO FORMAL NAME	FORMATION	\N	143	111	\N	9999-12-31	2013-05-08
25/11-1	154.000000	758.000000	NORDLAND GP	GROUP	\N	143	113	\N	9999-12-31	2013-05-08
25/11-1	1698.000000	1895.000000	ROGALAND GP	GROUP	\N	143	131	\N	9999-12-31	2013-05-08
25/11-1	1920.000000	1938.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	143	137	23	9999-12-31	2013-05-08
25/11-1	1778.000000	1794.000000	SELE FM	FORMATION	ROGALAND GP	143	142	131	9999-12-31	2013-05-08
25/11-1	1817.000000	1821.000000	SELE FM	FORMATION	ROGALAND GP	143	142	131	9999-12-31	2013-05-08
25/11-1	1895.000000	1920.000000	SHETLAND GP	GROUP	\N	143	143	\N	9999-12-31	2013-05-08
25/11-1	758.000000	976.000000	SKADE FM	FORMATION	HORDALAND GP	143	145	67	9999-12-31	2013-05-08
25/11-1	1085.000000	1110.000000	SKADE FM	FORMATION	HORDALAND GP	143	145	67	9999-12-31	2013-05-08
25/11-1	2109.000000	2391.000000	SKAGERRAK FM	FORMATION	HEGRE GP	143	146	61	9999-12-31	2013-05-08
25/11-1	1938.000000	1980.000000	SOLA FM	FORMATION	CROMER KNOLL GP	143	152	23	9999-12-31	2013-05-08
25/11-1	1988.000000	2109.000000	STATFJORD FM	FORMATION	\N	143	157	\N	9999-12-31	2013-05-08
25/11-1	1868.000000	1895.000000	TY FM	FORMATION	ROGALAND GP	143	176	131	9999-12-31	2013-05-08
25/11-1	615.000000	731.000000	UTSIRA FM	FORMATION	NORDLAND GP	143	183	113	9999-12-31	2013-05-08
25/11-1	1980.000000	1988.000000	VIKING GP	GROUP	\N	143	188	\N	9999-12-31	2013-05-08
25/11-1	1988.000000	2109.000000	NO GROUP DEFINED	GROUP	\N	143	208	\N	9999-12-31	2013-05-08
25/11-1	2109.000000	2391.000000	NO GROUP DEFINED	GROUP	\N	143	208	\N	9999-12-31	2013-05-08
16/2-1	1625.000000	1645.000000	BALDER FM	FORMATION	ROGALAND GP	144	6	131	9999-12-31	2013-05-08
16/2-1	1873.000000	1906.000000	BASEMENT	GROUP	\N	144	10	\N	9999-12-31	2013-05-08
16/2-1	1850.000000	1873.000000	CROMER KNOLL GP	GROUP	\N	144	23	\N	9999-12-31	2013-05-08
16/2-1	1838.000000	1850.000000	HOD FM	FORMATION	SHETLAND GP	144	66	143	9999-12-31	2013-05-08
16/2-1	939.000000	1625.000000	HORDALAND GP	GROUP	\N	144	67	\N	9999-12-31	2013-05-08
16/2-1	1669.000000	1732.000000	LISTA FM	FORMATION	ROGALAND GP	144	95	131	9999-12-31	2013-05-08
16/2-1	866.000000	939.000000	NO FORMAL NAME	FORMATION	\N	144	111	\N	9999-12-31	2013-05-08
16/2-1	1015.000000	1053.000000	NO FORMAL NAME	FORMATION	\N	144	111	\N	9999-12-31	2013-05-08
16/2-1	1154.000000	1625.000000	NO FORMAL NAME	FORMATION	\N	144	111	\N	9999-12-31	2013-05-08
16/2-1	139.000000	939.000000	NORDLAND GP	GROUP	\N	144	113	\N	9999-12-31	2013-05-08
16/2-1	1625.000000	1732.000000	ROGALAND GP	GROUP	\N	144	131	\N	9999-12-31	2013-05-08
16/2-1	1850.000000	1858.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	144	137	23	9999-12-31	2013-05-08
16/2-1	1645.000000	1669.000000	SELE FM	FORMATION	ROGALAND GP	144	142	131	9999-12-31	2013-05-08
16/2-1	1732.000000	1850.000000	SHETLAND GP	GROUP	\N	144	143	\N	9999-12-31	2013-05-08
16/2-1	939.000000	1015.000000	SKADE FM	FORMATION	HORDALAND GP	144	145	67	9999-12-31	2013-05-08
16/2-1	1053.000000	1154.000000	SKADE FM	FORMATION	HORDALAND GP	144	145	67	9999-12-31	2013-05-08
16/2-1	1858.000000	1873.000000	SOLA FM	FORMATION	CROMER KNOLL GP	144	152	23	9999-12-31	2013-05-08
16/2-1	1732.000000	1838.000000	TOR FM	FORMATION	SHETLAND GP	144	171	143	9999-12-31	2013-05-08
16/2-1	797.000000	866.000000	UTSIRA FM	FORMATION	NORDLAND GP	144	183	113	9999-12-31	2013-05-08
9/8-1	1120.000000	1140.000000	BALDER FM	FORMATION	ROGALAND GP	145	6	131	9999-12-31	2013-05-08
9/8-1	1597.000000	1625.000000	BLODØKS FM	FORMATION	SHETLAND GP	145	13	143	9999-12-31	2013-05-08
9/8-1	1777.000000	1922.000000	BOKNFJORD GP	GROUP	\N	145	15	\N	9999-12-31	2013-05-08
9/8-1	1777.000000	1825.000000	BØRGLUM UNIT	FORMATION	BOKNFJORD GP	145	21	15	9999-12-31	2013-05-08
9/8-1	1625.000000	1777.000000	CROMER KNOLL GP	GROUP	\N	145	23	\N	9999-12-31	2013-05-08
9/8-1	1825.000000	1922.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	145	30	15	9999-12-31	2013-05-08
9/8-1	1275.000000	1300.000000	EKOFISK FM	FORMATION	SHETLAND GP	145	33	143	9999-12-31	2013-05-08
9/8-1	1530.000000	1597.000000	HOD FM	FORMATION	SHETLAND GP	145	66	143	9999-12-31	2013-05-08
9/8-1	568.000000	1120.000000	HORDALAND GP	GROUP	\N	145	67	\N	9999-12-31	2013-05-08
9/8-1	1177.000000	1233.000000	LISTA FM	FORMATION	ROGALAND GP	145	95	131	9999-12-31	2013-05-08
9/8-1	98.000000	568.000000	NORDLAND GP	GROUP	\N	145	113	\N	9999-12-31	2013-05-08
9/8-1	1120.000000	1275.000000	ROGALAND GP	GROUP	\N	145	131	\N	9999-12-31	2013-05-08
9/8-1	1625.000000	1695.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	145	137	23	9999-12-31	2013-05-08
9/8-1	1922.000000	2109.000000	SANDNES FM	FORMATION	VESTLAND GP	145	139	186	9999-12-31	2013-05-08
9/8-1	1140.000000	1177.000000	SELE FM	FORMATION	ROGALAND GP	145	142	131	9999-12-31	2013-05-08
9/8-1	1275.000000	1625.000000	SHETLAND GP	GROUP	\N	145	143	\N	9999-12-31	2013-05-08
9/8-1	1300.000000	1530.000000	TOR FM	FORMATION	SHETLAND GP	145	171	143	9999-12-31	2013-05-08
9/8-1	1922.000000	2109.000000	VESTLAND GP	GROUP	\N	145	186	\N	9999-12-31	2013-05-08
9/8-1	1233.000000	1275.000000	VÅLE FM	FORMATION	ROGALAND GP	145	190	131	9999-12-31	2013-05-08
9/8-1	2109.000000	2176.000000	ZECHSTEIN GP	GROUP	\N	145	194	\N	9999-12-31	2013-05-08
9/8-1	1695.000000	1777.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	145	198	23	9999-12-31	2013-05-08
16/7-1	1670.000000	1711.000000	BALDER FM	FORMATION	ROGALAND GP	146	6	131	9999-12-31	2013-05-08
16/7-1	1995.000000	2085.000000	CROMER KNOLL GP	GROUP	\N	146	23	\N	9999-12-31	2013-05-08
16/7-1	1955.000000	1995.000000	HOD FM	FORMATION	SHETLAND GP	146	66	143	9999-12-31	2013-05-08
16/7-1	1017.000000	1670.000000	HORDALAND GP	GROUP	\N	146	67	\N	9999-12-31	2013-05-08
16/7-1	1734.000000	1846.000000	LISTA FM	FORMATION	ROGALAND GP	146	95	131	9999-12-31	2013-05-08
16/7-1	106.000000	1017.000000	NORDLAND GP	GROUP	\N	146	113	\N	9999-12-31	2013-05-08
16/7-1	1670.000000	1856.000000	ROGALAND GP	GROUP	\N	146	131	\N	9999-12-31	2013-05-08
16/7-1	1995.000000	2016.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	146	137	23	9999-12-31	2013-05-08
16/7-1	1711.000000	1734.000000	SELE FM	FORMATION	ROGALAND GP	146	142	131	9999-12-31	2013-05-08
16/7-1	1856.000000	1995.000000	SHETLAND GP	GROUP	\N	146	143	\N	9999-12-31	2013-05-08
16/7-1	2016.000000	2040.000000	SOLA FM	FORMATION	CROMER KNOLL GP	146	152	23	9999-12-31	2013-05-08
16/7-1	1856.000000	1955.000000	TOR FM	FORMATION	SHETLAND GP	146	171	143	9999-12-31	2013-05-08
16/7-1	808.000000	1017.000000	UTSIRA FM	FORMATION	NORDLAND GP	146	183	113	9999-12-31	2013-05-08
16/7-1	1846.000000	1856.000000	VÅLE FM	FORMATION	ROGALAND GP	146	190	131	9999-12-31	2013-05-08
16/7-1	2085.000000	2781.000000	ZECHSTEIN GP	GROUP	\N	146	194	\N	9999-12-31	2013-05-08
16/7-1	2040.000000	2085.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	146	198	23	9999-12-31	2013-05-08
16/1-1	2207.000000	2259.000000	BALDER FM	FORMATION	ROGALAND GP	147	6	131	9999-12-31	2013-05-08
16/1-1	2734.000000	2763.000000	EKOFISK FM	FORMATION	SHETLAND GP	147	33	143	9999-12-31	2013-05-08
16/1-1	1854.000000	1942.000000	GRID FM	FORMATION	HORDALAND GP	147	53	67	9999-12-31	2013-05-08
16/1-1	2402.000000	2646.000000	HEIMDAL FM	FORMATION	ROGALAND GP	147	62	131	9999-12-31	2013-05-08
16/1-1	2316.000000	2355.000000	HERMOD FM	FORMATION	ROGALAND GP	147	64	131	9999-12-31	2013-05-08
16/1-1	2926.000000	3203.000000	HOD FM	FORMATION	SHETLAND GP	147	66	143	9999-12-31	2013-05-08
16/1-1	908.000000	2207.000000	HORDALAND GP	GROUP	\N	147	67	\N	9999-12-31	2013-05-08
16/1-1	2361.000000	2402.000000	LISTA FM	FORMATION	ROGALAND GP	147	95	131	9999-12-31	2013-05-08
16/1-1	813.000000	908.000000	NO FORMAL NAME	FORMATION	\N	147	111	\N	9999-12-31	2013-05-08
16/1-1	1127.000000	1222.000000	NO FORMAL NAME	FORMATION	\N	147	111	\N	9999-12-31	2013-05-08
16/1-1	1254.000000	1854.000000	NO FORMAL NAME	FORMATION	\N	147	111	\N	9999-12-31	2013-05-08
16/1-1	1942.000000	2207.000000	NO FORMAL NAME	FORMATION	\N	147	111	\N	9999-12-31	2013-05-08
16/1-1	140.000000	908.000000	NORDLAND GP	GROUP	\N	147	113	\N	9999-12-31	2013-05-08
16/1-1	2207.000000	2734.000000	ROGALAND GP	GROUP	\N	147	131	\N	9999-12-31	2013-05-08
16/1-1	2259.000000	2316.000000	SELE FM	FORMATION	ROGALAND GP	147	142	131	9999-12-31	2013-05-08
16/1-1	2355.000000	2361.000000	SELE FM	FORMATION	ROGALAND GP	147	142	131	9999-12-31	2013-05-08
16/1-1	2734.000000	3203.000000	SHETLAND GP	GROUP	\N	147	143	\N	9999-12-31	2013-05-08
16/1-1	908.000000	1127.000000	SKADE FM	FORMATION	HORDALAND GP	147	145	67	9999-12-31	2013-05-08
16/1-1	1222.000000	1254.000000	SKADE FM	FORMATION	HORDALAND GP	147	145	67	9999-12-31	2013-05-08
16/1-1	2763.000000	2926.000000	TOR FM	FORMATION	SHETLAND GP	147	171	143	9999-12-31	2013-05-08
16/1-1	748.000000	813.000000	UTSIRA FM	FORMATION	NORDLAND GP	147	183	113	9999-12-31	2013-05-08
16/1-1	2646.000000	2734.000000	VÅLE FM	FORMATION	ROGALAND GP	147	190	131	9999-12-31	2013-05-08
16/6-1	1255.000000	1292.000000	BALDER FM	FORMATION	ROGALAND GP	148	6	131	9999-12-31	2013-05-08
16/6-1	2055.000000	2061.000000	BASEMENT	GROUP	\N	148	10	\N	9999-12-31	2013-05-08
16/6-1	1654.000000	1734.000000	BLODØKS FM	FORMATION	SHETLAND GP	148	13	143	9999-12-31	2013-05-08
16/6-1	1771.000000	2019.000000	CROMER KNOLL GP	GROUP	\N	148	23	\N	9999-12-31	2013-05-08
16/6-1	2019.000000	2051.000000	DRAUPNE FM	FORMATION	VIKING GP	148	28	188	9999-12-31	2013-05-08
16/6-1	1344.000000	1362.000000	EKOFISK FM	FORMATION	SHETLAND GP	148	33	143	9999-12-31	2013-05-08
16/6-1	1548.000000	1654.000000	HOD FM	FORMATION	SHETLAND GP	148	66	143	9999-12-31	2013-05-08
16/6-1	769.000000	1255.000000	HORDALAND GP	GROUP	\N	148	67	\N	9999-12-31	2013-05-08
16/6-1	1307.000000	1335.000000	LISTA FM	FORMATION	ROGALAND GP	148	95	131	9999-12-31	2013-05-08
16/6-1	145.000000	769.000000	NORDLAND GP	GROUP	\N	148	113	\N	9999-12-31	2013-05-08
16/6-1	1255.000000	1344.000000	ROGALAND GP	GROUP	\N	148	131	\N	9999-12-31	2013-05-08
16/6-1	1771.000000	1894.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	148	137	23	9999-12-31	2013-05-08
16/6-1	1292.000000	1307.000000	SELE FM	FORMATION	ROGALAND GP	148	142	131	9999-12-31	2013-05-08
16/6-1	1344.000000	1771.000000	SHETLAND GP	GROUP	\N	148	143	\N	9999-12-31	2013-05-08
16/6-1	1894.000000	1925.000000	SOLA FM	FORMATION	CROMER KNOLL GP	148	152	23	9999-12-31	2013-05-08
16/6-1	1734.000000	1771.000000	SVARTE FM	FORMATION	SHETLAND GP	148	160	143	9999-12-31	2013-05-08
16/6-1	1362.000000	1548.000000	TOR FM	FORMATION	SHETLAND GP	148	171	143	9999-12-31	2013-05-08
16/6-1	722.000000	769.000000	UTSIRA FM	FORMATION	NORDLAND GP	148	183	113	9999-12-31	2013-05-08
16/6-1	2019.000000	2051.000000	VIKING GP	GROUP	\N	148	188	\N	9999-12-31	2013-05-08
16/6-1	1335.000000	1344.000000	VÅLE FM	FORMATION	ROGALAND GP	148	190	131	9999-12-31	2013-05-08
16/6-1	2051.000000	2055.000000	UNDEFINED GP	GROUP	\N	148	191	\N	9999-12-31	2013-05-08
16/6-1	1925.000000	2019.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	148	198	23	9999-12-31	2013-05-08
7/11-1	2868.000000	2883.000000	BALDER FM	FORMATION	ROGALAND GP	149	6	131	9999-12-31	2013-05-08
7/11-1	3700.000000	3703.000000	BLODØKS FM	FORMATION	SHETLAND GP	149	13	143	9999-12-31	2013-05-08
7/11-1	2904.000000	3069.000000	FORTIES FM	FORMATION	ROGALAND GP	149	44	131	9999-12-31	2013-05-08
7/11-1	3703.000000	3740.000000	HIDRA FM	FORMATION	SHETLAND GP	149	65	143	9999-12-31	2013-05-08
7/11-1	3454.000000	3700.000000	HOD FM	FORMATION	SHETLAND GP	149	66	143	9999-12-31	2013-05-08
7/11-1	1527.000000	2868.000000	HORDALAND GP	GROUP	\N	149	67	\N	9999-12-31	2013-05-08
7/11-1	3069.000000	3173.000000	MAUREEN FM	FORMATION	ROGALAND GP	149	102	131	9999-12-31	2013-05-08
7/11-1	105.000000	1527.000000	NORDLAND GP	GROUP	\N	149	113	\N	2013-02-15	2013-05-08
7/11-1	2868.000000	3173.000000	ROGALAND GP	GROUP	\N	149	131	\N	9999-12-31	2013-05-08
7/11-1	2883.000000	2904.000000	SELE FM	FORMATION	ROGALAND GP	149	142	131	9999-12-31	2013-05-08
7/11-1	3173.000000	3740.000000	SHETLAND GP	GROUP	\N	149	143	\N	2013-02-15	2013-05-08
7/11-1	3173.000000	3454.000000	TOR FM	FORMATION	SHETLAND GP	149	171	143	2013-02-15	2013-05-08
7/11-1	3740.000000	3974.000000	ZECHSTEIN GP	GROUP	\N	149	194	\N	9999-12-31	2013-05-08
9/4-1	1127.000000	1154.000000	BALDER FM	FORMATION	ROGALAND GP	150	6	131	9999-12-31	2013-05-08
9/4-1	1804.000000	1811.000000	BLODØKS FM	FORMATION	SHETLAND GP	150	13	143	9999-12-31	2013-05-08
9/4-1	1985.000000	2288.000000	BOKNFJORD GP	GROUP	\N	150	15	\N	9999-12-31	2013-05-08
9/4-1	2319.000000	2329.000000	BRYNE FM	FORMATION	VESTLAND GP	150	19	186	9999-12-31	2013-05-08
9/4-1	1811.000000	1985.000000	CROMER KNOLL GP	GROUP	\N	150	23	\N	9999-12-31	2013-05-08
9/4-1	2251.000000	2288.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	150	30	15	9999-12-31	2013-05-08
9/4-1	1336.000000	1365.000000	EKOFISK FM	FORMATION	SHETLAND GP	150	33	143	9999-12-31	2013-05-08
9/4-1	1174.000000	1230.000000	FISKEBANK FM	FORMATION	ROGALAND GP	150	41	131	9999-12-31	2013-05-08
9/4-1	1985.000000	2047.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	150	43	15	9999-12-31	2013-05-08
9/4-1	1690.000000	1804.000000	HOD FM	FORMATION	SHETLAND GP	150	66	143	9999-12-31	2013-05-08
9/4-1	518.000000	1127.000000	HORDALAND GP	GROUP	\N	150	67	\N	9999-12-31	2013-05-08
9/4-1	1230.000000	1269.000000	LISTA FM	FORMATION	ROGALAND GP	150	95	131	9999-12-31	2013-05-08
9/4-1	97.000000	518.000000	NORDLAND GP	GROUP	\N	150	113	\N	9999-12-31	2013-05-08
9/4-1	1127.000000	1336.000000	ROGALAND GP	GROUP	\N	150	131	\N	9999-12-31	2013-05-08
9/4-1	1811.000000	1822.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	150	137	23	9999-12-31	2013-05-08
9/4-1	2288.000000	2319.000000	SANDNES FM	FORMATION	VESTLAND GP	150	139	186	9999-12-31	2013-05-08
9/4-1	2047.000000	2200.000000	SAUDA FM	FORMATION	BOKNFJORD GP	150	141	15	9999-12-31	2013-05-08
9/4-1	1154.000000	1174.000000	SELE FM	FORMATION	ROGALAND GP	150	142	131	9999-12-31	2013-05-08
9/4-1	1336.000000	1811.000000	SHETLAND GP	GROUP	\N	150	143	\N	9999-12-31	2013-05-08
9/4-1	2329.000000	2590.000000	SKAGERRAK FM	FORMATION	HEGRE GP	150	146	61	9999-12-31	2013-05-08
9/4-1	2590.000000	2939.000000	SMITH BANK FM	FORMATION	HEGRE GP	150	149	61	9999-12-31	2013-05-08
9/4-1	1822.000000	1847.000000	SOLA FM	FORMATION	CROMER KNOLL GP	150	152	23	9999-12-31	2013-05-08
9/4-1	2200.000000	2251.000000	TAU FM	FORMATION	BOKNFJORD GP	150	164	15	9999-12-31	2013-05-08
9/4-1	1365.000000	1690.000000	TOR FM	FORMATION	SHETLAND GP	150	171	143	9999-12-31	2013-05-08
9/4-1	2288.000000	2329.000000	VESTLAND GP	GROUP	\N	150	186	\N	9999-12-31	2013-05-08
9/4-1	1269.000000	1336.000000	VÅLE FM	FORMATION	ROGALAND GP	150	190	131	9999-12-31	2013-05-08
9/4-1	2939.000000	2963.000000	ZECHSTEIN GP	GROUP	\N	150	194	\N	9999-12-31	2013-05-08
9/4-1	1847.000000	1985.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	150	198	23	9999-12-31	2013-05-08
9/4-1	2329.000000	2939.000000	NO GROUP DEFINED	GROUP	\N	150	208	\N	9999-12-31	2013-05-08
16/9-1	1310.000000	1336.000000	BALDER FM	FORMATION	ROGALAND GP	151	6	131	9999-12-31	2013-05-08
16/9-1	1829.000000	2295.000000	CROMER KNOLL GP	GROUP	\N	151	23	\N	9999-12-31	2013-05-08
16/9-1	2295.000000	2360.000000	DRAUPNE FM	FORMATION	VIKING GP	151	28	188	9999-12-31	2013-05-08
16/9-1	1393.000000	1425.000000	EKOFISK FM	FORMATION	SHETLAND GP	151	33	143	9999-12-31	2013-05-08
16/9-1	1600.000000	1829.000000	HOD FM	FORMATION	SHETLAND GP	151	66	143	9999-12-31	2013-05-08
16/9-1	825.000000	1310.000000	HORDALAND GP	GROUP	\N	151	67	\N	9999-12-31	2013-05-08
16/9-1	1354.000000	1393.000000	LISTA FM	FORMATION	ROGALAND GP	151	95	131	9999-12-31	2013-05-08
16/9-1	98.000000	825.000000	NORDLAND GP	GROUP	\N	151	113	\N	9999-12-31	2013-05-08
16/9-1	1310.000000	1393.000000	ROGALAND GP	GROUP	\N	151	131	\N	9999-12-31	2013-05-08
16/9-1	1829.000000	1919.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	151	137	23	9999-12-31	2013-05-08
16/9-1	1336.000000	1354.000000	SELE FM	FORMATION	ROGALAND GP	151	142	131	9999-12-31	2013-05-08
16/9-1	1393.000000	1829.000000	SHETLAND GP	GROUP	\N	151	143	\N	9999-12-31	2013-05-08
16/9-1	2464.000000	3074.000000	SKAGERRAK FM	FORMATION	HEGRE GP	151	146	61	9999-12-31	2013-05-08
16/9-1	3074.000000	3199.000000	SMITH BANK FM	FORMATION	HEGRE GP	151	149	61	9999-12-31	2013-05-08
16/9-1	1425.000000	1600.000000	TOR FM	FORMATION	SHETLAND GP	151	171	143	9999-12-31	2013-05-08
16/9-1	2360.000000	2464.000000	VESTLAND GP	GROUP	\N	151	186	\N	9999-12-31	2013-05-08
16/9-1	2295.000000	2360.000000	VIKING GP	GROUP	\N	151	188	\N	9999-12-31	2013-05-08
16/9-1	3199.000000	3655.000000	ZECHSTEIN GP	GROUP	\N	151	194	\N	9999-12-31	2013-05-08
16/9-1	1919.000000	2295.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	151	198	23	9999-12-31	2013-05-08
16/9-1	2464.000000	3199.000000	NO GROUP DEFINED	GROUP	\N	151	208	\N	9999-12-31	2013-05-08
9/4-3	1092.000000	1114.000000	BALDER FM	FORMATION	ROGALAND GP	152	6	131	9999-12-31	2013-05-08
9/4-3	1935.000000	1958.000000	BLODØKS FM	FORMATION	SHETLAND GP	152	13	143	9999-12-31	2013-05-08
9/4-3	2200.000000	2490.000000	BOKNFJORD GP	GROUP	\N	152	15	\N	9999-12-31	2013-05-08
9/4-3	2508.000000	2613.000000	BRYNE FM	FORMATION	VESTLAND GP	152	19	186	9999-12-31	2013-05-08
9/4-3	1967.000000	2200.000000	CROMER KNOLL GP	GROUP	\N	152	23	\N	9999-12-31	2013-05-08
9/4-3	2437.000000	2490.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	152	30	15	9999-12-31	2013-05-08
9/4-3	1305.000000	1328.000000	EKOFISK FM	FORMATION	SHETLAND GP	152	33	143	9999-12-31	2013-05-08
9/4-3	1150.000000	1200.000000	FISKEBANK FM	FORMATION	ROGALAND GP	152	41	131	9999-12-31	2013-05-08
9/4-3	2200.000000	2250.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	152	43	15	9999-12-31	2013-05-08
9/4-3	1958.000000	1967.000000	HIDRA FM	FORMATION	SHETLAND GP	152	65	143	9999-12-31	2013-05-08
9/4-3	1730.000000	1935.000000	HOD FM	FORMATION	SHETLAND GP	152	66	143	9999-12-31	2013-05-08
9/4-3	520.000000	1092.000000	HORDALAND GP	GROUP	\N	152	67	\N	9999-12-31	2013-05-08
9/4-3	1250.000000	1286.000000	LISTA FM	FORMATION	ROGALAND GP	152	95	131	9999-12-31	2013-05-08
9/4-3	100.000000	520.000000	NORDLAND GP	GROUP	\N	152	113	\N	9999-12-31	2013-05-08
9/4-3	1092.000000	1305.000000	ROGALAND GP	GROUP	\N	152	131	\N	9999-12-31	2013-05-08
9/4-3	1967.000000	1983.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	152	137	23	9999-12-31	2013-05-08
9/4-3	2490.000000	2508.000000	SANDNES FM	FORMATION	VESTLAND GP	152	139	186	9999-12-31	2013-05-08
9/4-3	2250.000000	2400.000000	SAUDA FM	FORMATION	BOKNFJORD GP	152	141	15	9999-12-31	2013-05-08
9/4-3	1114.000000	1150.000000	SELE FM	FORMATION	ROGALAND GP	152	142	131	9999-12-31	2013-05-08
9/4-3	1200.000000	1250.000000	SELE FM	FORMATION	ROGALAND GP	152	142	131	9999-12-31	2013-05-08
9/4-3	1305.000000	1967.000000	SHETLAND GP	GROUP	\N	152	143	\N	9999-12-31	2013-05-08
9/4-3	2613.000000	2682.000000	SKAGERRAK FM	FORMATION	HEGRE GP	152	146	61	9999-12-31	2013-05-08
9/4-3	1983.000000	2059.000000	SOLA FM	FORMATION	CROMER KNOLL GP	152	152	23	9999-12-31	2013-05-08
9/4-3	2400.000000	2437.000000	TAU FM	FORMATION	BOKNFJORD GP	152	164	15	9999-12-31	2013-05-08
9/4-3	1328.000000	1730.000000	TOR FM	FORMATION	SHETLAND GP	152	171	143	9999-12-31	2013-05-08
9/4-3	2490.000000	2613.000000	VESTLAND GP	GROUP	\N	152	186	\N	9999-12-31	2013-05-08
9/4-3	1286.000000	1305.000000	VÅLE FM	FORMATION	ROGALAND GP	152	190	131	9999-12-31	2013-05-08
9/4-3	2059.000000	2200.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	152	198	23	9999-12-31	2013-05-08
9/4-3	2613.000000	2682.000000	NO GROUP DEFINED	GROUP	\N	152	208	\N	9999-12-31	2013-05-08
17/4-1	1041.000000	1080.000000	BALDER FM	FORMATION	ROGALAND GP	153	6	131	9999-12-31	2013-05-08
17/4-1	1408.000000	1438.000000	BLODØKS FM	FORMATION	SHETLAND GP	153	13	143	9999-12-31	2013-05-08
17/4-1	1444.000000	2122.000000	CROMER KNOLL GP	GROUP	\N	153	23	\N	9999-12-31	2013-05-08
17/4-1	2122.000000	2217.000000	DRAUPNE FM	FORMATION	VIKING GP	153	28	188	9999-12-31	2013-05-08
17/4-1	2217.000000	2265.000000	HEATHER FM	FORMATION	VIKING GP	153	60	188	9999-12-31	2013-05-08
17/4-1	1438.000000	1444.000000	HIDRA FM	FORMATION	SHETLAND GP	153	65	143	9999-12-31	2013-05-08
17/4-1	1370.000000	1408.000000	HOD FM	FORMATION	SHETLAND GP	153	66	143	9999-12-31	2013-05-08
17/4-1	544.000000	1041.000000	HORDALAND GP	GROUP	\N	153	67	\N	9999-12-31	2013-05-08
17/4-1	3834.000000	3834.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	153	88	194	9999-12-31	2013-05-08
17/4-1	1108.000000	1150.000000	LISTA FM	FORMATION	ROGALAND GP	153	95	131	9999-12-31	2013-05-08
17/4-1	2080.000000	2122.000000	MIME FM	FORMATION	CROMER KNOLL GP	153	106	23	9999-12-31	2013-05-08
17/4-1	132.000000	544.000000	NORDLAND GP	GROUP	\N	153	113	\N	9999-12-31	2013-05-08
17/4-1	1041.000000	1163.000000	ROGALAND GP	GROUP	\N	153	131	\N	9999-12-31	2013-05-08
17/4-1	3834.000000	3997.000000	ROTLIEGEND GP	GROUP	\N	153	136	\N	9999-12-31	2013-05-08
17/4-1	1444.000000	1706.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	153	137	23	9999-12-31	2013-05-08
17/4-1	1080.000000	1108.000000	SELE FM	FORMATION	ROGALAND GP	153	142	131	9999-12-31	2013-05-08
17/4-1	1163.000000	1444.000000	SHETLAND GP	GROUP	\N	153	143	\N	9999-12-31	2013-05-08
17/4-1	2352.000000	2532.000000	SKAGERRAK FM	FORMATION	HEGRE GP	153	146	61	9999-12-31	2013-05-08
17/4-1	2532.000000	2665.000000	SMITH BANK FM	FORMATION	HEGRE GP	153	149	61	9999-12-31	2013-05-08
17/4-1	1163.000000	1370.000000	TOR FM	FORMATION	SHETLAND GP	153	171	143	9999-12-31	2013-05-08
17/4-1	2665.000000	3834.000000	UNDIFFERENTIATED	FORMATION	\N	153	182	\N	9999-12-31	2013-05-08
17/4-1	2265.000000	2352.000000	VESTLAND GP	GROUP	\N	153	186	\N	9999-12-31	2013-05-08
17/4-1	2122.000000	2265.000000	VIKING GP	GROUP	\N	153	188	\N	9999-12-31	2013-05-08
17/4-1	1150.000000	1163.000000	VÅLE FM	FORMATION	ROGALAND GP	153	190	131	9999-12-31	2013-05-08
17/4-1	2665.000000	3834.000000	ZECHSTEIN GP	GROUP	\N	153	194	\N	9999-12-31	2013-05-08
17/4-1	1706.000000	2080.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	153	198	23	9999-12-31	2013-05-08
17/4-1	2352.000000	2665.000000	NO GROUP DEFINED	GROUP	\N	153	208	\N	9999-12-31	2013-05-08
1/3-1	2995.000000	3006.000000	BALDER FM	FORMATION	ROGALAND GP	154	6	131	9999-12-31	2013-05-08
1/3-1	4343.000000	4371.000000	BLODØKS FM	FORMATION	SHETLAND GP	154	13	143	9999-12-31	2013-05-08
1/3-1	4441.000000	4671.000000	CROMER KNOLL GP	GROUP	\N	154	23	\N	9999-12-31	2013-05-08
1/3-1	3258.000000	3354.000000	EKOFISK FM	FORMATION	SHETLAND GP	154	33	143	9999-12-31	2013-05-08
1/3-1	4371.000000	4441.000000	HIDRA FM	FORMATION	SHETLAND GP	154	65	143	9999-12-31	2013-05-08
1/3-1	3828.000000	4343.000000	HOD FM	FORMATION	SHETLAND GP	154	66	143	9999-12-31	2013-05-08
1/3-1	3013.000000	3095.000000	LISTA FM	FORMATION	ROGALAND GP	154	95	131	9999-12-31	2013-05-08
1/3-1	3147.000000	3209.000000	LISTA FM	FORMATION	ROGALAND GP	154	95	131	9999-12-31	2013-05-08
1/3-1	97.000000	2995.000000	NORDLAND GP	GROUP	\N	154	113	\N	9999-12-31	2013-05-08
1/3-1	2995.000000	3258.000000	ROGALAND GP	GROUP	\N	154	131	\N	9999-12-31	2013-05-08
1/3-1	4441.000000	4482.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	154	137	23	9999-12-31	2013-05-08
1/3-1	3006.000000	3013.000000	SELE FM	FORMATION	ROGALAND GP	154	142	131	9999-12-31	2013-05-08
1/3-1	3258.000000	4441.000000	SHETLAND GP	GROUP	\N	154	143	\N	9999-12-31	2013-05-08
1/3-1	4482.000000	4671.000000	SOLA FM	FORMATION	CROMER KNOLL GP	154	152	23	9999-12-31	2013-05-08
1/3-1	3354.000000	3828.000000	TOR FM	FORMATION	SHETLAND GP	154	171	143	9999-12-31	2013-05-08
1/3-1	3095.000000	3147.000000	VIDAR FM	FORMATION	ROGALAND GP	154	187	131	9999-12-31	2013-05-08
1/3-1	3209.000000	3258.000000	VÅLE FM	FORMATION	ROGALAND GP	154	190	131	9999-12-31	2013-05-08
1/3-1	4671.000000	4877.000000	ZECHSTEIN GP	GROUP	\N	154	194	\N	9999-12-31	2013-05-08
2/8-2	2823.000000	2844.000000	BALDER FM	FORMATION	ROGALAND GP	155	6	131	9999-12-31	2013-05-08
2/8-2	3227.000000	3246.000000	CROMER KNOLL GP	GROUP	\N	155	23	\N	9999-12-31	2013-05-08
2/8-2	2950.000000	3044.000000	EKOFISK FM	FORMATION	SHETLAND GP	155	33	143	9999-12-31	2013-05-08
2/8-2	1540.000000	2823.000000	HORDALAND GP	GROUP	\N	155	67	\N	9999-12-31	2013-05-08
2/8-2	2893.000000	2932.000000	LISTA FM	FORMATION	ROGALAND GP	155	95	131	9999-12-31	2013-05-08
2/8-2	2932.000000	2950.000000	MAUREEN FM	FORMATION	ROGALAND GP	155	102	131	9999-12-31	2013-05-08
2/8-2	95.000000	1540.000000	NORDLAND GP	GROUP	\N	155	113	\N	9999-12-31	2013-05-08
2/8-2	2823.000000	2950.000000	ROGALAND GP	GROUP	\N	155	131	\N	9999-12-31	2013-05-08
2/8-2	3227.000000	3246.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	155	137	23	9999-12-31	2013-05-08
2/8-2	2844.000000	2893.000000	SELE FM	FORMATION	ROGALAND GP	155	142	131	9999-12-31	2013-05-08
2/8-2	2950.000000	3227.000000	SHETLAND GP	GROUP	\N	155	143	\N	9999-12-31	2013-05-08
2/8-2	3044.000000	3227.000000	TOR FM	FORMATION	SHETLAND GP	155	171	143	9999-12-31	2013-05-08
7/11-2	2981.000000	2997.000000	BALDER FM	FORMATION	ROGALAND GP	156	6	131	9999-12-31	2013-05-08
7/11-2	3220.000000	3346.000000	EKOFISK FM	FORMATION	SHETLAND GP	156	33	143	9999-12-31	2013-05-08
7/11-2	3025.000000	3175.000000	FORTIES FM	FORMATION	ROGALAND GP	156	44	131	9999-12-31	2013-05-08
7/11-2	1549.000000	2981.000000	HORDALAND GP	GROUP	\N	156	67	\N	9999-12-31	2013-05-08
7/11-2	3175.000000	3220.000000	MAUREEN FM	FORMATION	ROGALAND GP	156	102	131	9999-12-31	2013-05-08
7/11-2	109.000000	1549.000000	NORDLAND GP	GROUP	\N	156	113	\N	9999-12-31	2013-05-08
7/11-2	2981.000000	3220.000000	ROGALAND GP	GROUP	\N	156	131	\N	9999-12-31	2013-05-08
7/11-2	2997.000000	3025.000000	SELE FM	FORMATION	ROGALAND GP	156	142	131	9999-12-31	2013-05-08
7/11-2	3220.000000	3427.000000	SHETLAND GP	GROUP	\N	156	143	\N	9999-12-31	2013-05-08
7/11-2	3346.000000	3427.000000	TOR FM	FORMATION	SHETLAND GP	156	171	143	9999-12-31	2013-05-08
7/8-1	2435.000000	2464.000000	BALDER FM	FORMATION	ROGALAND GP	158	6	131	9999-12-31	2013-05-08
7/8-1	3230.000000	3275.000000	BRYNE FM	FORMATION	VESTLAND GP	158	19	186	9999-12-31	2013-05-08
7/8-1	3135.000000	3201.000000	CROMER KNOLL GP	GROUP	\N	158	23	\N	9999-12-31	2013-05-08
7/8-1	2669.000000	2730.000000	EKOFISK FM	FORMATION	SHETLAND GP	158	33	143	9999-12-31	2013-05-08
7/8-1	3275.000000	3334.000000	GASSUM FM	FORMATION	\N	158	49	\N	9999-12-31	2013-05-08
7/8-1	3095.000000	3135.000000	HIDRA FM	FORMATION	SHETLAND GP	158	65	143	9999-12-31	2013-05-08
7/8-1	2955.000000	3095.000000	HOD FM	FORMATION	SHETLAND GP	158	66	143	9999-12-31	2013-05-08
7/8-1	1275.000000	2435.000000	HORDALAND GP	GROUP	\N	158	67	\N	9999-12-31	2013-05-08
7/8-1	2529.000000	2602.000000	LISTA FM	FORMATION	ROGALAND GP	158	95	131	9999-12-31	2013-05-08
7/8-1	3201.000000	3219.000000	MANDAL FM	FORMATION	TYNE GP	158	101	177	9999-12-31	2013-05-08
7/8-1	2602.000000	2669.000000	MAUREEN FM	FORMATION	ROGALAND GP	158	102	131	9999-12-31	2013-05-08
7/8-1	109.000000	1275.000000	NORDLAND GP	GROUP	\N	158	113	\N	9999-12-31	2013-05-08
7/8-1	2435.000000	2669.000000	ROGALAND GP	GROUP	\N	158	131	\N	9999-12-31	2013-05-08
7/8-1	3219.000000	3230.000000	SANDNES FM	FORMATION	VESTLAND GP	158	139	186	9999-12-31	2013-05-08
7/8-1	2464.000000	2529.000000	SELE FM	FORMATION	ROGALAND GP	158	142	131	9999-12-31	2013-05-08
7/8-1	2669.000000	3135.000000	SHETLAND GP	GROUP	\N	158	143	\N	9999-12-31	2013-05-08
7/8-1	2730.000000	2955.000000	TOR FM	FORMATION	SHETLAND GP	158	171	143	9999-12-31	2013-05-08
7/8-1	3219.000000	3275.000000	VESTLAND GP	GROUP	\N	158	186	\N	9999-12-31	2013-05-08
7/8-1	3201.000000	3219.000000	VIKING GP	GROUP	\N	158	188	\N	9999-12-31	2013-05-08
7/8-1	3275.000000	3334.000000	NO GROUP DEFINED	GROUP	\N	158	208	\N	9999-12-31	2013-05-08
7/11-3	3032.000000	3044.000000	BALDER FM	FORMATION	ROGALAND GP	159	6	131	9999-12-31	2013-05-08
7/11-3	3333.000000	3350.000000	EKOFISK FM	FORMATION	SHETLAND GP	159	33	143	9999-12-31	2013-05-08
7/11-3	3084.000000	3286.000000	FORTIES FM	FORMATION	ROGALAND GP	159	44	131	9999-12-31	2013-05-08
7/11-3	1584.000000	3032.000000	HORDALAND GP	GROUP	\N	159	67	\N	9999-12-31	2013-05-08
7/11-3	3286.000000	3333.000000	MAUREEN FM	FORMATION	ROGALAND GP	159	102	131	2013-02-19	2013-05-08
7/11-3	124.000000	1584.000000	NORDLAND GP	GROUP	\N	159	113	\N	9999-12-31	2013-05-08
7/11-3	3032.000000	3333.000000	ROGALAND GP	GROUP	\N	159	131	\N	2013-02-19	2013-05-08
7/11-3	3044.000000	3084.000000	SELE FM	FORMATION	ROGALAND GP	159	142	131	9999-12-31	2013-05-08
7/11-3	3333.000000	3350.000000	SHETLAND GP	GROUP	\N	159	143	\N	9999-12-31	2013-05-08
2/6-1	2531.000000	2546.000000	BALDER FM	FORMATION	ROGALAND GP	160	6	131	9999-12-31	2013-05-08
2/6-1	3233.000000	3256.000000	BRYNE FM	FORMATION	VESTLAND GP	160	19	186	9999-12-31	2013-05-08
2/6-1	3056.000000	3102.000000	CROMER KNOLL GP	GROUP	\N	160	23	\N	9999-12-31	2013-05-08
2/6-1	2644.000000	2719.000000	EKOFISK FM	FORMATION	SHETLAND GP	160	33	143	9999-12-31	2013-05-08
2/6-1	2950.000000	3056.000000	HOD FM	FORMATION	SHETLAND GP	160	66	143	9999-12-31	2013-05-08
2/6-1	1400.000000	2531.000000	HORDALAND GP	GROUP	\N	160	67	\N	9999-12-31	2013-05-08
2/6-1	2579.000000	2627.000000	LISTA FM	FORMATION	ROGALAND GP	160	95	131	9999-12-31	2013-05-08
2/6-1	3102.000000	3217.000000	MANDAL FM	FORMATION	TYNE GP	160	101	177	9999-12-31	2013-05-08
2/6-1	98.000000	1400.000000	NORDLAND GP	GROUP	\N	160	113	\N	9999-12-31	2013-05-08
2/6-1	2531.000000	2644.000000	ROGALAND GP	GROUP	\N	160	131	\N	9999-12-31	2013-05-08
2/6-1	3056.000000	3102.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	160	137	23	9999-12-31	2013-05-08
2/6-1	2546.000000	2579.000000	SELE FM	FORMATION	ROGALAND GP	160	142	131	9999-12-31	2013-05-08
2/6-1	2644.000000	3056.000000	SHETLAND GP	GROUP	\N	160	143	\N	9999-12-31	2013-05-08
2/6-1	3256.000000	3302.000000	SMITH BANK FM	FORMATION	HEGRE GP	160	149	61	9999-12-31	2013-05-08
2/6-1	2719.000000	2950.000000	TOR FM	FORMATION	SHETLAND GP	160	171	143	9999-12-31	2013-05-08
2/6-1	3102.000000	3217.000000	TYNE GP	GROUP	\N	160	177	\N	9999-12-31	2013-05-08
2/6-1	3217.000000	3233.000000	ULA FM	FORMATION	VESTLAND GP	160	179	186	9999-12-31	2013-05-08
2/6-1	3217.000000	3256.000000	VESTLAND GP	GROUP	\N	160	186	\N	9999-12-31	2013-05-08
2/6-1	2627.000000	2644.000000	VÅLE FM	FORMATION	ROGALAND GP	160	190	131	9999-12-31	2013-05-08
2/6-1	3302.000000	3336.000000	ZECHSTEIN GP	GROUP	\N	160	194	\N	9999-12-31	2013-05-08
2/6-1	3256.000000	3302.000000	NO GROUP DEFINED	GROUP	\N	160	208	\N	9999-12-31	2013-05-08
17/10-1	1324.000000	1358.000000	BALDER FM	FORMATION	ROGALAND GP	161	6	131	9999-12-31	2013-05-08
17/10-1	2515.000000	2682.000000	BOKNFJORD GP	GROUP	\N	161	15	\N	9999-12-31	2013-05-08
17/10-1	1880.000000	2515.000000	CROMER KNOLL GP	GROUP	\N	161	23	\N	9999-12-31	2013-05-08
17/10-1	2675.000000	2682.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	161	30	15	9999-12-31	2013-05-08
17/10-1	1525.000000	1557.000000	EKOFISK FM	FORMATION	SHETLAND GP	161	33	143	9999-12-31	2013-05-08
17/10-1	2515.000000	2544.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	161	43	15	9999-12-31	2013-05-08
17/10-1	2682.000000	2825.000000	GASSUM FM	FORMATION	\N	161	49	\N	9999-12-31	2013-05-08
17/10-1	1805.000000	1880.000000	HOD FM	FORMATION	SHETLAND GP	161	66	143	9999-12-31	2013-05-08
17/10-1	612.000000	1324.000000	HORDALAND GP	GROUP	\N	161	67	\N	9999-12-31	2013-05-08
17/10-1	1403.000000	1500.000000	LISTA FM	FORMATION	ROGALAND GP	161	95	131	9999-12-31	2013-05-08
17/10-1	114.000000	612.000000	NORDLAND GP	GROUP	\N	161	113	\N	9999-12-31	2013-05-08
17/10-1	1880.000000	1902.000000	RAN SANDSTONE UNITS	FORMATION	CROMER KNOLL GP	161	125	23	9999-12-31	2013-05-08
17/10-1	1324.000000	1525.000000	ROGALAND GP	GROUP	\N	161	131	\N	9999-12-31	2013-05-08
17/10-1	1902.000000	1945.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	161	137	23	9999-12-31	2013-05-08
17/10-1	2544.000000	2640.000000	SAUDA FM	FORMATION	BOKNFJORD GP	161	141	15	9999-12-31	2013-05-08
17/10-1	1358.000000	1403.000000	SELE FM	FORMATION	ROGALAND GP	161	142	131	9999-12-31	2013-05-08
17/10-1	1525.000000	1880.000000	SHETLAND GP	GROUP	\N	161	143	\N	9999-12-31	2013-05-08
17/10-1	2825.000000	3398.000000	SKAGERRAK FM	FORMATION	HEGRE GP	161	146	61	9999-12-31	2013-05-08
17/10-1	3398.000000	3591.000000	SMITH BANK FM	FORMATION	HEGRE GP	161	149	61	9999-12-31	2013-05-08
17/10-1	1945.000000	1985.000000	SOLA FM	FORMATION	CROMER KNOLL GP	161	152	23	9999-12-31	2013-05-08
17/10-1	2640.000000	2675.000000	TAU FM	FORMATION	BOKNFJORD GP	161	164	15	9999-12-31	2013-05-08
17/10-1	1557.000000	1805.000000	TOR FM	FORMATION	SHETLAND GP	161	171	143	9999-12-31	2013-05-08
17/10-1	1985.000000	2005.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	161	175	23	9999-12-31	2013-05-08
17/10-1	1500.000000	1525.000000	VÅLE FM	FORMATION	ROGALAND GP	161	190	131	9999-12-31	2013-05-08
17/10-1	2005.000000	2515.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	161	198	23	9999-12-31	2013-05-08
17/10-1	2682.000000	2825.000000	NO GROUP DEFINED	GROUP	\N	161	208	\N	9999-12-31	2013-05-08
17/10-1	2825.000000	3591.000000	NO GROUP DEFINED	GROUP	\N	161	208	\N	9999-12-31	2013-05-08
2/3-1	2135.000000	2153.000000	BALDER FM	FORMATION	ROGALAND GP	162	6	131	9999-12-31	2013-05-08
2/3-1	2359.000000	2563.000000	CROMER KNOLL GP	GROUP	\N	162	23	\N	9999-12-31	2013-05-08
2/3-1	1330.000000	2135.000000	HORDALAND GP	GROUP	\N	162	67	\N	9999-12-31	2013-05-08
2/3-1	2175.000000	2243.000000	LISTA FM	FORMATION	ROGALAND GP	162	95	131	9999-12-31	2013-05-08
2/3-1	84.000000	1330.000000	NORDLAND GP	GROUP	\N	162	113	\N	9999-12-31	2013-05-08
2/3-1	2135.000000	2243.000000	ROGALAND GP	GROUP	\N	162	131	\N	9999-12-31	2013-05-08
2/3-1	2153.000000	2175.000000	SELE FM	FORMATION	ROGALAND GP	162	142	131	9999-12-31	2013-05-08
2/3-1	2243.000000	2359.000000	SHETLAND GP	GROUP	\N	162	143	\N	9999-12-31	2013-05-08
2/3-1	2580.000000	2832.000000	SKAGERRAK FM	FORMATION	HEGRE GP	162	146	61	9999-12-31	2013-05-08
2/3-1	2832.000000	2917.000000	SMITH BANK FM	FORMATION	HEGRE GP	162	149	61	9999-12-31	2013-05-08
2/3-1	2243.000000	2359.000000	TOR FM	FORMATION	SHETLAND GP	162	171	143	9999-12-31	2013-05-08
2/3-1	2563.000000	2580.000000	VESTLAND GP	GROUP	\N	162	186	\N	9999-12-31	2013-05-08
2/3-1	2917.000000	2934.000000	ZECHSTEIN GP	GROUP	\N	162	194	\N	9999-12-31	2013-05-08
2/3-1	2580.000000	2917.000000	NO GROUP DEFINED	GROUP	\N	162	208	\N	9999-12-31	2013-05-08
9/12-1	987.000000	1011.000000	BALDER FM	FORMATION	ROGALAND GP	163	6	131	9999-12-31	2013-05-08
9/12-1	1525.000000	1530.000000	BLODØKS FM	FORMATION	SHETLAND GP	163	13	143	9999-12-31	2013-05-08
9/12-1	1905.000000	2038.000000	BOKNFJORD GP	GROUP	\N	163	15	\N	9999-12-31	2013-05-08
9/12-1	2050.000000	2107.000000	BRYNE FM	FORMATION	VESTLAND GP	163	19	186	9999-12-31	2013-05-08
9/12-1	2005.000000	2038.000000	BØRGLUM UNIT	FORMATION	BOKNFJORD GP	163	21	15	9999-12-31	2013-05-08
9/12-1	1550.000000	1905.000000	CROMER KNOLL GP	GROUP	\N	163	23	\N	9999-12-31	2013-05-08
9/12-1	1167.000000	1222.000000	EKOFISK FM	FORMATION	SHETLAND GP	163	33	143	9999-12-31	2013-05-08
9/12-1	1011.000000	1085.000000	FISKEBANK FM	FORMATION	ROGALAND GP	163	41	131	9999-12-31	2013-05-08
9/12-1	1905.000000	1948.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	163	43	15	9999-12-31	2013-05-08
9/12-1	1530.000000	1550.000000	HIDRA FM	FORMATION	SHETLAND GP	163	65	143	9999-12-31	2013-05-08
9/12-1	1445.000000	1525.000000	HOD FM	FORMATION	SHETLAND GP	163	66	143	9999-12-31	2013-05-08
9/12-1	400.000000	987.000000	HORDALAND GP	GROUP	\N	163	67	\N	9999-12-31	2013-05-08
9/12-1	1085.000000	1138.000000	LISTA FM	FORMATION	ROGALAND GP	163	95	131	9999-12-31	2013-05-08
9/12-1	87.000000	400.000000	NORDLAND GP	GROUP	\N	163	113	\N	9999-12-31	2013-05-08
9/12-1	987.000000	1167.000000	ROGALAND GP	GROUP	\N	163	131	\N	9999-12-31	2013-05-08
9/12-1	1550.000000	1609.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	163	137	23	9999-12-31	2013-05-08
9/12-1	2038.000000	2050.000000	SANDNES FM	FORMATION	VESTLAND GP	163	139	186	9999-12-31	2013-05-08
9/12-1	1948.000000	2005.000000	SAUDA FM	FORMATION	BOKNFJORD GP	163	141	15	9999-12-31	2013-05-08
9/12-1	1167.000000	1550.000000	SHETLAND GP	GROUP	\N	163	143	\N	9999-12-31	2013-05-08
9/12-1	2107.000000	2417.000000	SKAGERRAK FM	FORMATION	HEGRE GP	163	146	61	9999-12-31	2013-05-08
9/12-1	2417.000000	2698.000000	SMITH BANK FM	FORMATION	HEGRE GP	163	149	61	9999-12-31	2013-05-08
9/12-1	1222.000000	1445.000000	TOR FM	FORMATION	SHETLAND GP	163	171	143	9999-12-31	2013-05-08
9/12-1	1615.000000	1645.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	163	175	23	9999-12-31	2013-05-08
9/12-1	2038.000000	2107.000000	VESTLAND GP	GROUP	\N	163	186	\N	9999-12-31	2013-05-08
9/12-1	1138.000000	1167.000000	VÅLE FM	FORMATION	ROGALAND GP	163	190	131	9999-12-31	2013-05-08
9/12-1	1609.000000	1615.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	163	198	23	9999-12-31	2013-05-08
9/12-1	1645.000000	1905.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	163	198	23	9999-12-31	2013-05-08
9/12-1	2107.000000	2698.000000	NO GROUP DEFINED	GROUP	\N	163	208	\N	9999-12-31	2013-05-08
7/3-1	1712.000000	1758.000000	BALDER FM	FORMATION	ROGALAND GP	164	6	131	9999-12-31	2013-05-08
7/3-1	2598.000000	2655.000000	BOKNFJORD GP	GROUP	\N	164	15	\N	9999-12-31	2013-05-08
7/3-1	2386.000000	2598.000000	CROMER KNOLL GP	GROUP	\N	164	23	\N	9999-12-31	2013-05-08
7/3-1	1882.000000	1890.000000	EKOFISK FM	FORMATION	SHETLAND GP	164	33	143	9999-12-31	2013-05-08
7/3-1	2598.000000	2643.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	164	43	15	9999-12-31	2013-05-08
7/3-1	2260.000000	2386.000000	HOD FM	FORMATION	SHETLAND GP	164	66	143	9999-12-31	2013-05-08
7/3-1	881.000000	1712.000000	HORDALAND GP	GROUP	\N	164	67	\N	9999-12-31	2013-05-08
7/3-1	4402.000000	4406.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	164	88	194	9999-12-31	2013-05-08
7/3-1	1820.000000	1845.000000	LISTA FM	FORMATION	ROGALAND GP	164	95	131	9999-12-31	2013-05-08
7/3-1	95.000000	881.000000	NORDLAND GP	GROUP	\N	164	113	\N	9999-12-31	2013-05-08
7/3-1	2396.000000	2412.000000	RAN SANDSTONE UNITS	FORMATION	CROMER KNOLL GP	164	125	23	9999-12-31	2013-05-08
7/3-1	1712.000000	1882.000000	ROGALAND GP	GROUP	\N	164	131	\N	9999-12-31	2013-05-08
7/3-1	4406.000000	4692.000000	ROTLIEGEND GP	GROUP	\N	164	136	\N	9999-12-31	2013-05-08
7/3-1	2386.000000	2396.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	164	137	23	9999-12-31	2013-05-08
7/3-1	2655.000000	2696.000000	SANDNES FM	FORMATION	VESTLAND GP	164	139	186	9999-12-31	2013-05-08
7/3-1	2643.000000	2655.000000	SAUDA FM	FORMATION	BOKNFJORD GP	164	141	15	9999-12-31	2013-05-08
7/3-1	1758.000000	1820.000000	SELE FM	FORMATION	ROGALAND GP	164	142	131	9999-12-31	2013-05-08
7/3-1	1882.000000	2386.000000	SHETLAND GP	GROUP	\N	164	143	\N	9999-12-31	2013-05-08
7/3-1	2412.000000	2419.000000	SOLA FM	FORMATION	CROMER KNOLL GP	164	152	23	9999-12-31	2013-05-08
7/3-1	1890.000000	2260.000000	TOR FM	FORMATION	SHETLAND GP	164	171	143	9999-12-31	2013-05-08
7/3-1	2696.000000	4402.000000	UNDIFFERENTIATED	FORMATION	\N	164	182	\N	9999-12-31	2013-05-08
7/3-1	2655.000000	2696.000000	VESTLAND GP	GROUP	\N	164	186	\N	9999-12-31	2013-05-08
7/3-1	1845.000000	1882.000000	VÅLE FM	FORMATION	ROGALAND GP	164	190	131	9999-12-31	2013-05-08
7/3-1	4692.000000	4700.000000	UNDEFINED GP	GROUP	\N	164	191	\N	9999-12-31	2013-05-08
7/3-1	2696.000000	4406.000000	ZECHSTEIN GP	GROUP	\N	164	194	\N	9999-12-31	2013-05-08
7/3-1	2419.000000	2598.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	164	198	23	9999-12-31	2013-05-08
1/3-2	2964.000000	2978.000000	BALDER FM	FORMATION	ROGALAND GP	165	6	131	9999-12-31	2013-05-08
1/3-2	4024.000000	4060.000000	BLODØKS FM	FORMATION	SHETLAND GP	165	13	143	9999-12-31	2013-05-08
1/3-2	4131.000000	4297.000000	CROMER KNOLL GP	GROUP	\N	165	23	\N	9999-12-31	2013-05-08
1/3-2	3207.000000	3270.000000	EKOFISK FM	FORMATION	SHETLAND GP	165	33	143	9999-12-31	2013-05-08
1/3-2	4060.000000	4131.000000	HIDRA FM	FORMATION	SHETLAND GP	165	65	143	9999-12-31	2013-05-08
1/3-2	3729.000000	4024.000000	HOD FM	FORMATION	SHETLAND GP	165	66	143	9999-12-31	2013-05-08
1/3-2	1533.000000	2964.000000	HORDALAND GP	GROUP	\N	165	67	\N	9999-12-31	2013-05-08
1/3-2	3067.000000	3136.000000	LISTA FM	FORMATION	ROGALAND GP	165	95	131	9999-12-31	2013-05-08
1/3-2	98.000000	1533.000000	NORDLAND GP	GROUP	\N	165	113	\N	9999-12-31	2013-05-08
1/3-2	2964.000000	3207.000000	ROGALAND GP	GROUP	\N	165	131	\N	9999-12-31	2013-05-08
1/3-2	4131.000000	4229.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	165	137	23	9999-12-31	2013-05-08
1/3-2	2978.000000	3067.000000	SELE FM	FORMATION	ROGALAND GP	165	142	131	9999-12-31	2013-05-08
1/3-2	3207.000000	4131.000000	SHETLAND GP	GROUP	\N	165	143	\N	9999-12-31	2013-05-08
1/3-2	4229.000000	4297.000000	SOLA FM	FORMATION	CROMER KNOLL GP	165	152	23	9999-12-31	2013-05-08
1/3-2	3270.000000	3729.000000	TOR FM	FORMATION	SHETLAND GP	165	171	143	9999-12-31	2013-05-08
1/3-2	3136.000000	3207.000000	VÅLE FM	FORMATION	ROGALAND GP	165	190	131	9999-12-31	2013-05-08
8/10-1	2181.000000	2195.000000	BALDER FM	FORMATION	ROGALAND GP	166	6	131	9999-12-31	2013-05-08
8/10-1	2775.000000	2793.000000	BOKNFJORD GP	GROUP	\N	166	15	\N	9999-12-31	2013-05-08
8/10-1	2580.000000	2775.000000	CROMER KNOLL GP	GROUP	\N	166	23	\N	9999-12-31	2013-05-08
8/10-1	2397.000000	2441.000000	EKOFISK FM	FORMATION	SHETLAND GP	166	33	143	9999-12-31	2013-05-08
8/10-1	2775.000000	2793.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	166	43	15	9999-12-31	2013-05-08
8/10-1	2570.000000	2580.000000	HIDRA FM	FORMATION	SHETLAND GP	166	65	143	9999-12-31	2013-05-08
8/10-1	2560.000000	2570.000000	HOD FM	FORMATION	SHETLAND GP	166	66	143	9999-12-31	2013-05-08
8/10-1	1220.000000	2181.000000	HORDALAND GP	GROUP	\N	166	67	\N	9999-12-31	2013-05-08
8/10-1	2270.000000	2385.000000	LISTA FM	FORMATION	ROGALAND GP	166	95	131	9999-12-31	2013-05-08
8/10-1	93.000000	1220.000000	NORDLAND GP	GROUP	\N	166	113	\N	9999-12-31	2013-05-08
8/10-1	2181.000000	2397.000000	ROGALAND GP	GROUP	\N	166	131	\N	9999-12-31	2013-05-08
8/10-1	2580.000000	2610.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	166	137	23	9999-12-31	2013-05-08
8/10-1	2793.000000	2833.000000	SANDNES FM	FORMATION	VESTLAND GP	166	139	186	9999-12-31	2013-05-08
8/10-1	2195.000000	2270.000000	SELE FM	FORMATION	ROGALAND GP	166	142	131	9999-12-31	2013-05-08
8/10-1	2397.000000	2580.000000	SHETLAND GP	GROUP	\N	166	143	\N	9999-12-31	2013-05-08
8/10-1	2833.000000	2866.000000	SKAGERRAK FM	FORMATION	HEGRE GP	166	146	61	9999-12-31	2013-05-08
8/10-1	2866.000000	3081.000000	SMITH BANK FM	FORMATION	HEGRE GP	166	149	61	9999-12-31	2013-05-08
8/10-1	2610.000000	2679.000000	SOLA FM	FORMATION	CROMER KNOLL GP	166	152	23	9999-12-31	2013-05-08
8/10-1	2441.000000	2560.000000	TOR FM	FORMATION	SHETLAND GP	166	171	143	9999-12-31	2013-05-08
8/10-1	2679.000000	2700.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	166	175	23	9999-12-31	2013-05-08
8/10-1	2793.000000	2833.000000	VESTLAND GP	GROUP	\N	166	186	\N	9999-12-31	2013-05-08
8/10-1	2385.000000	2397.000000	VÅLE FM	FORMATION	ROGALAND GP	166	190	131	9999-12-31	2013-05-08
8/10-1	3081.000000	3089.000000	ZECHSTEIN GP	GROUP	\N	166	194	\N	9999-12-31	2013-05-08
8/10-1	2700.000000	2775.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	166	198	23	9999-12-31	2013-05-08
8/10-1	2833.000000	3081.000000	NO GROUP DEFINED	GROUP	\N	166	208	\N	9999-12-31	2013-05-08
7/11-4	3017.000000	3036.000000	BALDER FM	FORMATION	ROGALAND GP	167	6	131	9999-12-31	2013-05-08
7/11-4	3183.000000	3311.000000	EKOFISK FM	FORMATION	SHETLAND GP	167	33	143	9999-12-31	2013-05-08
7/11-4	3042.000000	3107.000000	FORTIES FM	FORMATION	ROGALAND GP	167	44	131	9999-12-31	2013-05-08
7/11-4	1545.000000	3017.000000	HORDALAND GP	GROUP	\N	167	67	\N	9999-12-31	2013-05-08
7/11-4	3107.000000	3167.000000	LISTA FM	FORMATION	ROGALAND GP	167	95	131	9999-12-31	2013-05-08
7/11-4	3167.000000	3183.000000	MAUREEN FM	FORMATION	ROGALAND GP	167	102	131	9999-12-31	2013-05-08
7/11-4	106.000000	1545.000000	NORDLAND GP	GROUP	\N	167	113	\N	9999-12-31	2013-05-08
7/11-4	3017.000000	3183.000000	ROGALAND GP	GROUP	\N	167	131	\N	9999-12-31	2013-05-08
7/11-4	3036.000000	3042.000000	SELE FM	FORMATION	ROGALAND GP	167	142	131	9999-12-31	2013-05-08
7/11-4	3183.000000	3322.000000	SHETLAND GP	GROUP	\N	167	143	\N	9999-12-31	2013-05-08
7/11-4	3311.000000	3322.000000	TOR FM	FORMATION	SHETLAND GP	167	171	143	9999-12-31	2013-05-08
2/11-1	2590.000000	2600.000000	BALDER FM	FORMATION	ROGALAND GP	168	6	131	9999-12-31	2013-05-08
2/11-1	2860.000000	2863.000000	BLODØKS FM	FORMATION	SHETLAND GP	168	13	143	9999-12-31	2013-05-08
2/11-1	2887.000000	3555.000000	CROMER KNOLL GP	GROUP	\N	168	23	\N	9999-12-31	2013-05-08
2/11-1	3728.000000	4075.000000	FARSUND FM	FORMATION	TYNE GP	168	39	177	9999-12-31	2013-05-08
2/11-1	4075.000000	4691.000000	HAUGESUND FM	FORMATION	TYNE GP	168	57	177	9999-12-31	2013-05-08
2/11-1	2863.000000	2887.000000	HIDRA FM	FORMATION	SHETLAND GP	168	65	143	9999-12-31	2013-05-08
2/11-1	2662.000000	2860.000000	HOD FM	FORMATION	SHETLAND GP	168	66	143	9999-12-31	2013-05-08
2/11-1	1136.000000	2590.000000	HORDALAND GP	GROUP	\N	168	67	\N	9999-12-31	2013-05-08
2/11-1	2610.000000	2635.000000	LISTA FM	FORMATION	ROGALAND GP	168	95	131	9999-12-31	2013-05-08
2/11-1	3555.000000	3728.000000	MANDAL FM	FORMATION	TYNE GP	168	101	177	9999-12-31	2013-05-08
2/11-1	95.000000	1136.000000	NORDLAND GP	GROUP	\N	168	113	\N	9999-12-31	2013-05-08
2/11-1	2590.000000	2635.000000	ROGALAND GP	GROUP	\N	168	131	\N	9999-12-31	2013-05-08
2/11-1	2887.000000	2910.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	168	137	23	9999-12-31	2013-05-08
2/11-1	2600.000000	2610.000000	SELE FM	FORMATION	ROGALAND GP	168	142	131	9999-12-31	2013-05-08
2/11-1	2635.000000	2887.000000	SHETLAND GP	GROUP	\N	168	143	\N	9999-12-31	2013-05-08
2/11-1	2910.000000	2988.000000	SOLA FM	FORMATION	CROMER KNOLL GP	168	152	23	9999-12-31	2013-05-08
2/11-1	2635.000000	2662.000000	TOR FM	FORMATION	SHETLAND GP	168	171	143	9999-12-31	2013-05-08
2/11-1	2988.000000	3063.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	168	175	23	9999-12-31	2013-05-08
2/11-1	3555.000000	4691.000000	TYNE GP	GROUP	\N	168	177	\N	9999-12-31	2013-05-08
2/11-1	3063.000000	3555.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	168	198	23	9999-12-31	2013-05-08
2/3-2	2186.000000	2212.000000	BALDER FM	FORMATION	ROGALAND GP	169	6	131	9999-12-31	2013-05-08
2/3-2	2212.000000	2290.000000	FISKEBANK FM	FORMATION	ROGALAND GP	169	41	131	9999-12-31	2013-05-08
2/3-2	1250.000000	2186.000000	HORDALAND GP	GROUP	\N	169	67	\N	9999-12-31	2013-05-08
2/3-2	1855.000000	2186.000000	NO FORMAL NAME	FORMATION	\N	169	111	\N	9999-12-31	2013-05-08
2/3-2	85.000000	1250.000000	NORDLAND GP	GROUP	\N	169	113	\N	9999-12-31	2013-05-08
2/3-2	2186.000000	2297.000000	ROGALAND GP	GROUP	\N	169	131	\N	9999-12-31	2013-05-08
2/3-2	1795.000000	1855.000000	VADE FM	FORMATION	HORDALAND GP	169	184	67	9999-12-31	2013-05-08
2/3-2	2290.000000	2297.000000	VIDAR FM	FORMATION	ROGALAND GP	169	187	131	9999-12-31	2013-05-08
11/10-1	1023.000000	1039.000000	BALDER FM	FORMATION	ROGALAND GP	170	6	131	9999-12-31	2013-05-08
11/10-1	1455.000000	1493.000000	BLODØKS FM	FORMATION	SHETLAND GP	170	13	143	9999-12-31	2013-05-08
11/10-1	1655.000000	1860.000000	BOKNFJORD GP	GROUP	\N	170	15	\N	9999-12-31	2013-05-08
11/10-1	1750.000000	1860.000000	BØRGLUM UNIT	FORMATION	BOKNFJORD GP	170	21	15	9999-12-31	2013-05-08
11/10-1	1493.000000	1655.000000	CROMER KNOLL GP	GROUP	\N	170	23	\N	9999-12-31	2013-05-08
11/10-1	1048.000000	1110.000000	EKOFISK FM	FORMATION	SHETLAND GP	170	33	143	9999-12-31	2013-05-08
11/10-1	1655.000000	1672.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	170	43	15	9999-12-31	2013-05-08
11/10-1	1860.000000	1900.000000	GASSUM FM	FORMATION	\N	170	49	\N	9999-12-31	2013-05-08
11/10-1	1356.000000	1455.000000	HOD FM	FORMATION	SHETLAND GP	170	66	143	9999-12-31	2013-05-08
11/10-1	430.000000	1023.000000	HORDALAND GP	GROUP	\N	170	67	\N	9999-12-31	2013-05-08
11/10-1	1043.000000	1045.000000	LISTA FM	FORMATION	ROGALAND GP	170	95	131	9999-12-31	2013-05-08
11/10-1	223.000000	430.000000	NO FORMAL NAME	FORMATION	\N	170	111	\N	9999-12-31	2013-05-08
11/10-1	90.000000	430.000000	NORDLAND GP	GROUP	\N	170	113	\N	9999-12-31	2013-05-08
11/10-1	1023.000000	1048.000000	ROGALAND GP	GROUP	\N	170	131	\N	9999-12-31	2013-05-08
11/10-1	1493.000000	1510.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	170	137	23	9999-12-31	2013-05-08
11/10-1	1672.000000	1750.000000	SAUDA FM	FORMATION	BOKNFJORD GP	170	141	15	9999-12-31	2013-05-08
11/10-1	1039.000000	1043.000000	SELE FM	FORMATION	ROGALAND GP	170	142	131	9999-12-31	2013-05-08
11/10-1	1048.000000	1493.000000	SHETLAND GP	GROUP	\N	170	143	\N	9999-12-31	2013-05-08
11/10-1	1900.000000	2430.000000	SKAGERRAK FM	FORMATION	HEGRE GP	170	146	61	9999-12-31	2013-05-08
11/10-1	1110.000000	1356.000000	TOR FM	FORMATION	SHETLAND GP	170	171	143	9999-12-31	2013-05-08
11/10-1	1045.000000	1048.000000	VÅLE FM	FORMATION	ROGALAND GP	170	190	131	9999-12-31	2013-05-08
11/10-1	1510.000000	1655.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	170	198	23	9999-12-31	2013-05-08
11/10-1	1860.000000	1900.000000	NO GROUP DEFINED	GROUP	\N	170	208	\N	9999-12-31	2013-05-08
11/10-1	1900.000000	2430.000000	NO GROUP DEFINED	GROUP	\N	170	208	\N	9999-12-31	2013-05-08
2/4-2	2904.000000	2911.000000	BALDER FM	FORMATION	ROGALAND GP	172	6	131	9999-12-31	2013-05-08
2/4-2	3050.000000	3203.000000	EKOFISK FM	FORMATION	SHETLAND GP	172	33	143	9999-12-31	2013-05-08
2/4-2	1682.000000	2904.000000	HORDALAND GP	GROUP	\N	172	67	\N	9999-12-31	2013-05-08
2/4-2	2970.000000	3017.000000	LISTA FM	FORMATION	ROGALAND GP	172	95	131	9999-12-31	2013-05-08
2/4-2	98.000000	1682.000000	NORDLAND GP	GROUP	\N	172	113	\N	9999-12-31	2013-05-08
2/4-2	2904.000000	3050.000000	ROGALAND GP	GROUP	\N	172	131	\N	9999-12-31	2013-05-08
2/4-2	2911.000000	2970.000000	SELE FM	FORMATION	ROGALAND GP	172	142	131	9999-12-31	2013-05-08
2/4-2	3050.000000	3305.000000	SHETLAND GP	GROUP	\N	172	143	\N	9999-12-31	2013-05-08
2/4-2	3203.000000	3305.000000	TOR FM	FORMATION	SHETLAND GP	172	171	143	9999-12-31	2013-05-08
2/4-2	3017.000000	3050.000000	VÅLE FM	FORMATION	ROGALAND GP	172	190	131	9999-12-31	2013-05-08
25/8-1	1665.000000	1736.000000	BALDER FM	FORMATION	ROGALAND GP	173	6	131	9999-12-31	2013-05-08
25/8-1	1915.000000	1923.000000	BLODØKS FM	FORMATION	SHETLAND GP	173	13	143	9999-12-31	2013-05-08
25/8-1	1936.000000	1981.000000	CROMER KNOLL GP	GROUP	\N	173	23	\N	9999-12-31	2013-05-08
25/8-1	1981.000000	1987.000000	DRAUPNE FM	FORMATION	VIKING GP	173	28	188	9999-12-31	2013-05-08
25/8-1	1846.000000	1853.000000	EKOFISK FM	FORMATION	SHETLAND GP	173	33	143	9999-12-31	2013-05-08
25/8-1	1777.000000	1812.000000	HEIMDAL FM	FORMATION	ROGALAND GP	173	62	131	9999-12-31	2013-05-08
25/8-1	1754.000000	1763.000000	HERMOD FM	FORMATION	ROGALAND GP	173	64	131	9999-12-31	2013-05-08
25/8-1	1923.000000	1936.000000	HIDRA FM	FORMATION	SHETLAND GP	173	65	143	9999-12-31	2013-05-08
25/8-1	1897.000000	1915.000000	HOD FM	FORMATION	SHETLAND GP	173	66	143	9999-12-31	2013-05-08
25/8-1	750.000000	1665.000000	HORDALAND GP	GROUP	\N	173	67	\N	9999-12-31	2013-05-08
25/8-1	1767.000000	1777.000000	LISTA FM	FORMATION	ROGALAND GP	173	95	131	9999-12-31	2013-05-08
25/8-1	1812.000000	1841.000000	LISTA FM	FORMATION	ROGALAND GP	173	95	131	9999-12-31	2013-05-08
25/8-1	716.000000	750.000000	NO FORMAL NAME	FORMATION	\N	173	111	\N	9999-12-31	2013-05-08
25/8-1	970.000000	991.000000	NO FORMAL NAME	FORMATION	\N	173	111	\N	9999-12-31	2013-05-08
25/8-1	1015.000000	1062.000000	NO FORMAL NAME	FORMATION	\N	173	111	\N	9999-12-31	2013-05-08
25/8-1	1093.000000	1663.000000	NO FORMAL NAME	FORMATION	\N	173	111	\N	9999-12-31	2013-05-08
25/8-1	1663.000000	1665.000000	NO FORMAL NAME	FORMATION	\N	173	111	\N	9999-12-31	2013-05-08
25/8-1	138.000000	750.000000	NORDLAND GP	GROUP	\N	173	113	\N	9999-12-31	2013-05-08
25/8-1	1665.000000	1846.000000	ROGALAND GP	GROUP	\N	173	131	\N	9999-12-31	2013-05-08
25/8-1	2317.000000	2606.000000	ROTLIEGEND GP	GROUP	\N	173	136	\N	9999-12-31	2013-05-08
25/8-1	1736.000000	1754.000000	SELE FM	FORMATION	ROGALAND GP	173	142	131	9999-12-31	2013-05-08
25/8-1	1763.000000	1767.000000	SELE FM	FORMATION	ROGALAND GP	173	142	131	9999-12-31	2013-05-08
25/8-1	1846.000000	1936.000000	SHETLAND GP	GROUP	\N	173	143	\N	9999-12-31	2013-05-08
25/8-1	750.000000	970.000000	SKADE FM	FORMATION	HORDALAND GP	173	145	67	9999-12-31	2013-05-08
25/8-1	991.000000	1015.000000	SKADE FM	FORMATION	HORDALAND GP	173	145	67	9999-12-31	2013-05-08
25/8-1	1062.000000	1093.000000	SKADE FM	FORMATION	HORDALAND GP	173	145	67	9999-12-31	2013-05-08
25/8-1	1987.000000	2158.000000	STATFJORD FM	FORMATION	\N	173	157	\N	9999-12-31	2013-05-08
25/8-1	1853.000000	1897.000000	TOR FM	FORMATION	SHETLAND GP	173	171	143	9999-12-31	2013-05-08
25/8-1	607.000000	716.000000	UTSIRA FM	FORMATION	NORDLAND GP	173	183	113	9999-12-31	2013-05-08
25/8-1	1981.000000	1987.000000	VIKING GP	GROUP	\N	173	188	\N	9999-12-31	2013-05-08
25/8-1	1841.000000	1846.000000	VÅLE FM	FORMATION	ROGALAND GP	173	190	131	9999-12-31	2013-05-08
25/8-1	1987.000000	2158.000000	NO GROUP DEFINED	GROUP	\N	173	208	\N	9999-12-31	2013-05-08
25/8-1	2158.000000	2317.000000	NO GROUP DEFINED	GROUP	\N	173	208	\N	9999-12-31	2013-05-08
2/4-4	2978.000000	2989.000000	BALDER FM	FORMATION	ROGALAND GP	174	6	131	9999-12-31	2013-05-08
2/4-4	3116.000000	3259.000000	EKOFISK FM	FORMATION	SHETLAND GP	174	33	143	9999-12-31	2013-05-08
2/4-4	1736.000000	2978.000000	HORDALAND GP	GROUP	\N	174	67	\N	9999-12-31	2013-05-08
2/4-4	2994.000000	3116.000000	LISTA FM	FORMATION	ROGALAND GP	174	95	131	9999-12-31	2013-05-08
2/4-4	98.000000	1736.000000	NORDLAND GP	GROUP	\N	174	113	\N	9999-12-31	2013-05-08
2/4-4	2978.000000	3116.000000	ROGALAND GP	GROUP	\N	174	131	\N	9999-12-31	2013-05-08
2/4-4	2989.000000	2994.000000	SELE FM	FORMATION	ROGALAND GP	174	142	131	9999-12-31	2013-05-08
2/4-4	3116.000000	3424.000000	SHETLAND GP	GROUP	\N	174	143	\N	9999-12-31	2013-05-08
2/4-4	3259.000000	3424.000000	TOR FM	FORMATION	SHETLAND GP	174	171	143	9999-12-31	2013-05-08
10/8-1	516.000000	527.000000	BALDER FM	FORMATION	ROGALAND GP	175	6	131	9999-12-31	2013-05-08
10/8-1	1153.000000	1157.000000	BLODØKS FM	FORMATION	SHETLAND GP	175	13	143	9999-12-31	2013-05-08
10/8-1	1367.000000	1494.000000	BOKNFJORD GP	GROUP	\N	175	15	\N	9999-12-31	2013-05-08
10/8-1	1183.000000	1367.000000	CROMER KNOLL GP	GROUP	\N	175	23	\N	9999-12-31	2013-05-08
10/8-1	1464.000000	1494.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	175	30	15	9999-12-31	2013-05-08
10/8-1	656.000000	748.000000	EKOFISK FM	FORMATION	SHETLAND GP	175	33	143	9999-12-31	2013-05-08
10/8-1	542.000000	569.000000	FISKEBANK FM	FORMATION	ROGALAND GP	175	41	131	9999-12-31	2013-05-08
10/8-1	1367.000000	1393.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	175	43	15	9999-12-31	2013-05-08
10/8-1	1494.000000	1567.000000	GASSUM FM	FORMATION	\N	175	49	\N	9999-12-31	2013-05-08
10/8-1	1157.000000	1183.000000	HIDRA FM	FORMATION	SHETLAND GP	175	65	143	9999-12-31	2013-05-08
10/8-1	1021.000000	1153.000000	HOD FM	FORMATION	SHETLAND GP	175	66	143	9999-12-31	2013-05-08
10/8-1	220.000000	516.000000	HORDALAND GP	GROUP	\N	175	67	\N	9999-12-31	2013-05-08
10/8-1	569.000000	621.000000	LISTA FM	FORMATION	ROGALAND GP	175	95	131	9999-12-31	2013-05-08
10/8-1	105.000000	220.000000	NORDLAND GP	GROUP	\N	175	113	\N	9999-12-31	2013-05-08
10/8-1	516.000000	656.000000	ROGALAND GP	GROUP	\N	175	131	\N	9999-12-31	2013-05-08
10/8-1	1183.000000	1201.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	175	137	23	9999-12-31	2013-05-08
10/8-1	1393.000000	1451.000000	SAUDA FM	FORMATION	BOKNFJORD GP	175	141	15	9999-12-31	2013-05-08
10/8-1	527.000000	542.000000	SELE FM	FORMATION	ROGALAND GP	175	142	131	9999-12-31	2013-05-08
10/8-1	656.000000	1183.000000	SHETLAND GP	GROUP	\N	175	143	\N	9999-12-31	2013-05-08
10/8-1	1567.000000	2749.000000	SKAGERRAK FM	FORMATION	HEGRE GP	175	146	61	9999-12-31	2013-05-08
10/8-1	2749.000000	2825.000000	SMITH BANK FM	FORMATION	HEGRE GP	175	149	61	9999-12-31	2013-05-08
10/8-1	1201.000000	1326.000000	SOLA FM	FORMATION	CROMER KNOLL GP	175	152	23	9999-12-31	2013-05-08
10/8-1	1451.000000	1464.000000	TAU FM	FORMATION	BOKNFJORD GP	175	164	15	9999-12-31	2013-05-08
10/8-1	748.000000	1021.000000	TOR FM	FORMATION	SHETLAND GP	175	171	143	9999-12-31	2013-05-08
10/8-1	621.000000	656.000000	VÅLE FM	FORMATION	ROGALAND GP	175	190	131	9999-12-31	2013-05-08
10/8-1	2825.000000	2861.000000	ZECHSTEIN GP	GROUP	\N	175	194	\N	9999-12-31	2013-05-08
10/8-1	1326.000000	1367.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	175	198	23	9999-12-31	2013-05-08
10/8-1	1494.000000	1567.000000	NO GROUP DEFINED	GROUP	\N	175	208	\N	9999-12-31	2013-05-08
10/8-1	1567.000000	2825.000000	NO GROUP DEFINED	GROUP	\N	175	208	\N	9999-12-31	2013-05-08
9/4-2	1141.000000	1161.000000	BALDER FM	FORMATION	ROGALAND GP	176	6	131	9999-12-31	2013-05-08
9/4-2	1936.000000	1950.000000	BLODØKS FM	FORMATION	SHETLAND GP	176	13	143	9999-12-31	2013-05-08
9/4-2	2155.000000	2490.000000	BOKNFJORD GP	GROUP	\N	176	15	\N	9999-12-31	2013-05-08
9/4-2	2540.000000	2633.000000	BRYNE FM	FORMATION	VESTLAND GP	176	19	186	9999-12-31	2013-05-08
9/4-2	1952.000000	2155.000000	CROMER KNOLL GP	GROUP	\N	176	23	\N	9999-12-31	2013-05-08
9/4-2	2435.000000	2490.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	176	30	15	9999-12-31	2013-05-08
9/4-2	1323.000000	1365.000000	EKOFISK FM	FORMATION	SHETLAND GP	176	33	143	9999-12-31	2013-05-08
9/4-2	1184.000000	1241.000000	FISKEBANK FM	FORMATION	ROGALAND GP	176	41	131	9999-12-31	2013-05-08
9/4-2	2155.000000	2208.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	176	43	15	9999-12-31	2013-05-08
9/4-2	1950.000000	1952.000000	HIDRA FM	FORMATION	SHETLAND GP	176	65	143	9999-12-31	2013-05-08
9/4-2	503.000000	1141.000000	HORDALAND GP	GROUP	\N	176	67	\N	9999-12-31	2013-05-08
9/4-2	1241.000000	1281.000000	LISTA FM	FORMATION	ROGALAND GP	176	95	131	9999-12-31	2013-05-08
9/4-2	99.000000	503.000000	NORDLAND GP	GROUP	\N	176	113	\N	9999-12-31	2013-05-08
9/4-2	1141.000000	1323.000000	ROGALAND GP	GROUP	\N	176	131	\N	9999-12-31	2013-05-08
9/4-2	1952.000000	1975.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	176	137	23	9999-12-31	2013-05-08
9/4-2	2490.000000	2540.000000	SANDNES FM	FORMATION	VESTLAND GP	176	139	186	9999-12-31	2013-05-08
9/4-2	2208.000000	2396.000000	SAUDA FM	FORMATION	BOKNFJORD GP	176	141	15	9999-12-31	2013-05-08
9/4-2	1161.000000	1184.000000	SELE FM	FORMATION	ROGALAND GP	176	142	131	9999-12-31	2013-05-08
9/4-2	1323.000000	1952.000000	SHETLAND GP	GROUP	\N	176	143	\N	9999-12-31	2013-05-08
9/4-2	2633.000000	3025.000000	SKAGERRAK FM	FORMATION	HEGRE GP	176	146	61	9999-12-31	2013-05-08
9/4-2	1975.000000	1998.000000	SOLA FM	FORMATION	CROMER KNOLL GP	176	152	23	9999-12-31	2013-05-08
9/4-2	2396.000000	2435.000000	TAU FM	FORMATION	BOKNFJORD GP	176	164	15	9999-12-31	2013-05-08
9/4-2	1365.000000	1936.000000	TOR FM	FORMATION	SHETLAND GP	176	171	143	9999-12-31	2013-05-08
9/4-2	2490.000000	2633.000000	VESTLAND GP	GROUP	\N	176	186	\N	9999-12-31	2013-05-08
9/4-2	1281.000000	1323.000000	VÅLE FM	FORMATION	ROGALAND GP	176	190	131	9999-12-31	2013-05-08
9/4-2	1998.000000	2155.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	176	198	23	9999-12-31	2013-05-08
9/4-2	2633.000000	3025.000000	NO GROUP DEFINED	GROUP	\N	176	208	\N	9999-12-31	2013-05-08
2/4-5	2905.000000	2914.000000	BALDER FM	FORMATION	ROGALAND GP	177	6	131	9999-12-31	2013-05-08
2/4-5	3037.000000	3164.000000	EKOFISK FM	FORMATION	SHETLAND GP	177	33	143	9999-12-31	2013-05-08
2/4-5	1716.000000	2905.000000	HORDALAND GP	GROUP	\N	177	67	\N	9999-12-31	2013-05-08
2/4-5	2950.000000	3024.000000	LISTA FM	FORMATION	ROGALAND GP	177	95	131	9999-12-31	2013-05-08
2/4-5	91.000000	1716.000000	NORDLAND GP	GROUP	\N	177	113	\N	9999-12-31	2013-05-08
2/4-5	2905.000000	3037.000000	ROGALAND GP	GROUP	\N	177	131	\N	9999-12-31	2013-05-08
2/4-5	2914.000000	2950.000000	SELE FM	FORMATION	ROGALAND GP	177	142	131	9999-12-31	2013-05-08
2/4-5	3037.000000	3320.000000	SHETLAND GP	GROUP	\N	177	143	\N	9999-12-31	2013-05-08
2/4-5	3164.000000	3320.000000	TOR FM	FORMATION	SHETLAND GP	177	171	143	9999-12-31	2013-05-08
2/4-5	3024.000000	3037.000000	VÅLE FM	FORMATION	ROGALAND GP	177	190	131	9999-12-31	2013-05-08
2/5-1	2920.000000	2929.000000	BALDER FM	FORMATION	ROGALAND GP	178	6	131	9999-12-31	2013-05-08
2/5-1	3551.000000	3594.000000	BLODØKS FM	FORMATION	SHETLAND GP	178	13	143	9999-12-31	2013-05-08
2/5-1	3635.000000	3839.000000	CROMER KNOLL GP	GROUP	\N	178	23	\N	9999-12-31	2013-05-08
2/5-1	3041.000000	3132.000000	EKOFISK FM	FORMATION	SHETLAND GP	178	33	143	9999-12-31	2013-05-08
2/5-1	3839.000000	3972.000000	FARSUND FM	FORMATION	TYNE GP	178	39	177	9999-12-31	2013-05-08
2/5-1	3594.000000	3635.000000	HIDRA FM	FORMATION	SHETLAND GP	178	65	143	9999-12-31	2013-05-08
2/5-1	3475.000000	3551.000000	HOD FM	FORMATION	SHETLAND GP	178	66	143	9999-12-31	2013-05-08
2/5-1	1704.000000	2920.000000	HORDALAND GP	GROUP	\N	178	67	\N	9999-12-31	2013-05-08
2/5-1	2933.000000	3034.000000	LISTA FM	FORMATION	ROGALAND GP	178	95	131	9999-12-31	2013-05-08
2/5-1	95.000000	1704.000000	NORDLAND GP	GROUP	\N	178	113	\N	9999-12-31	2013-05-08
2/5-1	2920.000000	3041.000000	ROGALAND GP	GROUP	\N	178	131	\N	9999-12-31	2013-05-08
2/5-1	3635.000000	3839.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	178	137	23	9999-12-31	2013-05-08
2/5-1	2929.000000	2933.000000	SELE FM	FORMATION	ROGALAND GP	178	142	131	9999-12-31	2013-05-08
2/5-1	3041.000000	3635.000000	SHETLAND GP	GROUP	\N	178	143	\N	9999-12-31	2013-05-08
2/5-1	3132.000000	3475.000000	TOR FM	FORMATION	SHETLAND GP	178	171	143	9999-12-31	2013-05-08
2/5-1	3839.000000	3972.000000	TYNE GP	GROUP	\N	178	177	\N	9999-12-31	2013-05-08
2/5-1	3034.000000	3041.000000	VÅLE FM	FORMATION	ROGALAND GP	178	190	131	9999-12-31	2013-05-08
25/10-2	1935.000000	1975.000000	BALDER FM	FORMATION	ROGALAND GP	180	6	131	9999-12-31	2013-05-08
25/10-2	2085.000000	2146.000000	HEIMDAL FM	FORMATION	ROGALAND GP	180	62	131	9999-12-31	2013-05-08
25/10-2	755.000000	1935.000000	HORDALAND GP	GROUP	\N	180	67	\N	9999-12-31	2013-05-08
25/10-2	2050.000000	2085.000000	LISTA FM	FORMATION	ROGALAND GP	180	95	131	9999-12-31	2013-05-08
25/10-2	2146.000000	2191.000000	LISTA FM	FORMATION	ROGALAND GP	180	95	131	9999-12-31	2013-05-08
25/10-2	731.000000	755.000000	NO FORMAL NAME	FORMATION	\N	180	111	\N	9999-12-31	2013-05-08
25/10-2	130.000000	755.000000	NORDLAND GP	GROUP	\N	180	113	\N	9999-12-31	2013-05-08
25/10-2	1935.000000	2191.000000	ROGALAND GP	GROUP	\N	180	131	\N	9999-12-31	2013-05-08
25/10-2	1975.000000	2050.000000	SELE FM	FORMATION	ROGALAND GP	180	142	131	9999-12-31	2013-05-08
25/10-2	755.000000	1935.000000	SKADE FM	FORMATION	HORDALAND GP	180	145	67	9999-12-31	2013-05-08
25/10-2	505.000000	731.000000	UTSIRA FM	FORMATION	NORDLAND GP	180	183	113	9999-12-31	2013-05-08
2/4-6	2958.000000	2966.000000	BALDER FM	FORMATION	ROGALAND GP	181	6	131	9999-12-31	2013-05-08
2/4-6	3110.000000	3270.000000	EKOFISK FM	FORMATION	SHETLAND GP	181	33	143	9999-12-31	2013-05-08
2/4-6	1768.000000	2958.000000	HORDALAND GP	GROUP	\N	181	67	\N	9999-12-31	2013-05-08
2/4-6	2971.000000	3091.000000	LISTA FM	FORMATION	ROGALAND GP	181	95	131	9999-12-31	2013-05-08
2/4-6	93.000000	1768.000000	NORDLAND GP	GROUP	\N	181	113	\N	9999-12-31	2013-05-08
2/4-6	2958.000000	3110.000000	ROGALAND GP	GROUP	\N	181	131	\N	9999-12-31	2013-05-08
2/4-6	2966.000000	2971.000000	SELE FM	FORMATION	ROGALAND GP	181	142	131	9999-12-31	2013-05-08
2/4-6	3110.000000	3411.000000	SHETLAND GP	GROUP	\N	181	143	\N	9999-12-31	2013-05-08
2/4-6	3270.000000	3411.000000	TOR FM	FORMATION	SHETLAND GP	181	171	143	9999-12-31	2013-05-08
2/4-6	3091.000000	3110.000000	VÅLE FM	FORMATION	ROGALAND GP	181	190	131	9999-12-31	2013-05-08
25/10-3	1711.000000	1750.000000	BALDER FM	FORMATION	ROGALAND GP	182	6	131	9999-12-31	2013-05-08
25/10-3	1753.000000	1769.000000	BALDER FM	FORMATION	ROGALAND GP	182	6	131	9999-12-31	2013-05-08
25/10-3	1750.000000	1753.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	182	7	131	9999-12-31	2013-05-08
25/10-3	1911.000000	1921.000000	EKOFISK FM	FORMATION	SHETLAND GP	182	33	143	9999-12-31	2013-05-08
25/10-3	1401.000000	1410.000000	GRID FM	FORMATION	HORDALAND GP	182	53	67	9999-12-31	2013-05-08
25/10-3	1841.000000	1879.000000	HEIMDAL FM	FORMATION	ROGALAND GP	182	62	131	9999-12-31	2013-05-08
25/10-3	1900.000000	1909.000000	HEIMDAL FM	FORMATION	ROGALAND GP	182	62	131	9999-12-31	2013-05-08
25/10-3	1808.000000	1837.000000	HERMOD FM	FORMATION	ROGALAND GP	182	64	131	9999-12-31	2013-05-08
25/10-3	738.000000	1711.000000	HORDALAND GP	GROUP	\N	182	67	\N	9999-12-31	2013-05-08
25/10-3	1841.000000	1841.000000	LISTA FM	FORMATION	ROGALAND GP	182	95	131	9999-12-31	2013-05-08
25/10-3	1879.000000	1900.000000	LISTA FM	FORMATION	ROGALAND GP	182	95	131	9999-12-31	2013-05-08
25/10-3	1909.000000	1911.000000	LISTA FM	FORMATION	ROGALAND GP	182	95	131	9999-12-31	2013-05-08
25/10-3	689.000000	738.000000	NO FORMAL NAME	FORMATION	\N	182	111	\N	9999-12-31	2013-05-08
25/10-3	941.000000	1122.000000	NO FORMAL NAME	FORMATION	\N	182	111	\N	9999-12-31	2013-05-08
25/10-3	1229.000000	1401.000000	NO FORMAL NAME	FORMATION	\N	182	111	\N	9999-12-31	2013-05-08
25/10-3	1410.000000	1711.000000	NO FORMAL NAME	FORMATION	\N	182	111	\N	9999-12-31	2013-05-08
25/10-3	136.000000	738.000000	NORDLAND GP	GROUP	\N	182	113	\N	9999-12-31	2013-05-08
25/10-3	1711.000000	1911.000000	ROGALAND GP	GROUP	\N	182	131	\N	9999-12-31	2013-05-08
25/10-3	1769.000000	1808.000000	SELE FM	FORMATION	ROGALAND GP	182	142	131	9999-12-31	2013-05-08
25/10-3	1837.000000	1841.000000	SELE FM	FORMATION	ROGALAND GP	182	142	131	9999-12-31	2013-05-08
25/10-3	1911.000000	1921.000000	SHETLAND GP	GROUP	\N	182	143	\N	9999-12-31	2013-05-08
25/10-3	738.000000	941.000000	SKADE FM	FORMATION	HORDALAND GP	182	145	67	9999-12-31	2013-05-08
25/10-3	1122.000000	1229.000000	SKADE FM	FORMATION	HORDALAND GP	182	145	67	9999-12-31	2013-05-08
25/10-3	533.000000	689.000000	UTSIRA FM	FORMATION	NORDLAND GP	182	183	113	9999-12-31	2013-05-08
9/10-1	1874.000000	1884.000000	BALDER FM	FORMATION	ROGALAND GP	183	6	131	9999-12-31	2013-05-08
9/10-1	2112.000000	2116.000000	EKOFISK FM	FORMATION	SHETLAND GP	183	33	143	9999-12-31	2013-05-08
9/10-1	1884.000000	1957.000000	FISKEBANK FM	FORMATION	ROGALAND GP	183	41	131	9999-12-31	2013-05-08
9/10-1	948.000000	1874.000000	HORDALAND GP	GROUP	\N	183	67	\N	9999-12-31	2013-05-08
9/10-1	1957.000000	2112.000000	LISTA FM	FORMATION	ROGALAND GP	183	95	131	9999-12-31	2013-05-08
9/10-1	88.000000	948.000000	NORDLAND GP	GROUP	\N	183	113	\N	9999-12-31	2013-05-08
9/10-1	1874.000000	2112.000000	ROGALAND GP	GROUP	\N	183	131	\N	9999-12-31	2013-05-08
9/10-1	2112.000000	2205.000000	SHETLAND GP	GROUP	\N	183	143	\N	9999-12-31	2013-05-08
9/10-1	2116.000000	2205.000000	TOR FM	FORMATION	SHETLAND GP	183	171	143	9999-12-31	2013-05-08
25/11-2	1699.000000	1727.000000	BALDER FM	FORMATION	ROGALAND GP	184	6	131	9999-12-31	2013-05-08
25/11-2	1734.000000	1765.000000	BALDER FM	FORMATION	ROGALAND GP	184	6	131	9999-12-31	2013-05-08
25/11-2	1727.000000	1734.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	184	7	131	9999-12-31	2013-05-08
25/11-2	1780.000000	1817.000000	HERMOD FM	FORMATION	ROGALAND GP	184	64	131	9999-12-31	2013-05-08
25/11-2	747.000000	1699.000000	HORDALAND GP	GROUP	\N	184	67	\N	9999-12-31	2013-05-08
25/11-2	716.000000	747.000000	NO FORMAL NAME	FORMATION	\N	184	111	\N	9999-12-31	2013-05-08
25/11-2	939.000000	997.000000	NO FORMAL NAME	FORMATION	\N	184	111	\N	9999-12-31	2013-05-08
25/11-2	1015.000000	1086.000000	NO FORMAL NAME	FORMATION	\N	184	111	\N	9999-12-31	2013-05-08
25/11-2	1092.000000	1699.000000	NO FORMAL NAME	FORMATION	\N	184	111	\N	9999-12-31	2013-05-08
25/11-2	140.000000	747.000000	NORDLAND GP	GROUP	\N	184	113	\N	9999-12-31	2013-05-08
25/11-2	1699.000000	1824.000000	ROGALAND GP	GROUP	\N	184	131	\N	9999-12-31	2013-05-08
25/11-2	1765.000000	1780.000000	SELE FM	FORMATION	ROGALAND GP	184	142	131	9999-12-31	2013-05-08
25/11-2	1817.000000	1824.000000	SELE FM	FORMATION	ROGALAND GP	184	142	131	9999-12-31	2013-05-08
25/11-2	747.000000	939.000000	SKADE FM	FORMATION	HORDALAND GP	184	145	67	9999-12-31	2013-05-08
25/11-2	997.000000	1015.000000	SKADE FM	FORMATION	HORDALAND GP	184	145	67	9999-12-31	2013-05-08
25/11-2	1086.000000	1092.000000	SKADE FM	FORMATION	HORDALAND GP	184	145	67	9999-12-31	2013-05-08
25/11-2	582.000000	716.000000	UTSIRA FM	FORMATION	NORDLAND GP	184	183	113	9999-12-31	2013-05-08
25/11-3	1711.000000	1747.000000	BALDER FM	FORMATION	ROGALAND GP	185	6	131	9999-12-31	2013-05-08
25/11-3	1852.000000	1858.000000	EKOFISK FM	FORMATION	SHETLAND GP	185	33	143	9999-12-31	2013-05-08
25/11-3	1782.000000	1783.000000	HEIMDAL FM	FORMATION	ROGALAND GP	185	62	131	9999-12-31	2013-05-08
25/11-3	772.000000	1711.000000	HORDALAND GP	GROUP	\N	185	67	\N	9999-12-31	2013-05-08
25/11-3	1757.000000	1782.000000	LISTA FM	FORMATION	ROGALAND GP	185	95	131	9999-12-31	2013-05-08
25/11-3	1783.000000	1817.000000	LISTA FM	FORMATION	ROGALAND GP	185	95	131	9999-12-31	2013-05-08
25/11-3	732.000000	772.000000	NO FORMAL NAME	FORMATION	\N	185	111	\N	9999-12-31	2013-05-08
25/11-3	978.000000	1003.000000	NO FORMAL NAME	FORMATION	\N	185	111	\N	9999-12-31	2013-05-08
25/11-3	1120.000000	1711.000000	NO FORMAL NAME	FORMATION	\N	185	111	\N	9999-12-31	2013-05-08
25/11-3	137.000000	772.000000	NORDLAND GP	GROUP	\N	185	113	\N	9999-12-31	2013-05-08
25/11-3	1711.000000	1852.000000	ROGALAND GP	GROUP	\N	185	131	\N	9999-12-31	2013-05-08
25/11-3	1747.000000	1757.000000	SELE FM	FORMATION	ROGALAND GP	185	142	131	9999-12-31	2013-05-08
25/11-3	1852.000000	1858.000000	SHETLAND GP	GROUP	\N	185	143	\N	9999-12-31	2013-05-08
25/11-3	772.000000	978.000000	SKADE FM	FORMATION	HORDALAND GP	185	145	67	9999-12-31	2013-05-08
25/11-3	1003.000000	1120.000000	SKADE FM	FORMATION	HORDALAND GP	185	145	67	9999-12-31	2013-05-08
25/11-3	1824.000000	1844.000000	TY FM	FORMATION	ROGALAND GP	185	176	131	9999-12-31	2013-05-08
25/11-3	622.000000	732.000000	UTSIRA FM	FORMATION	NORDLAND GP	185	183	113	9999-12-31	2013-05-08
25/11-3	1817.000000	1824.000000	VÅLE FM	FORMATION	ROGALAND GP	185	190	131	9999-12-31	2013-05-08
25/11-3	1844.000000	1852.000000	VÅLE FM	FORMATION	ROGALAND GP	185	190	131	9999-12-31	2013-05-08
25/11-4	1695.000000	1740.000000	BALDER FM	FORMATION	ROGALAND GP	186	6	131	9999-12-31	2013-05-08
25/11-4	1742.000000	1776.000000	BALDER FM	FORMATION	ROGALAND GP	186	6	131	9999-12-31	2013-05-08
25/11-4	1740.000000	1742.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	186	7	131	9999-12-31	2013-05-08
25/11-4	1874.000000	1896.000000	EKOFISK FM	FORMATION	SHETLAND GP	186	33	143	9999-12-31	2013-05-08
25/11-4	1792.000000	1816.000000	HERMOD FM	FORMATION	ROGALAND GP	186	64	131	9999-12-31	2013-05-08
25/11-4	792.000000	1695.000000	HORDALAND GP	GROUP	\N	186	67	\N	9999-12-31	2013-05-08
25/11-4	1820.000000	1874.000000	LISTA FM	FORMATION	ROGALAND GP	186	95	131	9999-12-31	2013-05-08
25/11-4	766.000000	792.000000	NO FORMAL NAME	FORMATION	\N	186	111	\N	9999-12-31	2013-05-08
25/11-4	1203.000000	1695.000000	NO FORMAL NAME	FORMATION	\N	186	111	\N	9999-12-31	2013-05-08
25/11-4	137.000000	792.000000	NORDLAND GP	GROUP	\N	186	113	\N	9999-12-31	2013-05-08
25/11-4	1695.000000	1874.000000	ROGALAND GP	GROUP	\N	186	131	\N	9999-12-31	2013-05-08
25/11-4	1776.000000	1792.000000	SELE FM	FORMATION	ROGALAND GP	186	142	131	9999-12-31	2013-05-08
25/11-4	1816.000000	1820.000000	SELE FM	FORMATION	ROGALAND GP	186	142	131	9999-12-31	2013-05-08
25/11-4	1874.000000	1896.000000	SHETLAND GP	GROUP	\N	186	143	\N	9999-12-31	2013-05-08
25/11-4	792.000000	1203.000000	SKADE FM	FORMATION	HORDALAND GP	186	145	67	9999-12-31	2013-05-08
25/11-4	636.000000	766.000000	UTSIRA FM	FORMATION	NORDLAND GP	186	183	113	9999-12-31	2013-05-08
2/7-2	2856.000000	2871.000000	BALDER FM	FORMATION	ROGALAND GP	187	6	131	9999-12-31	2013-05-08
2/7-2	3743.000000	3745.000000	BLODØKS FM	FORMATION	SHETLAND GP	187	13	143	9999-12-31	2013-05-08
2/7-2	3752.000000	3862.000000	CROMER KNOLL GP	GROUP	\N	187	23	\N	9999-12-31	2013-05-08
2/7-2	2966.000000	3005.000000	EKOFISK FM	FORMATION	SHETLAND GP	187	33	143	9999-12-31	2013-05-08
2/7-2	3745.000000	3752.000000	HIDRA FM	FORMATION	SHETLAND GP	187	65	143	9999-12-31	2013-05-08
2/7-2	3194.000000	3743.000000	HOD FM	FORMATION	SHETLAND GP	187	66	143	9999-12-31	2013-05-08
2/7-2	1478.000000	2856.000000	HORDALAND GP	GROUP	\N	187	67	\N	9999-12-31	2013-05-08
2/7-2	2905.000000	2940.000000	LISTA FM	FORMATION	ROGALAND GP	187	95	131	9999-12-31	2013-05-08
2/7-2	3862.000000	3875.000000	MANDAL FM	FORMATION	TYNE GP	187	101	177	9999-12-31	2013-05-08
2/7-2	98.000000	1478.000000	NORDLAND GP	GROUP	\N	187	113	\N	9999-12-31	2013-05-08
2/7-2	2856.000000	2966.000000	ROGALAND GP	GROUP	\N	187	131	\N	9999-12-31	2013-05-08
2/7-2	3875.000000	3964.000000	ROTLIEGEND GP	GROUP	\N	187	136	\N	9999-12-31	2013-05-08
2/7-2	3752.000000	3758.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	187	137	23	9999-12-31	2013-05-08
2/7-2	2871.000000	2905.000000	SELE FM	FORMATION	ROGALAND GP	187	142	131	9999-12-31	2013-05-08
2/7-2	2966.000000	3752.000000	SHETLAND GP	GROUP	\N	187	143	\N	9999-12-31	2013-05-08
2/7-2	3758.000000	3791.000000	SOLA FM	FORMATION	CROMER KNOLL GP	187	152	23	9999-12-31	2013-05-08
2/7-2	3005.000000	3194.000000	TOR FM	FORMATION	SHETLAND GP	187	171	143	9999-12-31	2013-05-08
2/7-2	3862.000000	3875.000000	TYNE GP	GROUP	\N	187	177	\N	9999-12-31	2013-05-08
2/7-2	2940.000000	2966.000000	VÅLE FM	FORMATION	ROGALAND GP	187	190	131	9999-12-31	2013-05-08
2/7-2	3791.000000	3862.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	187	198	23	9999-12-31	2013-05-08
2/5-2	2978.000000	2996.000000	BALDER FM	FORMATION	ROGALAND GP	188	6	131	9999-12-31	2013-05-08
2/5-2	3118.000000	3360.000000	EKOFISK FM	FORMATION	SHETLAND GP	188	33	143	9999-12-31	2013-05-08
2/5-2	1712.000000	2978.000000	HORDALAND GP	GROUP	\N	188	67	\N	9999-12-31	2013-05-08
2/5-2	3005.000000	3102.000000	LISTA FM	FORMATION	ROGALAND GP	188	95	131	9999-12-31	2013-05-08
2/5-2	101.000000	1712.000000	NORDLAND GP	GROUP	\N	188	113	\N	9999-12-31	2013-05-08
2/5-2	2978.000000	3118.000000	ROGALAND GP	GROUP	\N	188	131	\N	9999-12-31	2013-05-08
2/5-2	2996.000000	3005.000000	SELE FM	FORMATION	ROGALAND GP	188	142	131	9999-12-31	2013-05-08
2/5-2	3118.000000	3597.000000	SHETLAND GP	GROUP	\N	188	143	\N	9999-12-31	2013-05-08
2/5-2	3360.000000	3597.000000	TOR FM	FORMATION	SHETLAND GP	188	171	143	9999-12-31	2013-05-08
2/5-2	3102.000000	3118.000000	VÅLE FM	FORMATION	ROGALAND GP	188	190	131	9999-12-31	2013-05-08
16/5-1	1527.000000	1557.000000	BALDER FM	FORMATION	ROGALAND GP	189	6	131	9999-12-31	2013-05-08
16/5-1	1925.000000	1943.000000	BASEMENT	GROUP	\N	189	10	\N	9999-12-31	2013-05-08
16/5-1	1859.000000	1925.000000	CROMER KNOLL GP	GROUP	\N	189	23	\N	9999-12-31	2013-05-08
16/5-1	1662.000000	1699.000000	EKOFISK FM	FORMATION	SHETLAND GP	189	33	143	9999-12-31	2013-05-08
16/5-1	1756.000000	1848.000000	HOD FM	FORMATION	SHETLAND GP	189	66	143	9999-12-31	2013-05-08
16/5-1	1012.000000	1527.000000	HORDALAND GP	GROUP	\N	189	67	\N	9999-12-31	2013-05-08
16/5-1	1580.000000	1648.000000	LISTA FM	FORMATION	ROGALAND GP	189	95	131	9999-12-31	2013-05-08
16/5-1	127.000000	1012.000000	NORDLAND GP	GROUP	\N	189	113	\N	9999-12-31	2013-05-08
16/5-1	1527.000000	1662.000000	ROGALAND GP	GROUP	\N	189	131	\N	9999-12-31	2013-05-08
16/5-1	1557.000000	1580.000000	SELE FM	FORMATION	ROGALAND GP	189	142	131	9999-12-31	2013-05-08
16/5-1	1662.000000	1859.000000	SHETLAND GP	GROUP	\N	189	143	\N	9999-12-31	2013-05-08
16/5-1	1859.000000	1923.000000	SOLA FM	FORMATION	CROMER KNOLL GP	189	152	23	9999-12-31	2013-05-08
16/5-1	1848.000000	1859.000000	SVARTE FM	FORMATION	SHETLAND GP	189	160	143	9999-12-31	2013-05-08
16/5-1	1699.000000	1756.000000	TOR FM	FORMATION	SHETLAND GP	189	171	143	9999-12-31	2013-05-08
16/5-1	754.000000	1012.000000	UTSIRA FM	FORMATION	NORDLAND GP	189	183	113	9999-12-31	2013-05-08
16/5-1	1648.000000	1662.000000	VÅLE FM	FORMATION	ROGALAND GP	189	190	131	9999-12-31	2013-05-08
16/5-1	1923.000000	1925.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	189	198	23	9999-12-31	2013-05-08
25/1-1	2115.000000	2145.000000	BALDER FM	FORMATION	ROGALAND GP	190	6	131	9999-12-31	2013-05-08
25/1-1	2145.000000	2195.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	190	7	131	9999-12-31	2013-05-08
25/1-1	3790.000000	3807.000000	BLODØKS FM	FORMATION	SHETLAND GP	190	13	143	9999-12-31	2013-05-08
25/1-1	3995.000000	4203.000000	CROMER KNOLL GP	GROUP	\N	190	23	\N	9999-12-31	2013-05-08
25/1-1	4203.000000	4280.000000	DRAUPNE FM	FORMATION	VIKING GP	190	28	188	9999-12-31	2013-05-08
25/1-1	1836.000000	2115.000000	FRIGG FM	FORMATION	HORDALAND GP	190	45	67	9999-12-31	2013-05-08
25/1-1	4280.000000	4560.000000	HEATHER FM	FORMATION	VIKING GP	190	60	188	9999-12-31	2013-05-08
25/1-1	2245.000000	2389.000000	HEIMDAL FM	FORMATION	ROGALAND GP	190	62	131	9999-12-31	2013-05-08
25/1-1	2195.000000	2218.000000	HERMOD FM	FORMATION	ROGALAND GP	190	64	131	9999-12-31	2013-05-08
25/1-1	2228.000000	2245.000000	HERMOD FM	FORMATION	ROGALAND GP	190	64	131	9999-12-31	2013-05-08
25/1-1	731.000000	2115.000000	HORDALAND GP	GROUP	\N	190	67	\N	9999-12-31	2013-05-08
25/1-1	4560.000000	4570.000000	HUGIN FM	FORMATION	VESTLAND GP	190	69	186	9999-12-31	2013-05-08
25/1-1	2711.000000	2997.000000	JORSALFARE FM	FORMATION	SHETLAND GP	190	74	143	9999-12-31	2013-05-08
25/1-1	2997.000000	3582.000000	KYRRE FM	FORMATION	SHETLAND GP	190	92	143	9999-12-31	2013-05-08
25/1-1	2389.000000	2711.000000	LISTA FM	FORMATION	ROGALAND GP	190	95	131	9999-12-31	2013-05-08
25/1-1	125.000000	731.000000	NORDLAND GP	GROUP	\N	190	113	\N	9999-12-31	2013-05-08
25/1-1	2115.000000	2711.000000	ROGALAND GP	GROUP	\N	190	131	\N	9999-12-31	2013-05-08
25/1-1	3995.000000	4065.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	190	137	23	9999-12-31	2013-05-08
25/1-1	2218.000000	2228.000000	SELE FM	FORMATION	ROGALAND GP	190	142	131	9999-12-31	2013-05-08
25/1-1	2711.000000	3995.000000	SHETLAND GP	GROUP	\N	190	143	\N	9999-12-31	2013-05-08
25/1-1	4065.000000	4135.000000	SOLA FM	FORMATION	CROMER KNOLL GP	190	152	23	9999-12-31	2013-05-08
25/1-1	3807.000000	3995.000000	SVARTE FM	FORMATION	SHETLAND GP	190	160	143	9999-12-31	2013-05-08
25/1-1	3582.000000	3790.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	190	173	143	9999-12-31	2013-05-08
25/1-1	4560.000000	4570.000000	VESTLAND GP	GROUP	\N	190	186	\N	9999-12-31	2013-05-08
25/1-1	4203.000000	4560.000000	VIKING GP	GROUP	\N	190	188	\N	9999-12-31	2013-05-08
25/1-1	4135.000000	4203.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	190	198	23	9999-12-31	2013-05-08
7/9-1	2079.000000	2088.000000	BALDER FM	FORMATION	ROGALAND GP	191	6	131	9999-12-31	2013-05-08
7/9-1	2495.000000	2524.000000	BRYNE FM	FORMATION	VESTLAND GP	191	19	186	9999-12-31	2013-05-08
7/9-1	2378.000000	2453.000000	CROMER KNOLL GP	GROUP	\N	191	23	\N	9999-12-31	2013-05-08
7/9-1	2207.000000	2254.000000	EKOFISK FM	FORMATION	SHETLAND GP	191	33	143	9999-12-31	2013-05-08
7/9-1	2524.000000	2601.000000	FJERRITSLEV FM	FORMATION	\N	191	42	\N	9999-12-31	2013-05-08
7/9-1	2601.000000	2609.000000	GASSUM FM	FORMATION	\N	191	49	\N	9999-12-31	2013-05-08
7/9-1	2335.000000	2378.000000	HOD FM	FORMATION	SHETLAND GP	191	66	143	9999-12-31	2013-05-08
7/9-1	1088.000000	2079.000000	HORDALAND GP	GROUP	\N	191	67	\N	9999-12-31	2013-05-08
7/9-1	2148.000000	2180.000000	LISTA FM	FORMATION	ROGALAND GP	191	95	131	9999-12-31	2013-05-08
7/9-1	2453.000000	2487.000000	MANDAL FM	FORMATION	TYNE GP	191	101	177	9999-12-31	2013-05-08
7/9-1	101.000000	1088.000000	NORDLAND GP	GROUP	\N	191	113	\N	9999-12-31	2013-05-08
7/9-1	2079.000000	2207.000000	ROGALAND GP	GROUP	\N	191	131	\N	9999-12-31	2013-05-08
7/9-1	2088.000000	2148.000000	SELE FM	FORMATION	ROGALAND GP	191	142	131	9999-12-31	2013-05-08
7/9-1	2207.000000	2378.000000	SHETLAND GP	GROUP	\N	191	143	\N	9999-12-31	2013-05-08
7/9-1	2609.000000	2811.000000	SKAGERRAK FM	FORMATION	HEGRE GP	191	146	61	9999-12-31	2013-05-08
7/9-1	2382.000000	2406.000000	SOLA FM	FORMATION	CROMER KNOLL GP	191	152	23	9999-12-31	2013-05-08
7/9-1	2254.000000	2335.000000	TOR FM	FORMATION	SHETLAND GP	191	171	143	9999-12-31	2013-05-08
7/9-1	2453.000000	2487.000000	TYNE GP	GROUP	\N	191	177	\N	9999-12-31	2013-05-08
7/9-1	2487.000000	2495.000000	ULA FM	FORMATION	VESTLAND GP	191	179	186	9999-12-31	2013-05-08
7/9-1	2487.000000	2524.000000	VESTLAND GP	GROUP	\N	191	186	\N	9999-12-31	2013-05-08
7/9-1	2180.000000	2207.000000	VÅLE FM	FORMATION	ROGALAND GP	191	190	131	9999-12-31	2013-05-08
7/9-1	2811.000000	2931.000000	ZECHSTEIN GP	GROUP	\N	191	194	\N	9999-12-31	2013-05-08
7/9-1	2406.000000	2453.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	191	198	23	9999-12-31	2013-05-08
7/9-1	2524.000000	2609.000000	NO GROUP DEFINED	GROUP	\N	191	208	\N	9999-12-31	2013-05-08
7/9-1	2609.000000	2811.000000	NO GROUP DEFINED	GROUP	\N	191	208	\N	9999-12-31	2013-05-08
7/1-1	2085.000000	2098.000000	BALDER FM	FORMATION	ROGALAND GP	192	6	131	9999-12-31	2013-05-08
7/1-1	2634.000000	2661.000000	CROMER KNOLL GP	GROUP	\N	192	23	\N	9999-12-31	2013-05-08
7/1-1	2390.000000	2634.000000	HOD FM	FORMATION	SHETLAND GP	192	66	143	9999-12-31	2013-05-08
7/1-1	1088.000000	2085.000000	HORDALAND GP	GROUP	\N	192	67	\N	9999-12-31	2013-05-08
7/1-1	2109.000000	2224.000000	LISTA FM	FORMATION	ROGALAND GP	192	95	131	9999-12-31	2013-05-08
7/1-1	116.000000	1088.000000	NORDLAND GP	GROUP	\N	192	113	\N	9999-12-31	2013-05-08
7/1-1	2085.000000	2224.000000	ROGALAND GP	GROUP	\N	192	131	\N	9999-12-31	2013-05-08
7/1-1	2634.000000	2661.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	192	137	23	9999-12-31	2013-05-08
7/1-1	2098.000000	2109.000000	SELE FM	FORMATION	ROGALAND GP	192	142	131	9999-12-31	2013-05-08
7/1-1	2224.000000	2634.000000	SHETLAND GP	GROUP	\N	192	143	\N	9999-12-31	2013-05-08
7/1-1	2661.000000	2808.000000	SKAGERRAK FM	FORMATION	HEGRE GP	192	146	61	9999-12-31	2013-05-08
7/1-1	2224.000000	2390.000000	TOR FM	FORMATION	SHETLAND GP	192	171	143	9999-12-31	2013-05-08
7/1-1	2661.000000	2808.000000	NO GROUP DEFINED	GROUP	\N	192	208	\N	9999-12-31	2013-05-08
8/12-1	1595.000000	1604.000000	BALDER FM	FORMATION	ROGALAND GP	193	6	131	9999-12-31	2013-05-08
8/12-1	2293.000000	2300.000000	BLODØKS FM	FORMATION	SHETLAND GP	193	13	143	9999-12-31	2013-05-08
8/12-1	2574.000000	2663.000000	BOKNFJORD GP	GROUP	\N	193	15	\N	9999-12-31	2013-05-08
8/12-1	2711.000000	2813.000000	BRYNE FM	FORMATION	VESTLAND GP	193	19	186	9999-12-31	2013-05-08
8/12-1	2340.000000	2574.000000	CROMER KNOLL GP	GROUP	\N	193	23	\N	9999-12-31	2013-05-08
8/12-1	1894.000000	1927.000000	EKOFISK FM	FORMATION	SHETLAND GP	193	33	143	9999-12-31	2013-05-08
8/12-1	1604.000000	1694.000000	FISKEBANK FM	FORMATION	ROGALAND GP	193	41	131	9999-12-31	2013-05-08
8/12-1	2574.000000	2607.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	193	43	15	9999-12-31	2013-05-08
8/12-1	2300.000000	2340.000000	HIDRA FM	FORMATION	SHETLAND GP	193	65	143	9999-12-31	2013-05-08
8/12-1	2262.000000	2293.000000	HOD FM	FORMATION	SHETLAND GP	193	66	143	9999-12-31	2013-05-08
8/12-1	1040.000000	1595.000000	HORDALAND GP	GROUP	\N	193	67	\N	9999-12-31	2013-05-08
8/12-1	1694.000000	1822.000000	LISTA FM	FORMATION	ROGALAND GP	193	95	131	9999-12-31	2013-05-08
8/12-1	1091.000000	1289.000000	NO FORMAL NAME	FORMATION	\N	193	111	\N	9999-12-31	2013-05-08
8/12-1	1291.000000	1303.000000	NO FORMAL NAME	FORMATION	\N	193	111	\N	9999-12-31	2013-05-08
8/12-1	1305.000000	1595.000000	NO FORMAL NAME	FORMATION	\N	193	111	\N	9999-12-31	2013-05-08
8/12-1	97.000000	1040.000000	NORDLAND GP	GROUP	\N	193	113	\N	9999-12-31	2013-05-08
8/12-1	1595.000000	1894.000000	ROGALAND GP	GROUP	\N	193	131	\N	9999-12-31	2013-05-08
8/12-1	2340.000000	2368.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	193	137	23	9999-12-31	2013-05-08
8/12-1	2663.000000	2711.000000	SANDNES FM	FORMATION	VESTLAND GP	193	139	186	9999-12-31	2013-05-08
8/12-1	2607.000000	2661.000000	SAUDA FM	FORMATION	BOKNFJORD GP	193	141	15	9999-12-31	2013-05-08
8/12-1	1894.000000	2340.000000	SHETLAND GP	GROUP	\N	193	143	\N	9999-12-31	2013-05-08
8/12-1	2813.000000	2875.000000	SKAGERRAK FM	FORMATION	HEGRE GP	193	146	61	9999-12-31	2013-05-08
8/12-1	2368.000000	2423.000000	SOLA FM	FORMATION	CROMER KNOLL GP	193	152	23	9999-12-31	2013-05-08
8/12-1	2661.000000	2663.000000	TAU FM	FORMATION	BOKNFJORD GP	193	164	15	9999-12-31	2013-05-08
8/12-1	1927.000000	2262.000000	TOR FM	FORMATION	SHETLAND GP	193	171	143	9999-12-31	2013-05-08
8/12-1	1089.000000	1091.000000	VADE FM	FORMATION	HORDALAND GP	193	184	67	9999-12-31	2013-05-08
8/12-1	1289.000000	1291.000000	VADE FM	FORMATION	HORDALAND GP	193	184	67	9999-12-31	2013-05-08
8/12-1	1303.000000	1305.000000	VADE FM	FORMATION	HORDALAND GP	193	184	67	9999-12-31	2013-05-08
8/12-1	2663.000000	2813.000000	VESTLAND GP	GROUP	\N	193	186	\N	9999-12-31	2013-05-08
8/12-1	1822.000000	1894.000000	VÅLE FM	FORMATION	ROGALAND GP	193	190	131	9999-12-31	2013-05-08
8/12-1	2423.000000	2574.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	193	198	23	9999-12-31	2013-05-08
8/12-1	2813.000000	2875.000000	NO GROUP DEFINED	GROUP	\N	193	208	\N	9999-12-31	2013-05-08
9/11-1	1326.000000	1335.000000	BALDER FM	FORMATION	ROGALAND GP	194	6	131	9999-12-31	2013-05-08
9/11-1	1766.000000	1768.000000	BLODØKS FM	FORMATION	SHETLAND GP	194	13	143	9999-12-31	2013-05-08
9/11-1	1957.000000	2040.000000	BOKNFJORD GP	GROUP	\N	194	15	\N	9999-12-31	2013-05-08
9/11-1	2040.000000	2082.000000	BRYNE FM	FORMATION	VESTLAND GP	194	19	186	9999-12-31	2013-05-08
9/11-1	1768.000000	1957.000000	CROMER KNOLL GP	GROUP	\N	194	23	\N	9999-12-31	2013-05-08
9/11-1	2005.000000	2040.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	194	30	15	9999-12-31	2013-05-08
9/11-1	1335.000000	1483.000000	FISKEBANK FM	FORMATION	ROGALAND GP	194	41	131	9999-12-31	2013-05-08
9/11-1	1957.000000	1966.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	194	43	15	9999-12-31	2013-05-08
9/11-1	2082.000000	2121.000000	GASSUM FM	FORMATION	\N	194	49	\N	9999-12-31	2013-05-08
9/11-1	1745.000000	1766.000000	HOD FM	FORMATION	SHETLAND GP	194	66	143	9999-12-31	2013-05-08
9/11-1	651.000000	1326.000000	HORDALAND GP	GROUP	\N	194	67	\N	9999-12-31	2013-05-08
9/11-1	1483.000000	1629.000000	LISTA FM	FORMATION	ROGALAND GP	194	95	131	9999-12-31	2013-05-08
9/11-1	90.000000	651.000000	NORDLAND GP	GROUP	\N	194	113	\N	9999-12-31	2013-05-08
9/11-1	1326.000000	1629.000000	ROGALAND GP	GROUP	\N	194	131	\N	9999-12-31	2013-05-08
9/11-1	1768.000000	1790.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	194	137	23	9999-12-31	2013-05-08
9/11-1	1966.000000	1993.000000	SAUDA FM	FORMATION	BOKNFJORD GP	194	141	15	9999-12-31	2013-05-08
9/11-1	1629.000000	1768.000000	SHETLAND GP	GROUP	\N	194	143	\N	9999-12-31	2013-05-08
9/11-1	2121.000000	2196.000000	SKAGERRAK FM	FORMATION	HEGRE GP	194	146	61	9999-12-31	2013-05-08
9/11-1	1790.000000	1859.000000	SOLA FM	FORMATION	CROMER KNOLL GP	194	152	23	9999-12-31	2013-05-08
9/11-1	1993.000000	2005.000000	TAU FM	FORMATION	BOKNFJORD GP	194	164	15	9999-12-31	2013-05-08
9/11-1	1629.000000	1745.000000	TOR FM	FORMATION	SHETLAND GP	194	171	143	9999-12-31	2013-05-08
9/11-1	2040.000000	2082.000000	VESTLAND GP	GROUP	\N	194	186	\N	9999-12-31	2013-05-08
9/11-1	1859.000000	1957.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	194	198	23	9999-12-31	2013-05-08
9/11-1	2082.000000	2121.000000	NO GROUP DEFINED	GROUP	\N	194	208	\N	9999-12-31	2013-05-08
9/11-1	2121.000000	2196.000000	NO GROUP DEFINED	GROUP	\N	194	208	\N	9999-12-31	2013-05-08
2/4-7	3048.000000	3060.000000	BALDER FM	FORMATION	ROGALAND GP	196	6	131	9999-12-31	2013-05-08
2/4-7	3175.000000	3304.000000	EKOFISK FM	FORMATION	SHETLAND GP	196	33	143	9999-12-31	2013-05-08
2/4-7	1736.000000	3048.000000	HORDALAND GP	GROUP	\N	196	67	\N	9999-12-31	2013-05-08
2/4-7	3070.000000	3162.000000	LISTA FM	FORMATION	ROGALAND GP	196	95	131	9999-12-31	2013-05-08
2/4-7	102.000000	1736.000000	NORDLAND GP	GROUP	\N	196	113	\N	9999-12-31	2013-05-08
2/4-7	3048.000000	3175.000000	ROGALAND GP	GROUP	\N	196	131	\N	9999-12-31	2013-05-08
2/4-7	3060.000000	3070.000000	SELE FM	FORMATION	ROGALAND GP	196	142	131	9999-12-31	2013-05-08
2/4-7	3175.000000	3494.000000	SHETLAND GP	GROUP	\N	196	143	\N	9999-12-31	2013-05-08
2/4-7	3304.000000	3494.000000	TOR FM	FORMATION	SHETLAND GP	196	171	143	9999-12-31	2013-05-08
2/4-7	3162.000000	3175.000000	VÅLE FM	FORMATION	ROGALAND GP	196	190	131	9999-12-31	2013-05-08
15/6-1	996.000000	1679.000000	HORDALAND GP	GROUP	\N	197	67	\N	9999-12-31	2013-05-08
15/6-1	125.000000	996.000000	NORDLAND GP	GROUP	\N	197	113	\N	9999-12-31	2013-05-08
15/6-1	768.000000	996.000000	UTSIRA FM	FORMATION	NORDLAND GP	197	183	113	9999-12-31	2013-05-08
2/3-3	2267.000000	2283.000000	BALDER FM	FORMATION	ROGALAND GP	198	6	131	9999-12-31	2013-05-08
2/3-3	2678.000000	2825.000000	CROMER KNOLL GP	GROUP	\N	198	23	\N	9999-12-31	2013-05-08
2/3-3	2443.000000	2484.000000	EKOFISK FM	FORMATION	SHETLAND GP	198	33	143	9999-12-31	2013-05-08
2/3-3	2850.000000	2875.000000	FARSUND FM	FORMATION	TYNE GP	198	39	177	9999-12-31	2013-05-08
2/3-3	2630.000000	2678.000000	HOD FM	FORMATION	SHETLAND GP	198	66	143	9999-12-31	2013-05-08
2/3-3	1060.000000	2267.000000	HORDALAND GP	GROUP	\N	198	67	\N	9999-12-31	2013-05-08
2/3-3	2340.000000	2443.000000	LISTA FM	FORMATION	ROGALAND GP	198	95	131	9999-12-31	2013-05-08
2/3-3	2825.000000	2850.000000	MANDAL FM	FORMATION	TYNE GP	198	101	177	9999-12-31	2013-05-08
2/3-3	88.000000	1060.000000	NORDLAND GP	GROUP	\N	198	113	\N	9999-12-31	2013-05-08
2/3-3	2267.000000	2443.000000	ROGALAND GP	GROUP	\N	198	131	\N	9999-12-31	2013-05-08
2/3-3	2678.000000	2710.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	198	137	23	9999-12-31	2013-05-08
2/3-3	2283.000000	2340.000000	SELE FM	FORMATION	ROGALAND GP	198	142	131	9999-12-31	2013-05-08
2/3-3	2443.000000	2678.000000	SHETLAND GP	GROUP	\N	198	143	\N	9999-12-31	2013-05-08
2/3-3	2875.000000	2930.000000	SKAGERRAK FM	FORMATION	HEGRE GP	198	146	61	9999-12-31	2013-05-08
2/3-3	2710.000000	2825.000000	SOLA FM	FORMATION	CROMER KNOLL GP	198	152	23	9999-12-31	2013-05-08
2/3-3	2484.000000	2630.000000	TOR FM	FORMATION	SHETLAND GP	198	171	143	9999-12-31	2013-05-08
2/3-3	2825.000000	2875.000000	TYNE GP	GROUP	\N	198	177	\N	9999-12-31	2013-05-08
2/3-3	2930.000000	2973.000000	ZECHSTEIN GP	GROUP	\N	198	194	\N	9999-12-31	2013-05-08
2/3-3	2875.000000	2930.000000	NO GROUP DEFINED	GROUP	\N	198	208	\N	9999-12-31	2013-05-08
15/12-3	2285.000000	2348.000000	BALDER FM	FORMATION	ROGALAND GP	199	6	131	9999-12-31	2013-05-08
15/12-3	2752.000000	2791.000000	BLODØKS FM	FORMATION	SHETLAND GP	199	13	143	9999-12-31	2013-05-08
15/12-3	2791.000000	2998.000000	CROMER KNOLL GP	GROUP	\N	199	23	\N	9999-12-31	2013-05-08
15/12-3	2998.000000	3142.000000	DRAUPNE FM	FORMATION	VIKING GP	199	28	188	9999-12-31	2013-05-08
15/12-3	2472.000000	2479.000000	EKOFISK FM	FORMATION	SHETLAND GP	199	33	143	9999-12-31	2013-05-08
15/12-3	2076.000000	2106.000000	GRID FM	FORMATION	HORDALAND GP	199	53	67	9999-12-31	2013-05-08
15/12-3	3142.000000	3238.000000	HEATHER FM	FORMATION	VIKING GP	199	60	188	9999-12-31	2013-05-08
15/12-3	2675.000000	2752.000000	HOD FM	FORMATION	SHETLAND GP	199	66	143	9999-12-31	2013-05-08
15/12-3	1317.000000	2285.000000	HORDALAND GP	GROUP	\N	199	67	\N	9999-12-31	2013-05-08
15/12-3	2401.000000	2472.000000	LISTA FM	FORMATION	ROGALAND GP	199	95	131	9999-12-31	2013-05-08
15/12-3	2977.000000	2998.000000	MIME FM	FORMATION	CROMER KNOLL GP	199	106	23	9999-12-31	2013-05-08
15/12-3	2106.000000	2285.000000	NO FORMAL NAME	FORMATION	\N	199	111	\N	9999-12-31	2013-05-08
15/12-3	111.000000	1317.000000	NORDLAND GP	GROUP	\N	199	113	\N	9999-12-31	2013-05-08
15/12-3	2285.000000	2472.000000	ROGALAND GP	GROUP	\N	199	131	\N	9999-12-31	2013-05-08
15/12-3	4392.000000	4450.000000	ROTLIEGEND GP	GROUP	\N	199	136	\N	9999-12-31	2013-05-08
15/12-3	2791.000000	2830.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	199	137	23	9999-12-31	2013-05-08
15/12-3	2348.000000	2401.000000	SELE FM	FORMATION	ROGALAND GP	199	142	131	9999-12-31	2013-05-08
15/12-3	2472.000000	2791.000000	SHETLAND GP	GROUP	\N	199	143	\N	9999-12-31	2013-05-08
15/12-3	2830.000000	2865.000000	SOLA FM	FORMATION	CROMER KNOLL GP	199	152	23	9999-12-31	2013-05-08
15/12-3	2479.000000	2675.000000	TOR FM	FORMATION	SHETLAND GP	199	171	143	9999-12-31	2013-05-08
15/12-3	908.000000	1317.000000	UTSIRA FM	FORMATION	NORDLAND GP	199	183	113	9999-12-31	2013-05-08
15/12-3	2998.000000	3238.000000	VIKING GP	GROUP	\N	199	188	\N	9999-12-31	2013-05-08
15/12-3	3238.000000	4392.000000	ZECHSTEIN GP	GROUP	\N	199	194	\N	9999-12-31	2013-05-08
15/12-3	2865.000000	2977.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	199	198	23	9999-12-31	2013-05-08
2/7-17	98.000000	1600.000000	NORDLAND GP	GROUP	\N	200	113	\N	9999-12-31	2013-05-08
25/4-5	1998.000000	2033.000000	BALDER FM	FORMATION	ROGALAND GP	201	6	131	9999-12-31	2013-05-08
25/4-5	3376.000000	3379.000000	BLODØKS FM	FORMATION	SHETLAND GP	201	13	143	9999-12-31	2013-05-08
25/4-5	3479.000000	3592.000000	CROMER KNOLL GP	GROUP	\N	201	23	\N	9999-12-31	2013-05-08
25/4-5	3592.000000	3619.000000	DRAUPNE FM	FORMATION	VIKING GP	201	28	188	9999-12-31	2013-05-08
25/4-5	3820.000000	3949.000000	DUNLIN GP	GROUP	\N	201	29	\N	9999-12-31	2013-05-08
25/4-5	993.000000	1090.000000	GRID FM	FORMATION	HORDALAND GP	201	53	67	9999-12-31	2013-05-08
25/4-5	1343.000000	1372.000000	GRID FM	FORMATION	HORDALAND GP	201	53	67	9999-12-31	2013-05-08
25/4-5	3619.000000	3692.000000	HEATHER FM	FORMATION	VIKING GP	201	60	188	9999-12-31	2013-05-08
25/4-5	2150.000000	2347.000000	HEIMDAL FM	FORMATION	ROGALAND GP	201	62	131	9999-12-31	2013-05-08
25/4-5	775.000000	1998.000000	HORDALAND GP	GROUP	\N	201	67	\N	9999-12-31	2013-05-08
25/4-5	3692.000000	3730.000000	HUGIN FM	FORMATION	VESTLAND GP	201	69	186	9999-12-31	2013-05-08
25/4-5	2659.000000	2960.000000	JORSALFARE FM	FORMATION	SHETLAND GP	201	74	143	9999-12-31	2013-05-08
25/4-5	2960.000000	3258.000000	KYRRE FM	FORMATION	SHETLAND GP	201	92	143	9999-12-31	2013-05-08
25/4-5	2090.000000	2150.000000	LISTA FM	FORMATION	ROGALAND GP	201	95	131	9999-12-31	2013-05-08
25/4-5	2347.000000	2550.000000	LISTA FM	FORMATION	ROGALAND GP	201	95	131	9999-12-31	2013-05-08
25/4-5	925.000000	993.000000	NO FORMAL NAME	FORMATION	\N	201	111	\N	9999-12-31	2013-05-08
25/4-5	1090.000000	1343.000000	NO FORMAL NAME	FORMATION	\N	201	111	\N	9999-12-31	2013-05-08
25/4-5	1372.000000	1998.000000	NO FORMAL NAME	FORMATION	\N	201	111	\N	9999-12-31	2013-05-08
25/4-5	146.000000	775.000000	NORDLAND GP	GROUP	\N	201	113	\N	9999-12-31	2013-05-08
25/4-5	1998.000000	2659.000000	ROGALAND GP	GROUP	\N	201	131	\N	9999-12-31	2013-05-08
25/4-5	3479.000000	3507.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	201	137	23	9999-12-31	2013-05-08
25/4-5	2033.000000	2090.000000	SELE FM	FORMATION	ROGALAND GP	201	142	131	9999-12-31	2013-05-08
25/4-5	2659.000000	3479.000000	SHETLAND GP	GROUP	\N	201	143	\N	9999-12-31	2013-05-08
25/4-5	870.000000	925.000000	SKADE FM	FORMATION	HORDALAND GP	201	145	67	9999-12-31	2013-05-08
25/4-5	4127.000000	4207.000000	SKAGERRAK FM	FORMATION	HEGRE GP	201	146	61	9999-12-31	2013-05-08
25/4-5	3730.000000	3820.000000	SLEIPNER FM	FORMATION	VESTLAND GP	201	148	186	9999-12-31	2013-05-08
25/4-5	4207.000000	4355.000000	SMITH BANK FM	FORMATION	HEGRE GP	201	149	61	9999-12-31	2013-05-08
25/4-5	3507.000000	3574.000000	SOLA FM	FORMATION	CROMER KNOLL GP	201	152	23	9999-12-31	2013-05-08
25/4-5	3949.000000	4127.000000	STATFJORD FM	FORMATION	\N	201	157	\N	9999-12-31	2013-05-08
25/4-5	3379.000000	3479.000000	SVARTE FM	FORMATION	SHETLAND GP	201	160	143	9999-12-31	2013-05-08
25/4-5	3258.000000	3376.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	201	173	143	9999-12-31	2013-05-08
25/4-5	2550.000000	2659.000000	TY FM	FORMATION	ROGALAND GP	201	176	131	9999-12-31	2013-05-08
25/4-5	480.000000	775.000000	UTSIRA FM	FORMATION	NORDLAND GP	201	183	113	9999-12-31	2013-05-08
25/4-5	3692.000000	3820.000000	VESTLAND GP	GROUP	\N	201	186	\N	9999-12-31	2013-05-08
25/4-5	3592.000000	3692.000000	VIKING GP	GROUP	\N	201	188	\N	9999-12-31	2013-05-08
25/4-5	3574.000000	3592.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	201	198	23	9999-12-31	2013-05-08
25/4-5	3949.000000	4127.000000	NO GROUP DEFINED	GROUP	\N	201	208	\N	9999-12-31	2013-05-08
25/4-5	4127.000000	4355.000000	NO GROUP DEFINED	GROUP	\N	201	208	\N	9999-12-31	2013-05-08
6507/12-1	1495.000000	1826.000000	BRYGGE FM	FORMATION	HORDALAND GP	202	18	67	9999-12-31	2013-05-08
6507/12-1	2213.000000	2920.000000	BÅT GP	GROUP	\N	202	22	\N	9999-12-31	2013-05-08
6507/12-1	2012.000000	2032.000000	CROMER KNOLL GP	GROUP	\N	202	23	\N	9999-12-31	2013-05-08
6507/12-1	2094.000000	2213.000000	FANGST GP	GROUP	\N	202	38	\N	9999-12-31	2013-05-08
6507/12-1	2094.000000	2128.000000	GARN FM	FORMATION	FANGST GP	202	48	38	9999-12-31	2013-05-08
6507/12-1	2920.000000	3060.000000	GREY BEDS (INFORMAL)	GROUP	\N	202	52	\N	9999-12-31	2013-05-08
6507/12-1	1495.000000	1826.000000	HORDALAND GP	GROUP	\N	202	67	\N	9999-12-31	2013-05-08
6507/12-1	2143.000000	2213.000000	ILE FM	FORMATION	FANGST GP	202	70	38	9999-12-31	2013-05-08
6507/12-1	1342.000000	1495.000000	KAI FM	FORMATION	NORDLAND GP	202	77	113	9999-12-31	2013-05-08
6507/12-1	2012.000000	2032.000000	LYR FM	FORMATION	CROMER KNOLL GP	202	98	23	9999-12-31	2013-05-08
6507/12-1	2052.000000	2094.000000	MELKE FM	FORMATION	VIKING GP	202	105	188	9999-12-31	2013-05-08
6507/12-1	250.000000	1342.000000	NAUST FM	FORMATION	NORDLAND GP	202	109	113	9999-12-31	2013-05-08
6507/12-1	250.000000	1495.000000	NORDLAND GP	GROUP	\N	202	113	\N	9999-12-31	2013-05-08
6507/12-1	2128.000000	2143.000000	NOT FM	FORMATION	FANGST GP	202	120	38	9999-12-31	2013-05-08
6507/12-1	3060.000000	3720.000000	RED BEDS (INFORMAL)	GROUP	\N	202	129	\N	9999-12-31	2013-05-08
6507/12-1	1826.000000	1929.000000	ROGALAND GP	GROUP	\N	202	131	\N	9999-12-31	2013-05-08
6507/12-1	2213.000000	2303.000000	ROR FM	FORMATION	BÅT GP	202	135	22	9999-12-31	2013-05-08
6507/12-1	1929.000000	2012.000000	SHETLAND GP	GROUP	\N	202	143	\N	9999-12-31	2013-05-08
6507/12-1	2032.000000	2052.000000	SPEKK FM	FORMATION	VIKING GP	202	155	188	9999-12-31	2013-05-08
6507/12-1	1929.000000	2012.000000	SPRINGAR FM	FORMATION	SHETLAND GP	202	156	143	9999-12-31	2013-05-08
6507/12-1	1884.000000	1929.000000	TANG FM	FORMATION	ROGALAND GP	202	161	131	9999-12-31	2013-05-08
6507/12-1	1826.000000	1884.000000	TARE FM	FORMATION	ROGALAND GP	202	163	131	9999-12-31	2013-05-08
6507/12-1	2303.000000	2412.000000	TILJE FM	FORMATION	BÅT GP	202	169	22	9999-12-31	2013-05-08
6507/12-1	2032.000000	2094.000000	VIKING GP	GROUP	\N	202	188	\N	9999-12-31	2013-05-08
6507/12-1	2412.000000	2920.000000	ÅRE FM	FORMATION	BÅT GP	202	197	22	9999-12-31	2013-05-08
30/3-2	894.000000	955.000000	HORDALAND GP	GROUP	\N	203	67	\N	9999-12-31	2013-05-08
30/3-2	211.000000	894.000000	NORDLAND GP	GROUP	\N	203	113	\N	9999-12-31	2013-05-08
30/3-2	753.000000	894.000000	UTSIRA FM	FORMATION	NORDLAND GP	203	183	113	9999-12-31	2013-05-08
35/8-1	3995.000000	4093.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	205	4	29	9999-12-31	2013-05-08
35/8-1	1683.000000	1745.000000	BALDER FM	FORMATION	ROGALAND GP	205	6	131	9999-12-31	2013-05-08
35/8-1	3170.000000	3172.000000	BLODØKS FM	FORMATION	SHETLAND GP	205	13	143	9999-12-31	2013-05-08
35/8-1	3516.000000	3744.000000	BRENT GP	GROUP	\N	205	16	\N	9999-12-31	2013-05-08
35/8-1	3743.000000	3744.000000	BROOM FM	FORMATION	BRENT GP	205	17	16	9999-12-31	2013-05-08
35/8-1	3982.000000	3995.000000	BURTON FM	FORMATION	DUNLIN GP	205	20	29	9999-12-31	2013-05-08
35/8-1	3180.000000	3186.000000	CROMER KNOLL GP	GROUP	\N	205	23	\N	9999-12-31	2013-05-08
35/8-1	3831.000000	3982.000000	COOK FM	FORMATION	DUNLIN GP	205	24	29	9999-12-31	2013-05-08
35/8-1	3744.000000	3831.000000	DRAKE FM	FORMATION	DUNLIN GP	205	27	29	9999-12-31	2013-05-08
35/8-1	3186.000000	3200.000000	DRAUPNE FM	FORMATION	VIKING GP	205	28	188	9999-12-31	2013-05-08
35/8-1	3744.000000	4093.000000	DUNLIN GP	GROUP	\N	205	29	\N	9999-12-31	2013-05-08
35/8-1	3628.000000	3680.000000	ETIVE FM	FORMATION	BRENT GP	205	35	16	9999-12-31	2013-05-08
35/8-1	3219.000000	3258.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	205	59	188	9999-12-31	2013-05-08
35/8-1	3200.000000	3219.000000	HEATHER FM	FORMATION	VIKING GP	205	60	188	9999-12-31	2013-05-08
35/8-1	3258.000000	3516.000000	HEATHER FM	FORMATION	VIKING GP	205	60	188	9999-12-31	2013-05-08
35/8-1	964.000000	1683.000000	HORDALAND GP	GROUP	\N	205	67	\N	9999-12-31	2013-05-08
35/8-1	1893.000000	2102.000000	JORSALFARE FM	FORMATION	SHETLAND GP	205	74	143	9999-12-31	2013-05-08
35/8-1	2102.000000	3047.000000	KYRRE FM	FORMATION	SHETLAND GP	205	92	143	9999-12-31	2013-05-08
35/8-1	1754.000000	1870.000000	LISTA FM	FORMATION	ROGALAND GP	205	95	131	9999-12-31	2013-05-08
35/8-1	3578.000000	3628.000000	NESS FM	FORMATION	BRENT GP	205	110	16	9999-12-31	2013-05-08
35/8-1	1218.000000	1620.000000	NO FORMAL NAME	FORMATION	\N	205	111	\N	9999-12-31	2013-05-08
35/8-1	1620.000000	1683.000000	NO FORMAL NAME	FORMATION	\N	205	111	\N	9999-12-31	2013-05-08
35/8-1	402.000000	964.000000	NORDLAND GP	GROUP	\N	205	113	\N	9999-12-31	2013-05-08
35/8-1	3680.000000	3743.000000	RANNOCH FM	FORMATION	BRENT GP	205	126	16	9999-12-31	2013-05-08
35/8-1	1683.000000	1893.000000	ROGALAND GP	GROUP	\N	205	131	\N	9999-12-31	2013-05-08
35/8-1	1745.000000	1754.000000	SELE FM	FORMATION	ROGALAND GP	205	142	131	9999-12-31	2013-05-08
35/8-1	1893.000000	3180.000000	SHETLAND GP	GROUP	\N	205	143	\N	9999-12-31	2013-05-08
35/8-1	4093.000000	4345.000000	STATFJORD FM	FORMATION	\N	205	157	\N	9999-12-31	2013-05-08
35/8-1	3172.000000	3180.000000	SVARTE FM	FORMATION	SHETLAND GP	205	160	143	9999-12-31	2013-05-08
35/8-1	3516.000000	3578.000000	TARBERT FM	FORMATION	BRENT GP	205	162	16	9999-12-31	2013-05-08
35/8-1	3047.000000	3170.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	205	173	143	9999-12-31	2013-05-08
35/8-1	818.000000	964.000000	UTSIRA FM	FORMATION	NORDLAND GP	205	183	113	9999-12-31	2013-05-08
35/8-1	3186.000000	3516.000000	VIKING GP	GROUP	\N	205	188	\N	9999-12-31	2013-05-08
35/8-1	1870.000000	1893.000000	VÅLE FM	FORMATION	ROGALAND GP	205	190	131	9999-12-31	2013-05-08
35/8-1	3180.000000	3186.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	205	198	23	9999-12-31	2013-05-08
35/8-1	4093.000000	4345.000000	NO GROUP DEFINED	GROUP	\N	205	208	\N	9999-12-31	2013-05-08
2/7-18	98.000000	601.000000	NORDLAND GP	GROUP	\N	206	113	\N	9999-12-31	2013-05-08
31/2-4	724.000000	815.000000	HORDALAND GP	GROUP	\N	208	67	\N	9999-12-31	2013-05-08
31/2-4	494.000000	528.000000	NO FORMAL NAME	FORMATION	\N	208	111	\N	9999-12-31	2013-05-08
31/2-4	528.000000	724.000000	NO FORMAL NAME	FORMATION	\N	208	111	\N	9999-12-31	2013-05-08
31/2-4	361.000000	724.000000	NORDLAND GP	GROUP	\N	208	113	\N	9999-12-31	2013-05-08
31/2-5	2277.000000	2308.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	210	4	29	9999-12-31	2013-05-08
31/2-5	2387.000000	2404.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	210	4	29	9999-12-31	2013-05-08
31/2-5	1346.000000	1396.000000	BALDER FM	FORMATION	ROGALAND GP	210	6	131	9999-12-31	2013-05-08
31/2-5	1957.000000	2070.000000	BRENT GP	GROUP	\N	210	16	\N	9999-12-31	2013-05-08
31/2-5	2201.000000	2277.000000	COOK FM	FORMATION	DUNLIN GP	210	24	29	9999-12-31	2013-05-08
31/2-5	2070.000000	2201.000000	DRAKE FM	FORMATION	DUNLIN GP	210	27	29	9999-12-31	2013-05-08
31/2-5	2070.000000	2404.000000	DUNLIN GP	GROUP	\N	210	29	\N	9999-12-31	2013-05-08
31/2-5	1693.000000	1789.000000	FENSFJORD FM	FORMATION	VIKING GP	210	40	188	9999-12-31	2013-05-08
31/2-5	1617.000000	1693.000000	HEATHER FM	FORMATION	VIKING GP	210	60	188	9999-12-31	2013-05-08
31/2-5	1860.000000	1957.000000	HEATHER FM	FORMATION	VIKING GP	210	60	188	9999-12-31	2013-05-08
31/2-5	2471.000000	2532.000000	HEGRE GP	GROUP	\N	210	61	\N	9999-12-31	2013-05-08
31/2-5	788.000000	1346.000000	HORDALAND GP	GROUP	\N	210	67	\N	9999-12-31	2013-05-08
31/2-5	2308.000000	2387.000000	JOHANSEN FM	FORMATION	DUNLIN GP	210	73	29	9999-12-31	2013-05-08
31/2-5	1789.000000	1860.000000	KROSSFJORD FM	FORMATION	VIKING GP	210	87	188	9999-12-31	2013-05-08
31/2-5	1426.000000	1533.000000	LISTA FM	FORMATION	ROGALAND GP	210	95	131	9999-12-31	2013-05-08
31/2-5	788.000000	815.000000	NO FORMAL NAME	FORMATION	\N	210	111	\N	9999-12-31	2013-05-08
31/2-5	815.000000	1346.000000	NO FORMAL NAME	FORMATION	\N	210	111	\N	9999-12-31	2013-05-08
31/2-5	365.000000	788.000000	NORDLAND GP	GROUP	\N	210	113	\N	9999-12-31	2013-05-08
31/2-5	1346.000000	1533.000000	ROGALAND GP	GROUP	\N	210	131	\N	9999-12-31	2013-05-08
31/2-5	1396.000000	1426.000000	SELE FM	FORMATION	ROGALAND GP	210	142	131	9999-12-31	2013-05-08
31/2-5	1533.000000	1536.000000	SHETLAND GP	GROUP	\N	210	143	\N	9999-12-31	2013-05-08
31/2-5	1536.000000	1617.000000	SOGNEFJORD FM	FORMATION	VIKING GP	210	151	188	9999-12-31	2013-05-08
31/2-5	2404.000000	2471.000000	STATFJORD FM	FORMATION	\N	210	157	\N	9999-12-31	2013-05-08
31/2-5	1536.000000	1957.000000	VIKING GP	GROUP	\N	210	188	\N	9999-12-31	2013-05-08
31/2-5	2404.000000	2471.000000	NO GROUP DEFINED	GROUP	\N	210	208	\N	9999-12-31	2013-05-08
25/11-9	1670.000000	1713.000000	BALDER FM	FORMATION	ROGALAND GP	213	6	131	9999-12-31	2013-05-08
25/11-9	1741.000000	1768.000000	BALDER FM	FORMATION	ROGALAND GP	213	6	131	9999-12-31	2013-05-08
25/11-9	1713.000000	1741.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	213	7	131	9999-12-31	2013-05-08
25/11-9	1887.000000	1902.000000	EKOFISK FM	FORMATION	SHETLAND GP	213	33	143	9999-12-31	2013-05-08
25/11-9	1855.000000	1863.000000	HEIMDAL FM	FORMATION	ROGALAND GP	213	62	131	9999-12-31	2013-05-08
25/11-9	1782.000000	1783.000000	HERMOD FM	FORMATION	ROGALAND GP	213	64	131	9999-12-31	2013-05-08
25/11-9	1789.000000	1818.000000	HERMOD FM	FORMATION	ROGALAND GP	213	64	131	9999-12-31	2013-05-08
25/11-9	770.000000	1670.000000	HORDALAND GP	GROUP	\N	213	67	\N	9999-12-31	2013-05-08
25/11-9	1825.000000	1855.000000	LISTA FM	FORMATION	ROGALAND GP	213	95	131	9999-12-31	2013-05-08
25/11-9	1863.000000	1882.000000	LISTA FM	FORMATION	ROGALAND GP	213	95	131	9999-12-31	2013-05-08
25/11-9	745.000000	770.000000	NO FORMAL NAME	FORMATION	\N	213	111	\N	9999-12-31	2013-05-08
25/11-9	935.000000	1000.000000	NO FORMAL NAME	FORMATION	\N	213	111	\N	9999-12-31	2013-05-08
25/11-9	1022.000000	1040.000000	NO FORMAL NAME	FORMATION	\N	213	111	\N	9999-12-31	2013-05-08
25/11-9	1045.000000	1077.000000	NO FORMAL NAME	FORMATION	\N	213	111	\N	9999-12-31	2013-05-08
25/11-9	1112.000000	1670.000000	NO FORMAL NAME	FORMATION	\N	213	111	\N	9999-12-31	2013-05-08
25/11-9	151.000000	770.000000	NORDLAND GP	GROUP	\N	213	113	\N	9999-12-31	2013-05-08
25/11-9	1670.000000	1887.000000	ROGALAND GP	GROUP	\N	213	131	\N	9999-12-31	2013-05-08
25/11-9	1768.000000	1782.000000	SELE FM	FORMATION	ROGALAND GP	213	142	131	9999-12-31	2013-05-08
25/11-9	1783.000000	1789.000000	SELE FM	FORMATION	ROGALAND GP	213	142	131	9999-12-31	2013-05-08
25/11-9	1818.000000	1825.000000	SELE FM	FORMATION	ROGALAND GP	213	142	131	9999-12-31	2013-05-08
25/11-9	1887.000000	1910.000000	SHETLAND GP	GROUP	\N	213	143	\N	9999-12-31	2013-05-08
25/11-9	770.000000	935.000000	SKADE FM	FORMATION	HORDALAND GP	213	145	67	9999-12-31	2013-05-08
25/11-9	1000.000000	1022.000000	SKADE FM	FORMATION	HORDALAND GP	213	145	67	9999-12-31	2013-05-08
25/11-9	1040.000000	1045.000000	SKADE FM	FORMATION	HORDALAND GP	213	145	67	9999-12-31	2013-05-08
25/11-9	1077.000000	1112.000000	SKADE FM	FORMATION	HORDALAND GP	213	145	67	9999-12-31	2013-05-08
25/11-9	1902.000000	1910.000000	TOR FM	FORMATION	SHETLAND GP	213	171	143	9999-12-31	2013-05-08
25/11-9	620.000000	745.000000	UTSIRA FM	FORMATION	NORDLAND GP	213	183	113	9999-12-31	2013-05-08
25/11-9	1882.000000	1887.000000	VÅLE FM	FORMATION	ROGALAND GP	213	190	131	9999-12-31	2013-05-08
31/4-4	1796.000000	1853.000000	BALDER FM	FORMATION	ROGALAND GP	214	6	131	9999-12-31	2013-05-08
31/4-4	2680.000000	2798.000000	BRENT GP	GROUP	\N	214	16	\N	9999-12-31	2013-05-08
31/4-4	2195.000000	2300.000000	CROMER KNOLL GP	GROUP	\N	214	23	\N	9999-12-31	2013-05-08
31/4-4	2935.000000	2956.000000	COOK FM	FORMATION	DUNLIN GP	214	24	29	9999-12-31	2013-05-08
31/4-4	2300.000000	2365.000000	DRAUPNE FM	FORMATION	VIKING GP	214	28	188	9999-12-31	2013-05-08
31/4-4	2798.000000	2956.000000	DUNLIN GP	GROUP	\N	214	29	\N	9999-12-31	2013-05-08
31/4-4	2956.000000	3087.000000	DUNLIN GP	GROUP	\N	214	29	\N	9999-12-31	2013-05-08
31/4-4	2721.000000	2798.000000	ETIVE FM	FORMATION	BRENT GP	214	35	16	9999-12-31	2013-05-08
31/4-4	2482.000000	2527.000000	FENSFJORD FM	FORMATION	VIKING GP	214	40	188	9999-12-31	2013-05-08
31/4-4	2402.000000	2482.000000	HEATHER FM	FORMATION	VIKING GP	214	60	188	9999-12-31	2013-05-08
31/4-4	2527.000000	2680.000000	HEATHER FM	FORMATION	VIKING GP	214	60	188	9999-12-31	2013-05-08
31/4-4	890.000000	1796.000000	HORDALAND GP	GROUP	\N	214	67	\N	9999-12-31	2013-05-08
31/4-4	1893.000000	2050.000000	LISTA FM	FORMATION	ROGALAND GP	214	95	131	9999-12-31	2013-05-08
31/4-4	2695.000000	2721.000000	NESS FM	FORMATION	BRENT GP	214	110	16	9999-12-31	2013-05-08
31/4-4	239.000000	890.000000	NORDLAND GP	GROUP	\N	214	113	\N	9999-12-31	2013-05-08
31/4-4	1796.000000	2067.000000	ROGALAND GP	GROUP	\N	214	131	\N	9999-12-31	2013-05-08
31/4-4	1853.000000	1893.000000	SELE FM	FORMATION	ROGALAND GP	214	142	131	9999-12-31	2013-05-08
31/4-4	2067.000000	2195.000000	SHETLAND GP	GROUP	\N	214	143	\N	9999-12-31	2013-05-08
31/4-4	2365.000000	2402.000000	SOGNEFJORD FM	FORMATION	VIKING GP	214	151	188	9999-12-31	2013-05-08
31/4-4	3087.000000	3150.000000	STATFJORD FM	FORMATION	\N	214	157	\N	9999-12-31	2013-05-08
31/4-4	2680.000000	2695.000000	TARBERT FM	FORMATION	BRENT GP	214	162	16	9999-12-31	2013-05-08
31/4-4	733.000000	890.000000	UTSIRA FM	FORMATION	NORDLAND GP	214	183	113	9999-12-31	2013-05-08
31/4-4	2300.000000	2680.000000	VIKING GP	GROUP	\N	214	188	\N	9999-12-31	2013-05-08
31/4-4	2050.000000	2067.000000	VÅLE FM	FORMATION	ROGALAND GP	214	190	131	9999-12-31	2013-05-08
31/4-4	3087.000000	3150.000000	NO GROUP DEFINED	GROUP	\N	214	208	\N	9999-12-31	2013-05-08
34/2-2	412.000000	513.000000	NORDLAND GP	GROUP	\N	215	113	\N	9999-12-31	2013-05-08
25/10-4	1682.000000	1720.000000	BALDER FM	FORMATION	ROGALAND GP	217	6	131	9999-12-31	2013-05-08
25/10-4	1963.000000	1982.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	217	26	188	9999-12-31	2013-05-08
25/10-4	1961.000000	1963.000000	DRAUPNE FM	FORMATION	VIKING GP	217	28	188	9999-12-31	2013-05-08
25/10-4	1982.000000	1985.000000	DRAUPNE FM	FORMATION	VIKING GP	217	28	188	9999-12-31	2013-05-08
25/10-4	1418.000000	1487.000000	GRID FM	FORMATION	HORDALAND GP	217	53	67	9999-12-31	2013-05-08
25/10-4	1985.000000	2003.000000	HEATHER FM	FORMATION	VIKING GP	217	60	188	9999-12-31	2013-05-08
25/10-4	1760.000000	1874.000000	HEIMDAL FM	FORMATION	ROGALAND GP	217	62	131	9999-12-31	2013-05-08
25/10-4	740.000000	1682.000000	HORDALAND GP	GROUP	\N	217	67	\N	9999-12-31	2013-05-08
25/10-4	1747.000000	1760.000000	LISTA FM	FORMATION	ROGALAND GP	217	95	131	9999-12-31	2013-05-08
25/10-4	1874.000000	1950.000000	LISTA FM	FORMATION	ROGALAND GP	217	95	131	9999-12-31	2013-05-08
25/10-4	693.000000	740.000000	NO FORMAL NAME	FORMATION	\N	217	111	\N	9999-12-31	2013-05-08
25/10-4	920.000000	1058.000000	NO FORMAL NAME	FORMATION	\N	217	111	\N	9999-12-31	2013-05-08
25/10-4	1109.000000	1203.000000	NO FORMAL NAME	FORMATION	\N	217	111	\N	9999-12-31	2013-05-08
25/10-4	1219.000000	1418.000000	NO FORMAL NAME	FORMATION	\N	217	111	\N	9999-12-31	2013-05-08
25/10-4	1487.000000	1682.000000	NO FORMAL NAME	FORMATION	\N	217	111	\N	9999-12-31	2013-05-08
25/10-4	151.000000	740.000000	NORDLAND GP	GROUP	\N	217	113	\N	9999-12-31	2013-05-08
25/10-4	1682.000000	1950.000000	ROGALAND GP	GROUP	\N	217	131	\N	9999-12-31	2013-05-08
25/10-4	1720.000000	1747.000000	SELE FM	FORMATION	ROGALAND GP	217	142	131	9999-12-31	2013-05-08
25/10-4	1950.000000	1961.000000	SHETLAND GP	GROUP	\N	217	143	\N	9999-12-31	2013-05-08
25/10-4	740.000000	920.000000	SKADE FM	FORMATION	HORDALAND GP	217	145	67	9999-12-31	2013-05-08
25/10-4	1058.000000	1109.000000	SKADE FM	FORMATION	HORDALAND GP	217	145	67	9999-12-31	2013-05-08
25/10-4	1203.000000	1219.000000	SKADE FM	FORMATION	HORDALAND GP	217	145	67	9999-12-31	2013-05-08
25/10-4	2003.000000	2154.000000	STATFJORD FM	FORMATION	\N	217	157	\N	9999-12-31	2013-05-08
25/10-4	569.000000	693.000000	UTSIRA FM	FORMATION	NORDLAND GP	217	183	113	9999-12-31	2013-05-08
25/10-4	1961.000000	2003.000000	VIKING GP	GROUP	\N	217	188	\N	9999-12-31	2013-05-08
25/10-4	2314.000000	2349.000000	ZECHSTEIN GP	GROUP	\N	217	194	\N	9999-12-31	2013-05-08
25/10-4	2003.000000	2154.000000	NO GROUP DEFINED	GROUP	\N	217	208	\N	9999-12-31	2013-05-08
25/10-4	2154.000000	2314.000000	NO GROUP DEFINED	GROUP	\N	217	208	\N	9999-12-31	2013-05-08
35/3-4	3345.000000	3583.000000	AGAT FM	FORMATION	CROMER KNOLL GP	219	2	23	9999-12-31	2013-05-08
35/3-4	1162.000000	1177.000000	BALDER FM	FORMATION	ROGALAND GP	219	6	131	9999-12-31	2013-05-08
35/3-4	4069.000000	4089.000000	BASEMENT	GROUP	\N	219	10	\N	9999-12-31	2013-05-08
35/3-4	3040.000000	3088.000000	BLODØKS FM	FORMATION	SHETLAND GP	219	13	143	9999-12-31	2013-05-08
35/3-4	3345.000000	3667.000000	CROMER KNOLL GP	GROUP	\N	219	23	\N	9999-12-31	2013-05-08
35/3-4	3963.000000	4069.000000	COOK FM	FORMATION	DUNLIN GP	219	24	29	9999-12-31	2013-05-08
35/3-4	3800.000000	3963.000000	DRAKE FM	FORMATION	DUNLIN GP	219	27	29	9999-12-31	2013-05-08
35/3-4	3800.000000	4069.000000	DUNLIN GP	GROUP	\N	219	29	\N	9999-12-31	2013-05-08
35/3-4	3667.000000	3800.000000	HEATHER FM	FORMATION	VIKING GP	219	60	188	9999-12-31	2013-05-08
35/3-4	575.000000	1162.000000	HORDALAND GP	GROUP	\N	219	67	\N	9999-12-31	2013-05-08
35/3-4	1470.000000	1561.000000	JORSALFARE FM	FORMATION	SHETLAND GP	219	74	143	9999-12-31	2013-05-08
35/3-4	1561.000000	2714.000000	KYRRE FM	FORMATION	SHETLAND GP	219	92	143	9999-12-31	2013-05-08
35/3-4	1177.000000	1327.000000	LISTA FM	FORMATION	ROGALAND GP	219	95	131	9999-12-31	2013-05-08
35/3-4	1356.000000	1401.000000	LISTA FM	FORMATION	ROGALAND GP	219	95	131	9999-12-31	2013-05-08
35/3-4	575.000000	1162.000000	NO FORMAL NAME	FORMATION	\N	219	111	\N	9999-12-31	2013-05-08
35/3-4	1327.000000	1356.000000	NO FORMAL NAME	FORMATION	\N	219	111	\N	9999-12-31	2013-05-08
35/3-4	1401.000000	1457.000000	NO FORMAL NAME	FORMATION	\N	219	111	\N	9999-12-31	2013-05-08
35/3-4	283.000000	575.000000	NORDLAND GP	GROUP	\N	219	113	\N	9999-12-31	2013-05-08
35/3-4	1162.000000	1470.000000	ROGALAND GP	GROUP	\N	219	131	\N	9999-12-31	2013-05-08
35/3-4	1470.000000	3345.000000	SHETLAND GP	GROUP	\N	219	143	\N	9999-12-31	2013-05-08
35/3-4	3088.000000	3345.000000	SVARTE FM	FORMATION	SHETLAND GP	219	160	143	9999-12-31	2013-05-08
35/3-4	2714.000000	3040.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	219	173	143	9999-12-31	2013-05-08
35/3-4	3667.000000	3800.000000	VIKING GP	GROUP	\N	219	188	\N	9999-12-31	2013-05-08
35/3-4	1457.000000	1470.000000	VÅLE FM	FORMATION	ROGALAND GP	219	190	131	9999-12-31	2013-05-08
35/3-4	3583.000000	3667.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	219	198	23	9999-12-31	2013-05-08
3/7-2	2456.000000	2487.000000	BALDER FM	FORMATION	ROGALAND GP	220	6	131	9999-12-31	2013-05-08
3/7-2	2799.000000	2830.000000	CROMER KNOLL GP	GROUP	\N	220	23	\N	9999-12-31	2013-05-08
3/7-2	2558.000000	2596.000000	EKOFISK FM	FORMATION	SHETLAND GP	220	33	143	9999-12-31	2013-05-08
3/7-2	1403.000000	2456.000000	HORDALAND GP	GROUP	\N	220	67	\N	9999-12-31	2013-05-08
3/7-2	2507.000000	2545.000000	LISTA FM	FORMATION	ROGALAND GP	220	95	131	9999-12-31	2013-05-08
3/7-2	2545.000000	2558.000000	MAUREEN FM	FORMATION	ROGALAND GP	220	102	131	9999-12-31	2013-05-08
3/7-2	77.000000	1403.000000	NORDLAND GP	GROUP	\N	220	113	\N	9999-12-31	2013-05-08
3/7-2	2456.000000	2558.000000	ROGALAND GP	GROUP	\N	220	131	\N	9999-12-31	2013-05-08
3/7-2	4166.000000	4330.000000	ROTLIEGEND GP	GROUP	\N	220	136	\N	9999-12-31	2013-05-08
3/7-2	2487.000000	2507.000000	SELE FM	FORMATION	ROGALAND GP	220	142	131	9999-12-31	2013-05-08
3/7-2	2558.000000	2799.000000	SHETLAND GP	GROUP	\N	220	143	\N	9999-12-31	2013-05-08
3/7-2	2945.000000	2998.000000	SKAGERRAK FM	FORMATION	HEGRE GP	220	146	61	9999-12-31	2013-05-08
3/7-2	2596.000000	2799.000000	TOR FM	FORMATION	SHETLAND GP	220	171	143	9999-12-31	2013-05-08
3/7-2	2830.000000	2907.000000	TYNE GP	GROUP	\N	220	177	\N	9999-12-31	2013-05-08
3/7-2	2907.000000	2945.000000	VESTLAND GP	GROUP	\N	220	186	\N	9999-12-31	2013-05-08
3/7-2	2998.000000	4166.000000	ZECHSTEIN GP	GROUP	\N	220	194	\N	9999-12-31	2013-05-08
3/7-2	2945.000000	2998.000000	NO GROUP DEFINED	GROUP	\N	220	208	\N	9999-12-31	2013-05-08
34/10-7	1945.000000	2053.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	222	4	29	9999-12-31	2013-05-08
34/10-7	1515.000000	1568.000000	BALDER FM	FORMATION	ROGALAND GP	222	6	131	9999-12-31	2013-05-08
34/10-7	1937.000000	1945.000000	BURTON FM	FORMATION	DUNLIN GP	222	20	29	9999-12-31	2013-05-08
34/10-7	1810.000000	1937.000000	COOK FM	FORMATION	DUNLIN GP	222	24	29	9999-12-31	2013-05-08
34/10-7	1810.000000	2053.000000	DUNLIN GP	GROUP	\N	222	29	\N	9999-12-31	2013-05-08
34/10-7	2180.000000	2250.000000	HEGRE GP	GROUP	\N	222	61	\N	9999-12-31	2013-05-08
34/10-7	965.000000	1515.000000	HORDALAND GP	GROUP	\N	222	67	\N	9999-12-31	2013-05-08
34/10-7	1666.000000	1750.000000	JORSALFARE FM	FORMATION	SHETLAND GP	222	74	143	9999-12-31	2013-05-08
34/10-7	1750.000000	1810.000000	KYRRE FM	FORMATION	SHETLAND GP	222	92	143	9999-12-31	2013-05-08
34/10-7	1568.000000	1666.000000	LISTA FM	FORMATION	ROGALAND GP	222	95	131	9999-12-31	2013-05-08
34/10-7	2180.000000	2250.000000	LUNDE FM	FORMATION	HEGRE GP	222	97	61	9999-12-31	2013-05-08
34/10-7	2053.000000	2140.000000	NANSEN MBR	MEMBER	STATFJORD FM	222	108	157	9999-12-31	2013-05-08
34/10-7	934.000000	965.000000	NO FORMAL NAME	FORMATION	\N	222	111	\N	9999-12-31	2013-05-08
34/10-7	1015.000000	1063.000000	NO FORMAL NAME	FORMATION	\N	222	111	\N	9999-12-31	2013-05-08
34/10-7	1063.000000	1100.000000	NO FORMAL NAME	FORMATION	\N	222	111	\N	9999-12-31	2013-05-08
34/10-7	1100.000000	1130.000000	NO FORMAL NAME	FORMATION	\N	222	111	\N	9999-12-31	2013-05-08
34/10-7	1130.000000	1180.000000	NO FORMAL NAME	FORMATION	\N	222	111	\N	9999-12-31	2013-05-08
34/10-7	1180.000000	1308.000000	NO FORMAL NAME	FORMATION	\N	222	111	\N	9999-12-31	2013-05-08
34/10-7	1308.000000	1515.000000	NO FORMAL NAME	FORMATION	\N	222	111	\N	9999-12-31	2013-05-08
34/10-7	229.000000	965.000000	NORDLAND GP	GROUP	\N	222	113	\N	9999-12-31	2013-05-08
34/10-7	2140.000000	2180.000000	RAUDE MBR	MEMBER	STATFJORD FM	222	127	157	9999-12-31	2013-05-08
34/10-7	1515.000000	1666.000000	ROGALAND GP	GROUP	\N	222	131	\N	9999-12-31	2013-05-08
34/10-7	1666.000000	1810.000000	SHETLAND GP	GROUP	\N	222	143	\N	9999-12-31	2013-05-08
34/10-7	2053.000000	2180.000000	STATFJORD FM	FORMATION	\N	222	157	\N	9999-12-31	2013-05-08
34/10-7	895.000000	934.000000	UTSIRA FM	FORMATION	NORDLAND GP	222	183	113	9999-12-31	2013-05-08
34/10-7	2053.000000	2180.000000	NO GROUP DEFINED	GROUP	\N	222	208	\N	9999-12-31	2013-05-08
1/3-5	3062.000000	3070.000000	BALDER FM	FORMATION	ROGALAND GP	223	6	131	9999-12-31	2013-05-08
1/3-5	4580.000000	4734.000000	CROMER KNOLL GP	GROUP	\N	223	23	\N	9999-12-31	2013-05-08
1/3-5	3288.000000	3384.000000	EKOFISK FM	FORMATION	SHETLAND GP	223	33	143	9999-12-31	2013-05-08
1/3-5	4568.000000	4580.000000	HIDRA FM	FORMATION	SHETLAND GP	223	65	143	9999-12-31	2013-05-08
1/3-5	3858.000000	4568.000000	HOD FM	FORMATION	SHETLAND GP	223	66	143	9999-12-31	2013-05-08
1/3-5	1075.000000	3062.000000	HORDALAND GP	GROUP	\N	223	67	\N	9999-12-31	2013-05-08
1/3-5	3078.000000	3153.000000	LISTA FM	FORMATION	ROGALAND GP	223	95	131	9999-12-31	2013-05-08
1/3-5	3206.000000	3245.000000	LISTA FM	FORMATION	ROGALAND GP	223	95	131	9999-12-31	2013-05-08
1/3-5	106.000000	1075.000000	NORDLAND GP	GROUP	\N	223	113	\N	9999-12-31	2013-05-08
1/3-5	3062.000000	3288.000000	ROGALAND GP	GROUP	\N	223	131	\N	9999-12-31	2013-05-08
1/3-5	4769.000000	4850.000000	ROTLIEGEND GP	GROUP	\N	223	136	\N	9999-12-31	2013-05-08
1/3-5	4580.000000	4604.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	223	137	23	9999-12-31	2013-05-08
1/3-5	3070.000000	3078.000000	SELE FM	FORMATION	ROGALAND GP	223	142	131	9999-12-31	2013-05-08
1/3-5	3288.000000	4580.000000	SHETLAND GP	GROUP	\N	223	143	\N	9999-12-31	2013-05-08
1/3-5	4604.000000	4625.000000	SOLA FM	FORMATION	CROMER KNOLL GP	223	152	23	9999-12-31	2013-05-08
1/3-5	3384.000000	3858.000000	TOR FM	FORMATION	SHETLAND GP	223	171	143	9999-12-31	2013-05-08
1/3-5	3153.000000	3206.000000	VIDAR FM	FORMATION	ROGALAND GP	223	187	131	9999-12-31	2013-05-08
1/3-5	3245.000000	3288.000000	VÅLE FM	FORMATION	ROGALAND GP	223	190	131	9999-12-31	2013-05-08
1/3-5	4734.000000	4769.000000	ZECHSTEIN GP	GROUP	\N	223	194	\N	9999-12-31	2013-05-08
1/3-5	4625.000000	4734.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	223	198	23	9999-12-31	2013-05-08
2/6-2	3018.000000	3035.000000	BALDER FM	FORMATION	ROGALAND GP	224	6	131	9999-12-31	2013-05-08
2/6-2	4560.000000	4723.000000	BRYNE FM	FORMATION	VESTLAND GP	224	19	186	9999-12-31	2013-05-08
2/6-2	3812.000000	4118.000000	CROMER KNOLL GP	GROUP	\N	224	23	\N	9999-12-31	2013-05-08
2/6-2	3185.000000	3248.000000	EKOFISK FM	FORMATION	SHETLAND GP	224	33	143	9999-12-31	2013-05-08
2/6-2	4149.000000	4236.000000	FARSUND FM	FORMATION	TYNE GP	224	39	177	9999-12-31	2013-05-08
2/6-2	4236.000000	4560.000000	HAUGESUND FM	FORMATION	TYNE GP	224	57	177	9999-12-31	2013-05-08
2/6-2	3672.000000	3812.000000	HOD FM	FORMATION	SHETLAND GP	224	66	143	9999-12-31	2013-05-08
2/6-2	1634.000000	3018.000000	HORDALAND GP	GROUP	\N	224	67	\N	9999-12-31	2013-05-08
2/6-2	3077.000000	3147.000000	LISTA FM	FORMATION	ROGALAND GP	224	95	131	9999-12-31	2013-05-08
2/6-2	4118.000000	4149.000000	MANDAL FM	FORMATION	TYNE GP	224	101	177	9999-12-31	2013-05-08
2/6-2	95.000000	1634.000000	NORDLAND GP	GROUP	\N	224	113	\N	9999-12-31	2013-05-08
2/6-2	3018.000000	3185.000000	ROGALAND GP	GROUP	\N	224	131	\N	9999-12-31	2013-05-08
2/6-2	3812.000000	3864.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	224	137	23	9999-12-31	2013-05-08
2/6-2	3035.000000	3077.000000	SELE FM	FORMATION	ROGALAND GP	224	142	131	9999-12-31	2013-05-08
2/6-2	3185.000000	3812.000000	SHETLAND GP	GROUP	\N	224	143	\N	9999-12-31	2013-05-08
2/6-2	3248.000000	3672.000000	TOR FM	FORMATION	SHETLAND GP	224	171	143	9999-12-31	2013-05-08
2/6-2	3864.000000	3935.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	224	175	23	9999-12-31	2013-05-08
2/6-2	4118.000000	4560.000000	TYNE GP	GROUP	\N	224	177	\N	9999-12-31	2013-05-08
2/6-2	4560.000000	4723.000000	VESTLAND GP	GROUP	\N	224	186	\N	9999-12-31	2013-05-08
2/6-2	3147.000000	3185.000000	VÅLE FM	FORMATION	ROGALAND GP	224	190	131	9999-12-31	2013-05-08
2/6-2	4723.000000	4760.000000	ZECHSTEIN GP	GROUP	\N	224	194	\N	9999-12-31	2013-05-08
2/6-2	3935.000000	4118.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	224	198	23	9999-12-31	2013-05-08
2/7-15	2898.000000	2911.000000	BALDER FM	FORMATION	ROGALAND GP	225	6	131	9999-12-31	2013-05-08
2/7-15	3368.000000	3372.000000	BLODØKS FM	FORMATION	SHETLAND GP	225	13	143	9999-12-31	2013-05-08
2/7-15	3419.000000	3584.000000	CROMER KNOLL GP	GROUP	\N	225	23	\N	9999-12-31	2013-05-08
2/7-15	3008.000000	3029.000000	EKOFISK FM	FORMATION	SHETLAND GP	225	33	143	9999-12-31	2013-05-08
2/7-15	4133.000000	4181.000000	ELDFISK FM	FORMATION	TYNE GP	225	34	177	9999-12-31	2013-05-08
2/7-15	3606.000000	4133.000000	FARSUND FM	FORMATION	TYNE GP	225	39	177	9999-12-31	2013-05-08
2/7-15	4181.000000	4423.000000	HAUGESUND FM	FORMATION	TYNE GP	225	57	177	9999-12-31	2013-05-08
2/7-15	3372.000000	3419.000000	HIDRA FM	FORMATION	SHETLAND GP	225	65	143	9999-12-31	2013-05-08
2/7-15	3136.000000	3368.000000	HOD FM	FORMATION	SHETLAND GP	225	66	143	9999-12-31	2013-05-08
2/7-15	1689.000000	2898.000000	HORDALAND GP	GROUP	\N	225	67	\N	9999-12-31	2013-05-08
2/7-15	2950.000000	2982.000000	LISTA FM	FORMATION	ROGALAND GP	225	95	131	9999-12-31	2013-05-08
2/7-15	3584.000000	3606.000000	MANDAL FM	FORMATION	TYNE GP	225	101	177	9999-12-31	2013-05-08
2/7-15	94.000000	1689.000000	NORDLAND GP	GROUP	\N	225	113	\N	9999-12-31	2013-05-08
2/7-15	3450.000000	3498.000000	RAN SANDSTONE UNITS	FORMATION	CROMER KNOLL GP	225	125	23	9999-12-31	2013-05-08
2/7-15	2898.000000	3008.000000	ROGALAND GP	GROUP	\N	225	131	\N	9999-12-31	2013-05-08
2/7-15	3419.000000	3450.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	225	137	23	9999-12-31	2013-05-08
2/7-15	2911.000000	2950.000000	SELE FM	FORMATION	ROGALAND GP	225	142	131	9999-12-31	2013-05-08
2/7-15	3008.000000	3419.000000	SHETLAND GP	GROUP	\N	225	143	\N	9999-12-31	2013-05-08
2/7-15	3029.000000	3136.000000	TOR FM	FORMATION	SHETLAND GP	225	171	143	9999-12-31	2013-05-08
2/7-15	3584.000000	4423.000000	TYNE GP	GROUP	\N	225	177	\N	9999-12-31	2013-05-08
2/7-15	2982.000000	3008.000000	VÅLE FM	FORMATION	ROGALAND GP	225	190	131	9999-12-31	2013-05-08
2/7-15	3498.000000	3584.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	225	198	23	9999-12-31	2013-05-08
8/10-2	2158.000000	2166.000000	BALDER FM	FORMATION	ROGALAND GP	226	6	131	9999-12-31	2013-05-08
8/10-2	2657.000000	2667.000000	BOKNFJORD GP	GROUP	\N	226	15	\N	9999-12-31	2013-05-08
8/10-2	2513.000000	2657.000000	CROMER KNOLL GP	GROUP	\N	226	23	\N	9999-12-31	2013-05-08
8/10-2	2365.000000	2385.000000	EKOFISK FM	FORMATION	SHETLAND GP	226	33	143	9999-12-31	2013-05-08
8/10-2	2657.000000	2667.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	226	43	15	9999-12-31	2013-05-08
8/10-2	2510.000000	2513.000000	HIDRA FM	FORMATION	SHETLAND GP	226	65	143	9999-12-31	2013-05-08
8/10-2	2471.000000	2510.000000	HOD FM	FORMATION	SHETLAND GP	226	66	143	9999-12-31	2013-05-08
8/10-2	1265.000000	2158.000000	HORDALAND GP	GROUP	\N	226	67	\N	9999-12-31	2013-05-08
8/10-2	2316.000000	2348.000000	LISTA FM	FORMATION	ROGALAND GP	226	95	131	9999-12-31	2013-05-08
8/10-2	91.000000	1265.000000	NORDLAND GP	GROUP	\N	226	113	\N	9999-12-31	2013-05-08
8/10-2	2158.000000	2365.000000	ROGALAND GP	GROUP	\N	226	131	\N	9999-12-31	2013-05-08
8/10-2	2513.000000	2540.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	226	137	23	9999-12-31	2013-05-08
8/10-2	2667.000000	2752.000000	SANDNES FM	FORMATION	VESTLAND GP	226	139	186	9999-12-31	2013-05-08
8/10-2	2166.000000	2316.000000	SELE FM	FORMATION	ROGALAND GP	226	142	131	9999-12-31	2013-05-08
8/10-2	2365.000000	2513.000000	SHETLAND GP	GROUP	\N	226	143	\N	9999-12-31	2013-05-08
8/10-2	2752.000000	2795.000000	SKAGERRAK FM	FORMATION	HEGRE GP	226	146	61	9999-12-31	2013-05-08
8/10-2	2795.000000	2880.000000	SMITH BANK FM	FORMATION	HEGRE GP	226	149	61	9999-12-31	2013-05-08
8/10-2	2540.000000	2599.000000	SOLA FM	FORMATION	CROMER KNOLL GP	226	152	23	9999-12-31	2013-05-08
8/10-2	2385.000000	2471.000000	TOR FM	FORMATION	SHETLAND GP	226	171	143	9999-12-31	2013-05-08
8/10-2	2599.000000	2626.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	226	175	23	9999-12-31	2013-05-08
8/10-2	2667.000000	2752.000000	VESTLAND GP	GROUP	\N	226	186	\N	9999-12-31	2013-05-08
8/10-2	2348.000000	2365.000000	VÅLE FM	FORMATION	ROGALAND GP	226	190	131	9999-12-31	2013-05-08
8/10-2	2880.000000	2997.000000	ZECHSTEIN GP	GROUP	\N	226	194	\N	9999-12-31	2013-05-08
8/10-2	2626.000000	2657.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	226	198	23	9999-12-31	2013-05-08
8/10-2	2752.000000	2880.000000	NO GROUP DEFINED	GROUP	\N	226	208	\N	9999-12-31	2013-05-08
31/2-2	1124.000000	1205.000000	BALDER FM	FORMATION	ROGALAND GP	227	6	131	9999-12-31	2013-05-08
31/2-2	1424.000000	1470.000000	CROMER KNOLL GP	GROUP	\N	227	23	\N	9999-12-31	2013-05-08
31/2-2	1470.000000	1545.000000	DRAUPNE FM	FORMATION	VIKING GP	227	28	188	9999-12-31	2013-05-08
31/2-2	1700.000000	1848.000000	FENSFJORD FM	FORMATION	VIKING GP	227	40	188	9999-12-31	2013-05-08
31/2-2	1665.000000	1700.000000	HEATHER FM	FORMATION	VIKING GP	227	60	188	9999-12-31	2013-05-08
31/2-2	650.000000	1124.000000	HORDALAND GP	GROUP	\N	227	67	\N	9999-12-31	2013-05-08
31/2-2	1848.000000	1857.000000	KROSSFJORD FM	FORMATION	VIKING GP	227	87	188	9999-12-31	2013-05-08
31/2-2	1303.000000	1374.000000	LISTA FM	FORMATION	ROGALAND GP	227	95	131	9999-12-31	2013-05-08
31/2-2	650.000000	703.000000	NO FORMAL NAME	FORMATION	\N	227	111	\N	9999-12-31	2013-05-08
31/2-2	703.000000	1124.000000	NO FORMAL NAME	FORMATION	\N	227	111	\N	9999-12-31	2013-05-08
31/2-2	355.000000	650.000000	NORDLAND GP	GROUP	\N	227	113	\N	9999-12-31	2013-05-08
31/2-2	1124.000000	1374.000000	ROGALAND GP	GROUP	\N	227	131	\N	9999-12-31	2013-05-08
31/2-2	1424.000000	1431.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	227	137	23	9999-12-31	2013-05-08
31/2-2	1205.000000	1303.000000	SELE FM	FORMATION	ROGALAND GP	227	142	131	9999-12-31	2013-05-08
31/2-2	1374.000000	1424.000000	SHETLAND GP	GROUP	\N	227	143	\N	9999-12-31	2013-05-08
31/2-2	1545.000000	1665.000000	SOGNEFJORD FM	FORMATION	VIKING GP	227	151	188	9999-12-31	2013-05-08
31/2-2	1470.000000	1857.000000	VIKING GP	GROUP	\N	227	188	\N	9999-12-31	2013-05-08
31/2-2	1431.000000	1470.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	227	198	23	9999-12-31	2013-05-08
34/4-2	2584.000000	2597.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	228	4	29	9999-12-31	2013-05-08
34/4-2	1650.000000	1678.000000	BALDER FM	FORMATION	ROGALAND GP	228	6	131	9999-12-31	2013-05-08
34/4-2	2566.000000	2584.000000	CROMER KNOLL GP	GROUP	\N	228	23	\N	9999-12-31	2013-05-08
34/4-2	2584.000000	2597.000000	DUNLIN GP	GROUP	\N	228	29	\N	9999-12-31	2013-05-08
34/4-2	2697.000000	3599.000000	HEGRE GP	GROUP	\N	228	61	\N	9999-12-31	2013-05-08
34/4-2	1151.000000	1650.000000	HORDALAND GP	GROUP	\N	228	67	\N	9999-12-31	2013-05-08
34/4-2	1809.000000	2127.000000	JORSALFARE FM	FORMATION	SHETLAND GP	228	74	143	9999-12-31	2013-05-08
34/4-2	2127.000000	2566.000000	KYRRE FM	FORMATION	SHETLAND GP	228	92	143	9999-12-31	2013-05-08
34/4-2	1678.000000	1809.000000	LISTA FM	FORMATION	ROGALAND GP	228	95	131	9999-12-31	2013-05-08
34/4-2	2697.000000	3599.000000	LUNDE FM	FORMATION	HEGRE GP	228	97	61	9999-12-31	2013-05-08
34/4-2	347.000000	1151.000000	NORDLAND GP	GROUP	\N	228	113	\N	9999-12-31	2013-05-08
34/4-2	1650.000000	1809.000000	ROGALAND GP	GROUP	\N	228	131	\N	9999-12-31	2013-05-08
34/4-2	1809.000000	2566.000000	SHETLAND GP	GROUP	\N	228	143	\N	9999-12-31	2013-05-08
34/4-2	2597.000000	2697.000000	STATFJORD FM	FORMATION	\N	228	157	\N	9999-12-31	2013-05-08
34/4-2	1020.000000	1151.000000	UTSIRA FM	FORMATION	NORDLAND GP	228	183	113	9999-12-31	2013-05-08
34/4-2	2597.000000	2697.000000	NO GROUP DEFINED	GROUP	\N	228	208	\N	9999-12-31	2013-05-08
16/4-1	1989.000000	2011.000000	BALDER FM	FORMATION	ROGALAND GP	229	6	131	9999-12-31	2013-05-08
16/4-1	2885.000000	2909.000000	BASEMENT	GROUP	\N	229	10	\N	9999-12-31	2013-05-08
16/4-1	2315.000000	2333.000000	CROMER KNOLL GP	GROUP	\N	229	23	\N	9999-12-31	2013-05-08
16/4-1	2333.000000	2337.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	229	26	188	9999-12-31	2013-05-08
16/4-1	2142.000000	2277.000000	HEIMDAL FM	FORMATION	ROGALAND GP	229	62	131	9999-12-31	2013-05-08
16/4-1	998.000000	1989.000000	HORDALAND GP	GROUP	\N	229	67	\N	9999-12-31	2013-05-08
16/4-1	2619.000000	2621.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	229	88	194	9999-12-31	2013-05-08
16/4-1	2036.000000	2142.000000	LISTA FM	FORMATION	ROGALAND GP	229	95	131	9999-12-31	2013-05-08
16/4-1	1180.000000	1280.000000	NO FORMAL NAME	FORMATION	\N	229	111	\N	9999-12-31	2013-05-08
16/4-1	1311.000000	1989.000000	NO FORMAL NAME	FORMATION	\N	229	111	\N	9999-12-31	2013-05-08
16/4-1	2394.000000	2430.000000	NO FORMAL NAME	FORMATION	\N	229	111	\N	9999-12-31	2013-05-08
16/4-1	121.000000	998.000000	NORDLAND GP	GROUP	\N	229	113	\N	9999-12-31	2013-05-08
16/4-1	1989.000000	2285.000000	ROGALAND GP	GROUP	\N	229	131	\N	9999-12-31	2013-05-08
16/4-1	2621.000000	2885.000000	ROTLIEGEND GP	GROUP	\N	229	136	\N	9999-12-31	2013-05-08
16/4-1	2011.000000	2036.000000	SELE FM	FORMATION	ROGALAND GP	229	142	131	9999-12-31	2013-05-08
16/4-1	2285.000000	2315.000000	SHETLAND GP	GROUP	\N	229	143	\N	9999-12-31	2013-05-08
16/4-1	1147.000000	1180.000000	SKADE FM	FORMATION	HORDALAND GP	229	145	67	9999-12-31	2013-05-08
16/4-1	1280.000000	1311.000000	SKADE FM	FORMATION	HORDALAND GP	229	145	67	9999-12-31	2013-05-08
16/4-1	2337.000000	2394.000000	SMITH BANK FM	FORMATION	HEGRE GP	229	149	61	9999-12-31	2013-05-08
16/4-1	2315.000000	2325.000000	SOLA FM	FORMATION	CROMER KNOLL GP	229	152	23	9999-12-31	2013-05-08
16/4-1	2430.000000	2619.000000	UNDIFFERENTIATED	FORMATION	\N	229	182	\N	9999-12-31	2013-05-08
16/4-1	761.000000	998.000000	UTSIRA FM	FORMATION	NORDLAND GP	229	183	113	9999-12-31	2013-05-08
16/4-1	2333.000000	2337.000000	VIKING GP	GROUP	\N	229	188	\N	9999-12-31	2013-05-08
16/4-1	2277.000000	2285.000000	VÅLE FM	FORMATION	ROGALAND GP	229	190	131	9999-12-31	2013-05-08
16/4-1	2430.000000	2621.000000	ZECHSTEIN GP	GROUP	\N	229	194	\N	9999-12-31	2013-05-08
16/4-1	2325.000000	2333.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	229	198	23	9999-12-31	2013-05-08
16/4-1	2337.000000	2430.000000	NO GROUP DEFINED	GROUP	\N	229	208	\N	9999-12-31	2013-05-08
34/10-8	1534.000000	1575.000000	BALDER FM	FORMATION	ROGALAND GP	230	6	131	9999-12-31	2013-05-08
34/10-8	1821.000000	2054.000000	BRENT GP	GROUP	\N	230	16	\N	9999-12-31	2013-05-08
34/10-8	2040.000000	2054.000000	BROOM FM	FORMATION	BRENT GP	230	17	16	9999-12-31	2013-05-08
34/10-8	2133.000000	2214.000000	COOK FM	FORMATION	DUNLIN GP	230	24	29	9999-12-31	2013-05-08
34/10-8	2054.000000	2133.000000	DRAKE FM	FORMATION	DUNLIN GP	230	27	29	9999-12-31	2013-05-08
34/10-8	2054.000000	2214.000000	DUNLIN GP	GROUP	\N	230	29	\N	9999-12-31	2013-05-08
34/10-8	1975.000000	2005.000000	ETIVE FM	FORMATION	BRENT GP	230	35	16	9999-12-31	2013-05-08
34/10-8	946.000000	1534.000000	HORDALAND GP	GROUP	\N	230	67	\N	9999-12-31	2013-05-08
34/10-8	1719.000000	1821.000000	JORSALFARE FM	FORMATION	SHETLAND GP	230	74	143	9999-12-31	2013-05-08
34/10-8	1575.000000	1719.000000	LISTA FM	FORMATION	ROGALAND GP	230	95	131	9999-12-31	2013-05-08
34/10-8	1853.000000	1975.000000	NESS FM	FORMATION	BRENT GP	230	110	16	9999-12-31	2013-05-08
34/10-8	930.000000	946.000000	NO FORMAL NAME	FORMATION	\N	230	111	\N	9999-12-31	2013-05-08
34/10-8	1096.000000	1365.000000	NO FORMAL NAME	FORMATION	\N	230	111	\N	9999-12-31	2013-05-08
34/10-8	1365.000000	1534.000000	NO FORMAL NAME	FORMATION	\N	230	111	\N	9999-12-31	2013-05-08
34/10-8	158.000000	946.000000	NORDLAND GP	GROUP	\N	230	113	\N	9999-12-31	2013-05-08
34/10-8	2005.000000	2040.000000	RANNOCH FM	FORMATION	BRENT GP	230	126	16	9999-12-31	2013-05-08
34/10-8	1534.000000	1719.000000	ROGALAND GP	GROUP	\N	230	131	\N	9999-12-31	2013-05-08
34/10-8	1719.000000	1821.000000	SHETLAND GP	GROUP	\N	230	143	\N	9999-12-31	2013-05-08
34/10-8	1821.000000	1853.000000	TARBERT FM	FORMATION	BRENT GP	230	162	16	9999-12-31	2013-05-08
34/10-8	867.000000	930.000000	UTSIRA FM	FORMATION	NORDLAND GP	230	183	113	9999-12-31	2013-05-08
2/7-16	2995.000000	3012.000000	BALDER FM	FORMATION	ROGALAND GP	232	6	131	9999-12-31	2013-05-08
2/7-16	3967.000000	3975.000000	BLODØKS FM	FORMATION	SHETLAND GP	232	13	143	9999-12-31	2013-05-08
2/7-16	4271.000000	4818.000000	CROMER KNOLL GP	GROUP	\N	232	23	\N	9999-12-31	2013-05-08
2/7-16	3182.000000	3264.000000	EKOFISK FM	FORMATION	SHETLAND GP	232	33	143	9999-12-31	2013-05-08
2/7-16	3975.000000	4271.000000	HIDRA FM	FORMATION	SHETLAND GP	232	65	143	9999-12-31	2013-05-08
2/7-16	3500.000000	3967.000000	HOD FM	FORMATION	SHETLAND GP	232	66	143	9999-12-31	2013-05-08
2/7-16	1714.000000	2995.000000	HORDALAND GP	GROUP	\N	232	67	\N	9999-12-31	2013-05-08
2/7-16	3080.000000	3150.000000	LISTA FM	FORMATION	ROGALAND GP	232	95	131	9999-12-31	2013-05-08
2/7-16	96.000000	1714.000000	NORDLAND GP	GROUP	\N	232	113	\N	9999-12-31	2013-05-08
2/7-16	2995.000000	3182.000000	ROGALAND GP	GROUP	\N	232	131	\N	9999-12-31	2013-05-08
2/7-16	4271.000000	4359.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	232	137	23	9999-12-31	2013-05-08
2/7-16	3012.000000	3080.000000	SELE FM	FORMATION	ROGALAND GP	232	142	131	9999-12-31	2013-05-08
2/7-16	3182.000000	4271.000000	SHETLAND GP	GROUP	\N	232	143	\N	9999-12-31	2013-05-08
2/7-16	4359.000000	4533.000000	SOLA FM	FORMATION	CROMER KNOLL GP	232	152	23	9999-12-31	2013-05-08
2/7-16	3264.000000	3500.000000	TOR FM	FORMATION	SHETLAND GP	232	171	143	9999-12-31	2013-05-08
2/7-16	3150.000000	3182.000000	VÅLE FM	FORMATION	ROGALAND GP	232	190	131	9999-12-31	2013-05-08
2/7-16	4533.000000	4818.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	232	198	23	9999-12-31	2013-05-08
34/7-2	2085.000000	2152.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	233	4	29	9999-12-31	2013-05-08
34/7-2	1640.000000	1647.000000	BALDER FM	FORMATION	ROGALAND GP	233	6	131	9999-12-31	2013-05-08
34/7-2	2085.000000	2152.000000	DUNLIN GP	GROUP	\N	233	29	\N	9999-12-31	2013-05-08
34/7-2	2271.000000	2475.000000	HEGRE GP	GROUP	\N	233	61	\N	9999-12-31	2013-05-08
34/7-2	1035.000000	1640.000000	HORDALAND GP	GROUP	\N	233	67	\N	9999-12-31	2013-05-08
34/7-2	1757.000000	1842.000000	JORSALFARE FM	FORMATION	SHETLAND GP	233	74	143	9999-12-31	2013-05-08
34/7-2	1842.000000	2085.000000	KYRRE FM	FORMATION	SHETLAND GP	233	92	143	9999-12-31	2013-05-08
34/7-2	1647.000000	1757.000000	LISTA FM	FORMATION	ROGALAND GP	233	95	131	9999-12-31	2013-05-08
34/7-2	2271.000000	2475.000000	LUNDE FM	FORMATION	HEGRE GP	233	97	61	9999-12-31	2013-05-08
34/7-2	1227.000000	1282.000000	NO FORMAL NAME	FORMATION	\N	233	111	\N	9999-12-31	2013-05-08
34/7-2	1282.000000	1375.000000	NO FORMAL NAME	FORMATION	\N	233	111	\N	9999-12-31	2013-05-08
34/7-2	1375.000000	1415.000000	NO FORMAL NAME	FORMATION	\N	233	111	\N	9999-12-31	2013-05-08
34/7-2	1415.000000	1640.000000	NO FORMAL NAME	FORMATION	\N	233	111	\N	9999-12-31	2013-05-08
34/7-2	271.000000	1035.000000	NORDLAND GP	GROUP	\N	233	113	\N	9999-12-31	2013-05-08
34/7-2	1640.000000	1757.000000	ROGALAND GP	GROUP	\N	233	131	\N	9999-12-31	2013-05-08
34/7-2	1757.000000	2085.000000	SHETLAND GP	GROUP	\N	233	143	\N	9999-12-31	2013-05-08
34/7-2	2152.000000	2271.000000	STATFJORD FM	FORMATION	\N	233	157	\N	9999-12-31	2013-05-08
34/7-2	1026.000000	1035.000000	UTSIRA FM	FORMATION	NORDLAND GP	233	183	113	9999-12-31	2013-05-08
34/7-2	2152.000000	2271.000000	NO GROUP DEFINED	GROUP	\N	233	208	\N	9999-12-31	2013-05-08
16/8-2	1525.000000	1571.000000	BALDER FM	FORMATION	ROGALAND GP	234	6	131	9999-12-31	2013-05-08
16/8-2	1900.000000	2187.000000	CROMER KNOLL GP	GROUP	\N	234	23	\N	9999-12-31	2013-05-08
16/8-2	2187.000000	2238.000000	DRAUPNE FM	FORMATION	VIKING GP	234	28	188	9999-12-31	2013-05-08
16/8-2	1763.000000	1795.000000	EKOFISK FM	FORMATION	SHETLAND GP	234	33	143	9999-12-31	2013-05-08
16/8-2	2248.000000	2250.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	234	59	188	9999-12-31	2013-05-08
16/8-2	2238.000000	2248.000000	HEATHER FM	FORMATION	VIKING GP	234	60	188	9999-12-31	2013-05-08
16/8-2	2250.000000	2254.000000	HEATHER FM	FORMATION	VIKING GP	234	60	188	9999-12-31	2013-05-08
16/8-2	1850.000000	1900.000000	HOD FM	FORMATION	SHETLAND GP	234	66	143	9999-12-31	2013-05-08
16/8-2	975.000000	1525.000000	HORDALAND GP	GROUP	\N	234	67	\N	9999-12-31	2013-05-08
16/8-2	1625.000000	1752.000000	LISTA FM	FORMATION	ROGALAND GP	234	95	131	9999-12-31	2013-05-08
16/8-2	103.000000	975.000000	NORDLAND GP	GROUP	\N	234	113	\N	9999-12-31	2013-05-08
16/8-2	1525.000000	1763.000000	ROGALAND GP	GROUP	\N	234	131	\N	9999-12-31	2013-05-08
16/8-2	1900.000000	1945.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	234	137	23	9999-12-31	2013-05-08
16/8-2	1571.000000	1625.000000	SELE FM	FORMATION	ROGALAND GP	234	142	131	9999-12-31	2013-05-08
16/8-2	1763.000000	1900.000000	SHETLAND GP	GROUP	\N	234	143	\N	9999-12-31	2013-05-08
16/8-2	1945.000000	1972.000000	SOLA FM	FORMATION	CROMER KNOLL GP	234	152	23	9999-12-31	2013-05-08
16/8-2	1795.000000	1850.000000	TOR FM	FORMATION	SHETLAND GP	234	171	143	9999-12-31	2013-05-08
16/8-2	815.000000	975.000000	UTSIRA FM	FORMATION	NORDLAND GP	234	183	113	9999-12-31	2013-05-08
16/8-2	2187.000000	2254.000000	VIKING GP	GROUP	\N	234	188	\N	9999-12-31	2013-05-08
16/8-2	1752.000000	1763.000000	VÅLE FM	FORMATION	ROGALAND GP	234	190	131	9999-12-31	2013-05-08
16/8-2	2254.000000	3585.000000	ZECHSTEIN GP	GROUP	\N	234	194	\N	9999-12-31	2013-05-08
16/8-2	1972.000000	2187.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	234	198	23	9999-12-31	2013-05-08
31/2-3	2055.000000	2097.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	236	4	29	9999-12-31	2013-05-08
31/2-3	2176.000000	2236.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	236	4	29	9999-12-31	2013-05-08
31/2-3	1145.000000	1200.000000	BALDER FM	FORMATION	ROGALAND GP	236	6	131	9999-12-31	2013-05-08
31/2-3	1812.000000	1902.000000	BRENT GP	GROUP	\N	236	16	\N	9999-12-31	2013-05-08
31/2-3	2010.000000	2055.000000	COOK FM	FORMATION	DUNLIN GP	236	24	29	9999-12-31	2013-05-08
31/2-3	1902.000000	2010.000000	DRAKE FM	FORMATION	DUNLIN GP	236	27	29	9999-12-31	2013-05-08
31/2-3	1902.000000	2236.000000	DUNLIN GP	GROUP	\N	236	29	\N	9999-12-31	2013-05-08
31/2-3	1561.000000	1677.000000	FENSFJORD FM	FORMATION	VIKING GP	236	40	188	9999-12-31	2013-05-08
31/2-3	1508.000000	1561.000000	HEATHER FM	FORMATION	VIKING GP	236	60	188	9999-12-31	2013-05-08
31/2-3	1755.000000	1812.000000	HEATHER FM	FORMATION	VIKING GP	236	60	188	9999-12-31	2013-05-08
31/2-3	2358.000000	2601.000000	HEGRE GP	GROUP	\N	236	61	\N	9999-12-31	2013-05-08
31/2-3	643.000000	1145.000000	HORDALAND GP	GROUP	\N	236	67	\N	9999-12-31	2013-05-08
31/2-3	2097.000000	2176.000000	JOHANSEN FM	FORMATION	DUNLIN GP	236	73	29	9999-12-31	2013-05-08
31/2-3	1677.000000	1755.000000	KROSSFJORD FM	FORMATION	VIKING GP	236	87	188	9999-12-31	2013-05-08
31/2-3	1242.000000	1374.000000	LISTA FM	FORMATION	ROGALAND GP	236	95	131	9999-12-31	2013-05-08
31/2-3	359.000000	643.000000	NORDLAND GP	GROUP	\N	236	113	\N	9999-12-31	2013-05-08
31/2-3	1145.000000	1384.000000	ROGALAND GP	GROUP	\N	236	131	\N	9999-12-31	2013-05-08
31/2-3	1200.000000	1242.000000	SELE FM	FORMATION	ROGALAND GP	236	142	131	9999-12-31	2013-05-08
31/2-3	1384.000000	1508.000000	SOGNEFJORD FM	FORMATION	VIKING GP	236	151	188	9999-12-31	2013-05-08
31/2-3	2236.000000	2358.000000	STATFJORD FM	FORMATION	\N	236	157	\N	9999-12-31	2013-05-08
31/2-3	1384.000000	1812.000000	VIKING GP	GROUP	\N	236	188	\N	9999-12-31	2013-05-08
31/2-3	1374.000000	1384.000000	VÅLE FM	FORMATION	ROGALAND GP	236	190	131	9999-12-31	2013-05-08
31/2-3	2236.000000	2358.000000	NO GROUP DEFINED	GROUP	\N	236	208	\N	9999-12-31	2013-05-08
1/5-1	97.000000	491.000000	NORDLAND GP	GROUP	\N	237	113	\N	9999-12-31	2013-05-08
1/5-2	3922.000000	4203.000000	CROMER KNOLL GP	GROUP	\N	238	23	\N	9999-12-31	2013-05-08
1/5-2	3069.000000	3152.000000	EKOFISK FM	FORMATION	SHETLAND GP	238	33	143	9999-12-31	2013-05-08
1/5-2	2832.000000	2840.000000	FORTIES FM	FORMATION	ROGALAND GP	238	44	131	9999-12-31	2013-05-08
1/5-2	3342.000000	3922.000000	HOD FM	FORMATION	SHETLAND GP	238	66	143	9999-12-31	2013-05-08
1/5-2	1707.000000	2831.000000	HORDALAND GP	GROUP	\N	238	67	\N	9999-12-31	2013-05-08
1/5-2	2848.000000	3033.000000	LISTA FM	FORMATION	ROGALAND GP	238	95	131	9999-12-31	2013-05-08
1/5-2	3033.000000	3069.000000	MAUREEN FM	FORMATION	ROGALAND GP	238	102	131	9999-12-31	2013-05-08
1/5-2	97.000000	1707.000000	NORDLAND GP	GROUP	\N	238	113	\N	9999-12-31	2013-05-08
1/5-2	2831.000000	3069.000000	ROGALAND GP	GROUP	\N	238	131	\N	9999-12-31	2013-05-08
1/5-2	2840.000000	2848.000000	SELE FM	FORMATION	ROGALAND GP	238	142	131	9999-12-31	2013-05-08
1/5-2	3069.000000	3922.000000	SHETLAND GP	GROUP	\N	238	143	\N	9999-12-31	2013-05-08
1/5-2	3152.000000	3342.000000	TOR FM	FORMATION	SHETLAND GP	238	171	143	9999-12-31	2013-05-08
1/5-2	4203.000000	4228.000000	TYNE GP	GROUP	\N	238	177	\N	9999-12-31	2013-05-08
1/5-2	4228.000000	4287.000000	ZECHSTEIN GP	GROUP	\N	238	194	\N	9999-12-31	2013-05-08
1/6-1	2942.000000	2953.000000	BALDER FM	FORMATION	ROGALAND GP	239	6	131	9999-12-31	2013-05-08
1/6-1	4144.000000	4800.000000	CROMER KNOLL GP	GROUP	\N	239	23	\N	9999-12-31	2013-05-08
1/6-1	3144.000000	3247.000000	EKOFISK FM	FORMATION	SHETLAND GP	239	33	143	9999-12-31	2013-05-08
1/6-1	3566.000000	4144.000000	HOD FM	FORMATION	SHETLAND GP	239	66	143	9999-12-31	2013-05-08
1/6-1	1795.000000	2942.000000	HORDALAND GP	GROUP	\N	239	67	\N	9999-12-31	2013-05-08
1/6-1	2995.000000	3106.000000	LISTA FM	FORMATION	ROGALAND GP	239	95	131	9999-12-31	2013-05-08
1/6-1	102.000000	1795.000000	NORDLAND GP	GROUP	\N	239	113	\N	9999-12-31	2013-05-08
1/6-1	2942.000000	3144.000000	ROGALAND GP	GROUP	\N	239	131	\N	9999-12-31	2013-05-08
1/6-1	2953.000000	2995.000000	SELE FM	FORMATION	ROGALAND GP	239	142	131	9999-12-31	2013-05-08
1/6-1	3144.000000	4144.000000	SHETLAND GP	GROUP	\N	239	143	\N	9999-12-31	2013-05-08
1/6-1	3247.000000	3566.000000	TOR FM	FORMATION	SHETLAND GP	239	171	143	9999-12-31	2013-05-08
1/6-1	3106.000000	3144.000000	VÅLE FM	FORMATION	ROGALAND GP	239	190	131	9999-12-31	2013-05-08
1/6-1	4800.000000	4822.000000	ZECHSTEIN GP	GROUP	\N	239	194	\N	9999-12-31	2013-05-08
1/6-2	2895.000000	2902.000000	BALDER FM	FORMATION	ROGALAND GP	240	6	131	9999-12-31	2013-05-08
1/6-2	3024.000000	3090.000000	EKOFISK FM	FORMATION	SHETLAND GP	240	33	143	9999-12-31	2013-05-08
1/6-2	3295.000000	3383.000000	HOD FM	FORMATION	SHETLAND GP	240	66	143	9999-12-31	2013-05-08
1/6-2	1759.000000	2895.000000	HORDALAND GP	GROUP	\N	240	67	\N	9999-12-31	2013-05-08
1/6-2	2906.000000	2951.000000	LISTA FM	FORMATION	ROGALAND GP	240	95	131	9999-12-31	2013-05-08
1/6-2	105.000000	1759.000000	NORDLAND GP	GROUP	\N	240	113	\N	9999-12-31	2013-05-08
1/6-2	2895.000000	3024.000000	ROGALAND GP	GROUP	\N	240	131	\N	9999-12-31	2013-05-08
1/6-2	2902.000000	2906.000000	SELE FM	FORMATION	ROGALAND GP	240	142	131	9999-12-31	2013-05-08
1/6-2	3024.000000	3383.000000	SHETLAND GP	GROUP	\N	240	143	\N	9999-12-31	2013-05-08
1/6-2	3090.000000	3295.000000	TOR FM	FORMATION	SHETLAND GP	240	171	143	9999-12-31	2013-05-08
1/6-2	2951.000000	3024.000000	VÅLE FM	FORMATION	ROGALAND GP	240	190	131	9999-12-31	2013-05-08
1/6-3	2907.000000	2916.000000	BALDER FM	FORMATION	ROGALAND GP	241	6	131	9999-12-31	2013-05-08
1/6-3	3110.000000	3229.000000	EKOFISK FM	FORMATION	SHETLAND GP	241	33	143	9999-12-31	2013-05-08
1/6-3	1792.000000	2907.000000	HORDALAND GP	GROUP	\N	241	67	\N	9999-12-31	2013-05-08
1/6-3	2947.000000	3110.000000	LISTA FM	FORMATION	ROGALAND GP	241	95	131	9999-12-31	2013-05-08
1/6-3	103.000000	1792.000000	NORDLAND GP	GROUP	\N	241	113	\N	9999-12-31	2013-05-08
1/6-3	2907.000000	3110.000000	ROGALAND GP	GROUP	\N	241	131	\N	9999-12-31	2013-05-08
1/6-3	2916.000000	2947.000000	SELE FM	FORMATION	ROGALAND GP	241	142	131	9999-12-31	2013-05-08
1/6-3	3110.000000	3343.000000	SHETLAND GP	GROUP	\N	241	143	\N	9999-12-31	2013-05-08
1/6-3	3229.000000	3343.000000	TOR FM	FORMATION	SHETLAND GP	241	171	143	9999-12-31	2013-05-08
1/6-4	3197.000000	3253.000000	ANDREW FM	FORMATION	ROGALAND GP	242	5	131	9999-12-31	2013-05-08
1/6-4	3110.000000	3124.000000	BALDER FM	FORMATION	ROGALAND GP	242	6	131	9999-12-31	2013-05-08
1/6-4	3374.000000	3475.000000	EKOFISK FM	FORMATION	SHETLAND GP	242	33	143	9999-12-31	2013-05-08
1/6-4	1633.000000	3110.000000	HORDALAND GP	GROUP	\N	242	67	\N	9999-12-31	2013-05-08
1/6-4	3130.000000	3197.000000	LISTA FM	FORMATION	ROGALAND GP	242	95	131	9999-12-31	2013-05-08
1/6-4	3253.000000	3335.000000	LISTA FM	FORMATION	ROGALAND GP	242	95	131	9999-12-31	2013-05-08
1/6-4	105.000000	1633.000000	NORDLAND GP	GROUP	\N	242	113	\N	9999-12-31	2013-05-08
1/6-4	3110.000000	3374.000000	ROGALAND GP	GROUP	\N	242	131	\N	9999-12-31	2013-05-08
1/6-4	3124.000000	3130.000000	SELE FM	FORMATION	ROGALAND GP	242	142	131	9999-12-31	2013-05-08
1/6-4	3374.000000	3810.000000	SHETLAND GP	GROUP	\N	242	143	\N	9999-12-31	2013-05-08
1/6-4	3475.000000	3810.000000	TOR FM	FORMATION	SHETLAND GP	242	171	143	9999-12-31	2013-05-08
1/6-4	3335.000000	3374.000000	VÅLE FM	FORMATION	ROGALAND GP	242	190	131	9999-12-31	2013-05-08
1/9-1	2947.000000	2952.000000	ANDREW FM	FORMATION	ROGALAND GP	243	5	131	9999-12-31	2013-05-08
1/9-1	2872.000000	2884.000000	BALDER FM	FORMATION	ROGALAND GP	243	6	131	9999-12-31	2013-05-08
1/9-1	3648.000000	3662.000000	BLODØKS FM	FORMATION	SHETLAND GP	243	13	143	9999-12-31	2013-05-08
1/9-1	3036.000000	3104.000000	EKOFISK FM	FORMATION	SHETLAND GP	243	33	143	9999-12-31	2013-05-08
1/9-1	3662.000000	3703.000000	HIDRA FM	FORMATION	SHETLAND GP	243	65	143	9999-12-31	2013-05-08
1/9-1	3312.000000	3648.000000	HOD FM	FORMATION	SHETLAND GP	243	66	143	9999-12-31	2013-05-08
1/9-1	1572.000000	2872.000000	HORDALAND GP	GROUP	\N	243	67	\N	9999-12-31	2013-05-08
1/9-1	2944.000000	2947.000000	LISTA FM	FORMATION	ROGALAND GP	243	95	131	9999-12-31	2013-05-08
1/9-1	2952.000000	3013.000000	LISTA FM	FORMATION	ROGALAND GP	243	95	131	9999-12-31	2013-05-08
1/9-1	103.000000	1572.000000	NORDLAND GP	GROUP	\N	243	113	\N	9999-12-31	2013-05-08
1/9-1	2872.000000	3036.000000	ROGALAND GP	GROUP	\N	243	131	\N	9999-12-31	2013-05-08
1/9-1	2884.000000	2944.000000	SELE FM	FORMATION	ROGALAND GP	243	142	131	9999-12-31	2013-05-08
1/9-1	3036.000000	3703.000000	SHETLAND GP	GROUP	\N	243	143	\N	9999-12-31	2013-05-08
1/9-1	3104.000000	3312.000000	TOR FM	FORMATION	SHETLAND GP	243	171	143	9999-12-31	2013-05-08
1/9-1	3013.000000	3036.000000	VÅLE FM	FORMATION	ROGALAND GP	243	190	131	9999-12-31	2013-05-08
1/9-2	3030.000000	3033.000000	ANDREW FM	FORMATION	ROGALAND GP	244	5	131	9999-12-31	2013-05-08
1/9-2	2928.000000	2953.000000	BALDER FM	FORMATION	ROGALAND GP	244	6	131	9999-12-31	2013-05-08
1/9-2	3120.000000	3195.000000	EKOFISK FM	FORMATION	SHETLAND GP	244	33	143	9999-12-31	2013-05-08
1/9-2	3308.000000	3459.000000	HOD FM	FORMATION	SHETLAND GP	244	66	143	9999-12-31	2013-05-08
1/9-2	1054.000000	2928.000000	HORDALAND GP	GROUP	\N	244	67	\N	9999-12-31	2013-05-08
1/9-2	3026.000000	3030.000000	LISTA FM	FORMATION	ROGALAND GP	244	95	131	9999-12-31	2013-05-08
1/9-2	3033.000000	3096.000000	LISTA FM	FORMATION	ROGALAND GP	244	95	131	9999-12-31	2013-05-08
1/9-2	100.000000	1054.000000	NORDLAND GP	GROUP	\N	244	113	\N	9999-12-31	2013-05-08
1/9-2	2928.000000	3120.000000	ROGALAND GP	GROUP	\N	244	131	\N	9999-12-31	2013-05-08
1/9-2	2953.000000	3026.000000	SELE FM	FORMATION	ROGALAND GP	244	142	131	9999-12-31	2013-05-08
1/9-2	3120.000000	3459.000000	SHETLAND GP	GROUP	\N	244	143	\N	9999-12-31	2013-05-08
1/9-2	3195.000000	3308.000000	TOR FM	FORMATION	SHETLAND GP	244	171	143	9999-12-31	2013-05-08
1/9-2	3096.000000	3120.000000	VÅLE FM	FORMATION	ROGALAND GP	244	190	131	9999-12-31	2013-05-08
1/9-3	1150.000000	2771.000000	HORDALAND GP	GROUP	\N	245	67	\N	9999-12-31	2013-05-08
1/9-3	1617.000000	1634.000000	NO FORMAL NAME	FORMATION	\N	245	111	\N	9999-12-31	2013-05-08
1/9-3	1634.000000	1664.000000	NO FORMAL NAME	FORMATION	\N	245	111	\N	9999-12-31	2013-05-08
1/9-3	1664.000000	1683.000000	NO FORMAL NAME	FORMATION	\N	245	111	\N	9999-12-31	2013-05-08
1/9-3	1683.000000	2771.000000	NO FORMAL NAME	FORMATION	\N	245	111	\N	9999-12-31	2013-05-08
1/9-3	111.000000	1150.000000	NORDLAND GP	GROUP	\N	245	113	\N	9999-12-31	2013-05-08
1/9-3 R	2866.000000	2905.000000	BALDER FM	FORMATION	ROGALAND GP	246	6	131	9999-12-31	2013-05-08
1/9-3 R	3651.000000	3683.000000	BLODØKS FM	FORMATION	SHETLAND GP	246	13	143	9999-12-31	2013-05-08
1/9-3 R	3790.000000	4265.000000	CROMER KNOLL GP	GROUP	\N	246	23	\N	9999-12-31	2013-05-08
1/9-3 R	3081.000000	3157.000000	EKOFISK FM	FORMATION	SHETLAND GP	246	33	143	9999-12-31	2013-05-08
1/9-3 R	4360.000000	4387.000000	ELDFISK FM	FORMATION	TYNE GP	246	34	177	9999-12-31	2013-05-08
1/9-3 R	4319.000000	4360.000000	FARSUND FM	FORMATION	TYNE GP	246	39	177	9999-12-31	2013-05-08
1/9-3 R	4387.000000	4570.000000	HAUGESUND FM	FORMATION	TYNE GP	246	57	177	9999-12-31	2013-05-08
1/9-3 R	3683.000000	3790.000000	HIDRA FM	FORMATION	SHETLAND GP	246	65	143	9999-12-31	2013-05-08
1/9-3 R	3395.000000	3651.000000	HOD FM	FORMATION	SHETLAND GP	246	66	143	9999-12-31	2013-05-08
1/9-3 R	1150.000000	2866.000000	HORDALAND GP	GROUP	\N	246	67	\N	9999-12-31	2013-05-08
1/9-3 R	2943.000000	3021.000000	LISTA FM	FORMATION	ROGALAND GP	246	95	131	9999-12-31	2013-05-08
1/9-3 R	4265.000000	4319.000000	MANDAL FM	FORMATION	TYNE GP	246	101	177	9999-12-31	2013-05-08
1/9-3 R	3021.000000	3081.000000	MAUREEN FM	FORMATION	ROGALAND GP	246	102	131	9999-12-31	2013-05-08
1/9-3 R	1617.000000	1634.000000	NO FORMAL NAME	FORMATION	\N	246	111	\N	9999-12-31	2013-05-08
1/9-3 R	1634.000000	1664.000000	NO FORMAL NAME	FORMATION	\N	246	111	\N	9999-12-31	2013-05-08
1/9-3 R	1664.000000	1683.000000	NO FORMAL NAME	FORMATION	\N	246	111	\N	9999-12-31	2013-05-08
1/9-3 R	1683.000000	2866.000000	NO FORMAL NAME	FORMATION	\N	246	111	\N	9999-12-31	2013-05-08
1/9-3 R	111.000000	1150.000000	NORDLAND GP	GROUP	\N	246	113	\N	9999-12-31	2013-05-08
1/9-3 R	2866.000000	3081.000000	ROGALAND GP	GROUP	\N	246	131	\N	9999-12-31	2013-05-08
1/9-3 R	3790.000000	4265.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	246	137	23	9999-12-31	2013-05-08
1/9-3 R	2905.000000	2943.000000	SELE FM	FORMATION	ROGALAND GP	246	142	131	9999-12-31	2013-05-08
1/9-3 R	3081.000000	3790.000000	SHETLAND GP	GROUP	\N	246	143	\N	9999-12-31	2013-05-08
1/9-3 R	3157.000000	3395.000000	TOR FM	FORMATION	SHETLAND GP	246	171	143	9999-12-31	2013-05-08
1/9-3 R	4265.000000	4570.000000	TYNE GP	GROUP	\N	246	177	\N	9999-12-31	2013-05-08
1/9-4	2941.000000	2960.000000	BALDER FM	FORMATION	ROGALAND GP	247	6	131	9999-12-31	2013-05-08
1/9-4	3450.000000	3494.000000	BLODØKS FM	FORMATION	SHETLAND GP	247	13	143	9999-12-31	2013-05-08
1/9-4	3646.000000	3690.000000	CROMER KNOLL GP	GROUP	\N	247	23	\N	9999-12-31	2013-05-08
1/9-4	3114.000000	3212.000000	EKOFISK FM	FORMATION	SHETLAND GP	247	33	143	9999-12-31	2013-05-08
1/9-4	3494.000000	3646.000000	HIDRA FM	FORMATION	SHETLAND GP	247	65	143	9999-12-31	2013-05-08
1/9-4	3312.000000	3450.000000	HOD FM	FORMATION	SHETLAND GP	247	66	143	9999-12-31	2013-05-08
1/9-4	1025.000000	2941.000000	HORDALAND GP	GROUP	\N	247	67	\N	9999-12-31	2013-05-08
1/9-4	3021.000000	3091.000000	LISTA FM	FORMATION	ROGALAND GP	247	95	131	9999-12-31	2013-05-08
1/9-4	100.000000	1025.000000	NORDLAND GP	GROUP	\N	247	113	\N	9999-12-31	2013-05-08
1/9-4	2941.000000	3114.000000	ROGALAND GP	GROUP	\N	247	131	\N	9999-12-31	2013-05-08
1/9-4	3646.000000	3665.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	247	137	23	9999-12-31	2013-05-08
1/9-4	2960.000000	3021.000000	SELE FM	FORMATION	ROGALAND GP	247	142	131	9999-12-31	2013-05-08
1/9-4	3114.000000	3646.000000	SHETLAND GP	GROUP	\N	247	143	\N	9999-12-31	2013-05-08
1/9-4	3212.000000	3312.000000	TOR FM	FORMATION	SHETLAND GP	247	171	143	9999-12-31	2013-05-08
1/9-4	3091.000000	3114.000000	VÅLE FM	FORMATION	ROGALAND GP	247	190	131	9999-12-31	2013-05-08
1/9-4	3690.000000	3710.000000	ZECHSTEIN GP	GROUP	\N	247	194	\N	9999-12-31	2013-05-08
1/9-4	3665.000000	3690.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	247	198	23	9999-12-31	2013-05-08
1/9-5	2981.000000	3013.000000	BALDER FM	FORMATION	ROGALAND GP	248	6	131	9999-12-31	2013-05-08
1/9-5	3207.000000	3282.000000	EKOFISK FM	FORMATION	SHETLAND GP	248	33	143	9999-12-31	2013-05-08
1/9-5	3346.000000	3450.000000	HOD FM	FORMATION	SHETLAND GP	248	66	143	9999-12-31	2013-05-08
1/9-5	1766.000000	2981.000000	HORDALAND GP	GROUP	\N	248	67	\N	9999-12-31	2013-05-08
1/9-5	3095.000000	3192.000000	LISTA FM	FORMATION	ROGALAND GP	248	95	131	9999-12-31	2013-05-08
1/9-5	112.000000	1766.000000	NORDLAND GP	GROUP	\N	248	113	\N	9999-12-31	2013-05-08
1/9-5	2981.000000	3207.000000	ROGALAND GP	GROUP	\N	248	131	\N	9999-12-31	2013-05-08
1/9-5	3013.000000	3095.000000	SELE FM	FORMATION	ROGALAND GP	248	142	131	9999-12-31	2013-05-08
1/9-5	3207.000000	3450.000000	SHETLAND GP	GROUP	\N	248	143	\N	9999-12-31	2013-05-08
1/9-5	3282.000000	3346.000000	TOR FM	FORMATION	SHETLAND GP	248	171	143	9999-12-31	2013-05-08
1/9-5	3192.000000	3207.000000	VÅLE FM	FORMATION	ROGALAND GP	248	190	131	9999-12-31	2013-05-08
2/1-1	2926.000000	2937.000000	BALDER FM	FORMATION	ROGALAND GP	249	6	131	9999-12-31	2013-05-08
2/1-1	3742.000000	3886.000000	CROMER KNOLL GP	GROUP	\N	249	23	\N	9999-12-31	2013-05-08
2/1-1	3128.000000	3246.000000	EKOFISK FM	FORMATION	SHETLAND GP	249	33	143	9999-12-31	2013-05-08
2/1-1	1981.000000	2207.000000	FORTIES FM	FORMATION	ROGALAND GP	249	44	131	9999-12-31	2013-05-08
2/1-1	2981.000000	3013.000000	FORTIES FM	FORMATION	ROGALAND GP	249	44	131	9999-12-31	2013-05-08
2/1-1	3600.000000	3742.000000	HOD FM	FORMATION	SHETLAND GP	249	66	143	9999-12-31	2013-05-08
2/1-1	2207.000000	2926.000000	HORDALAND GP	GROUP	\N	249	67	\N	9999-12-31	2013-05-08
2/1-1	2944.000000	2981.000000	LISTA FM	FORMATION	ROGALAND GP	249	95	131	9999-12-31	2013-05-08
2/1-1	3013.000000	3039.000000	LISTA FM	FORMATION	ROGALAND GP	249	95	131	9999-12-31	2013-05-08
2/1-1	3104.000000	3128.000000	LISTA FM	FORMATION	ROGALAND GP	249	95	131	9999-12-31	2013-05-08
2/1-1	100.000000	2207.000000	NORDLAND GP	GROUP	\N	249	113	\N	9999-12-31	2013-05-08
2/1-1	2926.000000	3128.000000	ROGALAND GP	GROUP	\N	249	131	\N	9999-12-31	2013-05-08
2/1-1	3742.000000	3755.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	249	137	23	9999-12-31	2013-05-08
2/1-1	2937.000000	2944.000000	SELE FM	FORMATION	ROGALAND GP	249	142	131	9999-12-31	2013-05-08
2/1-1	3128.000000	3742.000000	SHETLAND GP	GROUP	\N	249	143	\N	9999-12-31	2013-05-08
2/1-1	3246.000000	3600.000000	TOR FM	FORMATION	SHETLAND GP	249	171	143	9999-12-31	2013-05-08
2/1-1	3755.000000	3775.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	249	175	23	9999-12-31	2013-05-08
2/1-1	3039.000000	3104.000000	VIDAR FM	FORMATION	ROGALAND GP	249	187	131	9999-12-31	2013-05-08
2/1-1	3775.000000	3886.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	249	198	23	9999-12-31	2013-05-08
2/1-1	3886.000000	4178.000000	NO DATA	GROUP	\N	249	200	\N	9999-12-31	2013-05-08
2/1-2	2524.000000	2581.000000	BALDER FM	FORMATION	ROGALAND GP	250	6	131	9999-12-31	2013-05-08
2/1-2	3347.000000	3384.000000	BRYNE FM	FORMATION	VESTLAND GP	250	19	186	9999-12-31	2013-05-08
2/1-2	3122.000000	3299.000000	CROMER KNOLL GP	GROUP	\N	250	23	\N	9999-12-31	2013-05-08
2/1-2	3015.000000	3122.000000	HOD FM	FORMATION	SHETLAND GP	250	66	143	9999-12-31	2013-05-08
2/1-2	1624.000000	2524.000000	HORDALAND GP	GROUP	\N	250	67	\N	9999-12-31	2013-05-08
2/1-2	2603.000000	2692.000000	LISTA FM	FORMATION	ROGALAND GP	250	95	131	9999-12-31	2013-05-08
2/1-2	3299.000000	3316.000000	MANDAL FM	FORMATION	TYNE GP	250	101	177	9999-12-31	2013-05-08
2/1-2	2692.000000	2744.000000	MAUREEN FM	FORMATION	ROGALAND GP	250	102	131	9999-12-31	2013-05-08
2/1-2	94.000000	1624.000000	NORDLAND GP	GROUP	\N	250	113	\N	9999-12-31	2013-05-08
2/1-2	2524.000000	2744.000000	ROGALAND GP	GROUP	\N	250	131	\N	9999-12-31	2013-05-08
2/1-2	3122.000000	3299.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	250	137	23	9999-12-31	2013-05-08
2/1-2	2581.000000	2603.000000	SELE FM	FORMATION	ROGALAND GP	250	142	131	9999-12-31	2013-05-08
2/1-2	2744.000000	3122.000000	SHETLAND GP	GROUP	\N	250	143	\N	9999-12-31	2013-05-08
2/1-2	3384.000000	3540.000000	SMITH BANK FM	FORMATION	HEGRE GP	250	149	61	9999-12-31	2013-05-08
2/1-2	2744.000000	3015.000000	TOR FM	FORMATION	SHETLAND GP	250	171	143	9999-12-31	2013-05-08
2/1-2	3299.000000	3316.000000	TYNE GP	GROUP	\N	250	177	\N	9999-12-31	2013-05-08
2/1-2	3316.000000	3347.000000	ULA FM	FORMATION	VESTLAND GP	250	179	186	9999-12-31	2013-05-08
2/1-2	3316.000000	3384.000000	VESTLAND GP	GROUP	\N	250	186	\N	9999-12-31	2013-05-08
2/1-2	3540.000000	3556.000000	ZECHSTEIN GP	GROUP	\N	250	194	\N	9999-12-31	2013-05-08
2/1-2	3384.000000	3540.000000	NO GROUP DEFINED	GROUP	\N	250	208	\N	9999-12-31	2013-05-08
2/1-3	2798.000000	2845.000000	BALDER FM	FORMATION	ROGALAND GP	251	6	131	9999-12-31	2013-05-08
2/1-3	3520.000000	3524.000000	BLODØKS FM	FORMATION	SHETLAND GP	251	13	143	9999-12-31	2013-05-08
2/1-3	3991.000000	4101.000000	BRYNE FM	FORMATION	VESTLAND GP	251	19	186	9999-12-31	2013-05-08
2/1-3	3534.000000	3791.000000	CROMER KNOLL GP	GROUP	\N	251	23	\N	9999-12-31	2013-05-08
2/1-3	2987.000000	3000.000000	EKOFISK FM	FORMATION	SHETLAND GP	251	33	143	9999-12-31	2013-05-08
2/1-3	2845.000000	2910.000000	FORTIES FM	FORMATION	ROGALAND GP	251	44	131	9999-12-31	2013-05-08
2/1-3	3524.000000	3534.000000	HIDRA FM	FORMATION	SHETLAND GP	251	65	143	9999-12-31	2013-05-08
2/1-3	3424.000000	3520.000000	HOD FM	FORMATION	SHETLAND GP	251	66	143	9999-12-31	2013-05-08
2/1-3	1523.000000	2798.000000	HORDALAND GP	GROUP	\N	251	67	\N	9999-12-31	2013-05-08
2/1-3	2910.000000	2987.000000	LISTA FM	FORMATION	ROGALAND GP	251	95	131	9999-12-31	2013-05-08
2/1-3	3791.000000	3966.000000	MANDAL FM	FORMATION	TYNE GP	251	101	177	9999-12-31	2013-05-08
2/1-3	96.000000	1523.000000	NORDLAND GP	GROUP	\N	251	113	\N	9999-12-31	2013-05-08
2/1-3	2798.000000	2987.000000	ROGALAND GP	GROUP	\N	251	131	\N	9999-12-31	2013-05-08
2/1-3	3534.000000	3579.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	251	137	23	9999-12-31	2013-05-08
2/1-3	2738.000000	2798.000000	SELE FM	FORMATION	ROGALAND GP	251	142	131	9999-12-31	2013-05-08
2/1-3	2987.000000	3534.000000	SHETLAND GP	GROUP	\N	251	143	\N	9999-12-31	2013-05-08
2/1-3	4101.000000	4163.000000	SKAGERRAK FM	FORMATION	HEGRE GP	251	146	61	9999-12-31	2013-05-08
2/1-3	4163.000000	4219.000000	SMITH BANK FM	FORMATION	HEGRE GP	251	149	61	9999-12-31	2013-05-08
2/1-3	3000.000000	3424.000000	TOR FM	FORMATION	SHETLAND GP	251	171	143	9999-12-31	2013-05-08
2/1-3	3579.000000	3625.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	251	175	23	9999-12-31	2013-05-08
2/1-3	3791.000000	3966.000000	TYNE GP	GROUP	\N	251	177	\N	9999-12-31	2013-05-08
2/1-3	3966.000000	3991.000000	ULA FM	FORMATION	VESTLAND GP	251	179	186	9999-12-31	2013-05-08
2/1-3	3966.000000	4219.000000	VESTLAND GP	GROUP	\N	251	186	\N	9999-12-31	2013-05-08
2/1-3	4219.000000	4297.000000	ZECHSTEIN GP	GROUP	\N	251	194	\N	9999-12-31	2013-05-08
2/1-3	3625.000000	3791.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	251	198	23	9999-12-31	2013-05-08
2/4-8	2882.000000	2893.000000	BALDER FM	FORMATION	ROGALAND GP	252	6	131	9999-12-31	2013-05-08
2/4-8	3444.000000	3460.000000	BLODØKS FM	FORMATION	SHETLAND GP	252	13	143	9999-12-31	2013-05-08
2/4-8	3484.000000	3677.000000	CROMER KNOLL GP	GROUP	\N	252	23	\N	9999-12-31	2013-05-08
2/4-8	2985.000000	3086.000000	EKOFISK FM	FORMATION	SHETLAND GP	252	33	143	9999-12-31	2013-05-08
2/4-8	3460.000000	3484.000000	HIDRA FM	FORMATION	SHETLAND GP	252	65	143	9999-12-31	2013-05-08
2/4-8	3383.000000	3444.000000	HOD FM	FORMATION	SHETLAND GP	252	66	143	9999-12-31	2013-05-08
2/4-8	1716.000000	2882.000000	HORDALAND GP	GROUP	\N	252	67	\N	9999-12-31	2013-05-08
2/4-8	2920.000000	2974.000000	LISTA FM	FORMATION	ROGALAND GP	252	95	131	9999-12-31	2013-05-08
2/4-8	3677.000000	3696.000000	MANDAL FM	FORMATION	TYNE GP	252	101	177	9999-12-31	2013-05-08
2/4-8	103.000000	1716.000000	NORDLAND GP	GROUP	\N	252	113	\N	9999-12-31	2013-05-08
2/4-8	2882.000000	2985.000000	ROGALAND GP	GROUP	\N	252	131	\N	9999-12-31	2013-05-08
2/4-8	3484.000000	3677.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	252	137	23	9999-12-31	2013-05-08
2/4-8	2893.000000	2920.000000	SELE FM	FORMATION	ROGALAND GP	252	142	131	9999-12-31	2013-05-08
2/4-8	2985.000000	3484.000000	SHETLAND GP	GROUP	\N	252	143	\N	9999-12-31	2013-05-08
2/4-8	3086.000000	3383.000000	TOR FM	FORMATION	SHETLAND GP	252	171	143	9999-12-31	2013-05-08
2/4-8	3677.000000	3696.000000	TYNE GP	GROUP	\N	252	177	\N	9999-12-31	2013-05-08
2/4-8	2974.000000	2985.000000	VÅLE FM	FORMATION	ROGALAND GP	252	190	131	9999-12-31	2013-05-08
2/4-8	3696.000000	4075.000000	ZECHSTEIN GP	GROUP	\N	252	194	\N	9999-12-31	2013-05-08
2/4-9	3021.000000	3037.000000	BALDER FM	FORMATION	ROGALAND GP	253	6	131	9999-12-31	2013-05-08
2/4-9	3215.000000	3306.000000	EKOFISK FM	FORMATION	SHETLAND GP	253	33	143	9999-12-31	2013-05-08
2/4-9	3647.000000	3752.000000	HOD FM	FORMATION	SHETLAND GP	253	66	143	9999-12-31	2013-05-08
2/4-9	3042.000000	3092.000000	LISTA FM	FORMATION	ROGALAND GP	253	95	131	9999-12-31	2013-05-08
2/4-9	3118.000000	3197.000000	LISTA FM	FORMATION	ROGALAND GP	253	95	131	9999-12-31	2013-05-08
2/4-9	104.000000	3021.000000	NORDLAND GP	GROUP	\N	253	113	\N	9999-12-31	2013-05-08
2/4-9	3021.000000	3215.000000	ROGALAND GP	GROUP	\N	253	131	\N	9999-12-31	2013-05-08
2/4-9	3037.000000	3042.000000	SELE FM	FORMATION	ROGALAND GP	253	142	131	9999-12-31	2013-05-08
2/4-9	3215.000000	3752.000000	SHETLAND GP	GROUP	\N	253	143	\N	9999-12-31	2013-05-08
2/4-9	3306.000000	3647.000000	TOR FM	FORMATION	SHETLAND GP	253	171	143	9999-12-31	2013-05-08
2/4-9	3092.000000	3118.000000	VIDAR FM	FORMATION	ROGALAND GP	253	187	131	9999-12-31	2013-05-08
2/4-9	3197.000000	3215.000000	VÅLE FM	FORMATION	ROGALAND GP	253	190	131	9999-12-31	2013-05-08
2/4-10	3020.000000	3033.000000	BALDER FM	FORMATION	ROGALAND GP	254	6	131	9999-12-31	2013-05-08
2/4-10	3162.000000	3293.000000	EKOFISK FM	FORMATION	SHETLAND GP	254	33	143	9999-12-31	2013-05-08
2/4-10	1798.000000	3020.000000	HORDALAND GP	GROUP	\N	254	67	\N	9999-12-31	2013-05-08
2/4-10	3079.000000	3111.000000	LISTA FM	FORMATION	ROGALAND GP	254	95	131	9999-12-31	2013-05-08
2/4-10	3150.000000	3155.000000	LISTA FM	FORMATION	ROGALAND GP	254	95	131	9999-12-31	2013-05-08
2/4-10	102.000000	1798.000000	NORDLAND GP	GROUP	\N	254	113	\N	9999-12-31	2013-05-08
2/4-10	3020.000000	3162.000000	ROGALAND GP	GROUP	\N	254	131	\N	9999-12-31	2013-05-08
2/4-10	3033.000000	3079.000000	SELE FM	FORMATION	ROGALAND GP	254	142	131	9999-12-31	2013-05-08
2/4-10	3162.000000	3418.000000	SHETLAND GP	GROUP	\N	254	143	\N	9999-12-31	2013-05-08
2/4-10	3293.000000	3418.000000	TOR FM	FORMATION	SHETLAND GP	254	171	143	9999-12-31	2013-05-08
2/4-10	3111.000000	3150.000000	VIDAR FM	FORMATION	ROGALAND GP	254	187	131	9999-12-31	2013-05-08
2/4-10	3155.000000	3162.000000	VÅLE FM	FORMATION	ROGALAND GP	254	190	131	9999-12-31	2013-05-08
2/4-11	2939.000000	2960.000000	BALDER FM	FORMATION	ROGALAND GP	255	6	131	9999-12-31	2013-05-08
2/4-11	3747.000000	3764.000000	BLODØKS FM	FORMATION	SHETLAND GP	255	13	143	9999-12-31	2013-05-08
2/4-11	3787.000000	3969.000000	CROMER KNOLL GP	GROUP	\N	255	23	\N	9999-12-31	2013-05-08
2/4-11	3146.000000	3268.000000	EKOFISK FM	FORMATION	SHETLAND GP	255	33	143	9999-12-31	2013-05-08
2/4-11	3990.000000	4211.000000	FARSUND FM	FORMATION	TYNE GP	255	39	177	9999-12-31	2013-05-08
2/4-11	3764.000000	3787.000000	HIDRA FM	FORMATION	SHETLAND GP	255	65	143	9999-12-31	2013-05-08
2/4-11	3542.000000	3747.000000	HOD FM	FORMATION	SHETLAND GP	255	66	143	9999-12-31	2013-05-08
2/4-11	1707.000000	2939.000000	HORDALAND GP	GROUP	\N	255	67	\N	9999-12-31	2013-05-08
2/4-11	2987.000000	3060.000000	LISTA FM	FORMATION	ROGALAND GP	255	95	131	9999-12-31	2013-05-08
2/4-11	3094.000000	3131.000000	LISTA FM	FORMATION	ROGALAND GP	255	95	131	9999-12-31	2013-05-08
2/4-11	3969.000000	3990.000000	MANDAL FM	FORMATION	TYNE GP	255	101	177	9999-12-31	2013-05-08
2/4-11	101.000000	1707.000000	NORDLAND GP	GROUP	\N	255	113	\N	9999-12-31	2013-05-08
2/4-11	2939.000000	3146.000000	ROGALAND GP	GROUP	\N	255	131	\N	9999-12-31	2013-05-08
2/4-11	3787.000000	3818.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	255	137	23	9999-12-31	2013-05-08
2/4-11	2960.000000	2987.000000	SELE FM	FORMATION	ROGALAND GP	255	142	131	9999-12-31	2013-05-08
2/4-11	3146.000000	3787.000000	SHETLAND GP	GROUP	\N	255	143	\N	9999-12-31	2013-05-08
2/4-11	3268.000000	3542.000000	TOR FM	FORMATION	SHETLAND GP	255	171	143	9999-12-31	2013-05-08
2/4-11	3969.000000	4211.000000	TYNE GP	GROUP	\N	255	177	\N	9999-12-31	2013-05-08
2/4-11	3060.000000	3094.000000	VIDAR FM	FORMATION	ROGALAND GP	255	187	131	9999-12-31	2013-05-08
2/4-11	3131.000000	3146.000000	VÅLE FM	FORMATION	ROGALAND GP	255	190	131	9999-12-31	2013-05-08
2/4-11	4211.000000	4281.000000	ZECHSTEIN GP	GROUP	\N	255	194	\N	9999-12-31	2013-05-08
2/4-11	3818.000000	3969.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	255	198	23	9999-12-31	2013-05-08
2/4-12	3010.000000	3027.000000	BALDER FM	FORMATION	ROGALAND GP	256	6	131	9999-12-31	2013-05-08
2/4-12	3195.000000	3302.000000	EKOFISK FM	FORMATION	SHETLAND GP	256	33	143	9999-12-31	2013-05-08
2/4-12	3060.000000	3091.000000	FORTIES FM	FORMATION	ROGALAND GP	256	44	131	9999-12-31	2013-05-08
2/4-12	1758.000000	3010.000000	HORDALAND GP	GROUP	\N	256	67	\N	9999-12-31	2013-05-08
2/4-12	3091.000000	3167.000000	LISTA FM	FORMATION	ROGALAND GP	256	95	131	9999-12-31	2013-05-08
2/4-12	97.000000	1758.000000	NORDLAND GP	GROUP	\N	256	113	\N	9999-12-31	2013-05-08
2/4-12	3010.000000	3195.000000	ROGALAND GP	GROUP	\N	256	131	\N	9999-12-31	2013-05-08
2/4-12	3027.000000	3060.000000	SELE FM	FORMATION	ROGALAND GP	256	142	131	9999-12-31	2013-05-08
2/4-12	3195.000000	3383.000000	SHETLAND GP	GROUP	\N	256	143	\N	9999-12-31	2013-05-08
2/4-12	3302.000000	3383.000000	TOR FM	FORMATION	SHETLAND GP	256	171	143	9999-12-31	2013-05-08
2/4-12	3167.000000	3195.000000	VÅLE FM	FORMATION	ROGALAND GP	256	190	131	9999-12-31	2013-05-08
2/5-3	2929.000000	2943.000000	BALDER FM	FORMATION	ROGALAND GP	258	6	131	9999-12-31	2013-05-08
2/5-3	3616.000000	3716.000000	CROMER KNOLL GP	GROUP	\N	258	23	\N	9999-12-31	2013-05-08
2/5-3	3037.000000	3121.000000	EKOFISK FM	FORMATION	SHETLAND GP	258	33	143	9999-12-31	2013-05-08
2/5-3	3481.000000	3616.000000	HOD FM	FORMATION	SHETLAND GP	258	66	143	9999-12-31	2013-05-08
2/5-3	1660.000000	2929.000000	HORDALAND GP	GROUP	\N	258	67	\N	9999-12-31	2013-05-08
2/5-3	2958.000000	3026.000000	LISTA FM	FORMATION	ROGALAND GP	258	95	131	9999-12-31	2013-05-08
2/5-3	101.000000	1660.000000	NORDLAND GP	GROUP	\N	258	113	\N	9999-12-31	2013-05-08
2/5-3	2929.000000	3037.000000	ROGALAND GP	GROUP	\N	258	131	\N	9999-12-31	2013-05-08
2/5-3	2943.000000	2958.000000	SELE FM	FORMATION	ROGALAND GP	258	142	131	9999-12-31	2013-05-08
2/5-3	3037.000000	3616.000000	SHETLAND GP	GROUP	\N	258	143	\N	9999-12-31	2013-05-08
2/5-3	3121.000000	3481.000000	TOR FM	FORMATION	SHETLAND GP	258	171	143	9999-12-31	2013-05-08
2/5-3	3026.000000	3037.000000	VÅLE FM	FORMATION	ROGALAND GP	258	190	131	9999-12-31	2013-05-08
2/5-3	3716.000000	3731.000000	ZECHSTEIN GP	GROUP	\N	258	194	\N	9999-12-31	2013-05-08
2/5-4	2928.000000	2938.000000	BALDER FM	FORMATION	ROGALAND GP	259	6	131	9999-12-31	2013-05-08
2/5-4	3039.000000	3131.000000	EKOFISK FM	FORMATION	SHETLAND GP	259	33	143	9999-12-31	2013-05-08
2/5-4	3420.000000	3490.000000	HOD FM	FORMATION	SHETLAND GP	259	66	143	9999-12-31	2013-05-08
2/5-4	1631.000000	2928.000000	HORDALAND GP	GROUP	\N	259	67	\N	9999-12-31	2013-05-08
2/5-4	2946.000000	2988.000000	LISTA FM	FORMATION	ROGALAND GP	259	95	131	9999-12-31	2013-05-08
2/5-4	103.000000	1631.000000	NORDLAND GP	GROUP	\N	259	113	\N	9999-12-31	2013-05-08
2/5-4	2928.000000	3039.000000	ROGALAND GP	GROUP	\N	259	131	\N	9999-12-31	2013-05-08
2/5-4	2938.000000	2946.000000	SELE FM	FORMATION	ROGALAND GP	259	142	131	9999-12-31	2013-05-08
2/5-4	3039.000000	3490.000000	SHETLAND GP	GROUP	\N	259	143	\N	9999-12-31	2013-05-08
2/5-4	3131.000000	3420.000000	TOR FM	FORMATION	SHETLAND GP	259	171	143	9999-12-31	2013-05-08
2/5-4	2988.000000	3039.000000	VÅLE FM	FORMATION	ROGALAND GP	259	190	131	9999-12-31	2013-05-08
2/5-5	3058.000000	3063.000000	BALDER FM	FORMATION	ROGALAND GP	260	6	131	9999-12-31	2013-05-08
2/5-5	3176.000000	3274.000000	EKOFISK FM	FORMATION	SHETLAND GP	260	33	143	9999-12-31	2013-05-08
2/5-5	1887.000000	3058.000000	HORDALAND GP	GROUP	\N	260	67	\N	9999-12-31	2013-05-08
2/5-5	3069.000000	3161.000000	LISTA FM	FORMATION	ROGALAND GP	260	95	131	9999-12-31	2013-05-08
2/5-5	100.000000	1887.000000	NORDLAND GP	GROUP	\N	260	113	\N	9999-12-31	2013-05-08
2/5-5	3058.000000	3176.000000	ROGALAND GP	GROUP	\N	260	131	\N	9999-12-31	2013-05-08
2/5-5	3063.000000	3069.000000	SELE FM	FORMATION	ROGALAND GP	260	142	131	9999-12-31	2013-05-08
2/5-5	3176.000000	3456.000000	SHETLAND GP	GROUP	\N	260	143	\N	9999-12-31	2013-05-08
2/5-5	3274.000000	3456.000000	TOR FM	FORMATION	SHETLAND GP	260	171	143	9999-12-31	2013-05-08
2/5-5	3161.000000	3176.000000	VÅLE FM	FORMATION	ROGALAND GP	260	190	131	9999-12-31	2013-05-08
2/5-6	2910.000000	2923.000000	BALDER FM	FORMATION	ROGALAND GP	261	6	131	9999-12-31	2013-05-08
2/5-6	3048.000000	3151.000000	EKOFISK FM	FORMATION	SHETLAND GP	261	33	143	9999-12-31	2013-05-08
2/5-6	3285.000000	3596.000000	HOD FM	FORMATION	SHETLAND GP	261	66	143	9999-12-31	2013-05-08
2/5-6	2929.000000	3024.000000	LISTA FM	FORMATION	ROGALAND GP	261	95	131	9999-12-31	2013-05-08
2/5-6	93.000000	2910.000000	NORDLAND GP	GROUP	\N	261	113	\N	9999-12-31	2013-05-08
2/5-6	2910.000000	3048.000000	ROGALAND GP	GROUP	\N	261	131	\N	9999-12-31	2013-05-08
2/5-6	2923.000000	2929.000000	SELE FM	FORMATION	ROGALAND GP	261	142	131	9999-12-31	2013-05-08
2/5-6	3048.000000	3596.000000	SHETLAND GP	GROUP	\N	261	143	\N	9999-12-31	2013-05-08
2/5-6	4087.000000	4132.000000	SKAGERRAK FM	FORMATION	HEGRE GP	261	146	61	9999-12-31	2013-05-08
2/5-6	3151.000000	3285.000000	TOR FM	FORMATION	SHETLAND GP	261	171	143	9999-12-31	2013-05-08
2/5-6	3596.000000	3946.000000	TYNE GP	GROUP	\N	261	177	\N	9999-12-31	2013-05-08
2/5-6	3946.000000	4087.000000	VESTLAND GP	GROUP	\N	261	186	\N	9999-12-31	2013-05-08
2/5-6	3024.000000	3048.000000	VÅLE FM	FORMATION	ROGALAND GP	261	190	131	9999-12-31	2013-05-08
2/5-6	4087.000000	4132.000000	NO GROUP DEFINED	GROUP	\N	261	208	\N	9999-12-31	2013-05-08
2/7-4	2945.000000	2961.000000	BALDER FM	FORMATION	ROGALAND GP	263	6	131	9999-12-31	2013-05-08
2/7-4	3096.000000	3186.000000	EKOFISK FM	FORMATION	SHETLAND GP	263	33	143	9999-12-31	2013-05-08
2/7-4	1749.000000	2945.000000	HORDALAND GP	GROUP	\N	263	67	\N	9999-12-31	2013-05-08
2/7-4	3008.000000	3077.000000	LISTA FM	FORMATION	ROGALAND GP	263	95	131	9999-12-31	2013-05-08
2/7-4	99.000000	1749.000000	NORDLAND GP	GROUP	\N	263	113	\N	9999-12-31	2013-05-08
2/7-4	2945.000000	3096.000000	ROGALAND GP	GROUP	\N	263	131	\N	9999-12-31	2013-05-08
2/7-4	2961.000000	3008.000000	SELE FM	FORMATION	ROGALAND GP	263	142	131	9999-12-31	2013-05-08
2/7-4	3096.000000	3356.000000	SHETLAND GP	GROUP	\N	263	143	\N	9999-12-31	2013-05-08
2/7-4	3186.000000	3356.000000	TOR FM	FORMATION	SHETLAND GP	263	171	143	9999-12-31	2013-05-08
2/7-4	3077.000000	3096.000000	VÅLE FM	FORMATION	ROGALAND GP	263	190	131	9999-12-31	2013-05-08
2/7-5	2968.000000	2980.000000	BALDER FM	FORMATION	ROGALAND GP	264	6	131	9999-12-31	2013-05-08
2/7-5	3110.000000	3205.000000	EKOFISK FM	FORMATION	SHETLAND GP	264	33	143	9999-12-31	2013-05-08
2/7-5	1748.000000	2968.000000	HORDALAND GP	GROUP	\N	264	67	\N	9999-12-31	2013-05-08
2/7-5	3033.000000	3087.000000	LISTA FM	FORMATION	ROGALAND GP	264	95	131	9999-12-31	2013-05-08
2/7-5	99.000000	1748.000000	NORDLAND GP	GROUP	\N	264	113	\N	9999-12-31	2013-05-08
2/7-5	2968.000000	3110.000000	ROGALAND GP	GROUP	\N	264	131	\N	9999-12-31	2013-05-08
2/7-5	2980.000000	3033.000000	SELE FM	FORMATION	ROGALAND GP	264	142	131	9999-12-31	2013-05-08
2/7-5	3110.000000	3353.000000	SHETLAND GP	GROUP	\N	264	143	\N	9999-12-31	2013-05-08
2/7-5	3205.000000	3353.000000	TOR FM	FORMATION	SHETLAND GP	264	171	143	9999-12-31	2013-05-08
2/7-5	3087.000000	3110.000000	VÅLE FM	FORMATION	ROGALAND GP	264	190	131	9999-12-31	2013-05-08
2/7-8	2874.000000	2886.000000	BALDER FM	FORMATION	ROGALAND GP	267	6	131	9999-12-31	2013-05-08
2/7-8	2969.000000	2978.000000	EKOFISK FM	FORMATION	SHETLAND GP	267	33	143	9999-12-31	2013-05-08
2/7-8	3028.000000	3318.000000	HOD FM	FORMATION	SHETLAND GP	267	66	143	9999-12-31	2013-05-08
2/7-8	1850.000000	2874.000000	HORDALAND GP	GROUP	\N	267	67	\N	9999-12-31	2013-05-08
2/7-8	2920.000000	2963.000000	LISTA FM	FORMATION	ROGALAND GP	267	95	131	9999-12-31	2013-05-08
2/7-8	104.000000	1850.000000	NORDLAND GP	GROUP	\N	267	113	\N	9999-12-31	2013-05-08
2/7-8	2874.000000	2969.000000	ROGALAND GP	GROUP	\N	267	131	\N	9999-12-31	2013-05-08
2/7-8	2886.000000	2920.000000	SELE FM	FORMATION	ROGALAND GP	267	142	131	9999-12-31	2013-05-08
2/7-8	2969.000000	3318.000000	SHETLAND GP	GROUP	\N	267	143	\N	9999-12-31	2013-05-08
2/7-8	2978.000000	3028.000000	TOR FM	FORMATION	SHETLAND GP	267	171	143	9999-12-31	2013-05-08
2/7-8	2963.000000	2969.000000	VÅLE FM	FORMATION	ROGALAND GP	267	190	131	9999-12-31	2013-05-08
2/7-9	2949.000000	2968.000000	BALDER FM	FORMATION	ROGALAND GP	268	6	131	9999-12-31	2013-05-08
2/7-9	3891.000000	3898.000000	BLODØKS FM	FORMATION	SHETLAND GP	268	13	143	9999-12-31	2013-05-08
2/7-9	3962.000000	4076.000000	CROMER KNOLL GP	GROUP	\N	268	23	\N	9999-12-31	2013-05-08
2/7-9	3086.000000	3163.000000	EKOFISK FM	FORMATION	SHETLAND GP	268	33	143	9999-12-31	2013-05-08
2/7-9	3898.000000	3962.000000	HIDRA FM	FORMATION	SHETLAND GP	268	65	143	9999-12-31	2013-05-08
2/7-9	3578.000000	3891.000000	HOD FM	FORMATION	SHETLAND GP	268	66	143	9999-12-31	2013-05-08
2/7-9	3011.000000	3086.000000	LISTA FM	FORMATION	ROGALAND GP	268	95	131	9999-12-31	2013-05-08
2/7-9	4076.000000	4448.000000	MANDAL FM	FORMATION	TYNE GP	268	101	177	9999-12-31	2013-05-08
2/7-9	108.000000	2949.000000	NORDLAND GP	GROUP	\N	268	113	\N	9999-12-31	2013-05-08
2/7-9	2949.000000	3086.000000	ROGALAND GP	GROUP	\N	268	131	\N	9999-12-31	2013-05-08
2/7-9	3962.000000	4076.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	268	137	23	9999-12-31	2013-05-08
2/7-9	2968.000000	3011.000000	SELE FM	FORMATION	ROGALAND GP	268	142	131	9999-12-31	2013-05-08
2/7-9	3086.000000	3962.000000	SHETLAND GP	GROUP	\N	268	143	\N	9999-12-31	2013-05-08
2/7-9	3163.000000	3578.000000	TOR FM	FORMATION	SHETLAND GP	268	171	143	9999-12-31	2013-05-08
2/7-9	4076.000000	4448.000000	TYNE GP	GROUP	\N	268	177	\N	9999-12-31	2013-05-08
2/7-10	3029.000000	3043.000000	BALDER FM	FORMATION	ROGALAND GP	269	6	131	9999-12-31	2013-05-08
2/7-10	3191.000000	3281.000000	EKOFISK FM	FORMATION	SHETLAND GP	269	33	143	9999-12-31	2013-05-08
2/7-10	1774.000000	3029.000000	HORDALAND GP	GROUP	\N	269	67	\N	9999-12-31	2013-05-08
2/7-10	3094.000000	3163.000000	LISTA FM	FORMATION	ROGALAND GP	269	95	131	9999-12-31	2013-05-08
2/7-10	109.000000	1774.000000	NORDLAND GP	GROUP	\N	269	113	\N	9999-12-31	2013-05-08
2/7-10	3029.000000	3191.000000	ROGALAND GP	GROUP	\N	269	131	\N	9999-12-31	2013-05-08
2/7-10	3043.000000	3094.000000	SELE FM	FORMATION	ROGALAND GP	269	142	131	9999-12-31	2013-05-08
2/7-10	3191.000000	3370.000000	SHETLAND GP	GROUP	\N	269	143	\N	9999-12-31	2013-05-08
2/7-10	3281.000000	3370.000000	TOR FM	FORMATION	SHETLAND GP	269	171	143	9999-12-31	2013-05-08
2/7-10	3163.000000	3191.000000	VÅLE FM	FORMATION	ROGALAND GP	269	190	131	9999-12-31	2013-05-08
2/7-12	1382.000000	1679.000000	HORDALAND GP	GROUP	\N	271	67	\N	9999-12-31	2013-05-08
2/7-12	110.000000	1382.000000	NORDLAND GP	GROUP	\N	271	113	\N	9999-12-31	2013-05-08
2/7-12	1679.000000	1686.000000	ROGALAND GP	GROUP	\N	271	131	\N	9999-12-31	2013-05-08
2/7-12	1686.000000	1832.000000	ZECHSTEIN GP	GROUP	\N	271	194	\N	9999-12-31	2013-05-08
2/7-13	2481.000000	2493.000000	BALDER FM	FORMATION	ROGALAND GP	272	6	131	9999-12-31	2013-05-08
2/7-13	3173.000000	3182.000000	BLODØKS FM	FORMATION	SHETLAND GP	272	13	143	9999-12-31	2013-05-08
2/7-13	3274.000000	3388.000000	CROMER KNOLL GP	GROUP	\N	272	23	\N	9999-12-31	2013-05-08
2/7-13	2697.000000	2818.000000	EKOFISK FM	FORMATION	SHETLAND GP	272	33	143	9999-12-31	2013-05-08
2/7-13	2536.000000	2584.000000	FORTIES FM	FORMATION	ROGALAND GP	272	44	131	9999-12-31	2013-05-08
2/7-13	3182.000000	3274.000000	HIDRA FM	FORMATION	SHETLAND GP	272	65	143	9999-12-31	2013-05-08
2/7-13	3002.000000	3173.000000	HOD FM	FORMATION	SHETLAND GP	272	66	143	9999-12-31	2013-05-08
2/7-13	1565.000000	2481.000000	HORDALAND GP	GROUP	\N	272	67	\N	9999-12-31	2013-05-08
2/7-13	2584.000000	2658.000000	LISTA FM	FORMATION	ROGALAND GP	272	95	131	9999-12-31	2013-05-08
2/7-13	108.000000	1565.000000	NORDLAND GP	GROUP	\N	272	113	\N	9999-12-31	2013-05-08
2/7-13	2481.000000	2697.000000	ROGALAND GP	GROUP	\N	272	131	\N	9999-12-31	2013-05-08
2/7-13	3274.000000	3305.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	272	137	23	9999-12-31	2013-05-08
2/7-13	2493.000000	2536.000000	SELE FM	FORMATION	ROGALAND GP	272	142	131	9999-12-31	2013-05-08
2/7-13	2697.000000	3274.000000	SHETLAND GP	GROUP	\N	272	143	\N	9999-12-31	2013-05-08
2/7-13	3305.000000	3388.000000	SOLA FM	FORMATION	CROMER KNOLL GP	272	152	23	9999-12-31	2013-05-08
2/7-13	2818.000000	3002.000000	TOR FM	FORMATION	SHETLAND GP	272	171	143	9999-12-31	2013-05-08
2/7-13	2658.000000	2697.000000	VÅLE FM	FORMATION	ROGALAND GP	272	190	131	9999-12-31	2013-05-08
2/8-4	2533.000000	2543.000000	BALDER FM	FORMATION	ROGALAND GP	273	6	131	9999-12-31	2013-05-08
2/8-4	2774.000000	2778.000000	BLODØKS FM	FORMATION	SHETLAND GP	273	13	143	9999-12-31	2013-05-08
2/8-4	2780.000000	2852.000000	CROMER KNOLL GP	GROUP	\N	273	23	\N	9999-12-31	2013-05-08
2/8-4	2778.000000	2780.000000	HIDRA FM	FORMATION	SHETLAND GP	273	65	143	9999-12-31	2013-05-08
2/8-4	2577.000000	2774.000000	HOD FM	FORMATION	SHETLAND GP	273	66	143	9999-12-31	2013-05-08
2/8-4	104.000000	2533.000000	NORDLAND GP	GROUP	\N	273	113	\N	9999-12-31	2013-05-08
2/8-4	2533.000000	2577.000000	ROGALAND GP	GROUP	\N	273	131	\N	9999-12-31	2013-05-08
2/8-4	2780.000000	2852.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	273	137	23	9999-12-31	2013-05-08
2/8-4	2543.000000	2577.000000	SELE FM	FORMATION	ROGALAND GP	273	142	131	9999-12-31	2013-05-08
2/8-4	2577.000000	2780.000000	SHETLAND GP	GROUP	\N	273	143	\N	9999-12-31	2013-05-08
7120/10-1	694.000000	1568.000000	ADVENTDALEN GP	GROUP	\N	274	1	\N	9999-12-31	2013-05-08
7120/10-1	1914.000000	2000.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	274	46	79	9999-12-31	2013-05-08
7120/10-1	1533.000000	1568.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	274	47	1	9999-12-31	2013-05-08
7120/10-1	1394.000000	1533.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	274	63	1	9999-12-31	2013-05-08
7120/10-1	1568.000000	2000.000000	KAPP TOSCANA GP	GROUP	\N	274	79	\N	9999-12-31	2013-05-08
7120/10-1	1353.000000	1394.000000	KNURR FM	FORMATION	ADVENTDALEN GP	274	82	1	9999-12-31	2013-05-08
7120/10-1	1210.000000	1353.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	274	84	1	9999-12-31	2013-05-08
7120/10-1	694.000000	1210.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	274	85	1	9999-12-31	2013-05-08
7120/10-1	531.000000	694.000000	KVITING FM	FORMATION	NYGRUNNEN GP	274	90	122	9999-12-31	2013-05-08
7120/10-1	210.000000	444.000000	NORDLAND GP	GROUP	\N	274	113	\N	9999-12-31	2013-05-08
7120/10-1	1655.000000	1796.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	274	118	79	9999-12-31	2013-05-08
7120/10-1	531.000000	694.000000	NYGRUNNEN GP	GROUP	\N	274	122	\N	9999-12-31	2013-05-08
7120/10-1	444.000000	531.000000	SOTBAKKEN GP	GROUP	\N	274	154	\N	9999-12-31	2013-05-08
7120/10-1	1568.000000	1655.000000	STØ FM	FORMATION	KAPP TOSCANA GP	274	159	79	9999-12-31	2013-05-08
7120/10-1	444.000000	531.000000	TORSK FM	FORMATION	SOTBAKKEN GP	274	172	154	9999-12-31	2013-05-08
7120/10-1	1796.000000	1914.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	274	174	79	9999-12-31	2013-05-08
2/8-5	2718.000000	2728.000000	BALDER FM	FORMATION	ROGALAND GP	275	6	131	9999-12-31	2013-05-08
2/8-5	3264.000000	3304.000000	CROMER KNOLL GP	GROUP	\N	275	23	\N	9999-12-31	2013-05-08
2/8-5	2796.000000	2884.000000	EKOFISK FM	FORMATION	SHETLAND GP	275	33	143	9999-12-31	2013-05-08
2/8-5	1310.000000	2718.000000	HORDALAND GP	GROUP	\N	275	67	\N	9999-12-31	2013-05-08
2/8-5	2746.000000	2779.000000	LISTA FM	FORMATION	ROGALAND GP	275	95	131	9999-12-31	2013-05-08
2/8-5	102.000000	1310.000000	NORDLAND GP	GROUP	\N	275	113	\N	9999-12-31	2013-05-08
2/8-5	2718.000000	2796.000000	ROGALAND GP	GROUP	\N	275	131	\N	9999-12-31	2013-05-08
2/8-5	3264.000000	3304.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	275	137	23	9999-12-31	2013-05-08
2/8-5	2728.000000	2746.000000	SELE FM	FORMATION	ROGALAND GP	275	142	131	9999-12-31	2013-05-08
2/8-5	2796.000000	3264.000000	SHETLAND GP	GROUP	\N	275	143	\N	9999-12-31	2013-05-08
2/8-5	2884.000000	3264.000000	TOR FM	FORMATION	SHETLAND GP	275	171	143	9999-12-31	2013-05-08
2/8-5	2779.000000	2796.000000	VÅLE FM	FORMATION	ROGALAND GP	275	190	131	9999-12-31	2013-05-08
2/8-6	2422.000000	2432.000000	BALDER FM	FORMATION	ROGALAND GP	276	6	131	9999-12-31	2013-05-08
2/8-6	2603.000000	2606.000000	BLODØKS FM	FORMATION	SHETLAND GP	276	13	143	9999-12-31	2013-05-08
2/8-6	2627.000000	2669.000000	CROMER KNOLL GP	GROUP	\N	276	23	\N	9999-12-31	2013-05-08
2/8-6	2606.000000	2627.000000	HIDRA FM	FORMATION	SHETLAND GP	276	65	143	9999-12-31	2013-05-08
2/8-6	2485.000000	2603.000000	HOD FM	FORMATION	SHETLAND GP	276	66	143	9999-12-31	2013-05-08
2/8-6	95.000000	2422.000000	NORDLAND GP	GROUP	\N	276	113	\N	9999-12-31	2013-05-08
2/8-6	2422.000000	2463.000000	ROGALAND GP	GROUP	\N	276	131	\N	9999-12-31	2013-05-08
2/8-6	2627.000000	2652.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	276	137	23	9999-12-31	2013-05-08
2/8-6	2432.000000	2463.000000	SELE FM	FORMATION	ROGALAND GP	276	142	131	9999-12-31	2013-05-08
2/8-6	2463.000000	2627.000000	SHETLAND GP	GROUP	\N	276	143	\N	9999-12-31	2013-05-08
2/8-6	2652.000000	2669.000000	SOLA FM	FORMATION	CROMER KNOLL GP	276	152	23	9999-12-31	2013-05-08
2/8-6	2463.000000	2485.000000	TOR FM	FORMATION	SHETLAND GP	276	171	143	9999-12-31	2013-05-08
2/8-7	2511.000000	2521.000000	BALDER FM	FORMATION	ROGALAND GP	277	6	131	9999-12-31	2013-05-08
2/8-7	2819.000000	2825.000000	CROMER KNOLL GP	GROUP	\N	277	23	\N	9999-12-31	2013-05-08
2/8-7	2596.000000	2627.000000	EKOFISK FM	FORMATION	SHETLAND GP	277	33	143	9999-12-31	2013-05-08
2/8-7	2739.000000	2819.000000	HOD FM	FORMATION	SHETLAND GP	277	66	143	9999-12-31	2013-05-08
2/8-7	1360.000000	2511.000000	HORDALAND GP	GROUP	\N	277	67	\N	9999-12-31	2013-05-08
2/8-7	2538.000000	2582.000000	LISTA FM	FORMATION	ROGALAND GP	277	95	131	9999-12-31	2013-05-08
2/8-7	101.000000	1360.000000	NORDLAND GP	GROUP	\N	277	113	\N	9999-12-31	2013-05-08
2/8-7	2511.000000	2596.000000	ROGALAND GP	GROUP	\N	277	131	\N	9999-12-31	2013-05-08
2/8-7	2521.000000	2538.000000	SELE FM	FORMATION	ROGALAND GP	277	142	131	9999-12-31	2013-05-08
2/8-7	2596.000000	2819.000000	SHETLAND GP	GROUP	\N	277	143	\N	9999-12-31	2013-05-08
2/8-7	2627.000000	2739.000000	TOR FM	FORMATION	SHETLAND GP	277	171	143	9999-12-31	2013-05-08
2/8-7	2582.000000	2596.000000	VÅLE FM	FORMATION	ROGALAND GP	277	190	131	9999-12-31	2013-05-08
2/8-7	2825.000000	2868.000000	ZECHSTEIN GP	GROUP	\N	277	194	\N	9999-12-31	2013-05-08
2/8-8	2409.000000	2419.000000	BALDER FM	FORMATION	ROGALAND GP	278	6	131	9999-12-31	2013-05-08
2/8-8	2601.000000	2603.000000	BLODØKS FM	FORMATION	SHETLAND GP	278	13	143	9999-12-31	2013-05-08
2/8-8	2619.000000	2667.000000	CROMER KNOLL GP	GROUP	\N	278	23	\N	9999-12-31	2013-05-08
2/8-8	2603.000000	2619.000000	HIDRA FM	FORMATION	SHETLAND GP	278	65	143	9999-12-31	2013-05-08
2/8-8	2494.000000	2601.000000	HOD FM	FORMATION	SHETLAND GP	278	66	143	9999-12-31	2013-05-08
2/8-8	1536.000000	2409.000000	HORDALAND GP	GROUP	\N	278	67	\N	9999-12-31	2013-05-08
2/8-8	2429.000000	2447.000000	LISTA FM	FORMATION	ROGALAND GP	278	95	131	9999-12-31	2013-05-08
2/8-8	95.000000	1536.000000	NORDLAND GP	GROUP	\N	278	113	\N	9999-12-31	2013-05-08
2/8-8	2409.000000	2447.000000	ROGALAND GP	GROUP	\N	278	131	\N	9999-12-31	2013-05-08
2/8-8	2619.000000	2667.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	278	137	23	9999-12-31	2013-05-08
2/8-8	2419.000000	2429.000000	SELE FM	FORMATION	ROGALAND GP	278	142	131	9999-12-31	2013-05-08
2/8-8	2447.000000	2619.000000	SHETLAND GP	GROUP	\N	278	143	\N	9999-12-31	2013-05-08
2/8-8	2447.000000	2494.000000	TOR FM	FORMATION	SHETLAND GP	278	171	143	9999-12-31	2013-05-08
2/8-9	2493.000000	2497.000000	BALDER FM	FORMATION	ROGALAND GP	279	6	131	9999-12-31	2013-05-08
2/8-9	2637.000000	2640.000000	BLODØKS FM	FORMATION	SHETLAND GP	279	13	143	9999-12-31	2013-05-08
2/8-9	2658.000000	2703.000000	CROMER KNOLL GP	GROUP	\N	279	23	\N	9999-12-31	2013-05-08
2/8-9	2640.000000	2658.000000	HIDRA FM	FORMATION	SHETLAND GP	279	65	143	9999-12-31	2013-05-08
2/8-9	2529.000000	2637.000000	HOD FM	FORMATION	SHETLAND GP	279	66	143	9999-12-31	2013-05-08
2/8-9	2505.000000	2524.000000	LISTA FM	FORMATION	ROGALAND GP	279	95	131	9999-12-31	2013-05-08
2/8-9	102.000000	2493.000000	NORDLAND GP	GROUP	\N	279	113	\N	9999-12-31	2013-05-08
2/8-9	2493.000000	2524.000000	ROGALAND GP	GROUP	\N	279	131	\N	9999-12-31	2013-05-08
2/8-9	2658.000000	2703.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	279	137	23	9999-12-31	2013-05-08
2/8-9	2497.000000	2505.000000	SELE FM	FORMATION	ROGALAND GP	279	142	131	9999-12-31	2013-05-08
2/8-9	2524.000000	2658.000000	SHETLAND GP	GROUP	\N	279	143	\N	9999-12-31	2013-05-08
2/8-9	2524.000000	2529.000000	TOR FM	FORMATION	SHETLAND GP	279	171	143	9999-12-31	2013-05-08
2/8-10	2441.000000	2452.000000	BALDER FM	FORMATION	ROGALAND GP	280	6	131	9999-12-31	2013-05-08
2/8-10	2636.000000	2639.000000	BLODØKS FM	FORMATION	SHETLAND GP	280	13	143	9999-12-31	2013-05-08
2/8-10	2653.000000	2683.000000	CROMER KNOLL GP	GROUP	\N	280	23	\N	9999-12-31	2013-05-08
2/8-10	2639.000000	2653.000000	HIDRA FM	FORMATION	SHETLAND GP	280	65	143	9999-12-31	2013-05-08
2/8-10	2516.000000	2636.000000	HOD FM	FORMATION	SHETLAND GP	280	66	143	9999-12-31	2013-05-08
2/8-10	1498.000000	2441.000000	HORDALAND GP	GROUP	\N	280	67	\N	9999-12-31	2013-05-08
2/8-10	2462.000000	2477.000000	LISTA FM	FORMATION	ROGALAND GP	280	95	131	9999-12-31	2013-05-08
2/8-10	102.000000	1498.000000	NORDLAND GP	GROUP	\N	280	113	\N	9999-12-31	2013-05-08
2/8-10	2441.000000	2477.000000	ROGALAND GP	GROUP	\N	280	131	\N	9999-12-31	2013-05-08
2/8-10	2653.000000	2683.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	280	137	23	9999-12-31	2013-05-08
2/8-10	2452.000000	2462.000000	SELE FM	FORMATION	ROGALAND GP	280	142	131	9999-12-31	2013-05-08
2/8-10	2477.000000	2653.000000	SHETLAND GP	GROUP	\N	280	143	\N	9999-12-31	2013-05-08
2/8-10	2477.000000	2516.000000	TOR FM	FORMATION	SHETLAND GP	280	171	143	9999-12-31	2013-05-08
7/12-6	2539.000000	2564.000000	BALDER FM	FORMATION	ROGALAND GP	281	6	131	9999-12-31	2013-05-08
7/12-6	3071.000000	3085.000000	BLODØKS FM	FORMATION	SHETLAND GP	281	13	143	9999-12-31	2013-05-08
7/12-6	3092.000000	3292.000000	CROMER KNOLL GP	GROUP	\N	281	23	\N	9999-12-31	2013-05-08
7/12-6	2730.000000	2810.000000	EKOFISK FM	FORMATION	SHETLAND GP	281	33	143	9999-12-31	2013-05-08
7/12-6	3332.000000	3406.000000	FARSUND FM	FORMATION	TYNE GP	281	39	177	9999-12-31	2013-05-08
7/12-6	3085.000000	3092.000000	HIDRA FM	FORMATION	SHETLAND GP	281	65	143	9999-12-31	2013-05-08
7/12-6	3002.000000	3071.000000	HOD FM	FORMATION	SHETLAND GP	281	66	143	9999-12-31	2013-05-08
7/12-6	1672.000000	2539.000000	HORDALAND GP	GROUP	\N	281	67	\N	9999-12-31	2013-05-08
7/12-6	2605.000000	2661.000000	LISTA FM	FORMATION	ROGALAND GP	281	95	131	9999-12-31	2013-05-08
7/12-6	2702.000000	2710.000000	LISTA FM	FORMATION	ROGALAND GP	281	95	131	9999-12-31	2013-05-08
7/12-6	3292.000000	3332.000000	MANDAL FM	FORMATION	TYNE GP	281	101	177	9999-12-31	2013-05-08
7/12-6	94.000000	1672.000000	NORDLAND GP	GROUP	\N	281	113	\N	9999-12-31	2013-05-08
7/12-6	2539.000000	2730.000000	ROGALAND GP	GROUP	\N	281	131	\N	9999-12-31	2013-05-08
7/12-6	3092.000000	3292.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	281	137	23	9999-12-31	2013-05-08
7/12-6	2564.000000	2605.000000	SELE FM	FORMATION	ROGALAND GP	281	142	131	9999-12-31	2013-05-08
7/12-6	2730.000000	3092.000000	SHETLAND GP	GROUP	\N	281	143	\N	9999-12-31	2013-05-08
7/12-6	3521.000000	3700.000000	SKAGERRAK FM	FORMATION	HEGRE GP	281	146	61	9999-12-31	2013-05-08
7/12-6	2810.000000	3002.000000	TOR FM	FORMATION	SHETLAND GP	281	171	143	9999-12-31	2013-05-08
7/12-6	3292.000000	3521.000000	TYNE GP	GROUP	\N	281	177	\N	9999-12-31	2013-05-08
7/12-6	3406.000000	3521.000000	ULA FM	FORMATION	VESTLAND GP	281	179	186	9999-12-31	2013-05-08
7/12-6	2661.000000	2702.000000	VIDAR FM	FORMATION	ROGALAND GP	281	187	131	9999-12-31	2013-05-08
7/12-6	2710.000000	2730.000000	VÅLE FM	FORMATION	ROGALAND GP	281	190	131	9999-12-31	2013-05-08
7/12-6	3521.000000	3700.000000	NO GROUP DEFINED	GROUP	\N	281	208	\N	9999-12-31	2013-05-08
2/9-1	2963.000000	2978.000000	BALDER FM	FORMATION	ROGALAND GP	282	6	131	9999-12-31	2013-05-08
2/9-1	3092.000000	3200.000000	EKOFISK FM	FORMATION	SHETLAND GP	282	33	143	9999-12-31	2013-05-08
2/9-1	3480.000000	3551.000000	HOD FM	FORMATION	SHETLAND GP	282	66	143	9999-12-31	2013-05-08
2/9-1	1636.000000	2963.000000	HORDALAND GP	GROUP	\N	282	67	\N	9999-12-31	2013-05-08
2/9-1	3026.000000	3066.000000	LISTA FM	FORMATION	ROGALAND GP	282	95	131	9999-12-31	2013-05-08
2/9-1	3066.000000	3092.000000	MAUREEN FM	FORMATION	ROGALAND GP	282	102	131	9999-12-31	2013-05-08
2/9-1	102.000000	1636.000000	NORDLAND GP	GROUP	\N	282	113	\N	9999-12-31	2013-05-08
2/9-1	2963.000000	3092.000000	ROGALAND GP	GROUP	\N	282	131	\N	9999-12-31	2013-05-08
2/9-1	2978.000000	3026.000000	SELE FM	FORMATION	ROGALAND GP	282	142	131	9999-12-31	2013-05-08
2/9-1	3092.000000	3551.000000	SHETLAND GP	GROUP	\N	282	143	\N	9999-12-31	2013-05-08
2/9-1	3200.000000	3480.000000	TOR FM	FORMATION	SHETLAND GP	282	171	143	9999-12-31	2013-05-08
2/9-2	2927.000000	2945.000000	BALDER FM	FORMATION	ROGALAND GP	283	6	131	9999-12-31	2013-05-08
2/9-2	3471.000000	3653.000000	CROMER KNOLL GP	GROUP	\N	283	23	\N	9999-12-31	2013-05-08
2/9-2	3039.000000	3126.000000	EKOFISK FM	FORMATION	SHETLAND GP	283	33	143	9999-12-31	2013-05-08
2/9-2	3755.000000	4032.000000	FARSUND FM	FORMATION	TYNE GP	283	39	177	9999-12-31	2013-05-08
2/9-2	4032.000000	4292.000000	HAUGESUND FM	FORMATION	TYNE GP	283	57	177	9999-12-31	2013-05-08
2/9-2	3412.000000	3471.000000	HOD FM	FORMATION	SHETLAND GP	283	66	143	9999-12-31	2013-05-08
2/9-2	1560.000000	2927.000000	HORDALAND GP	GROUP	\N	283	67	\N	9999-12-31	2013-05-08
2/9-2	2982.000000	3029.000000	LISTA FM	FORMATION	ROGALAND GP	283	95	131	9999-12-31	2013-05-08
2/9-2	3653.000000	3755.000000	MANDAL FM	FORMATION	TYNE GP	283	101	177	9999-12-31	2013-05-08
2/9-2	93.000000	1560.000000	NORDLAND GP	GROUP	\N	283	113	\N	9999-12-31	2013-05-08
2/9-2	2927.000000	3039.000000	ROGALAND GP	GROUP	\N	283	131	\N	9999-12-31	2013-05-08
2/9-2	4316.000000	4367.000000	ROTLIEGEND GP	GROUP	\N	283	136	\N	9999-12-31	2013-05-08
2/9-2	3471.000000	3524.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	283	137	23	9999-12-31	2013-05-08
2/9-2	2945.000000	2982.000000	SELE FM	FORMATION	ROGALAND GP	283	142	131	9999-12-31	2013-05-08
2/9-2	3039.000000	3471.000000	SHETLAND GP	GROUP	\N	283	143	\N	9999-12-31	2013-05-08
2/9-2	3126.000000	3412.000000	TOR FM	FORMATION	SHETLAND GP	283	171	143	9999-12-31	2013-05-08
2/9-2	3653.000000	4292.000000	TYNE GP	GROUP	\N	283	177	\N	9999-12-31	2013-05-08
2/9-2	4292.000000	4316.000000	ULA FM	FORMATION	VESTLAND GP	283	179	186	9999-12-31	2013-05-08
2/9-2	4292.000000	4316.000000	VESTLAND GP	GROUP	\N	283	186	\N	9999-12-31	2013-05-08
2/9-2	3029.000000	3039.000000	VÅLE FM	FORMATION	ROGALAND GP	283	190	131	9999-12-31	2013-05-08
2/9-2	3524.000000	3653.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	283	198	23	9999-12-31	2013-05-08
2/10-1 S	3233.000000	3249.000000	BALDER FM	FORMATION	ROGALAND GP	284	6	131	9999-12-31	2013-05-08
2/10-1 S	4091.000000	4265.000000	CROMER KNOLL GP	GROUP	\N	284	23	\N	9999-12-31	2013-05-08
2/10-1 S	3360.000000	3406.000000	EKOFISK FM	FORMATION	SHETLAND GP	284	33	143	9999-12-31	2013-05-08
2/10-1 S	4058.000000	4091.000000	HIDRA FM	FORMATION	SHETLAND GP	284	65	143	9999-12-31	2013-05-08
2/10-1 S	3581.000000	4058.000000	HOD FM	FORMATION	SHETLAND GP	284	66	143	9999-12-31	2013-05-08
2/10-1 S	1595.000000	3233.000000	HORDALAND GP	GROUP	\N	284	67	\N	9999-12-31	2013-05-08
2/10-1 S	3294.000000	3360.000000	LISTA FM	FORMATION	ROGALAND GP	284	95	131	9999-12-31	2013-05-08
2/10-1 S	4265.000000	4271.000000	MANDAL FM	FORMATION	TYNE GP	284	101	177	9999-12-31	2013-05-08
2/10-1 S	93.000000	1595.000000	NORDLAND GP	GROUP	\N	284	113	\N	9999-12-31	2013-05-08
2/10-1 S	3233.000000	3360.000000	ROGALAND GP	GROUP	\N	284	131	\N	9999-12-31	2013-05-08
2/10-1 S	4297.000000	4529.000000	ROTLIEGEND GP	GROUP	\N	284	136	\N	9999-12-31	2013-05-08
2/10-1 S	4091.000000	4265.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	284	137	23	9999-12-31	2013-05-08
2/10-1 S	3249.000000	3294.000000	SELE FM	FORMATION	ROGALAND GP	284	142	131	9999-12-31	2013-05-08
2/10-1 S	3360.000000	4091.000000	SHETLAND GP	GROUP	\N	284	143	\N	9999-12-31	2013-05-08
2/10-1 S	3406.000000	3581.000000	TOR FM	FORMATION	SHETLAND GP	284	171	143	9999-12-31	2013-05-08
2/10-1 S	4265.000000	4271.000000	TYNE GP	GROUP	\N	284	177	\N	9999-12-31	2013-05-08
2/10-1 S	4271.000000	4297.000000	ZECHSTEIN GP	GROUP	\N	284	194	\N	9999-12-31	2013-05-08
2/10-1 S	4529.000000	4609.000000	NO GROUP DEFINED	GROUP	\N	284	208	\N	9999-12-31	2013-05-08
2/11-2	2568.000000	2573.000000	BALDER FM	FORMATION	ROGALAND GP	285	6	131	9999-12-31	2013-05-08
2/11-2	2752.000000	2806.000000	CROMER KNOLL GP	GROUP	\N	285	23	\N	9999-12-31	2013-05-08
2/11-2	2640.000000	2752.000000	HOD FM	FORMATION	SHETLAND GP	285	66	143	9999-12-31	2013-05-08
2/11-2	1457.000000	2568.000000	HORDALAND GP	GROUP	\N	285	67	\N	9999-12-31	2013-05-08
2/11-2	2597.000000	2640.000000	LISTA FM	FORMATION	ROGALAND GP	285	95	131	9999-12-31	2013-05-08
2/11-2	102.000000	1457.000000	NORDLAND GP	GROUP	\N	285	113	\N	9999-12-31	2013-05-08
2/11-2	2568.000000	2640.000000	ROGALAND GP	GROUP	\N	285	131	\N	9999-12-31	2013-05-08
2/11-2	2752.000000	2806.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	285	137	23	9999-12-31	2013-05-08
2/11-2	2573.000000	2597.000000	SELE FM	FORMATION	ROGALAND GP	285	142	131	9999-12-31	2013-05-08
2/11-2	2640.000000	2752.000000	SHETLAND GP	GROUP	\N	285	143	\N	9999-12-31	2013-05-08
2/11-3	2714.000000	2727.000000	BALDER FM	FORMATION	ROGALAND GP	286	6	131	9999-12-31	2013-05-08
2/11-3	3022.000000	3052.000000	CROMER KNOLL GP	GROUP	\N	286	23	\N	9999-12-31	2013-05-08
2/11-3	2775.000000	3022.000000	HOD FM	FORMATION	SHETLAND GP	286	66	143	9999-12-31	2013-05-08
2/11-3	1515.000000	2714.000000	HORDALAND GP	GROUP	\N	286	67	\N	9999-12-31	2013-05-08
2/11-3	2747.000000	2775.000000	LISTA FM	FORMATION	ROGALAND GP	286	95	131	9999-12-31	2013-05-08
2/11-3	108.000000	1515.000000	NORDLAND GP	GROUP	\N	286	113	\N	9999-12-31	2013-05-08
2/11-3	2714.000000	2775.000000	ROGALAND GP	GROUP	\N	286	131	\N	9999-12-31	2013-05-08
2/11-3	3022.000000	3052.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	286	137	23	9999-12-31	2013-05-08
2/11-3	2727.000000	2747.000000	SELE FM	FORMATION	ROGALAND GP	286	142	131	9999-12-31	2013-05-08
2/11-3	2775.000000	3022.000000	SHETLAND GP	GROUP	\N	286	143	\N	9999-12-31	2013-05-08
2/11-5	2715.000000	2737.000000	BALDER FM	FORMATION	ROGALAND GP	288	6	131	9999-12-31	2013-05-08
2/11-5	2920.000000	2945.000000	CROMER KNOLL GP	GROUP	\N	288	23	\N	9999-12-31	2013-05-08
2/11-5	2822.000000	2835.000000	EKOFISK FM	FORMATION	SHETLAND GP	288	33	143	9999-12-31	2013-05-08
2/11-5	2855.000000	2920.000000	HOD FM	FORMATION	SHETLAND GP	288	66	143	9999-12-31	2013-05-08
2/11-5	1475.000000	2715.000000	HORDALAND GP	GROUP	\N	288	67	\N	9999-12-31	2013-05-08
2/11-5	94.000000	1475.000000	NORDLAND GP	GROUP	\N	288	113	\N	9999-12-31	2013-05-08
2/11-5	2715.000000	2822.000000	ROGALAND GP	GROUP	\N	288	131	\N	9999-12-31	2013-05-08
2/11-5	2920.000000	2945.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	288	137	23	9999-12-31	2013-05-08
2/11-5	2737.000000	2822.000000	SELE FM	FORMATION	ROGALAND GP	288	142	131	9999-12-31	2013-05-08
2/11-5	2822.000000	2920.000000	SHETLAND GP	GROUP	\N	288	143	\N	9999-12-31	2013-05-08
2/11-5	2835.000000	2855.000000	TOR FM	FORMATION	SHETLAND GP	288	171	143	9999-12-31	2013-05-08
2/11-6 S	3564.000000	3690.000000	BALDER FM	FORMATION	ROGALAND GP	289	6	131	9999-12-31	2013-05-08
2/11-6 S	3716.000000	4076.000000	HOD FM	FORMATION	SHETLAND GP	289	66	143	9999-12-31	2013-05-08
2/11-6 S	1792.000000	3564.000000	HORDALAND GP	GROUP	\N	289	67	\N	9999-12-31	2013-05-08
2/11-6 S	98.000000	1792.000000	NORDLAND GP	GROUP	\N	289	113	\N	9999-12-31	2013-05-08
2/11-6 S	3564.000000	3690.000000	ROGALAND GP	GROUP	\N	289	131	\N	9999-12-31	2013-05-08
2/11-6 S	3690.000000	4076.000000	SHETLAND GP	GROUP	\N	289	143	\N	9999-12-31	2013-05-08
2/11-6 S	3690.000000	3716.000000	TOR FM	FORMATION	SHETLAND GP	289	171	143	9999-12-31	2013-05-08
3/5-1	2114.000000	2131.000000	BALDER FM	FORMATION	ROGALAND GP	290	6	131	9999-12-31	2013-05-08
3/5-1	2617.000000	2647.000000	BLODØKS FM	FORMATION	SHETLAND GP	290	13	143	9999-12-31	2013-05-08
3/5-1	2683.000000	2734.000000	CROMER KNOLL GP	GROUP	\N	290	23	\N	9999-12-31	2013-05-08
3/5-1	2202.000000	2223.000000	EKOFISK FM	FORMATION	SHETLAND GP	290	33	143	9999-12-31	2013-05-08
3/5-1	2795.000000	2817.000000	ELDFISK FM	FORMATION	TYNE GP	290	34	177	9999-12-31	2013-05-08
3/5-1	2817.000000	2902.000000	HAUGESUND FM	FORMATION	TYNE GP	290	57	177	9999-12-31	2013-05-08
3/5-1	2647.000000	2683.000000	HIDRA FM	FORMATION	SHETLAND GP	290	65	143	9999-12-31	2013-05-08
3/5-1	2435.000000	2617.000000	HOD FM	FORMATION	SHETLAND GP	290	66	143	9999-12-31	2013-05-08
3/5-1	993.000000	2114.000000	HORDALAND GP	GROUP	\N	290	67	\N	9999-12-31	2013-05-08
3/5-1	3100.000000	3103.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	290	88	194	9999-12-31	2013-05-08
3/5-1	2142.000000	2150.000000	LISTA FM	FORMATION	ROGALAND GP	290	95	131	9999-12-31	2013-05-08
3/5-1	2734.000000	2795.000000	MANDAL FM	FORMATION	TYNE GP	290	101	177	9999-12-31	2013-05-08
3/5-1	89.000000	993.000000	NORDLAND GP	GROUP	\N	290	113	\N	9999-12-31	2013-05-08
3/5-1	2114.000000	2202.000000	ROGALAND GP	GROUP	\N	290	131	\N	9999-12-31	2013-05-08
3/5-1	3103.000000	3426.000000	ROTLIEGEND GP	GROUP	\N	290	136	\N	9999-12-31	2013-05-08
3/5-1	2131.000000	2142.000000	SELE FM	FORMATION	ROGALAND GP	290	142	131	9999-12-31	2013-05-08
3/5-1	2202.000000	2683.000000	SHETLAND GP	GROUP	\N	290	143	\N	9999-12-31	2013-05-08
3/5-1	2223.000000	2435.000000	TOR FM	FORMATION	SHETLAND GP	290	171	143	9999-12-31	2013-05-08
3/5-1	2683.000000	2691.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	290	175	23	9999-12-31	2013-05-08
3/5-1	2734.000000	2902.000000	TYNE GP	GROUP	\N	290	177	\N	9999-12-31	2013-05-08
3/5-1	2902.000000	3100.000000	UNDIFFERENTIATED	FORMATION	\N	290	182	\N	9999-12-31	2013-05-08
3/5-1	2150.000000	2202.000000	VÅLE FM	FORMATION	ROGALAND GP	290	190	131	9999-12-31	2013-05-08
3/5-1	2902.000000	3103.000000	ZECHSTEIN GP	GROUP	\N	290	194	\N	9999-12-31	2013-05-08
3/5-1	2691.000000	2734.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	290	198	23	9999-12-31	2013-05-08
3/5-2	2560.000000	2579.000000	BALDER FM	FORMATION	ROGALAND GP	291	6	131	9999-12-31	2013-05-08
3/5-2	3345.000000	3575.000000	BRYNE FM	FORMATION	VESTLAND GP	291	19	186	9999-12-31	2013-05-08
3/5-2	3062.000000	3144.000000	CROMER KNOLL GP	GROUP	\N	291	23	\N	9999-12-31	2013-05-08
3/5-2	2627.000000	2782.000000	EKOFISK FM	FORMATION	SHETLAND GP	291	33	143	9999-12-31	2013-05-08
3/5-2	3172.000000	3183.000000	ELDFISK FM	FORMATION	TYNE GP	291	34	177	9999-12-31	2013-05-08
3/5-2	3170.000000	3172.000000	FARSUND FM	FORMATION	TYNE GP	291	39	177	9999-12-31	2013-05-08
3/5-2	3575.000000	3604.000000	GASSUM FM	FORMATION	\N	291	49	\N	9999-12-31	2013-05-08
3/5-2	3183.000000	3345.000000	HAUGESUND FM	FORMATION	TYNE GP	291	57	177	9999-12-31	2013-05-08
3/5-2	3013.000000	3062.000000	HIDRA FM	FORMATION	SHETLAND GP	291	65	143	9999-12-31	2013-05-08
3/5-2	2782.000000	3013.000000	HOD FM	FORMATION	SHETLAND GP	291	66	143	9999-12-31	2013-05-08
3/5-2	1140.000000	2560.000000	HORDALAND GP	GROUP	\N	291	67	\N	9999-12-31	2013-05-08
3/5-2	2602.000000	2627.000000	LISTA FM	FORMATION	ROGALAND GP	291	95	131	9999-12-31	2013-05-08
3/5-2	3144.000000	3170.000000	MANDAL FM	FORMATION	TYNE GP	291	101	177	9999-12-31	2013-05-08
3/5-2	92.000000	1140.000000	NORDLAND GP	GROUP	\N	291	113	\N	9999-12-31	2013-05-08
3/5-2	2560.000000	2627.000000	ROGALAND GP	GROUP	\N	291	131	\N	9999-12-31	2013-05-08
3/5-2	3062.000000	3070.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	291	137	23	9999-12-31	2013-05-08
3/5-2	2579.000000	2602.000000	SELE FM	FORMATION	ROGALAND GP	291	142	131	9999-12-31	2013-05-08
3/5-2	2627.000000	3062.000000	SHETLAND GP	GROUP	\N	291	143	\N	9999-12-31	2013-05-08
3/5-2	3604.000000	3825.000000	SMITH BANK FM	FORMATION	HEGRE GP	291	149	61	9999-12-31	2013-05-08
3/5-2	3070.000000	3084.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	291	175	23	9999-12-31	2013-05-08
3/5-2	3144.000000	3345.000000	TYNE GP	GROUP	\N	291	177	\N	9999-12-31	2013-05-08
3/5-2	3345.000000	3575.000000	VESTLAND GP	GROUP	\N	291	186	\N	9999-12-31	2013-05-08
3/5-2	3084.000000	3144.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	291	198	23	9999-12-31	2013-05-08
3/5-2	3575.000000	3604.000000	NO GROUP DEFINED	GROUP	\N	291	208	\N	9999-12-31	2013-05-08
3/5-2	3604.000000	3825.000000	NO GROUP DEFINED	GROUP	\N	291	208	\N	9999-12-31	2013-05-08
3/7-1	2690.000000	2712.000000	BALDER FM	FORMATION	ROGALAND GP	292	6	131	9999-12-31	2013-05-08
3/7-1	3218.000000	3227.000000	BASEMENT	GROUP	\N	292	10	\N	9999-12-31	2013-05-08
3/7-1	2769.000000	2852.000000	EKOFISK FM	FORMATION	SHETLAND GP	292	33	143	9999-12-31	2013-05-08
3/7-1	2985.000000	3218.000000	HOD FM	FORMATION	SHETLAND GP	292	66	143	9999-12-31	2013-05-08
3/7-1	1435.000000	2690.000000	HORDALAND GP	GROUP	\N	292	67	\N	9999-12-31	2013-05-08
3/7-1	2728.000000	2760.000000	LISTA FM	FORMATION	ROGALAND GP	292	95	131	9999-12-31	2013-05-08
3/7-1	93.000000	1435.000000	NORDLAND GP	GROUP	\N	292	113	\N	9999-12-31	2013-05-08
3/7-1	2690.000000	2769.000000	ROGALAND GP	GROUP	\N	292	131	\N	9999-12-31	2013-05-08
3/7-1	2712.000000	2728.000000	SELE FM	FORMATION	ROGALAND GP	292	142	131	9999-12-31	2013-05-08
3/7-1	2769.000000	3218.000000	SHETLAND GP	GROUP	\N	292	143	\N	9999-12-31	2013-05-08
3/7-1	2852.000000	2985.000000	TOR FM	FORMATION	SHETLAND GP	292	171	143	9999-12-31	2013-05-08
3/7-1	2760.000000	2769.000000	VÅLE FM	FORMATION	ROGALAND GP	292	190	131	9999-12-31	2013-05-08
3/7-3	2697.000000	2726.000000	BALDER FM	FORMATION	ROGALAND GP	293	6	131	9999-12-31	2013-05-08
3/7-3	3280.000000	3432.000000	CROMER KNOLL GP	GROUP	\N	293	23	\N	9999-12-31	2013-05-08
3/7-3	2812.000000	2907.000000	EKOFISK FM	FORMATION	SHETLAND GP	293	33	143	9999-12-31	2013-05-08
3/7-3	3119.000000	3280.000000	HOD FM	FORMATION	SHETLAND GP	293	66	143	9999-12-31	2013-05-08
3/7-3	1455.000000	2697.000000	HORDALAND GP	GROUP	\N	293	67	\N	9999-12-31	2013-05-08
3/7-3	2761.000000	2775.000000	LISTA FM	FORMATION	ROGALAND GP	293	95	131	9999-12-31	2013-05-08
3/7-3	3432.000000	3506.000000	MANDAL FM	FORMATION	TYNE GP	293	101	177	9999-12-31	2013-05-08
3/7-3	2775.000000	2812.000000	MAUREEN FM	FORMATION	ROGALAND GP	293	102	131	9999-12-31	2013-05-08
3/7-3	92.000000	1455.000000	NORDLAND GP	GROUP	\N	293	113	\N	9999-12-31	2013-05-08
3/7-3	3325.000000	3432.000000	RAN SANDSTONE UNITS	FORMATION	CROMER KNOLL GP	293	125	23	9999-12-31	2013-05-08
3/7-3	2697.000000	2812.000000	ROGALAND GP	GROUP	\N	293	131	\N	9999-12-31	2013-05-08
3/7-3	2726.000000	2761.000000	SELE FM	FORMATION	ROGALAND GP	293	142	131	9999-12-31	2013-05-08
3/7-3	2812.000000	3280.000000	SHETLAND GP	GROUP	\N	293	143	\N	9999-12-31	2013-05-08
3/7-3	2907.000000	3119.000000	TOR FM	FORMATION	SHETLAND GP	293	171	143	9999-12-31	2013-05-08
3/7-3	3432.000000	3506.000000	TYNE GP	GROUP	\N	293	177	\N	9999-12-31	2013-05-08
3/7-3	3506.000000	3540.000000	ZECHSTEIN GP	GROUP	\N	293	194	\N	9999-12-31	2013-05-08
3/7-3	3280.000000	3325.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	293	198	23	9999-12-31	2013-05-08
7/8-2	2180.000000	2195.000000	BALDER FM	FORMATION	ROGALAND GP	294	6	131	9999-12-31	2013-05-08
7/8-2	2657.000000	2808.000000	CROMER KNOLL GP	GROUP	\N	294	23	\N	9999-12-31	2013-05-08
7/8-2	2366.000000	2440.000000	EKOFISK FM	FORMATION	SHETLAND GP	294	33	143	9999-12-31	2013-05-08
7/8-2	1463.000000	2180.000000	HORDALAND GP	GROUP	\N	294	67	\N	9999-12-31	2013-05-08
7/8-2	2295.000000	2366.000000	LISTA FM	FORMATION	ROGALAND GP	294	95	131	9999-12-31	2013-05-08
7/8-2	108.000000	1463.000000	NORDLAND GP	GROUP	\N	294	113	\N	9999-12-31	2013-05-08
7/8-2	2180.000000	2366.000000	ROGALAND GP	GROUP	\N	294	131	\N	9999-12-31	2013-05-08
7/8-2	2195.000000	2295.000000	SELE FM	FORMATION	ROGALAND GP	294	142	131	9999-12-31	2013-05-08
7/8-2	2366.000000	2657.000000	SHETLAND GP	GROUP	\N	294	143	\N	9999-12-31	2013-05-08
7/8-2	2883.000000	2997.000000	SMITH BANK FM	FORMATION	HEGRE GP	294	149	61	9999-12-31	2013-05-08
7/8-2	2440.000000	2657.000000	TOR FM	FORMATION	SHETLAND GP	294	171	143	9999-12-31	2013-05-08
7/8-2	2808.000000	2822.000000	TYNE GP	GROUP	\N	294	177	\N	9999-12-31	2013-05-08
7/8-2	2822.000000	2883.000000	VESTLAND GP	GROUP	\N	294	186	\N	9999-12-31	2013-05-08
7/8-2	2997.000000	3006.000000	ZECHSTEIN GP	GROUP	\N	294	194	\N	9999-12-31	2013-05-08
7/8-2	2883.000000	2997.000000	NO GROUP DEFINED	GROUP	\N	294	208	\N	9999-12-31	2013-05-08
6506/12-7	1856.000000	2227.000000	BRYGGE FM	FORMATION	HORDALAND GP	300	18	67	9999-12-31	2013-05-08
6506/12-7	4556.000000	4840.000000	BÅT GP	GROUP	\N	300	22	\N	9999-12-31	2013-05-08
6506/12-7	3265.000000	4042.000000	CROMER KNOLL GP	GROUP	\N	300	23	\N	9999-12-31	2013-05-08
6506/12-7	4396.000000	4556.000000	FANGST GP	GROUP	\N	300	38	\N	9999-12-31	2013-05-08
6506/12-7	4396.000000	4439.000000	GARN FM	FORMATION	FANGST GP	300	48	38	9999-12-31	2013-05-08
6506/12-7	1856.000000	2227.000000	HORDALAND GP	GROUP	\N	300	67	\N	9999-12-31	2013-05-08
6506/12-7	4474.000000	4556.000000	ILE FM	FORMATION	FANGST GP	300	70	38	9999-12-31	2013-05-08
6506/12-7	1539.000000	1856.000000	KAI FM	FORMATION	NORDLAND GP	300	77	113	9999-12-31	2013-05-08
6506/12-7	3306.000000	4042.000000	LANGE FM	FORMATION	CROMER KNOLL GP	300	94	23	9999-12-31	2013-05-08
6506/12-7	3265.000000	3306.000000	LYSING FM	FORMATION	CROMER KNOLL GP	300	99	23	9999-12-31	2013-05-08
6506/12-7	4114.000000	4396.000000	MELKE FM	FORMATION	VIKING GP	300	105	188	9999-12-31	2013-05-08
6506/12-7	296.000000	1856.000000	NORDLAND GP	GROUP	\N	300	113	\N	9999-12-31	2013-05-08
6506/12-7	4439.000000	4474.000000	NOT FM	FORMATION	FANGST GP	300	120	38	9999-12-31	2013-05-08
6506/12-7	2227.000000	2396.000000	ROGALAND GP	GROUP	\N	300	131	\N	9999-12-31	2013-05-08
6506/12-7	4556.000000	4629.000000	ROR FM	FORMATION	BÅT GP	300	135	22	9999-12-31	2013-05-08
6506/12-7	4675.000000	4693.000000	ROR FM	FORMATION	BÅT GP	300	135	22	9999-12-31	2013-05-08
6506/12-7	2396.000000	3265.000000	SHETLAND GP	GROUP	\N	300	143	\N	9999-12-31	2013-05-08
6506/12-7	4042.000000	4114.000000	SPEKK FM	FORMATION	VIKING GP	300	155	188	9999-12-31	2013-05-08
6506/12-7	2297.000000	2396.000000	TANG FM	FORMATION	ROGALAND GP	300	161	131	9999-12-31	2013-05-08
6506/12-7	2227.000000	2297.000000	TARE FM	FORMATION	ROGALAND GP	300	163	131	9999-12-31	2013-05-08
6506/12-7	4693.000000	4840.000000	TILJE FM	FORMATION	BÅT GP	300	169	22	9999-12-31	2013-05-08
6506/12-7	4629.000000	4675.000000	TOFTE FM	FORMATION	BÅT GP	300	170	22	9999-12-31	2013-05-08
6506/12-7	4042.000000	4396.000000	VIKING GP	GROUP	\N	300	188	\N	9999-12-31	2013-05-08
8/1-1	1347.000000	1378.000000	BALDER FM	FORMATION	ROGALAND GP	301	6	131	9999-12-31	2013-05-08
8/1-1	2379.000000	2606.000000	BOKNFJORD GP	GROUP	\N	301	15	\N	9999-12-31	2013-05-08
8/1-1	2666.000000	2680.000000	BRYNE FM	FORMATION	VESTLAND GP	301	19	186	9999-12-31	2013-05-08
8/1-1	1899.000000	2379.000000	CROMER KNOLL GP	GROUP	\N	301	23	\N	9999-12-31	2013-05-08
8/1-1	1535.000000	1556.000000	EKOFISK FM	FORMATION	SHETLAND GP	301	33	143	9999-12-31	2013-05-08
8/1-1	2379.000000	2425.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	301	43	15	9999-12-31	2013-05-08
8/1-1	2680.000000	2704.000000	GASSUM FM	FORMATION	\N	301	49	\N	9999-12-31	2013-05-08
8/1-1	1828.000000	1899.000000	HOD FM	FORMATION	SHETLAND GP	301	66	143	9999-12-31	2013-05-08
8/1-1	661.000000	1347.000000	HORDALAND GP	GROUP	\N	301	67	\N	9999-12-31	2013-05-08
8/1-1	1408.000000	1480.000000	LISTA FM	FORMATION	ROGALAND GP	301	95	131	9999-12-31	2013-05-08
8/1-1	98.000000	661.000000	NORDLAND GP	GROUP	\N	301	113	\N	9999-12-31	2013-05-08
8/1-1	1347.000000	1535.000000	ROGALAND GP	GROUP	\N	301	131	\N	9999-12-31	2013-05-08
8/1-1	1899.000000	1940.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	301	137	23	9999-12-31	2013-05-08
8/1-1	2606.000000	2666.000000	SANDNES FM	FORMATION	VESTLAND GP	301	139	186	9999-12-31	2013-05-08
8/1-1	2425.000000	2551.000000	SAUDA FM	FORMATION	BOKNFJORD GP	301	141	15	9999-12-31	2013-05-08
8/1-1	1378.000000	1408.000000	SELE FM	FORMATION	ROGALAND GP	301	142	131	9999-12-31	2013-05-08
8/1-1	1535.000000	1899.000000	SHETLAND GP	GROUP	\N	301	143	\N	9999-12-31	2013-05-08
8/1-1	2704.000000	2727.000000	SKAGERRAK FM	FORMATION	HEGRE GP	301	146	61	9999-12-31	2013-05-08
8/1-1	2727.000000	2873.000000	SMITH BANK FM	FORMATION	HEGRE GP	301	149	61	9999-12-31	2013-05-08
8/1-1	1940.000000	2015.000000	SOLA FM	FORMATION	CROMER KNOLL GP	301	152	23	9999-12-31	2013-05-08
8/1-1	2551.000000	2606.000000	TAU FM	FORMATION	BOKNFJORD GP	301	164	15	9999-12-31	2013-05-08
8/1-1	1556.000000	1828.000000	TOR FM	FORMATION	SHETLAND GP	301	171	143	9999-12-31	2013-05-08
8/1-1	2606.000000	2680.000000	VESTLAND GP	GROUP	\N	301	186	\N	9999-12-31	2013-05-08
8/1-1	1480.000000	1535.000000	VÅLE FM	FORMATION	ROGALAND GP	301	190	131	9999-12-31	2013-05-08
8/1-1	2873.000000	2971.000000	ZECHSTEIN GP	GROUP	\N	301	194	\N	9999-12-31	2013-05-08
8/1-1	2015.000000	2379.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	301	198	23	9999-12-31	2013-05-08
8/1-1	2680.000000	2704.000000	NO GROUP DEFINED	GROUP	\N	301	208	\N	9999-12-31	2013-05-08
8/1-1	2704.000000	2873.000000	NO GROUP DEFINED	GROUP	\N	301	208	\N	9999-12-31	2013-05-08
8/4-1	1452.000000	1485.000000	BALDER FM	FORMATION	ROGALAND GP	302	6	131	9999-12-31	2013-05-08
8/4-1	2351.000000	2397.000000	BOKNFJORD GP	GROUP	\N	302	15	\N	9999-12-31	2013-05-08
8/4-1	2397.000000	2513.000000	BRYNE FM	FORMATION	VESTLAND GP	302	19	186	9999-12-31	2013-05-08
8/4-1	2114.000000	2351.000000	CROMER KNOLL GP	GROUP	\N	302	23	\N	9999-12-31	2013-05-08
8/4-1	1605.000000	1664.000000	EKOFISK FM	FORMATION	SHETLAND GP	302	33	143	9999-12-31	2013-05-08
8/4-1	635.000000	1452.000000	HORDALAND GP	GROUP	\N	302	67	\N	9999-12-31	2013-05-08
8/4-1	1496.000000	1585.000000	LISTA FM	FORMATION	ROGALAND GP	302	95	131	9999-12-31	2013-05-08
8/4-1	1585.000000	1605.000000	MAUREEN FM	FORMATION	ROGALAND GP	302	102	131	9999-12-31	2013-05-08
8/4-1	88.000000	635.000000	NORDLAND GP	GROUP	\N	302	113	\N	9999-12-31	2013-05-08
8/4-1	1452.000000	1605.000000	ROGALAND GP	GROUP	\N	302	131	\N	9999-12-31	2013-05-08
8/4-1	1485.000000	1496.000000	SELE FM	FORMATION	ROGALAND GP	302	142	131	9999-12-31	2013-05-08
8/4-1	1605.000000	2114.000000	SHETLAND GP	GROUP	\N	302	143	\N	9999-12-31	2013-05-08
8/4-1	2513.000000	2582.000000	SKAGERRAK FM	FORMATION	HEGRE GP	302	146	61	9999-12-31	2013-05-08
8/4-1	2351.000000	2397.000000	TAU FM	FORMATION	BOKNFJORD GP	302	164	15	9999-12-31	2013-05-08
8/4-1	1664.000000	2114.000000	TOR FM	FORMATION	SHETLAND GP	302	171	143	9999-12-31	2013-05-08
8/4-1	2397.000000	2513.000000	VESTLAND GP	GROUP	\N	302	186	\N	9999-12-31	2013-05-08
8/4-1	2582.000000	2632.000000	ZECHSTEIN GP	GROUP	\N	302	194	\N	9999-12-31	2013-05-08
8/4-1	2513.000000	2582.000000	NO GROUP DEFINED	GROUP	\N	302	208	\N	9999-12-31	2013-05-08
8/9-1	1286.000000	1307.000000	BALDER FM	FORMATION	ROGALAND GP	303	6	131	9999-12-31	2013-05-08
8/9-1	2103.000000	2156.000000	BOKNFJORD GP	GROUP	\N	303	15	\N	9999-12-31	2013-05-08
8/9-1	2168.000000	2247.000000	BRYNE FM	FORMATION	VESTLAND GP	303	19	186	9999-12-31	2013-05-08
8/9-1	1938.000000	2103.000000	CROMER KNOLL GP	GROUP	\N	303	23	\N	9999-12-31	2013-05-08
8/9-1	1492.000000	1535.000000	EKOFISK FM	FORMATION	SHETLAND GP	303	33	143	9999-12-31	2013-05-08
8/9-1	1307.000000	1399.000000	FISKEBANK FM	FORMATION	ROGALAND GP	303	41	131	9999-12-31	2013-05-08
8/9-1	2103.000000	2123.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	303	43	15	9999-12-31	2013-05-08
8/9-1	1807.000000	1938.000000	HOD FM	FORMATION	SHETLAND GP	303	66	143	9999-12-31	2013-05-08
8/9-1	557.000000	1286.000000	HORDALAND GP	GROUP	\N	303	67	\N	9999-12-31	2013-05-08
8/9-1	1399.000000	1492.000000	LISTA FM	FORMATION	ROGALAND GP	303	95	131	9999-12-31	2013-05-08
8/9-1	93.000000	557.000000	NORDLAND GP	GROUP	\N	303	113	\N	9999-12-31	2013-05-08
8/9-1	1286.000000	1492.000000	ROGALAND GP	GROUP	\N	303	131	\N	9999-12-31	2013-05-08
8/9-1	1938.000000	1953.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	303	137	23	9999-12-31	2013-05-08
8/9-1	2156.000000	2168.000000	SANDNES FM	FORMATION	VESTLAND GP	303	139	186	9999-12-31	2013-05-08
8/9-1	2123.000000	2156.000000	SAUDA FM	FORMATION	BOKNFJORD GP	303	141	15	9999-12-31	2013-05-08
8/9-1	1492.000000	1938.000000	SHETLAND GP	GROUP	\N	303	143	\N	9999-12-31	2013-05-08
8/9-1	1953.000000	1980.000000	SOLA FM	FORMATION	CROMER KNOLL GP	303	152	23	9999-12-31	2013-05-08
8/9-1	1535.000000	1807.000000	TOR FM	FORMATION	SHETLAND GP	303	171	143	9999-12-31	2013-05-08
8/9-1	2156.000000	2247.000000	VESTLAND GP	GROUP	\N	303	186	\N	9999-12-31	2013-05-08
8/9-1	2247.000000	2376.000000	ZECHSTEIN GP	GROUP	\N	303	194	\N	9999-12-31	2013-05-08
8/9-1	1980.000000	2103.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	303	198	23	9999-12-31	2013-05-08
8/11-1	1968.000000	1979.000000	BALDER FM	FORMATION	ROGALAND GP	304	6	131	9999-12-31	2013-05-08
8/11-1	2509.000000	2512.000000	BLODØKS FM	FORMATION	SHETLAND GP	304	13	143	9999-12-31	2013-05-08
8/11-1	2807.000000	2835.000000	BOKNFJORD GP	GROUP	\N	304	15	\N	9999-12-31	2013-05-08
8/11-1	2528.000000	2807.000000	CROMER KNOLL GP	GROUP	\N	304	23	\N	9999-12-31	2013-05-08
8/11-1	2116.000000	2143.000000	EKOFISK FM	FORMATION	SHETLAND GP	304	33	143	9999-12-31	2013-05-08
8/11-1	2807.000000	2835.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	304	43	15	9999-12-31	2013-05-08
8/11-1	2512.000000	2528.000000	HIDRA FM	FORMATION	SHETLAND GP	304	65	143	9999-12-31	2013-05-08
8/11-1	2408.000000	2509.000000	HOD FM	FORMATION	SHETLAND GP	304	66	143	9999-12-31	2013-05-08
8/11-1	1038.000000	1968.000000	HORDALAND GP	GROUP	\N	304	67	\N	9999-12-31	2013-05-08
8/11-1	2059.000000	2088.000000	LISTA FM	FORMATION	ROGALAND GP	304	95	131	9999-12-31	2013-05-08
8/11-1	91.000000	1038.000000	NORDLAND GP	GROUP	\N	304	113	\N	9999-12-31	2013-05-08
8/11-1	1968.000000	2116.000000	ROGALAND GP	GROUP	\N	304	131	\N	9999-12-31	2013-05-08
8/11-1	2528.000000	2574.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	304	137	23	9999-12-31	2013-05-08
8/11-1	2835.000000	2871.000000	SANDNES FM	FORMATION	VESTLAND GP	304	139	186	9999-12-31	2013-05-08
8/11-1	1979.000000	2059.000000	SELE FM	FORMATION	ROGALAND GP	304	142	131	9999-12-31	2013-05-08
8/11-1	2116.000000	2528.000000	SHETLAND GP	GROUP	\N	304	143	\N	9999-12-31	2013-05-08
8/11-1	2871.000000	3182.000000	SKAGERRAK FM	FORMATION	HEGRE GP	304	146	61	9999-12-31	2013-05-08
8/11-1	3182.000000	3810.000000	SMITH BANK FM	FORMATION	HEGRE GP	304	149	61	9999-12-31	2013-05-08
8/11-1	2574.000000	2658.000000	SOLA FM	FORMATION	CROMER KNOLL GP	304	152	23	9999-12-31	2013-05-08
8/11-1	2143.000000	2408.000000	TOR FM	FORMATION	SHETLAND GP	304	171	143	9999-12-31	2013-05-08
8/11-1	2835.000000	2871.000000	VESTLAND GP	GROUP	\N	304	186	\N	9999-12-31	2013-05-08
8/11-1	2088.000000	2116.000000	VÅLE FM	FORMATION	ROGALAND GP	304	190	131	9999-12-31	2013-05-08
8/11-1	2658.000000	2807.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	304	198	23	9999-12-31	2013-05-08
8/11-1	2871.000000	3810.000000	NO GROUP DEFINED	GROUP	\N	304	208	\N	9999-12-31	2013-05-08
9/4-4	1065.000000	1086.000000	BALDER FM	FORMATION	ROGALAND GP	305	6	131	9999-12-31	2013-05-08
9/4-4	1825.000000	1840.000000	BLODØKS FM	FORMATION	SHETLAND GP	305	13	143	9999-12-31	2013-05-08
9/4-4	2310.000000	2718.000000	BOKNFJORD GP	GROUP	\N	305	15	\N	9999-12-31	2013-05-08
9/4-4	2814.000000	2845.000000	BRYNE FM	FORMATION	VESTLAND GP	305	19	186	9999-12-31	2013-05-08
9/4-4	1853.000000	2310.000000	CROMER KNOLL GP	GROUP	\N	305	23	\N	9999-12-31	2013-05-08
9/4-4	2668.000000	2718.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	305	30	15	9999-12-31	2013-05-08
9/4-4	1260.000000	1302.000000	EKOFISK FM	FORMATION	SHETLAND GP	305	33	143	9999-12-31	2013-05-08
9/4-4	2310.000000	2395.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	305	43	15	9999-12-31	2013-05-08
9/4-4	1840.000000	1853.000000	HIDRA FM	FORMATION	SHETLAND GP	305	65	143	9999-12-31	2013-05-08
9/4-4	1650.000000	1825.000000	HOD FM	FORMATION	SHETLAND GP	305	66	143	9999-12-31	2013-05-08
9/4-4	550.000000	1065.000000	HORDALAND GP	GROUP	\N	305	67	\N	9999-12-31	2013-05-08
9/4-4	1130.000000	1243.000000	LISTA FM	FORMATION	ROGALAND GP	305	95	131	9999-12-31	2013-05-08
9/4-4	103.000000	550.000000	NORDLAND GP	GROUP	\N	305	113	\N	9999-12-31	2013-05-08
9/4-4	1065.000000	1260.000000	ROGALAND GP	GROUP	\N	305	131	\N	9999-12-31	2013-05-08
9/4-4	1853.000000	1888.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	305	137	23	9999-12-31	2013-05-08
9/4-4	2718.000000	2814.000000	SANDNES FM	FORMATION	VESTLAND GP	305	139	186	9999-12-31	2013-05-08
9/4-4	2395.000000	2598.000000	SAUDA FM	FORMATION	BOKNFJORD GP	305	141	15	9999-12-31	2013-05-08
9/4-4	1086.000000	1130.000000	SELE FM	FORMATION	ROGALAND GP	305	142	131	9999-12-31	2013-05-08
9/4-4	1260.000000	1853.000000	SHETLAND GP	GROUP	\N	305	143	\N	9999-12-31	2013-05-08
9/4-4	2845.000000	2902.000000	SKAGERRAK FM	FORMATION	HEGRE GP	305	146	61	9999-12-31	2013-05-08
9/4-4	1888.000000	2016.000000	SOLA FM	FORMATION	CROMER KNOLL GP	305	152	23	9999-12-31	2013-05-08
9/4-4	2598.000000	2668.000000	TAU FM	FORMATION	BOKNFJORD GP	305	164	15	9999-12-31	2013-05-08
9/4-4	1302.000000	1650.000000	TOR FM	FORMATION	SHETLAND GP	305	171	143	9999-12-31	2013-05-08
9/4-4	2718.000000	2845.000000	VESTLAND GP	GROUP	\N	305	186	\N	9999-12-31	2013-05-08
9/4-4	1243.000000	1260.000000	VÅLE FM	FORMATION	ROGALAND GP	305	190	131	9999-12-31	2013-05-08
9/4-4	2016.000000	2310.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	305	198	23	9999-12-31	2013-05-08
9/4-4	2845.000000	2902.000000	NO GROUP DEFINED	GROUP	\N	305	208	\N	9999-12-31	2013-05-08
10/5-1	270.000000	290.000000	BALDER FM	FORMATION	ROGALAND GP	306	6	131	9999-12-31	2013-05-08
10/5-1	1818.000000	1843.000000	BASEMENT	GROUP	\N	306	10	\N	9999-12-31	2013-05-08
10/5-1	1025.000000	1040.000000	BLODØKS FM	FORMATION	SHETLAND GP	306	13	143	9999-12-31	2013-05-08
10/5-1	1275.000000	1472.000000	BOKNFJORD GP	GROUP	\N	306	15	\N	9999-12-31	2013-05-08
10/5-1	1490.000000	1524.000000	BRYNE FM	FORMATION	VESTLAND GP	306	19	186	9999-12-31	2013-05-08
10/5-1	1396.000000	1472.000000	BØRGLUM UNIT	FORMATION	BOKNFJORD GP	306	21	15	9999-12-31	2013-05-08
10/5-1	1046.000000	1275.000000	CROMER KNOLL GP	GROUP	\N	306	23	\N	9999-12-31	2013-05-08
10/5-1	335.000000	428.000000	EKOFISK FM	FORMATION	SHETLAND GP	306	33	143	9999-12-31	2013-05-08
10/5-1	1275.000000	1335.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	306	43	15	9999-12-31	2013-05-08
10/5-1	1524.000000	1539.000000	GASSUM FM	FORMATION	\N	306	49	\N	9999-12-31	2013-05-08
10/5-1	1040.000000	1046.000000	HIDRA FM	FORMATION	SHETLAND GP	306	65	143	9999-12-31	2013-05-08
10/5-1	535.000000	1025.000000	HOD FM	FORMATION	SHETLAND GP	306	66	143	9999-12-31	2013-05-08
10/5-1	190.000000	270.000000	HORDALAND GP	GROUP	\N	306	67	\N	9999-12-31	2013-05-08
10/5-1	290.000000	327.000000	LISTA FM	FORMATION	ROGALAND GP	306	95	131	9999-12-31	2013-05-08
10/5-1	122.000000	190.000000	NORDLAND GP	GROUP	\N	306	113	\N	9999-12-31	2013-05-08
10/5-1	270.000000	335.000000	ROGALAND GP	GROUP	\N	306	131	\N	9999-12-31	2013-05-08
10/5-1	1046.000000	1093.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	306	137	23	9999-12-31	2013-05-08
10/5-1	1472.000000	1490.000000	SANDNES FM	FORMATION	VESTLAND GP	306	139	186	9999-12-31	2013-05-08
10/5-1	1335.000000	1396.000000	SAUDA FM	FORMATION	BOKNFJORD GP	306	141	15	9999-12-31	2013-05-08
10/5-1	335.000000	1046.000000	SHETLAND GP	GROUP	\N	306	143	\N	9999-12-31	2013-05-08
10/5-1	1539.000000	1561.000000	SKAGERRAK FM	FORMATION	HEGRE GP	306	146	61	9999-12-31	2013-05-08
10/5-1	1561.000000	1597.000000	SMITH BANK FM	FORMATION	HEGRE GP	306	149	61	9999-12-31	2013-05-08
10/5-1	1093.000000	1139.000000	SOLA FM	FORMATION	CROMER KNOLL GP	306	152	23	9999-12-31	2013-05-08
10/5-1	428.000000	535.000000	TOR FM	FORMATION	SHETLAND GP	306	171	143	9999-12-31	2013-05-08
10/5-1	1472.000000	1524.000000	VESTLAND GP	GROUP	\N	306	186	\N	9999-12-31	2013-05-08
10/5-1	327.000000	335.000000	VÅLE FM	FORMATION	ROGALAND GP	306	190	131	9999-12-31	2013-05-08
10/5-1	1597.000000	1818.000000	ZECHSTEIN GP	GROUP	\N	306	194	\N	9999-12-31	2013-05-08
10/5-1	1139.000000	1275.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	306	198	23	9999-12-31	2013-05-08
10/5-1	1524.000000	1539.000000	NO GROUP DEFINED	GROUP	\N	306	208	\N	9999-12-31	2013-05-08
10/5-1	1539.000000	1597.000000	NO GROUP DEFINED	GROUP	\N	306	208	\N	9999-12-31	2013-05-08
11/9-1	145.000000	644.000000	SKAGERRAK FM	FORMATION	HEGRE GP	307	146	61	9999-12-31	2013-05-08
11/9-1	644.000000	1930.000000	SMITH BANK FM	FORMATION	HEGRE GP	307	149	61	9999-12-31	2013-05-08
11/9-1	1930.000000	1972.000000	ZECHSTEIN GP	GROUP	\N	307	194	\N	9999-12-31	2013-05-08
11/9-1	98.000000	145.000000	NO DATA	GROUP	\N	307	200	\N	9999-12-31	2013-05-08
11/9-1	145.000000	1930.000000	NO GROUP DEFINED	GROUP	\N	307	208	\N	9999-12-31	2013-05-08
15/2-1	2058.000000	2103.000000	BALDER FM	FORMATION	ROGALAND GP	308	6	131	9999-12-31	2013-05-08
15/2-1	2118.000000	2148.000000	BALDER FM	FORMATION	ROGALAND GP	308	6	131	9999-12-31	2013-05-08
15/2-1	2103.000000	2118.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	308	7	131	9999-12-31	2013-05-08
15/2-1	3506.000000	3551.000000	BLODØKS FM	FORMATION	SHETLAND GP	308	13	143	9999-12-31	2013-05-08
15/2-1	3668.000000	3878.000000	CROMER KNOLL GP	GROUP	\N	308	23	\N	9999-12-31	2013-05-08
15/2-1	3878.000000	4211.000000	DRAUPNE FM	FORMATION	VIKING GP	308	28	188	9999-12-31	2013-05-08
15/2-1	2655.000000	2731.000000	EKOFISK FM	FORMATION	SHETLAND GP	308	33	143	9999-12-31	2013-05-08
15/2-1	1428.000000	1824.000000	GRID FM	FORMATION	HORDALAND GP	308	53	67	9999-12-31	2013-05-08
15/2-1	4211.000000	4356.000000	HEATHER FM	FORMATION	VIKING GP	308	60	188	9999-12-31	2013-05-08
15/2-1	2236.000000	2494.000000	HEIMDAL FM	FORMATION	ROGALAND GP	308	62	131	9999-12-31	2013-05-08
15/2-1	3551.000000	3668.000000	HIDRA FM	FORMATION	SHETLAND GP	308	65	143	9999-12-31	2013-05-08
15/2-1	2920.000000	3506.000000	HOD FM	FORMATION	SHETLAND GP	308	66	143	9999-12-31	2013-05-08
15/2-1	842.000000	2058.000000	HORDALAND GP	GROUP	\N	308	67	\N	9999-12-31	2013-05-08
15/2-1	4356.000000	4393.000000	HUGIN FM	FORMATION	VESTLAND GP	308	69	186	9999-12-31	2013-05-08
15/2-1	2178.000000	2236.000000	LISTA FM	FORMATION	ROGALAND GP	308	95	131	9999-12-31	2013-05-08
15/2-1	2494.000000	2572.000000	LISTA FM	FORMATION	ROGALAND GP	308	95	131	9999-12-31	2013-05-08
15/2-1	1199.000000	1428.000000	NO FORMAL NAME	FORMATION	\N	308	111	\N	9999-12-31	2013-05-08
15/2-1	1824.000000	2058.000000	NO FORMAL NAME	FORMATION	\N	308	111	\N	9999-12-31	2013-05-08
15/2-1	134.000000	842.000000	NORDLAND GP	GROUP	\N	308	113	\N	9999-12-31	2013-05-08
15/2-1	2058.000000	2655.000000	ROGALAND GP	GROUP	\N	308	131	\N	9999-12-31	2013-05-08
15/2-1	3668.000000	3733.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	308	137	23	9999-12-31	2013-05-08
15/2-1	2148.000000	2178.000000	SELE FM	FORMATION	ROGALAND GP	308	142	131	9999-12-31	2013-05-08
15/2-1	2655.000000	3668.000000	SHETLAND GP	GROUP	\N	308	143	\N	9999-12-31	2013-05-08
15/2-1	1150.000000	1199.000000	SKADE FM	FORMATION	HORDALAND GP	308	145	67	9999-12-31	2013-05-08
15/2-1	4393.000000	4555.000000	SLEIPNER FM	FORMATION	VESTLAND GP	308	148	186	9999-12-31	2013-05-08
15/2-1	3733.000000	3805.000000	SOLA FM	FORMATION	CROMER KNOLL GP	308	152	23	9999-12-31	2013-05-08
15/2-1	2731.000000	2920.000000	TOR FM	FORMATION	SHETLAND GP	308	171	143	9999-12-31	2013-05-08
15/2-1	2572.000000	2640.000000	TY FM	FORMATION	ROGALAND GP	308	176	131	9999-12-31	2013-05-08
15/2-1	706.000000	842.000000	UTSIRA FM	FORMATION	NORDLAND GP	308	183	113	9999-12-31	2013-05-08
15/2-1	4356.000000	4555.000000	VESTLAND GP	GROUP	\N	308	186	\N	9999-12-31	2013-05-08
15/2-1	3878.000000	4356.000000	VIKING GP	GROUP	\N	308	188	\N	9999-12-31	2013-05-08
15/2-1	2640.000000	2655.000000	VÅLE FM	FORMATION	ROGALAND GP	308	190	131	9999-12-31	2013-05-08
15/2-1	4555.000000	4600.000000	ZECHSTEIN GP	GROUP	\N	308	194	\N	9999-12-31	2013-05-08
15/2-1	3805.000000	3878.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	308	198	23	9999-12-31	2013-05-08
15/3-2	2082.000000	2142.000000	BALDER FM	FORMATION	ROGALAND GP	310	6	131	9999-12-31	2013-05-08
15/3-2	3913.000000	4236.000000	CROMER KNOLL GP	GROUP	\N	310	23	\N	9999-12-31	2013-05-08
15/3-2	4236.000000	4258.000000	DRAUPNE FM	FORMATION	VIKING GP	310	28	188	9999-12-31	2013-05-08
15/3-2	1402.000000	1617.000000	GRID FM	FORMATION	HORDALAND GP	310	53	67	9999-12-31	2013-05-08
15/3-2	1752.000000	1775.000000	GRID FM	FORMATION	HORDALAND GP	310	53	67	9999-12-31	2013-05-08
15/3-2	2182.000000	2338.000000	HEIMDAL FM	FORMATION	ROGALAND GP	310	62	131	9999-12-31	2013-05-08
15/3-2	670.000000	2082.000000	HORDALAND GP	GROUP	\N	310	67	\N	9999-12-31	2013-05-08
15/3-2	2338.000000	2437.000000	LISTA FM	FORMATION	ROGALAND GP	310	95	131	9999-12-31	2013-05-08
15/3-2	643.000000	670.000000	NO FORMAL NAME	FORMATION	\N	310	111	\N	9999-12-31	2013-05-08
15/3-2	979.000000	1122.000000	NO FORMAL NAME	FORMATION	\N	310	111	\N	9999-12-31	2013-05-08
15/3-2	1122.000000	1151.000000	NO FORMAL NAME	FORMATION	\N	310	111	\N	9999-12-31	2013-05-08
15/3-2	1151.000000	1402.000000	NO FORMAL NAME	FORMATION	\N	310	111	\N	9999-12-31	2013-05-08
15/3-2	1617.000000	1752.000000	NO FORMAL NAME	FORMATION	\N	310	111	\N	9999-12-31	2013-05-08
15/3-2	1775.000000	2082.000000	NO FORMAL NAME	FORMATION	\N	310	111	\N	9999-12-31	2013-05-08
15/3-2	135.000000	670.000000	NORDLAND GP	GROUP	\N	310	113	\N	9999-12-31	2013-05-08
15/3-2	2082.000000	2688.000000	ROGALAND GP	GROUP	\N	310	131	\N	9999-12-31	2013-05-08
15/3-2	2142.000000	2182.000000	SELE FM	FORMATION	ROGALAND GP	310	142	131	9999-12-31	2013-05-08
15/3-2	2688.000000	3913.000000	SHETLAND GP	GROUP	\N	310	143	\N	9999-12-31	2013-05-08
15/3-2	925.000000	979.000000	SKADE FM	FORMATION	HORDALAND GP	310	145	67	9999-12-31	2013-05-08
15/3-2	2437.000000	2648.000000	TY FM	FORMATION	ROGALAND GP	310	176	131	9999-12-31	2013-05-08
15/3-2	579.000000	643.000000	UTSIRA FM	FORMATION	NORDLAND GP	310	183	113	9999-12-31	2013-05-08
15/3-2	4236.000000	4258.000000	VIKING GP	GROUP	\N	310	188	\N	9999-12-31	2013-05-08
15/3-2	2648.000000	2688.000000	VÅLE FM	FORMATION	ROGALAND GP	310	190	131	9999-12-31	2013-05-08
15/3-2 R	2082.000000	2142.000000	BALDER FM	FORMATION	ROGALAND GP	311	6	131	9999-12-31	2013-05-08
15/3-2 R	3913.000000	4236.000000	CROMER KNOLL GP	GROUP	\N	311	23	\N	9999-12-31	2013-05-08
15/3-2 R	4236.000000	4352.000000	DRAUPNE FM	FORMATION	VIKING GP	311	28	188	9999-12-31	2013-05-08
15/3-2 R	1402.000000	1617.000000	GRID FM	FORMATION	HORDALAND GP	311	53	67	9999-12-31	2013-05-08
15/3-2 R	1752.000000	1775.000000	GRID FM	FORMATION	HORDALAND GP	311	53	67	9999-12-31	2013-05-08
15/3-2 R	4400.000000	4512.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	311	59	188	9999-12-31	2013-05-08
15/3-2 R	4551.000000	4615.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	311	59	188	9999-12-31	2013-05-08
15/3-2 R	4644.000000	4651.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	311	59	188	9999-12-31	2013-05-08
15/3-2 R	4677.000000	4696.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	311	59	188	9999-12-31	2013-05-08
15/3-2 R	4352.000000	4400.000000	HEATHER FM	FORMATION	VIKING GP	311	60	188	9999-12-31	2013-05-08
15/3-2 R	4512.000000	4551.000000	HEATHER FM	FORMATION	VIKING GP	311	60	188	9999-12-31	2013-05-08
15/3-2 R	4615.000000	4644.000000	HEATHER FM	FORMATION	VIKING GP	311	60	188	9999-12-31	2013-05-08
15/3-2 R	4651.000000	4677.000000	HEATHER FM	FORMATION	VIKING GP	311	60	188	9999-12-31	2013-05-08
15/3-2 R	4696.000000	4990.000000	HEATHER FM	FORMATION	VIKING GP	311	60	188	9999-12-31	2013-05-08
15/3-2 R	2182.000000	2338.000000	HEIMDAL FM	FORMATION	ROGALAND GP	311	62	131	9999-12-31	2013-05-08
15/3-2 R	670.000000	2082.000000	HORDALAND GP	GROUP	\N	311	67	\N	9999-12-31	2013-05-08
15/3-2 R	2338.000000	2437.000000	LISTA FM	FORMATION	ROGALAND GP	311	95	131	9999-12-31	2013-05-08
15/3-2 R	643.000000	670.000000	NO FORMAL NAME	FORMATION	\N	311	111	\N	9999-12-31	2013-05-08
15/3-2 R	979.000000	1122.000000	NO FORMAL NAME	FORMATION	\N	311	111	\N	9999-12-31	2013-05-08
15/3-2 R	1122.000000	1151.000000	NO FORMAL NAME	FORMATION	\N	311	111	\N	9999-12-31	2013-05-08
15/3-2 R	1151.000000	1402.000000	NO FORMAL NAME	FORMATION	\N	311	111	\N	9999-12-31	2013-05-08
15/3-2 R	1617.000000	1752.000000	NO FORMAL NAME	FORMATION	\N	311	111	\N	9999-12-31	2013-05-08
15/3-2 R	1775.000000	2082.000000	NO FORMAL NAME	FORMATION	\N	311	111	\N	9999-12-31	2013-05-08
15/3-2 R	135.000000	670.000000	NORDLAND GP	GROUP	\N	311	113	\N	9999-12-31	2013-05-08
15/3-2 R	2082.000000	2688.000000	ROGALAND GP	GROUP	\N	311	131	\N	9999-12-31	2013-05-08
15/3-2 R	2142.000000	2182.000000	SELE FM	FORMATION	ROGALAND GP	311	142	131	9999-12-31	2013-05-08
15/3-2 R	2688.000000	3913.000000	SHETLAND GP	GROUP	\N	311	143	\N	9999-12-31	2013-05-08
15/3-2 R	925.000000	979.000000	SKADE FM	FORMATION	HORDALAND GP	311	145	67	9999-12-31	2013-05-08
15/3-2 R	2437.000000	2648.000000	TY FM	FORMATION	ROGALAND GP	311	176	131	9999-12-31	2013-05-08
15/3-2 R	579.000000	643.000000	UTSIRA FM	FORMATION	NORDLAND GP	311	183	113	9999-12-31	2013-05-08
15/3-2 R	4236.000000	4990.000000	VIKING GP	GROUP	\N	311	188	\N	9999-12-31	2013-05-08
15/3-2 R	2648.000000	2688.000000	VÅLE FM	FORMATION	ROGALAND GP	311	190	131	9999-12-31	2013-05-08
15/8-1	2365.000000	2418.000000	BALDER FM	FORMATION	ROGALAND GP	321	6	131	9999-12-31	2013-05-08
15/8-1	3237.000000	3335.000000	BLODØKS FM	FORMATION	SHETLAND GP	321	13	143	9999-12-31	2013-05-08
15/8-1	3436.000000	3535.000000	CROMER KNOLL GP	GROUP	\N	321	23	\N	9999-12-31	2013-05-08
15/8-1	3535.000000	3605.000000	DRAUPNE FM	FORMATION	VIKING GP	321	28	188	9999-12-31	2013-05-08
15/8-1	2830.000000	2841.000000	EKOFISK FM	FORMATION	SHETLAND GP	321	33	143	9999-12-31	2013-05-08
15/8-1	1926.000000	2225.000000	GRID FM	FORMATION	HORDALAND GP	321	53	67	9999-12-31	2013-05-08
15/8-1	3605.000000	3643.000000	HEATHER FM	FORMATION	VIKING GP	321	60	188	9999-12-31	2013-05-08
15/8-1	2510.000000	2675.000000	HEIMDAL FM	FORMATION	ROGALAND GP	321	62	131	9999-12-31	2013-05-08
15/8-1	2998.000000	3237.000000	HOD FM	FORMATION	SHETLAND GP	321	66	143	9999-12-31	2013-05-08
15/8-1	1359.000000	2365.000000	HORDALAND GP	GROUP	\N	321	67	\N	9999-12-31	2013-05-08
15/8-1	3643.000000	3945.000000	HUGIN FM	FORMATION	VESTLAND GP	321	69	186	9999-12-31	2013-05-08
15/8-1	2463.000000	2510.000000	LISTA FM	FORMATION	ROGALAND GP	321	95	131	9999-12-31	2013-05-08
15/8-1	2675.000000	2727.000000	LISTA FM	FORMATION	ROGALAND GP	321	95	131	9999-12-31	2013-05-08
15/8-1	2727.000000	2825.000000	MAUREEN FM	FORMATION	ROGALAND GP	321	102	131	9999-12-31	2013-05-08
15/8-1	1088.000000	1359.000000	NO FORMAL NAME	FORMATION	\N	321	111	\N	9999-12-31	2013-05-08
15/8-1	2225.000000	2365.000000	NO FORMAL NAME	FORMATION	\N	321	111	\N	9999-12-31	2013-05-08
15/8-1	137.000000	1359.000000	NORDLAND GP	GROUP	\N	321	113	\N	9999-12-31	2013-05-08
15/8-1	2365.000000	2830.000000	ROGALAND GP	GROUP	\N	321	131	\N	9999-12-31	2013-05-08
15/8-1	3436.000000	3445.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	321	137	23	9999-12-31	2013-05-08
15/8-1	2418.000000	2463.000000	SELE FM	FORMATION	ROGALAND GP	321	142	131	9999-12-31	2013-05-08
15/8-1	2830.000000	3436.000000	SHETLAND GP	GROUP	\N	321	143	\N	9999-12-31	2013-05-08
15/8-1	3945.000000	4162.000000	SLEIPNER FM	FORMATION	VESTLAND GP	321	148	186	9999-12-31	2013-05-08
15/8-1	3445.000000	3452.000000	SOLA FM	FORMATION	CROMER KNOLL GP	321	152	23	9999-12-31	2013-05-08
15/8-1	3335.000000	3436.000000	SVARTE FM	FORMATION	SHETLAND GP	321	160	143	9999-12-31	2013-05-08
15/8-1	2841.000000	2998.000000	TOR FM	FORMATION	SHETLAND GP	321	171	143	9999-12-31	2013-05-08
15/8-1	879.000000	1088.000000	UTSIRA FM	FORMATION	NORDLAND GP	321	183	113	9999-12-31	2013-05-08
15/8-1	3643.000000	4162.000000	VESTLAND GP	GROUP	\N	321	186	\N	9999-12-31	2013-05-08
15/8-1	3535.000000	3643.000000	VIKING GP	GROUP	\N	321	188	\N	9999-12-31	2013-05-08
15/8-1	2825.000000	2830.000000	VÅLE FM	FORMATION	ROGALAND GP	321	190	131	9999-12-31	2013-05-08
15/8-1	3452.000000	3535.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	321	198	23	9999-12-31	2013-05-08
15/8-1	4162.000000	4300.000000	FLADEN GP	GROUP	\N	321	205	\N	9999-12-31	2013-05-08
15/8-1	4162.000000	4300.000000	RATTRAY FM	FORMATION	FLADEN GP	321	206	205	9999-12-31	2013-05-08
15/9-1	2227.000000	2290.000000	BALDER FM	FORMATION	ROGALAND GP	322	6	131	9999-12-31	2013-05-08
15/9-1	3006.000000	3140.000000	BLODØKS FM	FORMATION	SHETLAND GP	322	13	143	9999-12-31	2013-05-08
15/9-1	3300.000000	3377.000000	CROMER KNOLL GP	GROUP	\N	322	23	\N	9999-12-31	2013-05-08
15/9-1	3377.000000	3485.000000	DRAUPNE FM	FORMATION	VIKING GP	322	28	188	9999-12-31	2013-05-08
15/9-1	2743.000000	2783.000000	EKOFISK FM	FORMATION	SHETLAND GP	322	33	143	9999-12-31	2013-05-08
15/9-1	1808.000000	2131.000000	GRID FM	FORMATION	HORDALAND GP	322	53	67	9999-12-31	2013-05-08
15/9-1	3485.000000	3530.000000	HEATHER FM	FORMATION	VIKING GP	322	60	188	9999-12-31	2013-05-08
15/9-1	2391.000000	2611.000000	HEIMDAL FM	FORMATION	ROGALAND GP	322	62	131	9999-12-31	2013-05-08
15/9-1	2955.000000	3006.000000	HOD FM	FORMATION	SHETLAND GP	322	66	143	9999-12-31	2013-05-08
15/9-1	1065.000000	2227.000000	HORDALAND GP	GROUP	\N	322	67	\N	9999-12-31	2013-05-08
15/9-1	3530.000000	3616.000000	HUGIN FM	FORMATION	VESTLAND GP	322	69	186	9999-12-31	2013-05-08
15/9-1	2357.000000	2391.000000	LISTA FM	FORMATION	ROGALAND GP	322	95	131	9999-12-31	2013-05-08
15/9-1	2611.000000	2625.000000	LISTA FM	FORMATION	ROGALAND GP	322	95	131	9999-12-31	2013-05-08
15/9-1	1400.000000	1808.000000	NO FORMAL NAME	FORMATION	\N	322	111	\N	9999-12-31	2013-05-08
15/9-1	2131.000000	2227.000000	NO FORMAL NAME	FORMATION	\N	322	111	\N	9999-12-31	2013-05-08
15/9-1	131.000000	1065.000000	NORDLAND GP	GROUP	\N	322	113	\N	9999-12-31	2013-05-08
15/9-1	2227.000000	2743.000000	ROGALAND GP	GROUP	\N	322	131	\N	9999-12-31	2013-05-08
15/9-1	3300.000000	3327.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	322	137	23	9999-12-31	2013-05-08
15/9-1	2290.000000	2357.000000	SELE FM	FORMATION	ROGALAND GP	322	142	131	9999-12-31	2013-05-08
15/9-1	2743.000000	3300.000000	SHETLAND GP	GROUP	\N	322	143	\N	9999-12-31	2013-05-08
15/9-1	1353.000000	1400.000000	SKADE FM	FORMATION	HORDALAND GP	322	145	67	9999-12-31	2013-05-08
15/9-1	3701.000000	3734.000000	SKAGERRAK FM	FORMATION	HEGRE GP	322	146	61	9999-12-31	2013-05-08
15/9-1	3616.000000	3701.000000	SLEIPNER FM	FORMATION	VESTLAND GP	322	148	186	9999-12-31	2013-05-08
15/9-1	3327.000000	3345.000000	SOLA FM	FORMATION	CROMER KNOLL GP	322	152	23	9999-12-31	2013-05-08
15/9-1	3140.000000	3300.000000	SVARTE FM	FORMATION	SHETLAND GP	322	160	143	9999-12-31	2013-05-08
15/9-1	2783.000000	2955.000000	TOR FM	FORMATION	SHETLAND GP	322	171	143	9999-12-31	2013-05-08
15/9-1	2625.000000	2732.000000	TY FM	FORMATION	ROGALAND GP	322	176	131	9999-12-31	2013-05-08
15/9-1	824.000000	1065.000000	UTSIRA FM	FORMATION	NORDLAND GP	322	183	113	9999-12-31	2013-05-08
15/9-1	3530.000000	3701.000000	VESTLAND GP	GROUP	\N	322	186	\N	9999-12-31	2013-05-08
15/9-1	3377.000000	3530.000000	VIKING GP	GROUP	\N	322	188	\N	9999-12-31	2013-05-08
15/9-1	2732.000000	2743.000000	VÅLE FM	FORMATION	ROGALAND GP	322	190	131	9999-12-31	2013-05-08
15/9-1	3345.000000	3377.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	322	198	23	9999-12-31	2013-05-08
15/9-1	3701.000000	3734.000000	NO GROUP DEFINED	GROUP	\N	322	208	\N	9999-12-31	2013-05-08
15/9-11	2181.000000	2304.000000	BALDER FM	FORMATION	ROGALAND GP	329	6	131	9999-12-31	2013-05-08
15/9-11	2674.000000	2700.000000	BLODØKS FM	FORMATION	SHETLAND GP	329	13	143	9999-12-31	2013-05-08
15/9-11	2705.000000	2752.000000	CROMER KNOLL GP	GROUP	\N	329	23	\N	9999-12-31	2013-05-08
15/9-11	2752.000000	2766.000000	DRAUPNE FM	FORMATION	VIKING GP	329	28	188	9999-12-31	2013-05-08
15/9-11	2530.000000	2557.000000	EKOFISK FM	FORMATION	SHETLAND GP	329	33	143	9999-12-31	2013-05-08
15/9-11	2766.000000	2795.000000	HEATHER FM	FORMATION	VIKING GP	329	60	188	9999-12-31	2013-05-08
15/9-11	2387.000000	2530.000000	HEIMDAL FM	FORMATION	ROGALAND GP	329	62	131	9999-12-31	2013-05-08
15/9-11	2700.000000	2705.000000	HIDRA FM	FORMATION	SHETLAND GP	329	65	143	9999-12-31	2013-05-08
15/9-11	1311.000000	2181.000000	HORDALAND GP	GROUP	\N	329	67	\N	9999-12-31	2013-05-08
15/9-11	2795.000000	2830.000000	HUGIN FM	FORMATION	VESTLAND GP	329	69	186	9999-12-31	2013-05-08
15/9-11	2557.000000	2624.000000	JORSALFARE FM	FORMATION	SHETLAND GP	329	74	143	9999-12-31	2013-05-08
15/9-11	2624.000000	2674.000000	KYRRE FM	FORMATION	SHETLAND GP	329	92	143	9999-12-31	2013-05-08
15/9-11	2304.000000	2387.000000	LISTA FM	FORMATION	ROGALAND GP	329	95	131	9999-12-31	2013-05-08
15/9-11	113.000000	1311.000000	NORDLAND GP	GROUP	\N	329	113	\N	9999-12-31	2013-05-08
15/9-11	2181.000000	2530.000000	ROGALAND GP	GROUP	\N	329	131	\N	9999-12-31	2013-05-08
15/9-11	2705.000000	2718.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	329	137	23	9999-12-31	2013-05-08
15/9-11	2530.000000	2705.000000	SHETLAND GP	GROUP	\N	329	143	\N	9999-12-31	2013-05-08
15/9-11	2830.000000	2950.000000	SMITH BANK FM	FORMATION	HEGRE GP	329	149	61	9999-12-31	2013-05-08
15/9-11	2718.000000	2725.000000	SOLA FM	FORMATION	CROMER KNOLL GP	329	152	23	9999-12-31	2013-05-08
15/9-11	823.000000	1311.000000	UTSIRA FM	FORMATION	NORDLAND GP	329	183	113	9999-12-31	2013-05-08
15/9-11	2795.000000	2950.000000	VESTLAND GP	GROUP	\N	329	186	\N	9999-12-31	2013-05-08
15/9-11	2752.000000	2795.000000	VIKING GP	GROUP	\N	329	188	\N	9999-12-31	2013-05-08
15/9-11	2725.000000	2752.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	329	198	23	9999-12-31	2013-05-08
15/12-2	1963.000000	2045.000000	BALDER FM	FORMATION	ROGALAND GP	331	6	131	9999-12-31	2013-05-08
15/12-2	2525.000000	2542.000000	BLODØKS FM	FORMATION	SHETLAND GP	331	13	143	9999-12-31	2013-05-08
15/12-2	2650.000000	2703.000000	CROMER KNOLL GP	GROUP	\N	331	23	\N	9999-12-31	2013-05-08
15/12-2	2703.000000	2765.000000	DRAUPNE FM	FORMATION	VIKING GP	331	28	188	9999-12-31	2013-05-08
15/12-2	2234.000000	2268.000000	EKOFISK FM	FORMATION	SHETLAND GP	331	33	143	9999-12-31	2013-05-08
15/12-2	2765.000000	2818.000000	HEATHER FM	FORMATION	VIKING GP	331	60	188	9999-12-31	2013-05-08
15/12-2	2425.000000	2525.000000	HOD FM	FORMATION	SHETLAND GP	331	66	143	9999-12-31	2013-05-08
15/12-2	1038.000000	1963.000000	HORDALAND GP	GROUP	\N	331	67	\N	9999-12-31	2013-05-08
15/12-2	2818.000000	2868.000000	HUGIN FM	FORMATION	VESTLAND GP	331	69	186	9999-12-31	2013-05-08
15/12-2	2075.000000	2224.000000	LISTA FM	FORMATION	ROGALAND GP	331	95	131	9999-12-31	2013-05-08
15/12-2	111.000000	1038.000000	NORDLAND GP	GROUP	\N	331	113	\N	9999-12-31	2013-05-08
15/12-2	1963.000000	2234.000000	ROGALAND GP	GROUP	\N	331	131	\N	9999-12-31	2013-05-08
15/12-2	2045.000000	2075.000000	SELE FM	FORMATION	ROGALAND GP	331	142	131	9999-12-31	2013-05-08
15/12-2	2234.000000	2650.000000	SHETLAND GP	GROUP	\N	331	143	\N	9999-12-31	2013-05-08
15/12-2	2868.000000	2888.000000	SMITH BANK FM	FORMATION	HEGRE GP	331	149	61	9999-12-31	2013-05-08
15/12-2	2650.000000	2667.000000	SOLA FM	FORMATION	CROMER KNOLL GP	331	152	23	9999-12-31	2013-05-08
15/12-2	2542.000000	2650.000000	SVARTE FM	FORMATION	SHETLAND GP	331	160	143	9999-12-31	2013-05-08
15/12-2	2268.000000	2425.000000	TOR FM	FORMATION	SHETLAND GP	331	171	143	9999-12-31	2013-05-08
15/12-2	981.000000	1038.000000	UTSIRA FM	FORMATION	NORDLAND GP	331	183	113	9999-12-31	2013-05-08
15/12-2	2818.000000	2868.000000	VESTLAND GP	GROUP	\N	331	186	\N	9999-12-31	2013-05-08
15/12-2	2703.000000	2818.000000	VIKING GP	GROUP	\N	331	188	\N	9999-12-31	2013-05-08
15/12-2	2224.000000	2234.000000	VÅLE FM	FORMATION	ROGALAND GP	331	190	131	9999-12-31	2013-05-08
15/12-2	2888.000000	2924.000000	ZECHSTEIN GP	GROUP	\N	331	194	\N	9999-12-31	2013-05-08
15/12-2	2667.000000	2703.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	331	198	23	9999-12-31	2013-05-08
15/12-2	2868.000000	2888.000000	NO GROUP DEFINED	GROUP	\N	331	208	\N	9999-12-31	2013-05-08
16/1-2	1973.000000	2018.000000	BALDER FM	FORMATION	ROGALAND GP	332	6	131	9999-12-31	2013-05-08
16/1-2	2912.000000	2919.000000	BASEMENT	GROUP	\N	332	10	\N	9999-12-31	2013-05-08
16/1-2	2236.000000	2242.000000	CROMER KNOLL GP	GROUP	\N	332	23	\N	9999-12-31	2013-05-08
16/1-2	1660.000000	1730.000000	GRID FM	FORMATION	HORDALAND GP	332	53	67	9999-12-31	2013-05-08
16/1-2	2242.000000	2283.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	332	59	188	9999-12-31	2013-05-08
16/1-2	2283.000000	2424.000000	HEATHER FM	FORMATION	VIKING GP	332	60	188	2013-02-16	2013-05-08
16/1-2	2098.000000	2138.000000	HEIMDAL FM	FORMATION	ROGALAND GP	332	62	131	9999-12-31	2013-05-08
16/1-2	930.000000	1973.000000	HORDALAND GP	GROUP	\N	332	67	\N	9999-12-31	2013-05-08
16/1-2	2424.000000	2443.000000	HUGIN FM	FORMATION	VESTLAND GP	332	69	186	9999-12-31	2013-05-08
16/1-2	2800.000000	2808.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	332	88	194	9999-12-31	2013-05-08
16/1-2	2060.000000	2098.000000	LISTA FM	FORMATION	ROGALAND GP	332	95	131	9999-12-31	2013-05-08
16/1-2	2138.000000	2192.000000	LISTA FM	FORMATION	ROGALAND GP	332	95	131	9999-12-31	2013-05-08
16/1-2	820.000000	930.000000	NO FORMAL NAME	FORMATION	\N	332	111	\N	9999-12-31	2013-05-08
16/1-2	1087.000000	1134.000000	NO FORMAL NAME	FORMATION	\N	332	111	\N	9999-12-31	2013-05-08
16/1-2	1222.000000	1660.000000	NO FORMAL NAME	FORMATION	\N	332	111	\N	9999-12-31	2013-05-08
16/1-2	1730.000000	1973.000000	NO FORMAL NAME	FORMATION	\N	332	111	\N	9999-12-31	2013-05-08
16/1-2	164.000000	930.000000	NORDLAND GP	GROUP	\N	332	113	\N	9999-12-31	2013-05-08
16/1-2	1973.000000	2192.000000	ROGALAND GP	GROUP	\N	332	131	\N	9999-12-31	2013-05-08
16/1-2	2808.000000	2912.000000	ROTLIEGEND GP	GROUP	\N	332	136	\N	9999-12-31	2013-05-08
16/1-2	2018.000000	2060.000000	SELE FM	FORMATION	ROGALAND GP	332	142	131	9999-12-31	2013-05-08
16/1-2	2192.000000	2236.000000	SHETLAND GP	GROUP	\N	332	143	\N	9999-12-31	2013-05-08
16/1-2	930.000000	1087.000000	SKADE FM	FORMATION	HORDALAND GP	332	145	67	9999-12-31	2013-05-08
16/1-2	1134.000000	1222.000000	SKADE FM	FORMATION	HORDALAND GP	332	145	67	9999-12-31	2013-05-08
16/1-2	2443.000000	2620.000000	SKAGERRAK FM	FORMATION	HEGRE GP	332	146	61	9999-12-31	2013-05-08
16/1-2	2620.000000	2713.000000	SMITH BANK FM	FORMATION	HEGRE GP	332	149	61	9999-12-31	2013-05-08
16/1-2	2713.000000	2800.000000	UNDIFFERENTIATED	FORMATION	\N	332	182	\N	9999-12-31	2013-05-08
16/1-2	740.000000	820.000000	UTSIRA FM	FORMATION	NORDLAND GP	332	183	113	9999-12-31	2013-05-08
16/1-2	2424.000000	2443.000000	VESTLAND GP	GROUP	\N	332	186	\N	9999-12-31	2013-05-08
16/1-2	2242.000000	2424.000000	VIKING GP	GROUP	\N	332	188	\N	2013-02-16	2013-05-08
16/1-2	2713.000000	2808.000000	ZECHSTEIN GP	GROUP	\N	332	194	\N	9999-12-31	2013-05-08
16/1-2	2443.000000	2713.000000	NO GROUP DEFINED	GROUP	\N	332	208	\N	9999-12-31	2013-05-08
16/3-2	1302.000000	1344.000000	BALDER FM	FORMATION	ROGALAND GP	334	6	131	9999-12-31	2013-05-08
16/3-2	2015.000000	2019.000000	BASEMENT	GROUP	\N	334	10	\N	9999-12-31	2013-05-08
16/3-2	1785.000000	1955.000000	CROMER KNOLL GP	GROUP	\N	334	23	\N	9999-12-31	2013-05-08
16/3-2	1955.000000	1975.000000	DRAUPNE FM	FORMATION	VIKING GP	334	28	188	9999-12-31	2013-05-08
16/3-2	1458.000000	1471.000000	EKOFISK FM	FORMATION	SHETLAND GP	334	33	143	9999-12-31	2013-05-08
16/3-2	1549.000000	1682.000000	HOD FM	FORMATION	SHETLAND GP	334	66	143	9999-12-31	2013-05-08
16/3-2	882.000000	1302.000000	HORDALAND GP	GROUP	\N	334	67	\N	9999-12-31	2013-05-08
16/3-2	1356.000000	1450.000000	LISTA FM	FORMATION	ROGALAND GP	334	95	131	9999-12-31	2013-05-08
16/3-2	142.000000	882.000000	NORDLAND GP	GROUP	\N	334	113	\N	9999-12-31	2013-05-08
16/3-2	1302.000000	1458.000000	ROGALAND GP	GROUP	\N	334	131	\N	9999-12-31	2013-05-08
16/3-2	1785.000000	1800.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	334	137	23	9999-12-31	2013-05-08
16/3-2	1344.000000	1356.000000	SELE FM	FORMATION	ROGALAND GP	334	142	131	9999-12-31	2013-05-08
16/3-2	1458.000000	1785.000000	SHETLAND GP	GROUP	\N	334	143	\N	9999-12-31	2013-05-08
16/3-2	1800.000000	1908.000000	SOLA FM	FORMATION	CROMER KNOLL GP	334	152	23	9999-12-31	2013-05-08
16/3-2	1682.000000	1785.000000	SVARTE FM	FORMATION	SHETLAND GP	334	160	143	9999-12-31	2013-05-08
16/3-2	1471.000000	1549.000000	TOR FM	FORMATION	SHETLAND GP	334	171	143	9999-12-31	2013-05-08
16/3-2	779.000000	882.000000	UTSIRA FM	FORMATION	NORDLAND GP	334	183	113	9999-12-31	2013-05-08
16/3-2	1955.000000	1975.000000	VIKING GP	GROUP	\N	334	188	\N	9999-12-31	2013-05-08
16/3-2	1450.000000	1458.000000	VÅLE FM	FORMATION	ROGALAND GP	334	190	131	9999-12-31	2013-05-08
16/3-2	1975.000000	2006.000000	UNDEFINED GP	GROUP	\N	334	191	\N	9999-12-31	2013-05-08
16/3-2	2006.000000	2015.000000	UNDEFINED GP	GROUP	\N	334	191	\N	9999-12-31	2013-05-08
16/3-2	1908.000000	1955.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	334	198	23	9999-12-31	2013-05-08
16/8-1	1568.000000	1608.000000	BALDER FM	FORMATION	ROGALAND GP	335	6	131	9999-12-31	2013-05-08
16/8-1	1829.000000	2041.000000	CROMER KNOLL GP	GROUP	\N	335	23	\N	9999-12-31	2013-05-08
16/8-1	2073.000000	2116.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	335	26	188	9999-12-31	2013-05-08
16/8-1	2041.000000	2073.000000	DRAUPNE FM	FORMATION	VIKING GP	335	28	188	9999-12-31	2013-05-08
16/8-1	1750.000000	1775.000000	EKOFISK FM	FORMATION	SHETLAND GP	335	33	143	9999-12-31	2013-05-08
16/8-1	1791.000000	1829.000000	HOD FM	FORMATION	SHETLAND GP	335	66	143	9999-12-31	2013-05-08
16/8-1	955.000000	1568.000000	HORDALAND GP	GROUP	\N	335	67	\N	9999-12-31	2013-05-08
16/8-1	1650.000000	1740.000000	LISTA FM	FORMATION	ROGALAND GP	335	95	131	9999-12-31	2013-05-08
16/8-1	106.000000	955.000000	NORDLAND GP	GROUP	\N	335	113	\N	9999-12-31	2013-05-08
16/8-1	1568.000000	1750.000000	ROGALAND GP	GROUP	\N	335	131	\N	9999-12-31	2013-05-08
16/8-1	1829.000000	1879.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	335	137	23	9999-12-31	2013-05-08
16/8-1	1608.000000	1650.000000	SELE FM	FORMATION	ROGALAND GP	335	142	131	9999-12-31	2013-05-08
16/8-1	1750.000000	1829.000000	SHETLAND GP	GROUP	\N	335	143	\N	9999-12-31	2013-05-08
16/8-1	2116.000000	2301.000000	SMITH BANK FM	FORMATION	HEGRE GP	335	149	61	9999-12-31	2013-05-08
16/8-1	1879.000000	1900.000000	SOLA FM	FORMATION	CROMER KNOLL GP	335	152	23	9999-12-31	2013-05-08
16/8-1	1775.000000	1791.000000	TOR FM	FORMATION	SHETLAND GP	335	171	143	9999-12-31	2013-05-08
16/8-1	765.000000	955.000000	UTSIRA FM	FORMATION	NORDLAND GP	335	183	113	9999-12-31	2013-05-08
16/8-1	2041.000000	2116.000000	VIKING GP	GROUP	\N	335	188	\N	9999-12-31	2013-05-08
16/8-1	1740.000000	1750.000000	VÅLE FM	FORMATION	ROGALAND GP	335	190	131	9999-12-31	2013-05-08
16/8-1	1900.000000	2041.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	335	198	23	9999-12-31	2013-05-08
16/8-1	2116.000000	2301.000000	NO GROUP DEFINED	GROUP	\N	335	208	\N	9999-12-31	2013-05-08
16/11-2	1532.000000	1573.000000	BALDER FM	FORMATION	ROGALAND GP	336	6	131	9999-12-31	2013-05-08
16/11-2	2127.000000	2202.000000	BOKNFJORD GP	GROUP	\N	336	15	\N	9999-12-31	2013-05-08
16/11-2	1897.000000	2127.000000	CROMER KNOLL GP	GROUP	\N	336	23	\N	9999-12-31	2013-05-08
16/11-2	1656.000000	1697.000000	EKOFISK FM	FORMATION	SHETLAND GP	336	33	143	9999-12-31	2013-05-08
16/11-2	1819.000000	1897.000000	HOD FM	FORMATION	SHETLAND GP	336	66	143	9999-12-31	2013-05-08
16/11-2	931.000000	1532.000000	HORDALAND GP	GROUP	\N	336	67	\N	9999-12-31	2013-05-08
16/11-2	1606.000000	1640.000000	LISTA FM	FORMATION	ROGALAND GP	336	95	131	9999-12-31	2013-05-08
16/11-2	97.000000	931.000000	NORDLAND GP	GROUP	\N	336	113	\N	9999-12-31	2013-05-08
16/11-2	1532.000000	1656.000000	ROGALAND GP	GROUP	\N	336	131	\N	9999-12-31	2013-05-08
16/11-2	1897.000000	1917.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	336	137	23	9999-12-31	2013-05-08
16/11-2	2202.000000	2269.000000	SANDNES FM	FORMATION	VESTLAND GP	336	139	186	9999-12-31	2013-05-08
16/11-2	1573.000000	1606.000000	SELE FM	FORMATION	ROGALAND GP	336	142	131	9999-12-31	2013-05-08
16/11-2	1656.000000	1897.000000	SHETLAND GP	GROUP	\N	336	143	\N	9999-12-31	2013-05-08
16/11-2	1917.000000	1963.000000	SOLA FM	FORMATION	CROMER KNOLL GP	336	152	23	9999-12-31	2013-05-08
16/11-2	2127.000000	2202.000000	TAU FM	FORMATION	BOKNFJORD GP	336	164	15	9999-12-31	2013-05-08
16/11-2	1697.000000	1819.000000	TOR FM	FORMATION	SHETLAND GP	336	171	143	9999-12-31	2013-05-08
16/11-2	912.000000	931.000000	UTSIRA FM	FORMATION	NORDLAND GP	336	183	113	9999-12-31	2013-05-08
16/11-2	2202.000000	2269.000000	VESTLAND GP	GROUP	\N	336	186	\N	9999-12-31	2013-05-08
16/11-2	1640.000000	1656.000000	VÅLE FM	FORMATION	ROGALAND GP	336	190	131	9999-12-31	2013-05-08
16/11-2	2269.000000	2378.000000	ZECHSTEIN GP	GROUP	\N	336	194	\N	9999-12-31	2013-05-08
16/11-2	1963.000000	2127.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	336	198	23	9999-12-31	2013-05-08
17/9-1	695.000000	719.000000	BALDER FM	FORMATION	ROGALAND GP	337	6	131	9999-12-31	2013-05-08
17/9-1	1195.000000	1220.000000	BLODØKS FM	FORMATION	SHETLAND GP	337	13	143	9999-12-31	2013-05-08
17/9-1	1933.000000	2220.000000	BOKNFJORD GP	GROUP	\N	337	15	\N	9999-12-31	2013-05-08
17/9-1	1220.000000	1933.000000	CROMER KNOLL GP	GROUP	\N	337	23	\N	9999-12-31	2013-05-08
17/9-1	2205.000000	2220.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	337	30	15	9999-12-31	2013-05-08
17/9-1	746.000000	789.000000	EKOFISK FM	FORMATION	SHETLAND GP	337	33	143	9999-12-31	2013-05-08
17/9-1	1933.000000	1954.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	337	43	15	9999-12-31	2013-05-08
17/9-1	1085.000000	1195.000000	HOD FM	FORMATION	SHETLAND GP	337	66	143	9999-12-31	2013-05-08
17/9-1	439.000000	695.000000	HORDALAND GP	GROUP	\N	337	67	\N	9999-12-31	2013-05-08
17/9-1	731.000000	738.000000	LISTA FM	FORMATION	ROGALAND GP	337	95	131	9999-12-31	2013-05-08
17/9-1	2237.000000	2816.000000	NO FORMAL NAME	FORMATION	\N	337	111	\N	9999-12-31	2013-05-08
17/9-1	168.000000	439.000000	NORDLAND GP	GROUP	\N	337	113	\N	9999-12-31	2013-05-08
17/9-1	695.000000	746.000000	ROGALAND GP	GROUP	\N	337	131	\N	9999-12-31	2013-05-08
17/9-1	1220.000000	1354.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	337	137	23	9999-12-31	2013-05-08
17/9-1	2220.000000	2237.000000	SANDNES FM	FORMATION	VESTLAND GP	337	139	186	9999-12-31	2013-05-08
17/9-1	1954.000000	2165.000000	SAUDA FM	FORMATION	BOKNFJORD GP	337	141	15	9999-12-31	2013-05-08
17/9-1	719.000000	731.000000	SELE FM	FORMATION	ROGALAND GP	337	142	131	9999-12-31	2013-05-08
17/9-1	746.000000	1220.000000	SHETLAND GP	GROUP	\N	337	143	\N	9999-12-31	2013-05-08
17/9-1	1354.000000	1464.000000	SOLA FM	FORMATION	CROMER KNOLL GP	337	152	23	9999-12-31	2013-05-08
17/9-1	2165.000000	2205.000000	TAU FM	FORMATION	BOKNFJORD GP	337	164	15	9999-12-31	2013-05-08
17/9-1	789.000000	1085.000000	TOR FM	FORMATION	SHETLAND GP	337	171	143	9999-12-31	2013-05-08
17/9-1	2220.000000	2816.000000	VESTLAND GP	GROUP	\N	337	186	\N	9999-12-31	2013-05-08
17/9-1	738.000000	746.000000	VÅLE FM	FORMATION	ROGALAND GP	337	190	131	9999-12-31	2013-05-08
17/9-1	1464.000000	1933.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	337	198	23	9999-12-31	2013-05-08
17/11-2	1220.000000	1245.000000	BALDER FM	FORMATION	ROGALAND GP	338	6	131	9999-12-31	2013-05-08
17/11-2	2410.000000	2521.000000	BOKNFJORD GP	GROUP	\N	338	15	\N	9999-12-31	2013-05-08
17/11-2	1787.000000	2410.000000	CROMER KNOLL GP	GROUP	\N	338	23	\N	9999-12-31	2013-05-08
17/11-2	2513.000000	2521.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	338	30	15	9999-12-31	2013-05-08
17/11-2	1323.000000	1354.000000	EKOFISK FM	FORMATION	SHETLAND GP	338	33	143	9999-12-31	2013-05-08
17/11-2	2410.000000	2422.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	338	43	15	9999-12-31	2013-05-08
17/11-2	1700.000000	1787.000000	HIDRA FM	FORMATION	SHETLAND GP	338	65	143	9999-12-31	2013-05-08
17/11-2	1640.000000	1700.000000	HOD FM	FORMATION	SHETLAND GP	338	66	143	9999-12-31	2013-05-08
17/11-2	689.000000	1220.000000	HORDALAND GP	GROUP	\N	338	67	\N	9999-12-31	2013-05-08
17/11-2	1270.000000	1310.000000	LISTA FM	FORMATION	ROGALAND GP	338	95	131	9999-12-31	2013-05-08
17/11-2	112.000000	689.000000	NORDLAND GP	GROUP	\N	338	113	\N	9999-12-31	2013-05-08
17/11-2	1787.000000	1802.000000	RAN SANDSTONE UNITS	FORMATION	CROMER KNOLL GP	338	125	23	9999-12-31	2013-05-08
17/11-2	1220.000000	1323.000000	ROGALAND GP	GROUP	\N	338	131	\N	9999-12-31	2013-05-08
17/11-2	2422.000000	2495.000000	SAUDA FM	FORMATION	BOKNFJORD GP	338	141	15	9999-12-31	2013-05-08
17/11-2	1245.000000	1270.000000	SELE FM	FORMATION	ROGALAND GP	338	142	131	9999-12-31	2013-05-08
17/11-2	1323.000000	1787.000000	SHETLAND GP	GROUP	\N	338	143	\N	9999-12-31	2013-05-08
17/11-2	2521.000000	2608.000000	SKAGERRAK FM	FORMATION	HEGRE GP	338	146	61	9999-12-31	2013-05-08
17/11-2	2608.000000	2644.000000	SMITH BANK FM	FORMATION	HEGRE GP	338	149	61	9999-12-31	2013-05-08
17/11-2	2495.000000	2513.000000	TAU FM	FORMATION	BOKNFJORD GP	338	164	15	9999-12-31	2013-05-08
17/11-2	1354.000000	1640.000000	TOR FM	FORMATION	SHETLAND GP	338	171	143	9999-12-31	2013-05-08
17/11-2	1310.000000	1323.000000	VÅLE FM	FORMATION	ROGALAND GP	338	190	131	9999-12-31	2013-05-08
17/11-2	1802.000000	2410.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	338	198	23	9999-12-31	2013-05-08
17/11-2	2521.000000	2644.000000	NO GROUP DEFINED	GROUP	\N	338	208	\N	9999-12-31	2013-05-08
17/12-1	450.000000	458.000000	HORDALAND GP	GROUP	\N	339	67	\N	9999-12-31	2013-05-08
17/12-1	142.000000	450.000000	NORDLAND GP	GROUP	\N	339	113	\N	9999-12-31	2013-05-08
17/12-2	924.000000	951.000000	BALDER FM	FORMATION	ROGALAND GP	340	6	131	9999-12-31	2013-05-08
17/12-2	1932.000000	2157.000000	BOKNFJORD GP	GROUP	\N	340	15	\N	9999-12-31	2013-05-08
17/12-2	2179.000000	2243.000000	BRYNE FM	FORMATION	VESTLAND GP	340	19	186	9999-12-31	2013-05-08
17/12-2	1476.000000	1932.000000	CROMER KNOLL GP	GROUP	\N	340	23	\N	9999-12-31	2013-05-08
17/12-2	707.000000	924.000000	HORDALAND GP	GROUP	\N	340	67	\N	9999-12-31	2013-05-08
17/12-2	957.000000	987.000000	LISTA FM	FORMATION	ROGALAND GP	340	95	131	9999-12-31	2013-05-08
17/12-2	987.000000	991.000000	MAUREEN FM	FORMATION	ROGALAND GP	340	102	131	9999-12-31	2013-05-08
17/12-2	93.000000	128.000000	NORDLAND GP	GROUP	\N	340	113	\N	9999-12-31	2013-05-08
17/12-2	128.000000	707.000000	NORDLAND GP	GROUP	\N	340	113	\N	9999-12-31	2013-05-08
17/12-2	924.000000	991.000000	ROGALAND GP	GROUP	\N	340	131	\N	9999-12-31	2013-05-08
17/12-2	2293.000000	2300.000000	ROTLIEGEND GP	GROUP	\N	340	136	\N	9999-12-31	2013-05-08
17/12-2	2157.000000	2179.000000	SANDNES FM	FORMATION	VESTLAND GP	340	139	186	9999-12-31	2013-05-08
17/12-2	951.000000	957.000000	SELE FM	FORMATION	ROGALAND GP	340	142	131	9999-12-31	2013-05-08
17/12-2	991.000000	1476.000000	SHETLAND GP	GROUP	\N	340	143	\N	9999-12-31	2013-05-08
17/12-2	2157.000000	2243.000000	VESTLAND GP	GROUP	\N	340	186	\N	9999-12-31	2013-05-08
17/12-2	2243.000000	2293.000000	ZECHSTEIN GP	GROUP	\N	340	194	\N	9999-12-31	2013-05-08
17/12-2	2300.000000	2334.000000	NO GROUP DEFINED	GROUP	\N	340	208	\N	9999-12-31	2013-05-08
17/12-3	768.000000	790.000000	BALDER FM	FORMATION	ROGALAND GP	341	6	131	9999-12-31	2013-05-08
17/12-3	1957.000000	2370.000000	BOKNFJORD GP	GROUP	\N	341	15	\N	9999-12-31	2013-05-08
17/12-3	2396.000000	2617.000000	BRYNE FM	FORMATION	VESTLAND GP	341	19	186	9999-12-31	2013-05-08
17/12-3	1266.000000	1957.000000	CROMER KNOLL GP	GROUP	\N	341	23	\N	9999-12-31	2013-05-08
17/12-3	2288.000000	2370.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	341	30	15	9999-12-31	2013-05-08
17/12-3	801.000000	817.000000	EKOFISK FM	FORMATION	SHETLAND GP	341	33	143	9999-12-31	2013-05-08
17/12-3	1957.000000	2010.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	341	43	15	9999-12-31	2013-05-08
17/12-3	2617.000000	2638.000000	GASSUM FM	FORMATION	\N	341	49	\N	9999-12-31	2013-05-08
17/12-3	1157.000000	1266.000000	HOD FM	FORMATION	SHETLAND GP	341	66	143	9999-12-31	2013-05-08
17/12-3	528.000000	768.000000	HORDALAND GP	GROUP	\N	341	67	\N	9999-12-31	2013-05-08
17/12-3	794.000000	798.000000	LISTA FM	FORMATION	ROGALAND GP	341	95	131	9999-12-31	2013-05-08
17/12-3	137.000000	528.000000	NORDLAND GP	GROUP	\N	341	113	\N	9999-12-31	2013-05-08
17/12-3	768.000000	801.000000	ROGALAND GP	GROUP	\N	341	131	\N	9999-12-31	2013-05-08
17/12-3	1266.000000	1388.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	341	137	23	9999-12-31	2013-05-08
17/12-3	2370.000000	2396.000000	SANDNES FM	FORMATION	VESTLAND GP	341	139	186	9999-12-31	2013-05-08
17/12-3	2010.000000	2236.000000	SAUDA FM	FORMATION	BOKNFJORD GP	341	141	15	9999-12-31	2013-05-08
17/12-3	790.000000	794.000000	SELE FM	FORMATION	ROGALAND GP	341	142	131	9999-12-31	2013-05-08
17/12-3	801.000000	1266.000000	SHETLAND GP	GROUP	\N	341	143	\N	9999-12-31	2013-05-08
17/12-3	2638.000000	2730.000000	SKAGERRAK FM	FORMATION	HEGRE GP	341	146	61	9999-12-31	2013-05-08
17/12-3	1388.000000	1555.000000	SOLA FM	FORMATION	CROMER KNOLL GP	341	152	23	9999-12-31	2013-05-08
17/12-3	2236.000000	2288.000000	TAU FM	FORMATION	BOKNFJORD GP	341	164	15	9999-12-31	2013-05-08
17/12-3	817.000000	1157.000000	TOR FM	FORMATION	SHETLAND GP	341	171	143	9999-12-31	2013-05-08
17/12-3	2370.000000	2617.000000	VESTLAND GP	GROUP	\N	341	186	\N	9999-12-31	2013-05-08
17/12-3	798.000000	801.000000	VÅLE FM	FORMATION	ROGALAND GP	341	190	131	9999-12-31	2013-05-08
17/12-3	1555.000000	1957.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	341	198	23	9999-12-31	2013-05-08
17/12-3	2617.000000	2638.000000	NO GROUP DEFINED	GROUP	\N	341	208	\N	9999-12-31	2013-05-08
17/12-3	2638.000000	2730.000000	NO GROUP DEFINED	GROUP	\N	341	208	\N	9999-12-31	2013-05-08
18/10-1	709.000000	729.000000	BALDER FM	FORMATION	ROGALAND GP	342	6	131	9999-12-31	2013-05-08
18/10-1	1991.000000	2405.000000	BOKNFJORD GP	GROUP	\N	342	15	\N	9999-12-31	2013-05-08
18/10-1	2421.000000	2506.000000	BRYNE FM	FORMATION	VESTLAND GP	342	19	186	9999-12-31	2013-05-08
18/10-1	1326.000000	1991.000000	CROMER KNOLL GP	GROUP	\N	342	23	\N	9999-12-31	2013-05-08
18/10-1	2319.000000	2405.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	342	30	15	9999-12-31	2013-05-08
18/10-1	744.000000	808.000000	EKOFISK FM	FORMATION	SHETLAND GP	342	33	143	9999-12-31	2013-05-08
18/10-1	1991.000000	2046.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	342	43	15	9999-12-31	2013-05-08
18/10-1	1161.000000	1326.000000	HOD FM	FORMATION	SHETLAND GP	342	66	143	9999-12-31	2013-05-08
18/10-1	369.000000	709.000000	HORDALAND GP	GROUP	\N	342	67	\N	9999-12-31	2013-05-08
18/10-1	737.000000	742.000000	LISTA FM	FORMATION	ROGALAND GP	342	95	131	9999-12-31	2013-05-08
18/10-1	121.000000	369.000000	NORDLAND GP	GROUP	\N	342	113	\N	9999-12-31	2013-05-08
18/10-1	709.000000	744.000000	ROGALAND GP	GROUP	\N	342	131	\N	9999-12-31	2013-05-08
18/10-1	1326.000000	1468.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	342	137	23	9999-12-31	2013-05-08
18/10-1	2405.000000	2421.000000	SANDNES FM	FORMATION	VESTLAND GP	342	139	186	9999-12-31	2013-05-08
18/10-1	2046.000000	2277.000000	SAUDA FM	FORMATION	BOKNFJORD GP	342	141	15	9999-12-31	2013-05-08
18/10-1	729.000000	737.000000	SELE FM	FORMATION	ROGALAND GP	342	142	131	9999-12-31	2013-05-08
18/10-1	744.000000	1326.000000	SHETLAND GP	GROUP	\N	342	143	\N	9999-12-31	2013-05-08
18/10-1	2506.000000	2800.000000	SKAGERRAK FM	FORMATION	HEGRE GP	342	146	61	9999-12-31	2013-05-08
18/10-1	1468.000000	1573.000000	SOLA FM	FORMATION	CROMER KNOLL GP	342	152	23	9999-12-31	2013-05-08
18/10-1	2277.000000	2319.000000	TAU FM	FORMATION	BOKNFJORD GP	342	164	15	9999-12-31	2013-05-08
18/10-1	808.000000	1161.000000	TOR FM	FORMATION	SHETLAND GP	342	171	143	9999-12-31	2013-05-08
18/10-1	2405.000000	2506.000000	VESTLAND GP	GROUP	\N	342	186	\N	9999-12-31	2013-05-08
18/10-1	742.000000	744.000000	VÅLE FM	FORMATION	ROGALAND GP	342	190	131	9999-12-31	2013-05-08
18/10-1	1573.000000	1991.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	342	198	23	9999-12-31	2013-05-08
18/10-1	2506.000000	2800.000000	NO GROUP DEFINED	GROUP	\N	342	208	\N	9999-12-31	2013-05-08
18/11-1	463.000000	486.000000	BALDER FM	FORMATION	ROGALAND GP	343	6	131	9999-12-31	2013-05-08
18/11-1	2060.000000	2086.000000	BASEMENT	GROUP	\N	343	10	\N	9999-12-31	2013-05-08
18/11-1	1609.000000	1878.000000	BOKNFJORD GP	GROUP	\N	343	15	\N	9999-12-31	2013-05-08
18/11-1	1964.000000	2060.000000	BRYNE FM	FORMATION	VESTLAND GP	343	19	186	9999-12-31	2013-05-08
18/11-1	985.000000	1609.000000	CROMER KNOLL GP	GROUP	\N	343	23	\N	9999-12-31	2013-05-08
18/11-1	1800.000000	1878.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	343	30	15	9999-12-31	2013-05-08
18/11-1	498.000000	572.000000	EKOFISK FM	FORMATION	SHETLAND GP	343	33	143	9999-12-31	2013-05-08
18/11-1	1609.000000	1650.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	343	43	15	9999-12-31	2013-05-08
18/11-1	860.000000	985.000000	HOD FM	FORMATION	SHETLAND GP	343	66	143	9999-12-31	2013-05-08
18/11-1	373.000000	463.000000	HORDALAND GP	GROUP	\N	343	67	\N	9999-12-31	2013-05-08
18/11-1	492.000000	496.000000	LISTA FM	FORMATION	ROGALAND GP	343	95	131	9999-12-31	2013-05-08
18/11-1	141.000000	373.000000	NORDLAND GP	GROUP	\N	343	113	\N	9999-12-31	2013-05-08
18/11-1	463.000000	498.000000	ROGALAND GP	GROUP	\N	343	131	\N	9999-12-31	2013-05-08
18/11-1	985.000000	1135.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	343	137	23	9999-12-31	2013-05-08
18/11-1	1878.000000	1964.000000	SANDNES FM	FORMATION	VESTLAND GP	343	139	186	9999-12-31	2013-05-08
18/11-1	1650.000000	1747.000000	SAUDA FM	FORMATION	BOKNFJORD GP	343	141	15	9999-12-31	2013-05-08
18/11-1	486.000000	492.000000	SELE FM	FORMATION	ROGALAND GP	343	142	131	9999-12-31	2013-05-08
18/11-1	498.000000	985.000000	SHETLAND GP	GROUP	\N	343	143	\N	9999-12-31	2013-05-08
18/11-1	1135.000000	1325.000000	SOLA FM	FORMATION	CROMER KNOLL GP	343	152	23	9999-12-31	2013-05-08
18/11-1	1747.000000	1800.000000	TAU FM	FORMATION	BOKNFJORD GP	343	164	15	9999-12-31	2013-05-08
18/11-1	572.000000	860.000000	TOR FM	FORMATION	SHETLAND GP	343	171	143	9999-12-31	2013-05-08
18/11-1	1878.000000	2060.000000	VESTLAND GP	GROUP	\N	343	186	\N	9999-12-31	2013-05-08
18/11-1	496.000000	498.000000	VÅLE FM	FORMATION	ROGALAND GP	343	190	131	9999-12-31	2013-05-08
18/11-1	1325.000000	1609.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	343	198	23	9999-12-31	2013-05-08
24/9-1	2024.000000	2098.000000	BALDER FM	FORMATION	ROGALAND GP	344	6	131	9999-12-31	2013-05-08
24/9-1	3783.000000	3804.000000	BLODØKS FM	FORMATION	SHETLAND GP	344	13	143	9999-12-31	2013-05-08
24/9-1	3992.000000	4330.000000	CROMER KNOLL GP	GROUP	\N	344	23	\N	9999-12-31	2013-05-08
24/9-1	4330.000000	4800.000000	DRAUPNE FM	FORMATION	VIKING GP	344	28	188	9999-12-31	2013-05-08
24/9-1	1131.000000	1264.000000	GRID FM	FORMATION	HORDALAND GP	344	53	67	9999-12-31	2013-05-08
24/9-1	1358.000000	1420.000000	GRID FM	FORMATION	HORDALAND GP	344	53	67	9999-12-31	2013-05-08
24/9-1	4815.000000	4837.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	344	59	188	9999-12-31	2013-05-08
24/9-1	4800.000000	4815.000000	HEATHER FM	FORMATION	VIKING GP	344	60	188	9999-12-31	2013-05-08
24/9-1	4837.000000	4907.000000	HEATHER FM	FORMATION	VIKING GP	344	60	188	9999-12-31	2013-05-08
24/9-1	2202.000000	2497.000000	HEIMDAL FM	FORMATION	ROGALAND GP	344	62	131	9999-12-31	2013-05-08
24/9-1	793.000000	2024.000000	HORDALAND GP	GROUP	\N	344	67	\N	9999-12-31	2013-05-08
24/9-1	2752.000000	3117.000000	JORSALFARE FM	FORMATION	SHETLAND GP	344	74	143	9999-12-31	2013-05-08
24/9-1	3117.000000	3638.000000	KYRRE FM	FORMATION	SHETLAND GP	344	92	143	9999-12-31	2013-05-08
24/9-1	2497.000000	2545.000000	LISTA FM	FORMATION	ROGALAND GP	344	95	131	9999-12-31	2013-05-08
24/9-1	1264.000000	1358.000000	NO FORMAL NAME	FORMATION	\N	344	111	\N	9999-12-31	2013-05-08
24/9-1	1420.000000	2024.000000	NO FORMAL NAME	FORMATION	\N	344	111	\N	9999-12-31	2013-05-08
24/9-1	143.000000	793.000000	NORDLAND GP	GROUP	\N	344	113	\N	9999-12-31	2013-05-08
24/9-1	2024.000000	2752.000000	ROGALAND GP	GROUP	\N	344	131	\N	9999-12-31	2013-05-08
24/9-1	3992.000000	4050.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	344	137	23	9999-12-31	2013-05-08
24/9-1	2098.000000	2202.000000	SELE FM	FORMATION	ROGALAND GP	344	142	131	9999-12-31	2013-05-08
24/9-1	2752.000000	3992.000000	SHETLAND GP	GROUP	\N	344	143	\N	9999-12-31	2013-05-08
24/9-1	4050.000000	4170.000000	SOLA FM	FORMATION	CROMER KNOLL GP	344	152	23	9999-12-31	2013-05-08
24/9-1	3804.000000	3992.000000	SVARTE FM	FORMATION	SHETLAND GP	344	160	143	9999-12-31	2013-05-08
24/9-1	3638.000000	3783.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	344	173	143	9999-12-31	2013-05-08
24/9-1	2545.000000	2659.000000	TY FM	FORMATION	ROGALAND GP	344	176	131	9999-12-31	2013-05-08
24/9-1	603.000000	793.000000	UTSIRA FM	FORMATION	NORDLAND GP	344	183	113	9999-12-31	2013-05-08
24/9-1	4330.000000	4907.000000	VIKING GP	GROUP	\N	344	188	\N	9999-12-31	2013-05-08
24/9-1	2659.000000	2752.000000	VÅLE FM	FORMATION	ROGALAND GP	344	190	131	9999-12-31	2013-05-08
24/9-1	4170.000000	4330.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	344	198	23	9999-12-31	2013-05-08
24/9-2	2004.000000	2075.000000	BALDER FM	FORMATION	ROGALAND GP	345	6	131	9999-12-31	2013-05-08
24/9-2	2608.000000	2667.000000	EKOFISK FM	FORMATION	SHETLAND GP	345	33	143	9999-12-31	2013-05-08
24/9-2	2169.000000	2502.000000	HEIMDAL FM	FORMATION	ROGALAND GP	345	62	131	9999-12-31	2013-05-08
24/9-2	885.000000	2004.000000	HORDALAND GP	GROUP	\N	345	67	\N	9999-12-31	2013-05-08
24/9-2	2502.000000	2543.000000	LISTA FM	FORMATION	ROGALAND GP	345	95	131	9999-12-31	2013-05-08
24/9-2	143.000000	885.000000	NORDLAND GP	GROUP	\N	345	113	\N	9999-12-31	2013-05-08
24/9-2	2004.000000	2608.000000	ROGALAND GP	GROUP	\N	345	131	\N	9999-12-31	2013-05-08
24/9-2	2075.000000	2169.000000	SELE FM	FORMATION	ROGALAND GP	345	142	131	9999-12-31	2013-05-08
24/9-2	2608.000000	2743.000000	SHETLAND GP	GROUP	\N	345	143	\N	9999-12-31	2013-05-08
24/9-2	2667.000000	2743.000000	TOR FM	FORMATION	SHETLAND GP	345	171	143	9999-12-31	2013-05-08
24/9-2	2543.000000	2608.000000	TY FM	FORMATION	ROGALAND GP	345	176	131	9999-12-31	2013-05-08
24/9-2	304.000000	885.000000	UTSIRA FM	FORMATION	NORDLAND GP	345	183	113	9999-12-31	2013-05-08
24/9-3	1918.000000	1981.000000	BALDER FM	FORMATION	ROGALAND GP	346	6	131	9999-12-31	2013-05-08
24/9-3	1739.000000	1831.000000	FRIGG FM	FORMATION	HORDALAND GP	346	45	67	9999-12-31	2013-05-08
24/9-3	1201.000000	1400.000000	GRID FM	FORMATION	HORDALAND GP	346	53	67	9999-12-31	2013-05-08
24/9-3	2215.000000	2567.000000	HEIMDAL FM	FORMATION	ROGALAND GP	346	62	131	9999-12-31	2013-05-08
24/9-3	1981.000000	2060.000000	HERMOD FM	FORMATION	ROGALAND GP	346	64	131	9999-12-31	2013-05-08
24/9-3	698.000000	1918.000000	HORDALAND GP	GROUP	\N	346	67	\N	9999-12-31	2013-05-08
24/9-3	2836.000000	3051.000000	JORSALFARE FM	FORMATION	SHETLAND GP	346	74	143	9999-12-31	2013-05-08
24/9-3	2567.000000	2757.000000	LISTA FM	FORMATION	ROGALAND GP	346	95	131	9999-12-31	2013-05-08
24/9-3	1146.000000	1201.000000	NO FORMAL NAME	FORMATION	\N	346	111	\N	9999-12-31	2013-05-08
24/9-3	1400.000000	1739.000000	NO FORMAL NAME	FORMATION	\N	346	111	\N	9999-12-31	2013-05-08
24/9-3	1831.000000	1918.000000	NO FORMAL NAME	FORMATION	\N	346	111	\N	9999-12-31	2013-05-08
24/9-3	145.000000	698.000000	NORDLAND GP	GROUP	\N	346	113	\N	9999-12-31	2013-05-08
24/9-3	1918.000000	2836.000000	ROGALAND GP	GROUP	\N	346	131	\N	9999-12-31	2013-05-08
24/9-3	2060.000000	2215.000000	SELE FM	FORMATION	ROGALAND GP	346	142	131	9999-12-31	2013-05-08
24/9-3	2836.000000	3051.000000	SHETLAND GP	GROUP	\N	346	143	\N	9999-12-31	2013-05-08
24/9-3	1043.000000	1146.000000	SKADE FM	FORMATION	HORDALAND GP	346	145	67	9999-12-31	2013-05-08
24/9-3	360.000000	698.000000	UTSIRA FM	FORMATION	NORDLAND GP	346	183	113	9999-12-31	2013-05-08
24/9-3	2757.000000	2836.000000	VÅLE FM	FORMATION	ROGALAND GP	346	190	131	9999-12-31	2013-05-08
24/12-1	2190.000000	2255.000000	BALDER FM	FORMATION	ROGALAND GP	347	6	131	9999-12-31	2013-05-08
24/12-1	3672.000000	3681.000000	BLODØKS FM	FORMATION	SHETLAND GP	347	13	143	9999-12-31	2013-05-08
24/12-1	3848.000000	3966.000000	CROMER KNOLL GP	GROUP	\N	347	23	\N	9999-12-31	2013-05-08
24/12-1	2768.000000	2784.000000	EKOFISK FM	FORMATION	SHETLAND GP	347	33	143	9999-12-31	2013-05-08
24/12-1	1502.000000	1660.000000	GRID FM	FORMATION	HORDALAND GP	347	53	67	9999-12-31	2013-05-08
24/12-1	2326.000000	2700.000000	HEIMDAL FM	FORMATION	ROGALAND GP	347	62	131	9999-12-31	2013-05-08
24/12-1	3080.000000	3550.000000	HOD FM	FORMATION	SHETLAND GP	347	66	143	9999-12-31	2013-05-08
24/12-1	850.000000	2190.000000	HORDALAND GP	GROUP	\N	347	67	\N	9999-12-31	2013-05-08
24/12-1	2307.000000	2326.000000	LISTA FM	FORMATION	ROGALAND GP	347	95	131	9999-12-31	2013-05-08
24/12-1	2700.000000	2763.000000	LISTA FM	FORMATION	ROGALAND GP	347	95	131	9999-12-31	2013-05-08
24/12-1	732.000000	850.000000	NO FORMAL NAME	FORMATION	\N	347	111	\N	9999-12-31	2013-05-08
24/12-1	1007.000000	1502.000000	NO FORMAL NAME	FORMATION	\N	347	111	\N	9999-12-31	2013-05-08
24/12-1	1660.000000	2190.000000	NO FORMAL NAME	FORMATION	\N	347	111	\N	9999-12-31	2013-05-08
24/12-1	138.000000	850.000000	NORDLAND GP	GROUP	\N	347	113	\N	9999-12-31	2013-05-08
24/12-1	2190.000000	2768.000000	ROGALAND GP	GROUP	\N	347	131	\N	9999-12-31	2013-05-08
24/12-1	3848.000000	3945.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	347	137	23	9999-12-31	2013-05-08
24/12-1	2255.000000	2307.000000	SELE FM	FORMATION	ROGALAND GP	347	142	131	9999-12-31	2013-05-08
24/12-1	2768.000000	3848.000000	SHETLAND GP	GROUP	\N	347	143	\N	9999-12-31	2013-05-08
24/12-1	850.000000	1007.000000	SKADE FM	FORMATION	HORDALAND GP	347	145	67	9999-12-31	2013-05-08
24/12-1	3945.000000	3966.000000	SOLA FM	FORMATION	CROMER KNOLL GP	347	152	23	9999-12-31	2013-05-08
24/12-1	3681.000000	3848.000000	SVARTE FM	FORMATION	SHETLAND GP	347	160	143	9999-12-31	2013-05-08
24/12-1	2784.000000	3080.000000	TOR FM	FORMATION	SHETLAND GP	347	171	143	9999-12-31	2013-05-08
24/12-1	3550.000000	3672.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	347	173	143	9999-12-31	2013-05-08
24/12-1	497.000000	732.000000	UTSIRA FM	FORMATION	NORDLAND GP	347	183	113	9999-12-31	2013-05-08
24/12-1	2763.000000	2768.000000	VÅLE FM	FORMATION	ROGALAND GP	347	190	131	9999-12-31	2013-05-08
24/12-2	2052.000000	2120.000000	BALDER FM	FORMATION	ROGALAND GP	348	6	131	9999-12-31	2013-05-08
24/12-2	3598.000000	3654.000000	BLODØKS FM	FORMATION	SHETLAND GP	348	13	143	9999-12-31	2013-05-08
24/12-2	3840.000000	4261.000000	CROMER KNOLL GP	GROUP	\N	348	23	\N	9999-12-31	2013-05-08
24/12-2	4261.000000	4640.000000	DRAUPNE FM	FORMATION	VIKING GP	348	28	188	9999-12-31	2013-05-08
24/12-2	1282.000000	1397.000000	GRID FM	FORMATION	HORDALAND GP	348	53	67	9999-12-31	2013-05-08
24/12-2	4739.000000	4749.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	348	59	188	9999-12-31	2013-05-08
24/12-2	4955.000000	4978.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	348	59	188	9999-12-31	2013-05-08
24/12-2	4640.000000	4739.000000	HEATHER FM	FORMATION	VIKING GP	348	60	188	9999-12-31	2013-05-08
24/12-2	4749.000000	4955.000000	HEATHER FM	FORMATION	VIKING GP	348	60	188	9999-12-31	2013-05-08
24/12-2	4978.000000	5100.000000	HEATHER FM	FORMATION	VIKING GP	348	60	188	9999-12-31	2013-05-08
24/12-2	2202.000000	2407.000000	HEIMDAL FM	FORMATION	ROGALAND GP	348	62	131	9999-12-31	2013-05-08
24/12-2	823.000000	2052.000000	HORDALAND GP	GROUP	\N	348	67	\N	9999-12-31	2013-05-08
24/12-2	2683.000000	2902.000000	JORSALFARE FM	FORMATION	SHETLAND GP	348	74	143	9999-12-31	2013-05-08
24/12-2	2902.000000	3257.000000	KYRRE FM	FORMATION	SHETLAND GP	348	92	143	9999-12-31	2013-05-08
24/12-2	2175.000000	2202.000000	LISTA FM	FORMATION	ROGALAND GP	348	95	131	9999-12-31	2013-05-08
24/12-2	2407.000000	2490.000000	LISTA FM	FORMATION	ROGALAND GP	348	95	131	9999-12-31	2013-05-08
24/12-2	1397.000000	2052.000000	NO FORMAL NAME	FORMATION	\N	348	111	\N	9999-12-31	2013-05-08
24/12-2	151.000000	823.000000	NORDLAND GP	GROUP	\N	348	113	\N	9999-12-31	2013-05-08
24/12-2	2052.000000	2683.000000	ROGALAND GP	GROUP	\N	348	131	\N	9999-12-31	2013-05-08
24/12-2	3840.000000	3985.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	348	137	23	9999-12-31	2013-05-08
24/12-2	2120.000000	2175.000000	SELE FM	FORMATION	ROGALAND GP	348	142	131	9999-12-31	2013-05-08
24/12-2	2683.000000	3840.000000	SHETLAND GP	GROUP	\N	348	143	\N	9999-12-31	2013-05-08
24/12-2	3985.000000	4043.000000	SOLA FM	FORMATION	CROMER KNOLL GP	348	152	23	9999-12-31	2013-05-08
24/12-2	3654.000000	3840.000000	SVARTE FM	FORMATION	SHETLAND GP	348	160	143	9999-12-31	2013-05-08
24/12-2	3257.000000	3598.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	348	173	143	9999-12-31	2013-05-08
24/12-2	2490.000000	2512.000000	TY FM	FORMATION	ROGALAND GP	348	176	131	9999-12-31	2013-05-08
24/12-2	2567.000000	2617.000000	TY FM	FORMATION	ROGALAND GP	348	176	131	9999-12-31	2013-05-08
24/12-2	528.000000	823.000000	UTSIRA FM	FORMATION	NORDLAND GP	348	183	113	9999-12-31	2013-05-08
24/12-2	4261.000000	5100.000000	VIKING GP	GROUP	\N	348	188	\N	9999-12-31	2013-05-08
24/12-2	2512.000000	2567.000000	VÅLE FM	FORMATION	ROGALAND GP	348	190	131	9999-12-31	2013-05-08
24/12-2	2617.000000	2683.000000	VÅLE FM	FORMATION	ROGALAND GP	348	190	131	9999-12-31	2013-05-08
24/12-2	4043.000000	4261.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	348	198	23	9999-12-31	2013-05-08
25/1-4	2058.000000	2316.000000	BALDER FM	FORMATION	ROGALAND GP	350	6	131	9999-12-31	2013-05-08
25/1-4	1968.000000	2058.000000	FRIGG FM	FORMATION	HORDALAND GP	350	45	67	9999-12-31	2013-05-08
25/1-4	2687.000000	2795.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	350	56	143	9999-12-31	2013-05-08
25/1-4	952.000000	2058.000000	HORDALAND GP	GROUP	\N	350	67	\N	9999-12-31	2013-05-08
25/1-4	2561.000000	2643.000000	LISTA FM	FORMATION	ROGALAND GP	350	95	131	9999-12-31	2013-05-08
25/1-4	133.000000	952.000000	NORDLAND GP	GROUP	\N	350	113	\N	9999-12-31	2013-05-08
25/1-4	2058.000000	2687.000000	ROGALAND GP	GROUP	\N	350	131	\N	9999-12-31	2013-05-08
25/1-4	2316.000000	2561.000000	SELE FM	FORMATION	ROGALAND GP	350	142	131	9999-12-31	2013-05-08
25/1-4	2687.000000	2795.000000	SHETLAND GP	GROUP	\N	350	143	\N	9999-12-31	2013-05-08
25/1-4	2643.000000	2687.000000	TY FM	FORMATION	ROGALAND GP	350	176	131	9999-12-31	2013-05-08
25/1-6	2150.000000	2167.000000	BALDER FM	FORMATION	ROGALAND GP	352	6	131	9999-12-31	2013-05-08
25/1-6	2107.000000	2150.000000	FRIGG FM	FORMATION	HORDALAND GP	352	45	67	9999-12-31	2013-05-08
25/1-6	2249.000000	2563.000000	HEIMDAL FM	FORMATION	ROGALAND GP	352	62	131	9999-12-31	2013-05-08
25/1-6	698.000000	2150.000000	HORDALAND GP	GROUP	\N	352	67	\N	9999-12-31	2013-05-08
25/1-6	2799.000000	2895.000000	JORSALFARE FM	FORMATION	SHETLAND GP	352	74	143	9999-12-31	2013-05-08
25/1-6	2195.000000	2249.000000	LISTA FM	FORMATION	ROGALAND GP	352	95	131	9999-12-31	2013-05-08
25/1-6	2563.000000	2675.000000	LISTA FM	FORMATION	ROGALAND GP	352	95	131	9999-12-31	2013-05-08
25/1-6	129.000000	698.000000	NORDLAND GP	GROUP	\N	352	113	\N	9999-12-31	2013-05-08
25/1-6	2150.000000	2799.000000	ROGALAND GP	GROUP	\N	352	131	\N	9999-12-31	2013-05-08
25/1-6	2167.000000	2195.000000	SELE FM	FORMATION	ROGALAND GP	352	142	131	9999-12-31	2013-05-08
25/1-6	2799.000000	2895.000000	SHETLAND GP	GROUP	\N	352	143	\N	9999-12-31	2013-05-08
25/1-6	2675.000000	2799.000000	TY FM	FORMATION	ROGALAND GP	352	176	131	9999-12-31	2013-05-08
25/1-6	475.000000	698.000000	UTSIRA FM	FORMATION	NORDLAND GP	352	183	113	9999-12-31	2013-05-08
25/2-1	2146.000000	2188.000000	BALDER FM	FORMATION	ROGALAND GP	353	6	131	9999-12-31	2013-05-08
25/2-1	2035.000000	2146.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	353	7	131	9999-12-31	2013-05-08
25/2-1	1915.000000	2003.000000	FRIGG FM	FORMATION	HORDALAND GP	353	45	67	9999-12-31	2013-05-08
25/2-1	1424.000000	1442.000000	GRID FM	FORMATION	HORDALAND GP	353	53	67	9999-12-31	2013-05-08
25/2-1	2653.000000	2740.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	353	56	143	9999-12-31	2013-05-08
25/2-1	2188.000000	2360.000000	HERMOD FM	FORMATION	ROGALAND GP	353	64	131	9999-12-31	2013-05-08
25/2-1	1021.000000	2035.000000	HORDALAND GP	GROUP	\N	353	67	\N	9999-12-31	2013-05-08
25/2-1	2360.000000	2385.000000	LISTA FM	FORMATION	ROGALAND GP	353	95	131	9999-12-31	2013-05-08
25/2-1	1089.000000	1424.000000	NO FORMAL NAME	FORMATION	\N	353	111	\N	9999-12-31	2013-05-08
25/2-1	1442.000000	1915.000000	NO FORMAL NAME	FORMATION	\N	353	111	\N	9999-12-31	2013-05-08
25/2-1	2003.000000	2035.000000	NO FORMAL NAME	FORMATION	\N	353	111	\N	9999-12-31	2013-05-08
25/2-1	127.000000	1021.000000	NORDLAND GP	GROUP	\N	353	113	\N	9999-12-31	2013-05-08
25/2-1	2035.000000	2653.000000	ROGALAND GP	GROUP	\N	353	131	\N	9999-12-31	2013-05-08
25/2-1	2653.000000	2740.000000	SHETLAND GP	GROUP	\N	353	143	\N	9999-12-31	2013-05-08
25/2-1	1085.000000	1089.000000	SKADE FM	FORMATION	HORDALAND GP	353	145	67	9999-12-31	2013-05-08
25/2-1	2538.000000	2552.000000	TY FM	FORMATION	ROGALAND GP	353	176	131	9999-12-31	2013-05-08
25/2-1	2557.000000	2653.000000	TY FM	FORMATION	ROGALAND GP	353	176	131	9999-12-31	2013-05-08
25/2-1	813.000000	1021.000000	UTSIRA FM	FORMATION	NORDLAND GP	353	183	113	9999-12-31	2013-05-08
25/2-1	2385.000000	2538.000000	VÅLE FM	FORMATION	ROGALAND GP	353	190	131	9999-12-31	2013-05-08
25/2-1	2552.000000	2557.000000	VÅLE FM	FORMATION	ROGALAND GP	353	190	131	9999-12-31	2013-05-08
25/2-2	2196.000000	2263.000000	BALDER FM	FORMATION	ROGALAND GP	354	6	131	9999-12-31	2013-05-08
25/2-2	1949.000000	2016.000000	FRIGG FM	FORMATION	HORDALAND GP	354	45	67	9999-12-31	2013-05-08
25/2-2	2703.000000	2740.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	354	56	143	9999-12-31	2013-05-08
25/2-2	2269.000000	2363.000000	HERMOD FM	FORMATION	ROGALAND GP	354	64	131	9999-12-31	2013-05-08
25/2-2	887.000000	2016.000000	HORDALAND GP	GROUP	\N	354	67	\N	9999-12-31	2013-05-08
25/2-2	2016.000000	2196.000000	HORDALAND GP	GROUP	\N	354	67	\N	9999-12-31	2013-05-08
25/2-2	2363.000000	2563.000000	LISTA FM	FORMATION	ROGALAND GP	354	95	131	9999-12-31	2013-05-08
25/2-2	129.000000	887.000000	NORDLAND GP	GROUP	\N	354	113	\N	9999-12-31	2013-05-08
25/2-2	2196.000000	2703.000000	ROGALAND GP	GROUP	\N	354	131	\N	9999-12-31	2013-05-08
25/2-2	2263.000000	2269.000000	SELE FM	FORMATION	ROGALAND GP	354	142	131	9999-12-31	2013-05-08
25/2-2	2703.000000	2740.000000	SHETLAND GP	GROUP	\N	354	143	\N	9999-12-31	2013-05-08
25/2-2	2563.000000	2703.000000	TY FM	FORMATION	ROGALAND GP	354	176	131	9999-12-31	2013-05-08
25/2-3	2211.000000	2246.000000	BALDER FM	FORMATION	ROGALAND GP	355	6	131	9999-12-31	2013-05-08
25/2-3	2073.000000	2211.000000	FRIGG FM	FORMATION	HORDALAND GP	355	45	67	9999-12-31	2013-05-08
25/2-3	2726.000000	2795.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	355	56	143	9999-12-31	2013-05-08
25/2-3	2274.000000	2427.000000	HERMOD FM	FORMATION	ROGALAND GP	355	64	131	9999-12-31	2013-05-08
25/2-3	1008.000000	2211.000000	HORDALAND GP	GROUP	\N	355	67	\N	9999-12-31	2013-05-08
25/2-3	2427.000000	2582.000000	LISTA FM	FORMATION	ROGALAND GP	355	95	131	9999-12-31	2013-05-08
25/2-3	138.000000	1008.000000	NORDLAND GP	GROUP	\N	355	113	\N	9999-12-31	2013-05-08
25/2-3	2211.000000	2726.000000	ROGALAND GP	GROUP	\N	355	131	\N	9999-12-31	2013-05-08
25/2-3	2246.000000	2274.000000	SELE FM	FORMATION	ROGALAND GP	355	142	131	9999-12-31	2013-05-08
25/2-3	2726.000000	2795.000000	SHETLAND GP	GROUP	\N	355	143	\N	9999-12-31	2013-05-08
25/2-3	2582.000000	2726.000000	TY FM	FORMATION	ROGALAND GP	355	176	131	9999-12-31	2013-05-08
25/2-4	3965.000000	4084.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	356	4	29	9999-12-31	2013-05-08
25/2-4	2177.000000	2208.000000	BALDER FM	FORMATION	ROGALAND GP	356	6	131	9999-12-31	2013-05-08
25/2-4	2098.000000	2177.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	356	7	131	9999-12-31	2013-05-08
25/2-4	2208.000000	2223.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	356	7	131	9999-12-31	2013-05-08
25/2-4	3927.000000	3965.000000	COOK FM	FORMATION	DUNLIN GP	356	24	29	9999-12-31	2013-05-08
25/2-4	3876.000000	3927.000000	DRAKE FM	FORMATION	DUNLIN GP	356	27	29	9999-12-31	2013-05-08
25/2-4	3632.000000	3640.000000	DRAUPNE FM	FORMATION	VIKING GP	356	28	188	9999-12-31	2013-05-08
25/2-4	3876.000000	4084.000000	DUNLIN GP	GROUP	\N	356	29	\N	9999-12-31	2013-05-08
25/2-4	2012.000000	2061.000000	FRIGG FM	FORMATION	HORDALAND GP	356	45	67	9999-12-31	2013-05-08
25/2-4	1213.000000	1250.000000	GRID FM	FORMATION	HORDALAND GP	356	53	67	9999-12-31	2013-05-08
25/2-4	2617.000000	2925.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	356	56	143	9999-12-31	2013-05-08
25/2-4	2250.000000	2325.000000	HERMOD FM	FORMATION	ROGALAND GP	356	64	131	9999-12-31	2013-05-08
25/2-4	1025.000000	2098.000000	HORDALAND GP	GROUP	\N	356	67	\N	9999-12-31	2013-05-08
25/2-4	3640.000000	3752.000000	HUGIN FM	FORMATION	VESTLAND GP	356	69	186	9999-12-31	2013-05-08
25/2-4	2925.000000	3370.000000	KYRRE FM	FORMATION	SHETLAND GP	356	92	143	9999-12-31	2013-05-08
25/2-4	2325.000000	2400.000000	LISTA FM	FORMATION	ROGALAND GP	356	95	131	9999-12-31	2013-05-08
25/2-4	1111.000000	1213.000000	NO FORMAL NAME	FORMATION	\N	356	111	\N	9999-12-31	2013-05-08
25/2-4	1250.000000	2012.000000	NO FORMAL NAME	FORMATION	\N	356	111	\N	9999-12-31	2013-05-08
25/2-4	2061.000000	2098.000000	NO FORMAL NAME	FORMATION	\N	356	111	\N	9999-12-31	2013-05-08
25/2-4	137.000000	1025.000000	NORDLAND GP	GROUP	\N	356	113	\N	9999-12-31	2013-05-08
25/2-4	2098.000000	2617.000000	ROGALAND GP	GROUP	\N	356	131	\N	9999-12-31	2013-05-08
25/2-4	2223.000000	2250.000000	SELE FM	FORMATION	ROGALAND GP	356	142	131	9999-12-31	2013-05-08
25/2-4	2617.000000	3632.000000	SHETLAND GP	GROUP	\N	356	143	\N	9999-12-31	2013-05-08
25/2-4	1077.000000	1111.000000	SKADE FM	FORMATION	HORDALAND GP	356	145	67	9999-12-31	2013-05-08
25/2-4	3752.000000	3876.000000	SLEIPNER FM	FORMATION	VESTLAND GP	356	148	186	9999-12-31	2013-05-08
25/2-4	4261.000000	4360.000000	SMITH BANK FM	FORMATION	HEGRE GP	356	149	61	9999-12-31	2013-05-08
25/2-4	4084.000000	4261.000000	STATFJORD FM	FORMATION	\N	356	157	\N	9999-12-31	2013-05-08
25/2-4	3370.000000	3632.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	356	173	143	9999-12-31	2013-05-08
25/2-4	2590.000000	2606.000000	TY FM	FORMATION	ROGALAND GP	356	176	131	9999-12-31	2013-05-08
25/2-4	812.000000	1025.000000	UTSIRA FM	FORMATION	NORDLAND GP	356	183	113	9999-12-31	2013-05-08
25/2-4	3640.000000	3876.000000	VESTLAND GP	GROUP	\N	356	186	\N	9999-12-31	2013-05-08
25/2-4	3632.000000	3640.000000	VIKING GP	GROUP	\N	356	188	\N	9999-12-31	2013-05-08
25/2-4	2400.000000	2590.000000	VÅLE FM	FORMATION	ROGALAND GP	356	190	131	9999-12-31	2013-05-08
25/2-4	2606.000000	2617.000000	VÅLE FM	FORMATION	ROGALAND GP	356	190	131	9999-12-31	2013-05-08
25/2-4	4084.000000	4261.000000	NO GROUP DEFINED	GROUP	\N	356	208	\N	9999-12-31	2013-05-08
25/2-4	4261.000000	4360.000000	NO GROUP DEFINED	GROUP	\N	356	208	\N	9999-12-31	2013-05-08
25/2-5	3605.000000	3652.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	357	4	29	9999-12-31	2013-05-08
25/2-5	2155.000000	2238.000000	BALDER FM	FORMATION	ROGALAND GP	357	6	131	9999-12-31	2013-05-08
25/2-5	3240.000000	3259.000000	BLODØKS FM	FORMATION	SHETLAND GP	357	13	143	9999-12-31	2013-05-08
25/2-5	3292.000000	3302.000000	CROMER KNOLL GP	GROUP	\N	357	23	\N	9999-12-31	2013-05-08
25/2-5	3513.000000	3605.000000	COOK FM	FORMATION	DUNLIN GP	357	24	29	9999-12-31	2013-05-08
25/2-5	3489.000000	3513.000000	DRAKE FM	FORMATION	DUNLIN GP	357	27	29	9999-12-31	2013-05-08
25/2-5	3302.000000	3316.000000	DRAUPNE FM	FORMATION	VIKING GP	357	28	188	9999-12-31	2013-05-08
25/2-5	3489.000000	3652.000000	DUNLIN GP	GROUP	\N	357	29	\N	9999-12-31	2013-05-08
25/2-5	2702.000000	2990.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	357	56	143	9999-12-31	2013-05-08
25/2-5	3316.000000	3336.000000	HEATHER FM	FORMATION	VIKING GP	357	60	188	9999-12-31	2013-05-08
25/2-5	2238.000000	2374.000000	HERMOD FM	FORMATION	ROGALAND GP	357	64	131	9999-12-31	2013-05-08
25/2-5	1055.000000	2155.000000	HORDALAND GP	GROUP	\N	357	67	\N	9999-12-31	2013-05-08
25/2-5	3336.000000	3407.000000	HUGIN FM	FORMATION	VESTLAND GP	357	69	186	9999-12-31	2013-05-08
25/2-5	2990.000000	3158.000000	KYRRE FM	FORMATION	SHETLAND GP	357	92	143	9999-12-31	2013-05-08
25/2-5	2374.000000	2508.000000	LISTA FM	FORMATION	ROGALAND GP	357	95	131	9999-12-31	2013-05-08
25/2-5	1167.000000	2155.000000	NO FORMAL NAME	FORMATION	\N	357	111	\N	9999-12-31	2013-05-08
25/2-5	141.000000	1055.000000	NORDLAND GP	GROUP	\N	357	113	\N	9999-12-31	2013-05-08
25/2-5	2155.000000	2702.000000	ROGALAND GP	GROUP	\N	357	131	\N	9999-12-31	2013-05-08
25/2-5	3292.000000	3302.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	357	137	23	9999-12-31	2013-05-08
25/2-5	2702.000000	3292.000000	SHETLAND GP	GROUP	\N	357	143	\N	9999-12-31	2013-05-08
25/2-5	1158.000000	1167.000000	SKADE FM	FORMATION	HORDALAND GP	357	145	67	9999-12-31	2013-05-08
25/2-5	3407.000000	3489.000000	SLEIPNER FM	FORMATION	VESTLAND GP	357	148	186	9999-12-31	2013-05-08
25/2-5	3847.000000	4000.000000	SMITH BANK FM	FORMATION	HEGRE GP	357	149	61	9999-12-31	2013-05-08
25/2-5	3652.000000	3847.000000	STATFJORD FM	FORMATION	\N	357	157	\N	9999-12-31	2013-05-08
25/2-5	3259.000000	3292.000000	SVARTE FM	FORMATION	SHETLAND GP	357	160	143	9999-12-31	2013-05-08
25/2-5	3158.000000	3240.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	357	173	143	9999-12-31	2013-05-08
25/2-5	2508.000000	2660.000000	TY FM	FORMATION	ROGALAND GP	357	176	131	9999-12-31	2013-05-08
25/2-5	270.000000	1055.000000	UTSIRA FM	FORMATION	NORDLAND GP	357	183	113	9999-12-31	2013-05-08
25/2-5	3336.000000	3489.000000	VESTLAND GP	GROUP	\N	357	186	\N	9999-12-31	2013-05-08
25/2-5	3302.000000	3336.000000	VIKING GP	GROUP	\N	357	188	\N	9999-12-31	2013-05-08
25/2-5	2660.000000	2702.000000	VÅLE FM	FORMATION	ROGALAND GP	357	190	131	9999-12-31	2013-05-08
25/2-5	3652.000000	3847.000000	NO GROUP DEFINED	GROUP	\N	357	208	\N	9999-12-31	2013-05-08
25/2-5	3847.000000	4000.000000	NO GROUP DEFINED	GROUP	\N	357	208	\N	9999-12-31	2013-05-08
25/2-6	2148.000000	2209.000000	BALDER FM	FORMATION	ROGALAND GP	358	6	131	9999-12-31	2013-05-08
25/2-6	3083.000000	3137.000000	DRAUPNE FM	FORMATION	VIKING GP	358	28	188	9999-12-31	2013-05-08
25/2-6	3317.000000	3504.000000	DUNLIN GP	GROUP	\N	358	29	\N	9999-12-31	2013-05-08
25/2-6	1403.000000	1491.000000	GRID FM	FORMATION	HORDALAND GP	358	53	67	9999-12-31	2013-05-08
25/2-6	2631.000000	2931.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	358	56	143	9999-12-31	2013-05-08
25/2-6	3137.000000	3241.000000	HEATHER FM	FORMATION	VIKING GP	358	60	188	9999-12-31	2013-05-08
25/2-6	2221.000000	2361.000000	HERMOD FM	FORMATION	ROGALAND GP	358	64	131	9999-12-31	2013-05-08
25/2-6	897.000000	2148.000000	HORDALAND GP	GROUP	\N	358	67	\N	9999-12-31	2013-05-08
25/2-6	3241.000000	3257.000000	HUGIN FM	FORMATION	VESTLAND GP	358	69	186	9999-12-31	2013-05-08
25/2-6	2931.000000	3021.000000	KYRRE FM	FORMATION	SHETLAND GP	358	92	143	9999-12-31	2013-05-08
25/2-6	2361.000000	2463.000000	LISTA FM	FORMATION	ROGALAND GP	358	95	131	9999-12-31	2013-05-08
25/2-6	1096.000000	1403.000000	NO FORMAL NAME	FORMATION	\N	358	111	\N	9999-12-31	2013-05-08
25/2-6	1491.000000	2148.000000	NO FORMAL NAME	FORMATION	\N	358	111	\N	9999-12-31	2013-05-08
25/2-6	141.000000	897.000000	NORDLAND GP	GROUP	\N	358	113	\N	9999-12-31	2013-05-08
25/2-6	2148.000000	2631.000000	ROGALAND GP	GROUP	\N	358	131	\N	9999-12-31	2013-05-08
25/2-6	2209.000000	2221.000000	SELE FM	FORMATION	ROGALAND GP	358	142	131	9999-12-31	2013-05-08
25/2-6	2631.000000	3083.000000	SHETLAND GP	GROUP	\N	358	143	\N	9999-12-31	2013-05-08
25/2-6	926.000000	1096.000000	SKADE FM	FORMATION	HORDALAND GP	358	145	67	9999-12-31	2013-05-08
25/2-6	3257.000000	3317.000000	SLEIPNER FM	FORMATION	VESTLAND GP	358	148	186	9999-12-31	2013-05-08
25/2-6	3705.000000	3750.000000	SMITH BANK FM	FORMATION	HEGRE GP	358	149	61	9999-12-31	2013-05-08
25/2-6	3504.000000	3705.000000	STATFJORD FM	FORMATION	\N	358	157	\N	9999-12-31	2013-05-08
25/2-6	3021.000000	3083.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	358	173	143	9999-12-31	2013-05-08
25/2-6	2563.000000	2631.000000	TY FM	FORMATION	ROGALAND GP	358	176	131	9999-12-31	2013-05-08
25/2-6	297.000000	897.000000	UTSIRA FM	FORMATION	NORDLAND GP	358	183	113	9999-12-31	2013-05-08
25/2-6	3241.000000	3317.000000	VESTLAND GP	GROUP	\N	358	186	\N	9999-12-31	2013-05-08
25/2-6	3083.000000	3241.000000	VIKING GP	GROUP	\N	358	188	\N	9999-12-31	2013-05-08
25/2-6	2463.000000	2563.000000	VÅLE FM	FORMATION	ROGALAND GP	358	190	131	9999-12-31	2013-05-08
25/2-6	3504.000000	3705.000000	NO GROUP DEFINED	GROUP	\N	358	208	\N	9999-12-31	2013-05-08
25/2-6	3705.000000	3750.000000	NO GROUP DEFINED	GROUP	\N	358	208	\N	9999-12-31	2013-05-08
25/4-1	1926.000000	1972.000000	BALDER FM	FORMATION	ROGALAND GP	359	6	131	9999-12-31	2013-05-08
25/4-1	3154.000000	3171.000000	BLODØKS FM	FORMATION	SHETLAND GP	359	13	143	9999-12-31	2013-05-08
25/4-1	3171.000000	3185.000000	DRAUPNE FM	FORMATION	VIKING GP	359	28	188	9999-12-31	2013-05-08
25/4-1	1317.000000	1330.000000	GRID FM	FORMATION	HORDALAND GP	359	53	67	9999-12-31	2013-05-08
25/4-1	2067.000000	2423.000000	HEIMDAL FM	FORMATION	ROGALAND GP	359	62	131	9999-12-31	2013-05-08
25/4-1	826.000000	1926.000000	HORDALAND GP	GROUP	\N	359	67	\N	9999-12-31	2013-05-08
25/4-1	3185.000000	3190.000000	HUGIN FM	FORMATION	VESTLAND GP	359	69	186	9999-12-31	2013-05-08
25/4-1	2620.000000	2721.000000	JORSALFARE FM	FORMATION	SHETLAND GP	359	74	143	9999-12-31	2013-05-08
25/4-1	2721.000000	3062.000000	KYRRE FM	FORMATION	SHETLAND GP	359	92	143	9999-12-31	2013-05-08
25/4-1	2027.000000	2067.000000	LISTA FM	FORMATION	ROGALAND GP	359	95	131	9999-12-31	2013-05-08
25/4-1	2423.000000	2570.000000	LISTA FM	FORMATION	ROGALAND GP	359	95	131	9999-12-31	2013-05-08
25/4-1	1080.000000	1317.000000	NO FORMAL NAME	FORMATION	\N	359	111	\N	9999-12-31	2013-05-08
25/4-1	1330.000000	1926.000000	NO FORMAL NAME	FORMATION	\N	359	111	\N	9999-12-31	2013-05-08
25/4-1	145.000000	826.000000	NORDLAND GP	GROUP	\N	359	113	\N	9999-12-31	2013-05-08
25/4-1	1926.000000	2620.000000	ROGALAND GP	GROUP	\N	359	131	\N	9999-12-31	2013-05-08
25/4-1	1972.000000	2027.000000	SELE FM	FORMATION	ROGALAND GP	359	142	131	9999-12-31	2013-05-08
25/4-1	2620.000000	3171.000000	SHETLAND GP	GROUP	\N	359	143	\N	9999-12-31	2013-05-08
25/4-1	1000.000000	1080.000000	SKADE FM	FORMATION	HORDALAND GP	359	145	67	9999-12-31	2013-05-08
25/4-1	3190.000000	3292.000000	SLEIPNER FM	FORMATION	VESTLAND GP	359	148	186	9999-12-31	2013-05-08
25/4-1	3513.000000	4060.000000	SMITH BANK FM	FORMATION	HEGRE GP	359	149	61	9999-12-31	2013-05-08
25/4-1	3292.000000	3513.000000	STATFJORD FM	FORMATION	\N	359	157	\N	9999-12-31	2013-05-08
25/4-1	3062.000000	3154.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	359	173	143	9999-12-31	2013-05-08
25/4-1	255.000000	826.000000	UTSIRA FM	FORMATION	NORDLAND GP	359	183	113	9999-12-31	2013-05-08
25/4-1	3185.000000	3292.000000	VESTLAND GP	GROUP	\N	359	186	\N	9999-12-31	2013-05-08
25/4-1	3171.000000	3185.000000	VIKING GP	GROUP	\N	359	188	\N	9999-12-31	2013-05-08
25/4-1	2570.000000	2620.000000	VÅLE FM	FORMATION	ROGALAND GP	359	190	131	9999-12-31	2013-05-08
25/4-1	3292.000000	3513.000000	NO GROUP DEFINED	GROUP	\N	359	208	\N	9999-12-31	2013-05-08
25/4-1	3513.000000	4060.000000	NO GROUP DEFINED	GROUP	\N	359	208	\N	9999-12-31	2013-05-08
25/4-2	2038.000000	2073.000000	BALDER FM	FORMATION	ROGALAND GP	360	6	131	9999-12-31	2013-05-08
25/4-2	1125.000000	1200.000000	GRID FM	FORMATION	HORDALAND GP	360	53	67	9999-12-31	2013-05-08
25/4-2	2157.000000	2561.000000	HEIMDAL FM	FORMATION	ROGALAND GP	360	62	131	9999-12-31	2013-05-08
25/4-2	912.000000	2038.000000	HORDALAND GP	GROUP	\N	360	67	\N	9999-12-31	2013-05-08
25/4-2	2762.000000	2775.000000	JORSALFARE FM	FORMATION	SHETLAND GP	360	74	143	9999-12-31	2013-05-08
25/4-2	2117.000000	2157.000000	LISTA FM	FORMATION	ROGALAND GP	360	95	131	9999-12-31	2013-05-08
25/4-2	2723.000000	2762.000000	LISTA FM	FORMATION	ROGALAND GP	360	95	131	9999-12-31	2013-05-08
25/4-2	1014.000000	1125.000000	NO FORMAL NAME	FORMATION	\N	360	111	\N	9999-12-31	2013-05-08
25/4-2	1200.000000	2038.000000	NO FORMAL NAME	FORMATION	\N	360	111	\N	9999-12-31	2013-05-08
25/4-2	144.000000	912.000000	NORDLAND GP	GROUP	\N	360	113	\N	9999-12-31	2013-05-08
25/4-2	2038.000000	2762.000000	ROGALAND GP	GROUP	\N	360	131	\N	9999-12-31	2013-05-08
25/4-2	2073.000000	2117.000000	SELE FM	FORMATION	ROGALAND GP	360	142	131	9999-12-31	2013-05-08
25/4-2	2762.000000	2775.000000	SHETLAND GP	GROUP	\N	360	143	\N	9999-12-31	2013-05-08
25/4-2	983.000000	1014.000000	SKADE FM	FORMATION	HORDALAND GP	360	145	67	9999-12-31	2013-05-08
25/4-2	750.000000	912.000000	UTSIRA FM	FORMATION	NORDLAND GP	360	183	113	9999-12-31	2013-05-08
25/4-2	2561.000000	2723.000000	VÅLE FM	FORMATION	ROGALAND GP	360	190	131	9999-12-31	2013-05-08
25/4-3	1965.000000	2016.000000	BALDER FM	FORMATION	ROGALAND GP	361	6	131	9999-12-31	2013-05-08
25/4-3	1285.000000	1363.000000	GRID FM	FORMATION	HORDALAND GP	361	53	67	9999-12-31	2013-05-08
25/4-3	2125.000000	2503.000000	HEIMDAL FM	FORMATION	ROGALAND GP	361	62	131	9999-12-31	2013-05-08
25/4-3	740.000000	1965.000000	HORDALAND GP	GROUP	\N	361	67	\N	9999-12-31	2013-05-08
25/4-3	2646.000000	2714.000000	JORSALFARE FM	FORMATION	SHETLAND GP	361	74	143	9999-12-31	2013-05-08
25/4-3	2063.000000	2125.000000	LISTA FM	FORMATION	ROGALAND GP	361	95	131	9999-12-31	2013-05-08
25/4-3	2503.000000	2550.000000	LISTA FM	FORMATION	ROGALAND GP	361	95	131	9999-12-31	2013-05-08
25/4-3	1065.000000	1285.000000	NO FORMAL NAME	FORMATION	\N	361	111	\N	9999-12-31	2013-05-08
25/4-3	1363.000000	1965.000000	NO FORMAL NAME	FORMATION	\N	361	111	\N	9999-12-31	2013-05-08
25/4-3	147.000000	740.000000	NORDLAND GP	GROUP	\N	361	113	\N	9999-12-31	2013-05-08
25/4-3	1965.000000	2646.000000	ROGALAND GP	GROUP	\N	361	131	\N	9999-12-31	2013-05-08
25/4-3	2016.000000	2063.000000	SELE FM	FORMATION	ROGALAND GP	361	142	131	9999-12-31	2013-05-08
25/4-3	2646.000000	2714.000000	SHETLAND GP	GROUP	\N	361	143	\N	9999-12-31	2013-05-08
25/4-3	843.000000	1065.000000	SKADE FM	FORMATION	HORDALAND GP	361	145	67	9999-12-31	2013-05-08
25/4-3	2550.000000	2646.000000	TY FM	FORMATION	ROGALAND GP	361	176	131	9999-12-31	2013-05-08
25/4-3	300.000000	740.000000	UTSIRA FM	FORMATION	NORDLAND GP	361	183	113	9999-12-31	2013-05-08
25/4-4	2012.000000	2045.000000	BALDER FM	FORMATION	ROGALAND GP	362	6	131	9999-12-31	2013-05-08
25/4-4	2133.000000	2456.000000	HEIMDAL FM	FORMATION	ROGALAND GP	362	62	131	9999-12-31	2013-05-08
25/4-4	774.000000	2012.000000	HORDALAND GP	GROUP	\N	362	67	\N	9999-12-31	2013-05-08
25/4-4	2090.000000	2133.000000	LISTA FM	FORMATION	ROGALAND GP	362	95	131	9999-12-31	2013-05-08
25/4-4	2456.000000	2517.000000	LISTA FM	FORMATION	ROGALAND GP	362	95	131	9999-12-31	2013-05-08
25/4-4	1111.000000	2012.000000	NO FORMAL NAME	FORMATION	\N	362	111	\N	9999-12-31	2013-05-08
25/4-4	141.000000	774.000000	NORDLAND GP	GROUP	\N	362	113	\N	9999-12-31	2013-05-08
25/4-4	2012.000000	2681.000000	ROGALAND GP	GROUP	\N	362	131	\N	9999-12-31	2013-05-08
25/4-4	2045.000000	2090.000000	SELE FM	FORMATION	ROGALAND GP	362	142	131	9999-12-31	2013-05-08
25/4-4	979.000000	1111.000000	SKADE FM	FORMATION	HORDALAND GP	362	145	67	9999-12-31	2013-05-08
25/4-4	2517.000000	2674.000000	TY FM	FORMATION	ROGALAND GP	362	176	131	9999-12-31	2013-05-08
25/4-4	2674.000000	2681.000000	VÅLE FM	FORMATION	ROGALAND GP	362	190	131	9999-12-31	2013-05-08
25/8-2	1919.000000	1983.000000	BALDER FM	FORMATION	ROGALAND GP	363	6	131	9999-12-31	2013-05-08
25/8-2	2330.000000	2399.000000	DUNLIN GP	GROUP	\N	363	29	\N	9999-12-31	2013-05-08
25/8-2	2158.000000	2179.000000	HEIMDAL FM	FORMATION	ROGALAND GP	363	62	131	9999-12-31	2013-05-08
25/8-2	730.000000	1919.000000	HORDALAND GP	GROUP	\N	363	67	\N	9999-12-31	2013-05-08
25/8-2	2032.000000	2158.000000	LISTA FM	FORMATION	ROGALAND GP	363	95	131	9999-12-31	2013-05-08
25/8-2	680.000000	730.000000	NO FORMAL NAME	FORMATION	\N	363	111	\N	9999-12-31	2013-05-08
25/8-2	1030.000000	1140.000000	NO FORMAL NAME	FORMATION	\N	363	111	\N	9999-12-31	2013-05-08
25/8-2	1301.000000	1919.000000	NO FORMAL NAME	FORMATION	\N	363	111	\N	9999-12-31	2013-05-08
25/8-2	151.000000	730.000000	NORDLAND GP	GROUP	\N	363	113	\N	9999-12-31	2013-05-08
25/8-2	1919.000000	2288.000000	ROGALAND GP	GROUP	\N	363	131	\N	9999-12-31	2013-05-08
25/8-2	1983.000000	2032.000000	SELE FM	FORMATION	ROGALAND GP	363	142	131	9999-12-31	2013-05-08
25/8-2	730.000000	1030.000000	SKADE FM	FORMATION	HORDALAND GP	363	145	67	9999-12-31	2013-05-08
25/8-2	1140.000000	1301.000000	SKADE FM	FORMATION	HORDALAND GP	363	145	67	9999-12-31	2013-05-08
25/8-2	2288.000000	2330.000000	SLEIPNER FM	FORMATION	VESTLAND GP	363	148	186	9999-12-31	2013-05-08
25/8-2	2399.000000	2578.000000	STATFJORD FM	FORMATION	\N	363	157	\N	9999-12-31	2013-05-08
25/8-2	2210.000000	2288.000000	TY FM	FORMATION	ROGALAND GP	363	176	131	9999-12-31	2013-05-08
25/8-2	650.000000	680.000000	UTSIRA FM	FORMATION	NORDLAND GP	363	183	113	9999-12-31	2013-05-08
25/8-2	2288.000000	2330.000000	VESTLAND GP	GROUP	\N	363	186	\N	9999-12-31	2013-05-08
25/8-2	2179.000000	2210.000000	VÅLE FM	FORMATION	ROGALAND GP	363	190	131	9999-12-31	2013-05-08
25/8-2	2399.000000	2578.000000	NO GROUP DEFINED	GROUP	\N	363	208	\N	9999-12-31	2013-05-08
25/8-3	1667.000000	1733.000000	BALDER FM	FORMATION	ROGALAND GP	364	6	131	9999-12-31	2013-05-08
25/8-3	1841.000000	1868.000000	EKOFISK FM	FORMATION	SHETLAND GP	364	33	143	9999-12-31	2013-05-08
25/8-3	1783.000000	1787.000000	HEIMDAL FM	FORMATION	ROGALAND GP	364	62	131	9999-12-31	2013-05-08
25/8-3	1794.000000	1835.000000	HEIMDAL FM	FORMATION	ROGALAND GP	364	62	131	9999-12-31	2013-05-08
25/8-3	1753.000000	1767.000000	HERMOD FM	FORMATION	ROGALAND GP	364	64	131	9999-12-31	2013-05-08
25/8-3	750.000000	1667.000000	HORDALAND GP	GROUP	\N	364	67	\N	9999-12-31	2013-05-08
25/8-3	1770.000000	1783.000000	LISTA FM	FORMATION	ROGALAND GP	364	95	131	9999-12-31	2013-05-08
25/8-3	1787.000000	1794.000000	LISTA FM	FORMATION	ROGALAND GP	364	95	131	9999-12-31	2013-05-08
25/8-3	1835.000000	1841.000000	LISTA FM	FORMATION	ROGALAND GP	364	95	131	9999-12-31	2013-05-08
25/8-3	700.000000	750.000000	NO FORMAL NAME	FORMATION	\N	364	111	\N	9999-12-31	2013-05-08
25/8-3	945.000000	1005.000000	NO FORMAL NAME	FORMATION	\N	364	111	\N	9999-12-31	2013-05-08
25/8-3	1031.000000	1667.000000	NO FORMAL NAME	FORMATION	\N	364	111	\N	9999-12-31	2013-05-08
25/8-3	155.000000	750.000000	NORDLAND GP	GROUP	\N	364	113	\N	9999-12-31	2013-05-08
25/8-3	1667.000000	1841.000000	ROGALAND GP	GROUP	\N	364	131	\N	9999-12-31	2013-05-08
25/8-3	1733.000000	1753.000000	SELE FM	FORMATION	ROGALAND GP	364	142	131	9999-12-31	2013-05-08
25/8-3	1767.000000	1770.000000	SELE FM	FORMATION	ROGALAND GP	364	142	131	9999-12-31	2013-05-08
25/8-3	1841.000000	1868.000000	SHETLAND GP	GROUP	\N	364	143	\N	9999-12-31	2013-05-08
25/8-3	750.000000	945.000000	SKADE FM	FORMATION	HORDALAND GP	364	145	67	9999-12-31	2013-05-08
25/8-3	1005.000000	1031.000000	SKADE FM	FORMATION	HORDALAND GP	364	145	67	9999-12-31	2013-05-08
25/8-3	623.000000	700.000000	UTSIRA FM	FORMATION	NORDLAND GP	364	183	113	9999-12-31	2013-05-08
25/10-5	1804.000000	1820.000000	BALDER FM	FORMATION	ROGALAND GP	365	6	131	9999-12-31	2013-05-08
25/10-5	1733.000000	1804.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	365	7	131	9999-12-31	2013-05-08
25/10-5	1991.000000	2001.000000	EKOFISK FM	FORMATION	SHETLAND GP	365	33	143	9999-12-31	2013-05-08
25/10-5	1399.000000	1443.000000	GRID FM	FORMATION	HORDALAND GP	365	53	67	9999-12-31	2013-05-08
25/10-5	1906.000000	1939.000000	HEIMDAL FM	FORMATION	ROGALAND GP	365	62	131	9999-12-31	2013-05-08
25/10-5	1950.000000	1955.000000	HEIMDAL FM	FORMATION	ROGALAND GP	365	62	131	9999-12-31	2013-05-08
25/10-5	1831.000000	1848.000000	HERMOD FM	FORMATION	ROGALAND GP	365	64	131	9999-12-31	2013-05-08
25/10-5	943.000000	1733.000000	HORDALAND GP	GROUP	\N	365	67	\N	9999-12-31	2013-05-08
25/10-5	1859.000000	1906.000000	LISTA FM	FORMATION	ROGALAND GP	365	95	131	9999-12-31	2013-05-08
25/10-5	1939.000000	1950.000000	LISTA FM	FORMATION	ROGALAND GP	365	95	131	9999-12-31	2013-05-08
25/10-5	1955.000000	1991.000000	LISTA FM	FORMATION	ROGALAND GP	365	95	131	9999-12-31	2013-05-08
25/10-5	1101.000000	1399.000000	NO FORMAL NAME	FORMATION	\N	365	111	\N	9999-12-31	2013-05-08
25/10-5	1443.000000	1733.000000	NO FORMAL NAME	FORMATION	\N	365	111	\N	9999-12-31	2013-05-08
25/10-5	150.000000	943.000000	NORDLAND GP	GROUP	\N	365	113	\N	9999-12-31	2013-05-08
25/10-5	1733.000000	1991.000000	ROGALAND GP	GROUP	\N	365	131	\N	9999-12-31	2013-05-08
25/10-5	1820.000000	1831.000000	SELE FM	FORMATION	ROGALAND GP	365	142	131	9999-12-31	2013-05-08
25/10-5	1848.000000	1859.000000	SELE FM	FORMATION	ROGALAND GP	365	142	131	9999-12-31	2013-05-08
25/10-5	1991.000000	2001.000000	SHETLAND GP	GROUP	\N	365	143	\N	9999-12-31	2013-05-08
25/10-5	1077.000000	1101.000000	SKADE FM	FORMATION	HORDALAND GP	365	145	67	9999-12-31	2013-05-08
25/10-5	578.000000	943.000000	UTSIRA FM	FORMATION	NORDLAND GP	365	183	113	9999-12-31	2013-05-08
25/10-5	2001.000000	2011.000000	VIKING GP	GROUP	\N	365	188	\N	9999-12-31	2013-05-08
25/11-5	1661.000000	1698.000000	BALDER FM	FORMATION	ROGALAND GP	366	6	131	9999-12-31	2013-05-08
25/11-5	1701.000000	1724.000000	BALDER FM	FORMATION	ROGALAND GP	366	6	131	9999-12-31	2013-05-08
25/11-5	1698.000000	1701.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	366	7	131	9999-12-31	2013-05-08
25/11-5	1935.000000	1950.000000	CROMER KNOLL GP	GROUP	\N	366	23	\N	9999-12-31	2013-05-08
25/11-5	1950.000000	1955.000000	DRAUPNE FM	FORMATION	VIKING GP	366	28	188	9999-12-31	2013-05-08
25/11-5	1798.000000	1873.000000	HEIMDAL FM	FORMATION	ROGALAND GP	366	62	131	9999-12-31	2013-05-08
25/11-5	1731.000000	1771.000000	HERMOD FM	FORMATION	ROGALAND GP	366	64	131	9999-12-31	2013-05-08
25/11-5	759.000000	1661.000000	HORDALAND GP	GROUP	\N	366	67	\N	9999-12-31	2013-05-08
25/11-5	1773.000000	1798.000000	LISTA FM	FORMATION	ROGALAND GP	366	95	131	9999-12-31	2013-05-08
25/11-5	1873.000000	1917.000000	LISTA FM	FORMATION	ROGALAND GP	366	95	131	9999-12-31	2013-05-08
25/11-5	700.000000	759.000000	NO FORMAL NAME	FORMATION	\N	366	111	\N	9999-12-31	2013-05-08
25/11-5	961.000000	1661.000000	NO FORMAL NAME	FORMATION	\N	366	111	\N	9999-12-31	2013-05-08
25/11-5	147.000000	759.000000	NORDLAND GP	GROUP	\N	366	113	\N	9999-12-31	2013-05-08
25/11-5	1661.000000	1917.000000	ROGALAND GP	GROUP	\N	366	131	\N	9999-12-31	2013-05-08
25/11-5	1724.000000	1731.000000	SELE FM	FORMATION	ROGALAND GP	366	142	131	9999-12-31	2013-05-08
25/11-5	1771.000000	1773.000000	SELE FM	FORMATION	ROGALAND GP	366	142	131	9999-12-31	2013-05-08
25/11-5	1917.000000	1935.000000	SHETLAND GP	GROUP	\N	366	143	\N	9999-12-31	2013-05-08
25/11-5	759.000000	961.000000	SKADE FM	FORMATION	HORDALAND GP	366	145	67	9999-12-31	2013-05-08
25/11-5	1955.000000	2087.000000	STATFJORD FM	FORMATION	\N	366	157	\N	9999-12-31	2013-05-08
25/11-5	581.000000	700.000000	UTSIRA FM	FORMATION	NORDLAND GP	366	183	113	9999-12-31	2013-05-08
25/11-5	1950.000000	1955.000000	VIKING GP	GROUP	\N	366	188	\N	9999-12-31	2013-05-08
25/11-5	1955.000000	2087.000000	NO GROUP DEFINED	GROUP	\N	366	208	\N	9999-12-31	2013-05-08
25/11-5	2087.000000	2164.000000	NO GROUP DEFINED	GROUP	\N	366	208	\N	9999-12-31	2013-05-08
25/11-6	1646.000000	1664.000000	BALDER FM	FORMATION	ROGALAND GP	367	6	131	9999-12-31	2013-05-08
25/11-6	1672.000000	1688.000000	BALDER FM	FORMATION	ROGALAND GP	367	6	131	9999-12-31	2013-05-08
25/11-6	1664.000000	1672.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	367	7	131	9999-12-31	2013-05-08
25/11-6	1932.000000	1948.000000	CROMER KNOLL GP	GROUP	\N	367	23	\N	9999-12-31	2013-05-08
25/11-6	1903.000000	1908.000000	EKOFISK FM	FORMATION	SHETLAND GP	367	33	143	9999-12-31	2013-05-08
25/11-6	1462.000000	1471.000000	GRID FM	FORMATION	HORDALAND GP	367	53	67	9999-12-31	2013-05-08
25/11-6	1718.000000	1848.000000	HEIMDAL FM	FORMATION	ROGALAND GP	367	62	131	9999-12-31	2013-05-08
25/11-6	752.000000	1646.000000	HORDALAND GP	GROUP	\N	367	67	\N	9999-12-31	2013-05-08
25/11-6	1702.000000	1718.000000	LISTA FM	FORMATION	ROGALAND GP	367	95	131	9999-12-31	2013-05-08
25/11-6	1848.000000	1864.000000	LISTA FM	FORMATION	ROGALAND GP	367	95	131	9999-12-31	2013-05-08
25/11-6	730.000000	752.000000	NO FORMAL NAME	FORMATION	\N	367	111	\N	9999-12-31	2013-05-08
25/11-6	1011.000000	1080.000000	NO FORMAL NAME	FORMATION	\N	367	111	\N	9999-12-31	2013-05-08
25/11-6	1100.000000	1462.000000	NO FORMAL NAME	FORMATION	\N	367	111	\N	9999-12-31	2013-05-08
25/11-6	1471.000000	1646.000000	NO FORMAL NAME	FORMATION	\N	367	111	\N	9999-12-31	2013-05-08
25/11-6	151.000000	752.000000	NORDLAND GP	GROUP	\N	367	113	\N	9999-12-31	2013-05-08
25/11-6	1646.000000	1903.000000	ROGALAND GP	GROUP	\N	367	131	\N	9999-12-31	2013-05-08
25/11-6	1688.000000	1702.000000	SELE FM	FORMATION	ROGALAND GP	367	142	131	9999-12-31	2013-05-08
25/11-6	1903.000000	1932.000000	SHETLAND GP	GROUP	\N	367	143	\N	9999-12-31	2013-05-08
25/11-6	752.000000	1011.000000	SKADE FM	FORMATION	HORDALAND GP	367	145	67	9999-12-31	2013-05-08
25/11-6	1080.000000	1100.000000	SKADE FM	FORMATION	HORDALAND GP	367	145	67	9999-12-31	2013-05-08
25/11-6	1908.000000	1932.000000	TOR FM	FORMATION	SHETLAND GP	367	171	143	9999-12-31	2013-05-08
25/11-6	1877.000000	1903.000000	TY FM	FORMATION	ROGALAND GP	367	176	131	9999-12-31	2013-05-08
25/11-6	608.000000	730.000000	UTSIRA FM	FORMATION	NORDLAND GP	367	183	113	9999-12-31	2013-05-08
25/11-6	1864.000000	1877.000000	VÅLE FM	FORMATION	ROGALAND GP	367	190	131	9999-12-31	2013-05-08
25/11-7	1667.000000	1678.000000	BALDER FM	FORMATION	ROGALAND GP	368	6	131	9999-12-31	2013-05-08
25/11-7	1697.000000	1701.000000	BALDER FM	FORMATION	ROGALAND GP	368	6	131	9999-12-31	2013-05-08
25/11-7	1678.000000	1697.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	368	7	131	9999-12-31	2013-05-08
25/11-7	1701.000000	1711.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	368	7	131	9999-12-31	2013-05-08
25/11-7	1921.000000	1930.000000	EKOFISK FM	FORMATION	SHETLAND GP	368	33	143	9999-12-31	2013-05-08
25/11-7	1751.000000	1850.000000	HEIMDAL FM	FORMATION	ROGALAND GP	368	62	131	9999-12-31	2013-05-08
25/11-7	1862.000000	1875.000000	HEIMDAL FM	FORMATION	ROGALAND GP	368	62	131	9999-12-31	2013-05-08
25/11-7	767.000000	1667.000000	HORDALAND GP	GROUP	\N	368	67	\N	9999-12-31	2013-05-08
25/11-7	1716.000000	1751.000000	LISTA FM	FORMATION	ROGALAND GP	368	95	131	9999-12-31	2013-05-08
25/11-7	1850.000000	1862.000000	LISTA FM	FORMATION	ROGALAND GP	368	95	131	9999-12-31	2013-05-08
25/11-7	1875.000000	1918.000000	LISTA FM	FORMATION	ROGALAND GP	368	95	131	9999-12-31	2013-05-08
25/11-7	742.000000	767.000000	NO FORMAL NAME	FORMATION	\N	368	111	\N	9999-12-31	2013-05-08
25/11-7	925.000000	960.000000	NO FORMAL NAME	FORMATION	\N	368	111	\N	9999-12-31	2013-05-08
25/11-7	975.000000	1055.000000	NO FORMAL NAME	FORMATION	\N	368	111	\N	9999-12-31	2013-05-08
25/11-7	1087.000000	1667.000000	NO FORMAL NAME	FORMATION	\N	368	111	\N	9999-12-31	2013-05-08
25/11-7	149.000000	767.000000	NORDLAND GP	GROUP	\N	368	113	\N	9999-12-31	2013-05-08
25/11-7	1711.000000	1716.000000	SELE FM	FORMATION	ROGALAND GP	368	142	131	9999-12-31	2013-05-08
25/11-7	1667.000000	1921.000000	SHETLAND GP	GROUP	\N	368	143	\N	9999-12-31	2013-05-08
25/11-7	1921.000000	1944.000000	SHETLAND GP	GROUP	\N	368	143	\N	9999-12-31	2013-05-08
25/11-7	767.000000	925.000000	SKADE FM	FORMATION	HORDALAND GP	368	145	67	9999-12-31	2013-05-08
25/11-7	960.000000	975.000000	SKADE FM	FORMATION	HORDALAND GP	368	145	67	9999-12-31	2013-05-08
25/11-7	1055.000000	1087.000000	SKADE FM	FORMATION	HORDALAND GP	368	145	67	9999-12-31	2013-05-08
25/11-7	1930.000000	1944.000000	TOR FM	FORMATION	SHETLAND GP	368	171	143	9999-12-31	2013-05-08
25/11-7	598.000000	742.000000	UTSIRA FM	FORMATION	NORDLAND GP	368	183	113	9999-12-31	2013-05-08
25/11-7	1918.000000	1921.000000	VÅLE FM	FORMATION	ROGALAND GP	368	190	131	9999-12-31	2013-05-08
25/11-8	1655.000000	1675.000000	BALDER FM	FORMATION	ROGALAND GP	369	6	131	9999-12-31	2013-05-08
25/11-8	1677.000000	1693.000000	BALDER FM	FORMATION	ROGALAND GP	369	6	131	9999-12-31	2013-05-08
25/11-8	1698.000000	1699.000000	BALDER FM	FORMATION	ROGALAND GP	369	6	131	9999-12-31	2013-05-08
25/11-8	1675.000000	1677.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	369	7	131	9999-12-31	2013-05-08
25/11-8	1693.000000	1698.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	369	7	131	9999-12-31	2013-05-08
25/11-8	1925.000000	1950.000000	EKOFISK FM	FORMATION	SHETLAND GP	369	33	143	9999-12-31	2013-05-08
25/11-8	1722.000000	1895.000000	HEIMDAL FM	FORMATION	ROGALAND GP	369	62	131	9999-12-31	2013-05-08
25/11-8	750.000000	1655.000000	HORDALAND GP	GROUP	\N	369	67	\N	9999-12-31	2013-05-08
25/11-8	1712.000000	1722.000000	LISTA FM	FORMATION	ROGALAND GP	369	95	131	9999-12-31	2013-05-08
25/11-8	1895.000000	1915.000000	LISTA FM	FORMATION	ROGALAND GP	369	95	131	9999-12-31	2013-05-08
25/11-8	725.000000	750.000000	NO FORMAL NAME	FORMATION	\N	369	111	\N	9999-12-31	2013-05-08
25/11-8	916.000000	948.000000	NO FORMAL NAME	FORMATION	\N	369	111	\N	9999-12-31	2013-05-08
25/11-8	968.000000	1049.000000	NO FORMAL NAME	FORMATION	\N	369	111	\N	9999-12-31	2013-05-08
25/11-8	1072.000000	1655.000000	NO FORMAL NAME	FORMATION	\N	369	111	\N	9999-12-31	2013-05-08
25/11-8	151.000000	750.000000	NORDLAND GP	GROUP	\N	369	113	\N	9999-12-31	2013-05-08
25/11-8	1655.000000	1925.000000	ROGALAND GP	GROUP	\N	369	131	\N	9999-12-31	2013-05-08
25/11-8	1699.000000	1712.000000	SELE FM	FORMATION	ROGALAND GP	369	142	131	9999-12-31	2013-05-08
25/11-8	1925.000000	1950.000000	SHETLAND GP	GROUP	\N	369	143	\N	9999-12-31	2013-05-08
25/11-8	750.000000	916.000000	SKADE FM	FORMATION	HORDALAND GP	369	145	67	9999-12-31	2013-05-08
25/11-8	948.000000	968.000000	SKADE FM	FORMATION	HORDALAND GP	369	145	67	9999-12-31	2013-05-08
25/11-8	1049.000000	1072.000000	SKADE FM	FORMATION	HORDALAND GP	369	145	67	9999-12-31	2013-05-08
25/11-8	585.000000	725.000000	UTSIRA FM	FORMATION	NORDLAND GP	369	183	113	9999-12-31	2013-05-08
25/11-8	1915.000000	1925.000000	VÅLE FM	FORMATION	ROGALAND GP	369	190	131	9999-12-31	2013-05-08
25/11-10	1682.000000	1725.000000	BALDER FM	FORMATION	ROGALAND GP	370	6	131	9999-12-31	2013-05-08
25/11-10	1968.000000	1988.000000	EKOFISK FM	FORMATION	SHETLAND GP	370	33	143	9999-12-31	2013-05-08
25/11-10	1786.000000	1930.000000	HEIMDAL FM	FORMATION	ROGALAND GP	370	62	131	9999-12-31	2013-05-08
25/11-10	1943.000000	1958.000000	HEIMDAL FM	FORMATION	ROGALAND GP	370	62	131	9999-12-31	2013-05-08
25/11-10	778.000000	1682.000000	HORDALAND GP	GROUP	\N	370	67	\N	9999-12-31	2013-05-08
25/11-10	1743.000000	1786.000000	LISTA FM	FORMATION	ROGALAND GP	370	95	131	9999-12-31	2013-05-08
25/11-10	1930.000000	1943.000000	LISTA FM	FORMATION	ROGALAND GP	370	95	131	9999-12-31	2013-05-08
25/11-10	754.000000	778.000000	NO FORMAL NAME	FORMATION	\N	370	111	\N	9999-12-31	2013-05-08
25/11-10	1004.000000	1025.000000	NO FORMAL NAME	FORMATION	\N	370	111	\N	9999-12-31	2013-05-08
25/11-10	1062.000000	1159.000000	NO FORMAL NAME	FORMATION	\N	370	111	\N	9999-12-31	2013-05-08
25/11-10	1223.000000	1260.000000	NO FORMAL NAME	FORMATION	\N	370	111	\N	9999-12-31	2013-05-08
25/11-10	1270.000000	1682.000000	NO FORMAL NAME	FORMATION	\N	370	111	\N	9999-12-31	2013-05-08
25/11-10	149.000000	778.000000	NORDLAND GP	GROUP	\N	370	113	\N	9999-12-31	2013-05-08
25/11-10	1682.000000	1968.000000	ROGALAND GP	GROUP	\N	370	131	\N	9999-12-31	2013-05-08
25/11-10	1725.000000	1743.000000	SELE FM	FORMATION	ROGALAND GP	370	142	131	9999-12-31	2013-05-08
25/11-10	1968.000000	1988.000000	SHETLAND GP	GROUP	\N	370	143	\N	9999-12-31	2013-05-08
25/11-10	778.000000	1004.000000	SKADE FM	FORMATION	HORDALAND GP	370	145	67	9999-12-31	2013-05-08
25/11-10	1025.000000	1062.000000	SKADE FM	FORMATION	HORDALAND GP	370	145	67	9999-12-31	2013-05-08
25/11-10	1159.000000	1223.000000	SKADE FM	FORMATION	HORDALAND GP	370	145	67	9999-12-31	2013-05-08
25/11-10	1260.000000	1270.000000	SKADE FM	FORMATION	HORDALAND GP	370	145	67	9999-12-31	2013-05-08
25/11-10	601.000000	754.000000	UTSIRA FM	FORMATION	NORDLAND GP	370	183	113	9999-12-31	2013-05-08
25/11-10	1958.000000	1968.000000	VÅLE FM	FORMATION	ROGALAND GP	370	190	131	9999-12-31	2013-05-08
25/11-11	1655.000000	1698.000000	BALDER FM	FORMATION	ROGALAND GP	371	6	131	9999-12-31	2013-05-08
25/11-11	1698.000000	1714.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	371	7	131	9999-12-31	2013-05-08
25/11-11	1940.000000	1960.000000	EKOFISK FM	FORMATION	SHETLAND GP	371	33	143	9999-12-31	2013-05-08
25/11-11	1218.000000	1245.000000	GRID FM	FORMATION	HORDALAND GP	371	53	67	9999-12-31	2013-05-08
25/11-11	1754.000000	1895.000000	HEIMDAL FM	FORMATION	ROGALAND GP	371	62	131	9999-12-31	2013-05-08
25/11-11	758.000000	1655.000000	HORDALAND GP	GROUP	\N	371	67	\N	9999-12-31	2013-05-08
25/11-11	1738.000000	1754.000000	LISTA FM	FORMATION	ROGALAND GP	371	95	131	9999-12-31	2013-05-08
25/11-11	1895.000000	1940.000000	LISTA FM	FORMATION	ROGALAND GP	371	95	131	9999-12-31	2013-05-08
25/11-11	714.000000	758.000000	NO FORMAL NAME	FORMATION	\N	371	111	\N	9999-12-31	2013-05-08
25/11-11	959.000000	1068.000000	NO FORMAL NAME	FORMATION	\N	371	111	\N	9999-12-31	2013-05-08
25/11-11	1085.000000	1218.000000	NO FORMAL NAME	FORMATION	\N	371	111	\N	9999-12-31	2013-05-08
25/11-11	1245.000000	1655.000000	NO FORMAL NAME	FORMATION	\N	371	111	\N	9999-12-31	2013-05-08
25/11-11	151.000000	758.000000	NORDLAND GP	GROUP	\N	371	113	\N	9999-12-31	2013-05-08
25/11-11	1655.000000	1940.000000	ROGALAND GP	GROUP	\N	371	131	\N	9999-12-31	2013-05-08
25/11-11	1714.000000	1738.000000	SELE FM	FORMATION	ROGALAND GP	371	142	131	9999-12-31	2013-05-08
25/11-11	1940.000000	1960.000000	SHETLAND GP	GROUP	\N	371	143	\N	9999-12-31	2013-05-08
25/11-11	758.000000	959.000000	SKADE FM	FORMATION	HORDALAND GP	371	145	67	9999-12-31	2013-05-08
25/11-11	1068.000000	1085.000000	SKADE FM	FORMATION	HORDALAND GP	371	145	67	9999-12-31	2013-05-08
25/11-11	574.000000	714.000000	UTSIRA FM	FORMATION	NORDLAND GP	371	183	113	9999-12-31	2013-05-08
25/11-12	1675.000000	1731.000000	BALDER FM	FORMATION	ROGALAND GP	372	6	131	9999-12-31	2013-05-08
25/11-12	1904.000000	1918.000000	EKOFISK FM	FORMATION	SHETLAND GP	372	33	143	9999-12-31	2013-05-08
25/11-12	1785.000000	1890.000000	HEIMDAL FM	FORMATION	ROGALAND GP	372	62	131	9999-12-31	2013-05-08
25/11-12	749.000000	1675.000000	HORDALAND GP	GROUP	\N	372	67	\N	9999-12-31	2013-05-08
25/11-12	1751.000000	1785.000000	LISTA FM	FORMATION	ROGALAND GP	372	95	131	9999-12-31	2013-05-08
25/11-12	726.000000	749.000000	NO FORMAL NAME	FORMATION	\N	372	111	\N	9999-12-31	2013-05-08
25/11-12	971.000000	994.000000	NO FORMAL NAME	FORMATION	\N	372	111	\N	9999-12-31	2013-05-08
25/11-12	1016.000000	1243.000000	NO FORMAL NAME	FORMATION	\N	372	111	\N	9999-12-31	2013-05-08
25/11-12	1290.000000	1675.000000	NO FORMAL NAME	FORMATION	\N	372	111	\N	9999-12-31	2013-05-08
25/11-12	152.000000	749.000000	NORDLAND GP	GROUP	\N	372	113	\N	9999-12-31	2013-05-08
25/11-12	1675.000000	1904.000000	ROGALAND GP	GROUP	\N	372	131	\N	9999-12-31	2013-05-08
25/11-12	1731.000000	1751.000000	SELE FM	FORMATION	ROGALAND GP	372	142	131	9999-12-31	2013-05-08
25/11-12	1904.000000	1918.000000	SHETLAND GP	GROUP	\N	372	143	\N	9999-12-31	2013-05-08
25/11-12	749.000000	971.000000	SKADE FM	FORMATION	HORDALAND GP	372	145	67	9999-12-31	2013-05-08
25/11-12	994.000000	1016.000000	SKADE FM	FORMATION	HORDALAND GP	372	145	67	9999-12-31	2013-05-08
25/11-12	1243.000000	1290.000000	SKADE FM	FORMATION	HORDALAND GP	372	145	67	9999-12-31	2013-05-08
25/11-12	589.000000	726.000000	UTSIRA FM	FORMATION	NORDLAND GP	372	183	113	9999-12-31	2013-05-08
25/11-12	1890.000000	1904.000000	VÅLE FM	FORMATION	ROGALAND GP	372	190	131	9999-12-31	2013-05-08
25/11-13	1678.000000	1728.000000	BALDER FM	FORMATION	ROGALAND GP	373	6	131	9999-12-31	2013-05-08
25/11-13	1731.000000	1737.000000	BALDER FM	FORMATION	ROGALAND GP	373	6	131	9999-12-31	2013-05-08
25/11-13	1741.000000	1744.000000	BALDER FM	FORMATION	ROGALAND GP	373	6	131	9999-12-31	2013-05-08
25/11-13	1728.000000	1731.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	373	7	131	9999-12-31	2013-05-08
25/11-13	1737.000000	1741.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	373	7	131	9999-12-31	2013-05-08
25/11-13	1908.000000	1920.000000	EKOFISK FM	FORMATION	SHETLAND GP	373	33	143	9999-12-31	2013-05-08
25/11-13	1442.000000	1452.000000	GRID FM	FORMATION	HORDALAND GP	373	53	67	9999-12-31	2013-05-08
25/11-13	1858.000000	1862.000000	HEIMDAL FM	FORMATION	ROGALAND GP	373	62	131	9999-12-31	2013-05-08
25/11-13	1769.000000	1817.000000	HERMOD FM	FORMATION	ROGALAND GP	373	64	131	9999-12-31	2013-05-08
25/11-13	735.000000	1678.000000	HORDALAND GP	GROUP	\N	373	67	\N	9999-12-31	2013-05-08
25/11-13	1820.000000	1858.000000	LISTA FM	FORMATION	ROGALAND GP	373	95	131	9999-12-31	2013-05-08
25/11-13	695.000000	735.000000	NO FORMAL NAME	FORMATION	\N	373	111	\N	9999-12-31	2013-05-08
25/11-13	935.000000	978.000000	NO FORMAL NAME	FORMATION	\N	373	111	\N	9999-12-31	2013-05-08
25/11-13	986.000000	1064.000000	NO FORMAL NAME	FORMATION	\N	373	111	\N	9999-12-31	2013-05-08
25/11-13	1095.000000	1202.000000	NO FORMAL NAME	FORMATION	\N	373	111	\N	9999-12-31	2013-05-08
25/11-13	1215.000000	1442.000000	NO FORMAL NAME	FORMATION	\N	373	111	\N	9999-12-31	2013-05-08
25/11-13	1452.000000	1678.000000	NO FORMAL NAME	FORMATION	\N	373	111	\N	9999-12-31	2013-05-08
25/11-13	152.000000	735.000000	NORDLAND GP	GROUP	\N	373	113	\N	9999-12-31	2013-05-08
25/11-13	1678.000000	1908.000000	ROGALAND GP	GROUP	\N	373	131	\N	9999-12-31	2013-05-08
25/11-13	1744.000000	1769.000000	SELE FM	FORMATION	ROGALAND GP	373	142	131	9999-12-31	2013-05-08
25/11-13	1817.000000	1820.000000	SELE FM	FORMATION	ROGALAND GP	373	142	131	9999-12-31	2013-05-08
25/11-13	1908.000000	1932.000000	SHETLAND GP	GROUP	\N	373	143	\N	9999-12-31	2013-05-08
25/11-13	735.000000	935.000000	SKADE FM	FORMATION	HORDALAND GP	373	145	67	9999-12-31	2013-05-08
25/11-13	978.000000	986.000000	SKADE FM	FORMATION	HORDALAND GP	373	145	67	9999-12-31	2013-05-08
25/11-13	1064.000000	1095.000000	SKADE FM	FORMATION	HORDALAND GP	373	145	67	9999-12-31	2013-05-08
25/11-13	1202.000000	1215.000000	SKADE FM	FORMATION	HORDALAND GP	373	145	67	9999-12-31	2013-05-08
25/11-13	1920.000000	1932.000000	TOR FM	FORMATION	SHETLAND GP	373	171	143	9999-12-31	2013-05-08
25/11-13	1875.000000	1908.000000	TY FM	FORMATION	ROGALAND GP	373	176	131	9999-12-31	2013-05-08
25/11-13	596.000000	695.000000	UTSIRA FM	FORMATION	NORDLAND GP	373	183	113	9999-12-31	2013-05-08
25/11-13	1862.000000	1875.000000	VÅLE FM	FORMATION	ROGALAND GP	373	190	131	9999-12-31	2013-05-08
25/12-1	1457.000000	1500.000000	BALDER FM	FORMATION	ROGALAND GP	374	6	131	9999-12-31	2013-05-08
25/12-1	1908.000000	2187.000000	CROMER KNOLL GP	GROUP	\N	374	23	\N	9999-12-31	2013-05-08
25/12-1	2187.000000	2244.000000	DRAUPNE FM	FORMATION	VIKING GP	374	28	188	9999-12-31	2013-05-08
25/12-1	1707.000000	1908.000000	HOD FM	FORMATION	SHETLAND GP	374	66	143	9999-12-31	2013-05-08
25/12-1	902.000000	1457.000000	HORDALAND GP	GROUP	\N	374	67	\N	9999-12-31	2013-05-08
25/12-1	1567.000000	1597.000000	LISTA FM	FORMATION	ROGALAND GP	374	95	131	9999-12-31	2013-05-08
25/12-1	169.000000	902.000000	NORDLAND GP	GROUP	\N	374	113	\N	9999-12-31	2013-05-08
25/12-1	1457.000000	1597.000000	ROGALAND GP	GROUP	\N	374	131	\N	9999-12-31	2013-05-08
25/12-1	1500.000000	1567.000000	SELE FM	FORMATION	ROGALAND GP	374	142	131	9999-12-31	2013-05-08
25/12-1	1597.000000	1908.000000	SHETLAND GP	GROUP	\N	374	143	\N	9999-12-31	2013-05-08
25/12-1	1597.000000	1707.000000	TOR FM	FORMATION	SHETLAND GP	374	171	143	9999-12-31	2013-05-08
25/12-1	2244.000000	2425.000000	VESTLAND GP	GROUP	\N	374	186	\N	9999-12-31	2013-05-08
25/12-1	2187.000000	2244.000000	VIKING GP	GROUP	\N	374	188	\N	9999-12-31	2013-05-08
25/12-1	2425.000000	2865.000000	NO GROUP DEFINED	GROUP	\N	374	208	\N	9999-12-31	2013-05-08
29/6-1	4645.000000	4729.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	375	4	29	9999-12-31	2013-05-08
29/6-1	1881.000000	1900.000000	BALDER FM	FORMATION	ROGALAND GP	375	6	131	9999-12-31	2013-05-08
29/6-1	3743.000000	3777.000000	BLODØKS FM	FORMATION	SHETLAND GP	375	13	143	9999-12-31	2013-05-08
29/6-1	4205.000000	4500.000000	BRENT GP	GROUP	\N	375	16	\N	9999-12-31	2013-05-08
29/6-1	4489.000000	4500.000000	BROOM FM	FORMATION	BRENT GP	375	17	16	9999-12-31	2013-05-08
29/6-1	4607.000000	4645.000000	BURTON FM	FORMATION	DUNLIN GP	375	20	29	9999-12-31	2013-05-08
29/6-1	4546.000000	4607.000000	COOK FM	FORMATION	DUNLIN GP	375	24	29	9999-12-31	2013-05-08
29/6-1	4500.000000	4546.000000	DRAKE FM	FORMATION	DUNLIN GP	375	27	29	9999-12-31	2013-05-08
29/6-1	3807.000000	3915.000000	DRAUPNE FM	FORMATION	VIKING GP	375	28	188	9999-12-31	2013-05-08
29/6-1	4500.000000	4729.000000	DUNLIN GP	GROUP	\N	375	29	\N	9999-12-31	2013-05-08
29/6-1	2348.000000	2373.000000	EKOFISK FM	FORMATION	SHETLAND GP	375	33	143	9999-12-31	2013-05-08
29/6-1	4458.000000	4474.000000	ETIVE FM	FORMATION	BRENT GP	375	35	16	9999-12-31	2013-05-08
29/6-1	1827.000000	1881.000000	FRIGG FM	FORMATION	HORDALAND GP	375	45	67	9999-12-31	2013-05-08
29/6-1	1320.000000	1520.000000	GRID FM	FORMATION	HORDALAND GP	375	53	67	9999-12-31	2013-05-08
29/6-1	3915.000000	4205.000000	HEATHER FM	FORMATION	VIKING GP	375	60	188	9999-12-31	2013-05-08
29/6-1	4786.000000	4832.000000	HEGRE GP	GROUP	\N	375	61	\N	9999-12-31	2013-05-08
29/6-1	1922.000000	2083.000000	HEIMDAL FM	FORMATION	ROGALAND GP	375	62	131	9999-12-31	2013-05-08
29/6-1	890.000000	1881.000000	HORDALAND GP	GROUP	\N	375	67	\N	9999-12-31	2013-05-08
29/6-1	2373.000000	2678.000000	JORSALFARE FM	FORMATION	SHETLAND GP	375	74	143	9999-12-31	2013-05-08
29/6-1	2678.000000	3632.000000	KYRRE FM	FORMATION	SHETLAND GP	375	92	143	9999-12-31	2013-05-08
29/6-1	2083.000000	2320.000000	LISTA FM	FORMATION	ROGALAND GP	375	95	131	9999-12-31	2013-05-08
29/6-1	4786.000000	4832.000000	LUNDE FM	FORMATION	HEGRE GP	375	97	61	9999-12-31	2013-05-08
29/6-1	4221.000000	4458.000000	NESS FM	FORMATION	BRENT GP	375	110	16	9999-12-31	2013-05-08
29/6-1	865.000000	890.000000	NO FORMAL NAME	FORMATION	\N	375	111	\N	9999-12-31	2013-05-08
29/6-1	969.000000	1224.000000	NO FORMAL NAME	FORMATION	\N	375	111	\N	9999-12-31	2013-05-08
29/6-1	1224.000000	1249.000000	NO FORMAL NAME	FORMATION	\N	375	111	\N	9999-12-31	2013-05-08
29/6-1	1249.000000	1320.000000	NO FORMAL NAME	FORMATION	\N	375	111	\N	9999-12-31	2013-05-08
29/6-1	1520.000000	1827.000000	NO FORMAL NAME	FORMATION	\N	375	111	\N	9999-12-31	2013-05-08
29/6-1	149.000000	890.000000	NORDLAND GP	GROUP	\N	375	113	\N	9999-12-31	2013-05-08
29/6-1	4474.000000	4489.000000	RANNOCH FM	FORMATION	BRENT GP	375	126	16	9999-12-31	2013-05-08
29/6-1	1881.000000	2348.000000	ROGALAND GP	GROUP	\N	375	131	\N	9999-12-31	2013-05-08
29/6-1	1900.000000	1922.000000	SELE FM	FORMATION	ROGALAND GP	375	142	131	9999-12-31	2013-05-08
29/6-1	2348.000000	3807.000000	SHETLAND GP	GROUP	\N	375	143	\N	9999-12-31	2013-05-08
29/6-1	890.000000	969.000000	SKADE FM	FORMATION	HORDALAND GP	375	145	67	9999-12-31	2013-05-08
29/6-1	4729.000000	4786.000000	STATFJORD FM	FORMATION	\N	375	157	\N	9999-12-31	2013-05-08
29/6-1	3777.000000	3807.000000	SVARTE FM	FORMATION	SHETLAND GP	375	160	143	9999-12-31	2013-05-08
29/6-1	4205.000000	4221.000000	TARBERT FM	FORMATION	BRENT GP	375	162	16	9999-12-31	2013-05-08
29/6-1	3632.000000	3743.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	375	173	143	9999-12-31	2013-05-08
29/6-1	322.000000	865.000000	UTSIRA FM	FORMATION	NORDLAND GP	375	183	113	9999-12-31	2013-05-08
29/6-1	3807.000000	4205.000000	VIKING GP	GROUP	\N	375	188	\N	9999-12-31	2013-05-08
29/6-1	2320.000000	2348.000000	VÅLE FM	FORMATION	ROGALAND GP	375	190	131	9999-12-31	2013-05-08
29/6-1	4729.000000	4786.000000	NO GROUP DEFINED	GROUP	\N	375	208	\N	9999-12-31	2013-05-08
30/3-1	1930.000000	1995.000000	BALDER FM	FORMATION	ROGALAND GP	376	6	131	9999-12-31	2013-05-08
30/3-1	3605.000000	3616.000000	BLODØKS FM	FORMATION	SHETLAND GP	376	13	143	9999-12-31	2013-05-08
30/3-1	3616.000000	3718.000000	CROMER KNOLL GP	GROUP	\N	376	23	\N	9999-12-31	2013-05-08
30/3-1	1661.000000	1682.000000	GRID FM	FORMATION	HORDALAND GP	376	53	67	9999-12-31	2013-05-08
30/3-1	950.000000	1930.000000	HORDALAND GP	GROUP	\N	376	67	\N	9999-12-31	2013-05-08
30/3-1	2160.000000	2472.000000	JORSALFARE FM	FORMATION	SHETLAND GP	376	74	143	9999-12-31	2013-05-08
30/3-1	2472.000000	3410.000000	KYRRE FM	FORMATION	SHETLAND GP	376	92	143	9999-12-31	2013-05-08
30/3-1	2016.000000	2124.000000	LISTA FM	FORMATION	ROGALAND GP	376	95	131	9999-12-31	2013-05-08
30/3-1	1360.000000	1661.000000	NO FORMAL NAME	FORMATION	\N	376	111	\N	9999-12-31	2013-05-08
30/3-1	1682.000000	1930.000000	NO FORMAL NAME	FORMATION	\N	376	111	\N	9999-12-31	2013-05-08
30/3-1	163.000000	950.000000	NORDLAND GP	GROUP	\N	376	113	\N	9999-12-31	2013-05-08
30/3-1	1930.000000	2160.000000	ROGALAND GP	GROUP	\N	376	131	\N	9999-12-31	2013-05-08
30/3-1	3616.000000	3637.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	376	137	23	9999-12-31	2013-05-08
30/3-1	1995.000000	2016.000000	SELE FM	FORMATION	ROGALAND GP	376	142	131	9999-12-31	2013-05-08
30/3-1	2160.000000	3616.000000	SHETLAND GP	GROUP	\N	376	143	\N	9999-12-31	2013-05-08
30/3-1	1174.000000	1360.000000	SKADE FM	FORMATION	HORDALAND GP	376	145	67	9999-12-31	2013-05-08
30/3-1	3637.000000	3673.000000	SOLA FM	FORMATION	CROMER KNOLL GP	376	152	23	9999-12-31	2013-05-08
30/3-1	3410.000000	3605.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	376	173	143	9999-12-31	2013-05-08
30/3-1	826.000000	950.000000	UTSIRA FM	FORMATION	NORDLAND GP	376	183	113	9999-12-31	2013-05-08
30/3-1	2124.000000	2160.000000	VÅLE FM	FORMATION	ROGALAND GP	376	190	131	9999-12-31	2013-05-08
30/3-1	3673.000000	3718.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	376	198	23	9999-12-31	2013-05-08
30/4-1	1919.000000	1969.000000	BALDER FM	FORMATION	ROGALAND GP	377	6	131	9999-12-31	2013-05-08
30/4-1	3761.000000	3770.000000	BLODØKS FM	FORMATION	SHETLAND GP	377	13	143	9999-12-31	2013-05-08
30/4-1	5182.000000	5400.000000	BRENT GP	GROUP	\N	377	16	\N	9999-12-31	2013-05-08
30/4-1	3926.000000	4387.000000	CROMER KNOLL GP	GROUP	\N	377	23	\N	9999-12-31	2013-05-08
30/4-1	5400.000000	5454.000000	DRAKE FM	FORMATION	DUNLIN GP	377	27	29	9999-12-31	2013-05-08
30/4-1	4387.000000	4485.000000	DRAUPNE FM	FORMATION	VIKING GP	377	28	188	9999-12-31	2013-05-08
30/4-1	5400.000000	5454.000000	DUNLIN GP	GROUP	\N	377	29	\N	9999-12-31	2013-05-08
30/4-1	5320.000000	5340.000000	ETIVE FM	FORMATION	BRENT GP	377	35	16	9999-12-31	2013-05-08
30/4-1	1648.000000	1700.000000	GRID FM	FORMATION	HORDALAND GP	377	53	67	9999-12-31	2013-05-08
30/4-1	4485.000000	5182.000000	HEATHER FM	FORMATION	VIKING GP	377	60	188	9999-12-31	2013-05-08
30/4-1	922.000000	1919.000000	HORDALAND GP	GROUP	\N	377	67	\N	9999-12-31	2013-05-08
30/4-1	2262.000000	3065.000000	JORSALFARE FM	FORMATION	SHETLAND GP	377	74	143	9999-12-31	2013-05-08
30/4-1	3065.000000	3520.000000	KYRRE FM	FORMATION	SHETLAND GP	377	92	143	9999-12-31	2013-05-08
30/4-1	2000.000000	2262.000000	LISTA FM	FORMATION	ROGALAND GP	377	95	131	9999-12-31	2013-05-08
30/4-1	5211.000000	5320.000000	NESS FM	FORMATION	BRENT GP	377	110	16	9999-12-31	2013-05-08
30/4-1	1262.000000	1648.000000	NO FORMAL NAME	FORMATION	\N	377	111	\N	9999-12-31	2013-05-08
30/4-1	1700.000000	1919.000000	NO FORMAL NAME	FORMATION	\N	377	111	\N	9999-12-31	2013-05-08
30/4-1	145.000000	922.000000	NORDLAND GP	GROUP	\N	377	113	\N	9999-12-31	2013-05-08
30/4-1	5359.000000	5400.000000	OSEBERG FM	FORMATION	BRENT GP	377	123	16	9999-12-31	2013-05-08
30/4-1	5340.000000	5359.000000	RANNOCH FM	FORMATION	BRENT GP	377	126	16	9999-12-31	2013-05-08
30/4-1	1919.000000	2262.000000	ROGALAND GP	GROUP	\N	377	131	\N	9999-12-31	2013-05-08
30/4-1	3926.000000	3960.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	377	137	23	9999-12-31	2013-05-08
30/4-1	1969.000000	2000.000000	SELE FM	FORMATION	ROGALAND GP	377	142	131	9999-12-31	2013-05-08
30/4-1	2262.000000	3926.000000	SHETLAND GP	GROUP	\N	377	143	\N	9999-12-31	2013-05-08
30/4-1	1050.000000	1262.000000	SKADE FM	FORMATION	HORDALAND GP	377	145	67	9999-12-31	2013-05-08
30/4-1	3960.000000	4030.000000	SOLA FM	FORMATION	CROMER KNOLL GP	377	152	23	9999-12-31	2013-05-08
30/4-1	3770.000000	3926.000000	SVARTE FM	FORMATION	SHETLAND GP	377	160	143	9999-12-31	2013-05-08
30/4-1	5182.000000	5211.000000	TARBERT FM	FORMATION	BRENT GP	377	162	16	9999-12-31	2013-05-08
30/4-1	3520.000000	3761.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	377	173	143	9999-12-31	2013-05-08
30/4-1	802.000000	922.000000	UTSIRA FM	FORMATION	NORDLAND GP	377	183	113	9999-12-31	2013-05-08
30/4-1	4387.000000	5182.000000	VIKING GP	GROUP	\N	377	188	\N	9999-12-31	2013-05-08
30/4-1	4030.000000	4387.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	377	198	23	9999-12-31	2013-05-08
30/5-1	1987.000000	2045.000000	BALDER FM	FORMATION	ROGALAND GP	379	6	131	9999-12-31	2013-05-08
30/5-1	3277.000000	3323.000000	BLODØKS FM	FORMATION	SHETLAND GP	379	13	143	9999-12-31	2013-05-08
30/5-1	3576.000000	4124.000000	CROMER KNOLL GP	GROUP	\N	379	23	\N	9999-12-31	2013-05-08
30/5-1	1704.000000	1763.000000	GRID FM	FORMATION	HORDALAND GP	379	53	67	9999-12-31	2013-05-08
30/5-1	835.000000	1987.000000	HORDALAND GP	GROUP	\N	379	67	\N	9999-12-31	2013-05-08
30/5-1	2304.000000	2649.000000	JORSALFARE FM	FORMATION	SHETLAND GP	379	74	143	9999-12-31	2013-05-08
30/5-1	2649.000000	3178.000000	KYRRE FM	FORMATION	SHETLAND GP	379	92	143	9999-12-31	2013-05-08
30/5-1	2088.000000	2283.000000	LISTA FM	FORMATION	ROGALAND GP	379	95	131	9999-12-31	2013-05-08
30/5-1	796.000000	835.000000	NO FORMAL NAME	FORMATION	\N	379	111	\N	9999-12-31	2013-05-08
30/5-1	979.000000	1140.000000	NO FORMAL NAME	FORMATION	\N	379	111	\N	9999-12-31	2013-05-08
30/5-1	1259.000000	1704.000000	NO FORMAL NAME	FORMATION	\N	379	111	\N	9999-12-31	2013-05-08
30/5-1	1763.000000	1987.000000	NO FORMAL NAME	FORMATION	\N	379	111	\N	9999-12-31	2013-05-08
30/5-1	131.000000	835.000000	NORDLAND GP	GROUP	\N	379	113	\N	9999-12-31	2013-05-08
30/5-1	1987.000000	2304.000000	ROGALAND GP	GROUP	\N	379	131	\N	9999-12-31	2013-05-08
30/5-1	3576.000000	3889.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	379	137	23	9999-12-31	2013-05-08
30/5-1	2045.000000	2088.000000	SELE FM	FORMATION	ROGALAND GP	379	142	131	9999-12-31	2013-05-08
30/5-1	2304.000000	3576.000000	SHETLAND GP	GROUP	\N	379	143	\N	9999-12-31	2013-05-08
30/5-1	835.000000	979.000000	SKADE FM	FORMATION	HORDALAND GP	379	145	67	9999-12-31	2013-05-08
30/5-1	1140.000000	1259.000000	SKADE FM	FORMATION	HORDALAND GP	379	145	67	9999-12-31	2013-05-08
30/5-1	3889.000000	4094.000000	SOLA FM	FORMATION	CROMER KNOLL GP	379	152	23	9999-12-31	2013-05-08
30/5-1	3323.000000	3576.000000	SVARTE FM	FORMATION	SHETLAND GP	379	160	143	9999-12-31	2013-05-08
30/5-1	3178.000000	3277.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	379	173	143	9999-12-31	2013-05-08
30/5-1	506.000000	796.000000	UTSIRA FM	FORMATION	NORDLAND GP	379	183	113	9999-12-31	2013-05-08
30/5-1	2283.000000	2304.000000	VÅLE FM	FORMATION	ROGALAND GP	379	190	131	9999-12-31	2013-05-08
30/5-1	4094.000000	4124.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	379	198	23	9999-12-31	2013-05-08
30/7-1	132.000000	1007.000000	NORDLAND GP	GROUP	\N	384	113	\N	9999-12-31	2013-05-08
30/7-1	280.000000	1007.000000	UTSIRA FM	FORMATION	NORDLAND GP	384	183	113	9999-12-31	2013-05-08
30/7-2	1909.000000	1933.000000	BALDER FM	FORMATION	ROGALAND GP	385	6	131	9999-12-31	2013-05-08
30/7-2	1748.000000	1909.000000	FRIGG FM	FORMATION	HORDALAND GP	385	45	67	9999-12-31	2013-05-08
30/7-2	1947.000000	2025.000000	HERMOD FM	FORMATION	ROGALAND GP	385	64	131	9999-12-31	2013-05-08
30/7-2	2048.000000	2088.000000	HERMOD FM	FORMATION	ROGALAND GP	385	64	131	9999-12-31	2013-05-08
30/7-2	860.000000	1909.000000	HORDALAND GP	GROUP	\N	385	67	\N	9999-12-31	2013-05-08
30/7-2	2371.000000	2591.000000	JORSALFARE FM	FORMATION	SHETLAND GP	385	74	143	9999-12-31	2013-05-08
30/7-2	2088.000000	2350.000000	LISTA FM	FORMATION	ROGALAND GP	385	95	131	9999-12-31	2013-05-08
30/7-2	655.000000	860.000000	NO FORMAL NAME	FORMATION	\N	385	111	\N	9999-12-31	2013-05-08
30/7-2	134.000000	860.000000	NORDLAND GP	GROUP	\N	385	113	\N	9999-12-31	2013-05-08
30/7-2	1909.000000	2371.000000	ROGALAND GP	GROUP	\N	385	131	\N	9999-12-31	2013-05-08
30/7-2	1933.000000	1947.000000	SELE FM	FORMATION	ROGALAND GP	385	142	131	9999-12-31	2013-05-08
30/7-2	2025.000000	2048.000000	SELE FM	FORMATION	ROGALAND GP	385	142	131	9999-12-31	2013-05-08
30/7-2	2371.000000	2591.000000	SHETLAND GP	GROUP	\N	385	143	\N	9999-12-31	2013-05-08
30/7-2	277.000000	655.000000	UTSIRA FM	FORMATION	NORDLAND GP	385	183	113	9999-12-31	2013-05-08
30/7-2	2350.000000	2371.000000	VÅLE FM	FORMATION	ROGALAND GP	385	190	131	9999-12-31	2013-05-08
30/7-3	2114.000000	2143.000000	BALDER FM	FORMATION	ROGALAND GP	386	6	131	9999-12-31	2013-05-08
30/7-3	2175.000000	2180.000000	BALDER FM	FORMATION	ROGALAND GP	386	6	131	9999-12-31	2013-05-08
30/7-3	2143.000000	2175.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	386	7	131	9999-12-31	2013-05-08
30/7-3	3633.000000	3665.000000	BLODØKS FM	FORMATION	SHETLAND GP	386	13	143	9999-12-31	2013-05-08
30/7-3	3838.000000	4044.000000	CROMER KNOLL GP	GROUP	\N	386	23	\N	9999-12-31	2013-05-08
30/7-3	2539.000000	2542.000000	EKOFISK FM	FORMATION	SHETLAND GP	386	33	143	9999-12-31	2013-05-08
30/7-3	1994.000000	2018.000000	GRID FM	FORMATION	HORDALAND GP	386	53	67	9999-12-31	2013-05-08
30/7-3	2062.000000	2099.000000	GRID FM	FORMATION	HORDALAND GP	386	53	67	9999-12-31	2013-05-08
30/7-3	2187.000000	2280.000000	HERMOD FM	FORMATION	ROGALAND GP	386	64	131	9999-12-31	2013-05-08
30/7-3	1147.000000	2114.000000	HORDALAND GP	GROUP	\N	386	67	\N	9999-12-31	2013-05-08
30/7-3	2542.000000	2822.000000	JORSALFARE FM	FORMATION	SHETLAND GP	386	74	143	9999-12-31	2013-05-08
30/7-3	2822.000000	3475.000000	KYRRE FM	FORMATION	SHETLAND GP	386	92	143	9999-12-31	2013-05-08
30/7-3	2386.000000	2447.000000	LISTA FM	FORMATION	ROGALAND GP	386	95	131	9999-12-31	2013-05-08
30/7-3	1247.000000	1994.000000	NO FORMAL NAME	FORMATION	\N	386	111	\N	9999-12-31	2013-05-08
30/7-3	2018.000000	2062.000000	NO FORMAL NAME	FORMATION	\N	386	111	\N	9999-12-31	2013-05-08
30/7-3	2099.000000	2114.000000	NO FORMAL NAME	FORMATION	\N	386	111	\N	9999-12-31	2013-05-08
30/7-3	124.000000	1147.000000	NORDLAND GP	GROUP	\N	386	113	\N	9999-12-31	2013-05-08
30/7-3	2114.000000	2539.000000	ROGALAND GP	GROUP	\N	386	131	\N	9999-12-31	2013-05-08
30/7-3	3838.000000	4044.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	386	137	23	9999-12-31	2013-05-08
30/7-3	2180.000000	2187.000000	SELE FM	FORMATION	ROGALAND GP	386	142	131	9999-12-31	2013-05-08
30/7-3	2280.000000	2386.000000	SELE FM	FORMATION	ROGALAND GP	386	142	131	9999-12-31	2013-05-08
30/7-3	2539.000000	3838.000000	SHETLAND GP	GROUP	\N	386	143	\N	9999-12-31	2013-05-08
30/7-3	1165.000000	1247.000000	SKADE FM	FORMATION	HORDALAND GP	386	145	67	9999-12-31	2013-05-08
30/7-3	3665.000000	3838.000000	SVARTE FM	FORMATION	SHETLAND GP	386	160	143	9999-12-31	2013-05-08
30/7-3	3475.000000	3633.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	386	173	143	9999-12-31	2013-05-08
30/7-3	446.000000	1147.000000	UTSIRA FM	FORMATION	NORDLAND GP	386	183	113	9999-12-31	2013-05-08
30/7-3	2447.000000	2539.000000	VÅLE FM	FORMATION	ROGALAND GP	386	190	131	9999-12-31	2013-05-08
30/7-4	141.000000	778.000000	NORDLAND GP	GROUP	\N	387	113	\N	9999-12-31	2013-05-08
30/7-5	141.000000	805.000000	NORDLAND GP	GROUP	\N	388	113	\N	9999-12-31	2013-05-08
30/7-7	2150.000000	2209.000000	BALDER FM	FORMATION	ROGALAND GP	390	6	131	9999-12-31	2013-05-08
30/7-7	3631.000000	3655.000000	BLODØKS FM	FORMATION	SHETLAND GP	390	13	143	9999-12-31	2013-05-08
30/7-7	4801.000000	4884.000000	BURTON FM	FORMATION	DUNLIN GP	390	20	29	9999-12-31	2013-05-08
30/7-7	3870.000000	3878.000000	CROMER KNOLL GP	GROUP	\N	390	23	\N	9999-12-31	2013-05-08
30/7-7	4735.000000	4801.000000	COOK FM	FORMATION	DUNLIN GP	390	24	29	9999-12-31	2013-05-08
30/7-7	3878.000000	3924.000000	DRAUPNE FM	FORMATION	VIKING GP	390	28	188	9999-12-31	2013-05-08
30/7-7	4735.000000	4884.000000	DUNLIN GP	GROUP	\N	390	29	\N	9999-12-31	2013-05-08
30/7-7	2535.000000	2538.000000	EKOFISK FM	FORMATION	SHETLAND GP	390	33	143	9999-12-31	2013-05-08
30/7-7	2126.000000	2130.000000	GRID FM	FORMATION	HORDALAND GP	390	53	67	9999-12-31	2013-05-08
30/7-7	3924.000000	4735.000000	HEATHER FM	FORMATION	VIKING GP	390	60	188	9999-12-31	2013-05-08
30/7-7	2391.000000	2404.000000	HEIMDAL FM	FORMATION	ROGALAND GP	390	62	131	9999-12-31	2013-05-08
30/7-7	2217.000000	2291.000000	HERMOD FM	FORMATION	ROGALAND GP	390	64	131	9999-12-31	2013-05-08
30/7-7	2313.000000	2320.000000	HERMOD FM	FORMATION	ROGALAND GP	390	64	131	9999-12-31	2013-05-08
30/7-7	1047.000000	2150.000000	HORDALAND GP	GROUP	\N	390	67	\N	9999-12-31	2013-05-08
30/7-7	2538.000000	2805.000000	JORSALFARE FM	FORMATION	SHETLAND GP	390	74	143	9999-12-31	2013-05-08
30/7-7	2805.000000	3569.000000	KYRRE FM	FORMATION	SHETLAND GP	390	92	143	9999-12-31	2013-05-08
30/7-7	2365.000000	2391.000000	LISTA FM	FORMATION	ROGALAND GP	390	95	131	9999-12-31	2013-05-08
30/7-7	2404.000000	2452.000000	LISTA FM	FORMATION	ROGALAND GP	390	95	131	9999-12-31	2013-05-08
30/7-7	1180.000000	2126.000000	NO FORMAL NAME	FORMATION	\N	390	111	\N	9999-12-31	2013-05-08
30/7-7	2130.000000	2150.000000	NO FORMAL NAME	FORMATION	\N	390	111	\N	9999-12-31	2013-05-08
30/7-7	135.000000	1047.000000	NORDLAND GP	GROUP	\N	390	113	\N	9999-12-31	2013-05-08
30/7-7	2150.000000	2535.000000	ROGALAND GP	GROUP	\N	390	131	\N	9999-12-31	2013-05-08
30/7-7	3870.000000	3878.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	390	137	23	9999-12-31	2013-05-08
30/7-7	2209.000000	2217.000000	SELE FM	FORMATION	ROGALAND GP	390	142	131	9999-12-31	2013-05-08
30/7-7	2291.000000	2313.000000	SELE FM	FORMATION	ROGALAND GP	390	142	131	9999-12-31	2013-05-08
30/7-7	2320.000000	2365.000000	SELE FM	FORMATION	ROGALAND GP	390	142	131	9999-12-31	2013-05-08
30/7-7	2535.000000	3870.000000	SHETLAND GP	GROUP	\N	390	143	\N	9999-12-31	2013-05-08
30/7-7	1073.000000	1180.000000	SKADE FM	FORMATION	HORDALAND GP	390	145	67	9999-12-31	2013-05-08
30/7-7	4884.000000	5127.000000	STATFJORD FM	FORMATION	\N	390	157	\N	9999-12-31	2013-05-08
30/7-7	3655.000000	3870.000000	SVARTE FM	FORMATION	SHETLAND GP	390	160	143	9999-12-31	2013-05-08
30/7-7	3569.000000	3631.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	390	173	143	9999-12-31	2013-05-08
30/7-7	302.000000	1047.000000	UTSIRA FM	FORMATION	NORDLAND GP	390	183	113	9999-12-31	2013-05-08
30/7-7	3878.000000	4735.000000	VIKING GP	GROUP	\N	390	188	\N	9999-12-31	2013-05-08
30/7-7	2452.000000	2535.000000	VÅLE FM	FORMATION	ROGALAND GP	390	190	131	9999-12-31	2013-05-08
30/7-7	4884.000000	5127.000000	NO GROUP DEFINED	GROUP	\N	390	208	\N	9999-12-31	2013-05-08
30/10-1	2076.000000	2115.000000	BALDER FM	FORMATION	ROGALAND GP	391	6	131	9999-12-31	2013-05-08
30/10-1	2160.000000	2170.000000	BALDER FM	FORMATION	ROGALAND GP	391	6	131	9999-12-31	2013-05-08
30/10-1	2115.000000	2160.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	391	7	131	9999-12-31	2013-05-08
30/10-1	2640.000000	2679.000000	EKOFISK FM	FORMATION	SHETLAND GP	391	33	143	9999-12-31	2013-05-08
30/10-1	1960.000000	2076.000000	FRIGG FM	FORMATION	HORDALAND GP	391	45	67	9999-12-31	2013-05-08
30/10-1	2202.000000	2289.000000	HERMOD FM	FORMATION	ROGALAND GP	391	64	131	9999-12-31	2013-05-08
30/10-1	2340.000000	2374.000000	HERMOD FM	FORMATION	ROGALAND GP	391	64	131	9999-12-31	2013-05-08
30/10-1	660.000000	2076.000000	HORDALAND GP	GROUP	\N	391	67	\N	9999-12-31	2013-05-08
30/10-1	2679.000000	2834.000000	JORSALFARE FM	FORMATION	SHETLAND GP	391	74	143	9999-12-31	2013-05-08
30/10-1	2834.000000	2917.000000	KYRRE FM	FORMATION	SHETLAND GP	391	92	143	9999-12-31	2013-05-08
30/10-1	2460.000000	2621.000000	LISTA FM	FORMATION	ROGALAND GP	391	95	131	9999-12-31	2013-05-08
30/10-1	842.000000	1960.000000	NO FORMAL NAME	FORMATION	\N	391	111	\N	9999-12-31	2013-05-08
30/10-1	129.000000	660.000000	NORDLAND GP	GROUP	\N	391	113	\N	9999-12-31	2013-05-08
30/10-1	2076.000000	2640.000000	ROGALAND GP	GROUP	\N	391	131	\N	9999-12-31	2013-05-08
30/10-1	2170.000000	2202.000000	SELE FM	FORMATION	ROGALAND GP	391	142	131	9999-12-31	2013-05-08
30/10-1	2289.000000	2340.000000	SELE FM	FORMATION	ROGALAND GP	391	142	131	9999-12-31	2013-05-08
30/10-1	2374.000000	2460.000000	SELE FM	FORMATION	ROGALAND GP	391	142	131	9999-12-31	2013-05-08
30/10-1	2640.000000	2917.000000	SHETLAND GP	GROUP	\N	391	143	\N	9999-12-31	2013-05-08
30/10-1	660.000000	842.000000	SKADE FM	FORMATION	HORDALAND GP	391	145	67	9999-12-31	2013-05-08
30/10-1	453.000000	660.000000	UTSIRA FM	FORMATION	NORDLAND GP	391	183	113	9999-12-31	2013-05-08
30/10-1	2621.000000	2640.000000	VÅLE FM	FORMATION	ROGALAND GP	391	190	131	9999-12-31	2013-05-08
30/10-2	2067.000000	2129.000000	BALDER FM	FORMATION	ROGALAND GP	392	6	131	9999-12-31	2013-05-08
30/10-2	2653.000000	2691.000000	EKOFISK FM	FORMATION	SHETLAND GP	392	33	143	9999-12-31	2013-05-08
30/10-2	1997.000000	2067.000000	FRIGG FM	FORMATION	HORDALAND GP	392	45	67	9999-12-31	2013-05-08
30/10-2	2691.000000	2755.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	392	56	143	9999-12-31	2013-05-08
30/10-2	2269.000000	2414.000000	HEIMDAL FM	FORMATION	ROGALAND GP	392	62	131	9999-12-31	2013-05-08
30/10-2	2189.000000	2256.000000	HERMOD FM	FORMATION	ROGALAND GP	392	64	131	9999-12-31	2013-05-08
30/10-2	914.000000	2067.000000	HORDALAND GP	GROUP	\N	392	67	\N	9999-12-31	2013-05-08
30/10-2	2256.000000	2269.000000	LISTA FM	FORMATION	ROGALAND GP	392	95	131	9999-12-31	2013-05-08
30/10-2	2414.000000	2637.000000	LISTA FM	FORMATION	ROGALAND GP	392	95	131	9999-12-31	2013-05-08
30/10-2	128.000000	914.000000	NORDLAND GP	GROUP	\N	392	113	\N	9999-12-31	2013-05-08
30/10-2	2067.000000	2653.000000	ROGALAND GP	GROUP	\N	392	131	\N	9999-12-31	2013-05-08
30/10-2	2129.000000	2189.000000	SELE FM	FORMATION	ROGALAND GP	392	142	131	9999-12-31	2013-05-08
30/10-2	2653.000000	2755.000000	SHETLAND GP	GROUP	\N	392	143	\N	9999-12-31	2013-05-08
30/10-2	235.000000	914.000000	UTSIRA FM	FORMATION	NORDLAND GP	392	183	113	9999-12-31	2013-05-08
30/10-2	2637.000000	2653.000000	VÅLE FM	FORMATION	ROGALAND GP	392	190	131	9999-12-31	2013-05-08
30/10-3	2164.000000	2182.000000	BALDER FM	FORMATION	ROGALAND GP	393	6	131	9999-12-31	2013-05-08
30/10-3	2030.000000	2073.000000	FRIGG FM	FORMATION	HORDALAND GP	393	45	67	9999-12-31	2013-05-08
30/10-3	2188.000000	2255.000000	HERMOD FM	FORMATION	ROGALAND GP	393	64	131	9999-12-31	2013-05-08
30/10-3	1135.000000	2164.000000	HORDALAND GP	GROUP	\N	393	67	\N	9999-12-31	2013-05-08
30/10-3	2073.000000	2164.000000	NO FORMAL NAME	FORMATION	\N	393	111	\N	9999-12-31	2013-05-08
30/10-3	106.000000	1135.000000	NORDLAND GP	GROUP	\N	393	113	\N	9999-12-31	2013-05-08
30/10-3	2164.000000	2255.000000	ROGALAND GP	GROUP	\N	393	131	\N	9999-12-31	2013-05-08
30/10-3	2182.000000	2188.000000	SELE FM	FORMATION	ROGALAND GP	393	142	131	9999-12-31	2013-05-08
30/10-4	658.000000	758.000000	HORDALAND GP	GROUP	\N	394	67	\N	9999-12-31	2013-05-08
30/10-4	128.000000	658.000000	NORDLAND GP	GROUP	\N	394	113	\N	9999-12-31	2013-05-08
30/10-4	658.000000	758.000000	SKADE FM	FORMATION	HORDALAND GP	394	145	67	9999-12-31	2013-05-08
30/10-4	453.000000	658.000000	UTSIRA FM	FORMATION	NORDLAND GP	394	183	113	9999-12-31	2013-05-08
30/10-5	5010.000000	5049.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	395	4	29	9999-12-31	2013-05-08
30/10-5	2075.000000	2100.000000	BALDER FM	FORMATION	ROGALAND GP	395	6	131	9999-12-31	2013-05-08
30/10-5	2150.000000	2182.000000	BALDER FM	FORMATION	ROGALAND GP	395	6	131	9999-12-31	2013-05-08
30/10-5	2100.000000	2150.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	395	7	131	9999-12-31	2013-05-08
30/10-5	3782.000000	3805.000000	BLODØKS FM	FORMATION	SHETLAND GP	395	13	143	9999-12-31	2013-05-08
30/10-5	4583.000000	4860.000000	BRENT GP	GROUP	\N	395	16	\N	9999-12-31	2013-05-08
30/10-5	3972.000000	4162.000000	CROMER KNOLL GP	GROUP	\N	395	23	\N	9999-12-31	2013-05-08
30/10-5	4967.000000	5010.000000	COOK FM	FORMATION	DUNLIN GP	395	24	29	9999-12-31	2013-05-08
30/10-5	4860.000000	4967.000000	DRAKE FM	FORMATION	DUNLIN GP	395	27	29	9999-12-31	2013-05-08
30/10-5	4162.000000	4187.000000	DRAUPNE FM	FORMATION	VIKING GP	395	28	188	9999-12-31	2013-05-08
30/10-5	4860.000000	5049.000000	DUNLIN GP	GROUP	\N	395	29	\N	9999-12-31	2013-05-08
30/10-5	2641.000000	2683.000000	EKOFISK FM	FORMATION	SHETLAND GP	395	33	143	9999-12-31	2013-05-08
30/10-5	1965.000000	2075.000000	FRIGG FM	FORMATION	HORDALAND GP	395	45	67	9999-12-31	2013-05-08
30/10-5	4187.000000	4583.000000	HEATHER FM	FORMATION	VIKING GP	395	60	188	9999-12-31	2013-05-08
30/10-5	5127.000000	5186.000000	HEGRE GP	GROUP	\N	395	61	\N	9999-12-31	2013-05-08
30/10-5	2214.000000	2262.000000	HERMOD FM	FORMATION	ROGALAND GP	395	64	131	9999-12-31	2013-05-08
30/10-5	2310.000000	2371.000000	HERMOD FM	FORMATION	ROGALAND GP	395	64	131	9999-12-31	2013-05-08
30/10-5	658.000000	2075.000000	HORDALAND GP	GROUP	\N	395	67	\N	9999-12-31	2013-05-08
30/10-5	2683.000000	2829.000000	JORSALFARE FM	FORMATION	SHETLAND GP	395	74	143	9999-12-31	2013-05-08
30/10-5	2829.000000	3630.000000	KYRRE FM	FORMATION	SHETLAND GP	395	92	143	9999-12-31	2013-05-08
30/10-5	2447.000000	2625.000000	LISTA FM	FORMATION	ROGALAND GP	395	95	131	9999-12-31	2013-05-08
30/10-5	880.000000	1965.000000	NO FORMAL NAME	FORMATION	\N	395	111	\N	9999-12-31	2013-05-08
30/10-5	129.000000	658.000000	NORDLAND GP	GROUP	\N	395	113	\N	9999-12-31	2013-05-08
30/10-5	2075.000000	2641.000000	ROGALAND GP	GROUP	\N	395	131	\N	9999-12-31	2013-05-08
30/10-5	3972.000000	4046.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	395	137	23	9999-12-31	2013-05-08
30/10-5	2182.000000	2214.000000	SELE FM	FORMATION	ROGALAND GP	395	142	131	9999-12-31	2013-05-08
30/10-5	2262.000000	2310.000000	SELE FM	FORMATION	ROGALAND GP	395	142	131	9999-12-31	2013-05-08
30/10-5	2371.000000	2447.000000	SELE FM	FORMATION	ROGALAND GP	395	142	131	9999-12-31	2013-05-08
30/10-5	2641.000000	3972.000000	SHETLAND GP	GROUP	\N	395	143	\N	9999-12-31	2013-05-08
30/10-5	658.000000	880.000000	SKADE FM	FORMATION	HORDALAND GP	395	145	67	9999-12-31	2013-05-08
30/10-5	4046.000000	4121.000000	SOLA FM	FORMATION	CROMER KNOLL GP	395	152	23	9999-12-31	2013-05-08
30/10-5	5049.000000	5127.000000	STATFJORD FM	FORMATION	\N	395	157	\N	9999-12-31	2013-05-08
30/10-5	3805.000000	3972.000000	SVARTE FM	FORMATION	SHETLAND GP	395	160	143	9999-12-31	2013-05-08
30/10-5	3630.000000	3782.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	395	173	143	9999-12-31	2013-05-08
30/10-5	453.000000	658.000000	UTSIRA FM	FORMATION	NORDLAND GP	395	183	113	9999-12-31	2013-05-08
30/10-5	4162.000000	4583.000000	VIKING GP	GROUP	\N	395	188	\N	9999-12-31	2013-05-08
30/10-5	2625.000000	2641.000000	VÅLE FM	FORMATION	ROGALAND GP	395	190	131	9999-12-31	2013-05-08
30/10-5	4121.000000	4162.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	395	198	23	9999-12-31	2013-05-08
30/10-5	5049.000000	5127.000000	NO GROUP DEFINED	GROUP	\N	395	208	\N	9999-12-31	2013-05-08
31/2-1	2134.000000	2176.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	398	4	29	9999-12-31	2013-05-08
31/2-1	2273.000000	2293.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	398	4	29	9999-12-31	2013-05-08
31/2-1	1184.000000	1250.000000	BALDER FM	FORMATION	ROGALAND GP	398	6	131	9999-12-31	2013-05-08
31/2-1	1881.000000	1985.000000	BRENT GP	GROUP	\N	398	16	\N	9999-12-31	2013-05-08
31/2-1	1405.000000	1414.000000	CROMER KNOLL GP	GROUP	\N	398	23	\N	9999-12-31	2013-05-08
31/2-1	2093.000000	2134.000000	COOK FM	FORMATION	DUNLIN GP	398	24	29	9999-12-31	2013-05-08
31/2-1	1985.000000	2093.000000	DRAKE FM	FORMATION	DUNLIN GP	398	27	29	9999-12-31	2013-05-08
31/2-1	1414.000000	1440.000000	DRAUPNE FM	FORMATION	VIKING GP	398	28	188	9999-12-31	2013-05-08
31/2-1	1985.000000	2293.000000	DUNLIN GP	GROUP	\N	398	29	\N	9999-12-31	2013-05-08
31/2-1	1595.000000	1742.000000	FENSFJORD FM	FORMATION	VIKING GP	398	40	188	9999-12-31	2013-05-08
31/2-1	1532.000000	1595.000000	HEATHER FM	FORMATION	VIKING GP	398	60	188	9999-12-31	2013-05-08
31/2-1	1880.000000	1881.000000	HEATHER FM	FORMATION	VIKING GP	398	60	188	9999-12-31	2013-05-08
31/2-1	2381.000000	2433.000000	HEGRE GP	GROUP	\N	398	61	\N	9999-12-31	2013-05-08
31/2-1	525.000000	1184.000000	HORDALAND GP	GROUP	\N	398	67	\N	9999-12-31	2013-05-08
31/2-1	2176.000000	2273.000000	JOHANSEN FM	FORMATION	DUNLIN GP	398	73	29	9999-12-31	2013-05-08
31/2-1	1742.000000	1880.000000	KROSSFJORD FM	FORMATION	VIKING GP	398	87	188	9999-12-31	2013-05-08
31/2-1	1322.000000	1393.000000	LISTA FM	FORMATION	ROGALAND GP	398	95	131	9999-12-31	2013-05-08
31/2-1	348.000000	525.000000	NORDLAND GP	GROUP	\N	398	113	\N	9999-12-31	2013-05-08
31/2-1	1184.000000	1405.000000	ROGALAND GP	GROUP	\N	398	131	\N	9999-12-31	2013-05-08
31/2-1	1250.000000	1322.000000	SELE FM	FORMATION	ROGALAND GP	398	142	131	9999-12-31	2013-05-08
31/2-1	1440.000000	1532.000000	SOGNEFJORD FM	FORMATION	VIKING GP	398	151	188	9999-12-31	2013-05-08
31/2-1	2293.000000	2381.000000	STATFJORD FM	FORMATION	\N	398	157	\N	9999-12-31	2013-05-08
31/2-1	1414.000000	1881.000000	VIKING GP	GROUP	\N	398	188	\N	9999-12-31	2013-05-08
31/2-1	1393.000000	1405.000000	VÅLE FM	FORMATION	ROGALAND GP	398	190	131	9999-12-31	2013-05-08
31/2-1	2293.000000	2381.000000	NO GROUP DEFINED	GROUP	\N	398	208	\N	9999-12-31	2013-05-08
31/2-6	1105.000000	1167.000000	BALDER FM	FORMATION	ROGALAND GP	399	6	131	9999-12-31	2013-05-08
31/2-6	1476.000000	1481.000000	CROMER KNOLL GP	GROUP	\N	399	23	\N	9999-12-31	2013-05-08
31/2-6	1481.000000	1492.000000	DRAUPNE FM	FORMATION	VIKING GP	399	28	188	9999-12-31	2013-05-08
31/2-6	1673.000000	1760.000000	FENSFJORD FM	FORMATION	VIKING GP	399	40	188	9999-12-31	2013-05-08
31/2-6	1464.000000	1476.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	399	56	143	9999-12-31	2013-05-08
31/2-6	600.000000	1105.000000	HORDALAND GP	GROUP	\N	399	67	\N	9999-12-31	2013-05-08
31/2-6	1225.000000	1450.000000	LISTA FM	FORMATION	ROGALAND GP	399	95	131	9999-12-31	2013-05-08
31/2-6	600.000000	698.000000	NO FORMAL NAME	FORMATION	\N	399	111	\N	9999-12-31	2013-05-08
31/2-6	698.000000	1105.000000	NO FORMAL NAME	FORMATION	\N	399	111	\N	9999-12-31	2013-05-08
31/2-6	368.000000	600.000000	NORDLAND GP	GROUP	\N	399	113	\N	9999-12-31	2013-05-08
31/2-6	1105.000000	1464.000000	ROGALAND GP	GROUP	\N	399	131	\N	9999-12-31	2013-05-08
31/2-6	1167.000000	1225.000000	SELE FM	FORMATION	ROGALAND GP	399	142	131	9999-12-31	2013-05-08
31/2-6	1464.000000	1476.000000	SHETLAND GP	GROUP	\N	399	143	\N	9999-12-31	2013-05-08
31/2-6	1492.000000	1673.000000	SOGNEFJORD FM	FORMATION	VIKING GP	399	151	188	9999-12-31	2013-05-08
31/2-6	1481.000000	1760.000000	VIKING GP	GROUP	\N	399	188	\N	9999-12-31	2013-05-08
31/2-6	1450.000000	1464.000000	VÅLE FM	FORMATION	ROGALAND GP	399	190	131	9999-12-31	2013-05-08
31/4-1	848.000000	1000.000000	HORDALAND GP	GROUP	\N	400	67	\N	9999-12-31	2013-05-08
31/4-1	169.000000	848.000000	NORDLAND GP	GROUP	\N	400	113	\N	9999-12-31	2013-05-08
31/4-1	707.000000	848.000000	UTSIRA FM	FORMATION	NORDLAND GP	400	183	113	9999-12-31	2013-05-08
31/6-4	816.000000	820.000000	BALDER FM	FORMATION	ROGALAND GP	404	6	131	9999-12-31	2013-05-08
31/6-4	455.000000	816.000000	HORDALAND GP	GROUP	\N	404	67	\N	9999-12-31	2013-05-08
31/6-4	327.000000	455.000000	NORDLAND GP	GROUP	\N	404	113	\N	9999-12-31	2013-05-08
31/6-4	816.000000	820.000000	ROGALAND GP	GROUP	\N	404	131	\N	9999-12-31	2013-05-08
33/5-2	4391.000000	4412.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	405	4	29	9999-12-31	2013-05-08
33/5-2	1558.000000	1607.000000	BALDER FM	FORMATION	ROGALAND GP	405	6	131	9999-12-31	2013-05-08
33/5-2	3349.000000	3359.000000	BLODØKS FM	FORMATION	SHETLAND GP	405	13	143	9999-12-31	2013-05-08
33/5-2	4054.000000	4111.000000	BRENT GP	GROUP	\N	405	16	\N	9999-12-31	2013-05-08
33/5-2	4154.000000	4176.000000	BRENT GP	GROUP	\N	405	16	\N	9999-12-31	2013-05-08
33/5-2	4227.000000	4276.000000	BRENT GP	GROUP	\N	405	16	\N	9999-12-31	2013-05-08
33/5-2	3750.000000	3900.000000	CROMER KNOLL GP	GROUP	\N	405	23	\N	9999-12-31	2013-05-08
33/5-2	4340.000000	4391.000000	COOK FM	FORMATION	DUNLIN GP	405	24	29	9999-12-31	2013-05-08
33/5-2	4276.000000	4340.000000	DRAKE FM	FORMATION	DUNLIN GP	405	27	29	9999-12-31	2013-05-08
33/5-2	3900.000000	3997.000000	DRAUPNE FM	FORMATION	VIKING GP	405	28	188	9999-12-31	2013-05-08
33/5-2	4276.000000	4412.000000	DUNLIN GP	GROUP	\N	405	29	\N	9999-12-31	2013-05-08
33/5-2	3997.000000	4054.000000	HEATHER FM	FORMATION	VIKING GP	405	60	188	9999-12-31	2013-05-08
33/5-2	4111.000000	4154.000000	HEATHER FM	FORMATION	VIKING GP	405	60	188	9999-12-31	2013-05-08
33/5-2	4176.000000	4227.000000	HEATHER FM	FORMATION	VIKING GP	405	60	188	9999-12-31	2013-05-08
33/5-2	4455.000000	4520.000000	HEGRE GP	GROUP	\N	405	61	\N	9999-12-31	2013-05-08
33/5-2	1098.000000	1558.000000	HORDALAND GP	GROUP	\N	405	67	\N	9999-12-31	2013-05-08
33/5-2	1717.000000	2085.000000	JORSALFARE FM	FORMATION	SHETLAND GP	405	74	143	9999-12-31	2013-05-08
33/5-2	2085.000000	2828.000000	KYRRE FM	FORMATION	SHETLAND GP	405	92	143	9999-12-31	2013-05-08
33/5-2	1607.000000	1717.000000	LISTA FM	FORMATION	ROGALAND GP	405	95	131	9999-12-31	2013-05-08
33/5-2	4455.000000	4520.000000	LUNDE FM	FORMATION	HEGRE GP	405	97	61	9999-12-31	2013-05-08
33/5-2	335.000000	1098.000000	NORDLAND GP	GROUP	\N	405	113	\N	9999-12-31	2013-05-08
33/5-2	4079.000000	4111.000000	RANNOCH FM	FORMATION	BRENT GP	405	126	16	9999-12-31	2013-05-08
33/5-2	1558.000000	1717.000000	ROGALAND GP	GROUP	\N	405	131	\N	9999-12-31	2013-05-08
33/5-2	3750.000000	3821.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	405	137	23	9999-12-31	2013-05-08
33/5-2	1717.000000	3750.000000	SHETLAND GP	GROUP	\N	405	143	\N	9999-12-31	2013-05-08
33/5-2	3821.000000	3858.000000	SOLA FM	FORMATION	CROMER KNOLL GP	405	152	23	9999-12-31	2013-05-08
33/5-2	4412.000000	4455.000000	STATFJORD FM	FORMATION	\N	405	157	\N	9999-12-31	2013-05-08
33/5-2	3359.000000	3750.000000	SVARTE FM	FORMATION	SHETLAND GP	405	160	143	9999-12-31	2013-05-08
33/5-2	4054.000000	4079.000000	TARBERT FM	FORMATION	BRENT GP	405	162	16	9999-12-31	2013-05-08
33/5-2	2828.000000	3349.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	405	173	143	9999-12-31	2013-05-08
33/5-2	1009.000000	1098.000000	UTSIRA FM	FORMATION	NORDLAND GP	405	183	113	9999-12-31	2013-05-08
33/5-2	3900.000000	4054.000000	VIKING GP	GROUP	\N	405	188	\N	9999-12-31	2013-05-08
33/5-2	4111.000000	4154.000000	VIKING GP	GROUP	\N	405	188	\N	9999-12-31	2013-05-08
33/5-2	4176.000000	4227.000000	VIKING GP	GROUP	\N	405	188	\N	9999-12-31	2013-05-08
33/5-2	3858.000000	3900.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	405	198	23	9999-12-31	2013-05-08
33/5-2	4412.000000	4455.000000	NO GROUP DEFINED	GROUP	\N	405	208	\N	9999-12-31	2013-05-08
33/6-1	3755.000000	3792.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	406	4	29	9999-12-31	2013-05-08
33/6-1	1723.000000	1768.000000	BALDER FM	FORMATION	ROGALAND GP	406	6	131	9999-12-31	2013-05-08
33/6-1	3603.000000	3647.000000	BRENT GP	GROUP	\N	406	16	\N	9999-12-31	2013-05-08
33/6-1	3731.000000	3755.000000	BURTON FM	FORMATION	DUNLIN GP	406	20	29	9999-12-31	2013-05-08
33/6-1	3241.000000	3537.000000	CROMER KNOLL GP	GROUP	\N	406	23	\N	9999-12-31	2013-05-08
33/6-1	3697.000000	3731.000000	COOK FM	FORMATION	DUNLIN GP	406	24	29	9999-12-31	2013-05-08
33/6-1	3647.000000	3697.000000	DRAKE FM	FORMATION	DUNLIN GP	406	27	29	9999-12-31	2013-05-08
33/6-1	3537.000000	3567.000000	DRAUPNE FM	FORMATION	VIKING GP	406	28	188	9999-12-31	2013-05-08
33/6-1	3647.000000	3792.000000	DUNLIN GP	GROUP	\N	406	29	\N	9999-12-31	2013-05-08
33/6-1	3567.000000	3603.000000	HEATHER FM	FORMATION	VIKING GP	406	60	188	9999-12-31	2013-05-08
33/6-1	3862.000000	3900.000000	HEGRE GP	GROUP	\N	406	61	\N	9999-12-31	2013-05-08
33/6-1	1138.000000	1723.000000	HORDALAND GP	GROUP	\N	406	67	\N	9999-12-31	2013-05-08
33/6-1	1768.000000	1893.000000	LISTA FM	FORMATION	ROGALAND GP	406	95	131	9999-12-31	2013-05-08
33/6-1	3862.000000	3900.000000	LUNDE FM	FORMATION	HEGRE GP	406	97	61	9999-12-31	2013-05-08
33/6-1	331.000000	1138.000000	NORDLAND GP	GROUP	\N	406	113	\N	9999-12-31	2013-05-08
33/6-1	3603.000000	3647.000000	RANNOCH FM	FORMATION	BRENT GP	406	126	16	9999-12-31	2013-05-08
33/6-1	1723.000000	1893.000000	ROGALAND GP	GROUP	\N	406	131	\N	9999-12-31	2013-05-08
33/6-1	1893.000000	3241.000000	SHETLAND GP	GROUP	\N	406	143	\N	9999-12-31	2013-05-08
33/6-1	3792.000000	3862.000000	STATFJORD FM	FORMATION	\N	406	157	\N	9999-12-31	2013-05-08
33/6-1	1072.000000	1138.000000	UTSIRA FM	FORMATION	NORDLAND GP	406	183	113	9999-12-31	2013-05-08
33/6-1	3537.000000	3603.000000	VIKING GP	GROUP	\N	406	188	\N	9999-12-31	2013-05-08
33/6-1	3792.000000	3862.000000	NO GROUP DEFINED	GROUP	\N	406	208	\N	9999-12-31	2013-05-08
33/9-6	3280.000000	3322.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	411	4	29	9999-12-31	2013-05-08
33/9-6	1670.000000	1760.000000	BALDER FM	FORMATION	ROGALAND GP	411	6	131	9999-12-31	2013-05-08
33/9-6	2995.000000	3140.000000	BRENT GP	GROUP	\N	411	16	\N	9999-12-31	2013-05-08
33/9-6	3250.000000	3280.000000	BURTON FM	FORMATION	DUNLIN GP	411	20	29	9999-12-31	2013-05-08
33/9-6	2871.000000	2939.000000	CROMER KNOLL GP	GROUP	\N	411	23	\N	9999-12-31	2013-05-08
33/9-6	3200.000000	3250.000000	COOK FM	FORMATION	DUNLIN GP	411	24	29	9999-12-31	2013-05-08
33/9-6	3140.000000	3200.000000	DRAKE FM	FORMATION	DUNLIN GP	411	27	29	9999-12-31	2013-05-08
33/9-6	2939.000000	2982.000000	DRAUPNE FM	FORMATION	VIKING GP	411	28	188	9999-12-31	2013-05-08
33/9-6	3140.000000	3322.000000	DUNLIN GP	GROUP	\N	411	29	\N	9999-12-31	2013-05-08
33/9-6	3086.000000	3103.000000	ETIVE FM	FORMATION	BRENT GP	411	35	16	9999-12-31	2013-05-08
33/9-6	2982.000000	2995.000000	HEATHER FM	FORMATION	VIKING GP	411	60	188	9999-12-31	2013-05-08
33/9-6	993.000000	1670.000000	HORDALAND GP	GROUP	\N	411	67	\N	9999-12-31	2013-05-08
33/9-6	1890.000000	2100.000000	JORSALFARE FM	FORMATION	SHETLAND GP	411	74	143	9999-12-31	2013-05-08
33/9-6	2100.000000	2871.000000	KYRRE FM	FORMATION	SHETLAND GP	411	92	143	9999-12-31	2013-05-08
33/9-6	1760.000000	1890.000000	LISTA FM	FORMATION	ROGALAND GP	411	95	131	9999-12-31	2013-05-08
33/9-6	2922.000000	2939.000000	MIME FM	FORMATION	CROMER KNOLL GP	411	106	23	9999-12-31	2013-05-08
33/9-6	3030.000000	3086.000000	NESS FM	FORMATION	BRENT GP	411	110	16	9999-12-31	2013-05-08
33/9-6	972.000000	993.000000	NO FORMAL NAME	FORMATION	\N	411	111	\N	9999-12-31	2013-05-08
33/9-6	1194.000000	1207.000000	NO FORMAL NAME	FORMATION	\N	411	111	\N	9999-12-31	2013-05-08
33/9-6	1207.000000	1230.000000	NO FORMAL NAME	FORMATION	\N	411	111	\N	9999-12-31	2013-05-08
33/9-6	1230.000000	1248.000000	NO FORMAL NAME	FORMATION	\N	411	111	\N	9999-12-31	2013-05-08
33/9-6	1248.000000	1670.000000	NO FORMAL NAME	FORMATION	\N	411	111	\N	9999-12-31	2013-05-08
33/9-6	179.000000	993.000000	NORDLAND GP	GROUP	\N	411	113	\N	9999-12-31	2013-05-08
33/9-6	3103.000000	3140.000000	RANNOCH FM	FORMATION	BRENT GP	411	126	16	9999-12-31	2013-05-08
33/9-6	1670.000000	1890.000000	ROGALAND GP	GROUP	\N	411	131	\N	9999-12-31	2013-05-08
33/9-6	2871.000000	2922.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	411	137	23	9999-12-31	2013-05-08
33/9-6	1890.000000	2871.000000	SHETLAND GP	GROUP	\N	411	143	\N	9999-12-31	2013-05-08
33/9-6	3322.000000	3354.000000	STATFJORD FM	FORMATION	\N	411	157	\N	9999-12-31	2013-05-08
33/9-6	2995.000000	3030.000000	TARBERT FM	FORMATION	BRENT GP	411	162	16	9999-12-31	2013-05-08
33/9-6	924.000000	972.000000	UTSIRA FM	FORMATION	NORDLAND GP	411	183	113	9999-12-31	2013-05-08
33/9-6	2939.000000	2995.000000	VIKING GP	GROUP	\N	411	188	\N	9999-12-31	2013-05-08
33/9-6	3322.000000	3354.000000	NO GROUP DEFINED	GROUP	\N	411	208	\N	9999-12-31	2013-05-08
33/9-9	1660.000000	1693.000000	BALDER FM	FORMATION	ROGALAND GP	414	6	131	9999-12-31	2013-05-08
33/9-9	2413.000000	2504.000000	BRENT GP	GROUP	\N	414	16	\N	9999-12-31	2013-05-08
33/9-9	2558.000000	2715.000000	BURTON FM	FORMATION	DUNLIN GP	414	20	29	9999-12-31	2013-05-08
33/9-9	2396.000000	2413.000000	CROMER KNOLL GP	GROUP	\N	414	23	\N	9999-12-31	2013-05-08
33/9-9	2528.000000	2558.000000	COOK FM	FORMATION	DUNLIN GP	414	24	29	9999-12-31	2013-05-08
33/9-9	2504.000000	2528.000000	DRAKE FM	FORMATION	DUNLIN GP	414	27	29	9999-12-31	2013-05-08
33/9-9	2504.000000	2715.000000	DUNLIN GP	GROUP	\N	414	29	\N	9999-12-31	2013-05-08
33/9-9	997.000000	1660.000000	HORDALAND GP	GROUP	\N	414	67	\N	9999-12-31	2013-05-08
33/9-9	1693.000000	1848.000000	LISTA FM	FORMATION	ROGALAND GP	414	95	131	9999-12-31	2013-05-08
33/9-9	170.000000	997.000000	NORDLAND GP	GROUP	\N	414	113	\N	9999-12-31	2013-05-08
33/9-9	1660.000000	1848.000000	ROGALAND GP	GROUP	\N	414	131	\N	9999-12-31	2013-05-08
33/9-9	1848.000000	2396.000000	SHETLAND GP	GROUP	\N	414	143	\N	9999-12-31	2013-05-08
33/9-9	2715.000000	3100.000000	STATFJORD FM	FORMATION	\N	414	157	\N	9999-12-31	2013-05-08
33/9-9	2715.000000	3100.000000	NO GROUP DEFINED	GROUP	\N	414	208	\N	9999-12-31	2013-05-08
33/9-10	1666.000000	1780.000000	BALDER FM	FORMATION	ROGALAND GP	415	6	131	9999-12-31	2013-05-08
33/9-10	3348.000000	3416.000000	BRENT GP	GROUP	\N	415	16	\N	9999-12-31	2013-05-08
33/9-10	3113.000000	3260.000000	CROMER KNOLL GP	GROUP	\N	415	23	\N	9999-12-31	2013-05-08
33/9-10	3416.000000	3500.000000	DRAKE FM	FORMATION	DUNLIN GP	415	27	29	9999-12-31	2013-05-08
33/9-10	3260.000000	3329.000000	DRAUPNE FM	FORMATION	VIKING GP	415	28	188	9999-12-31	2013-05-08
33/9-10	3416.000000	3500.000000	DUNLIN GP	GROUP	\N	415	29	\N	9999-12-31	2013-05-08
33/9-10	3329.000000	3348.000000	HEATHER FM	FORMATION	VIKING GP	415	60	188	9999-12-31	2013-05-08
33/9-10	1085.000000	1666.000000	HORDALAND GP	GROUP	\N	415	67	\N	9999-12-31	2013-05-08
33/9-10	1780.000000	1895.000000	LISTA FM	FORMATION	ROGALAND GP	415	95	131	9999-12-31	2013-05-08
33/9-10	188.000000	1085.000000	NORDLAND GP	GROUP	\N	415	113	\N	9999-12-31	2013-05-08
33/9-10	1666.000000	1895.000000	ROGALAND GP	GROUP	\N	415	131	\N	9999-12-31	2013-05-08
33/9-10	1895.000000	3113.000000	SHETLAND GP	GROUP	\N	415	143	\N	9999-12-31	2013-05-08
33/9-10	3500.000000	3715.000000	STATFJORD FM	FORMATION	\N	415	157	\N	9999-12-31	2013-05-08
33/9-10	975.000000	1085.000000	UTSIRA FM	FORMATION	NORDLAND GP	415	183	113	9999-12-31	2013-05-08
33/9-10	3260.000000	3348.000000	VIKING GP	GROUP	\N	415	188	\N	9999-12-31	2013-05-08
33/9-10	3500.000000	3715.000000	NO GROUP DEFINED	GROUP	\N	415	208	\N	9999-12-31	2013-05-08
33/9-11	1673.000000	1733.000000	BALDER FM	FORMATION	ROGALAND GP	416	6	131	9999-12-31	2013-05-08
33/9-11	3126.000000	3276.000000	BRENT GP	GROUP	\N	416	16	\N	9999-12-31	2013-05-08
33/9-11	3038.000000	3096.000000	CROMER KNOLL GP	GROUP	\N	416	23	\N	9999-12-31	2013-05-08
33/9-11	3276.000000	3437.000000	DRAKE FM	FORMATION	DUNLIN GP	416	27	29	9999-12-31	2013-05-08
33/9-11	3096.000000	3099.000000	DRAUPNE FM	FORMATION	VIKING GP	416	28	188	9999-12-31	2013-05-08
33/9-11	3276.000000	3437.000000	DUNLIN GP	GROUP	\N	416	29	\N	9999-12-31	2013-05-08
33/9-11	3099.000000	3126.000000	HEATHER FM	FORMATION	VIKING GP	416	60	188	9999-12-31	2013-05-08
33/9-11	1123.000000	1673.000000	HORDALAND GP	GROUP	\N	416	67	\N	9999-12-31	2013-05-08
33/9-11	1733.000000	1893.000000	LISTA FM	FORMATION	ROGALAND GP	416	95	131	9999-12-31	2013-05-08
33/9-11	312.000000	1123.000000	NORDLAND GP	GROUP	\N	416	113	\N	9999-12-31	2013-05-08
33/9-11	1673.000000	1893.000000	ROGALAND GP	GROUP	\N	416	131	\N	9999-12-31	2013-05-08
33/9-11	1893.000000	3038.000000	SHETLAND GP	GROUP	\N	416	143	\N	9999-12-31	2013-05-08
33/9-11	3437.000000	3528.000000	STATFJORD FM	FORMATION	\N	416	157	\N	9999-12-31	2013-05-08
33/9-11	990.000000	1123.000000	UTSIRA FM	FORMATION	NORDLAND GP	416	183	113	9999-12-31	2013-05-08
33/9-11	3096.000000	3126.000000	VIKING GP	GROUP	\N	416	188	\N	9999-12-31	2013-05-08
33/9-11	3437.000000	3528.000000	NO GROUP DEFINED	GROUP	\N	416	208	\N	9999-12-31	2013-05-08
34/2-1	414.000000	807.000000	NORDLAND GP	GROUP	\N	420	113	\N	9999-12-31	2013-05-08
34/2-3	1872.000000	1916.000000	BALDER FM	FORMATION	ROGALAND GP	421	6	131	9999-12-31	2013-05-08
34/2-3	2825.000000	2834.000000	BLODØKS FM	FORMATION	SHETLAND GP	421	13	143	9999-12-31	2013-05-08
34/2-3	3105.000000	3344.000000	CROMER KNOLL GP	GROUP	\N	421	23	\N	9999-12-31	2013-05-08
34/2-3	3344.000000	3741.000000	HEGRE GP	GROUP	\N	421	61	\N	9999-12-31	2013-05-08
34/2-3	1451.000000	1872.000000	HORDALAND GP	GROUP	\N	421	67	\N	9999-12-31	2013-05-08
34/2-3	1982.000000	2194.000000	JORSALFARE FM	FORMATION	SHETLAND GP	421	74	143	9999-12-31	2013-05-08
34/2-3	2194.000000	2825.000000	KYRRE FM	FORMATION	SHETLAND GP	421	92	143	9999-12-31	2013-05-08
34/2-3	1916.000000	1982.000000	LISTA FM	FORMATION	ROGALAND GP	421	95	131	9999-12-31	2013-05-08
34/2-3	3344.000000	3741.000000	LUNDE FM	FORMATION	HEGRE GP	421	97	61	9999-12-31	2013-05-08
34/2-3	414.000000	1451.000000	NORDLAND GP	GROUP	\N	421	113	\N	9999-12-31	2013-05-08
34/2-3	1872.000000	1982.000000	ROGALAND GP	GROUP	\N	421	131	\N	9999-12-31	2013-05-08
34/2-3	3105.000000	3337.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	421	137	23	9999-12-31	2013-05-08
34/2-3	1982.000000	3105.000000	SHETLAND GP	GROUP	\N	421	143	\N	9999-12-31	2013-05-08
34/2-3	2834.000000	3105.000000	SVARTE FM	FORMATION	SHETLAND GP	421	160	143	9999-12-31	2013-05-08
34/2-3	1418.000000	1451.000000	UTSIRA FM	FORMATION	NORDLAND GP	421	183	113	9999-12-31	2013-05-08
34/2-3	3337.000000	3344.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	421	198	23	9999-12-31	2013-05-08
34/4-1	1685.000000	1715.000000	BALDER FM	FORMATION	ROGALAND GP	422	6	131	9999-12-31	2013-05-08
34/4-1	2490.000000	2508.000000	CROMER KNOLL GP	GROUP	\N	422	23	\N	9999-12-31	2013-05-08
34/4-1	2508.000000	2916.000000	HEGRE GP	GROUP	\N	422	61	\N	9999-12-31	2013-05-08
34/4-1	1211.000000	1685.000000	HORDALAND GP	GROUP	\N	422	67	\N	9999-12-31	2013-05-08
34/4-1	1788.000000	2025.000000	JORSALFARE FM	FORMATION	SHETLAND GP	422	74	143	9999-12-31	2013-05-08
34/4-1	2025.000000	2490.000000	KYRRE FM	FORMATION	SHETLAND GP	422	92	143	9999-12-31	2013-05-08
34/4-1	1715.000000	1788.000000	LISTA FM	FORMATION	ROGALAND GP	422	95	131	9999-12-31	2013-05-08
34/4-1	2834.000000	2894.000000	LOMVI FM	FORMATION	HEGRE GP	422	96	61	9999-12-31	2013-05-08
34/4-1	2508.000000	2834.000000	LUNDE FM	FORMATION	HEGRE GP	422	97	61	9999-12-31	2013-05-08
34/4-1	2494.000000	2508.000000	MIME FM	FORMATION	CROMER KNOLL GP	422	106	23	9999-12-31	2013-05-08
34/4-1	1120.000000	1211.000000	NO FORMAL NAME	FORMATION	\N	422	111	\N	9999-12-31	2013-05-08
34/4-1	402.000000	1211.000000	NORDLAND GP	GROUP	\N	422	113	\N	9999-12-31	2013-05-08
34/4-1	1685.000000	1788.000000	ROGALAND GP	GROUP	\N	422	131	\N	9999-12-31	2013-05-08
34/4-1	2490.000000	2494.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	422	137	23	9999-12-31	2013-05-08
34/4-1	1788.000000	2490.000000	SHETLAND GP	GROUP	\N	422	143	\N	9999-12-31	2013-05-08
34/4-1	2894.000000	2916.000000	TEIST FM (INFORMAL)	FORMATION	HEGRE GP	422	166	61	9999-12-31	2013-05-08
34/4-1	1089.000000	1120.000000	UTSIRA FM	FORMATION	NORDLAND GP	422	183	113	9999-12-31	2013-05-08
34/4-3	4281.000000	4353.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	423	4	29	9999-12-31	2013-05-08
34/4-3	1727.000000	1769.000000	BALDER FM	FORMATION	ROGALAND GP	423	6	131	9999-12-31	2013-05-08
34/4-3	3987.000000	4169.000000	BRENT GP	GROUP	\N	423	16	\N	9999-12-31	2013-05-08
34/4-3	4257.000000	4281.000000	BURTON FM	FORMATION	DUNLIN GP	423	20	29	9999-12-31	2013-05-08
34/4-3	3512.000000	3526.000000	CROMER KNOLL GP	GROUP	\N	423	23	\N	9999-12-31	2013-05-08
34/4-3	4226.000000	4257.000000	COOK FM	FORMATION	DUNLIN GP	423	24	29	9999-12-31	2013-05-08
34/4-3	4169.000000	4226.000000	DRAKE FM	FORMATION	DUNLIN GP	423	27	29	9999-12-31	2013-05-08
34/4-3	3526.000000	3784.000000	DRAUPNE FM	FORMATION	VIKING GP	423	28	188	9999-12-31	2013-05-08
34/4-3	4169.000000	4353.000000	DUNLIN GP	GROUP	\N	423	29	\N	9999-12-31	2013-05-08
34/4-3	3784.000000	3987.000000	HEATHER FM	FORMATION	VIKING GP	423	60	188	9999-12-31	2013-05-08
34/4-3	4410.000000	4460.000000	HEGRE GP	GROUP	\N	423	61	\N	9999-12-31	2013-05-08
34/4-3	1243.000000	1727.000000	HORDALAND GP	GROUP	\N	423	67	\N	9999-12-31	2013-05-08
34/4-3	1769.000000	1891.000000	LISTA FM	FORMATION	ROGALAND GP	423	95	131	9999-12-31	2013-05-08
34/4-3	4410.000000	4460.000000	LUNDE FM	FORMATION	HEGRE GP	423	97	61	9999-12-31	2013-05-08
34/4-3	391.000000	1243.000000	NORDLAND GP	GROUP	\N	423	113	\N	9999-12-31	2013-05-08
34/4-3	1727.000000	1891.000000	ROGALAND GP	GROUP	\N	423	131	\N	9999-12-31	2013-05-08
34/4-3	1891.000000	3512.000000	SHETLAND GP	GROUP	\N	423	143	\N	9999-12-31	2013-05-08
34/4-3	4353.000000	4410.000000	STATFJORD FM	FORMATION	\N	423	157	\N	9999-12-31	2013-05-08
34/4-3	1136.000000	1243.000000	UTSIRA FM	FORMATION	NORDLAND GP	423	183	113	9999-12-31	2013-05-08
34/4-3	3526.000000	3987.000000	VIKING GP	GROUP	\N	423	188	\N	9999-12-31	2013-05-08
34/4-3	4353.000000	4410.000000	NO GROUP DEFINED	GROUP	\N	423	208	\N	9999-12-31	2013-05-08
34/10-1	2120.000000	2268.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	424	4	29	9999-12-31	2013-05-08
34/10-1	1513.000000	1582.000000	BALDER FM	FORMATION	ROGALAND GP	424	6	131	9999-12-31	2013-05-08
34/10-1	1783.000000	1946.000000	BRENT GP	GROUP	\N	424	16	\N	9999-12-31	2013-05-08
34/10-1	1935.000000	1946.000000	BROOM FM	FORMATION	BRENT GP	424	17	16	9999-12-31	2013-05-08
34/10-1	2081.000000	2120.000000	BURTON FM	FORMATION	DUNLIN GP	424	20	29	9999-12-31	2013-05-08
34/10-1	2023.000000	2081.000000	COOK FM	FORMATION	DUNLIN GP	424	24	29	9999-12-31	2013-05-08
34/10-1	1946.000000	2023.000000	DRAKE FM	FORMATION	DUNLIN GP	424	27	29	9999-12-31	2013-05-08
34/10-1	1946.000000	2268.000000	DUNLIN GP	GROUP	\N	424	29	\N	9999-12-31	2013-05-08
34/10-1	1833.000000	1871.000000	ETIVE FM	FORMATION	BRENT GP	424	35	16	9999-12-31	2013-05-08
34/10-1	2367.000000	2460.000000	HEGRE GP	GROUP	\N	424	61	\N	9999-12-31	2013-05-08
34/10-1	915.000000	1513.000000	HORDALAND GP	GROUP	\N	424	67	\N	9999-12-31	2013-05-08
34/10-1	1678.000000	1718.000000	JORSALFARE FM	FORMATION	SHETLAND GP	424	74	143	9999-12-31	2013-05-08
34/10-1	1718.000000	1783.000000	KYRRE FM	FORMATION	SHETLAND GP	424	92	143	9999-12-31	2013-05-08
34/10-1	1582.000000	1678.000000	LISTA FM	FORMATION	ROGALAND GP	424	95	131	9999-12-31	2013-05-08
34/10-1	2367.000000	2460.000000	LUNDE FM	FORMATION	HEGRE GP	424	97	61	9999-12-31	2013-05-08
34/10-1	2268.000000	2329.000000	NANSEN MBR	MEMBER	STATFJORD FM	424	108	157	9999-12-31	2013-05-08
34/10-1	1797.000000	1833.000000	NESS FM	FORMATION	BRENT GP	424	110	16	9999-12-31	2013-05-08
34/10-1	900.000000	915.000000	NO FORMAL NAME	FORMATION	\N	424	111	\N	9999-12-31	2013-05-08
34/10-1	963.000000	995.000000	NO FORMAL NAME	FORMATION	\N	424	111	\N	9999-12-31	2013-05-08
34/10-1	995.000000	1045.000000	NO FORMAL NAME	FORMATION	\N	424	111	\N	9999-12-31	2013-05-08
34/10-1	1045.000000	1142.000000	NO FORMAL NAME	FORMATION	\N	424	111	\N	9999-12-31	2013-05-08
34/10-1	1142.000000	1180.000000	NO FORMAL NAME	FORMATION	\N	424	111	\N	9999-12-31	2013-05-08
34/10-1	1180.000000	1220.000000	NO FORMAL NAME	FORMATION	\N	424	111	\N	9999-12-31	2013-05-08
34/10-1	1220.000000	1298.000000	NO FORMAL NAME	FORMATION	\N	424	111	\N	9999-12-31	2013-05-08
34/10-1	1298.000000	1320.000000	NO FORMAL NAME	FORMATION	\N	424	111	\N	9999-12-31	2013-05-08
34/10-1	1320.000000	1513.000000	NO FORMAL NAME	FORMATION	\N	424	111	\N	9999-12-31	2013-05-08
34/10-1	163.000000	915.000000	NORDLAND GP	GROUP	\N	424	113	\N	9999-12-31	2013-05-08
34/10-1	1871.000000	1935.000000	RANNOCH FM	FORMATION	BRENT GP	424	126	16	9999-12-31	2013-05-08
34/10-1	2329.000000	2367.000000	RAUDE MBR	MEMBER	STATFJORD FM	424	127	157	9999-12-31	2013-05-08
34/10-1	1513.000000	1678.000000	ROGALAND GP	GROUP	\N	424	131	\N	9999-12-31	2013-05-08
34/10-1	1678.000000	1783.000000	SHETLAND GP	GROUP	\N	424	143	\N	9999-12-31	2013-05-08
34/10-1	2268.000000	2367.000000	STATFJORD FM	FORMATION	\N	424	157	\N	9999-12-31	2013-05-08
34/10-1	1783.000000	1797.000000	TARBERT FM	FORMATION	BRENT GP	424	162	16	9999-12-31	2013-05-08
34/10-1	845.000000	900.000000	UTSIRA FM	FORMATION	NORDLAND GP	424	183	113	9999-12-31	2013-05-08
34/10-1	2268.000000	2367.000000	NO GROUP DEFINED	GROUP	\N	424	208	\N	9999-12-31	2013-05-08
34/10-2	3222.000000	3325.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	425	4	29	9999-12-31	2013-05-08
34/10-2	1795.000000	1858.000000	BALDER FM	FORMATION	ROGALAND GP	425	6	131	9999-12-31	2013-05-08
34/10-2	2944.000000	3124.000000	BRENT GP	GROUP	\N	425	16	\N	9999-12-31	2013-05-08
34/10-2	3200.000000	3222.000000	BURTON FM	FORMATION	DUNLIN GP	425	20	29	9999-12-31	2013-05-08
34/10-2	2863.000000	2882.000000	CROMER KNOLL GP	GROUP	\N	425	23	\N	9999-12-31	2013-05-08
34/10-2	3172.000000	3200.000000	COOK FM	FORMATION	DUNLIN GP	425	24	29	9999-12-31	2013-05-08
34/10-2	3124.000000	3172.000000	DRAKE FM	FORMATION	DUNLIN GP	425	27	29	9999-12-31	2013-05-08
34/10-2	2882.000000	2889.000000	DRAUPNE FM	FORMATION	VIKING GP	425	28	188	9999-12-31	2013-05-08
34/10-2	3124.000000	3325.000000	DUNLIN GP	GROUP	\N	425	29	\N	9999-12-31	2013-05-08
34/10-2	3379.000000	3497.000000	EIRIKSSON MBR	MEMBER	STATFJORD FM	425	32	157	9999-12-31	2013-05-08
34/10-2	3070.000000	3083.000000	ETIVE FM	FORMATION	BRENT GP	425	35	16	9999-12-31	2013-05-08
34/10-2	2889.000000	2944.000000	HEATHER FM	FORMATION	VIKING GP	425	60	188	9999-12-31	2013-05-08
34/10-2	3540.000000	3729.000000	HEGRE GP	GROUP	\N	425	61	\N	9999-12-31	2013-05-08
34/10-2	1015.000000	1795.000000	HORDALAND GP	GROUP	\N	425	67	\N	9999-12-31	2013-05-08
34/10-2	2017.000000	2625.000000	JORSALFARE FM	FORMATION	SHETLAND GP	425	74	143	9999-12-31	2013-05-08
34/10-2	2625.000000	2863.000000	KYRRE FM	FORMATION	SHETLAND GP	425	92	143	9999-12-31	2013-05-08
34/10-2	1858.000000	2017.000000	LISTA FM	FORMATION	ROGALAND GP	425	95	131	9999-12-31	2013-05-08
34/10-2	3540.000000	3729.000000	LUNDE FM	FORMATION	HEGRE GP	425	97	61	9999-12-31	2013-05-08
34/10-2	3325.000000	3379.000000	NANSEN MBR	MEMBER	STATFJORD FM	425	108	157	9999-12-31	2013-05-08
34/10-2	2944.000000	3070.000000	NESS FM	FORMATION	BRENT GP	425	110	16	9999-12-31	2013-05-08
34/10-2	965.000000	1015.000000	NO FORMAL NAME	FORMATION	\N	425	111	\N	9999-12-31	2013-05-08
34/10-2	1095.000000	1140.000000	NO FORMAL NAME	FORMATION	\N	425	111	\N	9999-12-31	2013-05-08
34/10-2	1140.000000	1165.000000	NO FORMAL NAME	FORMATION	\N	425	111	\N	9999-12-31	2013-05-08
34/10-2	1165.000000	1412.000000	NO FORMAL NAME	FORMATION	\N	425	111	\N	9999-12-31	2013-05-08
34/10-2	1412.000000	1440.000000	NO FORMAL NAME	FORMATION	\N	425	111	\N	9999-12-31	2013-05-08
34/10-2	1440.000000	1523.000000	NO FORMAL NAME	FORMATION	\N	425	111	\N	9999-12-31	2013-05-08
34/10-2	1523.000000	1575.000000	NO FORMAL NAME	FORMATION	\N	425	111	\N	9999-12-31	2013-05-08
34/10-2	1575.000000	1597.000000	NO FORMAL NAME	FORMATION	\N	425	111	\N	9999-12-31	2013-05-08
34/10-2	1597.000000	1637.000000	NO FORMAL NAME	FORMATION	\N	425	111	\N	9999-12-31	2013-05-08
34/10-2	1637.000000	1665.000000	NO FORMAL NAME	FORMATION	\N	425	111	\N	9999-12-31	2013-05-08
34/10-2	1665.000000	1795.000000	NO FORMAL NAME	FORMATION	\N	425	111	\N	9999-12-31	2013-05-08
34/10-2	158.000000	1015.000000	NORDLAND GP	GROUP	\N	425	113	\N	9999-12-31	2013-05-08
34/10-2	3083.000000	3124.000000	RANNOCH FM	FORMATION	BRENT GP	425	126	16	9999-12-31	2013-05-08
34/10-2	3497.000000	3540.000000	RAUDE MBR	MEMBER	STATFJORD FM	425	127	157	9999-12-31	2013-05-08
34/10-2	1795.000000	2017.000000	ROGALAND GP	GROUP	\N	425	131	\N	9999-12-31	2013-05-08
34/10-2	2863.000000	2867.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	425	137	23	9999-12-31	2013-05-08
34/10-2	2017.000000	2863.000000	SHETLAND GP	GROUP	\N	425	143	\N	9999-12-31	2013-05-08
34/10-2	2867.000000	2870.000000	SOLA FM	FORMATION	CROMER KNOLL GP	425	152	23	9999-12-31	2013-05-08
34/10-2	3325.000000	3540.000000	STATFJORD FM	FORMATION	\N	425	157	\N	9999-12-31	2013-05-08
34/10-2	865.000000	965.000000	UTSIRA FM	FORMATION	NORDLAND GP	425	183	113	9999-12-31	2013-05-08
34/10-2	2882.000000	2944.000000	VIKING GP	GROUP	\N	425	188	\N	9999-12-31	2013-05-08
34/10-2	2870.000000	2882.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	425	198	23	9999-12-31	2013-05-08
34/10-2	3325.000000	3540.000000	NO GROUP DEFINED	GROUP	\N	425	208	\N	9999-12-31	2013-05-08
34/10-3	2336.000000	2495.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	426	4	29	9999-12-31	2013-05-08
34/10-3	1578.000000	1637.000000	BALDER FM	FORMATION	ROGALAND GP	426	6	131	9999-12-31	2013-05-08
34/10-3	1892.000000	2092.000000	BRENT GP	GROUP	\N	426	16	\N	9999-12-31	2013-05-08
34/10-3	2084.000000	2092.000000	BROOM FM	FORMATION	BRENT GP	426	17	16	9999-12-31	2013-05-08
34/10-3	2326.000000	2336.000000	BURTON FM	FORMATION	DUNLIN GP	426	20	29	9999-12-31	2013-05-08
34/10-3	1886.000000	1892.000000	CROMER KNOLL GP	GROUP	\N	426	23	\N	9999-12-31	2013-05-08
34/10-3	2201.000000	2326.000000	COOK FM	FORMATION	DUNLIN GP	426	24	29	9999-12-31	2013-05-08
34/10-3	2092.000000	2201.000000	DRAKE FM	FORMATION	DUNLIN GP	426	27	29	9999-12-31	2013-05-08
34/10-3	2092.000000	2495.000000	DUNLIN GP	GROUP	\N	426	29	\N	9999-12-31	2013-05-08
34/10-3	2561.000000	2677.000000	EIRIKSSON MBR	MEMBER	STATFJORD FM	426	32	157	9999-12-31	2013-05-08
34/10-3	1978.000000	2002.000000	ETIVE FM	FORMATION	BRENT GP	426	35	16	9999-12-31	2013-05-08
34/10-3	2715.000000	2802.000000	HEGRE GP	GROUP	\N	426	61	\N	9999-12-31	2013-05-08
34/10-3	1118.000000	1578.000000	HORDALAND GP	GROUP	\N	426	67	\N	9999-12-31	2013-05-08
34/10-3	1748.000000	1827.000000	JORSALFARE FM	FORMATION	SHETLAND GP	426	74	143	9999-12-31	2013-05-08
34/10-3	1827.000000	1886.000000	KYRRE FM	FORMATION	SHETLAND GP	426	92	143	9999-12-31	2013-05-08
34/10-3	1637.000000	1748.000000	LISTA FM	FORMATION	ROGALAND GP	426	95	131	9999-12-31	2013-05-08
34/10-3	2715.000000	2802.000000	LUNDE FM	FORMATION	HEGRE GP	426	97	61	9999-12-31	2013-05-08
34/10-3	2495.000000	2561.000000	NANSEN MBR	MEMBER	STATFJORD FM	426	108	157	9999-12-31	2013-05-08
34/10-3	1892.000000	1978.000000	NESS FM	FORMATION	BRENT GP	426	110	16	9999-12-31	2013-05-08
34/10-3	1072.000000	1118.000000	NO FORMAL NAME	FORMATION	\N	426	111	\N	9999-12-31	2013-05-08
34/10-3	1118.000000	1225.000000	NO FORMAL NAME	FORMATION	\N	426	111	\N	9999-12-31	2013-05-08
34/10-3	1225.000000	1252.000000	NO FORMAL NAME	FORMATION	\N	426	111	\N	9999-12-31	2013-05-08
34/10-3	1252.000000	1425.000000	NO FORMAL NAME	FORMATION	\N	426	111	\N	9999-12-31	2013-05-08
34/10-3	1425.000000	1578.000000	NO FORMAL NAME	FORMATION	\N	426	111	\N	9999-12-31	2013-05-08
34/10-3	165.000000	1118.000000	NORDLAND GP	GROUP	\N	426	113	\N	9999-12-31	2013-05-08
34/10-3	2002.000000	2084.000000	RANNOCH FM	FORMATION	BRENT GP	426	126	16	9999-12-31	2013-05-08
34/10-3	2677.000000	2715.000000	RAUDE MBR	MEMBER	STATFJORD FM	426	127	157	9999-12-31	2013-05-08
34/10-3	1578.000000	1748.000000	ROGALAND GP	GROUP	\N	426	131	\N	9999-12-31	2013-05-08
34/10-3	1748.000000	1886.000000	SHETLAND GP	GROUP	\N	426	143	\N	9999-12-31	2013-05-08
34/10-3	2495.000000	2715.000000	STATFJORD FM	FORMATION	\N	426	157	\N	9999-12-31	2013-05-08
34/10-3	998.000000	1072.000000	UTSIRA FM	FORMATION	NORDLAND GP	426	183	113	9999-12-31	2013-05-08
34/10-3	2495.000000	2715.000000	NO GROUP DEFINED	GROUP	\N	426	208	\N	9999-12-31	2013-05-08
34/10-4	2175.000000	2340.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	427	4	29	9999-12-31	2013-05-08
34/10-4	1520.000000	1580.000000	BALDER FM	FORMATION	ROGALAND GP	427	6	131	9999-12-31	2013-05-08
34/10-4	1816.000000	1916.000000	BRENT GP	GROUP	\N	427	16	\N	9999-12-31	2013-05-08
34/10-4	1905.000000	1916.000000	BROOM FM	FORMATION	BRENT GP	427	17	16	9999-12-31	2013-05-08
34/10-4	2165.000000	2175.000000	BURTON FM	FORMATION	DUNLIN GP	427	20	29	9999-12-31	2013-05-08
34/10-4	2025.000000	2165.000000	COOK FM	FORMATION	DUNLIN GP	427	24	29	9999-12-31	2013-05-08
34/10-4	1916.000000	2025.000000	DRAKE FM	FORMATION	DUNLIN GP	427	27	29	9999-12-31	2013-05-08
34/10-4	1916.000000	2340.000000	DUNLIN GP	GROUP	\N	427	29	\N	9999-12-31	2013-05-08
34/10-4	2435.000000	2458.000000	EIRIKSSON MBR	MEMBER	STATFJORD FM	427	32	157	9999-12-31	2013-05-08
34/10-4	2481.000000	2600.000000	HEGRE GP	GROUP	\N	427	61	\N	9999-12-31	2013-05-08
34/10-4	1030.000000	1520.000000	HORDALAND GP	GROUP	\N	427	67	\N	9999-12-31	2013-05-08
34/10-4	1690.000000	1745.000000	JORSALFARE FM	FORMATION	SHETLAND GP	427	74	143	9999-12-31	2013-05-08
34/10-4	1745.000000	1816.000000	KYRRE FM	FORMATION	SHETLAND GP	427	92	143	9999-12-31	2013-05-08
34/10-4	1580.000000	1690.000000	LISTA FM	FORMATION	ROGALAND GP	427	95	131	9999-12-31	2013-05-08
34/10-4	2481.000000	2600.000000	LUNDE FM	FORMATION	HEGRE GP	427	97	61	9999-12-31	2013-05-08
34/10-4	2340.000000	2435.000000	NANSEN MBR	MEMBER	STATFJORD FM	427	108	157	9999-12-31	2013-05-08
34/10-4	1000.000000	1030.000000	NO FORMAL NAME	FORMATION	\N	427	111	\N	9999-12-31	2013-05-08
34/10-4	1110.000000	1227.000000	NO FORMAL NAME	FORMATION	\N	427	111	\N	9999-12-31	2013-05-08
34/10-4	1227.000000	1273.000000	NO FORMAL NAME	FORMATION	\N	427	111	\N	9999-12-31	2013-05-08
34/10-4	1273.000000	1340.000000	NO FORMAL NAME	FORMATION	\N	427	111	\N	9999-12-31	2013-05-08
34/10-4	1340.000000	1520.000000	NO FORMAL NAME	FORMATION	\N	427	111	\N	9999-12-31	2013-05-08
34/10-4	223.000000	1030.000000	NORDLAND GP	GROUP	\N	427	113	\N	9999-12-31	2013-05-08
34/10-4	1816.000000	1905.000000	RANNOCH FM	FORMATION	BRENT GP	427	126	16	9999-12-31	2013-05-08
34/10-4	2458.000000	2481.000000	RAUDE MBR	MEMBER	STATFJORD FM	427	127	157	9999-12-31	2013-05-08
34/10-4	1520.000000	1690.000000	ROGALAND GP	GROUP	\N	427	131	\N	9999-12-31	2013-05-08
34/10-4	1690.000000	1816.000000	SHETLAND GP	GROUP	\N	427	143	\N	9999-12-31	2013-05-08
34/10-4	2340.000000	2481.000000	STATFJORD FM	FORMATION	\N	427	157	\N	9999-12-31	2013-05-08
34/10-4	915.000000	1000.000000	UTSIRA FM	FORMATION	NORDLAND GP	427	183	113	9999-12-31	2013-05-08
34/10-4	2340.000000	2481.000000	NO GROUP DEFINED	GROUP	\N	427	208	\N	9999-12-31	2013-05-08
34/10-5	2388.000000	2562.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	428	4	29	9999-12-31	2013-05-08
34/10-5	1555.000000	1613.000000	BALDER FM	FORMATION	ROGALAND GP	428	6	131	9999-12-31	2013-05-08
34/10-5	1896.000000	2148.000000	BRENT GP	GROUP	\N	428	16	\N	9999-12-31	2013-05-08
34/10-5	2134.000000	2148.000000	BROOM FM	FORMATION	BRENT GP	428	17	16	9999-12-31	2013-05-08
34/10-5	2381.000000	2388.000000	BURTON FM	FORMATION	DUNLIN GP	428	20	29	9999-12-31	2013-05-08
34/10-5	2240.000000	2381.000000	COOK FM	FORMATION	DUNLIN GP	428	24	29	9999-12-31	2013-05-08
34/10-5	2148.000000	2240.000000	DRAKE FM	FORMATION	DUNLIN GP	428	27	29	9999-12-31	2013-05-08
34/10-5	1857.000000	1858.000000	DRAUPNE FM	FORMATION	VIKING GP	428	28	188	9999-12-31	2013-05-08
34/10-5	2148.000000	2562.000000	DUNLIN GP	GROUP	\N	428	29	\N	9999-12-31	2013-05-08
34/10-5	2649.000000	2732.000000	EIRIKSSON MBR	MEMBER	STATFJORD FM	428	32	157	9999-12-31	2013-05-08
34/10-5	2035.000000	2070.000000	ETIVE FM	FORMATION	BRENT GP	428	35	16	9999-12-31	2013-05-08
34/10-5	1858.000000	1896.000000	HEATHER FM	FORMATION	VIKING GP	428	60	188	9999-12-31	2013-05-08
34/10-5	2764.000000	2780.000000	HEGRE GP	GROUP	\N	428	61	\N	9999-12-31	2013-05-08
34/10-5	945.000000	1555.000000	HORDALAND GP	GROUP	\N	428	67	\N	9999-12-31	2013-05-08
34/10-5	1734.000000	1857.000000	JORSALFARE FM	FORMATION	SHETLAND GP	428	74	143	9999-12-31	2013-05-08
34/10-5	1613.000000	1734.000000	LISTA FM	FORMATION	ROGALAND GP	428	95	131	9999-12-31	2013-05-08
34/10-5	2764.000000	2780.000000	LUNDE FM	FORMATION	HEGRE GP	428	97	61	9999-12-31	2013-05-08
34/10-5	2562.000000	2649.000000	NANSEN MBR	MEMBER	STATFJORD FM	428	108	157	9999-12-31	2013-05-08
34/10-5	1970.000000	2035.000000	NESS FM	FORMATION	BRENT GP	428	110	16	9999-12-31	2013-05-08
34/10-5	925.000000	945.000000	NO FORMAL NAME	FORMATION	\N	428	111	\N	9999-12-31	2013-05-08
34/10-5	1057.000000	1097.000000	NO FORMAL NAME	FORMATION	\N	428	111	\N	9999-12-31	2013-05-08
34/10-5	1097.000000	1120.000000	NO FORMAL NAME	FORMATION	\N	428	111	\N	9999-12-31	2013-05-08
34/10-5	1120.000000	1195.000000	NO FORMAL NAME	FORMATION	\N	428	111	\N	9999-12-31	2013-05-08
34/10-5	1195.000000	1215.000000	NO FORMAL NAME	FORMATION	\N	428	111	\N	9999-12-31	2013-05-08
34/10-5	1215.000000	1390.000000	NO FORMAL NAME	FORMATION	\N	428	111	\N	9999-12-31	2013-05-08
34/10-5	1390.000000	1555.000000	NO FORMAL NAME	FORMATION	\N	428	111	\N	9999-12-31	2013-05-08
34/10-5	161.000000	945.000000	NORDLAND GP	GROUP	\N	428	113	\N	9999-12-31	2013-05-08
34/10-5	2070.000000	2134.000000	RANNOCH FM	FORMATION	BRENT GP	428	126	16	9999-12-31	2013-05-08
34/10-5	2732.000000	2764.000000	RAUDE MBR	MEMBER	STATFJORD FM	428	127	157	9999-12-31	2013-05-08
34/10-5	1555.000000	1734.000000	ROGALAND GP	GROUP	\N	428	131	\N	9999-12-31	2013-05-08
34/10-5	1734.000000	1857.000000	SHETLAND GP	GROUP	\N	428	143	\N	9999-12-31	2013-05-08
34/10-5	2562.000000	2764.000000	STATFJORD FM	FORMATION	\N	428	157	\N	9999-12-31	2013-05-08
34/10-5	1896.000000	1970.000000	TARBERT FM	FORMATION	BRENT GP	428	162	16	9999-12-31	2013-05-08
34/10-5	885.000000	925.000000	UTSIRA FM	FORMATION	NORDLAND GP	428	183	113	9999-12-31	2013-05-08
34/10-5	1857.000000	1896.000000	VIKING GP	GROUP	\N	428	188	\N	9999-12-31	2013-05-08
34/10-5	2562.000000	2764.000000	NO GROUP DEFINED	GROUP	\N	428	208	\N	9999-12-31	2013-05-08
34/10-6	1578.000000	1638.000000	BALDER FM	FORMATION	ROGALAND GP	429	6	131	9999-12-31	2013-05-08
34/10-6	2075.000000	2290.000000	BRENT GP	GROUP	\N	429	16	\N	9999-12-31	2013-05-08
34/10-6	2273.000000	2290.000000	BROOM FM	FORMATION	BRENT GP	429	17	16	9999-12-31	2013-05-08
34/10-6	1990.000000	1995.000000	CROMER KNOLL GP	GROUP	\N	429	23	\N	9999-12-31	2013-05-08
34/10-6	2290.000000	2363.000000	DRAKE FM	FORMATION	DUNLIN GP	429	27	29	9999-12-31	2013-05-08
34/10-6	1995.000000	1997.000000	DRAUPNE FM	FORMATION	VIKING GP	429	28	188	9999-12-31	2013-05-08
34/10-6	2290.000000	2363.000000	DUNLIN GP	GROUP	\N	429	29	\N	9999-12-31	2013-05-08
34/10-6	2165.000000	2197.000000	ETIVE FM	FORMATION	BRENT GP	429	35	16	9999-12-31	2013-05-08
34/10-6	1997.000000	2075.000000	HEATHER FM	FORMATION	VIKING GP	429	60	188	9999-12-31	2013-05-08
34/10-6	1005.000000	1578.000000	HORDALAND GP	GROUP	\N	429	67	\N	9999-12-31	2013-05-08
34/10-6	1757.000000	1990.000000	JORSALFARE FM	FORMATION	SHETLAND GP	429	74	143	9999-12-31	2013-05-08
34/10-6	1638.000000	1757.000000	LISTA FM	FORMATION	ROGALAND GP	429	95	131	9999-12-31	2013-05-08
34/10-6	2105.000000	2165.000000	NESS FM	FORMATION	BRENT GP	429	110	16	9999-12-31	2013-05-08
34/10-6	975.000000	1005.000000	NO FORMAL NAME	FORMATION	\N	429	111	\N	9999-12-31	2013-05-08
34/10-6	1100.000000	1155.000000	NO FORMAL NAME	FORMATION	\N	429	111	\N	9999-12-31	2013-05-08
34/10-6	1155.000000	1217.000000	NO FORMAL NAME	FORMATION	\N	429	111	\N	9999-12-31	2013-05-08
34/10-6	1217.000000	1317.000000	NO FORMAL NAME	FORMATION	\N	429	111	\N	9999-12-31	2013-05-08
34/10-6	1317.000000	1347.000000	NO FORMAL NAME	FORMATION	\N	429	111	\N	9999-12-31	2013-05-08
34/10-6	1347.000000	1382.000000	NO FORMAL NAME	FORMATION	\N	429	111	\N	9999-12-31	2013-05-08
34/10-6	1382.000000	1435.000000	NO FORMAL NAME	FORMATION	\N	429	111	\N	9999-12-31	2013-05-08
34/10-6	1435.000000	1455.000000	NO FORMAL NAME	FORMATION	\N	429	111	\N	9999-12-31	2013-05-08
34/10-6	1455.000000	1578.000000	NO FORMAL NAME	FORMATION	\N	429	111	\N	9999-12-31	2013-05-08
34/10-6	248.000000	1005.000000	NORDLAND GP	GROUP	\N	429	113	\N	9999-12-31	2013-05-08
34/10-6	2197.000000	2273.000000	RANNOCH FM	FORMATION	BRENT GP	429	126	16	9999-12-31	2013-05-08
34/10-6	1578.000000	1757.000000	ROGALAND GP	GROUP	\N	429	131	\N	9999-12-31	2013-05-08
34/10-6	1757.000000	1990.000000	SHETLAND GP	GROUP	\N	429	143	\N	9999-12-31	2013-05-08
34/10-6	2075.000000	2105.000000	TARBERT FM	FORMATION	BRENT GP	429	162	16	9999-12-31	2013-05-08
34/10-6	946.000000	975.000000	UTSIRA FM	FORMATION	NORDLAND GP	429	183	113	9999-12-31	2013-05-08
34/10-6	1995.000000	2075.000000	VIKING GP	GROUP	\N	429	188	\N	9999-12-31	2013-05-08
34/10-10	179.000000	816.000000	NORDLAND GP	GROUP	\N	430	113	\N	9999-12-31	2013-05-08
35/3-1	3805.000000	4020.000000	AGAT FM	FORMATION	CROMER KNOLL GP	432	2	23	9999-12-31	2013-05-08
35/3-1	1350.000000	1358.000000	BALDER FM	FORMATION	ROGALAND GP	432	6	131	9999-12-31	2013-05-08
35/3-1	3359.000000	3387.000000	BLODØKS FM	FORMATION	SHETLAND GP	432	13	143	9999-12-31	2013-05-08
35/3-1	3725.000000	4145.000000	CROMER KNOLL GP	GROUP	\N	432	23	\N	9999-12-31	2013-05-08
35/3-1	4435.000000	4475.000000	DRAKE FM	FORMATION	DUNLIN GP	432	27	29	9999-12-31	2013-05-08
35/3-1	4435.000000	4475.000000	DUNLIN GP	GROUP	\N	432	29	\N	9999-12-31	2013-05-08
35/3-1	4145.000000	4166.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	432	59	188	9999-12-31	2013-05-08
35/3-1	4166.000000	4435.000000	HEATHER FM	FORMATION	VIKING GP	432	60	188	9999-12-31	2013-05-08
35/3-1	743.000000	1350.000000	HORDALAND GP	GROUP	\N	432	67	\N	9999-12-31	2013-05-08
35/3-1	1580.000000	1720.000000	JORSALFARE FM	FORMATION	SHETLAND GP	432	74	143	9999-12-31	2013-05-08
35/3-1	1720.000000	2962.000000	KYRRE FM	FORMATION	SHETLAND GP	432	92	143	9999-12-31	2013-05-08
35/3-1	1358.000000	1392.000000	LISTA FM	FORMATION	ROGALAND GP	432	95	131	9999-12-31	2013-05-08
35/3-1	1422.000000	1556.000000	LISTA FM	FORMATION	ROGALAND GP	432	95	131	9999-12-31	2013-05-08
35/3-1	743.000000	835.000000	NO FORMAL NAME	FORMATION	\N	432	111	\N	9999-12-31	2013-05-08
35/3-1	835.000000	965.000000	NO FORMAL NAME	FORMATION	\N	432	111	\N	9999-12-31	2013-05-08
35/3-1	965.000000	1161.000000	NO FORMAL NAME	FORMATION	\N	432	111	\N	9999-12-31	2013-05-08
35/3-1	1161.000000	1204.000000	NO FORMAL NAME	FORMATION	\N	432	111	\N	9999-12-31	2013-05-08
35/3-1	1204.000000	1350.000000	NO FORMAL NAME	FORMATION	\N	432	111	\N	9999-12-31	2013-05-08
35/3-1	1392.000000	1422.000000	NO FORMAL NAME	FORMATION	\N	432	111	\N	9999-12-31	2013-05-08
35/3-1	1556.000000	1580.000000	NO FORMAL NAME	FORMATION	\N	432	111	\N	9999-12-31	2013-05-08
35/3-1	330.000000	743.000000	NORDLAND GP	GROUP	\N	432	113	\N	9999-12-31	2013-05-08
35/3-1	1350.000000	1580.000000	ROGALAND GP	GROUP	\N	432	131	\N	9999-12-31	2013-05-08
35/3-1	3725.000000	3805.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	432	137	23	9999-12-31	2013-05-08
35/3-1	1580.000000	3725.000000	SHETLAND GP	GROUP	\N	432	143	\N	9999-12-31	2013-05-08
35/3-1	3387.000000	3725.000000	SVARTE FM	FORMATION	SHETLAND GP	432	160	143	9999-12-31	2013-05-08
35/3-1	2962.000000	3359.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	432	173	143	9999-12-31	2013-05-08
35/3-1	574.000000	743.000000	UTSIRA FM	FORMATION	NORDLAND GP	432	183	113	9999-12-31	2013-05-08
35/3-1	4145.000000	4435.000000	VIKING GP	GROUP	\N	432	188	\N	9999-12-31	2013-05-08
35/3-1	4020.000000	4145.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	432	198	23	9999-12-31	2013-05-08
35/3-5	3219.000000	3510.000000	AGAT FM	FORMATION	CROMER KNOLL GP	433	2	23	9999-12-31	2013-05-08
35/3-5	4060.000000	4092.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	433	4	29	9999-12-31	2013-05-08
35/3-5	975.000000	1026.000000	BALDER FM	FORMATION	ROGALAND GP	433	6	131	9999-12-31	2013-05-08
35/3-5	4092.000000	4114.000000	BASEMENT	GROUP	\N	433	10	\N	9999-12-31	2013-05-08
35/3-5	2904.000000	2912.000000	BLODØKS FM	FORMATION	SHETLAND GP	433	13	143	9999-12-31	2013-05-08
35/3-5	4052.000000	4060.000000	BURTON FM	FORMATION	DUNLIN GP	433	20	29	9999-12-31	2013-05-08
35/3-5	3181.000000	3732.000000	CROMER KNOLL GP	GROUP	\N	433	23	\N	9999-12-31	2013-05-08
35/3-5	3999.000000	4052.000000	COOK FM	FORMATION	DUNLIN GP	433	24	29	9999-12-31	2013-05-08
35/3-5	3955.000000	3999.000000	DRAKE FM	FORMATION	DUNLIN GP	433	27	29	9999-12-31	2013-05-08
35/3-5	3955.000000	4092.000000	DUNLIN GP	GROUP	\N	433	29	\N	9999-12-31	2013-05-08
35/3-5	3865.000000	3874.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	433	59	188	9999-12-31	2013-05-08
35/3-5	3732.000000	3865.000000	HEATHER FM	FORMATION	VIKING GP	433	60	188	9999-12-31	2013-05-08
35/3-5	3874.000000	3955.000000	HEATHER FM	FORMATION	VIKING GP	433	60	188	9999-12-31	2013-05-08
35/3-5	593.000000	975.000000	HORDALAND GP	GROUP	\N	433	67	\N	9999-12-31	2013-05-08
35/3-5	1420.000000	1500.000000	JORSALFARE FM	FORMATION	SHETLAND GP	433	74	143	9999-12-31	2013-05-08
35/3-5	1500.000000	2569.000000	KYRRE FM	FORMATION	SHETLAND GP	433	92	143	9999-12-31	2013-05-08
35/3-5	1026.000000	1100.000000	LISTA FM	FORMATION	ROGALAND GP	433	95	131	9999-12-31	2013-05-08
35/3-5	1121.000000	1145.000000	LISTA FM	FORMATION	ROGALAND GP	433	95	131	9999-12-31	2013-05-08
35/3-5	1172.000000	1400.000000	LISTA FM	FORMATION	ROGALAND GP	433	95	131	9999-12-31	2013-05-08
35/3-5	593.000000	975.000000	NO FORMAL NAME	FORMATION	\N	433	111	\N	9999-12-31	2013-05-08
35/3-5	1100.000000	1121.000000	NO FORMAL NAME	FORMATION	\N	433	111	\N	9999-12-31	2013-05-08
35/3-5	1145.000000	1172.000000	NO FORMAL NAME	FORMATION	\N	433	111	\N	9999-12-31	2013-05-08
35/3-5	295.000000	593.000000	NORDLAND GP	GROUP	\N	433	113	\N	9999-12-31	2013-05-08
35/3-5	975.000000	1420.000000	ROGALAND GP	GROUP	\N	433	131	\N	9999-12-31	2013-05-08
35/3-5	3181.000000	3219.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	433	137	23	9999-12-31	2013-05-08
35/3-5	1420.000000	3181.000000	SHETLAND GP	GROUP	\N	433	143	\N	9999-12-31	2013-05-08
35/3-5	3510.000000	3639.000000	SOLA FM	FORMATION	CROMER KNOLL GP	433	152	23	9999-12-31	2013-05-08
35/3-5	2912.000000	3181.000000	SVARTE FM	FORMATION	SHETLAND GP	433	160	143	9999-12-31	2013-05-08
35/3-5	2569.000000	2904.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	433	173	143	9999-12-31	2013-05-08
35/3-5	3732.000000	3955.000000	VIKING GP	GROUP	\N	433	188	\N	9999-12-31	2013-05-08
35/3-5	1400.000000	1420.000000	VÅLE FM	FORMATION	ROGALAND GP	433	190	131	9999-12-31	2013-05-08
35/3-5	3639.000000	3732.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	433	198	23	9999-12-31	2013-05-08
35/8-2	4095.000000	4203.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	434	4	29	9999-12-31	2013-05-08
35/8-2	1675.000000	1778.000000	BALDER FM	FORMATION	ROGALAND GP	434	6	131	9999-12-31	2013-05-08
35/8-2	3059.000000	3060.000000	BLODØKS FM	FORMATION	SHETLAND GP	434	13	143	9999-12-31	2013-05-08
35/8-2	3666.000000	3885.000000	BRENT GP	GROUP	\N	434	16	\N	9999-12-31	2013-05-08
35/8-2	3868.000000	3885.000000	BROOM FM	FORMATION	BRENT GP	434	17	16	9999-12-31	2013-05-08
35/8-2	4064.000000	4095.000000	BURTON FM	FORMATION	DUNLIN GP	434	20	29	9999-12-31	2013-05-08
35/8-2	3060.000000	3079.000000	CROMER KNOLL GP	GROUP	\N	434	23	\N	9999-12-31	2013-05-08
35/8-2	3932.000000	4064.000000	COOK FM	FORMATION	DUNLIN GP	434	24	29	9999-12-31	2013-05-08
35/8-2	3885.000000	3932.000000	DRAKE FM	FORMATION	DUNLIN GP	434	27	29	9999-12-31	2013-05-08
35/8-2	3079.000000	3204.000000	DRAUPNE FM	FORMATION	VIKING GP	434	28	188	9999-12-31	2013-05-08
35/8-2	3885.000000	4203.000000	DUNLIN GP	GROUP	\N	434	29	\N	9999-12-31	2013-05-08
35/8-2	3786.000000	3814.000000	ETIVE FM	FORMATION	BRENT GP	434	35	16	9999-12-31	2013-05-08
35/8-2	3204.000000	3666.000000	HEATHER FM	FORMATION	VIKING GP	434	60	188	9999-12-31	2013-05-08
35/8-2	969.000000	1675.000000	HORDALAND GP	GROUP	\N	434	67	\N	9999-12-31	2013-05-08
35/8-2	1941.000000	2089.000000	JORSALFARE FM	FORMATION	SHETLAND GP	434	74	143	9999-12-31	2013-05-08
35/8-2	2089.000000	2947.000000	KYRRE FM	FORMATION	SHETLAND GP	434	92	143	9999-12-31	2013-05-08
35/8-2	1782.000000	1928.000000	LISTA FM	FORMATION	ROGALAND GP	434	95	131	9999-12-31	2013-05-08
35/8-2	3717.000000	3786.000000	NESS FM	FORMATION	BRENT GP	434	110	16	9999-12-31	2013-05-08
35/8-2	406.000000	969.000000	NORDLAND GP	GROUP	\N	434	113	\N	9999-12-31	2013-05-08
35/8-2	3814.000000	3868.000000	RANNOCH FM	FORMATION	BRENT GP	434	126	16	9999-12-31	2013-05-08
35/8-2	1675.000000	1941.000000	ROGALAND GP	GROUP	\N	434	131	\N	9999-12-31	2013-05-08
35/8-2	3060.000000	3074.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	434	137	23	9999-12-31	2013-05-08
35/8-2	1778.000000	1782.000000	SELE FM	FORMATION	ROGALAND GP	434	142	131	9999-12-31	2013-05-08
35/8-2	1941.000000	3060.000000	SHETLAND GP	GROUP	\N	434	143	\N	9999-12-31	2013-05-08
35/8-2	4203.000000	4336.000000	STATFJORD FM	FORMATION	\N	434	157	\N	9999-12-31	2013-05-08
35/8-2	3666.000000	3717.000000	TARBERT FM	FORMATION	BRENT GP	434	162	16	9999-12-31	2013-05-08
35/8-2	2947.000000	3059.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	434	173	143	9999-12-31	2013-05-08
35/8-2	791.000000	969.000000	UTSIRA FM	FORMATION	NORDLAND GP	434	183	113	9999-12-31	2013-05-08
35/8-2	3079.000000	3666.000000	VIKING GP	GROUP	\N	434	188	\N	9999-12-31	2013-05-08
35/8-2	1928.000000	1941.000000	VÅLE FM	FORMATION	ROGALAND GP	434	190	131	9999-12-31	2013-05-08
35/8-2	3074.000000	3079.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	434	198	23	9999-12-31	2013-05-08
35/8-2	4203.000000	4336.000000	NO GROUP DEFINED	GROUP	\N	434	208	\N	9999-12-31	2013-05-08
36/1-1	1218.000000	1358.000000	AGAT FM	FORMATION	CROMER KNOLL GP	435	2	23	9999-12-31	2013-05-08
36/1-1	650.000000	671.000000	BALDER FM	FORMATION	ROGALAND GP	435	6	131	9999-12-31	2013-05-08
36/1-1	1568.000000	1596.000000	BASEMENT	GROUP	\N	435	10	\N	9999-12-31	2013-05-08
36/1-1	1175.000000	1218.000000	CROMER KNOLL GP	GROUP	\N	435	23	\N	9999-12-31	2013-05-08
36/1-1	1218.000000	1358.000000	CROMER KNOLL GP	GROUP	\N	435	23	\N	9999-12-31	2013-05-08
36/1-1	1463.000000	1568.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	435	59	188	9999-12-31	2013-05-08
36/1-1	1358.000000	1463.000000	HEATHER FM	FORMATION	VIKING GP	435	60	188	9999-12-31	2013-05-08
36/1-1	586.000000	650.000000	HORDALAND GP	GROUP	\N	435	67	\N	9999-12-31	2013-05-08
36/1-1	839.000000	888.000000	JORSALFARE FM	FORMATION	SHETLAND GP	435	74	143	9999-12-31	2013-05-08
36/1-1	888.000000	1175.000000	KYRRE FM	FORMATION	SHETLAND GP	435	92	143	9999-12-31	2013-05-08
36/1-1	671.000000	762.000000	LISTA FM	FORMATION	ROGALAND GP	435	95	131	9999-12-31	2013-05-08
36/1-1	795.000000	839.000000	LISTA FM	FORMATION	ROGALAND GP	435	95	131	9999-12-31	2013-05-08
36/1-1	762.000000	795.000000	NO FORMAL NAME	FORMATION	\N	435	111	\N	9999-12-31	2013-05-08
36/1-1	191.000000	586.000000	NORDLAND GP	GROUP	\N	435	113	\N	9999-12-31	2013-05-08
36/1-1	650.000000	839.000000	ROGALAND GP	GROUP	\N	435	131	\N	9999-12-31	2013-05-08
36/1-1	1175.000000	1218.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	435	137	23	9999-12-31	2013-05-08
36/1-1	839.000000	1175.000000	SHETLAND GP	GROUP	\N	435	143	\N	9999-12-31	2013-05-08
36/1-1	1358.000000	1568.000000	VIKING GP	GROUP	\N	435	188	\N	9999-12-31	2013-05-08
36/1-2	2815.000000	2865.000000	AGAT FM	FORMATION	CROMER KNOLL GP	436	2	23	9999-12-31	2013-05-08
36/1-2	900.000000	953.000000	BALDER FM	FORMATION	ROGALAND GP	436	6	131	9999-12-31	2013-05-08
36/1-2	3233.000000	3256.000000	BASEMENT	GROUP	\N	436	10	\N	9999-12-31	2013-05-08
36/1-2	2575.000000	2597.000000	BLODØKS FM	FORMATION	SHETLAND GP	436	13	143	9999-12-31	2013-05-08
36/1-2	2815.000000	2875.000000	CROMER KNOLL GP	GROUP	\N	436	23	\N	9999-12-31	2013-05-08
36/1-2	3146.000000	3233.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	436	59	188	9999-12-31	2013-05-08
36/1-2	2900.000000	3146.000000	HEATHER FM	FORMATION	VIKING GP	436	60	188	9999-12-31	2013-05-08
36/1-2	582.000000	900.000000	HORDALAND GP	GROUP	\N	436	67	\N	9999-12-31	2013-05-08
36/1-2	1315.000000	1335.000000	JORSALFARE FM	FORMATION	SHETLAND GP	436	74	143	9999-12-31	2013-05-08
36/1-2	1335.000000	2217.000000	KYRRE FM	FORMATION	SHETLAND GP	436	92	143	9999-12-31	2013-05-08
36/1-2	975.000000	1315.000000	LISTA FM	FORMATION	ROGALAND GP	436	95	131	9999-12-31	2013-05-08
36/1-2	582.000000	718.000000	NO FORMAL NAME	FORMATION	\N	436	111	\N	9999-12-31	2013-05-08
36/1-2	718.000000	791.000000	NO FORMAL NAME	FORMATION	\N	436	111	\N	9999-12-31	2013-05-08
36/1-2	791.000000	900.000000	NO FORMAL NAME	FORMATION	\N	436	111	\N	9999-12-31	2013-05-08
36/1-2	251.000000	582.000000	NORDLAND GP	GROUP	\N	436	113	\N	9999-12-31	2013-05-08
36/1-2	900.000000	1315.000000	ROGALAND GP	GROUP	\N	436	131	\N	9999-12-31	2013-05-08
36/1-2	953.000000	975.000000	SELE FM	FORMATION	ROGALAND GP	436	142	131	9999-12-31	2013-05-08
36/1-2	1315.000000	2815.000000	SHETLAND GP	GROUP	\N	436	143	\N	9999-12-31	2013-05-08
36/1-2	2597.000000	2815.000000	SVARTE FM	FORMATION	SHETLAND GP	436	160	143	9999-12-31	2013-05-08
36/1-2	2217.000000	2575.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	436	173	143	9999-12-31	2013-05-08
36/1-2	2875.000000	3233.000000	VIKING GP	GROUP	\N	436	188	\N	9999-12-31	2013-05-08
36/1-2	2865.000000	2875.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	436	198	23	9999-12-31	2013-05-08
6507/12-2	1305.000000	1717.000000	BRYGGE FM	FORMATION	HORDALAND GP	437	18	67	9999-12-31	2013-05-08
6507/12-2	2007.000000	2605.000000	BÅT GP	GROUP	\N	437	22	\N	9999-12-31	2013-05-08
6507/12-2	1922.000000	2007.000000	FANGST GP	GROUP	\N	437	38	\N	9999-12-31	2013-05-08
6507/12-2	1922.000000	2007.000000	GARN FM	FORMATION	FANGST GP	437	48	38	9999-12-31	2013-05-08
6507/12-2	2605.000000	2727.000000	GREY BEDS (INFORMAL)	GROUP	\N	437	52	\N	9999-12-31	2013-05-08
6507/12-2	1305.000000	1717.000000	HORDALAND GP	GROUP	\N	437	67	\N	9999-12-31	2013-05-08
6507/12-2	1020.000000	1305.000000	KAI FM	FORMATION	NORDLAND GP	437	77	113	9999-12-31	2013-05-08
6507/12-2	1878.000000	1922.000000	MELKE FM	FORMATION	VIKING GP	437	105	188	9999-12-31	2013-05-08
6507/12-2	286.000000	1020.000000	NAUST FM	FORMATION	NORDLAND GP	437	109	113	9999-12-31	2013-05-08
6507/12-2	286.000000	1305.000000	NORDLAND GP	GROUP	\N	437	113	\N	9999-12-31	2013-05-08
6507/12-2	2727.000000	5008.000000	RED BEDS (INFORMAL)	GROUP	\N	437	129	\N	9999-12-31	2013-05-08
6507/12-2	1717.000000	1818.000000	ROGALAND GP	GROUP	\N	437	131	\N	9999-12-31	2013-05-08
6507/12-2	2007.000000	2076.000000	ROR FM	FORMATION	BÅT GP	437	135	22	9999-12-31	2013-05-08
6507/12-2	1818.000000	1872.000000	SHETLAND GP	GROUP	\N	437	143	\N	9999-12-31	2013-05-08
6507/12-2	1872.000000	1878.000000	SPEKK FM	FORMATION	VIKING GP	437	155	188	9999-12-31	2013-05-08
6507/12-2	1818.000000	1872.000000	SPRINGAR FM	FORMATION	SHETLAND GP	437	156	143	9999-12-31	2013-05-08
6507/12-2	1783.000000	1818.000000	TANG FM	FORMATION	ROGALAND GP	437	161	131	9999-12-31	2013-05-08
6507/12-2	1717.000000	1783.000000	TARE FM	FORMATION	ROGALAND GP	437	163	131	9999-12-31	2013-05-08
6507/12-2	2076.000000	2193.000000	TILJE FM	FORMATION	BÅT GP	437	169	22	9999-12-31	2013-05-08
6507/12-2	1872.000000	1922.000000	VIKING GP	GROUP	\N	437	188	\N	9999-12-31	2013-05-08
6507/12-2	2193.000000	2605.000000	ÅRE FM	FORMATION	BÅT GP	437	197	22	9999-12-31	2013-05-08
15/12-4	2320.000000	2335.000000	BALDER FM	FORMATION	ROGALAND GP	438	6	131	9999-12-31	2013-05-08
15/12-4	2712.000000	2784.000000	CROMER KNOLL GP	GROUP	\N	438	23	\N	9999-12-31	2013-05-08
15/12-4	2784.000000	2892.000000	DRAUPNE FM	FORMATION	VIKING GP	438	28	188	9999-12-31	2013-05-08
15/12-4	2476.000000	2494.000000	EKOFISK FM	FORMATION	SHETLAND GP	438	33	143	9999-12-31	2013-05-08
15/12-4	2892.000000	2912.000000	HEATHER FM	FORMATION	VIKING GP	438	60	188	9999-12-31	2013-05-08
15/12-4	2621.000000	2712.000000	HOD FM	FORMATION	SHETLAND GP	438	66	143	9999-12-31	2013-05-08
15/12-4	1278.000000	2320.000000	HORDALAND GP	GROUP	\N	438	67	\N	9999-12-31	2013-05-08
15/12-4	2912.000000	3134.000000	HUGIN FM	FORMATION	VESTLAND GP	438	69	186	9999-12-31	2013-05-08
15/12-4	2393.000000	2464.000000	LISTA FM	FORMATION	ROGALAND GP	438	95	131	9999-12-31	2013-05-08
15/12-4	110.000000	1278.000000	NORDLAND GP	GROUP	\N	438	113	\N	9999-12-31	2013-05-08
15/12-4	2320.000000	2476.000000	ROGALAND GP	GROUP	\N	438	131	\N	9999-12-31	2013-05-08
15/12-4	2712.000000	2735.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	438	137	23	9999-12-31	2013-05-08
15/12-4	2335.000000	2393.000000	SELE FM	FORMATION	ROGALAND GP	438	142	131	9999-12-31	2013-05-08
15/12-4	2476.000000	2712.000000	SHETLAND GP	GROUP	\N	438	143	\N	9999-12-31	2013-05-08
15/12-4	3134.000000	3140.000000	SLEIPNER FM	FORMATION	VESTLAND GP	438	148	186	9999-12-31	2013-05-08
15/12-4	2735.000000	2759.000000	SOLA FM	FORMATION	CROMER KNOLL GP	438	152	23	9999-12-31	2013-05-08
15/12-4	2494.000000	2621.000000	TOR FM	FORMATION	SHETLAND GP	438	171	143	9999-12-31	2013-05-08
15/12-4	1200.000000	1278.000000	UTSIRA FM	FORMATION	NORDLAND GP	438	183	113	9999-12-31	2013-05-08
15/12-4	2912.000000	3140.000000	VESTLAND GP	GROUP	\N	438	186	\N	9999-12-31	2013-05-08
15/12-4	2784.000000	2912.000000	VIKING GP	GROUP	\N	438	188	\N	9999-12-31	2013-05-08
15/12-4	2464.000000	2476.000000	VÅLE FM	FORMATION	ROGALAND GP	438	190	131	9999-12-31	2013-05-08
15/12-4	2759.000000	2784.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	438	198	23	9999-12-31	2013-05-08
15/12-4	3140.000000	3157.000000	NO GROUP DEFINED	GROUP	\N	438	208	\N	9999-12-31	2013-05-08
31/2-15	1200.000000	1256.000000	BALDER FM	FORMATION	ROGALAND GP	439	6	131	9999-12-31	2013-05-08
31/2-15	1636.000000	1677.000000	FENSFJORD FM	FORMATION	VIKING GP	439	40	188	9999-12-31	2013-05-08
31/2-15	1559.000000	1636.000000	HEATHER FM	FORMATION	VIKING GP	439	60	188	9999-12-31	2013-05-08
31/2-15	680.000000	1200.000000	HORDALAND GP	GROUP	\N	439	67	\N	9999-12-31	2013-05-08
31/2-15	1316.000000	1482.000000	LISTA FM	FORMATION	ROGALAND GP	439	95	131	9999-12-31	2013-05-08
31/2-15	1482.000000	1504.000000	NO FORMAL NAME	FORMATION	\N	439	111	\N	9999-12-31	2013-05-08
31/2-15	368.000000	680.000000	NORDLAND GP	GROUP	\N	439	113	\N	9999-12-31	2013-05-08
31/2-15	1200.000000	1504.000000	ROGALAND GP	GROUP	\N	439	131	\N	9999-12-31	2013-05-08
31/2-15	1256.000000	1316.000000	SELE FM	FORMATION	ROGALAND GP	439	142	131	9999-12-31	2013-05-08
31/2-15	1515.000000	1559.000000	SOGNEFJORD FM	FORMATION	VIKING GP	439	151	188	9999-12-31	2013-05-08
31/2-15	1515.000000	1677.000000	VIKING GP	GROUP	\N	439	188	\N	9999-12-31	2013-05-08
31/2-15	1504.000000	1515.000000	UNDEFINED GP	GROUP	\N	439	191	\N	9999-12-31	2013-05-08
25/10-1	1682.000000	1699.000000	BALDER FM	FORMATION	ROGALAND GP	441	6	131	9999-12-31	2013-05-08
25/10-1	1705.000000	1717.000000	BALDER FM	FORMATION	ROGALAND GP	441	6	131	9999-12-31	2013-05-08
25/10-1	1699.000000	1705.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	441	7	131	9999-12-31	2013-05-08
25/10-1	1730.000000	1745.000000	HERMOD FM	FORMATION	ROGALAND GP	441	64	131	9999-12-31	2013-05-08
25/10-1	733.000000	1682.000000	HORDALAND GP	GROUP	\N	441	67	\N	9999-12-31	2013-05-08
25/10-1	675.000000	733.000000	NO FORMAL NAME	FORMATION	\N	441	111	\N	9999-12-31	2013-05-08
25/10-1	1045.000000	1192.000000	NO FORMAL NAME	FORMATION	\N	441	111	\N	9999-12-31	2013-05-08
25/10-1	1192.000000	1247.000000	NO FORMAL NAME	FORMATION	\N	441	111	\N	9999-12-31	2013-05-08
25/10-1	1247.000000	1682.000000	NO FORMAL NAME	FORMATION	\N	441	111	\N	9999-12-31	2013-05-08
25/10-1	134.000000	733.000000	NORDLAND GP	GROUP	\N	441	113	\N	9999-12-31	2013-05-08
25/10-1	1682.000000	1747.000000	ROGALAND GP	GROUP	\N	441	131	\N	9999-12-31	2013-05-08
25/10-1	1717.000000	1730.000000	SELE FM	FORMATION	ROGALAND GP	441	142	131	9999-12-31	2013-05-08
25/10-1	1745.000000	1747.000000	SELE FM	FORMATION	ROGALAND GP	441	142	131	9999-12-31	2013-05-08
25/10-1	733.000000	1045.000000	SKADE FM	FORMATION	HORDALAND GP	441	145	67	9999-12-31	2013-05-08
25/10-1	555.000000	675.000000	UTSIRA FM	FORMATION	NORDLAND GP	441	183	113	9999-12-31	2013-05-08
34/7-3	2363.000000	2414.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	442	4	29	9999-12-31	2013-05-08
34/7-3	1672.000000	1688.000000	BALDER FM	FORMATION	ROGALAND GP	442	6	131	9999-12-31	2013-05-08
34/7-3	2353.000000	2363.000000	CROMER KNOLL GP	GROUP	\N	442	23	\N	9999-12-31	2013-05-08
34/7-3	2363.000000	2414.000000	DUNLIN GP	GROUP	\N	442	29	\N	9999-12-31	2013-05-08
34/7-3	2513.000000	3414.000000	HEGRE GP	GROUP	\N	442	61	\N	9999-12-31	2013-05-08
34/7-3	1133.000000	1672.000000	HORDALAND GP	GROUP	\N	442	67	\N	9999-12-31	2013-05-08
34/7-3	1831.000000	1940.000000	JORSALFARE FM	FORMATION	SHETLAND GP	442	74	143	9999-12-31	2013-05-08
34/7-3	1940.000000	2353.000000	KYRRE FM	FORMATION	SHETLAND GP	442	92	143	9999-12-31	2013-05-08
34/7-3	1688.000000	1831.000000	LISTA FM	FORMATION	ROGALAND GP	442	95	131	9999-12-31	2013-05-08
34/7-3	2513.000000	3414.000000	LUNDE FM	FORMATION	HEGRE GP	442	97	61	9999-12-31	2013-05-08
34/7-3	2357.000000	2363.000000	MIME FM	FORMATION	CROMER KNOLL GP	442	106	23	9999-12-31	2013-05-08
34/7-3	1288.000000	1323.000000	NO FORMAL NAME	FORMATION	\N	442	111	\N	9999-12-31	2013-05-08
34/7-3	1323.000000	1672.000000	NO FORMAL NAME	FORMATION	\N	442	111	\N	9999-12-31	2013-05-08
34/7-3	328.000000	1133.000000	NORDLAND GP	GROUP	\N	442	113	\N	9999-12-31	2013-05-08
34/7-3	1672.000000	1831.000000	ROGALAND GP	GROUP	\N	442	131	\N	9999-12-31	2013-05-08
34/7-3	1831.000000	2353.000000	SHETLAND GP	GROUP	\N	442	143	\N	9999-12-31	2013-05-08
34/7-3	2353.000000	2357.000000	SOLA FM	FORMATION	CROMER KNOLL GP	442	152	23	9999-12-31	2013-05-08
34/7-3	2414.000000	2513.000000	STATFJORD FM	FORMATION	\N	442	157	\N	9999-12-31	2013-05-08
34/7-3	990.000000	1133.000000	UTSIRA FM	FORMATION	NORDLAND GP	442	183	113	9999-12-31	2013-05-08
34/7-3	2414.000000	2513.000000	NO GROUP DEFINED	GROUP	\N	442	208	\N	9999-12-31	2013-05-08
24/6-1	2004.000000	2050.000000	BALDER FM	FORMATION	ROGALAND GP	443	6	131	9999-12-31	2013-05-08
24/6-1	3925.000000	3932.000000	BLODØKS FM	FORMATION	SHETLAND GP	443	13	143	9999-12-31	2013-05-08
24/6-1	4152.000000	4196.000000	CROMER KNOLL GP	GROUP	\N	443	23	\N	9999-12-31	2013-05-08
24/6-1	4196.000000	4205.000000	DRAUPNE FM	FORMATION	VIKING GP	443	28	188	9999-12-31	2013-05-08
24/6-1	4789.000000	4915.000000	DUNLIN GP	GROUP	\N	443	29	\N	9999-12-31	2013-05-08
24/6-1	1263.000000	1295.000000	GRID FM	FORMATION	HORDALAND GP	443	53	67	9999-12-31	2013-05-08
24/6-1	4205.000000	4478.000000	HEATHER FM	FORMATION	VIKING GP	443	60	188	9999-12-31	2013-05-08
24/6-1	2180.000000	2485.000000	HEIMDAL FM	FORMATION	ROGALAND GP	443	62	131	9999-12-31	2013-05-08
24/6-1	2079.000000	2083.000000	HERMOD FM	FORMATION	ROGALAND GP	443	64	131	9999-12-31	2013-05-08
24/6-1	875.000000	2004.000000	HORDALAND GP	GROUP	\N	443	67	\N	9999-12-31	2013-05-08
24/6-1	4478.000000	4716.000000	HUGIN FM	FORMATION	VESTLAND GP	443	69	186	9999-12-31	2013-05-08
24/6-1	2802.000000	2844.000000	JORSALFARE FM	FORMATION	SHETLAND GP	443	74	143	9999-12-31	2013-05-08
24/6-1	2844.000000	3663.000000	KYRRE FM	FORMATION	SHETLAND GP	443	92	143	9999-12-31	2013-05-08
24/6-1	2102.000000	2180.000000	LISTA FM	FORMATION	ROGALAND GP	443	95	131	9999-12-31	2013-05-08
24/6-1	2485.000000	2758.000000	LISTA FM	FORMATION	ROGALAND GP	443	95	131	9999-12-31	2013-05-08
24/6-1	1295.000000	2004.000000	NO FORMAL NAME	FORMATION	\N	443	111	\N	9999-12-31	2013-05-08
24/6-1	149.000000	875.000000	NORDLAND GP	GROUP	\N	443	113	\N	9999-12-31	2013-05-08
24/6-1	2004.000000	2802.000000	ROGALAND GP	GROUP	\N	443	131	\N	9999-12-31	2013-05-08
24/6-1	4152.000000	4177.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	443	137	23	9999-12-31	2013-05-08
24/6-1	2050.000000	2079.000000	SELE FM	FORMATION	ROGALAND GP	443	142	131	9999-12-31	2013-05-08
24/6-1	2083.000000	2102.000000	SELE FM	FORMATION	ROGALAND GP	443	142	131	9999-12-31	2013-05-08
24/6-1	2802.000000	4152.000000	SHETLAND GP	GROUP	\N	443	143	\N	9999-12-31	2013-05-08
24/6-1	4716.000000	4789.000000	SLEIPNER FM	FORMATION	VESTLAND GP	443	148	186	9999-12-31	2013-05-08
24/6-1	4177.000000	4196.000000	SOLA FM	FORMATION	CROMER KNOLL GP	443	152	23	9999-12-31	2013-05-08
24/6-1	4915.000000	4937.000000	STATFJORD FM	FORMATION	\N	443	157	\N	9999-12-31	2013-05-08
24/6-1	3932.000000	4152.000000	SVARTE FM	FORMATION	SHETLAND GP	443	160	143	9999-12-31	2013-05-08
24/6-1	3663.000000	3925.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	443	173	143	9999-12-31	2013-05-08
24/6-1	2758.000000	2802.000000	TY FM	FORMATION	ROGALAND GP	443	176	131	9999-12-31	2013-05-08
24/6-1	4478.000000	4789.000000	VESTLAND GP	GROUP	\N	443	186	\N	9999-12-31	2013-05-08
24/6-1	4196.000000	4478.000000	VIKING GP	GROUP	\N	443	188	\N	9999-12-31	2013-05-08
24/6-1	4915.000000	4937.000000	NO GROUP DEFINED	GROUP	\N	443	208	\N	9999-12-31	2013-05-08
6407/6-1	1063.000000	1611.000000	BRYGGE FM	FORMATION	HORDALAND GP	444	18	67	9999-12-31	2013-05-08
6407/6-1	2091.000000	2848.000000	BÅT GP	GROUP	\N	444	22	\N	9999-12-31	2013-05-08
6407/6-1	1817.000000	1834.000000	CROMER KNOLL GP	GROUP	\N	444	23	\N	9999-12-31	2013-05-08
6407/6-1	1856.000000	2091.000000	FANGST GP	GROUP	\N	444	38	\N	9999-12-31	2013-05-08
6407/6-1	1856.000000	1986.000000	GARN FM	FORMATION	FANGST GP	444	48	38	9999-12-31	2013-05-08
6407/6-1	1063.000000	1611.000000	HORDALAND GP	GROUP	\N	444	67	\N	9999-12-31	2013-05-08
6407/6-1	2019.000000	2091.000000	ILE FM	FORMATION	FANGST GP	444	70	38	9999-12-31	2013-05-08
6407/6-1	1817.000000	1834.000000	LYR FM	FORMATION	CROMER KNOLL GP	444	98	23	9999-12-31	2013-05-08
6407/6-1	1843.000000	1856.000000	MELKE FM	FORMATION	VIKING GP	444	105	188	9999-12-31	2013-05-08
6407/6-1	1745.000000	1817.000000	NISE FM	FORMATION	SHETLAND GP	444	112	143	9999-12-31	2013-05-08
6407/6-1	253.000000	1063.000000	NORDLAND GP	GROUP	\N	444	113	\N	9999-12-31	2013-05-08
6407/6-1	1986.000000	2019.000000	NOT FM	FORMATION	FANGST GP	444	120	38	9999-12-31	2013-05-08
6407/6-1	2848.000000	2895.000000	RED BEDS (INFORMAL)	GROUP	\N	444	129	\N	9999-12-31	2013-05-08
6407/6-1	1611.000000	1745.000000	ROGALAND GP	GROUP	\N	444	131	\N	9999-12-31	2013-05-08
6407/6-1	2091.000000	2244.000000	ROR FM	FORMATION	BÅT GP	444	135	22	9999-12-31	2013-05-08
6407/6-1	1745.000000	1817.000000	SHETLAND GP	GROUP	\N	444	143	\N	9999-12-31	2013-05-08
6407/6-1	1834.000000	1843.000000	SPEKK FM	FORMATION	VIKING GP	444	155	188	9999-12-31	2013-05-08
6407/6-1	1673.000000	1745.000000	TANG FM	FORMATION	ROGALAND GP	444	161	131	9999-12-31	2013-05-08
6407/6-1	1611.000000	1673.000000	TARE FM	FORMATION	ROGALAND GP	444	163	131	9999-12-31	2013-05-08
6407/6-1	2244.000000	2457.000000	TILJE FM	FORMATION	BÅT GP	444	169	22	9999-12-31	2013-05-08
6407/6-1	1834.000000	1856.000000	VIKING GP	GROUP	\N	444	188	\N	9999-12-31	2013-05-08
6407/6-1	2457.000000	2848.000000	ÅRE FM	FORMATION	BÅT GP	444	197	22	9999-12-31	2013-05-08
6609/5-1	1743.000000	1829.000000	BRYGGE FM	FORMATION	HORDALAND GP	445	18	67	9999-12-31	2013-05-08
6609/5-1	2855.000000	3066.000000	CROMER KNOLL GP	GROUP	\N	445	23	\N	9999-12-31	2013-05-08
6609/5-1	1743.000000	1829.000000	HORDALAND GP	GROUP	\N	445	67	\N	9999-12-31	2013-05-08
6609/5-1	1566.000000	1743.000000	KAI FM	FORMATION	NORDLAND GP	445	77	113	9999-12-31	2013-05-08
6609/5-1	314.000000	1566.000000	NAUST FM	FORMATION	NORDLAND GP	445	109	113	9999-12-31	2013-05-08
6609/5-1	314.000000	1743.000000	NORDLAND GP	GROUP	\N	445	113	\N	9999-12-31	2013-05-08
6609/5-1	3066.000000	3600.000000	RED BEDS (INFORMAL)	GROUP	\N	445	129	\N	9999-12-31	2013-05-08
6609/5-1	1829.000000	2132.000000	ROGALAND GP	GROUP	\N	445	131	\N	9999-12-31	2013-05-08
6609/5-1	2132.000000	2855.000000	SHETLAND GP	GROUP	\N	445	143	\N	9999-12-31	2013-05-08
6609/5-1	1930.000000	2132.000000	TANG FM	FORMATION	ROGALAND GP	445	161	131	9999-12-31	2013-05-08
6609/5-1	1829.000000	1930.000000	TARE FM	FORMATION	ROGALAND GP	445	163	131	9999-12-31	2013-05-08
34/10-22	164.000000	579.000000	NORDLAND GP	GROUP	\N	446	113	\N	9999-12-31	2013-05-08
31/3-3	2293.000000	2306.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	447	4	29	9999-12-31	2013-05-08
31/3-3	826.000000	914.000000	BALDER FM	FORMATION	ROGALAND GP	447	6	131	9999-12-31	2013-05-08
31/3-3	2163.000000	2209.000000	BRENT GP	GROUP	\N	447	16	\N	9999-12-31	2013-05-08
31/3-3	1378.000000	1633.000000	CROMER KNOLL GP	GROUP	\N	447	23	\N	9999-12-31	2013-05-08
31/3-3	2209.000000	2293.000000	DRAKE FM	FORMATION	DUNLIN GP	447	27	29	9999-12-31	2013-05-08
31/3-3	1633.000000	1747.000000	DRAUPNE FM	FORMATION	VIKING GP	447	28	188	9999-12-31	2013-05-08
31/3-3	2209.000000	2432.000000	DUNLIN GP	GROUP	\N	447	29	\N	9999-12-31	2013-05-08
31/3-3	1931.000000	2077.000000	FENSFJORD FM	FORMATION	VIKING GP	447	40	188	9999-12-31	2013-05-08
31/3-3	1747.000000	1753.000000	HEATHER FM	FORMATION	VIKING GP	447	60	188	9999-12-31	2013-05-08
31/3-3	1905.000000	1931.000000	HEATHER FM	FORMATION	VIKING GP	447	60	188	9999-12-31	2013-05-08
31/3-3	2134.000000	2163.000000	HEATHER FM	FORMATION	VIKING GP	447	60	188	9999-12-31	2013-05-08
31/3-3	540.000000	826.000000	HORDALAND GP	GROUP	\N	447	67	\N	9999-12-31	2013-05-08
31/3-3	2306.000000	2432.000000	JOHANSEN FM	FORMATION	DUNLIN GP	447	73	29	9999-12-31	2013-05-08
31/3-3	2077.000000	2134.000000	KROSSFJORD FM	FORMATION	VIKING GP	447	87	188	9999-12-31	2013-05-08
31/3-3	1085.000000	1230.000000	LISTA FM	FORMATION	ROGALAND GP	447	95	131	9999-12-31	2013-05-08
31/3-3	358.000000	540.000000	NORDLAND GP	GROUP	\N	447	113	\N	9999-12-31	2013-05-08
31/3-3	826.000000	1230.000000	ROGALAND GP	GROUP	\N	447	131	\N	9999-12-31	2013-05-08
31/3-3	914.000000	1085.000000	SELE FM	FORMATION	ROGALAND GP	447	142	131	9999-12-31	2013-05-08
31/3-3	1230.000000	1378.000000	SHETLAND GP	GROUP	\N	447	143	\N	9999-12-31	2013-05-08
31/3-3	1753.000000	1905.000000	SOGNEFJORD FM	FORMATION	VIKING GP	447	151	188	9999-12-31	2013-05-08
31/3-3	2432.000000	2573.000000	STATFJORD FM	FORMATION	\N	447	157	\N	9999-12-31	2013-05-08
31/3-3	1633.000000	2163.000000	VIKING GP	GROUP	\N	447	188	\N	9999-12-31	2013-05-08
31/3-3	2432.000000	2573.000000	NO GROUP DEFINED	GROUP	\N	447	208	\N	9999-12-31	2013-05-08
7/8-4	2955.000000	2989.000000	BALDER FM	FORMATION	ROGALAND GP	448	6	131	9999-12-31	2013-05-08
7/8-4	3629.000000	3705.000000	BLODØKS FM	FORMATION	SHETLAND GP	448	13	143	9999-12-31	2013-05-08
7/8-4	3728.000000	3817.000000	CROMER KNOLL GP	GROUP	\N	448	23	\N	9999-12-31	2013-05-08
7/8-4	3125.000000	3187.000000	EKOFISK FM	FORMATION	SHETLAND GP	448	33	143	9999-12-31	2013-05-08
7/8-4	3705.000000	3728.000000	HIDRA FM	FORMATION	SHETLAND GP	448	65	143	9999-12-31	2013-05-08
7/8-4	3529.000000	3629.000000	HOD FM	FORMATION	SHETLAND GP	448	66	143	9999-12-31	2013-05-08
7/8-4	1450.000000	2955.000000	HORDALAND GP	GROUP	\N	448	67	\N	9999-12-31	2013-05-08
7/8-4	3040.000000	3099.000000	LISTA FM	FORMATION	ROGALAND GP	448	95	131	9999-12-31	2013-05-08
7/8-4	3817.000000	3826.000000	MANDAL FM	FORMATION	TYNE GP	448	101	177	9999-12-31	2013-05-08
7/8-4	3099.000000	3125.000000	MAUREEN FM	FORMATION	ROGALAND GP	448	102	131	9999-12-31	2013-05-08
7/8-4	107.000000	1450.000000	NORDLAND GP	GROUP	\N	448	113	\N	9999-12-31	2013-05-08
7/8-4	2955.000000	3125.000000	ROGALAND GP	GROUP	\N	448	131	\N	9999-12-31	2013-05-08
7/8-4	3728.000000	3817.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	448	137	23	9999-12-31	2013-05-08
7/8-4	2989.000000	3040.000000	SELE FM	FORMATION	ROGALAND GP	448	142	131	9999-12-31	2013-05-08
7/8-4	3125.000000	3728.000000	SHETLAND GP	GROUP	\N	448	143	\N	9999-12-31	2013-05-08
7/8-4	3826.000000	4400.000000	SMITH BANK FM	FORMATION	HEGRE GP	448	149	61	9999-12-31	2013-05-08
7/8-4	3187.000000	3529.000000	TOR FM	FORMATION	SHETLAND GP	448	171	143	9999-12-31	2013-05-08
7/8-4	3817.000000	3826.000000	TYNE GP	GROUP	\N	448	177	\N	9999-12-31	2013-05-08
7/8-4	3826.000000	4400.000000	NO GROUP DEFINED	GROUP	\N	448	208	\N	9999-12-31	2013-05-08
6407/9-2	860.000000	1384.000000	BRYGGE FM	FORMATION	HORDALAND GP	449	18	67	9999-12-31	2013-05-08
6407/9-2	1802.000000	1865.000000	BÅT GP	GROUP	\N	449	22	\N	9999-12-31	2013-05-08
6407/9-2	1594.000000	1620.000000	CROMER KNOLL GP	GROUP	\N	449	23	\N	9999-12-31	2013-05-08
6407/9-2	1702.000000	1802.000000	FANGST GP	GROUP	\N	449	38	\N	9999-12-31	2013-05-08
6407/9-2	1702.000000	1765.000000	GARN FM	FORMATION	FANGST GP	449	48	38	9999-12-31	2013-05-08
6407/9-2	860.000000	1384.000000	HORDALAND GP	GROUP	\N	449	67	\N	9999-12-31	2013-05-08
6407/9-2	1594.000000	1610.000000	LANGE FM	FORMATION	CROMER KNOLL GP	449	94	23	9999-12-31	2013-05-08
6407/9-2	1610.000000	1620.000000	LYR FM	FORMATION	CROMER KNOLL GP	449	98	23	9999-12-31	2013-05-08
6407/9-2	272.000000	807.000000	NAUST FM	FORMATION	NORDLAND GP	449	109	113	9999-12-31	2013-05-08
6407/9-2	272.000000	860.000000	NORDLAND GP	GROUP	\N	449	113	\N	9999-12-31	2013-05-08
6407/9-2	1765.000000	1802.000000	NOT FM	FORMATION	FANGST GP	449	120	38	9999-12-31	2013-05-08
6407/9-2	1384.000000	1566.000000	ROGALAND GP	GROUP	\N	449	131	\N	9999-12-31	2013-05-08
6407/9-2	1650.000000	1702.000000	ROGN FM	FORMATION	VIKING GP	449	134	188	9999-12-31	2013-05-08
6407/9-2	1802.000000	1829.000000	ROR FM	FORMATION	BÅT GP	449	135	22	9999-12-31	2013-05-08
6407/9-2	1566.000000	1594.000000	SHETLAND GP	GROUP	\N	449	143	\N	9999-12-31	2013-05-08
6407/9-2	1620.000000	1650.000000	SPEKK FM	FORMATION	VIKING GP	449	155	188	9999-12-31	2013-05-08
6407/9-2	1566.000000	1594.000000	SPRINGAR FM	FORMATION	SHETLAND GP	449	156	143	9999-12-31	2013-05-08
6407/9-2	1420.000000	1566.000000	TANG FM	FORMATION	ROGALAND GP	449	161	131	9999-12-31	2013-05-08
6407/9-2	1384.000000	1420.000000	TARE FM	FORMATION	ROGALAND GP	449	163	131	9999-12-31	2013-05-08
6407/9-2	1829.000000	1865.000000	TILJE FM	FORMATION	BÅT GP	449	169	22	9999-12-31	2013-05-08
6407/9-2	1620.000000	1702.000000	VIKING GP	GROUP	\N	449	188	\N	9999-12-31	2013-05-08
6407/9-2	807.000000	860.000000	MOLO FM	FORMATION	NORDLAND GP	449	209	113	9999-12-31	2013-05-08
6/3-1	2435.000000	2449.000000	BALDER FM	FORMATION	ROGALAND GP	450	6	131	9999-12-31	2013-05-08
6/3-1	2922.000000	2963.000000	CROMER KNOLL GP	GROUP	\N	450	23	\N	9999-12-31	2013-05-08
6/3-1	2965.000000	2978.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	450	26	188	9999-12-31	2013-05-08
6/3-1	2963.000000	2965.000000	DRAUPNE FM	FORMATION	VIKING GP	450	28	188	9999-12-31	2013-05-08
6/3-1	2673.000000	2679.000000	EKOFISK FM	FORMATION	SHETLAND GP	450	33	143	9999-12-31	2013-05-08
6/3-1	2744.000000	2922.000000	HOD FM	FORMATION	SHETLAND GP	450	66	143	9999-12-31	2013-05-08
6/3-1	1183.000000	2435.000000	HORDALAND GP	GROUP	\N	450	67	\N	9999-12-31	2013-05-08
6/3-1	2536.000000	2637.000000	LISTA FM	FORMATION	ROGALAND GP	450	95	131	9999-12-31	2013-05-08
6/3-1	109.000000	1183.000000	NORDLAND GP	GROUP	\N	450	113	\N	9999-12-31	2013-05-08
6/3-1	2435.000000	2673.000000	ROGALAND GP	GROUP	\N	450	131	\N	9999-12-31	2013-05-08
6/3-1	2449.000000	2536.000000	SELE FM	FORMATION	ROGALAND GP	450	142	131	9999-12-31	2013-05-08
6/3-1	2673.000000	2922.000000	SHETLAND GP	GROUP	\N	450	143	\N	9999-12-31	2013-05-08
6/3-1	2978.000000	3560.000000	SKAGERRAK FM	FORMATION	HEGRE GP	450	146	61	9999-12-31	2013-05-08
6/3-1	2922.000000	2950.000000	SOLA FM	FORMATION	CROMER KNOLL GP	450	152	23	9999-12-31	2013-05-08
6/3-1	2679.000000	2744.000000	TOR FM	FORMATION	SHETLAND GP	450	171	143	9999-12-31	2013-05-08
6/3-1	2963.000000	2978.000000	VIKING GP	GROUP	\N	450	188	\N	9999-12-31	2013-05-08
6/3-1	2637.000000	2673.000000	VÅLE FM	FORMATION	ROGALAND GP	450	190	131	9999-12-31	2013-05-08
6/3-1	2950.000000	2963.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	450	198	23	9999-12-31	2013-05-08
6/3-1	2978.000000	3560.000000	NO GROUP DEFINED	GROUP	\N	450	208	\N	9999-12-31	2013-05-08
16/3-1	142.000000	453.000000	NORDLAND GP	GROUP	\N	451	113	\N	9999-12-31	2013-05-08
34/10-29	167.000000	405.000000	NORDLAND GP	GROUP	\N	453	113	\N	9999-12-31	2013-05-08
34/7-4	2517.000000	2536.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	455	4	29	9999-12-31	2013-05-08
34/7-4	1685.000000	1712.000000	BALDER FM	FORMATION	ROGALAND GP	455	6	131	9999-12-31	2013-05-08
34/7-4	2496.000000	2517.000000	CROMER KNOLL GP	GROUP	\N	455	23	\N	9999-12-31	2013-05-08
34/7-4	2517.000000	2536.000000	DUNLIN GP	GROUP	\N	455	29	\N	9999-12-31	2013-05-08
34/7-4	2628.000000	3115.000000	HEGRE GP	GROUP	\N	455	61	\N	9999-12-31	2013-05-08
34/7-4	1187.000000	1685.000000	HORDALAND GP	GROUP	\N	455	67	\N	9999-12-31	2013-05-08
34/7-4	1848.000000	1998.000000	JORSALFARE FM	FORMATION	SHETLAND GP	455	74	143	9999-12-31	2013-05-08
34/7-4	1998.000000	2496.000000	KYRRE FM	FORMATION	SHETLAND GP	455	92	143	9999-12-31	2013-05-08
34/7-4	1712.000000	1848.000000	LISTA FM	FORMATION	ROGALAND GP	455	95	131	9999-12-31	2013-05-08
34/7-4	2628.000000	3115.000000	LUNDE FM	FORMATION	HEGRE GP	455	97	61	9999-12-31	2013-05-08
34/7-4	2504.000000	2517.000000	MIME FM	FORMATION	CROMER KNOLL GP	455	106	23	9999-12-31	2013-05-08
34/7-4	1115.000000	1187.000000	NO FORMAL NAME	FORMATION	\N	455	111	\N	9999-12-31	2013-05-08
34/7-4	1625.000000	1675.000000	NO FORMAL NAME	FORMATION	\N	455	111	\N	9999-12-31	2013-05-08
34/7-4	1675.000000	1685.000000	NO FORMAL NAME	FORMATION	\N	455	111	\N	9999-12-31	2013-05-08
34/7-4	345.000000	1187.000000	NORDLAND GP	GROUP	\N	455	113	\N	9999-12-31	2013-05-08
34/7-4	1685.000000	1848.000000	ROGALAND GP	GROUP	\N	455	131	\N	9999-12-31	2013-05-08
34/7-4	1848.000000	2496.000000	SHETLAND GP	GROUP	\N	455	143	\N	9999-12-31	2013-05-08
34/7-4	2496.000000	2504.000000	SOLA FM	FORMATION	CROMER KNOLL GP	455	152	23	9999-12-31	2013-05-08
34/7-4	2536.000000	2628.000000	STATFJORD FM	FORMATION	\N	455	157	\N	9999-12-31	2013-05-08
34/7-4	1034.000000	1115.000000	UTSIRA FM	FORMATION	NORDLAND GP	455	183	113	9999-12-31	2013-05-08
34/7-4	2536.000000	2628.000000	NO GROUP DEFINED	GROUP	\N	455	208	\N	9999-12-31	2013-05-08
7120/6-1	1117.000000	2386.000000	ADVENTDALEN GP	GROUP	\N	456	1	\N	9999-12-31	2013-05-08
7120/6-1	2367.000000	2386.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	456	47	1	9999-12-31	2013-05-08
7120/6-1	2285.000000	2367.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	456	63	1	9999-12-31	2013-05-08
7120/6-1	2386.000000	2820.000000	KAPP TOSCANA GP	GROUP	\N	456	79	\N	9999-12-31	2013-05-08
7120/6-1	2176.000000	2285.000000	KNURR FM	FORMATION	ADVENTDALEN GP	456	82	1	9999-12-31	2013-05-08
7120/6-1	1843.000000	2176.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	456	84	1	9999-12-31	2013-05-08
7120/6-1	1117.000000	1843.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	456	85	1	9999-12-31	2013-05-08
7120/6-1	1081.000000	1117.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	456	89	122	9999-12-31	2013-05-08
7120/6-1	337.000000	410.000000	NORDLAND GP	GROUP	\N	456	113	\N	9999-12-31	2013-05-08
7120/6-1	2470.000000	2559.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	456	118	79	9999-12-31	2013-05-08
7120/6-1	1081.000000	1117.000000	NYGRUNNEN GP	GROUP	\N	456	122	\N	9999-12-31	2013-05-08
7120/6-1	410.000000	1081.000000	SOTBAKKEN GP	GROUP	\N	456	154	\N	9999-12-31	2013-05-08
7120/6-1	2386.000000	2470.000000	STØ FM	FORMATION	KAPP TOSCANA GP	456	159	79	9999-12-31	2013-05-08
7120/6-1	410.000000	1081.000000	TORSK FM	FORMATION	SOTBAKKEN GP	456	172	154	9999-12-31	2013-05-08
7120/6-1	2559.000000	2820.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	456	174	79	9999-12-31	2013-05-08
34/7-5	2794.000000	2893.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	458	4	29	9999-12-31	2013-05-08
34/7-5	1670.000000	1738.000000	BALDER FM	FORMATION	ROGALAND GP	458	6	131	9999-12-31	2013-05-08
34/7-5	2502.000000	2622.000000	BRENT GP	GROUP	\N	458	16	\N	9999-12-31	2013-05-08
34/7-5	2768.000000	2794.000000	BURTON FM	FORMATION	DUNLIN GP	458	20	29	9999-12-31	2013-05-08
34/7-5	2485.000000	2496.000000	CROMER KNOLL GP	GROUP	\N	458	23	\N	9999-12-31	2013-05-08
34/7-5	2696.000000	2768.000000	COOK FM	FORMATION	DUNLIN GP	458	24	29	9999-12-31	2013-05-08
34/7-5	2622.000000	2696.000000	DRAKE FM	FORMATION	DUNLIN GP	458	27	29	9999-12-31	2013-05-08
34/7-5	2622.000000	2893.000000	DUNLIN GP	GROUP	\N	458	29	\N	9999-12-31	2013-05-08
34/7-5	2531.000000	2564.000000	ETIVE FM	FORMATION	BRENT GP	458	35	16	9999-12-31	2013-05-08
34/7-5	2496.000000	2502.000000	HEATHER FM	FORMATION	VIKING GP	458	60	188	9999-12-31	2013-05-08
34/7-5	3010.000000	3146.000000	HEGRE GP	GROUP	\N	458	61	\N	9999-12-31	2013-05-08
34/7-5	1094.000000	1670.000000	HORDALAND GP	GROUP	\N	458	67	\N	9999-12-31	2013-05-08
34/7-5	1911.000000	2090.000000	JORSALFARE FM	FORMATION	SHETLAND GP	458	74	143	9999-12-31	2013-05-08
34/7-5	2090.000000	2485.000000	KYRRE FM	FORMATION	SHETLAND GP	458	92	143	9999-12-31	2013-05-08
34/7-5	1738.000000	1841.000000	LISTA FM	FORMATION	ROGALAND GP	458	95	131	9999-12-31	2013-05-08
34/7-5	1885.000000	1911.000000	LISTA FM	FORMATION	ROGALAND GP	458	95	131	9999-12-31	2013-05-08
34/7-5	3010.000000	3146.000000	LUNDE FM	FORMATION	HEGRE GP	458	97	61	9999-12-31	2013-05-08
34/7-5	2489.000000	2496.000000	MIME FM	FORMATION	CROMER KNOLL GP	458	106	23	9999-12-31	2013-05-08
34/7-5	2502.000000	2531.000000	NESS FM	FORMATION	BRENT GP	458	110	16	9999-12-31	2013-05-08
34/7-5	1239.000000	1330.000000	NO FORMAL NAME	FORMATION	\N	458	111	\N	9999-12-31	2013-05-08
34/7-5	1330.000000	1670.000000	NO FORMAL NAME	FORMATION	\N	458	111	\N	9999-12-31	2013-05-08
34/7-5	1841.000000	1885.000000	NO FORMAL NAME	FORMATION	\N	458	111	\N	9999-12-31	2013-05-08
34/7-5	270.000000	1094.000000	NORDLAND GP	GROUP	\N	458	113	\N	9999-12-31	2013-05-08
34/7-5	2564.000000	2622.000000	RANNOCH FM	FORMATION	BRENT GP	458	126	16	9999-12-31	2013-05-08
34/7-5	1670.000000	1911.000000	ROGALAND GP	GROUP	\N	458	131	\N	9999-12-31	2013-05-08
34/7-5	1911.000000	2485.000000	SHETLAND GP	GROUP	\N	458	143	\N	9999-12-31	2013-05-08
34/7-5	2485.000000	2489.000000	SOLA FM	FORMATION	CROMER KNOLL GP	458	152	23	9999-12-31	2013-05-08
34/7-5	2893.000000	3010.000000	STATFJORD FM	FORMATION	\N	458	157	\N	9999-12-31	2013-05-08
34/7-5	957.000000	1094.000000	UTSIRA FM	FORMATION	NORDLAND GP	458	183	113	9999-12-31	2013-05-08
34/7-5	2496.000000	2502.000000	VIKING GP	GROUP	\N	458	188	\N	9999-12-31	2013-05-08
34/7-5	2893.000000	3010.000000	NO GROUP DEFINED	GROUP	\N	458	208	\N	9999-12-31	2013-05-08
2/1-8	2847.000000	2901.000000	BALDER FM	FORMATION	ROGALAND GP	459	6	131	9999-12-31	2013-05-08
2/1-8	3610.000000	3621.000000	BLODØKS FM	FORMATION	SHETLAND GP	459	13	143	9999-12-31	2013-05-08
2/1-8	4063.000000	4081.000000	BRYNE FM	FORMATION	VESTLAND GP	459	19	186	9999-12-31	2013-05-08
2/1-8	3630.000000	3880.000000	CROMER KNOLL GP	GROUP	\N	459	23	\N	9999-12-31	2013-05-08
2/1-8	3148.000000	3230.000000	EKOFISK FM	FORMATION	SHETLAND GP	459	33	143	9999-12-31	2013-05-08
2/1-8	3900.000000	3965.000000	FARSUND FM	FORMATION	TYNE GP	459	39	177	9999-12-31	2013-05-08
2/1-8	2909.000000	3022.000000	FORTIES FM	FORMATION	ROGALAND GP	459	44	131	9999-12-31	2013-05-08
2/1-8	3965.000000	4037.000000	HAUGESUND FM	FORMATION	TYNE GP	459	57	177	9999-12-31	2013-05-08
2/1-8	3621.000000	3630.000000	HIDRA FM	FORMATION	SHETLAND GP	459	65	143	9999-12-31	2013-05-08
2/1-8	3521.000000	3610.000000	HOD FM	FORMATION	SHETLAND GP	459	66	143	9999-12-31	2013-05-08
2/1-8	1790.000000	2847.000000	HORDALAND GP	GROUP	\N	459	67	\N	9999-12-31	2013-05-08
2/1-8	3022.000000	3065.000000	LISTA FM	FORMATION	ROGALAND GP	459	95	131	9999-12-31	2013-05-08
2/1-8	3097.000000	3148.000000	LISTA FM	FORMATION	ROGALAND GP	459	95	131	9999-12-31	2013-05-08
2/1-8	3880.000000	3900.000000	MANDAL FM	FORMATION	TYNE GP	459	101	177	9999-12-31	2013-05-08
2/1-8	103.000000	1790.000000	NORDLAND GP	GROUP	\N	459	113	\N	9999-12-31	2013-05-08
2/1-8	3713.000000	3717.000000	RAN SANDSTONE UNITS	FORMATION	CROMER KNOLL GP	459	125	23	9999-12-31	2013-05-08
2/1-8	2847.000000	3148.000000	ROGALAND GP	GROUP	\N	459	131	\N	9999-12-31	2013-05-08
2/1-8	3630.000000	3678.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	459	137	23	9999-12-31	2013-05-08
2/1-8	2901.000000	2909.000000	SELE FM	FORMATION	ROGALAND GP	459	142	131	9999-12-31	2013-05-08
2/1-8	3148.000000	3630.000000	SHETLAND GP	GROUP	\N	459	143	\N	9999-12-31	2013-05-08
2/1-8	4081.000000	4151.000000	SKAGERRAK FM	FORMATION	HEGRE GP	459	146	61	9999-12-31	2013-05-08
2/1-8	3230.000000	3521.000000	TOR FM	FORMATION	SHETLAND GP	459	171	143	9999-12-31	2013-05-08
2/1-8	3678.000000	3713.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	459	175	23	9999-12-31	2013-05-08
2/1-8	3880.000000	4037.000000	TYNE GP	GROUP	\N	459	177	\N	9999-12-31	2013-05-08
2/1-8	4037.000000	4063.000000	ULA FM	FORMATION	VESTLAND GP	459	179	186	9999-12-31	2013-05-08
2/1-8	4037.000000	4081.000000	VESTLAND GP	GROUP	\N	459	186	\N	9999-12-31	2013-05-08
2/1-8	3065.000000	3097.000000	VIDAR FM	FORMATION	ROGALAND GP	459	187	131	9999-12-31	2013-05-08
2/1-8	3717.000000	3880.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	459	198	23	9999-12-31	2013-05-08
2/1-8	4081.000000	4151.000000	NO GROUP DEFINED	GROUP	\N	459	208	\N	9999-12-31	2013-05-08
30/3-4	3128.000000	3232.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	460	4	29	9999-12-31	2013-05-08
30/3-4	1981.000000	2067.000000	BALDER FM	FORMATION	ROGALAND GP	460	6	131	9999-12-31	2013-05-08
30/3-4	2826.000000	2949.000000	BRENT GP	GROUP	\N	460	16	\N	9999-12-31	2013-05-08
30/3-4	2775.000000	2792.000000	CROMER KNOLL GP	GROUP	\N	460	23	\N	9999-12-31	2013-05-08
30/3-4	3079.000000	3128.000000	COOK FM	FORMATION	DUNLIN GP	460	24	29	9999-12-31	2013-05-08
30/3-4	2949.000000	3079.000000	DRAKE FM	FORMATION	DUNLIN GP	460	27	29	9999-12-31	2013-05-08
30/3-4	2949.000000	3232.000000	DUNLIN GP	GROUP	\N	460	29	\N	9999-12-31	2013-05-08
30/3-4	2873.000000	2949.000000	ETIVE FM	FORMATION	BRENT GP	460	35	16	9999-12-31	2013-05-08
30/3-4	1350.000000	1361.000000	GRID FM	FORMATION	HORDALAND GP	460	53	67	9999-12-31	2013-05-08
30/3-4	1453.000000	1518.000000	GRID FM	FORMATION	HORDALAND GP	460	53	67	9999-12-31	2013-05-08
30/3-4	2792.000000	2826.000000	HEATHER FM	FORMATION	VIKING GP	460	60	188	9999-12-31	2013-05-08
30/3-4	903.000000	1981.000000	HORDALAND GP	GROUP	\N	460	67	\N	9999-12-31	2013-05-08
30/3-4	2275.000000	2491.000000	JORSALFARE FM	FORMATION	SHETLAND GP	460	74	143	9999-12-31	2013-05-08
30/3-4	2491.000000	2775.000000	KYRRE FM	FORMATION	SHETLAND GP	460	92	143	9999-12-31	2013-05-08
30/3-4	2104.000000	2267.000000	LISTA FM	FORMATION	ROGALAND GP	460	95	131	9999-12-31	2013-05-08
30/3-4	2826.000000	2873.000000	NESS FM	FORMATION	BRENT GP	460	110	16	9999-12-31	2013-05-08
30/3-4	1361.000000	1453.000000	NO FORMAL NAME	FORMATION	\N	460	111	\N	9999-12-31	2013-05-08
30/3-4	1518.000000	1981.000000	NO FORMAL NAME	FORMATION	\N	460	111	\N	9999-12-31	2013-05-08
30/3-4	187.000000	903.000000	NORDLAND GP	GROUP	\N	460	113	\N	9999-12-31	2013-05-08
30/3-4	1981.000000	2275.000000	ROGALAND GP	GROUP	\N	460	131	\N	9999-12-31	2013-05-08
30/3-4	2067.000000	2104.000000	SELE FM	FORMATION	ROGALAND GP	460	142	131	9999-12-31	2013-05-08
30/3-4	2275.000000	2775.000000	SHETLAND GP	GROUP	\N	460	143	\N	9999-12-31	2013-05-08
30/3-4	3232.000000	3287.000000	STATFJORD FM	FORMATION	\N	460	157	\N	9999-12-31	2013-05-08
30/3-4	731.000000	903.000000	UTSIRA FM	FORMATION	NORDLAND GP	460	183	113	9999-12-31	2013-05-08
30/3-4	2792.000000	2826.000000	VIKING GP	GROUP	\N	460	188	\N	9999-12-31	2013-05-08
30/3-4	2267.000000	2275.000000	VÅLE FM	FORMATION	ROGALAND GP	460	190	131	9999-12-31	2013-05-08
30/3-4	3232.000000	3287.000000	NO GROUP DEFINED	GROUP	\N	460	208	\N	9999-12-31	2013-05-08
7121/4-2	1112.000000	2480.000000	ADVENTDALEN GP	GROUP	\N	461	1	\N	9999-12-31	2013-05-08
7121/4-2	2737.000000	2800.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	461	46	79	9999-12-31	2013-05-08
7121/4-2	2450.000000	2480.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	461	47	1	9999-12-31	2013-05-08
7121/4-2	2338.000000	2450.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	461	63	1	9999-12-31	2013-05-08
7121/4-2	2480.000000	2800.000000	KAPP TOSCANA GP	GROUP	\N	461	79	\N	9999-12-31	2013-05-08
7121/4-2	2226.000000	2338.000000	KNURR FM	FORMATION	ADVENTDALEN GP	461	82	1	9999-12-31	2013-05-08
7121/4-2	1885.000000	2226.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	461	84	1	9999-12-31	2013-05-08
7121/4-2	1112.000000	1885.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	461	85	1	9999-12-31	2013-05-08
7121/4-2	1068.000000	1112.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	461	89	122	9999-12-31	2013-05-08
7121/4-2	339.000000	420.000000	NORDLAND GP	GROUP	\N	461	113	\N	9999-12-31	2013-05-08
7121/4-2	2557.000000	2642.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	461	118	79	9999-12-31	2013-05-08
7121/4-2	1068.000000	1112.000000	NYGRUNNEN GP	GROUP	\N	461	122	\N	9999-12-31	2013-05-08
7121/4-2	420.000000	1068.000000	SOTBAKKEN GP	GROUP	\N	461	154	\N	9999-12-31	2013-05-08
7121/4-2	2480.000000	2557.000000	STØ FM	FORMATION	KAPP TOSCANA GP	461	159	79	9999-12-31	2013-05-08
7121/4-2	420.000000	1068.000000	TORSK FM	FORMATION	SOTBAKKEN GP	461	172	154	9999-12-31	2013-05-08
7121/4-2	2642.000000	2737.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	461	174	79	9999-12-31	2013-05-08
6506/12-2	332.000000	955.000000	NAUST FM	FORMATION	NORDLAND GP	462	109	113	9999-12-31	2013-05-08
6506/12-2	332.000000	955.000000	NORDLAND GP	GROUP	\N	462	113	\N	9999-12-31	2013-05-08
25/1-7	2180.000000	2185.000000	BALDER FM	FORMATION	ROGALAND GP	463	6	131	9999-12-31	2013-05-08
25/1-7	2215.000000	2290.000000	BALDER FM	FORMATION	ROGALAND GP	463	6	131	9999-12-31	2013-05-08
25/1-7	2185.000000	2215.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	463	7	131	9999-12-31	2013-05-08
25/1-7	1919.000000	2180.000000	FRIGG FM	FORMATION	HORDALAND GP	463	45	67	9999-12-31	2013-05-08
25/1-7	2290.000000	2439.000000	HERMOD FM	FORMATION	ROGALAND GP	463	64	131	9999-12-31	2013-05-08
25/1-7	746.000000	2180.000000	HORDALAND GP	GROUP	\N	463	67	\N	9999-12-31	2013-05-08
25/1-7	2710.000000	2719.000000	JORSALFARE FM	FORMATION	SHETLAND GP	463	74	143	9999-12-31	2013-05-08
25/1-7	2439.000000	2680.000000	LISTA FM	FORMATION	ROGALAND GP	463	95	131	9999-12-31	2013-05-08
25/1-7	126.000000	746.000000	NORDLAND GP	GROUP	\N	463	113	\N	9999-12-31	2013-05-08
25/1-7	2180.000000	2710.000000	ROGALAND GP	GROUP	\N	463	131	\N	9999-12-31	2013-05-08
25/1-7	2710.000000	2719.000000	SHETLAND GP	GROUP	\N	463	143	\N	9999-12-31	2013-05-08
25/1-7	2680.000000	2710.000000	VÅLE FM	FORMATION	ROGALAND GP	463	190	131	9999-12-31	2013-05-08
6507/7-2	1863.000000	1944.000000	BRYGGE FM	FORMATION	HORDALAND GP	464	18	67	9999-12-31	2013-05-08
6507/7-2	2217.000000	3262.000000	BÅT GP	GROUP	\N	464	22	\N	9999-12-31	2013-05-08
6507/7-2	2203.000000	2217.000000	FANGST GP	GROUP	\N	464	38	\N	9999-12-31	2013-05-08
6507/7-2	1863.000000	1944.000000	HORDALAND GP	GROUP	\N	464	67	\N	9999-12-31	2013-05-08
6507/7-2	1454.000000	1863.000000	KAI FM	FORMATION	NORDLAND GP	464	77	113	9999-12-31	2013-05-08
6507/7-2	376.000000	1454.000000	NAUST FM	FORMATION	NORDLAND GP	464	109	113	9999-12-31	2013-05-08
6507/7-2	376.000000	1863.000000	NORDLAND GP	GROUP	\N	464	113	\N	9999-12-31	2013-05-08
6507/7-2	1944.000000	2042.000000	ROGALAND GP	GROUP	\N	464	131	\N	9999-12-31	2013-05-08
6507/7-2	2217.000000	2285.000000	ROR FM	FORMATION	BÅT GP	464	135	22	9999-12-31	2013-05-08
6507/7-2	2042.000000	2203.000000	SHETLAND GP	GROUP	\N	464	143	\N	9999-12-31	2013-05-08
6507/7-2	1977.000000	2042.000000	TANG FM	FORMATION	ROGALAND GP	464	161	131	9999-12-31	2013-05-08
6507/7-2	1944.000000	1977.000000	TARE FM	FORMATION	ROGALAND GP	464	163	131	9999-12-31	2013-05-08
6507/7-2	2285.000000	2482.000000	TILJE FM	FORMATION	BÅT GP	464	169	22	9999-12-31	2013-05-08
6507/7-2	2482.000000	3262.000000	ÅRE FM	FORMATION	BÅT GP	464	197	22	9999-12-31	2013-05-08
31/6-8	985.000000	1112.000000	BALDER FM	FORMATION	ROGALAND GP	466	6	131	9999-12-31	2013-05-08
31/6-8	1985.000000	2008.000000	BRENT GP	GROUP	\N	466	16	\N	9999-12-31	2013-05-08
31/6-8	1371.000000	1412.000000	CROMER KNOLL GP	GROUP	\N	466	23	\N	9999-12-31	2013-05-08
31/6-8	2025.000000	2138.000000	COOK FM	FORMATION	DUNLIN GP	466	24	29	9999-12-31	2013-05-08
31/6-8	2008.000000	2025.000000	DRAKE FM	FORMATION	DUNLIN GP	466	27	29	9999-12-31	2013-05-08
31/6-8	1412.000000	1485.000000	DRAUPNE FM	FORMATION	VIKING GP	466	28	188	9999-12-31	2013-05-08
31/6-8	2008.000000	2138.000000	DUNLIN GP	GROUP	\N	466	29	\N	9999-12-31	2013-05-08
31/6-8	1705.000000	1927.000000	FENSFJORD FM	FORMATION	VIKING GP	466	40	188	9999-12-31	2013-05-08
31/6-8	1256.000000	1264.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	466	56	143	9999-12-31	2013-05-08
31/6-8	1485.000000	1507.000000	HEATHER FM	FORMATION	VIKING GP	466	60	188	9999-12-31	2013-05-08
31/6-8	1661.000000	1705.000000	HEATHER FM	FORMATION	VIKING GP	466	60	188	9999-12-31	2013-05-08
31/6-8	1965.000000	1985.000000	HEATHER FM	FORMATION	VIKING GP	466	60	188	9999-12-31	2013-05-08
31/6-8	538.000000	985.000000	HORDALAND GP	GROUP	\N	466	67	\N	9999-12-31	2013-05-08
31/6-8	1927.000000	1965.000000	KROSSFJORD FM	FORMATION	VIKING GP	466	87	188	9999-12-31	2013-05-08
31/6-8	1224.000000	1256.000000	LISTA FM	FORMATION	ROGALAND GP	466	95	131	9999-12-31	2013-05-08
31/6-8	325.000000	538.000000	NORDLAND GP	GROUP	\N	466	113	\N	9999-12-31	2013-05-08
31/6-8	985.000000	1256.000000	ROGALAND GP	GROUP	\N	466	131	\N	9999-12-31	2013-05-08
31/6-8	1371.000000	1385.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	466	137	23	9999-12-31	2013-05-08
31/6-8	1112.000000	1224.000000	SELE FM	FORMATION	ROGALAND GP	466	142	131	9999-12-31	2013-05-08
31/6-8	1256.000000	1371.000000	SHETLAND GP	GROUP	\N	466	143	\N	9999-12-31	2013-05-08
31/6-8	1507.000000	1661.000000	SOGNEFJORD FM	FORMATION	VIKING GP	466	151	188	9999-12-31	2013-05-08
31/6-8	1264.000000	1371.000000	UNDIFFERENTIATED	FORMATION	\N	466	182	\N	9999-12-31	2013-05-08
31/6-8	1412.000000	1985.000000	VIKING GP	GROUP	\N	466	188	\N	9999-12-31	2013-05-08
31/6-8	1385.000000	1412.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	466	198	23	9999-12-31	2013-05-08
34/2-4	3972.000000	4063.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	467	4	29	9999-12-31	2013-05-08
34/2-4	1946.000000	1982.000000	BALDER FM	FORMATION	ROGALAND GP	467	6	131	9999-12-31	2013-05-08
34/2-4	3247.000000	3287.000000	BLODØKS FM	FORMATION	SHETLAND GP	467	13	143	9999-12-31	2013-05-08
34/2-4	3933.000000	3972.000000	BURTON FM	FORMATION	DUNLIN GP	467	20	29	9999-12-31	2013-05-08
34/2-4	3300.000000	3586.000000	CROMER KNOLL GP	GROUP	\N	467	23	\N	9999-12-31	2013-05-08
34/2-4	3821.000000	3933.000000	COOK FM	FORMATION	DUNLIN GP	467	24	29	9999-12-31	2013-05-08
34/2-4	3615.000000	3821.000000	DRAKE FM	FORMATION	DUNLIN GP	467	27	29	9999-12-31	2013-05-08
34/2-4	3615.000000	4063.000000	DUNLIN GP	GROUP	\N	467	29	\N	9999-12-31	2013-05-08
34/2-4	3586.000000	3615.000000	HEATHER FM	FORMATION	VIKING GP	467	60	188	9999-12-31	2013-05-08
34/2-4	1418.000000	1946.000000	HORDALAND GP	GROUP	\N	467	67	\N	9999-12-31	2013-05-08
34/2-4	2071.000000	2470.000000	JORSALFARE FM	FORMATION	SHETLAND GP	467	74	143	9999-12-31	2013-05-08
34/2-4	2470.000000	3247.000000	KYRRE FM	FORMATION	SHETLAND GP	467	92	143	9999-12-31	2013-05-08
34/2-4	1982.000000	2071.000000	LISTA FM	FORMATION	ROGALAND GP	467	95	131	9999-12-31	2013-05-08
34/2-4	4063.000000	4107.000000	NANSEN MBR	MEMBER	STATFJORD FM	467	108	157	9999-12-31	2013-05-08
34/2-4	1396.000000	1418.000000	NO FORMAL NAME	FORMATION	\N	467	111	\N	9999-12-31	2013-05-08
34/2-4	1465.000000	1514.000000	NO FORMAL NAME	FORMATION	\N	467	111	\N	9999-12-31	2013-05-08
34/2-4	1514.000000	1946.000000	NO FORMAL NAME	FORMATION	\N	467	111	\N	9999-12-31	2013-05-08
34/2-4	424.000000	1418.000000	NORDLAND GP	GROUP	\N	467	113	\N	9999-12-31	2013-05-08
34/2-4	1946.000000	2071.000000	ROGALAND GP	GROUP	\N	467	131	\N	9999-12-31	2013-05-08
34/2-4	3300.000000	3535.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	467	137	23	9999-12-31	2013-05-08
34/2-4	2071.000000	3300.000000	SHETLAND GP	GROUP	\N	467	143	\N	9999-12-31	2013-05-08
34/2-4	3535.000000	3575.000000	SOLA FM	FORMATION	CROMER KNOLL GP	467	152	23	9999-12-31	2013-05-08
34/2-4	4063.000000	4107.000000	STATFJORD FM	FORMATION	\N	467	157	\N	9999-12-31	2013-05-08
34/2-4	3287.000000	3300.000000	SVARTE FM	FORMATION	SHETLAND GP	467	160	143	9999-12-31	2013-05-08
34/2-4	1359.000000	1396.000000	UTSIRA FM	FORMATION	NORDLAND GP	467	183	113	9999-12-31	2013-05-08
34/2-4	3586.000000	3615.000000	VIKING GP	GROUP	\N	467	188	\N	9999-12-31	2013-05-08
34/2-4	3575.000000	3586.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	467	198	23	9999-12-31	2013-05-08
34/2-4	4063.000000	4107.000000	NO GROUP DEFINED	GROUP	\N	467	208	\N	9999-12-31	2013-05-08
6506/12-3	1982.000000	2214.000000	BRYGGE FM	FORMATION	HORDALAND GP	468	18	67	9999-12-31	2013-05-08
6506/12-3	3997.000000	4360.000000	BÅT GP	GROUP	\N	468	22	\N	9999-12-31	2013-05-08
6506/12-3	3146.000000	3709.000000	CROMER KNOLL GP	GROUP	\N	468	23	\N	9999-12-31	2013-05-08
6506/12-3	3822.000000	3997.000000	FANGST GP	GROUP	\N	468	38	\N	9999-12-31	2013-05-08
6506/12-3	3822.000000	3908.000000	GARN FM	FORMATION	FANGST GP	468	48	38	9999-12-31	2013-05-08
6506/12-3	1982.000000	2214.000000	HORDALAND GP	GROUP	\N	468	67	\N	9999-12-31	2013-05-08
6506/12-3	3947.000000	3997.000000	ILE FM	FORMATION	FANGST GP	468	70	38	9999-12-31	2013-05-08
6506/12-3	1388.000000	1982.000000	KAI FM	FORMATION	NORDLAND GP	468	77	113	9999-12-31	2013-05-08
6506/12-3	3173.000000	3709.000000	LANGE FM	FORMATION	CROMER KNOLL GP	468	94	23	9999-12-31	2013-05-08
6506/12-3	3146.000000	3173.000000	LYSING FM	FORMATION	CROMER KNOLL GP	468	99	23	9999-12-31	2013-05-08
6506/12-3	3721.000000	3822.000000	MELKE FM	FORMATION	VIKING GP	468	105	188	9999-12-31	2013-05-08
6506/12-3	323.000000	1388.000000	NAUST FM	FORMATION	NORDLAND GP	468	109	113	9999-12-31	2013-05-08
6506/12-3	323.000000	1982.000000	NORDLAND GP	GROUP	\N	468	113	\N	9999-12-31	2013-05-08
6506/12-3	3908.000000	3947.000000	NOT FM	FORMATION	FANGST GP	468	120	38	9999-12-31	2013-05-08
6506/12-3	2214.000000	2336.000000	ROGALAND GP	GROUP	\N	468	131	\N	9999-12-31	2013-05-08
6506/12-3	3997.000000	4147.000000	ROR FM	FORMATION	BÅT GP	468	135	22	9999-12-31	2013-05-08
6506/12-3	2336.000000	3146.000000	SHETLAND GP	GROUP	\N	468	143	\N	9999-12-31	2013-05-08
6506/12-3	3709.000000	3721.000000	SPEKK FM	FORMATION	VIKING GP	468	155	188	9999-12-31	2013-05-08
6506/12-3	2278.000000	2336.000000	TANG FM	FORMATION	ROGALAND GP	468	161	131	9999-12-31	2013-05-08
6506/12-3	2214.000000	2278.000000	TARE FM	FORMATION	ROGALAND GP	468	163	131	9999-12-31	2013-05-08
6506/12-3	4147.000000	4360.000000	TILJE FM	FORMATION	BÅT GP	468	169	22	9999-12-31	2013-05-08
6506/12-3	3709.000000	3822.000000	VIKING GP	GROUP	\N	468	188	\N	9999-12-31	2013-05-08
6407/9-3	1797.000000	1868.000000	BÅT GP	GROUP	\N	469	22	\N	9999-12-31	2013-05-08
6407/9-3	1555.000000	1593.000000	CROMER KNOLL GP	GROUP	\N	469	23	\N	9999-12-31	2013-05-08
6407/9-3	1685.000000	1797.000000	FANGST GP	GROUP	\N	469	38	\N	9999-12-31	2013-05-08
6407/9-3	1685.000000	1771.000000	GARN FM	FORMATION	FANGST GP	469	48	38	9999-12-31	2013-05-08
6407/9-3	803.000000	1310.000000	HORDALAND GP	GROUP	\N	469	67	\N	9999-12-31	2013-05-08
6407/9-3	1555.000000	1593.000000	LANGE FM	FORMATION	CROMER KNOLL GP	469	94	23	9999-12-31	2013-05-08
6407/9-3	304.000000	803.000000	NORDLAND GP	GROUP	\N	469	113	\N	9999-12-31	2013-05-08
6407/9-3	1771.000000	1797.000000	NOT FM	FORMATION	FANGST GP	469	120	38	9999-12-31	2013-05-08
6407/9-3	1310.000000	1518.000000	ROGALAND GP	GROUP	\N	469	131	\N	9999-12-31	2013-05-08
6407/9-3	1630.000000	1668.000000	ROGN FM	FORMATION	VIKING GP	469	134	188	9999-12-31	2013-05-08
6407/9-3	1797.000000	1821.000000	ROR FM	FORMATION	BÅT GP	469	135	22	9999-12-31	2013-05-08
6407/9-3	1518.000000	1555.000000	SHETLAND GP	GROUP	\N	469	143	\N	9999-12-31	2013-05-08
6407/9-3	1593.000000	1630.000000	SPEKK FM	FORMATION	VIKING GP	469	155	188	9999-12-31	2013-05-08
6407/9-3	1668.000000	1685.000000	SPEKK FM	FORMATION	VIKING GP	469	155	188	9999-12-31	2013-05-08
6407/9-3	1353.000000	1518.000000	TANG FM	FORMATION	ROGALAND GP	469	161	131	9999-12-31	2013-05-08
6407/9-3	1310.000000	1353.000000	TARE FM	FORMATION	ROGALAND GP	469	163	131	9999-12-31	2013-05-08
6407/9-3	1821.000000	1868.000000	TILJE FM	FORMATION	BÅT GP	469	169	22	9999-12-31	2013-05-08
6407/9-3	1593.000000	1685.000000	VIKING GP	GROUP	\N	469	188	\N	9999-12-31	2013-05-08
6507/11-3	1754.000000	1963.000000	BRYGGE FM	FORMATION	HORDALAND GP	470	18	67	9999-12-31	2013-05-08
6507/11-3	2536.000000	3193.000000	BÅT GP	GROUP	\N	470	22	\N	9999-12-31	2013-05-08
6507/11-3	2290.000000	2358.000000	CROMER KNOLL GP	GROUP	\N	470	23	\N	9999-12-31	2013-05-08
6507/11-3	2412.000000	2536.000000	FANGST GP	GROUP	\N	470	38	\N	9999-12-31	2013-05-08
6507/11-3	2412.000000	2457.000000	GARN FM	FORMATION	FANGST GP	470	48	38	9999-12-31	2013-05-08
6507/11-3	3193.000000	3250.000000	GREY BEDS (INFORMAL)	GROUP	\N	470	52	\N	9999-12-31	2013-05-08
6507/11-3	1754.000000	1963.000000	HORDALAND GP	GROUP	\N	470	67	\N	9999-12-31	2013-05-08
6507/11-3	2472.000000	2536.000000	ILE FM	FORMATION	FANGST GP	470	70	38	9999-12-31	2013-05-08
6507/11-3	1395.000000	1754.000000	KAI FM	FORMATION	NORDLAND GP	470	77	113	9999-12-31	2013-05-08
6507/11-3	2290.000000	2347.000000	LANGE FM	FORMATION	CROMER KNOLL GP	470	94	23	9999-12-31	2013-05-08
6507/11-3	2347.000000	2358.000000	LYR FM	FORMATION	CROMER KNOLL GP	470	98	23	9999-12-31	2013-05-08
6507/11-3	2373.000000	2412.000000	MELKE FM	FORMATION	VIKING GP	470	105	188	9999-12-31	2013-05-08
6507/11-3	316.000000	1395.000000	NAUST FM	FORMATION	NORDLAND GP	470	109	113	9999-12-31	2013-05-08
6507/11-3	316.000000	1754.000000	NORDLAND GP	GROUP	\N	470	113	\N	9999-12-31	2013-05-08
6507/11-3	2457.000000	2472.000000	NOT FM	FORMATION	FANGST GP	470	120	38	9999-12-31	2013-05-08
6507/11-3	1963.000000	2087.000000	ROGALAND GP	GROUP	\N	470	131	\N	9999-12-31	2013-05-08
6507/11-3	2536.000000	2630.000000	ROR FM	FORMATION	BÅT GP	470	135	22	9999-12-31	2013-05-08
6507/11-3	2087.000000	2290.000000	SHETLAND GP	GROUP	\N	470	143	\N	9999-12-31	2013-05-08
6507/11-3	2358.000000	2373.000000	SPEKK FM	FORMATION	VIKING GP	470	155	188	9999-12-31	2013-05-08
6507/11-3	2087.000000	2290.000000	SPRINGAR FM	FORMATION	SHETLAND GP	470	156	143	9999-12-31	2013-05-08
6507/11-3	2038.000000	2087.000000	TANG FM	FORMATION	ROGALAND GP	470	161	131	9999-12-31	2013-05-08
6507/11-3	1963.000000	2038.000000	TARE FM	FORMATION	ROGALAND GP	470	163	131	9999-12-31	2013-05-08
6507/11-3	2630.000000	2825.000000	TILJE FM	FORMATION	BÅT GP	470	169	22	9999-12-31	2013-05-08
6507/11-3	2358.000000	2412.000000	VIKING GP	GROUP	\N	470	188	\N	9999-12-31	2013-05-08
6507/11-3	2825.000000	3193.000000	ÅRE FM	FORMATION	BÅT GP	470	197	22	9999-12-31	2013-05-08
7120/5-1	1230.000000	2285.000000	ADVENTDALEN GP	GROUP	\N	471	1	\N	9999-12-31	2013-05-08
7120/5-1	2648.000000	2700.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	471	46	79	9999-12-31	2013-05-08
7120/5-1	2271.000000	2285.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	471	47	1	9999-12-31	2013-05-08
7120/5-1	2248.000000	2271.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	471	63	1	9999-12-31	2013-05-08
7120/5-1	2285.000000	2700.000000	KAPP TOSCANA GP	GROUP	\N	471	79	\N	9999-12-31	2013-05-08
7120/5-1	2205.000000	2248.000000	KNURR FM	FORMATION	ADVENTDALEN GP	471	82	1	9999-12-31	2013-05-08
7120/5-1	2170.000000	2205.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	471	84	1	9999-12-31	2013-05-08
7120/5-1	1230.000000	2170.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	471	85	1	9999-12-31	2013-05-08
7120/5-1	1183.000000	1230.000000	KVITING FM	FORMATION	NYGRUNNEN GP	471	90	122	9999-12-31	2013-05-08
7120/5-1	318.000000	410.000000	NORDLAND GP	GROUP	\N	471	113	\N	9999-12-31	2013-05-08
7120/5-1	2427.000000	2510.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	471	118	79	9999-12-31	2013-05-08
7120/5-1	1183.000000	1230.000000	NYGRUNNEN GP	GROUP	\N	471	122	\N	9999-12-31	2013-05-08
7120/5-1	410.000000	1183.000000	SOTBAKKEN GP	GROUP	\N	471	154	\N	9999-12-31	2013-05-08
7120/5-1	2285.000000	2427.000000	STØ FM	FORMATION	KAPP TOSCANA GP	471	159	79	9999-12-31	2013-05-08
7120/5-1	410.000000	1183.000000	TORSK FM	FORMATION	SOTBAKKEN GP	471	172	154	9999-12-31	2013-05-08
7120/5-1	2510.000000	2648.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	471	174	79	9999-12-31	2013-05-08
25/1-8 S	2232.000000	2237.000000	BALDER FM	FORMATION	ROGALAND GP	472	6	131	9999-12-31	2013-05-08
25/1-8 S	2250.000000	2329.000000	BALDER FM	FORMATION	ROGALAND GP	472	6	131	9999-12-31	2013-05-08
25/1-8 S	2237.000000	2250.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	472	7	131	9999-12-31	2013-05-08
25/1-8 S	1930.000000	2232.000000	FRIGG FM	FORMATION	HORDALAND GP	472	45	67	9999-12-31	2013-05-08
25/1-8 S	2329.000000	2532.000000	HERMOD FM	FORMATION	ROGALAND GP	472	64	131	9999-12-31	2013-05-08
25/1-8 S	735.000000	2232.000000	HORDALAND GP	GROUP	\N	472	67	\N	9999-12-31	2013-05-08
25/1-8 S	2532.000000	2650.000000	LISTA FM	FORMATION	ROGALAND GP	472	95	131	9999-12-31	2013-05-08
25/1-8 S	127.000000	735.000000	NORDLAND GP	GROUP	\N	472	113	\N	9999-12-31	2013-05-08
25/1-8 S	2232.000000	2650.000000	ROGALAND GP	GROUP	\N	472	131	\N	9999-12-31	2013-05-08
7120/2-1	3471.000000	3502.000000	BASEMENT	GROUP	\N	473	10	\N	9999-12-31	2013-05-08
7120/2-1	2624.000000	3471.000000	BILLEFJORDEN GP	GROUP	\N	473	11	\N	9999-12-31	2013-05-08
7120/2-1	2024.000000	2221.000000	FALK FM	FORMATION	GIPSDALEN GP	473	36	51	9999-12-31	2013-05-08
7120/2-1	1945.000000	2624.000000	GIPSDALEN GP	GROUP	\N	473	51	\N	9999-12-31	2013-05-08
7120/2-1	613.000000	1933.000000	KAPP TOSCANA GP	GROUP	\N	473	79	\N	9999-12-31	2013-05-08
7120/2-1	1933.000000	1945.000000	KOBBE FM	FORMATION	SASSENDALEN GP	473	83	140	9999-12-31	2013-05-08
7120/2-1	410.000000	476.000000	NORDLAND GP	GROUP	\N	473	113	\N	9999-12-31	2013-05-08
7120/2-1	1933.000000	1945.000000	SASSENDALEN GP	GROUP	\N	473	140	\N	9999-12-31	2013-05-08
7120/2-1	613.000000	1933.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	473	150	79	9999-12-31	2013-05-08
7120/2-1	476.000000	613.000000	SOTBAKKEN GP	GROUP	\N	473	154	\N	9999-12-31	2013-05-08
7120/2-1	476.000000	613.000000	TORSK FM	FORMATION	SOTBAKKEN GP	473	172	154	9999-12-31	2013-05-08
7120/2-1	2221.000000	2624.000000	UGLE FM	FORMATION	GIPSDALEN GP	473	178	51	9999-12-31	2013-05-08
7120/2-1	2624.000000	3471.000000	UNDIFFERENTIATED	FORMATION	\N	473	182	\N	9999-12-31	2013-05-08
7120/2-1	1945.000000	2024.000000	ØRN FM	FORMATION	GIPSDALEN GP	473	195	51	9999-12-31	2013-05-08
6407/7-1 S	2773.000000	3183.000000	BÅT GP	GROUP	\N	474	22	\N	9999-12-31	2013-05-08
6407/7-1 S	2682.000000	2696.000000	CROMER KNOLL GP	GROUP	\N	474	23	\N	9999-12-31	2013-05-08
6407/7-1 S	2759.000000	2773.000000	FANGST GP	GROUP	\N	474	38	\N	9999-12-31	2013-05-08
6407/7-1 S	2759.000000	2773.000000	GARN FM	FORMATION	FANGST GP	474	48	38	9999-12-31	2013-05-08
6407/7-1 S	3183.000000	3277.000000	GREY BEDS (INFORMAL)	GROUP	\N	474	52	\N	9999-12-31	2013-05-08
6407/7-1 S	1081.000000	1739.000000	KAI FM	FORMATION	NORDLAND GP	474	77	113	9999-12-31	2013-05-08
6407/7-1 S	2713.000000	2759.000000	MELKE FM	FORMATION	VIKING GP	474	105	188	9999-12-31	2013-05-08
6407/7-1 S	353.000000	1081.000000	NAUST FM	FORMATION	NORDLAND GP	474	109	113	9999-12-31	2013-05-08
6407/7-1 S	353.000000	1739.000000	NORDLAND GP	GROUP	\N	474	113	\N	9999-12-31	2013-05-08
6407/7-1 S	3277.000000	3950.000000	RED BEDS (INFORMAL)	GROUP	\N	474	129	\N	9999-12-31	2013-05-08
6407/7-1 S	1739.000000	1971.000000	ROGALAND GP	GROUP	\N	474	131	\N	9999-12-31	2013-05-08
6407/7-1 S	2773.000000	2839.000000	ROR FM	FORMATION	BÅT GP	474	135	22	9999-12-31	2013-05-08
6407/7-1 S	1971.000000	2682.000000	SHETLAND GP	GROUP	\N	474	143	\N	9999-12-31	2013-05-08
6407/7-1 S	2696.000000	2713.000000	SPEKK FM	FORMATION	VIKING GP	474	155	188	9999-12-31	2013-05-08
6407/7-1 S	1739.000000	1971.000000	TARE FM	FORMATION	ROGALAND GP	474	163	131	9999-12-31	2013-05-08
6407/7-1 S	2839.000000	3017.000000	TILJE FM	FORMATION	BÅT GP	474	169	22	9999-12-31	2013-05-08
6407/7-1 S	2696.000000	2759.000000	VIKING GP	GROUP	\N	474	188	\N	9999-12-31	2013-05-08
6407/7-1 S	3017.000000	3183.000000	ÅRE FM	FORMATION	BÅT GP	474	197	22	9999-12-31	2013-05-08
6506/12-4	1897.000000	2065.000000	BRYGGE FM	FORMATION	HORDALAND GP	475	18	67	9999-12-31	2013-05-08
6506/12-4	4116.000000	4457.000000	BÅT GP	GROUP	\N	475	22	\N	9999-12-31	2013-05-08
6506/12-4	3133.000000	3855.000000	CROMER KNOLL GP	GROUP	\N	475	23	\N	9999-12-31	2013-05-08
6506/12-4	3980.000000	4116.000000	FANGST GP	GROUP	\N	475	38	\N	9999-12-31	2013-05-08
6506/12-4	3980.000000	4021.000000	GARN FM	FORMATION	FANGST GP	475	48	38	9999-12-31	2013-05-08
6506/12-4	1897.000000	2065.000000	HORDALAND GP	GROUP	\N	475	67	\N	9999-12-31	2013-05-08
6506/12-4	4045.000000	4116.000000	ILE FM	FORMATION	FANGST GP	475	70	38	9999-12-31	2013-05-08
6506/12-4	1470.000000	1897.000000	KAI FM	FORMATION	NORDLAND GP	475	77	113	9999-12-31	2013-05-08
6506/12-4	2600.000000	3133.000000	KVITNOS FM	FORMATION	SHETLAND GP	475	91	143	9999-12-31	2013-05-08
6506/12-4	3150.000000	3835.000000	LANGE FM	FORMATION	CROMER KNOLL GP	475	94	23	9999-12-31	2013-05-08
6506/12-4	3835.000000	3855.000000	LYR FM	FORMATION	CROMER KNOLL GP	475	98	23	9999-12-31	2013-05-08
6506/12-4	3133.000000	3150.000000	LYSING FM	FORMATION	CROMER KNOLL GP	475	99	23	9999-12-31	2013-05-08
6506/12-4	3863.000000	3980.000000	MELKE FM	FORMATION	VIKING GP	475	105	188	9999-12-31	2013-05-08
6506/12-4	282.000000	1470.000000	NAUST FM	FORMATION	NORDLAND GP	475	109	113	9999-12-31	2013-05-08
6506/12-4	2380.000000	2600.000000	NISE FM	FORMATION	SHETLAND GP	475	112	143	9999-12-31	2013-05-08
6506/12-4	282.000000	1897.000000	NORDLAND GP	GROUP	\N	475	113	\N	9999-12-31	2013-05-08
6506/12-4	4021.000000	4045.000000	NOT FM	FORMATION	FANGST GP	475	120	38	9999-12-31	2013-05-08
6506/12-4	2065.000000	2211.000000	ROGALAND GP	GROUP	\N	475	131	\N	9999-12-31	2013-05-08
6506/12-4	4116.000000	4168.000000	ROR FM	FORMATION	BÅT GP	475	135	22	9999-12-31	2013-05-08
6506/12-4	2211.000000	3133.000000	SHETLAND GP	GROUP	\N	475	143	\N	9999-12-31	2013-05-08
6506/12-4	3855.000000	3863.000000	SPEKK FM	FORMATION	VIKING GP	475	155	188	9999-12-31	2013-05-08
6506/12-4	2211.000000	2380.000000	SPRINGAR FM	FORMATION	SHETLAND GP	475	156	143	9999-12-31	2013-05-08
6506/12-4	2171.000000	2211.000000	TANG FM	FORMATION	ROGALAND GP	475	161	131	9999-12-31	2013-05-08
6506/12-4	2065.000000	2171.000000	TARE FM	FORMATION	ROGALAND GP	475	163	131	9999-12-31	2013-05-08
6506/12-4	4252.000000	4414.000000	TILJE FM	FORMATION	BÅT GP	475	169	22	9999-12-31	2013-05-08
6506/12-4	4168.000000	4252.000000	TOFTE FM	FORMATION	BÅT GP	475	170	22	9999-12-31	2013-05-08
6506/12-4	3855.000000	3980.000000	VIKING GP	GROUP	\N	475	188	\N	9999-12-31	2013-05-08
6506/12-4	4414.000000	4457.000000	ÅRE FM	FORMATION	BÅT GP	475	197	22	9999-12-31	2013-05-08
34/10-23	4578.000000	4715.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	476	4	29	9999-12-31	2013-05-08
34/10-23	1890.000000	1950.000000	BALDER FM	FORMATION	ROGALAND GP	476	6	131	9999-12-31	2013-05-08
34/10-23	3550.000000	3565.000000	BLODØKS FM	FORMATION	SHETLAND GP	476	13	143	9999-12-31	2013-05-08
34/10-23	4084.000000	4335.000000	BRENT GP	GROUP	\N	476	16	\N	9999-12-31	2013-05-08
34/10-23	4515.000000	4578.000000	BURTON FM	FORMATION	DUNLIN GP	476	20	29	9999-12-31	2013-05-08
34/10-23	3690.000000	3862.000000	CROMER KNOLL GP	GROUP	\N	476	23	\N	9999-12-31	2013-05-08
34/10-23	4413.000000	4515.000000	COOK FM	FORMATION	DUNLIN GP	476	24	29	9999-12-31	2013-05-08
34/10-23	4335.000000	4413.000000	DRAKE FM	FORMATION	DUNLIN GP	476	27	29	9999-12-31	2013-05-08
34/10-23	3862.000000	3923.000000	DRAUPNE FM	FORMATION	VIKING GP	476	28	188	9999-12-31	2013-05-08
34/10-23	4335.000000	4715.000000	DUNLIN GP	GROUP	\N	476	29	\N	9999-12-31	2013-05-08
34/10-23	4243.000000	4287.000000	ETIVE FM	FORMATION	BRENT GP	476	35	16	9999-12-31	2013-05-08
34/10-23	3923.000000	4084.000000	HEATHER FM	FORMATION	VIKING GP	476	60	188	9999-12-31	2013-05-08
34/10-23	1097.000000	1890.000000	HORDALAND GP	GROUP	\N	476	67	\N	9999-12-31	2013-05-08
34/10-23	2109.000000	2465.000000	JORSALFARE FM	FORMATION	SHETLAND GP	476	74	143	9999-12-31	2013-05-08
34/10-23	2465.000000	3450.000000	KYRRE FM	FORMATION	SHETLAND GP	476	92	143	9999-12-31	2013-05-08
34/10-23	2011.000000	2028.000000	LISTA FM	FORMATION	ROGALAND GP	476	95	131	9999-12-31	2013-05-08
34/10-23	2070.000000	2109.000000	LISTA FM	FORMATION	ROGALAND GP	476	95	131	9999-12-31	2013-05-08
34/10-23	4098.000000	4243.000000	NESS FM	FORMATION	BRENT GP	476	110	16	9999-12-31	2013-05-08
34/10-23	1051.000000	1097.000000	NO FORMAL NAME	FORMATION	\N	476	111	\N	9999-12-31	2013-05-08
34/10-23	1200.000000	1650.000000	NO FORMAL NAME	FORMATION	\N	476	111	\N	9999-12-31	2013-05-08
34/10-23	1650.000000	1890.000000	NO FORMAL NAME	FORMATION	\N	476	111	\N	9999-12-31	2013-05-08
34/10-23	2028.000000	2070.000000	NO FORMAL NAME	FORMATION	\N	476	111	\N	9999-12-31	2013-05-08
34/10-23	164.000000	1097.000000	NORDLAND GP	GROUP	\N	476	113	\N	9999-12-31	2013-05-08
34/10-23	4287.000000	4335.000000	RANNOCH FM	FORMATION	BRENT GP	476	126	16	9999-12-31	2013-05-08
34/10-23	1890.000000	2109.000000	ROGALAND GP	GROUP	\N	476	131	\N	9999-12-31	2013-05-08
34/10-23	3690.000000	3767.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	476	137	23	9999-12-31	2013-05-08
34/10-23	1950.000000	2011.000000	SELE FM	FORMATION	ROGALAND GP	476	142	131	9999-12-31	2013-05-08
34/10-23	2109.000000	3690.000000	SHETLAND GP	GROUP	\N	476	143	\N	9999-12-31	2013-05-08
34/10-23	4715.000000	4764.000000	STATFJORD FM	FORMATION	\N	476	157	\N	9999-12-31	2013-05-08
34/10-23	3565.000000	3690.000000	SVARTE FM	FORMATION	SHETLAND GP	476	160	143	9999-12-31	2013-05-08
34/10-23	4084.000000	4098.000000	TARBERT FM	FORMATION	BRENT GP	476	162	16	9999-12-31	2013-05-08
34/10-23	3450.000000	3550.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	476	173	143	9999-12-31	2013-05-08
34/10-23	824.000000	1051.000000	UTSIRA FM	FORMATION	NORDLAND GP	476	183	113	9999-12-31	2013-05-08
34/10-23	3862.000000	4084.000000	VIKING GP	GROUP	\N	476	188	\N	9999-12-31	2013-05-08
34/10-23	3767.000000	3862.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	476	198	23	9999-12-31	2013-05-08
34/10-23	4715.000000	4764.000000	NO GROUP DEFINED	GROUP	\N	476	208	\N	9999-12-31	2013-05-08
25/2-9	2223.000000	2251.000000	BALDER FM	FORMATION	ROGALAND GP	477	6	131	9999-12-31	2013-05-08
25/2-9	2256.000000	2259.000000	BALDER FM	FORMATION	ROGALAND GP	477	6	131	9999-12-31	2013-05-08
25/2-9	2262.000000	2269.000000	BALDER FM	FORMATION	ROGALAND GP	477	6	131	9999-12-31	2013-05-08
25/2-9	2272.000000	2297.000000	BALDER FM	FORMATION	ROGALAND GP	477	6	131	9999-12-31	2013-05-08
25/2-9	2251.000000	2256.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	477	7	131	9999-12-31	2013-05-08
25/2-9	2259.000000	2262.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	477	7	131	9999-12-31	2013-05-08
25/2-9	2269.000000	2272.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	477	7	131	9999-12-31	2013-05-08
25/2-9	1935.000000	2223.000000	FRIGG FM	FORMATION	HORDALAND GP	477	45	67	9999-12-31	2013-05-08
25/2-9	968.000000	2223.000000	HORDALAND GP	GROUP	\N	477	67	\N	9999-12-31	2013-05-08
25/2-9	1125.000000	1935.000000	NO FORMAL NAME	FORMATION	\N	477	111	\N	9999-12-31	2013-05-08
25/2-9	137.000000	968.000000	NORDLAND GP	GROUP	\N	477	113	\N	9999-12-31	2013-05-08
25/2-9	2223.000000	2297.000000	ROGALAND GP	GROUP	\N	477	131	\N	9999-12-31	2013-05-08
25/2-9	1104.000000	1125.000000	SKADE FM	FORMATION	HORDALAND GP	477	145	67	9999-12-31	2013-05-08
25/2-9	245.000000	968.000000	UTSIRA FM	FORMATION	NORDLAND GP	477	183	113	9999-12-31	2013-05-08
7121/5-1	1036.000000	2369.000000	ADVENTDALEN GP	GROUP	\N	479	1	\N	9999-12-31	2013-05-08
7121/5-1	2738.000000	2793.000000	AKKAR MBR	MEMBER	FRUHOLMEN FM	479	3	46	9999-12-31	2013-05-08
7121/5-1	2572.000000	2793.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	479	46	79	9999-12-31	2013-05-08
7121/5-1	2357.000000	2369.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	479	47	1	9999-12-31	2013-05-08
7121/5-1	2292.000000	2357.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	479	63	1	9999-12-31	2013-05-08
7121/5-1	2369.000000	3200.000000	KAPP TOSCANA GP	GROUP	\N	479	79	\N	9999-12-31	2013-05-08
7121/5-1	2236.000000	2292.000000	KNURR FM	FORMATION	ADVENTDALEN GP	479	82	1	9999-12-31	2013-05-08
7121/5-1	1930.000000	2236.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	479	84	1	9999-12-31	2013-05-08
7121/5-1	1036.000000	1930.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	479	85	1	9999-12-31	2013-05-08
7121/5-1	2572.000000	2660.000000	KRABBE MBR	MEMBER	FRUHOLMEN FM	479	86	46	9999-12-31	2013-05-08
7121/5-1	1005.000000	1036.000000	KVITING FM	FORMATION	NYGRUNNEN GP	479	90	122	9999-12-31	2013-05-08
7121/5-1	358.000000	460.000000	NORDLAND GP	GROUP	\N	479	113	\N	9999-12-31	2013-05-08
7121/5-1	2445.000000	2507.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	479	118	79	9999-12-31	2013-05-08
7121/5-1	1005.000000	1036.000000	NYGRUNNEN GP	GROUP	\N	479	122	\N	9999-12-31	2013-05-08
7121/5-1	2660.000000	2738.000000	REKE MBR	MEMBER	FRUHOLMEN FM	479	130	46	9999-12-31	2013-05-08
7121/5-1	2793.000000	3200.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	479	150	79	9999-12-31	2013-05-08
7121/5-1	460.000000	1005.000000	SOTBAKKEN GP	GROUP	\N	479	154	\N	9999-12-31	2013-05-08
7121/5-1	2369.000000	2445.000000	STØ FM	FORMATION	KAPP TOSCANA GP	479	159	79	9999-12-31	2013-05-08
7121/5-1	460.000000	1005.000000	TORSK FM	FORMATION	SOTBAKKEN GP	479	172	154	9999-12-31	2013-05-08
7121/5-1	2507.000000	2572.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	479	174	79	9999-12-31	2013-05-08
6407/9-4	887.000000	1402.000000	BRYGGE FM	FORMATION	HORDALAND GP	480	18	67	9999-12-31	2013-05-08
6407/9-4	1767.000000	1820.000000	BÅT GP	GROUP	\N	480	22	\N	9999-12-31	2013-05-08
6407/9-4	1610.000000	1637.000000	CROMER KNOLL GP	GROUP	\N	480	23	\N	9999-12-31	2013-05-08
6407/9-4	1660.000000	1767.000000	FANGST GP	GROUP	\N	480	38	\N	9999-12-31	2013-05-08
6407/9-4	1660.000000	1702.000000	GARN FM	FORMATION	FANGST GP	480	48	38	9999-12-31	2013-05-08
6407/9-4	887.000000	1402.000000	HORDALAND GP	GROUP	\N	480	67	\N	9999-12-31	2013-05-08
6407/9-4	1748.000000	1767.000000	ILE FM	FORMATION	FANGST GP	480	70	38	9999-12-31	2013-05-08
6407/9-4	277.000000	887.000000	NAUST FM	FORMATION	NORDLAND GP	480	109	113	9999-12-31	2013-05-08
6407/9-4	277.000000	887.000000	NORDLAND GP	GROUP	\N	480	113	\N	9999-12-31	2013-05-08
6407/9-4	1702.000000	1748.000000	NOT FM	FORMATION	FANGST GP	480	120	38	9999-12-31	2013-05-08
6407/9-4	1402.000000	1572.000000	ROGALAND GP	GROUP	\N	480	131	\N	9999-12-31	2013-05-08
6407/9-4	1658.000000	1660.000000	ROGN FM	FORMATION	VIKING GP	480	134	188	9999-12-31	2013-05-08
6407/9-4	1767.000000	1794.000000	ROR FM	FORMATION	BÅT GP	480	135	22	9999-12-31	2013-05-08
6407/9-4	1572.000000	1610.000000	SHETLAND GP	GROUP	\N	480	143	\N	9999-12-31	2013-05-08
6407/9-4	1637.000000	1658.000000	SPEKK FM	FORMATION	VIKING GP	480	155	188	9999-12-31	2013-05-08
6407/9-4	1443.000000	1572.000000	TANG FM	FORMATION	ROGALAND GP	480	161	131	9999-12-31	2013-05-08
6407/9-4	1402.000000	1443.000000	TARE FM	FORMATION	ROGALAND GP	480	163	131	9999-12-31	2013-05-08
6407/9-4	1794.000000	1820.000000	TILJE FM	FORMATION	BÅT GP	480	169	22	9999-12-31	2013-05-08
6407/9-4	1637.000000	1660.000000	VIKING GP	GROUP	\N	480	188	\N	9999-12-31	2013-05-08
6507/7-3	1906.000000	1990.000000	BRYGGE FM	FORMATION	HORDALAND GP	482	18	67	9999-12-31	2013-05-08
6507/7-3	2434.000000	2850.000000	BÅT GP	GROUP	\N	482	22	\N	9999-12-31	2013-05-08
6507/7-3	2368.000000	2434.000000	FANGST GP	GROUP	\N	482	38	\N	9999-12-31	2013-05-08
6507/7-3	2368.000000	2400.000000	GARN FM	FORMATION	FANGST GP	482	48	38	9999-12-31	2013-05-08
6507/7-3	1906.000000	1990.000000	HORDALAND GP	GROUP	\N	482	67	\N	9999-12-31	2013-05-08
6507/7-3	2412.000000	2434.000000	ILE FM	FORMATION	FANGST GP	482	70	38	9999-12-31	2013-05-08
6507/7-3	1472.000000	1906.000000	KAI FM	FORMATION	NORDLAND GP	482	77	113	9999-12-31	2013-05-08
6507/7-3	371.000000	1472.000000	NAUST FM	FORMATION	NORDLAND GP	482	109	113	9999-12-31	2013-05-08
6507/7-3	371.000000	1906.000000	NORDLAND GP	GROUP	\N	482	113	\N	9999-12-31	2013-05-08
6507/7-3	2400.000000	2412.000000	NOT FM	FORMATION	FANGST GP	482	120	38	9999-12-31	2013-05-08
6507/7-3	1990.000000	2081.000000	ROGALAND GP	GROUP	\N	482	131	\N	9999-12-31	2013-05-08
6507/7-3	2434.000000	2499.000000	ROR FM	FORMATION	BÅT GP	482	135	22	9999-12-31	2013-05-08
6507/7-3	2081.000000	2368.000000	SHETLAND GP	GROUP	\N	482	143	\N	9999-12-31	2013-05-08
6507/7-3	2021.000000	2081.000000	TANG FM	FORMATION	ROGALAND GP	482	161	131	9999-12-31	2013-05-08
6507/7-3	1990.000000	2021.000000	TARE FM	FORMATION	ROGALAND GP	482	163	131	9999-12-31	2013-05-08
6507/7-3	2499.000000	2720.000000	TILJE FM	FORMATION	BÅT GP	482	169	22	9999-12-31	2013-05-08
6507/7-3	2720.000000	2850.000000	ÅRE FM	FORMATION	BÅT GP	482	197	22	9999-12-31	2013-05-08
34/10-24	157.000000	600.000000	NORDLAND GP	GROUP	\N	483	113	\N	9999-12-31	2013-05-08
7120/1-1	692.000000	1106.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	484	46	79	9999-12-31	2013-05-08
7120/1-1	2373.000000	2403.000000	HAVERT FM	FORMATION	SASSENDALEN GP	484	58	140	9999-12-31	2013-05-08
7120/1-1	692.000000	2285.000000	KAPP TOSCANA GP	GROUP	\N	484	79	\N	9999-12-31	2013-05-08
7120/1-1	2315.000000	2373.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	484	80	140	9999-12-31	2013-05-08
7120/1-1	2285.000000	2315.000000	KOBBE FM	FORMATION	SASSENDALEN GP	484	83	140	9999-12-31	2013-05-08
7120/1-1	367.000000	490.000000	NORDLAND GP	GROUP	\N	484	113	\N	9999-12-31	2013-05-08
7120/1-1	2430.000000	2458.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	484	138	167	9999-12-31	2013-05-08
7120/1-1	2285.000000	2403.000000	SASSENDALEN GP	GROUP	\N	484	140	\N	9999-12-31	2013-05-08
7120/1-1	1106.000000	2285.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	484	150	79	9999-12-31	2013-05-08
7120/1-1	490.000000	692.000000	SOTBAKKEN GP	GROUP	\N	484	154	\N	9999-12-31	2013-05-08
7120/1-1	2403.000000	2569.000000	TEMPELFJORDEN GP	GROUP	\N	484	167	\N	9999-12-31	2013-05-08
7120/1-1	490.000000	692.000000	TORSK FM	FORMATION	SOTBAKKEN GP	484	172	154	9999-12-31	2013-05-08
7120/1-1	2403.000000	2430.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	484	196	167	9999-12-31	2013-05-08
7120/1-1	2458.000000	2569.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	484	196	167	9999-12-31	2013-05-08
6507/12-3	1425.000000	1770.000000	BRYGGE FM	FORMATION	HORDALAND GP	485	18	67	9999-12-31	2013-05-08
6507/12-3	2098.000000	2600.000000	BÅT GP	GROUP	\N	485	22	\N	9999-12-31	2013-05-08
6507/12-3	1972.000000	2098.000000	FANGST GP	GROUP	\N	485	38	\N	9999-12-31	2013-05-08
6507/12-3	1972.000000	2015.000000	GARN FM	FORMATION	FANGST GP	485	48	38	9999-12-31	2013-05-08
6507/12-3	1425.000000	1770.000000	HORDALAND GP	GROUP	\N	485	67	\N	9999-12-31	2013-05-08
6507/12-3	2032.000000	2098.000000	ILE FM	FORMATION	FANGST GP	485	70	38	9999-12-31	2013-05-08
6507/12-3	1311.000000	1425.000000	KAI FM	FORMATION	NORDLAND GP	485	77	113	9999-12-31	2013-05-08
6507/12-3	1939.000000	1972.000000	MELKE FM	FORMATION	VIKING GP	485	105	188	9999-12-31	2013-05-08
6507/12-3	266.000000	1311.000000	NAUST FM	FORMATION	NORDLAND GP	485	109	113	9999-12-31	2013-05-08
6507/12-3	266.000000	1425.000000	NORDLAND GP	GROUP	\N	485	113	\N	9999-12-31	2013-05-08
6507/12-3	2015.000000	2032.000000	NOT FM	FORMATION	FANGST GP	485	120	38	9999-12-31	2013-05-08
6507/12-3	1770.000000	1862.000000	ROGALAND GP	GROUP	\N	485	131	\N	9999-12-31	2013-05-08
6507/12-3	2098.000000	2186.000000	ROR FM	FORMATION	BÅT GP	485	135	22	9999-12-31	2013-05-08
6507/12-3	1862.000000	1937.000000	SHETLAND GP	GROUP	\N	485	143	\N	9999-12-31	2013-05-08
6507/12-3	1937.000000	1939.000000	SPEKK FM	FORMATION	VIKING GP	485	155	188	9999-12-31	2013-05-08
6507/12-3	1862.000000	1937.000000	SPRINGAR FM	FORMATION	SHETLAND GP	485	156	143	9999-12-31	2013-05-08
6507/12-3	1823.000000	1862.000000	TANG FM	FORMATION	ROGALAND GP	485	161	131	9999-12-31	2013-05-08
6507/12-3	1770.000000	1823.000000	TARE FM	FORMATION	ROGALAND GP	485	163	131	9999-12-31	2013-05-08
6507/12-3	2186.000000	2351.000000	TILJE FM	FORMATION	BÅT GP	485	169	22	9999-12-31	2013-05-08
6507/12-3	1937.000000	1972.000000	VIKING GP	GROUP	\N	485	188	\N	9999-12-31	2013-05-08
6507/12-3	2351.000000	2600.000000	ÅRE FM	FORMATION	BÅT GP	485	197	22	9999-12-31	2013-05-08
6406/6-1	1898.000000	2376.000000	BRYGGE FM	FORMATION	HORDALAND GP	486	18	67	9999-12-31	2013-05-08
6406/6-1	4416.000000	4715.000000	BÅT GP	GROUP	\N	486	22	\N	9999-12-31	2013-05-08
6406/6-1	3324.000000	4005.000000	CROMER KNOLL GP	GROUP	\N	486	23	\N	9999-12-31	2013-05-08
6406/6-1	4204.000000	4416.000000	FANGST GP	GROUP	\N	486	38	\N	9999-12-31	2013-05-08
6406/6-1	4204.000000	4275.000000	GARN FM	FORMATION	FANGST GP	486	48	38	9999-12-31	2013-05-08
6406/6-1	1898.000000	2376.000000	HORDALAND GP	GROUP	\N	486	67	\N	9999-12-31	2013-05-08
6406/6-1	4335.000000	4416.000000	ILE FM	FORMATION	FANGST GP	486	70	38	9999-12-31	2013-05-08
6406/6-1	1494.000000	1898.000000	KAI FM	FORMATION	NORDLAND GP	486	77	113	9999-12-31	2013-05-08
6406/6-1	4050.000000	4204.000000	MELKE FM	FORMATION	VIKING GP	486	105	188	9999-12-31	2013-05-08
6406/6-1	293.000000	1898.000000	NORDLAND GP	GROUP	\N	486	113	\N	9999-12-31	2013-05-08
6406/6-1	4275.000000	4335.000000	NOT FM	FORMATION	FANGST GP	486	120	38	9999-12-31	2013-05-08
6406/6-1	2376.000000	2514.000000	ROGALAND GP	GROUP	\N	486	131	\N	9999-12-31	2013-05-08
6406/6-1	4416.000000	4519.000000	ROR FM	FORMATION	BÅT GP	486	135	22	9999-12-31	2013-05-08
6406/6-1	4556.000000	4592.000000	ROR FM	FORMATION	BÅT GP	486	135	22	9999-12-31	2013-05-08
6406/6-1	2514.000000	3324.000000	SHETLAND GP	GROUP	\N	486	143	\N	9999-12-31	2013-05-08
6406/6-1	4005.000000	4050.000000	SPEKK FM	FORMATION	VIKING GP	486	155	188	9999-12-31	2013-05-08
6406/6-1	2475.000000	2514.000000	TANG FM	FORMATION	ROGALAND GP	486	161	131	9999-12-31	2013-05-08
6406/6-1	2376.000000	2475.000000	TARE FM	FORMATION	ROGALAND GP	486	163	131	9999-12-31	2013-05-08
6406/6-1	4592.000000	4715.000000	TILJE FM	FORMATION	BÅT GP	486	169	22	9999-12-31	2013-05-08
6406/6-1	4519.000000	4556.000000	TOFTE FM	FORMATION	BÅT GP	486	170	22	9999-12-31	2013-05-08
6406/6-1	4005.000000	4204.000000	VIKING GP	GROUP	\N	486	188	\N	9999-12-31	2013-05-08
30/6-17	135.000000	615.000000	NORDLAND GP	GROUP	\N	487	113	\N	9999-12-31	2013-05-08
30/6-18	2983.000000	3121.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	488	4	29	9999-12-31	2013-05-08
30/6-18	2047.000000	2129.000000	BALDER FM	FORMATION	ROGALAND GP	488	6	131	9999-12-31	2013-05-08
30/6-18	2913.000000	2983.000000	DRAKE FM	FORMATION	DUNLIN GP	488	27	29	9999-12-31	2013-05-08
30/6-18	2913.000000	3121.000000	DUNLIN GP	GROUP	\N	488	29	\N	9999-12-31	2013-05-08
30/6-18	2380.000000	2400.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	488	56	143	9999-12-31	2013-05-08
30/6-18	3670.000000	3690.000000	HEGRE GP	GROUP	\N	488	61	\N	9999-12-31	2013-05-08
30/6-18	893.000000	2047.000000	HORDALAND GP	GROUP	\N	488	67	\N	9999-12-31	2013-05-08
30/6-18	2400.000000	2580.000000	JORSALFARE FM	FORMATION	SHETLAND GP	488	74	143	9999-12-31	2013-05-08
30/6-18	2580.000000	2913.000000	KYRRE FM	FORMATION	SHETLAND GP	488	92	143	9999-12-31	2013-05-08
30/6-18	2197.000000	2362.000000	LISTA FM	FORMATION	ROGALAND GP	488	95	131	9999-12-31	2013-05-08
30/6-18	952.000000	1101.000000	NO FORMAL NAME	FORMATION	\N	488	111	\N	9999-12-31	2013-05-08
30/6-18	1339.000000	1439.000000	NO FORMAL NAME	FORMATION	\N	488	111	\N	9999-12-31	2013-05-08
30/6-18	1454.000000	1480.000000	NO FORMAL NAME	FORMATION	\N	488	111	\N	9999-12-31	2013-05-08
30/6-18	1480.000000	1579.000000	NO FORMAL NAME	FORMATION	\N	488	111	\N	9999-12-31	2013-05-08
30/6-18	1579.000000	2047.000000	NO FORMAL NAME	FORMATION	\N	488	111	\N	9999-12-31	2013-05-08
30/6-18	133.000000	893.000000	NORDLAND GP	GROUP	\N	488	113	\N	9999-12-31	2013-05-08
30/6-18	2047.000000	2380.000000	ROGALAND GP	GROUP	\N	488	131	\N	9999-12-31	2013-05-08
30/6-18	2129.000000	2197.000000	SELE FM	FORMATION	ROGALAND GP	488	142	131	9999-12-31	2013-05-08
30/6-18	2380.000000	2913.000000	SHETLAND GP	GROUP	\N	488	143	\N	9999-12-31	2013-05-08
30/6-18	927.000000	952.000000	SKADE FM	FORMATION	HORDALAND GP	488	145	67	9999-12-31	2013-05-08
30/6-18	1101.000000	1339.000000	SKADE FM	FORMATION	HORDALAND GP	488	145	67	9999-12-31	2013-05-08
30/6-18	1439.000000	1454.000000	SKADE FM	FORMATION	HORDALAND GP	488	145	67	9999-12-31	2013-05-08
30/6-18	3121.000000	3670.000000	STATFJORD FM	FORMATION	\N	488	157	\N	9999-12-31	2013-05-08
30/6-18	597.000000	893.000000	UTSIRA FM	FORMATION	NORDLAND GP	488	183	113	9999-12-31	2013-05-08
30/6-18	2362.000000	2380.000000	VÅLE FM	FORMATION	ROGALAND GP	488	190	131	9999-12-31	2013-05-08
30/6-18	3121.000000	3670.000000	NO GROUP DEFINED	GROUP	\N	488	208	\N	9999-12-31	2013-05-08
6407/4-1	1430.000000	2098.000000	BRYGGE FM	FORMATION	HORDALAND GP	490	18	67	9999-12-31	2013-05-08
6407/4-1	4106.000000	4835.000000	BÅT GP	GROUP	\N	490	22	\N	9999-12-31	2013-05-08
6407/4-1	3010.000000	3710.000000	CROMER KNOLL GP	GROUP	\N	490	23	\N	9999-12-31	2013-05-08
6407/4-1	3890.000000	4106.000000	FANGST GP	GROUP	\N	490	38	\N	9999-12-31	2013-05-08
6407/4-1	3890.000000	3969.000000	GARN FM	FORMATION	FANGST GP	490	48	38	9999-12-31	2013-05-08
6407/4-1	1430.000000	2098.000000	HORDALAND GP	GROUP	\N	490	67	\N	9999-12-31	2013-05-08
6407/4-1	4021.000000	4106.000000	ILE FM	FORMATION	FANGST GP	490	70	38	9999-12-31	2013-05-08
6407/4-1	1265.000000	1430.000000	KAI FM	FORMATION	NORDLAND GP	490	77	113	9999-12-31	2013-05-08
6407/4-1	2598.000000	3010.000000	KVITNOS FM	FORMATION	SHETLAND GP	490	91	143	9999-12-31	2013-05-08
6407/4-1	3010.000000	3682.000000	LANGE FM	FORMATION	CROMER KNOLL GP	490	94	23	9999-12-31	2013-05-08
6407/4-1	3682.000000	3710.000000	LYR FM	FORMATION	CROMER KNOLL GP	490	98	23	9999-12-31	2013-05-08
6407/4-1	3772.000000	3890.000000	MELKE FM	FORMATION	VIKING GP	490	105	188	9999-12-31	2013-05-08
6407/4-1	247.000000	1265.000000	NAUST FM	FORMATION	NORDLAND GP	490	109	113	9999-12-31	2013-05-08
6407/4-1	2422.000000	2598.000000	NISE FM	FORMATION	SHETLAND GP	490	112	143	9999-12-31	2013-05-08
6407/4-1	247.000000	1430.000000	NORDLAND GP	GROUP	\N	490	113	\N	9999-12-31	2013-05-08
6407/4-1	3969.000000	4021.000000	NOT FM	FORMATION	FANGST GP	490	120	38	9999-12-31	2013-05-08
6407/4-1	2098.000000	2265.000000	ROGALAND GP	GROUP	\N	490	131	\N	9999-12-31	2013-05-08
6407/4-1	4106.000000	4150.000000	ROR FM	FORMATION	BÅT GP	490	135	22	9999-12-31	2013-05-08
6407/4-1	4209.000000	4272.000000	ROR FM	FORMATION	BÅT GP	490	135	22	9999-12-31	2013-05-08
6407/4-1	2265.000000	3010.000000	SHETLAND GP	GROUP	\N	490	143	\N	9999-12-31	2013-05-08
6407/4-1	3710.000000	3772.000000	SPEKK FM	FORMATION	VIKING GP	490	155	188	9999-12-31	2013-05-08
6407/4-1	2265.000000	2422.000000	SPRINGAR FM	FORMATION	SHETLAND GP	490	156	143	9999-12-31	2013-05-08
6407/4-1	2174.000000	2265.000000	TANG FM	FORMATION	ROGALAND GP	490	161	131	9999-12-31	2013-05-08
6407/4-1	2098.000000	2174.000000	TARE FM	FORMATION	ROGALAND GP	490	163	131	9999-12-31	2013-05-08
6407/4-1	4272.000000	4500.000000	TILJE FM	FORMATION	BÅT GP	490	169	22	9999-12-31	2013-05-08
6407/4-1	4150.000000	4209.000000	TOFTE FM	FORMATION	BÅT GP	490	170	22	9999-12-31	2013-05-08
6407/4-1	3710.000000	3890.000000	VIKING GP	GROUP	\N	490	188	\N	9999-12-31	2013-05-08
6407/4-1	4500.000000	4835.000000	ÅRE FM	FORMATION	BÅT GP	490	197	22	9999-12-31	2013-05-08
35/3-3	575.000000	900.000000	HORDALAND GP	GROUP	\N	491	67	\N	9999-12-31	2013-05-08
35/3-3	575.000000	900.000000	NO FORMAL NAME	FORMATION	\N	491	111	\N	9999-12-31	2013-05-08
35/3-3	277.000000	575.000000	NORDLAND GP	GROUP	\N	491	113	\N	9999-12-31	2013-05-08
6407/9-5	787.000000	1305.000000	BRYGGE FM	FORMATION	HORDALAND GP	492	18	67	9999-12-31	2013-05-08
6407/9-5	1579.000000	1619.000000	CROMER KNOLL GP	GROUP	\N	492	23	\N	9999-12-31	2013-05-08
6407/9-5	1733.000000	1820.000000	FANGST GP	GROUP	\N	492	38	\N	9999-12-31	2013-05-08
6407/9-5	1733.000000	1793.000000	GARN FM	FORMATION	FANGST GP	492	48	38	9999-12-31	2013-05-08
6407/9-5	787.000000	1305.000000	HORDALAND GP	GROUP	\N	492	67	\N	9999-12-31	2013-05-08
6407/9-5	319.000000	670.000000	NAUST FM	FORMATION	NORDLAND GP	492	109	113	9999-12-31	2013-05-08
6407/9-5	319.000000	787.000000	NORDLAND GP	GROUP	\N	492	113	\N	9999-12-31	2013-05-08
6407/9-5	1793.000000	1820.000000	NOT FM	FORMATION	FANGST GP	492	120	38	9999-12-31	2013-05-08
6407/9-5	1305.000000	1530.000000	ROGALAND GP	GROUP	\N	492	131	\N	9999-12-31	2013-05-08
6407/9-5	1654.000000	1705.000000	ROGN FM	FORMATION	VIKING GP	492	134	188	9999-12-31	2013-05-08
6407/9-5	1530.000000	1579.000000	SHETLAND GP	GROUP	\N	492	143	\N	9999-12-31	2013-05-08
6407/9-5	1619.000000	1654.000000	SPEKK FM	FORMATION	VIKING GP	492	155	188	9999-12-31	2013-05-08
6407/9-5	1705.000000	1733.000000	SPEKK FM	FORMATION	VIKING GP	492	155	188	9999-12-31	2013-05-08
6407/9-5	1347.000000	1530.000000	TANG FM	FORMATION	ROGALAND GP	492	161	131	9999-12-31	2013-05-08
6407/9-5	1305.000000	1347.000000	TARE FM	FORMATION	ROGALAND GP	492	163	131	9999-12-31	2013-05-08
6407/9-5	1619.000000	1733.000000	VIKING GP	GROUP	\N	492	188	\N	9999-12-31	2013-05-08
6407/9-5	670.000000	787.000000	MOLO FM	FORMATION	NORDLAND GP	492	209	113	9999-12-31	2013-05-08
31/6-8 R	985.000000	1112.000000	BALDER FM	FORMATION	ROGALAND GP	493	6	131	9999-12-31	2013-05-08
31/6-8 R	1985.000000	2008.000000	BRENT GP	GROUP	\N	493	16	\N	9999-12-31	2013-05-08
31/6-8 R	1371.000000	1412.000000	CROMER KNOLL GP	GROUP	\N	493	23	\N	9999-12-31	2013-05-08
31/6-8 R	2025.000000	2138.000000	COOK FM	FORMATION	DUNLIN GP	493	24	29	9999-12-31	2013-05-08
31/6-8 R	2008.000000	2025.000000	DRAKE FM	FORMATION	DUNLIN GP	493	27	29	9999-12-31	2013-05-08
31/6-8 R	1412.000000	1485.000000	DRAUPNE FM	FORMATION	VIKING GP	493	28	188	9999-12-31	2013-05-08
31/6-8 R	2008.000000	2138.000000	DUNLIN GP	GROUP	\N	493	29	\N	9999-12-31	2013-05-08
31/6-8 R	1705.000000	1927.000000	FENSFJORD FM	FORMATION	VIKING GP	493	40	188	9999-12-31	2013-05-08
31/6-8 R	1256.000000	1264.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	493	56	143	9999-12-31	2013-05-08
31/6-8 R	1485.000000	1507.000000	HEATHER FM	FORMATION	VIKING GP	493	60	188	9999-12-31	2013-05-08
31/6-8 R	1661.000000	1705.000000	HEATHER FM	FORMATION	VIKING GP	493	60	188	9999-12-31	2013-05-08
31/6-8 R	1965.000000	1985.000000	HEATHER FM	FORMATION	VIKING GP	493	60	188	9999-12-31	2013-05-08
31/6-8 R	538.000000	985.000000	HORDALAND GP	GROUP	\N	493	67	\N	9999-12-31	2013-05-08
31/6-8 R	1927.000000	1965.000000	KROSSFJORD FM	FORMATION	VIKING GP	493	87	188	9999-12-31	2013-05-08
31/6-8 R	1224.000000	1256.000000	LISTA FM	FORMATION	ROGALAND GP	493	95	131	9999-12-31	2013-05-08
31/6-8 R	325.000000	538.000000	NORDLAND GP	GROUP	\N	493	113	\N	9999-12-31	2013-05-08
31/6-8 R	985.000000	1256.000000	ROGALAND GP	GROUP	\N	493	131	\N	9999-12-31	2013-05-08
31/6-8 R	1371.000000	1385.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	493	137	23	9999-12-31	2013-05-08
31/6-8 R	1112.000000	1224.000000	SELE FM	FORMATION	ROGALAND GP	493	142	131	9999-12-31	2013-05-08
31/6-8 R	1256.000000	1371.000000	SHETLAND GP	GROUP	\N	493	143	\N	9999-12-31	2013-05-08
31/6-8 R	1507.000000	1661.000000	SOGNEFJORD FM	FORMATION	VIKING GP	493	151	188	9999-12-31	2013-05-08
31/6-8 R	1264.000000	1371.000000	UNDIFFERENTIATED	FORMATION	\N	493	182	\N	9999-12-31	2013-05-08
31/6-8 R	1412.000000	1985.000000	VIKING GP	GROUP	\N	493	188	\N	9999-12-31	2013-05-08
31/6-8 R	1385.000000	1412.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	493	198	23	9999-12-31	2013-05-08
34/10-16 R	3622.000000	3796.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	494	4	29	9999-12-31	2013-05-08
34/10-16 R	1852.000000	1925.000000	BALDER FM	FORMATION	ROGALAND GP	494	6	131	9999-12-31	2013-05-08
34/10-16 R	3168.000000	3472.000000	BRENT GP	GROUP	\N	494	16	\N	9999-12-31	2013-05-08
34/10-16 R	3599.000000	3622.000000	BURTON FM	FORMATION	DUNLIN GP	494	20	29	9999-12-31	2013-05-08
34/10-16 R	2975.000000	3014.000000	CROMER KNOLL GP	GROUP	\N	494	23	\N	9999-12-31	2013-05-08
34/10-16 R	3553.000000	3599.000000	COOK FM	FORMATION	DUNLIN GP	494	24	29	9999-12-31	2013-05-08
34/10-16 R	3472.000000	3553.000000	DRAKE FM	FORMATION	DUNLIN GP	494	27	29	9999-12-31	2013-05-08
34/10-16 R	3014.000000	3027.000000	DRAUPNE FM	FORMATION	VIKING GP	494	28	188	9999-12-31	2013-05-08
34/10-16 R	3472.000000	3796.000000	DUNLIN GP	GROUP	\N	494	29	\N	9999-12-31	2013-05-08
34/10-16 R	3396.000000	3409.000000	ETIVE FM	FORMATION	BRENT GP	494	35	16	9999-12-31	2013-05-08
34/10-16 R	3027.000000	3168.000000	HEATHER FM	FORMATION	VIKING GP	494	60	188	9999-12-31	2013-05-08
34/10-16 R	4007.000000	4039.000000	HEGRE GP	GROUP	\N	494	61	\N	9999-12-31	2013-05-08
34/10-16 R	1042.000000	1852.000000	HORDALAND GP	GROUP	\N	494	67	\N	9999-12-31	2013-05-08
34/10-16 R	2059.000000	2352.000000	JORSALFARE FM	FORMATION	SHETLAND GP	494	74	143	9999-12-31	2013-05-08
34/10-16 R	2352.000000	2975.000000	KYRRE FM	FORMATION	SHETLAND GP	494	92	143	9999-12-31	2013-05-08
34/10-16 R	1925.000000	2059.000000	LISTA FM	FORMATION	ROGALAND GP	494	95	131	9999-12-31	2013-05-08
34/10-16 R	4007.000000	4039.000000	LUNDE FM	FORMATION	HEGRE GP	494	97	61	9999-12-31	2013-05-08
34/10-16 R	3214.000000	3396.000000	NESS FM	FORMATION	BRENT GP	494	110	16	9999-12-31	2013-05-08
34/10-16 R	999.000000	1042.000000	NO FORMAL NAME	FORMATION	\N	494	111	\N	9999-12-31	2013-05-08
34/10-16 R	1165.000000	1184.000000	NO FORMAL NAME	FORMATION	\N	494	111	\N	9999-12-31	2013-05-08
34/10-16 R	1184.000000	1220.000000	NO FORMAL NAME	FORMATION	\N	494	111	\N	9999-12-31	2013-05-08
34/10-16 R	1220.000000	1597.000000	NO FORMAL NAME	FORMATION	\N	494	111	\N	9999-12-31	2013-05-08
34/10-16 R	1597.000000	1852.000000	NO FORMAL NAME	FORMATION	\N	494	111	\N	9999-12-31	2013-05-08
34/10-16 R	160.000000	1042.000000	NORDLAND GP	GROUP	\N	494	113	\N	9999-12-31	2013-05-08
34/10-16 R	3409.000000	3472.000000	RANNOCH FM	FORMATION	BRENT GP	494	126	16	9999-12-31	2013-05-08
34/10-16 R	1852.000000	2059.000000	ROGALAND GP	GROUP	\N	494	131	\N	9999-12-31	2013-05-08
34/10-16 R	2975.000000	2981.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	494	137	23	9999-12-31	2013-05-08
34/10-16 R	2059.000000	2975.000000	SHETLAND GP	GROUP	\N	494	143	\N	9999-12-31	2013-05-08
34/10-16 R	2981.000000	2987.000000	SOLA FM	FORMATION	CROMER KNOLL GP	494	152	23	9999-12-31	2013-05-08
34/10-16 R	3796.000000	4007.000000	STATFJORD FM	FORMATION	\N	494	157	\N	9999-12-31	2013-05-08
34/10-16 R	3168.000000	3214.000000	TARBERT FM	FORMATION	BRENT GP	494	162	16	9999-12-31	2013-05-08
34/10-16 R	855.000000	999.000000	UTSIRA FM	FORMATION	NORDLAND GP	494	183	113	9999-12-31	2013-05-08
34/10-16 R	3014.000000	3168.000000	VIKING GP	GROUP	\N	494	188	\N	9999-12-31	2013-05-08
34/10-16 R	2987.000000	3014.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	494	198	23	9999-12-31	2013-05-08
34/10-16 R	3796.000000	4007.000000	NO GROUP DEFINED	GROUP	\N	494	208	\N	9999-12-31	2013-05-08
34/10-9 R	2214.000000	2375.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	495	4	29	9999-12-31	2013-05-08
34/10-9 R	1510.000000	1575.000000	BALDER FM	FORMATION	ROGALAND GP	495	6	131	9999-12-31	2013-05-08
34/10-9 R	1833.000000	1957.000000	BRENT GP	GROUP	\N	495	16	\N	9999-12-31	2013-05-08
34/10-9 R	1945.000000	1957.000000	BROOM FM	FORMATION	BRENT GP	495	17	16	9999-12-31	2013-05-08
34/10-9 R	2203.000000	2214.000000	BURTON FM	FORMATION	DUNLIN GP	495	20	29	9999-12-31	2013-05-08
34/10-9 R	2083.000000	2203.000000	COOK FM	FORMATION	DUNLIN GP	495	24	29	9999-12-31	2013-05-08
34/10-9 R	1957.000000	2083.000000	DRAKE FM	FORMATION	DUNLIN GP	495	27	29	9999-12-31	2013-05-08
34/10-9 R	1957.000000	2375.000000	DUNLIN GP	GROUP	\N	495	29	\N	9999-12-31	2013-05-08
34/10-9 R	1836.000000	1867.000000	ETIVE FM	FORMATION	BRENT GP	495	35	16	9999-12-31	2013-05-08
34/10-9 R	990.000000	1510.000000	HORDALAND GP	GROUP	\N	495	67	\N	9999-12-31	2013-05-08
34/10-9 R	1696.000000	1767.000000	JORSALFARE FM	FORMATION	SHETLAND GP	495	74	143	9999-12-31	2013-05-08
34/10-9 R	1767.000000	1833.000000	KYRRE FM	FORMATION	SHETLAND GP	495	92	143	9999-12-31	2013-05-08
34/10-9 R	1575.000000	1696.000000	LISTA FM	FORMATION	ROGALAND GP	495	95	131	9999-12-31	2013-05-08
34/10-9 R	2375.000000	2421.000000	NANSEN MBR	MEMBER	STATFJORD FM	495	108	157	9999-12-31	2013-05-08
34/10-9 R	1833.000000	1836.000000	NESS FM	FORMATION	BRENT GP	495	110	16	9999-12-31	2013-05-08
34/10-9 R	945.000000	990.000000	NO FORMAL NAME	FORMATION	\N	495	111	\N	9999-12-31	2013-05-08
34/10-9 R	1163.000000	1362.000000	NO FORMAL NAME	FORMATION	\N	495	111	\N	9999-12-31	2013-05-08
34/10-9 R	1362.000000	1510.000000	NO FORMAL NAME	FORMATION	\N	495	111	\N	9999-12-31	2013-05-08
34/10-9 R	227.000000	990.000000	NORDLAND GP	GROUP	\N	495	113	\N	9999-12-31	2013-05-08
34/10-9 R	1867.000000	1945.000000	RANNOCH FM	FORMATION	BRENT GP	495	126	16	9999-12-31	2013-05-08
34/10-9 R	1510.000000	1696.000000	ROGALAND GP	GROUP	\N	495	131	\N	9999-12-31	2013-05-08
34/10-9 R	1696.000000	1833.000000	SHETLAND GP	GROUP	\N	495	143	\N	9999-12-31	2013-05-08
34/10-9 R	2375.000000	2421.000000	STATFJORD FM	FORMATION	\N	495	157	\N	9999-12-31	2013-05-08
34/10-9 R	921.000000	945.000000	UTSIRA FM	FORMATION	NORDLAND GP	495	183	113	9999-12-31	2013-05-08
34/10-9 R	2375.000000	2421.000000	NO GROUP DEFINED	GROUP	\N	495	208	\N	9999-12-31	2013-05-08
34/10-7 R	1942.000000	2050.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	496	4	29	9999-12-31	2013-05-08
34/10-7 R	1512.000000	1565.000000	BALDER FM	FORMATION	ROGALAND GP	496	6	131	9999-12-31	2013-05-08
34/10-7 R	1934.000000	1942.000000	BURTON FM	FORMATION	DUNLIN GP	496	20	29	9999-12-31	2013-05-08
34/10-7 R	1807.000000	1934.000000	COOK FM	FORMATION	DUNLIN GP	496	24	29	9999-12-31	2013-05-08
34/10-7 R	1807.000000	2050.000000	DUNLIN GP	GROUP	\N	496	29	\N	9999-12-31	2013-05-08
34/10-7 R	2177.000000	2247.000000	HEGRE GP	GROUP	\N	496	61	\N	9999-12-31	2013-05-08
34/10-7 R	962.000000	1512.000000	HORDALAND GP	GROUP	\N	496	67	\N	9999-12-31	2013-05-08
34/10-7 R	1663.000000	1747.000000	JORSALFARE FM	FORMATION	SHETLAND GP	496	74	143	9999-12-31	2013-05-08
34/10-7 R	1747.000000	1807.000000	KYRRE FM	FORMATION	SHETLAND GP	496	92	143	9999-12-31	2013-05-08
34/10-7 R	1565.000000	1663.000000	LISTA FM	FORMATION	ROGALAND GP	496	95	131	9999-12-31	2013-05-08
34/10-7 R	2177.000000	2247.000000	LUNDE FM	FORMATION	HEGRE GP	496	97	61	9999-12-31	2013-05-08
34/10-7 R	2050.000000	2137.000000	NANSEN MBR	MEMBER	STATFJORD FM	496	108	157	9999-12-31	2013-05-08
34/10-7 R	931.000000	962.000000	NO FORMAL NAME	FORMATION	\N	496	111	\N	9999-12-31	2013-05-08
34/10-7 R	1012.000000	1060.000000	NO FORMAL NAME	FORMATION	\N	496	111	\N	9999-12-31	2013-05-08
34/10-7 R	1060.000000	1097.000000	NO FORMAL NAME	FORMATION	\N	496	111	\N	9999-12-31	2013-05-08
34/10-7 R	1097.000000	1127.000000	NO FORMAL NAME	FORMATION	\N	496	111	\N	9999-12-31	2013-05-08
34/10-7 R	1127.000000	1177.000000	NO FORMAL NAME	FORMATION	\N	496	111	\N	9999-12-31	2013-05-08
34/10-7 R	1177.000000	1305.000000	NO FORMAL NAME	FORMATION	\N	496	111	\N	9999-12-31	2013-05-08
34/10-7 R	1305.000000	1512.000000	NO FORMAL NAME	FORMATION	\N	496	111	\N	9999-12-31	2013-05-08
34/10-7 R	226.000000	962.000000	NORDLAND GP	GROUP	\N	496	113	\N	9999-12-31	2013-05-08
34/10-7 R	2137.000000	2177.000000	RAUDE MBR	MEMBER	STATFJORD FM	496	127	157	9999-12-31	2013-05-08
34/10-7 R	1512.000000	1663.000000	ROGALAND GP	GROUP	\N	496	131	\N	9999-12-31	2013-05-08
34/10-7 R	1663.000000	1807.000000	SHETLAND GP	GROUP	\N	496	143	\N	9999-12-31	2013-05-08
34/10-7 R	2050.000000	2177.000000	STATFJORD FM	FORMATION	\N	496	157	\N	9999-12-31	2013-05-08
34/10-7 R	892.000000	931.000000	UTSIRA FM	FORMATION	NORDLAND GP	496	183	113	9999-12-31	2013-05-08
34/10-7 R	2050.000000	2177.000000	NO GROUP DEFINED	GROUP	\N	496	208	\N	9999-12-31	2013-05-08
34/2-2 R	3705.000000	3840.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	497	4	29	9999-12-31	2013-05-08
34/2-2 R	1864.000000	1907.000000	BALDER FM	FORMATION	ROGALAND GP	497	6	131	9999-12-31	2013-05-08
34/2-2 R	3111.000000	3147.000000	BLODØKS FM	FORMATION	SHETLAND GP	497	13	143	9999-12-31	2013-05-08
34/2-2 R	3683.000000	3705.000000	BURTON FM	FORMATION	DUNLIN GP	497	20	29	9999-12-31	2013-05-08
34/2-2 R	3203.000000	3378.000000	CROMER KNOLL GP	GROUP	\N	497	23	\N	9999-12-31	2013-05-08
34/2-2 R	3619.000000	3683.000000	COOK FM	FORMATION	DUNLIN GP	497	24	29	9999-12-31	2013-05-08
34/2-2 R	3520.000000	3619.000000	DRAKE FM	FORMATION	DUNLIN GP	497	27	29	9999-12-31	2013-05-08
34/2-2 R	3520.000000	3840.000000	DUNLIN GP	GROUP	\N	497	29	\N	9999-12-31	2013-05-08
34/2-2 R	3865.000000	3957.000000	EIRIKSSON MBR	MEMBER	STATFJORD FM	497	32	157	9999-12-31	2013-05-08
34/2-2 R	3378.000000	3460.000000	HEATHER FM	FORMATION	VIKING GP	497	60	188	9999-12-31	2013-05-08
34/2-2 R	1417.000000	1864.000000	HORDALAND GP	GROUP	\N	497	67	\N	9999-12-31	2013-05-08
34/2-2 R	1985.000000	2193.000000	JORSALFARE FM	FORMATION	SHETLAND GP	497	74	143	9999-12-31	2013-05-08
34/2-2 R	2193.000000	2970.000000	KYRRE FM	FORMATION	SHETLAND GP	497	92	143	9999-12-31	2013-05-08
34/2-2 R	1907.000000	1985.000000	LISTA FM	FORMATION	ROGALAND GP	497	95	131	9999-12-31	2013-05-08
34/2-2 R	3375.000000	3378.000000	MIME FM	FORMATION	CROMER KNOLL GP	497	106	23	9999-12-31	2013-05-08
34/2-2 R	3840.000000	3865.000000	NANSEN MBR	MEMBER	STATFJORD FM	497	108	157	9999-12-31	2013-05-08
34/2-2 R	1587.000000	1604.000000	NO FORMAL NAME	FORMATION	\N	497	111	\N	9999-12-31	2013-05-08
34/2-2 R	1604.000000	1864.000000	NO FORMAL NAME	FORMATION	\N	497	111	\N	9999-12-31	2013-05-08
34/2-2 R	3460.000000	3520.000000	NO FORMAL NAME	FORMATION	\N	497	111	\N	9999-12-31	2013-05-08
34/2-2 R	412.000000	1417.000000	NORDLAND GP	GROUP	\N	497	113	\N	9999-12-31	2013-05-08
34/2-2 R	3957.000000	4074.000000	RAUDE MBR	MEMBER	STATFJORD FM	497	127	157	9999-12-31	2013-05-08
34/2-2 R	1864.000000	1985.000000	ROGALAND GP	GROUP	\N	497	131	\N	9999-12-31	2013-05-08
34/2-2 R	3203.000000	3345.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	497	137	23	9999-12-31	2013-05-08
34/2-2 R	1985.000000	3203.000000	SHETLAND GP	GROUP	\N	497	143	\N	9999-12-31	2013-05-08
34/2-2 R	3345.000000	3370.000000	SOLA FM	FORMATION	CROMER KNOLL GP	497	152	23	9999-12-31	2013-05-08
34/2-2 R	3840.000000	4074.000000	STATFJORD FM	FORMATION	\N	497	157	\N	9999-12-31	2013-05-08
34/2-2 R	3147.000000	3203.000000	SVARTE FM	FORMATION	SHETLAND GP	497	160	143	9999-12-31	2013-05-08
34/2-2 R	2970.000000	3111.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	497	173	143	9999-12-31	2013-05-08
34/2-2 R	1330.000000	1417.000000	UTSIRA FM	FORMATION	NORDLAND GP	497	183	113	9999-12-31	2013-05-08
34/2-2 R	3378.000000	3520.000000	VIKING GP	GROUP	\N	497	188	\N	9999-12-31	2013-05-08
34/2-2 R	3370.000000	3375.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	497	198	23	9999-12-31	2013-05-08
34/2-2 R	3840.000000	4074.000000	NO GROUP DEFINED	GROUP	\N	497	208	\N	9999-12-31	2013-05-08
31/6-2 R	2138.000000	2164.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	498	4	29	9999-12-31	2013-05-08
31/6-2 R	626.000000	776.000000	BALDER FM	FORMATION	ROGALAND GP	498	6	131	9999-12-31	2013-05-08
31/6-2 R	1931.000000	1975.000000	BRENT GP	GROUP	\N	498	16	\N	9999-12-31	2013-05-08
31/6-2 R	1128.000000	1322.000000	CROMER KNOLL GP	GROUP	\N	498	23	\N	9999-12-31	2013-05-08
31/6-2 R	1975.000000	2055.000000	DRAKE FM	FORMATION	DUNLIN GP	498	27	29	9999-12-31	2013-05-08
31/6-2 R	1322.000000	1435.000000	DRAUPNE FM	FORMATION	VIKING GP	498	28	188	9999-12-31	2013-05-08
31/6-2 R	1975.000000	2164.000000	DUNLIN GP	GROUP	\N	498	29	\N	9999-12-31	2013-05-08
31/6-2 R	1642.000000	1875.000000	FENSFJORD FM	FORMATION	VIKING GP	498	40	188	9999-12-31	2013-05-08
31/6-2 R	968.000000	978.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	498	56	143	9999-12-31	2013-05-08
31/6-2 R	1435.000000	1460.000000	HEATHER FM	FORMATION	VIKING GP	498	60	188	9999-12-31	2013-05-08
31/6-2 R	1625.000000	1642.000000	HEATHER FM	FORMATION	VIKING GP	498	60	188	9999-12-31	2013-05-08
31/6-2 R	1910.000000	1931.000000	HEATHER FM	FORMATION	VIKING GP	498	60	188	9999-12-31	2013-05-08
31/6-2 R	2198.000000	2235.000000	HEGRE GP	GROUP	\N	498	61	\N	9999-12-31	2013-05-08
31/6-2 R	505.000000	626.000000	HORDALAND GP	GROUP	\N	498	67	\N	9999-12-31	2013-05-08
31/6-2 R	2055.000000	2138.000000	JOHANSEN FM	FORMATION	DUNLIN GP	498	73	29	9999-12-31	2013-05-08
31/6-2 R	1875.000000	1910.000000	KROSSFJORD FM	FORMATION	VIKING GP	498	87	188	9999-12-31	2013-05-08
31/6-2 R	885.000000	968.000000	LISTA FM	FORMATION	ROGALAND GP	498	95	131	9999-12-31	2013-05-08
31/6-2 R	326.000000	505.000000	NORDLAND GP	GROUP	\N	498	113	\N	9999-12-31	2013-05-08
31/6-2 R	626.000000	968.000000	ROGALAND GP	GROUP	\N	498	131	\N	9999-12-31	2013-05-08
31/6-2 R	1128.000000	1223.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	498	137	23	9999-12-31	2013-05-08
31/6-2 R	776.000000	885.000000	SELE FM	FORMATION	ROGALAND GP	498	142	131	9999-12-31	2013-05-08
31/6-2 R	968.000000	1128.000000	SHETLAND GP	GROUP	\N	498	143	\N	9999-12-31	2013-05-08
31/6-2 R	1460.000000	1625.000000	SOGNEFJORD FM	FORMATION	VIKING GP	498	151	188	9999-12-31	2013-05-08
31/6-2 R	2164.000000	2198.000000	STATFJORD FM	FORMATION	\N	498	157	\N	9999-12-31	2013-05-08
31/6-2 R	978.000000	1128.000000	UNDIFFERENTIATED	FORMATION	\N	498	182	\N	9999-12-31	2013-05-08
31/6-2 R	1322.000000	1931.000000	VIKING GP	GROUP	\N	498	188	\N	9999-12-31	2013-05-08
31/6-2 R	1223.000000	1322.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	498	198	23	9999-12-31	2013-05-08
31/6-2 R	2164.000000	2198.000000	NO GROUP DEFINED	GROUP	\N	498	208	\N	9999-12-31	2013-05-08
31/5-2 R	2194.000000	2225.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	499	4	29	9999-12-31	2013-05-08
31/5-2 R	2323.000000	2336.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	499	4	29	9999-12-31	2013-05-08
31/5-2 R	1210.000000	1286.000000	BALDER FM	FORMATION	ROGALAND GP	499	6	131	9999-12-31	2013-05-08
31/5-2 R	1957.000000	2036.000000	BRENT GP	GROUP	\N	499	16	\N	9999-12-31	2013-05-08
31/5-2 R	1450.000000	1475.000000	CROMER KNOLL GP	GROUP	\N	499	23	\N	9999-12-31	2013-05-08
31/5-2 R	2176.000000	2194.000000	COOK FM	FORMATION	DUNLIN GP	499	24	29	9999-12-31	2013-05-08
31/5-2 R	1516.000000	1521.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	499	26	188	9999-12-31	2013-05-08
31/5-2 R	2036.000000	2176.000000	DRAKE FM	FORMATION	DUNLIN GP	499	27	29	9999-12-31	2013-05-08
31/5-2 R	1475.000000	1516.000000	DRAUPNE FM	FORMATION	VIKING GP	499	28	188	9999-12-31	2013-05-08
31/5-2 R	2036.000000	2336.000000	DUNLIN GP	GROUP	\N	499	29	\N	9999-12-31	2013-05-08
31/5-2 R	1674.000000	1826.000000	FENSFJORD FM	FORMATION	VIKING GP	499	40	188	9999-12-31	2013-05-08
31/5-2 R	1432.000000	1441.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	499	56	143	9999-12-31	2013-05-08
31/5-2 R	1642.000000	1674.000000	HEATHER FM	FORMATION	VIKING GP	499	60	188	9999-12-31	2013-05-08
31/5-2 R	1908.000000	1957.000000	HEATHER FM	FORMATION	VIKING GP	499	60	188	9999-12-31	2013-05-08
31/5-2 R	2393.000000	2500.000000	HEGRE GP	GROUP	\N	499	61	\N	9999-12-31	2013-05-08
31/5-2 R	670.000000	1210.000000	HORDALAND GP	GROUP	\N	499	67	\N	9999-12-31	2013-05-08
31/5-2 R	2225.000000	2323.000000	JOHANSEN FM	FORMATION	DUNLIN GP	499	73	29	9999-12-31	2013-05-08
31/5-2 R	1826.000000	1908.000000	KROSSFJORD FM	FORMATION	VIKING GP	499	87	188	9999-12-31	2013-05-08
31/5-2 R	1382.000000	1432.000000	LISTA FM	FORMATION	ROGALAND GP	499	95	131	9999-12-31	2013-05-08
31/5-2 R	342.000000	670.000000	NORDLAND GP	GROUP	\N	499	113	\N	9999-12-31	2013-05-08
31/5-2 R	1210.000000	1432.000000	ROGALAND GP	GROUP	\N	499	131	\N	9999-12-31	2013-05-08
31/5-2 R	1450.000000	1465.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	499	137	23	9999-12-31	2013-05-08
31/5-2 R	1286.000000	1382.000000	SELE FM	FORMATION	ROGALAND GP	499	142	131	9999-12-31	2013-05-08
31/5-2 R	1432.000000	1450.000000	SHETLAND GP	GROUP	\N	499	143	\N	9999-12-31	2013-05-08
31/5-2 R	1521.000000	1642.000000	SOGNEFJORD FM	FORMATION	VIKING GP	499	151	188	9999-12-31	2013-05-08
31/5-2 R	2336.000000	2393.000000	STATFJORD FM	FORMATION	\N	499	157	\N	9999-12-31	2013-05-08
31/5-2 R	1441.000000	1450.000000	UNDIFFERENTIATED	FORMATION	\N	499	182	\N	9999-12-31	2013-05-08
31/5-2 R	1475.000000	1957.000000	VIKING GP	GROUP	\N	499	188	\N	9999-12-31	2013-05-08
31/5-2 R	1465.000000	1475.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	499	198	23	9999-12-31	2013-05-08
31/5-2 R	2336.000000	2393.000000	NO GROUP DEFINED	GROUP	\N	499	208	\N	9999-12-31	2013-05-08
31/2-5 R	2270.000000	2301.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	500	4	29	9999-12-31	2013-05-08
31/2-5 R	2380.000000	2397.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	500	4	29	9999-12-31	2013-05-08
31/2-5 R	1338.000000	1389.000000	BALDER FM	FORMATION	ROGALAND GP	500	6	131	9999-12-31	2013-05-08
31/2-5 R	1950.000000	2063.000000	BRENT GP	GROUP	\N	500	16	\N	9999-12-31	2013-05-08
31/2-5 R	2194.000000	2270.000000	COOK FM	FORMATION	DUNLIN GP	500	24	29	9999-12-31	2013-05-08
31/2-5 R	2063.000000	2194.000000	DRAKE FM	FORMATION	DUNLIN GP	500	27	29	9999-12-31	2013-05-08
31/2-5 R	2063.000000	2397.000000	DUNLIN GP	GROUP	\N	500	29	\N	9999-12-31	2013-05-08
31/2-5 R	1686.000000	1782.000000	FENSFJORD FM	FORMATION	VIKING GP	500	40	188	9999-12-31	2013-05-08
31/2-5 R	1610.000000	1686.000000	HEATHER FM	FORMATION	VIKING GP	500	60	188	9999-12-31	2013-05-08
31/2-5 R	1853.000000	1950.000000	HEATHER FM	FORMATION	VIKING GP	500	60	188	9999-12-31	2013-05-08
31/2-5 R	2464.000000	2525.000000	HEGRE GP	GROUP	\N	500	61	\N	9999-12-31	2013-05-08
31/2-5 R	781.000000	1338.000000	HORDALAND GP	GROUP	\N	500	67	\N	9999-12-31	2013-05-08
31/2-5 R	2301.000000	2380.000000	JOHANSEN FM	FORMATION	DUNLIN GP	500	73	29	9999-12-31	2013-05-08
31/2-5 R	1782.000000	1853.000000	KROSSFJORD FM	FORMATION	VIKING GP	500	87	188	9999-12-31	2013-05-08
31/2-5 R	1419.000000	1526.000000	LISTA FM	FORMATION	ROGALAND GP	500	95	131	9999-12-31	2013-05-08
31/2-5 R	781.000000	808.000000	NO FORMAL NAME	FORMATION	\N	500	111	\N	9999-12-31	2013-05-08
31/2-5 R	808.000000	1338.000000	NO FORMAL NAME	FORMATION	\N	500	111	\N	9999-12-31	2013-05-08
31/2-5 R	358.000000	781.000000	NORDLAND GP	GROUP	\N	500	113	\N	9999-12-31	2013-05-08
31/2-5 R	1338.000000	1526.000000	ROGALAND GP	GROUP	\N	500	131	\N	9999-12-31	2013-05-08
31/2-5 R	1389.000000	1419.000000	SELE FM	FORMATION	ROGALAND GP	500	142	131	9999-12-31	2013-05-08
31/2-5 R	1526.000000	1529.000000	SHETLAND GP	GROUP	\N	500	143	\N	9999-12-31	2013-05-08
31/2-5 R	1529.000000	1610.000000	SOGNEFJORD FM	FORMATION	VIKING GP	500	151	188	9999-12-31	2013-05-08
31/2-5 R	2397.000000	2464.000000	STATFJORD FM	FORMATION	\N	500	157	\N	9999-12-31	2013-05-08
31/2-5 R	1529.000000	1950.000000	VIKING GP	GROUP	\N	500	188	\N	9999-12-31	2013-05-08
31/2-5 R	2397.000000	2464.000000	NO GROUP DEFINED	GROUP	\N	500	208	\N	9999-12-31	2013-05-08
31/2-5 R2	2270.000000	2301.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	501	4	29	9999-12-31	2013-05-08
31/2-5 R2	2380.000000	2397.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	501	4	29	9999-12-31	2013-05-08
31/2-5 R2	1338.000000	1389.000000	BALDER FM	FORMATION	ROGALAND GP	501	6	131	9999-12-31	2013-05-08
31/2-5 R2	1950.000000	2063.000000	BRENT GP	GROUP	\N	501	16	\N	9999-12-31	2013-05-08
31/2-5 R2	2194.000000	2270.000000	COOK FM	FORMATION	DUNLIN GP	501	24	29	9999-12-31	2013-05-08
31/2-5 R2	2063.000000	2194.000000	DRAKE FM	FORMATION	DUNLIN GP	501	27	29	9999-12-31	2013-05-08
31/2-5 R2	2063.000000	2397.000000	DUNLIN GP	GROUP	\N	501	29	\N	9999-12-31	2013-05-08
31/2-5 R2	1686.000000	1782.000000	FENSFJORD FM	FORMATION	VIKING GP	501	40	188	9999-12-31	2013-05-08
31/2-5 R2	1610.000000	1686.000000	HEATHER FM	FORMATION	VIKING GP	501	60	188	9999-12-31	2013-05-08
31/2-5 R2	1853.000000	1950.000000	HEATHER FM	FORMATION	VIKING GP	501	60	188	9999-12-31	2013-05-08
31/2-5 R2	2464.000000	2525.000000	HEGRE GP	GROUP	\N	501	61	\N	9999-12-31	2013-05-08
31/2-5 R2	781.000000	1338.000000	HORDALAND GP	GROUP	\N	501	67	\N	9999-12-31	2013-05-08
31/2-5 R2	2301.000000	2380.000000	JOHANSEN FM	FORMATION	DUNLIN GP	501	73	29	9999-12-31	2013-05-08
31/2-5 R2	1782.000000	1853.000000	KROSSFJORD FM	FORMATION	VIKING GP	501	87	188	9999-12-31	2013-05-08
31/2-5 R2	1419.000000	1526.000000	LISTA FM	FORMATION	ROGALAND GP	501	95	131	9999-12-31	2013-05-08
31/2-5 R2	781.000000	808.000000	NO FORMAL NAME	FORMATION	\N	501	111	\N	9999-12-31	2013-05-08
31/2-5 R2	808.000000	1338.000000	NO FORMAL NAME	FORMATION	\N	501	111	\N	9999-12-31	2013-05-08
31/2-5 R2	358.000000	781.000000	NORDLAND GP	GROUP	\N	501	113	\N	9999-12-31	2013-05-08
31/2-5 R2	1338.000000	1526.000000	ROGALAND GP	GROUP	\N	501	131	\N	9999-12-31	2013-05-08
31/2-5 R2	1389.000000	1419.000000	SELE FM	FORMATION	ROGALAND GP	501	142	131	9999-12-31	2013-05-08
31/2-5 R2	1526.000000	1529.000000	SHETLAND GP	GROUP	\N	501	143	\N	9999-12-31	2013-05-08
31/2-5 R2	1529.000000	1610.000000	SOGNEFJORD FM	FORMATION	VIKING GP	501	151	188	9999-12-31	2013-05-08
31/2-5 R2	2397.000000	2464.000000	STATFJORD FM	FORMATION	\N	501	157	\N	9999-12-31	2013-05-08
31/2-5 R2	1529.000000	1950.000000	VIKING GP	GROUP	\N	501	188	\N	9999-12-31	2013-05-08
31/2-5 R2	2397.000000	2464.000000	NO GROUP DEFINED	GROUP	\N	501	208	\N	9999-12-31	2013-05-08
31/2-4 R	2107.000000	2126.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	502	4	29	9999-12-31	2013-05-08
31/2-4 R	2241.000000	2256.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	502	4	29	9999-12-31	2013-05-08
31/2-4 R	1203.000000	1234.000000	BALDER FM	FORMATION	ROGALAND GP	502	6	131	9999-12-31	2013-05-08
31/2-4 R	1784.000000	1902.000000	BRENT GP	GROUP	\N	502	16	\N	9999-12-31	2013-05-08
31/2-4 R	2008.000000	2107.000000	COOK FM	FORMATION	DUNLIN GP	502	24	29	9999-12-31	2013-05-08
31/2-4 R	1902.000000	2008.000000	DRAKE FM	FORMATION	DUNLIN GP	502	27	29	9999-12-31	2013-05-08
31/2-4 R	1902.000000	2256.000000	DUNLIN GP	GROUP	\N	502	29	\N	9999-12-31	2013-05-08
31/2-4 R	1520.000000	1625.000000	FENSFJORD FM	FORMATION	VIKING GP	502	40	188	9999-12-31	2013-05-08
31/2-4 R	1460.000000	1520.000000	HEATHER FM	FORMATION	VIKING GP	502	60	188	9999-12-31	2013-05-08
31/2-4 R	1710.000000	1784.000000	HEATHER FM	FORMATION	VIKING GP	502	60	188	9999-12-31	2013-05-08
31/2-4 R	2422.000000	5035.000000	HEGRE GP	GROUP	\N	502	61	\N	9999-12-31	2013-05-08
31/2-4 R	724.000000	1203.000000	HORDALAND GP	GROUP	\N	502	67	\N	9999-12-31	2013-05-08
31/2-4 R	2126.000000	2241.000000	JOHANSEN FM	FORMATION	DUNLIN GP	502	73	29	9999-12-31	2013-05-08
31/2-4 R	1625.000000	1710.000000	KROSSFJORD FM	FORMATION	VIKING GP	502	87	188	9999-12-31	2013-05-08
31/2-4 R	1256.000000	1357.000000	LISTA FM	FORMATION	ROGALAND GP	502	95	131	9999-12-31	2013-05-08
31/2-4 R	494.000000	528.000000	NO FORMAL NAME	FORMATION	\N	502	111	\N	9999-12-31	2013-05-08
31/2-4 R	528.000000	724.000000	NO FORMAL NAME	FORMATION	\N	502	111	\N	9999-12-31	2013-05-08
31/2-4 R	361.000000	724.000000	NORDLAND GP	GROUP	\N	502	113	\N	9999-12-31	2013-05-08
31/2-4 R	1203.000000	1365.000000	ROGALAND GP	GROUP	\N	502	131	\N	9999-12-31	2013-05-08
31/2-4 R	1234.000000	1256.000000	SELE FM	FORMATION	ROGALAND GP	502	142	131	9999-12-31	2013-05-08
31/2-4 R	1365.000000	1460.000000	SOGNEFJORD FM	FORMATION	VIKING GP	502	151	188	9999-12-31	2013-05-08
31/2-4 R	2256.000000	2422.000000	STATFJORD FM	FORMATION	\N	502	157	\N	9999-12-31	2013-05-08
31/2-4 R	1365.000000	1784.000000	VIKING GP	GROUP	\N	502	188	\N	9999-12-31	2013-05-08
31/2-4 R	1357.000000	1365.000000	VÅLE FM	FORMATION	ROGALAND GP	502	190	131	9999-12-31	2013-05-08
31/2-4 R	2256.000000	2422.000000	NO GROUP DEFINED	GROUP	\N	502	208	\N	9999-12-31	2013-05-08
31/2-4 R2	2107.000000	2126.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	503	4	29	9999-12-31	2013-05-08
31/2-4 R2	2241.000000	2256.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	503	4	29	9999-12-31	2013-05-08
31/2-4 R2	1203.000000	1234.000000	BALDER FM	FORMATION	ROGALAND GP	503	6	131	9999-12-31	2013-05-08
31/2-4 R2	1784.000000	1902.000000	BRENT GP	GROUP	\N	503	16	\N	9999-12-31	2013-05-08
31/2-4 R2	2008.000000	2107.000000	COOK FM	FORMATION	DUNLIN GP	503	24	29	9999-12-31	2013-05-08
31/2-4 R2	1902.000000	2008.000000	DRAKE FM	FORMATION	DUNLIN GP	503	27	29	9999-12-31	2013-05-08
31/2-4 R2	1902.000000	2256.000000	DUNLIN GP	GROUP	\N	503	29	\N	9999-12-31	2013-05-08
31/2-4 R2	1520.000000	1625.000000	FENSFJORD FM	FORMATION	VIKING GP	503	40	188	9999-12-31	2013-05-08
31/2-4 R2	1460.000000	1520.000000	HEATHER FM	FORMATION	VIKING GP	503	60	188	9999-12-31	2013-05-08
31/2-4 R2	1710.000000	1784.000000	HEATHER FM	FORMATION	VIKING GP	503	60	188	9999-12-31	2013-05-08
31/2-4 R2	2422.000000	5035.000000	HEGRE GP	GROUP	\N	503	61	\N	9999-12-31	2013-05-08
31/2-4 R2	724.000000	1203.000000	HORDALAND GP	GROUP	\N	503	67	\N	9999-12-31	2013-05-08
31/2-4 R2	2126.000000	2241.000000	JOHANSEN FM	FORMATION	DUNLIN GP	503	73	29	9999-12-31	2013-05-08
31/2-4 R2	1625.000000	1710.000000	KROSSFJORD FM	FORMATION	VIKING GP	503	87	188	9999-12-31	2013-05-08
31/2-4 R2	1256.000000	1357.000000	LISTA FM	FORMATION	ROGALAND GP	503	95	131	9999-12-31	2013-05-08
31/2-4 R2	494.000000	528.000000	NO FORMAL NAME	FORMATION	\N	503	111	\N	9999-12-31	2013-05-08
31/2-4 R2	528.000000	724.000000	NO FORMAL NAME	FORMATION	\N	503	111	\N	9999-12-31	2013-05-08
31/2-4 R2	361.000000	724.000000	NORDLAND GP	GROUP	\N	503	113	\N	9999-12-31	2013-05-08
31/2-4 R2	1203.000000	1365.000000	ROGALAND GP	GROUP	\N	503	131	\N	9999-12-31	2013-05-08
31/2-4 R2	1234.000000	1256.000000	SELE FM	FORMATION	ROGALAND GP	503	142	131	9999-12-31	2013-05-08
31/2-4 R2	1365.000000	1460.000000	SOGNEFJORD FM	FORMATION	VIKING GP	503	151	188	9999-12-31	2013-05-08
31/2-4 R2	2256.000000	2422.000000	STATFJORD FM	FORMATION	\N	503	157	\N	9999-12-31	2013-05-08
31/2-4 R2	1365.000000	1784.000000	VIKING GP	GROUP	\N	503	188	\N	9999-12-31	2013-05-08
31/2-4 R2	1357.000000	1365.000000	VÅLE FM	FORMATION	ROGALAND GP	503	190	131	9999-12-31	2013-05-08
31/2-4 R2	2256.000000	2422.000000	NO GROUP DEFINED	GROUP	\N	503	208	\N	9999-12-31	2013-05-08
31/2-2 R	2202.000000	2233.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	504	4	29	9999-12-31	2013-05-08
31/2-2 R	2344.000000	2360.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	504	4	29	9999-12-31	2013-05-08
31/2-2 R	1124.000000	1205.000000	BALDER FM	FORMATION	ROGALAND GP	504	6	131	9999-12-31	2013-05-08
31/2-2 R	1985.000000	2070.000000	BRENT GP	GROUP	\N	504	16	\N	9999-12-31	2013-05-08
31/2-2 R	1424.000000	1470.000000	CROMER KNOLL GP	GROUP	\N	504	23	\N	9999-12-31	2013-05-08
31/2-2 R	2162.000000	2202.000000	COOK FM	FORMATION	DUNLIN GP	504	24	29	9999-12-31	2013-05-08
31/2-2 R	2070.000000	2162.000000	DRAKE FM	FORMATION	DUNLIN GP	504	27	29	9999-12-31	2013-05-08
31/2-2 R	1470.000000	1545.000000	DRAUPNE FM	FORMATION	VIKING GP	504	28	188	9999-12-31	2013-05-08
31/2-2 R	2070.000000	2360.000000	DUNLIN GP	GROUP	\N	504	29	\N	9999-12-31	2013-05-08
31/2-2 R	1700.000000	1848.000000	FENSFJORD FM	FORMATION	VIKING GP	504	40	188	9999-12-31	2013-05-08
31/2-2 R	1665.000000	1700.000000	HEATHER FM	FORMATION	VIKING GP	504	60	188	9999-12-31	2013-05-08
31/2-2 R	1961.000000	1985.000000	HEATHER FM	FORMATION	VIKING GP	504	60	188	9999-12-31	2013-05-08
31/2-2 R	2500.000000	2600.000000	HEGRE GP	GROUP	\N	504	61	\N	9999-12-31	2013-05-08
31/2-2 R	650.000000	1124.000000	HORDALAND GP	GROUP	\N	504	67	\N	9999-12-31	2013-05-08
31/2-2 R	2233.000000	2344.000000	JOHANSEN FM	FORMATION	DUNLIN GP	504	73	29	9999-12-31	2013-05-08
31/2-2 R	1848.000000	1961.000000	KROSSFJORD FM	FORMATION	VIKING GP	504	87	188	9999-12-31	2013-05-08
31/2-2 R	1303.000000	1374.000000	LISTA FM	FORMATION	ROGALAND GP	504	95	131	9999-12-31	2013-05-08
31/2-2 R	650.000000	703.000000	NO FORMAL NAME	FORMATION	\N	504	111	\N	9999-12-31	2013-05-08
31/2-2 R	703.000000	1124.000000	NO FORMAL NAME	FORMATION	\N	504	111	\N	9999-12-31	2013-05-08
31/2-2 R	355.000000	650.000000	NORDLAND GP	GROUP	\N	504	113	\N	9999-12-31	2013-05-08
31/2-2 R	1124.000000	1374.000000	ROGALAND GP	GROUP	\N	504	131	\N	9999-12-31	2013-05-08
31/2-2 R	1424.000000	1431.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	504	137	23	9999-12-31	2013-05-08
31/2-2 R	1205.000000	1303.000000	SELE FM	FORMATION	ROGALAND GP	504	142	131	9999-12-31	2013-05-08
31/2-2 R	1374.000000	1424.000000	SHETLAND GP	GROUP	\N	504	143	\N	9999-12-31	2013-05-08
31/2-2 R	1545.000000	1665.000000	SOGNEFJORD FM	FORMATION	VIKING GP	504	151	188	9999-12-31	2013-05-08
31/2-2 R	2360.000000	2500.000000	STATFJORD FM	FORMATION	\N	504	157	\N	9999-12-31	2013-05-08
31/2-2 R	1470.000000	1985.000000	VIKING GP	GROUP	\N	504	188	\N	9999-12-31	2013-05-08
31/2-2 R	1431.000000	1470.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	504	198	23	9999-12-31	2013-05-08
31/2-2 R	2360.000000	2500.000000	NO GROUP DEFINED	GROUP	\N	504	208	\N	9999-12-31	2013-05-08
31/2-1 R	2135.000000	2177.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	505	4	29	9999-12-31	2013-05-08
31/2-1 R	2274.000000	2294.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	505	4	29	9999-12-31	2013-05-08
31/2-1 R	1185.000000	1251.000000	BALDER FM	FORMATION	ROGALAND GP	505	6	131	9999-12-31	2013-05-08
31/2-1 R	1882.000000	1986.000000	BRENT GP	GROUP	\N	505	16	\N	9999-12-31	2013-05-08
31/2-1 R	1406.000000	1415.000000	CROMER KNOLL GP	GROUP	\N	505	23	\N	9999-12-31	2013-05-08
31/2-1 R	2094.000000	2135.000000	COOK FM	FORMATION	DUNLIN GP	505	24	29	9999-12-31	2013-05-08
31/2-1 R	1986.000000	2094.000000	DRAKE FM	FORMATION	DUNLIN GP	505	27	29	9999-12-31	2013-05-08
31/2-1 R	1415.000000	1441.000000	DRAUPNE FM	FORMATION	VIKING GP	505	28	188	9999-12-31	2013-05-08
31/2-1 R	1986.000000	2294.000000	DUNLIN GP	GROUP	\N	505	29	\N	9999-12-31	2013-05-08
31/2-1 R	1596.000000	1743.000000	FENSFJORD FM	FORMATION	VIKING GP	505	40	188	9999-12-31	2013-05-08
31/2-1 R	1533.000000	1596.000000	HEATHER FM	FORMATION	VIKING GP	505	60	188	9999-12-31	2013-05-08
31/2-1 R	1881.000000	1882.000000	HEATHER FM	FORMATION	VIKING GP	505	60	188	9999-12-31	2013-05-08
31/2-1 R	2382.000000	2434.000000	HEGRE GP	GROUP	\N	505	61	\N	9999-12-31	2013-05-08
31/2-1 R	526.000000	1185.000000	HORDALAND GP	GROUP	\N	505	67	\N	9999-12-31	2013-05-08
31/2-1 R	2177.000000	2274.000000	JOHANSEN FM	FORMATION	DUNLIN GP	505	73	29	9999-12-31	2013-05-08
31/2-1 R	1743.000000	1881.000000	KROSSFJORD FM	FORMATION	VIKING GP	505	87	188	9999-12-31	2013-05-08
31/2-1 R	1323.000000	1394.000000	LISTA FM	FORMATION	ROGALAND GP	505	95	131	9999-12-31	2013-05-08
31/2-1 R	349.000000	526.000000	NORDLAND GP	GROUP	\N	505	113	\N	9999-12-31	2013-05-08
31/2-1 R	1185.000000	1406.000000	ROGALAND GP	GROUP	\N	505	131	\N	9999-12-31	2013-05-08
31/2-1 R	1251.000000	1323.000000	SELE FM	FORMATION	ROGALAND GP	505	142	131	9999-12-31	2013-05-08
31/2-1 R	1441.000000	1533.000000	SOGNEFJORD FM	FORMATION	VIKING GP	505	151	188	9999-12-31	2013-05-08
31/2-1 R	2294.000000	2382.000000	STATFJORD FM	FORMATION	\N	505	157	\N	9999-12-31	2013-05-08
31/2-1 R	1415.000000	1882.000000	VIKING GP	GROUP	\N	505	188	\N	9999-12-31	2013-05-08
31/2-1 R	1394.000000	1406.000000	VÅLE FM	FORMATION	ROGALAND GP	505	190	131	9999-12-31	2013-05-08
31/2-1 R	2294.000000	2382.000000	NO GROUP DEFINED	GROUP	\N	505	208	\N	9999-12-31	2013-05-08
30/3-2 R	1954.000000	2002.000000	BALDER FM	FORMATION	ROGALAND GP	508	6	131	9999-12-31	2013-05-08
30/3-2 R	2825.000000	2950.000000	BRENT GP	GROUP	\N	508	16	\N	9999-12-31	2013-05-08
30/3-2 R	3121.000000	3228.000000	BURTON FM	FORMATION	DUNLIN GP	508	20	29	9999-12-31	2013-05-08
30/3-2 R	2982.000000	3121.000000	COOK FM	FORMATION	DUNLIN GP	508	24	29	9999-12-31	2013-05-08
30/3-2 R	2950.000000	2982.000000	DRAKE FM	FORMATION	DUNLIN GP	508	27	29	9999-12-31	2013-05-08
30/3-2 R	2714.000000	2731.000000	DRAUPNE FM	FORMATION	VIKING GP	508	28	188	9999-12-31	2013-05-08
30/3-2 R	2950.000000	3228.000000	DUNLIN GP	GROUP	\N	508	29	\N	9999-12-31	2013-05-08
30/3-2 R	3308.000000	3394.000000	EIRIKSSON MBR	MEMBER	STATFJORD FM	508	32	157	9999-12-31	2013-05-08
30/3-2 R	2879.000000	2882.000000	ETIVE FM	FORMATION	BRENT GP	508	35	16	9999-12-31	2013-05-08
30/3-2 R	2731.000000	2825.000000	HEATHER FM	FORMATION	VIKING GP	508	60	188	9999-12-31	2013-05-08
30/3-2 R	3299.000000	3567.000000	HEGRE GP	GROUP	\N	508	61	\N	9999-12-31	2013-05-08
30/3-2 R	894.000000	1954.000000	HORDALAND GP	GROUP	\N	508	67	\N	9999-12-31	2013-05-08
30/3-2 R	2032.000000	2203.000000	LISTA FM	FORMATION	ROGALAND GP	508	95	131	9999-12-31	2013-05-08
30/3-2 R	3298.000000	3299.000000	LUNDE FM	FORMATION	HEGRE GP	508	97	61	9999-12-31	2013-05-08
30/3-2 R	3228.000000	3298.000000	NANSEN MBR	MEMBER	STATFJORD FM	508	108	157	9999-12-31	2013-05-08
30/3-2 R	2825.000000	2879.000000	NESS FM	FORMATION	BRENT GP	508	110	16	9999-12-31	2013-05-08
30/3-2 R	211.000000	894.000000	NORDLAND GP	GROUP	\N	508	113	\N	9999-12-31	2013-05-08
30/3-2 R	2891.000000	2950.000000	OSEBERG FM	FORMATION	BRENT GP	508	123	16	9999-12-31	2013-05-08
30/3-2 R	2882.000000	2891.000000	RANNOCH FM	FORMATION	BRENT GP	508	126	16	9999-12-31	2013-05-08
30/3-2 R	3394.000000	3567.000000	RAUDE MBR	MEMBER	STATFJORD FM	508	127	157	9999-12-31	2013-05-08
30/3-2 R	1954.000000	2203.000000	ROGALAND GP	GROUP	\N	508	131	\N	9999-12-31	2013-05-08
30/3-2 R	2002.000000	2032.000000	SELE FM	FORMATION	ROGALAND GP	508	142	131	9999-12-31	2013-05-08
30/3-2 R	2203.000000	2714.000000	SHETLAND GP	GROUP	\N	508	143	\N	9999-12-31	2013-05-08
30/3-2 R	3228.000000	3298.000000	STATFJORD FM	FORMATION	\N	508	157	\N	9999-12-31	2013-05-08
30/3-2 R	753.000000	894.000000	UTSIRA FM	FORMATION	NORDLAND GP	508	183	113	9999-12-31	2013-05-08
30/3-2 R	2714.000000	2825.000000	VIKING GP	GROUP	\N	508	188	\N	9999-12-31	2013-05-08
30/3-2 R	3228.000000	3299.000000	NO GROUP DEFINED	GROUP	\N	508	208	\N	9999-12-31	2013-05-08
30/3-1 R	4162.000000	4227.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	509	4	29	9999-12-31	2013-05-08
30/3-1 R	1929.000000	1993.000000	BALDER FM	FORMATION	ROGALAND GP	509	6	131	9999-12-31	2013-05-08
30/3-1 R	3605.000000	3616.000000	BLODØKS FM	FORMATION	SHETLAND GP	509	13	143	9999-12-31	2013-05-08
30/3-1 R	3761.000000	3874.000000	BRENT GP	GROUP	\N	509	16	\N	9999-12-31	2013-05-08
30/3-1 R	3616.000000	3729.000000	CROMER KNOLL GP	GROUP	\N	509	23	\N	9999-12-31	2013-05-08
30/3-1 R	4081.000000	4162.000000	COOK FM	FORMATION	DUNLIN GP	509	24	29	9999-12-31	2013-05-08
30/3-1 R	3874.000000	4081.000000	DRAKE FM	FORMATION	DUNLIN GP	509	27	29	9999-12-31	2013-05-08
30/3-1 R	3729.000000	3748.000000	DRAUPNE FM	FORMATION	VIKING GP	509	28	188	9999-12-31	2013-05-08
30/3-1 R	3874.000000	4227.000000	DUNLIN GP	GROUP	\N	509	29	\N	9999-12-31	2013-05-08
30/3-1 R	3826.000000	3852.000000	ETIVE FM	FORMATION	BRENT GP	509	35	16	9999-12-31	2013-05-08
30/3-1 R	1635.000000	1679.000000	GRID FM	FORMATION	HORDALAND GP	509	53	67	9999-12-31	2013-05-08
30/3-1 R	3748.000000	3761.000000	HEATHER FM	FORMATION	VIKING GP	509	60	188	9999-12-31	2013-05-08
30/3-1 R	950.000000	1929.000000	HORDALAND GP	GROUP	\N	509	67	\N	9999-12-31	2013-05-08
30/3-1 R	2160.000000	2472.000000	JORSALFARE FM	FORMATION	SHETLAND GP	509	74	143	9999-12-31	2013-05-08
30/3-1 R	2472.000000	3410.000000	KYRRE FM	FORMATION	SHETLAND GP	509	92	143	9999-12-31	2013-05-08
30/3-1 R	3761.000000	3826.000000	NESS FM	FORMATION	BRENT GP	509	110	16	9999-12-31	2013-05-08
30/3-1 R	1360.000000	1635.000000	NO FORMAL NAME	FORMATION	\N	509	111	\N	9999-12-31	2013-05-08
30/3-1 R	1679.000000	1929.000000	NO FORMAL NAME	FORMATION	\N	509	111	\N	9999-12-31	2013-05-08
30/3-1 R	160.000000	950.000000	NORDLAND GP	GROUP	\N	509	113	\N	9999-12-31	2013-05-08
30/3-1 R	3866.000000	3874.000000	OSEBERG FM	FORMATION	BRENT GP	509	123	16	9999-12-31	2013-05-08
30/3-1 R	3852.000000	3866.000000	RANNOCH FM	FORMATION	BRENT GP	509	126	16	9999-12-31	2013-05-08
30/3-1 R	1929.000000	2160.000000	ROGALAND GP	GROUP	\N	509	131	\N	9999-12-31	2013-05-08
30/3-1 R	3616.000000	3678.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	509	137	23	9999-12-31	2013-05-08
30/3-1 R	1993.000000	2124.000000	SELE FM	FORMATION	ROGALAND GP	509	142	131	9999-12-31	2013-05-08
30/3-1 R	2160.000000	3616.000000	SHETLAND GP	GROUP	\N	509	143	\N	9999-12-31	2013-05-08
30/3-1 R	1174.000000	1360.000000	SKADE FM	FORMATION	HORDALAND GP	509	145	67	9999-12-31	2013-05-08
30/3-1 R	3678.000000	3702.000000	SOLA FM	FORMATION	CROMER KNOLL GP	509	152	23	9999-12-31	2013-05-08
30/3-1 R	4227.000000	4421.000000	STATFJORD FM	FORMATION	\N	509	157	\N	9999-12-31	2013-05-08
30/3-1 R	3410.000000	3605.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	509	173	143	9999-12-31	2013-05-08
30/3-1 R	829.000000	950.000000	UTSIRA FM	FORMATION	NORDLAND GP	509	183	113	9999-12-31	2013-05-08
30/3-1 R	3729.000000	3761.000000	VIKING GP	GROUP	\N	509	188	\N	9999-12-31	2013-05-08
30/3-1 R	2124.000000	2160.000000	VÅLE FM	FORMATION	ROGALAND GP	509	190	131	9999-12-31	2013-05-08
30/3-1 R	3702.000000	3729.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	509	198	23	9999-12-31	2013-05-08
30/3-1 R	4227.000000	4421.000000	NO GROUP DEFINED	GROUP	\N	509	208	\N	9999-12-31	2013-05-08
25/10-4 R	1685.000000	1720.000000	BALDER FM	FORMATION	ROGALAND GP	510	6	131	9999-12-31	2013-05-08
25/10-4 R	1963.000000	1982.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	510	26	188	9999-12-31	2013-05-08
25/10-4 R	1961.000000	1963.000000	DRAUPNE FM	FORMATION	VIKING GP	510	28	188	9999-12-31	2013-05-08
25/10-4 R	1982.000000	1985.000000	DRAUPNE FM	FORMATION	VIKING GP	510	28	188	9999-12-31	2013-05-08
25/10-4 R	1418.000000	1487.000000	GRID FM	FORMATION	HORDALAND GP	510	53	67	9999-12-31	2013-05-08
25/10-4 R	1985.000000	2003.000000	HEATHER FM	FORMATION	VIKING GP	510	60	188	9999-12-31	2013-05-08
25/10-4 R	1758.000000	1874.000000	HEIMDAL FM	FORMATION	ROGALAND GP	510	62	131	9999-12-31	2013-05-08
25/10-4 R	740.000000	1685.000000	HORDALAND GP	GROUP	\N	510	67	\N	9999-12-31	2013-05-08
25/10-4 R	2361.000000	2363.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	510	88	194	9999-12-31	2013-05-08
25/10-4 R	1742.000000	1758.000000	LISTA FM	FORMATION	ROGALAND GP	510	95	131	9999-12-31	2013-05-08
25/10-4 R	1874.000000	1951.000000	LISTA FM	FORMATION	ROGALAND GP	510	95	131	9999-12-31	2013-05-08
25/10-4 R	693.000000	740.000000	NO FORMAL NAME	FORMATION	\N	510	111	\N	9999-12-31	2013-05-08
25/10-4 R	920.000000	1058.000000	NO FORMAL NAME	FORMATION	\N	510	111	\N	9999-12-31	2013-05-08
25/10-4 R	1109.000000	1203.000000	NO FORMAL NAME	FORMATION	\N	510	111	\N	9999-12-31	2013-05-08
25/10-4 R	1219.000000	1418.000000	NO FORMAL NAME	FORMATION	\N	510	111	\N	9999-12-31	2013-05-08
25/10-4 R	1487.000000	1685.000000	NO FORMAL NAME	FORMATION	\N	510	111	\N	9999-12-31	2013-05-08
25/10-4 R	151.000000	740.000000	NORDLAND GP	GROUP	\N	510	113	\N	9999-12-31	2013-05-08
25/10-4 R	1685.000000	1951.000000	ROGALAND GP	GROUP	\N	510	131	\N	9999-12-31	2013-05-08
25/10-4 R	2363.000000	2550.000000	ROTLIEGEND GP	GROUP	\N	510	136	\N	9999-12-31	2013-05-08
25/10-4 R	1720.000000	1742.000000	SELE FM	FORMATION	ROGALAND GP	510	142	131	9999-12-31	2013-05-08
25/10-4 R	1951.000000	1961.000000	SHETLAND GP	GROUP	\N	510	143	\N	9999-12-31	2013-05-08
25/10-4 R	740.000000	920.000000	SKADE FM	FORMATION	HORDALAND GP	510	145	67	9999-12-31	2013-05-08
25/10-4 R	1058.000000	1109.000000	SKADE FM	FORMATION	HORDALAND GP	510	145	67	9999-12-31	2013-05-08
25/10-4 R	1203.000000	1219.000000	SKADE FM	FORMATION	HORDALAND GP	510	145	67	9999-12-31	2013-05-08
25/10-4 R	2003.000000	2154.000000	STATFJORD FM	FORMATION	\N	510	157	\N	9999-12-31	2013-05-08
25/10-4 R	2314.000000	2361.000000	UNDIFFERENTIATED	FORMATION	\N	510	182	\N	9999-12-31	2013-05-08
25/10-4 R	569.000000	693.000000	UTSIRA FM	FORMATION	NORDLAND GP	510	183	113	9999-12-31	2013-05-08
25/10-4 R	1961.000000	2003.000000	VIKING GP	GROUP	\N	510	188	\N	9999-12-31	2013-05-08
25/10-4 R	2314.000000	2363.000000	ZECHSTEIN GP	GROUP	\N	510	194	\N	9999-12-31	2013-05-08
25/10-4 R	2003.000000	2154.000000	NO GROUP DEFINED	GROUP	\N	510	208	\N	9999-12-31	2013-05-08
25/10-4 R	2154.000000	2314.000000	NO GROUP DEFINED	GROUP	\N	510	208	\N	9999-12-31	2013-05-08
25/10-2 R	1935.000000	1975.000000	BALDER FM	FORMATION	ROGALAND GP	511	6	131	9999-12-31	2013-05-08
25/10-2 R	3152.000000	3181.000000	BASEMENT	GROUP	\N	511	10	\N	9999-12-31	2013-05-08
25/10-2 R	2085.000000	2146.000000	HEIMDAL FM	FORMATION	ROGALAND GP	511	62	131	9999-12-31	2013-05-08
25/10-2 R	2470.000000	2542.000000	HOD FM	FORMATION	SHETLAND GP	511	66	143	9999-12-31	2013-05-08
25/10-2 R	1052.000000	1935.000000	HORDALAND GP	GROUP	\N	511	67	\N	9999-12-31	2013-05-08
25/10-2 R	3007.000000	3014.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	511	88	194	9999-12-31	2013-05-08
25/10-2 R	2050.000000	2085.000000	LISTA FM	FORMATION	ROGALAND GP	511	95	131	9999-12-31	2013-05-08
25/10-2 R	2146.000000	2270.000000	LISTA FM	FORMATION	ROGALAND GP	511	95	131	9999-12-31	2013-05-08
25/10-2 R	130.000000	1052.000000	NORDLAND GP	GROUP	\N	511	113	\N	9999-12-31	2013-05-08
25/10-2 R	1935.000000	2385.000000	ROGALAND GP	GROUP	\N	511	131	\N	9999-12-31	2013-05-08
25/10-2 R	3014.000000	3152.000000	ROTLIEGEND GP	GROUP	\N	511	136	\N	9999-12-31	2013-05-08
25/10-2 R	1975.000000	2050.000000	SELE FM	FORMATION	ROGALAND GP	511	142	131	9999-12-31	2013-05-08
25/10-2 R	2385.000000	2623.000000	SHETLAND GP	GROUP	\N	511	143	\N	9999-12-31	2013-05-08
25/10-2 R	2385.000000	2470.000000	TOR FM	FORMATION	SHETLAND GP	511	171	143	9999-12-31	2013-05-08
25/10-2 R	2542.000000	2623.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	511	173	143	9999-12-31	2013-05-08
25/10-2 R	2270.000000	2375.000000	TY FM	FORMATION	ROGALAND GP	511	176	131	9999-12-31	2013-05-08
25/10-2 R	2897.000000	3007.000000	UNDIFFERENTIATED	FORMATION	\N	511	182	\N	9999-12-31	2013-05-08
25/10-2 R	755.000000	1052.000000	UTSIRA FM	FORMATION	NORDLAND GP	511	183	113	9999-12-31	2013-05-08
25/10-2 R	2623.000000	2675.000000	VIKING GP	GROUP	\N	511	188	\N	9999-12-31	2013-05-08
25/10-2 R	2375.000000	2385.000000	VÅLE FM	FORMATION	ROGALAND GP	511	190	131	9999-12-31	2013-05-08
25/10-2 R	2897.000000	3014.000000	ZECHSTEIN GP	GROUP	\N	511	194	\N	9999-12-31	2013-05-08
25/10-2 R	2675.000000	2897.000000	NO GROUP DEFINED	GROUP	\N	511	208	\N	9999-12-31	2013-05-08
25/10-1 R	1682.000000	1699.000000	BALDER FM	FORMATION	ROGALAND GP	512	6	131	9999-12-31	2013-05-08
25/10-1 R	1705.000000	1717.000000	BALDER FM	FORMATION	ROGALAND GP	512	6	131	9999-12-31	2013-05-08
25/10-1 R	1699.000000	1705.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	512	7	131	9999-12-31	2013-05-08
25/10-1 R	1960.000000	1963.000000	EKOFISK FM	FORMATION	SHETLAND GP	512	33	143	9999-12-31	2013-05-08
25/10-1 R	1775.000000	1800.000000	HEIMDAL FM	FORMATION	ROGALAND GP	512	62	131	9999-12-31	2013-05-08
25/10-1 R	1804.000000	1844.000000	HEIMDAL FM	FORMATION	ROGALAND GP	512	62	131	9999-12-31	2013-05-08
25/10-1 R	1859.000000	1901.000000	HEIMDAL FM	FORMATION	ROGALAND GP	512	62	131	9999-12-31	2013-05-08
25/10-1 R	1911.000000	1916.000000	HEIMDAL FM	FORMATION	ROGALAND GP	512	62	131	9999-12-31	2013-05-08
25/10-1 R	1928.000000	1932.000000	HEIMDAL FM	FORMATION	ROGALAND GP	512	62	131	9999-12-31	2013-05-08
25/10-1 R	1730.000000	1745.000000	HERMOD FM	FORMATION	ROGALAND GP	512	64	131	9999-12-31	2013-05-08
25/10-1 R	1756.000000	1762.000000	HERMOD FM	FORMATION	ROGALAND GP	512	64	131	9999-12-31	2013-05-08
25/10-1 R	733.000000	1682.000000	HORDALAND GP	GROUP	\N	512	67	\N	9999-12-31	2013-05-08
25/10-1 R	1763.000000	1775.000000	LISTA FM	FORMATION	ROGALAND GP	512	95	131	9999-12-31	2013-05-08
25/10-1 R	1800.000000	1804.000000	LISTA FM	FORMATION	ROGALAND GP	512	95	131	9999-12-31	2013-05-08
25/10-1 R	1844.000000	1859.000000	LISTA FM	FORMATION	ROGALAND GP	512	95	131	9999-12-31	2013-05-08
25/10-1 R	1901.000000	1911.000000	LISTA FM	FORMATION	ROGALAND GP	512	95	131	9999-12-31	2013-05-08
25/10-1 R	1916.000000	1928.000000	LISTA FM	FORMATION	ROGALAND GP	512	95	131	9999-12-31	2013-05-08
25/10-1 R	1932.000000	1960.000000	LISTA FM	FORMATION	ROGALAND GP	512	95	131	9999-12-31	2013-05-08
25/10-1 R	675.000000	733.000000	NO FORMAL NAME	FORMATION	\N	512	111	\N	9999-12-31	2013-05-08
25/10-1 R	1045.000000	1192.000000	NO FORMAL NAME	FORMATION	\N	512	111	\N	9999-12-31	2013-05-08
25/10-1 R	1192.000000	1247.000000	NO FORMAL NAME	FORMATION	\N	512	111	\N	9999-12-31	2013-05-08
25/10-1 R	1247.000000	1682.000000	NO FORMAL NAME	FORMATION	\N	512	111	\N	9999-12-31	2013-05-08
25/10-1 R	134.000000	733.000000	NORDLAND GP	GROUP	\N	512	113	\N	9999-12-31	2013-05-08
25/10-1 R	1682.000000	1960.000000	ROGALAND GP	GROUP	\N	512	131	\N	9999-12-31	2013-05-08
25/10-1 R	1717.000000	1730.000000	SELE FM	FORMATION	ROGALAND GP	512	142	131	9999-12-31	2013-05-08
25/10-1 R	1745.000000	1756.000000	SELE FM	FORMATION	ROGALAND GP	512	142	131	9999-12-31	2013-05-08
25/10-1 R	1762.000000	1763.000000	SELE FM	FORMATION	ROGALAND GP	512	142	131	9999-12-31	2013-05-08
25/10-1 R	1960.000000	1963.000000	SHETLAND GP	GROUP	\N	512	143	\N	9999-12-31	2013-05-08
25/10-1 R	733.000000	1045.000000	SKADE FM	FORMATION	HORDALAND GP	512	145	67	9999-12-31	2013-05-08
25/10-1 R	1963.000000	2091.000000	STATFJORD FM	FORMATION	\N	512	157	\N	9999-12-31	2013-05-08
25/10-1 R	555.000000	675.000000	UTSIRA FM	FORMATION	NORDLAND GP	512	183	113	9999-12-31	2013-05-08
25/10-1 R	1963.000000	2091.000000	NO GROUP DEFINED	GROUP	\N	512	208	\N	9999-12-31	2013-05-08
24/12-1 R	4698.000000	4774.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	513	4	29	9999-12-31	2013-05-08
24/12-1 R	2190.000000	2255.000000	BALDER FM	FORMATION	ROGALAND GP	513	6	131	9999-12-31	2013-05-08
24/12-1 R	3672.000000	3681.000000	BLODØKS FM	FORMATION	SHETLAND GP	513	13	143	9999-12-31	2013-05-08
24/12-1 R	3848.000000	4055.000000	CROMER KNOLL GP	GROUP	\N	513	23	\N	9999-12-31	2013-05-08
24/12-1 R	4055.000000	4140.000000	DRAUPNE FM	FORMATION	VIKING GP	513	28	188	9999-12-31	2013-05-08
24/12-1 R	4698.000000	4774.000000	DUNLIN GP	GROUP	\N	513	29	\N	9999-12-31	2013-05-08
24/12-1 R	2768.000000	2784.000000	EKOFISK FM	FORMATION	SHETLAND GP	513	33	143	9999-12-31	2013-05-08
24/12-1 R	1502.000000	1660.000000	GRID FM	FORMATION	HORDALAND GP	513	53	67	9999-12-31	2013-05-08
24/12-1 R	4164.000000	4215.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	513	59	188	9999-12-31	2013-05-08
24/12-1 R	4235.000000	4295.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	513	59	188	9999-12-31	2013-05-08
24/12-1 R	4312.000000	4332.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	513	59	188	9999-12-31	2013-05-08
24/12-1 R	4140.000000	4164.000000	HEATHER FM	FORMATION	VIKING GP	513	60	188	9999-12-31	2013-05-08
24/12-1 R	4215.000000	4235.000000	HEATHER FM	FORMATION	VIKING GP	513	60	188	9999-12-31	2013-05-08
24/12-1 R	4295.000000	4312.000000	HEATHER FM	FORMATION	VIKING GP	513	60	188	9999-12-31	2013-05-08
24/12-1 R	4332.000000	4350.000000	HEATHER FM	FORMATION	VIKING GP	513	60	188	9999-12-31	2013-05-08
24/12-1 R	2326.000000	2700.000000	HEIMDAL FM	FORMATION	ROGALAND GP	513	62	131	9999-12-31	2013-05-08
24/12-1 R	3080.000000	3550.000000	HOD FM	FORMATION	SHETLAND GP	513	66	143	9999-12-31	2013-05-08
24/12-1 R	850.000000	2190.000000	HORDALAND GP	GROUP	\N	513	67	\N	9999-12-31	2013-05-08
24/12-1 R	2307.000000	2326.000000	LISTA FM	FORMATION	ROGALAND GP	513	95	131	9999-12-31	2013-05-08
24/12-1 R	2700.000000	2763.000000	LISTA FM	FORMATION	ROGALAND GP	513	95	131	9999-12-31	2013-05-08
24/12-1 R	732.000000	850.000000	NO FORMAL NAME	FORMATION	\N	513	111	\N	9999-12-31	2013-05-08
24/12-1 R	1007.000000	1502.000000	NO FORMAL NAME	FORMATION	\N	513	111	\N	9999-12-31	2013-05-08
24/12-1 R	1660.000000	2190.000000	NO FORMAL NAME	FORMATION	\N	513	111	\N	9999-12-31	2013-05-08
24/12-1 R	138.000000	850.000000	NORDLAND GP	GROUP	\N	513	113	\N	9999-12-31	2013-05-08
24/12-1 R	2190.000000	2768.000000	ROGALAND GP	GROUP	\N	513	131	\N	9999-12-31	2013-05-08
24/12-1 R	3848.000000	3945.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	513	137	23	9999-12-31	2013-05-08
24/12-1 R	2255.000000	2307.000000	SELE FM	FORMATION	ROGALAND GP	513	142	131	9999-12-31	2013-05-08
24/12-1 R	2768.000000	3848.000000	SHETLAND GP	GROUP	\N	513	143	\N	9999-12-31	2013-05-08
24/12-1 R	850.000000	1007.000000	SKADE FM	FORMATION	HORDALAND GP	513	145	67	9999-12-31	2013-05-08
24/12-1 R	3945.000000	4004.000000	SOLA FM	FORMATION	CROMER KNOLL GP	513	152	23	9999-12-31	2013-05-08
24/12-1 R	3681.000000	3848.000000	SVARTE FM	FORMATION	SHETLAND GP	513	160	143	9999-12-31	2013-05-08
24/12-1 R	2784.000000	3080.000000	TOR FM	FORMATION	SHETLAND GP	513	171	143	9999-12-31	2013-05-08
24/12-1 R	3550.000000	3672.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	513	173	143	9999-12-31	2013-05-08
24/12-1 R	497.000000	732.000000	UTSIRA FM	FORMATION	NORDLAND GP	513	183	113	9999-12-31	2013-05-08
24/12-1 R	4350.000000	4698.000000	VESTLAND GP	GROUP	\N	513	186	\N	9999-12-31	2013-05-08
24/12-1 R	4055.000000	4350.000000	VIKING GP	GROUP	\N	513	188	\N	9999-12-31	2013-05-08
24/12-1 R	2763.000000	2768.000000	VÅLE FM	FORMATION	ROGALAND GP	513	190	131	9999-12-31	2013-05-08
24/12-1 R	4004.000000	4055.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	513	198	23	9999-12-31	2013-05-08
24/12-1 R	4774.000000	4825.000000	NO GROUP DEFINED	GROUP	\N	513	208	\N	9999-12-31	2013-05-08
17/12-1 R	752.000000	777.000000	BALDER FM	FORMATION	ROGALAND GP	514	6	131	9999-12-31	2013-05-08
17/12-1 R	1206.000000	1210.000000	BLODØKS FM	FORMATION	SHETLAND GP	514	13	143	9999-12-31	2013-05-08
17/12-1 R	1902.000000	2290.000000	BOKNFJORD GP	GROUP	\N	514	15	\N	9999-12-31	2013-05-08
17/12-1 R	2306.000000	2410.000000	BRYNE FM	FORMATION	VESTLAND GP	514	19	186	9999-12-31	2013-05-08
17/12-1 R	1210.000000	1902.000000	CROMER KNOLL GP	GROUP	\N	514	23	\N	9999-12-31	2013-05-08
17/12-1 R	2215.000000	2290.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	514	30	15	9999-12-31	2013-05-08
17/12-1 R	785.000000	807.000000	EKOFISK FM	FORMATION	SHETLAND GP	514	33	143	9999-12-31	2013-05-08
17/12-1 R	1902.000000	1946.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	514	43	15	9999-12-31	2013-05-08
17/12-1 R	2410.000000	2446.000000	GASSUM FM	FORMATION	\N	514	49	\N	9999-12-31	2013-05-08
17/12-1 R	1130.000000	1206.000000	HOD FM	FORMATION	SHETLAND GP	514	66	143	9999-12-31	2013-05-08
17/12-1 R	450.000000	752.000000	HORDALAND GP	GROUP	\N	514	67	\N	9999-12-31	2013-05-08
17/12-1 R	778.000000	781.000000	LISTA FM	FORMATION	ROGALAND GP	514	95	131	9999-12-31	2013-05-08
17/12-1 R	142.000000	450.000000	NORDLAND GP	GROUP	\N	514	113	\N	9999-12-31	2013-05-08
17/12-1 R	752.000000	785.000000	ROGALAND GP	GROUP	\N	514	131	\N	9999-12-31	2013-05-08
17/12-1 R	1210.000000	1339.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	514	137	23	9999-12-31	2013-05-08
17/12-1 R	2290.000000	2306.000000	SANDNES FM	FORMATION	VESTLAND GP	514	139	186	9999-12-31	2013-05-08
17/12-1 R	1946.000000	2167.000000	SAUDA FM	FORMATION	BOKNFJORD GP	514	141	15	9999-12-31	2013-05-08
17/12-1 R	777.000000	778.000000	SELE FM	FORMATION	ROGALAND GP	514	142	131	9999-12-31	2013-05-08
17/12-1 R	785.000000	1210.000000	SHETLAND GP	GROUP	\N	514	143	\N	9999-12-31	2013-05-08
17/12-1 R	2446.000000	3965.000000	SKAGERRAK FM	FORMATION	HEGRE GP	514	146	61	9999-12-31	2013-05-08
17/12-1 R	3965.000000	4133.000000	SMITH BANK FM	FORMATION	HEGRE GP	514	149	61	9999-12-31	2013-05-08
17/12-1 R	1339.000000	1482.000000	SOLA FM	FORMATION	CROMER KNOLL GP	514	152	23	9999-12-31	2013-05-08
17/12-1 R	2167.000000	2215.000000	TAU FM	FORMATION	BOKNFJORD GP	514	164	15	9999-12-31	2013-05-08
17/12-1 R	807.000000	1130.000000	TOR FM	FORMATION	SHETLAND GP	514	171	143	9999-12-31	2013-05-08
17/12-1 R	2290.000000	2410.000000	VESTLAND GP	GROUP	\N	514	186	\N	9999-12-31	2013-05-08
17/12-1 R	781.000000	785.000000	VÅLE FM	FORMATION	ROGALAND GP	514	190	131	9999-12-31	2013-05-08
17/12-1 R	4133.000000	4298.000000	ZECHSTEIN GP	GROUP	\N	514	194	\N	9999-12-31	2013-05-08
17/12-1 R	1482.000000	1902.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	514	198	23	9999-12-31	2013-05-08
17/12-1 R	2410.000000	2446.000000	NO GROUP DEFINED	GROUP	\N	514	208	\N	9999-12-31	2013-05-08
17/12-1 R	2446.000000	4133.000000	NO GROUP DEFINED	GROUP	\N	514	208	\N	9999-12-31	2013-05-08
17/9-1 R	695.000000	719.000000	BALDER FM	FORMATION	ROGALAND GP	515	6	131	9999-12-31	2013-05-08
17/9-1 R	1195.000000	1220.000000	BLODØKS FM	FORMATION	SHETLAND GP	515	13	143	9999-12-31	2013-05-08
17/9-1 R	1933.000000	2220.000000	BOKNFJORD GP	GROUP	\N	515	15	\N	9999-12-31	2013-05-08
17/9-1 R	1220.000000	1933.000000	CROMER KNOLL GP	GROUP	\N	515	23	\N	9999-12-31	2013-05-08
17/9-1 R	2205.000000	2220.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	515	30	15	9999-12-31	2013-05-08
17/9-1 R	2835.000000	2992.000000	FJERRITSLEV FM	FORMATION	\N	515	42	\N	9999-12-31	2013-05-08
17/9-1 R	1933.000000	1954.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	515	43	15	9999-12-31	2013-05-08
17/9-1 R	1085.000000	1195.000000	HOD FM	FORMATION	SHETLAND GP	515	66	143	9999-12-31	2013-05-08
17/9-1 R	439.000000	695.000000	HORDALAND GP	GROUP	\N	515	67	\N	9999-12-31	2013-05-08
17/9-1 R	731.000000	738.000000	LISTA FM	FORMATION	ROGALAND GP	515	95	131	9999-12-31	2013-05-08
17/9-1 R	2237.000000	2835.000000	NO FORMAL NAME	FORMATION	\N	515	111	\N	9999-12-31	2013-05-08
17/9-1 R	168.000000	439.000000	NORDLAND GP	GROUP	\N	515	113	\N	9999-12-31	2013-05-08
17/9-1 R	695.000000	746.000000	ROGALAND GP	GROUP	\N	515	131	\N	9999-12-31	2013-05-08
17/9-1 R	1220.000000	1354.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	515	137	23	9999-12-31	2013-05-08
17/9-1 R	2220.000000	2237.000000	SANDNES FM	FORMATION	VESTLAND GP	515	139	186	9999-12-31	2013-05-08
17/9-1 R	1954.000000	2165.000000	SAUDA FM	FORMATION	BOKNFJORD GP	515	141	15	9999-12-31	2013-05-08
17/9-1 R	719.000000	731.000000	SELE FM	FORMATION	ROGALAND GP	515	142	131	9999-12-31	2013-05-08
17/9-1 R	746.000000	1220.000000	SHETLAND GP	GROUP	\N	515	143	\N	9999-12-31	2013-05-08
17/9-1 R	2992.000000	3161.000000	SKAGERRAK FM	FORMATION	HEGRE GP	515	146	61	9999-12-31	2013-05-08
17/9-1 R	1354.000000	1464.000000	SOLA FM	FORMATION	CROMER KNOLL GP	515	152	23	9999-12-31	2013-05-08
17/9-1 R	2165.000000	2205.000000	TAU FM	FORMATION	BOKNFJORD GP	515	164	15	9999-12-31	2013-05-08
17/9-1 R	789.000000	1085.000000	TOR FM	FORMATION	SHETLAND GP	515	171	143	9999-12-31	2013-05-08
17/9-1 R	2220.000000	2835.000000	VESTLAND GP	GROUP	\N	515	186	\N	9999-12-31	2013-05-08
17/9-1 R	738.000000	746.000000	VÅLE FM	FORMATION	ROGALAND GP	515	190	131	9999-12-31	2013-05-08
17/9-1 R	1464.000000	1933.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	515	198	23	9999-12-31	2013-05-08
17/9-1 R	2835.000000	2992.000000	NO GROUP DEFINED	GROUP	\N	515	208	\N	9999-12-31	2013-05-08
17/9-1 R	2992.000000	3161.000000	NO GROUP DEFINED	GROUP	\N	515	208	\N	9999-12-31	2013-05-08
7/11-7 R	3133.000000	3146.000000	BALDER FM	FORMATION	ROGALAND GP	519	6	131	9999-12-31	2013-05-08
7/11-7 R	4318.000000	4405.000000	CROMER KNOLL GP	GROUP	\N	519	23	\N	9999-12-31	2013-05-08
7/11-7 R	3390.000000	3468.000000	EKOFISK FM	FORMATION	SHETLAND GP	519	33	143	9999-12-31	2013-05-08
7/11-7 R	4448.000000	4527.000000	FARSUND FM	FORMATION	TYNE GP	519	39	177	9999-12-31	2013-05-08
7/11-7 R	3185.000000	3377.000000	FORTIES FM	FORMATION	ROGALAND GP	519	44	131	9999-12-31	2013-05-08
7/11-7 R	4208.000000	4318.000000	HIDRA FM	FORMATION	SHETLAND GP	519	65	143	9999-12-31	2013-05-08
7/11-7 R	3874.000000	4208.000000	HOD FM	FORMATION	SHETLAND GP	519	66	143	9999-12-31	2013-05-08
7/11-7 R	1615.000000	3133.000000	HORDALAND GP	GROUP	\N	519	67	\N	9999-12-31	2013-05-08
7/11-7 R	4405.000000	4448.000000	MANDAL FM	FORMATION	TYNE GP	519	101	177	9999-12-31	2013-05-08
7/11-7 R	3377.000000	3390.000000	MAUREEN FM	FORMATION	ROGALAND GP	519	102	131	9999-12-31	2013-05-08
7/11-7 R	112.000000	1615.000000	NORDLAND GP	GROUP	\N	519	113	\N	9999-12-31	2013-05-08
7/11-7 R	3133.000000	3390.000000	ROGALAND GP	GROUP	\N	519	131	\N	9999-12-31	2013-05-08
7/11-7 R	4318.000000	4360.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	519	137	23	9999-12-31	2013-05-08
7/11-7 R	3146.000000	3185.000000	SELE FM	FORMATION	ROGALAND GP	519	142	131	9999-12-31	2013-05-08
7/11-7 R	3390.000000	4318.000000	SHETLAND GP	GROUP	\N	519	143	\N	9999-12-31	2013-05-08
7/11-7 R	4566.000000	4856.000000	SKAGERRAK FM	FORMATION	HEGRE GP	519	146	61	9999-12-31	2013-05-08
7/11-7 R	3468.000000	3874.000000	TOR FM	FORMATION	SHETLAND GP	519	171	143	9999-12-31	2013-05-08
7/11-7 R	4405.000000	4527.000000	TYNE GP	GROUP	\N	519	177	\N	9999-12-31	2013-05-08
7/11-7 R	4527.000000	4566.000000	ULA FM	FORMATION	VESTLAND GP	519	179	186	9999-12-31	2013-05-08
7/11-7 R	4527.000000	4566.000000	VESTLAND GP	GROUP	\N	519	186	\N	9999-12-31	2013-05-08
7/11-7 R	4856.000000	4927.000000	ZECHSTEIN GP	GROUP	\N	519	194	\N	9999-12-31	2013-05-08
7/11-7 R	4360.000000	4405.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	519	198	23	9999-12-31	2013-05-08
7/11-7 R	4566.000000	4856.000000	NO GROUP DEFINED	GROUP	\N	519	208	\N	9999-12-31	2013-05-08
7121/1-1	698.000000	792.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	521	46	79	9999-12-31	2013-05-08
7121/1-1	698.000000	916.000000	KAPP TOSCANA GP	GROUP	\N	521	79	\N	9999-12-31	2013-05-08
7121/1-1	396.000000	519.000000	NORDLAND GP	GROUP	\N	521	113	\N	9999-12-31	2013-05-08
7121/1-1	792.000000	916.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	521	150	79	9999-12-31	2013-05-08
7121/1-1	519.000000	698.000000	SOTBAKKEN GP	GROUP	\N	521	154	\N	9999-12-31	2013-05-08
7121/1-1	519.000000	698.000000	TORSK FM	FORMATION	SOTBAKKEN GP	521	172	154	9999-12-31	2013-05-08
6407/6-2	243.000000	524.000000	NAUST FM	FORMATION	NORDLAND GP	522	109	113	9999-12-31	2013-05-08
6407/6-2	243.000000	524.000000	NORDLAND GP	GROUP	\N	522	113	\N	9999-12-31	2013-05-08
34/10-25	166.000000	600.000000	NORDLAND GP	GROUP	\N	523	113	\N	9999-12-31	2013-05-08
25/6-1	2344.000000	2417.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	524	4	29	9999-12-31	2013-05-08
25/6-1	1910.000000	1962.000000	BALDER FM	FORMATION	ROGALAND GP	524	6	131	9999-12-31	2013-05-08
25/6-1	2851.000000	2881.000000	BASEMENT	GROUP	\N	524	10	\N	9999-12-31	2013-05-08
25/6-1	2192.000000	2234.000000	CROMER KNOLL GP	GROUP	\N	524	23	\N	9999-12-31	2013-05-08
25/6-1	2297.000000	2344.000000	DRAKE FM	FORMATION	DUNLIN GP	524	27	29	9999-12-31	2013-05-08
25/6-1	2234.000000	2256.000000	DRAUPNE FM	FORMATION	VIKING GP	524	28	188	9999-12-31	2013-05-08
25/6-1	2297.000000	2417.000000	DUNLIN GP	GROUP	\N	524	29	\N	9999-12-31	2013-05-08
25/6-1	1373.000000	1395.000000	GRID FM	FORMATION	HORDALAND GP	524	53	67	9999-12-31	2013-05-08
25/6-1	2164.000000	2192.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	524	56	143	9999-12-31	2013-05-08
25/6-1	2256.000000	2277.000000	HEATHER FM	FORMATION	VIKING GP	524	60	188	9999-12-31	2013-05-08
25/6-1	886.000000	1910.000000	HORDALAND GP	GROUP	\N	524	67	\N	9999-12-31	2013-05-08
25/6-1	2277.000000	2290.000000	HUGIN FM	FORMATION	VESTLAND GP	524	69	186	9999-12-31	2013-05-08
25/6-1	2032.000000	2137.000000	LISTA FM	FORMATION	ROGALAND GP	524	95	131	9999-12-31	2013-05-08
25/6-1	2222.000000	2234.000000	MIME FM	FORMATION	CROMER KNOLL GP	524	106	23	9999-12-31	2013-05-08
25/6-1	1005.000000	1373.000000	NO FORMAL NAME	FORMATION	\N	524	111	\N	9999-12-31	2013-05-08
25/6-1	1395.000000	1910.000000	NO FORMAL NAME	FORMATION	\N	524	111	\N	9999-12-31	2013-05-08
25/6-1	147.000000	886.000000	NORDLAND GP	GROUP	\N	524	113	\N	9999-12-31	2013-05-08
25/6-1	1910.000000	2164.000000	ROGALAND GP	GROUP	\N	524	131	\N	9999-12-31	2013-05-08
25/6-1	1962.000000	2032.000000	SELE FM	FORMATION	ROGALAND GP	524	142	131	9999-12-31	2013-05-08
25/6-1	2164.000000	2192.000000	SHETLAND GP	GROUP	\N	524	143	\N	9999-12-31	2013-05-08
25/6-1	990.000000	1005.000000	SKADE FM	FORMATION	HORDALAND GP	524	145	67	9999-12-31	2013-05-08
25/6-1	2503.000000	2651.000000	SKAGERRAK FM	FORMATION	HEGRE GP	524	146	61	9999-12-31	2013-05-08
25/6-1	2290.000000	2297.000000	SLEIPNER FM	FORMATION	VESTLAND GP	524	148	186	9999-12-31	2013-05-08
25/6-1	2651.000000	2851.000000	SMITH BANK FM	FORMATION	HEGRE GP	524	149	61	9999-12-31	2013-05-08
25/6-1	2192.000000	2222.000000	SOLA FM	FORMATION	CROMER KNOLL GP	524	152	23	9999-12-31	2013-05-08
25/6-1	2417.000000	2503.000000	STATFJORD FM	FORMATION	\N	524	157	\N	9999-12-31	2013-05-08
25/6-1	2154.000000	2164.000000	TY FM	FORMATION	ROGALAND GP	524	176	131	9999-12-31	2013-05-08
25/6-1	723.000000	886.000000	UTSIRA FM	FORMATION	NORDLAND GP	524	183	113	9999-12-31	2013-05-08
25/6-1	2277.000000	2297.000000	VESTLAND GP	GROUP	\N	524	186	\N	9999-12-31	2013-05-08
25/6-1	2234.000000	2277.000000	VIKING GP	GROUP	\N	524	188	\N	9999-12-31	2013-05-08
25/6-1	2137.000000	2154.000000	VÅLE FM	FORMATION	ROGALAND GP	524	190	131	9999-12-31	2013-05-08
25/6-1	2417.000000	2503.000000	NO GROUP DEFINED	GROUP	\N	524	208	\N	9999-12-31	2013-05-08
25/6-1	2503.000000	2851.000000	NO GROUP DEFINED	GROUP	\N	524	208	\N	9999-12-31	2013-05-08
30/6-17 R	2441.000000	2563.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	849	4	29	9999-12-31	2013-05-08
30/6-17 R	1915.000000	1993.000000	BALDER FM	FORMATION	ROGALAND GP	849	6	131	9999-12-31	2013-05-08
30/6-17 R	2402.000000	2441.000000	COOK FM	FORMATION	DUNLIN GP	849	24	29	9999-12-31	2013-05-08
30/6-17 R	2309.000000	2402.000000	DRAKE FM	FORMATION	DUNLIN GP	849	27	29	9999-12-31	2013-05-08
30/6-17 R	2309.000000	2563.000000	DUNLIN GP	GROUP	\N	849	29	\N	9999-12-31	2013-05-08
30/6-17 R	890.000000	1915.000000	HORDALAND GP	GROUP	\N	849	67	\N	9999-12-31	2013-05-08
30/6-17 R	2181.000000	2296.000000	JORSALFARE FM	FORMATION	SHETLAND GP	849	74	143	9999-12-31	2013-05-08
30/6-17 R	2057.000000	2168.000000	LISTA FM	FORMATION	ROGALAND GP	849	95	131	9999-12-31	2013-05-08
30/6-17 R	876.000000	890.000000	NO FORMAL NAME	FORMATION	\N	849	111	\N	9999-12-31	2013-05-08
30/6-17 R	942.000000	960.000000	NO FORMAL NAME	FORMATION	\N	849	111	\N	9999-12-31	2013-05-08
30/6-17 R	960.000000	1280.000000	NO FORMAL NAME	FORMATION	\N	849	111	\N	9999-12-31	2013-05-08
30/6-17 R	1280.000000	1301.000000	NO FORMAL NAME	FORMATION	\N	849	111	\N	9999-12-31	2013-05-08
30/6-17 R	1301.000000	1405.000000	NO FORMAL NAME	FORMATION	\N	849	111	\N	9999-12-31	2013-05-08
30/6-17 R	1405.000000	1463.000000	NO FORMAL NAME	FORMATION	\N	849	111	\N	9999-12-31	2013-05-08
30/6-17 R	1463.000000	1915.000000	NO FORMAL NAME	FORMATION	\N	849	111	\N	9999-12-31	2013-05-08
30/6-17 R	135.000000	890.000000	NORDLAND GP	GROUP	\N	849	113	\N	9999-12-31	2013-05-08
30/6-17 R	1915.000000	2181.000000	ROGALAND GP	GROUP	\N	849	131	\N	9999-12-31	2013-05-08
30/6-17 R	1993.000000	2057.000000	SELE FM	FORMATION	ROGALAND GP	849	142	131	9999-12-31	2013-05-08
30/6-17 R	2181.000000	2296.000000	SHETLAND GP	GROUP	\N	849	143	\N	9999-12-31	2013-05-08
30/6-17 R	2563.000000	2650.000000	STATFJORD FM	FORMATION	\N	849	157	\N	9999-12-31	2013-05-08
30/6-17 R	652.000000	876.000000	UTSIRA FM	FORMATION	NORDLAND GP	849	183	113	9999-12-31	2013-05-08
30/6-17 R	2168.000000	2181.000000	VÅLE FM	FORMATION	ROGALAND GP	849	190	131	9999-12-31	2013-05-08
30/6-17 R	2296.000000	2309.000000	UNDEFINED GP	GROUP	\N	849	191	\N	9999-12-31	2013-05-08
30/6-17 R	2563.000000	2650.000000	NO GROUP DEFINED	GROUP	\N	849	208	\N	9999-12-31	2013-05-08
6506/12-5	1964.000000	2235.000000	BRYGGE FM	FORMATION	HORDALAND GP	852	18	67	9999-12-31	2013-05-08
6506/12-5	4138.000000	4587.000000	BÅT GP	GROUP	\N	852	22	\N	9999-12-31	2013-05-08
6506/12-5	3157.000000	3780.000000	CROMER KNOLL GP	GROUP	\N	852	23	\N	9999-12-31	2013-05-08
6506/12-5	3948.000000	4138.000000	FANGST GP	GROUP	\N	852	38	\N	9999-12-31	2013-05-08
6506/12-5	3948.000000	4040.000000	GARN FM	FORMATION	FANGST GP	852	48	38	9999-12-31	2013-05-08
6506/12-5	1964.000000	2235.000000	HORDALAND GP	GROUP	\N	852	67	\N	9999-12-31	2013-05-08
6506/12-5	4068.000000	4138.000000	ILE FM	FORMATION	FANGST GP	852	70	38	9999-12-31	2013-05-08
6506/12-5	1335.000000	1964.000000	KAI FM	FORMATION	NORDLAND GP	852	77	113	9999-12-31	2013-05-08
6506/12-5	3187.000000	3780.000000	LANGE FM	FORMATION	CROMER KNOLL GP	852	94	23	9999-12-31	2013-05-08
6506/12-5	3157.000000	3187.000000	LYSING FM	FORMATION	CROMER KNOLL GP	852	99	23	9999-12-31	2013-05-08
6506/12-5	3827.000000	3948.000000	MELKE FM	FORMATION	VIKING GP	852	105	188	9999-12-31	2013-05-08
6506/12-5	330.000000	1335.000000	NAUST FM	FORMATION	NORDLAND GP	852	109	113	9999-12-31	2013-05-08
6506/12-5	330.000000	1964.000000	NORDLAND GP	GROUP	\N	852	113	\N	9999-12-31	2013-05-08
6506/12-5	4040.000000	4068.000000	NOT FM	FORMATION	FANGST GP	852	120	38	9999-12-31	2013-05-08
6506/12-5	2235.000000	2346.000000	ROGALAND GP	GROUP	\N	852	131	\N	9999-12-31	2013-05-08
6506/12-5	4138.000000	4274.000000	ROR FM	FORMATION	BÅT GP	852	135	22	9999-12-31	2013-05-08
6506/12-5	2346.000000	3157.000000	SHETLAND GP	GROUP	\N	852	143	\N	9999-12-31	2013-05-08
6506/12-5	3780.000000	3827.000000	SPEKK FM	FORMATION	VIKING GP	852	155	188	9999-12-31	2013-05-08
6506/12-5	2283.000000	2346.000000	TANG FM	FORMATION	ROGALAND GP	852	161	131	9999-12-31	2013-05-08
6506/12-5	2235.000000	2283.000000	TARE FM	FORMATION	ROGALAND GP	852	163	131	9999-12-31	2013-05-08
6506/12-5	4274.000000	4510.000000	TILJE FM	FORMATION	BÅT GP	852	169	22	9999-12-31	2013-05-08
6506/12-5	3780.000000	3948.000000	VIKING GP	GROUP	\N	852	188	\N	9999-12-31	2013-05-08
6506/12-5	4510.000000	4587.000000	ÅRE FM	FORMATION	BÅT GP	852	197	22	9999-12-31	2013-05-08
6507/7-4	1906.000000	2009.000000	BRYGGE FM	FORMATION	HORDALAND GP	853	18	67	9999-12-31	2013-05-08
6507/7-4	2540.000000	2850.000000	BÅT GP	GROUP	\N	853	22	\N	9999-12-31	2013-05-08
6507/7-4	2449.000000	2540.000000	FANGST GP	GROUP	\N	853	38	\N	9999-12-31	2013-05-08
6507/7-4	2449.000000	2500.000000	GARN FM	FORMATION	FANGST GP	853	48	38	9999-12-31	2013-05-08
6507/7-4	1906.000000	2009.000000	HORDALAND GP	GROUP	\N	853	67	\N	9999-12-31	2013-05-08
6507/7-4	2516.000000	2540.000000	ILE FM	FORMATION	FANGST GP	853	70	38	9999-12-31	2013-05-08
6507/7-4	1483.000000	1906.000000	KAI FM	FORMATION	NORDLAND GP	853	77	113	9999-12-31	2013-05-08
6507/7-4	2399.000000	2449.000000	MELKE FM	FORMATION	VIKING GP	853	105	188	9999-12-31	2013-05-08
6507/7-4	370.000000	1483.000000	NAUST FM	FORMATION	NORDLAND GP	853	109	113	9999-12-31	2013-05-08
6507/7-4	370.000000	1906.000000	NORDLAND GP	GROUP	\N	853	113	\N	9999-12-31	2013-05-08
6507/7-4	2500.000000	2516.000000	NOT FM	FORMATION	FANGST GP	853	120	38	9999-12-31	2013-05-08
6507/7-4	2009.000000	2105.000000	ROGALAND GP	GROUP	\N	853	131	\N	9999-12-31	2013-05-08
6507/7-4	2540.000000	2604.000000	ROR FM	FORMATION	BÅT GP	853	135	22	9999-12-31	2013-05-08
6507/7-4	2105.000000	2399.000000	SHETLAND GP	GROUP	\N	853	143	\N	9999-12-31	2013-05-08
6507/7-4	2036.000000	2105.000000	TANG FM	FORMATION	ROGALAND GP	853	161	131	9999-12-31	2013-05-08
6507/7-4	2009.000000	2036.000000	TARE FM	FORMATION	ROGALAND GP	853	163	131	9999-12-31	2013-05-08
6507/7-4	2604.000000	2850.000000	TILJE FM	FORMATION	BÅT GP	853	169	22	9999-12-31	2013-05-08
6507/7-4	2399.000000	2449.000000	VIKING GP	GROUP	\N	853	188	\N	9999-12-31	2013-05-08
34/8-1	3198.000000	3324.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	854	4	29	9999-12-31	2013-05-08
34/8-1	1826.000000	1874.000000	BALDER FM	FORMATION	ROGALAND GP	854	6	131	9999-12-31	2013-05-08
34/8-1	2767.000000	2981.000000	BRENT GP	GROUP	\N	854	16	\N	9999-12-31	2013-05-08
34/8-1	2980.000000	2981.000000	BROOM FM	FORMATION	BRENT GP	854	17	16	9999-12-31	2013-05-08
34/8-1	3163.000000	3198.000000	BURTON FM	FORMATION	DUNLIN GP	854	20	29	9999-12-31	2013-05-08
34/8-1	2761.000000	2764.000000	CROMER KNOLL GP	GROUP	\N	854	23	\N	9999-12-31	2013-05-08
34/8-1	3044.000000	3163.000000	COOK FM	FORMATION	DUNLIN GP	854	24	29	9999-12-31	2013-05-08
34/8-1	2981.000000	3044.000000	DRAKE FM	FORMATION	DUNLIN GP	854	27	29	9999-12-31	2013-05-08
34/8-1	2764.000000	2765.000000	DRAUPNE FM	FORMATION	VIKING GP	854	28	188	9999-12-31	2013-05-08
34/8-1	2981.000000	3324.000000	DUNLIN GP	GROUP	\N	854	29	\N	9999-12-31	2013-05-08
34/8-1	2851.000000	2900.000000	ETIVE FM	FORMATION	BRENT GP	854	35	16	9999-12-31	2013-05-08
34/8-1	2765.000000	2767.000000	HEATHER FM	FORMATION	VIKING GP	854	60	188	9999-12-31	2013-05-08
34/8-1	3417.000000	3610.000000	HEGRE GP	GROUP	\N	854	61	\N	9999-12-31	2013-05-08
34/8-1	1136.000000	1826.000000	HORDALAND GP	GROUP	\N	854	67	\N	9999-12-31	2013-05-08
34/8-1	1874.000000	2006.000000	LISTA FM	FORMATION	ROGALAND GP	854	95	131	9999-12-31	2013-05-08
34/8-1	3417.000000	3610.000000	LUNDE FM	FORMATION	HEGRE GP	854	97	61	9999-12-31	2013-05-08
34/8-1	2803.000000	2851.000000	NESS FM	FORMATION	BRENT GP	854	110	16	9999-12-31	2013-05-08
34/8-1	349.000000	1136.000000	NORDLAND GP	GROUP	\N	854	113	\N	9999-12-31	2013-05-08
34/8-1	2900.000000	2980.000000	RANNOCH FM	FORMATION	BRENT GP	854	126	16	9999-12-31	2013-05-08
34/8-1	1826.000000	2006.000000	ROGALAND GP	GROUP	\N	854	131	\N	9999-12-31	2013-05-08
34/8-1	2006.000000	2761.000000	SHETLAND GP	GROUP	\N	854	143	\N	9999-12-31	2013-05-08
34/8-1	3324.000000	3417.000000	STATFJORD FM	FORMATION	\N	854	157	\N	9999-12-31	2013-05-08
34/8-1	2767.000000	2803.000000	TARBERT FM	FORMATION	BRENT GP	854	162	16	9999-12-31	2013-05-08
34/8-1	1090.000000	1136.000000	UTSIRA FM	FORMATION	NORDLAND GP	854	183	113	9999-12-31	2013-05-08
34/8-1	2764.000000	2767.000000	VIKING GP	GROUP	\N	854	188	\N	9999-12-31	2013-05-08
34/8-1	3324.000000	3417.000000	NO GROUP DEFINED	GROUP	\N	854	208	\N	9999-12-31	2013-05-08
25/2-10 S	2501.000000	2579.000000	BALDER FM	FORMATION	ROGALAND GP	855	6	131	9999-12-31	2013-05-08
25/2-10 S	2648.000000	2661.000000	BALDER FM	FORMATION	ROGALAND GP	855	6	131	9999-12-31	2013-05-08
25/2-10 S	2579.000000	2648.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	855	7	131	9999-12-31	2013-05-08
25/2-10 S	2661.000000	2695.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	855	7	131	9999-12-31	2013-05-08
25/2-10 S	2939.000000	2967.000000	EKOFISK FM	FORMATION	SHETLAND GP	855	33	143	9999-12-31	2013-05-08
25/2-10 S	2230.000000	2501.000000	FRIGG FM	FORMATION	HORDALAND GP	855	45	67	9999-12-31	2013-05-08
25/2-10 S	1732.000000	1740.000000	GRID FM	FORMATION	HORDALAND GP	855	53	67	9999-12-31	2013-05-08
25/2-10 S	630.000000	2501.000000	HORDALAND GP	GROUP	\N	855	67	\N	9999-12-31	2013-05-08
25/2-10 S	2739.000000	2811.000000	LISTA FM	FORMATION	ROGALAND GP	855	95	131	9999-12-31	2013-05-08
25/2-10 S	520.000000	630.000000	NO FORMAL NAME	FORMATION	\N	855	111	\N	9999-12-31	2013-05-08
25/2-10 S	1088.000000	1115.000000	NO FORMAL NAME	FORMATION	\N	855	111	\N	9999-12-31	2013-05-08
25/2-10 S	1115.000000	1148.000000	NO FORMAL NAME	FORMATION	\N	855	111	\N	9999-12-31	2013-05-08
25/2-10 S	1148.000000	1245.000000	NO FORMAL NAME	FORMATION	\N	855	111	\N	9999-12-31	2013-05-08
25/2-10 S	1245.000000	1264.000000	NO FORMAL NAME	FORMATION	\N	855	111	\N	9999-12-31	2013-05-08
25/2-10 S	1264.000000	1732.000000	NO FORMAL NAME	FORMATION	\N	855	111	\N	9999-12-31	2013-05-08
25/2-10 S	1740.000000	2230.000000	NO FORMAL NAME	FORMATION	\N	855	111	\N	9999-12-31	2013-05-08
25/2-10 S	141.000000	630.000000	NORDLAND GP	GROUP	\N	855	113	\N	9999-12-31	2013-05-08
25/2-10 S	2501.000000	2939.000000	ROGALAND GP	GROUP	\N	855	131	\N	9999-12-31	2013-05-08
25/2-10 S	2695.000000	2739.000000	SELE FM	FORMATION	ROGALAND GP	855	142	131	9999-12-31	2013-05-08
25/2-10 S	2939.000000	2967.000000	SHETLAND GP	GROUP	\N	855	143	\N	9999-12-31	2013-05-08
25/2-10 S	630.000000	1088.000000	SKADE FM	FORMATION	HORDALAND GP	855	145	67	9999-12-31	2013-05-08
25/2-10 S	2811.000000	2912.000000	TY FM	FORMATION	ROGALAND GP	855	176	131	9999-12-31	2013-05-08
25/2-10 S	475.000000	520.000000	UTSIRA FM	FORMATION	NORDLAND GP	855	183	113	9999-12-31	2013-05-08
25/2-10 S	2912.000000	2939.000000	VÅLE FM	FORMATION	ROGALAND GP	855	190	131	9999-12-31	2013-05-08
7/11-9	2966.000000	2993.000000	BALDER FM	FORMATION	ROGALAND GP	856	6	131	9999-12-31	2013-05-08
7/11-9	3872.000000	3874.000000	BLODØKS FM	FORMATION	SHETLAND GP	856	13	143	9999-12-31	2013-05-08
7/11-9	3899.000000	4027.000000	CROMER KNOLL GP	GROUP	\N	856	23	\N	9999-12-31	2013-05-08
7/11-9	3162.000000	3229.000000	EKOFISK FM	FORMATION	SHETLAND GP	856	33	143	9999-12-31	2013-05-08
7/11-9	4093.000000	4169.000000	FARSUND FM	FORMATION	TYNE GP	856	39	177	9999-12-31	2013-05-08
7/11-9	3034.000000	3094.000000	FORTIES FM	FORMATION	ROGALAND GP	856	44	131	9999-12-31	2013-05-08
7/11-9	3874.000000	3899.000000	HIDRA FM	FORMATION	SHETLAND GP	856	65	143	9999-12-31	2013-05-08
7/11-9	3625.000000	3872.000000	HOD FM	FORMATION	SHETLAND GP	856	66	143	9999-12-31	2013-05-08
7/11-9	1452.000000	2966.000000	HORDALAND GP	GROUP	\N	856	67	\N	9999-12-31	2013-05-08
7/11-9	3009.000000	3034.000000	LISTA FM	FORMATION	ROGALAND GP	856	95	131	9999-12-31	2013-05-08
7/11-9	4027.000000	4093.000000	MANDAL FM	FORMATION	TYNE GP	856	101	177	9999-12-31	2013-05-08
7/11-9	3094.000000	3162.000000	MAUREEN FM	FORMATION	ROGALAND GP	856	102	131	9999-12-31	2013-05-08
7/11-9	106.000000	1452.000000	NORDLAND GP	GROUP	\N	856	113	\N	9999-12-31	2013-05-08
7/11-9	2966.000000	3162.000000	ROGALAND GP	GROUP	\N	856	131	\N	9999-12-31	2013-05-08
7/11-9	3899.000000	4027.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	856	137	23	9999-12-31	2013-05-08
7/11-9	2993.000000	3009.000000	SELE FM	FORMATION	ROGALAND GP	856	142	131	9999-12-31	2013-05-08
7/11-9	3162.000000	3899.000000	SHETLAND GP	GROUP	\N	856	143	\N	9999-12-31	2013-05-08
7/11-9	4183.000000	4271.000000	SMITH BANK FM	FORMATION	HEGRE GP	856	149	61	9999-12-31	2013-05-08
7/11-9	3229.000000	3625.000000	TOR FM	FORMATION	SHETLAND GP	856	171	143	9999-12-31	2013-05-08
7/11-9	4027.000000	4169.000000	TYNE GP	GROUP	\N	856	177	\N	9999-12-31	2013-05-08
7/11-9	4169.000000	4183.000000	ULA FM	FORMATION	VESTLAND GP	856	179	186	9999-12-31	2013-05-08
7/11-9	4169.000000	4183.000000	VESTLAND GP	GROUP	\N	856	186	\N	9999-12-31	2013-05-08
7/11-9	4183.000000	4271.000000	NO GROUP DEFINED	GROUP	\N	856	208	\N	9999-12-31	2013-05-08
34/10-26	242.000000	600.000000	NORDLAND GP	GROUP	\N	858	113	\N	9999-12-31	2013-05-08
34/10-10 R	179.000000	816.000000	NORDLAND GP	GROUP	\N	859	113	\N	9999-12-31	2013-05-08
6507/7-5 A	1966.000000	2083.000000	BRYGGE FM	FORMATION	HORDALAND GP	860	18	67	9999-12-31	2013-05-08
6507/7-5 A	2583.000000	2673.000000	BÅT GP	GROUP	\N	860	22	\N	9999-12-31	2013-05-08
6507/7-5 A	2555.000000	2583.000000	FANGST GP	GROUP	\N	860	38	\N	9999-12-31	2013-05-08
6507/7-5 A	1966.000000	2083.000000	HORDALAND GP	GROUP	\N	860	67	\N	9999-12-31	2013-05-08
6507/7-5 A	1491.000000	1966.000000	KAI FM	FORMATION	NORDLAND GP	860	77	113	9999-12-31	2013-05-08
6507/7-5 A	356.000000	1966.000000	NORDLAND GP	GROUP	\N	860	113	\N	9999-12-31	2013-05-08
6507/7-5 A	2083.000000	2188.000000	ROGALAND GP	GROUP	\N	860	131	\N	9999-12-31	2013-05-08
6507/7-5 A	2188.000000	2555.000000	SHETLAND GP	GROUP	\N	860	143	\N	9999-12-31	2013-05-08
6507/7-5 A	2117.000000	2188.000000	TANG FM	FORMATION	ROGALAND GP	860	161	131	9999-12-31	2013-05-08
6507/7-5 A	2083.000000	2117.000000	TARE FM	FORMATION	ROGALAND GP	860	163	131	9999-12-31	2013-05-08
6507/7-5 A	2598.000000	2673.000000	TILJE FM	FORMATION	BÅT GP	860	169	22	9999-12-31	2013-05-08
6/3-2	2283.000000	2300.000000	BALDER FM	FORMATION	ROGALAND GP	862	6	131	9999-12-31	2013-05-08
6/3-2	2987.000000	3008.000000	CROMER KNOLL GP	GROUP	\N	862	23	\N	9999-12-31	2013-05-08
6/3-2	3008.000000	3017.000000	DRAUPNE FM	FORMATION	VIKING GP	862	28	188	9999-12-31	2013-05-08
6/3-2	2605.000000	2987.000000	HOD FM	FORMATION	SHETLAND GP	862	66	143	9999-12-31	2013-05-08
6/3-2	1160.000000	2283.000000	HORDALAND GP	GROUP	\N	862	67	\N	9999-12-31	2013-05-08
6/3-2	4043.000000	4045.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	862	88	194	9999-12-31	2013-05-08
6/3-2	2405.000000	2489.000000	LISTA FM	FORMATION	ROGALAND GP	862	95	131	9999-12-31	2013-05-08
6/3-2	3017.000000	3165.000000	NO FORMAL NAME	FORMATION	\N	862	111	\N	9999-12-31	2013-05-08
6/3-2	111.000000	1160.000000	NORDLAND GP	GROUP	\N	862	113	\N	9999-12-31	2013-05-08
6/3-2	2283.000000	2511.000000	ROGALAND GP	GROUP	\N	862	131	\N	9999-12-31	2013-05-08
6/3-2	4045.000000	4091.000000	ROTLIEGEND GP	GROUP	\N	862	136	\N	9999-12-31	2013-05-08
6/3-2	2300.000000	2405.000000	SELE FM	FORMATION	ROGALAND GP	862	142	131	9999-12-31	2013-05-08
6/3-2	2511.000000	2987.000000	SHETLAND GP	GROUP	\N	862	143	\N	9999-12-31	2013-05-08
6/3-2	3165.000000	3293.000000	SKAGERRAK FM	FORMATION	HEGRE GP	862	146	61	9999-12-31	2013-05-08
6/3-2	2987.000000	3000.000000	SOLA FM	FORMATION	CROMER KNOLL GP	862	152	23	9999-12-31	2013-05-08
6/3-2	2511.000000	2605.000000	TOR FM	FORMATION	SHETLAND GP	862	171	143	9999-12-31	2013-05-08
6/3-2	3293.000000	4043.000000	UNDIFFERENTIATED	FORMATION	\N	862	182	\N	9999-12-31	2013-05-08
6/3-2	3017.000000	3165.000000	VESTLAND GP	GROUP	\N	862	186	\N	9999-12-31	2013-05-08
6/3-2	3008.000000	3017.000000	VIKING GP	GROUP	\N	862	188	\N	9999-12-31	2013-05-08
6/3-2	2489.000000	2511.000000	VÅLE FM	FORMATION	ROGALAND GP	862	190	131	9999-12-31	2013-05-08
6/3-2	3293.000000	4045.000000	ZECHSTEIN GP	GROUP	\N	862	194	\N	9999-12-31	2013-05-08
6/3-2	3000.000000	3008.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	862	198	23	9999-12-31	2013-05-08
6/3-2	3165.000000	3293.000000	NO GROUP DEFINED	GROUP	\N	862	208	\N	9999-12-31	2013-05-08
6406/3-2	1970.000000	2309.000000	BRYGGE FM	FORMATION	HORDALAND GP	863	18	67	9999-12-31	2013-05-08
6406/3-2	4128.000000	4523.000000	BÅT GP	GROUP	\N	863	22	\N	9999-12-31	2013-05-08
6406/3-2	3119.000000	3841.000000	CROMER KNOLL GP	GROUP	\N	863	23	\N	9999-12-31	2013-05-08
6406/3-2	3930.000000	4128.000000	FANGST GP	GROUP	\N	863	38	\N	9999-12-31	2013-05-08
6406/3-2	3930.000000	4017.000000	GARN FM	FORMATION	FANGST GP	863	48	38	9999-12-31	2013-05-08
6406/3-2	1970.000000	2309.000000	HORDALAND GP	GROUP	\N	863	67	\N	9999-12-31	2013-05-08
6406/3-2	4069.000000	4128.000000	ILE FM	FORMATION	FANGST GP	863	70	38	9999-12-31	2013-05-08
6406/3-2	1493.000000	1970.000000	KAI FM	FORMATION	NORDLAND GP	863	77	113	9999-12-31	2013-05-08
6406/3-2	3867.000000	3930.000000	MELKE FM	FORMATION	VIKING GP	863	105	188	9999-12-31	2013-05-08
6406/3-2	322.000000	1970.000000	NORDLAND GP	GROUP	\N	863	113	\N	9999-12-31	2013-05-08
6406/3-2	4017.000000	4069.000000	NOT FM	FORMATION	FANGST GP	863	120	38	9999-12-31	2013-05-08
6406/3-2	2309.000000	2437.000000	ROGALAND GP	GROUP	\N	863	131	\N	9999-12-31	2013-05-08
6406/3-2	4128.000000	4178.000000	ROR FM	FORMATION	BÅT GP	863	135	22	9999-12-31	2013-05-08
6406/3-2	4203.000000	4285.000000	ROR FM	FORMATION	BÅT GP	863	135	22	9999-12-31	2013-05-08
6406/3-2	2437.000000	3119.000000	SHETLAND GP	GROUP	\N	863	143	\N	9999-12-31	2013-05-08
6406/3-2	3841.000000	3867.000000	SPEKK FM	FORMATION	VIKING GP	863	155	188	9999-12-31	2013-05-08
6406/3-2	2380.000000	2437.000000	TANG FM	FORMATION	ROGALAND GP	863	161	131	9999-12-31	2013-05-08
6406/3-2	2309.000000	2380.000000	TARE FM	FORMATION	ROGALAND GP	863	163	131	9999-12-31	2013-05-08
6406/3-2	4285.000000	4496.000000	TILJE FM	FORMATION	BÅT GP	863	169	22	9999-12-31	2013-05-08
6406/3-2	478.000000	1493.000000	TOFTE FM	FORMATION	BÅT GP	863	170	22	9999-12-31	2013-05-08
6406/3-2	4178.000000	4203.000000	TOFTE FM	FORMATION	BÅT GP	863	170	22	9999-12-31	2013-05-08
6406/3-2	3841.000000	3930.000000	VIKING GP	GROUP	\N	863	188	\N	9999-12-31	2013-05-08
6406/3-2	4496.000000	4523.000000	ÅRE FM	FORMATION	BÅT GP	863	197	22	9999-12-31	2013-05-08
34/10-27	167.000000	482.000000	NORDLAND GP	GROUP	\N	867	113	\N	9999-12-31	2013-05-08
6407/9-6	832.000000	1342.000000	BRYGGE FM	FORMATION	HORDALAND GP	871	18	67	9999-12-31	2013-05-08
6407/9-6	1775.000000	1800.000000	BÅT GP	GROUP	\N	871	22	\N	9999-12-31	2013-05-08
6407/9-6	1571.000000	1611.000000	CROMER KNOLL GP	GROUP	\N	871	23	\N	9999-12-31	2013-05-08
6407/9-6	1660.000000	1775.000000	FANGST GP	GROUP	\N	871	38	\N	9999-12-31	2013-05-08
6407/9-6	1660.000000	1744.000000	GARN FM	FORMATION	FANGST GP	871	48	38	9999-12-31	2013-05-08
6407/9-6	832.000000	1342.000000	HORDALAND GP	GROUP	\N	871	67	\N	9999-12-31	2013-05-08
6407/9-6	1571.000000	1611.000000	LANGE FM	FORMATION	CROMER KNOLL GP	871	94	23	9999-12-31	2013-05-08
6407/9-6	301.000000	832.000000	NORDLAND GP	GROUP	\N	871	113	\N	9999-12-31	2013-05-08
6407/9-6	1744.000000	1775.000000	NOT FM	FORMATION	FANGST GP	871	120	38	9999-12-31	2013-05-08
6407/9-6	1342.000000	1540.000000	ROGALAND GP	GROUP	\N	871	131	\N	9999-12-31	2013-05-08
6407/9-6	1643.000000	1660.000000	ROGN FM	FORMATION	VIKING GP	871	134	188	9999-12-31	2013-05-08
6407/9-6	1775.000000	1800.000000	ROR FM	FORMATION	BÅT GP	871	135	22	9999-12-31	2013-05-08
6407/9-6	1540.000000	1571.000000	SHETLAND GP	GROUP	\N	871	143	\N	9999-12-31	2013-05-08
6407/9-6	1611.000000	1643.000000	SPEKK FM	FORMATION	VIKING GP	871	155	188	9999-12-31	2013-05-08
6407/9-6	1376.000000	1540.000000	TANG FM	FORMATION	ROGALAND GP	871	161	131	9999-12-31	2013-05-08
6407/9-6	1342.000000	1376.000000	TARE FM	FORMATION	ROGALAND GP	871	163	131	9999-12-31	2013-05-08
6407/9-6	1611.000000	1660.000000	VIKING GP	GROUP	\N	871	188	\N	9999-12-31	2013-05-08
34/10-28	158.000000	528.000000	NORDLAND GP	GROUP	\N	872	113	\N	9999-12-31	2013-05-08
7120/1-1 R	692.000000	1106.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	874	46	79	9999-12-31	2013-05-08
7120/1-1 R	2373.000000	2403.000000	HAVERT FM	FORMATION	SASSENDALEN GP	874	58	140	9999-12-31	2013-05-08
7120/1-1 R	692.000000	2285.000000	KAPP TOSCANA GP	GROUP	\N	874	79	\N	9999-12-31	2013-05-08
7120/1-1 R	2315.000000	2373.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	874	80	140	9999-12-31	2013-05-08
7120/1-1 R	2285.000000	2315.000000	KOBBE FM	FORMATION	SASSENDALEN GP	874	83	140	9999-12-31	2013-05-08
7120/1-1 R	367.000000	490.000000	NORDLAND GP	GROUP	\N	874	113	\N	9999-12-31	2013-05-08
7120/1-1 R	2430.000000	2458.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	874	138	167	9999-12-31	2013-05-08
7120/1-1 R	2604.000000	2610.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	874	138	167	9999-12-31	2013-05-08
7120/1-1 R	2285.000000	2403.000000	SASSENDALEN GP	GROUP	\N	874	140	\N	9999-12-31	2013-05-08
7120/1-1 R	1106.000000	2285.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	874	150	79	9999-12-31	2013-05-08
7120/1-1 R	490.000000	692.000000	SOTBAKKEN GP	GROUP	\N	874	154	\N	9999-12-31	2013-05-08
7120/1-1 R	2403.000000	2610.000000	TEMPELFJORDEN GP	GROUP	\N	874	167	\N	9999-12-31	2013-05-08
7120/1-1 R	490.000000	692.000000	TORSK FM	FORMATION	SOTBAKKEN GP	874	172	154	9999-12-31	2013-05-08
7120/1-1 R	2403.000000	2430.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	874	196	167	9999-12-31	2013-05-08
7120/1-1 R	2458.000000	2604.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	874	196	167	9999-12-31	2013-05-08
34/4-6	1658.000000	1688.000000	BALDER FM	FORMATION	ROGALAND GP	875	6	131	9999-12-31	2013-05-08
34/4-6	2555.000000	2577.000000	CROMER KNOLL GP	GROUP	\N	875	23	\N	9999-12-31	2013-05-08
34/4-6	2577.000000	3282.000000	HEGRE GP	GROUP	\N	875	61	\N	9999-12-31	2013-05-08
34/4-6	1239.000000	1658.000000	HORDALAND GP	GROUP	\N	875	67	\N	9999-12-31	2013-05-08
34/4-6	1775.000000	2056.000000	JORSALFARE FM	FORMATION	SHETLAND GP	875	74	143	9999-12-31	2013-05-08
34/4-6	2056.000000	2555.000000	KYRRE FM	FORMATION	SHETLAND GP	875	92	143	9999-12-31	2013-05-08
34/4-6	1688.000000	1775.000000	LISTA FM	FORMATION	ROGALAND GP	875	95	131	9999-12-31	2013-05-08
34/4-6	3153.000000	3231.000000	LOMVI FM	FORMATION	HEGRE GP	875	96	61	9999-12-31	2013-05-08
34/4-6	2577.000000	3153.000000	LUNDE FM	FORMATION	HEGRE GP	875	97	61	9999-12-31	2013-05-08
34/4-6	2565.000000	2577.000000	MIME FM	FORMATION	CROMER KNOLL GP	875	106	23	9999-12-31	2013-05-08
34/4-6	1149.000000	1239.000000	NO FORMAL NAME	FORMATION	\N	875	111	\N	9999-12-31	2013-05-08
34/4-6	1359.000000	1387.000000	NO FORMAL NAME	FORMATION	\N	875	111	\N	9999-12-31	2013-05-08
34/4-6	1387.000000	1658.000000	NO FORMAL NAME	FORMATION	\N	875	111	\N	9999-12-31	2013-05-08
34/4-6	400.000000	1239.000000	NORDLAND GP	GROUP	\N	875	113	\N	9999-12-31	2013-05-08
34/4-6	1658.000000	1775.000000	ROGALAND GP	GROUP	\N	875	131	\N	9999-12-31	2013-05-08
34/4-6	2555.000000	2565.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	875	137	23	9999-12-31	2013-05-08
34/4-6	1775.000000	2555.000000	SHETLAND GP	GROUP	\N	875	143	\N	9999-12-31	2013-05-08
34/4-6	3231.000000	3282.000000	TEIST FM (INFORMAL)	FORMATION	HEGRE GP	875	166	61	9999-12-31	2013-05-08
34/4-6	1128.000000	1149.000000	UTSIRA FM	FORMATION	NORDLAND GP	875	183	113	9999-12-31	2013-05-08
34/10-30	2983.000000	3120.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	877	4	29	9999-12-31	2013-05-08
34/10-30	1785.000000	1856.000000	BALDER FM	FORMATION	ROGALAND GP	877	6	131	9999-12-31	2013-05-08
34/10-30	2941.000000	2945.000000	BRENT GP	GROUP	\N	877	16	\N	9999-12-31	2013-05-08
34/10-30	2918.000000	2941.000000	CROMER KNOLL GP	GROUP	\N	877	23	\N	9999-12-31	2013-05-08
34/10-30	2950.000000	2983.000000	COOK FM	FORMATION	DUNLIN GP	877	24	29	9999-12-31	2013-05-08
34/10-30	2945.000000	2950.000000	DRAKE FM	FORMATION	DUNLIN GP	877	27	29	9999-12-31	2013-05-08
34/10-30	2945.000000	3120.000000	DUNLIN GP	GROUP	\N	877	29	\N	9999-12-31	2013-05-08
34/10-30	3375.000000	3785.000000	HEGRE GP	GROUP	\N	877	61	\N	9999-12-31	2013-05-08
34/10-30	951.000000	1785.000000	HORDALAND GP	GROUP	\N	877	67	\N	9999-12-31	2013-05-08
34/10-30	1856.000000	2006.000000	LISTA FM	FORMATION	ROGALAND GP	877	95	131	9999-12-31	2013-05-08
34/10-30	3375.000000	3785.000000	LUNDE FM	FORMATION	HEGRE GP	877	97	61	9999-12-31	2013-05-08
34/10-30	158.000000	951.000000	NORDLAND GP	GROUP	\N	877	113	\N	9999-12-31	2013-05-08
34/10-30	1785.000000	2006.000000	ROGALAND GP	GROUP	\N	877	131	\N	9999-12-31	2013-05-08
34/10-30	2006.000000	2918.000000	SHETLAND GP	GROUP	\N	877	143	\N	9999-12-31	2013-05-08
34/10-30	3120.000000	3375.000000	STATFJORD FM	FORMATION	\N	877	157	\N	9999-12-31	2013-05-08
34/10-30	871.000000	951.000000	UTSIRA FM	FORMATION	NORDLAND GP	877	183	113	9999-12-31	2013-05-08
34/10-30	3120.000000	3375.000000	NO GROUP DEFINED	GROUP	\N	877	208	\N	9999-12-31	2013-05-08
34/7-8	2284.000000	2299.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	878	4	29	9999-12-31	2013-05-08
34/7-8	1658.000000	1695.000000	BALDER FM	FORMATION	ROGALAND GP	878	6	131	9999-12-31	2013-05-08
34/7-8	2274.000000	2278.000000	CROMER KNOLL GP	GROUP	\N	878	23	\N	9999-12-31	2013-05-08
34/7-8	2278.000000	2284.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	878	26	188	9999-12-31	2013-05-08
34/7-8	2284.000000	2299.000000	DUNLIN GP	GROUP	\N	878	29	\N	9999-12-31	2013-05-08
34/7-8	2417.000000	2766.000000	HEGRE GP	GROUP	\N	878	61	\N	9999-12-31	2013-05-08
34/7-8	1080.000000	1658.000000	HORDALAND GP	GROUP	\N	878	67	\N	9999-12-31	2013-05-08
34/7-8	1833.000000	1928.000000	JORSALFARE FM	FORMATION	SHETLAND GP	878	74	143	9999-12-31	2013-05-08
34/7-8	1928.000000	2274.000000	KYRRE FM	FORMATION	SHETLAND GP	878	92	143	9999-12-31	2013-05-08
34/7-8	1695.000000	1833.000000	LISTA FM	FORMATION	ROGALAND GP	878	95	131	9999-12-31	2013-05-08
34/7-8	2417.000000	2766.000000	LUNDE FM	FORMATION	HEGRE GP	878	97	61	9999-12-31	2013-05-08
34/7-8	2276.000000	2278.000000	MIME FM	FORMATION	CROMER KNOLL GP	878	106	23	9999-12-31	2013-05-08
34/7-8	1262.000000	1348.000000	NO FORMAL NAME	FORMATION	\N	878	111	\N	9999-12-31	2013-05-08
34/7-8	1348.000000	1445.000000	NO FORMAL NAME	FORMATION	\N	878	111	\N	9999-12-31	2013-05-08
34/7-8	1445.000000	1462.000000	NO FORMAL NAME	FORMATION	\N	878	111	\N	9999-12-31	2013-05-08
34/7-8	1462.000000	1658.000000	NO FORMAL NAME	FORMATION	\N	878	111	\N	9999-12-31	2013-05-08
34/7-8	312.000000	1080.000000	NORDLAND GP	GROUP	\N	878	113	\N	9999-12-31	2013-05-08
34/7-8	1658.000000	1833.000000	ROGALAND GP	GROUP	\N	878	131	\N	9999-12-31	2013-05-08
34/7-8	2274.000000	2276.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	878	137	23	9999-12-31	2013-05-08
34/7-8	1833.000000	2274.000000	SHETLAND GP	GROUP	\N	878	143	\N	9999-12-31	2013-05-08
34/7-8	2299.000000	2417.000000	STATFJORD FM	FORMATION	\N	878	157	\N	9999-12-31	2013-05-08
34/7-8	970.000000	1080.000000	UTSIRA FM	FORMATION	NORDLAND GP	878	183	113	9999-12-31	2013-05-08
34/7-8	2278.000000	2284.000000	VIKING GP	GROUP	\N	878	188	\N	9999-12-31	2013-05-08
34/7-8	2299.000000	2417.000000	NO GROUP DEFINED	GROUP	\N	878	208	\N	9999-12-31	2013-05-08
6507/7-5	1904.000000	1998.000000	BRYGGE FM	FORMATION	HORDALAND GP	879	18	67	9999-12-31	2013-05-08
6507/7-5	2424.000000	2660.000000	BÅT GP	GROUP	\N	879	22	\N	9999-12-31	2013-05-08
6507/7-5	2353.000000	2424.000000	FANGST GP	GROUP	\N	879	38	\N	9999-12-31	2013-05-08
6507/7-5	2353.000000	2399.000000	GARN FM	FORMATION	FANGST GP	879	48	38	9999-12-31	2013-05-08
6507/7-5	1904.000000	1998.000000	HORDALAND GP	GROUP	\N	879	67	\N	9999-12-31	2013-05-08
6507/7-5	2409.000000	2424.000000	ILE FM	FORMATION	FANGST GP	879	70	38	9999-12-31	2013-05-08
6507/7-5	1482.000000	1904.000000	KAI FM	FORMATION	NORDLAND GP	879	77	113	9999-12-31	2013-05-08
6507/7-5	2316.000000	2353.000000	MELKE FM	FORMATION	VIKING GP	879	105	188	9999-12-31	2013-05-08
6507/7-5	356.000000	1482.000000	NAUST FM	FORMATION	NORDLAND GP	879	109	113	9999-12-31	2013-05-08
6507/7-5	356.000000	1904.000000	NORDLAND GP	GROUP	\N	879	113	\N	9999-12-31	2013-05-08
6507/7-5	2399.000000	2409.000000	NOT FM	FORMATION	FANGST GP	879	120	38	9999-12-31	2013-05-08
6507/7-5	1998.000000	2086.000000	ROGALAND GP	GROUP	\N	879	131	\N	9999-12-31	2013-05-08
6507/7-5	2424.000000	2474.000000	ROR FM	FORMATION	BÅT GP	879	135	22	9999-12-31	2013-05-08
6507/7-5	2086.000000	2310.000000	SHETLAND GP	GROUP	\N	879	143	\N	9999-12-31	2013-05-08
6507/7-5	2310.000000	2316.000000	SPEKK FM	FORMATION	VIKING GP	879	155	188	9999-12-31	2013-05-08
6507/7-5	2025.000000	2086.000000	TANG FM	FORMATION	ROGALAND GP	879	161	131	9999-12-31	2013-05-08
6507/7-5	1998.000000	2025.000000	TARE FM	FORMATION	ROGALAND GP	879	163	131	9999-12-31	2013-05-08
6507/7-5	2474.000000	2660.000000	TILJE FM	FORMATION	BÅT GP	879	169	22	9999-12-31	2013-05-08
6507/7-5	2310.000000	2353.000000	VIKING GP	GROUP	\N	879	188	\N	9999-12-31	2013-05-08
7121/7-2	923.000000	1882.000000	ADVENTDALEN GP	GROUP	\N	881	1	\N	9999-12-31	2013-05-08
7121/7-2	2073.000000	2156.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	881	46	79	9999-12-31	2013-05-08
7121/7-2	1880.000000	1882.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	881	47	1	9999-12-31	2013-05-08
7121/7-2	1806.000000	1880.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	881	63	1	9999-12-31	2013-05-08
7121/7-2	1882.000000	2156.000000	KAPP TOSCANA GP	GROUP	\N	881	79	\N	9999-12-31	2013-05-08
7121/7-2	1728.000000	1806.000000	KNURR FM	FORMATION	ADVENTDALEN GP	881	82	1	9999-12-31	2013-05-08
7121/7-2	1578.000000	1728.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	881	84	1	9999-12-31	2013-05-08
7121/7-2	923.000000	1578.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	881	85	1	9999-12-31	2013-05-08
7121/7-2	889.000000	923.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	881	89	122	9999-12-31	2013-05-08
7121/7-2	347.000000	430.000000	NORDLAND GP	GROUP	\N	881	113	\N	9999-12-31	2013-05-08
7121/7-2	1938.000000	2028.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	881	118	79	9999-12-31	2013-05-08
7121/7-2	889.000000	923.000000	NYGRUNNEN GP	GROUP	\N	881	122	\N	9999-12-31	2013-05-08
7121/7-2	430.000000	889.000000	SOTBAKKEN GP	GROUP	\N	881	154	\N	9999-12-31	2013-05-08
7121/7-2	1882.000000	1938.000000	STØ FM	FORMATION	KAPP TOSCANA GP	881	159	79	9999-12-31	2013-05-08
7121/7-2	430.000000	889.000000	TORSK FM	FORMATION	SOTBAKKEN GP	881	172	154	9999-12-31	2013-05-08
7121/7-2	2028.000000	2073.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	881	174	79	9999-12-31	2013-05-08
25/5-1	3129.000000	3232.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	884	4	29	9999-12-31	2013-05-08
25/5-1	2169.000000	2200.000000	BALDER FM	FORMATION	ROGALAND GP	884	6	131	9999-12-31	2013-05-08
25/5-1	2214.000000	2240.000000	BALDER FM	FORMATION	ROGALAND GP	884	6	131	9999-12-31	2013-05-08
25/5-1	2200.000000	2214.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	884	7	131	9999-12-31	2013-05-08
25/5-1	2900.000000	2905.000000	CROMER KNOLL GP	GROUP	\N	884	23	\N	9999-12-31	2013-05-08
25/5-1	3060.000000	3129.000000	DRAKE FM	FORMATION	DUNLIN GP	884	27	29	9999-12-31	2013-05-08
25/5-1	2905.000000	2955.000000	DRAUPNE FM	FORMATION	VIKING GP	884	28	188	9999-12-31	2013-05-08
25/5-1	3060.000000	3232.000000	DUNLIN GP	GROUP	\N	884	29	\N	9999-12-31	2013-05-08
25/5-1	1287.000000	1345.000000	GRID FM	FORMATION	HORDALAND GP	884	53	67	9999-12-31	2013-05-08
25/5-1	2588.000000	2802.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	884	56	143	9999-12-31	2013-05-08
25/5-1	2955.000000	2984.000000	HEATHER FM	FORMATION	VIKING GP	884	60	188	9999-12-31	2013-05-08
25/5-1	920.000000	2169.000000	HORDALAND GP	GROUP	\N	884	67	\N	9999-12-31	2013-05-08
25/5-1	2984.000000	2996.000000	HUGIN FM	FORMATION	VESTLAND GP	884	69	186	9999-12-31	2013-05-08
25/5-1	2802.000000	2900.000000	KYRRE FM	FORMATION	SHETLAND GP	884	92	143	9999-12-31	2013-05-08
25/5-1	2275.000000	2400.000000	LISTA FM	FORMATION	ROGALAND GP	884	95	131	9999-12-31	2013-05-08
25/5-1	1102.000000	1287.000000	NO FORMAL NAME	FORMATION	\N	884	111	\N	9999-12-31	2013-05-08
25/5-1	1345.000000	2169.000000	NO FORMAL NAME	FORMATION	\N	884	111	\N	9999-12-31	2013-05-08
25/5-1	143.000000	920.000000	NORDLAND GP	GROUP	\N	884	113	\N	9999-12-31	2013-05-08
25/5-1	2169.000000	2588.000000	ROGALAND GP	GROUP	\N	884	131	\N	9999-12-31	2013-05-08
25/5-1	2240.000000	2275.000000	SELE FM	FORMATION	ROGALAND GP	884	142	131	9999-12-31	2013-05-08
25/5-1	2588.000000	2900.000000	SHETLAND GP	GROUP	\N	884	143	\N	9999-12-31	2013-05-08
25/5-1	951.000000	1102.000000	SKADE FM	FORMATION	HORDALAND GP	884	145	67	9999-12-31	2013-05-08
25/5-1	2996.000000	3060.000000	SLEIPNER FM	FORMATION	VESTLAND GP	884	148	186	9999-12-31	2013-05-08
25/5-1	3232.000000	3374.000000	STATFJORD FM	FORMATION	\N	884	157	\N	9999-12-31	2013-05-08
25/5-1	2400.000000	2570.000000	TY FM	FORMATION	ROGALAND GP	884	176	131	9999-12-31	2013-05-08
25/5-1	612.000000	920.000000	UTSIRA FM	FORMATION	NORDLAND GP	884	183	113	9999-12-31	2013-05-08
25/5-1	2984.000000	3060.000000	VESTLAND GP	GROUP	\N	884	186	\N	9999-12-31	2013-05-08
25/5-1	2905.000000	2984.000000	VIKING GP	GROUP	\N	884	188	\N	9999-12-31	2013-05-08
25/5-1	2570.000000	2588.000000	VÅLE FM	FORMATION	ROGALAND GP	884	190	131	9999-12-31	2013-05-08
25/5-1	3232.000000	3374.000000	NO GROUP DEFINED	GROUP	\N	884	208	\N	9999-12-31	2013-05-08
25/5-1	3374.000000	3429.000000	NO GROUP DEFINED	GROUP	\N	884	208	\N	9999-12-31	2013-05-08
34/10-31	164.000000	420.000000	NORDLAND GP	GROUP	\N	887	113	\N	9999-12-31	2013-05-08
34/10-27 R	167.000000	482.000000	NORDLAND GP	GROUP	\N	888	113	\N	9999-12-31	2013-05-08
34/7-9	1657.000000	1681.000000	BALDER FM	FORMATION	ROGALAND GP	889	6	131	9999-12-31	2013-05-08
34/7-9	2429.000000	2443.000000	CROMER KNOLL GP	GROUP	\N	889	23	\N	9999-12-31	2013-05-08
34/7-9	2443.000000	3240.000000	HEGRE GP	GROUP	\N	889	61	\N	9999-12-31	2013-05-08
34/7-9	1172.000000	1657.000000	HORDALAND GP	GROUP	\N	889	67	\N	9999-12-31	2013-05-08
34/7-9	1807.000000	2025.000000	JORSALFARE FM	FORMATION	SHETLAND GP	889	74	143	9999-12-31	2013-05-08
34/7-9	2025.000000	2429.000000	KYRRE FM	FORMATION	SHETLAND GP	889	92	143	9999-12-31	2013-05-08
34/7-9	1681.000000	1807.000000	LISTA FM	FORMATION	ROGALAND GP	889	95	131	9999-12-31	2013-05-08
34/7-9	2443.000000	3240.000000	LUNDE FM	FORMATION	HEGRE GP	889	97	61	9999-12-31	2013-05-08
34/7-9	1089.000000	1172.000000	NO FORMAL NAME	FORMATION	\N	889	111	\N	9999-12-31	2013-05-08
34/7-9	1445.000000	1511.000000	NO FORMAL NAME	FORMATION	\N	889	111	\N	9999-12-31	2013-05-08
34/7-9	1511.000000	1657.000000	NO FORMAL NAME	FORMATION	\N	889	111	\N	9999-12-31	2013-05-08
34/7-9	356.000000	1172.000000	NORDLAND GP	GROUP	\N	889	113	\N	9999-12-31	2013-05-08
34/7-9	1657.000000	1807.000000	ROGALAND GP	GROUP	\N	889	131	\N	9999-12-31	2013-05-08
34/7-9	2429.000000	2435.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	889	137	23	9999-12-31	2013-05-08
34/7-9	1807.000000	2429.000000	SHETLAND GP	GROUP	\N	889	143	\N	9999-12-31	2013-05-08
34/7-9	1031.000000	1089.000000	UTSIRA FM	FORMATION	NORDLAND GP	889	183	113	9999-12-31	2013-05-08
34/7-9	2435.000000	2443.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	889	198	23	9999-12-31	2013-05-08
35/11-2	3712.000000	3730.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	893	4	29	9999-12-31	2013-05-08
35/11-2	3775.000000	3798.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	893	4	29	9999-12-31	2013-05-08
35/11-2	1663.000000	1721.000000	BALDER FM	FORMATION	ROGALAND GP	893	6	131	9999-12-31	2013-05-08
35/11-2	3370.000000	3601.000000	BRENT GP	GROUP	\N	893	16	\N	9999-12-31	2013-05-08
35/11-2	2682.000000	2927.000000	CROMER KNOLL GP	GROUP	\N	893	23	\N	9999-12-31	2013-05-08
35/11-2	3615.000000	3712.000000	COOK FM	FORMATION	DUNLIN GP	893	24	29	9999-12-31	2013-05-08
35/11-2	3601.000000	3615.000000	DRAKE FM	FORMATION	DUNLIN GP	893	27	29	9999-12-31	2013-05-08
35/11-2	2927.000000	3011.000000	DRAUPNE FM	FORMATION	VIKING GP	893	28	188	9999-12-31	2013-05-08
35/11-2	3601.000000	3798.000000	DUNLIN GP	GROUP	\N	893	29	\N	9999-12-31	2013-05-08
35/11-2	3475.000000	3487.000000	ETIVE FM	FORMATION	BRENT GP	893	35	16	9999-12-31	2013-05-08
35/11-2	3011.000000	3042.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	893	59	188	9999-12-31	2013-05-08
35/11-2	3042.000000	3370.000000	HEATHER FM	FORMATION	VIKING GP	893	60	188	9999-12-31	2013-05-08
35/11-2	1081.000000	1663.000000	HORDALAND GP	GROUP	\N	893	67	\N	9999-12-31	2013-05-08
35/11-2	3730.000000	3775.000000	JOHANSEN FM	FORMATION	DUNLIN GP	893	73	29	9999-12-31	2013-05-08
35/11-2	1950.000000	2087.000000	JORSALFARE FM	FORMATION	SHETLAND GP	893	74	143	9999-12-31	2013-05-08
35/11-2	2087.000000	2675.000000	KYRRE FM	FORMATION	SHETLAND GP	893	92	143	9999-12-31	2013-05-08
35/11-2	1753.000000	1926.000000	LISTA FM	FORMATION	ROGALAND GP	893	95	131	9999-12-31	2013-05-08
35/11-2	3380.000000	3475.000000	NESS FM	FORMATION	BRENT GP	893	110	16	9999-12-31	2013-05-08
35/11-2	395.000000	1081.000000	NORDLAND GP	GROUP	\N	893	113	\N	9999-12-31	2013-05-08
35/11-2	3524.000000	3601.000000	OSEBERG FM	FORMATION	BRENT GP	893	123	16	9999-12-31	2013-05-08
35/11-2	3487.000000	3524.000000	RANNOCH FM	FORMATION	BRENT GP	893	126	16	9999-12-31	2013-05-08
35/11-2	1663.000000	1950.000000	ROGALAND GP	GROUP	\N	893	131	\N	9999-12-31	2013-05-08
35/11-2	2682.000000	2710.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	893	137	23	9999-12-31	2013-05-08
35/11-2	1721.000000	1753.000000	SELE FM	FORMATION	ROGALAND GP	893	142	131	9999-12-31	2013-05-08
35/11-2	1950.000000	2682.000000	SHETLAND GP	GROUP	\N	893	143	\N	9999-12-31	2013-05-08
35/11-2	2710.000000	2721.000000	SOLA FM	FORMATION	CROMER KNOLL GP	893	152	23	9999-12-31	2013-05-08
35/11-2	3798.000000	4025.000000	STATFJORD FM	FORMATION	\N	893	157	\N	9999-12-31	2013-05-08
35/11-2	3370.000000	3380.000000	TARBERT FM	FORMATION	BRENT GP	893	162	16	9999-12-31	2013-05-08
35/11-2	2675.000000	2682.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	893	173	143	9999-12-31	2013-05-08
35/11-2	935.000000	1081.000000	UTSIRA FM	FORMATION	NORDLAND GP	893	183	113	9999-12-31	2013-05-08
35/11-2	2927.000000	3370.000000	VIKING GP	GROUP	\N	893	188	\N	9999-12-31	2013-05-08
35/11-2	1926.000000	1950.000000	VÅLE FM	FORMATION	ROGALAND GP	893	190	131	9999-12-31	2013-05-08
35/11-2	2721.000000	2927.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	893	198	23	9999-12-31	2013-05-08
35/11-2	3798.000000	4025.000000	NO GROUP DEFINED	GROUP	\N	893	208	\N	9999-12-31	2013-05-08
30/6-17 A	2488.000000	2632.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	894	4	29	9999-12-31	2013-05-08
30/6-17 A	1924.000000	2008.000000	BALDER FM	FORMATION	ROGALAND GP	894	6	131	9999-12-31	2013-05-08
30/6-17 A	2460.000000	2488.000000	COOK FM	FORMATION	DUNLIN GP	894	24	29	9999-12-31	2013-05-08
30/6-17 A	2420.000000	2460.000000	DRAKE FM	FORMATION	DUNLIN GP	894	27	29	9999-12-31	2013-05-08
30/6-17 A	2420.000000	2632.000000	DUNLIN GP	GROUP	\N	894	29	\N	9999-12-31	2013-05-08
30/6-17 A	890.000000	1924.000000	HORDALAND GP	GROUP	\N	894	67	\N	9999-12-31	2013-05-08
30/6-17 A	2235.000000	2411.000000	JORSALFARE FM	FORMATION	SHETLAND GP	894	74	143	9999-12-31	2013-05-08
30/6-17 A	2094.000000	2216.000000	LISTA FM	FORMATION	ROGALAND GP	894	95	131	9999-12-31	2013-05-08
30/6-17 A	876.000000	890.000000	NO FORMAL NAME	FORMATION	\N	894	111	\N	9999-12-31	2013-05-08
30/6-17 A	942.000000	960.000000	NO FORMAL NAME	FORMATION	\N	894	111	\N	9999-12-31	2013-05-08
30/6-17 A	960.000000	1280.000000	NO FORMAL NAME	FORMATION	\N	894	111	\N	9999-12-31	2013-05-08
30/6-17 A	1280.000000	1301.000000	NO FORMAL NAME	FORMATION	\N	894	111	\N	9999-12-31	2013-05-08
30/6-17 A	1301.000000	1405.000000	NO FORMAL NAME	FORMATION	\N	894	111	\N	9999-12-31	2013-05-08
30/6-17 A	1405.000000	1463.000000	NO FORMAL NAME	FORMATION	\N	894	111	\N	9999-12-31	2013-05-08
30/6-17 A	1463.000000	1924.000000	NO FORMAL NAME	FORMATION	\N	894	111	\N	9999-12-31	2013-05-08
30/6-17 A	135.000000	890.000000	NORDLAND GP	GROUP	\N	894	113	\N	9999-12-31	2013-05-08
30/6-17 A	1924.000000	2235.000000	ROGALAND GP	GROUP	\N	894	131	\N	9999-12-31	2013-05-08
30/6-17 A	2008.000000	2094.000000	SELE FM	FORMATION	ROGALAND GP	894	142	131	9999-12-31	2013-05-08
30/6-17 A	2235.000000	2411.000000	SHETLAND GP	GROUP	\N	894	143	\N	9999-12-31	2013-05-08
30/6-17 A	2632.000000	2686.000000	STATFJORD FM	FORMATION	\N	894	157	\N	9999-12-31	2013-05-08
30/6-17 A	652.000000	876.000000	UTSIRA FM	FORMATION	NORDLAND GP	894	183	113	9999-12-31	2013-05-08
30/6-17 A	2216.000000	2235.000000	VÅLE FM	FORMATION	ROGALAND GP	894	190	131	9999-12-31	2013-05-08
30/6-17 A	2411.000000	2420.000000	UNDEFINED GP	GROUP	\N	894	191	\N	9999-12-31	2013-05-08
30/6-17 A	2632.000000	2686.000000	NO GROUP DEFINED	GROUP	\N	894	208	\N	9999-12-31	2013-05-08
2/4-1	98.000000	1662.000000	NORDLAND GP	GROUP	\N	895	113	\N	9999-12-31	2013-05-08
7121/1-1 R	3502.000000	3990.000000	BJARMELAND GP	GROUP	\N	896	12	\N	9999-12-31	2013-05-08
7121/1-1 R	698.000000	792.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	896	46	79	9999-12-31	2013-05-08
7121/1-1 R	3990.000000	5000.000000	GIPSDALEN GP	GROUP	\N	896	51	\N	9999-12-31	2013-05-08
7121/1-1 R	2786.000000	2993.000000	HAVERT FM	FORMATION	SASSENDALEN GP	896	58	140	9999-12-31	2013-05-08
7121/1-1 R	3502.000000	3586.000000	ISBJØRN FM	FORMATION	BJARMELAND GP	896	72	12	9999-12-31	2013-05-08
7121/1-1 R	3625.000000	3700.000000	ISBJØRN FM	FORMATION	BJARMELAND GP	896	72	12	9999-12-31	2013-05-08
7121/1-1 R	698.000000	2210.000000	KAPP TOSCANA GP	GROUP	\N	896	79	\N	9999-12-31	2013-05-08
7121/1-1 R	2605.000000	2786.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	896	80	140	9999-12-31	2013-05-08
7121/1-1 R	2210.000000	2605.000000	KOBBE FM	FORMATION	SASSENDALEN GP	896	83	140	9999-12-31	2013-05-08
7121/1-1 R	396.000000	519.000000	NORDLAND GP	GROUP	\N	896	113	\N	9999-12-31	2013-05-08
7121/1-1 R	3700.000000	3990.000000	POLARREV FM	FORMATION	BJARMELAND GP	896	124	12	9999-12-31	2013-05-08
7121/1-1 R	2993.000000	3502.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	896	138	167	9999-12-31	2013-05-08
7121/1-1 R	2210.000000	2993.000000	SASSENDALEN GP	GROUP	\N	896	140	\N	9999-12-31	2013-05-08
7121/1-1 R	792.000000	2210.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	896	150	79	9999-12-31	2013-05-08
7121/1-1 R	519.000000	698.000000	SOTBAKKEN GP	GROUP	\N	896	154	\N	9999-12-31	2013-05-08
7121/1-1 R	2993.000000	3502.000000	TEMPELFJORDEN GP	GROUP	\N	896	167	\N	9999-12-31	2013-05-08
7121/1-1 R	519.000000	698.000000	TORSK FM	FORMATION	SOTBAKKEN GP	896	172	154	9999-12-31	2013-05-08
7121/1-1 R	3586.000000	3625.000000	ULV FM	FORMATION	BJARMELAND GP	896	181	12	9999-12-31	2013-05-08
7121/1-1 R	3990.000000	5000.000000	ØRN FM	FORMATION	GIPSDALEN GP	896	195	51	9999-12-31	2013-05-08
7120/1-1 R2	3947.000000	4003.000000	BASEMENT	GROUP	\N	897	10	\N	9999-12-31	2013-05-08
7120/1-1 R2	2997.000000	3220.000000	BJARMELAND GP	GROUP	\N	897	12	\N	9999-12-31	2013-05-08
7120/1-1 R2	692.000000	1106.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	897	46	79	9999-12-31	2013-05-08
7120/1-1 R2	3220.000000	3947.000000	GIPSDALEN GP	GROUP	\N	897	51	\N	9999-12-31	2013-05-08
7120/1-1 R2	2373.000000	2403.000000	HAVERT FM	FORMATION	SASSENDALEN GP	897	58	140	9999-12-31	2013-05-08
7120/1-1 R2	692.000000	2285.000000	KAPP TOSCANA GP	GROUP	\N	897	79	\N	9999-12-31	2013-05-08
7120/1-1 R2	2315.000000	2373.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	897	80	140	9999-12-31	2013-05-08
7120/1-1 R2	2285.000000	2315.000000	KOBBE FM	FORMATION	SASSENDALEN GP	897	83	140	9999-12-31	2013-05-08
7120/1-1 R2	367.000000	490.000000	NORDLAND GP	GROUP	\N	897	113	\N	9999-12-31	2013-05-08
7120/1-1 R2	2430.000000	2458.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	897	138	167	9999-12-31	2013-05-08
7120/1-1 R2	2604.000000	2997.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	897	138	167	9999-12-31	2013-05-08
7120/1-1 R2	2285.000000	2403.000000	SASSENDALEN GP	GROUP	\N	897	140	\N	9999-12-31	2013-05-08
7120/1-1 R2	1106.000000	2285.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	897	150	79	9999-12-31	2013-05-08
7120/1-1 R2	490.000000	692.000000	SOTBAKKEN GP	GROUP	\N	897	154	\N	9999-12-31	2013-05-08
7120/1-1 R2	2403.000000	2997.000000	TEMPELFJORDEN GP	GROUP	\N	897	167	\N	9999-12-31	2013-05-08
7120/1-1 R2	490.000000	692.000000	TORSK FM	FORMATION	SOTBAKKEN GP	897	172	154	9999-12-31	2013-05-08
7120/1-1 R2	2997.000000	3220.000000	ULV FM	FORMATION	BJARMELAND GP	897	181	12	9999-12-31	2013-05-08
7120/1-1 R2	3220.000000	3947.000000	ØRN FM	FORMATION	GIPSDALEN GP	897	195	51	9999-12-31	2013-05-08
7120/1-1 R2	2403.000000	2430.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	897	196	167	9999-12-31	2013-05-08
7120/1-1 R2	2458.000000	2604.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	897	196	167	9999-12-31	2013-05-08
25/7-1 S	1992.000000	2066.000000	BALDER FM	FORMATION	ROGALAND GP	898	6	131	9999-12-31	2013-05-08
25/7-1 S	3551.000000	3592.000000	BASEMENT	GROUP	\N	898	10	\N	9999-12-31	2013-05-08
25/7-1 S	3522.000000	3551.000000	CROMER KNOLL GP	GROUP	\N	898	23	\N	9999-12-31	2013-05-08
25/7-1 S	2572.000000	2615.000000	EKOFISK FM	FORMATION	SHETLAND GP	898	33	143	9999-12-31	2013-05-08
25/7-1 S	2177.000000	2414.000000	HEIMDAL FM	FORMATION	ROGALAND GP	898	62	131	9999-12-31	2013-05-08
25/7-1 S	3217.000000	3522.000000	HIDRA FM	FORMATION	SHETLAND GP	898	65	143	9999-12-31	2013-05-08
25/7-1 S	2859.000000	3217.000000	HOD FM	FORMATION	SHETLAND GP	898	66	143	9999-12-31	2013-05-08
25/7-1 S	925.000000	1992.000000	HORDALAND GP	GROUP	\N	898	67	\N	9999-12-31	2013-05-08
25/7-1 S	152.000000	925.000000	NORDLAND GP	GROUP	\N	898	113	\N	9999-12-31	2013-05-08
25/7-1 S	1992.000000	2572.000000	ROGALAND GP	GROUP	\N	898	131	\N	9999-12-31	2013-05-08
25/7-1 S	3522.000000	3551.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	898	137	23	9999-12-31	2013-05-08
25/7-1 S	2066.000000	2177.000000	SELE FM	FORMATION	ROGALAND GP	898	142	131	9999-12-31	2013-05-08
25/7-1 S	2572.000000	3522.000000	SHETLAND GP	GROUP	\N	898	143	\N	9999-12-31	2013-05-08
25/7-1 S	1017.000000	1992.000000	SKADE FM	FORMATION	HORDALAND GP	898	145	67	9999-12-31	2013-05-08
25/7-1 S	2615.000000	2859.000000	TOR FM	FORMATION	SHETLAND GP	898	171	143	9999-12-31	2013-05-08
25/7-1 S	2414.000000	2572.000000	TY FM	FORMATION	ROGALAND GP	898	176	131	9999-12-31	2013-05-08
25/7-1 S	585.000000	925.000000	UTSIRA FM	FORMATION	NORDLAND GP	898	183	113	9999-12-31	2013-05-08
16/10-1	2120.000000	2136.000000	BALDER FM	FORMATION	ROGALAND GP	901	6	131	9999-12-31	2013-05-08
16/10-1	2683.000000	2691.000000	BLODØKS FM	FORMATION	SHETLAND GP	901	13	143	9999-12-31	2013-05-08
16/10-1	2750.000000	2794.000000	CROMER KNOLL GP	GROUP	\N	901	23	\N	9999-12-31	2013-05-08
16/10-1	2794.000000	2853.000000	DRAUPNE FM	FORMATION	VIKING GP	901	28	188	9999-12-31	2013-05-08
16/10-1	2281.000000	2349.000000	EKOFISK FM	FORMATION	SHETLAND GP	901	33	143	9999-12-31	2013-05-08
16/10-1	2853.000000	3005.000000	HEATHER FM	FORMATION	VIKING GP	901	60	188	9999-12-31	2013-05-08
16/10-1	2475.000000	2683.000000	HOD FM	FORMATION	SHETLAND GP	901	66	143	9999-12-31	2013-05-08
16/10-1	1197.000000	2120.000000	HORDALAND GP	GROUP	\N	901	67	\N	9999-12-31	2013-05-08
16/10-1	3005.000000	3038.000000	HUGIN FM	FORMATION	VESTLAND GP	901	69	186	9999-12-31	2013-05-08
16/10-1	2189.000000	2245.000000	LISTA FM	FORMATION	ROGALAND GP	901	95	131	9999-12-31	2013-05-08
16/10-1	109.000000	1197.000000	NORDLAND GP	GROUP	\N	901	113	\N	9999-12-31	2013-05-08
16/10-1	2120.000000	2281.000000	ROGALAND GP	GROUP	\N	901	131	\N	9999-12-31	2013-05-08
16/10-1	2136.000000	2189.000000	SELE FM	FORMATION	ROGALAND GP	901	142	131	9999-12-31	2013-05-08
16/10-1	2281.000000	2750.000000	SHETLAND GP	GROUP	\N	901	143	\N	9999-12-31	2013-05-08
16/10-1	3053.000000	3116.000000	SKAGERRAK FM	FORMATION	HEGRE GP	901	146	61	9999-12-31	2013-05-08
16/10-1	3038.000000	3053.000000	SLEIPNER FM	FORMATION	VESTLAND GP	901	148	186	9999-12-31	2013-05-08
16/10-1	2750.000000	2763.000000	SOLA FM	FORMATION	CROMER KNOLL GP	901	152	23	9999-12-31	2013-05-08
16/10-1	2691.000000	2750.000000	SVARTE FM	FORMATION	SHETLAND GP	901	160	143	9999-12-31	2013-05-08
16/10-1	2349.000000	2475.000000	TOR FM	FORMATION	SHETLAND GP	901	171	143	9999-12-31	2013-05-08
16/10-1	990.000000	1197.000000	UTSIRA FM	FORMATION	NORDLAND GP	901	183	113	9999-12-31	2013-05-08
16/10-1	3005.000000	3053.000000	VESTLAND GP	GROUP	\N	901	186	\N	9999-12-31	2013-05-08
16/10-1	2794.000000	3005.000000	VIKING GP	GROUP	\N	901	188	\N	9999-12-31	2013-05-08
16/10-1	2245.000000	2281.000000	VÅLE FM	FORMATION	ROGALAND GP	901	190	131	9999-12-31	2013-05-08
16/10-1	3116.000000	3151.000000	ZECHSTEIN GP	GROUP	\N	901	194	\N	9999-12-31	2013-05-08
16/10-1	2763.000000	2794.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	901	198	23	9999-12-31	2013-05-08
16/10-1	3053.000000	3116.000000	NO GROUP DEFINED	GROUP	\N	901	208	\N	9999-12-31	2013-05-08
2/11-7	2945.000000	2959.000000	BALDER FM	FORMATION	ROGALAND GP	902	6	131	9999-12-31	2013-05-08
2/11-7	3620.000000	3773.000000	CROMER KNOLL GP	GROUP	\N	902	23	\N	9999-12-31	2013-05-08
2/11-7	3075.000000	3132.000000	EKOFISK FM	FORMATION	SHETLAND GP	902	33	143	9999-12-31	2013-05-08
2/11-7	3814.000000	4720.000000	FARSUND FM	FORMATION	TYNE GP	902	39	177	9999-12-31	2013-05-08
2/11-7	4720.000000	5042.000000	HAUGESUND FM	FORMATION	TYNE GP	902	57	177	9999-12-31	2013-05-08
2/11-7	3591.000000	3620.000000	HIDRA FM	FORMATION	SHETLAND GP	902	65	143	9999-12-31	2013-05-08
2/11-7	3265.000000	3591.000000	HOD FM	FORMATION	SHETLAND GP	902	66	143	9999-12-31	2013-05-08
2/11-7	1560.000000	2945.000000	HORDALAND GP	GROUP	\N	902	67	\N	9999-12-31	2013-05-08
2/11-7	3012.000000	3056.000000	LISTA FM	FORMATION	ROGALAND GP	902	95	131	9999-12-31	2013-05-08
2/11-7	3773.000000	3814.000000	MANDAL FM	FORMATION	TYNE GP	902	101	177	9999-12-31	2013-05-08
2/11-7	3056.000000	3075.000000	MAUREEN FM	FORMATION	ROGALAND GP	902	102	131	9999-12-31	2013-05-08
2/11-7	95.000000	1560.000000	NORDLAND GP	GROUP	\N	902	113	\N	9999-12-31	2013-05-08
2/11-7	2945.000000	3075.000000	ROGALAND GP	GROUP	\N	902	131	\N	9999-12-31	2013-05-08
2/11-7	3620.000000	3658.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	902	137	23	9999-12-31	2013-05-08
2/11-7	2959.000000	3012.000000	SELE FM	FORMATION	ROGALAND GP	902	142	131	9999-12-31	2013-05-08
2/11-7	3075.000000	3620.000000	SHETLAND GP	GROUP	\N	902	143	\N	9999-12-31	2013-05-08
2/11-7	3132.000000	3265.000000	TOR FM	FORMATION	SHETLAND GP	902	171	143	9999-12-31	2013-05-08
2/11-7	3773.000000	5042.000000	TYNE GP	GROUP	\N	902	177	\N	9999-12-31	2013-05-08
2/11-7	3658.000000	3773.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	902	198	23	9999-12-31	2013-05-08
29/3-1	4215.000000	4389.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	904	4	29	9999-12-31	2013-05-08
29/3-1	1726.000000	1771.000000	BALDER FM	FORMATION	ROGALAND GP	904	6	131	9999-12-31	2013-05-08
29/3-1	3435.000000	3440.000000	BLODØKS FM	FORMATION	SHETLAND GP	904	13	143	9999-12-31	2013-05-08
29/3-1	3523.000000	3912.000000	BRENT GP	GROUP	\N	904	16	\N	9999-12-31	2013-05-08
29/3-1	4147.000000	4215.000000	BURTON FM	FORMATION	DUNLIN GP	904	20	29	9999-12-31	2013-05-08
29/3-1	3462.000000	3466.000000	CROMER KNOLL GP	GROUP	\N	904	23	\N	9999-12-31	2013-05-08
29/3-1	4046.000000	4147.000000	COOK FM	FORMATION	DUNLIN GP	904	24	29	9999-12-31	2013-05-08
29/3-1	3912.000000	4046.000000	DRAKE FM	FORMATION	DUNLIN GP	904	27	29	9999-12-31	2013-05-08
29/3-1	3912.000000	4389.000000	DUNLIN GP	GROUP	\N	904	29	\N	9999-12-31	2013-05-08
29/3-1	3852.000000	3862.000000	ETIVE FM	FORMATION	BRENT GP	904	35	16	9999-12-31	2013-05-08
29/3-1	1580.000000	1598.000000	GRID FM	FORMATION	HORDALAND GP	904	53	67	9999-12-31	2013-05-08
29/3-1	3466.000000	3523.000000	HEATHER FM	FORMATION	VIKING GP	904	60	188	9999-12-31	2013-05-08
29/3-1	1500.000000	1726.000000	HORDALAND GP	GROUP	\N	904	67	\N	9999-12-31	2013-05-08
29/3-1	2061.000000	2267.000000	JORSALFARE FM	FORMATION	SHETLAND GP	904	74	143	9999-12-31	2013-05-08
29/3-1	2267.000000	3286.000000	KYRRE FM	FORMATION	SHETLAND GP	904	92	143	9999-12-31	2013-05-08
29/3-1	1780.000000	2033.000000	LISTA FM	FORMATION	ROGALAND GP	904	95	131	9999-12-31	2013-05-08
29/3-1	3562.000000	3852.000000	NESS FM	FORMATION	BRENT GP	904	110	16	9999-12-31	2013-05-08
29/3-1	1598.000000	1726.000000	NO FORMAL NAME	FORMATION	\N	904	111	\N	9999-12-31	2013-05-08
29/3-1	156.000000	1500.000000	NORDLAND GP	GROUP	\N	904	113	\N	9999-12-31	2013-05-08
29/3-1	3862.000000	3912.000000	RANNOCH FM	FORMATION	BRENT GP	904	126	16	9999-12-31	2013-05-08
29/3-1	1726.000000	2061.000000	ROGALAND GP	GROUP	\N	904	131	\N	9999-12-31	2013-05-08
29/3-1	3462.000000	3466.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	904	137	23	9999-12-31	2013-05-08
29/3-1	1771.000000	1780.000000	SELE FM	FORMATION	ROGALAND GP	904	142	131	9999-12-31	2013-05-08
29/3-1	2061.000000	3462.000000	SHETLAND GP	GROUP	\N	904	143	\N	9999-12-31	2013-05-08
29/3-1	4389.000000	4427.000000	STATFJORD FM	FORMATION	\N	904	157	\N	9999-12-31	2013-05-08
29/3-1	3440.000000	3462.000000	SVARTE FM	FORMATION	SHETLAND GP	904	160	143	9999-12-31	2013-05-08
29/3-1	3523.000000	3562.000000	TARBERT FM	FORMATION	BRENT GP	904	162	16	9999-12-31	2013-05-08
29/3-1	3286.000000	3435.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	904	173	143	9999-12-31	2013-05-08
29/3-1	530.000000	1500.000000	UTSIRA FM	FORMATION	NORDLAND GP	904	183	113	9999-12-31	2013-05-08
29/3-1	3466.000000	3523.000000	VIKING GP	GROUP	\N	904	188	\N	9999-12-31	2013-05-08
29/3-1	2033.000000	2061.000000	VÅLE FM	FORMATION	ROGALAND GP	904	190	131	9999-12-31	2013-05-08
29/3-1	4389.000000	4427.000000	NO GROUP DEFINED	GROUP	\N	904	208	\N	9999-12-31	2013-05-08
17/11-1	967.000000	990.000000	BALDER FM	FORMATION	ROGALAND GP	906	6	131	9999-12-31	2013-05-08
17/11-1	2083.000000	2211.000000	BOKNFJORD GP	GROUP	\N	906	15	\N	9999-12-31	2013-05-08
17/11-1	1447.000000	2083.000000	CROMER KNOLL GP	GROUP	\N	906	23	\N	9999-12-31	2013-05-08
17/11-1	2195.000000	2211.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	906	30	15	9999-12-31	2013-05-08
17/11-1	1020.000000	1040.000000	EKOFISK FM	FORMATION	SHETLAND GP	906	33	143	9999-12-31	2013-05-08
17/11-1	2083.000000	2101.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	906	43	15	9999-12-31	2013-05-08
17/11-1	1361.000000	1447.000000	HOD FM	FORMATION	SHETLAND GP	906	66	143	9999-12-31	2013-05-08
17/11-1	600.000000	967.000000	HORDALAND GP	GROUP	\N	906	67	\N	9999-12-31	2013-05-08
17/11-1	1005.000000	1020.000000	LISTA FM	FORMATION	ROGALAND GP	906	95	131	9999-12-31	2013-05-08
17/11-1	102.000000	600.000000	NORDLAND GP	GROUP	\N	906	113	\N	9999-12-31	2013-05-08
17/11-1	1447.000000	1510.000000	RAN SANDSTONE UNITS	FORMATION	CROMER KNOLL GP	906	125	23	9999-12-31	2013-05-08
17/11-1	967.000000	1020.000000	ROGALAND GP	GROUP	\N	906	131	\N	9999-12-31	2013-05-08
17/11-1	1510.000000	1587.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	906	137	23	9999-12-31	2013-05-08
17/11-1	2101.000000	2180.000000	SAUDA FM	FORMATION	BOKNFJORD GP	906	141	15	9999-12-31	2013-05-08
17/11-1	990.000000	1005.000000	SELE FM	FORMATION	ROGALAND GP	906	142	131	9999-12-31	2013-05-08
17/11-1	1020.000000	1447.000000	SHETLAND GP	GROUP	\N	906	143	\N	9999-12-31	2013-05-08
17/11-1	2211.000000	2315.000000	SKAGERRAK FM	FORMATION	HEGRE GP	906	146	61	9999-12-31	2013-05-08
17/11-1	2315.000000	2517.000000	SMITH BANK FM	FORMATION	HEGRE GP	906	149	61	9999-12-31	2013-05-08
17/11-1	1587.000000	1665.000000	SOLA FM	FORMATION	CROMER KNOLL GP	906	152	23	9999-12-31	2013-05-08
17/11-1	2180.000000	2195.000000	TAU FM	FORMATION	BOKNFJORD GP	906	164	15	9999-12-31	2013-05-08
17/11-1	1040.000000	1361.000000	TOR FM	FORMATION	SHETLAND GP	906	171	143	9999-12-31	2013-05-08
17/11-1	1665.000000	1724.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	906	175	23	9999-12-31	2013-05-08
17/11-1	2517.000000	3269.000000	ZECHSTEIN GP	GROUP	\N	906	194	\N	9999-12-31	2013-05-08
17/11-1	1724.000000	2083.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	906	198	23	9999-12-31	2013-05-08
17/11-1	2211.000000	2517.000000	NO GROUP DEFINED	GROUP	\N	906	208	\N	9999-12-31	2013-05-08
7121/5-2	977.000000	2323.000000	ADVENTDALEN GP	GROUP	\N	907	1	\N	9999-12-31	2013-05-08
7121/5-2	2503.000000	2543.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	907	46	79	9999-12-31	2013-05-08
7121/5-2	2305.000000	2323.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	907	47	1	9999-12-31	2013-05-08
7121/5-2	2260.000000	2305.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	907	63	1	9999-12-31	2013-05-08
7121/5-2	2323.000000	2543.000000	KAPP TOSCANA GP	GROUP	\N	907	79	\N	9999-12-31	2013-05-08
7121/5-2	2079.000000	2260.000000	KNURR FM	FORMATION	ADVENTDALEN GP	907	82	1	9999-12-31	2013-05-08
7121/5-2	1820.000000	2079.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	907	84	1	9999-12-31	2013-05-08
7121/5-2	977.000000	1820.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	907	85	1	9999-12-31	2013-05-08
7121/5-2	934.000000	977.000000	KVITING FM	FORMATION	NYGRUNNEN GP	907	90	122	9999-12-31	2013-05-08
7121/5-2	350.000000	449.000000	NORDLAND GP	GROUP	\N	907	113	\N	9999-12-31	2013-05-08
7121/5-2	2400.000000	2450.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	907	118	79	9999-12-31	2013-05-08
7121/5-2	934.000000	977.000000	NYGRUNNEN GP	GROUP	\N	907	122	\N	9999-12-31	2013-05-08
7121/5-2	449.000000	934.000000	SOTBAKKEN GP	GROUP	\N	907	154	\N	9999-12-31	2013-05-08
7121/5-2	2323.000000	2400.000000	STØ FM	FORMATION	KAPP TOSCANA GP	907	159	79	9999-12-31	2013-05-08
7121/5-2	449.000000	934.000000	TORSK FM	FORMATION	SOTBAKKEN GP	907	172	154	9999-12-31	2013-05-08
7121/5-2	2450.000000	2503.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	907	174	79	9999-12-31	2013-05-08
6507/6-1	1013.000000	1307.000000	BÅT GP	GROUP	\N	910	22	\N	9999-12-31	2013-05-08
6507/6-1	1307.000000	1425.000000	GREY BEDS (INFORMAL)	GROUP	\N	910	52	\N	9999-12-31	2013-05-08
6507/6-1	445.000000	1013.000000	NAUST FM	FORMATION	NORDLAND GP	910	109	113	9999-12-31	2013-05-08
6507/6-1	1754.000000	2020.000000	NO FORMAL NAME	FORMATION	\N	910	111	\N	9999-12-31	2013-05-08
6507/6-1	2020.000000	2768.000000	NO FORMAL NAME	FORMATION	\N	910	111	\N	9999-12-31	2013-05-08
6507/6-1	2768.000000	3063.000000	NO FORMAL NAME	FORMATION	\N	910	111	\N	9999-12-31	2013-05-08
6507/6-1	3063.000000	3429.000000	NO FORMAL NAME	FORMATION	\N	910	111	\N	9999-12-31	2013-05-08
6507/6-1	3429.000000	4040.000000	NO FORMAL NAME	FORMATION	\N	910	111	\N	9999-12-31	2013-05-08
6507/6-1	445.000000	1013.000000	NORDLAND GP	GROUP	\N	910	113	\N	9999-12-31	2013-05-08
6507/6-1	1425.000000	4040.000000	RED BEDS (INFORMAL)	GROUP	\N	910	129	\N	9999-12-31	2013-05-08
6507/6-1	1013.000000	1307.000000	ÅRE FM	FORMATION	BÅT GP	910	197	22	9999-12-31	2013-05-08
6507/2-1	1686.000000	1841.000000	BRYGGE FM	FORMATION	HORDALAND GP	911	18	67	9999-12-31	2013-05-08
6507/2-1	3929.000000	4477.000000	BÅT GP	GROUP	\N	911	22	\N	9999-12-31	2013-05-08
6507/2-1	2874.000000	3610.000000	CROMER KNOLL GP	GROUP	\N	911	23	\N	9999-12-31	2013-05-08
6507/2-1	3858.000000	3929.000000	FANGST GP	GROUP	\N	911	38	\N	9999-12-31	2013-05-08
6507/2-1	3858.000000	3881.000000	GARN FM	FORMATION	FANGST GP	911	48	38	9999-12-31	2013-05-08
6507/2-1	1686.000000	1841.000000	HORDALAND GP	GROUP	\N	911	67	\N	9999-12-31	2013-05-08
6507/2-1	3907.000000	3929.000000	ILE FM	FORMATION	FANGST GP	911	70	38	9999-12-31	2013-05-08
6507/2-1	1431.000000	1686.000000	KAI FM	FORMATION	NORDLAND GP	911	77	113	9999-12-31	2013-05-08
6507/2-1	2879.000000	3610.000000	LANGE FM	FORMATION	CROMER KNOLL GP	911	94	23	9999-12-31	2013-05-08
6507/2-1	2874.000000	2879.000000	LYSING FM	FORMATION	CROMER KNOLL GP	911	99	23	9999-12-31	2013-05-08
6507/2-1	3615.000000	3858.000000	MELKE FM	FORMATION	VIKING GP	911	105	188	9999-12-31	2013-05-08
6507/2-1	404.000000	1686.000000	NORDLAND GP	GROUP	\N	911	113	\N	9999-12-31	2013-05-08
6507/2-1	3881.000000	3907.000000	NOT FM	FORMATION	FANGST GP	911	120	38	9999-12-31	2013-05-08
6507/2-1	1841.000000	2003.000000	ROGALAND GP	GROUP	\N	911	131	\N	9999-12-31	2013-05-08
6507/2-1	2003.000000	2874.000000	SHETLAND GP	GROUP	\N	911	143	\N	9999-12-31	2013-05-08
6507/2-1	3610.000000	3615.000000	SPEKK FM	FORMATION	VIKING GP	911	155	188	9999-12-31	2013-05-08
6507/2-1	1959.000000	2003.000000	TANG FM	FORMATION	ROGALAND GP	911	161	131	9999-12-31	2013-05-08
6507/2-1	1841.000000	1959.000000	TARE FM	FORMATION	ROGALAND GP	911	163	131	9999-12-31	2013-05-08
6507/2-1	3947.000000	4135.000000	TILJE FM	FORMATION	BÅT GP	911	169	22	9999-12-31	2013-05-08
6507/2-1	3610.000000	3858.000000	VIKING GP	GROUP	\N	911	188	\N	9999-12-31	2013-05-08
6507/2-1	4135.000000	4477.000000	ÅRE FM	FORMATION	BÅT GP	911	197	22	9999-12-31	2013-05-08
6407/6-2 R	243.000000	524.000000	NAUST FM	FORMATION	NORDLAND GP	912	109	113	9999-12-31	2013-05-08
6407/6-2 R	243.000000	524.000000	NORDLAND GP	GROUP	\N	912	113	\N	9999-12-31	2013-05-08
34/8-2	2937.000000	3001.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	915	4	29	9999-12-31	2013-05-08
34/8-2	1817.000000	1853.000000	BALDER FM	FORMATION	ROGALAND GP	915	6	131	9999-12-31	2013-05-08
34/8-2	2934.000000	2937.000000	BURTON FM	FORMATION	DUNLIN GP	915	20	29	9999-12-31	2013-05-08
34/8-2	2882.000000	2897.000000	CROMER KNOLL GP	GROUP	\N	915	23	\N	9999-12-31	2013-05-08
34/8-2	2923.000000	2934.000000	COOK FM	FORMATION	DUNLIN GP	915	24	29	9999-12-31	2013-05-08
34/8-2	2913.000000	2923.000000	DRAKE FM	FORMATION	DUNLIN GP	915	27	29	9999-12-31	2013-05-08
34/8-2	2897.000000	2913.000000	DRAUPNE FM	FORMATION	VIKING GP	915	28	188	9999-12-31	2013-05-08
34/8-2	2913.000000	3001.000000	DUNLIN GP	GROUP	\N	915	29	\N	9999-12-31	2013-05-08
34/8-2	3051.000000	3240.000000	HEGRE GP	GROUP	\N	915	61	\N	9999-12-31	2013-05-08
34/8-2	1160.000000	1817.000000	HORDALAND GP	GROUP	\N	915	67	\N	9999-12-31	2013-05-08
34/8-2	1988.000000	2218.000000	JORSALFARE FM	FORMATION	SHETLAND GP	915	74	143	9999-12-31	2013-05-08
34/8-2	2218.000000	2699.000000	KYRRE FM	FORMATION	SHETLAND GP	915	92	143	9999-12-31	2013-05-08
34/8-2	1853.000000	1988.000000	LISTA FM	FORMATION	ROGALAND GP	915	95	131	9999-12-31	2013-05-08
34/8-2	3051.000000	3240.000000	LUNDE FM	FORMATION	HEGRE GP	915	97	61	9999-12-31	2013-05-08
34/8-2	376.000000	1160.000000	NORDLAND GP	GROUP	\N	915	113	\N	9999-12-31	2013-05-08
34/8-2	1817.000000	1988.000000	ROGALAND GP	GROUP	\N	915	131	\N	9999-12-31	2013-05-08
34/8-2	1988.000000	2882.000000	SHETLAND GP	GROUP	\N	915	143	\N	9999-12-31	2013-05-08
34/8-2	3001.000000	3051.000000	STATFJORD FM	FORMATION	\N	915	157	\N	9999-12-31	2013-05-08
34/8-2	2699.000000	2882.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	915	173	143	9999-12-31	2013-05-08
34/8-2	983.000000	1160.000000	UTSIRA FM	FORMATION	NORDLAND GP	915	183	113	9999-12-31	2013-05-08
34/8-2	2897.000000	2913.000000	VIKING GP	GROUP	\N	915	188	\N	9999-12-31	2013-05-08
34/8-2	3001.000000	3051.000000	NO GROUP DEFINED	GROUP	\N	915	208	\N	9999-12-31	2013-05-08
9/3-1	454.000000	468.000000	BALDER FM	FORMATION	ROGALAND GP	921	6	131	9999-12-31	2013-05-08
9/3-1	1446.000000	1788.000000	BOKNFJORD GP	GROUP	\N	921	15	\N	9999-12-31	2013-05-08
9/3-1	1843.000000	1955.000000	BRYNE FM	FORMATION	VESTLAND GP	921	19	186	9999-12-31	2013-05-08
9/3-1	852.000000	1446.000000	CROMER KNOLL GP	GROUP	\N	921	23	\N	9999-12-31	2013-05-08
9/3-1	1749.000000	1788.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	921	30	15	9999-12-31	2013-05-08
9/3-1	548.000000	580.000000	EKOFISK FM	FORMATION	SHETLAND GP	921	33	143	9999-12-31	2013-05-08
9/3-1	1446.000000	1488.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	921	43	15	9999-12-31	2013-05-08
9/3-1	695.000000	852.000000	HOD FM	FORMATION	SHETLAND GP	921	66	143	9999-12-31	2013-05-08
9/3-1	223.000000	454.000000	HORDALAND GP	GROUP	\N	921	67	\N	9999-12-31	2013-05-08
9/3-1	476.000000	519.000000	LISTA FM	FORMATION	ROGALAND GP	921	95	131	9999-12-31	2013-05-08
9/3-1	124.000000	223.000000	NORDLAND GP	GROUP	\N	921	113	\N	9999-12-31	2013-05-08
9/3-1	454.000000	548.000000	ROGALAND GP	GROUP	\N	921	131	\N	9999-12-31	2013-05-08
9/3-1	852.000000	882.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	921	137	23	9999-12-31	2013-05-08
9/3-1	1788.000000	1843.000000	SANDNES FM	FORMATION	VESTLAND GP	921	139	186	9999-12-31	2013-05-08
9/3-1	1488.000000	1686.000000	SAUDA FM	FORMATION	BOKNFJORD GP	921	141	15	9999-12-31	2013-05-08
9/3-1	468.000000	476.000000	SELE FM	FORMATION	ROGALAND GP	921	142	131	9999-12-31	2013-05-08
9/3-1	548.000000	852.000000	SHETLAND GP	GROUP	\N	921	143	\N	9999-12-31	2013-05-08
9/3-1	1955.000000	1971.000000	SKAGERRAK FM	FORMATION	HEGRE GP	921	146	61	9999-12-31	2013-05-08
9/3-1	882.000000	963.000000	SOLA FM	FORMATION	CROMER KNOLL GP	921	152	23	9999-12-31	2013-05-08
9/3-1	1686.000000	1749.000000	TAU FM	FORMATION	BOKNFJORD GP	921	164	15	9999-12-31	2013-05-08
9/3-1	580.000000	695.000000	TOR FM	FORMATION	SHETLAND GP	921	171	143	9999-12-31	2013-05-08
9/3-1	1788.000000	1955.000000	VESTLAND GP	GROUP	\N	921	186	\N	9999-12-31	2013-05-08
9/3-1	519.000000	548.000000	VÅLE FM	FORMATION	ROGALAND GP	921	190	131	9999-12-31	2013-05-08
9/3-1	963.000000	1446.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	921	198	23	9999-12-31	2013-05-08
9/3-1	1955.000000	1971.000000	NO GROUP DEFINED	GROUP	\N	921	208	\N	9999-12-31	2013-05-08
6507/7-6	1852.000000	1935.000000	BRYGGE FM	FORMATION	HORDALAND GP	922	18	67	9999-12-31	2013-05-08
6507/7-6	2159.000000	2525.000000	BÅT GP	GROUP	\N	922	22	\N	9999-12-31	2013-05-08
6507/7-6	2145.000000	2159.000000	FANGST GP	GROUP	\N	922	38	\N	9999-12-31	2013-05-08
6507/7-6	1852.000000	1935.000000	HORDALAND GP	GROUP	\N	922	67	\N	9999-12-31	2013-05-08
6507/7-6	1495.000000	1852.000000	KAI FM	FORMATION	NORDLAND GP	922	77	113	9999-12-31	2013-05-08
6507/7-6	375.000000	1495.000000	NAUST FM	FORMATION	NORDLAND GP	922	109	113	9999-12-31	2013-05-08
6507/7-6	375.000000	1852.000000	NORDLAND GP	GROUP	\N	922	113	\N	9999-12-31	2013-05-08
6507/7-6	1935.000000	2016.000000	ROGALAND GP	GROUP	\N	922	131	\N	9999-12-31	2013-05-08
6507/7-6	2016.000000	2145.000000	SHETLAND GP	GROUP	\N	922	143	\N	9999-12-31	2013-05-08
6507/7-6	1967.000000	2016.000000	TANG FM	FORMATION	ROGALAND GP	922	161	131	9999-12-31	2013-05-08
6507/7-6	1935.000000	1967.000000	TARE FM	FORMATION	ROGALAND GP	922	163	131	9999-12-31	2013-05-08
6507/7-6	2190.000000	2369.000000	TILJE FM	FORMATION	BÅT GP	922	169	22	9999-12-31	2013-05-08
6507/7-6	2369.000000	2525.000000	ÅRE FM	FORMATION	BÅT GP	922	197	22	9999-12-31	2013-05-08
6607/12-1	1398.000000	1484.000000	BRYGGE FM	FORMATION	HORDALAND GP	925	18	67	9999-12-31	2013-05-08
6607/12-1	1398.000000	1484.000000	HORDALAND GP	GROUP	\N	925	67	\N	9999-12-31	2013-05-08
6607/12-1	1299.000000	1398.000000	KAI FM	FORMATION	NORDLAND GP	925	77	113	9999-12-31	2013-05-08
6607/12-1	390.000000	1398.000000	NORDLAND GP	GROUP	\N	925	113	\N	9999-12-31	2013-05-08
6607/12-1	1484.000000	1725.000000	ROGALAND GP	GROUP	\N	925	131	\N	9999-12-31	2013-05-08
6607/12-1	1725.000000	3521.000000	SHETLAND GP	GROUP	\N	925	143	\N	9999-12-31	2013-05-08
6607/12-1	1578.000000	1725.000000	TANG FM	FORMATION	ROGALAND GP	925	161	131	9999-12-31	2013-05-08
6607/12-1	1484.000000	1578.000000	TARE FM	FORMATION	ROGALAND GP	925	163	131	9999-12-31	2013-05-08
6407/6-2 R2	224.000000	524.000000	NAUST FM	FORMATION	NORDLAND GP	928	109	113	9999-12-31	2013-05-08
6407/6-2 R2	224.000000	524.000000	NORDLAND GP	GROUP	\N	928	113	\N	9999-12-31	2013-05-08
6507/8-1	1885.000000	1970.000000	BRYGGE FM	FORMATION	HORDALAND GP	933	18	67	9999-12-31	2013-05-08
6507/8-1	2324.000000	2600.000000	BÅT GP	GROUP	\N	933	22	\N	9999-12-31	2013-05-08
6507/8-1	2248.000000	2324.000000	FANGST GP	GROUP	\N	933	38	\N	9999-12-31	2013-05-08
6507/8-1	2248.000000	2294.000000	GARN FM	FORMATION	FANGST GP	933	48	38	9999-12-31	2013-05-08
6507/8-1	1885.000000	1970.000000	HORDALAND GP	GROUP	\N	933	67	\N	9999-12-31	2013-05-08
6507/8-1	2307.000000	2324.000000	ILE FM	FORMATION	FANGST GP	933	70	38	9999-12-31	2013-05-08
6507/8-1	1462.000000	1885.000000	KAI FM	FORMATION	NORDLAND GP	933	77	113	9999-12-31	2013-05-08
6507/8-1	2233.000000	2248.000000	MELKE FM	FORMATION	VIKING GP	933	105	188	9999-12-31	2013-05-08
6507/8-1	371.000000	1885.000000	NORDLAND GP	GROUP	\N	933	113	\N	9999-12-31	2013-05-08
6507/8-1	2294.000000	2307.000000	NOT FM	FORMATION	FANGST GP	933	120	38	9999-12-31	2013-05-08
6507/8-1	1970.000000	2060.000000	ROGALAND GP	GROUP	\N	933	131	\N	9999-12-31	2013-05-08
6507/8-1	2324.000000	2387.000000	ROR FM	FORMATION	BÅT GP	933	135	22	9999-12-31	2013-05-08
6507/8-1	2060.000000	2233.000000	SHETLAND GP	GROUP	\N	933	143	\N	9999-12-31	2013-05-08
6507/8-1	2020.000000	2060.000000	TANG FM	FORMATION	ROGALAND GP	933	161	131	9999-12-31	2013-05-08
6507/8-1	1970.000000	2020.000000	TARE FM	FORMATION	ROGALAND GP	933	163	131	9999-12-31	2013-05-08
6507/8-1	2387.000000	2559.000000	TILJE FM	FORMATION	BÅT GP	933	169	22	9999-12-31	2013-05-08
6507/8-1	2233.000000	2248.000000	VIKING GP	GROUP	\N	933	188	\N	9999-12-31	2013-05-08
6507/8-1	2559.000000	2600.000000	ÅRE FM	FORMATION	BÅT GP	933	197	22	9999-12-31	2013-05-08
6407/2-3	2581.000000	3050.000000	BÅT GP	GROUP	\N	935	22	\N	9999-12-31	2013-05-08
6407/2-3	2320.000000	2393.000000	CROMER KNOLL GP	GROUP	\N	935	23	\N	9999-12-31	2013-05-08
6407/2-3	2427.000000	2581.000000	FANGST GP	GROUP	\N	935	38	\N	9999-12-31	2013-05-08
6407/2-3	2427.000000	2480.000000	GARN FM	FORMATION	FANGST GP	935	48	38	9999-12-31	2013-05-08
6407/2-3	2509.000000	2581.000000	ILE FM	FORMATION	FANGST GP	935	70	38	9999-12-31	2013-05-08
6407/2-3	1311.000000	1966.000000	KAI FM	FORMATION	NORDLAND GP	935	77	113	9999-12-31	2013-05-08
6407/2-3	2399.000000	2427.000000	MELKE FM	FORMATION	VIKING GP	935	105	188	9999-12-31	2013-05-08
6407/2-3	276.000000	1966.000000	NORDLAND GP	GROUP	\N	935	113	\N	9999-12-31	2013-05-08
6407/2-3	2480.000000	2509.000000	NOT FM	FORMATION	FANGST GP	935	120	38	9999-12-31	2013-05-08
6407/2-3	1966.000000	2072.000000	ROGALAND GP	GROUP	\N	935	131	\N	9999-12-31	2013-05-08
6407/2-3	2581.000000	2739.000000	ROR FM	FORMATION	BÅT GP	935	135	22	9999-12-31	2013-05-08
6407/2-3	2072.000000	2320.000000	SHETLAND GP	GROUP	\N	935	143	\N	9999-12-31	2013-05-08
6407/2-3	2393.000000	2399.000000	SPEKK FM	FORMATION	VIKING GP	935	155	188	9999-12-31	2013-05-08
6407/2-3	2025.000000	2072.000000	TANG FM	FORMATION	ROGALAND GP	935	161	131	9999-12-31	2013-05-08
6407/2-3	1966.000000	2025.000000	TARE FM	FORMATION	ROGALAND GP	935	163	131	9999-12-31	2013-05-08
6407/2-3	2739.000000	2910.000000	TILJE FM	FORMATION	BÅT GP	935	169	22	9999-12-31	2013-05-08
6407/2-3	2393.000000	2427.000000	VIKING GP	GROUP	\N	935	188	\N	9999-12-31	2013-05-08
6407/2-3	2910.000000	3050.000000	ÅRE FM	FORMATION	BÅT GP	935	197	22	9999-12-31	2013-05-08
6608/11-1	1233.000000	1318.000000	BÅT GP	GROUP	\N	936	22	\N	9999-12-31	2013-05-08
6608/11-1	1318.000000	1620.000000	GREY BEDS (INFORMAL)	GROUP	\N	936	52	\N	9999-12-31	2013-05-08
6608/11-1	406.000000	1177.000000	NAUST FM	FORMATION	NORDLAND GP	936	109	113	9999-12-31	2013-05-08
6608/11-1	406.000000	1177.000000	NORDLAND GP	GROUP	\N	936	113	\N	9999-12-31	2013-05-08
6608/11-1	1177.000000	1233.000000	ROGALAND GP	GROUP	\N	936	131	\N	9999-12-31	2013-05-08
6608/11-1	1222.000000	1233.000000	TANG FM	FORMATION	ROGALAND GP	936	161	131	9999-12-31	2013-05-08
6608/11-1	1177.000000	1222.000000	TARE FM	FORMATION	ROGALAND GP	936	163	131	9999-12-31	2013-05-08
6608/11-1	1233.000000	1318.000000	ÅRE FM	FORMATION	BÅT GP	936	197	22	9999-12-31	2013-05-08
30/9-2 R	2014.000000	2084.000000	BALDER FM	FORMATION	ROGALAND GP	937	6	131	9999-12-31	2013-05-08
30/9-2 R	2578.000000	2767.000000	BRENT GP	GROUP	\N	937	16	\N	9999-12-31	2013-05-08
30/9-2 R	2507.000000	2509.000000	CROMER KNOLL GP	GROUP	\N	937	23	\N	9999-12-31	2013-05-08
30/9-2 R	2767.000000	2830.000000	DRAKE FM	FORMATION	DUNLIN GP	937	27	29	9999-12-31	2013-05-08
30/9-2 R	2767.000000	2830.000000	DUNLIN GP	GROUP	\N	937	29	\N	9999-12-31	2013-05-08
30/9-2 R	2698.000000	2767.000000	ETIVE FM	FORMATION	BRENT GP	937	35	16	9999-12-31	2013-05-08
30/9-2 R	2303.000000	2420.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	937	56	143	9999-12-31	2013-05-08
30/9-2 R	2509.000000	2578.000000	HEATHER FM	FORMATION	VIKING GP	937	60	188	9999-12-31	2013-05-08
30/9-2 R	867.000000	2014.000000	HORDALAND GP	GROUP	\N	937	67	\N	9999-12-31	2013-05-08
30/9-2 R	2420.000000	2505.000000	KYRRE FM	FORMATION	SHETLAND GP	937	92	143	9999-12-31	2013-05-08
30/9-2 R	2199.000000	2290.000000	LISTA FM	FORMATION	ROGALAND GP	937	95	131	9999-12-31	2013-05-08
30/9-2 R	2578.000000	2698.000000	NESS FM	FORMATION	BRENT GP	937	110	16	9999-12-31	2013-05-08
30/9-2 R	1155.000000	1167.000000	NO FORMAL NAME	FORMATION	\N	937	111	\N	9999-12-31	2013-05-08
30/9-2 R	1180.000000	1233.000000	NO FORMAL NAME	FORMATION	\N	937	111	\N	9999-12-31	2013-05-08
30/9-2 R	1244.000000	1269.000000	NO FORMAL NAME	FORMATION	\N	937	111	\N	9999-12-31	2013-05-08
30/9-2 R	1359.000000	2014.000000	NO FORMAL NAME	FORMATION	\N	937	111	\N	9999-12-31	2013-05-08
30/9-2 R	129.000000	867.000000	NORDLAND GP	GROUP	\N	937	113	\N	9999-12-31	2013-05-08
30/9-2 R	2014.000000	2303.000000	ROGALAND GP	GROUP	\N	937	131	\N	9999-12-31	2013-05-08
30/9-2 R	2084.000000	2199.000000	SELE FM	FORMATION	ROGALAND GP	937	142	131	9999-12-31	2013-05-08
30/9-2 R	2303.000000	2507.000000	SHETLAND GP	GROUP	\N	937	143	\N	9999-12-31	2013-05-08
30/9-2 R	1114.000000	1155.000000	SKADE FM	FORMATION	HORDALAND GP	937	145	67	9999-12-31	2013-05-08
30/9-2 R	1167.000000	1180.000000	SKADE FM	FORMATION	HORDALAND GP	937	145	67	9999-12-31	2013-05-08
30/9-2 R	1233.000000	1244.000000	SKADE FM	FORMATION	HORDALAND GP	937	145	67	9999-12-31	2013-05-08
30/9-2 R	1269.000000	1359.000000	SKADE FM	FORMATION	HORDALAND GP	937	145	67	9999-12-31	2013-05-08
30/9-2 R	2505.000000	2507.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	937	173	143	9999-12-31	2013-05-08
30/9-2 R	641.000000	867.000000	UTSIRA FM	FORMATION	NORDLAND GP	937	183	113	9999-12-31	2013-05-08
30/9-2 R	2509.000000	2578.000000	VIKING GP	GROUP	\N	937	188	\N	9999-12-31	2013-05-08
30/9-2 R	2290.000000	2303.000000	VÅLE FM	FORMATION	ROGALAND GP	937	190	131	9999-12-31	2013-05-08
34/8-3	3155.000000	3278.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	940	4	29	9999-12-31	2013-05-08
34/8-3	1820.000000	1862.000000	BALDER FM	FORMATION	ROGALAND GP	940	6	131	9999-12-31	2013-05-08
34/8-3	2837.000000	2965.000000	BRENT GP	GROUP	\N	940	16	\N	9999-12-31	2013-05-08
34/8-3	2964.000000	2965.000000	BROOM FM	FORMATION	BRENT GP	940	17	16	9999-12-31	2013-05-08
34/8-3	3118.000000	3155.000000	BURTON FM	FORMATION	DUNLIN GP	940	20	29	9999-12-31	2013-05-08
34/8-3	2795.000000	2827.000000	CROMER KNOLL GP	GROUP	\N	940	23	\N	9999-12-31	2013-05-08
34/8-3	3007.000000	3118.000000	COOK FM	FORMATION	DUNLIN GP	940	24	29	9999-12-31	2013-05-08
34/8-3	2965.000000	3007.000000	DRAKE FM	FORMATION	DUNLIN GP	940	27	29	9999-12-31	2013-05-08
34/8-3	2827.000000	2837.000000	DRAUPNE FM	FORMATION	VIKING GP	940	28	188	9999-12-31	2013-05-08
34/8-3	2965.000000	3278.000000	DUNLIN GP	GROUP	\N	940	29	\N	9999-12-31	2013-05-08
34/8-3	2867.000000	2897.000000	ETIVE FM	FORMATION	BRENT GP	940	35	16	9999-12-31	2013-05-08
34/8-3	1175.000000	1820.000000	HORDALAND GP	GROUP	\N	940	67	\N	9999-12-31	2013-05-08
34/8-3	2012.000000	2300.000000	JORSALFARE FM	FORMATION	SHETLAND GP	940	74	143	9999-12-31	2013-05-08
34/8-3	2300.000000	2795.000000	KYRRE FM	FORMATION	SHETLAND GP	940	92	143	9999-12-31	2013-05-08
34/8-3	1862.000000	2012.000000	LISTA FM	FORMATION	ROGALAND GP	940	95	131	9999-12-31	2013-05-08
34/8-3	2837.000000	2867.000000	NESS FM	FORMATION	BRENT GP	940	110	16	9999-12-31	2013-05-08
34/8-3	405.000000	1175.000000	NORDLAND GP	GROUP	\N	940	113	\N	9999-12-31	2013-05-08
34/8-3	2897.000000	2964.000000	RANNOCH FM	FORMATION	BRENT GP	940	126	16	9999-12-31	2013-05-08
34/8-3	1820.000000	2012.000000	ROGALAND GP	GROUP	\N	940	131	\N	9999-12-31	2013-05-08
34/8-3	2012.000000	2795.000000	SHETLAND GP	GROUP	\N	940	143	\N	9999-12-31	2013-05-08
34/8-3	3278.000000	3328.000000	STATFJORD FM	FORMATION	\N	940	157	\N	9999-12-31	2013-05-08
34/8-3	1119.000000	1175.000000	UTSIRA FM	FORMATION	NORDLAND GP	940	183	113	9999-12-31	2013-05-08
34/8-3	2827.000000	2837.000000	VIKING GP	GROUP	\N	940	188	\N	9999-12-31	2013-05-08
34/8-3	3278.000000	3328.000000	NO GROUP DEFINED	GROUP	\N	940	208	\N	9999-12-31	2013-05-08
34/4-7	1700.000000	1733.000000	BALDER FM	FORMATION	ROGALAND GP	943	6	131	9999-12-31	2013-05-08
34/4-7	2492.000000	2502.000000	CROMER KNOLL GP	GROUP	\N	943	23	\N	9999-12-31	2013-05-08
34/4-7	2502.000000	2950.000000	HEGRE GP	GROUP	\N	943	61	\N	9999-12-31	2013-05-08
34/4-7	1193.000000	1700.000000	HORDALAND GP	GROUP	\N	943	67	\N	9999-12-31	2013-05-08
34/4-7	1824.000000	2076.000000	JORSALFARE FM	FORMATION	SHETLAND GP	943	74	143	9999-12-31	2013-05-08
34/4-7	2076.000000	2492.000000	KYRRE FM	FORMATION	SHETLAND GP	943	92	143	9999-12-31	2013-05-08
34/4-7	1733.000000	1824.000000	LISTA FM	FORMATION	ROGALAND GP	943	95	131	9999-12-31	2013-05-08
34/4-7	2502.000000	2950.000000	LUNDE FM	FORMATION	HEGRE GP	943	97	61	9999-12-31	2013-05-08
34/4-7	2495.000000	2502.000000	MIME FM	FORMATION	CROMER KNOLL GP	943	106	23	9999-12-31	2013-05-08
34/4-7	1097.000000	1193.000000	NO FORMAL NAME	FORMATION	\N	943	111	\N	9999-12-31	2013-05-08
34/4-7	1456.000000	1470.000000	NO FORMAL NAME	FORMATION	\N	943	111	\N	9999-12-31	2013-05-08
34/4-7	1470.000000	1700.000000	NO FORMAL NAME	FORMATION	\N	943	111	\N	9999-12-31	2013-05-08
34/4-7	380.000000	1193.000000	NORDLAND GP	GROUP	\N	943	113	\N	9999-12-31	2013-05-08
34/4-7	1700.000000	1824.000000	ROGALAND GP	GROUP	\N	943	131	\N	9999-12-31	2013-05-08
34/4-7	2492.000000	2495.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	943	137	23	9999-12-31	2013-05-08
34/4-7	1824.000000	2492.000000	SHETLAND GP	GROUP	\N	943	143	\N	9999-12-31	2013-05-08
34/4-7	1062.000000	1097.000000	UTSIRA FM	FORMATION	NORDLAND GP	943	183	113	9999-12-31	2013-05-08
6406/3-3	1987.000000	2256.000000	BRYGGE FM	FORMATION	HORDALAND GP	949	18	67	9999-12-31	2013-05-08
6406/3-3	4131.000000	4416.000000	BÅT GP	GROUP	\N	949	22	\N	9999-12-31	2013-05-08
6406/3-3	3188.000000	3800.000000	CROMER KNOLL GP	GROUP	\N	949	23	\N	9999-12-31	2013-05-08
6406/3-3	3939.000000	4131.000000	FANGST GP	GROUP	\N	949	38	\N	9999-12-31	2013-05-08
6406/3-3	3939.000000	4038.000000	GARN FM	FORMATION	FANGST GP	949	48	38	9999-12-31	2013-05-08
6406/3-3	1987.000000	2256.000000	HORDALAND GP	GROUP	\N	949	67	\N	9999-12-31	2013-05-08
6406/3-3	4066.000000	4131.000000	ILE FM	FORMATION	FANGST GP	949	70	38	9999-12-31	2013-05-08
6406/3-3	1390.000000	1987.000000	KAI FM	FORMATION	NORDLAND GP	949	77	113	9999-12-31	2013-05-08
6406/3-3	3222.000000	3800.000000	LANGE FM	FORMATION	CROMER KNOLL GP	949	94	23	9999-12-31	2013-05-08
6406/3-3	3188.000000	3222.000000	LYSING FM	FORMATION	CROMER KNOLL GP	949	99	23	9999-12-31	2013-05-08
6406/3-3	3843.000000	3939.000000	MELKE FM	FORMATION	VIKING GP	949	105	188	9999-12-31	2013-05-08
6406/3-3	331.000000	1987.000000	NORDLAND GP	GROUP	\N	949	113	\N	9999-12-31	2013-05-08
6406/3-3	4038.000000	4066.000000	NOT FM	FORMATION	FANGST GP	949	120	38	9999-12-31	2013-05-08
6406/3-3	2256.000000	2368.000000	ROGALAND GP	GROUP	\N	949	131	\N	9999-12-31	2013-05-08
6406/3-3	4131.000000	4202.000000	ROR FM	FORMATION	BÅT GP	949	135	22	9999-12-31	2013-05-08
6406/3-3	2368.000000	3188.000000	SHETLAND GP	GROUP	\N	949	143	\N	9999-12-31	2013-05-08
6406/3-3	3800.000000	3843.000000	SPEKK FM	FORMATION	VIKING GP	949	155	188	9999-12-31	2013-05-08
6406/3-3	2307.000000	2368.000000	TANG FM	FORMATION	ROGALAND GP	949	161	131	9999-12-31	2013-05-08
6406/3-3	2256.000000	2307.000000	TARE FM	FORMATION	ROGALAND GP	949	163	131	9999-12-31	2013-05-08
6406/3-3	4202.000000	4404.000000	TILJE FM	FORMATION	BÅT GP	949	169	22	9999-12-31	2013-05-08
6406/3-3	3800.000000	3939.000000	VIKING GP	GROUP	\N	949	188	\N	9999-12-31	2013-05-08
6406/3-3	4404.000000	4416.000000	ÅRE FM	FORMATION	BÅT GP	949	197	22	9999-12-31	2013-05-08
25/1-9	2332.000000	2373.000000	BALDER FM	FORMATION	ROGALAND GP	1001	6	131	9999-12-31	2013-05-08
25/1-9	2237.000000	2332.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1001	7	131	9999-12-31	2013-05-08
25/1-9	2035.000000	2237.000000	FRIGG FM	FORMATION	HORDALAND GP	1001	45	67	9999-12-31	2013-05-08
25/1-9	2452.000000	2480.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1001	62	131	9999-12-31	2013-05-08
25/1-9	2515.000000	2550.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1001	62	131	9999-12-31	2013-05-08
25/1-9	2603.000000	2655.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1001	62	131	9999-12-31	2013-05-08
25/1-9	2668.000000	2675.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1001	62	131	9999-12-31	2013-05-08
25/1-9	2697.000000	2757.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1001	62	131	9999-12-31	2013-05-08
25/1-9	2402.000000	2420.000000	HERMOD FM	FORMATION	ROGALAND GP	1001	64	131	9999-12-31	2013-05-08
25/1-9	990.000000	2237.000000	HORDALAND GP	GROUP	\N	1001	67	\N	9999-12-31	2013-05-08
25/1-9	2757.000000	2807.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1001	74	143	9999-12-31	2013-05-08
25/1-9	2420.000000	2452.000000	LISTA FM	FORMATION	ROGALAND GP	1001	95	131	9999-12-31	2013-05-08
25/1-9	2480.000000	2515.000000	LISTA FM	FORMATION	ROGALAND GP	1001	95	131	9999-12-31	2013-05-08
25/1-9	2550.000000	2603.000000	LISTA FM	FORMATION	ROGALAND GP	1001	95	131	9999-12-31	2013-05-08
25/1-9	2655.000000	2668.000000	LISTA FM	FORMATION	ROGALAND GP	1001	95	131	9999-12-31	2013-05-08
25/1-9	2675.000000	2697.000000	LISTA FM	FORMATION	ROGALAND GP	1001	95	131	9999-12-31	2013-05-08
25/1-9	135.000000	990.000000	NORDLAND GP	GROUP	\N	1001	113	\N	9999-12-31	2013-05-08
25/1-9	2237.000000	2757.000000	ROGALAND GP	GROUP	\N	1001	131	\N	9999-12-31	2013-05-08
25/1-9	2373.000000	2402.000000	SELE FM	FORMATION	ROGALAND GP	1001	142	131	9999-12-31	2013-05-08
25/1-9	2757.000000	2807.000000	SHETLAND GP	GROUP	\N	1001	143	\N	9999-12-31	2013-05-08
25/1-9	135.000000	990.000000	UTSIRA FM	FORMATION	NORDLAND GP	1001	183	113	9999-12-31	2013-05-08
6506/12-1	1931.000000	2132.000000	BRYGGE FM	FORMATION	HORDALAND GP	1004	18	67	9999-12-31	2013-05-08
6506/12-1	4107.000000	4924.000000	BÅT GP	GROUP	\N	1004	22	\N	9999-12-31	2013-05-08
6506/12-1	3175.000000	3836.000000	CROMER KNOLL GP	GROUP	\N	1004	23	\N	9999-12-31	2013-05-08
6506/12-1	3974.000000	4107.000000	FANGST GP	GROUP	\N	1004	38	\N	9999-12-31	2013-05-08
6506/12-1	3974.000000	4013.000000	GARN FM	FORMATION	FANGST GP	1004	48	38	9999-12-31	2013-05-08
6506/12-1	1931.000000	2132.000000	HORDALAND GP	GROUP	\N	1004	67	\N	9999-12-31	2013-05-08
6506/12-1	4048.000000	4107.000000	ILE FM	FORMATION	FANGST GP	1004	70	38	9999-12-31	2013-05-08
6506/12-1	1459.000000	1931.000000	KAI FM	FORMATION	NORDLAND GP	1004	77	113	9999-12-31	2013-05-08
6506/12-1	2658.000000	3175.000000	KVITNOS FM	FORMATION	SHETLAND GP	1004	91	143	9999-12-31	2013-05-08
6506/12-1	3190.000000	3813.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1004	94	23	9999-12-31	2013-05-08
6506/12-1	3813.000000	3836.000000	LYR FM	FORMATION	CROMER KNOLL GP	1004	98	23	9999-12-31	2013-05-08
6506/12-1	3175.000000	3190.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1004	99	23	9999-12-31	2013-05-08
6506/12-1	3852.000000	3974.000000	MELKE FM	FORMATION	VIKING GP	1004	105	188	9999-12-31	2013-05-08
6506/12-1	2446.000000	2658.000000	NISE FM	FORMATION	SHETLAND GP	1004	112	143	9999-12-31	2013-05-08
6506/12-1	277.000000	1931.000000	NORDLAND GP	GROUP	\N	1004	113	\N	9999-12-31	2013-05-08
6506/12-1	4013.000000	4048.000000	NOT FM	FORMATION	FANGST GP	1004	120	38	9999-12-31	2013-05-08
6506/12-1	2132.000000	2279.000000	ROGALAND GP	GROUP	\N	1004	131	\N	9999-12-31	2013-05-08
6506/12-1	4107.000000	4164.000000	ROR FM	FORMATION	BÅT GP	1004	135	22	9999-12-31	2013-05-08
6506/12-1	2279.000000	3175.000000	SHETLAND GP	GROUP	\N	1004	143	\N	9999-12-31	2013-05-08
6506/12-1	3836.000000	3852.000000	SPEKK FM	FORMATION	VIKING GP	1004	155	188	9999-12-31	2013-05-08
6506/12-1	2279.000000	2446.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1004	156	143	9999-12-31	2013-05-08
6506/12-1	2227.000000	2279.000000	TANG FM	FORMATION	ROGALAND GP	1004	161	131	9999-12-31	2013-05-08
6506/12-1	2132.000000	2227.000000	TARE FM	FORMATION	ROGALAND GP	1004	163	131	9999-12-31	2013-05-08
6506/12-1	4229.000000	4437.000000	TILJE FM	FORMATION	BÅT GP	1004	169	22	9999-12-31	2013-05-08
6506/12-1	4164.000000	4229.000000	TOFTE FM	FORMATION	BÅT GP	1004	170	22	9999-12-31	2013-05-08
6506/12-1	3836.000000	3974.000000	VIKING GP	GROUP	\N	1004	188	\N	9999-12-31	2013-05-08
6506/12-1	4437.000000	4924.000000	ÅRE FM	FORMATION	BÅT GP	1004	197	22	9999-12-31	2013-05-08
30/6-13 R	2036.000000	2091.000000	BALDER FM	FORMATION	ROGALAND GP	1005	6	131	9999-12-31	2013-05-08
30/6-13 R	2571.000000	2671.000000	BRENT GP	GROUP	\N	1005	16	\N	9999-12-31	2013-05-08
30/6-13 R	2387.000000	2401.000000	CROMER KNOLL GP	GROUP	\N	1005	23	\N	9999-12-31	2013-05-08
30/6-13 R	2671.000000	2775.000000	DRAKE FM	FORMATION	DUNLIN GP	1005	27	29	9999-12-31	2013-05-08
30/6-13 R	2401.000000	2424.000000	DRAUPNE FM	FORMATION	VIKING GP	1005	28	188	9999-12-31	2013-05-08
30/6-13 R	2671.000000	2775.000000	DUNLIN GP	GROUP	\N	1005	29	\N	9999-12-31	2013-05-08
30/6-13 R	2628.000000	2671.000000	ETIVE FM	FORMATION	BRENT GP	1005	35	16	9999-12-31	2013-05-08
30/6-13 R	2288.000000	2375.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1005	56	143	9999-12-31	2013-05-08
30/6-13 R	2424.000000	2571.000000	HEATHER FM	FORMATION	VIKING GP	1005	60	188	9999-12-31	2013-05-08
30/6-13 R	904.000000	2036.000000	HORDALAND GP	GROUP	\N	1005	67	\N	9999-12-31	2013-05-08
30/6-13 R	2375.000000	2387.000000	KYRRE FM	FORMATION	SHETLAND GP	1005	92	143	9999-12-31	2013-05-08
30/6-13 R	2164.000000	2260.000000	LISTA FM	FORMATION	ROGALAND GP	1005	95	131	9999-12-31	2013-05-08
30/6-13 R	2571.000000	2628.000000	NESS FM	FORMATION	BRENT GP	1005	110	16	9999-12-31	2013-05-08
30/6-13 R	1080.000000	1410.000000	NO FORMAL NAME	FORMATION	\N	1005	111	\N	9999-12-31	2013-05-08
30/6-13 R	1528.000000	2036.000000	NO FORMAL NAME	FORMATION	\N	1005	111	\N	9999-12-31	2013-05-08
30/6-13 R	130.000000	904.000000	NORDLAND GP	GROUP	\N	1005	113	\N	9999-12-31	2013-05-08
30/6-13 R	2036.000000	2288.000000	ROGALAND GP	GROUP	\N	1005	131	\N	9999-12-31	2013-05-08
30/6-13 R	2387.000000	2394.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1005	137	23	9999-12-31	2013-05-08
30/6-13 R	2091.000000	2164.000000	SELE FM	FORMATION	ROGALAND GP	1005	142	131	9999-12-31	2013-05-08
30/6-13 R	2288.000000	2387.000000	SHETLAND GP	GROUP	\N	1005	143	\N	9999-12-31	2013-05-08
30/6-13 R	1032.000000	1080.000000	SKADE FM	FORMATION	HORDALAND GP	1005	145	67	9999-12-31	2013-05-08
30/6-13 R	1410.000000	1528.000000	SKADE FM	FORMATION	HORDALAND GP	1005	145	67	9999-12-31	2013-05-08
30/6-13 R	705.000000	904.000000	UTSIRA FM	FORMATION	NORDLAND GP	1005	183	113	9999-12-31	2013-05-08
30/6-13 R	2401.000000	2571.000000	VIKING GP	GROUP	\N	1005	188	\N	9999-12-31	2013-05-08
30/6-13 R	2260.000000	2288.000000	VÅLE FM	FORMATION	ROGALAND GP	1005	190	131	9999-12-31	2013-05-08
30/6-13 R	2394.000000	2401.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1005	198	23	9999-12-31	2013-05-08
2/12-1	2985.000000	2994.000000	BALDER FM	FORMATION	ROGALAND GP	1014	6	131	9999-12-31	2013-05-08
2/12-1	3698.000000	3709.000000	BLODØKS FM	FORMATION	SHETLAND GP	1014	13	143	9999-12-31	2013-05-08
2/12-1	3917.000000	3988.000000	CROMER KNOLL GP	GROUP	\N	1014	23	\N	9999-12-31	2013-05-08
2/12-1	3107.000000	3125.000000	EKOFISK FM	FORMATION	SHETLAND GP	1014	33	143	9999-12-31	2013-05-08
2/12-1	3988.000000	4365.000000	FARSUND FM	FORMATION	TYNE GP	1014	39	177	9999-12-31	2013-05-08
2/12-1	4365.000000	4597.000000	HAUGESUND FM	FORMATION	TYNE GP	1014	57	177	9999-12-31	2013-05-08
2/12-1	3709.000000	3917.000000	HIDRA FM	FORMATION	SHETLAND GP	1014	65	143	9999-12-31	2013-05-08
2/12-1	3358.000000	3698.000000	HOD FM	FORMATION	SHETLAND GP	1014	66	143	9999-12-31	2013-05-08
2/12-1	1594.000000	2985.000000	HORDALAND GP	GROUP	\N	1014	67	\N	9999-12-31	2013-05-08
2/12-1	3045.000000	3084.000000	LISTA FM	FORMATION	ROGALAND GP	1014	95	131	9999-12-31	2013-05-08
2/12-1	93.000000	1594.000000	NORDLAND GP	GROUP	\N	1014	113	\N	9999-12-31	2013-05-08
2/12-1	2985.000000	3107.000000	ROGALAND GP	GROUP	\N	1014	131	\N	9999-12-31	2013-05-08
2/12-1	4684.000000	4795.000000	ROTLIEGEND GP	GROUP	\N	1014	136	\N	9999-12-31	2013-05-08
2/12-1	3917.000000	3955.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1014	137	23	9999-12-31	2013-05-08
2/12-1	2994.000000	3045.000000	SELE FM	FORMATION	ROGALAND GP	1014	142	131	9999-12-31	2013-05-08
2/12-1	3107.000000	3917.000000	SHETLAND GP	GROUP	\N	1014	143	\N	9999-12-31	2013-05-08
2/12-1	4672.000000	4674.000000	SMITH BANK FM	FORMATION	HEGRE GP	1014	149	61	9999-12-31	2013-05-08
2/12-1	3125.000000	3358.000000	TOR FM	FORMATION	SHETLAND GP	1014	171	143	9999-12-31	2013-05-08
2/12-1	3988.000000	4597.000000	TYNE GP	GROUP	\N	1014	177	\N	9999-12-31	2013-05-08
2/12-1	4597.000000	4672.000000	ULA FM	FORMATION	VESTLAND GP	1014	179	186	9999-12-31	2013-05-08
2/12-1	4597.000000	4672.000000	VESTLAND GP	GROUP	\N	1014	186	\N	9999-12-31	2013-05-08
2/12-1	3084.000000	3107.000000	VÅLE FM	FORMATION	ROGALAND GP	1014	190	131	9999-12-31	2013-05-08
2/12-1	4674.000000	4684.000000	ZECHSTEIN GP	GROUP	\N	1014	194	\N	9999-12-31	2013-05-08
2/12-1	3955.000000	3988.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1014	198	23	9999-12-31	2013-05-08
2/12-1	4672.000000	4674.000000	NO GROUP DEFINED	GROUP	\N	1014	208	\N	9999-12-31	2013-05-08
6407/7-2	2712.000000	2934.000000	BÅT GP	GROUP	\N	1017	22	\N	9999-12-31	2013-05-08
6407/7-2	2467.000000	2637.000000	CROMER KNOLL GP	GROUP	\N	1017	23	\N	9999-12-31	2013-05-08
6407/7-2	2668.000000	2712.000000	FANGST GP	GROUP	\N	1017	38	\N	9999-12-31	2013-05-08
6407/7-2	2668.000000	2681.000000	GARN FM	FORMATION	FANGST GP	1017	48	38	9999-12-31	2013-05-08
6407/7-2	2934.000000	2980.000000	GREY BEDS (INFORMAL)	GROUP	\N	1017	52	\N	9999-12-31	2013-05-08
6407/7-2	2697.000000	2712.000000	ILE FM	FORMATION	FANGST GP	1017	70	38	9999-12-31	2013-05-08
6407/7-2	1078.000000	1723.000000	KAI FM	FORMATION	NORDLAND GP	1017	77	113	9999-12-31	2013-05-08
6407/7-2	2652.000000	2668.000000	MELKE FM	FORMATION	VIKING GP	1017	105	188	9999-12-31	2013-05-08
6407/7-2	361.000000	1078.000000	NAUST FM	FORMATION	NORDLAND GP	1017	109	113	9999-12-31	2013-05-08
6407/7-2	361.000000	1723.000000	NORDLAND GP	GROUP	\N	1017	113	\N	9999-12-31	2013-05-08
6407/7-2	2681.000000	2697.000000	NOT FM	FORMATION	FANGST GP	1017	120	38	9999-12-31	2013-05-08
6407/7-2	2980.000000	3320.000000	RED BEDS (INFORMAL)	GROUP	\N	1017	129	\N	9999-12-31	2013-05-08
6407/7-2	1723.000000	1959.000000	ROGALAND GP	GROUP	\N	1017	131	\N	9999-12-31	2013-05-08
6407/7-2	1959.000000	2467.000000	SHETLAND GP	GROUP	\N	1017	143	\N	9999-12-31	2013-05-08
6407/7-2	2637.000000	2652.000000	SPEKK FM	FORMATION	VIKING GP	1017	155	188	9999-12-31	2013-05-08
6407/7-2	1786.000000	1959.000000	TANG FM	FORMATION	ROGALAND GP	1017	161	131	9999-12-31	2013-05-08
6407/7-2	1723.000000	1786.000000	TARE FM	FORMATION	ROGALAND GP	1017	163	131	9999-12-31	2013-05-08
6407/7-2	2771.000000	2878.000000	TILJE FM	FORMATION	BÅT GP	1017	169	22	9999-12-31	2013-05-08
6407/7-2	2637.000000	2668.000000	VIKING GP	GROUP	\N	1017	188	\N	9999-12-31	2013-05-08
6407/7-2	2878.000000	2934.000000	ÅRE FM	FORMATION	BÅT GP	1017	197	22	9999-12-31	2013-05-08
6407/6-3	1463.000000	1915.000000	BRYGGE FM	FORMATION	HORDALAND GP	1024	18	67	9999-12-31	2013-05-08
6407/6-3	2639.000000	3220.000000	BÅT GP	GROUP	\N	1024	22	\N	9999-12-31	2013-05-08
6407/6-3	2414.000000	2445.000000	CROMER KNOLL GP	GROUP	\N	1024	23	\N	9999-12-31	2013-05-08
6407/6-3	2461.000000	2639.000000	FANGST GP	GROUP	\N	1024	38	\N	9999-12-31	2013-05-08
6407/6-3	2461.000000	2492.000000	GARN FM	FORMATION	FANGST GP	1024	48	38	9999-12-31	2013-05-08
6407/6-3	1463.000000	1915.000000	HORDALAND GP	GROUP	\N	1024	67	\N	9999-12-31	2013-05-08
6407/6-3	2548.000000	2639.000000	ILE FM	FORMATION	FANGST GP	1024	70	38	9999-12-31	2013-05-08
6407/6-3	1227.000000	1463.000000	KAI FM	FORMATION	NORDLAND GP	1024	77	113	9999-12-31	2013-05-08
6407/6-3	2451.000000	2461.000000	MELKE FM	FORMATION	VIKING GP	1024	105	188	9999-12-31	2013-05-08
6407/6-3	251.000000	1227.000000	NAUST FM	FORMATION	NORDLAND GP	1024	109	113	9999-12-31	2013-05-08
6407/6-3	251.000000	1463.000000	NORDLAND GP	GROUP	\N	1024	113	\N	9999-12-31	2013-05-08
6407/6-3	2492.000000	2548.000000	NOT FM	FORMATION	FANGST GP	1024	120	38	9999-12-31	2013-05-08
6407/6-3	1915.000000	2069.000000	ROGALAND GP	GROUP	\N	1024	131	\N	9999-12-31	2013-05-08
6407/6-3	2639.000000	2691.000000	ROR FM	FORMATION	BÅT GP	1024	135	22	9999-12-31	2013-05-08
6407/6-3	2698.000000	2727.000000	ROR FM	FORMATION	BÅT GP	1024	135	22	9999-12-31	2013-05-08
6407/6-3	2069.000000	2414.000000	SHETLAND GP	GROUP	\N	1024	143	\N	9999-12-31	2013-05-08
6407/6-3	2445.000000	2451.000000	SPEKK FM	FORMATION	VIKING GP	1024	155	188	9999-12-31	2013-05-08
6407/6-3	1978.000000	2069.000000	TANG FM	FORMATION	ROGALAND GP	1024	161	131	9999-12-31	2013-05-08
6407/6-3	1915.000000	1978.000000	TARE FM	FORMATION	ROGALAND GP	1024	163	131	9999-12-31	2013-05-08
6407/6-3	2727.000000	2902.000000	TILJE FM	FORMATION	BÅT GP	1024	169	22	9999-12-31	2013-05-08
6407/6-3	2691.000000	2698.000000	TOFTE FM	FORMATION	BÅT GP	1024	170	22	9999-12-31	2013-05-08
6407/6-3	2445.000000	2461.000000	VIKING GP	GROUP	\N	1024	188	\N	9999-12-31	2013-05-08
6407/6-3	2902.000000	3220.000000	ÅRE FM	FORMATION	BÅT GP	1024	197	22	9999-12-31	2013-05-08
25/1-8 SR	2232.000000	2237.000000	BALDER FM	FORMATION	ROGALAND GP	1030	6	131	9999-12-31	2013-05-08
25/1-8 SR	2250.000000	2329.000000	BALDER FM	FORMATION	ROGALAND GP	1030	6	131	9999-12-31	2013-05-08
25/1-8 SR	2237.000000	2250.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1030	7	131	9999-12-31	2013-05-08
25/1-8 SR	1930.000000	2232.000000	FRIGG FM	FORMATION	HORDALAND GP	1030	45	67	9999-12-31	2013-05-08
25/1-8 SR	2329.000000	2532.000000	HERMOD FM	FORMATION	ROGALAND GP	1030	64	131	9999-12-31	2013-05-08
25/1-8 SR	735.000000	2232.000000	HORDALAND GP	GROUP	\N	1030	67	\N	9999-12-31	2013-05-08
25/1-8 SR	2532.000000	2650.000000	LISTA FM	FORMATION	ROGALAND GP	1030	95	131	9999-12-31	2013-05-08
25/1-8 SR	127.000000	735.000000	NORDLAND GP	GROUP	\N	1030	113	\N	9999-12-31	2013-05-08
25/1-8 SR	2232.000000	2650.000000	ROGALAND GP	GROUP	\N	1030	131	\N	9999-12-31	2013-05-08
25/1-7 R	2180.000000	2185.000000	BALDER FM	FORMATION	ROGALAND GP	1031	6	131	9999-12-31	2013-05-08
25/1-7 R	2215.000000	2290.000000	BALDER FM	FORMATION	ROGALAND GP	1031	6	131	9999-12-31	2013-05-08
25/1-7 R	2185.000000	2215.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1031	7	131	9999-12-31	2013-05-08
25/1-7 R	1919.000000	2180.000000	FRIGG FM	FORMATION	HORDALAND GP	1031	45	67	9999-12-31	2013-05-08
25/1-7 R	2290.000000	2439.000000	HERMOD FM	FORMATION	ROGALAND GP	1031	64	131	9999-12-31	2013-05-08
25/1-7 R	746.000000	2180.000000	HORDALAND GP	GROUP	\N	1031	67	\N	9999-12-31	2013-05-08
25/1-7 R	2710.000000	2719.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1031	74	143	9999-12-31	2013-05-08
25/1-7 R	2439.000000	2680.000000	LISTA FM	FORMATION	ROGALAND GP	1031	95	131	9999-12-31	2013-05-08
25/1-7 R	126.000000	746.000000	NORDLAND GP	GROUP	\N	1031	113	\N	9999-12-31	2013-05-08
25/1-7 R	2180.000000	2710.000000	ROGALAND GP	GROUP	\N	1031	131	\N	9999-12-31	2013-05-08
25/1-7 R	2710.000000	2719.000000	SHETLAND GP	GROUP	\N	1031	143	\N	9999-12-31	2013-05-08
25/1-7 R	2680.000000	2710.000000	VÅLE FM	FORMATION	ROGALAND GP	1031	190	131	9999-12-31	2013-05-08
25/2-11	1950.000000	2075.000000	FRIGG FM	FORMATION	HORDALAND GP	1036	45	67	9999-12-31	2013-05-08
25/2-11	1025.000000	2075.000000	HORDALAND GP	GROUP	\N	1036	67	\N	9999-12-31	2013-05-08
25/2-11	1262.000000	1353.000000	NO FORMAL NAME	FORMATION	\N	1036	111	\N	9999-12-31	2013-05-08
25/2-11	1353.000000	1450.000000	NO FORMAL NAME	FORMATION	\N	1036	111	\N	9999-12-31	2013-05-08
25/2-11	1450.000000	1950.000000	NO FORMAL NAME	FORMATION	\N	1036	111	\N	9999-12-31	2013-05-08
25/2-11	143.000000	1025.000000	NORDLAND GP	GROUP	\N	1036	113	\N	9999-12-31	2013-05-08
25/2-11	1046.000000	1262.000000	SKADE FM	FORMATION	HORDALAND GP	1036	145	67	9999-12-31	2013-05-08
25/2-11	273.000000	1025.000000	UTSIRA FM	FORMATION	NORDLAND GP	1036	183	113	9999-12-31	2013-05-08
9/2-1	710.000000	731.000000	BALDER FM	FORMATION	ROGALAND GP	1038	6	131	9999-12-31	2013-05-08
9/2-1	1445.000000	1482.000000	BLODØKS FM	FORMATION	SHETLAND GP	1038	13	143	9999-12-31	2013-05-08
9/2-1	2483.000000	3162.000000	BOKNFJORD GP	GROUP	\N	1038	15	\N	9999-12-31	2013-05-08
9/2-1	3309.000000	3601.000000	BRYNE FM	FORMATION	VESTLAND GP	1038	19	186	9999-12-31	2013-05-08
9/2-1	1482.000000	2483.000000	CROMER KNOLL GP	GROUP	\N	1038	23	\N	9999-12-31	2013-05-08
9/2-1	3097.000000	3162.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	1038	30	15	9999-12-31	2013-05-08
9/2-1	765.000000	829.000000	EKOFISK FM	FORMATION	SHETLAND GP	1038	33	143	9999-12-31	2013-05-08
9/2-1	3601.000000	3685.000000	FJERRITSLEV FM	FORMATION	\N	1038	42	\N	9999-12-31	2013-05-08
9/2-1	2483.000000	2550.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	1038	43	15	9999-12-31	2013-05-08
9/2-1	1114.000000	1445.000000	HOD FM	FORMATION	SHETLAND GP	1038	66	143	9999-12-31	2013-05-08
9/2-1	515.000000	710.000000	HORDALAND GP	GROUP	\N	1038	67	\N	9999-12-31	2013-05-08
9/2-1	740.000000	756.000000	LISTA FM	FORMATION	ROGALAND GP	1038	95	131	9999-12-31	2013-05-08
9/2-1	128.000000	515.000000	NORDLAND GP	GROUP	\N	1038	113	\N	9999-12-31	2013-05-08
9/2-1	710.000000	765.000000	ROGALAND GP	GROUP	\N	1038	131	\N	9999-12-31	2013-05-08
9/2-1	3162.000000	3309.000000	SANDNES FM	FORMATION	VESTLAND GP	1038	139	186	9999-12-31	2013-05-08
9/2-1	2550.000000	2993.000000	SAUDA FM	FORMATION	BOKNFJORD GP	1038	141	15	9999-12-31	2013-05-08
9/2-1	731.000000	740.000000	SELE FM	FORMATION	ROGALAND GP	1038	142	131	9999-12-31	2013-05-08
9/2-1	765.000000	1482.000000	SHETLAND GP	GROUP	\N	1038	143	\N	9999-12-31	2013-05-08
9/2-1	3685.000000	3756.000000	SKAGERRAK FM	FORMATION	HEGRE GP	1038	146	61	9999-12-31	2013-05-08
9/2-1	1482.000000	1601.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1038	152	23	9999-12-31	2013-05-08
9/2-1	2993.000000	3097.000000	TAU FM	FORMATION	BOKNFJORD GP	1038	164	15	9999-12-31	2013-05-08
9/2-1	829.000000	1114.000000	TOR FM	FORMATION	SHETLAND GP	1038	171	143	9999-12-31	2013-05-08
9/2-1	3162.000000	3601.000000	VESTLAND GP	GROUP	\N	1038	186	\N	9999-12-31	2013-05-08
9/2-1	756.000000	765.000000	VÅLE FM	FORMATION	ROGALAND GP	1038	190	131	9999-12-31	2013-05-08
9/2-1	1601.000000	2483.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1038	198	23	9999-12-31	2013-05-08
9/2-1	3601.000000	3685.000000	NO GROUP DEFINED	GROUP	\N	1038	208	\N	9999-12-31	2013-05-08
9/2-1	3685.000000	3756.000000	NO GROUP DEFINED	GROUP	\N	1038	208	\N	9999-12-31	2013-05-08
6508/5-1	1163.000000	1427.000000	BRYGGE FM	FORMATION	HORDALAND GP	1044	18	67	9999-12-31	2013-05-08
6508/5-1	1824.000000	2229.000000	BÅT GP	GROUP	\N	1044	22	\N	9999-12-31	2013-05-08
6508/5-1	1527.000000	1580.000000	CROMER KNOLL GP	GROUP	\N	1044	23	\N	9999-12-31	2013-05-08
6508/5-1	1710.000000	1824.000000	FANGST GP	GROUP	\N	1044	38	\N	9999-12-31	2013-05-08
6508/5-1	1163.000000	1427.000000	HORDALAND GP	GROUP	\N	1044	67	\N	9999-12-31	2013-05-08
6508/5-1	1778.000000	1824.000000	ILE FM	FORMATION	FANGST GP	1044	70	38	9999-12-31	2013-05-08
6508/5-1	1527.000000	1562.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1044	94	23	9999-12-31	2013-05-08
6508/5-1	1562.000000	1580.000000	LYR FM	FORMATION	CROMER KNOLL GP	1044	98	23	9999-12-31	2013-05-08
6508/5-1	1650.000000	1710.000000	MELKE FM	FORMATION	VIKING GP	1044	105	188	9999-12-31	2013-05-08
6508/5-1	433.000000	1163.000000	NORDLAND GP	GROUP	\N	1044	113	\N	9999-12-31	2013-05-08
6508/5-1	1710.000000	1778.000000	NOT FM	FORMATION	FANGST GP	1044	120	38	9999-12-31	2013-05-08
6508/5-1	2229.000000	2586.000000	RED BEDS (INFORMAL)	GROUP	\N	1044	129	\N	9999-12-31	2013-05-08
6508/5-1	1427.000000	1527.000000	ROGALAND GP	GROUP	\N	1044	131	\N	9999-12-31	2013-05-08
6508/5-1	1580.000000	1650.000000	SPEKK FM	FORMATION	VIKING GP	1044	155	188	9999-12-31	2013-05-08
6508/5-1	1476.000000	1527.000000	TANG FM	FORMATION	ROGALAND GP	1044	161	131	9999-12-31	2013-05-08
6508/5-1	1427.000000	1476.000000	TARE FM	FORMATION	ROGALAND GP	1044	163	131	9999-12-31	2013-05-08
6508/5-1	1824.000000	1981.000000	TILJE FM	FORMATION	BÅT GP	1044	169	22	9999-12-31	2013-05-08
6508/5-1	1580.000000	1710.000000	VIKING GP	GROUP	\N	1044	188	\N	9999-12-31	2013-05-08
6508/5-1	1981.000000	2229.000000	ÅRE FM	FORMATION	BÅT GP	1044	197	22	9999-12-31	2013-05-08
26/4-1	2050.000000	2106.000000	BALDER FM	FORMATION	ROGALAND GP	1046	6	131	9999-12-31	2013-05-08
26/4-1	2584.000000	2637.000000	CROMER KNOLL GP	GROUP	\N	1046	23	\N	9999-12-31	2013-05-08
26/4-1	2872.000000	3095.000000	DRAKE FM	FORMATION	DUNLIN GP	1046	27	29	9999-12-31	2013-05-08
26/4-1	2637.000000	2725.000000	DRAUPNE FM	FORMATION	VIKING GP	1046	28	188	9999-12-31	2013-05-08
26/4-1	2872.000000	3308.000000	DUNLIN GP	GROUP	\N	1046	29	\N	9999-12-31	2013-05-08
26/4-1	1682.000000	1733.000000	GRID FM	FORMATION	HORDALAND GP	1046	53	67	9999-12-31	2013-05-08
26/4-1	2350.000000	2584.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1046	56	143	9999-12-31	2013-05-08
26/4-1	2725.000000	2753.000000	HEATHER FM	FORMATION	VIKING GP	1046	60	188	9999-12-31	2013-05-08
26/4-1	1094.000000	2050.000000	HORDALAND GP	GROUP	\N	1046	67	\N	9999-12-31	2013-05-08
26/4-1	2753.000000	2820.000000	HUGIN FM	FORMATION	VESTLAND GP	1046	69	186	9999-12-31	2013-05-08
26/4-1	2142.000000	2246.000000	LISTA FM	FORMATION	ROGALAND GP	1046	95	131	9999-12-31	2013-05-08
26/4-1	1733.000000	2050.000000	NO FORMAL NAME	FORMATION	\N	1046	111	\N	9999-12-31	2013-05-08
26/4-1	3095.000000	3308.000000	NO FORMAL NAME	FORMATION	\N	1046	111	\N	9999-12-31	2013-05-08
26/4-1	144.000000	1094.000000	NORDLAND GP	GROUP	\N	1046	113	\N	9999-12-31	2013-05-08
26/4-1	2050.000000	2350.000000	ROGALAND GP	GROUP	\N	1046	131	\N	9999-12-31	2013-05-08
26/4-1	2584.000000	2623.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1046	137	23	9999-12-31	2013-05-08
26/4-1	2106.000000	2142.000000	SELE FM	FORMATION	ROGALAND GP	1046	142	131	9999-12-31	2013-05-08
26/4-1	2350.000000	2584.000000	SHETLAND GP	GROUP	\N	1046	143	\N	9999-12-31	2013-05-08
26/4-1	2820.000000	2872.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1046	148	186	9999-12-31	2013-05-08
26/4-1	2623.000000	2637.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1046	152	23	9999-12-31	2013-05-08
26/4-1	3308.000000	3665.000000	STATFJORD FM	FORMATION	\N	1046	157	\N	9999-12-31	2013-05-08
26/4-1	2246.000000	2322.000000	TY FM	FORMATION	ROGALAND GP	1046	176	131	9999-12-31	2013-05-08
26/4-1	768.000000	1094.000000	UTSIRA FM	FORMATION	NORDLAND GP	1046	183	113	9999-12-31	2013-05-08
26/4-1	2753.000000	2872.000000	VESTLAND GP	GROUP	\N	1046	186	\N	9999-12-31	2013-05-08
26/4-1	2637.000000	2753.000000	VIKING GP	GROUP	\N	1046	188	\N	9999-12-31	2013-05-08
26/4-1	2322.000000	2350.000000	VÅLE FM	FORMATION	ROGALAND GP	1046	190	131	9999-12-31	2013-05-08
26/4-1	3308.000000	3665.000000	NO GROUP DEFINED	GROUP	\N	1046	208	\N	9999-12-31	2013-05-08
26/4-1	3665.000000	3690.000000	NO GROUP DEFINED	GROUP	\N	1046	208	\N	9999-12-31	2013-05-08
6407/10-1	1240.000000	1671.000000	BRYGGE FM	FORMATION	HORDALAND GP	1054	18	67	9999-12-31	2013-05-08
6407/10-1	2868.000000	3319.000000	BÅT GP	GROUP	\N	1054	22	\N	9999-12-31	2013-05-08
6407/10-1	2390.000000	2573.000000	CROMER KNOLL GP	GROUP	\N	1054	23	\N	9999-12-31	2013-05-08
6407/10-1	2702.000000	2868.000000	FANGST GP	GROUP	\N	1054	38	\N	9999-12-31	2013-05-08
6407/10-1	3319.000000	3347.000000	GREY BEDS (INFORMAL)	GROUP	\N	1054	52	\N	9999-12-31	2013-05-08
6407/10-1	1240.000000	1671.000000	HORDALAND GP	GROUP	\N	1054	67	\N	9999-12-31	2013-05-08
6407/10-1	2803.000000	2868.000000	ILE FM	FORMATION	FANGST GP	1054	70	38	9999-12-31	2013-05-08
6407/10-1	1041.000000	1240.000000	KAI FM	FORMATION	NORDLAND GP	1054	77	113	9999-12-31	2013-05-08
6407/10-1	2390.000000	2573.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1054	94	23	9999-12-31	2013-05-08
6407/10-1	366.000000	1041.000000	NAUST FM	FORMATION	NORDLAND GP	1054	109	113	9999-12-31	2013-05-08
6407/10-1	366.000000	1240.000000	NORDLAND GP	GROUP	\N	1054	113	\N	9999-12-31	2013-05-08
6407/10-1	2702.000000	2803.000000	NOT FM	FORMATION	FANGST GP	1054	120	38	9999-12-31	2013-05-08
6407/10-1	1671.000000	1913.000000	ROGALAND GP	GROUP	\N	1054	131	\N	9999-12-31	2013-05-08
6407/10-1	2579.000000	2702.000000	ROGN FM	FORMATION	VIKING GP	1054	134	188	9999-12-31	2013-05-08
6407/10-1	2868.000000	2974.000000	ROR FM	FORMATION	BÅT GP	1054	135	22	9999-12-31	2013-05-08
6407/10-1	1913.000000	2390.000000	SHETLAND GP	GROUP	\N	1054	143	\N	9999-12-31	2013-05-08
6407/10-1	2573.000000	2579.000000	SPEKK FM	FORMATION	VIKING GP	1054	155	188	9999-12-31	2013-05-08
6407/10-1	1735.000000	1913.000000	TANG FM	FORMATION	ROGALAND GP	1054	161	131	9999-12-31	2013-05-08
6407/10-1	1671.000000	1735.000000	TARE FM	FORMATION	ROGALAND GP	1054	163	131	9999-12-31	2013-05-08
6407/10-1	2974.000000	3155.000000	TILJE FM	FORMATION	BÅT GP	1054	169	22	9999-12-31	2013-05-08
6407/10-1	2573.000000	2702.000000	VIKING GP	GROUP	\N	1054	188	\N	9999-12-31	2013-05-08
6407/10-1	3155.000000	3319.000000	ÅRE FM	FORMATION	BÅT GP	1054	197	22	9999-12-31	2013-05-08
6507/11-4	2866.000000	3045.000000	BÅT GP	GROUP	\N	1055	22	\N	9999-12-31	2013-05-08
6507/11-4	2522.000000	2530.000000	CROMER KNOLL GP	GROUP	\N	1055	23	\N	9999-12-31	2013-05-08
6507/11-4	2677.000000	2866.000000	FANGST GP	GROUP	\N	1055	38	\N	9999-12-31	2013-05-08
6507/11-4	2677.000000	2732.000000	GARN FM	FORMATION	FANGST GP	1055	48	38	9999-12-31	2013-05-08
6507/11-4	2747.000000	2866.000000	ILE FM	FORMATION	FANGST GP	1055	70	38	9999-12-31	2013-05-08
6507/11-4	1380.000000	2015.000000	KAI FM	FORMATION	NORDLAND GP	1055	77	113	9999-12-31	2013-05-08
6507/11-4	2535.000000	2677.000000	MELKE FM	FORMATION	VIKING GP	1055	105	188	9999-12-31	2013-05-08
6507/11-4	314.000000	1380.000000	NAUST FM	FORMATION	NORDLAND GP	1055	109	113	9999-12-31	2013-05-08
6507/11-4	314.000000	2015.000000	NORDLAND GP	GROUP	\N	1055	113	\N	9999-12-31	2013-05-08
6507/11-4	2732.000000	2747.000000	NOT FM	FORMATION	FANGST GP	1055	120	38	9999-12-31	2013-05-08
6507/11-4	2015.000000	2135.000000	ROGALAND GP	GROUP	\N	1055	131	\N	9999-12-31	2013-05-08
6507/11-4	2866.000000	2992.000000	ROR FM	FORMATION	BÅT GP	1055	135	22	9999-12-31	2013-05-08
6507/11-4	2135.000000	2522.000000	SHETLAND GP	GROUP	\N	1055	143	\N	9999-12-31	2013-05-08
6507/11-4	2530.000000	2535.000000	SPEKK FM	FORMATION	VIKING GP	1055	155	188	9999-12-31	2013-05-08
6507/11-4	2066.000000	2135.000000	TANG FM	FORMATION	ROGALAND GP	1055	161	131	9999-12-31	2013-05-08
6507/11-4	2015.000000	2066.000000	TARE FM	FORMATION	ROGALAND GP	1055	163	131	9999-12-31	2013-05-08
6507/11-4	2992.000000	3045.000000	TILJE FM	FORMATION	BÅT GP	1055	169	22	9999-12-31	2013-05-08
6507/11-4	2530.000000	2677.000000	VIKING GP	GROUP	\N	1055	188	\N	9999-12-31	2013-05-08
6507/7-7	360.000000	1035.000000	NAUST FM	FORMATION	NORDLAND GP	1056	109	113	9999-12-31	2013-05-08
6507/7-7	360.000000	1035.000000	NORDLAND GP	GROUP	\N	1056	113	\N	9999-12-31	2013-05-08
6407/9-7	907.000000	1476.000000	BRYGGE FM	FORMATION	HORDALAND GP	1057	18	67	9999-12-31	2013-05-08
6407/9-7	1926.000000	2439.000000	BÅT GP	GROUP	\N	1057	22	\N	9999-12-31	2013-05-08
6407/9-7	1666.000000	1692.000000	CROMER KNOLL GP	GROUP	\N	1057	23	\N	9999-12-31	2013-05-08
6407/9-7	1714.000000	1926.000000	FANGST GP	GROUP	\N	1057	38	\N	9999-12-31	2013-05-08
6407/9-7	1714.000000	1834.000000	GARN FM	FORMATION	FANGST GP	1057	48	38	9999-12-31	2013-05-08
6407/9-7	2439.000000	2526.000000	GREY BEDS (INFORMAL)	GROUP	\N	1057	52	\N	9999-12-31	2013-05-08
6407/9-7	907.000000	1476.000000	HORDALAND GP	GROUP	\N	1057	67	\N	9999-12-31	2013-05-08
6407/9-7	1864.000000	1926.000000	ILE FM	FORMATION	FANGST GP	1057	70	38	9999-12-31	2013-05-08
6407/9-7	1666.000000	1692.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1057	94	23	9999-12-31	2013-05-08
6407/9-7	264.000000	907.000000	NAUST FM	FORMATION	NORDLAND GP	1057	109	113	9999-12-31	2013-05-08
6407/9-7	264.000000	907.000000	NORDLAND GP	GROUP	\N	1057	113	\N	9999-12-31	2013-05-08
6407/9-7	1834.000000	1864.000000	NOT FM	FORMATION	FANGST GP	1057	120	38	9999-12-31	2013-05-08
6407/9-7	2526.000000	2561.000000	RED BEDS (INFORMAL)	GROUP	\N	1057	129	\N	9999-12-31	2013-05-08
6407/9-7	1476.000000	1639.000000	ROGALAND GP	GROUP	\N	1057	131	\N	9999-12-31	2013-05-08
6407/9-7	1926.000000	2043.000000	ROR FM	FORMATION	BÅT GP	1057	135	22	9999-12-31	2013-05-08
6407/9-7	1639.000000	1666.000000	SHETLAND GP	GROUP	\N	1057	143	\N	9999-12-31	2013-05-08
6407/9-7	1692.000000	1714.000000	SPEKK FM	FORMATION	VIKING GP	1057	155	188	9999-12-31	2013-05-08
6407/9-7	1515.000000	1639.000000	TANG FM	FORMATION	ROGALAND GP	1057	161	131	9999-12-31	2013-05-08
6407/9-7	1476.000000	1515.000000	TARE FM	FORMATION	ROGALAND GP	1057	163	131	9999-12-31	2013-05-08
6407/9-7	2043.000000	2139.000000	TILJE FM	FORMATION	BÅT GP	1057	169	22	9999-12-31	2013-05-08
6407/9-7	1692.000000	1714.000000	VIKING GP	GROUP	\N	1057	188	\N	9999-12-31	2013-05-08
6407/9-7	2139.000000	2439.000000	ÅRE FM	FORMATION	BÅT GP	1057	197	22	9999-12-31	2013-05-08
2/7-20	2936.000000	2951.000000	BALDER FM	FORMATION	ROGALAND GP	1062	6	131	2012-10-16	2013-05-08
2/7-20	3899.000000	3906.000000	BLODØKS FM	FORMATION	SHETLAND GP	1062	13	143	2012-10-16	2013-05-08
2/7-20	3965.000000	4060.000000	CROMER KNOLL GP	GROUP	\N	1062	23	\N	2012-10-16	2013-05-08
2/7-20	3066.000000	3146.000000	EKOFISK FM	FORMATION	SHETLAND GP	1062	33	143	2012-10-16	2013-05-08
2/7-20	3906.000000	3965.000000	HIDRA FM	FORMATION	SHETLAND GP	1062	65	143	2012-10-16	2013-05-08
2/7-20	3439.000000	3899.000000	HOD FM	FORMATION	SHETLAND GP	1062	66	143	2012-10-16	2013-05-08
2/7-20	1602.000000	2936.000000	HORDALAND GP	GROUP	\N	1062	67	\N	2012-10-16	2013-05-08
2/7-20	3001.000000	3054.000000	LISTA FM	FORMATION	ROGALAND GP	1062	95	131	2012-10-16	2013-05-08
2/7-20	4060.000000	4061.000000	MANDAL FM	FORMATION	TYNE GP	1062	101	177	2012-10-16	2013-05-08
2/7-20	96.000000	1602.000000	NORDLAND GP	GROUP	\N	1062	113	\N	2012-10-16	2013-05-08
2/7-20	2936.000000	3066.000000	ROGALAND GP	GROUP	\N	1062	131	\N	2012-10-16	2013-05-08
2/7-20	3965.000000	4060.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1062	137	23	2012-10-16	2013-05-08
2/7-20	2951.000000	3001.000000	SELE FM	FORMATION	ROGALAND GP	1062	142	131	2012-10-16	2013-05-08
2/7-20	3066.000000	3965.000000	SHETLAND GP	GROUP	\N	1062	143	\N	2012-10-16	2013-05-08
2/7-20	3146.000000	3439.000000	TOR FM	FORMATION	SHETLAND GP	1062	171	143	2012-10-16	2013-05-08
2/7-20	4060.000000	4061.000000	TYNE GP	GROUP	\N	1062	177	\N	2012-10-16	2013-05-08
2/7-20	3054.000000	3066.000000	VÅLE FM	FORMATION	ROGALAND GP	1062	190	131	2012-10-16	2013-05-08
2/7-20	4061.000000	4509.000000	UNDEFINED GP	GROUP	\N	1062	191	\N	2012-10-16	2013-05-08
6607/5-1	2968.000000	3817.000000	CROMER KNOLL GP	GROUP	\N	1064	23	\N	9999-12-31	2013-05-08
6607/5-1	2022.000000	2450.000000	KAI FM	FORMATION	NORDLAND GP	1064	77	113	9999-12-31	2013-05-08
6607/5-1	3026.000000	3817.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1064	94	23	9999-12-31	2013-05-08
6607/5-1	2968.000000	3026.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1064	99	23	9999-12-31	2013-05-08
6607/5-1	395.000000	2022.000000	NAUST FM	FORMATION	NORDLAND GP	1064	109	113	9999-12-31	2013-05-08
6607/5-1	2512.000000	2968.000000	NISE FM	FORMATION	SHETLAND GP	1064	112	143	9999-12-31	2013-05-08
6607/5-1	395.000000	2450.000000	NORDLAND GP	GROUP	\N	1064	113	\N	9999-12-31	2013-05-08
6607/5-1	2450.000000	2512.000000	ROGALAND GP	GROUP	\N	1064	131	\N	9999-12-31	2013-05-08
6607/5-1	2512.000000	2968.000000	SHETLAND GP	GROUP	\N	1064	143	\N	9999-12-31	2013-05-08
6607/5-1	2450.000000	2512.000000	TARE FM	FORMATION	ROGALAND GP	1064	163	131	9999-12-31	2013-05-08
7124/3-1	618.000000	1285.000000	ADVENTDALEN GP	GROUP	\N	1066	1	\N	9999-12-31	2013-05-08
7124/3-1	3952.000000	4271.000000	BJARMELAND GP	GROUP	\N	1066	12	\N	9999-12-31	2013-05-08
7124/3-1	1305.000000	1438.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1066	46	79	9999-12-31	2013-05-08
7124/3-1	4271.000000	4730.000000	GIPSDALEN GP	GROUP	\N	1066	51	\N	9999-12-31	2013-05-08
7124/3-1	2671.000000	3475.000000	HAVERT FM	FORMATION	SASSENDALEN GP	1066	58	140	9999-12-31	2013-05-08
7124/3-1	1233.000000	1285.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1066	63	1	9999-12-31	2013-05-08
7124/3-1	3952.000000	4000.000000	ISBJØRN FM	FORMATION	BJARMELAND GP	1066	72	12	9999-12-31	2013-05-08
7124/3-1	1285.000000	1893.000000	KAPP TOSCANA GP	GROUP	\N	1066	79	\N	9999-12-31	2013-05-08
7124/3-1	2334.000000	2671.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	1066	80	140	9999-12-31	2013-05-08
7124/3-1	1893.000000	2334.000000	KOBBE FM	FORMATION	SASSENDALEN GP	1066	83	140	9999-12-31	2013-05-08
7124/3-1	1220.000000	1233.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	1066	84	1	9999-12-31	2013-05-08
7124/3-1	618.000000	1220.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1066	85	1	9999-12-31	2013-05-08
7124/3-1	574.000000	618.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	1066	89	122	9999-12-31	2013-05-08
7124/3-1	296.000000	406.000000	NORDLAND GP	GROUP	\N	1066	113	\N	9999-12-31	2013-05-08
7124/3-1	574.000000	618.000000	NYGRUNNEN GP	GROUP	\N	1066	122	\N	9999-12-31	2013-05-08
7124/3-1	4000.000000	4271.000000	POLARREV FM	FORMATION	BJARMELAND GP	1066	124	12	9999-12-31	2013-05-08
7124/3-1	3670.000000	3900.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	1066	138	167	9999-12-31	2013-05-08
7124/3-1	1893.000000	3475.000000	SASSENDALEN GP	GROUP	\N	1066	140	\N	9999-12-31	2013-05-08
7124/3-1	1438.000000	1893.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1066	150	79	9999-12-31	2013-05-08
7124/3-1	406.000000	574.000000	SOTBAKKEN GP	GROUP	\N	1066	154	\N	9999-12-31	2013-05-08
7124/3-1	3475.000000	3952.000000	TEMPELFJORDEN GP	GROUP	\N	1066	167	\N	9999-12-31	2013-05-08
7124/3-1	1285.000000	1305.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	1066	174	79	9999-12-31	2013-05-08
7124/3-1	3900.000000	3952.000000	ULV FM	FORMATION	BJARMELAND GP	1066	181	12	9999-12-31	2013-05-08
7124/3-1	4271.000000	4730.000000	ØRN FM	FORMATION	GIPSDALEN GP	1066	195	51	9999-12-31	2013-05-08
7124/3-1	3475.000000	3670.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	1066	196	167	9999-12-31	2013-05-08
6506/12-8	1968.000000	2235.000000	BRYGGE FM	FORMATION	HORDALAND GP	1068	18	67	9999-12-31	2013-05-08
6506/12-8	4065.000000	4335.000000	BÅT GP	GROUP	\N	1068	22	\N	9999-12-31	2013-05-08
6506/12-8	3158.000000	3743.000000	CROMER KNOLL GP	GROUP	\N	1068	23	\N	9999-12-31	2013-05-08
6506/12-8	3875.000000	4065.000000	FANGST GP	GROUP	\N	1068	38	\N	9999-12-31	2013-05-08
6506/12-8	3875.000000	3956.000000	GARN FM	FORMATION	FANGST GP	1068	48	38	9999-12-31	2013-05-08
6506/12-8	1968.000000	2235.000000	HORDALAND GP	GROUP	\N	1068	67	\N	9999-12-31	2013-05-08
6506/12-8	3993.000000	4065.000000	ILE FM	FORMATION	FANGST GP	1068	70	38	9999-12-31	2013-05-08
6506/12-8	1342.000000	1968.000000	KAI FM	FORMATION	NORDLAND GP	1068	77	113	9999-12-31	2013-05-08
6506/12-8	2702.000000	3158.000000	KVITNOS FM	FORMATION	SHETLAND GP	1068	91	143	9999-12-31	2013-05-08
6506/12-8	3185.000000	3725.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1068	94	23	9999-12-31	2013-05-08
6506/12-8	3725.000000	3743.000000	LYR FM	FORMATION	CROMER KNOLL GP	1068	98	23	9999-12-31	2013-05-08
6506/12-8	3158.000000	3185.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1068	99	23	9999-12-31	2013-05-08
6506/12-8	3787.000000	3875.000000	MELKE FM	FORMATION	VIKING GP	1068	105	188	9999-12-31	2013-05-08
6506/12-8	325.000000	1342.000000	NAUST FM	FORMATION	NORDLAND GP	1068	109	113	9999-12-31	2013-05-08
6506/12-8	2545.000000	2702.000000	NISE FM	FORMATION	SHETLAND GP	1068	112	143	9999-12-31	2013-05-08
6506/12-8	325.000000	1968.000000	NORDLAND GP	GROUP	\N	1068	113	\N	9999-12-31	2013-05-08
6506/12-8	3956.000000	3993.000000	NOT FM	FORMATION	FANGST GP	1068	120	38	9999-12-31	2013-05-08
6506/12-8	2235.000000	2353.000000	ROGALAND GP	GROUP	\N	1068	131	\N	9999-12-31	2013-05-08
6506/12-8	4065.000000	4186.000000	ROR FM	FORMATION	BÅT GP	1068	135	22	9999-12-31	2013-05-08
6506/12-8	2353.000000	3158.000000	SHETLAND GP	GROUP	\N	1068	143	\N	9999-12-31	2013-05-08
6506/12-8	3743.000000	3787.000000	SPEKK FM	FORMATION	VIKING GP	1068	155	188	9999-12-31	2013-05-08
6506/12-8	2353.000000	2545.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1068	156	143	9999-12-31	2013-05-08
6506/12-8	2298.000000	2353.000000	TANG FM	FORMATION	ROGALAND GP	1068	161	131	9999-12-31	2013-05-08
6506/12-8	2235.000000	2298.000000	TARE FM	FORMATION	ROGALAND GP	1068	163	131	9999-12-31	2013-05-08
6506/12-8	4186.000000	4335.000000	TILJE FM	FORMATION	BÅT GP	1068	169	22	9999-12-31	2013-05-08
6506/12-8	3743.000000	3875.000000	VIKING GP	GROUP	\N	1068	188	\N	9999-12-31	2013-05-08
7321/8-1	546.000000	1437.000000	ADVENTDALEN GP	GROUP	\N	1070	1	\N	9999-12-31	2013-05-08
7321/8-1	1467.000000	1626.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1070	46	79	9999-12-31	2013-05-08
7321/8-1	1427.000000	1437.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1070	47	1	9999-12-31	2013-05-08
7321/8-1	1383.000000	1427.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1070	63	1	9999-12-31	2013-05-08
7321/8-1	1437.000000	3362.000000	KAPP TOSCANA GP	GROUP	\N	1070	79	\N	9999-12-31	2013-05-08
7321/8-1	1352.000000	1383.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1070	82	1	9999-12-31	2013-05-08
7321/8-1	852.000000	1352.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	1070	84	1	9999-12-31	2013-05-08
7321/8-1	546.000000	852.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1070	85	1	9999-12-31	2013-05-08
7321/8-1	491.000000	546.000000	NORDLAND GP	GROUP	\N	1070	113	\N	9999-12-31	2013-05-08
7321/8-1	1455.000000	1467.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	1070	118	79	9999-12-31	2013-05-08
7321/8-1	3398.000000	3482.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	1070	138	167	9999-12-31	2013-05-08
7321/8-1	3362.000000	3398.000000	SASSENDALEN GP	GROUP	\N	1070	140	\N	9999-12-31	2013-05-08
7321/8-1	1626.000000	3362.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1070	150	79	9999-12-31	2013-05-08
7321/8-1	1437.000000	1455.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1070	159	79	9999-12-31	2013-05-08
7321/8-1	3398.000000	3482.000000	TEMPELFJORDEN GP	GROUP	\N	1070	167	\N	9999-12-31	2013-05-08
7321/8-1	3362.000000	3398.000000	UNDIFFERENTIATED	FORMATION	\N	1070	182	\N	9999-12-31	2013-05-08
6507/7-8	1877.000000	1997.000000	BRYGGE FM	FORMATION	HORDALAND GP	1071	18	67	9999-12-31	2013-05-08
6507/7-8	2497.000000	2855.000000	BÅT GP	GROUP	\N	1071	22	\N	9999-12-31	2013-05-08
6507/7-8	2436.000000	2497.000000	FANGST GP	GROUP	\N	1071	38	\N	9999-12-31	2013-05-08
6507/7-8	2436.000000	2468.000000	GARN FM	FORMATION	FANGST GP	1071	48	38	9999-12-31	2013-05-08
6507/7-8	1877.000000	1997.000000	HORDALAND GP	GROUP	\N	1071	67	\N	9999-12-31	2013-05-08
6507/7-8	2470.000000	2497.000000	ILE FM	FORMATION	FANGST GP	1071	70	38	9999-12-31	2013-05-08
6507/7-8	1463.000000	1877.000000	KAI FM	FORMATION	NORDLAND GP	1071	77	113	9999-12-31	2013-05-08
6507/7-8	2384.000000	2436.000000	MELKE FM	FORMATION	VIKING GP	1071	105	188	9999-12-31	2013-05-08
6507/7-8	357.000000	1463.000000	NAUST FM	FORMATION	NORDLAND GP	1071	109	113	9999-12-31	2013-05-08
6507/7-8	357.000000	1877.000000	NORDLAND GP	GROUP	\N	1071	113	\N	9999-12-31	2013-05-08
6507/7-8	2468.000000	2470.000000	NOT FM	FORMATION	FANGST GP	1071	120	38	9999-12-31	2013-05-08
6507/7-8	1997.000000	2082.000000	ROGALAND GP	GROUP	\N	1071	131	\N	9999-12-31	2013-05-08
6507/7-8	2497.000000	2558.000000	ROR FM	FORMATION	BÅT GP	1071	135	22	9999-12-31	2013-05-08
6507/7-8	2082.000000	2384.000000	SHETLAND GP	GROUP	\N	1071	143	\N	9999-12-31	2013-05-08
6507/7-8	2023.000000	2082.000000	TANG FM	FORMATION	ROGALAND GP	1071	161	131	9999-12-31	2013-05-08
6507/7-8	1997.000000	2023.000000	TARE FM	FORMATION	ROGALAND GP	1071	163	131	9999-12-31	2013-05-08
6507/7-8	2558.000000	2787.000000	TILJE FM	FORMATION	BÅT GP	1071	169	22	9999-12-31	2013-05-08
6507/7-8	2384.000000	2436.000000	VIKING GP	GROUP	\N	1071	188	\N	9999-12-31	2013-05-08
6507/7-8	2787.000000	2855.000000	ÅRE FM	FORMATION	BÅT GP	1071	197	22	9999-12-31	2013-05-08
6507/8-2	1715.000000	1832.000000	BRYGGE FM	FORMATION	HORDALAND GP	1076	18	67	9999-12-31	2013-05-08
6507/8-2	1890.000000	2690.000000	BÅT GP	GROUP	\N	1076	22	\N	9999-12-31	2013-05-08
6507/8-2	1715.000000	1832.000000	HORDALAND GP	GROUP	\N	1076	67	\N	9999-12-31	2013-05-08
6507/8-2	1423.000000	1715.000000	KAI FM	FORMATION	NORDLAND GP	1076	77	113	9999-12-31	2013-05-08
6507/8-2	375.000000	1423.000000	NAUST FM	FORMATION	NORDLAND GP	1076	109	113	9999-12-31	2013-05-08
6507/8-2	375.000000	1715.000000	NORDLAND GP	GROUP	\N	1076	113	\N	9999-12-31	2013-05-08
6507/8-2	1832.000000	1890.000000	ROGALAND GP	GROUP	\N	1076	131	\N	9999-12-31	2013-05-08
6507/8-2	1890.000000	1945.000000	ROR FM	FORMATION	BÅT GP	1076	135	22	9999-12-31	2013-05-08
6507/8-2	1832.000000	1890.000000	TARE FM	FORMATION	ROGALAND GP	1076	163	131	9999-12-31	2013-05-08
6507/8-2	1945.000000	2123.000000	TILJE FM	FORMATION	BÅT GP	1076	169	22	9999-12-31	2013-05-08
6507/8-2	2123.000000	2690.000000	ÅRE FM	FORMATION	BÅT GP	1076	197	22	9999-12-31	2013-05-08
6507/7-9	370.000000	850.000000	NAUST FM	FORMATION	NORDLAND GP	1078	109	113	9999-12-31	2013-05-08
6507/7-9	370.000000	850.000000	NORDLAND GP	GROUP	\N	1078	113	\N	9999-12-31	2013-05-08
25/5-1 A	2170.000000	2201.000000	BALDER FM	FORMATION	ROGALAND GP	1131	6	131	9999-12-31	2013-05-08
25/5-1 A	2215.000000	2241.000000	BALDER FM	FORMATION	ROGALAND GP	1131	6	131	9999-12-31	2013-05-08
25/5-1 A	2201.000000	2215.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1131	7	131	9999-12-31	2013-05-08
25/5-1 A	3142.000000	3150.000000	CROMER KNOLL GP	GROUP	\N	1131	23	\N	9999-12-31	2013-05-08
25/5-1 A	3403.000000	3432.000000	DRAKE FM	FORMATION	DUNLIN GP	1131	27	29	9999-12-31	2013-05-08
25/5-1 A	3150.000000	3225.000000	DRAUPNE FM	FORMATION	VIKING GP	1131	28	188	9999-12-31	2013-05-08
25/5-1 A	3403.000000	3432.000000	DUNLIN GP	GROUP	\N	1131	29	\N	9999-12-31	2013-05-08
25/5-1 A	1287.000000	1345.000000	GRID FM	FORMATION	HORDALAND GP	1131	53	67	9999-12-31	2013-05-08
25/5-1 A	2616.000000	2953.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1131	56	143	9999-12-31	2013-05-08
25/5-1 A	3225.000000	3312.000000	HEATHER FM	FORMATION	VIKING GP	1131	60	188	9999-12-31	2013-05-08
25/5-1 A	920.000000	2170.000000	HORDALAND GP	GROUP	\N	1131	67	\N	9999-12-31	2013-05-08
25/5-1 A	3312.000000	3329.000000	HUGIN FM	FORMATION	VESTLAND GP	1131	69	186	9999-12-31	2013-05-08
25/5-1 A	2953.000000	3142.000000	KYRRE FM	FORMATION	SHETLAND GP	1131	92	143	9999-12-31	2013-05-08
25/5-1 A	2277.000000	2405.000000	LISTA FM	FORMATION	ROGALAND GP	1131	95	131	9999-12-31	2013-05-08
25/5-1 A	1102.000000	1287.000000	NO FORMAL NAME	FORMATION	\N	1131	111	\N	9999-12-31	2013-05-08
25/5-1 A	1345.000000	2170.000000	NO FORMAL NAME	FORMATION	\N	1131	111	\N	9999-12-31	2013-05-08
25/5-1 A	143.000000	920.000000	NORDLAND GP	GROUP	\N	1131	113	\N	9999-12-31	2013-05-08
25/5-1 A	2170.000000	2616.000000	ROGALAND GP	GROUP	\N	1131	131	\N	9999-12-31	2013-05-08
25/5-1 A	2241.000000	2277.000000	SELE FM	FORMATION	ROGALAND GP	1131	142	131	9999-12-31	2013-05-08
25/5-1 A	2616.000000	3142.000000	SHETLAND GP	GROUP	\N	1131	143	\N	9999-12-31	2013-05-08
25/5-1 A	951.000000	1102.000000	SKADE FM	FORMATION	HORDALAND GP	1131	145	67	9999-12-31	2013-05-08
25/5-1 A	3329.000000	3403.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1131	148	186	9999-12-31	2013-05-08
25/5-1 A	2405.000000	2590.000000	TY FM	FORMATION	ROGALAND GP	1131	176	131	9999-12-31	2013-05-08
25/5-1 A	612.000000	920.000000	UTSIRA FM	FORMATION	NORDLAND GP	1131	183	113	9999-12-31	2013-05-08
25/5-1 A	3312.000000	3403.000000	VESTLAND GP	GROUP	\N	1131	186	\N	9999-12-31	2013-05-08
25/5-1 A	3150.000000	3312.000000	VIKING GP	GROUP	\N	1131	188	\N	9999-12-31	2013-05-08
25/5-1 A	2590.000000	2616.000000	VÅLE FM	FORMATION	ROGALAND GP	1131	190	131	9999-12-31	2013-05-08
6201/11-1	1776.000000	1832.000000	BALDER FM	FORMATION	ROGALAND GP	1134	6	131	9999-12-31	2013-05-08
6201/11-1	2678.000000	3850.000000	HEGRE GP	GROUP	\N	1134	61	\N	9999-12-31	2013-05-08
6201/11-1	1292.000000	1776.000000	HORDALAND GP	GROUP	\N	1134	67	\N	9999-12-31	2013-05-08
6201/11-1	2031.000000	2170.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1134	74	143	9999-12-31	2013-05-08
6201/11-1	2170.000000	2678.000000	KYRRE FM	FORMATION	SHETLAND GP	1134	92	143	9999-12-31	2013-05-08
6201/11-1	1832.000000	2031.000000	LISTA FM	FORMATION	ROGALAND GP	1134	95	131	9999-12-31	2013-05-08
6201/11-1	3532.000000	3628.000000	LOMVI FM	FORMATION	HEGRE GP	1134	96	61	9999-12-31	2013-05-08
6201/11-1	2678.000000	3532.000000	LUNDE FM	FORMATION	HEGRE GP	1134	97	61	9999-12-31	2013-05-08
6201/11-1	404.000000	1292.000000	NORDLAND GP	GROUP	\N	1134	113	\N	9999-12-31	2013-05-08
6201/11-1	1776.000000	2031.000000	ROGALAND GP	GROUP	\N	1134	131	\N	9999-12-31	2013-05-08
6201/11-1	2031.000000	2678.000000	SHETLAND GP	GROUP	\N	1134	143	\N	9999-12-31	2013-05-08
6201/11-1	3628.000000	3850.000000	TEIST FM (INFORMAL)	FORMATION	HEGRE GP	1134	166	61	9999-12-31	2013-05-08
6201/11-1	1261.000000	1292.000000	UTSIRA FM	FORMATION	NORDLAND GP	1134	183	113	9999-12-31	2013-05-08
9/2-2	747.000000	770.000000	BALDER FM	FORMATION	ROGALAND GP	1135	6	131	9999-12-31	2013-05-08
9/2-2	1425.000000	1445.000000	BLODØKS FM	FORMATION	SHETLAND GP	1135	13	143	9999-12-31	2013-05-08
9/2-2	2381.000000	3123.000000	BOKNFJORD GP	GROUP	\N	1135	15	\N	9999-12-31	2013-05-08
9/2-2	3230.000000	3475.000000	BRYNE FM	FORMATION	VESTLAND GP	1135	19	186	9999-12-31	2013-05-08
9/2-2	1445.000000	2381.000000	CROMER KNOLL GP	GROUP	\N	1135	23	\N	9999-12-31	2013-05-08
9/2-2	3062.000000	3123.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	1135	30	15	9999-12-31	2013-05-08
9/2-2	803.000000	873.000000	EKOFISK FM	FORMATION	SHETLAND GP	1135	33	143	9999-12-31	2013-05-08
9/2-2	3475.000000	3498.000000	FJERRITSLEV FM	FORMATION	\N	1135	42	\N	9999-12-31	2013-05-08
9/2-2	2381.000000	2447.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	1135	43	15	9999-12-31	2013-05-08
9/2-2	1161.000000	1425.000000	HOD FM	FORMATION	SHETLAND GP	1135	66	143	9999-12-31	2013-05-08
9/2-2	406.000000	747.000000	HORDALAND GP	GROUP	\N	1135	67	\N	9999-12-31	2013-05-08
9/2-2	778.000000	795.000000	LISTA FM	FORMATION	ROGALAND GP	1135	95	131	9999-12-31	2013-05-08
9/2-2	121.000000	406.000000	NORDLAND GP	GROUP	\N	1135	113	\N	9999-12-31	2013-05-08
9/2-2	747.000000	803.000000	ROGALAND GP	GROUP	\N	1135	131	\N	9999-12-31	2013-05-08
9/2-2	3123.000000	3230.000000	SANDNES FM	FORMATION	VESTLAND GP	1135	139	186	9999-12-31	2013-05-08
9/2-2	2447.000000	2957.000000	SAUDA FM	FORMATION	BOKNFJORD GP	1135	141	15	9999-12-31	2013-05-08
9/2-2	770.000000	778.000000	SELE FM	FORMATION	ROGALAND GP	1135	142	131	9999-12-31	2013-05-08
9/2-2	803.000000	1445.000000	SHETLAND GP	GROUP	\N	1135	143	\N	9999-12-31	2013-05-08
9/2-2	3498.000000	3577.000000	SKAGERRAK FM	FORMATION	HEGRE GP	1135	146	61	9999-12-31	2013-05-08
9/2-2	1445.000000	1511.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1135	152	23	9999-12-31	2013-05-08
9/2-2	2957.000000	3062.000000	TAU FM	FORMATION	BOKNFJORD GP	1135	164	15	9999-12-31	2013-05-08
9/2-2	873.000000	1161.000000	TOR FM	FORMATION	SHETLAND GP	1135	171	143	9999-12-31	2013-05-08
9/2-2	3123.000000	3475.000000	VESTLAND GP	GROUP	\N	1135	186	\N	9999-12-31	2013-05-08
9/2-2	795.000000	803.000000	VÅLE FM	FORMATION	ROGALAND GP	1135	190	131	9999-12-31	2013-05-08
9/2-2	1511.000000	2381.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1135	198	23	9999-12-31	2013-05-08
9/2-2	3475.000000	3498.000000	NO GROUP DEFINED	GROUP	\N	1135	208	\N	9999-12-31	2013-05-08
9/2-2	3498.000000	3577.000000	NO GROUP DEFINED	GROUP	\N	1135	208	\N	9999-12-31	2013-05-08
6406/8-1	2330.000000	2597.000000	BRYGGE FM	FORMATION	HORDALAND GP	1136	18	67	9999-12-31	2013-05-08
6406/8-1	4493.000000	4910.000000	BÅT GP	GROUP	\N	1136	22	\N	9999-12-31	2013-05-08
6406/8-1	3963.000000	4099.000000	CROMER KNOLL GP	GROUP	\N	1136	23	\N	9999-12-31	2013-05-08
6406/8-1	4266.000000	4493.000000	FANGST GP	GROUP	\N	1136	38	\N	9999-12-31	2013-05-08
6406/8-1	4266.000000	4313.000000	GARN FM	FORMATION	FANGST GP	1136	48	38	9999-12-31	2013-05-08
6406/8-1	2330.000000	2597.000000	HORDALAND GP	GROUP	\N	1136	67	\N	9999-12-31	2013-05-08
6406/8-1	4366.000000	4493.000000	ILE FM	FORMATION	FANGST GP	1136	70	38	9999-12-31	2013-05-08
6406/8-1	1746.000000	2330.000000	KAI FM	FORMATION	NORDLAND GP	1136	77	113	9999-12-31	2013-05-08
6406/8-1	4099.000000	4266.000000	MELKE FM	FORMATION	VIKING GP	1136	105	188	9999-12-31	2013-05-08
6406/8-1	375.000000	1746.000000	NAUST FM	FORMATION	NORDLAND GP	1136	109	113	9999-12-31	2013-05-08
6406/8-1	375.000000	2330.000000	NORDLAND GP	GROUP	\N	1136	113	\N	9999-12-31	2013-05-08
6406/8-1	4313.000000	4366.000000	NOT FM	FORMATION	FANGST GP	1136	120	38	9999-12-31	2013-05-08
6406/8-1	2597.000000	2752.000000	ROGALAND GP	GROUP	\N	1136	131	\N	9999-12-31	2013-05-08
6406/8-1	4493.000000	4667.000000	ROR FM	FORMATION	BÅT GP	1136	135	22	9999-12-31	2013-05-08
6406/8-1	2752.000000	3963.000000	SHETLAND GP	GROUP	\N	1136	143	\N	9999-12-31	2013-05-08
6406/8-1	2705.000000	2752.000000	TANG FM	FORMATION	ROGALAND GP	1136	161	131	9999-12-31	2013-05-08
6406/8-1	2597.000000	2705.000000	TARE FM	FORMATION	ROGALAND GP	1136	163	131	9999-12-31	2013-05-08
6406/8-1	4667.000000	4895.000000	TILJE FM	FORMATION	BÅT GP	1136	169	22	9999-12-31	2013-05-08
6406/8-1	4099.000000	4266.000000	VIKING GP	GROUP	\N	1136	188	\N	9999-12-31	2013-05-08
6406/8-1	4895.000000	4910.000000	ÅRE FM	FORMATION	BÅT GP	1136	197	22	9999-12-31	2013-05-08
7219/9-1	1468.000000	1951.000000	ADVENTDALEN GP	GROUP	\N	1138	1	\N	9999-12-31	2013-05-08
7219/9-1	2305.000000	2877.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1138	46	79	9999-12-31	2013-05-08
7219/9-1	1919.000000	1951.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1138	47	1	9999-12-31	2013-05-08
7219/9-1	1893.000000	1919.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1138	63	1	9999-12-31	2013-05-08
7219/9-1	1951.000000	4300.000000	KAPP TOSCANA GP	GROUP	\N	1138	79	\N	9999-12-31	2013-05-08
7219/9-1	1836.000000	1893.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1138	82	1	9999-12-31	2013-05-08
7219/9-1	1468.000000	1836.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1138	85	1	9999-12-31	2013-05-08
7219/9-1	379.000000	483.000000	NORDLAND GP	GROUP	\N	1138	113	\N	9999-12-31	2013-05-08
7219/9-1	2062.000000	2206.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	1138	118	79	9999-12-31	2013-05-08
7219/9-1	2877.000000	4300.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1138	150	79	9999-12-31	2013-05-08
7219/9-1	483.000000	1468.000000	SOTBAKKEN GP	GROUP	\N	1138	154	\N	9999-12-31	2013-05-08
7219/9-1	1951.000000	2062.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1138	159	79	9999-12-31	2013-05-08
7219/9-1	483.000000	1468.000000	TORSK FM	FORMATION	SOTBAKKEN GP	1138	172	154	9999-12-31	2013-05-08
7219/9-1	2206.000000	2305.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	1138	174	79	9999-12-31	2013-05-08
7122/6-1	916.000000	2015.000000	ADVENTDALEN GP	GROUP	\N	1140	1	\N	9999-12-31	2013-05-08
7122/6-1	2063.000000	2191.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1140	46	79	9999-12-31	2013-05-08
7122/6-1	1931.000000	2015.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1140	63	1	9999-12-31	2013-05-08
7122/6-1	2015.000000	2707.000000	KAPP TOSCANA GP	GROUP	\N	1140	79	\N	9999-12-31	2013-05-08
7122/6-1	1884.000000	1931.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1140	82	1	9999-12-31	2013-05-08
7122/6-1	1649.000000	1884.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	1140	84	1	9999-12-31	2013-05-08
7122/6-1	916.000000	1649.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1140	85	1	9999-12-31	2013-05-08
7122/6-1	759.000000	916.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	1140	89	122	9999-12-31	2013-05-08
7122/6-1	424.000000	547.000000	NORDLAND GP	GROUP	\N	1140	113	\N	9999-12-31	2013-05-08
7122/6-1	2038.000000	2052.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	1140	118	79	9999-12-31	2013-05-08
7122/6-1	759.000000	916.000000	NYGRUNNEN GP	GROUP	\N	1140	122	\N	9999-12-31	2013-05-08
7122/6-1	2191.000000	2707.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1140	150	79	9999-12-31	2013-05-08
7122/6-1	547.000000	759.000000	SOTBAKKEN GP	GROUP	\N	1140	154	\N	9999-12-31	2013-05-08
7122/6-1	2015.000000	2038.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1140	159	79	9999-12-31	2013-05-08
7122/6-1	547.000000	759.000000	TORSK FM	FORMATION	SOTBAKKEN GP	1140	172	154	9999-12-31	2013-05-08
7122/6-1	2052.000000	2063.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	1140	174	79	9999-12-31	2013-05-08
6406/3-4	1994.000000	2314.000000	BRYGGE FM	FORMATION	HORDALAND GP	1173	18	67	9999-12-31	2013-05-08
6406/3-4	4224.000000	4414.000000	BÅT GP	GROUP	\N	1173	22	\N	9999-12-31	2013-05-08
6406/3-4	3278.000000	3908.000000	CROMER KNOLL GP	GROUP	\N	1173	23	\N	9999-12-31	2013-05-08
6406/3-4	4025.000000	4224.000000	FANGST GP	GROUP	\N	1173	38	\N	9999-12-31	2013-05-08
6406/3-4	4025.000000	4121.000000	GARN FM	FORMATION	FANGST GP	1173	48	38	9999-12-31	2013-05-08
6406/3-4	1994.000000	2314.000000	HORDALAND GP	GROUP	\N	1173	67	\N	9999-12-31	2013-05-08
6406/3-4	4162.000000	4224.000000	ILE FM	FORMATION	FANGST GP	1173	70	38	9999-12-31	2013-05-08
6406/3-4	1514.000000	1994.000000	KAI FM	FORMATION	NORDLAND GP	1173	77	113	9999-12-31	2013-05-08
6406/3-4	2974.000000	3278.000000	KVITNOS FM	FORMATION	SHETLAND GP	1173	91	143	9999-12-31	2013-05-08
6406/3-4	3278.000000	3884.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1173	94	23	9999-12-31	2013-05-08
6406/3-4	3884.000000	3908.000000	LYR FM	FORMATION	CROMER KNOLL GP	1173	98	23	9999-12-31	2013-05-08
6406/3-4	3949.000000	4025.000000	MELKE FM	FORMATION	VIKING GP	1173	105	188	9999-12-31	2013-05-08
6406/3-4	325.000000	1514.000000	NAUST FM	FORMATION	NORDLAND GP	1173	109	113	9999-12-31	2013-05-08
6406/3-4	2655.000000	2974.000000	NISE FM	FORMATION	SHETLAND GP	1173	112	143	9999-12-31	2013-05-08
6406/3-4	325.000000	1994.000000	NORDLAND GP	GROUP	\N	1173	113	\N	9999-12-31	2013-05-08
6406/3-4	4121.000000	4162.000000	NOT FM	FORMATION	FANGST GP	1173	120	38	9999-12-31	2013-05-08
6406/3-4	2314.000000	2437.000000	ROGALAND GP	GROUP	\N	1173	131	\N	9999-12-31	2013-05-08
6406/3-4	4224.000000	4272.000000	ROR FM	FORMATION	BÅT GP	1173	135	22	9999-12-31	2013-05-08
6406/3-4	4299.000000	4372.000000	ROR FM	FORMATION	BÅT GP	1173	135	22	9999-12-31	2013-05-08
6406/3-4	2437.000000	3278.000000	SHETLAND GP	GROUP	\N	1173	143	\N	9999-12-31	2013-05-08
6406/3-4	3908.000000	3949.000000	SPEKK FM	FORMATION	VIKING GP	1173	155	188	9999-12-31	2013-05-08
6406/3-4	2437.000000	2655.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1173	156	143	9999-12-31	2013-05-08
6406/3-4	2380.000000	2437.000000	TANG FM	FORMATION	ROGALAND GP	1173	161	131	9999-12-31	2013-05-08
6406/3-4	2314.000000	2380.000000	TARE FM	FORMATION	ROGALAND GP	1173	163	131	9999-12-31	2013-05-08
6406/3-4	4372.000000	4414.000000	TILJE FM	FORMATION	BÅT GP	1173	169	22	9999-12-31	2013-05-08
6406/3-4	4272.000000	4299.000000	TOFTE FM	FORMATION	BÅT GP	1173	170	22	9999-12-31	2013-05-08
6406/3-4	3908.000000	4025.000000	VIKING GP	GROUP	\N	1173	188	\N	9999-12-31	2013-05-08
6407/5-1	1277.000000	1988.000000	BRYGGE FM	FORMATION	HORDALAND GP	1174	18	67	9999-12-31	2013-05-08
6407/5-1	2921.000000	3873.000000	CROMER KNOLL GP	GROUP	\N	1174	23	\N	9999-12-31	2013-05-08
6407/5-1	4205.000000	4306.000000	FANGST GP	GROUP	\N	1174	38	\N	9999-12-31	2013-05-08
6407/5-1	4205.000000	4306.000000	GARN FM	FORMATION	FANGST GP	1174	48	38	9999-12-31	2013-05-08
6407/5-1	1277.000000	1988.000000	HORDALAND GP	GROUP	\N	1174	67	\N	9999-12-31	2013-05-08
6407/5-1	1206.000000	1277.000000	KAI FM	FORMATION	NORDLAND GP	1174	77	113	9999-12-31	2013-05-08
6407/5-1	2921.000000	3605.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1174	94	23	9999-12-31	2013-05-08
6407/5-1	3655.000000	3850.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1174	94	23	9999-12-31	2013-05-08
6407/5-1	3850.000000	3873.000000	LYR FM	FORMATION	CROMER KNOLL GP	1174	98	23	9999-12-31	2013-05-08
6407/5-1	4120.000000	4205.000000	MELKE FM	FORMATION	VIKING GP	1174	105	188	9999-12-31	2013-05-08
6407/5-1	244.000000	1206.000000	NAUST FM	FORMATION	NORDLAND GP	1174	109	113	9999-12-31	2013-05-08
6407/5-1	3605.000000	3655.000000	NO FORMAL NAME	FORMATION	\N	1174	111	\N	9999-12-31	2013-05-08
6407/5-1	2345.000000	2921.000000	NISE FM	FORMATION	SHETLAND GP	1174	112	143	9999-12-31	2013-05-08
6407/5-1	244.000000	1277.000000	NORDLAND GP	GROUP	\N	1174	113	\N	9999-12-31	2013-05-08
6407/5-1	1988.000000	2173.000000	ROGALAND GP	GROUP	\N	1174	131	\N	9999-12-31	2013-05-08
6407/5-1	2173.000000	2921.000000	SHETLAND GP	GROUP	\N	1174	143	\N	9999-12-31	2013-05-08
6407/5-1	3873.000000	4120.000000	SPEKK FM	FORMATION	VIKING GP	1174	155	188	9999-12-31	2013-05-08
6407/5-1	2173.000000	2345.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1174	156	143	9999-12-31	2013-05-08
6407/5-1	2070.000000	2173.000000	TANG FM	FORMATION	ROGALAND GP	1174	161	131	9999-12-31	2013-05-08
6407/5-1	1988.000000	2070.000000	TARE FM	FORMATION	ROGALAND GP	1174	163	131	9999-12-31	2013-05-08
6407/5-1	3873.000000	4205.000000	VIKING GP	GROUP	\N	1174	188	\N	9999-12-31	2013-05-08
34/7-11	216.000000	861.000000	NORDLAND GP	GROUP	\N	1176	113	\N	9999-12-31	2013-05-08
34/7-11	850.000000	861.000000	UTSIRA FM	FORMATION	NORDLAND GP	1176	183	113	9999-12-31	2013-05-08
7226/11-1	374.000000	1194.000000	ADVENTDALEN GP	GROUP	\N	1177	1	\N	9999-12-31	2013-05-08
7226/11-1	5137.000000	5200.000000	BASEMENT	GROUP	\N	1177	10	\N	9999-12-31	2013-05-08
7226/11-1	4103.000000	5137.000000	BJARMELAND GP	GROUP	\N	1177	12	\N	9999-12-31	2013-05-08
7226/11-1	1234.000000	1296.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1177	46	79	9999-12-31	2013-05-08
7226/11-1	2913.000000	3877.000000	HAVERT FM	FORMATION	SASSENDALEN GP	1177	58	140	9999-12-31	2013-05-08
7226/11-1	1147.000000	1194.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1177	63	1	9999-12-31	2013-05-08
7226/11-1	1194.000000	1878.000000	KAPP TOSCANA GP	GROUP	\N	1177	79	\N	9999-12-31	2013-05-08
7226/11-1	2303.000000	2913.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	1177	80	140	9999-12-31	2013-05-08
7226/11-1	1141.000000	1147.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1177	82	1	9999-12-31	2013-05-08
7226/11-1	1878.000000	2303.000000	KOBBE FM	FORMATION	SASSENDALEN GP	1177	83	140	9999-12-31	2013-05-08
7226/11-1	374.000000	1141.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1177	85	1	9999-12-31	2013-05-08
7226/11-1	261.000000	374.000000	NORDLAND GP	GROUP	\N	1177	113	\N	9999-12-31	2013-05-08
7226/11-1	4182.000000	4334.000000	POLARREV FM	FORMATION	BJARMELAND GP	1177	124	12	9999-12-31	2013-05-08
7226/11-1	3966.000000	4103.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	1177	138	167	9999-12-31	2013-05-08
7226/11-1	1878.000000	3877.000000	SASSENDALEN GP	GROUP	\N	1177	140	\N	9999-12-31	2013-05-08
7226/11-1	1296.000000	1878.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1177	150	79	9999-12-31	2013-05-08
7226/11-1	1194.000000	1202.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1177	159	79	9999-12-31	2013-05-08
7226/11-1	3877.000000	4103.000000	TEMPELFJORDEN GP	GROUP	\N	1177	167	\N	9999-12-31	2013-05-08
7226/11-1	1202.000000	1234.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	1177	174	79	9999-12-31	2013-05-08
7226/11-1	4103.000000	4182.000000	ULV FM	FORMATION	BJARMELAND GP	1177	181	12	9999-12-31	2013-05-08
7226/11-1	4334.000000	5137.000000	ØRN FM	FORMATION	GIPSDALEN GP	1177	195	51	9999-12-31	2013-05-08
7226/11-1	3877.000000	3966.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	1177	196	167	9999-12-31	2013-05-08
25/2-10 SR	2505.000000	2583.000000	BALDER FM	FORMATION	ROGALAND GP	1178	6	131	9999-12-31	2013-05-08
25/2-10 SR	2651.000000	2665.000000	BALDER FM	FORMATION	ROGALAND GP	1178	6	131	9999-12-31	2013-05-08
25/2-10 SR	2583.000000	2651.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1178	7	131	9999-12-31	2013-05-08
25/2-10 SR	2665.000000	2699.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1178	7	131	9999-12-31	2013-05-08
25/2-10 SR	2943.000000	2971.000000	EKOFISK FM	FORMATION	SHETLAND GP	1178	33	143	9999-12-31	2013-05-08
25/2-10 SR	2234.000000	2505.000000	FRIGG FM	FORMATION	HORDALAND GP	1178	45	67	9999-12-31	2013-05-08
25/2-10 SR	1736.000000	1744.000000	GRID FM	FORMATION	HORDALAND GP	1178	53	67	9999-12-31	2013-05-08
25/2-10 SR	634.000000	2505.000000	HORDALAND GP	GROUP	\N	1178	67	\N	9999-12-31	2013-05-08
25/2-10 SR	2743.000000	2815.000000	LISTA FM	FORMATION	ROGALAND GP	1178	95	131	9999-12-31	2013-05-08
25/2-10 SR	524.000000	634.000000	NO FORMAL NAME	FORMATION	\N	1178	111	\N	9999-12-31	2013-05-08
25/2-10 SR	1092.000000	1119.000000	NO FORMAL NAME	FORMATION	\N	1178	111	\N	9999-12-31	2013-05-08
25/2-10 SR	1119.000000	1152.000000	NO FORMAL NAME	FORMATION	\N	1178	111	\N	9999-12-31	2013-05-08
25/2-10 SR	1152.000000	1249.000000	NO FORMAL NAME	FORMATION	\N	1178	111	\N	9999-12-31	2013-05-08
25/2-10 SR	1249.000000	1268.000000	NO FORMAL NAME	FORMATION	\N	1178	111	\N	9999-12-31	2013-05-08
25/2-10 SR	1268.000000	1736.000000	NO FORMAL NAME	FORMATION	\N	1178	111	\N	9999-12-31	2013-05-08
25/2-10 SR	1744.000000	2234.000000	NO FORMAL NAME	FORMATION	\N	1178	111	\N	9999-12-31	2013-05-08
25/2-10 SR	145.000000	634.000000	NORDLAND GP	GROUP	\N	1178	113	\N	9999-12-31	2013-05-08
25/2-10 SR	2505.000000	2943.000000	ROGALAND GP	GROUP	\N	1178	131	\N	9999-12-31	2013-05-08
25/2-10 SR	2699.000000	2743.000000	SELE FM	FORMATION	ROGALAND GP	1178	142	131	9999-12-31	2013-05-08
25/2-10 SR	2943.000000	2971.000000	SHETLAND GP	GROUP	\N	1178	143	\N	9999-12-31	2013-05-08
25/2-10 SR	634.000000	1092.000000	SKADE FM	FORMATION	HORDALAND GP	1178	145	67	9999-12-31	2013-05-08
25/2-10 SR	2815.000000	2916.000000	TY FM	FORMATION	ROGALAND GP	1178	176	131	9999-12-31	2013-05-08
25/2-10 SR	479.000000	524.000000	UTSIRA FM	FORMATION	NORDLAND GP	1178	183	113	9999-12-31	2013-05-08
25/2-10 SR	2916.000000	2943.000000	VÅLE FM	FORMATION	ROGALAND GP	1178	190	131	9999-12-31	2013-05-08
34/10-3 R	2333.000000	2492.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1186	4	29	9999-12-31	2013-05-08
34/10-3 R	1575.000000	1634.000000	BALDER FM	FORMATION	ROGALAND GP	1186	6	131	9999-12-31	2013-05-08
34/10-3 R	1889.000000	2089.000000	BRENT GP	GROUP	\N	1186	16	\N	9999-12-31	2013-05-08
34/10-3 R	2081.000000	2089.000000	BROOM FM	FORMATION	BRENT GP	1186	17	16	9999-12-31	2013-05-08
34/10-3 R	2323.000000	2333.000000	BURTON FM	FORMATION	DUNLIN GP	1186	20	29	9999-12-31	2013-05-08
34/10-3 R	1883.000000	1889.000000	CROMER KNOLL GP	GROUP	\N	1186	23	\N	9999-12-31	2013-05-08
34/10-3 R	2198.000000	2323.000000	COOK FM	FORMATION	DUNLIN GP	1186	24	29	9999-12-31	2013-05-08
34/10-3 R	2089.000000	2198.000000	DRAKE FM	FORMATION	DUNLIN GP	1186	27	29	9999-12-31	2013-05-08
34/10-3 R	2089.000000	2492.000000	DUNLIN GP	GROUP	\N	1186	29	\N	9999-12-31	2013-05-08
34/10-3 R	2558.000000	2674.000000	EIRIKSSON MBR	MEMBER	STATFJORD FM	1186	32	157	9999-12-31	2013-05-08
34/10-3 R	1975.000000	1999.000000	ETIVE FM	FORMATION	BRENT GP	1186	35	16	9999-12-31	2013-05-08
34/10-3 R	2712.000000	2799.000000	HEGRE GP	GROUP	\N	1186	61	\N	9999-12-31	2013-05-08
34/10-3 R	1115.000000	1575.000000	HORDALAND GP	GROUP	\N	1186	67	\N	9999-12-31	2013-05-08
34/10-3 R	1745.000000	1824.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1186	74	143	9999-12-31	2013-05-08
34/10-3 R	1824.000000	1883.000000	KYRRE FM	FORMATION	SHETLAND GP	1186	92	143	9999-12-31	2013-05-08
34/10-3 R	1634.000000	1745.000000	LISTA FM	FORMATION	ROGALAND GP	1186	95	131	9999-12-31	2013-05-08
34/10-3 R	2712.000000	2799.000000	LUNDE FM	FORMATION	HEGRE GP	1186	97	61	9999-12-31	2013-05-08
34/10-3 R	2492.000000	2558.000000	NANSEN MBR	MEMBER	STATFJORD FM	1186	108	157	9999-12-31	2013-05-08
34/10-3 R	1889.000000	1975.000000	NESS FM	FORMATION	BRENT GP	1186	110	16	9999-12-31	2013-05-08
34/10-3 R	1069.000000	1115.000000	NO FORMAL NAME	FORMATION	\N	1186	111	\N	9999-12-31	2013-05-08
34/10-3 R	1115.000000	1222.000000	NO FORMAL NAME	FORMATION	\N	1186	111	\N	9999-12-31	2013-05-08
34/10-3 R	1222.000000	1249.000000	NO FORMAL NAME	FORMATION	\N	1186	111	\N	9999-12-31	2013-05-08
34/10-3 R	1249.000000	1422.000000	NO FORMAL NAME	FORMATION	\N	1186	111	\N	9999-12-31	2013-05-08
34/10-3 R	1422.000000	1575.000000	NO FORMAL NAME	FORMATION	\N	1186	111	\N	9999-12-31	2013-05-08
34/10-3 R	162.000000	1115.000000	NORDLAND GP	GROUP	\N	1186	113	\N	9999-12-31	2013-05-08
34/10-3 R	1999.000000	2081.000000	RANNOCH FM	FORMATION	BRENT GP	1186	126	16	9999-12-31	2013-05-08
34/10-3 R	2674.000000	2712.000000	RAUDE MBR	MEMBER	STATFJORD FM	1186	127	157	9999-12-31	2013-05-08
34/10-3 R	1575.000000	1745.000000	ROGALAND GP	GROUP	\N	1186	131	\N	9999-12-31	2013-05-08
34/10-3 R	1745.000000	1883.000000	SHETLAND GP	GROUP	\N	1186	143	\N	9999-12-31	2013-05-08
34/10-3 R	2492.000000	2712.000000	STATFJORD FM	FORMATION	\N	1186	157	\N	9999-12-31	2013-05-08
34/10-3 R	995.000000	1069.000000	UTSIRA FM	FORMATION	NORDLAND GP	1186	183	113	9999-12-31	2013-05-08
34/10-3 R	2492.000000	2712.000000	NO GROUP DEFINED	GROUP	\N	1186	208	\N	9999-12-31	2013-05-08
34/7-12	2547.000000	2606.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1187	4	29	9999-12-31	2013-05-08
34/7-12	1644.000000	1692.000000	BALDER FM	FORMATION	ROGALAND GP	1187	6	131	9999-12-31	2013-05-08
34/7-12	2169.000000	2341.000000	BRENT GP	GROUP	\N	1187	16	\N	9999-12-31	2013-05-08
34/7-12	2334.000000	2341.000000	BROOM FM	FORMATION	BRENT GP	1187	17	16	9999-12-31	2013-05-08
34/7-12	2518.000000	2547.000000	BURTON FM	FORMATION	DUNLIN GP	1187	20	29	9999-12-31	2013-05-08
34/7-12	2154.000000	2161.000000	CROMER KNOLL GP	GROUP	\N	1187	23	\N	9999-12-31	2013-05-08
34/7-12	2462.000000	2518.000000	COOK FM	FORMATION	DUNLIN GP	1187	24	29	9999-12-31	2013-05-08
34/7-12	2341.000000	2462.000000	DRAKE FM	FORMATION	DUNLIN GP	1187	27	29	9999-12-31	2013-05-08
34/7-12	2341.000000	2606.000000	DUNLIN GP	GROUP	\N	1187	29	\N	9999-12-31	2013-05-08
34/7-12	2252.000000	2269.000000	ETIVE FM	FORMATION	BRENT GP	1187	35	16	9999-12-31	2013-05-08
34/7-12	2161.000000	2169.000000	HEATHER FM	FORMATION	VIKING GP	1187	60	188	9999-12-31	2013-05-08
34/7-12	2763.000000	2784.000000	HEGRE GP	GROUP	\N	1187	61	\N	9999-12-31	2013-05-08
34/7-12	1021.000000	1644.000000	HORDALAND GP	GROUP	\N	1187	67	\N	9999-12-31	2013-05-08
34/7-12	1834.000000	1997.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1187	74	143	9999-12-31	2013-05-08
34/7-12	1997.000000	2154.000000	KYRRE FM	FORMATION	SHETLAND GP	1187	92	143	9999-12-31	2013-05-08
34/7-12	1692.000000	1834.000000	LISTA FM	FORMATION	ROGALAND GP	1187	95	131	9999-12-31	2013-05-08
34/7-12	2763.000000	2784.000000	LUNDE FM	FORMATION	HEGRE GP	1187	97	61	9999-12-31	2013-05-08
34/7-12	2160.000000	2161.000000	MIME FM	FORMATION	CROMER KNOLL GP	1187	106	23	9999-12-31	2013-05-08
34/7-12	2213.000000	2252.000000	NESS FM	FORMATION	BRENT GP	1187	110	16	9999-12-31	2013-05-08
34/7-12	1151.000000	1308.000000	NO FORMAL NAME	FORMATION	\N	1187	111	\N	9999-12-31	2013-05-08
34/7-12	1308.000000	1365.000000	NO FORMAL NAME	FORMATION	\N	1187	111	\N	9999-12-31	2013-05-08
34/7-12	1365.000000	1428.000000	NO FORMAL NAME	FORMATION	\N	1187	111	\N	9999-12-31	2013-05-08
34/7-12	1428.000000	1644.000000	NO FORMAL NAME	FORMATION	\N	1187	111	\N	9999-12-31	2013-05-08
34/7-12	216.000000	1021.000000	NORDLAND GP	GROUP	\N	1187	113	\N	9999-12-31	2013-05-08
34/7-12	2269.000000	2334.000000	RANNOCH FM	FORMATION	BRENT GP	1187	126	16	9999-12-31	2013-05-08
34/7-12	1644.000000	1834.000000	ROGALAND GP	GROUP	\N	1187	131	\N	9999-12-31	2013-05-08
34/7-12	2154.000000	2160.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1187	137	23	9999-12-31	2013-05-08
34/7-12	1834.000000	2154.000000	SHETLAND GP	GROUP	\N	1187	143	\N	9999-12-31	2013-05-08
34/7-12	2606.000000	2763.000000	STATFJORD FM	FORMATION	\N	1187	157	\N	9999-12-31	2013-05-08
34/7-12	2169.000000	2213.000000	TARBERT FM	FORMATION	BRENT GP	1187	162	16	9999-12-31	2013-05-08
34/7-12	2161.000000	2169.000000	VIKING GP	GROUP	\N	1187	188	\N	9999-12-31	2013-05-08
34/7-12	2606.000000	2763.000000	NO GROUP DEFINED	GROUP	\N	1187	208	\N	9999-12-31	2013-05-08
2/2-4	2666.000000	2684.000000	BALDER FM	FORMATION	ROGALAND GP	1188	6	131	9999-12-31	2013-05-08
2/2-4	3902.000000	3969.000000	BRYNE FM	FORMATION	VESTLAND GP	1188	19	186	9999-12-31	2013-05-08
2/2-4	3213.000000	3308.000000	CROMER KNOLL GP	GROUP	\N	1188	23	\N	9999-12-31	2013-05-08
2/2-4	2826.000000	2847.000000	EKOFISK FM	FORMATION	SHETLAND GP	1188	33	143	9999-12-31	2013-05-08
2/2-4	3313.000000	3324.000000	FARSUND FM	FORMATION	TYNE GP	1188	39	177	9999-12-31	2013-05-08
2/2-4	3135.000000	3213.000000	HOD FM	FORMATION	SHETLAND GP	1188	66	143	9999-12-31	2013-05-08
2/2-4	1574.000000	2666.000000	HORDALAND GP	GROUP	\N	1188	67	\N	9999-12-31	2013-05-08
2/2-4	2698.000000	2777.000000	LISTA FM	FORMATION	ROGALAND GP	1188	95	131	9999-12-31	2013-05-08
2/2-4	3308.000000	3313.000000	MANDAL FM	FORMATION	TYNE GP	1188	101	177	9999-12-31	2013-05-08
2/2-4	2777.000000	2826.000000	MAUREEN FM	FORMATION	ROGALAND GP	1188	102	131	9999-12-31	2013-05-08
2/2-4	2184.000000	2666.000000	NO FORMAL NAME	FORMATION	\N	1188	111	\N	9999-12-31	2013-05-08
2/2-4	85.000000	1574.000000	NORDLAND GP	GROUP	\N	1188	113	\N	9999-12-31	2013-05-08
2/2-4	2666.000000	2826.000000	ROGALAND GP	GROUP	\N	1188	131	\N	9999-12-31	2013-05-08
2/2-4	2684.000000	2698.000000	SELE FM	FORMATION	ROGALAND GP	1188	142	131	9999-12-31	2013-05-08
2/2-4	2826.000000	3213.000000	SHETLAND GP	GROUP	\N	1188	143	\N	9999-12-31	2013-05-08
2/2-4	3969.000000	4020.000000	SMITH BANK FM	FORMATION	HEGRE GP	1188	149	61	9999-12-31	2013-05-08
2/2-4	2847.000000	3135.000000	TOR FM	FORMATION	SHETLAND GP	1188	171	143	9999-12-31	2013-05-08
2/2-4	3308.000000	3324.000000	TYNE GP	GROUP	\N	1188	177	\N	9999-12-31	2013-05-08
2/2-4	3324.000000	3902.000000	ULA FM	FORMATION	VESTLAND GP	1188	179	186	9999-12-31	2013-05-08
2/2-4	2086.000000	2184.000000	VADE FM	FORMATION	HORDALAND GP	1188	184	67	9999-12-31	2013-05-08
2/2-4	3324.000000	3969.000000	VESTLAND GP	GROUP	\N	1188	186	\N	9999-12-31	2013-05-08
2/2-4	3213.000000	3308.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1188	198	23	9999-12-31	2013-05-08
2/2-4	3969.000000	4020.000000	NO GROUP DEFINED	GROUP	\N	1188	208	\N	9999-12-31	2013-05-08
6506/11-1	1889.000000	2060.000000	BRYGGE FM	FORMATION	HORDALAND GP	1216	18	67	9999-12-31	2013-05-08
6506/11-1	4363.000000	4679.000000	BÅT GP	GROUP	\N	1216	22	\N	9999-12-31	2013-05-08
6506/11-1	3159.000000	3844.000000	CROMER KNOLL GP	GROUP	\N	1216	23	\N	9999-12-31	2013-05-08
6506/11-1	4136.000000	4363.000000	FANGST GP	GROUP	\N	1216	38	\N	9999-12-31	2013-05-08
6506/11-1	4136.000000	4214.000000	GARN FM	FORMATION	FANGST GP	1216	48	38	9999-12-31	2013-05-08
6506/11-1	1889.000000	2060.000000	HORDALAND GP	GROUP	\N	1216	67	\N	9999-12-31	2013-05-08
6506/11-1	4263.000000	4363.000000	ILE FM	FORMATION	FANGST GP	1216	70	38	9999-12-31	2013-05-08
6506/11-1	1468.000000	1889.000000	KAI FM	FORMATION	NORDLAND GP	1216	77	113	9999-12-31	2013-05-08
6506/11-1	2918.000000	3159.000000	KVITNOS FM	FORMATION	SHETLAND GP	1216	91	143	9999-12-31	2013-05-08
6506/11-1	3211.000000	3813.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1216	94	23	9999-12-31	2013-05-08
6506/11-1	3813.000000	3844.000000	LYR FM	FORMATION	CROMER KNOLL GP	1216	98	23	9999-12-31	2013-05-08
6506/11-1	3159.000000	3211.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1216	99	23	9999-12-31	2013-05-08
6506/11-1	3862.000000	4136.000000	MELKE FM	FORMATION	VIKING GP	1216	105	188	9999-12-31	2013-05-08
6506/11-1	275.000000	1468.000000	NAUST FM	FORMATION	NORDLAND GP	1216	109	113	9999-12-31	2013-05-08
6506/11-1	2558.000000	2918.000000	NISE FM	FORMATION	SHETLAND GP	1216	112	143	9999-12-31	2013-05-08
6506/11-1	275.000000	1889.000000	NORDLAND GP	GROUP	\N	1216	113	\N	9999-12-31	2013-05-08
6506/11-1	4214.000000	4263.000000	NOT FM	FORMATION	FANGST GP	1216	120	38	9999-12-31	2013-05-08
6506/11-1	2060.000000	2192.000000	ROGALAND GP	GROUP	\N	1216	131	\N	9999-12-31	2013-05-08
6506/11-1	4363.000000	4387.000000	ROR FM	FORMATION	BÅT GP	1216	135	22	9999-12-31	2013-05-08
6506/11-1	4445.000000	4485.000000	ROR FM	FORMATION	BÅT GP	1216	135	22	9999-12-31	2013-05-08
6506/11-1	2192.000000	3159.000000	SHETLAND GP	GROUP	\N	1216	143	\N	9999-12-31	2013-05-08
6506/11-1	3844.000000	3862.000000	SPEKK FM	FORMATION	VIKING GP	1216	155	188	9999-12-31	2013-05-08
6506/11-1	2192.000000	2558.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1216	156	143	9999-12-31	2013-05-08
6506/11-1	2147.000000	2192.000000	TANG FM	FORMATION	ROGALAND GP	1216	161	131	9999-12-31	2013-05-08
6506/11-1	2060.000000	2147.000000	TARE FM	FORMATION	ROGALAND GP	1216	163	131	9999-12-31	2013-05-08
6506/11-1	4485.000000	4662.000000	TILJE FM	FORMATION	BÅT GP	1216	169	22	9999-12-31	2013-05-08
6506/11-1	4387.000000	4445.000000	TOFTE FM	FORMATION	BÅT GP	1216	170	22	9999-12-31	2013-05-08
6506/11-1	3844.000000	4136.000000	VIKING GP	GROUP	\N	1216	188	\N	9999-12-31	2013-05-08
6506/11-1	4662.000000	4679.000000	ÅRE FM	FORMATION	BÅT GP	1216	197	22	9999-12-31	2013-05-08
2/8-11	2437.000000	2449.000000	BALDER FM	FORMATION	ROGALAND GP	1224	6	131	9999-12-31	2013-05-08
2/8-11	2612.000000	2615.000000	BLODØKS FM	FORMATION	SHETLAND GP	1224	13	143	9999-12-31	2013-05-08
2/8-11	2624.000000	2655.000000	CROMER KNOLL GP	GROUP	\N	1224	23	\N	9999-12-31	2013-05-08
2/8-11	2615.000000	2624.000000	HIDRA FM	FORMATION	SHETLAND GP	1224	65	143	9999-12-31	2013-05-08
2/8-11	2483.000000	2612.000000	HOD FM	FORMATION	SHETLAND GP	1224	66	143	9999-12-31	2013-05-08
2/8-11	2457.000000	2468.000000	LISTA FM	FORMATION	ROGALAND GP	1224	95	131	9999-12-31	2013-05-08
2/8-11	95.000000	2437.000000	NORDLAND GP	GROUP	\N	1224	113	\N	9999-12-31	2013-05-08
2/8-11	2437.000000	2468.000000	ROGALAND GP	GROUP	\N	1224	131	\N	9999-12-31	2013-05-08
2/8-11	2624.000000	2655.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1224	137	23	9999-12-31	2013-05-08
2/8-11	2449.000000	2457.000000	SELE FM	FORMATION	ROGALAND GP	1224	142	131	9999-12-31	2013-05-08
2/8-11	2468.000000	2624.000000	SHETLAND GP	GROUP	\N	1224	143	\N	9999-12-31	2013-05-08
2/8-11	2468.000000	2483.000000	TOR FM	FORMATION	SHETLAND GP	1224	171	143	9999-12-31	2013-05-08
6406/3-5	1897.000000	2253.000000	BRYGGE FM	FORMATION	HORDALAND GP	1227	18	67	9999-12-31	2013-05-08
6406/3-5	4012.000000	4283.000000	BÅT GP	GROUP	\N	1227	22	\N	9999-12-31	2013-05-08
6406/3-5	3179.000000	3732.000000	CROMER KNOLL GP	GROUP	\N	1227	23	\N	9999-12-31	2013-05-08
6406/3-5	3817.000000	4012.000000	FANGST GP	GROUP	\N	1227	38	\N	9999-12-31	2013-05-08
6406/3-5	3817.000000	3907.000000	GARN FM	FORMATION	FANGST GP	1227	48	38	9999-12-31	2013-05-08
6406/3-5	1897.000000	2253.000000	HORDALAND GP	GROUP	\N	1227	67	\N	9999-12-31	2013-05-08
6406/3-5	3949.000000	4012.000000	ILE FM	FORMATION	FANGST GP	1227	70	38	9999-12-31	2013-05-08
6406/3-5	1488.000000	1897.000000	KAI FM	FORMATION	NORDLAND GP	1227	77	113	9999-12-31	2013-05-08
6406/3-5	2780.000000	3179.000000	KVITNOS FM	FORMATION	SHETLAND GP	1227	91	143	9999-12-31	2013-05-08
6406/3-5	3214.000000	3703.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1227	94	23	9999-12-31	2013-05-08
6406/3-5	3703.000000	3732.000000	LYR FM	FORMATION	CROMER KNOLL GP	1227	98	23	9999-12-31	2013-05-08
6406/3-5	3179.000000	3214.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1227	99	23	9999-12-31	2013-05-08
6406/3-5	3765.000000	3817.000000	MELKE FM	FORMATION	VIKING GP	1227	105	188	9999-12-31	2013-05-08
6406/3-5	333.000000	1488.000000	NAUST FM	FORMATION	NORDLAND GP	1227	109	113	9999-12-31	2013-05-08
6406/3-5	2525.000000	2780.000000	NISE FM	FORMATION	SHETLAND GP	1227	112	143	9999-12-31	2013-05-08
6406/3-5	333.000000	1897.000000	NORDLAND GP	GROUP	\N	1227	113	\N	9999-12-31	2013-05-08
6406/3-5	3907.000000	3949.000000	NOT FM	FORMATION	FANGST GP	1227	120	38	9999-12-31	2013-05-08
6406/3-5	2253.000000	2382.000000	ROGALAND GP	GROUP	\N	1227	131	\N	9999-12-31	2013-05-08
6406/3-5	4012.000000	4139.000000	ROR FM	FORMATION	BÅT GP	1227	135	22	9999-12-31	2013-05-08
6406/3-5	2382.000000	3179.000000	SHETLAND GP	GROUP	\N	1227	143	\N	9999-12-31	2013-05-08
6406/3-5	3732.000000	3765.000000	SPEKK FM	FORMATION	VIKING GP	1227	155	188	9999-12-31	2013-05-08
6406/3-5	2382.000000	2525.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1227	156	143	9999-12-31	2013-05-08
6406/3-5	2318.000000	2382.000000	TANG FM	FORMATION	ROGALAND GP	1227	161	131	9999-12-31	2013-05-08
6406/3-5	2253.000000	2318.000000	TARE FM	FORMATION	ROGALAND GP	1227	163	131	9999-12-31	2013-05-08
6406/3-5	4139.000000	4283.000000	TILJE FM	FORMATION	BÅT GP	1227	169	22	9999-12-31	2013-05-08
6406/3-5	3732.000000	3817.000000	VIKING GP	GROUP	\N	1227	188	\N	9999-12-31	2013-05-08
6407/7-3	1152.000000	1762.000000	BRYGGE FM	FORMATION	HORDALAND GP	1229	18	67	9999-12-31	2013-05-08
6407/7-3	2867.000000	3128.000000	BÅT GP	GROUP	\N	1229	22	\N	9999-12-31	2013-05-08
6407/7-3	2563.000000	2795.000000	CROMER KNOLL GP	GROUP	\N	1229	23	\N	9999-12-31	2013-05-08
6407/7-3	2807.000000	2867.000000	FANGST GP	GROUP	\N	1229	38	\N	9999-12-31	2013-05-08
6407/7-3	3128.000000	3222.000000	GREY BEDS (INFORMAL)	GROUP	\N	1229	52	\N	9999-12-31	2013-05-08
6407/7-3	1152.000000	1762.000000	HORDALAND GP	GROUP	\N	1229	67	\N	9999-12-31	2013-05-08
6407/7-3	2851.000000	2867.000000	ILE FM	FORMATION	FANGST GP	1229	70	38	9999-12-31	2013-05-08
6407/7-3	1100.000000	1152.000000	KAI FM	FORMATION	NORDLAND GP	1229	77	113	9999-12-31	2013-05-08
6407/7-3	2232.000000	2563.000000	KVITNOS FM	FORMATION	SHETLAND GP	1229	91	143	9999-12-31	2013-05-08
6407/7-3	2563.000000	2795.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1229	94	23	9999-12-31	2013-05-08
6407/7-3	355.000000	1100.000000	NAUST FM	FORMATION	NORDLAND GP	1229	109	113	9999-12-31	2013-05-08
6407/7-3	2027.000000	2232.000000	NISE FM	FORMATION	SHETLAND GP	1229	112	143	9999-12-31	2013-05-08
6407/7-3	355.000000	1152.000000	NORDLAND GP	GROUP	\N	1229	113	\N	9999-12-31	2013-05-08
6407/7-3	2807.000000	2851.000000	NOT FM	FORMATION	FANGST GP	1229	120	38	9999-12-31	2013-05-08
6407/7-3	1762.000000	2000.000000	ROGALAND GP	GROUP	\N	1229	131	\N	9999-12-31	2013-05-08
6407/7-3	2867.000000	2937.000000	ROR FM	FORMATION	BÅT GP	1229	135	22	9999-12-31	2013-05-08
6407/7-3	2000.000000	2563.000000	SHETLAND GP	GROUP	\N	1229	143	\N	9999-12-31	2013-05-08
6407/7-3	2795.000000	2807.000000	SPEKK FM	FORMATION	VIKING GP	1229	155	188	9999-12-31	2013-05-08
6407/7-3	2000.000000	2027.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1229	156	143	9999-12-31	2013-05-08
6407/7-3	1825.000000	2000.000000	TANG FM	FORMATION	ROGALAND GP	1229	161	131	9999-12-31	2013-05-08
6407/7-3	1762.000000	1825.000000	TARE FM	FORMATION	ROGALAND GP	1229	163	131	9999-12-31	2013-05-08
6407/7-3	2937.000000	3014.000000	TILJE FM	FORMATION	BÅT GP	1229	169	22	9999-12-31	2013-05-08
6407/7-3	2795.000000	2807.000000	VIKING GP	GROUP	\N	1229	188	\N	9999-12-31	2013-05-08
6407/7-3	3014.000000	3128.000000	ÅRE FM	FORMATION	BÅT GP	1229	197	22	9999-12-31	2013-05-08
34/7-13	2758.000000	2859.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1233	4	29	9999-12-31	2013-05-08
34/7-13	1670.000000	1724.000000	BALDER FM	FORMATION	ROGALAND GP	1233	6	131	9999-12-31	2013-05-08
34/7-13	2493.000000	2600.000000	BRENT GP	GROUP	\N	1233	16	\N	9999-12-31	2013-05-08
34/7-13	2598.000000	2600.000000	BROOM FM	FORMATION	BRENT GP	1233	17	16	9999-12-31	2013-05-08
34/7-13	2742.000000	2758.000000	BURTON FM	FORMATION	DUNLIN GP	1233	20	29	9999-12-31	2013-05-08
34/7-13	2478.000000	2493.000000	CROMER KNOLL GP	GROUP	\N	1233	23	\N	9999-12-31	2013-05-08
34/7-13	2670.000000	2742.000000	COOK FM	FORMATION	DUNLIN GP	1233	24	29	9999-12-31	2013-05-08
34/7-13	2600.000000	2670.000000	DRAKE FM	FORMATION	DUNLIN GP	1233	27	29	9999-12-31	2013-05-08
34/7-13	2600.000000	2859.000000	DUNLIN GP	GROUP	\N	1233	29	\N	9999-12-31	2013-05-08
34/7-13	2493.000000	2523.000000	ETIVE FM	FORMATION	BRENT GP	1233	35	16	9999-12-31	2013-05-08
34/7-13	2962.000000	2994.000000	HEGRE GP	GROUP	\N	1233	61	\N	9999-12-31	2013-05-08
34/7-13	1085.000000	1670.000000	HORDALAND GP	GROUP	\N	1233	67	\N	9999-12-31	2013-05-08
34/7-13	1852.000000	2097.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1233	74	143	9999-12-31	2013-05-08
34/7-13	2097.000000	2478.000000	KYRRE FM	FORMATION	SHETLAND GP	1233	92	143	9999-12-31	2013-05-08
34/7-13	1724.000000	1852.000000	LISTA FM	FORMATION	ROGALAND GP	1233	95	131	9999-12-31	2013-05-08
34/7-13	2962.000000	2994.000000	LUNDE FM	FORMATION	HEGRE GP	1233	97	61	9999-12-31	2013-05-08
34/7-13	2485.000000	2493.000000	MIME FM	FORMATION	CROMER KNOLL GP	1233	106	23	9999-12-31	2013-05-08
34/7-13	1267.000000	1323.000000	NO FORMAL NAME	FORMATION	\N	1233	111	\N	9999-12-31	2013-05-08
34/7-13	1323.000000	1670.000000	NO FORMAL NAME	FORMATION	\N	1233	111	\N	9999-12-31	2013-05-08
34/7-13	308.000000	1085.000000	NORDLAND GP	GROUP	\N	1233	113	\N	9999-12-31	2013-05-08
34/7-13	2523.000000	2598.000000	RANNOCH FM	FORMATION	BRENT GP	1233	126	16	9999-12-31	2013-05-08
34/7-13	1670.000000	1852.000000	ROGALAND GP	GROUP	\N	1233	131	\N	9999-12-31	2013-05-08
34/7-13	2478.000000	2485.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1233	137	23	9999-12-31	2013-05-08
34/7-13	1852.000000	2478.000000	SHETLAND GP	GROUP	\N	1233	143	\N	9999-12-31	2013-05-08
34/7-13	2859.000000	2962.000000	STATFJORD FM	FORMATION	\N	1233	157	\N	9999-12-31	2013-05-08
34/7-13	930.000000	1085.000000	UTSIRA FM	FORMATION	NORDLAND GP	1233	183	113	9999-12-31	2013-05-08
34/7-13	2859.000000	2962.000000	NO GROUP DEFINED	GROUP	\N	1233	208	\N	9999-12-31	2013-05-08
7224/7-1	401.000000	894.000000	ADVENTDALEN GP	GROUP	\N	1245	1	\N	9999-12-31	2013-05-08
7224/7-1	931.000000	1028.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1245	46	79	9999-12-31	2013-05-08
7224/7-1	861.000000	894.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1245	47	1	9999-12-31	2013-05-08
7224/7-1	2663.000000	3067.000000	HAVERT FM	FORMATION	SASSENDALEN GP	1245	58	140	9999-12-31	2013-05-08
7224/7-1	792.000000	861.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1245	63	1	9999-12-31	2013-05-08
7224/7-1	894.000000	1642.000000	KAPP TOSCANA GP	GROUP	\N	1245	79	\N	9999-12-31	2013-05-08
7224/7-1	2222.000000	2663.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	1245	80	140	9999-12-31	2013-05-08
7224/7-1	762.000000	792.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1245	82	1	9999-12-31	2013-05-08
7224/7-1	1642.000000	2222.000000	KOBBE FM	FORMATION	SASSENDALEN GP	1245	83	140	9999-12-31	2013-05-08
7224/7-1	401.000000	762.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1245	85	1	9999-12-31	2013-05-08
7224/7-1	293.000000	385.000000	NORDLAND GP	GROUP	\N	1245	113	\N	9999-12-31	2013-05-08
7224/7-1	919.000000	930.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	1245	118	79	9999-12-31	2013-05-08
7224/7-1	1642.000000	3067.000000	SASSENDALEN GP	GROUP	\N	1245	140	\N	9999-12-31	2013-05-08
7224/7-1	1028.000000	1642.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1245	150	79	9999-12-31	2013-05-08
7224/7-1	385.000000	401.000000	SOTBAKKEN GP	GROUP	\N	1245	154	\N	9999-12-31	2013-05-08
7224/7-1	894.000000	919.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1245	159	79	9999-12-31	2013-05-08
7224/7-1	385.000000	401.000000	TORSK FM	FORMATION	SOTBAKKEN GP	1245	172	154	9999-12-31	2013-05-08
7224/7-1	930.000000	931.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	1245	174	79	9999-12-31	2013-05-08
6408/4-1	774.000000	1313.000000	BRYGGE FM	FORMATION	HORDALAND GP	1246	18	67	9999-12-31	2013-05-08
6408/4-1	2015.000000	2603.000000	BÅT GP	GROUP	\N	1246	22	\N	9999-12-31	2013-05-08
6408/4-1	1636.000000	1702.000000	CROMER KNOLL GP	GROUP	\N	1246	23	\N	9999-12-31	2013-05-08
6408/4-1	1825.000000	2015.000000	FANGST GP	GROUP	\N	1246	38	\N	9999-12-31	2013-05-08
6408/4-1	1825.000000	1945.000000	GARN FM	FORMATION	FANGST GP	1246	48	38	9999-12-31	2013-05-08
6408/4-1	2603.000000	2725.000000	GREY BEDS (INFORMAL)	GROUP	\N	1246	52	\N	9999-12-31	2013-05-08
6408/4-1	774.000000	1313.000000	HORDALAND GP	GROUP	\N	1246	67	\N	9999-12-31	2013-05-08
6408/4-1	1968.000000	2015.000000	ILE FM	FORMATION	FANGST GP	1246	70	38	9999-12-31	2013-05-08
6408/4-1	1636.000000	1666.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1246	94	23	9999-12-31	2013-05-08
6408/4-1	1666.000000	1702.000000	LYR FM	FORMATION	CROMER KNOLL GP	1246	98	23	9999-12-31	2013-05-08
6408/4-1	1797.000000	1825.000000	MELKE FM	FORMATION	VIKING GP	1246	105	188	9999-12-31	2013-05-08
6408/4-1	236.000000	774.000000	NORDLAND GP	GROUP	\N	1246	113	\N	9999-12-31	2013-05-08
6408/4-1	1945.000000	1968.000000	NOT FM	FORMATION	FANGST GP	1246	120	38	9999-12-31	2013-05-08
6408/4-1	1313.000000	1619.000000	ROGALAND GP	GROUP	\N	1246	131	\N	9999-12-31	2013-05-08
6408/4-1	2015.000000	2157.000000	ROR FM	FORMATION	BÅT GP	1246	135	22	9999-12-31	2013-05-08
6408/4-1	1619.000000	1636.000000	SHETLAND GP	GROUP	\N	1246	143	\N	9999-12-31	2013-05-08
6408/4-1	1702.000000	1797.000000	SPEKK FM	FORMATION	VIKING GP	1246	155	188	9999-12-31	2013-05-08
6408/4-1	1619.000000	1636.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1246	156	143	9999-12-31	2013-05-08
6408/4-1	1374.000000	1619.000000	TANG FM	FORMATION	ROGALAND GP	1246	161	131	9999-12-31	2013-05-08
6408/4-1	1313.000000	1374.000000	TARE FM	FORMATION	ROGALAND GP	1246	163	131	9999-12-31	2013-05-08
6408/4-1	2157.000000	2323.000000	TILJE FM	FORMATION	BÅT GP	1246	169	22	9999-12-31	2013-05-08
6408/4-1	1702.000000	1825.000000	VIKING GP	GROUP	\N	1246	188	\N	9999-12-31	2013-05-08
6408/4-1	2323.000000	2603.000000	ÅRE FM	FORMATION	BÅT GP	1246	197	22	9999-12-31	2013-05-08
34/7-14	1653.000000	1705.000000	BALDER FM	FORMATION	ROGALAND GP	1278	6	131	9999-12-31	2013-05-08
34/7-14	2189.000000	2413.000000	BRENT GP	GROUP	\N	1278	16	\N	9999-12-31	2013-05-08
34/7-14	2629.000000	2653.000000	BURTON FM	FORMATION	DUNLIN GP	1278	20	29	9999-12-31	2013-05-08
34/7-14	2173.000000	2182.000000	CROMER KNOLL GP	GROUP	\N	1278	23	\N	9999-12-31	2013-05-08
34/7-14	2543.000000	2629.000000	COOK FM	FORMATION	DUNLIN GP	1278	24	29	9999-12-31	2013-05-08
34/7-14	2413.000000	2543.000000	DRAKE FM	FORMATION	DUNLIN GP	1278	27	29	9999-12-31	2013-05-08
34/7-14	2413.000000	2653.000000	DUNLIN GP	GROUP	\N	1278	29	\N	9999-12-31	2013-05-08
34/7-14	2305.000000	2343.000000	ETIVE FM	FORMATION	BRENT GP	1278	35	16	9999-12-31	2013-05-08
34/7-14	1007.000000	1653.000000	HORDALAND GP	GROUP	\N	1278	67	\N	9999-12-31	2013-05-08
34/7-14	1836.000000	2007.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1278	74	143	9999-12-31	2013-05-08
34/7-14	2007.000000	2173.000000	KYRRE FM	FORMATION	SHETLAND GP	1278	92	143	9999-12-31	2013-05-08
34/7-14	1705.000000	1836.000000	LISTA FM	FORMATION	ROGALAND GP	1278	95	131	9999-12-31	2013-05-08
34/7-14	2178.000000	2182.000000	MIME FM	FORMATION	CROMER KNOLL GP	1278	106	23	9999-12-31	2013-05-08
34/7-14	2227.000000	2305.000000	NESS FM	FORMATION	BRENT GP	1278	110	16	9999-12-31	2013-05-08
34/7-14	1267.000000	1314.000000	NO FORMAL NAME	FORMATION	\N	1278	111	\N	9999-12-31	2013-05-08
34/7-14	1314.000000	1350.000000	NO FORMAL NAME	FORMATION	\N	1278	111	\N	9999-12-31	2013-05-08
34/7-14	1350.000000	1412.000000	NO FORMAL NAME	FORMATION	\N	1278	111	\N	9999-12-31	2013-05-08
34/7-14	1412.000000	1456.000000	NO FORMAL NAME	FORMATION	\N	1278	111	\N	9999-12-31	2013-05-08
34/7-14	1456.000000	1653.000000	NO FORMAL NAME	FORMATION	\N	1278	111	\N	9999-12-31	2013-05-08
34/7-14	173.000000	1007.000000	NORDLAND GP	GROUP	\N	1278	113	\N	9999-12-31	2013-05-08
34/7-14	2343.000000	2413.000000	RANNOCH FM	FORMATION	BRENT GP	1278	126	16	9999-12-31	2013-05-08
34/7-14	1653.000000	1836.000000	ROGALAND GP	GROUP	\N	1278	131	\N	9999-12-31	2013-05-08
34/7-14	2173.000000	2178.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1278	137	23	9999-12-31	2013-05-08
34/7-14	1836.000000	2173.000000	SHETLAND GP	GROUP	\N	1278	143	\N	9999-12-31	2013-05-08
34/7-14	2189.000000	2227.000000	TARBERT FM	FORMATION	BRENT GP	1278	162	16	9999-12-31	2013-05-08
34/7-14	856.000000	1007.000000	UTSIRA FM	FORMATION	NORDLAND GP	1278	183	113	9999-12-31	2013-05-08
34/7-14	2182.000000	2189.000000	VIKING GP	GROUP	\N	1278	188	\N	9999-12-31	2013-05-08
25/1-7 R2	2177.000000	2182.000000	BALDER FM	FORMATION	ROGALAND GP	1279	6	131	9999-12-31	2013-05-08
25/1-7 R2	2212.000000	2287.000000	BALDER FM	FORMATION	ROGALAND GP	1279	6	131	9999-12-31	2013-05-08
25/1-7 R2	2182.000000	2212.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1279	7	131	9999-12-31	2013-05-08
25/1-7 R2	1916.000000	2177.000000	FRIGG FM	FORMATION	HORDALAND GP	1279	45	67	9999-12-31	2013-05-08
25/1-7 R2	2287.000000	2436.000000	HERMOD FM	FORMATION	ROGALAND GP	1279	64	131	9999-12-31	2013-05-08
25/1-7 R2	743.000000	2177.000000	HORDALAND GP	GROUP	\N	1279	67	\N	9999-12-31	2013-05-08
25/1-7 R2	2707.000000	2716.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1279	74	143	9999-12-31	2013-05-08
25/1-7 R2	2436.000000	2677.000000	LISTA FM	FORMATION	ROGALAND GP	1279	95	131	9999-12-31	2013-05-08
25/1-7 R2	123.000000	743.000000	NORDLAND GP	GROUP	\N	1279	113	\N	9999-12-31	2013-05-08
25/1-7 R2	2177.000000	2707.000000	ROGALAND GP	GROUP	\N	1279	131	\N	9999-12-31	2013-05-08
25/1-7 R2	2707.000000	2716.000000	SHETLAND GP	GROUP	\N	1279	143	\N	9999-12-31	2013-05-08
25/1-7 R2	2677.000000	2707.000000	VÅLE FM	FORMATION	ROGALAND GP	1279	190	131	9999-12-31	2013-05-08
7321/7-1	526.000000	1999.000000	ADVENTDALEN GP	GROUP	\N	1284	1	\N	9999-12-31	2013-05-08
7321/7-1	2039.000000	2207.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1284	46	79	9999-12-31	2013-05-08
7321/7-1	1965.000000	1999.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1284	47	1	9999-12-31	2013-05-08
7321/7-1	1918.000000	1965.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1284	63	1	9999-12-31	2013-05-08
7321/7-1	1999.000000	3550.000000	KAPP TOSCANA GP	GROUP	\N	1284	79	\N	9999-12-31	2013-05-08
7321/7-1	1892.000000	1918.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1284	82	1	9999-12-31	2013-05-08
7321/7-1	1145.000000	1892.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	1284	84	1	9999-12-31	2013-05-08
7321/7-1	526.000000	1145.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1284	85	1	9999-12-31	2013-05-08
7321/7-1	499.000000	526.000000	NORDLAND GP	GROUP	\N	1284	113	\N	9999-12-31	2013-05-08
7321/7-1	2022.000000	2039.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	1284	118	79	9999-12-31	2013-05-08
7321/7-1	2207.000000	3550.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1284	150	79	9999-12-31	2013-05-08
7321/7-1	1999.000000	2022.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1284	159	79	9999-12-31	2013-05-08
25/1-8 SR2	2229.000000	2234.000000	BALDER FM	FORMATION	ROGALAND GP	1286	6	131	9999-12-31	2013-05-08
25/1-8 SR2	2247.000000	2326.000000	BALDER FM	FORMATION	ROGALAND GP	1286	6	131	9999-12-31	2013-05-08
25/1-8 SR2	2234.000000	2247.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1286	7	131	9999-12-31	2013-05-08
25/1-8 SR2	1927.000000	2229.000000	FRIGG FM	FORMATION	HORDALAND GP	1286	45	67	9999-12-31	2013-05-08
25/1-8 SR2	2326.000000	2529.000000	HERMOD FM	FORMATION	ROGALAND GP	1286	64	131	9999-12-31	2013-05-08
25/1-8 SR2	731.000000	2229.000000	HORDALAND GP	GROUP	\N	1286	67	\N	9999-12-31	2013-05-08
25/1-8 SR2	2529.000000	2647.000000	LISTA FM	FORMATION	ROGALAND GP	1286	95	131	9999-12-31	2013-05-08
25/1-8 SR2	124.000000	731.000000	NORDLAND GP	GROUP	\N	1286	113	\N	9999-12-31	2013-05-08
25/1-8 SR2	2229.000000	2647.000000	ROGALAND GP	GROUP	\N	1286	131	\N	9999-12-31	2013-05-08
35/8-3	1468.000000	1530.000000	BALDER FM	FORMATION	ROGALAND GP	1288	6	131	9999-12-31	2013-05-08
35/8-3	3122.000000	3127.000000	BLODØKS FM	FORMATION	SHETLAND GP	1288	13	143	9999-12-31	2013-05-08
35/8-3	3810.000000	3944.000000	BRENT GP	GROUP	\N	1288	16	\N	9999-12-31	2013-05-08
35/8-3	3140.000000	3318.000000	CROMER KNOLL GP	GROUP	\N	1288	23	\N	9999-12-31	2013-05-08
35/8-3	3318.000000	3395.000000	DRAUPNE FM	FORMATION	VIKING GP	1288	28	188	9999-12-31	2013-05-08
35/8-3	3880.000000	3896.000000	ETIVE FM	FORMATION	BRENT GP	1288	35	16	9999-12-31	2013-05-08
35/8-3	3465.000000	3547.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	1288	59	188	9999-12-31	2013-05-08
35/8-3	3395.000000	3465.000000	HEATHER FM	FORMATION	VIKING GP	1288	60	188	9999-12-31	2013-05-08
35/8-3	3547.000000	3810.000000	HEATHER FM	FORMATION	VIKING GP	1288	60	188	9999-12-31	2013-05-08
35/8-3	730.000000	1468.000000	HORDALAND GP	GROUP	\N	1288	67	\N	9999-12-31	2013-05-08
35/8-3	1792.000000	1960.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1288	74	143	9999-12-31	2013-05-08
35/8-3	1960.000000	3122.000000	KYRRE FM	FORMATION	SHETLAND GP	1288	92	143	9999-12-31	2013-05-08
35/8-3	1530.000000	1663.000000	LISTA FM	FORMATION	ROGALAND GP	1288	95	131	9999-12-31	2013-05-08
35/8-3	1720.000000	1774.000000	LISTA FM	FORMATION	ROGALAND GP	1288	95	131	9999-12-31	2013-05-08
35/8-3	3820.000000	3880.000000	NESS FM	FORMATION	BRENT GP	1288	110	16	9999-12-31	2013-05-08
35/8-3	1663.000000	1720.000000	NO FORMAL NAME	FORMATION	\N	1288	111	\N	9999-12-31	2013-05-08
35/8-3	1787.000000	1792.000000	NO FORMAL NAME	FORMATION	\N	1288	111	\N	9999-12-31	2013-05-08
35/8-3	396.000000	730.000000	NORDLAND GP	GROUP	\N	1288	113	\N	9999-12-31	2013-05-08
35/8-3	3896.000000	3944.000000	RANNOCH FM	FORMATION	BRENT GP	1288	126	16	9999-12-31	2013-05-08
35/8-3	1468.000000	1792.000000	ROGALAND GP	GROUP	\N	1288	131	\N	9999-12-31	2013-05-08
35/8-3	3140.000000	3216.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1288	137	23	9999-12-31	2013-05-08
35/8-3	1792.000000	3140.000000	SHETLAND GP	GROUP	\N	1288	143	\N	9999-12-31	2013-05-08
35/8-3	3127.000000	3140.000000	SVARTE FM	FORMATION	SHETLAND GP	1288	160	143	9999-12-31	2013-05-08
35/8-3	3810.000000	3820.000000	TARBERT FM	FORMATION	BRENT GP	1288	162	16	9999-12-31	2013-05-08
35/8-3	3318.000000	3810.000000	VIKING GP	GROUP	\N	1288	188	\N	9999-12-31	2013-05-08
35/8-3	1774.000000	1787.000000	VÅLE FM	FORMATION	ROGALAND GP	1288	190	131	9999-12-31	2013-05-08
35/8-3	3216.000000	3318.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1288	198	23	9999-12-31	2013-05-08
25/2-12	3876.000000	3990.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1290	4	29	9999-12-31	2013-05-08
25/2-12	2169.000000	2182.000000	BALDER FM	FORMATION	ROGALAND GP	1290	6	131	9999-12-31	2013-05-08
25/2-12	2182.000000	2286.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1290	7	131	9999-12-31	2013-05-08
25/2-12	3550.000000	3572.000000	BLODØKS FM	FORMATION	SHETLAND GP	1290	13	143	9999-12-31	2013-05-08
25/2-12	3606.000000	3614.000000	CROMER KNOLL GP	GROUP	\N	1290	23	\N	9999-12-31	2013-05-08
25/2-12	3800.000000	3876.000000	COOK FM	FORMATION	DUNLIN GP	1290	24	29	9999-12-31	2013-05-08
25/2-12	3614.000000	3634.000000	DRAUPNE FM	FORMATION	VIKING GP	1290	28	188	9999-12-31	2013-05-08
25/2-12	3800.000000	3990.000000	DUNLIN GP	GROUP	\N	1290	29	\N	9999-12-31	2013-05-08
25/2-12	2042.000000	2169.000000	FRIGG FM	FORMATION	HORDALAND GP	1290	45	67	9999-12-31	2013-05-08
25/2-12	1210.000000	1255.000000	GRID FM	FORMATION	HORDALAND GP	1290	53	67	9999-12-31	2013-05-08
25/2-12	1427.000000	1440.000000	GRID FM	FORMATION	HORDALAND GP	1290	53	67	9999-12-31	2013-05-08
25/2-12	2622.000000	2850.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1290	56	143	9999-12-31	2013-05-08
25/2-12	3634.000000	3686.000000	HEATHER FM	FORMATION	VIKING GP	1290	60	188	9999-12-31	2013-05-08
25/2-12	2300.000000	2350.000000	HERMOD FM	FORMATION	ROGALAND GP	1290	64	131	9999-12-31	2013-05-08
25/2-12	1020.000000	2169.000000	HORDALAND GP	GROUP	\N	1290	67	\N	9999-12-31	2013-05-08
25/2-12	3686.000000	3713.000000	HUGIN FM	FORMATION	VESTLAND GP	1290	69	186	9999-12-31	2013-05-08
25/2-12	2850.000000	3333.000000	KYRRE FM	FORMATION	SHETLAND GP	1290	92	143	9999-12-31	2013-05-08
25/2-12	2419.000000	2492.000000	LISTA FM	FORMATION	ROGALAND GP	1290	95	131	9999-12-31	2013-05-08
25/2-12	1110.000000	1210.000000	NO FORMAL NAME	FORMATION	\N	1290	111	\N	9999-12-31	2013-05-08
25/2-12	1255.000000	1427.000000	NO FORMAL NAME	FORMATION	\N	1290	111	\N	9999-12-31	2013-05-08
25/2-12	1440.000000	2042.000000	NO FORMAL NAME	FORMATION	\N	1290	111	\N	9999-12-31	2013-05-08
25/2-12	137.000000	1020.000000	NORDLAND GP	GROUP	\N	1290	113	\N	9999-12-31	2013-05-08
25/2-12	2169.000000	2622.000000	ROGALAND GP	GROUP	\N	1290	131	\N	9999-12-31	2013-05-08
25/2-12	3606.000000	3614.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1290	137	23	9999-12-31	2013-05-08
25/2-12	2286.000000	2300.000000	SELE FM	FORMATION	ROGALAND GP	1290	142	131	9999-12-31	2013-05-08
25/2-12	2350.000000	2419.000000	SELE FM	FORMATION	ROGALAND GP	1290	142	131	9999-12-31	2013-05-08
25/2-12	2622.000000	3606.000000	SHETLAND GP	GROUP	\N	1290	143	\N	9999-12-31	2013-05-08
25/2-12	1073.000000	1110.000000	SKADE FM	FORMATION	HORDALAND GP	1290	145	67	9999-12-31	2013-05-08
25/2-12	3713.000000	3800.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1290	148	186	9999-12-31	2013-05-08
25/2-12	3990.000000	4102.000000	STATFJORD FM	FORMATION	\N	1290	157	\N	9999-12-31	2013-05-08
25/2-12	3572.000000	3606.000000	SVARTE FM	FORMATION	SHETLAND GP	1290	160	143	9999-12-31	2013-05-08
25/2-12	3333.000000	3550.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1290	173	143	9999-12-31	2013-05-08
25/2-12	2580.000000	2622.000000	TY FM	FORMATION	ROGALAND GP	1290	176	131	9999-12-31	2013-05-08
25/2-12	890.000000	1020.000000	UTSIRA FM	FORMATION	NORDLAND GP	1290	183	113	9999-12-31	2013-05-08
25/2-12	3686.000000	3800.000000	VESTLAND GP	GROUP	\N	1290	186	\N	9999-12-31	2013-05-08
25/2-12	3614.000000	3686.000000	VIKING GP	GROUP	\N	1290	188	\N	9999-12-31	2013-05-08
25/2-12	2492.000000	2580.000000	VÅLE FM	FORMATION	ROGALAND GP	1290	190	131	9999-12-31	2013-05-08
25/2-12	3990.000000	4102.000000	NO GROUP DEFINED	GROUP	\N	1290	208	\N	9999-12-31	2013-05-08
9/2-3	938.000000	963.000000	BALDER FM	FORMATION	ROGALAND GP	1294	6	131	9999-12-31	2013-05-08
9/2-3	1867.000000	1911.000000	BLODØKS FM	FORMATION	SHETLAND GP	1294	13	143	9999-12-31	2013-05-08
9/2-3	2625.000000	3252.000000	BOKNFJORD GP	GROUP	\N	1294	15	\N	9999-12-31	2013-05-08
9/2-3	3373.000000	3424.000000	BRYNE FM	FORMATION	VESTLAND GP	1294	19	186	9999-12-31	2013-05-08
9/2-3	1911.000000	2625.000000	CROMER KNOLL GP	GROUP	\N	1294	23	\N	9999-12-31	2013-05-08
9/2-3	3188.000000	3252.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	1294	30	15	9999-12-31	2013-05-08
9/2-3	1031.000000	1139.000000	EKOFISK FM	FORMATION	SHETLAND GP	1294	33	143	9999-12-31	2013-05-08
9/2-3	2625.000000	2799.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	1294	43	15	9999-12-31	2013-05-08
9/2-3	1423.000000	1867.000000	HOD FM	FORMATION	SHETLAND GP	1294	66	143	9999-12-31	2013-05-08
9/2-3	410.000000	938.000000	HORDALAND GP	GROUP	\N	1294	67	\N	9999-12-31	2013-05-08
9/2-3	986.000000	1025.000000	LISTA FM	FORMATION	ROGALAND GP	1294	95	131	9999-12-31	2013-05-08
9/2-3	104.000000	410.000000	NORDLAND GP	GROUP	\N	1294	113	\N	9999-12-31	2013-05-08
9/2-3	938.000000	1031.000000	ROGALAND GP	GROUP	\N	1294	131	\N	9999-12-31	2013-05-08
9/2-3	1911.000000	1932.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1294	137	23	9999-12-31	2013-05-08
9/2-3	3252.000000	3373.000000	SANDNES FM	FORMATION	VESTLAND GP	1294	139	186	9999-12-31	2013-05-08
9/2-3	2799.000000	3098.000000	SAUDA FM	FORMATION	BOKNFJORD GP	1294	141	15	9999-12-31	2013-05-08
9/2-3	963.000000	986.000000	SELE FM	FORMATION	ROGALAND GP	1294	142	131	9999-12-31	2013-05-08
9/2-3	1031.000000	1911.000000	SHETLAND GP	GROUP	\N	1294	143	\N	9999-12-31	2013-05-08
9/2-3	1932.000000	2027.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1294	152	23	9999-12-31	2013-05-08
9/2-3	3098.000000	3188.000000	TAU FM	FORMATION	BOKNFJORD GP	1294	164	15	9999-12-31	2013-05-08
9/2-3	1139.000000	1423.000000	TOR FM	FORMATION	SHETLAND GP	1294	171	143	9999-12-31	2013-05-08
9/2-3	3252.000000	3424.000000	VESTLAND GP	GROUP	\N	1294	186	\N	9999-12-31	2013-05-08
9/2-3	1025.000000	1031.000000	VÅLE FM	FORMATION	ROGALAND GP	1294	190	131	9999-12-31	2013-05-08
9/2-3	2027.000000	2625.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1294	198	23	9999-12-31	2013-05-08
34/10-33	3676.000000	3799.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1302	4	29	9999-12-31	2013-05-08
34/10-33	1827.000000	1907.000000	BALDER FM	FORMATION	ROGALAND GP	1302	6	131	9999-12-31	2013-05-08
34/10-33	3186.000000	3424.000000	BRENT GP	GROUP	\N	1302	16	\N	9999-12-31	2013-05-08
34/10-33	3629.000000	3676.000000	BURTON FM	FORMATION	DUNLIN GP	1302	20	29	9999-12-31	2013-05-08
34/10-33	3014.000000	3028.000000	CROMER KNOLL GP	GROUP	\N	1302	23	\N	9999-12-31	2013-05-08
34/10-33	3514.000000	3629.000000	COOK FM	FORMATION	DUNLIN GP	1302	24	29	9999-12-31	2013-05-08
34/10-33	3424.000000	3514.000000	DRAKE FM	FORMATION	DUNLIN GP	1302	27	29	9999-12-31	2013-05-08
34/10-33	3028.000000	3057.000000	DRAUPNE FM	FORMATION	VIKING GP	1302	28	188	9999-12-31	2013-05-08
34/10-33	3424.000000	3799.000000	DUNLIN GP	GROUP	\N	1302	29	\N	9999-12-31	2013-05-08
34/10-33	3365.000000	3374.000000	ETIVE FM	FORMATION	BRENT GP	1302	35	16	9999-12-31	2013-05-08
34/10-33	3057.000000	3186.000000	HEATHER FM	FORMATION	VIKING GP	1302	60	188	9999-12-31	2013-05-08
34/10-33	980.000000	1827.000000	HORDALAND GP	GROUP	\N	1302	67	\N	9999-12-31	2013-05-08
34/10-33	2055.000000	2350.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1302	74	143	9999-12-31	2013-05-08
34/10-33	2350.000000	3014.000000	KYRRE FM	FORMATION	SHETLAND GP	1302	92	143	9999-12-31	2013-05-08
34/10-33	1907.000000	2055.000000	LISTA FM	FORMATION	ROGALAND GP	1302	95	131	9999-12-31	2013-05-08
34/10-33	3014.000000	3028.000000	MIME FM	FORMATION	CROMER KNOLL GP	1302	106	23	9999-12-31	2013-05-08
34/10-33	3234.000000	3365.000000	NESS FM	FORMATION	BRENT GP	1302	110	16	9999-12-31	2013-05-08
34/10-33	956.000000	980.000000	NO FORMAL NAME	FORMATION	\N	1302	111	\N	9999-12-31	2013-05-08
34/10-33	1035.000000	1145.000000	NO FORMAL NAME	FORMATION	\N	1302	111	\N	9999-12-31	2013-05-08
34/10-33	1145.000000	1253.000000	NO FORMAL NAME	FORMATION	\N	1302	111	\N	9999-12-31	2013-05-08
34/10-33	1253.000000	1520.000000	NO FORMAL NAME	FORMATION	\N	1302	111	\N	9999-12-31	2013-05-08
34/10-33	1520.000000	1568.000000	NO FORMAL NAME	FORMATION	\N	1302	111	\N	9999-12-31	2013-05-08
34/10-33	1568.000000	1616.000000	NO FORMAL NAME	FORMATION	\N	1302	111	\N	9999-12-31	2013-05-08
34/10-33	1616.000000	1827.000000	NO FORMAL NAME	FORMATION	\N	1302	111	\N	9999-12-31	2013-05-08
34/10-33	163.000000	980.000000	NORDLAND GP	GROUP	\N	1302	113	\N	9999-12-31	2013-05-08
34/10-33	3374.000000	3424.000000	RANNOCH FM	FORMATION	BRENT GP	1302	126	16	9999-12-31	2013-05-08
34/10-33	1827.000000	2055.000000	ROGALAND GP	GROUP	\N	1302	131	\N	9999-12-31	2013-05-08
34/10-33	2055.000000	3014.000000	SHETLAND GP	GROUP	\N	1302	143	\N	9999-12-31	2013-05-08
34/10-33	3799.000000	3870.000000	STATFJORD FM	FORMATION	\N	1302	157	\N	9999-12-31	2013-05-08
34/10-33	3186.000000	3234.000000	TARBERT FM	FORMATION	BRENT GP	1302	162	16	9999-12-31	2013-05-08
34/10-33	915.000000	956.000000	UTSIRA FM	FORMATION	NORDLAND GP	1302	183	113	9999-12-31	2013-05-08
34/10-33	3028.000000	3186.000000	VIKING GP	GROUP	\N	1302	188	\N	9999-12-31	2013-05-08
34/10-33	3799.000000	3870.000000	NO GROUP DEFINED	GROUP	\N	1302	208	\N	9999-12-31	2013-05-08
2/5-8	2953.000000	2973.000000	BALDER FM	FORMATION	ROGALAND GP	1308	6	131	9999-12-31	2013-05-08
2/5-8	3107.000000	3204.000000	EKOFISK FM	FORMATION	SHETLAND GP	1308	33	143	9999-12-31	2013-05-08
2/5-8	3323.000000	3367.000000	HOD FM	FORMATION	SHETLAND GP	1308	66	143	9999-12-31	2013-05-08
2/5-8	1898.000000	2953.000000	HORDALAND GP	GROUP	\N	1308	67	\N	9999-12-31	2013-05-08
2/5-8	3042.000000	3090.000000	LISTA FM	FORMATION	ROGALAND GP	1308	95	131	9999-12-31	2013-05-08
2/5-8	3090.000000	3107.000000	MAUREEN FM	FORMATION	ROGALAND GP	1308	102	131	9999-12-31	2013-05-08
2/5-8	92.000000	1898.000000	NORDLAND GP	GROUP	\N	1308	113	\N	9999-12-31	2013-05-08
2/5-8	2953.000000	3107.000000	ROGALAND GP	GROUP	\N	1308	131	\N	9999-12-31	2013-05-08
2/5-8	2973.000000	3042.000000	SELE FM	FORMATION	ROGALAND GP	1308	142	131	9999-12-31	2013-05-08
2/5-8	3107.000000	3367.000000	SHETLAND GP	GROUP	\N	1308	143	\N	9999-12-31	2013-05-08
2/5-8	3204.000000	3323.000000	TOR FM	FORMATION	SHETLAND GP	1308	171	143	9999-12-31	2013-05-08
6507/8-3	1402.000000	2075.000000	BÅT GP	GROUP	\N	1309	22	\N	9999-12-31	2013-05-08
6507/8-3	1358.000000	1402.000000	FANGST GP	GROUP	\N	1309	38	\N	9999-12-31	2013-05-08
6507/8-3	1358.000000	1379.000000	GARN FM	FORMATION	FANGST GP	1309	48	38	9999-12-31	2013-05-08
6507/8-3	1386.000000	1402.000000	ILE FM	FORMATION	FANGST GP	1309	70	38	9999-12-31	2013-05-08
6507/8-3	1245.000000	1334.000000	KAI FM	FORMATION	NORDLAND GP	1309	77	113	9999-12-31	2013-05-08
6507/8-3	1353.000000	1358.000000	MELKE FM	FORMATION	VIKING GP	1309	105	188	9999-12-31	2013-05-08
6507/8-3	338.000000	1245.000000	NAUST FM	FORMATION	NORDLAND GP	1309	109	113	9999-12-31	2013-05-08
6507/8-3	338.000000	1334.000000	NORDLAND GP	GROUP	\N	1309	113	\N	9999-12-31	2013-05-08
6507/8-3	1379.000000	1386.000000	NOT FM	FORMATION	FANGST GP	1309	120	38	9999-12-31	2013-05-08
6507/8-3	1334.000000	1353.000000	ROGALAND GP	GROUP	\N	1309	131	\N	9999-12-31	2013-05-08
6507/8-3	1402.000000	1446.000000	ROR FM	FORMATION	BÅT GP	1309	135	22	9999-12-31	2013-05-08
6507/8-3	1334.000000	1353.000000	TARE FM	FORMATION	ROGALAND GP	1309	163	131	9999-12-31	2013-05-08
6507/8-3	1446.000000	1542.000000	TILJE FM	FORMATION	BÅT GP	1309	169	22	9999-12-31	2013-05-08
6507/8-3	1353.000000	1358.000000	VIKING GP	GROUP	\N	1309	188	\N	9999-12-31	2013-05-08
6507/8-3	1542.000000	2075.000000	ÅRE FM	FORMATION	BÅT GP	1309	197	22	9999-12-31	2013-05-08
2/4-13	1766.000000	2518.000000	HORDALAND GP	GROUP	\N	1313	67	\N	9999-12-31	2013-05-08
2/4-13	95.000000	1766.000000	NORDLAND GP	GROUP	\N	1313	113	\N	9999-12-31	2013-05-08
34/8-3 A	1873.000000	1920.000000	BALDER FM	FORMATION	ROGALAND GP	1338	6	131	9999-12-31	2013-05-08
34/8-3 A	3031.000000	3184.000000	BRENT GP	GROUP	\N	1338	16	\N	9999-12-31	2013-05-08
34/8-3 A	2975.000000	3003.000000	CROMER KNOLL GP	GROUP	\N	1338	23	\N	9999-12-31	2013-05-08
34/8-3 A	3227.000000	3230.000000	COOK FM	FORMATION	DUNLIN GP	1338	24	29	9999-12-31	2013-05-08
34/8-3 A	3184.000000	3227.000000	DRAKE FM	FORMATION	DUNLIN GP	1338	27	29	9999-12-31	2013-05-08
34/8-3 A	3003.000000	3012.000000	DRAUPNE FM	FORMATION	VIKING GP	1338	28	188	9999-12-31	2013-05-08
34/8-3 A	3184.000000	3230.000000	DUNLIN GP	GROUP	\N	1338	29	\N	9999-12-31	2013-05-08
34/8-3 A	3101.000000	3131.000000	ETIVE FM	FORMATION	BRENT GP	1338	35	16	9999-12-31	2013-05-08
34/8-3 A	3012.000000	3031.000000	HEATHER FM	FORMATION	VIKING GP	1338	60	188	9999-12-31	2013-05-08
34/8-3 A	1180.000000	1873.000000	HORDALAND GP	GROUP	\N	1338	67	\N	9999-12-31	2013-05-08
34/8-3 A	2088.000000	2395.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1338	74	143	9999-12-31	2013-05-08
34/8-3 A	2395.000000	2975.000000	KYRRE FM	FORMATION	SHETLAND GP	1338	92	143	9999-12-31	2013-05-08
34/8-3 A	1920.000000	2088.000000	LISTA FM	FORMATION	ROGALAND GP	1338	95	131	9999-12-31	2013-05-08
34/8-3 A	3071.000000	3101.000000	NESS FM	FORMATION	BRENT GP	1338	110	16	9999-12-31	2013-05-08
34/8-3 A	405.000000	1180.000000	NORDLAND GP	GROUP	\N	1338	113	\N	9999-12-31	2013-05-08
34/8-3 A	3131.000000	3184.000000	RANNOCH FM	FORMATION	BRENT GP	1338	126	16	9999-12-31	2013-05-08
34/8-3 A	1873.000000	2088.000000	ROGALAND GP	GROUP	\N	1338	131	\N	9999-12-31	2013-05-08
34/8-3 A	2088.000000	2975.000000	SHETLAND GP	GROUP	\N	1338	143	\N	9999-12-31	2013-05-08
34/8-3 A	3031.000000	3071.000000	TARBERT FM	FORMATION	BRENT GP	1338	162	16	9999-12-31	2013-05-08
34/8-3 A	1120.000000	1180.000000	UTSIRA FM	FORMATION	NORDLAND GP	1338	183	113	9999-12-31	2013-05-08
34/8-3 A	3003.000000	3031.000000	VIKING GP	GROUP	\N	1338	188	\N	9999-12-31	2013-05-08
7321/9-1	558.000000	1379.000000	ADVENTDALEN GP	GROUP	\N	1339	1	\N	9999-12-31	2013-05-08
7321/9-1	1424.000000	1572.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1339	46	79	9999-12-31	2013-05-08
7321/9-1	1367.000000	1379.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1339	47	1	9999-12-31	2013-05-08
7321/9-1	1317.000000	1367.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1339	63	1	9999-12-31	2013-05-08
7321/9-1	1379.000000	1800.000000	KAPP TOSCANA GP	GROUP	\N	1339	79	\N	9999-12-31	2013-05-08
7321/9-1	986.000000	1317.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1339	82	1	9999-12-31	2013-05-08
7321/9-1	892.000000	986.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	1339	84	1	9999-12-31	2013-05-08
7321/9-1	558.000000	892.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1339	85	1	9999-12-31	2013-05-08
7321/9-1	483.000000	558.000000	NORDLAND GP	GROUP	\N	1339	113	\N	9999-12-31	2013-05-08
7321/9-1	1417.000000	1424.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	1339	118	79	9999-12-31	2013-05-08
7321/9-1	1572.000000	1800.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1339	150	79	9999-12-31	2013-05-08
7321/9-1	1379.000000	1417.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1339	159	79	9999-12-31	2013-05-08
6507/8-4	1788.000000	1951.000000	BRYGGE FM	FORMATION	HORDALAND GP	1340	18	67	9999-12-31	2013-05-08
6507/8-4	2124.000000	2435.000000	BÅT GP	GROUP	\N	1340	22	\N	9999-12-31	2013-05-08
6507/8-4	2435.000000	2560.000000	GREY BEDS (INFORMAL)	GROUP	\N	1340	52	\N	9999-12-31	2013-05-08
6507/8-4	1788.000000	1951.000000	HORDALAND GP	GROUP	\N	1340	67	\N	9999-12-31	2013-05-08
6507/8-4	1455.000000	1788.000000	KAI FM	FORMATION	NORDLAND GP	1340	77	113	9999-12-31	2013-05-08
6507/8-4	377.000000	1788.000000	NORDLAND GP	GROUP	\N	1340	113	\N	9999-12-31	2013-05-08
6507/8-4	1951.000000	2018.000000	ROGALAND GP	GROUP	\N	1340	131	\N	9999-12-31	2013-05-08
6507/8-4	2018.000000	2124.000000	SHETLAND GP	GROUP	\N	1340	143	\N	9999-12-31	2013-05-08
6507/8-4	1974.000000	2018.000000	TANG FM	FORMATION	ROGALAND GP	1340	161	131	9999-12-31	2013-05-08
6507/8-4	1951.000000	1974.000000	TARE FM	FORMATION	ROGALAND GP	1340	163	131	9999-12-31	2013-05-08
6507/8-4	2124.000000	2435.000000	ÅRE FM	FORMATION	BÅT GP	1340	197	22	9999-12-31	2013-05-08
6506/12-6	1880.000000	2175.000000	BRYGGE FM	FORMATION	HORDALAND GP	1342	18	67	9999-12-31	2013-05-08
6506/12-6	4410.000000	4741.000000	BÅT GP	GROUP	\N	1342	22	\N	9999-12-31	2013-05-08
6506/12-6	3248.000000	4021.000000	CROMER KNOLL GP	GROUP	\N	1342	23	\N	9999-12-31	2013-05-08
6506/12-6	4234.000000	4410.000000	FANGST GP	GROUP	\N	1342	38	\N	9999-12-31	2013-05-08
6506/12-6	4234.000000	4279.000000	GARN FM	FORMATION	FANGST GP	1342	48	38	9999-12-31	2013-05-08
6506/12-6	1880.000000	2175.000000	HORDALAND GP	GROUP	\N	1342	67	\N	9999-12-31	2013-05-08
6506/12-6	4311.000000	4410.000000	ILE FM	FORMATION	FANGST GP	1342	70	38	9999-12-31	2013-05-08
6506/12-6	1463.000000	1880.000000	KAI FM	FORMATION	NORDLAND GP	1342	77	113	9999-12-31	2013-05-08
6506/12-6	2930.000000	3248.000000	KVITNOS FM	FORMATION	SHETLAND GP	1342	91	143	9999-12-31	2013-05-08
6506/12-6	3271.000000	4021.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1342	94	23	9999-12-31	2013-05-08
6506/12-6	3248.000000	3271.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1342	99	23	9999-12-31	2013-05-08
6506/12-6	4050.000000	4234.000000	MELKE FM	FORMATION	VIKING GP	1342	105	188	9999-12-31	2013-05-08
6506/12-6	301.000000	1463.000000	NAUST FM	FORMATION	NORDLAND GP	1342	109	113	9999-12-31	2013-05-08
6506/12-6	2568.000000	2930.000000	NISE FM	FORMATION	SHETLAND GP	1342	112	143	9999-12-31	2013-05-08
6506/12-6	301.000000	1880.000000	NORDLAND GP	GROUP	\N	1342	113	\N	9999-12-31	2013-05-08
6506/12-6	4279.000000	4311.000000	NOT FM	FORMATION	FANGST GP	1342	120	38	9999-12-31	2013-05-08
6506/12-6	2175.000000	2331.000000	ROGALAND GP	GROUP	\N	1342	131	\N	9999-12-31	2013-05-08
6506/12-6	4410.000000	4436.000000	ROR FM	FORMATION	BÅT GP	1342	135	22	9999-12-31	2013-05-08
6506/12-6	4493.000000	4515.000000	ROR FM	FORMATION	BÅT GP	1342	135	22	9999-12-31	2013-05-08
6506/12-6	2331.000000	3248.000000	SHETLAND GP	GROUP	\N	1342	143	\N	9999-12-31	2013-05-08
6506/12-6	4021.000000	4050.000000	SPEKK FM	FORMATION	VIKING GP	1342	155	188	9999-12-31	2013-05-08
6506/12-6	2331.000000	2568.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1342	156	143	9999-12-31	2013-05-08
6506/12-6	2281.000000	2331.000000	TANG FM	FORMATION	ROGALAND GP	1342	161	131	9999-12-31	2013-05-08
6506/12-6	2175.000000	2281.000000	TARE FM	FORMATION	ROGALAND GP	1342	163	131	9999-12-31	2013-05-08
6506/12-6	4515.000000	4735.000000	TILJE FM	FORMATION	BÅT GP	1342	169	22	9999-12-31	2013-05-08
6506/12-6	4436.000000	4493.000000	TOFTE FM	FORMATION	BÅT GP	1342	170	22	9999-12-31	2013-05-08
6506/12-6	4021.000000	4234.000000	VIKING GP	GROUP	\N	1342	188	\N	9999-12-31	2013-05-08
6506/12-6	4735.000000	4741.000000	ÅRE FM	FORMATION	BÅT GP	1342	197	22	9999-12-31	2013-05-08
2/4-14	3142.000000	3162.000000	BALDER FM	FORMATION	ROGALAND GP	1343	6	131	9999-12-31	2013-05-08
2/4-14	4542.000000	4561.000000	BLODØKS FM	FORMATION	SHETLAND GP	1343	13	143	9999-12-31	2013-05-08
2/4-14	4634.000000	4702.000000	CROMER KNOLL GP	GROUP	\N	1343	23	\N	9999-12-31	2013-05-08
2/4-14	3318.000000	3443.000000	EKOFISK FM	FORMATION	SHETLAND GP	1343	33	143	9999-12-31	2013-05-08
2/4-14	4561.000000	4634.000000	HIDRA FM	FORMATION	SHETLAND GP	1343	65	143	9999-12-31	2013-05-08
2/4-14	4010.000000	4542.000000	HOD FM	FORMATION	SHETLAND GP	1343	66	143	9999-12-31	2013-05-08
2/4-14	1766.000000	3142.000000	HORDALAND GP	GROUP	\N	1343	67	\N	9999-12-31	2013-05-08
2/4-14	3176.000000	3217.000000	LISTA FM	FORMATION	ROGALAND GP	1343	95	131	9999-12-31	2013-05-08
2/4-14	3262.000000	3307.000000	LISTA FM	FORMATION	ROGALAND GP	1343	95	131	9999-12-31	2013-05-08
2/4-14	4702.000000	4729.000000	MANDAL FM	FORMATION	TYNE GP	1343	101	177	9999-12-31	2013-05-08
2/4-14	94.000000	1766.000000	NORDLAND GP	GROUP	\N	1343	113	\N	9999-12-31	2013-05-08
2/4-14	3142.000000	3318.000000	ROGALAND GP	GROUP	\N	1343	131	\N	9999-12-31	2013-05-08
2/4-14	4634.000000	4654.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1343	137	23	9999-12-31	2013-05-08
2/4-14	3162.000000	3176.000000	SELE FM	FORMATION	ROGALAND GP	1343	142	131	9999-12-31	2013-05-08
2/4-14	3318.000000	4634.000000	SHETLAND GP	GROUP	\N	1343	143	\N	9999-12-31	2013-05-08
2/4-14	3443.000000	4010.000000	TOR FM	FORMATION	SHETLAND GP	1343	171	143	9999-12-31	2013-05-08
2/4-14	4702.000000	4729.000000	TYNE GP	GROUP	\N	1343	177	\N	9999-12-31	2013-05-08
2/4-14	3217.000000	3262.000000	VIDAR FM	FORMATION	ROGALAND GP	1343	187	131	9999-12-31	2013-05-08
2/4-14	3307.000000	3318.000000	VÅLE FM	FORMATION	ROGALAND GP	1343	190	131	9999-12-31	2013-05-08
2/4-14	4729.000000	4734.000000	UNDEFINED GP	GROUP	\N	1343	191	\N	9999-12-31	2013-05-08
2/4-14	4654.000000	4702.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1343	198	23	9999-12-31	2013-05-08
25/5-2	2160.000000	2222.000000	BALDER FM	FORMATION	ROGALAND GP	1346	6	131	9999-12-31	2013-05-08
25/5-2	2222.000000	2292.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1346	7	131	9999-12-31	2013-05-08
25/5-2	2980.000000	3008.000000	CROMER KNOLL GP	GROUP	\N	1346	23	\N	9999-12-31	2013-05-08
25/5-2	3231.000000	3304.000000	DRAKE FM	FORMATION	DUNLIN GP	1346	27	29	9999-12-31	2013-05-08
25/5-2	3008.000000	3131.000000	DRAUPNE FM	FORMATION	VIKING GP	1346	28	188	9999-12-31	2013-05-08
25/5-2	3231.000000	3304.000000	DUNLIN GP	GROUP	\N	1346	29	\N	9999-12-31	2013-05-08
25/5-2	1388.000000	1448.000000	GRID FM	FORMATION	HORDALAND GP	1346	53	67	9999-12-31	2013-05-08
25/5-2	2630.000000	2855.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1346	56	143	9999-12-31	2013-05-08
25/5-2	3131.000000	3186.000000	HEATHER FM	FORMATION	VIKING GP	1346	60	188	9999-12-31	2013-05-08
25/5-2	918.000000	2160.000000	HORDALAND GP	GROUP	\N	1346	67	\N	9999-12-31	2013-05-08
25/5-2	3186.000000	3194.000000	HUGIN FM	FORMATION	VESTLAND GP	1346	69	186	9999-12-31	2013-05-08
25/5-2	2855.000000	2980.000000	KYRRE FM	FORMATION	SHETLAND GP	1346	92	143	9999-12-31	2013-05-08
25/5-2	2292.000000	2502.000000	LISTA FM	FORMATION	ROGALAND GP	1346	95	131	9999-12-31	2013-05-08
25/5-2	1092.000000	1388.000000	NO FORMAL NAME	FORMATION	\N	1346	111	\N	9999-12-31	2013-05-08
25/5-2	1448.000000	2160.000000	NO FORMAL NAME	FORMATION	\N	1346	111	\N	9999-12-31	2013-05-08
25/5-2	139.000000	918.000000	NORDLAND GP	GROUP	\N	1346	113	\N	9999-12-31	2013-05-08
25/5-2	2160.000000	2630.000000	ROGALAND GP	GROUP	\N	1346	131	\N	9999-12-31	2013-05-08
25/5-2	2630.000000	2980.000000	SHETLAND GP	GROUP	\N	1346	143	\N	9999-12-31	2013-05-08
25/5-2	938.000000	1092.000000	SKADE FM	FORMATION	HORDALAND GP	1346	145	67	9999-12-31	2013-05-08
25/5-2	3194.000000	3231.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1346	148	186	9999-12-31	2013-05-08
25/5-2	2980.000000	2990.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1346	152	23	9999-12-31	2013-05-08
25/5-2	2502.000000	2607.000000	TY FM	FORMATION	ROGALAND GP	1346	176	131	9999-12-31	2013-05-08
25/5-2	289.000000	918.000000	UTSIRA FM	FORMATION	NORDLAND GP	1346	183	113	9999-12-31	2013-05-08
25/5-2	3186.000000	3231.000000	VESTLAND GP	GROUP	\N	1346	186	\N	9999-12-31	2013-05-08
25/5-2	3008.000000	3186.000000	VIKING GP	GROUP	\N	1346	188	\N	9999-12-31	2013-05-08
25/5-2	2607.000000	2630.000000	VÅLE FM	FORMATION	ROGALAND GP	1346	190	131	9999-12-31	2013-05-08
25/5-2	2990.000000	3008.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1346	198	23	9999-12-31	2013-05-08
7125/1-1	617.000000	1399.000000	ADVENTDALEN GP	GROUP	\N	1350	1	\N	9999-12-31	2013-05-08
7125/1-1	1521.000000	1612.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1350	46	79	9999-12-31	2013-05-08
7125/1-1	1344.000000	1399.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1350	63	1	9999-12-31	2013-05-08
7125/1-1	1399.000000	2105.000000	KAPP TOSCANA GP	GROUP	\N	1350	79	\N	9999-12-31	2013-05-08
7125/1-1	1318.000000	1344.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1350	82	1	9999-12-31	2013-05-08
7125/1-1	2105.000000	2200.000000	KOBBE FM	FORMATION	SASSENDALEN GP	1350	83	140	9999-12-31	2013-05-08
7125/1-1	1314.000000	1318.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	1350	84	1	9999-12-31	2013-05-08
7125/1-1	617.000000	1314.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1350	85	1	9999-12-31	2013-05-08
7125/1-1	568.000000	597.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	1350	89	122	9999-12-31	2013-05-08
7125/1-1	597.000000	617.000000	KVITING FM	FORMATION	NYGRUNNEN GP	1350	90	122	9999-12-31	2013-05-08
7125/1-1	276.000000	391.000000	NORDLAND GP	GROUP	\N	1350	113	\N	9999-12-31	2013-05-08
7125/1-1	568.000000	617.000000	NYGRUNNEN GP	GROUP	\N	1350	122	\N	9999-12-31	2013-05-08
7125/1-1	2105.000000	2200.000000	SASSENDALEN GP	GROUP	\N	1350	140	\N	9999-12-31	2013-05-08
7125/1-1	1612.000000	2105.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1350	150	79	9999-12-31	2013-05-08
7125/1-1	391.000000	568.000000	SOTBAKKEN GP	GROUP	\N	1350	154	\N	9999-12-31	2013-05-08
7125/1-1	1399.000000	1521.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1350	159	79	9999-12-31	2013-05-08
2/8-12 S	2883.000000	2911.000000	BALDER FM	FORMATION	ROGALAND GP	1351	6	131	9999-12-31	2013-05-08
2/8-12 S	5191.000000	5225.000000	BRYNE FM	FORMATION	VESTLAND GP	1351	19	186	9999-12-31	2013-05-08
2/8-12 S	3257.000000	4000.000000	CROMER KNOLL GP	GROUP	\N	1351	23	\N	9999-12-31	2013-05-08
2/8-12 S	3046.000000	3118.000000	EKOFISK FM	FORMATION	SHETLAND GP	1351	33	143	9999-12-31	2013-05-08
2/8-12 S	4042.000000	4207.000000	FARSUND FM	FORMATION	TYNE GP	1351	39	177	9999-12-31	2013-05-08
2/8-12 S	4207.000000	5191.000000	HAUGESUND FM	FORMATION	TYNE GP	1351	57	177	9999-12-31	2013-05-08
2/8-12 S	3235.000000	3257.000000	HIDRA FM	FORMATION	SHETLAND GP	1351	65	143	9999-12-31	2013-05-08
2/8-12 S	1629.000000	2883.000000	HORDALAND GP	GROUP	\N	1351	67	\N	9999-12-31	2013-05-08
2/8-12 S	2942.000000	3021.000000	LISTA FM	FORMATION	ROGALAND GP	1351	95	131	9999-12-31	2013-05-08
2/8-12 S	4000.000000	4042.000000	MANDAL FM	FORMATION	TYNE GP	1351	101	177	9999-12-31	2013-05-08
2/8-12 S	3021.000000	3046.000000	MAUREEN FM	FORMATION	ROGALAND GP	1351	102	131	9999-12-31	2013-05-08
2/8-12 S	94.000000	1629.000000	NORDLAND GP	GROUP	\N	1351	113	\N	9999-12-31	2013-05-08
2/8-12 S	2883.000000	3046.000000	ROGALAND GP	GROUP	\N	1351	131	\N	9999-12-31	2013-05-08
2/8-12 S	3257.000000	3271.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1351	137	23	9999-12-31	2013-05-08
2/8-12 S	2911.000000	2942.000000	SELE FM	FORMATION	ROGALAND GP	1351	142	131	9999-12-31	2013-05-08
2/8-12 S	3046.000000	3257.000000	SHETLAND GP	GROUP	\N	1351	143	\N	9999-12-31	2013-05-08
2/8-12 S	5225.000000	5300.000000	SKAGERRAK FM	FORMATION	HEGRE GP	1351	146	61	9999-12-31	2013-05-08
2/8-12 S	3271.000000	3759.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1351	152	23	9999-12-31	2013-05-08
2/8-12 S	3118.000000	3235.000000	TOR FM	FORMATION	SHETLAND GP	1351	171	143	9999-12-31	2013-05-08
2/8-12 S	3759.000000	4000.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1351	175	23	9999-12-31	2013-05-08
2/8-12 S	4000.000000	5191.000000	TYNE GP	GROUP	\N	1351	177	\N	9999-12-31	2013-05-08
2/8-12 S	5191.000000	5225.000000	VESTLAND GP	GROUP	\N	1351	186	\N	9999-12-31	2013-05-08
2/8-12 S	5225.000000	5300.000000	NO GROUP DEFINED	GROUP	\N	1351	208	\N	9999-12-31	2013-05-08
25/2-12 A	2169.000000	2182.000000	BALDER FM	FORMATION	ROGALAND GP	1355	6	131	9999-12-31	2013-05-08
25/2-12 A	2182.000000	2286.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1355	7	131	9999-12-31	2013-05-08
25/2-12 A	3610.000000	3630.000000	BLODØKS FM	FORMATION	SHETLAND GP	1355	13	143	9999-12-31	2013-05-08
25/2-12 A	3708.000000	3710.000000	DRAUPNE FM	FORMATION	VIKING GP	1355	28	188	9999-12-31	2013-05-08
25/2-12 A	2042.000000	2169.000000	FRIGG FM	FORMATION	HORDALAND GP	1355	45	67	9999-12-31	2013-05-08
25/2-12 A	1210.000000	1255.000000	GRID FM	FORMATION	HORDALAND GP	1355	53	67	9999-12-31	2013-05-08
25/2-12 A	1427.000000	2042.000000	GRID FM	FORMATION	HORDALAND GP	1355	53	67	9999-12-31	2013-05-08
25/2-12 A	2622.000000	2850.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1355	56	143	9999-12-31	2013-05-08
25/2-12 A	3710.000000	3715.000000	HEATHER FM	FORMATION	VIKING GP	1355	60	188	9999-12-31	2013-05-08
25/2-12 A	2300.000000	2350.000000	HERMOD FM	FORMATION	ROGALAND GP	1355	64	131	9999-12-31	2013-05-08
25/2-12 A	1020.000000	2169.000000	HORDALAND GP	GROUP	\N	1355	67	\N	9999-12-31	2013-05-08
25/2-12 A	3715.000000	3865.000000	HUGIN FM	FORMATION	VESTLAND GP	1355	69	186	9999-12-31	2013-05-08
25/2-12 A	2850.000000	3342.000000	KYRRE FM	FORMATION	SHETLAND GP	1355	92	143	9999-12-31	2013-05-08
25/2-12 A	2419.000000	2492.000000	LISTA FM	FORMATION	ROGALAND GP	1355	95	131	9999-12-31	2013-05-08
25/2-12 A	1110.000000	1210.000000	NO FORMAL NAME	FORMATION	\N	1355	111	\N	9999-12-31	2013-05-08
25/2-12 A	1255.000000	1427.000000	NO FORMAL NAME	FORMATION	\N	1355	111	\N	9999-12-31	2013-05-08
25/2-12 A	137.000000	1020.000000	NORDLAND GP	GROUP	\N	1355	113	\N	9999-12-31	2013-05-08
25/2-12 A	2169.000000	2622.000000	ROGALAND GP	GROUP	\N	1355	131	\N	9999-12-31	2013-05-08
25/2-12 A	2286.000000	2300.000000	SELE FM	FORMATION	ROGALAND GP	1355	142	131	9999-12-31	2013-05-08
25/2-12 A	2350.000000	2419.000000	SELE FM	FORMATION	ROGALAND GP	1355	142	131	9999-12-31	2013-05-08
25/2-12 A	2622.000000	3708.000000	SHETLAND GP	GROUP	\N	1355	143	\N	9999-12-31	2013-05-08
25/2-12 A	1073.000000	1110.000000	SKADE FM	FORMATION	HORDALAND GP	1355	145	67	9999-12-31	2013-05-08
25/2-12 A	3630.000000	3708.000000	SVARTE FM	FORMATION	SHETLAND GP	1355	160	143	9999-12-31	2013-05-08
25/2-12 A	3342.000000	3610.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1355	173	143	9999-12-31	2013-05-08
25/2-12 A	2580.000000	2622.000000	TY FM	FORMATION	ROGALAND GP	1355	176	131	9999-12-31	2013-05-08
25/2-12 A	890.000000	1020.000000	UTSIRA FM	FORMATION	NORDLAND GP	1355	183	113	9999-12-31	2013-05-08
25/2-12 A	3715.000000	3865.000000	VESTLAND GP	GROUP	\N	1355	186	\N	9999-12-31	2013-05-08
25/2-12 A	3708.000000	3715.000000	VIKING GP	GROUP	\N	1355	188	\N	9999-12-31	2013-05-08
25/2-12 A	2492.000000	2580.000000	VÅLE FM	FORMATION	ROGALAND GP	1355	190	131	9999-12-31	2013-05-08
35/11-3 S	3764.000000	3794.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1356	4	29	9999-12-31	2013-05-08
35/11-3 S	3895.000000	3930.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1356	4	29	9999-12-31	2013-05-08
35/11-3 S	1728.000000	1786.000000	BALDER FM	FORMATION	ROGALAND GP	1356	6	131	9999-12-31	2013-05-08
35/11-3 S	3431.000000	3640.000000	BRENT GP	GROUP	\N	1356	16	\N	9999-12-31	2013-05-08
35/11-3 S	2716.000000	2821.000000	CROMER KNOLL GP	GROUP	\N	1356	23	\N	9999-12-31	2013-05-08
35/11-3 S	3693.000000	3764.000000	COOK FM	FORMATION	DUNLIN GP	1356	24	29	9999-12-31	2013-05-08
35/11-3 S	3640.000000	3693.000000	DRAKE FM	FORMATION	DUNLIN GP	1356	27	29	9999-12-31	2013-05-08
35/11-3 S	2821.000000	3081.000000	DRAUPNE FM	FORMATION	VIKING GP	1356	28	188	9999-12-31	2013-05-08
35/11-3 S	3640.000000	3930.000000	DUNLIN GP	GROUP	\N	1356	29	\N	9999-12-31	2013-05-08
35/11-3 S	3528.000000	3538.000000	ETIVE FM	FORMATION	BRENT GP	1356	35	16	9999-12-31	2013-05-08
35/11-3 S	3096.000000	3431.000000	HEATHER FM	FORMATION	VIKING GP	1356	60	188	9999-12-31	2013-05-08
35/11-3 S	866.000000	1728.000000	HORDALAND GP	GROUP	\N	1356	67	\N	9999-12-31	2013-05-08
35/11-3 S	3794.000000	3895.000000	JOHANSEN FM	FORMATION	DUNLIN GP	1356	73	29	9999-12-31	2013-05-08
35/11-3 S	1871.000000	1905.000000	LISTA FM	FORMATION	ROGALAND GP	1356	95	131	9999-12-31	2013-05-08
35/11-3 S	1997.000000	2042.000000	LISTA FM	FORMATION	ROGALAND GP	1356	95	131	9999-12-31	2013-05-08
35/11-3 S	2803.000000	2821.000000	MIME FM	FORMATION	CROMER KNOLL GP	1356	106	23	9999-12-31	2013-05-08
35/11-3 S	3470.000000	3528.000000	NESS FM	FORMATION	BRENT GP	1356	110	16	9999-12-31	2013-05-08
35/11-3 S	1905.000000	1997.000000	NO FORMAL NAME	FORMATION	\N	1356	111	\N	9999-12-31	2013-05-08
35/11-3 S	383.000000	866.000000	NORDLAND GP	GROUP	\N	1356	113	\N	9999-12-31	2013-05-08
35/11-3 S	3573.000000	3640.000000	OSEBERG FM	FORMATION	BRENT GP	1356	123	16	9999-12-31	2013-05-08
35/11-3 S	3538.000000	3573.000000	RANNOCH FM	FORMATION	BRENT GP	1356	126	16	9999-12-31	2013-05-08
35/11-3 S	1728.000000	2063.000000	ROGALAND GP	GROUP	\N	1356	131	\N	9999-12-31	2013-05-08
35/11-3 S	2716.000000	2747.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1356	137	23	9999-12-31	2013-05-08
35/11-3 S	1786.000000	1871.000000	SELE FM	FORMATION	ROGALAND GP	1356	142	131	9999-12-31	2013-05-08
35/11-3 S	2063.000000	2716.000000	SHETLAND GP	GROUP	\N	1356	143	\N	9999-12-31	2013-05-08
35/11-3 S	3081.000000	3096.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1356	151	188	9999-12-31	2013-05-08
35/11-3 S	3930.000000	4040.000000	STATFJORD FM	FORMATION	\N	1356	157	\N	9999-12-31	2013-05-08
35/11-3 S	3431.000000	3470.000000	TARBERT FM	FORMATION	BRENT GP	1356	162	16	9999-12-31	2013-05-08
35/11-3 S	789.000000	866.000000	UTSIRA FM	FORMATION	NORDLAND GP	1356	183	113	9999-12-31	2013-05-08
35/11-3 S	2821.000000	3431.000000	VIKING GP	GROUP	\N	1356	188	\N	9999-12-31	2013-05-08
35/11-3 S	2042.000000	2063.000000	VÅLE FM	FORMATION	ROGALAND GP	1356	190	131	9999-12-31	2013-05-08
35/11-3 S	2747.000000	2803.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1356	198	23	9999-12-31	2013-05-08
35/11-3 S	3930.000000	4040.000000	NO GROUP DEFINED	GROUP	\N	1356	208	\N	9999-12-31	2013-05-08
33/12-7	3530.000000	3660.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1358	4	29	9999-12-31	2013-05-08
33/12-7	1784.000000	1861.000000	BALDER FM	FORMATION	ROGALAND GP	1358	6	131	9999-12-31	2013-05-08
33/12-7	3022.000000	3306.000000	BRENT GP	GROUP	\N	1358	16	\N	9999-12-31	2013-05-08
33/12-7	3296.000000	3306.000000	BROOM FM	FORMATION	BRENT GP	1358	17	16	9999-12-31	2013-05-08
33/12-7	3472.000000	3530.000000	BURTON FM	FORMATION	DUNLIN GP	1358	20	29	9999-12-31	2013-05-08
33/12-7	2920.000000	2927.000000	CROMER KNOLL GP	GROUP	\N	1358	23	\N	9999-12-31	2013-05-08
33/12-7	3387.000000	3472.000000	COOK FM	FORMATION	DUNLIN GP	1358	24	29	9999-12-31	2013-05-08
33/12-7	3306.000000	3387.000000	DRAKE FM	FORMATION	DUNLIN GP	1358	27	29	9999-12-31	2013-05-08
33/12-7	2927.000000	2976.000000	DRAUPNE FM	FORMATION	VIKING GP	1358	28	188	9999-12-31	2013-05-08
33/12-7	3306.000000	3660.000000	DUNLIN GP	GROUP	\N	1358	29	\N	9999-12-31	2013-05-08
33/12-7	3235.000000	3248.000000	ETIVE FM	FORMATION	BRENT GP	1358	35	16	9999-12-31	2013-05-08
33/12-7	2976.000000	3022.000000	HEATHER FM	FORMATION	VIKING GP	1358	60	188	9999-12-31	2013-05-08
33/12-7	946.000000	1784.000000	HORDALAND GP	GROUP	\N	1358	67	\N	9999-12-31	2013-05-08
33/12-7	163.000000	946.000000	NORDLAND GP	GROUP	\N	1358	113	\N	9999-12-31	2013-05-08
33/12-7	3248.000000	3296.000000	RANNOCH FM	FORMATION	BRENT GP	1358	126	16	9999-12-31	2013-05-08
33/12-7	1784.000000	2027.000000	ROGALAND GP	GROUP	\N	1358	131	\N	9999-12-31	2013-05-08
33/12-7	1861.000000	2007.000000	SELE FM	FORMATION	ROGALAND GP	1358	142	131	9999-12-31	2013-05-08
33/12-7	2027.000000	2920.000000	SHETLAND GP	GROUP	\N	1358	143	\N	9999-12-31	2013-05-08
33/12-7	3660.000000	3703.000000	STATFJORD FM	FORMATION	\N	1358	157	\N	9999-12-31	2013-05-08
33/12-7	3022.000000	3235.000000	TARBERT FM	FORMATION	BRENT GP	1358	162	16	9999-12-31	2013-05-08
33/12-7	861.000000	946.000000	UTSIRA FM	FORMATION	NORDLAND GP	1358	183	113	9999-12-31	2013-05-08
33/12-7	2927.000000	3022.000000	VIKING GP	GROUP	\N	1358	188	\N	9999-12-31	2013-05-08
33/12-7	2007.000000	2027.000000	VÅLE FM	FORMATION	ROGALAND GP	1358	190	131	9999-12-31	2013-05-08
33/12-7	3660.000000	3703.000000	NO GROUP DEFINED	GROUP	\N	1358	208	\N	9999-12-31	2013-05-08
6407/7-4	1150.000000	1735.000000	BRYGGE FM	FORMATION	HORDALAND GP	1360	18	67	9999-12-31	2013-05-08
6407/7-4	2896.000000	3211.000000	BÅT GP	GROUP	\N	1360	22	\N	9999-12-31	2013-05-08
6407/7-4	2631.000000	2844.000000	CROMER KNOLL GP	GROUP	\N	1360	23	\N	9999-12-31	2013-05-08
6407/7-4	2860.000000	2896.000000	FANGST GP	GROUP	\N	1360	38	\N	9999-12-31	2013-05-08
6407/7-4	1150.000000	1735.000000	HORDALAND GP	GROUP	\N	1360	67	\N	9999-12-31	2013-05-08
6407/7-4	2874.000000	2896.000000	ILE FM	FORMATION	FANGST GP	1360	70	38	9999-12-31	2013-05-08
6407/7-4	1094.000000	1150.000000	KAI FM	FORMATION	NORDLAND GP	1360	77	113	9999-12-31	2013-05-08
6407/7-4	2200.000000	2631.000000	KVITNOS FM	FORMATION	SHETLAND GP	1360	91	143	9999-12-31	2013-05-08
6407/7-4	2631.000000	2844.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1360	94	23	9999-12-31	2013-05-08
6407/7-4	2855.000000	2860.000000	MELKE FM	FORMATION	VIKING GP	1360	105	188	9999-12-31	2013-05-08
6407/7-4	352.000000	1094.000000	NAUST FM	FORMATION	NORDLAND GP	1360	109	113	9999-12-31	2013-05-08
6407/7-4	1999.000000	2200.000000	NISE FM	FORMATION	SHETLAND GP	1360	112	143	9999-12-31	2013-05-08
6407/7-4	352.000000	1150.000000	NORDLAND GP	GROUP	\N	1360	113	\N	9999-12-31	2013-05-08
6407/7-4	2860.000000	2874.000000	NOT FM	FORMATION	FANGST GP	1360	120	38	9999-12-31	2013-05-08
6407/7-4	1735.000000	1990.000000	ROGALAND GP	GROUP	\N	1360	131	\N	9999-12-31	2013-05-08
6407/7-4	2896.000000	2973.000000	ROR FM	FORMATION	BÅT GP	1360	135	22	9999-12-31	2013-05-08
6407/7-4	1990.000000	2631.000000	SHETLAND GP	GROUP	\N	1360	143	\N	9999-12-31	2013-05-08
6407/7-4	2844.000000	2855.000000	SPEKK FM	FORMATION	VIKING GP	1360	155	188	9999-12-31	2013-05-08
6407/7-4	1990.000000	1999.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1360	156	143	9999-12-31	2013-05-08
6407/7-4	1794.000000	1990.000000	TANG FM	FORMATION	ROGALAND GP	1360	161	131	9999-12-31	2013-05-08
6407/7-4	1735.000000	1794.000000	TARE FM	FORMATION	ROGALAND GP	1360	163	131	9999-12-31	2013-05-08
6407/7-4	2973.000000	3139.000000	TILJE FM	FORMATION	BÅT GP	1360	169	22	9999-12-31	2013-05-08
6407/7-4	2844.000000	2860.000000	VIKING GP	GROUP	\N	1360	188	\N	9999-12-31	2013-05-08
6407/7-4	3139.000000	3211.000000	ÅRE FM	FORMATION	BÅT GP	1360	197	22	9999-12-31	2013-05-08
2/4-15 S	3387.000000	3405.000000	SELE FM	FORMATION	ROGALAND GP	1371	142	131	9999-12-31	2013-05-08
34/10-33 A	1827.000000	1907.000000	BALDER FM	FORMATION	ROGALAND GP	1365	6	131	9999-12-31	2013-05-08
34/10-33 A	3347.000000	3851.000000	BRENT GP	GROUP	\N	1365	16	\N	9999-12-31	2013-05-08
34/10-33 A	3030.000000	3034.000000	CROMER KNOLL GP	GROUP	\N	1365	23	\N	9999-12-31	2013-05-08
34/10-33 A	3034.000000	3077.000000	DRAUPNE FM	FORMATION	VIKING GP	1365	28	188	9999-12-31	2013-05-08
34/10-33 A	3747.000000	3758.000000	ETIVE FM	FORMATION	BRENT GP	1365	35	16	9999-12-31	2013-05-08
34/10-33 A	3077.000000	3347.000000	HEATHER FM	FORMATION	VIKING GP	1365	60	188	9999-12-31	2013-05-08
34/10-33 A	980.000000	1827.000000	HORDALAND GP	GROUP	\N	1365	67	\N	9999-12-31	2013-05-08
34/10-33 A	2055.000000	2350.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1365	74	143	9999-12-31	2013-05-08
34/10-33 A	2350.000000	3030.000000	KYRRE FM	FORMATION	SHETLAND GP	1365	92	143	9999-12-31	2013-05-08
34/10-33 A	1907.000000	2055.000000	LISTA FM	FORMATION	ROGALAND GP	1365	95	131	9999-12-31	2013-05-08
34/10-33 A	3030.000000	3034.000000	MIME FM	FORMATION	CROMER KNOLL GP	1365	106	23	9999-12-31	2013-05-08
34/10-33 A	3451.000000	3747.000000	NESS FM	FORMATION	BRENT GP	1365	110	16	9999-12-31	2013-05-08
34/10-33 A	956.000000	980.000000	NO FORMAL NAME	FORMATION	\N	1365	111	\N	9999-12-31	2013-05-08
34/10-33 A	1035.000000	1145.000000	NO FORMAL NAME	FORMATION	\N	1365	111	\N	9999-12-31	2013-05-08
34/10-33 A	1145.000000	1253.000000	NO FORMAL NAME	FORMATION	\N	1365	111	\N	9999-12-31	2013-05-08
34/10-33 A	1253.000000	1520.000000	NO FORMAL NAME	FORMATION	\N	1365	111	\N	9999-12-31	2013-05-08
34/10-33 A	1520.000000	1568.000000	NO FORMAL NAME	FORMATION	\N	1365	111	\N	9999-12-31	2013-05-08
34/10-33 A	1568.000000	1616.000000	NO FORMAL NAME	FORMATION	\N	1365	111	\N	9999-12-31	2013-05-08
34/10-33 A	1616.000000	1827.000000	NO FORMAL NAME	FORMATION	\N	1365	111	\N	9999-12-31	2013-05-08
34/10-33 A	163.000000	980.000000	NORDLAND GP	GROUP	\N	1365	113	\N	9999-12-31	2013-05-08
34/10-33 A	3758.000000	3851.000000	RANNOCH FM	FORMATION	BRENT GP	1365	126	16	9999-12-31	2013-05-08
34/10-33 A	1827.000000	2055.000000	ROGALAND GP	GROUP	\N	1365	131	\N	9999-12-31	2013-05-08
34/10-33 A	2055.000000	3030.000000	SHETLAND GP	GROUP	\N	1365	143	\N	9999-12-31	2013-05-08
34/10-33 A	3347.000000	3451.000000	TARBERT FM	FORMATION	BRENT GP	1365	162	16	9999-12-31	2013-05-08
34/10-33 A	915.000000	956.000000	UTSIRA FM	FORMATION	NORDLAND GP	1365	183	113	9999-12-31	2013-05-08
34/10-33 A	3034.000000	3347.000000	VIKING GP	GROUP	\N	1365	188	\N	9999-12-31	2013-05-08
7120/1-2	1585.000000	2211.000000	ADVENTDALEN GP	GROUP	\N	1366	1	\N	9999-12-31	2013-05-08
7120/1-2	2506.000000	2630.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1366	46	79	9999-12-31	2013-05-08
7120/1-2	2158.000000	2211.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1366	47	1	9999-12-31	2013-05-08
7120/1-2	1984.000000	1986.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1366	63	1	9999-12-31	2013-05-08
7120/1-2	2138.000000	2158.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1366	63	1	9999-12-31	2013-05-08
7120/1-2	2211.000000	2630.000000	KAPP TOSCANA GP	GROUP	\N	1366	79	\N	9999-12-31	2013-05-08
7120/1-2	1878.000000	1984.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1366	82	1	9999-12-31	2013-05-08
7120/1-2	1826.000000	1878.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	1366	84	1	9999-12-31	2013-05-08
7120/1-2	1585.000000	1586.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1366	85	1	9999-12-31	2013-05-08
7120/1-2	1591.000000	1826.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1366	85	1	9999-12-31	2013-05-08
7120/1-2	1560.000000	1585.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	1366	89	122	9999-12-31	2013-05-08
7120/1-2	1586.000000	1591.000000	NO FORMAL NAME	FORMATION	\N	1366	111	\N	9999-12-31	2013-05-08
7120/1-2	1986.000000	2138.000000	NO FORMAL NAME	FORMATION	\N	1366	111	\N	9999-12-31	2013-05-08
7120/1-2	328.000000	408.000000	NORDLAND GP	GROUP	\N	1366	113	\N	9999-12-31	2013-05-08
7120/1-2	2365.000000	2452.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	1366	118	79	9999-12-31	2013-05-08
7120/1-2	1560.000000	1585.000000	NYGRUNNEN GP	GROUP	\N	1366	122	\N	9999-12-31	2013-05-08
7120/1-2	408.000000	1560.000000	SOTBAKKEN GP	GROUP	\N	1366	154	\N	9999-12-31	2013-05-08
7120/1-2	2211.000000	2365.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1366	159	79	9999-12-31	2013-05-08
7120/1-2	408.000000	1560.000000	TORSK FM	FORMATION	SOTBAKKEN GP	1366	172	154	9999-12-31	2013-05-08
7120/1-2	2452.000000	2506.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	1366	174	79	9999-12-31	2013-05-08
2/7-19	2987.000000	3004.000000	BALDER FM	FORMATION	ROGALAND GP	1367	6	131	9999-12-31	2013-05-08
2/7-19	4055.000000	4081.000000	BLODØKS FM	FORMATION	SHETLAND GP	1367	13	143	9999-12-31	2013-05-08
2/7-19	4810.000000	4840.000000	BRYNE FM	FORMATION	VESTLAND GP	1367	19	186	9999-12-31	2013-05-08
2/7-19	4212.000000	4586.000000	CROMER KNOLL GP	GROUP	\N	1367	23	\N	9999-12-31	2013-05-08
2/7-19	3130.000000	3188.000000	EKOFISK FM	FORMATION	SHETLAND GP	1367	33	143	9999-12-31	2013-05-08
2/7-19	4590.000000	4693.000000	FARSUND FM	FORMATION	TYNE GP	1367	39	177	9999-12-31	2013-05-08
2/7-19	4081.000000	4212.000000	HIDRA FM	FORMATION	SHETLAND GP	1367	65	143	9999-12-31	2013-05-08
2/7-19	3444.000000	4055.000000	HOD FM	FORMATION	SHETLAND GP	1367	66	143	9999-12-31	2013-05-08
2/7-19	1530.000000	2987.000000	HORDALAND GP	GROUP	\N	1367	67	\N	9999-12-31	2013-05-08
2/7-19	3027.000000	3069.000000	LISTA FM	FORMATION	ROGALAND GP	1367	95	131	9999-12-31	2013-05-08
2/7-19	4586.000000	4590.000000	MANDAL FM	FORMATION	TYNE GP	1367	101	177	9999-12-31	2013-05-08
2/7-19	98.000000	1530.000000	NORDLAND GP	GROUP	\N	1367	113	\N	9999-12-31	2013-05-08
2/7-19	2987.000000	3130.000000	ROGALAND GP	GROUP	\N	1367	131	\N	9999-12-31	2013-05-08
2/7-19	4212.000000	4328.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1367	137	23	9999-12-31	2013-05-08
2/7-19	3004.000000	3027.000000	SELE FM	FORMATION	ROGALAND GP	1367	142	131	9999-12-31	2013-05-08
2/7-19	3130.000000	4212.000000	SHETLAND GP	GROUP	\N	1367	143	\N	9999-12-31	2013-05-08
2/7-19	4328.000000	4468.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1367	152	23	9999-12-31	2013-05-08
2/7-19	3188.000000	3444.000000	TOR FM	FORMATION	SHETLAND GP	1367	171	143	9999-12-31	2013-05-08
2/7-19	4586.000000	4693.000000	TYNE GP	GROUP	\N	1367	177	\N	9999-12-31	2013-05-08
2/7-19	4693.000000	4810.000000	ULA FM	FORMATION	VESTLAND GP	1367	179	186	9999-12-31	2013-05-08
2/7-19	4693.000000	4840.000000	VESTLAND GP	GROUP	\N	1367	186	\N	9999-12-31	2013-05-08
2/7-19	3069.000000	3130.000000	VÅLE FM	FORMATION	ROGALAND GP	1367	190	131	9999-12-31	2013-05-08
2/7-19	4840.000000	4876.000000	ZECHSTEIN GP	GROUP	\N	1367	194	\N	9999-12-31	2013-05-08
2/7-19	4468.000000	4586.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1367	198	23	9999-12-31	2013-05-08
2/4-15 S	3368.000000	3387.000000	BALDER FM	FORMATION	ROGALAND GP	1371	6	131	9999-12-31	2013-05-08
2/4-15 S	4798.000000	4817.000000	BLODØKS FM	FORMATION	SHETLAND GP	1371	13	143	9999-12-31	2013-05-08
2/4-15 S	4890.000000	4958.000000	CROMER KNOLL GP	GROUP	\N	1371	23	\N	9999-12-31	2013-05-08
2/4-15 S	3558.000000	3692.000000	EKOFISK FM	FORMATION	SHETLAND GP	1371	33	143	9999-12-31	2013-05-08
2/4-15 S	4817.000000	4890.000000	HIDRA FM	FORMATION	SHETLAND GP	1371	65	143	9999-12-31	2013-05-08
2/4-15 S	4266.000000	4798.000000	HOD FM	FORMATION	SHETLAND GP	1371	66	143	9999-12-31	2013-05-08
2/4-15 S	1854.000000	3368.000000	HORDALAND GP	GROUP	\N	1371	67	\N	9999-12-31	2013-05-08
2/4-15 S	3405.000000	3456.000000	LISTA FM	FORMATION	ROGALAND GP	1371	95	131	9999-12-31	2013-05-08
2/4-15 S	3497.000000	3547.000000	LISTA FM	FORMATION	ROGALAND GP	1371	95	131	9999-12-31	2013-05-08
2/4-15 S	4958.000000	4962.000000	MANDAL FM	FORMATION	TYNE GP	1371	101	177	9999-12-31	2013-05-08
2/4-15 S	94.000000	1854.000000	NORDLAND GP	GROUP	\N	1371	113	\N	9999-12-31	2013-05-08
2/4-15 S	3368.000000	3558.000000	ROGALAND GP	GROUP	\N	1371	131	\N	9999-12-31	2013-05-08
2/4-15 S	3558.000000	4890.000000	SHETLAND GP	GROUP	\N	1371	143	\N	9999-12-31	2013-05-08
2/4-15 S	3692.000000	4266.000000	TOR FM	FORMATION	SHETLAND GP	1371	171	143	9999-12-31	2013-05-08
2/4-15 S	4958.000000	4962.000000	TYNE GP	GROUP	\N	1371	177	\N	9999-12-31	2013-05-08
2/4-15 S	3456.000000	3497.000000	VIDAR FM	FORMATION	ROGALAND GP	1371	187	131	9999-12-31	2013-05-08
2/4-15 S	3547.000000	3558.000000	VÅLE FM	FORMATION	ROGALAND GP	1371	190	131	9999-12-31	2013-05-08
35/9-1	588.000000	620.000000	BALDER FM	FORMATION	ROGALAND GP	1375	6	131	9999-12-31	2013-05-08
35/9-1	2314.000000	2350.000000	BASEMENT	GROUP	\N	1375	10	\N	9999-12-31	2013-05-08
35/9-1	2225.000000	2267.000000	BRENT GP	GROUP	\N	1375	16	\N	9999-12-31	2013-05-08
35/9-1	1967.000000	2037.000000	CROMER KNOLL GP	GROUP	\N	1375	23	\N	9999-12-31	2013-05-08
35/9-1	2267.000000	2312.000000	DUNLIN GP	GROUP	\N	1375	29	\N	9999-12-31	2013-05-08
35/9-1	2037.000000	2099.000000	FENSFJORD FM	FORMATION	VIKING GP	1375	40	188	9999-12-31	2013-05-08
35/9-1	2140.000000	2225.000000	HEATHER FM	FORMATION	VIKING GP	1375	60	188	9999-12-31	2013-05-08
35/9-1	1229.000000	1280.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1375	74	143	9999-12-31	2013-05-08
35/9-1	2099.000000	2140.000000	KROSSFJORD FM	FORMATION	VIKING GP	1375	87	188	9999-12-31	2013-05-08
35/9-1	1280.000000	1940.000000	KYRRE FM	FORMATION	SHETLAND GP	1375	92	143	9999-12-31	2013-05-08
35/9-1	658.000000	823.000000	LISTA FM	FORMATION	ROGALAND GP	1375	95	131	9999-12-31	2013-05-08
35/9-1	863.000000	1211.000000	LISTA FM	FORMATION	ROGALAND GP	1375	95	131	9999-12-31	2013-05-08
35/9-1	2225.000000	2250.000000	NESS FM	FORMATION	BRENT GP	1375	110	16	9999-12-31	2013-05-08
35/9-1	823.000000	863.000000	NO FORMAL NAME	FORMATION	\N	1375	111	\N	9999-12-31	2013-05-08
35/9-1	384.000000	588.000000	NORDLAND GP	GROUP	\N	1375	113	\N	9999-12-31	2013-05-08
35/9-1	2250.000000	2267.000000	RANNOCH FM	FORMATION	BRENT GP	1375	126	16	9999-12-31	2013-05-08
35/9-1	588.000000	1229.000000	ROGALAND GP	GROUP	\N	1375	131	\N	9999-12-31	2013-05-08
35/9-1	1967.000000	2013.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1375	137	23	9999-12-31	2013-05-08
35/9-1	620.000000	658.000000	SELE FM	FORMATION	ROGALAND GP	1375	142	131	9999-12-31	2013-05-08
35/9-1	1229.000000	1967.000000	SHETLAND GP	GROUP	\N	1375	143	\N	9999-12-31	2013-05-08
35/9-1	2312.000000	2314.000000	STATFJORD FM	FORMATION	\N	1375	157	\N	9999-12-31	2013-05-08
35/9-1	1940.000000	1967.000000	SVARTE FM	FORMATION	SHETLAND GP	1375	160	143	9999-12-31	2013-05-08
35/9-1	2037.000000	2225.000000	VIKING GP	GROUP	\N	1375	188	\N	9999-12-31	2013-05-08
35/9-1	1211.000000	1229.000000	VÅLE FM	FORMATION	ROGALAND GP	1375	190	131	9999-12-31	2013-05-08
35/9-1	2013.000000	2037.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1375	198	23	9999-12-31	2013-05-08
35/9-1	2312.000000	2314.000000	NO GROUP DEFINED	GROUP	\N	1375	208	\N	9999-12-31	2013-05-08
1/2-1	3059.000000	3121.000000	BALDER FM	FORMATION	ROGALAND GP	1382	6	131	9999-12-31	2013-05-08
1/2-1	3407.000000	3514.000000	EKOFISK FM	FORMATION	SHETLAND GP	1382	33	143	9999-12-31	2013-05-08
1/2-1	3121.000000	3275.000000	FORTIES FM	FORMATION	ROGALAND GP	1382	44	131	9999-12-31	2013-05-08
1/2-1	1777.000000	3059.000000	HORDALAND GP	GROUP	\N	1382	67	\N	9999-12-31	2013-05-08
1/2-1	3275.000000	3335.000000	LISTA FM	FORMATION	ROGALAND GP	1382	95	131	9999-12-31	2013-05-08
1/2-1	3335.000000	3407.000000	MAUREEN FM	FORMATION	ROGALAND GP	1382	102	131	9999-12-31	2013-05-08
1/2-1	94.000000	1777.000000	NORDLAND GP	GROUP	\N	1382	113	\N	9999-12-31	2013-05-08
1/2-1	3059.000000	3407.000000	ROGALAND GP	GROUP	\N	1382	131	\N	9999-12-31	2013-05-08
1/2-1	3407.000000	3574.000000	SHETLAND GP	GROUP	\N	1382	143	\N	9999-12-31	2013-05-08
1/2-1	3514.000000	3574.000000	TOR FM	FORMATION	SHETLAND GP	1382	171	143	9999-12-31	2013-05-08
2/8-13	1766.000000	1773.000000	EKOFISK FM	FORMATION	SHETLAND GP	1383	33	143	9999-12-31	2013-05-08
2/8-13	1215.000000	1760.000000	HORDALAND GP	GROUP	\N	1383	67	\N	9999-12-31	2013-05-08
2/8-13	1760.000000	1763.000000	LISTA FM	FORMATION	ROGALAND GP	1383	95	131	9999-12-31	2013-05-08
2/8-13	94.000000	1215.000000	NORDLAND GP	GROUP	\N	1383	113	\N	9999-12-31	2013-05-08
2/8-13	1760.000000	1766.000000	ROGALAND GP	GROUP	\N	1383	131	\N	9999-12-31	2013-05-08
2/8-13	1766.000000	1775.000000	SHETLAND GP	GROUP	\N	1383	143	\N	9999-12-31	2013-05-08
2/8-13	1773.000000	1775.000000	TOR FM	FORMATION	SHETLAND GP	1383	171	143	9999-12-31	2013-05-08
2/8-13	730.000000	1215.000000	UTSIRA FM	FORMATION	NORDLAND GP	1383	183	113	9999-12-31	2013-05-08
2/8-13	1763.000000	1766.000000	VÅLE FM	FORMATION	ROGALAND GP	1383	190	131	9999-12-31	2013-05-08
2/8-13	1775.000000	1940.000000	ZECHSTEIN GP	GROUP	\N	1383	194	\N	9999-12-31	2013-05-08
34/10-33 C	1821.000000	1897.000000	BALDER FM	FORMATION	ROGALAND GP	1384	6	131	9999-12-31	2013-05-08
34/10-33 C	3215.000000	3722.000000	BRENT GP	GROUP	\N	1384	16	\N	9999-12-31	2013-05-08
34/10-33 C	3008.000000	3012.000000	CROMER KNOLL GP	GROUP	\N	1384	23	\N	9999-12-31	2013-05-08
34/10-33 C	3722.000000	3752.000000	DRAKE FM	FORMATION	DUNLIN GP	1384	27	29	9999-12-31	2013-05-08
34/10-33 C	3012.000000	3045.000000	DRAUPNE FM	FORMATION	VIKING GP	1384	28	188	9999-12-31	2013-05-08
34/10-33 C	3722.000000	3752.000000	DUNLIN GP	GROUP	\N	1384	29	\N	9999-12-31	2013-05-08
34/10-33 C	3601.000000	3617.000000	ETIVE FM	FORMATION	BRENT GP	1384	35	16	9999-12-31	2013-05-08
34/10-33 C	3045.000000	3215.000000	HEATHER FM	FORMATION	VIKING GP	1384	60	188	9999-12-31	2013-05-08
34/10-33 C	974.000000	1821.000000	HORDALAND GP	GROUP	\N	1384	67	\N	9999-12-31	2013-05-08
34/10-33 C	2048.000000	2340.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1384	74	143	9999-12-31	2013-05-08
34/10-33 C	2340.000000	3008.000000	KYRRE FM	FORMATION	SHETLAND GP	1384	92	143	9999-12-31	2013-05-08
34/10-33 C	1897.000000	2048.000000	LISTA FM	FORMATION	ROGALAND GP	1384	95	131	9999-12-31	2013-05-08
34/10-33 C	3008.000000	3012.000000	MIME FM	FORMATION	CROMER KNOLL GP	1384	106	23	9999-12-31	2013-05-08
34/10-33 C	3345.000000	3601.000000	NESS FM	FORMATION	BRENT GP	1384	110	16	9999-12-31	2013-05-08
34/10-33 C	950.000000	974.000000	NO FORMAL NAME	FORMATION	\N	1384	111	\N	9999-12-31	2013-05-08
34/10-33 C	1029.000000	1139.000000	NO FORMAL NAME	FORMATION	\N	1384	111	\N	9999-12-31	2013-05-08
34/10-33 C	1139.000000	1247.000000	NO FORMAL NAME	FORMATION	\N	1384	111	\N	9999-12-31	2013-05-08
34/10-33 C	1247.000000	1514.000000	NO FORMAL NAME	FORMATION	\N	1384	111	\N	9999-12-31	2013-05-08
34/10-33 C	1514.000000	1562.000000	NO FORMAL NAME	FORMATION	\N	1384	111	\N	9999-12-31	2013-05-08
34/10-33 C	1562.000000	1610.000000	NO FORMAL NAME	FORMATION	\N	1384	111	\N	9999-12-31	2013-05-08
34/10-33 C	1610.000000	1821.000000	NO FORMAL NAME	FORMATION	\N	1384	111	\N	9999-12-31	2013-05-08
34/10-33 C	157.000000	974.000000	NORDLAND GP	GROUP	\N	1384	113	\N	9999-12-31	2013-05-08
34/10-33 C	3617.000000	3722.000000	RANNOCH FM	FORMATION	BRENT GP	1384	126	16	9999-12-31	2013-05-08
34/10-33 C	1821.000000	2048.000000	ROGALAND GP	GROUP	\N	1384	131	\N	9999-12-31	2013-05-08
34/10-33 C	2048.000000	3008.000000	SHETLAND GP	GROUP	\N	1384	143	\N	9999-12-31	2013-05-08
34/10-33 C	3215.000000	3345.000000	TARBERT FM	FORMATION	BRENT GP	1384	162	16	9999-12-31	2013-05-08
34/10-33 C	909.000000	950.000000	UTSIRA FM	FORMATION	NORDLAND GP	1384	183	113	9999-12-31	2013-05-08
34/10-33 C	3012.000000	3215.000000	VIKING GP	GROUP	\N	1384	188	\N	9999-12-31	2013-05-08
6608/10-1	1490.000000	1865.000000	BRYGGE FM	FORMATION	HORDALAND GP	1391	18	67	9999-12-31	2013-05-08
6608/10-1	3164.000000	3437.000000	BÅT GP	GROUP	\N	1391	22	\N	9999-12-31	2013-05-08
6608/10-1	2661.000000	2920.000000	CROMER KNOLL GP	GROUP	\N	1391	23	\N	9999-12-31	2013-05-08
6608/10-1	3061.000000	3164.000000	FANGST GP	GROUP	\N	1391	38	\N	9999-12-31	2013-05-08
6608/10-1	3061.000000	3127.000000	GARN FM	FORMATION	FANGST GP	1391	48	38	9999-12-31	2013-05-08
6608/10-1	1490.000000	1865.000000	HORDALAND GP	GROUP	\N	1391	67	\N	9999-12-31	2013-05-08
6608/10-1	3153.000000	3164.000000	ILE FM	FORMATION	FANGST GP	1391	70	38	9999-12-31	2013-05-08
6608/10-1	1409.000000	1490.000000	KAI FM	FORMATION	NORDLAND GP	1391	77	113	9999-12-31	2013-05-08
6608/10-1	2548.000000	2661.000000	KVITNOS FM	FORMATION	SHETLAND GP	1391	91	143	9999-12-31	2013-05-08
6608/10-1	2663.000000	2920.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1391	94	23	9999-12-31	2013-05-08
6608/10-1	2661.000000	2663.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1391	99	23	9999-12-31	2013-05-08
6608/10-1	2937.000000	3061.000000	MELKE FM	FORMATION	VIKING GP	1391	105	188	9999-12-31	2013-05-08
6608/10-1	399.000000	1409.000000	NAUST FM	FORMATION	NORDLAND GP	1391	109	113	9999-12-31	2013-05-08
6608/10-1	2928.000000	2934.000000	NO FORMAL NAME	FORMATION	\N	1391	111	\N	9999-12-31	2013-05-08
6608/10-1	2072.000000	2548.000000	NISE FM	FORMATION	SHETLAND GP	1391	112	143	9999-12-31	2013-05-08
6608/10-1	399.000000	1490.000000	NORDLAND GP	GROUP	\N	1391	113	\N	9999-12-31	2013-05-08
6608/10-1	3127.000000	3153.000000	NOT FM	FORMATION	FANGST GP	1391	120	38	9999-12-31	2013-05-08
6608/10-1	1865.000000	1954.000000	ROGALAND GP	GROUP	\N	1391	131	\N	9999-12-31	2013-05-08
6608/10-1	3164.000000	3177.000000	ROR FM	FORMATION	BÅT GP	1391	135	22	9999-12-31	2013-05-08
6608/10-1	1954.000000	2661.000000	SHETLAND GP	GROUP	\N	1391	143	\N	9999-12-31	2013-05-08
6608/10-1	2920.000000	2928.000000	SPEKK FM	FORMATION	VIKING GP	1391	155	188	9999-12-31	2013-05-08
6608/10-1	2934.000000	2937.000000	SPEKK FM	FORMATION	VIKING GP	1391	155	188	9999-12-31	2013-05-08
6608/10-1	1954.000000	2072.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1391	156	143	9999-12-31	2013-05-08
6608/10-1	1928.000000	1954.000000	TANG FM	FORMATION	ROGALAND GP	1391	161	131	9999-12-31	2013-05-08
6608/10-1	1865.000000	1928.000000	TARE FM	FORMATION	ROGALAND GP	1391	163	131	9999-12-31	2013-05-08
6608/10-1	3177.000000	3218.000000	TOFTE FM	FORMATION	BÅT GP	1391	170	22	9999-12-31	2013-05-08
6608/10-1	2920.000000	3061.000000	VIKING GP	GROUP	\N	1391	188	\N	9999-12-31	2013-05-08
6608/10-1	3218.000000	3437.000000	ÅRE FM	FORMATION	BÅT GP	1391	197	22	9999-12-31	2013-05-08
2/7-21 S	3065.000000	3086.000000	BALDER FM	FORMATION	ROGALAND GP	1394	6	131	9999-12-31	2013-05-08
2/7-21 S	4159.000000	4165.000000	BLODØKS FM	FORMATION	SHETLAND GP	1394	13	143	9999-12-31	2013-05-08
2/7-21 S	4202.000000	4300.000000	CROMER KNOLL GP	GROUP	\N	1394	23	\N	9999-12-31	2013-05-08
2/7-21 S	3231.000000	3318.000000	EKOFISK FM	FORMATION	SHETLAND GP	1394	33	143	9999-12-31	2013-05-08
2/7-21 S	4165.000000	4202.000000	HIDRA FM	FORMATION	SHETLAND GP	1394	65	143	9999-12-31	2013-05-08
2/7-21 S	3600.000000	4159.000000	HOD FM	FORMATION	SHETLAND GP	1394	66	143	9999-12-31	2013-05-08
2/7-21 S	1599.000000	3065.000000	HORDALAND GP	GROUP	\N	1394	67	\N	9999-12-31	2013-05-08
2/7-21 S	3139.000000	3197.000000	LISTA FM	FORMATION	ROGALAND GP	1394	95	131	9999-12-31	2013-05-08
2/7-21 S	93.000000	1599.000000	NORDLAND GP	GROUP	\N	1394	113	\N	9999-12-31	2013-05-08
2/7-21 S	3065.000000	3231.000000	ROGALAND GP	GROUP	\N	1394	131	\N	9999-12-31	2013-05-08
2/7-21 S	4202.000000	4300.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1394	137	23	9999-12-31	2013-05-08
2/7-21 S	3086.000000	3139.000000	SELE FM	FORMATION	ROGALAND GP	1394	142	131	9999-12-31	2013-05-08
2/7-21 S	3231.000000	4202.000000	SHETLAND GP	GROUP	\N	1394	143	\N	9999-12-31	2013-05-08
2/7-21 S	3318.000000	3600.000000	TOR FM	FORMATION	SHETLAND GP	1394	171	143	9999-12-31	2013-05-08
2/7-21 S	3197.000000	3231.000000	VÅLE FM	FORMATION	ROGALAND GP	1394	190	131	9999-12-31	2013-05-08
2/7-21 S	4300.000000	5038.000000	NO GROUP DEFINED	GROUP	\N	1394	208	\N	9999-12-31	2013-05-08
25/1-7 R3	2177.000000	2182.000000	BALDER FM	FORMATION	ROGALAND GP	1395	6	131	9999-12-31	2013-05-08
25/1-7 R3	2212.000000	2287.000000	BALDER FM	FORMATION	ROGALAND GP	1395	6	131	9999-12-31	2013-05-08
25/1-7 R3	2182.000000	2212.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1395	7	131	9999-12-31	2013-05-08
25/1-7 R3	1916.000000	2177.000000	FRIGG FM	FORMATION	HORDALAND GP	1395	45	67	9999-12-31	2013-05-08
25/1-7 R3	2287.000000	2436.000000	HERMOD FM	FORMATION	ROGALAND GP	1395	64	131	9999-12-31	2013-05-08
25/1-7 R3	743.000000	2177.000000	HORDALAND GP	GROUP	\N	1395	67	\N	9999-12-31	2013-05-08
25/1-7 R3	2707.000000	2716.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1395	74	143	9999-12-31	2013-05-08
25/1-7 R3	2436.000000	2677.000000	LISTA FM	FORMATION	ROGALAND GP	1395	95	131	9999-12-31	2013-05-08
25/1-7 R3	123.000000	743.000000	NORDLAND GP	GROUP	\N	1395	113	\N	9999-12-31	2013-05-08
25/1-7 R3	2177.000000	2707.000000	ROGALAND GP	GROUP	\N	1395	131	\N	9999-12-31	2013-05-08
25/1-7 R3	2707.000000	2716.000000	SHETLAND GP	GROUP	\N	1395	143	\N	9999-12-31	2013-05-08
25/1-7 R3	2677.000000	2707.000000	VÅLE FM	FORMATION	ROGALAND GP	1395	190	131	9999-12-31	2013-05-08
25/1-8 SR3	2229.000000	2234.000000	BALDER FM	FORMATION	ROGALAND GP	1396	6	131	9999-12-31	2013-05-08
25/1-8 SR3	2247.000000	2326.000000	BALDER FM	FORMATION	ROGALAND GP	1396	6	131	9999-12-31	2013-05-08
25/1-8 SR3	2234.000000	2247.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1396	7	131	9999-12-31	2013-05-08
25/1-8 SR3	1927.000000	2229.000000	FRIGG FM	FORMATION	HORDALAND GP	1396	45	67	9999-12-31	2013-05-08
25/1-8 SR3	2326.000000	2529.000000	HERMOD FM	FORMATION	ROGALAND GP	1396	64	131	9999-12-31	2013-05-08
25/1-8 SR3	731.000000	2229.000000	HORDALAND GP	GROUP	\N	1396	67	\N	9999-12-31	2013-05-08
25/1-8 SR3	2529.000000	2647.000000	LISTA FM	FORMATION	ROGALAND GP	1396	95	131	9999-12-31	2013-05-08
25/1-8 SR3	124.000000	731.000000	NORDLAND GP	GROUP	\N	1396	113	\N	9999-12-31	2013-05-08
25/1-8 SR3	2229.000000	2647.000000	ROGALAND GP	GROUP	\N	1396	131	\N	9999-12-31	2013-05-08
34/10-33 B	1821.000000	1897.000000	BALDER FM	FORMATION	ROGALAND GP	1407	6	131	9999-12-31	2013-05-08
34/10-33 B	3215.000000	3942.000000	BRENT GP	GROUP	\N	1407	16	\N	9999-12-31	2013-05-08
34/10-33 B	3008.000000	3012.000000	CROMER KNOLL GP	GROUP	\N	1407	23	\N	9999-12-31	2013-05-08
34/10-33 B	3012.000000	3045.000000	DRAUPNE FM	FORMATION	VIKING GP	1407	28	188	9999-12-31	2013-05-08
34/10-33 B	3045.000000	3215.000000	HEATHER FM	FORMATION	VIKING GP	1407	60	188	9999-12-31	2013-05-08
34/10-33 B	3897.000000	3942.000000	HEATHER FM	FORMATION	VIKING GP	1407	60	188	9999-12-31	2013-05-08
34/10-33 B	974.000000	1821.000000	HORDALAND GP	GROUP	\N	1407	67	\N	9999-12-31	2013-05-08
34/10-33 B	2048.000000	2340.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1407	74	143	9999-12-31	2013-05-08
34/10-33 B	2340.000000	3008.000000	KYRRE FM	FORMATION	SHETLAND GP	1407	92	143	9999-12-31	2013-05-08
34/10-33 B	1897.000000	2048.000000	LISTA FM	FORMATION	ROGALAND GP	1407	95	131	9999-12-31	2013-05-08
34/10-33 B	3008.000000	3012.000000	MIME FM	FORMATION	CROMER KNOLL GP	1407	106	23	9999-12-31	2013-05-08
34/10-33 B	3353.000000	3679.000000	NESS FM	FORMATION	BRENT GP	1407	110	16	9999-12-31	2013-05-08
34/10-33 B	950.000000	974.000000	NO FORMAL NAME	FORMATION	\N	1407	111	\N	9999-12-31	2013-05-08
34/10-33 B	1029.000000	1139.000000	NO FORMAL NAME	FORMATION	\N	1407	111	\N	9999-12-31	2013-05-08
34/10-33 B	1139.000000	1247.000000	NO FORMAL NAME	FORMATION	\N	1407	111	\N	9999-12-31	2013-05-08
34/10-33 B	1247.000000	1513.000000	NO FORMAL NAME	FORMATION	\N	1407	111	\N	9999-12-31	2013-05-08
34/10-33 B	1513.000000	1562.000000	NO FORMAL NAME	FORMATION	\N	1407	111	\N	9999-12-31	2013-05-08
34/10-33 B	1562.000000	1610.000000	NO FORMAL NAME	FORMATION	\N	1407	111	\N	9999-12-31	2013-05-08
34/10-33 B	1610.000000	1821.000000	NO FORMAL NAME	FORMATION	\N	1407	111	\N	9999-12-31	2013-05-08
34/10-33 B	157.000000	974.000000	NORDLAND GP	GROUP	\N	1407	113	\N	9999-12-31	2013-05-08
34/10-33 B	1821.000000	2048.000000	ROGALAND GP	GROUP	\N	1407	131	\N	9999-12-31	2013-05-08
34/10-33 B	2048.000000	3008.000000	SHETLAND GP	GROUP	\N	1407	143	\N	9999-12-31	2013-05-08
34/10-33 B	3215.000000	3353.000000	TARBERT FM	FORMATION	BRENT GP	1407	162	16	9999-12-31	2013-05-08
34/10-33 B	3679.000000	3897.000000	TARBERT FM	FORMATION	BRENT GP	1407	162	16	9999-12-31	2013-05-08
34/10-33 B	909.000000	950.000000	UTSIRA FM	FORMATION	NORDLAND GP	1407	183	113	9999-12-31	2013-05-08
34/10-33 B	3012.000000	3215.000000	VIKING GP	GROUP	\N	1407	188	\N	9999-12-31	2013-05-08
7324/10-1	480.000000	569.000000	ADVENTDALEN GP	GROUP	\N	1411	1	\N	9999-12-31	2013-05-08
7324/10-1	577.000000	606.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1411	46	79	9999-12-31	2013-05-08
7324/10-1	561.000000	569.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1411	47	1	9999-12-31	2013-05-08
7324/10-1	2512.000000	2919.000000	HAVERT FM	FORMATION	SASSENDALEN GP	1411	58	140	9999-12-31	2013-05-08
7324/10-1	569.000000	1607.000000	KAPP TOSCANA GP	GROUP	\N	1411	79	\N	9999-12-31	2013-05-08
7324/10-1	2272.000000	2512.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	1411	80	140	9999-12-31	2013-05-08
7324/10-1	553.000000	561.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1411	82	1	9999-12-31	2013-05-08
7324/10-1	1607.000000	2272.000000	KOBBE FM	FORMATION	SASSENDALEN GP	1411	83	140	9999-12-31	2013-05-08
7324/10-1	480.000000	553.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1411	85	1	9999-12-31	2013-05-08
7324/10-1	431.000000	480.000000	NORDLAND GP	GROUP	\N	1411	113	\N	9999-12-31	2013-05-08
7324/10-1	1607.000000	2919.000000	SASSENDALEN GP	GROUP	\N	1411	140	\N	9999-12-31	2013-05-08
7324/10-1	606.000000	1607.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1411	150	79	9999-12-31	2013-05-08
7324/10-1	569.000000	577.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1411	159	79	9999-12-31	2013-05-08
16/3-3	1307.000000	1344.000000	BALDER FM	FORMATION	ROGALAND GP	1415	6	131	9999-12-31	2013-05-08
16/3-3	777.000000	1307.000000	HORDALAND GP	GROUP	\N	1415	67	\N	9999-12-31	2013-05-08
16/3-3	1376.000000	1475.000000	LISTA FM	FORMATION	ROGALAND GP	1415	95	131	9999-12-31	2013-05-08
16/3-3	147.000000	777.000000	NORDLAND GP	GROUP	\N	1415	113	\N	9999-12-31	2013-05-08
16/3-3	1307.000000	1488.000000	ROGALAND GP	GROUP	\N	1415	131	\N	9999-12-31	2013-05-08
16/3-3	1344.000000	1376.000000	SELE FM	FORMATION	ROGALAND GP	1415	142	131	9999-12-31	2013-05-08
16/3-3	1488.000000	1566.000000	SHETLAND GP	GROUP	\N	1415	143	\N	9999-12-31	2013-05-08
16/3-3	1488.000000	1566.000000	TOR FM	FORMATION	SHETLAND GP	1415	171	143	9999-12-31	2013-05-08
16/3-3	1475.000000	1488.000000	VÅLE FM	FORMATION	ROGALAND GP	1415	190	131	9999-12-31	2013-05-08
2/12-2 S	3299.000000	3313.000000	BALDER FM	FORMATION	ROGALAND GP	1416	6	131	9999-12-31	2013-05-08
2/12-2 S	4184.000000	4187.000000	BLODØKS FM	FORMATION	SHETLAND GP	1416	13	143	9999-12-31	2013-05-08
2/12-2 S	4215.000000	4325.000000	CROMER KNOLL GP	GROUP	\N	1416	23	\N	9999-12-31	2013-05-08
2/12-2 S	3429.000000	3446.000000	EKOFISK FM	FORMATION	SHETLAND GP	1416	33	143	9999-12-31	2013-05-08
2/12-2 S	4355.000000	5175.000000	FARSUND FM	FORMATION	TYNE GP	1416	39	177	9999-12-31	2013-05-08
2/12-2 S	5175.000000	5537.000000	HAUGESUND FM	FORMATION	TYNE GP	1416	57	177	9999-12-31	2013-05-08
2/12-2 S	4187.000000	4215.000000	HIDRA FM	FORMATION	SHETLAND GP	1416	65	143	9999-12-31	2013-05-08
2/12-2 S	3910.000000	4184.000000	HOD FM	FORMATION	SHETLAND GP	1416	66	143	9999-12-31	2013-05-08
2/12-2 S	1730.000000	3299.000000	HORDALAND GP	GROUP	\N	1416	67	\N	9999-12-31	2013-05-08
2/12-2 S	3363.000000	3419.000000	LISTA FM	FORMATION	ROGALAND GP	1416	95	131	9999-12-31	2013-05-08
2/12-2 S	4325.000000	4355.000000	MANDAL FM	FORMATION	TYNE GP	1416	101	177	9999-12-31	2013-05-08
2/12-2 S	93.000000	1730.000000	NORDLAND GP	GROUP	\N	1416	113	\N	9999-12-31	2013-05-08
2/12-2 S	3299.000000	3429.000000	ROGALAND GP	GROUP	\N	1416	131	\N	9999-12-31	2013-05-08
2/12-2 S	4215.000000	4232.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1416	137	23	9999-12-31	2013-05-08
2/12-2 S	3313.000000	3363.000000	SELE FM	FORMATION	ROGALAND GP	1416	142	131	9999-12-31	2013-05-08
2/12-2 S	3429.000000	4215.000000	SHETLAND GP	GROUP	\N	1416	143	\N	9999-12-31	2013-05-08
2/12-2 S	5537.000000	5757.000000	SMITH BANK FM	FORMATION	HEGRE GP	1416	149	61	9999-12-31	2013-05-08
2/12-2 S	4232.000000	4253.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1416	152	23	9999-12-31	2013-05-08
2/12-2 S	3446.000000	3910.000000	TOR FM	FORMATION	SHETLAND GP	1416	171	143	9999-12-31	2013-05-08
2/12-2 S	4253.000000	4282.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1416	175	23	9999-12-31	2013-05-08
2/12-2 S	4325.000000	5537.000000	TYNE GP	GROUP	\N	1416	177	\N	9999-12-31	2013-05-08
2/12-2 S	3419.000000	3429.000000	VÅLE FM	FORMATION	ROGALAND GP	1416	190	131	9999-12-31	2013-05-08
2/12-2 S	4282.000000	4325.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1416	198	23	9999-12-31	2013-05-08
2/12-2 S	5537.000000	5757.000000	NO GROUP DEFINED	GROUP	\N	1416	208	\N	9999-12-31	2013-05-08
25/3-1	2159.000000	2253.000000	BALDER FM	FORMATION	ROGALAND GP	1419	6	131	9999-12-31	2013-05-08
25/3-1	2836.000000	3016.000000	CROMER KNOLL GP	GROUP	\N	1419	23	\N	9999-12-31	2013-05-08
25/3-1	3016.000000	3043.000000	DRAUPNE FM	FORMATION	VIKING GP	1419	28	188	9999-12-31	2013-05-08
25/3-1	3334.000000	3870.000000	DUNLIN GP	GROUP	\N	1419	29	\N	9999-12-31	2013-05-08
25/3-1	2127.000000	2159.000000	FRIGG FM	FORMATION	HORDALAND GP	1419	45	67	9999-12-31	2013-05-08
25/3-1	3043.000000	3107.000000	HEATHER FM	FORMATION	VIKING GP	1419	60	188	9999-12-31	2013-05-08
25/3-1	1036.000000	2159.000000	HORDALAND GP	GROUP	\N	1419	67	\N	9999-12-31	2013-05-08
25/3-1	3107.000000	3120.000000	HUGIN FM	FORMATION	VESTLAND GP	1419	69	186	9999-12-31	2013-05-08
25/3-1	2314.000000	2414.000000	LISTA FM	FORMATION	ROGALAND GP	1419	95	131	9999-12-31	2013-05-08
25/3-1	136.000000	1036.000000	NORDLAND GP	GROUP	\N	1419	113	\N	9999-12-31	2013-05-08
25/3-1	2159.000000	2704.000000	ROGALAND GP	GROUP	\N	1419	131	\N	9999-12-31	2013-05-08
25/3-1	2253.000000	2314.000000	SELE FM	FORMATION	ROGALAND GP	1419	142	131	9999-12-31	2013-05-08
25/3-1	2704.000000	2836.000000	SHETLAND GP	GROUP	\N	1419	143	\N	9999-12-31	2013-05-08
25/3-1	3120.000000	3334.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1419	148	186	9999-12-31	2013-05-08
25/3-1	3870.000000	3922.000000	STATFJORD FM	FORMATION	\N	1419	157	\N	9999-12-31	2013-05-08
25/3-1	3107.000000	3334.000000	VESTLAND GP	GROUP	\N	1419	186	\N	9999-12-31	2013-05-08
25/3-1	3016.000000	3107.000000	VIKING GP	GROUP	\N	1419	188	\N	9999-12-31	2013-05-08
25/3-1	2414.000000	2704.000000	VÅLE FM	FORMATION	ROGALAND GP	1419	190	131	9999-12-31	2013-05-08
25/3-1	3870.000000	3922.000000	NO GROUP DEFINED	GROUP	\N	1419	208	\N	9999-12-31	2013-05-08
30/9-8	890.000000	1060.000000	HORDALAND GP	GROUP	\N	1421	67	\N	9999-12-31	2013-05-08
30/9-8	127.000000	890.000000	NORDLAND GP	GROUP	\N	1421	113	\N	9999-12-31	2013-05-08
30/9-8	602.000000	890.000000	UTSIRA FM	FORMATION	NORDLAND GP	1421	183	113	9999-12-31	2013-05-08
2/4-14 R	3154.000000	3174.000000	BALDER FM	FORMATION	ROGALAND GP	1440	6	131	9999-12-31	2013-05-08
2/4-14 R	4554.000000	4573.000000	BLODØKS FM	FORMATION	SHETLAND GP	1440	13	143	9999-12-31	2013-05-08
2/4-14 R	4646.000000	4714.000000	CROMER KNOLL GP	GROUP	\N	1440	23	\N	9999-12-31	2013-05-08
2/4-14 R	3330.000000	3455.000000	EKOFISK FM	FORMATION	SHETLAND GP	1440	33	143	9999-12-31	2013-05-08
2/4-14 R	4573.000000	4646.000000	HIDRA FM	FORMATION	SHETLAND GP	1440	65	143	9999-12-31	2013-05-08
2/4-14 R	4022.000000	4554.000000	HOD FM	FORMATION	SHETLAND GP	1440	66	143	9999-12-31	2013-05-08
2/4-14 R	1778.000000	3154.000000	HORDALAND GP	GROUP	\N	1440	67	\N	9999-12-31	2013-05-08
2/4-14 R	3188.000000	3229.000000	LISTA FM	FORMATION	ROGALAND GP	1440	95	131	9999-12-31	2013-05-08
2/4-14 R	3274.000000	3319.000000	LISTA FM	FORMATION	ROGALAND GP	1440	95	131	9999-12-31	2013-05-08
2/4-14 R	4714.000000	4741.000000	MANDAL FM	FORMATION	TYNE GP	1440	101	177	9999-12-31	2013-05-08
2/4-14 R	106.000000	1778.000000	NORDLAND GP	GROUP	\N	1440	113	\N	9999-12-31	2013-05-08
2/4-14 R	3154.000000	3330.000000	ROGALAND GP	GROUP	\N	1440	131	\N	9999-12-31	2013-05-08
2/4-14 R	4646.000000	4666.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1440	137	23	9999-12-31	2013-05-08
2/4-14 R	3174.000000	3188.000000	SELE FM	FORMATION	ROGALAND GP	1440	142	131	9999-12-31	2013-05-08
2/4-14 R	3330.000000	4646.000000	SHETLAND GP	GROUP	\N	1440	143	\N	9999-12-31	2013-05-08
2/4-14 R	3455.000000	4022.000000	TOR FM	FORMATION	SHETLAND GP	1440	171	143	9999-12-31	2013-05-08
2/4-14 R	4714.000000	4741.000000	TYNE GP	GROUP	\N	1440	177	\N	9999-12-31	2013-05-08
2/4-14 R	3229.000000	3274.000000	VIDAR FM	FORMATION	ROGALAND GP	1440	187	131	9999-12-31	2013-05-08
2/4-14 R	3319.000000	3330.000000	VÅLE FM	FORMATION	ROGALAND GP	1440	190	131	9999-12-31	2013-05-08
2/4-14 R	4741.000000	4746.000000	UNDEFINED GP	GROUP	\N	1440	191	\N	9999-12-31	2013-05-08
2/4-14 R	4666.000000	4714.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1440	198	23	9999-12-31	2013-05-08
35/9-1 R	588.000000	620.000000	BALDER FM	FORMATION	ROGALAND GP	1441	6	131	9999-12-31	2013-05-08
35/9-1 R	2314.000000	2350.000000	BASEMENT	GROUP	\N	1441	10	\N	9999-12-31	2013-05-08
35/9-1 R	2225.000000	2267.000000	BRENT GP	GROUP	\N	1441	16	\N	9999-12-31	2013-05-08
35/9-1 R	1967.000000	2037.000000	CROMER KNOLL GP	GROUP	\N	1441	23	\N	9999-12-31	2013-05-08
35/9-1 R	2267.000000	2312.000000	DUNLIN GP	GROUP	\N	1441	29	\N	9999-12-31	2013-05-08
35/9-1 R	2037.000000	2099.000000	FENSFJORD FM	FORMATION	VIKING GP	1441	40	188	9999-12-31	2013-05-08
35/9-1 R	2140.000000	2225.000000	HEATHER FM	FORMATION	VIKING GP	1441	60	188	9999-12-31	2013-05-08
35/9-1 R	1229.000000	1280.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1441	74	143	9999-12-31	2013-05-08
35/9-1 R	2099.000000	2140.000000	KROSSFJORD FM	FORMATION	VIKING GP	1441	87	188	9999-12-31	2013-05-08
35/9-1 R	1280.000000	1940.000000	KYRRE FM	FORMATION	SHETLAND GP	1441	92	143	9999-12-31	2013-05-08
35/9-1 R	658.000000	823.000000	LISTA FM	FORMATION	ROGALAND GP	1441	95	131	9999-12-31	2013-05-08
35/9-1 R	863.000000	1211.000000	LISTA FM	FORMATION	ROGALAND GP	1441	95	131	9999-12-31	2013-05-08
35/9-1 R	2225.000000	2250.000000	NESS FM	FORMATION	BRENT GP	1441	110	16	9999-12-31	2013-05-08
35/9-1 R	823.000000	863.000000	NO FORMAL NAME	FORMATION	\N	1441	111	\N	9999-12-31	2013-05-08
35/9-1 R	384.000000	588.000000	NORDLAND GP	GROUP	\N	1441	113	\N	9999-12-31	2013-05-08
35/9-1 R	2250.000000	2267.000000	RANNOCH FM	FORMATION	BRENT GP	1441	126	16	9999-12-31	2013-05-08
35/9-1 R	588.000000	1229.000000	ROGALAND GP	GROUP	\N	1441	131	\N	9999-12-31	2013-05-08
35/9-1 R	1967.000000	2013.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1441	137	23	9999-12-31	2013-05-08
35/9-1 R	620.000000	658.000000	SELE FM	FORMATION	ROGALAND GP	1441	142	131	9999-12-31	2013-05-08
35/9-1 R	1229.000000	1967.000000	SHETLAND GP	GROUP	\N	1441	143	\N	9999-12-31	2013-05-08
35/9-1 R	2312.000000	2314.000000	STATFJORD FM	FORMATION	\N	1441	157	\N	9999-12-31	2013-05-08
35/9-1 R	1940.000000	1967.000000	SVARTE FM	FORMATION	SHETLAND GP	1441	160	143	9999-12-31	2013-05-08
35/9-1 R	2037.000000	2225.000000	VIKING GP	GROUP	\N	1441	188	\N	9999-12-31	2013-05-08
35/9-1 R	1211.000000	1229.000000	VÅLE FM	FORMATION	ROGALAND GP	1441	190	131	9999-12-31	2013-05-08
35/9-1 R	2013.000000	2037.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1441	198	23	9999-12-31	2013-05-08
35/9-1 R	2312.000000	2314.000000	NO GROUP DEFINED	GROUP	\N	1441	208	\N	9999-12-31	2013-05-08
2/9-3	3023.000000	3053.000000	BALDER FM	FORMATION	ROGALAND GP	1443	6	131	9999-12-31	2013-05-08
2/9-3	4543.000000	4600.000000	BRYNE FM	FORMATION	VESTLAND GP	1443	19	186	9999-12-31	2013-05-08
2/9-3	3834.000000	3846.000000	CROMER KNOLL GP	GROUP	\N	1443	23	\N	9999-12-31	2013-05-08
2/9-3	3168.000000	3253.000000	EKOFISK FM	FORMATION	SHETLAND GP	1443	33	143	9999-12-31	2013-05-08
2/9-3	3846.000000	4125.000000	FARSUND FM	FORMATION	TYNE GP	1443	39	177	9999-12-31	2013-05-08
2/9-3	4125.000000	4525.000000	HAUGESUND FM	FORMATION	TYNE GP	1443	57	177	9999-12-31	2013-05-08
2/9-3	3660.000000	3834.000000	HOD FM	FORMATION	SHETLAND GP	1443	66	143	9999-12-31	2013-05-08
2/9-3	1623.000000	3023.000000	HORDALAND GP	GROUP	\N	1443	67	\N	9999-12-31	2013-05-08
2/9-3	3100.000000	3155.000000	LISTA FM	FORMATION	ROGALAND GP	1443	95	131	9999-12-31	2013-05-08
2/9-3	92.000000	1623.000000	NORDLAND GP	GROUP	\N	1443	113	\N	9999-12-31	2013-05-08
2/9-3	3023.000000	3168.000000	ROGALAND GP	GROUP	\N	1443	131	\N	9999-12-31	2013-05-08
2/9-3	4670.000000	4859.000000	ROTLIEGEND GP	GROUP	\N	1443	136	\N	9999-12-31	2013-05-08
2/9-3	3053.000000	3100.000000	SELE FM	FORMATION	ROGALAND GP	1443	142	131	9999-12-31	2013-05-08
2/9-3	3168.000000	3834.000000	SHETLAND GP	GROUP	\N	1443	143	\N	9999-12-31	2013-05-08
2/9-3	4600.000000	4670.000000	SMITH BANK FM	FORMATION	HEGRE GP	1443	149	61	9999-12-31	2013-05-08
2/9-3	3253.000000	3660.000000	TOR FM	FORMATION	SHETLAND GP	1443	171	143	9999-12-31	2013-05-08
2/9-3	3846.000000	4525.000000	TYNE GP	GROUP	\N	1443	177	\N	9999-12-31	2013-05-08
2/9-3	4525.000000	4543.000000	ULA FM	FORMATION	VESTLAND GP	1443	179	186	9999-12-31	2013-05-08
2/9-3	4525.000000	4670.000000	VESTLAND GP	GROUP	\N	1443	186	\N	9999-12-31	2013-05-08
2/9-3	3155.000000	3168.000000	VÅLE FM	FORMATION	ROGALAND GP	1443	190	131	9999-12-31	2013-05-08
2/9-3	3834.000000	3846.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1443	198	23	9999-12-31	2013-05-08
1/9-1 R	2944.000000	2949.000000	ANDREW FM	FORMATION	ROGALAND GP	1444	5	131	9999-12-31	2013-05-08
1/9-1 R	2869.000000	2881.000000	BALDER FM	FORMATION	ROGALAND GP	1444	6	131	9999-12-31	2013-05-08
1/9-1 R	3645.000000	3659.000000	BLODØKS FM	FORMATION	SHETLAND GP	1444	13	143	9999-12-31	2013-05-08
1/9-1 R	3033.000000	3101.000000	EKOFISK FM	FORMATION	SHETLAND GP	1444	33	143	9999-12-31	2013-05-08
1/9-1 R	3659.000000	3704.000000	HIDRA FM	FORMATION	SHETLAND GP	1444	65	143	9999-12-31	2013-05-08
1/9-1 R	3309.000000	3645.000000	HOD FM	FORMATION	SHETLAND GP	1444	66	143	9999-12-31	2013-05-08
1/9-1 R	1569.000000	2869.000000	HORDALAND GP	GROUP	\N	1444	67	\N	9999-12-31	2013-05-08
1/9-1 R	2941.000000	2944.000000	LISTA FM	FORMATION	ROGALAND GP	1444	95	131	9999-12-31	2013-05-08
1/9-1 R	2949.000000	3010.000000	LISTA FM	FORMATION	ROGALAND GP	1444	95	131	9999-12-31	2013-05-08
1/9-1 R	100.000000	1569.000000	NORDLAND GP	GROUP	\N	1444	113	\N	9999-12-31	2013-05-08
1/9-1 R	2869.000000	3033.000000	ROGALAND GP	GROUP	\N	1444	131	\N	9999-12-31	2013-05-08
1/9-1 R	2881.000000	2941.000000	SELE FM	FORMATION	ROGALAND GP	1444	142	131	9999-12-31	2013-05-08
1/9-1 R	3033.000000	3704.000000	SHETLAND GP	GROUP	\N	1444	143	\N	9999-12-31	2013-05-08
1/9-1 R	3101.000000	3309.000000	TOR FM	FORMATION	SHETLAND GP	1444	171	143	9999-12-31	2013-05-08
1/9-1 R	3010.000000	3033.000000	VÅLE FM	FORMATION	ROGALAND GP	1444	190	131	9999-12-31	2013-05-08
31/2-16 S	1358.000000	1413.000000	BALDER FM	FORMATION	ROGALAND GP	1453	6	131	9999-12-31	2013-05-08
31/2-16 S	782.000000	1358.000000	HORDALAND GP	GROUP	\N	1453	67	\N	9999-12-31	2013-05-08
31/2-16 S	1453.000000	1645.000000	LISTA FM	FORMATION	ROGALAND GP	1453	95	131	9999-12-31	2013-05-08
31/2-16 S	377.000000	782.000000	NORDLAND GP	GROUP	\N	1453	113	\N	9999-12-31	2013-05-08
31/2-16 S	1358.000000	1650.000000	ROGALAND GP	GROUP	\N	1453	131	\N	9999-12-31	2013-05-08
31/2-16 S	1413.000000	1453.000000	SELE FM	FORMATION	ROGALAND GP	1453	142	131	9999-12-31	2013-05-08
31/2-16 S	1650.000000	1659.000000	SHETLAND GP	GROUP	\N	1453	143	\N	9999-12-31	2013-05-08
31/2-16 S	1659.000000	2390.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1453	151	188	9999-12-31	2013-05-08
31/2-16 S	1659.000000	2390.000000	VIKING GP	GROUP	\N	1453	188	\N	9999-12-31	2013-05-08
31/2-16 S	1645.000000	1650.000000	VÅLE FM	FORMATION	ROGALAND GP	1453	190	131	9999-12-31	2013-05-08
25/2-13	3645.000000	3696.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1459	4	29	9999-12-31	2013-05-08
25/2-13	2170.000000	2240.000000	BALDER FM	FORMATION	ROGALAND GP	1459	6	131	9999-12-31	2013-05-08
25/2-13	3268.000000	3286.000000	BLODØKS FM	FORMATION	SHETLAND GP	1459	13	143	9999-12-31	2013-05-08
25/2-13	3565.000000	3645.000000	COOK FM	FORMATION	DUNLIN GP	1459	24	29	9999-12-31	2013-05-08
25/2-13	3491.000000	3565.000000	DRAKE FM	FORMATION	DUNLIN GP	1459	27	29	9999-12-31	2013-05-08
25/2-13	3318.000000	3329.000000	DRAUPNE FM	FORMATION	VIKING GP	1459	28	188	9999-12-31	2013-05-08
25/2-13	3491.000000	3696.000000	DUNLIN GP	GROUP	\N	1459	29	\N	9999-12-31	2013-05-08
25/2-13	2706.000000	3032.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1459	56	143	9999-12-31	2013-05-08
25/2-13	3329.000000	3342.000000	HEATHER FM	FORMATION	VIKING GP	1459	60	188	9999-12-31	2013-05-08
25/2-13	2240.000000	2400.000000	HERMOD FM	FORMATION	ROGALAND GP	1459	64	131	9999-12-31	2013-05-08
25/2-13	1067.000000	2170.000000	HORDALAND GP	GROUP	\N	1459	67	\N	9999-12-31	2013-05-08
25/2-13	3342.000000	3409.000000	HUGIN FM	FORMATION	VESTLAND GP	1459	69	186	9999-12-31	2013-05-08
25/2-13	3032.000000	3187.000000	KYRRE FM	FORMATION	SHETLAND GP	1459	92	143	9999-12-31	2013-05-08
25/2-13	2400.000000	2586.000000	LISTA FM	FORMATION	ROGALAND GP	1459	95	131	9999-12-31	2013-05-08
25/2-13	139.000000	1067.000000	NORDLAND GP	GROUP	\N	1459	113	\N	9999-12-31	2013-05-08
25/2-13	2170.000000	2706.000000	ROGALAND GP	GROUP	\N	1459	131	\N	9999-12-31	2013-05-08
25/2-13	2706.000000	3318.000000	SHETLAND GP	GROUP	\N	1459	143	\N	9999-12-31	2013-05-08
25/2-13	3409.000000	3491.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1459	148	186	9999-12-31	2013-05-08
25/2-13	3887.000000	3908.000000	SMITH BANK FM	FORMATION	HEGRE GP	1459	149	61	9999-12-31	2013-05-08
25/2-13	3696.000000	3887.000000	STATFJORD FM	FORMATION	\N	1459	157	\N	9999-12-31	2013-05-08
25/2-13	3286.000000	3318.000000	SVARTE FM	FORMATION	SHETLAND GP	1459	160	143	9999-12-31	2013-05-08
25/2-13	3187.000000	3268.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1459	173	143	9999-12-31	2013-05-08
25/2-13	2586.000000	2651.000000	TY FM	FORMATION	ROGALAND GP	1459	176	131	9999-12-31	2013-05-08
25/2-13	262.000000	1067.000000	UTSIRA FM	FORMATION	NORDLAND GP	1459	183	113	9999-12-31	2013-05-08
25/2-13	3342.000000	3491.000000	VESTLAND GP	GROUP	\N	1459	186	\N	9999-12-31	2013-05-08
25/2-13	3318.000000	3342.000000	VIKING GP	GROUP	\N	1459	188	\N	9999-12-31	2013-05-08
25/2-13	2651.000000	2706.000000	VÅLE FM	FORMATION	ROGALAND GP	1459	190	131	9999-12-31	2013-05-08
25/2-13	3696.000000	3887.000000	NO GROUP DEFINED	GROUP	\N	1459	208	\N	9999-12-31	2013-05-08
25/2-13	3887.000000	3908.000000	NO GROUP DEFINED	GROUP	\N	1459	208	\N	9999-12-31	2013-05-08
7228/2-1 S	373.000000	1275.000000	ADVENTDALEN GP	GROUP	\N	1460	1	\N	9999-12-31	2013-05-08
7228/2-1 S	1404.000000	1523.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1460	46	79	9999-12-31	2013-05-08
7228/2-1 S	1236.000000	1275.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1460	47	1	9999-12-31	2013-05-08
7228/2-1 S	3984.000000	4300.000000	HAVERT FM	FORMATION	SASSENDALEN GP	1460	58	140	9999-12-31	2013-05-08
7228/2-1 S	1168.000000	1236.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1460	63	1	9999-12-31	2013-05-08
7228/2-1 S	1275.000000	2438.000000	KAPP TOSCANA GP	GROUP	\N	1460	79	\N	9999-12-31	2013-05-08
7228/2-1 S	3574.000000	3984.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	1460	80	140	9999-12-31	2013-05-08
7228/2-1 S	1110.000000	1168.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1460	82	1	9999-12-31	2013-05-08
7228/2-1 S	2438.000000	3574.000000	KOBBE FM	FORMATION	SASSENDALEN GP	1460	83	140	9999-12-31	2013-05-08
7228/2-1 S	373.000000	1110.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1460	85	1	9999-12-31	2013-05-08
7228/2-1 S	1300.000000	1345.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	1460	118	79	9999-12-31	2013-05-08
7228/2-1 S	2438.000000	4300.000000	SASSENDALEN GP	GROUP	\N	1460	140	\N	9999-12-31	2013-05-08
7228/2-1 S	1523.000000	2438.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1460	150	79	9999-12-31	2013-05-08
7228/2-1 S	1275.000000	1300.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1460	159	79	9999-12-31	2013-05-08
7228/2-1 S	1345.000000	1404.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	1460	174	79	9999-12-31	2013-05-08
30/9-8 R	2065.000000	2137.000000	BALDER FM	FORMATION	ROGALAND GP	1461	6	131	9999-12-31	2013-05-08
30/9-8 R	2722.000000	2723.000000	BLODØKS FM	FORMATION	SHETLAND GP	1461	13	143	9999-12-31	2013-05-08
30/9-8 R	2788.000000	3149.000000	BRENT GP	GROUP	\N	1461	16	\N	9999-12-31	2013-05-08
30/9-8 R	2725.000000	2763.000000	CROMER KNOLL GP	GROUP	\N	1461	23	\N	9999-12-31	2013-05-08
30/9-8 R	3149.000000	3200.000000	DRAKE FM	FORMATION	DUNLIN GP	1461	27	29	9999-12-31	2013-05-08
30/9-8 R	2763.000000	2771.000000	DRAUPNE FM	FORMATION	VIKING GP	1461	28	188	9999-12-31	2013-05-08
30/9-8 R	3149.000000	3200.000000	DUNLIN GP	GROUP	\N	1461	29	\N	9999-12-31	2013-05-08
30/9-8 R	3120.000000	3135.000000	ETIVE FM	FORMATION	BRENT GP	1461	35	16	9999-12-31	2013-05-08
30/9-8 R	2382.000000	2620.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1461	56	143	9999-12-31	2013-05-08
30/9-8 R	2771.000000	2788.000000	HEATHER FM	FORMATION	VIKING GP	1461	60	188	9999-12-31	2013-05-08
30/9-8 R	890.000000	2065.000000	HORDALAND GP	GROUP	\N	1461	67	\N	9999-12-31	2013-05-08
30/9-8 R	2620.000000	2704.000000	KYRRE FM	FORMATION	SHETLAND GP	1461	92	143	9999-12-31	2013-05-08
30/9-8 R	2212.000000	2372.000000	LISTA FM	FORMATION	ROGALAND GP	1461	95	131	9999-12-31	2013-05-08
30/9-8 R	2882.000000	3120.000000	NESS FM	FORMATION	BRENT GP	1461	110	16	9999-12-31	2013-05-08
30/9-8 R	974.000000	1165.000000	NO FORMAL NAME	FORMATION	\N	1461	111	\N	9999-12-31	2013-05-08
30/9-8 R	1165.000000	1190.000000	NO FORMAL NAME	FORMATION	\N	1461	111	\N	9999-12-31	2013-05-08
30/9-8 R	1190.000000	1235.000000	NO FORMAL NAME	FORMATION	\N	1461	111	\N	9999-12-31	2013-05-08
30/9-8 R	1235.000000	1348.000000	NO FORMAL NAME	FORMATION	\N	1461	111	\N	9999-12-31	2013-05-08
30/9-8 R	1348.000000	1425.000000	NO FORMAL NAME	FORMATION	\N	1461	111	\N	9999-12-31	2013-05-08
30/9-8 R	1425.000000	1446.000000	NO FORMAL NAME	FORMATION	\N	1461	111	\N	9999-12-31	2013-05-08
30/9-8 R	1446.000000	2065.000000	NO FORMAL NAME	FORMATION	\N	1461	111	\N	9999-12-31	2013-05-08
30/9-8 R	127.000000	890.000000	NORDLAND GP	GROUP	\N	1461	113	\N	9999-12-31	2013-05-08
30/9-8 R	3140.000000	3149.000000	OSEBERG FM	FORMATION	BRENT GP	1461	123	16	9999-12-31	2013-05-08
30/9-8 R	3135.000000	3140.000000	RANNOCH FM	FORMATION	BRENT GP	1461	126	16	9999-12-31	2013-05-08
30/9-8 R	2065.000000	2382.000000	ROGALAND GP	GROUP	\N	1461	131	\N	9999-12-31	2013-05-08
30/9-8 R	2725.000000	2750.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1461	137	23	9999-12-31	2013-05-08
30/9-8 R	2137.000000	2212.000000	SELE FM	FORMATION	ROGALAND GP	1461	142	131	9999-12-31	2013-05-08
30/9-8 R	2382.000000	2725.000000	SHETLAND GP	GROUP	\N	1461	143	\N	9999-12-31	2013-05-08
30/9-8 R	932.000000	974.000000	SKADE FM	FORMATION	HORDALAND GP	1461	145	67	9999-12-31	2013-05-08
30/9-8 R	2750.000000	2758.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1461	152	23	9999-12-31	2013-05-08
30/9-8 R	2723.000000	2725.000000	SVARTE FM	FORMATION	SHETLAND GP	1461	160	143	9999-12-31	2013-05-08
30/9-8 R	2788.000000	2882.000000	TARBERT FM	FORMATION	BRENT GP	1461	162	16	9999-12-31	2013-05-08
30/9-8 R	2704.000000	2722.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1461	173	143	9999-12-31	2013-05-08
30/9-8 R	602.000000	890.000000	UTSIRA FM	FORMATION	NORDLAND GP	1461	183	113	9999-12-31	2013-05-08
30/9-8 R	2763.000000	2788.000000	VIKING GP	GROUP	\N	1461	188	\N	9999-12-31	2013-05-08
30/9-8 R	2372.000000	2382.000000	VÅLE FM	FORMATION	ROGALAND GP	1461	190	131	9999-12-31	2013-05-08
30/9-8 R	2758.000000	2763.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1461	198	23	9999-12-31	2013-05-08
3/7-4	2747.000000	2766.000000	BALDER FM	FORMATION	ROGALAND GP	1467	6	131	9999-12-31	2013-05-08
3/7-4	3474.000000	3688.000000	BRYNE FM	FORMATION	VESTLAND GP	1467	19	186	9999-12-31	2013-05-08
3/7-4	3247.000000	3261.000000	CROMER KNOLL GP	GROUP	\N	1467	23	\N	9999-12-31	2013-05-08
3/7-4	2848.000000	2922.000000	EKOFISK FM	FORMATION	SHETLAND GP	1467	33	143	9999-12-31	2013-05-08
3/7-4	3261.000000	3411.000000	HAUGESUND FM	FORMATION	TYNE GP	1467	57	177	9999-12-31	2013-05-08
3/7-4	3088.000000	3247.000000	HOD FM	FORMATION	SHETLAND GP	1467	66	143	9999-12-31	2013-05-08
3/7-4	1412.000000	2747.000000	HORDALAND GP	GROUP	\N	1467	67	\N	9999-12-31	2013-05-08
3/7-4	2787.000000	2819.000000	LISTA FM	FORMATION	ROGALAND GP	1467	95	131	9999-12-31	2013-05-08
3/7-4	2819.000000	2848.000000	MAUREEN FM	FORMATION	ROGALAND GP	1467	102	131	9999-12-31	2013-05-08
3/7-4	91.000000	1412.000000	NORDLAND GP	GROUP	\N	1467	113	\N	9999-12-31	2013-05-08
3/7-4	2747.000000	2848.000000	ROGALAND GP	GROUP	\N	1467	131	\N	9999-12-31	2013-05-08
3/7-4	3247.000000	3255.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1467	137	23	9999-12-31	2013-05-08
3/7-4	3411.000000	3474.000000	SANDNES FM	FORMATION	VESTLAND GP	1467	139	186	9999-12-31	2013-05-08
3/7-4	2766.000000	2787.000000	SELE FM	FORMATION	ROGALAND GP	1467	142	131	9999-12-31	2013-05-08
3/7-4	2848.000000	3247.000000	SHETLAND GP	GROUP	\N	1467	143	\N	9999-12-31	2013-05-08
3/7-4	3255.000000	3261.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1467	152	23	9999-12-31	2013-05-08
3/7-4	2922.000000	3088.000000	TOR FM	FORMATION	SHETLAND GP	1467	171	143	9999-12-31	2013-05-08
3/7-4	3261.000000	3411.000000	TYNE GP	GROUP	\N	1467	177	\N	9999-12-31	2013-05-08
3/7-4	3411.000000	3688.000000	VESTLAND GP	GROUP	\N	1467	186	\N	9999-12-31	2013-05-08
3/7-4	3688.000000	3723.000000	ZECHSTEIN GP	GROUP	\N	1467	194	\N	9999-12-31	2013-05-08
2/7-14 R	2999.000000	3015.000000	BALDER FM	FORMATION	ROGALAND GP	1477	6	131	9999-12-31	2013-05-08
2/7-14 R	3143.000000	3254.000000	EKOFISK FM	FORMATION	SHETLAND GP	1477	33	143	9999-12-31	2013-05-08
2/7-14 R	1780.000000	2999.000000	HORDALAND GP	GROUP	\N	1477	67	\N	9999-12-31	2013-05-08
2/7-14 R	3030.000000	3131.000000	LISTA FM	FORMATION	ROGALAND GP	1477	95	131	9999-12-31	2013-05-08
2/7-14 R	93.000000	1780.000000	NORDLAND GP	GROUP	\N	1477	113	\N	9999-12-31	2013-05-08
2/7-14 R	2999.000000	3143.000000	ROGALAND GP	GROUP	\N	1477	131	\N	9999-12-31	2013-05-08
2/7-14 R	3015.000000	3030.000000	SELE FM	FORMATION	ROGALAND GP	1477	142	131	9999-12-31	2013-05-08
2/7-14 R	3143.000000	3387.000000	SHETLAND GP	GROUP	\N	1477	143	\N	9999-12-31	2013-05-08
2/7-14 R	3254.000000	3387.000000	TOR FM	FORMATION	SHETLAND GP	1477	171	143	9999-12-31	2013-05-08
2/7-14 R	3131.000000	3143.000000	VÅLE FM	FORMATION	ROGALAND GP	1477	190	131	9999-12-31	2013-05-08
6205/3-1	3179.000000	3780.000000	AGAT FM	FORMATION	CROMER KNOLL GP	1479	2	23	9999-12-31	2013-05-08
6205/3-1	2876.000000	2891.000000	BLODØKS FM	FORMATION	SHETLAND GP	1479	13	143	9999-12-31	2013-05-08
6205/3-1	3133.000000	4300.000000	CROMER KNOLL GP	GROUP	\N	1479	23	\N	9999-12-31	2013-05-08
6205/3-1	1317.000000	1482.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	1479	31	131	9999-12-31	2013-05-08
6205/3-1	1482.000000	1573.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1479	74	143	9999-12-31	2013-05-08
6205/3-1	1573.000000	2876.000000	KYRRE FM	FORMATION	SHETLAND GP	1479	92	143	9999-12-31	2013-05-08
6205/3-1	1220.000000	1317.000000	LISTA FM	FORMATION	ROGALAND GP	1479	95	131	9999-12-31	2013-05-08
6205/3-1	182.000000	308.000000	NORDLAND GP	GROUP	\N	1479	113	\N	9999-12-31	2013-05-08
6205/3-1	308.000000	1482.000000	ROGALAND GP	GROUP	\N	1479	131	\N	9999-12-31	2013-05-08
6205/3-1	3133.000000	3179.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1479	137	23	9999-12-31	2013-05-08
6205/3-1	308.000000	1220.000000	SELE FM	FORMATION	ROGALAND GP	1479	142	131	9999-12-31	2013-05-08
6205/3-1	1482.000000	3133.000000	SHETLAND GP	GROUP	\N	1479	143	\N	9999-12-31	2013-05-08
6205/3-1	3780.000000	3956.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1479	152	23	9999-12-31	2013-05-08
6205/3-1	2891.000000	3133.000000	SVARTE FM	FORMATION	SHETLAND GP	1479	160	143	9999-12-31	2013-05-08
6205/3-1	3956.000000	4300.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1479	198	23	9999-12-31	2013-05-08
7228/9-1 S	308.000000	1073.000000	ADVENTDALEN GP	GROUP	\N	1486	1	\N	9999-12-31	2013-05-08
7228/9-1 S	4065.000000	4361.000000	BJARMELAND GP	GROUP	\N	1486	12	\N	9999-12-31	2013-05-08
7228/9-1 S	1140.000000	1232.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1486	46	79	9999-12-31	2013-05-08
7228/9-1 S	1069.000000	1073.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1486	47	1	9999-12-31	2013-05-08
7228/9-1 S	4361.000000	4600.000000	GIPSDALEN GP	GROUP	\N	1486	51	\N	9999-12-31	2013-05-08
7228/9-1 S	2638.000000	3884.000000	HAVERT FM	FORMATION	SASSENDALEN GP	1486	58	140	9999-12-31	2013-05-08
7228/9-1 S	1030.000000	1069.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1486	63	1	9999-12-31	2013-05-08
7228/9-1 S	4065.000000	4150.000000	ISBJØRN FM	FORMATION	BJARMELAND GP	1486	72	12	9999-12-31	2013-05-08
7228/9-1 S	1073.000000	1595.000000	KAPP TOSCANA GP	GROUP	\N	1486	79	\N	9999-12-31	2013-05-08
7228/9-1 S	2097.000000	2638.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	1486	80	140	9999-12-31	2013-05-08
7228/9-1 S	1595.000000	2097.000000	KOBBE FM	FORMATION	SASSENDALEN GP	1486	83	140	9999-12-31	2013-05-08
7228/9-1 S	308.000000	1030.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1486	85	1	9999-12-31	2013-05-08
7228/9-1 S	302.000000	308.000000	NORDLAND GP	GROUP	\N	1486	113	\N	9999-12-31	2013-05-08
7228/9-1 S	1083.000000	1140.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	1486	118	79	9999-12-31	2013-05-08
7228/9-1 S	3966.000000	4065.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	1486	138	167	9999-12-31	2013-05-08
7228/9-1 S	1595.000000	3884.000000	SASSENDALEN GP	GROUP	\N	1486	140	\N	9999-12-31	2013-05-08
7228/9-1 S	1232.000000	1595.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1486	150	79	9999-12-31	2013-05-08
7228/9-1 S	1073.000000	1083.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1486	159	79	9999-12-31	2013-05-08
7228/9-1 S	3884.000000	4065.000000	TEMPELFJORDEN GP	GROUP	\N	1486	167	\N	9999-12-31	2013-05-08
7228/9-1 S	4150.000000	4361.000000	ULV FM	FORMATION	BJARMELAND GP	1486	181	12	9999-12-31	2013-05-08
7228/9-1 S	4361.000000	4600.000000	ØRN FM	FORMATION	GIPSDALEN GP	1486	195	51	9999-12-31	2013-05-08
7228/9-1 S	3884.000000	3966.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	1486	196	167	9999-12-31	2013-05-08
25/5-3	1998.000000	2044.000000	BALDER FM	FORMATION	ROGALAND GP	1488	6	131	9999-12-31	2013-05-08
25/5-3	2475.000000	2613.000000	BURTON FM	FORMATION	DUNLIN GP	1488	20	29	9999-12-31	2013-05-08
25/5-3	2453.000000	2475.000000	DRAKE FM	FORMATION	DUNLIN GP	1488	27	29	9999-12-31	2013-05-08
25/5-3	2453.000000	2613.000000	DUNLIN GP	GROUP	\N	1488	29	\N	9999-12-31	2013-05-08
25/5-3	1357.000000	1373.000000	GRID FM	FORMATION	HORDALAND GP	1488	53	67	9999-12-31	2013-05-08
25/5-3	2310.000000	2347.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1488	56	143	9999-12-31	2013-05-08
25/5-3	2347.000000	2384.000000	HEATHER FM	FORMATION	VIKING GP	1488	60	188	9999-12-31	2013-05-08
25/5-3	1012.000000	1998.000000	HORDALAND GP	GROUP	\N	1488	67	\N	9999-12-31	2013-05-08
25/5-3	2384.000000	2431.000000	HUGIN FM	FORMATION	VESTLAND GP	1488	69	186	9999-12-31	2013-05-08
25/5-3	2095.000000	2162.000000	LISTA FM	FORMATION	ROGALAND GP	1488	95	131	9999-12-31	2013-05-08
25/5-3	1068.000000	1357.000000	NO FORMAL NAME	FORMATION	\N	1488	111	\N	9999-12-31	2013-05-08
25/5-3	1373.000000	1998.000000	NO FORMAL NAME	FORMATION	\N	1488	111	\N	9999-12-31	2013-05-08
25/5-3	140.000000	1012.000000	NORDLAND GP	GROUP	\N	1488	113	\N	9999-12-31	2013-05-08
25/5-3	1998.000000	2310.000000	ROGALAND GP	GROUP	\N	1488	131	\N	9999-12-31	2013-05-08
25/5-3	2044.000000	2095.000000	SELE FM	FORMATION	ROGALAND GP	1488	142	131	9999-12-31	2013-05-08
25/5-3	2310.000000	2347.000000	SHETLAND GP	GROUP	\N	1488	143	\N	9999-12-31	2013-05-08
25/5-3	1048.000000	1068.000000	SKADE FM	FORMATION	HORDALAND GP	1488	145	67	9999-12-31	2013-05-08
25/5-3	2431.000000	2453.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1488	148	186	9999-12-31	2013-05-08
25/5-3	2613.000000	2752.000000	STATFJORD FM	FORMATION	\N	1488	157	\N	9999-12-31	2013-05-08
25/5-3	2211.000000	2310.000000	TY FM	FORMATION	ROGALAND GP	1488	176	131	9999-12-31	2013-05-08
25/5-3	495.000000	1012.000000	UTSIRA FM	FORMATION	NORDLAND GP	1488	183	113	9999-12-31	2013-05-08
25/5-3	2384.000000	2453.000000	VESTLAND GP	GROUP	\N	1488	186	\N	9999-12-31	2013-05-08
25/5-3	2347.000000	2384.000000	VIKING GP	GROUP	\N	1488	188	\N	9999-12-31	2013-05-08
25/5-3	2162.000000	2211.000000	VÅLE FM	FORMATION	ROGALAND GP	1488	190	131	9999-12-31	2013-05-08
25/5-3	2613.000000	2752.000000	NO GROUP DEFINED	GROUP	\N	1488	208	\N	9999-12-31	2013-05-08
25/5-3	2752.000000	2900.000000	NO GROUP DEFINED	GROUP	\N	1488	208	\N	9999-12-31	2013-05-08
7/7-1	2780.000000	2808.000000	ANDREW FM	FORMATION	ROGALAND GP	1492	5	131	9999-12-31	2013-05-08
7/7-1	2626.000000	2660.000000	BALDER FM	FORMATION	ROGALAND GP	1492	6	131	9999-12-31	2013-05-08
7/7-1	3243.000000	3288.000000	CROMER KNOLL GP	GROUP	\N	1492	23	\N	9999-12-31	2013-05-08
7/7-1	2830.000000	2925.000000	EKOFISK FM	FORMATION	SHETLAND GP	1492	33	143	9999-12-31	2013-05-08
7/7-1	3108.000000	3243.000000	HOD FM	FORMATION	SHETLAND GP	1492	66	143	9999-12-31	2013-05-08
7/7-1	1256.000000	2626.000000	HORDALAND GP	GROUP	\N	1492	67	\N	9999-12-31	2013-05-08
7/7-1	2758.000000	2780.000000	LISTA FM	FORMATION	ROGALAND GP	1492	95	131	9999-12-31	2013-05-08
7/7-1	106.000000	1256.000000	NORDLAND GP	GROUP	\N	1492	113	\N	9999-12-31	2013-05-08
7/7-1	2626.000000	2830.000000	ROGALAND GP	GROUP	\N	1492	131	\N	9999-12-31	2013-05-08
7/7-1	2660.000000	2758.000000	SELE FM	FORMATION	ROGALAND GP	1492	142	131	9999-12-31	2013-05-08
7/7-1	2830.000000	3243.000000	SHETLAND GP	GROUP	\N	1492	143	\N	9999-12-31	2013-05-08
7/7-1	3288.000000	3500.000000	SMITH BANK FM	FORMATION	HEGRE GP	1492	149	61	9999-12-31	2013-05-08
7/7-1	2925.000000	3108.000000	TOR FM	FORMATION	SHETLAND GP	1492	171	143	9999-12-31	2013-05-08
7/7-1	2808.000000	2830.000000	VÅLE FM	FORMATION	ROGALAND GP	1492	190	131	9999-12-31	2013-05-08
7/7-1	3243.000000	3288.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1492	198	23	9999-12-31	2013-05-08
7/7-1	3288.000000	3500.000000	NO GROUP DEFINED	GROUP	\N	1492	208	\N	9999-12-31	2013-05-08
25/7-2	2098.000000	2185.000000	BALDER FM	FORMATION	ROGALAND GP	1494	6	131	9999-12-31	2013-05-08
25/7-2	3260.000000	3295.000000	BLODØKS FM	FORMATION	SHETLAND GP	1494	13	143	9999-12-31	2013-05-08
25/7-2	3714.000000	4056.000000	CROMER KNOLL GP	GROUP	\N	1494	23	\N	9999-12-31	2013-05-08
25/7-2	4119.000000	4212.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1494	26	188	9999-12-31	2013-05-08
25/7-2	4056.000000	4119.000000	DRAUPNE FM	FORMATION	VIKING GP	1494	28	188	9999-12-31	2013-05-08
25/7-2	2698.000000	2749.000000	EKOFISK FM	FORMATION	SHETLAND GP	1494	33	143	9999-12-31	2013-05-08
25/7-2	4247.000000	4293.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	1494	59	188	9999-12-31	2013-05-08
25/7-2	4212.000000	4247.000000	HEATHER FM	FORMATION	VIKING GP	1494	60	188	9999-12-31	2013-05-08
25/7-2	4293.000000	4407.000000	HEATHER FM	FORMATION	VIKING GP	1494	60	188	9999-12-31	2013-05-08
25/7-2	2318.000000	2470.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1494	62	131	9999-12-31	2013-05-08
25/7-2	2216.000000	2222.000000	HERMOD FM	FORMATION	ROGALAND GP	1494	64	131	9999-12-31	2013-05-08
25/7-2	883.000000	2098.000000	HORDALAND GP	GROUP	\N	1494	67	\N	9999-12-31	2013-05-08
25/7-2	4407.000000	4613.000000	HUGIN FM	FORMATION	VESTLAND GP	1494	69	186	9999-12-31	2013-05-08
25/7-2	2749.000000	2925.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1494	74	143	9999-12-31	2013-05-08
25/7-2	2925.000000	3060.000000	KYRRE FM	FORMATION	SHETLAND GP	1494	92	143	9999-12-31	2013-05-08
25/7-2	2258.000000	2318.000000	LISTA FM	FORMATION	ROGALAND GP	1494	95	131	9999-12-31	2013-05-08
25/7-2	2470.000000	2529.000000	LISTA FM	FORMATION	ROGALAND GP	1494	95	131	9999-12-31	2013-05-08
25/7-2	1000.000000	2098.000000	NO FORMAL NAME	FORMATION	\N	1494	111	\N	9999-12-31	2013-05-08
25/7-2	3399.000000	3447.000000	NO FORMAL NAME	FORMATION	\N	1494	111	\N	9999-12-31	2013-05-08
25/7-2	149.000000	883.000000	NORDLAND GP	GROUP	\N	1494	113	\N	9999-12-31	2013-05-08
25/7-2	2098.000000	2698.000000	ROGALAND GP	GROUP	\N	1494	131	\N	9999-12-31	2013-05-08
25/7-2	3714.000000	3875.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1494	137	23	9999-12-31	2013-05-08
25/7-2	2185.000000	2216.000000	SELE FM	FORMATION	ROGALAND GP	1494	142	131	9999-12-31	2013-05-08
25/7-2	2222.000000	2258.000000	SELE FM	FORMATION	ROGALAND GP	1494	142	131	9999-12-31	2013-05-08
25/7-2	2698.000000	3714.000000	SHETLAND GP	GROUP	\N	1494	143	\N	9999-12-31	2013-05-08
25/7-2	946.000000	1000.000000	SKADE FM	FORMATION	HORDALAND GP	1494	145	67	9999-12-31	2013-05-08
25/7-2	4613.000000	4850.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1494	148	186	9999-12-31	2013-05-08
25/7-2	3875.000000	3948.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1494	152	23	9999-12-31	2013-05-08
25/7-2	3295.000000	3399.000000	SVARTE FM	FORMATION	SHETLAND GP	1494	160	143	9999-12-31	2013-05-08
25/7-2	3447.000000	3714.000000	SVARTE FM	FORMATION	SHETLAND GP	1494	160	143	9999-12-31	2013-05-08
25/7-2	3060.000000	3260.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1494	173	143	9999-12-31	2013-05-08
25/7-2	2529.000000	2698.000000	TY FM	FORMATION	ROGALAND GP	1494	176	131	9999-12-31	2013-05-08
25/7-2	446.000000	883.000000	UTSIRA FM	FORMATION	NORDLAND GP	1494	183	113	9999-12-31	2013-05-08
25/7-2	4407.000000	4850.000000	VESTLAND GP	GROUP	\N	1494	186	\N	9999-12-31	2013-05-08
25/7-2	4056.000000	4407.000000	VIKING GP	GROUP	\N	1494	188	\N	9999-12-31	2013-05-08
25/7-2	3948.000000	4056.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1494	198	23	9999-12-31	2013-05-08
2/7-22	2968.000000	2981.000000	BALDER FM	FORMATION	ROGALAND GP	1495	6	131	9999-12-31	2013-05-08
2/7-22	3976.000000	3992.000000	BLODØKS FM	FORMATION	SHETLAND GP	1495	13	143	9999-12-31	2013-05-08
2/7-22	4086.000000	4452.000000	CROMER KNOLL GP	GROUP	\N	1495	23	\N	9999-12-31	2013-05-08
2/7-22	3092.000000	3140.000000	EKOFISK FM	FORMATION	SHETLAND GP	1495	33	143	9999-12-31	2013-05-08
2/7-22	3992.000000	4086.000000	HIDRA FM	FORMATION	SHETLAND GP	1495	65	143	9999-12-31	2013-05-08
2/7-22	3597.000000	3976.000000	HOD FM	FORMATION	SHETLAND GP	1495	66	143	9999-12-31	2013-05-08
2/7-22	1607.000000	2968.000000	HORDALAND GP	GROUP	\N	1495	67	\N	9999-12-31	2013-05-08
2/7-22	3031.000000	3076.000000	LISTA FM	FORMATION	ROGALAND GP	1495	95	131	9999-12-31	2013-05-08
2/7-22	4452.000000	4470.000000	MANDAL FM	FORMATION	TYNE GP	1495	101	177	9999-12-31	2013-05-08
2/7-22	93.000000	1607.000000	NORDLAND GP	GROUP	\N	1495	113	\N	9999-12-31	2013-05-08
2/7-22	2968.000000	3092.000000	ROGALAND GP	GROUP	\N	1495	131	\N	9999-12-31	2013-05-08
2/7-22	4086.000000	4225.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1495	137	23	9999-12-31	2013-05-08
2/7-22	2981.000000	3031.000000	SELE FM	FORMATION	ROGALAND GP	1495	142	131	9999-12-31	2013-05-08
2/7-22	3092.000000	4086.000000	SHETLAND GP	GROUP	\N	1495	143	\N	9999-12-31	2013-05-08
2/7-22	4225.000000	4327.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1495	152	23	9999-12-31	2013-05-08
2/7-22	3140.000000	3597.000000	TOR FM	FORMATION	SHETLAND GP	1495	171	143	9999-12-31	2013-05-08
2/7-22	4452.000000	4470.000000	TYNE GP	GROUP	\N	1495	177	\N	9999-12-31	2013-05-08
2/7-22	3076.000000	3092.000000	VÅLE FM	FORMATION	ROGALAND GP	1495	190	131	9999-12-31	2013-05-08
2/7-22	4470.000000	4480.000000	UNDEFINED GP	GROUP	\N	1495	191	\N	9999-12-31	2013-05-08
2/7-22	4327.000000	4452.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1495	198	23	9999-12-31	2013-05-08
2/7-22	4480.000000	4750.000000	NO GROUP DEFINED	GROUP	\N	1495	208	\N	9999-12-31	2013-05-08
6407/10-2	1105.000000	1627.000000	BRYGGE FM	FORMATION	HORDALAND GP	1497	18	67	9999-12-31	2013-05-08
6407/10-2	3479.000000	3825.000000	BÅT GP	GROUP	\N	1497	22	\N	9999-12-31	2013-05-08
6407/10-2	2378.000000	2821.000000	CROMER KNOLL GP	GROUP	\N	1497	23	\N	9999-12-31	2013-05-08
6407/10-2	3327.000000	3479.000000	FANGST GP	GROUP	\N	1497	38	\N	9999-12-31	2013-05-08
6407/10-2	1105.000000	1627.000000	HORDALAND GP	GROUP	\N	1497	67	\N	9999-12-31	2013-05-08
6407/10-2	3436.000000	3479.000000	ILE FM	FORMATION	FANGST GP	1497	70	38	9999-12-31	2013-05-08
6407/10-2	1009.000000	1105.000000	KAI FM	FORMATION	NORDLAND GP	1497	77	113	9999-12-31	2013-05-08
6407/10-2	2386.000000	2770.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1497	94	23	9999-12-31	2013-05-08
6407/10-2	2770.000000	2821.000000	LYR FM	FORMATION	CROMER KNOLL GP	1497	98	23	9999-12-31	2013-05-08
6407/10-2	2378.000000	2386.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1497	99	23	9999-12-31	2013-05-08
6407/10-2	2904.000000	3327.000000	MELKE FM	FORMATION	VIKING GP	1497	105	188	9999-12-31	2013-05-08
6407/10-2	359.000000	1009.000000	NAUST FM	FORMATION	NORDLAND GP	1497	109	113	9999-12-31	2013-05-08
6407/10-2	359.000000	1105.000000	NORDLAND GP	GROUP	\N	1497	113	\N	9999-12-31	2013-05-08
6407/10-2	3327.000000	3436.000000	NOT FM	FORMATION	FANGST GP	1497	120	38	9999-12-31	2013-05-08
6407/10-2	1627.000000	1877.000000	ROGALAND GP	GROUP	\N	1497	131	\N	9999-12-31	2013-05-08
6407/10-2	2830.000000	2904.000000	ROGN FM	FORMATION	VIKING GP	1497	134	188	9999-12-31	2013-05-08
6407/10-2	3479.000000	3679.000000	ROR FM	FORMATION	BÅT GP	1497	135	22	9999-12-31	2013-05-08
6407/10-2	1877.000000	2378.000000	SHETLAND GP	GROUP	\N	1497	143	\N	9999-12-31	2013-05-08
6407/10-2	2821.000000	2830.000000	SPEKK FM	FORMATION	VIKING GP	1497	155	188	9999-12-31	2013-05-08
6407/10-2	1689.000000	1877.000000	TANG FM	FORMATION	ROGALAND GP	1497	161	131	9999-12-31	2013-05-08
6407/10-2	1627.000000	1689.000000	TARE FM	FORMATION	ROGALAND GP	1497	163	131	9999-12-31	2013-05-08
6407/10-2	3679.000000	3825.000000	TILJE FM	FORMATION	BÅT GP	1497	169	22	9999-12-31	2013-05-08
6407/10-2	2821.000000	3327.000000	VIKING GP	GROUP	\N	1497	188	\N	9999-12-31	2013-05-08
1/6-5	1695.000000	1701.000000	BALDER FM	FORMATION	ROGALAND GP	1508	6	131	9999-12-31	2013-05-08
1/6-5	1721.000000	1725.000000	EKOFISK FM	FORMATION	SHETLAND GP	1508	33	143	9999-12-31	2013-05-08
1/6-5	1732.000000	1742.000000	HOD FM	FORMATION	SHETLAND GP	1508	66	143	9999-12-31	2013-05-08
1/6-5	1140.000000	1695.000000	HORDALAND GP	GROUP	\N	1508	67	\N	9999-12-31	2013-05-08
1/6-5	1710.000000	1715.000000	LISTA FM	FORMATION	ROGALAND GP	1508	95	131	9999-12-31	2013-05-08
1/6-5	95.000000	1140.000000	NORDLAND GP	GROUP	\N	1508	113	\N	9999-12-31	2013-05-08
1/6-5	1695.000000	1721.000000	ROGALAND GP	GROUP	\N	1508	131	\N	9999-12-31	2013-05-08
1/6-5	1701.000000	1710.000000	SELE FM	FORMATION	ROGALAND GP	1508	142	131	9999-12-31	2013-05-08
1/6-5	1721.000000	1742.000000	SHETLAND GP	GROUP	\N	1508	143	\N	9999-12-31	2013-05-08
1/6-5	1725.000000	1732.000000	TOR FM	FORMATION	SHETLAND GP	1508	171	143	9999-12-31	2013-05-08
1/6-5	1715.000000	1721.000000	VÅLE FM	FORMATION	ROGALAND GP	1508	190	131	9999-12-31	2013-05-08
1/6-5	1742.000000	1854.000000	ZECHSTEIN GP	GROUP	\N	1508	194	\N	9999-12-31	2013-05-08
6205/3-1 R	3179.000000	3780.000000	AGAT FM	FORMATION	CROMER KNOLL GP	1510	2	23	9999-12-31	2013-05-08
6205/3-1 R	2876.000000	2891.000000	BLODØKS FM	FORMATION	SHETLAND GP	1510	13	143	9999-12-31	2013-05-08
6205/3-1 R	3133.000000	4394.000000	CROMER KNOLL GP	GROUP	\N	1510	23	\N	9999-12-31	2013-05-08
6205/3-1 R	1317.000000	1482.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	1510	31	131	9999-12-31	2013-05-08
6205/3-1 R	1482.000000	1573.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1510	74	143	9999-12-31	2013-05-08
6205/3-1 R	1573.000000	2425.000000	KYRRE FM	FORMATION	SHETLAND GP	1510	92	143	9999-12-31	2013-05-08
6205/3-1 R	1220.000000	1317.000000	LISTA FM	FORMATION	ROGALAND GP	1510	95	131	9999-12-31	2013-05-08
6205/3-1 R	4446.000000	4466.000000	NO FORMAL NAME	FORMATION	\N	1510	111	\N	9999-12-31	2013-05-08
6205/3-1 R	4485.000000	4494.000000	NO FORMAL NAME	FORMATION	\N	1510	111	\N	9999-12-31	2013-05-08
6205/3-1 R	4777.000000	4846.000000	NO FORMAL NAME	FORMATION	\N	1510	111	\N	9999-12-31	2013-05-08
6205/3-1 R	4955.000000	5046.000000	NO FORMAL NAME	FORMATION	\N	1510	111	\N	9999-12-31	2013-05-08
6205/3-1 R	5220.000000	5236.000000	NO FORMAL NAME	FORMATION	\N	1510	111	\N	9999-12-31	2013-05-08
6205/3-1 R	182.000000	308.000000	NORDLAND GP	GROUP	\N	1510	113	\N	9999-12-31	2013-05-08
6205/3-1 R	308.000000	1482.000000	ROGALAND GP	GROUP	\N	1510	131	\N	9999-12-31	2013-05-08
6205/3-1 R	3133.000000	3179.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1510	137	23	9999-12-31	2013-05-08
6205/3-1 R	308.000000	1220.000000	SELE FM	FORMATION	ROGALAND GP	1510	142	131	9999-12-31	2013-05-08
6205/3-1 R	1482.000000	3133.000000	SHETLAND GP	GROUP	\N	1510	143	\N	9999-12-31	2013-05-08
6205/3-1 R	3780.000000	3956.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1510	152	23	9999-12-31	2013-05-08
6205/3-1 R	4394.000000	4446.000000	SPEKK FM	FORMATION	VIKING GP	1510	155	188	9999-12-31	2013-05-08
6205/3-1 R	4466.000000	4485.000000	SPEKK FM	FORMATION	VIKING GP	1510	155	188	9999-12-31	2013-05-08
6205/3-1 R	4494.000000	4777.000000	SPEKK FM	FORMATION	VIKING GP	1510	155	188	9999-12-31	2013-05-08
6205/3-1 R	4846.000000	4955.000000	SPEKK FM	FORMATION	VIKING GP	1510	155	188	9999-12-31	2013-05-08
6205/3-1 R	5046.000000	5220.000000	SPEKK FM	FORMATION	VIKING GP	1510	155	188	9999-12-31	2013-05-08
6205/3-1 R	5236.000000	5264.000000	SPEKK FM	FORMATION	VIKING GP	1510	155	188	9999-12-31	2013-05-08
6205/3-1 R	2891.000000	3133.000000	SVARTE FM	FORMATION	SHETLAND GP	1510	160	143	9999-12-31	2013-05-08
6205/3-1 R	2425.000000	2876.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1510	173	143	9999-12-31	2013-05-08
6205/3-1 R	4394.000000	5264.000000	VIKING GP	GROUP	\N	1510	188	\N	9999-12-31	2013-05-08
6205/3-1 R	3956.000000	4394.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1510	198	23	9999-12-31	2013-05-08
2/7-19 R	2984.000000	3001.000000	BALDER FM	FORMATION	ROGALAND GP	1512	6	131	9999-12-31	2013-05-08
2/7-19 R	4052.000000	4078.000000	BLODØKS FM	FORMATION	SHETLAND GP	1512	13	143	9999-12-31	2013-05-08
2/7-19 R	4807.000000	4837.000000	BRYNE FM	FORMATION	VESTLAND GP	1512	19	186	9999-12-31	2013-05-08
2/7-19 R	4209.000000	4583.000000	CROMER KNOLL GP	GROUP	\N	1512	23	\N	9999-12-31	2013-05-08
2/7-19 R	3127.000000	3185.000000	EKOFISK FM	FORMATION	SHETLAND GP	1512	33	143	9999-12-31	2013-05-08
2/7-19 R	4587.000000	4690.000000	FARSUND FM	FORMATION	TYNE GP	1512	39	177	9999-12-31	2013-05-08
2/7-19 R	4078.000000	4209.000000	HIDRA FM	FORMATION	SHETLAND GP	1512	65	143	9999-12-31	2013-05-08
2/7-19 R	3441.000000	4052.000000	HOD FM	FORMATION	SHETLAND GP	1512	66	143	9999-12-31	2013-05-08
2/7-19 R	1527.000000	2984.000000	HORDALAND GP	GROUP	\N	1512	67	\N	9999-12-31	2013-05-08
2/7-19 R	3024.000000	3066.000000	LISTA FM	FORMATION	ROGALAND GP	1512	95	131	9999-12-31	2013-05-08
2/7-19 R	4583.000000	4587.000000	MANDAL FM	FORMATION	TYNE GP	1512	101	177	9999-12-31	2013-05-08
2/7-19 R	95.000000	1527.000000	NORDLAND GP	GROUP	\N	1512	113	\N	9999-12-31	2013-05-08
2/7-19 R	2984.000000	3127.000000	ROGALAND GP	GROUP	\N	1512	131	\N	9999-12-31	2013-05-08
2/7-19 R	4209.000000	4325.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1512	137	23	9999-12-31	2013-05-08
2/7-19 R	3001.000000	3024.000000	SELE FM	FORMATION	ROGALAND GP	1512	142	131	9999-12-31	2013-05-08
2/7-19 R	3127.000000	4209.000000	SHETLAND GP	GROUP	\N	1512	143	\N	9999-12-31	2013-05-08
2/7-19 R	4325.000000	4465.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1512	152	23	9999-12-31	2013-05-08
2/7-19 R	3185.000000	3441.000000	TOR FM	FORMATION	SHETLAND GP	1512	171	143	9999-12-31	2013-05-08
2/7-19 R	4583.000000	4690.000000	TYNE GP	GROUP	\N	1512	177	\N	9999-12-31	2013-05-08
2/7-19 R	4690.000000	4807.000000	ULA FM	FORMATION	VESTLAND GP	1512	179	186	9999-12-31	2013-05-08
2/7-19 R	4690.000000	4837.000000	VESTLAND GP	GROUP	\N	1512	186	\N	9999-12-31	2013-05-08
2/7-19 R	3066.000000	3127.000000	VÅLE FM	FORMATION	ROGALAND GP	1512	190	131	9999-12-31	2013-05-08
2/7-19 R	4837.000000	4873.000000	ZECHSTEIN GP	GROUP	\N	1512	194	\N	9999-12-31	2013-05-08
2/7-19 R	4465.000000	4583.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1512	198	23	9999-12-31	2013-05-08
6407/7-2 R	2714.000000	2936.000000	BÅT GP	GROUP	\N	1513	22	\N	9999-12-31	2013-05-08
6407/7-2 R	2469.000000	2639.000000	CROMER KNOLL GP	GROUP	\N	1513	23	\N	9999-12-31	2013-05-08
6407/7-2 R	2670.000000	2714.000000	FANGST GP	GROUP	\N	1513	38	\N	9999-12-31	2013-05-08
6407/7-2 R	2670.000000	2683.000000	GARN FM	FORMATION	FANGST GP	1513	48	38	9999-12-31	2013-05-08
6407/7-2 R	2936.000000	2982.000000	GREY BEDS (INFORMAL)	GROUP	\N	1513	52	\N	9999-12-31	2013-05-08
6407/7-2 R	2699.000000	2714.000000	ILE FM	FORMATION	FANGST GP	1513	70	38	9999-12-31	2013-05-08
6407/7-2 R	1080.000000	1725.000000	KAI FM	FORMATION	NORDLAND GP	1513	77	113	9999-12-31	2013-05-08
6407/7-2 R	2654.000000	2670.000000	MELKE FM	FORMATION	VIKING GP	1513	105	188	9999-12-31	2013-05-08
6407/7-2 R	363.000000	1080.000000	NAUST FM	FORMATION	NORDLAND GP	1513	109	113	9999-12-31	2013-05-08
6407/7-2 R	363.000000	1725.000000	NORDLAND GP	GROUP	\N	1513	113	\N	9999-12-31	2013-05-08
6407/7-2 R	2683.000000	2699.000000	NOT FM	FORMATION	FANGST GP	1513	120	38	9999-12-31	2013-05-08
6407/7-2 R	2982.000000	3322.000000	RED BEDS (INFORMAL)	GROUP	\N	1513	129	\N	9999-12-31	2013-05-08
6407/7-2 R	1725.000000	1961.000000	ROGALAND GP	GROUP	\N	1513	131	\N	9999-12-31	2013-05-08
6407/7-2 R	2714.000000	2773.000000	ROR FM	FORMATION	BÅT GP	1513	135	22	9999-12-31	2013-05-08
6407/7-2 R	1961.000000	2469.000000	SHETLAND GP	GROUP	\N	1513	143	\N	9999-12-31	2013-05-08
6407/7-2 R	2639.000000	2654.000000	SPEKK FM	FORMATION	VIKING GP	1513	155	188	9999-12-31	2013-05-08
6407/7-2 R	1788.000000	1961.000000	TANG FM	FORMATION	ROGALAND GP	1513	161	131	9999-12-31	2013-05-08
6407/7-2 R	1725.000000	1788.000000	TARE FM	FORMATION	ROGALAND GP	1513	163	131	9999-12-31	2013-05-08
6407/7-2 R	2773.000000	2880.000000	TILJE FM	FORMATION	BÅT GP	1513	169	22	9999-12-31	2013-05-08
6407/7-2 R	2639.000000	2670.000000	VIKING GP	GROUP	\N	1513	188	\N	9999-12-31	2013-05-08
6407/7-2 R	2880.000000	2936.000000	ÅRE FM	FORMATION	BÅT GP	1513	197	22	9999-12-31	2013-05-08
6507/6-2	1818.000000	1981.000000	BRYGGE FM	FORMATION	HORDALAND GP	1520	18	67	9999-12-31	2013-05-08
6507/6-2	3853.000000	4354.000000	BÅT GP	GROUP	\N	1520	22	\N	9999-12-31	2013-05-08
6507/6-2	2663.000000	3174.000000	CROMER KNOLL GP	GROUP	\N	1520	23	\N	9999-12-31	2013-05-08
6507/6-2	3727.000000	3853.000000	FANGST GP	GROUP	\N	1520	38	\N	9999-12-31	2013-05-08
6507/6-2	3727.000000	3781.000000	GARN FM	FORMATION	FANGST GP	1520	48	38	9999-12-31	2013-05-08
6507/6-2	1818.000000	1981.000000	HORDALAND GP	GROUP	\N	1520	67	\N	9999-12-31	2013-05-08
6507/6-2	3812.000000	3853.000000	ILE FM	FORMATION	FANGST GP	1520	70	38	9999-12-31	2013-05-08
6507/6-2	1395.000000	1818.000000	KAI FM	FORMATION	NORDLAND GP	1520	77	113	9999-12-31	2013-05-08
6507/6-2	2663.000000	3154.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1520	94	23	9999-12-31	2013-05-08
6507/6-2	3154.000000	3174.000000	LYR FM	FORMATION	CROMER KNOLL GP	1520	98	23	9999-12-31	2013-05-08
6507/6-2	3276.000000	3727.000000	MELKE FM	FORMATION	VIKING GP	1520	105	188	9999-12-31	2013-05-08
6507/6-2	333.000000	1395.000000	NAUST FM	FORMATION	NORDLAND GP	1520	109	113	9999-12-31	2013-05-08
6507/6-2	333.000000	1818.000000	NORDLAND GP	GROUP	\N	1520	113	\N	9999-12-31	2013-05-08
6507/6-2	3781.000000	3812.000000	NOT FM	FORMATION	FANGST GP	1520	120	38	9999-12-31	2013-05-08
6507/6-2	1981.000000	2092.000000	ROGALAND GP	GROUP	\N	1520	131	\N	9999-12-31	2013-05-08
6507/6-2	3853.000000	3904.000000	ROR FM	FORMATION	BÅT GP	1520	135	22	9999-12-31	2013-05-08
6507/6-2	2092.000000	2663.000000	SHETLAND GP	GROUP	\N	1520	143	\N	9999-12-31	2013-05-08
6507/6-2	3174.000000	3276.000000	SPEKK FM	FORMATION	VIKING GP	1520	155	188	9999-12-31	2013-05-08
6507/6-2	2039.000000	2092.000000	TANG FM	FORMATION	ROGALAND GP	1520	161	131	9999-12-31	2013-05-08
6507/6-2	1981.000000	2039.000000	TARE FM	FORMATION	ROGALAND GP	1520	163	131	9999-12-31	2013-05-08
6507/6-2	3904.000000	4014.000000	TILJE FM	FORMATION	BÅT GP	1520	169	22	9999-12-31	2013-05-08
6507/6-2	3174.000000	3727.000000	VIKING GP	GROUP	\N	1520	188	\N	9999-12-31	2013-05-08
6507/6-2	4014.000000	4354.000000	ÅRE FM	FORMATION	BÅT GP	1520	197	22	9999-12-31	2013-05-08
1/3-6	2823.000000	2836.000000	BALDER FM	FORMATION	ROGALAND GP	1521	6	131	9999-12-31	2013-05-08
1/3-6	3103.000000	3201.000000	EKOFISK FM	FORMATION	SHETLAND GP	1521	33	143	9999-12-31	2013-05-08
1/3-6	2914.000000	2999.000000	FORTIES FM	FORMATION	ROGALAND GP	1521	44	131	9999-12-31	2013-05-08
1/3-6	3530.000000	3586.000000	HOD FM	FORMATION	SHETLAND GP	1521	66	143	9999-12-31	2013-05-08
1/3-6	1600.000000	2823.000000	HORDALAND GP	GROUP	\N	1521	67	\N	9999-12-31	2013-05-08
1/3-6	97.000000	1600.000000	NORDLAND GP	GROUP	\N	1521	113	\N	9999-12-31	2013-05-08
1/3-6	2823.000000	3103.000000	ROGALAND GP	GROUP	\N	1521	131	\N	9999-12-31	2013-05-08
1/3-6	2836.000000	2914.000000	SELE FM	FORMATION	ROGALAND GP	1521	142	131	9999-12-31	2013-05-08
1/3-6	3103.000000	3586.000000	SHETLAND GP	GROUP	\N	1521	143	\N	9999-12-31	2013-05-08
1/3-6	3201.000000	3530.000000	TOR FM	FORMATION	SHETLAND GP	1521	171	143	9999-12-31	2013-05-08
1/3-6	2999.000000	3103.000000	VÅLE FM	FORMATION	ROGALAND GP	1521	190	131	9999-12-31	2013-05-08
35/11-4	2918.000000	3023.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1523	4	29	9999-12-31	2013-05-08
35/11-4	1397.000000	1448.000000	BALDER FM	FORMATION	ROGALAND GP	1523	6	131	9999-12-31	2013-05-08
35/11-4	2624.000000	2785.000000	BRENT GP	GROUP	\N	1523	16	\N	9999-12-31	2013-05-08
35/11-4	2825.000000	2918.000000	COOK FM	FORMATION	DUNLIN GP	1523	24	29	9999-12-31	2013-05-08
35/11-4	2785.000000	2825.000000	DRAKE FM	FORMATION	DUNLIN GP	1523	27	29	9999-12-31	2013-05-08
35/11-4	1966.000000	1984.000000	DRAUPNE FM	FORMATION	VIKING GP	1523	28	188	9999-12-31	2013-05-08
35/11-4	2785.000000	3082.000000	DUNLIN GP	GROUP	\N	1523	29	\N	9999-12-31	2013-05-08
35/11-4	2656.000000	2686.000000	ETIVE FM	FORMATION	BRENT GP	1523	35	16	9999-12-31	2013-05-08
35/11-4	2284.000000	2365.000000	FENSFJORD FM	FORMATION	VIKING GP	1523	40	188	9999-12-31	2013-05-08
35/11-4	2116.000000	2284.000000	HEATHER FM	FORMATION	VIKING GP	1523	60	188	9999-12-31	2013-05-08
35/11-4	2365.000000	2624.000000	HEATHER FM	FORMATION	VIKING GP	1523	60	188	9999-12-31	2013-05-08
35/11-4	734.000000	1397.000000	HORDALAND GP	GROUP	\N	1523	67	\N	9999-12-31	2013-05-08
35/11-4	3023.000000	3082.000000	JOHANSEN FM	FORMATION	DUNLIN GP	1523	73	29	9999-12-31	2013-05-08
35/11-4	1835.000000	1900.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1523	74	143	9999-12-31	2013-05-08
35/11-4	1900.000000	1966.000000	KYRRE FM	FORMATION	SHETLAND GP	1523	92	143	9999-12-31	2013-05-08
35/11-4	1561.000000	1646.000000	LISTA FM	FORMATION	ROGALAND GP	1523	95	131	9999-12-31	2013-05-08
35/11-4	1710.000000	1760.000000	LISTA FM	FORMATION	ROGALAND GP	1523	95	131	9999-12-31	2013-05-08
35/11-4	2624.000000	2656.000000	NESS FM	FORMATION	BRENT GP	1523	110	16	9999-12-31	2013-05-08
35/11-4	1646.000000	1710.000000	NO FORMAL NAME	FORMATION	\N	1523	111	\N	9999-12-31	2013-05-08
35/11-4	372.000000	734.000000	NORDLAND GP	GROUP	\N	1523	113	\N	9999-12-31	2013-05-08
35/11-4	2707.000000	2785.000000	OSEBERG FM	FORMATION	BRENT GP	1523	123	16	9999-12-31	2013-05-08
35/11-4	2686.000000	2707.000000	RANNOCH FM	FORMATION	BRENT GP	1523	126	16	9999-12-31	2013-05-08
35/11-4	1397.000000	1835.000000	ROGALAND GP	GROUP	\N	1523	131	\N	9999-12-31	2013-05-08
35/11-4	1448.000000	1561.000000	SELE FM	FORMATION	ROGALAND GP	1523	142	131	9999-12-31	2013-05-08
35/11-4	1835.000000	1966.000000	SHETLAND GP	GROUP	\N	1523	143	\N	9999-12-31	2013-05-08
35/11-4	1984.000000	2116.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1523	151	188	9999-12-31	2013-05-08
35/11-4	3082.000000	3127.000000	STATFJORD FM	FORMATION	\N	1523	157	\N	9999-12-31	2013-05-08
35/11-4	707.000000	734.000000	UTSIRA FM	FORMATION	NORDLAND GP	1523	183	113	9999-12-31	2013-05-08
35/11-4	1966.000000	2624.000000	VIKING GP	GROUP	\N	1523	188	\N	9999-12-31	2013-05-08
35/11-4	1760.000000	1835.000000	VÅLE FM	FORMATION	ROGALAND GP	1523	190	131	9999-12-31	2013-05-08
35/11-4	3082.000000	3127.000000	NO GROUP DEFINED	GROUP	\N	1523	208	\N	9999-12-31	2013-05-08
15/12-6 S	2311.000000	2323.000000	BALDER FM	FORMATION	ROGALAND GP	1524	6	131	9999-12-31	2013-05-08
15/12-6 S	2708.000000	2732.000000	BLODØKS FM	FORMATION	SHETLAND GP	1524	13	143	9999-12-31	2013-05-08
15/12-6 S	2732.000000	2746.000000	CROMER KNOLL GP	GROUP	\N	1524	23	\N	9999-12-31	2013-05-08
15/12-6 S	2746.000000	2834.000000	DRAUPNE FM	FORMATION	VIKING GP	1524	28	188	9999-12-31	2013-05-08
15/12-6 S	2834.000000	2871.000000	HEATHER FM	FORMATION	VIKING GP	1524	60	188	9999-12-31	2013-05-08
15/12-6 S	2548.000000	2708.000000	HOD FM	FORMATION	SHETLAND GP	1524	66	143	9999-12-31	2013-05-08
15/12-6 S	1252.000000	2311.000000	HORDALAND GP	GROUP	\N	1524	67	\N	9999-12-31	2013-05-08
15/12-6 S	2871.000000	2949.000000	HUGIN FM	FORMATION	VESTLAND GP	1524	69	186	9999-12-31	2013-05-08
15/12-6 S	2351.000000	2421.000000	LISTA FM	FORMATION	ROGALAND GP	1524	95	131	9999-12-31	2013-05-08
15/12-6 S	107.000000	1252.000000	NORDLAND GP	GROUP	\N	1524	113	\N	9999-12-31	2013-05-08
15/12-6 S	2311.000000	2428.000000	ROGALAND GP	GROUP	\N	1524	131	\N	9999-12-31	2013-05-08
15/12-6 S	2323.000000	2351.000000	SELE FM	FORMATION	ROGALAND GP	1524	142	131	9999-12-31	2013-05-08
15/12-6 S	2428.000000	2732.000000	SHETLAND GP	GROUP	\N	1524	143	\N	9999-12-31	2013-05-08
15/12-6 S	2979.000000	3050.000000	SKAGERRAK FM	FORMATION	HEGRE GP	1524	146	61	9999-12-31	2013-05-08
15/12-6 S	2949.000000	2979.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1524	148	186	9999-12-31	2013-05-08
15/12-6 S	2428.000000	2548.000000	TOR FM	FORMATION	SHETLAND GP	1524	171	143	9999-12-31	2013-05-08
15/12-6 S	1195.000000	1252.000000	UTSIRA FM	FORMATION	NORDLAND GP	1524	183	113	9999-12-31	2013-05-08
15/12-6 S	2871.000000	2979.000000	VESTLAND GP	GROUP	\N	1524	186	\N	9999-12-31	2013-05-08
15/12-6 S	2746.000000	2871.000000	VIKING GP	GROUP	\N	1524	188	\N	9999-12-31	2013-05-08
15/12-6 S	2421.000000	2428.000000	VÅLE FM	FORMATION	ROGALAND GP	1524	190	131	9999-12-31	2013-05-08
15/12-6 S	2979.000000	3050.000000	NO GROUP DEFINED	GROUP	\N	1524	208	\N	9999-12-31	2013-05-08
2/6-4 S	2755.000000	2767.000000	BALDER FM	FORMATION	ROGALAND GP	1527	6	131	9999-12-31	2013-05-08
2/6-4 S	3542.000000	3606.000000	BRYNE FM	FORMATION	VESTLAND GP	1527	19	186	9999-12-31	2013-05-08
2/6-4 S	2858.000000	2923.000000	EKOFISK FM	FORMATION	SHETLAND GP	1527	33	143	9999-12-31	2013-05-08
2/6-4 S	3402.000000	3537.000000	FARSUND FM	FORMATION	TYNE GP	1527	39	177	9999-12-31	2013-05-08
2/6-4 S	3171.000000	3402.000000	HOD FM	FORMATION	SHETLAND GP	1527	66	143	9999-12-31	2013-05-08
2/6-4 S	1442.000000	2755.000000	HORDALAND GP	GROUP	\N	1527	67	\N	9999-12-31	2013-05-08
2/6-4 S	2799.000000	2826.000000	LISTA FM	FORMATION	ROGALAND GP	1527	95	131	9999-12-31	2013-05-08
2/6-4 S	3537.000000	3542.000000	NO FORMAL NAME	FORMATION	\N	1527	111	\N	9999-12-31	2013-05-08
2/6-4 S	77.000000	1442.000000	NORDLAND GP	GROUP	\N	1527	113	\N	9999-12-31	2013-05-08
2/6-4 S	2755.000000	2858.000000	ROGALAND GP	GROUP	\N	1527	131	\N	9999-12-31	2013-05-08
2/6-4 S	2767.000000	2799.000000	SELE FM	FORMATION	ROGALAND GP	1527	142	131	9999-12-31	2013-05-08
2/6-4 S	2858.000000	3542.000000	SHETLAND GP	GROUP	\N	1527	143	\N	9999-12-31	2013-05-08
2/6-4 S	3606.000000	3615.000000	SMITH BANK FM	FORMATION	HEGRE GP	1527	149	61	9999-12-31	2013-05-08
2/6-4 S	2923.000000	3171.000000	TOR FM	FORMATION	SHETLAND GP	1527	171	143	9999-12-31	2013-05-08
2/6-4 S	3542.000000	3606.000000	VESTLAND GP	GROUP	\N	1527	186	\N	9999-12-31	2013-05-08
2/6-4 S	2826.000000	2858.000000	VÅLE FM	FORMATION	ROGALAND GP	1527	190	131	9999-12-31	2013-05-08
2/6-4 S	3615.000000	3617.000000	ZECHSTEIN GP	GROUP	\N	1527	194	\N	9999-12-31	2013-05-08
2/6-4 S	3606.000000	3615.000000	NO GROUP DEFINED	GROUP	\N	1527	208	\N	9999-12-31	2013-05-08
34/10-33 CR	1821.000000	1897.000000	BALDER FM	FORMATION	ROGALAND GP	1530	6	131	9999-12-31	2013-05-08
34/10-33 CR	3215.000000	3722.000000	BRENT GP	GROUP	\N	1530	16	\N	9999-12-31	2013-05-08
34/10-33 CR	3008.000000	3012.000000	CROMER KNOLL GP	GROUP	\N	1530	23	\N	9999-12-31	2013-05-08
34/10-33 CR	3722.000000	3752.000000	DRAKE FM	FORMATION	DUNLIN GP	1530	27	29	9999-12-31	2013-05-08
34/10-33 CR	3012.000000	3045.000000	DRAUPNE FM	FORMATION	VIKING GP	1530	28	188	9999-12-31	2013-05-08
34/10-33 CR	3722.000000	3752.000000	DUNLIN GP	GROUP	\N	1530	29	\N	9999-12-31	2013-05-08
34/10-33 CR	3601.000000	3617.000000	ETIVE FM	FORMATION	BRENT GP	1530	35	16	9999-12-31	2013-05-08
34/10-33 CR	3045.000000	3215.000000	HEATHER FM	FORMATION	VIKING GP	1530	60	188	9999-12-31	2013-05-08
34/10-33 CR	974.000000	1821.000000	HORDALAND GP	GROUP	\N	1530	67	\N	9999-12-31	2013-05-08
34/10-33 CR	2048.000000	2340.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1530	74	143	9999-12-31	2013-05-08
34/10-33 CR	2340.000000	3008.000000	KYRRE FM	FORMATION	SHETLAND GP	1530	92	143	9999-12-31	2013-05-08
34/10-33 CR	1897.000000	2048.000000	LISTA FM	FORMATION	ROGALAND GP	1530	95	131	9999-12-31	2013-05-08
34/10-33 CR	3008.000000	3012.000000	MIME FM	FORMATION	CROMER KNOLL GP	1530	106	23	9999-12-31	2013-05-08
34/10-33 CR	3345.000000	3601.000000	NESS FM	FORMATION	BRENT GP	1530	110	16	9999-12-31	2013-05-08
34/10-33 CR	950.000000	974.000000	NO FORMAL NAME	FORMATION	\N	1530	111	\N	9999-12-31	2013-05-08
34/10-33 CR	1029.000000	1139.000000	NO FORMAL NAME	FORMATION	\N	1530	111	\N	9999-12-31	2013-05-08
34/10-33 CR	1139.000000	1247.000000	NO FORMAL NAME	FORMATION	\N	1530	111	\N	9999-12-31	2013-05-08
34/10-33 CR	1247.000000	1514.000000	NO FORMAL NAME	FORMATION	\N	1530	111	\N	9999-12-31	2013-05-08
34/10-33 CR	1514.000000	1562.000000	NO FORMAL NAME	FORMATION	\N	1530	111	\N	9999-12-31	2013-05-08
34/10-33 CR	1562.000000	1610.000000	NO FORMAL NAME	FORMATION	\N	1530	111	\N	9999-12-31	2013-05-08
34/10-33 CR	1610.000000	1821.000000	NO FORMAL NAME	FORMATION	\N	1530	111	\N	9999-12-31	2013-05-08
34/10-33 CR	157.000000	974.000000	NORDLAND GP	GROUP	\N	1530	113	\N	9999-12-31	2013-05-08
34/10-33 CR	3617.000000	3722.000000	RANNOCH FM	FORMATION	BRENT GP	1530	126	16	9999-12-31	2013-05-08
34/10-33 CR	1821.000000	2048.000000	ROGALAND GP	GROUP	\N	1530	131	\N	9999-12-31	2013-05-08
34/10-33 CR	2048.000000	3008.000000	SHETLAND GP	GROUP	\N	1530	143	\N	9999-12-31	2013-05-08
34/10-33 CR	3215.000000	3345.000000	TARBERT FM	FORMATION	BRENT GP	1530	162	16	9999-12-31	2013-05-08
34/10-33 CR	909.000000	950.000000	UTSIRA FM	FORMATION	NORDLAND GP	1530	183	113	9999-12-31	2013-05-08
34/10-33 CR	3012.000000	3215.000000	VIKING GP	GROUP	\N	1530	188	\N	9999-12-31	2013-05-08
6507/3-1	1610.000000	1887.000000	BRYGGE FM	FORMATION	HORDALAND GP	1533	18	67	9999-12-31	2013-05-08
6507/3-1	3723.000000	4757.000000	BÅT GP	GROUP	\N	1533	22	\N	9999-12-31	2013-05-08
6507/3-1	2845.000000	3088.000000	CROMER KNOLL GP	GROUP	\N	1533	23	\N	9999-12-31	2013-05-08
6507/3-1	3608.000000	3723.000000	FANGST GP	GROUP	\N	1533	38	\N	9999-12-31	2013-05-08
6507/3-1	3608.000000	3635.000000	GARN FM	FORMATION	FANGST GP	1533	48	38	9999-12-31	2013-05-08
6507/3-1	1610.000000	1887.000000	HORDALAND GP	GROUP	\N	1533	67	\N	9999-12-31	2013-05-08
6507/3-1	3665.000000	3723.000000	ILE FM	FORMATION	FANGST GP	1533	70	38	9999-12-31	2013-05-08
6507/3-1	1305.000000	1610.000000	KAI FM	FORMATION	NORDLAND GP	1533	77	113	9999-12-31	2013-05-08
6507/3-1	2809.000000	2845.000000	KVITNOS FM	FORMATION	SHETLAND GP	1533	91	143	9999-12-31	2013-05-08
6507/3-1	2845.000000	3018.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1533	94	23	9999-12-31	2013-05-08
6507/3-1	3018.000000	3088.000000	LYR FM	FORMATION	CROMER KNOLL GP	1533	98	23	9999-12-31	2013-05-08
6507/3-1	3122.000000	3608.000000	MELKE FM	FORMATION	VIKING GP	1533	105	188	9999-12-31	2013-05-08
6507/3-1	393.000000	1305.000000	NAUST FM	FORMATION	NORDLAND GP	1533	109	113	9999-12-31	2013-05-08
6507/3-1	2106.000000	2809.000000	NISE FM	FORMATION	SHETLAND GP	1533	112	143	9999-12-31	2013-05-08
6507/3-1	393.000000	1610.000000	NORDLAND GP	GROUP	\N	1533	113	\N	9999-12-31	2013-05-08
6507/3-1	3635.000000	3665.000000	NOT FM	FORMATION	FANGST GP	1533	120	38	9999-12-31	2013-05-08
6507/3-1	1887.000000	1984.000000	ROGALAND GP	GROUP	\N	1533	131	\N	9999-12-31	2013-05-08
6507/3-1	3723.000000	3743.000000	ROR FM	FORMATION	BÅT GP	1533	135	22	9999-12-31	2013-05-08
6507/3-1	3763.000000	3776.000000	ROR FM	FORMATION	BÅT GP	1533	135	22	9999-12-31	2013-05-08
6507/3-1	1984.000000	2845.000000	SHETLAND GP	GROUP	\N	1533	143	\N	9999-12-31	2013-05-08
6507/3-1	3088.000000	3122.000000	SPEKK FM	FORMATION	VIKING GP	1533	155	188	9999-12-31	2013-05-08
6507/3-1	1984.000000	2106.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1533	156	143	9999-12-31	2013-05-08
6507/3-1	1923.000000	1984.000000	TANG FM	FORMATION	ROGALAND GP	1533	161	131	9999-12-31	2013-05-08
6507/3-1	1887.000000	1923.000000	TARE FM	FORMATION	ROGALAND GP	1533	163	131	9999-12-31	2013-05-08
6507/3-1	3776.000000	3976.000000	TILJE FM	FORMATION	BÅT GP	1533	169	22	9999-12-31	2013-05-08
6507/3-1	3743.000000	3763.000000	TOFTE FM	FORMATION	BÅT GP	1533	170	22	9999-12-31	2013-05-08
6507/3-1	3088.000000	3608.000000	VIKING GP	GROUP	\N	1533	188	\N	9999-12-31	2013-05-08
6507/3-1	3976.000000	4757.000000	ÅRE FM	FORMATION	BÅT GP	1533	197	22	9999-12-31	2013-05-08
25/1-7 R4	2177.000000	2182.000000	BALDER FM	FORMATION	ROGALAND GP	1534	6	131	9999-12-31	2013-05-08
25/1-7 R4	2212.000000	2287.000000	BALDER FM	FORMATION	ROGALAND GP	1534	6	131	9999-12-31	2013-05-08
25/1-7 R4	2182.000000	2212.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1534	7	131	9999-12-31	2013-05-08
25/1-7 R4	1916.000000	2177.000000	FRIGG FM	FORMATION	HORDALAND GP	1534	45	67	9999-12-31	2013-05-08
25/1-7 R4	2287.000000	2436.000000	HERMOD FM	FORMATION	ROGALAND GP	1534	64	131	9999-12-31	2013-05-08
25/1-7 R4	743.000000	2177.000000	HORDALAND GP	GROUP	\N	1534	67	\N	9999-12-31	2013-05-08
25/1-7 R4	2707.000000	2716.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1534	74	143	9999-12-31	2013-05-08
25/1-7 R4	2436.000000	2677.000000	LISTA FM	FORMATION	ROGALAND GP	1534	95	131	9999-12-31	2013-05-08
25/1-7 R4	123.000000	743.000000	NORDLAND GP	GROUP	\N	1534	113	\N	9999-12-31	2013-05-08
25/1-7 R4	2177.000000	2707.000000	ROGALAND GP	GROUP	\N	1534	131	\N	9999-12-31	2013-05-08
25/1-7 R4	2707.000000	2716.000000	SHETLAND GP	GROUP	\N	1534	143	\N	9999-12-31	2013-05-08
25/1-7 R4	2677.000000	2707.000000	VÅLE FM	FORMATION	ROGALAND GP	1534	190	131	9999-12-31	2013-05-08
34/7-17 A	1699.000000	1770.000000	BALDER FM	FORMATION	ROGALAND GP	1536	6	131	9999-12-31	2013-05-08
34/7-17 A	2495.000000	2650.000000	BRENT GP	GROUP	\N	1536	16	\N	9999-12-31	2013-05-08
34/7-17 A	2483.000000	2495.000000	CROMER KNOLL GP	GROUP	\N	1536	23	\N	9999-12-31	2013-05-08
34/7-17 A	2572.000000	2650.000000	ETIVE FM	FORMATION	BRENT GP	1536	35	16	9999-12-31	2013-05-08
34/7-17 A	1079.000000	1699.000000	HORDALAND GP	GROUP	\N	1536	67	\N	9999-12-31	2013-05-08
34/7-17 A	1924.000000	2126.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1536	74	143	9999-12-31	2013-05-08
34/7-17 A	2126.000000	2483.000000	KYRRE FM	FORMATION	SHETLAND GP	1536	92	143	9999-12-31	2013-05-08
34/7-17 A	1770.000000	1924.000000	LISTA FM	FORMATION	ROGALAND GP	1536	95	131	9999-12-31	2013-05-08
34/7-17 A	2487.000000	2495.000000	MIME FM	FORMATION	CROMER KNOLL GP	1536	106	23	9999-12-31	2013-05-08
34/7-17 A	2521.000000	2572.000000	NESS FM	FORMATION	BRENT GP	1536	110	16	9999-12-31	2013-05-08
34/7-17 A	1257.000000	1331.000000	NO FORMAL NAME	FORMATION	\N	1536	111	\N	9999-12-31	2013-05-08
34/7-17 A	1331.000000	1403.000000	NO FORMAL NAME	FORMATION	\N	1536	111	\N	9999-12-31	2013-05-08
34/7-17 A	1403.000000	1423.000000	NO FORMAL NAME	FORMATION	\N	1536	111	\N	9999-12-31	2013-05-08
34/7-17 A	1423.000000	1699.000000	NO FORMAL NAME	FORMATION	\N	1536	111	\N	9999-12-31	2013-05-08
34/7-17 A	285.000000	1079.000000	NORDLAND GP	GROUP	\N	1536	113	\N	9999-12-31	2013-05-08
34/7-17 A	1699.000000	1924.000000	ROGALAND GP	GROUP	\N	1536	131	\N	9999-12-31	2013-05-08
34/7-17 A	2483.000000	2487.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1536	137	23	9999-12-31	2013-05-08
34/7-17 A	1924.000000	2483.000000	SHETLAND GP	GROUP	\N	1536	143	\N	9999-12-31	2013-05-08
34/7-17 A	2495.000000	2521.000000	TARBERT FM	FORMATION	BRENT GP	1536	162	16	9999-12-31	2013-05-08
34/7-17 A	944.000000	1079.000000	UTSIRA FM	FORMATION	NORDLAND GP	1536	183	113	9999-12-31	2013-05-08
6406/11-1 S	1397.000000	2143.000000	BRYGGE FM	FORMATION	HORDALAND GP	1539	18	67	9999-12-31	2013-05-08
6406/11-1 S	3722.000000	4134.000000	BÅT GP	GROUP	\N	1539	22	\N	9999-12-31	2013-05-08
6406/11-1 S	3205.000000	3419.000000	CROMER KNOLL GP	GROUP	\N	1539	23	\N	9999-12-31	2013-05-08
6406/11-1 S	3522.000000	3722.000000	FANGST GP	GROUP	\N	1539	38	\N	9999-12-31	2013-05-08
6406/11-1 S	4134.000000	4149.000000	GREY BEDS (INFORMAL)	GROUP	\N	1539	52	\N	9999-12-31	2013-05-08
6406/11-1 S	1397.000000	2143.000000	HORDALAND GP	GROUP	\N	1539	67	\N	9999-12-31	2013-05-08
6406/11-1 S	3599.000000	3722.000000	ILE FM	FORMATION	FANGST GP	1539	70	38	9999-12-31	2013-05-08
6406/11-1 S	1191.000000	1397.000000	KAI FM	FORMATION	NORDLAND GP	1539	77	113	9999-12-31	2013-05-08
6406/11-1 S	2770.000000	3205.000000	KVITNOS FM	FORMATION	SHETLAND GP	1539	91	143	9999-12-31	2013-05-08
6406/11-1 S	3205.000000	3370.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1539	94	23	9999-12-31	2013-05-08
6406/11-1 S	3370.000000	3419.000000	LYR FM	FORMATION	CROMER KNOLL GP	1539	98	23	9999-12-31	2013-05-08
6406/11-1 S	3419.000000	3522.000000	MELKE FM	FORMATION	VIKING GP	1539	105	188	9999-12-31	2013-05-08
6406/11-1 S	341.000000	1191.000000	NAUST FM	FORMATION	NORDLAND GP	1539	109	113	9999-12-31	2013-05-08
6406/11-1 S	2371.000000	2770.000000	NISE FM	FORMATION	SHETLAND GP	1539	112	143	9999-12-31	2013-05-08
6406/11-1 S	341.000000	1397.000000	NORDLAND GP	GROUP	\N	1539	113	\N	9999-12-31	2013-05-08
6406/11-1 S	3522.000000	3599.000000	NOT FM	FORMATION	FANGST GP	1539	120	38	9999-12-31	2013-05-08
6406/11-1 S	4149.000000	4185.000000	RED BEDS (INFORMAL)	GROUP	\N	1539	129	\N	9999-12-31	2013-05-08
6406/11-1 S	2143.000000	2335.000000	ROGALAND GP	GROUP	\N	1539	131	\N	9999-12-31	2013-05-08
6406/11-1 S	3722.000000	3787.000000	ROR FM	FORMATION	BÅT GP	1539	135	22	9999-12-31	2013-05-08
6406/11-1 S	3822.000000	3871.000000	ROR FM	FORMATION	BÅT GP	1539	135	22	9999-12-31	2013-05-08
6406/11-1 S	2335.000000	3205.000000	SHETLAND GP	GROUP	\N	1539	143	\N	9999-12-31	2013-05-08
6406/11-1 S	2335.000000	2371.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1539	156	143	9999-12-31	2013-05-08
6406/11-1 S	2190.000000	2335.000000	TANG FM	FORMATION	ROGALAND GP	1539	161	131	9999-12-31	2013-05-08
6406/11-1 S	2143.000000	2190.000000	TARE FM	FORMATION	ROGALAND GP	1539	163	131	9999-12-31	2013-05-08
6406/11-1 S	3871.000000	3985.000000	TILJE FM	FORMATION	BÅT GP	1539	169	22	9999-12-31	2013-05-08
6406/11-1 S	3787.000000	3822.000000	TOFTE FM	FORMATION	BÅT GP	1539	170	22	9999-12-31	2013-05-08
6406/11-1 S	3419.000000	3522.000000	VIKING GP	GROUP	\N	1539	188	\N	9999-12-31	2013-05-08
6406/11-1 S	3985.000000	4134.000000	ÅRE FM	FORMATION	BÅT GP	1539	197	22	9999-12-31	2013-05-08
34/7-15 S	1804.000000	1832.000000	BALDER FM	FORMATION	ROGALAND GP	1544	6	131	9999-12-31	2013-05-08
34/7-15 S	4376.000000	4571.000000	BRENT GP	GROUP	\N	1544	16	\N	9999-12-31	2013-05-08
34/7-15 S	3165.000000	3440.000000	CROMER KNOLL GP	GROUP	\N	1544	23	\N	9999-12-31	2013-05-08
34/7-15 S	3550.000000	3555.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1544	26	188	9999-12-31	2013-05-08
34/7-15 S	3581.000000	3590.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1544	26	188	9999-12-31	2013-05-08
34/7-15 S	3597.000000	3601.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1544	26	188	9999-12-31	2013-05-08
34/7-15 S	3656.000000	3667.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1544	26	188	9999-12-31	2013-05-08
34/7-15 S	3675.000000	3677.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1544	26	188	9999-12-31	2013-05-08
34/7-15 S	3802.000000	3805.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1544	26	188	9999-12-31	2013-05-08
34/7-15 S	3846.000000	3848.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1544	26	188	9999-12-31	2013-05-08
34/7-15 S	4571.000000	4646.000000	DRAKE FM	FORMATION	DUNLIN GP	1544	27	29	9999-12-31	2013-05-08
34/7-15 S	3440.000000	3550.000000	DRAUPNE FM	FORMATION	VIKING GP	1544	28	188	9999-12-31	2013-05-08
34/7-15 S	3555.000000	3581.000000	DRAUPNE FM	FORMATION	VIKING GP	1544	28	188	9999-12-31	2013-05-08
34/7-15 S	3590.000000	3597.000000	DRAUPNE FM	FORMATION	VIKING GP	1544	28	188	9999-12-31	2013-05-08
34/7-15 S	3601.000000	3656.000000	DRAUPNE FM	FORMATION	VIKING GP	1544	28	188	9999-12-31	2013-05-08
34/7-15 S	3667.000000	3675.000000	DRAUPNE FM	FORMATION	VIKING GP	1544	28	188	9999-12-31	2013-05-08
34/7-15 S	3677.000000	3802.000000	DRAUPNE FM	FORMATION	VIKING GP	1544	28	188	9999-12-31	2013-05-08
34/7-15 S	3805.000000	3846.000000	DRAUPNE FM	FORMATION	VIKING GP	1544	28	188	9999-12-31	2013-05-08
34/7-15 S	3848.000000	3855.000000	DRAUPNE FM	FORMATION	VIKING GP	1544	28	188	9999-12-31	2013-05-08
34/7-15 S	4571.000000	4646.000000	DUNLIN GP	GROUP	\N	1544	29	\N	9999-12-31	2013-05-08
34/7-15 S	4460.000000	4513.000000	ETIVE FM	FORMATION	BRENT GP	1544	35	16	9999-12-31	2013-05-08
34/7-15 S	3901.000000	3908.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	1544	59	188	9999-12-31	2013-05-08
34/7-15 S	4120.000000	4123.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	1544	59	188	9999-12-31	2013-05-08
34/7-15 S	4168.000000	4172.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	1544	59	188	9999-12-31	2013-05-08
34/7-15 S	3855.000000	3901.000000	HEATHER FM	FORMATION	VIKING GP	1544	60	188	9999-12-31	2013-05-08
34/7-15 S	3908.000000	4120.000000	HEATHER FM	FORMATION	VIKING GP	1544	60	188	9999-12-31	2013-05-08
34/7-15 S	4123.000000	4168.000000	HEATHER FM	FORMATION	VIKING GP	1544	60	188	9999-12-31	2013-05-08
34/7-15 S	4172.000000	4376.000000	HEATHER FM	FORMATION	VIKING GP	1544	60	188	9999-12-31	2013-05-08
34/7-15 S	1114.000000	1804.000000	HORDALAND GP	GROUP	\N	1544	67	\N	9999-12-31	2013-05-08
34/7-15 S	1977.000000	2246.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1544	74	143	9999-12-31	2013-05-08
34/7-15 S	2246.000000	2957.000000	KYRRE FM	FORMATION	SHETLAND GP	1544	92	143	9999-12-31	2013-05-08
34/7-15 S	1832.000000	1977.000000	LISTA FM	FORMATION	ROGALAND GP	1544	95	131	9999-12-31	2013-05-08
34/7-15 S	3397.000000	3440.000000	MIME FM	FORMATION	CROMER KNOLL GP	1544	106	23	9999-12-31	2013-05-08
34/7-15 S	4434.000000	4460.000000	NESS FM	FORMATION	BRENT GP	1544	110	16	9999-12-31	2013-05-08
34/7-15 S	1367.000000	1450.000000	NO FORMAL NAME	FORMATION	\N	1544	111	\N	9999-12-31	2013-05-08
34/7-15 S	1450.000000	1804.000000	NO FORMAL NAME	FORMATION	\N	1544	111	\N	9999-12-31	2013-05-08
34/7-15 S	332.000000	1114.000000	NORDLAND GP	GROUP	\N	1544	113	\N	9999-12-31	2013-05-08
34/7-15 S	4513.000000	4571.000000	RANNOCH FM	FORMATION	BRENT GP	1544	126	16	9999-12-31	2013-05-08
34/7-15 S	1804.000000	1977.000000	ROGALAND GP	GROUP	\N	1544	131	\N	9999-12-31	2013-05-08
34/7-15 S	1977.000000	3165.000000	SHETLAND GP	GROUP	\N	1544	143	\N	9999-12-31	2013-05-08
34/7-15 S	2957.000000	3165.000000	SVARTE FM	FORMATION	SHETLAND GP	1544	160	143	9999-12-31	2013-05-08
34/7-15 S	4376.000000	4434.000000	TARBERT FM	FORMATION	BRENT GP	1544	162	16	9999-12-31	2013-05-08
34/7-15 S	996.000000	1114.000000	UTSIRA FM	FORMATION	NORDLAND GP	1544	183	113	9999-12-31	2013-05-08
34/7-15 S	3440.000000	4376.000000	VIKING GP	GROUP	\N	1544	188	\N	9999-12-31	2013-05-08
34/7-15 S	3165.000000	3397.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1544	198	23	9999-12-31	2013-05-08
2/7-23 S	3090.000000	3108.000000	BALDER FM	FORMATION	ROGALAND GP	1547	6	131	9999-12-31	2013-05-08
2/7-23 S	3160.000000	3202.000000	BALDER FM	FORMATION	ROGALAND GP	1547	6	131	9999-12-31	2013-05-08
2/7-23 S	4143.000000	4150.000000	BLODØKS FM	FORMATION	SHETLAND GP	1547	13	143	9999-12-31	2013-05-08
2/7-23 S	4213.000000	4408.000000	CROMER KNOLL GP	GROUP	\N	1547	23	\N	9999-12-31	2013-05-08
2/7-23 S	3231.000000	3315.000000	EKOFISK FM	FORMATION	SHETLAND GP	1547	33	143	9999-12-31	2013-05-08
2/7-23 S	4150.000000	4213.000000	HIDRA FM	FORMATION	SHETLAND GP	1547	65	143	9999-12-31	2013-05-08
2/7-23 S	3577.000000	4143.000000	HOD FM	FORMATION	SHETLAND GP	1547	66	143	9999-12-31	2013-05-08
2/7-23 S	1609.000000	3090.000000	HORDALAND GP	GROUP	\N	1547	67	\N	9999-12-31	2013-05-08
2/7-23 S	4408.000000	4412.000000	MANDAL FM	FORMATION	TYNE GP	1547	101	177	9999-12-31	2013-05-08
2/7-23 S	100.000000	1609.000000	NORDLAND GP	GROUP	\N	1547	113	\N	9999-12-31	2013-05-08
2/7-23 S	3090.000000	3231.000000	ROGALAND GP	GROUP	\N	1547	131	\N	9999-12-31	2013-05-08
2/7-23 S	4213.000000	4301.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1547	137	23	9999-12-31	2013-05-08
2/7-23 S	3108.000000	3160.000000	SELE FM	FORMATION	ROGALAND GP	1547	142	131	9999-12-31	2013-05-08
2/7-23 S	3231.000000	4213.000000	SHETLAND GP	GROUP	\N	1547	143	\N	9999-12-31	2013-05-08
2/7-23 S	4301.000000	4322.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1547	152	23	9999-12-31	2013-05-08
2/7-23 S	3315.000000	3577.000000	TOR FM	FORMATION	SHETLAND GP	1547	171	143	9999-12-31	2013-05-08
2/7-23 S	4408.000000	4412.000000	TYNE GP	GROUP	\N	1547	177	\N	9999-12-31	2013-05-08
2/7-23 S	3202.000000	3231.000000	VÅLE FM	FORMATION	ROGALAND GP	1547	190	131	9999-12-31	2013-05-08
2/7-23 S	4322.000000	4408.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1547	198	23	9999-12-31	2013-05-08
2/7-23 S	4412.000000	4760.000000	NO GROUP DEFINED	GROUP	\N	1547	208	\N	9999-12-31	2013-05-08
2/4-14 R2	3142.000000	3162.000000	BALDER FM	FORMATION	ROGALAND GP	1548	6	131	9999-12-31	2013-05-08
2/4-14 R2	4542.000000	4561.000000	BLODØKS FM	FORMATION	SHETLAND GP	1548	13	143	9999-12-31	2013-05-08
2/4-14 R2	4634.000000	4702.000000	CROMER KNOLL GP	GROUP	\N	1548	23	\N	9999-12-31	2013-05-08
2/4-14 R2	3318.000000	3443.000000	EKOFISK FM	FORMATION	SHETLAND GP	1548	33	143	9999-12-31	2013-05-08
2/4-14 R2	4561.000000	4634.000000	HIDRA FM	FORMATION	SHETLAND GP	1548	65	143	9999-12-31	2013-05-08
2/4-14 R2	4010.000000	4542.000000	HOD FM	FORMATION	SHETLAND GP	1548	66	143	9999-12-31	2013-05-08
2/4-14 R2	1766.000000	3142.000000	HORDALAND GP	GROUP	\N	1548	67	\N	9999-12-31	2013-05-08
2/4-14 R2	3176.000000	3217.000000	LISTA FM	FORMATION	ROGALAND GP	1548	95	131	9999-12-31	2013-05-08
2/4-14 R2	3262.000000	3307.000000	LISTA FM	FORMATION	ROGALAND GP	1548	95	131	9999-12-31	2013-05-08
2/4-14 R2	4702.000000	4729.000000	MANDAL FM	FORMATION	TYNE GP	1548	101	177	9999-12-31	2013-05-08
2/4-14 R2	94.000000	1766.000000	NORDLAND GP	GROUP	\N	1548	113	\N	9999-12-31	2013-05-08
2/4-14 R2	3142.000000	3318.000000	ROGALAND GP	GROUP	\N	1548	131	\N	9999-12-31	2013-05-08
2/4-14 R2	4634.000000	4654.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1548	137	23	9999-12-31	2013-05-08
2/4-14 R2	3162.000000	3176.000000	SELE FM	FORMATION	ROGALAND GP	1548	142	131	9999-12-31	2013-05-08
2/4-14 R2	3318.000000	4634.000000	SHETLAND GP	GROUP	\N	1548	143	\N	9999-12-31	2013-05-08
2/4-14 R2	3443.000000	4010.000000	TOR FM	FORMATION	SHETLAND GP	1548	171	143	9999-12-31	2013-05-08
2/4-14 R2	4702.000000	4729.000000	TYNE GP	GROUP	\N	1548	177	\N	9999-12-31	2013-05-08
2/4-14 R2	3217.000000	3262.000000	VIDAR FM	FORMATION	ROGALAND GP	1548	187	131	9999-12-31	2013-05-08
2/4-14 R2	3307.000000	3318.000000	VÅLE FM	FORMATION	ROGALAND GP	1548	190	131	9999-12-31	2013-05-08
2/4-14 R2	4729.000000	4734.000000	UNDEFINED GP	GROUP	\N	1548	191	\N	9999-12-31	2013-05-08
2/4-14 R2	4654.000000	4702.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1548	198	23	9999-12-31	2013-05-08
6201/11-2	3668.000000	3697.000000	DRAKE FM	FORMATION	DUNLIN GP	1549	27	29	9999-12-31	2013-05-08
6201/11-2	3339.000000	3544.000000	DRAUPNE FM	FORMATION	VIKING GP	1549	28	188	9999-12-31	2013-05-08
6201/11-2	3668.000000	3697.000000	DUNLIN GP	GROUP	\N	1549	29	\N	9999-12-31	2013-05-08
6201/11-2	3544.000000	3668.000000	HEATHER FM	FORMATION	VIKING GP	1549	60	188	9999-12-31	2013-05-08
6201/11-2	3726.000000	3778.000000	HEATHER FM	FORMATION	VIKING GP	1549	60	188	9999-12-31	2013-05-08
6201/11-2	3697.000000	3726.000000	HEGRE GP	GROUP	\N	1549	61	\N	9999-12-31	2013-05-08
6201/11-2	1224.000000	1815.000000	HORDALAND GP	GROUP	\N	1549	67	\N	9999-12-31	2013-05-08
6201/11-2	2042.000000	2220.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1549	74	143	9999-12-31	2013-05-08
6201/11-2	2220.000000	3339.000000	KYRRE FM	FORMATION	SHETLAND GP	1549	92	143	9999-12-31	2013-05-08
6201/11-2	1909.000000	2042.000000	LISTA FM	FORMATION	ROGALAND GP	1549	95	131	9999-12-31	2013-05-08
6201/11-2	3697.000000	3726.000000	LUNDE FM	FORMATION	HEGRE GP	1549	97	61	9999-12-31	2013-05-08
6201/11-2	396.000000	1224.000000	NORDLAND GP	GROUP	\N	1549	113	\N	9999-12-31	2013-05-08
6201/11-2	1815.000000	2042.000000	ROGALAND GP	GROUP	\N	1549	131	\N	9999-12-31	2013-05-08
6201/11-2	2042.000000	3339.000000	SHETLAND GP	GROUP	\N	1549	143	\N	9999-12-31	2013-05-08
6201/11-2	1200.000000	1224.000000	UTSIRA FM	FORMATION	NORDLAND GP	1549	183	113	9999-12-31	2013-05-08
6201/11-2	3339.000000	3668.000000	VIKING GP	GROUP	\N	1549	188	\N	9999-12-31	2013-05-08
6201/11-2	3726.000000	3778.000000	VIKING GP	GROUP	\N	1549	188	\N	9999-12-31	2013-05-08
34/7-16	2685.000000	2700.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1550	4	29	9999-12-31	2013-05-08
34/7-16	1678.000000	1734.000000	BALDER FM	FORMATION	ROGALAND GP	1550	6	131	9999-12-31	2013-05-08
34/7-16	2390.000000	2514.000000	BRENT GP	GROUP	\N	1550	16	\N	9999-12-31	2013-05-08
34/7-16	2660.000000	2685.000000	BURTON FM	FORMATION	DUNLIN GP	1550	20	29	9999-12-31	2013-05-08
34/7-16	2379.000000	2390.000000	CROMER KNOLL GP	GROUP	\N	1550	23	\N	9999-12-31	2013-05-08
34/7-16	2603.000000	2660.000000	COOK FM	FORMATION	DUNLIN GP	1550	24	29	9999-12-31	2013-05-08
34/7-16	2514.000000	2603.000000	DRAKE FM	FORMATION	DUNLIN GP	1550	27	29	9999-12-31	2013-05-08
34/7-16	2514.000000	2700.000000	DUNLIN GP	GROUP	\N	1550	29	\N	9999-12-31	2013-05-08
34/7-16	2390.000000	2434.000000	ETIVE FM	FORMATION	BRENT GP	1550	35	16	9999-12-31	2013-05-08
34/7-16	1082.000000	1678.000000	HORDALAND GP	GROUP	\N	1550	67	\N	9999-12-31	2013-05-08
34/7-16	1861.000000	2150.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1550	74	143	9999-12-31	2013-05-08
34/7-16	2150.000000	2379.000000	KYRRE FM	FORMATION	SHETLAND GP	1550	92	143	9999-12-31	2013-05-08
34/7-16	1734.000000	1861.000000	LISTA FM	FORMATION	ROGALAND GP	1550	95	131	9999-12-31	2013-05-08
34/7-16	2386.000000	2390.000000	MIME FM	FORMATION	CROMER KNOLL GP	1550	106	23	9999-12-31	2013-05-08
34/7-16	1271.000000	1307.000000	NO FORMAL NAME	FORMATION	\N	1550	111	\N	9999-12-31	2013-05-08
34/7-16	1307.000000	1513.000000	NO FORMAL NAME	FORMATION	\N	1550	111	\N	9999-12-31	2013-05-08
34/7-16	1513.000000	1560.000000	NO FORMAL NAME	FORMATION	\N	1550	111	\N	9999-12-31	2013-05-08
34/7-16	1560.000000	1678.000000	NO FORMAL NAME	FORMATION	\N	1550	111	\N	9999-12-31	2013-05-08
34/7-16	311.000000	1082.000000	NORDLAND GP	GROUP	\N	1550	113	\N	9999-12-31	2013-05-08
34/7-16	2434.000000	2514.000000	RANNOCH FM	FORMATION	BRENT GP	1550	126	16	9999-12-31	2013-05-08
34/7-16	1678.000000	1861.000000	ROGALAND GP	GROUP	\N	1550	131	\N	9999-12-31	2013-05-08
34/7-16	2379.000000	2386.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1550	137	23	9999-12-31	2013-05-08
34/7-16	1861.000000	2379.000000	SHETLAND GP	GROUP	\N	1550	143	\N	9999-12-31	2013-05-08
34/7-16	976.000000	1082.000000	UTSIRA FM	FORMATION	NORDLAND GP	1550	183	113	9999-12-31	2013-05-08
6306/10-1	2980.000000	3187.000000	BASEMENT	GROUP	\N	1551	10	\N	9999-12-31	2013-05-08
6306/10-1	275.000000	610.000000	BRYGGE FM	FORMATION	HORDALAND GP	1551	18	67	9999-12-31	2013-05-08
6306/10-1	1992.000000	2692.000000	CROMER KNOLL GP	GROUP	\N	1551	23	\N	9999-12-31	2013-05-08
6306/10-1	1138.000000	1285.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	1551	31	131	9999-12-31	2013-05-08
6306/10-1	2781.000000	2980.000000	FANGST GP	GROUP	\N	1551	38	\N	9999-12-31	2013-05-08
6306/10-1	2781.000000	2980.000000	GARN FM	FORMATION	FANGST GP	1551	48	38	9999-12-31	2013-05-08
6306/10-1	275.000000	610.000000	HORDALAND GP	GROUP	\N	1551	67	\N	9999-12-31	2013-05-08
6306/10-1	1750.000000	1825.000000	KVITNOS FM	FORMATION	SHETLAND GP	1551	91	143	9999-12-31	2013-05-08
6306/10-1	1885.000000	1992.000000	KVITNOS FM	FORMATION	SHETLAND GP	1551	91	143	9999-12-31	2013-05-08
6306/10-1	1999.000000	2692.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1551	94	23	9999-12-31	2013-05-08
6306/10-1	1992.000000	1999.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1551	99	23	9999-12-31	2013-05-08
6306/10-1	2692.000000	2781.000000	MELKE FM	FORMATION	VIKING GP	1551	105	188	9999-12-31	2013-05-08
6306/10-1	1825.000000	1885.000000	NO FORMAL NAME	FORMATION	\N	1551	111	\N	9999-12-31	2013-05-08
6306/10-1	1525.000000	1750.000000	NISE FM	FORMATION	SHETLAND GP	1551	112	143	9999-12-31	2013-05-08
6306/10-1	108.000000	275.000000	NORDLAND GP	GROUP	\N	1551	113	\N	9999-12-31	2013-05-08
6306/10-1	610.000000	1285.000000	ROGALAND GP	GROUP	\N	1551	131	\N	9999-12-31	2013-05-08
6306/10-1	1285.000000	1992.000000	SHETLAND GP	GROUP	\N	1551	143	\N	9999-12-31	2013-05-08
6306/10-1	1285.000000	1525.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1551	156	143	9999-12-31	2013-05-08
6306/10-1	610.000000	1138.000000	TANG FM	FORMATION	ROGALAND GP	1551	161	131	9999-12-31	2013-05-08
6306/10-1	2692.000000	2781.000000	VIKING GP	GROUP	\N	1551	188	\N	9999-12-31	2013-05-08
2/8-14	2567.000000	2576.000000	BALDER FM	FORMATION	ROGALAND GP	1552	6	131	9999-12-31	2013-05-08
2/8-14	2842.000000	2847.000000	BLODØKS FM	FORMATION	SHETLAND GP	1552	13	143	9999-12-31	2013-05-08
2/8-14	2874.000000	3188.000000	CROMER KNOLL GP	GROUP	\N	1552	23	\N	9999-12-31	2013-05-08
2/8-14	3257.000000	4392.000000	FARSUND FM	FORMATION	TYNE GP	1552	39	177	9999-12-31	2013-05-08
2/8-14	2847.000000	2874.000000	HIDRA FM	FORMATION	SHETLAND GP	1552	65	143	9999-12-31	2013-05-08
2/8-14	2617.000000	2842.000000	HOD FM	FORMATION	SHETLAND GP	1552	66	143	9999-12-31	2013-05-08
2/8-14	1522.000000	2567.000000	HORDALAND GP	GROUP	\N	1552	67	\N	9999-12-31	2013-05-08
2/8-14	2592.000000	2614.000000	LISTA FM	FORMATION	ROGALAND GP	1552	95	131	9999-12-31	2013-05-08
2/8-14	3189.000000	3257.000000	MANDAL FM	FORMATION	TYNE GP	1552	101	177	9999-12-31	2013-05-08
2/8-14	89.000000	1522.000000	NORDLAND GP	GROUP	\N	1552	113	\N	9999-12-31	2013-05-08
2/8-14	2567.000000	2614.000000	ROGALAND GP	GROUP	\N	1552	131	\N	9999-12-31	2013-05-08
2/8-14	2874.000000	2901.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1552	137	23	9999-12-31	2013-05-08
2/8-14	2576.000000	2592.000000	SELE FM	FORMATION	ROGALAND GP	1552	142	131	9999-12-31	2013-05-08
2/8-14	2614.000000	2874.000000	SHETLAND GP	GROUP	\N	1552	143	\N	9999-12-31	2013-05-08
2/8-14	2901.000000	2936.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1552	152	23	9999-12-31	2013-05-08
2/8-14	2614.000000	2617.000000	TOR FM	FORMATION	SHETLAND GP	1552	171	143	9999-12-31	2013-05-08
2/8-14	2936.000000	2984.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1552	175	23	9999-12-31	2013-05-08
2/8-14	3188.000000	4392.000000	TYNE GP	GROUP	\N	1552	177	\N	9999-12-31	2013-05-08
2/8-14	2984.000000	3188.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1552	198	23	9999-12-31	2013-05-08
16/4-2	2199.000000	2270.000000	BALDER FM	FORMATION	ROGALAND GP	1560	6	131	9999-12-31	2013-05-08
16/4-2	2793.000000	2961.000000	CROMER KNOLL GP	GROUP	\N	1560	23	\N	9999-12-31	2013-05-08
16/4-2	3113.000000	3117.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1560	26	188	9999-12-31	2013-05-08
16/4-2	2961.000000	3113.000000	DRAUPNE FM	FORMATION	VIKING GP	1560	28	188	9999-12-31	2013-05-08
16/4-2	2585.000000	2629.000000	EKOFISK FM	FORMATION	SHETLAND GP	1560	33	143	9999-12-31	2013-05-08
16/4-2	1913.000000	2001.000000	GRID FM	FORMATION	HORDALAND GP	1560	53	67	9999-12-31	2013-05-08
16/4-2	2415.000000	2585.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1560	62	131	9999-12-31	2013-05-08
16/4-2	2739.000000	2793.000000	HOD FM	FORMATION	SHETLAND GP	1560	66	143	9999-12-31	2013-05-08
16/4-2	1068.000000	2199.000000	HORDALAND GP	GROUP	\N	1560	67	\N	9999-12-31	2013-05-08
16/4-2	2341.000000	2415.000000	LISTA FM	FORMATION	ROGALAND GP	1560	95	131	9999-12-31	2013-05-08
16/4-2	1413.000000	1913.000000	NO FORMAL NAME	FORMATION	\N	1560	111	\N	9999-12-31	2013-05-08
16/4-2	2001.000000	2199.000000	NO FORMAL NAME	FORMATION	\N	1560	111	\N	9999-12-31	2013-05-08
16/4-2	119.000000	1068.000000	NORDLAND GP	GROUP	\N	1560	113	\N	9999-12-31	2013-05-08
16/4-2	2199.000000	2585.000000	ROGALAND GP	GROUP	\N	1560	131	\N	9999-12-31	2013-05-08
16/4-2	2270.000000	2341.000000	SELE FM	FORMATION	ROGALAND GP	1560	142	131	9999-12-31	2013-05-08
16/4-2	2585.000000	2793.000000	SHETLAND GP	GROUP	\N	1560	143	\N	9999-12-31	2013-05-08
16/4-2	1319.000000	1413.000000	SKADE FM	FORMATION	HORDALAND GP	1560	145	67	9999-12-31	2013-05-08
16/4-2	2793.000000	2838.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1560	152	23	9999-12-31	2013-05-08
16/4-2	2629.000000	2739.000000	TOR FM	FORMATION	SHETLAND GP	1560	171	143	9999-12-31	2013-05-08
16/4-2	778.000000	1068.000000	UTSIRA FM	FORMATION	NORDLAND GP	1560	183	113	9999-12-31	2013-05-08
16/4-2	2961.000000	3117.000000	VIKING GP	GROUP	\N	1560	188	\N	9999-12-31	2013-05-08
16/4-2	2838.000000	2961.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1560	198	23	9999-12-31	2013-05-08
7120/10-2	703.000000	2500.000000	ADVENTDALEN GP	GROUP	\N	1561	1	\N	9999-12-31	2013-05-08
7120/10-2	2303.000000	2500.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1561	63	1	9999-12-31	2013-05-08
7120/10-2	1922.000000	2303.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1561	82	1	9999-12-31	2013-05-08
7120/10-2	1442.000000	1922.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	1561	84	1	9999-12-31	2013-05-08
7120/10-2	703.000000	1442.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1561	85	1	9999-12-31	2013-05-08
7120/10-2	647.000000	703.000000	KVITING FM	FORMATION	NYGRUNNEN GP	1561	90	122	9999-12-31	2013-05-08
7120/10-2	211.000000	468.000000	NORDLAND GP	GROUP	\N	1561	113	\N	9999-12-31	2013-05-08
7120/10-2	647.000000	703.000000	NYGRUNNEN GP	GROUP	\N	1561	122	\N	9999-12-31	2013-05-08
7120/10-2	468.000000	647.000000	SOTBAKKEN GP	GROUP	\N	1561	154	\N	9999-12-31	2013-05-08
7120/10-2	468.000000	647.000000	TORSK FM	FORMATION	SOTBAKKEN GP	1561	172	154	9999-12-31	2013-05-08
7/11-10 S	3177.000000	3205.000000	BALDER FM	FORMATION	ROGALAND GP	1563	6	131	9999-12-31	2013-05-08
7/11-10 S	4198.000000	4268.000000	CROMER KNOLL GP	GROUP	\N	1563	23	\N	9999-12-31	2013-05-08
7/11-10 S	3440.000000	3528.000000	EKOFISK FM	FORMATION	SHETLAND GP	1563	33	143	9999-12-31	2013-05-08
7/11-10 S	4311.000000	4341.000000	FARSUND FM	FORMATION	TYNE GP	1563	39	177	9999-12-31	2013-05-08
7/11-10 S	4148.000000	4198.000000	HIDRA FM	FORMATION	SHETLAND GP	1563	65	143	9999-12-31	2013-05-08
7/11-10 S	3947.000000	4148.000000	HOD FM	FORMATION	SHETLAND GP	1563	66	143	9999-12-31	2013-05-08
7/11-10 S	1510.000000	3177.000000	HORDALAND GP	GROUP	\N	1563	67	\N	9999-12-31	2013-05-08
7/11-10 S	3237.000000	3271.000000	LISTA FM	FORMATION	ROGALAND GP	1563	95	131	9999-12-31	2013-05-08
7/11-10 S	4268.000000	4311.000000	MANDAL FM	FORMATION	TYNE GP	1563	101	177	9999-12-31	2013-05-08
7/11-10 S	3271.000000	3440.000000	MAUREEN FM	FORMATION	ROGALAND GP	1563	102	131	9999-12-31	2013-05-08
7/11-10 S	126.000000	1510.000000	NORDLAND GP	GROUP	\N	1563	113	\N	9999-12-31	2013-05-08
7/11-10 S	3177.000000	3440.000000	ROGALAND GP	GROUP	\N	1563	131	\N	9999-12-31	2013-05-08
7/11-10 S	4198.000000	4268.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1563	137	23	9999-12-31	2013-05-08
7/11-10 S	3205.000000	3237.000000	SELE FM	FORMATION	ROGALAND GP	1563	142	131	9999-12-31	2013-05-08
7/11-10 S	3440.000000	4198.000000	SHETLAND GP	GROUP	\N	1563	143	\N	9999-12-31	2013-05-08
7/11-10 S	4395.000000	4566.000000	SMITH BANK FM	FORMATION	HEGRE GP	1563	149	61	9999-12-31	2013-05-08
7/11-10 S	3528.000000	3947.000000	TOR FM	FORMATION	SHETLAND GP	1563	171	143	9999-12-31	2013-05-08
7/11-10 S	4268.000000	4341.000000	TYNE GP	GROUP	\N	1563	177	\N	9999-12-31	2013-05-08
7/11-10 S	4341.000000	4395.000000	ULA FM	FORMATION	VESTLAND GP	1563	179	186	9999-12-31	2013-05-08
7/11-10 S	4341.000000	4395.000000	VESTLAND GP	GROUP	\N	1563	186	\N	9999-12-31	2013-05-08
7/11-10 S	4395.000000	4566.000000	NO GROUP DEFINED	GROUP	\N	1563	208	\N	9999-12-31	2013-05-08
35/9-2	658.000000	692.000000	BALDER FM	FORMATION	ROGALAND GP	1600	6	131	9999-12-31	2013-05-08
35/9-2	2856.000000	2885.000000	BASEMENT	GROUP	\N	1600	10	\N	9999-12-31	2013-05-08
35/9-2	2615.000000	2680.000000	BRENT GP	GROUP	\N	1600	16	\N	9999-12-31	2013-05-08
35/9-2	2016.000000	2058.000000	CROMER KNOLL GP	GROUP	\N	1600	23	\N	9999-12-31	2013-05-08
35/9-2	2095.000000	2109.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1600	26	188	9999-12-31	2013-05-08
35/9-2	2680.000000	2694.000000	DRAKE FM	FORMATION	DUNLIN GP	1600	27	29	9999-12-31	2013-05-08
35/9-2	2058.000000	2095.000000	DRAUPNE FM	FORMATION	VIKING GP	1600	28	188	9999-12-31	2013-05-08
35/9-2	2680.000000	2754.000000	DUNLIN GP	GROUP	\N	1600	29	\N	9999-12-31	2013-05-08
35/9-2	2640.000000	2646.000000	ETIVE FM	FORMATION	BRENT GP	1600	35	16	9999-12-31	2013-05-08
35/9-2	2188.000000	2481.000000	FENSFJORD FM	FORMATION	VIKING GP	1600	40	188	9999-12-31	2013-05-08
35/9-2	2132.000000	2188.000000	HEATHER FM	FORMATION	VIKING GP	1600	60	188	9999-12-31	2013-05-08
35/9-2	2512.000000	2615.000000	HEATHER FM	FORMATION	VIKING GP	1600	60	188	9999-12-31	2013-05-08
35/9-2	573.000000	658.000000	HORDALAND GP	GROUP	\N	1600	67	\N	9999-12-31	2013-05-08
35/9-2	1305.000000	1385.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1600	74	143	9999-12-31	2013-05-08
35/9-2	2481.000000	2512.000000	KROSSFJORD FM	FORMATION	VIKING GP	1600	87	188	9999-12-31	2013-05-08
35/9-2	1385.000000	2016.000000	KYRRE FM	FORMATION	SHETLAND GP	1600	92	143	9999-12-31	2013-05-08
35/9-2	785.000000	931.000000	LISTA FM	FORMATION	ROGALAND GP	1600	95	131	9999-12-31	2013-05-08
35/9-2	960.000000	1281.000000	LISTA FM	FORMATION	ROGALAND GP	1600	95	131	9999-12-31	2013-05-08
35/9-2	2615.000000	2640.000000	NESS FM	FORMATION	BRENT GP	1600	110	16	9999-12-31	2013-05-08
35/9-2	573.000000	658.000000	NO FORMAL NAME	FORMATION	\N	1600	111	\N	9999-12-31	2013-05-08
35/9-2	931.000000	960.000000	NO FORMAL NAME	FORMATION	\N	1600	111	\N	9999-12-31	2013-05-08
35/9-2	392.000000	573.000000	NORDLAND GP	GROUP	\N	1600	113	\N	9999-12-31	2013-05-08
35/9-2	2646.000000	2680.000000	RANNOCH FM	FORMATION	BRENT GP	1600	126	16	9999-12-31	2013-05-08
35/9-2	658.000000	1305.000000	ROGALAND GP	GROUP	\N	1600	131	\N	9999-12-31	2013-05-08
35/9-2	692.000000	785.000000	SELE FM	FORMATION	ROGALAND GP	1600	142	131	9999-12-31	2013-05-08
35/9-2	1305.000000	2016.000000	SHETLAND GP	GROUP	\N	1600	143	\N	9999-12-31	2013-05-08
35/9-2	2109.000000	2132.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1600	151	188	9999-12-31	2013-05-08
35/9-2	2754.000000	2856.000000	STATFJORD FM	FORMATION	\N	1600	157	\N	9999-12-31	2013-05-08
35/9-2	2694.000000	2754.000000	UNDIFFERENTIATED	FORMATION	\N	1600	182	\N	9999-12-31	2013-05-08
35/9-2	2058.000000	2615.000000	VIKING GP	GROUP	\N	1600	188	\N	9999-12-31	2013-05-08
35/9-2	1281.000000	1305.000000	VÅLE FM	FORMATION	ROGALAND GP	1600	190	131	9999-12-31	2013-05-08
35/9-2	2016.000000	2058.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1600	198	23	9999-12-31	2013-05-08
35/9-2	2754.000000	2856.000000	NO GROUP DEFINED	GROUP	\N	1600	208	\N	9999-12-31	2013-05-08
6407/6-4	1436.000000	1876.000000	BRYGGE FM	FORMATION	HORDALAND GP	1604	18	67	9999-12-31	2013-05-08
6407/6-4	2881.000000	3126.000000	BÅT GP	GROUP	\N	1604	22	\N	9999-12-31	2013-05-08
6407/6-4	2433.000000	2536.000000	CROMER KNOLL GP	GROUP	\N	1604	23	\N	9999-12-31	2013-05-08
6407/6-4	2651.000000	2881.000000	FANGST GP	GROUP	\N	1604	38	\N	9999-12-31	2013-05-08
6407/6-4	2651.000000	2752.000000	GARN FM	FORMATION	FANGST GP	1604	48	38	9999-12-31	2013-05-08
6407/6-4	1436.000000	1876.000000	HORDALAND GP	GROUP	\N	1604	67	\N	9999-12-31	2013-05-08
6407/6-4	2791.000000	2881.000000	ILE FM	FORMATION	FANGST GP	1604	70	38	9999-12-31	2013-05-08
6407/6-4	1156.000000	1436.000000	KAI FM	FORMATION	NORDLAND GP	1604	77	113	9999-12-31	2013-05-08
6407/6-4	2329.000000	2433.000000	KVITNOS FM	FORMATION	SHETLAND GP	1604	91	143	9999-12-31	2013-05-08
6407/6-4	2433.000000	2536.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1604	94	23	9999-12-31	2013-05-08
6407/6-4	2578.000000	2651.000000	MELKE FM	FORMATION	VIKING GP	1604	105	188	9999-12-31	2013-05-08
6407/6-4	243.000000	1156.000000	NAUST FM	FORMATION	NORDLAND GP	1604	109	113	9999-12-31	2013-05-08
6407/6-4	2060.000000	2329.000000	NISE FM	FORMATION	SHETLAND GP	1604	112	143	9999-12-31	2013-05-08
6407/6-4	243.000000	1436.000000	NORDLAND GP	GROUP	\N	1604	113	\N	9999-12-31	2013-05-08
6407/6-4	2752.000000	2791.000000	NOT FM	FORMATION	FANGST GP	1604	120	38	9999-12-31	2013-05-08
6407/6-4	1876.000000	2037.000000	ROGALAND GP	GROUP	\N	1604	131	\N	9999-12-31	2013-05-08
6407/6-4	2881.000000	2933.000000	ROR FM	FORMATION	BÅT GP	1604	135	22	9999-12-31	2013-05-08
6407/6-4	2037.000000	2433.000000	SHETLAND GP	GROUP	\N	1604	143	\N	9999-12-31	2013-05-08
6407/6-4	2536.000000	2578.000000	SPEKK FM	FORMATION	VIKING GP	1604	155	188	9999-12-31	2013-05-08
6407/6-4	2037.000000	2060.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1604	156	143	9999-12-31	2013-05-08
6407/6-4	1948.000000	2037.000000	TANG FM	FORMATION	ROGALAND GP	1604	161	131	9999-12-31	2013-05-08
6407/6-4	1876.000000	1948.000000	TARE FM	FORMATION	ROGALAND GP	1604	163	131	9999-12-31	2013-05-08
6407/6-4	2933.000000	3027.000000	TILJE FM	FORMATION	BÅT GP	1604	169	22	9999-12-31	2013-05-08
6407/6-4	2536.000000	2651.000000	VIKING GP	GROUP	\N	1604	188	\N	9999-12-31	2013-05-08
6407/6-4	3027.000000	3126.000000	ÅRE FM	FORMATION	BÅT GP	1604	197	22	9999-12-31	2013-05-08
7229/11-1	379.000000	1270.000000	ADVENTDALEN GP	GROUP	\N	1643	1	\N	9999-12-31	2013-05-08
7229/11-1	3970.000000	4282.000000	BJARMELAND GP	GROUP	\N	1643	12	\N	9999-12-31	2013-05-08
7229/11-1	1323.000000	1453.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1643	46	79	9999-12-31	2013-05-08
7229/11-1	1267.000000	1270.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1643	47	1	9999-12-31	2013-05-08
7229/11-1	4282.000000	4630.000000	GIPSDALEN GP	GROUP	\N	1643	51	\N	9999-12-31	2013-05-08
7229/11-1	2804.000000	3879.000000	HAVERT FM	FORMATION	SASSENDALEN GP	1643	58	140	9999-12-31	2013-05-08
7229/11-1	1212.000000	1267.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1643	63	1	9999-12-31	2013-05-08
7229/11-1	3970.000000	4046.000000	ISBJØRN FM	FORMATION	BJARMELAND GP	1643	72	12	9999-12-31	2013-05-08
7229/11-1	1270.000000	1843.000000	KAPP TOSCANA GP	GROUP	\N	1643	79	\N	9999-12-31	2013-05-08
7229/11-1	2353.000000	2804.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	1643	80	140	9999-12-31	2013-05-08
7229/11-1	1200.000000	1212.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1643	82	1	9999-12-31	2013-05-08
7229/11-1	1843.000000	2353.000000	KOBBE FM	FORMATION	SASSENDALEN GP	1643	83	140	9999-12-31	2013-05-08
7229/11-1	379.000000	1200.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1643	85	1	9999-12-31	2013-05-08
7229/11-1	307.000000	379.000000	NORDLAND GP	GROUP	\N	1643	113	\N	9999-12-31	2013-05-08
7229/11-1	1278.000000	1323.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	1643	118	79	9999-12-31	2013-05-08
7229/11-1	4046.000000	4282.000000	POLARREV FM	FORMATION	BJARMELAND GP	1643	124	12	9999-12-31	2013-05-08
7229/11-1	3901.000000	3970.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	1643	138	167	9999-12-31	2013-05-08
7229/11-1	1843.000000	3879.000000	SASSENDALEN GP	GROUP	\N	1643	140	\N	9999-12-31	2013-05-08
7229/11-1	1453.000000	1843.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1643	150	79	9999-12-31	2013-05-08
7229/11-1	1270.000000	1278.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1643	159	79	9999-12-31	2013-05-08
7229/11-1	3879.000000	3970.000000	TEMPELFJORDEN GP	GROUP	\N	1643	167	\N	9999-12-31	2013-05-08
7229/11-1	4282.000000	4630.000000	ØRN FM	FORMATION	GIPSDALEN GP	1643	195	51	9999-12-31	2013-05-08
7229/11-1	3879.000000	3901.000000	ØRRET FM	FORMATION	TEMPELFJORDEN GP	1643	196	167	9999-12-31	2013-05-08
25/1-8 SR4	2229.000000	2234.000000	BALDER FM	FORMATION	ROGALAND GP	1644	6	131	9999-12-31	2013-05-08
25/1-8 SR4	2247.000000	2326.000000	BALDER FM	FORMATION	ROGALAND GP	1644	6	131	9999-12-31	2013-05-08
25/1-8 SR4	2234.000000	2247.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	1644	7	131	9999-12-31	2013-05-08
25/1-8 SR4	1927.000000	2229.000000	FRIGG FM	FORMATION	HORDALAND GP	1644	45	67	9999-12-31	2013-05-08
25/1-8 SR4	2326.000000	2529.000000	HERMOD FM	FORMATION	ROGALAND GP	1644	64	131	9999-12-31	2013-05-08
25/1-8 SR4	731.000000	2229.000000	HORDALAND GP	GROUP	\N	1644	67	\N	9999-12-31	2013-05-08
25/1-8 SR4	2529.000000	2647.000000	LISTA FM	FORMATION	ROGALAND GP	1644	95	131	9999-12-31	2013-05-08
25/1-8 SR4	124.000000	731.000000	NORDLAND GP	GROUP	\N	1644	113	\N	9999-12-31	2013-05-08
25/1-8 SR4	2229.000000	2647.000000	ROGALAND GP	GROUP	\N	1644	131	\N	9999-12-31	2013-05-08
2/1-9	2898.000000	2915.000000	BALDER FM	FORMATION	ROGALAND GP	1667	6	131	9999-12-31	2013-05-08
2/1-9	3765.000000	3783.000000	BLODØKS FM	FORMATION	SHETLAND GP	1667	13	143	9999-12-31	2013-05-08
2/1-9	4257.000000	4289.000000	BRYNE FM	FORMATION	VESTLAND GP	1667	19	186	9999-12-31	2013-05-08
2/1-9	3800.000000	4014.000000	CROMER KNOLL GP	GROUP	\N	1667	23	\N	9999-12-31	2013-05-08
2/1-9	3168.000000	3256.000000	EKOFISK FM	FORMATION	SHETLAND GP	1667	33	143	9999-12-31	2013-05-08
2/1-9	4034.000000	4048.000000	FARSUND FM	FORMATION	TYNE GP	1667	39	177	9999-12-31	2013-05-08
2/1-9	2923.000000	2982.000000	FORTIES FM	FORMATION	ROGALAND GP	1667	44	131	9999-12-31	2013-05-08
2/1-9	3783.000000	3800.000000	HIDRA FM	FORMATION	SHETLAND GP	1667	65	143	9999-12-31	2013-05-08
2/1-9	3617.000000	3765.000000	HOD FM	FORMATION	SHETLAND GP	1667	66	143	9999-12-31	2013-05-08
2/1-9	1814.000000	2898.000000	HORDALAND GP	GROUP	\N	1667	67	\N	9999-12-31	2013-05-08
2/1-9	2982.000000	3055.000000	LISTA FM	FORMATION	ROGALAND GP	1667	95	131	9999-12-31	2013-05-08
2/1-9	3143.000000	3158.000000	LISTA FM	FORMATION	ROGALAND GP	1667	95	131	9999-12-31	2013-05-08
2/1-9	4014.000000	4034.000000	MANDAL FM	FORMATION	TYNE GP	1667	101	177	9999-12-31	2013-05-08
2/1-9	89.000000	1814.000000	NORDLAND GP	GROUP	\N	1667	113	\N	9999-12-31	2013-05-08
2/1-9	2898.000000	3168.000000	ROGALAND GP	GROUP	\N	1667	131	\N	9999-12-31	2013-05-08
2/1-9	3800.000000	3838.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1667	137	23	9999-12-31	2013-05-08
2/1-9	2915.000000	2923.000000	SELE FM	FORMATION	ROGALAND GP	1667	142	131	9999-12-31	2013-05-08
2/1-9	3168.000000	3800.000000	SHETLAND GP	GROUP	\N	1667	143	\N	9999-12-31	2013-05-08
2/1-9	3838.000000	3852.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1667	152	23	9999-12-31	2013-05-08
2/1-9	3256.000000	3617.000000	TOR FM	FORMATION	SHETLAND GP	1667	171	143	9999-12-31	2013-05-08
2/1-9	3852.000000	3867.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1667	175	23	9999-12-31	2013-05-08
2/1-9	4014.000000	4048.000000	TYNE GP	GROUP	\N	1667	177	\N	9999-12-31	2013-05-08
2/1-9	4048.000000	4257.000000	ULA FM	FORMATION	VESTLAND GP	1667	179	186	9999-12-31	2013-05-08
2/1-9	4048.000000	4289.000000	VESTLAND GP	GROUP	\N	1667	186	\N	9999-12-31	2013-05-08
2/1-9	3055.000000	3143.000000	VIDAR FM	FORMATION	ROGALAND GP	1667	187	131	9999-12-31	2013-05-08
2/1-9	3158.000000	3168.000000	VÅLE FM	FORMATION	ROGALAND GP	1667	190	131	9999-12-31	2013-05-08
2/1-9	4289.000000	4289.000000	ZECHSTEIN GP	GROUP	\N	1667	194	\N	9999-12-31	2013-05-08
2/1-9	3867.000000	4014.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1667	198	23	9999-12-31	2013-05-08
31/5-4 S	1205.000000	1292.000000	BALDER FM	FORMATION	ROGALAND GP	1669	6	131	9999-12-31	2013-05-08
31/5-4 S	1470.000000	1515.000000	CROMER KNOLL GP	GROUP	\N	1669	23	\N	9999-12-31	2013-05-08
31/5-4 S	1515.000000	1619.000000	DRAUPNE FM	FORMATION	VIKING GP	1669	28	188	9999-12-31	2013-05-08
31/5-4 S	1879.000000	1909.000000	FENSFJORD FM	FORMATION	VIKING GP	1669	40	188	9999-12-31	2013-05-08
31/5-4 S	1449.000000	1461.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1669	56	143	9999-12-31	2013-05-08
31/5-4 S	1830.000000	1879.000000	HEATHER FM	FORMATION	VIKING GP	1669	60	188	9999-12-31	2013-05-08
31/5-4 S	654.000000	1205.000000	HORDALAND GP	GROUP	\N	1669	67	\N	9999-12-31	2013-05-08
31/5-4 S	1393.000000	1449.000000	LISTA FM	FORMATION	ROGALAND GP	1669	95	131	9999-12-31	2013-05-08
31/5-4 S	340.000000	654.000000	NORDLAND GP	GROUP	\N	1669	113	\N	9999-12-31	2013-05-08
31/5-4 S	1205.000000	1449.000000	ROGALAND GP	GROUP	\N	1669	131	\N	9999-12-31	2013-05-08
31/5-4 S	1470.000000	1507.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1669	137	23	9999-12-31	2013-05-08
31/5-4 S	1292.000000	1393.000000	SELE FM	FORMATION	ROGALAND GP	1669	142	131	9999-12-31	2013-05-08
31/5-4 S	1449.000000	1470.000000	SHETLAND GP	GROUP	\N	1669	143	\N	9999-12-31	2013-05-08
31/5-4 S	1619.000000	1830.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1669	151	188	9999-12-31	2013-05-08
31/5-4 S	1461.000000	1470.000000	UNDIFFERENTIATED	FORMATION	\N	1669	182	\N	9999-12-31	2013-05-08
31/5-4 S	1515.000000	1909.000000	VIKING GP	GROUP	\N	1669	188	\N	9999-12-31	2013-05-08
31/5-4 S	1507.000000	1515.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1669	198	23	9999-12-31	2013-05-08
25/11-14 S	1762.000000	1834.000000	BALDER FM	FORMATION	ROGALAND GP	1672	6	131	9999-12-31	2013-05-08
25/11-14 S	1903.000000	1908.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1672	62	131	9999-12-31	2013-05-08
25/11-14 S	748.000000	1762.000000	HORDALAND GP	GROUP	\N	1672	67	\N	9999-12-31	2013-05-08
25/11-14 S	1859.000000	1903.000000	LISTA FM	FORMATION	ROGALAND GP	1672	95	131	9999-12-31	2013-05-08
25/11-14 S	729.000000	748.000000	NO FORMAL NAME	FORMATION	\N	1672	111	\N	9999-12-31	2013-05-08
25/11-14 S	918.000000	1059.000000	NO FORMAL NAME	FORMATION	\N	1672	111	\N	9999-12-31	2013-05-08
25/11-14 S	1059.000000	1112.000000	NO FORMAL NAME	FORMATION	\N	1672	111	\N	9999-12-31	2013-05-08
25/11-14 S	1112.000000	1762.000000	NO FORMAL NAME	FORMATION	\N	1672	111	\N	9999-12-31	2013-05-08
25/11-14 S	152.000000	748.000000	NORDLAND GP	GROUP	\N	1672	113	\N	9999-12-31	2013-05-08
25/11-14 S	1762.000000	1908.000000	ROGALAND GP	GROUP	\N	1672	131	\N	9999-12-31	2013-05-08
25/11-14 S	1834.000000	1859.000000	SELE FM	FORMATION	ROGALAND GP	1672	142	131	9999-12-31	2013-05-08
25/11-14 S	748.000000	918.000000	SKADE FM	FORMATION	HORDALAND GP	1672	145	67	9999-12-31	2013-05-08
25/11-14 S	600.000000	729.000000	UTSIRA FM	FORMATION	NORDLAND GP	1672	183	113	9999-12-31	2013-05-08
34/7-16 R	2686.000000	2821.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1677	4	29	9999-12-31	2013-05-08
34/7-16 R	1679.000000	1735.000000	BALDER FM	FORMATION	ROGALAND GP	1677	6	131	9999-12-31	2013-05-08
34/7-16 R	2391.000000	2515.000000	BRENT GP	GROUP	\N	1677	16	\N	9999-12-31	2013-05-08
34/7-16 R	2661.000000	2686.000000	BURTON FM	FORMATION	DUNLIN GP	1677	20	29	9999-12-31	2013-05-08
34/7-16 R	2380.000000	2391.000000	CROMER KNOLL GP	GROUP	\N	1677	23	\N	9999-12-31	2013-05-08
34/7-16 R	2604.000000	2661.000000	COOK FM	FORMATION	DUNLIN GP	1677	24	29	9999-12-31	2013-05-08
34/7-16 R	2515.000000	2604.000000	DRAKE FM	FORMATION	DUNLIN GP	1677	27	29	9999-12-31	2013-05-08
34/7-16 R	2515.000000	2821.000000	DUNLIN GP	GROUP	\N	1677	29	\N	9999-12-31	2013-05-08
34/7-16 R	2391.000000	2435.000000	ETIVE FM	FORMATION	BRENT GP	1677	35	16	9999-12-31	2013-05-08
34/7-16 R	2945.000000	2980.000000	HEGRE GP	GROUP	\N	1677	61	\N	9999-12-31	2013-05-08
34/7-16 R	1083.000000	1679.000000	HORDALAND GP	GROUP	\N	1677	67	\N	9999-12-31	2013-05-08
34/7-16 R	1862.000000	2151.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1677	74	143	9999-12-31	2013-05-08
34/7-16 R	2151.000000	2380.000000	KYRRE FM	FORMATION	SHETLAND GP	1677	92	143	9999-12-31	2013-05-08
34/7-16 R	1735.000000	1862.000000	LISTA FM	FORMATION	ROGALAND GP	1677	95	131	9999-12-31	2013-05-08
34/7-16 R	2945.000000	2980.000000	LUNDE FM	FORMATION	HEGRE GP	1677	97	61	9999-12-31	2013-05-08
34/7-16 R	2387.000000	2391.000000	MIME FM	FORMATION	CROMER KNOLL GP	1677	106	23	9999-12-31	2013-05-08
34/7-16 R	1272.000000	1308.000000	NO FORMAL NAME	FORMATION	\N	1677	111	\N	9999-12-31	2013-05-08
34/7-16 R	1308.000000	1514.000000	NO FORMAL NAME	FORMATION	\N	1677	111	\N	9999-12-31	2013-05-08
34/7-16 R	1514.000000	1561.000000	NO FORMAL NAME	FORMATION	\N	1677	111	\N	9999-12-31	2013-05-08
34/7-16 R	1561.000000	1679.000000	NO FORMAL NAME	FORMATION	\N	1677	111	\N	9999-12-31	2013-05-08
34/7-16 R	312.000000	1083.000000	NORDLAND GP	GROUP	\N	1677	113	\N	9999-12-31	2013-05-08
34/7-16 R	2435.000000	2515.000000	RANNOCH FM	FORMATION	BRENT GP	1677	126	16	9999-12-31	2013-05-08
34/7-16 R	1679.000000	1862.000000	ROGALAND GP	GROUP	\N	1677	131	\N	9999-12-31	2013-05-08
34/7-16 R	2380.000000	2387.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1677	137	23	9999-12-31	2013-05-08
34/7-16 R	1862.000000	2380.000000	SHETLAND GP	GROUP	\N	1677	143	\N	9999-12-31	2013-05-08
34/7-16 R	2821.000000	2945.000000	STATFJORD FM	FORMATION	\N	1677	157	\N	9999-12-31	2013-05-08
34/7-16 R	977.000000	1083.000000	UTSIRA FM	FORMATION	NORDLAND GP	1677	183	113	9999-12-31	2013-05-08
34/7-16 R	2821.000000	2945.000000	NO GROUP DEFINED	GROUP	\N	1677	208	\N	9999-12-31	2013-05-08
2/7-25 S	3283.000000	3308.000000	BALDER FM	FORMATION	ROGALAND GP	1679	6	131	9999-12-31	2013-05-08
2/7-25 S	4506.000000	4512.000000	BLODØKS FM	FORMATION	SHETLAND GP	1679	13	143	9999-12-31	2013-05-08
2/7-25 S	4538.000000	4711.000000	CROMER KNOLL GP	GROUP	\N	1679	23	\N	9999-12-31	2013-05-08
2/7-25 S	3462.000000	3561.000000	EKOFISK FM	FORMATION	SHETLAND GP	1679	33	143	9999-12-31	2013-05-08
2/7-25 S	4940.000000	5177.000000	ELDFISK FM	FORMATION	TYNE GP	1679	34	177	9999-12-31	2013-05-08
2/7-25 S	4828.000000	4940.000000	FARSUND FM	FORMATION	TYNE GP	1679	39	177	9999-12-31	2013-05-08
2/7-25 S	4512.000000	4538.000000	HIDRA FM	FORMATION	SHETLAND GP	1679	65	143	9999-12-31	2013-05-08
2/7-25 S	3898.000000	4506.000000	HOD FM	FORMATION	SHETLAND GP	1679	66	143	9999-12-31	2013-05-08
2/7-25 S	1698.000000	3283.000000	HORDALAND GP	GROUP	\N	1679	67	\N	9999-12-31	2013-05-08
2/7-25 S	3371.000000	3432.000000	LISTA FM	FORMATION	ROGALAND GP	1679	95	131	9999-12-31	2013-05-08
2/7-25 S	4711.000000	4828.000000	MANDAL FM	FORMATION	TYNE GP	1679	101	177	9999-12-31	2013-05-08
2/7-25 S	99.000000	1698.000000	NORDLAND GP	GROUP	\N	1679	113	\N	9999-12-31	2013-05-08
2/7-25 S	3283.000000	3462.000000	ROGALAND GP	GROUP	\N	1679	131	\N	9999-12-31	2013-05-08
2/7-25 S	4538.000000	4561.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1679	137	23	9999-12-31	2013-05-08
2/7-25 S	3308.000000	3371.000000	SELE FM	FORMATION	ROGALAND GP	1679	142	131	9999-12-31	2013-05-08
2/7-25 S	3462.000000	4538.000000	SHETLAND GP	GROUP	\N	1679	143	\N	9999-12-31	2013-05-08
2/7-25 S	4561.000000	4584.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1679	152	23	9999-12-31	2013-05-08
2/7-25 S	3561.000000	3898.000000	TOR FM	FORMATION	SHETLAND GP	1679	171	143	9999-12-31	2013-05-08
2/7-25 S	4584.000000	4634.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1679	175	23	9999-12-31	2013-05-08
2/7-25 S	4711.000000	5177.000000	TYNE GP	GROUP	\N	1679	177	\N	9999-12-31	2013-05-08
2/7-25 S	3432.000000	3462.000000	VÅLE FM	FORMATION	ROGALAND GP	1679	190	131	9999-12-31	2013-05-08
2/7-25 S	4634.000000	4711.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1679	198	23	9999-12-31	2013-05-08
15/12-7 S	2358.000000	2379.000000	BALDER FM	FORMATION	ROGALAND GP	1680	6	131	9999-12-31	2013-05-08
15/12-7 S	2942.000000	3008.000000	CROMER KNOLL GP	GROUP	\N	1680	23	\N	9999-12-31	2013-05-08
15/12-7 S	3008.000000	3025.000000	DRAUPNE FM	FORMATION	VIKING GP	1680	28	188	9999-12-31	2013-05-08
15/12-7 S	2583.000000	2630.000000	EKOFISK FM	FORMATION	SHETLAND GP	1680	33	143	9999-12-31	2013-05-08
15/12-7 S	3025.000000	3036.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	1680	59	188	9999-12-31	2013-05-08
15/12-7 S	2685.000000	2942.000000	HOD FM	FORMATION	SHETLAND GP	1680	66	143	9999-12-31	2013-05-08
15/12-7 S	1284.000000	2358.000000	HORDALAND GP	GROUP	\N	1680	67	\N	9999-12-31	2013-05-08
15/12-7 S	2460.000000	2549.000000	LISTA FM	FORMATION	ROGALAND GP	1680	95	131	9999-12-31	2013-05-08
15/12-7 S	108.000000	1284.000000	NORDLAND GP	GROUP	\N	1680	113	\N	9999-12-31	2013-05-08
15/12-7 S	2358.000000	2583.000000	ROGALAND GP	GROUP	\N	1680	131	\N	9999-12-31	2013-05-08
15/12-7 S	2379.000000	2460.000000	SELE FM	FORMATION	ROGALAND GP	1680	142	131	9999-12-31	2013-05-08
15/12-7 S	2583.000000	2942.000000	SHETLAND GP	GROUP	\N	1680	143	\N	9999-12-31	2013-05-08
15/12-7 S	3036.000000	3477.000000	SKAGERRAK FM	FORMATION	HEGRE GP	1680	146	61	9999-12-31	2013-05-08
15/12-7 S	3477.000000	3570.000000	SMITH BANK FM	FORMATION	HEGRE GP	1680	149	61	9999-12-31	2013-05-08
15/12-7 S	2942.000000	2975.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1680	152	23	9999-12-31	2013-05-08
15/12-7 S	2630.000000	2685.000000	TOR FM	FORMATION	SHETLAND GP	1680	171	143	9999-12-31	2013-05-08
15/12-7 S	1129.000000	1284.000000	UTSIRA FM	FORMATION	NORDLAND GP	1680	183	113	9999-12-31	2013-05-08
15/12-7 S	3008.000000	3036.000000	VIKING GP	GROUP	\N	1680	188	\N	9999-12-31	2013-05-08
15/12-7 S	2549.000000	2583.000000	VÅLE FM	FORMATION	ROGALAND GP	1680	190	131	9999-12-31	2013-05-08
15/12-7 S	2975.000000	3008.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1680	198	23	9999-12-31	2013-05-08
15/12-7 S	3036.000000	3570.000000	NO GROUP DEFINED	GROUP	\N	1680	208	\N	9999-12-31	2013-05-08
34/8-4 S	2938.000000	2950.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1683	4	29	9999-12-31	2013-05-08
34/8-4 S	1819.000000	1862.000000	BALDER FM	FORMATION	ROGALAND GP	1683	6	131	9999-12-31	2013-05-08
34/8-4 S	2903.000000	2924.000000	BRENT GP	GROUP	\N	1683	16	\N	9999-12-31	2013-05-08
34/8-4 S	2922.000000	2924.000000	BROOM FM	FORMATION	BRENT GP	1683	17	16	9999-12-31	2013-05-08
34/8-4 S	2899.000000	2902.000000	CROMER KNOLL GP	GROUP	\N	1683	23	\N	9999-12-31	2013-05-08
34/8-4 S	2924.000000	2938.000000	DRAKE FM	FORMATION	DUNLIN GP	1683	27	29	9999-12-31	2013-05-08
34/8-4 S	2902.000000	2903.000000	DRAUPNE FM	FORMATION	VIKING GP	1683	28	188	9999-12-31	2013-05-08
34/8-4 S	2924.000000	2950.000000	DUNLIN GP	GROUP	\N	1683	29	\N	9999-12-31	2013-05-08
34/8-4 S	2950.000000	4150.000000	HEGRE GP	GROUP	\N	1683	61	\N	9999-12-31	2013-05-08
34/8-4 S	1108.000000	1819.000000	HORDALAND GP	GROUP	\N	1683	67	\N	9999-12-31	2013-05-08
34/8-4 S	1875.000000	2030.000000	LISTA FM	FORMATION	ROGALAND GP	1683	95	131	9999-12-31	2013-05-08
34/8-4 S	3947.000000	4150.000000	LOMVI FM	FORMATION	HEGRE GP	1683	96	61	9999-12-31	2013-05-08
34/8-4 S	2950.000000	3947.000000	LUNDE FM	FORMATION	HEGRE GP	1683	97	61	9999-12-31	2013-05-08
34/8-4 S	332.000000	1108.000000	NORDLAND GP	GROUP	\N	1683	113	\N	9999-12-31	2013-05-08
34/8-4 S	2903.000000	2922.000000	RANNOCH FM	FORMATION	BRENT GP	1683	126	16	9999-12-31	2013-05-08
34/8-4 S	1819.000000	2030.000000	ROGALAND GP	GROUP	\N	1683	131	\N	9999-12-31	2013-05-08
34/8-4 S	1862.000000	1875.000000	SELE FM	FORMATION	ROGALAND GP	1683	142	131	9999-12-31	2013-05-08
34/8-4 S	2030.000000	2899.000000	SHETLAND GP	GROUP	\N	1683	143	\N	9999-12-31	2013-05-08
34/8-4 S	1071.000000	1108.000000	UTSIRA FM	FORMATION	NORDLAND GP	1683	183	113	9999-12-31	2013-05-08
34/8-4 S	2902.000000	2903.000000	VIKING GP	GROUP	\N	1683	188	\N	9999-12-31	2013-05-08
31/5-4 A	1205.000000	1292.000000	BALDER FM	FORMATION	ROGALAND GP	1689	6	131	9999-12-31	2013-05-08
31/5-4 A	1470.000000	1515.000000	CROMER KNOLL GP	GROUP	\N	1689	23	\N	9999-12-31	2013-05-08
31/5-4 A	1515.000000	1621.000000	DRAUPNE FM	FORMATION	VIKING GP	1689	28	188	9999-12-31	2013-05-08
31/5-4 A	1449.000000	1461.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1689	56	143	9999-12-31	2013-05-08
31/5-4 A	654.000000	1205.000000	HORDALAND GP	GROUP	\N	1689	67	\N	9999-12-31	2013-05-08
31/5-4 A	1393.000000	1449.000000	LISTA FM	FORMATION	ROGALAND GP	1689	95	131	9999-12-31	2013-05-08
31/5-4 A	340.000000	654.000000	NORDLAND GP	GROUP	\N	1689	113	\N	9999-12-31	2013-05-08
31/5-4 A	1205.000000	1449.000000	ROGALAND GP	GROUP	\N	1689	131	\N	9999-12-31	2013-05-08
31/5-4 A	1470.000000	1507.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1689	137	23	9999-12-31	2013-05-08
31/5-4 A	1292.000000	1393.000000	SELE FM	FORMATION	ROGALAND GP	1689	142	131	9999-12-31	2013-05-08
31/5-4 A	1449.000000	1470.000000	SHETLAND GP	GROUP	\N	1689	143	\N	9999-12-31	2013-05-08
31/5-4 A	1621.000000	2603.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1689	151	188	9999-12-31	2013-05-08
31/5-4 A	1461.000000	1470.000000	UNDIFFERENTIATED	FORMATION	\N	1689	182	\N	9999-12-31	2013-05-08
31/5-4 A	1515.000000	2603.000000	VIKING GP	GROUP	\N	1689	188	\N	9999-12-31	2013-05-08
31/5-4 A	1507.000000	1515.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1689	198	23	9999-12-31	2013-05-08
7120/2-2	1450.000000	2692.000000	ADVENTDALEN GP	GROUP	\N	1690	1	\N	9999-12-31	2013-05-08
7120/2-2	2656.000000	2692.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1690	47	1	9999-12-31	2013-05-08
7120/2-2	2503.000000	2656.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1690	63	1	9999-12-31	2013-05-08
7120/2-2	2692.000000	2794.000000	KAPP TOSCANA GP	GROUP	\N	1690	79	\N	9999-12-31	2013-05-08
7120/2-2	2120.000000	2503.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1690	82	1	9999-12-31	2013-05-08
7120/2-2	1948.000000	2120.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	1690	84	1	9999-12-31	2013-05-08
7120/2-2	1450.000000	1948.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1690	85	1	9999-12-31	2013-05-08
7120/2-2	1443.000000	1450.000000	KVITING FM	FORMATION	NYGRUNNEN GP	1690	90	122	9999-12-31	2013-05-08
7120/2-2	360.000000	437.000000	NORDLAND GP	GROUP	\N	1690	113	\N	9999-12-31	2013-05-08
7120/2-2	1443.000000	1450.000000	NYGRUNNEN GP	GROUP	\N	1690	122	\N	9999-12-31	2013-05-08
7120/2-2	437.000000	1443.000000	SOTBAKKEN GP	GROUP	\N	1690	154	\N	9999-12-31	2013-05-08
7120/2-2	2692.000000	2794.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1690	159	79	9999-12-31	2013-05-08
7120/2-2	437.000000	1443.000000	TORSK FM	FORMATION	SOTBAKKEN GP	1690	172	154	9999-12-31	2013-05-08
25/5-4	2111.000000	2142.000000	BALDER FM	FORMATION	ROGALAND GP	1691	6	131	9999-12-31	2013-05-08
25/5-4	2941.000000	3052.000000	BURTON FM	FORMATION	DUNLIN GP	1691	20	29	9999-12-31	2013-05-08
25/5-4	2775.000000	2783.000000	CROMER KNOLL GP	GROUP	\N	1691	23	\N	9999-12-31	2013-05-08
25/5-4	2783.000000	2860.000000	DRAUPNE FM	FORMATION	VIKING GP	1691	28	188	9999-12-31	2013-05-08
25/5-4	2941.000000	3052.000000	DUNLIN GP	GROUP	\N	1691	29	\N	9999-12-31	2013-05-08
25/5-4	1357.000000	1387.000000	GRID FM	FORMATION	HORDALAND GP	1691	53	67	9999-12-31	2013-05-08
25/5-4	2559.000000	2762.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1691	56	143	9999-12-31	2013-05-08
25/5-4	2860.000000	2895.000000	HEATHER FM	FORMATION	VIKING GP	1691	60	188	9999-12-31	2013-05-08
25/5-4	2251.000000	2340.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1691	62	131	9999-12-31	2013-05-08
25/5-4	1057.000000	2111.000000	HORDALAND GP	GROUP	\N	1691	67	\N	9999-12-31	2013-05-08
25/5-4	2895.000000	2920.000000	HUGIN FM	FORMATION	VESTLAND GP	1691	69	186	9999-12-31	2013-05-08
25/5-4	2762.000000	2775.000000	KYRRE FM	FORMATION	SHETLAND GP	1691	92	143	9999-12-31	2013-05-08
25/5-4	2176.000000	2251.000000	LISTA FM	FORMATION	ROGALAND GP	1691	95	131	9999-12-31	2013-05-08
25/5-4	2340.000000	2377.000000	LISTA FM	FORMATION	ROGALAND GP	1691	95	131	9999-12-31	2013-05-08
25/5-4	1267.000000	1357.000000	NO FORMAL NAME	FORMATION	\N	1691	111	\N	9999-12-31	2013-05-08
25/5-4	1387.000000	2111.000000	NO FORMAL NAME	FORMATION	\N	1691	111	\N	9999-12-31	2013-05-08
25/5-4	145.000000	1057.000000	NORDLAND GP	GROUP	\N	1691	113	\N	9999-12-31	2013-05-08
25/5-4	2111.000000	2559.000000	ROGALAND GP	GROUP	\N	1691	131	\N	9999-12-31	2013-05-08
25/5-4	2142.000000	2176.000000	SELE FM	FORMATION	ROGALAND GP	1691	142	131	9999-12-31	2013-05-08
25/5-4	2559.000000	2775.000000	SHETLAND GP	GROUP	\N	1691	143	\N	9999-12-31	2013-05-08
25/5-4	1255.000000	1267.000000	SKADE FM	FORMATION	HORDALAND GP	1691	145	67	9999-12-31	2013-05-08
25/5-4	2920.000000	2941.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1691	148	186	9999-12-31	2013-05-08
25/5-4	3052.000000	3185.000000	STATFJORD FM	FORMATION	\N	1691	157	\N	9999-12-31	2013-05-08
25/5-4	2434.000000	2559.000000	TY FM	FORMATION	ROGALAND GP	1691	176	131	9999-12-31	2013-05-08
25/5-4	294.000000	1057.000000	UTSIRA FM	FORMATION	NORDLAND GP	1691	183	113	9999-12-31	2013-05-08
25/5-4	2895.000000	2941.000000	VESTLAND GP	GROUP	\N	1691	186	\N	9999-12-31	2013-05-08
25/5-4	2783.000000	2895.000000	VIKING GP	GROUP	\N	1691	188	\N	9999-12-31	2013-05-08
25/5-4	2377.000000	2434.000000	VÅLE FM	FORMATION	ROGALAND GP	1691	190	131	9999-12-31	2013-05-08
25/5-4	2775.000000	2783.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1691	198	23	9999-12-31	2013-05-08
25/5-4	3052.000000	3185.000000	NO GROUP DEFINED	GROUP	\N	1691	208	\N	9999-12-31	2013-05-08
6407/7-5	1140.000000	1795.000000	BRYGGE FM	FORMATION	HORDALAND GP	1699	18	67	9999-12-31	2013-05-08
6407/7-5	3207.000000	3725.000000	BÅT GP	GROUP	\N	1699	22	\N	9999-12-31	2013-05-08
6407/7-5	3003.000000	3120.000000	CROMER KNOLL GP	GROUP	\N	1699	23	\N	9999-12-31	2013-05-08
6407/7-5	3154.000000	3207.000000	FANGST GP	GROUP	\N	1699	38	\N	9999-12-31	2013-05-08
6407/7-5	1140.000000	1795.000000	HORDALAND GP	GROUP	\N	1699	67	\N	9999-12-31	2013-05-08
6407/7-5	3164.000000	3207.000000	ILE FM	FORMATION	FANGST GP	1699	70	38	9999-12-31	2013-05-08
6407/7-5	1120.000000	1140.000000	KAI FM	FORMATION	NORDLAND GP	1699	77	113	9999-12-31	2013-05-08
6407/7-5	2532.000000	3003.000000	KVITNOS FM	FORMATION	SHETLAND GP	1699	91	143	9999-12-31	2013-05-08
6407/7-5	3003.000000	3120.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1699	99	23	9999-12-31	2013-05-08
6407/7-5	351.000000	1120.000000	NAUST FM	FORMATION	NORDLAND GP	1699	109	113	9999-12-31	2013-05-08
6407/7-5	2111.000000	2532.000000	NISE FM	FORMATION	SHETLAND GP	1699	112	143	9999-12-31	2013-05-08
6407/7-5	351.000000	1140.000000	NORDLAND GP	GROUP	\N	1699	113	\N	9999-12-31	2013-05-08
6407/7-5	3154.000000	3164.000000	NOT FM	FORMATION	FANGST GP	1699	120	38	9999-12-31	2013-05-08
6407/7-5	1795.000000	2111.000000	ROGALAND GP	GROUP	\N	1699	131	\N	9999-12-31	2013-05-08
6407/7-5	3207.000000	3355.000000	ROR FM	FORMATION	BÅT GP	1699	135	22	9999-12-31	2013-05-08
6407/7-5	2111.000000	3003.000000	SHETLAND GP	GROUP	\N	1699	143	\N	9999-12-31	2013-05-08
6407/7-5	3120.000000	3154.000000	SPEKK FM	FORMATION	VIKING GP	1699	155	188	9999-12-31	2013-05-08
6407/7-5	1864.000000	2111.000000	TANG FM	FORMATION	ROGALAND GP	1699	161	131	9999-12-31	2013-05-08
6407/7-5	1795.000000	1864.000000	TARE FM	FORMATION	ROGALAND GP	1699	163	131	9999-12-31	2013-05-08
6407/7-5	3355.000000	3496.000000	TILJE FM	FORMATION	BÅT GP	1699	169	22	9999-12-31	2013-05-08
6407/7-5	3120.000000	3154.000000	VIKING GP	GROUP	\N	1699	188	\N	9999-12-31	2013-05-08
6407/7-5	3496.000000	3725.000000	ÅRE FM	FORMATION	BÅT GP	1699	197	22	9999-12-31	2013-05-08
2/4-16	3140.000000	3155.000000	BALDER FM	FORMATION	ROGALAND GP	1702	6	131	9999-12-31	2013-05-08
2/4-16	4575.000000	4598.000000	BLODØKS FM	FORMATION	SHETLAND GP	1702	13	143	9999-12-31	2013-05-08
2/4-16	4877.000000	4996.000000	BRYNE FM	FORMATION	VESTLAND GP	1702	19	186	9999-12-31	2013-05-08
2/4-16	4638.000000	4737.000000	CROMER KNOLL GP	GROUP	\N	1702	23	\N	9999-12-31	2013-05-08
2/4-16	3317.000000	3435.000000	EKOFISK FM	FORMATION	SHETLAND GP	1702	33	143	9999-12-31	2013-05-08
2/4-16	4770.000000	4828.000000	FARSUND FM	FORMATION	TYNE GP	1702	39	177	9999-12-31	2013-05-08
2/4-16	4828.000000	4877.000000	HAUGESUND FM	FORMATION	TYNE GP	1702	57	177	9999-12-31	2013-05-08
2/4-16	4598.000000	4638.000000	HIDRA FM	FORMATION	SHETLAND GP	1702	65	143	9999-12-31	2013-05-08
2/4-16	3920.000000	4575.000000	HOD FM	FORMATION	SHETLAND GP	1702	66	143	9999-12-31	2013-05-08
2/4-16	1798.000000	3140.000000	HORDALAND GP	GROUP	\N	1702	67	\N	9999-12-31	2013-05-08
2/4-16	3189.000000	3238.000000	LISTA FM	FORMATION	ROGALAND GP	1702	95	131	9999-12-31	2013-05-08
2/4-16	3254.000000	3292.000000	LISTA FM	FORMATION	ROGALAND GP	1702	95	131	9999-12-31	2013-05-08
2/4-16	4737.000000	4770.000000	MANDAL FM	FORMATION	TYNE GP	1702	101	177	9999-12-31	2013-05-08
2/4-16	833.000000	914.000000	NO FORMAL NAME	FORMATION	\N	1702	111	\N	9999-12-31	2013-05-08
2/4-16	914.000000	1798.000000	NO FORMAL NAME	FORMATION	\N	1702	111	\N	9999-12-31	2013-05-08
2/4-16	94.000000	1798.000000	NORDLAND GP	GROUP	\N	1702	113	\N	9999-12-31	2013-05-08
2/4-16	3140.000000	3317.000000	ROGALAND GP	GROUP	\N	1702	131	\N	9999-12-31	2013-05-08
2/4-16	4638.000000	4678.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1702	137	23	9999-12-31	2013-05-08
2/4-16	3155.000000	3189.000000	SELE FM	FORMATION	ROGALAND GP	1702	142	131	9999-12-31	2013-05-08
2/4-16	3317.000000	4638.000000	SHETLAND GP	GROUP	\N	1702	143	\N	9999-12-31	2013-05-08
2/4-16	3435.000000	3920.000000	TOR FM	FORMATION	SHETLAND GP	1702	171	143	9999-12-31	2013-05-08
2/4-16	4678.000000	4714.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1702	175	23	9999-12-31	2013-05-08
2/4-16	4737.000000	4877.000000	TYNE GP	GROUP	\N	1702	177	\N	9999-12-31	2013-05-08
2/4-16	4877.000000	4996.000000	VESTLAND GP	GROUP	\N	1702	186	\N	9999-12-31	2013-05-08
2/4-16	3238.000000	3254.000000	VIDAR FM	FORMATION	ROGALAND GP	1702	187	131	9999-12-31	2013-05-08
2/4-16	3292.000000	3317.000000	VÅLE FM	FORMATION	ROGALAND GP	1702	190	131	9999-12-31	2013-05-08
2/4-16	4714.000000	4737.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1702	198	23	9999-12-31	2013-05-08
25/4-6 S	2121.000000	2136.000000	BALDER FM	FORMATION	ROGALAND GP	1703	6	131	9999-12-31	2013-05-08
25/4-6 S	3381.000000	3485.000000	BLODØKS FM	FORMATION	SHETLAND GP	1703	13	143	9999-12-31	2013-05-08
25/4-6 S	3532.000000	3571.000000	CROMER KNOLL GP	GROUP	\N	1703	23	\N	9999-12-31	2013-05-08
25/4-6 S	3571.000000	3619.000000	DRAUPNE FM	FORMATION	VIKING GP	1703	28	188	9999-12-31	2013-05-08
25/4-6 S	3940.000000	4129.000000	DUNLIN GP	GROUP	\N	1703	29	\N	9999-12-31	2013-05-08
25/4-6 S	1272.000000	1362.000000	GRID FM	FORMATION	HORDALAND GP	1703	53	67	9999-12-31	2013-05-08
25/4-6 S	3619.000000	3716.000000	HEATHER FM	FORMATION	VIKING GP	1703	60	188	9999-12-31	2013-05-08
25/4-6 S	2200.000000	2611.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1703	62	131	9999-12-31	2013-05-08
25/4-6 S	976.000000	2121.000000	HORDALAND GP	GROUP	\N	1703	67	\N	9999-12-31	2013-05-08
25/4-6 S	3716.000000	3874.000000	HUGIN FM	FORMATION	VESTLAND GP	1703	69	186	9999-12-31	2013-05-08
25/4-6 S	2903.000000	3335.000000	KYRRE FM	FORMATION	SHETLAND GP	1703	92	143	9999-12-31	2013-05-08
25/4-6 S	2169.000000	2200.000000	LISTA FM	FORMATION	ROGALAND GP	1703	95	131	9999-12-31	2013-05-08
25/4-6 S	1203.000000	1272.000000	NO FORMAL NAME	FORMATION	\N	1703	111	\N	9999-12-31	2013-05-08
25/4-6 S	1362.000000	2121.000000	NO FORMAL NAME	FORMATION	\N	1703	111	\N	9999-12-31	2013-05-08
25/4-6 S	136.000000	976.000000	NORDLAND GP	GROUP	\N	1703	113	\N	9999-12-31	2013-05-08
25/4-6 S	2121.000000	2759.000000	ROGALAND GP	GROUP	\N	1703	131	\N	9999-12-31	2013-05-08
25/4-6 S	3532.000000	3545.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1703	137	23	9999-12-31	2013-05-08
25/4-6 S	2136.000000	2169.000000	SELE FM	FORMATION	ROGALAND GP	1703	142	131	9999-12-31	2013-05-08
25/4-6 S	2759.000000	3532.000000	SHETLAND GP	GROUP	\N	1703	143	\N	9999-12-31	2013-05-08
25/4-6 S	1192.000000	1203.000000	SKADE FM	FORMATION	HORDALAND GP	1703	145	67	9999-12-31	2013-05-08
25/4-6 S	3874.000000	3940.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1703	148	186	9999-12-31	2013-05-08
25/4-6 S	3545.000000	3563.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1703	152	23	9999-12-31	2013-05-08
25/4-6 S	4129.000000	4170.000000	STATFJORD FM	FORMATION	\N	1703	157	\N	9999-12-31	2013-05-08
25/4-6 S	3485.000000	3532.000000	SVARTE FM	FORMATION	SHETLAND GP	1703	160	143	9999-12-31	2013-05-08
25/4-6 S	2759.000000	2903.000000	TOR FM	FORMATION	SHETLAND GP	1703	171	143	9999-12-31	2013-05-08
25/4-6 S	3335.000000	3381.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1703	173	143	9999-12-31	2013-05-08
25/4-6 S	225.000000	976.000000	UTSIRA FM	FORMATION	NORDLAND GP	1703	183	113	9999-12-31	2013-05-08
25/4-6 S	3716.000000	3940.000000	VESTLAND GP	GROUP	\N	1703	186	\N	9999-12-31	2013-05-08
25/4-6 S	3571.000000	3716.000000	VIKING GP	GROUP	\N	1703	188	\N	9999-12-31	2013-05-08
25/4-6 S	2611.000000	2759.000000	VÅLE FM	FORMATION	ROGALAND GP	1703	190	131	9999-12-31	2013-05-08
25/4-6 S	3563.000000	3571.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1703	198	23	9999-12-31	2013-05-08
25/4-6 S	4129.000000	4170.000000	NO GROUP DEFINED	GROUP	\N	1703	208	\N	9999-12-31	2013-05-08
6406/12-1 S	1752.000000	2047.000000	BRYGGE FM	FORMATION	HORDALAND GP	1711	18	67	9999-12-31	2013-05-08
6406/12-1 S	3478.000000	3600.000000	CROMER KNOLL GP	GROUP	\N	1711	23	\N	9999-12-31	2013-05-08
6406/12-1 S	1752.000000	2047.000000	HORDALAND GP	GROUP	\N	1711	67	\N	9999-12-31	2013-05-08
6406/12-1 S	1167.000000	1752.000000	KAI FM	FORMATION	NORDLAND GP	1711	77	113	9999-12-31	2013-05-08
6406/12-1 S	3095.000000	3478.000000	KVITNOS FM	FORMATION	SHETLAND GP	1711	91	143	9999-12-31	2013-05-08
6406/12-1 S	3478.000000	3577.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1711	94	23	9999-12-31	2013-05-08
6406/12-1 S	3577.000000	3600.000000	LYR FM	FORMATION	CROMER KNOLL GP	1711	98	23	9999-12-31	2013-05-08
6406/12-1 S	3727.000000	3965.000000	MELKE FM	FORMATION	VIKING GP	1711	105	188	9999-12-31	2013-05-08
6406/12-1 S	352.000000	1167.000000	NAUST FM	FORMATION	NORDLAND GP	1711	109	113	9999-12-31	2013-05-08
6406/12-1 S	2854.000000	3095.000000	NISE FM	FORMATION	SHETLAND GP	1711	112	143	9999-12-31	2013-05-08
6406/12-1 S	352.000000	1752.000000	NORDLAND GP	GROUP	\N	1711	113	\N	9999-12-31	2013-05-08
6406/12-1 S	2047.000000	2323.000000	ROGALAND GP	GROUP	\N	1711	131	\N	9999-12-31	2013-05-08
6406/12-1 S	3600.000000	3625.000000	ROGN FM	FORMATION	VIKING GP	1711	134	188	9999-12-31	2013-05-08
6406/12-1 S	2323.000000	3478.000000	SHETLAND GP	GROUP	\N	1711	143	\N	9999-12-31	2013-05-08
6406/12-1 S	3625.000000	3727.000000	SPEKK FM	FORMATION	VIKING GP	1711	155	188	9999-12-31	2013-05-08
6406/12-1 S	2323.000000	2854.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1711	156	143	9999-12-31	2013-05-08
6406/12-1 S	2137.000000	2323.000000	TANG FM	FORMATION	ROGALAND GP	1711	161	131	9999-12-31	2013-05-08
6406/12-1 S	2047.000000	2137.000000	TARE FM	FORMATION	ROGALAND GP	1711	163	131	9999-12-31	2013-05-08
6406/12-1 S	3600.000000	3965.000000	VIKING GP	GROUP	\N	1711	188	\N	9999-12-31	2013-05-08
25/2-14	2164.000000	2211.000000	BALDER FM	FORMATION	ROGALAND GP	1712	6	131	9999-12-31	2013-05-08
25/2-14	3029.000000	3060.000000	DRAUPNE FM	FORMATION	VIKING GP	1712	28	188	9999-12-31	2013-05-08
25/2-14	3322.000000	3521.000000	DUNLIN GP	GROUP	\N	1712	29	\N	9999-12-31	2013-05-08
25/2-14	1348.000000	1425.000000	GRID FM	FORMATION	HORDALAND GP	1712	53	67	9999-12-31	2013-05-08
25/2-14	2552.000000	2844.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1712	56	143	9999-12-31	2013-05-08
25/2-14	3060.000000	3135.000000	HEATHER FM	FORMATION	VIKING GP	1712	60	188	9999-12-31	2013-05-08
25/2-14	2211.000000	2242.000000	HERMOD FM	FORMATION	ROGALAND GP	1712	64	131	9999-12-31	2013-05-08
25/2-14	2259.000000	2304.000000	HERMOD FM	FORMATION	ROGALAND GP	1712	64	131	9999-12-31	2013-05-08
25/2-14	972.000000	2164.000000	HORDALAND GP	GROUP	\N	1712	67	\N	9999-12-31	2013-05-08
25/2-14	3135.000000	3156.000000	HUGIN FM	FORMATION	VESTLAND GP	1712	69	186	9999-12-31	2013-05-08
25/2-14	2844.000000	2970.000000	KYRRE FM	FORMATION	SHETLAND GP	1712	92	143	9999-12-31	2013-05-08
25/2-14	2331.000000	2482.000000	LISTA FM	FORMATION	ROGALAND GP	1712	95	131	9999-12-31	2013-05-08
25/2-14	1074.000000	1348.000000	NO FORMAL NAME	FORMATION	\N	1712	111	\N	9999-12-31	2013-05-08
25/2-14	1425.000000	2164.000000	NO FORMAL NAME	FORMATION	\N	1712	111	\N	9999-12-31	2013-05-08
25/2-14	139.000000	972.000000	NORDLAND GP	GROUP	\N	1712	113	\N	9999-12-31	2013-05-08
25/2-14	2164.000000	2552.000000	ROGALAND GP	GROUP	\N	1712	131	\N	9999-12-31	2013-05-08
25/2-14	2242.000000	2259.000000	SELE FM	FORMATION	ROGALAND GP	1712	142	131	9999-12-31	2013-05-08
25/2-14	2304.000000	2331.000000	SELE FM	FORMATION	ROGALAND GP	1712	142	131	9999-12-31	2013-05-08
25/2-14	2552.000000	3029.000000	SHETLAND GP	GROUP	\N	1712	143	\N	9999-12-31	2013-05-08
25/2-14	985.000000	1074.000000	SKADE FM	FORMATION	HORDALAND GP	1712	145	67	9999-12-31	2013-05-08
25/2-14	3156.000000	3322.000000	SLEIPNER FM	FORMATION	VESTLAND GP	1712	148	186	9999-12-31	2013-05-08
25/2-14	3521.000000	3623.000000	STATFJORD FM	FORMATION	\N	1712	157	\N	9999-12-31	2013-05-08
25/2-14	2970.000000	3029.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1712	173	143	9999-12-31	2013-05-08
25/2-14	312.000000	972.000000	UTSIRA FM	FORMATION	NORDLAND GP	1712	183	113	9999-12-31	2013-05-08
25/2-14	3135.000000	3322.000000	VESTLAND GP	GROUP	\N	1712	186	\N	9999-12-31	2013-05-08
25/2-14	3029.000000	3135.000000	VIKING GP	GROUP	\N	1712	188	\N	9999-12-31	2013-05-08
25/2-14	2482.000000	2552.000000	VÅLE FM	FORMATION	ROGALAND GP	1712	190	131	9999-12-31	2013-05-08
25/2-14	3521.000000	3623.000000	NO GROUP DEFINED	GROUP	\N	1712	208	\N	9999-12-31	2013-05-08
34/7-17	2832.000000	2943.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1713	4	29	9999-12-31	2013-05-08
34/7-17	1699.000000	1770.000000	BALDER FM	FORMATION	ROGALAND GP	1713	6	131	9999-12-31	2013-05-08
34/7-17	2461.000000	2697.000000	BRENT GP	GROUP	\N	1713	16	\N	9999-12-31	2013-05-08
34/7-17	2818.000000	2832.000000	BURTON FM	FORMATION	DUNLIN GP	1713	20	29	9999-12-31	2013-05-08
34/7-17	2444.000000	2451.000000	CROMER KNOLL GP	GROUP	\N	1713	23	\N	9999-12-31	2013-05-08
34/7-17	2789.000000	2818.000000	COOK FM	FORMATION	DUNLIN GP	1713	24	29	9999-12-31	2013-05-08
34/7-17	2697.000000	2789.000000	DRAKE FM	FORMATION	DUNLIN GP	1713	27	29	9999-12-31	2013-05-08
34/7-17	2697.000000	2943.000000	DUNLIN GP	GROUP	\N	1713	29	\N	9999-12-31	2013-05-08
34/7-17	2559.000000	2631.000000	ETIVE FM	FORMATION	BRENT GP	1713	35	16	9999-12-31	2013-05-08
34/7-17	2451.000000	2461.000000	HEATHER FM	FORMATION	VIKING GP	1713	60	188	9999-12-31	2013-05-08
34/7-17	3085.000000	3115.000000	HEGRE GP	GROUP	\N	1713	61	\N	9999-12-31	2013-05-08
34/7-17	1079.000000	1699.000000	HORDALAND GP	GROUP	\N	1713	67	\N	9999-12-31	2013-05-08
34/7-17	1924.000000	2116.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1713	74	143	9999-12-31	2013-05-08
34/7-17	2116.000000	2444.000000	KYRRE FM	FORMATION	SHETLAND GP	1713	92	143	9999-12-31	2013-05-08
34/7-17	1770.000000	1924.000000	LISTA FM	FORMATION	ROGALAND GP	1713	95	131	9999-12-31	2013-05-08
34/7-17	3085.000000	3115.000000	LUNDE FM	FORMATION	HEGRE GP	1713	97	61	9999-12-31	2013-05-08
34/7-17	2448.000000	2451.000000	MIME FM	FORMATION	CROMER KNOLL GP	1713	106	23	9999-12-31	2013-05-08
34/7-17	2510.000000	2559.000000	NESS FM	FORMATION	BRENT GP	1713	110	16	9999-12-31	2013-05-08
34/7-17	1257.000000	1331.000000	NO FORMAL NAME	FORMATION	\N	1713	111	\N	9999-12-31	2013-05-08
34/7-17	1331.000000	1403.000000	NO FORMAL NAME	FORMATION	\N	1713	111	\N	9999-12-31	2013-05-08
34/7-17	1403.000000	1423.000000	NO FORMAL NAME	FORMATION	\N	1713	111	\N	9999-12-31	2013-05-08
34/7-17	1423.000000	1699.000000	NO FORMAL NAME	FORMATION	\N	1713	111	\N	9999-12-31	2013-05-08
34/7-17	285.000000	1079.000000	NORDLAND GP	GROUP	\N	1713	113	\N	9999-12-31	2013-05-08
34/7-17	2631.000000	2697.000000	RANNOCH FM	FORMATION	BRENT GP	1713	126	16	9999-12-31	2013-05-08
34/7-17	1699.000000	1924.000000	ROGALAND GP	GROUP	\N	1713	131	\N	9999-12-31	2013-05-08
34/7-17	2444.000000	2448.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1713	137	23	9999-12-31	2013-05-08
34/7-17	1924.000000	2444.000000	SHETLAND GP	GROUP	\N	1713	143	\N	9999-12-31	2013-05-08
34/7-17	2943.000000	3085.000000	STATFJORD FM	FORMATION	\N	1713	157	\N	9999-12-31	2013-05-08
34/7-17	2461.000000	2510.000000	TARBERT FM	FORMATION	BRENT GP	1713	162	16	9999-12-31	2013-05-08
34/7-17	944.000000	1079.000000	UTSIRA FM	FORMATION	NORDLAND GP	1713	183	113	9999-12-31	2013-05-08
34/7-17	2451.000000	2461.000000	VIKING GP	GROUP	\N	1713	188	\N	9999-12-31	2013-05-08
34/7-17	2943.000000	3085.000000	NO GROUP DEFINED	GROUP	\N	1713	208	\N	9999-12-31	2013-05-08
24/9-4	1974.000000	2098.000000	BALDER FM	FORMATION	ROGALAND GP	1714	6	131	9999-12-31	2013-05-08
24/9-4	1766.000000	1906.000000	FRIGG FM	FORMATION	HORDALAND GP	1714	45	67	9999-12-31	2013-05-08
24/9-4	1067.000000	1243.000000	GRID FM	FORMATION	HORDALAND GP	1714	53	67	9999-12-31	2013-05-08
24/9-4	1332.000000	1371.000000	GRID FM	FORMATION	HORDALAND GP	1714	53	67	9999-12-31	2013-05-08
24/9-4	740.000000	1974.000000	HORDALAND GP	GROUP	\N	1714	67	\N	9999-12-31	2013-05-08
24/9-4	2170.000000	2208.000000	LISTA FM	FORMATION	ROGALAND GP	1714	95	131	9999-12-31	2013-05-08
24/9-4	850.000000	1067.000000	NO FORMAL NAME	FORMATION	\N	1714	111	\N	9999-12-31	2013-05-08
24/9-4	1243.000000	1332.000000	NO FORMAL NAME	FORMATION	\N	1714	111	\N	9999-12-31	2013-05-08
24/9-4	1371.000000	1766.000000	NO FORMAL NAME	FORMATION	\N	1714	111	\N	9999-12-31	2013-05-08
24/9-4	1906.000000	1974.000000	NO FORMAL NAME	FORMATION	\N	1714	111	\N	9999-12-31	2013-05-08
24/9-4	144.000000	740.000000	NORDLAND GP	GROUP	\N	1714	113	\N	9999-12-31	2013-05-08
24/9-4	1974.000000	2208.000000	ROGALAND GP	GROUP	\N	1714	131	\N	9999-12-31	2013-05-08
24/9-4	2098.000000	2170.000000	SELE FM	FORMATION	ROGALAND GP	1714	142	131	9999-12-31	2013-05-08
24/9-4	819.000000	850.000000	SKADE FM	FORMATION	HORDALAND GP	1714	145	67	9999-12-31	2013-05-08
24/9-4	273.000000	740.000000	UTSIRA FM	FORMATION	NORDLAND GP	1714	183	113	9999-12-31	2013-05-08
2/11-8	2949.000000	2968.000000	BALDER FM	FORMATION	ROGALAND GP	1715	6	131	9999-12-31	2013-05-08
2/11-8	3852.000000	3869.000000	BLODØKS FM	FORMATION	SHETLAND GP	1715	13	143	9999-12-31	2013-05-08
2/11-8	3950.000000	4265.000000	CROMER KNOLL GP	GROUP	\N	1715	23	\N	9999-12-31	2013-05-08
2/11-8	3075.000000	3142.000000	EKOFISK FM	FORMATION	SHETLAND GP	1715	33	143	9999-12-31	2013-05-08
2/11-8	3869.000000	3950.000000	HIDRA FM	FORMATION	SHETLAND GP	1715	65	143	9999-12-31	2013-05-08
2/11-8	3390.000000	3852.000000	HOD FM	FORMATION	SHETLAND GP	1715	66	143	9999-12-31	2013-05-08
2/11-8	1510.000000	2949.000000	HORDALAND GP	GROUP	\N	1715	67	\N	9999-12-31	2013-05-08
2/11-8	3014.000000	3055.000000	LISTA FM	FORMATION	ROGALAND GP	1715	95	131	9999-12-31	2013-05-08
2/11-8	4265.000000	4268.000000	MANDAL FM	FORMATION	TYNE GP	1715	101	177	9999-12-31	2013-05-08
2/11-8	89.000000	1510.000000	NORDLAND GP	GROUP	\N	1715	113	\N	9999-12-31	2013-05-08
2/11-8	2949.000000	3075.000000	ROGALAND GP	GROUP	\N	1715	131	\N	9999-12-31	2013-05-08
2/11-8	3950.000000	3982.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1715	137	23	9999-12-31	2013-05-08
2/11-8	2968.000000	3014.000000	SELE FM	FORMATION	ROGALAND GP	1715	142	131	9999-12-31	2013-05-08
2/11-8	3075.000000	3950.000000	SHETLAND GP	GROUP	\N	1715	143	\N	9999-12-31	2013-05-08
2/11-8	3982.000000	4070.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1715	152	23	9999-12-31	2013-05-08
2/11-8	3142.000000	3390.000000	TOR FM	FORMATION	SHETLAND GP	1715	171	143	9999-12-31	2013-05-08
2/11-8	4070.000000	4168.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1715	175	23	9999-12-31	2013-05-08
2/11-8	4265.000000	4268.000000	TYNE GP	GROUP	\N	1715	177	\N	9999-12-31	2013-05-08
2/11-8	3055.000000	3075.000000	VÅLE FM	FORMATION	ROGALAND GP	1715	190	131	9999-12-31	2013-05-08
2/11-8	4168.000000	4265.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1715	198	23	9999-12-31	2013-05-08
2/11-8	4268.000000	4584.000000	NO GROUP DEFINED	GROUP	\N	1715	208	\N	9999-12-31	2013-05-08
30/9-12	2019.000000	2083.000000	BALDER FM	FORMATION	ROGALAND GP	1717	6	131	9999-12-31	2013-05-08
30/9-12	2660.000000	2791.000000	BRENT GP	GROUP	\N	1717	16	\N	9999-12-31	2013-05-08
30/9-12	2523.000000	2563.000000	CROMER KNOLL GP	GROUP	\N	1717	23	\N	9999-12-31	2013-05-08
30/9-12	2944.000000	2994.000000	COOK FM	FORMATION	DUNLIN GP	1717	24	29	9999-12-31	2013-05-08
30/9-12	2791.000000	2944.000000	DRAKE FM	FORMATION	DUNLIN GP	1717	27	29	9999-12-31	2013-05-08
30/9-12	2563.000000	2609.000000	DRAUPNE FM	FORMATION	VIKING GP	1717	28	188	9999-12-31	2013-05-08
30/9-12	2791.000000	2994.000000	DUNLIN GP	GROUP	\N	1717	29	\N	9999-12-31	2013-05-08
30/9-12	1350.000000	1380.000000	GRID FM	FORMATION	HORDALAND GP	1717	53	67	9999-12-31	2013-05-08
30/9-12	2325.000000	2523.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1717	56	143	9999-12-31	2013-05-08
30/9-12	2609.000000	2660.000000	HEATHER FM	FORMATION	VIKING GP	1717	60	188	9999-12-31	2013-05-08
30/9-12	842.000000	2019.000000	HORDALAND GP	GROUP	\N	1717	67	\N	9999-12-31	2013-05-08
30/9-12	2247.000000	2317.000000	LISTA FM	FORMATION	ROGALAND GP	1717	95	131	9999-12-31	2013-05-08
30/9-12	2545.000000	2560.000000	MIME FM	FORMATION	CROMER KNOLL GP	1717	106	23	9999-12-31	2013-05-08
30/9-12	2676.000000	2752.000000	NESS FM	FORMATION	BRENT GP	1717	110	16	9999-12-31	2013-05-08
30/9-12	1012.000000	1350.000000	NO FORMAL NAME	FORMATION	\N	1717	111	\N	9999-12-31	2013-05-08
30/9-12	1380.000000	2019.000000	NO FORMAL NAME	FORMATION	\N	1717	111	\N	9999-12-31	2013-05-08
30/9-12	129.000000	842.000000	NORDLAND GP	GROUP	\N	1717	113	\N	9999-12-31	2013-05-08
30/9-12	2019.000000	2325.000000	ROGALAND GP	GROUP	\N	1717	131	\N	9999-12-31	2013-05-08
30/9-12	2523.000000	2543.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1717	137	23	9999-12-31	2013-05-08
30/9-12	2083.000000	2247.000000	SELE FM	FORMATION	ROGALAND GP	1717	142	131	9999-12-31	2013-05-08
30/9-12	2325.000000	2523.000000	SHETLAND GP	GROUP	\N	1717	143	\N	9999-12-31	2013-05-08
30/9-12	980.000000	1012.000000	SKADE FM	FORMATION	HORDALAND GP	1717	145	67	9999-12-31	2013-05-08
30/9-12	2543.000000	2545.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1717	152	23	9999-12-31	2013-05-08
30/9-12	2660.000000	2676.000000	TARBERT FM	FORMATION	BRENT GP	1717	162	16	9999-12-31	2013-05-08
30/9-12	2752.000000	2791.000000	UNDIFFERENTIATED	FORMATION	\N	1717	182	\N	9999-12-31	2013-05-08
30/9-12	646.000000	842.000000	UTSIRA FM	FORMATION	NORDLAND GP	1717	183	113	9999-12-31	2013-05-08
30/9-12	2563.000000	2660.000000	VIKING GP	GROUP	\N	1717	188	\N	9999-12-31	2013-05-08
30/9-12	2317.000000	2325.000000	VÅLE FM	FORMATION	ROGALAND GP	1717	190	131	9999-12-31	2013-05-08
30/9-12	2560.000000	2563.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1717	198	23	9999-12-31	2013-05-08
34/8-5	3249.000000	3384.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1719	4	29	9999-12-31	2013-05-08
34/8-5	1839.000000	1883.000000	BALDER FM	FORMATION	ROGALAND GP	1719	6	131	9999-12-31	2013-05-08
34/8-5	2855.000000	3049.000000	BRENT GP	GROUP	\N	1719	16	\N	9999-12-31	2013-05-08
34/8-5	3046.000000	3049.000000	BROOM FM	FORMATION	BRENT GP	1719	17	16	9999-12-31	2013-05-08
34/8-5	3186.000000	3249.000000	BURTON FM	FORMATION	DUNLIN GP	1719	20	29	9999-12-31	2013-05-08
34/8-5	2819.000000	2830.000000	CROMER KNOLL GP	GROUP	\N	1719	23	\N	9999-12-31	2013-05-08
34/8-5	3122.000000	3186.000000	COOK FM	FORMATION	DUNLIN GP	1719	24	29	9999-12-31	2013-05-08
34/8-5	3049.000000	3122.000000	DRAKE FM	FORMATION	DUNLIN GP	1719	27	29	9999-12-31	2013-05-08
34/8-5	2830.000000	2833.000000	DRAUPNE FM	FORMATION	VIKING GP	1719	28	188	9999-12-31	2013-05-08
34/8-5	3049.000000	3384.000000	DUNLIN GP	GROUP	\N	1719	29	\N	9999-12-31	2013-05-08
34/8-5	2970.000000	2983.000000	ETIVE FM	FORMATION	BRENT GP	1719	35	16	9999-12-31	2013-05-08
34/8-5	2833.000000	2855.000000	HEATHER FM	FORMATION	VIKING GP	1719	60	188	9999-12-31	2013-05-08
34/8-5	3484.000000	3540.000000	HEGRE GP	GROUP	\N	1719	61	\N	9999-12-31	2013-05-08
34/8-5	1118.000000	1839.000000	HORDALAND GP	GROUP	\N	1719	67	\N	9999-12-31	2013-05-08
34/8-5	2065.000000	2322.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1719	74	143	9999-12-31	2013-05-08
34/8-5	2322.000000	2819.000000	KYRRE FM	FORMATION	SHETLAND GP	1719	92	143	9999-12-31	2013-05-08
34/8-5	1918.000000	2065.000000	LISTA FM	FORMATION	ROGALAND GP	1719	95	131	9999-12-31	2013-05-08
34/8-5	3484.000000	3540.000000	LUNDE FM	FORMATION	HEGRE GP	1719	97	61	9999-12-31	2013-05-08
34/8-5	2891.000000	2970.000000	NESS FM	FORMATION	BRENT GP	1719	110	16	9999-12-31	2013-05-08
34/8-5	1406.000000	1534.000000	NO FORMAL NAME	FORMATION	\N	1719	111	\N	9999-12-31	2013-05-08
34/8-5	1534.000000	1839.000000	NO FORMAL NAME	FORMATION	\N	1719	111	\N	9999-12-31	2013-05-08
34/8-5	320.000000	1118.000000	NORDLAND GP	GROUP	\N	1719	113	\N	9999-12-31	2013-05-08
34/8-5	2983.000000	3046.000000	RANNOCH FM	FORMATION	BRENT GP	1719	126	16	9999-12-31	2013-05-08
34/8-5	1839.000000	2065.000000	ROGALAND GP	GROUP	\N	1719	131	\N	9999-12-31	2013-05-08
34/8-5	1883.000000	1918.000000	SELE FM	FORMATION	ROGALAND GP	1719	142	131	9999-12-31	2013-05-08
34/8-5	2065.000000	2819.000000	SHETLAND GP	GROUP	\N	1719	143	\N	9999-12-31	2013-05-08
34/8-5	3384.000000	3484.000000	STATFJORD FM	FORMATION	\N	1719	157	\N	9999-12-31	2013-05-08
34/8-5	2855.000000	2891.000000	TARBERT FM	FORMATION	BRENT GP	1719	162	16	9999-12-31	2013-05-08
34/8-5	1064.000000	1118.000000	UTSIRA FM	FORMATION	NORDLAND GP	1719	183	113	9999-12-31	2013-05-08
34/8-5	2830.000000	2855.000000	VIKING GP	GROUP	\N	1719	188	\N	9999-12-31	2013-05-08
34/8-5	3384.000000	3484.000000	NO GROUP DEFINED	GROUP	\N	1719	208	\N	9999-12-31	2013-05-08
1/9-4 R	2941.000000	2960.000000	BALDER FM	FORMATION	ROGALAND GP	1727	6	131	9999-12-31	2013-05-08
1/9-4 R	3450.000000	3494.000000	BLODØKS FM	FORMATION	SHETLAND GP	1727	13	143	9999-12-31	2013-05-08
1/9-4 R	3646.000000	3690.000000	CROMER KNOLL GP	GROUP	\N	1727	23	\N	9999-12-31	2013-05-08
1/9-4 R	3114.000000	3212.000000	EKOFISK FM	FORMATION	SHETLAND GP	1727	33	143	9999-12-31	2013-05-08
1/9-4 R	3494.000000	3646.000000	HIDRA FM	FORMATION	SHETLAND GP	1727	65	143	9999-12-31	2013-05-08
1/9-4 R	3312.000000	3450.000000	HOD FM	FORMATION	SHETLAND GP	1727	66	143	9999-12-31	2013-05-08
1/9-4 R	1025.000000	2941.000000	HORDALAND GP	GROUP	\N	1727	67	\N	9999-12-31	2013-05-08
1/9-4 R	3021.000000	3091.000000	LISTA FM	FORMATION	ROGALAND GP	1727	95	131	9999-12-31	2013-05-08
1/9-4 R	100.000000	1025.000000	NORDLAND GP	GROUP	\N	1727	113	\N	9999-12-31	2013-05-08
1/9-4 R	2941.000000	3114.000000	ROGALAND GP	GROUP	\N	1727	131	\N	9999-12-31	2013-05-08
1/9-4 R	3646.000000	3665.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1727	137	23	9999-12-31	2013-05-08
1/9-4 R	2960.000000	3021.000000	SELE FM	FORMATION	ROGALAND GP	1727	142	131	9999-12-31	2013-05-08
1/9-4 R	3114.000000	3646.000000	SHETLAND GP	GROUP	\N	1727	143	\N	9999-12-31	2013-05-08
1/9-4 R	3212.000000	3312.000000	TOR FM	FORMATION	SHETLAND GP	1727	171	143	9999-12-31	2013-05-08
1/9-4 R	3091.000000	3114.000000	VÅLE FM	FORMATION	ROGALAND GP	1727	190	131	9999-12-31	2013-05-08
1/9-4 R	3690.000000	3710.000000	ZECHSTEIN GP	GROUP	\N	1727	194	\N	9999-12-31	2013-05-08
1/9-4 R	3665.000000	3690.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1727	198	23	9999-12-31	2013-05-08
6608/10-3	1592.000000	1858.000000	BRYGGE FM	FORMATION	HORDALAND GP	1732	18	67	9999-12-31	2013-05-08
6608/10-3	2657.000000	2921.000000	BÅT GP	GROUP	\N	1732	22	\N	9999-12-31	2013-05-08
6608/10-3	2394.000000	2407.000000	CROMER KNOLL GP	GROUP	\N	1732	23	\N	9999-12-31	2013-05-08
6608/10-3	2574.000000	2657.000000	FANGST GP	GROUP	\N	1732	38	\N	9999-12-31	2013-05-08
6608/10-3	2574.000000	2610.000000	GARN FM	FORMATION	FANGST GP	1732	48	38	9999-12-31	2013-05-08
6608/10-3	1592.000000	1858.000000	HORDALAND GP	GROUP	\N	1732	67	\N	9999-12-31	2013-05-08
6608/10-3	2617.000000	2657.000000	ILE FM	FORMATION	FANGST GP	1732	70	38	9999-12-31	2013-05-08
6608/10-3	1368.000000	1592.000000	KAI FM	FORMATION	NORDLAND GP	1732	77	113	9999-12-31	2013-05-08
6608/10-3	2394.000000	2407.000000	LYR FM	FORMATION	CROMER KNOLL GP	1732	98	23	9999-12-31	2013-05-08
6608/10-3	2413.000000	2574.000000	MELKE FM	FORMATION	VIKING GP	1732	105	188	9999-12-31	2013-05-08
6608/10-3	402.000000	1368.000000	NAUST FM	FORMATION	NORDLAND GP	1732	109	113	9999-12-31	2013-05-08
6608/10-3	2131.000000	2394.000000	NISE FM	FORMATION	SHETLAND GP	1732	112	143	9999-12-31	2013-05-08
6608/10-3	402.000000	1592.000000	NORDLAND GP	GROUP	\N	1732	113	\N	9999-12-31	2013-05-08
6608/10-3	2610.000000	2617.000000	NOT FM	FORMATION	FANGST GP	1732	120	38	9999-12-31	2013-05-08
6608/10-3	1858.000000	1951.000000	ROGALAND GP	GROUP	\N	1732	131	\N	9999-12-31	2013-05-08
6608/10-3	1951.000000	2394.000000	SHETLAND GP	GROUP	\N	1732	143	\N	9999-12-31	2013-05-08
6608/10-3	2407.000000	2413.000000	SPEKK FM	FORMATION	VIKING GP	1732	155	188	9999-12-31	2013-05-08
6608/10-3	1951.000000	2131.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1732	156	143	9999-12-31	2013-05-08
6608/10-3	1915.000000	1951.000000	TANG FM	FORMATION	ROGALAND GP	1732	161	131	9999-12-31	2013-05-08
6608/10-3	1858.000000	1915.000000	TARE FM	FORMATION	ROGALAND GP	1732	163	131	9999-12-31	2013-05-08
6608/10-3	2712.000000	2791.000000	TILJE FM	FORMATION	BÅT GP	1732	169	22	9999-12-31	2013-05-08
6608/10-3	2657.000000	2712.000000	TOFTE FM	FORMATION	BÅT GP	1732	170	22	9999-12-31	2013-05-08
6608/10-3	2407.000000	2574.000000	VIKING GP	GROUP	\N	1732	188	\N	9999-12-31	2013-05-08
6608/10-3	2791.000000	2921.000000	ÅRE FM	FORMATION	BÅT GP	1732	197	22	9999-12-31	2013-05-08
34/10-34	1600.000000	1660.000000	BALDER FM	FORMATION	ROGALAND GP	1747	6	131	9999-12-31	2013-05-08
34/10-34	1993.000000	2275.000000	BRENT GP	GROUP	\N	1747	16	\N	9999-12-31	2013-05-08
34/10-34	2268.000000	2275.000000	BROOM FM	FORMATION	BRENT GP	1747	17	16	9999-12-31	2013-05-08
34/10-34	2357.000000	2410.000000	COOK FM	FORMATION	DUNLIN GP	1747	24	29	9999-12-31	2013-05-08
34/10-34	2275.000000	2357.000000	DRAKE FM	FORMATION	DUNLIN GP	1747	27	29	9999-12-31	2013-05-08
34/10-34	2275.000000	2410.000000	DUNLIN GP	GROUP	\N	1747	29	\N	9999-12-31	2013-05-08
34/10-34	2171.000000	2188.000000	ETIVE FM	FORMATION	BRENT GP	1747	35	16	9999-12-31	2013-05-08
34/10-34	1991.000000	1993.000000	HEATHER FM	FORMATION	VIKING GP	1747	60	188	9999-12-31	2013-05-08
34/10-34	923.000000	1600.000000	HORDALAND GP	GROUP	\N	1747	67	\N	9999-12-31	2013-05-08
34/10-34	1660.000000	1806.000000	LISTA FM	FORMATION	ROGALAND GP	1747	95	131	9999-12-31	2013-05-08
34/10-34	2082.000000	2171.000000	NESS FM	FORMATION	BRENT GP	1747	110	16	9999-12-31	2013-05-08
34/10-34	163.000000	923.000000	NORDLAND GP	GROUP	\N	1747	113	\N	9999-12-31	2013-05-08
34/10-34	2188.000000	2268.000000	RANNOCH FM	FORMATION	BRENT GP	1747	126	16	9999-12-31	2013-05-08
34/10-34	1600.000000	1806.000000	ROGALAND GP	GROUP	\N	1747	131	\N	9999-12-31	2013-05-08
34/10-34	1806.000000	1991.000000	SHETLAND GP	GROUP	\N	1747	143	\N	9999-12-31	2013-05-08
34/10-34	1993.000000	2082.000000	TARBERT FM	FORMATION	BRENT GP	1747	162	16	9999-12-31	2013-05-08
34/10-34	1991.000000	1993.000000	VIKING GP	GROUP	\N	1747	188	\N	9999-12-31	2013-05-08
6507/8-5	1578.000000	1712.000000	BRYGGE FM	FORMATION	HORDALAND GP	1749	18	67	9999-12-31	2013-05-08
6507/8-5	1900.000000	2000.000000	BÅT GP	GROUP	\N	1749	22	\N	9999-12-31	2013-05-08
6507/8-5	1827.000000	1900.000000	FANGST GP	GROUP	\N	1749	38	\N	9999-12-31	2013-05-08
6507/8-5	1827.000000	1854.000000	GARN FM	FORMATION	FANGST GP	1749	48	38	9999-12-31	2013-05-08
6507/8-5	1578.000000	1712.000000	HORDALAND GP	GROUP	\N	1749	67	\N	9999-12-31	2013-05-08
6507/8-5	1864.000000	1900.000000	ILE FM	FORMATION	FANGST GP	1749	70	38	9999-12-31	2013-05-08
6507/8-5	1348.000000	1578.000000	KAI FM	FORMATION	NORDLAND GP	1749	77	113	9999-12-31	2013-05-08
6507/8-5	1790.000000	1827.000000	MELKE FM	FORMATION	VIKING GP	1749	105	188	9999-12-31	2013-05-08
6507/8-5	356.000000	1348.000000	NAUST FM	FORMATION	NORDLAND GP	1749	109	113	9999-12-31	2013-05-08
6507/8-5	356.000000	1578.000000	NORDLAND GP	GROUP	\N	1749	113	\N	9999-12-31	2013-05-08
6507/8-5	1854.000000	1864.000000	NOT FM	FORMATION	FANGST GP	1749	120	38	9999-12-31	2013-05-08
6507/8-5	1712.000000	1781.000000	ROGALAND GP	GROUP	\N	1749	131	\N	9999-12-31	2013-05-08
6507/8-5	1900.000000	1943.000000	ROR FM	FORMATION	BÅT GP	1749	135	22	9999-12-31	2013-05-08
6507/8-5	1781.000000	1787.000000	SHETLAND GP	GROUP	\N	1749	143	\N	9999-12-31	2013-05-08
6507/8-5	1787.000000	1790.000000	SPEKK FM	FORMATION	VIKING GP	1749	155	188	9999-12-31	2013-05-08
6507/8-5	1750.000000	1781.000000	TANG FM	FORMATION	ROGALAND GP	1749	161	131	9999-12-31	2013-05-08
6507/8-5	1712.000000	1750.000000	TARE FM	FORMATION	ROGALAND GP	1749	163	131	9999-12-31	2013-05-08
6507/8-5	1943.000000	2000.000000	TILJE FM	FORMATION	BÅT GP	1749	169	22	9999-12-31	2013-05-08
6507/8-5	1787.000000	1827.000000	VIKING GP	GROUP	\N	1749	188	\N	9999-12-31	2013-05-08
6506/11-2	1912.000000	2208.000000	BRYGGE FM	FORMATION	HORDALAND GP	1754	18	67	9999-12-31	2013-05-08
6506/11-2	4421.000000	4813.000000	BÅT GP	GROUP	\N	1754	22	\N	9999-12-31	2013-05-08
6506/11-2	3323.000000	4162.000000	CROMER KNOLL GP	GROUP	\N	1754	23	\N	9999-12-31	2013-05-08
6506/11-2	4229.000000	4421.000000	FANGST GP	GROUP	\N	1754	38	\N	9999-12-31	2013-05-08
6506/11-2	4229.000000	4308.000000	GARN FM	FORMATION	FANGST GP	1754	48	38	9999-12-31	2013-05-08
6506/11-2	1912.000000	2208.000000	HORDALAND GP	GROUP	\N	1754	67	\N	9999-12-31	2013-05-08
6506/11-2	4359.000000	4421.000000	ILE FM	FORMATION	FANGST GP	1754	70	38	9999-12-31	2013-05-08
6506/11-2	1450.000000	1912.000000	KAI FM	FORMATION	NORDLAND GP	1754	77	113	9999-12-31	2013-05-08
6506/11-2	2737.000000	3323.000000	KVITNOS FM	FORMATION	SHETLAND GP	1754	91	143	9999-12-31	2013-05-08
6506/11-2	3413.000000	4139.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1754	94	23	9999-12-31	2013-05-08
6506/11-2	4139.000000	4162.000000	LYR FM	FORMATION	CROMER KNOLL GP	1754	98	23	9999-12-31	2013-05-08
6506/11-2	3323.000000	3413.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1754	99	23	9999-12-31	2013-05-08
6506/11-2	4165.000000	4229.000000	MELKE FM	FORMATION	VIKING GP	1754	105	188	9999-12-31	2013-05-08
6506/11-2	320.000000	1450.000000	NAUST FM	FORMATION	NORDLAND GP	1754	109	113	9999-12-31	2013-05-08
6506/11-2	2531.000000	2737.000000	NISE FM	FORMATION	SHETLAND GP	1754	112	143	9999-12-31	2013-05-08
6506/11-2	320.000000	1912.000000	NORDLAND GP	GROUP	\N	1754	113	\N	9999-12-31	2013-05-08
6506/11-2	4308.000000	4359.000000	NOT FM	FORMATION	FANGST GP	1754	120	38	9999-12-31	2013-05-08
6506/11-2	2208.000000	2358.000000	ROGALAND GP	GROUP	\N	1754	131	\N	9999-12-31	2013-05-08
6506/11-2	4421.000000	4486.000000	ROR FM	FORMATION	BÅT GP	1754	135	22	9999-12-31	2013-05-08
6506/11-2	4551.000000	4553.000000	ROR FM	FORMATION	BÅT GP	1754	135	22	9999-12-31	2013-05-08
6506/11-2	2358.000000	3323.000000	SHETLAND GP	GROUP	\N	1754	143	\N	9999-12-31	2013-05-08
6506/11-2	4162.000000	4165.000000	SPEKK FM	FORMATION	VIKING GP	1754	155	188	9999-12-31	2013-05-08
6506/11-2	2358.000000	2531.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1754	156	143	9999-12-31	2013-05-08
6506/11-2	2298.000000	2358.000000	TANG FM	FORMATION	ROGALAND GP	1754	161	131	9999-12-31	2013-05-08
6506/11-2	2208.000000	2298.000000	TARE FM	FORMATION	ROGALAND GP	1754	163	131	9999-12-31	2013-05-08
6506/11-2	4553.000000	4705.000000	TILJE FM	FORMATION	BÅT GP	1754	169	22	9999-12-31	2013-05-08
6506/11-2	4486.000000	4551.000000	TOFTE FM	FORMATION	BÅT GP	1754	170	22	9999-12-31	2013-05-08
6506/11-2	4162.000000	4229.000000	VIKING GP	GROUP	\N	1754	188	\N	9999-12-31	2013-05-08
6506/11-2	4705.000000	4813.000000	ÅRE FM	FORMATION	BÅT GP	1754	197	22	9999-12-31	2013-05-08
2/7-26 S	2966.000000	2983.000000	BALDER FM	FORMATION	ROGALAND GP	1756	6	131	9999-12-31	2013-05-08
2/7-26 S	3981.000000	3989.000000	BLODØKS FM	FORMATION	SHETLAND GP	1756	13	143	9999-12-31	2013-05-08
2/7-26 S	4057.000000	4299.000000	CROMER KNOLL GP	GROUP	\N	1756	23	\N	9999-12-31	2013-05-08
2/7-26 S	3118.000000	3200.000000	EKOFISK FM	FORMATION	SHETLAND GP	1756	33	143	9999-12-31	2013-05-08
2/7-26 S	4302.000000	4386.000000	FARSUND FM	FORMATION	TYNE GP	1756	39	177	9999-12-31	2013-05-08
2/7-26 S	3989.000000	4057.000000	HIDRA FM	FORMATION	SHETLAND GP	1756	65	143	9999-12-31	2013-05-08
2/7-26 S	3321.000000	3981.000000	HOD FM	FORMATION	SHETLAND GP	1756	66	143	9999-12-31	2013-05-08
2/7-26 S	1606.000000	2966.000000	HORDALAND GP	GROUP	\N	1756	67	\N	9999-12-31	2013-05-08
2/7-26 S	3038.000000	3091.000000	LISTA FM	FORMATION	ROGALAND GP	1756	95	131	9999-12-31	2013-05-08
2/7-26 S	4299.000000	4302.000000	MANDAL FM	FORMATION	TYNE GP	1756	101	177	9999-12-31	2013-05-08
2/7-26 S	100.000000	1606.000000	NORDLAND GP	GROUP	\N	1756	113	\N	9999-12-31	2013-05-08
2/7-26 S	2966.000000	3118.000000	ROGALAND GP	GROUP	\N	1756	131	\N	9999-12-31	2013-05-08
2/7-26 S	4057.000000	4163.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1756	137	23	9999-12-31	2013-05-08
2/7-26 S	2983.000000	3038.000000	SELE FM	FORMATION	ROGALAND GP	1756	142	131	9999-12-31	2013-05-08
2/7-26 S	3118.000000	4057.000000	SHETLAND GP	GROUP	\N	1756	143	\N	9999-12-31	2013-05-08
2/7-26 S	3200.000000	3321.000000	TOR FM	FORMATION	SHETLAND GP	1756	171	143	9999-12-31	2013-05-08
2/7-26 S	4163.000000	4182.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1756	175	23	9999-12-31	2013-05-08
2/7-26 S	4299.000000	4386.000000	TYNE GP	GROUP	\N	1756	177	\N	9999-12-31	2013-05-08
2/7-26 S	3091.000000	3118.000000	VÅLE FM	FORMATION	ROGALAND GP	1756	190	131	9999-12-31	2013-05-08
2/7-26 S	4182.000000	4299.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1756	198	23	9999-12-31	2013-05-08
2/7-26 S	4386.000000	4848.000000	NO GROUP DEFINED	GROUP	\N	1756	208	\N	9999-12-31	2013-05-08
3/7-5	2654.000000	2668.000000	BALDER FM	FORMATION	ROGALAND GP	1759	6	131	9999-12-31	2013-05-08
3/7-5	3436.000000	3609.000000	BRYNE FM	FORMATION	VESTLAND GP	1759	19	186	9999-12-31	2013-05-08
3/7-5	3044.000000	3085.000000	CROMER KNOLL GP	GROUP	\N	1759	23	\N	9999-12-31	2013-05-08
3/7-5	2711.000000	2800.000000	EKOFISK FM	FORMATION	SHETLAND GP	1759	33	143	9999-12-31	2013-05-08
3/7-5	3085.000000	3379.000000	HAUGESUND FM	FORMATION	TYNE GP	1759	57	177	9999-12-31	2013-05-08
3/7-5	2912.000000	3044.000000	HOD FM	FORMATION	SHETLAND GP	1759	66	143	9999-12-31	2013-05-08
3/7-5	1258.000000	2654.000000	HORDALAND GP	GROUP	\N	1759	67	\N	9999-12-31	2013-05-08
3/7-5	2679.000000	2711.000000	LISTA FM	FORMATION	ROGALAND GP	1759	95	131	9999-12-31	2013-05-08
3/7-5	91.000000	1258.000000	NORDLAND GP	GROUP	\N	1759	113	\N	9999-12-31	2013-05-08
3/7-5	2654.000000	2711.000000	ROGALAND GP	GROUP	\N	1759	131	\N	9999-12-31	2013-05-08
3/7-5	3044.000000	3048.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1759	137	23	9999-12-31	2013-05-08
3/7-5	3379.000000	3436.000000	SANDNES FM	FORMATION	VESTLAND GP	1759	139	186	9999-12-31	2013-05-08
3/7-5	2668.000000	2679.000000	SELE FM	FORMATION	ROGALAND GP	1759	142	131	9999-12-31	2013-05-08
3/7-5	2711.000000	3044.000000	SHETLAND GP	GROUP	\N	1759	143	\N	9999-12-31	2013-05-08
3/7-5	3048.000000	3050.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1759	152	23	9999-12-31	2013-05-08
3/7-5	2800.000000	2912.000000	TOR FM	FORMATION	SHETLAND GP	1759	171	143	9999-12-31	2013-05-08
3/7-5	3050.000000	3058.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1759	175	23	9999-12-31	2013-05-08
3/7-5	3085.000000	3379.000000	TYNE GP	GROUP	\N	1759	177	\N	9999-12-31	2013-05-08
3/7-5	3379.000000	3609.000000	VESTLAND GP	GROUP	\N	1759	186	\N	9999-12-31	2013-05-08
3/7-5	3609.000000	3666.000000	ZECHSTEIN GP	GROUP	\N	1759	194	\N	9999-12-31	2013-05-08
3/7-5	3058.000000	3085.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1759	198	23	9999-12-31	2013-05-08
16/10-2	2172.000000	2196.000000	BALDER FM	FORMATION	ROGALAND GP	1767	6	131	9999-12-31	2013-05-08
16/10-2	2698.000000	2716.000000	BLODØKS FM	FORMATION	SHETLAND GP	1767	13	143	9999-12-31	2013-05-08
16/10-2	2778.000000	2818.000000	CROMER KNOLL GP	GROUP	\N	1767	23	\N	9999-12-31	2013-05-08
16/10-2	2818.000000	2853.000000	DRAUPNE FM	FORMATION	VIKING GP	1767	28	188	9999-12-31	2013-05-08
16/10-2	2335.000000	2371.000000	EKOFISK FM	FORMATION	SHETLAND GP	1767	33	143	9999-12-31	2013-05-08
16/10-2	2523.000000	2698.000000	HOD FM	FORMATION	SHETLAND GP	1767	66	143	9999-12-31	2013-05-08
16/10-2	1271.000000	2172.000000	HORDALAND GP	GROUP	\N	1767	67	\N	9999-12-31	2013-05-08
16/10-2	2853.000000	2923.000000	HUGIN FM	FORMATION	VESTLAND GP	1767	69	186	9999-12-31	2013-05-08
16/10-2	2251.000000	2317.000000	LISTA FM	FORMATION	ROGALAND GP	1767	95	131	9999-12-31	2013-05-08
16/10-2	104.000000	1271.000000	NORDLAND GP	GROUP	\N	1767	113	\N	9999-12-31	2013-05-08
16/10-2	2172.000000	2335.000000	ROGALAND GP	GROUP	\N	1767	131	\N	9999-12-31	2013-05-08
16/10-2	2196.000000	2251.000000	SELE FM	FORMATION	ROGALAND GP	1767	142	131	9999-12-31	2013-05-08
16/10-2	2335.000000	2778.000000	SHETLAND GP	GROUP	\N	1767	143	\N	9999-12-31	2013-05-08
16/10-2	2923.000000	3150.000000	SKAGERRAK FM	FORMATION	HEGRE GP	1767	146	61	9999-12-31	2013-05-08
16/10-2	2778.000000	2790.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1767	152	23	9999-12-31	2013-05-08
16/10-2	2716.000000	2778.000000	SVARTE FM	FORMATION	SHETLAND GP	1767	160	143	9999-12-31	2013-05-08
16/10-2	2371.000000	2523.000000	TOR FM	FORMATION	SHETLAND GP	1767	171	143	9999-12-31	2013-05-08
16/10-2	978.000000	1271.000000	UTSIRA FM	FORMATION	NORDLAND GP	1767	183	113	9999-12-31	2013-05-08
16/10-2	2853.000000	2923.000000	VESTLAND GP	GROUP	\N	1767	186	\N	9999-12-31	2013-05-08
16/10-2	2818.000000	2853.000000	VIKING GP	GROUP	\N	1767	188	\N	9999-12-31	2013-05-08
16/10-2	2317.000000	2335.000000	VÅLE FM	FORMATION	ROGALAND GP	1767	190	131	9999-12-31	2013-05-08
16/10-2	2790.000000	2818.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1767	198	23	9999-12-31	2013-05-08
16/10-2	2923.000000	3150.000000	NO GROUP DEFINED	GROUP	\N	1767	208	\N	9999-12-31	2013-05-08
30/9-12 A	2088.000000	2177.000000	BALDER FM	FORMATION	ROGALAND GP	1770	6	131	9999-12-31	2013-05-08
30/9-12 A	2869.000000	3007.000000	BRENT GP	GROUP	\N	1770	16	\N	9999-12-31	2013-05-08
30/9-12 A	2638.000000	2692.000000	CROMER KNOLL GP	GROUP	\N	1770	23	\N	9999-12-31	2013-05-08
30/9-12 A	3007.000000	3061.000000	DRAKE FM	FORMATION	DUNLIN GP	1770	27	29	9999-12-31	2013-05-08
30/9-12 A	2692.000000	2734.000000	DRAUPNE FM	FORMATION	VIKING GP	1770	28	188	9999-12-31	2013-05-08
30/9-12 A	3007.000000	3061.000000	DUNLIN GP	GROUP	\N	1770	29	\N	9999-12-31	2013-05-08
30/9-12 A	1353.000000	1385.000000	GRID FM	FORMATION	HORDALAND GP	1770	53	67	9999-12-31	2013-05-08
30/9-12 A	2422.000000	2638.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1770	56	143	9999-12-31	2013-05-08
30/9-12 A	2765.000000	2781.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	1770	59	188	9999-12-31	2013-05-08
30/9-12 A	2734.000000	2765.000000	HEATHER FM	FORMATION	VIKING GP	1770	60	188	9999-12-31	2013-05-08
30/9-12 A	2781.000000	2869.000000	HEATHER FM	FORMATION	VIKING GP	1770	60	188	9999-12-31	2013-05-08
30/9-12 A	842.000000	2088.000000	HORDALAND GP	GROUP	\N	1770	67	\N	9999-12-31	2013-05-08
30/9-12 A	2339.000000	2417.000000	LISTA FM	FORMATION	ROGALAND GP	1770	95	131	9999-12-31	2013-05-08
30/9-12 A	2676.000000	2691.000000	MIME FM	FORMATION	CROMER KNOLL GP	1770	106	23	9999-12-31	2013-05-08
30/9-12 A	2887.000000	2963.000000	NESS FM	FORMATION	BRENT GP	1770	110	16	9999-12-31	2013-05-08
30/9-12 A	1012.000000	1353.000000	NO FORMAL NAME	FORMATION	\N	1770	111	\N	9999-12-31	2013-05-08
30/9-12 A	1385.000000	2088.000000	NO FORMAL NAME	FORMATION	\N	1770	111	\N	9999-12-31	2013-05-08
30/9-12 A	129.000000	842.000000	NORDLAND GP	GROUP	\N	1770	113	\N	9999-12-31	2013-05-08
30/9-12 A	2088.000000	2422.000000	ROGALAND GP	GROUP	\N	1770	131	\N	9999-12-31	2013-05-08
30/9-12 A	2638.000000	2675.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1770	137	23	9999-12-31	2013-05-08
30/9-12 A	2177.000000	2339.000000	SELE FM	FORMATION	ROGALAND GP	1770	142	131	9999-12-31	2013-05-08
30/9-12 A	2422.000000	2638.000000	SHETLAND GP	GROUP	\N	1770	143	\N	9999-12-31	2013-05-08
30/9-12 A	980.000000	1012.000000	SKADE FM	FORMATION	HORDALAND GP	1770	145	67	9999-12-31	2013-05-08
30/9-12 A	2675.000000	2676.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1770	152	23	9999-12-31	2013-05-08
30/9-12 A	2869.000000	2887.000000	TARBERT FM	FORMATION	BRENT GP	1770	162	16	9999-12-31	2013-05-08
30/9-12 A	2963.000000	3007.000000	UNDIFFERENTIATED	FORMATION	\N	1770	182	\N	9999-12-31	2013-05-08
30/9-12 A	646.000000	842.000000	UTSIRA FM	FORMATION	NORDLAND GP	1770	183	113	9999-12-31	2013-05-08
30/9-12 A	2692.000000	2869.000000	VIKING GP	GROUP	\N	1770	188	\N	9999-12-31	2013-05-08
30/9-12 A	2417.000000	2422.000000	VÅLE FM	FORMATION	ROGALAND GP	1770	190	131	9999-12-31	2013-05-08
30/9-12 A	2691.000000	2692.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1770	198	23	9999-12-31	2013-05-08
15/12-8	2251.000000	2268.000000	BALDER FM	FORMATION	ROGALAND GP	1778	6	131	9999-12-31	2013-05-08
15/12-8	2738.000000	2770.000000	BLODØKS FM	FORMATION	SHETLAND GP	1778	13	143	9999-12-31	2013-05-08
15/12-8	2770.000000	2829.000000	CROMER KNOLL GP	GROUP	\N	1778	23	\N	9999-12-31	2013-05-08
15/12-8	2829.000000	2838.000000	DRAUPNE FM	FORMATION	VIKING GP	1778	28	188	9999-12-31	2013-05-08
15/12-8	2464.000000	2496.000000	EKOFISK FM	FORMATION	SHETLAND GP	1778	33	143	9999-12-31	2013-05-08
15/12-8	2626.000000	2738.000000	HOD FM	FORMATION	SHETLAND GP	1778	66	143	9999-12-31	2013-05-08
15/12-8	1207.000000	2251.000000	HORDALAND GP	GROUP	\N	1778	67	\N	9999-12-31	2013-05-08
15/12-8	2333.000000	2441.000000	LISTA FM	FORMATION	ROGALAND GP	1778	95	131	9999-12-31	2013-05-08
15/12-8	110.000000	1207.000000	NORDLAND GP	GROUP	\N	1778	113	\N	9999-12-31	2013-05-08
15/12-8	2251.000000	2464.000000	ROGALAND GP	GROUP	\N	1778	131	\N	9999-12-31	2013-05-08
15/12-8	2770.000000	2797.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1778	137	23	9999-12-31	2013-05-08
15/12-8	2268.000000	2333.000000	SELE FM	FORMATION	ROGALAND GP	1778	142	131	9999-12-31	2013-05-08
15/12-8	2464.000000	2770.000000	SHETLAND GP	GROUP	\N	1778	143	\N	9999-12-31	2013-05-08
15/12-8	2854.000000	3054.000000	SKAGERRAK FM	FORMATION	HEGRE GP	1778	146	61	9999-12-31	2013-05-08
15/12-8	2797.000000	2829.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1778	152	23	9999-12-31	2013-05-08
15/12-8	2496.000000	2626.000000	TOR FM	FORMATION	SHETLAND GP	1778	171	143	9999-12-31	2013-05-08
15/12-8	1166.000000	1207.000000	UTSIRA FM	FORMATION	NORDLAND GP	1778	183	113	9999-12-31	2013-05-08
15/12-8	2838.000000	2854.000000	VESTLAND GP	GROUP	\N	1778	186	\N	9999-12-31	2013-05-08
15/12-8	2829.000000	2838.000000	VIKING GP	GROUP	\N	1778	188	\N	9999-12-31	2013-05-08
15/12-8	2441.000000	2464.000000	VÅLE FM	FORMATION	ROGALAND GP	1778	190	131	9999-12-31	2013-05-08
15/12-8	2854.000000	3054.000000	NO GROUP DEFINED	GROUP	\N	1778	208	\N	9999-12-31	2013-05-08
35/11-5	3533.000000	3570.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1780	4	29	9999-12-31	2013-05-08
35/11-5	3628.000000	3689.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1780	4	29	9999-12-31	2013-05-08
35/11-5	1701.000000	1753.000000	BALDER FM	FORMATION	ROGALAND GP	1780	6	131	9999-12-31	2013-05-08
35/11-5	3206.000000	3396.000000	BRENT GP	GROUP	\N	1780	16	\N	9999-12-31	2013-05-08
35/11-5	2550.000000	2658.000000	CROMER KNOLL GP	GROUP	\N	1780	23	\N	9999-12-31	2013-05-08
35/11-5	3467.000000	3533.000000	COOK FM	FORMATION	DUNLIN GP	1780	24	29	9999-12-31	2013-05-08
35/11-5	3396.000000	3467.000000	DRAKE FM	FORMATION	DUNLIN GP	1780	27	29	9999-12-31	2013-05-08
35/11-5	2658.000000	2875.000000	DRAUPNE FM	FORMATION	VIKING GP	1780	28	188	9999-12-31	2013-05-08
35/11-5	3396.000000	3689.000000	DUNLIN GP	GROUP	\N	1780	29	\N	9999-12-31	2013-05-08
35/11-5	3293.000000	3312.000000	ETIVE FM	FORMATION	BRENT GP	1780	35	16	9999-12-31	2013-05-08
35/11-5	2950.000000	3206.000000	HEATHER FM	FORMATION	VIKING GP	1780	60	188	9999-12-31	2013-05-08
35/11-5	855.000000	1701.000000	HORDALAND GP	GROUP	\N	1780	67	\N	9999-12-31	2013-05-08
35/11-5	3570.000000	3628.000000	JOHANSEN FM	FORMATION	DUNLIN GP	1780	73	29	9999-12-31	2013-05-08
35/11-5	1836.000000	1850.000000	LISTA FM	FORMATION	ROGALAND GP	1780	95	131	9999-12-31	2013-05-08
35/11-5	1888.000000	2023.000000	LISTA FM	FORMATION	ROGALAND GP	1780	95	131	9999-12-31	2013-05-08
35/11-5	2621.000000	2658.000000	MIME FM	FORMATION	CROMER KNOLL GP	1780	106	23	9999-12-31	2013-05-08
35/11-5	3216.000000	3293.000000	NESS FM	FORMATION	BRENT GP	1780	110	16	9999-12-31	2013-05-08
35/11-5	1850.000000	1888.000000	NO FORMAL NAME	FORMATION	\N	1780	111	\N	9999-12-31	2013-05-08
35/11-5	382.000000	855.000000	NORDLAND GP	GROUP	\N	1780	113	\N	9999-12-31	2013-05-08
35/11-5	3342.000000	3396.000000	OSEBERG FM	FORMATION	BRENT GP	1780	123	16	9999-12-31	2013-05-08
35/11-5	3312.000000	3342.000000	RANNOCH FM	FORMATION	BRENT GP	1780	126	16	9999-12-31	2013-05-08
35/11-5	1701.000000	2044.000000	ROGALAND GP	GROUP	\N	1780	131	\N	9999-12-31	2013-05-08
35/11-5	2550.000000	2582.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1780	137	23	9999-12-31	2013-05-08
35/11-5	1753.000000	1836.000000	SELE FM	FORMATION	ROGALAND GP	1780	142	131	9999-12-31	2013-05-08
35/11-5	2044.000000	2550.000000	SHETLAND GP	GROUP	\N	1780	143	\N	9999-12-31	2013-05-08
35/11-5	2875.000000	2950.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1780	151	188	9999-12-31	2013-05-08
35/11-5	3689.000000	3769.000000	STATFJORD FM	FORMATION	\N	1780	157	\N	9999-12-31	2013-05-08
35/11-5	3206.000000	3216.000000	TARBERT FM	FORMATION	BRENT GP	1780	162	16	9999-12-31	2013-05-08
35/11-5	771.000000	855.000000	UTSIRA FM	FORMATION	NORDLAND GP	1780	183	113	9999-12-31	2013-05-08
35/11-5	2658.000000	3206.000000	VIKING GP	GROUP	\N	1780	188	\N	9999-12-31	2013-05-08
35/11-5	2023.000000	2044.000000	VÅLE FM	FORMATION	ROGALAND GP	1780	190	131	9999-12-31	2013-05-08
35/11-5	2582.000000	2621.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1780	198	23	9999-12-31	2013-05-08
35/11-5	3689.000000	3769.000000	NO GROUP DEFINED	GROUP	\N	1780	208	\N	9999-12-31	2013-05-08
6608/10-2	1565.000000	1857.000000	BRYGGE FM	FORMATION	HORDALAND GP	1782	18	67	9999-12-31	2013-05-08
6608/10-2	2659.000000	3678.000000	BÅT GP	GROUP	\N	1782	22	\N	9999-12-31	2013-05-08
6608/10-2	2253.000000	2347.000000	CROMER KNOLL GP	GROUP	\N	1782	23	\N	9999-12-31	2013-05-08
6608/10-2	2578.000000	2659.000000	FANGST GP	GROUP	\N	1782	38	\N	9999-12-31	2013-05-08
6608/10-2	2578.000000	2611.000000	GARN FM	FORMATION	FANGST GP	1782	48	38	9999-12-31	2013-05-08
6608/10-2	1565.000000	1857.000000	HORDALAND GP	GROUP	\N	1782	67	\N	9999-12-31	2013-05-08
6608/10-2	2619.000000	2659.000000	ILE FM	FORMATION	FANGST GP	1782	70	38	9999-12-31	2013-05-08
6608/10-2	1352.000000	1565.000000	KAI FM	FORMATION	NORDLAND GP	1782	77	113	9999-12-31	2013-05-08
6608/10-2	2253.000000	2347.000000	LYR FM	FORMATION	CROMER KNOLL GP	1782	98	23	9999-12-31	2013-05-08
6608/10-2	2365.000000	2578.000000	MELKE FM	FORMATION	VIKING GP	1782	105	188	9999-12-31	2013-05-08
6608/10-2	397.000000	1352.000000	NAUST FM	FORMATION	NORDLAND GP	1782	109	113	9999-12-31	2013-05-08
6608/10-2	2151.000000	2253.000000	NISE FM	FORMATION	SHETLAND GP	1782	112	143	9999-12-31	2013-05-08
6608/10-2	397.000000	1565.000000	NORDLAND GP	GROUP	\N	1782	113	\N	9999-12-31	2013-05-08
6608/10-2	2611.000000	2619.000000	NOT FM	FORMATION	FANGST GP	1782	120	38	9999-12-31	2013-05-08
6608/10-2	1857.000000	1951.000000	ROGALAND GP	GROUP	\N	1782	131	\N	9999-12-31	2013-05-08
6608/10-2	2659.000000	2668.000000	ROR FM	FORMATION	BÅT GP	1782	135	22	9999-12-31	2013-05-08
6608/10-2	1951.000000	2253.000000	SHETLAND GP	GROUP	\N	1782	143	\N	9999-12-31	2013-05-08
6608/10-2	2347.000000	2365.000000	SPEKK FM	FORMATION	VIKING GP	1782	155	188	9999-12-31	2013-05-08
6608/10-2	1951.000000	2151.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1782	156	143	9999-12-31	2013-05-08
6608/10-2	1913.000000	1951.000000	TANG FM	FORMATION	ROGALAND GP	1782	161	131	9999-12-31	2013-05-08
6608/10-2	1857.000000	1913.000000	TARE FM	FORMATION	ROGALAND GP	1782	163	131	9999-12-31	2013-05-08
6608/10-2	2720.000000	2819.000000	TILJE FM	FORMATION	BÅT GP	1782	169	22	9999-12-31	2013-05-08
6608/10-2	2668.000000	2720.000000	TOFTE FM	FORMATION	BÅT GP	1782	170	22	9999-12-31	2013-05-08
6608/10-2	2347.000000	2578.000000	VIKING GP	GROUP	\N	1782	188	\N	9999-12-31	2013-05-08
6608/10-2	2819.000000	3678.000000	ÅRE FM	FORMATION	BÅT GP	1782	197	22	9999-12-31	2013-05-08
7/12-11	2708.000000	2741.000000	BALDER FM	FORMATION	ROGALAND GP	1787	6	131	9999-12-31	2013-05-08
7/12-11	3486.000000	3728.000000	CROMER KNOLL GP	GROUP	\N	1787	23	\N	9999-12-31	2013-05-08
7/12-11	2973.000000	3124.000000	EKOFISK FM	FORMATION	SHETLAND GP	1787	33	143	9999-12-31	2013-05-08
7/12-11	3753.000000	3788.000000	FARSUND FM	FORMATION	TYNE GP	1787	39	177	9999-12-31	2013-05-08
7/12-11	3387.000000	3486.000000	HOD FM	FORMATION	SHETLAND GP	1787	66	143	9999-12-31	2013-05-08
7/12-11	1837.000000	2708.000000	HORDALAND GP	GROUP	\N	1787	67	\N	9999-12-31	2013-05-08
7/12-11	2822.000000	2953.000000	LISTA FM	FORMATION	ROGALAND GP	1787	95	131	9999-12-31	2013-05-08
7/12-11	2962.000000	2973.000000	LISTA FM	FORMATION	ROGALAND GP	1787	95	131	9999-12-31	2013-05-08
7/12-11	3728.000000	3753.000000	MANDAL FM	FORMATION	TYNE GP	1787	101	177	9999-12-31	2013-05-08
7/12-11	90.000000	1837.000000	NORDLAND GP	GROUP	\N	1787	113	\N	9999-12-31	2013-05-08
7/12-11	2708.000000	2973.000000	ROGALAND GP	GROUP	\N	1787	131	\N	9999-12-31	2013-05-08
7/12-11	3486.000000	3569.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1787	137	23	9999-12-31	2013-05-08
7/12-11	2741.000000	2822.000000	SELE FM	FORMATION	ROGALAND GP	1787	142	131	9999-12-31	2013-05-08
7/12-11	2973.000000	3486.000000	SHETLAND GP	GROUP	\N	1787	143	\N	9999-12-31	2013-05-08
7/12-11	3800.000000	3868.000000	SKAGERRAK FM	FORMATION	HEGRE GP	1787	146	61	9999-12-31	2013-05-08
7/12-11	3569.000000	3586.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1787	152	23	9999-12-31	2013-05-08
7/12-11	3124.000000	3387.000000	TOR FM	FORMATION	SHETLAND GP	1787	171	143	9999-12-31	2013-05-08
7/12-11	3586.000000	3596.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1787	175	23	9999-12-31	2013-05-08
7/12-11	3728.000000	3788.000000	TYNE GP	GROUP	\N	1787	177	\N	9999-12-31	2013-05-08
7/12-11	3788.000000	3800.000000	ULA FM	FORMATION	VESTLAND GP	1787	179	186	9999-12-31	2013-05-08
7/12-11	3788.000000	3800.000000	VESTLAND GP	GROUP	\N	1787	186	\N	9999-12-31	2013-05-08
7/12-11	2953.000000	2962.000000	VIDAR FM	FORMATION	ROGALAND GP	1787	187	131	9999-12-31	2013-05-08
7/12-11	3596.000000	3728.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1787	198	23	9999-12-31	2013-05-08
7/12-11	3800.000000	3868.000000	NO GROUP DEFINED	GROUP	\N	1787	208	\N	9999-12-31	2013-05-08
6607/5-2	2317.000000	2381.000000	BRYGGE FM	FORMATION	HORDALAND GP	1789	18	67	9999-12-31	2013-05-08
6607/5-2	2317.000000	2381.000000	HORDALAND GP	GROUP	\N	1789	67	\N	9999-12-31	2013-05-08
6607/5-2	2003.000000	2317.000000	KAI FM	FORMATION	NORDLAND GP	1789	77	113	9999-12-31	2013-05-08
6607/5-2	4422.000000	4640.000000	KVITNOS FM	FORMATION	SHETLAND GP	1789	91	143	9999-12-31	2013-05-08
6607/5-2	3792.000000	4166.000000	NO FORMAL NAME	FORMATION	\N	1789	111	\N	9999-12-31	2013-05-08
6607/5-2	4640.000000	4684.000000	NO FORMAL NAME	FORMATION	\N	1789	111	\N	9999-12-31	2013-05-08
6607/5-2	3707.000000	3792.000000	NISE FM	FORMATION	SHETLAND GP	1789	112	143	9999-12-31	2013-05-08
6607/5-2	4308.000000	4422.000000	NISE FM	FORMATION	SHETLAND GP	1789	112	143	9999-12-31	2013-05-08
6607/5-2	549.000000	2317.000000	NORDLAND GP	GROUP	\N	1789	113	\N	9999-12-31	2013-05-08
6607/5-2	2381.000000	2588.000000	ROGALAND GP	GROUP	\N	1789	131	\N	9999-12-31	2013-05-08
6607/5-2	2588.000000	4684.000000	SHETLAND GP	GROUP	\N	1789	143	\N	9999-12-31	2013-05-08
6607/5-2	2588.000000	3707.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1789	156	143	9999-12-31	2013-05-08
6607/5-2	2381.000000	2588.000000	TARE FM	FORMATION	ROGALAND GP	1789	163	131	9999-12-31	2013-05-08
6607/5-2	4166.000000	4308.000000	DELFIN FM (INFORMAL)	FORMATION	SHETLAND GP	1789	204	143	9999-12-31	2013-05-08
2/4-17	3050.000000	3056.000000	BALDER FM	FORMATION	ROGALAND GP	1792	6	131	9999-12-31	2013-05-08
2/4-17	4389.000000	4486.000000	BRYNE FM	FORMATION	VESTLAND GP	1792	19	186	9999-12-31	2013-05-08
2/4-17	4183.000000	4189.000000	CROMER KNOLL GP	GROUP	\N	1792	23	\N	9999-12-31	2013-05-08
2/4-17	3192.000000	3334.000000	EKOFISK FM	FORMATION	SHETLAND GP	1792	33	143	9999-12-31	2013-05-08
2/4-17	4283.000000	4340.000000	HAUGESUND FM	FORMATION	TYNE GP	1792	57	177	9999-12-31	2013-05-08
2/4-17	3729.000000	4183.000000	HOD FM	FORMATION	SHETLAND GP	1792	66	143	9999-12-31	2013-05-08
2/4-17	1774.000000	3050.000000	HORDALAND GP	GROUP	\N	1792	67	\N	9999-12-31	2013-05-08
2/4-17	4518.000000	4520.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	1792	88	194	9999-12-31	2013-05-08
2/4-17	3096.000000	3118.000000	LISTA FM	FORMATION	ROGALAND GP	1792	95	131	9999-12-31	2013-05-08
2/4-17	3165.000000	3182.000000	LISTA FM	FORMATION	ROGALAND GP	1792	95	131	9999-12-31	2013-05-08
2/4-17	110.000000	1774.000000	NORDLAND GP	GROUP	\N	1792	113	\N	9999-12-31	2013-05-08
2/4-17	3050.000000	3192.000000	ROGALAND GP	GROUP	\N	1792	131	\N	9999-12-31	2013-05-08
2/4-17	4520.000000	5258.000000	ROTLIEGEND GP	GROUP	\N	1792	136	\N	9999-12-31	2013-05-08
2/4-17	3056.000000	3096.000000	SELE FM	FORMATION	ROGALAND GP	1792	142	131	9999-12-31	2013-05-08
2/4-17	3192.000000	4183.000000	SHETLAND GP	GROUP	\N	1792	143	\N	9999-12-31	2013-05-08
2/4-17	3334.000000	3729.000000	TOR FM	FORMATION	SHETLAND GP	1792	171	143	9999-12-31	2013-05-08
2/4-17	4189.000000	4340.000000	TYNE GP	GROUP	\N	1792	177	\N	9999-12-31	2013-05-08
2/4-17	4340.000000	4389.000000	ULA FM	FORMATION	VESTLAND GP	1792	179	186	9999-12-31	2013-05-08
2/4-17	4486.000000	4518.000000	UNDIFFERENTIATED	FORMATION	\N	1792	182	\N	9999-12-31	2013-05-08
2/4-17	4340.000000	4486.000000	VESTLAND GP	GROUP	\N	1792	186	\N	9999-12-31	2013-05-08
2/4-17	3118.000000	3165.000000	VIDAR FM	FORMATION	ROGALAND GP	1792	187	131	9999-12-31	2013-05-08
2/4-17	3182.000000	3192.000000	VÅLE FM	FORMATION	ROGALAND GP	1792	190	131	9999-12-31	2013-05-08
2/4-17	4486.000000	4520.000000	ZECHSTEIN GP	GROUP	\N	1792	194	\N	9999-12-31	2013-05-08
36/7-1	2834.000000	2841.000000	BASEMENT	GROUP	\N	1794	10	\N	9999-12-31	2013-05-08
36/7-1	1958.000000	1976.000000	BLODØKS FM	FORMATION	SHETLAND GP	1794	13	143	9999-12-31	2013-05-08
36/7-1	2662.000000	2770.000000	BRENT GP	GROUP	\N	1794	16	\N	9999-12-31	2013-05-08
36/7-1	2020.000000	2120.000000	CROMER KNOLL GP	GROUP	\N	1794	23	\N	9999-12-31	2013-05-08
36/7-1	2120.000000	2171.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1794	26	188	9999-12-31	2013-05-08
36/7-1	2770.000000	2808.000000	DUNLIN GP	GROUP	\N	1794	29	\N	9999-12-31	2013-05-08
36/7-1	2700.000000	2727.000000	ETIVE FM	FORMATION	BRENT GP	1794	35	16	9999-12-31	2013-05-08
36/7-1	2235.000000	2510.000000	FENSFJORD FM	FORMATION	VIKING GP	1794	40	188	9999-12-31	2013-05-08
36/7-1	2207.000000	2235.000000	HEATHER FM	FORMATION	VIKING GP	1794	60	188	9999-12-31	2013-05-08
36/7-1	2560.000000	2662.000000	HEATHER FM	FORMATION	VIKING GP	1794	60	188	9999-12-31	2013-05-08
36/7-1	1281.000000	1323.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1794	74	143	9999-12-31	2013-05-08
36/7-1	2510.000000	2560.000000	KROSSFJORD FM	FORMATION	VIKING GP	1794	87	188	9999-12-31	2013-05-08
36/7-1	1323.000000	1958.000000	KYRRE FM	FORMATION	SHETLAND GP	1794	92	143	9999-12-31	2013-05-08
36/7-1	2662.000000	2700.000000	NESS FM	FORMATION	BRENT GP	1794	110	16	9999-12-31	2013-05-08
36/7-1	380.000000	608.000000	NORDLAND GP	GROUP	\N	1794	113	\N	9999-12-31	2013-05-08
36/7-1	2727.000000	2770.000000	RANNOCH FM	FORMATION	BRENT GP	1794	126	16	9999-12-31	2013-05-08
36/7-1	608.000000	1281.000000	ROGALAND GP	GROUP	\N	1794	131	\N	9999-12-31	2013-05-08
36/7-1	2020.000000	2046.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1794	137	23	9999-12-31	2013-05-08
36/7-1	1281.000000	2020.000000	SHETLAND GP	GROUP	\N	1794	143	\N	9999-12-31	2013-05-08
36/7-1	2171.000000	2207.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1794	151	188	9999-12-31	2013-05-08
36/7-1	2808.000000	2834.000000	STATFJORD FM	FORMATION	\N	1794	157	\N	9999-12-31	2013-05-08
36/7-1	1976.000000	2020.000000	SVARTE FM	FORMATION	SHETLAND GP	1794	160	143	9999-12-31	2013-05-08
36/7-1	2120.000000	2662.000000	VIKING GP	GROUP	\N	1794	188	\N	9999-12-31	2013-05-08
36/7-1	2046.000000	2120.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1794	198	23	9999-12-31	2013-05-08
36/7-1	2808.000000	2834.000000	NO GROUP DEFINED	GROUP	\N	1794	208	\N	9999-12-31	2013-05-08
33/9-16	1663.000000	1737.000000	BALDER FM	FORMATION	ROGALAND GP	1801	6	131	9999-12-31	2013-05-08
33/9-16	2815.000000	2870.000000	BRENT GP	GROUP	\N	1801	16	\N	9999-12-31	2013-05-08
33/9-16	2654.000000	2683.000000	CROMER KNOLL GP	GROUP	\N	1801	23	\N	9999-12-31	2013-05-08
33/9-16	2684.000000	2748.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1801	26	188	9999-12-31	2013-05-08
33/9-16	2683.000000	2684.000000	DRAUPNE FM	FORMATION	VIKING GP	1801	28	188	9999-12-31	2013-05-08
33/9-16	2748.000000	2753.000000	DRAUPNE FM	FORMATION	VIKING GP	1801	28	188	9999-12-31	2013-05-08
33/9-16	2753.000000	2815.000000	HEATHER FM	FORMATION	VIKING GP	1801	60	188	9999-12-31	2013-05-08
33/9-16	1849.000000	1878.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1801	62	131	9999-12-31	2013-05-08
33/9-16	1073.000000	1663.000000	HORDALAND GP	GROUP	\N	1801	67	\N	9999-12-31	2013-05-08
33/9-16	1912.000000	2187.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1801	74	143	9999-12-31	2013-05-08
33/9-16	2187.000000	2625.000000	KYRRE FM	FORMATION	SHETLAND GP	1801	92	143	9999-12-31	2013-05-08
33/9-16	1737.000000	1849.000000	LISTA FM	FORMATION	ROGALAND GP	1801	95	131	9999-12-31	2013-05-08
33/9-16	1878.000000	1901.000000	LISTA FM	FORMATION	ROGALAND GP	1801	95	131	9999-12-31	2013-05-08
33/9-16	2680.000000	2683.000000	MIME FM	FORMATION	CROMER KNOLL GP	1801	106	23	9999-12-31	2013-05-08
33/9-16	2826.000000	2870.000000	NESS FM	FORMATION	BRENT GP	1801	110	16	9999-12-31	2013-05-08
33/9-16	1213.000000	1251.000000	NO FORMAL NAME	FORMATION	\N	1801	111	\N	9999-12-31	2013-05-08
33/9-16	1251.000000	1304.000000	NO FORMAL NAME	FORMATION	\N	1801	111	\N	9999-12-31	2013-05-08
33/9-16	1304.000000	1322.000000	NO FORMAL NAME	FORMATION	\N	1801	111	\N	9999-12-31	2013-05-08
33/9-16	1322.000000	1663.000000	NO FORMAL NAME	FORMATION	\N	1801	111	\N	9999-12-31	2013-05-08
33/9-16	249.000000	1073.000000	NORDLAND GP	GROUP	\N	1801	113	\N	9999-12-31	2013-05-08
33/9-16	1663.000000	1912.000000	ROGALAND GP	GROUP	\N	1801	131	\N	9999-12-31	2013-05-08
33/9-16	2654.000000	2662.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1801	137	23	9999-12-31	2013-05-08
33/9-16	1912.000000	2654.000000	SHETLAND GP	GROUP	\N	1801	143	\N	9999-12-31	2013-05-08
33/9-16	2649.000000	2654.000000	SVARTE FM	FORMATION	SHETLAND GP	1801	160	143	9999-12-31	2013-05-08
33/9-16	2662.000000	2665.000000	SVARTE FM	FORMATION	SHETLAND GP	1801	160	143	9999-12-31	2013-05-08
33/9-16	2815.000000	2826.000000	TARBERT FM	FORMATION	BRENT GP	1801	162	16	9999-12-31	2013-05-08
33/9-16	2625.000000	2649.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1801	173	143	9999-12-31	2013-05-08
33/9-16	914.000000	1073.000000	UTSIRA FM	FORMATION	NORDLAND GP	1801	183	113	9999-12-31	2013-05-08
33/9-16	2683.000000	2815.000000	VIKING GP	GROUP	\N	1801	188	\N	9999-12-31	2013-05-08
33/9-16	1901.000000	1912.000000	VÅLE FM	FORMATION	ROGALAND GP	1801	190	131	9999-12-31	2013-05-08
33/9-16	2665.000000	2680.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1801	198	23	9999-12-31	2013-05-08
6305/12-1	315.000000	1060.000000	BRYGGE FM	FORMATION	HORDALAND GP	1808	18	67	9999-12-31	2013-05-08
6305/12-1	2615.000000	3685.000000	CROMER KNOLL GP	GROUP	\N	1808	23	\N	9999-12-31	2013-05-08
6305/12-1	1804.000000	1973.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	1808	31	131	9999-12-31	2013-05-08
6305/12-1	3685.000000	4063.000000	FANGST GP	GROUP	\N	1808	38	\N	9999-12-31	2013-05-08
6305/12-1	3685.000000	4063.000000	GARN FM	FORMATION	FANGST GP	1808	48	38	9999-12-31	2013-05-08
6305/12-1	315.000000	1060.000000	HORDALAND GP	GROUP	\N	1808	67	\N	9999-12-31	2013-05-08
6305/12-1	2140.000000	2615.000000	KVITNOS FM	FORMATION	SHETLAND GP	1808	91	143	9999-12-31	2013-05-08
6305/12-1	2645.000000	3685.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1808	94	23	9999-12-31	2013-05-08
6305/12-1	2615.000000	2645.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1808	99	23	9999-12-31	2013-05-08
6305/12-1	2033.000000	2140.000000	NISE FM	FORMATION	SHETLAND GP	1808	112	143	9999-12-31	2013-05-08
6305/12-1	200.000000	315.000000	NORDLAND GP	GROUP	\N	1808	113	\N	9999-12-31	2013-05-08
6305/12-1	4063.000000	4302.000000	RED BEDS (INFORMAL)	GROUP	\N	1808	129	\N	9999-12-31	2013-05-08
6305/12-1	1060.000000	1973.000000	ROGALAND GP	GROUP	\N	1808	131	\N	9999-12-31	2013-05-08
6305/12-1	1973.000000	2615.000000	SHETLAND GP	GROUP	\N	1808	143	\N	9999-12-31	2013-05-08
6305/12-1	1973.000000	2033.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1808	156	143	9999-12-31	2013-05-08
6305/12-1	1122.000000	1804.000000	TANG FM	FORMATION	ROGALAND GP	1808	161	131	9999-12-31	2013-05-08
6305/12-1	1060.000000	1122.000000	TARE FM	FORMATION	ROGALAND GP	1808	163	131	9999-12-31	2013-05-08
33/9-15	1690.000000	1783.000000	BALDER FM	FORMATION	ROGALAND GP	1810	6	131	9999-12-31	2013-05-08
33/9-15	2945.000000	3007.000000	BRENT GP	GROUP	\N	1810	16	\N	9999-12-31	2013-05-08
33/9-15	2702.000000	2742.000000	CROMER KNOLL GP	GROUP	\N	1810	23	\N	9999-12-31	2013-05-08
33/9-15	2743.000000	2841.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1810	26	188	9999-12-31	2013-05-08
33/9-15	2742.000000	2743.000000	DRAUPNE FM	FORMATION	VIKING GP	1810	28	188	9999-12-31	2013-05-08
33/9-15	2841.000000	2851.000000	DRAUPNE FM	FORMATION	VIKING GP	1810	28	188	9999-12-31	2013-05-08
33/9-15	3003.000000	3007.000000	ETIVE FM	FORMATION	BRENT GP	1810	35	16	9999-12-31	2013-05-08
33/9-15	2851.000000	2945.000000	HEATHER FM	FORMATION	VIKING GP	1810	60	188	9999-12-31	2013-05-08
33/9-15	998.000000	1690.000000	HORDALAND GP	GROUP	\N	1810	67	\N	9999-12-31	2013-05-08
33/9-15	1935.000000	2120.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1810	74	143	9999-12-31	2013-05-08
33/9-15	2120.000000	2702.000000	KYRRE FM	FORMATION	SHETLAND GP	1810	92	143	9999-12-31	2013-05-08
33/9-15	1783.000000	1923.000000	LISTA FM	FORMATION	ROGALAND GP	1810	95	131	9999-12-31	2013-05-08
33/9-15	2737.000000	2742.000000	MIME FM	FORMATION	CROMER KNOLL GP	1810	106	23	9999-12-31	2013-05-08
33/9-15	2958.000000	3003.000000	NESS FM	FORMATION	BRENT GP	1810	110	16	9999-12-31	2013-05-08
33/9-15	1206.000000	1238.000000	NO FORMAL NAME	FORMATION	\N	1810	111	\N	9999-12-31	2013-05-08
33/9-15	1238.000000	1282.000000	NO FORMAL NAME	FORMATION	\N	1810	111	\N	9999-12-31	2013-05-08
33/9-15	1282.000000	1690.000000	NO FORMAL NAME	FORMATION	\N	1810	111	\N	9999-12-31	2013-05-08
33/9-15	279.000000	998.000000	NORDLAND GP	GROUP	\N	1810	113	\N	9999-12-31	2013-05-08
33/9-15	1690.000000	1935.000000	ROGALAND GP	GROUP	\N	1810	131	\N	9999-12-31	2013-05-08
33/9-15	2702.000000	2714.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1810	137	23	9999-12-31	2013-05-08
33/9-15	1935.000000	2702.000000	SHETLAND GP	GROUP	\N	1810	143	\N	9999-12-31	2013-05-08
33/9-15	2714.000000	2717.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1810	152	23	9999-12-31	2013-05-08
33/9-15	2945.000000	2958.000000	TARBERT FM	FORMATION	BRENT GP	1810	162	16	9999-12-31	2013-05-08
33/9-15	924.000000	998.000000	UTSIRA FM	FORMATION	NORDLAND GP	1810	183	113	9999-12-31	2013-05-08
33/9-15	2742.000000	2945.000000	VIKING GP	GROUP	\N	1810	188	\N	9999-12-31	2013-05-08
33/9-15	1923.000000	1935.000000	VÅLE FM	FORMATION	ROGALAND GP	1810	190	131	9999-12-31	2013-05-08
33/9-15	2717.000000	2737.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1810	198	23	9999-12-31	2013-05-08
30/9-13 S	3826.000000	3976.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1811	4	29	9999-12-31	2013-05-08
30/9-13 S	2199.000000	2264.000000	BALDER FM	FORMATION	ROGALAND GP	1811	6	131	9999-12-31	2013-05-08
30/9-13 S	3024.000000	3452.000000	BRENT GP	GROUP	\N	1811	16	\N	9999-12-31	2013-05-08
30/9-13 S	2902.000000	2944.000000	CROMER KNOLL GP	GROUP	\N	1811	23	\N	9999-12-31	2013-05-08
30/9-13 S	3758.000000	3826.000000	COOK FM	FORMATION	DUNLIN GP	1811	24	29	9999-12-31	2013-05-08
30/9-13 S	3452.000000	3758.000000	DRAKE FM	FORMATION	DUNLIN GP	1811	27	29	9999-12-31	2013-05-08
30/9-13 S	3452.000000	3976.000000	DUNLIN GP	GROUP	\N	1811	29	\N	9999-12-31	2013-05-08
30/9-13 S	1160.000000	1417.000000	GRID FM	FORMATION	HORDALAND GP	1811	53	67	9999-12-31	2013-05-08
30/9-13 S	1515.000000	1535.000000	GRID FM	FORMATION	HORDALAND GP	1811	53	67	9999-12-31	2013-05-08
30/9-13 S	1684.000000	1703.000000	GRID FM	FORMATION	HORDALAND GP	1811	53	67	9999-12-31	2013-05-08
30/9-13 S	2493.000000	2795.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1811	56	143	9999-12-31	2013-05-08
30/9-13 S	2959.000000	3024.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	1811	59	188	9999-12-31	2013-05-08
30/9-13 S	2944.000000	2959.000000	HEATHER FM	FORMATION	VIKING GP	1811	60	188	9999-12-31	2013-05-08
30/9-13 S	892.000000	2199.000000	HORDALAND GP	GROUP	\N	1811	67	\N	9999-12-31	2013-05-08
30/9-13 S	2795.000000	2902.000000	KYRRE FM	FORMATION	SHETLAND GP	1811	92	143	9999-12-31	2013-05-08
30/9-13 S	2334.000000	2480.000000	LISTA FM	FORMATION	ROGALAND GP	1811	95	131	9999-12-31	2013-05-08
30/9-13 S	2931.000000	2943.000000	MIME FM	FORMATION	CROMER KNOLL GP	1811	106	23	9999-12-31	2013-05-08
30/9-13 S	3194.000000	3437.000000	NESS FM	FORMATION	BRENT GP	1811	110	16	9999-12-31	2013-05-08
30/9-13 S	979.000000	1160.000000	NO FORMAL NAME	FORMATION	\N	1811	111	\N	9999-12-31	2013-05-08
30/9-13 S	1417.000000	1515.000000	NO FORMAL NAME	FORMATION	\N	1811	111	\N	9999-12-31	2013-05-08
30/9-13 S	1535.000000	1684.000000	NO FORMAL NAME	FORMATION	\N	1811	111	\N	9999-12-31	2013-05-08
30/9-13 S	1703.000000	2199.000000	NO FORMAL NAME	FORMATION	\N	1811	111	\N	9999-12-31	2013-05-08
30/9-13 S	131.000000	892.000000	NORDLAND GP	GROUP	\N	1811	113	\N	9999-12-31	2013-05-08
30/9-13 S	3444.000000	3452.000000	OSEBERG FM	FORMATION	BRENT GP	1811	123	16	9999-12-31	2013-05-08
30/9-13 S	2199.000000	2493.000000	ROGALAND GP	GROUP	\N	1811	131	\N	9999-12-31	2013-05-08
30/9-13 S	2902.000000	2926.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1811	137	23	9999-12-31	2013-05-08
30/9-13 S	2264.000000	2334.000000	SELE FM	FORMATION	ROGALAND GP	1811	142	131	9999-12-31	2013-05-08
30/9-13 S	2493.000000	2902.000000	SHETLAND GP	GROUP	\N	1811	143	\N	9999-12-31	2013-05-08
30/9-13 S	950.000000	979.000000	SKADE FM	FORMATION	HORDALAND GP	1811	145	67	9999-12-31	2013-05-08
30/9-13 S	2926.000000	2931.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1811	152	23	9999-12-31	2013-05-08
30/9-13 S	3976.000000	4027.000000	STATFJORD FM	FORMATION	\N	1811	157	\N	9999-12-31	2013-05-08
30/9-13 S	3024.000000	3194.000000	TARBERT FM	FORMATION	BRENT GP	1811	162	16	9999-12-31	2013-05-08
30/9-13 S	3437.000000	3444.000000	UNDIFFERENTIATED	FORMATION	\N	1811	182	\N	9999-12-31	2013-05-08
30/9-13 S	577.000000	892.000000	UTSIRA FM	FORMATION	NORDLAND GP	1811	183	113	9999-12-31	2013-05-08
30/9-13 S	2944.000000	3024.000000	VIKING GP	GROUP	\N	1811	188	\N	9999-12-31	2013-05-08
30/9-13 S	2480.000000	2493.000000	VÅLE FM	FORMATION	ROGALAND GP	1811	190	131	9999-12-31	2013-05-08
30/9-13 S	2943.000000	2944.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1811	198	23	9999-12-31	2013-05-08
30/9-13 S	3976.000000	4027.000000	NO GROUP DEFINED	GROUP	\N	1811	208	\N	9999-12-31	2013-05-08
30/10-6	2166.000000	2220.000000	BALDER FM	FORMATION	ROGALAND GP	1816	6	131	9999-12-31	2013-05-08
30/10-6	3780.000000	3803.000000	BLODØKS FM	FORMATION	SHETLAND GP	1816	13	143	9999-12-31	2013-05-08
30/10-6	4666.000000	5248.000000	BRENT GP	GROUP	\N	1816	16	\N	9999-12-31	2013-05-08
30/10-6	3931.000000	4344.000000	CROMER KNOLL GP	GROUP	\N	1816	23	\N	9999-12-31	2013-05-08
30/10-6	4344.000000	4368.000000	DRAUPNE FM	FORMATION	VIKING GP	1816	28	188	9999-12-31	2013-05-08
30/10-6	2589.000000	2832.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1816	56	143	9999-12-31	2013-05-08
30/10-6	4368.000000	4666.000000	HEATHER FM	FORMATION	VIKING GP	1816	60	188	9999-12-31	2013-05-08
30/10-6	2358.000000	2427.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1816	62	131	9999-12-31	2013-05-08
30/10-6	2256.000000	2318.000000	HERMOD FM	FORMATION	ROGALAND GP	1816	64	131	9999-12-31	2013-05-08
30/10-6	1158.000000	2166.000000	HORDALAND GP	GROUP	\N	1816	67	\N	9999-12-31	2013-05-08
30/10-6	2832.000000	3608.000000	KYRRE FM	FORMATION	SHETLAND GP	1816	92	143	9999-12-31	2013-05-08
30/10-6	2318.000000	2358.000000	LISTA FM	FORMATION	ROGALAND GP	1816	95	131	9999-12-31	2013-05-08
30/10-6	2427.000000	2502.000000	LISTA FM	FORMATION	ROGALAND GP	1816	95	131	9999-12-31	2013-05-08
30/10-6	5089.000000	5248.000000	NESS FM	FORMATION	BRENT GP	1816	110	16	9999-12-31	2013-05-08
30/10-6	109.000000	1158.000000	NORDLAND GP	GROUP	\N	1816	113	\N	9999-12-31	2013-05-08
30/10-6	2166.000000	2589.000000	ROGALAND GP	GROUP	\N	1816	131	\N	9999-12-31	2013-05-08
30/10-6	3931.000000	4026.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1816	137	23	9999-12-31	2013-05-08
30/10-6	2220.000000	2256.000000	SELE FM	FORMATION	ROGALAND GP	1816	142	131	9999-12-31	2013-05-08
30/10-6	2589.000000	3931.000000	SHETLAND GP	GROUP	\N	1816	143	\N	9999-12-31	2013-05-08
30/10-6	4026.000000	4095.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1816	152	23	9999-12-31	2013-05-08
30/10-6	3803.000000	3931.000000	SVARTE FM	FORMATION	SHETLAND GP	1816	160	143	9999-12-31	2013-05-08
30/10-6	4666.000000	5089.000000	TARBERT FM	FORMATION	BRENT GP	1816	162	16	9999-12-31	2013-05-08
30/10-6	3608.000000	3780.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1816	173	143	9999-12-31	2013-05-08
30/10-6	273.000000	1158.000000	UTSIRA FM	FORMATION	NORDLAND GP	1816	183	113	9999-12-31	2013-05-08
30/10-6	4344.000000	4666.000000	VIKING GP	GROUP	\N	1816	188	\N	9999-12-31	2013-05-08
30/10-6	2502.000000	2589.000000	VÅLE FM	FORMATION	ROGALAND GP	1816	190	131	9999-12-31	2013-05-08
30/10-6	4095.000000	4344.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1816	198	23	9999-12-31	2013-05-08
34/7-18	1652.000000	1683.000000	BALDER FM	FORMATION	ROGALAND GP	1819	6	131	9999-12-31	2013-05-08
34/7-18	2284.000000	2399.000000	BRENT GP	GROUP	\N	1819	16	\N	9999-12-31	2013-05-08
34/7-18	2274.000000	2284.000000	CROMER KNOLL GP	GROUP	\N	1819	23	\N	9999-12-31	2013-05-08
34/7-18	2399.000000	2443.000000	DRAKE FM	FORMATION	DUNLIN GP	1819	27	29	9999-12-31	2013-05-08
34/7-18	2399.000000	2443.000000	DUNLIN GP	GROUP	\N	1819	29	\N	9999-12-31	2013-05-08
34/7-18	2298.000000	2328.000000	ETIVE FM	FORMATION	BRENT GP	1819	35	16	9999-12-31	2013-05-08
34/7-18	1064.000000	1652.000000	HORDALAND GP	GROUP	\N	1819	67	\N	9999-12-31	2013-05-08
34/7-18	1807.000000	2027.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1819	74	143	9999-12-31	2013-05-08
34/7-18	2027.000000	2274.000000	KYRRE FM	FORMATION	SHETLAND GP	1819	92	143	9999-12-31	2013-05-08
34/7-18	1683.000000	1770.000000	LISTA FM	FORMATION	ROGALAND GP	1819	95	131	9999-12-31	2013-05-08
34/7-18	1783.000000	1807.000000	LISTA FM	FORMATION	ROGALAND GP	1819	95	131	9999-12-31	2013-05-08
34/7-18	2283.000000	2284.000000	MIME FM	FORMATION	CROMER KNOLL GP	1819	106	23	9999-12-31	2013-05-08
34/7-18	2284.000000	2298.000000	NESS FM	FORMATION	BRENT GP	1819	110	16	9999-12-31	2013-05-08
34/7-18	1238.000000	1339.000000	NO FORMAL NAME	FORMATION	\N	1819	111	\N	9999-12-31	2013-05-08
34/7-18	1339.000000	1374.000000	NO FORMAL NAME	FORMATION	\N	1819	111	\N	9999-12-31	2013-05-08
34/7-18	1374.000000	1500.000000	NO FORMAL NAME	FORMATION	\N	1819	111	\N	9999-12-31	2013-05-08
34/7-18	1500.000000	1652.000000	NO FORMAL NAME	FORMATION	\N	1819	111	\N	9999-12-31	2013-05-08
34/7-18	1770.000000	1783.000000	NO FORMAL NAME	FORMATION	\N	1819	111	\N	9999-12-31	2013-05-08
34/7-18	261.000000	1064.000000	NORDLAND GP	GROUP	\N	1819	113	\N	9999-12-31	2013-05-08
34/7-18	2328.000000	2399.000000	RANNOCH FM	FORMATION	BRENT GP	1819	126	16	9999-12-31	2013-05-08
34/7-18	1652.000000	1807.000000	ROGALAND GP	GROUP	\N	1819	131	\N	9999-12-31	2013-05-08
34/7-18	2274.000000	2283.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1819	137	23	9999-12-31	2013-05-08
34/7-18	1807.000000	2274.000000	SHETLAND GP	GROUP	\N	1819	143	\N	9999-12-31	2013-05-08
34/7-18	916.000000	1064.000000	UTSIRA FM	FORMATION	NORDLAND GP	1819	183	113	9999-12-31	2013-05-08
31/2-16 SR	1359.000000	1414.000000	BALDER FM	FORMATION	ROGALAND GP	1820	6	131	9999-12-31	2013-05-08
31/2-16 SR	783.000000	1359.000000	HORDALAND GP	GROUP	\N	1820	67	\N	9999-12-31	2013-05-08
31/2-16 SR	1454.000000	1646.000000	LISTA FM	FORMATION	ROGALAND GP	1820	95	131	9999-12-31	2013-05-08
31/2-16 SR	378.000000	783.000000	NORDLAND GP	GROUP	\N	1820	113	\N	9999-12-31	2013-05-08
31/2-16 SR	1359.000000	1651.000000	ROGALAND GP	GROUP	\N	1820	131	\N	9999-12-31	2013-05-08
31/2-16 SR	1414.000000	1454.000000	SELE FM	FORMATION	ROGALAND GP	1820	142	131	9999-12-31	2013-05-08
31/2-16 SR	1651.000000	1660.000000	SHETLAND GP	GROUP	\N	1820	143	\N	9999-12-31	2013-05-08
31/2-16 SR	1660.000000	2391.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1820	151	188	9999-12-31	2013-05-08
31/2-16 SR	1660.000000	2391.000000	VIKING GP	GROUP	\N	1820	188	\N	9999-12-31	2013-05-08
31/2-16 SR	1646.000000	1651.000000	VÅLE FM	FORMATION	ROGALAND GP	1820	190	131	9999-12-31	2013-05-08
35/10-1	3649.000000	3665.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1822	4	29	9999-12-31	2013-05-08
35/10-1	3806.000000	3826.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1822	4	29	9999-12-31	2013-05-08
35/10-1	1755.000000	1824.000000	BALDER FM	FORMATION	ROGALAND GP	1822	6	131	9999-12-31	2013-05-08
35/10-1	3043.000000	3058.000000	BLODØKS FM	FORMATION	SHETLAND GP	1822	13	143	9999-12-31	2013-05-08
35/10-1	3324.000000	3507.000000	BRENT GP	GROUP	\N	1822	16	\N	9999-12-31	2013-05-08
35/10-1	3066.000000	3098.000000	CROMER KNOLL GP	GROUP	\N	1822	23	\N	9999-12-31	2013-05-08
35/10-1	3509.000000	3649.000000	COOK FM	FORMATION	DUNLIN GP	1822	24	29	9999-12-31	2013-05-08
35/10-1	3507.000000	3509.000000	DRAKE FM	FORMATION	DUNLIN GP	1822	27	29	9999-12-31	2013-05-08
35/10-1	3098.000000	3146.000000	DRAUPNE FM	FORMATION	VIKING GP	1822	28	188	9999-12-31	2013-05-08
35/10-1	3507.000000	3826.000000	DUNLIN GP	GROUP	\N	1822	29	\N	9999-12-31	2013-05-08
35/10-1	3449.000000	3460.000000	ETIVE FM	FORMATION	BRENT GP	1822	35	16	9999-12-31	2013-05-08
35/10-1	1203.000000	1252.000000	GRID FM	FORMATION	HORDALAND GP	1822	53	67	9999-12-31	2013-05-08
35/10-1	3146.000000	3324.000000	HEATHER FM	FORMATION	VIKING GP	1822	60	188	9999-12-31	2013-05-08
35/10-1	948.000000	1252.000000	HORDALAND GP	GROUP	\N	1822	67	\N	9999-12-31	2013-05-08
35/10-1	1252.000000	1755.000000	HORDALAND GP	GROUP	\N	1822	67	\N	9999-12-31	2013-05-08
35/10-1	3665.000000	3806.000000	JOHANSEN FM	FORMATION	DUNLIN GP	1822	73	29	9999-12-31	2013-05-08
35/10-1	2005.000000	2227.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1822	74	143	9999-12-31	2013-05-08
35/10-1	2227.000000	3007.000000	KYRRE FM	FORMATION	SHETLAND GP	1822	92	143	9999-12-31	2013-05-08
35/10-1	1841.000000	1994.000000	LISTA FM	FORMATION	ROGALAND GP	1822	95	131	9999-12-31	2013-05-08
35/10-1	3085.000000	3098.000000	MIME FM	FORMATION	CROMER KNOLL GP	1822	106	23	9999-12-31	2013-05-08
35/10-1	3344.000000	3449.000000	NESS FM	FORMATION	BRENT GP	1822	110	16	9999-12-31	2013-05-08
35/10-1	384.000000	948.000000	NORDLAND GP	GROUP	\N	1822	113	\N	9999-12-31	2013-05-08
35/10-1	3460.000000	3507.000000	RANNOCH FM	FORMATION	BRENT GP	1822	126	16	9999-12-31	2013-05-08
35/10-1	1755.000000	2005.000000	ROGALAND GP	GROUP	\N	1822	131	\N	9999-12-31	2013-05-08
35/10-1	3066.000000	3081.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1822	137	23	9999-12-31	2013-05-08
35/10-1	1824.000000	1841.000000	SELE FM	FORMATION	ROGALAND GP	1822	142	131	9999-12-31	2013-05-08
35/10-1	2005.000000	3066.000000	SHETLAND GP	GROUP	\N	1822	143	\N	9999-12-31	2013-05-08
35/10-1	3081.000000	3085.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1822	152	23	9999-12-31	2013-05-08
35/10-1	3826.000000	3986.000000	STATFJORD FM	FORMATION	\N	1822	157	\N	9999-12-31	2013-05-08
35/10-1	3058.000000	3066.000000	SVARTE FM	FORMATION	SHETLAND GP	1822	160	143	9999-12-31	2013-05-08
35/10-1	3324.000000	3344.000000	TARBERT FM	FORMATION	BRENT GP	1822	162	16	9999-12-31	2013-05-08
35/10-1	3007.000000	3043.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1822	173	143	9999-12-31	2013-05-08
35/10-1	912.000000	948.000000	UTSIRA FM	FORMATION	NORDLAND GP	1822	183	113	9999-12-31	2013-05-08
35/10-1	3098.000000	3324.000000	VIKING GP	GROUP	\N	1822	188	\N	9999-12-31	2013-05-08
35/10-1	1994.000000	2005.000000	VÅLE FM	FORMATION	ROGALAND GP	1822	190	131	9999-12-31	2013-05-08
35/10-1	3826.000000	3986.000000	NO GROUP DEFINED	GROUP	\N	1822	208	\N	9999-12-31	2013-05-08
31/5-4 AR	1205.000000	1292.000000	BALDER FM	FORMATION	ROGALAND GP	1832	6	131	9999-12-31	2013-05-08
31/5-4 AR	1470.000000	1515.000000	CROMER KNOLL GP	GROUP	\N	1832	23	\N	9999-12-31	2013-05-08
31/5-4 AR	1515.000000	1621.000000	DRAUPNE FM	FORMATION	VIKING GP	1832	28	188	9999-12-31	2013-05-08
31/5-4 AR	1449.000000	1461.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1832	56	143	9999-12-31	2013-05-08
31/5-4 AR	654.000000	1205.000000	HORDALAND GP	GROUP	\N	1832	67	\N	9999-12-31	2013-05-08
31/5-4 AR	1393.000000	1449.000000	LISTA FM	FORMATION	ROGALAND GP	1832	95	131	9999-12-31	2013-05-08
31/5-4 AR	340.000000	654.000000	NORDLAND GP	GROUP	\N	1832	113	\N	9999-12-31	2013-05-08
31/5-4 AR	1205.000000	1449.000000	ROGALAND GP	GROUP	\N	1832	131	\N	9999-12-31	2013-05-08
31/5-4 AR	1470.000000	1507.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1832	137	23	9999-12-31	2013-05-08
31/5-4 AR	1292.000000	1393.000000	SELE FM	FORMATION	ROGALAND GP	1832	142	131	9999-12-31	2013-05-08
31/5-4 AR	1449.000000	1470.000000	SHETLAND GP	GROUP	\N	1832	143	\N	9999-12-31	2013-05-08
31/5-4 AR	1621.000000	2603.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1832	151	188	9999-12-31	2013-05-08
31/5-4 AR	1461.000000	1470.000000	UNDIFFERENTIATED	FORMATION	\N	1832	182	\N	9999-12-31	2013-05-08
31/5-4 AR	1515.000000	2603.000000	VIKING GP	GROUP	\N	1832	188	\N	9999-12-31	2013-05-08
31/5-4 AR	1507.000000	1515.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1832	198	23	9999-12-31	2013-05-08
2/5-9	3126.000000	3148.000000	BALDER FM	FORMATION	ROGALAND GP	1834	6	131	9999-12-31	2013-05-08
2/5-9	4079.000000	4081.000000	BLODØKS FM	FORMATION	SHETLAND GP	1834	13	143	9999-12-31	2013-05-08
2/5-9	4083.000000	4137.000000	CROMER KNOLL GP	GROUP	\N	1834	23	\N	9999-12-31	2013-05-08
2/5-9	3259.000000	3378.000000	EKOFISK FM	FORMATION	SHETLAND GP	1834	33	143	9999-12-31	2013-05-08
2/5-9	4137.000000	4313.000000	FARSUND FM	FORMATION	TYNE GP	1834	39	177	9999-12-31	2013-05-08
2/5-9	4313.000000	5460.000000	HAUGESUND FM	FORMATION	TYNE GP	1834	57	177	9999-12-31	2013-05-08
2/5-9	4081.000000	4083.000000	HIDRA FM	FORMATION	SHETLAND GP	1834	65	143	9999-12-31	2013-05-08
2/5-9	3703.000000	4079.000000	HOD FM	FORMATION	SHETLAND GP	1834	66	143	9999-12-31	2013-05-08
2/5-9	1707.000000	3126.000000	HORDALAND GP	GROUP	\N	1834	67	\N	9999-12-31	2013-05-08
2/5-9	3195.000000	3243.000000	LISTA FM	FORMATION	ROGALAND GP	1834	95	131	9999-12-31	2013-05-08
2/5-9	91.000000	1707.000000	NORDLAND GP	GROUP	\N	1834	113	\N	9999-12-31	2013-05-08
2/5-9	3126.000000	3259.000000	ROGALAND GP	GROUP	\N	1834	131	\N	9999-12-31	2013-05-08
2/5-9	3148.000000	3195.000000	SELE FM	FORMATION	ROGALAND GP	1834	142	131	9999-12-31	2013-05-08
2/5-9	3259.000000	4083.000000	SHETLAND GP	GROUP	\N	1834	143	\N	9999-12-31	2013-05-08
2/5-9	3378.000000	3703.000000	TOR FM	FORMATION	SHETLAND GP	1834	171	143	9999-12-31	2013-05-08
2/5-9	4083.000000	4108.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1834	175	23	9999-12-31	2013-05-08
2/5-9	4137.000000	5460.000000	TYNE GP	GROUP	\N	1834	177	\N	9999-12-31	2013-05-08
2/5-9	3243.000000	3259.000000	VÅLE FM	FORMATION	ROGALAND GP	1834	190	131	9999-12-31	2013-05-08
2/5-9	4108.000000	4137.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1834	198	23	9999-12-31	2013-05-08
15/12-8 A	2251.000000	2268.000000	BALDER FM	FORMATION	ROGALAND GP	1835	6	131	9999-12-31	2013-05-08
15/12-8 A	2736.000000	2768.000000	BLODØKS FM	FORMATION	SHETLAND GP	1835	13	143	9999-12-31	2013-05-08
15/12-8 A	2768.000000	2827.000000	CROMER KNOLL GP	GROUP	\N	1835	23	\N	9999-12-31	2013-05-08
15/12-8 A	2827.000000	2838.000000	DRAUPNE FM	FORMATION	VIKING GP	1835	28	188	9999-12-31	2013-05-08
15/12-8 A	2464.000000	2496.000000	EKOFISK FM	FORMATION	SHETLAND GP	1835	33	143	9999-12-31	2013-05-08
15/12-8 A	2626.000000	2736.000000	HOD FM	FORMATION	SHETLAND GP	1835	66	143	9999-12-31	2013-05-08
15/12-8 A	1207.000000	2251.000000	HORDALAND GP	GROUP	\N	1835	67	\N	9999-12-31	2013-05-08
15/12-8 A	2333.000000	2441.000000	LISTA FM	FORMATION	ROGALAND GP	1835	95	131	9999-12-31	2013-05-08
15/12-8 A	110.000000	1207.000000	NORDLAND GP	GROUP	\N	1835	113	\N	9999-12-31	2013-05-08
15/12-8 A	2251.000000	2464.000000	ROGALAND GP	GROUP	\N	1835	131	\N	9999-12-31	2013-05-08
15/12-8 A	2768.000000	2797.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1835	137	23	9999-12-31	2013-05-08
15/12-8 A	2268.000000	2333.000000	SELE FM	FORMATION	ROGALAND GP	1835	142	131	9999-12-31	2013-05-08
15/12-8 A	2464.000000	2768.000000	SHETLAND GP	GROUP	\N	1835	143	\N	9999-12-31	2013-05-08
15/12-8 A	2856.000000	2940.000000	SKAGERRAK FM	FORMATION	HEGRE GP	1835	146	61	9999-12-31	2013-05-08
15/12-8 A	2797.000000	2827.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1835	152	23	9999-12-31	2013-05-08
15/12-8 A	2496.000000	2626.000000	TOR FM	FORMATION	SHETLAND GP	1835	171	143	9999-12-31	2013-05-08
15/12-8 A	1166.000000	1207.000000	UTSIRA FM	FORMATION	NORDLAND GP	1835	183	113	9999-12-31	2013-05-08
15/12-8 A	2838.000000	2856.000000	VESTLAND GP	GROUP	\N	1835	186	\N	9999-12-31	2013-05-08
15/12-8 A	2827.000000	2838.000000	VIKING GP	GROUP	\N	1835	188	\N	9999-12-31	2013-05-08
15/12-8 A	2441.000000	2464.000000	VÅLE FM	FORMATION	ROGALAND GP	1835	190	131	9999-12-31	2013-05-08
15/12-8 A	2856.000000	2940.000000	NO GROUP DEFINED	GROUP	\N	1835	208	\N	9999-12-31	2013-05-08
7128/6-1	2534.000000	2543.000000	BASEMENT	GROUP	\N	1836	10	\N	9999-12-31	2013-05-08
7128/6-1	2150.000000	2534.000000	BILLEFJORDEN GP	GROUP	\N	1836	11	\N	9999-12-31	2013-05-08
7128/6-1	1745.000000	1834.000000	BJARMELAND GP	GROUP	\N	1836	12	\N	9999-12-31	2013-05-08
7128/6-1	2150.000000	2202.000000	BLÆREROT FM	FORMATION	BILLEFJORDEN GP	1836	14	11	9999-12-31	2013-05-08
7128/6-1	2050.000000	2150.000000	FALK FM	FORMATION	GIPSDALEN GP	1836	36	51	9999-12-31	2013-05-08
7128/6-1	1834.000000	2150.000000	GIPSDALEN GP	GROUP	\N	1836	51	\N	9999-12-31	2013-05-08
7128/6-1	1002.000000	1623.000000	HAVERT FM	FORMATION	SASSENDALEN GP	1836	58	140	9999-12-31	2013-05-08
7128/6-1	1745.000000	1834.000000	ISBJØRN FM	FORMATION	BJARMELAND GP	1836	72	12	9999-12-31	2013-05-08
7128/6-1	734.000000	1002.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	1836	80	140	9999-12-31	2013-05-08
7128/6-1	488.000000	734.000000	KOBBE FM	FORMATION	SASSENDALEN GP	1836	83	140	9999-12-31	2013-05-08
7128/6-1	359.000000	488.000000	NORDLAND GP	GROUP	\N	1836	113	\N	9999-12-31	2013-05-08
7128/6-1	1623.000000	1745.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	1836	138	167	9999-12-31	2013-05-08
7128/6-1	488.000000	1623.000000	SASSENDALEN GP	GROUP	\N	1836	140	\N	9999-12-31	2013-05-08
7128/6-1	2358.000000	2534.000000	SOLDOGG FM	FORMATION	BILLEFJORDEN GP	1836	153	11	9999-12-31	2013-05-08
7128/6-1	1623.000000	1745.000000	TEMPELFJORDEN GP	GROUP	\N	1836	167	\N	9999-12-31	2013-05-08
7128/6-1	2202.000000	2358.000000	TETTEGRAS FM	FORMATION	BILLEFJORDEN GP	1836	168	11	9999-12-31	2013-05-08
7128/6-1	1834.000000	2050.000000	ØRN FM	FORMATION	GIPSDALEN GP	1836	195	51	9999-12-31	2013-05-08
34/7-19	1678.000000	1727.000000	BALDER FM	FORMATION	ROGALAND GP	1838	6	131	9999-12-31	2013-05-08
34/7-19	2456.000000	2658.000000	BRENT GP	GROUP	\N	1838	16	\N	9999-12-31	2013-05-08
34/7-19	2433.000000	2442.000000	CROMER KNOLL GP	GROUP	\N	1838	23	\N	9999-12-31	2013-05-08
34/7-19	2740.000000	2800.000000	COOK FM	FORMATION	DUNLIN GP	1838	24	29	9999-12-31	2013-05-08
34/7-19	2658.000000	2740.000000	DRAKE FM	FORMATION	DUNLIN GP	1838	27	29	9999-12-31	2013-05-08
34/7-19	2658.000000	2800.000000	DUNLIN GP	GROUP	\N	1838	29	\N	9999-12-31	2013-05-08
34/7-19	2528.000000	2582.000000	ETIVE FM	FORMATION	BRENT GP	1838	35	16	9999-12-31	2013-05-08
34/7-19	2442.000000	2456.000000	HEATHER FM	FORMATION	VIKING GP	1838	60	188	9999-12-31	2013-05-08
34/7-19	1080.000000	1678.000000	HORDALAND GP	GROUP	\N	1838	67	\N	9999-12-31	2013-05-08
34/7-19	1870.000000	2130.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1838	74	143	9999-12-31	2013-05-08
34/7-19	2130.000000	2433.000000	KYRRE FM	FORMATION	SHETLAND GP	1838	92	143	9999-12-31	2013-05-08
34/7-19	1727.000000	1870.000000	LISTA FM	FORMATION	ROGALAND GP	1838	95	131	9999-12-31	2013-05-08
34/7-19	2437.000000	2442.000000	MIME FM	FORMATION	CROMER KNOLL GP	1838	106	23	9999-12-31	2013-05-08
34/7-19	2500.000000	2528.000000	NESS FM	FORMATION	BRENT GP	1838	110	16	9999-12-31	2013-05-08
34/7-19	1296.000000	1334.000000	NO FORMAL NAME	FORMATION	\N	1838	111	\N	9999-12-31	2013-05-08
34/7-19	1334.000000	1448.000000	NO FORMAL NAME	FORMATION	\N	1838	111	\N	9999-12-31	2013-05-08
34/7-19	1448.000000	1486.000000	NO FORMAL NAME	FORMATION	\N	1838	111	\N	9999-12-31	2013-05-08
34/7-19	1486.000000	1678.000000	NO FORMAL NAME	FORMATION	\N	1838	111	\N	9999-12-31	2013-05-08
34/7-19	303.000000	1080.000000	NORDLAND GP	GROUP	\N	1838	113	\N	9999-12-31	2013-05-08
34/7-19	2582.000000	2658.000000	RANNOCH FM	FORMATION	BRENT GP	1838	126	16	9999-12-31	2013-05-08
34/7-19	1678.000000	1870.000000	ROGALAND GP	GROUP	\N	1838	131	\N	9999-12-31	2013-05-08
34/7-19	2433.000000	2437.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1838	137	23	9999-12-31	2013-05-08
34/7-19	1870.000000	2433.000000	SHETLAND GP	GROUP	\N	1838	143	\N	9999-12-31	2013-05-08
34/7-19	2456.000000	2500.000000	TARBERT FM	FORMATION	BRENT GP	1838	162	16	9999-12-31	2013-05-08
34/7-19	968.000000	1080.000000	UTSIRA FM	FORMATION	NORDLAND GP	1838	183	113	9999-12-31	2013-05-08
34/7-19	2442.000000	2456.000000	VIKING GP	GROUP	\N	1838	188	\N	9999-12-31	2013-05-08
1/6-6	3108.000000	3118.000000	BALDER FM	FORMATION	ROGALAND GP	1839	6	131	9999-12-31	2013-05-08
1/6-6	4651.000000	4846.000000	CROMER KNOLL GP	GROUP	\N	1839	23	\N	9999-12-31	2013-05-08
1/6-6	3306.000000	3413.000000	EKOFISK FM	FORMATION	SHETLAND GP	1839	33	143	9999-12-31	2013-05-08
1/6-6	4876.000000	5305.000000	FARSUND FM	FORMATION	TYNE GP	1839	39	177	9999-12-31	2013-05-08
1/6-6	5305.000000	5457.000000	HAUGESUND FM	FORMATION	TYNE GP	1839	57	177	9999-12-31	2013-05-08
1/6-6	3809.000000	4651.000000	HOD FM	FORMATION	SHETLAND GP	1839	66	143	9999-12-31	2013-05-08
1/6-6	1835.000000	3108.000000	HORDALAND GP	GROUP	\N	1839	67	\N	9999-12-31	2013-05-08
1/6-6	3121.000000	3306.000000	LISTA FM	FORMATION	ROGALAND GP	1839	95	131	9999-12-31	2013-05-08
1/6-6	4846.000000	4876.000000	MANDAL FM	FORMATION	TYNE GP	1839	101	177	9999-12-31	2013-05-08
1/6-6	95.000000	1835.000000	NORDLAND GP	GROUP	\N	1839	113	\N	9999-12-31	2013-05-08
1/6-6	3108.000000	3306.000000	ROGALAND GP	GROUP	\N	1839	131	\N	9999-12-31	2013-05-08
1/6-6	4651.000000	4689.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1839	137	23	9999-12-31	2013-05-08
1/6-6	3118.000000	3121.000000	SELE FM	FORMATION	ROGALAND GP	1839	142	131	9999-12-31	2013-05-08
1/6-6	3306.000000	4651.000000	SHETLAND GP	GROUP	\N	1839	143	\N	9999-12-31	2013-05-08
1/6-6	5457.000000	5565.000000	SMITH BANK FM	FORMATION	HEGRE GP	1839	149	61	9999-12-31	2013-05-08
1/6-6	4689.000000	4694.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1839	152	23	9999-12-31	2013-05-08
1/6-6	3413.000000	3809.000000	TOR FM	FORMATION	SHETLAND GP	1839	171	143	9999-12-31	2013-05-08
1/6-6	4694.000000	4746.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1839	175	23	9999-12-31	2013-05-08
1/6-6	4846.000000	5457.000000	TYNE GP	GROUP	\N	1839	177	\N	9999-12-31	2013-05-08
1/6-6	4746.000000	4846.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1839	198	23	9999-12-31	2013-05-08
1/6-6	5457.000000	5565.000000	NO GROUP DEFINED	GROUP	\N	1839	208	\N	9999-12-31	2013-05-08
6507/2-2	1680.000000	1850.000000	BRYGGE FM	FORMATION	HORDALAND GP	1840	18	67	9999-12-31	2013-05-08
6507/2-2	3720.000000	3958.000000	BÅT GP	GROUP	\N	1840	22	\N	9999-12-31	2013-05-08
6507/2-2	2818.000000	3380.000000	CROMER KNOLL GP	GROUP	\N	1840	23	\N	9999-12-31	2013-05-08
6507/2-2	3673.000000	3720.000000	FANGST GP	GROUP	\N	1840	38	\N	9999-12-31	2013-05-08
6507/2-2	3673.000000	3698.000000	GARN FM	FORMATION	FANGST GP	1840	48	38	9999-12-31	2013-05-08
6507/2-2	1680.000000	1850.000000	HORDALAND GP	GROUP	\N	1840	67	\N	9999-12-31	2013-05-08
6507/2-2	3703.000000	3720.000000	ILE FM	FORMATION	FANGST GP	1840	70	38	9999-12-31	2013-05-08
6507/2-2	1397.000000	1680.000000	KAI FM	FORMATION	NORDLAND GP	1840	77	113	9999-12-31	2013-05-08
6507/2-2	2831.000000	3380.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1840	94	23	9999-12-31	2013-05-08
6507/2-2	2818.000000	2831.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1840	99	23	9999-12-31	2013-05-08
6507/2-2	3380.000000	3673.000000	MELKE FM	FORMATION	VIKING GP	1840	105	188	9999-12-31	2013-05-08
6507/2-2	407.000000	1397.000000	NAUST FM	FORMATION	NORDLAND GP	1840	109	113	9999-12-31	2013-05-08
6507/2-2	407.000000	1680.000000	NORDLAND GP	GROUP	\N	1840	113	\N	9999-12-31	2013-05-08
6507/2-2	3698.000000	3703.000000	NOT FM	FORMATION	FANGST GP	1840	120	38	9999-12-31	2013-05-08
6507/2-2	1850.000000	1987.000000	ROGALAND GP	GROUP	\N	1840	131	\N	9999-12-31	2013-05-08
6507/2-2	3720.000000	3746.000000	ROR FM	FORMATION	BÅT GP	1840	135	22	9999-12-31	2013-05-08
6507/2-2	1987.000000	2818.000000	SHETLAND GP	GROUP	\N	1840	143	\N	9999-12-31	2013-05-08
6507/2-2	1941.000000	1987.000000	TANG FM	FORMATION	ROGALAND GP	1840	161	131	9999-12-31	2013-05-08
6507/2-2	1850.000000	1941.000000	TARE FM	FORMATION	ROGALAND GP	1840	163	131	9999-12-31	2013-05-08
6507/2-2	3770.000000	3810.000000	TILJE FM	FORMATION	BÅT GP	1840	169	22	9999-12-31	2013-05-08
6507/2-2	3746.000000	3770.000000	TOFTE FM	FORMATION	BÅT GP	1840	170	22	9999-12-31	2013-05-08
6507/2-2	3380.000000	3673.000000	VIKING GP	GROUP	\N	1840	188	\N	9999-12-31	2013-05-08
6507/2-2	3810.000000	3958.000000	ÅRE FM	FORMATION	BÅT GP	1840	197	22	9999-12-31	2013-05-08
34/8-6	1891.000000	1916.000000	BALDER FM	FORMATION	ROGALAND GP	1842	6	131	9999-12-31	2013-05-08
34/8-6	3686.000000	3880.000000	BRENT GP	GROUP	\N	1842	16	\N	9999-12-31	2013-05-08
34/8-6	3418.000000	3477.000000	CROMER KNOLL GP	GROUP	\N	1842	23	\N	9999-12-31	2013-05-08
34/8-6	3880.000000	3950.000000	DRAKE FM	FORMATION	DUNLIN GP	1842	27	29	9999-12-31	2013-05-08
34/8-6	3477.000000	3581.000000	DRAUPNE FM	FORMATION	VIKING GP	1842	28	188	9999-12-31	2013-05-08
34/8-6	3880.000000	3950.000000	DUNLIN GP	GROUP	\N	1842	29	\N	9999-12-31	2013-05-08
34/8-6	3724.000000	3757.000000	ETIVE FM	FORMATION	BRENT GP	1842	35	16	9999-12-31	2013-05-08
34/8-6	3581.000000	3686.000000	HEATHER FM	FORMATION	VIKING GP	1842	60	188	9999-12-31	2013-05-08
34/8-6	1178.000000	1891.000000	HORDALAND GP	GROUP	\N	1842	67	\N	9999-12-31	2013-05-08
34/8-6	2145.000000	2340.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1842	74	143	9999-12-31	2013-05-08
34/8-6	2340.000000	3352.000000	KYRRE FM	FORMATION	SHETLAND GP	1842	92	143	9999-12-31	2013-05-08
34/8-6	1925.000000	2127.000000	LISTA FM	FORMATION	ROGALAND GP	1842	95	131	9999-12-31	2013-05-08
34/8-6	3468.000000	3477.000000	MIME FM	FORMATION	CROMER KNOLL GP	1842	106	23	9999-12-31	2013-05-08
34/8-6	3706.000000	3724.000000	NESS FM	FORMATION	BRENT GP	1842	110	16	9999-12-31	2013-05-08
34/8-6	1402.000000	1421.000000	NO FORMAL NAME	FORMATION	\N	1842	111	\N	9999-12-31	2013-05-08
34/8-6	1421.000000	1891.000000	NO FORMAL NAME	FORMATION	\N	1842	111	\N	9999-12-31	2013-05-08
34/8-6	400.000000	1178.000000	NORDLAND GP	GROUP	\N	1842	113	\N	9999-12-31	2013-05-08
34/8-6	3757.000000	3880.000000	RANNOCH FM	FORMATION	BRENT GP	1842	126	16	9999-12-31	2013-05-08
34/8-6	1891.000000	2145.000000	ROGALAND GP	GROUP	\N	1842	131	\N	9999-12-31	2013-05-08
34/8-6	1916.000000	1925.000000	SELE FM	FORMATION	ROGALAND GP	1842	142	131	9999-12-31	2013-05-08
34/8-6	2145.000000	3418.000000	SHETLAND GP	GROUP	\N	1842	143	\N	9999-12-31	2013-05-08
34/8-6	3418.000000	3440.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1842	152	23	9999-12-31	2013-05-08
34/8-6	3686.000000	3706.000000	TARBERT FM	FORMATION	BRENT GP	1842	162	16	9999-12-31	2013-05-08
34/8-6	3352.000000	3418.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1842	173	143	9999-12-31	2013-05-08
34/8-6	1055.000000	1178.000000	UTSIRA FM	FORMATION	NORDLAND GP	1842	183	113	9999-12-31	2013-05-08
34/8-6	3477.000000	3686.000000	VIKING GP	GROUP	\N	1842	188	\N	9999-12-31	2013-05-08
34/8-6	2127.000000	2145.000000	VÅLE FM	FORMATION	ROGALAND GP	1842	190	131	9999-12-31	2013-05-08
34/8-6	3440.000000	3468.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1842	198	23	9999-12-31	2013-05-08
2/2-5	2746.000000	2778.000000	BALDER FM	FORMATION	ROGALAND GP	1846	6	131	9999-12-31	2013-05-08
2/2-5	3262.000000	3418.000000	CROMER KNOLL GP	GROUP	\N	1846	23	\N	9999-12-31	2013-05-08
2/2-5	2947.000000	3009.000000	EKOFISK FM	FORMATION	SHETLAND GP	1846	33	143	9999-12-31	2013-05-08
2/2-5	3426.000000	3538.000000	FARSUND FM	FORMATION	TYNE GP	1846	39	177	9999-12-31	2013-05-08
2/2-5	3204.000000	3262.000000	HOD FM	FORMATION	SHETLAND GP	1846	66	143	9999-12-31	2013-05-08
2/2-5	1608.000000	2746.000000	HORDALAND GP	GROUP	\N	1846	67	\N	9999-12-31	2013-05-08
2/2-5	2836.000000	2898.000000	LISTA FM	FORMATION	ROGALAND GP	1846	95	131	9999-12-31	2013-05-08
2/2-5	3418.000000	3426.000000	MANDAL FM	FORMATION	TYNE GP	1846	101	177	9999-12-31	2013-05-08
2/2-5	89.000000	1608.000000	NORDLAND GP	GROUP	\N	1846	113	\N	9999-12-31	2013-05-08
2/2-5	2746.000000	2947.000000	ROGALAND GP	GROUP	\N	1846	131	\N	9999-12-31	2013-05-08
2/2-5	3262.000000	3281.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1846	137	23	9999-12-31	2013-05-08
2/2-5	2778.000000	2836.000000	SELE FM	FORMATION	ROGALAND GP	1846	142	131	9999-12-31	2013-05-08
2/2-5	2947.000000	3262.000000	SHETLAND GP	GROUP	\N	1846	143	\N	9999-12-31	2013-05-08
2/2-5	3009.000000	3204.000000	TOR FM	FORMATION	SHETLAND GP	1846	171	143	9999-12-31	2013-05-08
2/2-5	3281.000000	3285.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1846	175	23	9999-12-31	2013-05-08
2/2-5	3418.000000	3538.000000	TYNE GP	GROUP	\N	1846	177	\N	9999-12-31	2013-05-08
2/2-5	3538.000000	3989.000000	ULA FM	FORMATION	VESTLAND GP	1846	179	186	9999-12-31	2013-05-08
2/2-5	2184.000000	2746.000000	VADE FM	FORMATION	HORDALAND GP	1846	184	67	9999-12-31	2013-05-08
2/2-5	3538.000000	3989.000000	VESTLAND GP	GROUP	\N	1846	186	\N	9999-12-31	2013-05-08
2/2-5	2898.000000	2947.000000	VÅLE FM	FORMATION	ROGALAND GP	1846	190	131	9999-12-31	2013-05-08
2/2-5	4079.000000	4082.000000	ZECHSTEIN GP	GROUP	\N	1846	194	\N	9999-12-31	2013-05-08
2/2-5	3285.000000	3418.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1846	198	23	9999-12-31	2013-05-08
2/2-5	3989.000000	4079.000000	NO GROUP DEFINED	GROUP	\N	1846	208	\N	9999-12-31	2013-05-08
6407/8-1	1190.000000	1876.000000	BRYGGE FM	FORMATION	HORDALAND GP	1859	18	67	9999-12-31	2013-05-08
6407/8-1	2870.000000	4094.000000	CROMER KNOLL GP	GROUP	\N	1859	23	\N	9999-12-31	2013-05-08
6407/8-1	1190.000000	1876.000000	HORDALAND GP	GROUP	\N	1859	67	\N	9999-12-31	2013-05-08
6407/8-1	1110.000000	1190.000000	KAI FM	FORMATION	NORDLAND GP	1859	77	113	9999-12-31	2013-05-08
6407/8-1	2612.000000	2870.000000	KVITNOS FM	FORMATION	SHETLAND GP	1859	91	143	9999-12-31	2013-05-08
6407/8-1	2870.000000	4062.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1859	94	23	9999-12-31	2013-05-08
6407/8-1	4062.000000	4094.000000	LYR FM	FORMATION	CROMER KNOLL GP	1859	98	23	9999-12-31	2013-05-08
6407/8-1	4306.000000	4650.000000	MELKE FM	FORMATION	VIKING GP	1859	105	188	9999-12-31	2013-05-08
6407/8-1	307.000000	1110.000000	NAUST FM	FORMATION	NORDLAND GP	1859	109	113	9999-12-31	2013-05-08
6407/8-1	2283.000000	2612.000000	NISE FM	FORMATION	SHETLAND GP	1859	112	143	9999-12-31	2013-05-08
6407/8-1	307.000000	1190.000000	NORDLAND GP	GROUP	\N	1859	113	\N	9999-12-31	2013-05-08
6407/8-1	1876.000000	2137.000000	ROGALAND GP	GROUP	\N	1859	131	\N	9999-12-31	2013-05-08
6407/8-1	2137.000000	2870.000000	SHETLAND GP	GROUP	\N	1859	143	\N	9999-12-31	2013-05-08
6407/8-1	4094.000000	4306.000000	SPEKK FM	FORMATION	VIKING GP	1859	155	188	9999-12-31	2013-05-08
6407/8-1	2137.000000	2283.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1859	156	143	9999-12-31	2013-05-08
6407/8-1	1931.000000	2137.000000	TANG FM	FORMATION	ROGALAND GP	1859	161	131	9999-12-31	2013-05-08
6407/8-1	1876.000000	1931.000000	TARE FM	FORMATION	ROGALAND GP	1859	163	131	9999-12-31	2013-05-08
6407/8-1	4094.000000	4650.000000	VIKING GP	GROUP	\N	1859	188	\N	9999-12-31	2013-05-08
2/7-21 SR	3072.000000	3093.000000	BALDER FM	FORMATION	ROGALAND GP	1861	6	131	9999-12-31	2013-05-08
2/7-21 SR	4166.000000	4172.000000	BLODØKS FM	FORMATION	SHETLAND GP	1861	13	143	9999-12-31	2013-05-08
2/7-21 SR	4209.000000	4307.000000	CROMER KNOLL GP	GROUP	\N	1861	23	\N	9999-12-31	2013-05-08
2/7-21 SR	3238.000000	3325.000000	EKOFISK FM	FORMATION	SHETLAND GP	1861	33	143	9999-12-31	2013-05-08
2/7-21 SR	4172.000000	4209.000000	HIDRA FM	FORMATION	SHETLAND GP	1861	65	143	9999-12-31	2013-05-08
2/7-21 SR	3607.000000	4166.000000	HOD FM	FORMATION	SHETLAND GP	1861	66	143	9999-12-31	2013-05-08
2/7-21 SR	1606.000000	3072.000000	HORDALAND GP	GROUP	\N	1861	67	\N	9999-12-31	2013-05-08
2/7-21 SR	3146.000000	3204.000000	LISTA FM	FORMATION	ROGALAND GP	1861	95	131	9999-12-31	2013-05-08
2/7-21 SR	100.000000	1606.000000	NORDLAND GP	GROUP	\N	1861	113	\N	9999-12-31	2013-05-08
2/7-21 SR	3072.000000	3238.000000	ROGALAND GP	GROUP	\N	1861	131	\N	9999-12-31	2013-05-08
2/7-21 SR	4209.000000	4307.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1861	137	23	9999-12-31	2013-05-08
2/7-21 SR	3093.000000	3146.000000	SELE FM	FORMATION	ROGALAND GP	1861	142	131	9999-12-31	2013-05-08
2/7-21 SR	3238.000000	4209.000000	SHETLAND GP	GROUP	\N	1861	143	\N	9999-12-31	2013-05-08
2/7-21 SR	3325.000000	3607.000000	TOR FM	FORMATION	SHETLAND GP	1861	171	143	9999-12-31	2013-05-08
2/7-21 SR	3204.000000	3238.000000	VÅLE FM	FORMATION	ROGALAND GP	1861	190	131	9999-12-31	2013-05-08
2/7-21 SR	4307.000000	5046.000000	NO GROUP DEFINED	GROUP	\N	1861	208	\N	9999-12-31	2013-05-08
6610/3-1	555.000000	1366.000000	BRYGGE FM	FORMATION	HORDALAND GP	1864	18	67	9999-12-31	2013-05-08
6610/3-1	2504.000000	3126.000000	CROMER KNOLL GP	GROUP	\N	1864	23	\N	9999-12-31	2013-05-08
6610/3-1	555.000000	1366.000000	HORDALAND GP	GROUP	\N	1864	67	\N	9999-12-31	2013-05-08
6610/3-1	2543.000000	2655.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1864	94	23	9999-12-31	2013-05-08
6610/3-1	2691.000000	2889.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1864	94	23	9999-12-31	2013-05-08
6610/3-1	3050.000000	3126.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1864	94	23	9999-12-31	2013-05-08
6610/3-1	2504.000000	2543.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1864	99	23	9999-12-31	2013-05-08
6610/3-1	2655.000000	2691.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1864	99	23	9999-12-31	2013-05-08
6610/3-1	332.000000	349.000000	NAUST FM	FORMATION	NORDLAND GP	1864	109	113	9999-12-31	2013-05-08
6610/3-1	1556.000000	1585.000000	NO FORMAL NAME	FORMATION	\N	1864	111	\N	9999-12-31	2013-05-08
6610/3-1	1640.000000	1805.000000	NO FORMAL NAME	FORMATION	\N	1864	111	\N	9999-12-31	2013-05-08
6610/3-1	2282.000000	2322.000000	NO FORMAL NAME	FORMATION	\N	1864	111	\N	9999-12-31	2013-05-08
6610/3-1	2889.000000	3050.000000	NO FORMAL NAME	FORMATION	\N	1864	111	\N	9999-12-31	2013-05-08
6610/3-1	2039.000000	2282.000000	NISE FM	FORMATION	SHETLAND GP	1864	112	143	9999-12-31	2013-05-08
6610/3-1	2322.000000	2504.000000	NISE FM	FORMATION	SHETLAND GP	1864	112	143	9999-12-31	2013-05-08
6610/3-1	332.000000	555.000000	NORDLAND GP	GROUP	\N	1864	113	\N	9999-12-31	2013-05-08
6610/3-1	1366.000000	1840.000000	ROGALAND GP	GROUP	\N	1864	131	\N	9999-12-31	2013-05-08
6610/3-1	1840.000000	2504.000000	SHETLAND GP	GROUP	\N	1864	143	\N	9999-12-31	2013-05-08
6610/3-1	1840.000000	2039.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1864	156	143	9999-12-31	2013-05-08
6610/3-1	1472.000000	1556.000000	TANG FM	FORMATION	ROGALAND GP	1864	161	131	9999-12-31	2013-05-08
6610/3-1	1585.000000	1640.000000	TANG FM	FORMATION	ROGALAND GP	1864	161	131	9999-12-31	2013-05-08
6610/3-1	1805.000000	1840.000000	TANG FM	FORMATION	ROGALAND GP	1864	161	131	9999-12-31	2013-05-08
6610/3-1	1366.000000	1472.000000	TARE FM	FORMATION	ROGALAND GP	1864	163	131	9999-12-31	2013-05-08
6610/3-1	349.000000	555.000000	MOLO FM	FORMATION	NORDLAND GP	1864	209	113	9999-12-31	2013-05-08
2/1-10	2977.000000	3003.000000	BALDER FM	FORMATION	ROGALAND GP	1865	6	131	9999-12-31	2013-05-08
2/1-10	3789.000000	3822.000000	BLODØKS FM	FORMATION	SHETLAND GP	1865	13	143	9999-12-31	2013-05-08
2/1-10	3852.000000	4127.000000	CROMER KNOLL GP	GROUP	\N	1865	23	\N	9999-12-31	2013-05-08
2/1-10	3221.000000	3323.000000	EKOFISK FM	FORMATION	SHETLAND GP	1865	33	143	9999-12-31	2013-05-08
2/1-10	4156.000000	4189.000000	FARSUND FM	FORMATION	TYNE GP	1865	39	177	9999-12-31	2013-05-08
2/1-10	4322.000000	4347.000000	FARSUND FM	FORMATION	TYNE GP	1865	39	177	9999-12-31	2013-05-08
2/1-10	4347.000000	4435.000000	HAUGESUND FM	FORMATION	TYNE GP	1865	57	177	9999-12-31	2013-05-08
2/1-10	3822.000000	3852.000000	HIDRA FM	FORMATION	SHETLAND GP	1865	65	143	9999-12-31	2013-05-08
2/1-10	3607.000000	3789.000000	HOD FM	FORMATION	SHETLAND GP	1865	66	143	9999-12-31	2013-05-08
2/1-10	1712.000000	2977.000000	HORDALAND GP	GROUP	\N	1865	67	\N	9999-12-31	2013-05-08
2/1-10	3015.000000	3168.000000	LISTA FM	FORMATION	ROGALAND GP	1865	95	131	9999-12-31	2013-05-08
2/1-10	4127.000000	4156.000000	MANDAL FM	FORMATION	TYNE GP	1865	101	177	9999-12-31	2013-05-08
2/1-10	89.000000	1712.000000	NORDLAND GP	GROUP	\N	1865	113	\N	9999-12-31	2013-05-08
2/1-10	2977.000000	3221.000000	ROGALAND GP	GROUP	\N	1865	131	\N	9999-12-31	2013-05-08
2/1-10	3852.000000	3889.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1865	137	23	9999-12-31	2013-05-08
2/1-10	3003.000000	3015.000000	SELE FM	FORMATION	ROGALAND GP	1865	142	131	9999-12-31	2013-05-08
2/1-10	3221.000000	3852.000000	SHETLAND GP	GROUP	\N	1865	143	\N	9999-12-31	2013-05-08
2/1-10	4435.000000	4525.000000	SKAGERRAK FM	FORMATION	HEGRE GP	1865	146	61	9999-12-31	2013-05-08
2/1-10	3889.000000	3914.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1865	152	23	9999-12-31	2013-05-08
2/1-10	3323.000000	3607.000000	TOR FM	FORMATION	SHETLAND GP	1865	171	143	9999-12-31	2013-05-08
2/1-10	3914.000000	3964.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1865	175	23	9999-12-31	2013-05-08
2/1-10	4127.000000	4189.000000	TYNE GP	GROUP	\N	1865	177	\N	9999-12-31	2013-05-08
2/1-10	4322.000000	4435.000000	TYNE GP	GROUP	\N	1865	177	\N	9999-12-31	2013-05-08
2/1-10	4189.000000	4322.000000	ULA FM	FORMATION	VESTLAND GP	1865	179	186	9999-12-31	2013-05-08
2/1-10	4189.000000	4322.000000	VESTLAND GP	GROUP	\N	1865	186	\N	9999-12-31	2013-05-08
2/1-10	3168.000000	3221.000000	VÅLE FM	FORMATION	ROGALAND GP	1865	190	131	9999-12-31	2013-05-08
2/1-10	3964.000000	4127.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1865	198	23	9999-12-31	2013-05-08
2/1-10	4435.000000	4525.000000	NO GROUP DEFINED	GROUP	\N	1865	208	\N	9999-12-31	2013-05-08
2/1-9 A	2898.000000	2915.000000	BALDER FM	FORMATION	ROGALAND GP	1867	6	131	9999-12-31	2013-05-08
2/1-9 A	3788.000000	3799.000000	BLODØKS FM	FORMATION	SHETLAND GP	1867	13	143	9999-12-31	2013-05-08
2/1-9 A	3819.000000	4068.000000	CROMER KNOLL GP	GROUP	\N	1867	23	\N	9999-12-31	2013-05-08
2/1-9 A	3168.000000	3256.000000	EKOFISK FM	FORMATION	SHETLAND GP	1867	33	143	9999-12-31	2013-05-08
2/1-9 A	4084.000000	4099.000000	FARSUND FM	FORMATION	TYNE GP	1867	39	177	9999-12-31	2013-05-08
2/1-9 A	2923.000000	2982.000000	FORTIES FM	FORMATION	ROGALAND GP	1867	44	131	9999-12-31	2013-05-08
2/1-9 A	3799.000000	3819.000000	HIDRA FM	FORMATION	SHETLAND GP	1867	65	143	9999-12-31	2013-05-08
2/1-9 A	3618.000000	3788.000000	HOD FM	FORMATION	SHETLAND GP	1867	66	143	9999-12-31	2013-05-08
2/1-9 A	1814.000000	2898.000000	HORDALAND GP	GROUP	\N	1867	67	\N	9999-12-31	2013-05-08
2/1-9 A	2982.000000	3055.000000	LISTA FM	FORMATION	ROGALAND GP	1867	95	131	9999-12-31	2013-05-08
2/1-9 A	3143.000000	3159.000000	LISTA FM	FORMATION	ROGALAND GP	1867	95	131	9999-12-31	2013-05-08
2/1-9 A	4068.000000	4084.000000	MANDAL FM	FORMATION	TYNE GP	1867	101	177	9999-12-31	2013-05-08
2/1-9 A	89.000000	1814.000000	NORDLAND GP	GROUP	\N	1867	113	\N	9999-12-31	2013-05-08
2/1-9 A	2898.000000	3168.000000	ROGALAND GP	GROUP	\N	1867	131	\N	9999-12-31	2013-05-08
2/1-9 A	3819.000000	3870.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1867	137	23	9999-12-31	2013-05-08
2/1-9 A	2915.000000	2923.000000	SELE FM	FORMATION	ROGALAND GP	1867	142	131	9999-12-31	2013-05-08
2/1-9 A	3168.000000	3819.000000	SHETLAND GP	GROUP	\N	1867	143	\N	9999-12-31	2013-05-08
2/1-9 A	3870.000000	3881.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1867	152	23	9999-12-31	2013-05-08
2/1-9 A	3256.000000	3618.000000	TOR FM	FORMATION	SHETLAND GP	1867	171	143	9999-12-31	2013-05-08
2/1-9 A	3881.000000	3900.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1867	175	23	9999-12-31	2013-05-08
2/1-9 A	4068.000000	4099.000000	TYNE GP	GROUP	\N	1867	177	\N	9999-12-31	2013-05-08
2/1-9 A	4099.000000	4379.000000	ULA FM	FORMATION	VESTLAND GP	1867	179	186	9999-12-31	2013-05-08
2/1-9 A	4099.000000	4379.000000	VESTLAND GP	GROUP	\N	1867	186	\N	9999-12-31	2013-05-08
2/1-9 A	3055.000000	3143.000000	VIDAR FM	FORMATION	ROGALAND GP	1867	187	131	9999-12-31	2013-05-08
2/1-9 A	3159.000000	3168.000000	VÅLE FM	FORMATION	ROGALAND GP	1867	190	131	9999-12-31	2013-05-08
2/1-9 A	3900.000000	4068.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1867	198	23	9999-12-31	2013-05-08
7/7-2	2471.000000	2510.000000	BALDER FM	FORMATION	ROGALAND GP	1868	6	131	9999-12-31	2013-05-08
7/7-2	3106.000000	3240.000000	CROMER KNOLL GP	GROUP	\N	1868	23	\N	9999-12-31	2013-05-08
7/7-2	2723.000000	2854.000000	EKOFISK FM	FORMATION	SHETLAND GP	1868	33	143	9999-12-31	2013-05-08
7/7-2	3282.000000	3327.000000	FARSUND FM	FORMATION	TYNE GP	1868	39	177	9999-12-31	2013-05-08
7/7-2	2975.000000	3106.000000	HOD FM	FORMATION	SHETLAND GP	1868	66	143	9999-12-31	2013-05-08
7/7-2	1179.000000	2471.000000	HORDALAND GP	GROUP	\N	1868	67	\N	9999-12-31	2013-05-08
7/7-2	2665.000000	2723.000000	LISTA FM	FORMATION	ROGALAND GP	1868	95	131	9999-12-31	2013-05-08
7/7-2	3240.000000	3282.000000	MANDAL FM	FORMATION	TYNE GP	1868	101	177	9999-12-31	2013-05-08
7/7-2	105.000000	1179.000000	NORDLAND GP	GROUP	\N	1868	113	\N	9999-12-31	2013-05-08
7/7-2	2471.000000	2723.000000	ROGALAND GP	GROUP	\N	1868	131	\N	9999-12-31	2013-05-08
7/7-2	3106.000000	3126.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1868	137	23	9999-12-31	2013-05-08
7/7-2	2510.000000	2665.000000	SELE FM	FORMATION	ROGALAND GP	1868	142	131	9999-12-31	2013-05-08
7/7-2	2723.000000	3106.000000	SHETLAND GP	GROUP	\N	1868	143	\N	9999-12-31	2013-05-08
7/7-2	3347.000000	3388.000000	SMITH BANK FM	FORMATION	HEGRE GP	1868	149	61	9999-12-31	2013-05-08
7/7-2	3126.000000	3140.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1868	152	23	9999-12-31	2013-05-08
7/7-2	2854.000000	2975.000000	TOR FM	FORMATION	SHETLAND GP	1868	171	143	9999-12-31	2013-05-08
7/7-2	3140.000000	3153.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1868	175	23	9999-12-31	2013-05-08
7/7-2	3240.000000	3327.000000	TYNE GP	GROUP	\N	1868	177	\N	9999-12-31	2013-05-08
7/7-2	3327.000000	3347.000000	ULA FM	FORMATION	VESTLAND GP	1868	179	186	9999-12-31	2013-05-08
7/7-2	3327.000000	3347.000000	VESTLAND GP	GROUP	\N	1868	186	\N	9999-12-31	2013-05-08
7/7-2	3388.000000	3430.000000	ZECHSTEIN GP	GROUP	\N	1868	194	\N	9999-12-31	2013-05-08
7/7-2	3153.000000	3240.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1868	198	23	9999-12-31	2013-05-08
7/7-2	3347.000000	3388.000000	NO GROUP DEFINED	GROUP	\N	1868	208	\N	9999-12-31	2013-05-08
7122/4-1	910.000000	2326.000000	ADVENTDALEN GP	GROUP	\N	1869	1	\N	9999-12-31	2013-05-08
7122/4-1	2464.000000	2635.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	1869	46	79	9999-12-31	2013-05-08
7122/4-1	2297.000000	2326.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	1869	47	1	9999-12-31	2013-05-08
7122/4-1	2225.000000	2297.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	1869	63	1	9999-12-31	2013-05-08
7122/4-1	2326.000000	3015.000000	KAPP TOSCANA GP	GROUP	\N	1869	79	\N	9999-12-31	2013-05-08
7122/4-1	2112.000000	2225.000000	KNURR FM	FORMATION	ADVENTDALEN GP	1869	82	1	9999-12-31	2013-05-08
7122/4-1	1887.000000	2112.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	1869	84	1	9999-12-31	2013-05-08
7122/4-1	910.000000	1887.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	1869	85	1	9999-12-31	2013-05-08
7122/4-1	820.000000	910.000000	KVITING FM	FORMATION	NYGRUNNEN GP	1869	90	122	9999-12-31	2013-05-08
7122/4-1	368.000000	500.000000	NORDLAND GP	GROUP	\N	1869	113	\N	9999-12-31	2013-05-08
7122/4-1	2386.000000	2430.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	1869	118	79	9999-12-31	2013-05-08
7122/4-1	820.000000	910.000000	NYGRUNNEN GP	GROUP	\N	1869	122	\N	9999-12-31	2013-05-08
7122/4-1	2635.000000	3015.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	1869	150	79	9999-12-31	2013-05-08
7122/4-1	500.000000	820.000000	SOTBAKKEN GP	GROUP	\N	1869	154	\N	9999-12-31	2013-05-08
7122/4-1	2326.000000	2386.000000	STØ FM	FORMATION	KAPP TOSCANA GP	1869	159	79	9999-12-31	2013-05-08
7122/4-1	500.000000	820.000000	TORSK FM	FORMATION	SOTBAKKEN GP	1869	172	154	9999-12-31	2013-05-08
7122/4-1	2430.000000	2464.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	1869	174	79	9999-12-31	2013-05-08
25/11-15	1660.000000	1674.000000	BALDER FM	FORMATION	ROGALAND GP	1872	6	131	9999-12-31	2013-05-08
25/11-15	1893.000000	1904.000000	BLODØKS FM	FORMATION	SHETLAND GP	1872	13	143	9999-12-31	2013-05-08
25/11-15	1926.000000	1978.000000	CROMER KNOLL GP	GROUP	\N	1872	23	\N	9999-12-31	2013-05-08
25/11-15	1978.000000	1983.000000	DRAUPNE FM	FORMATION	VIKING GP	1872	28	188	9999-12-31	2013-05-08
25/11-15	1491.000000	1506.000000	GRID FM	FORMATION	HORDALAND GP	1872	53	67	9999-12-31	2013-05-08
25/11-15	1734.000000	1798.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1872	62	131	9999-12-31	2013-05-08
25/11-15	1904.000000	1926.000000	HIDRA FM	FORMATION	SHETLAND GP	1872	65	143	9999-12-31	2013-05-08
25/11-15	1867.000000	1893.000000	HOD FM	FORMATION	SHETLAND GP	1872	66	143	9999-12-31	2013-05-08
25/11-15	798.000000	1660.000000	HORDALAND GP	GROUP	\N	1872	67	\N	9999-12-31	2013-05-08
25/11-15	1678.000000	1734.000000	LISTA FM	FORMATION	ROGALAND GP	1872	95	131	9999-12-31	2013-05-08
25/11-15	1798.000000	1807.000000	LISTA FM	FORMATION	ROGALAND GP	1872	95	131	9999-12-31	2013-05-08
25/11-15	750.000000	798.000000	NO FORMAL NAME	FORMATION	\N	1872	111	\N	9999-12-31	2013-05-08
25/11-15	1018.000000	1032.000000	NO FORMAL NAME	FORMATION	\N	1872	111	\N	9999-12-31	2013-05-08
25/11-15	1108.000000	1491.000000	NO FORMAL NAME	FORMATION	\N	1872	111	\N	9999-12-31	2013-05-08
25/11-15	1506.000000	1660.000000	NO FORMAL NAME	FORMATION	\N	1872	111	\N	9999-12-31	2013-05-08
25/11-15	151.000000	798.000000	NORDLAND GP	GROUP	\N	1872	113	\N	9999-12-31	2013-05-08
25/11-15	1660.000000	1818.000000	ROGALAND GP	GROUP	\N	1872	131	\N	9999-12-31	2013-05-08
25/11-15	1926.000000	1942.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1872	137	23	9999-12-31	2013-05-08
25/11-15	1674.000000	1678.000000	SELE FM	FORMATION	ROGALAND GP	1872	142	131	9999-12-31	2013-05-08
25/11-15	1818.000000	1926.000000	SHETLAND GP	GROUP	\N	1872	143	\N	9999-12-31	2013-05-08
25/11-15	798.000000	1018.000000	SKADE FM	FORMATION	HORDALAND GP	1872	145	67	9999-12-31	2013-05-08
25/11-15	1032.000000	1108.000000	SKADE FM	FORMATION	HORDALAND GP	1872	145	67	9999-12-31	2013-05-08
25/11-15	1942.000000	1954.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1872	152	23	9999-12-31	2013-05-08
25/11-15	1983.000000	2035.000000	STATFJORD FM	FORMATION	\N	1872	157	\N	9999-12-31	2013-05-08
25/11-15	1818.000000	1867.000000	TOR FM	FORMATION	SHETLAND GP	1872	171	143	9999-12-31	2013-05-08
25/11-15	652.000000	750.000000	UTSIRA FM	FORMATION	NORDLAND GP	1872	183	113	9999-12-31	2013-05-08
25/11-15	1978.000000	1983.000000	VIKING GP	GROUP	\N	1872	188	\N	9999-12-31	2013-05-08
25/11-15	1807.000000	1818.000000	VÅLE FM	FORMATION	ROGALAND GP	1872	190	131	9999-12-31	2013-05-08
25/11-15	1954.000000	1978.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1872	198	23	9999-12-31	2013-05-08
25/11-15	1983.000000	2035.000000	NO GROUP DEFINED	GROUP	\N	1872	208	\N	9999-12-31	2013-05-08
34/10-35	4116.000000	4239.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1874	4	29	9999-12-31	2013-05-08
34/10-35	1872.000000	1930.000000	BALDER FM	FORMATION	ROGALAND GP	1874	6	131	9999-12-31	2013-05-08
34/10-35	3913.000000	3942.000000	BRENT GP	GROUP	\N	1874	16	\N	9999-12-31	2013-05-08
34/10-35	4048.000000	4116.000000	BURTON FM	FORMATION	DUNLIN GP	1874	20	29	9999-12-31	2013-05-08
34/10-35	3635.000000	3791.000000	CROMER KNOLL GP	GROUP	\N	1874	23	\N	9999-12-31	2013-05-08
34/10-35	3965.000000	4048.000000	COOK FM	FORMATION	DUNLIN GP	1874	24	29	9999-12-31	2013-05-08
34/10-35	3942.000000	3965.000000	DRAKE FM	FORMATION	DUNLIN GP	1874	27	29	9999-12-31	2013-05-08
34/10-35	3791.000000	3877.000000	DRAUPNE FM	FORMATION	VIKING GP	1874	28	188	9999-12-31	2013-05-08
34/10-35	3942.000000	4239.000000	DUNLIN GP	GROUP	\N	1874	29	\N	9999-12-31	2013-05-08
34/10-35	3877.000000	3913.000000	HEATHER FM	FORMATION	VIKING GP	1874	60	188	9999-12-31	2013-05-08
34/10-35	962.000000	1872.000000	HORDALAND GP	GROUP	\N	1874	67	\N	9999-12-31	2013-05-08
34/10-35	1938.000000	2080.000000	LISTA FM	FORMATION	ROGALAND GP	1874	95	131	9999-12-31	2013-05-08
34/10-35	3913.000000	3942.000000	NESS FM	FORMATION	BRENT GP	1874	110	16	9999-12-31	2013-05-08
34/10-35	159.000000	962.000000	NORDLAND GP	GROUP	\N	1874	113	\N	9999-12-31	2013-05-08
34/10-35	1872.000000	2097.000000	ROGALAND GP	GROUP	\N	1874	131	\N	9999-12-31	2013-05-08
34/10-35	1930.000000	1938.000000	SELE FM	FORMATION	ROGALAND GP	1874	142	131	9999-12-31	2013-05-08
34/10-35	2097.000000	3635.000000	SHETLAND GP	GROUP	\N	1874	143	\N	9999-12-31	2013-05-08
34/10-35	4239.000000	4310.000000	STATFJORD FM	FORMATION	\N	1874	157	\N	9999-12-31	2013-05-08
34/10-35	753.000000	962.000000	UTSIRA FM	FORMATION	NORDLAND GP	1874	183	113	9999-12-31	2013-05-08
34/10-35	3791.000000	3913.000000	VIKING GP	GROUP	\N	1874	188	\N	9999-12-31	2013-05-08
34/10-35	2080.000000	2097.000000	VÅLE FM	FORMATION	ROGALAND GP	1874	190	131	9999-12-31	2013-05-08
34/10-35	4239.000000	4310.000000	NO GROUP DEFINED	GROUP	\N	1874	208	\N	9999-12-31	2013-05-08
2/7-20 R	2933.000000	2948.000000	BALDER FM	FORMATION	ROGALAND GP	1875	6	131	9999-12-31	2013-05-08
2/7-20 R	3896.000000	3903.000000	BLODØKS FM	FORMATION	SHETLAND GP	1875	13	143	9999-12-31	2013-05-08
2/7-20 R	3962.000000	4057.000000	CROMER KNOLL GP	GROUP	\N	1875	23	\N	9999-12-31	2013-05-08
2/7-20 R	3063.000000	3143.000000	EKOFISK FM	FORMATION	SHETLAND GP	1875	33	143	9999-12-31	2013-05-08
2/7-20 R	3903.000000	3962.000000	HIDRA FM	FORMATION	SHETLAND GP	1875	65	143	9999-12-31	2013-05-08
2/7-20 R	3436.000000	3896.000000	HOD FM	FORMATION	SHETLAND GP	1875	66	143	9999-12-31	2013-05-08
2/7-20 R	1599.000000	2933.000000	HORDALAND GP	GROUP	\N	1875	67	\N	9999-12-31	2013-05-08
2/7-20 R	2998.000000	3051.000000	LISTA FM	FORMATION	ROGALAND GP	1875	95	131	9999-12-31	2013-05-08
2/7-20 R	4057.000000	4058.000000	MANDAL FM	FORMATION	TYNE GP	1875	101	177	9999-12-31	2013-05-08
2/7-20 R	93.000000	1599.000000	NORDLAND GP	GROUP	\N	1875	113	\N	9999-12-31	2013-05-08
2/7-20 R	2933.000000	3063.000000	ROGALAND GP	GROUP	\N	1875	131	\N	9999-12-31	2013-05-08
2/7-20 R	3962.000000	4057.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1875	137	23	9999-12-31	2013-05-08
2/7-20 R	2948.000000	2998.000000	SELE FM	FORMATION	ROGALAND GP	1875	142	131	9999-12-31	2013-05-08
2/7-20 R	3063.000000	3962.000000	SHETLAND GP	GROUP	\N	1875	143	\N	9999-12-31	2013-05-08
2/7-20 R	3143.000000	3436.000000	TOR FM	FORMATION	SHETLAND GP	1875	171	143	9999-12-31	2013-05-08
2/7-20 R	4057.000000	4058.000000	TYNE GP	GROUP	\N	1875	177	\N	9999-12-31	2013-05-08
2/7-20 R	3051.000000	3063.000000	VÅLE FM	FORMATION	ROGALAND GP	1875	190	131	9999-12-31	2013-05-08
2/7-20 R	4058.000000	4505.000000	UNDEFINED GP	GROUP	\N	1875	191	\N	9999-12-31	2013-05-08
2/7-27 S	3007.000000	3027.000000	BALDER FM	FORMATION	ROGALAND GP	1878	6	131	9999-12-31	2013-05-08
2/7-27 S	4161.000000	4170.000000	BLODØKS FM	FORMATION	SHETLAND GP	1878	13	143	9999-12-31	2013-05-08
2/7-27 S	4238.000000	4476.000000	CROMER KNOLL GP	GROUP	\N	1878	23	\N	9999-12-31	2013-05-08
2/7-27 S	3167.000000	3255.000000	EKOFISK FM	FORMATION	SHETLAND GP	1878	33	143	9999-12-31	2013-05-08
2/7-27 S	4170.000000	4238.000000	HIDRA FM	FORMATION	SHETLAND GP	1878	65	143	9999-12-31	2013-05-08
2/7-27 S	3523.000000	4161.000000	HOD FM	FORMATION	SHETLAND GP	1878	66	143	9999-12-31	2013-05-08
2/7-27 S	1600.000000	3007.000000	HORDALAND GP	GROUP	\N	1878	67	\N	9999-12-31	2013-05-08
2/7-27 S	3083.000000	3140.000000	LISTA FM	FORMATION	ROGALAND GP	1878	95	131	9999-12-31	2013-05-08
2/7-27 S	100.000000	1600.000000	NORDLAND GP	GROUP	\N	1878	113	\N	9999-12-31	2013-05-08
2/7-27 S	3007.000000	3167.000000	ROGALAND GP	GROUP	\N	1878	131	\N	9999-12-31	2013-05-08
2/7-27 S	4238.000000	4287.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1878	137	23	9999-12-31	2013-05-08
2/7-27 S	3027.000000	3083.000000	SELE FM	FORMATION	ROGALAND GP	1878	142	131	9999-12-31	2013-05-08
2/7-27 S	3167.000000	4238.000000	SHETLAND GP	GROUP	\N	1878	143	\N	9999-12-31	2013-05-08
2/7-27 S	4287.000000	4333.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1878	152	23	9999-12-31	2013-05-08
2/7-27 S	3255.000000	3523.000000	TOR FM	FORMATION	SHETLAND GP	1878	171	143	9999-12-31	2013-05-08
2/7-27 S	4333.000000	4362.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1878	175	23	9999-12-31	2013-05-08
2/7-27 S	4476.000000	4483.000000	TYNE GP	GROUP	\N	1878	177	\N	9999-12-31	2013-05-08
2/7-27 S	3140.000000	3167.000000	VÅLE FM	FORMATION	ROGALAND GP	1878	190	131	9999-12-31	2013-05-08
2/7-27 S	4483.000000	4801.000000	UNDEFINED GP	GROUP	\N	1878	191	\N	9999-12-31	2013-05-08
2/7-27 S	4362.000000	4476.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1878	198	23	9999-12-31	2013-05-08
35/11-6	3864.000000	3887.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1879	4	29	9999-12-31	2013-05-08
35/11-6	3924.000000	3943.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1879	4	29	9999-12-31	2013-05-08
35/11-6	1625.000000	1688.000000	BALDER FM	FORMATION	ROGALAND GP	1879	6	131	9999-12-31	2013-05-08
35/11-6	3516.000000	3721.000000	BRENT GP	GROUP	\N	1879	16	\N	9999-12-31	2013-05-08
35/11-6	2772.000000	2902.000000	CROMER KNOLL GP	GROUP	\N	1879	23	\N	9999-12-31	2013-05-08
35/11-6	3773.000000	3864.000000	COOK FM	FORMATION	DUNLIN GP	1879	24	29	9999-12-31	2013-05-08
35/11-6	3721.000000	3773.000000	DRAKE FM	FORMATION	DUNLIN GP	1879	27	29	9999-12-31	2013-05-08
35/11-6	2902.000000	3061.000000	DRAUPNE FM	FORMATION	VIKING GP	1879	28	188	9999-12-31	2013-05-08
35/11-6	3721.000000	3943.000000	DUNLIN GP	GROUP	\N	1879	29	\N	9999-12-31	2013-05-08
35/11-6	3605.000000	3635.000000	ETIVE FM	FORMATION	BRENT GP	1879	35	16	9999-12-31	2013-05-08
35/11-6	3061.000000	3157.000000	HEATHER FM	FORMATION	VIKING GP	1879	60	188	9999-12-31	2013-05-08
35/11-6	3196.000000	3516.000000	HEATHER FM	FORMATION	VIKING GP	1879	60	188	9999-12-31	2013-05-08
35/11-6	843.000000	1625.000000	HORDALAND GP	GROUP	\N	1879	67	\N	9999-12-31	2013-05-08
35/11-6	3887.000000	3924.000000	JOHANSEN FM	FORMATION	DUNLIN GP	1879	73	29	9999-12-31	2013-05-08
35/11-6	1723.000000	1923.000000	LISTA FM	FORMATION	ROGALAND GP	1879	95	131	9999-12-31	2013-05-08
35/11-6	3526.000000	3605.000000	NESS FM	FORMATION	BRENT GP	1879	110	16	9999-12-31	2013-05-08
35/11-6	396.000000	843.000000	NORDLAND GP	GROUP	\N	1879	113	\N	9999-12-31	2013-05-08
35/11-6	3678.000000	3721.000000	OSEBERG FM	FORMATION	BRENT GP	1879	123	16	9999-12-31	2013-05-08
35/11-6	3635.000000	3678.000000	RANNOCH FM	FORMATION	BRENT GP	1879	126	16	9999-12-31	2013-05-08
35/11-6	1625.000000	1955.000000	ROGALAND GP	GROUP	\N	1879	131	\N	9999-12-31	2013-05-08
35/11-6	2772.000000	2800.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1879	137	23	9999-12-31	2013-05-08
35/11-6	1688.000000	1723.000000	SELE FM	FORMATION	ROGALAND GP	1879	142	131	9999-12-31	2013-05-08
35/11-6	1955.000000	2772.000000	SHETLAND GP	GROUP	\N	1879	143	\N	9999-12-31	2013-05-08
35/11-6	3157.000000	3196.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1879	151	188	9999-12-31	2013-05-08
35/11-6	2800.000000	2816.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1879	152	23	9999-12-31	2013-05-08
35/11-6	3943.000000	3995.000000	STATFJORD FM	FORMATION	\N	1879	157	\N	9999-12-31	2013-05-08
35/11-6	3516.000000	3526.000000	TARBERT FM	FORMATION	BRENT GP	1879	162	16	9999-12-31	2013-05-08
35/11-6	724.000000	843.000000	UTSIRA FM	FORMATION	NORDLAND GP	1879	183	113	9999-12-31	2013-05-08
35/11-6	2902.000000	3516.000000	VIKING GP	GROUP	\N	1879	188	\N	9999-12-31	2013-05-08
35/11-6	1923.000000	1955.000000	VÅLE FM	FORMATION	ROGALAND GP	1879	190	131	9999-12-31	2013-05-08
35/11-6	2816.000000	2902.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1879	198	23	9999-12-31	2013-05-08
35/11-6	3943.000000	3995.000000	NO GROUP DEFINED	GROUP	\N	1879	208	\N	9999-12-31	2013-05-08
35/12-1	3003.000000	3020.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1881	4	29	9999-12-31	2013-05-08
35/12-1	573.000000	600.000000	BALDER FM	FORMATION	ROGALAND GP	1881	6	131	9999-12-31	2013-05-08
35/12-1	2886.000000	2908.000000	BRENT GP	GROUP	\N	1881	16	\N	9999-12-31	2013-05-08
35/12-1	2180.000000	2361.000000	CROMER KNOLL GP	GROUP	\N	1881	23	\N	9999-12-31	2013-05-08
35/12-1	2921.000000	3003.000000	COOK FM	FORMATION	DUNLIN GP	1881	24	29	9999-12-31	2013-05-08
35/12-1	2908.000000	2921.000000	DRAKE FM	FORMATION	DUNLIN GP	1881	27	29	9999-12-31	2013-05-08
35/12-1	2361.000000	2398.000000	DRAUPNE FM	FORMATION	VIKING GP	1881	28	188	9999-12-31	2013-05-08
35/12-1	2908.000000	3020.000000	DUNLIN GP	GROUP	\N	1881	29	\N	9999-12-31	2013-05-08
35/12-1	2790.000000	2886.000000	FENSFJORD FM	FORMATION	VIKING GP	1881	40	188	9999-12-31	2013-05-08
35/12-1	2398.000000	2557.000000	HEATHER FM	FORMATION	VIKING GP	1881	60	188	9999-12-31	2013-05-08
35/12-1	2667.000000	2790.000000	HEATHER FM	FORMATION	VIKING GP	1881	60	188	9999-12-31	2013-05-08
35/12-1	1434.000000	1513.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1881	74	143	9999-12-31	2013-05-08
35/12-1	1513.000000	1924.000000	KYRRE FM	FORMATION	SHETLAND GP	1881	92	143	9999-12-31	2013-05-08
35/12-1	999.000000	1054.000000	LISTA FM	FORMATION	ROGALAND GP	1881	95	131	9999-12-31	2013-05-08
35/12-1	1087.000000	1400.000000	LISTA FM	FORMATION	ROGALAND GP	1881	95	131	9999-12-31	2013-05-08
35/12-1	2890.000000	2908.000000	NESS FM	FORMATION	BRENT GP	1881	110	16	9999-12-31	2013-05-08
35/12-1	1054.000000	1087.000000	NO FORMAL NAME	FORMATION	\N	1881	111	\N	9999-12-31	2013-05-08
35/12-1	377.000000	573.000000	NORDLAND GP	GROUP	\N	1881	113	\N	9999-12-31	2013-05-08
35/12-1	573.000000	1434.000000	ROGALAND GP	GROUP	\N	1881	131	\N	9999-12-31	2013-05-08
35/12-1	2180.000000	2247.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1881	137	23	9999-12-31	2013-05-08
35/12-1	600.000000	999.000000	SELE FM	FORMATION	ROGALAND GP	1881	142	131	9999-12-31	2013-05-08
35/12-1	1434.000000	2180.000000	SHETLAND GP	GROUP	\N	1881	143	\N	9999-12-31	2013-05-08
35/12-1	2557.000000	2667.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1881	151	188	9999-12-31	2013-05-08
35/12-1	1924.000000	2180.000000	SVARTE FM	FORMATION	SHETLAND GP	1881	160	143	9999-12-31	2013-05-08
35/12-1	2886.000000	2890.000000	TARBERT FM	FORMATION	BRENT GP	1881	162	16	9999-12-31	2013-05-08
35/12-1	551.000000	573.000000	UTSIRA FM	FORMATION	NORDLAND GP	1881	183	113	9999-12-31	2013-05-08
35/12-1	2361.000000	2886.000000	VIKING GP	GROUP	\N	1881	188	\N	9999-12-31	2013-05-08
35/12-1	1400.000000	1434.000000	VÅLE FM	FORMATION	ROGALAND GP	1881	190	131	9999-12-31	2013-05-08
35/12-1	2247.000000	2361.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1881	198	23	9999-12-31	2013-05-08
35/11-4 R	2928.000000	3033.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1883	4	29	9999-12-31	2013-05-08
35/11-4 R	1407.000000	1458.000000	BALDER FM	FORMATION	ROGALAND GP	1883	6	131	9999-12-31	2013-05-08
35/11-4 R	2634.000000	2795.000000	BRENT GP	GROUP	\N	1883	16	\N	9999-12-31	2013-05-08
35/11-4 R	2835.000000	2928.000000	COOK FM	FORMATION	DUNLIN GP	1883	24	29	9999-12-31	2013-05-08
35/11-4 R	2795.000000	2835.000000	DRAKE FM	FORMATION	DUNLIN GP	1883	27	29	9999-12-31	2013-05-08
35/11-4 R	1976.000000	1994.000000	DRAUPNE FM	FORMATION	VIKING GP	1883	28	188	9999-12-31	2013-05-08
35/11-4 R	2795.000000	3092.000000	DUNLIN GP	GROUP	\N	1883	29	\N	9999-12-31	2013-05-08
35/11-4 R	2666.000000	2696.000000	ETIVE FM	FORMATION	BRENT GP	1883	35	16	9999-12-31	2013-05-08
35/11-4 R	2294.000000	2375.000000	FENSFJORD FM	FORMATION	VIKING GP	1883	40	188	9999-12-31	2013-05-08
35/11-4 R	1845.000000	1910.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1883	56	143	9999-12-31	2013-05-08
35/11-4 R	2126.000000	2294.000000	HEATHER FM	FORMATION	VIKING GP	1883	60	188	9999-12-31	2013-05-08
35/11-4 R	2375.000000	2634.000000	HEATHER FM	FORMATION	VIKING GP	1883	60	188	9999-12-31	2013-05-08
35/11-4 R	744.000000	1407.000000	HORDALAND GP	GROUP	\N	1883	67	\N	9999-12-31	2013-05-08
35/11-4 R	3033.000000	3092.000000	JOHANSEN FM	FORMATION	DUNLIN GP	1883	73	29	9999-12-31	2013-05-08
35/11-4 R	1910.000000	1976.000000	KYRRE FM	FORMATION	SHETLAND GP	1883	92	143	9999-12-31	2013-05-08
35/11-4 R	1571.000000	1770.000000	LISTA FM	FORMATION	ROGALAND GP	1883	95	131	9999-12-31	2013-05-08
35/11-4 R	2634.000000	2666.000000	NESS FM	FORMATION	BRENT GP	1883	110	16	9999-12-31	2013-05-08
35/11-4 R	382.000000	744.000000	NORDLAND GP	GROUP	\N	1883	113	\N	9999-12-31	2013-05-08
35/11-4 R	2717.000000	2795.000000	OSEBERG FM	FORMATION	BRENT GP	1883	123	16	9999-12-31	2013-05-08
35/11-4 R	2696.000000	2717.000000	RANNOCH FM	FORMATION	BRENT GP	1883	126	16	9999-12-31	2013-05-08
35/11-4 R	1407.000000	1845.000000	ROGALAND GP	GROUP	\N	1883	131	\N	9999-12-31	2013-05-08
35/11-4 R	1458.000000	1571.000000	SELE FM	FORMATION	ROGALAND GP	1883	142	131	9999-12-31	2013-05-08
35/11-4 R	1845.000000	1976.000000	SHETLAND GP	GROUP	\N	1883	143	\N	9999-12-31	2013-05-08
35/11-4 R	1994.000000	2126.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1883	151	188	9999-12-31	2013-05-08
35/11-4 R	3092.000000	3137.000000	STATFJORD FM	FORMATION	\N	1883	157	\N	9999-12-31	2013-05-08
35/11-4 R	717.000000	744.000000	UTSIRA FM	FORMATION	NORDLAND GP	1883	183	113	9999-12-31	2013-05-08
35/11-4 R	1976.000000	2634.000000	VIKING GP	GROUP	\N	1883	188	\N	9999-12-31	2013-05-08
35/11-4 R	1770.000000	1845.000000	VÅLE FM	FORMATION	ROGALAND GP	1883	190	131	9999-12-31	2013-05-08
35/11-4 R	3092.000000	3137.000000	NO GROUP DEFINED	GROUP	\N	1883	208	\N	9999-12-31	2013-05-08
31/2-17 S	1540.000000	1603.000000	BALDER FM	FORMATION	ROGALAND GP	1885	6	131	9999-12-31	2013-05-08
31/2-17 S	1870.000000	1872.000000	DRAUPNE FM	FORMATION	VIKING GP	1885	28	188	9999-12-31	2013-05-08
31/2-17 S	2180.000000	2220.000000	FENSFJORD FM	FORMATION	VIKING GP	1885	40	188	9999-12-31	2013-05-08
31/2-17 S	1957.000000	2180.000000	HEATHER FM	FORMATION	VIKING GP	1885	60	188	9999-12-31	2013-05-08
31/2-17 S	803.000000	1540.000000	HORDALAND GP	GROUP	\N	1885	67	\N	9999-12-31	2013-05-08
31/2-17 S	1676.000000	1856.000000	LISTA FM	FORMATION	ROGALAND GP	1885	95	131	9999-12-31	2013-05-08
31/2-17 S	921.000000	1028.000000	NO FORMAL NAME	FORMATION	\N	1885	111	\N	9999-12-31	2013-05-08
31/2-17 S	1028.000000	1540.000000	NO FORMAL NAME	FORMATION	\N	1885	111	\N	9999-12-31	2013-05-08
31/2-17 S	365.000000	803.000000	NORDLAND GP	GROUP	\N	1885	113	\N	9999-12-31	2013-05-08
31/2-17 S	1540.000000	1870.000000	ROGALAND GP	GROUP	\N	1885	131	\N	9999-12-31	2013-05-08
31/2-17 S	1603.000000	1676.000000	SELE FM	FORMATION	ROGALAND GP	1885	142	131	9999-12-31	2013-05-08
31/2-17 S	1872.000000	1957.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1885	151	188	9999-12-31	2013-05-08
31/2-17 S	1870.000000	2220.000000	VIKING GP	GROUP	\N	1885	188	\N	9999-12-31	2013-05-08
31/2-17 S	1856.000000	1870.000000	VÅLE FM	FORMATION	ROGALAND GP	1885	190	131	9999-12-31	2013-05-08
31/2-17 A	1412.000000	1454.000000	BALDER FM	FORMATION	ROGALAND GP	1898	6	131	9999-12-31	2013-05-08
31/2-17 A	1682.000000	1689.000000	DRAUPNE FM	FORMATION	VIKING GP	1898	28	188	9999-12-31	2013-05-08
31/2-17 A	1895.000000	1924.000000	FENSFJORD FM	FORMATION	VIKING GP	1898	40	188	9999-12-31	2013-05-08
31/2-17 A	1756.000000	1895.000000	HEATHER FM	FORMATION	VIKING GP	1898	60	188	9999-12-31	2013-05-08
31/2-17 A	803.000000	1412.000000	HORDALAND GP	GROUP	\N	1898	67	\N	9999-12-31	2013-05-08
31/2-17 A	1501.000000	1667.000000	LISTA FM	FORMATION	ROGALAND GP	1898	95	131	9999-12-31	2013-05-08
31/2-17 A	365.000000	803.000000	NORDLAND GP	GROUP	\N	1898	113	\N	9999-12-31	2013-05-08
31/2-17 A	1412.000000	1682.000000	ROGALAND GP	GROUP	\N	1898	131	\N	9999-12-31	2013-05-08
31/2-17 A	1454.000000	1501.000000	SELE FM	FORMATION	ROGALAND GP	1898	142	131	9999-12-31	2013-05-08
31/2-17 A	1689.000000	1756.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1898	151	188	9999-12-31	2013-05-08
31/2-17 A	1682.000000	1924.000000	VIKING GP	GROUP	\N	1898	188	\N	9999-12-31	2013-05-08
31/2-17 A	1667.000000	1682.000000	VÅLE FM	FORMATION	ROGALAND GP	1898	190	131	9999-12-31	2013-05-08
31/2-17 B	1412.000000	1454.000000	BALDER FM	FORMATION	ROGALAND GP	1899	6	131	9999-12-31	2013-05-08
31/2-17 B	1686.000000	1691.000000	DRAUPNE FM	FORMATION	VIKING GP	1899	28	188	9999-12-31	2013-05-08
31/2-17 B	803.000000	1412.000000	HORDALAND GP	GROUP	\N	1899	67	\N	9999-12-31	2013-05-08
31/2-17 B	1501.000000	1668.000000	LISTA FM	FORMATION	ROGALAND GP	1899	95	131	9999-12-31	2013-05-08
31/2-17 B	365.000000	803.000000	NORDLAND GP	GROUP	\N	1899	113	\N	9999-12-31	2013-05-08
31/2-17 B	1412.000000	1686.000000	ROGALAND GP	GROUP	\N	1899	131	\N	9999-12-31	2013-05-08
31/2-17 B	1454.000000	1501.000000	SELE FM	FORMATION	ROGALAND GP	1899	142	131	9999-12-31	2013-05-08
31/2-17 B	1691.000000	1838.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1899	151	188	9999-12-31	2013-05-08
31/2-17 B	1686.000000	1838.000000	VIKING GP	GROUP	\N	1899	188	\N	9999-12-31	2013-05-08
31/2-17 B	1668.000000	1686.000000	VÅLE FM	FORMATION	ROGALAND GP	1899	190	131	9999-12-31	2013-05-08
25/11-14 SR	1825.000000	1898.000000	BALDER FM	FORMATION	ROGALAND GP	1907	6	131	9999-12-31	2013-05-08
25/11-14 SR	1998.000000	2081.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1907	62	131	9999-12-31	2013-05-08
25/11-14 SR	748.000000	1825.000000	HORDALAND GP	GROUP	\N	1907	67	\N	9999-12-31	2013-05-08
25/11-14 SR	1925.000000	1998.000000	LISTA FM	FORMATION	ROGALAND GP	1907	95	131	9999-12-31	2013-05-08
25/11-14 SR	729.000000	748.000000	NO FORMAL NAME	FORMATION	\N	1907	111	\N	9999-12-31	2013-05-08
25/11-14 SR	918.000000	1059.000000	NO FORMAL NAME	FORMATION	\N	1907	111	\N	9999-12-31	2013-05-08
25/11-14 SR	1059.000000	1112.000000	NO FORMAL NAME	FORMATION	\N	1907	111	\N	9999-12-31	2013-05-08
25/11-14 SR	1112.000000	1825.000000	NO FORMAL NAME	FORMATION	\N	1907	111	\N	9999-12-31	2013-05-08
25/11-14 SR	152.000000	748.000000	NORDLAND GP	GROUP	\N	1907	113	\N	9999-12-31	2013-05-08
25/11-14 SR	1825.000000	2081.000000	ROGALAND GP	GROUP	\N	1907	131	\N	9999-12-31	2013-05-08
25/11-14 SR	1898.000000	1925.000000	SELE FM	FORMATION	ROGALAND GP	1907	142	131	9999-12-31	2013-05-08
25/11-14 SR	748.000000	918.000000	SKADE FM	FORMATION	HORDALAND GP	1907	145	67	9999-12-31	2013-05-08
25/11-14 SR	600.000000	729.000000	UTSIRA FM	FORMATION	NORDLAND GP	1907	183	113	9999-12-31	2013-05-08
34/4-8	1690.000000	1720.000000	BALDER FM	FORMATION	ROGALAND GP	1908	6	131	9999-12-31	2013-05-08
34/4-8	2761.000000	2771.000000	CROMER KNOLL GP	GROUP	\N	1908	23	\N	9999-12-31	2013-05-08
34/4-8	2771.000000	2799.000000	DUNLIN GP	GROUP	\N	1908	29	\N	9999-12-31	2013-05-08
34/4-8	2913.000000	3110.000000	HEGRE GP	GROUP	\N	1908	61	\N	9999-12-31	2013-05-08
34/4-8	1238.000000	1690.000000	HORDALAND GP	GROUP	\N	1908	67	\N	9999-12-31	2013-05-08
34/4-8	1838.000000	2070.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1908	74	143	9999-12-31	2013-05-08
34/4-8	2070.000000	2600.000000	KYRRE FM	FORMATION	SHETLAND GP	1908	92	143	9999-12-31	2013-05-08
34/4-8	1720.000000	1838.000000	LISTA FM	FORMATION	ROGALAND GP	1908	95	131	9999-12-31	2013-05-08
34/4-8	2913.000000	3110.000000	LUNDE FM	FORMATION	HEGRE GP	1908	97	61	9999-12-31	2013-05-08
34/4-8	388.000000	1238.000000	NORDLAND GP	GROUP	\N	1908	113	\N	9999-12-31	2013-05-08
34/4-8	1690.000000	1838.000000	ROGALAND GP	GROUP	\N	1908	131	\N	9999-12-31	2013-05-08
34/4-8	1838.000000	2761.000000	SHETLAND GP	GROUP	\N	1908	143	\N	9999-12-31	2013-05-08
34/4-8	2799.000000	2913.000000	STATFJORD FM	FORMATION	\N	1908	157	\N	9999-12-31	2013-05-08
34/4-8	2600.000000	2761.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1908	173	143	9999-12-31	2013-05-08
34/4-8	1123.000000	1238.000000	UTSIRA FM	FORMATION	NORDLAND GP	1908	183	113	9999-12-31	2013-05-08
34/4-8	2761.000000	2771.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1908	198	23	9999-12-31	2013-05-08
34/4-8	2799.000000	2913.000000	NO GROUP DEFINED	GROUP	\N	1908	208	\N	9999-12-31	2013-05-08
34/8-4 A	2903.000000	3057.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1909	4	29	9999-12-31	2013-05-08
34/8-4 A	1820.000000	1863.000000	BALDER FM	FORMATION	ROGALAND GP	1909	6	131	9999-12-31	2013-05-08
34/8-4 A	2894.000000	2903.000000	CROMER KNOLL GP	GROUP	\N	1909	23	\N	9999-12-31	2013-05-08
34/8-4 A	2903.000000	3057.000000	DUNLIN GP	GROUP	\N	1909	29	\N	9999-12-31	2013-05-08
34/8-4 A	3143.000000	3567.000000	HEGRE GP	GROUP	\N	1909	61	\N	9999-12-31	2013-05-08
34/8-4 A	1109.000000	1820.000000	HORDALAND GP	GROUP	\N	1909	67	\N	9999-12-31	2013-05-08
34/8-4 A	1876.000000	2031.000000	LISTA FM	FORMATION	ROGALAND GP	1909	95	131	9999-12-31	2013-05-08
34/8-4 A	3143.000000	3567.000000	LUNDE FM	FORMATION	HEGRE GP	1909	97	61	9999-12-31	2013-05-08
34/8-4 A	333.000000	1109.000000	NORDLAND GP	GROUP	\N	1909	113	\N	9999-12-31	2013-05-08
34/8-4 A	1820.000000	2031.000000	ROGALAND GP	GROUP	\N	1909	131	\N	9999-12-31	2013-05-08
34/8-4 A	1863.000000	1876.000000	SELE FM	FORMATION	ROGALAND GP	1909	142	131	9999-12-31	2013-05-08
34/8-4 A	2031.000000	2894.000000	SHETLAND GP	GROUP	\N	1909	143	\N	9999-12-31	2013-05-08
34/8-4 A	3057.000000	3143.000000	STATFJORD FM	FORMATION	\N	1909	157	\N	9999-12-31	2013-05-08
34/8-4 A	1072.000000	1109.000000	UTSIRA FM	FORMATION	NORDLAND GP	1909	183	113	9999-12-31	2013-05-08
34/8-4 A	3057.000000	3143.000000	NO GROUP DEFINED	GROUP	\N	1909	208	\N	9999-12-31	2013-05-08
25/11-16	1698.000000	1733.000000	BALDER FM	FORMATION	ROGALAND GP	1920	6	131	9999-12-31	2013-05-08
25/11-16	1521.000000	1562.000000	GRID FM	FORMATION	HORDALAND GP	1920	53	67	9999-12-31	2013-05-08
25/11-16	1767.000000	1872.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1920	62	131	9999-12-31	2013-05-08
25/11-16	1936.000000	1945.000000	HOD FM	FORMATION	SHETLAND GP	1920	66	143	9999-12-31	2013-05-08
25/11-16	836.000000	1698.000000	HORDALAND GP	GROUP	\N	1920	67	\N	9999-12-31	2013-05-08
25/11-16	1739.000000	1767.000000	LISTA FM	FORMATION	ROGALAND GP	1920	95	131	9999-12-31	2013-05-08
25/11-16	1872.000000	1885.000000	LISTA FM	FORMATION	ROGALAND GP	1920	95	131	9999-12-31	2013-05-08
25/11-16	764.000000	836.000000	NO FORMAL NAME	FORMATION	\N	1920	111	\N	9999-12-31	2013-05-08
25/11-16	953.000000	1521.000000	NO FORMAL NAME	FORMATION	\N	1920	111	\N	9999-12-31	2013-05-08
25/11-16	1562.000000	1698.000000	NO FORMAL NAME	FORMATION	\N	1920	111	\N	9999-12-31	2013-05-08
25/11-16	145.000000	836.000000	NORDLAND GP	GROUP	\N	1920	113	\N	9999-12-31	2013-05-08
25/11-16	1698.000000	1897.000000	ROGALAND GP	GROUP	\N	1920	131	\N	9999-12-31	2013-05-08
25/11-16	1733.000000	1739.000000	SELE FM	FORMATION	ROGALAND GP	1920	142	131	9999-12-31	2013-05-08
25/11-16	1897.000000	1945.000000	SHETLAND GP	GROUP	\N	1920	143	\N	9999-12-31	2013-05-08
25/11-16	836.000000	953.000000	SKADE FM	FORMATION	HORDALAND GP	1920	145	67	9999-12-31	2013-05-08
25/11-16	1897.000000	1936.000000	TOR FM	FORMATION	SHETLAND GP	1920	171	143	9999-12-31	2013-05-08
25/11-16	663.000000	764.000000	UTSIRA FM	FORMATION	NORDLAND GP	1920	183	113	9999-12-31	2013-05-08
25/11-16	1885.000000	1897.000000	VÅLE FM	FORMATION	ROGALAND GP	1920	190	131	9999-12-31	2013-05-08
25/11-17	1587.000000	1647.000000	BALDER FM	FORMATION	ROGALAND GP	1921	6	131	9999-12-31	2013-05-08
25/11-17	2243.000000	2256.000000	BASEMENT	GROUP	\N	1921	10	\N	9999-12-31	2013-05-08
25/11-17	1921.000000	1985.000000	CROMER KNOLL GP	GROUP	\N	1921	23	\N	9999-12-31	2013-05-08
25/11-17	1985.000000	1997.000000	DRAUPNE FM	FORMATION	VIKING GP	1921	28	188	9999-12-31	2013-05-08
25/11-17	1847.000000	1870.000000	HOD FM	FORMATION	SHETLAND GP	1921	66	143	9999-12-31	2013-05-08
25/11-17	897.000000	1587.000000	HORDALAND GP	GROUP	\N	1921	67	\N	9999-12-31	2013-05-08
25/11-17	1652.000000	1721.000000	LISTA FM	FORMATION	ROGALAND GP	1921	95	131	9999-12-31	2013-05-08
25/11-17	815.000000	897.000000	NO FORMAL NAME	FORMATION	\N	1921	111	\N	9999-12-31	2013-05-08
25/11-17	1146.000000	1587.000000	NO FORMAL NAME	FORMATION	\N	1921	111	\N	9999-12-31	2013-05-08
25/11-17	153.000000	897.000000	NORDLAND GP	GROUP	\N	1921	113	\N	9999-12-31	2013-05-08
25/11-17	1587.000000	1742.000000	ROGALAND GP	GROUP	\N	1921	131	\N	9999-12-31	2013-05-08
25/11-17	1921.000000	1951.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1921	137	23	9999-12-31	2013-05-08
25/11-17	1647.000000	1652.000000	SELE FM	FORMATION	ROGALAND GP	1921	142	131	9999-12-31	2013-05-08
25/11-17	1742.000000	1921.000000	SHETLAND GP	GROUP	\N	1921	143	\N	9999-12-31	2013-05-08
25/11-17	897.000000	1146.000000	SKADE FM	FORMATION	HORDALAND GP	1921	145	67	9999-12-31	2013-05-08
25/11-17	1951.000000	1966.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1921	152	23	9999-12-31	2013-05-08
25/11-17	1997.000000	2146.000000	STATFJORD FM	FORMATION	\N	1921	157	\N	9999-12-31	2013-05-08
25/11-17	1882.000000	1921.000000	SVARTE FM	FORMATION	SHETLAND GP	1921	160	143	9999-12-31	2013-05-08
25/11-17	1742.000000	1847.000000	TOR FM	FORMATION	SHETLAND GP	1921	171	143	9999-12-31	2013-05-08
25/11-17	1870.000000	1882.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1921	173	143	9999-12-31	2013-05-08
25/11-17	750.000000	815.000000	UTSIRA FM	FORMATION	NORDLAND GP	1921	183	113	9999-12-31	2013-05-08
25/11-17	1985.000000	1997.000000	VIKING GP	GROUP	\N	1921	188	\N	9999-12-31	2013-05-08
25/11-17	1721.000000	1742.000000	VÅLE FM	FORMATION	ROGALAND GP	1921	190	131	9999-12-31	2013-05-08
25/11-17	2233.000000	2243.000000	UNDEFINED GP	GROUP	\N	1921	191	\N	9999-12-31	2013-05-08
25/11-17	2146.000000	2233.000000	ZECHSTEIN GP	GROUP	\N	1921	194	\N	9999-12-31	2013-05-08
25/11-17	1966.000000	1985.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1921	198	23	9999-12-31	2013-05-08
25/11-17	1997.000000	2146.000000	NO GROUP DEFINED	GROUP	\N	1921	208	\N	9999-12-31	2013-05-08
6407/10-3	2959.000000	2973.000000	BASEMENT	GROUP	\N	1927	10	\N	9999-12-31	2013-05-08
6407/10-3	818.000000	1310.000000	BRYGGE FM	FORMATION	HORDALAND GP	1927	18	67	9999-12-31	2013-05-08
6407/10-3	1770.000000	1806.000000	CROMER KNOLL GP	GROUP	\N	1927	23	\N	9999-12-31	2013-05-08
6407/10-3	1827.000000	1850.000000	GREY BEDS (INFORMAL)	GROUP	\N	1927	52	\N	9999-12-31	2013-05-08
6407/10-3	818.000000	1310.000000	HORDALAND GP	GROUP	\N	1927	67	\N	9999-12-31	2013-05-08
6407/10-3	743.000000	818.000000	KAI FM	FORMATION	NORDLAND GP	1927	77	113	9999-12-31	2013-05-08
6407/10-3	1653.000000	1770.000000	KVITNOS FM	FORMATION	SHETLAND GP	1927	91	143	9999-12-31	2013-05-08
6407/10-3	1770.000000	1806.000000	LYR FM	FORMATION	CROMER KNOLL GP	1927	98	23	9999-12-31	2013-05-08
6407/10-3	347.000000	743.000000	NAUST FM	FORMATION	NORDLAND GP	1927	109	113	9999-12-31	2013-05-08
6407/10-3	1581.000000	1653.000000	NISE FM	FORMATION	SHETLAND GP	1927	112	143	9999-12-31	2013-05-08
6407/10-3	347.000000	818.000000	NORDLAND GP	GROUP	\N	1927	113	\N	9999-12-31	2013-05-08
6407/10-3	1850.000000	2959.000000	RED BEDS (INFORMAL)	GROUP	\N	1927	129	\N	9999-12-31	2013-05-08
6407/10-3	1310.000000	1523.000000	ROGALAND GP	GROUP	\N	1927	131	\N	9999-12-31	2013-05-08
6407/10-3	1523.000000	1770.000000	SHETLAND GP	GROUP	\N	1927	143	\N	9999-12-31	2013-05-08
6407/10-3	1806.000000	1827.000000	SPEKK FM	FORMATION	VIKING GP	1927	155	188	9999-12-31	2013-05-08
6407/10-3	1523.000000	1581.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1927	156	143	9999-12-31	2013-05-08
6407/10-3	1382.000000	1523.000000	TANG FM	FORMATION	ROGALAND GP	1927	161	131	9999-12-31	2013-05-08
6407/10-3	1310.000000	1382.000000	TARE FM	FORMATION	ROGALAND GP	1927	163	131	9999-12-31	2013-05-08
6407/10-3	1806.000000	1827.000000	VIKING GP	GROUP	\N	1927	188	\N	9999-12-31	2013-05-08
1/6-7	3069.000000	3080.000000	BALDER FM	FORMATION	ROGALAND GP	1928	6	131	9999-12-31	2013-05-08
1/6-7	4146.000000	4162.000000	BLODØKS FM	FORMATION	SHETLAND GP	1928	13	143	9999-12-31	2013-05-08
1/6-7	4291.000000	4402.000000	CROMER KNOLL GP	GROUP	\N	1928	23	\N	9999-12-31	2013-05-08
1/6-7	3278.000000	3389.000000	EKOFISK FM	FORMATION	SHETLAND GP	1928	33	143	9999-12-31	2013-05-08
1/6-7	4448.000000	4655.000000	FARSUND FM	FORMATION	TYNE GP	1928	39	177	9999-12-31	2013-05-08
1/6-7	4655.000000	4995.000000	HAUGESUND FM	FORMATION	TYNE GP	1928	57	177	9999-12-31	2013-05-08
1/6-7	4162.000000	4291.000000	HIDRA FM	FORMATION	SHETLAND GP	1928	65	143	9999-12-31	2013-05-08
1/6-7	3665.000000	4146.000000	HOD FM	FORMATION	SHETLAND GP	1928	66	143	9999-12-31	2013-05-08
1/6-7	1792.000000	3069.000000	HORDALAND GP	GROUP	\N	1928	67	\N	9999-12-31	2013-05-08
1/6-7	3086.000000	3168.000000	LISTA FM	FORMATION	ROGALAND GP	1928	95	131	9999-12-31	2013-05-08
1/6-7	3237.000000	3249.000000	LISTA FM	FORMATION	ROGALAND GP	1928	95	131	9999-12-31	2013-05-08
1/6-7	4402.000000	4448.000000	MANDAL FM	FORMATION	TYNE GP	1928	101	177	9999-12-31	2013-05-08
1/6-7	92.000000	1792.000000	NORDLAND GP	GROUP	\N	1928	113	\N	9999-12-31	2013-05-08
1/6-7	3069.000000	3278.000000	ROGALAND GP	GROUP	\N	1928	131	\N	9999-12-31	2013-05-08
1/6-7	4291.000000	4336.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1928	137	23	9999-12-31	2013-05-08
1/6-7	3080.000000	3086.000000	SELE FM	FORMATION	ROGALAND GP	1928	142	131	9999-12-31	2013-05-08
1/6-7	3278.000000	4291.000000	SHETLAND GP	GROUP	\N	1928	143	\N	9999-12-31	2013-05-08
1/6-7	4336.000000	4364.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1928	152	23	9999-12-31	2013-05-08
1/6-7	3389.000000	3665.000000	TOR FM	FORMATION	SHETLAND GP	1928	171	143	9999-12-31	2013-05-08
1/6-7	4402.000000	4995.000000	TYNE GP	GROUP	\N	1928	177	\N	9999-12-31	2013-05-08
1/6-7	3168.000000	3237.000000	VIDAR FM	FORMATION	ROGALAND GP	1928	187	131	9999-12-31	2013-05-08
1/6-7	3249.000000	3278.000000	VÅLE FM	FORMATION	ROGALAND GP	1928	190	131	9999-12-31	2013-05-08
1/6-7	4364.000000	4402.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1928	198	23	9999-12-31	2013-05-08
25/2-15	2180.000000	2208.000000	BALDER FM	FORMATION	ROGALAND GP	1938	6	131	9999-12-31	2013-05-08
25/2-15	3346.000000	3365.000000	BLODØKS FM	FORMATION	SHETLAND GP	1938	13	143	9999-12-31	2013-05-08
25/2-15	3465.000000	3471.000000	DRAUPNE FM	FORMATION	VIKING GP	1938	28	188	9999-12-31	2013-05-08
25/2-15	2684.000000	2823.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1938	56	143	9999-12-31	2013-05-08
25/2-15	3471.000000	3505.000000	HEATHER FM	FORMATION	VIKING GP	1938	60	188	9999-12-31	2013-05-08
25/2-15	2208.000000	2377.000000	HERMOD FM	FORMATION	ROGALAND GP	1938	64	131	9999-12-31	2013-05-08
25/2-15	1059.000000	2180.000000	HORDALAND GP	GROUP	\N	1938	67	\N	9999-12-31	2013-05-08
25/2-15	2823.000000	3189.000000	KYRRE FM	FORMATION	SHETLAND GP	1938	92	143	9999-12-31	2013-05-08
25/2-15	2377.000000	2502.000000	LISTA FM	FORMATION	ROGALAND GP	1938	95	131	9999-12-31	2013-05-08
25/2-15	1347.000000	2180.000000	NO FORMAL NAME	FORMATION	\N	1938	111	\N	9999-12-31	2013-05-08
25/2-15	138.000000	1059.000000	NORDLAND GP	GROUP	\N	1938	113	\N	9999-12-31	2013-05-08
25/2-15	2180.000000	2684.000000	ROGALAND GP	GROUP	\N	1938	131	\N	9999-12-31	2013-05-08
25/2-15	2684.000000	3465.000000	SHETLAND GP	GROUP	\N	1938	143	\N	9999-12-31	2013-05-08
25/2-15	1318.000000	1347.000000	SKADE FM	FORMATION	HORDALAND GP	1938	145	67	9999-12-31	2013-05-08
25/2-15	3365.000000	3465.000000	SVARTE FM	FORMATION	SHETLAND GP	1938	160	143	9999-12-31	2013-05-08
25/2-15	3189.000000	3346.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1938	173	143	9999-12-31	2013-05-08
25/2-15	2502.000000	2583.000000	TY FM	FORMATION	ROGALAND GP	1938	176	131	9999-12-31	2013-05-08
25/2-15	262.000000	1059.000000	UTSIRA FM	FORMATION	NORDLAND GP	1938	183	113	9999-12-31	2013-05-08
25/2-15	3465.000000	3505.000000	VIKING GP	GROUP	\N	1938	188	\N	9999-12-31	2013-05-08
25/2-15	2583.000000	2684.000000	VÅLE FM	FORMATION	ROGALAND GP	1938	190	131	9999-12-31	2013-05-08
34/8-7	4970.000000	5086.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1941	4	29	9999-12-31	2013-05-08
34/8-7	1875.000000	1928.000000	BALDER FM	FORMATION	ROGALAND GP	1941	6	131	9999-12-31	2013-05-08
34/8-7	4633.000000	4767.000000	BRENT GP	GROUP	\N	1941	16	\N	9999-12-31	2013-05-08
34/8-7	4764.000000	4767.000000	BROOM FM	FORMATION	BRENT GP	1941	17	16	9999-12-31	2013-05-08
34/8-7	4953.000000	4970.000000	BURTON FM	FORMATION	DUNLIN GP	1941	20	29	9999-12-31	2013-05-08
34/8-7	4034.000000	4466.000000	CROMER KNOLL GP	GROUP	\N	1941	23	\N	9999-12-31	2013-05-08
34/8-7	4808.000000	4953.000000	COOK FM	FORMATION	DUNLIN GP	1941	24	29	9999-12-31	2013-05-08
34/8-7	4466.000000	4584.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1941	26	188	9999-12-31	2013-05-08
34/8-7	4767.000000	4808.000000	DRAKE FM	FORMATION	DUNLIN GP	1941	27	29	9999-12-31	2013-05-08
34/8-7	4584.000000	4595.000000	DRAUPNE FM	FORMATION	VIKING GP	1941	28	188	9999-12-31	2013-05-08
34/8-7	4767.000000	5118.000000	DUNLIN GP	GROUP	\N	1941	29	\N	9999-12-31	2013-05-08
34/8-7	4699.000000	4714.000000	ETIVE FM	FORMATION	BRENT GP	1941	35	16	9999-12-31	2013-05-08
34/8-7	4595.000000	4633.000000	HEATHER FM	FORMATION	VIKING GP	1941	60	188	9999-12-31	2013-05-08
34/8-7	5208.000000	5460.000000	HEGRE GP	GROUP	\N	1941	61	\N	9999-12-31	2013-05-08
34/8-7	2022.000000	2037.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1941	62	131	9999-12-31	2013-05-08
34/8-7	1160.000000	1875.000000	HORDALAND GP	GROUP	\N	1941	67	\N	9999-12-31	2013-05-08
34/8-7	2081.000000	2320.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1941	74	143	9999-12-31	2013-05-08
34/8-7	2320.000000	3260.000000	KYRRE FM	FORMATION	SHETLAND GP	1941	92	143	9999-12-31	2013-05-08
34/8-7	1928.000000	2022.000000	LISTA FM	FORMATION	ROGALAND GP	1941	95	131	9999-12-31	2013-05-08
34/8-7	2037.000000	2081.000000	LISTA FM	FORMATION	ROGALAND GP	1941	95	131	9999-12-31	2013-05-08
34/8-7	5208.000000	5460.000000	LUNDE FM	FORMATION	HEGRE GP	1941	97	61	9999-12-31	2013-05-08
34/8-7	4655.000000	4699.000000	NESS FM	FORMATION	BRENT GP	1941	110	16	9999-12-31	2013-05-08
34/8-7	1406.000000	1413.000000	NO FORMAL NAME	FORMATION	\N	1941	111	\N	9999-12-31	2013-05-08
34/8-7	1413.000000	1630.000000	NO FORMAL NAME	FORMATION	\N	1941	111	\N	9999-12-31	2013-05-08
34/8-7	1630.000000	1654.000000	NO FORMAL NAME	FORMATION	\N	1941	111	\N	9999-12-31	2013-05-08
34/8-7	1654.000000	1875.000000	NO FORMAL NAME	FORMATION	\N	1941	111	\N	9999-12-31	2013-05-08
34/8-7	5086.000000	5106.000000	NO FORMAL NAME	FORMATION	\N	1941	111	\N	9999-12-31	2013-05-08
34/8-7	5106.000000	5118.000000	NO FORMAL NAME	FORMATION	\N	1941	111	\N	9999-12-31	2013-05-08
34/8-7	358.000000	1160.000000	NORDLAND GP	GROUP	\N	1941	113	\N	9999-12-31	2013-05-08
34/8-7	4714.000000	4764.000000	RANNOCH FM	FORMATION	BRENT GP	1941	126	16	9999-12-31	2013-05-08
34/8-7	1875.000000	2081.000000	ROGALAND GP	GROUP	\N	1941	131	\N	9999-12-31	2013-05-08
34/8-7	4034.000000	4298.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1941	137	23	9999-12-31	2013-05-08
34/8-7	2081.000000	4034.000000	SHETLAND GP	GROUP	\N	1941	143	\N	9999-12-31	2013-05-08
34/8-7	4298.000000	4374.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1941	152	23	9999-12-31	2013-05-08
34/8-7	5118.000000	5208.000000	STATFJORD FM	FORMATION	\N	1941	157	\N	9999-12-31	2013-05-08
34/8-7	3826.000000	4034.000000	SVARTE FM	FORMATION	SHETLAND GP	1941	160	143	9999-12-31	2013-05-08
34/8-7	4633.000000	4655.000000	TARBERT FM	FORMATION	BRENT GP	1941	162	16	9999-12-31	2013-05-08
34/8-7	3260.000000	3826.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	1941	173	143	9999-12-31	2013-05-08
34/8-7	1071.000000	1160.000000	UTSIRA FM	FORMATION	NORDLAND GP	1941	183	113	9999-12-31	2013-05-08
34/8-7	4466.000000	4633.000000	VIKING GP	GROUP	\N	1941	188	\N	9999-12-31	2013-05-08
34/8-7	4374.000000	4466.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1941	198	23	9999-12-31	2013-05-08
34/8-7	5118.000000	5208.000000	NO GROUP DEFINED	GROUP	\N	1941	208	\N	9999-12-31	2013-05-08
25/6-2	1927.000000	1984.000000	BALDER FM	FORMATION	ROGALAND GP	1949	6	131	9999-12-31	2013-05-08
25/6-2	2239.000000	2278.000000	CROMER KNOLL GP	GROUP	\N	1949	23	\N	9999-12-31	2013-05-08
25/6-2	2345.000000	2392.000000	DRAKE FM	FORMATION	DUNLIN GP	1949	27	29	9999-12-31	2013-05-08
25/6-2	2278.000000	2301.000000	DRAUPNE FM	FORMATION	VIKING GP	1949	28	188	9999-12-31	2013-05-08
25/6-2	2345.000000	2392.000000	DUNLIN GP	GROUP	\N	1949	29	\N	9999-12-31	2013-05-08
25/6-2	1640.000000	1682.000000	GRID FM	FORMATION	HORDALAND GP	1949	53	67	9999-12-31	2013-05-08
25/6-2	2207.000000	2239.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1949	56	143	9999-12-31	2013-05-08
25/6-2	2301.000000	2324.000000	HEATHER FM	FORMATION	VIKING GP	1949	60	188	9999-12-31	2013-05-08
25/6-2	927.000000	1927.000000	HORDALAND GP	GROUP	\N	1949	67	\N	9999-12-31	2013-05-08
25/6-2	2324.000000	2345.000000	HUGIN FM	FORMATION	VESTLAND GP	1949	69	186	9999-12-31	2013-05-08
25/6-2	2053.000000	2156.000000	LISTA FM	FORMATION	ROGALAND GP	1949	95	131	9999-12-31	2013-05-08
25/6-2	2261.000000	2278.000000	MIME FM	FORMATION	CROMER KNOLL GP	1949	106	23	9999-12-31	2013-05-08
25/6-2	1000.000000	1089.000000	NO FORMAL NAME	FORMATION	\N	1949	111	\N	9999-12-31	2013-05-08
25/6-2	1100.000000	1220.000000	NO FORMAL NAME	FORMATION	\N	1949	111	\N	9999-12-31	2013-05-08
25/6-2	1250.000000	1640.000000	NO FORMAL NAME	FORMATION	\N	1949	111	\N	9999-12-31	2013-05-08
25/6-2	1682.000000	1927.000000	NO FORMAL NAME	FORMATION	\N	1949	111	\N	9999-12-31	2013-05-08
25/6-2	145.000000	927.000000	NORDLAND GP	GROUP	\N	1949	113	\N	9999-12-31	2013-05-08
25/6-2	1927.000000	2207.000000	ROGALAND GP	GROUP	\N	1949	131	\N	9999-12-31	2013-05-08
25/6-2	2239.000000	2256.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1949	137	23	9999-12-31	2013-05-08
25/6-2	1984.000000	2053.000000	SELE FM	FORMATION	ROGALAND GP	1949	142	131	9999-12-31	2013-05-08
25/6-2	2207.000000	2239.000000	SHETLAND GP	GROUP	\N	1949	143	\N	9999-12-31	2013-05-08
25/6-2	945.000000	1000.000000	SKADE FM	FORMATION	HORDALAND GP	1949	145	67	9999-12-31	2013-05-08
25/6-2	1089.000000	1100.000000	SKADE FM	FORMATION	HORDALAND GP	1949	145	67	9999-12-31	2013-05-08
25/6-2	1220.000000	1250.000000	SKADE FM	FORMATION	HORDALAND GP	1949	145	67	9999-12-31	2013-05-08
25/6-2	2256.000000	2261.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1949	152	23	9999-12-31	2013-05-08
25/6-2	2168.000000	2207.000000	TY FM	FORMATION	ROGALAND GP	1949	176	131	9999-12-31	2013-05-08
25/6-2	768.000000	927.000000	UTSIRA FM	FORMATION	NORDLAND GP	1949	183	113	9999-12-31	2013-05-08
25/6-2	2324.000000	2345.000000	VESTLAND GP	GROUP	\N	1949	186	\N	9999-12-31	2013-05-08
25/6-2	2278.000000	2324.000000	VIKING GP	GROUP	\N	1949	188	\N	9999-12-31	2013-05-08
25/6-2	2156.000000	2168.000000	VÅLE FM	FORMATION	ROGALAND GP	1949	190	131	9999-12-31	2013-05-08
2/4-16 R	3140.000000	3155.000000	BALDER FM	FORMATION	ROGALAND GP	1956	6	131	9999-12-31	2013-05-08
2/4-16 R	4575.000000	4598.000000	BLODØKS FM	FORMATION	SHETLAND GP	1956	13	143	9999-12-31	2013-05-08
2/4-16 R	4877.000000	4973.000000	BRYNE FM	FORMATION	VESTLAND GP	1956	19	186	9999-12-31	2013-05-08
2/4-16 R	4638.000000	4737.000000	CROMER KNOLL GP	GROUP	\N	1956	23	\N	9999-12-31	2013-05-08
2/4-16 R	3317.000000	3435.000000	EKOFISK FM	FORMATION	SHETLAND GP	1956	33	143	9999-12-31	2013-05-08
2/4-16 R	4770.000000	4828.000000	FARSUND FM	FORMATION	TYNE GP	1956	39	177	9999-12-31	2013-05-08
2/4-16 R	4828.000000	4877.000000	HAUGESUND FM	FORMATION	TYNE GP	1956	57	177	9999-12-31	2013-05-08
2/4-16 R	4598.000000	4638.000000	HIDRA FM	FORMATION	SHETLAND GP	1956	65	143	9999-12-31	2013-05-08
2/4-16 R	3920.000000	4575.000000	HOD FM	FORMATION	SHETLAND GP	1956	66	143	9999-12-31	2013-05-08
2/4-16 R	1798.000000	3140.000000	HORDALAND GP	GROUP	\N	1956	67	\N	9999-12-31	2013-05-08
2/4-16 R	3189.000000	3238.000000	LISTA FM	FORMATION	ROGALAND GP	1956	95	131	9999-12-31	2013-05-08
2/4-16 R	3254.000000	3292.000000	LISTA FM	FORMATION	ROGALAND GP	1956	95	131	9999-12-31	2013-05-08
2/4-16 R	4737.000000	4770.000000	MANDAL FM	FORMATION	TYNE GP	1956	101	177	9999-12-31	2013-05-08
2/4-16 R	833.000000	914.000000	NO FORMAL NAME	FORMATION	\N	1956	111	\N	9999-12-31	2013-05-08
2/4-16 R	914.000000	1798.000000	NO FORMAL NAME	FORMATION	\N	1956	111	\N	9999-12-31	2013-05-08
2/4-16 R	94.000000	1798.000000	NORDLAND GP	GROUP	\N	1956	113	\N	9999-12-31	2013-05-08
2/4-16 R	3140.000000	3317.000000	ROGALAND GP	GROUP	\N	1956	131	\N	9999-12-31	2013-05-08
2/4-16 R	4638.000000	4678.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	1956	137	23	9999-12-31	2013-05-08
2/4-16 R	3155.000000	3189.000000	SELE FM	FORMATION	ROGALAND GP	1956	142	131	9999-12-31	2013-05-08
2/4-16 R	3317.000000	4638.000000	SHETLAND GP	GROUP	\N	1956	143	\N	9999-12-31	2013-05-08
2/4-16 R	3435.000000	3920.000000	TOR FM	FORMATION	SHETLAND GP	1956	171	143	9999-12-31	2013-05-08
2/4-16 R	4678.000000	4714.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	1956	175	23	9999-12-31	2013-05-08
2/4-16 R	4737.000000	4877.000000	TYNE GP	GROUP	\N	1956	177	\N	9999-12-31	2013-05-08
2/4-16 R	4877.000000	4973.000000	VESTLAND GP	GROUP	\N	1956	186	\N	9999-12-31	2013-05-08
2/4-16 R	3238.000000	3254.000000	VIDAR FM	FORMATION	ROGALAND GP	1956	187	131	9999-12-31	2013-05-08
2/4-16 R	3292.000000	3317.000000	VÅLE FM	FORMATION	ROGALAND GP	1956	190	131	9999-12-31	2013-05-08
2/4-16 R	4714.000000	4737.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1956	198	23	9999-12-31	2013-05-08
34/7-20	2947.000000	3046.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1967	4	29	9999-12-31	2013-05-08
34/7-20	1682.000000	1732.000000	BALDER FM	FORMATION	ROGALAND GP	1967	6	131	9999-12-31	2013-05-08
34/7-20	2613.000000	2785.000000	BRENT GP	GROUP	\N	1967	16	\N	9999-12-31	2013-05-08
34/7-20	2919.000000	2947.000000	BURTON FM	FORMATION	DUNLIN GP	1967	20	29	9999-12-31	2013-05-08
34/7-20	2572.000000	2578.000000	CROMER KNOLL GP	GROUP	\N	1967	23	\N	9999-12-31	2013-05-08
34/7-20	2882.000000	2919.000000	COOK FM	FORMATION	DUNLIN GP	1967	24	29	9999-12-31	2013-05-08
34/7-20	2578.000000	2581.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	1967	26	188	9999-12-31	2013-05-08
34/7-20	2785.000000	2882.000000	DRAKE FM	FORMATION	DUNLIN GP	1967	27	29	9999-12-31	2013-05-08
34/7-20	2785.000000	3046.000000	DUNLIN GP	GROUP	\N	1967	29	\N	9999-12-31	2013-05-08
34/7-20	2649.000000	2695.000000	ETIVE FM	FORMATION	BRENT GP	1967	35	16	9999-12-31	2013-05-08
34/7-20	2581.000000	2613.000000	HEATHER FM	FORMATION	VIKING GP	1967	60	188	9999-12-31	2013-05-08
34/7-20	3128.000000	3177.000000	HEGRE GP	GROUP	\N	1967	61	\N	9999-12-31	2013-05-08
34/7-20	1092.000000	1682.000000	HORDALAND GP	GROUP	\N	1967	67	\N	9999-12-31	2013-05-08
34/7-20	1881.000000	2138.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1967	74	143	9999-12-31	2013-05-08
34/7-20	2138.000000	2572.000000	KYRRE FM	FORMATION	SHETLAND GP	1967	92	143	9999-12-31	2013-05-08
34/7-20	1732.000000	1881.000000	LISTA FM	FORMATION	ROGALAND GP	1967	95	131	9999-12-31	2013-05-08
34/7-20	3128.000000	3177.000000	LUNDE FM	FORMATION	HEGRE GP	1967	97	61	9999-12-31	2013-05-08
34/7-20	2572.000000	2578.000000	MIME FM	FORMATION	CROMER KNOLL GP	1967	106	23	9999-12-31	2013-05-08
34/7-20	2630.000000	2649.000000	NESS FM	FORMATION	BRENT GP	1967	110	16	9999-12-31	2013-05-08
34/7-20	1040.000000	1092.000000	NO FORMAL NAME	FORMATION	\N	1967	111	\N	9999-12-31	2013-05-08
34/7-20	1308.000000	1330.000000	NO FORMAL NAME	FORMATION	\N	1967	111	\N	9999-12-31	2013-05-08
34/7-20	1330.000000	1682.000000	NO FORMAL NAME	FORMATION	\N	1967	111	\N	9999-12-31	2013-05-08
34/7-20	321.000000	1092.000000	NORDLAND GP	GROUP	\N	1967	113	\N	9999-12-31	2013-05-08
34/7-20	2695.000000	2785.000000	RANNOCH FM	FORMATION	BRENT GP	1967	126	16	9999-12-31	2013-05-08
34/7-20	1682.000000	1881.000000	ROGALAND GP	GROUP	\N	1967	131	\N	9999-12-31	2013-05-08
34/7-20	1881.000000	2572.000000	SHETLAND GP	GROUP	\N	1967	143	\N	9999-12-31	2013-05-08
34/7-20	3046.000000	3128.000000	STATFJORD FM	FORMATION	\N	1967	157	\N	9999-12-31	2013-05-08
34/7-20	2613.000000	2630.000000	TARBERT FM	FORMATION	BRENT GP	1967	162	16	9999-12-31	2013-05-08
34/7-20	961.000000	1040.000000	UTSIRA FM	FORMATION	NORDLAND GP	1967	183	113	9999-12-31	2013-05-08
34/7-20	2578.000000	2613.000000	VIKING GP	GROUP	\N	1967	188	\N	9999-12-31	2013-05-08
34/7-20	3046.000000	3128.000000	NO GROUP DEFINED	GROUP	\N	1967	208	\N	9999-12-31	2013-05-08
34/8-8	3287.000000	3388.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1969	4	29	9999-12-31	2013-05-08
34/8-8	1829.000000	1873.000000	BALDER FM	FORMATION	ROGALAND GP	1969	6	131	9999-12-31	2013-05-08
34/8-8	2921.000000	3077.000000	BRENT GP	GROUP	\N	1969	16	\N	9999-12-31	2013-05-08
34/8-8	3260.000000	3287.000000	BURTON FM	FORMATION	DUNLIN GP	1969	20	29	9999-12-31	2013-05-08
34/8-8	2877.000000	2901.000000	CROMER KNOLL GP	GROUP	\N	1969	23	\N	9999-12-31	2013-05-08
34/8-8	3123.000000	3260.000000	COOK FM	FORMATION	DUNLIN GP	1969	24	29	9999-12-31	2013-05-08
34/8-8	3077.000000	3123.000000	DRAKE FM	FORMATION	DUNLIN GP	1969	27	29	9999-12-31	2013-05-08
34/8-8	2901.000000	2902.000000	DRAUPNE FM	FORMATION	VIKING GP	1969	28	188	9999-12-31	2013-05-08
34/8-8	3077.000000	3388.000000	DUNLIN GP	GROUP	\N	1969	29	\N	9999-12-31	2013-05-08
34/8-8	2967.000000	3008.000000	ETIVE FM	FORMATION	BRENT GP	1969	35	16	9999-12-31	2013-05-08
34/8-8	2902.000000	2921.000000	HEATHER FM	FORMATION	VIKING GP	1969	60	188	9999-12-31	2013-05-08
34/8-8	3474.000000	3625.000000	HEGRE GP	GROUP	\N	1969	61	\N	9999-12-31	2013-05-08
34/8-8	1190.000000	1829.000000	HORDALAND GP	GROUP	\N	1969	67	\N	9999-12-31	2013-05-08
34/8-8	1998.000000	2232.000000	JORSALFARE FM	FORMATION	SHETLAND GP	1969	74	143	9999-12-31	2013-05-08
34/8-8	2232.000000	2877.000000	KYRRE FM	FORMATION	SHETLAND GP	1969	92	143	9999-12-31	2013-05-08
34/8-8	1873.000000	1998.000000	LISTA FM	FORMATION	ROGALAND GP	1969	95	131	9999-12-31	2013-05-08
34/8-8	3474.000000	3625.000000	LUNDE FM	FORMATION	HEGRE GP	1969	97	61	9999-12-31	2013-05-08
34/8-8	2935.000000	2967.000000	NESS FM	FORMATION	BRENT GP	1969	110	16	9999-12-31	2013-05-08
34/8-8	1164.000000	1190.000000	NO FORMAL NAME	FORMATION	\N	1969	111	\N	9999-12-31	2013-05-08
34/8-8	1368.000000	1401.000000	NO FORMAL NAME	FORMATION	\N	1969	111	\N	9999-12-31	2013-05-08
34/8-8	1401.000000	1527.000000	NO FORMAL NAME	FORMATION	\N	1969	111	\N	9999-12-31	2013-05-08
34/8-8	1527.000000	1559.000000	NO FORMAL NAME	FORMATION	\N	1969	111	\N	9999-12-31	2013-05-08
34/8-8	1559.000000	1829.000000	NO FORMAL NAME	FORMATION	\N	1969	111	\N	9999-12-31	2013-05-08
34/8-8	364.000000	1190.000000	NORDLAND GP	GROUP	\N	1969	113	\N	9999-12-31	2013-05-08
34/8-8	3008.000000	3077.000000	RANNOCH FM	FORMATION	BRENT GP	1969	126	16	9999-12-31	2013-05-08
34/8-8	1829.000000	1998.000000	ROGALAND GP	GROUP	\N	1969	131	\N	9999-12-31	2013-05-08
34/8-8	1998.000000	2877.000000	SHETLAND GP	GROUP	\N	1969	143	\N	9999-12-31	2013-05-08
34/8-8	2877.000000	2883.000000	SOLA FM	FORMATION	CROMER KNOLL GP	1969	152	23	9999-12-31	2013-05-08
34/8-8	3388.000000	3474.000000	STATFJORD FM	FORMATION	\N	1969	157	\N	9999-12-31	2013-05-08
34/8-8	2921.000000	2935.000000	TARBERT FM	FORMATION	BRENT GP	1969	162	16	9999-12-31	2013-05-08
34/8-8	1115.000000	1164.000000	UTSIRA FM	FORMATION	NORDLAND GP	1969	183	113	9999-12-31	2013-05-08
34/8-8	2901.000000	2921.000000	VIKING GP	GROUP	\N	1969	188	\N	9999-12-31	2013-05-08
34/8-8	2883.000000	2901.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	1969	198	23	9999-12-31	2013-05-08
34/8-8	3388.000000	3474.000000	NO GROUP DEFINED	GROUP	\N	1969	208	\N	9999-12-31	2013-05-08
10/7-1	652.000000	673.000000	BALDER FM	FORMATION	ROGALAND GP	1972	6	131	9999-12-31	2013-05-08
10/7-1	1298.000000	1539.000000	BOKNFJORD GP	GROUP	\N	1972	15	\N	9999-12-31	2013-05-08
10/7-1	1632.000000	1836.000000	BRYNE FM	FORMATION	VESTLAND GP	1972	19	186	9999-12-31	2013-05-08
10/7-1	1022.000000	1298.000000	CROMER KNOLL GP	GROUP	\N	1972	23	\N	9999-12-31	2013-05-08
10/7-1	673.000000	720.000000	FISKEBANK FM	FORMATION	ROGALAND GP	1972	41	131	9999-12-31	2013-05-08
10/7-1	1298.000000	1386.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	1972	43	15	9999-12-31	2013-05-08
10/7-1	451.000000	652.000000	HORDALAND GP	GROUP	\N	1972	67	\N	9999-12-31	2013-05-08
10/7-1	720.000000	781.000000	LISTA FM	FORMATION	ROGALAND GP	1972	95	131	9999-12-31	2013-05-08
10/7-1	110.000000	451.000000	NORDLAND GP	GROUP	\N	1972	113	\N	9999-12-31	2013-05-08
10/7-1	652.000000	781.000000	ROGALAND GP	GROUP	\N	1972	131	\N	9999-12-31	2013-05-08
10/7-1	1539.000000	1632.000000	SANDNES FM	FORMATION	VESTLAND GP	1972	139	186	9999-12-31	2013-05-08
10/7-1	1386.000000	1486.000000	SAUDA FM	FORMATION	BOKNFJORD GP	1972	141	15	9999-12-31	2013-05-08
10/7-1	781.000000	1022.000000	SHETLAND GP	GROUP	\N	1972	143	\N	9999-12-31	2013-05-08
10/7-1	1486.000000	1539.000000	TAU FM	FORMATION	BOKNFJORD GP	1972	164	15	9999-12-31	2013-05-08
10/7-1	1539.000000	1836.000000	VESTLAND GP	GROUP	\N	1972	186	\N	9999-12-31	2013-05-08
10/7-1	1836.000000	1890.000000	ZECHSTEIN GP	GROUP	\N	1972	194	\N	9999-12-31	2013-05-08
6506/11-3	1944.000000	2049.000000	BRYGGE FM	FORMATION	HORDALAND GP	1973	18	67	9999-12-31	2013-05-08
6506/11-3	3121.000000	4167.000000	CROMER KNOLL GP	GROUP	\N	1973	23	\N	9999-12-31	2013-05-08
6506/11-3	4169.000000	4350.000000	FANGST GP	GROUP	\N	1973	38	\N	9999-12-31	2013-05-08
6506/11-3	4169.000000	4330.000000	GARN FM	FORMATION	FANGST GP	1973	48	38	9999-12-31	2013-05-08
6506/11-3	1944.000000	2049.000000	HORDALAND GP	GROUP	\N	1973	67	\N	9999-12-31	2013-05-08
6506/11-3	1527.000000	1944.000000	KAI FM	FORMATION	NORDLAND GP	1973	77	113	9999-12-31	2013-05-08
6506/11-3	2553.000000	3121.000000	KVITNOS FM	FORMATION	SHETLAND GP	1973	91	143	9999-12-31	2013-05-08
6506/11-3	3202.000000	4142.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1973	94	23	9999-12-31	2013-05-08
6506/11-3	4142.000000	4167.000000	LYR FM	FORMATION	CROMER KNOLL GP	1973	98	23	9999-12-31	2013-05-08
6506/11-3	3121.000000	3202.000000	LYSING FM	FORMATION	CROMER KNOLL GP	1973	99	23	9999-12-31	2013-05-08
6506/11-3	2357.000000	2553.000000	NISE FM	FORMATION	SHETLAND GP	1973	112	143	9999-12-31	2013-05-08
6506/11-3	352.000000	1944.000000	NORDLAND GP	GROUP	\N	1973	113	\N	9999-12-31	2013-05-08
6506/11-3	4330.000000	4350.000000	NOT FM	FORMATION	FANGST GP	1973	120	38	9999-12-31	2013-05-08
6506/11-3	2049.000000	2191.000000	ROGALAND GP	GROUP	\N	1973	131	\N	9999-12-31	2013-05-08
6506/11-3	2191.000000	3121.000000	SHETLAND GP	GROUP	\N	1973	143	\N	9999-12-31	2013-05-08
6506/11-3	4167.000000	4169.000000	SPEKK FM	FORMATION	VIKING GP	1973	155	188	9999-12-31	2013-05-08
6506/11-3	2191.000000	2357.000000	SPRINGAR FM	FORMATION	SHETLAND GP	1973	156	143	9999-12-31	2013-05-08
6506/11-3	2139.000000	2191.000000	TANG FM	FORMATION	ROGALAND GP	1973	161	131	9999-12-31	2013-05-08
6506/11-3	2049.000000	2139.000000	TARE FM	FORMATION	ROGALAND GP	1973	163	131	9999-12-31	2013-05-08
6506/11-3	4167.000000	4169.000000	VIKING GP	GROUP	\N	1973	188	\N	9999-12-31	2013-05-08
6407/9-8	758.000000	1296.000000	BRYGGE FM	FORMATION	HORDALAND GP	1974	18	67	9999-12-31	2013-05-08
6407/9-8	2006.000000	2126.000000	BÅT GP	GROUP	\N	1974	22	\N	9999-12-31	2013-05-08
6407/9-8	1530.000000	1606.000000	CROMER KNOLL GP	GROUP	\N	1974	23	\N	9999-12-31	2013-05-08
6407/9-8	1730.000000	2006.000000	FANGST GP	GROUP	\N	1974	38	\N	9999-12-31	2013-05-08
6407/9-8	1730.000000	1833.000000	GARN FM	FORMATION	FANGST GP	1974	48	38	9999-12-31	2013-05-08
6407/9-8	758.000000	1296.000000	HORDALAND GP	GROUP	\N	1974	67	\N	9999-12-31	2013-05-08
6407/9-8	1887.000000	2006.000000	ILE FM	FORMATION	FANGST GP	1974	70	38	9999-12-31	2013-05-08
6407/9-8	438.000000	758.000000	KAI FM	FORMATION	NORDLAND GP	1974	77	113	9999-12-31	2013-05-08
6407/9-8	1530.000000	1598.000000	LANGE FM	FORMATION	CROMER KNOLL GP	1974	94	23	9999-12-31	2013-05-08
6407/9-8	1598.000000	1606.000000	LYR FM	FORMATION	CROMER KNOLL GP	1974	98	23	9999-12-31	2013-05-08
6407/9-8	1699.000000	1730.000000	MELKE FM	FORMATION	VIKING GP	1974	105	188	9999-12-31	2013-05-08
6407/9-8	252.000000	438.000000	NAUST FM	FORMATION	NORDLAND GP	1974	109	113	9999-12-31	2013-05-08
6407/9-8	252.000000	758.000000	NORDLAND GP	GROUP	\N	1974	113	\N	9999-12-31	2013-05-08
6407/9-8	1833.000000	1887.000000	NOT FM	FORMATION	FANGST GP	1974	120	38	9999-12-31	2013-05-08
6407/9-8	1296.000000	1530.000000	ROGALAND GP	GROUP	\N	1974	131	\N	9999-12-31	2013-05-08
6407/9-8	2006.000000	2053.000000	ROR FM	FORMATION	BÅT GP	1974	135	22	9999-12-31	2013-05-08
6407/9-8	1606.000000	1699.000000	SPEKK FM	FORMATION	VIKING GP	1974	155	188	9999-12-31	2013-05-08
6407/9-8	1335.000000	1530.000000	TANG FM	FORMATION	ROGALAND GP	1974	161	131	9999-12-31	2013-05-08
6407/9-8	1296.000000	1335.000000	TARE FM	FORMATION	ROGALAND GP	1974	163	131	9999-12-31	2013-05-08
6407/9-8	2053.000000	2126.000000	TILJE FM	FORMATION	BÅT GP	1974	169	22	9999-12-31	2013-05-08
6407/9-8	1606.000000	1730.000000	VIKING GP	GROUP	\N	1974	188	\N	9999-12-31	2013-05-08
35/11-7	2687.000000	2791.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	1979	4	29	9999-12-31	2013-05-08
35/11-7	1295.000000	1344.000000	BALDER FM	FORMATION	ROGALAND GP	1979	6	131	9999-12-31	2013-05-08
35/11-7	2424.000000	2584.000000	BRENT GP	GROUP	\N	1979	16	\N	9999-12-31	2013-05-08
35/11-7	2592.000000	2687.000000	COOK FM	FORMATION	DUNLIN GP	1979	24	29	9999-12-31	2013-05-08
35/11-7	2584.000000	2592.000000	DRAKE FM	FORMATION	DUNLIN GP	1979	27	29	9999-12-31	2013-05-08
35/11-7	1793.000000	1796.000000	DRAUPNE FM	FORMATION	VIKING GP	1979	28	188	9999-12-31	2013-05-08
35/11-7	2584.000000	2840.000000	DUNLIN GP	GROUP	\N	1979	29	\N	9999-12-31	2013-05-08
35/11-7	2454.000000	2511.000000	ETIVE FM	FORMATION	BRENT GP	1979	35	16	9999-12-31	2013-05-08
35/11-7	2104.000000	2181.000000	FENSFJORD FM	FORMATION	VIKING GP	1979	40	188	9999-12-31	2013-05-08
35/11-7	1735.000000	1779.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	1979	56	143	9999-12-31	2013-05-08
35/11-7	1964.000000	2104.000000	HEATHER FM	FORMATION	VIKING GP	1979	60	188	9999-12-31	2013-05-08
35/11-7	2181.000000	2424.000000	HEATHER FM	FORMATION	VIKING GP	1979	60	188	9999-12-31	2013-05-08
35/11-7	711.000000	1295.000000	HORDALAND GP	GROUP	\N	1979	67	\N	9999-12-31	2013-05-08
35/11-7	2791.000000	2840.000000	JOHANSEN FM	FORMATION	DUNLIN GP	1979	73	29	9999-12-31	2013-05-08
35/11-7	1779.000000	1793.000000	KYRRE FM	FORMATION	SHETLAND GP	1979	92	143	9999-12-31	2013-05-08
35/11-7	1410.000000	1487.000000	LISTA FM	FORMATION	ROGALAND GP	1979	95	131	9999-12-31	2013-05-08
35/11-7	1527.000000	1591.000000	LISTA FM	FORMATION	ROGALAND GP	1979	95	131	9999-12-31	2013-05-08
35/11-7	1626.000000	1715.000000	LISTA FM	FORMATION	ROGALAND GP	1979	95	131	9999-12-31	2013-05-08
35/11-7	2424.000000	2454.000000	NESS FM	FORMATION	BRENT GP	1979	110	16	9999-12-31	2013-05-08
35/11-7	1487.000000	1527.000000	NO FORMAL NAME	FORMATION	\N	1979	111	\N	9999-12-31	2013-05-08
35/11-7	1591.000000	1626.000000	NO FORMAL NAME	FORMATION	\N	1979	111	\N	9999-12-31	2013-05-08
35/11-7	384.000000	711.000000	NORDLAND GP	GROUP	\N	1979	113	\N	9999-12-31	2013-05-08
35/11-7	2528.000000	2584.000000	OSEBERG FM	FORMATION	BRENT GP	1979	123	16	9999-12-31	2013-05-08
35/11-7	2511.000000	2528.000000	RANNOCH FM	FORMATION	BRENT GP	1979	126	16	9999-12-31	2013-05-08
35/11-7	1295.000000	1735.000000	ROGALAND GP	GROUP	\N	1979	131	\N	9999-12-31	2013-05-08
35/11-7	1344.000000	1410.000000	SELE FM	FORMATION	ROGALAND GP	1979	142	131	9999-12-31	2013-05-08
35/11-7	1735.000000	1793.000000	SHETLAND GP	GROUP	\N	1979	143	\N	9999-12-31	2013-05-08
35/11-7	1796.000000	1964.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1979	151	188	9999-12-31	2013-05-08
35/11-7	2840.000000	2895.000000	STATFJORD FM	FORMATION	\N	1979	157	\N	9999-12-31	2013-05-08
35/11-7	687.000000	711.000000	UTSIRA FM	FORMATION	NORDLAND GP	1979	183	113	9999-12-31	2013-05-08
35/11-7	1793.000000	2424.000000	VIKING GP	GROUP	\N	1979	188	\N	9999-12-31	2013-05-08
35/11-7	1715.000000	1735.000000	VÅLE FM	FORMATION	ROGALAND GP	1979	190	131	9999-12-31	2013-05-08
35/11-7	2840.000000	2895.000000	NO GROUP DEFINED	GROUP	\N	1979	208	\N	9999-12-31	2013-05-08
25/8-4	1670.000000	1710.000000	BALDER FM	FORMATION	ROGALAND GP	1986	6	131	9999-12-31	2013-05-08
25/8-4	1841.000000	1846.000000	EKOFISK FM	FORMATION	SHETLAND GP	1986	33	143	9999-12-31	2013-05-08
25/8-4	1385.000000	1390.000000	GRID FM	FORMATION	HORDALAND GP	1986	53	67	9999-12-31	2013-05-08
25/8-4	1743.000000	1746.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1986	62	131	9999-12-31	2013-05-08
25/8-4	1750.000000	1751.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1986	62	131	9999-12-31	2013-05-08
25/8-4	1780.000000	1830.000000	HEIMDAL FM	FORMATION	ROGALAND GP	1986	62	131	9999-12-31	2013-05-08
25/8-4	1885.000000	1891.000000	HOD FM	FORMATION	SHETLAND GP	1986	66	143	9999-12-31	2013-05-08
25/8-4	814.000000	1670.000000	HORDALAND GP	GROUP	\N	1986	67	\N	9999-12-31	2013-05-08
25/8-4	1710.000000	1743.000000	LISTA FM	FORMATION	ROGALAND GP	1986	95	131	9999-12-31	2013-05-08
25/8-4	1746.000000	1750.000000	LISTA FM	FORMATION	ROGALAND GP	1986	95	131	9999-12-31	2013-05-08
25/8-4	1751.000000	1780.000000	LISTA FM	FORMATION	ROGALAND GP	1986	95	131	9999-12-31	2013-05-08
25/8-4	1830.000000	1836.000000	LISTA FM	FORMATION	ROGALAND GP	1986	95	131	9999-12-31	2013-05-08
25/8-4	744.000000	814.000000	NO FORMAL NAME	FORMATION	\N	1986	111	\N	9999-12-31	2013-05-08
25/8-4	885.000000	900.000000	NO FORMAL NAME	FORMATION	\N	1986	111	\N	9999-12-31	2013-05-08
25/8-4	914.000000	939.000000	NO FORMAL NAME	FORMATION	\N	1986	111	\N	9999-12-31	2013-05-08
25/8-4	981.000000	1018.000000	NO FORMAL NAME	FORMATION	\N	1986	111	\N	9999-12-31	2013-05-08
25/8-4	1050.000000	1385.000000	NO FORMAL NAME	FORMATION	\N	1986	111	\N	9999-12-31	2013-05-08
25/8-4	1390.000000	1670.000000	NO FORMAL NAME	FORMATION	\N	1986	111	\N	9999-12-31	2013-05-08
25/8-4	155.000000	814.000000	NORDLAND GP	GROUP	\N	1986	113	\N	9999-12-31	2013-05-08
25/8-4	1670.000000	1841.000000	ROGALAND GP	GROUP	\N	1986	131	\N	9999-12-31	2013-05-08
25/8-4	1841.000000	1891.000000	SHETLAND GP	GROUP	\N	1986	143	\N	9999-12-31	2013-05-08
25/8-4	814.000000	885.000000	SKADE FM	FORMATION	HORDALAND GP	1986	145	67	9999-12-31	2013-05-08
25/8-4	900.000000	914.000000	SKADE FM	FORMATION	HORDALAND GP	1986	145	67	9999-12-31	2013-05-08
25/8-4	939.000000	981.000000	SKADE FM	FORMATION	HORDALAND GP	1986	145	67	9999-12-31	2013-05-08
25/8-4	1018.000000	1050.000000	SKADE FM	FORMATION	HORDALAND GP	1986	145	67	9999-12-31	2013-05-08
25/8-4	1846.000000	1885.000000	TOR FM	FORMATION	SHETLAND GP	1986	171	143	9999-12-31	2013-05-08
25/8-4	694.000000	744.000000	UTSIRA FM	FORMATION	NORDLAND GP	1986	183	113	9999-12-31	2013-05-08
25/8-4	1836.000000	1841.000000	VÅLE FM	FORMATION	ROGALAND GP	1986	190	131	9999-12-31	2013-05-08
7316/5-1	3752.000000	4027.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	1987	89	122	9999-12-31	2013-05-08
7316/5-1	473.000000	945.000000	NORDLAND GP	GROUP	\N	1987	113	\N	9999-12-31	2013-05-08
7316/5-1	3752.000000	4027.000000	NYGRUNNEN GP	GROUP	\N	1987	122	\N	9999-12-31	2013-05-08
7316/5-1	945.000000	3752.000000	SOTBAKKEN GP	GROUP	\N	1987	154	\N	9999-12-31	2013-05-08
7316/5-1	945.000000	3752.000000	TORSK FM	FORMATION	SOTBAKKEN GP	1987	172	154	9999-12-31	2013-05-08
31/2-18	1220.000000	1266.000000	BALDER FM	FORMATION	ROGALAND GP	1988	6	131	9999-12-31	2013-05-08
31/2-18	1688.000000	1711.000000	FENSFJORD FM	FORMATION	VIKING GP	1988	40	188	9999-12-31	2013-05-08
31/2-18	1643.000000	1688.000000	HEATHER FM	FORMATION	VIKING GP	1988	60	188	9999-12-31	2013-05-08
31/2-18	670.000000	1220.000000	HORDALAND GP	GROUP	\N	1988	67	\N	9999-12-31	2013-05-08
31/2-18	1337.000000	1497.000000	LISTA FM	FORMATION	ROGALAND GP	1988	95	131	9999-12-31	2013-05-08
31/2-18	1519.000000	1529.000000	NO FORMAL NAME	FORMATION	\N	1988	111	\N	9999-12-31	2013-05-08
31/2-18	366.000000	670.000000	NORDLAND GP	GROUP	\N	1988	113	\N	9999-12-31	2013-05-08
31/2-18	1220.000000	1529.000000	ROGALAND GP	GROUP	\N	1988	131	\N	9999-12-31	2013-05-08
31/2-18	1266.000000	1337.000000	SELE FM	FORMATION	ROGALAND GP	1988	142	131	9999-12-31	2013-05-08
31/2-18	1529.000000	1643.000000	SOGNEFJORD FM	FORMATION	VIKING GP	1988	151	188	9999-12-31	2013-05-08
31/2-18	1529.000000	1711.000000	VIKING GP	GROUP	\N	1988	188	\N	9999-12-31	2013-05-08
31/2-18	1497.000000	1519.000000	VÅLE FM	FORMATION	ROGALAND GP	1988	190	131	9999-12-31	2013-05-08
6407/9-9	941.000000	1463.000000	BRYGGE FM	FORMATION	HORDALAND GP	1990	18	67	9999-12-31	2013-05-08
6407/9-9	1744.000000	1920.000000	BÅT GP	GROUP	\N	1990	22	\N	9999-12-31	2013-05-08
6407/9-9	1700.000000	1744.000000	FANGST GP	GROUP	\N	1990	38	\N	9999-12-31	2013-05-08
6407/9-9	941.000000	1463.000000	HORDALAND GP	GROUP	\N	1990	67	\N	9999-12-31	2013-05-08
6407/9-9	1726.000000	1744.000000	ILE FM	FORMATION	FANGST GP	1990	70	38	9999-12-31	2013-05-08
6407/9-9	903.000000	941.000000	KAI FM	FORMATION	NORDLAND GP	1990	77	113	9999-12-31	2013-05-08
6407/9-9	1666.000000	1691.000000	KVITNOS FM	FORMATION	SHETLAND GP	1990	91	143	9999-12-31	2013-05-08
6407/9-9	271.000000	903.000000	NAUST FM	FORMATION	NORDLAND GP	1990	109	113	9999-12-31	2013-05-08
6407/9-9	1615.000000	1666.000000	NISE FM	FORMATION	SHETLAND GP	1990	112	143	9999-12-31	2013-05-08
6407/9-9	271.000000	941.000000	NORDLAND GP	GROUP	\N	1990	113	\N	9999-12-31	2013-05-08
6407/9-9	1700.000000	1726.000000	NOT FM	FORMATION	FANGST GP	1990	120	38	9999-12-31	2013-05-08
6407/9-9	1463.000000	1615.000000	ROGALAND GP	GROUP	\N	1990	131	\N	9999-12-31	2013-05-08
6407/9-9	1744.000000	1883.000000	ROR FM	FORMATION	BÅT GP	1990	135	22	9999-12-31	2013-05-08
6407/9-9	1615.000000	1691.000000	SHETLAND GP	GROUP	\N	1990	143	\N	9999-12-31	2013-05-08
6407/9-9	1691.000000	1700.000000	SPEKK FM	FORMATION	VIKING GP	1990	155	188	9999-12-31	2013-05-08
6407/9-9	1570.000000	1615.000000	TANG FM	FORMATION	ROGALAND GP	1990	161	131	9999-12-31	2013-05-08
6407/9-9	1463.000000	1570.000000	TARE FM	FORMATION	ROGALAND GP	1990	163	131	9999-12-31	2013-05-08
6407/9-9	1883.000000	1920.000000	TILJE FM	FORMATION	BÅT GP	1990	169	22	9999-12-31	2013-05-08
6407/9-9	1691.000000	1700.000000	VIKING GP	GROUP	\N	1990	188	\N	9999-12-31	2013-05-08
30/10-7	2125.000000	2127.000000	BALDER FM	FORMATION	ROGALAND GP	2015	6	131	9999-12-31	2013-05-08
30/10-7	2129.000000	2166.000000	BALDER FM	FORMATION	ROGALAND GP	2015	6	131	9999-12-31	2013-05-08
30/10-7	2127.000000	2129.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	2015	7	131	9999-12-31	2013-05-08
30/10-7	2580.000000	2612.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2015	56	143	9999-12-31	2013-05-08
30/10-7	2275.000000	2330.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2015	62	131	9999-12-31	2013-05-08
30/10-7	2338.000000	2365.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2015	62	131	9999-12-31	2013-05-08
30/10-7	2371.000000	2374.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2015	62	131	9999-12-31	2013-05-08
30/10-7	2386.000000	2392.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2015	62	131	9999-12-31	2013-05-08
30/10-7	2183.000000	2186.000000	HERMOD FM	FORMATION	ROGALAND GP	2015	64	131	9999-12-31	2013-05-08
30/10-7	2191.000000	2193.000000	HERMOD FM	FORMATION	ROGALAND GP	2015	64	131	9999-12-31	2013-05-08
30/10-7	2202.000000	2212.000000	HERMOD FM	FORMATION	ROGALAND GP	2015	64	131	9999-12-31	2013-05-08
30/10-7	2218.000000	2232.000000	HERMOD FM	FORMATION	ROGALAND GP	2015	64	131	9999-12-31	2013-05-08
30/10-7	2236.000000	2244.000000	HERMOD FM	FORMATION	ROGALAND GP	2015	64	131	9999-12-31	2013-05-08
30/10-7	1075.000000	2125.000000	HORDALAND GP	GROUP	\N	2015	67	\N	9999-12-31	2013-05-08
30/10-7	2244.000000	2275.000000	LISTA FM	FORMATION	ROGALAND GP	2015	95	131	9999-12-31	2013-05-08
30/10-7	2330.000000	2338.000000	LISTA FM	FORMATION	ROGALAND GP	2015	95	131	9999-12-31	2013-05-08
30/10-7	2365.000000	2371.000000	LISTA FM	FORMATION	ROGALAND GP	2015	95	131	9999-12-31	2013-05-08
30/10-7	2374.000000	2386.000000	LISTA FM	FORMATION	ROGALAND GP	2015	95	131	9999-12-31	2013-05-08
30/10-7	2392.000000	2398.000000	LISTA FM	FORMATION	ROGALAND GP	2015	95	131	9999-12-31	2013-05-08
30/10-7	129.000000	1075.000000	NORDLAND GP	GROUP	\N	2015	113	\N	9999-12-31	2013-05-08
30/10-7	2125.000000	2580.000000	ROGALAND GP	GROUP	\N	2015	131	\N	9999-12-31	2013-05-08
30/10-7	2166.000000	2183.000000	SELE FM	FORMATION	ROGALAND GP	2015	142	131	9999-12-31	2013-05-08
30/10-7	2186.000000	2191.000000	SELE FM	FORMATION	ROGALAND GP	2015	142	131	9999-12-31	2013-05-08
30/10-7	2193.000000	2202.000000	SELE FM	FORMATION	ROGALAND GP	2015	142	131	9999-12-31	2013-05-08
30/10-7	2212.000000	2218.000000	SELE FM	FORMATION	ROGALAND GP	2015	142	131	9999-12-31	2013-05-08
30/10-7	2232.000000	2236.000000	SELE FM	FORMATION	ROGALAND GP	2015	142	131	9999-12-31	2013-05-08
30/10-7	2580.000000	2612.000000	SHETLAND GP	GROUP	\N	2015	143	\N	9999-12-31	2013-05-08
30/10-7	2430.000000	2436.000000	TY FM	FORMATION	ROGALAND GP	2015	176	131	9999-12-31	2013-05-08
30/10-7	2565.000000	2574.000000	TY FM	FORMATION	ROGALAND GP	2015	176	131	9999-12-31	2013-05-08
30/10-7	251.000000	1075.000000	UTSIRA FM	FORMATION	NORDLAND GP	2015	183	113	9999-12-31	2013-05-08
30/10-7	2398.000000	2430.000000	VÅLE FM	FORMATION	ROGALAND GP	2015	190	131	9999-12-31	2013-05-08
30/10-7	2436.000000	2565.000000	VÅLE FM	FORMATION	ROGALAND GP	2015	190	131	9999-12-31	2013-05-08
30/10-7	2574.000000	2580.000000	VÅLE FM	FORMATION	ROGALAND GP	2015	190	131	9999-12-31	2013-05-08
7122/2-1	764.000000	2068.000000	ADVENTDALEN GP	GROUP	\N	2018	1	\N	9999-12-31	2013-05-08
7122/2-1	2025.000000	2068.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	2018	47	1	9999-12-31	2013-05-08
7122/2-1	1955.000000	2025.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	2018	63	1	9999-12-31	2013-05-08
7122/2-1	2068.000000	2120.000000	KAPP TOSCANA GP	GROUP	\N	2018	79	\N	9999-12-31	2013-05-08
7122/2-1	1832.000000	1955.000000	KNURR FM	FORMATION	ADVENTDALEN GP	2018	82	1	9999-12-31	2013-05-08
7122/2-1	1764.000000	1832.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	2018	84	1	9999-12-31	2013-05-08
7122/2-1	764.000000	1764.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	2018	85	1	9999-12-31	2013-05-08
7122/2-1	743.000000	764.000000	KVITING FM	FORMATION	NYGRUNNEN GP	2018	90	122	9999-12-31	2013-05-08
7122/2-1	386.000000	418.000000	NORDLAND GP	GROUP	\N	2018	113	\N	9999-12-31	2013-05-08
7122/2-1	743.000000	764.000000	NYGRUNNEN GP	GROUP	\N	2018	122	\N	9999-12-31	2013-05-08
7122/2-1	418.000000	743.000000	SOTBAKKEN GP	GROUP	\N	2018	154	\N	9999-12-31	2013-05-08
7122/2-1	2068.000000	2120.000000	STØ FM	FORMATION	KAPP TOSCANA GP	2018	159	79	9999-12-31	2013-05-08
7122/2-1	418.000000	743.000000	TORSK FM	FORMATION	SOTBAKKEN GP	2018	172	154	9999-12-31	2013-05-08
34/7-21	1711.000000	1754.000000	BALDER FM	FORMATION	ROGALAND GP	2026	6	131	9999-12-31	2013-05-08
34/7-21	2692.000000	2972.000000	BRENT GP	GROUP	\N	2026	16	\N	9999-12-31	2013-05-08
34/7-21	2966.000000	2972.000000	BROOM FM	FORMATION	BRENT GP	2026	17	16	9999-12-31	2013-05-08
34/7-21	2499.000000	2508.000000	CROMER KNOLL GP	GROUP	\N	2026	23	\N	9999-12-31	2013-05-08
34/7-21	2508.000000	2545.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2026	26	188	9999-12-31	2013-05-08
34/7-21	2565.000000	2569.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2026	26	188	9999-12-31	2013-05-08
34/7-21	2972.000000	3015.000000	DRAKE FM	FORMATION	DUNLIN GP	2026	27	29	9999-12-31	2013-05-08
34/7-21	2545.000000	2565.000000	DRAUPNE FM	FORMATION	VIKING GP	2026	28	188	9999-12-31	2013-05-08
34/7-21	2569.000000	2588.000000	DRAUPNE FM	FORMATION	VIKING GP	2026	28	188	9999-12-31	2013-05-08
34/7-21	2972.000000	3015.000000	DUNLIN GP	GROUP	\N	2026	29	\N	9999-12-31	2013-05-08
34/7-21	2865.000000	2903.000000	ETIVE FM	FORMATION	BRENT GP	2026	35	16	9999-12-31	2013-05-08
34/7-21	2588.000000	2692.000000	HEATHER FM	FORMATION	VIKING GP	2026	60	188	9999-12-31	2013-05-08
34/7-21	1040.000000	1711.000000	HORDALAND GP	GROUP	\N	2026	67	\N	9999-12-31	2013-05-08
34/7-21	1900.000000	2168.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2026	74	143	9999-12-31	2013-05-08
34/7-21	2168.000000	2499.000000	KYRRE FM	FORMATION	SHETLAND GP	2026	92	143	9999-12-31	2013-05-08
34/7-21	1754.000000	1856.000000	LISTA FM	FORMATION	ROGALAND GP	2026	95	131	9999-12-31	2013-05-08
34/7-21	1863.000000	1900.000000	LISTA FM	FORMATION	ROGALAND GP	2026	95	131	9999-12-31	2013-05-08
34/7-21	2502.000000	2508.000000	MIME FM	FORMATION	CROMER KNOLL GP	2026	106	23	9999-12-31	2013-05-08
34/7-21	2763.000000	2865.000000	NESS FM	FORMATION	BRENT GP	2026	110	16	9999-12-31	2013-05-08
34/7-21	1200.000000	1278.000000	NO FORMAL NAME	FORMATION	\N	2026	111	\N	9999-12-31	2013-05-08
34/7-21	1278.000000	1322.000000	NO FORMAL NAME	FORMATION	\N	2026	111	\N	9999-12-31	2013-05-08
34/7-21	1322.000000	1403.000000	NO FORMAL NAME	FORMATION	\N	2026	111	\N	9999-12-31	2013-05-08
34/7-21	1403.000000	1711.000000	NO FORMAL NAME	FORMATION	\N	2026	111	\N	9999-12-31	2013-05-08
34/7-21	1856.000000	1863.000000	NO FORMAL NAME	FORMATION	\N	2026	111	\N	9999-12-31	2013-05-08
34/7-21	218.000000	1040.000000	NORDLAND GP	GROUP	\N	2026	113	\N	9999-12-31	2013-05-08
34/7-21	2903.000000	2966.000000	RANNOCH FM	FORMATION	BRENT GP	2026	126	16	9999-12-31	2013-05-08
34/7-21	1711.000000	1900.000000	ROGALAND GP	GROUP	\N	2026	131	\N	9999-12-31	2013-05-08
34/7-21	2499.000000	2502.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2026	137	23	9999-12-31	2013-05-08
34/7-21	1900.000000	2499.000000	SHETLAND GP	GROUP	\N	2026	143	\N	9999-12-31	2013-05-08
34/7-21	2692.000000	2763.000000	TARBERT FM	FORMATION	BRENT GP	2026	162	16	9999-12-31	2013-05-08
34/7-21	929.000000	1040.000000	UTSIRA FM	FORMATION	NORDLAND GP	2026	183	113	9999-12-31	2013-05-08
34/7-21	2508.000000	2692.000000	VIKING GP	GROUP	\N	2026	188	\N	9999-12-31	2013-05-08
34/8-9 S	3123.000000	3150.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2029	4	29	9999-12-31	2013-05-08
34/8-9 S	1842.000000	1909.000000	BALDER FM	FORMATION	ROGALAND GP	2029	6	131	9999-12-31	2013-05-08
34/8-9 S	2923.000000	2984.000000	BRENT GP	GROUP	\N	2029	16	\N	9999-12-31	2013-05-08
34/8-9 S	3113.000000	3123.000000	BURTON FM	FORMATION	DUNLIN GP	2029	20	29	9999-12-31	2013-05-08
34/8-9 S	2904.000000	2908.000000	CROMER KNOLL GP	GROUP	\N	2029	23	\N	9999-12-31	2013-05-08
34/8-9 S	3009.000000	3113.000000	COOK FM	FORMATION	DUNLIN GP	2029	24	29	9999-12-31	2013-05-08
34/8-9 S	2984.000000	3009.000000	DRAKE FM	FORMATION	DUNLIN GP	2029	27	29	9999-12-31	2013-05-08
34/8-9 S	2908.000000	2914.000000	DRAUPNE FM	FORMATION	VIKING GP	2029	28	188	9999-12-31	2013-05-08
34/8-9 S	2984.000000	3150.000000	DUNLIN GP	GROUP	\N	2029	29	\N	9999-12-31	2013-05-08
34/8-9 S	2956.000000	2963.000000	ETIVE FM	FORMATION	BRENT GP	2029	35	16	9999-12-31	2013-05-08
34/8-9 S	2914.000000	2923.000000	HEATHER FM	FORMATION	VIKING GP	2029	60	188	9999-12-31	2013-05-08
34/8-9 S	3245.000000	3530.000000	HEGRE GP	GROUP	\N	2029	61	\N	9999-12-31	2013-05-08
34/8-9 S	1160.000000	1842.000000	HORDALAND GP	GROUP	\N	2029	67	\N	9999-12-31	2013-05-08
34/8-9 S	1909.000000	1982.000000	LISTA FM	FORMATION	ROGALAND GP	2029	95	131	9999-12-31	2013-05-08
34/8-9 S	2006.000000	2037.000000	LISTA FM	FORMATION	ROGALAND GP	2029	95	131	9999-12-31	2013-05-08
34/8-9 S	3245.000000	3530.000000	LUNDE FM	FORMATION	HEGRE GP	2029	97	61	9999-12-31	2013-05-08
34/8-9 S	2943.000000	2956.000000	NESS FM	FORMATION	BRENT GP	2029	110	16	9999-12-31	2013-05-08
34/8-9 S	1291.000000	1323.000000	NO FORMAL NAME	FORMATION	\N	2029	111	\N	9999-12-31	2013-05-08
34/8-9 S	1323.000000	1386.000000	NO FORMAL NAME	FORMATION	\N	2029	111	\N	9999-12-31	2013-05-08
34/8-9 S	1386.000000	1434.000000	NO FORMAL NAME	FORMATION	\N	2029	111	\N	9999-12-31	2013-05-08
34/8-9 S	1434.000000	1687.000000	NO FORMAL NAME	FORMATION	\N	2029	111	\N	9999-12-31	2013-05-08
34/8-9 S	1687.000000	1751.000000	NO FORMAL NAME	FORMATION	\N	2029	111	\N	9999-12-31	2013-05-08
34/8-9 S	1751.000000	1842.000000	NO FORMAL NAME	FORMATION	\N	2029	111	\N	9999-12-31	2013-05-08
34/8-9 S	1982.000000	2006.000000	NO FORMAL NAME	FORMATION	\N	2029	111	\N	9999-12-31	2013-05-08
34/8-9 S	330.000000	1160.000000	NORDLAND GP	GROUP	\N	2029	113	\N	9999-12-31	2013-05-08
34/8-9 S	2963.000000	2984.000000	RANNOCH FM	FORMATION	BRENT GP	2029	126	16	9999-12-31	2013-05-08
34/8-9 S	1842.000000	2037.000000	ROGALAND GP	GROUP	\N	2029	131	\N	9999-12-31	2013-05-08
34/8-9 S	2037.000000	2904.000000	SHETLAND GP	GROUP	\N	2029	143	\N	9999-12-31	2013-05-08
34/8-9 S	3150.000000	3245.000000	STATFJORD FM	FORMATION	\N	2029	157	\N	9999-12-31	2013-05-08
34/8-9 S	2923.000000	2943.000000	TARBERT FM	FORMATION	BRENT GP	2029	162	16	9999-12-31	2013-05-08
34/8-9 S	1131.000000	1160.000000	UTSIRA FM	FORMATION	NORDLAND GP	2029	183	113	9999-12-31	2013-05-08
34/8-9 S	2908.000000	2923.000000	VIKING GP	GROUP	\N	2029	188	\N	9999-12-31	2013-05-08
34/8-9 S	3150.000000	3245.000000	NO GROUP DEFINED	GROUP	\N	2029	208	\N	9999-12-31	2013-05-08
7219/8-1 S	1545.000000	4521.000000	ADVENTDALEN GP	GROUP	\N	2031	1	\N	9999-12-31	2013-05-08
7219/8-1 S	4328.000000	4521.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	2031	47	1	9999-12-31	2013-05-08
7219/8-1 S	3472.000000	4328.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	2031	63	1	9999-12-31	2013-05-08
7219/8-1 S	4521.000000	4611.000000	KAPP TOSCANA GP	GROUP	\N	2031	79	\N	9999-12-31	2013-05-08
7219/8-1 S	2494.000000	3472.000000	KNURR FM	FORMATION	ADVENTDALEN GP	2031	82	1	9999-12-31	2013-05-08
7219/8-1 S	2080.000000	2494.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	2031	84	1	9999-12-31	2013-05-08
7219/8-1 S	1545.000000	2080.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	2031	85	1	9999-12-31	2013-05-08
7219/8-1 S	393.000000	554.000000	NORDLAND GP	GROUP	\N	2031	113	\N	9999-12-31	2013-05-08
7219/8-1 S	554.000000	1545.000000	SOTBAKKEN GP	GROUP	\N	2031	154	\N	9999-12-31	2013-05-08
7219/8-1 S	4521.000000	4611.000000	STØ FM	FORMATION	KAPP TOSCANA GP	2031	159	79	9999-12-31	2013-05-08
7219/8-1 S	554.000000	1545.000000	TORSK FM	FORMATION	SOTBAKKEN GP	2031	172	154	9999-12-31	2013-05-08
31/2-18 A	1220.000000	1266.000000	BALDER FM	FORMATION	ROGALAND GP	2038	6	131	9999-12-31	2013-05-08
31/2-18 A	1706.000000	1916.000000	FENSFJORD FM	FORMATION	VIKING GP	2038	40	188	9999-12-31	2013-05-08
31/2-18 A	1655.000000	1706.000000	HEATHER FM	FORMATION	VIKING GP	2038	60	188	9999-12-31	2013-05-08
31/2-18 A	670.000000	1220.000000	HORDALAND GP	GROUP	\N	2038	67	\N	9999-12-31	2013-05-08
31/2-18 A	1916.000000	2005.000000	KROSSFJORD FM	FORMATION	VIKING GP	2038	87	188	9999-12-31	2013-05-08
31/2-18 A	1337.000000	1497.000000	LISTA FM	FORMATION	ROGALAND GP	2038	95	131	9999-12-31	2013-05-08
31/2-18 A	1520.000000	1530.000000	NO FORMAL NAME	FORMATION	\N	2038	111	\N	9999-12-31	2013-05-08
31/2-18 A	366.000000	670.000000	NORDLAND GP	GROUP	\N	2038	113	\N	9999-12-31	2013-05-08
31/2-18 A	1220.000000	1530.000000	ROGALAND GP	GROUP	\N	2038	131	\N	9999-12-31	2013-05-08
31/2-18 A	1266.000000	1337.000000	SELE FM	FORMATION	ROGALAND GP	2038	142	131	9999-12-31	2013-05-08
31/2-18 A	1530.000000	1655.000000	SOGNEFJORD FM	FORMATION	VIKING GP	2038	151	188	9999-12-31	2013-05-08
31/2-18 A	1530.000000	2005.000000	VIKING GP	GROUP	\N	2038	188	\N	9999-12-31	2013-05-08
31/2-18 A	1497.000000	1520.000000	VÅLE FM	FORMATION	ROGALAND GP	2038	190	131	9999-12-31	2013-05-08
15/9-19 S	3302.000000	3403.000000	BALDER FM	FORMATION	ROGALAND GP	2043	6	131	9999-12-31	2013-05-08
15/9-19 S	3008.000000	3240.000000	GRID FM	FORMATION	HORDALAND GP	2043	53	67	9999-12-31	2013-05-08
15/9-19 S	1108.000000	3302.000000	HORDALAND GP	GROUP	\N	2043	67	\N	9999-12-31	2013-05-08
15/9-19 S	3483.000000	3580.000000	LISTA FM	FORMATION	ROGALAND GP	2043	95	131	9999-12-31	2013-05-08
15/9-19 S	1451.000000	3008.000000	NO FORMAL NAME	FORMATION	\N	2043	111	\N	9999-12-31	2013-05-08
15/9-19 S	3240.000000	3302.000000	NO FORMAL NAME	FORMATION	\N	2043	111	\N	9999-12-31	2013-05-08
15/9-19 S	106.000000	1108.000000	NORDLAND GP	GROUP	\N	2043	113	\N	9999-12-31	2013-05-08
15/9-19 S	3302.000000	3580.000000	ROGALAND GP	GROUP	\N	2043	131	\N	9999-12-31	2013-05-08
15/9-19 S	3403.000000	3483.000000	SELE FM	FORMATION	ROGALAND GP	2043	142	131	9999-12-31	2013-05-08
15/9-19 S	1313.000000	1451.000000	SKADE FM	FORMATION	HORDALAND GP	2043	145	67	9999-12-31	2013-05-08
15/9-19 S	847.000000	1108.000000	UTSIRA FM	FORMATION	NORDLAND GP	2043	183	113	9999-12-31	2013-05-08
2/5-10	3052.000000	3062.000000	BALDER FM	FORMATION	ROGALAND GP	2044	6	131	9999-12-31	2013-05-08
2/5-10	4295.000000	4298.000000	CROMER KNOLL GP	GROUP	\N	2044	23	\N	9999-12-31	2013-05-08
2/5-10	3214.000000	3342.000000	EKOFISK FM	FORMATION	SHETLAND GP	2044	33	143	9999-12-31	2013-05-08
2/5-10	4298.000000	4582.000000	FARSUND FM	FORMATION	TYNE GP	2044	39	177	9999-12-31	2013-05-08
2/5-10	3735.000000	4295.000000	HOD FM	FORMATION	SHETLAND GP	2044	66	143	9999-12-31	2013-05-08
2/5-10	1733.000000	3052.000000	HORDALAND GP	GROUP	\N	2044	67	\N	9999-12-31	2013-05-08
2/5-10	3072.000000	3181.000000	LISTA FM	FORMATION	ROGALAND GP	2044	95	131	9999-12-31	2013-05-08
2/5-10	88.000000	1733.000000	NORDLAND GP	GROUP	\N	2044	113	\N	9999-12-31	2013-05-08
2/5-10	3052.000000	3214.000000	ROGALAND GP	GROUP	\N	2044	131	\N	9999-12-31	2013-05-08
2/5-10	4295.000000	4298.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2044	137	23	9999-12-31	2013-05-08
2/5-10	3062.000000	3072.000000	SELE FM	FORMATION	ROGALAND GP	2044	142	131	9999-12-31	2013-05-08
2/5-10	3214.000000	4295.000000	SHETLAND GP	GROUP	\N	2044	143	\N	9999-12-31	2013-05-08
2/5-10	4587.000000	4701.000000	SKAGERRAK FM	FORMATION	HEGRE GP	2044	146	61	9999-12-31	2013-05-08
2/5-10	3342.000000	3735.000000	TOR FM	FORMATION	SHETLAND GP	2044	171	143	9999-12-31	2013-05-08
2/5-10	4298.000000	4582.000000	TYNE GP	GROUP	\N	2044	177	\N	9999-12-31	2013-05-08
2/5-10	4582.000000	4587.000000	VESTLAND GP	GROUP	\N	2044	186	\N	9999-12-31	2013-05-08
2/5-10	3181.000000	3214.000000	VÅLE FM	FORMATION	ROGALAND GP	2044	190	131	9999-12-31	2013-05-08
2/5-10	4587.000000	4701.000000	NO GROUP DEFINED	GROUP	\N	2044	208	\N	9999-12-31	2013-05-08
7128/4-1	2503.000000	2530.000000	BASEMENT	GROUP	\N	2049	10	\N	9999-12-31	2013-05-08
7128/4-1	2058.000000	2503.000000	BILLEFJORDEN GP	GROUP	\N	2049	11	\N	9999-12-31	2013-05-08
7128/4-1	1704.000000	1820.000000	BJARMELAND GP	GROUP	\N	2049	12	\N	9999-12-31	2013-05-08
7128/4-1	1952.000000	2058.000000	FALK FM	FORMATION	GIPSDALEN GP	2049	36	51	9999-12-31	2013-05-08
7128/4-1	1820.000000	2058.000000	GIPSDALEN GP	GROUP	\N	2049	51	\N	9999-12-31	2013-05-08
7128/4-1	1008.000000	1569.000000	HAVERT FM	FORMATION	SASSENDALEN GP	2049	58	140	9999-12-31	2013-05-08
7128/4-1	1704.000000	1820.000000	ISBJØRN FM	FORMATION	BJARMELAND GP	2049	72	12	9999-12-31	2013-05-08
7128/4-1	494.000000	504.000000	KAPP TOSCANA GP	GROUP	\N	2049	79	\N	9999-12-31	2013-05-08
7128/4-1	748.000000	1008.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	2049	80	140	9999-12-31	2013-05-08
7128/4-1	504.000000	748.000000	KOBBE FM	FORMATION	SASSENDALEN GP	2049	83	140	9999-12-31	2013-05-08
7128/4-1	394.000000	494.000000	NORDLAND GP	GROUP	\N	2049	113	\N	9999-12-31	2013-05-08
7128/4-1	1569.000000	1704.000000	RØYE FM	FORMATION	TEMPELFJORDEN GP	2049	138	167	9999-12-31	2013-05-08
7128/4-1	504.000000	1569.000000	SASSENDALEN GP	GROUP	\N	2049	140	\N	9999-12-31	2013-05-08
7128/4-1	494.000000	504.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	2049	150	79	9999-12-31	2013-05-08
7128/4-1	2351.000000	2503.000000	SOLDOGG FM	FORMATION	BILLEFJORDEN GP	2049	153	11	9999-12-31	2013-05-08
7128/4-1	1569.000000	1704.000000	TEMPELFJORDEN GP	GROUP	\N	2049	167	\N	9999-12-31	2013-05-08
7128/4-1	2058.000000	2351.000000	TETTEGRAS FM	FORMATION	BILLEFJORDEN GP	2049	168	11	9999-12-31	2013-05-08
7128/4-1	1820.000000	1952.000000	ØRN FM	FORMATION	GIPSDALEN GP	2049	195	51	9999-12-31	2013-05-08
2/10-2	2893.000000	2910.000000	BALDER FM	FORMATION	ROGALAND GP	2050	6	131	9999-12-31	2013-05-08
2/10-2	3561.000000	3566.000000	BLODØKS FM	FORMATION	SHETLAND GP	2050	13	143	9999-12-31	2013-05-08
2/10-2	3709.000000	3882.000000	CROMER KNOLL GP	GROUP	\N	2050	23	\N	9999-12-31	2013-05-08
2/10-2	3014.000000	3084.000000	EKOFISK FM	FORMATION	SHETLAND GP	2050	33	143	9999-12-31	2013-05-08
2/10-2	3566.000000	3709.000000	HIDRA FM	FORMATION	SHETLAND GP	2050	65	143	9999-12-31	2013-05-08
2/10-2	3221.000000	3561.000000	HOD FM	FORMATION	SHETLAND GP	2050	66	143	9999-12-31	2013-05-08
2/10-2	1508.000000	2893.000000	HORDALAND GP	GROUP	\N	2050	67	\N	9999-12-31	2013-05-08
2/10-2	2952.000000	2990.000000	LISTA FM	FORMATION	ROGALAND GP	2050	95	131	9999-12-31	2013-05-08
2/10-2	3882.000000	3905.000000	MANDAL FM	FORMATION	TYNE GP	2050	101	177	9999-12-31	2013-05-08
2/10-2	97.000000	1508.000000	NORDLAND GP	GROUP	\N	2050	113	\N	9999-12-31	2013-05-08
2/10-2	2893.000000	3014.000000	ROGALAND GP	GROUP	\N	2050	131	\N	9999-12-31	2013-05-08
2/10-2	4128.000000	4164.000000	ROTLIEGEND GP	GROUP	\N	2050	136	\N	9999-12-31	2013-05-08
2/10-2	3709.000000	3720.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2050	137	23	9999-12-31	2013-05-08
2/10-2	2910.000000	2952.000000	SELE FM	FORMATION	ROGALAND GP	2050	142	131	9999-12-31	2013-05-08
2/10-2	3014.000000	3709.000000	SHETLAND GP	GROUP	\N	2050	143	\N	9999-12-31	2013-05-08
2/10-2	3905.000000	4062.000000	SMITH BANK FM	FORMATION	HEGRE GP	2050	149	61	9999-12-31	2013-05-08
2/10-2	3084.000000	3221.000000	TOR FM	FORMATION	SHETLAND GP	2050	171	143	9999-12-31	2013-05-08
2/10-2	3882.000000	3905.000000	TYNE GP	GROUP	\N	2050	177	\N	9999-12-31	2013-05-08
2/10-2	2990.000000	3014.000000	VÅLE FM	FORMATION	ROGALAND GP	2050	190	131	9999-12-31	2013-05-08
2/10-2	4062.000000	4128.000000	ZECHSTEIN GP	GROUP	\N	2050	194	\N	9999-12-31	2013-05-08
2/10-2	3720.000000	3882.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2050	198	23	9999-12-31	2013-05-08
2/10-2	3905.000000	4062.000000	NO GROUP DEFINED	GROUP	\N	2050	208	\N	9999-12-31	2013-05-08
34/8-7 R	4970.000000	5086.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2057	4	29	9999-12-31	2013-05-08
34/8-7 R	1875.000000	1928.000000	BALDER FM	FORMATION	ROGALAND GP	2057	6	131	9999-12-31	2013-05-08
34/8-7 R	4633.000000	4767.000000	BRENT GP	GROUP	\N	2057	16	\N	9999-12-31	2013-05-08
34/8-7 R	4764.000000	4767.000000	BROOM FM	FORMATION	BRENT GP	2057	17	16	9999-12-31	2013-05-08
34/8-7 R	4953.000000	4970.000000	BURTON FM	FORMATION	DUNLIN GP	2057	20	29	9999-12-31	2013-05-08
34/8-7 R	4034.000000	4466.000000	CROMER KNOLL GP	GROUP	\N	2057	23	\N	9999-12-31	2013-05-08
34/8-7 R	4808.000000	4953.000000	COOK FM	FORMATION	DUNLIN GP	2057	24	29	9999-12-31	2013-05-08
34/8-7 R	4466.000000	4584.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2057	26	188	9999-12-31	2013-05-08
34/8-7 R	4767.000000	4808.000000	DRAKE FM	FORMATION	DUNLIN GP	2057	27	29	9999-12-31	2013-05-08
34/8-7 R	4584.000000	4595.000000	DRAUPNE FM	FORMATION	VIKING GP	2057	28	188	9999-12-31	2013-05-08
34/8-7 R	4767.000000	5118.000000	DUNLIN GP	GROUP	\N	2057	29	\N	9999-12-31	2013-05-08
34/8-7 R	4699.000000	4714.000000	ETIVE FM	FORMATION	BRENT GP	2057	35	16	9999-12-31	2013-05-08
34/8-7 R	4595.000000	4633.000000	HEATHER FM	FORMATION	VIKING GP	2057	60	188	9999-12-31	2013-05-08
34/8-7 R	5208.000000	5460.000000	HEGRE GP	GROUP	\N	2057	61	\N	9999-12-31	2013-05-08
34/8-7 R	2022.000000	2037.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2057	62	131	9999-12-31	2013-05-08
34/8-7 R	1160.000000	1875.000000	HORDALAND GP	GROUP	\N	2057	67	\N	9999-12-31	2013-05-08
34/8-7 R	2081.000000	2320.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2057	74	143	9999-12-31	2013-05-08
34/8-7 R	2320.000000	3260.000000	KYRRE FM	FORMATION	SHETLAND GP	2057	92	143	9999-12-31	2013-05-08
34/8-7 R	1928.000000	2022.000000	LISTA FM	FORMATION	ROGALAND GP	2057	95	131	9999-12-31	2013-05-08
34/8-7 R	2037.000000	2081.000000	LISTA FM	FORMATION	ROGALAND GP	2057	95	131	9999-12-31	2013-05-08
34/8-7 R	5208.000000	5460.000000	LUNDE FM	FORMATION	HEGRE GP	2057	97	61	9999-12-31	2013-05-08
34/8-7 R	4655.000000	4699.000000	NESS FM	FORMATION	BRENT GP	2057	110	16	9999-12-31	2013-05-08
34/8-7 R	1406.000000	1413.000000	NO FORMAL NAME	FORMATION	\N	2057	111	\N	9999-12-31	2013-05-08
34/8-7 R	1413.000000	1630.000000	NO FORMAL NAME	FORMATION	\N	2057	111	\N	9999-12-31	2013-05-08
34/8-7 R	1630.000000	1654.000000	NO FORMAL NAME	FORMATION	\N	2057	111	\N	9999-12-31	2013-05-08
34/8-7 R	1654.000000	1875.000000	NO FORMAL NAME	FORMATION	\N	2057	111	\N	9999-12-31	2013-05-08
34/8-7 R	5086.000000	5106.000000	NO FORMAL NAME	FORMATION	\N	2057	111	\N	9999-12-31	2013-05-08
34/8-7 R	5106.000000	5118.000000	NO FORMAL NAME	FORMATION	\N	2057	111	\N	9999-12-31	2013-05-08
34/8-7 R	358.000000	1160.000000	NORDLAND GP	GROUP	\N	2057	113	\N	9999-12-31	2013-05-08
34/8-7 R	4714.000000	4764.000000	RANNOCH FM	FORMATION	BRENT GP	2057	126	16	9999-12-31	2013-05-08
34/8-7 R	1875.000000	2081.000000	ROGALAND GP	GROUP	\N	2057	131	\N	9999-12-31	2013-05-08
34/8-7 R	4034.000000	4298.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2057	137	23	9999-12-31	2013-05-08
34/8-7 R	2081.000000	4034.000000	SHETLAND GP	GROUP	\N	2057	143	\N	9999-12-31	2013-05-08
34/8-7 R	4298.000000	4374.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2057	152	23	9999-12-31	2013-05-08
34/8-7 R	5118.000000	5208.000000	STATFJORD FM	FORMATION	\N	2057	157	\N	9999-12-31	2013-05-08
34/8-7 R	3826.000000	4034.000000	SVARTE FM	FORMATION	SHETLAND GP	2057	160	143	9999-12-31	2013-05-08
34/8-7 R	4633.000000	4655.000000	TARBERT FM	FORMATION	BRENT GP	2057	162	16	9999-12-31	2013-05-08
34/8-7 R	3260.000000	3826.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2057	173	143	9999-12-31	2013-05-08
34/8-7 R	1071.000000	1160.000000	UTSIRA FM	FORMATION	NORDLAND GP	2057	183	113	9999-12-31	2013-05-08
34/8-7 R	4466.000000	4633.000000	VIKING GP	GROUP	\N	2057	188	\N	9999-12-31	2013-05-08
34/8-7 R	4374.000000	4466.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2057	198	23	9999-12-31	2013-05-08
34/8-7 R	5118.000000	5208.000000	NO GROUP DEFINED	GROUP	\N	2057	208	\N	9999-12-31	2013-05-08
31/5-5	1295.000000	1375.000000	BALDER FM	FORMATION	ROGALAND GP	2059	6	131	9999-12-31	2013-05-08
31/5-5	1554.000000	1572.000000	CROMER KNOLL GP	GROUP	\N	2059	23	\N	9999-12-31	2013-05-08
31/5-5	1725.000000	1855.000000	FENSFJORD FM	FORMATION	VIKING GP	2059	40	188	9999-12-31	2013-05-08
31/5-5	1660.000000	1725.000000	HEATHER FM	FORMATION	VIKING GP	2059	60	188	9999-12-31	2013-05-08
31/5-5	741.000000	1295.000000	HORDALAND GP	GROUP	\N	2059	67	\N	9999-12-31	2013-05-08
31/5-5	1855.000000	1930.000000	KROSSFJORD FM	FORMATION	VIKING GP	2059	87	188	9999-12-31	2013-05-08
31/5-5	1404.000000	1529.000000	LISTA FM	FORMATION	ROGALAND GP	2059	95	131	9999-12-31	2013-05-08
31/5-5	348.000000	741.000000	NORDLAND GP	GROUP	\N	2059	113	\N	9999-12-31	2013-05-08
31/5-5	1295.000000	1529.000000	ROGALAND GP	GROUP	\N	2059	131	\N	9999-12-31	2013-05-08
31/5-5	1375.000000	1404.000000	SELE FM	FORMATION	ROGALAND GP	2059	142	131	9999-12-31	2013-05-08
31/5-5	1529.000000	1554.000000	SHETLAND GP	GROUP	\N	2059	143	\N	9999-12-31	2013-05-08
31/5-5	1572.000000	1660.000000	SOGNEFJORD FM	FORMATION	VIKING GP	2059	151	188	9999-12-31	2013-05-08
31/5-5	1572.000000	1930.000000	VIKING GP	GROUP	\N	2059	188	\N	9999-12-31	2013-05-08
34/7-21 A	1711.000000	1754.000000	BALDER FM	FORMATION	ROGALAND GP	2068	6	131	9999-12-31	2013-05-08
34/7-21 A	3306.000000	3360.000000	BRENT GP	GROUP	\N	2068	16	\N	9999-12-31	2013-05-08
34/7-21 A	2847.000000	2870.000000	CROMER KNOLL GP	GROUP	\N	2068	23	\N	9999-12-31	2013-05-08
34/7-21 A	2870.000000	2905.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2068	26	188	9999-12-31	2013-05-08
34/7-21 A	2960.000000	2962.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2068	26	188	9999-12-31	2013-05-08
34/7-21 A	2905.000000	2960.000000	DRAUPNE FM	FORMATION	VIKING GP	2068	28	188	9999-12-31	2013-05-08
34/7-21 A	2962.000000	3030.000000	DRAUPNE FM	FORMATION	VIKING GP	2068	28	188	9999-12-31	2013-05-08
34/7-21 A	3030.000000	3036.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	2068	59	188	9999-12-31	2013-05-08
34/7-21 A	3036.000000	3306.000000	HEATHER FM	FORMATION	VIKING GP	2068	60	188	9999-12-31	2013-05-08
34/7-21 A	1040.000000	1711.000000	HORDALAND GP	GROUP	\N	2068	67	\N	9999-12-31	2013-05-08
34/7-21 A	1900.000000	2180.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2068	74	143	9999-12-31	2013-05-08
34/7-21 A	2180.000000	2847.000000	KYRRE FM	FORMATION	SHETLAND GP	2068	92	143	9999-12-31	2013-05-08
34/7-21 A	1754.000000	1876.000000	LISTA FM	FORMATION	ROGALAND GP	2068	95	131	9999-12-31	2013-05-08
34/7-21 A	1890.000000	1900.000000	LISTA FM	FORMATION	ROGALAND GP	2068	95	131	9999-12-31	2013-05-08
34/7-21 A	2851.000000	2870.000000	MIME FM	FORMATION	CROMER KNOLL GP	2068	106	23	9999-12-31	2013-05-08
34/7-21 A	1200.000000	1278.000000	NO FORMAL NAME	FORMATION	\N	2068	111	\N	9999-12-31	2013-05-08
34/7-21 A	1278.000000	1322.000000	NO FORMAL NAME	FORMATION	\N	2068	111	\N	9999-12-31	2013-05-08
34/7-21 A	1322.000000	1403.000000	NO FORMAL NAME	FORMATION	\N	2068	111	\N	9999-12-31	2013-05-08
34/7-21 A	1403.000000	1711.000000	NO FORMAL NAME	FORMATION	\N	2068	111	\N	9999-12-31	2013-05-08
34/7-21 A	1876.000000	1890.000000	NO FORMAL NAME	FORMATION	\N	2068	111	\N	9999-12-31	2013-05-08
34/7-21 A	218.000000	1040.000000	NORDLAND GP	GROUP	\N	2068	113	\N	9999-12-31	2013-05-08
34/7-21 A	1711.000000	1900.000000	ROGALAND GP	GROUP	\N	2068	131	\N	9999-12-31	2013-05-08
34/7-21 A	2847.000000	2851.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2068	137	23	9999-12-31	2013-05-08
34/7-21 A	1900.000000	2847.000000	SHETLAND GP	GROUP	\N	2068	143	\N	9999-12-31	2013-05-08
34/7-21 A	3306.000000	3360.000000	TARBERT FM	FORMATION	BRENT GP	2068	162	16	9999-12-31	2013-05-08
34/7-21 A	929.000000	1040.000000	UTSIRA FM	FORMATION	NORDLAND GP	2068	183	113	9999-12-31	2013-05-08
34/7-21 A	2870.000000	3306.000000	VIKING GP	GROUP	\N	2068	188	\N	9999-12-31	2013-05-08
16/1-4	1686.000000	1696.000000	BALDER FM	FORMATION	ROGALAND GP	2072	6	131	9999-12-31	2013-05-08
16/1-4	1864.000000	2010.000000	BASEMENT	GROUP	\N	2072	10	\N	9999-12-31	2013-05-08
16/1-4	1860.000000	1864.000000	CROMER KNOLL GP	GROUP	\N	2072	23	\N	9999-12-31	2013-05-08
16/1-4	1834.000000	1860.000000	EKOFISK FM	FORMATION	SHETLAND GP	2072	33	143	9999-12-31	2013-05-08
16/1-4	1539.000000	1556.000000	GRID FM	FORMATION	HORDALAND GP	2072	53	67	9999-12-31	2013-05-08
16/1-4	1584.000000	1626.000000	GRID FM	FORMATION	HORDALAND GP	2072	53	67	9999-12-31	2013-05-08
16/1-4	918.000000	1686.000000	HORDALAND GP	GROUP	\N	2072	67	\N	9999-12-31	2013-05-08
16/1-4	1734.000000	1817.000000	LISTA FM	FORMATION	ROGALAND GP	2072	95	131	9999-12-31	2013-05-08
16/1-4	848.000000	918.000000	NO FORMAL NAME	FORMATION	\N	2072	111	\N	9999-12-31	2013-05-08
16/1-4	1170.000000	1539.000000	NO FORMAL NAME	FORMATION	\N	2072	111	\N	9999-12-31	2013-05-08
16/1-4	1556.000000	1584.000000	NO FORMAL NAME	FORMATION	\N	2072	111	\N	9999-12-31	2013-05-08
16/1-4	1626.000000	1686.000000	NO FORMAL NAME	FORMATION	\N	2072	111	\N	9999-12-31	2013-05-08
16/1-4	135.000000	918.000000	NORDLAND GP	GROUP	\N	2072	113	\N	9999-12-31	2013-05-08
16/1-4	1686.000000	1834.000000	ROGALAND GP	GROUP	\N	2072	131	\N	9999-12-31	2013-05-08
16/1-4	1696.000000	1734.000000	SELE FM	FORMATION	ROGALAND GP	2072	142	131	9999-12-31	2013-05-08
16/1-4	1834.000000	1860.000000	SHETLAND GP	GROUP	\N	2072	143	\N	9999-12-31	2013-05-08
16/1-4	918.000000	1170.000000	SKADE FM	FORMATION	HORDALAND GP	2072	145	67	9999-12-31	2013-05-08
16/1-4	1860.000000	1864.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2072	152	23	9999-12-31	2013-05-08
16/1-4	768.000000	848.000000	UTSIRA FM	FORMATION	NORDLAND GP	2072	183	113	9999-12-31	2013-05-08
16/1-4	1817.000000	1834.000000	VÅLE FM	FORMATION	ROGALAND GP	2072	190	131	9999-12-31	2013-05-08
30/9-14	2141.000000	2200.000000	BALDER FM	FORMATION	ROGALAND GP	2076	6	131	9999-12-31	2013-05-08
30/9-14	3060.000000	3512.000000	BRENT GP	GROUP	\N	2076	16	\N	9999-12-31	2013-05-08
30/9-14	2919.000000	2968.000000	CROMER KNOLL GP	GROUP	\N	2076	23	\N	9999-12-31	2013-05-08
30/9-14	3512.000000	3680.000000	DRAKE FM	FORMATION	DUNLIN GP	2076	27	29	9999-12-31	2013-05-08
30/9-14	2968.000000	2974.000000	DRAUPNE FM	FORMATION	VIKING GP	2076	28	188	9999-12-31	2013-05-08
30/9-14	3512.000000	3680.000000	DUNLIN GP	GROUP	\N	2076	29	\N	9999-12-31	2013-05-08
30/9-14	1443.000000	1478.000000	GRID FM	FORMATION	HORDALAND GP	2076	53	67	9999-12-31	2013-05-08
30/9-14	1538.000000	1571.000000	GRID FM	FORMATION	HORDALAND GP	2076	53	67	9999-12-31	2013-05-08
30/9-14	2438.000000	2682.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2076	56	143	9999-12-31	2013-05-08
30/9-14	2994.000000	3060.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	2076	59	188	9999-12-31	2013-05-08
30/9-14	2974.000000	2994.000000	HEATHER FM	FORMATION	VIKING GP	2076	60	188	9999-12-31	2013-05-08
30/9-14	840.000000	2141.000000	HORDALAND GP	GROUP	\N	2076	67	\N	9999-12-31	2013-05-08
30/9-14	2682.000000	2919.000000	KYRRE FM	FORMATION	SHETLAND GP	2076	92	143	9999-12-31	2013-05-08
30/9-14	2265.000000	2438.000000	LISTA FM	FORMATION	ROGALAND GP	2076	95	131	9999-12-31	2013-05-08
30/9-14	2965.000000	2968.000000	MIME FM	FORMATION	CROMER KNOLL GP	2076	106	23	9999-12-31	2013-05-08
30/9-14	3236.000000	3509.000000	NESS FM	FORMATION	BRENT GP	2076	110	16	9999-12-31	2013-05-08
30/9-14	1046.000000	1443.000000	NO FORMAL NAME	FORMATION	\N	2076	111	\N	9999-12-31	2013-05-08
30/9-14	1478.000000	1538.000000	NO FORMAL NAME	FORMATION	\N	2076	111	\N	9999-12-31	2013-05-08
30/9-14	1571.000000	2141.000000	NO FORMAL NAME	FORMATION	\N	2076	111	\N	9999-12-31	2013-05-08
30/9-14	130.000000	840.000000	NORDLAND GP	GROUP	\N	2076	113	\N	9999-12-31	2013-05-08
30/9-14	2141.000000	2438.000000	ROGALAND GP	GROUP	\N	2076	131	\N	9999-12-31	2013-05-08
30/9-14	2919.000000	2955.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2076	137	23	9999-12-31	2013-05-08
30/9-14	2200.000000	2265.000000	SELE FM	FORMATION	ROGALAND GP	2076	142	131	9999-12-31	2013-05-08
30/9-14	2438.000000	2919.000000	SHETLAND GP	GROUP	\N	2076	143	\N	9999-12-31	2013-05-08
30/9-14	923.000000	1046.000000	SKADE FM	FORMATION	HORDALAND GP	2076	145	67	9999-12-31	2013-05-08
30/9-14	2955.000000	2965.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2076	152	23	9999-12-31	2013-05-08
30/9-14	3060.000000	3236.000000	TARBERT FM	FORMATION	BRENT GP	2076	162	16	9999-12-31	2013-05-08
30/9-14	3509.000000	3512.000000	UNDIFFERENTIATED	FORMATION	\N	2076	182	\N	9999-12-31	2013-05-08
30/9-14	617.000000	840.000000	UTSIRA FM	FORMATION	NORDLAND GP	2076	183	113	9999-12-31	2013-05-08
30/9-14	2968.000000	3060.000000	VIKING GP	GROUP	\N	2076	188	\N	9999-12-31	2013-05-08
34/8-8 R	3286.000000	3387.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2080	4	29	9999-12-31	2013-05-08
34/8-8 R	1829.000000	1873.000000	BALDER FM	FORMATION	ROGALAND GP	2080	6	131	9999-12-31	2013-05-08
34/8-8 R	2921.000000	3077.000000	BRENT GP	GROUP	\N	2080	16	\N	9999-12-31	2013-05-08
34/8-8 R	3260.000000	3286.000000	BURTON FM	FORMATION	DUNLIN GP	2080	20	29	9999-12-31	2013-05-08
34/8-8 R	2877.000000	2900.000000	CROMER KNOLL GP	GROUP	\N	2080	23	\N	9999-12-31	2013-05-08
34/8-8 R	3122.000000	3260.000000	COOK FM	FORMATION	DUNLIN GP	2080	24	29	9999-12-31	2013-05-08
34/8-8 R	3077.000000	3122.000000	DRAKE FM	FORMATION	DUNLIN GP	2080	27	29	9999-12-31	2013-05-08
34/8-8 R	2900.000000	2902.000000	DRAUPNE FM	FORMATION	VIKING GP	2080	28	188	9999-12-31	2013-05-08
34/8-8 R	3077.000000	3387.000000	DUNLIN GP	GROUP	\N	2080	29	\N	9999-12-31	2013-05-08
34/8-8 R	2967.000000	3007.000000	ETIVE FM	FORMATION	BRENT GP	2080	35	16	9999-12-31	2013-05-08
34/8-8 R	2902.000000	2921.000000	HEATHER FM	FORMATION	VIKING GP	2080	60	188	9999-12-31	2013-05-08
34/8-8 R	3474.000000	3624.000000	HEGRE GP	GROUP	\N	2080	61	\N	9999-12-31	2013-05-08
34/8-8 R	1190.000000	1829.000000	HORDALAND GP	GROUP	\N	2080	67	\N	9999-12-31	2013-05-08
34/8-8 R	1998.000000	2231.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2080	74	143	9999-12-31	2013-05-08
34/8-8 R	2231.000000	2877.000000	KYRRE FM	FORMATION	SHETLAND GP	2080	92	143	9999-12-31	2013-05-08
34/8-8 R	1873.000000	1998.000000	LISTA FM	FORMATION	ROGALAND GP	2080	95	131	9999-12-31	2013-05-08
34/8-8 R	3474.000000	3624.000000	LUNDE FM	FORMATION	HEGRE GP	2080	97	61	9999-12-31	2013-05-08
34/8-8 R	2935.000000	2967.000000	NESS FM	FORMATION	BRENT GP	2080	110	16	9999-12-31	2013-05-08
34/8-8 R	1164.000000	1190.000000	NO FORMAL NAME	FORMATION	\N	2080	111	\N	9999-12-31	2013-05-08
34/8-8 R	1368.000000	1401.000000	NO FORMAL NAME	FORMATION	\N	2080	111	\N	9999-12-31	2013-05-08
34/8-8 R	1401.000000	1527.000000	NO FORMAL NAME	FORMATION	\N	2080	111	\N	9999-12-31	2013-05-08
34/8-8 R	1527.000000	1559.000000	NO FORMAL NAME	FORMATION	\N	2080	111	\N	9999-12-31	2013-05-08
34/8-8 R	1559.000000	1829.000000	NO FORMAL NAME	FORMATION	\N	2080	111	\N	9999-12-31	2013-05-08
34/8-8 R	364.000000	1190.000000	NORDLAND GP	GROUP	\N	2080	113	\N	9999-12-31	2013-05-08
34/8-8 R	3007.000000	3077.000000	RANNOCH FM	FORMATION	BRENT GP	2080	126	16	9999-12-31	2013-05-08
34/8-8 R	1829.000000	1998.000000	ROGALAND GP	GROUP	\N	2080	131	\N	9999-12-31	2013-05-08
34/8-8 R	1998.000000	2877.000000	SHETLAND GP	GROUP	\N	2080	143	\N	9999-12-31	2013-05-08
34/8-8 R	2877.000000	2883.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2080	152	23	9999-12-31	2013-05-08
34/8-8 R	3387.000000	3474.000000	STATFJORD FM	FORMATION	\N	2080	157	\N	9999-12-31	2013-05-08
34/8-8 R	2921.000000	2935.000000	TARBERT FM	FORMATION	BRENT GP	2080	162	16	9999-12-31	2013-05-08
34/8-8 R	1115.000000	1164.000000	UTSIRA FM	FORMATION	NORDLAND GP	2080	183	113	9999-12-31	2013-05-08
34/8-8 R	2900.000000	2921.000000	VIKING GP	GROUP	\N	2080	188	\N	9999-12-31	2013-05-08
34/8-8 R	2883.000000	2900.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2080	198	23	9999-12-31	2013-05-08
34/8-8 R	3387.000000	3474.000000	NO GROUP DEFINED	GROUP	\N	2080	208	\N	9999-12-31	2013-05-08
15/6-7	2258.000000	2302.000000	BALDER FM	FORMATION	ROGALAND GP	2084	6	131	9999-12-31	2013-05-08
15/6-7	3188.000000	3196.000000	BLODØKS FM	FORMATION	SHETLAND GP	2084	13	143	9999-12-31	2013-05-08
15/6-7	3219.000000	3233.000000	CROMER KNOLL GP	GROUP	\N	2084	23	\N	9999-12-31	2013-05-08
15/6-7	3292.000000	3353.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2084	26	188	9999-12-31	2013-05-08
15/6-7	3233.000000	3292.000000	DRAUPNE FM	FORMATION	VIKING GP	2084	28	188	9999-12-31	2013-05-08
15/6-7	2676.000000	2740.000000	EKOFISK FM	FORMATION	SHETLAND GP	2084	33	143	9999-12-31	2013-05-08
15/6-7	1836.000000	2108.000000	GRID FM	FORMATION	HORDALAND GP	2084	53	67	9999-12-31	2013-05-08
15/6-7	3353.000000	3391.000000	HEATHER FM	FORMATION	VIKING GP	2084	60	188	9999-12-31	2013-05-08
15/6-7	2427.000000	2606.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2084	62	131	9999-12-31	2013-05-08
15/6-7	2984.000000	3188.000000	HOD FM	FORMATION	SHETLAND GP	2084	66	143	9999-12-31	2013-05-08
15/6-7	993.000000	2258.000000	HORDALAND GP	GROUP	\N	2084	67	\N	9999-12-31	2013-05-08
15/6-7	3391.000000	3411.000000	HUGIN FM	FORMATION	VESTLAND GP	2084	69	186	9999-12-31	2013-05-08
15/6-7	2369.000000	2427.000000	LISTA FM	FORMATION	ROGALAND GP	2084	95	131	9999-12-31	2013-05-08
15/6-7	2606.000000	2645.000000	LISTA FM	FORMATION	ROGALAND GP	2084	95	131	9999-12-31	2013-05-08
15/6-7	1233.000000	1307.000000	NO FORMAL NAME	FORMATION	\N	2084	111	\N	9999-12-31	2013-05-08
15/6-7	1317.000000	1370.000000	NO FORMAL NAME	FORMATION	\N	2084	111	\N	9999-12-31	2013-05-08
15/6-7	1406.000000	1836.000000	NO FORMAL NAME	FORMATION	\N	2084	111	\N	9999-12-31	2013-05-08
15/6-7	2108.000000	2258.000000	NO FORMAL NAME	FORMATION	\N	2084	111	\N	9999-12-31	2013-05-08
15/6-7	132.000000	993.000000	NORDLAND GP	GROUP	\N	2084	113	\N	9999-12-31	2013-05-08
15/6-7	2258.000000	2676.000000	ROGALAND GP	GROUP	\N	2084	131	\N	9999-12-31	2013-05-08
15/6-7	3219.000000	3230.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2084	137	23	9999-12-31	2013-05-08
15/6-7	2302.000000	2369.000000	SELE FM	FORMATION	ROGALAND GP	2084	142	131	9999-12-31	2013-05-08
15/6-7	2676.000000	3219.000000	SHETLAND GP	GROUP	\N	2084	143	\N	9999-12-31	2013-05-08
15/6-7	1102.000000	1233.000000	SKADE FM	FORMATION	HORDALAND GP	2084	145	67	9999-12-31	2013-05-08
15/6-7	1307.000000	1317.000000	SKADE FM	FORMATION	HORDALAND GP	2084	145	67	9999-12-31	2013-05-08
15/6-7	1370.000000	1406.000000	SKADE FM	FORMATION	HORDALAND GP	2084	145	67	9999-12-31	2013-05-08
15/6-7	3411.000000	3476.000000	SKAGERRAK FM	FORMATION	HEGRE GP	2084	146	61	9999-12-31	2013-05-08
15/6-7	3476.000000	3540.000000	SMITH BANK FM	FORMATION	HEGRE GP	2084	149	61	9999-12-31	2013-05-08
15/6-7	3196.000000	3219.000000	SVARTE FM	FORMATION	SHETLAND GP	2084	160	143	9999-12-31	2013-05-08
15/6-7	2740.000000	2984.000000	TOR FM	FORMATION	SHETLAND GP	2084	171	143	9999-12-31	2013-05-08
15/6-7	772.000000	993.000000	UTSIRA FM	FORMATION	NORDLAND GP	2084	183	113	9999-12-31	2013-05-08
15/6-7	3391.000000	3411.000000	VESTLAND GP	GROUP	\N	2084	186	\N	9999-12-31	2013-05-08
15/6-7	3233.000000	3391.000000	VIKING GP	GROUP	\N	2084	188	\N	9999-12-31	2013-05-08
15/6-7	2645.000000	2676.000000	VÅLE FM	FORMATION	ROGALAND GP	2084	190	131	9999-12-31	2013-05-08
15/6-7	3230.000000	3233.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2084	198	23	9999-12-31	2013-05-08
15/6-7	3411.000000	3540.000000	NO GROUP DEFINED	GROUP	\N	2084	208	\N	9999-12-31	2013-05-08
25/2-15 R	2184.000000	2212.000000	BALDER FM	FORMATION	ROGALAND GP	2095	6	131	9999-12-31	2013-05-08
25/2-15 R	3350.000000	3369.000000	BLODØKS FM	FORMATION	SHETLAND GP	2095	13	143	9999-12-31	2013-05-08
25/2-15 R	3469.000000	3475.000000	DRAUPNE FM	FORMATION	VIKING GP	2095	28	188	9999-12-31	2013-05-08
25/2-15 R	2688.000000	2827.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2095	56	143	9999-12-31	2013-05-08
25/2-15 R	3475.000000	3509.000000	HEATHER FM	FORMATION	VIKING GP	2095	60	188	9999-12-31	2013-05-08
25/2-15 R	2212.000000	2381.000000	HERMOD FM	FORMATION	ROGALAND GP	2095	64	131	9999-12-31	2013-05-08
25/2-15 R	1063.000000	2184.000000	HORDALAND GP	GROUP	\N	2095	67	\N	9999-12-31	2013-05-08
25/2-15 R	2827.000000	3193.000000	KYRRE FM	FORMATION	SHETLAND GP	2095	92	143	9999-12-31	2013-05-08
25/2-15 R	2381.000000	2506.000000	LISTA FM	FORMATION	ROGALAND GP	2095	95	131	9999-12-31	2013-05-08
25/2-15 R	1351.000000	2184.000000	NO FORMAL NAME	FORMATION	\N	2095	111	\N	9999-12-31	2013-05-08
25/2-15 R	142.000000	1063.000000	NORDLAND GP	GROUP	\N	2095	113	\N	9999-12-31	2013-05-08
25/2-15 R	2184.000000	2688.000000	ROGALAND GP	GROUP	\N	2095	131	\N	9999-12-31	2013-05-08
25/2-15 R	2688.000000	3469.000000	SHETLAND GP	GROUP	\N	2095	143	\N	9999-12-31	2013-05-08
25/2-15 R	1322.000000	1351.000000	SKADE FM	FORMATION	HORDALAND GP	2095	145	67	9999-12-31	2013-05-08
25/2-15 R	3369.000000	3469.000000	SVARTE FM	FORMATION	SHETLAND GP	2095	160	143	9999-12-31	2013-05-08
25/2-15 R	3193.000000	3350.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2095	173	143	9999-12-31	2013-05-08
25/2-15 R	2506.000000	2587.000000	TY FM	FORMATION	ROGALAND GP	2095	176	131	9999-12-31	2013-05-08
25/2-15 R	266.000000	1063.000000	UTSIRA FM	FORMATION	NORDLAND GP	2095	183	113	9999-12-31	2013-05-08
25/2-15 R	3469.000000	3509.000000	VIKING GP	GROUP	\N	2095	188	\N	9999-12-31	2013-05-08
25/2-15 R	2587.000000	2688.000000	VÅLE FM	FORMATION	ROGALAND GP	2095	190	131	9999-12-31	2013-05-08
15/9-19 SR	3302.000000	3403.000000	BALDER FM	FORMATION	ROGALAND GP	2105	6	131	9999-12-31	2013-05-08
15/9-19 SR	4150.000000	4168.000000	BLODØKS FM	FORMATION	SHETLAND GP	2105	13	143	9999-12-31	2013-05-08
15/9-19 SR	4176.000000	4304.000000	CROMER KNOLL GP	GROUP	\N	2105	23	\N	9999-12-31	2013-05-08
15/9-19 SR	4304.000000	4310.000000	DRAUPNE FM	FORMATION	VIKING GP	2105	28	188	9999-12-31	2013-05-08
15/9-19 SR	3827.000000	3850.000000	EKOFISK FM	FORMATION	SHETLAND GP	2105	33	143	9999-12-31	2013-05-08
15/9-19 SR	3008.000000	3240.000000	GRID FM	FORMATION	HORDALAND GP	2105	53	67	9999-12-31	2013-05-08
15/9-19 SR	4310.000000	4317.000000	HEATHER FM	FORMATION	VIKING GP	2105	60	188	9999-12-31	2013-05-08
15/9-19 SR	3623.000000	3827.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2105	62	131	9999-12-31	2013-05-08
15/9-19 SR	4047.000000	4110.000000	HOD FM	FORMATION	SHETLAND GP	2105	66	143	9999-12-31	2013-05-08
15/9-19 SR	1108.000000	3302.000000	HORDALAND GP	GROUP	\N	2105	67	\N	9999-12-31	2013-05-08
15/9-19 SR	4317.000000	4340.000000	HUGIN FM	FORMATION	VESTLAND GP	2105	69	186	9999-12-31	2013-05-08
15/9-19 SR	3483.000000	3623.000000	LISTA FM	FORMATION	ROGALAND GP	2105	95	131	9999-12-31	2013-05-08
15/9-19 SR	1451.000000	3008.000000	NO FORMAL NAME	FORMATION	\N	2105	111	\N	9999-12-31	2013-05-08
15/9-19 SR	3240.000000	3302.000000	NO FORMAL NAME	FORMATION	\N	2105	111	\N	9999-12-31	2013-05-08
15/9-19 SR	106.000000	1108.000000	NORDLAND GP	GROUP	\N	2105	113	\N	9999-12-31	2013-05-08
15/9-19 SR	3302.000000	3827.000000	ROGALAND GP	GROUP	\N	2105	131	\N	9999-12-31	2013-05-08
15/9-19 SR	4176.000000	4188.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2105	137	23	9999-12-31	2013-05-08
15/9-19 SR	3403.000000	3483.000000	SELE FM	FORMATION	ROGALAND GP	2105	142	131	9999-12-31	2013-05-08
15/9-19 SR	3827.000000	4176.000000	SHETLAND GP	GROUP	\N	2105	143	\N	9999-12-31	2013-05-08
15/9-19 SR	1313.000000	1451.000000	SKADE FM	FORMATION	HORDALAND GP	2105	145	67	9999-12-31	2013-05-08
15/9-19 SR	4340.000000	4641.000000	SKAGERRAK FM	FORMATION	HEGRE GP	2105	146	61	9999-12-31	2013-05-08
15/9-19 SR	4188.000000	4201.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2105	152	23	9999-12-31	2013-05-08
15/9-19 SR	4168.000000	4176.000000	SVARTE FM	FORMATION	SHETLAND GP	2105	160	143	9999-12-31	2013-05-08
15/9-19 SR	3850.000000	4047.000000	TOR FM	FORMATION	SHETLAND GP	2105	171	143	9999-12-31	2013-05-08
15/9-19 SR	4110.000000	4150.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2105	173	143	9999-12-31	2013-05-08
15/9-19 SR	848.000000	1108.000000	UTSIRA FM	FORMATION	NORDLAND GP	2105	183	113	9999-12-31	2013-05-08
15/9-19 SR	4317.000000	4340.000000	VESTLAND GP	GROUP	\N	2105	186	\N	9999-12-31	2013-05-08
15/9-19 SR	4304.000000	4317.000000	VIKING GP	GROUP	\N	2105	188	\N	9999-12-31	2013-05-08
15/9-19 SR	4201.000000	4304.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2105	198	23	9999-12-31	2013-05-08
15/9-19 SR	4340.000000	4641.000000	NO GROUP DEFINED	GROUP	\N	2105	208	\N	9999-12-31	2013-05-08
31/2-17 BR	1417.000000	1459.000000	BALDER FM	FORMATION	ROGALAND GP	2106	6	131	9999-12-31	2013-05-08
31/2-17 BR	1691.000000	1696.000000	DRAUPNE FM	FORMATION	VIKING GP	2106	28	188	9999-12-31	2013-05-08
31/2-17 BR	808.000000	1417.000000	HORDALAND GP	GROUP	\N	2106	67	\N	9999-12-31	2013-05-08
31/2-17 BR	1506.000000	1673.000000	LISTA FM	FORMATION	ROGALAND GP	2106	95	131	9999-12-31	2013-05-08
31/2-17 BR	370.000000	808.000000	NORDLAND GP	GROUP	\N	2106	113	\N	9999-12-31	2013-05-08
31/2-17 BR	1417.000000	1691.000000	ROGALAND GP	GROUP	\N	2106	131	\N	9999-12-31	2013-05-08
31/2-17 BR	1459.000000	1506.000000	SELE FM	FORMATION	ROGALAND GP	2106	142	131	9999-12-31	2013-05-08
31/2-17 BR	1696.000000	1843.000000	SOGNEFJORD FM	FORMATION	VIKING GP	2106	151	188	9999-12-31	2013-05-08
31/2-17 BR	1691.000000	1843.000000	VIKING GP	GROUP	\N	2106	188	\N	9999-12-31	2013-05-08
31/2-17 BR	1673.000000	1691.000000	VÅLE FM	FORMATION	ROGALAND GP	2106	190	131	9999-12-31	2013-05-08
7/7-3	2796.000000	2808.000000	ANDREW FM	FORMATION	ROGALAND GP	2113	5	131	9999-12-31	2013-05-08
7/7-3	2589.000000	2628.000000	BALDER FM	FORMATION	ROGALAND GP	2113	6	131	9999-12-31	2013-05-08
7/7-3	3264.000000	3413.000000	CROMER KNOLL GP	GROUP	\N	2113	23	\N	9999-12-31	2013-05-08
7/7-3	2821.000000	2949.000000	EKOFISK FM	FORMATION	SHETLAND GP	2113	33	143	9999-12-31	2013-05-08
7/7-3	3440.000000	3491.000000	FARSUND FM	FORMATION	TYNE GP	2113	39	177	9999-12-31	2013-05-08
7/7-3	3081.000000	3264.000000	HOD FM	FORMATION	SHETLAND GP	2113	66	143	9999-12-31	2013-05-08
7/7-3	1222.000000	2589.000000	HORDALAND GP	GROUP	\N	2113	67	\N	9999-12-31	2013-05-08
7/7-3	2758.000000	2796.000000	LISTA FM	FORMATION	ROGALAND GP	2113	95	131	9999-12-31	2013-05-08
7/7-3	3413.000000	3440.000000	MANDAL FM	FORMATION	TYNE GP	2113	101	177	9999-12-31	2013-05-08
7/7-3	106.000000	1222.000000	NORDLAND GP	GROUP	\N	2113	113	\N	9999-12-31	2013-05-08
7/7-3	2589.000000	2821.000000	ROGALAND GP	GROUP	\N	2113	131	\N	9999-12-31	2013-05-08
7/7-3	3264.000000	3274.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2113	137	23	9999-12-31	2013-05-08
7/7-3	2628.000000	2758.000000	SELE FM	FORMATION	ROGALAND GP	2113	142	131	9999-12-31	2013-05-08
7/7-3	2821.000000	3264.000000	SHETLAND GP	GROUP	\N	2113	143	\N	9999-12-31	2013-05-08
7/7-3	3507.000000	3567.000000	SMITH BANK FM	FORMATION	HEGRE GP	2113	149	61	9999-12-31	2013-05-08
7/7-3	3274.000000	3281.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2113	152	23	9999-12-31	2013-05-08
7/7-3	2949.000000	3081.000000	TOR FM	FORMATION	SHETLAND GP	2113	171	143	9999-12-31	2013-05-08
7/7-3	3281.000000	3291.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	2113	175	23	9999-12-31	2013-05-08
7/7-3	3413.000000	3491.000000	TYNE GP	GROUP	\N	2113	177	\N	9999-12-31	2013-05-08
7/7-3	3491.000000	3507.000000	ULA FM	FORMATION	VESTLAND GP	2113	179	186	9999-12-31	2013-05-08
7/7-3	3491.000000	3507.000000	VESTLAND GP	GROUP	\N	2113	186	\N	9999-12-31	2013-05-08
7/7-3	2808.000000	2821.000000	VÅLE FM	FORMATION	ROGALAND GP	2113	190	131	9999-12-31	2013-05-08
7/7-3	3567.000000	3584.000000	ZECHSTEIN GP	GROUP	\N	2113	194	\N	9999-12-31	2013-05-08
7/7-3	3291.000000	3413.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2113	198	23	9999-12-31	2013-05-08
7/7-3	3507.000000	3567.000000	NO GROUP DEFINED	GROUP	\N	2113	208	\N	9999-12-31	2013-05-08
33/9-17	1668.000000	1763.000000	BALDER FM	FORMATION	ROGALAND GP	2114	6	131	9999-12-31	2013-05-08
33/9-17	3187.000000	3233.000000	BRENT GP	GROUP	\N	2114	16	\N	9999-12-31	2013-05-08
33/9-17	2930.000000	3038.000000	CROMER KNOLL GP	GROUP	\N	2114	23	\N	9999-12-31	2013-05-08
33/9-17	3050.000000	3131.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2114	26	188	9999-12-31	2013-05-08
33/9-17	3038.000000	3050.000000	DRAUPNE FM	FORMATION	VIKING GP	2114	28	188	9999-12-31	2013-05-08
33/9-17	3131.000000	3158.000000	DRAUPNE FM	FORMATION	VIKING GP	2114	28	188	9999-12-31	2013-05-08
33/9-17	3158.000000	3187.000000	HEATHER FM	FORMATION	VIKING GP	2114	60	188	9999-12-31	2013-05-08
33/9-17	1105.000000	1668.000000	HORDALAND GP	GROUP	\N	2114	67	\N	9999-12-31	2013-05-08
33/9-17	1916.000000	2165.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2114	74	143	9999-12-31	2013-05-08
33/9-17	2165.000000	2858.000000	KYRRE FM	FORMATION	SHETLAND GP	2114	92	143	9999-12-31	2013-05-08
33/9-17	1763.000000	1903.000000	LISTA FM	FORMATION	ROGALAND GP	2114	95	131	9999-12-31	2013-05-08
33/9-17	3202.000000	3233.000000	NESS FM	FORMATION	BRENT GP	2114	110	16	9999-12-31	2013-05-08
33/9-17	254.000000	1105.000000	NORDLAND GP	GROUP	\N	2114	113	\N	9999-12-31	2013-05-08
33/9-17	1668.000000	1916.000000	ROGALAND GP	GROUP	\N	2114	131	\N	9999-12-31	2013-05-08
33/9-17	2930.000000	3017.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2114	137	23	9999-12-31	2013-05-08
33/9-17	1916.000000	2930.000000	SHETLAND GP	GROUP	\N	2114	143	\N	9999-12-31	2013-05-08
33/9-17	3017.000000	3022.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2114	152	23	9999-12-31	2013-05-08
33/9-17	3187.000000	3202.000000	TARBERT FM	FORMATION	BRENT GP	2114	162	16	9999-12-31	2013-05-08
33/9-17	2858.000000	2930.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2114	173	143	9999-12-31	2013-05-08
33/9-17	947.000000	1105.000000	UTSIRA FM	FORMATION	NORDLAND GP	2114	183	113	9999-12-31	2013-05-08
33/9-17	3038.000000	3187.000000	VIKING GP	GROUP	\N	2114	188	\N	9999-12-31	2013-05-08
33/9-17	1903.000000	1916.000000	VÅLE FM	FORMATION	ROGALAND GP	2114	190	131	9999-12-31	2013-05-08
33/9-17	3022.000000	3038.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2114	198	23	9999-12-31	2013-05-08
25/2-15 R2	2184.000000	2212.000000	BALDER FM	FORMATION	ROGALAND GP	2116	6	131	9999-12-31	2013-05-08
25/2-15 R2	3350.000000	3369.000000	BLODØKS FM	FORMATION	SHETLAND GP	2116	13	143	9999-12-31	2013-05-08
25/2-15 R2	3469.000000	3475.000000	DRAUPNE FM	FORMATION	VIKING GP	2116	28	188	9999-12-31	2013-05-08
25/2-15 R2	3916.000000	3942.000000	DUNLIN GP	GROUP	\N	2116	29	\N	9999-12-31	2013-05-08
25/2-15 R2	2688.000000	2827.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2116	56	143	9999-12-31	2013-05-08
25/2-15 R2	3475.000000	3574.000000	HEATHER FM	FORMATION	VIKING GP	2116	60	188	9999-12-31	2013-05-08
25/2-15 R2	2212.000000	2381.000000	HERMOD FM	FORMATION	ROGALAND GP	2116	64	131	9999-12-31	2013-05-08
25/2-15 R2	1063.000000	2184.000000	HORDALAND GP	GROUP	\N	2116	67	\N	9999-12-31	2013-05-08
25/2-15 R2	3574.000000	3611.000000	HUGIN FM	FORMATION	VESTLAND GP	2116	69	186	9999-12-31	2013-05-08
25/2-15 R2	2827.000000	3193.000000	KYRRE FM	FORMATION	SHETLAND GP	2116	92	143	9999-12-31	2013-05-08
25/2-15 R2	2381.000000	2506.000000	LISTA FM	FORMATION	ROGALAND GP	2116	95	131	9999-12-31	2013-05-08
25/2-15 R2	1351.000000	2184.000000	NO FORMAL NAME	FORMATION	\N	2116	111	\N	9999-12-31	2013-05-08
25/2-15 R2	142.000000	1063.000000	NORDLAND GP	GROUP	\N	2116	113	\N	9999-12-31	2013-05-08
25/2-15 R2	2184.000000	2688.000000	ROGALAND GP	GROUP	\N	2116	131	\N	9999-12-31	2013-05-08
25/2-15 R2	2688.000000	3469.000000	SHETLAND GP	GROUP	\N	2116	143	\N	9999-12-31	2013-05-08
25/2-15 R2	1322.000000	1351.000000	SKADE FM	FORMATION	HORDALAND GP	2116	145	67	9999-12-31	2013-05-08
25/2-15 R2	3611.000000	3916.000000	SLEIPNER FM	FORMATION	VESTLAND GP	2116	148	186	9999-12-31	2013-05-08
25/2-15 R2	3369.000000	3469.000000	SVARTE FM	FORMATION	SHETLAND GP	2116	160	143	9999-12-31	2013-05-08
25/2-15 R2	3193.000000	3350.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2116	173	143	9999-12-31	2013-05-08
25/2-15 R2	2506.000000	2587.000000	TY FM	FORMATION	ROGALAND GP	2116	176	131	9999-12-31	2013-05-08
25/2-15 R2	266.000000	1063.000000	UTSIRA FM	FORMATION	NORDLAND GP	2116	183	113	9999-12-31	2013-05-08
25/2-15 R2	3574.000000	3916.000000	VESTLAND GP	GROUP	\N	2116	186	\N	9999-12-31	2013-05-08
25/2-15 R2	3469.000000	3574.000000	VIKING GP	GROUP	\N	2116	188	\N	9999-12-31	2013-05-08
25/2-15 R2	2587.000000	2688.000000	VÅLE FM	FORMATION	ROGALAND GP	2116	190	131	9999-12-31	2013-05-08
2/7-29	2999.000000	3015.000000	BALDER FM	FORMATION	ROGALAND GP	2124	6	131	9999-12-31	2013-05-08
2/7-29	4092.000000	4107.000000	BLODØKS FM	FORMATION	SHETLAND GP	2124	13	143	9999-12-31	2013-05-08
2/7-29	4225.000000	4363.000000	CROMER KNOLL GP	GROUP	\N	2124	23	\N	9999-12-31	2013-05-08
2/7-29	3138.000000	3190.000000	EKOFISK FM	FORMATION	SHETLAND GP	2124	33	143	9999-12-31	2013-05-08
2/7-29	4473.000000	4602.000000	ELDFISK FM	FORMATION	TYNE GP	2124	34	177	9999-12-31	2013-05-08
2/7-29	4664.000000	4698.000000	ELDFISK FM	FORMATION	TYNE GP	2124	34	177	9999-12-31	2013-05-08
2/7-29	4391.000000	4473.000000	FARSUND FM	FORMATION	TYNE GP	2124	39	177	9999-12-31	2013-05-08
2/7-29	4602.000000	4658.000000	FARSUND FM	FORMATION	TYNE GP	2124	39	177	9999-12-31	2013-05-08
2/7-29	4658.000000	4664.000000	HAUGESUND FM	FORMATION	TYNE GP	2124	57	177	9999-12-31	2013-05-08
2/7-29	4698.000000	4756.000000	HAUGESUND FM	FORMATION	TYNE GP	2124	57	177	9999-12-31	2013-05-08
2/7-29	4107.000000	4225.000000	HIDRA FM	FORMATION	SHETLAND GP	2124	65	143	9999-12-31	2013-05-08
2/7-29	3681.000000	4092.000000	HOD FM	FORMATION	SHETLAND GP	2124	66	143	9999-12-31	2013-05-08
2/7-29	1613.000000	2999.000000	HORDALAND GP	GROUP	\N	2124	67	\N	9999-12-31	2013-05-08
2/7-29	3069.000000	3112.000000	LISTA FM	FORMATION	ROGALAND GP	2124	95	131	9999-12-31	2013-05-08
2/7-29	4363.000000	4391.000000	MANDAL FM	FORMATION	TYNE GP	2124	101	177	9999-12-31	2013-05-08
2/7-29	4756.000000	4789.000000	NO FORMAL NAME	FORMATION	\N	2124	111	\N	9999-12-31	2013-05-08
2/7-29	114.000000	1613.000000	NORDLAND GP	GROUP	\N	2124	113	\N	9999-12-31	2013-05-08
2/7-29	2999.000000	3138.000000	ROGALAND GP	GROUP	\N	2124	131	\N	9999-12-31	2013-05-08
2/7-29	4853.000000	4900.000000	ROTLIEGEND GP	GROUP	\N	2124	136	\N	9999-12-31	2013-05-08
2/7-29	4225.000000	4228.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2124	137	23	9999-12-31	2013-05-08
2/7-29	3015.000000	3069.000000	SELE FM	FORMATION	ROGALAND GP	2124	142	131	9999-12-31	2013-05-08
2/7-29	3138.000000	4225.000000	SHETLAND GP	GROUP	\N	2124	143	\N	9999-12-31	2013-05-08
2/7-29	4789.000000	4800.000000	SMITH BANK FM	FORMATION	HEGRE GP	2124	149	61	9999-12-31	2013-05-08
2/7-29	4228.000000	4329.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2124	152	23	9999-12-31	2013-05-08
2/7-29	3190.000000	3681.000000	TOR FM	FORMATION	SHETLAND GP	2124	171	143	9999-12-31	2013-05-08
2/7-29	4363.000000	4789.000000	TYNE GP	GROUP	\N	2124	177	\N	9999-12-31	2013-05-08
2/7-29	3112.000000	3138.000000	VÅLE FM	FORMATION	ROGALAND GP	2124	190	131	9999-12-31	2013-05-08
2/7-29	4800.000000	4853.000000	ZECHSTEIN GP	GROUP	\N	2124	194	\N	9999-12-31	2013-05-08
2/7-29	4329.000000	4363.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2124	198	23	9999-12-31	2013-05-08
2/7-29	4789.000000	4800.000000	NO GROUP DEFINED	GROUP	\N	2124	208	\N	9999-12-31	2013-05-08
6506/12-9 S	1903.000000	2218.000000	BRYGGE FM	FORMATION	HORDALAND GP	2128	18	67	9999-12-31	2013-05-08
6506/12-9 S	4533.000000	4910.000000	BÅT GP	GROUP	\N	2128	22	\N	9999-12-31	2013-05-08
6506/12-9 S	3344.000000	4169.000000	CROMER KNOLL GP	GROUP	\N	2128	23	\N	9999-12-31	2013-05-08
6506/12-9 S	4379.000000	4533.000000	FANGST GP	GROUP	\N	2128	38	\N	9999-12-31	2013-05-08
6506/12-9 S	4379.000000	4436.000000	GARN FM	FORMATION	FANGST GP	2128	48	38	9999-12-31	2013-05-08
6506/12-9 S	1903.000000	2218.000000	HORDALAND GP	GROUP	\N	2128	67	\N	9999-12-31	2013-05-08
6506/12-9 S	4464.000000	4533.000000	ILE FM	FORMATION	FANGST GP	2128	70	38	9999-12-31	2013-05-08
6506/12-9 S	1458.000000	1903.000000	KAI FM	FORMATION	NORDLAND GP	2128	77	113	9999-12-31	2013-05-08
6506/12-9 S	2780.000000	3344.000000	KVITNOS FM	FORMATION	SHETLAND GP	2128	91	143	9999-12-31	2013-05-08
6506/12-9 S	3383.000000	4128.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2128	94	23	9999-12-31	2013-05-08
6506/12-9 S	4128.000000	4169.000000	LYR FM	FORMATION	CROMER KNOLL GP	2128	98	23	9999-12-31	2013-05-08
6506/12-9 S	3344.000000	3383.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2128	99	23	9999-12-31	2013-05-08
6506/12-9 S	4197.000000	4379.000000	MELKE FM	FORMATION	VIKING GP	2128	105	188	9999-12-31	2013-05-08
6506/12-9 S	2530.000000	2780.000000	NISE FM	FORMATION	SHETLAND GP	2128	112	143	9999-12-31	2013-05-08
6506/12-9 S	317.000000	1903.000000	NORDLAND GP	GROUP	\N	2128	113	\N	9999-12-31	2013-05-08
6506/12-9 S	4436.000000	4464.000000	NOT FM	FORMATION	FANGST GP	2128	120	38	9999-12-31	2013-05-08
6506/12-9 S	2218.000000	2370.000000	ROGALAND GP	GROUP	\N	2128	131	\N	9999-12-31	2013-05-08
6506/12-9 S	4533.000000	4601.000000	ROR FM	FORMATION	BÅT GP	2128	135	22	9999-12-31	2013-05-08
6506/12-9 S	4660.000000	4672.000000	ROR FM	FORMATION	BÅT GP	2128	135	22	9999-12-31	2013-05-08
6506/12-9 S	2370.000000	3344.000000	SHETLAND GP	GROUP	\N	2128	143	\N	9999-12-31	2013-05-08
6506/12-9 S	4169.000000	4197.000000	SPEKK FM	FORMATION	VIKING GP	2128	155	188	9999-12-31	2013-05-08
6506/12-9 S	2370.000000	2530.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2128	156	143	9999-12-31	2013-05-08
6506/12-9 S	2307.000000	2370.000000	TANG FM	FORMATION	ROGALAND GP	2128	161	131	9999-12-31	2013-05-08
6506/12-9 S	2218.000000	2307.000000	TARE FM	FORMATION	ROGALAND GP	2128	163	131	9999-12-31	2013-05-08
6506/12-9 S	4672.000000	4837.000000	TILJE FM	FORMATION	BÅT GP	2128	169	22	9999-12-31	2013-05-08
6506/12-9 S	4601.000000	4660.000000	TOFTE FM	FORMATION	BÅT GP	2128	170	22	9999-12-31	2013-05-08
6506/12-9 S	4169.000000	4379.000000	VIKING GP	GROUP	\N	2128	188	\N	9999-12-31	2013-05-08
6506/12-9 S	4837.000000	4910.000000	ÅRE FM	FORMATION	BÅT GP	2128	197	22	9999-12-31	2013-05-08
2/4-18	94.000000	622.000000	NORDLAND GP	GROUP	\N	2134	113	\N	9999-12-31	2013-05-08
7/4-1	2180.000000	2208.000000	BALDER FM	FORMATION	ROGALAND GP	2136	6	131	9999-12-31	2013-05-08
7/4-1	2840.000000	2970.000000	CROMER KNOLL GP	GROUP	\N	2136	23	\N	9999-12-31	2013-05-08
7/4-1	2991.000000	3065.000000	FARSUND FM	FORMATION	TYNE GP	2136	39	177	9999-12-31	2013-05-08
7/4-1	2827.000000	2840.000000	HIDRA FM	FORMATION	SHETLAND GP	2136	65	143	9999-12-31	2013-05-08
7/4-1	2646.000000	2827.000000	HOD FM	FORMATION	SHETLAND GP	2136	66	143	9999-12-31	2013-05-08
7/4-1	1088.000000	2180.000000	HORDALAND GP	GROUP	\N	2136	67	\N	9999-12-31	2013-05-08
7/4-1	2317.000000	2356.000000	LISTA FM	FORMATION	ROGALAND GP	2136	95	131	9999-12-31	2013-05-08
7/4-1	2970.000000	2991.000000	MANDAL FM	FORMATION	TYNE GP	2136	101	177	9999-12-31	2013-05-08
7/4-1	106.000000	168.000000	NORDLAND GP	GROUP	\N	2136	113	\N	9999-12-31	2013-05-08
7/4-1	168.000000	1088.000000	NORDLAND GP	GROUP	\N	2136	113	\N	9999-12-31	2013-05-08
7/4-1	2180.000000	2366.000000	ROGALAND GP	GROUP	\N	2136	131	\N	9999-12-31	2013-05-08
7/4-1	2840.000000	2847.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2136	137	23	9999-12-31	2013-05-08
7/4-1	2208.000000	2317.000000	SELE FM	FORMATION	ROGALAND GP	2136	142	131	9999-12-31	2013-05-08
7/4-1	2366.000000	2840.000000	SHETLAND GP	GROUP	\N	2136	143	\N	9999-12-31	2013-05-08
7/4-1	2847.000000	2882.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2136	152	23	9999-12-31	2013-05-08
7/4-1	2366.000000	2646.000000	TOR FM	FORMATION	SHETLAND GP	2136	171	143	9999-12-31	2013-05-08
7/4-1	2882.000000	2948.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	2136	175	23	9999-12-31	2013-05-08
7/4-1	2970.000000	3065.000000	TYNE GP	GROUP	\N	2136	177	\N	9999-12-31	2013-05-08
7/4-1	3065.000000	3083.000000	ULA FM	FORMATION	VESTLAND GP	2136	179	186	9999-12-31	2013-05-08
7/4-1	3065.000000	3083.000000	VESTLAND GP	GROUP	\N	2136	186	\N	9999-12-31	2013-05-08
7/4-1	2356.000000	2366.000000	VÅLE FM	FORMATION	ROGALAND GP	2136	190	131	9999-12-31	2013-05-08
7/4-1	3083.000000	3133.000000	ZECHSTEIN GP	GROUP	\N	2136	194	\N	9999-12-31	2013-05-08
7/4-1	2948.000000	2970.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2136	198	23	9999-12-31	2013-05-08
6407/9-6 R	832.000000	1342.000000	BRYGGE FM	FORMATION	HORDALAND GP	2147	18	67	9999-12-31	2013-05-08
6407/9-6 R	1775.000000	1804.000000	BÅT GP	GROUP	\N	2147	22	\N	9999-12-31	2013-05-08
6407/9-6 R	1571.000000	1611.000000	CROMER KNOLL GP	GROUP	\N	2147	23	\N	9999-12-31	2013-05-08
6407/9-6 R	1660.000000	1775.000000	FANGST GP	GROUP	\N	2147	38	\N	9999-12-31	2013-05-08
6407/9-6 R	1660.000000	1744.000000	GARN FM	FORMATION	FANGST GP	2147	48	38	9999-12-31	2013-05-08
6407/9-6 R	832.000000	1342.000000	HORDALAND GP	GROUP	\N	2147	67	\N	9999-12-31	2013-05-08
6407/9-6 R	1571.000000	1611.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2147	94	23	9999-12-31	2013-05-08
6407/9-6 R	301.000000	832.000000	NORDLAND GP	GROUP	\N	2147	113	\N	9999-12-31	2013-05-08
6407/9-6 R	1744.000000	1775.000000	NOT FM	FORMATION	FANGST GP	2147	120	38	9999-12-31	2013-05-08
6407/9-6 R	1342.000000	1540.000000	ROGALAND GP	GROUP	\N	2147	131	\N	9999-12-31	2013-05-08
6407/9-6 R	1643.000000	1660.000000	ROGN FM	FORMATION	VIKING GP	2147	134	188	9999-12-31	2013-05-08
6407/9-6 R	1775.000000	1804.000000	ROR FM	FORMATION	BÅT GP	2147	135	22	9999-12-31	2013-05-08
6407/9-6 R	1540.000000	1571.000000	SHETLAND GP	GROUP	\N	2147	143	\N	9999-12-31	2013-05-08
6407/9-6 R	1611.000000	1643.000000	SPEKK FM	FORMATION	VIKING GP	2147	155	188	9999-12-31	2013-05-08
6407/9-6 R	1376.000000	1540.000000	TANG FM	FORMATION	ROGALAND GP	2147	161	131	9999-12-31	2013-05-08
6407/9-6 R	1342.000000	1376.000000	TARE FM	FORMATION	ROGALAND GP	2147	163	131	9999-12-31	2013-05-08
6407/9-6 R	1611.000000	1660.000000	VIKING GP	GROUP	\N	2147	188	\N	9999-12-31	2013-05-08
2/11-9	2937.000000	2953.000000	BALDER FM	FORMATION	ROGALAND GP	2153	6	131	9999-12-31	2013-05-08
2/11-9	3656.000000	3661.000000	BLODØKS FM	FORMATION	SHETLAND GP	2153	13	143	9999-12-31	2013-05-08
2/11-9	3734.000000	3935.000000	CROMER KNOLL GP	GROUP	\N	2153	23	\N	9999-12-31	2013-05-08
2/11-9	3050.000000	3091.000000	EKOFISK FM	FORMATION	SHETLAND GP	2153	33	143	9999-12-31	2013-05-08
2/11-9	3661.000000	3734.000000	HIDRA FM	FORMATION	SHETLAND GP	2153	65	143	9999-12-31	2013-05-08
2/11-9	3298.000000	3656.000000	HOD FM	FORMATION	SHETLAND GP	2153	66	143	9999-12-31	2013-05-08
2/11-9	1562.000000	2937.000000	HORDALAND GP	GROUP	\N	2153	67	\N	9999-12-31	2013-05-08
2/11-9	2992.000000	3047.000000	LISTA FM	FORMATION	ROGALAND GP	2153	95	131	9999-12-31	2013-05-08
2/11-9	115.000000	1562.000000	NORDLAND GP	GROUP	\N	2153	113	\N	9999-12-31	2013-05-08
2/11-9	2937.000000	3050.000000	ROGALAND GP	GROUP	\N	2153	131	\N	9999-12-31	2013-05-08
2/11-9	3734.000000	3795.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2153	137	23	9999-12-31	2013-05-08
2/11-9	2953.000000	2992.000000	SELE FM	FORMATION	ROGALAND GP	2153	142	131	9999-12-31	2013-05-08
2/11-9	3050.000000	3734.000000	SHETLAND GP	GROUP	\N	2153	143	\N	9999-12-31	2013-05-08
2/11-9	3795.000000	3854.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2153	152	23	9999-12-31	2013-05-08
2/11-9	3091.000000	3298.000000	TOR FM	FORMATION	SHETLAND GP	2153	171	143	9999-12-31	2013-05-08
2/11-9	3854.000000	3935.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	2153	175	23	9999-12-31	2013-05-08
2/11-9	3047.000000	3050.000000	VÅLE FM	FORMATION	ROGALAND GP	2153	190	131	9999-12-31	2013-05-08
2/11-9	3935.000000	4406.000000	UNDEFINED GP	GROUP	\N	2153	191	\N	9999-12-31	2013-05-08
34/7-22	1647.000000	1673.000000	BALDER FM	FORMATION	ROGALAND GP	2167	6	131	9999-12-31	2013-05-08
34/7-22	2224.000000	2460.000000	BRENT GP	GROUP	\N	2167	16	\N	9999-12-31	2013-05-08
34/7-22	2456.000000	2460.000000	BROOM FM	FORMATION	BRENT GP	2167	17	16	9999-12-31	2013-05-08
34/7-22	2168.000000	2179.000000	CROMER KNOLL GP	GROUP	\N	2167	23	\N	9999-12-31	2013-05-08
34/7-22	2179.000000	2184.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2167	26	188	9999-12-31	2013-05-08
34/7-22	2460.000000	2507.000000	DRAKE FM	FORMATION	DUNLIN GP	2167	27	29	9999-12-31	2013-05-08
34/7-22	2460.000000	2507.000000	DUNLIN GP	GROUP	\N	2167	29	\N	9999-12-31	2013-05-08
34/7-22	2356.000000	2375.000000	ETIVE FM	FORMATION	BRENT GP	2167	35	16	9999-12-31	2013-05-08
34/7-22	2184.000000	2224.000000	HEATHER FM	FORMATION	VIKING GP	2167	60	188	9999-12-31	2013-05-08
34/7-22	1075.000000	1647.000000	HORDALAND GP	GROUP	\N	2167	67	\N	9999-12-31	2013-05-08
34/7-22	1810.000000	1974.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2167	74	143	9999-12-31	2013-05-08
34/7-22	1974.000000	2168.000000	KYRRE FM	FORMATION	SHETLAND GP	2167	92	143	9999-12-31	2013-05-08
34/7-22	1673.000000	1810.000000	LISTA FM	FORMATION	ROGALAND GP	2167	95	131	9999-12-31	2013-05-08
34/7-22	2176.000000	2179.000000	MIME FM	FORMATION	CROMER KNOLL GP	2167	106	23	9999-12-31	2013-05-08
34/7-22	2266.000000	2356.000000	NESS FM	FORMATION	BRENT GP	2167	110	16	9999-12-31	2013-05-08
34/7-22	1108.000000	1136.000000	NO FORMAL NAME	FORMATION	\N	2167	111	\N	9999-12-31	2013-05-08
34/7-22	1136.000000	1200.000000	NO FORMAL NAME	FORMATION	\N	2167	111	\N	9999-12-31	2013-05-08
34/7-22	1200.000000	1308.000000	NO FORMAL NAME	FORMATION	\N	2167	111	\N	9999-12-31	2013-05-08
34/7-22	1308.000000	1647.000000	NO FORMAL NAME	FORMATION	\N	2167	111	\N	9999-12-31	2013-05-08
34/7-22	255.000000	1075.000000	NORDLAND GP	GROUP	\N	2167	113	\N	9999-12-31	2013-05-08
34/7-22	2375.000000	2456.000000	RANNOCH FM	FORMATION	BRENT GP	2167	126	16	9999-12-31	2013-05-08
34/7-22	1647.000000	1810.000000	ROGALAND GP	GROUP	\N	2167	131	\N	9999-12-31	2013-05-08
34/7-22	2168.000000	2176.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2167	137	23	9999-12-31	2013-05-08
34/7-22	1810.000000	2168.000000	SHETLAND GP	GROUP	\N	2167	143	\N	9999-12-31	2013-05-08
34/7-22	2224.000000	2266.000000	TARBERT FM	FORMATION	BRENT GP	2167	162	16	9999-12-31	2013-05-08
34/7-22	907.000000	1075.000000	UTSIRA FM	FORMATION	NORDLAND GP	2167	183	113	9999-12-31	2013-05-08
34/7-22	2179.000000	2224.000000	VIKING GP	GROUP	\N	2167	188	\N	9999-12-31	2013-05-08
34/8-10 S	2972.000000	3039.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2179	4	29	9999-12-31	2013-05-08
34/8-10 S	1815.000000	1854.000000	BALDER FM	FORMATION	ROGALAND GP	2179	6	131	9999-12-31	2013-05-08
34/8-10 S	2843.000000	2850.000000	BLODØKS FM	FORMATION	SHETLAND GP	2179	13	143	9999-12-31	2013-05-08
34/8-10 S	2879.000000	2885.000000	BRENT GP	GROUP	\N	2179	16	\N	9999-12-31	2013-05-08
34/8-10 S	2888.000000	2932.000000	BRENT GP	GROUP	\N	2179	16	\N	9999-12-31	2013-05-08
34/8-10 S	2939.000000	2972.000000	BURTON FM	FORMATION	DUNLIN GP	2179	20	29	9999-12-31	2013-05-08
34/8-10 S	2871.000000	2879.000000	CROMER KNOLL GP	GROUP	\N	2179	23	\N	9999-12-31	2013-05-08
34/8-10 S	2932.000000	2939.000000	COOK FM	FORMATION	DUNLIN GP	2179	24	29	9999-12-31	2013-05-08
34/8-10 S	2885.000000	2888.000000	DRAKE FM	FORMATION	DUNLIN GP	2179	27	29	9999-12-31	2013-05-08
34/8-10 S	2885.000000	2888.000000	DUNLIN GP	GROUP	\N	2179	29	\N	9999-12-31	2013-05-08
34/8-10 S	2932.000000	3039.000000	DUNLIN GP	GROUP	\N	2179	29	\N	9999-12-31	2013-05-08
34/8-10 S	2888.000000	2897.000000	ETIVE FM	FORMATION	BRENT GP	2179	35	16	9999-12-31	2013-05-08
34/8-10 S	3125.000000	3470.000000	HEGRE GP	GROUP	\N	2179	61	\N	9999-12-31	2013-05-08
34/8-10 S	1145.000000	1815.000000	HORDALAND GP	GROUP	\N	2179	67	\N	9999-12-31	2013-05-08
34/8-10 S	1994.000000	2220.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2179	74	143	9999-12-31	2013-05-08
34/8-10 S	2220.000000	2838.000000	KYRRE FM	FORMATION	SHETLAND GP	2179	92	143	9999-12-31	2013-05-08
34/8-10 S	1854.000000	1950.000000	LISTA FM	FORMATION	ROGALAND GP	2179	95	131	9999-12-31	2013-05-08
34/8-10 S	1971.000000	1994.000000	LISTA FM	FORMATION	ROGALAND GP	2179	95	131	9999-12-31	2013-05-08
34/8-10 S	3125.000000	3470.000000	LUNDE FM	FORMATION	HEGRE GP	2179	97	61	9999-12-31	2013-05-08
34/8-10 S	1109.000000	1145.000000	NO FORMAL NAME	FORMATION	\N	2179	111	\N	9999-12-31	2013-05-08
34/8-10 S	1552.000000	1580.000000	NO FORMAL NAME	FORMATION	\N	2179	111	\N	9999-12-31	2013-05-08
34/8-10 S	1580.000000	1636.000000	NO FORMAL NAME	FORMATION	\N	2179	111	\N	9999-12-31	2013-05-08
34/8-10 S	1636.000000	1655.000000	NO FORMAL NAME	FORMATION	\N	2179	111	\N	9999-12-31	2013-05-08
34/8-10 S	1655.000000	1815.000000	NO FORMAL NAME	FORMATION	\N	2179	111	\N	9999-12-31	2013-05-08
34/8-10 S	1950.000000	1971.000000	NO FORMAL NAME	FORMATION	\N	2179	111	\N	9999-12-31	2013-05-08
34/8-10 S	349.000000	1145.000000	NORDLAND GP	GROUP	\N	2179	113	\N	9999-12-31	2013-05-08
34/8-10 S	2879.000000	2885.000000	RANNOCH FM	FORMATION	BRENT GP	2179	126	16	9999-12-31	2013-05-08
34/8-10 S	1815.000000	1994.000000	ROGALAND GP	GROUP	\N	2179	131	\N	9999-12-31	2013-05-08
34/8-10 S	1994.000000	2871.000000	SHETLAND GP	GROUP	\N	2179	143	\N	9999-12-31	2013-05-08
34/8-10 S	3039.000000	3125.000000	STATFJORD FM	FORMATION	\N	2179	157	\N	9999-12-31	2013-05-08
34/8-10 S	2850.000000	2871.000000	SVARTE FM	FORMATION	SHETLAND GP	2179	160	143	9999-12-31	2013-05-08
34/8-10 S	2838.000000	2843.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2179	173	143	9999-12-31	2013-05-08
34/8-10 S	2897.000000	2932.000000	UNDIFFERENTIATED	FORMATION	\N	2179	182	\N	9999-12-31	2013-05-08
34/8-10 S	1081.000000	1109.000000	UTSIRA FM	FORMATION	NORDLAND GP	2179	183	113	9999-12-31	2013-05-08
34/8-10 S	2871.000000	2879.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2179	198	23	9999-12-31	2013-05-08
34/8-10 S	3039.000000	3125.000000	NO GROUP DEFINED	GROUP	\N	2179	208	\N	9999-12-31	2013-05-08
34/8-11	1822.000000	1869.000000	BALDER FM	FORMATION	ROGALAND GP	2180	6	131	9999-12-31	2013-05-08
34/8-11	2869.000000	3011.000000	BRENT GP	GROUP	\N	2180	16	\N	9999-12-31	2013-05-08
34/8-11	2851.000000	2853.000000	CROMER KNOLL GP	GROUP	\N	2180	23	\N	9999-12-31	2013-05-08
34/8-11	3072.000000	3140.000000	COOK FM	FORMATION	DUNLIN GP	2180	24	29	9999-12-31	2013-05-08
34/8-11	3011.000000	3072.000000	DRAKE FM	FORMATION	DUNLIN GP	2180	27	29	9999-12-31	2013-05-08
34/8-11	2853.000000	2854.000000	DRAUPNE FM	FORMATION	VIKING GP	2180	28	188	9999-12-31	2013-05-08
34/8-11	3011.000000	3140.000000	DUNLIN GP	GROUP	\N	2180	29	\N	9999-12-31	2013-05-08
34/8-11	2908.000000	2949.000000	ETIVE FM	FORMATION	BRENT GP	2180	35	16	9999-12-31	2013-05-08
34/8-11	2854.000000	2869.000000	HEATHER FM	FORMATION	VIKING GP	2180	60	188	9999-12-31	2013-05-08
34/8-11	1102.000000	1822.000000	HORDALAND GP	GROUP	\N	2180	67	\N	9999-12-31	2013-05-08
34/8-11	2001.000000	2220.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2180	74	143	9999-12-31	2013-05-08
34/8-11	2220.000000	2851.000000	KYRRE FM	FORMATION	SHETLAND GP	2180	92	143	9999-12-31	2013-05-08
34/8-11	1869.000000	2001.000000	LISTA FM	FORMATION	ROGALAND GP	2180	95	131	9999-12-31	2013-05-08
34/8-11	2883.000000	2908.000000	NESS FM	FORMATION	BRENT GP	2180	110	16	9999-12-31	2013-05-08
34/8-11	1360.000000	1375.000000	NO FORMAL NAME	FORMATION	\N	2180	111	\N	9999-12-31	2013-05-08
34/8-11	1375.000000	1515.000000	NO FORMAL NAME	FORMATION	\N	2180	111	\N	9999-12-31	2013-05-08
34/8-11	1515.000000	1540.000000	NO FORMAL NAME	FORMATION	\N	2180	111	\N	9999-12-31	2013-05-08
34/8-11	1540.000000	1822.000000	NO FORMAL NAME	FORMATION	\N	2180	111	\N	9999-12-31	2013-05-08
34/8-11	355.000000	1102.000000	NORDLAND GP	GROUP	\N	2180	113	\N	9999-12-31	2013-05-08
34/8-11	2949.000000	3011.000000	RANNOCH FM	FORMATION	BRENT GP	2180	126	16	9999-12-31	2013-05-08
34/8-11	1822.000000	2001.000000	ROGALAND GP	GROUP	\N	2180	131	\N	9999-12-31	2013-05-08
34/8-11	2001.000000	2851.000000	SHETLAND GP	GROUP	\N	2180	143	\N	9999-12-31	2013-05-08
34/8-11	2869.000000	2883.000000	TARBERT FM	FORMATION	BRENT GP	2180	162	16	9999-12-31	2013-05-08
34/8-11	991.000000	1102.000000	UTSIRA FM	FORMATION	NORDLAND GP	2180	183	113	9999-12-31	2013-05-08
34/8-11	2853.000000	2869.000000	VIKING GP	GROUP	\N	2180	188	\N	9999-12-31	2013-05-08
6507/7-10	1866.000000	2015.000000	BRYGGE FM	FORMATION	HORDALAND GP	2182	18	67	9999-12-31	2013-05-08
6507/7-10	2563.000000	3171.000000	BÅT GP	GROUP	\N	2182	22	\N	9999-12-31	2013-05-08
6507/7-10	2507.000000	2563.000000	FANGST GP	GROUP	\N	2182	38	\N	9999-12-31	2013-05-08
6507/7-10	2507.000000	2532.000000	GARN FM	FORMATION	FANGST GP	2182	48	38	9999-12-31	2013-05-08
6507/7-10	3171.000000	3309.000000	GREY BEDS (INFORMAL)	GROUP	\N	2182	52	\N	9999-12-31	2013-05-08
6507/7-10	1866.000000	2015.000000	HORDALAND GP	GROUP	\N	2182	67	\N	9999-12-31	2013-05-08
6507/7-10	2534.000000	2563.000000	ILE FM	FORMATION	FANGST GP	2182	70	38	9999-12-31	2013-05-08
6507/7-10	1485.000000	1866.000000	KAI FM	FORMATION	NORDLAND GP	2182	77	113	9999-12-31	2013-05-08
6507/7-10	2471.000000	2507.000000	MELKE FM	FORMATION	VIKING GP	2182	105	188	9999-12-31	2013-05-08
6507/7-10	418.000000	1485.000000	NAUST FM	FORMATION	NORDLAND GP	2182	109	113	9999-12-31	2013-05-08
6507/7-10	2138.000000	2439.000000	NISE FM	FORMATION	SHETLAND GP	2182	112	143	9999-12-31	2013-05-08
6507/7-10	418.000000	1866.000000	NORDLAND GP	GROUP	\N	2182	113	\N	9999-12-31	2013-05-08
6507/7-10	2532.000000	2534.000000	NOT FM	FORMATION	FANGST GP	2182	120	38	9999-12-31	2013-05-08
6507/7-10	2015.000000	2106.000000	ROGALAND GP	GROUP	\N	2182	131	\N	9999-12-31	2013-05-08
6507/7-10	2563.000000	2604.000000	ROR FM	FORMATION	BÅT GP	2182	135	22	9999-12-31	2013-05-08
6507/7-10	2106.000000	2439.000000	SHETLAND GP	GROUP	\N	2182	143	\N	9999-12-31	2013-05-08
6507/7-10	2439.000000	2471.000000	SPEKK FM	FORMATION	VIKING GP	2182	155	188	9999-12-31	2013-05-08
6507/7-10	2106.000000	2138.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2182	156	143	9999-12-31	2013-05-08
6507/7-10	2067.000000	2106.000000	TANG FM	FORMATION	ROGALAND GP	2182	161	131	9999-12-31	2013-05-08
6507/7-10	2015.000000	2067.000000	TARE FM	FORMATION	ROGALAND GP	2182	163	131	9999-12-31	2013-05-08
6507/7-10	2604.000000	2759.000000	TILJE FM	FORMATION	BÅT GP	2182	169	22	9999-12-31	2013-05-08
6507/7-10	2439.000000	2507.000000	VIKING GP	GROUP	\N	2182	188	\N	9999-12-31	2013-05-08
6507/7-10	2759.000000	3171.000000	ÅRE FM	FORMATION	BÅT GP	2182	197	22	9999-12-31	2013-05-08
6507/8-6	1722.000000	1868.000000	BRYGGE FM	FORMATION	HORDALAND GP	2183	18	67	9999-12-31	2013-05-08
6507/8-6	2147.000000	2656.000000	BÅT GP	GROUP	\N	2183	22	\N	9999-12-31	2013-05-08
6507/8-6	2096.000000	2147.000000	FANGST GP	GROUP	\N	2183	38	\N	9999-12-31	2013-05-08
6507/8-6	2096.000000	2120.000000	GARN FM	FORMATION	FANGST GP	2183	48	38	9999-12-31	2013-05-08
6507/8-6	2656.000000	2743.000000	GREY BEDS (INFORMAL)	GROUP	\N	2183	52	\N	9999-12-31	2013-05-08
6507/8-6	1722.000000	1868.000000	HORDALAND GP	GROUP	\N	2183	67	\N	9999-12-31	2013-05-08
6507/8-6	2128.000000	2147.000000	ILE FM	FORMATION	FANGST GP	2183	70	38	9999-12-31	2013-05-08
6507/8-6	1417.000000	1722.000000	KAI FM	FORMATION	NORDLAND GP	2183	77	113	9999-12-31	2013-05-08
6507/8-6	2033.000000	2047.000000	MELKE FM	FORMATION	VIKING GP	2183	105	188	9999-12-31	2013-05-08
6507/8-6	2075.000000	2096.000000	MELKE FM	FORMATION	VIKING GP	2183	105	188	9999-12-31	2013-05-08
6507/8-6	379.000000	1417.000000	NAUST FM	FORMATION	NORDLAND GP	2183	109	113	9999-12-31	2013-05-08
6507/8-6	2047.000000	2075.000000	NO FORMAL NAME	FORMATION	\N	2183	111	\N	9999-12-31	2013-05-08
6507/8-6	379.000000	1722.000000	NORDLAND GP	GROUP	\N	2183	113	\N	9999-12-31	2013-05-08
6507/8-6	2120.000000	2128.000000	NOT FM	FORMATION	FANGST GP	2183	120	38	9999-12-31	2013-05-08
6507/8-6	2743.000000	2850.000000	RED BEDS (INFORMAL)	GROUP	\N	2183	129	\N	9999-12-31	2013-05-08
6507/8-6	1868.000000	1957.000000	ROGALAND GP	GROUP	\N	2183	131	\N	9999-12-31	2013-05-08
6507/8-6	2147.000000	2165.000000	ROR FM	FORMATION	BÅT GP	2183	135	22	9999-12-31	2013-05-08
6507/8-6	1957.000000	1974.000000	SHETLAND GP	GROUP	\N	2183	143	\N	9999-12-31	2013-05-08
6507/8-6	1974.000000	2033.000000	SPEKK FM	FORMATION	VIKING GP	2183	155	188	9999-12-31	2013-05-08
6507/8-6	1868.000000	1957.000000	TARE FM	FORMATION	ROGALAND GP	2183	163	131	9999-12-31	2013-05-08
6507/8-6	2165.000000	2275.000000	TILJE FM	FORMATION	BÅT GP	2183	169	22	9999-12-31	2013-05-08
6507/8-6	1974.000000	2096.000000	VIKING GP	GROUP	\N	2183	188	\N	9999-12-31	2013-05-08
6507/8-6	2275.000000	2656.000000	ÅRE FM	FORMATION	BÅT GP	2183	197	22	9999-12-31	2013-05-08
6610/3-1 R	555.000000	1366.000000	BRYGGE FM	FORMATION	HORDALAND GP	2193	18	67	9999-12-31	2013-05-08
6610/3-1 R	3730.000000	4147.000000	BÅT GP	GROUP	\N	2193	22	\N	9999-12-31	2013-05-08
6610/3-1 R	2505.000000	3534.000000	CROMER KNOLL GP	GROUP	\N	2193	23	\N	9999-12-31	2013-05-08
6610/3-1 R	3705.000000	3730.000000	FANGST GP	GROUP	\N	2193	38	\N	9999-12-31	2013-05-08
6610/3-1 R	4147.000000	4170.000000	GREY BEDS (INFORMAL)	GROUP	\N	2193	52	\N	9999-12-31	2013-05-08
6610/3-1 R	555.000000	1366.000000	HORDALAND GP	GROUP	\N	2193	67	\N	9999-12-31	2013-05-08
6610/3-1 R	3711.000000	3730.000000	ILE FM	FORMATION	FANGST GP	2193	70	38	9999-12-31	2013-05-08
6610/3-1 R	2542.000000	2655.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2193	94	23	9999-12-31	2013-05-08
6610/3-1 R	2695.000000	2884.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2193	94	23	9999-12-31	2013-05-08
6610/3-1 R	3047.000000	3203.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2193	94	23	9999-12-31	2013-05-08
6610/3-1 R	3412.000000	3418.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2193	94	23	9999-12-31	2013-05-08
6610/3-1 R	3418.000000	3534.000000	LYR FM	FORMATION	CROMER KNOLL GP	2193	98	23	9999-12-31	2013-05-08
6610/3-1 R	2505.000000	2542.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2193	99	23	9999-12-31	2013-05-08
6610/3-1 R	2655.000000	2695.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2193	99	23	9999-12-31	2013-05-08
6610/3-1 R	3614.000000	3705.000000	MELKE FM	FORMATION	VIKING GP	2193	105	188	9999-12-31	2013-05-08
6610/3-1 R	332.000000	349.000000	NAUST FM	FORMATION	NORDLAND GP	2193	109	113	9999-12-31	2013-05-08
6610/3-1 R	1556.000000	1585.000000	NO FORMAL NAME	FORMATION	\N	2193	111	\N	9999-12-31	2013-05-08
6610/3-1 R	1640.000000	1805.000000	NO FORMAL NAME	FORMATION	\N	2193	111	\N	9999-12-31	2013-05-08
6610/3-1 R	2284.000000	2324.000000	NO FORMAL NAME	FORMATION	\N	2193	111	\N	9999-12-31	2013-05-08
6610/3-1 R	2884.000000	3047.000000	NO FORMAL NAME	FORMATION	\N	2193	111	\N	9999-12-31	2013-05-08
6610/3-1 R	3203.000000	3412.000000	NO FORMAL NAME	FORMATION	\N	2193	111	\N	9999-12-31	2013-05-08
6610/3-1 R	2044.000000	2284.000000	NISE FM	FORMATION	SHETLAND GP	2193	112	143	9999-12-31	2013-05-08
6610/3-1 R	2324.000000	2505.000000	NISE FM	FORMATION	SHETLAND GP	2193	112	143	9999-12-31	2013-05-08
6610/3-1 R	332.000000	555.000000	NORDLAND GP	GROUP	\N	2193	113	\N	9999-12-31	2013-05-08
6610/3-1 R	3705.000000	3711.000000	NOT FM	FORMATION	FANGST GP	2193	120	38	9999-12-31	2013-05-08
6610/3-1 R	4170.000000	4200.000000	RED BEDS (INFORMAL)	GROUP	\N	2193	129	\N	9999-12-31	2013-05-08
6610/3-1 R	1366.000000	1842.000000	ROGALAND GP	GROUP	\N	2193	131	\N	9999-12-31	2013-05-08
6610/3-1 R	1842.000000	2505.000000	SHETLAND GP	GROUP	\N	2193	143	\N	9999-12-31	2013-05-08
6610/3-1 R	3534.000000	3614.000000	SPEKK FM	FORMATION	VIKING GP	2193	155	188	9999-12-31	2013-05-08
6610/3-1 R	1842.000000	2044.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2193	156	143	9999-12-31	2013-05-08
6610/3-1 R	1472.000000	1556.000000	TANG FM	FORMATION	ROGALAND GP	2193	161	131	9999-12-31	2013-05-08
6610/3-1 R	1585.000000	1640.000000	TANG FM	FORMATION	ROGALAND GP	2193	161	131	9999-12-31	2013-05-08
6610/3-1 R	1805.000000	1842.000000	TANG FM	FORMATION	ROGALAND GP	2193	161	131	9999-12-31	2013-05-08
6610/3-1 R	1366.000000	1472.000000	TARE FM	FORMATION	ROGALAND GP	2193	163	131	9999-12-31	2013-05-08
6610/3-1 R	3772.000000	3935.000000	TILJE FM	FORMATION	BÅT GP	2193	169	22	9999-12-31	2013-05-08
6610/3-1 R	3730.000000	3772.000000	TOFTE FM	FORMATION	BÅT GP	2193	170	22	9999-12-31	2013-05-08
6610/3-1 R	3534.000000	3705.000000	VIKING GP	GROUP	\N	2193	188	\N	9999-12-31	2013-05-08
6610/3-1 R	3935.000000	4147.000000	ÅRE FM	FORMATION	BÅT GP	2193	197	22	9999-12-31	2013-05-08
6610/3-1 R	349.000000	555.000000	MOLO FM	FORMATION	NORDLAND GP	2193	209	113	9999-12-31	2013-05-08
2/5-10 A	3052.000000	3062.000000	BALDER FM	FORMATION	ROGALAND GP	2194	6	131	9999-12-31	2013-05-08
2/5-10 A	4295.000000	4298.000000	CROMER KNOLL GP	GROUP	\N	2194	23	\N	9999-12-31	2013-05-08
2/5-10 A	3214.000000	3342.000000	EKOFISK FM	FORMATION	SHETLAND GP	2194	33	143	9999-12-31	2013-05-08
2/5-10 A	4298.000000	4616.000000	FARSUND FM	FORMATION	TYNE GP	2194	39	177	9999-12-31	2013-05-08
2/5-10 A	3735.000000	4295.000000	HOD FM	FORMATION	SHETLAND GP	2194	66	143	9999-12-31	2013-05-08
2/5-10 A	1733.000000	3052.000000	HORDALAND GP	GROUP	\N	2194	67	\N	9999-12-31	2013-05-08
2/5-10 A	3072.000000	3181.000000	LISTA FM	FORMATION	ROGALAND GP	2194	95	131	9999-12-31	2013-05-08
2/5-10 A	88.000000	1733.000000	NORDLAND GP	GROUP	\N	2194	113	\N	9999-12-31	2013-05-08
2/5-10 A	3052.000000	3214.000000	ROGALAND GP	GROUP	\N	2194	131	\N	9999-12-31	2013-05-08
2/5-10 A	3062.000000	3072.000000	SELE FM	FORMATION	ROGALAND GP	2194	142	131	9999-12-31	2013-05-08
2/5-10 A	3214.000000	4295.000000	SHETLAND GP	GROUP	\N	2194	143	\N	9999-12-31	2013-05-08
2/5-10 A	4673.000000	4715.000000	SKAGERRAK FM	FORMATION	HEGRE GP	2194	146	61	9999-12-31	2013-05-08
2/5-10 A	3342.000000	3735.000000	TOR FM	FORMATION	SHETLAND GP	2194	171	143	9999-12-31	2013-05-08
2/5-10 A	4298.000000	4616.000000	TYNE GP	GROUP	\N	2194	177	\N	9999-12-31	2013-05-08
2/5-10 A	4616.000000	4673.000000	VESTLAND GP	GROUP	\N	2194	186	\N	9999-12-31	2013-05-08
2/5-10 A	3181.000000	3214.000000	VÅLE FM	FORMATION	ROGALAND GP	2194	190	131	9999-12-31	2013-05-08
2/5-10 A	4673.000000	4715.000000	NO GROUP DEFINED	GROUP	\N	2194	208	\N	9999-12-31	2013-05-08
6204/11-1	2407.000000	2422.000000	BLODØKS FM	FORMATION	SHETLAND GP	2205	13	143	9999-12-31	2013-05-08
6204/11-1	1115.000000	1318.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	2205	31	131	9999-12-31	2013-05-08
6204/11-1	2916.000000	2966.000000	GREY BEDS (INFORMAL)	GROUP	\N	2205	52	\N	9999-12-31	2013-05-08
6204/11-1	2772.000000	2846.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	2205	59	188	9999-12-31	2013-05-08
6204/11-1	2602.000000	2772.000000	HEATHER FM	FORMATION	VIKING GP	2205	60	188	9999-12-31	2013-05-08
6204/11-1	635.000000	750.000000	HORDALAND GP	GROUP	\N	2205	67	\N	9999-12-31	2013-05-08
6204/11-1	1318.000000	2001.000000	KYRRE FM	FORMATION	SHETLAND GP	2205	92	143	9999-12-31	2013-05-08
6204/11-1	2088.000000	2407.000000	KYRRE FM	FORMATION	SHETLAND GP	2205	92	143	9999-12-31	2013-05-08
6204/11-1	2001.000000	2088.000000	NO FORMAL NAME	FORMATION	\N	2205	111	\N	9999-12-31	2013-05-08
6204/11-1	2846.000000	2916.000000	NO FORMAL NAME	FORMATION	\N	2205	111	\N	9999-12-31	2013-05-08
6204/11-1	222.000000	635.000000	NORDLAND GP	GROUP	\N	2205	113	\N	9999-12-31	2013-05-08
6204/11-1	750.000000	1318.000000	ROGALAND GP	GROUP	\N	2205	131	\N	9999-12-31	2013-05-08
6204/11-1	1318.000000	2602.000000	SHETLAND GP	GROUP	\N	2205	143	\N	9999-12-31	2013-05-08
6204/11-1	2422.000000	2602.000000	SVARTE FM	FORMATION	SHETLAND GP	2205	160	143	9999-12-31	2013-05-08
6204/11-1	750.000000	1115.000000	UNDIFFERENTIATED	FORMATION	\N	2205	182	\N	9999-12-31	2013-05-08
6204/11-1	2602.000000	2916.000000	VIKING GP	GROUP	\N	2205	188	\N	9999-12-31	2013-05-08
6305/12-2	3145.000000	3162.000000	BASEMENT	GROUP	\N	2207	10	\N	9999-12-31	2013-05-08
6305/12-2	2487.000000	2966.000000	CROMER KNOLL GP	GROUP	\N	2207	23	\N	9999-12-31	2013-05-08
6305/12-2	1848.000000	1919.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	2207	31	131	9999-12-31	2013-05-08
6305/12-2	601.000000	1191.000000	HORDALAND GP	GROUP	\N	2207	67	\N	9999-12-31	2013-05-08
6305/12-2	2395.000000	2487.000000	KVITNOS FM	FORMATION	SHETLAND GP	2207	91	143	9999-12-31	2013-05-08
6305/12-2	2505.000000	2966.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2207	94	23	9999-12-31	2013-05-08
6305/12-2	2487.000000	2505.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2207	99	23	9999-12-31	2013-05-08
6305/12-2	1980.000000	2395.000000	NISE FM	FORMATION	SHETLAND GP	2207	112	143	9999-12-31	2013-05-08
6305/12-2	169.000000	601.000000	NORDLAND GP	GROUP	\N	2207	113	\N	9999-12-31	2013-05-08
6305/12-2	1191.000000	1936.000000	ROGALAND GP	GROUP	\N	2207	131	\N	9999-12-31	2013-05-08
6305/12-2	1936.000000	2487.000000	SHETLAND GP	GROUP	\N	2207	143	\N	9999-12-31	2013-05-08
6305/12-2	2966.000000	2967.000000	SPEKK FM	FORMATION	VIKING GP	2207	155	188	9999-12-31	2013-05-08
6305/12-2	1936.000000	1980.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2207	156	143	9999-12-31	2013-05-08
6305/12-2	1274.000000	1848.000000	TANG FM	FORMATION	ROGALAND GP	2207	161	131	9999-12-31	2013-05-08
6305/12-2	1919.000000	1936.000000	TANG FM	FORMATION	ROGALAND GP	2207	161	131	9999-12-31	2013-05-08
6305/12-2	1191.000000	1274.000000	TARE FM	FORMATION	ROGALAND GP	2207	163	131	9999-12-31	2013-05-08
6305/12-2	2967.000000	2970.000000	UNDIFFERENTIATED	FORMATION	\N	2207	182	\N	9999-12-31	2013-05-08
6305/12-2	2966.000000	2970.000000	VIKING GP	GROUP	\N	2207	188	\N	9999-12-31	2013-05-08
6305/12-2	2970.000000	3145.000000	UNDEFINED GP	GROUP	\N	2207	191	\N	9999-12-31	2013-05-08
3/4-1	2668.000000	2718.000000	CROMER KNOLL GP	GROUP	\N	2222	23	\N	9999-12-31	2013-05-08
3/4-1	2415.000000	2454.000000	EKOFISK FM	FORMATION	SHETLAND GP	2222	33	143	9999-12-31	2013-05-08
3/4-1	2726.000000	2736.000000	FARSUND FM	FORMATION	TYNE GP	2222	39	177	9999-12-31	2013-05-08
3/4-1	2920.000000	3013.000000	HAUGESUND FM	FORMATION	TYNE GP	2222	57	177	9999-12-31	2013-05-08
3/4-1	2589.000000	2668.000000	HOD FM	FORMATION	SHETLAND GP	2222	66	143	9999-12-31	2013-05-08
3/4-1	1103.000000	2317.000000	HORDALAND GP	GROUP	\N	2222	67	\N	9999-12-31	2013-05-08
3/4-1	2330.000000	2375.000000	LISTA FM	FORMATION	ROGALAND GP	2222	95	131	9999-12-31	2013-05-08
3/4-1	2718.000000	2726.000000	MANDAL FM	FORMATION	TYNE GP	2222	101	177	9999-12-31	2013-05-08
3/4-1	92.000000	1103.000000	NORDLAND GP	GROUP	\N	2222	113	\N	9999-12-31	2013-05-08
3/4-1	2317.000000	2415.000000	ROGALAND GP	GROUP	\N	2222	131	\N	9999-12-31	2013-05-08
3/4-1	2317.000000	2330.000000	SELE FM	FORMATION	ROGALAND GP	2222	142	131	9999-12-31	2013-05-08
3/4-1	2415.000000	2668.000000	SHETLAND GP	GROUP	\N	2222	143	\N	9999-12-31	2013-05-08
3/4-1	3013.000000	3077.000000	SMITH BANK FM	FORMATION	HEGRE GP	2222	149	61	9999-12-31	2013-05-08
3/4-1	2454.000000	2589.000000	TOR FM	FORMATION	SHETLAND GP	2222	171	143	9999-12-31	2013-05-08
3/4-1	2668.000000	2670.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	2222	175	23	9999-12-31	2013-05-08
3/4-1	2718.000000	2736.000000	TYNE GP	GROUP	\N	2222	177	\N	9999-12-31	2013-05-08
3/4-1	2920.000000	3013.000000	TYNE GP	GROUP	\N	2222	177	\N	9999-12-31	2013-05-08
3/4-1	2736.000000	2920.000000	ULA FM	FORMATION	VESTLAND GP	2222	179	186	9999-12-31	2013-05-08
3/4-1	2736.000000	2920.000000	VESTLAND GP	GROUP	\N	2222	186	\N	9999-12-31	2013-05-08
3/4-1	2375.000000	2415.000000	VÅLE FM	FORMATION	ROGALAND GP	2222	190	131	9999-12-31	2013-05-08
3/4-1	3077.000000	3107.000000	ZECHSTEIN GP	GROUP	\N	2222	194	\N	9999-12-31	2013-05-08
3/4-1	2670.000000	2718.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2222	198	23	9999-12-31	2013-05-08
3/4-1	3013.000000	3077.000000	NO GROUP DEFINED	GROUP	\N	2222	208	\N	9999-12-31	2013-05-08
30/9-15	2489.000000	2616.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2223	4	29	9999-12-31	2013-05-08
30/9-15	1901.000000	1964.000000	BALDER FM	FORMATION	ROGALAND GP	2223	6	131	9999-12-31	2013-05-08
30/9-15	2249.000000	2276.000000	BRENT GP	GROUP	\N	2223	16	\N	9999-12-31	2013-05-08
30/9-15	2242.000000	2249.000000	CROMER KNOLL GP	GROUP	\N	2223	23	\N	9999-12-31	2013-05-08
30/9-15	2461.000000	2489.000000	COOK FM	FORMATION	DUNLIN GP	2223	24	29	9999-12-31	2013-05-08
30/9-15	2276.000000	2461.000000	DRAKE FM	FORMATION	DUNLIN GP	2223	27	29	9999-12-31	2013-05-08
30/9-15	2276.000000	2616.000000	DUNLIN GP	GROUP	\N	2223	29	\N	9999-12-31	2013-05-08
30/9-15	2156.000000	2242.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2223	56	143	9999-12-31	2013-05-08
30/9-15	842.000000	1901.000000	HORDALAND GP	GROUP	\N	2223	67	\N	9999-12-31	2013-05-08
30/9-15	2009.000000	2151.000000	LISTA FM	FORMATION	ROGALAND GP	2223	95	131	9999-12-31	2013-05-08
30/9-15	2249.000000	2265.000000	NESS FM	FORMATION	BRENT GP	2223	110	16	9999-12-31	2013-05-08
30/9-15	1028.000000	1177.000000	NO FORMAL NAME	FORMATION	\N	2223	111	\N	9999-12-31	2013-05-08
30/9-15	1194.000000	1901.000000	NO FORMAL NAME	FORMATION	\N	2223	111	\N	9999-12-31	2013-05-08
30/9-15	128.000000	842.000000	NORDLAND GP	GROUP	\N	2223	113	\N	9999-12-31	2013-05-08
30/9-15	1901.000000	2156.000000	ROGALAND GP	GROUP	\N	2223	131	\N	9999-12-31	2013-05-08
30/9-15	1964.000000	2009.000000	SELE FM	FORMATION	ROGALAND GP	2223	142	131	9999-12-31	2013-05-08
30/9-15	2156.000000	2242.000000	SHETLAND GP	GROUP	\N	2223	143	\N	9999-12-31	2013-05-08
30/9-15	1014.000000	1028.000000	SKADE FM	FORMATION	HORDALAND GP	2223	145	67	9999-12-31	2013-05-08
30/9-15	1177.000000	1194.000000	SKADE FM	FORMATION	HORDALAND GP	2223	145	67	9999-12-31	2013-05-08
30/9-15	2616.000000	2764.000000	STATFJORD FM	FORMATION	\N	2223	157	\N	9999-12-31	2013-05-08
30/9-15	2265.000000	2276.000000	UNDIFFERENTIATED	FORMATION	\N	2223	182	\N	9999-12-31	2013-05-08
30/9-15	646.000000	842.000000	UTSIRA FM	FORMATION	NORDLAND GP	2223	183	113	9999-12-31	2013-05-08
30/9-15	2151.000000	2156.000000	VÅLE FM	FORMATION	ROGALAND GP	2223	190	131	9999-12-31	2013-05-08
30/9-15	2242.000000	2249.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2223	198	23	9999-12-31	2013-05-08
30/9-15	2616.000000	2764.000000	NO GROUP DEFINED	GROUP	\N	2223	208	\N	9999-12-31	2013-05-08
24/9-5	1964.000000	2011.000000	BALDER FM	FORMATION	ROGALAND GP	2244	6	131	9999-12-31	2013-05-08
24/9-5	2018.000000	2031.000000	BALDER FM	FORMATION	ROGALAND GP	2244	6	131	9999-12-31	2013-05-08
24/9-5	2011.000000	2018.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	2244	7	131	9999-12-31	2013-05-08
24/9-5	1203.000000	1255.000000	GRID FM	FORMATION	HORDALAND GP	2244	53	67	9999-12-31	2013-05-08
24/9-5	1294.000000	1309.000000	GRID FM	FORMATION	HORDALAND GP	2244	53	67	9999-12-31	2013-05-08
24/9-5	2161.000000	2624.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2244	62	131	9999-12-31	2013-05-08
24/9-5	2049.000000	2082.000000	HERMOD FM	FORMATION	ROGALAND GP	2244	64	131	9999-12-31	2013-05-08
24/9-5	2098.000000	2112.000000	HERMOD FM	FORMATION	ROGALAND GP	2244	64	131	9999-12-31	2013-05-08
24/9-5	550.000000	1964.000000	HORDALAND GP	GROUP	\N	2244	67	\N	9999-12-31	2013-05-08
24/9-5	2828.000000	2860.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2244	74	143	9999-12-31	2013-05-08
24/9-5	2116.000000	2161.000000	LISTA FM	FORMATION	ROGALAND GP	2244	95	131	9999-12-31	2013-05-08
24/9-5	2624.000000	2728.000000	LISTA FM	FORMATION	ROGALAND GP	2244	95	131	9999-12-31	2013-05-08
24/9-5	695.000000	1203.000000	NO FORMAL NAME	FORMATION	\N	2244	111	\N	9999-12-31	2013-05-08
24/9-5	1255.000000	1294.000000	NO FORMAL NAME	FORMATION	\N	2244	111	\N	9999-12-31	2013-05-08
24/9-5	1309.000000	1964.000000	NO FORMAL NAME	FORMATION	\N	2244	111	\N	9999-12-31	2013-05-08
24/9-5	151.000000	550.000000	NORDLAND GP	GROUP	\N	2244	113	\N	9999-12-31	2013-05-08
24/9-5	1964.000000	2828.000000	ROGALAND GP	GROUP	\N	2244	131	\N	9999-12-31	2013-05-08
24/9-5	2031.000000	2049.000000	SELE FM	FORMATION	ROGALAND GP	2244	142	131	9999-12-31	2013-05-08
24/9-5	2082.000000	2098.000000	SELE FM	FORMATION	ROGALAND GP	2244	142	131	9999-12-31	2013-05-08
24/9-5	2112.000000	2116.000000	SELE FM	FORMATION	ROGALAND GP	2244	142	131	9999-12-31	2013-05-08
24/9-5	2828.000000	2860.000000	SHETLAND GP	GROUP	\N	2244	143	\N	9999-12-31	2013-05-08
24/9-5	555.000000	695.000000	SKADE FM	FORMATION	HORDALAND GP	2244	145	67	9999-12-31	2013-05-08
24/9-5	2728.000000	2828.000000	TY FM	FORMATION	ROGALAND GP	2244	176	131	9999-12-31	2013-05-08
24/9-5	250.000000	550.000000	UTSIRA FM	FORMATION	NORDLAND GP	2244	183	113	9999-12-31	2013-05-08
30/12-1	3549.000000	3596.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2248	4	29	9999-12-31	2013-05-08
30/12-1	2156.000000	2205.000000	BALDER FM	FORMATION	ROGALAND GP	2248	6	131	9999-12-31	2013-05-08
30/12-1	2903.000000	3133.000000	BRENT GP	GROUP	\N	2248	16	\N	9999-12-31	2013-05-08
30/12-1	3417.000000	3549.000000	BURTON FM	FORMATION	DUNLIN GP	2248	20	29	9999-12-31	2013-05-08
30/12-1	2622.000000	2795.000000	CROMER KNOLL GP	GROUP	\N	2248	23	\N	9999-12-31	2013-05-08
30/12-1	3409.000000	3417.000000	COOK FM	FORMATION	DUNLIN GP	2248	24	29	9999-12-31	2013-05-08
30/12-1	3133.000000	3409.000000	DRAKE FM	FORMATION	DUNLIN GP	2248	27	29	9999-12-31	2013-05-08
30/12-1	2795.000000	2852.000000	DRAUPNE FM	FORMATION	VIKING GP	2248	28	188	9999-12-31	2013-05-08
30/12-1	3133.000000	3596.000000	DUNLIN GP	GROUP	\N	2248	29	\N	9999-12-31	2013-05-08
30/12-1	2136.000000	2156.000000	FRIGG FM	FORMATION	HORDALAND GP	2248	45	67	9999-12-31	2013-05-08
30/12-1	2429.000000	2544.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2248	56	143	9999-12-31	2013-05-08
30/12-1	2852.000000	2903.000000	HEATHER FM	FORMATION	VIKING GP	2248	60	188	9999-12-31	2013-05-08
30/12-1	899.000000	2156.000000	HORDALAND GP	GROUP	\N	2248	67	\N	9999-12-31	2013-05-08
30/12-1	2544.000000	2610.000000	KYRRE FM	FORMATION	SHETLAND GP	2248	92	143	9999-12-31	2013-05-08
30/12-1	2270.000000	2416.000000	LISTA FM	FORMATION	ROGALAND GP	2248	95	131	9999-12-31	2013-05-08
30/12-1	2989.000000	3133.000000	NESS FM	FORMATION	BRENT GP	2248	110	16	9999-12-31	2013-05-08
30/12-1	138.000000	899.000000	NORDLAND GP	GROUP	\N	2248	113	\N	9999-12-31	2013-05-08
30/12-1	2156.000000	2429.000000	ROGALAND GP	GROUP	\N	2248	131	\N	9999-12-31	2013-05-08
30/12-1	2622.000000	2693.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2248	137	23	9999-12-31	2013-05-08
30/12-1	2205.000000	2270.000000	SELE FM	FORMATION	ROGALAND GP	2248	142	131	9999-12-31	2013-05-08
30/12-1	2429.000000	2622.000000	SHETLAND GP	GROUP	\N	2248	143	\N	9999-12-31	2013-05-08
30/12-1	2693.000000	2712.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2248	152	23	9999-12-31	2013-05-08
30/12-1	3596.000000	3641.000000	STATFJORD FM	FORMATION	\N	2248	157	\N	9999-12-31	2013-05-08
30/12-1	2610.000000	2622.000000	SVARTE FM	FORMATION	SHETLAND GP	2248	160	143	9999-12-31	2013-05-08
30/12-1	2903.000000	2989.000000	TARBERT FM	FORMATION	BRENT GP	2248	162	16	9999-12-31	2013-05-08
30/12-1	648.000000	899.000000	UTSIRA FM	FORMATION	NORDLAND GP	2248	183	113	9999-12-31	2013-05-08
30/12-1	2795.000000	2903.000000	VIKING GP	GROUP	\N	2248	188	\N	9999-12-31	2013-05-08
30/12-1	2416.000000	2429.000000	VÅLE FM	FORMATION	ROGALAND GP	2248	190	131	9999-12-31	2013-05-08
30/12-1	2712.000000	2795.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2248	198	23	9999-12-31	2013-05-08
30/12-1	3596.000000	3641.000000	NO GROUP DEFINED	GROUP	\N	2248	208	\N	9999-12-31	2013-05-08
2/4-18 R	3158.000000	3171.000000	BALDER FM	FORMATION	ROGALAND GP	2253	6	131	9999-12-31	2013-05-08
2/4-18 R	4435.000000	4445.000000	BLODØKS FM	FORMATION	SHETLAND GP	2253	13	143	9999-12-31	2013-05-08
2/4-18 R	4464.000000	4716.000000	CROMER KNOLL GP	GROUP	\N	2253	23	\N	9999-12-31	2013-05-08
2/4-18 R	3351.000000	3475.000000	EKOFISK FM	FORMATION	SHETLAND GP	2253	33	143	9999-12-31	2013-05-08
2/4-18 R	4772.000000	5310.000000	FARSUND FM	FORMATION	TYNE GP	2253	39	177	9999-12-31	2013-05-08
2/4-18 R	4445.000000	4464.000000	HIDRA FM	FORMATION	SHETLAND GP	2253	65	143	9999-12-31	2013-05-08
2/4-18 R	3704.000000	4435.000000	HOD FM	FORMATION	SHETLAND GP	2253	66	143	9999-12-31	2013-05-08
2/4-18 R	1804.000000	3158.000000	HORDALAND GP	GROUP	\N	2253	67	\N	9999-12-31	2013-05-08
2/4-18 R	3188.000000	3277.000000	LISTA FM	FORMATION	ROGALAND GP	2253	95	131	9999-12-31	2013-05-08
2/4-18 R	3311.000000	3334.000000	LISTA FM	FORMATION	ROGALAND GP	2253	95	131	9999-12-31	2013-05-08
2/4-18 R	4716.000000	4772.000000	MANDAL FM	FORMATION	TYNE GP	2253	101	177	9999-12-31	2013-05-08
2/4-18 R	822.000000	883.000000	NO FORMAL NAME	FORMATION	\N	2253	111	\N	9999-12-31	2013-05-08
2/4-18 R	883.000000	1804.000000	NO FORMAL NAME	FORMATION	\N	2253	111	\N	9999-12-31	2013-05-08
2/4-18 R	110.000000	1804.000000	NORDLAND GP	GROUP	\N	2253	113	\N	9999-12-31	2013-05-08
2/4-18 R	3158.000000	3351.000000	ROGALAND GP	GROUP	\N	2253	131	\N	9999-12-31	2013-05-08
2/4-18 R	4464.000000	4494.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2253	137	23	9999-12-31	2013-05-08
2/4-18 R	3171.000000	3188.000000	SELE FM	FORMATION	ROGALAND GP	2253	142	131	9999-12-31	2013-05-08
2/4-18 R	3351.000000	4464.000000	SHETLAND GP	GROUP	\N	2253	143	\N	9999-12-31	2013-05-08
2/4-18 R	3475.000000	3704.000000	TOR FM	FORMATION	SHETLAND GP	2253	171	143	9999-12-31	2013-05-08
2/4-18 R	4494.000000	4544.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	2253	175	23	9999-12-31	2013-05-08
2/4-18 R	4716.000000	5310.000000	TYNE GP	GROUP	\N	2253	177	\N	9999-12-31	2013-05-08
2/4-18 R	3277.000000	3311.000000	VIDAR FM	FORMATION	ROGALAND GP	2253	187	131	9999-12-31	2013-05-08
2/4-18 R	3334.000000	3351.000000	VÅLE FM	FORMATION	ROGALAND GP	2253	190	131	9999-12-31	2013-05-08
2/4-18 R	4544.000000	4716.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2253	198	23	9999-12-31	2013-05-08
6608/10-4	1561.000000	1843.000000	BRYGGE FM	FORMATION	HORDALAND GP	2256	18	67	9999-12-31	2013-05-08
6608/10-4	2617.000000	2800.000000	BÅT GP	GROUP	\N	2256	22	\N	9999-12-31	2013-05-08
6608/10-4	2187.000000	2328.000000	CROMER KNOLL GP	GROUP	\N	2256	23	\N	9999-12-31	2013-05-08
6608/10-4	2567.000000	2617.000000	FANGST GP	GROUP	\N	2256	38	\N	9999-12-31	2013-05-08
6608/10-4	2567.000000	2598.000000	GARN FM	FORMATION	FANGST GP	2256	48	38	9999-12-31	2013-05-08
6608/10-4	1561.000000	1843.000000	HORDALAND GP	GROUP	\N	2256	67	\N	9999-12-31	2013-05-08
6608/10-4	2605.000000	2617.000000	ILE FM	FORMATION	FANGST GP	2256	70	38	9999-12-31	2013-05-08
6608/10-4	1404.000000	1561.000000	KAI FM	FORMATION	NORDLAND GP	2256	77	113	9999-12-31	2013-05-08
6608/10-4	2187.000000	2328.000000	LYR FM	FORMATION	CROMER KNOLL GP	2256	98	23	9999-12-31	2013-05-08
6608/10-4	2484.000000	2533.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	2256	104	188	9999-12-31	2013-05-08
6608/10-4	2372.000000	2484.000000	MELKE FM	FORMATION	VIKING GP	2256	105	188	9999-12-31	2013-05-08
6608/10-4	2533.000000	2567.000000	MELKE FM	FORMATION	VIKING GP	2256	105	188	9999-12-31	2013-05-08
6608/10-4	405.000000	1404.000000	NAUST FM	FORMATION	NORDLAND GP	2256	109	113	9999-12-31	2013-05-08
6608/10-4	2050.000000	2187.000000	NISE FM	FORMATION	SHETLAND GP	2256	112	143	9999-12-31	2013-05-08
6608/10-4	405.000000	1561.000000	NORDLAND GP	GROUP	\N	2256	113	\N	9999-12-31	2013-05-08
6608/10-4	2598.000000	2605.000000	NOT FM	FORMATION	FANGST GP	2256	120	38	9999-12-31	2013-05-08
6608/10-4	1843.000000	1922.000000	ROGALAND GP	GROUP	\N	2256	131	\N	9999-12-31	2013-05-08
6608/10-4	1922.000000	2187.000000	SHETLAND GP	GROUP	\N	2256	143	\N	9999-12-31	2013-05-08
6608/10-4	2328.000000	2372.000000	SPEKK FM	FORMATION	VIKING GP	2256	155	188	9999-12-31	2013-05-08
6608/10-4	1922.000000	2050.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2256	156	143	9999-12-31	2013-05-08
6608/10-4	1892.000000	1922.000000	TANG FM	FORMATION	ROGALAND GP	2256	161	131	9999-12-31	2013-05-08
6608/10-4	1843.000000	1892.000000	TARE FM	FORMATION	ROGALAND GP	2256	163	131	9999-12-31	2013-05-08
6608/10-4	2657.000000	2697.000000	TILJE FM	FORMATION	BÅT GP	2256	169	22	9999-12-31	2013-05-08
6608/10-4	2617.000000	2657.000000	TOFTE FM	FORMATION	BÅT GP	2256	170	22	9999-12-31	2013-05-08
6608/10-4	2328.000000	2567.000000	VIKING GP	GROUP	\N	2256	188	\N	9999-12-31	2013-05-08
6608/10-4	2697.000000	2800.000000	ÅRE FM	FORMATION	BÅT GP	2256	197	22	9999-12-31	2013-05-08
9/2-4 S	724.000000	741.000000	BALDER FM	FORMATION	ROGALAND GP	2258	6	131	9999-12-31	2013-05-08
9/2-4 S	1545.000000	1581.000000	BLODØKS FM	FORMATION	SHETLAND GP	2258	13	143	9999-12-31	2013-05-08
9/2-4 S	2730.000000	4094.000000	BOKNFJORD GP	GROUP	\N	2258	15	\N	9999-12-31	2013-05-08
9/2-4 S	4295.000000	4417.000000	BRYNE FM	FORMATION	VESTLAND GP	2258	19	186	9999-12-31	2013-05-08
9/2-4 S	1581.000000	2730.000000	CROMER KNOLL GP	GROUP	\N	2258	23	\N	9999-12-31	2013-05-08
9/2-4 S	3993.000000	4094.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	2258	30	15	9999-12-31	2013-05-08
9/2-4 S	784.000000	855.000000	EKOFISK FM	FORMATION	SHETLAND GP	2258	33	143	9999-12-31	2013-05-08
9/2-4 S	2730.000000	3075.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	2258	43	15	9999-12-31	2013-05-08
9/2-4 S	1168.000000	1545.000000	HOD FM	FORMATION	SHETLAND GP	2258	66	143	9999-12-31	2013-05-08
9/2-4 S	521.000000	724.000000	HORDALAND GP	GROUP	\N	2258	67	\N	9999-12-31	2013-05-08
9/2-4 S	753.000000	774.000000	LISTA FM	FORMATION	ROGALAND GP	2258	95	131	9999-12-31	2013-05-08
9/2-4 S	115.000000	521.000000	NORDLAND GP	GROUP	\N	2258	113	\N	9999-12-31	2013-05-08
9/2-4 S	724.000000	784.000000	ROGALAND GP	GROUP	\N	2258	131	\N	9999-12-31	2013-05-08
9/2-4 S	4094.000000	4295.000000	SANDNES FM	FORMATION	VESTLAND GP	2258	139	186	9999-12-31	2013-05-08
9/2-4 S	3075.000000	3875.000000	SAUDA FM	FORMATION	BOKNFJORD GP	2258	141	15	9999-12-31	2013-05-08
9/2-4 S	741.000000	753.000000	SELE FM	FORMATION	ROGALAND GP	2258	142	131	9999-12-31	2013-05-08
9/2-4 S	784.000000	1581.000000	SHETLAND GP	GROUP	\N	2258	143	\N	9999-12-31	2013-05-08
9/2-4 S	1581.000000	1723.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2258	152	23	9999-12-31	2013-05-08
9/2-4 S	3875.000000	3993.000000	TAU FM	FORMATION	BOKNFJORD GP	2258	164	15	9999-12-31	2013-05-08
9/2-4 S	855.000000	1168.000000	TOR FM	FORMATION	SHETLAND GP	2258	171	143	9999-12-31	2013-05-08
9/2-4 S	4094.000000	4417.000000	VESTLAND GP	GROUP	\N	2258	186	\N	9999-12-31	2013-05-08
9/2-4 S	774.000000	784.000000	VÅLE FM	FORMATION	ROGALAND GP	2258	190	131	9999-12-31	2013-05-08
9/2-4 S	1723.000000	2730.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2258	198	23	9999-12-31	2013-05-08
15/12-10 S	2550.000000	2559.000000	BALDER FM	FORMATION	ROGALAND GP	2285	6	131	9999-12-31	2013-05-08
15/12-10 S	3097.000000	3107.000000	BLODØKS FM	FORMATION	SHETLAND GP	2285	13	143	9999-12-31	2013-05-08
15/12-10 S	3204.000000	3261.000000	CROMER KNOLL GP	GROUP	\N	2285	23	\N	9999-12-31	2013-05-08
15/12-10 S	3372.000000	3388.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	2285	59	188	9999-12-31	2013-05-08
15/12-10 S	3261.000000	3372.000000	HEATHER FM	FORMATION	VIKING GP	2285	60	188	9999-12-31	2013-05-08
15/12-10 S	3388.000000	3420.000000	HEATHER FM	FORMATION	VIKING GP	2285	60	188	9999-12-31	2013-05-08
15/12-10 S	2850.000000	3097.000000	HOD FM	FORMATION	SHETLAND GP	2285	66	143	9999-12-31	2013-05-08
15/12-10 S	1408.000000	2550.000000	HORDALAND GP	GROUP	\N	2285	67	\N	9999-12-31	2013-05-08
15/12-10 S	2607.000000	2766.000000	LISTA FM	FORMATION	ROGALAND GP	2285	95	131	9999-12-31	2013-05-08
15/12-10 S	107.000000	1408.000000	NORDLAND GP	GROUP	\N	2285	113	\N	9999-12-31	2013-05-08
15/12-10 S	2550.000000	2766.000000	ROGALAND GP	GROUP	\N	2285	131	\N	9999-12-31	2013-05-08
15/12-10 S	3204.000000	3224.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2285	137	23	9999-12-31	2013-05-08
15/12-10 S	2559.000000	2607.000000	SELE FM	FORMATION	ROGALAND GP	2285	142	131	9999-12-31	2013-05-08
15/12-10 S	2766.000000	3204.000000	SHETLAND GP	GROUP	\N	2285	143	\N	9999-12-31	2013-05-08
15/12-10 S	3429.000000	3550.000000	SKAGERRAK FM	FORMATION	HEGRE GP	2285	146	61	9999-12-31	2013-05-08
15/12-10 S	3420.000000	3429.000000	SLEIPNER FM	FORMATION	VESTLAND GP	2285	148	186	9999-12-31	2013-05-08
15/12-10 S	3107.000000	3204.000000	SVARTE FM	FORMATION	SHETLAND GP	2285	160	143	9999-12-31	2013-05-08
15/12-10 S	2766.000000	2850.000000	TOR FM	FORMATION	SHETLAND GP	2285	171	143	9999-12-31	2013-05-08
15/9-20 S	1130.000000	2645.000000	HORDALAND GP	GROUP	\N	2319	67	\N	9999-12-31	2013-05-08
15/12-10 S	1096.000000	1408.000000	UTSIRA FM	FORMATION	NORDLAND GP	2285	183	113	9999-12-31	2013-05-08
15/12-10 S	3420.000000	3429.000000	VESTLAND GP	GROUP	\N	2285	186	\N	9999-12-31	2013-05-08
15/12-10 S	3261.000000	3420.000000	VIKING GP	GROUP	\N	2285	188	\N	9999-12-31	2013-05-08
15/12-10 S	3224.000000	3261.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2285	198	23	9999-12-31	2013-05-08
15/12-10 S	3429.000000	3550.000000	NO GROUP DEFINED	GROUP	\N	2285	208	\N	9999-12-31	2013-05-08
24/9-6	1917.000000	2011.000000	BALDER FM	FORMATION	ROGALAND GP	2288	6	131	9999-12-31	2013-05-08
24/9-6	2022.000000	2034.000000	BALDER FM	FORMATION	ROGALAND GP	2288	6	131	9999-12-31	2013-05-08
24/9-6	2072.000000	2088.000000	BALDER FM	FORMATION	ROGALAND GP	2288	6	131	9999-12-31	2013-05-08
24/9-6	2011.000000	2022.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	2288	7	131	9999-12-31	2013-05-08
24/9-6	2034.000000	2072.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	2288	7	131	9999-12-31	2013-05-08
24/9-6	1158.000000	1271.000000	GRID FM	FORMATION	HORDALAND GP	2288	53	67	9999-12-31	2013-05-08
24/9-6	1323.000000	1350.000000	GRID FM	FORMATION	HORDALAND GP	2288	53	67	9999-12-31	2013-05-08
24/9-6	2210.000000	2255.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2288	62	131	9999-12-31	2013-05-08
24/9-6	2119.000000	2137.000000	HERMOD FM	FORMATION	ROGALAND GP	2288	64	131	9999-12-31	2013-05-08
24/9-6	658.000000	1917.000000	HORDALAND GP	GROUP	\N	2288	67	\N	9999-12-31	2013-05-08
24/9-6	2154.000000	2210.000000	LISTA FM	FORMATION	ROGALAND GP	2288	95	131	9999-12-31	2013-05-08
24/9-6	860.000000	1158.000000	NO FORMAL NAME	FORMATION	\N	2288	111	\N	9999-12-31	2013-05-08
24/9-6	1271.000000	1323.000000	NO FORMAL NAME	FORMATION	\N	2288	111	\N	9999-12-31	2013-05-08
24/9-6	1350.000000	1917.000000	NO FORMAL NAME	FORMATION	\N	2288	111	\N	9999-12-31	2013-05-08
24/9-6	153.000000	658.000000	NORDLAND GP	GROUP	\N	2288	113	\N	9999-12-31	2013-05-08
24/9-6	1917.000000	2255.000000	ROGALAND GP	GROUP	\N	2288	131	\N	9999-12-31	2013-05-08
24/9-6	2088.000000	2119.000000	SELE FM	FORMATION	ROGALAND GP	2288	142	131	9999-12-31	2013-05-08
24/9-6	2137.000000	2154.000000	SELE FM	FORMATION	ROGALAND GP	2288	142	131	9999-12-31	2013-05-08
24/9-6	670.000000	860.000000	SKADE FM	FORMATION	HORDALAND GP	2288	145	67	9999-12-31	2013-05-08
24/9-6	222.000000	658.000000	UTSIRA FM	FORMATION	NORDLAND GP	2288	183	113	9999-12-31	2013-05-08
34/7-23 S	1995.000000	2042.000000	BALDER FM	FORMATION	ROGALAND GP	2296	6	131	9999-12-31	2013-05-08
34/7-23 S	3328.000000	3375.000000	BRENT GP	GROUP	\N	2296	16	\N	9999-12-31	2013-05-08
34/7-23 S	3071.000000	3078.000000	CROMER KNOLL GP	GROUP	\N	2296	23	\N	9999-12-31	2013-05-08
34/7-23 S	3078.000000	3102.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2296	26	188	9999-12-31	2013-05-08
34/7-23 S	3102.000000	3182.000000	DRAUPNE FM	FORMATION	VIKING GP	2296	28	188	9999-12-31	2013-05-08
34/7-23 S	3182.000000	3328.000000	HEATHER FM	FORMATION	VIKING GP	2296	60	188	9999-12-31	2013-05-08
34/7-23 S	1144.000000	1995.000000	HORDALAND GP	GROUP	\N	2296	67	\N	9999-12-31	2013-05-08
34/7-23 S	2283.000000	2596.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2296	74	143	9999-12-31	2013-05-08
34/7-23 S	2596.000000	3071.000000	KYRRE FM	FORMATION	SHETLAND GP	2296	92	143	9999-12-31	2013-05-08
34/7-23 S	2042.000000	2283.000000	LISTA FM	FORMATION	ROGALAND GP	2296	95	131	9999-12-31	2013-05-08
34/7-23 S	3071.000000	3078.000000	MIME FM	FORMATION	CROMER KNOLL GP	2296	106	23	9999-12-31	2013-05-08
34/7-23 S	1369.000000	1400.000000	NO FORMAL NAME	FORMATION	\N	2296	111	\N	9999-12-31	2013-05-08
34/7-23 S	1400.000000	1460.000000	NO FORMAL NAME	FORMATION	\N	2296	111	\N	9999-12-31	2013-05-08
34/7-23 S	1460.000000	1602.000000	NO FORMAL NAME	FORMATION	\N	2296	111	\N	9999-12-31	2013-05-08
34/7-23 S	1602.000000	1995.000000	NO FORMAL NAME	FORMATION	\N	2296	111	\N	9999-12-31	2013-05-08
34/7-23 S	271.000000	1144.000000	NORDLAND GP	GROUP	\N	2296	113	\N	9999-12-31	2013-05-08
34/7-23 S	1995.000000	2283.000000	ROGALAND GP	GROUP	\N	2296	131	\N	9999-12-31	2013-05-08
34/7-23 S	3071.000000	3071.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2296	137	23	9999-12-31	2013-05-08
34/7-23 S	2283.000000	3071.000000	SHETLAND GP	GROUP	\N	2296	143	\N	9999-12-31	2013-05-08
34/7-23 S	3328.000000	3375.000000	TARBERT FM	FORMATION	BRENT GP	2296	162	16	9999-12-31	2013-05-08
34/7-23 S	955.000000	1144.000000	UTSIRA FM	FORMATION	NORDLAND GP	2296	183	113	9999-12-31	2013-05-08
34/7-23 S	3078.000000	3328.000000	VIKING GP	GROUP	\N	2296	188	\N	9999-12-31	2013-05-08
2/11-10 S	3802.000000	3820.000000	BALDER FM	FORMATION	ROGALAND GP	2297	6	131	9999-12-31	2013-05-08
2/11-10 S	3901.000000	3917.000000	EKOFISK FM	FORMATION	SHETLAND GP	2297	33	143	9999-12-31	2013-05-08
2/11-10 S	4074.000000	4090.000000	HOD FM	FORMATION	SHETLAND GP	2297	66	143	9999-12-31	2013-05-08
2/11-10 S	1725.000000	3802.000000	HORDALAND GP	GROUP	\N	2297	67	\N	9999-12-31	2013-05-08
2/11-10 S	3851.000000	3893.000000	LISTA FM	FORMATION	ROGALAND GP	2297	95	131	9999-12-31	2013-05-08
2/11-10 S	119.000000	1725.000000	NORDLAND GP	GROUP	\N	2297	113	\N	9999-12-31	2013-05-08
2/11-10 S	3802.000000	3901.000000	ROGALAND GP	GROUP	\N	2297	131	\N	9999-12-31	2013-05-08
2/11-10 S	3820.000000	3851.000000	SELE FM	FORMATION	ROGALAND GP	2297	142	131	9999-12-31	2013-05-08
2/11-10 S	3901.000000	4090.000000	SHETLAND GP	GROUP	\N	2297	143	\N	9999-12-31	2013-05-08
2/11-10 S	3917.000000	4074.000000	TOR FM	FORMATION	SHETLAND GP	2297	171	143	9999-12-31	2013-05-08
2/11-10 S	3893.000000	3901.000000	VÅLE FM	FORMATION	ROGALAND GP	2297	190	131	9999-12-31	2013-05-08
6507/2-3	1835.000000	1948.000000	BRYGGE FM	FORMATION	HORDALAND GP	2299	18	67	9999-12-31	2013-05-08
6507/2-3	2850.000000	3843.000000	CROMER KNOLL GP	GROUP	\N	2299	23	\N	9999-12-31	2013-05-08
6507/2-3	1835.000000	1948.000000	HORDALAND GP	GROUP	\N	2299	67	\N	9999-12-31	2013-05-08
6507/2-3	1375.000000	1835.000000	KAI FM	FORMATION	NORDLAND GP	2299	77	113	9999-12-31	2013-05-08
6507/2-3	2453.000000	2850.000000	KVITNOS FM	FORMATION	SHETLAND GP	2299	91	143	9999-12-31	2013-05-08
6507/2-3	2891.000000	3791.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2299	94	23	9999-12-31	2013-05-08
6507/2-3	3791.000000	3843.000000	LYR FM	FORMATION	CROMER KNOLL GP	2299	98	23	9999-12-31	2013-05-08
6507/2-3	2850.000000	2891.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2299	99	23	9999-12-31	2013-05-08
6507/2-3	378.000000	1375.000000	NAUST FM	FORMATION	NORDLAND GP	2299	109	113	9999-12-31	2013-05-08
6507/2-3	2157.000000	2453.000000	NISE FM	FORMATION	SHETLAND GP	2299	112	143	9999-12-31	2013-05-08
6507/2-3	378.000000	1835.000000	NORDLAND GP	GROUP	\N	2299	113	\N	9999-12-31	2013-05-08
6507/2-3	1948.000000	2052.000000	ROGALAND GP	GROUP	\N	2299	131	\N	9999-12-31	2013-05-08
6507/2-3	2052.000000	2850.000000	SHETLAND GP	GROUP	\N	2299	143	\N	9999-12-31	2013-05-08
6507/2-3	3843.000000	3972.000000	SPEKK FM	FORMATION	VIKING GP	2299	155	188	9999-12-31	2013-05-08
6507/2-3	2052.000000	2157.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2299	156	143	9999-12-31	2013-05-08
6507/2-3	2005.000000	2052.000000	TANG FM	FORMATION	ROGALAND GP	2299	161	131	9999-12-31	2013-05-08
6507/2-3	1948.000000	2005.000000	TARE FM	FORMATION	ROGALAND GP	2299	163	131	9999-12-31	2013-05-08
6507/2-3	3843.000000	3972.000000	VIKING GP	GROUP	\N	2299	188	\N	9999-12-31	2013-05-08
15/9-20 S	2645.000000	2713.000000	BALDER FM	FORMATION	ROGALAND GP	2319	6	131	9999-12-31	2013-05-08
15/9-20 S	3239.000000	3247.000000	BLODØKS FM	FORMATION	SHETLAND GP	2319	13	143	9999-12-31	2013-05-08
15/9-20 S	3247.000000	3249.000000	DRAUPNE FM	FORMATION	VIKING GP	2319	28	188	9999-12-31	2013-05-08
15/9-20 S	3249.000000	3259.000000	HEATHER FM	FORMATION	VIKING GP	2319	60	188	9999-12-31	2013-05-08
15/9-20 S	2931.000000	3035.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2319	62	131	9999-12-31	2013-05-08
15/9-20 S	3195.000000	3239.000000	HOD FM	FORMATION	SHETLAND GP	2319	66	143	9999-12-31	2013-05-08
15/9-20 S	2820.000000	2931.000000	LISTA FM	FORMATION	ROGALAND GP	2319	95	131	9999-12-31	2013-05-08
15/9-20 S	1308.000000	2645.000000	NO FORMAL NAME	FORMATION	\N	2319	111	\N	9999-12-31	2013-05-08
15/9-20 S	160.000000	1130.000000	NORDLAND GP	GROUP	\N	2319	113	\N	9999-12-31	2013-05-08
15/9-20 S	2645.000000	3035.000000	ROGALAND GP	GROUP	\N	2319	131	\N	9999-12-31	2013-05-08
15/9-20 S	2713.000000	2820.000000	SELE FM	FORMATION	ROGALAND GP	2319	142	131	9999-12-31	2013-05-08
15/9-20 S	3035.000000	3247.000000	SHETLAND GP	GROUP	\N	2319	143	\N	9999-12-31	2013-05-08
15/9-20 S	1279.000000	1308.000000	SKADE FM	FORMATION	HORDALAND GP	2319	145	67	9999-12-31	2013-05-08
15/9-20 S	3259.000000	3503.000000	SKAGERRAK FM	FORMATION	HEGRE GP	2319	146	61	9999-12-31	2013-05-08
15/9-20 S	3503.000000	3624.000000	SMITH BANK FM	FORMATION	HEGRE GP	2319	149	61	9999-12-31	2013-05-08
15/9-20 S	3035.000000	3195.000000	TOR FM	FORMATION	SHETLAND GP	2319	171	143	9999-12-31	2013-05-08
15/9-20 S	909.000000	1130.000000	UTSIRA FM	FORMATION	NORDLAND GP	2319	183	113	9999-12-31	2013-05-08
15/9-20 S	3247.000000	3259.000000	VIKING GP	GROUP	\N	2319	188	\N	9999-12-31	2013-05-08
15/9-20 S	3259.000000	3624.000000	NO GROUP DEFINED	GROUP	\N	2319	208	\N	9999-12-31	2013-05-08
34/7-23 A	1995.000000	2042.000000	BALDER FM	FORMATION	ROGALAND GP	2326	6	131	9999-12-31	2013-05-08
34/7-23 A	3186.000000	3203.000000	CROMER KNOLL GP	GROUP	\N	2326	23	\N	9999-12-31	2013-05-08
34/7-23 A	3203.000000	3246.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2326	26	188	9999-12-31	2013-05-08
34/7-23 A	3246.000000	3360.000000	DRAUPNE FM	FORMATION	VIKING GP	2326	28	188	9999-12-31	2013-05-08
34/7-23 A	3360.000000	3412.000000	HEATHER FM	FORMATION	VIKING GP	2326	60	188	9999-12-31	2013-05-08
34/7-23 A	1144.000000	1995.000000	HORDALAND GP	GROUP	\N	2326	67	\N	9999-12-31	2013-05-08
34/7-23 A	2283.000000	2623.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2326	74	143	9999-12-31	2013-05-08
34/7-23 A	2623.000000	3186.000000	KYRRE FM	FORMATION	SHETLAND GP	2326	92	143	9999-12-31	2013-05-08
34/7-23 A	2042.000000	2283.000000	LISTA FM	FORMATION	ROGALAND GP	2326	95	131	9999-12-31	2013-05-08
34/7-23 A	3196.000000	3203.000000	MIME FM	FORMATION	CROMER KNOLL GP	2326	106	23	9999-12-31	2013-05-08
34/7-23 A	1369.000000	1400.000000	NO FORMAL NAME	FORMATION	\N	2326	111	\N	9999-12-31	2013-05-08
34/7-23 A	1400.000000	1460.000000	NO FORMAL NAME	FORMATION	\N	2326	111	\N	9999-12-31	2013-05-08
34/7-23 A	1460.000000	1602.000000	NO FORMAL NAME	FORMATION	\N	2326	111	\N	9999-12-31	2013-05-08
34/7-23 A	1602.000000	1995.000000	NO FORMAL NAME	FORMATION	\N	2326	111	\N	9999-12-31	2013-05-08
34/7-23 A	271.000000	1144.000000	NORDLAND GP	GROUP	\N	2326	113	\N	9999-12-31	2013-05-08
34/7-23 A	1995.000000	2283.000000	ROGALAND GP	GROUP	\N	2326	131	\N	9999-12-31	2013-05-08
34/7-23 A	3186.000000	3196.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2326	137	23	9999-12-31	2013-05-08
34/7-23 A	2283.000000	3186.000000	SHETLAND GP	GROUP	\N	2326	143	\N	9999-12-31	2013-05-08
34/7-23 A	955.000000	1144.000000	UTSIRA FM	FORMATION	NORDLAND GP	2326	183	113	9999-12-31	2013-05-08
34/7-23 A	3203.000000	3412.000000	VIKING GP	GROUP	\N	2326	188	\N	9999-12-31	2013-05-08
30/9-17	812.000000	1408.000000	HORDALAND GP	GROUP	\N	2355	67	\N	9999-12-31	2013-05-08
30/9-17	964.000000	1076.000000	NO FORMAL NAME	FORMATION	\N	2355	111	\N	9999-12-31	2013-05-08
30/9-17	1139.000000	1236.000000	NO FORMAL NAME	FORMATION	\N	2355	111	\N	9999-12-31	2013-05-08
30/9-17	1374.000000	1408.000000	NO FORMAL NAME	FORMATION	\N	2355	111	\N	9999-12-31	2013-05-08
30/9-17	133.000000	812.000000	NORDLAND GP	GROUP	\N	2355	113	\N	9999-12-31	2013-05-08
30/9-17	944.000000	964.000000	SKADE FM	FORMATION	HORDALAND GP	2355	145	67	9999-12-31	2013-05-08
30/9-17	1076.000000	1139.000000	SKADE FM	FORMATION	HORDALAND GP	2355	145	67	9999-12-31	2013-05-08
30/9-17	1236.000000	1374.000000	SKADE FM	FORMATION	HORDALAND GP	2355	145	67	9999-12-31	2013-05-08
30/9-17	642.000000	812.000000	UTSIRA FM	FORMATION	NORDLAND GP	2355	183	113	9999-12-31	2013-05-08
25/11-18	1674.000000	1690.000000	BALDER FM	FORMATION	ROGALAND GP	2358	6	131	9999-12-31	2013-05-08
25/11-18	1834.000000	1850.000000	EKOFISK FM	FORMATION	SHETLAND GP	2358	33	143	9999-12-31	2013-05-08
25/11-18	1437.000000	1464.000000	GRID FM	FORMATION	HORDALAND GP	2358	53	67	9999-12-31	2013-05-08
25/11-18	1742.000000	1798.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2358	62	131	9999-12-31	2013-05-08
25/11-18	1865.000000	1875.000000	HOD FM	FORMATION	SHETLAND GP	2358	66	143	9999-12-31	2013-05-08
25/11-18	811.000000	1674.000000	HORDALAND GP	GROUP	\N	2358	67	\N	9999-12-31	2013-05-08
25/11-18	1695.000000	1742.000000	LISTA FM	FORMATION	ROGALAND GP	2358	95	131	9999-12-31	2013-05-08
25/11-18	1798.000000	1807.000000	LISTA FM	FORMATION	ROGALAND GP	2358	95	131	9999-12-31	2013-05-08
25/11-18	731.000000	811.000000	NO FORMAL NAME	FORMATION	\N	2358	111	\N	9999-12-31	2013-05-08
25/11-18	924.000000	965.000000	NO FORMAL NAME	FORMATION	\N	2358	111	\N	9999-12-31	2013-05-08
25/11-18	996.000000	1004.000000	NO FORMAL NAME	FORMATION	\N	2358	111	\N	9999-12-31	2013-05-08
25/11-18	1048.000000	1108.000000	NO FORMAL NAME	FORMATION	\N	2358	111	\N	9999-12-31	2013-05-08
25/11-18	1114.000000	1437.000000	NO FORMAL NAME	FORMATION	\N	2358	111	\N	9999-12-31	2013-05-08
25/11-18	1464.000000	1674.000000	NO FORMAL NAME	FORMATION	\N	2358	111	\N	9999-12-31	2013-05-08
25/11-18	150.000000	811.000000	NORDLAND GP	GROUP	\N	2358	113	\N	9999-12-31	2013-05-08
25/11-18	1674.000000	1834.000000	ROGALAND GP	GROUP	\N	2358	131	\N	9999-12-31	2013-05-08
25/11-18	1690.000000	1695.000000	SELE FM	FORMATION	ROGALAND GP	2358	142	131	9999-12-31	2013-05-08
25/11-18	1834.000000	1875.000000	SHETLAND GP	GROUP	\N	2358	143	\N	9999-12-31	2013-05-08
25/11-18	811.000000	924.000000	SKADE FM	FORMATION	HORDALAND GP	2358	145	67	9999-12-31	2013-05-08
25/11-18	965.000000	996.000000	SKADE FM	FORMATION	HORDALAND GP	2358	145	67	9999-12-31	2013-05-08
25/11-18	1004.000000	1048.000000	SKADE FM	FORMATION	HORDALAND GP	2358	145	67	9999-12-31	2013-05-08
25/11-18	1108.000000	1114.000000	SKADE FM	FORMATION	HORDALAND GP	2358	145	67	9999-12-31	2013-05-08
25/11-18	1850.000000	1865.000000	TOR FM	FORMATION	SHETLAND GP	2358	171	143	9999-12-31	2013-05-08
25/11-18	664.000000	731.000000	UTSIRA FM	FORMATION	NORDLAND GP	2358	183	113	9999-12-31	2013-05-08
25/11-18	1807.000000	1834.000000	VÅLE FM	FORMATION	ROGALAND GP	2358	190	131	9999-12-31	2013-05-08
34/11-1	4395.000000	4514.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2377	4	29	9999-12-31	2013-05-08
34/11-1	1892.000000	1942.000000	BALDER FM	FORMATION	ROGALAND GP	2377	6	131	9999-12-31	2013-05-08
34/11-1	4045.000000	4221.000000	BRENT GP	GROUP	\N	2377	16	\N	9999-12-31	2013-05-08
34/11-1	4338.000000	4395.000000	BURTON FM	FORMATION	DUNLIN GP	2377	20	29	9999-12-31	2013-05-08
34/11-1	3750.000000	3917.000000	CROMER KNOLL GP	GROUP	\N	2377	23	\N	9999-12-31	2013-05-08
34/11-1	4289.000000	4338.000000	COOK FM	FORMATION	DUNLIN GP	2377	24	29	9999-12-31	2013-05-08
34/11-1	4221.000000	4289.000000	DRAKE FM	FORMATION	DUNLIN GP	2377	27	29	9999-12-31	2013-05-08
34/11-1	3917.000000	3996.000000	DRAUPNE FM	FORMATION	VIKING GP	2377	28	188	9999-12-31	2013-05-08
34/11-1	4221.000000	4514.000000	DUNLIN GP	GROUP	\N	2377	29	\N	9999-12-31	2013-05-08
34/11-1	4164.000000	4177.000000	ETIVE FM	FORMATION	BRENT GP	2377	35	16	9999-12-31	2013-05-08
34/11-1	3996.000000	4045.000000	HEATHER FM	FORMATION	VIKING GP	2377	60	188	9999-12-31	2013-05-08
34/11-1	1038.000000	1892.000000	HORDALAND GP	GROUP	\N	2377	67	\N	9999-12-31	2013-05-08
34/11-1	2125.000000	2415.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2377	74	143	9999-12-31	2013-05-08
34/11-1	2415.000000	3200.000000	KYRRE FM	FORMATION	SHETLAND GP	2377	92	143	9999-12-31	2013-05-08
34/11-1	1950.000000	2125.000000	LISTA FM	FORMATION	ROGALAND GP	2377	95	131	9999-12-31	2013-05-08
34/11-1	4060.000000	4164.000000	NESS FM	FORMATION	BRENT GP	2377	110	16	9999-12-31	2013-05-08
34/11-1	995.000000	1038.000000	NO FORMAL NAME	FORMATION	\N	2377	111	\N	9999-12-31	2013-05-08
34/11-1	1312.000000	1365.000000	NO FORMAL NAME	FORMATION	\N	2377	111	\N	9999-12-31	2013-05-08
34/11-1	1365.000000	1407.000000	NO FORMAL NAME	FORMATION	\N	2377	111	\N	9999-12-31	2013-05-08
34/11-1	1407.000000	1447.000000	NO FORMAL NAME	FORMATION	\N	2377	111	\N	9999-12-31	2013-05-08
34/11-1	1447.000000	1488.000000	NO FORMAL NAME	FORMATION	\N	2377	111	\N	9999-12-31	2013-05-08
34/11-1	1488.000000	1580.000000	NO FORMAL NAME	FORMATION	\N	2377	111	\N	9999-12-31	2013-05-08
34/11-1	1580.000000	1619.000000	NO FORMAL NAME	FORMATION	\N	2377	111	\N	9999-12-31	2013-05-08
34/11-1	1619.000000	1650.000000	NO FORMAL NAME	FORMATION	\N	2377	111	\N	9999-12-31	2013-05-08
34/11-1	1650.000000	1892.000000	NO FORMAL NAME	FORMATION	\N	2377	111	\N	9999-12-31	2013-05-08
34/11-1	215.000000	1038.000000	NORDLAND GP	GROUP	\N	2377	113	\N	9999-12-31	2013-05-08
34/11-1	4177.000000	4221.000000	RANNOCH FM	FORMATION	BRENT GP	2377	126	16	9999-12-31	2013-05-08
34/11-1	1892.000000	2125.000000	ROGALAND GP	GROUP	\N	2377	131	\N	9999-12-31	2013-05-08
34/11-1	3750.000000	3895.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2377	137	23	9999-12-31	2013-05-08
34/11-1	1942.000000	1950.000000	SELE FM	FORMATION	ROGALAND GP	2377	142	131	9999-12-31	2013-05-08
34/11-1	2125.000000	3750.000000	SHETLAND GP	GROUP	\N	2377	143	\N	9999-12-31	2013-05-08
34/11-1	3895.000000	3905.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2377	152	23	9999-12-31	2013-05-08
34/11-1	4514.000000	4580.000000	STATFJORD FM	FORMATION	\N	2377	157	\N	9999-12-31	2013-05-08
34/11-1	3503.000000	3750.000000	SVARTE FM	FORMATION	SHETLAND GP	2377	160	143	9999-12-31	2013-05-08
34/11-1	4045.000000	4060.000000	TARBERT FM	FORMATION	BRENT GP	2377	162	16	9999-12-31	2013-05-08
34/11-1	3200.000000	3503.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2377	173	143	9999-12-31	2013-05-08
34/11-1	897.000000	995.000000	UTSIRA FM	FORMATION	NORDLAND GP	2377	183	113	9999-12-31	2013-05-08
34/11-1	3917.000000	4045.000000	VIKING GP	GROUP	\N	2377	188	\N	9999-12-31	2013-05-08
34/11-1	3905.000000	3917.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2377	198	23	9999-12-31	2013-05-08
34/11-1	4514.000000	4580.000000	NO GROUP DEFINED	GROUP	\N	2377	208	\N	9999-12-31	2013-05-08
6306/6-1	1312.000000	1317.000000	BASEMENT	GROUP	\N	2384	10	\N	9999-12-31	2013-05-08
6306/6-1	1039.000000	1137.000000	CROMER KNOLL GP	GROUP	\N	2384	23	\N	9999-12-31	2013-05-08
6306/6-1	605.000000	728.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	2384	31	131	9999-12-31	2013-05-08
6306/6-1	1267.000000	1282.000000	FANGST GP	GROUP	\N	2384	38	\N	9999-12-31	2013-05-08
6306/6-1	971.000000	1039.000000	KVITNOS FM	FORMATION	SHETLAND GP	2384	91	143	9999-12-31	2013-05-08
6306/6-1	1039.000000	1100.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2384	94	23	9999-12-31	2013-05-08
6306/6-1	1100.000000	1137.000000	LYR FM	FORMATION	CROMER KNOLL GP	2384	98	23	9999-12-31	2013-05-08
6306/6-1	728.000000	971.000000	NISE FM	FORMATION	SHETLAND GP	2384	112	143	9999-12-31	2013-05-08
6306/6-1	308.000000	486.000000	NORDLAND GP	GROUP	\N	2384	113	\N	9999-12-31	2013-05-08
6306/6-1	1282.000000	1312.000000	RED BEDS (INFORMAL)	GROUP	\N	2384	129	\N	9999-12-31	2013-05-08
6306/6-1	486.000000	728.000000	ROGALAND GP	GROUP	\N	2384	131	\N	9999-12-31	2013-05-08
6306/6-1	1159.000000	1252.000000	ROGN FM	FORMATION	VIKING GP	2384	134	188	9999-12-31	2013-05-08
6306/6-1	728.000000	1039.000000	SHETLAND GP	GROUP	\N	2384	143	\N	9999-12-31	2013-05-08
6306/6-1	1137.000000	1159.000000	SPEKK FM	FORMATION	VIKING GP	2384	155	188	9999-12-31	2013-05-08
6306/6-1	1252.000000	1267.000000	SPEKK FM	FORMATION	VIKING GP	2384	155	188	9999-12-31	2013-05-08
6306/6-1	486.000000	605.000000	TANG FM	FORMATION	ROGALAND GP	2384	161	131	9999-12-31	2013-05-08
6306/6-1	1137.000000	1267.000000	VIKING GP	GROUP	\N	2384	188	\N	9999-12-31	2013-05-08
34/7-16 R2	2685.000000	2820.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2389	4	29	9999-12-31	2013-05-08
34/7-16 R2	1678.000000	1734.000000	BALDER FM	FORMATION	ROGALAND GP	2389	6	131	9999-12-31	2013-05-08
34/7-16 R2	2390.000000	2514.000000	BRENT GP	GROUP	\N	2389	16	\N	9999-12-31	2013-05-08
34/7-16 R2	2660.000000	2685.000000	BURTON FM	FORMATION	DUNLIN GP	2389	20	29	9999-12-31	2013-05-08
34/7-16 R2	2379.000000	2390.000000	CROMER KNOLL GP	GROUP	\N	2389	23	\N	9999-12-31	2013-05-08
34/7-16 R2	2603.000000	2660.000000	COOK FM	FORMATION	DUNLIN GP	2389	24	29	9999-12-31	2013-05-08
34/7-16 R2	2514.000000	2603.000000	DRAKE FM	FORMATION	DUNLIN GP	2389	27	29	9999-12-31	2013-05-08
34/7-16 R2	2514.000000	2820.000000	DUNLIN GP	GROUP	\N	2389	29	\N	9999-12-31	2013-05-08
34/7-16 R2	2390.000000	2434.000000	ETIVE FM	FORMATION	BRENT GP	2389	35	16	9999-12-31	2013-05-08
34/7-16 R2	2944.000000	2979.000000	HEGRE GP	GROUP	\N	2389	61	\N	9999-12-31	2013-05-08
34/7-16 R2	1082.000000	1678.000000	HORDALAND GP	GROUP	\N	2389	67	\N	9999-12-31	2013-05-08
34/7-16 R2	1861.000000	2150.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2389	74	143	9999-12-31	2013-05-08
34/7-16 R2	2150.000000	2379.000000	KYRRE FM	FORMATION	SHETLAND GP	2389	92	143	9999-12-31	2013-05-08
34/7-16 R2	1734.000000	1861.000000	LISTA FM	FORMATION	ROGALAND GP	2389	95	131	9999-12-31	2013-05-08
34/7-16 R2	2944.000000	2979.000000	LUNDE FM	FORMATION	HEGRE GP	2389	97	61	9999-12-31	2013-05-08
34/7-16 R2	2386.000000	2390.000000	MIME FM	FORMATION	CROMER KNOLL GP	2389	106	23	9999-12-31	2013-05-08
34/7-16 R2	1271.000000	1307.000000	NO FORMAL NAME	FORMATION	\N	2389	111	\N	9999-12-31	2013-05-08
34/7-16 R2	1307.000000	1513.000000	NO FORMAL NAME	FORMATION	\N	2389	111	\N	9999-12-31	2013-05-08
34/7-16 R2	1513.000000	1560.000000	NO FORMAL NAME	FORMATION	\N	2389	111	\N	9999-12-31	2013-05-08
34/7-16 R2	1560.000000	1678.000000	NO FORMAL NAME	FORMATION	\N	2389	111	\N	9999-12-31	2013-05-08
34/7-16 R2	311.000000	1082.000000	NORDLAND GP	GROUP	\N	2389	113	\N	9999-12-31	2013-05-08
34/7-16 R2	2434.000000	2514.000000	RANNOCH FM	FORMATION	BRENT GP	2389	126	16	9999-12-31	2013-05-08
34/7-16 R2	1678.000000	1861.000000	ROGALAND GP	GROUP	\N	2389	131	\N	9999-12-31	2013-05-08
34/7-16 R2	2379.000000	2386.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2389	137	23	9999-12-31	2013-05-08
34/7-16 R2	1861.000000	2379.000000	SHETLAND GP	GROUP	\N	2389	143	\N	9999-12-31	2013-05-08
34/7-16 R2	2820.000000	2944.000000	STATFJORD FM	FORMATION	\N	2389	157	\N	9999-12-31	2013-05-08
34/7-16 R2	976.000000	1082.000000	UTSIRA FM	FORMATION	NORDLAND GP	2389	183	113	9999-12-31	2013-05-08
34/7-16 R2	2820.000000	2944.000000	NO GROUP DEFINED	GROUP	\N	2389	208	\N	9999-12-31	2013-05-08
25/8-5 S	2922.000000	3040.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2390	4	29	9999-12-31	2013-05-08
25/8-5 S	1950.000000	2008.000000	BALDER FM	FORMATION	ROGALAND GP	2390	6	131	9999-12-31	2013-05-08
25/8-5 S	2780.000000	2795.000000	CROMER KNOLL GP	GROUP	\N	2390	23	\N	9999-12-31	2013-05-08
25/8-5 S	2795.000000	2822.000000	DRAUPNE FM	FORMATION	VIKING GP	2390	28	188	9999-12-31	2013-05-08
25/8-5 S	2922.000000	3040.000000	DUNLIN GP	GROUP	\N	2390	29	\N	9999-12-31	2013-05-08
25/8-5 S	1247.000000	1303.000000	GRID FM	FORMATION	HORDALAND GP	2390	53	67	9999-12-31	2013-05-08
25/8-5 S	2822.000000	2836.000000	HEATHER FM	FORMATION	VIKING GP	2390	60	188	9999-12-31	2013-05-08
25/8-5 S	2113.000000	2420.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2390	62	131	9999-12-31	2013-05-08
25/8-5 S	654.000000	1950.000000	HORDALAND GP	GROUP	\N	2390	67	\N	9999-12-31	2013-05-08
25/8-5 S	2836.000000	2878.000000	HUGIN FM	FORMATION	VESTLAND GP	2390	69	186	9999-12-31	2013-05-08
25/8-5 S	2068.000000	2113.000000	LISTA FM	FORMATION	ROGALAND GP	2390	95	131	9999-12-31	2013-05-08
25/8-5 S	2420.000000	2529.000000	LISTA FM	FORMATION	ROGALAND GP	2390	95	131	9999-12-31	2013-05-08
25/8-5 S	608.000000	654.000000	NO FORMAL NAME	FORMATION	\N	2390	111	\N	9999-12-31	2013-05-08
25/8-5 S	1000.000000	1247.000000	NO FORMAL NAME	FORMATION	\N	2390	111	\N	9999-12-31	2013-05-08
25/8-5 S	1303.000000	1950.000000	NO FORMAL NAME	FORMATION	\N	2390	111	\N	9999-12-31	2013-05-08
25/8-5 S	151.000000	654.000000	NORDLAND GP	GROUP	\N	2390	113	\N	9999-12-31	2013-05-08
25/8-5 S	1950.000000	2600.000000	ROGALAND GP	GROUP	\N	2390	131	\N	9999-12-31	2013-05-08
25/8-5 S	2008.000000	2068.000000	SELE FM	FORMATION	ROGALAND GP	2390	142	131	9999-12-31	2013-05-08
25/8-5 S	2600.000000	2780.000000	SHETLAND GP	GROUP	\N	2390	143	\N	9999-12-31	2013-05-08
25/8-5 S	654.000000	1000.000000	SKADE FM	FORMATION	HORDALAND GP	2390	145	67	9999-12-31	2013-05-08
25/8-5 S	2878.000000	2922.000000	SLEIPNER FM	FORMATION	VESTLAND GP	2390	148	186	9999-12-31	2013-05-08
25/8-5 S	3338.000000	3395.000000	SMITH BANK FM	FORMATION	HEGRE GP	2390	149	61	9999-12-31	2013-05-08
25/8-5 S	3040.000000	3338.000000	STATFJORD FM	FORMATION	\N	2390	157	\N	9999-12-31	2013-05-08
25/8-5 S	2600.000000	2780.000000	TOR FM	FORMATION	SHETLAND GP	2390	171	143	9999-12-31	2013-05-08
25/8-5 S	2529.000000	2600.000000	TY FM	FORMATION	ROGALAND GP	2390	176	131	9999-12-31	2013-05-08
25/8-5 S	448.000000	608.000000	UTSIRA FM	FORMATION	NORDLAND GP	2390	183	113	9999-12-31	2013-05-08
25/8-5 S	2836.000000	2922.000000	VESTLAND GP	GROUP	\N	2390	186	\N	9999-12-31	2013-05-08
25/8-5 S	2795.000000	2836.000000	VIKING GP	GROUP	\N	2390	188	\N	9999-12-31	2013-05-08
25/8-5 S	2780.000000	2795.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2390	198	23	9999-12-31	2013-05-08
25/8-5 S	3040.000000	3338.000000	NO GROUP DEFINED	GROUP	\N	2390	208	\N	9999-12-31	2013-05-08
25/8-5 S	3338.000000	3395.000000	NO GROUP DEFINED	GROUP	\N	2390	208	\N	9999-12-31	2013-05-08
2/7-30	3012.000000	3025.000000	BALDER FM	FORMATION	ROGALAND GP	2394	6	131	9999-12-31	2013-05-08
2/7-30	3150.000000	3242.000000	EKOFISK FM	FORMATION	SHETLAND GP	2394	33	143	9999-12-31	2013-05-08
2/7-30	3326.000000	3478.000000	HOD FM	FORMATION	SHETLAND GP	2394	66	143	9999-12-31	2013-05-08
2/7-30	1765.000000	3012.000000	HORDALAND GP	GROUP	\N	2394	67	\N	9999-12-31	2013-05-08
2/7-30	3081.000000	3130.000000	LISTA FM	FORMATION	ROGALAND GP	2394	95	131	9999-12-31	2013-05-08
2/7-30	114.000000	1765.000000	NORDLAND GP	GROUP	\N	2394	113	\N	9999-12-31	2013-05-08
2/7-30	3012.000000	3150.000000	ROGALAND GP	GROUP	\N	2394	131	\N	9999-12-31	2013-05-08
2/7-30	3025.000000	3081.000000	SELE FM	FORMATION	ROGALAND GP	2394	142	131	9999-12-31	2013-05-08
2/7-30	3150.000000	3478.000000	SHETLAND GP	GROUP	\N	2394	143	\N	9999-12-31	2013-05-08
2/7-30	3242.000000	3326.000000	TOR FM	FORMATION	SHETLAND GP	2394	171	143	9999-12-31	2013-05-08
2/7-30	3130.000000	3150.000000	VÅLE FM	FORMATION	ROGALAND GP	2394	190	131	9999-12-31	2013-05-08
34/7-19 R	1685.000000	1734.000000	BALDER FM	FORMATION	ROGALAND GP	2401	6	131	9999-12-31	2013-05-08
34/7-19 R	2463.000000	2665.000000	BRENT GP	GROUP	\N	2401	16	\N	9999-12-31	2013-05-08
34/7-19 R	2440.000000	2449.000000	CROMER KNOLL GP	GROUP	\N	2401	23	\N	9999-12-31	2013-05-08
34/7-19 R	2747.000000	2807.000000	COOK FM	FORMATION	DUNLIN GP	2401	24	29	9999-12-31	2013-05-08
34/7-19 R	2665.000000	2747.000000	DRAKE FM	FORMATION	DUNLIN GP	2401	27	29	9999-12-31	2013-05-08
34/7-19 R	2665.000000	2807.000000	DUNLIN GP	GROUP	\N	2401	29	\N	9999-12-31	2013-05-08
34/7-19 R	2535.000000	2589.000000	ETIVE FM	FORMATION	BRENT GP	2401	35	16	9999-12-31	2013-05-08
34/7-19 R	2449.000000	2463.000000	HEATHER FM	FORMATION	VIKING GP	2401	60	188	9999-12-31	2013-05-08
34/7-19 R	1087.000000	1685.000000	HORDALAND GP	GROUP	\N	2401	67	\N	9999-12-31	2013-05-08
34/7-19 R	1877.000000	2137.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2401	74	143	9999-12-31	2013-05-08
34/7-19 R	2137.000000	2440.000000	KYRRE FM	FORMATION	SHETLAND GP	2401	92	143	9999-12-31	2013-05-08
34/7-19 R	1734.000000	1877.000000	LISTA FM	FORMATION	ROGALAND GP	2401	95	131	9999-12-31	2013-05-08
34/7-19 R	2444.000000	2449.000000	MIME FM	FORMATION	CROMER KNOLL GP	2401	106	23	9999-12-31	2013-05-08
34/7-19 R	2507.000000	2535.000000	NESS FM	FORMATION	BRENT GP	2401	110	16	9999-12-31	2013-05-08
34/7-19 R	1303.000000	1341.000000	NO FORMAL NAME	FORMATION	\N	2401	111	\N	9999-12-31	2013-05-08
34/7-19 R	1341.000000	1455.000000	NO FORMAL NAME	FORMATION	\N	2401	111	\N	9999-12-31	2013-05-08
34/7-19 R	1455.000000	1493.000000	NO FORMAL NAME	FORMATION	\N	2401	111	\N	9999-12-31	2013-05-08
34/7-19 R	1493.000000	1685.000000	NO FORMAL NAME	FORMATION	\N	2401	111	\N	9999-12-31	2013-05-08
34/7-19 R	310.000000	1087.000000	NORDLAND GP	GROUP	\N	2401	113	\N	9999-12-31	2013-05-08
34/7-19 R	2589.000000	2665.000000	RANNOCH FM	FORMATION	BRENT GP	2401	126	16	9999-12-31	2013-05-08
34/7-19 R	1685.000000	1877.000000	ROGALAND GP	GROUP	\N	2401	131	\N	9999-12-31	2013-05-08
34/7-19 R	2440.000000	2444.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2401	137	23	9999-12-31	2013-05-08
34/7-19 R	1877.000000	2440.000000	SHETLAND GP	GROUP	\N	2401	143	\N	9999-12-31	2013-05-08
34/7-19 R	2463.000000	2507.000000	TARBERT FM	FORMATION	BRENT GP	2401	162	16	9999-12-31	2013-05-08
34/7-19 R	975.000000	1087.000000	UTSIRA FM	FORMATION	NORDLAND GP	2401	183	113	9999-12-31	2013-05-08
34/7-19 R	2449.000000	2463.000000	VIKING GP	GROUP	\N	2401	188	\N	9999-12-31	2013-05-08
30/8-1 S	4556.000000	4688.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2430	4	29	9999-12-31	2013-05-08
30/8-1 S	2100.000000	2174.000000	BALDER FM	FORMATION	ROGALAND GP	2430	6	131	9999-12-31	2013-05-08
30/8-1 S	3223.000000	3243.000000	BLODØKS FM	FORMATION	SHETLAND GP	2430	13	143	9999-12-31	2013-05-08
30/8-1 S	3433.000000	4123.000000	BRENT GP	GROUP	\N	2430	16	\N	9999-12-31	2013-05-08
30/8-1 S	4464.000000	4556.000000	BURTON FM	FORMATION	DUNLIN GP	2430	20	29	9999-12-31	2013-05-08
30/8-1 S	4450.000000	4464.000000	COOK FM	FORMATION	DUNLIN GP	2430	24	29	9999-12-31	2013-05-08
30/8-1 S	4123.000000	4450.000000	DRAKE FM	FORMATION	DUNLIN GP	2430	27	29	9999-12-31	2013-05-08
30/8-1 S	4123.000000	4688.000000	DUNLIN GP	GROUP	\N	2430	29	\N	9999-12-31	2013-05-08
30/8-1 S	1417.000000	1498.000000	GRID FM	FORMATION	HORDALAND GP	2430	53	67	9999-12-31	2013-05-08
30/8-1 S	2444.000000	2472.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2430	56	143	9999-12-31	2013-05-08
30/8-1 S	3361.000000	3433.000000	HEATHER FM	FORMATION	VIKING GP	2430	60	188	9999-12-31	2013-05-08
30/8-1 S	958.000000	2100.000000	HORDALAND GP	GROUP	\N	2430	67	\N	9999-12-31	2013-05-08
30/8-1 S	2472.000000	2725.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2430	74	143	9999-12-31	2013-05-08
30/8-1 S	2725.000000	3223.000000	KYRRE FM	FORMATION	SHETLAND GP	2430	92	143	9999-12-31	2013-05-08
30/8-1 S	2260.000000	2410.000000	LISTA FM	FORMATION	ROGALAND GP	2430	95	131	9999-12-31	2013-05-08
30/8-1 S	3774.000000	4092.000000	NESS FM	FORMATION	BRENT GP	2430	110	16	9999-12-31	2013-05-08
30/8-1 S	908.000000	958.000000	NO FORMAL NAME	FORMATION	\N	2430	111	\N	9999-12-31	2013-05-08
30/8-1 S	1030.000000	1256.000000	NO FORMAL NAME	FORMATION	\N	2430	111	\N	9999-12-31	2013-05-08
30/8-1 S	1256.000000	1304.000000	NO FORMAL NAME	FORMATION	\N	2430	111	\N	9999-12-31	2013-05-08
30/8-1 S	1304.000000	1417.000000	NO FORMAL NAME	FORMATION	\N	2430	111	\N	9999-12-31	2013-05-08
30/8-1 S	1498.000000	2100.000000	NO FORMAL NAME	FORMATION	\N	2430	111	\N	9999-12-31	2013-05-08
30/8-1 S	122.000000	958.000000	NORDLAND GP	GROUP	\N	2430	113	\N	9999-12-31	2013-05-08
30/8-1 S	2100.000000	2444.000000	ROGALAND GP	GROUP	\N	2430	131	\N	9999-12-31	2013-05-08
30/8-1 S	2174.000000	2260.000000	SELE FM	FORMATION	ROGALAND GP	2430	142	131	9999-12-31	2013-05-08
30/8-1 S	2444.000000	3361.000000	SHETLAND GP	GROUP	\N	2430	143	\N	9999-12-31	2013-05-08
30/8-1 S	958.000000	1030.000000	SKADE FM	FORMATION	HORDALAND GP	2430	145	67	9999-12-31	2013-05-08
30/8-1 S	3243.000000	3361.000000	SVARTE FM	FORMATION	SHETLAND GP	2430	160	143	9999-12-31	2013-05-08
30/8-1 S	3433.000000	3774.000000	TARBERT FM	FORMATION	BRENT GP	2430	162	16	9999-12-31	2013-05-08
30/8-1 S	4092.000000	4123.000000	UNDIFFERENTIATED	FORMATION	\N	2430	182	\N	9999-12-31	2013-05-08
30/8-1 S	657.000000	908.000000	UTSIRA FM	FORMATION	NORDLAND GP	2430	183	113	9999-12-31	2013-05-08
30/8-1 S	3361.000000	3433.000000	VIKING GP	GROUP	\N	2430	188	\N	9999-12-31	2013-05-08
30/8-1 S	2410.000000	2444.000000	VÅLE FM	FORMATION	ROGALAND GP	2430	190	131	9999-12-31	2013-05-08
34/10-37	1754.000000	1830.000000	BALDER FM	FORMATION	ROGALAND GP	2431	6	131	9999-12-31	2013-05-08
34/10-37	2613.000000	2810.000000	BRENT GP	GROUP	\N	2431	16	\N	9999-12-31	2013-05-08
34/10-37	2796.000000	2810.000000	BROOM FM	FORMATION	BRENT GP	2431	17	16	9999-12-31	2013-05-08
34/10-37	2810.000000	2873.000000	DRAKE FM	FORMATION	DUNLIN GP	2431	27	29	9999-12-31	2013-05-08
34/10-37	2810.000000	2873.000000	DUNLIN GP	GROUP	\N	2431	29	\N	9999-12-31	2013-05-08
34/10-37	2730.000000	2750.000000	ETIVE FM	FORMATION	BRENT GP	2431	35	16	9999-12-31	2013-05-08
34/10-37	958.000000	1754.000000	HORDALAND GP	GROUP	\N	2431	67	\N	9999-12-31	2013-05-08
34/10-37	1830.000000	1858.000000	LISTA FM	FORMATION	ROGALAND GP	2431	95	131	9999-12-31	2013-05-08
34/10-37	2613.000000	2730.000000	NESS FM	FORMATION	BRENT GP	2431	110	16	9999-12-31	2013-05-08
34/10-37	163.000000	958.000000	NORDLAND GP	GROUP	\N	2431	113	\N	9999-12-31	2013-05-08
34/10-37	2750.000000	2796.000000	RANNOCH FM	FORMATION	BRENT GP	2431	126	16	9999-12-31	2013-05-08
34/10-37	1754.000000	1858.000000	ROGALAND GP	GROUP	\N	2431	131	\N	9999-12-31	2013-05-08
34/10-37	1858.000000	2517.000000	SHETLAND GP	GROUP	\N	2431	143	\N	9999-12-31	2013-05-08
34/10-37	745.000000	958.000000	UTSIRA FM	FORMATION	NORDLAND GP	2431	183	113	9999-12-31	2013-05-08
34/10-37	2517.000000	2613.000000	VIKING GP	GROUP	\N	2431	188	\N	9999-12-31	2013-05-08
6407/8-2	809.000000	1374.000000	BRYGGE FM	FORMATION	HORDALAND GP	2434	18	67	9999-12-31	2013-05-08
6407/8-2	1728.000000	1847.000000	BÅT GP	GROUP	\N	2434	22	\N	9999-12-31	2013-05-08
6407/8-2	1847.000000	1950.000000	GREY BEDS (INFORMAL)	GROUP	\N	2434	52	\N	9999-12-31	2013-05-08
6407/8-2	809.000000	1374.000000	HORDALAND GP	GROUP	\N	2434	67	\N	9999-12-31	2013-05-08
6407/8-2	746.000000	809.000000	KAI FM	FORMATION	NORDLAND GP	2434	77	113	9999-12-31	2013-05-08
6407/8-2	343.000000	746.000000	NAUST FM	FORMATION	NORDLAND GP	2434	109	113	9999-12-31	2013-05-08
6407/8-2	343.000000	809.000000	NORDLAND GP	GROUP	\N	2434	113	\N	9999-12-31	2013-05-08
6407/8-2	1374.000000	1587.000000	ROGALAND GP	GROUP	\N	2434	131	\N	9999-12-31	2013-05-08
6407/8-2	1587.000000	1728.000000	SHETLAND GP	GROUP	\N	2434	143	\N	9999-12-31	2013-05-08
6407/8-2	1587.000000	1728.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2434	156	143	9999-12-31	2013-05-08
6407/8-2	1438.000000	1587.000000	TANG FM	FORMATION	ROGALAND GP	2434	161	131	9999-12-31	2013-05-08
6407/8-2	1374.000000	1438.000000	TARE FM	FORMATION	ROGALAND GP	2434	163	131	9999-12-31	2013-05-08
6407/8-2	1728.000000	1847.000000	ÅRE FM	FORMATION	BÅT GP	2434	197	22	9999-12-31	2013-05-08
6406/2-1	1944.000000	2386.000000	BRYGGE FM	FORMATION	HORDALAND GP	2444	18	67	9999-12-31	2013-05-08
6406/2-1	4708.000000	5292.000000	BÅT GP	GROUP	\N	2444	22	\N	9999-12-31	2013-05-08
6406/2-1	3415.000000	4371.000000	CROMER KNOLL GP	GROUP	\N	2444	23	\N	9999-12-31	2013-05-08
6406/2-1	4417.000000	4708.000000	FANGST GP	GROUP	\N	2444	38	\N	9999-12-31	2013-05-08
6406/2-1	4417.000000	4556.000000	GARN FM	FORMATION	FANGST GP	2444	48	38	9999-12-31	2013-05-08
6406/2-1	1944.000000	2386.000000	HORDALAND GP	GROUP	\N	2444	67	\N	9999-12-31	2013-05-08
6406/2-1	4601.000000	4708.000000	ILE FM	FORMATION	FANGST GP	2444	70	38	9999-12-31	2013-05-08
6406/2-1	1533.000000	1944.000000	KAI FM	FORMATION	NORDLAND GP	2444	77	113	9999-12-31	2013-05-08
6406/2-1	2848.000000	3415.000000	KVITNOS FM	FORMATION	SHETLAND GP	2444	91	143	9999-12-31	2013-05-08
6406/2-1	3442.000000	3452.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2444	94	23	9999-12-31	2013-05-08
6406/2-1	3452.000000	4371.000000	LYR FM	FORMATION	CROMER KNOLL GP	2444	98	23	9999-12-31	2013-05-08
6406/2-1	3415.000000	3442.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2444	99	23	9999-12-31	2013-05-08
6406/2-1	4381.000000	4417.000000	MELKE FM	FORMATION	VIKING GP	2444	105	188	9999-12-31	2013-05-08
6406/2-1	302.000000	1533.000000	NAUST FM	FORMATION	NORDLAND GP	2444	109	113	9999-12-31	2013-05-08
6406/2-1	2672.000000	2848.000000	NISE FM	FORMATION	SHETLAND GP	2444	112	143	9999-12-31	2013-05-08
6406/2-1	302.000000	1944.000000	NORDLAND GP	GROUP	\N	2444	113	\N	9999-12-31	2013-05-08
6406/2-1	4556.000000	4601.000000	NOT FM	FORMATION	FANGST GP	2444	120	38	9999-12-31	2013-05-08
6406/2-1	2386.000000	2503.000000	ROGALAND GP	GROUP	\N	2444	131	\N	9999-12-31	2013-05-08
6406/2-1	4708.000000	4817.000000	ROR FM	FORMATION	BÅT GP	2444	135	22	9999-12-31	2013-05-08
6406/2-1	4860.000000	4910.000000	ROR FM	FORMATION	BÅT GP	2444	135	22	9999-12-31	2013-05-08
6406/2-1	2503.000000	3415.000000	SHETLAND GP	GROUP	\N	2444	143	\N	9999-12-31	2013-05-08
6406/2-1	4371.000000	4381.000000	SPEKK FM	FORMATION	VIKING GP	2444	155	188	9999-12-31	2013-05-08
6406/2-1	2503.000000	2672.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2444	156	143	9999-12-31	2013-05-08
6406/2-1	2438.000000	2503.000000	TANG FM	FORMATION	ROGALAND GP	2444	161	131	9999-12-31	2013-05-08
6406/2-1	2386.000000	2438.000000	TARE FM	FORMATION	ROGALAND GP	2444	163	131	9999-12-31	2013-05-08
6406/2-1	4910.000000	5188.000000	TILJE FM	FORMATION	BÅT GP	2444	169	22	9999-12-31	2013-05-08
6406/2-1	4817.000000	4860.000000	TOFTE FM	FORMATION	BÅT GP	2444	170	22	9999-12-31	2013-05-08
6406/2-1	4371.000000	4417.000000	VIKING GP	GROUP	\N	2444	188	\N	9999-12-31	2013-05-08
6406/2-1	5188.000000	5292.000000	ÅRE FM	FORMATION	BÅT GP	2444	197	22	9999-12-31	2013-05-08
6506/12-10	1914.000000	2227.000000	BRYGGE FM	FORMATION	HORDALAND GP	2445	18	67	9999-12-31	2013-05-08
6506/12-10	4723.000000	5097.000000	BÅT GP	GROUP	\N	2445	22	\N	9999-12-31	2013-05-08
6506/12-10	3353.000000	4229.000000	CROMER KNOLL GP	GROUP	\N	2445	23	\N	9999-12-31	2013-05-08
6506/12-10	4545.000000	4723.000000	FANGST GP	GROUP	\N	2445	38	\N	9999-12-31	2013-05-08
6506/12-10	4545.000000	4605.000000	GARN FM	FORMATION	FANGST GP	2445	48	38	9999-12-31	2013-05-08
6506/12-10	1914.000000	2227.000000	HORDALAND GP	GROUP	\N	2445	67	\N	9999-12-31	2013-05-08
6506/12-10	4636.000000	4723.000000	ILE FM	FORMATION	FANGST GP	2445	70	38	9999-12-31	2013-05-08
6506/12-10	1452.000000	1914.000000	KAI FM	FORMATION	NORDLAND GP	2445	77	113	9999-12-31	2013-05-08
6506/12-10	2848.000000	3353.000000	KVITNOS FM	FORMATION	SHETLAND GP	2445	91	143	9999-12-31	2013-05-08
6506/12-10	3372.000000	4177.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2445	94	23	9999-12-31	2013-05-08
6506/12-10	4177.000000	4229.000000	LYR FM	FORMATION	CROMER KNOLL GP	2445	98	23	9999-12-31	2013-05-08
6506/12-10	3353.000000	3372.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2445	99	23	9999-12-31	2013-05-08
6506/12-10	4293.000000	4545.000000	MELKE FM	FORMATION	VIKING GP	2445	105	188	9999-12-31	2013-05-08
6506/12-10	2555.000000	2848.000000	NISE FM	FORMATION	SHETLAND GP	2445	112	143	9999-12-31	2013-05-08
6506/12-10	309.000000	1914.000000	NORDLAND GP	GROUP	\N	2445	113	\N	9999-12-31	2013-05-08
6506/12-10	4605.000000	4636.000000	NOT FM	FORMATION	FANGST GP	2445	120	38	9999-12-31	2013-05-08
6506/12-10	2227.000000	2384.000000	ROGALAND GP	GROUP	\N	2445	131	\N	9999-12-31	2013-05-08
6506/12-10	4723.000000	4777.000000	ROR FM	FORMATION	BÅT GP	2445	135	22	9999-12-31	2013-05-08
6506/12-10	4814.000000	4858.000000	ROR FM	FORMATION	BÅT GP	2445	135	22	9999-12-31	2013-05-08
6506/12-10	2384.000000	3353.000000	SHETLAND GP	GROUP	\N	2445	143	\N	9999-12-31	2013-05-08
6506/12-10	4229.000000	4293.000000	SPEKK FM	FORMATION	VIKING GP	2445	155	188	9999-12-31	2013-05-08
6506/12-10	2384.000000	2555.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2445	156	143	9999-12-31	2013-05-08
6506/12-10	2315.000000	2384.000000	TANG FM	FORMATION	ROGALAND GP	2445	161	131	9999-12-31	2013-05-08
6506/12-10	2227.000000	2315.000000	TARE FM	FORMATION	ROGALAND GP	2445	163	131	9999-12-31	2013-05-08
6506/12-10	4858.000000	5024.000000	TILJE FM	FORMATION	BÅT GP	2445	169	22	9999-12-31	2013-05-08
6506/12-10	4777.000000	4814.000000	TOFTE FM	FORMATION	BÅT GP	2445	170	22	9999-12-31	2013-05-08
6506/12-10	4229.000000	4545.000000	VIKING GP	GROUP	\N	2445	188	\N	9999-12-31	2013-05-08
6506/12-10	5024.000000	5097.000000	ÅRE FM	FORMATION	BÅT GP	2445	197	22	9999-12-31	2013-05-08
33/9-18	1729.000000	1767.000000	BALDER FM	FORMATION	ROGALAND GP	2454	6	131	9999-12-31	2013-05-08
33/9-18	2841.000000	2846.000000	CROMER KNOLL GP	GROUP	\N	2454	23	\N	9999-12-31	2013-05-08
33/9-18	2846.000000	3253.000000	DRAUPNE FM	FORMATION	VIKING GP	2454	28	188	9999-12-31	2013-05-08
33/9-18	1028.000000	1729.000000	HORDALAND GP	GROUP	\N	2454	67	\N	9999-12-31	2013-05-08
33/9-18	1933.000000	2195.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2454	74	143	9999-12-31	2013-05-08
33/9-18	2195.000000	2821.000000	KYRRE FM	FORMATION	SHETLAND GP	2454	92	143	9999-12-31	2013-05-08
33/9-18	1767.000000	1933.000000	LISTA FM	FORMATION	ROGALAND GP	2454	95	131	9999-12-31	2013-05-08
33/9-18	2841.000000	2846.000000	MIME FM	FORMATION	CROMER KNOLL GP	2454	106	23	9999-12-31	2013-05-08
33/9-18	168.000000	1028.000000	NORDLAND GP	GROUP	\N	2454	113	\N	9999-12-31	2013-05-08
33/9-18	1729.000000	1933.000000	ROGALAND GP	GROUP	\N	2454	131	\N	9999-12-31	2013-05-08
33/9-18	1933.000000	2841.000000	SHETLAND GP	GROUP	\N	2454	143	\N	9999-12-31	2013-05-08
33/9-18	2821.000000	2841.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2454	173	143	9999-12-31	2013-05-08
33/9-18	840.000000	1028.000000	UTSIRA FM	FORMATION	NORDLAND GP	2454	183	113	9999-12-31	2013-05-08
33/9-18	2846.000000	3253.000000	VIKING GP	GROUP	\N	2454	188	\N	9999-12-31	2013-05-08
33/9-18 A	1729.000000	1767.000000	BALDER FM	FORMATION	ROGALAND GP	2455	6	131	9999-12-31	2013-05-08
33/9-18 A	3190.000000	3200.000000	CROMER KNOLL GP	GROUP	\N	2455	23	\N	9999-12-31	2013-05-08
33/9-18 A	3200.000000	3595.000000	DRAUPNE FM	FORMATION	VIKING GP	2455	28	188	9999-12-31	2013-05-08
33/9-18 A	1028.000000	1729.000000	HORDALAND GP	GROUP	\N	2455	67	\N	9999-12-31	2013-05-08
33/9-18 A	1933.000000	2230.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2455	74	143	9999-12-31	2013-05-08
33/9-18 A	2230.000000	2996.000000	KYRRE FM	FORMATION	SHETLAND GP	2455	92	143	9999-12-31	2013-05-08
33/9-18 A	1767.000000	1933.000000	LISTA FM	FORMATION	ROGALAND GP	2455	95	131	9999-12-31	2013-05-08
33/9-18 A	3190.000000	3200.000000	MIME FM	FORMATION	CROMER KNOLL GP	2455	106	23	9999-12-31	2013-05-08
33/9-18 A	168.000000	1028.000000	NORDLAND GP	GROUP	\N	2455	113	\N	9999-12-31	2013-05-08
33/9-18 A	1729.000000	1933.000000	ROGALAND GP	GROUP	\N	2455	131	\N	9999-12-31	2013-05-08
33/9-18 A	1933.000000	3190.000000	SHETLAND GP	GROUP	\N	2455	143	\N	9999-12-31	2013-05-08
33/9-18 A	2996.000000	3190.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2455	173	143	9999-12-31	2013-05-08
33/9-18 A	840.000000	1028.000000	UTSIRA FM	FORMATION	NORDLAND GP	2455	183	113	9999-12-31	2013-05-08
33/9-18 A	3200.000000	3595.000000	VIKING GP	GROUP	\N	2455	188	\N	9999-12-31	2013-05-08
34/7-24 S	1861.000000	1899.000000	BALDER FM	FORMATION	ROGALAND GP	2460	6	131	9999-12-31	2013-05-08
34/7-24 S	2919.000000	2928.000000	CROMER KNOLL GP	GROUP	\N	2460	23	\N	9999-12-31	2013-05-08
34/7-24 S	2928.000000	3091.000000	DRAUPNE FM	FORMATION	VIKING GP	2460	28	188	9999-12-31	2013-05-08
34/7-24 S	3091.000000	3145.000000	HEATHER FM	FORMATION	VIKING GP	2460	60	188	9999-12-31	2013-05-08
34/7-24 S	1078.000000	1861.000000	HORDALAND GP	GROUP	\N	2460	67	\N	9999-12-31	2013-05-08
34/7-24 S	2065.000000	2402.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2460	74	143	9999-12-31	2013-05-08
34/7-24 S	2402.000000	2919.000000	KYRRE FM	FORMATION	SHETLAND GP	2460	92	143	9999-12-31	2013-05-08
34/7-24 S	1899.000000	2065.000000	LISTA FM	FORMATION	ROGALAND GP	2460	95	131	9999-12-31	2013-05-08
34/7-24 S	2922.000000	2928.000000	MIME FM	FORMATION	CROMER KNOLL GP	2460	106	23	9999-12-31	2013-05-08
34/7-24 S	1248.000000	1287.000000	NO FORMAL NAME	FORMATION	\N	2460	111	\N	9999-12-31	2013-05-08
34/7-24 S	1287.000000	1365.000000	NO FORMAL NAME	FORMATION	\N	2460	111	\N	9999-12-31	2013-05-08
34/7-24 S	1365.000000	1468.000000	NO FORMAL NAME	FORMATION	\N	2460	111	\N	9999-12-31	2013-05-08
34/7-24 S	1468.000000	1861.000000	NO FORMAL NAME	FORMATION	\N	2460	111	\N	9999-12-31	2013-05-08
34/7-24 S	177.000000	1078.000000	NORDLAND GP	GROUP	\N	2460	113	\N	9999-12-31	2013-05-08
34/7-24 S	1861.000000	2065.000000	ROGALAND GP	GROUP	\N	2460	131	\N	9999-12-31	2013-05-08
34/7-24 S	2919.000000	2922.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2460	137	23	9999-12-31	2013-05-08
34/7-24 S	2065.000000	2919.000000	SHETLAND GP	GROUP	\N	2460	143	\N	9999-12-31	2013-05-08
34/7-24 S	926.000000	1078.000000	UTSIRA FM	FORMATION	NORDLAND GP	2460	183	113	9999-12-31	2013-05-08
34/7-24 S	2928.000000	3145.000000	VIKING GP	GROUP	\N	2460	188	\N	9999-12-31	2013-05-08
25/9-1	2202.000000	2301.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2476	4	29	9999-12-31	2013-05-08
25/9-1	1832.000000	1893.000000	BALDER FM	FORMATION	ROGALAND GP	2476	6	131	9999-12-31	2013-05-08
25/9-1	2118.000000	2167.000000	CROMER KNOLL GP	GROUP	\N	2476	23	\N	9999-12-31	2013-05-08
25/9-1	2167.000000	2175.000000	DRAUPNE FM	FORMATION	VIKING GP	2476	28	188	9999-12-31	2013-05-08
25/9-1	2202.000000	2301.000000	DUNLIN GP	GROUP	\N	2476	29	\N	9999-12-31	2013-05-08
25/9-1	2175.000000	2185.000000	HEATHER FM	FORMATION	VIKING GP	2476	60	188	9999-12-31	2013-05-08
25/9-1	1000.000000	1832.000000	HORDALAND GP	GROUP	\N	2476	67	\N	9999-12-31	2013-05-08
25/9-1	2185.000000	2202.000000	HUGIN FM	FORMATION	VESTLAND GP	2476	69	186	9999-12-31	2013-05-08
25/9-1	1928.000000	2031.000000	LISTA FM	FORMATION	ROGALAND GP	2476	95	131	9999-12-31	2013-05-08
25/9-1	1344.000000	1832.000000	NO FORMAL NAME	FORMATION	\N	2476	111	\N	9999-12-31	2013-05-08
25/9-1	136.000000	1000.000000	NORDLAND GP	GROUP	\N	2476	113	\N	9999-12-31	2013-05-08
25/9-1	1832.000000	2044.000000	ROGALAND GP	GROUP	\N	2476	131	\N	9999-12-31	2013-05-08
25/9-1	2118.000000	2161.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2476	137	23	9999-12-31	2013-05-08
25/9-1	1893.000000	1928.000000	SELE FM	FORMATION	ROGALAND GP	2476	142	131	9999-12-31	2013-05-08
25/9-1	2044.000000	2118.000000	SHETLAND GP	GROUP	\N	2476	143	\N	9999-12-31	2013-05-08
25/9-1	1285.000000	1344.000000	SKADE FM	FORMATION	HORDALAND GP	2476	145	67	9999-12-31	2013-05-08
25/9-1	2415.000000	2525.000000	SMITH BANK FM	FORMATION	HEGRE GP	2476	149	61	9999-12-31	2013-05-08
25/9-1	2301.000000	2415.000000	STATFJORD FM	FORMATION	\N	2476	157	\N	9999-12-31	2013-05-08
25/9-1	2050.000000	2118.000000	SVARTE FM	FORMATION	SHETLAND GP	2476	160	143	9999-12-31	2013-05-08
25/9-1	2044.000000	2047.000000	TOR FM	FORMATION	SHETLAND GP	2476	171	143	9999-12-31	2013-05-08
25/9-1	2047.000000	2050.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2476	173	143	9999-12-31	2013-05-08
25/9-1	755.000000	1000.000000	UTSIRA FM	FORMATION	NORDLAND GP	2476	183	113	9999-12-31	2013-05-08
25/9-1	2185.000000	2202.000000	VESTLAND GP	GROUP	\N	2476	186	\N	9999-12-31	2013-05-08
25/9-1	2167.000000	2185.000000	VIKING GP	GROUP	\N	2476	188	\N	9999-12-31	2013-05-08
25/9-1	2031.000000	2044.000000	VÅLE FM	FORMATION	ROGALAND GP	2476	190	131	9999-12-31	2013-05-08
25/9-1	2161.000000	2167.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2476	198	23	9999-12-31	2013-05-08
25/9-1	2301.000000	2415.000000	NO GROUP DEFINED	GROUP	\N	2476	208	\N	9999-12-31	2013-05-08
25/9-1	2415.000000	2525.000000	NO GROUP DEFINED	GROUP	\N	2476	208	\N	9999-12-31	2013-05-08
1/3-7	3084.000000	3102.000000	BALDER FM	FORMATION	ROGALAND GP	2505	6	131	9999-12-31	2013-05-08
1/3-7	3175.000000	3260.000000	FORTIES FM	FORMATION	ROGALAND GP	2505	44	131	9999-12-31	2013-05-08
1/3-7	1655.000000	3084.000000	HORDALAND GP	GROUP	\N	2505	67	\N	9999-12-31	2013-05-08
1/3-7	3260.000000	3315.000000	LISTA FM	FORMATION	ROGALAND GP	2505	95	131	9999-12-31	2013-05-08
1/3-7	117.000000	1655.000000	NORDLAND GP	GROUP	\N	2505	113	\N	9999-12-31	2013-05-08
1/3-7	3084.000000	3345.000000	ROGALAND GP	GROUP	\N	2505	131	\N	9999-12-31	2013-05-08
1/3-7	3102.000000	3175.000000	SELE FM	FORMATION	ROGALAND GP	2505	142	131	9999-12-31	2013-05-08
1/3-7	3315.000000	3345.000000	VÅLE FM	FORMATION	ROGALAND GP	2505	190	131	9999-12-31	2013-05-08
34/10-37 A	1754.000000	1830.000000	BALDER FM	FORMATION	ROGALAND GP	2530	6	131	9999-12-31	2013-05-08
34/10-37 A	2660.000000	2950.000000	BRENT GP	GROUP	\N	2530	16	\N	9999-12-31	2013-05-08
34/10-37 A	2569.000000	2587.000000	CROMER KNOLL GP	GROUP	\N	2530	23	\N	9999-12-31	2013-05-08
34/10-37 A	2587.000000	2593.000000	DRAUPNE FM	FORMATION	VIKING GP	2530	28	188	9999-12-31	2013-05-08
34/10-37 A	2593.000000	2660.000000	HEATHER FM	FORMATION	VIKING GP	2530	60	188	9999-12-31	2013-05-08
34/10-37 A	958.000000	1754.000000	HORDALAND GP	GROUP	\N	2530	67	\N	9999-12-31	2013-05-08
34/10-37 A	1830.000000	1858.000000	LISTA FM	FORMATION	ROGALAND GP	2530	95	131	9999-12-31	2013-05-08
34/10-37 A	2576.000000	2587.000000	MIME FM	FORMATION	CROMER KNOLL GP	2530	106	23	9999-12-31	2013-05-08
34/10-37 A	2718.000000	2950.000000	NESS FM	FORMATION	BRENT GP	2530	110	16	9999-12-31	2013-05-08
34/10-37 A	163.000000	958.000000	NORDLAND GP	GROUP	\N	2530	113	\N	9999-12-31	2013-05-08
34/10-37 A	1754.000000	1858.000000	ROGALAND GP	GROUP	\N	2530	131	\N	9999-12-31	2013-05-08
34/10-37 A	2569.000000	2576.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2530	137	23	9999-12-31	2013-05-08
34/10-37 A	1858.000000	2569.000000	SHETLAND GP	GROUP	\N	2530	143	\N	9999-12-31	2013-05-08
34/10-37 A	2660.000000	2718.000000	TARBERT FM	FORMATION	BRENT GP	2530	162	16	9999-12-31	2013-05-08
34/10-37 A	745.000000	958.000000	UTSIRA FM	FORMATION	NORDLAND GP	2530	183	113	9999-12-31	2013-05-08
34/10-37 A	2587.000000	2660.000000	VIKING GP	GROUP	\N	2530	188	\N	9999-12-31	2013-05-08
30/9-18	2052.000000	2106.000000	BALDER FM	FORMATION	ROGALAND GP	2552	6	131	9999-12-31	2013-05-08
30/9-18	2646.000000	2954.000000	BRENT GP	GROUP	\N	2552	16	\N	9999-12-31	2013-05-08
30/9-18	2550.000000	2595.000000	CROMER KNOLL GP	GROUP	\N	2552	23	\N	9999-12-31	2013-05-08
30/9-18	2954.000000	2994.000000	DRAKE FM	FORMATION	DUNLIN GP	2552	27	29	9999-12-31	2013-05-08
30/9-18	2595.000000	2597.000000	DRAUPNE FM	FORMATION	VIKING GP	2552	28	188	9999-12-31	2013-05-08
30/9-18	2954.000000	2994.000000	DUNLIN GP	GROUP	\N	2552	29	\N	9999-12-31	2013-05-08
30/9-18	1417.000000	1522.000000	GRID FM	FORMATION	HORDALAND GP	2552	53	67	9999-12-31	2013-05-08
30/9-18	2331.000000	2440.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2552	56	143	9999-12-31	2013-05-08
30/9-18	2623.000000	2646.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	2552	59	188	9999-12-31	2013-05-08
30/9-18	2597.000000	2623.000000	HEATHER FM	FORMATION	VIKING GP	2552	60	188	9999-12-31	2013-05-08
30/9-18	815.000000	2052.000000	HORDALAND GP	GROUP	\N	2552	67	\N	9999-12-31	2013-05-08
30/9-18	2155.000000	2320.000000	LISTA FM	FORMATION	ROGALAND GP	2552	95	131	9999-12-31	2013-05-08
30/9-18	2586.000000	2595.000000	MIME FM	FORMATION	CROMER KNOLL GP	2552	106	23	9999-12-31	2013-05-08
30/9-18	2750.000000	2945.000000	NESS FM	FORMATION	BRENT GP	2552	110	16	9999-12-31	2013-05-08
30/9-18	965.000000	1110.000000	NO FORMAL NAME	FORMATION	\N	2552	111	\N	9999-12-31	2013-05-08
30/9-18	1200.000000	1272.000000	NO FORMAL NAME	FORMATION	\N	2552	111	\N	9999-12-31	2013-05-08
30/9-18	1347.000000	1417.000000	NO FORMAL NAME	FORMATION	\N	2552	111	\N	9999-12-31	2013-05-08
30/9-18	1522.000000	2052.000000	NO FORMAL NAME	FORMATION	\N	2552	111	\N	9999-12-31	2013-05-08
30/9-18	132.000000	815.000000	NORDLAND GP	GROUP	\N	2552	113	\N	9999-12-31	2013-05-08
30/9-18	2052.000000	2331.000000	ROGALAND GP	GROUP	\N	2552	131	\N	9999-12-31	2013-05-08
30/9-18	2550.000000	2581.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2552	137	23	9999-12-31	2013-05-08
30/9-18	2106.000000	2155.000000	SELE FM	FORMATION	ROGALAND GP	2552	142	131	9999-12-31	2013-05-08
30/9-18	2331.000000	2550.000000	SHETLAND GP	GROUP	\N	2552	143	\N	9999-12-31	2013-05-08
30/9-18	946.000000	965.000000	SKADE FM	FORMATION	HORDALAND GP	2552	145	67	9999-12-31	2013-05-08
30/9-18	1110.000000	1200.000000	SKADE FM	FORMATION	HORDALAND GP	2552	145	67	9999-12-31	2013-05-08
30/9-18	1272.000000	1347.000000	SKADE FM	FORMATION	HORDALAND GP	2552	145	67	9999-12-31	2013-05-08
30/9-18	2581.000000	2586.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2552	152	23	9999-12-31	2013-05-08
30/9-18	2646.000000	2750.000000	TARBERT FM	FORMATION	BRENT GP	2552	162	16	9999-12-31	2013-05-08
30/9-18	2440.000000	2550.000000	UNDIFFERENTIATED	FORMATION	\N	2552	182	\N	9999-12-31	2013-05-08
30/9-18	2945.000000	2954.000000	UNDIFFERENTIATED	FORMATION	\N	2552	182	\N	9999-12-31	2013-05-08
30/9-18	643.000000	815.000000	UTSIRA FM	FORMATION	NORDLAND GP	2552	183	113	9999-12-31	2013-05-08
30/9-18	2595.000000	2646.000000	VIKING GP	GROUP	\N	2552	188	\N	9999-12-31	2013-05-08
30/9-18	2320.000000	2331.000000	VÅLE FM	FORMATION	ROGALAND GP	2552	190	131	9999-12-31	2013-05-08
25/11-19 S	1792.000000	1823.000000	BALDER FM	FORMATION	ROGALAND GP	2562	6	131	9999-12-31	2013-05-08
25/11-19 S	1833.000000	1865.000000	BALDER FM	FORMATION	ROGALAND GP	2562	6	131	9999-12-31	2013-05-08
25/11-19 S	1823.000000	1833.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	2562	7	131	9999-12-31	2013-05-08
25/11-19 S	2137.000000	2168.000000	CROMER KNOLL GP	GROUP	\N	2562	23	\N	9999-12-31	2013-05-08
25/11-19 S	2168.000000	2200.000000	DRAUPNE FM	FORMATION	VIKING GP	2562	28	188	9999-12-31	2013-05-08
25/11-19 S	2045.000000	2050.000000	EKOFISK FM	FORMATION	SHETLAND GP	2562	33	143	9999-12-31	2013-05-08
25/11-19 S	1891.000000	1893.000000	HERMOD FM	FORMATION	ROGALAND GP	2562	64	131	9999-12-31	2013-05-08
25/11-19 S	1897.000000	1985.000000	HERMOD FM	FORMATION	ROGALAND GP	2562	64	131	9999-12-31	2013-05-08
25/11-19 S	2085.000000	2137.000000	HOD FM	FORMATION	SHETLAND GP	2562	66	143	9999-12-31	2013-05-08
25/11-19 S	763.000000	1792.000000	HORDALAND GP	GROUP	\N	2562	67	\N	9999-12-31	2013-05-08
25/11-19 S	1996.000000	2045.000000	LISTA FM	FORMATION	ROGALAND GP	2562	95	131	9999-12-31	2013-05-08
25/11-19 S	713.000000	763.000000	NO FORMAL NAME	FORMATION	\N	2562	111	\N	9999-12-31	2013-05-08
25/11-19 S	953.000000	1077.000000	NO FORMAL NAME	FORMATION	\N	2562	111	\N	9999-12-31	2013-05-08
25/11-19 S	1087.000000	1169.000000	NO FORMAL NAME	FORMATION	\N	2562	111	\N	9999-12-31	2013-05-08
25/11-19 S	1190.000000	1792.000000	NO FORMAL NAME	FORMATION	\N	2562	111	\N	9999-12-31	2013-05-08
25/11-19 S	154.000000	763.000000	NORDLAND GP	GROUP	\N	2562	113	\N	9999-12-31	2013-05-08
25/11-19 S	1792.000000	2045.000000	ROGALAND GP	GROUP	\N	2562	131	\N	9999-12-31	2013-05-08
25/11-19 S	1865.000000	1891.000000	SELE FM	FORMATION	ROGALAND GP	2562	142	131	9999-12-31	2013-05-08
25/11-19 S	1893.000000	1897.000000	SELE FM	FORMATION	ROGALAND GP	2562	142	131	9999-12-31	2013-05-08
25/11-19 S	1985.000000	1996.000000	SELE FM	FORMATION	ROGALAND GP	2562	142	131	9999-12-31	2013-05-08
25/11-19 S	2045.000000	2137.000000	SHETLAND GP	GROUP	\N	2562	143	\N	9999-12-31	2013-05-08
25/11-19 S	763.000000	953.000000	SKADE FM	FORMATION	HORDALAND GP	2562	145	67	9999-12-31	2013-05-08
25/11-19 S	1077.000000	1087.000000	SKADE FM	FORMATION	HORDALAND GP	2562	145	67	9999-12-31	2013-05-08
25/11-19 S	1169.000000	1190.000000	SKADE FM	FORMATION	HORDALAND GP	2562	145	67	9999-12-31	2013-05-08
25/11-19 S	2200.000000	2250.000000	STATFJORD FM	FORMATION	\N	2562	157	\N	9999-12-31	2013-05-08
25/11-19 S	2050.000000	2085.000000	TOR FM	FORMATION	SHETLAND GP	2562	171	143	9999-12-31	2013-05-08
25/11-19 S	597.000000	713.000000	UTSIRA FM	FORMATION	NORDLAND GP	2562	183	113	9999-12-31	2013-05-08
25/11-19 S	2168.000000	2200.000000	VIKING GP	GROUP	\N	2562	188	\N	9999-12-31	2013-05-08
25/11-19 S	2200.000000	2250.000000	NO GROUP DEFINED	GROUP	\N	2562	208	\N	9999-12-31	2013-05-08
30/9-17 R	812.000000	1408.000000	HORDALAND GP	GROUP	\N	2569	67	\N	9999-12-31	2013-05-08
30/9-17 R	964.000000	1076.000000	NO FORMAL NAME	FORMATION	\N	2569	111	\N	9999-12-31	2013-05-08
30/9-17 R	1139.000000	1236.000000	NO FORMAL NAME	FORMATION	\N	2569	111	\N	9999-12-31	2013-05-08
30/9-17 R	1374.000000	1408.000000	NO FORMAL NAME	FORMATION	\N	2569	111	\N	9999-12-31	2013-05-08
30/9-17 R	133.000000	812.000000	NORDLAND GP	GROUP	\N	2569	113	\N	9999-12-31	2013-05-08
30/9-17 R	944.000000	964.000000	SKADE FM	FORMATION	HORDALAND GP	2569	145	67	9999-12-31	2013-05-08
30/9-17 R	1076.000000	1139.000000	SKADE FM	FORMATION	HORDALAND GP	2569	145	67	9999-12-31	2013-05-08
30/9-17 R	1236.000000	1374.000000	SKADE FM	FORMATION	HORDALAND GP	2569	145	67	9999-12-31	2013-05-08
30/9-17 R	642.000000	812.000000	UTSIRA FM	FORMATION	NORDLAND GP	2569	183	113	9999-12-31	2013-05-08
25/8-6	1943.000000	1996.000000	BALDER FM	FORMATION	ROGALAND GP	2573	6	131	9999-12-31	2013-05-08
25/8-6	2527.000000	2577.000000	EKOFISK FM	FORMATION	SHETLAND GP	2573	33	143	9999-12-31	2013-05-08
25/8-6	1185.000000	1310.000000	GRID FM	FORMATION	HORDALAND GP	2573	53	67	9999-12-31	2013-05-08
25/8-6	2077.000000	2369.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2573	62	131	9999-12-31	2013-05-08
25/8-6	644.000000	1943.000000	HORDALAND GP	GROUP	\N	2573	67	\N	9999-12-31	2013-05-08
25/8-6	2034.000000	2077.000000	LISTA FM	FORMATION	ROGALAND GP	2573	95	131	9999-12-31	2013-05-08
25/8-6	2369.000000	2455.000000	LISTA FM	FORMATION	ROGALAND GP	2573	95	131	9999-12-31	2013-05-08
25/8-6	598.000000	644.000000	NO FORMAL NAME	FORMATION	\N	2573	111	\N	9999-12-31	2013-05-08
25/8-6	975.000000	1185.000000	NO FORMAL NAME	FORMATION	\N	2573	111	\N	9999-12-31	2013-05-08
25/8-6	1310.000000	1943.000000	NO FORMAL NAME	FORMATION	\N	2573	111	\N	9999-12-31	2013-05-08
25/8-6	153.000000	644.000000	NORDLAND GP	GROUP	\N	2573	113	\N	9999-12-31	2013-05-08
25/8-6	1943.000000	2527.000000	ROGALAND GP	GROUP	\N	2573	131	\N	9999-12-31	2013-05-08
25/8-6	1996.000000	2034.000000	SELE FM	FORMATION	ROGALAND GP	2573	142	131	9999-12-31	2013-05-08
25/8-6	2527.000000	2577.000000	SHETLAND GP	GROUP	\N	2573	143	\N	9999-12-31	2013-05-08
25/8-6	644.000000	975.000000	SKADE FM	FORMATION	HORDALAND GP	2573	145	67	9999-12-31	2013-05-08
25/8-6	2485.000000	2527.000000	TY FM	FORMATION	ROGALAND GP	2573	176	131	9999-12-31	2013-05-08
25/8-6	428.000000	598.000000	UTSIRA FM	FORMATION	NORDLAND GP	2573	183	113	9999-12-31	2013-05-08
25/8-6	2455.000000	2485.000000	VÅLE FM	FORMATION	ROGALAND GP	2573	190	131	9999-12-31	2013-05-08
17/3-1	873.000000	942.000000	BALDER FM	FORMATION	ROGALAND GP	2576	6	131	9999-12-31	2013-05-08
17/3-1	2811.000000	2852.000000	BASEMENT	GROUP	\N	2576	10	\N	9999-12-31	2013-05-08
17/3-1	1875.000000	2388.000000	BOKNFJORD GP	GROUP	\N	2576	15	\N	9999-12-31	2013-05-08
17/3-1	2410.000000	2440.000000	BRYNE FM	FORMATION	VESTLAND GP	2576	19	186	9999-12-31	2013-05-08
17/3-1	1380.000000	1875.000000	CROMER KNOLL GP	GROUP	\N	2576	23	\N	9999-12-31	2013-05-08
17/3-1	2339.000000	2388.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	2576	30	15	9999-12-31	2013-05-08
17/3-1	1875.000000	1980.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	2576	43	15	9999-12-31	2013-05-08
17/3-1	1271.000000	1380.000000	HOD FM	FORMATION	SHETLAND GP	2576	66	143	9999-12-31	2013-05-08
17/3-1	396.000000	873.000000	HORDALAND GP	GROUP	\N	2576	67	\N	9999-12-31	2013-05-08
17/3-1	966.000000	1001.000000	LISTA FM	FORMATION	ROGALAND GP	2576	95	131	9999-12-31	2013-05-08
17/3-1	298.000000	396.000000	NORDLAND GP	GROUP	\N	2576	113	\N	9999-12-31	2013-05-08
17/3-1	873.000000	1030.000000	ROGALAND GP	GROUP	\N	2576	131	\N	9999-12-31	2013-05-08
17/3-1	1380.000000	1425.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2576	137	23	9999-12-31	2013-05-08
17/3-1	2388.000000	2410.000000	SANDNES FM	FORMATION	VESTLAND GP	2576	139	186	9999-12-31	2013-05-08
17/3-1	1980.000000	2311.000000	SAUDA FM	FORMATION	BOKNFJORD GP	2576	141	15	9999-12-31	2013-05-08
17/3-1	942.000000	966.000000	SELE FM	FORMATION	ROGALAND GP	2576	142	131	9999-12-31	2013-05-08
17/3-1	1030.000000	1380.000000	SHETLAND GP	GROUP	\N	2576	143	\N	9999-12-31	2013-05-08
17/3-1	2440.000000	2811.000000	SMITH BANK FM	FORMATION	HEGRE GP	2576	149	61	9999-12-31	2013-05-08
17/3-1	1425.000000	1505.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2576	152	23	9999-12-31	2013-05-08
17/3-1	2311.000000	2339.000000	TAU FM	FORMATION	BOKNFJORD GP	2576	164	15	9999-12-31	2013-05-08
17/3-1	1030.000000	1271.000000	TOR FM	FORMATION	SHETLAND GP	2576	171	143	9999-12-31	2013-05-08
17/3-1	2388.000000	2440.000000	VESTLAND GP	GROUP	\N	2576	186	\N	9999-12-31	2013-05-08
17/3-1	1001.000000	1030.000000	VÅLE FM	FORMATION	ROGALAND GP	2576	190	131	9999-12-31	2013-05-08
17/3-1	1505.000000	1875.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2576	198	23	9999-12-31	2013-05-08
17/3-1	2440.000000	2811.000000	NO GROUP DEFINED	GROUP	\N	2576	208	\N	9999-12-31	2013-05-08
6608/10-5	1536.000000	1804.000000	BRYGGE FM	FORMATION	HORDALAND GP	2578	18	67	9999-12-31	2013-05-08
6608/10-5	2756.000000	3200.000000	BÅT GP	GROUP	\N	2578	22	\N	9999-12-31	2013-05-08
6608/10-5	2466.000000	2634.000000	CROMER KNOLL GP	GROUP	\N	2578	23	\N	9999-12-31	2013-05-08
6608/10-5	2751.000000	2756.000000	FANGST GP	GROUP	\N	2578	38	\N	9999-12-31	2013-05-08
6608/10-5	1536.000000	1804.000000	HORDALAND GP	GROUP	\N	2578	67	\N	9999-12-31	2013-05-08
6608/10-5	2751.000000	2756.000000	ILE FM	FORMATION	FANGST GP	2578	70	38	9999-12-31	2013-05-08
6608/10-5	1410.000000	1536.000000	KAI FM	FORMATION	NORDLAND GP	2578	77	113	9999-12-31	2013-05-08
6608/10-5	2550.000000	2634.000000	LYR FM	FORMATION	CROMER KNOLL GP	2578	98	23	9999-12-31	2013-05-08
6608/10-5	2466.000000	2550.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2578	99	23	9999-12-31	2013-05-08
6608/10-5	2637.000000	2751.000000	MELKE FM	FORMATION	VIKING GP	2578	105	188	9999-12-31	2013-05-08
6608/10-5	363.000000	1410.000000	NAUST FM	FORMATION	NORDLAND GP	2578	109	113	9999-12-31	2013-05-08
6608/10-5	2011.000000	2466.000000	NISE FM	FORMATION	SHETLAND GP	2578	112	143	9999-12-31	2013-05-08
6608/10-5	363.000000	1536.000000	NORDLAND GP	GROUP	\N	2578	113	\N	9999-12-31	2013-05-08
6608/10-5	1804.000000	1886.000000	ROGALAND GP	GROUP	\N	2578	131	\N	9999-12-31	2013-05-08
6608/10-5	1886.000000	2466.000000	SHETLAND GP	GROUP	\N	2578	143	\N	9999-12-31	2013-05-08
6608/10-5	2634.000000	2637.000000	SPEKK FM	FORMATION	VIKING GP	2578	155	188	9999-12-31	2013-05-08
6608/10-5	1886.000000	2011.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2578	156	143	9999-12-31	2013-05-08
6608/10-5	1862.000000	1886.000000	TANG FM	FORMATION	ROGALAND GP	2578	161	131	9999-12-31	2013-05-08
6608/10-5	1804.000000	1862.000000	TARE FM	FORMATION	ROGALAND GP	2578	163	131	9999-12-31	2013-05-08
6608/10-5	2756.000000	2791.000000	TOFTE FM	FORMATION	BÅT GP	2578	170	22	9999-12-31	2013-05-08
6608/10-5	2634.000000	2751.000000	VIKING GP	GROUP	\N	2578	188	\N	9999-12-31	2013-05-08
6608/10-5	2791.000000	3200.000000	ÅRE FM	FORMATION	BÅT GP	2578	197	22	9999-12-31	2013-05-08
9/2-5	923.000000	961.000000	BALDER FM	FORMATION	ROGALAND GP	2599	6	131	9999-12-31	2013-05-08
9/2-5	1795.000000	1832.000000	BLODØKS FM	FORMATION	SHETLAND GP	2599	13	143	9999-12-31	2013-05-08
9/2-5	2595.000000	3146.000000	BOKNFJORD GP	GROUP	\N	2599	15	\N	9999-12-31	2013-05-08
9/2-5	3263.000000	3355.000000	BRYNE FM	FORMATION	VESTLAND GP	2599	19	186	9999-12-31	2013-05-08
9/2-5	1832.000000	2595.000000	CROMER KNOLL GP	GROUP	\N	2599	23	\N	9999-12-31	2013-05-08
9/2-5	3078.000000	3146.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	2599	30	15	9999-12-31	2013-05-08
9/2-5	1035.000000	1134.000000	EKOFISK FM	FORMATION	SHETLAND GP	2599	33	143	9999-12-31	2013-05-08
9/2-5	2595.000000	2706.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	2599	43	15	9999-12-31	2013-05-08
9/2-5	1386.000000	1795.000000	HOD FM	FORMATION	SHETLAND GP	2599	66	143	9999-12-31	2013-05-08
9/2-5	414.000000	923.000000	HORDALAND GP	GROUP	\N	2599	67	\N	9999-12-31	2013-05-08
9/2-5	988.000000	1020.000000	LISTA FM	FORMATION	ROGALAND GP	2599	95	131	9999-12-31	2013-05-08
9/2-5	100.000000	414.000000	NORDLAND GP	GROUP	\N	2599	113	\N	9999-12-31	2013-05-08
9/2-5	923.000000	1035.000000	ROGALAND GP	GROUP	\N	2599	131	\N	9999-12-31	2013-05-08
9/2-5	1832.000000	1849.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2599	137	23	9999-12-31	2013-05-08
9/2-5	3146.000000	3263.000000	SANDNES FM	FORMATION	VESTLAND GP	2599	139	186	9999-12-31	2013-05-08
9/2-5	2706.000000	3021.000000	SAUDA FM	FORMATION	BOKNFJORD GP	2599	141	15	9999-12-31	2013-05-08
9/2-5	961.000000	988.000000	SELE FM	FORMATION	ROGALAND GP	2599	142	131	9999-12-31	2013-05-08
9/2-5	1035.000000	1832.000000	SHETLAND GP	GROUP	\N	2599	143	\N	9999-12-31	2013-05-08
9/2-5	1849.000000	1945.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2599	152	23	9999-12-31	2013-05-08
9/2-5	3021.000000	3078.000000	TAU FM	FORMATION	BOKNFJORD GP	2599	164	15	9999-12-31	2013-05-08
9/2-5	1134.000000	1386.000000	TOR FM	FORMATION	SHETLAND GP	2599	171	143	9999-12-31	2013-05-08
9/2-5	3146.000000	3355.000000	VESTLAND GP	GROUP	\N	2599	186	\N	9999-12-31	2013-05-08
9/2-5	1020.000000	1035.000000	VÅLE FM	FORMATION	ROGALAND GP	2599	190	131	9999-12-31	2013-05-08
9/2-5	1945.000000	2595.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2599	198	23	9999-12-31	2013-05-08
6506/12-10 A	1914.000000	2227.000000	BRYGGE FM	FORMATION	HORDALAND GP	2610	18	67	9999-12-31	2013-05-08
6506/12-10 A	5416.000000	6260.000000	BÅT GP	GROUP	\N	2610	22	\N	9999-12-31	2013-05-08
6506/12-10 A	3457.000000	4901.000000	CROMER KNOLL GP	GROUP	\N	2610	23	\N	9999-12-31	2013-05-08
6506/12-10 A	5246.000000	5416.000000	FANGST GP	GROUP	\N	2610	38	\N	9999-12-31	2013-05-08
6506/12-10 A	5246.000000	5305.000000	GARN FM	FORMATION	FANGST GP	2610	48	38	9999-12-31	2013-05-08
6506/12-10 A	1914.000000	2227.000000	HORDALAND GP	GROUP	\N	2610	67	\N	9999-12-31	2013-05-08
6506/12-10 A	5338.000000	5416.000000	ILE FM	FORMATION	FANGST GP	2610	70	38	9999-12-31	2013-05-08
6506/12-10 A	1452.000000	1914.000000	KAI FM	FORMATION	NORDLAND GP	2610	77	113	9999-12-31	2013-05-08
6506/12-10 A	2848.000000	3457.000000	KVITNOS FM	FORMATION	SHETLAND GP	2610	91	143	9999-12-31	2013-05-08
6506/12-10 A	3580.000000	4833.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2610	94	23	9999-12-31	2013-05-08
6506/12-10 A	4833.000000	4901.000000	LYR FM	FORMATION	CROMER KNOLL GP	2610	98	23	9999-12-31	2013-05-08
6506/12-10 A	3457.000000	3580.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2610	99	23	9999-12-31	2013-05-08
6506/12-10 A	4966.000000	5246.000000	MELKE FM	FORMATION	VIKING GP	2610	105	188	9999-12-31	2013-05-08
6506/12-10 A	2555.000000	2848.000000	NISE FM	FORMATION	SHETLAND GP	2610	112	143	9999-12-31	2013-05-08
6506/12-10 A	309.000000	1914.000000	NORDLAND GP	GROUP	\N	2610	113	\N	9999-12-31	2013-05-08
6506/12-10 A	5305.000000	5338.000000	NOT FM	FORMATION	FANGST GP	2610	120	38	9999-12-31	2013-05-08
6506/12-10 A	2227.000000	2384.000000	ROGALAND GP	GROUP	\N	2610	131	\N	9999-12-31	2013-05-08
6506/12-10 A	5416.000000	5468.000000	ROR FM	FORMATION	BÅT GP	2610	135	22	9999-12-31	2013-05-08
6506/12-10 A	5524.000000	5552.000000	ROR FM	FORMATION	BÅT GP	2610	135	22	9999-12-31	2013-05-08
6506/12-10 A	2384.000000	3457.000000	SHETLAND GP	GROUP	\N	2610	143	\N	9999-12-31	2013-05-08
6506/12-10 A	4901.000000	4966.000000	SPEKK FM	FORMATION	VIKING GP	2610	155	188	9999-12-31	2013-05-08
6506/12-10 A	2384.000000	2555.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2610	156	143	9999-12-31	2013-05-08
6506/12-10 A	2315.000000	2384.000000	TANG FM	FORMATION	ROGALAND GP	2610	161	131	9999-12-31	2013-05-08
6506/12-10 A	2227.000000	2315.000000	TARE FM	FORMATION	ROGALAND GP	2610	163	131	9999-12-31	2013-05-08
6506/12-10 A	5552.000000	5711.000000	TILJE FM	FORMATION	BÅT GP	2610	169	22	9999-12-31	2013-05-08
6506/12-10 A	5468.000000	5524.000000	TOFTE FM	FORMATION	BÅT GP	2610	170	22	9999-12-31	2013-05-08
6506/12-10 A	4901.000000	5246.000000	VIKING GP	GROUP	\N	2610	188	\N	9999-12-31	2013-05-08
6506/12-10 A	5711.000000	6260.000000	ÅRE FM	FORMATION	BÅT GP	2610	197	22	9999-12-31	2013-05-08
25/8-7	2340.000000	2380.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2612	4	29	9999-12-31	2013-05-08
25/8-7	1900.000000	1947.000000	BALDER FM	FORMATION	ROGALAND GP	2612	6	131	9999-12-31	2013-05-08
25/8-7	2267.000000	2293.000000	CROMER KNOLL GP	GROUP	\N	2612	23	\N	9999-12-31	2013-05-08
25/8-7	2293.000000	2299.000000	DRAUPNE FM	FORMATION	VIKING GP	2612	28	188	9999-12-31	2013-05-08
25/8-7	2340.000000	2380.000000	DUNLIN GP	GROUP	\N	2612	29	\N	9999-12-31	2013-05-08
25/8-7	1293.000000	1348.000000	GRID FM	FORMATION	HORDALAND GP	2612	53	67	9999-12-31	2013-05-08
25/8-7	1484.000000	1504.000000	GRID FM	FORMATION	HORDALAND GP	2612	53	67	9999-12-31	2013-05-08
25/8-7	2299.000000	2318.000000	HEATHER FM	FORMATION	VIKING GP	2612	60	188	9999-12-31	2013-05-08
25/8-7	2050.000000	2062.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2612	62	131	9999-12-31	2013-05-08
25/8-7	2318.000000	2329.000000	HUGIN FM	FORMATION	VESTLAND GP	2612	69	186	9999-12-31	2013-05-08
25/8-7	2037.000000	2050.000000	LISTA FM	FORMATION	ROGALAND GP	2612	95	131	9999-12-31	2013-05-08
25/8-7	2062.000000	2079.000000	LISTA FM	FORMATION	ROGALAND GP	2612	95	131	9999-12-31	2013-05-08
25/8-7	1348.000000	1484.000000	NO FORMAL NAME	FORMATION	\N	2612	111	\N	9999-12-31	2013-05-08
25/8-7	1504.000000	1900.000000	NO FORMAL NAME	FORMATION	\N	2612	111	\N	9999-12-31	2013-05-08
25/8-7	148.000000	1900.000000	NORDLAND GP	GROUP	\N	2612	113	\N	9999-12-31	2013-05-08
25/8-7	1900.000000	2209.000000	ROGALAND GP	GROUP	\N	2612	131	\N	9999-12-31	2013-05-08
25/8-7	2267.000000	2282.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2612	137	23	9999-12-31	2013-05-08
25/8-7	1947.000000	2037.000000	SELE FM	FORMATION	ROGALAND GP	2612	142	131	9999-12-31	2013-05-08
25/8-7	2209.000000	2267.000000	SHETLAND GP	GROUP	\N	2612	143	\N	9999-12-31	2013-05-08
25/8-7	2329.000000	2340.000000	SLEIPNER FM	FORMATION	VESTLAND GP	2612	148	186	9999-12-31	2013-05-08
25/8-7	2209.000000	2267.000000	SVARTE FM	FORMATION	SHETLAND GP	2612	160	143	9999-12-31	2013-05-08
25/8-7	2157.000000	2209.000000	TY FM	FORMATION	ROGALAND GP	2612	176	131	9999-12-31	2013-05-08
25/8-7	2318.000000	2340.000000	VESTLAND GP	GROUP	\N	2612	186	\N	9999-12-31	2013-05-08
25/8-7	2293.000000	2318.000000	VIKING GP	GROUP	\N	2612	188	\N	9999-12-31	2013-05-08
25/8-7	2079.000000	2157.000000	VÅLE FM	FORMATION	ROGALAND GP	2612	190	131	9999-12-31	2013-05-08
25/8-7	2282.000000	2293.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2612	198	23	9999-12-31	2013-05-08
25/7-3	1937.000000	1996.000000	BALDER FM	FORMATION	ROGALAND GP	2623	6	131	9999-12-31	2013-05-08
25/7-3	1236.000000	1299.000000	GRID FM	FORMATION	HORDALAND GP	2623	53	67	9999-12-31	2013-05-08
25/7-3	2094.000000	2326.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2623	62	131	9999-12-31	2013-05-08
25/7-3	632.000000	1937.000000	HORDALAND GP	GROUP	\N	2623	67	\N	9999-12-31	2013-05-08
25/7-3	2052.000000	2094.000000	LISTA FM	FORMATION	ROGALAND GP	2623	95	131	9999-12-31	2013-05-08
25/7-3	2326.000000	2449.000000	LISTA FM	FORMATION	ROGALAND GP	2623	95	131	9999-12-31	2013-05-08
25/7-3	590.000000	632.000000	NO FORMAL NAME	FORMATION	\N	2623	111	\N	9999-12-31	2013-05-08
25/7-3	991.000000	1236.000000	NO FORMAL NAME	FORMATION	\N	2623	111	\N	9999-12-31	2013-05-08
25/7-3	1299.000000	1937.000000	NO FORMAL NAME	FORMATION	\N	2623	111	\N	9999-12-31	2013-05-08
25/7-3	150.000000	632.000000	NORDLAND GP	GROUP	\N	2623	113	\N	9999-12-31	2013-05-08
25/7-3	1937.000000	2485.000000	ROGALAND GP	GROUP	\N	2623	131	\N	9999-12-31	2013-05-08
25/7-3	1996.000000	2052.000000	SELE FM	FORMATION	ROGALAND GP	2623	142	131	9999-12-31	2013-05-08
25/7-3	2485.000000	2540.000000	SHETLAND GP	GROUP	\N	2623	143	\N	9999-12-31	2013-05-08
25/7-3	632.000000	991.000000	SKADE FM	FORMATION	HORDALAND GP	2623	145	67	9999-12-31	2013-05-08
25/7-3	2485.000000	2540.000000	TOR FM	FORMATION	SHETLAND GP	2623	171	143	9999-12-31	2013-05-08
25/7-3	2472.000000	2485.000000	TY FM	FORMATION	ROGALAND GP	2623	176	131	9999-12-31	2013-05-08
25/7-3	436.000000	590.000000	UTSIRA FM	FORMATION	NORDLAND GP	2623	183	113	9999-12-31	2013-05-08
25/7-3	2449.000000	2472.000000	VÅLE FM	FORMATION	ROGALAND GP	2623	190	131	9999-12-31	2013-05-08
30/3-7 S	5234.000000	5271.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2632	4	29	9999-12-31	2013-05-08
30/3-7 S	2670.000000	2804.000000	BALDER FM	FORMATION	ROGALAND GP	2632	6	131	9999-12-31	2013-05-08
30/3-7 S	4692.000000	4703.000000	BRENT GP	GROUP	\N	2632	16	\N	9999-12-31	2013-05-08
30/3-7 S	4706.000000	4930.000000	BRENT GP	GROUP	\N	2632	16	\N	9999-12-31	2013-05-08
30/3-7 S	5056.000000	5122.000000	BRENT GP	GROUP	\N	2632	16	\N	9999-12-31	2013-05-08
30/3-7 S	5197.000000	5234.000000	BURTON FM	FORMATION	DUNLIN GP	2632	20	29	9999-12-31	2013-05-08
30/3-7 S	4966.000000	5056.000000	COOK FM	FORMATION	DUNLIN GP	2632	24	29	9999-12-31	2013-05-08
30/3-7 S	5138.000000	5197.000000	COOK FM	FORMATION	DUNLIN GP	2632	24	29	9999-12-31	2013-05-08
30/3-7 S	4930.000000	4966.000000	DRAKE FM	FORMATION	DUNLIN GP	2632	27	29	9999-12-31	2013-05-08
30/3-7 S	5122.000000	5138.000000	DRAKE FM	FORMATION	DUNLIN GP	2632	27	29	9999-12-31	2013-05-08
30/3-7 S	4930.000000	5056.000000	DUNLIN GP	GROUP	\N	2632	29	\N	9999-12-31	2013-05-08
30/3-7 S	5122.000000	5271.000000	DUNLIN GP	GROUP	\N	2632	29	\N	9999-12-31	2013-05-08
30/3-7 S	4897.000000	4910.000000	ETIVE FM	FORMATION	BRENT GP	2632	35	16	9999-12-31	2013-05-08
30/3-7 S	5056.000000	5063.000000	ETIVE FM	FORMATION	BRENT GP	2632	35	16	9999-12-31	2013-05-08
30/3-7 S	4667.000000	4692.000000	HEATHER FM	FORMATION	VIKING GP	2632	60	188	9999-12-31	2013-05-08
30/3-7 S	4703.000000	4706.000000	HEATHER FM	FORMATION	VIKING GP	2632	60	188	9999-12-31	2013-05-08
30/3-7 S	5322.000000	5581.000000	HEGRE GP	GROUP	\N	2632	61	\N	9999-12-31	2013-05-08
30/3-7 S	963.000000	2670.000000	HORDALAND GP	GROUP	\N	2632	67	\N	9999-12-31	2013-05-08
30/3-7 S	3139.000000	3588.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2632	74	143	9999-12-31	2013-05-08
30/3-7 S	3588.000000	3969.000000	KYRRE FM	FORMATION	SHETLAND GP	2632	92	143	9999-12-31	2013-05-08
30/3-7 S	2844.000000	3139.000000	LISTA FM	FORMATION	ROGALAND GP	2632	95	131	9999-12-31	2013-05-08
30/3-7 S	5322.000000	5581.000000	LUNDE FM	FORMATION	HEGRE GP	2632	97	61	9999-12-31	2013-05-08
30/3-7 S	4702.000000	4703.000000	NESS FM	FORMATION	BRENT GP	2632	110	16	9999-12-31	2013-05-08
30/3-7 S	4718.000000	4897.000000	NESS FM	FORMATION	BRENT GP	2632	110	16	9999-12-31	2013-05-08
30/3-7 S	231.000000	963.000000	NORDLAND GP	GROUP	\N	2632	113	\N	9999-12-31	2013-05-08
30/3-7 S	4928.000000	4930.000000	OSEBERG FM	FORMATION	BRENT GP	2632	123	16	9999-12-31	2013-05-08
30/3-7 S	5070.000000	5122.000000	OSEBERG FM	FORMATION	BRENT GP	2632	123	16	9999-12-31	2013-05-08
30/3-7 S	4910.000000	4928.000000	RANNOCH FM	FORMATION	BRENT GP	2632	126	16	9999-12-31	2013-05-08
30/3-7 S	5063.000000	5070.000000	RANNOCH FM	FORMATION	BRENT GP	2632	126	16	9999-12-31	2013-05-08
30/3-7 S	2670.000000	3139.000000	ROGALAND GP	GROUP	\N	2632	131	\N	9999-12-31	2013-05-08
30/3-7 S	2804.000000	2844.000000	SELE FM	FORMATION	ROGALAND GP	2632	142	131	9999-12-31	2013-05-08
30/3-7 S	3139.000000	4667.000000	SHETLAND GP	GROUP	\N	2632	143	\N	9999-12-31	2013-05-08
30/3-7 S	5271.000000	5322.000000	STATFJORD FM	FORMATION	\N	2632	157	\N	9999-12-31	2013-05-08
30/3-7 S	4692.000000	4702.000000	TARBERT FM	FORMATION	BRENT GP	2632	162	16	9999-12-31	2013-05-08
30/3-7 S	4706.000000	4718.000000	TARBERT FM	FORMATION	BRENT GP	2632	162	16	9999-12-31	2013-05-08
30/3-7 S	3969.000000	4667.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2632	173	143	9999-12-31	2013-05-08
30/3-7 S	783.000000	963.000000	UTSIRA FM	FORMATION	NORDLAND GP	2632	183	113	9999-12-31	2013-05-08
30/3-7 S	4667.000000	4692.000000	VIKING GP	GROUP	\N	2632	188	\N	9999-12-31	2013-05-08
30/3-7 S	4703.000000	4706.000000	VIKING GP	GROUP	\N	2632	188	\N	9999-12-31	2013-05-08
30/3-7 S	5271.000000	5322.000000	NO GROUP DEFINED	GROUP	\N	2632	208	\N	9999-12-31	2013-05-08
15/5-5	2027.000000	2076.000000	BALDER FM	FORMATION	ROGALAND GP	2635	6	131	9999-12-31	2013-05-08
15/5-5	2598.000000	2645.000000	EKOFISK FM	FORMATION	SHETLAND GP	2635	33	143	9999-12-31	2013-05-08
15/5-5	1479.000000	1807.000000	GRID FM	FORMATION	HORDALAND GP	2635	53	67	9999-12-31	2013-05-08
15/5-5	2154.000000	2458.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2635	62	131	9999-12-31	2013-05-08
15/5-5	893.000000	2027.000000	HORDALAND GP	GROUP	\N	2635	67	\N	9999-12-31	2013-05-08
15/5-5	2127.000000	2154.000000	LISTA FM	FORMATION	ROGALAND GP	2635	95	131	9999-12-31	2013-05-08
15/5-5	2458.000000	2491.000000	LISTA FM	FORMATION	ROGALAND GP	2635	95	131	9999-12-31	2013-05-08
15/5-5	1807.000000	2027.000000	NO FORMAL NAME	FORMATION	\N	2635	111	\N	9999-12-31	2013-05-08
15/5-5	137.000000	893.000000	NORDLAND GP	GROUP	\N	2635	113	\N	9999-12-31	2013-05-08
15/5-5	2027.000000	2598.000000	ROGALAND GP	GROUP	\N	2635	131	\N	9999-12-31	2013-05-08
15/5-5	2076.000000	2127.000000	SELE FM	FORMATION	ROGALAND GP	2635	142	131	9999-12-31	2013-05-08
15/5-5	2598.000000	2645.000000	SHETLAND GP	GROUP	\N	2635	143	\N	9999-12-31	2013-05-08
15/5-5	2501.000000	2583.000000	TY FM	FORMATION	ROGALAND GP	2635	176	131	9999-12-31	2013-05-08
15/5-5	718.000000	893.000000	UTSIRA FM	FORMATION	NORDLAND GP	2635	183	113	9999-12-31	2013-05-08
15/5-5	2491.000000	2501.000000	VÅLE FM	FORMATION	ROGALAND GP	2635	190	131	9999-12-31	2013-05-08
15/5-5	2583.000000	2598.000000	VÅLE FM	FORMATION	ROGALAND GP	2635	190	131	9999-12-31	2013-05-08
2/8-15	3044.000000	3065.000000	BALDER FM	FORMATION	ROGALAND GP	2636	6	131	9999-12-31	2013-05-08
2/8-15	3177.000000	3346.000000	EKOFISK FM	FORMATION	SHETLAND GP	2636	33	143	9999-12-31	2013-05-08
2/8-15	3721.000000	3750.000000	HOD FM	FORMATION	SHETLAND GP	2636	66	143	9999-12-31	2013-05-08
2/8-15	1677.000000	3044.000000	HORDALAND GP	GROUP	\N	2636	67	\N	9999-12-31	2013-05-08
2/8-15	3113.000000	3163.000000	LISTA FM	FORMATION	ROGALAND GP	2636	95	131	9999-12-31	2013-05-08
2/8-15	94.000000	1677.000000	NORDLAND GP	GROUP	\N	2636	113	\N	9999-12-31	2013-05-08
2/8-15	3044.000000	3177.000000	ROGALAND GP	GROUP	\N	2636	131	\N	9999-12-31	2013-05-08
2/8-15	3065.000000	3113.000000	SELE FM	FORMATION	ROGALAND GP	2636	142	131	9999-12-31	2013-05-08
2/8-15	3177.000000	3750.000000	SHETLAND GP	GROUP	\N	2636	143	\N	9999-12-31	2013-05-08
2/8-15	3346.000000	3721.000000	TOR FM	FORMATION	SHETLAND GP	2636	171	143	9999-12-31	2013-05-08
2/8-15	3163.000000	3177.000000	VÅLE FM	FORMATION	ROGALAND GP	2636	190	131	9999-12-31	2013-05-08
6406/12-2	1136.000000	1910.000000	BRYGGE FM	FORMATION	HORDALAND GP	2640	18	67	9999-12-31	2013-05-08
6406/12-2	2954.000000	3711.000000	CROMER KNOLL GP	GROUP	\N	2640	23	\N	9999-12-31	2013-05-08
6406/12-2	1136.000000	1910.000000	HORDALAND GP	GROUP	\N	2640	67	\N	9999-12-31	2013-05-08
6406/12-2	914.000000	1136.000000	KAI FM	FORMATION	NORDLAND GP	2640	77	113	9999-12-31	2013-05-08
6406/12-2	2796.000000	2954.000000	KVITNOS FM	FORMATION	SHETLAND GP	2640	91	143	9999-12-31	2013-05-08
6406/12-2	2954.000000	3711.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2640	94	23	9999-12-31	2013-05-08
6406/12-2	3912.000000	4367.000000	MELKE FM	FORMATION	VIKING GP	2640	105	188	9999-12-31	2013-05-08
6406/12-2	357.000000	914.000000	NAUST FM	FORMATION	NORDLAND GP	2640	109	113	9999-12-31	2013-05-08
6406/12-2	2446.000000	2796.000000	NISE FM	FORMATION	SHETLAND GP	2640	112	143	9999-12-31	2013-05-08
6406/12-2	357.000000	1136.000000	NORDLAND GP	GROUP	\N	2640	113	\N	9999-12-31	2013-05-08
6406/12-2	1910.000000	2177.000000	ROGALAND GP	GROUP	\N	2640	131	\N	9999-12-31	2013-05-08
6406/12-2	3790.000000	3873.000000	ROGN FM	FORMATION	VIKING GP	2640	134	188	9999-12-31	2013-05-08
6406/12-2	3907.000000	3912.000000	ROGN FM	FORMATION	VIKING GP	2640	134	188	9999-12-31	2013-05-08
6406/12-2	2177.000000	2954.000000	SHETLAND GP	GROUP	\N	2640	143	\N	9999-12-31	2013-05-08
6406/12-2	3711.000000	3790.000000	SPEKK FM	FORMATION	VIKING GP	2640	155	188	9999-12-31	2013-05-08
6406/12-2	3873.000000	3907.000000	SPEKK FM	FORMATION	VIKING GP	2640	155	188	9999-12-31	2013-05-08
6406/12-2	2177.000000	2446.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2640	156	143	9999-12-31	2013-05-08
6406/12-2	2001.000000	2177.000000	TANG FM	FORMATION	ROGALAND GP	2640	161	131	9999-12-31	2013-05-08
6406/12-2	1910.000000	2001.000000	TARE FM	FORMATION	ROGALAND GP	2640	163	131	9999-12-31	2013-05-08
6406/12-2	3711.000000	4367.000000	VIKING GP	GROUP	\N	2640	188	\N	9999-12-31	2013-05-08
6406/2-1 R	1942.000000	2384.000000	BRYGGE FM	FORMATION	HORDALAND GP	2642	18	67	9999-12-31	2013-05-08
6406/2-1 R	4706.000000	5892.000000	BÅT GP	GROUP	\N	2642	22	\N	9999-12-31	2013-05-08
6406/2-1 R	3413.000000	4369.000000	CROMER KNOLL GP	GROUP	\N	2642	23	\N	9999-12-31	2013-05-08
6406/2-1 R	4415.000000	4706.000000	FANGST GP	GROUP	\N	2642	38	\N	9999-12-31	2013-05-08
6406/2-1 R	4415.000000	4554.000000	GARN FM	FORMATION	FANGST GP	2642	48	38	9999-12-31	2013-05-08
6406/2-1 R	1942.000000	2384.000000	HORDALAND GP	GROUP	\N	2642	67	\N	9999-12-31	2013-05-08
6406/2-1 R	4599.000000	4706.000000	ILE FM	FORMATION	FANGST GP	2642	70	38	9999-12-31	2013-05-08
6406/2-1 R	1531.000000	1942.000000	KAI FM	FORMATION	NORDLAND GP	2642	77	113	9999-12-31	2013-05-08
6406/2-1 R	2846.000000	3413.000000	KVITNOS FM	FORMATION	SHETLAND GP	2642	91	143	9999-12-31	2013-05-08
6406/2-1 R	3440.000000	3450.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2642	94	23	9999-12-31	2013-05-08
6406/2-1 R	3450.000000	4369.000000	LYR FM	FORMATION	CROMER KNOLL GP	2642	98	23	9999-12-31	2013-05-08
6406/2-1 R	3413.000000	3440.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2642	99	23	9999-12-31	2013-05-08
6406/2-1 R	4379.000000	4415.000000	MELKE FM	FORMATION	VIKING GP	2642	105	188	9999-12-31	2013-05-08
6406/2-1 R	300.000000	1531.000000	NAUST FM	FORMATION	NORDLAND GP	2642	109	113	9999-12-31	2013-05-08
6406/2-1 R	2670.000000	2846.000000	NISE FM	FORMATION	SHETLAND GP	2642	112	143	9999-12-31	2013-05-08
6406/2-1 R	300.000000	1942.000000	NORDLAND GP	GROUP	\N	2642	113	\N	9999-12-31	2013-05-08
6406/2-1 R	4554.000000	4599.000000	NOT FM	FORMATION	FANGST GP	2642	120	38	9999-12-31	2013-05-08
6406/2-1 R	2384.000000	2501.000000	ROGALAND GP	GROUP	\N	2642	131	\N	9999-12-31	2013-05-08
6406/2-1 R	4706.000000	4815.000000	ROR FM	FORMATION	BÅT GP	2642	135	22	9999-12-31	2013-05-08
6406/2-1 R	4858.000000	4908.000000	ROR FM	FORMATION	BÅT GP	2642	135	22	9999-12-31	2013-05-08
6406/2-1 R	2501.000000	3413.000000	SHETLAND GP	GROUP	\N	2642	143	\N	9999-12-31	2013-05-08
6406/2-1 R	4369.000000	4379.000000	SPEKK FM	FORMATION	VIKING GP	2642	155	188	9999-12-31	2013-05-08
6406/2-1 R	2501.000000	2670.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2642	156	143	9999-12-31	2013-05-08
6406/2-1 R	2436.000000	2501.000000	TANG FM	FORMATION	ROGALAND GP	2642	161	131	9999-12-31	2013-05-08
6406/2-1 R	2384.000000	2436.000000	TARE FM	FORMATION	ROGALAND GP	2642	163	131	9999-12-31	2013-05-08
6406/2-1 R	4908.000000	5186.000000	TILJE FM	FORMATION	BÅT GP	2642	169	22	9999-12-31	2013-05-08
6406/2-1 R	4815.000000	4858.000000	TOFTE FM	FORMATION	BÅT GP	2642	170	22	9999-12-31	2013-05-08
6406/2-1 R	4369.000000	4415.000000	VIKING GP	GROUP	\N	2642	188	\N	9999-12-31	2013-05-08
6406/2-1 R	5186.000000	5892.000000	ÅRE FM	FORMATION	BÅT GP	2642	197	22	9999-12-31	2013-05-08
6406/2-2	1865.000000	2416.000000	BRYGGE FM	FORMATION	HORDALAND GP	2644	18	67	9999-12-31	2013-05-08
6406/2-2	4756.000000	5367.000000	BÅT GP	GROUP	\N	2644	22	\N	9999-12-31	2013-05-08
6406/2-2	3445.000000	4375.000000	CROMER KNOLL GP	GROUP	\N	2644	23	\N	9999-12-31	2013-05-08
6406/2-2	4461.000000	4756.000000	FANGST GP	GROUP	\N	2644	38	\N	9999-12-31	2013-05-08
6406/2-2	4461.000000	4576.000000	GARN FM	FORMATION	FANGST GP	2644	48	38	9999-12-31	2013-05-08
6406/2-2	1865.000000	2416.000000	HORDALAND GP	GROUP	\N	2644	67	\N	9999-12-31	2013-05-08
6406/2-2	4623.000000	4756.000000	ILE FM	FORMATION	FANGST GP	2644	70	38	9999-12-31	2013-05-08
6406/2-2	1561.000000	1865.000000	KAI FM	FORMATION	NORDLAND GP	2644	77	113	9999-12-31	2013-05-08
6406/2-2	2882.000000	3445.000000	KVITNOS FM	FORMATION	SHETLAND GP	2644	91	143	9999-12-31	2013-05-08
6406/2-2	3459.000000	4354.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2644	94	23	9999-12-31	2013-05-08
6406/2-2	4354.000000	4375.000000	LYR FM	FORMATION	CROMER KNOLL GP	2644	98	23	9999-12-31	2013-05-08
6406/2-2	3445.000000	3459.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2644	99	23	9999-12-31	2013-05-08
6406/2-2	4389.000000	4461.000000	MELKE FM	FORMATION	VIKING GP	2644	105	188	9999-12-31	2013-05-08
6406/2-2	296.000000	1561.000000	NAUST FM	FORMATION	NORDLAND GP	2644	109	113	9999-12-31	2013-05-08
6406/2-2	2683.000000	2882.000000	NISE FM	FORMATION	SHETLAND GP	2644	112	143	9999-12-31	2013-05-08
6406/2-2	296.000000	1865.000000	NORDLAND GP	GROUP	\N	2644	113	\N	9999-12-31	2013-05-08
6406/2-2	4576.000000	4623.000000	NOT FM	FORMATION	FANGST GP	2644	120	38	9999-12-31	2013-05-08
6406/2-2	2416.000000	2540.000000	ROGALAND GP	GROUP	\N	2644	131	\N	9999-12-31	2013-05-08
6406/2-2	4756.000000	4868.000000	ROR FM	FORMATION	BÅT GP	2644	135	22	9999-12-31	2013-05-08
6406/2-2	4928.000000	4978.000000	ROR FM	FORMATION	BÅT GP	2644	135	22	9999-12-31	2013-05-08
6406/2-2	2540.000000	3445.000000	SHETLAND GP	GROUP	\N	2644	143	\N	9999-12-31	2013-05-08
6406/2-2	4375.000000	4389.000000	SPEKK FM	FORMATION	VIKING GP	2644	155	188	9999-12-31	2013-05-08
6406/2-2	2540.000000	2683.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2644	156	143	9999-12-31	2013-05-08
6406/2-2	2481.000000	2540.000000	TANG FM	FORMATION	ROGALAND GP	2644	161	131	9999-12-31	2013-05-08
6406/2-2	2416.000000	2481.000000	TARE FM	FORMATION	ROGALAND GP	2644	163	131	9999-12-31	2013-05-08
6406/2-2	4978.000000	5291.000000	TILJE FM	FORMATION	BÅT GP	2644	169	22	9999-12-31	2013-05-08
6406/2-2	4868.000000	4928.000000	TOFTE FM	FORMATION	BÅT GP	2644	170	22	9999-12-31	2013-05-08
6406/2-2	4375.000000	4461.000000	VIKING GP	GROUP	\N	2644	188	\N	9999-12-31	2013-05-08
6406/2-2	5291.000000	5367.000000	ÅRE FM	FORMATION	BÅT GP	2644	197	22	9999-12-31	2013-05-08
6608/10-3 R	1592.000000	1858.000000	BRYGGE FM	FORMATION	HORDALAND GP	2645	18	67	9999-12-31	2013-05-08
6608/10-3 R	2657.000000	2921.000000	BÅT GP	GROUP	\N	2645	22	\N	9999-12-31	2013-05-08
6608/10-3 R	2394.000000	2407.000000	CROMER KNOLL GP	GROUP	\N	2645	23	\N	9999-12-31	2013-05-08
6608/10-3 R	2574.000000	2657.000000	FANGST GP	GROUP	\N	2645	38	\N	9999-12-31	2013-05-08
6608/10-3 R	2574.000000	2610.000000	GARN FM	FORMATION	FANGST GP	2645	48	38	9999-12-31	2013-05-08
6608/10-3 R	1592.000000	1858.000000	HORDALAND GP	GROUP	\N	2645	67	\N	9999-12-31	2013-05-08
6608/10-3 R	2617.000000	2657.000000	ILE FM	FORMATION	FANGST GP	2645	70	38	9999-12-31	2013-05-08
6608/10-3 R	1368.000000	1592.000000	KAI FM	FORMATION	NORDLAND GP	2645	77	113	9999-12-31	2013-05-08
6608/10-3 R	2394.000000	2407.000000	LYR FM	FORMATION	CROMER KNOLL GP	2645	98	23	9999-12-31	2013-05-08
6608/10-3 R	2413.000000	2574.000000	MELKE FM	FORMATION	VIKING GP	2645	105	188	9999-12-31	2013-05-08
6608/10-3 R	402.000000	1368.000000	NAUST FM	FORMATION	NORDLAND GP	2645	109	113	9999-12-31	2013-05-08
6608/10-3 R	2131.000000	2394.000000	NISE FM	FORMATION	SHETLAND GP	2645	112	143	9999-12-31	2013-05-08
6608/10-3 R	402.000000	1592.000000	NORDLAND GP	GROUP	\N	2645	113	\N	9999-12-31	2013-05-08
6608/10-3 R	2610.000000	2617.000000	NOT FM	FORMATION	FANGST GP	2645	120	38	9999-12-31	2013-05-08
6608/10-3 R	1858.000000	1951.000000	ROGALAND GP	GROUP	\N	2645	131	\N	9999-12-31	2013-05-08
6608/10-3 R	1951.000000	2394.000000	SHETLAND GP	GROUP	\N	2645	143	\N	9999-12-31	2013-05-08
6608/10-3 R	2407.000000	2413.000000	SPEKK FM	FORMATION	VIKING GP	2645	155	188	9999-12-31	2013-05-08
6608/10-3 R	1951.000000	2131.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2645	156	143	9999-12-31	2013-05-08
6608/10-3 R	1915.000000	1951.000000	TANG FM	FORMATION	ROGALAND GP	2645	161	131	9999-12-31	2013-05-08
6608/10-3 R	1858.000000	1915.000000	TARE FM	FORMATION	ROGALAND GP	2645	163	131	9999-12-31	2013-05-08
6608/10-3 R	2712.000000	2791.000000	TILJE FM	FORMATION	BÅT GP	2645	169	22	9999-12-31	2013-05-08
6608/10-3 R	2657.000000	2712.000000	TOFTE FM	FORMATION	BÅT GP	2645	170	22	9999-12-31	2013-05-08
6608/10-3 R	2407.000000	2574.000000	VIKING GP	GROUP	\N	2645	188	\N	9999-12-31	2013-05-08
6608/10-3 R	2791.000000	2921.000000	ÅRE FM	FORMATION	BÅT GP	2645	197	22	9999-12-31	2013-05-08
25/8-8 S	2062.000000	2123.000000	BALDER FM	FORMATION	ROGALAND GP	2646	6	131	9999-12-31	2013-05-08
25/8-8 S	2518.000000	2533.000000	CROMER KNOLL GP	GROUP	\N	2646	23	\N	9999-12-31	2013-05-08
25/8-8 S	2533.000000	2563.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2646	26	188	9999-12-31	2013-05-08
25/8-8 S	2563.000000	2592.000000	DRAUPNE FM	FORMATION	VIKING GP	2646	28	188	9999-12-31	2013-05-08
25/8-8 S	1318.000000	1333.000000	GRID FM	FORMATION	HORDALAND GP	2646	53	67	9999-12-31	2013-05-08
25/8-8 S	2236.000000	2352.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2646	62	131	9999-12-31	2013-05-08
25/8-8 S	668.000000	2062.000000	HORDALAND GP	GROUP	\N	2646	67	\N	9999-12-31	2013-05-08
25/8-8 S	2175.000000	2236.000000	LISTA FM	FORMATION	ROGALAND GP	2646	95	131	9999-12-31	2013-05-08
25/8-8 S	2352.000000	2453.000000	LISTA FM	FORMATION	ROGALAND GP	2646	95	131	9999-12-31	2013-05-08
25/8-8 S	610.000000	668.000000	NO FORMAL NAME	FORMATION	\N	2646	111	\N	9999-12-31	2013-05-08
25/8-8 S	1025.000000	1184.000000	NO FORMAL NAME	FORMATION	\N	2646	111	\N	9999-12-31	2013-05-08
25/8-8 S	1237.000000	1318.000000	NO FORMAL NAME	FORMATION	\N	2646	111	\N	9999-12-31	2013-05-08
25/8-8 S	1333.000000	2062.000000	NO FORMAL NAME	FORMATION	\N	2646	111	\N	9999-12-31	2013-05-08
25/8-8 S	152.000000	668.000000	NORDLAND GP	GROUP	\N	2646	113	\N	9999-12-31	2013-05-08
25/8-8 S	2062.000000	2518.000000	ROGALAND GP	GROUP	\N	2646	131	\N	9999-12-31	2013-05-08
25/8-8 S	2123.000000	2175.000000	SELE FM	FORMATION	ROGALAND GP	2646	142	131	9999-12-31	2013-05-08
25/8-8 S	668.000000	1025.000000	SKADE FM	FORMATION	HORDALAND GP	2646	145	67	9999-12-31	2013-05-08
25/8-8 S	1184.000000	1237.000000	SKADE FM	FORMATION	HORDALAND GP	2646	145	67	9999-12-31	2013-05-08
25/8-8 S	2453.000000	2498.000000	TY FM	FORMATION	ROGALAND GP	2646	176	131	9999-12-31	2013-05-08
25/8-8 S	474.000000	610.000000	UTSIRA FM	FORMATION	NORDLAND GP	2646	183	113	9999-12-31	2013-05-08
25/8-8 S	2533.000000	2592.000000	VIKING GP	GROUP	\N	2646	188	\N	9999-12-31	2013-05-08
25/8-8 S	2498.000000	2518.000000	VÅLE FM	FORMATION	ROGALAND GP	2646	190	131	9999-12-31	2013-05-08
25/5-5	2023.000000	2075.000000	BALDER FM	FORMATION	ROGALAND GP	2661	6	131	9999-12-31	2013-05-08
25/5-5	1420.000000	1433.000000	GRID FM	FORMATION	HORDALAND GP	2661	53	67	9999-12-31	2013-05-08
25/5-5	2159.000000	2493.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2661	62	131	9999-12-31	2013-05-08
25/5-5	947.000000	2023.000000	HORDALAND GP	GROUP	\N	2661	67	\N	9999-12-31	2013-05-08
25/5-5	2123.000000	2159.000000	LISTA FM	FORMATION	ROGALAND GP	2661	95	131	9999-12-31	2013-05-08
25/5-5	2493.000000	2531.000000	LISTA FM	FORMATION	ROGALAND GP	2661	95	131	9999-12-31	2013-05-08
25/5-5	1044.000000	1420.000000	NO FORMAL NAME	FORMATION	\N	2661	111	\N	9999-12-31	2013-05-08
25/5-5	1433.000000	2023.000000	NO FORMAL NAME	FORMATION	\N	2661	111	\N	9999-12-31	2013-05-08
25/5-5	147.000000	947.000000	NORDLAND GP	GROUP	\N	2661	113	\N	9999-12-31	2013-05-08
25/5-5	2023.000000	2600.000000	ROGALAND GP	GROUP	\N	2661	131	\N	9999-12-31	2013-05-08
25/5-5	2075.000000	2123.000000	SELE FM	FORMATION	ROGALAND GP	2661	142	131	9999-12-31	2013-05-08
25/5-5	1032.000000	1044.000000	SKADE FM	FORMATION	HORDALAND GP	2661	145	67	9999-12-31	2013-05-08
25/5-5	232.000000	947.000000	UTSIRA FM	FORMATION	NORDLAND GP	2661	183	113	9999-12-31	2013-05-08
25/5-5	2531.000000	2600.000000	VÅLE FM	FORMATION	ROGALAND GP	2661	190	131	9999-12-31	2013-05-08
6204/10-1	2564.000000	2670.000000	AGAT FM	FORMATION	CROMER KNOLL GP	2666	2	23	9999-12-31	2013-05-08
6204/10-1	744.000000	819.000000	BALDER FM	FORMATION	ROGALAND GP	2666	6	131	9999-12-31	2013-05-08
6204/10-1	2670.000000	2709.000000	BASEMENT	GROUP	\N	2666	10	\N	9999-12-31	2013-05-08
6204/10-1	2305.000000	2335.000000	BLODØKS FM	FORMATION	SHETLAND GP	2666	13	143	9999-12-31	2013-05-08
6204/10-1	2465.000000	2670.000000	CROMER KNOLL GP	GROUP	\N	2666	23	\N	9999-12-31	2013-05-08
6204/10-1	1183.000000	1202.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	2666	31	131	9999-12-31	2013-05-08
6204/10-1	685.000000	710.000000	GRID FM	FORMATION	HORDALAND GP	2666	53	67	9999-12-31	2013-05-08
6204/10-1	636.000000	744.000000	HORDALAND GP	GROUP	\N	2666	67	\N	9999-12-31	2013-05-08
6204/10-1	1202.000000	1250.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2666	74	143	9999-12-31	2013-05-08
6204/10-1	1250.000000	1860.000000	KYRRE FM	FORMATION	SHETLAND GP	2666	92	143	9999-12-31	2013-05-08
6204/10-1	2050.000000	2305.000000	KYRRE FM	FORMATION	SHETLAND GP	2666	92	143	9999-12-31	2013-05-08
6204/10-1	819.000000	1113.000000	LISTA FM	FORMATION	ROGALAND GP	2666	95	131	9999-12-31	2013-05-08
6204/10-1	710.000000	744.000000	NO FORMAL NAME	FORMATION	\N	2666	111	\N	9999-12-31	2013-05-08
6204/10-1	1860.000000	2050.000000	NO FORMAL NAME	FORMATION	\N	2666	111	\N	9999-12-31	2013-05-08
6204/10-1	211.000000	636.000000	NORDLAND GP	GROUP	\N	2666	113	\N	9999-12-31	2013-05-08
6204/10-1	744.000000	1202.000000	ROGALAND GP	GROUP	\N	2666	131	\N	9999-12-31	2013-05-08
6204/10-1	2465.000000	2564.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2666	137	23	9999-12-31	2013-05-08
6204/10-1	1202.000000	2465.000000	SHETLAND GP	GROUP	\N	2666	143	\N	9999-12-31	2013-05-08
6204/10-1	2335.000000	2465.000000	SVARTE FM	FORMATION	SHETLAND GP	2666	160	143	9999-12-31	2013-05-08
6204/10-1	1113.000000	1183.000000	VÅLE FM	FORMATION	ROGALAND GP	2666	190	131	9999-12-31	2013-05-08
25/11-20	1652.000000	1665.000000	BALDER FM	FORMATION	ROGALAND GP	2667	6	131	9999-12-31	2013-05-08
25/11-20	1767.000000	1777.000000	EKOFISK FM	FORMATION	SHETLAND GP	2667	33	143	9999-12-31	2013-05-08
25/11-20	883.000000	1652.000000	HORDALAND GP	GROUP	\N	2667	67	\N	9999-12-31	2013-05-08
25/11-20	1672.000000	1761.000000	LISTA FM	FORMATION	ROGALAND GP	2667	95	131	9999-12-31	2013-05-08
25/11-20	835.000000	883.000000	NO FORMAL NAME	FORMATION	\N	2667	111	\N	9999-12-31	2013-05-08
25/11-20	951.000000	976.000000	NO FORMAL NAME	FORMATION	\N	2667	111	\N	9999-12-31	2013-05-08
25/11-20	985.000000	1000.000000	NO FORMAL NAME	FORMATION	\N	2667	111	\N	9999-12-31	2013-05-08
25/11-20	1016.000000	1092.000000	NO FORMAL NAME	FORMATION	\N	2667	111	\N	9999-12-31	2013-05-08
25/11-20	1100.000000	1117.000000	NO FORMAL NAME	FORMATION	\N	2667	111	\N	9999-12-31	2013-05-08
25/11-20	1163.000000	1652.000000	NO FORMAL NAME	FORMATION	\N	2667	111	\N	9999-12-31	2013-05-08
25/11-20	148.000000	883.000000	NORDLAND GP	GROUP	\N	2667	113	\N	9999-12-31	2013-05-08
25/11-20	1652.000000	1767.000000	ROGALAND GP	GROUP	\N	2667	131	\N	9999-12-31	2013-05-08
25/11-20	1665.000000	1672.000000	SELE FM	FORMATION	ROGALAND GP	2667	142	131	9999-12-31	2013-05-08
25/11-20	1767.000000	1828.000000	SHETLAND GP	GROUP	\N	2667	143	\N	9999-12-31	2013-05-08
25/11-20	883.000000	951.000000	SKADE FM	FORMATION	HORDALAND GP	2667	145	67	9999-12-31	2013-05-08
25/11-20	976.000000	985.000000	SKADE FM	FORMATION	HORDALAND GP	2667	145	67	9999-12-31	2013-05-08
25/11-20	1000.000000	1016.000000	SKADE FM	FORMATION	HORDALAND GP	2667	145	67	9999-12-31	2013-05-08
25/11-20	1092.000000	1100.000000	SKADE FM	FORMATION	HORDALAND GP	2667	145	67	9999-12-31	2013-05-08
25/11-20	1117.000000	1163.000000	SKADE FM	FORMATION	HORDALAND GP	2667	145	67	9999-12-31	2013-05-08
25/11-20	1777.000000	1828.000000	TOR FM	FORMATION	SHETLAND GP	2667	171	143	9999-12-31	2013-05-08
25/11-20	744.000000	835.000000	UTSIRA FM	FORMATION	NORDLAND GP	2667	183	113	9999-12-31	2013-05-08
25/11-20	1761.000000	1767.000000	VÅLE FM	FORMATION	ROGALAND GP	2667	190	131	9999-12-31	2013-05-08
25/8-8 A	2203.000000	2286.000000	BALDER FM	FORMATION	ROGALAND GP	2690	6	131	9999-12-31	2013-05-08
25/8-8 A	1291.000000	1310.000000	GRID FM	FORMATION	HORDALAND GP	2690	53	67	9999-12-31	2013-05-08
25/8-8 A	2425.000000	2478.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2690	62	131	9999-12-31	2013-05-08
25/8-8 A	668.000000	2203.000000	HORDALAND GP	GROUP	\N	2690	67	\N	9999-12-31	2013-05-08
25/8-8 A	2351.000000	2425.000000	LISTA FM	FORMATION	ROGALAND GP	2690	95	131	9999-12-31	2013-05-08
25/8-8 A	2478.000000	2554.000000	LISTA FM	FORMATION	ROGALAND GP	2690	95	131	9999-12-31	2013-05-08
25/8-8 A	610.000000	668.000000	NO FORMAL NAME	FORMATION	\N	2690	111	\N	9999-12-31	2013-05-08
25/8-8 A	1025.000000	1185.000000	NO FORMAL NAME	FORMATION	\N	2690	111	\N	9999-12-31	2013-05-08
25/8-8 A	1232.000000	1291.000000	NO FORMAL NAME	FORMATION	\N	2690	111	\N	9999-12-31	2013-05-08
25/8-8 A	1310.000000	2203.000000	NO FORMAL NAME	FORMATION	\N	2690	111	\N	9999-12-31	2013-05-08
25/8-8 A	152.000000	668.000000	NORDLAND GP	GROUP	\N	2690	113	\N	9999-12-31	2013-05-08
25/8-8 A	2203.000000	2601.000000	ROGALAND GP	GROUP	\N	2690	131	\N	9999-12-31	2013-05-08
25/8-8 A	2286.000000	2351.000000	SELE FM	FORMATION	ROGALAND GP	2690	142	131	9999-12-31	2013-05-08
25/8-8 A	668.000000	1025.000000	SKADE FM	FORMATION	HORDALAND GP	2690	145	67	9999-12-31	2013-05-08
25/8-8 A	1185.000000	1232.000000	SKADE FM	FORMATION	HORDALAND GP	2690	145	67	9999-12-31	2013-05-08
25/8-8 A	2554.000000	2601.000000	TY FM	FORMATION	ROGALAND GP	2690	176	131	9999-12-31	2013-05-08
25/8-8 A	474.000000	610.000000	UTSIRA FM	FORMATION	NORDLAND GP	2690	183	113	9999-12-31	2013-05-08
25/8-8 B	2173.000000	2243.000000	BALDER FM	FORMATION	ROGALAND GP	2696	6	131	9999-12-31	2013-05-08
25/8-8 B	1313.000000	1336.000000	GRID FM	FORMATION	HORDALAND GP	2696	53	67	9999-12-31	2013-05-08
25/8-8 B	2382.000000	2446.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2696	62	131	9999-12-31	2013-05-08
25/8-8 B	668.000000	2173.000000	HORDALAND GP	GROUP	\N	2696	67	\N	9999-12-31	2013-05-08
25/8-8 B	2327.000000	2382.000000	LISTA FM	FORMATION	ROGALAND GP	2696	95	131	9999-12-31	2013-05-08
25/8-8 B	2446.000000	2510.000000	LISTA FM	FORMATION	ROGALAND GP	2696	95	131	9999-12-31	2013-05-08
25/8-8 B	610.000000	668.000000	NO FORMAL NAME	FORMATION	\N	2696	111	\N	9999-12-31	2013-05-08
25/8-8 B	1025.000000	1191.000000	NO FORMAL NAME	FORMATION	\N	2696	111	\N	9999-12-31	2013-05-08
25/8-8 B	1233.000000	1313.000000	NO FORMAL NAME	FORMATION	\N	2696	111	\N	9999-12-31	2013-05-08
25/8-8 B	1336.000000	2173.000000	NO FORMAL NAME	FORMATION	\N	2696	111	\N	9999-12-31	2013-05-08
25/8-8 B	152.000000	668.000000	NORDLAND GP	GROUP	\N	2696	113	\N	9999-12-31	2013-05-08
25/8-8 B	2173.000000	2510.000000	ROGALAND GP	GROUP	\N	2696	131	\N	9999-12-31	2013-05-08
25/8-8 B	2243.000000	2327.000000	SELE FM	FORMATION	ROGALAND GP	2696	142	131	9999-12-31	2013-05-08
25/8-8 B	668.000000	1025.000000	SKADE FM	FORMATION	HORDALAND GP	2696	145	67	9999-12-31	2013-05-08
25/8-8 B	1191.000000	1233.000000	SKADE FM	FORMATION	HORDALAND GP	2696	145	67	9999-12-31	2013-05-08
25/8-8 B	474.000000	610.000000	UTSIRA FM	FORMATION	NORDLAND GP	2696	183	113	9999-12-31	2013-05-08
2/1-11	3076.000000	3104.000000	BALDER FM	FORMATION	ROGALAND GP	2699	6	131	9999-12-31	2013-05-08
2/1-11	4052.000000	4055.000000	BLODØKS FM	FORMATION	SHETLAND GP	2699	13	143	9999-12-31	2013-05-08
2/1-11	4506.000000	4617.000000	BRYNE FM	FORMATION	VESTLAND GP	2699	19	186	9999-12-31	2013-05-08
2/1-11	4097.000000	4173.000000	CROMER KNOLL GP	GROUP	\N	2699	23	\N	9999-12-31	2013-05-08
2/1-11	3310.000000	3421.000000	EKOFISK FM	FORMATION	SHETLAND GP	2699	33	143	9999-12-31	2013-05-08
2/1-11	4173.000000	4323.000000	FARSUND FM	FORMATION	TYNE GP	2699	39	177	9999-12-31	2013-05-08
2/1-11	3140.000000	3142.000000	FORTIES FM	FORMATION	ROGALAND GP	2699	44	131	9999-12-31	2013-05-08
2/1-11	4323.000000	4506.000000	HAUGESUND FM	FORMATION	TYNE GP	2699	57	177	9999-12-31	2013-05-08
2/1-11	4055.000000	4097.000000	HIDRA FM	FORMATION	SHETLAND GP	2699	65	143	9999-12-31	2013-05-08
2/1-11	3850.000000	4052.000000	HOD FM	FORMATION	SHETLAND GP	2699	66	143	9999-12-31	2013-05-08
2/1-11	3111.000000	3140.000000	LISTA FM	FORMATION	ROGALAND GP	2699	95	131	9999-12-31	2013-05-08
2/1-11	3142.000000	3177.000000	LISTA FM	FORMATION	ROGALAND GP	2699	95	131	9999-12-31	2013-05-08
2/1-11	3252.000000	3293.000000	LISTA FM	FORMATION	ROGALAND GP	2699	95	131	9999-12-31	2013-05-08
2/1-11	91.000000	3076.000000	NORDLAND GP	GROUP	\N	2699	113	\N	9999-12-31	2013-05-08
2/1-11	3076.000000	3310.000000	ROGALAND GP	GROUP	\N	2699	131	\N	9999-12-31	2013-05-08
2/1-11	4097.000000	4143.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2699	137	23	9999-12-31	2013-05-08
2/1-11	3104.000000	3111.000000	SELE FM	FORMATION	ROGALAND GP	2699	142	131	9999-12-31	2013-05-08
2/1-11	3310.000000	4097.000000	SHETLAND GP	GROUP	\N	2699	143	\N	9999-12-31	2013-05-08
2/1-11	4617.000000	4725.000000	SMITH BANK FM	FORMATION	HEGRE GP	2699	149	61	9999-12-31	2013-05-08
2/1-11	4143.000000	4155.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2699	152	23	9999-12-31	2013-05-08
2/1-11	3421.000000	3850.000000	TOR FM	FORMATION	SHETLAND GP	2699	171	143	9999-12-31	2013-05-08
2/1-11	4155.000000	4173.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	2699	175	23	9999-12-31	2013-05-08
2/1-11	4173.000000	4506.000000	TYNE GP	GROUP	\N	2699	177	\N	9999-12-31	2013-05-08
2/1-11	4506.000000	4617.000000	VESTLAND GP	GROUP	\N	2699	186	\N	9999-12-31	2013-05-08
2/1-11	3177.000000	3252.000000	VIDAR FM	FORMATION	ROGALAND GP	2699	187	131	9999-12-31	2013-05-08
2/1-11	3293.000000	3310.000000	VÅLE FM	FORMATION	ROGALAND GP	2699	190	131	9999-12-31	2013-05-08
2/1-11	4617.000000	4725.000000	NO GROUP DEFINED	GROUP	\N	2699	208	\N	9999-12-31	2013-05-08
25/11-21 S	1723.000000	1734.000000	BALDER FM	FORMATION	ROGALAND GP	2701	6	131	9999-12-31	2013-05-08
25/11-21 S	1908.000000	1929.000000	EKOFISK FM	FORMATION	SHETLAND GP	2701	33	143	9999-12-31	2013-05-08
25/11-21 S	1788.000000	1876.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2701	62	131	9999-12-31	2013-05-08
25/11-21 S	1947.000000	1957.000000	HOD FM	FORMATION	SHETLAND GP	2701	66	143	9999-12-31	2013-05-08
25/11-21 S	796.000000	1723.000000	HORDALAND GP	GROUP	\N	2701	67	\N	9999-12-31	2013-05-08
25/11-21 S	1745.000000	1788.000000	LISTA FM	FORMATION	ROGALAND GP	2701	95	131	9999-12-31	2013-05-08
25/11-21 S	1876.000000	1890.000000	LISTA FM	FORMATION	ROGALAND GP	2701	95	131	9999-12-31	2013-05-08
25/11-21 S	720.000000	796.000000	NO FORMAL NAME	FORMATION	\N	2701	111	\N	9999-12-31	2013-05-08
25/11-21 S	905.000000	925.000000	NO FORMAL NAME	FORMATION	\N	2701	111	\N	9999-12-31	2013-05-08
25/11-21 S	944.000000	955.000000	NO FORMAL NAME	FORMATION	\N	2701	111	\N	9999-12-31	2013-05-08
25/11-21 S	978.000000	1000.000000	NO FORMAL NAME	FORMATION	\N	2701	111	\N	9999-12-31	2013-05-08
25/11-21 S	1028.000000	1074.000000	NO FORMAL NAME	FORMATION	\N	2701	111	\N	9999-12-31	2013-05-08
25/11-21 S	1087.000000	1102.000000	NO FORMAL NAME	FORMATION	\N	2701	111	\N	9999-12-31	2013-05-08
25/11-21 S	1115.000000	1221.000000	NO FORMAL NAME	FORMATION	\N	2701	111	\N	9999-12-31	2013-05-08
25/11-21 S	1230.000000	1723.000000	NO FORMAL NAME	FORMATION	\N	2701	111	\N	9999-12-31	2013-05-08
25/11-21 S	155.000000	796.000000	NORDLAND GP	GROUP	\N	2701	113	\N	9999-12-31	2013-05-08
25/11-21 S	1723.000000	1908.000000	ROGALAND GP	GROUP	\N	2701	131	\N	9999-12-31	2013-05-08
25/11-21 S	1734.000000	1745.000000	SELE FM	FORMATION	ROGALAND GP	2701	142	131	9999-12-31	2013-05-08
25/11-21 S	1908.000000	1957.000000	SHETLAND GP	GROUP	\N	2701	143	\N	9999-12-31	2013-05-08
25/11-21 S	796.000000	905.000000	SKADE FM	FORMATION	HORDALAND GP	2701	145	67	9999-12-31	2013-05-08
25/11-21 S	925.000000	944.000000	SKADE FM	FORMATION	HORDALAND GP	2701	145	67	9999-12-31	2013-05-08
25/11-21 S	955.000000	978.000000	SKADE FM	FORMATION	HORDALAND GP	2701	145	67	9999-12-31	2013-05-08
25/11-21 S	1000.000000	1028.000000	SKADE FM	FORMATION	HORDALAND GP	2701	145	67	9999-12-31	2013-05-08
25/11-21 S	1074.000000	1087.000000	SKADE FM	FORMATION	HORDALAND GP	2701	145	67	9999-12-31	2013-05-08
25/11-21 S	1102.000000	1115.000000	SKADE FM	FORMATION	HORDALAND GP	2701	145	67	9999-12-31	2013-05-08
25/11-21 S	1221.000000	1230.000000	SKADE FM	FORMATION	HORDALAND GP	2701	145	67	9999-12-31	2013-05-08
25/11-21 S	1929.000000	1947.000000	TOR FM	FORMATION	SHETLAND GP	2701	171	143	9999-12-31	2013-05-08
25/11-21 S	650.000000	720.000000	UTSIRA FM	FORMATION	NORDLAND GP	2701	183	113	9999-12-31	2013-05-08
25/11-21 S	1890.000000	1908.000000	VÅLE FM	FORMATION	ROGALAND GP	2701	190	131	9999-12-31	2013-05-08
16/10-3	1829.000000	1889.000000	BALDER FM	FORMATION	ROGALAND GP	2703	6	131	9999-12-31	2013-05-08
16/10-3	2361.000000	2501.000000	CROMER KNOLL GP	GROUP	\N	2703	23	\N	9999-12-31	2013-05-08
16/10-3	2501.000000	2521.000000	DRAUPNE FM	FORMATION	VIKING GP	2703	28	188	9999-12-31	2013-05-08
16/10-3	2029.000000	2076.000000	EKOFISK FM	FORMATION	SHETLAND GP	2703	33	143	9999-12-31	2013-05-08
16/10-3	2250.000000	2350.000000	HOD FM	FORMATION	SHETLAND GP	2703	66	143	9999-12-31	2013-05-08
16/10-3	1018.000000	1829.000000	HORDALAND GP	GROUP	\N	2703	67	\N	9999-12-31	2013-05-08
16/10-3	2521.000000	2532.000000	HUGIN FM	FORMATION	VESTLAND GP	2703	69	186	9999-12-31	2013-05-08
16/10-3	1895.000000	2012.000000	LISTA FM	FORMATION	ROGALAND GP	2703	95	131	9999-12-31	2013-05-08
16/10-3	115.000000	1018.000000	NORDLAND GP	GROUP	\N	2703	113	\N	9999-12-31	2013-05-08
16/10-3	1829.000000	2029.000000	ROGALAND GP	GROUP	\N	2703	131	\N	9999-12-31	2013-05-08
16/10-3	2361.000000	2378.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2703	137	23	9999-12-31	2013-05-08
16/10-3	1889.000000	1895.000000	SELE FM	FORMATION	ROGALAND GP	2703	142	131	9999-12-31	2013-05-08
16/10-3	2029.000000	2361.000000	SHETLAND GP	GROUP	\N	2703	143	\N	9999-12-31	2013-05-08
16/10-3	2532.000000	2626.000000	SKAGERRAK FM	FORMATION	HEGRE GP	2703	146	61	9999-12-31	2013-05-08
16/10-3	2626.000000	2850.000000	SMITH BANK FM	FORMATION	HEGRE GP	2703	149	61	9999-12-31	2013-05-08
16/10-3	2378.000000	2411.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2703	152	23	9999-12-31	2013-05-08
16/10-3	2350.000000	2361.000000	SVARTE FM	FORMATION	SHETLAND GP	2703	160	143	9999-12-31	2013-05-08
16/10-3	2076.000000	2250.000000	TOR FM	FORMATION	SHETLAND GP	2703	171	143	9999-12-31	2013-05-08
16/10-3	947.000000	1018.000000	UTSIRA FM	FORMATION	NORDLAND GP	2703	183	113	9999-12-31	2013-05-08
16/10-3	2521.000000	2532.000000	VESTLAND GP	GROUP	\N	2703	186	\N	9999-12-31	2013-05-08
16/10-3	2501.000000	2521.000000	VIKING GP	GROUP	\N	2703	188	\N	9999-12-31	2013-05-08
16/10-3	2012.000000	2029.000000	VÅLE FM	FORMATION	ROGALAND GP	2703	190	131	9999-12-31	2013-05-08
16/10-3	2411.000000	2501.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2703	198	23	9999-12-31	2013-05-08
16/10-3	2532.000000	2850.000000	NO GROUP DEFINED	GROUP	\N	2703	208	\N	9999-12-31	2013-05-08
30/8-1 SR	4556.000000	4691.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2719	4	29	9999-12-31	2013-05-08
30/8-1 SR	2100.000000	2174.000000	BALDER FM	FORMATION	ROGALAND GP	2719	6	131	9999-12-31	2013-05-08
30/8-1 SR	3223.000000	3243.000000	BLODØKS FM	FORMATION	SHETLAND GP	2719	13	143	9999-12-31	2013-05-08
30/8-1 SR	3433.000000	4123.000000	BRENT GP	GROUP	\N	2719	16	\N	9999-12-31	2013-05-08
30/8-1 SR	4464.000000	4556.000000	BURTON FM	FORMATION	DUNLIN GP	2719	20	29	9999-12-31	2013-05-08
30/8-1 SR	4450.000000	4464.000000	COOK FM	FORMATION	DUNLIN GP	2719	24	29	9999-12-31	2013-05-08
30/8-1 SR	4123.000000	4450.000000	DRAKE FM	FORMATION	DUNLIN GP	2719	27	29	9999-12-31	2013-05-08
30/8-1 SR	4123.000000	4691.000000	DUNLIN GP	GROUP	\N	2719	29	\N	9999-12-31	2013-05-08
30/8-1 SR	4729.000000	5149.000000	EIRIKSSON MBR	MEMBER	STATFJORD FM	2719	32	157	9999-12-31	2013-05-08
30/8-1 SR	1417.000000	1498.000000	GRID FM	FORMATION	HORDALAND GP	2719	53	67	9999-12-31	2013-05-08
30/8-1 SR	2444.000000	2472.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2719	56	143	9999-12-31	2013-05-08
30/8-1 SR	3361.000000	3433.000000	HEATHER FM	FORMATION	VIKING GP	2719	60	188	9999-12-31	2013-05-08
30/8-1 SR	958.000000	2100.000000	HORDALAND GP	GROUP	\N	2719	67	\N	9999-12-31	2013-05-08
30/8-1 SR	2472.000000	2725.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2719	74	143	9999-12-31	2013-05-08
30/8-1 SR	2725.000000	3223.000000	KYRRE FM	FORMATION	SHETLAND GP	2719	92	143	9999-12-31	2013-05-08
30/8-1 SR	2260.000000	2410.000000	LISTA FM	FORMATION	ROGALAND GP	2719	95	131	9999-12-31	2013-05-08
30/8-1 SR	4691.000000	4729.000000	NANSEN MBR	MEMBER	STATFJORD FM	2719	108	157	9999-12-31	2013-05-08
30/8-1 SR	3774.000000	4092.000000	NESS FM	FORMATION	BRENT GP	2719	110	16	9999-12-31	2013-05-08
30/8-1 SR	908.000000	958.000000	NO FORMAL NAME	FORMATION	\N	2719	111	\N	9999-12-31	2013-05-08
30/8-1 SR	1030.000000	1256.000000	NO FORMAL NAME	FORMATION	\N	2719	111	\N	9999-12-31	2013-05-08
30/8-1 SR	1256.000000	1304.000000	NO FORMAL NAME	FORMATION	\N	2719	111	\N	9999-12-31	2013-05-08
30/8-1 SR	1304.000000	1417.000000	NO FORMAL NAME	FORMATION	\N	2719	111	\N	9999-12-31	2013-05-08
30/8-1 SR	1498.000000	2100.000000	NO FORMAL NAME	FORMATION	\N	2719	111	\N	9999-12-31	2013-05-08
30/8-1 SR	122.000000	958.000000	NORDLAND GP	GROUP	\N	2719	113	\N	9999-12-31	2013-05-08
30/8-1 SR	2100.000000	2444.000000	ROGALAND GP	GROUP	\N	2719	131	\N	9999-12-31	2013-05-08
30/8-1 SR	2174.000000	2260.000000	SELE FM	FORMATION	ROGALAND GP	2719	142	131	9999-12-31	2013-05-08
30/8-1 SR	2444.000000	3361.000000	SHETLAND GP	GROUP	\N	2719	143	\N	9999-12-31	2013-05-08
30/8-1 SR	958.000000	1030.000000	SKADE FM	FORMATION	HORDALAND GP	2719	145	67	9999-12-31	2013-05-08
30/8-1 SR	4691.000000	5149.000000	STATFJORD FM	FORMATION	\N	2719	157	\N	9999-12-31	2013-05-08
30/8-1 SR	3243.000000	3361.000000	SVARTE FM	FORMATION	SHETLAND GP	2719	160	143	9999-12-31	2013-05-08
30/8-1 SR	3433.000000	3774.000000	TARBERT FM	FORMATION	BRENT GP	2719	162	16	9999-12-31	2013-05-08
30/8-1 SR	4092.000000	4123.000000	UNDIFFERENTIATED	FORMATION	\N	2719	182	\N	9999-12-31	2013-05-08
30/8-1 SR	657.000000	908.000000	UTSIRA FM	FORMATION	NORDLAND GP	2719	183	113	9999-12-31	2013-05-08
30/8-1 SR	3361.000000	3433.000000	VIKING GP	GROUP	\N	2719	188	\N	9999-12-31	2013-05-08
30/8-1 SR	2410.000000	2444.000000	VÅLE FM	FORMATION	ROGALAND GP	2719	190	131	9999-12-31	2013-05-08
30/8-1 SR	4691.000000	5149.000000	NO GROUP DEFINED	GROUP	\N	2719	208	\N	9999-12-31	2013-05-08
30/8-2	1999.000000	2055.000000	BALDER FM	FORMATION	ROGALAND GP	2723	6	131	9999-12-31	2013-05-08
30/8-2	1485.000000	1757.000000	GRID FM	FORMATION	HORDALAND GP	2723	53	67	9999-12-31	2013-05-08
30/8-2	2076.000000	2138.000000	HERMOD FM	FORMATION	ROGALAND GP	2723	64	131	9999-12-31	2013-05-08
30/8-2	818.000000	1999.000000	HORDALAND GP	GROUP	\N	2723	67	\N	9999-12-31	2013-05-08
34/11-2 S	3342.000000	3559.000000	SVARTE FM	FORMATION	SHETLAND GP	2733	160	143	9999-12-31	2013-05-08
30/8-2	2361.000000	2405.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2723	74	143	9999-12-31	2013-05-08
30/8-2	2149.000000	2320.000000	LISTA FM	FORMATION	ROGALAND GP	2723	95	131	9999-12-31	2013-05-08
30/8-2	800.000000	818.000000	NO FORMAL NAME	FORMATION	\N	2723	111	\N	9999-12-31	2013-05-08
30/8-2	922.000000	1110.000000	NO FORMAL NAME	FORMATION	\N	2723	111	\N	9999-12-31	2013-05-08
30/8-2	1110.000000	1196.000000	NO FORMAL NAME	FORMATION	\N	2723	111	\N	9999-12-31	2013-05-08
30/8-2	1196.000000	1485.000000	NO FORMAL NAME	FORMATION	\N	2723	111	\N	9999-12-31	2013-05-08
30/8-2	1757.000000	1999.000000	NO FORMAL NAME	FORMATION	\N	2723	111	\N	9999-12-31	2013-05-08
30/8-2	121.000000	818.000000	NORDLAND GP	GROUP	\N	2723	113	\N	9999-12-31	2013-05-08
30/8-2	1999.000000	2361.000000	ROGALAND GP	GROUP	\N	2723	131	\N	9999-12-31	2013-05-08
30/8-2	2055.000000	2076.000000	SELE FM	FORMATION	ROGALAND GP	2723	142	131	9999-12-31	2013-05-08
30/8-2	2138.000000	2149.000000	SELE FM	FORMATION	ROGALAND GP	2723	142	131	9999-12-31	2013-05-08
30/8-2	2361.000000	2405.000000	SHETLAND GP	GROUP	\N	2723	143	\N	9999-12-31	2013-05-08
30/8-2	818.000000	922.000000	SKADE FM	FORMATION	HORDALAND GP	2723	145	67	9999-12-31	2013-05-08
30/8-2	640.000000	800.000000	UTSIRA FM	FORMATION	NORDLAND GP	2723	183	113	9999-12-31	2013-05-08
30/8-2	2320.000000	2361.000000	VÅLE FM	FORMATION	ROGALAND GP	2723	190	131	9999-12-31	2013-05-08
25/10-6 S	2126.000000	2221.000000	BALDER FM	FORMATION	ROGALAND GP	2728	6	131	9999-12-31	2013-05-08
25/10-6 S	3521.000000	3639.000000	BLODØKS FM	FORMATION	SHETLAND GP	2728	13	143	9999-12-31	2013-05-08
25/10-6 S	3885.000000	4240.000000	CROMER KNOLL GP	GROUP	\N	2728	23	\N	9999-12-31	2013-05-08
25/10-6 S	4240.000000	4314.000000	DRAUPNE FM	FORMATION	VIKING GP	2728	28	188	9999-12-31	2013-05-08
25/10-6 S	1456.000000	1472.000000	GRID FM	FORMATION	HORDALAND GP	2728	53	67	9999-12-31	2013-05-08
25/10-6 S	1491.000000	1530.000000	GRID FM	FORMATION	HORDALAND GP	2728	53	67	9999-12-31	2013-05-08
25/10-6 S	4314.000000	4338.000000	HEATHER FM	FORMATION	VIKING GP	2728	60	188	9999-12-31	2013-05-08
25/10-6 S	2318.000000	2619.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2728	62	131	9999-12-31	2013-05-08
25/10-6 S	791.000000	2126.000000	HORDALAND GP	GROUP	\N	2728	67	\N	9999-12-31	2013-05-08
25/10-6 S	4338.000000	4489.000000	HUGIN FM	FORMATION	VESTLAND GP	2728	69	186	9999-12-31	2013-05-08
25/10-6 S	2789.000000	3069.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2728	74	143	9999-12-31	2013-05-08
25/10-6 S	3069.000000	3160.000000	KYRRE FM	FORMATION	SHETLAND GP	2728	92	143	9999-12-31	2013-05-08
25/10-6 S	2286.000000	2318.000000	LISTA FM	FORMATION	ROGALAND GP	2728	95	131	9999-12-31	2013-05-08
25/10-6 S	2619.000000	2637.000000	LISTA FM	FORMATION	ROGALAND GP	2728	95	131	9999-12-31	2013-05-08
25/10-6 S	695.000000	791.000000	NO FORMAL NAME	FORMATION	\N	2728	111	\N	9999-12-31	2013-05-08
25/10-6 S	958.000000	1168.000000	NO FORMAL NAME	FORMATION	\N	2728	111	\N	9999-12-31	2013-05-08
25/10-6 S	1200.000000	1456.000000	NO FORMAL NAME	FORMATION	\N	2728	111	\N	9999-12-31	2013-05-08
25/10-6 S	1472.000000	1491.000000	NO FORMAL NAME	FORMATION	\N	2728	111	\N	9999-12-31	2013-05-08
25/10-6 S	1530.000000	2126.000000	NO FORMAL NAME	FORMATION	\N	2728	111	\N	9999-12-31	2013-05-08
25/10-6 S	140.000000	791.000000	NORDLAND GP	GROUP	\N	2728	113	\N	9999-12-31	2013-05-08
25/10-6 S	2126.000000	2789.000000	ROGALAND GP	GROUP	\N	2728	131	\N	9999-12-31	2013-05-08
25/10-6 S	3885.000000	4057.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2728	137	23	9999-12-31	2013-05-08
25/10-6 S	2221.000000	2286.000000	SELE FM	FORMATION	ROGALAND GP	2728	142	131	9999-12-31	2013-05-08
25/10-6 S	2789.000000	3885.000000	SHETLAND GP	GROUP	\N	2728	143	\N	9999-12-31	2013-05-08
25/10-6 S	791.000000	958.000000	SKADE FM	FORMATION	HORDALAND GP	2728	145	67	9999-12-31	2013-05-08
25/10-6 S	1168.000000	1200.000000	SKADE FM	FORMATION	HORDALAND GP	2728	145	67	9999-12-31	2013-05-08
25/10-6 S	4489.000000	4706.000000	SLEIPNER FM	FORMATION	VESTLAND GP	2728	148	186	9999-12-31	2013-05-08
25/10-6 S	4057.000000	4074.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2728	152	23	9999-12-31	2013-05-08
25/10-6 S	3639.000000	3885.000000	SVARTE FM	FORMATION	SHETLAND GP	2728	160	143	9999-12-31	2013-05-08
25/10-6 S	3160.000000	3521.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2728	173	143	9999-12-31	2013-05-08
25/10-6 S	2637.000000	2686.000000	TY FM	FORMATION	ROGALAND GP	2728	176	131	9999-12-31	2013-05-08
25/10-6 S	450.000000	695.000000	UTSIRA FM	FORMATION	NORDLAND GP	2728	183	113	9999-12-31	2013-05-08
25/10-6 S	4338.000000	4706.000000	VESTLAND GP	GROUP	\N	2728	186	\N	9999-12-31	2013-05-08
25/10-6 S	4240.000000	4338.000000	VIKING GP	GROUP	\N	2728	188	\N	9999-12-31	2013-05-08
25/10-6 S	2686.000000	2789.000000	VÅLE FM	FORMATION	ROGALAND GP	2728	190	131	9999-12-31	2013-05-08
25/10-6 S	4074.000000	4240.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2728	198	23	9999-12-31	2013-05-08
34/11-2 S	4512.000000	4696.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2733	4	29	9999-12-31	2013-05-08
34/11-2 S	1820.000000	1880.000000	BALDER FM	FORMATION	ROGALAND GP	2733	6	131	9999-12-31	2013-05-08
34/11-2 S	4068.000000	4328.000000	BRENT GP	GROUP	\N	2733	16	\N	9999-12-31	2013-05-08
34/11-2 S	4320.000000	4328.000000	BROOM FM	FORMATION	BRENT GP	2733	17	16	9999-12-31	2013-05-08
34/11-2 S	4478.000000	4512.000000	BURTON FM	FORMATION	DUNLIN GP	2733	20	29	9999-12-31	2013-05-08
34/11-2 S	3559.000000	3697.000000	CROMER KNOLL GP	GROUP	\N	2733	23	\N	9999-12-31	2013-05-08
34/11-2 S	4433.000000	4478.000000	COOK FM	FORMATION	DUNLIN GP	2733	24	29	9999-12-31	2013-05-08
34/11-2 S	4328.000000	4433.000000	DRAKE FM	FORMATION	DUNLIN GP	2733	27	29	9999-12-31	2013-05-08
34/11-2 S	3697.000000	3699.000000	DRAUPNE FM	FORMATION	VIKING GP	2733	28	188	9999-12-31	2013-05-08
34/11-2 S	4328.000000	4696.000000	DUNLIN GP	GROUP	\N	2733	29	\N	9999-12-31	2013-05-08
34/11-2 S	4241.000000	4261.000000	ETIVE FM	FORMATION	BRENT GP	2733	35	16	9999-12-31	2013-05-08
34/11-2 S	3865.000000	4068.000000	HEATHER FM	FORMATION	VIKING GP	2733	60	188	9999-12-31	2013-05-08
34/11-2 S	1123.000000	1820.000000	HORDALAND GP	GROUP	\N	2733	67	\N	9999-12-31	2013-05-08
34/11-2 S	2033.000000	2310.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2733	74	143	9999-12-31	2013-05-08
34/11-2 S	2310.000000	2762.000000	KYRRE FM	FORMATION	SHETLAND GP	2733	92	143	9999-12-31	2013-05-08
34/11-2 S	1885.000000	2033.000000	LISTA FM	FORMATION	ROGALAND GP	2733	95	131	9999-12-31	2013-05-08
34/11-2 S	4085.000000	4241.000000	NESS FM	FORMATION	BRENT GP	2733	110	16	9999-12-31	2013-05-08
34/11-2 S	1027.000000	1123.000000	NO FORMAL NAME	FORMATION	\N	2733	111	\N	9999-12-31	2013-05-08
34/11-2 S	1418.000000	1507.000000	NO FORMAL NAME	FORMATION	\N	2733	111	\N	9999-12-31	2013-05-08
34/11-2 S	1507.000000	1631.000000	NO FORMAL NAME	FORMATION	\N	2733	111	\N	9999-12-31	2013-05-08
34/11-2 S	1631.000000	1666.000000	NO FORMAL NAME	FORMATION	\N	2733	111	\N	9999-12-31	2013-05-08
34/11-2 S	1666.000000	1820.000000	NO FORMAL NAME	FORMATION	\N	2733	111	\N	9999-12-31	2013-05-08
34/11-2 S	3699.000000	3755.000000	NO FORMAL NAME	FORMATION	\N	2733	111	\N	9999-12-31	2013-05-08
34/11-2 S	3755.000000	3801.000000	NO FORMAL NAME	FORMATION	\N	2733	111	\N	9999-12-31	2013-05-08
34/11-2 S	3801.000000	3865.000000	NO FORMAL NAME	FORMATION	\N	2733	111	\N	9999-12-31	2013-05-08
34/11-2 S	286.000000	1123.000000	NORDLAND GP	GROUP	\N	2733	113	\N	9999-12-31	2013-05-08
34/11-2 S	4261.000000	4320.000000	RANNOCH FM	FORMATION	BRENT GP	2733	126	16	9999-12-31	2013-05-08
34/11-2 S	1820.000000	2033.000000	ROGALAND GP	GROUP	\N	2733	131	\N	9999-12-31	2013-05-08
34/11-2 S	1880.000000	1885.000000	SELE FM	FORMATION	ROGALAND GP	2733	142	131	9999-12-31	2013-05-08
34/11-2 S	2033.000000	3559.000000	SHETLAND GP	GROUP	\N	2733	143	\N	9999-12-31	2013-05-08
34/11-2 S	4696.000000	4743.000000	STATFJORD FM	FORMATION	\N	2733	157	\N	9999-12-31	2013-05-08
34/11-2 S	4068.000000	4085.000000	TARBERT FM	FORMATION	BRENT GP	2733	162	16	9999-12-31	2013-05-08
34/11-2 S	2762.000000	3342.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2733	173	143	9999-12-31	2013-05-08
34/11-2 S	930.000000	1027.000000	UTSIRA FM	FORMATION	NORDLAND GP	2733	183	113	9999-12-31	2013-05-08
34/11-2 S	3697.000000	4068.000000	VIKING GP	GROUP	\N	2733	188	\N	9999-12-31	2013-05-08
34/11-2 S	4696.000000	4743.000000	NO GROUP DEFINED	GROUP	\N	2733	208	\N	9999-12-31	2013-05-08
6506/11-4 S	1943.000000	2297.000000	BRYGGE FM	FORMATION	HORDALAND GP	2736	18	67	9999-12-31	2013-05-08
6506/11-4 S	4726.000000	5110.000000	BÅT GP	GROUP	\N	2736	22	\N	9999-12-31	2013-05-08
6506/11-4 S	3500.000000	4428.000000	CROMER KNOLL GP	GROUP	\N	2736	23	\N	9999-12-31	2013-05-08
6506/11-4 S	4512.000000	4726.000000	FANGST GP	GROUP	\N	2736	38	\N	9999-12-31	2013-05-08
6506/11-4 S	4512.000000	4611.000000	GARN FM	FORMATION	FANGST GP	2736	48	38	9999-12-31	2013-05-08
6506/11-4 S	1943.000000	2297.000000	HORDALAND GP	GROUP	\N	2736	67	\N	9999-12-31	2013-05-08
6506/11-4 S	4658.000000	4726.000000	ILE FM	FORMATION	FANGST GP	2736	70	38	9999-12-31	2013-05-08
6506/11-4 S	1485.000000	1943.000000	KAI FM	FORMATION	NORDLAND GP	2736	77	113	9999-12-31	2013-05-08
6506/11-4 S	2862.000000	3500.000000	KVITNOS FM	FORMATION	SHETLAND GP	2736	91	143	9999-12-31	2013-05-08
6506/11-4 S	3620.000000	4399.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2736	94	23	9999-12-31	2013-05-08
6506/11-4 S	4399.000000	4428.000000	LYR FM	FORMATION	CROMER KNOLL GP	2736	98	23	9999-12-31	2013-05-08
6506/11-4 S	3500.000000	3620.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2736	99	23	9999-12-31	2013-05-08
6506/11-4 S	4434.000000	4512.000000	MELKE FM	FORMATION	VIKING GP	2736	105	188	9999-12-31	2013-05-08
6506/11-4 S	325.000000	1485.000000	NAUST FM	FORMATION	NORDLAND GP	2736	109	113	9999-12-31	2013-05-08
6506/11-4 S	2652.000000	2862.000000	NISE FM	FORMATION	SHETLAND GP	2736	112	143	9999-12-31	2013-05-08
6506/11-4 S	325.000000	1943.000000	NORDLAND GP	GROUP	\N	2736	113	\N	9999-12-31	2013-05-08
6506/11-4 S	4611.000000	4658.000000	NOT FM	FORMATION	FANGST GP	2736	120	38	9999-12-31	2013-05-08
6506/11-4 S	2297.000000	2449.000000	ROGALAND GP	GROUP	\N	2736	131	\N	9999-12-31	2013-05-08
6506/11-4 S	4726.000000	4782.000000	ROR FM	FORMATION	BÅT GP	2736	135	22	9999-12-31	2013-05-08
6506/11-4 S	2449.000000	3500.000000	SHETLAND GP	GROUP	\N	2736	143	\N	9999-12-31	2013-05-08
6506/11-4 S	4428.000000	4434.000000	SPEKK FM	FORMATION	VIKING GP	2736	155	188	9999-12-31	2013-05-08
6506/11-4 S	2449.000000	2652.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2736	156	143	9999-12-31	2013-05-08
6506/11-4 S	2400.000000	2449.000000	TANG FM	FORMATION	ROGALAND GP	2736	161	131	9999-12-31	2013-05-08
6506/11-4 S	2297.000000	2400.000000	TARE FM	FORMATION	ROGALAND GP	2736	163	131	9999-12-31	2013-05-08
6506/11-4 S	4852.000000	5022.000000	TILJE FM	FORMATION	BÅT GP	2736	169	22	9999-12-31	2013-05-08
6506/11-4 S	4782.000000	4852.000000	TOFTE FM	FORMATION	BÅT GP	2736	170	22	9999-12-31	2013-05-08
6506/11-4 S	4428.000000	4512.000000	VIKING GP	GROUP	\N	2736	188	\N	9999-12-31	2013-05-08
6506/11-4 S	5022.000000	5110.000000	ÅRE FM	FORMATION	BÅT GP	2736	197	22	9999-12-31	2013-05-08
25/10-7 S	2086.000000	2122.000000	BALDER FM	FORMATION	ROGALAND GP	2769	6	131	9999-12-31	2013-05-08
25/10-7 S	2569.000000	2617.000000	EKOFISK FM	FORMATION	SHETLAND GP	2769	33	143	9999-12-31	2013-05-08
25/10-7 S	1526.000000	1538.000000	GRID FM	FORMATION	HORDALAND GP	2769	53	67	9999-12-31	2013-05-08
25/10-7 S	1553.000000	1632.000000	GRID FM	FORMATION	HORDALAND GP	2769	53	67	9999-12-31	2013-05-08
25/10-7 S	2238.000000	2373.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2769	62	131	9999-12-31	2013-05-08
25/10-7 S	2404.000000	2427.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2769	62	131	9999-12-31	2013-05-08
25/10-7 S	823.000000	2086.000000	HORDALAND GP	GROUP	\N	2769	67	\N	9999-12-31	2013-05-08
25/10-7 S	2186.000000	2238.000000	LISTA FM	FORMATION	ROGALAND GP	2769	95	131	9999-12-31	2013-05-08
25/10-7 S	2373.000000	2404.000000	LISTA FM	FORMATION	ROGALAND GP	2769	95	131	9999-12-31	2013-05-08
25/10-7 S	2427.000000	2465.000000	LISTA FM	FORMATION	ROGALAND GP	2769	95	131	9999-12-31	2013-05-08
25/10-7 S	726.000000	823.000000	NO FORMAL NAME	FORMATION	\N	2769	111	\N	9999-12-31	2013-05-08
25/10-7 S	1056.000000	1103.000000	NO FORMAL NAME	FORMATION	\N	2769	111	\N	9999-12-31	2013-05-08
25/10-7 S	1125.000000	1153.000000	NO FORMAL NAME	FORMATION	\N	2769	111	\N	9999-12-31	2013-05-08
25/10-7 S	1194.000000	1526.000000	NO FORMAL NAME	FORMATION	\N	2769	111	\N	9999-12-31	2013-05-08
25/10-7 S	1538.000000	1553.000000	NO FORMAL NAME	FORMATION	\N	2769	111	\N	9999-12-31	2013-05-08
25/10-7 S	1632.000000	2086.000000	NO FORMAL NAME	FORMATION	\N	2769	111	\N	9999-12-31	2013-05-08
25/10-7 S	142.000000	823.000000	NORDLAND GP	GROUP	\N	2769	113	\N	9999-12-31	2013-05-08
25/10-7 S	2086.000000	2569.000000	ROGALAND GP	GROUP	\N	2769	131	\N	9999-12-31	2013-05-08
25/10-7 S	2122.000000	2186.000000	SELE FM	FORMATION	ROGALAND GP	2769	142	131	9999-12-31	2013-05-08
25/10-7 S	2569.000000	2617.000000	SHETLAND GP	GROUP	\N	2769	143	\N	9999-12-31	2013-05-08
25/10-7 S	823.000000	1056.000000	SKADE FM	FORMATION	HORDALAND GP	2769	145	67	9999-12-31	2013-05-08
25/10-7 S	1103.000000	1125.000000	SKADE FM	FORMATION	HORDALAND GP	2769	145	67	9999-12-31	2013-05-08
25/10-7 S	1153.000000	1194.000000	SKADE FM	FORMATION	HORDALAND GP	2769	145	67	9999-12-31	2013-05-08
25/10-7 S	2465.000000	2498.000000	TY FM	FORMATION	ROGALAND GP	2769	176	131	9999-12-31	2013-05-08
25/10-7 S	586.000000	726.000000	UTSIRA FM	FORMATION	NORDLAND GP	2769	183	113	9999-12-31	2013-05-08
25/10-7 S	2498.000000	2569.000000	VÅLE FM	FORMATION	ROGALAND GP	2769	190	131	9999-12-31	2013-05-08
35/11-8 S	1618.000000	1681.000000	BALDER FM	FORMATION	ROGALAND GP	2772	6	131	9999-12-31	2013-05-08
35/11-8 S	3377.000000	3576.000000	BRENT GP	GROUP	\N	2772	16	\N	9999-12-31	2013-05-08
35/11-8 S	2678.000000	2686.000000	CROMER KNOLL GP	GROUP	\N	2772	23	\N	9999-12-31	2013-05-08
35/11-8 S	3576.000000	3624.000000	DRAKE FM	FORMATION	DUNLIN GP	2772	27	29	9999-12-31	2013-05-08
35/11-8 S	2686.000000	2789.000000	DRAUPNE FM	FORMATION	VIKING GP	2772	28	188	9999-12-31	2013-05-08
35/11-8 S	3576.000000	3624.000000	DUNLIN GP	GROUP	\N	2772	29	\N	9999-12-31	2013-05-08
35/11-8 S	3459.000000	3480.000000	ETIVE FM	FORMATION	BRENT GP	2772	35	16	9999-12-31	2013-05-08
35/11-8 S	2860.000000	3377.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	2772	59	188	9999-12-31	2013-05-08
35/11-8 S	2789.000000	2807.000000	HEATHER FM	FORMATION	VIKING GP	2772	60	188	9999-12-31	2013-05-08
35/11-8 S	2825.000000	2860.000000	HEATHER FM	FORMATION	VIKING GP	2772	60	188	9999-12-31	2013-05-08
35/11-8 S	1797.000000	1877.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2772	62	131	9999-12-31	2013-05-08
35/11-8 S	785.000000	1618.000000	HORDALAND GP	GROUP	\N	2772	67	\N	9999-12-31	2013-05-08
35/11-8 S	2124.000000	2292.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2772	74	143	9999-12-31	2013-05-08
35/11-8 S	2292.000000	2598.000000	KYRRE FM	FORMATION	SHETLAND GP	2772	92	143	9999-12-31	2013-05-08
35/11-8 S	1730.000000	1797.000000	LISTA FM	FORMATION	ROGALAND GP	2772	95	131	9999-12-31	2013-05-08
35/11-8 S	1877.000000	1975.000000	LISTA FM	FORMATION	ROGALAND GP	2772	95	131	9999-12-31	2013-05-08
35/11-8 S	3387.000000	3459.000000	NESS FM	FORMATION	BRENT GP	2772	110	16	9999-12-31	2013-05-08
35/11-8 S	387.000000	785.000000	NORDLAND GP	GROUP	\N	2772	113	\N	9999-12-31	2013-05-08
35/11-8 S	3505.000000	3576.000000	OSEBERG FM	FORMATION	BRENT GP	2772	123	16	9999-12-31	2013-05-08
35/11-8 S	3480.000000	3505.000000	RANNOCH FM	FORMATION	BRENT GP	2772	126	16	9999-12-31	2013-05-08
35/11-8 S	1618.000000	2124.000000	ROGALAND GP	GROUP	\N	2772	131	\N	9999-12-31	2013-05-08
35/11-8 S	2678.000000	2686.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2772	137	23	9999-12-31	2013-05-08
35/11-8 S	1681.000000	1730.000000	SELE FM	FORMATION	ROGALAND GP	2772	142	131	9999-12-31	2013-05-08
35/11-8 S	2124.000000	2678.000000	SHETLAND GP	GROUP	\N	2772	143	\N	9999-12-31	2013-05-08
35/11-8 S	2807.000000	2825.000000	SOGNEFJORD FM	FORMATION	VIKING GP	2772	151	188	9999-12-31	2013-05-08
35/11-8 S	2598.000000	2678.000000	SVARTE FM	FORMATION	SHETLAND GP	2772	160	143	9999-12-31	2013-05-08
35/11-8 S	3377.000000	3387.000000	TARBERT FM	FORMATION	BRENT GP	2772	162	16	9999-12-31	2013-05-08
35/11-8 S	2021.000000	2041.000000	TY FM	FORMATION	ROGALAND GP	2772	176	131	9999-12-31	2013-05-08
35/11-8 S	2063.000000	2087.000000	TY FM	FORMATION	ROGALAND GP	2772	176	131	9999-12-31	2013-05-08
35/11-8 S	773.000000	785.000000	UTSIRA FM	FORMATION	NORDLAND GP	2772	183	113	9999-12-31	2013-05-08
35/11-8 S	2686.000000	3377.000000	VIKING GP	GROUP	\N	2772	188	\N	9999-12-31	2013-05-08
35/11-8 S	1975.000000	2021.000000	VÅLE FM	FORMATION	ROGALAND GP	2772	190	131	9999-12-31	2013-05-08
35/11-8 S	2041.000000	2063.000000	VÅLE FM	FORMATION	ROGALAND GP	2772	190	131	9999-12-31	2013-05-08
35/11-8 S	2087.000000	2124.000000	VÅLE FM	FORMATION	ROGALAND GP	2772	190	131	9999-12-31	2013-05-08
35/10-2	4471.000000	4601.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2783	4	29	9999-12-31	2013-05-08
35/10-2	1874.000000	1934.000000	BALDER FM	FORMATION	ROGALAND GP	2783	6	131	9999-12-31	2013-05-08
35/10-2	3645.000000	3698.000000	BLODØKS FM	FORMATION	SHETLAND GP	2783	13	143	9999-12-31	2013-05-08
35/10-2	4149.000000	4353.000000	BRENT GP	GROUP	\N	2783	16	\N	9999-12-31	2013-05-08
35/10-2	4319.000000	4353.000000	BROOM FM	FORMATION	BRENT GP	2783	17	16	9999-12-31	2013-05-08
35/10-2	4450.000000	4471.000000	BURTON FM	FORMATION	DUNLIN GP	2783	20	29	9999-12-31	2013-05-08
35/10-2	3698.000000	3921.000000	CROMER KNOLL GP	GROUP	\N	2783	23	\N	9999-12-31	2013-05-08
35/10-2	4368.000000	4450.000000	COOK FM	FORMATION	DUNLIN GP	2783	24	29	9999-12-31	2013-05-08
35/10-2	4353.000000	4368.000000	DRAKE FM	FORMATION	DUNLIN GP	2783	27	29	9999-12-31	2013-05-08
35/10-2	3921.000000	4018.000000	DRAUPNE FM	FORMATION	VIKING GP	2783	28	188	9999-12-31	2013-05-08
35/10-2	4353.000000	4601.000000	DUNLIN GP	GROUP	\N	2783	29	\N	9999-12-31	2013-05-08
35/10-2	4245.000000	4280.000000	ETIVE FM	FORMATION	BRENT GP	2783	35	16	9999-12-31	2013-05-08
35/10-2	1258.000000	1874.000000	GRID FM	FORMATION	HORDALAND GP	2783	53	67	9999-12-31	2013-05-08
35/10-2	4018.000000	4149.000000	HEATHER FM	FORMATION	VIKING GP	2783	60	188	9999-12-31	2013-05-08
35/10-2	946.000000	1874.000000	HORDALAND GP	GROUP	\N	2783	67	\N	9999-12-31	2013-05-08
35/10-2	2106.000000	2355.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2783	74	143	9999-12-31	2013-05-08
35/10-2	2355.000000	3414.000000	KYRRE FM	FORMATION	SHETLAND GP	2783	92	143	9999-12-31	2013-05-08
35/10-2	1963.000000	2086.000000	LISTA FM	FORMATION	ROGALAND GP	2783	95	131	9999-12-31	2013-05-08
35/10-2	4149.000000	4245.000000	NESS FM	FORMATION	BRENT GP	2783	110	16	9999-12-31	2013-05-08
35/10-2	397.000000	946.000000	NORDLAND GP	GROUP	\N	2783	113	\N	9999-12-31	2013-05-08
35/10-2	4280.000000	4319.000000	RANNOCH FM	FORMATION	BRENT GP	2783	126	16	9999-12-31	2013-05-08
35/10-2	1874.000000	2106.000000	ROGALAND GP	GROUP	\N	2783	131	\N	9999-12-31	2013-05-08
35/10-2	3698.000000	3795.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2783	137	23	9999-12-31	2013-05-08
35/10-2	1934.000000	1963.000000	SELE FM	FORMATION	ROGALAND GP	2783	142	131	9999-12-31	2013-05-08
35/10-2	2106.000000	3698.000000	SHETLAND GP	GROUP	\N	2783	143	\N	9999-12-31	2013-05-08
35/10-2	3795.000000	3820.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2783	152	23	9999-12-31	2013-05-08
35/10-2	4601.000000	4677.000000	STATFJORD FM	FORMATION	\N	2783	157	\N	9999-12-31	2013-05-08
35/10-2	3414.000000	3645.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2783	173	143	9999-12-31	2013-05-08
35/10-2	903.000000	946.000000	UTSIRA FM	FORMATION	NORDLAND GP	2783	183	113	9999-12-31	2013-05-08
35/10-2	3921.000000	4149.000000	VIKING GP	GROUP	\N	2783	188	\N	9999-12-31	2013-05-08
35/10-2	2086.000000	2106.000000	VÅLE FM	FORMATION	ROGALAND GP	2783	190	131	9999-12-31	2013-05-08
35/10-2	3820.000000	3921.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2783	198	23	9999-12-31	2013-05-08
35/10-2	4601.000000	4677.000000	NO GROUP DEFINED	GROUP	\N	2783	208	\N	9999-12-31	2013-05-08
6506/11-5 S	1899.000000	2192.000000	BRYGGE FM	FORMATION	HORDALAND GP	2794	18	67	9999-12-31	2013-05-08
6506/11-5 S	4399.000000	4790.000000	BÅT GP	GROUP	\N	2794	22	\N	9999-12-31	2013-05-08
6506/11-5 S	3353.000000	4139.000000	CROMER KNOLL GP	GROUP	\N	2794	23	\N	9999-12-31	2013-05-08
6506/11-5 S	4213.000000	4399.000000	FANGST GP	GROUP	\N	2794	38	\N	9999-12-31	2013-05-08
6506/11-5 S	4213.000000	4292.000000	GARN FM	FORMATION	FANGST GP	2794	48	38	9999-12-31	2013-05-08
6506/11-5 S	1899.000000	2192.000000	HORDALAND GP	GROUP	\N	2794	67	\N	9999-12-31	2013-05-08
6506/11-5 S	4329.000000	4399.000000	ILE FM	FORMATION	FANGST GP	2794	70	38	9999-12-31	2013-05-08
6506/11-5 S	1462.000000	1899.000000	KAI FM	FORMATION	NORDLAND GP	2794	77	113	9999-12-31	2013-05-08
6506/11-5 S	2748.000000	3353.000000	KVITNOS FM	FORMATION	SHETLAND GP	2794	91	143	9999-12-31	2013-05-08
6506/11-5 S	3401.000000	4094.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2794	94	23	9999-12-31	2013-05-08
6506/11-5 S	4094.000000	4139.000000	LYR FM	FORMATION	CROMER KNOLL GP	2794	98	23	9999-12-31	2013-05-08
6506/11-5 S	3353.000000	3401.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2794	99	23	9999-12-31	2013-05-08
6506/11-5 S	4144.000000	4213.000000	MELKE FM	FORMATION	VIKING GP	2794	105	188	9999-12-31	2013-05-08
6506/11-5 S	310.000000	1462.000000	NAUST FM	FORMATION	NORDLAND GP	2794	109	113	9999-12-31	2013-05-08
6506/11-5 S	2539.000000	2748.000000	NISE FM	FORMATION	SHETLAND GP	2794	112	143	9999-12-31	2013-05-08
6506/11-5 S	310.000000	1899.000000	NORDLAND GP	GROUP	\N	2794	113	\N	9999-12-31	2013-05-08
6506/11-5 S	4292.000000	4329.000000	NOT FM	FORMATION	FANGST GP	2794	120	38	9999-12-31	2013-05-08
6506/11-5 S	2192.000000	2350.000000	ROGALAND GP	GROUP	\N	2794	131	\N	9999-12-31	2013-05-08
6506/11-5 S	4399.000000	4463.000000	ROR FM	FORMATION	BÅT GP	2794	135	22	9999-12-31	2013-05-08
6506/11-5 S	4526.000000	4528.000000	ROR FM	FORMATION	BÅT GP	2794	135	22	9999-12-31	2013-05-08
6506/11-5 S	2350.000000	3353.000000	SHETLAND GP	GROUP	\N	2794	143	\N	9999-12-31	2013-05-08
6506/11-5 S	4139.000000	4144.000000	SPEKK FM	FORMATION	VIKING GP	2794	155	188	9999-12-31	2013-05-08
6506/11-5 S	2350.000000	2539.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2794	156	143	9999-12-31	2013-05-08
6506/11-5 S	2307.000000	2350.000000	TANG FM	FORMATION	ROGALAND GP	2794	161	131	9999-12-31	2013-05-08
6506/11-5 S	2192.000000	2307.000000	TARE FM	FORMATION	ROGALAND GP	2794	163	131	9999-12-31	2013-05-08
6506/11-5 S	4528.000000	4692.000000	TILJE FM	FORMATION	BÅT GP	2794	169	22	9999-12-31	2013-05-08
6506/11-5 S	4463.000000	4526.000000	TOFTE FM	FORMATION	BÅT GP	2794	170	22	9999-12-31	2013-05-08
6506/11-5 S	4139.000000	4213.000000	VIKING GP	GROUP	\N	2794	188	\N	9999-12-31	2013-05-08
6506/11-5 S	4692.000000	4790.000000	ÅRE FM	FORMATION	BÅT GP	2794	197	22	9999-12-31	2013-05-08
6506/12-11 S	2027.000000	2372.000000	BRYGGE FM	FORMATION	HORDALAND GP	2795	18	67	9999-12-31	2013-05-08
6506/12-11 S	4901.000000	5268.000000	BÅT GP	GROUP	\N	2795	22	\N	9999-12-31	2013-05-08
6506/12-11 S	3681.000000	4577.000000	CROMER KNOLL GP	GROUP	\N	2795	23	\N	9999-12-31	2013-05-08
6506/12-11 S	4731.000000	4901.000000	FANGST GP	GROUP	\N	2795	38	\N	9999-12-31	2013-05-08
6506/12-11 S	4731.000000	4804.000000	GARN FM	FORMATION	FANGST GP	2795	48	38	9999-12-31	2013-05-08
6506/12-11 S	2027.000000	2372.000000	HORDALAND GP	GROUP	\N	2795	67	\N	9999-12-31	2013-05-08
6506/12-11 S	4835.000000	4901.000000	ILE FM	FORMATION	FANGST GP	2795	70	38	9999-12-31	2013-05-08
6506/12-11 S	1523.000000	2027.000000	KAI FM	FORMATION	NORDLAND GP	2795	77	113	9999-12-31	2013-05-08
6506/12-11 S	3002.000000	3681.000000	KVITNOS FM	FORMATION	SHETLAND GP	2795	91	143	9999-12-31	2013-05-08
6506/12-11 S	3728.000000	4554.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2795	94	23	9999-12-31	2013-05-08
6506/12-11 S	4554.000000	4577.000000	LYR FM	FORMATION	CROMER KNOLL GP	2795	98	23	9999-12-31	2013-05-08
6506/12-11 S	3681.000000	3728.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2795	99	23	9999-12-31	2013-05-08
6506/12-11 S	4590.000000	4731.000000	MELKE FM	FORMATION	VIKING GP	2795	105	188	9999-12-31	2013-05-08
6506/12-11 S	2813.000000	3002.000000	NISE FM	FORMATION	SHETLAND GP	2795	112	143	9999-12-31	2013-05-08
6506/12-11 S	311.000000	2027.000000	NORDLAND GP	GROUP	\N	2795	113	\N	9999-12-31	2013-05-08
6506/12-11 S	4804.000000	4835.000000	NOT FM	FORMATION	FANGST GP	2795	120	38	9999-12-31	2013-05-08
6506/12-11 S	2372.000000	2540.000000	ROGALAND GP	GROUP	\N	2795	131	\N	9999-12-31	2013-05-08
6506/12-11 S	4901.000000	4980.000000	ROR FM	FORMATION	BÅT GP	2795	135	22	9999-12-31	2013-05-08
6506/12-11 S	5026.000000	5042.000000	ROR FM	FORMATION	BÅT GP	2795	135	22	9999-12-31	2013-05-08
6506/12-11 S	2540.000000	3681.000000	SHETLAND GP	GROUP	\N	2795	143	\N	9999-12-31	2013-05-08
6506/12-11 S	4577.000000	4590.000000	SPEKK FM	FORMATION	VIKING GP	2795	155	188	9999-12-31	2013-05-08
6506/12-11 S	2540.000000	2813.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2795	156	143	9999-12-31	2013-05-08
6506/12-11 S	2464.000000	2540.000000	TANG FM	FORMATION	ROGALAND GP	2795	161	131	9999-12-31	2013-05-08
6506/12-11 S	2372.000000	2464.000000	TARE FM	FORMATION	ROGALAND GP	2795	163	131	9999-12-31	2013-05-08
6506/12-11 S	5042.000000	5211.000000	TILJE FM	FORMATION	BÅT GP	2795	169	22	9999-12-31	2013-05-08
6506/12-11 S	4980.000000	5026.000000	TOFTE FM	FORMATION	BÅT GP	2795	170	22	9999-12-31	2013-05-08
6506/12-11 S	4577.000000	4731.000000	VIKING GP	GROUP	\N	2795	188	\N	9999-12-31	2013-05-08
6506/12-11 S	5211.000000	5268.000000	ÅRE FM	FORMATION	BÅT GP	2795	197	22	9999-12-31	2013-05-08
6407/1-4	1878.000000	2220.000000	BRYGGE FM	FORMATION	HORDALAND GP	2796	18	67	9999-12-31	2013-05-08
6407/1-4	3116.000000	3571.000000	CROMER KNOLL GP	GROUP	\N	2796	23	\N	9999-12-31	2013-05-08
6407/1-4	3675.000000	3805.000000	FANGST GP	GROUP	\N	2796	38	\N	9999-12-31	2013-05-08
6407/1-4	3675.000000	3776.000000	GARN FM	FORMATION	FANGST GP	2796	48	38	9999-12-31	2013-05-08
6407/1-4	1878.000000	2220.000000	HORDALAND GP	GROUP	\N	2796	67	\N	9999-12-31	2013-05-08
6407/1-4	1444.000000	1878.000000	KAI FM	FORMATION	NORDLAND GP	2796	77	113	9999-12-31	2013-05-08
6407/1-4	2780.000000	3116.000000	KVITNOS FM	FORMATION	SHETLAND GP	2796	91	143	9999-12-31	2013-05-08
6407/1-4	3154.000000	3547.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2796	94	23	9999-12-31	2013-05-08
6407/1-4	3547.000000	3571.000000	LYR FM	FORMATION	CROMER KNOLL GP	2796	98	23	9999-12-31	2013-05-08
6407/1-4	3116.000000	3154.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2796	99	23	9999-12-31	2013-05-08
6407/1-4	3595.000000	3675.000000	MELKE FM	FORMATION	VIKING GP	2796	105	188	9999-12-31	2013-05-08
6407/1-4	311.000000	1444.000000	NAUST FM	FORMATION	NORDLAND GP	2796	109	113	9999-12-31	2013-05-08
6407/1-4	2479.000000	2780.000000	NISE FM	FORMATION	SHETLAND GP	2796	112	143	9999-12-31	2013-05-08
6407/1-4	311.000000	1878.000000	NORDLAND GP	GROUP	\N	2796	113	\N	9999-12-31	2013-05-08
6407/1-4	3776.000000	3805.000000	NOT FM	FORMATION	FANGST GP	2796	120	38	9999-12-31	2013-05-08
6407/1-4	2220.000000	2347.000000	ROGALAND GP	GROUP	\N	2796	131	\N	9999-12-31	2013-05-08
6407/1-4	2347.000000	3116.000000	SHETLAND GP	GROUP	\N	2796	143	\N	9999-12-31	2013-05-08
6407/1-4	3571.000000	3595.000000	SPEKK FM	FORMATION	VIKING GP	2796	155	188	9999-12-31	2013-05-08
6407/1-4	2347.000000	2479.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2796	156	143	9999-12-31	2013-05-08
6407/1-4	2284.000000	2347.000000	TANG FM	FORMATION	ROGALAND GP	2796	161	131	9999-12-31	2013-05-08
6407/1-4	2220.000000	2284.000000	TARE FM	FORMATION	ROGALAND GP	2796	163	131	9999-12-31	2013-05-08
6407/1-4	3571.000000	3675.000000	VIKING GP	GROUP	\N	2796	188	\N	9999-12-31	2013-05-08
31/2-19 S	3749.000000	4059.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2798	4	29	9999-12-31	2013-05-08
31/2-19 S	1585.000000	1633.000000	BALDER FM	FORMATION	ROGALAND GP	2798	6	131	9999-12-31	2013-05-08
31/2-19 S	3468.000000	3632.000000	BRENT GP	GROUP	\N	2798	16	\N	9999-12-31	2013-05-08
31/2-19 S	2497.000000	2577.000000	CROMER KNOLL GP	GROUP	\N	2798	23	\N	9999-12-31	2013-05-08
31/2-19 S	3632.000000	3749.000000	DRAKE FM	FORMATION	DUNLIN GP	2798	27	29	9999-12-31	2013-05-08
31/2-19 S	2577.000000	2738.000000	DRAUPNE FM	FORMATION	VIKING GP	2798	28	188	9999-12-31	2013-05-08
31/2-19 S	3632.000000	4059.000000	DUNLIN GP	GROUP	\N	2798	29	\N	9999-12-31	2013-05-08
31/2-19 S	2126.000000	2250.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2798	56	143	9999-12-31	2013-05-08
31/2-19 S	2738.000000	3468.000000	HEATHER FM	FORMATION	VIKING GP	2798	60	188	9999-12-31	2013-05-08
31/2-19 S	840.000000	1585.000000	HORDALAND GP	GROUP	\N	2798	67	\N	9999-12-31	2013-05-08
31/2-19 S	1694.000000	1834.000000	LISTA FM	FORMATION	ROGALAND GP	2798	95	131	9999-12-31	2013-05-08
31/2-19 S	1965.000000	1983.000000	LISTA FM	FORMATION	ROGALAND GP	2798	95	131	9999-12-31	2013-05-08
31/2-19 S	1834.000000	1965.000000	NO FORMAL NAME	FORMATION	\N	2798	111	\N	9999-12-31	2013-05-08
31/2-19 S	2466.000000	2497.000000	NO FORMAL NAME	FORMATION	\N	2798	111	\N	9999-12-31	2013-05-08
31/2-19 S	367.000000	840.000000	NORDLAND GP	GROUP	\N	2798	113	\N	9999-12-31	2013-05-08
31/2-19 S	1585.000000	2126.000000	ROGALAND GP	GROUP	\N	2798	131	\N	9999-12-31	2013-05-08
31/2-19 S	2497.000000	2534.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2798	137	23	9999-12-31	2013-05-08
31/2-19 S	1633.000000	1694.000000	SELE FM	FORMATION	ROGALAND GP	2798	142	131	9999-12-31	2013-05-08
31/2-19 S	2126.000000	2497.000000	SHETLAND GP	GROUP	\N	2798	143	\N	9999-12-31	2013-05-08
31/2-19 S	2534.000000	2560.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2798	152	23	9999-12-31	2013-05-08
31/2-19 S	4059.000000	4114.000000	STATFJORD FM	FORMATION	\N	2798	157	\N	9999-12-31	2013-05-08
31/2-19 S	2250.000000	2466.000000	UNDIFFERENTIATED	FORMATION	\N	2798	182	\N	9999-12-31	2013-05-08
31/2-19 S	2577.000000	3468.000000	VIKING GP	GROUP	\N	2798	188	\N	9999-12-31	2013-05-08
31/2-19 S	1983.000000	2126.000000	VÅLE FM	FORMATION	ROGALAND GP	2798	190	131	9999-12-31	2013-05-08
31/2-19 S	2560.000000	2577.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2798	198	23	9999-12-31	2013-05-08
31/2-19 S	4059.000000	4114.000000	NO GROUP DEFINED	GROUP	\N	2798	208	\N	9999-12-31	2013-05-08
25/11-21 A	1736.000000	1745.000000	BALDER FM	FORMATION	ROGALAND GP	2812	6	131	9999-12-31	2013-05-08
25/11-21 A	1838.000000	2628.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2812	62	131	9999-12-31	2013-05-08
25/11-21 A	2630.000000	2633.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2812	62	131	9999-12-31	2013-05-08
25/11-21 A	2640.000000	2645.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2812	62	131	9999-12-31	2013-05-08
25/11-21 A	2652.000000	2710.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2812	62	131	9999-12-31	2013-05-08
25/11-21 A	2713.000000	2968.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2812	62	131	9999-12-31	2013-05-08
25/11-21 A	796.000000	1736.000000	HORDALAND GP	GROUP	\N	2812	67	\N	9999-12-31	2013-05-08
25/11-21 A	1757.000000	1838.000000	LISTA FM	FORMATION	ROGALAND GP	2812	95	131	9999-12-31	2013-05-08
25/11-21 A	2628.000000	2630.000000	LISTA FM	FORMATION	ROGALAND GP	2812	95	131	9999-12-31	2013-05-08
25/11-21 A	2633.000000	2640.000000	LISTA FM	FORMATION	ROGALAND GP	2812	95	131	9999-12-31	2013-05-08
25/11-21 A	2645.000000	2652.000000	LISTA FM	FORMATION	ROGALAND GP	2812	95	131	9999-12-31	2013-05-08
25/11-21 A	2710.000000	2713.000000	LISTA FM	FORMATION	ROGALAND GP	2812	95	131	9999-12-31	2013-05-08
25/11-21 A	2968.000000	3006.000000	LISTA FM	FORMATION	ROGALAND GP	2812	95	131	9999-12-31	2013-05-08
25/11-21 A	720.000000	796.000000	NO FORMAL NAME	FORMATION	\N	2812	111	\N	9999-12-31	2013-05-08
25/11-21 A	905.000000	925.000000	NO FORMAL NAME	FORMATION	\N	2812	111	\N	9999-12-31	2013-05-08
25/11-21 A	944.000000	955.000000	NO FORMAL NAME	FORMATION	\N	2812	111	\N	9999-12-31	2013-05-08
25/11-21 A	978.000000	1000.000000	NO FORMAL NAME	FORMATION	\N	2812	111	\N	9999-12-31	2013-05-08
25/11-21 A	1028.000000	1074.000000	NO FORMAL NAME	FORMATION	\N	2812	111	\N	9999-12-31	2013-05-08
25/11-21 A	1087.000000	1102.000000	NO FORMAL NAME	FORMATION	\N	2812	111	\N	9999-12-31	2013-05-08
25/11-21 A	1115.000000	1221.000000	NO FORMAL NAME	FORMATION	\N	2812	111	\N	9999-12-31	2013-05-08
25/11-21 A	1230.000000	1736.000000	NO FORMAL NAME	FORMATION	\N	2812	111	\N	9999-12-31	2013-05-08
25/11-21 A	155.000000	796.000000	NORDLAND GP	GROUP	\N	2812	113	\N	9999-12-31	2013-05-08
25/11-21 A	1736.000000	3006.000000	ROGALAND GP	GROUP	\N	2812	131	\N	9999-12-31	2013-05-08
25/11-21 A	1745.000000	1757.000000	SELE FM	FORMATION	ROGALAND GP	2812	142	131	9999-12-31	2013-05-08
25/11-21 A	796.000000	905.000000	SKADE FM	FORMATION	HORDALAND GP	2812	145	67	9999-12-31	2013-05-08
25/11-21 A	925.000000	944.000000	SKADE FM	FORMATION	HORDALAND GP	2812	145	67	9999-12-31	2013-05-08
25/11-21 A	955.000000	978.000000	SKADE FM	FORMATION	HORDALAND GP	2812	145	67	9999-12-31	2013-05-08
25/11-21 A	1000.000000	1028.000000	SKADE FM	FORMATION	HORDALAND GP	2812	145	67	9999-12-31	2013-05-08
25/11-21 A	1074.000000	1087.000000	SKADE FM	FORMATION	HORDALAND GP	2812	145	67	9999-12-31	2013-05-08
25/11-21 A	1102.000000	1115.000000	SKADE FM	FORMATION	HORDALAND GP	2812	145	67	9999-12-31	2013-05-08
25/11-21 A	1221.000000	1230.000000	SKADE FM	FORMATION	HORDALAND GP	2812	145	67	9999-12-31	2013-05-08
24/12-3 S	2260.000000	2325.000000	BALDER FM	FORMATION	ROGALAND GP	2823	6	131	9999-12-31	2013-05-08
24/12-3 S	1373.000000	1648.000000	GRID FM	FORMATION	HORDALAND GP	2823	53	67	9999-12-31	2013-05-08
24/12-3 S	2398.000000	2831.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2823	62	131	9999-12-31	2013-05-08
24/12-3 S	994.000000	2260.000000	HORDALAND GP	GROUP	\N	2823	67	\N	9999-12-31	2013-05-08
24/12-3 S	2379.000000	2398.000000	LISTA FM	FORMATION	ROGALAND GP	2823	95	131	9999-12-31	2013-05-08
24/12-3 S	2831.000000	2915.000000	LISTA FM	FORMATION	ROGALAND GP	2823	95	131	9999-12-31	2013-05-08
24/12-3 S	1648.000000	2260.000000	NO FORMAL NAME	FORMATION	\N	2823	111	\N	9999-12-31	2013-05-08
24/12-3 S	143.000000	994.000000	NORDLAND GP	GROUP	\N	2823	113	\N	9999-12-31	2013-05-08
24/12-3 S	2260.000000	3058.000000	ROGALAND GP	GROUP	\N	2823	131	\N	9999-12-31	2013-05-08
24/12-3 S	2325.000000	2379.000000	SELE FM	FORMATION	ROGALAND GP	2823	142	131	9999-12-31	2013-05-08
24/12-3 S	765.000000	994.000000	UTSIRA FM	FORMATION	NORDLAND GP	2823	183	113	9999-12-31	2013-05-08
24/12-3 S	2915.000000	3058.000000	VÅLE FM	FORMATION	ROGALAND GP	2823	190	131	9999-12-31	2013-05-08
9/2-A-4	3758.000000	4631.000000	BOKNFJORD GP	GROUP	\N	2828	15	\N	9999-12-31	2013-05-08
9/2-A-4	4768.000000	4845.000000	BRYNE FM	FORMATION	VESTLAND GP	2828	19	186	9999-12-31	2013-05-08
9/2-A-4	4560.000000	4631.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	2828	30	15	9999-12-31	2013-05-08
9/2-A-4	3758.000000	3865.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	2828	43	15	9999-12-31	2013-05-08
9/2-A-4	135.000000	3758.000000	NORDLAND GP	GROUP	\N	2828	113	\N	9999-12-31	2013-05-08
9/2-A-4	4631.000000	4768.000000	SANDNES FM	FORMATION	VESTLAND GP	2828	139	186	9999-12-31	2013-05-08
9/2-A-4	3865.000000	4478.000000	SAUDA FM	FORMATION	BOKNFJORD GP	2828	141	15	9999-12-31	2013-05-08
9/2-A-4	4478.000000	4560.000000	TAU FM	FORMATION	BOKNFJORD GP	2828	164	15	9999-12-31	2013-05-08
9/2-A-4	4631.000000	4845.000000	VESTLAND GP	GROUP	\N	2828	186	\N	9999-12-31	2013-05-08
9/2-A-4	2240.000000	3758.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2828	198	23	9999-12-31	2013-05-08
1/3-8	3127.000000	3137.000000	BALDER FM	FORMATION	ROGALAND GP	2829	6	131	9999-12-31	2013-05-08
1/3-8	4379.000000	4402.000000	BLODØKS FM	FORMATION	SHETLAND GP	2829	13	143	9999-12-31	2013-05-08
1/3-8	4456.000000	4733.000000	CROMER KNOLL GP	GROUP	\N	2829	23	\N	9999-12-31	2013-05-08
1/3-8	3377.000000	3478.000000	EKOFISK FM	FORMATION	SHETLAND GP	2829	33	143	9999-12-31	2013-05-08
1/3-8	4742.000000	5005.000000	FARSUND FM	FORMATION	TYNE GP	2829	39	177	9999-12-31	2013-05-08
1/3-8	4402.000000	4456.000000	HIDRA FM	FORMATION	SHETLAND GP	2829	65	143	9999-12-31	2013-05-08
1/3-8	3949.000000	4379.000000	HOD FM	FORMATION	SHETLAND GP	2829	66	143	9999-12-31	2013-05-08
1/3-8	1902.000000	3127.000000	HORDALAND GP	GROUP	\N	2829	67	\N	9999-12-31	2013-05-08
1/3-8	3144.000000	3202.000000	LISTA FM	FORMATION	ROGALAND GP	2829	95	131	9999-12-31	2013-05-08
1/3-8	3278.000000	3352.000000	LISTA FM	FORMATION	ROGALAND GP	2829	95	131	9999-12-31	2013-05-08
1/3-8	4733.000000	4742.000000	MANDAL FM	FORMATION	TYNE GP	2829	101	177	9999-12-31	2013-05-08
1/3-8	110.000000	1902.000000	NORDLAND GP	GROUP	\N	2829	113	\N	9999-12-31	2013-05-08
1/3-8	3127.000000	3377.000000	ROGALAND GP	GROUP	\N	2829	131	\N	9999-12-31	2013-05-08
1/3-8	4456.000000	4502.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2829	137	23	9999-12-31	2013-05-08
1/3-8	3137.000000	3144.000000	SELE FM	FORMATION	ROGALAND GP	2829	142	131	9999-12-31	2013-05-08
1/3-8	3377.000000	4456.000000	SHETLAND GP	GROUP	\N	2829	143	\N	9999-12-31	2013-05-08
1/3-8	5086.000000	5201.000000	SMITH BANK FM	FORMATION	HEGRE GP	2829	149	61	9999-12-31	2013-05-08
1/3-8	4502.000000	4556.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2829	152	23	9999-12-31	2013-05-08
1/3-8	3478.000000	3949.000000	TOR FM	FORMATION	SHETLAND GP	2829	171	143	9999-12-31	2013-05-08
1/3-8	4556.000000	4685.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	2829	175	23	9999-12-31	2013-05-08
1/3-8	4733.000000	5005.000000	TYNE GP	GROUP	\N	2829	177	\N	9999-12-31	2013-05-08
1/3-8	5005.000000	5086.000000	ULA FM	FORMATION	VESTLAND GP	2829	179	186	9999-12-31	2013-05-08
1/3-8	5005.000000	5201.000000	VESTLAND GP	GROUP	\N	2829	186	\N	9999-12-31	2013-05-08
1/3-8	3202.000000	3278.000000	VIDAR FM	FORMATION	ROGALAND GP	2829	187	131	9999-12-31	2013-05-08
1/3-8	3352.000000	3377.000000	VÅLE FM	FORMATION	ROGALAND GP	2829	190	131	9999-12-31	2013-05-08
1/3-8	4685.000000	4733.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2829	198	23	9999-12-31	2013-05-08
33/9-19 S	3027.000000	3122.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2830	4	29	9999-12-31	2013-05-08
33/9-19 S	1681.000000	1714.000000	BALDER FM	FORMATION	ROGALAND GP	2830	6	131	9999-12-31	2013-05-08
33/9-19 S	2689.000000	2845.000000	BRENT GP	GROUP	\N	2830	16	\N	9999-12-31	2013-05-08
33/9-19 S	2975.000000	3027.000000	BURTON FM	FORMATION	DUNLIN GP	2830	20	29	9999-12-31	2013-05-08
33/9-19 S	2678.000000	2689.000000	CROMER KNOLL GP	GROUP	\N	2830	23	\N	9999-12-31	2013-05-08
33/9-19 S	2939.000000	2975.000000	COOK FM	FORMATION	DUNLIN GP	2830	24	29	9999-12-31	2013-05-08
33/9-19 S	2845.000000	2939.000000	DRAKE FM	FORMATION	DUNLIN GP	2830	27	29	9999-12-31	2013-05-08
33/9-19 S	2845.000000	3122.000000	DUNLIN GP	GROUP	\N	2830	29	\N	9999-12-31	2013-05-08
33/9-19 S	2689.000000	2742.000000	ETIVE FM	FORMATION	BRENT GP	2830	35	16	9999-12-31	2013-05-08
33/9-19 S	1131.000000	1681.000000	HORDALAND GP	GROUP	\N	2830	67	\N	9999-12-31	2013-05-08
33/9-19 S	1869.000000	2237.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2830	74	143	9999-12-31	2013-05-08
33/9-19 S	2237.000000	2678.000000	KYRRE FM	FORMATION	SHETLAND GP	2830	92	143	9999-12-31	2013-05-08
33/9-19 S	1714.000000	1869.000000	LISTA FM	FORMATION	ROGALAND GP	2830	95	131	9999-12-31	2013-05-08
33/9-19 S	2678.000000	2689.000000	MIME FM	FORMATION	CROMER KNOLL GP	2830	106	23	9999-12-31	2013-05-08
33/9-19 S	328.000000	1131.000000	NORDLAND GP	GROUP	\N	2830	113	\N	9999-12-31	2013-05-08
33/9-19 S	2742.000000	2845.000000	RANNOCH FM	FORMATION	BRENT GP	2830	126	16	9999-12-31	2013-05-08
33/9-19 S	1681.000000	1869.000000	ROGALAND GP	GROUP	\N	2830	131	\N	9999-12-31	2013-05-08
33/9-19 S	1869.000000	2678.000000	SHETLAND GP	GROUP	\N	2830	143	\N	9999-12-31	2013-05-08
33/9-19 S	3122.000000	3197.000000	STATFJORD FM	FORMATION	\N	2830	157	\N	9999-12-31	2013-05-08
33/9-19 S	960.000000	1131.000000	UTSIRA FM	FORMATION	NORDLAND GP	2830	183	113	9999-12-31	2013-05-08
33/9-19 S	3122.000000	3197.000000	NO GROUP DEFINED	GROUP	\N	2830	208	\N	9999-12-31	2013-05-08
36/4-1	850.000000	887.000000	BALDER FM	FORMATION	ROGALAND GP	2847	6	131	9999-12-31	2013-05-08
36/4-1	2712.000000	2717.000000	BASEMENT	GROUP	\N	2847	10	\N	9999-12-31	2013-05-08
36/4-1	2268.000000	2271.000000	BLODØKS FM	FORMATION	SHETLAND GP	2847	13	143	9999-12-31	2013-05-08
36/4-1	2305.000000	2361.000000	CROMER KNOLL GP	GROUP	\N	2847	23	\N	9999-12-31	2013-05-08
36/4-1	2361.000000	2712.000000	HEATHER FM	FORMATION	VIKING GP	2847	60	188	9999-12-31	2013-05-08
36/4-1	625.000000	850.000000	HORDALAND GP	GROUP	\N	2847	67	\N	9999-12-31	2013-05-08
36/4-1	1253.000000	1299.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2847	74	143	9999-12-31	2013-05-08
36/4-1	1299.000000	2268.000000	KYRRE FM	FORMATION	SHETLAND GP	2847	92	143	9999-12-31	2013-05-08
36/4-1	887.000000	1253.000000	LISTA FM	FORMATION	ROGALAND GP	2847	95	131	9999-12-31	2013-05-08
36/4-1	625.000000	685.000000	NO FORMAL NAME	FORMATION	\N	2847	111	\N	9999-12-31	2013-05-08
36/4-1	685.000000	850.000000	NO FORMAL NAME	FORMATION	\N	2847	111	\N	9999-12-31	2013-05-08
36/4-1	284.000000	625.000000	NORDLAND GP	GROUP	\N	2847	113	\N	9999-12-31	2013-05-08
36/4-1	850.000000	1253.000000	ROGALAND GP	GROUP	\N	2847	131	\N	9999-12-31	2013-05-08
36/4-1	2305.000000	2332.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2847	137	23	9999-12-31	2013-05-08
36/4-1	1253.000000	2305.000000	SHETLAND GP	GROUP	\N	2847	143	\N	9999-12-31	2013-05-08
36/4-1	2271.000000	2305.000000	SVARTE FM	FORMATION	SHETLAND GP	2847	160	143	9999-12-31	2013-05-08
36/4-1	2361.000000	2712.000000	VIKING GP	GROUP	\N	2847	188	\N	9999-12-31	2013-05-08
36/4-1	2332.000000	2361.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2847	198	23	9999-12-31	2013-05-08
6406/2-3	1954.000000	2300.000000	BRYGGE FM	FORMATION	HORDALAND GP	2849	18	67	9999-12-31	2013-05-08
6406/2-3	4837.000000	5258.000000	BÅT GP	GROUP	\N	2849	22	\N	9999-12-31	2013-05-08
6406/2-3	3429.000000	4629.000000	CROMER KNOLL GP	GROUP	\N	2849	23	\N	9999-12-31	2013-05-08
6406/2-3	4629.000000	4837.000000	FANGST GP	GROUP	\N	2849	38	\N	9999-12-31	2013-05-08
6406/2-3	4629.000000	4716.000000	GARN FM	FORMATION	FANGST GP	2849	48	38	9999-12-31	2013-05-08
6406/2-3	1954.000000	2300.000000	HORDALAND GP	GROUP	\N	2849	67	\N	9999-12-31	2013-05-08
6406/2-3	4751.000000	4837.000000	ILE FM	FORMATION	FANGST GP	2849	70	38	9999-12-31	2013-05-08
6406/2-3	1518.000000	1954.000000	KAI FM	FORMATION	NORDLAND GP	2849	77	113	9999-12-31	2013-05-08
6406/2-3	2838.000000	3429.000000	KVITNOS FM	FORMATION	SHETLAND GP	2849	91	143	9999-12-31	2013-05-08
6406/2-3	3440.000000	4620.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2849	94	23	9999-12-31	2013-05-08
6406/2-3	4620.000000	4629.000000	LYR FM	FORMATION	CROMER KNOLL GP	2849	98	23	9999-12-31	2013-05-08
6406/2-3	3429.000000	3440.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2849	99	23	9999-12-31	2013-05-08
6406/2-3	396.000000	1518.000000	NAUST FM	FORMATION	NORDLAND GP	2849	109	113	9999-12-31	2013-05-08
6406/2-3	2549.000000	2838.000000	NISE FM	FORMATION	SHETLAND GP	2849	112	143	9999-12-31	2013-05-08
6406/2-3	396.000000	1954.000000	NORDLAND GP	GROUP	\N	2849	113	\N	9999-12-31	2013-05-08
6406/2-3	4716.000000	4751.000000	NOT FM	FORMATION	FANGST GP	2849	120	38	9999-12-31	2013-05-08
6406/2-3	2300.000000	2425.000000	ROGALAND GP	GROUP	\N	2849	131	\N	9999-12-31	2013-05-08
6406/2-3	4837.000000	4877.000000	ROR FM	FORMATION	BÅT GP	2849	135	22	9999-12-31	2013-05-08
6406/2-3	2425.000000	3429.000000	SHETLAND GP	GROUP	\N	2849	143	\N	9999-12-31	2013-05-08
6406/2-3	2425.000000	2549.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2849	156	143	9999-12-31	2013-05-08
6406/2-3	2364.000000	2425.000000	TANG FM	FORMATION	ROGALAND GP	2849	161	131	9999-12-31	2013-05-08
6406/2-3	2300.000000	2364.000000	TARE FM	FORMATION	ROGALAND GP	2849	163	131	9999-12-31	2013-05-08
6406/2-3	5028.000000	5210.000000	TILJE FM	FORMATION	BÅT GP	2849	169	22	9999-12-31	2013-05-08
6406/2-3	4877.000000	5028.000000	TOFTE FM	FORMATION	BÅT GP	2849	170	22	9999-12-31	2013-05-08
6406/2-3	5210.000000	5258.000000	ÅRE FM	FORMATION	BÅT GP	2849	197	22	9999-12-31	2013-05-08
34/7-25 S	2049.000000	2120.000000	BALDER FM	FORMATION	ROGALAND GP	2863	6	131	9999-12-31	2013-05-08
34/7-25 S	2920.000000	3183.000000	BRENT GP	GROUP	\N	2863	16	\N	9999-12-31	2013-05-08
34/7-25 S	3178.000000	3183.000000	BROOM FM	FORMATION	BRENT GP	2863	17	16	9999-12-31	2013-05-08
34/7-25 S	2775.000000	2791.000000	CROMER KNOLL GP	GROUP	\N	2863	23	\N	9999-12-31	2013-05-08
34/7-25 S	2791.000000	2822.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2863	26	188	9999-12-31	2013-05-08
34/7-25 S	3183.000000	3235.000000	DRAKE FM	FORMATION	DUNLIN GP	2863	27	29	9999-12-31	2013-05-08
34/7-25 S	3183.000000	3235.000000	DUNLIN GP	GROUP	\N	2863	29	\N	9999-12-31	2013-05-08
34/7-25 S	3086.000000	3101.000000	ETIVE FM	FORMATION	BRENT GP	2863	35	16	9999-12-31	2013-05-08
34/7-25 S	2822.000000	2920.000000	HEATHER FM	FORMATION	VIKING GP	2863	60	188	9999-12-31	2013-05-08
34/7-25 S	1076.000000	2049.000000	HORDALAND GP	GROUP	\N	2863	67	\N	9999-12-31	2013-05-08
34/7-25 S	2331.000000	2634.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2863	74	143	9999-12-31	2013-05-08
34/7-25 S	2634.000000	2775.000000	KYRRE FM	FORMATION	SHETLAND GP	2863	92	143	9999-12-31	2013-05-08
34/7-25 S	2120.000000	2331.000000	LISTA FM	FORMATION	ROGALAND GP	2863	95	131	9999-12-31	2013-05-08
34/7-25 S	2785.000000	2791.000000	MIME FM	FORMATION	CROMER KNOLL GP	2863	106	23	9999-12-31	2013-05-08
34/7-25 S	2980.000000	3086.000000	NESS FM	FORMATION	BRENT GP	2863	110	16	9999-12-31	2013-05-08
34/7-25 S	1264.000000	1323.000000	NO FORMAL NAME	FORMATION	\N	2863	111	\N	9999-12-31	2013-05-08
34/7-25 S	1323.000000	1370.000000	NO FORMAL NAME	FORMATION	\N	2863	111	\N	9999-12-31	2013-05-08
34/7-25 S	1370.000000	1495.000000	NO FORMAL NAME	FORMATION	\N	2863	111	\N	9999-12-31	2013-05-08
34/7-25 S	1495.000000	1535.000000	NO FORMAL NAME	FORMATION	\N	2863	111	\N	9999-12-31	2013-05-08
34/7-25 S	1535.000000	1635.000000	NO FORMAL NAME	FORMATION	\N	2863	111	\N	9999-12-31	2013-05-08
34/7-25 S	1635.000000	1674.000000	NO FORMAL NAME	FORMATION	\N	2863	111	\N	9999-12-31	2013-05-08
34/7-25 S	1674.000000	1695.000000	NO FORMAL NAME	FORMATION	\N	2863	111	\N	9999-12-31	2013-05-08
34/7-25 S	1695.000000	2049.000000	NO FORMAL NAME	FORMATION	\N	2863	111	\N	9999-12-31	2013-05-08
34/7-25 S	210.000000	1076.000000	NORDLAND GP	GROUP	\N	2863	113	\N	9999-12-31	2013-05-08
34/7-25 S	3101.000000	3178.000000	RANNOCH FM	FORMATION	BRENT GP	2863	126	16	9999-12-31	2013-05-08
34/7-25 S	2049.000000	2331.000000	ROGALAND GP	GROUP	\N	2863	131	\N	9999-12-31	2013-05-08
34/7-25 S	2775.000000	2785.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2863	137	23	9999-12-31	2013-05-08
34/7-25 S	2331.000000	2775.000000	SHETLAND GP	GROUP	\N	2863	143	\N	9999-12-31	2013-05-08
34/7-25 S	2920.000000	2980.000000	TARBERT FM	FORMATION	BRENT GP	2863	162	16	9999-12-31	2013-05-08
34/7-25 S	966.000000	1076.000000	UTSIRA FM	FORMATION	NORDLAND GP	2863	183	113	9999-12-31	2013-05-08
34/7-25 S	2791.000000	2920.000000	VIKING GP	GROUP	\N	2863	188	\N	9999-12-31	2013-05-08
34/11-3	4360.000000	4471.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2866	4	29	9999-12-31	2013-05-08
34/11-3	1904.000000	1959.000000	BALDER FM	FORMATION	ROGALAND GP	2866	6	131	9999-12-31	2013-05-08
34/11-3	4035.000000	4197.000000	BRENT GP	GROUP	\N	2866	16	\N	9999-12-31	2013-05-08
34/11-3	4304.000000	4360.000000	BURTON FM	FORMATION	DUNLIN GP	2866	20	29	9999-12-31	2013-05-08
34/11-3	3771.000000	3960.000000	CROMER KNOLL GP	GROUP	\N	2866	23	\N	9999-12-31	2013-05-08
34/11-3	4261.000000	4304.000000	COOK FM	FORMATION	DUNLIN GP	2866	24	29	9999-12-31	2013-05-08
34/11-3	4197.000000	4261.000000	DRAKE FM	FORMATION	DUNLIN GP	2866	27	29	9999-12-31	2013-05-08
34/11-3	3960.000000	4010.000000	DRAUPNE FM	FORMATION	VIKING GP	2866	28	188	9999-12-31	2013-05-08
34/11-3	4197.000000	4471.000000	DUNLIN GP	GROUP	\N	2866	29	\N	9999-12-31	2013-05-08
34/11-3	4140.000000	4155.000000	ETIVE FM	FORMATION	BRENT GP	2866	35	16	9999-12-31	2013-05-08
34/11-3	4010.000000	4035.000000	HEATHER FM	FORMATION	VIKING GP	2866	60	188	9999-12-31	2013-05-08
34/11-3	986.000000	1904.000000	HORDALAND GP	GROUP	\N	2866	67	\N	9999-12-31	2013-05-08
34/11-3	1964.000000	2118.000000	LISTA FM	FORMATION	ROGALAND GP	2866	95	131	9999-12-31	2013-05-08
34/11-3	4050.000000	4140.000000	NESS FM	FORMATION	BRENT GP	2866	110	16	9999-12-31	2013-05-08
34/11-3	233.000000	986.000000	NORDLAND GP	GROUP	\N	2866	113	\N	9999-12-31	2013-05-08
34/11-3	4155.000000	4197.000000	RANNOCH FM	FORMATION	BRENT GP	2866	126	16	9999-12-31	2013-05-08
34/11-3	1904.000000	2118.000000	ROGALAND GP	GROUP	\N	2866	131	\N	9999-12-31	2013-05-08
34/11-3	1959.000000	1964.000000	SELE FM	FORMATION	ROGALAND GP	2866	142	131	9999-12-31	2013-05-08
34/11-3	2118.000000	3771.000000	SHETLAND GP	GROUP	\N	2866	143	\N	9999-12-31	2013-05-08
34/11-3	4471.000000	4482.000000	STATFJORD FM	FORMATION	\N	2866	157	\N	9999-12-31	2013-05-08
34/11-3	4035.000000	4050.000000	TARBERT FM	FORMATION	BRENT GP	2866	162	16	9999-12-31	2013-05-08
34/11-3	851.000000	986.000000	UTSIRA FM	FORMATION	NORDLAND GP	2866	183	113	9999-12-31	2013-05-08
34/11-3	3960.000000	4035.000000	VIKING GP	GROUP	\N	2866	188	\N	9999-12-31	2013-05-08
34/11-3	4471.000000	4482.000000	NO GROUP DEFINED	GROUP	\N	2866	208	\N	9999-12-31	2013-05-08
9/2-6 S	739.000000	765.000000	BALDER FM	FORMATION	ROGALAND GP	2867	6	131	9999-12-31	2013-05-08
9/2-6 S	1626.000000	1681.000000	BLODØKS FM	FORMATION	SHETLAND GP	2867	13	143	9999-12-31	2013-05-08
9/2-6 S	3297.000000	4783.000000	BOKNFJORD GP	GROUP	\N	2867	15	\N	9999-12-31	2013-05-08
9/2-6 S	4940.000000	5205.000000	BRYNE FM	FORMATION	VESTLAND GP	2867	19	186	9999-12-31	2013-05-08
9/2-6 S	1681.000000	3297.000000	CROMER KNOLL GP	GROUP	\N	2867	23	\N	9999-12-31	2013-05-08
9/2-6 S	4714.000000	4783.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	2867	30	15	9999-12-31	2013-05-08
9/2-6 S	808.000000	878.000000	EKOFISK FM	FORMATION	SHETLAND GP	2867	33	143	9999-12-31	2013-05-08
9/2-6 S	3297.000000	3800.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	2867	43	15	9999-12-31	2013-05-08
9/2-6 S	1188.000000	1626.000000	HOD FM	FORMATION	SHETLAND GP	2867	66	143	9999-12-31	2013-05-08
9/2-6 S	542.000000	739.000000	HORDALAND GP	GROUP	\N	2867	67	\N	9999-12-31	2013-05-08
9/2-6 S	778.000000	798.000000	LISTA FM	FORMATION	ROGALAND GP	2867	95	131	9999-12-31	2013-05-08
9/2-6 S	135.000000	542.000000	NORDLAND GP	GROUP	\N	2867	113	\N	9999-12-31	2013-05-08
9/2-6 S	739.000000	808.000000	ROGALAND GP	GROUP	\N	2867	131	\N	9999-12-31	2013-05-08
9/2-6 S	4783.000000	4940.000000	SANDNES FM	FORMATION	VESTLAND GP	2867	139	186	9999-12-31	2013-05-08
9/2-6 S	3800.000000	4627.000000	SAUDA FM	FORMATION	BOKNFJORD GP	2867	141	15	9999-12-31	2013-05-08
9/2-6 S	765.000000	778.000000	SELE FM	FORMATION	ROGALAND GP	2867	142	131	9999-12-31	2013-05-08
9/2-6 S	808.000000	1681.000000	SHETLAND GP	GROUP	\N	2867	143	\N	9999-12-31	2013-05-08
9/2-6 S	1681.000000	1880.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2867	152	23	9999-12-31	2013-05-08
9/2-6 S	4627.000000	4714.000000	TAU FM	FORMATION	BOKNFJORD GP	2867	164	15	9999-12-31	2013-05-08
9/2-6 S	878.000000	1188.000000	TOR FM	FORMATION	SHETLAND GP	2867	171	143	9999-12-31	2013-05-08
9/2-6 S	4783.000000	5205.000000	VESTLAND GP	GROUP	\N	2867	186	\N	9999-12-31	2013-05-08
9/2-6 S	798.000000	808.000000	VÅLE FM	FORMATION	ROGALAND GP	2867	190	131	9999-12-31	2013-05-08
9/2-6 S	1880.000000	3297.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2867	198	23	9999-12-31	2013-05-08
33/9-19 A	3283.000000	3319.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2872	4	29	9999-12-31	2013-05-08
33/9-19 A	1681.000000	1714.000000	BALDER FM	FORMATION	ROGALAND GP	2872	6	131	9999-12-31	2013-05-08
33/9-19 A	2840.000000	3070.000000	BRENT GP	GROUP	\N	2872	16	\N	9999-12-31	2013-05-08
33/9-19 A	3194.000000	3283.000000	BURTON FM	FORMATION	DUNLIN GP	2872	20	29	9999-12-31	2013-05-08
33/9-19 A	2825.000000	2840.000000	CROMER KNOLL GP	GROUP	\N	2872	23	\N	9999-12-31	2013-05-08
33/9-19 A	3171.000000	3194.000000	COOK FM	FORMATION	DUNLIN GP	2872	24	29	9999-12-31	2013-05-08
33/9-19 A	3070.000000	3171.000000	DRAKE FM	FORMATION	DUNLIN GP	2872	27	29	9999-12-31	2013-05-08
33/9-19 A	3319.000000	3514.000000	DRAKE FM	FORMATION	DUNLIN GP	2872	27	29	9999-12-31	2013-05-08
33/9-19 A	3070.000000	3319.000000	DUNLIN GP	GROUP	\N	2872	29	\N	9999-12-31	2013-05-08
33/9-19 A	3319.000000	3514.000000	DUNLIN GP	GROUP	\N	2872	29	\N	9999-12-31	2013-05-08
33/9-19 A	2840.000000	2939.000000	ETIVE FM	FORMATION	BRENT GP	2872	35	16	9999-12-31	2013-05-08
33/9-19 A	1131.000000	1681.000000	HORDALAND GP	GROUP	\N	2872	67	\N	9999-12-31	2013-05-08
33/9-19 A	1869.000000	2219.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2872	74	143	9999-12-31	2013-05-08
33/9-19 A	2219.000000	2825.000000	KYRRE FM	FORMATION	SHETLAND GP	2872	92	143	9999-12-31	2013-05-08
33/9-19 A	1714.000000	1869.000000	LISTA FM	FORMATION	ROGALAND GP	2872	95	131	9999-12-31	2013-05-08
33/9-19 A	2825.000000	2840.000000	MIME FM	FORMATION	CROMER KNOLL GP	2872	106	23	9999-12-31	2013-05-08
33/9-19 A	328.000000	1131.000000	NORDLAND GP	GROUP	\N	2872	113	\N	9999-12-31	2013-05-08
33/9-19 A	2939.000000	3070.000000	RANNOCH FM	FORMATION	BRENT GP	2872	126	16	9999-12-31	2013-05-08
33/9-19 A	1681.000000	1869.000000	ROGALAND GP	GROUP	\N	2872	131	\N	9999-12-31	2013-05-08
33/9-19 A	1869.000000	2825.000000	SHETLAND GP	GROUP	\N	2872	143	\N	9999-12-31	2013-05-08
33/9-19 A	960.000000	1131.000000	UTSIRA FM	FORMATION	NORDLAND GP	2872	183	113	9999-12-31	2013-05-08
33/6-2	3872.000000	3913.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2873	4	29	9999-12-31	2013-05-08
33/6-2	1732.000000	1771.000000	BALDER FM	FORMATION	ROGALAND GP	2873	6	131	9999-12-31	2013-05-08
33/6-2	3613.000000	3777.000000	BRENT GP	GROUP	\N	2873	16	\N	9999-12-31	2013-05-08
33/6-2	3764.000000	3777.000000	BROOM FM	FORMATION	BRENT GP	2873	17	16	9999-12-31	2013-05-08
33/6-2	3856.000000	3872.000000	BURTON FM	FORMATION	DUNLIN GP	2873	20	29	9999-12-31	2013-05-08
33/6-2	3455.000000	3466.000000	CROMER KNOLL GP	GROUP	\N	2873	23	\N	9999-12-31	2013-05-08
33/6-2	3815.000000	3856.000000	COOK FM	FORMATION	DUNLIN GP	2873	24	29	9999-12-31	2013-05-08
33/6-2	3488.000000	3551.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	2873	26	188	9999-12-31	2013-05-08
33/6-2	3777.000000	3815.000000	DRAKE FM	FORMATION	DUNLIN GP	2873	27	29	9999-12-31	2013-05-08
33/6-2	3466.000000	3488.000000	DRAUPNE FM	FORMATION	VIKING GP	2873	28	188	9999-12-31	2013-05-08
33/6-2	3551.000000	3585.000000	DRAUPNE FM	FORMATION	VIKING GP	2873	28	188	9999-12-31	2013-05-08
33/6-2	3777.000000	3913.000000	DUNLIN GP	GROUP	\N	2873	29	\N	9999-12-31	2013-05-08
33/6-2	3585.000000	3613.000000	HEATHER FM	FORMATION	VIKING GP	2873	60	188	9999-12-31	2013-05-08
33/6-2	1134.000000	1732.000000	HORDALAND GP	GROUP	\N	2873	67	\N	9999-12-31	2013-05-08
33/6-2	1933.000000	2251.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2873	74	143	9999-12-31	2013-05-08
33/6-2	2251.000000	3110.000000	KYRRE FM	FORMATION	SHETLAND GP	2873	92	143	9999-12-31	2013-05-08
33/6-2	1771.000000	1921.000000	LISTA FM	FORMATION	ROGALAND GP	2873	95	131	9999-12-31	2013-05-08
33/6-2	3455.000000	3466.000000	MIME FM	FORMATION	CROMER KNOLL GP	2873	106	23	9999-12-31	2013-05-08
33/6-2	1277.000000	1297.000000	NO FORMAL NAME	FORMATION	\N	2873	111	\N	9999-12-31	2013-05-08
33/6-2	1297.000000	1341.000000	NO FORMAL NAME	FORMATION	\N	2873	111	\N	9999-12-31	2013-05-08
33/6-2	1341.000000	1358.000000	NO FORMAL NAME	FORMATION	\N	2873	111	\N	9999-12-31	2013-05-08
33/6-2	1358.000000	1732.000000	NO FORMAL NAME	FORMATION	\N	2873	111	\N	9999-12-31	2013-05-08
33/6-2	342.000000	1134.000000	NORDLAND GP	GROUP	\N	2873	113	\N	9999-12-31	2013-05-08
33/6-2	1732.000000	1933.000000	ROGALAND GP	GROUP	\N	2873	131	\N	9999-12-31	2013-05-08
33/6-2	1933.000000	3455.000000	SHETLAND GP	GROUP	\N	2873	143	\N	9999-12-31	2013-05-08
33/6-2	3913.000000	3950.000000	STATFJORD FM	FORMATION	\N	2873	157	\N	9999-12-31	2013-05-08
33/6-2	3110.000000	3455.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2873	173	143	9999-12-31	2013-05-08
33/6-2	3613.000000	3725.000000	UNDIFFERENTIATED	FORMATION	\N	2873	182	\N	9999-12-31	2013-05-08
33/6-2	3725.000000	3764.000000	UNDIFFERENTIATED	FORMATION	\N	2873	182	\N	9999-12-31	2013-05-08
33/6-2	1035.000000	1134.000000	UTSIRA FM	FORMATION	NORDLAND GP	2873	183	113	9999-12-31	2013-05-08
33/6-2	3466.000000	3613.000000	VIKING GP	GROUP	\N	2873	188	\N	9999-12-31	2013-05-08
33/6-2	1921.000000	1933.000000	VÅLE FM	FORMATION	ROGALAND GP	2873	190	131	9999-12-31	2013-05-08
33/6-2	3913.000000	3950.000000	NO GROUP DEFINED	GROUP	\N	2873	208	\N	9999-12-31	2013-05-08
6610/2-1 S	435.000000	1365.000000	BRYGGE FM	FORMATION	HORDALAND GP	2874	18	67	9999-12-31	2013-05-08
6610/2-1 S	2067.000000	2541.000000	BÅT GP	GROUP	\N	2874	22	\N	9999-12-31	2013-05-08
6610/2-1 S	2050.000000	2067.000000	CROMER KNOLL GP	GROUP	\N	2874	23	\N	9999-12-31	2013-05-08
6610/2-1 S	2541.000000	2598.000000	GREY BEDS (INFORMAL)	GROUP	\N	2874	52	\N	9999-12-31	2013-05-08
6610/2-1 S	435.000000	1365.000000	HORDALAND GP	GROUP	\N	2874	67	\N	9999-12-31	2013-05-08
6610/2-1 S	1984.000000	2050.000000	KVITNOS FM	FORMATION	SHETLAND GP	2874	91	143	9999-12-31	2013-05-08
6610/2-1 S	2050.000000	2067.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2874	99	23	9999-12-31	2013-05-08
6610/2-1 S	1853.000000	1984.000000	NISE FM	FORMATION	SHETLAND GP	2874	112	143	9999-12-31	2013-05-08
6610/2-1 S	431.000000	435.000000	NORDLAND GP	GROUP	\N	2874	113	\N	9999-12-31	2013-05-08
6610/2-1 S	2598.000000	2673.000000	RED BEDS (INFORMAL)	GROUP	\N	2874	129	\N	9999-12-31	2013-05-08
6610/2-1 S	1365.000000	1699.000000	ROGALAND GP	GROUP	\N	2874	131	\N	9999-12-31	2013-05-08
6610/2-1 S	1699.000000	2050.000000	SHETLAND GP	GROUP	\N	2874	143	\N	9999-12-31	2013-05-08
6610/2-1 S	1699.000000	1853.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2874	156	143	9999-12-31	2013-05-08
6610/2-1 S	1494.000000	1699.000000	TANG FM	FORMATION	ROGALAND GP	2874	161	131	9999-12-31	2013-05-08
6610/2-1 S	1365.000000	1494.000000	TARE FM	FORMATION	ROGALAND GP	2874	163	131	9999-12-31	2013-05-08
6610/2-1 S	2067.000000	2278.000000	TILJE FM	FORMATION	BÅT GP	2874	169	22	9999-12-31	2013-05-08
6610/2-1 S	2278.000000	2541.000000	ÅRE FM	FORMATION	BÅT GP	2874	197	22	9999-12-31	2013-05-08
2/6-5	2729.000000	2738.000000	BALDER FM	FORMATION	ROGALAND GP	2885	6	131	9999-12-31	2013-05-08
2/6-5	3231.000000	3260.000000	BASEMENT	GROUP	\N	2885	10	\N	9999-12-31	2013-05-08
2/6-5	2817.000000	2898.000000	EKOFISK FM	FORMATION	SHETLAND GP	2885	33	143	9999-12-31	2013-05-08
2/6-5	3155.000000	3231.000000	HOD FM	FORMATION	SHETLAND GP	2885	66	143	9999-12-31	2013-05-08
2/6-5	1500.000000	2729.000000	HORDALAND GP	GROUP	\N	2885	67	\N	9999-12-31	2013-05-08
2/6-5	2777.000000	2809.000000	LISTA FM	FORMATION	ROGALAND GP	2885	95	131	9999-12-31	2013-05-08
2/6-5	93.000000	1500.000000	NORDLAND GP	GROUP	\N	2885	113	\N	9999-12-31	2013-05-08
2/6-5	2729.000000	2817.000000	ROGALAND GP	GROUP	\N	2885	131	\N	9999-12-31	2013-05-08
2/6-5	2738.000000	2777.000000	SELE FM	FORMATION	ROGALAND GP	2885	142	131	9999-12-31	2013-05-08
2/6-5	2817.000000	3231.000000	SHETLAND GP	GROUP	\N	2885	143	\N	9999-12-31	2013-05-08
2/6-5	2898.000000	3155.000000	TOR FM	FORMATION	SHETLAND GP	2885	171	143	9999-12-31	2013-05-08
2/6-5	2809.000000	2817.000000	VÅLE FM	FORMATION	ROGALAND GP	2885	190	131	9999-12-31	2013-05-08
30/5-2	2091.000000	2169.000000	BALDER FM	FORMATION	ROGALAND GP	2886	6	131	9999-12-31	2013-05-08
30/5-2	3288.000000	3292.000000	BLODØKS FM	FORMATION	SHETLAND GP	2886	13	143	9999-12-31	2013-05-08
30/5-2	3472.000000	4041.000000	BRENT GP	GROUP	\N	2886	16	\N	9999-12-31	2013-05-08
30/5-2	4041.000000	4076.000000	DRAKE FM	FORMATION	DUNLIN GP	2886	27	29	9999-12-31	2013-05-08
30/5-2	4041.000000	4076.000000	DUNLIN GP	GROUP	\N	2886	29	\N	9999-12-31	2013-05-08
30/5-2	1487.000000	1632.000000	GRID FM	FORMATION	HORDALAND GP	2886	53	67	9999-12-31	2013-05-08
30/5-2	2449.000000	2470.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2886	56	143	9999-12-31	2013-05-08
30/5-2	3468.000000	3472.000000	HEATHER FM	FORMATION	VIKING GP	2886	60	188	9999-12-31	2013-05-08
30/5-2	917.000000	2091.000000	HORDALAND GP	GROUP	\N	2886	67	\N	9999-12-31	2013-05-08
30/5-2	2470.000000	2702.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2886	74	143	9999-12-31	2013-05-08
30/5-2	2702.000000	3167.000000	KYRRE FM	FORMATION	SHETLAND GP	2886	92	143	9999-12-31	2013-05-08
30/5-2	2271.000000	2430.000000	LISTA FM	FORMATION	ROGALAND GP	2886	95	131	9999-12-31	2013-05-08
30/5-2	3710.000000	4005.000000	NESS FM	FORMATION	BRENT GP	2886	110	16	9999-12-31	2013-05-08
30/5-2	1045.000000	1487.000000	NO FORMAL NAME	FORMATION	\N	2886	111	\N	9999-12-31	2013-05-08
30/5-2	1632.000000	2091.000000	NO FORMAL NAME	FORMATION	\N	2886	111	\N	9999-12-31	2013-05-08
30/5-2	118.000000	917.000000	NORDLAND GP	GROUP	\N	2886	113	\N	9999-12-31	2013-05-08
30/5-2	2091.000000	2449.000000	ROGALAND GP	GROUP	\N	2886	131	\N	9999-12-31	2013-05-08
30/5-2	2169.000000	2271.000000	SELE FM	FORMATION	ROGALAND GP	2886	142	131	9999-12-31	2013-05-08
30/5-2	2449.000000	3468.000000	SHETLAND GP	GROUP	\N	2886	143	\N	9999-12-31	2013-05-08
30/5-2	993.000000	1045.000000	SKADE FM	FORMATION	HORDALAND GP	2886	145	67	9999-12-31	2013-05-08
30/5-2	3292.000000	3468.000000	SVARTE FM	FORMATION	SHETLAND GP	2886	160	143	9999-12-31	2013-05-08
30/5-2	3472.000000	3710.000000	TARBERT FM	FORMATION	BRENT GP	2886	162	16	9999-12-31	2013-05-08
30/5-2	3167.000000	3288.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2886	173	143	9999-12-31	2013-05-08
30/5-2	4005.000000	4041.000000	UNDIFFERENTIATED	FORMATION	\N	2886	182	\N	9999-12-31	2013-05-08
30/5-2	627.000000	917.000000	UTSIRA FM	FORMATION	NORDLAND GP	2886	183	113	9999-12-31	2013-05-08
30/5-2	3468.000000	3472.000000	VIKING GP	GROUP	\N	2886	188	\N	9999-12-31	2013-05-08
30/5-2	2430.000000	2449.000000	VÅLE FM	FORMATION	ROGALAND GP	2886	190	131	9999-12-31	2013-05-08
3/7-6	2839.000000	2856.000000	BALDER FM	FORMATION	ROGALAND GP	2891	6	131	9999-12-31	2013-05-08
3/7-6	3352.000000	3439.000000	CROMER KNOLL GP	GROUP	\N	2891	23	\N	9999-12-31	2013-05-08
3/7-6	2921.000000	3036.000000	EKOFISK FM	FORMATION	SHETLAND GP	2891	33	143	9999-12-31	2013-05-08
3/7-6	3439.000000	4050.000000	FARSUND FM	FORMATION	TYNE GP	2891	39	177	9999-12-31	2013-05-08
3/7-6	4050.000000	4120.000000	HAUGESUND FM	FORMATION	TYNE GP	2891	57	177	9999-12-31	2013-05-08
3/7-6	3259.000000	3352.000000	HOD FM	FORMATION	SHETLAND GP	2891	66	143	9999-12-31	2013-05-08
3/7-6	1413.000000	2839.000000	HORDALAND GP	GROUP	\N	2891	67	\N	9999-12-31	2013-05-08
3/7-6	2872.000000	2897.000000	LISTA FM	FORMATION	ROGALAND GP	2891	95	131	9999-12-31	2013-05-08
3/7-6	87.000000	1413.000000	NORDLAND GP	GROUP	\N	2891	113	\N	9999-12-31	2013-05-08
3/7-6	2839.000000	2921.000000	ROGALAND GP	GROUP	\N	2891	131	\N	9999-12-31	2013-05-08
3/7-6	2856.000000	2872.000000	SELE FM	FORMATION	ROGALAND GP	2891	142	131	9999-12-31	2013-05-08
3/7-6	2921.000000	3352.000000	SHETLAND GP	GROUP	\N	2891	143	\N	9999-12-31	2013-05-08
3/7-6	3352.000000	3360.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2891	152	23	9999-12-31	2013-05-08
3/7-6	3036.000000	3259.000000	TOR FM	FORMATION	SHETLAND GP	2891	171	143	9999-12-31	2013-05-08
3/7-6	3360.000000	3396.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	2891	175	23	9999-12-31	2013-05-08
3/7-6	3439.000000	4120.000000	TYNE GP	GROUP	\N	2891	177	\N	9999-12-31	2013-05-08
3/7-6	2897.000000	2921.000000	VÅLE FM	FORMATION	ROGALAND GP	2891	190	131	9999-12-31	2013-05-08
3/7-6	3396.000000	3439.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2891	198	23	9999-12-31	2013-05-08
32/4-1	1791.000000	1816.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2918	4	29	9999-12-31	2013-05-08
32/4-1	3132.000000	3186.000000	BASEMENT	GROUP	\N	2918	10	\N	9999-12-31	2013-05-08
32/4-1	940.000000	956.000000	BLODØKS FM	FORMATION	SHETLAND GP	2918	13	143	9999-12-31	2013-05-08
32/4-1	1650.000000	1680.000000	BRENT GP	GROUP	\N	2918	16	\N	9999-12-31	2013-05-08
32/4-1	1783.000000	1785.000000	BURTON FM	FORMATION	DUNLIN GP	2918	20	29	9999-12-31	2013-05-08
32/4-1	1081.000000	1109.000000	CROMER KNOLL GP	GROUP	\N	2918	23	\N	9999-12-31	2013-05-08
32/4-1	1733.000000	1783.000000	COOK FM	FORMATION	DUNLIN GP	2918	24	29	9999-12-31	2013-05-08
32/4-1	1680.000000	1733.000000	DRAKE FM	FORMATION	DUNLIN GP	2918	27	29	9999-12-31	2013-05-08
32/4-1	1109.000000	1216.000000	DRAUPNE FM	FORMATION	VIKING GP	2918	28	188	9999-12-31	2013-05-08
32/4-1	1680.000000	1816.000000	DUNLIN GP	GROUP	\N	2918	29	\N	9999-12-31	2013-05-08
32/4-1	1655.000000	1680.000000	ETIVE FM	FORMATION	BRENT GP	2918	35	16	9999-12-31	2013-05-08
32/4-1	1366.000000	1595.000000	FENSFJORD FM	FORMATION	VIKING GP	2918	40	188	9999-12-31	2013-05-08
32/4-1	1216.000000	1238.000000	HEATHER FM	FORMATION	VIKING GP	2918	60	188	9999-12-31	2013-05-08
32/4-1	1306.000000	1366.000000	HEATHER FM	FORMATION	VIKING GP	2918	60	188	9999-12-31	2013-05-08
32/4-1	1595.000000	1598.000000	HEATHER FM	FORMATION	VIKING GP	2918	60	188	9999-12-31	2013-05-08
32/4-1	1645.000000	1650.000000	HEATHER FM	FORMATION	VIKING GP	2918	60	188	9999-12-31	2013-05-08
32/4-1	1832.000000	3132.000000	HEGRE GP	GROUP	\N	2918	61	\N	9999-12-31	2013-05-08
32/4-1	1785.000000	1791.000000	JOHANSEN FM	FORMATION	DUNLIN GP	2918	73	29	9999-12-31	2013-05-08
32/4-1	846.000000	849.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2918	74	143	9999-12-31	2013-05-08
32/4-1	1598.000000	1645.000000	KROSSFJORD FM	FORMATION	VIKING GP	2918	87	188	9999-12-31	2013-05-08
32/4-1	849.000000	894.000000	KYRRE FM	FORMATION	SHETLAND GP	2918	92	143	9999-12-31	2013-05-08
32/4-1	652.000000	837.000000	LISTA FM	FORMATION	ROGALAND GP	2918	95	131	9999-12-31	2013-05-08
32/4-1	1650.000000	1655.000000	NESS FM	FORMATION	BRENT GP	2918	110	16	9999-12-31	2013-05-08
32/4-1	336.000000	535.000000	NORDLAND GP	GROUP	\N	2918	113	\N	9999-12-31	2013-05-08
32/4-1	535.000000	846.000000	ROGALAND GP	GROUP	\N	2918	131	\N	9999-12-31	2013-05-08
32/4-1	1081.000000	1106.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2918	137	23	9999-12-31	2013-05-08
32/4-1	535.000000	652.000000	SELE FM	FORMATION	ROGALAND GP	2918	142	131	9999-12-31	2013-05-08
32/4-1	846.000000	1081.000000	SHETLAND GP	GROUP	\N	2918	143	\N	9999-12-31	2013-05-08
32/4-1	1238.000000	1306.000000	SOGNEFJORD FM	FORMATION	VIKING GP	2918	151	188	9999-12-31	2013-05-08
32/4-1	1816.000000	1832.000000	STATFJORD FM	FORMATION	\N	2918	157	\N	9999-12-31	2013-05-08
32/4-1	956.000000	1081.000000	SVARTE FM	FORMATION	SHETLAND GP	2918	160	143	9999-12-31	2013-05-08
32/4-1	894.000000	940.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2918	173	143	9999-12-31	2013-05-08
32/4-1	1109.000000	1650.000000	VIKING GP	GROUP	\N	2918	188	\N	9999-12-31	2013-05-08
32/4-1	837.000000	846.000000	VÅLE FM	FORMATION	ROGALAND GP	2918	190	131	9999-12-31	2013-05-08
32/4-1	1106.000000	1109.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2918	198	23	9999-12-31	2013-05-08
32/4-1	1816.000000	1832.000000	NO GROUP DEFINED	GROUP	\N	2918	208	\N	9999-12-31	2013-05-08
34/4-9 S	1680.000000	1720.000000	BALDER FM	FORMATION	ROGALAND GP	2931	6	131	9999-12-31	2013-05-08
34/4-9 S	2474.000000	2513.000000	CROMER KNOLL GP	GROUP	\N	2931	23	\N	9999-12-31	2013-05-08
34/4-9 S	2513.000000	3440.000000	HEGRE GP	GROUP	\N	2931	61	\N	9999-12-31	2013-05-08
34/4-9 S	2513.000000	3440.000000	LUNDE FM	FORMATION	HEGRE GP	2931	97	61	9999-12-31	2013-05-08
34/4-9 S	2495.000000	2513.000000	MIME FM	FORMATION	CROMER KNOLL GP	2931	106	23	9999-12-31	2013-05-08
34/4-9 S	359.000000	1680.000000	NORDLAND GP	GROUP	\N	2931	113	\N	9999-12-31	2013-05-08
34/4-9 S	1680.000000	1850.000000	ROGALAND GP	GROUP	\N	2931	131	\N	9999-12-31	2013-05-08
34/4-9 S	2474.000000	2495.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2931	137	23	9999-12-31	2013-05-08
34/4-9 S	1720.000000	1850.000000	SELE FM	FORMATION	ROGALAND GP	2931	142	131	9999-12-31	2013-05-08
34/4-9 S	1850.000000	2474.000000	SHETLAND GP	GROUP	\N	2931	143	\N	9999-12-31	2013-05-08
6610/3-1 R2	557.000000	1368.000000	BRYGGE FM	FORMATION	HORDALAND GP	2932	18	67	9999-12-31	2013-05-08
6610/3-1 R2	3732.000000	4149.000000	BÅT GP	GROUP	\N	2932	22	\N	9999-12-31	2013-05-08
6610/3-1 R2	2507.000000	3536.000000	CROMER KNOLL GP	GROUP	\N	2932	23	\N	9999-12-31	2013-05-08
6610/3-1 R2	3707.000000	3732.000000	FANGST GP	GROUP	\N	2932	38	\N	9999-12-31	2013-05-08
6610/3-1 R2	4149.000000	4172.000000	GREY BEDS (INFORMAL)	GROUP	\N	2932	52	\N	9999-12-31	2013-05-08
6610/3-1 R2	557.000000	1368.000000	HORDALAND GP	GROUP	\N	2932	67	\N	9999-12-31	2013-05-08
6610/3-1 R2	3713.000000	3732.000000	ILE FM	FORMATION	FANGST GP	2932	70	38	9999-12-31	2013-05-08
6610/3-1 R2	2544.000000	2657.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2932	94	23	9999-12-31	2013-05-08
6610/3-1 R2	2697.000000	2886.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2932	94	23	9999-12-31	2013-05-08
6610/3-1 R2	3049.000000	3205.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2932	94	23	9999-12-31	2013-05-08
6610/3-1 R2	3414.000000	3420.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2932	94	23	9999-12-31	2013-05-08
6610/3-1 R2	3420.000000	3536.000000	LYR FM	FORMATION	CROMER KNOLL GP	2932	98	23	9999-12-31	2013-05-08
6610/3-1 R2	2507.000000	2544.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2932	99	23	9999-12-31	2013-05-08
6610/3-1 R2	2657.000000	2697.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2932	99	23	9999-12-31	2013-05-08
6610/3-1 R2	3616.000000	3707.000000	MELKE FM	FORMATION	VIKING GP	2932	105	188	9999-12-31	2013-05-08
6610/3-1 R2	334.000000	351.000000	NAUST FM	FORMATION	NORDLAND GP	2932	109	113	9999-12-31	2013-05-08
6610/3-1 R2	1558.000000	1587.000000	NO FORMAL NAME	FORMATION	\N	2932	111	\N	9999-12-31	2013-05-08
6610/3-1 R2	1642.000000	1807.000000	NO FORMAL NAME	FORMATION	\N	2932	111	\N	9999-12-31	2013-05-08
6610/3-1 R2	2286.000000	2326.000000	NO FORMAL NAME	FORMATION	\N	2932	111	\N	9999-12-31	2013-05-08
6610/3-1 R2	2886.000000	3049.000000	NO FORMAL NAME	FORMATION	\N	2932	111	\N	9999-12-31	2013-05-08
6610/3-1 R2	3205.000000	3414.000000	NO FORMAL NAME	FORMATION	\N	2932	111	\N	9999-12-31	2013-05-08
6610/3-1 R2	2046.000000	2286.000000	NISE FM	FORMATION	SHETLAND GP	2932	112	143	9999-12-31	2013-05-08
6610/3-1 R2	2326.000000	2507.000000	NISE FM	FORMATION	SHETLAND GP	2932	112	143	9999-12-31	2013-05-08
6610/3-1 R2	334.000000	557.000000	NORDLAND GP	GROUP	\N	2932	113	\N	9999-12-31	2013-05-08
6610/3-1 R2	3707.000000	3713.000000	NOT FM	FORMATION	FANGST GP	2932	120	38	9999-12-31	2013-05-08
6610/3-1 R2	4172.000000	4200.000000	RED BEDS (INFORMAL)	GROUP	\N	2932	129	\N	9999-12-31	2013-05-08
6610/3-1 R2	1368.000000	1844.000000	ROGALAND GP	GROUP	\N	2932	131	\N	9999-12-31	2013-05-08
6610/3-1 R2	1844.000000	2507.000000	SHETLAND GP	GROUP	\N	2932	143	\N	9999-12-31	2013-05-08
6610/3-1 R2	3536.000000	3616.000000	SPEKK FM	FORMATION	VIKING GP	2932	155	188	9999-12-31	2013-05-08
6610/3-1 R2	1844.000000	2046.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2932	156	143	9999-12-31	2013-05-08
6610/3-1 R2	1474.000000	1558.000000	TANG FM	FORMATION	ROGALAND GP	2932	161	131	9999-12-31	2013-05-08
6610/3-1 R2	1587.000000	1642.000000	TANG FM	FORMATION	ROGALAND GP	2932	161	131	9999-12-31	2013-05-08
6610/3-1 R2	1807.000000	1844.000000	TANG FM	FORMATION	ROGALAND GP	2932	161	131	9999-12-31	2013-05-08
6610/3-1 R2	1368.000000	1474.000000	TARE FM	FORMATION	ROGALAND GP	2932	163	131	9999-12-31	2013-05-08
6610/3-1 R2	3774.000000	3937.000000	TILJE FM	FORMATION	BÅT GP	2932	169	22	9999-12-31	2013-05-08
6610/3-1 R2	3732.000000	3774.000000	TOFTE FM	FORMATION	BÅT GP	2932	170	22	9999-12-31	2013-05-08
6610/3-1 R2	3536.000000	3707.000000	VIKING GP	GROUP	\N	2932	188	\N	9999-12-31	2013-05-08
6610/3-1 R2	3937.000000	4149.000000	ÅRE FM	FORMATION	BÅT GP	2932	197	22	9999-12-31	2013-05-08
6610/3-1 R2	351.000000	557.000000	MOLO FM	FORMATION	NORDLAND GP	2932	209	113	9999-12-31	2013-05-08
6204/10-2	1098.000000	1140.000000	BALDER FM	FORMATION	ROGALAND GP	2952	6	131	9999-12-31	2013-05-08
6204/10-2	631.000000	1098.000000	HORDALAND GP	GROUP	\N	2952	67	\N	9999-12-31	2013-05-08
6204/10-2	992.000000	1034.000000	NO FORMAL NAME	FORMATION	\N	2952	111	\N	9999-12-31	2013-05-08
6204/10-2	1034.000000	1098.000000	NO FORMAL NAME	FORMATION	\N	2952	111	\N	9999-12-31	2013-05-08
6204/10-2	197.000000	631.000000	NORDLAND GP	GROUP	\N	2952	113	\N	9999-12-31	2013-05-08
6204/10-2	1098.000000	1145.000000	ROGALAND GP	GROUP	\N	2952	131	\N	9999-12-31	2013-05-08
6204/10-2	1140.000000	1145.000000	SELE FM	FORMATION	ROGALAND GP	2952	142	131	9999-12-31	2013-05-08
6507/3-2	1210.000000	1780.000000	BÅT GP	GROUP	\N	2954	22	\N	9999-12-31	2013-05-08
6507/3-2	1200.000000	1210.000000	FANGST GP	GROUP	\N	2954	38	\N	9999-12-31	2013-05-08
6507/3-2	1780.000000	2008.000000	GREY BEDS (INFORMAL)	GROUP	\N	2954	52	\N	9999-12-31	2013-05-08
6507/3-2	1205.000000	1210.000000	ILE FM	FORMATION	FANGST GP	2954	70	38	9999-12-31	2013-05-08
6507/3-2	1121.000000	1200.000000	KAI FM	FORMATION	NORDLAND GP	2954	77	113	9999-12-31	2013-05-08
6507/3-2	433.000000	1121.000000	NAUST FM	FORMATION	NORDLAND GP	2954	109	113	9999-12-31	2013-05-08
6507/3-2	433.000000	1200.000000	NORDLAND GP	GROUP	\N	2954	113	\N	9999-12-31	2013-05-08
6507/3-2	1200.000000	1205.000000	NOT FM	FORMATION	FANGST GP	2954	120	38	9999-12-31	2013-05-08
6507/3-2	2008.000000	2032.000000	RED BEDS (INFORMAL)	GROUP	\N	2954	129	\N	9999-12-31	2013-05-08
6507/3-2	1210.000000	1225.000000	ROR FM	FORMATION	BÅT GP	2954	135	22	9999-12-31	2013-05-08
6507/3-2	1225.000000	1274.000000	TILJE FM	FORMATION	BÅT GP	2954	169	22	9999-12-31	2013-05-08
6507/3-2	1274.000000	1780.000000	ÅRE FM	FORMATION	BÅT GP	2954	197	22	9999-12-31	2013-05-08
25/10-8	1941.000000	1987.000000	BALDER FM	FORMATION	ROGALAND GP	2955	6	131	9999-12-31	2013-05-08
25/10-8	2354.000000	2372.000000	DRAUPNE FM	FORMATION	VIKING GP	2955	28	188	9999-12-31	2013-05-08
25/10-8	2450.000000	2511.000000	DRAUPNE FM	FORMATION	VIKING GP	2955	28	188	9999-12-31	2013-05-08
25/10-8	2209.000000	2266.000000	EKOFISK FM	FORMATION	SHETLAND GP	2955	33	143	9999-12-31	2013-05-08
25/10-8	1551.000000	1613.000000	GRID FM	FORMATION	HORDALAND GP	2955	53	67	9999-12-31	2013-05-08
25/10-8	2077.000000	2122.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2955	62	131	9999-12-31	2013-05-08
25/10-8	850.000000	1941.000000	HORDALAND GP	GROUP	\N	2955	67	\N	9999-12-31	2013-05-08
25/10-8	2511.000000	2536.000000	HUGIN FM	FORMATION	VESTLAND GP	2955	69	186	9999-12-31	2013-05-08
25/10-8	2047.000000	2077.000000	LISTA FM	FORMATION	ROGALAND GP	2955	95	131	9999-12-31	2013-05-08
25/10-8	2122.000000	2204.000000	LISTA FM	FORMATION	ROGALAND GP	2955	95	131	9999-12-31	2013-05-08
25/10-8	780.000000	850.000000	NO FORMAL NAME	FORMATION	\N	2955	111	\N	9999-12-31	2013-05-08
25/10-8	1023.000000	1107.000000	NO FORMAL NAME	FORMATION	\N	2955	111	\N	9999-12-31	2013-05-08
25/10-8	1232.000000	1551.000000	NO FORMAL NAME	FORMATION	\N	2955	111	\N	9999-12-31	2013-05-08
25/10-8	1613.000000	1941.000000	NO FORMAL NAME	FORMATION	\N	2955	111	\N	9999-12-31	2013-05-08
25/10-8	2372.000000	2450.000000	NO FORMAL NAME	FORMATION	\N	2955	111	\N	9999-12-31	2013-05-08
25/10-8	140.000000	850.000000	NORDLAND GP	GROUP	\N	2955	113	\N	9999-12-31	2013-05-08
25/10-8	1941.000000	2209.000000	ROGALAND GP	GROUP	\N	2955	131	\N	9999-12-31	2013-05-08
25/10-8	2601.000000	2653.000000	ROTLIEGEND GP	GROUP	\N	2955	136	\N	9999-12-31	2013-05-08
25/10-8	1987.000000	2047.000000	SELE FM	FORMATION	ROGALAND GP	2955	142	131	9999-12-31	2013-05-08
25/10-8	2209.000000	2354.000000	SHETLAND GP	GROUP	\N	2955	143	\N	9999-12-31	2013-05-08
25/10-8	850.000000	1023.000000	SKADE FM	FORMATION	HORDALAND GP	2955	145	67	9999-12-31	2013-05-08
25/10-8	1107.000000	1232.000000	SKADE FM	FORMATION	HORDALAND GP	2955	145	67	9999-12-31	2013-05-08
25/10-8	2266.000000	2354.000000	TOR FM	FORMATION	SHETLAND GP	2955	171	143	9999-12-31	2013-05-08
25/10-8	672.000000	780.000000	UTSIRA FM	FORMATION	NORDLAND GP	2955	183	113	9999-12-31	2013-05-08
25/10-8	2511.000000	2536.000000	VESTLAND GP	GROUP	\N	2955	186	\N	9999-12-31	2013-05-08
25/10-8	2354.000000	2511.000000	VIKING GP	GROUP	\N	2955	188	\N	9999-12-31	2013-05-08
25/10-8	2204.000000	2209.000000	VÅLE FM	FORMATION	ROGALAND GP	2955	190	131	9999-12-31	2013-05-08
25/10-8	2577.000000	2601.000000	ZECHSTEIN GP	GROUP	\N	2955	194	\N	9999-12-31	2013-05-08
25/10-8	2536.000000	2577.000000	NO GROUP DEFINED	GROUP	\N	2955	208	\N	9999-12-31	2013-05-08
6608/8-1	1428.000000	1513.000000	BRYGGE FM	FORMATION	HORDALAND GP	2974	18	67	9999-12-31	2013-05-08
6608/8-1	1428.000000	1513.000000	HORDALAND GP	GROUP	\N	2974	67	\N	9999-12-31	2013-05-08
6608/8-1	1326.000000	1428.000000	KAI FM	FORMATION	NORDLAND GP	2974	77	113	9999-12-31	2013-05-08
6608/8-1	357.000000	1326.000000	NAUST FM	FORMATION	NORDLAND GP	2974	109	113	9999-12-31	2013-05-08
6608/8-1	357.000000	1428.000000	NORDLAND GP	GROUP	\N	2974	113	\N	9999-12-31	2013-05-08
6608/8-1	1753.000000	2755.000000	RED BEDS (INFORMAL)	GROUP	\N	2974	129	\N	9999-12-31	2013-05-08
6608/8-1	1513.000000	1623.000000	ROGALAND GP	GROUP	\N	2974	131	\N	9999-12-31	2013-05-08
6608/8-1	1623.000000	1753.000000	SHETLAND GP	GROUP	\N	2974	143	\N	9999-12-31	2013-05-08
6608/8-1	1623.000000	1753.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2974	156	143	9999-12-31	2013-05-08
6608/8-1	1607.000000	1623.000000	TANG FM	FORMATION	ROGALAND GP	2974	161	131	9999-12-31	2013-05-08
6608/8-1	1513.000000	1607.000000	TARE FM	FORMATION	ROGALAND GP	2974	163	131	9999-12-31	2013-05-08
6608/8-1	2755.000000	3013.000000	ZECHSTEIN GP	GROUP	\N	2974	194	\N	9999-12-31	2013-05-08
6506/12-11 SR	2027.000000	2372.000000	BRYGGE FM	FORMATION	HORDALAND GP	2977	18	67	9999-12-31	2013-05-08
6506/12-11 SR	4901.000000	5268.000000	BÅT GP	GROUP	\N	2977	22	\N	9999-12-31	2013-05-08
6506/12-11 SR	3681.000000	4577.000000	CROMER KNOLL GP	GROUP	\N	2977	23	\N	9999-12-31	2013-05-08
6506/12-11 SR	4731.000000	4901.000000	FANGST GP	GROUP	\N	2977	38	\N	9999-12-31	2013-05-08
6506/12-11 SR	4731.000000	4804.000000	GARN FM	FORMATION	FANGST GP	2977	48	38	9999-12-31	2013-05-08
6506/12-11 SR	2027.000000	2372.000000	HORDALAND GP	GROUP	\N	2977	67	\N	9999-12-31	2013-05-08
6506/12-11 SR	4835.000000	4901.000000	ILE FM	FORMATION	FANGST GP	2977	70	38	9999-12-31	2013-05-08
6506/12-11 SR	1523.000000	2027.000000	KAI FM	FORMATION	NORDLAND GP	2977	77	113	9999-12-31	2013-05-08
6506/12-11 SR	3002.000000	3681.000000	KVITNOS FM	FORMATION	SHETLAND GP	2977	91	143	9999-12-31	2013-05-08
6506/12-11 SR	3728.000000	4554.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2977	94	23	9999-12-31	2013-05-08
6506/12-11 SR	4554.000000	4577.000000	LYR FM	FORMATION	CROMER KNOLL GP	2977	98	23	9999-12-31	2013-05-08
6506/12-11 SR	3681.000000	3728.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2977	99	23	9999-12-31	2013-05-08
6506/12-11 SR	4590.000000	4731.000000	MELKE FM	FORMATION	VIKING GP	2977	105	188	9999-12-31	2013-05-08
6506/12-11 SR	2813.000000	3002.000000	NISE FM	FORMATION	SHETLAND GP	2977	112	143	9999-12-31	2013-05-08
6506/12-11 SR	311.000000	2027.000000	NORDLAND GP	GROUP	\N	2977	113	\N	9999-12-31	2013-05-08
6506/12-11 SR	4804.000000	4835.000000	NOT FM	FORMATION	FANGST GP	2977	120	38	9999-12-31	2013-05-08
6506/12-11 SR	2372.000000	2540.000000	ROGALAND GP	GROUP	\N	2977	131	\N	9999-12-31	2013-05-08
6506/12-11 SR	4901.000000	4980.000000	ROR FM	FORMATION	BÅT GP	2977	135	22	9999-12-31	2013-05-08
6506/12-11 SR	5026.000000	5042.000000	ROR FM	FORMATION	BÅT GP	2977	135	22	9999-12-31	2013-05-08
6506/12-11 SR	2540.000000	3681.000000	SHETLAND GP	GROUP	\N	2977	143	\N	9999-12-31	2013-05-08
6506/12-11 SR	4577.000000	4590.000000	SPEKK FM	FORMATION	VIKING GP	2977	155	188	9999-12-31	2013-05-08
6506/12-11 SR	2540.000000	2813.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2977	156	143	9999-12-31	2013-05-08
6506/12-11 SR	2464.000000	2540.000000	TANG FM	FORMATION	ROGALAND GP	2977	161	131	9999-12-31	2013-05-08
6506/12-11 SR	2372.000000	2464.000000	TARE FM	FORMATION	ROGALAND GP	2977	163	131	9999-12-31	2013-05-08
6506/12-11 SR	5042.000000	5211.000000	TILJE FM	FORMATION	BÅT GP	2977	169	22	9999-12-31	2013-05-08
6506/12-11 SR	4980.000000	5026.000000	TOFTE FM	FORMATION	BÅT GP	2977	170	22	9999-12-31	2013-05-08
6506/12-11 SR	4577.000000	4731.000000	VIKING GP	GROUP	\N	2977	188	\N	9999-12-31	2013-05-08
6506/12-11 SR	5211.000000	5268.000000	ÅRE FM	FORMATION	BÅT GP	2977	197	22	9999-12-31	2013-05-08
30/11-5	2169.000000	2222.000000	BALDER FM	FORMATION	ROGALAND GP	2986	6	131	9999-12-31	2013-05-08
30/11-5	3249.000000	3716.000000	BRENT GP	GROUP	\N	2986	16	\N	9999-12-31	2013-05-08
30/11-5	3059.000000	3082.000000	CROMER KNOLL GP	GROUP	\N	2986	23	\N	9999-12-31	2013-05-08
30/11-5	3716.000000	3726.000000	DRAKE FM	FORMATION	DUNLIN GP	2986	27	29	9999-12-31	2013-05-08
30/11-5	3082.000000	3115.000000	DRAUPNE FM	FORMATION	VIKING GP	2986	28	188	9999-12-31	2013-05-08
30/11-5	3716.000000	3726.000000	DUNLIN GP	GROUP	\N	2986	29	\N	9999-12-31	2013-05-08
30/11-5	1750.000000	1757.000000	GRID FM	FORMATION	HORDALAND GP	2986	53	67	9999-12-31	2013-05-08
30/11-5	1785.000000	1850.000000	GRID FM	FORMATION	HORDALAND GP	2986	53	67	9999-12-31	2013-05-08
30/11-5	2561.000000	2835.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	2986	56	143	9999-12-31	2013-05-08
30/11-5	3115.000000	3249.000000	HEATHER FM	FORMATION	VIKING GP	2986	60	188	9999-12-31	2013-05-08
30/11-5	2222.000000	2306.000000	HERMOD FM	FORMATION	ROGALAND GP	2986	64	131	9999-12-31	2013-05-08
30/11-5	705.000000	2169.000000	HORDALAND GP	GROUP	\N	2986	67	\N	9999-12-31	2013-05-08
30/11-5	2835.000000	3059.000000	KYRRE FM	FORMATION	SHETLAND GP	2986	92	143	9999-12-31	2013-05-08
30/11-5	2352.000000	2550.000000	LISTA FM	FORMATION	ROGALAND GP	2986	95	131	9999-12-31	2013-05-08
30/11-5	3443.000000	3716.000000	NESS FM	FORMATION	BRENT GP	2986	110	16	9999-12-31	2013-05-08
30/11-5	1757.000000	1785.000000	NO FORMAL NAME	FORMATION	\N	2986	111	\N	9999-12-31	2013-05-08
30/11-5	1850.000000	2169.000000	NO FORMAL NAME	FORMATION	\N	2986	111	\N	9999-12-31	2013-05-08
30/11-5	128.000000	705.000000	NORDLAND GP	GROUP	\N	2986	113	\N	9999-12-31	2013-05-08
30/11-5	2169.000000	2561.000000	ROGALAND GP	GROUP	\N	2986	131	\N	9999-12-31	2013-05-08
30/11-5	3059.000000	3082.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2986	137	23	9999-12-31	2013-05-08
30/11-5	2306.000000	2352.000000	SELE FM	FORMATION	ROGALAND GP	2986	142	131	9999-12-31	2013-05-08
30/11-5	2561.000000	3059.000000	SHETLAND GP	GROUP	\N	2986	143	\N	9999-12-31	2013-05-08
30/11-5	3249.000000	3443.000000	TARBERT FM	FORMATION	BRENT GP	2986	162	16	9999-12-31	2013-05-08
30/11-5	407.000000	705.000000	UTSIRA FM	FORMATION	NORDLAND GP	2986	183	113	9999-12-31	2013-05-08
30/11-5	3082.000000	3249.000000	VIKING GP	GROUP	\N	2986	188	\N	9999-12-31	2013-05-08
30/11-5	2550.000000	2561.000000	VÅLE FM	FORMATION	ROGALAND GP	2986	190	131	9999-12-31	2013-05-08
25/8-9	2515.000000	2548.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2988	4	29	9999-12-31	2013-05-08
25/8-9	1905.000000	1988.000000	BALDER FM	FORMATION	ROGALAND GP	2988	6	131	9999-12-31	2013-05-08
25/8-9	2355.000000	2383.000000	CROMER KNOLL GP	GROUP	\N	2988	23	\N	9999-12-31	2013-05-08
25/8-9	2383.000000	2392.000000	DRAUPNE FM	FORMATION	VIKING GP	2988	28	188	9999-12-31	2013-05-08
25/8-9	2515.000000	2548.000000	DUNLIN GP	GROUP	\N	2988	29	\N	9999-12-31	2013-05-08
25/8-9	1301.000000	1345.000000	GRID FM	FORMATION	HORDALAND GP	2988	53	67	9999-12-31	2013-05-08
25/8-9	2392.000000	2432.000000	HEATHER FM	FORMATION	VIKING GP	2988	60	188	9999-12-31	2013-05-08
25/8-9	2096.000000	2189.000000	HEIMDAL FM	FORMATION	ROGALAND GP	2988	62	131	9999-12-31	2013-05-08
25/8-9	790.000000	1905.000000	HORDALAND GP	GROUP	\N	2988	67	\N	9999-12-31	2013-05-08
25/8-9	2432.000000	2477.000000	HUGIN FM	FORMATION	VESTLAND GP	2988	69	186	9999-12-31	2013-05-08
25/8-9	2037.000000	2096.000000	LISTA FM	FORMATION	ROGALAND GP	2988	95	131	9999-12-31	2013-05-08
25/8-9	2189.000000	2228.000000	LISTA FM	FORMATION	ROGALAND GP	2988	95	131	9999-12-31	2013-05-08
25/8-9	2376.000000	2379.000000	MIME FM	FORMATION	CROMER KNOLL GP	2988	106	23	9999-12-31	2013-05-08
25/8-9	780.000000	790.000000	NO FORMAL NAME	FORMATION	\N	2988	111	\N	9999-12-31	2013-05-08
25/8-9	905.000000	1301.000000	NO FORMAL NAME	FORMATION	\N	2988	111	\N	9999-12-31	2013-05-08
25/8-9	1345.000000	1905.000000	NO FORMAL NAME	FORMATION	\N	2988	111	\N	9999-12-31	2013-05-08
25/8-9	150.000000	790.000000	NORDLAND GP	GROUP	\N	2988	113	\N	9999-12-31	2013-05-08
25/8-9	1905.000000	2323.000000	ROGALAND GP	GROUP	\N	2988	131	\N	9999-12-31	2013-05-08
25/8-9	2355.000000	2369.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2988	137	23	9999-12-31	2013-05-08
25/8-9	1988.000000	2037.000000	SELE FM	FORMATION	ROGALAND GP	2988	142	131	9999-12-31	2013-05-08
25/8-9	2323.000000	2355.000000	SHETLAND GP	GROUP	\N	2988	143	\N	9999-12-31	2013-05-08
25/8-9	790.000000	905.000000	SKADE FM	FORMATION	HORDALAND GP	2988	145	67	9999-12-31	2013-05-08
25/8-9	2477.000000	2515.000000	SLEIPNER FM	FORMATION	VESTLAND GP	2988	148	186	9999-12-31	2013-05-08
25/8-9	2369.000000	2376.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2988	152	23	9999-12-31	2013-05-08
25/8-9	2323.000000	2355.000000	SVARTE FM	FORMATION	SHETLAND GP	2988	160	143	9999-12-31	2013-05-08
25/8-9	2228.000000	2304.000000	TY FM	FORMATION	ROGALAND GP	2988	176	131	9999-12-31	2013-05-08
25/8-9	694.000000	780.000000	UTSIRA FM	FORMATION	NORDLAND GP	2988	183	113	9999-12-31	2013-05-08
25/8-9	2432.000000	2515.000000	VESTLAND GP	GROUP	\N	2988	186	\N	9999-12-31	2013-05-08
25/8-9	2383.000000	2432.000000	VIKING GP	GROUP	\N	2988	188	\N	9999-12-31	2013-05-08
25/8-9	2304.000000	2323.000000	VÅLE FM	FORMATION	ROGALAND GP	2988	190	131	9999-12-31	2013-05-08
25/8-9	2379.000000	2383.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2988	198	23	9999-12-31	2013-05-08
6608/8-2	1605.000000	1763.000000	BRYGGE FM	FORMATION	HORDALAND GP	2989	18	67	9999-12-31	2013-05-08
6608/8-2	2597.000000	2773.000000	CROMER KNOLL GP	GROUP	\N	2989	23	\N	9999-12-31	2013-05-08
6608/8-2	1605.000000	1763.000000	HORDALAND GP	GROUP	\N	2989	67	\N	9999-12-31	2013-05-08
6608/8-2	1491.000000	1605.000000	KAI FM	FORMATION	NORDLAND GP	2989	77	113	9999-12-31	2013-05-08
6608/8-2	2600.000000	2773.000000	LANGE FM	FORMATION	CROMER KNOLL GP	2989	94	23	9999-12-31	2013-05-08
6608/8-2	2597.000000	2600.000000	LYSING FM	FORMATION	CROMER KNOLL GP	2989	99	23	9999-12-31	2013-05-08
6608/8-2	359.000000	1491.000000	NAUST FM	FORMATION	NORDLAND GP	2989	109	113	9999-12-31	2013-05-08
6608/8-2	359.000000	1605.000000	NORDLAND GP	GROUP	\N	2989	113	\N	9999-12-31	2013-05-08
6608/8-2	2773.000000	2831.000000	RED BEDS (INFORMAL)	GROUP	\N	2989	129	\N	9999-12-31	2013-05-08
6608/8-2	1763.000000	1850.000000	ROGALAND GP	GROUP	\N	2989	131	\N	9999-12-31	2013-05-08
6608/8-2	1850.000000	2597.000000	SHETLAND GP	GROUP	\N	2989	143	\N	9999-12-31	2013-05-08
6608/8-2	1850.000000	2597.000000	SPRINGAR FM	FORMATION	SHETLAND GP	2989	156	143	9999-12-31	2013-05-08
6608/8-2	1818.000000	1850.000000	TANG FM	FORMATION	ROGALAND GP	2989	161	131	9999-12-31	2013-05-08
6608/8-2	1763.000000	1818.000000	TARE FM	FORMATION	ROGALAND GP	2989	163	131	9999-12-31	2013-05-08
36/7-2	648.000000	678.000000	BALDER FM	FORMATION	ROGALAND GP	2990	6	131	9999-12-31	2013-05-08
36/7-2	1429.000000	1435.000000	BASEMENT	GROUP	\N	2990	10	\N	9999-12-31	2013-05-08
36/7-2	678.000000	880.000000	CROMER KNOLL GP	GROUP	\N	2990	23	\N	9999-12-31	2013-05-08
36/7-2	880.000000	917.000000	DRAUPNE FM	FORMATION	VIKING GP	2990	28	188	9999-12-31	2013-05-08
36/7-2	947.000000	1363.000000	FENSFJORD FM	FORMATION	VIKING GP	2990	40	188	9999-12-31	2013-05-08
36/7-2	936.000000	947.000000	HEATHER FM	FORMATION	VIKING GP	2990	60	188	9999-12-31	2013-05-08
36/7-2	291.000000	648.000000	NORDLAND GP	GROUP	\N	2990	113	\N	9999-12-31	2013-05-08
36/7-2	648.000000	678.000000	ROGALAND GP	GROUP	\N	2990	131	\N	9999-12-31	2013-05-08
36/7-2	917.000000	936.000000	SOGNEFJORD FM	FORMATION	VIKING GP	2990	151	188	9999-12-31	2013-05-08
36/7-2	678.000000	774.000000	SOLA FM	FORMATION	CROMER KNOLL GP	2990	152	23	9999-12-31	2013-05-08
36/7-2	1363.000000	1429.000000	STATFJORD FM	FORMATION	\N	2990	157	\N	9999-12-31	2013-05-08
36/7-2	880.000000	1363.000000	VIKING GP	GROUP	\N	2990	188	\N	9999-12-31	2013-05-08
36/7-2	774.000000	880.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	2990	198	23	9999-12-31	2013-05-08
36/7-2	1363.000000	1429.000000	NO GROUP DEFINED	GROUP	\N	2990	208	\N	9999-12-31	2013-05-08
35/4-1	4515.000000	4704.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	2993	4	29	9999-12-31	2013-05-08
35/4-1	1720.000000	1768.000000	BALDER FM	FORMATION	ROGALAND GP	2993	6	131	9999-12-31	2013-05-08
35/4-1	3500.000000	3510.000000	BLODØKS FM	FORMATION	SHETLAND GP	2993	13	143	9999-12-31	2013-05-08
35/4-1	4079.000000	4287.000000	BRENT GP	GROUP	\N	2993	16	\N	9999-12-31	2013-05-08
35/4-1	3675.000000	3695.000000	CROMER KNOLL GP	GROUP	\N	2993	23	\N	9999-12-31	2013-05-08
35/4-1	4434.000000	4515.000000	COOK FM	FORMATION	DUNLIN GP	2993	24	29	9999-12-31	2013-05-08
35/4-1	4287.000000	4434.000000	DRAKE FM	FORMATION	DUNLIN GP	2993	27	29	9999-12-31	2013-05-08
35/4-1	4287.000000	4704.000000	DUNLIN GP	GROUP	\N	2993	29	\N	9999-12-31	2013-05-08
35/4-1	3695.000000	4079.000000	HEATHER FM	FORMATION	VIKING GP	2993	60	188	9999-12-31	2013-05-08
35/4-1	4918.000000	4936.000000	HEGRE GP	GROUP	\N	2993	61	\N	9999-12-31	2013-05-08
35/4-1	1116.000000	1720.000000	HORDALAND GP	GROUP	\N	2993	67	\N	9999-12-31	2013-05-08
35/4-1	1912.000000	2033.000000	JORSALFARE FM	FORMATION	SHETLAND GP	2993	74	143	9999-12-31	2013-05-08
35/4-1	2033.000000	3326.000000	KYRRE FM	FORMATION	SHETLAND GP	2993	92	143	9999-12-31	2013-05-08
35/4-1	1807.000000	1883.000000	LISTA FM	FORMATION	ROGALAND GP	2993	95	131	9999-12-31	2013-05-08
35/4-1	1665.000000	1695.000000	NO FORMAL NAME	FORMATION	\N	2993	111	\N	9999-12-31	2013-05-08
35/4-1	1695.000000	1720.000000	NO FORMAL NAME	FORMATION	\N	2993	111	\N	9999-12-31	2013-05-08
35/4-1	404.000000	1116.000000	NORDLAND GP	GROUP	\N	2993	113	\N	9999-12-31	2013-05-08
35/4-1	1720.000000	1912.000000	ROGALAND GP	GROUP	\N	2993	131	\N	9999-12-31	2013-05-08
35/4-1	3675.000000	3695.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	2993	137	23	9999-12-31	2013-05-08
35/4-1	1768.000000	1807.000000	SELE FM	FORMATION	ROGALAND GP	2993	142	131	9999-12-31	2013-05-08
35/4-1	1912.000000	3675.000000	SHETLAND GP	GROUP	\N	2993	143	\N	9999-12-31	2013-05-08
35/4-1	4704.000000	4918.000000	STATFJORD FM	FORMATION	\N	2993	157	\N	9999-12-31	2013-05-08
35/4-1	3510.000000	3675.000000	SVARTE FM	FORMATION	SHETLAND GP	2993	160	143	9999-12-31	2013-05-08
35/4-1	3326.000000	3500.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	2993	173	143	9999-12-31	2013-05-08
35/4-1	3695.000000	4079.000000	VIKING GP	GROUP	\N	2993	188	\N	9999-12-31	2013-05-08
35/4-1	1883.000000	1912.000000	VÅLE FM	FORMATION	ROGALAND GP	2993	190	131	9999-12-31	2013-05-08
35/4-1	4704.000000	4918.000000	NO GROUP DEFINED	GROUP	\N	2993	208	\N	9999-12-31	2013-05-08
2/8-16 S	1548.000000	3139.000000	HORDALAND GP	GROUP	\N	3008	67	\N	9999-12-31	2013-05-08
2/8-16 S	113.000000	1548.000000	NORDLAND GP	GROUP	\N	3008	113	\N	9999-12-31	2013-05-08
35/11-9	1534.000000	1584.000000	BALDER FM	FORMATION	ROGALAND GP	3009	6	131	9999-12-31	2013-05-08
35/11-9	2381.000000	2389.000000	CROMER KNOLL GP	GROUP	\N	3009	23	\N	9999-12-31	2013-05-08
35/11-9	2389.000000	2539.000000	DRAUPNE FM	FORMATION	VIKING GP	3009	28	188	9999-12-31	2013-05-08
35/11-9	2653.000000	2733.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	3009	59	188	9999-12-31	2013-05-08
35/11-9	2539.000000	2556.000000	HEATHER FM	FORMATION	VIKING GP	3009	60	188	9999-12-31	2013-05-08
35/11-9	2580.000000	2653.000000	HEATHER FM	FORMATION	VIKING GP	3009	60	188	9999-12-31	2013-05-08
35/11-9	2733.000000	2830.000000	HEATHER FM	FORMATION	VIKING GP	3009	60	188	9999-12-31	2013-05-08
35/11-9	1715.000000	1784.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3009	62	131	9999-12-31	2013-05-08
35/11-9	783.000000	1534.000000	HORDALAND GP	GROUP	\N	3009	67	\N	9999-12-31	2013-05-08
35/11-9	1973.000000	2093.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3009	74	143	9999-12-31	2013-05-08
35/11-9	2093.000000	2303.000000	KYRRE FM	FORMATION	SHETLAND GP	3009	92	143	9999-12-31	2013-05-08
35/11-9	1646.000000	1715.000000	LISTA FM	FORMATION	ROGALAND GP	3009	95	131	9999-12-31	2013-05-08
35/11-9	1784.000000	1856.000000	LISTA FM	FORMATION	ROGALAND GP	3009	95	131	9999-12-31	2013-05-08
35/11-9	386.000000	783.000000	NORDLAND GP	GROUP	\N	3009	113	\N	9999-12-31	2013-05-08
35/11-9	1534.000000	1973.000000	ROGALAND GP	GROUP	\N	3009	131	\N	9999-12-31	2013-05-08
35/11-9	2381.000000	2389.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3009	137	23	9999-12-31	2013-05-08
35/11-9	1584.000000	1646.000000	SELE FM	FORMATION	ROGALAND GP	3009	142	131	9999-12-31	2013-05-08
35/11-9	1973.000000	2381.000000	SHETLAND GP	GROUP	\N	3009	143	\N	9999-12-31	2013-05-08
35/11-9	2556.000000	2580.000000	SOGNEFJORD FM	FORMATION	VIKING GP	3009	151	188	9999-12-31	2013-05-08
35/11-9	2303.000000	2381.000000	SVARTE FM	FORMATION	SHETLAND GP	3009	160	143	9999-12-31	2013-05-08
35/11-9	1910.000000	1973.000000	TY FM	FORMATION	ROGALAND GP	3009	176	131	9999-12-31	2013-05-08
35/11-9	767.000000	783.000000	UTSIRA FM	FORMATION	NORDLAND GP	3009	183	113	9999-12-31	2013-05-08
35/11-9	2389.000000	2830.000000	VIKING GP	GROUP	\N	3009	188	\N	9999-12-31	2013-05-08
35/11-9	1856.000000	1910.000000	VÅLE FM	FORMATION	ROGALAND GP	3009	190	131	9999-12-31	2013-05-08
6406/2-4 S	1946.000000	2462.000000	BRYGGE FM	FORMATION	HORDALAND GP	3012	18	67	9999-12-31	2013-05-08
6406/2-4 S	3485.000000	4388.000000	CROMER KNOLL GP	GROUP	\N	3012	23	\N	9999-12-31	2013-05-08
6406/2-4 S	1946.000000	2462.000000	HORDALAND GP	GROUP	\N	3012	67	\N	9999-12-31	2013-05-08
6406/2-4 S	1576.000000	1946.000000	KAI FM	FORMATION	NORDLAND GP	3012	77	113	9999-12-31	2013-05-08
6406/2-4 S	2913.000000	3485.000000	KVITNOS FM	FORMATION	SHETLAND GP	3012	91	143	9999-12-31	2013-05-08
6406/2-4 S	3502.000000	3565.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3012	94	23	9999-12-31	2013-05-08
6406/2-4 S	3623.000000	4372.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3012	94	23	9999-12-31	2013-05-08
6406/2-4 S	4372.000000	4388.000000	LYR FM	FORMATION	CROMER KNOLL GP	3012	98	23	9999-12-31	2013-05-08
6406/2-4 S	3485.000000	3502.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3012	99	23	9999-12-31	2013-05-08
6406/2-4 S	4406.000000	4546.000000	MELKE FM	FORMATION	VIKING GP	3012	105	188	9999-12-31	2013-05-08
6406/2-4 S	296.000000	1576.000000	NAUST FM	FORMATION	NORDLAND GP	3012	109	113	9999-12-31	2013-05-08
6406/2-4 S	3565.000000	3623.000000	NO FORMAL NAME	FORMATION	\N	3012	111	\N	9999-12-31	2013-05-08
6406/2-4 S	2725.000000	2913.000000	NISE FM	FORMATION	SHETLAND GP	3012	112	143	9999-12-31	2013-05-08
6406/2-4 S	296.000000	1946.000000	NORDLAND GP	GROUP	\N	3012	113	\N	9999-12-31	2013-05-08
6406/2-4 S	2462.000000	2589.000000	ROGALAND GP	GROUP	\N	3012	131	\N	9999-12-31	2013-05-08
6406/2-4 S	2589.000000	3485.000000	SHETLAND GP	GROUP	\N	3012	143	\N	9999-12-31	2013-05-08
6406/2-4 S	4388.000000	4406.000000	SPEKK FM	FORMATION	VIKING GP	3012	155	188	9999-12-31	2013-05-08
6406/2-4 S	2589.000000	2725.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3012	156	143	9999-12-31	2013-05-08
6406/2-4 S	2528.000000	2589.000000	TANG FM	FORMATION	ROGALAND GP	3012	161	131	9999-12-31	2013-05-08
6406/2-4 S	2462.000000	2528.000000	TARE FM	FORMATION	ROGALAND GP	3012	163	131	9999-12-31	2013-05-08
6406/2-4 S	4388.000000	4546.000000	VIKING GP	GROUP	\N	3012	188	\N	9999-12-31	2013-05-08
15/6-8 S	2259.000000	2322.000000	BALDER FM	FORMATION	ROGALAND GP	3014	6	131	9999-12-31	2013-05-08
15/6-8 S	3069.000000	3075.000000	BLODØKS FM	FORMATION	SHETLAND GP	3014	13	143	9999-12-31	2013-05-08
15/6-8 S	3085.000000	3090.000000	CROMER KNOLL GP	GROUP	\N	3014	23	\N	9999-12-31	2013-05-08
15/6-8 S	3090.000000	3118.000000	DRAUPNE FM	FORMATION	VIKING GP	3014	28	188	9999-12-31	2013-05-08
15/6-8 S	2677.000000	2723.000000	EKOFISK FM	FORMATION	SHETLAND GP	3014	33	143	9999-12-31	2013-05-08
15/6-8 S	1811.000000	2037.000000	GRID FM	FORMATION	HORDALAND GP	3014	53	67	9999-12-31	2013-05-08
15/6-8 S	3118.000000	3165.000000	HEATHER FM	FORMATION	VIKING GP	3014	60	188	9999-12-31	2013-05-08
15/6-8 S	2433.000000	2650.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3014	62	131	9999-12-31	2013-05-08
15/6-8 S	2838.000000	3069.000000	HOD FM	FORMATION	SHETLAND GP	3014	66	143	9999-12-31	2013-05-08
15/6-8 S	1080.000000	2259.000000	HORDALAND GP	GROUP	\N	3014	67	\N	9999-12-31	2013-05-08
15/6-8 S	3165.000000	3174.000000	HUGIN FM	FORMATION	VESTLAND GP	3014	69	186	9999-12-31	2013-05-08
15/6-8 S	2385.000000	2433.000000	LISTA FM	FORMATION	ROGALAND GP	3014	95	131	9999-12-31	2013-05-08
15/6-8 S	1243.000000	1270.000000	NO FORMAL NAME	FORMATION	\N	3014	111	\N	9999-12-31	2013-05-08
15/6-8 S	1280.000000	1362.000000	NO FORMAL NAME	FORMATION	\N	3014	111	\N	9999-12-31	2013-05-08
15/6-8 S	1390.000000	1811.000000	NO FORMAL NAME	FORMATION	\N	3014	111	\N	9999-12-31	2013-05-08
15/6-8 S	2037.000000	2259.000000	NO FORMAL NAME	FORMATION	\N	3014	111	\N	9999-12-31	2013-05-08
15/6-8 S	127.000000	1080.000000	NORDLAND GP	GROUP	\N	3014	113	\N	9999-12-31	2013-05-08
15/6-8 S	2259.000000	2677.000000	ROGALAND GP	GROUP	\N	3014	131	\N	9999-12-31	2013-05-08
15/6-8 S	2322.000000	2385.000000	SELE FM	FORMATION	ROGALAND GP	3014	142	131	9999-12-31	2013-05-08
15/6-8 S	2677.000000	3085.000000	SHETLAND GP	GROUP	\N	3014	143	\N	9999-12-31	2013-05-08
15/6-8 S	1178.000000	1243.000000	SKADE FM	FORMATION	HORDALAND GP	3014	145	67	9999-12-31	2013-05-08
15/6-8 S	1270.000000	1280.000000	SKADE FM	FORMATION	HORDALAND GP	3014	145	67	9999-12-31	2013-05-08
15/6-8 S	1362.000000	1390.000000	SKADE FM	FORMATION	HORDALAND GP	3014	145	67	9999-12-31	2013-05-08
15/6-8 S	3174.000000	3225.000000	SKAGERRAK FM	FORMATION	HEGRE GP	3014	146	61	9999-12-31	2013-05-08
15/6-8 S	3075.000000	3085.000000	SVARTE FM	FORMATION	SHETLAND GP	3014	160	143	9999-12-31	2013-05-08
15/6-8 S	2723.000000	2838.000000	TOR FM	FORMATION	SHETLAND GP	3014	171	143	9999-12-31	2013-05-08
15/6-8 S	773.000000	1080.000000	UTSIRA FM	FORMATION	NORDLAND GP	3014	183	113	9999-12-31	2013-05-08
15/6-8 S	3165.000000	3174.000000	VESTLAND GP	GROUP	\N	3014	186	\N	9999-12-31	2013-05-08
15/6-8 S	3090.000000	3165.000000	VIKING GP	GROUP	\N	3014	188	\N	9999-12-31	2013-05-08
15/6-8 S	2650.000000	2677.000000	VÅLE FM	FORMATION	ROGALAND GP	3014	190	131	9999-12-31	2013-05-08
15/6-8 S	3085.000000	3090.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3014	198	23	9999-12-31	2013-05-08
15/6-8 S	3174.000000	3225.000000	NO GROUP DEFINED	GROUP	\N	3014	208	\N	9999-12-31	2013-05-08
7228/7-1 S	334.000000	1362.000000	ADVENTDALEN GP	GROUP	\N	3015	1	\N	9999-12-31	2013-05-08
7228/7-1 S	1480.000000	1598.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	3015	46	79	9999-12-31	2013-05-08
7228/7-1 S	1348.000000	1362.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	3015	47	1	9999-12-31	2013-05-08
7228/7-1 S	1314.000000	1348.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	3015	63	1	9999-12-31	2013-05-08
7228/7-1 S	1362.000000	1712.000000	KAPP TOSCANA GP	GROUP	\N	3015	79	\N	9999-12-31	2013-05-08
7228/7-1 S	1300.000000	1314.000000	KNURR FM	FORMATION	ADVENTDALEN GP	3015	82	1	9999-12-31	2013-05-08
7228/7-1 S	334.000000	1300.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	3015	85	1	9999-12-31	2013-05-08
7228/7-1 S	311.000000	334.000000	NORDLAND GP	GROUP	\N	3015	113	\N	9999-12-31	2013-05-08
7228/7-1 S	1378.000000	1397.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	3015	118	79	9999-12-31	2013-05-08
7228/7-1 S	1598.000000	1712.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	3015	150	79	9999-12-31	2013-05-08
7228/7-1 S	1362.000000	1378.000000	STØ FM	FORMATION	KAPP TOSCANA GP	3015	159	79	9999-12-31	2013-05-08
7228/7-1 S	1397.000000	1480.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	3015	174	79	9999-12-31	2013-05-08
7228/7-1 S	1712.000000	2087.000000	UNDEFINED GP	GROUP	\N	3015	191	\N	9999-12-31	2013-05-08
25/8-9 A	2149.000000	2294.000000	BALDER FM	FORMATION	ROGALAND GP	3025	6	131	9999-12-31	2013-05-08
25/8-9 A	1292.000000	1355.000000	GRID FM	FORMATION	HORDALAND GP	3025	53	67	9999-12-31	2013-05-08
25/8-9 A	2478.000000	2607.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3025	62	131	9999-12-31	2013-05-08
25/8-9 A	790.000000	2149.000000	HORDALAND GP	GROUP	\N	3025	67	\N	9999-12-31	2013-05-08
25/8-9 A	2376.000000	2478.000000	LISTA FM	FORMATION	ROGALAND GP	3025	95	131	9999-12-31	2013-05-08
25/8-9 A	2607.000000	2687.000000	LISTA FM	FORMATION	ROGALAND GP	3025	95	131	9999-12-31	2013-05-08
25/8-9 A	780.000000	790.000000	NO FORMAL NAME	FORMATION	\N	3025	111	\N	9999-12-31	2013-05-08
25/8-9 A	905.000000	1292.000000	NO FORMAL NAME	FORMATION	\N	3025	111	\N	9999-12-31	2013-05-08
25/8-9 A	1355.000000	2149.000000	NO FORMAL NAME	FORMATION	\N	3025	111	\N	9999-12-31	2013-05-08
25/8-9 A	150.000000	790.000000	NORDLAND GP	GROUP	\N	3025	113	\N	9999-12-31	2013-05-08
25/8-9 A	2149.000000	2687.000000	ROGALAND GP	GROUP	\N	3025	131	\N	9999-12-31	2013-05-08
25/8-9 A	2294.000000	2376.000000	SELE FM	FORMATION	ROGALAND GP	3025	142	131	9999-12-31	2013-05-08
25/8-9 A	790.000000	905.000000	SKADE FM	FORMATION	HORDALAND GP	3025	145	67	9999-12-31	2013-05-08
25/8-9 A	694.000000	780.000000	UTSIRA FM	FORMATION	NORDLAND GP	3025	183	113	9999-12-31	2013-05-08
35/11-10	1414.000000	1462.000000	BALDER FM	FORMATION	ROGALAND GP	3042	6	131	9999-12-31	2013-05-08
35/11-10	2648.000000	2801.000000	BRENT GP	GROUP	\N	3042	16	\N	9999-12-31	2013-05-08
35/11-10	2818.000000	2950.000000	COOK FM	FORMATION	DUNLIN GP	3042	24	29	9999-12-31	2013-05-08
35/11-10	2801.000000	2818.000000	DRAKE FM	FORMATION	DUNLIN GP	3042	27	29	9999-12-31	2013-05-08
35/11-10	1965.000000	1971.000000	DRAUPNE FM	FORMATION	VIKING GP	3042	28	188	9999-12-31	2013-05-08
35/11-10	2801.000000	2950.000000	DUNLIN GP	GROUP	\N	3042	29	\N	9999-12-31	2013-05-08
35/11-10	2718.000000	2728.000000	ETIVE FM	FORMATION	BRENT GP	3042	35	16	9999-12-31	2013-05-08
35/11-10	2275.000000	2385.000000	FENSFJORD FM	FORMATION	VIKING GP	3042	40	188	9999-12-31	2013-05-08
35/11-10	2117.000000	2275.000000	HEATHER FM	FORMATION	VIKING GP	3042	60	188	9999-12-31	2013-05-08
35/11-10	2385.000000	2648.000000	HEATHER FM	FORMATION	VIKING GP	3042	60	188	9999-12-31	2013-05-08
35/11-10	1713.000000	1777.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3042	62	131	9999-12-31	2013-05-08
35/11-10	756.000000	1414.000000	HORDALAND GP	GROUP	\N	3042	67	\N	9999-12-31	2013-05-08
35/11-10	1858.000000	1965.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3042	74	143	9999-12-31	2013-05-08
35/11-10	1578.000000	1713.000000	LISTA FM	FORMATION	ROGALAND GP	3042	95	131	9999-12-31	2013-05-08
35/11-10	1777.000000	1791.000000	LISTA FM	FORMATION	ROGALAND GP	3042	95	131	9999-12-31	2013-05-08
35/11-10	2648.000000	2718.000000	NESS FM	FORMATION	BRENT GP	3042	110	16	9999-12-31	2013-05-08
35/11-10	376.000000	756.000000	NORDLAND GP	GROUP	\N	3042	113	\N	9999-12-31	2013-05-08
35/11-10	2746.000000	2801.000000	OSEBERG FM	FORMATION	BRENT GP	3042	123	16	9999-12-31	2013-05-08
35/11-10	2728.000000	2746.000000	RANNOCH FM	FORMATION	BRENT GP	3042	126	16	9999-12-31	2013-05-08
35/11-10	1414.000000	1858.000000	ROGALAND GP	GROUP	\N	3042	131	\N	9999-12-31	2013-05-08
35/11-10	1462.000000	1578.000000	SELE FM	FORMATION	ROGALAND GP	3042	142	131	9999-12-31	2013-05-08
35/11-10	1858.000000	1965.000000	SHETLAND GP	GROUP	\N	3042	143	\N	9999-12-31	2013-05-08
35/11-10	1971.000000	2117.000000	SOGNEFJORD FM	FORMATION	VIKING GP	3042	151	188	9999-12-31	2013-05-08
35/11-10	1965.000000	2648.000000	VIKING GP	GROUP	\N	3042	188	\N	9999-12-31	2013-05-08
35/11-10	1791.000000	1858.000000	VÅLE FM	FORMATION	ROGALAND GP	3042	190	131	9999-12-31	2013-05-08
6306/5-1	1125.000000	1409.000000	BRYGGE FM	FORMATION	HORDALAND GP	3060	18	67	9999-12-31	2013-05-08
6306/5-1	1750.000000	1762.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	3060	31	131	9999-12-31	2013-05-08
6306/5-1	1125.000000	1409.000000	HORDALAND GP	GROUP	\N	3060	67	\N	9999-12-31	2013-05-08
6306/5-1	1041.000000	1125.000000	KAI FM	FORMATION	NORDLAND GP	3060	77	113	9999-12-31	2013-05-08
6306/5-1	1811.000000	2050.000000	KVITNOS FM	FORMATION	SHETLAND GP	3060	91	143	9999-12-31	2013-05-08
6306/5-1	253.000000	1041.000000	NAUST FM	FORMATION	NORDLAND GP	3060	109	113	9999-12-31	2013-05-08
6306/5-1	1762.000000	1811.000000	NISE FM	FORMATION	SHETLAND GP	3060	112	143	9999-12-31	2013-05-08
6306/5-1	253.000000	1125.000000	NORDLAND GP	GROUP	\N	3060	113	\N	9999-12-31	2013-05-08
6306/5-1	1409.000000	1762.000000	ROGALAND GP	GROUP	\N	3060	131	\N	9999-12-31	2013-05-08
6306/5-1	1762.000000	2050.000000	SHETLAND GP	GROUP	\N	3060	143	\N	9999-12-31	2013-05-08
6306/5-1	1487.000000	1750.000000	TANG FM	FORMATION	ROGALAND GP	3060	161	131	9999-12-31	2013-05-08
6306/5-1	1409.000000	1487.000000	TARE FM	FORMATION	ROGALAND GP	3060	163	131	9999-12-31	2013-05-08
25/8-10 S	1645.000000	1708.000000	BALDER FM	FORMATION	ROGALAND GP	3062	6	131	9999-12-31	2013-05-08
25/8-10 S	1827.000000	1890.000000	EKOFISK FM	FORMATION	SHETLAND GP	3062	33	143	9999-12-31	2013-05-08
25/8-10 S	1761.000000	1765.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3062	62	131	9999-12-31	2013-05-08
25/8-10 S	1777.000000	1827.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3062	62	131	9999-12-31	2013-05-08
25/8-10 S	1725.000000	1741.000000	HERMOD FM	FORMATION	ROGALAND GP	3062	64	131	9999-12-31	2013-05-08
25/8-10 S	757.000000	1645.000000	HORDALAND GP	GROUP	\N	3062	67	\N	9999-12-31	2013-05-08
25/8-10 S	1741.000000	1761.000000	LISTA FM	FORMATION	ROGALAND GP	3062	95	131	9999-12-31	2013-05-08
25/8-10 S	1765.000000	1777.000000	LISTA FM	FORMATION	ROGALAND GP	3062	95	131	9999-12-31	2013-05-08
25/8-10 S	692.000000	757.000000	NO FORMAL NAME	FORMATION	\N	3062	111	\N	9999-12-31	2013-05-08
25/8-10 S	900.000000	910.000000	NO FORMAL NAME	FORMATION	\N	3062	111	\N	9999-12-31	2013-05-08
25/8-10 S	1100.000000	1645.000000	NO FORMAL NAME	FORMATION	\N	3062	111	\N	9999-12-31	2013-05-08
25/8-10 S	154.000000	757.000000	NORDLAND GP	GROUP	\N	3062	113	\N	9999-12-31	2013-05-08
25/8-10 S	1645.000000	1827.000000	ROGALAND GP	GROUP	\N	3062	131	\N	9999-12-31	2013-05-08
25/8-10 S	1708.000000	1725.000000	SELE FM	FORMATION	ROGALAND GP	3062	142	131	9999-12-31	2013-05-08
25/8-10 S	1827.000000	1890.000000	SHETLAND GP	GROUP	\N	3062	143	\N	9999-12-31	2013-05-08
25/8-10 S	757.000000	900.000000	SKADE FM	FORMATION	HORDALAND GP	3062	145	67	9999-12-31	2013-05-08
25/8-10 S	910.000000	1100.000000	SKADE FM	FORMATION	HORDALAND GP	3062	145	67	9999-12-31	2013-05-08
25/8-10 S	629.000000	692.000000	UTSIRA FM	FORMATION	NORDLAND GP	3062	183	113	9999-12-31	2013-05-08
16/7-6	2030.000000	2071.000000	BALDER FM	FORMATION	ROGALAND GP	3067	6	131	9999-12-31	2013-05-08
16/7-6	2478.000000	2504.000000	BLODØKS FM	FORMATION	SHETLAND GP	3067	13	143	9999-12-31	2013-05-08
16/7-6	2504.000000	2555.000000	CROMER KNOLL GP	GROUP	\N	3067	23	\N	9999-12-31	2013-05-08
16/7-6	2555.000000	2556.000000	DRAUPNE FM	FORMATION	VIKING GP	3067	28	188	9999-12-31	2013-05-08
16/7-6	2197.000000	2221.000000	EKOFISK FM	FORMATION	SHETLAND GP	3067	33	143	9999-12-31	2013-05-08
16/7-6	2419.000000	2478.000000	HOD FM	FORMATION	SHETLAND GP	3067	66	143	9999-12-31	2013-05-08
16/7-6	1106.000000	2030.000000	HORDALAND GP	GROUP	\N	3067	67	\N	9999-12-31	2013-05-08
16/7-6	2115.000000	2184.000000	LISTA FM	FORMATION	ROGALAND GP	3067	95	131	9999-12-31	2013-05-08
16/7-6	103.000000	1106.000000	NORDLAND GP	GROUP	\N	3067	113	\N	9999-12-31	2013-05-08
16/7-6	2030.000000	2197.000000	ROGALAND GP	GROUP	\N	3067	131	\N	9999-12-31	2013-05-08
16/7-6	2504.000000	2530.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3067	137	23	9999-12-31	2013-05-08
16/7-6	2071.000000	2115.000000	SELE FM	FORMATION	ROGALAND GP	3067	142	131	9999-12-31	2013-05-08
16/7-6	2197.000000	2504.000000	SHETLAND GP	GROUP	\N	3067	143	\N	9999-12-31	2013-05-08
16/7-6	2565.000000	2725.000000	SKAGERRAK FM	FORMATION	HEGRE GP	3067	146	61	9999-12-31	2013-05-08
16/7-6	2530.000000	2550.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3067	152	23	9999-12-31	2013-05-08
16/7-6	2221.000000	2419.000000	TOR FM	FORMATION	SHETLAND GP	3067	171	143	9999-12-31	2013-05-08
16/7-6	2556.000000	2565.000000	UNDIFFERENTIATED	FORMATION	\N	3067	182	\N	9999-12-31	2013-05-08
16/7-6	867.000000	1106.000000	UTSIRA FM	FORMATION	NORDLAND GP	3067	183	113	9999-12-31	2013-05-08
16/7-6	2555.000000	2556.000000	VIKING GP	GROUP	\N	3067	188	\N	9999-12-31	2013-05-08
16/7-6	2184.000000	2197.000000	VÅLE FM	FORMATION	ROGALAND GP	3067	190	131	9999-12-31	2013-05-08
16/7-6	2550.000000	2555.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3067	198	23	9999-12-31	2013-05-08
16/7-6	2556.000000	2725.000000	NO GROUP DEFINED	GROUP	\N	3067	208	\N	9999-12-31	2013-05-08
15/12-11 S	2530.000000	2572.000000	BALDER FM	FORMATION	ROGALAND GP	3074	6	131	9999-12-31	2013-05-08
15/12-11 S	3128.000000	3146.000000	BLODØKS FM	FORMATION	SHETLAND GP	3074	13	143	9999-12-31	2013-05-08
15/12-11 S	3221.000000	3241.000000	CROMER KNOLL GP	GROUP	\N	3074	23	\N	9999-12-31	2013-05-08
15/12-11 S	3241.000000	3322.000000	DRAUPNE FM	FORMATION	VIKING GP	3074	28	188	9999-12-31	2013-05-08
15/12-11 S	2840.000000	2856.000000	EKOFISK FM	FORMATION	SHETLAND GP	3074	33	143	9999-12-31	2013-05-08
15/12-11 S	2270.000000	2309.000000	GRID FM	FORMATION	HORDALAND GP	3074	53	67	9999-12-31	2013-05-08
15/12-11 S	3322.000000	3395.000000	HEATHER FM	FORMATION	VIKING GP	3074	60	188	9999-12-31	2013-05-08
15/12-11 S	2680.000000	2813.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3074	62	131	9999-12-31	2013-05-08
15/12-11 S	2922.000000	3128.000000	HOD FM	FORMATION	SHETLAND GP	3074	66	143	9999-12-31	2013-05-08
15/12-11 S	1323.000000	2530.000000	HORDALAND GP	GROUP	\N	3074	67	\N	9999-12-31	2013-05-08
15/12-11 S	3395.000000	3419.000000	HUGIN FM	FORMATION	VESTLAND GP	3074	69	186	9999-12-31	2013-05-08
15/12-11 S	2612.000000	2680.000000	LISTA FM	FORMATION	ROGALAND GP	3074	95	131	9999-12-31	2013-05-08
15/12-11 S	2813.000000	2825.000000	MAUREEN FM	FORMATION	ROGALAND GP	3074	102	131	9999-12-31	2013-05-08
15/12-11 S	1130.000000	1323.000000	NO FORMAL NAME	FORMATION	\N	3074	111	\N	9999-12-31	2013-05-08
15/12-11 S	2309.000000	2530.000000	NO FORMAL NAME	FORMATION	\N	3074	111	\N	9999-12-31	2013-05-08
15/12-11 S	122.000000	1323.000000	NORDLAND GP	GROUP	\N	3074	113	\N	9999-12-31	2013-05-08
15/12-11 S	2530.000000	2840.000000	ROGALAND GP	GROUP	\N	3074	131	\N	9999-12-31	2013-05-08
15/12-11 S	3221.000000	3234.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3074	137	23	9999-12-31	2013-05-08
15/12-11 S	2572.000000	2612.000000	SELE FM	FORMATION	ROGALAND GP	3074	142	131	9999-12-31	2013-05-08
15/12-11 S	2840.000000	3221.000000	SHETLAND GP	GROUP	\N	3074	143	\N	9999-12-31	2013-05-08
15/12-11 S	3544.000000	3597.000000	SKAGERRAK FM	FORMATION	HEGRE GP	3074	146	61	9999-12-31	2013-05-08
15/12-11 S	3419.000000	3544.000000	SLEIPNER FM	FORMATION	VESTLAND GP	3074	148	186	9999-12-31	2013-05-08
15/12-11 S	3146.000000	3221.000000	SVARTE FM	FORMATION	SHETLAND GP	3074	160	143	9999-12-31	2013-05-08
15/12-11 S	2856.000000	2922.000000	TOR FM	FORMATION	SHETLAND GP	3074	171	143	9999-12-31	2013-05-08
15/12-11 S	967.000000	1130.000000	UTSIRA FM	FORMATION	NORDLAND GP	3074	183	113	9999-12-31	2013-05-08
15/12-11 S	3395.000000	3544.000000	VESTLAND GP	GROUP	\N	3074	186	\N	9999-12-31	2013-05-08
15/12-11 S	3241.000000	3395.000000	VIKING GP	GROUP	\N	3074	188	\N	9999-12-31	2013-05-08
15/12-11 S	2825.000000	2840.000000	VÅLE FM	FORMATION	ROGALAND GP	3074	190	131	9999-12-31	2013-05-08
15/12-11 S	3234.000000	3241.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3074	198	23	9999-12-31	2013-05-08
15/12-11 S	3544.000000	3597.000000	NO GROUP DEFINED	GROUP	\N	3074	208	\N	9999-12-31	2013-05-08
6707/10-1	4241.000000	5039.000000	KVITNOS FM	FORMATION	SHETLAND GP	3075	91	143	9999-12-31	2013-05-08
6707/10-1	2898.000000	2977.000000	NISE FM	FORMATION	SHETLAND GP	3075	112	143	9999-12-31	2013-05-08
6707/10-1	3810.000000	3939.000000	NISE FM	FORMATION	SHETLAND GP	3075	112	143	9999-12-31	2013-05-08
6707/10-1	1299.000000	2142.000000	NORDLAND GP	GROUP	\N	3075	113	\N	9999-12-31	2013-05-08
6707/10-1	2142.000000	2448.000000	ROGALAND GP	GROUP	\N	3075	131	\N	9999-12-31	2013-05-08
6707/10-1	2448.000000	5039.000000	SHETLAND GP	GROUP	\N	3075	143	\N	9999-12-31	2013-05-08
6707/10-1	2448.000000	2898.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3075	156	143	9999-12-31	2013-05-08
6707/10-1	2200.000000	2448.000000	TANG FM	FORMATION	ROGALAND GP	3075	161	131	9999-12-31	2013-05-08
6707/10-1	2142.000000	2200.000000	TARE FM	FORMATION	ROGALAND GP	3075	163	131	9999-12-31	2013-05-08
6707/10-1	2977.000000	3810.000000	DELFIN FM (INFORMAL)	FORMATION	SHETLAND GP	3075	204	143	9999-12-31	2013-05-08
6707/10-1	3939.000000	4241.000000	DELFIN FM (INFORMAL)	FORMATION	SHETLAND GP	3075	204	143	9999-12-31	2013-05-08
15/6-8 A	2264.000000	2323.000000	BALDER FM	FORMATION	ROGALAND GP	3077	6	131	9999-12-31	2013-05-08
15/6-8 A	1811.000000	2086.000000	GRID FM	FORMATION	HORDALAND GP	3077	53	67	9999-12-31	2013-05-08
15/6-8 A	2431.000000	2480.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3077	62	131	9999-12-31	2013-05-08
15/6-8 A	1080.000000	2264.000000	HORDALAND GP	GROUP	\N	3077	67	\N	9999-12-31	2013-05-08
15/6-8 A	2382.000000	2431.000000	LISTA FM	FORMATION	ROGALAND GP	3077	95	131	9999-12-31	2013-05-08
15/6-8 A	1243.000000	1270.000000	NO FORMAL NAME	FORMATION	\N	3077	111	\N	9999-12-31	2013-05-08
15/6-8 A	1280.000000	1362.000000	NO FORMAL NAME	FORMATION	\N	3077	111	\N	9999-12-31	2013-05-08
15/6-8 A	1390.000000	1811.000000	NO FORMAL NAME	FORMATION	\N	3077	111	\N	9999-12-31	2013-05-08
15/6-8 A	2086.000000	2264.000000	NO FORMAL NAME	FORMATION	\N	3077	111	\N	9999-12-31	2013-05-08
15/6-8 A	127.000000	1080.000000	NORDLAND GP	GROUP	\N	3077	113	\N	9999-12-31	2013-05-08
15/6-8 A	2264.000000	2480.000000	ROGALAND GP	GROUP	\N	3077	131	\N	9999-12-31	2013-05-08
15/6-8 A	2323.000000	2382.000000	SELE FM	FORMATION	ROGALAND GP	3077	142	131	9999-12-31	2013-05-08
15/6-8 A	1177.000000	1243.000000	SKADE FM	FORMATION	HORDALAND GP	3077	145	67	9999-12-31	2013-05-08
15/6-8 A	1270.000000	1280.000000	SKADE FM	FORMATION	HORDALAND GP	3077	145	67	9999-12-31	2013-05-08
15/6-8 A	1362.000000	1390.000000	SKADE FM	FORMATION	HORDALAND GP	3077	145	67	9999-12-31	2013-05-08
15/6-8 A	773.000000	1080.000000	UTSIRA FM	FORMATION	NORDLAND GP	3077	183	113	9999-12-31	2013-05-08
2/5-11	3076.000000	3086.000000	BALDER FM	FORMATION	ROGALAND GP	3084	6	131	9999-12-31	2013-05-08
2/5-11	3203.000000	3362.000000	EKOFISK FM	FORMATION	SHETLAND GP	3084	33	143	9999-12-31	2013-05-08
2/5-11	1752.000000	3076.000000	HORDALAND GP	GROUP	\N	3084	67	\N	9999-12-31	2013-05-08
2/5-11	3096.000000	3181.000000	LISTA FM	FORMATION	ROGALAND GP	3084	95	131	9999-12-31	2013-05-08
2/5-11	104.000000	1752.000000	NORDLAND GP	GROUP	\N	3084	113	\N	9999-12-31	2013-05-08
2/5-11	3076.000000	3203.000000	ROGALAND GP	GROUP	\N	3084	131	\N	9999-12-31	2013-05-08
2/5-11	3086.000000	3096.000000	SELE FM	FORMATION	ROGALAND GP	3084	142	131	9999-12-31	2013-05-08
2/5-11	3203.000000	3550.000000	SHETLAND GP	GROUP	\N	3084	143	\N	9999-12-31	2013-05-08
2/5-11	3362.000000	3550.000000	TOR FM	FORMATION	SHETLAND GP	3084	171	143	9999-12-31	2013-05-08
2/5-11	3181.000000	3203.000000	VÅLE FM	FORMATION	ROGALAND GP	3084	190	131	9999-12-31	2013-05-08
9/2-7 S	945.000000	980.000000	BALDER FM	FORMATION	ROGALAND GP	3087	6	131	9999-12-31	2013-05-08
9/2-7 S	2105.000000	2180.000000	BLODØKS FM	FORMATION	SHETLAND GP	3087	13	143	9999-12-31	2013-05-08
9/2-7 S	3062.000000	3854.000000	BOKNFJORD GP	GROUP	\N	3087	15	\N	9999-12-31	2013-05-08
9/2-7 S	3994.000000	4099.000000	BRYNE FM	FORMATION	VESTLAND GP	3087	19	186	9999-12-31	2013-05-08
9/2-7 S	2180.000000	3062.000000	CROMER KNOLL GP	GROUP	\N	3087	23	\N	9999-12-31	2013-05-08
9/2-7 S	3784.000000	3854.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	3087	30	15	9999-12-31	2013-05-08
9/2-7 S	1057.000000	1117.000000	EKOFISK FM	FORMATION	SHETLAND GP	3087	33	143	9999-12-31	2013-05-08
9/2-7 S	3062.000000	3182.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	3087	43	15	9999-12-31	2013-05-08
9/2-7 S	1585.000000	2105.000000	HOD FM	FORMATION	SHETLAND GP	3087	66	143	9999-12-31	2013-05-08
9/2-7 S	415.000000	945.000000	HORDALAND GP	GROUP	\N	3087	67	\N	9999-12-31	2013-05-08
9/2-7 S	1000.000000	1043.000000	LISTA FM	FORMATION	ROGALAND GP	3087	95	131	9999-12-31	2013-05-08
9/2-7 S	102.000000	415.000000	NORDLAND GP	GROUP	\N	3087	113	\N	9999-12-31	2013-05-08
9/2-7 S	945.000000	1057.000000	ROGALAND GP	GROUP	\N	3087	131	\N	9999-12-31	2013-05-08
9/2-7 S	2180.000000	2203.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3087	137	23	9999-12-31	2013-05-08
9/2-7 S	3854.000000	3994.000000	SANDNES FM	FORMATION	VESTLAND GP	3087	139	186	9999-12-31	2013-05-08
9/2-7 S	3182.000000	3683.000000	SAUDA FM	FORMATION	BOKNFJORD GP	3087	141	15	9999-12-31	2013-05-08
9/2-7 S	980.000000	1000.000000	SELE FM	FORMATION	ROGALAND GP	3087	142	131	9999-12-31	2013-05-08
9/2-7 S	1057.000000	2180.000000	SHETLAND GP	GROUP	\N	3087	143	\N	9999-12-31	2013-05-08
9/2-7 S	2203.000000	2362.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3087	152	23	9999-12-31	2013-05-08
9/2-7 S	3683.000000	3784.000000	TAU FM	FORMATION	BOKNFJORD GP	3087	164	15	9999-12-31	2013-05-08
9/2-7 S	1117.000000	1585.000000	TOR FM	FORMATION	SHETLAND GP	3087	171	143	9999-12-31	2013-05-08
9/2-7 S	3854.000000	4099.000000	VESTLAND GP	GROUP	\N	3087	186	\N	9999-12-31	2013-05-08
9/2-7 S	1043.000000	1057.000000	VÅLE FM	FORMATION	ROGALAND GP	3087	190	131	9999-12-31	2013-05-08
9/2-7 S	2362.000000	3062.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3087	198	23	9999-12-31	2013-05-08
6407/8-3	1175.000000	1374.000000	BRYGGE FM	FORMATION	HORDALAND GP	3092	18	67	9999-12-31	2013-05-08
6407/8-3	1805.000000	1960.000000	BÅT GP	GROUP	\N	3092	22	\N	9999-12-31	2013-05-08
6407/8-3	1631.000000	1639.000000	CROMER KNOLL GP	GROUP	\N	3092	23	\N	9999-12-31	2013-05-08
6407/8-3	1666.000000	1805.000000	FANGST GP	GROUP	\N	3092	38	\N	9999-12-31	2013-05-08
6407/8-3	1175.000000	1374.000000	HORDALAND GP	GROUP	\N	3092	67	\N	9999-12-31	2013-05-08
6407/8-3	1678.000000	1805.000000	ILE FM	FORMATION	FANGST GP	3092	70	38	9999-12-31	2013-05-08
6407/8-3	1631.000000	1639.000000	LYR FM	FORMATION	CROMER KNOLL GP	3092	98	23	9999-12-31	2013-05-08
6407/8-3	310.000000	1175.000000	NORDLAND GP	GROUP	\N	3092	113	\N	9999-12-31	2013-05-08
6407/8-3	1666.000000	1678.000000	NOT FM	FORMATION	FANGST GP	3092	120	38	9999-12-31	2013-05-08
6407/8-3	1374.000000	1555.000000	ROGALAND GP	GROUP	\N	3092	131	\N	9999-12-31	2013-05-08
6407/8-3	1805.000000	1842.000000	ROR FM	FORMATION	BÅT GP	3092	135	22	9999-12-31	2013-05-08
6407/8-3	1555.000000	1631.000000	SHETLAND GP	GROUP	\N	3092	143	\N	9999-12-31	2013-05-08
6407/8-3	1639.000000	1666.000000	SPEKK FM	FORMATION	VIKING GP	3092	155	188	9999-12-31	2013-05-08
6407/8-3	1409.000000	1555.000000	TANG FM	FORMATION	ROGALAND GP	3092	161	131	9999-12-31	2013-05-08
6407/8-3	1374.000000	1409.000000	TARE FM	FORMATION	ROGALAND GP	3092	163	131	9999-12-31	2013-05-08
6407/8-3	1842.000000	1935.000000	TILJE FM	FORMATION	BÅT GP	3092	169	22	9999-12-31	2013-05-08
6407/8-3	1639.000000	1666.000000	VIKING GP	GROUP	\N	3092	188	\N	9999-12-31	2013-05-08
6407/8-3	1935.000000	1960.000000	ÅRE FM	FORMATION	BÅT GP	3092	197	22	9999-12-31	2013-05-08
25/10-8 A	2417.000000	2505.000000	BALDER FM	FORMATION	ROGALAND GP	3098	6	131	9999-12-31	2013-05-08
25/10-8 A	3090.000000	3245.000000	DRAUPNE FM	FORMATION	VIKING GP	3098	28	188	9999-12-31	2013-05-08
25/10-8 A	3420.000000	3460.000000	DRAUPNE FM	FORMATION	VIKING GP	3098	28	188	9999-12-31	2013-05-08
25/10-8 A	2884.000000	2986.000000	EKOFISK FM	FORMATION	SHETLAND GP	3098	33	143	9999-12-31	2013-05-08
25/10-8 A	1737.000000	1810.000000	GRID FM	FORMATION	HORDALAND GP	3098	53	67	9999-12-31	2013-05-08
25/10-8 A	2662.000000	2759.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3098	62	131	9999-12-31	2013-05-08
25/10-8 A	850.000000	2417.000000	HORDALAND GP	GROUP	\N	3098	67	\N	9999-12-31	2013-05-08
25/10-8 A	2584.000000	2662.000000	LISTA FM	FORMATION	ROGALAND GP	3098	95	131	9999-12-31	2013-05-08
25/10-8 A	2759.000000	2853.000000	LISTA FM	FORMATION	ROGALAND GP	3098	95	131	9999-12-31	2013-05-08
25/10-8 A	780.000000	850.000000	NO FORMAL NAME	FORMATION	\N	3098	111	\N	9999-12-31	2013-05-08
25/10-8 A	1023.000000	1107.000000	NO FORMAL NAME	FORMATION	\N	3098	111	\N	9999-12-31	2013-05-08
25/10-8 A	1237.000000	1737.000000	NO FORMAL NAME	FORMATION	\N	3098	111	\N	9999-12-31	2013-05-08
25/10-8 A	1810.000000	2417.000000	NO FORMAL NAME	FORMATION	\N	3098	111	\N	9999-12-31	2013-05-08
25/10-8 A	3245.000000	3420.000000	NO FORMAL NAME	FORMATION	\N	3098	111	\N	9999-12-31	2013-05-08
25/10-8 A	140.000000	850.000000	NORDLAND GP	GROUP	\N	3098	113	\N	9999-12-31	2013-05-08
25/10-8 A	2417.000000	2884.000000	ROGALAND GP	GROUP	\N	3098	131	\N	9999-12-31	2013-05-08
25/10-8 A	2505.000000	2584.000000	SELE FM	FORMATION	ROGALAND GP	3098	142	131	9999-12-31	2013-05-08
25/10-8 A	2884.000000	3090.000000	SHETLAND GP	GROUP	\N	3098	143	\N	9999-12-31	2013-05-08
25/10-8 A	850.000000	1023.000000	SKADE FM	FORMATION	HORDALAND GP	3098	145	67	9999-12-31	2013-05-08
25/10-8 A	1107.000000	1237.000000	SKADE FM	FORMATION	HORDALAND GP	3098	145	67	9999-12-31	2013-05-08
25/10-8 A	2986.000000	3090.000000	TOR FM	FORMATION	SHETLAND GP	3098	171	143	9999-12-31	2013-05-08
25/10-8 A	672.000000	780.000000	UTSIRA FM	FORMATION	NORDLAND GP	3098	183	113	9999-12-31	2013-05-08
25/10-8 A	3090.000000	3460.000000	VIKING GP	GROUP	\N	3098	188	\N	9999-12-31	2013-05-08
25/10-8 A	2853.000000	2884.000000	VÅLE FM	FORMATION	ROGALAND GP	3098	190	131	9999-12-31	2013-05-08
15/5-6	2045.000000	2098.000000	BALDER FM	FORMATION	ROGALAND GP	3113	6	131	9999-12-31	2013-05-08
15/5-6	2674.000000	2725.000000	EKOFISK FM	FORMATION	SHETLAND GP	3113	33	143	9999-12-31	2013-05-08
15/5-6	1539.000000	1839.000000	GRID FM	FORMATION	HORDALAND GP	3113	53	67	9999-12-31	2013-05-08
15/5-6	2172.000000	2592.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3113	62	131	9999-12-31	2013-05-08
15/5-6	898.000000	2045.000000	HORDALAND GP	GROUP	\N	3113	67	\N	9999-12-31	2013-05-08
15/5-6	2145.000000	2172.000000	LISTA FM	FORMATION	ROGALAND GP	3113	95	131	9999-12-31	2013-05-08
15/5-6	1839.000000	2045.000000	NO FORMAL NAME	FORMATION	\N	3113	111	\N	9999-12-31	2013-05-08
15/5-6	133.000000	898.000000	NORDLAND GP	GROUP	\N	3113	113	\N	9999-12-31	2013-05-08
15/5-6	2045.000000	2674.000000	ROGALAND GP	GROUP	\N	3113	131	\N	9999-12-31	2013-05-08
15/5-6	2098.000000	2145.000000	SELE FM	FORMATION	ROGALAND GP	3113	142	131	9999-12-31	2013-05-08
15/5-6	2674.000000	2725.000000	SHETLAND GP	GROUP	\N	3113	143	\N	9999-12-31	2013-05-08
15/5-6	2616.000000	2656.000000	TY FM	FORMATION	ROGALAND GP	3113	176	131	9999-12-31	2013-05-08
15/5-6	728.000000	898.000000	UTSIRA FM	FORMATION	NORDLAND GP	3113	183	113	9999-12-31	2013-05-08
15/5-6	2592.000000	2616.000000	VÅLE FM	FORMATION	ROGALAND GP	3113	190	131	9999-12-31	2013-05-08
15/5-6	2656.000000	2674.000000	VÅLE FM	FORMATION	ROGALAND GP	3113	190	131	9999-12-31	2013-05-08
25/7-4 S	1904.000000	2002.000000	BALDER FM	FORMATION	ROGALAND GP	3114	6	131	9999-12-31	2013-05-08
25/7-4 S	2512.000000	2550.000000	EKOFISK FM	FORMATION	SHETLAND GP	3114	33	143	9999-12-31	2013-05-08
25/7-4 S	2176.000000	2371.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3114	62	131	9999-12-31	2013-05-08
25/7-4 S	2018.000000	2121.000000	HERMOD FM	FORMATION	ROGALAND GP	3114	64	131	9999-12-31	2013-05-08
25/7-4 S	923.000000	1904.000000	HORDALAND GP	GROUP	\N	3114	67	\N	9999-12-31	2013-05-08
25/7-4 S	2121.000000	2176.000000	LISTA FM	FORMATION	ROGALAND GP	3114	95	131	9999-12-31	2013-05-08
25/7-4 S	1063.000000	1904.000000	NO FORMAL NAME	FORMATION	\N	3114	111	\N	9999-12-31	2013-05-08
25/7-4 S	149.000000	923.000000	NORDLAND GP	GROUP	\N	3114	113	\N	9999-12-31	2013-05-08
25/7-4 S	1904.000000	2512.000000	ROGALAND GP	GROUP	\N	3114	131	\N	9999-12-31	2013-05-08
25/7-4 S	2002.000000	2018.000000	SELE FM	FORMATION	ROGALAND GP	3114	142	131	9999-12-31	2013-05-08
25/7-4 S	2512.000000	2550.000000	SHETLAND GP	GROUP	\N	3114	143	\N	9999-12-31	2013-05-08
25/7-4 S	2550.000000	2560.000000	SHETLAND GP	GROUP	\N	3114	143	\N	9999-12-31	2013-05-08
25/7-4 S	995.000000	1063.000000	SKADE FM	FORMATION	HORDALAND GP	3114	145	67	9999-12-31	2013-05-08
25/7-4 S	2550.000000	2560.000000	TOR FM	FORMATION	SHETLAND GP	3114	171	143	9999-12-31	2013-05-08
25/7-4 S	2371.000000	2512.000000	TY FM	FORMATION	ROGALAND GP	3114	176	131	9999-12-31	2013-05-08
25/7-4 S	490.000000	923.000000	UTSIRA FM	FORMATION	NORDLAND GP	3114	183	113	9999-12-31	2013-05-08
25/11-19 SR	1792.000000	1823.000000	BALDER FM	FORMATION	ROGALAND GP	3117	6	131	9999-12-31	2013-05-08
25/11-19 SR	1833.000000	1865.000000	BALDER FM	FORMATION	ROGALAND GP	3117	6	131	9999-12-31	2013-05-08
25/11-19 SR	1823.000000	1833.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	3117	7	131	9999-12-31	2013-05-08
25/11-19 SR	2137.000000	2168.000000	CROMER KNOLL GP	GROUP	\N	3117	23	\N	9999-12-31	2013-05-08
25/11-19 SR	2168.000000	2200.000000	DRAUPNE FM	FORMATION	VIKING GP	3117	28	188	9999-12-31	2013-05-08
25/11-19 SR	2045.000000	2050.000000	EKOFISK FM	FORMATION	SHETLAND GP	3117	33	143	9999-12-31	2013-05-08
25/11-19 SR	1891.000000	1893.000000	HERMOD FM	FORMATION	ROGALAND GP	3117	64	131	9999-12-31	2013-05-08
25/11-19 SR	1897.000000	1985.000000	HERMOD FM	FORMATION	ROGALAND GP	3117	64	131	9999-12-31	2013-05-08
25/11-19 SR	2085.000000	2137.000000	HOD FM	FORMATION	SHETLAND GP	3117	66	143	9999-12-31	2013-05-08
25/11-19 SR	763.000000	1792.000000	HORDALAND GP	GROUP	\N	3117	67	\N	9999-12-31	2013-05-08
25/11-19 SR	1996.000000	2045.000000	LISTA FM	FORMATION	ROGALAND GP	3117	95	131	9999-12-31	2013-05-08
25/11-19 SR	713.000000	763.000000	NO FORMAL NAME	FORMATION	\N	3117	111	\N	9999-12-31	2013-05-08
25/11-19 SR	953.000000	1077.000000	NO FORMAL NAME	FORMATION	\N	3117	111	\N	9999-12-31	2013-05-08
25/11-19 SR	1087.000000	1169.000000	NO FORMAL NAME	FORMATION	\N	3117	111	\N	9999-12-31	2013-05-08
25/11-19 SR	1190.000000	1792.000000	NO FORMAL NAME	FORMATION	\N	3117	111	\N	9999-12-31	2013-05-08
25/11-19 SR	154.000000	763.000000	NORDLAND GP	GROUP	\N	3117	113	\N	9999-12-31	2013-05-08
25/11-19 SR	1792.000000	2045.000000	ROGALAND GP	GROUP	\N	3117	131	\N	9999-12-31	2013-05-08
25/11-19 SR	1865.000000	1891.000000	SELE FM	FORMATION	ROGALAND GP	3117	142	131	9999-12-31	2013-05-08
25/11-19 SR	1893.000000	1897.000000	SELE FM	FORMATION	ROGALAND GP	3117	142	131	9999-12-31	2013-05-08
25/11-19 SR	1985.000000	1996.000000	SELE FM	FORMATION	ROGALAND GP	3117	142	131	9999-12-31	2013-05-08
25/11-19 SR	2045.000000	2137.000000	SHETLAND GP	GROUP	\N	3117	143	\N	9999-12-31	2013-05-08
25/11-19 SR	763.000000	953.000000	SKADE FM	FORMATION	HORDALAND GP	3117	145	67	9999-12-31	2013-05-08
25/11-19 SR	1077.000000	1087.000000	SKADE FM	FORMATION	HORDALAND GP	3117	145	67	9999-12-31	2013-05-08
25/11-19 SR	1169.000000	1190.000000	SKADE FM	FORMATION	HORDALAND GP	3117	145	67	9999-12-31	2013-05-08
25/11-19 SR	2200.000000	2250.000000	STATFJORD FM	FORMATION	\N	3117	157	\N	9999-12-31	2013-05-08
25/11-19 SR	2050.000000	2085.000000	TOR FM	FORMATION	SHETLAND GP	3117	171	143	9999-12-31	2013-05-08
25/11-19 SR	597.000000	713.000000	UTSIRA FM	FORMATION	NORDLAND GP	3117	183	113	9999-12-31	2013-05-08
25/11-19 SR	2168.000000	2200.000000	VIKING GP	GROUP	\N	3117	188	\N	9999-12-31	2013-05-08
25/11-19 SR	2200.000000	2250.000000	NO GROUP DEFINED	GROUP	\N	3117	208	\N	9999-12-31	2013-05-08
6406/2-5	1976.000000	2340.000000	BRYGGE FM	FORMATION	HORDALAND GP	3125	18	67	9999-12-31	2013-05-08
6406/2-5	5043.000000	5439.000000	BÅT GP	GROUP	\N	3125	22	\N	9999-12-31	2013-05-08
6406/2-5	3480.000000	4792.000000	CROMER KNOLL GP	GROUP	\N	3125	23	\N	9999-12-31	2013-05-08
6406/2-5	4792.000000	5043.000000	FANGST GP	GROUP	\N	3125	38	\N	9999-12-31	2013-05-08
6406/2-5	4792.000000	4912.000000	GARN FM	FORMATION	FANGST GP	3125	48	38	9999-12-31	2013-05-08
6406/2-5	1976.000000	2340.000000	HORDALAND GP	GROUP	\N	3125	67	\N	9999-12-31	2013-05-08
6406/2-5	4950.000000	5043.000000	ILE FM	FORMATION	FANGST GP	3125	70	38	9999-12-31	2013-05-08
6406/2-5	1540.000000	1976.000000	KAI FM	FORMATION	NORDLAND GP	3125	77	113	9999-12-31	2013-05-08
6406/2-5	2867.000000	3480.000000	KVITNOS FM	FORMATION	SHETLAND GP	3125	91	143	9999-12-31	2013-05-08
6406/2-5	3501.000000	4654.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3125	94	23	9999-12-31	2013-05-08
6406/2-5	4654.000000	4792.000000	LYR FM	FORMATION	CROMER KNOLL GP	3125	98	23	9999-12-31	2013-05-08
6406/2-5	3480.000000	3501.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3125	99	23	9999-12-31	2013-05-08
6406/2-5	364.000000	1540.000000	NAUST FM	FORMATION	NORDLAND GP	3125	109	113	9999-12-31	2013-05-08
6406/2-5	2674.000000	2867.000000	NISE FM	FORMATION	SHETLAND GP	3125	112	143	9999-12-31	2013-05-08
6406/2-5	364.000000	1976.000000	NORDLAND GP	GROUP	\N	3125	113	\N	9999-12-31	2013-05-08
6406/2-5	4912.000000	4950.000000	NOT FM	FORMATION	FANGST GP	3125	120	38	9999-12-31	2013-05-08
6406/2-5	2340.000000	2469.000000	ROGALAND GP	GROUP	\N	3125	131	\N	9999-12-31	2013-05-08
6406/2-5	5043.000000	5108.000000	ROR FM	FORMATION	BÅT GP	3125	135	22	9999-12-31	2013-05-08
6406/2-5	5207.000000	5210.000000	ROR FM	FORMATION	BÅT GP	3125	135	22	9999-12-31	2013-05-08
6406/2-5	2469.000000	3480.000000	SHETLAND GP	GROUP	\N	3125	143	\N	9999-12-31	2013-05-08
6406/2-5	2469.000000	2674.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3125	156	143	9999-12-31	2013-05-08
6406/2-5	2397.000000	2469.000000	TANG FM	FORMATION	ROGALAND GP	3125	161	131	9999-12-31	2013-05-08
6406/2-5	2340.000000	2397.000000	TARE FM	FORMATION	ROGALAND GP	3125	163	131	9999-12-31	2013-05-08
6406/2-5	5210.000000	5396.000000	TILJE FM	FORMATION	BÅT GP	3125	169	22	9999-12-31	2013-05-08
6406/2-5	5108.000000	5207.000000	TOFTE FM	FORMATION	BÅT GP	3125	170	22	9999-12-31	2013-05-08
6406/2-5	5396.000000	5439.000000	ÅRE FM	FORMATION	BÅT GP	3125	197	22	9999-12-31	2013-05-08
9/2-8 S	752.000000	773.000000	BALDER FM	FORMATION	ROGALAND GP	3126	6	131	9999-12-31	2013-05-08
9/2-8 S	2132.000000	2257.000000	BLODØKS FM	FORMATION	SHETLAND GP	3126	13	143	9999-12-31	2013-05-08
9/2-8 S	4762.000000	5823.000000	BOKNFJORD GP	GROUP	\N	3126	15	\N	9999-12-31	2013-05-08
9/2-8 S	5955.000000	6023.000000	BRYNE FM	FORMATION	VESTLAND GP	3126	19	186	9999-12-31	2013-05-08
9/2-8 S	2257.000000	4762.000000	CROMER KNOLL GP	GROUP	\N	3126	23	\N	9999-12-31	2013-05-08
9/2-8 S	5769.000000	5823.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	3126	30	15	9999-12-31	2013-05-08
9/2-8 S	7420.000000	7584.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	3126	30	15	9999-12-31	2013-05-08
9/2-8 S	850.000000	886.000000	EKOFISK FM	FORMATION	SHETLAND GP	3126	33	143	9999-12-31	2013-05-08
9/2-8 S	4762.000000	4995.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	3126	43	15	9999-12-31	2013-05-08
9/2-8 S	1251.000000	2132.000000	HOD FM	FORMATION	SHETLAND GP	3126	66	143	9999-12-31	2013-05-08
9/2-8 S	540.000000	752.000000	HORDALAND GP	GROUP	\N	3126	67	\N	9999-12-31	2013-05-08
9/2-8 S	810.000000	838.000000	LISTA FM	FORMATION	ROGALAND GP	3126	95	131	9999-12-31	2013-05-08
9/2-8 S	135.000000	540.000000	NORDLAND GP	GROUP	\N	3126	113	\N	9999-12-31	2013-05-08
9/2-8 S	752.000000	850.000000	ROGALAND GP	GROUP	\N	3126	131	\N	9999-12-31	2013-05-08
9/2-8 S	2257.000000	2290.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3126	137	23	9999-12-31	2013-05-08
9/2-8 S	5823.000000	5955.000000	SANDNES FM	FORMATION	VESTLAND GP	3126	139	186	9999-12-31	2013-05-08
9/2-8 S	7378.000000	7420.000000	SANDNES FM	FORMATION	VESTLAND GP	3126	139	186	9999-12-31	2013-05-08
9/2-8 S	4995.000000	5689.000000	SAUDA FM	FORMATION	BOKNFJORD GP	3126	141	15	9999-12-31	2013-05-08
9/2-8 S	773.000000	810.000000	SELE FM	FORMATION	ROGALAND GP	3126	142	131	9999-12-31	2013-05-08
9/2-8 S	850.000000	2257.000000	SHETLAND GP	GROUP	\N	3126	143	\N	9999-12-31	2013-05-08
9/2-8 S	2290.000000	2572.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3126	152	23	9999-12-31	2013-05-08
9/2-8 S	5689.000000	5769.000000	TAU FM	FORMATION	BOKNFJORD GP	3126	164	15	9999-12-31	2013-05-08
9/2-8 S	886.000000	1251.000000	TOR FM	FORMATION	SHETLAND GP	3126	171	143	9999-12-31	2013-05-08
9/2-8 S	5823.000000	6023.000000	VESTLAND GP	GROUP	\N	3126	186	\N	9999-12-31	2013-05-08
9/2-8 S	7378.000000	7584.000000	VESTLAND GP	GROUP	\N	3126	186	\N	9999-12-31	2013-05-08
9/2-8 S	838.000000	850.000000	VÅLE FM	FORMATION	ROGALAND GP	3126	190	131	9999-12-31	2013-05-08
9/2-8 S	6023.000000	7378.000000	ZECHSTEIN GP	GROUP	\N	3126	194	\N	9999-12-31	2013-05-08
9/2-8 S	2572.000000	4762.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3126	198	23	9999-12-31	2013-05-08
6507/7-11 S	1857.000000	2072.000000	BRYGGE FM	FORMATION	HORDALAND GP	3131	18	67	9999-12-31	2013-05-08
6507/7-11 S	3558.000000	3749.000000	BÅT GP	GROUP	\N	3131	22	\N	9999-12-31	2013-05-08
6507/7-11 S	2901.000000	3327.000000	CROMER KNOLL GP	GROUP	\N	3131	23	\N	9999-12-31	2013-05-08
6507/7-11 S	3458.000000	3558.000000	FANGST GP	GROUP	\N	3131	38	\N	9999-12-31	2013-05-08
6507/7-11 S	3458.000000	3476.000000	GARN FM	FORMATION	FANGST GP	3131	48	38	9999-12-31	2013-05-08
6507/7-11 S	1857.000000	2072.000000	HORDALAND GP	GROUP	\N	3131	67	\N	9999-12-31	2013-05-08
6507/7-11 S	3497.000000	3558.000000	ILE FM	FORMATION	FANGST GP	3131	70	38	9999-12-31	2013-05-08
6507/7-11 S	1509.000000	1857.000000	KAI FM	FORMATION	NORDLAND GP	3131	77	113	9999-12-31	2013-05-08
6507/7-11 S	2321.000000	2901.000000	KVITNOS FM	FORMATION	SHETLAND GP	3131	91	143	9999-12-31	2013-05-08
6507/7-11 S	2915.000000	3322.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3131	94	23	9999-12-31	2013-05-08
6507/7-11 S	3322.000000	3327.000000	LYR FM	FORMATION	CROMER KNOLL GP	3131	98	23	9999-12-31	2013-05-08
6507/7-11 S	2901.000000	2915.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3131	99	23	9999-12-31	2013-05-08
6507/7-11 S	3348.000000	3458.000000	MELKE FM	FORMATION	VIKING GP	3131	105	188	9999-12-31	2013-05-08
6507/7-11 S	297.000000	1509.000000	NAUST FM	FORMATION	NORDLAND GP	3131	109	113	9999-12-31	2013-05-08
6507/7-11 S	2230.000000	2321.000000	NISE FM	FORMATION	SHETLAND GP	3131	112	143	9999-12-31	2013-05-08
6507/7-11 S	297.000000	1857.000000	NORDLAND GP	GROUP	\N	3131	113	\N	9999-12-31	2013-05-08
6507/7-11 S	3476.000000	3497.000000	NOT FM	FORMATION	FANGST GP	3131	120	38	9999-12-31	2013-05-08
6507/7-11 S	2072.000000	2189.000000	ROGALAND GP	GROUP	\N	3131	131	\N	9999-12-31	2013-05-08
6507/7-11 S	3558.000000	3615.000000	ROR FM	FORMATION	BÅT GP	3131	135	22	9999-12-31	2013-05-08
6507/7-11 S	2189.000000	2901.000000	SHETLAND GP	GROUP	\N	3131	143	\N	9999-12-31	2013-05-08
6507/7-11 S	3327.000000	3348.000000	SPEKK FM	FORMATION	VIKING GP	3131	155	188	9999-12-31	2013-05-08
6507/7-11 S	2189.000000	2230.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3131	156	143	9999-12-31	2013-05-08
6507/7-11 S	2158.000000	2189.000000	TANG FM	FORMATION	ROGALAND GP	3131	161	131	9999-12-31	2013-05-08
6507/7-11 S	2072.000000	2158.000000	TARE FM	FORMATION	ROGALAND GP	3131	163	131	9999-12-31	2013-05-08
6507/7-11 S	3615.000000	3749.000000	TILJE FM	FORMATION	BÅT GP	3131	169	22	9999-12-31	2013-05-08
6507/7-11 S	3327.000000	3458.000000	VIKING GP	GROUP	\N	3131	188	\N	9999-12-31	2013-05-08
25/7-5	1915.000000	2017.000000	BALDER FM	FORMATION	ROGALAND GP	3132	6	131	9999-12-31	2013-05-08
25/7-5	1184.000000	1324.000000	GRID FM	FORMATION	HORDALAND GP	3132	53	67	9999-12-31	2013-05-08
25/7-5	2126.000000	2490.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3132	62	131	9999-12-31	2013-05-08
25/7-5	2044.000000	2061.000000	HERMOD FM	FORMATION	ROGALAND GP	3132	64	131	9999-12-31	2013-05-08
25/7-5	702.000000	1915.000000	HORDALAND GP	GROUP	\N	3132	67	\N	9999-12-31	2013-05-08
25/7-5	2071.000000	2126.000000	LISTA FM	FORMATION	ROGALAND GP	3132	95	131	9999-12-31	2013-05-08
25/7-5	2490.000000	2526.000000	LISTA FM	FORMATION	ROGALAND GP	3132	95	131	9999-12-31	2013-05-08
25/7-5	1324.000000	1915.000000	NO FORMAL NAME	FORMATION	\N	3132	111	\N	9999-12-31	2013-05-08
25/7-5	146.000000	702.000000	NORDLAND GP	GROUP	\N	3132	113	\N	9999-12-31	2013-05-08
25/7-5	1915.000000	2736.000000	ROGALAND GP	GROUP	\N	3132	131	\N	9999-12-31	2013-05-08
25/7-5	2017.000000	2044.000000	SELE FM	FORMATION	ROGALAND GP	3132	142	131	9999-12-31	2013-05-08
25/7-5	2061.000000	2071.000000	SELE FM	FORMATION	ROGALAND GP	3132	142	131	9999-12-31	2013-05-08
25/7-5	2526.000000	2688.000000	TY FM	FORMATION	ROGALAND GP	3132	176	131	9999-12-31	2013-05-08
25/7-5	440.000000	702.000000	UTSIRA FM	FORMATION	NORDLAND GP	3132	183	113	9999-12-31	2013-05-08
25/7-5	2688.000000	2736.000000	VÅLE FM	FORMATION	ROGALAND GP	3132	190	131	9999-12-31	2013-05-08
34/4-10	1741.000000	1780.000000	BALDER FM	FORMATION	ROGALAND GP	3143	6	131	9999-12-31	2013-05-08
34/4-10	1249.000000	1741.000000	HORDALAND GP	GROUP	\N	3143	67	\N	9999-12-31	2013-05-08
34/4-10	1910.000000	2195.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3143	74	143	9999-12-31	2013-05-08
34/4-10	2195.000000	2380.000000	KYRRE FM	FORMATION	SHETLAND GP	3143	92	143	9999-12-31	2013-05-08
34/4-10	1780.000000	1910.000000	LISTA FM	FORMATION	ROGALAND GP	3143	95	131	9999-12-31	2013-05-08
34/4-10	381.000000	1249.000000	NORDLAND GP	GROUP	\N	3143	113	\N	9999-12-31	2013-05-08
34/4-10	1741.000000	1910.000000	ROGALAND GP	GROUP	\N	3143	131	\N	9999-12-31	2013-05-08
34/4-10	1910.000000	2380.000000	SHETLAND GP	GROUP	\N	3143	143	\N	9999-12-31	2013-05-08
34/4-10	1116.000000	1249.000000	UTSIRA FM	FORMATION	NORDLAND GP	3143	183	113	9999-12-31	2013-05-08
6305/5-1	1664.000000	2327.000000	BRYGGE FM	FORMATION	HORDALAND GP	3144	18	67	9999-12-31	2013-05-08
6305/5-1	2718.000000	2780.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	3144	31	131	9999-12-31	2013-05-08
6305/5-1	1664.000000	2327.000000	HORDALAND GP	GROUP	\N	3144	67	\N	9999-12-31	2013-05-08
6305/5-1	1642.000000	1664.000000	KAI FM	FORMATION	NORDLAND GP	3144	77	113	9999-12-31	2013-05-08
6305/5-1	914.000000	1642.000000	NAUST FM	FORMATION	NORDLAND GP	3144	109	113	9999-12-31	2013-05-08
6305/5-1	2848.000000	3053.000000	NISE FM	FORMATION	SHETLAND GP	3144	112	143	9999-12-31	2013-05-08
6305/5-1	914.000000	1664.000000	NORDLAND GP	GROUP	\N	3144	113	\N	9999-12-31	2013-05-08
6305/5-1	2327.000000	2780.000000	ROGALAND GP	GROUP	\N	3144	131	\N	9999-12-31	2013-05-08
6305/5-1	2780.000000	3053.000000	SHETLAND GP	GROUP	\N	3144	143	\N	9999-12-31	2013-05-08
6305/5-1	2780.000000	2848.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3144	156	143	9999-12-31	2013-05-08
6305/5-1	2446.000000	2718.000000	TANG FM	FORMATION	ROGALAND GP	3144	161	131	9999-12-31	2013-05-08
6305/5-1	2327.000000	2446.000000	TARE FM	FORMATION	ROGALAND GP	3144	163	131	9999-12-31	2013-05-08
15/9-19 A	2961.000000	3021.000000	BALDER FM	FORMATION	ROGALAND GP	3145	6	131	9999-12-31	2013-05-08
15/9-19 A	3637.000000	3651.000000	BLODØKS FM	FORMATION	SHETLAND GP	3145	13	143	9999-12-31	2013-05-08
15/9-19 A	3655.000000	3667.000000	CROMER KNOLL GP	GROUP	\N	3145	23	\N	9999-12-31	2013-05-08
15/9-19 A	3667.000000	3706.000000	DRAUPNE FM	FORMATION	VIKING GP	3145	28	188	9999-12-31	2013-05-08
15/9-19 A	3313.000000	3328.000000	EKOFISK FM	FORMATION	SHETLAND GP	3145	33	143	9999-12-31	2013-05-08
15/9-19 A	2778.000000	2802.000000	GRID FM	FORMATION	HORDALAND GP	3145	53	67	9999-12-31	2013-05-08
15/9-19 A	3706.000000	3797.000000	HEATHER FM	FORMATION	VIKING GP	3145	60	188	9999-12-31	2013-05-08
15/9-19 A	3178.000000	3313.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3145	62	131	9999-12-31	2013-05-08
15/9-19 A	3476.000000	3584.000000	HOD FM	FORMATION	SHETLAND GP	3145	66	143	9999-12-31	2013-05-08
15/9-19 A	1111.000000	2961.000000	HORDALAND GP	GROUP	\N	3145	67	\N	9999-12-31	2013-05-08
15/9-19 A	3797.000000	3966.000000	HUGIN FM	FORMATION	VESTLAND GP	3145	69	186	9999-12-31	2013-05-08
15/9-19 A	3102.000000	3178.000000	LISTA FM	FORMATION	ROGALAND GP	3145	95	131	9999-12-31	2013-05-08
15/9-19 A	1454.000000	2778.000000	NO FORMAL NAME	FORMATION	\N	3145	111	\N	9999-12-31	2013-05-08
15/9-19 A	2802.000000	2961.000000	NO FORMAL NAME	FORMATION	\N	3145	111	\N	9999-12-31	2013-05-08
15/9-19 A	109.000000	1111.000000	NORDLAND GP	GROUP	\N	3145	113	\N	9999-12-31	2013-05-08
15/9-19 A	2961.000000	3313.000000	ROGALAND GP	GROUP	\N	3145	131	\N	9999-12-31	2013-05-08
15/9-19 A	3655.000000	3663.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3145	137	23	9999-12-31	2013-05-08
15/9-19 A	3021.000000	3102.000000	SELE FM	FORMATION	ROGALAND GP	3145	142	131	9999-12-31	2013-05-08
15/9-19 A	3313.000000	3655.000000	SHETLAND GP	GROUP	\N	3145	143	\N	9999-12-31	2013-05-08
15/9-19 A	1316.000000	1454.000000	SKADE FM	FORMATION	HORDALAND GP	3145	145	67	9999-12-31	2013-05-08
15/9-19 A	3966.000000	4097.000000	SKAGERRAK FM	FORMATION	HEGRE GP	3145	146	61	9999-12-31	2013-05-08
15/9-19 A	4097.000000	4131.000000	SMITH BANK FM	FORMATION	HEGRE GP	3145	149	61	9999-12-31	2013-05-08
15/9-19 A	3651.000000	3655.000000	SVARTE FM	FORMATION	SHETLAND GP	3145	160	143	9999-12-31	2013-05-08
15/9-19 A	3328.000000	3476.000000	TOR FM	FORMATION	SHETLAND GP	3145	171	143	9999-12-31	2013-05-08
15/9-19 A	3584.000000	3637.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	3145	173	143	9999-12-31	2013-05-08
15/9-19 A	850.000000	1111.000000	UTSIRA FM	FORMATION	NORDLAND GP	3145	183	113	9999-12-31	2013-05-08
15/9-19 A	3797.000000	3966.000000	VESTLAND GP	GROUP	\N	3145	186	\N	9999-12-31	2013-05-08
15/9-19 A	3667.000000	3797.000000	VIKING GP	GROUP	\N	3145	188	\N	9999-12-31	2013-05-08
15/9-19 A	3663.000000	3667.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3145	198	23	9999-12-31	2013-05-08
15/9-19 A	3966.000000	4131.000000	NO GROUP DEFINED	GROUP	\N	3145	208	\N	9999-12-31	2013-05-08
35/11-10 A	1421.000000	1477.000000	BALDER FM	FORMATION	ROGALAND GP	3151	6	131	9999-12-31	2013-05-08
35/11-10 A	3093.000000	3259.000000	BRENT GP	GROUP	\N	3151	16	\N	9999-12-31	2013-05-08
35/11-10 A	2203.000000	2293.000000	DRAUPNE FM	FORMATION	VIKING GP	3151	28	188	9999-12-31	2013-05-08
35/11-10 A	3143.000000	3190.000000	ETIVE FM	FORMATION	BRENT GP	3151	35	16	9999-12-31	2013-05-08
35/11-10 A	2682.000000	2824.000000	FENSFJORD FM	FORMATION	VIKING GP	3151	40	188	9999-12-31	2013-05-08
35/11-10 A	2457.000000	2682.000000	HEATHER FM	FORMATION	VIKING GP	3151	60	188	9999-12-31	2013-05-08
35/11-10 A	2824.000000	3093.000000	HEATHER FM	FORMATION	VIKING GP	3151	60	188	9999-12-31	2013-05-08
35/11-10 A	1766.000000	1876.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3151	62	131	9999-12-31	2013-05-08
35/11-10 A	756.000000	1421.000000	HORDALAND GP	GROUP	\N	3151	67	\N	9999-12-31	2013-05-08
35/11-10 A	2004.000000	2203.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3151	74	143	9999-12-31	2013-05-08
35/11-10 A	1625.000000	1766.000000	LISTA FM	FORMATION	ROGALAND GP	3151	95	131	9999-12-31	2013-05-08
35/11-10 A	1876.000000	1896.000000	LISTA FM	FORMATION	ROGALAND GP	3151	95	131	9999-12-31	2013-05-08
35/11-10 A	3093.000000	3143.000000	NESS FM	FORMATION	BRENT GP	3151	110	16	9999-12-31	2013-05-08
35/11-10 A	376.000000	756.000000	NORDLAND GP	GROUP	\N	3151	113	\N	9999-12-31	2013-05-08
35/11-10 A	3212.000000	3259.000000	OSEBERG FM	FORMATION	BRENT GP	3151	123	16	9999-12-31	2013-05-08
35/11-10 A	3190.000000	3212.000000	RANNOCH FM	FORMATION	BRENT GP	3151	126	16	9999-12-31	2013-05-08
35/11-10 A	1421.000000	2004.000000	ROGALAND GP	GROUP	\N	3151	131	\N	9999-12-31	2013-05-08
35/11-10 A	1477.000000	1625.000000	SELE FM	FORMATION	ROGALAND GP	3151	142	131	9999-12-31	2013-05-08
35/11-10 A	2004.000000	2203.000000	SHETLAND GP	GROUP	\N	3151	143	\N	9999-12-31	2013-05-08
35/11-10 A	2293.000000	2457.000000	SOGNEFJORD FM	FORMATION	VIKING GP	3151	151	188	9999-12-31	2013-05-08
35/11-10 A	2203.000000	3093.000000	VIKING GP	GROUP	\N	3151	188	\N	9999-12-31	2013-05-08
35/11-10 A	1896.000000	2004.000000	VÅLE FM	FORMATION	ROGALAND GP	3151	190	131	9999-12-31	2013-05-08
6510/2-1	480.000000	593.000000	BRYGGE FM	FORMATION	HORDALAND GP	3166	18	67	9999-12-31	2013-05-08
6510/2-1	1722.000000	2236.000000	BÅT GP	GROUP	\N	3166	22	\N	9999-12-31	2013-05-08
6510/2-1	848.000000	1160.000000	CROMER KNOLL GP	GROUP	\N	3166	23	\N	9999-12-31	2013-05-08
6510/2-1	1543.000000	1722.000000	FANGST GP	GROUP	\N	3166	38	\N	9999-12-31	2013-05-08
6510/2-1	1543.000000	1654.000000	GARN FM	FORMATION	FANGST GP	3166	48	38	9999-12-31	2013-05-08
6510/2-1	2236.000000	3102.000000	GREY BEDS (INFORMAL)	GROUP	\N	3166	52	\N	9999-12-31	2013-05-08
6510/2-1	480.000000	593.000000	HORDALAND GP	GROUP	\N	3166	67	\N	9999-12-31	2013-05-08
6510/2-1	1688.000000	1722.000000	ILE FM	FORMATION	FANGST GP	3166	70	38	9999-12-31	2013-05-08
6510/2-1	1319.000000	1543.000000	MELKE FM	FORMATION	VIKING GP	3166	105	188	9999-12-31	2013-05-08
6510/2-1	348.000000	441.000000	NAUST FM	FORMATION	NORDLAND GP	3166	109	113	9999-12-31	2013-05-08
6510/2-1	1013.000000	1160.000000	NO FORMAL NAME	FORMATION	\N	3166	111	\N	9999-12-31	2013-05-08
6510/2-1	348.000000	480.000000	NORDLAND GP	GROUP	\N	3166	113	\N	9999-12-31	2013-05-08
6510/2-1	1654.000000	1688.000000	NOT FM	FORMATION	FANGST GP	3166	120	38	9999-12-31	2013-05-08
6510/2-1	593.000000	727.000000	ROGALAND GP	GROUP	\N	3166	131	\N	9999-12-31	2013-05-08
6510/2-1	1722.000000	1823.000000	ROR FM	FORMATION	BÅT GP	3166	135	22	9999-12-31	2013-05-08
6510/2-1	727.000000	848.000000	SHETLAND GP	GROUP	\N	3166	143	\N	9999-12-31	2013-05-08
6510/2-1	1292.000000	1319.000000	SPEKK FM	FORMATION	VIKING GP	3166	155	188	9999-12-31	2013-05-08
6510/2-1	655.000000	727.000000	TANG FM	FORMATION	ROGALAND GP	3166	161	131	9999-12-31	2013-05-08
6510/2-1	593.000000	655.000000	TARE FM	FORMATION	ROGALAND GP	3166	163	131	9999-12-31	2013-05-08
6510/2-1	1823.000000	1945.000000	TILJE FM	FORMATION	BÅT GP	3166	169	22	9999-12-31	2013-05-08
6510/2-1	1292.000000	1543.000000	VIKING GP	GROUP	\N	3166	188	\N	9999-12-31	2013-05-08
6510/2-1	1160.000000	1292.000000	UNDEFINED GP	GROUP	\N	3166	191	\N	9999-12-31	2013-05-08
6510/2-1	1945.000000	2236.000000	ÅRE FM	FORMATION	BÅT GP	3166	197	22	9999-12-31	2013-05-08
6510/2-1	441.000000	480.000000	MOLO FM	FORMATION	NORDLAND GP	3166	209	113	9999-12-31	2013-05-08
34/7-26 S	2896.000000	3016.000000	BALDER FM	FORMATION	ROGALAND GP	3168	6	131	9999-12-31	2013-05-08
34/7-26 S	1348.000000	2896.000000	HORDALAND GP	GROUP	\N	3168	67	\N	9999-12-31	2013-05-08
34/7-26 S	3340.000000	3866.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3168	74	143	9999-12-31	2013-05-08
34/7-26 S	3866.000000	4193.000000	KYRRE FM	FORMATION	SHETLAND GP	3168	92	143	9999-12-31	2013-05-08
34/7-26 S	3016.000000	3340.000000	LISTA FM	FORMATION	ROGALAND GP	3168	95	131	9999-12-31	2013-05-08
34/7-26 S	1555.000000	1617.000000	NO FORMAL NAME	FORMATION	\N	3168	111	\N	9999-12-31	2013-05-08
34/7-26 S	1617.000000	1665.000000	NO FORMAL NAME	FORMATION	\N	3168	111	\N	9999-12-31	2013-05-08
34/7-26 S	1665.000000	1867.000000	NO FORMAL NAME	FORMATION	\N	3168	111	\N	9999-12-31	2013-05-08
34/7-26 S	1867.000000	1980.000000	NO FORMAL NAME	FORMATION	\N	3168	111	\N	9999-12-31	2013-05-08
34/7-26 S	1980.000000	2098.000000	NO FORMAL NAME	FORMATION	\N	3168	111	\N	9999-12-31	2013-05-08
34/7-26 S	2098.000000	2187.000000	NO FORMAL NAME	FORMATION	\N	3168	111	\N	9999-12-31	2013-05-08
34/7-26 S	2187.000000	2223.000000	NO FORMAL NAME	FORMATION	\N	3168	111	\N	9999-12-31	2013-05-08
34/7-26 S	2223.000000	2896.000000	NO FORMAL NAME	FORMATION	\N	3168	111	\N	9999-12-31	2013-05-08
34/7-26 S	226.000000	1348.000000	NORDLAND GP	GROUP	\N	3168	113	\N	9999-12-31	2013-05-08
34/7-26 S	2896.000000	3340.000000	ROGALAND GP	GROUP	\N	3168	131	\N	9999-12-31	2013-05-08
34/7-26 S	3340.000000	4193.000000	SHETLAND GP	GROUP	\N	3168	143	\N	9999-12-31	2013-05-08
34/7-26 S	1002.000000	1348.000000	UTSIRA FM	FORMATION	NORDLAND GP	3168	183	113	9999-12-31	2013-05-08
30/3-7 A	2670.000000	2804.000000	BALDER FM	FORMATION	ROGALAND GP	3176	6	131	9999-12-31	2013-05-08
30/3-7 A	5852.000000	5864.000000	BLODØKS FM	FORMATION	SHETLAND GP	3176	13	143	9999-12-31	2013-05-08
30/3-7 A	6349.000000	6620.000000	BRENT GP	GROUP	\N	3176	16	\N	9999-12-31	2013-05-08
30/3-7 A	5895.000000	6024.000000	CROMER KNOLL GP	GROUP	\N	3176	23	\N	9999-12-31	2013-05-08
30/3-7 A	6620.000000	6678.000000	DRAKE FM	FORMATION	DUNLIN GP	3176	27	29	9999-12-31	2013-05-08
30/3-7 A	6024.000000	6052.000000	DRAUPNE FM	FORMATION	VIKING GP	3176	28	188	9999-12-31	2013-05-08
30/3-7 A	6620.000000	6678.000000	DUNLIN GP	GROUP	\N	3176	29	\N	9999-12-31	2013-05-08
30/3-7 A	6504.000000	6517.000000	ETIVE FM	FORMATION	BRENT GP	3176	35	16	9999-12-31	2013-05-08
30/3-7 A	6052.000000	6349.000000	HEATHER FM	FORMATION	VIKING GP	3176	60	188	9999-12-31	2013-05-08
30/3-7 A	963.000000	2670.000000	HORDALAND GP	GROUP	\N	3176	67	\N	9999-12-31	2013-05-08
30/3-7 A	3139.000000	3692.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3176	74	143	9999-12-31	2013-05-08
30/3-7 A	3692.000000	4447.000000	KYRRE FM	FORMATION	SHETLAND GP	3176	92	143	9999-12-31	2013-05-08
30/3-7 A	2844.000000	3139.000000	LISTA FM	FORMATION	ROGALAND GP	3176	95	131	9999-12-31	2013-05-08
30/3-7 A	6419.000000	6504.000000	NESS FM	FORMATION	BRENT GP	3176	110	16	9999-12-31	2013-05-08
30/3-7 A	231.000000	963.000000	NORDLAND GP	GROUP	\N	3176	113	\N	9999-12-31	2013-05-08
30/3-7 A	6526.000000	6620.000000	OSEBERG FM	FORMATION	BRENT GP	3176	123	16	9999-12-31	2013-05-08
30/3-7 A	6517.000000	6526.000000	RANNOCH FM	FORMATION	BRENT GP	3176	126	16	9999-12-31	2013-05-08
30/3-7 A	2670.000000	3139.000000	ROGALAND GP	GROUP	\N	3176	131	\N	9999-12-31	2013-05-08
30/3-7 A	5895.000000	5962.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3176	137	23	9999-12-31	2013-05-08
30/3-7 A	2804.000000	2844.000000	SELE FM	FORMATION	ROGALAND GP	3176	142	131	9999-12-31	2013-05-08
30/3-7 A	3139.000000	5895.000000	SHETLAND GP	GROUP	\N	3176	143	\N	9999-12-31	2013-05-08
30/3-7 A	5962.000000	5969.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3176	152	23	9999-12-31	2013-05-08
30/3-7 A	5864.000000	5895.000000	SVARTE FM	FORMATION	SHETLAND GP	3176	160	143	9999-12-31	2013-05-08
30/3-7 A	6349.000000	6419.000000	TARBERT FM	FORMATION	BRENT GP	3176	162	16	9999-12-31	2013-05-08
30/3-7 A	4447.000000	5852.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	3176	173	143	9999-12-31	2013-05-08
30/3-7 A	783.000000	963.000000	UTSIRA FM	FORMATION	NORDLAND GP	3176	183	113	9999-12-31	2013-05-08
30/3-7 A	6024.000000	6349.000000	VIKING GP	GROUP	\N	3176	188	\N	9999-12-31	2013-05-08
6507/11-5 S	2151.000000	2393.000000	SHETLAND GP	GROUP	\N	3193	143	\N	2012-09-28	2013-05-08
30/3-7 A	5969.000000	6024.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3176	198	23	9999-12-31	2013-05-08
15/9-19 SR2	3305.000000	3406.000000	BALDER FM	FORMATION	ROGALAND GP	3180	6	131	9999-12-31	2013-05-08
15/9-19 SR2	4153.000000	4171.000000	BLODØKS FM	FORMATION	SHETLAND GP	3180	13	143	9999-12-31	2013-05-08
15/9-19 SR2	4179.000000	4307.000000	CROMER KNOLL GP	GROUP	\N	3180	23	\N	9999-12-31	2013-05-08
15/9-19 SR2	4307.000000	4313.000000	DRAUPNE FM	FORMATION	VIKING GP	3180	28	188	9999-12-31	2013-05-08
15/9-19 SR2	3830.000000	3853.000000	EKOFISK FM	FORMATION	SHETLAND GP	3180	33	143	9999-12-31	2013-05-08
15/9-19 SR2	3011.000000	3243.000000	GRID FM	FORMATION	HORDALAND GP	3180	53	67	9999-12-31	2013-05-08
15/9-19 SR2	4313.000000	4320.000000	HEATHER FM	FORMATION	VIKING GP	3180	60	188	9999-12-31	2013-05-08
15/9-19 SR2	3626.000000	3830.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3180	62	131	9999-12-31	2013-05-08
15/9-19 SR2	4050.000000	4113.000000	HOD FM	FORMATION	SHETLAND GP	3180	66	143	9999-12-31	2013-05-08
15/9-19 SR2	1111.000000	3305.000000	HORDALAND GP	GROUP	\N	3180	67	\N	9999-12-31	2013-05-08
15/9-19 SR2	4320.000000	4343.000000	HUGIN FM	FORMATION	VESTLAND GP	3180	69	186	9999-12-31	2013-05-08
15/9-19 SR2	3486.000000	3626.000000	LISTA FM	FORMATION	ROGALAND GP	3180	95	131	9999-12-31	2013-05-08
15/9-19 SR2	1454.000000	3011.000000	NO FORMAL NAME	FORMATION	\N	3180	111	\N	9999-12-31	2013-05-08
15/9-19 SR2	3243.000000	3305.000000	NO FORMAL NAME	FORMATION	\N	3180	111	\N	9999-12-31	2013-05-08
15/9-19 SR2	109.000000	1111.000000	NORDLAND GP	GROUP	\N	3180	113	\N	9999-12-31	2013-05-08
15/9-19 SR2	3305.000000	3830.000000	ROGALAND GP	GROUP	\N	3180	131	\N	9999-12-31	2013-05-08
15/9-19 SR2	4179.000000	4191.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3180	137	23	9999-12-31	2013-05-08
15/9-19 SR2	3406.000000	3486.000000	SELE FM	FORMATION	ROGALAND GP	3180	142	131	9999-12-31	2013-05-08
15/9-19 SR2	3830.000000	4179.000000	SHETLAND GP	GROUP	\N	3180	143	\N	9999-12-31	2013-05-08
15/9-19 SR2	1316.000000	1454.000000	SKADE FM	FORMATION	HORDALAND GP	3180	145	67	9999-12-31	2013-05-08
15/9-19 SR2	4343.000000	4644.000000	SKAGERRAK FM	FORMATION	HEGRE GP	3180	146	61	9999-12-31	2013-05-08
15/9-19 SR2	4191.000000	4204.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3180	152	23	9999-12-31	2013-05-08
15/9-19 SR2	4171.000000	4179.000000	SVARTE FM	FORMATION	SHETLAND GP	3180	160	143	9999-12-31	2013-05-08
15/9-19 SR2	3853.000000	4050.000000	TOR FM	FORMATION	SHETLAND GP	3180	171	143	9999-12-31	2013-05-08
15/9-19 SR2	4113.000000	4153.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	3180	173	143	9999-12-31	2013-05-08
15/9-19 SR2	850.000000	1111.000000	UTSIRA FM	FORMATION	NORDLAND GP	3180	183	113	9999-12-31	2013-05-08
15/9-19 SR2	4320.000000	4343.000000	VESTLAND GP	GROUP	\N	3180	186	\N	9999-12-31	2013-05-08
15/9-19 SR2	4307.000000	4320.000000	VIKING GP	GROUP	\N	3180	188	\N	9999-12-31	2013-05-08
15/9-19 SR2	4204.000000	4307.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3180	198	23	9999-12-31	2013-05-08
15/9-19 SR2	4343.000000	4644.000000	NO GROUP DEFINED	GROUP	\N	3180	208	\N	9999-12-31	2013-05-08
25/8-5 SR	2922.000000	3040.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	3192	4	29	9999-12-31	2013-05-08
25/8-5 SR	1950.000000	2008.000000	BALDER FM	FORMATION	ROGALAND GP	3192	6	131	9999-12-31	2013-05-08
25/8-5 SR	2780.000000	2795.000000	CROMER KNOLL GP	GROUP	\N	3192	23	\N	9999-12-31	2013-05-08
25/8-5 SR	2795.000000	2822.000000	DRAUPNE FM	FORMATION	VIKING GP	3192	28	188	9999-12-31	2013-05-08
25/8-5 SR	2922.000000	3040.000000	DUNLIN GP	GROUP	\N	3192	29	\N	9999-12-31	2013-05-08
25/8-5 SR	1247.000000	1303.000000	GRID FM	FORMATION	HORDALAND GP	3192	53	67	9999-12-31	2013-05-08
25/8-5 SR	2822.000000	2836.000000	HEATHER FM	FORMATION	VIKING GP	3192	60	188	9999-12-31	2013-05-08
25/8-5 SR	2113.000000	2420.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3192	62	131	9999-12-31	2013-05-08
25/8-5 SR	654.000000	1950.000000	HORDALAND GP	GROUP	\N	3192	67	\N	9999-12-31	2013-05-08
25/8-5 SR	2836.000000	2878.000000	HUGIN FM	FORMATION	VESTLAND GP	3192	69	186	9999-12-31	2013-05-08
25/8-5 SR	2068.000000	2113.000000	LISTA FM	FORMATION	ROGALAND GP	3192	95	131	9999-12-31	2013-05-08
25/8-5 SR	2420.000000	2529.000000	LISTA FM	FORMATION	ROGALAND GP	3192	95	131	9999-12-31	2013-05-08
25/8-5 SR	608.000000	654.000000	NO FORMAL NAME	FORMATION	\N	3192	111	\N	9999-12-31	2013-05-08
25/8-5 SR	1000.000000	1247.000000	NO FORMAL NAME	FORMATION	\N	3192	111	\N	9999-12-31	2013-05-08
25/8-5 SR	1303.000000	1950.000000	NO FORMAL NAME	FORMATION	\N	3192	111	\N	9999-12-31	2013-05-08
25/8-5 SR	151.000000	654.000000	NORDLAND GP	GROUP	\N	3192	113	\N	9999-12-31	2013-05-08
25/8-5 SR	1950.000000	2600.000000	ROGALAND GP	GROUP	\N	3192	131	\N	9999-12-31	2013-05-08
25/8-5 SR	2008.000000	2068.000000	SELE FM	FORMATION	ROGALAND GP	3192	142	131	9999-12-31	2013-05-08
25/8-5 SR	2600.000000	2780.000000	SHETLAND GP	GROUP	\N	3192	143	\N	9999-12-31	2013-05-08
25/8-5 SR	654.000000	1000.000000	SKADE FM	FORMATION	HORDALAND GP	3192	145	67	9999-12-31	2013-05-08
25/8-5 SR	2878.000000	2922.000000	SLEIPNER FM	FORMATION	VESTLAND GP	3192	148	186	9999-12-31	2013-05-08
25/8-5 SR	3338.000000	3395.000000	SMITH BANK FM	FORMATION	HEGRE GP	3192	149	61	9999-12-31	2013-05-08
25/8-5 SR	3040.000000	3338.000000	STATFJORD FM	FORMATION	\N	3192	157	\N	9999-12-31	2013-05-08
25/8-5 SR	2600.000000	2780.000000	TOR FM	FORMATION	SHETLAND GP	3192	171	143	9999-12-31	2013-05-08
25/8-5 SR	2529.000000	2600.000000	TY FM	FORMATION	ROGALAND GP	3192	176	131	9999-12-31	2013-05-08
25/8-5 SR	448.000000	608.000000	UTSIRA FM	FORMATION	NORDLAND GP	3192	183	113	9999-12-31	2013-05-08
25/8-5 SR	2836.000000	2922.000000	VESTLAND GP	GROUP	\N	3192	186	\N	9999-12-31	2013-05-08
25/8-5 SR	2795.000000	2836.000000	VIKING GP	GROUP	\N	3192	188	\N	9999-12-31	2013-05-08
25/8-5 SR	2780.000000	2795.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3192	198	23	9999-12-31	2013-05-08
25/8-5 SR	3040.000000	3338.000000	NO GROUP DEFINED	GROUP	\N	3192	208	\N	9999-12-31	2013-05-08
25/8-5 SR	3338.000000	3395.000000	NO GROUP DEFINED	GROUP	\N	3192	208	\N	9999-12-31	2013-05-08
6507/11-5 S	1550.000000	2018.000000	BRYGGE FM	FORMATION	HORDALAND GP	3193	18	67	9999-12-31	2013-05-08
6507/11-5 S	2624.000000	2695.000000	BÅT GP	GROUP	\N	3193	22	\N	9999-12-31	2013-05-08
6507/11-5 S	2393.000000	2434.000000	CROMER KNOLL GP	GROUP	\N	3193	23	\N	9999-12-31	2013-05-08
6507/11-5 S	2484.000000	2624.000000	FANGST GP	GROUP	\N	3193	38	\N	9999-12-31	2013-05-08
6507/11-5 S	2484.000000	2539.000000	GARN FM	FORMATION	FANGST GP	3193	48	38	9999-12-31	2013-05-08
6507/11-5 S	1550.000000	2018.000000	HORDALAND GP	GROUP	\N	3193	67	\N	9999-12-31	2013-05-08
6507/11-5 S	2554.000000	2624.000000	ILE FM	FORMATION	FANGST GP	3193	70	38	9999-12-31	2013-05-08
6507/11-5 S	1401.000000	1550.000000	KAI FM	FORMATION	NORDLAND GP	3193	77	113	9999-12-31	2013-05-08
6507/11-5 S	2310.000000	2393.000000	KVITNOS FM	FORMATION	SHETLAND GP	3193	91	143	2012-09-28	2013-05-08
6507/11-5 S	2393.000000	2420.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3193	94	23	9999-12-31	2013-05-08
6507/11-5 S	2420.000000	2434.000000	LYR FM	FORMATION	CROMER KNOLL GP	3193	98	23	9999-12-31	2013-05-08
6507/11-5 S	2445.000000	2484.000000	MELKE FM	FORMATION	VIKING GP	3193	105	188	9999-12-31	2013-05-08
6507/11-5 S	281.000000	1401.000000	NAUST FM	FORMATION	NORDLAND GP	3193	109	113	9999-12-31	2013-05-08
6507/11-5 S	2226.000000	2310.000000	NISE FM	FORMATION	SHETLAND GP	3193	112	143	2012-09-28	2013-05-08
6507/11-5 S	281.000000	1550.000000	NORDLAND GP	GROUP	\N	3193	113	\N	9999-12-31	2013-05-08
6507/11-5 S	2539.000000	2554.000000	NOT FM	FORMATION	FANGST GP	3193	120	38	9999-12-31	2013-05-08
6507/11-5 S	2018.000000	2151.000000	ROGALAND GP	GROUP	\N	3193	131	\N	9999-12-31	2013-05-08
6507/11-5 S	2624.000000	2695.000000	ROR FM	FORMATION	BÅT GP	3193	135	22	9999-12-31	2013-05-08
6507/11-5 S	2434.000000	2445.000000	SPEKK FM	FORMATION	VIKING GP	3193	155	188	9999-12-31	2013-05-08
6507/11-5 S	2151.000000	2226.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3193	156	143	9999-12-31	2013-05-08
6507/11-5 S	2062.000000	2151.000000	TANG FM	FORMATION	ROGALAND GP	3193	161	131	9999-12-31	2013-05-08
6507/11-5 S	2018.000000	2062.000000	TARE FM	FORMATION	ROGALAND GP	3193	163	131	9999-12-31	2013-05-08
6507/11-5 S	2434.000000	2484.000000	VIKING GP	GROUP	\N	3193	188	\N	9999-12-31	2013-05-08
6706/11-1	1446.000000	1670.000000	BRYGGE FM	FORMATION	HORDALAND GP	3202	18	67	9999-12-31	2013-05-08
6706/11-1	4138.000000	4317.000000	CROMER KNOLL GP	GROUP	\N	3202	23	\N	9999-12-31	2013-05-08
6706/11-1	1446.000000	1670.000000	HORDALAND GP	GROUP	\N	3202	67	\N	9999-12-31	2013-05-08
6706/11-1	3865.000000	4138.000000	KVITNOS FM	FORMATION	SHETLAND GP	3202	91	143	9999-12-31	2013-05-08
6706/11-1	4221.000000	4317.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3202	94	23	9999-12-31	2013-05-08
6706/11-1	4138.000000	4221.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3202	99	23	9999-12-31	2013-05-08
6706/11-1	1264.000000	1446.000000	NAUST FM	FORMATION	NORDLAND GP	3202	109	113	9999-12-31	2013-05-08
6706/11-1	2060.000000	2283.000000	NISE FM	FORMATION	SHETLAND GP	3202	112	143	9999-12-31	2013-05-08
6706/11-1	3005.000000	3101.000000	NISE FM	FORMATION	SHETLAND GP	3202	112	143	9999-12-31	2013-05-08
6706/11-1	3469.000000	3865.000000	NISE FM	FORMATION	SHETLAND GP	3202	112	143	9999-12-31	2013-05-08
6706/11-1	1264.000000	1446.000000	NORDLAND GP	GROUP	\N	3202	113	\N	9999-12-31	2013-05-08
6706/11-1	1670.000000	1744.000000	ROGALAND GP	GROUP	\N	3202	131	\N	9999-12-31	2013-05-08
6706/11-1	1744.000000	4138.000000	SHETLAND GP	GROUP	\N	3202	143	\N	9999-12-31	2013-05-08
6706/11-1	1744.000000	2060.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3202	156	143	9999-12-31	2013-05-08
6706/11-1	2283.000000	3005.000000	DELFIN FM (INFORMAL)	FORMATION	SHETLAND GP	3202	204	143	9999-12-31	2013-05-08
6706/11-1	3101.000000	3469.000000	DELFIN FM (INFORMAL)	FORMATION	SHETLAND GP	3202	204	143	9999-12-31	2013-05-08
35/9-3	2658.000000	2703.000000	AGAT FM	FORMATION	CROMER KNOLL GP	3206	2	23	9999-12-31	2013-05-08
35/9-3	622.000000	677.000000	BALDER FM	FORMATION	ROGALAND GP	3206	6	131	9999-12-31	2013-05-08
35/9-3	2770.000000	2783.000000	BASEMENT	GROUP	\N	3206	10	\N	9999-12-31	2013-05-08
35/9-3	2365.000000	2380.000000	BLODØKS FM	FORMATION	SHETLAND GP	3206	13	143	9999-12-31	2013-05-08
35/9-3	2598.000000	2770.000000	CROMER KNOLL GP	GROUP	\N	3206	23	\N	9999-12-31	2013-05-08
35/9-3	1247.000000	1310.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3206	74	143	9999-12-31	2013-05-08
35/9-3	1310.000000	2365.000000	KYRRE FM	FORMATION	SHETLAND GP	3206	92	143	9999-12-31	2013-05-08
35/9-3	790.000000	1157.000000	LISTA FM	FORMATION	ROGALAND GP	3206	95	131	9999-12-31	2013-05-08
35/9-3	370.000000	622.000000	NORDLAND GP	GROUP	\N	3206	113	\N	9999-12-31	2013-05-08
35/9-3	622.000000	1247.000000	ROGALAND GP	GROUP	\N	3206	131	\N	9999-12-31	2013-05-08
35/9-3	2598.000000	2658.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3206	137	23	9999-12-31	2013-05-08
35/9-3	2703.000000	2770.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3206	137	23	9999-12-31	2013-05-08
35/9-3	677.000000	790.000000	SELE FM	FORMATION	ROGALAND GP	3206	142	131	9999-12-31	2013-05-08
35/9-3	1247.000000	2598.000000	SHETLAND GP	GROUP	\N	3206	143	\N	9999-12-31	2013-05-08
35/9-3	2380.000000	2598.000000	SVARTE FM	FORMATION	SHETLAND GP	3206	160	143	9999-12-31	2013-05-08
35/9-3	1157.000000	1247.000000	VÅLE FM	FORMATION	ROGALAND GP	3206	190	131	9999-12-31	2013-05-08
25/8-11	1678.000000	1743.000000	BALDER FM	FORMATION	ROGALAND GP	3209	6	131	9999-12-31	2013-05-08
25/8-11	1876.000000	1891.000000	EKOFISK FM	FORMATION	SHETLAND GP	3209	33	143	9999-12-31	2013-05-08
25/8-11	1129.000000	1138.000000	GRID FM	FORMATION	HORDALAND GP	3209	53	67	9999-12-31	2013-05-08
25/8-11	1765.000000	1768.000000	HERMOD FM	FORMATION	ROGALAND GP	3209	64	131	9999-12-31	2013-05-08
25/8-11	1774.000000	1796.000000	HERMOD FM	FORMATION	ROGALAND GP	3209	64	131	9999-12-31	2013-05-08
25/8-11	708.000000	1678.000000	HORDALAND GP	GROUP	\N	3209	67	\N	9999-12-31	2013-05-08
25/8-11	1824.000000	1872.000000	LISTA FM	FORMATION	ROGALAND GP	3209	95	131	9999-12-31	2013-05-08
25/8-11	651.000000	708.000000	NO FORMAL NAME	FORMATION	\N	3209	111	\N	9999-12-31	2013-05-08
25/8-11	904.000000	943.000000	NO FORMAL NAME	FORMATION	\N	3209	111	\N	9999-12-31	2013-05-08
25/8-11	978.000000	1129.000000	NO FORMAL NAME	FORMATION	\N	3209	111	\N	9999-12-31	2013-05-08
25/8-11	1138.000000	1678.000000	NO FORMAL NAME	FORMATION	\N	3209	111	\N	9999-12-31	2013-05-08
25/8-11	146.000000	708.000000	NORDLAND GP	GROUP	\N	3209	113	\N	9999-12-31	2013-05-08
25/8-11	1678.000000	1876.000000	ROGALAND GP	GROUP	\N	3209	131	\N	9999-12-31	2013-05-08
25/8-11	1743.000000	1765.000000	SELE FM	FORMATION	ROGALAND GP	3209	142	131	9999-12-31	2013-05-08
25/8-11	1768.000000	1774.000000	SELE FM	FORMATION	ROGALAND GP	3209	142	131	9999-12-31	2013-05-08
25/8-11	1796.000000	1824.000000	SELE FM	FORMATION	ROGALAND GP	3209	142	131	9999-12-31	2013-05-08
25/8-11	1876.000000	1891.000000	SHETLAND GP	GROUP	\N	3209	143	\N	9999-12-31	2013-05-08
25/8-11	708.000000	904.000000	SKADE FM	FORMATION	HORDALAND GP	3209	145	67	9999-12-31	2013-05-08
25/8-11	943.000000	978.000000	SKADE FM	FORMATION	HORDALAND GP	3209	145	67	9999-12-31	2013-05-08
25/8-11	1891.000000	1994.000000	STATFJORD FM	FORMATION	\N	3209	157	\N	9999-12-31	2013-05-08
25/8-11	555.000000	651.000000	UTSIRA FM	FORMATION	NORDLAND GP	3209	183	113	9999-12-31	2013-05-08
25/8-11	1872.000000	1876.000000	VÅLE FM	FORMATION	ROGALAND GP	3209	190	131	9999-12-31	2013-05-08
25/8-11	1891.000000	1994.000000	NO GROUP DEFINED	GROUP	\N	3209	208	\N	9999-12-31	2013-05-08
2/8-17 S	2541.000000	2561.000000	BALDER FM	FORMATION	ROGALAND GP	3210	6	131	9999-12-31	2013-05-08
2/8-17 S	2581.000000	2602.000000	EKOFISK FM	FORMATION	SHETLAND GP	3210	33	143	9999-12-31	2013-05-08
2/8-17 S	1627.000000	2541.000000	HORDALAND GP	GROUP	\N	3210	67	\N	9999-12-31	2013-05-08
2/8-17 S	110.000000	1627.000000	NORDLAND GP	GROUP	\N	3210	113	\N	9999-12-31	2013-05-08
2/8-17 S	2541.000000	2581.000000	ROGALAND GP	GROUP	\N	3210	131	\N	9999-12-31	2013-05-08
2/8-17 S	2561.000000	2571.000000	SELE FM	FORMATION	ROGALAND GP	3210	142	131	9999-12-31	2013-05-08
2/8-17 S	2581.000000	2685.000000	SHETLAND GP	GROUP	\N	3210	143	\N	9999-12-31	2013-05-08
2/8-17 S	2602.000000	2685.000000	TOR FM	FORMATION	SHETLAND GP	3210	171	143	9999-12-31	2013-05-08
2/8-17 S	2571.000000	2581.000000	VÅLE FM	FORMATION	ROGALAND GP	3210	190	131	9999-12-31	2013-05-08
6406/2-5 A	2013.000000	2423.000000	BRYGGE FM	FORMATION	HORDALAND GP	3213	18	67	9999-12-31	2013-05-08
6406/2-5 A	5577.000000	5600.000000	BÅT GP	GROUP	\N	3213	22	\N	9999-12-31	2013-05-08
6406/2-5 A	3832.000000	5238.000000	CROMER KNOLL GP	GROUP	\N	3213	23	\N	9999-12-31	2013-05-08
6406/2-5 A	5305.000000	5577.000000	FANGST GP	GROUP	\N	3213	38	\N	9999-12-31	2013-05-08
6406/2-5 A	5305.000000	5440.000000	GARN FM	FORMATION	FANGST GP	3213	48	38	9999-12-31	2013-05-08
6406/2-5 A	2013.000000	2423.000000	HORDALAND GP	GROUP	\N	3213	67	\N	9999-12-31	2013-05-08
6406/2-5 A	5481.000000	5577.000000	ILE FM	FORMATION	FANGST GP	3213	70	38	9999-12-31	2013-05-08
6406/2-5 A	1540.000000	2013.000000	KAI FM	FORMATION	NORDLAND GP	3213	77	113	9999-12-31	2013-05-08
6406/2-5 A	3087.000000	3832.000000	KVITNOS FM	FORMATION	SHETLAND GP	3213	91	143	9999-12-31	2013-05-08
6406/2-5 A	3852.000000	5224.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3213	94	23	9999-12-31	2013-05-08
6406/2-5 A	5224.000000	5238.000000	LYR FM	FORMATION	CROMER KNOLL GP	3213	98	23	9999-12-31	2013-05-08
6406/2-5 A	3832.000000	3852.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3213	99	23	9999-12-31	2013-05-08
6406/2-5 A	5238.000000	5305.000000	MELKE FM	FORMATION	VIKING GP	3213	105	188	9999-12-31	2013-05-08
6406/2-5 A	364.000000	1540.000000	NAUST FM	FORMATION	NORDLAND GP	3213	109	113	9999-12-31	2013-05-08
6406/2-5 A	2853.000000	3087.000000	NISE FM	FORMATION	SHETLAND GP	3213	112	143	9999-12-31	2013-05-08
6406/2-5 A	364.000000	2013.000000	NORDLAND GP	GROUP	\N	3213	113	\N	9999-12-31	2013-05-08
6406/2-5 A	5440.000000	5481.000000	NOT FM	FORMATION	FANGST GP	3213	120	38	9999-12-31	2013-05-08
6406/2-5 A	2423.000000	2570.000000	ROGALAND GP	GROUP	\N	3213	131	\N	9999-12-31	2013-05-08
6406/2-5 A	5577.000000	5600.000000	ROR FM	FORMATION	BÅT GP	3213	135	22	9999-12-31	2013-05-08
6406/2-5 A	2570.000000	3832.000000	SHETLAND GP	GROUP	\N	3213	143	\N	9999-12-31	2013-05-08
6406/2-5 A	2570.000000	2853.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3213	156	143	9999-12-31	2013-05-08
6406/2-5 A	2489.000000	2570.000000	TANG FM	FORMATION	ROGALAND GP	3213	161	131	9999-12-31	2013-05-08
6406/2-5 A	2423.000000	2489.000000	TARE FM	FORMATION	ROGALAND GP	3213	163	131	9999-12-31	2013-05-08
6406/2-5 A	5238.000000	5305.000000	VIKING GP	GROUP	\N	3213	188	\N	9999-12-31	2013-05-08
34/7-27	1675.000000	1711.000000	BALDER FM	FORMATION	ROGALAND GP	3214	6	131	9999-12-31	2013-05-08
34/7-27	2777.000000	2930.000000	BRENT GP	GROUP	\N	3214	16	\N	9999-12-31	2013-05-08
34/7-27	2733.000000	2740.000000	CROMER KNOLL GP	GROUP	\N	3214	23	\N	9999-12-31	2013-05-08
34/7-27	2930.000000	3000.000000	DRAKE FM	FORMATION	DUNLIN GP	3214	27	29	9999-12-31	2013-05-08
34/7-27	2740.000000	2757.000000	DRAUPNE FM	FORMATION	VIKING GP	3214	28	188	9999-12-31	2013-05-08
34/7-27	2930.000000	3000.000000	DUNLIN GP	GROUP	\N	3214	29	\N	9999-12-31	2013-05-08
34/7-27	2837.000000	2887.000000	ETIVE FM	FORMATION	BRENT GP	3214	35	16	9999-12-31	2013-05-08
34/7-27	1258.000000	1294.000000	GRID FM	FORMATION	HORDALAND GP	3214	53	67	9999-12-31	2013-05-08
34/7-27	2757.000000	2777.000000	HEATHER FM	FORMATION	VIKING GP	3214	60	188	9999-12-31	2013-05-08
34/7-27	1142.000000	1675.000000	HORDALAND GP	GROUP	\N	3214	67	\N	9999-12-31	2013-05-08
34/7-27	1864.000000	2170.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3214	74	143	9999-12-31	2013-05-08
34/7-27	2170.000000	2733.000000	KYRRE FM	FORMATION	SHETLAND GP	3214	92	143	9999-12-31	2013-05-08
34/7-27	1711.000000	1860.000000	LISTA FM	FORMATION	ROGALAND GP	3214	95	131	9999-12-31	2013-05-08
34/7-27	1294.000000	1675.000000	NO FORMAL NAME	FORMATION	\N	3214	111	\N	9999-12-31	2013-05-08
34/7-27	336.000000	1142.000000	NORDLAND GP	GROUP	\N	3214	113	\N	9999-12-31	2013-05-08
34/7-27	2887.000000	2930.000000	RANNOCH FM	FORMATION	BRENT GP	3214	126	16	9999-12-31	2013-05-08
34/7-27	1675.000000	1864.000000	ROGALAND GP	GROUP	\N	3214	131	\N	9999-12-31	2013-05-08
34/7-27	1864.000000	2733.000000	SHETLAND GP	GROUP	\N	3214	143	\N	9999-12-31	2013-05-08
34/7-27	2733.000000	2735.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3214	152	23	9999-12-31	2013-05-08
34/7-27	2777.000000	2837.000000	TARBERT FM	FORMATION	BRENT GP	3214	162	16	9999-12-31	2013-05-08
34/7-27	1005.000000	1142.000000	UTSIRA FM	FORMATION	NORDLAND GP	3214	183	113	9999-12-31	2013-05-08
34/7-27	2740.000000	2777.000000	VIKING GP	GROUP	\N	3214	188	\N	9999-12-31	2013-05-08
34/7-27	1860.000000	1864.000000	VÅLE FM	FORMATION	ROGALAND GP	3214	190	131	9999-12-31	2013-05-08
34/7-27	2735.000000	2740.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3214	198	23	9999-12-31	2013-05-08
30/3-7 B	4439.000000	4611.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	3229	4	29	9999-12-31	2013-05-08
30/3-7 B	2670.000000	2804.000000	BALDER FM	FORMATION	ROGALAND GP	3229	6	131	9999-12-31	2013-05-08
30/3-7 B	4272.000000	4350.000000	BRENT GP	GROUP	\N	3229	16	\N	9999-12-31	2013-05-08
30/3-7 B	5124.000000	5352.000000	BRENT GP	GROUP	\N	3229	16	\N	9999-12-31	2013-05-08
30/3-7 B	5514.000000	5777.000000	BRENT GP	GROUP	\N	3229	16	\N	9999-12-31	2013-05-08
30/3-7 B	4378.000000	4439.000000	COOK FM	FORMATION	DUNLIN GP	3229	24	29	9999-12-31	2013-05-08
30/3-7 B	5897.000000	5970.000000	COOK FM	FORMATION	DUNLIN GP	3229	24	29	9999-12-31	2013-05-08
30/3-7 B	4350.000000	4378.000000	DRAKE FM	FORMATION	DUNLIN GP	3229	27	29	9999-12-31	2013-05-08
30/3-7 B	4948.000000	5124.000000	DRAKE FM	FORMATION	DUNLIN GP	3229	27	29	9999-12-31	2013-05-08
30/3-7 B	5777.000000	5897.000000	DRAKE FM	FORMATION	DUNLIN GP	3229	27	29	9999-12-31	2013-05-08
30/3-7 B	4350.000000	4611.000000	DUNLIN GP	GROUP	\N	3229	29	\N	9999-12-31	2013-05-08
30/3-7 B	4948.000000	5124.000000	DUNLIN GP	GROUP	\N	3229	29	\N	9999-12-31	2013-05-08
30/3-7 B	5777.000000	5970.000000	DUNLIN GP	GROUP	\N	3229	29	\N	9999-12-31	2013-05-08
30/3-7 B	5202.000000	5229.000000	ETIVE FM	FORMATION	BRENT GP	3229	35	16	9999-12-31	2013-05-08
30/3-7 B	5674.000000	5693.000000	ETIVE FM	FORMATION	BRENT GP	3229	35	16	9999-12-31	2013-05-08
30/3-7 B	4261.000000	4272.000000	HEATHER FM	FORMATION	VIKING GP	3229	60	188	9999-12-31	2013-05-08
30/3-7 B	5352.000000	5514.000000	HEATHER FM	FORMATION	VIKING GP	3229	60	188	9999-12-31	2013-05-08
30/3-7 B	963.000000	2670.000000	HORDALAND GP	GROUP	\N	3229	67	\N	9999-12-31	2013-05-08
30/3-7 B	3116.000000	3437.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3229	74	143	9999-12-31	2013-05-08
30/3-7 B	3437.000000	3693.000000	KYRRE FM	FORMATION	SHETLAND GP	3229	92	143	9999-12-31	2013-05-08
30/3-7 B	2844.000000	3116.000000	LISTA FM	FORMATION	ROGALAND GP	3229	95	131	9999-12-31	2013-05-08
30/3-7 B	4272.000000	4304.000000	NESS FM	FORMATION	BRENT GP	3229	110	16	9999-12-31	2013-05-08
30/3-7 B	5124.000000	5202.000000	NESS FM	FORMATION	BRENT GP	3229	110	16	9999-12-31	2013-05-08
30/3-7 B	5326.000000	5352.000000	NESS FM	FORMATION	BRENT GP	3229	110	16	9999-12-31	2013-05-08
30/3-7 B	5593.000000	5674.000000	NESS FM	FORMATION	BRENT GP	3229	110	16	9999-12-31	2013-05-08
30/3-7 B	231.000000	963.000000	NORDLAND GP	GROUP	\N	3229	113	\N	9999-12-31	2013-05-08
30/3-7 B	4304.000000	4350.000000	OSEBERG FM	FORMATION	BRENT GP	3229	123	16	9999-12-31	2013-05-08
30/3-7 B	5259.000000	5326.000000	OSEBERG FM	FORMATION	BRENT GP	3229	123	16	9999-12-31	2013-05-08
30/3-7 B	5693.000000	5777.000000	OSEBERG FM	FORMATION	BRENT GP	3229	123	16	9999-12-31	2013-05-08
30/3-7 B	5229.000000	5259.000000	RANNOCH FM	FORMATION	BRENT GP	3229	126	16	9999-12-31	2013-05-08
30/3-7 B	2670.000000	3116.000000	ROGALAND GP	GROUP	\N	3229	131	\N	9999-12-31	2013-05-08
30/3-7 B	2804.000000	2844.000000	SELE FM	FORMATION	ROGALAND GP	3229	142	131	9999-12-31	2013-05-08
30/3-7 B	3116.000000	4261.000000	SHETLAND GP	GROUP	\N	3229	143	\N	9999-12-31	2013-05-08
30/3-7 B	4611.000000	4948.000000	STATFJORD FM	FORMATION	\N	3229	157	\N	9999-12-31	2013-05-08
30/3-7 B	5514.000000	5593.000000	TARBERT FM	FORMATION	BRENT GP	3229	162	16	9999-12-31	2013-05-08
30/3-7 B	3693.000000	4261.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	3229	173	143	9999-12-31	2013-05-08
30/3-7 B	783.000000	963.000000	UTSIRA FM	FORMATION	NORDLAND GP	3229	183	113	9999-12-31	2013-05-08
30/3-7 B	4261.000000	4272.000000	VIKING GP	GROUP	\N	3229	188	\N	9999-12-31	2013-05-08
30/3-7 B	5352.000000	5514.000000	VIKING GP	GROUP	\N	3229	188	\N	9999-12-31	2013-05-08
30/3-7 B	4611.000000	4948.000000	NO GROUP DEFINED	GROUP	\N	3229	208	\N	9999-12-31	2013-05-08
25/11-22	1677.000000	1686.000000	BALDER FM	FORMATION	ROGALAND GP	3243	6	131	9999-12-31	2013-05-08
25/11-22	1774.000000	1785.000000	EKOFISK FM	FORMATION	SHETLAND GP	3243	33	143	9999-12-31	2013-05-08
25/11-22	845.000000	1677.000000	HORDALAND GP	GROUP	\N	3243	67	\N	9999-12-31	2013-05-08
25/11-22	1692.000000	1769.000000	LISTA FM	FORMATION	ROGALAND GP	3243	95	131	9999-12-31	2013-05-08
25/11-22	800.000000	845.000000	NO FORMAL NAME	FORMATION	\N	3243	111	\N	9999-12-31	2013-05-08
25/11-22	903.000000	948.000000	NO FORMAL NAME	FORMATION	\N	3243	111	\N	9999-12-31	2013-05-08
25/11-22	955.000000	982.000000	NO FORMAL NAME	FORMATION	\N	3243	111	\N	9999-12-31	2013-05-08
25/11-22	993.000000	1010.000000	NO FORMAL NAME	FORMATION	\N	3243	111	\N	9999-12-31	2013-05-08
25/11-22	1027.000000	1047.000000	NO FORMAL NAME	FORMATION	\N	3243	111	\N	9999-12-31	2013-05-08
25/11-22	1107.000000	1677.000000	NO FORMAL NAME	FORMATION	\N	3243	111	\N	9999-12-31	2013-05-08
25/11-22	145.000000	845.000000	NORDLAND GP	GROUP	\N	3243	113	\N	9999-12-31	2013-05-08
25/11-22	1677.000000	1774.000000	ROGALAND GP	GROUP	\N	3243	131	\N	9999-12-31	2013-05-08
25/11-22	1686.000000	1692.000000	SELE FM	FORMATION	ROGALAND GP	3243	142	131	9999-12-31	2013-05-08
25/11-22	1774.000000	1805.000000	SHETLAND GP	GROUP	\N	3243	143	\N	9999-12-31	2013-05-08
25/11-22	845.000000	903.000000	SKADE FM	FORMATION	HORDALAND GP	3243	145	67	9999-12-31	2013-05-08
25/11-22	948.000000	955.000000	SKADE FM	FORMATION	HORDALAND GP	3243	145	67	9999-12-31	2013-05-08
25/11-22	982.000000	993.000000	SKADE FM	FORMATION	HORDALAND GP	3243	145	67	9999-12-31	2013-05-08
25/11-22	1010.000000	1027.000000	SKADE FM	FORMATION	HORDALAND GP	3243	145	67	9999-12-31	2013-05-08
25/11-22	1047.000000	1107.000000	SKADE FM	FORMATION	HORDALAND GP	3243	145	67	9999-12-31	2013-05-08
25/11-22	1785.000000	1805.000000	TOR FM	FORMATION	SHETLAND GP	3243	171	143	9999-12-31	2013-05-08
25/11-22	700.000000	800.000000	UTSIRA FM	FORMATION	NORDLAND GP	3243	183	113	9999-12-31	2013-05-08
25/11-22	1769.000000	1774.000000	VÅLE FM	FORMATION	ROGALAND GP	3243	190	131	9999-12-31	2013-05-08
16/7-7 S	2134.000000	2182.000000	BALDER FM	FORMATION	ROGALAND GP	3244	6	131	9999-12-31	2013-05-08
16/7-7 S	2676.000000	2704.000000	BLODØKS FM	FORMATION	SHETLAND GP	3244	13	143	9999-12-31	2013-05-08
16/7-7 S	2704.000000	2763.000000	CROMER KNOLL GP	GROUP	\N	3244	23	\N	9999-12-31	2013-05-08
16/7-7 S	2763.000000	2770.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	3244	26	188	9999-12-31	2013-05-08
16/7-7 S	2340.000000	2372.000000	EKOFISK FM	FORMATION	SHETLAND GP	3244	33	143	9999-12-31	2013-05-08
16/7-7 S	2606.000000	2676.000000	HOD FM	FORMATION	SHETLAND GP	3244	66	143	9999-12-31	2013-05-08
16/7-7 S	1193.000000	2134.000000	HORDALAND GP	GROUP	\N	3244	67	\N	9999-12-31	2013-05-08
16/7-7 S	2208.000000	2323.000000	LISTA FM	FORMATION	ROGALAND GP	3244	95	131	9999-12-31	2013-05-08
16/7-7 S	103.000000	1193.000000	NORDLAND GP	GROUP	\N	3244	113	\N	9999-12-31	2013-05-08
16/7-7 S	2134.000000	2340.000000	ROGALAND GP	GROUP	\N	3244	131	\N	9999-12-31	2013-05-08
16/7-7 S	2704.000000	2731.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3244	137	23	9999-12-31	2013-05-08
16/7-7 S	2182.000000	2208.000000	SELE FM	FORMATION	ROGALAND GP	3244	142	131	9999-12-31	2013-05-08
16/7-7 S	2340.000000	2704.000000	SHETLAND GP	GROUP	\N	3244	143	\N	9999-12-31	2013-05-08
16/7-7 S	2770.000000	2994.000000	SKAGERRAK FM	FORMATION	HEGRE GP	3244	146	61	9999-12-31	2013-05-08
16/7-7 S	2731.000000	2738.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3244	152	23	9999-12-31	2013-05-08
16/7-7 S	2372.000000	2606.000000	TOR FM	FORMATION	SHETLAND GP	3244	171	143	9999-12-31	2013-05-08
16/7-7 S	861.000000	1193.000000	UTSIRA FM	FORMATION	NORDLAND GP	3244	183	113	9999-12-31	2013-05-08
16/7-7 S	2763.000000	2770.000000	VIKING GP	GROUP	\N	3244	188	\N	9999-12-31	2013-05-08
16/7-7 S	2323.000000	2340.000000	VÅLE FM	FORMATION	ROGALAND GP	3244	190	131	9999-12-31	2013-05-08
16/7-7 S	2738.000000	2763.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3244	198	23	9999-12-31	2013-05-08
16/7-7 S	2770.000000	2994.000000	NO GROUP DEFINED	GROUP	\N	3244	208	\N	9999-12-31	2013-05-08
30/8-3	2111.000000	2180.000000	BALDER FM	FORMATION	ROGALAND GP	3246	6	131	9999-12-31	2013-05-08
30/8-3	3252.000000	3663.000000	BRENT GP	GROUP	\N	3246	16	\N	9999-12-31	2013-05-08
30/8-3	3189.000000	3192.000000	CROMER KNOLL GP	GROUP	\N	3246	23	\N	9999-12-31	2013-05-08
30/8-3	3663.000000	3720.000000	DRAKE FM	FORMATION	DUNLIN GP	3246	27	29	9999-12-31	2013-05-08
30/8-3	3192.000000	3197.000000	DRAUPNE FM	FORMATION	VIKING GP	3246	28	188	9999-12-31	2013-05-08
30/8-3	3663.000000	3720.000000	DUNLIN GP	GROUP	\N	3246	29	\N	9999-12-31	2013-05-08
30/8-3	1538.000000	1558.000000	GRID FM	FORMATION	HORDALAND GP	3246	53	67	9999-12-31	2013-05-08
30/8-3	2431.000000	2454.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	3246	56	143	9999-12-31	2013-05-08
30/8-3	3197.000000	3252.000000	HEATHER FM	FORMATION	VIKING GP	3246	60	188	9999-12-31	2013-05-08
30/8-3	915.000000	2111.000000	HORDALAND GP	GROUP	\N	3246	67	\N	9999-12-31	2013-05-08
30/8-3	2454.000000	2649.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3246	74	143	9999-12-31	2013-05-08
30/8-3	2649.000000	3044.000000	KYRRE FM	FORMATION	SHETLAND GP	3246	92	143	9999-12-31	2013-05-08
30/8-3	2239.000000	2389.000000	LISTA FM	FORMATION	ROGALAND GP	3246	95	131	9999-12-31	2013-05-08
30/8-3	3189.000000	3192.000000	MIME FM	FORMATION	CROMER KNOLL GP	3246	106	23	9999-12-31	2013-05-08
30/8-3	3473.000000	3659.000000	NESS FM	FORMATION	BRENT GP	3246	110	16	9999-12-31	2013-05-08
30/8-3	559.000000	598.000000	NO FORMAL NAME	FORMATION	\N	3246	111	\N	9999-12-31	2013-05-08
30/8-3	598.000000	677.000000	NO FORMAL NAME	FORMATION	\N	3246	111	\N	9999-12-31	2013-05-08
30/8-3	885.000000	915.000000	NO FORMAL NAME	FORMATION	\N	3246	111	\N	9999-12-31	2013-05-08
30/8-3	974.000000	1077.000000	NO FORMAL NAME	FORMATION	\N	3246	111	\N	9999-12-31	2013-05-08
30/8-3	1077.000000	1142.000000	NO FORMAL NAME	FORMATION	\N	3246	111	\N	9999-12-31	2013-05-08
30/8-3	1142.000000	1538.000000	NO FORMAL NAME	FORMATION	\N	3246	111	\N	9999-12-31	2013-05-08
30/8-3	1558.000000	2111.000000	NO FORMAL NAME	FORMATION	\N	3246	111	\N	9999-12-31	2013-05-08
30/8-3	115.000000	915.000000	NORDLAND GP	GROUP	\N	3246	113	\N	9999-12-31	2013-05-08
30/8-3	2111.000000	2431.000000	ROGALAND GP	GROUP	\N	3246	131	\N	9999-12-31	2013-05-08
30/8-3	2180.000000	2239.000000	SELE FM	FORMATION	ROGALAND GP	3246	142	131	9999-12-31	2013-05-08
30/8-3	2431.000000	3189.000000	SHETLAND GP	GROUP	\N	3246	143	\N	9999-12-31	2013-05-08
30/8-3	915.000000	974.000000	SKADE FM	FORMATION	HORDALAND GP	3246	145	67	9999-12-31	2013-05-08
30/8-3	3141.000000	3189.000000	SVARTE FM	FORMATION	SHETLAND GP	3246	160	143	9999-12-31	2013-05-08
30/8-3	3252.000000	3473.000000	TARBERT FM	FORMATION	BRENT GP	3246	162	16	9999-12-31	2013-05-08
30/8-3	3044.000000	3141.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	3246	173	143	9999-12-31	2013-05-08
30/8-3	3659.000000	3663.000000	UNDIFFERENTIATED	FORMATION	\N	3246	182	\N	9999-12-31	2013-05-08
30/8-3	677.000000	885.000000	UTSIRA FM	FORMATION	NORDLAND GP	3246	183	113	9999-12-31	2013-05-08
30/8-3	3192.000000	3252.000000	VIKING GP	GROUP	\N	3246	188	\N	9999-12-31	2013-05-08
30/8-3	2389.000000	2431.000000	VÅLE FM	FORMATION	ROGALAND GP	3246	190	131	9999-12-31	2013-05-08
6204/11-2	2700.000000	2730.000000	AGAT FM	FORMATION	CROMER KNOLL GP	3249	2	23	9999-12-31	2013-05-08
6204/11-2	2352.000000	2402.000000	BLODØKS FM	FORMATION	SHETLAND GP	3249	13	143	9999-12-31	2013-05-08
6204/11-2	2659.000000	2800.000000	CROMER KNOLL GP	GROUP	\N	3249	23	\N	9999-12-31	2013-05-08
6204/11-2	1042.000000	1275.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	3249	31	131	9999-12-31	2013-05-08
6204/11-2	2800.000000	2892.000000	HEATHER FM	FORMATION	VIKING GP	3249	60	188	9999-12-31	2013-05-08
6204/11-2	632.000000	770.000000	HORDALAND GP	GROUP	\N	3249	67	\N	9999-12-31	2013-05-08
6204/11-2	1275.000000	1870.000000	KYRRE FM	FORMATION	SHETLAND GP	3249	92	143	9999-12-31	2013-05-08
6204/11-2	1870.000000	2352.000000	NO FORMAL NAME	FORMATION	\N	3249	111	\N	9999-12-31	2013-05-08
6204/11-2	2769.000000	2800.000000	NO FORMAL NAME	FORMATION	\N	3249	111	\N	9999-12-31	2013-05-08
6204/11-2	222.000000	632.000000	NORDLAND GP	GROUP	\N	3249	113	\N	9999-12-31	2013-05-08
6204/11-2	770.000000	1275.000000	ROGALAND GP	GROUP	\N	3249	131	\N	9999-12-31	2013-05-08
6204/11-2	2659.000000	2690.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3249	137	23	9999-12-31	2013-05-08
6204/11-2	1275.000000	2659.000000	SHETLAND GP	GROUP	\N	3249	143	\N	9999-12-31	2013-05-08
6204/11-2	2892.000000	2920.000000	SOGNEFJORD FM	FORMATION	VIKING GP	3249	151	188	9999-12-31	2013-05-08
6204/11-2	2690.000000	2700.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3249	152	23	9999-12-31	2013-05-08
6204/11-2	2402.000000	2659.000000	SVARTE FM	FORMATION	SHETLAND GP	3249	160	143	9999-12-31	2013-05-08
6204/11-2	770.000000	1042.000000	UNDIFFERENTIATED	FORMATION	\N	3249	182	\N	9999-12-31	2013-05-08
6204/11-2	2800.000000	2920.000000	VIKING GP	GROUP	\N	3249	188	\N	9999-12-31	2013-05-08
6204/11-2	2730.000000	2769.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3249	198	23	9999-12-31	2013-05-08
15/3-6	2110.000000	2155.000000	BALDER FM	FORMATION	ROGALAND GP	3250	6	131	9999-12-31	2013-05-08
15/3-6	2198.000000	2207.000000	BALDER FM	FORMATION	ROGALAND GP	3250	6	131	9999-12-31	2013-05-08
15/3-6	2155.000000	2198.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	3250	7	131	9999-12-31	2013-05-08
15/3-6	1560.000000	1850.000000	GRID FM	FORMATION	HORDALAND GP	3250	53	67	9999-12-31	2013-05-08
15/3-6	1978.000000	2015.000000	GRID FM	FORMATION	HORDALAND GP	3250	53	67	9999-12-31	2013-05-08
15/3-6	2379.000000	2630.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3250	62	131	9999-12-31	2013-05-08
15/3-6	2266.000000	2347.000000	HERMOD FM	FORMATION	ROGALAND GP	3250	64	131	9999-12-31	2013-05-08
15/3-6	910.000000	2110.000000	HORDALAND GP	GROUP	\N	3250	67	\N	9999-12-31	2013-05-08
15/3-6	2725.000000	2793.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3250	74	143	9999-12-31	2013-05-08
15/3-6	2347.000000	2379.000000	LISTA FM	FORMATION	ROGALAND GP	3250	95	131	9999-12-31	2013-05-08
15/3-6	1267.000000	1560.000000	NO FORMAL NAME	FORMATION	\N	3250	111	\N	9999-12-31	2013-05-08
15/3-6	1850.000000	1978.000000	NO FORMAL NAME	FORMATION	\N	3250	111	\N	9999-12-31	2013-05-08
15/3-6	2015.000000	2110.000000	NO FORMAL NAME	FORMATION	\N	3250	111	\N	9999-12-31	2013-05-08
15/3-6	128.000000	910.000000	NORDLAND GP	GROUP	\N	3250	113	\N	9999-12-31	2013-05-08
15/3-6	2110.000000	2725.000000	ROGALAND GP	GROUP	\N	3250	131	\N	9999-12-31	2013-05-08
15/3-6	2207.000000	2266.000000	SELE FM	FORMATION	ROGALAND GP	3250	142	131	9999-12-31	2013-05-08
15/3-6	2725.000000	2793.000000	SHETLAND GP	GROUP	\N	3250	143	\N	9999-12-31	2013-05-08
15/3-6	1238.000000	1267.000000	SKADE FM	FORMATION	HORDALAND GP	3250	145	67	9999-12-31	2013-05-08
15/3-6	2630.000000	2715.000000	TY FM	FORMATION	ROGALAND GP	3250	176	131	9999-12-31	2013-05-08
15/3-6	695.000000	910.000000	UTSIRA FM	FORMATION	NORDLAND GP	3250	183	113	9999-12-31	2013-05-08
15/3-6	2715.000000	2725.000000	VÅLE FM	FORMATION	ROGALAND GP	3250	190	131	9999-12-31	2013-05-08
15/9-19 B	2972.000000	3040.000000	BALDER FM	FORMATION	ROGALAND GP	3251	6	131	9999-12-31	2013-05-08
15/9-19 B	3678.000000	3701.000000	BLODØKS FM	FORMATION	SHETLAND GP	3251	13	143	9999-12-31	2013-05-08
15/9-19 B	3713.000000	3768.000000	CROMER KNOLL GP	GROUP	\N	3251	23	\N	9999-12-31	2013-05-08
15/9-19 B	3768.000000	3780.000000	DRAUPNE FM	FORMATION	VIKING GP	3251	28	188	9999-12-31	2013-05-08
15/9-19 B	3375.000000	3403.000000	EKOFISK FM	FORMATION	SHETLAND GP	3251	33	143	9999-12-31	2013-05-08
15/9-19 B	2782.000000	2832.000000	GRID FM	FORMATION	HORDALAND GP	3251	53	67	9999-12-31	2013-05-08
15/9-19 B	3993.000000	4036.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	3251	59	188	9999-12-31	2013-05-08
15/9-19 B	3780.000000	3993.000000	HEATHER FM	FORMATION	VIKING GP	3251	60	188	9999-12-31	2013-05-08
15/9-19 B	3209.000000	3375.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3251	62	131	9999-12-31	2013-05-08
15/9-19 B	3558.000000	3654.000000	HOD FM	FORMATION	SHETLAND GP	3251	66	143	9999-12-31	2013-05-08
15/9-19 B	1111.000000	2972.000000	HORDALAND GP	GROUP	\N	3251	67	\N	9999-12-31	2013-05-08
15/9-19 B	4036.000000	4179.000000	HUGIN FM	FORMATION	VESTLAND GP	3251	69	186	9999-12-31	2013-05-08
15/9-19 B	3123.000000	3209.000000	LISTA FM	FORMATION	ROGALAND GP	3251	95	131	9999-12-31	2013-05-08
15/9-19 B	1454.000000	2782.000000	NO FORMAL NAME	FORMATION	\N	3251	111	\N	9999-12-31	2013-05-08
15/9-19 B	2832.000000	2972.000000	NO FORMAL NAME	FORMATION	\N	3251	111	\N	9999-12-31	2013-05-08
15/9-19 B	109.000000	1111.000000	NORDLAND GP	GROUP	\N	3251	113	\N	9999-12-31	2013-05-08
15/9-19 B	2972.000000	3375.000000	ROGALAND GP	GROUP	\N	3251	131	\N	9999-12-31	2013-05-08
15/9-19 B	3713.000000	3740.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3251	137	23	9999-12-31	2013-05-08
15/9-19 B	3040.000000	3123.000000	SELE FM	FORMATION	ROGALAND GP	3251	142	131	9999-12-31	2013-05-08
15/9-19 B	3375.000000	3713.000000	SHETLAND GP	GROUP	\N	3251	143	\N	9999-12-31	2013-05-08
15/9-19 B	1316.000000	1454.000000	SKADE FM	FORMATION	HORDALAND GP	3251	145	67	9999-12-31	2013-05-08
15/9-19 B	4179.000000	4214.000000	SLEIPNER FM	FORMATION	VESTLAND GP	3251	148	186	9999-12-31	2013-05-08
15/9-19 B	4214.000000	4250.000000	SMITH BANK FM	FORMATION	HEGRE GP	3251	149	61	9999-12-31	2013-05-08
15/9-19 B	3740.000000	3750.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3251	152	23	9999-12-31	2013-05-08
15/9-19 B	3701.000000	3713.000000	SVARTE FM	FORMATION	SHETLAND GP	3251	160	143	9999-12-31	2013-05-08
15/9-19 B	3403.000000	3558.000000	TOR FM	FORMATION	SHETLAND GP	3251	171	143	9999-12-31	2013-05-08
15/9-19 B	3654.000000	3678.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	3251	173	143	9999-12-31	2013-05-08
15/9-19 B	850.000000	1111.000000	UTSIRA FM	FORMATION	NORDLAND GP	3251	183	113	9999-12-31	2013-05-08
15/9-19 B	4036.000000	4214.000000	VESTLAND GP	GROUP	\N	3251	186	\N	9999-12-31	2013-05-08
15/9-19 B	3768.000000	4036.000000	VIKING GP	GROUP	\N	3251	188	\N	9999-12-31	2013-05-08
15/9-19 B	3750.000000	3768.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3251	198	23	9999-12-31	2013-05-08
15/9-19 B	4214.000000	4250.000000	NO GROUP DEFINED	GROUP	\N	3251	208	\N	9999-12-31	2013-05-08
1/5-3 S	1309.000000	1565.000000	HORDALAND GP	GROUP	\N	3257	67	\N	9999-12-31	2013-05-08
1/5-3 S	94.000000	1309.000000	NORDLAND GP	GROUP	\N	3257	113	\N	9999-12-31	2013-05-08
6204/10-2 R	1098.000000	1140.000000	BALDER FM	FORMATION	ROGALAND GP	3258	6	131	9999-12-31	2013-05-08
6204/10-2 R	2073.000000	2095.000000	BASEMENT	GROUP	\N	3258	10	\N	9999-12-31	2013-05-08
6204/10-2 R	1935.000000	2073.000000	CROMER KNOLL GP	GROUP	\N	3258	23	\N	9999-12-31	2013-05-08
6204/10-2 R	631.000000	1098.000000	HORDALAND GP	GROUP	\N	3258	67	\N	9999-12-31	2013-05-08
6204/10-2 R	1280.000000	1327.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3258	74	143	9999-12-31	2013-05-08
6204/10-2 R	1327.000000	1868.000000	KYRRE FM	FORMATION	SHETLAND GP	3258	92	143	9999-12-31	2013-05-08
6204/10-2 R	1208.000000	1280.000000	LISTA FM	FORMATION	ROGALAND GP	3258	95	131	9999-12-31	2013-05-08
6204/10-2 R	992.000000	1034.000000	NO FORMAL NAME	FORMATION	\N	3258	111	\N	9999-12-31	2013-05-08
6204/10-2 R	1034.000000	1098.000000	NO FORMAL NAME	FORMATION	\N	3258	111	\N	9999-12-31	2013-05-08
6204/10-2 R	1868.000000	1935.000000	NO FORMAL NAME	FORMATION	\N	3258	111	\N	9999-12-31	2013-05-08
6204/10-2 R	197.000000	631.000000	NORDLAND GP	GROUP	\N	3258	113	\N	9999-12-31	2013-05-08
6204/10-2 R	1098.000000	1280.000000	ROGALAND GP	GROUP	\N	3258	131	\N	9999-12-31	2013-05-08
6204/10-2 R	1140.000000	1208.000000	SELE FM	FORMATION	ROGALAND GP	3258	142	131	9999-12-31	2013-05-08
6204/10-2 R	1280.000000	1935.000000	SHETLAND GP	GROUP	\N	3258	143	\N	9999-12-31	2013-05-08
6204/10-2 R	1935.000000	2073.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3258	198	23	9999-12-31	2013-05-08
6505/10-1	1354.000000	1379.000000	BRYGGE FM	FORMATION	HORDALAND GP	3259	18	67	9999-12-31	2013-05-08
6505/10-1	3688.000000	5028.000000	CROMER KNOLL GP	GROUP	\N	3259	23	\N	9999-12-31	2013-05-08
6505/10-1	1354.000000	1379.000000	HORDALAND GP	GROUP	\N	3259	67	\N	9999-12-31	2013-05-08
6505/10-1	2525.000000	3688.000000	KVITNOS FM	FORMATION	SHETLAND GP	3259	91	143	9999-12-31	2013-05-08
6505/10-1	3746.000000	5028.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3259	94	23	9999-12-31	2013-05-08
6505/10-1	3688.000000	3746.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3259	99	23	9999-12-31	2013-05-08
6505/10-1	710.000000	1354.000000	NAUST FM	FORMATION	NORDLAND GP	3259	109	113	9999-12-31	2013-05-08
6505/10-1	2154.000000	2525.000000	NISE FM	FORMATION	SHETLAND GP	3259	112	143	9999-12-31	2013-05-08
6505/10-1	710.000000	1354.000000	NORDLAND GP	GROUP	\N	3259	113	\N	9999-12-31	2013-05-08
6505/10-1	1379.000000	1642.000000	ROGALAND GP	GROUP	\N	3259	131	\N	9999-12-31	2013-05-08
6505/10-1	1642.000000	3688.000000	SHETLAND GP	GROUP	\N	3259	143	\N	9999-12-31	2013-05-08
6505/10-1	1642.000000	2154.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3259	156	143	9999-12-31	2013-05-08
6505/10-1	1504.000000	1642.000000	TANG FM	FORMATION	ROGALAND GP	3259	161	131	9999-12-31	2013-05-08
6505/10-1	1379.000000	1504.000000	TARE FM	FORMATION	ROGALAND GP	3259	163	131	9999-12-31	2013-05-08
6608/10-6	1527.000000	1585.000000	BRYGGE FM	FORMATION	HORDALAND GP	3260	18	67	9999-12-31	2013-05-08
6608/10-6	1873.000000	2115.000000	BÅT GP	GROUP	\N	3260	22	\N	9999-12-31	2013-05-08
6608/10-6	1717.000000	1794.000000	CROMER KNOLL GP	GROUP	\N	3260	23	\N	9999-12-31	2013-05-08
6608/10-6	1859.000000	1873.000000	FANGST GP	GROUP	\N	3260	38	\N	9999-12-31	2013-05-08
6608/10-6	1527.000000	1585.000000	HORDALAND GP	GROUP	\N	3260	67	\N	9999-12-31	2013-05-08
6608/10-6	1382.000000	1527.000000	KAI FM	FORMATION	NORDLAND GP	3260	77	113	9999-12-31	2013-05-08
6608/10-6	1717.000000	1794.000000	LYR FM	FORMATION	CROMER KNOLL GP	3260	98	23	9999-12-31	2013-05-08
6608/10-6	1814.000000	1850.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	3260	104	188	9999-12-31	2013-05-08
6608/10-6	1794.000000	1814.000000	MELKE FM	FORMATION	VIKING GP	3260	105	188	9999-12-31	2013-05-08
6608/10-6	1850.000000	1859.000000	MELKE FM	FORMATION	VIKING GP	3260	105	188	9999-12-31	2013-05-08
6608/10-6	414.000000	1527.000000	NORDLAND GP	GROUP	\N	3260	113	\N	9999-12-31	2013-05-08
6608/10-6	1859.000000	1873.000000	NOT FM	FORMATION	FANGST GP	3260	120	38	9999-12-31	2013-05-08
6608/10-6	1585.000000	1700.000000	ROGALAND GP	GROUP	\N	3260	131	\N	9999-12-31	2013-05-08
6608/10-6	1700.000000	1717.000000	SHETLAND GP	GROUP	\N	3260	143	\N	9999-12-31	2013-05-08
6608/10-6	1700.000000	1717.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3260	156	143	9999-12-31	2013-05-08
6608/10-6	1678.000000	1700.000000	TANG FM	FORMATION	ROGALAND GP	3260	161	131	9999-12-31	2013-05-08
6608/10-6	1585.000000	1678.000000	TARE FM	FORMATION	ROGALAND GP	3260	163	131	9999-12-31	2013-05-08
6608/10-6	1794.000000	1859.000000	VIKING GP	GROUP	\N	3260	188	\N	9999-12-31	2013-05-08
6608/10-6	1873.000000	2115.000000	ÅRE FM	FORMATION	BÅT GP	3260	197	22	9999-12-31	2013-05-08
6510/2-1 R	480.000000	593.000000	BRYGGE FM	FORMATION	HORDALAND GP	3263	18	67	9999-12-31	2013-05-08
6510/2-1 R	1722.000000	2236.000000	BÅT GP	GROUP	\N	3263	22	\N	9999-12-31	2013-05-08
6510/2-1 R	848.000000	1160.000000	CROMER KNOLL GP	GROUP	\N	3263	23	\N	9999-12-31	2013-05-08
6510/2-1 R	1543.000000	1722.000000	FANGST GP	GROUP	\N	3263	38	\N	9999-12-31	2013-05-08
6510/2-1 R	1543.000000	1654.000000	GARN FM	FORMATION	FANGST GP	3263	48	38	9999-12-31	2013-05-08
6510/2-1 R	2236.000000	4700.000000	GREY BEDS (INFORMAL)	GROUP	\N	3263	52	\N	9999-12-31	2013-05-08
6510/2-1 R	480.000000	593.000000	HORDALAND GP	GROUP	\N	3263	67	\N	9999-12-31	2013-05-08
6510/2-1 R	1688.000000	1722.000000	ILE FM	FORMATION	FANGST GP	3263	70	38	9999-12-31	2013-05-08
6510/2-1 R	1319.000000	1543.000000	MELKE FM	FORMATION	VIKING GP	3263	105	188	9999-12-31	2013-05-08
6510/2-1 R	348.000000	441.000000	NAUST FM	FORMATION	NORDLAND GP	3263	109	113	9999-12-31	2013-05-08
6510/2-1 R	1013.000000	1160.000000	NO FORMAL NAME	FORMATION	\N	3263	111	\N	9999-12-31	2013-05-08
6510/2-1 R	348.000000	480.000000	NORDLAND GP	GROUP	\N	3263	113	\N	9999-12-31	2013-05-08
6510/2-1 R	1654.000000	1688.000000	NOT FM	FORMATION	FANGST GP	3263	120	38	9999-12-31	2013-05-08
6510/2-1 R	593.000000	727.000000	ROGALAND GP	GROUP	\N	3263	131	\N	9999-12-31	2013-05-08
6510/2-1 R	1722.000000	1823.000000	ROR FM	FORMATION	BÅT GP	3263	135	22	9999-12-31	2013-05-08
6510/2-1 R	727.000000	848.000000	SHETLAND GP	GROUP	\N	3263	143	\N	9999-12-31	2013-05-08
6510/2-1 R	1292.000000	1319.000000	SPEKK FM	FORMATION	VIKING GP	3263	155	188	9999-12-31	2013-05-08
6510/2-1 R	655.000000	727.000000	TANG FM	FORMATION	ROGALAND GP	3263	161	131	9999-12-31	2013-05-08
6510/2-1 R	593.000000	655.000000	TARE FM	FORMATION	ROGALAND GP	3263	163	131	9999-12-31	2013-05-08
6510/2-1 R	1823.000000	1945.000000	TILJE FM	FORMATION	BÅT GP	3263	169	22	9999-12-31	2013-05-08
6510/2-1 R	1292.000000	1543.000000	VIKING GP	GROUP	\N	3263	188	\N	9999-12-31	2013-05-08
6510/2-1 R	1160.000000	1292.000000	UNDEFINED GP	GROUP	\N	3263	191	\N	9999-12-31	2013-05-08
6510/2-1 R	1945.000000	2236.000000	ÅRE FM	FORMATION	BÅT GP	3263	197	22	9999-12-31	2013-05-08
6510/2-1 R	441.000000	480.000000	MOLO FM	FORMATION	NORDLAND GP	3263	209	113	9999-12-31	2013-05-08
16/1-5	1896.000000	1922.000000	BALDER FM	FORMATION	ROGALAND GP	3279	6	131	9999-12-31	2013-05-08
16/1-5	2265.000000	2460.000000	BASEMENT	GROUP	\N	3279	10	\N	9999-12-31	2013-05-08
16/1-5	1617.000000	1733.000000	GRID FM	FORMATION	HORDALAND GP	3279	53	67	9999-12-31	2013-05-08
16/1-5	2020.000000	2155.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	3279	59	188	9999-12-31	2013-05-08
16/1-5	2155.000000	2175.000000	HEATHER FM	FORMATION	VIKING GP	3279	60	188	9999-12-31	2013-05-08
16/1-5	2008.000000	2020.000000	HOD FM	FORMATION	SHETLAND GP	3279	66	143	9999-12-31	2013-05-08
16/1-5	921.000000	1896.000000	HORDALAND GP	GROUP	\N	3279	67	\N	9999-12-31	2013-05-08
16/1-5	2175.000000	2247.000000	HUGIN FM	FORMATION	VESTLAND GP	3279	69	186	9999-12-31	2013-05-08
16/1-5	1932.000000	2004.000000	LISTA FM	FORMATION	ROGALAND GP	3279	95	131	9999-12-31	2013-05-08
16/1-5	1230.000000	1617.000000	NO FORMAL NAME	FORMATION	\N	3279	111	\N	9999-12-31	2013-05-08
16/1-5	1733.000000	1896.000000	NO FORMAL NAME	FORMATION	\N	3279	111	\N	9999-12-31	2013-05-08
16/1-5	130.000000	921.000000	NORDLAND GP	GROUP	\N	3279	113	\N	9999-12-31	2013-05-08
16/1-5	1896.000000	2008.000000	ROGALAND GP	GROUP	\N	3279	131	\N	9999-12-31	2013-05-08
16/1-5	1922.000000	1932.000000	SELE FM	FORMATION	ROGALAND GP	3279	142	131	9999-12-31	2013-05-08
16/1-5	2008.000000	2020.000000	SHETLAND GP	GROUP	\N	3279	143	\N	9999-12-31	2013-05-08
16/1-5	1002.000000	1230.000000	SKADE FM	FORMATION	HORDALAND GP	3279	145	67	9999-12-31	2013-05-08
16/1-5	745.000000	921.000000	UTSIRA FM	FORMATION	NORDLAND GP	3279	183	113	9999-12-31	2013-05-08
16/1-5	2175.000000	2247.000000	VESTLAND GP	GROUP	\N	3279	186	\N	9999-12-31	2013-05-08
16/1-5	2020.000000	2175.000000	VIKING GP	GROUP	\N	3279	188	\N	9999-12-31	2013-05-08
16/1-5	2004.000000	2008.000000	VÅLE FM	FORMATION	ROGALAND GP	3279	190	131	9999-12-31	2013-05-08
16/1-5	2247.000000	2265.000000	NO GROUP DEFINED	GROUP	\N	3279	208	\N	9999-12-31	2013-05-08
6204/10-2 A	1098.000000	1140.000000	BALDER FM	FORMATION	ROGALAND GP	3280	6	131	9999-12-31	2013-05-08
6204/10-2 A	2233.000000	2290.000000	CROMER KNOLL GP	GROUP	\N	3280	23	\N	9999-12-31	2013-05-08
6204/10-2 A	631.000000	1098.000000	HORDALAND GP	GROUP	\N	3280	67	\N	9999-12-31	2013-05-08
6204/10-2 A	1285.000000	1331.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3280	74	143	9999-12-31	2013-05-08
6204/10-2 A	1331.000000	2099.000000	KYRRE FM	FORMATION	SHETLAND GP	3280	92	143	9999-12-31	2013-05-08
6204/10-2 A	2141.000000	2233.000000	KYRRE FM	FORMATION	SHETLAND GP	3280	92	143	9999-12-31	2013-05-08
6204/10-2 A	1208.000000	1285.000000	LISTA FM	FORMATION	ROGALAND GP	3280	95	131	9999-12-31	2013-05-08
6204/10-2 A	992.000000	1034.000000	NO FORMAL NAME	FORMATION	\N	3280	111	\N	9999-12-31	2013-05-08
6204/10-2 A	1034.000000	1098.000000	NO FORMAL NAME	FORMATION	\N	3280	111	\N	9999-12-31	2013-05-08
6204/10-2 A	2099.000000	2141.000000	NO FORMAL NAME	FORMATION	\N	3280	111	\N	9999-12-31	2013-05-08
6204/10-2 A	197.000000	631.000000	NORDLAND GP	GROUP	\N	3280	113	\N	9999-12-31	2013-05-08
6204/10-2 A	1098.000000	1285.000000	ROGALAND GP	GROUP	\N	3280	131	\N	9999-12-31	2013-05-08
6204/10-2 A	1140.000000	1208.000000	SELE FM	FORMATION	ROGALAND GP	3280	142	131	9999-12-31	2013-05-08
6204/10-2 A	1285.000000	2233.000000	SHETLAND GP	GROUP	\N	3280	143	\N	9999-12-31	2013-05-08
6204/10-2 A	2233.000000	2290.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3280	198	23	9999-12-31	2013-05-08
34/7-28	1683.000000	1691.000000	BALDER FM	FORMATION	ROGALAND GP	3282	6	131	9999-12-31	2013-05-08
34/7-28	2792.000000	2972.000000	BRENT GP	GROUP	\N	3282	16	\N	9999-12-31	2013-05-08
34/7-28	2654.000000	2666.000000	CROMER KNOLL GP	GROUP	\N	3282	23	\N	9999-12-31	2013-05-08
34/7-28	2666.000000	2669.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	3282	26	188	9999-12-31	2013-05-08
34/7-28	2972.000000	3005.000000	DRAKE FM	FORMATION	DUNLIN GP	3282	27	29	9999-12-31	2013-05-08
34/7-28	2972.000000	3005.000000	DUNLIN GP	GROUP	\N	3282	29	\N	9999-12-31	2013-05-08
34/7-28	2679.000000	2695.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	3282	59	188	9999-12-31	2013-05-08
34/7-28	2669.000000	2679.000000	HEATHER FM	FORMATION	VIKING GP	3282	60	188	9999-12-31	2013-05-08
34/7-28	2695.000000	2792.000000	HEATHER FM	FORMATION	VIKING GP	3282	60	188	9999-12-31	2013-05-08
34/7-28	1094.000000	1683.000000	HORDALAND GP	GROUP	\N	3282	67	\N	9999-12-31	2013-05-08
34/7-28	1865.000000	2109.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3282	74	143	9999-12-31	2013-05-08
34/7-28	2109.000000	2654.000000	KYRRE FM	FORMATION	SHETLAND GP	3282	92	143	9999-12-31	2013-05-08
34/7-28	1691.000000	1865.000000	LISTA FM	FORMATION	ROGALAND GP	3282	95	131	9999-12-31	2013-05-08
34/7-28	2658.000000	2666.000000	MIME FM	FORMATION	CROMER KNOLL GP	3282	106	23	9999-12-31	2013-05-08
34/7-28	1041.000000	1094.000000	NO FORMAL NAME	FORMATION	\N	3282	111	\N	9999-12-31	2013-05-08
34/7-28	328.000000	1094.000000	NORDLAND GP	GROUP	\N	3282	113	\N	9999-12-31	2013-05-08
34/7-28	1683.000000	1865.000000	ROGALAND GP	GROUP	\N	3282	131	\N	9999-12-31	2013-05-08
34/7-28	1865.000000	2654.000000	SHETLAND GP	GROUP	\N	3282	143	\N	9999-12-31	2013-05-08
34/7-28	2654.000000	2658.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3282	152	23	9999-12-31	2013-05-08
34/7-28	2792.000000	2805.000000	TARBERT FM	FORMATION	BRENT GP	3282	162	16	9999-12-31	2013-05-08
34/7-28	2805.000000	2972.000000	UNDIFFERENTIATED	FORMATION	\N	3282	182	\N	9999-12-31	2013-05-08
34/7-28	970.000000	1041.000000	UTSIRA FM	FORMATION	NORDLAND GP	3282	183	113	9999-12-31	2013-05-08
34/7-28	2666.000000	2792.000000	VIKING GP	GROUP	\N	3282	188	\N	9999-12-31	2013-05-08
6508/1-1 S	1603.000000	1733.000000	BRYGGE FM	FORMATION	HORDALAND GP	3284	18	67	9999-12-31	2013-05-08
6508/1-1 S	2503.000000	2750.000000	BÅT GP	GROUP	\N	3284	22	\N	9999-12-31	2013-05-08
6508/1-1 S	2351.000000	2503.000000	FANGST GP	GROUP	\N	3284	38	\N	9999-12-31	2013-05-08
6508/1-1 S	2351.000000	2378.000000	GARN FM	FORMATION	FANGST GP	3284	48	38	9999-12-31	2013-05-08
6508/1-1 S	1603.000000	1733.000000	HORDALAND GP	GROUP	\N	3284	67	\N	9999-12-31	2013-05-08
6508/1-1 S	2392.000000	2503.000000	ILE FM	FORMATION	FANGST GP	3284	70	38	9999-12-31	2013-05-08
6508/1-1 S	1338.000000	1603.000000	KAI FM	FORMATION	NORDLAND GP	3284	77	113	9999-12-31	2013-05-08
6508/1-1 S	2147.000000	2351.000000	MELKE FM	FORMATION	VIKING GP	3284	105	188	9999-12-31	2013-05-08
6508/1-1 S	414.000000	1338.000000	NAUST FM	FORMATION	NORDLAND GP	3284	109	113	9999-12-31	2013-05-08
6508/1-1 S	414.000000	1603.000000	NORDLAND GP	GROUP	\N	3284	113	\N	9999-12-31	2013-05-08
6508/1-1 S	2378.000000	2392.000000	NOT FM	FORMATION	FANGST GP	3284	120	38	9999-12-31	2013-05-08
6508/1-1 S	1733.000000	1877.000000	ROGALAND GP	GROUP	\N	3284	131	\N	9999-12-31	2013-05-08
6508/1-1 S	2503.000000	2519.000000	ROR FM	FORMATION	BÅT GP	3284	135	22	9999-12-31	2013-05-08
6508/1-1 S	1877.000000	2130.000000	SHETLAND GP	GROUP	\N	3284	143	\N	9999-12-31	2013-05-08
6508/1-1 S	2130.000000	2147.000000	SPEKK FM	FORMATION	VIKING GP	3284	155	188	9999-12-31	2013-05-08
6508/1-1 S	1877.000000	2130.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3284	156	143	9999-12-31	2013-05-08
6508/1-1 S	2530.000000	2714.000000	TILJE FM	FORMATION	BÅT GP	3284	169	22	9999-12-31	2013-05-08
6508/1-1 S	2519.000000	2530.000000	TOFTE FM	FORMATION	BÅT GP	3284	170	22	9999-12-31	2013-05-08
6508/1-1 S	2130.000000	2351.000000	VIKING GP	GROUP	\N	3284	188	\N	9999-12-31	2013-05-08
6508/1-1 S	2714.000000	2750.000000	ÅRE FM	FORMATION	BÅT GP	3284	197	22	9999-12-31	2013-05-08
6506/11-6	1940.000000	2260.000000	BRYGGE FM	FORMATION	HORDALAND GP	3306	18	67	9999-12-31	2013-05-08
6506/11-6	4896.000000	5275.000000	BÅT GP	GROUP	\N	3306	22	\N	9999-12-31	2013-05-08
6506/11-6	3537.000000	4634.000000	CROMER KNOLL GP	GROUP	\N	3306	23	\N	9999-12-31	2013-05-08
6506/11-6	4651.000000	4896.000000	FANGST GP	GROUP	\N	3306	38	\N	9999-12-31	2013-05-08
6506/11-6	4651.000000	4769.000000	GARN FM	FORMATION	FANGST GP	3306	48	38	9999-12-31	2013-05-08
6506/11-6	1940.000000	2260.000000	HORDALAND GP	GROUP	\N	3306	67	\N	9999-12-31	2013-05-08
6506/11-6	4817.000000	4896.000000	ILE FM	FORMATION	FANGST GP	3306	70	38	9999-12-31	2013-05-08
6506/11-6	1512.000000	1940.000000	KAI FM	FORMATION	NORDLAND GP	3306	77	113	9999-12-31	2013-05-08
6506/11-6	2760.000000	3537.000000	KVITNOS FM	FORMATION	SHETLAND GP	3306	91	143	9999-12-31	2013-05-08
6506/11-6	3571.000000	4399.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3306	94	23	9999-12-31	2013-05-08
6506/11-6	4458.000000	4634.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3306	94	23	9999-12-31	2013-05-08
6506/11-6	3537.000000	3571.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3306	99	23	9999-12-31	2013-05-08
6506/11-6	4634.000000	4651.000000	MELKE FM	FORMATION	VIKING GP	3306	105	188	9999-12-31	2013-05-08
6506/11-6	403.000000	1512.000000	NAUST FM	FORMATION	NORDLAND GP	3306	109	113	9999-12-31	2013-05-08
6506/11-6	4399.000000	4458.000000	NO FORMAL NAME	FORMATION	\N	3306	111	\N	9999-12-31	2013-05-08
6506/11-6	2600.000000	2760.000000	NISE FM	FORMATION	SHETLAND GP	3306	112	143	9999-12-31	2013-05-08
6506/11-6	403.000000	1940.000000	NORDLAND GP	GROUP	\N	3306	113	\N	9999-12-31	2013-05-08
6506/11-6	4769.000000	4817.000000	NOT FM	FORMATION	FANGST GP	3306	120	38	9999-12-31	2013-05-08
6506/11-6	2260.000000	2406.000000	ROGALAND GP	GROUP	\N	3306	131	\N	9999-12-31	2013-05-08
6506/11-6	4896.000000	4945.000000	ROR FM	FORMATION	BÅT GP	3306	135	22	9999-12-31	2013-05-08
6506/11-6	5078.000000	5080.000000	ROR FM	FORMATION	BÅT GP	3306	135	22	9999-12-31	2013-05-08
6506/11-6	2406.000000	3537.000000	SHETLAND GP	GROUP	\N	3306	143	\N	9999-12-31	2013-05-08
6506/11-6	2406.000000	2600.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3306	156	143	9999-12-31	2013-05-08
6506/11-6	2360.000000	2406.000000	TANG FM	FORMATION	ROGALAND GP	3306	161	131	9999-12-31	2013-05-08
6506/11-6	2260.000000	2360.000000	TARE FM	FORMATION	ROGALAND GP	3306	163	131	9999-12-31	2013-05-08
6506/11-6	5080.000000	5260.000000	TILJE FM	FORMATION	BÅT GP	3306	169	22	9999-12-31	2013-05-08
6506/11-6	4945.000000	5078.000000	TOFTE FM	FORMATION	BÅT GP	3306	170	22	9999-12-31	2013-05-08
6506/11-6	4634.000000	4651.000000	VIKING GP	GROUP	\N	3306	188	\N	9999-12-31	2013-05-08
6506/11-6	5260.000000	5275.000000	ÅRE FM	FORMATION	BÅT GP	3306	197	22	9999-12-31	2013-05-08
34/7-29 S	1748.000000	1814.000000	BALDER FM	FORMATION	ROGALAND GP	3313	6	131	9999-12-31	2013-05-08
34/7-29 S	2894.000000	2927.000000	BRENT GP	GROUP	\N	3313	16	\N	9999-12-31	2013-05-08
34/7-29 S	2693.000000	2706.000000	CROMER KNOLL GP	GROUP	\N	3313	23	\N	9999-12-31	2013-05-08
34/7-29 S	2706.000000	2723.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	3313	26	188	9999-12-31	2013-05-08
34/7-29 S	2723.000000	2774.000000	DRAUPNE FM	FORMATION	VIKING GP	3313	28	188	9999-12-31	2013-05-08
34/7-29 S	2774.000000	2894.000000	HEATHER FM	FORMATION	VIKING GP	3313	60	188	9999-12-31	2013-05-08
34/7-29 S	1093.000000	1748.000000	HORDALAND GP	GROUP	\N	3313	67	\N	9999-12-31	2013-05-08
34/7-29 S	1999.000000	2260.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3313	74	143	9999-12-31	2013-05-08
34/7-29 S	2260.000000	2693.000000	KYRRE FM	FORMATION	SHETLAND GP	3313	92	143	9999-12-31	2013-05-08
34/7-29 S	1814.000000	1928.000000	LISTA FM	FORMATION	ROGALAND GP	3313	95	131	9999-12-31	2013-05-08
34/7-29 S	2701.000000	2706.000000	MIME FM	FORMATION	CROMER KNOLL GP	3313	106	23	9999-12-31	2013-05-08
34/7-29 S	1283.000000	1335.000000	NO FORMAL NAME	FORMATION	\N	3313	111	\N	9999-12-31	2013-05-08
34/7-29 S	1335.000000	1398.000000	NO FORMAL NAME	FORMATION	\N	3313	111	\N	9999-12-31	2013-05-08
34/7-29 S	1398.000000	1447.000000	NO FORMAL NAME	FORMATION	\N	3313	111	\N	9999-12-31	2013-05-08
34/7-29 S	1447.000000	1748.000000	NO FORMAL NAME	FORMATION	\N	3313	111	\N	9999-12-31	2013-05-08
34/7-29 S	1928.000000	1999.000000	NO FORMAL NAME	FORMATION	\N	3313	111	\N	9999-12-31	2013-05-08
34/7-29 S	274.000000	1093.000000	NORDLAND GP	GROUP	\N	3313	113	\N	9999-12-31	2013-05-08
34/7-29 S	1748.000000	1999.000000	ROGALAND GP	GROUP	\N	3313	131	\N	9999-12-31	2013-05-08
34/7-29 S	2693.000000	2701.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3313	137	23	9999-12-31	2013-05-08
34/7-29 S	1999.000000	2693.000000	SHETLAND GP	GROUP	\N	3313	143	\N	9999-12-31	2013-05-08
34/7-29 S	2894.000000	2927.000000	TARBERT FM	FORMATION	BRENT GP	3313	162	16	9999-12-31	2013-05-08
34/7-29 S	979.000000	1093.000000	UTSIRA FM	FORMATION	NORDLAND GP	3313	183	113	9999-12-31	2013-05-08
34/7-29 S	2706.000000	2894.000000	VIKING GP	GROUP	\N	3313	188	\N	9999-12-31	2013-05-08
34/11-4	1875.000000	1928.000000	BALDER FM	FORMATION	ROGALAND GP	3314	6	131	9999-12-31	2013-05-08
34/11-4	4142.000000	4339.000000	BRENT GP	GROUP	\N	3314	16	\N	9999-12-31	2013-05-08
34/11-4	3697.000000	3904.000000	CROMER KNOLL GP	GROUP	\N	3314	23	\N	9999-12-31	2013-05-08
34/11-4	4410.000000	4438.000000	COOK FM	FORMATION	DUNLIN GP	3314	24	29	9999-12-31	2013-05-08
34/11-4	4339.000000	4410.000000	DRAKE FM	FORMATION	DUNLIN GP	3314	27	29	9999-12-31	2013-05-08
34/11-4	3904.000000	4018.000000	DRAUPNE FM	FORMATION	VIKING GP	3314	28	188	9999-12-31	2013-05-08
34/11-4	4339.000000	4438.000000	DUNLIN GP	GROUP	\N	3314	29	\N	9999-12-31	2013-05-08
34/11-4	4277.000000	4292.000000	ETIVE FM	FORMATION	BRENT GP	3314	35	16	9999-12-31	2013-05-08
34/11-4	4018.000000	4142.000000	HEATHER FM	FORMATION	VIKING GP	3314	60	188	9999-12-31	2013-05-08
34/11-4	996.000000	1875.000000	HORDALAND GP	GROUP	\N	3314	67	\N	9999-12-31	2013-05-08
34/11-4	2117.000000	2428.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3314	74	143	9999-12-31	2013-05-08
34/11-4	2428.000000	3512.000000	KYRRE FM	FORMATION	SHETLAND GP	3314	92	143	9999-12-31	2013-05-08
34/11-4	1928.000000	2117.000000	LISTA FM	FORMATION	ROGALAND GP	3314	95	131	9999-12-31	2013-05-08
34/11-4	4148.000000	4277.000000	NESS FM	FORMATION	BRENT GP	3314	110	16	9999-12-31	2013-05-08
34/11-4	1238.000000	1254.000000	NO FORMAL NAME	FORMATION	\N	3314	111	\N	9999-12-31	2013-05-08
34/11-4	1254.000000	1302.000000	NO FORMAL NAME	FORMATION	\N	3314	111	\N	9999-12-31	2013-05-08
34/11-4	1302.000000	1480.000000	NO FORMAL NAME	FORMATION	\N	3314	111	\N	9999-12-31	2013-05-08
34/11-4	1480.000000	1515.000000	NO FORMAL NAME	FORMATION	\N	3314	111	\N	9999-12-31	2013-05-08
34/11-4	1515.000000	1630.000000	NO FORMAL NAME	FORMATION	\N	3314	111	\N	9999-12-31	2013-05-08
34/11-4	1630.000000	1875.000000	NO FORMAL NAME	FORMATION	\N	3314	111	\N	9999-12-31	2013-05-08
34/11-4	157.000000	996.000000	NORDLAND GP	GROUP	\N	3314	113	\N	9999-12-31	2013-05-08
34/11-4	4292.000000	4339.000000	RANNOCH FM	FORMATION	BRENT GP	3314	126	16	9999-12-31	2013-05-08
34/11-4	1875.000000	2117.000000	ROGALAND GP	GROUP	\N	3314	131	\N	9999-12-31	2013-05-08
34/11-4	2117.000000	3697.000000	SHETLAND GP	GROUP	\N	3314	143	\N	9999-12-31	2013-05-08
34/11-4	3512.000000	3697.000000	SVARTE FM	FORMATION	SHETLAND GP	3314	160	143	9999-12-31	2013-05-08
34/11-4	4142.000000	4148.000000	TARBERT FM	FORMATION	BRENT GP	3314	162	16	9999-12-31	2013-05-08
34/11-4	753.000000	996.000000	UTSIRA FM	FORMATION	NORDLAND GP	3314	183	113	9999-12-31	2013-05-08
34/11-4	3904.000000	4142.000000	VIKING GP	GROUP	\N	3314	188	\N	9999-12-31	2013-05-08
34/7-26 SR	2896.000000	3016.000000	BALDER FM	FORMATION	ROGALAND GP	3315	6	131	9999-12-31	2013-05-08
34/7-26 SR	4505.000000	4528.000000	CROMER KNOLL GP	GROUP	\N	3315	23	\N	9999-12-31	2013-05-08
34/7-26 SR	4528.000000	4537.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	3315	26	188	9999-12-31	2013-05-08
34/7-26 SR	4537.000000	4610.000000	DRAUPNE FM	FORMATION	VIKING GP	3315	28	188	9999-12-31	2013-05-08
34/7-26 SR	4610.000000	4690.000000	HEATHER FM	FORMATION	VIKING GP	3315	60	188	9999-12-31	2013-05-08
34/7-26 SR	1348.000000	2896.000000	HORDALAND GP	GROUP	\N	3315	67	\N	9999-12-31	2013-05-08
34/7-26 SR	3340.000000	3866.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3315	74	143	9999-12-31	2013-05-08
34/7-26 SR	3866.000000	4505.000000	KYRRE FM	FORMATION	SHETLAND GP	3315	92	143	9999-12-31	2013-05-08
34/7-26 SR	3016.000000	3340.000000	LISTA FM	FORMATION	ROGALAND GP	3315	95	131	9999-12-31	2013-05-08
34/7-26 SR	4512.000000	4528.000000	MIME FM	FORMATION	CROMER KNOLL GP	3315	106	23	9999-12-31	2013-05-08
34/7-26 SR	1555.000000	1617.000000	NO FORMAL NAME	FORMATION	\N	3315	111	\N	9999-12-31	2013-05-08
34/7-26 SR	1617.000000	1665.000000	NO FORMAL NAME	FORMATION	\N	3315	111	\N	9999-12-31	2013-05-08
34/7-26 SR	1665.000000	1867.000000	NO FORMAL NAME	FORMATION	\N	3315	111	\N	9999-12-31	2013-05-08
34/7-26 SR	1867.000000	1980.000000	NO FORMAL NAME	FORMATION	\N	3315	111	\N	9999-12-31	2013-05-08
34/7-26 SR	1980.000000	2098.000000	NO FORMAL NAME	FORMATION	\N	3315	111	\N	9999-12-31	2013-05-08
34/7-26 SR	2098.000000	2187.000000	NO FORMAL NAME	FORMATION	\N	3315	111	\N	9999-12-31	2013-05-08
34/7-26 SR	2187.000000	2223.000000	NO FORMAL NAME	FORMATION	\N	3315	111	\N	9999-12-31	2013-05-08
34/7-26 SR	2223.000000	2896.000000	NO FORMAL NAME	FORMATION	\N	3315	111	\N	9999-12-31	2013-05-08
34/7-26 SR	226.000000	1348.000000	NORDLAND GP	GROUP	\N	3315	113	\N	9999-12-31	2013-05-08
34/7-26 SR	2896.000000	3340.000000	ROGALAND GP	GROUP	\N	3315	131	\N	9999-12-31	2013-05-08
34/7-26 SR	4505.000000	4512.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3315	137	23	9999-12-31	2013-05-08
34/7-26 SR	3340.000000	4505.000000	SHETLAND GP	GROUP	\N	3315	143	\N	9999-12-31	2013-05-08
34/7-26 SR	1002.000000	1348.000000	UTSIRA FM	FORMATION	NORDLAND GP	3315	183	113	9999-12-31	2013-05-08
34/7-26 SR	4528.000000	4690.000000	VIKING GP	GROUP	\N	3315	188	\N	9999-12-31	2013-05-08
6506/11-7	1905.000000	2132.000000	BRYGGE FM	FORMATION	HORDALAND GP	3322	18	67	9999-12-31	2013-05-08
6506/11-7	4709.000000	4978.000000	BÅT GP	GROUP	\N	3322	22	\N	9999-12-31	2013-05-08
6506/11-7	3336.000000	4576.000000	CROMER KNOLL GP	GROUP	\N	3322	23	\N	9999-12-31	2013-05-08
6506/11-7	4578.000000	4709.000000	FANGST GP	GROUP	\N	3322	38	\N	9999-12-31	2013-05-08
6506/11-7	4578.000000	4637.000000	GARN FM	FORMATION	FANGST GP	3322	48	38	9999-12-31	2013-05-08
6506/11-7	1905.000000	2132.000000	HORDALAND GP	GROUP	\N	3322	67	\N	9999-12-31	2013-05-08
6506/11-7	4661.000000	4709.000000	ILE FM	FORMATION	FANGST GP	3322	70	38	9999-12-31	2013-05-08
6506/11-7	1495.000000	1905.000000	KAI FM	FORMATION	NORDLAND GP	3322	77	113	9999-12-31	2013-05-08
6506/11-7	2620.000000	3336.000000	KVITNOS FM	FORMATION	SHETLAND GP	3322	91	143	9999-12-31	2013-05-08
6506/11-7	3465.000000	4153.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3322	94	23	9999-12-31	2013-05-08
6506/11-7	4315.000000	4549.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3322	94	23	9999-12-31	2013-05-08
6506/11-7	4549.000000	4576.000000	LYR FM	FORMATION	CROMER KNOLL GP	3322	98	23	9999-12-31	2013-05-08
6506/11-7	3336.000000	3465.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3322	99	23	9999-12-31	2013-05-08
6506/11-7	381.000000	1495.000000	NAUST FM	FORMATION	NORDLAND GP	3322	109	113	9999-12-31	2013-05-08
6506/11-7	4153.000000	4315.000000	NO FORMAL NAME	FORMATION	\N	3322	111	\N	9999-12-31	2013-05-08
6506/11-7	2385.000000	2620.000000	NISE FM	FORMATION	SHETLAND GP	3322	112	143	9999-12-31	2013-05-08
6506/11-7	381.000000	1905.000000	NORDLAND GP	GROUP	\N	3322	113	\N	9999-12-31	2013-05-08
6506/11-7	4637.000000	4661.000000	NOT FM	FORMATION	FANGST GP	3322	120	38	9999-12-31	2013-05-08
6506/11-7	2132.000000	2255.000000	ROGALAND GP	GROUP	\N	3322	131	\N	9999-12-31	2013-05-08
6506/11-7	4709.000000	4752.000000	ROR FM	FORMATION	BÅT GP	3322	135	22	9999-12-31	2013-05-08
6506/11-7	4818.000000	4821.000000	ROR FM	FORMATION	BÅT GP	3322	135	22	9999-12-31	2013-05-08
6506/11-7	2255.000000	3336.000000	SHETLAND GP	GROUP	\N	3322	143	\N	9999-12-31	2013-05-08
6506/11-7	4576.000000	4578.000000	SPEKK FM	FORMATION	VIKING GP	3322	155	188	9999-12-31	2013-05-08
6506/11-7	2255.000000	2385.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3322	156	143	9999-12-31	2013-05-08
6506/11-7	2205.000000	2255.000000	TANG FM	FORMATION	ROGALAND GP	3322	161	131	9999-12-31	2013-05-08
6506/11-7	2132.000000	2205.000000	TARE FM	FORMATION	ROGALAND GP	3322	163	131	9999-12-31	2013-05-08
6506/11-7	4821.000000	4927.000000	TILJE FM	FORMATION	BÅT GP	3322	169	22	9999-12-31	2013-05-08
6506/11-7	4752.000000	4818.000000	TOFTE FM	FORMATION	BÅT GP	3322	170	22	9999-12-31	2013-05-08
6506/11-7	4576.000000	4578.000000	VIKING GP	GROUP	\N	3322	188	\N	9999-12-31	2013-05-08
6506/11-7	4927.000000	4978.000000	ÅRE FM	FORMATION	BÅT GP	3322	197	22	9999-12-31	2013-05-08
2/8-17 A	2908.000000	2918.000000	BALDER FM	FORMATION	ROGALAND GP	3328	6	131	9999-12-31	2013-05-08
2/8-17 A	3111.000000	3119.000000	CROMER KNOLL GP	GROUP	\N	3328	23	\N	9999-12-31	2013-05-08
2/8-17 A	2943.000000	3019.000000	EKOFISK FM	FORMATION	SHETLAND GP	3328	33	143	9999-12-31	2013-05-08
2/8-17 A	1627.000000	2908.000000	HORDALAND GP	GROUP	\N	3328	67	\N	9999-12-31	2013-05-08
2/8-17 A	2935.000000	2943.000000	LISTA FM	FORMATION	ROGALAND GP	3328	95	131	9999-12-31	2013-05-08
2/8-17 A	110.000000	1627.000000	NORDLAND GP	GROUP	\N	3328	113	\N	9999-12-31	2013-05-08
2/8-17 A	2908.000000	2943.000000	ROGALAND GP	GROUP	\N	3328	131	\N	9999-12-31	2013-05-08
2/8-17 A	2918.000000	2935.000000	SELE FM	FORMATION	ROGALAND GP	3328	142	131	9999-12-31	2013-05-08
2/8-17 A	2943.000000	3111.000000	SHETLAND GP	GROUP	\N	3328	143	\N	9999-12-31	2013-05-08
2/8-17 A	3111.000000	3119.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3328	152	23	9999-12-31	2013-05-08
2/8-17 A	3019.000000	3111.000000	TOR FM	FORMATION	SHETLAND GP	3328	171	143	9999-12-31	2013-05-08
2/8-17 A	3119.000000	3145.000000	ZECHSTEIN GP	GROUP	\N	3328	194	\N	9999-12-31	2013-05-08
34/7-26 A	2657.000000	2768.000000	BALDER FM	FORMATION	ROGALAND GP	3329	6	131	9999-12-31	2013-05-08
34/7-26 A	4115.000000	4129.000000	CROMER KNOLL GP	GROUP	\N	3329	23	\N	9999-12-31	2013-05-08
34/7-26 A	4129.000000	4195.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	3329	26	188	9999-12-31	2013-05-08
34/7-26 A	4195.000000	4219.000000	DRAUPNE FM	FORMATION	VIKING GP	3329	28	188	9999-12-31	2013-05-08
34/7-26 A	4219.000000	4290.000000	HEATHER FM	FORMATION	VIKING GP	3329	60	188	9999-12-31	2013-05-08
34/7-26 A	1348.000000	2657.000000	HORDALAND GP	GROUP	\N	3329	67	\N	9999-12-31	2013-05-08
34/7-26 A	3072.000000	3753.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3329	74	143	9999-12-31	2013-05-08
34/7-26 A	3753.000000	4115.000000	KYRRE FM	FORMATION	SHETLAND GP	3329	92	143	9999-12-31	2013-05-08
34/7-26 A	2768.000000	3072.000000	LISTA FM	FORMATION	ROGALAND GP	3329	95	131	9999-12-31	2013-05-08
34/7-26 A	4123.000000	4129.000000	MIME FM	FORMATION	CROMER KNOLL GP	3329	106	23	9999-12-31	2013-05-08
34/7-26 A	1570.000000	1751.000000	NO FORMAL NAME	FORMATION	\N	3329	111	\N	9999-12-31	2013-05-08
34/7-26 A	1751.000000	1920.000000	NO FORMAL NAME	FORMATION	\N	3329	111	\N	9999-12-31	2013-05-08
34/7-26 A	1920.000000	1990.000000	NO FORMAL NAME	FORMATION	\N	3329	111	\N	9999-12-31	2013-05-08
34/7-26 A	1990.000000	2047.000000	NO FORMAL NAME	FORMATION	\N	3329	111	\N	9999-12-31	2013-05-08
34/7-26 A	2047.000000	2070.000000	NO FORMAL NAME	FORMATION	\N	3329	111	\N	9999-12-31	2013-05-08
34/7-26 A	2070.000000	2657.000000	NO FORMAL NAME	FORMATION	\N	3329	111	\N	9999-12-31	2013-05-08
34/7-26 A	226.000000	1348.000000	NORDLAND GP	GROUP	\N	3329	113	\N	9999-12-31	2013-05-08
34/7-26 A	2657.000000	3072.000000	ROGALAND GP	GROUP	\N	3329	131	\N	9999-12-31	2013-05-08
34/7-26 A	4115.000000	4123.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3329	137	23	9999-12-31	2013-05-08
34/7-26 A	3072.000000	4115.000000	SHETLAND GP	GROUP	\N	3329	143	\N	9999-12-31	2013-05-08
34/7-26 A	1002.000000	1348.000000	UTSIRA FM	FORMATION	NORDLAND GP	3329	183	113	9999-12-31	2013-05-08
34/7-26 A	4129.000000	4290.000000	VIKING GP	GROUP	\N	3329	188	\N	9999-12-31	2013-05-08
15/9-21 S	2620.000000	2704.000000	BALDER FM	FORMATION	ROGALAND GP	3334	6	131	9999-12-31	2013-05-08
15/9-21 S	4138.000000	4208.000000	BLODØKS FM	FORMATION	SHETLAND GP	3334	13	143	9999-12-31	2013-05-08
15/9-21 S	4272.000000	4431.000000	CROMER KNOLL GP	GROUP	\N	3334	23	\N	9999-12-31	2013-05-08
15/9-21 S	4431.000000	4700.000000	DRAUPNE FM	FORMATION	VIKING GP	3334	28	188	9999-12-31	2013-05-08
15/9-21 S	3437.000000	3513.000000	EKOFISK FM	FORMATION	SHETLAND GP	3334	33	143	9999-12-31	2013-05-08
15/9-21 S	2447.000000	2481.000000	GRID FM	FORMATION	HORDALAND GP	3334	53	67	9999-12-31	2013-05-08
15/9-21 S	4737.000000	4767.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	3334	59	188	9999-12-31	2013-05-08
15/9-21 S	4700.000000	4737.000000	HEATHER FM	FORMATION	VIKING GP	3334	60	188	9999-12-31	2013-05-08
15/9-21 S	2891.000000	3223.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3334	62	131	9999-12-31	2013-05-08
15/9-21 S	3743.000000	4138.000000	HOD FM	FORMATION	SHETLAND GP	3334	66	143	9999-12-31	2013-05-08
15/9-21 S	1144.000000	2620.000000	HORDALAND GP	GROUP	\N	3334	67	\N	9999-12-31	2013-05-08
15/9-21 S	4767.000000	5032.000000	HUGIN FM	FORMATION	VESTLAND GP	3334	69	186	9999-12-31	2013-05-08
15/9-21 S	2815.000000	2891.000000	LISTA FM	FORMATION	ROGALAND GP	3334	95	131	9999-12-31	2013-05-08
15/9-21 S	3223.000000	3352.000000	LISTA FM	FORMATION	ROGALAND GP	3334	95	131	9999-12-31	2013-05-08
15/9-21 S	2255.000000	2447.000000	NO FORMAL NAME	FORMATION	\N	3334	111	\N	9999-12-31	2013-05-08
15/9-21 S	2481.000000	2620.000000	NO FORMAL NAME	FORMATION	\N	3334	111	\N	9999-12-31	2013-05-08
15/9-21 S	156.000000	1144.000000	NORDLAND GP	GROUP	\N	3334	113	\N	9999-12-31	2013-05-08
15/9-21 S	2620.000000	3437.000000	ROGALAND GP	GROUP	\N	3334	131	\N	9999-12-31	2013-05-08
15/9-21 S	4272.000000	4320.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3334	137	23	9999-12-31	2013-05-08
15/9-21 S	2704.000000	2815.000000	SELE FM	FORMATION	ROGALAND GP	3334	142	131	9999-12-31	2013-05-08
15/9-21 S	3437.000000	4272.000000	SHETLAND GP	GROUP	\N	3334	143	\N	9999-12-31	2013-05-08
15/9-21 S	2225.000000	2255.000000	SKADE FM	FORMATION	HORDALAND GP	3334	145	67	9999-12-31	2013-05-08
15/9-21 S	5032.000000	5126.000000	SLEIPNER FM	FORMATION	VESTLAND GP	3334	148	186	9999-12-31	2013-05-08
15/9-21 S	4320.000000	4362.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3334	152	23	9999-12-31	2013-05-08
15/9-21 S	4208.000000	4272.000000	SVARTE FM	FORMATION	SHETLAND GP	3334	160	143	9999-12-31	2013-05-08
15/9-21 S	3513.000000	3743.000000	TOR FM	FORMATION	SHETLAND GP	3334	171	143	9999-12-31	2013-05-08
15/9-21 S	3352.000000	3428.000000	TY FM	FORMATION	ROGALAND GP	3334	176	131	9999-12-31	2013-05-08
15/9-21 S	873.000000	1144.000000	UTSIRA FM	FORMATION	NORDLAND GP	3334	183	113	9999-12-31	2013-05-08
15/9-21 S	4767.000000	5126.000000	VESTLAND GP	GROUP	\N	3334	186	\N	9999-12-31	2013-05-08
15/9-21 S	4431.000000	4767.000000	VIKING GP	GROUP	\N	3334	188	\N	9999-12-31	2013-05-08
15/9-21 S	3428.000000	3437.000000	VÅLE FM	FORMATION	ROGALAND GP	3334	190	131	9999-12-31	2013-05-08
15/9-21 S	4362.000000	4431.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3334	198	23	9999-12-31	2013-05-08
35/11-11	1466.000000	1523.000000	BALDER FM	FORMATION	ROGALAND GP	3356	6	131	9999-12-31	2013-05-08
35/11-11	3005.000000	3177.000000	BRENT GP	GROUP	\N	3356	16	\N	9999-12-31	2013-05-08
35/11-11	2420.000000	2469.000000	CROMER KNOLL GP	GROUP	\N	3356	23	\N	9999-12-31	2013-05-08
35/11-11	2540.000000	2569.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	3356	26	188	9999-12-31	2013-05-08
35/11-11	3177.000000	3225.000000	DRAKE FM	FORMATION	DUNLIN GP	3356	27	29	9999-12-31	2013-05-08
35/11-11	2469.000000	2540.000000	DRAUPNE FM	FORMATION	VIKING GP	3356	28	188	9999-12-31	2013-05-08
35/11-11	3177.000000	3225.000000	DUNLIN GP	GROUP	\N	3356	29	\N	9999-12-31	2013-05-08
35/11-11	3077.000000	3085.000000	ETIVE FM	FORMATION	BRENT GP	3356	35	16	9999-12-31	2013-05-08
35/11-11	2580.000000	2616.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	3356	59	188	9999-12-31	2013-05-08
35/11-11	2683.000000	2727.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	3356	59	188	9999-12-31	2013-05-08
35/11-11	2569.000000	2580.000000	HEATHER FM	FORMATION	VIKING GP	3356	60	188	9999-12-31	2013-05-08
35/11-11	2616.000000	2683.000000	HEATHER FM	FORMATION	VIKING GP	3356	60	188	9999-12-31	2013-05-08
35/11-11	2727.000000	3005.000000	HEATHER FM	FORMATION	VIKING GP	3356	60	188	9999-12-31	2013-05-08
35/11-11	763.000000	1466.000000	HORDALAND GP	GROUP	\N	3356	67	\N	9999-12-31	2013-05-08
35/11-11	1914.000000	2056.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3356	74	143	9999-12-31	2013-05-08
35/11-11	2056.000000	2343.000000	KYRRE FM	FORMATION	SHETLAND GP	3356	92	143	9999-12-31	2013-05-08
35/11-11	1582.000000	1624.000000	LISTA FM	FORMATION	ROGALAND GP	3356	95	131	9999-12-31	2013-05-08
35/11-11	1679.000000	1825.000000	LISTA FM	FORMATION	ROGALAND GP	3356	95	131	9999-12-31	2013-05-08
35/11-11	3008.000000	3077.000000	NESS FM	FORMATION	BRENT GP	3356	110	16	9999-12-31	2013-05-08
35/11-11	1624.000000	1679.000000	NO FORMAL NAME	FORMATION	\N	3356	111	\N	9999-12-31	2013-05-08
35/11-11	1825.000000	1914.000000	NO FORMAL NAME	FORMATION	\N	3356	111	\N	9999-12-31	2013-05-08
35/11-11	383.000000	763.000000	NORDLAND GP	GROUP	\N	3356	113	\N	9999-12-31	2013-05-08
35/11-11	3119.000000	3177.000000	OSEBERG FM	FORMATION	BRENT GP	3356	123	16	9999-12-31	2013-05-08
35/11-11	3085.000000	3119.000000	RANNOCH FM	FORMATION	BRENT GP	3356	126	16	9999-12-31	2013-05-08
35/11-11	1466.000000	1914.000000	ROGALAND GP	GROUP	\N	3356	131	\N	9999-12-31	2013-05-08
35/11-11	2420.000000	2469.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3356	137	23	9999-12-31	2013-05-08
35/11-11	1523.000000	1582.000000	SELE FM	FORMATION	ROGALAND GP	3356	142	131	9999-12-31	2013-05-08
35/11-11	1914.000000	2420.000000	SHETLAND GP	GROUP	\N	3356	143	\N	9999-12-31	2013-05-08
35/11-11	2343.000000	2420.000000	SVARTE FM	FORMATION	SHETLAND GP	3356	160	143	9999-12-31	2013-05-08
35/11-11	3005.000000	3008.000000	TARBERT FM	FORMATION	BRENT GP	3356	162	16	9999-12-31	2013-05-08
35/11-11	667.000000	763.000000	UTSIRA FM	FORMATION	NORDLAND GP	3356	183	113	9999-12-31	2013-05-08
35/11-11	2469.000000	3005.000000	VIKING GP	GROUP	\N	3356	188	\N	9999-12-31	2013-05-08
1/3-9 S	3103.000000	3125.000000	BALDER FM	FORMATION	ROGALAND GP	3362	6	131	9999-12-31	2013-05-08
1/3-9 S	3895.000000	3898.000000	BLODØKS FM	FORMATION	SHETLAND GP	3362	13	143	9999-12-31	2013-05-08
1/3-9 S	3900.000000	4119.000000	CROMER KNOLL GP	GROUP	\N	3362	23	\N	9999-12-31	2013-05-08
1/3-9 S	3319.000000	3409.000000	EKOFISK FM	FORMATION	SHETLAND GP	3362	33	143	9999-12-31	2013-05-08
1/3-9 S	4135.000000	4266.000000	FARSUND FM	FORMATION	TYNE GP	3362	39	177	9999-12-31	2013-05-08
1/3-9 S	3898.000000	3900.000000	HIDRA FM	FORMATION	SHETLAND GP	3362	65	143	9999-12-31	2013-05-08
1/3-9 S	3758.000000	3895.000000	HOD FM	FORMATION	SHETLAND GP	3362	66	143	9999-12-31	2013-05-08
1/3-9 S	3155.000000	3254.000000	LISTA FM	FORMATION	ROGALAND GP	3362	95	131	9999-12-31	2013-05-08
1/3-9 S	3259.000000	3292.000000	LISTA FM	FORMATION	ROGALAND GP	3362	95	131	9999-12-31	2013-05-08
1/3-9 S	4119.000000	4135.000000	MANDAL FM	FORMATION	TYNE GP	3362	101	177	9999-12-31	2013-05-08
1/3-9 S	4414.000000	4431.000000	NO FORMAL NAME	FORMATION	\N	3362	111	\N	9999-12-31	2013-05-08
1/3-9 S	3103.000000	3319.000000	ROGALAND GP	GROUP	\N	3362	131	\N	9999-12-31	2013-05-08
1/3-9 S	3900.000000	3933.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3362	137	23	9999-12-31	2013-05-08
1/3-9 S	3125.000000	3155.000000	SELE FM	FORMATION	ROGALAND GP	3362	142	131	9999-12-31	2013-05-08
1/3-9 S	3319.000000	3900.000000	SHETLAND GP	GROUP	\N	3362	143	\N	9999-12-31	2013-05-08
1/3-9 S	3933.000000	3935.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3362	152	23	9999-12-31	2013-05-08
1/3-9 S	3409.000000	3758.000000	TOR FM	FORMATION	SHETLAND GP	3362	171	143	9999-12-31	2013-05-08
1/3-9 S	3935.000000	3942.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	3362	175	23	9999-12-31	2013-05-08
1/3-9 S	4119.000000	4266.000000	TYNE GP	GROUP	\N	3362	177	\N	9999-12-31	2013-05-08
1/3-9 S	4266.000000	4414.000000	ULA FM	FORMATION	VESTLAND GP	3362	179	186	9999-12-31	2013-05-08
1/3-9 S	4431.000000	4516.000000	ULA FM	FORMATION	VESTLAND GP	3362	179	186	9999-12-31	2013-05-08
1/3-9 S	4266.000000	4516.000000	VESTLAND GP	GROUP	\N	3362	186	\N	9999-12-31	2013-05-08
1/3-9 S	3254.000000	3259.000000	VIDAR FM	FORMATION	ROGALAND GP	3362	187	131	9999-12-31	2013-05-08
1/3-9 S	3292.000000	3319.000000	VÅLE FM	FORMATION	ROGALAND GP	3362	190	131	9999-12-31	2013-05-08
1/3-9 S	3942.000000	4119.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3362	198	23	9999-12-31	2013-05-08
15/12-12	2238.000000	2252.000000	BALDER FM	FORMATION	ROGALAND GP	3391	6	131	9999-12-31	2013-05-08
15/12-12	2651.000000	2675.000000	BLODØKS FM	FORMATION	SHETLAND GP	3391	13	143	9999-12-31	2013-05-08
15/12-12	2711.000000	2793.000000	CROMER KNOLL GP	GROUP	\N	3391	23	\N	9999-12-31	2013-05-08
15/12-12	2793.000000	2861.000000	DRAUPNE FM	FORMATION	VIKING GP	3391	28	188	9999-12-31	2013-05-08
15/12-12	2861.000000	2977.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	3391	59	188	9999-12-31	2013-05-08
15/12-12	2675.000000	2711.000000	HIDRA FM	FORMATION	SHETLAND GP	3391	65	143	9999-12-31	2013-05-08
15/12-12	2558.000000	2651.000000	HOD FM	FORMATION	SHETLAND GP	3391	66	143	9999-12-31	2013-05-08
15/12-12	1245.000000	2238.000000	HORDALAND GP	GROUP	\N	3391	67	\N	9999-12-31	2013-05-08
15/12-12	2312.000000	2420.000000	LISTA FM	FORMATION	ROGALAND GP	3391	95	131	9999-12-31	2013-05-08
15/12-12	113.000000	1245.000000	NORDLAND GP	GROUP	\N	3391	113	\N	9999-12-31	2013-05-08
15/12-12	2238.000000	2445.000000	ROGALAND GP	GROUP	\N	3391	131	\N	9999-12-31	2013-05-08
15/12-12	2711.000000	2733.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3391	137	23	9999-12-31	2013-05-08
15/12-12	2774.000000	2793.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3391	137	23	9999-12-31	2013-05-08
15/12-12	2252.000000	2312.000000	SELE FM	FORMATION	ROGALAND GP	3391	142	131	9999-12-31	2013-05-08
15/12-12	2445.000000	2711.000000	SHETLAND GP	GROUP	\N	3391	143	\N	9999-12-31	2013-05-08
15/12-12	2977.000000	3085.000000	SKAGERRAK FM	FORMATION	HEGRE GP	3391	146	61	9999-12-31	2013-05-08
15/12-12	2733.000000	2774.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3391	152	23	9999-12-31	2013-05-08
15/12-12	2450.000000	2558.000000	TOR FM	FORMATION	SHETLAND GP	3391	171	143	9999-12-31	2013-05-08
15/12-12	2793.000000	2977.000000	VIKING GP	GROUP	\N	3391	188	\N	9999-12-31	2013-05-08
15/12-12	2420.000000	2445.000000	VÅLE FM	FORMATION	ROGALAND GP	3391	190	131	9999-12-31	2013-05-08
15/12-12	2977.000000	3085.000000	NO GROUP DEFINED	GROUP	\N	3391	208	\N	9999-12-31	2013-05-08
24/6-2	1905.000000	2015.000000	BALDER FM	FORMATION	ROGALAND GP	3397	6	131	9999-12-31	2013-05-08
24/6-2	1183.000000	1279.000000	GRID FM	FORMATION	HORDALAND GP	3397	53	67	9999-12-31	2013-05-08
24/6-2	2099.000000	2535.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3397	62	131	9999-12-31	2013-05-08
24/6-2	680.000000	1905.000000	HORDALAND GP	GROUP	\N	3397	67	\N	9999-12-31	2013-05-08
24/6-2	2054.000000	2099.000000	LISTA FM	FORMATION	ROGALAND GP	3397	95	131	9999-12-31	2013-05-08
24/6-2	2535.000000	2590.000000	LISTA FM	FORMATION	ROGALAND GP	3397	95	131	9999-12-31	2013-05-08
24/6-2	958.000000	1183.000000	NO FORMAL NAME	FORMATION	\N	3397	111	\N	9999-12-31	2013-05-08
24/6-2	1279.000000	1905.000000	NO FORMAL NAME	FORMATION	\N	3397	111	\N	9999-12-31	2013-05-08
24/6-2	148.000000	680.000000	NORDLAND GP	GROUP	\N	3397	113	\N	9999-12-31	2013-05-08
24/6-2	1905.000000	2722.000000	ROGALAND GP	GROUP	\N	3397	131	\N	9999-12-31	2013-05-08
24/6-2	2015.000000	2054.000000	SELE FM	FORMATION	ROGALAND GP	3397	142	131	9999-12-31	2013-05-08
24/6-2	707.000000	958.000000	SKADE FM	FORMATION	HORDALAND GP	3397	145	67	9999-12-31	2013-05-08
24/6-2	2622.000000	2678.000000	TY FM	FORMATION	ROGALAND GP	3397	176	131	9999-12-31	2013-05-08
24/6-2	394.000000	680.000000	UTSIRA FM	FORMATION	NORDLAND GP	3397	183	113	9999-12-31	2013-05-08
24/6-2	2590.000000	2622.000000	VÅLE FM	FORMATION	ROGALAND GP	3397	190	131	9999-12-31	2013-05-08
24/6-2	2678.000000	2722.000000	VÅLE FM	FORMATION	ROGALAND GP	3397	190	131	9999-12-31	2013-05-08
6406/2-6	1978.000000	2508.000000	BRYGGE FM	FORMATION	HORDALAND GP	3407	18	67	9999-12-31	2013-05-08
6406/2-6	4718.000000	5263.000000	BÅT GP	GROUP	\N	3407	22	\N	9999-12-31	2013-05-08
6406/2-6	3515.000000	4432.000000	CROMER KNOLL GP	GROUP	\N	3407	23	\N	9999-12-31	2013-05-08
6406/2-6	4480.000000	4718.000000	FANGST GP	GROUP	\N	3407	38	\N	9999-12-31	2013-05-08
6406/2-6	4480.000000	4573.000000	GARN FM	FORMATION	FANGST GP	3407	48	38	9999-12-31	2013-05-08
6406/2-6	1978.000000	2508.000000	HORDALAND GP	GROUP	\N	3407	67	\N	9999-12-31	2013-05-08
6406/2-6	4617.000000	4718.000000	ILE FM	FORMATION	FANGST GP	3407	70	38	9999-12-31	2013-05-08
6406/2-6	1586.000000	1978.000000	KAI FM	FORMATION	NORDLAND GP	3407	77	113	9999-12-31	2013-05-08
6406/2-6	2902.000000	3515.000000	KVITNOS FM	FORMATION	SHETLAND GP	3407	91	143	9999-12-31	2013-05-08
6406/2-6	3532.000000	4422.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3407	94	23	9999-12-31	2013-05-08
6406/2-6	4422.000000	4432.000000	LYR FM	FORMATION	CROMER KNOLL GP	3407	98	23	9999-12-31	2013-05-08
6406/2-6	3515.000000	3532.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3407	99	23	9999-12-31	2013-05-08
6406/2-6	4433.000000	4480.000000	MELKE FM	FORMATION	VIKING GP	3407	105	188	9999-12-31	2013-05-08
6406/2-6	325.000000	1586.000000	NAUST FM	FORMATION	NORDLAND GP	3407	109	113	9999-12-31	2013-05-08
6406/2-6	2746.000000	2902.000000	NISE FM	FORMATION	SHETLAND GP	3407	112	143	9999-12-31	2013-05-08
6406/2-6	325.000000	1978.000000	NORDLAND GP	GROUP	\N	3407	113	\N	9999-12-31	2013-05-08
6406/2-6	4573.000000	4617.000000	NOT FM	FORMATION	FANGST GP	3407	120	38	9999-12-31	2013-05-08
6406/2-6	2508.000000	2636.000000	ROGALAND GP	GROUP	\N	3407	131	\N	9999-12-31	2013-05-08
6406/2-6	4718.000000	4725.000000	ROR FM	FORMATION	BÅT GP	3407	135	22	9999-12-31	2013-05-08
6406/2-6	2636.000000	3515.000000	SHETLAND GP	GROUP	\N	3407	143	\N	9999-12-31	2013-05-08
6406/2-6	4432.000000	4433.000000	SPEKK FM	FORMATION	VIKING GP	3407	155	188	9999-12-31	2013-05-08
6406/2-6	2636.000000	2746.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3407	156	143	9999-12-31	2013-05-08
6406/2-6	2577.000000	2636.000000	TANG FM	FORMATION	ROGALAND GP	3407	161	131	9999-12-31	2013-05-08
6406/2-6	2508.000000	2577.000000	TARE FM	FORMATION	ROGALAND GP	3407	163	131	9999-12-31	2013-05-08
6406/2-6	4965.000000	5204.000000	TILJE FM	FORMATION	BÅT GP	3407	169	22	9999-12-31	2013-05-08
6406/2-6	4725.000000	4965.000000	TOFTE FM	FORMATION	BÅT GP	3407	170	22	9999-12-31	2013-05-08
6406/2-6	4432.000000	4480.000000	VIKING GP	GROUP	\N	3407	188	\N	9999-12-31	2013-05-08
6406/2-6	5204.000000	5263.000000	ÅRE FM	FORMATION	BÅT GP	3407	197	22	9999-12-31	2013-05-08
35/9-4 S	605.000000	642.000000	BALDER FM	FORMATION	ROGALAND GP	3524	6	131	9999-12-31	2013-05-08
35/9-4 S	559.000000	605.000000	HORDALAND GP	GROUP	\N	3524	67	\N	9999-12-31	2013-05-08
35/9-4 S	723.000000	832.000000	LISTA FM	FORMATION	ROGALAND GP	3524	95	131	9999-12-31	2013-05-08
35/9-4 S	843.000000	875.000000	LISTA FM	FORMATION	ROGALAND GP	3524	95	131	9999-12-31	2013-05-08
35/9-4 S	987.000000	1261.000000	LISTA FM	FORMATION	ROGALAND GP	3524	95	131	9999-12-31	2013-05-08
35/9-4 S	832.000000	843.000000	NO FORMAL NAME	FORMATION	\N	3524	111	\N	9999-12-31	2013-05-08
35/9-4 S	875.000000	987.000000	NO FORMAL NAME	FORMATION	\N	3524	111	\N	9999-12-31	2013-05-08
35/9-4 S	388.000000	559.000000	NORDLAND GP	GROUP	\N	3524	113	\N	9999-12-31	2013-05-08
35/9-4 S	605.000000	1261.000000	ROGALAND GP	GROUP	\N	3524	131	\N	9999-12-31	2013-05-08
35/9-4 S	642.000000	723.000000	SELE FM	FORMATION	ROGALAND GP	3524	142	131	9999-12-31	2013-05-08
16/10-4	1792.000000	1820.000000	BALDER FM	FORMATION	ROGALAND GP	3531	6	131	9999-12-31	2013-05-08
16/10-4	2398.000000	2449.000000	CROMER KNOLL GP	GROUP	\N	3531	23	\N	9999-12-31	2013-05-08
16/10-4	2449.000000	2474.000000	DRAUPNE FM	FORMATION	VIKING GP	3531	28	188	9999-12-31	2013-05-08
16/10-4	1888.000000	1940.000000	EKOFISK FM	FORMATION	SHETLAND GP	3531	33	143	9999-12-31	2013-05-08
16/10-4	2172.000000	2398.000000	HOD FM	FORMATION	SHETLAND GP	3531	66	143	9999-12-31	2013-05-08
16/10-4	1041.000000	1792.000000	HORDALAND GP	GROUP	\N	3531	67	\N	9999-12-31	2013-05-08
16/10-4	2474.000000	2547.000000	HUGIN FM	FORMATION	VESTLAND GP	3531	69	186	9999-12-31	2013-05-08
16/10-4	1830.000000	1882.000000	LISTA FM	FORMATION	ROGALAND GP	3531	95	131	9999-12-31	2013-05-08
16/10-4	116.000000	1041.000000	NORDLAND GP	GROUP	\N	3531	113	\N	9999-12-31	2013-05-08
16/10-4	1792.000000	1888.000000	ROGALAND GP	GROUP	\N	3531	131	\N	9999-12-31	2013-05-08
16/10-4	1820.000000	1830.000000	SELE FM	FORMATION	ROGALAND GP	3531	142	131	9999-12-31	2013-05-08
16/10-4	1888.000000	2398.000000	SHETLAND GP	GROUP	\N	3531	143	\N	9999-12-31	2013-05-08
16/10-4	2547.000000	2550.000000	SKAGERRAK FM	FORMATION	HEGRE GP	3531	146	61	9999-12-31	2013-05-08
16/10-4	2398.000000	2408.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3531	152	23	9999-12-31	2013-05-08
16/10-4	1940.000000	2172.000000	TOR FM	FORMATION	SHETLAND GP	3531	171	143	9999-12-31	2013-05-08
16/10-4	965.000000	1041.000000	UTSIRA FM	FORMATION	NORDLAND GP	3531	183	113	9999-12-31	2013-05-08
16/10-4	2474.000000	2547.000000	VESTLAND GP	GROUP	\N	3531	186	\N	9999-12-31	2013-05-08
16/10-4	2449.000000	2474.000000	VIKING GP	GROUP	\N	3531	188	\N	9999-12-31	2013-05-08
16/10-4	1882.000000	1888.000000	VÅLE FM	FORMATION	ROGALAND GP	3531	190	131	9999-12-31	2013-05-08
16/10-4	2550.000000	2580.000000	ZECHSTEIN GP	GROUP	\N	3531	194	\N	9999-12-31	2013-05-08
16/10-4	2408.000000	2449.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3531	198	23	9999-12-31	2013-05-08
16/10-4	2547.000000	2550.000000	NO GROUP DEFINED	GROUP	\N	3531	208	\N	9999-12-31	2013-05-08
6305/7-1	1529.000000	2562.000000	BRYGGE FM	FORMATION	HORDALAND GP	3535	18	67	9999-12-31	2013-05-08
6305/7-1	2911.000000	2992.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	3535	31	131	9999-12-31	2013-05-08
6305/7-1	1529.000000	2562.000000	HORDALAND GP	GROUP	\N	3535	67	\N	9999-12-31	2013-05-08
6305/7-1	883.000000	1529.000000	NAUST FM	FORMATION	NORDLAND GP	3535	109	113	9999-12-31	2013-05-08
6305/7-1	883.000000	1529.000000	NORDLAND GP	GROUP	\N	3535	113	\N	9999-12-31	2013-05-08
6305/7-1	2562.000000	2992.000000	ROGALAND GP	GROUP	\N	3535	131	\N	9999-12-31	2013-05-08
6305/7-1	2992.000000	3377.000000	SHETLAND GP	GROUP	\N	3535	143	\N	9999-12-31	2013-05-08
6305/7-1	2992.000000	3377.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3535	156	143	9999-12-31	2013-05-08
6305/7-1	2657.000000	2911.000000	TANG FM	FORMATION	ROGALAND GP	3535	161	131	9999-12-31	2013-05-08
6305/7-1	2562.000000	2657.000000	TARE FM	FORMATION	ROGALAND GP	3535	163	131	9999-12-31	2013-05-08
6305/1-1	1740.000000	2172.000000	BRYGGE FM	FORMATION	HORDALAND GP	3555	18	67	9999-12-31	2013-05-08
6305/1-1	3640.000000	4560.000000	CROMER KNOLL GP	GROUP	\N	3555	23	\N	9999-12-31	2013-05-08
6305/1-1	2558.000000	2606.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	3555	31	131	9999-12-31	2013-05-08
6305/1-1	1740.000000	2172.000000	HORDALAND GP	GROUP	\N	3555	67	\N	9999-12-31	2013-05-08
6305/1-1	1734.000000	1740.000000	KAI FM	FORMATION	NORDLAND GP	3555	77	113	9999-12-31	2013-05-08
6305/1-1	3048.000000	3640.000000	KVITNOS FM	FORMATION	SHETLAND GP	3555	91	143	9999-12-31	2013-05-08
6305/1-1	3640.000000	4560.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3555	99	23	9999-12-31	2013-05-08
6305/1-1	863.000000	1734.000000	NAUST FM	FORMATION	NORDLAND GP	3555	109	113	9999-12-31	2013-05-08
6305/1-1	2827.000000	3048.000000	NISE FM	FORMATION	SHETLAND GP	3555	112	143	9999-12-31	2013-05-08
6305/1-1	863.000000	1740.000000	NORDLAND GP	GROUP	\N	3555	113	\N	9999-12-31	2013-05-08
6305/1-1	2172.000000	2606.000000	ROGALAND GP	GROUP	\N	3555	131	\N	9999-12-31	2013-05-08
6305/1-1	2606.000000	3640.000000	SHETLAND GP	GROUP	\N	3555	143	\N	9999-12-31	2013-05-08
6305/1-1	2606.000000	2827.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3555	156	143	9999-12-31	2013-05-08
6305/1-1	2355.000000	2558.000000	TANG FM	FORMATION	ROGALAND GP	3555	161	131	9999-12-31	2013-05-08
6305/1-1	2172.000000	2355.000000	TARE FM	FORMATION	ROGALAND GP	3555	163	131	9999-12-31	2013-05-08
7120/6-2 S	1176.000000	2564.000000	ADVENTDALEN GP	GROUP	\N	3558	1	\N	9999-12-31	2013-05-08
7120/6-2 S	2886.000000	3145.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	3558	46	79	9999-12-31	2013-05-08
7120/6-2 S	2550.000000	2564.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	3558	47	1	9999-12-31	2013-05-08
7120/6-2 S	2470.000000	2550.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	3558	63	1	9999-12-31	2013-05-08
7120/6-2 S	2564.000000	3242.000000	KAPP TOSCANA GP	GROUP	\N	3558	79	\N	9999-12-31	2013-05-08
7120/6-2 S	2351.000000	2470.000000	KNURR FM	FORMATION	ADVENTDALEN GP	3558	82	1	9999-12-31	2013-05-08
7120/6-2 S	1954.000000	2351.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	3558	84	1	9999-12-31	2013-05-08
7120/6-2 S	1176.000000	1954.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	3558	85	1	9999-12-31	2013-05-08
7120/6-2 S	1137.000000	1176.000000	KVITING FM	FORMATION	NYGRUNNEN GP	3558	90	122	9999-12-31	2013-05-08
7120/6-2 S	344.000000	459.000000	NORDLAND GP	GROUP	\N	3558	113	\N	9999-12-31	2013-05-08
7120/6-2 S	2678.000000	2762.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	3558	118	79	9999-12-31	2013-05-08
7120/6-2 S	1137.000000	1176.000000	NYGRUNNEN GP	GROUP	\N	3558	122	\N	9999-12-31	2013-05-08
7120/6-2 S	3145.000000	3242.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	3558	150	79	9999-12-31	2013-05-08
7120/6-2 S	459.000000	1137.000000	SOTBAKKEN GP	GROUP	\N	3558	154	\N	9999-12-31	2013-05-08
7120/6-2 S	2564.000000	2678.000000	STØ FM	FORMATION	KAPP TOSCANA GP	3558	159	79	9999-12-31	2013-05-08
7120/6-2 S	459.000000	1137.000000	TORSK FM	FORMATION	SOTBAKKEN GP	3558	172	154	9999-12-31	2013-05-08
7120/6-2 S	2762.000000	2886.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	3558	174	79	9999-12-31	2013-05-08
2/7-31	3000.000000	3018.000000	BALDER FM	FORMATION	ROGALAND GP	3573	6	131	9999-12-31	2013-05-08
2/7-31	4074.000000	4087.000000	BLODØKS FM	FORMATION	SHETLAND GP	3573	13	143	9999-12-31	2013-05-08
2/7-31	4634.000000	4668.000000	BRYNE FM	FORMATION	VESTLAND GP	3573	19	186	9999-12-31	2013-05-08
2/7-31	4204.000000	4437.000000	CROMER KNOLL GP	GROUP	\N	3573	23	\N	9999-12-31	2013-05-08
2/7-31	3146.000000	3203.000000	EKOFISK FM	FORMATION	SHETLAND GP	3573	33	143	9999-12-31	2013-05-08
2/7-31	4439.000000	4469.000000	FARSUND FM	FORMATION	TYNE GP	3573	39	177	9999-12-31	2013-05-08
2/7-31	4087.000000	4204.000000	HIDRA FM	FORMATION	SHETLAND GP	3573	65	143	9999-12-31	2013-05-08
2/7-31	3580.000000	4074.000000	HOD FM	FORMATION	SHETLAND GP	3573	66	143	9999-12-31	2013-05-08
2/7-31	1541.000000	3000.000000	HORDALAND GP	GROUP	\N	3573	67	\N	9999-12-31	2013-05-08
2/7-31	3072.000000	3115.000000	LISTA FM	FORMATION	ROGALAND GP	3573	95	131	9999-12-31	2013-05-08
2/7-31	4437.000000	4439.000000	MANDAL FM	FORMATION	TYNE GP	3573	101	177	9999-12-31	2013-05-08
2/7-31	121.000000	1541.000000	NORDLAND GP	GROUP	\N	3573	113	\N	9999-12-31	2013-05-08
2/7-31	3000.000000	3146.000000	ROGALAND GP	GROUP	\N	3573	131	\N	9999-12-31	2013-05-08
2/7-31	4750.000000	4968.000000	ROTLIEGEND GP	GROUP	\N	3573	136	\N	9999-12-31	2013-05-08
2/7-31	4204.000000	4284.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3573	137	23	9999-12-31	2013-05-08
2/7-31	3018.000000	3072.000000	SELE FM	FORMATION	ROGALAND GP	3573	142	131	9999-12-31	2013-05-08
2/7-31	3146.000000	4204.000000	SHETLAND GP	GROUP	\N	3573	143	\N	9999-12-31	2013-05-08
2/7-31	4284.000000	4372.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3573	152	23	9999-12-31	2013-05-08
2/7-31	3203.000000	3580.000000	TOR FM	FORMATION	SHETLAND GP	3573	171	143	9999-12-31	2013-05-08
2/7-31	4372.000000	4379.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	3573	175	23	9999-12-31	2013-05-08
2/7-31	4437.000000	4469.000000	TYNE GP	GROUP	\N	3573	177	\N	9999-12-31	2013-05-08
2/7-31	4469.000000	4634.000000	ULA FM	FORMATION	VESTLAND GP	3573	179	186	9999-12-31	2013-05-08
2/7-31	4469.000000	4668.000000	VESTLAND GP	GROUP	\N	3573	186	\N	9999-12-31	2013-05-08
2/7-31	3115.000000	3146.000000	VÅLE FM	FORMATION	ROGALAND GP	3573	190	131	9999-12-31	2013-05-08
2/7-31	4668.000000	4750.000000	ZECHSTEIN GP	GROUP	\N	3573	194	\N	9999-12-31	2013-05-08
2/7-31	4379.000000	4437.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3573	198	23	9999-12-31	2013-05-08
30/6-25 S	2029.000000	2106.000000	BALDER FM	FORMATION	ROGALAND GP	3578	6	131	9999-12-31	2013-05-08
30/6-25 S	2663.000000	2713.000000	BRENT GP	GROUP	\N	3578	16	\N	9999-12-31	2013-05-08
30/6-25 S	2830.000000	2918.000000	BRENT GP	GROUP	\N	3578	16	\N	9999-12-31	2013-05-08
30/6-25 S	2713.000000	2830.000000	DRAKE FM	FORMATION	DUNLIN GP	3578	27	29	9999-12-31	2013-05-08
30/6-25 S	2918.000000	2988.000000	DRAKE FM	FORMATION	DUNLIN GP	3578	27	29	9999-12-31	2013-05-08
30/6-25 S	2713.000000	2830.000000	DUNLIN GP	GROUP	\N	3578	29	\N	9999-12-31	2013-05-08
30/6-25 S	2918.000000	2988.000000	DUNLIN GP	GROUP	\N	3578	29	\N	9999-12-31	2013-05-08
30/6-25 S	2699.000000	2704.000000	ETIVE FM	FORMATION	BRENT GP	3578	35	16	9999-12-31	2013-05-08
30/6-25 S	2889.000000	2904.000000	ETIVE FM	FORMATION	BRENT GP	3578	35	16	9999-12-31	2013-05-08
30/6-25 S	2320.000000	2336.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	3578	56	143	9999-12-31	2013-05-08
30/6-25 S	878.000000	2029.000000	HORDALAND GP	GROUP	\N	3578	67	\N	9999-12-31	2013-05-08
30/6-25 S	2336.000000	2526.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3578	74	143	9999-12-31	2013-05-08
30/6-25 S	2526.000000	2663.000000	KYRRE FM	FORMATION	SHETLAND GP	3578	92	143	9999-12-31	2013-05-08
30/6-25 S	2149.000000	2253.000000	LISTA FM	FORMATION	ROGALAND GP	3578	95	131	9999-12-31	2013-05-08
30/6-25 S	2663.000000	2699.000000	NESS FM	FORMATION	BRENT GP	3578	110	16	9999-12-31	2013-05-08
30/6-25 S	2830.000000	2889.000000	NESS FM	FORMATION	BRENT GP	3578	110	16	9999-12-31	2013-05-08
30/6-25 S	917.000000	1386.000000	NO FORMAL NAME	FORMATION	\N	3578	111	\N	9999-12-31	2013-05-08
30/6-25 S	1386.000000	1468.000000	NO FORMAL NAME	FORMATION	\N	3578	111	\N	9999-12-31	2013-05-08
30/6-25 S	1468.000000	2029.000000	NO FORMAL NAME	FORMATION	\N	3578	111	\N	9999-12-31	2013-05-08
30/6-25 S	128.000000	878.000000	NORDLAND GP	GROUP	\N	3578	113	\N	9999-12-31	2013-05-08
30/6-25 S	2712.000000	2713.000000	OSEBERG FM	FORMATION	BRENT GP	3578	123	16	9999-12-31	2013-05-08
30/6-25 S	2916.000000	2918.000000	OSEBERG FM	FORMATION	BRENT GP	3578	123	16	9999-12-31	2013-05-08
30/6-25 S	2704.000000	2712.000000	RANNOCH FM	FORMATION	BRENT GP	3578	126	16	9999-12-31	2013-05-08
30/6-25 S	2904.000000	2916.000000	RANNOCH FM	FORMATION	BRENT GP	3578	126	16	9999-12-31	2013-05-08
30/6-25 S	2029.000000	2320.000000	ROGALAND GP	GROUP	\N	3578	131	\N	9999-12-31	2013-05-08
30/6-25 S	2106.000000	2149.000000	SELE FM	FORMATION	ROGALAND GP	3578	142	131	9999-12-31	2013-05-08
30/6-25 S	2320.000000	2663.000000	SHETLAND GP	GROUP	\N	3578	143	\N	9999-12-31	2013-05-08
30/6-25 S	895.000000	917.000000	SKADE FM	FORMATION	HORDALAND GP	3578	145	67	9999-12-31	2013-05-08
30/6-25 S	640.000000	878.000000	UTSIRA FM	FORMATION	NORDLAND GP	3578	183	113	9999-12-31	2013-05-08
30/6-25 S	2253.000000	2320.000000	VÅLE FM	FORMATION	ROGALAND GP	3578	190	131	9999-12-31	2013-05-08
16/1-5 A	1973.000000	2002.000000	BALDER FM	FORMATION	ROGALAND GP	3626	6	131	9999-12-31	2013-05-08
16/1-5 A	1652.000000	1798.000000	GRID FM	FORMATION	HORDALAND GP	3626	53	67	9999-12-31	2013-05-08
16/1-5 A	2120.000000	2150.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	3626	59	188	9999-12-31	2013-05-08
16/1-5 A	2101.000000	2120.000000	HOD FM	FORMATION	SHETLAND GP	3626	66	143	9999-12-31	2013-05-08
16/1-5 A	921.000000	1973.000000	HORDALAND GP	GROUP	\N	3626	67	\N	9999-12-31	2013-05-08
16/1-5 A	2008.000000	2094.000000	LISTA FM	FORMATION	ROGALAND GP	3626	95	131	9999-12-31	2013-05-08
16/1-5 A	1230.000000	1652.000000	NO FORMAL NAME	FORMATION	\N	3626	111	\N	9999-12-31	2013-05-08
16/1-5 A	1798.000000	1973.000000	NO FORMAL NAME	FORMATION	\N	3626	111	\N	9999-12-31	2013-05-08
16/1-5 A	130.000000	921.000000	NORDLAND GP	GROUP	\N	3626	113	\N	9999-12-31	2013-05-08
16/1-5 A	1973.000000	2101.000000	ROGALAND GP	GROUP	\N	3626	131	\N	9999-12-31	2013-05-08
16/1-5 A	2002.000000	2008.000000	SELE FM	FORMATION	ROGALAND GP	3626	142	131	9999-12-31	2013-05-08
16/1-5 A	2101.000000	2120.000000	SHETLAND GP	GROUP	\N	3626	143	\N	9999-12-31	2013-05-08
16/1-5 A	1002.000000	1230.000000	SKADE FM	FORMATION	HORDALAND GP	3626	145	67	9999-12-31	2013-05-08
16/1-5 A	745.000000	921.000000	UTSIRA FM	FORMATION	NORDLAND GP	3626	183	113	9999-12-31	2013-05-08
16/1-5 A	2120.000000	2150.000000	VIKING GP	GROUP	\N	3626	188	\N	9999-12-31	2013-05-08
16/1-5 A	2094.000000	2101.000000	VÅLE FM	FORMATION	ROGALAND GP	3626	190	131	9999-12-31	2013-05-08
6406/2-4 SR	1946.000000	2462.000000	BRYGGE FM	FORMATION	HORDALAND GP	3627	18	67	9999-12-31	2013-05-08
6406/2-4 SR	4671.000000	5080.000000	BÅT GP	GROUP	\N	3627	22	\N	9999-12-31	2013-05-08
6406/2-4 SR	3485.000000	4388.000000	CROMER KNOLL GP	GROUP	\N	3627	23	\N	9999-12-31	2013-05-08
6406/2-4 SR	4612.000000	4671.000000	FANGST GP	GROUP	\N	3627	38	\N	9999-12-31	2013-05-08
6406/2-4 SR	4612.000000	4667.000000	GARN FM	FORMATION	FANGST GP	3627	48	38	9999-12-31	2013-05-08
6406/2-4 SR	1946.000000	2462.000000	HORDALAND GP	GROUP	\N	3627	67	\N	9999-12-31	2013-05-08
6406/2-4 SR	1576.000000	1946.000000	KAI FM	FORMATION	NORDLAND GP	3627	77	113	9999-12-31	2013-05-08
6406/2-4 SR	2913.000000	3485.000000	KVITNOS FM	FORMATION	SHETLAND GP	3627	91	143	9999-12-31	2013-05-08
6406/2-4 SR	3502.000000	3565.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3627	94	23	9999-12-31	2013-05-08
6406/2-4 SR	3623.000000	4372.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3627	94	23	9999-12-31	2013-05-08
6406/2-4 SR	4372.000000	4388.000000	LYR FM	FORMATION	CROMER KNOLL GP	3627	98	23	9999-12-31	2013-05-08
6406/2-4 SR	3485.000000	3502.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3627	99	23	9999-12-31	2013-05-08
6406/2-4 SR	4406.000000	4612.000000	MELKE FM	FORMATION	VIKING GP	3627	105	188	9999-12-31	2013-05-08
6406/2-4 SR	296.000000	1576.000000	NAUST FM	FORMATION	NORDLAND GP	3627	109	113	9999-12-31	2013-05-08
6406/2-4 SR	3565.000000	3623.000000	NO FORMAL NAME	FORMATION	\N	3627	111	\N	9999-12-31	2013-05-08
6406/2-4 SR	2725.000000	2913.000000	NISE FM	FORMATION	SHETLAND GP	3627	112	143	9999-12-31	2013-05-08
6406/2-4 SR	296.000000	1946.000000	NORDLAND GP	GROUP	\N	3627	113	\N	9999-12-31	2013-05-08
6406/2-4 SR	4667.000000	4671.000000	NOT FM	FORMATION	FANGST GP	3627	120	38	9999-12-31	2013-05-08
6406/2-4 SR	2462.000000	2589.000000	ROGALAND GP	GROUP	\N	3627	131	\N	9999-12-31	2013-05-08
6406/2-4 SR	2589.000000	3485.000000	SHETLAND GP	GROUP	\N	3627	143	\N	9999-12-31	2013-05-08
6406/2-4 SR	4388.000000	4406.000000	SPEKK FM	FORMATION	VIKING GP	3627	155	188	9999-12-31	2013-05-08
6406/2-4 SR	2589.000000	2725.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3627	156	143	9999-12-31	2013-05-08
6406/2-4 SR	2528.000000	2589.000000	TANG FM	FORMATION	ROGALAND GP	3627	161	131	9999-12-31	2013-05-08
6406/2-4 SR	2462.000000	2528.000000	TARE FM	FORMATION	ROGALAND GP	3627	163	131	9999-12-31	2013-05-08
6406/2-4 SR	4755.000000	4950.000000	TILJE FM	FORMATION	BÅT GP	3627	169	22	9999-12-31	2013-05-08
6406/2-4 SR	4671.000000	4755.000000	TOFTE FM	FORMATION	BÅT GP	3627	170	22	9999-12-31	2013-05-08
6406/2-4 SR	4388.000000	4612.000000	VIKING GP	GROUP	\N	3627	188	\N	9999-12-31	2013-05-08
6406/2-4 SR	4950.000000	5080.000000	ÅRE FM	FORMATION	BÅT GP	3627	197	22	9999-12-31	2013-05-08
2/1-12	2622.000000	2648.000000	BALDER FM	FORMATION	ROGALAND GP	3648	6	131	9999-12-31	2013-05-08
2/1-12	3548.000000	3550.000000	BRYNE FM	FORMATION	VESTLAND GP	3648	19	186	9999-12-31	2013-05-08
2/1-12	3140.000000	3250.000000	CROMER KNOLL GP	GROUP	\N	3648	23	\N	9999-12-31	2013-05-08
2/1-12	2929.000000	2990.000000	EKOFISK FM	FORMATION	SHETLAND GP	3648	33	143	9999-12-31	2013-05-08
2/1-12	3341.000000	3384.000000	FARSUND FM	FORMATION	TYNE GP	3648	39	177	9999-12-31	2013-05-08
2/1-12	2672.000000	2750.000000	FORTIES FM	FORMATION	ROGALAND GP	3648	44	131	9999-12-31	2013-05-08
2/1-12	3384.000000	3513.000000	HAUGESUND FM	FORMATION	TYNE GP	3648	57	177	9999-12-31	2013-05-08
2/1-12	1607.000000	2622.000000	HORDALAND GP	GROUP	\N	3648	67	\N	9999-12-31	2013-05-08
2/1-12	2750.000000	2813.000000	LISTA FM	FORMATION	ROGALAND GP	3648	95	131	9999-12-31	2013-05-08
2/1-12	2903.000000	2920.000000	LISTA FM	FORMATION	ROGALAND GP	3648	95	131	9999-12-31	2013-05-08
2/1-12	3250.000000	3251.000000	MANDAL FM	FORMATION	TYNE GP	3648	101	177	9999-12-31	2013-05-08
2/1-12	2227.000000	2622.000000	NO FORMAL NAME	FORMATION	\N	3648	111	\N	9999-12-31	2013-05-08
2/1-12	91.000000	1607.000000	NORDLAND GP	GROUP	\N	3648	113	\N	9999-12-31	2013-05-08
2/1-12	2622.000000	2929.000000	ROGALAND GP	GROUP	\N	3648	131	\N	9999-12-31	2013-05-08
2/1-12	3140.000000	3144.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3648	137	23	9999-12-31	2013-05-08
2/1-12	2648.000000	2672.000000	SELE FM	FORMATION	ROGALAND GP	3648	142	131	9999-12-31	2013-05-08
2/1-12	2929.000000	3140.000000	SHETLAND GP	GROUP	\N	3648	143	\N	9999-12-31	2013-05-08
2/1-12	3144.000000	3153.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3648	152	23	9999-12-31	2013-05-08
2/1-12	2990.000000	3140.000000	TOR FM	FORMATION	SHETLAND GP	3648	171	143	9999-12-31	2013-05-08
2/1-12	3153.000000	3158.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	3648	175	23	9999-12-31	2013-05-08
2/1-12	3250.000000	3251.000000	TYNE GP	GROUP	\N	3648	177	\N	9999-12-31	2013-05-08
2/1-12	3341.000000	3513.000000	TYNE GP	GROUP	\N	3648	177	\N	9999-12-31	2013-05-08
2/1-12	3251.000000	3341.000000	ULA FM	FORMATION	VESTLAND GP	3648	179	186	9999-12-31	2013-05-08
2/1-12	3513.000000	3548.000000	ULA FM	FORMATION	VESTLAND GP	3648	179	186	9999-12-31	2013-05-08
2/1-12	2150.000000	2227.000000	VADE FM	FORMATION	HORDALAND GP	3648	184	67	9999-12-31	2013-05-08
2/1-12	3251.000000	3341.000000	VESTLAND GP	GROUP	\N	3648	186	\N	9999-12-31	2013-05-08
2/1-12	3513.000000	3550.000000	VESTLAND GP	GROUP	\N	3648	186	\N	9999-12-31	2013-05-08
2/1-12	2813.000000	2903.000000	VIDAR FM	FORMATION	ROGALAND GP	3648	187	131	9999-12-31	2013-05-08
2/1-12	2920.000000	2929.000000	VÅLE FM	FORMATION	ROGALAND GP	3648	190	131	9999-12-31	2013-05-08
2/1-12	3158.000000	3250.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3648	198	23	9999-12-31	2013-05-08
6507/3-3	1710.000000	1931.000000	BRYGGE FM	FORMATION	HORDALAND GP	3668	18	67	9999-12-31	2013-05-08
6507/3-3	3478.000000	3830.000000	BÅT GP	GROUP	\N	3668	22	\N	9999-12-31	2013-05-08
6507/3-3	2641.000000	3013.000000	CROMER KNOLL GP	GROUP	\N	3668	23	\N	9999-12-31	2013-05-08
6507/3-3	3364.000000	3478.000000	FANGST GP	GROUP	\N	3668	38	\N	9999-12-31	2013-05-08
6507/3-3	3364.000000	3404.000000	GARN FM	FORMATION	FANGST GP	3668	48	38	9999-12-31	2013-05-08
6507/3-3	1710.000000	1931.000000	HORDALAND GP	GROUP	\N	3668	67	\N	9999-12-31	2013-05-08
6507/3-3	3447.000000	3478.000000	ILE FM	FORMATION	FANGST GP	3668	70	38	9999-12-31	2013-05-08
6507/3-3	1372.000000	1710.000000	KAI FM	FORMATION	NORDLAND GP	3668	77	113	9999-12-31	2013-05-08
6507/3-3	2641.000000	3013.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3668	94	23	9999-12-31	2013-05-08
6507/3-3	3093.000000	3364.000000	MELKE FM	FORMATION	VIKING GP	3668	105	188	9999-12-31	2013-05-08
6507/3-3	416.000000	1372.000000	NAUST FM	FORMATION	NORDLAND GP	3668	109	113	9999-12-31	2013-05-08
6507/3-3	416.000000	1710.000000	NORDLAND GP	GROUP	\N	3668	113	\N	9999-12-31	2013-05-08
6507/3-3	3404.000000	3447.000000	NOT FM	FORMATION	FANGST GP	3668	120	38	9999-12-31	2013-05-08
6507/3-3	1931.000000	2045.000000	ROGALAND GP	GROUP	\N	3668	131	\N	9999-12-31	2013-05-08
6507/3-3	3478.000000	3538.000000	ROR FM	FORMATION	BÅT GP	3668	135	22	9999-12-31	2013-05-08
6507/3-3	2045.000000	2641.000000	SHETLAND GP	GROUP	\N	3668	143	\N	9999-12-31	2013-05-08
6507/3-3	3013.000000	3093.000000	SPEKK FM	FORMATION	VIKING GP	3668	155	188	9999-12-31	2013-05-08
6507/3-3	2045.000000	2641.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3668	156	143	9999-12-31	2013-05-08
6507/3-3	2010.000000	2045.000000	TANG FM	FORMATION	ROGALAND GP	3668	161	131	9999-12-31	2013-05-08
6507/3-3	1931.000000	2010.000000	TARE FM	FORMATION	ROGALAND GP	3668	163	131	9999-12-31	2013-05-08
6507/3-3	3538.000000	3680.000000	TILJE FM	FORMATION	BÅT GP	3668	169	22	9999-12-31	2013-05-08
6507/3-3	3013.000000	3364.000000	VIKING GP	GROUP	\N	3668	188	\N	9999-12-31	2013-05-08
6507/3-3	3680.000000	3830.000000	ÅRE FM	FORMATION	BÅT GP	3668	197	22	9999-12-31	2013-05-08
6507/5-1	1802.000000	1987.000000	BRYGGE FM	FORMATION	HORDALAND GP	3683	18	67	9999-12-31	2013-05-08
6507/5-1	3517.000000	4224.000000	BÅT GP	GROUP	\N	3683	22	\N	9999-12-31	2013-05-08
6507/5-1	2716.000000	3178.000000	CROMER KNOLL GP	GROUP	\N	3683	23	\N	9999-12-31	2013-05-08
6507/5-1	3380.000000	3517.000000	FANGST GP	GROUP	\N	3683	38	\N	9999-12-31	2013-05-08
6507/5-1	3380.000000	3434.000000	GARN FM	FORMATION	FANGST GP	3683	48	38	9999-12-31	2013-05-08
6507/5-1	1802.000000	1987.000000	HORDALAND GP	GROUP	\N	3683	67	\N	9999-12-31	2013-05-08
6507/5-1	3476.000000	3517.000000	ILE FM	FORMATION	FANGST GP	3683	70	38	9999-12-31	2013-05-08
6507/5-1	1381.000000	1802.000000	KAI FM	FORMATION	NORDLAND GP	3683	77	113	9999-12-31	2013-05-08
6507/5-1	2523.000000	2716.000000	KVITNOS FM	FORMATION	SHETLAND GP	3683	91	143	9999-12-31	2013-05-08
6507/5-1	2718.000000	3178.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3683	94	23	9999-12-31	2013-05-08
6507/5-1	2716.000000	2718.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3683	99	23	9999-12-31	2013-05-08
6507/5-1	3194.000000	3380.000000	MELKE FM	FORMATION	VIKING GP	3683	105	188	9999-12-31	2013-05-08
6507/5-1	347.000000	1381.000000	NAUST FM	FORMATION	NORDLAND GP	3683	109	113	9999-12-31	2013-05-08
6507/5-1	2076.000000	2523.000000	NISE FM	FORMATION	SHETLAND GP	3683	112	143	9999-12-31	2013-05-08
6507/5-1	347.000000	1802.000000	NORDLAND GP	GROUP	\N	3683	113	\N	9999-12-31	2013-05-08
6507/5-1	3434.000000	3476.000000	NOT FM	FORMATION	FANGST GP	3683	120	38	9999-12-31	2013-05-08
6507/5-1	1987.000000	2076.000000	ROGALAND GP	GROUP	\N	3683	131	\N	9999-12-31	2013-05-08
6507/5-1	3517.000000	3577.000000	ROR FM	FORMATION	BÅT GP	3683	135	22	9999-12-31	2013-05-08
6507/5-1	2076.000000	2716.000000	SHETLAND GP	GROUP	\N	3683	143	\N	9999-12-31	2013-05-08
6507/5-1	3178.000000	3194.000000	SPEKK FM	FORMATION	VIKING GP	3683	155	188	9999-12-31	2013-05-08
6507/5-1	2032.000000	2076.000000	TANG FM	FORMATION	ROGALAND GP	3683	161	131	9999-12-31	2013-05-08
6507/5-1	1987.000000	2032.000000	TARE FM	FORMATION	ROGALAND GP	3683	163	131	9999-12-31	2013-05-08
6507/5-1	3579.000000	3688.000000	TILJE FM	FORMATION	BÅT GP	3683	169	22	9999-12-31	2013-05-08
6507/5-1	3577.000000	3579.000000	TOFTE FM	FORMATION	BÅT GP	3683	170	22	9999-12-31	2013-05-08
6507/5-1	3178.000000	3380.000000	VIKING GP	GROUP	\N	3683	188	\N	9999-12-31	2013-05-08
6507/5-1	3688.000000	4224.000000	ÅRE FM	FORMATION	BÅT GP	3683	197	22	9999-12-31	2013-05-08
34/7-29 SR	1747.000000	1813.000000	BALDER FM	FORMATION	ROGALAND GP	3702	6	131	9999-12-31	2013-05-08
34/7-29 SR	2893.000000	2926.000000	BRENT GP	GROUP	\N	3702	16	\N	9999-12-31	2013-05-08
34/7-29 SR	2692.000000	2705.000000	CROMER KNOLL GP	GROUP	\N	3702	23	\N	9999-12-31	2013-05-08
34/7-29 SR	2705.000000	2722.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	3702	26	188	9999-12-31	2013-05-08
34/7-29 SR	2722.000000	2773.000000	DRAUPNE FM	FORMATION	VIKING GP	3702	28	188	9999-12-31	2013-05-08
34/7-29 SR	2773.000000	2893.000000	HEATHER FM	FORMATION	VIKING GP	3702	60	188	9999-12-31	2013-05-08
34/7-29 SR	1092.000000	1747.000000	HORDALAND GP	GROUP	\N	3702	67	\N	9999-12-31	2013-05-08
34/7-29 SR	1998.000000	2259.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3702	74	143	9999-12-31	2013-05-08
34/7-29 SR	2259.000000	2692.000000	KYRRE FM	FORMATION	SHETLAND GP	3702	92	143	9999-12-31	2013-05-08
34/7-29 SR	1813.000000	1927.000000	LISTA FM	FORMATION	ROGALAND GP	3702	95	131	9999-12-31	2013-05-08
34/7-29 SR	2700.000000	2705.000000	MIME FM	FORMATION	CROMER KNOLL GP	3702	106	23	9999-12-31	2013-05-08
34/7-29 SR	1282.000000	1334.000000	NO FORMAL NAME	FORMATION	\N	3702	111	\N	9999-12-31	2013-05-08
34/7-29 SR	1334.000000	1397.000000	NO FORMAL NAME	FORMATION	\N	3702	111	\N	9999-12-31	2013-05-08
34/7-29 SR	1397.000000	1446.000000	NO FORMAL NAME	FORMATION	\N	3702	111	\N	9999-12-31	2013-05-08
34/7-29 SR	1446.000000	1747.000000	NO FORMAL NAME	FORMATION	\N	3702	111	\N	9999-12-31	2013-05-08
34/7-29 SR	1927.000000	1998.000000	NO FORMAL NAME	FORMATION	\N	3702	111	\N	9999-12-31	2013-05-08
34/7-29 SR	273.000000	1092.000000	NORDLAND GP	GROUP	\N	3702	113	\N	9999-12-31	2013-05-08
34/7-29 SR	1747.000000	1998.000000	ROGALAND GP	GROUP	\N	3702	131	\N	9999-12-31	2013-05-08
34/7-29 SR	2692.000000	2700.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3702	137	23	9999-12-31	2013-05-08
34/7-29 SR	1998.000000	2692.000000	SHETLAND GP	GROUP	\N	3702	143	\N	9999-12-31	2013-05-08
34/7-29 SR	2893.000000	2926.000000	TARBERT FM	FORMATION	BRENT GP	3702	162	16	9999-12-31	2013-05-08
34/7-29 SR	978.000000	1092.000000	UTSIRA FM	FORMATION	NORDLAND GP	3702	183	113	9999-12-31	2013-05-08
34/7-29 SR	2705.000000	2893.000000	VIKING GP	GROUP	\N	3702	188	\N	9999-12-31	2013-05-08
9/2-9 S	940.000000	980.000000	BALDER FM	FORMATION	ROGALAND GP	3703	6	131	9999-12-31	2013-05-08
9/2-9 S	1868.000000	1908.000000	BLODØKS FM	FORMATION	SHETLAND GP	3703	13	143	9999-12-31	2013-05-08
9/2-9 S	2710.000000	3844.000000	BOKNFJORD GP	GROUP	\N	3703	15	\N	9999-12-31	2013-05-08
9/2-9 S	4365.000000	4367.000000	BRYNE FM	FORMATION	VESTLAND GP	3703	19	186	9999-12-31	2013-05-08
9/2-9 S	1908.000000	2710.000000	CROMER KNOLL GP	GROUP	\N	3703	23	\N	9999-12-31	2013-05-08
9/2-9 S	3669.000000	3844.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	3703	30	15	9999-12-31	2013-05-08
9/2-9 S	1050.000000	1160.000000	EKOFISK FM	FORMATION	SHETLAND GP	3703	33	143	9999-12-31	2013-05-08
9/2-9 S	2710.000000	2823.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	3703	43	15	9999-12-31	2013-05-08
9/2-9 S	1545.000000	1868.000000	HOD FM	FORMATION	SHETLAND GP	3703	66	143	9999-12-31	2013-05-08
9/2-9 S	415.000000	940.000000	HORDALAND GP	GROUP	\N	3703	67	\N	9999-12-31	2013-05-08
9/2-9 S	1005.000000	1045.000000	LISTA FM	FORMATION	ROGALAND GP	3703	95	131	9999-12-31	2013-05-08
9/2-9 S	102.000000	415.000000	NORDLAND GP	GROUP	\N	3703	113	\N	9999-12-31	2013-05-08
9/2-9 S	940.000000	1050.000000	ROGALAND GP	GROUP	\N	3703	131	\N	9999-12-31	2013-05-08
9/2-9 S	1908.000000	1953.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3703	137	23	9999-12-31	2013-05-08
9/2-9 S	3844.000000	4365.000000	SANDNES FM	FORMATION	VESTLAND GP	3703	139	186	9999-12-31	2013-05-08
9/2-9 S	2823.000000	3551.000000	SAUDA FM	FORMATION	BOKNFJORD GP	3703	141	15	9999-12-31	2013-05-08
9/2-9 S	980.000000	1005.000000	SELE FM	FORMATION	ROGALAND GP	3703	142	131	9999-12-31	2013-05-08
9/2-9 S	1050.000000	1908.000000	SHETLAND GP	GROUP	\N	3703	143	\N	9999-12-31	2013-05-08
9/2-9 S	1953.000000	2019.000000	SOLA FM	FORMATION	CROMER KNOLL GP	3703	152	23	9999-12-31	2013-05-08
9/2-9 S	3551.000000	3669.000000	TAU FM	FORMATION	BOKNFJORD GP	3703	164	15	9999-12-31	2013-05-08
9/2-9 S	1160.000000	1545.000000	TOR FM	FORMATION	SHETLAND GP	3703	171	143	9999-12-31	2013-05-08
9/2-9 S	3844.000000	4367.000000	VESTLAND GP	GROUP	\N	3703	186	\N	9999-12-31	2013-05-08
9/2-9 S	1045.000000	1050.000000	VÅLE FM	FORMATION	ROGALAND GP	3703	190	131	9999-12-31	2013-05-08
9/2-9 S	2019.000000	2710.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3703	198	23	9999-12-31	2013-05-08
6507/3-3 A	1710.000000	1933.000000	BRYGGE FM	FORMATION	HORDALAND GP	3718	18	67	9999-12-31	2013-05-08
6507/3-3 A	2656.000000	3098.000000	CROMER KNOLL GP	GROUP	\N	3718	23	\N	9999-12-31	2013-05-08
6507/3-3 A	3789.000000	4147.000000	FANGST GP	GROUP	\N	3718	38	\N	9999-12-31	2013-05-08
6507/3-3 A	3789.000000	3911.000000	GARN FM	FORMATION	FANGST GP	3718	48	38	9999-12-31	2013-05-08
6507/3-3 A	1710.000000	1933.000000	HORDALAND GP	GROUP	\N	3718	67	\N	9999-12-31	2013-05-08
6507/3-3 A	1372.000000	1710.000000	KAI FM	FORMATION	NORDLAND GP	3718	77	113	9999-12-31	2013-05-08
6507/3-3 A	2656.000000	3098.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3718	94	23	9999-12-31	2013-05-08
6507/3-3 A	3158.000000	3789.000000	MELKE FM	FORMATION	VIKING GP	3718	105	188	9999-12-31	2013-05-08
6507/3-3 A	4147.000000	4528.000000	MELKE FM	FORMATION	VIKING GP	3718	105	188	9999-12-31	2013-05-08
6507/3-3 A	416.000000	1372.000000	NAUST FM	FORMATION	NORDLAND GP	3718	109	113	9999-12-31	2013-05-08
6507/3-3 A	416.000000	1710.000000	NORDLAND GP	GROUP	\N	3718	113	\N	9999-12-31	2013-05-08
6507/3-3 A	3911.000000	4147.000000	NOT FM	FORMATION	FANGST GP	3718	120	38	9999-12-31	2013-05-08
6507/3-3 A	1933.000000	2049.000000	ROGALAND GP	GROUP	\N	3718	131	\N	9999-12-31	2013-05-08
6507/3-3 A	2049.000000	2656.000000	SHETLAND GP	GROUP	\N	3718	143	\N	9999-12-31	2013-05-08
6507/3-3 A	3098.000000	3158.000000	SPEKK FM	FORMATION	VIKING GP	3718	155	188	9999-12-31	2013-05-08
6507/3-3 A	2049.000000	2656.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3718	156	143	9999-12-31	2013-05-08
6507/3-3 A	2012.000000	2049.000000	TANG FM	FORMATION	ROGALAND GP	3718	161	131	9999-12-31	2013-05-08
6507/3-3 A	1933.000000	2012.000000	TARE FM	FORMATION	ROGALAND GP	3718	163	131	9999-12-31	2013-05-08
6507/3-3 A	3098.000000	3789.000000	VIKING GP	GROUP	\N	3718	188	\N	9999-12-31	2013-05-08
6507/3-3 A	4147.000000	4528.000000	VIKING GP	GROUP	\N	3718	188	\N	9999-12-31	2013-05-08
35/10-3	1881.000000	1948.000000	BALDER FM	FORMATION	ROGALAND GP	3719	6	131	9999-12-31	2013-05-08
35/10-3	1247.000000	1269.000000	GRID FM	FORMATION	HORDALAND GP	3719	53	67	9999-12-31	2013-05-08
35/10-3	1948.000000	1984.000000	HERMOD FM	FORMATION	ROGALAND GP	3719	64	131	9999-12-31	2013-05-08
35/10-3	937.000000	1881.000000	HORDALAND GP	GROUP	\N	3719	67	\N	9999-12-31	2013-05-08
35/10-3	2199.000000	2250.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3719	74	143	9999-12-31	2013-05-08
35/10-3	2030.000000	2193.000000	LISTA FM	FORMATION	ROGALAND GP	3719	95	131	9999-12-31	2013-05-08
35/10-3	1269.000000	1881.000000	NO FORMAL NAME	FORMATION	\N	3719	111	\N	9999-12-31	2013-05-08
35/10-3	387.000000	937.000000	NORDLAND GP	GROUP	\N	3719	113	\N	9999-12-31	2013-05-08
35/10-3	1881.000000	2199.000000	ROGALAND GP	GROUP	\N	3719	131	\N	9999-12-31	2013-05-08
35/10-3	1984.000000	2030.000000	SELE FM	FORMATION	ROGALAND GP	3719	142	131	9999-12-31	2013-05-08
35/10-3	2199.000000	2250.000000	SHETLAND GP	GROUP	\N	3719	143	\N	9999-12-31	2013-05-08
35/10-3	922.000000	937.000000	UTSIRA FM	FORMATION	NORDLAND GP	3719	183	113	9999-12-31	2013-05-08
35/10-3	2193.000000	2199.000000	VÅLE FM	FORMATION	ROGALAND GP	3719	190	131	9999-12-31	2013-05-08
25/11-23	1699.000000	1752.000000	BALDER FM	FORMATION	ROGALAND GP	3755	6	131	9999-12-31	2013-05-08
25/11-23	1764.000000	1782.000000	BALDER FM	FORMATION	ROGALAND GP	3755	6	131	9999-12-31	2013-05-08
25/11-23	1752.000000	1764.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	3755	7	131	9999-12-31	2013-05-08
25/11-23	1971.000000	1975.000000	EKOFISK FM	FORMATION	SHETLAND GP	3755	33	143	9999-12-31	2013-05-08
25/11-23	1899.000000	1909.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3755	62	131	9999-12-31	2013-05-08
25/11-23	1945.000000	1971.000000	HEIMDAL FM	FORMATION	ROGALAND GP	3755	62	131	9999-12-31	2013-05-08
25/11-23	1796.000000	1804.000000	HERMOD FM	FORMATION	ROGALAND GP	3755	64	131	9999-12-31	2013-05-08
25/11-23	1808.000000	1864.000000	HERMOD FM	FORMATION	ROGALAND GP	3755	64	131	9999-12-31	2013-05-08
25/11-23	730.000000	1699.000000	HORDALAND GP	GROUP	\N	3755	67	\N	9999-12-31	2013-05-08
25/11-23	1866.000000	1899.000000	LISTA FM	FORMATION	ROGALAND GP	3755	95	131	9999-12-31	2013-05-08
25/11-23	1909.000000	1945.000000	LISTA FM	FORMATION	ROGALAND GP	3755	95	131	9999-12-31	2013-05-08
25/11-23	650.000000	730.000000	NO FORMAL NAME	FORMATION	\N	3755	111	\N	9999-12-31	2013-05-08
25/11-23	984.000000	1172.000000	NO FORMAL NAME	FORMATION	\N	3755	111	\N	9999-12-31	2013-05-08
25/11-23	1258.000000	1699.000000	NO FORMAL NAME	FORMATION	\N	3755	111	\N	9999-12-31	2013-05-08
25/11-23	150.000000	730.000000	NORDLAND GP	GROUP	\N	3755	113	\N	9999-12-31	2013-05-08
25/11-23	1699.000000	1971.000000	ROGALAND GP	GROUP	\N	3755	131	\N	9999-12-31	2013-05-08
25/11-23	1782.000000	1796.000000	SELE FM	FORMATION	ROGALAND GP	3755	142	131	9999-12-31	2013-05-08
25/11-23	1804.000000	1808.000000	SELE FM	FORMATION	ROGALAND GP	3755	142	131	9999-12-31	2013-05-08
25/11-23	1864.000000	1866.000000	SELE FM	FORMATION	ROGALAND GP	3755	142	131	9999-12-31	2013-05-08
25/11-23	1971.000000	1975.000000	SHETLAND GP	GROUP	\N	3755	143	\N	9999-12-31	2013-05-08
25/11-23	730.000000	984.000000	SKADE FM	FORMATION	HORDALAND GP	3755	145	67	9999-12-31	2013-05-08
25/11-23	1172.000000	1258.000000	SKADE FM	FORMATION	HORDALAND GP	3755	145	67	9999-12-31	2013-05-08
25/11-23	1975.000000	2014.000000	STATFJORD FM	FORMATION	\N	3755	157	\N	9999-12-31	2013-05-08
25/11-23	538.000000	650.000000	UTSIRA FM	FORMATION	NORDLAND GP	3755	183	113	9999-12-31	2013-05-08
25/11-23	1975.000000	2014.000000	NO GROUP DEFINED	GROUP	\N	3755	208	\N	9999-12-31	2013-05-08
6507/5-2	1831.000000	2019.000000	BRYGGE FM	FORMATION	HORDALAND GP	3756	18	67	9999-12-31	2013-05-08
6507/5-2	3717.000000	3897.000000	BÅT GP	GROUP	\N	3756	22	\N	9999-12-31	2013-05-08
6507/5-2	2721.000000	3222.000000	CROMER KNOLL GP	GROUP	\N	3756	23	\N	9999-12-31	2013-05-08
6507/5-2	3614.000000	3717.000000	FANGST GP	GROUP	\N	3756	38	\N	9999-12-31	2013-05-08
6507/5-2	3614.000000	3669.000000	GARN FM	FORMATION	FANGST GP	3756	48	38	9999-12-31	2013-05-08
6507/5-2	1831.000000	2019.000000	HORDALAND GP	GROUP	\N	3756	67	\N	9999-12-31	2013-05-08
6507/5-2	3696.000000	3717.000000	ILE FM	FORMATION	FANGST GP	3756	70	38	9999-12-31	2013-05-08
6507/5-2	1395.000000	1831.000000	KAI FM	FORMATION	NORDLAND GP	3756	77	113	9999-12-31	2013-05-08
6507/5-2	2530.000000	2721.000000	KVITNOS FM	FORMATION	SHETLAND GP	3756	91	143	9999-12-31	2013-05-08
6507/5-2	2721.000000	3207.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3756	94	23	9999-12-31	2013-05-08
6507/5-2	3207.000000	3222.000000	LYR FM	FORMATION	CROMER KNOLL GP	3756	98	23	9999-12-31	2013-05-08
6507/5-2	3250.000000	3614.000000	MELKE FM	FORMATION	VIKING GP	3756	105	188	9999-12-31	2013-05-08
6507/5-2	365.000000	1395.000000	NAUST FM	FORMATION	NORDLAND GP	3756	109	113	9999-12-31	2013-05-08
6507/5-2	2107.000000	2530.000000	NISE FM	FORMATION	SHETLAND GP	3756	112	143	9999-12-31	2013-05-08
6507/5-2	365.000000	1831.000000	NORDLAND GP	GROUP	\N	3756	113	\N	9999-12-31	2013-05-08
6507/5-2	3669.000000	3696.000000	NOT FM	FORMATION	FANGST GP	3756	120	38	9999-12-31	2013-05-08
6507/5-2	2019.000000	2107.000000	ROGALAND GP	GROUP	\N	3756	131	\N	9999-12-31	2013-05-08
6507/5-2	3717.000000	3772.000000	ROR FM	FORMATION	BÅT GP	3756	135	22	9999-12-31	2013-05-08
6507/5-2	2107.000000	2721.000000	SHETLAND GP	GROUP	\N	3756	143	\N	9999-12-31	2013-05-08
6507/5-2	3222.000000	3250.000000	SPEKK FM	FORMATION	VIKING GP	3756	155	188	9999-12-31	2013-05-08
6507/5-2	2074.000000	2107.000000	TANG FM	FORMATION	ROGALAND GP	3756	161	131	9999-12-31	2013-05-08
6507/5-2	2019.000000	2074.000000	TARE FM	FORMATION	ROGALAND GP	3756	163	131	9999-12-31	2013-05-08
6507/5-2	3772.000000	3855.000000	TILJE FM	FORMATION	BÅT GP	3756	169	22	9999-12-31	2013-05-08
6507/5-2	3222.000000	3614.000000	VIKING GP	GROUP	\N	3756	188	\N	9999-12-31	2013-05-08
6507/5-2	3855.000000	3897.000000	ÅRE FM	FORMATION	BÅT GP	3756	197	22	9999-12-31	2013-05-08
34/7-30 S	244.000000	1148.000000	NORDLAND GP	GROUP	\N	3757	113	\N	9999-12-31	2013-05-08
34/7-30 S	931.000000	1148.000000	UTSIRA FM	FORMATION	NORDLAND GP	3757	183	113	9999-12-31	2013-05-08
6704/12-1	1920.000000	2548.000000	BRYGGE FM	FORMATION	HORDALAND GP	3759	18	67	9999-12-31	2013-05-08
6704/12-1	1920.000000	2548.000000	HORDALAND GP	GROUP	\N	3759	67	\N	9999-12-31	2013-05-08
6704/12-1	1459.000000	1920.000000	KAI FM	FORMATION	NORDLAND GP	3759	77	113	9999-12-31	2013-05-08
6704/12-1	1377.000000	1459.000000	NAUST FM	FORMATION	NORDLAND GP	3759	109	113	9999-12-31	2013-05-08
6704/12-1	3244.000000	3644.000000	NISE FM	FORMATION	SHETLAND GP	3759	112	143	9999-12-31	2013-05-08
6704/12-1	3910.000000	4103.000000	NISE FM	FORMATION	SHETLAND GP	3759	112	143	9999-12-31	2013-05-08
6704/12-1	1377.000000	1920.000000	NORDLAND GP	GROUP	\N	3759	113	\N	9999-12-31	2013-05-08
6704/12-1	2548.000000	2558.000000	ROGALAND GP	GROUP	\N	3759	131	\N	9999-12-31	2013-05-08
6704/12-1	2558.000000	4103.000000	SHETLAND GP	GROUP	\N	3759	143	\N	9999-12-31	2013-05-08
6704/12-1	2558.000000	3244.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3759	156	143	9999-12-31	2013-05-08
6704/12-1	2548.000000	2558.000000	TANG FM	FORMATION	ROGALAND GP	3759	161	131	9999-12-31	2013-05-08
6704/12-1	3644.000000	3910.000000	DELFIN FM (INFORMAL)	FORMATION	SHETLAND GP	3759	204	143	9999-12-31	2013-05-08
25/8-12 S	1699.000000	1766.000000	BALDER FM	FORMATION	ROGALAND GP	3771	6	131	9999-12-31	2013-05-08
25/8-12 S	1150.000000	1159.000000	GRID FM	FORMATION	HORDALAND GP	3771	53	67	9999-12-31	2013-05-08
25/8-12 S	1785.000000	1788.000000	HERMOD FM	FORMATION	ROGALAND GP	3771	64	131	9999-12-31	2013-05-08
25/8-12 S	1789.000000	1802.000000	HERMOD FM	FORMATION	ROGALAND GP	3771	64	131	9999-12-31	2013-05-08
25/8-12 S	728.000000	1699.000000	HORDALAND GP	GROUP	\N	3771	67	\N	9999-12-31	2013-05-08
25/8-12 S	1839.000000	1880.000000	LISTA FM	FORMATION	ROGALAND GP	3771	95	131	9999-12-31	2013-05-08
25/8-12 S	672.000000	728.000000	NO FORMAL NAME	FORMATION	\N	3771	111	\N	9999-12-31	2013-05-08
25/8-12 S	954.000000	1150.000000	NO FORMAL NAME	FORMATION	\N	3771	111	\N	9999-12-31	2013-05-08
25/8-12 S	1159.000000	1699.000000	NO FORMAL NAME	FORMATION	\N	3771	111	\N	9999-12-31	2013-05-08
25/8-12 S	150.000000	728.000000	NORDLAND GP	GROUP	\N	3771	113	\N	9999-12-31	2013-05-08
25/8-12 S	1699.000000	1884.000000	ROGALAND GP	GROUP	\N	3771	131	\N	9999-12-31	2013-05-08
25/8-12 S	1766.000000	1785.000000	SELE FM	FORMATION	ROGALAND GP	3771	142	131	9999-12-31	2013-05-08
25/8-12 S	1788.000000	1789.000000	SELE FM	FORMATION	ROGALAND GP	3771	142	131	9999-12-31	2013-05-08
25/8-12 S	1802.000000	1839.000000	SELE FM	FORMATION	ROGALAND GP	3771	142	131	9999-12-31	2013-05-08
25/8-12 S	1884.000000	1906.000000	SHETLAND GP	GROUP	\N	3771	143	\N	9999-12-31	2013-05-08
25/8-12 S	728.000000	954.000000	SKADE FM	FORMATION	HORDALAND GP	3771	145	67	9999-12-31	2013-05-08
25/8-12 S	2040.000000	2096.000000	SMITH BANK FM	FORMATION	HEGRE GP	3771	149	61	9999-12-31	2013-05-08
25/8-12 S	1906.000000	2040.000000	STATFJORD FM	FORMATION	\N	3771	157	\N	9999-12-31	2013-05-08
25/8-12 S	560.000000	672.000000	UTSIRA FM	FORMATION	NORDLAND GP	3771	183	113	9999-12-31	2013-05-08
25/8-12 S	1880.000000	1884.000000	VÅLE FM	FORMATION	ROGALAND GP	3771	190	131	9999-12-31	2013-05-08
25/8-12 S	1906.000000	2040.000000	NO GROUP DEFINED	GROUP	\N	3771	208	\N	9999-12-31	2013-05-08
25/8-12 S	2040.000000	2096.000000	NO GROUP DEFINED	GROUP	\N	3771	208	\N	9999-12-31	2013-05-08
25/8-12 A	1748.000000	1815.000000	BALDER FM	FORMATION	ROGALAND GP	3772	6	131	9999-12-31	2013-05-08
25/8-12 A	1155.000000	1166.000000	GRID FM	FORMATION	HORDALAND GP	3772	53	67	9999-12-31	2013-05-08
25/8-12 A	728.000000	1748.000000	HORDALAND GP	GROUP	\N	3772	67	\N	9999-12-31	2013-05-08
25/8-12 A	1875.000000	1915.000000	LISTA FM	FORMATION	ROGALAND GP	3772	95	131	9999-12-31	2013-05-08
25/8-12 A	672.000000	728.000000	NO FORMAL NAME	FORMATION	\N	3772	111	\N	9999-12-31	2013-05-08
25/8-12 A	954.000000	1155.000000	NO FORMAL NAME	FORMATION	\N	3772	111	\N	9999-12-31	2013-05-08
25/8-12 A	1166.000000	1748.000000	NO FORMAL NAME	FORMATION	\N	3772	111	\N	9999-12-31	2013-05-08
25/8-12 A	150.000000	728.000000	NORDLAND GP	GROUP	\N	3772	113	\N	9999-12-31	2013-05-08
25/8-12 A	1748.000000	1921.000000	ROGALAND GP	GROUP	\N	3772	131	\N	9999-12-31	2013-05-08
25/8-12 A	1815.000000	1875.000000	SELE FM	FORMATION	ROGALAND GP	3772	142	131	9999-12-31	2013-05-08
25/8-12 A	1921.000000	1946.000000	SHETLAND GP	GROUP	\N	3772	143	\N	9999-12-31	2013-05-08
25/8-12 A	728.000000	954.000000	SKADE FM	FORMATION	HORDALAND GP	3772	145	67	9999-12-31	2013-05-08
25/8-12 A	2028.000000	2156.000000	SMITH BANK FM	FORMATION	HEGRE GP	3772	149	61	9999-12-31	2013-05-08
25/8-12 A	1946.000000	2028.000000	STATFJORD FM	FORMATION	\N	3772	157	\N	9999-12-31	2013-05-08
25/8-12 A	560.000000	672.000000	UTSIRA FM	FORMATION	NORDLAND GP	3772	183	113	9999-12-31	2013-05-08
25/8-12 A	1915.000000	1921.000000	VÅLE FM	FORMATION	ROGALAND GP	3772	190	131	9999-12-31	2013-05-08
25/8-12 A	1946.000000	2028.000000	NO GROUP DEFINED	GROUP	\N	3772	208	\N	9999-12-31	2013-05-08
25/8-12 A	2028.000000	2156.000000	NO GROUP DEFINED	GROUP	\N	3772	208	\N	9999-12-31	2013-05-08
6507/3-3 B	1710.000000	1933.000000	BRYGGE FM	FORMATION	HORDALAND GP	3773	18	67	9999-12-31	2013-05-08
6507/3-3 B	4110.000000	4275.000000	BÅT GP	GROUP	\N	3773	22	\N	9999-12-31	2013-05-08
6507/3-3 B	2656.000000	3098.000000	CROMER KNOLL GP	GROUP	\N	3773	23	\N	9999-12-31	2013-05-08
6507/3-3 B	3792.000000	4110.000000	FANGST GP	GROUP	\N	3773	38	\N	9999-12-31	2013-05-08
6507/3-3 B	3792.000000	3921.000000	GARN FM	FORMATION	FANGST GP	3773	48	38	9999-12-31	2013-05-08
6507/3-3 B	1710.000000	1933.000000	HORDALAND GP	GROUP	\N	3773	67	\N	9999-12-31	2013-05-08
6507/3-3 B	4020.000000	4110.000000	ILE FM	FORMATION	FANGST GP	3773	70	38	9999-12-31	2013-05-08
6507/3-3 B	1372.000000	1710.000000	KAI FM	FORMATION	NORDLAND GP	3773	77	113	9999-12-31	2013-05-08
6507/3-3 B	2641.000000	2656.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3773	94	23	9999-12-31	2013-05-08
6507/3-3 B	2656.000000	3098.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3773	94	23	9999-12-31	2013-05-08
6507/3-3 B	3158.000000	3792.000000	MELKE FM	FORMATION	VIKING GP	3773	105	188	9999-12-31	2013-05-08
6507/3-3 B	416.000000	1372.000000	NAUST FM	FORMATION	NORDLAND GP	3773	109	113	9999-12-31	2013-05-08
6507/3-3 B	416.000000	1710.000000	NORDLAND GP	GROUP	\N	3773	113	\N	9999-12-31	2013-05-08
6507/3-3 B	3921.000000	4020.000000	NOT FM	FORMATION	FANGST GP	3773	120	38	9999-12-31	2013-05-08
6507/3-3 B	1933.000000	2049.000000	ROGALAND GP	GROUP	\N	3773	131	\N	9999-12-31	2013-05-08
6507/3-3 B	4110.000000	4216.000000	ROR FM	FORMATION	BÅT GP	3773	135	22	9999-12-31	2013-05-08
6507/3-3 B	2049.000000	2656.000000	SHETLAND GP	GROUP	\N	3773	143	\N	9999-12-31	2013-05-08
6507/3-3 B	3098.000000	3158.000000	SPEKK FM	FORMATION	VIKING GP	3773	155	188	9999-12-31	2013-05-08
6507/3-3 B	2049.000000	2641.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3773	156	143	9999-12-31	2013-05-08
6507/3-3 B	2012.000000	2049.000000	TANG FM	FORMATION	ROGALAND GP	3773	161	131	9999-12-31	2013-05-08
6507/3-3 B	1933.000000	2012.000000	TARE FM	FORMATION	ROGALAND GP	3773	163	131	9999-12-31	2013-05-08
6507/3-3 B	4216.000000	4275.000000	TILJE FM	FORMATION	BÅT GP	3773	169	22	9999-12-31	2013-05-08
6507/3-3 B	3098.000000	3792.000000	VIKING GP	GROUP	\N	3773	188	\N	9999-12-31	2013-05-08
6407/12-1	1591.000000	1625.000000	CROMER KNOLL GP	GROUP	\N	3781	23	\N	9999-12-31	2013-05-08
6407/12-1	1763.000000	1805.000000	FANGST GP	GROUP	\N	3781	38	\N	9999-12-31	2013-05-08
6407/12-1	1763.000000	1805.000000	GARN FM	FORMATION	FANGST GP	3781	48	38	9999-12-31	2013-05-08
6407/12-1	1579.000000	1591.000000	KVITNOS FM	FORMATION	SHETLAND GP	3781	91	143	9999-12-31	2013-05-08
6407/12-1	1591.000000	1614.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3781	94	23	9999-12-31	2013-05-08
6407/12-1	1614.000000	1625.000000	LYR FM	FORMATION	CROMER KNOLL GP	3781	98	23	9999-12-31	2013-05-08
6407/12-1	1731.000000	1763.000000	MELKE FM	FORMATION	VIKING GP	3781	105	188	9999-12-31	2013-05-08
6407/12-1	1542.000000	1579.000000	NISE FM	FORMATION	SHETLAND GP	3781	112	143	9999-12-31	2013-05-08
6407/12-1	314.000000	1282.000000	NORDLAND GP	GROUP	\N	3781	113	\N	9999-12-31	2013-05-08
6407/12-1	1282.000000	1542.000000	ROGALAND GP	GROUP	\N	3781	131	\N	9999-12-31	2013-05-08
6407/12-1	1659.000000	1721.000000	ROGN FM	FORMATION	VIKING GP	3781	134	188	9999-12-31	2013-05-08
6407/12-1	1542.000000	1591.000000	SHETLAND GP	GROUP	\N	3781	143	\N	9999-12-31	2013-05-08
6407/12-1	1625.000000	1659.000000	SPEKK FM	FORMATION	VIKING GP	3781	155	188	9999-12-31	2013-05-08
6407/12-1	1721.000000	1731.000000	SPEKK FM	FORMATION	VIKING GP	3781	155	188	9999-12-31	2013-05-08
6407/12-1	1412.000000	1542.000000	TANG FM	FORMATION	ROGALAND GP	3781	161	131	9999-12-31	2013-05-08
6407/12-1	1282.000000	1412.000000	TARE FM	FORMATION	ROGALAND GP	3781	163	131	9999-12-31	2013-05-08
6407/12-1	1625.000000	1763.000000	VIKING GP	GROUP	\N	3781	188	\N	9999-12-31	2013-05-08
35/8-4	1528.000000	1579.000000	BALDER FM	FORMATION	ROGALAND GP	3791	6	131	9999-12-31	2013-05-08
35/8-4	3200.000000	3206.000000	BLODØKS FM	FORMATION	SHETLAND GP	3791	13	143	9999-12-31	2013-05-08
35/8-4	3213.000000	3465.000000	CROMER KNOLL GP	GROUP	\N	3791	23	\N	9999-12-31	2013-05-08
35/8-4	3465.000000	3591.000000	DRAUPNE FM	FORMATION	VIKING GP	3791	28	188	9999-12-31	2013-05-08
35/8-4	3591.000000	3639.000000	HEATHER FM	FORMATION	VIKING GP	3791	60	188	9999-12-31	2013-05-08
35/8-4	815.000000	1528.000000	HORDALAND GP	GROUP	\N	3791	67	\N	9999-12-31	2013-05-08
35/8-4	1810.000000	1973.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3791	74	143	9999-12-31	2013-05-08
35/8-4	1973.000000	3200.000000	KYRRE FM	FORMATION	SHETLAND GP	3791	92	143	9999-12-31	2013-05-08
35/8-4	1579.000000	1717.000000	LISTA FM	FORMATION	ROGALAND GP	3791	95	131	9999-12-31	2013-05-08
35/8-4	1717.000000	1793.000000	NO FORMAL NAME	FORMATION	\N	3791	111	\N	9999-12-31	2013-05-08
35/8-4	394.000000	815.000000	NORDLAND GP	GROUP	\N	3791	113	\N	9999-12-31	2013-05-08
35/8-4	1528.000000	1810.000000	ROGALAND GP	GROUP	\N	3791	131	\N	9999-12-31	2013-05-08
35/8-4	3213.000000	3301.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3791	137	23	9999-12-31	2013-05-08
35/8-4	1810.000000	3213.000000	SHETLAND GP	GROUP	\N	3791	143	\N	9999-12-31	2013-05-08
35/8-4	3639.000000	3719.000000	SOGNEFJORD FM	FORMATION	VIKING GP	3791	151	188	9999-12-31	2013-05-08
35/8-4	3206.000000	3213.000000	SVARTE FM	FORMATION	SHETLAND GP	3791	160	143	9999-12-31	2013-05-08
35/8-4	3465.000000	3719.000000	VIKING GP	GROUP	\N	3791	188	\N	9999-12-31	2013-05-08
35/8-4	1793.000000	1810.000000	VÅLE FM	FORMATION	ROGALAND GP	3791	190	131	9999-12-31	2013-05-08
35/8-4	3301.000000	3465.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	3791	198	23	9999-12-31	2013-05-08
6507/7-12	1877.000000	2099.000000	BRYGGE FM	FORMATION	HORDALAND GP	3812	18	67	9999-12-31	2013-05-08
6507/7-12	2858.000000	3911.000000	CROMER KNOLL GP	GROUP	\N	3812	23	\N	9999-12-31	2013-05-08
6507/7-12	1877.000000	2099.000000	HORDALAND GP	GROUP	\N	3812	67	\N	9999-12-31	2013-05-08
6507/7-12	1492.000000	1877.000000	KAI FM	FORMATION	NORDLAND GP	3812	77	113	9999-12-31	2013-05-08
6507/7-12	2595.000000	2858.000000	KVITNOS FM	FORMATION	SHETLAND GP	3812	91	143	9999-12-31	2013-05-08
6507/7-12	2897.000000	3670.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3812	94	23	9999-12-31	2013-05-08
6507/7-12	3745.000000	3911.000000	LANGE FM	FORMATION	CROMER KNOLL GP	3812	94	23	9999-12-31	2013-05-08
6507/7-12	2858.000000	2897.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3812	99	23	9999-12-31	2013-05-08
6507/7-12	3670.000000	3745.000000	NO FORMAL NAME	FORMATION	\N	3812	111	\N	9999-12-31	2013-05-08
6507/7-12	2377.000000	2595.000000	NISE FM	FORMATION	SHETLAND GP	3812	112	143	9999-12-31	2013-05-08
6507/7-12	356.000000	1877.000000	NORDLAND GP	GROUP	\N	3812	113	\N	9999-12-31	2013-05-08
6507/7-12	2099.000000	2196.000000	ROGALAND GP	GROUP	\N	3812	131	\N	9999-12-31	2013-05-08
6507/7-12	2196.000000	2858.000000	SHETLAND GP	GROUP	\N	3812	143	\N	9999-12-31	2013-05-08
6507/7-12	3911.000000	3976.000000	SPEKK FM	FORMATION	VIKING GP	3812	155	188	9999-12-31	2013-05-08
6507/7-12	2196.000000	2377.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3812	156	143	9999-12-31	2013-05-08
6507/7-12	2152.000000	2196.000000	TANG FM	FORMATION	ROGALAND GP	3812	161	131	9999-12-31	2013-05-08
6507/7-12	2099.000000	2152.000000	TARE FM	FORMATION	ROGALAND GP	3812	163	131	9999-12-31	2013-05-08
6507/7-12	3911.000000	3976.000000	VIKING GP	GROUP	\N	3812	188	\N	9999-12-31	2013-05-08
34/10-42 S	1940.000000	1989.000000	BALDER FM	FORMATION	ROGALAND GP	3816	6	131	9999-12-31	2013-05-08
34/10-42 S	4211.000000	4403.000000	BRENT GP	GROUP	\N	3816	16	\N	9999-12-31	2013-05-08
34/10-42 S	3790.000000	3960.000000	CROMER KNOLL GP	GROUP	\N	3816	23	\N	9999-12-31	2013-05-08
34/10-42 S	4485.000000	4520.000000	COOK FM	FORMATION	DUNLIN GP	3816	24	29	9999-12-31	2013-05-08
34/10-42 S	4403.000000	4485.000000	DRAKE FM	FORMATION	DUNLIN GP	3816	27	29	9999-12-31	2013-05-08
34/10-42 S	3960.000000	4008.000000	DRAUPNE FM	FORMATION	VIKING GP	3816	28	188	9999-12-31	2013-05-08
34/10-42 S	4403.000000	4520.000000	DUNLIN GP	GROUP	\N	3816	29	\N	9999-12-31	2013-05-08
34/10-42 S	4355.000000	4369.000000	ETIVE FM	FORMATION	BRENT GP	3816	35	16	9999-12-31	2013-05-08
34/10-42 S	4008.000000	4211.000000	HEATHER FM	FORMATION	VIKING GP	3816	60	188	9999-12-31	2013-05-08
34/10-42 S	973.000000	1940.000000	HORDALAND GP	GROUP	\N	3816	67	\N	9999-12-31	2013-05-08
34/10-42 S	2196.000000	2451.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3816	74	143	9999-12-31	2013-05-08
34/10-42 S	2451.000000	3656.000000	KYRRE FM	FORMATION	SHETLAND GP	3816	92	143	9999-12-31	2013-05-08
34/10-42 S	1995.000000	2196.000000	LISTA FM	FORMATION	ROGALAND GP	3816	95	131	9999-12-31	2013-05-08
34/10-42 S	4217.000000	4355.000000	NESS FM	FORMATION	BRENT GP	3816	110	16	9999-12-31	2013-05-08
34/10-42 S	159.000000	973.000000	NORDLAND GP	GROUP	\N	3816	113	\N	9999-12-31	2013-05-08
34/10-42 S	4369.000000	4403.000000	RANNOCH FM	FORMATION	BRENT GP	3816	126	16	9999-12-31	2013-05-08
34/10-42 S	1940.000000	2196.000000	ROGALAND GP	GROUP	\N	3816	131	\N	9999-12-31	2013-05-08
34/10-42 S	1989.000000	1995.000000	SELE FM	FORMATION	ROGALAND GP	3816	142	131	9999-12-31	2013-05-08
34/10-42 S	2196.000000	3790.000000	SHETLAND GP	GROUP	\N	3816	143	\N	9999-12-31	2013-05-08
34/10-42 S	3656.000000	3790.000000	SVARTE FM	FORMATION	SHETLAND GP	3816	160	143	9999-12-31	2013-05-08
34/10-42 S	4211.000000	4217.000000	TARBERT FM	FORMATION	BRENT GP	3816	162	16	9999-12-31	2013-05-08
34/10-42 S	715.000000	973.000000	UTSIRA FM	FORMATION	NORDLAND GP	3816	183	113	9999-12-31	2013-05-08
34/10-42 S	3960.000000	4211.000000	VIKING GP	GROUP	\N	3816	188	\N	9999-12-31	2013-05-08
6508/1-1 A	1642.000000	1875.000000	BRYGGE FM	FORMATION	HORDALAND GP	3849	18	67	9999-12-31	2013-05-08
6508/1-1 A	1642.000000	1875.000000	HORDALAND GP	GROUP	\N	3849	67	\N	9999-12-31	2013-05-08
6508/1-1 A	1340.000000	1642.000000	KAI FM	FORMATION	NORDLAND GP	3849	77	113	9999-12-31	2013-05-08
6508/1-1 A	2738.000000	2861.000000	MELKE FM	FORMATION	VIKING GP	3849	105	188	9999-12-31	2013-05-08
6508/1-1 A	414.000000	1340.000000	NAUST FM	FORMATION	NORDLAND GP	3849	109	113	9999-12-31	2013-05-08
6508/1-1 A	414.000000	1642.000000	NORDLAND GP	GROUP	\N	3849	113	\N	9999-12-31	2013-05-08
6508/1-1 A	1875.000000	2009.000000	ROGALAND GP	GROUP	\N	3849	131	\N	9999-12-31	2013-05-08
6508/1-1 A	2009.000000	2573.000000	SHETLAND GP	GROUP	\N	3849	143	\N	9999-12-31	2013-05-08
6508/1-1 A	2573.000000	2738.000000	SPEKK FM	FORMATION	VIKING GP	3849	155	188	9999-12-31	2013-05-08
6508/1-1 A	2009.000000	2573.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3849	156	143	9999-12-31	2013-05-08
6508/1-1 A	1947.000000	2009.000000	TANG FM	FORMATION	ROGALAND GP	3849	161	131	9999-12-31	2013-05-08
6508/1-1 A	1875.000000	1947.000000	TARE FM	FORMATION	ROGALAND GP	3849	163	131	9999-12-31	2013-05-08
6508/1-1 A	2573.000000	2861.000000	VIKING GP	GROUP	\N	3849	188	\N	9999-12-31	2013-05-08
6406/2-7	1987.000000	2441.000000	BRYGGE FM	FORMATION	HORDALAND GP	3878	18	67	9999-12-31	2013-05-08
6406/2-7	4701.000000	4981.000000	BÅT GP	GROUP	\N	3878	22	\N	9999-12-31	2013-05-08
6406/2-7	3516.000000	4558.000000	CROMER KNOLL GP	GROUP	\N	3878	23	\N	9999-12-31	2013-05-08
6406/2-7	4558.000000	4701.000000	FANGST GP	GROUP	\N	3878	38	\N	9999-12-31	2013-05-08
6406/2-7	4558.000000	4574.000000	GARN FM	FORMATION	FANGST GP	3878	48	38	9999-12-31	2013-05-08
6406/2-7	1987.000000	2441.000000	HORDALAND GP	GROUP	\N	3878	67	\N	9999-12-31	2013-05-08
6406/2-7	4599.000000	4701.000000	ILE FM	FORMATION	FANGST GP	3878	70	38	9999-12-31	2013-05-08
6406/2-7	1607.000000	1987.000000	KAI FM	FORMATION	NORDLAND GP	3878	77	113	9999-12-31	2013-05-08
6406/2-7	2908.000000	3516.000000	KVITNOS FM	FORMATION	SHETLAND GP	3878	91	143	9999-12-31	2013-05-08
6406/2-7	4545.000000	4558.000000	LYR FM	FORMATION	CROMER KNOLL GP	3878	98	23	9999-12-31	2013-05-08
6406/2-7	3516.000000	4545.000000	LYSING FM	FORMATION	CROMER KNOLL GP	3878	99	23	9999-12-31	2013-05-08
6406/2-7	317.000000	1607.000000	NAUST FM	FORMATION	NORDLAND GP	3878	109	113	9999-12-31	2013-05-08
6406/2-7	2705.000000	2908.000000	NISE FM	FORMATION	SHETLAND GP	3878	112	143	9999-12-31	2013-05-08
6406/2-7	317.000000	1987.000000	NORDLAND GP	GROUP	\N	3878	113	\N	9999-12-31	2013-05-08
6406/2-7	4574.000000	4599.000000	NOT FM	FORMATION	FANGST GP	3878	120	38	9999-12-31	2013-05-08
6406/2-7	2441.000000	2566.000000	ROGALAND GP	GROUP	\N	3878	131	\N	9999-12-31	2013-05-08
6406/2-7	4701.000000	4708.000000	ROR FM	FORMATION	BÅT GP	3878	135	22	9999-12-31	2013-05-08
6406/2-7	2566.000000	3516.000000	SHETLAND GP	GROUP	\N	3878	143	\N	9999-12-31	2013-05-08
6406/2-7	2566.000000	2705.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3878	156	143	9999-12-31	2013-05-08
6406/2-7	2506.000000	2566.000000	TANG FM	FORMATION	ROGALAND GP	3878	161	131	9999-12-31	2013-05-08
6406/2-7	2441.000000	2506.000000	TARE FM	FORMATION	ROGALAND GP	3878	163	131	9999-12-31	2013-05-08
6406/2-7	4916.000000	4981.000000	TILJE FM	FORMATION	BÅT GP	3878	169	22	9999-12-31	2013-05-08
6406/2-7	4708.000000	4916.000000	TOFTE FM	FORMATION	BÅT GP	3878	170	22	9999-12-31	2013-05-08
25/6-3	2020.000000	2067.000000	BALDER FM	FORMATION	ROGALAND GP	3885	6	131	9999-12-31	2013-05-08
25/6-3	2419.000000	2443.000000	EKOFISK FM	FORMATION	SHETLAND GP	3885	33	143	9999-12-31	2013-05-08
25/6-3	2443.000000	2475.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	3885	56	143	9999-12-31	2013-05-08
25/6-3	2083.000000	2155.000000	HERMOD FM	FORMATION	ROGALAND GP	3885	64	131	9999-12-31	2013-05-08
25/6-3	925.000000	2020.000000	HORDALAND GP	GROUP	\N	3885	67	\N	9999-12-31	2013-05-08
25/6-3	2160.000000	2279.000000	LISTA FM	FORMATION	ROGALAND GP	3885	95	131	9999-12-31	2013-05-08
25/6-3	1050.000000	1163.000000	NO FORMAL NAME	FORMATION	\N	3885	111	\N	9999-12-31	2013-05-08
25/6-3	1185.000000	2020.000000	NO FORMAL NAME	FORMATION	\N	3885	111	\N	9999-12-31	2013-05-08
25/6-3	134.000000	925.000000	NORDLAND GP	GROUP	\N	3885	113	\N	9999-12-31	2013-05-08
25/6-3	2020.000000	2419.000000	ROGALAND GP	GROUP	\N	3885	131	\N	9999-12-31	2013-05-08
25/6-3	2067.000000	2083.000000	SELE FM	FORMATION	ROGALAND GP	3885	142	131	9999-12-31	2013-05-08
25/6-3	2155.000000	2160.000000	SELE FM	FORMATION	ROGALAND GP	3885	142	131	9999-12-31	2013-05-08
25/6-3	2419.000000	2475.000000	SHETLAND GP	GROUP	\N	3885	143	\N	9999-12-31	2013-05-08
25/6-3	1025.000000	1050.000000	SKADE FM	FORMATION	HORDALAND GP	3885	145	67	9999-12-31	2013-05-08
25/6-3	1163.000000	1185.000000	SKADE FM	FORMATION	HORDALAND GP	3885	145	67	9999-12-31	2013-05-08
25/6-3	2279.000000	2335.000000	TY FM	FORMATION	ROGALAND GP	3885	176	131	9999-12-31	2013-05-08
25/6-3	652.000000	925.000000	UTSIRA FM	FORMATION	NORDLAND GP	3885	183	113	9999-12-31	2013-05-08
25/6-3	2335.000000	2419.000000	VÅLE FM	FORMATION	ROGALAND GP	3885	190	131	9999-12-31	2013-05-08
34/7-30 SR	1678.000000	1735.000000	BALDER FM	FORMATION	ROGALAND GP	3886	6	131	9999-12-31	2013-05-08
34/7-30 SR	2389.000000	2399.000000	CROMER KNOLL GP	GROUP	\N	3886	23	\N	9999-12-31	2013-05-08
34/7-30 SR	2399.000000	2478.000000	HEATHER FM	FORMATION	VIKING GP	3886	60	188	9999-12-31	2013-05-08
34/7-30 SR	1035.000000	1678.000000	HORDALAND GP	GROUP	\N	3886	67	\N	9999-12-31	2013-05-08
34/7-30 SR	1935.000000	2389.000000	JORSALFARE FM	FORMATION	SHETLAND GP	3886	74	143	9999-12-31	2013-05-08
34/7-30 SR	1735.000000	1935.000000	LISTA FM	FORMATION	ROGALAND GP	3886	95	131	9999-12-31	2013-05-08
34/7-30 SR	2395.000000	2399.000000	MIME FM	FORMATION	CROMER KNOLL GP	3886	106	23	9999-12-31	2013-05-08
34/7-30 SR	238.000000	1035.000000	NORDLAND GP	GROUP	\N	3886	113	\N	9999-12-31	2013-05-08
34/7-30 SR	1678.000000	1935.000000	ROGALAND GP	GROUP	\N	3886	131	\N	9999-12-31	2013-05-08
34/7-30 SR	2389.000000	2395.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	3886	137	23	9999-12-31	2013-05-08
34/7-30 SR	1935.000000	2389.000000	SHETLAND GP	GROUP	\N	3886	143	\N	9999-12-31	2013-05-08
34/7-30 SR	925.000000	1035.000000	UTSIRA FM	FORMATION	NORDLAND GP	3886	183	113	9999-12-31	2013-05-08
34/7-30 SR	2399.000000	2478.000000	VIKING GP	GROUP	\N	3886	188	\N	9999-12-31	2013-05-08
6407/6-5	1362.000000	1861.000000	BRYGGE FM	FORMATION	HORDALAND GP	3921	18	67	9999-12-31	2013-05-08
6407/6-5	2558.000000	2759.000000	BÅT GP	GROUP	\N	3921	22	\N	9999-12-31	2013-05-08
6407/6-5	2343.000000	2359.000000	CROMER KNOLL GP	GROUP	\N	3921	23	\N	9999-12-31	2013-05-08
6407/6-5	2381.000000	2558.000000	FANGST GP	GROUP	\N	3921	38	\N	9999-12-31	2013-05-08
6407/6-5	2381.000000	2444.000000	GARN FM	FORMATION	FANGST GP	3921	48	38	9999-12-31	2013-05-08
6407/6-5	1362.000000	1861.000000	HORDALAND GP	GROUP	\N	3921	67	\N	9999-12-31	2013-05-08
6407/6-5	2485.000000	2558.000000	ILE FM	FORMATION	FANGST GP	3921	70	38	9999-12-31	2013-05-08
6407/6-5	1161.000000	1362.000000	KAI FM	FORMATION	NORDLAND GP	3921	77	113	9999-12-31	2013-05-08
6407/6-5	2377.000000	2381.000000	MELKE FM	FORMATION	VIKING GP	3921	105	188	9999-12-31	2013-05-08
6407/6-5	250.000000	1161.000000	NAUST FM	FORMATION	NORDLAND GP	3921	109	113	9999-12-31	2013-05-08
6407/6-5	250.000000	1362.000000	NORDLAND GP	GROUP	\N	3921	113	\N	9999-12-31	2013-05-08
6407/6-5	2444.000000	2485.000000	NOT FM	FORMATION	FANGST GP	3921	120	38	9999-12-31	2013-05-08
6407/6-5	1861.000000	2023.000000	ROGALAND GP	GROUP	\N	3921	131	\N	9999-12-31	2013-05-08
6407/6-5	2558.000000	2581.000000	ROR FM	FORMATION	BÅT GP	3921	135	22	9999-12-31	2013-05-08
6407/6-5	2628.000000	2661.000000	ROR FM	FORMATION	BÅT GP	3921	135	22	9999-12-31	2013-05-08
6407/6-5	2672.000000	2709.000000	ROR FM	FORMATION	BÅT GP	3921	135	22	9999-12-31	2013-05-08
6407/6-5	2023.000000	2343.000000	SHETLAND GP	GROUP	\N	3921	143	\N	9999-12-31	2013-05-08
6407/6-5	2359.000000	2377.000000	SPEKK FM	FORMATION	VIKING GP	3921	155	188	9999-12-31	2013-05-08
6407/6-5	1924.000000	2023.000000	TANG FM	FORMATION	ROGALAND GP	3921	161	131	9999-12-31	2013-05-08
6407/6-5	1861.000000	1924.000000	TARE FM	FORMATION	ROGALAND GP	3921	163	131	9999-12-31	2013-05-08
6407/6-5	2709.000000	2759.000000	TILJE FM	FORMATION	BÅT GP	3921	169	22	9999-12-31	2013-05-08
6407/6-5	2581.000000	2628.000000	TOFTE FM	FORMATION	BÅT GP	3921	170	22	9999-12-31	2013-05-08
6407/6-5	2661.000000	2672.000000	TOFTE FM	FORMATION	BÅT GP	3921	170	22	9999-12-31	2013-05-08
6407/6-5	2359.000000	2381.000000	VIKING GP	GROUP	\N	3921	188	\N	9999-12-31	2013-05-08
6710/10-1	828.000000	926.000000	BRYGGE FM	FORMATION	HORDALAND GP	3941	18	67	9999-12-31	2013-05-08
6710/10-1	828.000000	926.000000	HORDALAND GP	GROUP	\N	3941	67	\N	9999-12-31	2013-05-08
6710/10-1	365.000000	828.000000	NAUST FM	FORMATION	NORDLAND GP	3941	109	113	9999-12-31	2013-05-08
6710/10-1	365.000000	828.000000	NORDLAND GP	GROUP	\N	3941	113	\N	9999-12-31	2013-05-08
6710/10-1	926.000000	1971.000000	ROGALAND GP	GROUP	\N	3941	131	\N	9999-12-31	2013-05-08
6710/10-1	1971.000000	2267.000000	SHETLAND GP	GROUP	\N	3941	143	\N	9999-12-31	2013-05-08
6710/10-1	1971.000000	2267.000000	SPRINGAR FM	FORMATION	SHETLAND GP	3941	156	143	9999-12-31	2013-05-08
6710/10-1	998.000000	1971.000000	TANG FM	FORMATION	ROGALAND GP	3941	161	131	9999-12-31	2013-05-08
6710/10-1	926.000000	998.000000	TARE FM	FORMATION	ROGALAND GP	3941	163	131	9999-12-31	2013-05-08
34/4-10 R	1741.000000	1780.000000	BALDER FM	FORMATION	ROGALAND GP	4051	6	131	9999-12-31	2013-05-08
34/4-10 R	3937.000000	4040.000000	BRENT GP	GROUP	\N	4051	16	\N	9999-12-31	2013-05-08
34/4-10 R	3773.000000	3790.000000	CROMER KNOLL GP	GROUP	\N	4051	23	\N	9999-12-31	2013-05-08
34/4-10 R	4066.000000	4186.000000	COOK FM	FORMATION	DUNLIN GP	4051	24	29	9999-12-31	2013-05-08
34/4-10 R	4040.000000	4066.000000	DRAKE FM	FORMATION	DUNLIN GP	4051	27	29	9999-12-31	2013-05-08
34/4-10 R	3790.000000	3885.000000	DRAUPNE FM	FORMATION	VIKING GP	4051	28	188	9999-12-31	2013-05-08
34/4-10 R	4040.000000	4186.000000	DUNLIN GP	GROUP	\N	4051	29	\N	9999-12-31	2013-05-08
34/4-10 R	3885.000000	3937.000000	HEATHER FM	FORMATION	VIKING GP	4051	60	188	9999-12-31	2013-05-08
34/4-10 R	1249.000000	1741.000000	HORDALAND GP	GROUP	\N	4051	67	\N	9999-12-31	2013-05-08
34/4-10 R	1910.000000	2195.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4051	74	143	9999-12-31	2013-05-08
34/4-10 R	2195.000000	3323.000000	KYRRE FM	FORMATION	SHETLAND GP	4051	92	143	9999-12-31	2013-05-08
34/4-10 R	1780.000000	1910.000000	LISTA FM	FORMATION	ROGALAND GP	4051	95	131	9999-12-31	2013-05-08
34/4-10 R	3782.000000	3790.000000	MIME FM	FORMATION	CROMER KNOLL GP	4051	106	23	9999-12-31	2013-05-08
34/4-10 R	381.000000	1249.000000	NORDLAND GP	GROUP	\N	4051	113	\N	9999-12-31	2013-05-08
34/4-10 R	1741.000000	1910.000000	ROGALAND GP	GROUP	\N	4051	131	\N	9999-12-31	2013-05-08
34/4-10 R	3773.000000	3782.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4051	137	23	9999-12-31	2013-05-08
34/4-10 R	1910.000000	3773.000000	SHETLAND GP	GROUP	\N	4051	143	\N	9999-12-31	2013-05-08
34/4-10 R	4186.000000	4246.000000	STATFJORD FM	FORMATION	\N	4051	157	\N	9999-12-31	2013-05-08
34/4-10 R	3323.000000	3773.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4051	173	143	9999-12-31	2013-05-08
34/4-10 R	3937.000000	4040.000000	UNDIFFERENTIATED	FORMATION	\N	4051	182	\N	9999-12-31	2013-05-08
34/4-10 R	1116.000000	1249.000000	UTSIRA FM	FORMATION	NORDLAND GP	4051	183	113	9999-12-31	2013-05-08
34/4-10 R	3790.000000	3937.000000	VIKING GP	GROUP	\N	4051	188	\N	9999-12-31	2013-05-08
34/4-10 R	4186.000000	4246.000000	NO GROUP DEFINED	GROUP	\N	4051	208	\N	9999-12-31	2013-05-08
30/3-9	1968.000000	2045.000000	BALDER FM	FORMATION	ROGALAND GP	4053	6	131	9999-12-31	2013-05-08
30/3-9	3460.000000	3469.000000	BLODØKS FM	FORMATION	SHETLAND GP	4053	13	143	9999-12-31	2013-05-08
30/3-9	3815.000000	3923.000000	BRENT GP	GROUP	\N	4053	16	\N	9999-12-31	2013-05-08
30/3-9	3619.000000	3718.000000	CROMER KNOLL GP	GROUP	\N	4053	23	\N	9999-12-31	2013-05-08
30/3-9	3923.000000	4015.000000	DRAKE FM	FORMATION	DUNLIN GP	4053	27	29	9999-12-31	2013-05-08
30/3-9	3718.000000	3735.000000	DRAUPNE FM	FORMATION	VIKING GP	4053	28	188	9999-12-31	2013-05-08
30/3-9	3923.000000	4015.000000	DUNLIN GP	GROUP	\N	4053	29	\N	9999-12-31	2013-05-08
30/3-9	1613.000000	1641.000000	GRID FM	FORMATION	HORDALAND GP	4053	53	67	9999-12-31	2013-05-08
30/3-9	3735.000000	3815.000000	HEATHER FM	FORMATION	VIKING GP	4053	60	188	9999-12-31	2013-05-08
30/3-9	930.000000	1968.000000	HORDALAND GP	GROUP	\N	4053	67	\N	9999-12-31	2013-05-08
30/3-9	2228.000000	2550.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4053	74	143	9999-12-31	2013-05-08
30/3-9	2550.000000	3236.000000	KYRRE FM	FORMATION	SHETLAND GP	4053	92	143	9999-12-31	2013-05-08
30/3-9	2065.000000	2228.000000	LISTA FM	FORMATION	ROGALAND GP	4053	95	131	9999-12-31	2013-05-08
30/3-9	3815.000000	3904.000000	NESS FM	FORMATION	BRENT GP	4053	110	16	9999-12-31	2013-05-08
30/3-9	1641.000000	1968.000000	NO FORMAL NAME	FORMATION	\N	4053	111	\N	9999-12-31	2013-05-08
30/3-9	141.000000	930.000000	NORDLAND GP	GROUP	\N	4053	113	\N	9999-12-31	2013-05-08
30/3-9	3904.000000	3923.000000	OSEBERG FM	FORMATION	BRENT GP	4053	123	16	9999-12-31	2013-05-08
30/3-9	1968.000000	2228.000000	ROGALAND GP	GROUP	\N	4053	131	\N	9999-12-31	2013-05-08
30/3-9	3619.000000	3632.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4053	137	23	9999-12-31	2013-05-08
30/3-9	2045.000000	2065.000000	SELE FM	FORMATION	ROGALAND GP	4053	142	131	9999-12-31	2013-05-08
30/3-9	2228.000000	3619.000000	SHETLAND GP	GROUP	\N	4053	143	\N	9999-12-31	2013-05-08
30/3-9	3632.000000	3637.000000	SOLA FM	FORMATION	CROMER KNOLL GP	4053	152	23	9999-12-31	2013-05-08
30/3-9	3469.000000	3619.000000	SVARTE FM	FORMATION	SHETLAND GP	4053	160	143	9999-12-31	2013-05-08
30/3-9	3236.000000	3460.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4053	173	143	9999-12-31	2013-05-08
30/3-9	747.000000	930.000000	UTSIRA FM	FORMATION	NORDLAND GP	4053	183	113	9999-12-31	2013-05-08
30/3-9	3718.000000	3815.000000	VIKING GP	GROUP	\N	4053	188	\N	9999-12-31	2013-05-08
30/3-9	3637.000000	3718.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4053	198	23	9999-12-31	2013-05-08
35/11-12	1727.000000	1781.000000	BALDER FM	FORMATION	ROGALAND GP	4054	6	131	9999-12-31	2013-05-08
35/11-12	2745.000000	2891.000000	CROMER KNOLL GP	GROUP	\N	4054	23	\N	9999-12-31	2013-05-08
35/11-12	2891.000000	3130.000000	DRAUPNE FM	FORMATION	VIKING GP	4054	28	188	9999-12-31	2013-05-08
35/11-12	3208.000000	3213.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	4054	59	188	9999-12-31	2013-05-08
35/11-12	3130.000000	3208.000000	HEATHER FM	FORMATION	VIKING GP	4054	60	188	9999-12-31	2013-05-08
35/11-12	3213.000000	3378.000000	HEATHER FM	FORMATION	VIKING GP	4054	60	188	9999-12-31	2013-05-08
35/11-12	896.000000	1727.000000	HORDALAND GP	GROUP	\N	4054	67	\N	9999-12-31	2013-05-08
35/11-12	2019.000000	2095.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4054	74	143	9999-12-31	2013-05-08
35/11-12	2095.000000	2719.000000	KYRRE FM	FORMATION	SHETLAND GP	4054	92	143	9999-12-31	2013-05-08
35/11-12	1803.000000	1986.000000	LISTA FM	FORMATION	ROGALAND GP	4054	95	131	9999-12-31	2013-05-08
35/11-12	2798.000000	2808.000000	MIME FM	FORMATION	CROMER KNOLL GP	4054	106	23	9999-12-31	2013-05-08
35/11-12	2878.000000	2891.000000	MIME FM	FORMATION	CROMER KNOLL GP	4054	106	23	9999-12-31	2013-05-08
35/11-12	388.000000	896.000000	NORDLAND GP	GROUP	\N	4054	113	\N	9999-12-31	2013-05-08
35/11-12	1727.000000	2019.000000	ROGALAND GP	GROUP	\N	4054	131	\N	9999-12-31	2013-05-08
35/11-12	2745.000000	2786.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4054	137	23	9999-12-31	2013-05-08
35/11-12	1781.000000	1803.000000	SELE FM	FORMATION	ROGALAND GP	4054	142	131	9999-12-31	2013-05-08
35/11-12	2019.000000	2745.000000	SHETLAND GP	GROUP	\N	4054	143	\N	9999-12-31	2013-05-08
35/11-12	2786.000000	2798.000000	SOLA FM	FORMATION	CROMER KNOLL GP	4054	152	23	9999-12-31	2013-05-08
35/11-12	2719.000000	2745.000000	SVARTE FM	FORMATION	SHETLAND GP	4054	160	143	9999-12-31	2013-05-08
35/11-12	769.000000	896.000000	UTSIRA FM	FORMATION	NORDLAND GP	4054	183	113	9999-12-31	2013-05-08
35/11-12	2891.000000	3378.000000	VIKING GP	GROUP	\N	4054	188	\N	9999-12-31	2013-05-08
35/11-12	1986.000000	2019.000000	VÅLE FM	FORMATION	ROGALAND GP	4054	190	131	9999-12-31	2013-05-08
35/11-12	2808.000000	2878.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4054	198	23	9999-12-31	2013-05-08
15/3-7	2164.000000	2230.000000	BALDER FM	FORMATION	ROGALAND GP	4055	6	131	9999-12-31	2013-05-08
15/3-7	3654.000000	3668.000000	BLODØKS FM	FORMATION	SHETLAND GP	4055	13	143	9999-12-31	2013-05-08
15/3-7	3752.000000	4049.000000	CROMER KNOLL GP	GROUP	\N	4055	23	\N	9999-12-31	2013-05-08
15/3-7	4218.000000	4230.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	4055	26	188	9999-12-31	2013-05-08
15/3-7	4330.000000	4398.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	4055	26	188	9999-12-31	2013-05-08
15/3-7	4049.000000	4218.000000	DRAUPNE FM	FORMATION	VIKING GP	4055	28	188	9999-12-31	2013-05-08
15/3-7	4230.000000	4330.000000	DRAUPNE FM	FORMATION	VIKING GP	4055	28	188	9999-12-31	2013-05-08
15/3-7	4398.000000	4502.000000	DRAUPNE FM	FORMATION	VIKING GP	4055	28	188	9999-12-31	2013-05-08
15/3-7	1476.000000	1850.000000	GRID FM	FORMATION	HORDALAND GP	4055	53	67	9999-12-31	2013-05-08
15/3-7	4502.000000	4607.000000	HEATHER FM	FORMATION	VIKING GP	4055	60	188	9999-12-31	2013-05-08
15/3-7	2309.000000	2589.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4055	62	131	9999-12-31	2013-05-08
15/3-7	668.000000	2164.000000	HORDALAND GP	GROUP	\N	4055	67	\N	9999-12-31	2013-05-08
15/3-7	4607.000000	4793.000000	HUGIN FM	FORMATION	VESTLAND GP	4055	69	186	9999-12-31	2013-05-08
15/3-7	2696.000000	3117.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4055	74	143	9999-12-31	2013-05-08
15/3-7	3117.000000	3327.000000	KYRRE FM	FORMATION	SHETLAND GP	4055	92	143	9999-12-31	2013-05-08
15/3-7	2280.000000	2309.000000	LISTA FM	FORMATION	ROGALAND GP	4055	95	131	9999-12-31	2013-05-08
15/3-7	1150.000000	1476.000000	NO FORMAL NAME	FORMATION	\N	4055	111	\N	9999-12-31	2013-05-08
15/3-7	1850.000000	2164.000000	NO FORMAL NAME	FORMATION	\N	4055	111	\N	9999-12-31	2013-05-08
15/3-7	127.000000	668.000000	NORDLAND GP	GROUP	\N	4055	113	\N	9999-12-31	2013-05-08
15/3-7	2164.000000	2696.000000	ROGALAND GP	GROUP	\N	4055	131	\N	9999-12-31	2013-05-08
15/3-7	3752.000000	3867.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4055	137	23	9999-12-31	2013-05-08
15/3-7	2230.000000	2280.000000	SELE FM	FORMATION	ROGALAND GP	4055	142	131	9999-12-31	2013-05-08
15/3-7	2696.000000	3752.000000	SHETLAND GP	GROUP	\N	4055	143	\N	9999-12-31	2013-05-08
15/3-7	1048.000000	1150.000000	SKADE FM	FORMATION	HORDALAND GP	4055	145	67	9999-12-31	2013-05-08
15/3-7	4793.000000	4818.000000	SLEIPNER FM	FORMATION	VESTLAND GP	4055	148	186	9999-12-31	2013-05-08
15/3-7	3867.000000	3895.000000	SOLA FM	FORMATION	CROMER KNOLL GP	4055	152	23	9999-12-31	2013-05-08
15/3-7	3668.000000	3752.000000	SVARTE FM	FORMATION	SHETLAND GP	4055	160	143	9999-12-31	2013-05-08
15/3-7	3327.000000	3654.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4055	173	143	9999-12-31	2013-05-08
15/3-7	2589.000000	2682.000000	TY FM	FORMATION	ROGALAND GP	4055	176	131	9999-12-31	2013-05-08
15/3-7	655.000000	668.000000	UTSIRA FM	FORMATION	NORDLAND GP	4055	183	113	9999-12-31	2013-05-08
15/3-7	4607.000000	4818.000000	VESTLAND GP	GROUP	\N	4055	186	\N	9999-12-31	2013-05-08
15/3-7	4049.000000	4607.000000	VIKING GP	GROUP	\N	4055	188	\N	9999-12-31	2013-05-08
15/3-7	2682.000000	2696.000000	VÅLE FM	FORMATION	ROGALAND GP	4055	190	131	9999-12-31	2013-05-08
15/3-7	3895.000000	4049.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4055	198	23	9999-12-31	2013-05-08
6507/5-3	1858.000000	2048.000000	BRYGGE FM	FORMATION	HORDALAND GP	4059	18	67	9999-12-31	2013-05-08
6507/5-3	2838.000000	3000.000000	CROMER KNOLL GP	GROUP	\N	4059	23	\N	9999-12-31	2013-05-08
6507/5-3	1858.000000	2048.000000	HORDALAND GP	GROUP	\N	4059	67	\N	9999-12-31	2013-05-08
6507/5-3	1440.000000	1858.000000	KAI FM	FORMATION	NORDLAND GP	4059	77	113	9999-12-31	2013-05-08
6507/5-3	2596.000000	2838.000000	KVITNOS FM	FORMATION	SHETLAND GP	4059	91	143	9999-12-31	2013-05-08
6507/5-3	2893.000000	3000.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4059	94	23	9999-12-31	2013-05-08
6507/5-3	2838.000000	2893.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4059	99	23	9999-12-31	2013-05-08
6507/5-3	454.000000	1440.000000	NAUST FM	FORMATION	NORDLAND GP	4059	109	113	9999-12-31	2013-05-08
6507/5-3	2255.000000	2596.000000	NISE FM	FORMATION	SHETLAND GP	4059	112	143	9999-12-31	2013-05-08
6507/5-3	454.000000	1858.000000	NORDLAND GP	GROUP	\N	4059	113	\N	9999-12-31	2013-05-08
6507/5-3	2048.000000	2142.000000	ROGALAND GP	GROUP	\N	4059	131	\N	9999-12-31	2013-05-08
6507/5-3	2142.000000	2838.000000	SHETLAND GP	GROUP	\N	4059	143	\N	9999-12-31	2013-05-08
6507/5-3	2103.000000	2142.000000	TANG FM	FORMATION	ROGALAND GP	4059	161	131	9999-12-31	2013-05-08
6406/2-2 R	1859.000000	2410.000000	BRYGGE FM	FORMATION	HORDALAND GP	4078	18	67	9999-12-31	2013-05-08
6406/2-2 R	4750.000000	5361.000000	BÅT GP	GROUP	\N	4078	22	\N	9999-12-31	2013-05-08
6406/2-2 R	3439.000000	4369.000000	CROMER KNOLL GP	GROUP	\N	4078	23	\N	9999-12-31	2013-05-08
6406/2-2 R	4455.000000	4750.000000	FANGST GP	GROUP	\N	4078	38	\N	9999-12-31	2013-05-08
6406/2-2 R	4455.000000	4570.000000	GARN FM	FORMATION	FANGST GP	4078	48	38	9999-12-31	2013-05-08
6406/2-2 R	1859.000000	2410.000000	HORDALAND GP	GROUP	\N	4078	67	\N	9999-12-31	2013-05-08
6406/2-2 R	4617.000000	4750.000000	ILE FM	FORMATION	FANGST GP	4078	70	38	9999-12-31	2013-05-08
6406/2-2 R	1555.000000	1859.000000	KAI FM	FORMATION	NORDLAND GP	4078	77	113	9999-12-31	2013-05-08
6406/2-2 R	2876.000000	3439.000000	KVITNOS FM	FORMATION	SHETLAND GP	4078	91	143	9999-12-31	2013-05-08
6406/2-2 R	3453.000000	4348.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4078	94	23	9999-12-31	2013-05-08
6406/2-2 R	4348.000000	4369.000000	LYR FM	FORMATION	CROMER KNOLL GP	4078	98	23	9999-12-31	2013-05-08
6406/2-2 R	3439.000000	3453.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4078	99	23	9999-12-31	2013-05-08
6406/2-2 R	4383.000000	4455.000000	MELKE FM	FORMATION	VIKING GP	4078	105	188	9999-12-31	2013-05-08
6406/2-2 R	290.000000	1555.000000	NAUST FM	FORMATION	NORDLAND GP	4078	109	113	9999-12-31	2013-05-08
6406/2-2 R	2677.000000	2876.000000	NISE FM	FORMATION	SHETLAND GP	4078	112	143	9999-12-31	2013-05-08
6406/2-2 R	290.000000	1859.000000	NORDLAND GP	GROUP	\N	4078	113	\N	9999-12-31	2013-05-08
6406/2-2 R	4570.000000	4617.000000	NOT FM	FORMATION	FANGST GP	4078	120	38	9999-12-31	2013-05-08
6406/2-2 R	2410.000000	2534.000000	ROGALAND GP	GROUP	\N	4078	131	\N	9999-12-31	2013-05-08
6406/2-2 R	4750.000000	4861.000000	ROR FM	FORMATION	BÅT GP	4078	135	22	9999-12-31	2013-05-08
6406/2-2 R	4922.000000	4972.000000	ROR FM	FORMATION	BÅT GP	4078	135	22	9999-12-31	2013-05-08
6406/2-2 R	2534.000000	3439.000000	SHETLAND GP	GROUP	\N	4078	143	\N	9999-12-31	2013-05-08
6406/2-2 R	4369.000000	4383.000000	SPEKK FM	FORMATION	VIKING GP	4078	155	188	9999-12-31	2013-05-08
6406/2-2 R	2534.000000	2677.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4078	156	143	9999-12-31	2013-05-08
6406/2-2 R	2475.000000	2534.000000	TANG FM	FORMATION	ROGALAND GP	4078	161	131	9999-12-31	2013-05-08
6406/2-2 R	2410.000000	2475.000000	TARE FM	FORMATION	ROGALAND GP	4078	163	131	9999-12-31	2013-05-08
6406/2-2 R	4972.000000	5285.000000	TILJE FM	FORMATION	BÅT GP	4078	169	22	9999-12-31	2013-05-08
6406/2-2 R	4861.000000	4922.000000	TOFTE FM	FORMATION	BÅT GP	4078	170	22	9999-12-31	2013-05-08
6406/2-2 R	4369.000000	4455.000000	VIKING GP	GROUP	\N	4078	188	\N	9999-12-31	2013-05-08
6406/2-2 R	5285.000000	5361.000000	ÅRE FM	FORMATION	BÅT GP	4078	197	22	9999-12-31	2013-05-08
6406/2-6 A	1979.000000	2509.000000	BRYGGE FM	FORMATION	HORDALAND GP	4094	18	67	9999-12-31	2013-05-08
6406/2-6 A	5092.000000	5251.000000	BÅT GP	GROUP	\N	4094	22	\N	9999-12-31	2013-05-08
6406/2-6 A	3622.000000	4747.000000	CROMER KNOLL GP	GROUP	\N	4094	23	\N	9999-12-31	2013-05-08
6406/2-6 A	4826.000000	5092.000000	FANGST GP	GROUP	\N	4094	38	\N	9999-12-31	2013-05-08
6406/2-6 A	4826.000000	4918.000000	GARN FM	FORMATION	FANGST GP	4094	48	38	9999-12-31	2013-05-08
6406/2-6 A	1979.000000	2509.000000	HORDALAND GP	GROUP	\N	4094	67	\N	9999-12-31	2013-05-08
6406/2-6 A	4997.000000	5092.000000	ILE FM	FORMATION	FANGST GP	4094	70	38	9999-12-31	2013-05-08
6406/2-6 A	1587.000000	1979.000000	KAI FM	FORMATION	NORDLAND GP	4094	77	113	9999-12-31	2013-05-08
6406/2-6 A	2914.000000	3622.000000	KVITNOS FM	FORMATION	SHETLAND GP	4094	91	143	9999-12-31	2013-05-08
6406/2-6 A	3640.000000	4735.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4094	94	23	9999-12-31	2013-05-08
6406/2-6 A	4735.000000	4747.000000	LYR FM	FORMATION	CROMER KNOLL GP	4094	98	23	9999-12-31	2013-05-08
6406/2-6 A	3622.000000	3640.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4094	99	23	9999-12-31	2013-05-08
6406/2-6 A	4749.000000	4826.000000	MELKE FM	FORMATION	VIKING GP	4094	105	188	9999-12-31	2013-05-08
6406/2-6 A	326.000000	1587.000000	NAUST FM	FORMATION	NORDLAND GP	4094	109	113	9999-12-31	2013-05-08
6406/2-6 A	2747.000000	2914.000000	NISE FM	FORMATION	SHETLAND GP	4094	112	143	9999-12-31	2013-05-08
6406/2-6 A	326.000000	1979.000000	NORDLAND GP	GROUP	\N	4094	113	\N	9999-12-31	2013-05-08
6406/2-6 A	4918.000000	4997.000000	NOT FM	FORMATION	FANGST GP	4094	120	38	9999-12-31	2013-05-08
6406/2-6 A	2509.000000	2637.000000	ROGALAND GP	GROUP	\N	4094	131	\N	9999-12-31	2013-05-08
6406/2-6 A	5092.000000	5104.000000	ROR FM	FORMATION	BÅT GP	4094	135	22	9999-12-31	2013-05-08
6406/2-6 A	2637.000000	3622.000000	SHETLAND GP	GROUP	\N	4094	143	\N	9999-12-31	2013-05-08
6406/2-6 A	4747.000000	4749.000000	SPEKK FM	FORMATION	VIKING GP	4094	155	188	9999-12-31	2013-05-08
6406/2-6 A	2637.000000	2747.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4094	156	143	9999-12-31	2013-05-08
6406/2-6 A	2578.000000	2637.000000	TANG FM	FORMATION	ROGALAND GP	4094	161	131	9999-12-31	2013-05-08
6406/2-6 A	2509.000000	2578.000000	TARE FM	FORMATION	ROGALAND GP	4094	163	131	9999-12-31	2013-05-08
6406/2-6 A	5104.000000	5251.000000	TOFTE FM	FORMATION	BÅT GP	4094	170	22	9999-12-31	2013-05-08
6406/2-6 A	4747.000000	4826.000000	VIKING GP	GROUP	\N	4094	188	\N	9999-12-31	2013-05-08
6406/2-6 R	1979.000000	2509.000000	BRYGGE FM	FORMATION	HORDALAND GP	4108	18	67	9999-12-31	2013-05-08
6406/2-6 R	4719.000000	5263.000000	BÅT GP	GROUP	\N	4108	22	\N	9999-12-31	2013-05-08
6406/2-6 R	3516.000000	4433.000000	CROMER KNOLL GP	GROUP	\N	4108	23	\N	9999-12-31	2013-05-08
6406/2-6 R	4481.000000	4719.000000	FANGST GP	GROUP	\N	4108	38	\N	9999-12-31	2013-05-08
6406/2-6 R	4481.000000	4574.000000	GARN FM	FORMATION	FANGST GP	4108	48	38	9999-12-31	2013-05-08
6406/2-6 R	1979.000000	2509.000000	HORDALAND GP	GROUP	\N	4108	67	\N	9999-12-31	2013-05-08
6406/2-6 R	4618.000000	4719.000000	ILE FM	FORMATION	FANGST GP	4108	70	38	9999-12-31	2013-05-08
6406/2-6 R	1587.000000	1979.000000	KAI FM	FORMATION	NORDLAND GP	4108	77	113	9999-12-31	2013-05-08
6406/2-6 R	2903.000000	3516.000000	KVITNOS FM	FORMATION	SHETLAND GP	4108	91	143	9999-12-31	2013-05-08
6406/2-6 R	3533.000000	4423.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4108	94	23	9999-12-31	2013-05-08
6406/2-6 R	4423.000000	4433.000000	LYR FM	FORMATION	CROMER KNOLL GP	4108	98	23	9999-12-31	2013-05-08
6406/2-6 R	3516.000000	3533.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4108	99	23	9999-12-31	2013-05-08
6406/2-6 R	4434.000000	4481.000000	MELKE FM	FORMATION	VIKING GP	4108	105	188	9999-12-31	2013-05-08
6406/2-6 R	326.000000	1587.000000	NAUST FM	FORMATION	NORDLAND GP	4108	109	113	9999-12-31	2013-05-08
6406/2-6 R	2747.000000	2903.000000	NISE FM	FORMATION	SHETLAND GP	4108	112	143	9999-12-31	2013-05-08
6406/2-6 R	326.000000	1979.000000	NORDLAND GP	GROUP	\N	4108	113	\N	9999-12-31	2013-05-08
6406/2-6 R	4574.000000	4618.000000	NOT FM	FORMATION	FANGST GP	4108	120	38	9999-12-31	2013-05-08
6406/2-6 R	2509.000000	2637.000000	ROGALAND GP	GROUP	\N	4108	131	\N	9999-12-31	2013-05-08
6406/2-6 R	4719.000000	4726.000000	ROR FM	FORMATION	BÅT GP	4108	135	22	9999-12-31	2013-05-08
6406/2-6 R	2637.000000	3516.000000	SHETLAND GP	GROUP	\N	4108	143	\N	9999-12-31	2013-05-08
6406/2-6 R	4433.000000	4434.000000	SPEKK FM	FORMATION	VIKING GP	4108	155	188	9999-12-31	2013-05-08
6406/2-6 R	2637.000000	2747.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4108	156	143	9999-12-31	2013-05-08
6406/2-6 R	2578.000000	2637.000000	TANG FM	FORMATION	ROGALAND GP	4108	161	131	9999-12-31	2013-05-08
6406/2-6 R	2509.000000	2578.000000	TARE FM	FORMATION	ROGALAND GP	4108	163	131	9999-12-31	2013-05-08
6406/2-6 R	4966.000000	5205.000000	TILJE FM	FORMATION	BÅT GP	4108	169	22	9999-12-31	2013-05-08
6406/2-6 R	4726.000000	4966.000000	TOFTE FM	FORMATION	BÅT GP	4108	170	22	9999-12-31	2013-05-08
6406/2-6 R	4433.000000	4481.000000	VIKING GP	GROUP	\N	4108	188	\N	9999-12-31	2013-05-08
6406/2-6 R	5205.000000	5263.000000	ÅRE FM	FORMATION	BÅT GP	4108	197	22	9999-12-31	2013-05-08
6305/8-1	1745.000000	2508.000000	BRYGGE FM	FORMATION	HORDALAND GP	4109	18	67	9999-12-31	2013-05-08
6305/8-1	2898.000000	2976.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	4109	31	131	9999-12-31	2013-05-08
6305/8-1	1745.000000	2508.000000	HORDALAND GP	GROUP	\N	4109	67	\N	9999-12-31	2013-05-08
6305/8-1	1590.000000	1745.000000	KAI FM	FORMATION	NORDLAND GP	4109	77	113	9999-12-31	2013-05-08
6305/8-1	862.000000	1590.000000	NAUST FM	FORMATION	NORDLAND GP	4109	109	113	9999-12-31	2013-05-08
6305/8-1	3132.000000	3175.000000	NISE FM	FORMATION	SHETLAND GP	4109	112	143	9999-12-31	2013-05-08
6305/8-1	862.000000	1745.000000	NORDLAND GP	GROUP	\N	4109	113	\N	9999-12-31	2013-05-08
6305/8-1	2508.000000	2976.000000	ROGALAND GP	GROUP	\N	4109	131	\N	9999-12-31	2013-05-08
6305/8-1	2976.000000	3175.000000	SHETLAND GP	GROUP	\N	4109	143	\N	9999-12-31	2013-05-08
6305/8-1	2976.000000	3132.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4109	156	143	9999-12-31	2013-05-08
6305/8-1	2596.000000	2898.000000	TANG FM	FORMATION	ROGALAND GP	4109	161	131	9999-12-31	2013-05-08
6305/8-1	2508.000000	2596.000000	TARE FM	FORMATION	ROGALAND GP	4109	163	131	9999-12-31	2013-05-08
3/6-1	1931.000000	1957.000000	BALDER FM	FORMATION	ROGALAND GP	4117	6	131	9999-12-31	2013-05-08
3/6-1	2092.000000	2167.000000	EKOFISK FM	FORMATION	SHETLAND GP	4117	33	143	9999-12-31	2013-05-08
3/6-1	2002.000000	2033.000000	FISKEBANK FM	FORMATION	ROGALAND GP	4117	41	131	9999-12-31	2013-05-08
3/6-1	791.000000	1931.000000	HORDALAND GP	GROUP	\N	4117	67	\N	9999-12-31	2013-05-08
3/6-1	2033.000000	2051.000000	LISTA FM	FORMATION	ROGALAND GP	4117	95	131	9999-12-31	2013-05-08
3/6-1	1081.000000	1093.000000	NO FORMAL NAME	FORMATION	\N	4117	111	\N	9999-12-31	2013-05-08
3/6-1	1093.000000	1116.000000	NO FORMAL NAME	FORMATION	\N	4117	111	\N	9999-12-31	2013-05-08
3/6-1	1116.000000	1129.000000	NO FORMAL NAME	FORMATION	\N	4117	111	\N	9999-12-31	2013-05-08
3/6-1	1129.000000	1530.000000	NO FORMAL NAME	FORMATION	\N	4117	111	\N	9999-12-31	2013-05-08
3/6-1	1639.000000	1931.000000	NO FORMAL NAME	FORMATION	\N	4117	111	\N	9999-12-31	2013-05-08
3/6-1	2051.000000	2092.000000	NO FORMAL NAME	FORMATION	\N	4117	111	\N	9999-12-31	2013-05-08
3/6-1	98.000000	791.000000	NORDLAND GP	GROUP	\N	4117	113	\N	9999-12-31	2013-05-08
3/6-1	1931.000000	2092.000000	ROGALAND GP	GROUP	\N	4117	131	\N	9999-12-31	2013-05-08
3/6-1	1957.000000	2002.000000	SELE FM	FORMATION	ROGALAND GP	4117	142	131	9999-12-31	2013-05-08
3/6-1	2092.000000	2167.000000	SHETLAND GP	GROUP	\N	4117	143	\N	9999-12-31	2013-05-08
3/6-1	1530.000000	1639.000000	VADE FM	FORMATION	HORDALAND GP	4117	184	67	9999-12-31	2013-05-08
6506/6-1	1872.000000	1935.000000	BRYGGE FM	FORMATION	HORDALAND GP	4122	18	67	9999-12-31	2013-05-08
6506/6-1	5095.000000	5491.000000	BÅT GP	GROUP	\N	4122	22	\N	9999-12-31	2013-05-08
6506/6-1	3015.000000	4353.000000	CROMER KNOLL GP	GROUP	\N	4122	23	\N	9999-12-31	2013-05-08
6506/6-1	4961.000000	5095.000000	FANGST GP	GROUP	\N	4122	38	\N	9999-12-31	2013-05-08
6506/6-1	4961.000000	5015.000000	GARN FM	FORMATION	FANGST GP	4122	48	38	9999-12-31	2013-05-08
6506/6-1	1872.000000	1935.000000	HORDALAND GP	GROUP	\N	4122	67	\N	9999-12-31	2013-05-08
6506/6-1	5033.000000	5095.000000	ILE FM	FORMATION	FANGST GP	4122	70	38	9999-12-31	2013-05-08
6506/6-1	2477.000000	3015.000000	KVITNOS FM	FORMATION	SHETLAND GP	4122	91	143	9999-12-31	2013-05-08
6506/6-1	3086.000000	4328.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4122	94	23	9999-12-31	2013-05-08
6506/6-1	4328.000000	4353.000000	LYR FM	FORMATION	CROMER KNOLL GP	4122	98	23	9999-12-31	2013-05-08
6506/6-1	3015.000000	3086.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4122	99	23	9999-12-31	2013-05-08
6506/6-1	4458.000000	4961.000000	MELKE FM	FORMATION	VIKING GP	4122	105	188	9999-12-31	2013-05-08
6506/6-1	452.000000	1872.000000	NAUST FM	FORMATION	NORDLAND GP	4122	109	113	9999-12-31	2013-05-08
6506/6-1	2221.000000	2477.000000	NISE FM	FORMATION	SHETLAND GP	4122	112	143	9999-12-31	2013-05-08
6506/6-1	452.000000	1872.000000	NORDLAND GP	GROUP	\N	4122	113	\N	9999-12-31	2013-05-08
6506/6-1	5015.000000	5033.000000	NOT FM	FORMATION	FANGST GP	4122	120	38	9999-12-31	2013-05-08
6506/6-1	1935.000000	2071.000000	ROGALAND GP	GROUP	\N	4122	131	\N	9999-12-31	2013-05-08
6506/6-1	5095.000000	5165.000000	ROR FM	FORMATION	BÅT GP	4122	135	22	9999-12-31	2013-05-08
6506/6-1	2071.000000	3015.000000	SHETLAND GP	GROUP	\N	4122	143	\N	9999-12-31	2013-05-08
6506/6-1	4353.000000	4458.000000	SPEKK FM	FORMATION	VIKING GP	4122	155	188	9999-12-31	2013-05-08
6506/6-1	2071.000000	2221.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4122	156	143	9999-12-31	2013-05-08
6506/6-1	2015.000000	2071.000000	TANG FM	FORMATION	ROGALAND GP	4122	161	131	9999-12-31	2013-05-08
6506/6-1	1935.000000	2015.000000	TARE FM	FORMATION	ROGALAND GP	4122	163	131	9999-12-31	2013-05-08
6506/6-1	5165.000000	5302.000000	TILJE FM	FORMATION	BÅT GP	4122	169	22	9999-12-31	2013-05-08
6506/6-1	4353.000000	4961.000000	VIKING GP	GROUP	\N	4122	188	\N	9999-12-31	2013-05-08
6506/6-1	5302.000000	5491.000000	ÅRE FM	FORMATION	BÅT GP	4122	197	22	9999-12-31	2013-05-08
31/5-6	1528.000000	1589.000000	BALDER FM	FORMATION	ROGALAND GP	4128	6	131	9999-12-31	2013-05-08
31/5-6	2215.000000	2336.000000	BRENT GP	GROUP	\N	4128	16	\N	9999-12-31	2013-05-08
31/5-6	2336.000000	2370.000000	DRAKE FM	FORMATION	DUNLIN GP	4128	27	29	9999-12-31	2013-05-08
31/5-6	1795.000000	1798.000000	DRAUPNE FM	FORMATION	VIKING GP	4128	28	188	9999-12-31	2013-05-08
31/5-6	2336.000000	2370.000000	DUNLIN GP	GROUP	\N	4128	29	\N	9999-12-31	2013-05-08
31/5-6	1955.000000	2056.000000	FENSFJORD FM	FORMATION	VIKING GP	4128	40	188	9999-12-31	2013-05-08
31/5-6	1862.000000	1955.000000	HEATHER FM	FORMATION	VIKING GP	4128	60	188	9999-12-31	2013-05-08
31/5-6	2112.000000	2215.000000	HEATHER FM	FORMATION	VIKING GP	4128	60	188	9999-12-31	2013-05-08
31/5-6	494.000000	1528.000000	HORDALAND GP	GROUP	\N	4128	67	\N	9999-12-31	2013-05-08
31/5-6	2056.000000	2112.000000	KROSSFJORD FM	FORMATION	VIKING GP	4128	87	188	9999-12-31	2013-05-08
31/5-6	1645.000000	1761.000000	LISTA FM	FORMATION	ROGALAND GP	4128	95	131	9999-12-31	2013-05-08
31/5-6	354.000000	494.000000	NORDLAND GP	GROUP	\N	4128	113	\N	9999-12-31	2013-05-08
31/5-6	1528.000000	1790.000000	ROGALAND GP	GROUP	\N	4128	131	\N	9999-12-31	2013-05-08
31/5-6	1589.000000	1645.000000	SELE FM	FORMATION	ROGALAND GP	4128	142	131	9999-12-31	2013-05-08
31/5-6	1790.000000	1795.000000	SHETLAND GP	GROUP	\N	4128	143	\N	9999-12-31	2013-05-08
31/5-6	1798.000000	1862.000000	SOGNEFJORD FM	FORMATION	VIKING GP	4128	151	188	9999-12-31	2013-05-08
31/5-6	1795.000000	2215.000000	VIKING GP	GROUP	\N	4128	188	\N	9999-12-31	2013-05-08
31/5-6	1761.000000	1790.000000	VÅLE FM	FORMATION	ROGALAND GP	4128	190	131	9999-12-31	2013-05-08
7216/11-1 S	385.000000	2397.000000	NORDLAND GP	GROUP	\N	4129	113	\N	9999-12-31	2013-05-08
7216/11-1 S	2397.000000	4239.000000	SOTBAKKEN GP	GROUP	\N	4129	154	\N	9999-12-31	2013-05-08
7216/11-1 S	2397.000000	4239.000000	TORSK FM	FORMATION	SOTBAKKEN GP	4129	172	154	9999-12-31	2013-05-08
25/7-6	1931.000000	2042.000000	BALDER FM	FORMATION	ROGALAND GP	4141	6	131	9999-12-31	2013-05-08
25/7-6	1203.000000	1305.000000	GRID FM	FORMATION	HORDALAND GP	4141	53	67	9999-12-31	2013-05-08
25/7-6	2150.000000	2250.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4141	62	131	9999-12-31	2013-05-08
25/7-6	2069.000000	2082.000000	HERMOD FM	FORMATION	ROGALAND GP	4141	64	131	9999-12-31	2013-05-08
25/7-6	717.000000	1931.000000	HORDALAND GP	GROUP	\N	4141	67	\N	9999-12-31	2013-05-08
25/7-6	2103.000000	2150.000000	LISTA FM	FORMATION	ROGALAND GP	4141	95	131	9999-12-31	2013-05-08
25/7-6	1305.000000	1931.000000	NO FORMAL NAME	FORMATION	\N	4141	111	\N	9999-12-31	2013-05-08
25/7-6	150.000000	717.000000	NORDLAND GP	GROUP	\N	4141	113	\N	9999-12-31	2013-05-08
25/7-6	1931.000000	2250.000000	ROGALAND GP	GROUP	\N	4141	131	\N	9999-12-31	2013-05-08
25/7-6	2042.000000	2069.000000	SELE FM	FORMATION	ROGALAND GP	4141	142	131	9999-12-31	2013-05-08
25/7-6	2082.000000	2103.000000	SELE FM	FORMATION	ROGALAND GP	4141	142	131	9999-12-31	2013-05-08
25/7-6	447.000000	717.000000	UTSIRA FM	FORMATION	NORDLAND GP	4141	183	113	9999-12-31	2013-05-08
33/9-20 S	2047.000000	2141.000000	BALDER FM	FORMATION	ROGALAND GP	4143	6	131	9999-12-31	2013-05-08
33/9-20 S	5390.000000	5502.000000	BRENT GP	GROUP	\N	4143	16	\N	9999-12-31	2013-05-08
33/9-20 S	5014.000000	5211.000000	CROMER KNOLL GP	GROUP	\N	4143	23	\N	9999-12-31	2013-05-08
33/9-20 S	5211.000000	5319.000000	DRAUPNE FM	FORMATION	VIKING GP	4143	28	188	9999-12-31	2013-05-08
33/9-20 S	5477.000000	5502.000000	ETIVE FM	FORMATION	BRENT GP	4143	35	16	9999-12-31	2013-05-08
33/9-20 S	5319.000000	5390.000000	HEATHER FM	FORMATION	VIKING GP	4143	60	188	9999-12-31	2013-05-08
33/9-20 S	2141.000000	2503.000000	LISTA FM	FORMATION	ROGALAND GP	4143	95	131	9999-12-31	2013-05-08
33/9-20 S	5169.000000	5211.000000	MIME FM	FORMATION	CROMER KNOLL GP	4143	106	23	9999-12-31	2013-05-08
33/9-20 S	5427.000000	5477.000000	NESS FM	FORMATION	BRENT GP	4143	110	16	9999-12-31	2013-05-08
33/9-20 S	212.000000	2047.000000	NORDLAND GP	GROUP	\N	4143	113	\N	9999-12-31	2013-05-08
33/9-20 S	2047.000000	2538.000000	ROGALAND GP	GROUP	\N	4143	131	\N	9999-12-31	2013-05-08
33/9-20 S	5014.000000	5029.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4143	137	23	9999-12-31	2013-05-08
33/9-20 S	2538.000000	5014.000000	SHETLAND GP	GROUP	\N	4143	143	\N	9999-12-31	2013-05-08
33/9-20 S	5029.000000	5102.000000	SOLA FM	FORMATION	CROMER KNOLL GP	4143	152	23	9999-12-31	2013-05-08
33/9-20 S	5390.000000	5427.000000	TARBERT FM	FORMATION	BRENT GP	4143	162	16	9999-12-31	2013-05-08
33/9-20 S	5211.000000	5390.000000	VIKING GP	GROUP	\N	4143	188	\N	9999-12-31	2013-05-08
33/9-20 S	2503.000000	2538.000000	VÅLE FM	FORMATION	ROGALAND GP	4143	190	131	9999-12-31	2013-05-08
33/9-20 S	5102.000000	5169.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4143	198	23	9999-12-31	2013-05-08
7019/1-1	1215.000000	2447.000000	ADVENTDALEN GP	GROUP	\N	4145	1	\N	9999-12-31	2013-05-08
7019/1-1	2377.000000	2447.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	4145	47	1	9999-12-31	2013-05-08
7019/1-1	2345.000000	2377.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	4145	63	1	9999-12-31	2013-05-08
7019/1-1	2447.000000	3003.000000	KAPP TOSCANA GP	GROUP	\N	4145	79	\N	9999-12-31	2013-05-08
7019/1-1	2127.000000	2345.000000	KNURR FM	FORMATION	ADVENTDALEN GP	4145	82	1	9999-12-31	2013-05-08
7019/1-1	1215.000000	2127.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	4145	85	1	9999-12-31	2013-05-08
7019/1-1	603.000000	1215.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	4145	89	122	9999-12-31	2013-05-08
7019/1-1	214.000000	448.000000	NORDLAND GP	GROUP	\N	4145	113	\N	9999-12-31	2013-05-08
7019/1-1	2610.000000	2862.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	4145	118	79	9999-12-31	2013-05-08
7019/1-1	603.000000	1215.000000	NYGRUNNEN GP	GROUP	\N	4145	122	\N	9999-12-31	2013-05-08
7019/1-1	448.000000	603.000000	SOTBAKKEN GP	GROUP	\N	4145	154	\N	9999-12-31	2013-05-08
7019/1-1	2447.000000	2610.000000	STØ FM	FORMATION	KAPP TOSCANA GP	4145	159	79	9999-12-31	2013-05-08
7019/1-1	448.000000	603.000000	TORSK FM	FORMATION	SOTBAKKEN GP	4145	172	154	9999-12-31	2013-05-08
7019/1-1	2862.000000	3003.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	4145	174	79	9999-12-31	2013-05-08
6407/7-6	1169.000000	1840.000000	BRYGGE FM	FORMATION	HORDALAND GP	4172	18	67	9999-12-31	2013-05-08
6407/7-6	3558.000000	3975.000000	BÅT GP	GROUP	\N	4172	22	\N	9999-12-31	2013-05-08
6407/7-6	2747.000000	3338.000000	CROMER KNOLL GP	GROUP	\N	4172	23	\N	9999-12-31	2013-05-08
6407/7-6	3407.000000	3558.000000	FANGST GP	GROUP	\N	4172	38	\N	9999-12-31	2013-05-08
6407/7-6	1169.000000	1840.000000	HORDALAND GP	GROUP	\N	4172	67	\N	9999-12-31	2013-05-08
6407/7-6	3448.000000	3558.000000	ILE FM	FORMATION	FANGST GP	4172	70	38	9999-12-31	2013-05-08
6407/7-6	2352.000000	2747.000000	KVITNOS FM	FORMATION	SHETLAND GP	4172	91	143	9999-12-31	2013-05-08
6407/7-6	2747.000000	3338.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4172	94	23	9999-12-31	2013-05-08
6407/7-6	3351.000000	3407.000000	MELKE FM	FORMATION	VIKING GP	4172	105	188	9999-12-31	2013-05-08
6407/7-6	362.000000	1169.000000	NAUST FM	FORMATION	NORDLAND GP	4172	109	113	9999-12-31	2013-05-08
6407/7-6	2142.000000	2352.000000	NISE FM	FORMATION	SHETLAND GP	4172	112	143	9999-12-31	2013-05-08
6407/7-6	362.000000	1169.000000	NORDLAND GP	GROUP	\N	4172	113	\N	9999-12-31	2013-05-08
6407/7-6	3407.000000	3448.000000	NOT FM	FORMATION	FANGST GP	4172	120	38	9999-12-31	2013-05-08
6407/7-6	1840.000000	2105.000000	ROGALAND GP	GROUP	\N	4172	131	\N	9999-12-31	2013-05-08
6407/7-6	3558.000000	3684.000000	ROR FM	FORMATION	BÅT GP	4172	135	22	9999-12-31	2013-05-08
6407/7-6	2105.000000	2747.000000	SHETLAND GP	GROUP	\N	4172	143	\N	9999-12-31	2013-05-08
6407/7-6	3338.000000	3351.000000	SPEKK FM	FORMATION	VIKING GP	4172	155	188	9999-12-31	2013-05-08
6407/7-6	2105.000000	2142.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4172	156	143	9999-12-31	2013-05-08
6407/7-6	1922.000000	2105.000000	TANG FM	FORMATION	ROGALAND GP	4172	161	131	9999-12-31	2013-05-08
6407/7-6	1840.000000	1922.000000	TARE FM	FORMATION	ROGALAND GP	4172	163	131	9999-12-31	2013-05-08
6407/7-6	3684.000000	3882.000000	TILJE FM	FORMATION	BÅT GP	4172	169	22	9999-12-31	2013-05-08
6407/7-6	3338.000000	3407.000000	VIKING GP	GROUP	\N	4172	188	\N	9999-12-31	2013-05-08
6407/7-6	3882.000000	3975.000000	ÅRE FM	FORMATION	BÅT GP	4172	197	22	9999-12-31	2013-05-08
7122/7-1	635.000000	1102.000000	ADVENTDALEN GP	GROUP	\N	4173	1	\N	9999-12-31	2013-05-08
7122/7-1	1125.000000	1202.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	4173	46	79	9999-12-31	2013-05-08
7122/7-1	1088.000000	1102.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	4173	47	1	9999-12-31	2013-05-08
7122/7-1	1022.000000	1088.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	4173	63	1	9999-12-31	2013-05-08
7122/7-1	1102.000000	1524.000000	KAPP TOSCANA GP	GROUP	\N	4173	79	\N	9999-12-31	2013-05-08
7122/7-1	984.000000	1022.000000	KNURR FM	FORMATION	ADVENTDALEN GP	4173	82	1	9999-12-31	2013-05-08
7122/7-1	635.000000	984.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	4173	85	1	9999-12-31	2013-05-08
7122/7-1	586.000000	635.000000	KVITING FM	FORMATION	NYGRUNNEN GP	4173	90	122	9999-12-31	2013-05-08
7122/7-1	405.000000	473.000000	NORDLAND GP	GROUP	\N	4173	113	\N	9999-12-31	2013-05-08
7122/7-1	586.000000	635.000000	NYGRUNNEN GP	GROUP	\N	4173	122	\N	9999-12-31	2013-05-08
7122/7-1	1202.000000	1524.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	4173	150	79	9999-12-31	2013-05-08
7122/7-1	473.000000	586.000000	SOTBAKKEN GP	GROUP	\N	4173	154	\N	9999-12-31	2013-05-08
7122/7-1	473.000000	586.000000	TORSK FM	FORMATION	SOTBAKKEN GP	4173	172	154	9999-12-31	2013-05-08
7122/7-1	1102.000000	1125.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	4173	174	79	9999-12-31	2013-05-08
6608/11-2	1408.000000	1526.000000	BRYGGE FM	FORMATION	HORDALAND GP	4189	18	67	9999-12-31	2013-05-08
6608/11-2	1736.000000	2064.000000	BÅT GP	GROUP	\N	4189	22	\N	9999-12-31	2013-05-08
6608/11-2	1583.000000	1614.000000	CROMER KNOLL GP	GROUP	\N	4189	23	\N	9999-12-31	2013-05-08
6608/11-2	1705.000000	1736.000000	FANGST GP	GROUP	\N	4189	38	\N	9999-12-31	2013-05-08
6608/11-2	2064.000000	2215.000000	GREY BEDS (INFORMAL)	GROUP	\N	4189	52	\N	9999-12-31	2013-05-08
6608/11-2	1408.000000	1526.000000	HORDALAND GP	GROUP	\N	4189	67	\N	9999-12-31	2013-05-08
6608/11-2	1334.000000	1408.000000	KAI FM	FORMATION	NORDLAND GP	4189	77	113	9999-12-31	2013-05-08
6608/11-2	1583.000000	1614.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4189	94	23	9999-12-31	2013-05-08
6608/11-2	1614.000000	1705.000000	MELKE FM	FORMATION	VIKING GP	4189	105	188	9999-12-31	2013-05-08
6608/11-2	387.000000	1334.000000	NAUST FM	FORMATION	NORDLAND GP	4189	109	113	9999-12-31	2013-05-08
6608/11-2	387.000000	1408.000000	NORDLAND GP	GROUP	\N	4189	113	\N	9999-12-31	2013-05-08
6608/11-2	1705.000000	1736.000000	NOT FM	FORMATION	FANGST GP	4189	120	38	9999-12-31	2013-05-08
6608/11-2	1526.000000	1583.000000	ROGALAND GP	GROUP	\N	4189	131	\N	9999-12-31	2013-05-08
6608/11-2	1526.000000	1583.000000	TARE FM	FORMATION	ROGALAND GP	4189	163	131	9999-12-31	2013-05-08
6608/11-2	1614.000000	1705.000000	VIKING GP	GROUP	\N	4189	188	\N	9999-12-31	2013-05-08
6608/11-2	1736.000000	2064.000000	ÅRE FM	FORMATION	BÅT GP	4189	197	22	9999-12-31	2013-05-08
16/4-3	2075.000000	2132.000000	BALDER FM	FORMATION	ROGALAND GP	4194	6	131	9999-12-31	2013-05-08
16/4-3	2412.000000	2425.000000	EKOFISK FM	FORMATION	SHETLAND GP	4194	33	143	9999-12-31	2013-05-08
16/4-3	1823.000000	1880.000000	GRID FM	FORMATION	HORDALAND GP	4194	53	67	9999-12-31	2013-05-08
16/4-3	2277.000000	2282.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4194	62	131	9999-12-31	2013-05-08
16/4-3	2334.000000	2412.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4194	62	131	9999-12-31	2013-05-08
16/4-3	2196.000000	2197.000000	HERMOD FM	FORMATION	ROGALAND GP	4194	64	131	9999-12-31	2013-05-08
16/4-3	2207.000000	2208.000000	HERMOD FM	FORMATION	ROGALAND GP	4194	64	131	9999-12-31	2013-05-08
16/4-3	1032.000000	2075.000000	HORDALAND GP	GROUP	\N	4194	67	\N	9999-12-31	2013-05-08
16/4-3	2245.000000	2277.000000	LISTA FM	FORMATION	ROGALAND GP	4194	95	131	9999-12-31	2013-05-08
16/4-3	2282.000000	2334.000000	LISTA FM	FORMATION	ROGALAND GP	4194	95	131	9999-12-31	2013-05-08
16/4-3	1349.000000	1823.000000	NO FORMAL NAME	FORMATION	\N	4194	111	\N	9999-12-31	2013-05-08
16/4-3	1880.000000	2075.000000	NO FORMAL NAME	FORMATION	\N	4194	111	\N	9999-12-31	2013-05-08
16/4-3	131.000000	1032.000000	NORDLAND GP	GROUP	\N	4194	113	\N	9999-12-31	2013-05-08
16/4-3	2075.000000	2412.000000	ROGALAND GP	GROUP	\N	4194	131	\N	9999-12-31	2013-05-08
16/4-3	2132.000000	2196.000000	SELE FM	FORMATION	ROGALAND GP	4194	142	131	9999-12-31	2013-05-08
16/4-3	2197.000000	2207.000000	SELE FM	FORMATION	ROGALAND GP	4194	142	131	9999-12-31	2013-05-08
16/4-3	2208.000000	2245.000000	SELE FM	FORMATION	ROGALAND GP	4194	142	131	9999-12-31	2013-05-08
16/4-3	2412.000000	2425.000000	SHETLAND GP	GROUP	\N	4194	143	\N	9999-12-31	2013-05-08
16/4-3	1176.000000	1349.000000	SKADE FM	FORMATION	HORDALAND GP	4194	145	67	9999-12-31	2013-05-08
16/4-3	745.000000	1032.000000	UTSIRA FM	FORMATION	NORDLAND GP	4194	183	113	9999-12-31	2013-05-08
6507/5-4	1819.000000	2002.000000	BRYGGE FM	FORMATION	HORDALAND GP	4209	18	67	9999-12-31	2013-05-08
6507/5-4	3632.000000	3812.000000	BÅT GP	GROUP	\N	4209	22	\N	9999-12-31	2013-05-08
6507/5-4	2788.000000	3371.000000	CROMER KNOLL GP	GROUP	\N	4209	23	\N	9999-12-31	2013-05-08
6507/5-4	3513.000000	3632.000000	FANGST GP	GROUP	\N	4209	38	\N	9999-12-31	2013-05-08
6507/5-4	3513.000000	3581.000000	GARN FM	FORMATION	FANGST GP	4209	48	38	9999-12-31	2013-05-08
6507/5-4	1819.000000	2002.000000	HORDALAND GP	GROUP	\N	4209	67	\N	9999-12-31	2013-05-08
6507/5-4	3609.000000	3632.000000	ILE FM	FORMATION	FANGST GP	4209	70	38	9999-12-31	2013-05-08
6507/5-4	1398.000000	1819.000000	KAI FM	FORMATION	NORDLAND GP	4209	77	113	9999-12-31	2013-05-08
6507/5-4	2576.000000	2788.000000	KVITNOS FM	FORMATION	SHETLAND GP	4209	91	143	9999-12-31	2013-05-08
6507/5-4	2793.000000	3364.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4209	94	23	9999-12-31	2013-05-08
6507/5-4	3364.000000	3371.000000	LYR FM	FORMATION	CROMER KNOLL GP	4209	98	23	9999-12-31	2013-05-08
6507/5-4	2788.000000	2793.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4209	99	23	9999-12-31	2013-05-08
6507/5-4	3371.000000	3513.000000	MELKE FM	FORMATION	VIKING GP	4209	105	188	9999-12-31	2013-05-08
6507/5-4	446.000000	1398.000000	NAUST FM	FORMATION	NORDLAND GP	4209	109	113	9999-12-31	2013-05-08
6507/5-4	2186.000000	2576.000000	NISE FM	FORMATION	SHETLAND GP	4209	112	143	9999-12-31	2013-05-08
6507/5-4	446.000000	1819.000000	NORDLAND GP	GROUP	\N	4209	113	\N	9999-12-31	2013-05-08
6507/5-4	3581.000000	3609.000000	NOT FM	FORMATION	FANGST GP	4209	120	38	9999-12-31	2013-05-08
6507/5-4	2002.000000	2102.000000	ROGALAND GP	GROUP	\N	4209	131	\N	9999-12-31	2013-05-08
6507/5-4	3632.000000	3687.000000	ROR FM	FORMATION	BÅT GP	4209	135	22	9999-12-31	2013-05-08
6507/5-4	2102.000000	2788.000000	SHETLAND GP	GROUP	\N	4209	143	\N	9999-12-31	2013-05-08
6507/5-4	2102.000000	2186.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4209	156	143	9999-12-31	2013-05-08
6507/5-4	2047.000000	2102.000000	TANG FM	FORMATION	ROGALAND GP	4209	161	131	9999-12-31	2013-05-08
6507/5-4	2002.000000	2047.000000	TARE FM	FORMATION	ROGALAND GP	4209	163	131	9999-12-31	2013-05-08
6507/5-4	3687.000000	3774.000000	TILJE FM	FORMATION	BÅT GP	4209	169	22	9999-12-31	2013-05-08
6507/5-4	3371.000000	3513.000000	VIKING GP	GROUP	\N	4209	188	\N	9999-12-31	2013-05-08
6507/5-4	3774.000000	3812.000000	ÅRE FM	FORMATION	BÅT GP	4209	197	22	9999-12-31	2013-05-08
6507/7-13	1842.000000	1990.000000	BRYGGE FM	FORMATION	HORDALAND GP	4213	18	67	9999-12-31	2013-05-08
6507/7-13	2391.000000	2623.000000	BÅT GP	GROUP	\N	4213	22	\N	9999-12-31	2013-05-08
6507/7-13	1842.000000	1990.000000	HORDALAND GP	GROUP	\N	4213	67	\N	9999-12-31	2013-05-08
6507/7-13	1485.000000	1842.000000	KAI FM	FORMATION	NORDLAND GP	4213	77	113	9999-12-31	2013-05-08
6507/7-13	2256.000000	2391.000000	KVITNOS FM	FORMATION	SHETLAND GP	4213	91	143	9999-12-31	2013-05-08
6507/7-13	404.000000	1485.000000	NAUST FM	FORMATION	NORDLAND GP	4213	109	113	9999-12-31	2013-05-08
6507/7-13	2146.000000	2256.000000	NISE FM	FORMATION	SHETLAND GP	4213	112	143	9999-12-31	2013-05-08
6507/7-13	404.000000	1842.000000	NORDLAND GP	GROUP	\N	4213	113	\N	9999-12-31	2013-05-08
6507/7-13	1990.000000	2080.000000	ROGALAND GP	GROUP	\N	4213	131	\N	9999-12-31	2013-05-08
6507/7-13	2080.000000	2391.000000	SHETLAND GP	GROUP	\N	4213	143	\N	9999-12-31	2013-05-08
6507/7-13	2080.000000	2146.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4213	156	143	9999-12-31	2013-05-08
6507/7-13	2020.000000	2080.000000	TANG FM	FORMATION	ROGALAND GP	4213	161	131	9999-12-31	2013-05-08
6507/7-13	1990.000000	2020.000000	TARE FM	FORMATION	ROGALAND GP	4213	163	131	9999-12-31	2013-05-08
6507/7-13	2391.000000	2623.000000	ÅRE FM	FORMATION	BÅT GP	4213	197	22	9999-12-31	2013-05-08
34/7-31	1700.000000	1738.000000	BALDER FM	FORMATION	ROGALAND GP	4214	6	131	9999-12-31	2013-05-08
34/7-31	2602.000000	2650.000000	BRENT GP	GROUP	\N	4214	16	\N	9999-12-31	2013-05-08
34/7-31	2458.000000	2470.000000	CROMER KNOLL GP	GROUP	\N	4214	23	\N	9999-12-31	2013-05-08
34/7-31	2470.000000	2506.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	4214	26	188	9999-12-31	2013-05-08
34/7-31	2506.000000	2520.000000	DRAUPNE FM	FORMATION	VIKING GP	4214	28	188	9999-12-31	2013-05-08
34/7-31	2520.000000	2602.000000	HEATHER FM	FORMATION	VIKING GP	4214	60	188	9999-12-31	2013-05-08
34/7-31	1062.000000	1700.000000	HORDALAND GP	GROUP	\N	4214	67	\N	9999-12-31	2013-05-08
34/7-31	1891.000000	2160.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4214	74	143	9999-12-31	2013-05-08
34/7-31	2160.000000	2458.000000	KYRRE FM	FORMATION	SHETLAND GP	4214	92	143	9999-12-31	2013-05-08
34/7-31	1738.000000	1891.000000	LISTA FM	FORMATION	ROGALAND GP	4214	95	131	9999-12-31	2013-05-08
34/7-31	2460.000000	2470.000000	MIME FM	FORMATION	CROMER KNOLL GP	4214	106	23	9999-12-31	2013-05-08
34/7-31	1268.000000	1301.000000	NO FORMAL NAME	FORMATION	\N	4214	111	\N	9999-12-31	2013-05-08
34/7-31	1301.000000	1470.000000	NO FORMAL NAME	FORMATION	\N	4214	111	\N	9999-12-31	2013-05-08
34/7-31	1470.000000	1482.000000	NO FORMAL NAME	FORMATION	\N	4214	111	\N	9999-12-31	2013-05-08
34/7-31	1482.000000	1700.000000	NO FORMAL NAME	FORMATION	\N	4214	111	\N	9999-12-31	2013-05-08
34/7-31	233.000000	1062.000000	NORDLAND GP	GROUP	\N	4214	113	\N	9999-12-31	2013-05-08
34/7-31	1700.000000	1891.000000	ROGALAND GP	GROUP	\N	4214	131	\N	9999-12-31	2013-05-08
34/7-31	2458.000000	2460.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4214	137	23	9999-12-31	2013-05-08
34/7-31	1891.000000	2458.000000	SHETLAND GP	GROUP	\N	4214	143	\N	9999-12-31	2013-05-08
34/7-31	2602.000000	2650.000000	TARBERT FM	FORMATION	BRENT GP	4214	162	16	9999-12-31	2013-05-08
34/7-31	924.000000	1062.000000	UTSIRA FM	FORMATION	NORDLAND GP	4214	183	113	9999-12-31	2013-05-08
34/7-31	2470.000000	2602.000000	VIKING GP	GROUP	\N	4214	188	\N	9999-12-31	2013-05-08
6608/10-6 R	1527.000000	1585.000000	BRYGGE FM	FORMATION	HORDALAND GP	4217	18	67	9999-12-31	2013-05-08
6608/10-6 R	1873.000000	2115.000000	BÅT GP	GROUP	\N	4217	22	\N	9999-12-31	2013-05-08
6608/10-6 R	1717.000000	1794.000000	CROMER KNOLL GP	GROUP	\N	4217	23	\N	9999-12-31	2013-05-08
6608/10-6 R	1859.000000	1873.000000	FANGST GP	GROUP	\N	4217	38	\N	9999-12-31	2013-05-08
6608/10-6 R	1527.000000	1585.000000	HORDALAND GP	GROUP	\N	4217	67	\N	9999-12-31	2013-05-08
6608/10-6 R	1382.000000	1527.000000	KAI FM	FORMATION	NORDLAND GP	4217	77	113	9999-12-31	2013-05-08
6608/10-6 R	1717.000000	1794.000000	LYR FM	FORMATION	CROMER KNOLL GP	4217	98	23	9999-12-31	2013-05-08
6608/10-6 R	1814.000000	1850.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	4217	104	188	9999-12-31	2013-05-08
6608/10-6 R	1794.000000	1814.000000	MELKE FM	FORMATION	VIKING GP	4217	105	188	9999-12-31	2013-05-08
6608/10-6 R	1850.000000	1859.000000	MELKE FM	FORMATION	VIKING GP	4217	105	188	9999-12-31	2013-05-08
6608/10-6 R	414.000000	1527.000000	NORDLAND GP	GROUP	\N	4217	113	\N	9999-12-31	2013-05-08
6608/10-6 R	1859.000000	1873.000000	NOT FM	FORMATION	FANGST GP	4217	120	38	9999-12-31	2013-05-08
6608/10-6 R	1585.000000	1700.000000	ROGALAND GP	GROUP	\N	4217	131	\N	9999-12-31	2013-05-08
6608/10-6 R	1700.000000	1717.000000	SHETLAND GP	GROUP	\N	4217	143	\N	9999-12-31	2013-05-08
6608/10-6 R	1700.000000	1717.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4217	156	143	9999-12-31	2013-05-08
6608/10-6 R	1678.000000	1700.000000	TANG FM	FORMATION	ROGALAND GP	4217	161	131	9999-12-31	2013-05-08
6608/10-6 R	1585.000000	1678.000000	TARE FM	FORMATION	ROGALAND GP	4217	163	131	9999-12-31	2013-05-08
6608/10-6 R	1794.000000	1859.000000	VIKING GP	GROUP	\N	4217	188	\N	9999-12-31	2013-05-08
6608/10-6 R	1873.000000	2115.000000	ÅRE FM	FORMATION	BÅT GP	4217	197	22	9999-12-31	2013-05-08
7121/5-3	865.000000	1880.000000	ADVENTDALEN GP	GROUP	\N	4244	1	\N	9999-12-31	2013-05-08
7121/5-3	2034.000000	2223.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	4244	46	79	9999-12-31	2013-05-08
7121/5-3	1832.000000	1880.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	4244	63	1	9999-12-31	2013-05-08
7121/5-3	1880.000000	2265.000000	KAPP TOSCANA GP	GROUP	\N	4244	79	\N	9999-12-31	2013-05-08
7121/5-3	1790.000000	1832.000000	KNURR FM	FORMATION	ADVENTDALEN GP	4244	82	1	9999-12-31	2013-05-08
7121/5-3	1625.000000	1790.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	4244	84	1	9999-12-31	2013-05-08
7121/5-3	865.000000	1625.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	4244	85	1	9999-12-31	2013-05-08
7121/5-3	844.000000	865.000000	KVITING FM	FORMATION	NYGRUNNEN GP	4244	90	122	9999-12-31	2013-05-08
7121/5-3	369.000000	412.000000	NORDLAND GP	GROUP	\N	4244	113	\N	9999-12-31	2013-05-08
7121/5-3	1928.000000	1984.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	4244	118	79	9999-12-31	2013-05-08
7121/5-3	844.000000	865.000000	NYGRUNNEN GP	GROUP	\N	4244	122	\N	9999-12-31	2013-05-08
7121/5-3	2223.000000	2265.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	4244	150	79	9999-12-31	2013-05-08
7121/5-3	412.000000	844.000000	SOTBAKKEN GP	GROUP	\N	4244	154	\N	9999-12-31	2013-05-08
7121/5-3	1880.000000	1928.000000	STØ FM	FORMATION	KAPP TOSCANA GP	4244	159	79	9999-12-31	2013-05-08
7121/5-3	412.000000	844.000000	TORSK FM	FORMATION	SOTBAKKEN GP	4244	172	154	9999-12-31	2013-05-08
7121/5-3	1984.000000	2034.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	4244	174	79	9999-12-31	2013-05-08
34/10-43 S	3600.000000	3878.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	4247	4	29	9999-12-31	2013-05-08
34/10-43 S	1817.000000	1891.000000	BALDER FM	FORMATION	ROGALAND GP	4247	6	131	9999-12-31	2013-05-08
34/10-43 S	3204.000000	3345.000000	BRENT GP	GROUP	\N	4247	16	\N	9999-12-31	2013-05-08
34/10-43 S	3544.000000	3600.000000	BURTON FM	FORMATION	DUNLIN GP	4247	20	29	9999-12-31	2013-05-08
34/10-43 S	3163.000000	3175.000000	CROMER KNOLL GP	GROUP	\N	4247	23	\N	9999-12-31	2013-05-08
34/10-43 S	5675.000000	5725.000000	CROMER KNOLL GP	GROUP	\N	4247	23	\N	9999-12-31	2013-05-08
34/10-43 S	3434.000000	3544.000000	COOK FM	FORMATION	DUNLIN GP	4247	24	29	9999-12-31	2013-05-08
34/10-43 S	3345.000000	3434.000000	DRAKE FM	FORMATION	DUNLIN GP	4247	27	29	9999-12-31	2013-05-08
34/10-43 S	5360.000000	5675.000000	DRAUPNE FM	FORMATION	VIKING GP	4247	28	188	9999-12-31	2013-05-08
34/10-43 S	3345.000000	3878.000000	DUNLIN GP	GROUP	\N	4247	29	\N	9999-12-31	2013-05-08
34/10-43 S	3946.000000	4165.000000	EIRIKSSON MBR	MEMBER	STATFJORD FM	4247	32	157	9999-12-31	2013-05-08
34/10-43 S	3303.000000	3326.000000	ETIVE FM	FORMATION	BRENT GP	4247	35	16	9999-12-31	2013-05-08
34/10-43 S	3175.000000	3204.000000	HEATHER FM	FORMATION	VIKING GP	4247	60	188	9999-12-31	2013-05-08
34/10-43 S	4950.000000	5360.000000	HEATHER FM	FORMATION	VIKING GP	4247	60	188	9999-12-31	2013-05-08
34/10-43 S	4370.000000	4950.000000	HEGRE GP	GROUP	\N	4247	61	\N	9999-12-31	2013-05-08
34/10-43 S	997.000000	1817.000000	HORDALAND GP	GROUP	\N	4247	67	\N	9999-12-31	2013-05-08
34/10-43 S	1891.000000	2049.000000	LISTA FM	FORMATION	ROGALAND GP	4247	95	131	9999-12-31	2013-05-08
34/10-43 S	4370.000000	4950.000000	LUNDE FM	FORMATION	HEGRE GP	4247	97	61	9999-12-31	2013-05-08
34/10-43 S	3878.000000	3946.000000	NANSEN MBR	MEMBER	STATFJORD FM	4247	108	157	9999-12-31	2013-05-08
34/10-43 S	3204.000000	3303.000000	NESS FM	FORMATION	BRENT GP	4247	110	16	9999-12-31	2013-05-08
34/10-43 S	164.000000	997.000000	NORDLAND GP	GROUP	\N	4247	113	\N	9999-12-31	2013-05-08
34/10-43 S	3326.000000	3345.000000	RANNOCH FM	FORMATION	BRENT GP	4247	126	16	9999-12-31	2013-05-08
34/10-43 S	4165.000000	4370.000000	RAUDE MBR	MEMBER	STATFJORD FM	4247	127	157	9999-12-31	2013-05-08
34/10-43 S	1817.000000	2049.000000	ROGALAND GP	GROUP	\N	4247	131	\N	9999-12-31	2013-05-08
34/10-43 S	2049.000000	3163.000000	SHETLAND GP	GROUP	\N	4247	143	\N	9999-12-31	2013-05-08
34/10-43 S	3878.000000	4370.000000	STATFJORD FM	FORMATION	\N	4247	157	\N	9999-12-31	2013-05-08
34/10-43 S	866.000000	997.000000	UTSIRA FM	FORMATION	NORDLAND GP	4247	183	113	9999-12-31	2013-05-08
34/10-43 S	3175.000000	3204.000000	VIKING GP	GROUP	\N	4247	188	\N	9999-12-31	2013-05-08
34/10-43 S	4950.000000	5675.000000	VIKING GP	GROUP	\N	4247	188	\N	9999-12-31	2013-05-08
34/10-43 S	3878.000000	4370.000000	NO GROUP DEFINED	GROUP	\N	4247	208	\N	9999-12-31	2013-05-08
7228/7-1 A	334.000000	1361.000000	ADVENTDALEN GP	GROUP	\N	4257	1	\N	9999-12-31	2013-05-08
7228/7-1 A	1494.000000	1642.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	4257	46	79	9999-12-31	2013-05-08
7228/7-1 A	1347.000000	1361.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	4257	47	1	9999-12-31	2013-05-08
7228/7-1 A	1314.000000	1347.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	4257	63	1	9999-12-31	2013-05-08
7228/7-1 A	1361.000000	2255.000000	KAPP TOSCANA GP	GROUP	\N	4257	79	\N	9999-12-31	2013-05-08
7228/7-1 A	2741.000000	2881.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	4257	80	140	9999-12-31	2013-05-08
7228/7-1 A	1300.000000	1314.000000	KNURR FM	FORMATION	ADVENTDALEN GP	4257	82	1	9999-12-31	2013-05-08
7228/7-1 A	2255.000000	2741.000000	KOBBE FM	FORMATION	SASSENDALEN GP	4257	83	140	9999-12-31	2013-05-08
7228/7-1 A	334.000000	1300.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	4257	85	1	9999-12-31	2013-05-08
7228/7-1 A	311.000000	334.000000	NORDLAND GP	GROUP	\N	4257	113	\N	9999-12-31	2013-05-08
7228/7-1 A	1379.000000	1399.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	4257	118	79	9999-12-31	2013-05-08
7228/7-1 A	2255.000000	2881.000000	SASSENDALEN GP	GROUP	\N	4257	140	\N	9999-12-31	2013-05-08
7228/7-1 A	1642.000000	2255.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	4257	150	79	9999-12-31	2013-05-08
7228/7-1 A	1361.000000	1379.000000	STØ FM	FORMATION	KAPP TOSCANA GP	4257	159	79	9999-12-31	2013-05-08
7228/7-1 A	1399.000000	1494.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	4257	174	79	9999-12-31	2013-05-08
7228/7-1 B	334.000000	1361.000000	ADVENTDALEN GP	GROUP	\N	4261	1	\N	9999-12-31	2013-05-08
7228/7-1 B	1494.000000	1642.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	4261	46	79	9999-12-31	2013-05-08
7228/7-1 B	1347.000000	1361.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	4261	47	1	9999-12-31	2013-05-08
7228/7-1 B	1314.000000	1347.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	4261	63	1	9999-12-31	2013-05-08
7228/7-1 B	1361.000000	2227.000000	KAPP TOSCANA GP	GROUP	\N	4261	79	\N	9999-12-31	2013-05-08
7228/7-1 B	1300.000000	1314.000000	KNURR FM	FORMATION	ADVENTDALEN GP	4261	82	1	9999-12-31	2013-05-08
7228/7-1 B	334.000000	1300.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	4261	85	1	9999-12-31	2013-05-08
7228/7-1 B	311.000000	334.000000	NORDLAND GP	GROUP	\N	4261	113	\N	9999-12-31	2013-05-08
7228/7-1 B	1379.000000	1399.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	4261	118	79	9999-12-31	2013-05-08
7228/7-1 B	1642.000000	2227.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	4261	150	79	9999-12-31	2013-05-08
7228/7-1 B	1361.000000	1379.000000	STØ FM	FORMATION	KAPP TOSCANA GP	4261	159	79	9999-12-31	2013-05-08
7228/7-1 B	1399.000000	1494.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	4261	174	79	9999-12-31	2013-05-08
6406/1-1	2005.000000	2408.000000	BRYGGE FM	FORMATION	HORDALAND GP	4262	18	67	9999-12-31	2013-05-08
6406/1-1	4666.000000	5057.000000	BÅT GP	GROUP	\N	4262	22	\N	9999-12-31	2013-05-08
6406/1-1	3523.000000	4666.000000	CROMER KNOLL GP	GROUP	\N	4262	23	\N	9999-12-31	2013-05-08
6406/1-1	2005.000000	2408.000000	HORDALAND GP	GROUP	\N	4262	67	\N	9999-12-31	2013-05-08
6406/1-1	1592.000000	2005.000000	KAI FM	FORMATION	NORDLAND GP	4262	77	113	9999-12-31	2013-05-08
6406/1-1	2891.000000	3523.000000	KVITNOS FM	FORMATION	SHETLAND GP	4262	91	143	9999-12-31	2013-05-08
6406/1-1	3541.000000	3594.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4262	94	23	9999-12-31	2013-05-08
6406/1-1	3659.000000	4407.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4262	94	23	9999-12-31	2013-05-08
6406/1-1	4599.000000	4666.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4262	94	23	9999-12-31	2013-05-08
6406/1-1	3523.000000	3541.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4262	99	23	9999-12-31	2013-05-08
6406/1-1	369.000000	1592.000000	NAUST FM	FORMATION	NORDLAND GP	4262	109	113	9999-12-31	2013-05-08
6406/1-1	3594.000000	3659.000000	NO FORMAL NAME	FORMATION	\N	4262	111	\N	9999-12-31	2013-05-08
6406/1-1	4407.000000	4599.000000	NO FORMAL NAME	FORMATION	\N	4262	111	\N	9999-12-31	2013-05-08
6406/1-1	2719.000000	2891.000000	NISE FM	FORMATION	SHETLAND GP	4262	112	143	9999-12-31	2013-05-08
6406/1-1	369.000000	2005.000000	NORDLAND GP	GROUP	\N	4262	113	\N	9999-12-31	2013-05-08
6406/1-1	2408.000000	2530.000000	ROGALAND GP	GROUP	\N	4262	131	\N	9999-12-31	2013-05-08
6406/1-1	2530.000000	3523.000000	SHETLAND GP	GROUP	\N	4262	143	\N	9999-12-31	2013-05-08
6406/1-1	2530.000000	2719.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4262	156	143	9999-12-31	2013-05-08
6406/1-1	2473.000000	2530.000000	TANG FM	FORMATION	ROGALAND GP	4262	161	131	9999-12-31	2013-05-08
6406/1-1	2408.000000	2473.000000	TARE FM	FORMATION	ROGALAND GP	4262	163	131	9999-12-31	2013-05-08
6406/1-1	4806.000000	4996.000000	TILJE FM	FORMATION	BÅT GP	4262	169	22	9999-12-31	2013-05-08
6406/1-1	4666.000000	4806.000000	TOFTE FM	FORMATION	BÅT GP	4262	170	22	9999-12-31	2013-05-08
6406/1-1	4996.000000	5057.000000	ÅRE FM	FORMATION	BÅT GP	4262	197	22	9999-12-31	2013-05-08
6608/10-7	1529.000000	1602.000000	BRYGGE FM	FORMATION	HORDALAND GP	4273	18	67	9999-12-31	2013-05-08
6608/10-7	2018.000000	2319.000000	BÅT GP	GROUP	\N	4273	22	\N	9999-12-31	2013-05-08
6608/10-7	1803.000000	1902.000000	CROMER KNOLL GP	GROUP	\N	4273	23	\N	9999-12-31	2013-05-08
6608/10-7	2007.000000	2018.000000	FANGST GP	GROUP	\N	4273	38	\N	9999-12-31	2013-05-08
6608/10-7	1529.000000	1602.000000	HORDALAND GP	GROUP	\N	4273	67	\N	9999-12-31	2013-05-08
6608/10-7	1409.000000	1529.000000	KAI FM	FORMATION	NORDLAND GP	4273	77	113	9999-12-31	2013-05-08
6608/10-7	1803.000000	1902.000000	LYR FM	FORMATION	CROMER KNOLL GP	4273	98	23	9999-12-31	2013-05-08
6608/10-7	1948.000000	2007.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	4273	104	188	9999-12-31	2013-05-08
6608/10-7	1902.000000	1948.000000	MELKE FM	FORMATION	VIKING GP	4273	105	188	9999-12-31	2013-05-08
6608/10-7	408.000000	1409.000000	NAUST FM	FORMATION	NORDLAND GP	4273	109	113	9999-12-31	2013-05-08
6608/10-7	408.000000	1529.000000	NORDLAND GP	GROUP	\N	4273	113	\N	9999-12-31	2013-05-08
6608/10-7	2007.000000	2018.000000	NOT FM	FORMATION	FANGST GP	4273	120	38	9999-12-31	2013-05-08
6608/10-7	1602.000000	1763.000000	ROGALAND GP	GROUP	\N	4273	131	\N	9999-12-31	2013-05-08
6608/10-7	1763.000000	1803.000000	SHETLAND GP	GROUP	\N	4273	143	\N	9999-12-31	2013-05-08
6608/10-7	1763.000000	1803.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4273	156	143	9999-12-31	2013-05-08
6608/10-7	1745.000000	1763.000000	TANG FM	FORMATION	ROGALAND GP	4273	161	131	9999-12-31	2013-05-08
6608/10-7	1602.000000	1745.000000	TARE FM	FORMATION	ROGALAND GP	4273	163	131	9999-12-31	2013-05-08
6608/10-7	1902.000000	2007.000000	VIKING GP	GROUP	\N	4273	188	\N	9999-12-31	2013-05-08
6608/10-7	2018.000000	2319.000000	ÅRE FM	FORMATION	BÅT GP	4273	197	22	9999-12-31	2013-05-08
6507/7-13 A	1842.000000	1990.000000	BRYGGE FM	FORMATION	HORDALAND GP	4275	18	67	9999-12-31	2013-05-08
6507/7-13 A	2390.000000	2522.000000	BÅT GP	GROUP	\N	4275	22	\N	9999-12-31	2013-05-08
6507/7-13 A	1842.000000	1990.000000	HORDALAND GP	GROUP	\N	4275	67	\N	9999-12-31	2013-05-08
6507/7-13 A	1485.000000	1842.000000	KAI FM	FORMATION	NORDLAND GP	4275	77	113	9999-12-31	2013-05-08
6507/7-13 A	404.000000	1485.000000	NAUST FM	FORMATION	NORDLAND GP	4275	109	113	9999-12-31	2013-05-08
6507/7-13 A	404.000000	1842.000000	NORDLAND GP	GROUP	\N	4275	113	\N	9999-12-31	2013-05-08
6507/7-13 A	1990.000000	2080.000000	ROGALAND GP	GROUP	\N	4275	131	\N	9999-12-31	2013-05-08
6507/7-13 A	2080.000000	2390.000000	SHETLAND GP	GROUP	\N	4275	143	\N	9999-12-31	2013-05-08
6507/7-13 A	2020.000000	2080.000000	TANG FM	FORMATION	ROGALAND GP	4275	161	131	9999-12-31	2013-05-08
6507/7-13 A	1990.000000	2020.000000	TARE FM	FORMATION	ROGALAND GP	4275	163	131	9999-12-31	2013-05-08
6507/7-13 A	2390.000000	2522.000000	ÅRE FM	FORMATION	BÅT GP	4275	197	22	9999-12-31	2013-05-08
25/4-9 S	2150.000000	2167.000000	BALDER FM	FORMATION	ROGALAND GP	4278	6	131	9999-12-31	2013-05-08
25/4-9 S	2236.000000	2377.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4278	62	131	9999-12-31	2013-05-08
25/4-9 S	958.000000	1346.000000	HORDALAND GP	GROUP	\N	4278	67	\N	9999-12-31	2013-05-08
25/4-9 S	1346.000000	2150.000000	HORDALAND GP	GROUP	\N	4278	67	\N	9999-12-31	2013-05-08
25/4-9 S	2194.000000	2236.000000	LISTA FM	FORMATION	ROGALAND GP	4278	95	131	9999-12-31	2013-05-08
25/4-9 S	149.000000	958.000000	NORDLAND GP	GROUP	\N	4278	113	\N	9999-12-31	2013-05-08
25/4-9 S	2150.000000	2377.000000	ROGALAND GP	GROUP	\N	4278	131	\N	9999-12-31	2013-05-08
25/4-9 S	2167.000000	2194.000000	SELE FM	FORMATION	ROGALAND GP	4278	142	131	9999-12-31	2013-05-08
25/4-9 S	1158.000000	1346.000000	SKADE FM	FORMATION	HORDALAND GP	4278	145	67	9999-12-31	2013-05-08
25/4-9 S	460.000000	958.000000	UTSIRA FM	FORMATION	NORDLAND GP	4278	183	113	9999-12-31	2013-05-08
6305/9-1	1303.000000	1669.000000	BRYGGE FM	FORMATION	HORDALAND GP	4297	18	67	9999-12-31	2013-05-08
6305/9-1	2469.000000	2523.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	4297	31	131	9999-12-31	2013-05-08
6305/9-1	1303.000000	1669.000000	HORDALAND GP	GROUP	\N	4297	67	\N	9999-12-31	2013-05-08
6305/9-1	1074.000000	1303.000000	KAI FM	FORMATION	NORDLAND GP	4297	77	113	9999-12-31	2013-05-08
6305/9-1	211.000000	1074.000000	NAUST FM	FORMATION	NORDLAND GP	4297	109	113	9999-12-31	2013-05-08
6305/9-1	211.000000	1303.000000	NORDLAND GP	GROUP	\N	4297	113	\N	9999-12-31	2013-05-08
6305/9-1	1669.000000	2523.000000	ROGALAND GP	GROUP	\N	4297	131	\N	9999-12-31	2013-05-08
6305/9-1	2523.000000	2655.000000	SHETLAND GP	GROUP	\N	4297	143	\N	9999-12-31	2013-05-08
6305/9-1	2523.000000	2655.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4297	156	143	9999-12-31	2013-05-08
6305/9-1	1948.000000	2437.000000	TANG FM	FORMATION	ROGALAND GP	4297	161	131	9999-12-31	2013-05-08
6305/9-1	1669.000000	1948.000000	TARE FM	FORMATION	ROGALAND GP	4297	163	131	9999-12-31	2013-05-08
6305/9-1	2437.000000	2469.000000	VÅLE FM	FORMATION	ROGALAND GP	4297	190	131	9999-12-31	2013-05-08
34/7-31 A	1700.000000	1738.000000	BALDER FM	FORMATION	ROGALAND GP	4301	6	131	9999-12-31	2013-05-08
34/7-31 A	2815.000000	2830.000000	CROMER KNOLL GP	GROUP	\N	4301	23	\N	9999-12-31	2013-05-08
34/7-31 A	3386.000000	3395.000000	CROMER KNOLL GP	GROUP	\N	4301	23	\N	9999-12-31	2013-05-08
34/7-31 A	2830.000000	3090.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	4301	26	188	9999-12-31	2013-05-08
34/7-31 A	3090.000000	3105.000000	DRAUPNE FM	FORMATION	VIKING GP	4301	28	188	9999-12-31	2013-05-08
34/7-31 A	3105.000000	3386.000000	HEATHER FM	FORMATION	VIKING GP	4301	60	188	9999-12-31	2013-05-08
34/7-31 A	1062.000000	1700.000000	HORDALAND GP	GROUP	\N	4301	67	\N	9999-12-31	2013-05-08
34/7-31 A	1892.000000	2175.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4301	74	143	9999-12-31	2013-05-08
34/7-31 A	2175.000000	2815.000000	KYRRE FM	FORMATION	SHETLAND GP	4301	92	143	9999-12-31	2013-05-08
34/7-31 A	3395.000000	3454.000000	KYRRE FM	FORMATION	SHETLAND GP	4301	92	143	9999-12-31	2013-05-08
34/7-31 A	1738.000000	1892.000000	LISTA FM	FORMATION	ROGALAND GP	4301	95	131	9999-12-31	2013-05-08
34/7-31 A	2820.000000	2830.000000	MIME FM	FORMATION	CROMER KNOLL GP	4301	106	23	9999-12-31	2013-05-08
34/7-31 A	3386.000000	3393.000000	MIME FM	FORMATION	CROMER KNOLL GP	4301	106	23	9999-12-31	2013-05-08
34/7-31 A	1268.000000	1301.000000	NO FORMAL NAME	FORMATION	\N	4301	111	\N	9999-12-31	2013-05-08
34/7-31 A	1301.000000	1470.000000	NO FORMAL NAME	FORMATION	\N	4301	111	\N	9999-12-31	2013-05-08
34/7-31 A	1470.000000	1482.000000	NO FORMAL NAME	FORMATION	\N	4301	111	\N	9999-12-31	2013-05-08
34/7-31 A	1482.000000	1700.000000	NO FORMAL NAME	FORMATION	\N	4301	111	\N	9999-12-31	2013-05-08
34/7-31 A	233.000000	1062.000000	NORDLAND GP	GROUP	\N	4301	113	\N	9999-12-31	2013-05-08
34/7-31 A	1700.000000	1892.000000	ROGALAND GP	GROUP	\N	4301	131	\N	9999-12-31	2013-05-08
34/7-31 A	2815.000000	2820.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4301	137	23	9999-12-31	2013-05-08
34/7-31 A	3393.000000	3395.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4301	137	23	9999-12-31	2013-05-08
34/7-31 A	1892.000000	2815.000000	SHETLAND GP	GROUP	\N	4301	143	\N	9999-12-31	2013-05-08
34/7-31 A	3395.000000	3454.000000	SHETLAND GP	GROUP	\N	4301	143	\N	9999-12-31	2013-05-08
34/7-31 A	924.000000	1062.000000	UTSIRA FM	FORMATION	NORDLAND GP	4301	183	113	9999-12-31	2013-05-08
34/7-31 A	2830.000000	3386.000000	VIKING GP	GROUP	\N	4301	188	\N	9999-12-31	2013-05-08
6507/5-4 A	1823.000000	2016.000000	BRYGGE FM	FORMATION	HORDALAND GP	4306	18	67	9999-12-31	2013-05-08
6507/5-4 A	3847.000000	3883.000000	BÅT GP	GROUP	\N	4306	22	\N	9999-12-31	2013-05-08
6507/5-4 A	2842.000000	3474.000000	CROMER KNOLL GP	GROUP	\N	4306	23	\N	9999-12-31	2013-05-08
6507/5-4 A	3720.000000	3847.000000	FANGST GP	GROUP	\N	4306	38	\N	9999-12-31	2013-05-08
6507/5-4 A	3720.000000	3793.000000	GARN FM	FORMATION	FANGST GP	4306	48	38	9999-12-31	2013-05-08
6507/5-4 A	1823.000000	2016.000000	HORDALAND GP	GROUP	\N	4306	67	\N	9999-12-31	2013-05-08
6507/5-4 A	3821.000000	3847.000000	ILE FM	FORMATION	FANGST GP	4306	70	38	9999-12-31	2013-05-08
6507/5-4 A	1398.000000	1823.000000	KAI FM	FORMATION	NORDLAND GP	4306	77	113	9999-12-31	2013-05-08
6507/5-4 A	2626.000000	2842.000000	KVITNOS FM	FORMATION	SHETLAND GP	4306	91	143	9999-12-31	2013-05-08
6507/5-4 A	2848.000000	3461.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4306	94	23	9999-12-31	2013-05-08
6507/5-4 A	3461.000000	3474.000000	LYR FM	FORMATION	CROMER KNOLL GP	4306	98	23	9999-12-31	2013-05-08
6507/5-4 A	2842.000000	2848.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4306	99	23	9999-12-31	2013-05-08
6507/5-4 A	3491.000000	3720.000000	MELKE FM	FORMATION	VIKING GP	4306	105	188	9999-12-31	2013-05-08
6507/5-4 A	446.000000	1398.000000	NAUST FM	FORMATION	NORDLAND GP	4306	109	113	9999-12-31	2013-05-08
6507/5-4 A	2125.000000	2626.000000	NISE FM	FORMATION	SHETLAND GP	4306	112	143	9999-12-31	2013-05-08
6507/5-4 A	446.000000	1823.000000	NORDLAND GP	GROUP	\N	4306	113	\N	9999-12-31	2013-05-08
6507/5-4 A	3793.000000	3821.000000	NOT FM	FORMATION	FANGST GP	4306	120	38	9999-12-31	2013-05-08
6507/5-4 A	2016.000000	2125.000000	ROGALAND GP	GROUP	\N	4306	131	\N	9999-12-31	2013-05-08
6507/5-4 A	3847.000000	3883.000000	ROR FM	FORMATION	BÅT GP	4306	135	22	9999-12-31	2013-05-08
6507/5-4 A	2125.000000	2842.000000	SHETLAND GP	GROUP	\N	4306	143	\N	9999-12-31	2013-05-08
6507/5-4 A	3474.000000	3491.000000	SPEKK FM	FORMATION	VIKING GP	4306	155	188	9999-12-31	2013-05-08
6507/5-4 A	2064.000000	2125.000000	TANG FM	FORMATION	ROGALAND GP	4306	161	131	9999-12-31	2013-05-08
6507/5-4 A	2016.000000	2064.000000	TARE FM	FORMATION	ROGALAND GP	4306	163	131	9999-12-31	2013-05-08
6507/5-4 A	3474.000000	3720.000000	VIKING GP	GROUP	\N	4306	188	\N	9999-12-31	2013-05-08
6507/11-6	1542.000000	2022.000000	BRYGGE FM	FORMATION	HORDALAND GP	4321	18	67	9999-12-31	2013-05-08
6507/11-6	3160.000000	3440.000000	BÅT GP	GROUP	\N	4321	22	\N	9999-12-31	2013-05-08
6507/11-6	2679.000000	2885.000000	CROMER KNOLL GP	GROUP	\N	4321	23	\N	9999-12-31	2013-05-08
6507/11-6	3030.000000	3160.000000	FANGST GP	GROUP	\N	4321	38	\N	9999-12-31	2013-05-08
6507/11-6	3030.000000	3077.000000	GARN FM	FORMATION	FANGST GP	4321	48	38	9999-12-31	2013-05-08
6507/11-6	1542.000000	2022.000000	HORDALAND GP	GROUP	\N	4321	67	\N	9999-12-31	2013-05-08
6507/11-6	3094.000000	3160.000000	ILE FM	FORMATION	FANGST GP	4321	70	38	9999-12-31	2013-05-08
6507/11-6	1392.000000	1542.000000	KAI FM	FORMATION	NORDLAND GP	4321	77	113	9999-12-31	2013-05-08
6507/11-6	2452.000000	2679.000000	KVITNOS FM	FORMATION	SHETLAND GP	4321	91	143	9999-12-31	2013-05-08
6507/11-6	2679.000000	2870.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4321	94	23	9999-12-31	2013-05-08
6507/11-6	2870.000000	2885.000000	LYR FM	FORMATION	CROMER KNOLL GP	4321	98	23	9999-12-31	2013-05-08
6507/11-6	2983.000000	3030.000000	MELKE FM	FORMATION	VIKING GP	4321	105	188	9999-12-31	2013-05-08
6507/11-6	315.000000	1392.000000	NAUST FM	FORMATION	NORDLAND GP	4321	109	113	9999-12-31	2013-05-08
6507/11-6	2243.000000	2452.000000	NISE FM	FORMATION	SHETLAND GP	4321	112	143	9999-12-31	2013-05-08
6507/11-6	315.000000	1542.000000	NORDLAND GP	GROUP	\N	4321	113	\N	9999-12-31	2013-05-08
6507/11-6	3077.000000	3094.000000	NOT FM	FORMATION	FANGST GP	4321	120	38	9999-12-31	2013-05-08
6507/11-6	2022.000000	2162.000000	ROGALAND GP	GROUP	\N	4321	131	\N	9999-12-31	2013-05-08
6507/11-6	3160.000000	3261.000000	ROR FM	FORMATION	BÅT GP	4321	135	22	9999-12-31	2013-05-08
6507/11-6	2162.000000	2679.000000	SHETLAND GP	GROUP	\N	4321	143	\N	9999-12-31	2013-05-08
6507/11-6	2885.000000	2983.000000	SPEKK FM	FORMATION	VIKING GP	4321	155	188	9999-12-31	2013-05-08
6507/11-6	2162.000000	2243.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4321	156	143	9999-12-31	2013-05-08
6507/11-6	2102.000000	2162.000000	TANG FM	FORMATION	ROGALAND GP	4321	161	131	9999-12-31	2013-05-08
6507/11-6	2022.000000	2102.000000	TARE FM	FORMATION	ROGALAND GP	4321	163	131	9999-12-31	2013-05-08
6507/11-6	3261.000000	3387.000000	TILJE FM	FORMATION	BÅT GP	4321	169	22	9999-12-31	2013-05-08
6507/11-6	2885.000000	3030.000000	VIKING GP	GROUP	\N	4321	188	\N	9999-12-31	2013-05-08
6507/11-6	3387.000000	3440.000000	ÅRE FM	FORMATION	BÅT GP	4321	197	22	9999-12-31	2013-05-08
6506/3-1	1624.000000	1657.000000	BRYGGE FM	FORMATION	HORDALAND GP	4344	18	67	9999-12-31	2013-05-08
6506/3-1	3090.000000	3667.000000	CROMER KNOLL GP	GROUP	\N	4344	23	\N	9999-12-31	2013-05-08
6506/3-1	1624.000000	1657.000000	HORDALAND GP	GROUP	\N	4344	67	\N	9999-12-31	2013-05-08
6506/3-1	2300.000000	3090.000000	KVITNOS FM	FORMATION	SHETLAND GP	4344	91	143	9999-12-31	2013-05-08
6506/3-1	3111.000000	3667.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4344	94	23	9999-12-31	2013-05-08
6506/3-1	3090.000000	3111.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4344	99	23	9999-12-31	2013-05-08
6506/3-1	366.000000	1624.000000	NAUST FM	FORMATION	NORDLAND GP	4344	109	113	9999-12-31	2013-05-08
6506/3-1	2023.000000	2300.000000	NISE FM	FORMATION	SHETLAND GP	4344	112	143	9999-12-31	2013-05-08
6506/3-1	366.000000	1624.000000	NORDLAND GP	GROUP	\N	4344	113	\N	9999-12-31	2013-05-08
6506/3-1	1657.000000	1797.000000	ROGALAND GP	GROUP	\N	4344	131	\N	9999-12-31	2013-05-08
6506/3-1	1797.000000	3090.000000	SHETLAND GP	GROUP	\N	4344	143	\N	9999-12-31	2013-05-08
6506/3-1	1797.000000	2023.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4344	156	143	9999-12-31	2013-05-08
6506/3-1	1756.000000	1797.000000	TANG FM	FORMATION	ROGALAND GP	4344	161	131	9999-12-31	2013-05-08
6506/3-1	1657.000000	1756.000000	TARE FM	FORMATION	ROGALAND GP	4344	163	131	9999-12-31	2013-05-08
24/12-4	2077.000000	2121.000000	BALDER FM	FORMATION	ROGALAND GP	4383	6	131	9999-12-31	2013-05-08
24/12-4	1211.000000	1415.000000	GRID FM	FORMATION	HORDALAND GP	4383	53	67	9999-12-31	2013-05-08
24/12-4	2224.000000	2265.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4383	62	131	9999-12-31	2013-05-08
24/12-4	2139.000000	2207.000000	HERMOD FM	FORMATION	ROGALAND GP	4383	64	131	9999-12-31	2013-05-08
24/12-4	858.000000	2077.000000	HORDALAND GP	GROUP	\N	4383	67	\N	9999-12-31	2013-05-08
24/12-4	2207.000000	2224.000000	LISTA FM	FORMATION	ROGALAND GP	4383	95	131	9999-12-31	2013-05-08
24/12-4	1415.000000	2077.000000	NO FORMAL NAME	FORMATION	\N	4383	111	\N	9999-12-31	2013-05-08
24/12-4	140.000000	858.000000	NORDLAND GP	GROUP	\N	4383	113	\N	9999-12-31	2013-05-08
24/12-4	2077.000000	2265.000000	ROGALAND GP	GROUP	\N	4383	131	\N	9999-12-31	2013-05-08
24/12-4	2121.000000	2139.000000	SELE FM	FORMATION	ROGALAND GP	4383	142	131	9999-12-31	2013-05-08
24/12-4	688.000000	858.000000	UTSIRA FM	FORMATION	NORDLAND GP	4383	183	113	9999-12-31	2013-05-08
25/2-16 S	2227.000000	2243.000000	BALDER FM	FORMATION	ROGALAND GP	4385	6	131	9999-12-31	2013-05-08
25/2-16 S	2330.000000	2364.000000	BALDER FM	FORMATION	ROGALAND GP	4385	6	131	9999-12-31	2013-05-08
25/2-16 S	2243.000000	2330.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	4385	7	131	9999-12-31	2013-05-08
25/2-16 S	3631.000000	3640.000000	BLODØKS FM	FORMATION	SHETLAND GP	4385	13	143	9999-12-31	2013-05-08
25/2-16 S	3693.000000	3711.000000	CROMER KNOLL GP	GROUP	\N	4385	23	\N	9999-12-31	2013-05-08
25/2-16 S	3711.000000	3755.000000	DRAUPNE FM	FORMATION	VIKING GP	4385	28	188	9999-12-31	2013-05-08
25/2-16 S	3970.000000	4013.000000	DUNLIN GP	GROUP	\N	4385	29	\N	9999-12-31	2013-05-08
25/2-16 S	2909.000000	3130.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	4385	56	143	9999-12-31	2013-05-08
25/2-16 S	3755.000000	3796.000000	HEATHER FM	FORMATION	VIKING GP	4385	60	188	9999-12-31	2013-05-08
25/2-16 S	2445.000000	2475.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4385	62	131	9999-12-31	2013-05-08
25/2-16 S	2538.000000	2550.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4385	62	131	9999-12-31	2013-05-08
25/2-16 S	2596.000000	2603.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4385	62	131	9999-12-31	2013-05-08
25/2-16 S	2636.000000	2706.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4385	62	131	9999-12-31	2013-05-08
25/2-16 S	1035.000000	2227.000000	HORDALAND GP	GROUP	\N	4385	67	\N	9999-12-31	2013-05-08
25/2-16 S	3796.000000	3921.000000	HUGIN FM	FORMATION	VESTLAND GP	4385	69	186	9999-12-31	2013-05-08
25/2-16 S	3130.000000	3488.000000	KYRRE FM	FORMATION	SHETLAND GP	4385	92	143	9999-12-31	2013-05-08
25/2-16 S	2404.000000	2445.000000	LISTA FM	FORMATION	ROGALAND GP	4385	95	131	9999-12-31	2013-05-08
25/2-16 S	2475.000000	2538.000000	LISTA FM	FORMATION	ROGALAND GP	4385	95	131	9999-12-31	2013-05-08
25/2-16 S	2550.000000	2596.000000	LISTA FM	FORMATION	ROGALAND GP	4385	95	131	9999-12-31	2013-05-08
25/2-16 S	2603.000000	2636.000000	LISTA FM	FORMATION	ROGALAND GP	4385	95	131	9999-12-31	2013-05-08
25/2-16 S	2706.000000	2735.000000	LISTA FM	FORMATION	ROGALAND GP	4385	95	131	9999-12-31	2013-05-08
25/2-16 S	3709.000000	3711.000000	MIME FM	FORMATION	CROMER KNOLL GP	4385	106	23	9999-12-31	2013-05-08
25/2-16 S	1065.000000	2227.000000	NO FORMAL NAME	FORMATION	\N	4385	111	\N	9999-12-31	2013-05-08
25/2-16 S	139.000000	1035.000000	NORDLAND GP	GROUP	\N	4385	113	\N	9999-12-31	2013-05-08
25/2-16 S	2227.000000	2909.000000	ROGALAND GP	GROUP	\N	4385	131	\N	9999-12-31	2013-05-08
25/2-16 S	3693.000000	3709.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4385	137	23	9999-12-31	2013-05-08
25/2-16 S	2364.000000	2404.000000	SELE FM	FORMATION	ROGALAND GP	4385	142	131	9999-12-31	2013-05-08
25/2-16 S	2909.000000	3693.000000	SHETLAND GP	GROUP	\N	4385	143	\N	9999-12-31	2013-05-08
25/2-16 S	1052.000000	1065.000000	SKADE FM	FORMATION	HORDALAND GP	4385	145	67	9999-12-31	2013-05-08
25/2-16 S	3921.000000	3970.000000	SLEIPNER FM	FORMATION	VESTLAND GP	4385	148	186	9999-12-31	2013-05-08
25/2-16 S	3640.000000	3693.000000	SVARTE FM	FORMATION	SHETLAND GP	4385	160	143	9999-12-31	2013-05-08
25/2-16 S	3488.000000	3631.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4385	173	143	9999-12-31	2013-05-08
25/2-16 S	2868.000000	2878.000000	TY FM	FORMATION	ROGALAND GP	4385	176	131	9999-12-31	2013-05-08
25/2-16 S	2898.000000	2907.000000	TY FM	FORMATION	ROGALAND GP	4385	176	131	9999-12-31	2013-05-08
25/2-16 S	258.000000	1035.000000	UTSIRA FM	FORMATION	NORDLAND GP	4385	183	113	9999-12-31	2013-05-08
25/2-16 S	3796.000000	3970.000000	VESTLAND GP	GROUP	\N	4385	186	\N	9999-12-31	2013-05-08
25/2-16 S	3711.000000	3796.000000	VIKING GP	GROUP	\N	4385	188	\N	9999-12-31	2013-05-08
25/2-16 S	2735.000000	2868.000000	VÅLE FM	FORMATION	ROGALAND GP	4385	190	131	9999-12-31	2013-05-08
25/2-16 S	2878.000000	2898.000000	VÅLE FM	FORMATION	ROGALAND GP	4385	190	131	9999-12-31	2013-05-08
25/2-16 S	2907.000000	2909.000000	VÅLE FM	FORMATION	ROGALAND GP	4385	190	131	9999-12-31	2013-05-08
6608/10-6 R2	1522.000000	1580.000000	BRYGGE FM	FORMATION	HORDALAND GP	4386	18	67	9999-12-31	2013-05-08
6608/10-6 R2	1868.000000	2108.000000	BÅT GP	GROUP	\N	4386	22	\N	9999-12-31	2013-05-08
6608/10-6 R2	1712.000000	1789.000000	CROMER KNOLL GP	GROUP	\N	4386	23	\N	9999-12-31	2013-05-08
6608/10-6 R2	1854.000000	1868.000000	FANGST GP	GROUP	\N	4386	38	\N	9999-12-31	2013-05-08
6608/10-6 R2	1522.000000	1580.000000	HORDALAND GP	GROUP	\N	4386	67	\N	9999-12-31	2013-05-08
6608/10-6 R2	1377.000000	1522.000000	KAI FM	FORMATION	NORDLAND GP	4386	77	113	9999-12-31	2013-05-08
6608/10-6 R2	1712.000000	1789.000000	LYR FM	FORMATION	CROMER KNOLL GP	4386	98	23	9999-12-31	2013-05-08
6608/10-6 R2	1809.000000	1845.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	4386	104	188	9999-12-31	2013-05-08
6608/10-6 R2	1789.000000	1809.000000	MELKE FM	FORMATION	VIKING GP	4386	105	188	9999-12-31	2013-05-08
6608/10-6 R2	1845.000000	1854.000000	MELKE FM	FORMATION	VIKING GP	4386	105	188	9999-12-31	2013-05-08
6608/10-6 R2	409.000000	1522.000000	NORDLAND GP	GROUP	\N	4386	113	\N	9999-12-31	2013-05-08
6608/10-6 R2	1854.000000	1868.000000	NOT FM	FORMATION	FANGST GP	4386	120	38	9999-12-31	2013-05-08
6608/10-6 R2	1580.000000	1695.000000	ROGALAND GP	GROUP	\N	4386	131	\N	9999-12-31	2013-05-08
6608/10-6 R2	1695.000000	1712.000000	SHETLAND GP	GROUP	\N	4386	143	\N	9999-12-31	2013-05-08
6608/10-6 R2	1695.000000	1712.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4386	156	143	9999-12-31	2013-05-08
6608/10-6 R2	1673.000000	1695.000000	TANG FM	FORMATION	ROGALAND GP	4386	161	131	9999-12-31	2013-05-08
6608/10-6 R2	1580.000000	1673.000000	TARE FM	FORMATION	ROGALAND GP	4386	163	131	9999-12-31	2013-05-08
6608/10-6 R2	1789.000000	1854.000000	VIKING GP	GROUP	\N	4386	188	\N	9999-12-31	2013-05-08
6608/10-6 R2	1868.000000	2108.000000	ÅRE FM	FORMATION	BÅT GP	4386	197	22	9999-12-31	2013-05-08
7122/7-2	638.000000	1078.000000	ADVENTDALEN GP	GROUP	\N	4391	1	\N	9999-12-31	2013-05-08
7122/7-2	1196.000000	1303.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	4391	46	79	9999-12-31	2013-05-08
7122/7-2	1067.000000	1078.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	4391	47	1	9999-12-31	2013-05-08
7122/7-2	1021.000000	1067.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	4391	63	1	9999-12-31	2013-05-08
7122/7-2	1078.000000	1418.000000	KAPP TOSCANA GP	GROUP	\N	4391	79	\N	9999-12-31	2013-05-08
7122/7-2	986.000000	1021.000000	KNURR FM	FORMATION	ADVENTDALEN GP	4391	82	1	9999-12-31	2013-05-08
7122/7-2	638.000000	986.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	4391	85	1	9999-12-31	2013-05-08
7122/7-2	600.000000	638.000000	KVITING FM	FORMATION	NYGRUNNEN GP	4391	90	122	9999-12-31	2013-05-08
7122/7-2	395.000000	448.000000	NORDLAND GP	GROUP	\N	4391	113	\N	9999-12-31	2013-05-08
7122/7-2	600.000000	638.000000	NYGRUNNEN GP	GROUP	\N	4391	122	\N	9999-12-31	2013-05-08
7122/7-2	1303.000000	1418.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	4391	150	79	9999-12-31	2013-05-08
7122/7-2	448.000000	600.000000	SOTBAKKEN GP	GROUP	\N	4391	154	\N	9999-12-31	2013-05-08
7122/7-2	448.000000	600.000000	TORSK FM	FORMATION	SOTBAKKEN GP	4391	172	154	9999-12-31	2013-05-08
7122/7-2	1078.000000	1196.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	4391	174	79	9999-12-31	2013-05-08
16/2-2	1630.000000	1649.000000	BALDER FM	FORMATION	ROGALAND GP	4408	6	131	9999-12-31	2013-05-08
16/2-2	1872.000000	1875.000000	BLODØKS FM	FORMATION	SHETLAND GP	4408	13	143	9999-12-31	2013-05-08
16/2-2	1875.000000	1880.000000	CROMER KNOLL GP	GROUP	\N	4408	23	\N	9999-12-31	2013-05-08
16/2-2	1851.000000	1872.000000	HOD FM	FORMATION	SHETLAND GP	4408	66	143	9999-12-31	2013-05-08
16/2-2	1130.000000	1630.000000	HORDALAND GP	GROUP	\N	4408	67	\N	9999-12-31	2013-05-08
16/2-2	1709.000000	1815.000000	LISTA FM	FORMATION	ROGALAND GP	4408	95	131	9999-12-31	2013-05-08
16/2-2	1299.000000	1630.000000	NO FORMAL NAME	FORMATION	\N	4408	111	\N	9999-12-31	2013-05-08
16/2-2	145.000000	1130.000000	NORDLAND GP	GROUP	\N	4408	113	\N	9999-12-31	2013-05-08
16/2-2	1630.000000	1836.000000	ROGALAND GP	GROUP	\N	4408	131	\N	9999-12-31	2013-05-08
16/2-2	1875.000000	1880.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4408	137	23	9999-12-31	2013-05-08
16/2-2	1649.000000	1709.000000	SELE FM	FORMATION	ROGALAND GP	4408	142	131	9999-12-31	2013-05-08
16/2-2	1836.000000	1875.000000	SHETLAND GP	GROUP	\N	4408	143	\N	9999-12-31	2013-05-08
16/2-2	1267.000000	1299.000000	SKADE FM	FORMATION	HORDALAND GP	4408	145	67	9999-12-31	2013-05-08
16/2-2	1836.000000	1851.000000	TOR FM	FORMATION	SHETLAND GP	4408	171	143	9999-12-31	2013-05-08
16/2-2	962.000000	1130.000000	UTSIRA FM	FORMATION	NORDLAND GP	4408	183	113	9999-12-31	2013-05-08
16/2-2	1815.000000	1836.000000	VÅLE FM	FORMATION	ROGALAND GP	4408	190	131	9999-12-31	2013-05-08
30/6-27	3095.000000	3101.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	4425	4	29	9999-12-31	2013-05-08
30/6-27	2051.000000	2133.000000	BALDER FM	FORMATION	ROGALAND GP	4425	6	131	9999-12-31	2013-05-08
30/6-27	3095.000000	3101.000000	DUNLIN GP	GROUP	\N	4425	29	\N	9999-12-31	2013-05-08
30/6-27	2396.000000	2405.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	4425	56	143	9999-12-31	2013-05-08
30/6-27	947.000000	2051.000000	HORDALAND GP	GROUP	\N	4425	67	\N	9999-12-31	2013-05-08
30/6-27	2405.000000	2670.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4425	74	143	9999-12-31	2013-05-08
30/6-27	2670.000000	2996.000000	KYRRE FM	FORMATION	SHETLAND GP	4425	92	143	9999-12-31	2013-05-08
30/6-27	2241.000000	2377.000000	LISTA FM	FORMATION	ROGALAND GP	4425	95	131	9999-12-31	2013-05-08
30/6-27	1048.000000	1235.000000	NO FORMAL NAME	FORMATION	\N	4425	111	\N	9999-12-31	2013-05-08
30/6-27	1235.000000	1303.000000	NO FORMAL NAME	FORMATION	\N	4425	111	\N	9999-12-31	2013-05-08
30/6-27	1303.000000	1365.000000	NO FORMAL NAME	FORMATION	\N	4425	111	\N	9999-12-31	2013-05-08
30/6-27	1365.000000	1417.000000	NO FORMAL NAME	FORMATION	\N	4425	111	\N	9999-12-31	2013-05-08
30/6-27	1417.000000	2051.000000	NO FORMAL NAME	FORMATION	\N	4425	111	\N	9999-12-31	2013-05-08
30/6-27	136.000000	947.000000	NORDLAND GP	GROUP	\N	4425	113	\N	9999-12-31	2013-05-08
30/6-27	2051.000000	2396.000000	ROGALAND GP	GROUP	\N	4425	131	\N	9999-12-31	2013-05-08
30/6-27	2133.000000	2241.000000	SELE FM	FORMATION	ROGALAND GP	4425	142	131	9999-12-31	2013-05-08
30/6-27	2396.000000	3095.000000	SHETLAND GP	GROUP	\N	4425	143	\N	9999-12-31	2013-05-08
30/6-27	1015.000000	1048.000000	SKADE FM	FORMATION	HORDALAND GP	4425	145	67	9999-12-31	2013-05-08
30/6-27	3101.000000	3432.000000	STATFJORD FM	FORMATION	\N	4425	157	\N	9999-12-31	2013-05-08
30/6-27	2996.000000	3095.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4425	173	143	9999-12-31	2013-05-08
30/6-27	652.000000	947.000000	UTSIRA FM	FORMATION	NORDLAND GP	4425	183	113	9999-12-31	2013-05-08
30/6-27	2377.000000	2396.000000	VÅLE FM	FORMATION	ROGALAND GP	4425	190	131	9999-12-31	2013-05-08
30/6-27	3101.000000	3432.000000	NO GROUP DEFINED	GROUP	\N	4425	208	\N	9999-12-31	2013-05-08
36/7-3	2555.000000	2632.000000	AGAT FM	FORMATION	CROMER KNOLL GP	4427	2	23	9999-12-31	2013-05-08
36/7-3	2264.000000	2290.000000	BLODØKS FM	FORMATION	SHETLAND GP	4427	13	143	9999-12-31	2013-05-08
36/7-3	2515.000000	2854.000000	CROMER KNOLL GP	GROUP	\N	4427	23	\N	9999-12-31	2013-05-08
36/7-3	2854.000000	2907.000000	DRAUPNE FM	FORMATION	VIKING GP	4427	28	188	9999-12-31	2013-05-08
36/7-3	2907.000000	2948.000000	HEATHER FM	FORMATION	VIKING GP	4427	60	188	9999-12-31	2013-05-08
36/7-3	1249.000000	1304.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4427	74	143	9999-12-31	2013-05-08
36/7-3	1304.000000	1843.000000	KYRRE FM	FORMATION	SHETLAND GP	4427	92	143	9999-12-31	2013-05-08
36/7-3	1855.000000	2264.000000	KYRRE FM	FORMATION	SHETLAND GP	4427	92	143	9999-12-31	2013-05-08
36/7-3	800.000000	1249.000000	LISTA FM	FORMATION	ROGALAND GP	4427	95	131	9999-12-31	2013-05-08
36/7-3	692.000000	702.000000	NO FORMAL NAME	FORMATION	\N	4427	111	\N	9999-12-31	2013-05-08
36/7-3	745.000000	754.000000	NO FORMAL NAME	FORMATION	\N	4427	111	\N	9999-12-31	2013-05-08
36/7-3	1843.000000	1855.000000	NO FORMAL NAME	FORMATION	\N	4427	111	\N	9999-12-31	2013-05-08
36/7-3	2767.000000	2796.000000	NO FORMAL NAME	FORMATION	\N	4427	111	\N	9999-12-31	2013-05-08
36/7-3	373.000000	602.000000	NORDLAND GP	GROUP	\N	4427	113	\N	9999-12-31	2013-05-08
36/7-3	602.000000	1249.000000	ROGALAND GP	GROUP	\N	4427	131	\N	9999-12-31	2013-05-08
36/7-3	2515.000000	2555.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4427	137	23	9999-12-31	2013-05-08
36/7-3	2632.000000	2700.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4427	137	23	9999-12-31	2013-05-08
36/7-3	602.000000	692.000000	SELE FM	FORMATION	ROGALAND GP	4427	142	131	9999-12-31	2013-05-08
36/7-3	702.000000	745.000000	SELE FM	FORMATION	ROGALAND GP	4427	142	131	9999-12-31	2013-05-08
36/7-3	754.000000	800.000000	SELE FM	FORMATION	ROGALAND GP	4427	142	131	9999-12-31	2013-05-08
36/7-3	1249.000000	2515.000000	SHETLAND GP	GROUP	\N	4427	143	\N	9999-12-31	2013-05-08
36/7-3	2290.000000	2515.000000	SVARTE FM	FORMATION	SHETLAND GP	4427	160	143	9999-12-31	2013-05-08
36/7-3	2854.000000	2948.000000	VIKING GP	GROUP	\N	4427	188	\N	9999-12-31	2013-05-08
36/7-3	2700.000000	2767.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4427	198	23	9999-12-31	2013-05-08
36/7-3	2796.000000	2854.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4427	198	23	9999-12-31	2013-05-08
6507/5-5	1889.000000	2022.000000	BRYGGE FM	FORMATION	HORDALAND GP	4428	18	67	9999-12-31	2013-05-08
6507/5-5	3774.000000	3948.000000	BÅT GP	GROUP	\N	4428	22	\N	9999-12-31	2013-05-08
6507/5-5	2754.000000	3339.000000	CROMER KNOLL GP	GROUP	\N	4428	23	\N	9999-12-31	2013-05-08
6507/5-5	3648.000000	3774.000000	FANGST GP	GROUP	\N	4428	38	\N	9999-12-31	2013-05-08
6507/5-5	3648.000000	3723.000000	GARN FM	FORMATION	FANGST GP	4428	48	38	9999-12-31	2013-05-08
6507/5-5	1889.000000	2022.000000	HORDALAND GP	GROUP	\N	4428	67	\N	9999-12-31	2013-05-08
6507/5-5	3742.000000	3774.000000	ILE FM	FORMATION	FANGST GP	4428	70	38	9999-12-31	2013-05-08
6507/5-5	1394.000000	1889.000000	KAI FM	FORMATION	NORDLAND GP	4428	77	113	9999-12-31	2013-05-08
6507/5-5	2556.000000	2754.000000	KVITNOS FM	FORMATION	SHETLAND GP	4428	91	143	9999-12-31	2013-05-08
6507/5-5	2757.000000	3327.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4428	94	23	9999-12-31	2013-05-08
6507/5-5	3327.000000	3339.000000	LYR FM	FORMATION	CROMER KNOLL GP	4428	98	23	9999-12-31	2013-05-08
6507/5-5	2754.000000	2757.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4428	99	23	9999-12-31	2013-05-08
6507/5-5	3372.000000	3648.000000	MELKE FM	FORMATION	VIKING GP	4428	105	188	9999-12-31	2013-05-08
6507/5-5	393.000000	1394.000000	NAUST FM	FORMATION	NORDLAND GP	4428	109	113	9999-12-31	2013-05-08
6507/5-5	2181.000000	2556.000000	NISE FM	FORMATION	SHETLAND GP	4428	112	143	9999-12-31	2013-05-08
6507/5-5	393.000000	1889.000000	NORDLAND GP	GROUP	\N	4428	113	\N	9999-12-31	2013-05-08
6507/5-5	3723.000000	3742.000000	NOT FM	FORMATION	FANGST GP	4428	120	38	9999-12-31	2013-05-08
6507/5-5	2022.000000	2107.000000	ROGALAND GP	GROUP	\N	4428	131	\N	9999-12-31	2013-05-08
6507/5-5	3774.000000	3831.000000	ROR FM	FORMATION	BÅT GP	4428	135	22	9999-12-31	2013-05-08
6507/5-5	2107.000000	2754.000000	SHETLAND GP	GROUP	\N	4428	143	\N	9999-12-31	2013-05-08
6507/5-5	3339.000000	3372.000000	SPEKK FM	FORMATION	VIKING GP	4428	155	188	9999-12-31	2013-05-08
6507/5-5	2107.000000	2181.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4428	156	143	9999-12-31	2013-05-08
6507/5-5	2063.000000	2107.000000	TANG FM	FORMATION	ROGALAND GP	4428	161	131	9999-12-31	2013-05-08
6507/5-5	2022.000000	2063.000000	TARE FM	FORMATION	ROGALAND GP	4428	163	131	9999-12-31	2013-05-08
6507/5-5	3831.000000	3925.000000	TILJE FM	FORMATION	BÅT GP	4428	169	22	9999-12-31	2013-05-08
6507/5-5	3339.000000	3648.000000	VIKING GP	GROUP	\N	4428	188	\N	9999-12-31	2013-05-08
6507/5-5	3925.000000	3948.000000	ÅRE FM	FORMATION	BÅT GP	4428	197	22	9999-12-31	2013-05-08
2/5-12	2941.000000	2962.000000	BALDER FM	FORMATION	ROGALAND GP	4433	6	131	9999-12-31	2013-05-08
2/5-12	3691.000000	3700.000000	CROMER KNOLL GP	GROUP	\N	4433	23	\N	9999-12-31	2013-05-08
2/5-12	3095.000000	3216.000000	EKOFISK FM	FORMATION	SHETLAND GP	4433	33	143	9999-12-31	2013-05-08
2/5-12	3703.000000	4153.000000	FARSUND FM	FORMATION	TYNE GP	4433	39	177	9999-12-31	2013-05-08
2/5-12	3527.000000	3691.000000	HOD FM	FORMATION	SHETLAND GP	4433	66	143	9999-12-31	2013-05-08
2/5-12	1737.000000	2941.000000	HORDALAND GP	GROUP	\N	4433	67	\N	9999-12-31	2013-05-08
2/5-12	2986.000000	3066.000000	LISTA FM	FORMATION	ROGALAND GP	4433	95	131	9999-12-31	2013-05-08
2/5-12	3700.000000	3703.000000	MANDAL FM	FORMATION	TYNE GP	4433	101	177	9999-12-31	2013-05-08
2/5-12	209.000000	251.000000	NO FORMAL NAME	FORMATION	\N	4433	111	\N	9999-12-31	2013-05-08
2/5-12	251.000000	265.000000	NO FORMAL NAME	FORMATION	\N	4433	111	\N	9999-12-31	2013-05-08
2/5-12	265.000000	327.000000	NO FORMAL NAME	FORMATION	\N	4433	111	\N	9999-12-31	2013-05-08
2/5-12	327.000000	338.000000	NO FORMAL NAME	FORMATION	\N	4433	111	\N	9999-12-31	2013-05-08
2/5-12	338.000000	475.000000	NO FORMAL NAME	FORMATION	\N	4433	111	\N	9999-12-31	2013-05-08
2/5-12	475.000000	570.000000	NO FORMAL NAME	FORMATION	\N	4433	111	\N	9999-12-31	2013-05-08
2/5-12	570.000000	687.000000	NO FORMAL NAME	FORMATION	\N	4433	111	\N	9999-12-31	2013-05-08
2/5-12	687.000000	1737.000000	NO FORMAL NAME	FORMATION	\N	4433	111	\N	9999-12-31	2013-05-08
2/5-12	98.000000	1737.000000	NORDLAND GP	GROUP	\N	4433	113	\N	9999-12-31	2013-05-08
2/5-12	2941.000000	3095.000000	ROGALAND GP	GROUP	\N	4433	131	\N	9999-12-31	2013-05-08
2/5-12	2962.000000	2986.000000	SELE FM	FORMATION	ROGALAND GP	4433	142	131	9999-12-31	2013-05-08
2/5-12	3095.000000	3691.000000	SHETLAND GP	GROUP	\N	4433	143	\N	9999-12-31	2013-05-08
2/5-12	3216.000000	3527.000000	TOR FM	FORMATION	SHETLAND GP	4433	171	143	9999-12-31	2013-05-08
2/5-12	3700.000000	4153.000000	TYNE GP	GROUP	\N	4433	177	\N	9999-12-31	2013-05-08
2/5-12	3087.000000	3091.000000	VIDAR FM	FORMATION	ROGALAND GP	4433	187	131	9999-12-31	2013-05-08
2/5-12	3066.000000	3087.000000	VÅLE FM	FORMATION	ROGALAND GP	4433	190	131	9999-12-31	2013-05-08
2/5-12	3091.000000	3095.000000	VÅLE FM	FORMATION	ROGALAND GP	4433	190	131	9999-12-31	2013-05-08
2/5-12	3691.000000	3700.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4433	198	23	9999-12-31	2013-05-08
25/8-13	1833.000000	1915.000000	BALDER FM	FORMATION	ROGALAND GP	4438	6	131	9999-12-31	2013-05-08
25/8-13	2210.000000	2237.000000	DUNLIN GP	GROUP	\N	4438	29	\N	9999-12-31	2013-05-08
25/8-13	2183.000000	2188.000000	HEATHER FM	FORMATION	VIKING GP	4438	60	188	9999-12-31	2013-05-08
25/8-13	656.000000	1833.000000	HORDALAND GP	GROUP	\N	4438	67	\N	9999-12-31	2013-05-08
25/8-13	1977.000000	2073.000000	LISTA FM	FORMATION	ROGALAND GP	4438	95	131	9999-12-31	2013-05-08
25/8-13	582.000000	656.000000	NO FORMAL NAME	FORMATION	\N	4438	111	\N	9999-12-31	2013-05-08
25/8-13	970.000000	1833.000000	NO FORMAL NAME	FORMATION	\N	4438	111	\N	9999-12-31	2013-05-08
25/8-13	146.000000	656.000000	NORDLAND GP	GROUP	\N	4438	113	\N	9999-12-31	2013-05-08
25/8-13	1833.000000	2183.000000	ROGALAND GP	GROUP	\N	4438	131	\N	9999-12-31	2013-05-08
25/8-13	1915.000000	1977.000000	SELE FM	FORMATION	ROGALAND GP	4438	142	131	9999-12-31	2013-05-08
25/8-13	656.000000	970.000000	SKADE FM	FORMATION	HORDALAND GP	4438	145	67	9999-12-31	2013-05-08
25/8-13	2237.000000	2276.000000	STATFJORD FM	FORMATION	\N	4438	157	\N	9999-12-31	2013-05-08
25/8-13	2099.000000	2183.000000	TY FM	FORMATION	ROGALAND GP	4438	176	131	9999-12-31	2013-05-08
25/8-13	499.000000	582.000000	UTSIRA FM	FORMATION	NORDLAND GP	4438	183	113	9999-12-31	2013-05-08
25/8-13	2188.000000	2210.000000	VESTLAND GP	GROUP	\N	4438	186	\N	9999-12-31	2013-05-08
25/8-13	2183.000000	2188.000000	VIKING GP	GROUP	\N	4438	188	\N	9999-12-31	2013-05-08
25/8-13	2073.000000	2099.000000	VÅLE FM	FORMATION	ROGALAND GP	4438	190	131	9999-12-31	2013-05-08
25/8-13	2237.000000	2276.000000	NO GROUP DEFINED	GROUP	\N	4438	208	\N	9999-12-31	2013-05-08
6608/10-8	1560.000000	1778.000000	BRYGGE FM	FORMATION	HORDALAND GP	4439	18	67	9999-12-31	2013-05-08
6608/10-8	2391.000000	2652.000000	BÅT GP	GROUP	\N	4439	22	\N	9999-12-31	2013-05-08
6608/10-8	2088.000000	2222.000000	CROMER KNOLL GP	GROUP	\N	4439	23	\N	9999-12-31	2013-05-08
6608/10-8	2348.000000	2391.000000	FANGST GP	GROUP	\N	4439	38	\N	9999-12-31	2013-05-08
6608/10-8	1560.000000	1778.000000	HORDALAND GP	GROUP	\N	4439	67	\N	9999-12-31	2013-05-08
6608/10-8	2389.000000	2391.000000	ILE FM	FORMATION	FANGST GP	4439	70	38	9999-12-31	2013-05-08
6608/10-8	1418.000000	1560.000000	KAI FM	FORMATION	NORDLAND GP	4439	77	113	9999-12-31	2013-05-08
6608/10-8	2088.000000	2222.000000	LYR FM	FORMATION	CROMER KNOLL GP	4439	98	23	9999-12-31	2013-05-08
6608/10-8	2294.000000	2341.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	4439	104	188	9999-12-31	2013-05-08
6608/10-8	2224.000000	2294.000000	MELKE FM	FORMATION	VIKING GP	4439	105	188	9999-12-31	2013-05-08
6608/10-8	2341.000000	2348.000000	MELKE FM	FORMATION	VIKING GP	4439	105	188	9999-12-31	2013-05-08
6608/10-8	400.000000	1418.000000	NAUST FM	FORMATION	NORDLAND GP	4439	109	113	9999-12-31	2013-05-08
6608/10-8	400.000000	1560.000000	NORDLAND GP	GROUP	\N	4439	113	\N	9999-12-31	2013-05-08
6608/10-8	2348.000000	2389.000000	NOT FM	FORMATION	FANGST GP	4439	120	38	9999-12-31	2013-05-08
6608/10-8	1778.000000	1894.000000	ROGALAND GP	GROUP	\N	4439	131	\N	9999-12-31	2013-05-08
6608/10-8	1894.000000	2088.000000	SHETLAND GP	GROUP	\N	4439	143	\N	9999-12-31	2013-05-08
6608/10-8	2222.000000	2224.000000	SPEKK FM	FORMATION	VIKING GP	4439	155	188	9999-12-31	2013-05-08
6608/10-8	1894.000000	2088.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4439	156	143	9999-12-31	2013-05-08
6608/10-8	1863.000000	1894.000000	TANG FM	FORMATION	ROGALAND GP	4439	161	131	9999-12-31	2013-05-08
6608/10-8	1778.000000	1863.000000	TARE FM	FORMATION	ROGALAND GP	4439	163	131	9999-12-31	2013-05-08
6608/10-8	2391.000000	2403.000000	TILJE FM	FORMATION	BÅT GP	4439	169	22	9999-12-31	2013-05-08
6608/10-8	2222.000000	2348.000000	VIKING GP	GROUP	\N	4439	188	\N	9999-12-31	2013-05-08
6608/10-8	2403.000000	2652.000000	ÅRE FM	FORMATION	BÅT GP	4439	197	22	9999-12-31	2013-05-08
6305/4-1	1701.000000	2394.000000	BRYGGE FM	FORMATION	HORDALAND GP	4441	18	67	9999-12-31	2013-05-08
6305/4-1	2769.000000	2829.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	4441	31	131	9999-12-31	2013-05-08
6305/4-1	1701.000000	2394.000000	HORDALAND GP	GROUP	\N	4441	67	\N	9999-12-31	2013-05-08
6305/4-1	1662.000000	1701.000000	KAI FM	FORMATION	NORDLAND GP	4441	77	113	9999-12-31	2013-05-08
6305/4-1	1027.000000	1662.000000	NAUST FM	FORMATION	NORDLAND GP	4441	109	113	9999-12-31	2013-05-08
6305/4-1	1027.000000	1701.000000	NORDLAND GP	GROUP	\N	4441	113	\N	9999-12-31	2013-05-08
6305/4-1	2394.000000	2829.000000	ROGALAND GP	GROUP	\N	4441	131	\N	9999-12-31	2013-05-08
6305/4-1	2829.000000	2975.000000	SHETLAND GP	GROUP	\N	4441	143	\N	9999-12-31	2013-05-08
6305/4-1	2829.000000	2975.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4441	156	143	9999-12-31	2013-05-08
6305/4-1	2529.000000	2769.000000	TANG FM	FORMATION	ROGALAND GP	4441	161	131	9999-12-31	2013-05-08
6305/4-1	2394.000000	2529.000000	TARE FM	FORMATION	ROGALAND GP	4441	163	131	9999-12-31	2013-05-08
34/10-45 S	2394.000000	2757.000000	BALDER FM	FORMATION	ROGALAND GP	4450	6	131	9999-12-31	2013-05-08
34/10-45 S	7486.000000	7496.000000	DRAUPNE FM	FORMATION	VIKING GP	4450	28	188	9999-12-31	2013-05-08
34/10-45 S	7496.000000	7594.000000	HEATHER FM	FORMATION	VIKING GP	4450	60	188	9999-12-31	2013-05-08
34/10-45 S	1910.000000	2394.000000	HORDALAND GP	GROUP	\N	4450	67	\N	9999-12-31	2013-05-08
34/10-45 S	2757.000000	3664.000000	LISTA FM	FORMATION	ROGALAND GP	4450	95	131	9999-12-31	2013-05-08
34/10-45 S	6130.000000	7015.000000	NO FORMAL NAME	FORMATION	\N	4450	111	\N	9999-12-31	2013-05-08
34/10-45 S	7015.000000	7035.000000	NO FORMAL NAME	FORMATION	\N	4450	111	\N	9999-12-31	2013-05-08
34/10-45 S	223.000000	1910.000000	NORDLAND GP	GROUP	\N	4450	113	\N	9999-12-31	2013-05-08
34/10-45 S	2394.000000	3664.000000	ROGALAND GP	GROUP	\N	4450	131	\N	9999-12-31	2013-05-08
34/10-45 S	3664.000000	7035.000000	SHETLAND GP	GROUP	\N	4450	143	\N	9999-12-31	2013-05-08
34/10-45 S	7035.000000	7486.000000	SHETLAND GP	GROUP	\N	4450	143	\N	9999-12-31	2013-05-08
34/10-45 S	7486.000000	7594.000000	VIKING GP	GROUP	\N	4450	188	\N	9999-12-31	2013-05-08
6406/5-1	1910.000000	2459.000000	BRYGGE FM	FORMATION	HORDALAND GP	4451	18	67	9999-12-31	2013-05-08
6406/5-1	4443.000000	4692.000000	BÅT GP	GROUP	\N	4451	22	\N	9999-12-31	2013-05-08
6406/5-1	3377.000000	4072.000000	CROMER KNOLL GP	GROUP	\N	4451	23	\N	9999-12-31	2013-05-08
6406/5-1	4205.000000	4443.000000	FANGST GP	GROUP	\N	4451	38	\N	9999-12-31	2013-05-08
6406/5-1	4205.000000	4272.000000	GARN FM	FORMATION	FANGST GP	4451	48	38	9999-12-31	2013-05-08
6406/5-1	1910.000000	2459.000000	HORDALAND GP	GROUP	\N	4451	67	\N	9999-12-31	2013-05-08
6406/5-1	4335.000000	4443.000000	ILE FM	FORMATION	FANGST GP	4451	70	38	9999-12-31	2013-05-08
6406/5-1	1452.000000	1910.000000	KAI FM	FORMATION	NORDLAND GP	4451	77	113	9999-12-31	2013-05-08
6406/5-1	2872.000000	3377.000000	KVITNOS FM	FORMATION	SHETLAND GP	4451	91	143	9999-12-31	2013-05-08
6406/5-1	3385.000000	4060.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4451	94	23	9999-12-31	2013-05-08
6406/5-1	4060.000000	4072.000000	LYR FM	FORMATION	CROMER KNOLL GP	4451	98	23	9999-12-31	2013-05-08
6406/5-1	3377.000000	3385.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4451	99	23	9999-12-31	2013-05-08
6406/5-1	4077.000000	4205.000000	MELKE FM	FORMATION	VIKING GP	4451	105	188	9999-12-31	2013-05-08
6406/5-1	2693.000000	2872.000000	NISE FM	FORMATION	SHETLAND GP	4451	112	143	9999-12-31	2013-05-08
6406/5-1	312.000000	1910.000000	NORDLAND GP	GROUP	\N	4451	113	\N	9999-12-31	2013-05-08
6406/5-1	4272.000000	4335.000000	NOT FM	FORMATION	FANGST GP	4451	120	38	9999-12-31	2013-05-08
6406/5-1	2459.000000	2584.000000	ROGALAND GP	GROUP	\N	4451	131	\N	9999-12-31	2013-05-08
6406/5-1	4443.000000	4487.000000	ROR FM	FORMATION	BÅT GP	4451	135	22	9999-12-31	2013-05-08
6406/5-1	4580.000000	4628.000000	ROR FM	FORMATION	BÅT GP	4451	135	22	9999-12-31	2013-05-08
6406/5-1	2584.000000	3377.000000	SHETLAND GP	GROUP	\N	4451	143	\N	9999-12-31	2013-05-08
6406/5-1	4072.000000	4077.000000	SPEKK FM	FORMATION	VIKING GP	4451	155	188	9999-12-31	2013-05-08
6406/5-1	2584.000000	2693.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4451	156	143	9999-12-31	2013-05-08
6406/5-1	2459.000000	2584.000000	TARE FM	FORMATION	ROGALAND GP	4451	163	131	9999-12-31	2013-05-08
6406/5-1	4628.000000	4692.000000	TILJE FM	FORMATION	BÅT GP	4451	169	22	9999-12-31	2013-05-08
6406/5-1	4487.000000	4580.000000	TOFTE FM	FORMATION	BÅT GP	4451	170	22	9999-12-31	2013-05-08
6406/5-1	4072.000000	4205.000000	VIKING GP	GROUP	\N	4451	188	\N	9999-12-31	2013-05-08
30/3-7 BR	4439.000000	4611.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	4453	4	29	9999-12-31	2013-05-08
30/3-7 BR	2670.000000	2804.000000	BALDER FM	FORMATION	ROGALAND GP	4453	6	131	9999-12-31	2013-05-08
30/3-7 BR	4272.000000	4350.000000	BRENT GP	GROUP	\N	4453	16	\N	9999-12-31	2013-05-08
30/3-7 BR	5124.000000	5352.000000	BRENT GP	GROUP	\N	4453	16	\N	9999-12-31	2013-05-08
30/3-7 BR	5514.000000	5777.000000	BRENT GP	GROUP	\N	4453	16	\N	9999-12-31	2013-05-08
30/3-7 BR	4378.000000	4439.000000	COOK FM	FORMATION	DUNLIN GP	4453	24	29	9999-12-31	2013-05-08
30/3-7 BR	5897.000000	5970.000000	COOK FM	FORMATION	DUNLIN GP	4453	24	29	9999-12-31	2013-05-08
30/3-7 BR	4350.000000	4378.000000	DRAKE FM	FORMATION	DUNLIN GP	4453	27	29	9999-12-31	2013-05-08
30/3-7 BR	4948.000000	5124.000000	DRAKE FM	FORMATION	DUNLIN GP	4453	27	29	9999-12-31	2013-05-08
30/3-7 BR	5777.000000	5897.000000	DRAKE FM	FORMATION	DUNLIN GP	4453	27	29	9999-12-31	2013-05-08
30/3-7 BR	4350.000000	4611.000000	DUNLIN GP	GROUP	\N	4453	29	\N	9999-12-31	2013-05-08
30/3-7 BR	4948.000000	5124.000000	DUNLIN GP	GROUP	\N	4453	29	\N	9999-12-31	2013-05-08
30/3-7 BR	5777.000000	5970.000000	DUNLIN GP	GROUP	\N	4453	29	\N	9999-12-31	2013-05-08
30/3-7 BR	5202.000000	5229.000000	ETIVE FM	FORMATION	BRENT GP	4453	35	16	9999-12-31	2013-05-08
30/3-7 BR	5674.000000	5693.000000	ETIVE FM	FORMATION	BRENT GP	4453	35	16	9999-12-31	2013-05-08
30/3-7 BR	4261.000000	4272.000000	HEATHER FM	FORMATION	VIKING GP	4453	60	188	9999-12-31	2013-05-08
30/3-7 BR	5352.000000	5514.000000	HEATHER FM	FORMATION	VIKING GP	4453	60	188	9999-12-31	2013-05-08
30/3-7 BR	963.000000	2670.000000	HORDALAND GP	GROUP	\N	4453	67	\N	9999-12-31	2013-05-08
30/3-7 BR	3116.000000	3437.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4453	74	143	9999-12-31	2013-05-08
30/3-7 BR	3437.000000	3693.000000	KYRRE FM	FORMATION	SHETLAND GP	4453	92	143	9999-12-31	2013-05-08
30/3-7 BR	2844.000000	3116.000000	LISTA FM	FORMATION	ROGALAND GP	4453	95	131	9999-12-31	2013-05-08
30/3-7 BR	4272.000000	4304.000000	NESS FM	FORMATION	BRENT GP	4453	110	16	9999-12-31	2013-05-08
30/3-7 BR	5124.000000	5202.000000	NESS FM	FORMATION	BRENT GP	4453	110	16	9999-12-31	2013-05-08
30/3-7 BR	5326.000000	5352.000000	NESS FM	FORMATION	BRENT GP	4453	110	16	9999-12-31	2013-05-08
30/3-7 BR	5593.000000	5674.000000	NESS FM	FORMATION	BRENT GP	4453	110	16	9999-12-31	2013-05-08
30/3-7 BR	231.000000	963.000000	NORDLAND GP	GROUP	\N	4453	113	\N	9999-12-31	2013-05-08
30/3-7 BR	4304.000000	4350.000000	OSEBERG FM	FORMATION	BRENT GP	4453	123	16	9999-12-31	2013-05-08
30/3-7 BR	5259.000000	5326.000000	OSEBERG FM	FORMATION	BRENT GP	4453	123	16	9999-12-31	2013-05-08
30/3-7 BR	5693.000000	5777.000000	OSEBERG FM	FORMATION	BRENT GP	4453	123	16	9999-12-31	2013-05-08
30/3-7 BR	5229.000000	5259.000000	RANNOCH FM	FORMATION	BRENT GP	4453	126	16	9999-12-31	2013-05-08
30/3-7 BR	2670.000000	3116.000000	ROGALAND GP	GROUP	\N	4453	131	\N	9999-12-31	2013-05-08
30/3-7 BR	2804.000000	2844.000000	SELE FM	FORMATION	ROGALAND GP	4453	142	131	9999-12-31	2013-05-08
30/3-7 BR	3116.000000	4261.000000	SHETLAND GP	GROUP	\N	4453	143	\N	9999-12-31	2013-05-08
30/3-7 BR	4611.000000	4948.000000	STATFJORD FM	FORMATION	\N	4453	157	\N	9999-12-31	2013-05-08
30/3-7 BR	5514.000000	5593.000000	TARBERT FM	FORMATION	BRENT GP	4453	162	16	9999-12-31	2013-05-08
30/3-7 BR	3693.000000	4261.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4453	173	143	9999-12-31	2013-05-08
30/3-7 BR	783.000000	963.000000	UTSIRA FM	FORMATION	NORDLAND GP	4453	183	113	9999-12-31	2013-05-08
30/3-7 BR	4261.000000	4272.000000	VIKING GP	GROUP	\N	4453	188	\N	9999-12-31	2013-05-08
30/3-7 BR	5352.000000	5514.000000	VIKING GP	GROUP	\N	4453	188	\N	9999-12-31	2013-05-08
30/3-7 BR	4611.000000	4948.000000	NO GROUP DEFINED	GROUP	\N	4453	208	\N	9999-12-31	2013-05-08
30/3-4 R	3130.000000	3234.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	4454	4	29	9999-12-31	2013-05-08
30/3-4 R	1983.000000	2069.000000	BALDER FM	FORMATION	ROGALAND GP	4454	6	131	9999-12-31	2013-05-08
30/3-4 R	2828.000000	2951.000000	BRENT GP	GROUP	\N	4454	16	\N	9999-12-31	2013-05-08
30/3-4 R	2777.000000	2794.000000	CROMER KNOLL GP	GROUP	\N	4454	23	\N	9999-12-31	2013-05-08
30/3-4 R	3081.000000	3130.000000	COOK FM	FORMATION	DUNLIN GP	4454	24	29	9999-12-31	2013-05-08
30/3-4 R	2951.000000	3081.000000	DRAKE FM	FORMATION	DUNLIN GP	4454	27	29	9999-12-31	2013-05-08
30/3-4 R	2951.000000	3234.000000	DUNLIN GP	GROUP	\N	4454	29	\N	9999-12-31	2013-05-08
30/3-4 R	2875.000000	2951.000000	ETIVE FM	FORMATION	BRENT GP	4454	35	16	9999-12-31	2013-05-08
30/3-4 R	1352.000000	1363.000000	GRID FM	FORMATION	HORDALAND GP	4454	53	67	9999-12-31	2013-05-08
30/3-4 R	1455.000000	1520.000000	GRID FM	FORMATION	HORDALAND GP	4454	53	67	9999-12-31	2013-05-08
30/3-4 R	2794.000000	2828.000000	HEATHER FM	FORMATION	VIKING GP	4454	60	188	9999-12-31	2013-05-08
30/3-4 R	905.000000	1983.000000	HORDALAND GP	GROUP	\N	4454	67	\N	9999-12-31	2013-05-08
30/3-4 R	2277.000000	2493.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4454	74	143	9999-12-31	2013-05-08
30/3-4 R	2493.000000	2777.000000	KYRRE FM	FORMATION	SHETLAND GP	4454	92	143	9999-12-31	2013-05-08
30/3-4 R	2106.000000	2269.000000	LISTA FM	FORMATION	ROGALAND GP	4454	95	131	9999-12-31	2013-05-08
30/3-4 R	2828.000000	2875.000000	NESS FM	FORMATION	BRENT GP	4454	110	16	9999-12-31	2013-05-08
30/3-4 R	1363.000000	1455.000000	NO FORMAL NAME	FORMATION	\N	4454	111	\N	9999-12-31	2013-05-08
30/3-4 R	1520.000000	1983.000000	NO FORMAL NAME	FORMATION	\N	4454	111	\N	9999-12-31	2013-05-08
30/3-4 R	189.000000	905.000000	NORDLAND GP	GROUP	\N	4454	113	\N	9999-12-31	2013-05-08
30/3-4 R	1983.000000	2277.000000	ROGALAND GP	GROUP	\N	4454	131	\N	9999-12-31	2013-05-08
30/3-4 R	2069.000000	2106.000000	SELE FM	FORMATION	ROGALAND GP	4454	142	131	9999-12-31	2013-05-08
30/3-4 R	2277.000000	2777.000000	SHETLAND GP	GROUP	\N	4454	143	\N	9999-12-31	2013-05-08
30/3-4 R	3234.000000	3287.000000	STATFJORD FM	FORMATION	\N	4454	157	\N	9999-12-31	2013-05-08
30/3-4 R	733.000000	905.000000	UTSIRA FM	FORMATION	NORDLAND GP	4454	183	113	9999-12-31	2013-05-08
30/3-4 R	2794.000000	2828.000000	VIKING GP	GROUP	\N	4454	188	\N	9999-12-31	2013-05-08
30/3-4 R	2269.000000	2277.000000	VÅLE FM	FORMATION	ROGALAND GP	4454	190	131	9999-12-31	2013-05-08
30/3-4 R	3234.000000	3287.000000	NO GROUP DEFINED	GROUP	\N	4454	208	\N	9999-12-31	2013-05-08
30/9-20 S	2075.000000	2132.000000	BALDER FM	FORMATION	ROGALAND GP	4463	6	131	9999-12-31	2013-05-08
30/9-20 S	2806.000000	3072.000000	BRENT GP	GROUP	\N	4463	16	\N	9999-12-31	2013-05-08
30/9-20 S	2703.000000	2750.000000	CROMER KNOLL GP	GROUP	\N	4463	23	\N	9999-12-31	2013-05-08
30/9-20 S	3072.000000	3124.000000	DRAKE FM	FORMATION	DUNLIN GP	4463	27	29	9999-12-31	2013-05-08
30/9-20 S	2750.000000	2751.000000	DRAUPNE FM	FORMATION	VIKING GP	4463	28	188	9999-12-31	2013-05-08
30/9-20 S	3072.000000	3124.000000	DUNLIN GP	GROUP	\N	4463	29	\N	9999-12-31	2013-05-08
30/9-20 S	1579.000000	1613.000000	GRID FM	FORMATION	HORDALAND GP	4463	53	67	9999-12-31	2013-05-08
30/9-20 S	2361.000000	2588.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	4463	56	143	9999-12-31	2013-05-08
30/9-20 S	2751.000000	2806.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	4463	59	188	9999-12-31	2013-05-08
30/9-20 S	874.000000	2075.000000	HORDALAND GP	GROUP	\N	4463	67	\N	9999-12-31	2013-05-08
30/9-20 S	2588.000000	2629.000000	KYRRE FM	FORMATION	SHETLAND GP	4463	92	143	9999-12-31	2013-05-08
30/9-20 S	2181.000000	2283.000000	LISTA FM	FORMATION	ROGALAND GP	4463	95	131	9999-12-31	2013-05-08
30/9-20 S	2923.000000	3072.000000	NESS FM	FORMATION	BRENT GP	4463	110	16	9999-12-31	2013-05-08
30/9-20 S	590.000000	607.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	607.000000	665.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	843.000000	874.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	920.000000	960.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	991.000000	1215.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	1215.000000	1247.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	1247.000000	1300.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	1300.000000	1340.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	1340.000000	1436.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	1436.000000	1449.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	1449.000000	1579.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	1613.000000	2075.000000	NO FORMAL NAME	FORMATION	\N	4463	111	\N	9999-12-31	2013-05-08
30/9-20 S	125.000000	874.000000	NORDLAND GP	GROUP	\N	4463	113	\N	2013-01-08	2013-05-08
30/9-20 S	2075.000000	2361.000000	ROGALAND GP	GROUP	\N	4463	131	\N	9999-12-31	2013-05-08
30/9-20 S	2703.000000	2734.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4463	137	23	9999-12-31	2013-05-08
30/9-20 S	2132.000000	2181.000000	SELE FM	FORMATION	ROGALAND GP	4463	142	131	9999-12-31	2013-05-08
30/9-20 S	2361.000000	2703.000000	SHETLAND GP	GROUP	\N	4463	143	\N	9999-12-31	2013-05-08
30/9-20 S	902.000000	920.000000	SKADE FM	FORMATION	HORDALAND GP	4463	145	67	9999-12-31	2013-05-08
30/9-20 S	960.000000	991.000000	SKADE FM	FORMATION	HORDALAND GP	4463	145	67	9999-12-31	2013-05-08
30/9-20 S	2629.000000	2703.000000	SVARTE FM	FORMATION	SHETLAND GP	4463	160	143	9999-12-31	2013-05-08
30/9-20 S	2806.000000	2923.000000	TARBERT FM	FORMATION	BRENT GP	4463	162	16	9999-12-31	2013-05-08
30/9-20 S	665.000000	843.000000	UTSIRA FM	FORMATION	NORDLAND GP	4463	183	113	9999-12-31	2013-05-08
30/9-20 S	2750.000000	2806.000000	VIKING GP	GROUP	\N	4463	188	\N	9999-12-31	2013-05-08
30/9-20 S	2283.000000	2361.000000	VÅLE FM	FORMATION	ROGALAND GP	4463	190	131	9999-12-31	2013-05-08
30/9-20 S	2734.000000	2750.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4463	198	23	9999-12-31	2013-05-08
6404/11-1	2223.000000	2526.000000	BRYGGE FM	FORMATION	HORDALAND GP	4465	18	67	9999-12-31	2013-05-08
6404/11-1	2223.000000	2526.000000	HORDALAND GP	GROUP	\N	4465	67	\N	9999-12-31	2013-05-08
6404/11-1	1520.000000	2223.000000	NAUST FM	FORMATION	NORDLAND GP	4465	109	113	9999-12-31	2013-05-08
6404/11-1	3206.000000	3650.000000	NISE FM	FORMATION	SHETLAND GP	4465	112	143	9999-12-31	2013-05-08
6404/11-1	1520.000000	2223.000000	NORDLAND GP	GROUP	\N	4465	113	\N	9999-12-31	2013-05-08
6404/11-1	2526.000000	2748.000000	ROGALAND GP	GROUP	\N	4465	131	\N	9999-12-31	2013-05-08
6404/11-1	2748.000000	3650.000000	SHETLAND GP	GROUP	\N	4465	143	\N	9999-12-31	2013-05-08
6404/11-1	2748.000000	3206.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4465	156	143	9999-12-31	2013-05-08
6404/11-1	2605.000000	2748.000000	TANG FM	FORMATION	ROGALAND GP	4465	161	131	9999-12-31	2013-05-08
6404/11-1	2526.000000	2605.000000	TARE FM	FORMATION	ROGALAND GP	4465	163	131	9999-12-31	2013-05-08
34/10-46 S	5273.000000	5428.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	4489	4	29	9999-12-31	2013-05-08
34/10-46 S	2230.000000	2530.000000	BALDER FM	FORMATION	ROGALAND GP	4489	6	131	9999-12-31	2013-05-08
34/10-46 S	5245.000000	5273.000000	BRENT GP	GROUP	\N	4489	16	\N	9999-12-31	2013-05-08
34/10-46 S	5273.000000	5428.000000	DUNLIN GP	GROUP	\N	4489	29	\N	9999-12-31	2013-05-08
34/10-46 S	5207.000000	5245.000000	HEATHER FM	FORMATION	VIKING GP	4489	60	188	9999-12-31	2013-05-08
34/10-46 S	1728.000000	2230.000000	HORDALAND GP	GROUP	\N	4489	67	\N	9999-12-31	2013-05-08
34/10-46 S	2530.000000	3251.000000	LISTA FM	FORMATION	ROGALAND GP	4489	95	131	9999-12-31	2013-05-08
34/10-46 S	216.000000	1728.000000	NORDLAND GP	GROUP	\N	4489	113	\N	9999-12-31	2013-05-08
34/10-46 S	2230.000000	3251.000000	ROGALAND GP	GROUP	\N	4489	131	\N	9999-12-31	2013-05-08
34/10-46 S	3251.000000	5207.000000	SHETLAND GP	GROUP	\N	4489	143	\N	9999-12-31	2013-05-08
34/10-46 S	5428.000000	5568.000000	STATFJORD FM	FORMATION	\N	4489	157	\N	9999-12-31	2013-05-08
34/10-46 S	5245.000000	5273.000000	TARBERT FM	FORMATION	BRENT GP	4489	162	16	9999-12-31	2013-05-08
34/10-46 S	5207.000000	5245.000000	VIKING GP	GROUP	\N	4489	188	\N	9999-12-31	2013-05-08
34/10-46 S	5428.000000	5568.000000	NO GROUP DEFINED	GROUP	\N	4489	208	\N	9999-12-31	2013-05-08
35/3-6	2955.000000	2958.000000	AGAT FM	FORMATION	CROMER KNOLL GP	4492	2	23	9999-12-31	2013-05-08
35/3-6	1053.000000	1072.000000	BALDER FM	FORMATION	ROGALAND GP	4492	6	131	9999-12-31	2013-05-08
35/3-6	2771.000000	2786.000000	BLODØKS FM	FORMATION	SHETLAND GP	4492	13	143	9999-12-31	2013-05-08
35/3-6	2955.000000	3155.000000	CROMER KNOLL GP	GROUP	\N	4492	23	\N	9999-12-31	2013-05-08
35/3-6	3155.000000	3335.000000	DRAUPNE FM	FORMATION	VIKING GP	4492	28	188	9999-12-31	2013-05-08
35/3-6	3335.000000	3366.000000	HEATHER FM	FORMATION	VIKING GP	4492	60	188	9999-12-31	2013-05-08
35/3-6	1128.000000	1145.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4492	62	131	9999-12-31	2013-05-08
35/3-6	619.000000	1053.000000	HORDALAND GP	GROUP	\N	4492	67	\N	9999-12-31	2013-05-08
35/3-6	1356.000000	1429.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4492	74	143	9999-12-31	2013-05-08
35/3-6	1429.000000	2223.000000	KYRRE FM	FORMATION	SHETLAND GP	4492	92	143	9999-12-31	2013-05-08
35/3-6	1145.000000	1337.000000	LISTA FM	FORMATION	ROGALAND GP	4492	95	131	9999-12-31	2013-05-08
35/3-6	619.000000	826.000000	NO FORMAL NAME	FORMATION	\N	4492	111	\N	9999-12-31	2013-05-08
35/3-6	826.000000	1053.000000	NO FORMAL NAME	FORMATION	\N	4492	111	\N	9999-12-31	2013-05-08
35/3-6	248.000000	619.000000	NORDLAND GP	GROUP	\N	4492	113	\N	9999-12-31	2013-05-08
35/3-6	1053.000000	1356.000000	ROGALAND GP	GROUP	\N	4492	131	\N	9999-12-31	2013-05-08
35/3-6	2958.000000	2982.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4492	137	23	9999-12-31	2013-05-08
35/3-6	1072.000000	1128.000000	SELE FM	FORMATION	ROGALAND GP	4492	142	131	9999-12-31	2013-05-08
35/3-6	1356.000000	2955.000000	SHETLAND GP	GROUP	\N	4492	143	\N	9999-12-31	2013-05-08
35/3-6	2786.000000	2955.000000	SVARTE FM	FORMATION	SHETLAND GP	4492	160	143	9999-12-31	2013-05-08
35/3-6	2223.000000	2771.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4492	173	143	9999-12-31	2013-05-08
35/3-6	573.000000	619.000000	UTSIRA FM	FORMATION	NORDLAND GP	4492	183	113	9999-12-31	2013-05-08
35/3-6	3155.000000	3366.000000	VIKING GP	GROUP	\N	4492	188	\N	9999-12-31	2013-05-08
35/3-6	1337.000000	1356.000000	VÅLE FM	FORMATION	ROGALAND GP	4492	190	131	9999-12-31	2013-05-08
35/3-6	2982.000000	3155.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4492	198	23	9999-12-31	2013-05-08
33/12-8 S	3476.000000	3647.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	4493	4	29	9999-12-31	2013-05-08
33/12-8 S	1807.000000	1885.000000	BALDER FM	FORMATION	ROGALAND GP	4493	6	131	9999-12-31	2013-05-08
33/12-8 S	2814.000000	3167.000000	BRENT GP	GROUP	\N	4493	16	\N	9999-12-31	2013-05-08
33/12-8 S	3155.000000	3167.000000	BROOM FM	FORMATION	BRENT GP	4493	17	16	9999-12-31	2013-05-08
33/12-8 S	3429.000000	3476.000000	BURTON FM	FORMATION	DUNLIN GP	4493	20	29	9999-12-31	2013-05-08
33/12-8 S	3285.000000	3429.000000	COOK FM	FORMATION	DUNLIN GP	4493	24	29	9999-12-31	2013-05-08
33/12-8 S	3167.000000	3285.000000	DRAKE FM	FORMATION	DUNLIN GP	4493	27	29	9999-12-31	2013-05-08
33/12-8 S	2636.000000	2640.000000	DRAUPNE FM	FORMATION	VIKING GP	4493	28	188	9999-12-31	2013-05-08
33/12-8 S	3167.000000	3647.000000	DUNLIN GP	GROUP	\N	4493	29	\N	9999-12-31	2013-05-08
33/12-8 S	3731.000000	3750.000000	EIRIKSSON MBR	MEMBER	STATFJORD FM	4493	32	157	9999-12-31	2013-05-08
33/12-8 S	3075.000000	3098.000000	ETIVE FM	FORMATION	BRENT GP	4493	35	16	9999-12-31	2013-05-08
33/12-8 S	2640.000000	2814.000000	HEATHER FM	FORMATION	VIKING GP	4493	60	188	9999-12-31	2013-05-08
33/12-8 S	931.000000	1807.000000	HORDALAND GP	GROUP	\N	4493	67	\N	9999-12-31	2013-05-08
33/12-8 S	1885.000000	2030.000000	LISTA FM	FORMATION	ROGALAND GP	4493	95	131	9999-12-31	2013-05-08
33/12-8 S	3647.000000	3731.000000	NANSEN MBR	MEMBER	STATFJORD FM	4493	108	157	9999-12-31	2013-05-08
33/12-8 S	2906.000000	3075.000000	NESS FM	FORMATION	BRENT GP	4493	110	16	9999-12-31	2013-05-08
33/12-8 S	168.000000	931.000000	NORDLAND GP	GROUP	\N	4493	113	\N	9999-12-31	2013-05-08
33/12-8 S	3098.000000	3155.000000	RANNOCH FM	FORMATION	BRENT GP	4493	126	16	9999-12-31	2013-05-08
33/12-8 S	1807.000000	2030.000000	ROGALAND GP	GROUP	\N	4493	131	\N	9999-12-31	2013-05-08
33/12-8 S	2030.000000	2636.000000	SHETLAND GP	GROUP	\N	4493	143	\N	9999-12-31	2013-05-08
33/12-8 S	3647.000000	3750.000000	STATFJORD FM	FORMATION	\N	4493	157	\N	9999-12-31	2013-05-08
33/12-8 S	2814.000000	2906.000000	TARBERT FM	FORMATION	BRENT GP	4493	162	16	9999-12-31	2013-05-08
33/12-8 S	840.000000	931.000000	UTSIRA FM	FORMATION	NORDLAND GP	4493	183	113	9999-12-31	2013-05-08
33/12-8 S	2636.000000	2814.000000	VIKING GP	GROUP	\N	4493	188	\N	9999-12-31	2013-05-08
33/12-8 S	3647.000000	3750.000000	NO GROUP DEFINED	GROUP	\N	4493	208	\N	9999-12-31	2013-05-08
34/10-46 A	2230.000000	2530.000000	BALDER FM	FORMATION	ROGALAND GP	4500	6	131	9999-12-31	2013-05-08
34/10-46 A	6475.000000	6592.000000	BRENT GP	GROUP	\N	4500	16	\N	9999-12-31	2013-05-08
34/10-46 A	6709.000000	6860.000000	BRENT GP	GROUP	\N	4500	16	\N	9999-12-31	2013-05-08
34/10-46 A	1728.000000	2230.000000	HORDALAND GP	GROUP	\N	4500	67	\N	9999-12-31	2013-05-08
34/10-46 A	2530.000000	3251.000000	LISTA FM	FORMATION	ROGALAND GP	4500	95	131	9999-12-31	2013-05-08
34/10-46 A	6344.000000	6475.000000	NO FORMAL NAME	FORMATION	\N	4500	111	\N	9999-12-31	2013-05-08
34/10-46 A	216.000000	1728.000000	NORDLAND GP	GROUP	\N	4500	113	\N	9999-12-31	2013-05-08
34/10-46 A	2230.000000	3251.000000	ROGALAND GP	GROUP	\N	4500	131	\N	9999-12-31	2013-05-08
34/10-46 A	3251.000000	6475.000000	SHETLAND GP	GROUP	\N	4500	143	\N	9999-12-31	2013-05-08
34/10-46 A	6592.000000	6709.000000	SHETLAND GP	GROUP	\N	4500	143	\N	9999-12-31	2013-05-08
34/10-46 A	6475.000000	6592.000000	TARBERT FM	FORMATION	BRENT GP	4500	162	16	9999-12-31	2013-05-08
34/10-46 A	6709.000000	6860.000000	TARBERT FM	FORMATION	BRENT GP	4500	162	16	9999-12-31	2013-05-08
34/10-45 A	2394.000000	2757.000000	BALDER FM	FORMATION	ROGALAND GP	4501	6	131	9999-12-31	2013-05-08
34/10-45 A	6444.000000	6523.000000	HEATHER FM	FORMATION	VIKING GP	4501	60	188	9999-12-31	2013-05-08
34/10-45 A	1910.000000	2394.000000	HORDALAND GP	GROUP	\N	4501	67	\N	9999-12-31	2013-05-08
34/10-45 A	2757.000000	3664.000000	LISTA FM	FORMATION	ROGALAND GP	4501	95	131	9999-12-31	2013-05-08
34/10-45 A	6372.000000	6444.000000	NO FORMAL NAME	FORMATION	\N	4501	111	\N	9999-12-31	2013-05-08
34/10-45 A	223.000000	1910.000000	NORDLAND GP	GROUP	\N	4501	113	\N	9999-12-31	2013-05-08
34/10-45 A	2394.000000	3664.000000	ROGALAND GP	GROUP	\N	4501	131	\N	9999-12-31	2013-05-08
34/10-45 A	3664.000000	6444.000000	SHETLAND GP	GROUP	\N	4501	143	\N	9999-12-31	2013-05-08
34/10-45 A	6444.000000	6523.000000	VIKING GP	GROUP	\N	4501	188	\N	9999-12-31	2013-05-08
1/5-4 S	2903.000000	2935.000000	BALDER FM	FORMATION	ROGALAND GP	4521	6	131	9999-12-31	2013-05-08
1/5-4 S	2994.000000	3013.000000	EKOFISK FM	FORMATION	SHETLAND GP	4521	33	143	9999-12-31	2013-05-08
1/5-4 S	3063.000000	3077.000000	HOD FM	FORMATION	SHETLAND GP	4521	66	143	9999-12-31	2013-05-08
1/5-4 S	1718.000000	2903.000000	HORDALAND GP	GROUP	\N	4521	67	\N	9999-12-31	2013-05-08
1/5-4 S	2942.000000	2978.000000	LISTA FM	FORMATION	ROGALAND GP	4521	95	131	9999-12-31	2013-05-08
1/5-4 S	93.000000	1718.000000	NORDLAND GP	GROUP	\N	4521	113	\N	9999-12-31	2013-05-08
1/5-4 S	2903.000000	2994.000000	ROGALAND GP	GROUP	\N	4521	131	\N	9999-12-31	2013-05-08
1/5-4 S	2935.000000	2942.000000	SELE FM	FORMATION	ROGALAND GP	4521	142	131	9999-12-31	2013-05-08
1/5-4 S	2994.000000	3077.000000	SHETLAND GP	GROUP	\N	4521	143	\N	9999-12-31	2013-05-08
1/5-4 S	3013.000000	3063.000000	TOR FM	FORMATION	SHETLAND GP	4521	171	143	9999-12-31	2013-05-08
1/5-4 S	2978.000000	2994.000000	VÅLE FM	FORMATION	ROGALAND GP	4521	190	131	9999-12-31	2013-05-08
1/5-4 S	3077.000000	3090.000000	ZECHSTEIN GP	GROUP	\N	4521	194	\N	9999-12-31	2013-05-08
34/10-46 B	2230.000000	2530.000000	BALDER FM	FORMATION	ROGALAND GP	4527	6	131	9999-12-31	2013-05-08
34/10-46 B	6522.000000	6592.000000	BRENT GP	GROUP	\N	4527	16	\N	9999-12-31	2013-05-08
34/10-46 B	7074.000000	7206.000000	HEATHER FM	FORMATION	VIKING GP	4527	60	188	9999-12-31	2013-05-08
34/10-46 B	1728.000000	2230.000000	HORDALAND GP	GROUP	\N	4527	67	\N	9999-12-31	2013-05-08
34/10-46 B	2530.000000	3251.000000	LISTA FM	FORMATION	ROGALAND GP	4527	95	131	9999-12-31	2013-05-08
34/10-46 B	6344.000000	6394.000000	NO FORMAL NAME	FORMATION	\N	4527	111	\N	9999-12-31	2013-05-08
34/10-46 B	6394.000000	6522.000000	NO FORMAL NAME	FORMATION	\N	4527	111	\N	9999-12-31	2013-05-08
34/10-46 B	216.000000	1728.000000	NORDLAND GP	GROUP	\N	4527	113	\N	9999-12-31	2013-05-08
34/10-46 B	2230.000000	3251.000000	ROGALAND GP	GROUP	\N	4527	131	\N	9999-12-31	2013-05-08
34/10-46 B	3251.000000	6522.000000	SHETLAND GP	GROUP	\N	4527	143	\N	9999-12-31	2013-05-08
34/10-46 B	6592.000000	7074.000000	SHETLAND GP	GROUP	\N	4527	143	\N	9999-12-31	2013-05-08
34/10-46 B	7206.000000	7725.000000	SHETLAND GP	GROUP	\N	4527	143	\N	9999-12-31	2013-05-08
34/10-46 B	6522.000000	6592.000000	TARBERT FM	FORMATION	BRENT GP	4527	162	16	9999-12-31	2013-05-08
34/10-46 B	7074.000000	7206.000000	VIKING GP	GROUP	\N	4527	188	\N	9999-12-31	2013-05-08
6608/10-8 A	1560.000000	1791.000000	BRYGGE FM	FORMATION	HORDALAND GP	4530	18	67	9999-12-31	2013-05-08
6608/10-8 A	2615.000000	2660.000000	BÅT GP	GROUP	\N	4530	22	\N	9999-12-31	2013-05-08
6608/10-8 A	2108.000000	2323.000000	CROMER KNOLL GP	GROUP	\N	4530	23	\N	9999-12-31	2013-05-08
6608/10-8 A	2531.000000	2615.000000	FANGST GP	GROUP	\N	4530	38	\N	9999-12-31	2013-05-08
6608/10-8 A	1560.000000	1791.000000	HORDALAND GP	GROUP	\N	4530	67	\N	9999-12-31	2013-05-08
6608/10-8 A	2612.000000	2615.000000	ILE FM	FORMATION	FANGST GP	4530	70	38	9999-12-31	2013-05-08
6608/10-8 A	1418.000000	1560.000000	KAI FM	FORMATION	NORDLAND GP	4530	77	113	9999-12-31	2013-05-08
6608/10-8 A	2108.000000	2323.000000	LYR FM	FORMATION	CROMER KNOLL GP	4530	98	23	9999-12-31	2013-05-08
6608/10-8 A	2434.000000	2520.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	4530	104	188	9999-12-31	2013-05-08
6608/10-8 A	2345.000000	2434.000000	MELKE FM	FORMATION	VIKING GP	4530	105	188	9999-12-31	2013-05-08
6608/10-8 A	2520.000000	2531.000000	MELKE FM	FORMATION	VIKING GP	4530	105	188	9999-12-31	2013-05-08
6608/10-8 A	400.000000	1418.000000	NAUST FM	FORMATION	NORDLAND GP	4530	109	113	9999-12-31	2013-05-08
6608/10-8 A	400.000000	1560.000000	NORDLAND GP	GROUP	\N	4530	113	\N	9999-12-31	2013-05-08
6608/10-8 A	2536.000000	2612.000000	NOT FM	FORMATION	FANGST GP	4530	120	38	9999-12-31	2013-05-08
6608/10-8 A	1791.000000	1908.000000	ROGALAND GP	GROUP	\N	4530	131	\N	9999-12-31	2013-05-08
6608/10-8 A	1908.000000	2108.000000	SHETLAND GP	GROUP	\N	4530	143	\N	9999-12-31	2013-05-08
6608/10-8 A	2323.000000	2345.000000	SPEKK FM	FORMATION	VIKING GP	4530	155	188	9999-12-31	2013-05-08
6608/10-8 A	1908.000000	2108.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4530	156	143	9999-12-31	2013-05-08
6608/10-8 A	1875.000000	1908.000000	TANG FM	FORMATION	ROGALAND GP	4530	161	131	9999-12-31	2013-05-08
6608/10-8 A	1791.000000	1875.000000	TARE FM	FORMATION	ROGALAND GP	4530	163	131	9999-12-31	2013-05-08
6608/10-8 A	2615.000000	2660.000000	TILJE FM	FORMATION	BÅT GP	4530	169	22	9999-12-31	2013-05-08
6608/10-8 A	2323.000000	2531.000000	VIKING GP	GROUP	\N	4530	188	\N	9999-12-31	2013-05-08
33/12-8 A	1807.000000	1885.000000	BALDER FM	FORMATION	ROGALAND GP	4532	6	131	9999-12-31	2013-05-08
33/12-8 A	2866.000000	3630.000000	BRENT GP	GROUP	\N	4532	16	\N	9999-12-31	2013-05-08
33/12-8 A	3902.000000	4167.000000	BRENT GP	GROUP	\N	4532	16	\N	9999-12-31	2013-05-08
33/12-8 A	4554.000000	5098.000000	BRENT GP	GROUP	\N	4532	16	\N	9999-12-31	2013-05-08
33/12-8 A	5041.000000	5075.000000	ETIVE FM	FORMATION	BRENT GP	4532	35	16	9999-12-31	2013-05-08
33/12-8 A	2649.000000	2866.000000	HEATHER FM	FORMATION	VIKING GP	4532	60	188	9999-12-31	2013-05-08
33/12-8 A	3630.000000	3902.000000	HEATHER FM	FORMATION	VIKING GP	4532	60	188	9999-12-31	2013-05-08
33/12-8 A	4167.000000	4554.000000	HEATHER FM	FORMATION	VIKING GP	4532	60	188	9999-12-31	2013-05-08
33/12-8 A	931.000000	1807.000000	HORDALAND GP	GROUP	\N	4532	67	\N	9999-12-31	2013-05-08
33/12-8 A	1885.000000	2030.000000	LISTA FM	FORMATION	ROGALAND GP	4532	95	131	9999-12-31	2013-05-08
33/12-8 A	3127.000000	3182.000000	NESS FM	FORMATION	BRENT GP	4532	110	16	9999-12-31	2013-05-08
33/12-8 A	4770.000000	5041.000000	NESS FM	FORMATION	BRENT GP	4532	110	16	9999-12-31	2013-05-08
33/12-8 A	168.000000	931.000000	NORDLAND GP	GROUP	\N	4532	113	\N	9999-12-31	2013-05-08
33/12-8 A	5075.000000	5098.000000	RANNOCH FM	FORMATION	BRENT GP	4532	126	16	9999-12-31	2013-05-08
33/12-8 A	1807.000000	2030.000000	ROGALAND GP	GROUP	\N	4532	131	\N	9999-12-31	2013-05-08
33/12-8 A	2030.000000	2649.000000	SHETLAND GP	GROUP	\N	4532	143	\N	9999-12-31	2013-05-08
33/12-8 A	2866.000000	3127.000000	TARBERT FM	FORMATION	BRENT GP	4532	162	16	9999-12-31	2013-05-08
33/12-8 A	3182.000000	3630.000000	TARBERT FM	FORMATION	BRENT GP	4532	162	16	9999-12-31	2013-05-08
33/12-8 A	3902.000000	4167.000000	TARBERT FM	FORMATION	BRENT GP	4532	162	16	9999-12-31	2013-05-08
33/12-8 A	4554.000000	4770.000000	TARBERT FM	FORMATION	BRENT GP	4532	162	16	9999-12-31	2013-05-08
33/12-8 A	840.000000	931.000000	UTSIRA FM	FORMATION	NORDLAND GP	4532	183	113	9999-12-31	2013-05-08
33/12-8 A	2649.000000	2866.000000	VIKING GP	GROUP	\N	4532	188	\N	9999-12-31	2013-05-08
33/12-8 A	3630.000000	3902.000000	VIKING GP	GROUP	\N	4532	188	\N	9999-12-31	2013-05-08
33/12-8 A	4167.000000	4554.000000	VIKING GP	GROUP	\N	4532	188	\N	9999-12-31	2013-05-08
35/1-1	4180.000000	4264.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	4541	4	29	9999-12-31	2013-05-08
35/1-1	2020.000000	2042.000000	BALDER FM	FORMATION	ROGALAND GP	4541	6	131	9999-12-31	2013-05-08
35/1-1	3726.000000	3736.000000	BLODØKS FM	FORMATION	SHETLAND GP	4541	13	143	9999-12-31	2013-05-08
35/1-1	4087.000000	4124.000000	BURTON FM	FORMATION	DUNLIN GP	4541	20	29	9999-12-31	2013-05-08
35/1-1	3736.000000	3742.000000	CROMER KNOLL GP	GROUP	\N	4541	23	\N	9999-12-31	2013-05-08
35/1-1	3970.000000	4087.000000	COOK FM	FORMATION	DUNLIN GP	4541	24	29	9999-12-31	2013-05-08
35/1-1	3813.000000	3970.000000	DRAKE FM	FORMATION	DUNLIN GP	4541	27	29	9999-12-31	2013-05-08
35/1-1	3813.000000	4264.000000	DUNLIN GP	GROUP	\N	4541	29	\N	9999-12-31	2013-05-08
35/1-1	3742.000000	3813.000000	HEATHER FM	FORMATION	VIKING GP	4541	60	188	9999-12-31	2013-05-08
35/1-1	4476.000000	4540.000000	HEGRE GP	GROUP	\N	4541	61	\N	9999-12-31	2013-05-08
35/1-1	1581.000000	2020.000000	HORDALAND GP	GROUP	\N	4541	67	\N	9999-12-31	2013-05-08
35/1-1	4124.000000	4180.000000	JOHANSEN FM	FORMATION	DUNLIN GP	4541	73	29	9999-12-31	2013-05-08
35/1-1	2153.000000	2280.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4541	74	143	9999-12-31	2013-05-08
35/1-1	2280.000000	3301.000000	KYRRE FM	FORMATION	SHETLAND GP	4541	92	143	9999-12-31	2013-05-08
35/1-1	2050.000000	2147.000000	LISTA FM	FORMATION	ROGALAND GP	4541	95	131	9999-12-31	2013-05-08
35/1-1	4476.000000	4540.000000	LUNDE FM	FORMATION	HEGRE GP	4541	97	61	9999-12-31	2013-05-08
35/1-1	3736.000000	3742.000000	MIME FM	FORMATION	CROMER KNOLL GP	4541	106	23	9999-12-31	2013-05-08
35/1-1	431.000000	1581.000000	NORDLAND GP	GROUP	\N	4541	113	\N	9999-12-31	2013-05-08
35/1-1	2020.000000	2153.000000	ROGALAND GP	GROUP	\N	4541	131	\N	9999-12-31	2013-05-08
35/1-1	2042.000000	2050.000000	SELE FM	FORMATION	ROGALAND GP	4541	142	131	9999-12-31	2013-05-08
35/1-1	2153.000000	3736.000000	SHETLAND GP	GROUP	\N	4541	143	\N	9999-12-31	2013-05-08
35/1-1	4264.000000	4476.000000	STATFJORD FM	FORMATION	\N	4541	157	\N	9999-12-31	2013-05-08
35/1-1	3301.000000	3726.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4541	173	143	9999-12-31	2013-05-08
35/1-1	3742.000000	3813.000000	VIKING GP	GROUP	\N	4541	188	\N	9999-12-31	2013-05-08
35/1-1	2147.000000	2153.000000	VÅLE FM	FORMATION	ROGALAND GP	4541	190	131	9999-12-31	2013-05-08
35/1-1	4264.000000	4476.000000	NO GROUP DEFINED	GROUP	\N	4541	208	\N	9999-12-31	2013-05-08
34/6-1 S	3941.000000	4199.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	4561	4	29	9999-12-31	2013-05-08
34/6-1 S	1878.000000	1900.000000	BALDER FM	FORMATION	ROGALAND GP	4561	6	131	9999-12-31	2013-05-08
34/6-1 S	3470.000000	3659.000000	BRENT GP	GROUP	\N	4561	16	\N	9999-12-31	2013-05-08
34/6-1 S	3932.000000	3941.000000	BURTON FM	FORMATION	DUNLIN GP	4561	20	29	9999-12-31	2013-05-08
34/6-1 S	3378.000000	3412.000000	CROMER KNOLL GP	GROUP	\N	4561	23	\N	9999-12-31	2013-05-08
34/6-1 S	3807.000000	3932.000000	COOK FM	FORMATION	DUNLIN GP	4561	24	29	9999-12-31	2013-05-08
34/6-1 S	3659.000000	3807.000000	DRAKE FM	FORMATION	DUNLIN GP	4561	27	29	9999-12-31	2013-05-08
34/6-1 S	3412.000000	3419.000000	DRAUPNE FM	FORMATION	VIKING GP	4561	28	188	9999-12-31	2013-05-08
34/6-1 S	3659.000000	4199.000000	DUNLIN GP	GROUP	\N	4561	29	\N	9999-12-31	2013-05-08
34/6-1 S	3512.000000	3583.000000	ETIVE FM	FORMATION	BRENT GP	4561	35	16	9999-12-31	2013-05-08
34/6-1 S	3419.000000	3470.000000	HEATHER FM	FORMATION	VIKING GP	4561	60	188	9999-12-31	2013-05-08
34/6-1 S	4313.000000	4360.000000	HEGRE GP	GROUP	\N	4561	61	\N	9999-12-31	2013-05-08
34/6-1 S	1350.000000	1878.000000	HORDALAND GP	GROUP	\N	4561	67	\N	9999-12-31	2013-05-08
34/6-1 S	2053.000000	2300.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4561	74	143	9999-12-31	2013-05-08
34/6-1 S	2300.000000	3240.000000	KYRRE FM	FORMATION	SHETLAND GP	4561	92	143	9999-12-31	2013-05-08
34/6-1 S	1911.000000	2043.000000	LISTA FM	FORMATION	ROGALAND GP	4561	95	131	9999-12-31	2013-05-08
34/6-1 S	4313.000000	4360.000000	LUNDE FM	FORMATION	HEGRE GP	4561	97	61	9999-12-31	2013-05-08
34/6-1 S	3476.000000	3512.000000	NESS FM	FORMATION	BRENT GP	4561	110	16	9999-12-31	2013-05-08
34/6-1 S	407.000000	1350.000000	NORDLAND GP	GROUP	\N	4561	113	\N	9999-12-31	2013-05-08
34/6-1 S	3583.000000	3659.000000	RANNOCH FM	FORMATION	BRENT GP	4561	126	16	9999-12-31	2013-05-08
34/6-1 S	1878.000000	2053.000000	ROGALAND GP	GROUP	\N	4561	131	\N	9999-12-31	2013-05-08
34/6-1 S	1900.000000	1911.000000	SELE FM	FORMATION	ROGALAND GP	4561	142	131	9999-12-31	2013-05-08
34/6-1 S	2053.000000	3378.000000	SHETLAND GP	GROUP	\N	4561	143	\N	9999-12-31	2013-05-08
34/6-1 S	4199.000000	4313.000000	STATFJORD FM	FORMATION	\N	4561	157	\N	9999-12-31	2013-05-08
34/6-1 S	3470.000000	3476.000000	TARBERT FM	FORMATION	BRENT GP	4561	162	16	9999-12-31	2013-05-08
34/6-1 S	3240.000000	3378.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4561	173	143	9999-12-31	2013-05-08
34/6-1 S	3412.000000	3470.000000	VIKING GP	GROUP	\N	4561	188	\N	9999-12-31	2013-05-08
34/6-1 S	2043.000000	2053.000000	VÅLE FM	FORMATION	ROGALAND GP	4561	190	131	9999-12-31	2013-05-08
34/6-1 S	4199.000000	4313.000000	NO GROUP DEFINED	GROUP	\N	4561	208	\N	9999-12-31	2013-05-08
30/9-12 AR	2092.000000	2181.000000	BALDER FM	FORMATION	ROGALAND GP	4584	6	131	9999-12-31	2013-05-08
30/9-12 AR	2873.000000	3011.000000	BRENT GP	GROUP	\N	4584	16	\N	9999-12-31	2013-05-08
30/9-12 AR	2642.000000	2696.000000	CROMER KNOLL GP	GROUP	\N	4584	23	\N	9999-12-31	2013-05-08
30/9-12 AR	3011.000000	3065.000000	DRAKE FM	FORMATION	DUNLIN GP	4584	27	29	9999-12-31	2013-05-08
30/9-12 AR	2696.000000	2738.000000	DRAUPNE FM	FORMATION	VIKING GP	4584	28	188	9999-12-31	2013-05-08
30/9-12 AR	3011.000000	3065.000000	DUNLIN GP	GROUP	\N	4584	29	\N	9999-12-31	2013-05-08
30/9-12 AR	1357.000000	1389.000000	GRID FM	FORMATION	HORDALAND GP	4584	53	67	9999-12-31	2013-05-08
30/9-12 AR	2426.000000	2642.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	4584	56	143	9999-12-31	2013-05-08
30/9-12 AR	2769.000000	2785.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	4584	59	188	9999-12-31	2013-05-08
30/9-12 AR	2738.000000	2769.000000	HEATHER FM	FORMATION	VIKING GP	4584	60	188	9999-12-31	2013-05-08
30/9-12 AR	2785.000000	2873.000000	HEATHER FM	FORMATION	VIKING GP	4584	60	188	9999-12-31	2013-05-08
30/9-12 AR	846.000000	2092.000000	HORDALAND GP	GROUP	\N	4584	67	\N	9999-12-31	2013-05-08
30/9-12 AR	2343.000000	2421.000000	LISTA FM	FORMATION	ROGALAND GP	4584	95	131	9999-12-31	2013-05-08
30/9-12 AR	2680.000000	2695.000000	MIME FM	FORMATION	CROMER KNOLL GP	4584	106	23	9999-12-31	2013-05-08
30/9-12 AR	2891.000000	2967.000000	NESS FM	FORMATION	BRENT GP	4584	110	16	9999-12-31	2013-05-08
30/9-12 AR	1016.000000	1357.000000	NO FORMAL NAME	FORMATION	\N	4584	111	\N	9999-12-31	2013-05-08
30/9-12 AR	1389.000000	2092.000000	NO FORMAL NAME	FORMATION	\N	4584	111	\N	9999-12-31	2013-05-08
30/9-12 AR	133.000000	846.000000	NORDLAND GP	GROUP	\N	4584	113	\N	9999-12-31	2013-05-08
30/9-12 AR	2092.000000	2426.000000	ROGALAND GP	GROUP	\N	4584	131	\N	9999-12-31	2013-05-08
30/9-12 AR	2642.000000	2679.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4584	137	23	9999-12-31	2013-05-08
30/9-12 AR	2181.000000	2343.000000	SELE FM	FORMATION	ROGALAND GP	4584	142	131	9999-12-31	2013-05-08
30/9-12 AR	2426.000000	2642.000000	SHETLAND GP	GROUP	\N	4584	143	\N	9999-12-31	2013-05-08
30/9-12 AR	984.000000	1016.000000	SKADE FM	FORMATION	HORDALAND GP	4584	145	67	9999-12-31	2013-05-08
30/9-12 AR	2679.000000	2680.000000	SOLA FM	FORMATION	CROMER KNOLL GP	4584	152	23	9999-12-31	2013-05-08
30/9-12 AR	2873.000000	2891.000000	TARBERT FM	FORMATION	BRENT GP	4584	162	16	9999-12-31	2013-05-08
30/9-12 AR	2967.000000	3011.000000	UNDIFFERENTIATED	FORMATION	\N	4584	182	\N	9999-12-31	2013-05-08
30/9-12 AR	650.000000	846.000000	UTSIRA FM	FORMATION	NORDLAND GP	4584	183	113	9999-12-31	2013-05-08
30/9-12 AR	2696.000000	2873.000000	VIKING GP	GROUP	\N	4584	188	\N	9999-12-31	2013-05-08
30/9-12 AR	2421.000000	2426.000000	VÅLE FM	FORMATION	ROGALAND GP	4584	190	131	9999-12-31	2013-05-08
30/9-12 AR	2695.000000	2696.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4584	198	23	9999-12-31	2013-05-08
30/9-13 SR	3830.000000	3980.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	4586	4	29	9999-12-31	2013-05-08
30/9-13 SR	2203.000000	2268.000000	BALDER FM	FORMATION	ROGALAND GP	4586	6	131	9999-12-31	2013-05-08
30/9-13 SR	3028.000000	3456.000000	BRENT GP	GROUP	\N	4586	16	\N	9999-12-31	2013-05-08
30/9-13 SR	2906.000000	2948.000000	CROMER KNOLL GP	GROUP	\N	4586	23	\N	9999-12-31	2013-05-08
30/9-13 SR	3762.000000	3830.000000	COOK FM	FORMATION	DUNLIN GP	4586	24	29	9999-12-31	2013-05-08
30/9-13 SR	3456.000000	3762.000000	DRAKE FM	FORMATION	DUNLIN GP	4586	27	29	9999-12-31	2013-05-08
30/9-13 SR	3456.000000	3980.000000	DUNLIN GP	GROUP	\N	4586	29	\N	9999-12-31	2013-05-08
30/9-13 SR	1164.000000	1421.000000	GRID FM	FORMATION	HORDALAND GP	4586	53	67	9999-12-31	2013-05-08
30/9-13 SR	1519.000000	1539.000000	GRID FM	FORMATION	HORDALAND GP	4586	53	67	9999-12-31	2013-05-08
30/9-13 SR	1688.000000	1707.000000	GRID FM	FORMATION	HORDALAND GP	4586	53	67	9999-12-31	2013-05-08
30/9-13 SR	2497.000000	2799.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	4586	56	143	9999-12-31	2013-05-08
30/9-13 SR	2963.000000	3028.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	4586	59	188	9999-12-31	2013-05-08
30/9-13 SR	2948.000000	2963.000000	HEATHER FM	FORMATION	VIKING GP	4586	60	188	9999-12-31	2013-05-08
30/9-13 SR	896.000000	2203.000000	HORDALAND GP	GROUP	\N	4586	67	\N	9999-12-31	2013-05-08
30/9-13 SR	2799.000000	2906.000000	KYRRE FM	FORMATION	SHETLAND GP	4586	92	143	9999-12-31	2013-05-08
30/9-13 SR	2338.000000	2484.000000	LISTA FM	FORMATION	ROGALAND GP	4586	95	131	9999-12-31	2013-05-08
30/9-13 SR	2935.000000	2947.000000	MIME FM	FORMATION	CROMER KNOLL GP	4586	106	23	9999-12-31	2013-05-08
30/9-13 SR	3198.000000	3441.000000	NESS FM	FORMATION	BRENT GP	4586	110	16	9999-12-31	2013-05-08
30/9-13 SR	983.000000	1164.000000	NO FORMAL NAME	FORMATION	\N	4586	111	\N	9999-12-31	2013-05-08
30/9-13 SR	1421.000000	1519.000000	NO FORMAL NAME	FORMATION	\N	4586	111	\N	9999-12-31	2013-05-08
30/9-13 SR	1539.000000	1688.000000	NO FORMAL NAME	FORMATION	\N	4586	111	\N	9999-12-31	2013-05-08
30/9-13 SR	1707.000000	2203.000000	NO FORMAL NAME	FORMATION	\N	4586	111	\N	9999-12-31	2013-05-08
30/9-13 SR	135.000000	896.000000	NORDLAND GP	GROUP	\N	4586	113	\N	9999-12-31	2013-05-08
30/9-13 SR	3448.000000	3456.000000	OSEBERG FM	FORMATION	BRENT GP	4586	123	16	9999-12-31	2013-05-08
30/9-13 SR	2203.000000	2497.000000	ROGALAND GP	GROUP	\N	4586	131	\N	9999-12-31	2013-05-08
30/9-13 SR	2906.000000	2930.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4586	137	23	9999-12-31	2013-05-08
30/9-13 SR	2268.000000	2338.000000	SELE FM	FORMATION	ROGALAND GP	4586	142	131	9999-12-31	2013-05-08
30/9-13 SR	2497.000000	2906.000000	SHETLAND GP	GROUP	\N	4586	143	\N	9999-12-31	2013-05-08
30/9-13 SR	954.000000	983.000000	SKADE FM	FORMATION	HORDALAND GP	4586	145	67	9999-12-31	2013-05-08
30/9-13 SR	2930.000000	2935.000000	SOLA FM	FORMATION	CROMER KNOLL GP	4586	152	23	9999-12-31	2013-05-08
30/9-13 SR	3980.000000	4031.000000	STATFJORD FM	FORMATION	\N	4586	157	\N	9999-12-31	2013-05-08
30/9-13 SR	3028.000000	3198.000000	TARBERT FM	FORMATION	BRENT GP	4586	162	16	9999-12-31	2013-05-08
30/9-13 SR	3441.000000	3448.000000	UNDIFFERENTIATED	FORMATION	\N	4586	182	\N	9999-12-31	2013-05-08
30/9-13 SR	581.000000	896.000000	UTSIRA FM	FORMATION	NORDLAND GP	4586	183	113	9999-12-31	2013-05-08
30/9-13 SR	2948.000000	3028.000000	VIKING GP	GROUP	\N	4586	188	\N	9999-12-31	2013-05-08
30/9-13 SR	2484.000000	2497.000000	VÅLE FM	FORMATION	ROGALAND GP	4586	190	131	9999-12-31	2013-05-08
30/9-13 SR	2947.000000	2948.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4586	198	23	9999-12-31	2013-05-08
30/9-13 SR	3980.000000	4031.000000	NO GROUP DEFINED	GROUP	\N	4586	208	\N	9999-12-31	2013-05-08
6406/3-6	1865.000000	2235.000000	BRYGGE FM	FORMATION	HORDALAND GP	4589	18	67	9999-12-31	2013-05-08
6406/3-6	3889.000000	4175.000000	BÅT GP	GROUP	\N	4589	22	\N	9999-12-31	2013-05-08
6406/3-6	3095.000000	3577.000000	CROMER KNOLL GP	GROUP	\N	4589	23	\N	9999-12-31	2013-05-08
6406/3-6	3650.000000	3889.000000	FANGST GP	GROUP	\N	4589	38	\N	9999-12-31	2013-05-08
6406/3-6	3650.000000	3767.000000	GARN FM	FORMATION	FANGST GP	4589	48	38	9999-12-31	2013-05-08
6406/3-6	1865.000000	2235.000000	HORDALAND GP	GROUP	\N	4589	67	\N	9999-12-31	2013-05-08
6406/3-6	3805.000000	3889.000000	ILE FM	FORMATION	FANGST GP	4589	70	38	9999-12-31	2013-05-08
6406/3-6	1421.000000	1865.000000	KAI FM	FORMATION	NORDLAND GP	4589	77	113	9999-12-31	2013-05-08
6406/3-6	2806.000000	3095.000000	KVITNOS FM	FORMATION	SHETLAND GP	4589	91	143	9999-12-31	2013-05-08
6406/3-6	3124.000000	3548.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4589	94	23	9999-12-31	2013-05-08
6406/3-6	3548.000000	3577.000000	LYR FM	FORMATION	CROMER KNOLL GP	4589	98	23	9999-12-31	2013-05-08
6406/3-6	3095.000000	3124.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4589	99	23	9999-12-31	2013-05-08
6406/3-6	3594.000000	3650.000000	MELKE FM	FORMATION	VIKING GP	4589	105	188	9999-12-31	2013-05-08
6406/3-6	297.000000	1421.000000	NAUST FM	FORMATION	NORDLAND GP	4589	109	113	9999-12-31	2013-05-08
6406/3-6	2490.000000	2806.000000	NISE FM	FORMATION	SHETLAND GP	4589	112	143	9999-12-31	2013-05-08
6406/3-6	297.000000	1865.000000	NORDLAND GP	GROUP	\N	4589	113	\N	9999-12-31	2013-05-08
6406/3-6	3767.000000	3805.000000	NOT FM	FORMATION	FANGST GP	4589	120	38	9999-12-31	2013-05-08
6406/3-6	2235.000000	2371.000000	ROGALAND GP	GROUP	\N	4589	131	\N	9999-12-31	2013-05-08
6406/3-6	3889.000000	4041.000000	ROR FM	FORMATION	BÅT GP	4589	135	22	9999-12-31	2013-05-08
6406/3-6	2371.000000	3095.000000	SHETLAND GP	GROUP	\N	4589	143	\N	9999-12-31	2013-05-08
6406/3-6	3577.000000	3594.000000	SPEKK FM	FORMATION	VIKING GP	4589	155	188	9999-12-31	2013-05-08
6406/3-6	2371.000000	2490.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4589	156	143	9999-12-31	2013-05-08
6406/3-6	2304.000000	2371.000000	TANG FM	FORMATION	ROGALAND GP	4589	161	131	9999-12-31	2013-05-08
6406/3-6	2235.000000	2304.000000	TARE FM	FORMATION	ROGALAND GP	4589	163	131	9999-12-31	2013-05-08
6406/3-6	4041.000000	4175.000000	TILJE FM	FORMATION	BÅT GP	4589	169	22	9999-12-31	2013-05-08
6406/3-6	3577.000000	3650.000000	VIKING GP	GROUP	\N	4589	188	\N	9999-12-31	2013-05-08
31/5-5 R	1302.000000	1382.000000	BALDER FM	FORMATION	ROGALAND GP	4593	6	131	9999-12-31	2013-05-08
31/5-5 R	1561.000000	1579.000000	CROMER KNOLL GP	GROUP	\N	4593	23	\N	9999-12-31	2013-05-08
31/5-5 R	1732.000000	1862.000000	FENSFJORD FM	FORMATION	VIKING GP	4593	40	188	9999-12-31	2013-05-08
31/5-5 R	1667.000000	1732.000000	HEATHER FM	FORMATION	VIKING GP	4593	60	188	9999-12-31	2013-05-08
31/5-5 R	748.000000	1302.000000	HORDALAND GP	GROUP	\N	4593	67	\N	9999-12-31	2013-05-08
31/5-5 R	1862.000000	1937.000000	KROSSFJORD FM	FORMATION	VIKING GP	4593	87	188	9999-12-31	2013-05-08
31/5-5 R	1411.000000	1536.000000	LISTA FM	FORMATION	ROGALAND GP	4593	95	131	9999-12-31	2013-05-08
31/5-5 R	354.000000	748.000000	NORDLAND GP	GROUP	\N	4593	113	\N	9999-12-31	2013-05-08
31/5-5 R	1302.000000	1536.000000	ROGALAND GP	GROUP	\N	4593	131	\N	9999-12-31	2013-05-08
31/5-5 R	1382.000000	1411.000000	SELE FM	FORMATION	ROGALAND GP	4593	142	131	9999-12-31	2013-05-08
31/5-5 R	1536.000000	1561.000000	SHETLAND GP	GROUP	\N	4593	143	\N	9999-12-31	2013-05-08
31/5-5 R	1579.000000	1667.000000	SOGNEFJORD FM	FORMATION	VIKING GP	4593	151	188	9999-12-31	2013-05-08
31/5-5 R	1579.000000	1937.000000	VIKING GP	GROUP	\N	4593	188	\N	9999-12-31	2013-05-08
6403/10-1	2015.000000	2250.000000	BRYGGE FM	FORMATION	HORDALAND GP	4602	18	67	9999-12-31	2013-05-08
6403/10-1	2015.000000	2250.000000	HORDALAND GP	GROUP	\N	4602	67	\N	9999-12-31	2013-05-08
6403/10-1	1904.000000	2015.000000	KAI FM	FORMATION	NORDLAND GP	4602	77	113	9999-12-31	2013-05-08
6403/10-1	3098.000000	3398.000000	KVITNOS FM	FORMATION	SHETLAND GP	4602	91	143	9999-12-31	2013-05-08
6403/10-1	1742.000000	1904.000000	NAUST FM	FORMATION	NORDLAND GP	4602	109	113	9999-12-31	2013-05-08
6403/10-1	2825.000000	3098.000000	NISE FM	FORMATION	SHETLAND GP	4602	112	143	9999-12-31	2013-05-08
6403/10-1	1742.000000	2015.000000	NORDLAND GP	GROUP	\N	4602	113	\N	9999-12-31	2013-05-08
6403/10-1	2250.000000	2496.000000	ROGALAND GP	GROUP	\N	4602	131	\N	9999-12-31	2013-05-08
6403/10-1	2496.000000	3398.000000	SHETLAND GP	GROUP	\N	4602	143	\N	9999-12-31	2013-05-08
6403/10-1	2496.000000	2825.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4602	156	143	9999-12-31	2013-05-08
6403/10-1	2334.000000	2496.000000	TANG FM	FORMATION	ROGALAND GP	4602	161	131	9999-12-31	2013-05-08
6403/10-1	2250.000000	2334.000000	TARE FM	FORMATION	ROGALAND GP	4602	163	131	9999-12-31	2013-05-08
34/10-47 S	1698.000000	1765.000000	BALDER FM	FORMATION	ROGALAND GP	4609	6	131	9999-12-31	2013-05-08
34/10-47 S	2876.000000	2910.000000	BRENT GP	GROUP	\N	4609	16	\N	9999-12-31	2013-05-08
34/10-47 S	2910.000000	3000.000000	BRENT GP	GROUP	\N	4609	16	\N	9999-12-31	2013-05-08
34/10-47 S	3000.000000	3804.000000	BRENT GP	GROUP	\N	4609	16	\N	9999-12-31	2013-05-08
34/10-47 S	2444.000000	2458.000000	CROMER KNOLL GP	GROUP	\N	4609	23	\N	9999-12-31	2013-05-08
34/10-47 S	2458.000000	2489.000000	DRAUPNE FM	FORMATION	VIKING GP	4609	28	188	9999-12-31	2013-05-08
34/10-47 S	3923.000000	3964.000000	DRAUPNE FM	FORMATION	VIKING GP	4609	28	188	9999-12-31	2013-05-08
34/10-47 S	3285.000000	3355.000000	ETIVE FM	FORMATION	BRENT GP	4609	35	16	9999-12-31	2013-05-08
34/10-47 S	2489.000000	2876.000000	HEATHER FM	FORMATION	VIKING GP	4609	60	188	9999-12-31	2013-05-08
34/10-47 S	3804.000000	3923.000000	HEATHER FM	FORMATION	VIKING GP	4609	60	188	9999-12-31	2013-05-08
34/10-47 S	968.000000	1698.000000	HORDALAND GP	GROUP	\N	4609	67	\N	9999-12-31	2013-05-08
34/10-47 S	1765.000000	1916.000000	LISTA FM	FORMATION	ROGALAND GP	4609	95	131	9999-12-31	2013-05-08
34/10-47 S	3355.000000	3580.000000	NESS FM	FORMATION	BRENT GP	4609	110	16	9999-12-31	2013-05-08
34/10-47 S	165.000000	968.000000	NORDLAND GP	GROUP	\N	4609	113	\N	9999-12-31	2013-05-08
34/10-47 S	2910.000000	3000.000000	RANNOCH FM	FORMATION	BRENT GP	4609	126	16	9999-12-31	2013-05-08
34/10-47 S	3000.000000	3285.000000	RANNOCH FM	FORMATION	BRENT GP	4609	126	16	9999-12-31	2013-05-08
34/10-47 S	1698.000000	1916.000000	ROGALAND GP	GROUP	\N	4609	131	\N	9999-12-31	2013-05-08
34/10-47 S	1916.000000	2444.000000	SHETLAND GP	GROUP	\N	4609	143	\N	9999-12-31	2013-05-08
34/10-47 S	3964.000000	4027.000000	SHETLAND GP	GROUP	\N	4609	143	\N	9999-12-31	2013-05-08
34/10-47 S	2876.000000	2910.000000	TARBERT FM	FORMATION	BRENT GP	4609	162	16	9999-12-31	2013-05-08
34/10-47 S	3580.000000	3804.000000	TARBERT FM	FORMATION	BRENT GP	4609	162	16	9999-12-31	2013-05-08
34/10-47 S	910.000000	968.000000	UTSIRA FM	FORMATION	NORDLAND GP	4609	183	113	9999-12-31	2013-05-08
34/10-47 S	2458.000000	2876.000000	VIKING GP	GROUP	\N	4609	188	\N	9999-12-31	2013-05-08
34/10-47 S	3804.000000	3964.000000	VIKING GP	GROUP	\N	4609	188	\N	9999-12-31	2013-05-08
16/7-8 S	2224.000000	2298.000000	BALDER FM	FORMATION	ROGALAND GP	4612	6	131	9999-12-31	2013-05-08
16/7-8 S	2765.000000	2778.000000	BLODØKS FM	FORMATION	SHETLAND GP	4612	13	143	9999-12-31	2013-05-08
16/7-8 S	2787.000000	2818.000000	CROMER KNOLL GP	GROUP	\N	4612	23	\N	9999-12-31	2013-05-08
16/7-8 S	2818.000000	2821.000000	DRAUPNE FM	FORMATION	VIKING GP	4612	28	188	9999-12-31	2013-05-08
16/7-8 S	2474.000000	2484.000000	EKOFISK FM	FORMATION	SHETLAND GP	4612	33	143	9999-12-31	2013-05-08
16/7-8 S	2821.000000	2825.000000	HEATHER FM	FORMATION	VIKING GP	4612	60	188	9999-12-31	2013-05-08
16/7-8 S	2687.000000	2765.000000	HOD FM	FORMATION	SHETLAND GP	4612	66	143	9999-12-31	2013-05-08
16/7-8 S	1046.000000	2224.000000	HORDALAND GP	GROUP	\N	4612	67	\N	9999-12-31	2013-05-08
16/7-8 S	2825.000000	2856.000000	HUGIN FM	FORMATION	VESTLAND GP	4612	69	186	9999-12-31	2013-05-08
16/7-8 S	2360.000000	2458.000000	LISTA FM	FORMATION	ROGALAND GP	4612	95	131	9999-12-31	2013-05-08
16/7-8 S	1263.000000	2224.000000	NO FORMAL NAME	FORMATION	\N	4612	111	\N	9999-12-31	2013-05-08
16/7-8 S	103.000000	1046.000000	NORDLAND GP	GROUP	\N	4612	113	\N	9999-12-31	2013-05-08
16/7-8 S	2224.000000	2474.000000	ROGALAND GP	GROUP	\N	4612	131	\N	9999-12-31	2013-05-08
16/7-8 S	2787.000000	2809.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4612	137	23	9999-12-31	2013-05-08
16/7-8 S	2298.000000	2360.000000	SELE FM	FORMATION	ROGALAND GP	4612	142	131	9999-12-31	2013-05-08
16/7-8 S	2474.000000	2787.000000	SHETLAND GP	GROUP	\N	4612	143	\N	9999-12-31	2013-05-08
16/7-8 S	1170.000000	1263.000000	SKADE FM	FORMATION	HORDALAND GP	4612	145	67	9999-12-31	2013-05-08
16/7-8 S	2856.000000	2900.000000	SKAGERRAK FM	FORMATION	HEGRE GP	4612	146	61	9999-12-31	2013-05-08
16/7-8 S	2809.000000	2813.000000	SOLA FM	FORMATION	CROMER KNOLL GP	4612	152	23	9999-12-31	2013-05-08
16/7-8 S	2778.000000	2787.000000	SVARTE FM	FORMATION	SHETLAND GP	4612	160	143	9999-12-31	2013-05-08
16/7-8 S	2484.000000	2687.000000	TOR FM	FORMATION	SHETLAND GP	4612	171	143	9999-12-31	2013-05-08
16/7-8 S	851.000000	1046.000000	UTSIRA FM	FORMATION	NORDLAND GP	4612	183	113	9999-12-31	2013-05-08
16/7-8 S	2825.000000	2856.000000	VESTLAND GP	GROUP	\N	4612	186	\N	9999-12-31	2013-05-08
16/7-8 S	2818.000000	2825.000000	VIKING GP	GROUP	\N	4612	188	\N	9999-12-31	2013-05-08
16/7-8 S	2458.000000	2474.000000	VÅLE FM	FORMATION	ROGALAND GP	4612	190	131	9999-12-31	2013-05-08
16/7-8 S	2813.000000	2818.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4612	198	23	9999-12-31	2013-05-08
16/7-8 S	2856.000000	2900.000000	NO GROUP DEFINED	GROUP	\N	4612	208	\N	9999-12-31	2013-05-08
6608/11-3	1297.000000	1363.000000	BRYGGE FM	FORMATION	HORDALAND GP	4630	18	67	9999-12-31	2013-05-08
6608/11-3	1517.000000	1940.000000	BÅT GP	GROUP	\N	4630	22	\N	9999-12-31	2013-05-08
6608/11-3	1477.000000	1517.000000	FANGST GP	GROUP	\N	4630	38	\N	9999-12-31	2013-05-08
6608/11-3	1940.000000	2031.000000	GREY BEDS (INFORMAL)	GROUP	\N	4630	52	\N	9999-12-31	2013-05-08
6608/11-3	1297.000000	1363.000000	HORDALAND GP	GROUP	\N	4630	67	\N	9999-12-31	2013-05-08
6608/11-3	1509.000000	1517.000000	ILE FM	FORMATION	FANGST GP	4630	70	38	9999-12-31	2013-05-08
6608/11-3	1240.000000	1297.000000	KAI FM	FORMATION	NORDLAND GP	4630	77	113	9999-12-31	2013-05-08
6608/11-3	1444.000000	1477.000000	MELKE FM	FORMATION	VIKING GP	4630	105	188	9999-12-31	2013-05-08
6608/11-3	398.000000	1240.000000	NAUST FM	FORMATION	NORDLAND GP	4630	109	113	9999-12-31	2013-05-08
6608/11-3	398.000000	1297.000000	NORDLAND GP	GROUP	\N	4630	113	\N	9999-12-31	2013-05-08
6608/11-3	1477.000000	1509.000000	NOT FM	FORMATION	FANGST GP	4630	120	38	9999-12-31	2013-05-08
6608/11-3	1363.000000	1444.000000	ROGALAND GP	GROUP	\N	4630	131	\N	9999-12-31	2013-05-08
6608/11-3	1429.000000	1444.000000	TANG FM	FORMATION	ROGALAND GP	4630	161	131	9999-12-31	2013-05-08
6608/11-3	1363.000000	1429.000000	TARE FM	FORMATION	ROGALAND GP	4630	163	131	9999-12-31	2013-05-08
6608/11-3	1517.000000	1530.000000	TILJE FM	FORMATION	BÅT GP	4630	169	22	9999-12-31	2013-05-08
6608/11-3	1444.000000	1477.000000	VIKING GP	GROUP	\N	4630	188	\N	9999-12-31	2013-05-08
6608/11-3	1530.000000	1940.000000	ÅRE FM	FORMATION	BÅT GP	4630	197	22	9999-12-31	2013-05-08
31/2-20 S	3365.000000	3400.000000	BRENT GP	GROUP	\N	4636	16	\N	9999-12-31	2013-05-08
31/2-20 S	2887.000000	3148.000000	FENSFJORD FM	FORMATION	VIKING GP	4636	40	188	9999-12-31	2013-05-08
31/2-20 S	3252.000000	3365.000000	HEATHER FM	FORMATION	VIKING GP	4636	60	188	9999-12-31	2013-05-08
31/2-20 S	765.000000	2200.000000	HORDALAND GP	GROUP	\N	4636	67	\N	9999-12-31	2013-05-08
31/2-20 S	3148.000000	3252.000000	KROSSFJORD FM	FORMATION	VIKING GP	4636	87	188	9999-12-31	2013-05-08
31/2-20 S	355.000000	765.000000	NORDLAND GP	GROUP	\N	4636	113	\N	9999-12-31	2013-05-08
31/2-20 S	2200.000000	2669.000000	ROGALAND GP	GROUP	\N	4636	131	\N	9999-12-31	2013-05-08
31/2-20 S	2669.000000	2673.000000	SHETLAND GP	GROUP	\N	4636	143	\N	9999-12-31	2013-05-08
31/2-20 S	2673.000000	2887.000000	SOGNEFJORD FM	FORMATION	VIKING GP	4636	151	188	9999-12-31	2013-05-08
31/2-20 S	2673.000000	3365.000000	VIKING GP	GROUP	\N	4636	188	\N	9999-12-31	2013-05-08
34/10-47 A	2818.000000	2964.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	4640	4	29	9999-12-31	2013-05-08
34/10-47 A	1698.000000	1765.000000	BALDER FM	FORMATION	ROGALAND GP	4640	6	131	9999-12-31	2013-05-08
34/10-47 A	2632.000000	2793.000000	BRENT GP	GROUP	\N	4640	16	\N	9999-12-31	2013-05-08
34/10-47 A	2793.000000	2818.000000	BURTON FM	FORMATION	DUNLIN GP	4640	20	29	9999-12-31	2013-05-08
34/10-47 A	2404.000000	2414.000000	CROMER KNOLL GP	GROUP	\N	4640	23	\N	9999-12-31	2013-05-08
34/10-47 A	2414.000000	2431.000000	DRAUPNE FM	FORMATION	VIKING GP	4640	28	188	9999-12-31	2013-05-08
34/10-47 A	2793.000000	2964.000000	DUNLIN GP	GROUP	\N	4640	29	\N	9999-12-31	2013-05-08
34/10-47 A	2431.000000	2632.000000	HEATHER FM	FORMATION	VIKING GP	4640	60	188	9999-12-31	2013-05-08
34/10-47 A	968.000000	1698.000000	HORDALAND GP	GROUP	\N	4640	67	\N	9999-12-31	2013-05-08
34/10-47 A	1765.000000	1916.000000	LISTA FM	FORMATION	ROGALAND GP	4640	95	131	9999-12-31	2013-05-08
34/10-47 A	2964.000000	3020.000000	NANSEN MBR	MEMBER	STATFJORD FM	4640	108	157	9999-12-31	2013-05-08
34/10-47 A	2729.000000	2793.000000	NESS FM	FORMATION	BRENT GP	4640	110	16	9999-12-31	2013-05-08
34/10-47 A	165.000000	968.000000	NORDLAND GP	GROUP	\N	4640	113	\N	9999-12-31	2013-05-08
34/10-47 A	1698.000000	1916.000000	ROGALAND GP	GROUP	\N	4640	131	\N	9999-12-31	2013-05-08
34/10-47 A	1916.000000	2404.000000	SHETLAND GP	GROUP	\N	4640	143	\N	9999-12-31	2013-05-08
34/10-47 A	2964.000000	3020.000000	STATFJORD FM	FORMATION	\N	4640	157	\N	9999-12-31	2013-05-08
34/10-47 A	2632.000000	2729.000000	TARBERT FM	FORMATION	BRENT GP	4640	162	16	9999-12-31	2013-05-08
34/10-47 A	910.000000	968.000000	UTSIRA FM	FORMATION	NORDLAND GP	4640	183	113	9999-12-31	2013-05-08
34/10-47 A	2414.000000	2632.000000	VIKING GP	GROUP	\N	4640	188	\N	9999-12-31	2013-05-08
34/10-47 A	2964.000000	3020.000000	NO GROUP DEFINED	GROUP	\N	4640	208	\N	9999-12-31	2013-05-08
1/9-7	2989.000000	2992.000000	ANDREW FM	FORMATION	ROGALAND GP	4652	5	131	9999-12-31	2013-05-08
1/9-7	2920.000000	2931.000000	BALDER FM	FORMATION	ROGALAND GP	4652	6	131	9999-12-31	2013-05-08
1/9-7	3789.000000	4313.000000	CROMER KNOLL GP	GROUP	\N	4652	23	\N	9999-12-31	2013-05-08
1/9-7	3093.000000	3159.000000	EKOFISK FM	FORMATION	SHETLAND GP	4652	33	143	9999-12-31	2013-05-08
1/9-7	4400.000000	4504.000000	FARSUND FM	FORMATION	TYNE GP	4652	39	177	9999-12-31	2013-05-08
1/9-7	4504.000000	4911.000000	HAUGESUND FM	FORMATION	TYNE GP	4652	57	177	9999-12-31	2013-05-08
1/9-7	3705.000000	3789.000000	HIDRA FM	FORMATION	SHETLAND GP	4652	65	143	9999-12-31	2013-05-08
1/9-7	3364.000000	3705.000000	HOD FM	FORMATION	SHETLAND GP	4652	66	143	9999-12-31	2013-05-08
1/9-7	1537.000000	2920.000000	HORDALAND GP	GROUP	\N	4652	67	\N	9999-12-31	2013-05-08
1/9-7	2987.000000	2989.000000	LISTA FM	FORMATION	ROGALAND GP	4652	95	131	9999-12-31	2013-05-08
1/9-7	2992.000000	3065.000000	LISTA FM	FORMATION	ROGALAND GP	4652	95	131	9999-12-31	2013-05-08
1/9-7	4313.000000	4400.000000	MANDAL FM	FORMATION	TYNE GP	4652	101	177	9999-12-31	2013-05-08
1/9-7	121.000000	1537.000000	NORDLAND GP	GROUP	\N	4652	113	\N	9999-12-31	2013-05-08
1/9-7	2920.000000	3093.000000	ROGALAND GP	GROUP	\N	4652	131	\N	9999-12-31	2013-05-08
1/9-7	3789.000000	3867.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4652	137	23	9999-12-31	2013-05-08
1/9-7	2931.000000	2987.000000	SELE FM	FORMATION	ROGALAND GP	4652	142	131	9999-12-31	2013-05-08
1/9-7	3093.000000	3789.000000	SHETLAND GP	GROUP	\N	4652	143	\N	9999-12-31	2013-05-08
1/9-7	4911.000000	4986.000000	SMITH BANK FM	FORMATION	HEGRE GP	4652	149	61	9999-12-31	2013-05-08
1/9-7	3867.000000	3948.000000	SOLA FM	FORMATION	CROMER KNOLL GP	4652	152	23	9999-12-31	2013-05-08
1/9-7	3159.000000	3364.000000	TOR FM	FORMATION	SHETLAND GP	4652	171	143	9999-12-31	2013-05-08
1/9-7	3948.000000	4001.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	4652	175	23	9999-12-31	2013-05-08
1/9-7	4313.000000	4986.000000	TYNE GP	GROUP	\N	4652	177	\N	9999-12-31	2013-05-08
1/9-7	3065.000000	3093.000000	VÅLE FM	FORMATION	ROGALAND GP	4652	190	131	9999-12-31	2013-05-08
1/9-7	4001.000000	4313.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4652	198	23	9999-12-31	2013-05-08
6608/10-9	1517.000000	1684.000000	BRYGGE FM	FORMATION	HORDALAND GP	4668	18	67	9999-12-31	2013-05-08
6608/10-9	2222.000000	2400.000000	BÅT GP	GROUP	\N	4668	22	\N	9999-12-31	2013-05-08
6608/10-9	1821.000000	2047.000000	CROMER KNOLL GP	GROUP	\N	4668	23	\N	9999-12-31	2013-05-08
6608/10-9	2188.000000	2222.000000	FANGST GP	GROUP	\N	4668	38	\N	9999-12-31	2013-05-08
6608/10-9	1517.000000	1684.000000	HORDALAND GP	GROUP	\N	4668	67	\N	9999-12-31	2013-05-08
6608/10-9	1385.000000	1517.000000	KAI FM	FORMATION	NORDLAND GP	4668	77	113	9999-12-31	2013-05-08
6608/10-9	1821.000000	2047.000000	LYR FM	FORMATION	CROMER KNOLL GP	4668	98	23	9999-12-31	2013-05-08
6608/10-9	2133.000000	2188.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	4668	104	188	9999-12-31	2013-05-08
6608/10-9	2055.000000	2133.000000	MELKE FM	FORMATION	VIKING GP	4668	105	188	9999-12-31	2013-05-08
6608/10-9	400.000000	1385.000000	NAUST FM	FORMATION	NORDLAND GP	4668	109	113	9999-12-31	2013-05-08
6608/10-9	400.000000	1517.000000	NORDLAND GP	GROUP	\N	4668	113	\N	9999-12-31	2013-05-08
6608/10-9	2188.000000	2222.000000	NOT FM	FORMATION	FANGST GP	4668	120	38	9999-12-31	2013-05-08
6608/10-9	1684.000000	1780.000000	ROGALAND GP	GROUP	\N	4668	131	\N	9999-12-31	2013-05-08
6608/10-9	1780.000000	1821.000000	SHETLAND GP	GROUP	\N	4668	143	\N	9999-12-31	2013-05-08
6608/10-9	2047.000000	2055.000000	SPEKK FM	FORMATION	VIKING GP	4668	155	188	9999-12-31	2013-05-08
6608/10-9	1780.000000	1821.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4668	156	143	9999-12-31	2013-05-08
6608/10-9	1757.000000	1780.000000	TANG FM	FORMATION	ROGALAND GP	4668	161	131	9999-12-31	2013-05-08
6608/10-9	1684.000000	1757.000000	TARE FM	FORMATION	ROGALAND GP	4668	163	131	9999-12-31	2013-05-08
6608/10-9	2222.000000	2228.000000	TILJE FM	FORMATION	BÅT GP	4668	169	22	9999-12-31	2013-05-08
6608/10-9	2047.000000	2188.000000	VIKING GP	GROUP	\N	4668	188	\N	9999-12-31	2013-05-08
6608/10-9	2228.000000	2400.000000	ÅRE FM	FORMATION	BÅT GP	4668	197	22	9999-12-31	2013-05-08
6608/10-10	1557.000000	1799.000000	BRYGGE FM	FORMATION	HORDALAND GP	4699	18	67	9999-12-31	2013-05-08
6608/10-10	2504.000000	2800.000000	BÅT GP	GROUP	\N	4699	22	\N	9999-12-31	2013-05-08
6608/10-10	2304.000000	2365.000000	CROMER KNOLL GP	GROUP	\N	4699	23	\N	9999-12-31	2013-05-08
6608/10-10	2462.000000	2504.000000	FANGST GP	GROUP	\N	4699	38	\N	9999-12-31	2013-05-08
6608/10-10	1557.000000	1799.000000	HORDALAND GP	GROUP	\N	4699	67	\N	9999-12-31	2013-05-08
6608/10-10	2500.000000	2504.000000	ILE FM	FORMATION	FANGST GP	4699	70	38	9999-12-31	2013-05-08
6608/10-10	1401.000000	1557.000000	KAI FM	FORMATION	NORDLAND GP	4699	77	113	9999-12-31	2013-05-08
6608/10-10	2160.000000	2304.000000	KVITNOS FM	FORMATION	SHETLAND GP	4699	91	143	9999-12-31	2013-05-08
6608/10-10	2304.000000	2365.000000	LYR FM	FORMATION	CROMER KNOLL GP	4699	98	23	9999-12-31	2013-05-08
6608/10-10	2405.000000	2462.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	4699	104	188	9999-12-31	2013-05-08
6608/10-10	2376.000000	2405.000000	MELKE FM	FORMATION	VIKING GP	4699	105	188	9999-12-31	2013-05-08
6608/10-10	398.000000	1401.000000	NAUST FM	FORMATION	NORDLAND GP	4699	109	113	9999-12-31	2013-05-08
6608/10-10	1944.000000	2160.000000	NISE FM	FORMATION	SHETLAND GP	4699	112	143	9999-12-31	2013-05-08
6608/10-10	398.000000	1557.000000	NORDLAND GP	GROUP	\N	4699	113	\N	9999-12-31	2013-05-08
6608/10-10	2462.000000	2500.000000	NOT FM	FORMATION	FANGST GP	4699	120	38	9999-12-31	2013-05-08
6608/10-10	1799.000000	1921.000000	ROGALAND GP	GROUP	\N	4699	131	\N	9999-12-31	2013-05-08
6608/10-10	2504.000000	2529.000000	ROR FM	FORMATION	BÅT GP	4699	135	22	9999-12-31	2013-05-08
6608/10-10	1921.000000	2304.000000	SHETLAND GP	GROUP	\N	4699	143	\N	9999-12-31	2013-05-08
6608/10-10	2365.000000	2376.000000	SPEKK FM	FORMATION	VIKING GP	4699	155	188	9999-12-31	2013-05-08
6608/10-10	1921.000000	1944.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4699	156	143	9999-12-31	2013-05-08
6608/10-10	1884.000000	1921.000000	TANG FM	FORMATION	ROGALAND GP	4699	161	131	9999-12-31	2013-05-08
6608/10-10	1799.000000	1884.000000	TARE FM	FORMATION	ROGALAND GP	4699	163	131	9999-12-31	2013-05-08
6608/10-10	2529.000000	2567.000000	TILJE FM	FORMATION	BÅT GP	4699	169	22	9999-12-31	2013-05-08
6608/10-10	2365.000000	2462.000000	VIKING GP	GROUP	\N	4699	188	\N	9999-12-31	2013-05-08
6608/10-10	2567.000000	2800.000000	ÅRE FM	FORMATION	BÅT GP	4699	197	22	9999-12-31	2013-05-08
6706/6-1	1543.000000	1875.000000	BRYGGE FM	FORMATION	HORDALAND GP	4705	18	67	9999-12-31	2013-05-08
6706/6-1	1543.000000	1875.000000	HORDALAND GP	GROUP	\N	4705	67	\N	9999-12-31	2013-05-08
6706/6-1	1385.000000	1543.000000	KAI FM	FORMATION	NORDLAND GP	4705	77	113	9999-12-31	2013-05-08
6706/6-1	1334.000000	1385.000000	NAUST FM	FORMATION	NORDLAND GP	4705	109	113	9999-12-31	2013-05-08
6706/6-1	3239.000000	3451.000000	NO FORMAL NAME	FORMATION	\N	4705	111	\N	9999-12-31	2013-05-08
6706/6-1	1334.000000	1543.000000	NORDLAND GP	GROUP	\N	4705	113	\N	9999-12-31	2013-05-08
6706/6-1	1875.000000	3451.000000	ROGALAND GP	GROUP	\N	4705	131	\N	9999-12-31	2013-05-08
6706/6-1	1875.000000	3239.000000	TANG FM	FORMATION	ROGALAND GP	4705	161	131	9999-12-31	2013-05-08
34/8-4 AR	2910.000000	3065.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	4709	4	29	9999-12-31	2013-05-08
34/8-4 AR	1827.000000	1870.000000	BALDER FM	FORMATION	ROGALAND GP	4709	6	131	9999-12-31	2013-05-08
34/8-4 AR	2902.000000	2910.000000	CROMER KNOLL GP	GROUP	\N	4709	23	\N	9999-12-31	2013-05-08
34/8-4 AR	2910.000000	3065.000000	DUNLIN GP	GROUP	\N	4709	29	\N	9999-12-31	2013-05-08
34/8-4 AR	3151.000000	3574.000000	HEGRE GP	GROUP	\N	4709	61	\N	9999-12-31	2013-05-08
34/8-4 AR	1116.000000	1827.000000	HORDALAND GP	GROUP	\N	4709	67	\N	9999-12-31	2013-05-08
34/8-4 AR	1883.000000	2038.000000	LISTA FM	FORMATION	ROGALAND GP	4709	95	131	9999-12-31	2013-05-08
34/8-4 AR	3151.000000	3574.000000	LUNDE FM	FORMATION	HEGRE GP	4709	97	61	9999-12-31	2013-05-08
34/8-4 AR	340.000000	1116.000000	NORDLAND GP	GROUP	\N	4709	113	\N	9999-12-31	2013-05-08
34/8-4 AR	1827.000000	2038.000000	ROGALAND GP	GROUP	\N	4709	131	\N	9999-12-31	2013-05-08
34/8-4 AR	1870.000000	1883.000000	SELE FM	FORMATION	ROGALAND GP	4709	142	131	9999-12-31	2013-05-08
34/8-4 AR	2038.000000	2902.000000	SHETLAND GP	GROUP	\N	4709	143	\N	9999-12-31	2013-05-08
34/8-4 AR	3065.000000	3151.000000	STATFJORD FM	FORMATION	\N	4709	157	\N	9999-12-31	2013-05-08
34/8-4 AR	1079.000000	1116.000000	UTSIRA FM	FORMATION	NORDLAND GP	4709	183	113	9999-12-31	2013-05-08
34/8-4 AR	3065.000000	3151.000000	NO GROUP DEFINED	GROUP	\N	4709	208	\N	9999-12-31	2013-05-08
6407/9-10	878.000000	1385.000000	BRYGGE FM	FORMATION	HORDALAND GP	4710	18	67	9999-12-31	2013-05-08
6407/9-10	1579.000000	1608.000000	CROMER KNOLL GP	GROUP	\N	4710	23	\N	9999-12-31	2013-05-08
6407/9-10	1665.000000	1800.000000	FANGST GP	GROUP	\N	4710	38	\N	9999-12-31	2013-05-08
6407/9-10	1665.000000	1766.000000	GARN FM	FORMATION	FANGST GP	4710	48	38	9999-12-31	2013-05-08
6407/9-10	878.000000	1385.000000	HORDALAND GP	GROUP	\N	4710	67	\N	9999-12-31	2013-05-08
6407/9-10	797.000000	878.000000	KAI FM	FORMATION	NORDLAND GP	4710	77	113	9999-12-31	2013-05-08
6407/9-10	294.000000	797.000000	NAUST FM	FORMATION	NORDLAND GP	4710	109	113	9999-12-31	2013-05-08
6407/9-10	294.000000	878.000000	NORDLAND GP	GROUP	\N	4710	113	\N	9999-12-31	2013-05-08
6407/9-10	1766.000000	1800.000000	NOT FM	FORMATION	FANGST GP	4710	120	38	9999-12-31	2013-05-08
6407/9-10	1385.000000	1555.000000	ROGALAND GP	GROUP	\N	4710	131	\N	9999-12-31	2013-05-08
6407/9-10	1635.000000	1665.000000	ROGN FM	FORMATION	VIKING GP	4710	134	188	9999-12-31	2013-05-08
6407/9-10	1555.000000	1579.000000	SHETLAND GP	GROUP	\N	4710	143	\N	9999-12-31	2013-05-08
6407/9-10	1608.000000	1635.000000	SPEKK FM	FORMATION	VIKING GP	4710	155	188	9999-12-31	2013-05-08
6407/9-10	1445.000000	1555.000000	TANG FM	FORMATION	ROGALAND GP	4710	161	131	9999-12-31	2013-05-08
6407/9-10	1385.000000	1445.000000	TARE FM	FORMATION	ROGALAND GP	4710	163	131	9999-12-31	2013-05-08
6407/9-10	1608.000000	1665.000000	VIKING GP	GROUP	\N	4710	188	\N	9999-12-31	2013-05-08
16/1-6 S	1783.000000	1817.000000	BALDER FM	FORMATION	ROGALAND GP	4711	6	131	9999-12-31	2013-05-08
16/1-6 S	1977.000000	1997.000000	EKOFISK FM	FORMATION	SHETLAND GP	4711	33	143	9999-12-31	2013-05-08
16/1-6 S	1490.000000	1550.000000	GRID FM	FORMATION	HORDALAND GP	4711	53	67	9999-12-31	2013-05-08
16/1-6 S	1597.000000	1602.000000	GRID FM	FORMATION	HORDALAND GP	4711	53	67	9999-12-31	2013-05-08
16/1-6 S	1672.000000	1685.000000	GRID FM	FORMATION	HORDALAND GP	4711	53	67	9999-12-31	2013-05-08
16/1-6 S	1862.000000	1876.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4711	62	131	9999-12-31	2013-05-08
16/1-6 S	830.000000	1783.000000	HORDALAND GP	GROUP	\N	4711	67	\N	9999-12-31	2013-05-08
16/1-6 S	1824.000000	1862.000000	LISTA FM	FORMATION	ROGALAND GP	4711	95	131	9999-12-31	2013-05-08
16/1-6 S	1876.000000	1932.000000	LISTA FM	FORMATION	ROGALAND GP	4711	95	131	9999-12-31	2013-05-08
16/1-6 S	783.000000	830.000000	NO FORMAL NAME	FORMATION	\N	4711	111	\N	9999-12-31	2013-05-08
16/1-6 S	1154.000000	1490.000000	NO FORMAL NAME	FORMATION	\N	4711	111	\N	9999-12-31	2013-05-08
16/1-6 S	1550.000000	1597.000000	NO FORMAL NAME	FORMATION	\N	4711	111	\N	9999-12-31	2013-05-08
16/1-6 S	1602.000000	1672.000000	NO FORMAL NAME	FORMATION	\N	4711	111	\N	9999-12-31	2013-05-08
16/1-6 S	1685.000000	1783.000000	NO FORMAL NAME	FORMATION	\N	4711	111	\N	9999-12-31	2013-05-08
16/1-6 S	143.000000	830.000000	NORDLAND GP	GROUP	\N	4711	113	\N	9999-12-31	2013-05-08
16/1-6 S	1783.000000	1977.000000	ROGALAND GP	GROUP	\N	4711	131	\N	9999-12-31	2013-05-08
16/1-6 S	1817.000000	1824.000000	SELE FM	FORMATION	ROGALAND GP	4711	142	131	9999-12-31	2013-05-08
16/1-6 S	1977.000000	1997.000000	SHETLAND GP	GROUP	\N	4711	143	\N	9999-12-31	2013-05-08
16/1-6 S	1054.000000	1154.000000	SKADE FM	FORMATION	HORDALAND GP	4711	145	67	9999-12-31	2013-05-08
16/1-6 S	775.000000	783.000000	UTSIRA FM	FORMATION	NORDLAND GP	4711	183	113	9999-12-31	2013-05-08
16/1-6 S	1932.000000	1977.000000	VÅLE FM	FORMATION	ROGALAND GP	4711	190	131	9999-12-31	2013-05-08
25/4-7	1895.000000	2005.000000	BALDER FM	FORMATION	ROGALAND GP	4716	6	131	9999-12-31	2013-05-08
25/4-7	1216.000000	1320.000000	GRID FM	FORMATION	HORDALAND GP	4716	53	67	9999-12-31	2013-05-08
25/4-7	2085.000000	2286.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4716	62	131	9999-12-31	2013-05-08
25/4-7	727.000000	1320.000000	HORDALAND GP	GROUP	\N	4716	67	\N	9999-12-31	2013-05-08
25/4-7	1320.000000	1895.000000	HORDALAND GP	GROUP	\N	4716	67	\N	9999-12-31	2013-05-08
25/4-7	2039.000000	2085.000000	LISTA FM	FORMATION	ROGALAND GP	4716	95	131	9999-12-31	2013-05-08
25/4-7	142.000000	727.000000	NORDLAND GP	GROUP	\N	4716	113	\N	9999-12-31	2013-05-08
25/4-7	1895.000000	2286.000000	ROGALAND GP	GROUP	\N	4716	131	\N	9999-12-31	2013-05-08
25/4-7	2005.000000	2039.000000	SELE FM	FORMATION	ROGALAND GP	4716	142	131	9999-12-31	2013-05-08
25/4-7	368.000000	727.000000	UTSIRA FM	FORMATION	NORDLAND GP	4716	183	113	9999-12-31	2013-05-08
24/6-3	144.000000	253.000000	NORDLAND GP	GROUP	\N	4728	113	\N	9999-12-31	2013-05-08
15/12-13	2286.000000	2297.000000	BALDER FM	FORMATION	ROGALAND GP	4733	6	131	9999-12-31	2013-05-08
15/12-13	2723.000000	2856.000000	CROMER KNOLL GP	GROUP	\N	4733	23	\N	9999-12-31	2013-05-08
15/12-13	2856.000000	2944.000000	DRAUPNE FM	FORMATION	VIKING GP	4733	28	188	9999-12-31	2013-05-08
15/12-13	3013.000000	3030.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	4733	59	188	9999-12-31	2013-05-08
15/12-13	2944.000000	3013.000000	HEATHER FM	FORMATION	VIKING GP	4733	60	188	9999-12-31	2013-05-08
15/12-13	1240.000000	2286.000000	HORDALAND GP	GROUP	\N	4733	67	\N	9999-12-31	2013-05-08
15/12-13	3030.000000	3047.000000	HUGIN FM	FORMATION	VESTLAND GP	4733	69	186	9999-12-31	2013-05-08
15/12-13	2370.000000	2453.000000	LISTA FM	FORMATION	ROGALAND GP	4733	95	131	9999-12-31	2013-05-08
15/12-13	105.000000	1240.000000	NORDLAND GP	GROUP	\N	4733	113	\N	9999-12-31	2013-05-08
15/12-13	2286.000000	2453.000000	ROGALAND GP	GROUP	\N	4733	131	\N	9999-12-31	2013-05-08
15/12-13	2297.000000	2370.000000	SELE FM	FORMATION	ROGALAND GP	4733	142	131	9999-12-31	2013-05-08
15/12-13	2453.000000	2723.000000	SHETLAND GP	GROUP	\N	4733	143	\N	9999-12-31	2013-05-08
15/12-13	1225.000000	1240.000000	UTSIRA FM	FORMATION	NORDLAND GP	4733	183	113	9999-12-31	2013-05-08
15/12-13	3030.000000	3047.000000	VESTLAND GP	GROUP	\N	4733	186	\N	9999-12-31	2013-05-08
15/12-13	2856.000000	3030.000000	VIKING GP	GROUP	\N	4733	188	\N	9999-12-31	2013-05-08
25/9-2 S	1832.000000	1923.000000	BALDER FM	FORMATION	ROGALAND GP	4735	6	131	9999-12-31	2013-05-08
25/9-2 S	2190.000000	2250.000000	BURTON FM	FORMATION	DUNLIN GP	4735	20	29	9999-12-31	2013-05-08
25/9-2 S	2110.000000	2163.000000	CROMER KNOLL GP	GROUP	\N	4735	23	\N	9999-12-31	2013-05-08
25/9-2 S	2163.000000	2173.000000	DRAUPNE FM	FORMATION	VIKING GP	4735	28	188	9999-12-31	2013-05-08
25/9-2 S	2190.000000	2250.000000	DUNLIN GP	GROUP	\N	4735	29	\N	9999-12-31	2013-05-08
25/9-2 S	2173.000000	2183.000000	HEATHER FM	FORMATION	VIKING GP	4735	60	188	9999-12-31	2013-05-08
25/9-2 S	1002.000000	1832.000000	HORDALAND GP	GROUP	\N	4735	67	\N	9999-12-31	2013-05-08
25/9-2 S	2183.000000	2190.000000	HUGIN FM	FORMATION	VESTLAND GP	4735	69	186	9999-12-31	2013-05-08
25/9-2 S	1923.000000	1975.000000	LISTA FM	FORMATION	ROGALAND GP	4735	95	131	9999-12-31	2013-05-08
25/9-2 S	2153.000000	2163.000000	MIME FM	FORMATION	CROMER KNOLL GP	4735	106	23	9999-12-31	2013-05-08
25/9-2 S	147.000000	1002.000000	NORDLAND GP	GROUP	\N	4735	113	\N	9999-12-31	2013-05-08
25/9-2 S	1832.000000	2036.000000	ROGALAND GP	GROUP	\N	4735	131	\N	9999-12-31	2013-05-08
25/9-2 S	2110.000000	2153.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4735	137	23	9999-12-31	2013-05-08
25/9-2 S	1975.000000	2025.000000	SELE FM	FORMATION	ROGALAND GP	4735	142	131	9999-12-31	2013-05-08
25/9-2 S	2036.000000	2110.000000	SHETLAND GP	GROUP	\N	4735	143	\N	9999-12-31	2013-05-08
25/9-2 S	2067.000000	2110.000000	SVARTE FM	FORMATION	SHETLAND GP	4735	160	143	9999-12-31	2013-05-08
25/9-2 S	2036.000000	2050.000000	TOR FM	FORMATION	SHETLAND GP	4735	171	143	9999-12-31	2013-05-08
25/9-2 S	2050.000000	2067.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4735	173	143	9999-12-31	2013-05-08
25/9-2 S	789.000000	1002.000000	UTSIRA FM	FORMATION	NORDLAND GP	4735	183	113	9999-12-31	2013-05-08
25/9-2 S	2183.000000	2190.000000	VESTLAND GP	GROUP	\N	4735	186	\N	9999-12-31	2013-05-08
25/9-2 S	2163.000000	2183.000000	VIKING GP	GROUP	\N	4735	188	\N	9999-12-31	2013-05-08
25/9-2 S	2025.000000	2036.000000	VÅLE FM	FORMATION	ROGALAND GP	4735	190	131	9999-12-31	2013-05-08
24/6-4	1925.000000	2049.000000	BALDER FM	FORMATION	ROGALAND GP	4745	6	131	9999-12-31	2013-05-08
24/6-4	1148.000000	1301.000000	GRID FM	FORMATION	HORDALAND GP	4745	53	67	9999-12-31	2013-05-08
24/6-4	2123.000000	2325.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4745	62	131	9999-12-31	2013-05-08
24/6-4	884.000000	1301.000000	HORDALAND GP	GROUP	\N	4745	67	\N	9999-12-31	2013-05-08
24/6-4	1301.000000	1925.000000	HORDALAND GP	GROUP	\N	4745	67	\N	9999-12-31	2013-05-08
24/6-4	2070.000000	2123.000000	LISTA FM	FORMATION	ROGALAND GP	4745	95	131	9999-12-31	2013-05-08
24/6-4	144.000000	884.000000	NORDLAND GP	GROUP	\N	4745	113	\N	9999-12-31	2013-05-08
24/6-4	1925.000000	2325.000000	ROGALAND GP	GROUP	\N	4745	131	\N	9999-12-31	2013-05-08
24/6-4	2049.000000	2070.000000	SELE FM	FORMATION	ROGALAND GP	4745	142	131	9999-12-31	2013-05-08
24/6-4	346.000000	884.000000	UTSIRA FM	FORMATION	NORDLAND GP	4745	183	113	9999-12-31	2013-05-08
6405/7-1	1935.000000	2506.000000	BRYGGE FM	FORMATION	HORDALAND GP	4749	18	67	9999-12-31	2013-05-08
6405/7-1	3665.000000	4300.000000	CROMER KNOLL GP	GROUP	\N	4749	23	\N	9999-12-31	2013-05-08
6405/7-1	1935.000000	2506.000000	HORDALAND GP	GROUP	\N	4749	67	\N	9999-12-31	2013-05-08
6405/7-1	2960.000000	3665.000000	KVITNOS FM	FORMATION	SHETLAND GP	4749	91	143	9999-12-31	2013-05-08
6405/7-1	3665.000000	4300.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4749	99	23	9999-12-31	2013-05-08
6405/7-1	1242.000000	1935.000000	NAUST FM	FORMATION	NORDLAND GP	4749	109	113	9999-12-31	2013-05-08
6405/7-1	2757.000000	2960.000000	NISE FM	FORMATION	SHETLAND GP	4749	112	143	9999-12-31	2013-05-08
6405/7-1	1242.000000	1935.000000	NORDLAND GP	GROUP	\N	4749	113	\N	9999-12-31	2013-05-08
6405/7-1	2506.000000	2664.000000	ROGALAND GP	GROUP	\N	4749	131	\N	9999-12-31	2013-05-08
6405/7-1	2664.000000	3665.000000	SHETLAND GP	GROUP	\N	4749	143	\N	9999-12-31	2013-05-08
6405/7-1	2664.000000	2757.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4749	156	143	9999-12-31	2013-05-08
6405/7-1	2602.000000	2664.000000	TANG FM	FORMATION	ROGALAND GP	4749	161	131	9999-12-31	2013-05-08
6405/7-1	2506.000000	2602.000000	TARE FM	FORMATION	ROGALAND GP	4749	163	131	9999-12-31	2013-05-08
15/12-13 A	2452.000000	2468.000000	BALDER FM	FORMATION	ROGALAND GP	4754	6	131	9999-12-31	2013-05-08
15/12-13 A	1240.000000	2452.000000	HORDALAND GP	GROUP	\N	4754	67	\N	9999-12-31	2013-05-08
15/12-13 A	105.000000	1240.000000	NORDLAND GP	GROUP	\N	4754	113	\N	9999-12-31	2013-05-08
15/12-13 A	2452.000000	2532.000000	ROGALAND GP	GROUP	\N	4754	131	\N	9999-12-31	2013-05-08
15/12-13 A	2468.000000	2532.000000	SELE FM	FORMATION	ROGALAND GP	4754	142	131	9999-12-31	2013-05-08
15/12-13 A	1225.000000	1240.000000	UTSIRA FM	FORMATION	NORDLAND GP	4754	183	113	9999-12-31	2013-05-08
15/12-13 B	2277.000000	2285.000000	BALDER FM	FORMATION	ROGALAND GP	4759	6	131	9999-12-31	2013-05-08
15/12-13 B	2756.000000	2877.000000	CROMER KNOLL GP	GROUP	\N	4759	23	\N	9999-12-31	2013-05-08
15/12-13 B	2877.000000	2939.000000	DRAUPNE FM	FORMATION	VIKING GP	4759	28	188	9999-12-31	2013-05-08
15/12-13 B	2951.000000	2963.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	4759	59	188	9999-12-31	2013-05-08
15/12-13 B	2939.000000	2951.000000	HEATHER FM	FORMATION	VIKING GP	4759	60	188	9999-12-31	2013-05-08
15/12-13 B	1240.000000	2277.000000	HORDALAND GP	GROUP	\N	4759	67	\N	9999-12-31	2013-05-08
15/12-13 B	2963.000000	3092.000000	HUGIN FM	FORMATION	VESTLAND GP	4759	69	186	9999-12-31	2013-05-08
15/12-13 B	2344.000000	2520.000000	LISTA FM	FORMATION	ROGALAND GP	4759	95	131	9999-12-31	2013-05-08
15/12-13 B	105.000000	1240.000000	NORDLAND GP	GROUP	\N	4759	113	\N	9999-12-31	2013-05-08
15/12-13 B	2277.000000	2520.000000	ROGALAND GP	GROUP	\N	4759	131	\N	9999-12-31	2013-05-08
15/12-13 B	2285.000000	2344.000000	SELE FM	FORMATION	ROGALAND GP	4759	142	131	9999-12-31	2013-05-08
15/12-13 B	2520.000000	2756.000000	SHETLAND GP	GROUP	\N	4759	143	\N	9999-12-31	2013-05-08
15/12-13 B	3092.000000	3151.000000	SKAGERRAK FM	FORMATION	HEGRE GP	4759	146	61	9999-12-31	2013-05-08
15/12-13 B	1225.000000	1240.000000	UTSIRA FM	FORMATION	NORDLAND GP	4759	183	113	9999-12-31	2013-05-08
15/12-13 B	2963.000000	3092.000000	VESTLAND GP	GROUP	\N	4759	186	\N	9999-12-31	2013-05-08
15/12-13 B	2877.000000	2963.000000	VIKING GP	GROUP	\N	4759	188	\N	9999-12-31	2013-05-08
15/12-13 B	3092.000000	3151.000000	NO GROUP DEFINED	GROUP	\N	4759	208	\N	9999-12-31	2013-05-08
35/8-5 S	1338.000000	1385.000000	BALDER FM	FORMATION	ROGALAND GP	4761	6	131	9999-12-31	2013-05-08
35/8-5 S	3074.000000	3078.000000	BLODØKS FM	FORMATION	SHETLAND GP	4761	13	143	9999-12-31	2013-05-08
35/8-5 S	3830.000000	4000.000000	BRENT GP	GROUP	\N	4761	16	\N	9999-12-31	2013-05-08
35/8-5 S	3094.000000	3230.000000	CROMER KNOLL GP	GROUP	\N	4761	23	\N	9999-12-31	2013-05-08
35/8-5 S	3230.000000	3326.000000	DRAUPNE FM	FORMATION	VIKING GP	4761	28	188	9999-12-31	2013-05-08
35/8-5 S	3916.000000	3964.000000	ETIVE FM	FORMATION	BRENT GP	4761	35	16	9999-12-31	2013-05-08
35/8-5 S	1091.000000	1338.000000	FRIGG FM	FORMATION	HORDALAND GP	4761	45	67	9999-12-31	2013-05-08
35/8-5 S	845.000000	1091.000000	GRID FM	FORMATION	HORDALAND GP	4761	53	67	9999-12-31	2013-05-08
35/8-5 S	3326.000000	3422.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	4761	59	188	9999-12-31	2013-05-08
35/8-5 S	3422.000000	3830.000000	HEATHER FM	FORMATION	VIKING GP	4761	60	188	9999-12-31	2013-05-08
35/8-5 S	618.000000	1338.000000	HORDALAND GP	GROUP	\N	4761	67	\N	9999-12-31	2013-05-08
35/8-5 S	1716.000000	1877.000000	JORSALFARE FM	FORMATION	SHETLAND GP	4761	74	143	9999-12-31	2013-05-08
35/8-5 S	1877.000000	2838.000000	KYRRE FM	FORMATION	SHETLAND GP	4761	92	143	9999-12-31	2013-05-08
35/8-5 S	3882.000000	3916.000000	NESS FM	FORMATION	BRENT GP	4761	110	16	9999-12-31	2013-05-08
35/8-5 S	398.000000	618.000000	NORDLAND GP	GROUP	\N	4761	113	\N	9999-12-31	2013-05-08
35/8-5 S	3964.000000	4000.000000	RANNOCH FM	FORMATION	BRENT GP	4761	126	16	9999-12-31	2013-05-08
35/8-5 S	1338.000000	1716.000000	ROGALAND GP	GROUP	\N	4761	131	\N	9999-12-31	2013-05-08
35/8-5 S	3094.000000	3149.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4761	137	23	9999-12-31	2013-05-08
35/8-5 S	1385.000000	1400.000000	SELE FM	FORMATION	ROGALAND GP	4761	142	131	9999-12-31	2013-05-08
35/8-5 S	1400.000000	1658.000000	SELE FM	FORMATION	ROGALAND GP	4761	142	131	9999-12-31	2013-05-08
35/8-5 S	1716.000000	3094.000000	SHETLAND GP	GROUP	\N	4761	143	\N	9999-12-31	2013-05-08
35/8-5 S	673.000000	845.000000	SKADE FM	FORMATION	HORDALAND GP	4761	145	67	9999-12-31	2013-05-08
35/8-5 S	3078.000000	3094.000000	SVARTE FM	FORMATION	SHETLAND GP	4761	160	143	9999-12-31	2013-05-08
35/8-5 S	3830.000000	3882.000000	TARBERT FM	FORMATION	BRENT GP	4761	162	16	9999-12-31	2013-05-08
35/8-5 S	2838.000000	3074.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4761	173	143	9999-12-31	2013-05-08
35/8-5 S	1658.000000	1716.000000	TY FM	FORMATION	ROGALAND GP	4761	176	131	9999-12-31	2013-05-08
35/8-5 S	3230.000000	3830.000000	VIKING GP	GROUP	\N	4761	188	\N	9999-12-31	2013-05-08
35/8-5 S	3149.000000	3230.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4761	198	23	9999-12-31	2013-05-08
6406/1-2	2084.000000	2458.000000	BRYGGE FM	FORMATION	HORDALAND GP	4762	18	67	9999-12-31	2013-05-08
6406/1-2	3368.000000	4232.000000	CROMER KNOLL GP	GROUP	\N	4762	23	\N	9999-12-31	2013-05-08
6406/1-2	4232.000000	4478.000000	GREY BEDS (INFORMAL)	GROUP	\N	4762	52	\N	9999-12-31	2013-05-08
6406/1-2	2084.000000	2458.000000	HORDALAND GP	GROUP	\N	4762	67	\N	9999-12-31	2013-05-08
6406/1-2	1588.000000	2084.000000	KAI FM	FORMATION	NORDLAND GP	4762	77	113	9999-12-31	2013-05-08
6406/1-2	2730.000000	3368.000000	KVITNOS FM	FORMATION	SHETLAND GP	4762	91	143	9999-12-31	2013-05-08
6406/1-2	3387.000000	4232.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4762	94	23	9999-12-31	2013-05-08
6406/1-2	3368.000000	3387.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4762	99	23	9999-12-31	2013-05-08
6406/1-2	406.000000	1588.000000	NAUST FM	FORMATION	NORDLAND GP	4762	109	113	9999-12-31	2013-05-08
6406/1-2	2648.000000	2730.000000	NISE FM	FORMATION	SHETLAND GP	4762	112	143	9999-12-31	2013-05-08
6406/1-2	406.000000	2084.000000	NORDLAND GP	GROUP	\N	4762	113	\N	9999-12-31	2013-05-08
6406/1-2	4478.000000	4500.000000	RED BEDS (INFORMAL)	GROUP	\N	4762	129	\N	9999-12-31	2013-05-08
6406/1-2	2458.000000	2574.000000	ROGALAND GP	GROUP	\N	4762	131	\N	9999-12-31	2013-05-08
6406/1-2	2574.000000	3368.000000	SHETLAND GP	GROUP	\N	4762	143	\N	9999-12-31	2013-05-08
6406/1-2	2574.000000	2648.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4762	156	143	9999-12-31	2013-05-08
6406/1-2	2519.000000	2574.000000	TANG FM	FORMATION	ROGALAND GP	4762	161	131	9999-12-31	2013-05-08
6406/1-2	2458.000000	2519.000000	TARE FM	FORMATION	ROGALAND GP	4762	163	131	9999-12-31	2013-05-08
25/4-8	1922.000000	2011.000000	BALDER FM	FORMATION	ROGALAND GP	4765	6	131	9999-12-31	2013-05-08
25/4-8	1219.000000	1305.000000	GRID FM	FORMATION	HORDALAND GP	4765	53	67	9999-12-31	2013-05-08
25/4-8	2113.000000	2286.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4765	62	131	9999-12-31	2013-05-08
25/4-8	777.000000	1305.000000	HORDALAND GP	GROUP	\N	4765	67	\N	9999-12-31	2013-05-08
25/4-8	1305.000000	1922.000000	HORDALAND GP	GROUP	\N	4765	67	\N	9999-12-31	2013-05-08
25/4-8	2060.000000	2113.000000	LISTA FM	FORMATION	ROGALAND GP	4765	95	131	9999-12-31	2013-05-08
25/4-8	145.000000	777.000000	NORDLAND GP	GROUP	\N	4765	113	\N	9999-12-31	2013-05-08
25/4-8	1922.000000	2286.000000	ROGALAND GP	GROUP	\N	4765	131	\N	9999-12-31	2013-05-08
25/4-8	2011.000000	2060.000000	SELE FM	FORMATION	ROGALAND GP	4765	142	131	9999-12-31	2013-05-08
25/4-8	385.000000	777.000000	UTSIRA FM	FORMATION	NORDLAND GP	4765	183	113	9999-12-31	2013-05-08
16/1-6 A	1876.000000	1914.000000	BALDER FM	FORMATION	ROGALAND GP	4767	6	131	9999-12-31	2013-05-08
16/1-6 A	2163.000000	2181.000000	EKOFISK FM	FORMATION	SHETLAND GP	4767	33	143	9999-12-31	2013-05-08
16/1-6 A	1530.000000	1553.000000	GRID FM	FORMATION	HORDALAND GP	4767	53	67	9999-12-31	2013-05-08
16/1-6 A	1629.000000	1638.000000	GRID FM	FORMATION	HORDALAND GP	4767	53	67	9999-12-31	2013-05-08
16/1-6 A	1742.000000	1757.000000	GRID FM	FORMATION	HORDALAND GP	4767	53	67	9999-12-31	2013-05-08
16/1-6 A	2007.000000	2056.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4767	62	131	9999-12-31	2013-05-08
16/1-6 A	830.000000	1876.000000	HORDALAND GP	GROUP	\N	4767	67	\N	9999-12-31	2013-05-08
16/1-6 A	1952.000000	2007.000000	LISTA FM	FORMATION	ROGALAND GP	4767	95	131	9999-12-31	2013-05-08
16/1-6 A	2056.000000	2123.000000	LISTA FM	FORMATION	ROGALAND GP	4767	95	131	9999-12-31	2013-05-08
16/1-6 A	783.000000	830.000000	NO FORMAL NAME	FORMATION	\N	4767	111	\N	9999-12-31	2013-05-08
16/1-6 A	1154.000000	1530.000000	NO FORMAL NAME	FORMATION	\N	4767	111	\N	9999-12-31	2013-05-08
16/1-6 A	1553.000000	1629.000000	NO FORMAL NAME	FORMATION	\N	4767	111	\N	9999-12-31	2013-05-08
16/1-6 A	1638.000000	1742.000000	NO FORMAL NAME	FORMATION	\N	4767	111	\N	9999-12-31	2013-05-08
16/1-6 A	1757.000000	1876.000000	NO FORMAL NAME	FORMATION	\N	4767	111	\N	9999-12-31	2013-05-08
16/1-6 A	143.000000	830.000000	NORDLAND GP	GROUP	\N	4767	113	\N	9999-12-31	2013-05-08
16/1-6 A	1876.000000	2163.000000	ROGALAND GP	GROUP	\N	4767	131	\N	9999-12-31	2013-05-08
16/1-6 A	1914.000000	1952.000000	SELE FM	FORMATION	ROGALAND GP	4767	142	131	9999-12-31	2013-05-08
16/1-6 A	2163.000000	2194.000000	SHETLAND GP	GROUP	\N	4767	143	\N	9999-12-31	2013-05-08
16/1-6 A	1054.000000	1154.000000	SKADE FM	FORMATION	HORDALAND GP	4767	145	67	9999-12-31	2013-05-08
16/1-6 A	2181.000000	2194.000000	TOR FM	FORMATION	SHETLAND GP	4767	171	143	9999-12-31	2013-05-08
16/1-6 A	775.000000	783.000000	UTSIRA FM	FORMATION	NORDLAND GP	4767	183	113	9999-12-31	2013-05-08
16/1-6 A	2123.000000	2163.000000	VÅLE FM	FORMATION	ROGALAND GP	4767	190	131	9999-12-31	2013-05-08
25/4-6 SR	2130.000000	2145.000000	BALDER FM	FORMATION	ROGALAND GP	4819	6	131	9999-12-31	2013-05-08
25/4-6 SR	3390.000000	3494.000000	BLODØKS FM	FORMATION	SHETLAND GP	4819	13	143	9999-12-31	2013-05-08
25/4-6 SR	3541.000000	3580.000000	CROMER KNOLL GP	GROUP	\N	4819	23	\N	9999-12-31	2013-05-08
25/4-6 SR	3580.000000	3628.000000	DRAUPNE FM	FORMATION	VIKING GP	4819	28	188	9999-12-31	2013-05-08
25/4-6 SR	3949.000000	4138.000000	DUNLIN GP	GROUP	\N	4819	29	\N	9999-12-31	2013-05-08
25/4-6 SR	1281.000000	1371.000000	GRID FM	FORMATION	HORDALAND GP	4819	53	67	9999-12-31	2013-05-08
25/4-6 SR	3628.000000	3725.000000	HEATHER FM	FORMATION	VIKING GP	4819	60	188	9999-12-31	2013-05-08
25/4-6 SR	2209.000000	2620.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4819	62	131	9999-12-31	2013-05-08
25/4-6 SR	985.000000	2130.000000	HORDALAND GP	GROUP	\N	4819	67	\N	9999-12-31	2013-05-08
25/4-6 SR	3725.000000	3883.000000	HUGIN FM	FORMATION	VESTLAND GP	4819	69	186	9999-12-31	2013-05-08
25/4-6 SR	2912.000000	3344.000000	KYRRE FM	FORMATION	SHETLAND GP	4819	92	143	9999-12-31	2013-05-08
25/4-6 SR	2178.000000	2209.000000	LISTA FM	FORMATION	ROGALAND GP	4819	95	131	9999-12-31	2013-05-08
25/4-6 SR	1212.000000	1281.000000	NO FORMAL NAME	FORMATION	\N	4819	111	\N	9999-12-31	2013-05-08
25/4-6 SR	1371.000000	2130.000000	NO FORMAL NAME	FORMATION	\N	4819	111	\N	9999-12-31	2013-05-08
25/4-6 SR	145.000000	985.000000	NORDLAND GP	GROUP	\N	4819	113	\N	9999-12-31	2013-05-08
25/4-6 SR	2130.000000	2768.000000	ROGALAND GP	GROUP	\N	4819	131	\N	9999-12-31	2013-05-08
25/4-6 SR	3541.000000	3554.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4819	137	23	9999-12-31	2013-05-08
25/4-6 SR	2145.000000	2178.000000	SELE FM	FORMATION	ROGALAND GP	4819	142	131	9999-12-31	2013-05-08
25/4-6 SR	2768.000000	3541.000000	SHETLAND GP	GROUP	\N	4819	143	\N	9999-12-31	2013-05-08
25/4-6 SR	1201.000000	1212.000000	SKADE FM	FORMATION	HORDALAND GP	4819	145	67	9999-12-31	2013-05-08
25/4-6 SR	3883.000000	3949.000000	SLEIPNER FM	FORMATION	VESTLAND GP	4819	148	186	9999-12-31	2013-05-08
25/4-6 SR	3554.000000	3572.000000	SOLA FM	FORMATION	CROMER KNOLL GP	4819	152	23	9999-12-31	2013-05-08
25/4-6 SR	4138.000000	4179.000000	STATFJORD FM	FORMATION	\N	4819	157	\N	9999-12-31	2013-05-08
25/4-6 SR	3494.000000	3541.000000	SVARTE FM	FORMATION	SHETLAND GP	4819	160	143	9999-12-31	2013-05-08
25/4-6 SR	2768.000000	2912.000000	TOR FM	FORMATION	SHETLAND GP	4819	171	143	9999-12-31	2013-05-08
25/4-6 SR	3344.000000	3390.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	4819	173	143	9999-12-31	2013-05-08
25/4-6 SR	234.000000	985.000000	UTSIRA FM	FORMATION	NORDLAND GP	4819	183	113	9999-12-31	2013-05-08
25/4-6 SR	3725.000000	3949.000000	VESTLAND GP	GROUP	\N	4819	186	\N	9999-12-31	2013-05-08
25/4-6 SR	3580.000000	3725.000000	VIKING GP	GROUP	\N	4819	188	\N	9999-12-31	2013-05-08
25/4-6 SR	2620.000000	2768.000000	VÅLE FM	FORMATION	ROGALAND GP	4819	190	131	9999-12-31	2013-05-08
25/4-6 SR	3572.000000	3580.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4819	198	23	9999-12-31	2013-05-08
25/4-6 SR	4138.000000	4179.000000	NO GROUP DEFINED	GROUP	\N	4819	208	\N	9999-12-31	2013-05-08
2/4-15 SR	3368.000000	3387.000000	BALDER FM	FORMATION	ROGALAND GP	4842	6	131	9999-12-31	2013-05-08
2/4-15 SR	4798.000000	4817.000000	BLODØKS FM	FORMATION	SHETLAND GP	4842	13	143	9999-12-31	2013-05-08
2/4-15 SR	4890.000000	4958.000000	CROMER KNOLL GP	GROUP	\N	4842	23	\N	9999-12-31	2013-05-08
2/4-15 SR	3558.000000	3692.000000	EKOFISK FM	FORMATION	SHETLAND GP	4842	33	143	9999-12-31	2013-05-08
2/4-15 SR	4817.000000	4890.000000	HIDRA FM	FORMATION	SHETLAND GP	4842	65	143	9999-12-31	2013-05-08
2/4-15 SR	4266.000000	4798.000000	HOD FM	FORMATION	SHETLAND GP	4842	66	143	9999-12-31	2013-05-08
2/4-15 SR	1854.000000	3368.000000	HORDALAND GP	GROUP	\N	4842	67	\N	9999-12-31	2013-05-08
2/4-15 SR	3405.000000	3456.000000	LISTA FM	FORMATION	ROGALAND GP	4842	95	131	9999-12-31	2013-05-08
2/4-15 SR	3497.000000	3547.000000	LISTA FM	FORMATION	ROGALAND GP	4842	95	131	9999-12-31	2013-05-08
2/4-15 SR	4958.000000	4965.000000	MANDAL FM	FORMATION	TYNE GP	4842	101	177	9999-12-31	2013-05-08
2/4-15 SR	94.000000	1854.000000	NORDLAND GP	GROUP	\N	4842	113	\N	9999-12-31	2013-05-08
2/4-15 SR	3368.000000	3558.000000	ROGALAND GP	GROUP	\N	4842	131	\N	9999-12-31	2013-05-08
2/4-15 SR	3387.000000	3405.000000	SELE FM	FORMATION	ROGALAND GP	4842	142	131	9999-12-31	2013-05-08
2/4-15 SR	3558.000000	4890.000000	SHETLAND GP	GROUP	\N	4842	143	\N	9999-12-31	2013-05-08
2/4-15 SR	3692.000000	4266.000000	TOR FM	FORMATION	SHETLAND GP	4842	171	143	9999-12-31	2013-05-08
2/4-15 SR	4958.000000	4965.000000	TYNE GP	GROUP	\N	4842	177	\N	9999-12-31	2013-05-08
2/4-15 SR	3456.000000	3497.000000	VIDAR FM	FORMATION	ROGALAND GP	4842	187	131	9999-12-31	2013-05-08
2/4-15 SR	3547.000000	3558.000000	VÅLE FM	FORMATION	ROGALAND GP	4842	190	131	9999-12-31	2013-05-08
2/4-15 SR	4910.000000	4958.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	4842	198	23	9999-12-31	2013-05-08
15/12-14	2391.000000	2396.000000	BALDER FM	FORMATION	ROGALAND GP	4845	6	131	9999-12-31	2013-05-08
15/12-14	2984.000000	2992.000000	CROMER KNOLL GP	GROUP	\N	4845	23	\N	9999-12-31	2013-05-08
15/12-14	2992.000000	3015.000000	DRAUPNE FM	FORMATION	VIKING GP	4845	28	188	9999-12-31	2013-05-08
15/12-14	3100.000000	3220.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	4845	59	188	9999-12-31	2013-05-08
15/12-14	3015.000000	3100.000000	HEATHER FM	FORMATION	VIKING GP	4845	60	188	9999-12-31	2013-05-08
15/12-14	3220.000000	3255.000000	HEATHER FM	FORMATION	VIKING GP	4845	60	188	9999-12-31	2013-05-08
15/12-14	1325.000000	2391.000000	HORDALAND GP	GROUP	\N	4845	67	\N	9999-12-31	2013-05-08
15/12-14	2420.000000	2571.000000	LISTA FM	FORMATION	ROGALAND GP	4845	95	131	9999-12-31	2013-05-08
15/12-14	136.000000	1325.000000	NORDLAND GP	GROUP	\N	4845	113	\N	9999-12-31	2013-05-08
15/12-14	2391.000000	2571.000000	ROGALAND GP	GROUP	\N	4845	131	\N	9999-12-31	2013-05-08
15/12-14	2396.000000	2420.000000	SELE FM	FORMATION	ROGALAND GP	4845	142	131	9999-12-31	2013-05-08
15/12-14	2571.000000	2984.000000	SHETLAND GP	GROUP	\N	4845	143	\N	9999-12-31	2013-05-08
15/12-14	3255.000000	3305.000000	SLEIPNER FM	FORMATION	VESTLAND GP	4845	148	186	9999-12-31	2013-05-08
15/12-14	3255.000000	3305.000000	VESTLAND GP	GROUP	\N	4845	186	\N	9999-12-31	2013-05-08
15/12-14	2992.000000	3255.000000	VIKING GP	GROUP	\N	4845	188	\N	9999-12-31	2013-05-08
6507/8-7	1820.000000	2021.000000	BRYGGE FM	FORMATION	HORDALAND GP	4854	18	67	9999-12-31	2013-05-08
6507/8-7	2900.000000	2975.000000	BÅT GP	GROUP	\N	4854	22	\N	9999-12-31	2013-05-08
6507/8-7	2443.000000	2649.000000	CROMER KNOLL GP	GROUP	\N	4854	23	\N	9999-12-31	2013-05-08
6507/8-7	2820.000000	2900.000000	FANGST GP	GROUP	\N	4854	38	\N	9999-12-31	2013-05-08
6507/8-7	2820.000000	2848.000000	GARN FM	FORMATION	FANGST GP	4854	48	38	9999-12-31	2013-05-08
6507/8-7	1820.000000	2021.000000	HORDALAND GP	GROUP	\N	4854	67	\N	9999-12-31	2013-05-08
6507/8-7	2851.000000	2900.000000	ILE FM	FORMATION	FANGST GP	4854	70	38	9999-12-31	2013-05-08
6507/8-7	1450.000000	1820.000000	KAI FM	FORMATION	NORDLAND GP	4854	77	113	9999-12-31	2013-05-08
6507/8-7	2376.000000	2443.000000	KVITNOS FM	FORMATION	SHETLAND GP	4854	91	143	9999-12-31	2013-05-08
6507/8-7	2443.000000	2575.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4854	94	23	9999-12-31	2013-05-08
6507/8-7	2575.000000	2649.000000	LYR FM	FORMATION	CROMER KNOLL GP	4854	98	23	9999-12-31	2013-05-08
6507/8-7	2750.000000	2820.000000	MELKE FM	FORMATION	VIKING GP	4854	105	188	9999-12-31	2013-05-08
6507/8-7	356.000000	1450.000000	NAUST FM	FORMATION	NORDLAND GP	4854	109	113	9999-12-31	2013-05-08
6507/8-7	2186.000000	2376.000000	NISE FM	FORMATION	SHETLAND GP	4854	112	143	9999-12-31	2013-05-08
6507/8-7	356.000000	1820.000000	NORDLAND GP	GROUP	\N	4854	113	\N	9999-12-31	2013-05-08
6507/8-7	2848.000000	2851.000000	NOT FM	FORMATION	FANGST GP	4854	120	38	9999-12-31	2013-05-08
6507/8-7	2021.000000	2099.000000	ROGALAND GP	GROUP	\N	4854	131	\N	9999-12-31	2013-05-08
6507/8-7	2900.000000	2957.000000	ROR FM	FORMATION	BÅT GP	4854	135	22	9999-12-31	2013-05-08
6507/8-7	2099.000000	2443.000000	SHETLAND GP	GROUP	\N	4854	143	\N	9999-12-31	2013-05-08
6507/8-7	2649.000000	2750.000000	SPEKK FM	FORMATION	VIKING GP	4854	155	188	9999-12-31	2013-05-08
6507/8-7	2099.000000	2186.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4854	156	143	9999-12-31	2013-05-08
6507/8-7	2065.000000	2099.000000	TANG FM	FORMATION	ROGALAND GP	4854	161	131	9999-12-31	2013-05-08
6507/8-7	2021.000000	2065.000000	TARE FM	FORMATION	ROGALAND GP	4854	163	131	9999-12-31	2013-05-08
6507/8-7	2957.000000	2975.000000	TILJE FM	FORMATION	BÅT GP	4854	169	22	9999-12-31	2013-05-08
6507/8-7	2649.000000	2820.000000	VIKING GP	GROUP	\N	4854	188	\N	9999-12-31	2013-05-08
34/10-48 S	2357.000000	2528.000000	BALDER FM	FORMATION	ROGALAND GP	4902	6	131	9999-12-31	2013-05-08
34/10-48 S	5161.000000	6143.000000	BRENT GP	GROUP	\N	4902	16	\N	9999-12-31	2013-05-08
34/10-48 S	6455.000000	7304.000000	BRENT GP	GROUP	\N	4902	16	\N	9999-12-31	2013-05-08
34/10-48 S	3612.000000	3657.000000	CROMER KNOLL GP	GROUP	\N	4902	23	\N	9999-12-31	2013-05-08
34/10-48 S	4891.000000	5008.000000	COOK FM	FORMATION	DUNLIN GP	4902	24	29	9999-12-31	2013-05-08
34/10-48 S	4645.000000	4891.000000	DRAKE FM	FORMATION	DUNLIN GP	4902	27	29	9999-12-31	2013-05-08
34/10-48 S	4645.000000	5008.000000	DUNLIN GP	GROUP	\N	4902	29	\N	9999-12-31	2013-05-08
34/10-48 S	5456.000000	5500.000000	ETIVE FM	FORMATION	BRENT GP	4902	35	16	9999-12-31	2013-05-08
34/10-48 S	5843.000000	5856.000000	ETIVE FM	FORMATION	BRENT GP	4902	35	16	9999-12-31	2013-05-08
34/10-48 S	5008.000000	5161.000000	HEATHER FM	FORMATION	VIKING GP	4902	60	188	9999-12-31	2013-05-08
34/10-48 S	6143.000000	6455.000000	HEATHER FM	FORMATION	VIKING GP	4902	60	188	9999-12-31	2013-05-08
34/10-48 S	7304.000000	7393.000000	HEATHER FM	FORMATION	VIKING GP	4902	60	188	9999-12-31	2013-05-08
34/10-48 S	3657.000000	4645.000000	HEGRE GP	GROUP	\N	4902	61	\N	9999-12-31	2013-05-08
34/10-48 S	1072.000000	2357.000000	HORDALAND GP	GROUP	\N	4902	67	\N	9999-12-31	2013-05-08
34/10-48 S	2528.000000	2851.000000	LISTA FM	FORMATION	ROGALAND GP	4902	95	131	9999-12-31	2013-05-08
34/10-48 S	3657.000000	4645.000000	LUNDE FM	FORMATION	HEGRE GP	4902	97	61	9999-12-31	2013-05-08
34/10-48 S	5311.000000	5456.000000	NESS FM	FORMATION	BRENT GP	4902	110	16	9999-12-31	2013-05-08
34/10-48 S	5856.000000	5999.000000	NESS FM	FORMATION	BRENT GP	4902	110	16	9999-12-31	2013-05-08
34/10-48 S	6455.000000	6640.000000	NESS FM	FORMATION	BRENT GP	4902	110	16	9999-12-31	2013-05-08
34/10-48 S	301.000000	1072.000000	NORDLAND GP	GROUP	\N	4902	113	\N	9999-12-31	2013-05-08
34/10-48 S	5500.000000	5843.000000	RANNOCH FM	FORMATION	BRENT GP	4902	126	16	9999-12-31	2013-05-08
34/10-48 S	2357.000000	2851.000000	ROGALAND GP	GROUP	\N	4902	131	\N	9999-12-31	2013-05-08
34/10-48 S	2851.000000	3612.000000	SHETLAND GP	GROUP	\N	4902	143	\N	9999-12-31	2013-05-08
34/10-48 S	5161.000000	5311.000000	TARBERT FM	FORMATION	BRENT GP	4902	162	16	9999-12-31	2013-05-08
34/10-48 S	5999.000000	6143.000000	TARBERT FM	FORMATION	BRENT GP	4902	162	16	9999-12-31	2013-05-08
34/10-48 S	6640.000000	7304.000000	TARBERT FM	FORMATION	BRENT GP	4902	162	16	9999-12-31	2013-05-08
34/10-48 S	1008.000000	1072.000000	UTSIRA FM	FORMATION	NORDLAND GP	4902	183	113	9999-12-31	2013-05-08
34/10-48 S	5008.000000	5161.000000	VIKING GP	GROUP	\N	4902	188	\N	9999-12-31	2013-05-08
34/10-48 S	6143.000000	6455.000000	VIKING GP	GROUP	\N	4902	188	\N	9999-12-31	2013-05-08
34/10-48 S	7304.000000	7393.000000	VIKING GP	GROUP	\N	4902	188	\N	9999-12-31	2013-05-08
6507/3-4	1620.000000	1900.000000	BRYGGE FM	FORMATION	HORDALAND GP	4905	18	67	9999-12-31	2013-05-08
6507/3-4	3856.000000	4092.000000	BÅT GP	GROUP	\N	4905	22	\N	9999-12-31	2013-05-08
6507/3-4	2883.000000	3161.000000	CROMER KNOLL GP	GROUP	\N	4905	23	\N	9999-12-31	2013-05-08
6507/3-4	3725.000000	3856.000000	FANGST GP	GROUP	\N	4905	38	\N	9999-12-31	2013-05-08
6507/3-4	3725.000000	3738.000000	GARN FM	FORMATION	FANGST GP	4905	48	38	9999-12-31	2013-05-08
6507/3-4	1620.000000	1900.000000	HORDALAND GP	GROUP	\N	4905	67	\N	9999-12-31	2013-05-08
6507/3-4	3786.000000	3856.000000	ILE FM	FORMATION	FANGST GP	4905	70	38	9999-12-31	2013-05-08
6507/3-4	1313.000000	1620.000000	KAI FM	FORMATION	NORDLAND GP	4905	77	113	9999-12-31	2013-05-08
6507/3-4	2824.000000	2883.000000	KVITNOS FM	FORMATION	SHETLAND GP	4905	91	143	9999-12-31	2013-05-08
6507/3-4	2883.000000	3040.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4905	94	23	9999-12-31	2013-05-08
6507/3-4	3040.000000	3161.000000	LYR FM	FORMATION	CROMER KNOLL GP	4905	98	23	9999-12-31	2013-05-08
6507/3-4	3185.000000	3725.000000	MELKE FM	FORMATION	VIKING GP	4905	105	188	9999-12-31	2013-05-08
6507/3-4	408.000000	1313.000000	NAUST FM	FORMATION	NORDLAND GP	4905	109	113	9999-12-31	2013-05-08
6507/3-4	2124.000000	2824.000000	NISE FM	FORMATION	SHETLAND GP	4905	112	143	9999-12-31	2013-05-08
6507/3-4	408.000000	1620.000000	NORDLAND GP	GROUP	\N	4905	113	\N	9999-12-31	2013-05-08
6507/3-4	3738.000000	3786.000000	NOT FM	FORMATION	FANGST GP	4905	120	38	9999-12-31	2013-05-08
6507/3-4	1900.000000	1995.000000	ROGALAND GP	GROUP	\N	4905	131	\N	9999-12-31	2013-05-08
6507/3-4	3856.000000	3919.000000	ROR FM	FORMATION	BÅT GP	4905	135	22	9999-12-31	2013-05-08
6507/3-4	1995.000000	2883.000000	SHETLAND GP	GROUP	\N	4905	143	\N	9999-12-31	2013-05-08
6507/3-4	3161.000000	3185.000000	SPEKK FM	FORMATION	VIKING GP	4905	155	188	9999-12-31	2013-05-08
6507/3-4	1995.000000	2124.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4905	156	143	9999-12-31	2013-05-08
6507/3-4	1942.000000	1995.000000	TANG FM	FORMATION	ROGALAND GP	4905	161	131	9999-12-31	2013-05-08
6507/3-4	1900.000000	1942.000000	TARE FM	FORMATION	ROGALAND GP	4905	163	131	9999-12-31	2013-05-08
6507/3-4	3919.000000	4047.000000	TILJE FM	FORMATION	BÅT GP	4905	169	22	9999-12-31	2013-05-08
6507/3-4	3161.000000	3725.000000	VIKING GP	GROUP	\N	4905	188	\N	9999-12-31	2013-05-08
6507/3-4	4047.000000	4092.000000	ÅRE FM	FORMATION	BÅT GP	4905	197	22	9999-12-31	2013-05-08
24/9-7	1946.000000	1963.000000	BALDER FM	FORMATION	ROGALAND GP	4910	6	131	9999-12-31	2013-05-08
24/9-7	1975.000000	2074.000000	BALDER FM	FORMATION	ROGALAND GP	4910	6	131	9999-12-31	2013-05-08
24/9-7	1149.000000	1268.000000	GRID FM	FORMATION	HORDALAND GP	4910	53	67	9999-12-31	2013-05-08
24/9-7	1305.000000	1329.000000	GRID FM	FORMATION	HORDALAND GP	4910	53	67	9999-12-31	2013-05-08
24/9-7	2169.000000	2280.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4910	62	131	9999-12-31	2013-05-08
24/9-7	722.000000	1946.000000	HORDALAND GP	GROUP	\N	4910	67	\N	9999-12-31	2013-05-08
24/9-7	2115.000000	2169.000000	LISTA FM	FORMATION	ROGALAND GP	4910	95	131	9999-12-31	2013-05-08
24/9-7	1268.000000	1305.000000	NO FORMAL NAME	FORMATION	\N	4910	111	\N	9999-12-31	2013-05-08
24/9-7	1329.000000	1878.000000	NO FORMAL NAME	FORMATION	\N	4910	111	\N	9999-12-31	2013-05-08
24/9-7	1878.000000	1911.000000	NO FORMAL NAME	FORMATION	\N	4910	111	\N	9999-12-31	2013-05-08
24/9-7	1911.000000	1946.000000	NO FORMAL NAME	FORMATION	\N	4910	111	\N	9999-12-31	2013-05-08
24/9-7	1963.000000	1975.000000	NO FORMAL NAME	FORMATION	\N	4910	111	\N	9999-12-31	2013-05-08
24/9-7	153.000000	722.000000	NORDLAND GP	GROUP	\N	4910	113	\N	9999-12-31	2013-05-08
24/9-7	1946.000000	2280.000000	ROGALAND GP	GROUP	\N	4910	131	\N	9999-12-31	2013-05-08
24/9-7	2074.000000	2115.000000	SELE FM	FORMATION	ROGALAND GP	4910	142	131	9999-12-31	2013-05-08
24/9-7	460.000000	722.000000	UTSIRA FM	FORMATION	NORDLAND GP	4910	183	113	9999-12-31	2013-05-08
24/9-7 A	1941.000000	1952.000000	BALDER FM	FORMATION	ROGALAND GP	4919	6	131	9999-12-31	2013-05-08
24/9-7 A	2007.000000	2075.000000	BALDER FM	FORMATION	ROGALAND GP	4919	6	131	9999-12-31	2013-05-08
24/9-7 A	2096.000000	2133.000000	BALDER FM	FORMATION	ROGALAND GP	4919	6	131	9999-12-31	2013-05-08
24/9-7 A	1149.000000	1268.000000	GRID FM	FORMATION	HORDALAND GP	4919	53	67	9999-12-31	2013-05-08
24/9-7 A	1305.000000	1329.000000	GRID FM	FORMATION	HORDALAND GP	4919	53	67	9999-12-31	2013-05-08
24/9-7 A	2248.000000	2277.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4919	62	131	9999-12-31	2013-05-08
24/9-7 A	722.000000	1941.000000	HORDALAND GP	GROUP	\N	4919	67	\N	9999-12-31	2013-05-08
24/9-7 A	2192.000000	2248.000000	LISTA FM	FORMATION	ROGALAND GP	4919	95	131	9999-12-31	2013-05-08
24/9-7 A	1268.000000	1305.000000	NO FORMAL NAME	FORMATION	\N	4919	111	\N	9999-12-31	2013-05-08
24/9-7 A	1329.000000	1941.000000	NO FORMAL NAME	FORMATION	\N	4919	111	\N	9999-12-31	2013-05-08
24/9-7 A	1952.000000	2007.000000	NO FORMAL NAME	FORMATION	\N	4919	111	\N	9999-12-31	2013-05-08
24/9-7 A	2075.000000	2096.000000	NO FORMAL NAME	FORMATION	\N	4919	111	\N	9999-12-31	2013-05-08
24/9-7 A	153.000000	722.000000	NORDLAND GP	GROUP	\N	4919	113	\N	9999-12-31	2013-05-08
24/9-7 A	1941.000000	2277.000000	ROGALAND GP	GROUP	\N	4919	131	\N	9999-12-31	2013-05-08
24/9-7 A	2133.000000	2192.000000	SELE FM	FORMATION	ROGALAND GP	4919	142	131	9999-12-31	2013-05-08
24/9-7 A	460.000000	722.000000	UTSIRA FM	FORMATION	NORDLAND GP	4919	183	113	9999-12-31	2013-05-08
26/4-2	1978.000000	2021.000000	BALDER FM	FORMATION	ROGALAND GP	4925	6	131	9999-12-31	2013-05-08
26/4-2	2040.000000	2093.000000	HERMOD FM	FORMATION	ROGALAND GP	4925	64	131	9999-12-31	2013-05-08
26/4-2	900.000000	1978.000000	HORDALAND GP	GROUP	\N	4925	67	\N	9999-12-31	2013-05-08
26/4-2	2113.000000	2214.000000	LISTA FM	FORMATION	ROGALAND GP	4925	95	131	9999-12-31	2013-05-08
26/4-2	160.000000	900.000000	NORDLAND GP	GROUP	\N	4925	113	\N	9999-12-31	2013-05-08
26/4-2	1978.000000	2252.000000	ROGALAND GP	GROUP	\N	4925	131	\N	9999-12-31	2013-05-08
26/4-2	2021.000000	2040.000000	SELE FM	FORMATION	ROGALAND GP	4925	142	131	9999-12-31	2013-05-08
26/4-2	2093.000000	2113.000000	SELE FM	FORMATION	ROGALAND GP	4925	142	131	9999-12-31	2013-05-08
26/4-2	2252.000000	2302.000000	SHETLAND GP	GROUP	\N	4925	143	\N	9999-12-31	2013-05-08
26/4-2	2252.000000	2302.000000	TOR FM	FORMATION	SHETLAND GP	4925	171	143	9999-12-31	2013-05-08
26/4-2	695.000000	900.000000	UTSIRA FM	FORMATION	NORDLAND GP	4925	183	113	9999-12-31	2013-05-08
26/4-2	2214.000000	2252.000000	VÅLE FM	FORMATION	ROGALAND GP	4925	190	131	9999-12-31	2013-05-08
24/9-7 B	2053.000000	2170.000000	BALDER FM	FORMATION	ROGALAND GP	4926	6	131	9999-12-31	2013-05-08
24/9-7 B	1151.000000	1293.000000	GRID FM	FORMATION	HORDALAND GP	4926	53	67	9999-12-31	2013-05-08
24/9-7 B	1327.000000	1342.000000	GRID FM	FORMATION	HORDALAND GP	4926	53	67	9999-12-31	2013-05-08
24/9-7 B	722.000000	2053.000000	HORDALAND GP	GROUP	\N	4926	67	\N	9999-12-31	2013-05-08
24/9-7 B	2213.000000	2230.000000	LISTA FM	FORMATION	ROGALAND GP	4926	95	131	9999-12-31	2013-05-08
24/9-7 B	1293.000000	1327.000000	NO FORMAL NAME	FORMATION	\N	4926	111	\N	9999-12-31	2013-05-08
24/9-7 B	1342.000000	2053.000000	NO FORMAL NAME	FORMATION	\N	4926	111	\N	9999-12-31	2013-05-08
24/9-7 B	153.000000	722.000000	NORDLAND GP	GROUP	\N	4926	113	\N	9999-12-31	2013-05-08
24/9-7 B	2053.000000	2230.000000	ROGALAND GP	GROUP	\N	4926	131	\N	9999-12-31	2013-05-08
24/9-7 B	2170.000000	2213.000000	SELE FM	FORMATION	ROGALAND GP	4926	142	131	9999-12-31	2013-05-08
24/9-7 B	460.000000	722.000000	UTSIRA FM	FORMATION	NORDLAND GP	4926	183	113	9999-12-31	2013-05-08
6406/9-1	1655.000000	2247.000000	BRYGGE FM	FORMATION	HORDALAND GP	4927	18	67	9999-12-31	2013-05-08
6406/9-1	4634.000000	5080.000000	BÅT GP	GROUP	\N	4927	22	\N	9999-12-31	2013-05-08
6406/9-1	2928.000000	4254.000000	CROMER KNOLL GP	GROUP	\N	4927	23	\N	9999-12-31	2013-05-08
6406/9-1	4415.000000	4634.000000	FANGST GP	GROUP	\N	4927	38	\N	9999-12-31	2013-05-08
6406/9-1	4415.000000	4472.000000	GARN FM	FORMATION	FANGST GP	4927	48	38	9999-12-31	2013-05-08
6406/9-1	1655.000000	2247.000000	HORDALAND GP	GROUP	\N	4927	67	\N	9999-12-31	2013-05-08
6406/9-1	4533.000000	4634.000000	ILE FM	FORMATION	FANGST GP	4927	70	38	9999-12-31	2013-05-08
6406/9-1	1191.000000	1655.000000	KAI FM	FORMATION	NORDLAND GP	4927	77	113	9999-12-31	2013-05-08
6406/9-1	2732.000000	2928.000000	KVITNOS FM	FORMATION	SHETLAND GP	4927	91	143	9999-12-31	2013-05-08
6406/9-1	3405.000000	4229.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4927	94	23	9999-12-31	2013-05-08
6406/9-1	4229.000000	4254.000000	LYR FM	FORMATION	CROMER KNOLL GP	4927	98	23	9999-12-31	2013-05-08
6406/9-1	2928.000000	3405.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4927	99	23	9999-12-31	2013-05-08
6406/9-1	4269.000000	4415.000000	MELKE FM	FORMATION	VIKING GP	4927	105	188	9999-12-31	2013-05-08
6406/9-1	333.000000	1191.000000	NAUST FM	FORMATION	NORDLAND GP	4927	109	113	9999-12-31	2013-05-08
6406/9-1	2516.000000	2732.000000	NISE FM	FORMATION	SHETLAND GP	4927	112	143	9999-12-31	2013-05-08
6406/9-1	333.000000	1655.000000	NORDLAND GP	GROUP	\N	4927	113	\N	9999-12-31	2013-05-08
6406/9-1	4472.000000	4533.000000	NOT FM	FORMATION	FANGST GP	4927	120	38	9999-12-31	2013-05-08
6406/9-1	2247.000000	2405.000000	ROGALAND GP	GROUP	\N	4927	131	\N	9999-12-31	2013-05-08
6406/9-1	4634.000000	4681.000000	ROR FM	FORMATION	BÅT GP	4927	135	22	9999-12-31	2013-05-08
6406/9-1	4721.000000	4826.000000	ROR FM	FORMATION	BÅT GP	4927	135	22	9999-12-31	2013-05-08
6406/9-1	2405.000000	2928.000000	SHETLAND GP	GROUP	\N	4927	143	\N	9999-12-31	2013-05-08
6406/9-1	4254.000000	4269.000000	SPEKK FM	FORMATION	VIKING GP	4927	155	188	9999-12-31	2013-05-08
6406/9-1	2405.000000	2516.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4927	156	143	9999-12-31	2013-05-08
6406/9-1	2333.000000	2405.000000	TANG FM	FORMATION	ROGALAND GP	4927	161	131	9999-12-31	2013-05-08
6406/9-1	2247.000000	2333.000000	TARE FM	FORMATION	ROGALAND GP	4927	163	131	9999-12-31	2013-05-08
6406/9-1	4826.000000	5024.000000	TILJE FM	FORMATION	BÅT GP	4927	169	22	9999-12-31	2013-05-08
6406/9-1	4681.000000	4721.000000	TOFTE FM	FORMATION	BÅT GP	4927	170	22	9999-12-31	2013-05-08
6406/9-1	4254.000000	4415.000000	VIKING GP	GROUP	\N	4927	188	\N	9999-12-31	2013-05-08
6406/9-1	5024.000000	5080.000000	ÅRE FM	FORMATION	BÅT GP	4927	197	22	9999-12-31	2013-05-08
16/1-7	2130.000000	2197.000000	BALDER FM	FORMATION	ROGALAND GP	4928	6	131	9999-12-31	2013-05-08
16/1-7	2727.000000	2747.000000	CROMER KNOLL GP	GROUP	\N	4928	23	\N	9999-12-31	2013-05-08
16/1-7	2747.000000	2918.000000	DRAUPNE FM	FORMATION	VIKING GP	4928	28	188	9999-12-31	2013-05-08
16/1-7	2522.000000	2560.000000	EKOFISK FM	FORMATION	SHETLAND GP	4928	33	143	9999-12-31	2013-05-08
16/1-7	1631.000000	1723.000000	GRID FM	FORMATION	HORDALAND GP	4928	53	67	9999-12-31	2013-05-08
16/1-7	1782.000000	1820.000000	GRID FM	FORMATION	HORDALAND GP	4928	53	67	9999-12-31	2013-05-08
16/1-7	1862.000000	1922.000000	GRID FM	FORMATION	HORDALAND GP	4928	53	67	9999-12-31	2013-05-08
16/1-7	2918.000000	2953.000000	HEATHER FM	FORMATION	VIKING GP	4928	60	188	9999-12-31	2013-05-08
16/1-7	2327.000000	2400.000000	HEIMDAL FM	FORMATION	ROGALAND GP	4928	62	131	9999-12-31	2013-05-08
16/1-7	815.000000	2130.000000	HORDALAND GP	GROUP	\N	4928	67	\N	9999-12-31	2013-05-08
16/1-7	2263.000000	2327.000000	LISTA FM	FORMATION	ROGALAND GP	4928	95	131	9999-12-31	2013-05-08
16/1-7	2400.000000	2522.000000	LISTA FM	FORMATION	ROGALAND GP	4928	95	131	9999-12-31	2013-05-08
16/1-7	2327.000000	2400.000000	MEILE MBR (INFORMAL)	MEMBER	HEIMDAL FM	4928	103	62	9999-12-31	2013-05-08
16/1-7	1240.000000	1631.000000	NO FORMAL NAME	FORMATION	\N	4928	111	\N	9999-12-31	2013-05-08
16/1-7	1723.000000	1782.000000	NO FORMAL NAME	FORMATION	\N	4928	111	\N	9999-12-31	2013-05-08
16/1-7	1820.000000	1862.000000	NO FORMAL NAME	FORMATION	\N	4928	111	\N	9999-12-31	2013-05-08
16/1-7	1922.000000	2130.000000	NO FORMAL NAME	FORMATION	\N	4928	111	\N	9999-12-31	2013-05-08
16/1-7	141.000000	815.000000	NORDLAND GP	GROUP	\N	4928	113	\N	9999-12-31	2013-05-08
16/1-7	2130.000000	2522.000000	ROGALAND GP	GROUP	\N	4928	131	\N	9999-12-31	2013-05-08
16/1-7	2197.000000	2263.000000	SELE FM	FORMATION	ROGALAND GP	4928	142	131	9999-12-31	2013-05-08
16/1-7	2522.000000	2727.000000	SHETLAND GP	GROUP	\N	4928	143	\N	9999-12-31	2013-05-08
16/1-7	920.000000	1240.000000	SKADE FM	FORMATION	HORDALAND GP	4928	145	67	9999-12-31	2013-05-08
16/1-7	3083.000000	3186.000000	SKAGERRAK FM	FORMATION	HEGRE GP	4928	146	61	9999-12-31	2013-05-08
16/1-7	2953.000000	3083.000000	SLEIPNER FM	FORMATION	VESTLAND GP	4928	148	186	9999-12-31	2013-05-08
16/1-7	2560.000000	2727.000000	TOR FM	FORMATION	SHETLAND GP	4928	171	143	9999-12-31	2013-05-08
16/1-7	743.000000	815.000000	UTSIRA FM	FORMATION	NORDLAND GP	4928	183	113	9999-12-31	2013-05-08
16/1-7	2953.000000	3083.000000	VESTLAND GP	GROUP	\N	4928	186	\N	9999-12-31	2013-05-08
16/1-7	2747.000000	2953.000000	VIKING GP	GROUP	\N	4928	188	\N	9999-12-31	2013-05-08
16/1-7	3083.000000	3186.000000	NO GROUP DEFINED	GROUP	\N	4928	208	\N	9999-12-31	2013-05-08
24/9-7 C	2147.000000	2250.000000	BALDER FM	FORMATION	ROGALAND GP	4930	6	131	9999-12-31	2013-05-08
24/9-7 C	2309.000000	2338.000000	BALDER FM	FORMATION	ROGALAND GP	4930	6	131	9999-12-31	2013-05-08
24/9-7 C	1152.000000	1320.000000	GRID FM	FORMATION	HORDALAND GP	4930	53	67	9999-12-31	2013-05-08
24/9-7 C	1371.000000	1379.000000	GRID FM	FORMATION	HORDALAND GP	4930	53	67	9999-12-31	2013-05-08
24/9-7 C	1407.000000	1432.000000	GRID FM	FORMATION	HORDALAND GP	4930	53	67	9999-12-31	2013-05-08
24/9-7 C	722.000000	2147.000000	HORDALAND GP	GROUP	\N	4930	67	\N	9999-12-31	2013-05-08
24/9-7 C	1320.000000	1371.000000	NO FORMAL NAME	FORMATION	\N	4930	111	\N	9999-12-31	2013-05-08
24/9-7 C	1379.000000	1407.000000	NO FORMAL NAME	FORMATION	\N	4930	111	\N	9999-12-31	2013-05-08
24/9-7 C	1432.000000	2147.000000	NO FORMAL NAME	FORMATION	\N	4930	111	\N	9999-12-31	2013-05-08
24/9-7 C	2250.000000	2309.000000	NO FORMAL NAME	FORMATION	\N	4930	111	\N	9999-12-31	2013-05-08
24/9-7 C	153.000000	722.000000	NORDLAND GP	GROUP	\N	4930	113	\N	9999-12-31	2013-05-08
24/9-7 C	2147.000000	2363.000000	ROGALAND GP	GROUP	\N	4930	131	\N	9999-12-31	2013-05-08
24/9-7 C	2338.000000	2363.000000	SELE FM	FORMATION	ROGALAND GP	4930	142	131	9999-12-31	2013-05-08
24/9-7 C	460.000000	722.000000	UTSIRA FM	FORMATION	NORDLAND GP	4930	183	113	9999-12-31	2013-05-08
6608/11-4	1434.000000	1527.000000	BRYGGE FM	FORMATION	HORDALAND GP	4939	18	67	9999-12-31	2013-05-08
6608/11-4	1656.000000	2153.000000	BÅT GP	GROUP	\N	4939	22	\N	9999-12-31	2013-05-08
6608/11-4	2153.000000	2215.000000	GREY BEDS (INFORMAL)	GROUP	\N	4939	52	\N	9999-12-31	2013-05-08
6608/11-4	1434.000000	1527.000000	HORDALAND GP	GROUP	\N	4939	67	\N	9999-12-31	2013-05-08
6608/11-4	1390.000000	1434.000000	KAI FM	FORMATION	NORDLAND GP	4939	77	113	9999-12-31	2013-05-08
6608/11-4	378.000000	1390.000000	NAUST FM	FORMATION	NORDLAND GP	4939	109	113	9999-12-31	2013-05-08
6608/11-4	1650.000000	1656.000000	NISE FM	FORMATION	SHETLAND GP	4939	112	143	9999-12-31	2013-05-08
6608/11-4	378.000000	1434.000000	NORDLAND GP	GROUP	\N	4939	113	\N	9999-12-31	2013-05-08
6608/11-4	2215.000000	2317.000000	RED BEDS (INFORMAL)	GROUP	\N	4939	129	\N	9999-12-31	2013-05-08
6608/11-4	1527.000000	1593.000000	ROGALAND GP	GROUP	\N	4939	131	\N	9999-12-31	2013-05-08
6608/11-4	1593.000000	1656.000000	SHETLAND GP	GROUP	\N	4939	143	\N	9999-12-31	2013-05-08
6608/11-4	1593.000000	1650.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4939	156	143	9999-12-31	2013-05-08
6608/11-4	1527.000000	1593.000000	TARE FM	FORMATION	ROGALAND GP	4939	163	131	9999-12-31	2013-05-08
6608/11-4	1656.000000	1668.000000	TILJE FM	FORMATION	BÅT GP	4939	169	22	9999-12-31	2013-05-08
6608/11-4	1668.000000	2153.000000	ÅRE FM	FORMATION	BÅT GP	4939	197	22	9999-12-31	2013-05-08
30/11-6 S	2270.000000	2337.000000	BALDER FM	FORMATION	ROGALAND GP	4950	6	131	9999-12-31	2013-05-08
30/11-6 S	3150.000000	3497.000000	BRENT GP	GROUP	\N	4950	16	\N	9999-12-31	2013-05-08
30/11-6 S	2956.000000	2961.000000	CROMER KNOLL GP	GROUP	\N	4950	23	\N	9999-12-31	2013-05-08
30/11-6 S	3497.000000	3550.000000	DRAKE FM	FORMATION	DUNLIN GP	4950	27	29	9999-12-31	2013-05-08
30/11-6 S	2961.000000	2993.000000	DRAUPNE FM	FORMATION	VIKING GP	4950	28	188	9999-12-31	2013-05-08
30/11-6 S	3497.000000	3550.000000	DUNLIN GP	GROUP	\N	4950	29	\N	9999-12-31	2013-05-08
30/11-6 S	2639.000000	2846.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	4950	56	143	9999-12-31	2013-05-08
30/11-6 S	2993.000000	3150.000000	HEATHER FM	FORMATION	VIKING GP	4950	60	188	9999-12-31	2013-05-08
30/11-6 S	749.000000	2270.000000	HORDALAND GP	GROUP	\N	4950	67	\N	9999-12-31	2013-05-08
30/11-6 S	2846.000000	2956.000000	KYRRE FM	FORMATION	SHETLAND GP	4950	92	143	9999-12-31	2013-05-08
30/11-6 S	2457.000000	2565.000000	LISTA FM	FORMATION	ROGALAND GP	4950	95	131	9999-12-31	2013-05-08
30/11-6 S	3311.000000	3497.000000	NESS FM	FORMATION	BRENT GP	4950	110	16	9999-12-31	2013-05-08
30/11-6 S	132.000000	749.000000	NORDLAND GP	GROUP	\N	4950	113	\N	9999-12-31	2013-05-08
30/11-6 S	2270.000000	2639.000000	ROGALAND GP	GROUP	\N	4950	131	\N	9999-12-31	2013-05-08
30/11-6 S	2956.000000	2961.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	4950	137	23	9999-12-31	2013-05-08
30/11-6 S	2337.000000	2457.000000	SELE FM	FORMATION	ROGALAND GP	4950	142	131	9999-12-31	2013-05-08
30/11-6 S	2639.000000	2956.000000	SHETLAND GP	GROUP	\N	4950	143	\N	9999-12-31	2013-05-08
30/11-6 S	3150.000000	3311.000000	TARBERT FM	FORMATION	BRENT GP	4950	162	16	9999-12-31	2013-05-08
30/11-6 S	574.000000	749.000000	UTSIRA FM	FORMATION	NORDLAND GP	4950	183	113	9999-12-31	2013-05-08
30/11-6 S	2961.000000	3150.000000	VIKING GP	GROUP	\N	4950	188	\N	9999-12-31	2013-05-08
30/11-6 S	2565.000000	2639.000000	VÅLE FM	FORMATION	ROGALAND GP	4950	190	131	9999-12-31	2013-05-08
6507/1-1	1895.000000	1992.000000	BRYGGE FM	FORMATION	HORDALAND GP	4955	18	67	9999-12-31	2013-05-08
6507/1-1	3446.000000	3745.000000	CROMER KNOLL GP	GROUP	\N	4955	23	\N	9999-12-31	2013-05-08
6507/1-1	1895.000000	1992.000000	HORDALAND GP	GROUP	\N	4955	67	\N	9999-12-31	2013-05-08
6507/1-1	1536.000000	1895.000000	KAI FM	FORMATION	NORDLAND GP	4955	77	113	9999-12-31	2013-05-08
6507/1-1	2478.000000	3446.000000	KVITNOS FM	FORMATION	SHETLAND GP	4955	91	143	9999-12-31	2013-05-08
6507/1-1	3510.000000	3745.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4955	94	23	9999-12-31	2013-05-08
6507/1-1	3446.000000	3510.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4955	99	23	9999-12-31	2013-05-08
6507/1-1	423.000000	1536.000000	NAUST FM	FORMATION	NORDLAND GP	4955	109	113	9999-12-31	2013-05-08
6507/1-1	2331.000000	2478.000000	NISE FM	FORMATION	SHETLAND GP	4955	112	143	9999-12-31	2013-05-08
6507/1-1	423.000000	1895.000000	NORDLAND GP	GROUP	\N	4955	113	\N	9999-12-31	2013-05-08
6507/1-1	1992.000000	2145.000000	ROGALAND GP	GROUP	\N	4955	131	\N	9999-12-31	2013-05-08
6507/1-1	2145.000000	3446.000000	SHETLAND GP	GROUP	\N	4955	143	\N	9999-12-31	2013-05-08
6507/1-1	2145.000000	2331.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4955	156	143	9999-12-31	2013-05-08
6507/1-1	2090.000000	2145.000000	TANG FM	FORMATION	ROGALAND GP	4955	161	131	9999-12-31	2013-05-08
6507/1-1	1992.000000	2090.000000	TARE FM	FORMATION	ROGALAND GP	4955	163	131	9999-12-31	2013-05-08
6605/8-1	2090.000000	2389.000000	BRYGGE FM	FORMATION	HORDALAND GP	4984	18	67	9999-12-31	2013-05-08
6605/8-1	4184.000000	4513.000000	CROMER KNOLL GP	GROUP	\N	4984	23	\N	9999-12-31	2013-05-08
6605/8-1	2090.000000	2389.000000	HORDALAND GP	GROUP	\N	4984	67	\N	9999-12-31	2013-05-08
6605/8-1	1678.000000	2090.000000	KAI FM	FORMATION	NORDLAND GP	4984	77	113	9999-12-31	2013-05-08
6605/8-1	3472.000000	4184.000000	KVITNOS FM	FORMATION	SHETLAND GP	4984	91	143	9999-12-31	2013-05-08
6605/8-1	4485.000000	4513.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4984	94	23	9999-12-31	2013-05-08
6605/8-1	4184.000000	4485.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4984	99	23	9999-12-31	2013-05-08
6605/8-1	862.000000	1678.000000	NAUST FM	FORMATION	NORDLAND GP	4984	109	113	9999-12-31	2013-05-08
6605/8-1	2988.000000	3472.000000	NISE FM	FORMATION	SHETLAND GP	4984	112	143	9999-12-31	2013-05-08
6605/8-1	862.000000	2090.000000	NORDLAND GP	GROUP	\N	4984	113	\N	9999-12-31	2013-05-08
6605/8-1	2389.000000	2646.000000	ROGALAND GP	GROUP	\N	4984	131	\N	9999-12-31	2013-05-08
6605/8-1	2646.000000	4184.000000	SHETLAND GP	GROUP	\N	4984	143	\N	9999-12-31	2013-05-08
6605/8-1	2646.000000	2988.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4984	156	143	9999-12-31	2013-05-08
6605/8-1	2497.000000	2646.000000	TANG FM	FORMATION	ROGALAND GP	4984	161	131	9999-12-31	2013-05-08
6605/8-1	2389.000000	2497.000000	TARE FM	FORMATION	ROGALAND GP	4984	163	131	9999-12-31	2013-05-08
6406/1-3	2106.000000	2485.000000	BRYGGE FM	FORMATION	HORDALAND GP	4986	18	67	9999-12-31	2013-05-08
6406/1-3	3419.000000	4276.000000	CROMER KNOLL GP	GROUP	\N	4986	23	\N	9999-12-31	2013-05-08
6406/1-3	2106.000000	2485.000000	HORDALAND GP	GROUP	\N	4986	67	\N	9999-12-31	2013-05-08
6406/1-3	1590.000000	2106.000000	KAI FM	FORMATION	NORDLAND GP	4986	77	113	9999-12-31	2013-05-08
6406/1-3	3442.000000	4276.000000	LANGE FM	FORMATION	CROMER KNOLL GP	4986	94	23	9999-12-31	2013-05-08
6406/1-3	3419.000000	3442.000000	LYSING FM	FORMATION	CROMER KNOLL GP	4986	99	23	9999-12-31	2013-05-08
6406/1-3	383.000000	1590.000000	NAUST FM	FORMATION	NORDLAND GP	4986	109	113	9999-12-31	2013-05-08
6406/1-3	2683.000000	3419.000000	NISE FM	FORMATION	SHETLAND GP	4986	112	143	9999-12-31	2013-05-08
6406/1-3	383.000000	2106.000000	NORDLAND GP	GROUP	\N	4986	113	\N	9999-12-31	2013-05-08
6406/1-3	2485.000000	2600.000000	ROGALAND GP	GROUP	\N	4986	131	\N	9999-12-31	2013-05-08
6406/1-3	2600.000000	3419.000000	SHETLAND GP	GROUP	\N	4986	143	\N	9999-12-31	2013-05-08
6406/1-3	2600.000000	2683.000000	SPRINGAR FM	FORMATION	SHETLAND GP	4986	156	143	9999-12-31	2013-05-08
6406/1-3	2551.000000	2600.000000	TANG FM	FORMATION	ROGALAND GP	4986	161	131	9999-12-31	2013-05-08
6406/1-3	2485.000000	2551.000000	TARE FM	FORMATION	ROGALAND GP	4986	163	131	9999-12-31	2013-05-08
25/8-15 S	3086.000000	3347.000000	BALDER FM	FORMATION	ROGALAND GP	5000	6	131	9999-12-31	2013-05-08
25/8-15 S	4656.000000	4698.000000	BURTON FM	FORMATION	DUNLIN GP	5000	20	29	9999-12-31	2013-05-08
25/8-15 S	4612.000000	4648.000000	CROMER KNOLL GP	GROUP	\N	5000	23	\N	9999-12-31	2013-05-08
25/8-15 S	4546.000000	4612.000000	DUNLIN GP	GROUP	\N	5000	29	\N	9999-12-31	2013-05-08
25/8-15 S	4656.000000	4698.000000	DUNLIN GP	GROUP	\N	5000	29	\N	9999-12-31	2013-05-08
25/8-15 S	4648.000000	4656.000000	HEATHER FM	FORMATION	VIKING GP	5000	60	188	9999-12-31	2013-05-08
25/8-15 S	1121.000000	3086.000000	HORDALAND GP	GROUP	\N	5000	67	\N	9999-12-31	2013-05-08
25/8-15 S	3822.000000	4393.000000	LISTA FM	FORMATION	ROGALAND GP	5000	95	131	9999-12-31	2013-05-08
25/8-15 S	189.000000	1121.000000	NORDLAND GP	GROUP	\N	5000	113	\N	9999-12-31	2013-05-08
25/8-15 S	3086.000000	4393.000000	ROGALAND GP	GROUP	\N	5000	131	\N	9999-12-31	2013-05-08
25/8-15 S	3347.000000	3822.000000	SELE FM	FORMATION	ROGALAND GP	5000	142	131	9999-12-31	2013-05-08
25/8-15 S	4393.000000	4546.000000	SHETLAND GP	GROUP	\N	5000	143	\N	9999-12-31	2013-05-08
25/8-15 S	4698.000000	4804.000000	STATFJORD FM	FORMATION	\N	5000	157	\N	9999-12-31	2013-05-08
25/8-15 S	623.000000	1121.000000	UTSIRA FM	FORMATION	NORDLAND GP	5000	183	113	9999-12-31	2013-05-08
25/8-15 S	4648.000000	4656.000000	VIKING GP	GROUP	\N	5000	188	\N	9999-12-31	2013-05-08
25/8-15 S	4698.000000	4804.000000	NO GROUP DEFINED	GROUP	\N	5000	208	\N	9999-12-31	2013-05-08
7227/11-1 S	262.000000	1142.000000	ADVENTDALEN GP	GROUP	\N	5006	1	\N	9999-12-31	2013-05-08
7227/11-1 S	1201.000000	2590.000000	GIPSDALEN GP	GROUP	\N	5006	51	\N	9999-12-31	2013-05-08
7227/11-1 S	1091.000000	1142.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5006	63	1	9999-12-31	2013-05-08
7227/11-1 S	1142.000000	1201.000000	KAPP TOSCANA GP	GROUP	\N	5006	79	\N	9999-12-31	2013-05-08
7227/11-1 S	262.000000	1091.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5006	85	1	9999-12-31	2013-05-08
7227/11-1 S	1166.000000	1190.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	5006	118	79	9999-12-31	2013-05-08
7227/11-1 S	1142.000000	1166.000000	STØ FM	FORMATION	KAPP TOSCANA GP	5006	159	79	9999-12-31	2013-05-08
7227/11-1 S	1190.000000	1201.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	5006	174	79	9999-12-31	2013-05-08
7227/11-1 S	1201.000000	2590.000000	ØRN FM	FORMATION	GIPSDALEN GP	5006	195	51	9999-12-31	2013-05-08
15/12-15	2448.000000	2459.000000	BALDER FM	FORMATION	ROGALAND GP	5017	6	131	9999-12-31	2013-05-08
15/12-15	2881.000000	2956.000000	CROMER KNOLL GP	GROUP	\N	5017	23	\N	9999-12-31	2013-05-08
15/12-15	2956.000000	2962.000000	DRAUPNE FM	FORMATION	VIKING GP	5017	28	188	9999-12-31	2013-05-08
15/12-15	3045.000000	3279.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	5017	59	188	9999-12-31	2013-05-08
15/12-15	2962.000000	3045.000000	HEATHER FM	FORMATION	VIKING GP	5017	60	188	9999-12-31	2013-05-08
15/12-15	1302.000000	2448.000000	HORDALAND GP	GROUP	\N	5017	67	\N	9999-12-31	2013-05-08
15/12-15	2512.000000	2636.000000	LISTA FM	FORMATION	ROGALAND GP	5017	95	131	9999-12-31	2013-05-08
15/12-15	113.000000	1302.000000	NORDLAND GP	GROUP	\N	5017	113	\N	9999-12-31	2013-05-08
15/12-15	2448.000000	2655.000000	ROGALAND GP	GROUP	\N	5017	131	\N	9999-12-31	2013-05-08
15/12-15	2459.000000	2512.000000	SELE FM	FORMATION	ROGALAND GP	5017	142	131	9999-12-31	2013-05-08
15/12-15	2655.000000	2881.000000	SHETLAND GP	GROUP	\N	5017	143	\N	9999-12-31	2013-05-08
15/12-15	3279.000000	3300.000000	SLEIPNER FM	FORMATION	VESTLAND GP	5017	148	186	9999-12-31	2013-05-08
15/12-15	1070.000000	1302.000000	UTSIRA FM	FORMATION	NORDLAND GP	5017	183	113	9999-12-31	2013-05-08
15/12-15	3279.000000	3300.000000	VESTLAND GP	GROUP	\N	5017	186	\N	9999-12-31	2013-05-08
15/12-15	2956.000000	3279.000000	VIKING GP	GROUP	\N	5017	188	\N	9999-12-31	2013-05-08
15/12-15	2636.000000	2655.000000	VÅLE FM	FORMATION	ROGALAND GP	5017	190	131	9999-12-31	2013-05-08
7220/6-1	1483.000000	1540.000000	BASEMENT	GROUP	\N	5039	10	\N	9999-12-31	2013-05-08
7220/6-1	1436.000000	1483.000000	FALK FM	FORMATION	GIPSDALEN GP	5039	36	51	9999-12-31	2013-05-08
7220/6-1	1138.000000	1483.000000	GIPSDALEN GP	GROUP	\N	5039	51	\N	9999-12-31	2013-05-08
7220/6-1	476.000000	1138.000000	KAPP TOSCANA GP	GROUP	\N	5039	79	\N	9999-12-31	2013-05-08
7220/6-1	394.000000	476.000000	NORDLAND GP	GROUP	\N	5039	113	\N	9999-12-31	2013-05-08
7220/6-1	476.000000	1138.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5039	150	79	9999-12-31	2013-05-08
7220/6-1	1138.000000	1436.000000	ØRN FM	FORMATION	GIPSDALEN GP	5039	195	51	9999-12-31	2013-05-08
34/10-48 A	2357.000000	2528.000000	BALDER FM	FORMATION	ROGALAND GP	5046	6	131	9999-12-31	2013-05-08
34/10-48 A	5158.000000	5611.000000	BRENT GP	GROUP	\N	5046	16	\N	9999-12-31	2013-05-08
34/10-48 A	3612.000000	3657.000000	CROMER KNOLL GP	GROUP	\N	5046	23	\N	9999-12-31	2013-05-08
34/10-48 A	6067.000000	6136.000000	CROMER KNOLL GP	GROUP	\N	5046	23	\N	9999-12-31	2013-05-08
34/10-48 A	4891.000000	5008.000000	COOK FM	FORMATION	DUNLIN GP	5046	24	29	9999-12-31	2013-05-08
34/10-48 A	4645.000000	4891.000000	DRAKE FM	FORMATION	DUNLIN GP	5046	27	29	9999-12-31	2013-05-08
34/10-48 A	4645.000000	5008.000000	DUNLIN GP	GROUP	\N	5046	29	\N	9999-12-31	2013-05-08
34/10-48 A	5008.000000	5158.000000	HEATHER FM	FORMATION	VIKING GP	5046	60	188	9999-12-31	2013-05-08
34/10-48 A	5611.000000	5988.000000	HEATHER FM	FORMATION	VIKING GP	5046	60	188	9999-12-31	2013-05-08
34/10-48 A	3657.000000	4645.000000	HEGRE GP	GROUP	\N	5046	61	\N	9999-12-31	2013-05-08
34/10-48 A	1072.000000	2357.000000	HORDALAND GP	GROUP	\N	5046	67	\N	9999-12-31	2013-05-08
34/10-48 A	2528.000000	2851.000000	LISTA FM	FORMATION	ROGALAND GP	5046	95	131	9999-12-31	2013-05-08
34/10-48 A	3657.000000	4645.000000	LUNDE FM	FORMATION	HEGRE GP	5046	97	61	9999-12-31	2013-05-08
34/10-48 A	5460.000000	5461.000000	NESS FM	FORMATION	BRENT GP	5046	110	16	9999-12-31	2013-05-08
34/10-48 A	301.000000	1072.000000	NORDLAND GP	GROUP	\N	5046	113	\N	9999-12-31	2013-05-08
34/10-48 A	2357.000000	2851.000000	ROGALAND GP	GROUP	\N	5046	131	\N	9999-12-31	2013-05-08
34/10-48 A	2851.000000	3612.000000	SHETLAND GP	GROUP	\N	5046	143	\N	9999-12-31	2013-05-08
34/10-48 A	5988.000000	6067.000000	SHETLAND GP	GROUP	\N	5046	143	\N	9999-12-31	2013-05-08
34/10-48 A	5158.000000	5460.000000	TARBERT FM	FORMATION	BRENT GP	5046	162	16	9999-12-31	2013-05-08
34/10-48 A	5461.000000	5611.000000	TARBERT FM	FORMATION	BRENT GP	5046	162	16	9999-12-31	2013-05-08
34/10-48 A	1008.000000	1072.000000	UTSIRA FM	FORMATION	NORDLAND GP	5046	183	113	9999-12-31	2013-05-08
34/10-48 A	5008.000000	5158.000000	VIKING GP	GROUP	\N	5046	188	\N	9999-12-31	2013-05-08
34/10-48 A	5611.000000	5988.000000	VIKING GP	GROUP	\N	5046	188	\N	9999-12-31	2013-05-08
34/10-48 A	6136.000000	6221.000000	VIKING GP	GROUP	\N	5046	188	\N	9999-12-31	2013-05-08
31/4-12	1719.000000	1775.000000	BALDER FM	FORMATION	ROGALAND GP	5051	6	131	9999-12-31	2013-05-08
31/4-12	1995.000000	2043.000000	CROMER KNOLL GP	GROUP	\N	5051	23	\N	9999-12-31	2013-05-08
31/4-12	2043.000000	2089.000000	DRAUPNE FM	FORMATION	VIKING GP	5051	28	188	9999-12-31	2013-05-08
31/4-12	2172.000000	2226.000000	FENSFJORD FM	FORMATION	VIKING GP	5051	40	188	9999-12-31	2013-05-08
31/4-12	2125.000000	2172.000000	HEATHER FM	FORMATION	VIKING GP	5051	60	188	9999-12-31	2013-05-08
31/4-12	895.000000	1719.000000	HORDALAND GP	GROUP	\N	5051	67	\N	9999-12-31	2013-05-08
31/4-12	1977.000000	1995.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5051	74	143	9999-12-31	2013-05-08
31/4-12	1821.000000	1904.000000	LISTA FM	FORMATION	ROGALAND GP	5051	95	131	9999-12-31	2013-05-08
31/4-12	235.000000	895.000000	NORDLAND GP	GROUP	\N	5051	113	\N	9999-12-31	2013-05-08
31/4-12	1719.000000	1977.000000	ROGALAND GP	GROUP	\N	5051	131	\N	9999-12-31	2013-05-08
31/4-12	1995.000000	2025.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5051	137	23	9999-12-31	2013-05-08
31/4-12	1775.000000	1821.000000	SELE FM	FORMATION	ROGALAND GP	5051	142	131	9999-12-31	2013-05-08
31/4-12	1977.000000	1995.000000	SHETLAND GP	GROUP	\N	5051	143	\N	9999-12-31	2013-05-08
31/4-12	2089.000000	2125.000000	SOGNEFJORD FM	FORMATION	VIKING GP	5051	151	188	9999-12-31	2013-05-08
31/4-12	767.000000	895.000000	UTSIRA FM	FORMATION	NORDLAND GP	5051	183	113	9999-12-31	2013-05-08
31/4-12	2043.000000	2226.000000	VIKING GP	GROUP	\N	5051	188	\N	9999-12-31	2013-05-08
31/4-12	1904.000000	1977.000000	VÅLE FM	FORMATION	ROGALAND GP	5051	190	131	9999-12-31	2013-05-08
31/4-12	2025.000000	2043.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5051	198	23	9999-12-31	2013-05-08
6406/1-3 R	2108.000000	2487.000000	BRYGGE FM	FORMATION	HORDALAND GP	5056	18	67	9999-12-31	2013-05-08
6406/1-3 R	3421.000000	4278.000000	CROMER KNOLL GP	GROUP	\N	5056	23	\N	9999-12-31	2013-05-08
6406/1-3 R	2108.000000	2487.000000	HORDALAND GP	GROUP	\N	5056	67	\N	9999-12-31	2013-05-08
6406/1-3 R	1592.000000	2108.000000	KAI FM	FORMATION	NORDLAND GP	5056	77	113	9999-12-31	2013-05-08
6406/1-3 R	3444.000000	4278.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5056	94	23	9999-12-31	2013-05-08
6406/1-3 R	3421.000000	3444.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5056	99	23	9999-12-31	2013-05-08
6406/1-3 R	385.000000	1592.000000	NAUST FM	FORMATION	NORDLAND GP	5056	109	113	9999-12-31	2013-05-08
6406/1-3 R	2685.000000	3421.000000	NISE FM	FORMATION	SHETLAND GP	5056	112	143	9999-12-31	2013-05-08
6406/1-3 R	385.000000	2108.000000	NORDLAND GP	GROUP	\N	5056	113	\N	9999-12-31	2013-05-08
6406/1-3 R	2487.000000	2602.000000	ROGALAND GP	GROUP	\N	5056	131	\N	9999-12-31	2013-05-08
6406/1-3 R	2602.000000	3421.000000	SHETLAND GP	GROUP	\N	5056	143	\N	9999-12-31	2013-05-08
6406/1-3 R	2602.000000	2685.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5056	156	143	9999-12-31	2013-05-08
6406/1-3 R	2553.000000	2602.000000	TANG FM	FORMATION	ROGALAND GP	5056	161	131	9999-12-31	2013-05-08
6406/1-3 R	2487.000000	2553.000000	TARE FM	FORMATION	ROGALAND GP	5056	163	131	9999-12-31	2013-05-08
6406/1-3 R2	2106.000000	2485.000000	BRYGGE FM	FORMATION	HORDALAND GP	5060	18	67	9999-12-31	2013-05-08
6406/1-3 R2	3419.000000	4276.000000	CROMER KNOLL GP	GROUP	\N	5060	23	\N	9999-12-31	2013-05-08
6406/1-3 R2	2106.000000	2485.000000	HORDALAND GP	GROUP	\N	5060	67	\N	9999-12-31	2013-05-08
6406/1-3 R2	1590.000000	2106.000000	KAI FM	FORMATION	NORDLAND GP	5060	77	113	9999-12-31	2013-05-08
6406/1-3 R2	3442.000000	4276.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5060	94	23	9999-12-31	2013-05-08
6406/1-3 R2	3419.000000	3442.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5060	99	23	9999-12-31	2013-05-08
6406/1-3 R2	383.000000	1590.000000	NAUST FM	FORMATION	NORDLAND GP	5060	109	113	9999-12-31	2013-05-08
6406/1-3 R2	2683.000000	3419.000000	NISE FM	FORMATION	SHETLAND GP	5060	112	143	9999-12-31	2013-05-08
6406/1-3 R2	383.000000	2106.000000	NORDLAND GP	GROUP	\N	5060	113	\N	9999-12-31	2013-05-08
6406/1-3 R2	2485.000000	2600.000000	ROGALAND GP	GROUP	\N	5060	131	\N	9999-12-31	2013-05-08
6406/1-3 R2	2600.000000	3419.000000	SHETLAND GP	GROUP	\N	5060	143	\N	9999-12-31	2013-05-08
6406/1-3 R2	2600.000000	2683.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5060	156	143	9999-12-31	2013-05-08
6406/1-3 R2	2551.000000	2600.000000	TANG FM	FORMATION	ROGALAND GP	5060	161	131	9999-12-31	2013-05-08
6406/1-3 R2	2485.000000	2551.000000	TARE FM	FORMATION	ROGALAND GP	5060	163	131	9999-12-31	2013-05-08
35/11-13	1541.000000	1553.000000	BALDER FM	FORMATION	ROGALAND GP	5063	6	131	9999-12-31	2013-05-08
35/11-13	2626.000000	2646.000000	BLODØKS FM	FORMATION	SHETLAND GP	5063	13	143	9999-12-31	2013-05-08
35/11-13	2671.000000	2902.000000	CROMER KNOLL GP	GROUP	\N	5063	23	\N	9999-12-31	2013-05-08
35/11-13	2902.000000	3013.000000	DRAUPNE FM	FORMATION	VIKING GP	5063	28	188	9999-12-31	2013-05-08
35/11-13	3096.000000	3206.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	5063	59	188	9999-12-31	2013-05-08
35/11-13	3013.000000	3096.000000	HEATHER FM	FORMATION	VIKING GP	5063	60	188	9999-12-31	2013-05-08
35/11-13	3206.000000	3292.000000	HEATHER FM	FORMATION	VIKING GP	5063	60	188	9999-12-31	2013-05-08
35/11-13	763.000000	1541.000000	HORDALAND GP	GROUP	\N	5063	67	\N	9999-12-31	2013-05-08
35/11-13	1938.000000	2088.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5063	74	143	9999-12-31	2013-05-08
35/11-13	2088.000000	2565.000000	KYRRE FM	FORMATION	SHETLAND GP	5063	92	143	9999-12-31	2013-05-08
35/11-13	1553.000000	1598.000000	LISTA FM	FORMATION	ROGALAND GP	5063	95	131	9999-12-31	2013-05-08
35/11-13	1752.000000	1769.000000	LISTA FM	FORMATION	ROGALAND GP	5063	95	131	9999-12-31	2013-05-08
35/11-13	1697.000000	1752.000000	NO FORMAL NAME	FORMATION	\N	5063	111	\N	9999-12-31	2013-05-08
35/11-13	1842.000000	1923.000000	NO FORMAL NAME	FORMATION	\N	5063	111	\N	9999-12-31	2013-05-08
35/11-13	387.000000	763.000000	NORDLAND GP	GROUP	\N	5063	113	\N	9999-12-31	2013-05-08
35/11-13	1541.000000	1938.000000	ROGALAND GP	GROUP	\N	5063	131	\N	9999-12-31	2013-05-08
35/11-13	2671.000000	2700.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5063	137	23	9999-12-31	2013-05-08
35/11-13	1598.000000	1697.000000	SELE FM	FORMATION	ROGALAND GP	5063	142	131	9999-12-31	2013-05-08
35/11-13	1938.000000	2671.000000	SHETLAND GP	GROUP	\N	5063	143	\N	9999-12-31	2013-05-08
35/11-13	2646.000000	2671.000000	SVARTE FM	FORMATION	SHETLAND GP	5063	160	143	9999-12-31	2013-05-08
35/11-13	2565.000000	2626.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	5063	173	143	9999-12-31	2013-05-08
35/11-13	2902.000000	3292.000000	VIKING GP	GROUP	\N	5063	188	\N	9999-12-31	2013-05-08
35/11-13	1769.000000	1842.000000	VÅLE FM	FORMATION	ROGALAND GP	5063	190	131	9999-12-31	2013-05-08
35/11-13	1923.000000	1938.000000	VÅLE FM	FORMATION	ROGALAND GP	5063	190	131	9999-12-31	2013-05-08
35/11-13	2700.000000	2902.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5063	198	23	9999-12-31	2013-05-08
6302/6-1	2582.000000	3223.000000	BRYGGE FM	FORMATION	HORDALAND GP	5086	18	67	9999-12-31	2013-05-08
6302/6-1	2582.000000	3223.000000	HORDALAND GP	GROUP	\N	5086	67	\N	9999-12-31	2013-05-08
6302/6-1	2463.000000	2582.000000	KAI FM	FORMATION	NORDLAND GP	5086	77	113	9999-12-31	2013-05-08
6302/6-1	1286.000000	2463.000000	NAUST FM	FORMATION	NORDLAND GP	5086	109	113	9999-12-31	2013-05-08
6302/6-1	3901.000000	4080.000000	NO FORMAL NAME	FORMATION	\N	5086	111	\N	9999-12-31	2013-05-08
6302/6-1	1286.000000	2582.000000	NORDLAND GP	GROUP	\N	5086	113	\N	9999-12-31	2013-05-08
6302/6-1	3223.000000	4080.000000	ROGALAND GP	GROUP	\N	5086	131	\N	9999-12-31	2013-05-08
6302/6-1	4080.000000	4234.000000	SHETLAND GP	GROUP	\N	5086	143	\N	9999-12-31	2013-05-08
6302/6-1	4080.000000	4234.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5086	156	143	9999-12-31	2013-05-08
6302/6-1	3395.000000	3901.000000	TANG FM	FORMATION	ROGALAND GP	5086	161	131	9999-12-31	2013-05-08
6302/6-1	3223.000000	3395.000000	TARE FM	FORMATION	ROGALAND GP	5086	163	131	9999-12-31	2013-05-08
7131/4-1	430.000000	878.000000	ADVENTDALEN GP	GROUP	\N	5093	1	\N	9999-12-31	2013-05-08
7131/4-1	883.000000	960.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5093	46	79	9999-12-31	2013-05-08
7131/4-1	839.000000	878.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5093	63	1	9999-12-31	2013-05-08
7131/4-1	878.000000	1172.000000	KAPP TOSCANA GP	GROUP	\N	5093	79	\N	9999-12-31	2013-05-08
7131/4-1	824.000000	839.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5093	82	1	9999-12-31	2013-05-08
7131/4-1	1172.000000	1295.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5093	83	140	9999-12-31	2013-05-08
7131/4-1	430.000000	824.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5093	85	1	9999-12-31	2013-05-08
7131/4-1	1172.000000	1295.000000	SASSENDALEN GP	GROUP	\N	5093	140	\N	9999-12-31	2013-05-08
7131/4-1	960.000000	1172.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5093	150	79	9999-12-31	2013-05-08
7131/4-1	878.000000	883.000000	STØ FM	FORMATION	KAPP TOSCANA GP	5093	159	79	9999-12-31	2013-05-08
9/4-5	1077.000000	1098.000000	BALDER FM	FORMATION	ROGALAND GP	5134	6	131	9999-12-31	2013-05-08
9/4-5	2300.000000	2703.000000	BOKNFJORD GP	GROUP	\N	5134	15	\N	9999-12-31	2013-05-08
9/4-5	2783.000000	2836.000000	BRYNE FM	FORMATION	VESTLAND GP	5134	19	186	9999-12-31	2013-05-08
9/4-5	2006.000000	2300.000000	CROMER KNOLL GP	GROUP	\N	5134	23	\N	9999-12-31	2013-05-08
9/4-5	2654.000000	2703.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	5134	30	15	9999-12-31	2013-05-08
9/4-5	1261.000000	1397.000000	EKOFISK FM	FORMATION	SHETLAND GP	5134	33	143	9999-12-31	2013-05-08
9/4-5	2300.000000	2387.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	5134	43	15	9999-12-31	2013-05-08
9/4-5	607.000000	1077.000000	HORDALAND GP	GROUP	\N	5134	67	\N	9999-12-31	2013-05-08
9/4-5	1134.000000	1210.000000	LISTA FM	FORMATION	ROGALAND GP	5134	95	131	9999-12-31	2013-05-08
9/4-5	121.000000	607.000000	NORDLAND GP	GROUP	\N	5134	113	\N	9999-12-31	2013-05-08
9/4-5	1077.000000	1261.000000	ROGALAND GP	GROUP	\N	5134	131	\N	9999-12-31	2013-05-08
9/4-5	5279.000000	5838.000000	ROTLIEGEND GP	GROUP	\N	5134	136	\N	9999-12-31	2013-05-08
9/4-5	2703.000000	2783.000000	SANDNES FM	FORMATION	VESTLAND GP	5134	139	186	9999-12-31	2013-05-08
9/4-5	2387.000000	2603.000000	SAUDA FM	FORMATION	BOKNFJORD GP	5134	141	15	9999-12-31	2013-05-08
9/4-5	1098.000000	1134.000000	SELE FM	FORMATION	ROGALAND GP	5134	142	131	9999-12-31	2013-05-08
9/4-5	1261.000000	2006.000000	SHETLAND GP	GROUP	\N	5134	143	\N	9999-12-31	2013-05-08
9/4-5	2836.000000	4638.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5134	146	61	9999-12-31	2013-05-08
9/4-5	4638.000000	5224.000000	SMITH BANK FM	FORMATION	HEGRE GP	5134	149	61	9999-12-31	2013-05-08
9/4-5	2603.000000	2654.000000	TAU FM	FORMATION	BOKNFJORD GP	5134	164	15	9999-12-31	2013-05-08
9/4-5	1397.000000	2006.000000	TOR FM	FORMATION	SHETLAND GP	5134	171	143	9999-12-31	2013-05-08
9/4-5	2703.000000	2836.000000	VESTLAND GP	GROUP	\N	5134	186	\N	9999-12-31	2013-05-08
9/4-5	1210.000000	1261.000000	VÅLE FM	FORMATION	ROGALAND GP	5134	190	131	9999-12-31	2013-05-08
9/4-5	5838.000000	5881.000000	UNDEFINED GP	GROUP	\N	5134	191	\N	9999-12-31	2013-05-08
9/4-5	5224.000000	5279.000000	ZECHSTEIN GP	GROUP	\N	5134	194	\N	9999-12-31	2013-05-08
9/4-5	2836.000000	5224.000000	NO GROUP DEFINED	GROUP	\N	5134	208	\N	9999-12-31	2013-05-08
35/2-1	409.000000	713.000000	NORDLAND GP	GROUP	\N	5135	113	\N	9999-12-31	2013-05-08
34/10-49 S	2980.000000	3278.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	5140	4	29	9999-12-31	2013-05-08
34/10-49 S	4022.000000	4126.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	5140	4	29	9999-12-31	2013-05-08
34/10-49 S	1792.000000	1872.000000	BALDER FM	FORMATION	ROGALAND GP	5140	6	131	9999-12-31	2013-05-08
34/10-49 S	2497.000000	2627.000000	BRENT GP	GROUP	\N	5140	16	\N	9999-12-31	2013-05-08
34/10-49 S	2925.000000	2980.000000	BURTON FM	FORMATION	DUNLIN GP	5140	20	29	9999-12-31	2013-05-08
34/10-49 S	2740.000000	2925.000000	COOK FM	FORMATION	DUNLIN GP	5140	24	29	9999-12-31	2013-05-08
34/10-49 S	2627.000000	2740.000000	DRAKE FM	FORMATION	DUNLIN GP	5140	27	29	9999-12-31	2013-05-08
34/10-49 S	2627.000000	3278.000000	DUNLIN GP	GROUP	\N	5140	29	\N	9999-12-31	2013-05-08
34/10-49 S	2530.000000	2557.000000	ETIVE FM	FORMATION	BRENT GP	5140	35	16	9999-12-31	2013-05-08
34/10-49 S	2488.000000	2497.000000	HEATHER FM	FORMATION	VIKING GP	5140	60	188	9999-12-31	2013-05-08
34/10-49 S	985.000000	1792.000000	HORDALAND GP	GROUP	\N	5140	67	\N	9999-12-31	2013-05-08
34/10-49 S	1872.000000	1972.000000	LISTA FM	FORMATION	ROGALAND GP	5140	95	131	9999-12-31	2013-05-08
34/10-49 S	2497.000000	2530.000000	NESS FM	FORMATION	BRENT GP	5140	110	16	9999-12-31	2013-05-08
34/10-49 S	1093.000000	1568.000000	NO FORMAL NAME	FORMATION	\N	5140	111	\N	9999-12-31	2013-05-08
34/10-49 S	1568.000000	1738.000000	NO FORMAL NAME	FORMATION	\N	5140	111	\N	9999-12-31	2013-05-08
34/10-49 S	1738.000000	1750.000000	NO FORMAL NAME	FORMATION	\N	5140	111	\N	9999-12-31	2013-05-08
34/10-49 S	1750.000000	1792.000000	NO FORMAL NAME	FORMATION	\N	5140	111	\N	9999-12-31	2013-05-08
34/10-49 S	160.000000	985.000000	NORDLAND GP	GROUP	\N	5140	113	\N	9999-12-31	2013-05-08
34/10-49 S	2557.000000	2627.000000	RANNOCH FM	FORMATION	BRENT GP	5140	126	16	9999-12-31	2013-05-08
34/10-49 S	1792.000000	1972.000000	ROGALAND GP	GROUP	\N	5140	131	\N	9999-12-31	2013-05-08
34/10-49 S	1972.000000	2488.000000	SHETLAND GP	GROUP	\N	5140	143	\N	9999-12-31	2013-05-08
34/10-49 S	3278.000000	4022.000000	STATFJORD FM	FORMATION	\N	5140	157	\N	9999-12-31	2013-05-08
34/10-49 S	904.000000	985.000000	UTSIRA FM	FORMATION	NORDLAND GP	5140	183	113	9999-12-31	2013-05-08
34/10-49 S	2488.000000	2497.000000	VIKING GP	GROUP	\N	5140	188	\N	9999-12-31	2013-05-08
34/10-49 S	3278.000000	4126.000000	NO GROUP DEFINED	GROUP	\N	5140	208	\N	9999-12-31	2013-05-08
9/3-2	566.000000	588.000000	BALDER FM	FORMATION	ROGALAND GP	5173	6	131	9999-12-31	2013-05-08
9/3-2	1970.000000	2660.000000	BOKNFJORD GP	GROUP	\N	5173	15	\N	9999-12-31	2013-05-08
9/3-2	2778.000000	3068.000000	BRYNE FM	FORMATION	VESTLAND GP	5173	19	186	9999-12-31	2013-05-08
9/3-2	1069.000000	1970.000000	CROMER KNOLL GP	GROUP	\N	5173	23	\N	9999-12-31	2013-05-08
9/3-2	2607.000000	2660.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	5173	30	15	9999-12-31	2013-05-08
9/3-2	624.000000	665.000000	EKOFISK FM	FORMATION	SHETLAND GP	5173	33	143	9999-12-31	2013-05-08
9/3-2	3068.000000	3118.000000	FJERRITSLEV FM	FORMATION	\N	5173	42	\N	9999-12-31	2013-05-08
9/3-2	1970.000000	2072.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	5173	43	15	9999-12-31	2013-05-08
9/3-2	910.000000	1069.000000	HOD FM	FORMATION	SHETLAND GP	5173	66	143	9999-12-31	2013-05-08
9/3-2	414.000000	566.000000	HORDALAND GP	GROUP	\N	5173	67	\N	9999-12-31	2013-05-08
9/3-2	598.000000	619.000000	LISTA FM	FORMATION	ROGALAND GP	5173	95	131	9999-12-31	2013-05-08
9/3-2	619.000000	624.000000	MAUREEN FM	FORMATION	ROGALAND GP	5173	102	131	9999-12-31	2013-05-08
9/3-2	147.000000	414.000000	NORDLAND GP	GROUP	\N	5173	113	\N	9999-12-31	2013-05-08
9/3-2	566.000000	624.000000	ROGALAND GP	GROUP	\N	5173	131	\N	9999-12-31	2013-05-08
9/3-2	2660.000000	2778.000000	SANDNES FM	FORMATION	VESTLAND GP	5173	139	186	9999-12-31	2013-05-08
9/3-2	2072.000000	2503.000000	SAUDA FM	FORMATION	BOKNFJORD GP	5173	141	15	9999-12-31	2013-05-08
9/3-2	588.000000	598.000000	SELE FM	FORMATION	ROGALAND GP	5173	142	131	9999-12-31	2013-05-08
9/3-2	624.000000	1069.000000	SHETLAND GP	GROUP	\N	5173	143	\N	9999-12-31	2013-05-08
9/3-2	3118.000000	3154.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5173	146	61	9999-12-31	2013-05-08
9/3-2	1069.000000	1162.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5173	152	23	9999-12-31	2013-05-08
9/3-2	2503.000000	2607.000000	TAU FM	FORMATION	BOKNFJORD GP	5173	164	15	9999-12-31	2013-05-08
9/3-2	665.000000	910.000000	TOR FM	FORMATION	SHETLAND GP	5173	171	143	9999-12-31	2013-05-08
9/3-2	2660.000000	3068.000000	VESTLAND GP	GROUP	\N	5173	186	\N	9999-12-31	2013-05-08
9/3-2	1162.000000	1970.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5173	198	23	9999-12-31	2013-05-08
9/3-2	3068.000000	3118.000000	NO GROUP DEFINED	GROUP	\N	5173	208	\N	9999-12-31	2013-05-08
9/3-2	3118.000000	3154.000000	NO GROUP DEFINED	GROUP	\N	5173	208	\N	9999-12-31	2013-05-08
15/9-22	2355.000000	2398.000000	BALDER FM	FORMATION	ROGALAND GP	5174	6	131	9999-12-31	2013-05-08
15/9-22	3211.000000	3323.000000	BLODØKS FM	FORMATION	SHETLAND GP	5174	13	143	9999-12-31	2013-05-08
15/9-22	3323.000000	3400.000000	CROMER KNOLL GP	GROUP	\N	5174	23	\N	9999-12-31	2013-05-08
15/9-22	3400.000000	3548.000000	DRAUPNE FM	FORMATION	VIKING GP	5174	28	188	9999-12-31	2013-05-08
15/9-22	2794.000000	2838.000000	EKOFISK FM	FORMATION	SHETLAND GP	5174	33	143	9999-12-31	2013-05-08
15/9-22	1975.000000	2236.000000	GRID FM	FORMATION	HORDALAND GP	5174	53	67	9999-12-31	2013-05-08
15/9-22	3548.000000	3572.000000	HEATHER FM	FORMATION	VIKING GP	5174	60	188	9999-12-31	2013-05-08
15/9-22	2509.000000	2702.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5174	62	131	9999-12-31	2013-05-08
15/9-22	3036.000000	3211.000000	HOD FM	FORMATION	SHETLAND GP	5174	66	143	9999-12-31	2013-05-08
15/9-22	1114.000000	2355.000000	HORDALAND GP	GROUP	\N	5174	67	\N	9999-12-31	2013-05-08
15/9-22	3572.000000	3713.000000	HUGIN FM	FORMATION	VESTLAND GP	5174	69	186	9999-12-31	2013-05-08
15/9-22	2453.000000	2509.000000	LISTA FM	FORMATION	ROGALAND GP	5174	95	131	9999-12-31	2013-05-08
15/9-22	2702.000000	2794.000000	LISTA FM	FORMATION	ROGALAND GP	5174	95	131	9999-12-31	2013-05-08
15/9-22	1477.000000	1975.000000	NO FORMAL NAME	FORMATION	\N	5174	111	\N	9999-12-31	2013-05-08
15/9-22	2236.000000	2355.000000	NO FORMAL NAME	FORMATION	\N	5174	111	\N	9999-12-31	2013-05-08
15/9-22	129.000000	1114.000000	NORDLAND GP	GROUP	\N	5174	113	\N	9999-12-31	2013-05-08
15/9-22	2355.000000	2794.000000	ROGALAND GP	GROUP	\N	5174	131	\N	9999-12-31	2013-05-08
15/9-22	3323.000000	3400.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5174	137	23	9999-12-31	2013-05-08
15/9-22	2398.000000	2453.000000	SELE FM	FORMATION	ROGALAND GP	5174	142	131	9999-12-31	2013-05-08
15/9-22	2794.000000	3323.000000	SHETLAND GP	GROUP	\N	5174	143	\N	9999-12-31	2013-05-08
15/9-22	1443.000000	1477.000000	SKADE FM	FORMATION	HORDALAND GP	5174	145	67	9999-12-31	2013-05-08
15/9-22	3756.000000	3923.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5174	146	61	9999-12-31	2013-05-08
15/9-22	3713.000000	3756.000000	SLEIPNER FM	FORMATION	VESTLAND GP	5174	148	186	9999-12-31	2013-05-08
15/9-22	2838.000000	3036.000000	TOR FM	FORMATION	SHETLAND GP	5174	171	143	9999-12-31	2013-05-08
15/9-22	877.000000	1114.000000	UTSIRA FM	FORMATION	NORDLAND GP	5174	183	113	9999-12-31	2013-05-08
15/9-22	3572.000000	3756.000000	VESTLAND GP	GROUP	\N	5174	186	\N	9999-12-31	2013-05-08
15/9-22	3400.000000	3572.000000	VIKING GP	GROUP	\N	5174	188	\N	9999-12-31	2013-05-08
15/9-22	3756.000000	3923.000000	NO GROUP DEFINED	GROUP	\N	5174	208	\N	9999-12-31	2013-05-08
15/3-8	2164.000000	2223.000000	BALDER FM	FORMATION	ROGALAND GP	5175	6	131	9999-12-31	2013-05-08
15/3-8	3673.000000	3686.000000	BLODØKS FM	FORMATION	SHETLAND GP	5175	13	143	9999-12-31	2013-05-08
15/3-8	3794.000000	3933.000000	CROMER KNOLL GP	GROUP	\N	5175	23	\N	9999-12-31	2013-05-08
15/3-8	4073.000000	4392.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	5175	26	188	9999-12-31	2013-05-08
15/3-8	4474.000000	4592.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	5175	26	188	9999-12-31	2013-05-08
15/3-8	3933.000000	4073.000000	DRAUPNE FM	FORMATION	VIKING GP	5175	28	188	9999-12-31	2013-05-08
15/3-8	4392.000000	4474.000000	DRAUPNE FM	FORMATION	VIKING GP	5175	28	188	9999-12-31	2013-05-08
15/3-8	2740.000000	2792.000000	EKOFISK FM	FORMATION	SHETLAND GP	5175	33	143	9999-12-31	2013-05-08
15/3-8	1448.000000	1792.000000	GRID FM	FORMATION	HORDALAND GP	5175	53	67	9999-12-31	2013-05-08
15/3-8	858.000000	1136.000000	HORDALAND GP	GROUP	\N	5175	67	\N	9999-12-31	2013-05-08
15/3-8	1136.000000	1792.000000	HORDALAND GP	GROUP	\N	5175	67	\N	9999-12-31	2013-05-08
15/3-8	1792.000000	2164.000000	HORDALAND GP	GROUP	\N	5175	67	\N	9999-12-31	2013-05-08
15/3-8	2792.000000	3213.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5175	74	143	9999-12-31	2013-05-08
15/3-8	3213.000000	3341.000000	KYRRE FM	FORMATION	SHETLAND GP	5175	92	143	9999-12-31	2013-05-08
15/3-8	2277.000000	2603.000000	LISTA FM	FORMATION	ROGALAND GP	5175	95	131	9999-12-31	2013-05-08
15/3-8	133.000000	858.000000	NORDLAND GP	GROUP	\N	5175	113	\N	9999-12-31	2013-05-08
15/3-8	2164.000000	2740.000000	ROGALAND GP	GROUP	\N	5175	131	\N	9999-12-31	2013-05-08
15/3-8	2223.000000	2277.000000	SELE FM	FORMATION	ROGALAND GP	5175	142	131	9999-12-31	2013-05-08
15/3-8	2740.000000	3794.000000	SHETLAND GP	GROUP	\N	5175	143	\N	9999-12-31	2013-05-08
15/3-8	1025.000000	1136.000000	SKADE FM	FORMATION	HORDALAND GP	5175	145	67	9999-12-31	2013-05-08
15/3-8	3859.000000	3875.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5175	152	23	9999-12-31	2013-05-08
15/3-8	3686.000000	3794.000000	SVARTE FM	FORMATION	SHETLAND GP	5175	160	143	9999-12-31	2013-05-08
15/3-8	3341.000000	3673.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	5175	173	143	9999-12-31	2013-05-08
15/3-8	2603.000000	2740.000000	TY FM	FORMATION	ROGALAND GP	5175	176	131	9999-12-31	2013-05-08
15/3-8	658.000000	858.000000	UTSIRA FM	FORMATION	NORDLAND GP	5175	183	113	9999-12-31	2013-05-08
15/3-8	3933.000000	4592.000000	VIKING GP	GROUP	\N	5175	188	\N	9999-12-31	2013-05-08
15/3-8	3875.000000	3933.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5175	198	23	9999-12-31	2013-05-08
6406/1-4	2078.000000	2479.000000	BRYGGE FM	FORMATION	HORDALAND GP	5183	18	67	9999-12-31	2013-05-08
6406/1-4	3440.000000	4558.000000	CROMER KNOLL GP	GROUP	\N	5183	23	\N	9999-12-31	2013-05-08
6406/1-4	2078.000000	2479.000000	HORDALAND GP	GROUP	\N	5183	67	\N	9999-12-31	2013-05-08
6406/1-4	1595.000000	2078.000000	KAI FM	FORMATION	NORDLAND GP	5183	77	113	9999-12-31	2013-05-08
6406/1-4	2749.000000	3440.000000	KVITNOS FM	FORMATION	SHETLAND GP	5183	91	143	9999-12-31	2013-05-08
6406/1-4	3453.000000	4558.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5183	94	23	9999-12-31	2013-05-08
6406/1-4	3440.000000	3453.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5183	99	23	9999-12-31	2013-05-08
6406/1-4	385.000000	1595.000000	NAUST FM	FORMATION	NORDLAND GP	5183	109	113	9999-12-31	2013-05-08
6406/1-4	2671.000000	2749.000000	NISE FM	FORMATION	SHETLAND GP	5183	112	143	9999-12-31	2013-05-08
6406/1-4	385.000000	2078.000000	NORDLAND GP	GROUP	\N	5183	113	\N	9999-12-31	2013-05-08
6406/1-4	4558.000000	4596.000000	RED BEDS (INFORMAL)	GROUP	\N	5183	129	\N	9999-12-31	2013-05-08
6406/1-4	2479.000000	2601.000000	ROGALAND GP	GROUP	\N	5183	131	\N	9999-12-31	2013-05-08
6406/1-4	2601.000000	3440.000000	SHETLAND GP	GROUP	\N	5183	143	\N	9999-12-31	2013-05-08
6406/1-4	2601.000000	2671.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5183	156	143	9999-12-31	2013-05-08
6406/1-4	2549.000000	2601.000000	TANG FM	FORMATION	ROGALAND GP	5183	161	131	9999-12-31	2013-05-08
6406/1-4	2479.000000	2549.000000	TARE FM	FORMATION	ROGALAND GP	5183	163	131	9999-12-31	2013-05-08
1/2-2	3077.000000	3094.000000	BALDER FM	FORMATION	ROGALAND GP	5192	6	131	9999-12-31	2013-05-08
1/2-2	3418.000000	3434.000000	EKOFISK FM	FORMATION	SHETLAND GP	5192	33	143	9999-12-31	2013-05-08
1/2-2	3135.000000	3296.000000	FORTIES FM	FORMATION	ROGALAND GP	5192	44	131	9999-12-31	2013-05-08
1/2-2	1675.000000	3077.000000	HORDALAND GP	GROUP	\N	5192	67	\N	9999-12-31	2013-05-08
1/2-2	3296.000000	3368.000000	LISTA FM	FORMATION	ROGALAND GP	5192	95	131	9999-12-31	2013-05-08
1/2-2	3368.000000	3418.000000	MAUREEN FM	FORMATION	ROGALAND GP	5192	102	131	9999-12-31	2013-05-08
1/2-2	114.000000	1675.000000	NORDLAND GP	GROUP	\N	5192	113	\N	9999-12-31	2013-05-08
1/2-2	3077.000000	3418.000000	ROGALAND GP	GROUP	\N	5192	131	\N	9999-12-31	2013-05-08
1/2-2	3094.000000	3135.000000	SELE FM	FORMATION	ROGALAND GP	5192	142	131	9999-12-31	2013-05-08
1/2-2	3418.000000	3434.000000	SHETLAND GP	GROUP	\N	5192	143	\N	9999-12-31	2013-05-08
7122/7-3	650.000000	1087.000000	ADVENTDALEN GP	GROUP	\N	5214	1	\N	9999-12-31	2013-05-08
7122/7-3	1073.000000	1087.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	5214	47	1	9999-12-31	2013-05-08
7122/7-3	2212.000000	2595.000000	HAVERT FM	FORMATION	SASSENDALEN GP	5214	58	140	9999-12-31	2013-05-08
7122/7-3	1018.000000	1073.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5214	63	1	9999-12-31	2013-05-08
7122/7-3	1087.000000	1808.000000	KAPP TOSCANA GP	GROUP	\N	5214	79	\N	9999-12-31	2013-05-08
7122/7-3	2044.000000	2212.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	5214	80	140	9999-12-31	2013-05-08
7122/7-3	960.000000	1018.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5214	82	1	9999-12-31	2013-05-08
7122/7-3	1808.000000	2044.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5214	83	140	9999-12-31	2013-05-08
7122/7-3	865.000000	960.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	5214	84	1	9999-12-31	2013-05-08
7122/7-3	650.000000	865.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5214	85	1	9999-12-31	2013-05-08
7122/7-3	634.000000	650.000000	KVITING FM	FORMATION	NYGRUNNEN GP	5214	90	122	9999-12-31	2013-05-08
7122/7-3	368.000000	634.000000	NORDLAND GP	GROUP	\N	5214	113	\N	9999-12-31	2013-05-08
7122/7-3	634.000000	650.000000	NYGRUNNEN GP	GROUP	\N	5214	122	\N	9999-12-31	2013-05-08
7122/7-3	1808.000000	2595.000000	SASSENDALEN GP	GROUP	\N	5214	140	\N	9999-12-31	2013-05-08
7122/7-3	1180.000000	1808.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5214	150	79	9999-12-31	2013-05-08
7122/7-3	2595.000000	2726.000000	TEMPELFJORDEN GP	GROUP	\N	5214	167	\N	9999-12-31	2013-05-08
7122/7-3	1087.000000	1180.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	5214	174	79	9999-12-31	2013-05-08
34/11-5 S	2042.000000	2111.000000	BALDER FM	FORMATION	ROGALAND GP	5248	6	131	9999-12-31	2013-05-08
34/11-5 S	7086.000000	7370.000000	BRENT GP	GROUP	\N	5248	16	\N	9999-12-31	2013-05-08
34/11-5 S	6115.000000	6587.000000	CROMER KNOLL GP	GROUP	\N	5248	23	\N	9999-12-31	2013-05-08
34/11-5 S	7370.000000	7380.000000	DRAKE FM	FORMATION	DUNLIN GP	5248	27	29	9999-12-31	2013-05-08
34/11-5 S	6587.000000	6796.000000	DRAUPNE FM	FORMATION	VIKING GP	5248	28	188	9999-12-31	2013-05-08
34/11-5 S	7370.000000	7380.000000	DUNLIN GP	GROUP	\N	5248	29	\N	9999-12-31	2013-05-08
34/11-5 S	7291.000000	7307.000000	ETIVE FM	FORMATION	BRENT GP	5248	35	16	9999-12-31	2013-05-08
34/11-5 S	6796.000000	7086.000000	HEATHER FM	FORMATION	VIKING GP	5248	60	188	9999-12-31	2013-05-08
34/11-5 S	1049.000000	2042.000000	HORDALAND GP	GROUP	\N	5248	67	\N	9999-12-31	2013-05-08
34/11-5 S	2372.000000	2997.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5248	74	143	9999-12-31	2013-05-08
34/11-5 S	2997.000000	4848.000000	KYRRE FM	FORMATION	SHETLAND GP	5248	92	143	9999-12-31	2013-05-08
34/11-5 S	2117.000000	2372.000000	LISTA FM	FORMATION	ROGALAND GP	5248	95	131	9999-12-31	2013-05-08
34/11-5 S	7110.000000	7291.000000	NESS FM	FORMATION	BRENT GP	5248	110	16	9999-12-31	2013-05-08
34/11-5 S	250.000000	1049.000000	NORDLAND GP	GROUP	\N	5248	113	\N	9999-12-31	2013-05-08
34/11-5 S	7307.000000	7370.000000	RANNOCH FM	FORMATION	BRENT GP	5248	126	16	9999-12-31	2013-05-08
34/11-5 S	2042.000000	2372.000000	ROGALAND GP	GROUP	\N	5248	131	\N	9999-12-31	2013-05-08
34/11-5 S	2111.000000	2117.000000	SELE FM	FORMATION	ROGALAND GP	5248	142	131	9999-12-31	2013-05-08
34/11-5 S	2372.000000	6115.000000	SHETLAND GP	GROUP	\N	5248	143	\N	9999-12-31	2013-05-08
34/11-5 S	5613.000000	6115.000000	SVARTE FM	FORMATION	SHETLAND GP	5248	160	143	9999-12-31	2013-05-08
34/11-5 S	7086.000000	7110.000000	TARBERT FM	FORMATION	BRENT GP	5248	162	16	9999-12-31	2013-05-08
34/11-5 S	4848.000000	5613.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	5248	173	143	9999-12-31	2013-05-08
34/11-5 S	944.000000	1049.000000	UTSIRA FM	FORMATION	NORDLAND GP	5248	183	113	9999-12-31	2013-05-08
34/11-5 S	6587.000000	7086.000000	VIKING GP	GROUP	\N	5248	188	\N	9999-12-31	2013-05-08
15/12-16 S	2259.000000	2268.000000	BALDER FM	FORMATION	ROGALAND GP	5271	6	131	9999-12-31	2013-05-08
15/12-16 S	2675.000000	2683.000000	BLODØKS FM	FORMATION	SHETLAND GP	5271	13	143	9999-12-31	2013-05-08
15/12-16 S	2693.000000	2802.000000	CROMER KNOLL GP	GROUP	\N	5271	23	\N	9999-12-31	2013-05-08
15/12-16 S	2802.000000	2834.000000	DRAUPNE FM	FORMATION	VIKING GP	5271	28	188	9999-12-31	2013-05-08
15/12-16 S	2447.000000	2455.000000	EKOFISK FM	FORMATION	SHETLAND GP	5271	33	143	9999-12-31	2013-05-08
15/12-16 S	2834.000000	2914.000000	HEATHER FM	FORMATION	VIKING GP	5271	60	188	9999-12-31	2013-05-08
15/12-16 S	2683.000000	2693.000000	HIDRA FM	FORMATION	SHETLAND GP	5271	65	143	9999-12-31	2013-05-08
15/12-16 S	2581.000000	2675.000000	HOD FM	FORMATION	SHETLAND GP	5271	66	143	9999-12-31	2013-05-08
15/12-16 S	1259.000000	2259.000000	HORDALAND GP	GROUP	\N	5271	67	\N	9999-12-31	2013-05-08
15/12-16 S	2325.000000	2435.000000	LISTA FM	FORMATION	ROGALAND GP	5271	95	131	9999-12-31	2013-05-08
15/12-16 S	2435.000000	2447.000000	MAUREEN FM	FORMATION	ROGALAND GP	5271	102	131	9999-12-31	2013-05-08
15/12-16 S	127.000000	1259.000000	NORDLAND GP	GROUP	\N	5271	113	\N	9999-12-31	2013-05-08
15/12-16 S	2259.000000	2447.000000	ROGALAND GP	GROUP	\N	5271	131	\N	9999-12-31	2013-05-08
15/12-16 S	2268.000000	2325.000000	SELE FM	FORMATION	ROGALAND GP	5271	142	131	9999-12-31	2013-05-08
15/12-16 S	2447.000000	2693.000000	SHETLAND GP	GROUP	\N	5271	143	\N	9999-12-31	2013-05-08
15/12-16 S	2914.000000	2961.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5271	146	61	9999-12-31	2013-05-08
15/12-16 S	2715.000000	2782.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5271	152	23	9999-12-31	2013-05-08
15/12-16 S	2455.000000	2581.000000	TOR FM	FORMATION	SHETLAND GP	5271	171	143	9999-12-31	2013-05-08
15/12-16 S	1192.000000	1259.000000	UTSIRA FM	FORMATION	NORDLAND GP	5271	183	113	9999-12-31	2013-05-08
15/12-16 S	2802.000000	2914.000000	VIKING GP	GROUP	\N	5271	188	\N	9999-12-31	2013-05-08
15/12-16 S	2782.000000	2802.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5271	198	23	9999-12-31	2013-05-08
15/12-16 S	2914.000000	2961.000000	NO GROUP DEFINED	GROUP	\N	5271	208	\N	9999-12-31	2013-05-08
34/10-49 A	1785.000000	1882.000000	BALDER FM	FORMATION	ROGALAND GP	5282	6	131	9999-12-31	2013-05-08
34/10-49 A	3020.000000	3312.000000	BRENT GP	GROUP	\N	5282	16	\N	9999-12-31	2013-05-08
34/10-49 A	2946.000000	3020.000000	HEATHER FM	FORMATION	VIKING GP	5282	60	188	9999-12-31	2013-05-08
34/10-49 A	985.000000	1785.000000	HORDALAND GP	GROUP	\N	5282	67	\N	9999-12-31	2013-05-08
34/10-49 A	1882.000000	2045.000000	LISTA FM	FORMATION	ROGALAND GP	5282	95	131	9999-12-31	2013-05-08
34/10-49 A	3137.000000	3312.000000	NESS FM	FORMATION	BRENT GP	5282	110	16	9999-12-31	2013-05-08
34/10-49 A	1093.000000	1562.000000	NO FORMAL NAME	FORMATION	\N	5282	111	\N	9999-12-31	2013-05-08
34/10-49 A	1562.000000	1655.000000	NO FORMAL NAME	FORMATION	\N	5282	111	\N	9999-12-31	2013-05-08
34/10-49 A	1655.000000	1673.000000	NO FORMAL NAME	FORMATION	\N	5282	111	\N	9999-12-31	2013-05-08
34/10-49 A	1673.000000	1785.000000	NO FORMAL NAME	FORMATION	\N	5282	111	\N	9999-12-31	2013-05-08
34/10-49 A	160.000000	985.000000	NORDLAND GP	GROUP	\N	5282	113	\N	9999-12-31	2013-05-08
34/10-49 A	1785.000000	2045.000000	ROGALAND GP	GROUP	\N	5282	131	\N	9999-12-31	2013-05-08
34/10-49 A	2045.000000	2946.000000	SHETLAND GP	GROUP	\N	5282	143	\N	9999-12-31	2013-05-08
34/10-49 A	3020.000000	3137.000000	TARBERT FM	FORMATION	BRENT GP	5282	162	16	9999-12-31	2013-05-08
34/10-49 A	904.000000	985.000000	UTSIRA FM	FORMATION	NORDLAND GP	5282	183	113	9999-12-31	2013-05-08
34/10-49 A	2946.000000	3020.000000	VIKING GP	GROUP	\N	5282	188	\N	9999-12-31	2013-05-08
7227/11-1 A	262.000000	1142.000000	ADVENTDALEN GP	GROUP	\N	5287	1	\N	9999-12-31	2013-05-08
7227/11-1 A	1201.000000	3446.000000	GIPSDALEN GP	GROUP	\N	5287	51	\N	9999-12-31	2013-05-08
7227/11-1 A	1091.000000	1142.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5287	63	1	9999-12-31	2013-05-08
7227/11-1 A	1142.000000	1201.000000	KAPP TOSCANA GP	GROUP	\N	5287	79	\N	9999-12-31	2013-05-08
7227/11-1 A	262.000000	1091.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5287	85	1	9999-12-31	2013-05-08
7227/11-1 A	1166.000000	1190.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	5287	118	79	9999-12-31	2013-05-08
7227/11-1 A	1142.000000	1166.000000	STØ FM	FORMATION	KAPP TOSCANA GP	5287	159	79	9999-12-31	2013-05-08
7227/11-1 A	1190.000000	1201.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	5287	174	79	9999-12-31	2013-05-08
7227/11-1 A	1201.000000	3446.000000	ØRN FM	FORMATION	GIPSDALEN GP	5287	195	51	9999-12-31	2013-05-08
6506/11-8	1894.000000	2183.000000	BRYGGE FM	FORMATION	HORDALAND GP	5295	18	67	9999-12-31	2013-05-08
6506/11-8	4798.000000	4990.000000	BÅT GP	GROUP	\N	5295	22	\N	9999-12-31	2013-05-08
6506/11-8	3393.000000	4599.000000	CROMER KNOLL GP	GROUP	\N	5295	23	\N	9999-12-31	2013-05-08
6506/11-8	4623.000000	4798.000000	FANGST GP	GROUP	\N	5295	38	\N	9999-12-31	2013-05-08
6506/11-8	4623.000000	4702.000000	GARN FM	FORMATION	FANGST GP	5295	48	38	9999-12-31	2013-05-08
6506/11-8	1894.000000	2183.000000	HORDALAND GP	GROUP	\N	5295	67	\N	9999-12-31	2013-05-08
6506/11-8	4735.000000	4798.000000	ILE FM	FORMATION	FANGST GP	5295	70	38	9999-12-31	2013-05-08
6506/11-8	1493.000000	1894.000000	KAI FM	FORMATION	NORDLAND GP	5295	77	113	9999-12-31	2013-05-08
6506/11-8	2704.000000	3393.000000	KVITNOS FM	FORMATION	SHETLAND GP	5295	91	143	9999-12-31	2013-05-08
6506/11-8	3557.000000	4257.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5295	94	23	9999-12-31	2013-05-08
6506/11-8	4402.000000	4586.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5295	94	23	9999-12-31	2013-05-08
6506/11-8	4586.000000	4599.000000	LYR FM	FORMATION	CROMER KNOLL GP	5295	98	23	9999-12-31	2013-05-08
6506/11-8	3393.000000	3557.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5295	99	23	9999-12-31	2013-05-08
6506/11-8	4600.000000	4623.000000	MELKE FM	FORMATION	VIKING GP	5295	105	188	9999-12-31	2013-05-08
6506/11-8	398.000000	1493.000000	NAUST FM	FORMATION	NORDLAND GP	5295	109	113	9999-12-31	2013-05-08
6506/11-8	4257.000000	4402.000000	NO FORMAL NAME	FORMATION	\N	5295	111	\N	9999-12-31	2013-05-08
6506/11-8	2503.000000	2704.000000	NISE FM	FORMATION	SHETLAND GP	5295	112	143	9999-12-31	2013-05-08
6506/11-8	398.000000	1894.000000	NORDLAND GP	GROUP	\N	5295	113	\N	9999-12-31	2013-05-08
6506/11-8	4702.000000	4735.000000	NOT FM	FORMATION	FANGST GP	5295	120	38	9999-12-31	2013-05-08
6506/11-8	2183.000000	2311.000000	ROGALAND GP	GROUP	\N	5295	131	\N	9999-12-31	2013-05-08
6506/11-8	4798.000000	4839.000000	ROR FM	FORMATION	BÅT GP	5295	135	22	9999-12-31	2013-05-08
6506/11-8	2311.000000	3393.000000	SHETLAND GP	GROUP	\N	5295	143	\N	9999-12-31	2013-05-08
6506/11-8	4599.000000	4600.000000	SPEKK FM	FORMATION	VIKING GP	5295	155	188	9999-12-31	2013-05-08
6506/11-8	2311.000000	2503.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5295	156	143	9999-12-31	2013-05-08
6506/11-8	2252.000000	2311.000000	TANG FM	FORMATION	ROGALAND GP	5295	161	131	9999-12-31	2013-05-08
6506/11-8	2183.000000	2252.000000	TARE FM	FORMATION	ROGALAND GP	5295	163	131	9999-12-31	2013-05-08
6506/11-8	4928.000000	4990.000000	TILJE FM	FORMATION	BÅT GP	5295	169	22	9999-12-31	2013-05-08
6506/11-8	4839.000000	4928.000000	TOFTE FM	FORMATION	BÅT GP	5295	170	22	9999-12-31	2013-05-08
6506/11-8	4599.000000	4623.000000	VIKING GP	GROUP	\N	5295	188	\N	9999-12-31	2013-05-08
6403/6-1	1906.000000	2140.000000	BRYGGE FM	FORMATION	HORDALAND GP	5296	18	67	9999-12-31	2013-05-08
6403/6-1	4018.000000	4120.000000	CROMER KNOLL GP	GROUP	\N	5296	23	\N	9999-12-31	2013-05-08
6403/6-1	1906.000000	2140.000000	HORDALAND GP	GROUP	\N	5296	67	\N	9999-12-31	2013-05-08
6403/6-1	1786.000000	1906.000000	KAI FM	FORMATION	NORDLAND GP	5296	77	113	9999-12-31	2013-05-08
6403/6-1	3475.000000	4018.000000	KVITNOS FM	FORMATION	SHETLAND GP	5296	91	143	9999-12-31	2013-05-08
6403/6-1	4018.000000	4120.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5296	99	23	9999-12-31	2013-05-08
6403/6-1	1746.000000	1786.000000	NAUST FM	FORMATION	NORDLAND GP	5296	109	113	9999-12-31	2013-05-08
6403/6-1	3048.000000	3475.000000	NISE FM	FORMATION	SHETLAND GP	5296	112	143	9999-12-31	2013-05-08
6403/6-1	1746.000000	1906.000000	NORDLAND GP	GROUP	\N	5296	113	\N	9999-12-31	2013-05-08
6403/6-1	2140.000000	2439.000000	ROGALAND GP	GROUP	\N	5296	131	\N	9999-12-31	2013-05-08
6403/6-1	2439.000000	4018.000000	SHETLAND GP	GROUP	\N	5296	143	\N	9999-12-31	2013-05-08
6403/6-1	2439.000000	3048.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5296	156	143	9999-12-31	2013-05-08
6403/6-1	2256.000000	2439.000000	TANG FM	FORMATION	ROGALAND GP	5296	161	131	9999-12-31	2013-05-08
6403/6-1	2140.000000	2256.000000	TARE FM	FORMATION	ROGALAND GP	5296	163	131	9999-12-31	2013-05-08
7/8-5 S	2822.000000	2857.000000	BALDER FM	FORMATION	ROGALAND GP	5304	6	131	9999-12-31	2013-05-08
7/8-5 S	3542.000000	3576.000000	BLODØKS FM	FORMATION	SHETLAND GP	5304	13	143	9999-12-31	2013-05-08
7/8-5 S	3593.000000	3832.000000	CROMER KNOLL GP	GROUP	\N	5304	23	\N	9999-12-31	2013-05-08
7/8-5 S	2985.000000	3164.000000	EKOFISK FM	FORMATION	SHETLAND GP	5304	33	143	9999-12-31	2013-05-08
7/8-5 S	3871.000000	3950.000000	FARSUND FM	FORMATION	TYNE GP	5304	39	177	9999-12-31	2013-05-08
7/8-5 S	3576.000000	3593.000000	HIDRA FM	FORMATION	SHETLAND GP	5304	65	143	9999-12-31	2013-05-08
7/8-5 S	3449.000000	3542.000000	HOD FM	FORMATION	SHETLAND GP	5304	66	143	9999-12-31	2013-05-08
7/8-5 S	1368.000000	2822.000000	HORDALAND GP	GROUP	\N	5304	67	\N	9999-12-31	2013-05-08
7/8-5 S	2882.000000	2974.000000	LISTA FM	FORMATION	ROGALAND GP	5304	95	131	9999-12-31	2013-05-08
7/8-5 S	3832.000000	3871.000000	MANDAL FM	FORMATION	TYNE GP	5304	101	177	9999-12-31	2013-05-08
7/8-5 S	126.000000	1368.000000	NORDLAND GP	GROUP	\N	5304	113	\N	9999-12-31	2013-05-08
7/8-5 S	2822.000000	2985.000000	ROGALAND GP	GROUP	\N	5304	131	\N	9999-12-31	2013-05-08
7/8-5 S	3593.000000	3675.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5304	137	23	9999-12-31	2013-05-08
7/8-5 S	2857.000000	2882.000000	SELE FM	FORMATION	ROGALAND GP	5304	142	131	9999-12-31	2013-05-08
7/8-5 S	2985.000000	3593.000000	SHETLAND GP	GROUP	\N	5304	143	\N	9999-12-31	2013-05-08
7/8-5 S	4021.000000	4168.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5304	146	61	9999-12-31	2013-05-08
7/8-5 S	3164.000000	3449.000000	TOR FM	FORMATION	SHETLAND GP	5304	171	143	9999-12-31	2013-05-08
7/8-5 S	3832.000000	3950.000000	TYNE GP	GROUP	\N	5304	177	\N	9999-12-31	2013-05-08
7/8-5 S	3950.000000	4021.000000	ULA FM	FORMATION	VESTLAND GP	5304	179	186	9999-12-31	2013-05-08
7/8-5 S	3950.000000	4021.000000	VESTLAND GP	GROUP	\N	5304	186	\N	9999-12-31	2013-05-08
7/8-5 S	2974.000000	2985.000000	VÅLE FM	FORMATION	ROGALAND GP	5304	190	131	9999-12-31	2013-05-08
7/8-5 S	3675.000000	3832.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5304	198	23	9999-12-31	2013-05-08
7/8-5 S	4021.000000	4168.000000	NO GROUP DEFINED	GROUP	\N	5304	208	\N	9999-12-31	2013-05-08
6507/3-5 S	1772.000000	2046.000000	BRYGGE FM	FORMATION	HORDALAND GP	5307	18	67	9999-12-31	2013-05-08
6507/3-5 S	4063.000000	4265.000000	BÅT GP	GROUP	\N	5307	22	\N	9999-12-31	2013-05-08
6507/3-5 S	3240.000000	3566.000000	CROMER KNOLL GP	GROUP	\N	5307	23	\N	9999-12-31	2013-05-08
6507/3-5 S	3960.000000	4063.000000	FANGST GP	GROUP	\N	5307	38	\N	9999-12-31	2013-05-08
6507/3-5 S	3960.000000	3972.000000	GARN FM	FORMATION	FANGST GP	5307	48	38	9999-12-31	2013-05-08
6507/3-5 S	1772.000000	2046.000000	HORDALAND GP	GROUP	\N	5307	67	\N	9999-12-31	2013-05-08
6507/3-5 S	4016.000000	4063.000000	ILE FM	FORMATION	FANGST GP	5307	70	38	9999-12-31	2013-05-08
6507/3-5 S	1415.000000	1772.000000	KAI FM	FORMATION	NORDLAND GP	5307	77	113	9999-12-31	2013-05-08
6507/3-5 S	3155.000000	3240.000000	KVITNOS FM	FORMATION	SHETLAND GP	5307	91	143	9999-12-31	2013-05-08
6507/3-5 S	3240.000000	3432.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5307	94	23	9999-12-31	2013-05-08
6507/3-5 S	3432.000000	3566.000000	LYR FM	FORMATION	CROMER KNOLL GP	5307	98	23	9999-12-31	2013-05-08
6507/3-5 S	3570.000000	3960.000000	MELKE FM	FORMATION	VIKING GP	5307	105	188	9999-12-31	2013-05-08
6507/3-5 S	390.000000	1415.000000	NAUST FM	FORMATION	NORDLAND GP	5307	109	113	9999-12-31	2013-05-08
6507/3-5 S	2296.000000	3155.000000	NISE FM	FORMATION	SHETLAND GP	5307	112	143	9999-12-31	2013-05-08
6507/3-5 S	390.000000	1772.000000	NORDLAND GP	GROUP	\N	5307	113	\N	9999-12-31	2013-05-08
6507/3-5 S	3972.000000	4016.000000	NOT FM	FORMATION	FANGST GP	5307	120	38	9999-12-31	2013-05-08
6507/3-5 S	2046.000000	2137.000000	ROGALAND GP	GROUP	\N	5307	131	\N	9999-12-31	2013-05-08
6507/3-5 S	4063.000000	4080.000000	ROR FM	FORMATION	BÅT GP	5307	135	22	9999-12-31	2013-05-08
6507/3-5 S	4095.000000	4113.000000	ROR FM	FORMATION	BÅT GP	5307	135	22	9999-12-31	2013-05-08
6507/3-5 S	2137.000000	3240.000000	SHETLAND GP	GROUP	\N	5307	143	\N	9999-12-31	2013-05-08
6507/3-5 S	3566.000000	3570.000000	SPEKK FM	FORMATION	VIKING GP	5307	155	188	9999-12-31	2013-05-08
6507/3-5 S	2137.000000	2296.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5307	156	143	9999-12-31	2013-05-08
6507/3-5 S	2098.000000	2137.000000	TANG FM	FORMATION	ROGALAND GP	5307	161	131	9999-12-31	2013-05-08
6507/3-5 S	2046.000000	2098.000000	TARE FM	FORMATION	ROGALAND GP	5307	163	131	9999-12-31	2013-05-08
6507/3-5 S	4113.000000	4216.000000	TILJE FM	FORMATION	BÅT GP	5307	169	22	9999-12-31	2013-05-08
6507/3-5 S	4080.000000	4095.000000	TOFTE FM	FORMATION	BÅT GP	5307	170	22	9999-12-31	2013-05-08
6507/3-5 S	3566.000000	3960.000000	VIKING GP	GROUP	\N	5307	188	\N	9999-12-31	2013-05-08
6507/3-5 S	4216.000000	4265.000000	ÅRE FM	FORMATION	BÅT GP	5307	197	22	9999-12-31	2013-05-08
6608/11-5	1373.000000	1435.000000	BRYGGE FM	FORMATION	HORDALAND GP	5316	18	67	9999-12-31	2013-05-08
6608/11-5	1550.000000	1641.000000	BÅT GP	GROUP	\N	5316	22	\N	9999-12-31	2013-05-08
6608/11-5	1641.000000	1694.000000	GREY BEDS (INFORMAL)	GROUP	\N	5316	52	\N	9999-12-31	2013-05-08
6608/11-5	1373.000000	1435.000000	HORDALAND GP	GROUP	\N	5316	67	\N	9999-12-31	2013-05-08
6608/11-5	1341.000000	1373.000000	KAI FM	FORMATION	NORDLAND GP	5316	77	113	9999-12-31	2013-05-08
6608/11-5	365.000000	1341.000000	NAUST FM	FORMATION	NORDLAND GP	5316	109	113	9999-12-31	2013-05-08
6608/11-5	365.000000	1373.000000	NORDLAND GP	GROUP	\N	5316	113	\N	9999-12-31	2013-05-08
6608/11-5	1694.000000	2270.000000	RED BEDS (INFORMAL)	GROUP	\N	5316	129	\N	9999-12-31	2013-05-08
6608/11-5	1435.000000	1517.000000	ROGALAND GP	GROUP	\N	5316	131	\N	9999-12-31	2013-05-08
6608/11-5	1517.000000	1550.000000	SHETLAND GP	GROUP	\N	5316	143	\N	9999-12-31	2013-05-08
6608/11-5	1517.000000	1550.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5316	156	143	9999-12-31	2013-05-08
6608/11-5	1515.000000	1517.000000	TANG FM	FORMATION	ROGALAND GP	5316	161	131	9999-12-31	2013-05-08
6608/11-5	1435.000000	1515.000000	TARE FM	FORMATION	ROGALAND GP	5316	163	131	9999-12-31	2013-05-08
6608/11-5	1550.000000	1641.000000	ÅRE FM	FORMATION	BÅT GP	5316	197	22	9999-12-31	2013-05-08
7122/6-2	852.000000	2048.000000	ADVENTDALEN GP	GROUP	\N	5327	1	\N	9999-12-31	2013-05-08
7122/6-2	2113.000000	2202.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5327	46	79	9999-12-31	2013-05-08
7122/6-2	1936.000000	2048.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5327	63	1	9999-12-31	2013-05-08
7122/6-2	2048.000000	3006.000000	KAPP TOSCANA GP	GROUP	\N	5327	79	\N	9999-12-31	2013-05-08
7122/6-2	1875.000000	1936.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5327	82	1	9999-12-31	2013-05-08
7122/6-2	3006.000000	3070.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5327	83	140	9999-12-31	2013-05-08
7122/6-2	1623.000000	1875.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	5327	84	1	9999-12-31	2013-05-08
7122/6-2	852.000000	1623.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5327	85	1	9999-12-31	2013-05-08
7122/6-2	791.000000	852.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	5327	89	122	9999-12-31	2013-05-08
7122/6-2	431.000000	470.000000	NORDLAND GP	GROUP	\N	5327	113	\N	9999-12-31	2013-05-08
7122/6-2	2088.000000	2104.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	5327	118	79	9999-12-31	2013-05-08
7122/6-2	791.000000	852.000000	NYGRUNNEN GP	GROUP	\N	5327	122	\N	9999-12-31	2013-05-08
7122/6-2	3006.000000	3070.000000	SASSENDALEN GP	GROUP	\N	5327	140	\N	9999-12-31	2013-05-08
7122/6-2	2202.000000	3006.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5327	150	79	9999-12-31	2013-05-08
7122/6-2	470.000000	791.000000	SOTBAKKEN GP	GROUP	\N	5327	154	\N	9999-12-31	2013-05-08
7122/6-2	2048.000000	2088.000000	STØ FM	FORMATION	KAPP TOSCANA GP	5327	159	79	9999-12-31	2013-05-08
7122/6-2	2104.000000	2113.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	5327	174	79	9999-12-31	2013-05-08
34/10-49 B	2980.000000	3405.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	5328	4	29	9999-12-31	2013-05-08
34/10-49 B	3988.000000	4196.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	5328	4	29	9999-12-31	2013-05-08
34/10-49 B	1792.000000	1872.000000	BALDER FM	FORMATION	ROGALAND GP	5328	6	131	9999-12-31	2013-05-08
34/10-49 B	2497.000000	2627.000000	BRENT GP	GROUP	\N	5328	16	\N	9999-12-31	2013-05-08
34/10-49 B	2925.000000	2980.000000	BURTON FM	FORMATION	DUNLIN GP	5328	20	29	9999-12-31	2013-05-08
34/10-49 B	3935.000000	3988.000000	BURTON FM	FORMATION	DUNLIN GP	5328	20	29	9999-12-31	2013-05-08
34/10-49 B	5054.000000	5480.000000	CROMER KNOLL GP	GROUP	\N	5328	23	\N	9999-12-31	2013-05-08
34/10-49 B	2740.000000	2925.000000	COOK FM	FORMATION	DUNLIN GP	5328	24	29	9999-12-31	2013-05-08
34/10-49 B	3482.000000	3618.000000	COOK FM	FORMATION	DUNLIN GP	5328	24	29	9999-12-31	2013-05-08
34/10-49 B	3747.000000	3935.000000	COOK FM	FORMATION	DUNLIN GP	5328	24	29	9999-12-31	2013-05-08
34/10-49 B	2627.000000	2740.000000	DRAKE FM	FORMATION	DUNLIN GP	5328	27	29	9999-12-31	2013-05-08
34/10-49 B	3618.000000	3747.000000	DRAKE FM	FORMATION	DUNLIN GP	5328	27	29	9999-12-31	2013-05-08
34/10-49 B	2627.000000	3405.000000	DUNLIN GP	GROUP	\N	5328	29	\N	9999-12-31	2013-05-08
34/10-49 B	3482.000000	4196.000000	DUNLIN GP	GROUP	\N	5328	29	\N	9999-12-31	2013-05-08
34/10-49 B	2530.000000	2557.000000	ETIVE FM	FORMATION	BRENT GP	5328	35	16	9999-12-31	2013-05-08
34/10-49 B	2488.000000	2497.000000	HEATHER FM	FORMATION	VIKING GP	5328	60	188	9999-12-31	2013-05-08
34/10-49 B	4563.000000	5054.000000	HEATHER FM	FORMATION	VIKING GP	5328	60	188	9999-12-31	2013-05-08
34/10-49 B	985.000000	1792.000000	HORDALAND GP	GROUP	\N	5328	67	\N	9999-12-31	2013-05-08
34/10-49 B	1872.000000	1972.000000	LISTA FM	FORMATION	ROGALAND GP	5328	95	131	9999-12-31	2013-05-08
34/10-49 B	2497.000000	2530.000000	NESS FM	FORMATION	BRENT GP	5328	110	16	9999-12-31	2013-05-08
34/10-49 B	1093.000000	1568.000000	NO FORMAL NAME	FORMATION	\N	5328	111	\N	9999-12-31	2013-05-08
34/10-49 B	1568.000000	1738.000000	NO FORMAL NAME	FORMATION	\N	5328	111	\N	9999-12-31	2013-05-08
34/10-49 B	1738.000000	1750.000000	NO FORMAL NAME	FORMATION	\N	5328	111	\N	9999-12-31	2013-05-08
34/10-49 B	1750.000000	1792.000000	NO FORMAL NAME	FORMATION	\N	5328	111	\N	9999-12-31	2013-05-08
34/10-49 B	160.000000	985.000000	NORDLAND GP	GROUP	\N	5328	113	\N	9999-12-31	2013-05-08
34/10-49 B	2557.000000	2627.000000	RANNOCH FM	FORMATION	BRENT GP	5328	126	16	9999-12-31	2013-05-08
34/10-49 B	1792.000000	1972.000000	ROGALAND GP	GROUP	\N	5328	131	\N	9999-12-31	2013-05-08
34/10-49 B	1972.000000	2488.000000	SHETLAND GP	GROUP	\N	5328	143	\N	9999-12-31	2013-05-08
34/10-49 B	3405.000000	3482.000000	STATFJORD FM	FORMATION	\N	5328	157	\N	9999-12-31	2013-05-08
34/10-49 B	4196.000000	4563.000000	STATFJORD FM	FORMATION	\N	5328	157	\N	9999-12-31	2013-05-08
34/10-49 B	904.000000	985.000000	UTSIRA FM	FORMATION	NORDLAND GP	5328	183	113	9999-12-31	2013-05-08
34/10-49 B	2488.000000	2497.000000	VIKING GP	GROUP	\N	5328	188	\N	9999-12-31	2013-05-08
34/10-49 B	4563.000000	5054.000000	VIKING GP	GROUP	\N	5328	188	\N	9999-12-31	2013-05-08
34/10-49 B	3405.000000	3482.000000	NO GROUP DEFINED	GROUP	\N	5328	208	\N	9999-12-31	2013-05-08
34/10-49 B	4196.000000	4563.000000	NO GROUP DEFINED	GROUP	\N	5328	208	\N	9999-12-31	2013-05-08
31/5-4 AR2	1212.000000	1299.000000	BALDER FM	FORMATION	ROGALAND GP	5335	6	131	9999-12-31	2013-05-08
31/5-4 AR2	1477.000000	1522.000000	CROMER KNOLL GP	GROUP	\N	5335	23	\N	9999-12-31	2013-05-08
31/5-4 AR2	1522.000000	1628.000000	DRAUPNE FM	FORMATION	VIKING GP	5335	28	188	9999-12-31	2013-05-08
31/5-4 AR2	1456.000000	1468.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	5335	56	143	9999-12-31	2013-05-08
31/5-4 AR2	661.000000	1212.000000	HORDALAND GP	GROUP	\N	5335	67	\N	9999-12-31	2013-05-08
31/5-4 AR2	1400.000000	1456.000000	LISTA FM	FORMATION	ROGALAND GP	5335	95	131	9999-12-31	2013-05-08
31/5-4 AR2	347.000000	661.000000	NORDLAND GP	GROUP	\N	5335	113	\N	9999-12-31	2013-05-08
31/5-4 AR2	1212.000000	1456.000000	ROGALAND GP	GROUP	\N	5335	131	\N	9999-12-31	2013-05-08
31/5-4 AR2	1477.000000	1514.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5335	137	23	9999-12-31	2013-05-08
31/5-4 AR2	1299.000000	1400.000000	SELE FM	FORMATION	ROGALAND GP	5335	142	131	9999-12-31	2013-05-08
31/5-4 AR2	1456.000000	1477.000000	SHETLAND GP	GROUP	\N	5335	143	\N	9999-12-31	2013-05-08
31/5-4 AR2	1628.000000	2610.000000	SOGNEFJORD FM	FORMATION	VIKING GP	5335	151	188	9999-12-31	2013-05-08
31/5-4 AR2	1468.000000	1477.000000	UNDIFFERENTIATED	FORMATION	\N	5335	182	\N	9999-12-31	2013-05-08
31/5-4 AR2	1522.000000	2610.000000	VIKING GP	GROUP	\N	5335	188	\N	9999-12-31	2013-05-08
31/5-4 AR2	1514.000000	1522.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5335	198	23	9999-12-31	2013-05-08
6406/6-2	1700.000000	2225.000000	BRYGGE FM	FORMATION	HORDALAND GP	5359	18	67	9999-12-31	2013-05-08
6406/6-2	4390.000000	4670.000000	BÅT GP	GROUP	\N	5359	22	\N	9999-12-31	2013-05-08
6406/6-2	2861.000000	4051.000000	CROMER KNOLL GP	GROUP	\N	5359	23	\N	9999-12-31	2013-05-08
6406/6-2	4164.000000	4390.000000	FANGST GP	GROUP	\N	5359	38	\N	9999-12-31	2013-05-08
6406/6-2	4164.000000	4233.000000	GARN FM	FORMATION	FANGST GP	5359	48	38	9999-12-31	2013-05-08
6406/6-2	1700.000000	2225.000000	HORDALAND GP	GROUP	\N	5359	67	\N	9999-12-31	2013-05-08
6406/6-2	4282.000000	4390.000000	ILE FM	FORMATION	FANGST GP	5359	70	38	9999-12-31	2013-05-08
6406/6-2	1287.000000	1700.000000	KAI FM	FORMATION	NORDLAND GP	5359	77	113	9999-12-31	2013-05-08
6406/6-2	2712.000000	2861.000000	KVITNOS FM	FORMATION	SHETLAND GP	5359	91	143	9999-12-31	2013-05-08
6406/6-2	2861.000000	3679.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5359	94	23	9999-12-31	2013-05-08
6406/6-2	3900.000000	4032.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5359	94	23	9999-12-31	2013-05-08
6406/6-2	4032.000000	4051.000000	LYR FM	FORMATION	CROMER KNOLL GP	5359	98	23	9999-12-31	2013-05-08
6406/6-2	4068.000000	4164.000000	MELKE FM	FORMATION	VIKING GP	5359	105	188	9999-12-31	2013-05-08
6406/6-2	271.000000	1287.000000	NAUST FM	FORMATION	NORDLAND GP	5359	109	113	9999-12-31	2013-05-08
6406/6-2	3679.000000	3900.000000	NO FORMAL NAME	FORMATION	\N	5359	111	\N	9999-12-31	2013-05-08
6406/6-2	2503.000000	2712.000000	NISE FM	FORMATION	SHETLAND GP	5359	112	143	9999-12-31	2013-05-08
6406/6-2	271.000000	1700.000000	NORDLAND GP	GROUP	\N	5359	113	\N	9999-12-31	2013-05-08
6406/6-2	4233.000000	4282.000000	NOT FM	FORMATION	FANGST GP	5359	120	38	9999-12-31	2013-05-08
6406/6-2	2225.000000	2400.000000	ROGALAND GP	GROUP	\N	5359	131	\N	9999-12-31	2013-05-08
6406/6-2	4390.000000	4417.000000	ROR FM	FORMATION	BÅT GP	5359	135	22	9999-12-31	2013-05-08
6406/6-2	4450.000000	4561.000000	ROR FM	FORMATION	BÅT GP	5359	135	22	9999-12-31	2013-05-08
6406/6-2	2400.000000	2861.000000	SHETLAND GP	GROUP	\N	5359	143	\N	9999-12-31	2013-05-08
6406/6-2	4051.000000	4068.000000	SPEKK FM	FORMATION	VIKING GP	5359	155	188	9999-12-31	2013-05-08
6406/6-2	2400.000000	2503.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5359	156	143	9999-12-31	2013-05-08
6406/6-2	2317.000000	2400.000000	TANG FM	FORMATION	ROGALAND GP	5359	161	131	9999-12-31	2013-05-08
6406/6-2	2225.000000	2317.000000	TARE FM	FORMATION	ROGALAND GP	5359	163	131	9999-12-31	2013-05-08
6406/6-2	4561.000000	4670.000000	TILJE FM	FORMATION	BÅT GP	5359	169	22	9999-12-31	2013-05-08
6406/6-2	4417.000000	4450.000000	TOFTE FM	FORMATION	BÅT GP	5359	170	22	9999-12-31	2013-05-08
6406/6-2	4051.000000	4164.000000	VIKING GP	GROUP	\N	5359	188	\N	9999-12-31	2013-05-08
35/11-14 S	1548.000000	1605.000000	BALDER FM	FORMATION	ROGALAND GP	5365	6	131	9999-12-31	2013-05-08
35/11-14 S	2621.000000	2646.000000	BLODØKS FM	FORMATION	SHETLAND GP	5365	13	143	9999-12-31	2013-05-08
35/11-14 S	2675.000000	2898.000000	CROMER KNOLL GP	GROUP	\N	5365	23	\N	9999-12-31	2013-05-08
35/11-14 S	2898.000000	3031.000000	DRAUPNE FM	FORMATION	VIKING GP	5365	28	188	9999-12-31	2013-05-08
35/11-14 S	3103.000000	3215.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	5365	59	188	9999-12-31	2013-05-08
35/11-14 S	3031.000000	3103.000000	HEATHER FM	FORMATION	VIKING GP	5365	60	188	9999-12-31	2013-05-08
35/11-14 S	3215.000000	3306.000000	HEATHER FM	FORMATION	VIKING GP	5365	60	188	9999-12-31	2013-05-08
35/11-14 S	800.000000	1548.000000	HORDALAND GP	GROUP	\N	5365	67	\N	9999-12-31	2013-05-08
35/11-14 S	1950.000000	2098.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5365	74	143	9999-12-31	2013-05-08
35/11-14 S	2098.000000	2547.000000	KYRRE FM	FORMATION	SHETLAND GP	5365	92	143	9999-12-31	2013-05-08
35/11-14 S	1655.000000	1751.000000	LISTA FM	FORMATION	ROGALAND GP	5365	95	131	9999-12-31	2013-05-08
35/11-14 S	661.000000	749.000000	NO FORMAL NAME	FORMATION	\N	5365	111	\N	9999-12-31	2013-05-08
35/11-14 S	1751.000000	1813.000000	NO FORMAL NAME	FORMATION	\N	5365	111	\N	9999-12-31	2013-05-08
35/11-14 S	1813.000000	1880.000000	NO FORMAL NAME	FORMATION	\N	5365	111	\N	9999-12-31	2013-05-08
35/11-14 S	1905.000000	1950.000000	NO FORMAL NAME	FORMATION	\N	5365	111	\N	9999-12-31	2013-05-08
35/11-14 S	387.000000	800.000000	NORDLAND GP	GROUP	\N	5365	113	\N	9999-12-31	2013-05-08
35/11-14 S	1548.000000	1950.000000	ROGALAND GP	GROUP	\N	5365	131	\N	9999-12-31	2013-05-08
35/11-14 S	2675.000000	2705.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5365	137	23	9999-12-31	2013-05-08
35/11-14 S	1605.000000	1655.000000	SELE FM	FORMATION	ROGALAND GP	5365	142	131	9999-12-31	2013-05-08
35/11-14 S	1950.000000	2675.000000	SHETLAND GP	GROUP	\N	5365	143	\N	9999-12-31	2013-05-08
35/11-14 S	2646.000000	2675.000000	SVARTE FM	FORMATION	SHETLAND GP	5365	160	143	9999-12-31	2013-05-08
35/11-14 S	2547.000000	2621.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	5365	173	143	9999-12-31	2013-05-08
35/11-14 S	749.000000	800.000000	UTSIRA FM	FORMATION	NORDLAND GP	5365	183	113	9999-12-31	2013-05-08
35/11-14 S	2898.000000	3306.000000	VIKING GP	GROUP	\N	5365	188	\N	9999-12-31	2013-05-08
35/11-14 S	1880.000000	1905.000000	VÅLE FM	FORMATION	ROGALAND GP	5365	190	131	9999-12-31	2013-05-08
35/11-14 S	2705.000000	2898.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5365	198	23	9999-12-31	2013-05-08
6406/3-7	1929.000000	2366.000000	BRYGGE FM	FORMATION	HORDALAND GP	5375	18	67	9999-12-31	2013-05-08
6406/3-7	4179.000000	4520.000000	BÅT GP	GROUP	\N	5375	22	\N	9999-12-31	2013-05-08
6406/3-7	3297.000000	3895.000000	CROMER KNOLL GP	GROUP	\N	5375	23	\N	9999-12-31	2013-05-08
6406/3-7	3985.000000	4179.000000	FANGST GP	GROUP	\N	5375	38	\N	9999-12-31	2013-05-08
6406/3-7	3985.000000	4058.000000	GARN FM	FORMATION	FANGST GP	5375	48	38	9999-12-31	2013-05-08
6406/3-7	1929.000000	2366.000000	HORDALAND GP	GROUP	\N	5375	67	\N	9999-12-31	2013-05-08
6406/3-7	4113.000000	4179.000000	ILE FM	FORMATION	FANGST GP	5375	70	38	9999-12-31	2013-05-08
6406/3-7	1504.000000	1929.000000	KAI FM	FORMATION	NORDLAND GP	5375	77	113	9999-12-31	2013-05-08
6406/3-7	2773.000000	3297.000000	KVITNOS FM	FORMATION	SHETLAND GP	5375	91	143	9999-12-31	2013-05-08
6406/8-2	1450.000000	2022.000000	KAI FM	FORMATION	NORDLAND GP	5435	77	113	9999-12-31	2013-05-08
6406/3-7	3297.000000	3875.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5375	94	23	9999-12-31	2013-05-08
6406/3-7	3875.000000	3895.000000	LYR FM	FORMATION	CROMER KNOLL GP	5375	98	23	9999-12-31	2013-05-08
6406/3-7	3900.000000	3985.000000	MELKE FM	FORMATION	VIKING GP	5375	105	188	9999-12-31	2013-05-08
6406/3-7	293.000000	1504.000000	NAUST FM	FORMATION	NORDLAND GP	5375	109	113	9999-12-31	2013-05-08
6406/3-7	2609.000000	2773.000000	NISE FM	FORMATION	SHETLAND GP	5375	112	143	9999-12-31	2013-05-08
6406/3-7	293.000000	1929.000000	NORDLAND GP	GROUP	\N	5375	113	\N	9999-12-31	2013-05-08
6406/3-7	4058.000000	4113.000000	NOT FM	FORMATION	FANGST GP	5375	120	38	9999-12-31	2013-05-08
6406/3-7	2366.000000	2499.000000	ROGALAND GP	GROUP	\N	5375	131	\N	9999-12-31	2013-05-08
6406/3-7	4179.000000	4228.000000	ROR FM	FORMATION	BÅT GP	5375	135	22	9999-12-31	2013-05-08
6406/3-7	4262.000000	4333.000000	ROR FM	FORMATION	BÅT GP	5375	135	22	9999-12-31	2013-05-08
6406/3-7	2499.000000	3297.000000	SHETLAND GP	GROUP	\N	5375	143	\N	9999-12-31	2013-05-08
6406/3-7	3895.000000	3900.000000	SPEKK FM	FORMATION	VIKING GP	5375	155	188	9999-12-31	2013-05-08
6406/3-7	2499.000000	2609.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5375	156	143	9999-12-31	2013-05-08
6406/3-7	2454.000000	2499.000000	TANG FM	FORMATION	ROGALAND GP	5375	161	131	9999-12-31	2013-05-08
6406/3-7	2366.000000	2454.000000	TARE FM	FORMATION	ROGALAND GP	5375	163	131	9999-12-31	2013-05-08
6406/3-7	4333.000000	4473.000000	TILJE FM	FORMATION	BÅT GP	5375	169	22	9999-12-31	2013-05-08
6406/3-7	4228.000000	4262.000000	TOFTE FM	FORMATION	BÅT GP	5375	170	22	9999-12-31	2013-05-08
6406/3-7	3895.000000	3985.000000	VIKING GP	GROUP	\N	5375	188	\N	9999-12-31	2013-05-08
6406/3-7	4473.000000	4520.000000	ÅRE FM	FORMATION	BÅT GP	5375	197	22	9999-12-31	2013-05-08
35/2-1 R	409.000000	713.000000	NORDLAND GP	GROUP	\N	5376	113	\N	9999-12-31	2013-05-08
6608/10-11 S	1656.000000	2005.000000	BRYGGE FM	FORMATION	HORDALAND GP	5386	18	67	9999-12-31	2013-05-08
6608/10-11 S	3638.000000	3725.000000	BÅT GP	GROUP	\N	5386	22	\N	9999-12-31	2013-05-08
6608/10-11 S	2909.000000	3107.000000	CROMER KNOLL GP	GROUP	\N	5386	23	\N	9999-12-31	2013-05-08
6608/10-11 S	3480.000000	3638.000000	FANGST GP	GROUP	\N	5386	38	\N	9999-12-31	2013-05-08
6608/10-11 S	1656.000000	2005.000000	HORDALAND GP	GROUP	\N	5386	67	\N	9999-12-31	2013-05-08
6608/10-11 S	3550.000000	3638.000000	ILE FM	FORMATION	FANGST GP	5386	70	38	9999-12-31	2013-05-08
6608/10-11 S	1387.000000	1656.000000	KAI FM	FORMATION	NORDLAND GP	5386	77	113	9999-12-31	2013-05-08
6608/10-11 S	2600.000000	2909.000000	KVITNOS FM	FORMATION	SHETLAND GP	5386	91	143	9999-12-31	2013-05-08
6608/10-11 S	2924.000000	2956.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5386	94	23	9999-12-31	2013-05-08
6608/10-11 S	2956.000000	3107.000000	LYR FM	FORMATION	CROMER KNOLL GP	5386	98	23	9999-12-31	2013-05-08
6608/10-11 S	2909.000000	2924.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5386	99	23	9999-12-31	2013-05-08
6608/10-11 S	3153.000000	3480.000000	MELKE FM	FORMATION	VIKING GP	5386	105	188	9999-12-31	2013-05-08
6608/10-11 S	2295.000000	2600.000000	NISE FM	FORMATION	SHETLAND GP	5386	112	143	9999-12-31	2013-05-08
6608/10-11 S	400.000000	1656.000000	NORDLAND GP	GROUP	\N	5386	113	\N	9999-12-31	2013-05-08
6608/10-11 S	3480.000000	3550.000000	NOT FM	FORMATION	FANGST GP	5386	120	38	9999-12-31	2013-05-08
6608/10-11 S	2005.000000	2129.000000	ROGALAND GP	GROUP	\N	5386	131	\N	9999-12-31	2013-05-08
6608/10-11 S	2129.000000	2909.000000	SHETLAND GP	GROUP	\N	5386	143	\N	9999-12-31	2013-05-08
6608/10-11 S	3107.000000	3153.000000	SPEKK FM	FORMATION	VIKING GP	5386	155	188	9999-12-31	2013-05-08
6608/10-11 S	2129.000000	2295.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5386	156	143	9999-12-31	2013-05-08
6608/10-11 S	2079.000000	2129.000000	TANG FM	FORMATION	ROGALAND GP	5386	161	131	9999-12-31	2013-05-08
6608/10-11 S	2005.000000	2079.000000	TARE FM	FORMATION	ROGALAND GP	5386	163	131	9999-12-31	2013-05-08
6608/10-11 S	3695.000000	3725.000000	TILJE FM	FORMATION	BÅT GP	5386	169	22	9999-12-31	2013-05-08
6608/10-11 S	3638.000000	3695.000000	TOFTE FM	FORMATION	BÅT GP	5386	170	22	9999-12-31	2013-05-08
6608/10-11 S	3107.000000	3480.000000	VIKING GP	GROUP	\N	5386	188	\N	9999-12-31	2013-05-08
7122/7-4 S	629.000000	1177.000000	ADVENTDALEN GP	GROUP	\N	5406	1	\N	9999-12-31	2013-05-08
7122/7-4 S	1177.000000	1244.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5406	46	79	9999-12-31	2013-05-08
7122/7-4 S	1162.000000	1177.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	5406	47	1	9999-12-31	2013-05-08
7122/7-4 S	2217.000000	2550.000000	HAVERT FM	FORMATION	SASSENDALEN GP	5406	58	140	9999-12-31	2013-05-08
7122/7-4 S	1075.000000	1162.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5406	63	1	9999-12-31	2013-05-08
7122/7-4 S	1177.000000	1794.000000	KAPP TOSCANA GP	GROUP	\N	5406	79	\N	9999-12-31	2013-05-08
7122/7-4 S	2042.000000	2217.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	5406	80	140	9999-12-31	2013-05-08
7122/7-4 S	976.000000	1075.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5406	82	1	9999-12-31	2013-05-08
7122/7-4 S	1794.000000	2042.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5406	83	140	9999-12-31	2013-05-08
7122/7-4 S	865.000000	976.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	5406	84	1	9999-12-31	2013-05-08
7122/7-4 S	629.000000	865.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5406	85	1	9999-12-31	2013-05-08
7122/7-4 S	615.000000	629.000000	KVITING FM	FORMATION	NYGRUNNEN GP	5406	90	122	9999-12-31	2013-05-08
7122/7-4 S	395.000000	615.000000	NORDLAND GP	GROUP	\N	5406	113	\N	9999-12-31	2013-05-08
7122/7-4 S	615.000000	629.000000	NYGRUNNEN GP	GROUP	\N	5406	122	\N	9999-12-31	2013-05-08
7122/7-4 S	1794.000000	2550.000000	SASSENDALEN GP	GROUP	\N	5406	140	\N	9999-12-31	2013-05-08
7122/7-4 S	1244.000000	1794.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5406	150	79	9999-12-31	2013-05-08
6507/11-7	1710.000000	2052.000000	BRYGGE FM	FORMATION	HORDALAND GP	5430	18	67	9999-12-31	2013-05-08
6507/11-7	2777.000000	2950.000000	CROMER KNOLL GP	GROUP	\N	5430	23	\N	9999-12-31	2013-05-08
6507/11-7	1710.000000	2052.000000	HORDALAND GP	GROUP	\N	5430	67	\N	9999-12-31	2013-05-08
6507/11-7	1408.000000	1710.000000	KAI FM	FORMATION	NORDLAND GP	5430	77	113	9999-12-31	2013-05-08
6507/11-7	2513.000000	2777.000000	KVITNOS FM	FORMATION	SHETLAND GP	5430	91	143	9999-12-31	2013-05-08
6507/11-7	2817.000000	2950.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5430	94	23	9999-12-31	2013-05-08
6507/11-7	2777.000000	2817.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5430	99	23	9999-12-31	2013-05-08
6507/11-7	320.000000	1408.000000	NAUST FM	FORMATION	NORDLAND GP	5430	109	113	9999-12-31	2013-05-08
6507/11-7	2237.000000	2513.000000	NISE FM	FORMATION	SHETLAND GP	5430	112	143	9999-12-31	2013-05-08
6507/11-7	320.000000	1710.000000	NORDLAND GP	GROUP	\N	5430	113	\N	9999-12-31	2013-05-08
6507/11-7	2052.000000	2158.000000	ROGALAND GP	GROUP	\N	5430	131	\N	9999-12-31	2013-05-08
6507/11-7	2158.000000	2777.000000	SHETLAND GP	GROUP	\N	5430	143	\N	9999-12-31	2013-05-08
6507/11-7	2158.000000	2237.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5430	156	143	9999-12-31	2013-05-08
6507/11-7	2100.000000	2158.000000	TANG FM	FORMATION	ROGALAND GP	5430	161	131	9999-12-31	2013-05-08
6507/11-7	2052.000000	2100.000000	TARE FM	FORMATION	ROGALAND GP	5430	163	131	9999-12-31	2013-05-08
6406/8-2	2022.000000	2710.000000	BRYGGE FM	FORMATION	HORDALAND GP	5435	18	67	9999-12-31	2013-05-08
6406/8-2	4383.000000	4700.000000	BÅT GP	GROUP	\N	5435	22	\N	9999-12-31	2013-05-08
6406/8-2	3563.000000	4248.000000	CROMER KNOLL GP	GROUP	\N	5435	23	\N	9999-12-31	2013-05-08
6406/8-2	4248.000000	4383.000000	FANGST GP	GROUP	\N	5435	38	\N	9999-12-31	2013-05-08
6406/8-2	2022.000000	2710.000000	HORDALAND GP	GROUP	\N	5435	67	\N	9999-12-31	2013-05-08
6406/8-2	4264.000000	4383.000000	ILE FM	FORMATION	FANGST GP	5435	70	38	9999-12-31	2013-05-08
6406/8-2	3167.000000	3563.000000	KVITNOS FM	FORMATION	SHETLAND GP	5435	91	143	9999-12-31	2013-05-08
6406/8-2	3563.000000	4240.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5435	94	23	9999-12-31	2013-05-08
6406/8-2	4240.000000	4248.000000	LYR FM	FORMATION	CROMER KNOLL GP	5435	98	23	9999-12-31	2013-05-08
6406/8-2	385.000000	1450.000000	NAUST FM	FORMATION	NORDLAND GP	5435	109	113	9999-12-31	2013-05-08
6406/8-2	2944.000000	3167.000000	NISE FM	FORMATION	SHETLAND GP	5435	112	143	9999-12-31	2013-05-08
6406/8-2	385.000000	2022.000000	NORDLAND GP	GROUP	\N	5435	113	\N	9999-12-31	2013-05-08
6406/8-2	4248.000000	4264.000000	NOT FM	FORMATION	FANGST GP	5435	120	38	9999-12-31	2013-05-08
6406/8-2	2710.000000	2830.000000	ROGALAND GP	GROUP	\N	5435	131	\N	9999-12-31	2013-05-08
6406/8-2	4383.000000	4399.000000	ROR FM	FORMATION	BÅT GP	5435	135	22	9999-12-31	2013-05-08
6406/8-2	4468.000000	4593.000000	ROR FM	FORMATION	BÅT GP	5435	135	22	9999-12-31	2013-05-08
6406/8-2	2830.000000	3563.000000	SHETLAND GP	GROUP	\N	5435	143	\N	9999-12-31	2013-05-08
6406/8-2	2830.000000	2944.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5435	156	143	9999-12-31	2013-05-08
6406/8-2	2772.000000	2830.000000	TANG FM	FORMATION	ROGALAND GP	5435	161	131	9999-12-31	2013-05-08
6406/8-2	2710.000000	2772.000000	TARE FM	FORMATION	ROGALAND GP	5435	163	131	9999-12-31	2013-05-08
6406/8-2	4593.000000	4700.000000	TILJE FM	FORMATION	BÅT GP	5435	169	22	9999-12-31	2013-05-08
6406/8-2	4399.000000	4468.000000	TOFTE FM	FORMATION	BÅT GP	5435	170	22	9999-12-31	2013-05-08
7122/7-5	655.000000	1181.000000	ADVENTDALEN GP	GROUP	\N	5439	1	\N	9999-12-31	2013-05-08
7122/7-5	1181.000000	1281.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5439	46	79	9999-12-31	2013-05-08
7122/7-5	1168.000000	1181.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	5439	47	1	9999-12-31	2013-05-08
7122/7-5	1083.000000	1168.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5439	63	1	9999-12-31	2013-05-08
7122/7-5	1181.000000	1868.000000	KAPP TOSCANA GP	GROUP	\N	5439	79	\N	9999-12-31	2013-05-08
7122/7-5	2126.000000	2228.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	5439	80	140	9999-12-31	2013-05-08
7122/7-5	998.000000	1083.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5439	82	1	9999-12-31	2013-05-08
7122/7-5	1868.000000	2126.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5439	83	140	9999-12-31	2013-05-08
7122/7-5	961.000000	998.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	5439	84	1	9999-12-31	2013-05-08
7122/7-5	655.000000	961.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5439	85	1	9999-12-31	2013-05-08
7122/7-5	643.000000	655.000000	KVITING FM	FORMATION	NYGRUNNEN GP	5439	90	122	9999-12-31	2013-05-08
7122/7-5	394.000000	643.000000	NORDLAND GP	GROUP	\N	5439	113	\N	9999-12-31	2013-05-08
7122/7-5	643.000000	655.000000	NYGRUNNEN GP	GROUP	\N	5439	122	\N	9999-12-31	2013-05-08
7122/7-5	1868.000000	2228.000000	SASSENDALEN GP	GROUP	\N	5439	140	\N	9999-12-31	2013-05-08
7122/7-5	1281.000000	1868.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5439	150	79	9999-12-31	2013-05-08
16/4-4	2081.000000	2105.000000	BALDER FM	FORMATION	ROGALAND GP	5441	6	131	9999-12-31	2013-05-08
16/4-4	2350.000000	2404.000000	EKOFISK FM	FORMATION	SHETLAND GP	5441	33	143	9999-12-31	2013-05-08
16/4-4	1897.000000	1925.000000	GRID FM	FORMATION	HORDALAND GP	5441	53	67	9999-12-31	2013-05-08
16/4-4	1030.000000	2081.000000	HORDALAND GP	GROUP	\N	5441	67	\N	9999-12-31	2013-05-08
16/4-4	2144.000000	2248.000000	LISTA FM	FORMATION	ROGALAND GP	5441	95	131	9999-12-31	2013-05-08
16/4-4	1278.000000	1897.000000	NO FORMAL NAME	FORMATION	\N	5441	111	\N	9999-12-31	2013-05-08
16/4-4	1925.000000	2081.000000	NO FORMAL NAME	FORMATION	\N	5441	111	\N	9999-12-31	2013-05-08
16/4-4	140.000000	1030.000000	NORDLAND GP	GROUP	\N	5441	113	\N	9999-12-31	2013-05-08
16/4-4	2081.000000	2350.000000	ROGALAND GP	GROUP	\N	5441	131	\N	9999-12-31	2013-05-08
16/4-4	2105.000000	2144.000000	SELE FM	FORMATION	ROGALAND GP	5441	142	131	9999-12-31	2013-05-08
16/4-4	2350.000000	2409.000000	SHETLAND GP	GROUP	\N	5441	143	\N	9999-12-31	2013-05-08
16/4-4	1149.000000	1278.000000	SKADE FM	FORMATION	HORDALAND GP	5441	145	67	9999-12-31	2013-05-08
16/4-4	2404.000000	2409.000000	TOR FM	FORMATION	SHETLAND GP	5441	171	143	9999-12-31	2013-05-08
16/4-4	2271.000000	2350.000000	TY FM	FORMATION	ROGALAND GP	5441	176	131	9999-12-31	2013-05-08
16/4-4	830.000000	1030.000000	UTSIRA FM	FORMATION	NORDLAND GP	5441	183	113	9999-12-31	2013-05-08
16/4-4	2248.000000	2271.000000	VÅLE FM	FORMATION	ROGALAND GP	5441	190	131	9999-12-31	2013-05-08
15/12-17 S	2501.000000	2523.000000	BALDER FM	FORMATION	ROGALAND GP	5442	6	131	9999-12-31	2013-05-08
15/12-17 S	3017.000000	3039.000000	BLODØKS FM	FORMATION	SHETLAND GP	5442	13	143	9999-12-31	2013-05-08
15/12-17 S	3047.000000	3162.000000	CROMER KNOLL GP	GROUP	\N	5442	23	\N	9999-12-31	2013-05-08
15/12-17 S	3162.000000	3246.000000	DRAUPNE FM	FORMATION	VIKING GP	5442	28	188	9999-12-31	2013-05-08
15/12-17 S	2693.000000	2705.000000	EKOFISK FM	FORMATION	SHETLAND GP	5442	33	143	9999-12-31	2013-05-08
15/12-17 S	3246.000000	3331.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	5442	59	188	9999-12-31	2013-05-08
15/12-17 S	3039.000000	3047.000000	HIDRA FM	FORMATION	SHETLAND GP	5442	65	143	9999-12-31	2013-05-08
15/12-17 S	2904.000000	3017.000000	HOD FM	FORMATION	SHETLAND GP	5442	66	143	9999-12-31	2013-05-08
15/12-17 S	1258.000000	2501.000000	HORDALAND GP	GROUP	\N	5442	67	\N	9999-12-31	2013-05-08
15/12-17 S	2579.000000	2684.000000	LISTA FM	FORMATION	ROGALAND GP	5442	95	131	9999-12-31	2013-05-08
15/12-17 S	130.000000	1258.000000	NORDLAND GP	GROUP	\N	5442	113	\N	9999-12-31	2013-05-08
15/12-17 S	2501.000000	2693.000000	ROGALAND GP	GROUP	\N	5442	131	\N	9999-12-31	2013-05-08
15/12-17 S	3047.000000	3092.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5442	137	23	9999-12-31	2013-05-08
15/12-17 S	2523.000000	2579.000000	SELE FM	FORMATION	ROGALAND GP	5442	142	131	9999-12-31	2013-05-08
15/12-17 S	2693.000000	3047.000000	SHETLAND GP	GROUP	\N	5442	143	\N	9999-12-31	2013-05-08
15/12-17 S	3331.000000	3345.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5442	146	61	9999-12-31	2013-05-08
15/12-17 S	3092.000000	3122.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5442	152	23	9999-12-31	2013-05-08
15/12-17 S	2705.000000	2904.000000	TOR FM	FORMATION	SHETLAND GP	5442	171	143	9999-12-31	2013-05-08
15/12-17 S	1195.000000	1258.000000	UTSIRA FM	FORMATION	NORDLAND GP	5442	183	113	9999-12-31	2013-05-08
15/12-17 S	3162.000000	3331.000000	VIKING GP	GROUP	\N	5442	188	\N	9999-12-31	2013-05-08
15/12-17 S	2684.000000	2693.000000	VÅLE FM	FORMATION	ROGALAND GP	5442	190	131	9999-12-31	2013-05-08
15/12-17 S	3345.000000	3371.000000	ZECHSTEIN GP	GROUP	\N	5442	194	\N	9999-12-31	2013-05-08
15/12-17 S	3122.000000	3162.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5442	198	23	9999-12-31	2013-05-08
15/12-17 S	3331.000000	3345.000000	NO GROUP DEFINED	GROUP	\N	5442	208	\N	9999-12-31	2013-05-08
7125/4-1	538.000000	872.000000	ADVENTDALEN GP	GROUP	\N	5450	1	\N	9999-12-31	2013-05-08
7125/4-1	882.000000	1002.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5450	46	79	9999-12-31	2013-05-08
7125/4-1	869.000000	872.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	5450	47	1	9999-12-31	2013-05-08
7125/4-1	817.000000	869.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5450	63	1	9999-12-31	2013-05-08
7125/4-1	872.000000	1206.000000	KAPP TOSCANA GP	GROUP	\N	5450	79	\N	9999-12-31	2013-05-08
7125/4-1	1561.000000	1615.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	5450	80	140	9999-12-31	2013-05-08
7125/4-1	779.000000	817.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5450	82	1	9999-12-31	2013-05-08
7125/4-1	1206.000000	1561.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5450	83	140	9999-12-31	2013-05-08
7125/4-1	733.000000	779.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	5450	84	1	9999-12-31	2013-05-08
7125/4-1	538.000000	699.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5450	85	1	9999-12-31	2013-05-08
7125/4-1	702.000000	733.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5450	85	1	9999-12-31	2013-05-08
7125/4-1	499.000000	538.000000	KVITING FM	FORMATION	NYGRUNNEN GP	5450	90	122	9999-12-31	2013-05-08
7125/4-1	699.000000	702.000000	NO FORMAL NAME	FORMATION	\N	5450	111	\N	9999-12-31	2013-05-08
7125/4-1	316.000000	493.000000	NORDLAND GP	GROUP	\N	5450	113	\N	9999-12-31	2013-05-08
7125/4-1	872.000000	882.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	5450	118	79	9999-12-31	2013-05-08
7125/4-1	499.000000	538.000000	NYGRUNNEN GP	GROUP	\N	5450	122	\N	9999-12-31	2013-05-08
7125/4-1	1206.000000	1615.000000	SASSENDALEN GP	GROUP	\N	5450	140	\N	9999-12-31	2013-05-08
7125/4-1	1002.000000	1206.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5450	150	79	9999-12-31	2013-05-08
7125/4-1	493.000000	499.000000	SOTBAKKEN GP	GROUP	\N	5450	154	\N	9999-12-31	2013-05-08
7125/4-1	493.000000	499.000000	TORSK FM	FORMATION	SOTBAKKEN GP	5450	172	154	9999-12-31	2013-05-08
7125/4-1	864.000000	869.000000	ALGE MBR	MEMBER	HEKKINGEN FM	5450	202	63	9999-12-31	2013-05-08
7125/4-1	817.000000	864.000000	KRILL MBR	MEMBER	HEKKINGEN FM	5450	203	63	9999-12-31	2013-05-08
6406/9-2	1723.000000	2288.000000	BRYGGE FM	FORMATION	HORDALAND GP	5454	18	67	9999-12-31	2013-05-08
6406/9-2	4856.000000	5348.000000	BÅT GP	GROUP	\N	5454	22	\N	9999-12-31	2013-05-08
6406/9-2	2946.000000	4325.000000	CROMER KNOLL GP	GROUP	\N	5454	23	\N	9999-12-31	2013-05-08
6406/9-2	4637.000000	4856.000000	FANGST GP	GROUP	\N	5454	38	\N	9999-12-31	2013-05-08
6406/9-2	4637.000000	4695.000000	GARN FM	FORMATION	FANGST GP	5454	48	38	9999-12-31	2013-05-08
6406/9-2	1723.000000	2288.000000	HORDALAND GP	GROUP	\N	5454	67	\N	9999-12-31	2013-05-08
6406/9-2	4758.000000	4856.000000	ILE FM	FORMATION	FANGST GP	5454	70	38	9999-12-31	2013-05-08
6406/9-2	1279.000000	1723.000000	KAI FM	FORMATION	NORDLAND GP	5454	77	113	9999-12-31	2013-05-08
6406/9-2	2776.000000	2946.000000	KVITNOS FM	FORMATION	SHETLAND GP	5454	91	143	9999-12-31	2013-05-08
6406/9-2	3472.000000	4315.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5454	94	23	9999-12-31	2013-05-08
6406/9-2	4315.000000	4325.000000	LYR FM	FORMATION	CROMER KNOLL GP	5454	98	23	9999-12-31	2013-05-08
6406/9-2	2946.000000	3472.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5454	99	23	9999-12-31	2013-05-08
6406/9-2	4395.000000	4637.000000	MELKE FM	FORMATION	VIKING GP	5454	105	188	9999-12-31	2013-05-08
6406/9-2	317.000000	1279.000000	NAUST FM	FORMATION	NORDLAND GP	5454	109	113	9999-12-31	2013-05-08
6406/9-2	2557.000000	2776.000000	NISE FM	FORMATION	SHETLAND GP	5454	112	143	9999-12-31	2013-05-08
6406/9-2	317.000000	1723.000000	NORDLAND GP	GROUP	\N	5454	113	\N	9999-12-31	2013-05-08
6406/9-2	4695.000000	4758.000000	NOT FM	FORMATION	FANGST GP	5454	120	38	9999-12-31	2013-05-08
6406/9-2	2288.000000	2450.000000	ROGALAND GP	GROUP	\N	5454	131	\N	9999-12-31	2013-05-08
6406/9-2	4856.000000	4894.000000	ROR FM	FORMATION	BÅT GP	5454	135	22	9999-12-31	2013-05-08
6406/9-2	4932.000000	5042.000000	ROR FM	FORMATION	BÅT GP	5454	135	22	9999-12-31	2013-05-08
6406/9-2	2450.000000	2946.000000	SHETLAND GP	GROUP	\N	5454	143	\N	9999-12-31	2013-05-08
6406/9-2	4325.000000	4395.000000	SPEKK FM	FORMATION	VIKING GP	5454	155	188	9999-12-31	2013-05-08
6406/9-2	2450.000000	2557.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5454	156	143	9999-12-31	2013-05-08
6406/9-2	2375.000000	2450.000000	TANG FM	FORMATION	ROGALAND GP	5454	161	131	9999-12-31	2013-05-08
6406/9-2	2288.000000	2375.000000	TARE FM	FORMATION	ROGALAND GP	5454	163	131	9999-12-31	2013-05-08
6406/9-2	5042.000000	5241.000000	TILJE FM	FORMATION	BÅT GP	5454	169	22	9999-12-31	2013-05-08
6406/9-2	4894.000000	4932.000000	TOFTE FM	FORMATION	BÅT GP	5454	170	22	9999-12-31	2013-05-08
6406/9-2	4325.000000	4637.000000	VIKING GP	GROUP	\N	5454	188	\N	9999-12-31	2013-05-08
6406/9-2	5241.000000	5348.000000	ÅRE FM	FORMATION	BÅT GP	5454	197	22	9999-12-31	2013-05-08
7122/7-5 A	655.000000	1200.000000	ADVENTDALEN GP	GROUP	\N	5465	1	\N	9999-12-31	2013-05-08
7122/7-5 A	1218.000000	1286.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5465	46	79	9999-12-31	2013-05-08
7122/7-5 A	1168.000000	1200.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	5465	47	1	9999-12-31	2013-05-08
7122/7-5 A	1080.000000	1168.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5465	63	1	9999-12-31	2013-05-08
7122/7-5 A	1200.000000	1844.000000	KAPP TOSCANA GP	GROUP	\N	5465	79	\N	9999-12-31	2013-05-08
7122/7-5 A	998.000000	1080.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5465	82	1	9999-12-31	2013-05-08
7122/7-5 A	1844.000000	2186.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5465	83	140	9999-12-31	2013-05-08
7122/7-5 A	961.000000	998.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	5465	84	1	9999-12-31	2013-05-08
7122/7-5 A	655.000000	961.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5465	85	1	9999-12-31	2013-05-08
7122/7-5 A	643.000000	655.000000	KVITING FM	FORMATION	NYGRUNNEN GP	5465	90	122	9999-12-31	2013-05-08
7122/7-5 A	394.000000	643.000000	NORDLAND GP	GROUP	\N	5465	113	\N	9999-12-31	2013-05-08
7122/7-5 A	643.000000	655.000000	NYGRUNNEN GP	GROUP	\N	5465	122	\N	9999-12-31	2013-05-08
7122/7-5 A	1844.000000	2186.000000	SASSENDALEN GP	GROUP	\N	5465	140	\N	9999-12-31	2013-05-08
7122/7-5 A	1286.000000	1844.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5465	150	79	9999-12-31	2013-05-08
7122/7-5 A	1200.000000	1218.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	5465	174	79	9999-12-31	2013-05-08
25/11-24	1718.000000	1741.000000	BALDER FM	FORMATION	ROGALAND GP	5470	6	131	9999-12-31	2013-05-08
25/11-24	1997.000000	2023.000000	CROMER KNOLL GP	GROUP	\N	5470	23	\N	9999-12-31	2013-05-08
25/11-24	2023.000000	2029.000000	DRAUPNE FM	FORMATION	VIKING GP	5470	28	188	9999-12-31	2013-05-08
25/11-24	1530.000000	1534.000000	GRID FM	FORMATION	HORDALAND GP	5470	53	67	9999-12-31	2013-05-08
25/11-24	1788.000000	1927.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5470	62	131	9999-12-31	2013-05-08
25/11-24	841.000000	1718.000000	HORDALAND GP	GROUP	\N	5470	67	\N	9999-12-31	2013-05-08
25/11-24	1758.000000	1788.000000	LISTA FM	FORMATION	ROGALAND GP	5470	95	131	9999-12-31	2013-05-08
25/11-24	1927.000000	1944.000000	LISTA FM	FORMATION	ROGALAND GP	5470	95	131	9999-12-31	2013-05-08
25/11-24	794.000000	841.000000	NO FORMAL NAME	FORMATION	\N	5470	111	\N	9999-12-31	2013-05-08
25/11-24	1006.000000	1200.000000	NO FORMAL NAME	FORMATION	\N	5470	111	\N	9999-12-31	2013-05-08
25/11-24	1208.000000	1344.000000	NO FORMAL NAME	FORMATION	\N	5470	111	\N	9999-12-31	2013-05-08
25/11-24	1358.000000	1530.000000	NO FORMAL NAME	FORMATION	\N	5470	111	\N	9999-12-31	2013-05-08
25/11-24	1534.000000	1718.000000	NO FORMAL NAME	FORMATION	\N	5470	111	\N	9999-12-31	2013-05-08
25/11-24	140.000000	841.000000	NORDLAND GP	GROUP	\N	5470	113	\N	9999-12-31	2013-05-08
25/11-24	1718.000000	1960.000000	ROGALAND GP	GROUP	\N	5470	131	\N	9999-12-31	2013-05-08
25/11-24	1997.000000	2003.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5470	137	23	9999-12-31	2013-05-08
25/11-24	1741.000000	1758.000000	SELE FM	FORMATION	ROGALAND GP	5470	142	131	9999-12-31	2013-05-08
25/11-24	1960.000000	1997.000000	SHETLAND GP	GROUP	\N	5470	143	\N	9999-12-31	2013-05-08
25/11-24	841.000000	1006.000000	SKADE FM	FORMATION	HORDALAND GP	5470	145	67	9999-12-31	2013-05-08
25/11-24	1200.000000	1208.000000	SKADE FM	FORMATION	HORDALAND GP	5470	145	67	9999-12-31	2013-05-08
25/11-24	1344.000000	1358.000000	SKADE FM	FORMATION	HORDALAND GP	5470	145	67	9999-12-31	2013-05-08
25/11-24	2003.000000	2015.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5470	152	23	9999-12-31	2013-05-08
25/11-24	2029.000000	2117.000000	STATFJORD FM	FORMATION	\N	5470	157	\N	9999-12-31	2013-05-08
25/11-24	1960.000000	1997.000000	TOR FM	FORMATION	SHETLAND GP	5470	171	143	9999-12-31	2013-05-08
25/11-24	723.000000	794.000000	UTSIRA FM	FORMATION	NORDLAND GP	5470	183	113	9999-12-31	2013-05-08
25/11-24	2023.000000	2029.000000	VIKING GP	GROUP	\N	5470	188	\N	9999-12-31	2013-05-08
25/11-24	1944.000000	1960.000000	VÅLE FM	FORMATION	ROGALAND GP	5470	190	131	9999-12-31	2013-05-08
25/11-24	2015.000000	2023.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5470	198	23	9999-12-31	2013-05-08
25/11-24	2029.000000	2117.000000	NO GROUP DEFINED	GROUP	\N	5470	208	\N	9999-12-31	2013-05-08
6607/2-1	1380.000000	1994.000000	KAI FM	FORMATION	NORDLAND GP	5471	77	113	9999-12-31	2013-05-08
6607/2-1	883.000000	1380.000000	NAUST FM	FORMATION	NORDLAND GP	5471	109	113	9999-12-31	2013-05-08
6607/2-1	883.000000	1994.000000	NORDLAND GP	GROUP	\N	5471	113	\N	9999-12-31	2013-05-08
6607/2-1	2007.000000	2876.000000	ROGALAND GP	GROUP	\N	5471	131	\N	9999-12-31	2013-05-08
6607/2-1	2876.000000	3526.000000	SHETLAND GP	GROUP	\N	5471	143	\N	9999-12-31	2013-05-08
6607/2-1	2876.000000	3526.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5471	156	143	9999-12-31	2013-05-08
6607/2-1	2080.000000	2876.000000	TANG FM	FORMATION	ROGALAND GP	5471	161	131	9999-12-31	2013-05-08
6607/2-1	2007.000000	2080.000000	TARE FM	FORMATION	ROGALAND GP	5471	163	131	9999-12-31	2013-05-08
6607/2-1	1994.000000	2007.000000	UNDEFINED GP	GROUP	\N	5471	191	\N	9999-12-31	2013-05-08
7/11-11 S	3192.000000	3204.000000	BALDER FM	FORMATION	ROGALAND GP	5474	6	131	9999-12-31	2013-05-08
7/11-11 S	4145.000000	4274.000000	CROMER KNOLL GP	GROUP	\N	5474	23	\N	9999-12-31	2013-05-08
7/11-11 S	3408.000000	3504.000000	EKOFISK FM	FORMATION	SHETLAND GP	5474	33	143	9999-12-31	2013-05-08
7/11-11 S	4348.000000	4470.000000	FARSUND FM	FORMATION	TYNE GP	5474	39	177	9999-12-31	2013-05-08
7/11-11 S	4072.000000	4145.000000	HIDRA FM	FORMATION	SHETLAND GP	5474	65	143	9999-12-31	2013-05-08
7/11-11 S	3895.000000	4072.000000	HOD FM	FORMATION	SHETLAND GP	5474	66	143	9999-12-31	2013-05-08
7/11-11 S	1518.000000	3192.000000	HORDALAND GP	GROUP	\N	5474	67	\N	9999-12-31	2013-05-08
7/11-11 S	3225.000000	3253.000000	LISTA FM	FORMATION	ROGALAND GP	5474	95	131	9999-12-31	2013-05-08
7/11-11 S	4274.000000	4348.000000	MANDAL FM	FORMATION	TYNE GP	5474	101	177	9999-12-31	2013-05-08
7/11-11 S	3253.000000	3408.000000	MAUREEN FM	FORMATION	ROGALAND GP	5474	102	131	9999-12-31	2013-05-08
7/11-11 S	123.000000	1518.000000	NORDLAND GP	GROUP	\N	5474	113	\N	9999-12-31	2013-05-08
7/11-11 S	3192.000000	3408.000000	ROGALAND GP	GROUP	\N	5474	131	\N	9999-12-31	2013-05-08
7/11-11 S	4145.000000	4176.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5474	137	23	9999-12-31	2013-05-08
7/11-11 S	3204.000000	3225.000000	SELE FM	FORMATION	ROGALAND GP	5474	142	131	9999-12-31	2013-05-08
7/11-11 S	3408.000000	4145.000000	SHETLAND GP	GROUP	\N	5474	143	\N	9999-12-31	2013-05-08
7/11-11 S	4618.000000	4679.000000	SMITH BANK FM	FORMATION	HEGRE GP	5474	149	61	9999-12-31	2013-05-08
7/11-11 S	4176.000000	4222.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5474	152	23	9999-12-31	2013-05-08
7/11-11 S	3504.000000	3895.000000	TOR FM	FORMATION	SHETLAND GP	5474	171	143	9999-12-31	2013-05-08
7/11-11 S	4274.000000	4470.000000	TYNE GP	GROUP	\N	5474	177	\N	9999-12-31	2013-05-08
7/11-11 S	4470.000000	4618.000000	ULA FM	FORMATION	VESTLAND GP	5474	179	186	9999-12-31	2013-05-08
7/11-11 S	4470.000000	4618.000000	VESTLAND GP	GROUP	\N	5474	186	\N	9999-12-31	2013-05-08
7/11-11 S	4222.000000	4274.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5474	198	23	9999-12-31	2013-05-08
7/11-11 S	4618.000000	4679.000000	NO GROUP DEFINED	GROUP	\N	5474	208	\N	9999-12-31	2013-05-08
15/12-17 A	2501.000000	2523.000000	BALDER FM	FORMATION	ROGALAND GP	5484	6	131	9999-12-31	2013-05-08
15/12-17 A	3017.000000	3039.000000	BLODØKS FM	FORMATION	SHETLAND GP	5484	13	143	9999-12-31	2013-05-08
15/12-17 A	3047.000000	3175.000000	CROMER KNOLL GP	GROUP	\N	5484	23	\N	9999-12-31	2013-05-08
15/12-17 A	3175.000000	3356.000000	DRAUPNE FM	FORMATION	VIKING GP	5484	28	188	9999-12-31	2013-05-08
15/12-17 A	2693.000000	2705.000000	EKOFISK FM	FORMATION	SHETLAND GP	5484	33	143	9999-12-31	2013-05-08
15/12-17 A	3356.000000	3550.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	5484	59	188	9999-12-31	2013-05-08
15/12-17 A	3039.000000	3047.000000	HIDRA FM	FORMATION	SHETLAND GP	5484	65	143	9999-12-31	2013-05-08
15/12-17 A	2904.000000	3017.000000	HOD FM	FORMATION	SHETLAND GP	5484	66	143	9999-12-31	2013-05-08
15/12-17 A	1258.000000	2501.000000	HORDALAND GP	GROUP	\N	5484	67	\N	9999-12-31	2013-05-08
15/12-17 A	2579.000000	2684.000000	LISTA FM	FORMATION	ROGALAND GP	5484	95	131	9999-12-31	2013-05-08
15/12-17 A	130.000000	1258.000000	NORDLAND GP	GROUP	\N	5484	113	\N	9999-12-31	2013-05-08
15/12-17 A	2501.000000	2693.000000	ROGALAND GP	GROUP	\N	5484	131	\N	9999-12-31	2013-05-08
15/12-17 A	3047.000000	3095.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5484	137	23	9999-12-31	2013-05-08
15/12-17 A	2523.000000	2579.000000	SELE FM	FORMATION	ROGALAND GP	5484	142	131	9999-12-31	2013-05-08
15/12-17 A	2693.000000	3047.000000	SHETLAND GP	GROUP	\N	5484	143	\N	9999-12-31	2013-05-08
15/12-17 A	3550.000000	3620.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5484	146	61	9999-12-31	2013-05-08
15/12-17 A	3095.000000	3127.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5484	152	23	9999-12-31	2013-05-08
15/12-17 A	2705.000000	2904.000000	TOR FM	FORMATION	SHETLAND GP	5484	171	143	9999-12-31	2013-05-08
15/12-17 A	1195.000000	1258.000000	UTSIRA FM	FORMATION	NORDLAND GP	5484	183	113	9999-12-31	2013-05-08
15/12-17 A	3175.000000	3550.000000	VIKING GP	GROUP	\N	5484	188	\N	9999-12-31	2013-05-08
15/12-17 A	2684.000000	2693.000000	VÅLE FM	FORMATION	ROGALAND GP	5484	190	131	9999-12-31	2013-05-08
15/12-17 A	3127.000000	3175.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5484	198	23	9999-12-31	2013-05-08
15/12-17 A	3550.000000	3620.000000	NO GROUP DEFINED	GROUP	\N	5484	208	\N	9999-12-31	2013-05-08
15/6-9 S	2226.000000	2268.000000	BALDER FM	FORMATION	ROGALAND GP	5494	6	131	9999-12-31	2013-05-08
15/6-9 S	3367.000000	3511.000000	CROMER KNOLL GP	GROUP	\N	5494	23	\N	9999-12-31	2013-05-08
15/6-9 S	3511.000000	3616.000000	DRAUPNE FM	FORMATION	VIKING GP	5494	28	188	9999-12-31	2013-05-08
15/6-9 S	2798.000000	2850.000000	EKOFISK FM	FORMATION	SHETLAND GP	5494	33	143	9999-12-31	2013-05-08
15/6-9 S	1857.000000	2020.000000	GRID FM	FORMATION	HORDALAND GP	5494	53	67	9999-12-31	2013-05-08
15/6-9 S	3616.000000	3741.000000	HEATHER FM	FORMATION	VIKING GP	5494	60	188	9999-12-31	2013-05-08
15/6-9 S	2352.000000	2735.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5494	62	131	9999-12-31	2013-05-08
15/6-9 S	3123.000000	3367.000000	HOD FM	FORMATION	SHETLAND GP	5494	66	143	9999-12-31	2013-05-08
15/6-9 S	1025.000000	2226.000000	HORDALAND GP	GROUP	\N	5494	67	\N	9999-12-31	2013-05-08
15/6-9 S	3741.000000	3794.000000	HUGIN FM	FORMATION	VESTLAND GP	5494	69	186	9999-12-31	2013-05-08
15/6-9 S	2321.000000	2352.000000	LISTA FM	FORMATION	ROGALAND GP	5494	95	131	9999-12-31	2013-05-08
15/6-9 S	1189.000000	1857.000000	NO FORMAL NAME	FORMATION	\N	5494	111	\N	9999-12-31	2013-05-08
15/6-9 S	2020.000000	2226.000000	NO FORMAL NAME	FORMATION	\N	5494	111	\N	9999-12-31	2013-05-08
15/6-9 S	161.000000	1025.000000	NORDLAND GP	GROUP	\N	5494	113	\N	9999-12-31	2013-05-08
15/6-9 S	2226.000000	2798.000000	ROGALAND GP	GROUP	\N	5494	131	\N	9999-12-31	2013-05-08
15/6-9 S	3367.000000	3511.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5494	137	23	9999-12-31	2013-05-08
15/6-9 S	2268.000000	2321.000000	SELE FM	FORMATION	ROGALAND GP	5494	142	131	9999-12-31	2013-05-08
15/6-9 S	2798.000000	3367.000000	SHETLAND GP	GROUP	\N	5494	143	\N	9999-12-31	2013-05-08
15/6-9 S	1169.000000	1189.000000	SKADE FM	FORMATION	HORDALAND GP	5494	145	67	9999-12-31	2013-05-08
15/6-9 S	3872.000000	3940.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5494	146	61	9999-12-31	2013-05-08
15/6-9 S	3794.000000	3872.000000	SLEIPNER FM	FORMATION	VESTLAND GP	5494	148	186	9999-12-31	2013-05-08
15/6-9 S	2850.000000	3123.000000	TOR FM	FORMATION	SHETLAND GP	5494	171	143	9999-12-31	2013-05-08
15/6-9 S	792.000000	1025.000000	UTSIRA FM	FORMATION	NORDLAND GP	5494	183	113	9999-12-31	2013-05-08
15/6-9 S	3741.000000	3872.000000	VESTLAND GP	GROUP	\N	5494	186	\N	9999-12-31	2013-05-08
15/6-9 S	3511.000000	3741.000000	VIKING GP	GROUP	\N	5494	188	\N	9999-12-31	2013-05-08
15/6-9 S	2735.000000	2798.000000	VÅLE FM	FORMATION	ROGALAND GP	5494	190	131	9999-12-31	2013-05-08
15/6-9 S	3872.000000	3940.000000	NO GROUP DEFINED	GROUP	\N	5494	208	\N	9999-12-31	2013-05-08
35/11-15 S	1524.000000	1589.000000	BALDER FM	FORMATION	ROGALAND GP	5517	6	131	9999-12-31	2013-05-08
35/11-15 S	2502.000000	2506.000000	BLODØKS FM	FORMATION	SHETLAND GP	5517	13	143	9999-12-31	2013-05-08
35/11-15 S	2558.000000	2697.000000	CROMER KNOLL GP	GROUP	\N	5517	23	\N	9999-12-31	2013-05-08
35/11-15 S	2697.000000	2829.000000	DRAUPNE FM	FORMATION	VIKING GP	5517	28	188	9999-12-31	2013-05-08
35/11-15 S	2930.000000	3137.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	5517	59	188	9999-12-31	2013-05-08
35/11-15 S	2829.000000	2930.000000	HEATHER FM	FORMATION	VIKING GP	5517	60	188	9999-12-31	2013-05-08
35/11-15 S	3137.000000	3250.000000	HEATHER FM	FORMATION	VIKING GP	5517	60	188	9999-12-31	2013-05-08
35/11-15 S	798.000000	1524.000000	HORDALAND GP	GROUP	\N	5517	67	\N	9999-12-31	2013-05-08
35/11-15 S	1947.000000	2107.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5517	74	143	9999-12-31	2013-05-08
35/11-15 S	2107.000000	2470.000000	KYRRE FM	FORMATION	SHETLAND GP	5517	92	143	9999-12-31	2013-05-08
35/11-15 S	1644.000000	1706.000000	LISTA FM	FORMATION	ROGALAND GP	5517	95	131	9999-12-31	2013-05-08
35/11-15 S	1714.000000	1830.000000	LISTA FM	FORMATION	ROGALAND GP	5517	95	131	9999-12-31	2013-05-08
35/11-15 S	786.000000	798.000000	NO FORMAL NAME	FORMATION	\N	5517	111	\N	9999-12-31	2013-05-08
35/11-15 S	1050.000000	1094.000000	NO FORMAL NAME	FORMATION	\N	5517	111	\N	9999-12-31	2013-05-08
35/11-15 S	1094.000000	1524.000000	NO FORMAL NAME	FORMATION	\N	5517	111	\N	9999-12-31	2013-05-08
35/11-15 S	1706.000000	1714.000000	NO FORMAL NAME	FORMATION	\N	5517	111	\N	9999-12-31	2013-05-08
35/11-15 S	1830.000000	1890.000000	NO FORMAL NAME	FORMATION	\N	5517	111	\N	9999-12-31	2013-05-08
35/11-15 S	1937.000000	1941.000000	NO FORMAL NAME	FORMATION	\N	5517	111	\N	9999-12-31	2013-05-08
35/11-15 S	389.000000	798.000000	NORDLAND GP	GROUP	\N	5517	113	\N	9999-12-31	2013-05-08
35/11-15 S	1524.000000	1947.000000	ROGALAND GP	GROUP	\N	5517	131	\N	9999-12-31	2013-05-08
35/11-15 S	2558.000000	2623.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5517	137	23	9999-12-31	2013-05-08
35/11-15 S	1589.000000	1644.000000	SELE FM	FORMATION	ROGALAND GP	5517	142	131	9999-12-31	2013-05-08
35/11-15 S	1947.000000	2558.000000	SHETLAND GP	GROUP	\N	5517	143	\N	9999-12-31	2013-05-08
35/11-15 S	2623.000000	2643.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5517	152	23	9999-12-31	2013-05-08
35/11-15 S	2506.000000	2558.000000	SVARTE FM	FORMATION	SHETLAND GP	5517	160	143	9999-12-31	2013-05-08
35/11-15 S	2470.000000	2502.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	5517	173	143	9999-12-31	2013-05-08
35/11-15 S	697.000000	786.000000	UTSIRA FM	FORMATION	NORDLAND GP	5517	183	113	9999-12-31	2013-05-08
35/11-15 S	2697.000000	3250.000000	VIKING GP	GROUP	\N	5517	188	\N	9999-12-31	2013-05-08
35/11-15 S	1890.000000	1937.000000	VÅLE FM	FORMATION	ROGALAND GP	5517	190	131	9999-12-31	2013-05-08
35/11-15 S	1941.000000	1947.000000	VÅLE FM	FORMATION	ROGALAND GP	5517	190	131	9999-12-31	2013-05-08
35/11-15 S	2643.000000	2697.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5517	198	23	9999-12-31	2013-05-08
6504/5-1 S	1510.000000	1687.000000	BRYGGE FM	FORMATION	HORDALAND GP	5518	18	67	9999-12-31	2013-05-08
6504/5-1 S	3441.000000	4193.000000	CROMER KNOLL GP	GROUP	\N	5518	23	\N	9999-12-31	2013-05-08
6504/5-1 S	1510.000000	1687.000000	HORDALAND GP	GROUP	\N	5518	67	\N	9999-12-31	2013-05-08
6504/5-1 S	2660.000000	3441.000000	KVITNOS FM	FORMATION	SHETLAND GP	5518	91	143	9999-12-31	2013-05-08
6504/5-1 S	3441.000000	4193.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5518	94	23	9999-12-31	2013-05-08
6504/5-1 S	1213.000000	1510.000000	NAUST FM	FORMATION	NORDLAND GP	5518	109	113	9999-12-31	2013-05-08
6504/5-1 S	2190.000000	2660.000000	NISE FM	FORMATION	SHETLAND GP	5518	112	143	9999-12-31	2013-05-08
6504/5-1 S	1213.000000	1510.000000	NORDLAND GP	GROUP	\N	5518	113	\N	9999-12-31	2013-05-08
6504/5-1 S	1687.000000	1850.000000	ROGALAND GP	GROUP	\N	5518	131	\N	9999-12-31	2013-05-08
6504/5-1 S	1850.000000	3441.000000	SHETLAND GP	GROUP	\N	5518	143	\N	9999-12-31	2013-05-08
6504/5-1 S	1850.000000	2190.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5518	156	143	9999-12-31	2013-05-08
6504/5-1 S	1774.000000	1850.000000	TANG FM	FORMATION	ROGALAND GP	5518	161	131	9999-12-31	2013-05-08
6504/5-1 S	1687.000000	1774.000000	TARE FM	FORMATION	ROGALAND GP	5518	163	131	9999-12-31	2013-05-08
6407/7-7 S	1161.000000	1845.000000	BRYGGE FM	FORMATION	HORDALAND GP	5550	18	67	9999-12-31	2013-05-08
6407/7-7 S	3466.000000	3886.000000	BÅT GP	GROUP	\N	5550	22	\N	9999-12-31	2013-05-08
6407/7-7 S	2919.000000	3329.000000	CROMER KNOLL GP	GROUP	\N	5550	23	\N	9999-12-31	2013-05-08
6407/7-7 S	3346.000000	3466.000000	FANGST GP	GROUP	\N	5550	38	\N	9999-12-31	2013-05-08
6407/7-7 S	1161.000000	1845.000000	HORDALAND GP	GROUP	\N	5550	67	\N	9999-12-31	2013-05-08
6407/7-7 S	3376.000000	3466.000000	ILE FM	FORMATION	FANGST GP	5550	70	38	9999-12-31	2013-05-08
6407/7-7 S	1141.000000	1161.000000	KAI FM	FORMATION	NORDLAND GP	5550	77	113	9999-12-31	2013-05-08
6407/7-7 S	2450.000000	2919.000000	KVITNOS FM	FORMATION	SHETLAND GP	5550	91	143	9999-12-31	2013-05-08
6407/7-7 S	2919.000000	3227.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5550	94	23	9999-12-31	2013-05-08
6407/7-7 S	3327.000000	3329.000000	LYR FM	FORMATION	CROMER KNOLL GP	5550	98	23	9999-12-31	2013-05-08
6407/7-7 S	3334.000000	3346.000000	MELKE FM	FORMATION	VIKING GP	5550	105	188	9999-12-31	2013-05-08
6407/7-7 S	360.000000	1141.000000	NAUST FM	FORMATION	NORDLAND GP	5550	109	113	9999-12-31	2013-05-08
6407/7-7 S	3227.000000	3327.000000	NO FORMAL NAME	FORMATION	\N	5550	111	\N	9999-12-31	2013-05-08
6407/7-7 S	2152.000000	2450.000000	NISE FM	FORMATION	SHETLAND GP	5550	112	143	9999-12-31	2013-05-08
6407/7-7 S	360.000000	1161.000000	NORDLAND GP	GROUP	\N	5550	113	\N	9999-12-31	2013-05-08
6407/7-7 S	3346.000000	3376.000000	NOT FM	FORMATION	FANGST GP	5550	120	38	9999-12-31	2013-05-08
6407/7-7 S	1845.000000	2107.000000	ROGALAND GP	GROUP	\N	5550	131	\N	9999-12-31	2013-05-08
6407/7-7 S	3466.000000	3576.000000	ROR FM	FORMATION	BÅT GP	5550	135	22	9999-12-31	2013-05-08
6407/7-7 S	2107.000000	2919.000000	SHETLAND GP	GROUP	\N	5550	143	\N	9999-12-31	2013-05-08
6407/7-7 S	3329.000000	3334.000000	SPEKK FM	FORMATION	VIKING GP	5550	155	188	9999-12-31	2013-05-08
6407/7-7 S	2107.000000	2152.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5550	156	143	9999-12-31	2013-05-08
6407/7-7 S	2008.000000	2107.000000	TANG FM	FORMATION	ROGALAND GP	5550	161	131	9999-12-31	2013-05-08
6407/7-7 S	1845.000000	2008.000000	TARE FM	FORMATION	ROGALAND GP	5550	163	131	9999-12-31	2013-05-08
6407/7-7 S	3576.000000	3712.000000	TILJE FM	FORMATION	BÅT GP	5550	169	22	9999-12-31	2013-05-08
6407/7-7 S	3329.000000	3346.000000	VIKING GP	GROUP	\N	5550	188	\N	9999-12-31	2013-05-08
6407/7-7 S	3712.000000	3886.000000	ÅRE FM	FORMATION	BÅT GP	5550	197	22	9999-12-31	2013-05-08
16/2-3	1617.000000	1636.000000	BALDER FM	FORMATION	ROGALAND GP	5551	6	131	9999-12-31	2013-05-08
16/2-3	1894.000000	1905.000000	BASEMENT	GROUP	\N	5551	10	\N	9999-12-31	2013-05-08
16/2-3	1875.000000	1894.000000	CROMER KNOLL GP	GROUP	\N	5551	23	\N	9999-12-31	2013-05-08
16/2-3	1716.000000	1717.000000	EKOFISK FM	FORMATION	SHETLAND GP	5551	33	143	9999-12-31	2013-05-08
16/2-3	1251.000000	1267.000000	GRID FM	FORMATION	HORDALAND GP	5551	53	67	9999-12-31	2013-05-08
16/2-3	1814.000000	1875.000000	HOD FM	FORMATION	SHETLAND GP	5551	66	143	9999-12-31	2013-05-08
16/2-3	1051.000000	1617.000000	HORDALAND GP	GROUP	\N	5551	67	\N	9999-12-31	2013-05-08
16/2-3	1651.000000	1716.000000	LISTA FM	FORMATION	ROGALAND GP	5551	95	131	9999-12-31	2013-05-08
16/2-3	1150.000000	1251.000000	NO FORMAL NAME	FORMATION	\N	5551	111	\N	9999-12-31	2013-05-08
16/2-3	1267.000000	1617.000000	NO FORMAL NAME	FORMATION	\N	5551	111	\N	9999-12-31	2013-05-08
16/2-3	162.000000	1051.000000	NORDLAND GP	GROUP	\N	5551	113	\N	9999-12-31	2013-05-08
16/2-3	1617.000000	1716.000000	ROGALAND GP	GROUP	\N	5551	131	\N	9999-12-31	2013-05-08
16/2-3	1875.000000	1889.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5551	137	23	9999-12-31	2013-05-08
16/2-3	1636.000000	1651.000000	SELE FM	FORMATION	ROGALAND GP	5551	142	131	9999-12-31	2013-05-08
16/2-3	1716.000000	1875.000000	SHETLAND GP	GROUP	\N	5551	143	\N	9999-12-31	2013-05-08
16/2-3	1079.000000	1150.000000	SKADE FM	FORMATION	HORDALAND GP	5551	145	67	9999-12-31	2013-05-08
16/2-3	1889.000000	1894.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5551	152	23	9999-12-31	2013-05-08
16/2-3	1717.000000	1814.000000	TOR FM	FORMATION	SHETLAND GP	5551	171	143	9999-12-31	2013-05-08
16/2-3	817.000000	1051.000000	UTSIRA FM	FORMATION	NORDLAND GP	5551	183	113	9999-12-31	2013-05-08
2/4-20	3115.000000	3123.000000	BALDER FM	FORMATION	ROGALAND GP	5556	6	131	9999-12-31	2013-05-08
2/4-20	4677.000000	4692.000000	BLODØKS FM	FORMATION	SHETLAND GP	5556	13	143	9999-12-31	2013-05-08
2/4-20	5225.000000	5426.000000	BRYNE FM	FORMATION	VESTLAND GP	5556	19	186	9999-12-31	2013-05-08
2/4-20	4745.000000	4818.000000	CROMER KNOLL GP	GROUP	\N	5556	23	\N	9999-12-31	2013-05-08
2/4-20	3268.000000	3402.000000	EKOFISK FM	FORMATION	SHETLAND GP	5556	33	143	9999-12-31	2013-05-08
2/4-20	4692.000000	4745.000000	HIDRA FM	FORMATION	SHETLAND GP	5556	65	143	9999-12-31	2013-05-08
2/4-20	3862.000000	4677.000000	HOD FM	FORMATION	SHETLAND GP	5556	66	143	9999-12-31	2013-05-08
2/4-20	1774.000000	3115.000000	HORDALAND GP	GROUP	\N	5556	67	\N	9999-12-31	2013-05-08
2/4-20	3144.000000	3254.000000	LISTA FM	FORMATION	ROGALAND GP	5556	95	131	9999-12-31	2013-05-08
2/4-20	113.000000	1774.000000	NORDLAND GP	GROUP	\N	5556	113	\N	9999-12-31	2013-05-08
2/4-20	3115.000000	3268.000000	ROGALAND GP	GROUP	\N	5556	131	\N	9999-12-31	2013-05-08
2/4-20	5631.000000	5719.000000	ROTLIEGEND GP	GROUP	\N	5556	136	\N	9999-12-31	2013-05-08
2/4-20	3123.000000	3144.000000	SELE FM	FORMATION	ROGALAND GP	5556	142	131	9999-12-31	2013-05-08
2/4-20	3268.000000	4745.000000	SHETLAND GP	GROUP	\N	5556	143	\N	9999-12-31	2013-05-08
2/4-20	5426.000000	5496.000000	SMITH BANK FM	FORMATION	HEGRE GP	5556	149	61	9999-12-31	2013-05-08
2/4-20	3402.000000	3862.000000	TOR FM	FORMATION	SHETLAND GP	5556	171	143	9999-12-31	2013-05-08
2/4-20	4818.000000	5176.000000	TYNE GP	GROUP	\N	5556	177	\N	9999-12-31	2013-05-08
2/4-20	5176.000000	5225.000000	ULA FM	FORMATION	VESTLAND GP	5556	179	186	9999-12-31	2013-05-08
2/4-20	5176.000000	5496.000000	VESTLAND GP	GROUP	\N	5556	186	\N	9999-12-31	2013-05-08
2/4-20	3254.000000	3268.000000	VÅLE FM	FORMATION	ROGALAND GP	5556	190	131	9999-12-31	2013-05-08
2/4-20	5496.000000	5631.000000	ZECHSTEIN GP	GROUP	\N	5556	194	\N	9999-12-31	2013-05-08
6507/11-8	1763.000000	2000.000000	BRYGGE FM	FORMATION	HORDALAND GP	5562	18	67	9999-12-31	2013-05-08
6507/11-8	2519.000000	2773.000000	BÅT GP	GROUP	\N	5562	22	\N	9999-12-31	2013-05-08
6507/11-8	2359.000000	2373.000000	CROMER KNOLL GP	GROUP	\N	5562	23	\N	9999-12-31	2013-05-08
6507/11-8	2416.000000	2519.000000	FANGST GP	GROUP	\N	5562	38	\N	9999-12-31	2013-05-08
6507/11-8	2416.000000	2447.000000	GARN FM	FORMATION	FANGST GP	5562	48	38	9999-12-31	2013-05-08
6507/11-8	1763.000000	2000.000000	HORDALAND GP	GROUP	\N	5562	67	\N	9999-12-31	2013-05-08
6507/11-8	2459.000000	2519.000000	ILE FM	FORMATION	FANGST GP	5562	70	38	9999-12-31	2013-05-08
6507/11-8	1399.000000	1763.000000	KAI FM	FORMATION	NORDLAND GP	5562	77	113	9999-12-31	2013-05-08
6507/11-8	2359.000000	2373.000000	LYR FM	FORMATION	CROMER KNOLL GP	5562	98	23	9999-12-31	2013-05-08
6507/11-8	2391.000000	2416.000000	MELKE FM	FORMATION	VIKING GP	5562	105	188	9999-12-31	2013-05-08
6507/11-8	325.000000	1399.000000	NAUST FM	FORMATION	NORDLAND GP	5562	109	113	9999-12-31	2013-05-08
6507/11-8	2205.000000	2359.000000	NISE FM	FORMATION	SHETLAND GP	5562	112	143	9999-12-31	2013-05-08
6507/11-8	325.000000	1763.000000	NORDLAND GP	GROUP	\N	5562	113	\N	9999-12-31	2013-05-08
6507/11-8	2447.000000	2459.000000	NOT FM	FORMATION	FANGST GP	5562	120	38	9999-12-31	2013-05-08
6507/11-8	2000.000000	2205.000000	ROGALAND GP	GROUP	\N	5562	131	\N	9999-12-31	2013-05-08
6507/11-8	2519.000000	2594.000000	ROR FM	FORMATION	BÅT GP	5562	135	22	9999-12-31	2013-05-08
6507/11-8	2205.000000	2359.000000	SHETLAND GP	GROUP	\N	5562	143	\N	9999-12-31	2013-05-08
6507/11-8	2373.000000	2391.000000	SPEKK FM	FORMATION	VIKING GP	5562	155	188	9999-12-31	2013-05-08
6507/11-8	2059.000000	2205.000000	TANG FM	FORMATION	ROGALAND GP	5562	161	131	9999-12-31	2013-05-08
6507/11-8	2000.000000	2059.000000	TARE FM	FORMATION	ROGALAND GP	5562	163	131	9999-12-31	2013-05-08
6507/11-8	2594.000000	2701.000000	TILJE FM	FORMATION	BÅT GP	5562	169	22	9999-12-31	2013-05-08
6507/11-8	2373.000000	2416.000000	VIKING GP	GROUP	\N	5562	188	\N	9999-12-31	2013-05-08
6507/11-8	2701.000000	2773.000000	ÅRE FM	FORMATION	BÅT GP	5562	197	22	9999-12-31	2013-05-08
24/9-8	1936.000000	2049.000000	BALDER FM	FORMATION	ROGALAND GP	5563	6	131	9999-12-31	2013-05-08
24/9-8	1230.000000	1422.000000	GRID FM	FORMATION	HORDALAND GP	5563	53	67	9999-12-31	2013-05-08
24/9-8	2142.000000	2190.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5563	62	131	9999-12-31	2013-05-08
24/9-8	716.000000	1936.000000	HORDALAND GP	GROUP	\N	5563	67	\N	9999-12-31	2013-05-08
24/9-8	2100.000000	2142.000000	LISTA FM	FORMATION	ROGALAND GP	5563	95	131	9999-12-31	2013-05-08
24/9-8	875.000000	1230.000000	NO FORMAL NAME	FORMATION	\N	5563	111	\N	9999-12-31	2013-05-08
24/9-8	1422.000000	1936.000000	NO FORMAL NAME	FORMATION	\N	5563	111	\N	9999-12-31	2013-05-08
24/9-8	148.000000	716.000000	NORDLAND GP	GROUP	\N	5563	113	\N	9999-12-31	2013-05-08
24/9-8	1936.000000	2190.000000	ROGALAND GP	GROUP	\N	5563	131	\N	9999-12-31	2013-05-08
24/9-8	2049.000000	2100.000000	SELE FM	FORMATION	ROGALAND GP	5563	142	131	9999-12-31	2013-05-08
24/9-8	716.000000	875.000000	SKADE FM	FORMATION	HORDALAND GP	5563	145	67	9999-12-31	2013-05-08
24/9-8	284.000000	716.000000	UTSIRA FM	FORMATION	NORDLAND GP	5563	183	113	9999-12-31	2013-05-08
6405/10-1	1891.000000	2568.000000	BRYGGE FM	FORMATION	HORDALAND GP	5565	18	67	9999-12-31	2013-05-08
6405/10-1	2783.000000	2811.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	5565	31	131	9999-12-31	2013-05-08
6405/10-1	1891.000000	2568.000000	HORDALAND GP	GROUP	\N	5565	67	\N	9999-12-31	2013-05-08
6405/10-1	952.000000	1891.000000	NAUST FM	FORMATION	NORDLAND GP	5565	109	113	9999-12-31	2013-05-08
6405/10-1	2937.000000	3182.000000	NISE FM	FORMATION	SHETLAND GP	5565	112	143	9999-12-31	2013-05-08
6405/10-1	952.000000	1891.000000	NORDLAND GP	GROUP	\N	5565	113	\N	9999-12-31	2013-05-08
6405/10-1	2568.000000	2811.000000	ROGALAND GP	GROUP	\N	5565	131	\N	9999-12-31	2013-05-08
6405/10-1	2811.000000	3182.000000	SHETLAND GP	GROUP	\N	5565	143	\N	9999-12-31	2013-05-08
6405/10-1	2811.000000	2937.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5565	156	143	9999-12-31	2013-05-08
6405/10-1	2723.000000	2783.000000	TANG FM	FORMATION	ROGALAND GP	5565	161	131	9999-12-31	2013-05-08
6405/10-1	2568.000000	2723.000000	TARE FM	FORMATION	ROGALAND GP	5565	163	131	9999-12-31	2013-05-08
15/6-9 A	2226.000000	2268.000000	BALDER FM	FORMATION	ROGALAND GP	5566	6	131	9999-12-31	2013-05-08
15/6-9 A	3354.000000	3487.000000	CROMER KNOLL GP	GROUP	\N	5566	23	\N	9999-12-31	2013-05-08
15/6-9 A	3487.000000	3518.000000	DRAUPNE FM	FORMATION	VIKING GP	5566	28	188	9999-12-31	2013-05-08
15/6-9 A	2798.000000	2850.000000	EKOFISK FM	FORMATION	SHETLAND GP	5566	33	143	9999-12-31	2013-05-08
15/6-9 A	1857.000000	2020.000000	GRID FM	FORMATION	HORDALAND GP	5566	53	67	9999-12-31	2013-05-08
15/6-9 A	3518.000000	3570.000000	HEATHER FM	FORMATION	VIKING GP	5566	60	188	9999-12-31	2013-05-08
15/6-9 A	2352.000000	2735.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5566	62	131	9999-12-31	2013-05-08
15/6-9 A	3138.000000	3354.000000	HOD FM	FORMATION	SHETLAND GP	5566	66	143	9999-12-31	2013-05-08
15/6-9 A	1025.000000	2226.000000	HORDALAND GP	GROUP	\N	5566	67	\N	9999-12-31	2013-05-08
15/6-9 A	3570.000000	3631.000000	HUGIN FM	FORMATION	VESTLAND GP	5566	69	186	9999-12-31	2013-05-08
15/6-9 A	2321.000000	2352.000000	LISTA FM	FORMATION	ROGALAND GP	5566	95	131	9999-12-31	2013-05-08
15/6-9 A	1189.000000	1857.000000	NO FORMAL NAME	FORMATION	\N	5566	111	\N	9999-12-31	2013-05-08
15/6-9 A	2020.000000	2226.000000	NO FORMAL NAME	FORMATION	\N	5566	111	\N	9999-12-31	2013-05-08
15/6-9 A	161.000000	1025.000000	NORDLAND GP	GROUP	\N	5566	113	\N	9999-12-31	2013-05-08
15/6-9 A	2226.000000	2798.000000	ROGALAND GP	GROUP	\N	5566	131	\N	9999-12-31	2013-05-08
15/6-9 A	3354.000000	3487.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5566	137	23	9999-12-31	2013-05-08
15/6-9 A	2268.000000	2321.000000	SELE FM	FORMATION	ROGALAND GP	5566	142	131	9999-12-31	2013-05-08
15/6-9 A	2798.000000	3354.000000	SHETLAND GP	GROUP	\N	5566	143	\N	9999-12-31	2013-05-08
15/6-9 A	1169.000000	1189.000000	SKADE FM	FORMATION	HORDALAND GP	5566	145	67	9999-12-31	2013-05-08
15/6-9 A	3666.000000	3690.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5566	146	61	9999-12-31	2013-05-08
15/6-9 A	3631.000000	3666.000000	SLEIPNER FM	FORMATION	VESTLAND GP	5566	148	186	9999-12-31	2013-05-08
15/6-9 A	2850.000000	3138.000000	TOR FM	FORMATION	SHETLAND GP	5566	171	143	9999-12-31	2013-05-08
15/6-9 A	792.000000	1025.000000	UTSIRA FM	FORMATION	NORDLAND GP	5566	183	113	9999-12-31	2013-05-08
15/6-9 A	3570.000000	3666.000000	VESTLAND GP	GROUP	\N	5566	186	\N	9999-12-31	2013-05-08
15/6-9 A	3487.000000	3570.000000	VIKING GP	GROUP	\N	5566	188	\N	9999-12-31	2013-05-08
15/6-9 A	2735.000000	2798.000000	VÅLE FM	FORMATION	ROGALAND GP	5566	190	131	9999-12-31	2013-05-08
15/6-9 A	3666.000000	3690.000000	NO GROUP DEFINED	GROUP	\N	5566	208	\N	9999-12-31	2013-05-08
7/7-4	2706.000000	2746.000000	BALDER FM	FORMATION	ROGALAND GP	5570	6	131	9999-12-31	2013-05-08
7/7-4	3008.000000	3054.000000	EKOFISK FM	FORMATION	SHETLAND GP	5570	33	143	9999-12-31	2013-05-08
7/7-4	2820.000000	2949.000000	FORTIES FM	FORMATION	ROGALAND GP	5570	44	131	9999-12-31	2013-05-08
7/7-4	1309.000000	2706.000000	HORDALAND GP	GROUP	\N	5570	67	\N	9999-12-31	2013-05-08
7/7-4	2949.000000	2971.000000	LISTA FM	FORMATION	ROGALAND GP	5570	95	131	9999-12-31	2013-05-08
7/7-4	124.000000	1309.000000	NORDLAND GP	GROUP	\N	5570	113	\N	9999-12-31	2013-05-08
7/7-4	2706.000000	3008.000000	ROGALAND GP	GROUP	\N	5570	131	\N	9999-12-31	2013-05-08
7/7-4	2746.000000	2820.000000	SELE FM	FORMATION	ROGALAND GP	5570	142	131	9999-12-31	2013-05-08
7/7-4	3008.000000	3054.000000	SHETLAND GP	GROUP	\N	5570	143	\N	9999-12-31	2013-05-08
7/7-4	2971.000000	3008.000000	VÅLE FM	FORMATION	ROGALAND GP	5570	190	131	9999-12-31	2013-05-08
15/6-9 B	2226.000000	2268.000000	BALDER FM	FORMATION	ROGALAND GP	5571	6	131	9999-12-31	2013-05-08
15/6-9 B	3420.000000	3582.000000	CROMER KNOLL GP	GROUP	\N	5571	23	\N	9999-12-31	2013-05-08
15/6-9 B	3582.000000	3776.000000	DRAUPNE FM	FORMATION	VIKING GP	5571	28	188	9999-12-31	2013-05-08
15/6-9 B	2798.000000	2850.000000	EKOFISK FM	FORMATION	SHETLAND GP	5571	33	143	9999-12-31	2013-05-08
15/6-9 B	1857.000000	2020.000000	GRID FM	FORMATION	HORDALAND GP	5571	53	67	9999-12-31	2013-05-08
15/6-9 B	3776.000000	3900.000000	HEATHER FM	FORMATION	VIKING GP	5571	60	188	9999-12-31	2013-05-08
15/6-9 B	2352.000000	2735.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5571	62	131	9999-12-31	2013-05-08
15/6-9 B	3134.000000	3420.000000	HOD FM	FORMATION	SHETLAND GP	5571	66	143	9999-12-31	2013-05-08
15/6-9 B	1025.000000	2226.000000	HORDALAND GP	GROUP	\N	5571	67	\N	9999-12-31	2013-05-08
15/6-9 B	3900.000000	3950.000000	HUGIN FM	FORMATION	VESTLAND GP	5571	69	186	9999-12-31	2013-05-08
15/6-9 B	2321.000000	2352.000000	LISTA FM	FORMATION	ROGALAND GP	5571	95	131	9999-12-31	2013-05-08
15/6-9 B	1189.000000	1857.000000	NO FORMAL NAME	FORMATION	\N	5571	111	\N	9999-12-31	2013-05-08
15/6-9 B	2020.000000	2226.000000	NO FORMAL NAME	FORMATION	\N	5571	111	\N	9999-12-31	2013-05-08
15/6-9 B	161.000000	1025.000000	NORDLAND GP	GROUP	\N	5571	113	\N	9999-12-31	2013-05-08
15/6-9 B	2226.000000	2798.000000	ROGALAND GP	GROUP	\N	5571	131	\N	9999-12-31	2013-05-08
15/6-9 B	3420.000000	3582.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5571	137	23	9999-12-31	2013-05-08
15/6-9 B	2268.000000	2321.000000	SELE FM	FORMATION	ROGALAND GP	5571	142	131	9999-12-31	2013-05-08
15/6-9 B	2798.000000	3420.000000	SHETLAND GP	GROUP	\N	5571	143	\N	9999-12-31	2013-05-08
15/6-9 B	1169.000000	1189.000000	SKADE FM	FORMATION	HORDALAND GP	5571	145	67	9999-12-31	2013-05-08
15/6-9 B	3950.000000	4010.000000	SLEIPNER FM	FORMATION	VESTLAND GP	5571	148	186	9999-12-31	2013-05-08
15/6-9 B	2850.000000	3134.000000	TOR FM	FORMATION	SHETLAND GP	5571	171	143	9999-12-31	2013-05-08
15/6-9 B	792.000000	1025.000000	UTSIRA FM	FORMATION	NORDLAND GP	5571	183	113	9999-12-31	2013-05-08
15/6-9 B	3900.000000	4010.000000	VESTLAND GP	GROUP	\N	5571	186	\N	9999-12-31	2013-05-08
15/6-9 B	3582.000000	3900.000000	VIKING GP	GROUP	\N	5571	188	\N	9999-12-31	2013-05-08
15/6-9 B	2735.000000	2798.000000	VÅLE FM	FORMATION	ROGALAND GP	5571	190	131	9999-12-31	2013-05-08
7120/8-4	1279.000000	2264.000000	ADVENTDALEN GP	GROUP	\N	5572	1	\N	9999-12-31	2013-05-08
7120/8-4	2643.000000	2697.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5572	46	79	9999-12-31	2013-05-08
7120/8-4	2250.000000	2264.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	5572	47	1	9999-12-31	2013-05-08
7120/8-4	2179.000000	2250.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5572	63	1	9999-12-31	2013-05-08
7120/8-4	2264.000000	2697.000000	KAPP TOSCANA GP	GROUP	\N	5572	79	\N	9999-12-31	2013-05-08
7120/8-4	2142.000000	2179.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5572	82	1	9999-12-31	2013-05-08
7120/8-4	1798.000000	2142.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	5572	84	1	9999-12-31	2013-05-08
7120/8-4	1279.000000	1798.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5572	85	1	9999-12-31	2013-05-08
7120/8-4	1186.000000	1279.000000	KVITING FM	FORMATION	NYGRUNNEN GP	5572	90	122	9999-12-31	2013-05-08
7120/8-4	298.000000	376.000000	NORDLAND GP	GROUP	\N	5572	113	\N	9999-12-31	2013-05-08
7120/8-4	2360.000000	2496.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	5572	118	79	9999-12-31	2013-05-08
7120/8-4	1186.000000	1279.000000	NYGRUNNEN GP	GROUP	\N	5572	122	\N	9999-12-31	2013-05-08
7120/8-4	376.000000	1186.000000	SOTBAKKEN GP	GROUP	\N	5572	154	\N	9999-12-31	2013-05-08
7120/8-4	2264.000000	2360.000000	STØ FM	FORMATION	KAPP TOSCANA GP	5572	159	79	9999-12-31	2013-05-08
7120/8-4	376.000000	1186.000000	TORSK FM	FORMATION	SOTBAKKEN GP	5572	172	154	9999-12-31	2013-05-08
7120/8-4	2496.000000	2643.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	5572	174	79	9999-12-31	2013-05-08
7120/8-4	2221.000000	2250.000000	ALGE MBR	MEMBER	HEKKINGEN FM	5572	202	63	9999-12-31	2013-05-08
7120/8-4	2179.000000	2221.000000	KRILL MBR	MEMBER	HEKKINGEN FM	5572	203	63	9999-12-31	2013-05-08
11/5-1	1920.000000	1950.000000	BASEMENT	GROUP	\N	5596	10	\N	9999-12-31	2013-05-08
11/5-1	1086.000000	1276.000000	BOKNFJORD GP	GROUP	\N	5596	15	\N	9999-12-31	2013-05-08
11/5-1	382.000000	1086.000000	CROMER KNOLL GP	GROUP	\N	5596	23	\N	9999-12-31	2013-05-08
11/5-1	1141.000000	1276.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	5596	30	15	9999-12-31	2013-05-08
11/5-1	199.000000	355.000000	NORDLAND GP	GROUP	\N	5596	113	\N	9999-12-31	2013-05-08
11/5-1	1322.000000	1920.000000	ROTLIEGEND GP	GROUP	\N	5596	136	\N	9999-12-31	2013-05-08
11/5-1	1276.000000	1322.000000	SANDNES FM	FORMATION	VESTLAND GP	5596	139	186	9999-12-31	2013-05-08
11/5-1	1086.000000	1107.000000	SAUDA FM	FORMATION	BOKNFJORD GP	5596	141	15	9999-12-31	2013-05-08
11/5-1	355.000000	382.000000	SHETLAND GP	GROUP	\N	5596	143	\N	9999-12-31	2013-05-08
11/5-1	420.000000	717.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5596	152	23	9999-12-31	2013-05-08
11/5-1	1107.000000	1141.000000	TAU FM	FORMATION	BOKNFJORD GP	5596	164	15	9999-12-31	2013-05-08
11/5-1	1276.000000	1322.000000	VESTLAND GP	GROUP	\N	5596	186	\N	9999-12-31	2013-05-08
11/5-1	717.000000	1086.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5596	198	23	9999-12-31	2013-05-08
15/12-18 S	2450.000000	2468.000000	BALDER FM	FORMATION	ROGALAND GP	5607	6	131	9999-12-31	2013-05-08
15/12-18 S	3013.000000	3058.000000	BLODØKS FM	FORMATION	SHETLAND GP	5607	13	143	9999-12-31	2013-05-08
15/12-18 S	3138.000000	3210.000000	CROMER KNOLL GP	GROUP	\N	5607	23	\N	9999-12-31	2013-05-08
15/12-18 S	3210.000000	3351.000000	DRAUPNE FM	FORMATION	VIKING GP	5607	28	188	9999-12-31	2013-05-08
15/12-18 S	2250.000000	2274.000000	GRID FM	FORMATION	HORDALAND GP	5607	53	67	9999-12-31	2013-05-08
15/12-18 S	3351.000000	3420.000000	HEATHER FM	FORMATION	VIKING GP	5607	60	188	9999-12-31	2013-05-08
15/12-18 S	3058.000000	3138.000000	HIDRA FM	FORMATION	SHETLAND GP	5607	65	143	9999-12-31	2013-05-08
15/12-18 S	2900.000000	3013.000000	HOD FM	FORMATION	SHETLAND GP	5607	66	143	9999-12-31	2013-05-08
15/12-18 S	1096.000000	2450.000000	HORDALAND GP	GROUP	\N	5607	67	\N	9999-12-31	2013-05-08
15/12-18 S	3420.000000	3443.000000	HUGIN FM	FORMATION	VESTLAND GP	5607	69	186	9999-12-31	2013-05-08
15/12-18 S	2530.000000	2635.000000	LISTA FM	FORMATION	ROGALAND GP	5607	95	131	9999-12-31	2013-05-08
15/12-18 S	2274.000000	2450.000000	NO FORMAL NAME	FORMATION	\N	5607	111	\N	9999-12-31	2013-05-08
15/12-18 S	134.000000	1096.000000	NORDLAND GP	GROUP	\N	5607	113	\N	9999-12-31	2013-05-08
15/12-18 S	2450.000000	2712.000000	ROGALAND GP	GROUP	\N	5607	131	\N	9999-12-31	2013-05-08
15/12-18 S	3138.000000	3180.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5607	137	23	9999-12-31	2013-05-08
15/12-18 S	2468.000000	2530.000000	SELE FM	FORMATION	ROGALAND GP	5607	142	131	9999-12-31	2013-05-08
15/12-18 S	2712.000000	3138.000000	SHETLAND GP	GROUP	\N	5607	143	\N	9999-12-31	2013-05-08
15/12-18 S	3443.000000	3468.000000	SLEIPNER FM	FORMATION	VESTLAND GP	5607	148	186	9999-12-31	2013-05-08
15/12-18 S	3180.000000	3201.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5607	152	23	9999-12-31	2013-05-08
15/12-18 S	2712.000000	2900.000000	TOR FM	FORMATION	SHETLAND GP	5607	171	143	9999-12-31	2013-05-08
15/12-18 S	2670.000000	2712.000000	TY FM	FORMATION	ROGALAND GP	5607	176	131	9999-12-31	2013-05-08
15/12-18 S	963.000000	1096.000000	UTSIRA FM	FORMATION	NORDLAND GP	5607	183	113	9999-12-31	2013-05-08
15/12-18 S	3420.000000	3468.000000	VESTLAND GP	GROUP	\N	5607	186	\N	9999-12-31	2013-05-08
15/12-18 S	3210.000000	3420.000000	VIKING GP	GROUP	\N	5607	188	\N	9999-12-31	2013-05-08
15/12-18 S	2635.000000	2670.000000	VÅLE FM	FORMATION	ROGALAND GP	5607	190	131	9999-12-31	2013-05-08
15/12-18 S	3468.000000	3520.000000	ZECHSTEIN GP	GROUP	\N	5607	194	\N	9999-12-31	2013-05-08
15/12-18 S	3201.000000	3210.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5607	198	23	9999-12-31	2013-05-08
15/12-18 A	2678.000000	2700.000000	BALDER FM	FORMATION	ROGALAND GP	5608	6	131	9999-12-31	2013-05-08
15/12-18 A	2884.000000	2894.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5608	62	131	9999-12-31	2013-05-08
15/12-18 A	1096.000000	2678.000000	HORDALAND GP	GROUP	\N	5608	67	\N	9999-12-31	2013-05-08
15/12-18 A	2788.000000	2884.000000	LISTA FM	FORMATION	ROGALAND GP	5608	95	131	9999-12-31	2013-05-08
15/12-18 A	2894.000000	2945.000000	LISTA FM	FORMATION	ROGALAND GP	5608	95	131	9999-12-31	2013-05-08
15/12-18 A	134.000000	1096.000000	NORDLAND GP	GROUP	\N	5608	113	\N	9999-12-31	2013-05-08
15/12-18 A	2678.000000	2974.000000	ROGALAND GP	GROUP	\N	5608	131	\N	9999-12-31	2013-05-08
15/12-18 A	2700.000000	2788.000000	SELE FM	FORMATION	ROGALAND GP	5608	142	131	9999-12-31	2013-05-08
15/12-18 A	2974.000000	3036.000000	SHETLAND GP	GROUP	\N	5608	143	\N	9999-12-31	2013-05-08
15/12-18 A	3000.000000	3036.000000	TOR FM	FORMATION	SHETLAND GP	5608	171	143	9999-12-31	2013-05-08
15/12-18 A	2945.000000	2965.000000	TY FM	FORMATION	ROGALAND GP	5608	176	131	9999-12-31	2013-05-08
15/12-18 A	963.000000	1096.000000	UTSIRA FM	FORMATION	NORDLAND GP	5608	183	113	9999-12-31	2013-05-08
15/12-18 A	2965.000000	2974.000000	VÅLE FM	FORMATION	ROGALAND GP	5608	190	131	9999-12-31	2013-05-08
16/1-8	1765.000000	1781.000000	BALDER FM	FORMATION	ROGALAND GP	5612	6	131	9999-12-31	2013-05-08
16/1-8	1897.000000	1913.000000	EKOFISK FM	FORMATION	SHETLAND GP	5612	33	143	9999-12-31	2013-05-08
16/1-8	1556.000000	1713.000000	GRID FM	FORMATION	HORDALAND GP	5612	53	67	9999-12-31	2013-05-08
16/1-8	1913.000000	1925.000000	HOD FM	FORMATION	SHETLAND GP	5612	66	143	9999-12-31	2013-05-08
16/1-8	882.000000	1765.000000	HORDALAND GP	GROUP	\N	5612	67	\N	9999-12-31	2013-05-08
16/1-8	1801.000000	1891.000000	LISTA FM	FORMATION	ROGALAND GP	5612	95	131	9999-12-31	2013-05-08
16/1-8	1157.000000	1556.000000	NO FORMAL NAME	FORMATION	\N	5612	111	\N	9999-12-31	2013-05-08
16/1-8	1713.000000	1765.000000	NO FORMAL NAME	FORMATION	\N	5612	111	\N	9999-12-31	2013-05-08
16/1-8	133.000000	882.000000	NORDLAND GP	GROUP	\N	5612	113	\N	9999-12-31	2013-05-08
16/1-8	1765.000000	1897.000000	ROGALAND GP	GROUP	\N	5612	131	\N	9999-12-31	2013-05-08
16/1-8	1781.000000	1801.000000	SELE FM	FORMATION	ROGALAND GP	5612	142	131	9999-12-31	2013-05-08
16/1-8	1897.000000	1925.000000	SHETLAND GP	GROUP	\N	5612	143	\N	9999-12-31	2013-05-08
16/1-8	963.000000	1157.000000	SKADE FM	FORMATION	HORDALAND GP	5612	145	67	9999-12-31	2013-05-08
16/1-8	745.000000	882.000000	UTSIRA FM	FORMATION	NORDLAND GP	5612	183	113	9999-12-31	2013-05-08
16/1-8	1891.000000	1897.000000	VÅLE FM	FORMATION	ROGALAND GP	5612	190	131	9999-12-31	2013-05-08
16/1-8	1925.000000	1964.000000	NO GROUP DEFINED	GROUP	\N	5612	208	\N	9999-12-31	2013-05-08
16/1-8	1964.000000	2200.000000	NO GROUP DEFINED	GROUP	\N	5612	208	\N	9999-12-31	2013-05-08
1/3-10	3059.000000	3069.000000	BALDER FM	FORMATION	ROGALAND GP	5614	6	131	9999-12-31	2013-05-08
1/3-10	3153.000000	3205.000000	FORTIES FM	FORMATION	ROGALAND GP	5614	44	131	9999-12-31	2013-05-08
1/3-10	1685.000000	3059.000000	HORDALAND GP	GROUP	\N	5614	67	\N	9999-12-31	2013-05-08
1/3-10	3228.000000	3288.000000	LISTA FM	FORMATION	ROGALAND GP	5614	95	131	9999-12-31	2013-05-08
1/3-10	117.000000	1685.000000	NORDLAND GP	GROUP	\N	5614	113	\N	9999-12-31	2013-05-08
1/3-10	3059.000000	3288.000000	ROGALAND GP	GROUP	\N	5614	131	\N	9999-12-31	2013-05-08
1/3-10	3069.000000	3153.000000	SELE FM	FORMATION	ROGALAND GP	5614	142	131	9999-12-31	2013-05-08
1/3-10	3205.000000	3228.000000	SELE FM	FORMATION	ROGALAND GP	5614	142	131	9999-12-31	2013-05-08
16/2-4	1620.000000	1641.000000	BALDER FM	FORMATION	ROGALAND GP	5625	6	131	9999-12-31	2013-05-08
16/2-4	1879.000000	2000.000000	BASEMENT	GROUP	\N	5625	10	\N	9999-12-31	2013-05-08
16/2-4	1859.000000	1879.000000	CROMER KNOLL GP	GROUP	\N	5625	23	\N	9999-12-31	2013-05-08
16/2-4	1708.000000	1710.000000	EKOFISK FM	FORMATION	SHETLAND GP	5625	33	143	9999-12-31	2013-05-08
16/2-4	1243.000000	1325.000000	GRID FM	FORMATION	HORDALAND GP	5625	53	67	9999-12-31	2013-05-08
16/2-4	1802.000000	1859.000000	HOD FM	FORMATION	SHETLAND GP	5625	66	143	9999-12-31	2013-05-08
16/2-4	1057.000000	1620.000000	HORDALAND GP	GROUP	\N	5625	67	\N	9999-12-31	2013-05-08
16/2-4	1655.000000	1707.000000	LISTA FM	FORMATION	ROGALAND GP	5625	95	131	9999-12-31	2013-05-08
16/2-4	1091.000000	1243.000000	NO FORMAL NAME	FORMATION	\N	5625	111	\N	9999-12-31	2013-05-08
16/2-4	1325.000000	1620.000000	NO FORMAL NAME	FORMATION	\N	5625	111	\N	9999-12-31	2013-05-08
16/2-4	161.000000	1057.000000	NORDLAND GP	GROUP	\N	5625	113	\N	9999-12-31	2013-05-08
16/2-4	1620.000000	1708.000000	ROGALAND GP	GROUP	\N	5625	131	\N	9999-12-31	2013-05-08
16/2-4	1859.000000	1877.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5625	137	23	9999-12-31	2013-05-08
16/2-4	1641.000000	1655.000000	SELE FM	FORMATION	ROGALAND GP	5625	142	131	9999-12-31	2013-05-08
16/2-4	1708.000000	1859.000000	SHETLAND GP	GROUP	\N	5625	143	\N	9999-12-31	2013-05-08
16/2-4	1079.000000	1091.000000	SKADE FM	FORMATION	HORDALAND GP	5625	145	67	9999-12-31	2013-05-08
16/2-4	1877.000000	1879.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5625	152	23	9999-12-31	2013-05-08
16/2-4	1710.000000	1802.000000	TOR FM	FORMATION	SHETLAND GP	5625	171	143	9999-12-31	2013-05-08
16/2-4	819.000000	1057.000000	UTSIRA FM	FORMATION	NORDLAND GP	5625	183	113	9999-12-31	2013-05-08
16/2-4	1707.000000	1708.000000	VÅLE FM	FORMATION	ROGALAND GP	5625	190	131	9999-12-31	2013-05-08
6609/6-1	1239.000000	1397.000000	BRYGGE FM	FORMATION	HORDALAND GP	5626	18	67	9999-12-31	2013-05-08
6609/6-1	2463.000000	2644.000000	CROMER KNOLL GP	GROUP	\N	5626	23	\N	9999-12-31	2013-05-08
6609/6-1	1239.000000	1397.000000	HORDALAND GP	GROUP	\N	5626	67	\N	9999-12-31	2013-05-08
6609/6-1	1171.000000	1239.000000	KAI FM	FORMATION	NORDLAND GP	5626	77	113	9999-12-31	2013-05-08
6609/6-1	2138.000000	2385.000000	KVITNOS FM	FORMATION	SHETLAND GP	5626	91	143	9999-12-31	2013-05-08
6609/6-1	2403.000000	2463.000000	KVITNOS FM	FORMATION	SHETLAND GP	5626	91	143	9999-12-31	2013-05-08
6609/6-1	2492.000000	2644.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5626	94	23	9999-12-31	2013-05-08
6609/6-1	2463.000000	2492.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5626	99	23	9999-12-31	2013-05-08
6609/6-1	353.000000	1171.000000	NAUST FM	FORMATION	NORDLAND GP	5626	109	113	9999-12-31	2013-05-08
6609/6-1	2385.000000	2403.000000	NO FORMAL NAME	FORMATION	\N	5626	111	\N	9999-12-31	2013-05-08
6609/6-1	1935.000000	2138.000000	NISE FM	FORMATION	SHETLAND GP	5626	112	143	9999-12-31	2013-05-08
6609/6-1	353.000000	1239.000000	NORDLAND GP	GROUP	\N	5626	113	\N	9999-12-31	2013-05-08
6609/6-1	2644.000000	2710.000000	RED BEDS (INFORMAL)	GROUP	\N	5626	129	\N	9999-12-31	2013-05-08
6609/6-1	1397.000000	1750.000000	ROGALAND GP	GROUP	\N	5626	131	\N	9999-12-31	2013-05-08
6609/6-1	1750.000000	2463.000000	SHETLAND GP	GROUP	\N	5626	143	\N	9999-12-31	2013-05-08
6609/6-1	1750.000000	1935.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5626	156	143	9999-12-31	2013-05-08
6609/6-1	1608.000000	1750.000000	TANG FM	FORMATION	ROGALAND GP	5626	161	131	9999-12-31	2013-05-08
6609/6-1	1397.000000	1608.000000	TARE FM	FORMATION	ROGALAND GP	5626	163	131	9999-12-31	2013-05-08
6407/6-6	1245.000000	1747.000000	BRYGGE FM	FORMATION	HORDALAND GP	5636	18	67	9999-12-31	2013-05-08
6407/6-6	2270.000000	2508.000000	BÅT GP	GROUP	\N	5636	22	\N	9999-12-31	2013-05-08
6407/6-6	2072.000000	2101.000000	CROMER KNOLL GP	GROUP	\N	5636	23	\N	9999-12-31	2013-05-08
6407/6-6	2110.000000	2270.000000	FANGST GP	GROUP	\N	5636	38	\N	9999-12-31	2013-05-08
6407/6-6	2110.000000	2163.000000	GARN FM	FORMATION	FANGST GP	5636	48	38	9999-12-31	2013-05-08
6407/6-6	1245.000000	1747.000000	HORDALAND GP	GROUP	\N	5636	67	\N	9999-12-31	2013-05-08
6407/6-6	2200.000000	2270.000000	ILE FM	FORMATION	FANGST GP	5636	70	38	9999-12-31	2013-05-08
6407/6-6	1094.000000	1245.000000	KAI FM	FORMATION	NORDLAND GP	5636	77	113	9999-12-31	2013-05-08
6407/6-6	2072.000000	2101.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5636	94	23	9999-12-31	2013-05-08
6407/6-6	248.000000	1094.000000	NAUST FM	FORMATION	NORDLAND GP	5636	109	113	9999-12-31	2013-05-08
6407/6-6	248.000000	1245.000000	NORDLAND GP	GROUP	\N	5636	113	\N	9999-12-31	2013-05-08
6407/6-6	2163.000000	2200.000000	NOT FM	FORMATION	FANGST GP	5636	120	38	9999-12-31	2013-05-08
6407/6-6	1747.000000	1903.000000	ROGALAND GP	GROUP	\N	5636	131	\N	9999-12-31	2013-05-08
6407/6-6	2270.000000	2294.000000	ROR FM	FORMATION	BÅT GP	5636	135	22	9999-12-31	2013-05-08
6407/6-6	2355.000000	2365.000000	ROR FM	FORMATION	BÅT GP	5636	135	22	9999-12-31	2013-05-08
6407/6-6	2373.000000	2422.000000	ROR FM	FORMATION	BÅT GP	5636	135	22	9999-12-31	2013-05-08
6407/6-6	1903.000000	2072.000000	SHETLAND GP	GROUP	\N	5636	143	\N	9999-12-31	2013-05-08
6407/6-6	2101.000000	2110.000000	SPEKK FM	FORMATION	VIKING GP	5636	155	188	9999-12-31	2013-05-08
6407/6-6	1825.000000	1903.000000	TANG FM	FORMATION	ROGALAND GP	5636	161	131	9999-12-31	2013-05-08
6407/6-6	1747.000000	1825.000000	TARE FM	FORMATION	ROGALAND GP	5636	163	131	9999-12-31	2013-05-08
6407/6-6	2422.000000	2508.000000	TILJE FM	FORMATION	BÅT GP	5636	169	22	9999-12-31	2013-05-08
6407/6-6	2294.000000	2355.000000	TOFTE FM	FORMATION	BÅT GP	5636	170	22	9999-12-31	2013-05-08
6407/6-6	2365.000000	2373.000000	TOFTE FM	FORMATION	BÅT GP	5636	170	22	9999-12-31	2013-05-08
6407/6-6	2101.000000	2110.000000	VIKING GP	GROUP	\N	5636	188	\N	9999-12-31	2013-05-08
24/12-5 S	2130.000000	2202.000000	BALDER FM	FORMATION	ROGALAND GP	5638	6	131	9999-12-31	2013-05-08
24/12-5 S	1316.000000	1540.000000	GRID FM	FORMATION	HORDALAND GP	5638	53	67	9999-12-31	2013-05-08
24/12-5 S	2277.000000	2325.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5638	62	131	9999-12-31	2013-05-08
24/12-5 S	623.000000	2130.000000	HORDALAND GP	GROUP	\N	5638	67	\N	9999-12-31	2013-05-08
24/12-5 S	2260.000000	2277.000000	LISTA FM	FORMATION	ROGALAND GP	5638	95	131	9999-12-31	2013-05-08
24/12-5 S	945.000000	1316.000000	NO FORMAL NAME	FORMATION	\N	5638	111	\N	9999-12-31	2013-05-08
24/12-5 S	1540.000000	2130.000000	NO FORMAL NAME	FORMATION	\N	5638	111	\N	9999-12-31	2013-05-08
24/12-5 S	141.000000	623.000000	NORDLAND GP	GROUP	\N	5638	113	\N	9999-12-31	2013-05-08
24/12-5 S	2130.000000	2325.000000	ROGALAND GP	GROUP	\N	5638	131	\N	9999-12-31	2013-05-08
24/12-5 S	2202.000000	2260.000000	SELE FM	FORMATION	ROGALAND GP	5638	142	131	9999-12-31	2013-05-08
24/12-5 S	657.000000	945.000000	SKADE FM	FORMATION	HORDALAND GP	5638	145	67	9999-12-31	2013-05-08
24/12-5 S	408.000000	623.000000	UTSIRA FM	FORMATION	NORDLAND GP	5638	183	113	9999-12-31	2013-05-08
25/11-25 S	1999.000000	2045.000000	BALDER FM	FORMATION	ROGALAND GP	5642	6	131	9999-12-31	2013-05-08
25/11-25 S	2087.000000	2109.000000	BALDER FM	FORMATION	ROGALAND GP	5642	6	131	9999-12-31	2013-05-08
25/11-25 S	2045.000000	2087.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	5642	7	131	9999-12-31	2013-05-08
25/11-25 S	1648.000000	1656.000000	GRID FM	FORMATION	HORDALAND GP	5642	53	67	9999-12-31	2013-05-08
25/11-25 S	814.000000	1999.000000	HORDALAND GP	GROUP	\N	5642	67	\N	9999-12-31	2013-05-08
25/11-25 S	2118.000000	2142.000000	LISTA FM	FORMATION	ROGALAND GP	5642	95	131	9999-12-31	2013-05-08
25/11-25 S	746.000000	814.000000	NO FORMAL NAME	FORMATION	\N	5642	111	\N	9999-12-31	2013-05-08
25/11-25 S	954.000000	1076.000000	NO FORMAL NAME	FORMATION	\N	5642	111	\N	9999-12-31	2013-05-08
25/11-25 S	1076.000000	1087.000000	NO FORMAL NAME	FORMATION	\N	5642	111	\N	9999-12-31	2013-05-08
25/11-25 S	1087.000000	1235.000000	NO FORMAL NAME	FORMATION	\N	5642	111	\N	9999-12-31	2013-05-08
25/11-25 S	1235.000000	1269.000000	NO FORMAL NAME	FORMATION	\N	5642	111	\N	9999-12-31	2013-05-08
25/11-25 S	1269.000000	1648.000000	NO FORMAL NAME	FORMATION	\N	5642	111	\N	9999-12-31	2013-05-08
25/11-25 S	1656.000000	1999.000000	NO FORMAL NAME	FORMATION	\N	5642	111	\N	9999-12-31	2013-05-08
25/11-25 S	151.000000	814.000000	NORDLAND GP	GROUP	\N	5642	113	\N	9999-12-31	2013-05-08
25/11-25 S	1999.000000	2142.000000	ROGALAND GP	GROUP	\N	5642	131	\N	9999-12-31	2013-05-08
25/11-25 S	2109.000000	2118.000000	SELE FM	FORMATION	ROGALAND GP	5642	142	131	9999-12-31	2013-05-08
25/11-25 S	814.000000	954.000000	SKADE FM	FORMATION	HORDALAND GP	5642	145	67	9999-12-31	2013-05-08
25/11-25 S	666.000000	746.000000	UTSIRA FM	FORMATION	NORDLAND GP	5642	183	113	9999-12-31	2013-05-08
25/11-25 A	1957.000000	2063.000000	BALDER FM	FORMATION	ROGALAND GP	5643	6	131	9999-12-31	2013-05-08
25/11-25 A	2310.000000	2362.000000	CROMER KNOLL GP	GROUP	\N	5643	23	\N	9999-12-31	2013-05-08
25/11-25 A	2362.000000	2372.000000	DRAUPNE FM	FORMATION	VIKING GP	5643	28	188	9999-12-31	2013-05-08
25/11-25 A	1637.000000	1665.000000	GRID FM	FORMATION	HORDALAND GP	5643	53	67	9999-12-31	2013-05-08
25/11-25 A	2190.000000	2230.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5643	62	131	9999-12-31	2013-05-08
25/11-25 A	2074.000000	2167.000000	HERMOD FM	FORMATION	ROGALAND GP	5643	64	131	9999-12-31	2013-05-08
25/11-25 A	2300.000000	2310.000000	HOD FM	FORMATION	SHETLAND GP	5643	66	143	9999-12-31	2013-05-08
25/11-25 A	814.000000	1957.000000	HORDALAND GP	GROUP	\N	5643	67	\N	9999-12-31	2013-05-08
25/11-25 A	2182.000000	2190.000000	LISTA FM	FORMATION	ROGALAND GP	5643	95	131	9999-12-31	2013-05-08
25/11-25 A	2230.000000	2261.000000	LISTA FM	FORMATION	ROGALAND GP	5643	95	131	9999-12-31	2013-05-08
25/11-25 A	746.000000	814.000000	NO FORMAL NAME	FORMATION	\N	5643	111	\N	9999-12-31	2013-05-08
25/11-25 A	954.000000	1097.000000	NO FORMAL NAME	FORMATION	\N	5643	111	\N	9999-12-31	2013-05-08
25/11-25 A	1097.000000	1103.000000	NO FORMAL NAME	FORMATION	\N	5643	111	\N	9999-12-31	2013-05-08
25/11-25 A	1103.000000	1246.000000	NO FORMAL NAME	FORMATION	\N	5643	111	\N	9999-12-31	2013-05-08
25/11-25 A	1246.000000	1334.000000	NO FORMAL NAME	FORMATION	\N	5643	111	\N	9999-12-31	2013-05-08
25/11-25 A	1334.000000	1637.000000	NO FORMAL NAME	FORMATION	\N	5643	111	\N	9999-12-31	2013-05-08
25/11-25 A	1665.000000	1957.000000	NO FORMAL NAME	FORMATION	\N	5643	111	\N	9999-12-31	2013-05-08
25/11-25 A	151.000000	814.000000	NORDLAND GP	GROUP	\N	5643	113	\N	9999-12-31	2013-05-08
25/11-25 A	1957.000000	2269.000000	ROGALAND GP	GROUP	\N	5643	131	\N	9999-12-31	2013-05-08
25/11-25 A	2063.000000	2074.000000	SELE FM	FORMATION	ROGALAND GP	5643	142	131	9999-12-31	2013-05-08
25/11-25 A	2167.000000	2182.000000	SELE FM	FORMATION	ROGALAND GP	5643	142	131	9999-12-31	2013-05-08
25/11-25 A	2269.000000	2310.000000	SHETLAND GP	GROUP	\N	5643	143	\N	9999-12-31	2013-05-08
25/11-25 A	814.000000	954.000000	SKADE FM	FORMATION	HORDALAND GP	5643	145	67	9999-12-31	2013-05-08
25/11-25 A	2372.000000	2448.000000	STATFJORD FM	FORMATION	\N	5643	157	\N	9999-12-31	2013-05-08
25/11-25 A	2269.000000	2300.000000	TOR FM	FORMATION	SHETLAND GP	5643	171	143	9999-12-31	2013-05-08
25/11-25 A	666.000000	746.000000	UTSIRA FM	FORMATION	NORDLAND GP	5643	183	113	9999-12-31	2013-05-08
25/11-25 A	2362.000000	2372.000000	VIKING GP	GROUP	\N	5643	188	\N	9999-12-31	2013-05-08
25/11-25 A	2261.000000	2269.000000	VÅLE FM	FORMATION	ROGALAND GP	5643	190	131	9999-12-31	2013-05-08
25/11-25 A	2372.000000	2448.000000	NO GROUP DEFINED	GROUP	\N	5643	208	\N	9999-12-31	2013-05-08
7/4-2	2504.000000	2528.000000	BALDER FM	FORMATION	ROGALAND GP	5683	6	131	9999-12-31	2013-05-08
7/4-2	3123.000000	3288.000000	CROMER KNOLL GP	GROUP	\N	5683	23	\N	9999-12-31	2013-05-08
7/4-2	2757.000000	2886.000000	EKOFISK FM	FORMATION	SHETLAND GP	5683	33	143	9999-12-31	2013-05-08
7/4-2	3336.000000	3382.000000	FARSUND FM	FORMATION	TYNE GP	5683	39	177	9999-12-31	2013-05-08
7/4-2	3013.000000	3123.000000	HOD FM	FORMATION	SHETLAND GP	5683	66	143	9999-12-31	2013-05-08
7/4-2	1190.000000	2504.000000	HORDALAND GP	GROUP	\N	5683	67	\N	9999-12-31	2013-05-08
7/4-2	2686.000000	2745.000000	LISTA FM	FORMATION	ROGALAND GP	5683	95	131	9999-12-31	2013-05-08
7/4-2	3288.000000	3336.000000	MANDAL FM	FORMATION	TYNE GP	5683	101	177	9999-12-31	2013-05-08
7/4-2	125.000000	1190.000000	NORDLAND GP	GROUP	\N	5683	113	\N	9999-12-31	2013-05-08
7/4-2	2504.000000	2757.000000	ROGALAND GP	GROUP	\N	5683	131	\N	9999-12-31	2013-05-08
7/4-2	3123.000000	3155.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5683	137	23	9999-12-31	2013-05-08
7/4-2	2528.000000	2686.000000	SELE FM	FORMATION	ROGALAND GP	5683	142	131	9999-12-31	2013-05-08
7/4-2	2757.000000	3123.000000	SHETLAND GP	GROUP	\N	5683	143	\N	9999-12-31	2013-05-08
7/4-2	3400.000000	3421.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5683	146	61	9999-12-31	2013-05-08
7/4-2	3421.000000	3457.000000	SMITH BANK FM	FORMATION	HEGRE GP	5683	149	61	9999-12-31	2013-05-08
7/4-2	3155.000000	3163.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5683	152	23	9999-12-31	2013-05-08
7/4-2	2886.000000	3013.000000	TOR FM	FORMATION	SHETLAND GP	5683	171	143	9999-12-31	2013-05-08
7/4-2	3163.000000	3204.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	5683	175	23	9999-12-31	2013-05-08
7/4-2	3288.000000	3382.000000	TYNE GP	GROUP	\N	5683	177	\N	9999-12-31	2013-05-08
7/4-2	3382.000000	3400.000000	ULA FM	FORMATION	VESTLAND GP	5683	179	186	9999-12-31	2013-05-08
7/4-2	3382.000000	3400.000000	VESTLAND GP	GROUP	\N	5683	186	\N	9999-12-31	2013-05-08
7/4-2	2745.000000	2757.000000	VÅLE FM	FORMATION	ROGALAND GP	5683	190	131	9999-12-31	2013-05-08
7/4-2	3457.000000	3459.000000	ZECHSTEIN GP	GROUP	\N	5683	194	\N	9999-12-31	2013-05-08
7/4-2	3204.000000	3288.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5683	198	23	9999-12-31	2013-05-08
7/4-2	3400.000000	3457.000000	NO GROUP DEFINED	GROUP	\N	5683	208	\N	9999-12-31	2013-05-08
34/12-1	1815.000000	1876.000000	BALDER FM	FORMATION	ROGALAND GP	5684	6	131	9999-12-31	2013-05-08
34/12-1	3705.000000	3748.000000	BLODØKS FM	FORMATION	SHETLAND GP	5684	13	143	9999-12-31	2013-05-08
34/12-1	4321.000000	4499.000000	BRENT GP	GROUP	\N	5684	16	\N	9999-12-31	2013-05-08
34/12-1	3922.000000	4172.000000	CROMER KNOLL GP	GROUP	\N	5684	23	\N	9999-12-31	2013-05-08
34/12-1	4607.000000	4713.000000	COOK FM	FORMATION	DUNLIN GP	5684	24	29	9999-12-31	2013-05-08
34/12-1	4499.000000	4607.000000	DRAKE FM	FORMATION	DUNLIN GP	5684	27	29	9999-12-31	2013-05-08
34/12-1	4172.000000	4218.000000	DRAUPNE FM	FORMATION	VIKING GP	5684	28	188	9999-12-31	2013-05-08
34/12-1	4499.000000	4713.000000	DUNLIN GP	GROUP	\N	5684	29	\N	9999-12-31	2013-05-08
34/12-1	4447.000000	4457.000000	ETIVE FM	FORMATION	BRENT GP	5684	35	16	9999-12-31	2013-05-08
34/12-1	4218.000000	4321.000000	HEATHER FM	FORMATION	VIKING GP	5684	60	188	9999-12-31	2013-05-08
34/12-1	973.000000	1815.000000	HORDALAND GP	GROUP	\N	5684	67	\N	9999-12-31	2013-05-08
34/12-1	2007.000000	2280.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5684	74	143	9999-12-31	2013-05-08
34/12-1	2280.000000	3497.000000	KYRRE FM	FORMATION	SHETLAND GP	5684	92	143	9999-12-31	2013-05-08
34/12-1	1885.000000	1995.000000	LISTA FM	FORMATION	ROGALAND GP	5684	95	131	9999-12-31	2013-05-08
34/12-1	4331.000000	4447.000000	NESS FM	FORMATION	BRENT GP	5684	110	16	9999-12-31	2013-05-08
34/12-1	396.000000	973.000000	NORDLAND GP	GROUP	\N	5684	113	\N	9999-12-31	2013-05-08
34/12-1	4457.000000	4499.000000	RANNOCH FM	FORMATION	BRENT GP	5684	126	16	9999-12-31	2013-05-08
34/12-1	1815.000000	2007.000000	ROGALAND GP	GROUP	\N	5684	131	\N	9999-12-31	2013-05-08
34/12-1	3922.000000	4070.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5684	137	23	9999-12-31	2013-05-08
34/12-1	1876.000000	1885.000000	SELE FM	FORMATION	ROGALAND GP	5684	142	131	9999-12-31	2013-05-08
34/12-1	2007.000000	3922.000000	SHETLAND GP	GROUP	\N	5684	143	\N	9999-12-31	2013-05-08
34/12-1	4070.000000	4100.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5684	152	23	9999-12-31	2013-05-08
34/12-1	3748.000000	3922.000000	SVARTE FM	FORMATION	SHETLAND GP	5684	160	143	9999-12-31	2013-05-08
34/12-1	4321.000000	4331.000000	TARBERT FM	FORMATION	BRENT GP	5684	162	16	9999-12-31	2013-05-08
34/12-1	3497.000000	3705.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	5684	173	143	9999-12-31	2013-05-08
34/12-1	943.000000	973.000000	UTSIRA FM	FORMATION	NORDLAND GP	5684	183	113	9999-12-31	2013-05-08
34/12-1	4172.000000	4321.000000	VIKING GP	GROUP	\N	5684	188	\N	9999-12-31	2013-05-08
34/12-1	1995.000000	2007.000000	VÅLE FM	FORMATION	ROGALAND GP	5684	190	131	9999-12-31	2013-05-08
34/12-1	4100.000000	4172.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5684	198	23	9999-12-31	2013-05-08
6507/2-4	1800.000000	1852.000000	BRYGGE FM	FORMATION	HORDALAND GP	5685	18	67	9999-12-31	2013-05-08
6507/2-4	2832.000000	3600.000000	CROMER KNOLL GP	GROUP	\N	5685	23	\N	9999-12-31	2013-05-08
6507/2-4	1800.000000	1852.000000	HORDALAND GP	GROUP	\N	5685	67	\N	9999-12-31	2013-05-08
6507/2-4	1375.000000	1800.000000	KAI FM	FORMATION	NORDLAND GP	5685	77	113	9999-12-31	2013-05-08
6507/2-4	2456.000000	2832.000000	KVITNOS FM	FORMATION	SHETLAND GP	5685	91	143	9999-12-31	2013-05-08
6507/2-4	2853.000000	3332.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5685	94	23	9999-12-31	2013-05-08
6507/2-4	3552.000000	3600.000000	LYR FM	FORMATION	CROMER KNOLL GP	5685	98	23	9999-12-31	2013-05-08
6507/2-4	2832.000000	2853.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5685	99	23	9999-12-31	2013-05-08
6507/2-4	3332.000000	3378.000000	NO FORMAL NAME	FORMATION	\N	5685	111	\N	9999-12-31	2013-05-08
6507/2-4	3378.000000	3552.000000	NO FORMAL NAME	FORMATION	\N	5685	111	\N	9999-12-31	2013-05-08
6507/2-4	383.000000	1800.000000	NORDLAND GP	GROUP	\N	5685	113	\N	9999-12-31	2013-05-08
6507/2-4	1852.000000	1964.000000	ROGALAND GP	GROUP	\N	5685	131	\N	9999-12-31	2013-05-08
6507/2-4	1964.000000	2832.000000	SHETLAND GP	GROUP	\N	5685	143	\N	9999-12-31	2013-05-08
6507/2-4	1964.000000	2456.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5685	156	143	9999-12-31	2013-05-08
6507/2-4	1852.000000	1964.000000	TARE FM	FORMATION	ROGALAND GP	5685	163	131	9999-12-31	2013-05-08
15/12-19	2419.000000	2433.000000	BALDER FM	FORMATION	ROGALAND GP	5705	6	131	9999-12-31	2013-05-08
15/12-19	2896.000000	2969.000000	CROMER KNOLL GP	GROUP	\N	5705	23	\N	9999-12-31	2013-05-08
15/12-19	2969.000000	2973.000000	DRAUPNE FM	FORMATION	VIKING GP	5705	28	188	9999-12-31	2013-05-08
15/12-19	2653.000000	2663.000000	EKOFISK FM	FORMATION	SHETLAND GP	5705	33	143	9999-12-31	2013-05-08
15/12-19	2737.000000	2896.000000	HOD FM	FORMATION	SHETLAND GP	5705	66	143	9999-12-31	2013-05-08
15/12-19	1303.000000	2419.000000	HORDALAND GP	GROUP	\N	5705	67	\N	9999-12-31	2013-05-08
15/12-19	2507.000000	2622.000000	LISTA FM	FORMATION	ROGALAND GP	5705	95	131	9999-12-31	2013-05-08
15/12-19	128.000000	1303.000000	NORDLAND GP	GROUP	\N	5705	113	\N	9999-12-31	2013-05-08
15/12-19	2419.000000	2653.000000	ROGALAND GP	GROUP	\N	5705	131	\N	9999-12-31	2013-05-08
15/12-19	2896.000000	2911.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5705	137	23	9999-12-31	2013-05-08
15/12-19	2433.000000	2507.000000	SELE FM	FORMATION	ROGALAND GP	5705	142	131	9999-12-31	2013-05-08
15/12-19	2653.000000	2896.000000	SHETLAND GP	GROUP	\N	5705	143	\N	9999-12-31	2013-05-08
15/12-19	2973.000000	3212.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5705	146	61	9999-12-31	2013-05-08
15/12-19	2911.000000	2927.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5705	152	23	9999-12-31	2013-05-08
15/12-19	2663.000000	2737.000000	TOR FM	FORMATION	SHETLAND GP	5705	171	143	9999-12-31	2013-05-08
15/12-19	2969.000000	2973.000000	VIKING GP	GROUP	\N	5705	188	\N	9999-12-31	2013-05-08
15/12-19	2622.000000	2653.000000	VÅLE FM	FORMATION	ROGALAND GP	5705	190	131	9999-12-31	2013-05-08
15/12-19	2927.000000	2969.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5705	198	23	9999-12-31	2013-05-08
15/12-19	2973.000000	3212.000000	NO GROUP DEFINED	GROUP	\N	5705	208	\N	9999-12-31	2013-05-08
7222/6-1 S	2674.000000	2895.000000	HAVERT FM	FORMATION	SASSENDALEN GP	5755	58	140	9999-12-31	2013-05-08
7222/6-1 S	484.000000	1890.000000	KAPP TOSCANA GP	GROUP	\N	5755	79	\N	9999-12-31	2013-05-08
7222/6-1 S	2464.000000	2674.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	5755	80	140	9999-12-31	2013-05-08
7222/6-1 S	1890.000000	2464.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5755	83	140	9999-12-31	2013-05-08
7222/6-1 S	387.000000	484.000000	NORDLAND GP	GROUP	\N	5755	113	\N	9999-12-31	2013-05-08
7222/6-1 S	1890.000000	2895.000000	SASSENDALEN GP	GROUP	\N	5755	140	\N	9999-12-31	2013-05-08
7222/6-1 S	484.000000	1890.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5755	150	79	9999-12-31	2013-05-08
31/1-1	2767.000000	2787.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	5765	4	29	9999-12-31	2013-05-08
31/1-1	1670.000000	1736.000000	BALDER FM	FORMATION	ROGALAND GP	5765	6	131	9999-12-31	2013-05-08
31/1-1	2415.000000	2634.000000	BRENT GP	GROUP	\N	5765	16	\N	9999-12-31	2013-05-08
31/1-1	2040.000000	2051.000000	CROMER KNOLL GP	GROUP	\N	5765	23	\N	9999-12-31	2013-05-08
31/1-1	2691.000000	2767.000000	COOK FM	FORMATION	DUNLIN GP	5765	24	29	9999-12-31	2013-05-08
31/1-1	2634.000000	2691.000000	DRAKE FM	FORMATION	DUNLIN GP	5765	27	29	9999-12-31	2013-05-08
31/1-1	2051.000000	2055.000000	DRAUPNE FM	FORMATION	VIKING GP	5765	28	188	9999-12-31	2013-05-08
31/1-1	2634.000000	2882.000000	DUNLIN GP	GROUP	\N	5765	29	\N	9999-12-31	2013-05-08
31/1-1	2514.000000	2564.000000	ETIVE FM	FORMATION	BRENT GP	5765	35	16	9999-12-31	2013-05-08
31/1-1	2068.000000	2415.000000	HEATHER FM	FORMATION	VIKING GP	5765	60	188	9999-12-31	2013-05-08
31/1-1	840.000000	1670.000000	HORDALAND GP	GROUP	\N	5765	67	\N	9999-12-31	2013-05-08
31/1-1	2787.000000	2882.000000	JOHANSEN FM	FORMATION	DUNLIN GP	5765	73	29	9999-12-31	2013-05-08
31/1-1	1993.000000	2040.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5765	74	143	9999-12-31	2013-05-08
31/1-1	1803.000000	1993.000000	LISTA FM	FORMATION	ROGALAND GP	5765	95	131	9999-12-31	2013-05-08
31/1-1	2450.000000	2514.000000	NESS FM	FORMATION	BRENT GP	5765	110	16	9999-12-31	2013-05-08
31/1-1	366.000000	840.000000	NORDLAND GP	GROUP	\N	5765	113	\N	9999-12-31	2013-05-08
31/1-1	2564.000000	2634.000000	RANNOCH FM	FORMATION	BRENT GP	5765	126	16	9999-12-31	2013-05-08
31/1-1	1670.000000	1993.000000	ROGALAND GP	GROUP	\N	5765	131	\N	9999-12-31	2013-05-08
31/1-1	1736.000000	1803.000000	SELE FM	FORMATION	ROGALAND GP	5765	142	131	9999-12-31	2013-05-08
31/1-1	1993.000000	2040.000000	SHETLAND GP	GROUP	\N	5765	143	\N	9999-12-31	2013-05-08
31/1-1	2055.000000	2068.000000	SOGNEFJORD FM	FORMATION	VIKING GP	5765	151	188	9999-12-31	2013-05-08
31/1-1	2882.000000	2920.000000	STATFJORD FM	FORMATION	\N	5765	157	\N	9999-12-31	2013-05-08
31/1-1	2415.000000	2450.000000	TARBERT FM	FORMATION	BRENT GP	5765	162	16	9999-12-31	2013-05-08
31/1-1	822.000000	840.000000	UTSIRA FM	FORMATION	NORDLAND GP	5765	183	113	9999-12-31	2013-05-08
31/1-1	2051.000000	2415.000000	VIKING GP	GROUP	\N	5765	188	\N	9999-12-31	2013-05-08
31/1-1	2882.000000	2920.000000	NO GROUP DEFINED	GROUP	\N	5765	208	\N	9999-12-31	2013-05-08
6507/11-9	1640.000000	2005.000000	BRYGGE FM	FORMATION	HORDALAND GP	5766	18	67	9999-12-31	2013-05-08
6507/11-9	2730.000000	3069.000000	BÅT GP	GROUP	\N	5766	22	\N	9999-12-31	2013-05-08
6507/11-9	2529.000000	2535.000000	CROMER KNOLL GP	GROUP	\N	5766	23	\N	9999-12-31	2013-05-08
6507/11-9	2597.000000	2730.000000	FANGST GP	GROUP	\N	5766	38	\N	9999-12-31	2013-05-08
6507/11-9	2597.000000	2637.000000	GARN FM	FORMATION	FANGST GP	5766	48	38	9999-12-31	2013-05-08
6507/11-9	1640.000000	2005.000000	HORDALAND GP	GROUP	\N	5766	67	\N	9999-12-31	2013-05-08
6507/11-9	2653.000000	2730.000000	ILE FM	FORMATION	FANGST GP	5766	70	38	9999-12-31	2013-05-08
6507/11-9	1392.000000	1640.000000	KAI FM	FORMATION	NORDLAND GP	5766	77	113	9999-12-31	2013-05-08
6507/11-9	2389.000000	2529.000000	KVITNOS FM	FORMATION	SHETLAND GP	5766	91	143	9999-12-31	2013-05-08
6507/11-9	2529.000000	2531.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5766	94	23	9999-12-31	2013-05-08
6507/11-9	2531.000000	2535.000000	LYR FM	FORMATION	CROMER KNOLL GP	5766	98	23	9999-12-31	2013-05-08
6507/11-9	2543.000000	2597.000000	MELKE FM	FORMATION	VIKING GP	5766	105	188	9999-12-31	2013-05-08
6507/11-9	299.000000	1392.000000	NAUST FM	FORMATION	NORDLAND GP	5766	109	113	9999-12-31	2013-05-08
6507/11-9	2174.000000	2389.000000	NISE FM	FORMATION	SHETLAND GP	5766	112	143	9999-12-31	2013-05-08
6507/11-9	299.000000	1640.000000	NORDLAND GP	GROUP	\N	5766	113	\N	9999-12-31	2013-05-08
6507/11-9	2637.000000	2653.000000	NOT FM	FORMATION	FANGST GP	5766	120	38	9999-12-31	2013-05-08
6507/11-9	2005.000000	2121.000000	ROGALAND GP	GROUP	\N	5766	131	\N	9999-12-31	2013-05-08
6507/11-9	2730.000000	2812.000000	ROR FM	FORMATION	BÅT GP	5766	135	22	9999-12-31	2013-05-08
6507/11-9	2121.000000	2529.000000	SHETLAND GP	GROUP	\N	5766	143	\N	9999-12-31	2013-05-08
6507/11-9	2535.000000	2543.000000	SPEKK FM	FORMATION	VIKING GP	5766	155	188	9999-12-31	2013-05-08
6507/11-9	2121.000000	2174.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5766	156	143	9999-12-31	2013-05-08
6507/11-9	2068.000000	2121.000000	TANG FM	FORMATION	ROGALAND GP	5766	161	131	9999-12-31	2013-05-08
6507/11-9	2005.000000	2068.000000	TARE FM	FORMATION	ROGALAND GP	5766	163	131	9999-12-31	2013-05-08
6507/11-9	2812.000000	2910.000000	TILJE FM	FORMATION	BÅT GP	5766	169	22	9999-12-31	2013-05-08
6507/11-9	2535.000000	2597.000000	VIKING GP	GROUP	\N	5766	188	\N	9999-12-31	2013-05-08
6507/11-9	2910.000000	3069.000000	ÅRE FM	FORMATION	BÅT GP	5766	197	22	9999-12-31	2013-05-08
16/1-9	1979.000000	2041.000000	BALDER FM	FORMATION	ROGALAND GP	5773	6	131	9999-12-31	2013-05-08
16/1-9	2221.000000	2267.000000	CROMER KNOLL GP	GROUP	\N	5773	23	\N	9999-12-31	2013-05-08
16/1-9	2179.000000	2221.000000	EKOFISK FM	FORMATION	SHETLAND GP	5773	33	143	9999-12-31	2013-05-08
16/1-9	1598.000000	1632.000000	GRID FM	FORMATION	HORDALAND GP	5773	53	67	9999-12-31	2013-05-08
16/1-9	1693.000000	1793.000000	GRID FM	FORMATION	HORDALAND GP	5773	53	67	9999-12-31	2013-05-08
16/1-9	2267.000000	2399.000000	HEATHER FM	FORMATION	VIKING GP	5773	60	188	9999-12-31	2013-05-08
16/1-9	2126.000000	2143.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5773	62	131	9999-12-31	2013-05-08
16/1-9	939.000000	1979.000000	HORDALAND GP	GROUP	\N	5773	67	\N	9999-12-31	2013-05-08
16/1-9	2090.000000	2126.000000	LISTA FM	FORMATION	ROGALAND GP	5773	95	131	9999-12-31	2013-05-08
16/1-9	2143.000000	2176.000000	LISTA FM	FORMATION	ROGALAND GP	5773	95	131	9999-12-31	2013-05-08
16/1-9	818.000000	939.000000	NO FORMAL NAME	FORMATION	\N	5773	111	\N	9999-12-31	2013-05-08
16/1-9	1104.000000	1123.000000	NO FORMAL NAME	FORMATION	\N	5773	111	\N	9999-12-31	2013-05-08
16/1-9	1190.000000	1297.000000	NO FORMAL NAME	FORMATION	\N	5773	111	\N	9999-12-31	2013-05-08
16/1-9	1297.000000	1331.000000	NO FORMAL NAME	FORMATION	\N	5773	111	\N	9999-12-31	2013-05-08
16/1-9	1331.000000	1598.000000	NO FORMAL NAME	FORMATION	\N	5773	111	\N	9999-12-31	2013-05-08
16/1-9	1632.000000	1693.000000	NO FORMAL NAME	FORMATION	\N	5773	111	\N	9999-12-31	2013-05-08
16/1-9	1793.000000	1979.000000	NO FORMAL NAME	FORMATION	\N	5773	111	\N	9999-12-31	2013-05-08
16/1-9	136.000000	939.000000	NORDLAND GP	GROUP	\N	5773	113	\N	9999-12-31	2013-05-08
16/1-9	1979.000000	2179.000000	ROGALAND GP	GROUP	\N	5773	131	\N	9999-12-31	2013-05-08
16/1-9	2041.000000	2090.000000	SELE FM	FORMATION	ROGALAND GP	5773	142	131	9999-12-31	2013-05-08
16/1-9	2179.000000	2221.000000	SHETLAND GP	GROUP	\N	5773	143	\N	9999-12-31	2013-05-08
16/1-9	939.000000	1104.000000	SKADE FM	FORMATION	HORDALAND GP	5773	145	67	9999-12-31	2013-05-08
16/1-9	1123.000000	1190.000000	SKADE FM	FORMATION	HORDALAND GP	5773	145	67	9999-12-31	2013-05-08
16/1-9	2456.000000	2544.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5773	146	61	9999-12-31	2013-05-08
16/1-9	2399.000000	2456.000000	SLEIPNER FM	FORMATION	VESTLAND GP	5773	148	186	2013-03-08	2013-05-08
16/1-9	757.000000	818.000000	UTSIRA FM	FORMATION	NORDLAND GP	5773	183	113	9999-12-31	2013-05-08
16/1-9	2399.000000	2456.000000	VESTLAND GP	GROUP	\N	5773	186	\N	2013-03-08	2013-05-08
16/1-9	2267.000000	2399.000000	VIKING GP	GROUP	\N	5773	188	\N	9999-12-31	2013-05-08
16/1-9	2176.000000	2179.000000	VÅLE FM	FORMATION	ROGALAND GP	5773	190	131	9999-12-31	2013-05-08
16/1-9	2221.000000	2267.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5773	198	23	9999-12-31	2013-05-08
16/1-9	2456.000000	2544.000000	NO GROUP DEFINED	GROUP	\N	5773	208	\N	9999-12-31	2013-05-08
1/3-10 A	3320.000000	3348.000000	BALDER FM	FORMATION	ROGALAND GP	5779	6	131	9999-12-31	2013-05-08
1/3-10 A	3516.000000	3580.000000	FORTIES FM	FORMATION	ROGALAND GP	5779	44	131	9999-12-31	2013-05-08
1/3-10 A	1685.000000	3320.000000	HORDALAND GP	GROUP	\N	5779	67	\N	9999-12-31	2013-05-08
1/3-10 A	117.000000	1685.000000	NORDLAND GP	GROUP	\N	5779	113	\N	9999-12-31	2013-05-08
1/3-10 A	3320.000000	3632.000000	ROGALAND GP	GROUP	\N	5779	131	\N	9999-12-31	2013-05-08
1/3-10 A	3348.000000	3516.000000	SELE FM	FORMATION	ROGALAND GP	5779	142	131	9999-12-31	2013-05-08
1/3-10 A	3580.000000	3632.000000	SELE FM	FORMATION	ROGALAND GP	5779	142	131	9999-12-31	2013-05-08
30/2-4 S	2124.000000	2218.000000	BALDER FM	FORMATION	ROGALAND GP	5784	6	131	9999-12-31	2013-05-08
30/2-4 S	4196.000000	4309.000000	BRENT GP	GROUP	\N	5784	16	\N	9999-12-31	2013-05-08
30/2-4 S	4217.000000	4309.000000	BURTON FM	FORMATION	DUNLIN GP	5784	20	29	9999-12-31	2013-05-08
30/2-4 S	4140.000000	4187.000000	CROMER KNOLL GP	GROUP	\N	5784	23	\N	9999-12-31	2013-05-08
30/2-4 S	1595.000000	1717.000000	GRID FM	FORMATION	HORDALAND GP	5784	53	67	9999-12-31	2013-05-08
30/2-4 S	4187.000000	4196.000000	HEATHER FM	FORMATION	VIKING GP	5784	60	188	9999-12-31	2013-05-08
30/2-4 S	969.000000	2124.000000	HORDALAND GP	GROUP	\N	5784	67	\N	9999-12-31	2013-05-08
30/2-4 S	2447.000000	2834.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5784	74	143	9999-12-31	2013-05-08
30/2-4 S	2834.000000	3954.000000	KYRRE FM	FORMATION	SHETLAND GP	5784	92	143	9999-12-31	2013-05-08
30/2-4 S	2257.000000	2447.000000	LISTA FM	FORMATION	ROGALAND GP	5784	95	131	9999-12-31	2013-05-08
30/2-4 S	4196.000000	4217.000000	NESS FM	FORMATION	BRENT GP	5784	110	16	9999-12-31	2013-05-08
30/2-4 S	1393.000000	1595.000000	NO FORMAL NAME	FORMATION	\N	5784	111	\N	9999-12-31	2013-05-08
30/2-4 S	1717.000000	2124.000000	NO FORMAL NAME	FORMATION	\N	5784	111	\N	9999-12-31	2013-05-08
30/2-4 S	174.000000	969.000000	NORDLAND GP	GROUP	\N	5784	113	\N	9999-12-31	2013-05-08
30/2-4 S	2124.000000	2447.000000	ROGALAND GP	GROUP	\N	5784	131	\N	9999-12-31	2013-05-08
30/2-4 S	2218.000000	2257.000000	SELE FM	FORMATION	ROGALAND GP	5784	142	131	9999-12-31	2013-05-08
30/2-4 S	2447.000000	4140.000000	SHETLAND GP	GROUP	\N	5784	143	\N	9999-12-31	2013-05-08
30/2-4 S	1150.000000	1393.000000	SKADE FM	FORMATION	HORDALAND GP	5784	145	67	9999-12-31	2013-05-08
30/2-4 S	4309.000000	4325.000000	STATFJORD FM	FORMATION	\N	5784	157	\N	9999-12-31	2013-05-08
30/2-4 S	3954.000000	4140.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	5784	173	143	9999-12-31	2013-05-08
30/2-4 S	864.000000	969.000000	UTSIRA FM	FORMATION	NORDLAND GP	5784	183	113	9999-12-31	2013-05-08
30/2-4 S	4187.000000	4196.000000	VIKING GP	GROUP	\N	5784	188	\N	9999-12-31	2013-05-08
30/2-4 S	4309.000000	4325.000000	NO GROUP DEFINED	GROUP	\N	5784	208	\N	9999-12-31	2013-05-08
7123/4-1 S	860.000000	2095.000000	ADVENTDALEN GP	GROUP	\N	5786	1	\N	9999-12-31	2013-05-08
7123/4-1 S	2139.000000	2266.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5786	46	79	9999-12-31	2013-05-08
7123/4-1 S	2005.000000	2095.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5786	63	1	9999-12-31	2013-05-08
7123/4-1 S	2095.000000	2920.000000	KAPP TOSCANA GP	GROUP	\N	5786	79	\N	9999-12-31	2013-05-08
7123/4-1 S	1943.000000	2005.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5786	82	1	9999-12-31	2013-05-08
7123/4-1 S	1638.000000	1943.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	5786	84	1	9999-12-31	2013-05-08
7123/4-1 S	860.000000	1638.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5786	85	1	9999-12-31	2013-05-08
7123/4-1 S	790.000000	860.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	5786	89	122	9999-12-31	2013-05-08
7123/4-1 S	436.000000	495.000000	NORDLAND GP	GROUP	\N	5786	113	\N	9999-12-31	2013-05-08
7123/4-1 S	2111.000000	2122.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	5786	118	79	9999-12-31	2013-05-08
7123/4-1 S	790.000000	860.000000	NYGRUNNEN GP	GROUP	\N	5786	122	\N	9999-12-31	2013-05-08
7123/4-1 S	2266.000000	2920.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5786	150	79	9999-12-31	2013-05-08
7123/4-1 S	495.000000	790.000000	SOTBAKKEN GP	GROUP	\N	5786	154	\N	9999-12-31	2013-05-08
7123/4-1 S	2095.000000	2111.000000	STØ FM	FORMATION	KAPP TOSCANA GP	5786	159	79	9999-12-31	2013-05-08
7123/4-1 S	495.000000	790.000000	TORSK FM	FORMATION	SOTBAKKEN GP	5786	172	154	9999-12-31	2013-05-08
7123/4-1 S	2122.000000	2139.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	5786	174	79	9999-12-31	2013-05-08
33/9-21 S	2618.000000	2728.000000	BALDER FM	FORMATION	ROGALAND GP	5791	6	131	9999-12-31	2013-05-08
33/9-21 S	5867.000000	6051.000000	BRENT GP	GROUP	\N	5791	16	\N	9999-12-31	2013-05-08
33/9-21 S	5571.000000	5728.000000	CROMER KNOLL GP	GROUP	\N	5791	23	\N	9999-12-31	2013-05-08
33/9-21 S	5728.000000	5813.000000	DRAUPNE FM	FORMATION	VIKING GP	5791	28	188	9999-12-31	2013-05-08
33/9-21 S	5927.000000	6051.000000	ETIVE FM	FORMATION	BRENT GP	5791	35	16	9999-12-31	2013-05-08
33/9-21 S	5813.000000	5867.000000	HEATHER FM	FORMATION	VIKING GP	5791	60	188	9999-12-31	2013-05-08
33/9-21 S	1093.000000	2618.000000	HORDALAND GP	GROUP	\N	5791	67	\N	9999-12-31	2013-05-08
33/9-21 S	2846.000000	3056.000000	LISTA FM	FORMATION	ROGALAND GP	5791	95	131	9999-12-31	2013-05-08
33/9-21 S	5702.000000	5728.000000	MIME FM	FORMATION	CROMER KNOLL GP	5791	106	23	9999-12-31	2013-05-08
33/9-21 S	5903.000000	5927.000000	NESS FM	FORMATION	BRENT GP	5791	110	16	9999-12-31	2013-05-08
33/9-21 S	213.000000	1093.000000	NORDLAND GP	GROUP	\N	5791	113	\N	9999-12-31	2013-05-08
33/9-21 S	2618.000000	3112.000000	ROGALAND GP	GROUP	\N	5791	131	\N	9999-12-31	2013-05-08
33/9-21 S	5571.000000	5587.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5791	137	23	9999-12-31	2013-05-08
33/9-21 S	2728.000000	2846.000000	SELE FM	FORMATION	ROGALAND GP	5791	142	131	9999-12-31	2013-05-08
33/9-21 S	3112.000000	5571.000000	SHETLAND GP	GROUP	\N	5791	143	\N	9999-12-31	2013-05-08
33/9-21 S	5587.000000	5672.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5791	152	23	9999-12-31	2013-05-08
33/9-21 S	5867.000000	5903.000000	TARBERT FM	FORMATION	BRENT GP	5791	162	16	9999-12-31	2013-05-08
33/9-21 S	971.000000	1093.000000	UTSIRA FM	FORMATION	NORDLAND GP	5791	183	113	9999-12-31	2013-05-08
33/9-21 S	5728.000000	5867.000000	VIKING GP	GROUP	\N	5791	188	\N	9999-12-31	2013-05-08
33/9-21 S	3056.000000	3112.000000	VÅLE FM	FORMATION	ROGALAND GP	5791	190	131	9999-12-31	2013-05-08
33/9-21 S	5672.000000	5702.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5791	198	23	9999-12-31	2013-05-08
7/1-2 S	2212.000000	2240.000000	BALDER FM	FORMATION	ROGALAND GP	5793	6	131	9999-12-31	2013-05-08
7/1-2 S	3122.000000	3175.000000	BRYNE FM	FORMATION	VESTLAND GP	5793	19	186	9999-12-31	2013-05-08
7/1-2 S	2806.000000	2848.000000	CROMER KNOLL GP	GROUP	\N	5793	23	\N	9999-12-31	2013-05-08
7/1-2 S	2462.000000	2480.000000	EKOFISK FM	FORMATION	SHETLAND GP	5793	33	143	9999-12-31	2013-05-08
7/1-2 S	2919.000000	2945.000000	FARSUND FM	FORMATION	TYNE GP	5793	39	177	9999-12-31	2013-05-08
7/1-2 S	2674.000000	2806.000000	HOD FM	FORMATION	SHETLAND GP	5793	66	143	9999-12-31	2013-05-08
7/1-2 S	1280.000000	2212.000000	HORDALAND GP	GROUP	\N	5793	67	\N	9999-12-31	2013-05-08
7/1-2 S	2333.000000	2444.000000	LISTA FM	FORMATION	ROGALAND GP	5793	95	131	9999-12-31	2013-05-08
7/1-2 S	2848.000000	2919.000000	MANDAL FM	FORMATION	TYNE GP	5793	101	177	9999-12-31	2013-05-08
7/1-2 S	130.000000	1280.000000	NORDLAND GP	GROUP	\N	5793	113	\N	9999-12-31	2013-05-08
7/1-2 S	2212.000000	2462.000000	ROGALAND GP	GROUP	\N	5793	131	\N	9999-12-31	2013-05-08
7/1-2 S	2806.000000	2828.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5793	137	23	9999-12-31	2013-05-08
7/1-2 S	2240.000000	2333.000000	SELE FM	FORMATION	ROGALAND GP	5793	142	131	9999-12-31	2013-05-08
7/1-2 S	2462.000000	2806.000000	SHETLAND GP	GROUP	\N	5793	143	\N	9999-12-31	2013-05-08
7/1-2 S	2828.000000	2840.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5793	152	23	9999-12-31	2013-05-08
7/1-2 S	2480.000000	2674.000000	TOR FM	FORMATION	SHETLAND GP	5793	171	143	9999-12-31	2013-05-08
7/1-2 S	2848.000000	2945.000000	TYNE GP	GROUP	\N	5793	177	\N	9999-12-31	2013-05-08
7/1-2 S	2945.000000	3122.000000	ULA FM	FORMATION	VESTLAND GP	5793	179	186	9999-12-31	2013-05-08
7/1-2 S	2945.000000	3175.000000	VESTLAND GP	GROUP	\N	5793	186	\N	9999-12-31	2013-05-08
7/1-2 S	2444.000000	2462.000000	VÅLE FM	FORMATION	ROGALAND GP	5793	190	131	9999-12-31	2013-05-08
7/1-2 S	2840.000000	2848.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5793	198	23	9999-12-31	2013-05-08
30/9-21 S	2195.000000	2275.000000	BALDER FM	FORMATION	ROGALAND GP	5800	6	131	9999-12-31	2013-05-08
30/9-21 S	3774.000000	4090.000000	BRENT GP	GROUP	\N	5800	16	\N	9999-12-31	2013-05-08
30/9-21 S	3538.000000	3597.000000	CROMER KNOLL GP	GROUP	\N	5800	23	\N	9999-12-31	2013-05-08
30/9-21 S	3597.000000	3656.000000	DRAUPNE FM	FORMATION	VIKING GP	5800	28	188	9999-12-31	2013-05-08
30/9-21 S	2628.000000	2675.000000	EKOFISK FM	FORMATION	SHETLAND GP	5800	33	143	9999-12-31	2013-05-08
30/9-21 S	1656.000000	1727.000000	GRID FM	FORMATION	HORDALAND GP	5800	53	67	9999-12-31	2013-05-08
30/9-21 S	2675.000000	2770.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	5800	56	143	9999-12-31	2013-05-08
30/9-21 S	3656.000000	3774.000000	HEATHER FM	FORMATION	VIKING GP	5800	60	188	9999-12-31	2013-05-08
30/9-21 S	1108.000000	2195.000000	HORDALAND GP	GROUP	\N	5800	67	\N	9999-12-31	2013-05-08
30/9-21 S	2770.000000	3538.000000	KYRRE FM	FORMATION	SHETLAND GP	5800	92	143	9999-12-31	2013-05-08
30/9-21 S	2370.000000	2520.000000	LISTA FM	FORMATION	ROGALAND GP	5800	95	131	9999-12-31	2013-05-08
30/9-21 S	3962.000000	4090.000000	NESS FM	FORMATION	BRENT GP	5800	110	16	9999-12-31	2013-05-08
30/9-21 S	881.000000	1108.000000	NO FORMAL NAME	FORMATION	\N	5800	111	\N	9999-12-31	2013-05-08
30/9-21 S	1350.000000	1443.000000	NO FORMAL NAME	FORMATION	\N	5800	111	\N	9999-12-31	2013-05-08
30/9-21 S	1525.000000	1656.000000	NO FORMAL NAME	FORMATION	\N	5800	111	\N	9999-12-31	2013-05-08
30/9-21 S	1727.000000	2195.000000	NO FORMAL NAME	FORMATION	\N	5800	111	\N	9999-12-31	2013-05-08
30/9-21 S	132.000000	1108.000000	NORDLAND GP	GROUP	\N	5800	113	\N	9999-12-31	2013-05-08
30/9-21 S	2195.000000	2628.000000	ROGALAND GP	GROUP	\N	5800	131	\N	9999-12-31	2013-05-08
30/9-21 S	3538.000000	3597.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5800	137	23	9999-12-31	2013-05-08
30/9-21 S	2275.000000	2370.000000	SELE FM	FORMATION	ROGALAND GP	5800	142	131	9999-12-31	2013-05-08
30/9-21 S	2628.000000	3538.000000	SHETLAND GP	GROUP	\N	5800	143	\N	9999-12-31	2013-05-08
30/9-21 S	1315.000000	1350.000000	SKADE FM	FORMATION	HORDALAND GP	5800	145	67	9999-12-31	2013-05-08
30/9-21 S	1443.000000	1525.000000	SKADE FM	FORMATION	HORDALAND GP	5800	145	67	9999-12-31	2013-05-08
30/9-21 S	3774.000000	3962.000000	TARBERT FM	FORMATION	BRENT GP	5800	162	16	9999-12-31	2013-05-08
30/9-21 S	613.000000	881.000000	UTSIRA FM	FORMATION	NORDLAND GP	5800	183	113	9999-12-31	2013-05-08
30/9-21 S	3597.000000	3774.000000	VIKING GP	GROUP	\N	5800	188	\N	9999-12-31	2013-05-08
30/9-21 S	2520.000000	2628.000000	VÅLE FM	FORMATION	ROGALAND GP	5800	190	131	9999-12-31	2013-05-08
2/9-4	3093.000000	3105.000000	BALDER FM	FORMATION	ROGALAND GP	5801	6	131	9999-12-31	2013-05-08
2/9-4	4082.000000	4698.000000	CROMER KNOLL GP	GROUP	\N	5801	23	\N	9999-12-31	2013-05-08
2/9-4	3218.000000	3336.000000	EKOFISK FM	FORMATION	SHETLAND GP	5801	33	143	9999-12-31	2013-05-08
2/9-4	4698.000000	5450.000000	FARSUND FM	FORMATION	TYNE GP	5801	39	177	9999-12-31	2013-05-08
2/9-4	3858.000000	4082.000000	HOD FM	FORMATION	SHETLAND GP	5801	66	143	9999-12-31	2013-05-08
2/9-4	1616.000000	3093.000000	HORDALAND GP	GROUP	\N	5801	67	\N	9999-12-31	2013-05-08
2/9-4	3154.000000	3204.000000	LISTA FM	FORMATION	ROGALAND GP	5801	95	131	9999-12-31	2013-05-08
2/9-4	115.000000	1616.000000	NORDLAND GP	GROUP	\N	5801	113	\N	9999-12-31	2013-05-08
2/9-4	3093.000000	3218.000000	ROGALAND GP	GROUP	\N	5801	131	\N	9999-12-31	2013-05-08
2/9-4	5450.000000	5500.000000	ROTLIEGEND GP	GROUP	\N	5801	136	\N	9999-12-31	2013-05-08
2/9-4	4082.000000	4175.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5801	137	23	9999-12-31	2013-05-08
2/9-4	3105.000000	3154.000000	SELE FM	FORMATION	ROGALAND GP	5801	142	131	9999-12-31	2013-05-08
2/9-4	3218.000000	4082.000000	SHETLAND GP	GROUP	\N	5801	143	\N	9999-12-31	2013-05-08
2/9-4	4175.000000	4259.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5801	152	23	9999-12-31	2013-05-08
2/9-4	3336.000000	3858.000000	TOR FM	FORMATION	SHETLAND GP	5801	171	143	9999-12-31	2013-05-08
2/9-4	4259.000000	4323.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	5801	175	23	9999-12-31	2013-05-08
2/9-4	4698.000000	5450.000000	TYNE GP	GROUP	\N	5801	177	\N	9999-12-31	2013-05-08
2/9-4	3204.000000	3218.000000	VÅLE FM	FORMATION	ROGALAND GP	5801	190	131	9999-12-31	2013-05-08
2/9-4	4323.000000	4698.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5801	198	23	9999-12-31	2013-05-08
30/9-21 A	2234.000000	2329.000000	BALDER FM	FORMATION	ROGALAND GP	5805	6	131	9999-12-31	2013-05-08
30/9-21 A	3866.000000	4054.000000	BRENT GP	GROUP	\N	5805	16	\N	9999-12-31	2013-05-08
30/9-21 A	3517.000000	3582.000000	CROMER KNOLL GP	GROUP	\N	5805	23	\N	9999-12-31	2013-05-08
30/9-21 A	4054.000000	4086.000000	DRAKE FM	FORMATION	DUNLIN GP	5805	27	29	9999-12-31	2013-05-08
30/9-21 A	3582.000000	3636.000000	DRAUPNE FM	FORMATION	VIKING GP	5805	28	188	9999-12-31	2013-05-08
30/9-21 A	4054.000000	4086.000000	DUNLIN GP	GROUP	\N	5805	29	\N	9999-12-31	2013-05-08
30/9-21 A	2688.000000	2735.000000	EKOFISK FM	FORMATION	SHETLAND GP	5805	33	143	9999-12-31	2013-05-08
30/9-21 A	1687.000000	1758.000000	GRID FM	FORMATION	HORDALAND GP	5805	53	67	9999-12-31	2013-05-08
30/9-21 A	2735.000000	2836.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	5805	56	143	9999-12-31	2013-05-08
30/9-21 A	3780.000000	3866.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	5805	59	188	9999-12-31	2013-05-08
30/9-21 A	3636.000000	3780.000000	HEATHER FM	FORMATION	VIKING GP	5805	60	188	9999-12-31	2013-05-08
30/9-21 A	1108.000000	2234.000000	HORDALAND GP	GROUP	\N	5805	67	\N	9999-12-31	2013-05-08
30/9-21 A	2836.000000	3517.000000	KYRRE FM	FORMATION	SHETLAND GP	5805	92	143	9999-12-31	2013-05-08
30/9-21 A	2430.000000	2585.000000	LISTA FM	FORMATION	ROGALAND GP	5805	95	131	9999-12-31	2013-05-08
30/9-21 A	881.000000	1108.000000	NO FORMAL NAME	FORMATION	\N	5805	111	\N	9999-12-31	2013-05-08
30/9-21 A	1347.000000	1447.000000	NO FORMAL NAME	FORMATION	\N	5805	111	\N	9999-12-31	2013-05-08
30/9-21 A	1525.000000	1687.000000	NO FORMAL NAME	FORMATION	\N	5805	111	\N	9999-12-31	2013-05-08
30/9-21 A	1758.000000	2234.000000	NO FORMAL NAME	FORMATION	\N	5805	111	\N	9999-12-31	2013-05-08
30/9-21 A	132.000000	1108.000000	NORDLAND GP	GROUP	\N	5805	113	\N	9999-12-31	2013-05-08
30/9-21 A	2234.000000	2688.000000	ROGALAND GP	GROUP	\N	5805	131	\N	9999-12-31	2013-05-08
30/9-21 A	3517.000000	3582.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5805	137	23	9999-12-31	2013-05-08
30/9-21 A	2329.000000	2430.000000	SELE FM	FORMATION	ROGALAND GP	5805	142	131	9999-12-31	2013-05-08
30/9-21 A	2688.000000	3517.000000	SHETLAND GP	GROUP	\N	5805	143	\N	9999-12-31	2013-05-08
30/9-21 A	1311.000000	1347.000000	SKADE FM	FORMATION	HORDALAND GP	5805	145	67	9999-12-31	2013-05-08
30/9-21 A	1447.000000	1525.000000	SKADE FM	FORMATION	HORDALAND GP	5805	145	67	9999-12-31	2013-05-08
30/9-21 A	3866.000000	4054.000000	TARBERT FM	FORMATION	BRENT GP	5805	162	16	9999-12-31	2013-05-08
30/9-21 A	613.000000	881.000000	UTSIRA FM	FORMATION	NORDLAND GP	5805	183	113	9999-12-31	2013-05-08
30/9-21 A	3582.000000	3866.000000	VIKING GP	GROUP	\N	5805	188	\N	9999-12-31	2013-05-08
30/9-21 A	2585.000000	2688.000000	VÅLE FM	FORMATION	ROGALAND GP	5805	190	131	9999-12-31	2013-05-08
1/3-11	3366.000000	3482.000000	ANDREW FM	FORMATION	ROGALAND GP	5806	5	131	9999-12-31	2013-05-08
1/3-11	3194.000000	3205.000000	BALDER FM	FORMATION	ROGALAND GP	5806	6	131	9999-12-31	2013-05-08
1/3-11	3502.000000	3595.000000	EKOFISK FM	FORMATION	SHETLAND GP	5806	33	143	9999-12-31	2013-05-08
1/3-11	3282.000000	3319.000000	FORTIES FM	FORMATION	ROGALAND GP	5806	44	131	9999-12-31	2013-05-08
1/3-11	1777.000000	3194.000000	HORDALAND GP	GROUP	\N	5806	67	\N	9999-12-31	2013-05-08
1/3-11	3343.000000	3366.000000	LISTA FM	FORMATION	ROGALAND GP	5806	95	131	9999-12-31	2013-05-08
1/3-11	2600.000000	3194.000000	NO FORMAL NAME	FORMATION	\N	5806	111	\N	9999-12-31	2013-05-08
1/3-11	114.000000	1777.000000	NORDLAND GP	GROUP	\N	5806	113	\N	9999-12-31	2013-05-08
1/3-11	3194.000000	3502.000000	ROGALAND GP	GROUP	\N	5806	131	\N	9999-12-31	2013-05-08
1/3-11	3205.000000	3282.000000	SELE FM	FORMATION	ROGALAND GP	5806	142	131	9999-12-31	2013-05-08
1/3-11	3319.000000	3343.000000	SELE FM	FORMATION	ROGALAND GP	5806	142	131	9999-12-31	2013-05-08
1/3-11	3502.000000	3595.000000	SHETLAND GP	GROUP	\N	5806	143	\N	9999-12-31	2013-05-08
1/3-11	2594.000000	2600.000000	VADE FM	FORMATION	HORDALAND GP	5806	184	67	9999-12-31	2013-05-08
1/3-11	3482.000000	3502.000000	VÅLE FM	FORMATION	ROGALAND GP	5806	190	131	9999-12-31	2013-05-08
7226/2-1	454.000000	901.000000	ADVENTDALEN GP	GROUP	\N	5807	1	\N	9999-12-31	2013-05-08
7226/2-1	950.000000	1052.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5807	46	79	9999-12-31	2013-05-08
7226/2-1	864.000000	901.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	5807	47	1	9999-12-31	2013-05-08
7226/2-1	2930.000000	2992.000000	HAVERT FM	FORMATION	SASSENDALEN GP	5807	58	140	9999-12-31	2013-05-08
7226/2-1	754.000000	864.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5807	63	1	9999-12-31	2013-05-08
7226/2-1	901.000000	1694.000000	KAPP TOSCANA GP	GROUP	\N	5807	79	\N	9999-12-31	2013-05-08
7226/2-1	2325.000000	2930.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	5807	80	140	9999-12-31	2013-05-08
7226/2-1	727.000000	754.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5807	82	1	9999-12-31	2013-05-08
7226/2-1	1694.000000	2325.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5807	83	140	9999-12-31	2013-05-08
7226/2-1	454.000000	727.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5807	85	1	9999-12-31	2013-05-08
7226/2-1	370.000000	454.000000	NORDLAND GP	GROUP	\N	5807	113	\N	9999-12-31	2013-05-08
7226/2-1	1694.000000	2992.000000	SASSENDALEN GP	GROUP	\N	5807	140	\N	9999-12-31	2013-05-08
7226/2-1	1052.000000	1694.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5807	150	79	9999-12-31	2013-05-08
7226/2-1	901.000000	950.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	5807	174	79	9999-12-31	2013-05-08
7123/4-1 A	860.000000	2091.000000	ADVENTDALEN GP	GROUP	\N	5808	1	\N	9999-12-31	2013-05-08
7123/4-1 A	2141.000000	2259.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5808	46	79	9999-12-31	2013-05-08
7123/4-1 A	2001.000000	2091.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5808	63	1	9999-12-31	2013-05-08
7123/4-1 A	2091.000000	2855.000000	KAPP TOSCANA GP	GROUP	\N	5808	79	\N	9999-12-31	2013-05-08
7123/4-1 A	1943.000000	2001.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5808	82	1	9999-12-31	2013-05-08
7123/4-1 A	1638.000000	1943.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	5808	84	1	9999-12-31	2013-05-08
7123/4-1 A	860.000000	1638.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5808	85	1	9999-12-31	2013-05-08
7123/4-1 A	790.000000	860.000000	KVEITE FM	FORMATION	NYGRUNNEN GP	5808	89	122	9999-12-31	2013-05-08
7123/4-1 A	436.000000	495.000000	NORDLAND GP	GROUP	\N	5808	113	\N	9999-12-31	2013-05-08
7123/4-1 A	790.000000	860.000000	NYGRUNNEN GP	GROUP	\N	5808	122	\N	9999-12-31	2013-05-08
7123/4-1 A	2259.000000	2855.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5808	150	79	9999-12-31	2013-05-08
7123/4-1 A	495.000000	790.000000	SOTBAKKEN GP	GROUP	\N	5808	154	\N	9999-12-31	2013-05-08
7123/4-1 A	2091.000000	2131.000000	STØ FM	FORMATION	KAPP TOSCANA GP	5808	159	79	9999-12-31	2013-05-08
7123/4-1 A	495.000000	790.000000	TORSK FM	FORMATION	SOTBAKKEN GP	5808	172	154	9999-12-31	2013-05-08
7123/4-1 A	2131.000000	2141.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	5808	174	79	9999-12-31	2013-05-08
34/3-1 S	4016.000000	4125.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	5811	4	29	9999-12-31	2013-05-08
34/3-1 S	2002.000000	2030.000000	BALDER FM	FORMATION	ROGALAND GP	5811	6	131	9999-12-31	2013-05-08
34/3-1 S	3958.000000	4016.000000	BURTON FM	FORMATION	DUNLIN GP	5811	20	29	9999-12-31	2013-05-08
34/3-1 S	3769.000000	3777.000000	CROMER KNOLL GP	GROUP	\N	5811	23	\N	9999-12-31	2013-05-08
34/3-1 S	3866.000000	3958.000000	COOK FM	FORMATION	DUNLIN GP	5811	24	29	9999-12-31	2013-05-08
34/3-1 S	3777.000000	3866.000000	DRAKE FM	FORMATION	DUNLIN GP	5811	27	29	9999-12-31	2013-05-08
34/3-1 S	3777.000000	4125.000000	DUNLIN GP	GROUP	\N	5811	29	\N	9999-12-31	2013-05-08
34/3-1 S	1494.000000	2002.000000	HORDALAND GP	GROUP	\N	5811	67	\N	9999-12-31	2013-05-08
34/3-1 S	2141.000000	2314.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5811	74	143	9999-12-31	2013-05-08
34/3-1 S	2314.000000	3429.000000	KYRRE FM	FORMATION	SHETLAND GP	5811	92	143	9999-12-31	2013-05-08
34/3-1 S	2050.000000	2141.000000	LISTA FM	FORMATION	ROGALAND GP	5811	95	131	9999-12-31	2013-05-08
34/3-1 S	3769.000000	3777.000000	MIME FM	FORMATION	CROMER KNOLL GP	5811	106	23	9999-12-31	2013-05-08
34/3-1 S	1464.000000	1494.000000	NO FORMAL NAME	FORMATION	\N	5811	111	\N	9999-12-31	2013-05-08
34/3-1 S	436.000000	1494.000000	NORDLAND GP	GROUP	\N	5811	113	\N	9999-12-31	2013-05-08
34/3-1 S	2002.000000	2141.000000	ROGALAND GP	GROUP	\N	5811	131	\N	9999-12-31	2013-05-08
34/3-1 S	2030.000000	2050.000000	SELE FM	FORMATION	ROGALAND GP	5811	142	131	9999-12-31	2013-05-08
34/3-1 S	2141.000000	3769.000000	SHETLAND GP	GROUP	\N	5811	143	\N	9999-12-31	2013-05-08
34/3-1 S	4125.000000	4221.000000	STATFJORD FM	FORMATION	\N	5811	157	\N	9999-12-31	2013-05-08
34/3-1 S	3429.000000	3769.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	5811	173	143	9999-12-31	2013-05-08
34/3-1 S	1421.000000	1464.000000	UTSIRA FM	FORMATION	NORDLAND GP	5811	183	113	9999-12-31	2013-05-08
34/3-1 S	4125.000000	4221.000000	NO GROUP DEFINED	GROUP	\N	5811	208	\N	9999-12-31	2013-05-08
6605/8-2	2010.000000	2300.000000	BRYGGE FM	FORMATION	HORDALAND GP	5812	18	67	9999-12-31	2013-05-08
6605/8-2	3886.000000	4210.000000	CROMER KNOLL GP	GROUP	\N	5812	23	\N	9999-12-31	2013-05-08
6605/8-2	2010.000000	2300.000000	HORDALAND GP	GROUP	\N	5812	67	\N	9999-12-31	2013-05-08
6605/8-2	1688.000000	2010.000000	KAI FM	FORMATION	NORDLAND GP	5812	77	113	9999-12-31	2013-05-08
6605/8-2	3261.000000	3886.000000	KVITNOS FM	FORMATION	SHETLAND GP	5812	91	143	9999-12-31	2013-05-08
6605/8-2	4158.000000	4210.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5812	94	23	9999-12-31	2013-05-08
6605/8-2	3886.000000	4158.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5812	99	23	9999-12-31	2013-05-08
6605/8-2	841.000000	1688.000000	NAUST FM	FORMATION	NORDLAND GP	5812	109	113	9999-12-31	2013-05-08
6605/8-2	2991.000000	3261.000000	NISE FM	FORMATION	SHETLAND GP	5812	112	143	9999-12-31	2013-05-08
6605/8-2	841.000000	2010.000000	NORDLAND GP	GROUP	\N	5812	113	\N	9999-12-31	2013-05-08
6605/8-2	2300.000000	2671.000000	ROGALAND GP	GROUP	\N	5812	131	\N	9999-12-31	2013-05-08
6605/8-2	2671.000000	3886.000000	SHETLAND GP	GROUP	\N	5812	143	\N	9999-12-31	2013-05-08
6605/8-2	2671.000000	2991.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5812	156	143	9999-12-31	2013-05-08
6605/8-2	2416.000000	2671.000000	TANG FM	FORMATION	ROGALAND GP	5812	161	131	9999-12-31	2013-05-08
6605/8-2	2300.000000	2416.000000	TARE FM	FORMATION	ROGALAND GP	5812	163	131	9999-12-31	2013-05-08
6407/8-4 S	1025.000000	1665.000000	BRYGGE FM	FORMATION	HORDALAND GP	5813	18	67	9999-12-31	2013-05-08
6407/8-4 S	2422.000000	2788.000000	BÅT GP	GROUP	\N	5813	22	\N	9999-12-31	2013-05-08
6407/8-4 S	2212.000000	2422.000000	FANGST GP	GROUP	\N	5813	38	\N	9999-12-31	2013-05-08
6407/8-4 S	2212.000000	2307.000000	GARN FM	FORMATION	FANGST GP	5813	48	38	9999-12-31	2013-05-08
6407/8-4 S	1025.000000	1665.000000	HORDALAND GP	GROUP	\N	5813	67	\N	9999-12-31	2013-05-08
6407/8-4 S	2375.000000	2422.000000	ILE FM	FORMATION	FANGST GP	5813	70	38	9999-12-31	2013-05-08
6407/8-4 S	997.000000	1025.000000	KAI FM	FORMATION	NORDLAND GP	5813	77	113	9999-12-31	2013-05-08
6407/8-4 S	2047.000000	2178.000000	KVITNOS FM	FORMATION	SHETLAND GP	5813	91	143	9999-12-31	2013-05-08
6407/8-4 S	2198.000000	2212.000000	MELKE FM	FORMATION	VIKING GP	5813	105	188	9999-12-31	2013-05-08
6407/8-4 S	284.000000	997.000000	NAUST FM	FORMATION	NORDLAND GP	5813	109	113	9999-12-31	2013-05-08
6407/8-4 S	1937.000000	2047.000000	NISE FM	FORMATION	SHETLAND GP	5813	112	143	9999-12-31	2013-05-08
6407/8-4 S	284.000000	1025.000000	NORDLAND GP	GROUP	\N	5813	113	\N	9999-12-31	2013-05-08
6407/8-4 S	2307.000000	2375.000000	NOT FM	FORMATION	FANGST GP	5813	120	38	9999-12-31	2013-05-08
6407/8-4 S	1665.000000	1937.000000	ROGALAND GP	GROUP	\N	5813	131	\N	9999-12-31	2013-05-08
6407/8-4 S	2184.000000	2187.000000	ROGN FM	FORMATION	VIKING GP	5813	134	188	9999-12-31	2013-05-08
6407/8-4 S	2422.000000	2550.000000	ROR FM	FORMATION	BÅT GP	5813	135	22	9999-12-31	2013-05-08
6407/8-4 S	1937.000000	2178.000000	SHETLAND GP	GROUP	\N	5813	143	\N	9999-12-31	2013-05-08
6407/8-4 S	2178.000000	2184.000000	SPEKK FM	FORMATION	VIKING GP	5813	155	188	9999-12-31	2013-05-08
6407/8-4 S	2187.000000	2198.000000	SPEKK FM	FORMATION	VIKING GP	5813	155	188	9999-12-31	2013-05-08
6407/8-4 S	1738.000000	1937.000000	TANG FM	FORMATION	ROGALAND GP	5813	161	131	9999-12-31	2013-05-08
6407/8-4 S	1665.000000	1738.000000	TARE FM	FORMATION	ROGALAND GP	5813	163	131	9999-12-31	2013-05-08
6407/8-4 S	2550.000000	2724.000000	TILJE FM	FORMATION	BÅT GP	5813	169	22	9999-12-31	2013-05-08
6407/8-4 S	2178.000000	2212.000000	VIKING GP	GROUP	\N	5813	188	\N	9999-12-31	2013-05-08
6407/8-4 S	2724.000000	2788.000000	ÅRE FM	FORMATION	BÅT GP	5813	197	22	9999-12-31	2013-05-08
6407/8-4 A	1025.000000	1658.000000	BRYGGE FM	FORMATION	HORDALAND GP	5814	18	67	9999-12-31	2013-05-08
6407/8-4 A	2118.000000	2473.000000	BÅT GP	GROUP	\N	5814	22	\N	9999-12-31	2013-05-08
6407/8-4 A	1025.000000	1658.000000	HORDALAND GP	GROUP	\N	5814	67	\N	9999-12-31	2013-05-08
6407/8-4 A	997.000000	1025.000000	KAI FM	FORMATION	NORDLAND GP	5814	77	113	9999-12-31	2013-05-08
6407/8-4 A	2081.000000	2118.000000	KVITNOS FM	FORMATION	SHETLAND GP	5814	91	143	9999-12-31	2013-05-08
6407/8-4 A	284.000000	997.000000	NAUST FM	FORMATION	NORDLAND GP	5814	109	113	9999-12-31	2013-05-08
6407/8-4 A	1910.000000	2081.000000	NISE FM	FORMATION	SHETLAND GP	5814	112	143	9999-12-31	2013-05-08
6407/8-4 A	284.000000	1025.000000	NORDLAND GP	GROUP	\N	5814	113	\N	9999-12-31	2013-05-08
6407/8-4 A	1658.000000	1910.000000	ROGALAND GP	GROUP	\N	5814	131	\N	9999-12-31	2013-05-08
6407/8-4 A	2118.000000	2217.000000	ROR FM	FORMATION	BÅT GP	5814	135	22	9999-12-31	2013-05-08
6407/8-4 A	1910.000000	2118.000000	SHETLAND GP	GROUP	\N	5814	143	\N	9999-12-31	2013-05-08
6407/8-4 A	1731.000000	1910.000000	TANG FM	FORMATION	ROGALAND GP	5814	161	131	9999-12-31	2013-05-08
6407/8-4 A	1658.000000	1731.000000	TARE FM	FORMATION	ROGALAND GP	5814	163	131	9999-12-31	2013-05-08
6407/8-4 A	2217.000000	2424.000000	TILJE FM	FORMATION	BÅT GP	5814	169	22	9999-12-31	2013-05-08
6407/8-4 A	2424.000000	2473.000000	ÅRE FM	FORMATION	BÅT GP	5814	197	22	9999-12-31	2013-05-08
15/12-20 S	2906.000000	2924.000000	BALDER FM	FORMATION	ROGALAND GP	5824	6	131	9999-12-31	2013-05-08
15/12-20 S	3655.000000	3699.000000	BLODØKS FM	FORMATION	SHETLAND GP	5824	13	143	9999-12-31	2013-05-08
15/12-20 S	3699.000000	3791.000000	CROMER KNOLL GP	GROUP	\N	5824	23	\N	9999-12-31	2013-05-08
15/12-20 S	3791.000000	3797.000000	DRAUPNE FM	FORMATION	VIKING GP	5824	28	188	9999-12-31	2013-05-08
15/12-20 S	3797.000000	3808.000000	HEATHER FM	FORMATION	VIKING GP	5824	60	188	9999-12-31	2013-05-08
15/12-20 S	3432.000000	3655.000000	HOD FM	FORMATION	SHETLAND GP	5824	66	143	9999-12-31	2013-05-08
15/12-20 S	1305.000000	2906.000000	HORDALAND GP	GROUP	\N	5824	67	\N	9999-12-31	2013-05-08
15/12-20 S	3022.000000	3176.000000	LISTA FM	FORMATION	ROGALAND GP	5824	95	131	9999-12-31	2013-05-08
15/12-20 S	136.000000	1305.000000	NORDLAND GP	GROUP	\N	5824	113	\N	9999-12-31	2013-05-08
15/12-20 S	2906.000000	3269.000000	ROGALAND GP	GROUP	\N	5824	131	\N	9999-12-31	2013-05-08
15/12-20 S	3699.000000	3747.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5824	137	23	9999-12-31	2013-05-08
15/12-20 S	2924.000000	3022.000000	SELE FM	FORMATION	ROGALAND GP	5824	142	131	9999-12-31	2013-05-08
15/12-20 S	3269.000000	3699.000000	SHETLAND GP	GROUP	\N	5824	143	\N	9999-12-31	2013-05-08
15/12-20 S	3874.000000	4192.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5824	146	61	9999-12-31	2013-05-08
15/12-20 S	3808.000000	3874.000000	SLEIPNER FM	FORMATION	VESTLAND GP	5824	148	186	9999-12-31	2013-05-08
15/12-20 S	3269.000000	3432.000000	TOR FM	FORMATION	SHETLAND GP	5824	171	143	9999-12-31	2013-05-08
15/12-20 S	3808.000000	3874.000000	VESTLAND GP	GROUP	\N	5824	186	\N	9999-12-31	2013-05-08
15/12-20 S	3791.000000	3808.000000	VIKING GP	GROUP	\N	5824	188	\N	9999-12-31	2013-05-08
15/12-20 S	3176.000000	3269.000000	VÅLE FM	FORMATION	ROGALAND GP	5824	190	131	9999-12-31	2013-05-08
15/12-20 S	3747.000000	3791.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5824	198	23	9999-12-31	2013-05-08
15/12-20 S	3874.000000	4192.000000	NO GROUP DEFINED	GROUP	\N	5824	208	\N	9999-12-31	2013-05-08
7224/6-1	419.000000	1004.000000	ADVENTDALEN GP	GROUP	\N	5835	1	\N	9999-12-31	2013-05-08
7224/6-1	1064.000000	1166.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5835	46	79	9999-12-31	2013-05-08
7224/6-1	974.000000	1004.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	5835	47	1	9999-12-31	2013-05-08
7224/6-1	906.000000	974.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5835	63	1	9999-12-31	2013-05-08
7224/6-1	1004.000000	2010.000000	KAPP TOSCANA GP	GROUP	\N	5835	79	\N	9999-12-31	2013-05-08
7224/6-1	890.000000	906.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5835	82	1	9999-12-31	2013-05-08
7224/6-1	2010.000000	2338.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5835	83	140	9999-12-31	2013-05-08
7224/6-1	419.000000	890.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5835	85	1	9999-12-31	2013-05-08
7224/6-1	289.000000	419.000000	NORDLAND GP	GROUP	\N	5835	113	\N	9999-12-31	2013-05-08
7224/6-1	2010.000000	2338.000000	SASSENDALEN GP	GROUP	\N	5835	140	\N	9999-12-31	2013-05-08
7224/6-1	1166.000000	2010.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5835	150	79	9999-12-31	2013-05-08
7224/6-1	1004.000000	1064.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	5835	174	79	9999-12-31	2013-05-08
32/2-1	1187.000000	1228.000000	BRENT GP	GROUP	\N	5839	16	\N	9999-12-31	2013-05-08
32/2-1	620.000000	823.000000	CROMER KNOLL GP	GROUP	\N	5839	23	\N	9999-12-31	2013-05-08
32/2-1	823.000000	884.000000	DRAUPNE FM	FORMATION	VIKING GP	5839	28	188	9999-12-31	2013-05-08
32/2-1	1012.000000	1115.000000	FENSFJORD FM	FORMATION	VIKING GP	5839	40	188	9999-12-31	2013-05-08
32/2-1	884.000000	902.000000	HEATHER FM	FORMATION	VIKING GP	5839	60	188	9999-12-31	2013-05-08
32/2-1	1247.000000	1300.000000	HEGRE GP	GROUP	\N	5839	61	\N	9999-12-31	2013-05-08
32/2-1	1115.000000	1187.000000	KROSSFJORD FM	FORMATION	VIKING GP	5839	87	188	9999-12-31	2013-05-08
32/2-1	1247.000000	1300.000000	LUNDE FM	FORMATION	HEGRE GP	5839	97	61	9999-12-31	2013-05-08
32/2-1	377.000000	620.000000	NORDLAND GP	GROUP	\N	5839	113	\N	9999-12-31	2013-05-08
32/2-1	902.000000	1012.000000	SOGNEFJORD FM	FORMATION	VIKING GP	5839	151	188	9999-12-31	2013-05-08
32/2-1	620.000000	755.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5839	152	23	9999-12-31	2013-05-08
32/2-1	1228.000000	1247.000000	STATFJORD FM	FORMATION	\N	5839	157	\N	9999-12-31	2013-05-08
32/2-1	823.000000	1187.000000	VIKING GP	GROUP	\N	5839	188	\N	9999-12-31	2013-05-08
32/2-1	755.000000	823.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5839	198	23	9999-12-31	2013-05-08
32/2-1	1228.000000	1247.000000	NO GROUP DEFINED	GROUP	\N	5839	208	\N	9999-12-31	2013-05-08
15/5-7	2110.000000	2142.000000	BALDER FM	FORMATION	ROGALAND GP	5842	6	131	9999-12-31	2013-05-08
15/5-7	3399.000000	3666.000000	CROMER KNOLL GP	GROUP	\N	5842	23	\N	9999-12-31	2013-05-08
15/5-7	3666.000000	3762.000000	DRAUPNE FM	FORMATION	VIKING GP	5842	28	188	9999-12-31	2013-05-08
15/5-7	2719.000000	2790.000000	EKOFISK FM	FORMATION	SHETLAND GP	5842	33	143	9999-12-31	2013-05-08
15/5-7	1732.000000	2110.000000	GRID FM	FORMATION	HORDALAND GP	5842	53	67	9999-12-31	2013-05-08
15/5-7	3762.000000	3821.000000	HEATHER FM	FORMATION	VIKING GP	5842	60	188	9999-12-31	2013-05-08
15/5-7	2222.000000	2630.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5842	62	131	9999-12-31	2013-05-08
15/5-7	3053.000000	3399.000000	HOD FM	FORMATION	SHETLAND GP	5842	66	143	9999-12-31	2013-05-08
15/5-7	991.000000	2110.000000	HORDALAND GP	GROUP	\N	5842	67	\N	9999-12-31	2013-05-08
15/5-7	3821.000000	3919.000000	HUGIN FM	FORMATION	VESTLAND GP	5842	69	186	9999-12-31	2013-05-08
15/5-7	2190.000000	2222.000000	LISTA FM	FORMATION	ROGALAND GP	5842	95	131	9999-12-31	2013-05-08
15/5-7	2630.000000	2660.000000	LISTA FM	FORMATION	ROGALAND GP	5842	95	131	9999-12-31	2013-05-08
15/5-7	145.000000	991.000000	NORDLAND GP	GROUP	\N	5842	113	\N	9999-12-31	2013-05-08
15/5-7	2110.000000	2719.000000	ROGALAND GP	GROUP	\N	5842	131	\N	9999-12-31	2013-05-08
15/5-7	3399.000000	3480.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5842	137	23	9999-12-31	2013-05-08
15/5-7	2142.000000	2190.000000	SELE FM	FORMATION	ROGALAND GP	5842	142	131	9999-12-31	2013-05-08
15/5-7	2719.000000	3399.000000	SHETLAND GP	GROUP	\N	5842	143	\N	9999-12-31	2013-05-08
15/5-7	4008.000000	4037.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5842	146	61	9999-12-31	2013-05-08
15/5-7	3919.000000	4008.000000	SLEIPNER FM	FORMATION	VESTLAND GP	5842	148	186	9999-12-31	2013-05-08
15/5-7	3480.000000	3666.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5842	152	23	9999-12-31	2013-05-08
15/5-7	2790.000000	3053.000000	TOR FM	FORMATION	SHETLAND GP	5842	171	143	9999-12-31	2013-05-08
15/5-7	2660.000000	2719.000000	TY FM	FORMATION	ROGALAND GP	5842	176	131	9999-12-31	2013-05-08
15/5-7	791.000000	991.000000	UTSIRA FM	FORMATION	NORDLAND GP	5842	183	113	9999-12-31	2013-05-08
15/5-7	3821.000000	4008.000000	VESTLAND GP	GROUP	\N	5842	186	\N	9999-12-31	2013-05-08
15/5-7	3666.000000	3821.000000	VIKING GP	GROUP	\N	5842	188	\N	9999-12-31	2013-05-08
15/5-7	4008.000000	4037.000000	NO GROUP DEFINED	GROUP	\N	5842	208	\N	9999-12-31	2013-05-08
6407/7-8	1368.000000	1997.000000	BRYGGE FM	FORMATION	HORDALAND GP	5844	18	67	9999-12-31	2013-05-08
6407/7-8	4563.000000	5138.000000	BÅT GP	GROUP	\N	5844	22	\N	9999-12-31	2013-05-08
6407/7-8	2840.000000	4120.000000	CROMER KNOLL GP	GROUP	\N	5844	23	\N	9999-12-31	2013-05-08
6407/7-8	4330.000000	4563.000000	FANGST GP	GROUP	\N	5844	38	\N	9999-12-31	2013-05-08
6407/7-8	4330.000000	4418.000000	GARN FM	FORMATION	FANGST GP	5844	48	38	9999-12-31	2013-05-08
6407/7-8	1368.000000	1997.000000	HORDALAND GP	GROUP	\N	5844	67	\N	9999-12-31	2013-05-08
6407/7-8	4457.000000	4563.000000	ILE FM	FORMATION	FANGST GP	5844	70	38	9999-12-31	2013-05-08
6407/7-8	1212.000000	1368.000000	KAI FM	FORMATION	NORDLAND GP	5844	77	113	9999-12-31	2013-05-08
6407/7-8	2566.000000	2840.000000	KVITNOS FM	FORMATION	SHETLAND GP	5844	91	143	9999-12-31	2013-05-08
6407/7-8	3119.000000	4005.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5844	94	23	9999-12-31	2013-05-08
6407/7-8	4005.000000	4120.000000	LYR FM	FORMATION	CROMER KNOLL GP	5844	98	23	9999-12-31	2013-05-08
6407/7-8	2840.000000	3119.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5844	99	23	9999-12-31	2013-05-08
6407/7-8	4184.000000	4330.000000	MELKE FM	FORMATION	VIKING GP	5844	105	188	9999-12-31	2013-05-08
6407/7-8	311.000000	1212.000000	NAUST FM	FORMATION	NORDLAND GP	5844	109	113	9999-12-31	2013-05-08
6407/7-8	2362.000000	2566.000000	NISE FM	FORMATION	SHETLAND GP	5844	112	143	9999-12-31	2013-05-08
6407/7-8	311.000000	1368.000000	NORDLAND GP	GROUP	\N	5844	113	\N	9999-12-31	2013-05-08
6407/7-8	4418.000000	4457.000000	NOT FM	FORMATION	FANGST GP	5844	120	38	9999-12-31	2013-05-08
6407/7-8	1997.000000	2210.000000	ROGALAND GP	GROUP	\N	5844	131	\N	9999-12-31	2013-05-08
6407/7-8	4563.000000	4606.000000	ROR FM	FORMATION	BÅT GP	5844	135	22	9999-12-31	2013-05-08
6407/7-8	4616.000000	4752.000000	ROR FM	FORMATION	BÅT GP	5844	135	22	9999-12-31	2013-05-08
6407/7-8	2210.000000	2840.000000	SHETLAND GP	GROUP	\N	5844	143	\N	9999-12-31	2013-05-08
6407/7-8	4120.000000	4184.000000	SPEKK FM	FORMATION	VIKING GP	5844	155	188	9999-12-31	2013-05-08
6407/7-8	2210.000000	2362.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5844	156	143	9999-12-31	2013-05-08
6407/7-8	2132.000000	2210.000000	TANG FM	FORMATION	ROGALAND GP	5844	161	131	9999-12-31	2013-05-08
6407/7-8	1997.000000	2132.000000	TARE FM	FORMATION	ROGALAND GP	5844	163	131	9999-12-31	2013-05-08
6407/7-8	4752.000000	4981.000000	TILJE FM	FORMATION	BÅT GP	5844	169	22	9999-12-31	2013-05-08
6407/7-8	4606.000000	4616.000000	TOFTE FM	FORMATION	BÅT GP	5844	170	22	9999-12-31	2013-05-08
6407/7-8	4120.000000	4330.000000	VIKING GP	GROUP	\N	5844	188	\N	9999-12-31	2013-05-08
6407/7-8	4981.000000	5138.000000	ÅRE FM	FORMATION	BÅT GP	5844	197	22	9999-12-31	2013-05-08
6706/12-1	2213.000000	2368.000000	BRYGGE FM	FORMATION	HORDALAND GP	5867	18	67	9999-12-31	2013-05-08
6706/12-1	2213.000000	2368.000000	HORDALAND GP	GROUP	\N	5867	67	\N	9999-12-31	2013-05-08
6706/12-1	2119.000000	2213.000000	KAI FM	FORMATION	NORDLAND GP	5867	77	113	9999-12-31	2013-05-08
6706/12-1	3517.000000	3950.000000	KVITNOS FM	FORMATION	SHETLAND GP	5867	91	143	9999-12-31	2013-05-08
6706/12-1	1286.000000	2119.000000	NAUST FM	FORMATION	NORDLAND GP	5867	109	113	9999-12-31	2013-05-08
6706/12-1	2590.000000	3517.000000	NISE FM	FORMATION	SHETLAND GP	5867	112	143	9999-12-31	2013-05-08
6706/12-1	1286.000000	2213.000000	NORDLAND GP	GROUP	\N	5867	113	\N	9999-12-31	2013-05-08
6706/12-1	2368.000000	2427.000000	ROGALAND GP	GROUP	\N	5867	131	\N	9999-12-31	2013-05-08
6706/12-1	2427.000000	3950.000000	SHETLAND GP	GROUP	\N	5867	143	\N	9999-12-31	2013-05-08
6706/12-1	2427.000000	2590.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5867	156	143	9999-12-31	2013-05-08
6706/12-1	2368.000000	2427.000000	TARE FM	FORMATION	ROGALAND GP	5867	163	131	9999-12-31	2013-05-08
6608/11-6	1354.000000	1442.000000	BRYGGE FM	FORMATION	HORDALAND GP	5868	18	67	9999-12-31	2013-05-08
6608/11-6	1601.000000	1850.000000	BÅT GP	GROUP	\N	5868	22	\N	9999-12-31	2013-05-08
6608/11-6	1551.000000	1601.000000	FANGST GP	GROUP	\N	5868	38	\N	9999-12-31	2013-05-08
6608/11-6	1354.000000	1442.000000	HORDALAND GP	GROUP	\N	5868	67	\N	9999-12-31	2013-05-08
6608/11-6	1587.000000	1601.000000	ILE FM	FORMATION	FANGST GP	5868	70	38	9999-12-31	2013-05-08
6608/11-6	1331.000000	1354.000000	KAI FM	FORMATION	NORDLAND GP	5868	77	113	9999-12-31	2013-05-08
6608/11-6	1500.000000	1551.000000	MELKE FM	FORMATION	VIKING GP	5868	105	188	9999-12-31	2013-05-08
6608/11-6	379.000000	1331.000000	NAUST FM	FORMATION	NORDLAND GP	5868	109	113	9999-12-31	2013-05-08
6608/11-6	379.000000	1354.000000	NORDLAND GP	GROUP	\N	5868	113	\N	9999-12-31	2013-05-08
6608/11-6	1551.000000	1587.000000	NOT FM	FORMATION	FANGST GP	5868	120	38	9999-12-31	2013-05-08
6608/11-6	1442.000000	1500.000000	ROGALAND GP	GROUP	\N	5868	131	\N	9999-12-31	2013-05-08
6608/11-6	1442.000000	1500.000000	TARE FM	FORMATION	ROGALAND GP	5868	163	131	9999-12-31	2013-05-08
6608/11-6	1601.000000	1630.000000	TILJE FM	FORMATION	BÅT GP	5868	169	22	9999-12-31	2013-05-08
6608/11-6	1500.000000	1551.000000	VIKING GP	GROUP	\N	5868	188	\N	9999-12-31	2013-05-08
6608/11-6	1630.000000	1850.000000	ÅRE FM	FORMATION	BÅT GP	5868	197	22	9999-12-31	2013-05-08
16/1-10	1734.000000	1744.000000	BALDER FM	FORMATION	ROGALAND GP	5879	6	131	9999-12-31	2013-05-08
16/1-10	1890.000000	1898.000000	CROMER KNOLL GP	GROUP	\N	5879	23	\N	9999-12-31	2013-05-08
16/1-10	1860.000000	1890.000000	EKOFISK FM	FORMATION	SHETLAND GP	5879	33	143	9999-12-31	2013-05-08
16/1-10	1494.000000	1734.000000	GRID FM	FORMATION	HORDALAND GP	5879	53	67	9999-12-31	2013-05-08
16/1-10	880.000000	1734.000000	HORDALAND GP	GROUP	\N	5879	67	\N	9999-12-31	2013-05-08
16/1-10	1772.000000	1848.000000	LISTA FM	FORMATION	ROGALAND GP	5879	95	131	9999-12-31	2013-05-08
16/1-10	135.000000	880.000000	NORDLAND GP	GROUP	\N	5879	113	\N	9999-12-31	2013-05-08
16/1-10	1734.000000	1860.000000	ROGALAND GP	GROUP	\N	5879	131	\N	9999-12-31	2013-05-08
16/1-10	1744.000000	1772.000000	SELE FM	FORMATION	ROGALAND GP	5879	142	131	9999-12-31	2013-05-08
16/1-10	1860.000000	1890.000000	SHETLAND GP	GROUP	\N	5879	143	\N	9999-12-31	2013-05-08
16/1-10	954.000000	1494.000000	SKADE FM	FORMATION	HORDALAND GP	5879	145	67	9999-12-31	2013-05-08
16/1-10	756.000000	880.000000	UTSIRA FM	FORMATION	NORDLAND GP	5879	183	113	9999-12-31	2013-05-08
16/1-10	1848.000000	1860.000000	VÅLE FM	FORMATION	ROGALAND GP	5879	190	131	9999-12-31	2013-05-08
16/1-10	1898.000000	2151.000000	NO GROUP DEFINED	GROUP	\N	5879	208	\N	9999-12-31	2013-05-08
7222/11-1	589.000000	636.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5916	46	79	9999-12-31	2013-05-08
7222/11-1	451.000000	2007.000000	KAPP TOSCANA GP	GROUP	\N	5916	79	\N	9999-12-31	2013-05-08
7222/11-1	2007.000000	2658.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5916	83	140	9999-12-31	2013-05-08
7222/11-1	379.000000	451.000000	NORDLAND GP	GROUP	\N	5916	113	\N	9999-12-31	2013-05-08
7222/11-1	2007.000000	2658.000000	SASSENDALEN GP	GROUP	\N	5916	140	\N	9999-12-31	2013-05-08
7222/11-1	636.000000	2007.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5916	150	79	9999-12-31	2013-05-08
34/7-33	1669.000000	1710.000000	BALDER FM	FORMATION	ROGALAND GP	5917	6	131	9999-12-31	2013-05-08
34/7-33	2372.000000	2587.000000	BRENT GP	GROUP	\N	5917	16	\N	9999-12-31	2013-05-08
34/7-33	2561.000000	2587.000000	BROOM FM	FORMATION	BRENT GP	5917	17	16	9999-12-31	2013-05-08
34/7-33	2587.000000	2615.000000	DRAKE FM	FORMATION	DUNLIN GP	5917	27	29	9999-12-31	2013-05-08
34/7-33	2587.000000	2615.000000	DUNLIN GP	GROUP	\N	5917	29	\N	9999-12-31	2013-05-08
34/7-33	2470.000000	2499.000000	ETIVE FM	FORMATION	BRENT GP	5917	35	16	9999-12-31	2013-05-08
34/7-33	2355.000000	2372.000000	HEATHER FM	FORMATION	VIKING GP	5917	60	188	9999-12-31	2013-05-08
34/7-33	1037.000000	1669.000000	HORDALAND GP	GROUP	\N	5917	67	\N	9999-12-31	2013-05-08
34/7-33	1710.000000	1842.000000	LISTA FM	FORMATION	ROGALAND GP	5917	95	131	9999-12-31	2013-05-08
34/7-33	2372.000000	2470.000000	NESS FM	FORMATION	BRENT GP	5917	110	16	9999-12-31	2013-05-08
34/7-33	2322.000000	2355.000000	NO FORMAL NAME	FORMATION	\N	5917	111	\N	9999-12-31	2013-05-08
34/7-33	255.000000	1037.000000	NORDLAND GP	GROUP	\N	5917	113	\N	9999-12-31	2013-05-08
34/7-33	2499.000000	2561.000000	RANNOCH FM	FORMATION	BRENT GP	5917	126	16	9999-12-31	2013-05-08
34/7-33	1669.000000	1842.000000	ROGALAND GP	GROUP	\N	5917	131	\N	9999-12-31	2013-05-08
34/7-33	1842.000000	2355.000000	SHETLAND GP	GROUP	\N	5917	143	\N	9999-12-31	2013-05-08
34/7-33	911.000000	1037.000000	UTSIRA FM	FORMATION	NORDLAND GP	5917	183	113	9999-12-31	2013-05-08
34/7-33	2355.000000	2372.000000	VIKING GP	GROUP	\N	5917	188	\N	9999-12-31	2013-05-08
6707/10-2 S	2096.000000	2189.000000	BRYGGE FM	FORMATION	HORDALAND GP	5918	18	67	9999-12-31	2013-05-08
6707/10-2 S	2096.000000	2189.000000	HORDALAND GP	GROUP	\N	5918	67	\N	9999-12-31	2013-05-08
6707/10-2 S	2068.000000	2096.000000	KAI FM	FORMATION	NORDLAND GP	5918	77	113	9999-12-31	2013-05-08
6707/10-2 S	1271.000000	2068.000000	NAUST FM	FORMATION	NORDLAND GP	5918	109	113	9999-12-31	2013-05-08
6707/10-2 S	3127.000000	3365.000000	NISE FM	FORMATION	SHETLAND GP	5918	112	143	9999-12-31	2013-05-08
6707/10-2 S	1271.000000	2096.000000	NORDLAND GP	GROUP	\N	5918	113	\N	9999-12-31	2013-05-08
6707/10-2 S	2189.000000	2294.000000	ROGALAND GP	GROUP	\N	5918	131	\N	9999-12-31	2013-05-08
6707/10-2 S	2294.000000	3365.000000	SHETLAND GP	GROUP	\N	5918	143	\N	9999-12-31	2013-05-08
6707/10-2 S	2294.000000	3127.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5918	156	143	9999-12-31	2013-05-08
6707/10-2 S	2224.000000	2294.000000	TANG FM	FORMATION	ROGALAND GP	5918	161	131	9999-12-31	2013-05-08
6707/10-2 S	2189.000000	2224.000000	TARE FM	FORMATION	ROGALAND GP	5918	163	131	9999-12-31	2013-05-08
30/11-7	2152.000000	2204.000000	BALDER FM	FORMATION	ROGALAND GP	5919	6	131	9999-12-31	2013-05-08
30/11-7	3953.000000	4027.000000	BRENT GP	GROUP	\N	5919	16	\N	9999-12-31	2013-05-08
30/11-7	3710.000000	3722.000000	CROMER KNOLL GP	GROUP	\N	5919	23	\N	9999-12-31	2013-05-08
30/11-7	4027.000000	4067.000000	DRAKE FM	FORMATION	DUNLIN GP	5919	27	29	9999-12-31	2013-05-08
30/11-7	3722.000000	3734.000000	DRAUPNE FM	FORMATION	VIKING GP	5919	28	188	9999-12-31	2013-05-08
30/11-7	4027.000000	4067.000000	DUNLIN GP	GROUP	\N	5919	29	\N	9999-12-31	2013-05-08
30/11-7	4002.000000	4017.000000	ETIVE FM	FORMATION	BRENT GP	5919	35	16	9999-12-31	2013-05-08
30/11-7	2119.000000	2152.000000	FRIGG FM	FORMATION	HORDALAND GP	5919	45	67	9999-12-31	2013-05-08
30/11-7	3734.000000	3953.000000	HEATHER FM	FORMATION	VIKING GP	5919	60	188	9999-12-31	2013-05-08
30/11-7	2544.000000	2614.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5919	62	131	9999-12-31	2013-05-08
30/11-7	2208.000000	2319.000000	HERMOD FM	FORMATION	ROGALAND GP	5919	64	131	9999-12-31	2013-05-08
30/11-7	1029.000000	2152.000000	HORDALAND GP	GROUP	\N	5919	67	\N	9999-12-31	2013-05-08
30/11-7	2626.000000	2901.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5919	74	143	9999-12-31	2013-05-08
30/11-7	2901.000000	3425.000000	KYRRE FM	FORMATION	SHETLAND GP	5919	92	143	9999-12-31	2013-05-08
30/11-7	2319.000000	2544.000000	LISTA FM	FORMATION	ROGALAND GP	5919	95	131	9999-12-31	2013-05-08
30/11-7	3953.000000	4002.000000	NESS FM	FORMATION	BRENT GP	5919	110	16	9999-12-31	2013-05-08
30/11-7	1360.000000	2119.000000	NO FORMAL NAME	FORMATION	\N	5919	111	\N	9999-12-31	2013-05-08
30/11-7	129.000000	1029.000000	NORDLAND GP	GROUP	\N	5919	113	\N	9999-12-31	2013-05-08
30/11-7	4017.000000	4027.000000	RANNOCH FM	FORMATION	BRENT GP	5919	126	16	9999-12-31	2013-05-08
30/11-7	2152.000000	2626.000000	ROGALAND GP	GROUP	\N	5919	131	\N	9999-12-31	2013-05-08
30/11-7	2204.000000	2208.000000	SELE FM	FORMATION	ROGALAND GP	5919	142	131	9999-12-31	2013-05-08
30/11-7	2626.000000	3710.000000	SHETLAND GP	GROUP	\N	5919	143	\N	9999-12-31	2013-05-08
30/11-7	1091.000000	1360.000000	SKADE FM	FORMATION	HORDALAND GP	5919	145	67	9999-12-31	2013-05-08
30/11-7	3425.000000	3710.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	5919	173	143	9999-12-31	2013-05-08
30/11-7	699.000000	1029.000000	UTSIRA FM	FORMATION	NORDLAND GP	5919	183	113	9999-12-31	2013-05-08
30/11-7	3722.000000	3953.000000	VIKING GP	GROUP	\N	5919	188	\N	9999-12-31	2013-05-08
30/11-7	2614.000000	2626.000000	VÅLE FM	FORMATION	ROGALAND GP	5919	190	131	9999-12-31	2013-05-08
34/3-1 A	4131.000000	4162.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	5921	4	29	9999-12-31	2013-05-08
34/3-1 A	2002.000000	2030.000000	BALDER FM	FORMATION	ROGALAND GP	5921	6	131	9999-12-31	2013-05-08
34/3-1 A	4067.000000	4131.000000	BURTON FM	FORMATION	DUNLIN GP	5921	20	29	9999-12-31	2013-05-08
34/3-1 A	3776.000000	3782.000000	CROMER KNOLL GP	GROUP	\N	5921	23	\N	9999-12-31	2013-05-08
34/3-1 A	3954.000000	4067.000000	COOK FM	FORMATION	DUNLIN GP	5921	24	29	9999-12-31	2013-05-08
34/3-1 A	3782.000000	3954.000000	DRAKE FM	FORMATION	DUNLIN GP	5921	27	29	9999-12-31	2013-05-08
34/3-1 A	3782.000000	4162.000000	DUNLIN GP	GROUP	\N	5921	29	\N	9999-12-31	2013-05-08
34/3-1 A	1494.000000	2002.000000	HORDALAND GP	GROUP	\N	5921	67	\N	9999-12-31	2013-05-08
34/3-1 A	2141.000000	2315.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5921	74	143	9999-12-31	2013-05-08
34/3-1 A	2315.000000	3450.000000	KYRRE FM	FORMATION	SHETLAND GP	5921	92	143	9999-12-31	2013-05-08
34/3-1 A	2050.000000	2141.000000	LISTA FM	FORMATION	ROGALAND GP	5921	95	131	9999-12-31	2013-05-08
34/3-1 A	3776.000000	3782.000000	MIME FM	FORMATION	CROMER KNOLL GP	5921	106	23	9999-12-31	2013-05-08
34/3-1 A	1464.000000	1494.000000	NO FORMAL NAME	FORMATION	\N	5921	111	\N	9999-12-31	2013-05-08
34/3-1 A	436.000000	1494.000000	NORDLAND GP	GROUP	\N	5921	113	\N	9999-12-31	2013-05-08
34/3-1 A	2002.000000	2141.000000	ROGALAND GP	GROUP	\N	5921	131	\N	9999-12-31	2013-05-08
34/3-1 A	2030.000000	2050.000000	SELE FM	FORMATION	ROGALAND GP	5921	142	131	9999-12-31	2013-05-08
34/3-1 A	2141.000000	3776.000000	SHETLAND GP	GROUP	\N	5921	143	\N	9999-12-31	2013-05-08
34/3-1 A	3450.000000	3776.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	5921	173	143	9999-12-31	2013-05-08
34/3-1 A	1421.000000	1464.000000	UTSIRA FM	FORMATION	NORDLAND GP	5921	183	113	9999-12-31	2013-05-08
6507/6-3	1275.000000	1288.000000	BRYGGE FM	FORMATION	HORDALAND GP	5922	18	67	9999-12-31	2013-05-08
6507/6-3	1490.000000	1850.000000	BÅT GP	GROUP	\N	5922	22	\N	9999-12-31	2013-05-08
6507/6-3	1430.000000	1490.000000	FANGST GP	GROUP	\N	5922	38	\N	9999-12-31	2013-05-08
6507/6-3	1275.000000	1288.000000	HORDALAND GP	GROUP	\N	5922	67	\N	9999-12-31	2013-05-08
6507/6-3	1430.000000	1490.000000	ILE FM	FORMATION	FANGST GP	5922	70	38	9999-12-31	2013-05-08
6507/6-3	1206.000000	1275.000000	KAI FM	FORMATION	NORDLAND GP	5922	77	113	9999-12-31	2013-05-08
6507/6-3	1371.000000	1430.000000	MELKE FM	FORMATION	VIKING GP	5922	105	188	9999-12-31	2013-05-08
6507/6-3	711.000000	1206.000000	NAUST FM	FORMATION	NORDLAND GP	5922	109	113	9999-12-31	2013-05-08
6507/6-3	426.000000	1275.000000	NORDLAND GP	GROUP	\N	5922	113	\N	9999-12-31	2013-05-08
6507/6-3	1288.000000	1332.000000	ROGALAND GP	GROUP	\N	5922	131	\N	9999-12-31	2013-05-08
6507/6-3	1332.000000	1339.000000	SHETLAND GP	GROUP	\N	5922	143	\N	9999-12-31	2013-05-08
6507/6-3	1339.000000	1371.000000	SPEKK FM	FORMATION	VIKING GP	5922	155	188	9999-12-31	2013-05-08
6507/6-3	1332.000000	1339.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5922	156	143	9999-12-31	2013-05-08
6507/6-3	1317.000000	1332.000000	TANG FM	FORMATION	ROGALAND GP	5922	161	131	9999-12-31	2013-05-08
6507/6-3	1288.000000	1317.000000	TARE FM	FORMATION	ROGALAND GP	5922	163	131	9999-12-31	2013-05-08
6507/6-3	1490.000000	1590.000000	TILJE FM	FORMATION	BÅT GP	5922	169	22	2013-05-01	2013-05-08
6507/6-3	1339.000000	1430.000000	VIKING GP	GROUP	\N	5922	188	\N	9999-12-31	2013-05-08
6507/6-3	1590.000000	1850.000000	ÅRE FM	FORMATION	BÅT GP	5922	197	22	9999-12-31	2013-05-08
6707/10-2 A	2096.000000	2189.000000	BRYGGE FM	FORMATION	HORDALAND GP	5931	18	67	9999-12-31	2013-05-08
6707/10-2 A	2096.000000	2189.000000	HORDALAND GP	GROUP	\N	5931	67	\N	9999-12-31	2013-05-08
6707/10-2 A	2068.000000	2096.000000	KAI FM	FORMATION	NORDLAND GP	5931	77	113	9999-12-31	2013-05-08
6707/10-2 A	4426.000000	4850.000000	KVITNOS FM	FORMATION	SHETLAND GP	5931	91	143	9999-12-31	2013-05-08
6707/10-2 A	1271.000000	2068.000000	NAUST FM	FORMATION	NORDLAND GP	5931	109	113	9999-12-31	2013-05-08
6707/10-2 A	3129.000000	4426.000000	NISE FM	FORMATION	SHETLAND GP	5931	112	143	9999-12-31	2013-05-08
6707/10-2 A	1271.000000	2096.000000	NORDLAND GP	GROUP	\N	5931	113	\N	9999-12-31	2013-05-08
6707/10-2 A	2189.000000	2294.000000	ROGALAND GP	GROUP	\N	5931	131	\N	9999-12-31	2013-05-08
6707/10-2 A	2294.000000	4850.000000	SHETLAND GP	GROUP	\N	5931	143	\N	9999-12-31	2013-05-08
6707/10-2 A	2294.000000	3129.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5931	156	143	9999-12-31	2013-05-08
6707/10-2 A	2224.000000	2294.000000	TANG FM	FORMATION	ROGALAND GP	5931	161	131	9999-12-31	2013-05-08
6707/10-2 A	2189.000000	2224.000000	TARE FM	FORMATION	ROGALAND GP	5931	163	131	9999-12-31	2013-05-08
3/7-7	2860.000000	2877.000000	BALDER FM	FORMATION	ROGALAND GP	5932	6	131	9999-12-31	2013-05-08
3/7-7	3386.000000	3435.000000	CROMER KNOLL GP	GROUP	\N	5932	23	\N	9999-12-31	2013-05-08
3/7-7	2941.000000	3054.000000	EKOFISK FM	FORMATION	SHETLAND GP	5932	33	143	9999-12-31	2013-05-08
3/7-7	3435.000000	3857.000000	FARSUND FM	FORMATION	TYNE GP	5932	39	177	9999-12-31	2013-05-08
3/7-7	3857.000000	3930.000000	HAUGESUND FM	FORMATION	TYNE GP	5932	57	177	9999-12-31	2013-05-08
3/7-7	3292.000000	3386.000000	HOD FM	FORMATION	SHETLAND GP	5932	66	143	9999-12-31	2013-05-08
3/7-7	1275.000000	2860.000000	HORDALAND GP	GROUP	\N	5932	67	\N	9999-12-31	2013-05-08
3/7-7	2895.000000	2917.000000	LISTA FM	FORMATION	ROGALAND GP	5932	95	131	9999-12-31	2013-05-08
3/7-7	107.000000	1275.000000	NORDLAND GP	GROUP	\N	5932	113	\N	9999-12-31	2013-05-08
3/7-7	2860.000000	2941.000000	ROGALAND GP	GROUP	\N	5932	131	\N	9999-12-31	2013-05-08
3/7-7	2877.000000	2895.000000	SELE FM	FORMATION	ROGALAND GP	5932	142	131	9999-12-31	2013-05-08
3/7-7	2941.000000	3386.000000	SHETLAND GP	GROUP	\N	5932	143	\N	9999-12-31	2013-05-08
3/7-7	3386.000000	3390.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5932	152	23	9999-12-31	2013-05-08
3/7-7	3054.000000	3292.000000	TOR FM	FORMATION	SHETLAND GP	5932	171	143	9999-12-31	2013-05-08
3/7-7	3390.000000	3422.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	5932	175	23	9999-12-31	2013-05-08
3/7-7	3435.000000	3930.000000	TYNE GP	GROUP	\N	5932	177	\N	9999-12-31	2013-05-08
3/7-7	2101.000000	2860.000000	VADE FM	FORMATION	HORDALAND GP	5932	184	67	9999-12-31	2013-05-08
3/7-7	2917.000000	2941.000000	VÅLE FM	FORMATION	ROGALAND GP	5932	190	131	9999-12-31	2013-05-08
3/7-7	3422.000000	3435.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5932	198	23	9999-12-31	2013-05-08
34/8-14 S	1945.000000	2035.000000	BALDER FM	FORMATION	ROGALAND GP	5943	6	131	9999-12-31	2013-05-08
34/8-14 S	3187.000000	3411.000000	BRENT GP	GROUP	\N	5943	16	\N	9999-12-31	2013-05-08
34/8-14 S	3171.000000	3182.000000	CROMER KNOLL GP	GROUP	\N	5943	23	\N	9999-12-31	2013-05-08
34/8-14 S	3411.000000	3470.000000	DRAKE FM	FORMATION	DUNLIN GP	5943	27	29	9999-12-31	2013-05-08
34/8-14 S	3182.000000	3184.000000	DRAUPNE FM	FORMATION	VIKING GP	5943	28	188	9999-12-31	2013-05-08
34/8-14 S	3411.000000	3470.000000	DUNLIN GP	GROUP	\N	5943	29	\N	9999-12-31	2013-05-08
34/8-14 S	3301.000000	3337.000000	ETIVE FM	FORMATION	BRENT GP	5943	35	16	9999-12-31	2013-05-08
34/8-14 S	3184.000000	3187.000000	HEATHER FM	FORMATION	VIKING GP	5943	60	188	9999-12-31	2013-05-08
34/8-14 S	1115.000000	1945.000000	HORDALAND GP	GROUP	\N	5943	67	\N	9999-12-31	2013-05-08
34/8-14 S	2213.000000	2375.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5943	74	143	9999-12-31	2013-05-08
34/8-14 S	2375.000000	3171.000000	KYRRE FM	FORMATION	SHETLAND GP	5943	92	143	9999-12-31	2013-05-08
34/8-14 S	2055.000000	2213.000000	LISTA FM	FORMATION	ROGALAND GP	5943	95	131	9999-12-31	2013-05-08
34/8-14 S	3244.000000	3301.000000	NESS FM	FORMATION	BRENT GP	5943	110	16	9999-12-31	2013-05-08
34/8-14 S	1409.000000	1445.000000	NO FORMAL NAME	FORMATION	\N	5943	111	\N	9999-12-31	2013-05-08
34/8-14 S	1445.000000	1476.000000	NO FORMAL NAME	FORMATION	\N	5943	111	\N	9999-12-31	2013-05-08
34/8-14 S	1476.000000	1497.000000	NO FORMAL NAME	FORMATION	\N	5943	111	\N	9999-12-31	2013-05-08
34/8-14 S	1497.000000	1945.000000	NO FORMAL NAME	FORMATION	\N	5943	111	\N	9999-12-31	2013-05-08
34/8-14 S	323.000000	1115.000000	NORDLAND GP	GROUP	\N	5943	113	\N	9999-12-31	2013-05-08
34/8-14 S	3337.000000	3411.000000	RANNOCH FM	FORMATION	BRENT GP	5943	126	16	9999-12-31	2013-05-08
34/8-14 S	1945.000000	2213.000000	ROGALAND GP	GROUP	\N	5943	131	\N	9999-12-31	2013-05-08
34/8-14 S	2035.000000	2055.000000	SELE FM	FORMATION	ROGALAND GP	5943	142	131	9999-12-31	2013-05-08
34/8-14 S	2213.000000	3171.000000	SHETLAND GP	GROUP	\N	5943	143	\N	9999-12-31	2013-05-08
34/8-14 S	3187.000000	3244.000000	TARBERT FM	FORMATION	BRENT GP	5943	162	16	9999-12-31	2013-05-08
34/8-14 S	1002.000000	1115.000000	UTSIRA FM	FORMATION	NORDLAND GP	5943	183	113	9999-12-31	2013-05-08
34/8-14 S	3182.000000	3187.000000	VIKING GP	GROUP	\N	5943	188	\N	9999-12-31	2013-05-08
7125/4-2	553.000000	930.000000	ADVENTDALEN GP	GROUP	\N	5944	1	\N	9999-12-31	2013-05-08
7125/4-2	930.000000	1026.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5944	46	79	9999-12-31	2013-05-08
7125/4-2	891.000000	930.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	5944	63	1	9999-12-31	2013-05-08
7125/4-2	930.000000	1299.000000	KAPP TOSCANA GP	GROUP	\N	5944	79	\N	9999-12-31	2013-05-08
7125/4-2	1683.000000	1750.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	5944	80	140	9999-12-31	2013-05-08
7125/4-2	844.000000	891.000000	KNURR FM	FORMATION	ADVENTDALEN GP	5944	82	1	9999-12-31	2013-05-08
7125/4-2	1299.000000	1683.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5944	83	140	9999-12-31	2013-05-08
7125/4-2	812.000000	844.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	5944	84	1	9999-12-31	2013-05-08
7125/4-2	553.000000	812.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5944	85	1	9999-12-31	2013-05-08
7125/4-2	523.000000	553.000000	KVITING FM	FORMATION	NYGRUNNEN GP	5944	90	122	9999-12-31	2013-05-08
7125/4-2	317.000000	523.000000	NORDLAND GP	GROUP	\N	5944	113	\N	9999-12-31	2013-05-08
7125/4-2	523.000000	553.000000	NYGRUNNEN GP	GROUP	\N	5944	122	\N	9999-12-31	2013-05-08
7125/4-2	1299.000000	1750.000000	SASSENDALEN GP	GROUP	\N	5944	140	\N	9999-12-31	2013-05-08
7125/4-2	1026.000000	1299.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5944	150	79	9999-12-31	2013-05-08
7125/4-2	520.000000	523.000000	TORSK FM	FORMATION	SOTBAKKEN GP	5944	172	154	9999-12-31	2013-05-08
15/5-7 A	2110.000000	2142.000000	BALDER FM	FORMATION	ROGALAND GP	5946	6	131	9999-12-31	2013-05-08
15/5-7 A	3402.000000	3728.000000	CROMER KNOLL GP	GROUP	\N	5946	23	\N	9999-12-31	2013-05-08
15/5-7 A	3728.000000	3870.000000	DRAUPNE FM	FORMATION	VIKING GP	5946	28	188	9999-12-31	2013-05-08
15/5-7 A	2719.000000	2790.000000	EKOFISK FM	FORMATION	SHETLAND GP	5946	33	143	9999-12-31	2013-05-08
15/5-7 A	1732.000000	2110.000000	GRID FM	FORMATION	HORDALAND GP	5946	53	67	9999-12-31	2013-05-08
15/5-7 A	3870.000000	3973.000000	HEATHER FM	FORMATION	VIKING GP	5946	60	188	9999-12-31	2013-05-08
15/5-7 A	2222.000000	2630.000000	HEIMDAL FM	FORMATION	ROGALAND GP	5946	62	131	9999-12-31	2013-05-08
15/5-7 A	3053.000000	3402.000000	HOD FM	FORMATION	SHETLAND GP	5946	66	143	9999-12-31	2013-05-08
15/5-7 A	991.000000	2110.000000	HORDALAND GP	GROUP	\N	5946	67	\N	9999-12-31	2013-05-08
15/5-7 A	3973.000000	4098.000000	HUGIN FM	FORMATION	VESTLAND GP	5946	69	186	9999-12-31	2013-05-08
15/5-7 A	2190.000000	2222.000000	LISTA FM	FORMATION	ROGALAND GP	5946	95	131	9999-12-31	2013-05-08
15/5-7 A	2630.000000	2660.000000	LISTA FM	FORMATION	ROGALAND GP	5946	95	131	9999-12-31	2013-05-08
15/5-7 A	145.000000	991.000000	NORDLAND GP	GROUP	\N	5946	113	\N	9999-12-31	2013-05-08
15/5-7 A	2110.000000	2719.000000	ROGALAND GP	GROUP	\N	5946	131	\N	9999-12-31	2013-05-08
15/5-7 A	3402.000000	3493.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5946	137	23	9999-12-31	2013-05-08
15/5-7 A	2142.000000	2190.000000	SELE FM	FORMATION	ROGALAND GP	5946	142	131	9999-12-31	2013-05-08
15/5-7 A	2719.000000	3402.000000	SHETLAND GP	GROUP	\N	5946	143	\N	9999-12-31	2013-05-08
15/5-7 A	4098.000000	4199.000000	SLEIPNER FM	FORMATION	VESTLAND GP	5946	148	186	9999-12-31	2013-05-08
15/5-7 A	3493.000000	3728.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5946	152	23	9999-12-31	2013-05-08
15/5-7 A	2790.000000	3053.000000	TOR FM	FORMATION	SHETLAND GP	5946	171	143	9999-12-31	2013-05-08
15/5-7 A	2660.000000	2719.000000	TY FM	FORMATION	ROGALAND GP	5946	176	131	9999-12-31	2013-05-08
15/5-7 A	791.000000	991.000000	UTSIRA FM	FORMATION	NORDLAND GP	5946	183	113	9999-12-31	2013-05-08
15/5-7 A	3973.000000	4199.000000	VESTLAND GP	GROUP	\N	5946	186	\N	9999-12-31	2013-05-08
15/5-7 A	3728.000000	3973.000000	VIKING GP	GROUP	\N	5946	188	\N	9999-12-31	2013-05-08
2/5-13	3084.000000	3093.000000	BALDER FM	FORMATION	ROGALAND GP	5948	6	131	9999-12-31	2013-05-08
2/5-13	4258.000000	4276.000000	BLODØKS FM	FORMATION	SHETLAND GP	5948	13	143	9999-12-31	2013-05-08
2/5-13	4525.000000	4576.000000	BRYNE FM	FORMATION	VESTLAND GP	5948	19	186	9999-12-31	2013-05-08
2/5-13	3222.000000	3337.000000	EKOFISK FM	FORMATION	SHETLAND GP	5948	33	143	9999-12-31	2013-05-08
2/5-13	4320.000000	4456.000000	FARSUND FM	FORMATION	TYNE GP	5948	39	177	9999-12-31	2013-05-08
2/5-13	4456.000000	4525.000000	HAUGESUND FM	FORMATION	TYNE GP	5948	57	177	2013-03-21	2013-05-08
2/5-13	4276.000000	4320.000000	HIDRA FM	FORMATION	SHETLAND GP	5948	65	143	9999-12-31	2013-05-08
2/5-13	3790.000000	4258.000000	HOD FM	FORMATION	SHETLAND GP	5948	66	143	2013-03-21	2013-05-08
2/5-13	1784.000000	3084.000000	HORDALAND GP	GROUP	\N	5948	67	\N	9999-12-31	2013-05-08
2/5-13	3102.000000	3198.000000	LISTA FM	FORMATION	ROGALAND GP	5948	95	131	9999-12-31	2013-05-08
2/5-13	110.000000	1784.000000	NORDLAND GP	GROUP	\N	5948	113	\N	9999-12-31	2013-05-08
2/5-13	3084.000000	3222.000000	ROGALAND GP	GROUP	\N	5948	131	\N	9999-12-31	2013-05-08
2/5-13	3093.000000	3102.000000	SELE FM	FORMATION	ROGALAND GP	5948	142	131	9999-12-31	2013-05-08
2/5-13	3222.000000	4320.000000	SHETLAND GP	GROUP	\N	5948	143	\N	2013-03-21	2013-05-08
2/5-13	4576.000000	4675.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5948	146	61	9999-12-31	2013-05-08
2/5-13	3337.000000	3790.000000	TOR FM	FORMATION	SHETLAND GP	5948	171	143	9999-12-31	2013-05-08
2/5-13	4320.000000	4525.000000	TYNE GP	GROUP	\N	5948	177	\N	2013-03-21	2013-05-08
2/5-13	4525.000000	4576.000000	VESTLAND GP	GROUP	\N	5948	186	\N	9999-12-31	2013-05-08
2/5-13	3198.000000	3222.000000	VÅLE FM	FORMATION	ROGALAND GP	5948	190	131	9999-12-31	2013-05-08
2/5-13	4576.000000	4675.000000	NO GROUP DEFINED	GROUP	\N	5948	208	\N	9999-12-31	2013-05-08
6608/10-12	1565.000000	1772.000000	BRYGGE FM	FORMATION	HORDALAND GP	5949	18	67	9999-12-31	2013-05-08
6608/10-12	2770.000000	3060.000000	BÅT GP	GROUP	\N	5949	22	\N	9999-12-31	2013-05-08
6608/10-12	2534.000000	2674.000000	CROMER KNOLL GP	GROUP	\N	5949	23	\N	9999-12-31	2013-05-08
6608/10-12	2738.000000	2770.000000	FANGST GP	GROUP	\N	5949	38	\N	9999-12-31	2013-05-08
6608/10-12	3060.000000	3133.000000	GREY BEDS (INFORMAL)	GROUP	\N	5949	52	\N	9999-12-31	2013-05-08
6608/10-12	1565.000000	1772.000000	HORDALAND GP	GROUP	\N	5949	67	\N	9999-12-31	2013-05-08
6608/10-12	1403.000000	1565.000000	KAI FM	FORMATION	NORDLAND GP	5949	77	113	9999-12-31	2013-05-08
6608/10-12	2348.000000	2534.000000	KVITNOS FM	FORMATION	SHETLAND GP	5949	91	143	9999-12-31	2013-05-08
6608/10-12	2539.000000	2599.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5949	94	23	9999-12-31	2013-05-08
6608/10-12	2599.000000	2674.000000	LYR FM	FORMATION	CROMER KNOLL GP	5949	98	23	9999-12-31	2013-05-08
6608/10-12	2534.000000	2539.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5949	99	23	9999-12-31	2013-05-08
6608/10-12	2688.000000	2738.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	5949	104	188	9999-12-31	2013-05-08
6608/10-12	2677.000000	2688.000000	MELKE FM	FORMATION	VIKING GP	5949	105	188	9999-12-31	2013-05-08
6608/10-12	360.000000	1403.000000	NAUST FM	FORMATION	NORDLAND GP	5949	109	113	9999-12-31	2013-05-08
6608/10-12	1982.000000	2348.000000	NISE FM	FORMATION	SHETLAND GP	5949	112	143	9999-12-31	2013-05-08
6608/10-12	360.000000	1565.000000	NORDLAND GP	GROUP	\N	5949	113	\N	9999-12-31	2013-05-08
6608/10-12	2738.000000	2770.000000	NOT FM	FORMATION	FANGST GP	5949	120	38	9999-12-31	2013-05-08
6608/10-12	3133.000000	3180.000000	RED BEDS (INFORMAL)	GROUP	\N	5949	129	\N	9999-12-31	2013-05-08
6608/10-12	1772.000000	1862.000000	ROGALAND GP	GROUP	\N	5949	131	\N	9999-12-31	2013-05-08
6608/10-12	1862.000000	2534.000000	SHETLAND GP	GROUP	\N	5949	143	\N	9999-12-31	2013-05-08
6608/10-12	2674.000000	2677.000000	SPEKK FM	FORMATION	VIKING GP	5949	155	188	9999-12-31	2013-05-08
6608/10-12	1862.000000	1982.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5949	156	143	9999-12-31	2013-05-08
6608/10-12	1834.000000	1862.000000	TANG FM	FORMATION	ROGALAND GP	5949	161	131	9999-12-31	2013-05-08
6608/10-12	1772.000000	1834.000000	TARE FM	FORMATION	ROGALAND GP	5949	163	131	9999-12-31	2013-05-08
6608/10-12	2674.000000	2738.000000	VIKING GP	GROUP	\N	5949	188	\N	9999-12-31	2013-05-08
6608/10-12	2770.000000	3060.000000	ÅRE FM	FORMATION	BÅT GP	5949	197	22	9999-12-31	2013-05-08
6407/7-8 A	1368.000000	1997.000000	BRYGGE FM	FORMATION	HORDALAND GP	5953	18	67	9999-12-31	2013-05-08
6407/7-8 A	4662.000000	5227.000000	BÅT GP	GROUP	\N	5953	22	\N	9999-12-31	2013-05-08
6407/7-8 A	2840.000000	4118.000000	CROMER KNOLL GP	GROUP	\N	5953	23	\N	9999-12-31	2013-05-08
6407/7-8 A	4372.000000	4662.000000	FANGST GP	GROUP	\N	5953	38	\N	9999-12-31	2013-05-08
6407/7-8 A	4372.000000	4482.000000	GARN FM	FORMATION	FANGST GP	5953	48	38	9999-12-31	2013-05-08
6407/7-8 A	1368.000000	1997.000000	HORDALAND GP	GROUP	\N	5953	67	\N	9999-12-31	2013-05-08
6407/7-8 A	4533.000000	4662.000000	ILE FM	FORMATION	FANGST GP	5953	70	38	9999-12-31	2013-05-08
6407/7-8 A	1212.000000	1368.000000	KAI FM	FORMATION	NORDLAND GP	5953	77	113	9999-12-31	2013-05-08
6407/7-8 A	2566.000000	2840.000000	KVITNOS FM	FORMATION	SHETLAND GP	5953	91	143	9999-12-31	2013-05-08
6407/7-8 A	3119.000000	4005.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5953	94	23	9999-12-31	2013-05-08
6407/7-8 A	4005.000000	4118.000000	LYR FM	FORMATION	CROMER KNOLL GP	5953	98	23	9999-12-31	2013-05-08
6407/7-8 A	2840.000000	3119.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5953	99	23	9999-12-31	2013-05-08
6407/7-8 A	4188.000000	4372.000000	MELKE FM	FORMATION	VIKING GP	5953	105	188	9999-12-31	2013-05-08
6407/7-8 A	457.000000	1212.000000	NAUST FM	FORMATION	NORDLAND GP	5953	109	113	9999-12-31	2013-05-08
6407/7-8 A	2362.000000	2566.000000	NISE FM	FORMATION	SHETLAND GP	5953	112	143	9999-12-31	2013-05-08
6407/7-8 A	311.000000	1368.000000	NORDLAND GP	GROUP	\N	5953	113	\N	9999-12-31	2013-05-08
6407/7-8 A	4482.000000	4533.000000	NOT FM	FORMATION	FANGST GP	5953	120	38	9999-12-31	2013-05-08
6407/7-8 A	1997.000000	2210.000000	ROGALAND GP	GROUP	\N	5953	131	\N	9999-12-31	2013-05-08
6407/7-8 A	4662.000000	4721.000000	ROR FM	FORMATION	BÅT GP	5953	135	22	9999-12-31	2013-05-08
6407/7-8 A	4730.000000	4896.000000	ROR FM	FORMATION	BÅT GP	5953	135	22	9999-12-31	2013-05-08
6407/7-8 A	2210.000000	2840.000000	SHETLAND GP	GROUP	\N	5953	143	\N	9999-12-31	2013-05-08
6407/7-8 A	4118.000000	4188.000000	SPEKK FM	FORMATION	VIKING GP	5953	155	188	9999-12-31	2013-05-08
6407/7-8 A	2210.000000	2362.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5953	156	143	9999-12-31	2013-05-08
6407/7-8 A	2132.000000	2210.000000	TANG FM	FORMATION	ROGALAND GP	5953	161	131	9999-12-31	2013-05-08
6407/7-8 A	1997.000000	2132.000000	TARE FM	FORMATION	ROGALAND GP	5953	163	131	9999-12-31	2013-05-08
6407/7-8 A	4896.000000	5145.000000	TILJE FM	FORMATION	BÅT GP	5953	169	22	9999-12-31	2013-05-08
6407/7-8 A	4721.000000	4730.000000	TOFTE FM	FORMATION	BÅT GP	5953	170	22	9999-12-31	2013-05-08
6407/7-8 A	4118.000000	4372.000000	VIKING GP	GROUP	\N	5953	188	\N	9999-12-31	2013-05-08
6407/7-8 A	5145.000000	5227.000000	ÅRE FM	FORMATION	BÅT GP	5953	197	22	9999-12-31	2013-05-08
34/8-14 A	1915.000000	2011.000000	BALDER FM	FORMATION	ROGALAND GP	5954	6	131	9999-12-31	2013-05-08
34/8-14 A	3500.000000	3720.000000	BRENT GP	GROUP	\N	5954	16	\N	9999-12-31	2013-05-08
34/8-14 A	3449.000000	3471.000000	CROMER KNOLL GP	GROUP	\N	5954	23	\N	9999-12-31	2013-05-08
34/8-14 A	3720.000000	3838.000000	DRAKE FM	FORMATION	DUNLIN GP	5954	27	29	9999-12-31	2013-05-08
34/8-14 A	3471.000000	3474.000000	DRAUPNE FM	FORMATION	VIKING GP	5954	28	188	9999-12-31	2013-05-08
34/8-14 A	3720.000000	3838.000000	DUNLIN GP	GROUP	\N	5954	29	\N	9999-12-31	2013-05-08
34/8-14 A	3572.000000	3617.000000	ETIVE FM	FORMATION	BRENT GP	5954	35	16	9999-12-31	2013-05-08
34/8-14 A	3474.000000	3500.000000	HEATHER FM	FORMATION	VIKING GP	5954	60	188	9999-12-31	2013-05-08
34/8-14 A	1115.000000	1915.000000	HORDALAND GP	GROUP	\N	5954	67	\N	9999-12-31	2013-05-08
34/8-14 A	2187.000000	2376.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5954	74	143	9999-12-31	2013-05-08
34/8-14 A	2376.000000	3449.000000	KYRRE FM	FORMATION	SHETLAND GP	5954	92	143	9999-12-31	2013-05-08
34/8-14 A	2028.000000	2187.000000	LISTA FM	FORMATION	ROGALAND GP	5954	95	131	9999-12-31	2013-05-08
34/8-14 A	3540.000000	3572.000000	NESS FM	FORMATION	BRENT GP	5954	110	16	9999-12-31	2013-05-08
34/8-14 A	1397.000000	1452.000000	NO FORMAL NAME	FORMATION	\N	5954	111	\N	9999-12-31	2013-05-08
34/8-14 A	1452.000000	1482.000000	NO FORMAL NAME	FORMATION	\N	5954	111	\N	9999-12-31	2013-05-08
34/8-14 A	1482.000000	1507.000000	NO FORMAL NAME	FORMATION	\N	5954	111	\N	9999-12-31	2013-05-08
34/8-14 A	1507.000000	1915.000000	NO FORMAL NAME	FORMATION	\N	5954	111	\N	9999-12-31	2013-05-08
34/8-14 A	323.000000	1115.000000	NORDLAND GP	GROUP	\N	5954	113	\N	9999-12-31	2013-05-08
34/8-14 A	3617.000000	3720.000000	RANNOCH FM	FORMATION	BRENT GP	5954	126	16	9999-12-31	2013-05-08
34/8-14 A	1915.000000	2187.000000	ROGALAND GP	GROUP	\N	5954	131	\N	9999-12-31	2013-05-08
34/8-14 A	2011.000000	2028.000000	SELE FM	FORMATION	ROGALAND GP	5954	142	131	9999-12-31	2013-05-08
34/8-14 A	2187.000000	3449.000000	SHETLAND GP	GROUP	\N	5954	143	\N	9999-12-31	2013-05-08
34/8-14 A	3500.000000	3540.000000	TARBERT FM	FORMATION	BRENT GP	5954	162	16	9999-12-31	2013-05-08
34/8-14 A	1002.000000	1115.000000	UTSIRA FM	FORMATION	NORDLAND GP	5954	183	113	9999-12-31	2013-05-08
34/8-14 A	3471.000000	3500.000000	VIKING GP	GROUP	\N	5954	188	\N	9999-12-31	2013-05-08
2/5-14 S	338.000000	1739.000000	BALDER FM	FORMATION	ROGALAND GP	5958	6	131	9999-12-31	2013-05-08
2/5-14 S	3338.000000	3359.000000	BALDER FM	FORMATION	ROGALAND GP	5958	6	131	9999-12-31	2013-05-08
2/5-14 S	3551.000000	3681.000000	EKOFISK FM	FORMATION	SHETLAND GP	5958	33	143	9999-12-31	2013-05-08
2/5-14 S	1739.000000	3338.000000	HORDALAND GP	GROUP	\N	5958	67	\N	9999-12-31	2013-05-08
2/5-14 S	3415.000000	3528.000000	LISTA FM	FORMATION	ROGALAND GP	5958	95	131	9999-12-31	2013-05-08
2/5-14 S	110.000000	1739.000000	NORDLAND GP	GROUP	\N	5958	113	\N	9999-12-31	2013-05-08
2/5-14 S	3338.000000	3551.000000	ROGALAND GP	GROUP	\N	5958	131	\N	9999-12-31	2013-05-08
2/5-14 S	3359.000000	3415.000000	SELE FM	FORMATION	ROGALAND GP	5958	142	131	9999-12-31	2013-05-08
2/5-14 S	3551.000000	3845.000000	SHETLAND GP	GROUP	\N	5958	143	\N	9999-12-31	2013-05-08
2/5-14 S	3681.000000	3845.000000	TOR FM	FORMATION	SHETLAND GP	5958	171	143	9999-12-31	2013-05-08
2/5-14 S	3528.000000	3551.000000	VÅLE FM	FORMATION	ROGALAND GP	5958	190	131	9999-12-31	2013-05-08
7223/5-1	467.000000	501.000000	ADVENTDALEN GP	GROUP	\N	5960	1	\N	9999-12-31	2013-05-08
7223/5-1	540.000000	585.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	5960	46	79	9999-12-31	2013-05-08
7223/5-1	501.000000	1856.000000	KAPP TOSCANA GP	GROUP	\N	5960	79	\N	9999-12-31	2013-05-08
7223/5-1	2451.000000	2549.000000	KLAPPMYSS FM	FORMATION	SASSENDALEN GP	5960	80	140	9999-12-31	2013-05-08
7223/5-1	1856.000000	2451.000000	KOBBE FM	FORMATION	SASSENDALEN GP	5960	83	140	9999-12-31	2013-05-08
7223/5-1	467.000000	501.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	5960	85	1	9999-12-31	2013-05-08
7223/5-1	363.000000	467.000000	NORDLAND GP	GROUP	\N	5960	113	\N	9999-12-31	2013-05-08
7223/5-1	508.000000	524.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	5960	118	79	9999-12-31	2013-05-08
7223/5-1	1856.000000	2549.000000	SASSENDALEN GP	GROUP	\N	5960	140	\N	9999-12-31	2013-05-08
7223/5-1	585.000000	1856.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	5960	150	79	9999-12-31	2013-05-08
7223/5-1	501.000000	508.000000	STØ FM	FORMATION	KAPP TOSCANA GP	5960	159	79	9999-12-31	2013-05-08
7223/5-1	524.000000	540.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	5960	174	79	9999-12-31	2013-05-08
34/7-34	2349.000000	2461.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	5973	4	29	9999-12-31	2013-05-08
34/7-34	1680.000000	1719.000000	BALDER FM	FORMATION	ROGALAND GP	5973	6	131	9999-12-31	2013-05-08
34/7-34	2349.000000	2461.000000	DUNLIN GP	GROUP	\N	5973	29	\N	9999-12-31	2013-05-08
34/7-34	2584.000000	2701.000000	HEGRE GP	GROUP	\N	5973	61	\N	9999-12-31	2013-05-08
34/7-34	1108.000000	1680.000000	HORDALAND GP	GROUP	\N	5973	67	\N	9999-12-31	2013-05-08
34/7-34	1719.000000	1860.000000	LISTA FM	FORMATION	ROGALAND GP	5973	95	131	9999-12-31	2013-05-08
34/7-34	2584.000000	2701.000000	LUNDE FM	FORMATION	HEGRE GP	5973	97	61	9999-12-31	2013-05-08
34/7-34	323.000000	1108.000000	NORDLAND GP	GROUP	\N	5973	113	\N	9999-12-31	2013-05-08
34/7-34	1680.000000	1860.000000	ROGALAND GP	GROUP	\N	5973	131	\N	9999-12-31	2013-05-08
34/7-34	1860.000000	2349.000000	SHETLAND GP	GROUP	\N	5973	143	\N	9999-12-31	2013-05-08
34/7-34	2461.000000	2584.000000	STATFJORD FM	FORMATION	\N	5973	157	\N	9999-12-31	2013-05-08
34/7-34	986.000000	1108.000000	UTSIRA FM	FORMATION	NORDLAND GP	5973	183	113	9999-12-31	2013-05-08
34/7-34	2461.000000	2584.000000	NO GROUP DEFINED	GROUP	\N	5973	208	\N	9999-12-31	2013-05-08
30/8-4 S	2210.000000	2275.000000	BALDER FM	FORMATION	ROGALAND GP	5974	6	131	9999-12-31	2013-05-08
30/8-4 S	3899.000000	4210.000000	BRENT GP	GROUP	\N	5974	16	\N	9999-12-31	2013-05-08
30/8-4 S	3408.000000	3489.000000	CROMER KNOLL GP	GROUP	\N	5974	23	\N	9999-12-31	2013-05-08
30/8-4 S	3489.000000	3520.000000	DRAUPNE FM	FORMATION	VIKING GP	5974	28	188	9999-12-31	2013-05-08
30/8-4 S	2533.000000	2541.000000	EKOFISK FM	FORMATION	SHETLAND GP	5974	33	143	9999-12-31	2013-05-08
30/8-4 S	2541.000000	2811.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	5974	56	143	9999-12-31	2013-05-08
30/8-4 S	3520.000000	3899.000000	HEATHER FM	FORMATION	VIKING GP	5974	60	188	9999-12-31	2013-05-08
30/8-4 S	2811.000000	3408.000000	KYRRE FM	FORMATION	SHETLAND GP	5974	92	143	9999-12-31	2013-05-08
30/8-4 S	2330.000000	2455.000000	LISTA FM	FORMATION	ROGALAND GP	5974	95	131	9999-12-31	2013-05-08
30/8-4 S	4153.000000	4210.000000	NESS FM	FORMATION	BRENT GP	5974	110	16	9999-12-31	2013-05-08
30/8-4 S	1255.000000	2210.000000	NO FORMAL NAME	FORMATION	\N	5974	111	\N	9999-12-31	2013-05-08
30/8-4 S	120.000000	2210.000000	NORDLAND GP	GROUP	\N	5974	113	\N	9999-12-31	2013-05-08
30/8-4 S	2210.000000	2533.000000	ROGALAND GP	GROUP	\N	5974	131	\N	9999-12-31	2013-05-08
30/8-4 S	2275.000000	2330.000000	SELE FM	FORMATION	ROGALAND GP	5974	142	131	9999-12-31	2013-05-08
30/8-4 S	2533.000000	3408.000000	SHETLAND GP	GROUP	\N	5974	143	\N	9999-12-31	2013-05-08
30/8-4 S	599.000000	1255.000000	UTSIRA FM	FORMATION	NORDLAND GP	5974	183	113	9999-12-31	2013-05-08
30/8-4 S	3489.000000	3899.000000	VIKING GP	GROUP	\N	5974	188	\N	9999-12-31	2013-05-08
30/8-4 S	2455.000000	2533.000000	VÅLE FM	FORMATION	ROGALAND GP	5974	190	131	9999-12-31	2013-05-08
2/1-13 S	3092.000000	3116.000000	BALDER FM	FORMATION	ROGALAND GP	5975	6	131	9999-12-31	2013-05-08
2/1-13 S	4241.000000	4362.000000	BRYNE FM	FORMATION	VESTLAND GP	5975	19	186	9999-12-31	2013-05-08
2/1-13 S	4115.000000	4176.000000	CROMER KNOLL GP	GROUP	\N	5975	23	\N	9999-12-31	2013-05-08
2/1-13 S	3308.000000	3422.000000	EKOFISK FM	FORMATION	SHETLAND GP	5975	33	143	9999-12-31	2013-05-08
2/1-13 S	4176.000000	4241.000000	HAUGESUND FM	FORMATION	TYNE GP	5975	57	177	9999-12-31	2013-05-08
2/1-13 S	4065.000000	4115.000000	HIDRA FM	FORMATION	SHETLAND GP	5975	65	143	9999-12-31	2013-05-08
2/1-13 S	3824.000000	4065.000000	HOD FM	FORMATION	SHETLAND GP	5975	66	143	9999-12-31	2013-05-08
2/1-13 S	1875.000000	3092.000000	HORDALAND GP	GROUP	\N	5975	67	\N	9999-12-31	2013-05-08
2/1-13 S	3123.000000	3151.000000	LISTA FM	FORMATION	ROGALAND GP	5975	95	131	9999-12-31	2013-05-08
2/1-13 S	3254.000000	3290.000000	LISTA FM	FORMATION	ROGALAND GP	5975	95	131	9999-12-31	2013-05-08
2/1-13 S	110.000000	1875.000000	NORDLAND GP	GROUP	\N	5975	113	\N	9999-12-31	2013-05-08
2/1-13 S	3092.000000	3308.000000	ROGALAND GP	GROUP	\N	5975	131	\N	9999-12-31	2013-05-08
2/1-13 S	4115.000000	4137.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5975	137	23	9999-12-31	2013-05-08
2/1-13 S	3116.000000	3123.000000	SELE FM	FORMATION	ROGALAND GP	5975	142	131	9999-12-31	2013-05-08
2/1-13 S	3308.000000	4115.000000	SHETLAND GP	GROUP	\N	5975	143	\N	9999-12-31	2013-05-08
2/1-13 S	4362.000000	4435.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5975	146	61	9999-12-31	2013-05-08
2/1-13 S	4137.000000	4149.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5975	152	23	9999-12-31	2013-05-08
2/1-13 S	3422.000000	3824.000000	TOR FM	FORMATION	SHETLAND GP	5975	171	143	9999-12-31	2013-05-08
2/1-13 S	4149.000000	4176.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	5975	175	23	9999-12-31	2013-05-08
2/1-13 S	4176.000000	4241.000000	TYNE GP	GROUP	\N	5975	177	\N	9999-12-31	2013-05-08
2/1-13 S	4241.000000	4362.000000	VESTLAND GP	GROUP	\N	5975	186	\N	9999-12-31	2013-05-08
2/1-13 S	3151.000000	3254.000000	VIDAR FM	FORMATION	ROGALAND GP	5975	187	131	9999-12-31	2013-05-08
2/1-13 S	3290.000000	3308.000000	VÅLE FM	FORMATION	ROGALAND GP	5975	190	131	9999-12-31	2013-05-08
2/1-13 S	4362.000000	4435.000000	NO GROUP DEFINED	GROUP	\N	5975	208	\N	9999-12-31	2013-05-08
6605/1-1	1938.000000	2415.000000	BRYGGE FM	FORMATION	HORDALAND GP	5979	18	67	9999-12-31	2013-05-08
6605/1-1	1938.000000	2415.000000	HORDALAND GP	GROUP	\N	5979	67	\N	9999-12-31	2013-05-08
6605/1-1	1398.000000	1938.000000	KAI FM	FORMATION	NORDLAND GP	5979	77	113	9999-12-31	2013-05-08
6605/1-1	1181.000000	1398.000000	NAUST FM	FORMATION	NORDLAND GP	5979	109	113	9999-12-31	2013-05-08
6605/1-1	3232.000000	3331.000000	NO FORMAL NAME	FORMATION	\N	5979	111	\N	9999-12-31	2013-05-08
6605/1-1	3853.000000	3947.000000	NISE FM	FORMATION	SHETLAND GP	5979	112	143	9999-12-31	2013-05-08
6605/1-1	1181.000000	1938.000000	NORDLAND GP	GROUP	\N	5979	113	\N	9999-12-31	2013-05-08
6605/1-1	2415.000000	2936.000000	ROGALAND GP	GROUP	\N	5979	131	\N	9999-12-31	2013-05-08
6605/1-1	2936.000000	3947.000000	SHETLAND GP	GROUP	\N	5979	143	\N	9999-12-31	2013-05-08
6605/1-1	2936.000000	3232.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5979	156	143	9999-12-31	2013-05-08
6605/1-1	3331.000000	3853.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5979	156	143	9999-12-31	2013-05-08
6605/1-1	2615.000000	2936.000000	TANG FM	FORMATION	ROGALAND GP	5979	161	131	9999-12-31	2013-05-08
6605/1-1	2415.000000	2615.000000	TARE FM	FORMATION	ROGALAND GP	5979	163	131	9999-12-31	2013-05-08
6506/9-1	1909.000000	1983.000000	BRYGGE FM	FORMATION	HORDALAND GP	5980	18	67	9999-12-31	2013-05-08
6506/9-1	5358.000000	5664.000000	BÅT GP	GROUP	\N	5980	22	\N	9999-12-31	2013-05-08
6506/9-1	3059.000000	4575.000000	CROMER KNOLL GP	GROUP	\N	5980	23	\N	9999-12-31	2013-05-08
6506/9-1	5212.000000	5358.000000	FANGST GP	GROUP	\N	5980	38	\N	9999-12-31	2013-05-08
6506/9-1	5212.000000	5277.000000	GARN FM	FORMATION	FANGST GP	5980	48	38	9999-12-31	2013-05-08
6506/9-1	1909.000000	1983.000000	HORDALAND GP	GROUP	\N	5980	67	\N	9999-12-31	2013-05-08
6506/9-1	5294.000000	5358.000000	ILE FM	FORMATION	FANGST GP	5980	70	38	9999-12-31	2013-05-08
6506/9-1	1566.000000	1909.000000	KAI FM	FORMATION	NORDLAND GP	5980	77	113	9999-12-31	2013-05-08
6506/9-1	2547.000000	3059.000000	KVITNOS FM	FORMATION	SHETLAND GP	5980	91	143	9999-12-31	2013-05-08
6506/9-1	3133.000000	4548.000000	LANGE FM	FORMATION	CROMER KNOLL GP	5980	94	23	9999-12-31	2013-05-08
6506/9-1	4548.000000	4575.000000	LYR FM	FORMATION	CROMER KNOLL GP	5980	98	23	9999-12-31	2013-05-08
6506/9-1	3059.000000	3133.000000	LYSING FM	FORMATION	CROMER KNOLL GP	5980	99	23	9999-12-31	2013-05-08
6506/9-1	4650.000000	5212.000000	MELKE FM	FORMATION	VIKING GP	5980	105	188	9999-12-31	2013-05-08
6506/9-1	455.000000	1566.000000	NAUST FM	FORMATION	NORDLAND GP	5980	109	113	9999-12-31	2013-05-08
6506/9-1	2276.000000	2547.000000	NISE FM	FORMATION	SHETLAND GP	5980	112	143	9999-12-31	2013-05-08
6506/9-1	455.000000	1909.000000	NORDLAND GP	GROUP	\N	5980	113	\N	9999-12-31	2013-05-08
6506/9-1	5277.000000	5294.000000	NOT FM	FORMATION	FANGST GP	5980	120	38	9999-12-31	2013-05-08
6506/9-1	1983.000000	2119.000000	ROGALAND GP	GROUP	\N	5980	131	\N	9999-12-31	2013-05-08
6506/9-1	5358.000000	5385.000000	ROR FM	FORMATION	BÅT GP	5980	135	22	9999-12-31	2013-05-08
6506/9-1	2119.000000	3059.000000	SHETLAND GP	GROUP	\N	5980	143	\N	9999-12-31	2013-05-08
6506/9-1	4575.000000	4650.000000	SPEKK FM	FORMATION	VIKING GP	5980	155	188	9999-12-31	2013-05-08
6506/9-1	2119.000000	2276.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5980	156	143	9999-12-31	2013-05-08
6506/9-1	2059.000000	2119.000000	TANG FM	FORMATION	ROGALAND GP	5980	161	131	9999-12-31	2013-05-08
6506/9-1	1983.000000	2059.000000	TARE FM	FORMATION	ROGALAND GP	5980	163	131	9999-12-31	2013-05-08
6506/9-1	5435.000000	5572.000000	TILJE FM	FORMATION	BÅT GP	5980	169	22	9999-12-31	2013-05-08
6506/9-1	5385.000000	5435.000000	TOFTE FM	FORMATION	BÅT GP	5980	170	22	9999-12-31	2013-05-08
6506/9-1	4575.000000	5212.000000	VIKING GP	GROUP	\N	5980	188	\N	9999-12-31	2013-05-08
6506/9-1	5572.000000	5664.000000	ÅRE FM	FORMATION	BÅT GP	5980	197	22	9999-12-31	2013-05-08
6603/12-1	2100.000000	2842.000000	BRYGGE FM	FORMATION	HORDALAND GP	5985	18	67	9999-12-31	2013-05-08
6603/12-1	2100.000000	2842.000000	HORDALAND GP	GROUP	\N	5985	67	\N	9999-12-31	2013-05-08
6603/12-1	1673.000000	2100.000000	KAI FM	FORMATION	NORDLAND GP	5985	77	113	9999-12-31	2013-05-08
6603/12-1	1400.000000	1673.000000	NAUST FM	FORMATION	NORDLAND GP	5985	109	113	9999-12-31	2013-05-08
6603/12-1	3704.000000	3740.000000	NO FORMAL NAME	FORMATION	\N	5985	111	\N	9999-12-31	2013-05-08
6603/12-1	1400.000000	2100.000000	NORDLAND GP	GROUP	\N	5985	113	\N	9999-12-31	2013-05-08
6603/12-1	2842.000000	3505.000000	ROGALAND GP	GROUP	\N	5985	131	\N	9999-12-31	2013-05-08
6603/12-1	3505.000000	3830.000000	SHETLAND GP	GROUP	\N	5985	143	\N	9999-12-31	2013-05-08
6603/12-1	3505.000000	3704.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5985	156	143	9999-12-31	2013-05-08
6603/12-1	3740.000000	3830.000000	SPRINGAR FM	FORMATION	SHETLAND GP	5985	156	143	9999-12-31	2013-05-08
6603/12-1	3070.000000	3505.000000	TANG FM	FORMATION	ROGALAND GP	5985	161	131	9999-12-31	2013-05-08
6603/12-1	2842.000000	3070.000000	TARE FM	FORMATION	ROGALAND GP	5985	163	131	9999-12-31	2013-05-08
2/1-14 S	4263.000000	4396.000000	BALDER FM	FORMATION	ROGALAND GP	5995	6	131	9999-12-31	2013-05-08
2/1-14 S	5719.000000	5729.000000	BLODØKS FM	FORMATION	SHETLAND GP	5995	13	143	9999-12-31	2013-05-08
2/1-14 S	6037.000000	6104.000000	BRYNE FM	FORMATION	VESTLAND GP	5995	19	186	9999-12-31	2013-05-08
2/1-14 S	5738.000000	5949.000000	CROMER KNOLL GP	GROUP	\N	5995	23	\N	9999-12-31	2013-05-08
2/1-14 S	4955.000000	5180.000000	EKOFISK FM	FORMATION	SHETLAND GP	5995	33	143	9999-12-31	2013-05-08
2/1-14 S	5967.000000	6022.000000	FARSUND FM	FORMATION	TYNE GP	5995	39	177	9999-12-31	2013-05-08
2/1-14 S	4415.000000	4558.000000	FORTIES FM	FORMATION	ROGALAND GP	5995	44	131	9999-12-31	2013-05-08
2/1-14 S	5729.000000	5738.000000	HIDRA FM	FORMATION	SHETLAND GP	5995	65	143	9999-12-31	2013-05-08
2/1-14 S	5597.000000	5719.000000	HOD FM	FORMATION	SHETLAND GP	5995	66	143	9999-12-31	2013-05-08
2/1-14 S	1965.000000	3278.000000	HORDALAND GP	GROUP	\N	5995	67	\N	9999-12-31	2013-05-08
2/1-14 S	3278.000000	4263.000000	HORDALAND GP	GROUP	\N	5995	67	\N	9999-12-31	2013-05-08
2/1-14 S	4581.000000	4639.000000	LISTA FM	FORMATION	ROGALAND GP	5995	95	131	9999-12-31	2013-05-08
2/1-14 S	4738.000000	4878.000000	LISTA FM	FORMATION	ROGALAND GP	5995	95	131	9999-12-31	2013-05-08
2/1-14 S	4878.000000	4916.000000	LISTA FM	FORMATION	ROGALAND GP	5995	95	131	9999-12-31	2013-05-08
2/1-14 S	5949.000000	5967.000000	MANDAL FM	FORMATION	TYNE GP	5995	101	177	9999-12-31	2013-05-08
2/1-14 S	122.000000	1965.000000	NORDLAND GP	GROUP	\N	5995	113	\N	9999-12-31	2013-05-08
2/1-14 S	4263.000000	4955.000000	ROGALAND GP	GROUP	\N	5995	131	\N	9999-12-31	2013-05-08
2/1-14 S	5738.000000	5775.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	5995	137	23	9999-12-31	2013-05-08
2/1-14 S	4396.000000	4415.000000	SELE FM	FORMATION	ROGALAND GP	5995	142	131	9999-12-31	2013-05-08
2/1-14 S	4558.000000	4581.000000	SELE FM	FORMATION	ROGALAND GP	5995	142	131	9999-12-31	2013-05-08
2/1-14 S	4955.000000	5738.000000	SHETLAND GP	GROUP	\N	5995	143	\N	9999-12-31	2013-05-08
2/1-14 S	6104.000000	6130.000000	SKAGERRAK FM	FORMATION	HEGRE GP	5995	146	61	9999-12-31	2013-05-08
2/1-14 S	5775.000000	5811.000000	SOLA FM	FORMATION	CROMER KNOLL GP	5995	152	23	9999-12-31	2013-05-08
2/1-14 S	5180.000000	5597.000000	TOR FM	FORMATION	SHETLAND GP	5995	171	143	9999-12-31	2013-05-08
2/1-14 S	5811.000000	5820.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	5995	175	23	9999-12-31	2013-05-08
2/1-14 S	5949.000000	6022.000000	TYNE GP	GROUP	\N	5995	177	\N	9999-12-31	2013-05-08
2/1-14 S	6022.000000	6037.000000	ULA FM	FORMATION	VESTLAND GP	5995	179	186	9999-12-31	2013-05-08
2/1-14 S	3211.000000	3278.000000	VADE FM	FORMATION	HORDALAND GP	5995	184	67	9999-12-31	2013-05-08
2/1-14 S	6022.000000	6104.000000	VESTLAND GP	GROUP	\N	5995	186	\N	9999-12-31	2013-05-08
2/1-14 S	4639.000000	4662.000000	VIDAR FM	FORMATION	ROGALAND GP	5995	187	131	9999-12-31	2013-05-08
2/1-14 S	4662.000000	4738.000000	VIDAR FM	FORMATION	ROGALAND GP	5995	187	131	9999-12-31	2013-05-08
2/1-14 S	4916.000000	4955.000000	VÅLE FM	FORMATION	ROGALAND GP	5995	190	131	9999-12-31	2013-05-08
2/1-14 S	5820.000000	5949.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	5995	198	23	9999-12-31	2013-05-08
2/1-14 S	6104.000000	6130.000000	NO GROUP DEFINED	GROUP	\N	5995	208	\N	9999-12-31	2013-05-08
34/8-14 B	1915.000000	2011.000000	BALDER FM	FORMATION	ROGALAND GP	5997	6	131	9999-12-31	2013-05-08
34/8-14 B	3486.000000	4079.000000	BRENT GP	GROUP	\N	5997	16	\N	9999-12-31	2013-05-08
34/8-14 B	3460.000000	3477.000000	CROMER KNOLL GP	GROUP	\N	5997	23	\N	9999-12-31	2013-05-08
34/8-14 B	3477.000000	3480.000000	DRAUPNE FM	FORMATION	VIKING GP	5997	28	188	9999-12-31	2013-05-08
34/8-14 B	3678.000000	3809.000000	ETIVE FM	FORMATION	BRENT GP	5997	35	16	9999-12-31	2013-05-08
34/8-14 B	3480.000000	3486.000000	HEATHER FM	FORMATION	VIKING GP	5997	60	188	9999-12-31	2013-05-08
34/8-14 B	1115.000000	1915.000000	HORDALAND GP	GROUP	\N	5997	67	\N	9999-12-31	2013-05-08
34/8-14 B	2187.000000	2376.000000	JORSALFARE FM	FORMATION	SHETLAND GP	5997	74	143	9999-12-31	2013-05-08
34/8-14 B	2376.000000	3460.000000	KYRRE FM	FORMATION	SHETLAND GP	5997	92	143	9999-12-31	2013-05-08
34/8-14 B	2028.000000	2187.000000	LISTA FM	FORMATION	ROGALAND GP	5997	95	131	9999-12-31	2013-05-08
34/8-14 B	3576.000000	3678.000000	NESS FM	FORMATION	BRENT GP	5997	110	16	9999-12-31	2013-05-08
34/8-14 B	1397.000000	1452.000000	NO FORMAL NAME	FORMATION	\N	5997	111	\N	9999-12-31	2013-05-08
34/8-14 B	1452.000000	1482.000000	NO FORMAL NAME	FORMATION	\N	5997	111	\N	9999-12-31	2013-05-08
34/8-14 B	1482.000000	1507.000000	NO FORMAL NAME	FORMATION	\N	5997	111	\N	9999-12-31	2013-05-08
34/8-14 B	1507.000000	1915.000000	NO FORMAL NAME	FORMATION	\N	5997	111	\N	9999-12-31	2013-05-08
34/8-14 B	323.000000	1115.000000	NORDLAND GP	GROUP	\N	5997	113	\N	9999-12-31	2013-05-08
34/8-14 B	3809.000000	4079.000000	RANNOCH FM	FORMATION	BRENT GP	5997	126	16	9999-12-31	2013-05-08
34/8-14 B	1915.000000	2187.000000	ROGALAND GP	GROUP	\N	5997	131	\N	9999-12-31	2013-05-08
34/8-14 B	2011.000000	2028.000000	SELE FM	FORMATION	ROGALAND GP	5997	142	131	9999-12-31	2013-05-08
34/8-14 B	2187.000000	3460.000000	SHETLAND GP	GROUP	\N	5997	143	\N	9999-12-31	2013-05-08
34/8-14 B	3486.000000	3576.000000	TARBERT FM	FORMATION	BRENT GP	5997	162	16	9999-12-31	2013-05-08
34/8-14 B	1002.000000	1115.000000	UTSIRA FM	FORMATION	NORDLAND GP	5997	183	113	9999-12-31	2013-05-08
34/8-14 B	3477.000000	3486.000000	VIKING GP	GROUP	\N	5997	188	\N	9999-12-31	2013-05-08
35/6-1 S	607.000000	669.000000	BALDER FM	FORMATION	ROGALAND GP	6000	6	131	9999-12-31	2013-05-08
35/6-1 S	532.000000	607.000000	HORDALAND GP	GROUP	\N	6000	67	\N	9999-12-31	2013-05-08
35/6-1 S	702.000000	725.000000	NO FORMAL NAME	FORMATION	\N	6000	111	\N	9999-12-31	2013-05-08
35/6-1 S	366.000000	532.000000	NORDLAND GP	GROUP	\N	6000	113	\N	9999-12-31	2013-05-08
35/6-1 S	607.000000	847.000000	ROGALAND GP	GROUP	\N	6000	131	\N	9999-12-31	2013-05-08
35/6-1 S	669.000000	702.000000	SELE FM	FORMATION	ROGALAND GP	6000	142	131	9999-12-31	2013-05-08
35/6-1 S	725.000000	847.000000	SELE FM	FORMATION	ROGALAND GP	6000	142	131	9999-12-31	2013-05-08
34/8-14 C	1915.000000	2011.000000	BALDER FM	FORMATION	ROGALAND GP	6021	6	131	9999-12-31	2013-05-08
34/8-14 C	3544.000000	3820.000000	BRENT GP	GROUP	\N	6021	16	\N	9999-12-31	2013-05-08
34/8-14 C	3469.000000	3506.000000	CROMER KNOLL GP	GROUP	\N	6021	23	\N	9999-12-31	2013-05-08
34/8-14 C	3506.000000	3514.000000	DRAUPNE FM	FORMATION	VIKING GP	6021	28	188	9999-12-31	2013-05-08
34/8-14 C	3684.000000	3722.000000	ETIVE FM	FORMATION	BRENT GP	6021	35	16	9999-12-31	2013-05-08
34/8-14 C	3514.000000	3544.000000	HEATHER FM	FORMATION	VIKING GP	6021	60	188	9999-12-31	2013-05-08
34/8-14 C	1115.000000	1915.000000	HORDALAND GP	GROUP	\N	6021	67	\N	9999-12-31	2013-05-08
34/8-14 C	2187.000000	2376.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6021	74	143	9999-12-31	2013-05-08
34/8-14 C	2376.000000	3469.000000	KYRRE FM	FORMATION	SHETLAND GP	6021	92	143	9999-12-31	2013-05-08
34/8-14 C	2028.000000	2187.000000	LISTA FM	FORMATION	ROGALAND GP	6021	95	131	9999-12-31	2013-05-08
34/8-14 C	3629.000000	3684.000000	NESS FM	FORMATION	BRENT GP	6021	110	16	9999-12-31	2013-05-08
34/8-14 C	1397.000000	1452.000000	NO FORMAL NAME	FORMATION	\N	6021	111	\N	9999-12-31	2013-05-08
34/8-14 C	1452.000000	1482.000000	NO FORMAL NAME	FORMATION	\N	6021	111	\N	9999-12-31	2013-05-08
34/8-14 C	1482.000000	1507.000000	NO FORMAL NAME	FORMATION	\N	6021	111	\N	9999-12-31	2013-05-08
34/8-14 C	1507.000000	1915.000000	NO FORMAL NAME	FORMATION	\N	6021	111	\N	9999-12-31	2013-05-08
34/8-14 C	323.000000	1115.000000	NORDLAND GP	GROUP	\N	6021	113	\N	9999-12-31	2013-05-08
34/8-14 C	3722.000000	3820.000000	RANNOCH FM	FORMATION	BRENT GP	6021	126	16	9999-12-31	2013-05-08
34/8-14 C	1915.000000	2187.000000	ROGALAND GP	GROUP	\N	6021	131	\N	9999-12-31	2013-05-08
34/8-14 C	2011.000000	2028.000000	SELE FM	FORMATION	ROGALAND GP	6021	142	131	9999-12-31	2013-05-08
34/8-14 C	2187.000000	3469.000000	SHETLAND GP	GROUP	\N	6021	143	\N	9999-12-31	2013-05-08
34/8-14 C	3544.000000	3629.000000	TARBERT FM	FORMATION	BRENT GP	6021	162	16	9999-12-31	2013-05-08
34/8-14 C	1002.000000	1115.000000	UTSIRA FM	FORMATION	NORDLAND GP	6021	183	113	9999-12-31	2013-05-08
34/8-14 C	3506.000000	3544.000000	VIKING GP	GROUP	\N	6021	188	\N	9999-12-31	2013-05-08
34/8-13 A	3593.000000	3735.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	6024	4	29	9999-12-31	2013-05-08
34/8-13 A	1857.000000	1905.000000	BALDER FM	FORMATION	ROGALAND GP	6024	6	131	9999-12-31	2013-05-08
34/8-13 A	3414.000000	3466.000000	BRENT GP	GROUP	\N	6024	16	\N	9999-12-31	2013-05-08
34/8-13 A	3326.000000	3349.000000	CROMER KNOLL GP	GROUP	\N	6024	23	\N	9999-12-31	2013-05-08
34/8-13 A	3495.000000	3593.000000	COOK FM	FORMATION	DUNLIN GP	6024	24	29	9999-12-31	2013-05-08
34/8-13 A	3381.000000	3414.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	6024	26	188	9999-12-31	2013-05-08
34/8-13 A	3466.000000	3495.000000	DRAKE FM	FORMATION	DUNLIN GP	6024	27	29	9999-12-31	2013-05-08
34/8-13 A	3349.000000	3381.000000	DRAUPNE FM	FORMATION	VIKING GP	6024	28	188	9999-12-31	2013-05-08
34/8-13 A	3466.000000	3735.000000	DUNLIN GP	GROUP	\N	6024	29	\N	9999-12-31	2013-05-08
34/8-13 A	1217.000000	1857.000000	HORDALAND GP	GROUP	\N	6024	67	\N	9999-12-31	2013-05-08
34/8-13 A	2050.000000	2277.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6024	74	143	9999-12-31	2013-05-08
34/8-13 A	2277.000000	3045.000000	KYRRE FM	FORMATION	SHETLAND GP	6024	92	143	9999-12-31	2013-05-08
34/8-13 A	1929.000000	2050.000000	LISTA FM	FORMATION	ROGALAND GP	6024	95	131	9999-12-31	2013-05-08
34/8-13 A	3443.000000	3466.000000	NESS FM	FORMATION	BRENT GP	6024	110	16	9999-12-31	2013-05-08
34/8-13 A	405.000000	1217.000000	NORDLAND GP	GROUP	\N	6024	113	\N	9999-12-31	2013-05-08
34/8-13 A	1857.000000	2050.000000	ROGALAND GP	GROUP	\N	6024	131	\N	9999-12-31	2013-05-08
34/8-13 A	1905.000000	1929.000000	SELE FM	FORMATION	ROGALAND GP	6024	142	131	9999-12-31	2013-05-08
34/8-13 A	2050.000000	3326.000000	SHETLAND GP	GROUP	\N	6024	143	\N	9999-12-31	2013-05-08
34/8-13 A	3735.000000	3852.000000	STATFJORD FM	FORMATION	\N	6024	157	\N	9999-12-31	2013-05-08
34/8-13 A	3414.000000	3443.000000	TARBERT FM	FORMATION	BRENT GP	6024	162	16	9999-12-31	2013-05-08
34/8-13 A	3045.000000	3326.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6024	173	143	9999-12-31	2013-05-08
34/8-13 A	1032.000000	1217.000000	UTSIRA FM	FORMATION	NORDLAND GP	6024	183	113	9999-12-31	2013-05-08
34/8-13 A	3349.000000	3414.000000	VIKING GP	GROUP	\N	6024	188	\N	9999-12-31	2013-05-08
34/8-13 A	3326.000000	3349.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6024	198	23	9999-12-31	2013-05-08
34/8-13 A	3735.000000	3852.000000	NO GROUP DEFINED	GROUP	\N	6024	208	\N	9999-12-31	2013-05-08
34/8-13 S	4085.000000	4123.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	6025	4	29	9999-12-31	2013-05-08
34/8-13 S	1925.000000	1987.000000	BALDER FM	FORMATION	ROGALAND GP	6025	6	131	9999-12-31	2013-05-08
34/8-13 S	3896.000000	3953.000000	BRENT GP	GROUP	\N	6025	16	\N	9999-12-31	2013-05-08
34/8-13 S	3857.000000	3865.000000	CROMER KNOLL GP	GROUP	\N	6025	23	\N	9999-12-31	2013-05-08
34/8-13 S	3972.000000	4085.000000	COOK FM	FORMATION	DUNLIN GP	6025	24	29	9999-12-31	2013-05-08
34/8-13 S	3953.000000	3972.000000	DRAKE FM	FORMATION	DUNLIN GP	6025	27	29	9999-12-31	2013-05-08
34/8-13 S	3865.000000	3884.000000	DRAUPNE FM	FORMATION	VIKING GP	6025	28	188	9999-12-31	2013-05-08
34/8-13 S	3953.000000	4123.000000	DUNLIN GP	GROUP	\N	6025	29	\N	9999-12-31	2013-05-08
34/8-13 S	3945.000000	3953.000000	ETIVE FM	FORMATION	BRENT GP	6025	35	16	9999-12-31	2013-05-08
34/8-13 S	3884.000000	3896.000000	HEATHER FM	FORMATION	VIKING GP	6025	60	188	9999-12-31	2013-05-08
34/8-13 S	4282.000000	4442.000000	HEGRE GP	GROUP	\N	6025	61	\N	9999-12-31	2013-05-08
34/8-13 S	1217.000000	1925.000000	HORDALAND GP	GROUP	\N	6025	67	\N	9999-12-31	2013-05-08
34/8-13 S	2123.000000	2577.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6025	74	143	9999-12-31	2013-05-08
34/8-13 S	2577.000000	3830.000000	KYRRE FM	FORMATION	SHETLAND GP	6025	92	143	9999-12-31	2013-05-08
34/8-13 S	2020.000000	2123.000000	LISTA FM	FORMATION	ROGALAND GP	6025	95	131	9999-12-31	2013-05-08
34/8-13 S	4282.000000	4442.000000	LUNDE FM	FORMATION	HEGRE GP	6025	97	61	9999-12-31	2013-05-08
34/8-13 S	3907.000000	3945.000000	NESS FM	FORMATION	BRENT GP	6025	110	16	9999-12-31	2013-05-08
34/8-13 S	405.000000	1217.000000	NORDLAND GP	GROUP	\N	6025	113	\N	9999-12-31	2013-05-08
34/8-13 S	1925.000000	2123.000000	ROGALAND GP	GROUP	\N	6025	131	\N	9999-12-31	2013-05-08
34/8-13 S	1987.000000	2020.000000	SELE FM	FORMATION	ROGALAND GP	6025	142	131	9999-12-31	2013-05-08
34/8-13 S	2123.000000	3857.000000	SHETLAND GP	GROUP	\N	6025	143	\N	9999-12-31	2013-05-08
34/8-13 S	4123.000000	4282.000000	STATFJORD FM	FORMATION	\N	6025	157	\N	9999-12-31	2013-05-08
34/8-13 S	3896.000000	3907.000000	TARBERT FM	FORMATION	BRENT GP	6025	162	16	9999-12-31	2013-05-08
34/8-13 S	3830.000000	3857.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6025	173	143	9999-12-31	2013-05-08
34/8-13 S	1032.000000	1217.000000	UTSIRA FM	FORMATION	NORDLAND GP	6025	183	113	9999-12-31	2013-05-08
34/8-13 S	3865.000000	3896.000000	VIKING GP	GROUP	\N	6025	188	\N	9999-12-31	2013-05-08
34/8-13 S	3857.000000	3865.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6025	198	23	9999-12-31	2013-05-08
34/8-13 S	4123.000000	4282.000000	NO GROUP DEFINED	GROUP	\N	6025	208	\N	9999-12-31	2013-05-08
6608/10-12 A	1565.000000	1772.000000	BRYGGE FM	FORMATION	HORDALAND GP	6029	18	67	9999-12-31	2013-05-08
6608/10-12 A	2934.000000	3075.000000	BÅT GP	GROUP	\N	6029	22	\N	9999-12-31	2013-05-08
6608/10-12 A	2624.000000	2768.000000	CROMER KNOLL GP	GROUP	\N	6029	23	\N	9999-12-31	2013-05-08
6608/10-12 A	2885.000000	2934.000000	FANGST GP	GROUP	\N	6029	38	\N	9999-12-31	2013-05-08
6608/10-12 A	1565.000000	1772.000000	HORDALAND GP	GROUP	\N	6029	67	\N	9999-12-31	2013-05-08
6608/10-12 A	1403.000000	1565.000000	KAI FM	FORMATION	NORDLAND GP	6029	77	113	9999-12-31	2013-05-08
6608/10-12 A	2379.000000	2624.000000	KVITNOS FM	FORMATION	SHETLAND GP	6029	91	143	9999-12-31	2013-05-08
6608/10-12 A	2631.000000	2679.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6029	94	23	9999-12-31	2013-05-08
6608/10-12 A	2679.000000	2768.000000	LYR FM	FORMATION	CROMER KNOLL GP	6029	98	23	9999-12-31	2013-05-08
6608/10-12 A	2624.000000	2631.000000	LYSING FM	FORMATION	CROMER KNOLL GP	6029	99	23	9999-12-31	2013-05-08
6608/10-12 A	2798.000000	2885.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	6029	104	188	9999-12-31	2013-05-08
6608/10-12 A	2777.000000	2798.000000	MELKE FM	FORMATION	VIKING GP	6029	105	188	9999-12-31	2013-05-08
6608/10-12 A	360.000000	1403.000000	NAUST FM	FORMATION	NORDLAND GP	6029	109	113	9999-12-31	2013-05-08
6608/10-12 A	1982.000000	2379.000000	NISE FM	FORMATION	SHETLAND GP	6029	112	143	9999-12-31	2013-05-08
6608/10-12 A	360.000000	1565.000000	NORDLAND GP	GROUP	\N	6029	113	\N	9999-12-31	2013-05-08
6608/10-12 A	2885.000000	2934.000000	NOT FM	FORMATION	FANGST GP	6029	120	38	9999-12-31	2013-05-08
6608/10-12 A	1772.000000	1862.000000	ROGALAND GP	GROUP	\N	6029	131	\N	9999-12-31	2013-05-08
6608/10-12 A	1862.000000	2624.000000	SHETLAND GP	GROUP	\N	6029	143	\N	9999-12-31	2013-05-08
6608/10-12 A	2768.000000	2777.000000	SPEKK FM	FORMATION	VIKING GP	6029	155	188	9999-12-31	2013-05-08
6608/10-12 A	1862.000000	1982.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6029	156	143	9999-12-31	2013-05-08
6608/10-12 A	1834.000000	1862.000000	TANG FM	FORMATION	ROGALAND GP	6029	161	131	9999-12-31	2013-05-08
6608/10-12 A	1772.000000	1834.000000	TARE FM	FORMATION	ROGALAND GP	6029	163	131	9999-12-31	2013-05-08
6608/10-12 A	2768.000000	2885.000000	VIKING GP	GROUP	\N	6029	188	\N	9999-12-31	2013-05-08
6608/10-12 A	2934.000000	3075.000000	ÅRE FM	FORMATION	BÅT GP	6029	197	22	9999-12-31	2013-05-08
15/6-10	2222.000000	2280.000000	BALDER FM	FORMATION	ROGALAND GP	6030	6	131	9999-12-31	2013-05-08
15/6-10	3327.000000	3330.000000	BLODØKS FM	FORMATION	SHETLAND GP	6030	13	143	9999-12-31	2013-05-08
15/6-10	3404.000000	3461.000000	CROMER KNOLL GP	GROUP	\N	6030	23	\N	9999-12-31	2013-05-08
15/6-10	3461.000000	3497.000000	DRAUPNE FM	FORMATION	VIKING GP	6030	28	188	9999-12-31	2013-05-08
15/6-10	2711.000000	2753.000000	EKOFISK FM	FORMATION	SHETLAND GP	6030	33	143	9999-12-31	2013-05-08
15/6-10	1746.000000	2059.000000	GRID FM	FORMATION	HORDALAND GP	6030	53	67	9999-12-31	2013-05-08
15/6-10	3497.000000	3510.000000	HEATHER FM	FORMATION	VIKING GP	6030	60	188	9999-12-31	2013-05-08
15/6-10	2404.000000	2574.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6030	62	131	9999-12-31	2013-05-08
15/6-10	2976.000000	3277.000000	HOD FM	FORMATION	SHETLAND GP	6030	66	143	9999-12-31	2013-05-08
15/6-10	955.000000	2222.000000	HORDALAND GP	GROUP	\N	6030	67	\N	9999-12-31	2013-05-08
15/6-10	2343.000000	2404.000000	LISTA FM	FORMATION	ROGALAND GP	6030	95	131	9999-12-31	2013-05-08
15/6-10	2574.000000	2613.000000	LISTA FM	FORMATION	ROGALAND GP	6030	95	131	9999-12-31	2013-05-08
15/6-10	1040.000000	1056.000000	NO FORMAL NAME	FORMATION	\N	6030	111	\N	9999-12-31	2013-05-08
15/6-10	1056.000000	1162.000000	NO FORMAL NAME	FORMATION	\N	6030	111	\N	9999-12-31	2013-05-08
15/6-10	1174.000000	1265.000000	NO FORMAL NAME	FORMATION	\N	6030	111	\N	9999-12-31	2013-05-08
15/6-10	1284.000000	1746.000000	NO FORMAL NAME	FORMATION	\N	6030	111	\N	9999-12-31	2013-05-08
15/6-10	2059.000000	2222.000000	NO FORMAL NAME	FORMATION	\N	6030	111	\N	9999-12-31	2013-05-08
15/6-10	136.000000	955.000000	NORDLAND GP	GROUP	\N	6030	113	\N	9999-12-31	2013-05-08
15/6-10	2222.000000	2711.000000	ROGALAND GP	GROUP	\N	6030	131	\N	9999-12-31	2013-05-08
15/6-10	3404.000000	3461.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6030	137	23	9999-12-31	2013-05-08
15/6-10	2280.000000	2343.000000	SELE FM	FORMATION	ROGALAND GP	6030	142	131	9999-12-31	2013-05-08
15/6-10	2711.000000	3404.000000	SHETLAND GP	GROUP	\N	6030	143	\N	9999-12-31	2013-05-08
15/6-10	1162.000000	1174.000000	SKADE FM	FORMATION	HORDALAND GP	6030	145	67	9999-12-31	2013-05-08
15/6-10	1265.000000	1284.000000	SKADE FM	FORMATION	HORDALAND GP	6030	145	67	9999-12-31	2013-05-08
15/6-10	3613.000000	3700.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6030	146	61	9999-12-31	2013-05-08
15/6-10	3510.000000	3613.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6030	148	186	9999-12-31	2013-05-08
15/6-10	3330.000000	3404.000000	SVARTE FM	FORMATION	SHETLAND GP	6030	160	143	9999-12-31	2013-05-08
15/6-10	2753.000000	2976.000000	TOR FM	FORMATION	SHETLAND GP	6030	171	143	9999-12-31	2013-05-08
15/6-10	3277.000000	3327.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6030	173	143	9999-12-31	2013-05-08
15/6-10	764.000000	955.000000	UTSIRA FM	FORMATION	NORDLAND GP	6030	183	113	9999-12-31	2013-05-08
15/6-10	3510.000000	3613.000000	VESTLAND GP	GROUP	\N	6030	186	\N	9999-12-31	2013-05-08
15/6-10	3461.000000	3510.000000	VIKING GP	GROUP	\N	6030	188	\N	9999-12-31	2013-05-08
15/6-10	2613.000000	2711.000000	VÅLE FM	FORMATION	ROGALAND GP	6030	190	131	9999-12-31	2013-05-08
15/6-10	3613.000000	3700.000000	NO GROUP DEFINED	GROUP	\N	6030	208	\N	9999-12-31	2013-05-08
30/9-22	2139.000000	2197.000000	BALDER FM	FORMATION	ROGALAND GP	6034	6	131	9999-12-31	2013-05-08
30/9-22	2867.000000	3205.000000	BRENT GP	GROUP	\N	6034	16	\N	9999-12-31	2013-05-08
30/9-22	2749.000000	2790.000000	CROMER KNOLL GP	GROUP	\N	6034	23	\N	9999-12-31	2013-05-08
30/9-22	3205.000000	3255.000000	DRAKE FM	FORMATION	DUNLIN GP	6034	27	29	9999-12-31	2013-05-08
30/9-22	2790.000000	2830.000000	DRAUPNE FM	FORMATION	VIKING GP	6034	28	188	9999-12-31	2013-05-08
30/9-22	3205.000000	3255.000000	DUNLIN GP	GROUP	\N	6034	29	\N	9999-12-31	2013-05-08
30/9-22	2430.000000	2678.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	6034	56	143	9999-12-31	2013-05-08
30/9-22	2830.000000	2867.000000	HEATHER FM	FORMATION	VIKING GP	6034	60	188	9999-12-31	2013-05-08
30/9-22	864.000000	2139.000000	HORDALAND GP	GROUP	\N	6034	67	\N	9999-12-31	2013-05-08
30/9-22	2678.000000	2749.000000	KYRRE FM	FORMATION	SHETLAND GP	6034	92	143	9999-12-31	2013-05-08
30/9-22	2255.000000	2345.000000	LISTA FM	FORMATION	ROGALAND GP	6034	95	131	9999-12-31	2013-05-08
30/9-22	2995.000000	3205.000000	NESS FM	FORMATION	BRENT GP	6034	110	16	9999-12-31	2013-05-08
30/9-22	118.000000	864.000000	NORDLAND GP	GROUP	\N	6034	113	\N	9999-12-31	2013-05-08
30/9-22	2139.000000	2430.000000	ROGALAND GP	GROUP	\N	6034	131	\N	9999-12-31	2013-05-08
30/9-22	2197.000000	2255.000000	SELE FM	FORMATION	ROGALAND GP	6034	142	131	9999-12-31	2013-05-08
30/9-22	2430.000000	2749.000000	SHETLAND GP	GROUP	\N	6034	143	\N	9999-12-31	2013-05-08
30/9-22	2749.000000	2758.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6034	152	23	9999-12-31	2013-05-08
30/9-22	2867.000000	2995.000000	TARBERT FM	FORMATION	BRENT GP	6034	162	16	9999-12-31	2013-05-08
30/9-22	688.000000	864.000000	UTSIRA FM	FORMATION	NORDLAND GP	6034	183	113	9999-12-31	2013-05-08
30/9-22	2790.000000	2867.000000	VIKING GP	GROUP	\N	6034	188	\N	9999-12-31	2013-05-08
30/9-22	2345.000000	2430.000000	VÅLE FM	FORMATION	ROGALAND GP	6034	190	131	9999-12-31	2013-05-08
30/9-22	2758.000000	2790.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6034	198	23	9999-12-31	2013-05-08
34/8-14 D	1915.000000	2011.000000	BALDER FM	FORMATION	ROGALAND GP	6036	6	131	9999-12-31	2013-05-08
34/8-14 D	3596.000000	3797.000000	BRENT GP	GROUP	\N	6036	16	\N	9999-12-31	2013-05-08
34/8-14 D	3497.000000	3545.000000	CROMER KNOLL GP	GROUP	\N	6036	23	\N	9999-12-31	2013-05-08
34/8-14 D	3797.000000	3850.000000	DRAKE FM	FORMATION	DUNLIN GP	6036	27	29	9999-12-31	2013-05-08
34/8-14 D	3545.000000	3548.000000	DRAUPNE FM	FORMATION	VIKING GP	6036	28	188	9999-12-31	2013-05-08
34/8-14 D	3797.000000	3850.000000	DUNLIN GP	GROUP	\N	6036	29	\N	9999-12-31	2013-05-08
34/8-14 D	3705.000000	3752.000000	ETIVE FM	FORMATION	BRENT GP	6036	35	16	9999-12-31	2013-05-08
34/8-14 D	3548.000000	3596.000000	HEATHER FM	FORMATION	VIKING GP	6036	60	188	9999-12-31	2013-05-08
34/8-14 D	1115.000000	1915.000000	HORDALAND GP	GROUP	\N	6036	67	\N	9999-12-31	2013-05-08
34/8-14 D	2187.000000	2374.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6036	74	143	9999-12-31	2013-05-08
34/8-14 D	2374.000000	3497.000000	KYRRE FM	FORMATION	SHETLAND GP	6036	92	143	9999-12-31	2013-05-08
34/8-14 D	2028.000000	2187.000000	LISTA FM	FORMATION	ROGALAND GP	6036	95	131	9999-12-31	2013-05-08
34/8-14 D	3657.000000	3705.000000	NESS FM	FORMATION	BRENT GP	6036	110	16	9999-12-31	2013-05-08
34/8-14 D	1397.000000	1452.000000	NO FORMAL NAME	FORMATION	\N	6036	111	\N	9999-12-31	2013-05-08
34/8-14 D	1452.000000	1482.000000	NO FORMAL NAME	FORMATION	\N	6036	111	\N	9999-12-31	2013-05-08
34/8-14 D	1482.000000	1507.000000	NO FORMAL NAME	FORMATION	\N	6036	111	\N	9999-12-31	2013-05-08
34/8-14 D	1507.000000	1915.000000	NO FORMAL NAME	FORMATION	\N	6036	111	\N	9999-12-31	2013-05-08
34/8-14 D	323.000000	1115.000000	NORDLAND GP	GROUP	\N	6036	113	\N	9999-12-31	2013-05-08
34/8-14 D	3752.000000	3797.000000	RANNOCH FM	FORMATION	BRENT GP	6036	126	16	9999-12-31	2013-05-08
34/8-14 D	1915.000000	2187.000000	ROGALAND GP	GROUP	\N	6036	131	\N	9999-12-31	2013-05-08
34/8-14 D	2011.000000	2028.000000	SELE FM	FORMATION	ROGALAND GP	6036	142	131	9999-12-31	2013-05-08
34/8-14 D	2187.000000	3497.000000	SHETLAND GP	GROUP	\N	6036	143	\N	9999-12-31	2013-05-08
34/8-14 D	3596.000000	3657.000000	TARBERT FM	FORMATION	BRENT GP	6036	162	16	9999-12-31	2013-05-08
34/8-14 D	1002.000000	1115.000000	UTSIRA FM	FORMATION	NORDLAND GP	6036	183	113	9999-12-31	2013-05-08
34/8-14 D	3545.000000	3596.000000	VIKING GP	GROUP	\N	6036	188	\N	9999-12-31	2013-05-08
16/2-5	1631.000000	1652.000000	BALDER FM	FORMATION	ROGALAND GP	6042	6	131	9999-12-31	2013-05-08
16/2-5	2342.000000	2373.000000	BASEMENT	GROUP	\N	6042	10	\N	9999-12-31	2013-05-08
16/2-5	1855.000000	1884.000000	CROMER KNOLL GP	GROUP	\N	6042	23	\N	9999-12-31	2013-05-08
16/2-5	1757.000000	1762.000000	EKOFISK FM	FORMATION	SHETLAND GP	6042	33	143	9999-12-31	2013-05-08
16/2-5	1803.000000	1855.000000	HOD FM	FORMATION	SHETLAND GP	6042	66	143	9999-12-31	2013-05-08
16/2-5	998.000000	1631.000000	HORDALAND GP	GROUP	\N	6042	67	\N	9999-12-31	2013-05-08
16/2-5	1672.000000	1748.000000	LISTA FM	FORMATION	ROGALAND GP	6042	95	131	9999-12-31	2013-05-08
16/2-5	1880.000000	1884.000000	MIME FM	FORMATION	CROMER KNOLL GP	6042	106	23	9999-12-31	2013-05-08
16/2-5	971.000000	998.000000	NO FORMAL NAME	FORMATION	\N	6042	111	\N	9999-12-31	2013-05-08
16/2-5	1048.000000	1077.000000	NO FORMAL NAME	FORMATION	\N	6042	111	\N	9999-12-31	2013-05-08
16/2-5	1102.000000	1192.000000	NO FORMAL NAME	FORMATION	\N	6042	111	\N	9999-12-31	2013-05-08
16/2-5	1192.000000	1242.000000	NO FORMAL NAME	FORMATION	\N	6042	111	\N	9999-12-31	2013-05-08
16/2-5	1242.000000	1287.000000	NO FORMAL NAME	FORMATION	\N	6042	111	\N	9999-12-31	2013-05-08
16/2-5	1287.000000	1305.000000	NO FORMAL NAME	FORMATION	\N	6042	111	\N	9999-12-31	2013-05-08
16/2-5	1305.000000	1631.000000	NO FORMAL NAME	FORMATION	\N	6042	111	\N	9999-12-31	2013-05-08
16/2-5	1884.000000	2342.000000	NO FORMAL NAME	FORMATION	\N	6042	111	\N	9999-12-31	2013-05-08
16/2-5	158.000000	998.000000	NORDLAND GP	GROUP	\N	6042	113	\N	9999-12-31	2013-05-08
16/2-5	1631.000000	1757.000000	ROGALAND GP	GROUP	\N	6042	131	\N	9999-12-31	2013-05-08
16/2-5	1855.000000	1875.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6042	137	23	9999-12-31	2013-05-08
16/2-5	1652.000000	1672.000000	SELE FM	FORMATION	ROGALAND GP	6042	142	131	9999-12-31	2013-05-08
16/2-5	1757.000000	1855.000000	SHETLAND GP	GROUP	\N	6042	143	\N	9999-12-31	2013-05-08
16/2-5	998.000000	1048.000000	SKADE FM	FORMATION	HORDALAND GP	6042	145	67	9999-12-31	2013-05-08
16/2-5	1077.000000	1102.000000	SKADE FM	FORMATION	HORDALAND GP	6042	145	67	9999-12-31	2013-05-08
16/2-5	1762.000000	1803.000000	TOR FM	FORMATION	SHETLAND GP	6042	171	143	9999-12-31	2013-05-08
16/2-5	798.000000	971.000000	UTSIRA FM	FORMATION	NORDLAND GP	6042	183	113	9999-12-31	2013-05-08
16/2-5	1748.000000	1757.000000	VÅLE FM	FORMATION	ROGALAND GP	6042	190	131	9999-12-31	2013-05-08
16/2-5	1875.000000	1880.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6042	198	23	9999-12-31	2013-05-08
16/2-5	1884.000000	2342.000000	NO GROUP DEFINED	GROUP	\N	6042	208	\N	9999-12-31	2013-05-08
30/5-3 S	2017.000000	2095.000000	BALDER FM	FORMATION	ROGALAND GP	6043	6	131	9999-12-31	2013-05-08
30/5-3 S	3359.000000	3380.000000	BLODØKS FM	FORMATION	SHETLAND GP	6043	13	143	9999-12-31	2013-05-08
30/5-3 S	3396.000000	4335.000000	HEGRE GP	GROUP	\N	6043	61	\N	9999-12-31	2013-05-08
30/5-3 S	904.000000	2017.000000	HORDALAND GP	GROUP	\N	6043	67	\N	9999-12-31	2013-05-08
30/5-3 S	2326.000000	2811.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6043	74	143	9999-12-31	2013-05-08
30/5-3 S	2811.000000	3220.000000	KYRRE FM	FORMATION	SHETLAND GP	6043	92	143	9999-12-31	2013-05-08
30/5-3 S	2188.000000	2326.000000	LISTA FM	FORMATION	ROGALAND GP	6043	95	131	9999-12-31	2013-05-08
30/5-3 S	4113.000000	4222.000000	LOMVI FM	FORMATION	HEGRE GP	6043	96	61	9999-12-31	2013-05-08
30/5-3 S	3396.000000	3809.000000	LUNDE FM	FORMATION	HEGRE GP	6043	97	61	9999-12-31	2013-05-08
30/5-3 S	1475.000000	1538.000000	NO FORMAL NAME	FORMATION	\N	6043	111	\N	9999-12-31	2013-05-08
30/5-3 S	1588.000000	2017.000000	NO FORMAL NAME	FORMATION	\N	6043	111	\N	9999-12-31	2013-05-08
30/5-3 S	3809.000000	4113.000000	NO FORMAL NAME	FORMATION	\N	6043	111	\N	9999-12-31	2013-05-08
30/5-3 S	139.000000	904.000000	NORDLAND GP	GROUP	\N	6043	113	\N	9999-12-31	2013-05-08
30/5-3 S	2017.000000	2326.000000	ROGALAND GP	GROUP	\N	6043	131	\N	9999-12-31	2013-05-08
30/5-3 S	2095.000000	2188.000000	SELE FM	FORMATION	ROGALAND GP	6043	142	131	9999-12-31	2013-05-08
30/5-3 S	2326.000000	3396.000000	SHETLAND GP	GROUP	\N	6043	143	\N	9999-12-31	2013-05-08
30/5-3 S	1404.000000	1475.000000	SKADE FM	FORMATION	HORDALAND GP	6043	145	67	9999-12-31	2013-05-08
30/5-3 S	1538.000000	1588.000000	SKADE FM	FORMATION	HORDALAND GP	6043	145	67	9999-12-31	2013-05-08
30/5-3 S	3380.000000	3396.000000	SVARTE FM	FORMATION	SHETLAND GP	6043	160	143	9999-12-31	2013-05-08
30/5-3 S	4222.000000	4335.000000	TEIST FM (INFORMAL)	FORMATION	HEGRE GP	6043	166	61	9999-12-31	2013-05-08
30/5-3 S	3220.000000	3359.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6043	173	143	9999-12-31	2013-05-08
30/5-3 S	678.000000	904.000000	UTSIRA FM	FORMATION	NORDLAND GP	6043	183	113	9999-12-31	2013-05-08
6705/10-1	2005.000000	2718.000000	BRYGGE FM	FORMATION	HORDALAND GP	6044	18	67	9999-12-31	2013-05-08
6705/10-1	3525.000000	3775.000000	CROMER KNOLL GP	GROUP	\N	6044	23	\N	9999-12-31	2013-05-08
6705/10-1	2005.000000	2718.000000	HORDALAND GP	GROUP	\N	6044	67	\N	9999-12-31	2013-05-08
6705/10-1	1525.000000	2005.000000	KAI FM	FORMATION	NORDLAND GP	6044	77	113	9999-12-31	2013-05-08
6705/10-1	3480.000000	3525.000000	KVITNOS FM	FORMATION	SHETLAND GP	6044	91	143	9999-12-31	2013-05-08
6705/10-1	3525.000000	3775.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6044	94	23	9999-12-31	2013-05-08
6705/10-1	1358.000000	1525.000000	NAUST FM	FORMATION	NORDLAND GP	6044	109	113	9999-12-31	2013-05-08
6705/10-1	3403.000000	3480.000000	NISE FM	FORMATION	SHETLAND GP	6044	112	143	9999-12-31	2013-05-08
6705/10-1	1358.000000	2005.000000	NORDLAND GP	GROUP	\N	6044	113	\N	9999-12-31	2013-05-08
6705/10-1	2718.000000	3214.000000	ROGALAND GP	GROUP	\N	6044	131	\N	9999-12-31	2013-05-08
6705/10-1	3214.000000	3525.000000	SHETLAND GP	GROUP	\N	6044	143	\N	9999-12-31	2013-05-08
6705/10-1	3214.000000	3403.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6044	156	143	9999-12-31	2013-05-08
6705/10-1	2922.000000	3214.000000	TANG FM	FORMATION	ROGALAND GP	6044	161	131	9999-12-31	2013-05-08
6705/10-1	2718.000000	2922.000000	TARE FM	FORMATION	ROGALAND GP	6044	163	131	9999-12-31	2013-05-08
30/3-10 S	3905.000000	4034.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	6045	4	29	9999-12-31	2013-05-08
30/3-10 S	1963.000000	2027.000000	BALDER FM	FORMATION	ROGALAND GP	6045	6	131	9999-12-31	2013-05-08
30/3-10 S	3455.000000	3467.000000	BLODØKS FM	FORMATION	SHETLAND GP	6045	13	143	9999-12-31	2013-05-08
30/3-10 S	3737.000000	3752.000000	BRENT GP	GROUP	\N	6045	16	\N	9999-12-31	2013-05-08
30/3-10 S	3602.000000	3708.000000	CROMER KNOLL GP	GROUP	\N	6045	23	\N	9999-12-31	2013-05-08
30/3-10 S	3871.000000	3905.000000	COOK FM	FORMATION	DUNLIN GP	6045	24	29	9999-12-31	2013-05-08
30/3-10 S	3752.000000	3871.000000	DRAKE FM	FORMATION	DUNLIN GP	6045	27	29	9999-12-31	2013-05-08
30/3-10 S	3708.000000	3725.000000	DRAUPNE FM	FORMATION	VIKING GP	6045	28	188	9999-12-31	2013-05-08
30/3-10 S	3752.000000	4034.000000	DUNLIN GP	GROUP	\N	6045	29	\N	9999-12-31	2013-05-08
30/3-10 S	1650.000000	1690.000000	GRID FM	FORMATION	HORDALAND GP	6045	53	67	9999-12-31	2013-05-08
30/3-10 S	3725.000000	3737.000000	HEATHER FM	FORMATION	VIKING GP	6045	60	188	9999-12-31	2013-05-08
30/3-10 S	911.000000	1963.000000	HORDALAND GP	GROUP	\N	6045	67	\N	9999-12-31	2013-05-08
30/3-10 S	2213.000000	2510.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6045	74	143	9999-12-31	2013-05-08
30/3-10 S	2510.000000	3418.000000	KYRRE FM	FORMATION	SHETLAND GP	6045	92	143	9999-12-31	2013-05-08
30/3-10 S	2050.000000	2213.000000	LISTA FM	FORMATION	ROGALAND GP	6045	95	131	9999-12-31	2013-05-08
30/3-10 S	3737.000000	3752.000000	NESS FM	FORMATION	BRENT GP	6045	110	16	9999-12-31	2013-05-08
30/3-10 S	1338.000000	1383.000000	NO FORMAL NAME	FORMATION	\N	6045	111	\N	9999-12-31	2013-05-08
30/3-10 S	1383.000000	1650.000000	NO FORMAL NAME	FORMATION	\N	6045	111	\N	9999-12-31	2013-05-08
30/3-10 S	1690.000000	1963.000000	NO FORMAL NAME	FORMATION	\N	6045	111	\N	9999-12-31	2013-05-08
30/3-10 S	140.000000	911.000000	NORDLAND GP	GROUP	\N	6045	113	\N	9999-12-31	2013-05-08
30/3-10 S	1963.000000	2213.000000	ROGALAND GP	GROUP	\N	6045	131	\N	9999-12-31	2013-05-08
30/3-10 S	3602.000000	3621.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6045	137	23	9999-12-31	2013-05-08
30/3-10 S	2027.000000	2050.000000	SELE FM	FORMATION	ROGALAND GP	6045	142	131	9999-12-31	2013-05-08
30/3-10 S	2213.000000	3602.000000	SHETLAND GP	GROUP	\N	6045	143	\N	9999-12-31	2013-05-08
30/3-10 S	3621.000000	3627.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6045	152	23	9999-12-31	2013-05-08
30/3-10 S	4034.000000	4168.000000	STATFJORD FM	FORMATION	\N	6045	157	\N	9999-12-31	2013-05-08
30/3-10 S	3467.000000	3602.000000	SVARTE FM	FORMATION	SHETLAND GP	6045	160	143	9999-12-31	2013-05-08
30/3-10 S	3418.000000	3455.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6045	173	143	9999-12-31	2013-05-08
30/3-10 S	751.000000	911.000000	UTSIRA FM	FORMATION	NORDLAND GP	6045	183	113	9999-12-31	2013-05-08
30/3-10 S	3708.000000	3737.000000	VIKING GP	GROUP	\N	6045	188	\N	9999-12-31	2013-05-08
30/3-10 S	3627.000000	3708.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6045	198	23	9999-12-31	2013-05-08
30/3-10 S	4034.000000	4168.000000	NO GROUP DEFINED	GROUP	\N	6045	208	\N	9999-12-31	2013-05-08
15/12-21	2323.000000	2336.000000	BALDER FM	FORMATION	ROGALAND GP	6047	6	131	9999-12-31	2013-05-08
15/12-21	2752.000000	2784.000000	BLODØKS FM	FORMATION	SHETLAND GP	6047	13	143	9999-12-31	2013-05-08
15/12-21	2836.000000	2887.000000	CROMER KNOLL GP	GROUP	\N	6047	23	\N	9999-12-31	2013-05-08
15/12-21	2887.000000	2916.000000	DRAUPNE FM	FORMATION	VIKING GP	6047	28	188	9999-12-31	2013-05-08
15/12-21	2916.000000	3031.000000	HEATHER FM	FORMATION	VIKING GP	6047	60	188	9999-12-31	2013-05-08
15/12-21	2784.000000	2836.000000	HIDRA FM	FORMATION	SHETLAND GP	6047	65	143	9999-12-31	2013-05-08
15/12-21	2676.000000	2752.000000	HOD FM	FORMATION	SHETLAND GP	6047	66	143	9999-12-31	2013-05-08
15/12-21	1131.000000	2323.000000	HORDALAND GP	GROUP	\N	6047	67	\N	9999-12-31	2013-05-08
15/12-21	3031.000000	3059.000000	HUGIN FM	FORMATION	VESTLAND GP	6047	69	186	9999-12-31	2013-05-08
15/12-21	2401.000000	2487.000000	LISTA FM	FORMATION	ROGALAND GP	6047	95	131	9999-12-31	2013-05-08
15/12-21	128.000000	1131.000000	NORDLAND GP	GROUP	\N	6047	113	\N	9999-12-31	2013-05-08
15/12-21	2323.000000	2505.000000	ROGALAND GP	GROUP	\N	6047	131	\N	9999-12-31	2013-05-08
15/12-21	2836.000000	2858.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6047	137	23	9999-12-31	2013-05-08
15/12-21	2336.000000	2401.000000	SELE FM	FORMATION	ROGALAND GP	6047	142	131	9999-12-31	2013-05-08
15/12-21	2505.000000	2836.000000	SHETLAND GP	GROUP	\N	6047	143	\N	9999-12-31	2013-05-08
15/12-21	3122.000000	3310.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6047	146	61	9999-12-31	2013-05-08
15/12-21	3059.000000	3122.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6047	148	186	9999-12-31	2013-05-08
15/12-21	2858.000000	2873.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6047	152	23	9999-12-31	2013-05-08
15/12-21	2505.000000	2676.000000	TOR FM	FORMATION	SHETLAND GP	6047	171	143	9999-12-31	2013-05-08
15/12-21	930.000000	1131.000000	UTSIRA FM	FORMATION	NORDLAND GP	6047	183	113	9999-12-31	2013-05-08
15/12-21	3031.000000	3122.000000	VESTLAND GP	GROUP	\N	6047	186	\N	9999-12-31	2013-05-08
15/12-21	2887.000000	3031.000000	VIKING GP	GROUP	\N	6047	188	\N	9999-12-31	2013-05-08
15/12-21	2487.000000	2505.000000	VÅLE FM	FORMATION	ROGALAND GP	6047	190	131	9999-12-31	2013-05-08
15/12-21	2873.000000	2887.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6047	198	23	9999-12-31	2013-05-08
15/12-21	3122.000000	3310.000000	NO GROUP DEFINED	GROUP	\N	6047	208	\N	9999-12-31	2013-05-08
30/5-3 A	2159.000000	2281.000000	BALDER FM	FORMATION	ROGALAND GP	6055	6	131	9999-12-31	2013-05-08
30/5-3 A	4391.000000	4404.000000	BLODØKS FM	FORMATION	SHETLAND GP	6055	13	143	9999-12-31	2013-05-08
30/5-3 A	4560.000000	4650.000000	CROMER KNOLL GP	GROUP	\N	6055	23	\N	9999-12-31	2013-05-08
30/5-3 A	4704.000000	4746.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	6055	26	188	9999-12-31	2013-05-08
30/5-3 A	4650.000000	4704.000000	DRAUPNE FM	FORMATION	VIKING GP	6055	28	188	9999-12-31	2013-05-08
30/5-3 A	904.000000	2159.000000	HORDALAND GP	GROUP	\N	6055	67	\N	9999-12-31	2013-05-08
30/5-3 A	2584.000000	3368.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6055	74	143	9999-12-31	2013-05-08
30/5-3 A	3368.000000	4090.000000	KYRRE FM	FORMATION	SHETLAND GP	6055	92	143	9999-12-31	2013-05-08
30/5-3 A	2407.000000	2584.000000	LISTA FM	FORMATION	ROGALAND GP	6055	95	131	9999-12-31	2013-05-08
30/5-3 A	1394.000000	2159.000000	NO FORMAL NAME	FORMATION	\N	6055	111	\N	9999-12-31	2013-05-08
30/5-3 A	139.000000	904.000000	NORDLAND GP	GROUP	\N	6055	113	\N	9999-12-31	2013-05-08
30/5-3 A	2159.000000	2584.000000	ROGALAND GP	GROUP	\N	6055	131	\N	9999-12-31	2013-05-08
30/5-3 A	4560.000000	4606.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6055	137	23	9999-12-31	2013-05-08
30/5-3 A	2281.000000	2407.000000	SELE FM	FORMATION	ROGALAND GP	6055	142	131	9999-12-31	2013-05-08
30/5-3 A	2584.000000	4560.000000	SHETLAND GP	GROUP	\N	6055	143	\N	9999-12-31	2013-05-08
30/5-3 A	1339.000000	1394.000000	SKADE FM	FORMATION	HORDALAND GP	6055	145	67	9999-12-31	2013-05-08
30/5-3 A	4606.000000	4650.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6055	152	23	9999-12-31	2013-05-08
30/5-3 A	4404.000000	4560.000000	SVARTE FM	FORMATION	SHETLAND GP	6055	160	143	9999-12-31	2013-05-08
30/5-3 A	4090.000000	4391.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6055	173	143	9999-12-31	2013-05-08
30/5-3 A	678.000000	904.000000	UTSIRA FM	FORMATION	NORDLAND GP	6055	183	113	9999-12-31	2013-05-08
30/5-3 A	4650.000000	4746.000000	VIKING GP	GROUP	\N	6055	188	\N	9999-12-31	2013-05-08
35/6-2 S	3015.000000	3391.000000	AGAT FM	FORMATION	CROMER KNOLL GP	6063	2	23	9999-12-31	2013-05-08
35/6-2 S	627.000000	669.000000	BALDER FM	FORMATION	ROGALAND GP	6063	6	131	9999-12-31	2013-05-08
35/6-2 S	2620.000000	2657.000000	BLODØKS FM	FORMATION	SHETLAND GP	6063	13	143	9999-12-31	2013-05-08
35/6-2 S	2946.000000	3700.000000	CROMER KNOLL GP	GROUP	\N	6063	23	\N	9999-12-31	2013-05-08
35/6-2 S	532.000000	627.000000	HORDALAND GP	GROUP	\N	6063	67	\N	9999-12-31	2013-05-08
35/6-2 S	1355.000000	1411.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6063	74	143	9999-12-31	2013-05-08
35/6-2 S	1411.000000	2195.000000	KYRRE FM	FORMATION	SHETLAND GP	6063	92	143	9999-12-31	2013-05-08
35/6-2 S	2211.000000	2375.000000	KYRRE FM	FORMATION	SHETLAND GP	6063	92	143	9999-12-31	2013-05-08
35/6-2 S	852.000000	1335.000000	LISTA FM	FORMATION	ROGALAND GP	6063	95	131	9999-12-31	2013-05-08
35/6-2 S	607.000000	622.000000	NO FORMAL NAME	FORMATION	\N	6063	111	\N	9999-12-31	2013-05-08
35/6-2 S	622.000000	627.000000	NO FORMAL NAME	FORMATION	\N	6063	111	\N	9999-12-31	2013-05-08
35/6-2 S	669.000000	730.000000	NO FORMAL NAME	FORMATION	\N	6063	111	\N	9999-12-31	2013-05-08
35/6-2 S	2195.000000	2211.000000	NO FORMAL NAME	FORMATION	\N	6063	111	\N	9999-12-31	2013-05-08
35/6-2 S	3500.000000	3700.000000	NO FORMAL NAME	FORMATION	\N	6063	111	\N	9999-12-31	2013-05-08
35/6-2 S	366.000000	532.000000	NORDLAND GP	GROUP	\N	6063	113	\N	9999-12-31	2013-05-08
35/6-2 S	627.000000	1355.000000	ROGALAND GP	GROUP	\N	6063	131	\N	9999-12-31	2013-05-08
35/6-2 S	2946.000000	3015.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6063	137	23	9999-12-31	2013-05-08
35/6-2 S	730.000000	852.000000	SELE FM	FORMATION	ROGALAND GP	6063	142	131	9999-12-31	2013-05-08
35/6-2 S	1355.000000	2946.000000	SHETLAND GP	GROUP	\N	6063	143	\N	9999-12-31	2013-05-08
35/6-2 S	2657.000000	2946.000000	SVARTE FM	FORMATION	SHETLAND GP	6063	160	143	9999-12-31	2013-05-08
35/6-2 S	2375.000000	2620.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6063	173	143	9999-12-31	2013-05-08
35/6-2 S	1335.000000	1355.000000	VÅLE FM	FORMATION	ROGALAND GP	6063	190	131	9999-12-31	2013-05-08
35/6-2 S	3391.000000	3500.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6063	198	23	9999-12-31	2013-05-08
6507/3-6	1319.000000	1650.000000	BÅT GP	GROUP	\N	6073	22	\N	9999-12-31	2013-05-08
6507/3-6	1291.000000	1319.000000	FANGST GP	GROUP	\N	6073	38	\N	9999-12-31	2013-05-08
6507/3-6	1291.000000	1297.000000	GARN FM	FORMATION	FANGST GP	6073	48	38	9999-12-31	2013-05-08
6507/3-6	1304.000000	1319.000000	ILE FM	FORMATION	FANGST GP	6073	70	38	9999-12-31	2013-05-08
6507/3-6	1083.000000	1291.000000	KAI FM	FORMATION	NORDLAND GP	6073	77	113	9999-12-31	2013-05-08
6507/3-6	402.000000	1083.000000	NAUST FM	FORMATION	NORDLAND GP	6073	109	113	9999-12-31	2013-05-08
6507/3-6	402.000000	1291.000000	NORDLAND GP	GROUP	\N	6073	113	\N	9999-12-31	2013-05-08
6507/3-6	1297.000000	1304.000000	NOT FM	FORMATION	FANGST GP	6073	120	38	9999-12-31	2013-05-08
6507/3-6	1319.000000	1360.000000	ROR FM	FORMATION	BÅT GP	6073	135	22	9999-12-31	2013-05-08
6507/3-6	1360.000000	1422.000000	TILJE FM	FORMATION	BÅT GP	6073	169	22	9999-12-31	2013-05-08
6507/3-6	1422.000000	1650.000000	ÅRE FM	FORMATION	BÅT GP	6073	197	22	9999-12-31	2013-05-08
34/7-34 A	2365.000000	2639.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	6080	4	29	9999-12-31	2013-05-08
34/7-34 A	1680.000000	1719.000000	BALDER FM	FORMATION	ROGALAND GP	6080	6	131	9999-12-31	2013-05-08
34/7-34 A	2365.000000	2639.000000	DUNLIN GP	GROUP	\N	6080	29	\N	9999-12-31	2013-05-08
34/7-34 A	2972.000000	3022.000000	HEGRE GP	GROUP	\N	6080	61	\N	9999-12-31	2013-05-08
34/7-34 A	1108.000000	1680.000000	HORDALAND GP	GROUP	\N	6080	67	\N	9999-12-31	2013-05-08
34/7-34 A	1719.000000	1860.000000	LISTA FM	FORMATION	ROGALAND GP	6080	95	131	9999-12-31	2013-05-08
34/7-34 A	2972.000000	3022.000000	LUNDE FM	FORMATION	HEGRE GP	6080	97	61	9999-12-31	2013-05-08
34/7-34 A	323.000000	1108.000000	NORDLAND GP	GROUP	\N	6080	113	\N	9999-12-31	2013-05-08
34/7-34 A	1680.000000	1860.000000	ROGALAND GP	GROUP	\N	6080	131	\N	9999-12-31	2013-05-08
34/7-34 A	1860.000000	2365.000000	SHETLAND GP	GROUP	\N	6080	143	\N	9999-12-31	2013-05-08
34/7-34 A	2639.000000	2972.000000	STATFJORD FM	FORMATION	\N	6080	157	\N	9999-12-31	2013-05-08
34/7-34 A	986.000000	1108.000000	UTSIRA FM	FORMATION	NORDLAND GP	6080	183	113	9999-12-31	2013-05-08
34/7-34 A	2639.000000	2972.000000	NO GROUP DEFINED	GROUP	\N	6080	208	\N	9999-12-31	2013-05-08
25/8-16 S	2400.000000	2495.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	6082	4	29	9999-12-31	2013-05-08
25/8-16 S	1973.000000	2059.000000	BALDER FM	FORMATION	ROGALAND GP	6082	6	131	9999-12-31	2013-05-08
25/8-16 S	2400.000000	2495.000000	DUNLIN GP	GROUP	\N	6082	29	\N	9999-12-31	2013-05-08
25/8-16 S	2395.000000	2400.000000	EKOFISK FM	FORMATION	SHETLAND GP	6082	33	143	9999-12-31	2013-05-08
25/8-16 S	1224.000000	1973.000000	GRID FM	FORMATION	HORDALAND GP	6082	53	67	9999-12-31	2013-05-08
25/8-16 S	2200.000000	2359.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6082	62	131	9999-12-31	2013-05-08
25/8-16 S	1005.000000	1973.000000	HORDALAND GP	GROUP	\N	6082	67	\N	9999-12-31	2013-05-08
25/8-16 S	2146.000000	2200.000000	LISTA FM	FORMATION	ROGALAND GP	6082	95	131	9999-12-31	2013-05-08
25/8-16 S	151.000000	1005.000000	NORDLAND GP	GROUP	\N	6082	113	\N	9999-12-31	2013-05-08
25/8-16 S	1973.000000	2395.000000	ROGALAND GP	GROUP	\N	6082	131	\N	9999-12-31	2013-05-08
25/8-16 S	2059.000000	2146.000000	SELE FM	FORMATION	ROGALAND GP	6082	142	131	9999-12-31	2013-05-08
25/8-16 S	2395.000000	2400.000000	SHETLAND GP	GROUP	\N	6082	143	\N	9999-12-31	2013-05-08
25/8-16 S	1156.000000	1224.000000	SKADE FM	FORMATION	HORDALAND GP	6082	145	67	9999-12-31	2013-05-08
25/8-16 S	2495.000000	2550.000000	STATFJORD FM	FORMATION	\N	6082	157	\N	9999-12-31	2013-05-08
25/8-16 S	2359.000000	2395.000000	TY FM	FORMATION	ROGALAND GP	6082	176	131	9999-12-31	2013-05-08
25/8-16 S	519.000000	1005.000000	UTSIRA FM	FORMATION	NORDLAND GP	6082	183	113	9999-12-31	2013-05-08
25/8-16 S	2495.000000	2550.000000	NO GROUP DEFINED	GROUP	\N	6082	208	\N	9999-12-31	2013-05-08
35/2-2	398.000000	640.000000	NAUST FM	FORMATION	NORDLAND GP	6084	109	113	9999-12-31	2013-05-08
35/2-2	398.000000	640.000000	NORDLAND GP	GROUP	\N	6084	113	\N	9999-12-31	2013-05-08
30/11-7 A	2152.000000	2204.000000	BALDER FM	FORMATION	ROGALAND GP	6085	6	131	9999-12-31	2013-05-08
30/11-7 A	4007.000000	4250.000000	BRENT GP	GROUP	\N	6085	16	\N	9999-12-31	2013-05-08
30/11-7 A	3810.000000	3832.000000	CROMER KNOLL GP	GROUP	\N	6085	23	\N	9999-12-31	2013-05-08
30/11-7 A	2119.000000	2152.000000	FRIGG FM	FORMATION	HORDALAND GP	6085	45	67	9999-12-31	2013-05-08
30/11-7 A	3832.000000	4007.000000	HEATHER FM	FORMATION	VIKING GP	6085	60	188	9999-12-31	2013-05-08
30/11-7 A	2544.000000	2614.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6085	62	131	9999-12-31	2013-05-08
30/11-7 A	2208.000000	2319.000000	HERMOD FM	FORMATION	ROGALAND GP	6085	64	131	9999-12-31	2013-05-08
30/11-7 A	1029.000000	2152.000000	HORDALAND GP	GROUP	\N	6085	67	\N	9999-12-31	2013-05-08
30/11-7 A	2626.000000	2912.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6085	74	143	9999-12-31	2013-05-08
30/11-7 A	2912.000000	3450.000000	KYRRE FM	FORMATION	SHETLAND GP	6085	92	143	9999-12-31	2013-05-08
30/11-7 A	2319.000000	2544.000000	LISTA FM	FORMATION	ROGALAND GP	6085	95	131	9999-12-31	2013-05-08
30/11-7 A	4215.000000	4250.000000	NESS FM	FORMATION	BRENT GP	6085	110	16	9999-12-31	2013-05-08
30/11-7 A	1360.000000	2119.000000	NO FORMAL NAME	FORMATION	\N	6085	111	\N	9999-12-31	2013-05-08
30/11-7 A	129.000000	1029.000000	NORDLAND GP	GROUP	\N	6085	113	\N	9999-12-31	2013-05-08
30/11-7 A	2152.000000	2626.000000	ROGALAND GP	GROUP	\N	6085	131	\N	9999-12-31	2013-05-08
30/11-7 A	2204.000000	2208.000000	SELE FM	FORMATION	ROGALAND GP	6085	142	131	9999-12-31	2013-05-08
30/11-7 A	2626.000000	3810.000000	SHETLAND GP	GROUP	\N	6085	143	\N	9999-12-31	2013-05-08
30/11-7 A	1091.000000	1360.000000	SKADE FM	FORMATION	HORDALAND GP	6085	145	67	9999-12-31	2013-05-08
30/11-7 A	4007.000000	4215.000000	TARBERT FM	FORMATION	BRENT GP	6085	162	16	9999-12-31	2013-05-08
30/11-7 A	3450.000000	3810.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6085	173	143	9999-12-31	2013-05-08
30/11-7 A	699.000000	1029.000000	UTSIRA FM	FORMATION	NORDLAND GP	6085	183	113	9999-12-31	2013-05-08
30/11-7 A	3832.000000	4007.000000	VIKING GP	GROUP	\N	6085	188	\N	9999-12-31	2013-05-08
30/11-7 A	2614.000000	2626.000000	VÅLE FM	FORMATION	ROGALAND GP	6085	190	131	9999-12-31	2013-05-08
35/12-2	1285.000000	1340.000000	BALDER FM	FORMATION	ROGALAND GP	6095	6	131	9999-12-31	2013-05-08
35/12-2	2450.000000	2541.000000	BRENT GP	GROUP	\N	6095	16	\N	9999-12-31	2013-05-08
35/12-2	2510.000000	2541.000000	ETIVE FM	FORMATION	BRENT GP	6095	35	16	9999-12-31	2013-05-08
35/12-2	2100.000000	2159.000000	FENSFJORD FM	FORMATION	VIKING GP	6095	40	188	9999-12-31	2013-05-08
35/12-2	2030.000000	2100.000000	HEATHER FM	FORMATION	VIKING GP	6095	60	188	9999-12-31	2013-05-08
35/12-2	2159.000000	2232.000000	HEATHER FM	FORMATION	VIKING GP	6095	60	188	9999-12-31	2013-05-08
35/12-2	2237.000000	2450.000000	HEATHER FM	FORMATION	VIKING GP	6095	60	188	9999-12-31	2013-05-08
35/12-2	675.000000	1285.000000	HORDALAND GP	GROUP	\N	6095	67	\N	9999-12-31	2013-05-08
35/12-2	1770.000000	1829.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6095	74	143	9999-12-31	2013-05-08
35/12-2	2232.000000	2237.000000	KROSSFJORD FM	FORMATION	VIKING GP	6095	87	188	9999-12-31	2013-05-08
35/12-2	1829.000000	1968.000000	KYRRE FM	FORMATION	SHETLAND GP	6095	92	143	9999-12-31	2013-05-08
35/12-2	1425.000000	1742.000000	LISTA FM	FORMATION	ROGALAND GP	6095	95	131	9999-12-31	2013-05-08
35/12-2	2450.000000	2510.000000	NESS FM	FORMATION	BRENT GP	6095	110	16	9999-12-31	2013-05-08
35/12-2	389.000000	675.000000	NORDLAND GP	GROUP	\N	6095	113	\N	9999-12-31	2013-05-08
35/12-2	1285.000000	1770.000000	ROGALAND GP	GROUP	\N	6095	131	\N	9999-12-31	2013-05-08
35/12-2	1340.000000	1425.000000	SELE FM	FORMATION	ROGALAND GP	6095	142	131	9999-12-31	2013-05-08
35/12-2	1770.000000	1968.000000	SHETLAND GP	GROUP	\N	6095	143	\N	9999-12-31	2013-05-08
35/12-2	1968.000000	2030.000000	SOGNEFJORD FM	FORMATION	VIKING GP	6095	151	188	9999-12-31	2013-05-08
35/12-2	546.000000	675.000000	UTSIRA FM	FORMATION	NORDLAND GP	6095	183	113	9999-12-31	2013-05-08
35/12-2	1968.000000	2450.000000	VIKING GP	GROUP	\N	6095	188	\N	9999-12-31	2013-05-08
35/12-2	1742.000000	1770.000000	VÅLE FM	FORMATION	ROGALAND GP	6095	190	131	9999-12-31	2013-05-08
8/10-3	2372.000000	2397.000000	BALDER FM	FORMATION	ROGALAND GP	6098	6	131	9999-12-31	2013-05-08
8/10-3	2898.000000	3077.000000	CROMER KNOLL GP	GROUP	\N	6098	23	\N	9999-12-31	2013-05-08
8/10-3	2556.000000	2621.000000	EKOFISK FM	FORMATION	SHETLAND GP	6098	33	143	9999-12-31	2013-05-08
8/10-3	3090.000000	3099.000000	FARSUND FM	FORMATION	TYNE GP	6098	39	177	9999-12-31	2013-05-08
8/10-3	2743.000000	2898.000000	HOD FM	FORMATION	SHETLAND GP	6098	66	143	9999-12-31	2013-05-08
8/10-3	1416.000000	2372.000000	HORDALAND GP	GROUP	\N	6098	67	\N	9999-12-31	2013-05-08
8/10-3	5397.000000	5398.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	6098	88	194	9999-12-31	2013-05-08
8/10-3	2422.000000	2527.000000	LISTA FM	FORMATION	ROGALAND GP	6098	95	131	9999-12-31	2013-05-08
8/10-3	2550.000000	2556.000000	LISTA FM	FORMATION	ROGALAND GP	6098	95	131	9999-12-31	2013-05-08
8/10-3	3077.000000	3090.000000	MANDAL FM	FORMATION	TYNE GP	6098	101	177	9999-12-31	2013-05-08
8/10-3	114.000000	1416.000000	NORDLAND GP	GROUP	\N	6098	113	\N	9999-12-31	2013-05-08
8/10-3	2372.000000	2556.000000	ROGALAND GP	GROUP	\N	6098	131	\N	9999-12-31	2013-05-08
8/10-3	5398.000000	5738.000000	ROTLIEGEND GP	GROUP	\N	6098	136	\N	9999-12-31	2013-05-08
8/10-3	2898.000000	2927.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6098	137	23	9999-12-31	2013-05-08
8/10-3	3099.000000	3158.000000	SANDNES FM	FORMATION	VESTLAND GP	6098	139	186	9999-12-31	2013-05-08
8/10-3	2397.000000	2422.000000	SELE FM	FORMATION	ROGALAND GP	6098	142	131	9999-12-31	2013-05-08
8/10-3	2556.000000	2898.000000	SHETLAND GP	GROUP	\N	6098	143	\N	9999-12-31	2013-05-08
8/10-3	3158.000000	3221.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6098	146	61	9999-12-31	2013-05-08
8/10-3	3221.000000	3394.000000	SMITH BANK FM	FORMATION	HEGRE GP	6098	149	61	9999-12-31	2013-05-08
8/10-3	2927.000000	2950.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6098	152	23	9999-12-31	2013-05-08
8/10-3	2621.000000	2743.000000	TOR FM	FORMATION	SHETLAND GP	6098	171	143	9999-12-31	2013-05-08
8/10-3	2950.000000	3009.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	6098	175	23	9999-12-31	2013-05-08
8/10-3	3077.000000	3099.000000	TYNE GP	GROUP	\N	6098	177	\N	9999-12-31	2013-05-08
8/10-3	3099.000000	3394.000000	VESTLAND GP	GROUP	\N	6098	186	\N	9999-12-31	2013-05-08
8/10-3	2527.000000	2550.000000	VIDAR FM	FORMATION	ROGALAND GP	6098	187	131	9999-12-31	2013-05-08
8/10-3	3394.000000	5398.000000	ZECHSTEIN GP	GROUP	\N	6098	194	\N	9999-12-31	2013-05-08
8/10-3	3009.000000	3077.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6098	198	23	9999-12-31	2013-05-08
6407/6-7 S	1290.000000	1850.000000	BRYGGE FM	FORMATION	HORDALAND GP	6100	18	67	9999-12-31	2013-05-08
6407/6-7 S	2893.000000	3227.000000	BÅT GP	GROUP	\N	6100	22	\N	9999-12-31	2013-05-08
6407/6-7 S	2458.000000	2685.000000	CROMER KNOLL GP	GROUP	\N	6100	23	\N	9999-12-31	2013-05-08
6407/6-7 S	2777.000000	2893.000000	FANGST GP	GROUP	\N	6100	38	\N	9999-12-31	2013-05-08
6407/6-7 S	2777.000000	2811.000000	GARN FM	FORMATION	FANGST GP	6100	48	38	9999-12-31	2013-05-08
6407/6-7 S	1290.000000	1850.000000	HORDALAND GP	GROUP	\N	6100	67	\N	9999-12-31	2013-05-08
6407/6-7 S	2827.000000	2893.000000	ILE FM	FORMATION	FANGST GP	6100	70	38	9999-12-31	2013-05-08
6407/6-7 S	1114.000000	1290.000000	KAI FM	FORMATION	NORDLAND GP	6100	77	113	9999-12-31	2013-05-08
6407/6-7 S	2367.000000	2458.000000	KVITNOS FM	FORMATION	SHETLAND GP	6100	91	143	9999-12-31	2013-05-08
6407/6-7 S	2458.000000	2685.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6100	94	23	9999-12-31	2013-05-08
6407/6-7 S	269.000000	1114.000000	NAUST FM	FORMATION	NORDLAND GP	6100	109	113	9999-12-31	2013-05-08
6407/6-7 S	2295.000000	2367.000000	NISE FM	FORMATION	SHETLAND GP	6100	112	143	9999-12-31	2013-05-08
6407/6-7 S	269.000000	1290.000000	NORDLAND GP	GROUP	\N	6100	113	\N	9999-12-31	2013-05-08
6407/6-7 S	2811.000000	2827.000000	NOT FM	FORMATION	FANGST GP	6100	120	38	9999-12-31	2013-05-08
6407/6-7 S	1850.000000	2052.000000	ROGALAND GP	GROUP	\N	6100	131	\N	9999-12-31	2013-05-08
6407/6-7 S	2747.000000	2766.000000	ROGN FM	FORMATION	VIKING GP	6100	134	188	9999-12-31	2013-05-08
6407/6-7 S	2893.000000	2911.000000	ROR FM	FORMATION	BÅT GP	6100	135	22	9999-12-31	2013-05-08
6407/6-7 S	2990.000000	3046.000000	ROR FM	FORMATION	BÅT GP	6100	135	22	9999-12-31	2013-05-08
6407/6-7 S	2052.000000	2458.000000	SHETLAND GP	GROUP	\N	6100	143	\N	9999-12-31	2013-05-08
6407/6-7 S	2685.000000	2747.000000	SPEKK FM	FORMATION	VIKING GP	6100	155	188	9999-12-31	2013-05-08
6407/6-7 S	2766.000000	2777.000000	SPEKK FM	FORMATION	VIKING GP	6100	155	188	9999-12-31	2013-05-08
6407/6-7 S	2052.000000	2295.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6100	156	143	9999-12-31	2013-05-08
6407/6-7 S	1945.000000	2052.000000	TANG FM	FORMATION	ROGALAND GP	6100	161	131	9999-12-31	2013-05-08
6407/6-7 S	1850.000000	1945.000000	TARE FM	FORMATION	ROGALAND GP	6100	163	131	9999-12-31	2013-05-08
6407/6-7 S	3046.000000	3179.000000	TILJE FM	FORMATION	BÅT GP	6100	169	22	9999-12-31	2013-05-08
6407/6-7 S	2911.000000	2990.000000	TOFTE FM	FORMATION	BÅT GP	6100	170	22	9999-12-31	2013-05-08
6407/6-7 S	2685.000000	2777.000000	VIKING GP	GROUP	\N	6100	188	\N	9999-12-31	2013-05-08
6407/6-7 S	3179.000000	3227.000000	ÅRE FM	FORMATION	BÅT GP	6100	197	22	9999-12-31	2013-05-08
6407/2-4	1594.000000	1976.000000	BRYGGE FM	FORMATION	HORDALAND GP	6106	18	67	9999-12-31	2013-05-08
6407/2-4	2547.000000	2819.000000	CROMER KNOLL GP	GROUP	\N	6106	23	\N	9999-12-31	2013-05-08
6407/2-4	2892.000000	3001.000000	FANGST GP	GROUP	\N	6106	38	\N	9999-12-31	2013-05-08
6407/2-4	2892.000000	2943.000000	GARN FM	FORMATION	FANGST GP	6106	48	38	9999-12-31	2013-05-08
6407/2-4	1594.000000	1976.000000	HORDALAND GP	GROUP	\N	6106	67	\N	9999-12-31	2013-05-08
6407/2-4	2973.000000	3001.000000	ILE FM	FORMATION	FANGST GP	6106	70	38	9999-12-31	2013-05-08
6407/2-4	1391.000000	1594.000000	KAI FM	FORMATION	NORDLAND GP	6106	77	113	9999-12-31	2013-05-08
6407/2-4	2386.000000	2547.000000	KVITNOS FM	FORMATION	SHETLAND GP	6106	91	143	9999-12-31	2013-05-08
6407/2-4	2547.000000	2800.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6106	94	23	9999-12-31	2013-05-08
6407/2-4	2800.000000	2819.000000	LYR FM	FORMATION	CROMER KNOLL GP	6106	98	23	9999-12-31	2013-05-08
6407/2-4	2858.000000	2892.000000	MELKE FM	FORMATION	VIKING GP	6106	105	188	9999-12-31	2013-05-08
6407/2-4	298.000000	1391.000000	NAUST FM	FORMATION	NORDLAND GP	6106	109	113	9999-12-31	2013-05-08
6407/2-4	2227.000000	2386.000000	NISE FM	FORMATION	SHETLAND GP	6106	112	143	9999-12-31	2013-05-08
6407/2-4	298.000000	1594.000000	NORDLAND GP	GROUP	\N	6106	113	\N	9999-12-31	2013-05-08
6407/2-4	2943.000000	2973.000000	NOT FM	FORMATION	FANGST GP	6106	120	38	9999-12-31	2013-05-08
6407/2-4	1976.000000	2117.000000	ROGALAND GP	GROUP	\N	6106	131	\N	9999-12-31	2013-05-08
6407/2-4	2117.000000	2547.000000	SHETLAND GP	GROUP	\N	6106	143	\N	9999-12-31	2013-05-08
6407/2-4	2819.000000	2858.000000	SPEKK FM	FORMATION	VIKING GP	6106	155	188	9999-12-31	2013-05-08
6407/2-4	2117.000000	2227.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6106	156	143	9999-12-31	2013-05-08
6407/2-4	2019.000000	2117.000000	TANG FM	FORMATION	ROGALAND GP	6106	161	131	9999-12-31	2013-05-08
6407/2-4	1976.000000	2019.000000	TARE FM	FORMATION	ROGALAND GP	6106	163	131	9999-12-31	2013-05-08
6407/2-4	2819.000000	2892.000000	VIKING GP	GROUP	\N	6106	188	\N	9999-12-31	2013-05-08
33/9-21 A	2618.000000	2728.000000	BALDER FM	FORMATION	ROGALAND GP	6109	6	131	9999-12-31	2013-05-08
33/9-21 A	5902.000000	6366.000000	BRENT GP	GROUP	\N	6109	16	\N	9999-12-31	2013-05-08
33/9-21 A	5502.000000	5662.000000	CROMER KNOLL GP	GROUP	\N	6109	23	\N	9999-12-31	2013-05-08
33/9-21 A	5662.000000	5819.000000	DRAUPNE FM	FORMATION	VIKING GP	6109	28	188	9999-12-31	2013-05-08
33/9-21 A	5819.000000	5902.000000	HEATHER FM	FORMATION	VIKING GP	6109	60	188	9999-12-31	2013-05-08
33/9-21 A	6366.000000	6392.000000	HEATHER FM	FORMATION	VIKING GP	6109	60	188	9999-12-31	2013-05-08
33/9-21 A	1093.000000	2618.000000	HORDALAND GP	GROUP	\N	6109	67	\N	9999-12-31	2013-05-08
33/9-21 A	2846.000000	3056.000000	LISTA FM	FORMATION	ROGALAND GP	6109	95	131	9999-12-31	2013-05-08
33/9-21 A	5617.000000	5662.000000	MIME FM	FORMATION	CROMER KNOLL GP	6109	106	23	9999-12-31	2013-05-08
33/9-21 A	5939.000000	6366.000000	NESS FM	FORMATION	BRENT GP	6109	110	16	9999-12-31	2013-05-08
33/9-21 A	213.000000	1093.000000	NORDLAND GP	GROUP	\N	6109	113	\N	9999-12-31	2013-05-08
33/9-21 A	2618.000000	3112.000000	ROGALAND GP	GROUP	\N	6109	131	\N	9999-12-31	2013-05-08
33/9-21 A	5502.000000	5518.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6109	137	23	9999-12-31	2013-05-08
33/9-21 A	2728.000000	2846.000000	SELE FM	FORMATION	ROGALAND GP	6109	142	131	9999-12-31	2013-05-08
33/9-21 A	3112.000000	5502.000000	SHETLAND GP	GROUP	\N	6109	143	\N	9999-12-31	2013-05-08
33/9-21 A	5518.000000	5546.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6109	152	23	9999-12-31	2013-05-08
33/9-21 A	5902.000000	5939.000000	TARBERT FM	FORMATION	BRENT GP	6109	162	16	9999-12-31	2013-05-08
33/9-21 A	971.000000	1093.000000	UTSIRA FM	FORMATION	NORDLAND GP	6109	183	113	9999-12-31	2013-05-08
33/9-21 A	5662.000000	5902.000000	VIKING GP	GROUP	\N	6109	188	\N	9999-12-31	2013-05-08
33/9-21 A	6366.000000	6392.000000	VIKING GP	GROUP	\N	6109	188	\N	9999-12-31	2013-05-08
33/9-21 A	3056.000000	3112.000000	VÅLE FM	FORMATION	ROGALAND GP	6109	190	131	9999-12-31	2013-05-08
33/9-21 A	5546.000000	5617.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6109	198	23	9999-12-31	2013-05-08
6407/8-5 S	936.000000	1516.000000	BRYGGE FM	FORMATION	HORDALAND GP	6110	18	67	9999-12-31	2013-05-08
6407/8-5 S	2488.000000	2905.000000	BÅT GP	GROUP	\N	6110	22	\N	9999-12-31	2013-05-08
6407/8-5 S	2253.000000	2488.000000	FANGST GP	GROUP	\N	6110	38	\N	9999-12-31	2013-05-08
6407/8-5 S	2253.000000	2317.000000	GARN FM	FORMATION	FANGST GP	6110	48	38	9999-12-31	2013-05-08
6407/8-5 S	2905.000000	3240.000000	GREY BEDS (INFORMAL)	GROUP	\N	6110	52	\N	9999-12-31	2013-05-08
6407/8-5 S	936.000000	1516.000000	HORDALAND GP	GROUP	\N	6110	67	\N	9999-12-31	2013-05-08
6407/8-5 S	2347.000000	2488.000000	ILE FM	FORMATION	FANGST GP	6110	70	38	9999-12-31	2013-05-08
6407/8-5 S	900.000000	936.000000	KAI FM	FORMATION	NORDLAND GP	6110	77	113	9999-12-31	2013-05-08
6407/8-5 S	1910.000000	2100.000000	KVITNOS FM	FORMATION	SHETLAND GP	6110	91	143	9999-12-31	2013-05-08
6407/8-5 S	2180.000000	2253.000000	MELKE FM	FORMATION	VIKING GP	6110	105	188	9999-12-31	2013-05-08
6407/8-5 S	270.000000	900.000000	NAUST FM	FORMATION	NORDLAND GP	6110	109	113	9999-12-31	2013-05-08
6407/8-5 S	1775.000000	1910.000000	NISE FM	FORMATION	SHETLAND GP	6110	112	143	9999-12-31	2013-05-08
6407/8-5 S	270.000000	936.000000	NORDLAND GP	GROUP	\N	6110	113	\N	9999-12-31	2013-05-08
6407/8-5 S	2317.000000	2347.000000	NOT FM	FORMATION	FANGST GP	6110	120	38	9999-12-31	2013-05-08
6407/8-5 S	1516.000000	1730.000000	ROGALAND GP	GROUP	\N	6110	131	\N	9999-12-31	2013-05-08
6407/8-5 S	2488.000000	2549.000000	ROR FM	FORMATION	BÅT GP	6110	135	22	9999-12-31	2013-05-08
6407/8-5 S	1730.000000	2100.000000	SHETLAND GP	GROUP	\N	6110	143	\N	9999-12-31	2013-05-08
6407/8-5 S	2100.000000	2180.000000	SPEKK FM	FORMATION	VIKING GP	6110	155	188	9999-12-31	2013-05-08
6407/8-5 S	1730.000000	1775.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6110	156	143	9999-12-31	2013-05-08
6407/8-5 S	1604.000000	1730.000000	TANG FM	FORMATION	ROGALAND GP	6110	161	131	9999-12-31	2013-05-08
6407/8-5 S	1516.000000	1604.000000	TARE FM	FORMATION	ROGALAND GP	6110	163	131	9999-12-31	2013-05-08
6407/8-5 S	2549.000000	2731.000000	TILJE FM	FORMATION	BÅT GP	6110	169	22	9999-12-31	2013-05-08
6407/8-5 S	2100.000000	2253.000000	VIKING GP	GROUP	\N	6110	188	\N	9999-12-31	2013-05-08
6407/8-5 S	2731.000000	2905.000000	ÅRE FM	FORMATION	BÅT GP	6110	197	22	9999-12-31	2013-05-08
6305/5-3 S	1732.000000	2350.000000	BRYGGE FM	FORMATION	HORDALAND GP	6118	18	67	9999-12-31	2013-05-08
6305/5-3 S	2797.000000	2842.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	6118	31	131	9999-12-31	2013-05-08
6305/5-3 S	1732.000000	2350.000000	HORDALAND GP	GROUP	\N	6118	67	\N	9999-12-31	2013-05-08
6305/5-3 S	1660.000000	1732.000000	KAI FM	FORMATION	NORDLAND GP	6118	77	113	9999-12-31	2013-05-08
6305/5-3 S	857.000000	1660.000000	NAUST FM	FORMATION	NORDLAND GP	6118	109	113	9999-12-31	2013-05-08
6305/5-3 S	857.000000	1732.000000	NORDLAND GP	GROUP	\N	6118	113	\N	9999-12-31	2013-05-08
6305/5-3 S	2350.000000	2842.000000	ROGALAND GP	GROUP	\N	6118	131	\N	9999-12-31	2013-05-08
6305/5-3 S	2842.000000	2954.000000	SHETLAND GP	GROUP	\N	6118	143	\N	9999-12-31	2013-05-08
6305/5-3 S	2842.000000	2954.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6118	156	143	9999-12-31	2013-05-08
6305/5-3 S	2498.000000	2797.000000	TANG FM	FORMATION	ROGALAND GP	6118	161	131	9999-12-31	2013-05-08
6305/5-3 S	2350.000000	2498.000000	TARE FM	FORMATION	ROGALAND GP	6118	163	131	9999-12-31	2013-05-08
25/10-9	2046.000000	2116.000000	BALDER FM	FORMATION	ROGALAND GP	6120	6	131	9999-12-31	2013-05-08
25/10-9	2785.000000	2856.000000	BLODØKS FM	FORMATION	SHETLAND GP	6120	13	143	9999-12-31	2013-05-08
25/10-9	2856.000000	2886.000000	CROMER KNOLL GP	GROUP	\N	6120	23	\N	9999-12-31	2013-05-08
25/10-9	2886.000000	2918.000000	DRAUPNE FM	FORMATION	VIKING GP	6120	28	188	9999-12-31	2013-05-08
25/10-9	2484.000000	2583.000000	EKOFISK FM	FORMATION	SHETLAND GP	6120	33	143	9999-12-31	2013-05-08
25/10-9	1504.000000	1593.000000	GRID FM	FORMATION	HORDALAND GP	6120	53	67	9999-12-31	2013-05-08
25/10-9	2310.000000	2387.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6120	62	131	9999-12-31	2013-05-08
25/10-9	2737.000000	2785.000000	HOD FM	FORMATION	SHETLAND GP	6120	66	143	9999-12-31	2013-05-08
25/10-9	1077.000000	2046.000000	HORDALAND GP	GROUP	\N	6120	67	\N	9999-12-31	2013-05-08
25/10-9	2918.000000	2961.000000	HUGIN FM	FORMATION	VESTLAND GP	6120	69	186	9999-12-31	2013-05-08
25/10-9	2189.000000	2310.000000	LISTA FM	FORMATION	ROGALAND GP	6120	95	131	9999-12-31	2013-05-08
25/10-9	1145.000000	1504.000000	NO FORMAL NAME	FORMATION	\N	6120	111	\N	9999-12-31	2013-05-08
25/10-9	1593.000000	2046.000000	NO FORMAL NAME	FORMATION	\N	6120	111	\N	9999-12-31	2013-05-08
25/10-9	142.000000	1077.000000	NORDLAND GP	GROUP	\N	6120	113	\N	9999-12-31	2013-05-08
25/10-9	2046.000000	2484.000000	ROGALAND GP	GROUP	\N	6120	131	\N	9999-12-31	2013-05-08
25/10-9	2856.000000	2886.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6120	137	23	9999-12-31	2013-05-08
25/10-9	2116.000000	2189.000000	SELE FM	FORMATION	ROGALAND GP	6120	142	131	9999-12-31	2013-05-08
25/10-9	2484.000000	2856.000000	SHETLAND GP	GROUP	\N	6120	143	\N	9999-12-31	2013-05-08
25/10-9	1077.000000	1145.000000	SKADE FM	FORMATION	HORDALAND GP	6120	145	67	9999-12-31	2013-05-08
25/10-9	2961.000000	2985.000000	STATFJORD FM	FORMATION	\N	6120	157	\N	9999-12-31	2013-05-08
25/10-9	2583.000000	2737.000000	TOR FM	FORMATION	SHETLAND GP	6120	171	143	9999-12-31	2013-05-08
25/10-9	574.000000	1077.000000	UTSIRA FM	FORMATION	NORDLAND GP	6120	183	113	9999-12-31	2013-05-08
25/10-9	2918.000000	2961.000000	VESTLAND GP	GROUP	\N	6120	186	\N	9999-12-31	2013-05-08
25/10-9	2886.000000	2918.000000	VIKING GP	GROUP	\N	6120	188	\N	9999-12-31	2013-05-08
25/10-9	2387.000000	2484.000000	VÅLE FM	FORMATION	ROGALAND GP	6120	190	131	9999-12-31	2013-05-08
25/10-9	2961.000000	2985.000000	NO GROUP DEFINED	GROUP	\N	6120	208	\N	9999-12-31	2013-05-08
6507/11-10	1554.000000	1868.000000	BRYGGE FM	FORMATION	HORDALAND GP	6122	18	67	9999-12-31	2013-05-08
6507/11-10	2195.000000	2319.000000	BÅT GP	GROUP	\N	6122	22	\N	9999-12-31	2013-05-08
6507/11-10	2086.000000	2195.000000	FANGST GP	GROUP	\N	6122	38	\N	9999-12-31	2013-05-08
6507/11-10	2086.000000	2113.000000	GARN FM	FORMATION	FANGST GP	6122	48	38	9999-12-31	2013-05-08
6507/11-10	1554.000000	1868.000000	HORDALAND GP	GROUP	\N	6122	67	\N	9999-12-31	2013-05-08
6507/11-10	2134.000000	2195.000000	ILE FM	FORMATION	FANGST GP	6122	70	38	9999-12-31	2013-05-08
6507/11-10	1421.000000	1554.000000	KAI FM	FORMATION	NORDLAND GP	6122	77	113	9999-12-31	2013-05-08
6507/11-10	2030.000000	2041.000000	KVITNOS FM	FORMATION	SHETLAND GP	6122	91	143	9999-12-31	2013-05-08
6507/11-10	2051.000000	2086.000000	MELKE FM	FORMATION	VIKING GP	6122	105	188	9999-12-31	2013-05-08
6507/11-10	299.000000	1421.000000	NAUST FM	FORMATION	NORDLAND GP	6122	109	113	9999-12-31	2013-05-08
6507/11-10	1959.000000	2030.000000	NISE FM	FORMATION	SHETLAND GP	6122	112	143	9999-12-31	2013-05-08
6507/11-10	299.000000	1554.000000	NORDLAND GP	GROUP	\N	6122	113	\N	9999-12-31	2013-05-08
6507/11-10	2113.000000	2134.000000	NOT FM	FORMATION	FANGST GP	6122	120	38	9999-12-31	2013-05-08
6507/11-10	1868.000000	1959.000000	ROGALAND GP	GROUP	\N	6122	131	\N	9999-12-31	2013-05-08
6507/11-10	2195.000000	2285.000000	ROR FM	FORMATION	BÅT GP	6122	135	22	9999-12-31	2013-05-08
6507/11-10	1959.000000	2041.000000	SHETLAND GP	GROUP	\N	6122	143	\N	9999-12-31	2013-05-08
6507/11-10	2041.000000	2051.000000	SPEKK FM	FORMATION	VIKING GP	6122	155	188	9999-12-31	2013-05-08
6507/11-10	1921.000000	1959.000000	TANG FM	FORMATION	ROGALAND GP	6122	161	131	9999-12-31	2013-05-08
6507/11-10	1868.000000	1921.000000	TARE FM	FORMATION	ROGALAND GP	6122	163	131	9999-12-31	2013-05-08
6507/11-10	2285.000000	2319.000000	TILJE FM	FORMATION	BÅT GP	6122	169	22	9999-12-31	2013-05-08
6507/11-10	2041.000000	2086.000000	VIKING GP	GROUP	\N	6122	188	\N	9999-12-31	2013-05-08
6507/3-7	1709.000000	1967.000000	BRYGGE FM	FORMATION	HORDALAND GP	6123	18	67	9999-12-31	2013-05-08
6507/3-7	3639.000000	3855.000000	BÅT GP	GROUP	\N	6123	22	\N	9999-12-31	2013-05-08
6507/3-7	2718.000000	3344.000000	CROMER KNOLL GP	GROUP	\N	6123	23	\N	9999-12-31	2013-05-08
6507/3-7	3545.000000	3639.000000	FANGST GP	GROUP	\N	6123	38	\N	9999-12-31	2013-05-08
6507/3-7	3545.000000	3580.000000	GARN FM	FORMATION	FANGST GP	6123	48	38	9999-12-31	2013-05-08
6507/3-7	1709.000000	1967.000000	HORDALAND GP	GROUP	\N	6123	67	\N	9999-12-31	2013-05-08
6507/3-7	3622.000000	3639.000000	ILE FM	FORMATION	FANGST GP	6123	70	38	9999-12-31	2013-05-08
6507/3-7	1367.000000	1709.000000	KAI FM	FORMATION	NORDLAND GP	6123	77	113	9999-12-31	2013-05-08
6507/3-7	2718.000000	3344.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6123	94	23	9999-12-31	2013-05-08
6507/3-7	3363.000000	3545.000000	MELKE FM	FORMATION	VIKING GP	6123	105	188	9999-12-31	2013-05-08
6507/3-7	670.000000	1367.000000	NAUST FM	FORMATION	NORDLAND GP	6123	109	113	9999-12-31	2013-05-08
6507/3-7	399.000000	1709.000000	NORDLAND GP	GROUP	\N	6123	113	\N	9999-12-31	2013-05-08
6507/3-7	3580.000000	3622.000000	NOT FM	FORMATION	FANGST GP	6123	120	38	9999-12-31	2013-05-08
6507/3-7	1967.000000	2047.000000	ROGALAND GP	GROUP	\N	6123	131	\N	9999-12-31	2013-05-08
6507/3-7	3639.000000	3687.000000	ROR FM	FORMATION	BÅT GP	6123	135	22	9999-12-31	2013-05-08
6507/3-7	2047.000000	2718.000000	SHETLAND GP	GROUP	\N	6123	143	\N	9999-12-31	2013-05-08
6507/3-7	3344.000000	3363.000000	SPEKK FM	FORMATION	VIKING GP	6123	155	188	9999-12-31	2013-05-08
6507/3-7	2047.000000	2718.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6123	156	143	9999-12-31	2013-05-08
6507/3-7	2021.000000	2047.000000	TANG FM	FORMATION	ROGALAND GP	6123	161	131	9999-12-31	2013-05-08
6507/3-7	1967.000000	2021.000000	TARE FM	FORMATION	ROGALAND GP	6123	163	131	9999-12-31	2013-05-08
6507/3-7	3687.000000	3785.000000	TILJE FM	FORMATION	BÅT GP	6123	169	22	9999-12-31	2013-05-08
6507/3-7	3344.000000	3545.000000	VIKING GP	GROUP	\N	6123	188	\N	9999-12-31	2013-05-08
6507/3-7	3785.000000	3855.000000	ÅRE FM	FORMATION	BÅT GP	6123	197	22	9999-12-31	2013-05-08
25/8-16 A	1948.000000	2014.000000	BALDER FM	FORMATION	ROGALAND GP	6128	6	131	9999-12-31	2013-05-08
25/8-16 A	2306.000000	2324.000000	EKOFISK FM	FORMATION	SHETLAND GP	6128	33	143	9999-12-31	2013-05-08
25/8-16 A	1227.000000	1948.000000	GRID FM	FORMATION	HORDALAND GP	6128	53	67	9999-12-31	2013-05-08
25/8-16 A	2133.000000	2290.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6128	62	131	9999-12-31	2013-05-08
25/8-16 A	1005.000000	1948.000000	HORDALAND GP	GROUP	\N	6128	67	\N	9999-12-31	2013-05-08
25/8-16 A	2093.000000	2133.000000	LISTA FM	FORMATION	ROGALAND GP	6128	95	131	9999-12-31	2013-05-08
25/8-16 A	151.000000	1005.000000	NORDLAND GP	GROUP	\N	6128	113	\N	9999-12-31	2013-05-08
25/8-16 A	1948.000000	2306.000000	ROGALAND GP	GROUP	\N	6128	131	\N	9999-12-31	2013-05-08
25/8-16 A	2014.000000	2093.000000	SELE FM	FORMATION	ROGALAND GP	6128	142	131	9999-12-31	2013-05-08
25/8-16 A	2306.000000	2324.000000	SHETLAND GP	GROUP	\N	6128	143	\N	9999-12-31	2013-05-08
25/8-16 A	1157.000000	1227.000000	SKADE FM	FORMATION	HORDALAND GP	6128	145	67	9999-12-31	2013-05-08
25/8-16 A	2290.000000	2306.000000	TY FM	FORMATION	ROGALAND GP	6128	176	131	9999-12-31	2013-05-08
25/8-16 A	519.000000	1005.000000	UTSIRA FM	FORMATION	NORDLAND GP	6128	183	113	9999-12-31	2013-05-08
17/12-4	744.000000	773.000000	BALDER FM	FORMATION	ROGALAND GP	6137	6	131	9999-12-31	2013-05-08
17/12-4	1209.000000	1216.000000	BLODØKS FM	FORMATION	SHETLAND GP	6137	13	143	9999-12-31	2013-05-08
17/12-4	1992.000000	2277.000000	BOKNFJORD GP	GROUP	\N	6137	15	\N	9999-12-31	2013-05-08
17/12-4	2298.000000	2398.000000	BRYNE FM	FORMATION	VESTLAND GP	6137	19	186	9999-12-31	2013-05-08
17/12-4	1216.000000	1992.000000	CROMER KNOLL GP	GROUP	\N	6137	23	\N	9999-12-31	2013-05-08
17/12-4	2198.000000	2277.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	6137	30	15	9999-12-31	2013-05-08
17/12-4	780.000000	799.000000	EKOFISK FM	FORMATION	SHETLAND GP	6137	33	143	9999-12-31	2013-05-08
17/12-4	2398.000000	2493.000000	FJERRITSLEV FM	FORMATION	\N	6137	42	\N	9999-12-31	2013-05-08
17/12-4	1992.000000	2017.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	6137	43	15	9999-12-31	2013-05-08
17/12-4	984.000000	1209.000000	HOD FM	FORMATION	SHETLAND GP	6137	66	143	9999-12-31	2013-05-08
17/12-4	486.000000	744.000000	HORDALAND GP	GROUP	\N	6137	67	\N	9999-12-31	2013-05-08
17/12-4	128.000000	486.000000	NORDLAND GP	GROUP	\N	6137	113	\N	9999-12-31	2013-05-08
17/12-4	744.000000	780.000000	ROGALAND GP	GROUP	\N	6137	131	\N	9999-12-31	2013-05-08
17/12-4	1216.000000	1335.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6137	137	23	9999-12-31	2013-05-08
17/12-4	2277.000000	2298.000000	SANDNES FM	FORMATION	VESTLAND GP	6137	139	186	9999-12-31	2013-05-08
17/12-4	2017.000000	2149.000000	SAUDA FM	FORMATION	BOKNFJORD GP	6137	141	15	9999-12-31	2013-05-08
17/12-4	780.000000	1216.000000	SHETLAND GP	GROUP	\N	6137	143	\N	9999-12-31	2013-05-08
17/12-4	2493.000000	2470.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6137	146	61	9999-12-31	2013-05-08
17/12-4	2149.000000	2198.000000	TAU FM	FORMATION	BOKNFJORD GP	6137	164	15	9999-12-31	2013-05-08
17/12-4	799.000000	984.000000	TOR FM	FORMATION	SHETLAND GP	6137	171	143	9999-12-31	2013-05-08
17/12-4	2277.000000	2493.000000	VESTLAND GP	GROUP	\N	6137	186	\N	9999-12-31	2013-05-08
17/12-4	773.000000	780.000000	VÅLE FM	FORMATION	ROGALAND GP	6137	190	131	9999-12-31	2013-05-08
17/12-4	1335.000000	1992.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6137	198	23	9999-12-31	2013-05-08
17/12-4	2493.000000	2470.000000	NO GROUP DEFINED	GROUP	\N	6137	208	\N	9999-12-31	2013-05-08
15/12-21 A	2323.000000	2331.000000	BALDER FM	FORMATION	ROGALAND GP	6139	6	131	9999-12-31	2013-05-08
15/12-21 A	2836.000000	2889.000000	BLODØKS FM	FORMATION	SHETLAND GP	6139	13	143	9999-12-31	2013-05-08
15/12-21 A	2970.000000	3088.000000	CROMER KNOLL GP	GROUP	\N	6139	23	\N	9999-12-31	2013-05-08
15/12-21 A	3088.000000	3285.000000	DRAUPNE FM	FORMATION	VIKING GP	6139	28	188	9999-12-31	2013-05-08
15/12-21 A	3285.000000	3378.000000	HEATHER FM	FORMATION	VIKING GP	6139	60	188	9999-12-31	2013-05-08
15/12-21 A	2889.000000	2970.000000	HIDRA FM	FORMATION	SHETLAND GP	6139	65	143	9999-12-31	2013-05-08
15/12-21 A	2724.000000	2836.000000	HOD FM	FORMATION	SHETLAND GP	6139	66	143	9999-12-31	2013-05-08
15/12-21 A	1131.000000	2323.000000	HORDALAND GP	GROUP	\N	6139	67	\N	9999-12-31	2013-05-08
15/12-21 A	3378.000000	3412.000000	HUGIN FM	FORMATION	VESTLAND GP	6139	69	186	9999-12-31	2013-05-08
15/12-21 A	2411.000000	2492.000000	LISTA FM	FORMATION	ROGALAND GP	6139	95	131	9999-12-31	2013-05-08
15/12-21 A	128.000000	1131.000000	NORDLAND GP	GROUP	\N	6139	113	\N	9999-12-31	2013-05-08
15/12-21 A	2323.000000	2516.000000	ROGALAND GP	GROUP	\N	6139	131	\N	9999-12-31	2013-05-08
15/12-21 A	2970.000000	3011.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6139	137	23	9999-12-31	2013-05-08
15/12-21 A	2331.000000	2411.000000	SELE FM	FORMATION	ROGALAND GP	6139	142	131	9999-12-31	2013-05-08
15/12-21 A	2516.000000	2970.000000	SHETLAND GP	GROUP	\N	6139	143	\N	9999-12-31	2013-05-08
15/12-21 A	3493.000000	3702.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6139	146	61	9999-12-31	2013-05-08
15/12-21 A	3412.000000	3493.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6139	148	186	9999-12-31	2013-05-08
15/12-21 A	3011.000000	3056.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6139	152	23	9999-12-31	2013-05-08
15/12-21 A	2516.000000	2724.000000	TOR FM	FORMATION	SHETLAND GP	6139	171	143	9999-12-31	2013-05-08
15/12-21 A	930.000000	1131.000000	UTSIRA FM	FORMATION	NORDLAND GP	6139	183	113	9999-12-31	2013-05-08
15/12-21 A	3378.000000	3493.000000	VESTLAND GP	GROUP	\N	6139	186	\N	9999-12-31	2013-05-08
15/12-21 A	3088.000000	3378.000000	VIKING GP	GROUP	\N	6139	188	\N	9999-12-31	2013-05-08
15/12-21 A	2492.000000	2516.000000	VÅLE FM	FORMATION	ROGALAND GP	6139	190	131	9999-12-31	2013-05-08
15/12-21 A	3056.000000	3088.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6139	198	23	9999-12-31	2013-05-08
15/12-21 A	3493.000000	3702.000000	NO GROUP DEFINED	GROUP	\N	6139	208	\N	9999-12-31	2013-05-08
33/9-21 B	2618.000000	2728.000000	BALDER FM	FORMATION	ROGALAND GP	6142	6	131	9999-12-31	2013-05-08
33/9-21 B	5901.000000	6808.000000	BRENT GP	GROUP	\N	6142	16	\N	9999-12-31	2013-05-08
33/9-21 B	5502.000000	5662.000000	CROMER KNOLL GP	GROUP	\N	6142	23	\N	9999-12-31	2013-05-08
33/9-21 B	5662.000000	5819.000000	DRAUPNE FM	FORMATION	VIKING GP	6142	28	188	9999-12-31	2013-05-08
33/9-21 B	5819.000000	5901.000000	HEATHER FM	FORMATION	VIKING GP	6142	60	188	9999-12-31	2013-05-08
33/9-21 B	6808.000000	6882.000000	HEATHER FM	FORMATION	VIKING GP	6142	60	188	9999-12-31	2013-05-08
33/9-21 B	1093.000000	2618.000000	HORDALAND GP	GROUP	\N	6142	67	\N	9999-12-31	2013-05-08
33/9-21 B	2846.000000	3056.000000	LISTA FM	FORMATION	ROGALAND GP	6142	95	131	9999-12-31	2013-05-08
33/9-21 B	5617.000000	5662.000000	MIME FM	FORMATION	CROMER KNOLL GP	6142	106	23	9999-12-31	2013-05-08
33/9-21 B	5939.000000	6784.000000	NESS FM	FORMATION	BRENT GP	6142	110	16	9999-12-31	2013-05-08
33/9-21 B	213.000000	1093.000000	NORDLAND GP	GROUP	\N	6142	113	\N	9999-12-31	2013-05-08
33/9-21 B	2618.000000	3112.000000	ROGALAND GP	GROUP	\N	6142	131	\N	9999-12-31	2013-05-08
33/9-21 B	5502.000000	5518.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6142	137	23	9999-12-31	2013-05-08
33/9-21 B	2728.000000	2846.000000	SELE FM	FORMATION	ROGALAND GP	6142	142	131	9999-12-31	2013-05-08
33/9-21 B	3112.000000	5502.000000	SHETLAND GP	GROUP	\N	6142	143	\N	9999-12-31	2013-05-08
33/9-21 B	5518.000000	5546.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6142	152	23	9999-12-31	2013-05-08
33/9-21 B	5901.000000	5939.000000	TARBERT FM	FORMATION	BRENT GP	6142	162	16	9999-12-31	2013-05-08
33/9-21 B	6784.000000	6808.000000	TARBERT FM	FORMATION	BRENT GP	6142	162	16	9999-12-31	2013-05-08
33/9-21 B	971.000000	1093.000000	UTSIRA FM	FORMATION	NORDLAND GP	6142	183	113	9999-12-31	2013-05-08
33/9-21 B	5662.000000	5901.000000	VIKING GP	GROUP	\N	6142	188	\N	9999-12-31	2013-05-08
33/9-21 B	6808.000000	6882.000000	VIKING GP	GROUP	\N	6142	188	\N	9999-12-31	2013-05-08
33/9-21 B	3056.000000	3112.000000	VÅLE FM	FORMATION	ROGALAND GP	6142	190	131	9999-12-31	2013-05-08
33/9-21 B	5546.000000	5617.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6142	198	23	9999-12-31	2013-05-08
6306/6-2	2072.000000	2080.000000	BASEMENT	GROUP	\N	6143	10	\N	9999-12-31	2013-05-08
6306/6-2	849.000000	1123.000000	BRYGGE FM	FORMATION	HORDALAND GP	6143	18	67	9999-12-31	2013-05-08
6306/6-2	1860.000000	1963.000000	CROMER KNOLL GP	GROUP	\N	6143	23	\N	9999-12-31	2013-05-08
6306/6-2	849.000000	1123.000000	HORDALAND GP	GROUP	\N	6143	67	\N	9999-12-31	2013-05-08
6306/6-2	1775.000000	1860.000000	KVITNOS FM	FORMATION	SHETLAND GP	6143	91	143	9999-12-31	2013-05-08
6306/6-2	1860.000000	1953.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6143	94	23	9999-12-31	2013-05-08
6306/6-2	1953.000000	1963.000000	LYR FM	FORMATION	CROMER KNOLL GP	6143	98	23	9999-12-31	2013-05-08
6306/6-2	264.000000	786.000000	NAUST FM	FORMATION	NORDLAND GP	6143	109	113	9999-12-31	2013-05-08
6306/6-2	1963.000000	1991.000000	NO FORMAL NAME	FORMATION	\N	6143	111	\N	9999-12-31	2013-05-08
6306/6-2	1991.000000	2001.000000	NO FORMAL NAME	FORMATION	\N	6143	111	\N	9999-12-31	2013-05-08
6306/6-2	2001.000000	2028.000000	NO FORMAL NAME	FORMATION	\N	6143	111	\N	9999-12-31	2013-05-08
6306/6-2	2028.000000	2072.000000	NO FORMAL NAME	FORMATION	\N	6143	111	\N	9999-12-31	2013-05-08
6306/6-2	1462.000000	1775.000000	NISE FM	FORMATION	SHETLAND GP	6143	112	143	9999-12-31	2013-05-08
6306/6-2	264.000000	849.000000	NORDLAND GP	GROUP	\N	6143	113	\N	9999-12-31	2013-05-08
6306/6-2	1123.000000	1430.000000	ROGALAND GP	GROUP	\N	6143	131	\N	9999-12-31	2013-05-08
6306/6-2	1430.000000	1860.000000	SHETLAND GP	GROUP	\N	6143	143	\N	9999-12-31	2013-05-08
6306/6-2	1430.000000	1462.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6143	156	143	9999-12-31	2013-05-08
6306/6-2	1223.000000	1430.000000	TANG FM	FORMATION	ROGALAND GP	6143	161	131	9999-12-31	2013-05-08
6306/6-2	1123.000000	1223.000000	TARE FM	FORMATION	ROGALAND GP	6143	163	131	9999-12-31	2013-05-08
6306/6-2	1963.000000	2072.000000	VIKING GP	GROUP	\N	6143	188	\N	9999-12-31	2013-05-08
6306/6-2	786.000000	849.000000	MOLO FM	FORMATION	NORDLAND GP	6143	209	113	9999-12-31	2013-05-08
6506/12-12 S	2002.000000	2367.000000	BRYGGE FM	FORMATION	HORDALAND GP	6144	18	67	9999-12-31	2013-05-08
6506/12-12 S	4991.000000	5508.000000	BÅT GP	GROUP	\N	6144	22	\N	9999-12-31	2013-05-08
6506/12-12 S	3534.000000	4408.000000	CROMER KNOLL GP	GROUP	\N	6144	23	\N	9999-12-31	2013-05-08
6506/12-12 S	4769.000000	4991.000000	FANGST GP	GROUP	\N	6144	38	\N	9999-12-31	2013-05-08
6506/12-12 S	4769.000000	4828.000000	GARN FM	FORMATION	FANGST GP	6144	48	38	9999-12-31	2013-05-08
6506/12-12 S	2002.000000	2541.000000	HORDALAND GP	GROUP	\N	6144	67	\N	9999-12-31	2013-05-08
6506/12-12 S	4868.000000	4991.000000	ILE FM	FORMATION	FANGST GP	6144	70	38	9999-12-31	2013-05-08
6506/12-12 S	1519.000000	2002.000000	KAI FM	FORMATION	NORDLAND GP	6144	77	113	9999-12-31	2013-05-08
6506/12-12 S	3077.000000	3534.000000	KVITNOS FM	FORMATION	SHETLAND GP	6144	91	143	9999-12-31	2013-05-08
6506/12-12 S	3580.000000	4088.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6144	94	23	9999-12-31	2013-05-08
6506/12-12 S	4172.000000	4393.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6144	94	23	9999-12-31	2013-05-08
6506/12-12 S	4393.000000	4408.000000	LYR FM	FORMATION	CROMER KNOLL GP	6144	98	23	9999-12-31	2013-05-08
6506/12-12 S	3534.000000	3580.000000	LYSING FM	FORMATION	CROMER KNOLL GP	6144	99	23	9999-12-31	2013-05-08
6506/12-12 S	4457.000000	4769.000000	MELKE FM	FORMATION	VIKING GP	6144	105	188	9999-12-31	2013-05-08
6506/12-12 S	325.000000	1519.000000	NAUST FM	FORMATION	NORDLAND GP	6144	109	113	9999-12-31	2013-05-08
6506/12-12 S	4088.000000	4172.000000	NO FORMAL NAME	FORMATION	\N	6144	111	\N	9999-12-31	2013-05-08
6506/12-12 S	2804.000000	3077.000000	NISE FM	FORMATION	SHETLAND GP	6144	112	143	9999-12-31	2013-05-08
6506/12-12 S	325.000000	2002.000000	NORDLAND GP	GROUP	\N	6144	113	\N	9999-12-31	2013-05-08
6506/12-12 S	4828.000000	4868.000000	NOT FM	FORMATION	FANGST GP	6144	120	38	9999-12-31	2013-05-08
6506/12-12 S	4991.000000	5082.000000	ROR FM	FORMATION	BÅT GP	6144	135	22	9999-12-31	2013-05-08
6506/12-12 S	5167.000000	5218.000000	ROR FM	FORMATION	BÅT GP	6144	135	22	9999-12-31	2013-05-08
6506/12-12 S	2541.000000	3534.000000	SHETLAND GP	GROUP	\N	6144	143	\N	9999-12-31	2013-05-08
6506/12-12 S	4408.000000	4457.000000	SPEKK FM	FORMATION	VIKING GP	6144	155	188	9999-12-31	2013-05-08
6506/12-12 S	2541.000000	2804.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6144	156	143	9999-12-31	2013-05-08
6506/12-12 S	2454.000000	2541.000000	TANG FM	FORMATION	ROGALAND GP	6144	161	131	9999-12-31	2013-05-08
6506/12-12 S	2367.000000	2454.000000	TARE FM	FORMATION	ROGALAND GP	6144	163	131	9999-12-31	2013-05-08
6506/12-12 S	5218.000000	5496.000000	TILJE FM	FORMATION	BÅT GP	6144	169	22	9999-12-31	2013-05-08
6506/12-12 S	5082.000000	5167.000000	TOFTE FM	FORMATION	BÅT GP	6144	170	22	9999-12-31	2013-05-08
6506/12-12 S	4408.000000	4769.000000	VIKING GP	GROUP	\N	6144	188	\N	9999-12-31	2013-05-08
6506/12-12 S	5496.000000	5508.000000	ÅRE FM	FORMATION	BÅT GP	6144	197	22	9999-12-31	2013-05-08
6407/2-5 S	1379.000000	2010.000000	BRYGGE FM	FORMATION	HORDALAND GP	6151	18	67	9999-12-31	2013-05-08
6407/2-5 S	2926.000000	3408.000000	BÅT GP	GROUP	\N	6151	22	\N	9999-12-31	2013-05-08
6407/2-5 S	2585.000000	2733.000000	CROMER KNOLL GP	GROUP	\N	6151	23	\N	9999-12-31	2013-05-08
6407/2-5 S	2750.000000	2926.000000	FANGST GP	GROUP	\N	6151	38	\N	9999-12-31	2013-05-08
6407/2-5 S	2750.000000	2783.000000	GARN FM	FORMATION	FANGST GP	6151	48	38	9999-12-31	2013-05-08
6407/2-5 S	1379.000000	2010.000000	HORDALAND GP	GROUP	\N	6151	67	\N	9999-12-31	2013-05-08
6407/2-5 S	2828.000000	2926.000000	ILE FM	FORMATION	FANGST GP	6151	70	38	9999-12-31	2013-05-08
6407/2-5 S	1305.000000	1379.000000	KAI FM	FORMATION	NORDLAND GP	6151	77	113	9999-12-31	2013-05-08
6407/2-5 S	2396.000000	2585.000000	KVITNOS FM	FORMATION	SHETLAND GP	6151	91	143	9999-12-31	2013-05-08
6407/2-5 S	2585.000000	2719.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6151	94	23	9999-12-31	2013-05-08
6407/2-5 S	2719.000000	2733.000000	LYR FM	FORMATION	CROMER KNOLL GP	6151	98	23	9999-12-31	2013-05-08
6407/2-5 S	2745.000000	2750.000000	MELKE FM	FORMATION	VIKING GP	6151	105	188	9999-12-31	2013-05-08
6407/2-5 S	515.000000	1305.000000	NAUST FM	FORMATION	NORDLAND GP	6151	109	113	9999-12-31	2013-05-08
6407/2-5 S	2198.000000	2396.000000	NISE FM	FORMATION	SHETLAND GP	6151	112	143	9999-12-31	2013-05-08
6407/2-5 S	272.000000	1379.000000	NORDLAND GP	GROUP	\N	6151	113	\N	9999-12-31	2013-05-08
6407/2-5 S	2783.000000	2828.000000	NOT FM	FORMATION	FANGST GP	6151	120	38	9999-12-31	2013-05-08
6407/2-5 S	2010.000000	2150.000000	ROGALAND GP	GROUP	\N	6151	131	\N	9999-12-31	2013-05-08
6407/2-5 S	2926.000000	3096.000000	ROR FM	FORMATION	BÅT GP	6151	135	22	9999-12-31	2013-05-08
6407/2-5 S	2150.000000	2585.000000	SHETLAND GP	GROUP	\N	6151	143	\N	9999-12-31	2013-05-08
6407/2-5 S	2733.000000	2745.000000	SPEKK FM	FORMATION	VIKING GP	6151	155	188	9999-12-31	2013-05-08
6407/2-5 S	2150.000000	2198.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6151	156	143	9999-12-31	2013-05-08
6407/2-5 S	2071.000000	2150.000000	TANG FM	FORMATION	ROGALAND GP	6151	161	131	9999-12-31	2013-05-08
6407/2-5 S	2010.000000	2071.000000	TARE FM	FORMATION	ROGALAND GP	6151	163	131	9999-12-31	2013-05-08
6407/2-5 S	3096.000000	3311.000000	TILJE FM	FORMATION	BÅT GP	6151	169	22	9999-12-31	2013-05-08
6407/2-5 S	2733.000000	2750.000000	VIKING GP	GROUP	\N	6151	188	\N	9999-12-31	2013-05-08
6407/2-5 S	3311.000000	3408.000000	ÅRE FM	FORMATION	BÅT GP	6151	197	22	9999-12-31	2013-05-08
6407/8-5 A	936.000000	1516.000000	BRYGGE FM	FORMATION	HORDALAND GP	6153	18	67	9999-12-31	2013-05-08
6407/8-5 A	2458.000000	3014.000000	BÅT GP	GROUP	\N	6153	22	\N	9999-12-31	2013-05-08
6407/8-5 A	3194.000000	3199.000000	CROMER KNOLL GP	GROUP	\N	6153	23	\N	9999-12-31	2013-05-08
6407/8-5 A	2253.000000	2458.000000	FANGST GP	GROUP	\N	6153	38	\N	9999-12-31	2013-05-08
6407/8-5 A	3014.000000	3194.000000	FANGST GP	GROUP	\N	6153	38	\N	9999-12-31	2013-05-08
6407/8-5 A	2253.000000	2317.000000	GARN FM	FORMATION	FANGST GP	6153	48	38	9999-12-31	2013-05-08
6407/8-5 A	936.000000	1516.000000	HORDALAND GP	GROUP	\N	6153	67	\N	9999-12-31	2013-05-08
6407/8-5 A	2347.000000	2458.000000	ILE FM	FORMATION	FANGST GP	6153	70	38	9999-12-31	2013-05-08
6407/8-5 A	3014.000000	3194.000000	ILE FM	FORMATION	FANGST GP	6153	70	38	9999-12-31	2013-05-08
6407/8-5 A	900.000000	936.000000	KAI FM	FORMATION	NORDLAND GP	6153	77	113	9999-12-31	2013-05-08
6407/8-5 A	1910.000000	2100.000000	KVITNOS FM	FORMATION	SHETLAND GP	6153	91	143	9999-12-31	2013-05-08
6407/8-5 A	3199.000000	3231.000000	KVITNOS FM	FORMATION	SHETLAND GP	6153	91	143	9999-12-31	2013-05-08
6407/8-5 A	3194.000000	3199.000000	LYR FM	FORMATION	CROMER KNOLL GP	6153	98	23	9999-12-31	2013-05-08
6407/8-5 A	2180.000000	2253.000000	MELKE FM	FORMATION	VIKING GP	6153	105	188	9999-12-31	2013-05-08
6407/8-5 A	270.000000	900.000000	NAUST FM	FORMATION	NORDLAND GP	6153	109	113	9999-12-31	2013-05-08
6407/8-5 A	1775.000000	1910.000000	NISE FM	FORMATION	SHETLAND GP	6153	112	143	9999-12-31	2013-05-08
6407/8-5 A	270.000000	936.000000	NORDLAND GP	GROUP	\N	6153	113	\N	9999-12-31	2013-05-08
6407/8-5 A	2317.000000	2347.000000	NOT FM	FORMATION	FANGST GP	6153	120	38	9999-12-31	2013-05-08
6407/8-5 A	1516.000000	1730.000000	ROGALAND GP	GROUP	\N	6153	131	\N	9999-12-31	2013-05-08
6407/8-5 A	2458.000000	2566.000000	ROR FM	FORMATION	BÅT GP	6153	135	22	9999-12-31	2013-05-08
6407/8-5 A	3004.000000	3014.000000	ROR FM	FORMATION	BÅT GP	6153	135	22	9999-12-31	2013-05-08
6407/8-5 A	1730.000000	2100.000000	SHETLAND GP	GROUP	\N	6153	143	\N	9999-12-31	2013-05-08
6407/8-5 A	3199.000000	3231.000000	SHETLAND GP	GROUP	\N	6153	143	\N	9999-12-31	2013-05-08
6407/8-5 A	2100.000000	2180.000000	SPEKK FM	FORMATION	VIKING GP	6153	155	188	9999-12-31	2013-05-08
6407/8-5 A	1730.000000	1775.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6153	156	143	9999-12-31	2013-05-08
6407/8-5 A	1604.000000	1730.000000	TANG FM	FORMATION	ROGALAND GP	6153	161	131	9999-12-31	2013-05-08
6407/8-5 A	1516.000000	1604.000000	TARE FM	FORMATION	ROGALAND GP	6153	163	131	9999-12-31	2013-05-08
6407/8-5 A	2566.000000	3004.000000	TILJE FM	FORMATION	BÅT GP	6153	169	22	9999-12-31	2013-05-08
6407/8-5 A	2100.000000	2253.000000	VIKING GP	GROUP	\N	6153	188	\N	9999-12-31	2013-05-08
35/3-7 S	3596.000000	3998.000000	AGAT FM	FORMATION	CROMER KNOLL GP	6154	2	23	9999-12-31	2013-05-08
35/3-7 S	1232.000000	1273.000000	BALDER FM	FORMATION	ROGALAND GP	6154	6	131	9999-12-31	2013-05-08
35/3-7 S	3234.000000	3237.000000	BLODØKS FM	FORMATION	SHETLAND GP	6154	13	143	9999-12-31	2013-05-08
35/3-7 S	3305.000000	4029.000000	CROMER KNOLL GP	GROUP	\N	6154	23	\N	9999-12-31	2013-05-08
35/3-7 S	909.000000	1038.000000	GRID FM	FORMATION	HORDALAND GP	6154	53	67	9999-12-31	2013-05-08
35/3-7 S	4029.000000	4051.000000	HEATHER FM	FORMATION	VIKING GP	6154	60	188	9999-12-31	2013-05-08
35/3-7 S	655.000000	1232.000000	HORDALAND GP	GROUP	\N	6154	67	\N	9999-12-31	2013-05-08
35/3-7 S	1520.000000	1643.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6154	74	143	9999-12-31	2013-05-08
35/3-7 S	1643.000000	2847.000000	KYRRE FM	FORMATION	SHETLAND GP	6154	92	143	9999-12-31	2013-05-08
35/3-7 S	1300.000000	1420.000000	LISTA FM	FORMATION	ROGALAND GP	6154	95	131	9999-12-31	2013-05-08
35/3-7 S	821.000000	909.000000	NO FORMAL NAME	FORMATION	\N	6154	111	\N	9999-12-31	2013-05-08
35/3-7 S	1038.000000	1232.000000	NO FORMAL NAME	FORMATION	\N	6154	111	\N	9999-12-31	2013-05-08
35/3-7 S	282.000000	655.000000	NORDLAND GP	GROUP	\N	6154	113	\N	9999-12-31	2013-05-08
35/3-7 S	1232.000000	1520.000000	ROGALAND GP	GROUP	\N	6154	131	\N	9999-12-31	2013-05-08
35/3-7 S	3305.000000	3596.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6154	137	23	9999-12-31	2013-05-08
35/3-7 S	1273.000000	1300.000000	SELE FM	FORMATION	ROGALAND GP	6154	142	131	9999-12-31	2013-05-08
35/3-7 S	1520.000000	3305.000000	SHETLAND GP	GROUP	\N	6154	143	\N	9999-12-31	2013-05-08
35/3-7 S	655.000000	821.000000	SKADE FM	FORMATION	HORDALAND GP	6154	145	67	9999-12-31	2013-05-08
35/3-7 S	3237.000000	3305.000000	SVARTE FM	FORMATION	SHETLAND GP	6154	160	143	9999-12-31	2013-05-08
35/3-7 S	2847.000000	3234.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6154	173	143	9999-12-31	2013-05-08
35/3-7 S	4029.000000	4051.000000	VIKING GP	GROUP	\N	6154	188	\N	9999-12-31	2013-05-08
35/3-7 S	1420.000000	1520.000000	VÅLE FM	FORMATION	ROGALAND GP	6154	190	131	9999-12-31	2013-05-08
35/3-7 S	3998.000000	4029.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6154	198	23	9999-12-31	2013-05-08
16/1-11	1988.000000	2022.000000	BALDER FM	FORMATION	ROGALAND GP	6157	6	131	9999-12-31	2013-05-08
16/1-11	2233.000000	2267.000000	CROMER KNOLL GP	GROUP	\N	6157	23	\N	9999-12-31	2013-05-08
16/1-11	2267.000000	2318.000000	DRAUPNE FM	FORMATION	VIKING GP	6157	28	188	9999-12-31	2013-05-08
16/1-11	2208.000000	2233.000000	EKOFISK FM	FORMATION	SHETLAND GP	6157	33	143	9999-12-31	2013-05-08
16/1-11	1609.000000	1738.000000	GRID FM	FORMATION	HORDALAND GP	6157	53	67	9999-12-31	2013-05-08
16/1-11	2318.000000	2381.000000	HEATHER FM	FORMATION	VIKING GP	6157	60	188	9999-12-31	2013-05-08
16/1-11	2128.000000	2171.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6157	62	131	9999-12-31	2013-05-08
16/1-11	825.000000	1988.000000	HORDALAND GP	GROUP	\N	6157	67	\N	9999-12-31	2013-05-08
16/1-11	2075.000000	2128.000000	LISTA FM	FORMATION	ROGALAND GP	6157	95	131	9999-12-31	2013-05-08
16/1-11	2171.000000	2202.000000	LISTA FM	FORMATION	ROGALAND GP	6157	95	131	9999-12-31	2013-05-08
16/1-11	811.000000	825.000000	NO FORMAL NAME	FORMATION	\N	6157	111	\N	9999-12-31	2013-05-08
16/1-11	837.000000	939.000000	NO FORMAL NAME	FORMATION	\N	6157	111	\N	9999-12-31	2013-05-08
16/1-11	1226.000000	1609.000000	NO FORMAL NAME	FORMATION	\N	6157	111	\N	9999-12-31	2013-05-08
16/1-11	1738.000000	1988.000000	NO FORMAL NAME	FORMATION	\N	6157	111	\N	9999-12-31	2013-05-08
16/1-11	141.000000	825.000000	NORDLAND GP	GROUP	\N	6157	113	\N	9999-12-31	2013-05-08
16/1-11	1988.000000	2208.000000	ROGALAND GP	GROUP	\N	6157	131	\N	9999-12-31	2013-05-08
16/1-11	2022.000000	2075.000000	SELE FM	FORMATION	ROGALAND GP	6157	142	131	9999-12-31	2013-05-08
16/1-11	2208.000000	2233.000000	SHETLAND GP	GROUP	\N	6157	143	\N	9999-12-31	2013-05-08
16/1-11	825.000000	837.000000	SKADE FM	FORMATION	HORDALAND GP	6157	145	67	9999-12-31	2013-05-08
16/1-11	939.000000	1226.000000	SKADE FM	FORMATION	HORDALAND GP	6157	145	67	9999-12-31	2013-05-08
16/1-11	2401.000000	2625.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6157	146	61	9999-12-31	2013-05-08
16/1-11	2381.000000	2401.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6157	148	186	9999-12-31	2013-05-08
16/1-11	754.000000	811.000000	UTSIRA FM	FORMATION	NORDLAND GP	6157	183	113	9999-12-31	2013-05-08
16/1-11	2381.000000	2401.000000	VESTLAND GP	GROUP	\N	6157	186	\N	9999-12-31	2013-05-08
16/1-11	2267.000000	2381.000000	VIKING GP	GROUP	\N	6157	188	\N	9999-12-31	2013-05-08
16/1-11	2202.000000	2208.000000	VÅLE FM	FORMATION	ROGALAND GP	6157	190	131	9999-12-31	2013-05-08
16/1-11	2233.000000	2267.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6157	198	23	9999-12-31	2013-05-08
16/1-11	2401.000000	2625.000000	NO GROUP DEFINED	GROUP	\N	6157	208	\N	9999-12-31	2013-05-08
16/1-12	1727.000000	1751.000000	BALDER FM	FORMATION	ROGALAND GP	6166	6	131	9999-12-31	2013-05-08
16/1-12	1913.000000	2055.000000	BASEMENT	GROUP	\N	6166	10	\N	9999-12-31	2013-05-08
16/1-12	1902.000000	1912.000000	CROMER KNOLL GP	GROUP	\N	6166	23	\N	9999-12-31	2013-05-08
16/1-12	1912.000000	1913.000000	DRAUPNE FM	FORMATION	VIKING GP	6166	28	188	9999-12-31	2013-05-08
16/1-12	1845.000000	1865.000000	EKOFISK FM	FORMATION	SHETLAND GP	6166	33	143	9999-12-31	2013-05-08
16/1-12	1633.000000	1661.000000	GRID FM	FORMATION	HORDALAND GP	6166	53	67	9999-12-31	2013-05-08
16/1-12	1888.000000	1902.000000	HOD FM	FORMATION	SHETLAND GP	6166	66	143	9999-12-31	2013-05-08
16/1-12	930.000000	1727.000000	HORDALAND GP	GROUP	\N	6166	67	\N	9999-12-31	2013-05-08
16/1-12	1777.000000	1837.000000	LISTA FM	FORMATION	ROGALAND GP	6166	95	131	9999-12-31	2013-05-08
16/1-12	1179.000000	1633.000000	NO FORMAL NAME	FORMATION	\N	6166	111	\N	9999-12-31	2013-05-08
16/1-12	1661.000000	1727.000000	NO FORMAL NAME	FORMATION	\N	6166	111	\N	9999-12-31	2013-05-08
16/1-12	132.000000	930.000000	NORDLAND GP	GROUP	\N	6166	113	\N	9999-12-31	2013-05-08
16/1-12	1727.000000	1845.000000	ROGALAND GP	GROUP	\N	6166	131	\N	9999-12-31	2013-05-08
16/1-12	1751.000000	1777.000000	SELE FM	FORMATION	ROGALAND GP	6166	142	131	9999-12-31	2013-05-08
16/1-12	1845.000000	1902.000000	SHETLAND GP	GROUP	\N	6166	143	\N	9999-12-31	2013-05-08
16/1-12	1003.000000	1179.000000	SKADE FM	FORMATION	HORDALAND GP	6166	145	67	9999-12-31	2013-05-08
16/1-12	1902.000000	1909.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6166	152	23	9999-12-31	2013-05-08
16/1-12	1865.000000	1888.000000	TOR FM	FORMATION	SHETLAND GP	6166	171	143	9999-12-31	2013-05-08
16/1-12	734.000000	930.000000	UTSIRA FM	FORMATION	NORDLAND GP	6166	183	113	9999-12-31	2013-05-08
16/1-12	1912.000000	1913.000000	VIKING GP	GROUP	\N	6166	188	\N	9999-12-31	2013-05-08
16/1-12	1837.000000	1845.000000	VÅLE FM	FORMATION	ROGALAND GP	6166	190	131	9999-12-31	2013-05-08
16/1-12	1909.000000	1912.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6166	198	23	9999-12-31	2013-05-08
25/5-6	2165.000000	2230.000000	BALDER FM	FORMATION	ROGALAND GP	6167	6	131	9999-12-31	2013-05-08
25/5-6	2344.000000	2376.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6167	62	131	9999-12-31	2013-05-08
25/5-6	2405.000000	2446.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6167	62	131	9999-12-31	2013-05-08
25/5-6	2240.000000	2309.000000	HERMOD FM	FORMATION	ROGALAND GP	6167	64	131	9999-12-31	2013-05-08
25/5-6	867.000000	2165.000000	HORDALAND GP	GROUP	\N	6167	67	\N	9999-12-31	2013-05-08
25/5-6	2341.000000	2344.000000	LISTA FM	FORMATION	ROGALAND GP	6167	95	131	9999-12-31	2013-05-08
25/5-6	2376.000000	2405.000000	LISTA FM	FORMATION	ROGALAND GP	6167	95	131	9999-12-31	2013-05-08
25/5-6	1032.000000	2165.000000	NO FORMAL NAME	FORMATION	\N	6167	111	\N	9999-12-31	2013-05-08
25/5-6	144.000000	867.000000	NORDLAND GP	GROUP	\N	6167	113	\N	9999-12-31	2013-05-08
25/5-6	2165.000000	2446.000000	ROGALAND GP	GROUP	\N	6167	131	\N	9999-12-31	2013-05-08
25/5-6	2230.000000	2240.000000	SELE FM	FORMATION	ROGALAND GP	6167	142	131	9999-12-31	2013-05-08
25/5-6	2309.000000	2341.000000	SELE FM	FORMATION	ROGALAND GP	6167	142	131	9999-12-31	2013-05-08
25/5-6	867.000000	1032.000000	SKADE FM	FORMATION	HORDALAND GP	6167	145	67	9999-12-31	2013-05-08
25/5-6	505.000000	867.000000	UTSIRA FM	FORMATION	NORDLAND GP	6167	183	113	9999-12-31	2013-05-08
17/12-4 A	744.000000	773.000000	BALDER FM	FORMATION	ROGALAND GP	6178	6	131	9999-12-31	2013-05-08
17/12-4 A	1208.000000	1216.000000	BLODØKS FM	FORMATION	SHETLAND GP	6178	13	143	9999-12-31	2013-05-08
17/12-4 A	2142.000000	2606.000000	BOKNFJORD GP	GROUP	\N	6178	15	\N	9999-12-31	2013-05-08
17/12-4 A	2667.000000	3338.000000	BRYNE FM	FORMATION	VESTLAND GP	6178	19	186	9999-12-31	2013-05-08
17/12-4 A	1216.000000	2142.000000	CROMER KNOLL GP	GROUP	\N	6178	23	\N	9999-12-31	2013-05-08
17/12-4 A	2438.000000	2606.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	6178	30	15	9999-12-31	2013-05-08
17/12-4 A	780.000000	799.000000	EKOFISK FM	FORMATION	SHETLAND GP	6178	33	143	9999-12-31	2013-05-08
17/12-4 A	2142.000000	2175.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	6178	43	15	9999-12-31	2013-05-08
17/12-4 A	984.000000	1208.000000	HOD FM	FORMATION	SHETLAND GP	6178	66	143	9999-12-31	2013-05-08
17/12-4 A	486.000000	744.000000	HORDALAND GP	GROUP	\N	6178	67	\N	9999-12-31	2013-05-08
17/12-4 A	128.000000	486.000000	NORDLAND GP	GROUP	\N	6178	113	\N	9999-12-31	2013-05-08
17/12-4 A	744.000000	780.000000	ROGALAND GP	GROUP	\N	6178	131	\N	9999-12-31	2013-05-08
17/12-4 A	1216.000000	1337.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6178	137	23	9999-12-31	2013-05-08
17/12-4 A	2175.000000	2358.000000	SAUDA FM	FORMATION	BOKNFJORD GP	6178	141	15	9999-12-31	2013-05-08
17/12-4 A	780.000000	1216.000000	SHETLAND GP	GROUP	\N	6178	143	\N	9999-12-31	2013-05-08
17/12-4 A	2358.000000	2438.000000	TAU FM	FORMATION	BOKNFJORD GP	6178	164	15	9999-12-31	2013-05-08
17/12-4 A	799.000000	984.000000	TOR FM	FORMATION	SHETLAND GP	6178	171	143	9999-12-31	2013-05-08
17/12-4 A	2606.000000	3338.000000	VESTLAND GP	GROUP	\N	6178	186	\N	9999-12-31	2013-05-08
17/12-4 A	773.000000	780.000000	VÅLE FM	FORMATION	ROGALAND GP	6178	190	131	9999-12-31	2013-05-08
17/12-4 A	1337.000000	2142.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6178	198	23	9999-12-31	2013-05-08
30/9-23	1860.000000	1940.000000	BALDER FM	FORMATION	ROGALAND GP	6182	6	131	9999-12-31	2013-05-08
30/9-23	2717.000000	2845.000000	BRENT GP	GROUP	\N	6182	16	\N	9999-12-31	2013-05-08
30/9-23	2201.000000	2214.000000	CROMER KNOLL GP	GROUP	\N	6182	23	\N	9999-12-31	2013-05-08
30/9-23	2214.000000	2283.000000	DRAUPNE FM	FORMATION	VIKING GP	6182	28	188	9999-12-31	2013-05-08
30/9-23	2845.000000	2872.000000	DUNLIN GP	GROUP	\N	6182	29	\N	9999-12-31	2013-05-08
30/9-23	2806.000000	2812.000000	ETIVE FM	FORMATION	BRENT GP	6182	35	16	9999-12-31	2013-05-08
30/9-23	2501.000000	2668.000000	FENSFJORD FM	FORMATION	VIKING GP	6182	40	188	9999-12-31	2013-05-08
30/9-23	2119.000000	2201.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	6182	56	143	9999-12-31	2013-05-08
30/9-23	2338.000000	2501.000000	HEATHER FM	FORMATION	VIKING GP	6182	60	188	9999-12-31	2013-05-08
30/9-23	2668.000000	2678.000000	HEATHER FM	FORMATION	VIKING GP	6182	60	188	9999-12-31	2013-05-08
30/9-23	832.000000	1860.000000	HORDALAND GP	GROUP	\N	6182	67	\N	9999-12-31	2013-05-08
30/9-23	2678.000000	2717.000000	KROSSFJORD FM	FORMATION	VIKING GP	6182	87	188	9999-12-31	2013-05-08
30/9-23	1990.000000	2113.000000	LISTA FM	FORMATION	ROGALAND GP	6182	95	131	9999-12-31	2013-05-08
30/9-23	2755.000000	2806.000000	NESS FM	FORMATION	BRENT GP	6182	110	16	9999-12-31	2013-05-08
30/9-23	140.000000	832.000000	NORDLAND GP	GROUP	\N	6182	113	\N	9999-12-31	2013-05-08
30/9-23	2814.000000	2845.000000	OSEBERG FM	FORMATION	BRENT GP	6182	123	16	9999-12-31	2013-05-08
30/9-23	2812.000000	2814.000000	RANNOCH FM	FORMATION	BRENT GP	6182	126	16	9999-12-31	2013-05-08
30/9-23	1860.000000	2119.000000	ROGALAND GP	GROUP	\N	6182	131	\N	9999-12-31	2013-05-08
30/9-23	2201.000000	2206.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6182	137	23	9999-12-31	2013-05-08
30/9-23	1940.000000	1990.000000	SELE FM	FORMATION	ROGALAND GP	6182	142	131	9999-12-31	2013-05-08
30/9-23	2119.000000	2201.000000	SHETLAND GP	GROUP	\N	6182	143	\N	9999-12-31	2013-05-08
30/9-23	2283.000000	2338.000000	SOGNEFJORD FM	FORMATION	VIKING GP	6182	151	188	9999-12-31	2013-05-08
30/9-23	666.000000	832.000000	UTSIRA FM	FORMATION	NORDLAND GP	6182	183	113	9999-12-31	2013-05-08
30/9-23	2214.000000	2717.000000	VIKING GP	GROUP	\N	6182	188	\N	9999-12-31	2013-05-08
30/9-23	2113.000000	2119.000000	VÅLE FM	FORMATION	ROGALAND GP	6182	190	131	9999-12-31	2013-05-08
30/9-23	2206.000000	2214.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6182	198	23	9999-12-31	2013-05-08
25/8-17	1918.000000	1997.000000	BALDER FM	FORMATION	ROGALAND GP	6185	6	131	9999-12-31	2013-05-08
25/8-17	1224.000000	1322.000000	GRID FM	FORMATION	HORDALAND GP	6185	53	67	9999-12-31	2013-05-08
25/8-17	2077.000000	2207.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6185	62	131	9999-12-31	2013-05-08
25/8-17	1013.000000	1918.000000	HORDALAND GP	GROUP	\N	6185	67	\N	9999-12-31	2013-05-08
25/8-17	2033.000000	2077.000000	LISTA FM	FORMATION	ROGALAND GP	6185	95	131	9999-12-31	2013-05-08
25/8-17	1199.000000	1224.000000	NO FORMAL NAME	FORMATION	\N	6185	111	\N	9999-12-31	2013-05-08
25/8-17	1322.000000	1918.000000	NO FORMAL NAME	FORMATION	\N	6185	111	\N	9999-12-31	2013-05-08
25/8-17	152.000000	1013.000000	NORDLAND GP	GROUP	\N	6185	113	\N	9999-12-31	2013-05-08
25/8-17	1918.000000	2233.000000	ROGALAND GP	GROUP	\N	6185	131	\N	9999-12-31	2013-05-08
25/8-17	1997.000000	2033.000000	SELE FM	FORMATION	ROGALAND GP	6185	142	131	9999-12-31	2013-05-08
25/8-17	1165.000000	1199.000000	SKADE FM	FORMATION	HORDALAND GP	6185	145	67	9999-12-31	2013-05-08
25/8-17	2207.000000	2233.000000	TY FM	FORMATION	ROGALAND GP	6185	176	131	9999-12-31	2013-05-08
25/8-17	453.000000	1013.000000	UTSIRA FM	FORMATION	NORDLAND GP	6185	183	113	9999-12-31	2013-05-08
15/9-23	2323.000000	2345.000000	BALDER FM	FORMATION	ROGALAND GP	6186	6	131	9999-12-31	2013-05-08
15/9-23	2811.000000	2858.000000	BLODØKS FM	FORMATION	SHETLAND GP	6186	13	143	9999-12-31	2013-05-08
15/9-23	2889.000000	2938.000000	CROMER KNOLL GP	GROUP	\N	6186	23	\N	9999-12-31	2013-05-08
15/9-23	2938.000000	3038.000000	DRAUPNE FM	FORMATION	VIKING GP	6186	28	188	9999-12-31	2013-05-08
15/9-23	2548.000000	2551.000000	EKOFISK FM	FORMATION	SHETLAND GP	6186	33	143	9999-12-31	2013-05-08
15/9-23	2092.000000	2110.000000	FRIGG FM	FORMATION	HORDALAND GP	6186	45	67	9999-12-31	2013-05-08
15/9-23	2137.000000	2161.000000	FRIGG FM	FORMATION	HORDALAND GP	6186	45	67	9999-12-31	2013-05-08
15/9-23	3038.000000	3087.000000	HEATHER FM	FORMATION	VIKING GP	6186	60	188	9999-12-31	2013-05-08
15/9-23	2858.000000	2889.000000	HIDRA FM	FORMATION	SHETLAND GP	6186	65	143	9999-12-31	2013-05-08
15/9-23	2730.000000	2811.000000	HOD FM	FORMATION	SHETLAND GP	6186	66	143	9999-12-31	2013-05-08
15/9-23	1133.000000	2323.000000	HORDALAND GP	GROUP	\N	6186	67	\N	9999-12-31	2013-05-08
15/9-23	2417.000000	2524.000000	LISTA FM	FORMATION	ROGALAND GP	6186	95	131	9999-12-31	2013-05-08
15/9-23	1285.000000	2092.000000	NO FORMAL NAME	FORMATION	\N	6186	111	\N	9999-12-31	2013-05-08
15/9-23	2110.000000	2137.000000	NO FORMAL NAME	FORMATION	\N	6186	111	\N	9999-12-31	2013-05-08
15/9-23	2161.000000	2323.000000	NO FORMAL NAME	FORMATION	\N	6186	111	\N	9999-12-31	2013-05-08
15/9-23	110.000000	1133.000000	NORDLAND GP	GROUP	\N	6186	113	\N	9999-12-31	2013-05-08
15/9-23	2323.000000	2548.000000	ROGALAND GP	GROUP	\N	6186	131	\N	9999-12-31	2013-05-08
15/9-23	2889.000000	2898.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6186	137	23	9999-12-31	2013-05-08
15/9-23	2345.000000	2417.000000	SELE FM	FORMATION	ROGALAND GP	6186	142	131	9999-12-31	2013-05-08
15/9-23	2548.000000	2889.000000	SHETLAND GP	GROUP	\N	6186	143	\N	9999-12-31	2013-05-08
15/9-23	1271.000000	1285.000000	SKADE FM	FORMATION	HORDALAND GP	6186	145	67	9999-12-31	2013-05-08
15/9-23	3169.000000	3225.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6186	146	61	9999-12-31	2013-05-08
15/9-23	3087.000000	3169.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6186	148	186	9999-12-31	2013-05-08
15/9-23	2898.000000	2917.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6186	152	23	9999-12-31	2013-05-08
15/9-23	2551.000000	2730.000000	TOR FM	FORMATION	SHETLAND GP	6186	171	143	9999-12-31	2013-05-08
15/9-23	2917.000000	2929.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	6186	175	23	9999-12-31	2013-05-08
15/9-23	2524.000000	2548.000000	TY FM	FORMATION	ROGALAND GP	6186	176	131	9999-12-31	2013-05-08
15/9-23	891.000000	1133.000000	UTSIRA FM	FORMATION	NORDLAND GP	6186	183	113	9999-12-31	2013-05-08
15/9-23	3087.000000	3169.000000	VESTLAND GP	GROUP	\N	6186	186	\N	9999-12-31	2013-05-08
15/9-23	2938.000000	3087.000000	VIKING GP	GROUP	\N	6186	188	\N	9999-12-31	2013-05-08
15/9-23	2929.000000	2938.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6186	198	23	9999-12-31	2013-05-08
15/9-23	3169.000000	3225.000000	NO GROUP DEFINED	GROUP	\N	6186	208	\N	9999-12-31	2013-05-08
25/1-11	998.000000	1178.000000	HORDALAND GP	GROUP	\N	6187	67	\N	9999-12-31	2013-05-08
25/1-11	147.000000	998.000000	NORDLAND GP	GROUP	\N	6187	113	\N	9999-12-31	2013-05-08
25/1-11	253.000000	998.000000	UTSIRA FM	FORMATION	NORDLAND GP	6187	183	113	9999-12-31	2013-05-08
6609/10-2	1316.000000	1427.000000	BRYGGE FM	FORMATION	HORDALAND GP	6188	18	67	9999-12-31	2013-05-08
6609/10-2	2006.000000	2418.000000	BÅT GP	GROUP	\N	6188	22	\N	9999-12-31	2013-05-08
6609/10-2	1676.000000	1850.000000	CROMER KNOLL GP	GROUP	\N	6188	23	\N	9999-12-31	2013-05-08
6609/10-2	1969.000000	2006.000000	FANGST GP	GROUP	\N	6188	38	\N	9999-12-31	2013-05-08
6609/10-2	2418.000000	2528.000000	GREY BEDS (INFORMAL)	GROUP	\N	6188	52	\N	9999-12-31	2013-05-08
6609/10-2	1969.000000	2006.000000	ILE FM	FORMATION	FANGST GP	6188	70	38	9999-12-31	2013-05-08
6609/10-2	1233.000000	1316.000000	KAI FM	FORMATION	NORDLAND GP	6188	77	113	9999-12-31	2013-05-08
6609/10-2	1676.000000	1850.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6188	94	23	9999-12-31	2013-05-08
6609/10-2	1869.000000	1969.000000	MELKE FM	FORMATION	VIKING GP	6188	105	188	9999-12-31	2013-05-08
6609/10-2	294.000000	1233.000000	NAUST FM	FORMATION	NORDLAND GP	6188	109	113	9999-12-31	2013-05-08
6609/10-2	1639.000000	1676.000000	NISE FM	FORMATION	SHETLAND GP	6188	112	143	9999-12-31	2013-05-08
6609/10-2	294.000000	1427.000000	NORDLAND GP	GROUP	\N	6188	113	\N	9999-12-31	2013-05-08
6609/10-2	1427.000000	1562.000000	ROGALAND GP	GROUP	\N	6188	131	\N	9999-12-31	2013-05-08
6609/10-2	2006.000000	2054.000000	ROR FM	FORMATION	BÅT GP	6188	135	22	9999-12-31	2013-05-08
6609/10-2	1562.000000	1676.000000	SHETLAND GP	GROUP	\N	6188	143	\N	9999-12-31	2013-05-08
6609/10-2	1850.000000	1869.000000	SPEKK FM	FORMATION	VIKING GP	6188	155	188	9999-12-31	2013-05-08
6609/10-2	1562.000000	1639.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6188	156	143	9999-12-31	2013-05-08
6609/10-2	1525.000000	1562.000000	TANG FM	FORMATION	ROGALAND GP	6188	161	131	9999-12-31	2013-05-08
6609/10-2	1427.000000	1525.000000	TARE FM	FORMATION	ROGALAND GP	6188	163	131	9999-12-31	2013-05-08
6609/10-2	2054.000000	2142.000000	TILJE FM	FORMATION	BÅT GP	6188	169	22	9999-12-31	2013-05-08
6609/10-2	1850.000000	1969.000000	VIKING GP	GROUP	\N	6188	188	\N	9999-12-31	2013-05-08
6609/10-2	2142.000000	2418.000000	ÅRE FM	FORMATION	BÅT GP	6188	197	22	9999-12-31	2013-05-08
25/9-3	2113.000000	2218.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	6189	4	29	9999-12-31	2013-05-08
25/9-3	1788.000000	1863.000000	BALDER FM	FORMATION	ROGALAND GP	6189	6	131	9999-12-31	2013-05-08
25/9-3	2062.000000	2093.000000	CROMER KNOLL GP	GROUP	\N	6189	23	\N	9999-12-31	2013-05-08
25/9-3	2093.000000	2099.000000	DRAUPNE FM	FORMATION	VIKING GP	6189	28	188	9999-12-31	2013-05-08
25/9-3	2113.000000	2218.000000	DUNLIN GP	GROUP	\N	6189	29	\N	9999-12-31	2013-05-08
25/9-3	1286.000000	1303.000000	GRID FM	FORMATION	HORDALAND GP	6189	53	67	9999-12-31	2013-05-08
25/9-3	2099.000000	2103.000000	HEATHER FM	FORMATION	VIKING GP	6189	60	188	9999-12-31	2013-05-08
25/9-3	948.000000	1788.000000	HORDALAND GP	GROUP	\N	6189	67	\N	9999-12-31	2013-05-08
25/9-3	2103.000000	2113.000000	HUGIN FM	FORMATION	VESTLAND GP	6189	69	186	9999-12-31	2013-05-08
25/9-3	1902.000000	2008.000000	LISTA FM	FORMATION	ROGALAND GP	6189	95	131	9999-12-31	2013-05-08
25/9-3	1115.000000	1199.000000	NO FORMAL NAME	FORMATION	\N	6189	111	\N	9999-12-31	2013-05-08
25/9-3	1215.000000	1286.000000	NO FORMAL NAME	FORMATION	\N	6189	111	\N	9999-12-31	2013-05-08
25/9-3	1303.000000	1788.000000	NO FORMAL NAME	FORMATION	\N	6189	111	\N	9999-12-31	2013-05-08
25/9-3	140.000000	948.000000	NORDLAND GP	GROUP	\N	6189	113	\N	9999-12-31	2013-05-08
25/9-3	1788.000000	2018.000000	ROGALAND GP	GROUP	\N	6189	131	\N	9999-12-31	2013-05-08
25/9-3	2062.000000	2084.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6189	137	23	9999-12-31	2013-05-08
25/9-3	1863.000000	1902.000000	SELE FM	FORMATION	ROGALAND GP	6189	142	131	9999-12-31	2013-05-08
25/9-3	2018.000000	2062.000000	SHETLAND GP	GROUP	\N	6189	143	\N	9999-12-31	2013-05-08
25/9-3	1073.000000	1115.000000	SKADE FM	FORMATION	HORDALAND GP	6189	145	67	9999-12-31	2013-05-08
25/9-3	1199.000000	1215.000000	SKADE FM	FORMATION	HORDALAND GP	6189	145	67	9999-12-31	2013-05-08
25/9-3	2218.000000	2267.000000	STATFJORD FM	FORMATION	\N	6189	157	\N	9999-12-31	2013-05-08
25/9-3	2027.000000	2062.000000	SVARTE FM	FORMATION	SHETLAND GP	6189	160	143	9999-12-31	2013-05-08
25/9-3	2018.000000	2021.000000	TOR FM	FORMATION	SHETLAND GP	6189	171	143	9999-12-31	2013-05-08
25/9-3	2021.000000	2027.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6189	173	143	9999-12-31	2013-05-08
25/9-3	803.000000	948.000000	UTSIRA FM	FORMATION	NORDLAND GP	6189	183	113	9999-12-31	2013-05-08
25/9-3	2103.000000	2113.000000	VESTLAND GP	GROUP	\N	6189	186	\N	9999-12-31	2013-05-08
25/9-3	2093.000000	2103.000000	VIKING GP	GROUP	\N	6189	188	\N	9999-12-31	2013-05-08
25/9-3	2008.000000	2018.000000	VÅLE FM	FORMATION	ROGALAND GP	6189	190	131	9999-12-31	2013-05-08
25/9-3	2084.000000	2093.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6189	198	23	9999-12-31	2013-05-08
25/9-3	2218.000000	2267.000000	NO GROUP DEFINED	GROUP	\N	6189	208	\N	9999-12-31	2013-05-08
6407/12-2	580.000000	1030.000000	BRYGGE FM	FORMATION	HORDALAND GP	6191	18	67	9999-12-31	2013-05-08
6407/12-2	1421.000000	1482.000000	CROMER KNOLL GP	GROUP	\N	6191	23	\N	9999-12-31	2013-05-08
6407/12-2	580.000000	1030.000000	HORDALAND GP	GROUP	\N	6191	67	\N	9999-12-31	2013-05-08
6407/12-2	422.000000	580.000000	KAI FM	FORMATION	NORDLAND GP	6191	77	113	9999-12-31	2013-05-08
6407/12-2	1421.000000	1482.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6191	94	23	9999-12-31	2013-05-08
6407/12-2	348.000000	422.000000	NAUST FM	FORMATION	NORDLAND GP	6191	109	113	9999-12-31	2013-05-08
6407/12-2	348.000000	580.000000	NORDLAND GP	GROUP	\N	6191	113	\N	9999-12-31	2013-05-08
6407/12-2	1030.000000	1421.000000	ROGALAND GP	GROUP	\N	6191	131	\N	9999-12-31	2013-05-08
6407/12-2	1239.000000	1421.000000	TANG FM	FORMATION	ROGALAND GP	6191	161	131	9999-12-31	2013-05-08
6407/12-2	1030.000000	1239.000000	TARE FM	FORMATION	ROGALAND GP	6191	163	131	9999-12-31	2013-05-08
6506/12-12 A	2002.000000	2367.000000	BRYGGE FM	FORMATION	HORDALAND GP	6208	18	67	9999-12-31	2013-05-08
6506/12-12 A	4990.000000	5481.000000	BÅT GP	GROUP	\N	6208	22	\N	9999-12-31	2013-05-08
6506/12-12 A	3534.000000	4408.000000	CROMER KNOLL GP	GROUP	\N	6208	23	\N	9999-12-31	2013-05-08
6506/12-12 A	4769.000000	4990.000000	FANGST GP	GROUP	\N	6208	38	\N	9999-12-31	2013-05-08
6506/12-12 A	4769.000000	4828.000000	GARN FM	FORMATION	FANGST GP	6208	48	38	9999-12-31	2013-05-08
6506/12-12 A	2002.000000	2367.000000	HORDALAND GP	GROUP	\N	6208	67	\N	9999-12-31	2013-05-08
6506/12-12 A	4870.000000	4990.000000	ILE FM	FORMATION	FANGST GP	6208	70	38	9999-12-31	2013-05-08
6506/12-12 A	1519.000000	2002.000000	KAI FM	FORMATION	NORDLAND GP	6208	77	113	9999-12-31	2013-05-08
6506/12-12 A	3077.000000	3534.000000	KVITNOS FM	FORMATION	SHETLAND GP	6208	91	143	9999-12-31	2013-05-08
6506/12-12 A	3580.000000	4088.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6208	94	23	9999-12-31	2013-05-08
6506/12-12 A	4172.000000	4393.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6208	94	23	9999-12-31	2013-05-08
6506/12-12 A	4393.000000	4408.000000	LYR FM	FORMATION	CROMER KNOLL GP	6208	98	23	9999-12-31	2013-05-08
6506/12-12 A	3534.000000	3580.000000	LYSING FM	FORMATION	CROMER KNOLL GP	6208	99	23	9999-12-31	2013-05-08
6506/12-12 A	4457.000000	4769.000000	MELKE FM	FORMATION	VIKING GP	6208	105	188	9999-12-31	2013-05-08
6506/12-12 A	325.000000	1519.000000	NAUST FM	FORMATION	NORDLAND GP	6208	109	113	9999-12-31	2013-05-08
6506/12-12 A	4088.000000	4172.000000	NO FORMAL NAME	FORMATION	\N	6208	111	\N	9999-12-31	2013-05-08
6506/12-12 A	2804.000000	3077.000000	NISE FM	FORMATION	SHETLAND GP	6208	112	143	9999-12-31	2013-05-08
6506/12-12 A	325.000000	2002.000000	NORDLAND GP	GROUP	\N	6208	113	\N	9999-12-31	2013-05-08
6506/12-12 A	4828.000000	4870.000000	NOT FM	FORMATION	FANGST GP	6208	120	38	9999-12-31	2013-05-08
6506/12-12 A	2367.000000	2541.000000	ROGALAND GP	GROUP	\N	6208	131	\N	9999-12-31	2013-05-08
6506/12-12 A	4990.000000	5072.000000	ROR FM	FORMATION	BÅT GP	6208	135	22	9999-12-31	2013-05-08
6506/12-12 A	5145.000000	5181.000000	ROR FM	FORMATION	BÅT GP	6208	135	22	9999-12-31	2013-05-08
6506/12-12 A	2541.000000	3534.000000	SHETLAND GP	GROUP	\N	6208	143	\N	9999-12-31	2013-05-08
6506/12-12 A	4408.000000	4457.000000	SPEKK FM	FORMATION	VIKING GP	6208	155	188	9999-12-31	2013-05-08
6506/12-12 A	2541.000000	2804.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6208	156	143	9999-12-31	2013-05-08
6506/12-12 A	2454.000000	2541.000000	TANG FM	FORMATION	ROGALAND GP	6208	161	131	9999-12-31	2013-05-08
6506/12-12 A	2367.000000	2454.000000	TARE FM	FORMATION	ROGALAND GP	6208	163	131	9999-12-31	2013-05-08
6506/12-12 A	5181.000000	5430.000000	TILJE FM	FORMATION	BÅT GP	6208	169	22	9999-12-31	2013-05-08
6506/12-12 A	5072.000000	5145.000000	TOFTE FM	FORMATION	BÅT GP	6208	170	22	9999-12-31	2013-05-08
6506/12-12 A	4408.000000	4769.000000	VIKING GP	GROUP	\N	6208	188	\N	9999-12-31	2013-05-08
6506/12-12 A	5430.000000	5481.000000	ÅRE FM	FORMATION	BÅT GP	6208	197	22	9999-12-31	2013-05-08
30/9-24	2059.000000	2147.000000	BALDER FM	FORMATION	ROGALAND GP	6210	6	131	9999-12-31	2013-05-08
30/9-24	2878.000000	3150.000000	DUNLIN GP	GROUP	\N	6210	29	\N	9999-12-31	2013-05-08
30/9-24	1345.000000	1559.000000	GRID FM	FORMATION	HORDALAND GP	6210	53	67	9999-12-31	2013-05-08
30/9-24	2373.000000	2618.000000	HARDRÅDE FM	FORMATION	SHETLAND GP	6210	56	143	9999-12-31	2013-05-08
30/9-24	3718.000000	3767.000000	HEGRE GP	GROUP	\N	6210	61	\N	9999-12-31	2013-05-08
30/9-24	860.000000	2059.000000	HORDALAND GP	GROUP	\N	6210	67	\N	9999-12-31	2013-05-08
30/9-24	2618.000000	2838.000000	KYRRE FM	FORMATION	SHETLAND GP	6210	92	143	9999-12-31	2013-05-08
30/9-24	2245.000000	2351.000000	LISTA FM	FORMATION	ROGALAND GP	6210	95	131	9999-12-31	2013-05-08
30/9-24	3718.000000	3767.000000	LUNDE FM	FORMATION	HEGRE GP	6210	97	61	9999-12-31	2013-05-08
30/9-24	1269.000000	1345.000000	NO FORMAL NAME	FORMATION	\N	6210	111	\N	9999-12-31	2013-05-08
30/9-24	1559.000000	2059.000000	NO FORMAL NAME	FORMATION	\N	6210	111	\N	9999-12-31	2013-05-08
30/9-24	2854.000000	2878.000000	NO FORMAL NAME	FORMATION	\N	6210	111	\N	9999-12-31	2013-05-08
30/9-24	131.000000	860.000000	NORDLAND GP	GROUP	\N	6210	113	\N	9999-12-31	2013-05-08
30/9-24	2059.000000	2373.000000	ROGALAND GP	GROUP	\N	6210	131	\N	9999-12-31	2013-05-08
30/9-24	2147.000000	2245.000000	SELE FM	FORMATION	ROGALAND GP	6210	142	131	9999-12-31	2013-05-08
30/9-24	2373.000000	2878.000000	SHETLAND GP	GROUP	\N	6210	143	\N	9999-12-31	2013-05-08
30/9-24	1083.000000	1269.000000	SKADE FM	FORMATION	HORDALAND GP	6210	145	67	9999-12-31	2013-05-08
30/9-24	3150.000000	3718.000000	STATFJORD FM	FORMATION	\N	6210	157	\N	9999-12-31	2013-05-08
30/9-24	2838.000000	2854.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6210	173	143	9999-12-31	2013-05-08
30/9-24	594.000000	860.000000	UTSIRA FM	FORMATION	NORDLAND GP	6210	183	113	9999-12-31	2013-05-08
30/9-24	2351.000000	2373.000000	VÅLE FM	FORMATION	ROGALAND GP	6210	190	131	9999-12-31	2013-05-08
30/9-24	3150.000000	3718.000000	NO GROUP DEFINED	GROUP	\N	6210	208	\N	9999-12-31	2013-05-08
17/12-4 B	744.000000	773.000000	BALDER FM	FORMATION	ROGALAND GP	6211	6	131	9999-12-31	2013-05-08
17/12-4 B	1210.000000	1215.000000	BLODØKS FM	FORMATION	SHETLAND GP	6211	13	143	9999-12-31	2013-05-08
17/12-4 B	2101.000000	2536.000000	BOKNFJORD GP	GROUP	\N	6211	15	\N	9999-12-31	2013-05-08
17/12-4 B	2595.000000	3253.000000	BRYNE FM	FORMATION	VESTLAND GP	6211	19	186	9999-12-31	2013-05-08
17/12-4 B	1215.000000	2101.000000	CROMER KNOLL GP	GROUP	\N	6211	23	\N	9999-12-31	2013-05-08
17/12-4 B	2377.000000	2536.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	6211	30	15	9999-12-31	2013-05-08
17/12-4 B	780.000000	799.000000	EKOFISK FM	FORMATION	SHETLAND GP	6211	33	143	9999-12-31	2013-05-08
17/12-4 B	2101.000000	2134.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	6211	43	15	9999-12-31	2013-05-08
17/12-4 B	984.000000	1210.000000	HOD FM	FORMATION	SHETLAND GP	6211	66	143	9999-12-31	2013-05-08
17/12-4 B	486.000000	744.000000	HORDALAND GP	GROUP	\N	6211	67	\N	9999-12-31	2013-05-08
17/12-4 B	128.000000	486.000000	NORDLAND GP	GROUP	\N	6211	113	\N	9999-12-31	2013-05-08
17/12-4 B	744.000000	780.000000	ROGALAND GP	GROUP	\N	6211	131	\N	9999-12-31	2013-05-08
17/12-4 B	1215.000000	1336.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6211	137	23	9999-12-31	2013-05-08
17/12-4 B	2536.000000	2595.000000	SANDNES FM	FORMATION	VESTLAND GP	6211	139	186	9999-12-31	2013-05-08
17/12-4 B	2134.000000	2309.000000	SAUDA FM	FORMATION	BOKNFJORD GP	6211	141	15	9999-12-31	2013-05-08
17/12-4 B	780.000000	1215.000000	SHETLAND GP	GROUP	\N	6211	143	\N	9999-12-31	2013-05-08
17/12-4 B	2309.000000	2377.000000	TAU FM	FORMATION	BOKNFJORD GP	6211	164	15	9999-12-31	2013-05-08
17/12-4 B	799.000000	984.000000	TOR FM	FORMATION	SHETLAND GP	6211	171	143	9999-12-31	2013-05-08
17/12-4 B	2536.000000	3253.000000	VESTLAND GP	GROUP	\N	6211	186	\N	9999-12-31	2013-05-08
17/12-4 B	773.000000	780.000000	VÅLE FM	FORMATION	ROGALAND GP	6211	190	131	9999-12-31	2013-05-08
17/12-4 B	1336.000000	2101.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6211	198	23	9999-12-31	2013-05-08
34/10-53 S	4234.000000	4424.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	6212	4	29	9999-12-31	2013-05-08
34/10-53 S	1879.000000	1940.000000	BALDER FM	FORMATION	ROGALAND GP	6212	6	131	9999-12-31	2013-05-08
34/10-53 S	3635.000000	3956.000000	BRENT GP	GROUP	\N	6212	16	\N	9999-12-31	2013-05-08
34/10-53 S	3411.000000	3558.000000	CROMER KNOLL GP	GROUP	\N	6212	23	\N	9999-12-31	2013-05-08
34/10-53 S	4065.000000	4234.000000	COOK FM	FORMATION	DUNLIN GP	6212	24	29	9999-12-31	2013-05-08
34/10-53 S	3956.000000	4065.000000	DRAKE FM	FORMATION	DUNLIN GP	6212	27	29	9999-12-31	2013-05-08
34/10-53 S	3956.000000	4424.000000	DUNLIN GP	GROUP	\N	6212	29	\N	9999-12-31	2013-05-08
34/10-53 S	3875.000000	3890.000000	ETIVE FM	FORMATION	BRENT GP	6212	35	16	9999-12-31	2013-05-08
34/10-53 S	3558.000000	3635.000000	HEATHER FM	FORMATION	VIKING GP	6212	60	188	9999-12-31	2013-05-08
34/10-53 S	980.000000	1879.000000	HORDALAND GP	GROUP	\N	6212	67	\N	9999-12-31	2013-05-08
34/10-53 S	1940.000000	2116.000000	LISTA FM	FORMATION	ROGALAND GP	6212	95	131	9999-12-31	2013-05-08
34/10-53 S	3719.000000	3875.000000	NESS FM	FORMATION	BRENT GP	6212	110	16	9999-12-31	2013-05-08
34/10-53 S	169.000000	980.000000	NORDLAND GP	GROUP	\N	6212	113	\N	9999-12-31	2013-05-08
34/10-53 S	3890.000000	3956.000000	RANNOCH FM	FORMATION	BRENT GP	6212	126	16	9999-12-31	2013-05-08
34/10-53 S	1879.000000	2116.000000	ROGALAND GP	GROUP	\N	6212	131	\N	9999-12-31	2013-05-08
34/10-53 S	2116.000000	3411.000000	SHETLAND GP	GROUP	\N	6212	143	\N	9999-12-31	2013-05-08
34/10-53 S	4424.000000	4526.000000	STATFJORD FM	FORMATION	\N	6212	157	\N	9999-12-31	2013-05-08
34/10-53 S	3635.000000	3719.000000	TARBERT FM	FORMATION	BRENT GP	6212	162	16	9999-12-31	2013-05-08
34/10-53 S	883.000000	980.000000	UTSIRA FM	FORMATION	NORDLAND GP	6212	183	113	9999-12-31	2013-05-08
34/10-53 S	3558.000000	3635.000000	VIKING GP	GROUP	\N	6212	188	\N	9999-12-31	2013-05-08
34/10-53 S	4424.000000	4526.000000	NO GROUP DEFINED	GROUP	\N	6212	208	\N	9999-12-31	2013-05-08
25/2-17	2112.000000	2160.000000	BALDER FM	FORMATION	ROGALAND GP	6215	6	131	9999-12-31	2013-05-08
25/2-17	1949.000000	2112.000000	FRIGG FM	FORMATION	HORDALAND GP	6215	45	67	9999-12-31	2013-05-08
25/2-17	1045.000000	2112.000000	HORDALAND GP	GROUP	\N	6215	67	\N	9999-12-31	2013-05-08
25/2-17	142.000000	1045.000000	NORDLAND GP	GROUP	\N	6215	113	\N	9999-12-31	2013-05-08
25/2-17	2112.000000	2193.000000	ROGALAND GP	GROUP	\N	6215	131	\N	9999-12-31	2013-05-08
25/2-17	2160.000000	2193.000000	SELE FM	FORMATION	ROGALAND GP	6215	142	131	9999-12-31	2013-05-08
25/2-17	468.000000	1045.000000	UTSIRA FM	FORMATION	NORDLAND GP	6215	183	113	9999-12-31	2013-05-08
16/4-5	1677.000000	1689.000000	BALDER FM	FORMATION	ROGALAND GP	6216	6	131	9999-12-31	2013-05-08
16/4-5	1898.000000	2020.000000	BASEMENT	GROUP	\N	6216	10	\N	9999-12-31	2013-05-08
16/4-5	1895.000000	1898.000000	CROMER KNOLL GP	GROUP	\N	6216	23	\N	9999-12-31	2013-05-08
16/4-5	1780.000000	1812.000000	EKOFISK FM	FORMATION	SHETLAND GP	6216	33	143	9999-12-31	2013-05-08
16/4-5	1876.000000	1895.000000	HOD FM	FORMATION	SHETLAND GP	6216	66	143	9999-12-31	2013-05-08
16/4-5	991.000000	1677.000000	HORDALAND GP	GROUP	\N	6216	67	\N	9999-12-31	2013-05-08
16/4-5	1719.000000	1777.000000	LISTA FM	FORMATION	ROGALAND GP	6216	95	131	9999-12-31	2013-05-08
16/4-5	912.000000	991.000000	NO FORMAL NAME	FORMATION	\N	6216	111	\N	9999-12-31	2013-05-08
16/4-5	1204.000000	1677.000000	NO FORMAL NAME	FORMATION	\N	6216	111	\N	9999-12-31	2013-05-08
16/4-5	130.000000	991.000000	NORDLAND GP	GROUP	\N	6216	113	\N	9999-12-31	2013-05-08
16/4-5	1677.000000	1780.000000	ROGALAND GP	GROUP	\N	6216	131	\N	9999-12-31	2013-05-08
16/4-5	1689.000000	1719.000000	SELE FM	FORMATION	ROGALAND GP	6216	142	131	9999-12-31	2013-05-08
16/4-5	1780.000000	1895.000000	SHETLAND GP	GROUP	\N	6216	143	\N	9999-12-31	2013-05-08
16/4-5	991.000000	1204.000000	SKADE FM	FORMATION	HORDALAND GP	6216	145	67	9999-12-31	2013-05-08
16/4-5	1812.000000	1876.000000	TOR FM	FORMATION	SHETLAND GP	6216	171	143	9999-12-31	2013-05-08
16/4-5	752.000000	912.000000	UTSIRA FM	FORMATION	NORDLAND GP	6216	183	113	9999-12-31	2013-05-08
16/4-5	1777.000000	1780.000000	VÅLE FM	FORMATION	ROGALAND GP	6216	190	131	9999-12-31	2013-05-08
24/9-9 S	2068.000000	2157.000000	BALDER FM	FORMATION	ROGALAND GP	6222	6	131	9999-12-31	2013-05-08
24/9-9 S	1117.000000	1382.000000	GRID FM	FORMATION	HORDALAND GP	6222	53	67	9999-12-31	2013-05-08
24/9-9 S	2368.000000	2402.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6222	62	131	9999-12-31	2013-05-08
24/9-9 S	2202.000000	2268.000000	HERMOD FM	FORMATION	ROGALAND GP	6222	64	131	9999-12-31	2013-05-08
24/9-9 S	1117.000000	2068.000000	HORDALAND GP	GROUP	\N	6222	67	\N	9999-12-31	2013-05-08
24/9-9 S	2304.000000	2351.000000	LISTA FM	FORMATION	ROGALAND GP	6222	95	131	9999-12-31	2013-05-08
24/9-9 S	934.000000	1117.000000	NO FORMAL NAME	FORMATION	\N	6222	111	\N	9999-12-31	2013-05-08
24/9-9 S	1382.000000	2068.000000	NO FORMAL NAME	FORMATION	\N	6222	111	\N	9999-12-31	2013-05-08
24/9-9 S	2351.000000	2368.000000	NO FORMAL NAME	FORMATION	\N	6222	111	\N	9999-12-31	2013-05-08
24/9-9 S	145.000000	1117.000000	NORDLAND GP	GROUP	\N	6222	113	\N	9999-12-31	2013-05-08
24/9-9 S	2068.000000	2402.000000	ROGALAND GP	GROUP	\N	6222	131	\N	9999-12-31	2013-05-08
24/9-9 S	2157.000000	2202.000000	SELE FM	FORMATION	ROGALAND GP	6222	142	131	9999-12-31	2013-05-08
24/9-9 S	2268.000000	2304.000000	SELE FM	FORMATION	ROGALAND GP	6222	142	131	9999-12-31	2013-05-08
24/9-9 S	284.000000	934.000000	UTSIRA FM	FORMATION	NORDLAND GP	6222	183	113	9999-12-31	2013-05-08
16/1-8 R	1765.000000	1781.000000	BALDER FM	FORMATION	ROGALAND GP	6226	6	131	9999-12-31	2013-05-08
16/1-8 R	1897.000000	1913.000000	EKOFISK FM	FORMATION	SHETLAND GP	6226	33	143	9999-12-31	2013-05-08
16/1-8 R	1556.000000	1713.000000	GRID FM	FORMATION	HORDALAND GP	6226	53	67	9999-12-31	2013-05-08
16/1-8 R	1913.000000	1925.000000	HOD FM	FORMATION	SHETLAND GP	6226	66	143	9999-12-31	2013-05-08
16/1-8 R	882.000000	1765.000000	HORDALAND GP	GROUP	\N	6226	67	\N	9999-12-31	2013-05-08
16/1-8 R	1801.000000	1891.000000	LISTA FM	FORMATION	ROGALAND GP	6226	95	131	9999-12-31	2013-05-08
16/1-8 R	1157.000000	1556.000000	NO FORMAL NAME	FORMATION	\N	6226	111	\N	9999-12-31	2013-05-08
16/1-8 R	1713.000000	1765.000000	NO FORMAL NAME	FORMATION	\N	6226	111	\N	9999-12-31	2013-05-08
16/1-8 R	133.000000	882.000000	NORDLAND GP	GROUP	\N	6226	113	\N	9999-12-31	2013-05-08
16/1-8 R	1765.000000	1897.000000	ROGALAND GP	GROUP	\N	6226	131	\N	9999-12-31	2013-05-08
16/1-8 R	1781.000000	1801.000000	SELE FM	FORMATION	ROGALAND GP	6226	142	131	9999-12-31	2013-05-08
16/1-8 R	1897.000000	1925.000000	SHETLAND GP	GROUP	\N	6226	143	\N	9999-12-31	2013-05-08
16/1-8 R	963.000000	1157.000000	SKADE FM	FORMATION	HORDALAND GP	6226	145	67	9999-12-31	2013-05-08
16/1-8 R	745.000000	882.000000	UTSIRA FM	FORMATION	NORDLAND GP	6226	183	113	9999-12-31	2013-05-08
16/1-8 R	1891.000000	1897.000000	VÅLE FM	FORMATION	ROGALAND GP	6226	190	131	9999-12-31	2013-05-08
16/1-8 R	1925.000000	1964.000000	NO GROUP DEFINED	GROUP	\N	6226	208	\N	9999-12-31	2013-05-08
16/1-8 R	1964.000000	2201.000000	NO GROUP DEFINED	GROUP	\N	6226	208	\N	9999-12-31	2013-05-08
34/4-11	1763.000000	1805.000000	BALDER FM	FORMATION	ROGALAND GP	6227	6	131	9999-12-31	2013-05-08
34/4-11	3969.000000	4020.000000	BRENT GP	GROUP	\N	6227	16	\N	9999-12-31	2013-05-08
34/4-11	3819.000000	3840.000000	CROMER KNOLL GP	GROUP	\N	6227	23	\N	9999-12-31	2013-05-08
34/4-11	3840.000000	3903.000000	DRAUPNE FM	FORMATION	VIKING GP	6227	28	188	9999-12-31	2013-05-08
34/4-11	4020.000000	4131.000000	DUNLIN GP	GROUP	\N	6227	29	\N	9999-12-31	2013-05-08
34/4-11	3903.000000	3969.000000	HEATHER FM	FORMATION	VIKING GP	6227	60	188	9999-12-31	2013-05-08
34/4-11	4224.000000	4327.000000	HEGRE GP	GROUP	\N	6227	61	\N	9999-12-31	2013-05-08
34/4-11	1289.000000	1763.000000	HORDALAND GP	GROUP	\N	6227	67	\N	9999-12-31	2013-05-08
34/4-11	1937.000000	2235.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6227	74	143	9999-12-31	2013-05-08
34/4-11	2235.000000	3340.000000	KYRRE FM	FORMATION	SHETLAND GP	6227	92	143	9999-12-31	2013-05-08
34/4-11	1859.000000	1937.000000	LISTA FM	FORMATION	ROGALAND GP	6227	95	131	9999-12-31	2013-05-08
34/4-11	4224.000000	4327.000000	LUNDE FM	FORMATION	HEGRE GP	6227	97	61	9999-12-31	2013-05-08
34/4-11	404.000000	1289.000000	NORDLAND GP	GROUP	\N	6227	113	\N	9999-12-31	2013-05-08
34/4-11	1763.000000	1937.000000	ROGALAND GP	GROUP	\N	6227	131	\N	9999-12-31	2013-05-08
34/4-11	3819.000000	3840.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6227	137	23	9999-12-31	2013-05-08
34/4-11	1805.000000	1859.000000	SELE FM	FORMATION	ROGALAND GP	6227	142	131	9999-12-31	2013-05-08
34/4-11	1937.000000	3819.000000	SHETLAND GP	GROUP	\N	6227	143	\N	9999-12-31	2013-05-08
34/4-11	4131.000000	4224.000000	STATFJORD FM	FORMATION	\N	6227	157	\N	9999-12-31	2013-05-08
34/4-11	3685.000000	3819.000000	SVARTE FM	FORMATION	SHETLAND GP	6227	160	143	9999-12-31	2013-05-08
34/4-11	3340.000000	3685.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6227	173	143	9999-12-31	2013-05-08
34/4-11	1142.000000	1289.000000	UTSIRA FM	FORMATION	NORDLAND GP	6227	183	113	9999-12-31	2013-05-08
34/4-11	3840.000000	3969.000000	VIKING GP	GROUP	\N	6227	188	\N	9999-12-31	2013-05-08
34/4-11	4131.000000	4224.000000	NO GROUP DEFINED	GROUP	\N	6227	208	\N	9999-12-31	2013-05-08
16/1-13	1764.000000	1771.000000	BALDER FM	FORMATION	ROGALAND GP	6232	6	131	9999-12-31	2013-05-08
16/1-13	1918.000000	1919.000000	CROMER KNOLL GP	GROUP	\N	6232	23	\N	9999-12-31	2013-05-08
16/1-13	1919.000000	1920.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	6232	26	188	9999-12-31	2013-05-08
16/1-13	1888.000000	1917.000000	EKOFISK FM	FORMATION	SHETLAND GP	6232	33	143	9999-12-31	2013-05-08
16/1-13	1467.000000	1764.000000	GRID FM	FORMATION	HORDALAND GP	6232	53	67	9999-12-31	2013-05-08
16/1-13	1960.000000	2303.000000	HEGRE GP	GROUP	\N	6232	61	\N	9999-12-31	2013-05-08
16/1-13	1917.000000	1918.000000	HOD FM	FORMATION	SHETLAND GP	6232	66	143	9999-12-31	2013-05-08
16/1-13	878.000000	1764.000000	HORDALAND GP	GROUP	\N	6232	67	\N	9999-12-31	2013-05-08
16/1-13	1787.000000	1877.000000	LISTA FM	FORMATION	ROGALAND GP	6232	95	131	9999-12-31	2013-05-08
16/1-13	135.000000	878.000000	NORDLAND GP	GROUP	\N	6232	113	\N	9999-12-31	2013-05-08
16/1-13	1764.000000	1888.000000	ROGALAND GP	GROUP	\N	6232	131	\N	9999-12-31	2013-05-08
16/1-13	1771.000000	1787.000000	SELE FM	FORMATION	ROGALAND GP	6232	142	131	9999-12-31	2013-05-08
16/1-13	1888.000000	1918.000000	SHETLAND GP	GROUP	\N	6232	143	\N	9999-12-31	2013-05-08
16/1-13	952.000000	1467.000000	SKADE FM	FORMATION	HORDALAND GP	6232	145	67	9999-12-31	2013-05-08
16/1-13	766.000000	878.000000	UTSIRA FM	FORMATION	NORDLAND GP	6232	183	113	9999-12-31	2013-05-08
16/1-13	1919.000000	1920.000000	VIKING GP	GROUP	\N	6232	188	\N	9999-12-31	2013-05-08
16/1-13	1877.000000	1888.000000	VÅLE FM	FORMATION	ROGALAND GP	6232	190	131	9999-12-31	2013-05-08
16/1-13	1920.000000	1960.000000	UNDEFINED GP	GROUP	\N	6232	191	\N	9999-12-31	2013-05-08
16/1-13	1918.000000	1919.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6232	198	23	9999-12-31	2013-05-08
6608/10-13	1281.000000	1442.000000	BÅT GP	GROUP	\N	6235	22	\N	9999-12-31	2013-05-08
6608/10-13	1191.000000	1233.000000	KAI FM	FORMATION	NORDLAND GP	6235	77	113	9999-12-31	2013-05-08
6608/10-13	406.000000	1191.000000	NAUST FM	FORMATION	NORDLAND GP	6235	109	113	9999-12-31	2013-05-08
6608/10-13	406.000000	1233.000000	NORDLAND GP	GROUP	\N	6235	113	\N	9999-12-31	2013-05-08
6608/10-13	1233.000000	1272.000000	ROGALAND GP	GROUP	\N	6235	131	\N	9999-12-31	2013-05-08
6608/10-13	1272.000000	1281.000000	SHETLAND GP	GROUP	\N	6235	143	\N	9999-12-31	2013-05-08
6608/10-13	1272.000000	1281.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6235	156	143	9999-12-31	2013-05-08
6608/10-13	1264.000000	1272.000000	TANG FM	FORMATION	ROGALAND GP	6235	161	131	9999-12-31	2013-05-08
6608/10-13	1233.000000	1264.000000	TARE FM	FORMATION	ROGALAND GP	6235	163	131	9999-12-31	2013-05-08
6608/10-13	1281.000000	1442.000000	ÅRE FM	FORMATION	BÅT GP	6235	197	22	9999-12-31	2013-05-08
24/9-9 A	2628.000000	2785.000000	BALDER FM	FORMATION	ROGALAND GP	6239	6	131	9999-12-31	2013-05-08
24/9-9 A	1124.000000	1420.000000	GRID FM	FORMATION	HORDALAND GP	6239	53	67	9999-12-31	2013-05-08
24/9-9 A	2861.000000	2921.000000	HERMOD FM	FORMATION	ROGALAND GP	6239	64	131	9999-12-31	2013-05-08
24/9-9 A	1124.000000	2628.000000	HORDALAND GP	GROUP	\N	6239	67	\N	9999-12-31	2013-05-08
24/9-9 A	934.000000	1124.000000	NO FORMAL NAME	FORMATION	\N	6239	111	\N	9999-12-31	2013-05-08
24/9-9 A	1420.000000	2628.000000	NO FORMAL NAME	FORMATION	\N	6239	111	\N	9999-12-31	2013-05-08
24/9-9 A	145.000000	1124.000000	NORDLAND GP	GROUP	\N	6239	113	\N	9999-12-31	2013-05-08
24/9-9 A	2628.000000	2981.000000	ROGALAND GP	GROUP	\N	6239	131	\N	9999-12-31	2013-05-08
24/9-9 A	2785.000000	2861.000000	SELE FM	FORMATION	ROGALAND GP	6239	142	131	9999-12-31	2013-05-08
24/9-9 A	2921.000000	2981.000000	SELE FM	FORMATION	ROGALAND GP	6239	142	131	9999-12-31	2013-05-08
24/9-9 A	284.000000	934.000000	UTSIRA FM	FORMATION	NORDLAND GP	6239	183	113	9999-12-31	2013-05-08
34/3-2 S	4210.000000	4273.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	6249	4	29	9999-12-31	2013-05-08
34/3-2 S	1983.000000	2012.000000	BALDER FM	FORMATION	ROGALAND GP	6249	6	131	9999-12-31	2013-05-08
34/3-2 S	4104.000000	4210.000000	BURTON FM	FORMATION	DUNLIN GP	6249	20	29	9999-12-31	2013-05-08
34/3-2 S	3679.000000	3688.000000	CROMER KNOLL GP	GROUP	\N	6249	23	\N	9999-12-31	2013-05-08
34/3-2 S	4012.000000	4104.000000	COOK FM	FORMATION	DUNLIN GP	6249	24	29	9999-12-31	2013-05-08
34/3-2 S	3857.000000	4012.000000	DRAKE FM	FORMATION	DUNLIN GP	6249	27	29	9999-12-31	2013-05-08
34/3-2 S	3857.000000	4273.000000	DUNLIN GP	GROUP	\N	6249	29	\N	9999-12-31	2013-05-08
34/3-2 S	3688.000000	3857.000000	HEATHER FM	FORMATION	VIKING GP	6249	60	188	9999-12-31	2013-05-08
34/3-2 S	1450.000000	1983.000000	HORDALAND GP	GROUP	\N	6249	67	\N	9999-12-31	2013-05-08
34/3-2 S	2121.000000	2303.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6249	74	143	9999-12-31	2013-05-08
34/3-2 S	2303.000000	3417.000000	KYRRE FM	FORMATION	SHETLAND GP	6249	92	143	9999-12-31	2013-05-08
34/3-2 S	2032.000000	2121.000000	LISTA FM	FORMATION	ROGALAND GP	6249	95	131	9999-12-31	2013-05-08
34/3-2 S	3679.000000	3688.000000	MIME FM	FORMATION	CROMER KNOLL GP	6249	106	23	9999-12-31	2013-05-08
34/3-2 S	427.000000	1450.000000	NORDLAND GP	GROUP	\N	6249	113	\N	9999-12-31	2013-05-08
34/3-2 S	1983.000000	2121.000000	ROGALAND GP	GROUP	\N	6249	131	\N	9999-12-31	2013-05-08
34/3-2 S	2012.000000	2032.000000	SELE FM	FORMATION	ROGALAND GP	6249	142	131	9999-12-31	2013-05-08
34/3-2 S	2121.000000	3679.000000	SHETLAND GP	GROUP	\N	6249	143	\N	9999-12-31	2013-05-08
34/3-2 S	4273.000000	4331.000000	STATFJORD FM	FORMATION	\N	6249	157	\N	9999-12-31	2013-05-08
34/3-2 S	3417.000000	3679.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6249	173	143	9999-12-31	2013-05-08
34/3-2 S	1377.000000	1450.000000	UTSIRA FM	FORMATION	NORDLAND GP	6249	183	113	9999-12-31	2013-05-08
34/3-2 S	3688.000000	3857.000000	VIKING GP	GROUP	\N	6249	188	\N	9999-12-31	2013-05-08
34/3-2 S	4273.000000	4331.000000	NO GROUP DEFINED	GROUP	\N	6249	208	\N	9999-12-31	2013-05-08
25/4-10 S	2455.000000	2656.000000	BALDER FM	FORMATION	ROGALAND GP	6253	6	131	9999-12-31	2013-05-08
25/4-10 S	1331.000000	1527.000000	GRID FM	FORMATION	HORDALAND GP	6253	53	67	9999-12-31	2013-05-08
25/4-10 S	2844.000000	2912.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6253	62	131	9999-12-31	2013-05-08
25/4-10 S	2671.000000	2698.000000	HERMOD FM	FORMATION	ROGALAND GP	6253	64	131	9999-12-31	2013-05-08
25/4-10 S	706.000000	2455.000000	HORDALAND GP	GROUP	\N	6253	67	\N	9999-12-31	2013-05-08
25/4-10 S	2739.000000	2844.000000	LISTA FM	FORMATION	ROGALAND GP	6253	95	131	9999-12-31	2013-05-08
25/4-10 S	1527.000000	2455.000000	NO FORMAL NAME	FORMATION	\N	6253	111	\N	9999-12-31	2013-05-08
25/4-10 S	2698.000000	2739.000000	NO FORMAL NAME	FORMATION	\N	6253	111	\N	9999-12-31	2013-05-08
25/4-10 S	149.000000	706.000000	NORDLAND GP	GROUP	\N	6253	113	\N	9999-12-31	2013-05-08
25/4-10 S	2455.000000	2912.000000	ROGALAND GP	GROUP	\N	6253	131	\N	9999-12-31	2013-05-08
25/4-10 S	2656.000000	2671.000000	SELE FM	FORMATION	ROGALAND GP	6253	142	131	9999-12-31	2013-05-08
25/4-10 S	429.000000	706.000000	UTSIRA FM	FORMATION	NORDLAND GP	6253	183	113	9999-12-31	2013-05-08
24/9-9 B	2627.000000	2843.000000	BALDER FM	FORMATION	ROGALAND GP	6254	6	131	9999-12-31	2013-05-08
24/9-9 B	1121.000000	1472.000000	GRID FM	FORMATION	HORDALAND GP	6254	53	67	9999-12-31	2013-05-08
24/9-9 B	2925.000000	2983.000000	HERMOD FM	FORMATION	ROGALAND GP	6254	64	131	9999-12-31	2013-05-08
24/9-9 B	1121.000000	2627.000000	HORDALAND GP	GROUP	\N	6254	67	\N	9999-12-31	2013-05-08
24/9-9 B	934.000000	1121.000000	NO FORMAL NAME	FORMATION	\N	6254	111	\N	9999-12-31	2013-05-08
24/9-9 B	1472.000000	2627.000000	NO FORMAL NAME	FORMATION	\N	6254	111	\N	9999-12-31	2013-05-08
24/9-9 B	145.000000	1121.000000	NORDLAND GP	GROUP	\N	6254	113	\N	9999-12-31	2013-05-08
24/9-9 B	2627.000000	3005.000000	ROGALAND GP	GROUP	\N	6254	131	\N	9999-12-31	2013-05-08
24/9-9 B	2843.000000	2925.000000	SELE FM	FORMATION	ROGALAND GP	6254	142	131	9999-12-31	2013-05-08
24/9-9 B	2983.000000	3005.000000	SELE FM	FORMATION	ROGALAND GP	6254	142	131	9999-12-31	2013-05-08
24/9-9 B	284.000000	934.000000	UTSIRA FM	FORMATION	NORDLAND GP	6254	183	113	9999-12-31	2013-05-08
25/4-10 A	2183.000000	2322.000000	BALDER FM	FORMATION	ROGALAND GP	6255	6	131	9999-12-31	2013-05-08
25/4-10 A	1274.000000	1387.000000	GRID FM	FORMATION	HORDALAND GP	6255	53	67	9999-12-31	2013-05-08
25/4-10 A	2476.000000	2550.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6255	62	131	9999-12-31	2013-05-08
25/4-10 A	706.000000	2183.000000	HORDALAND GP	GROUP	\N	6255	67	\N	9999-12-31	2013-05-08
25/4-10 A	2389.000000	2444.000000	LISTA FM	FORMATION	ROGALAND GP	6255	95	131	9999-12-31	2013-05-08
25/4-10 A	1387.000000	2183.000000	NO FORMAL NAME	FORMATION	\N	6255	111	\N	9999-12-31	2013-05-08
25/4-10 A	2444.000000	2453.000000	NO FORMAL NAME	FORMATION	\N	6255	111	\N	9999-12-31	2013-05-08
25/4-10 A	2453.000000	2476.000000	NO FORMAL NAME	FORMATION	\N	6255	111	\N	9999-12-31	2013-05-08
25/4-10 A	149.000000	706.000000	NORDLAND GP	GROUP	\N	6255	113	\N	9999-12-31	2013-05-08
25/4-10 A	2183.000000	2550.000000	ROGALAND GP	GROUP	\N	6255	131	\N	9999-12-31	2013-05-08
25/4-10 A	2322.000000	2389.000000	SELE FM	FORMATION	ROGALAND GP	6255	142	131	9999-12-31	2013-05-08
25/4-10 A	429.000000	706.000000	UTSIRA FM	FORMATION	NORDLAND GP	6255	183	113	9999-12-31	2013-05-08
6507/3-8	1614.000000	1852.000000	BRYGGE FM	FORMATION	HORDALAND GP	6258	18	67	9999-12-31	2013-05-08
6507/3-8	2789.000000	2990.000000	BÅT GP	GROUP	\N	6258	22	\N	9999-12-31	2013-05-08
6507/3-8	2525.000000	2534.000000	CROMER KNOLL GP	GROUP	\N	6258	23	\N	9999-12-31	2013-05-08
6507/3-8	2693.000000	2789.000000	FANGST GP	GROUP	\N	6258	38	\N	9999-12-31	2013-05-08
6507/3-8	1614.000000	1852.000000	HORDALAND GP	GROUP	\N	6258	67	\N	9999-12-31	2013-05-08
6507/3-8	2740.000000	2789.000000	ILE FM	FORMATION	FANGST GP	6258	70	38	9999-12-31	2013-05-08
6507/3-8	1319.000000	1614.000000	KAI FM	FORMATION	NORDLAND GP	6258	77	113	9999-12-31	2013-05-08
6507/3-8	2356.000000	2525.000000	KVITNOS FM	FORMATION	SHETLAND GP	6258	91	143	9999-12-31	2013-05-08
6507/3-8	2525.000000	2534.000000	LYR FM	FORMATION	CROMER KNOLL GP	6258	98	23	9999-12-31	2013-05-08
6507/3-8	2585.000000	2693.000000	MELKE FM	FORMATION	VIKING GP	6258	105	188	9999-12-31	2013-05-08
6507/3-8	1297.000000	1319.000000	NAUST FM	FORMATION	NORDLAND GP	6258	109	113	9999-12-31	2013-05-08
6507/3-8	2205.000000	2356.000000	NISE FM	FORMATION	SHETLAND GP	6258	112	143	9999-12-31	2013-05-08
6507/3-8	400.000000	1614.000000	NORDLAND GP	GROUP	\N	6258	113	\N	9999-12-31	2013-05-08
6507/3-8	2693.000000	2740.000000	NOT FM	FORMATION	FANGST GP	6258	120	38	9999-12-31	2013-05-08
6507/3-8	1852.000000	1944.000000	ROGALAND GP	GROUP	\N	6258	131	\N	9999-12-31	2013-05-08
6507/3-8	1944.000000	2525.000000	SHETLAND GP	GROUP	\N	6258	143	\N	9999-12-31	2013-05-08
6507/3-8	2534.000000	2585.000000	SPEKK FM	FORMATION	VIKING GP	6258	155	188	9999-12-31	2013-05-08
6507/3-8	1944.000000	2205.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6258	156	143	9999-12-31	2013-05-08
6507/3-8	1899.000000	1944.000000	TANG FM	FORMATION	ROGALAND GP	6258	161	131	9999-12-31	2013-05-08
6507/3-8	1852.000000	1899.000000	TARE FM	FORMATION	ROGALAND GP	6258	163	131	9999-12-31	2013-05-08
6507/3-8	2844.000000	2990.000000	TILJE FM	FORMATION	BÅT GP	6258	169	22	9999-12-31	2013-05-08
6507/3-8	2789.000000	2844.000000	TOFTE FM	FORMATION	BÅT GP	6258	170	22	9999-12-31	2013-05-08
6507/3-8	2534.000000	2693.000000	VIKING GP	GROUP	\N	6258	188	\N	9999-12-31	2013-05-08
1/3-12 S	5075.000000	5082.000000	BLODØKS FM	FORMATION	SHETLAND GP	6260	13	143	9999-12-31	2013-05-08
1/3-12 S	5188.000000	5541.000000	CROMER KNOLL GP	GROUP	\N	6260	23	\N	9999-12-31	2013-05-08
1/3-12 S	3473.000000	3581.000000	EKOFISK FM	FORMATION	SHETLAND GP	6260	33	143	9999-12-31	2013-05-08
1/3-12 S	5556.000000	5627.000000	FARSUND FM	FORMATION	TYNE GP	6260	39	177	9999-12-31	2013-05-08
1/3-12 S	3267.000000	3272.000000	FORTIES FM	FORMATION	ROGALAND GP	6260	44	131	9999-12-31	2013-05-08
1/3-12 S	5627.000000	5736.000000	HAUGESUND FM	FORMATION	TYNE GP	6260	57	177	9999-12-31	2013-05-08
1/3-12 S	5082.000000	5188.000000	HIDRA FM	FORMATION	SHETLAND GP	6260	65	143	9999-12-31	2013-05-08
1/3-12 S	4092.000000	5075.000000	HOD FM	FORMATION	SHETLAND GP	6260	66	143	9999-12-31	2013-05-08
1/3-12 S	1864.000000	3236.000000	HORDALAND GP	GROUP	\N	6260	67	\N	9999-12-31	2013-05-08
1/3-12 S	3272.000000	3296.000000	LISTA FM	FORMATION	ROGALAND GP	6260	95	131	9999-12-31	2013-05-08
1/3-12 S	3339.000000	3449.000000	LISTA FM	FORMATION	ROGALAND GP	6260	95	131	9999-12-31	2013-05-08
1/3-12 S	5541.000000	5556.000000	MANDAL FM	FORMATION	TYNE GP	6260	101	177	9999-12-31	2013-05-08
1/3-12 S	3449.000000	3473.000000	MAUREEN FM	FORMATION	ROGALAND GP	6260	102	131	9999-12-31	2013-05-08
1/3-12 S	118.000000	1864.000000	NORDLAND GP	GROUP	\N	6260	113	\N	9999-12-31	2013-05-08
1/3-12 S	3236.000000	3473.000000	ROGALAND GP	GROUP	\N	6260	131	\N	9999-12-31	2013-05-08
1/3-12 S	5188.000000	5308.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6260	137	23	9999-12-31	2013-05-08
1/3-12 S	3248.000000	3267.000000	SELE FM	FORMATION	ROGALAND GP	6260	142	131	9999-12-31	2013-05-08
1/3-12 S	3473.000000	5188.000000	SHETLAND GP	GROUP	\N	6260	143	\N	9999-12-31	2013-05-08
1/3-12 S	5818.000000	5931.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6260	146	61	9999-12-31	2013-05-08
1/3-12 S	5308.000000	5346.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6260	152	23	9999-12-31	2013-05-08
1/3-12 S	3581.000000	4092.000000	TOR FM	FORMATION	SHETLAND GP	6260	171	143	9999-12-31	2013-05-08
1/3-12 S	5346.000000	5398.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	6260	175	23	9999-12-31	2013-05-08
1/3-12 S	5541.000000	5736.000000	TYNE GP	GROUP	\N	6260	177	\N	9999-12-31	2013-05-08
1/3-12 S	5736.000000	5818.000000	VESTLAND GP	GROUP	\N	6260	186	\N	9999-12-31	2013-05-08
1/3-12 S	3296.000000	3339.000000	VIDAR FM	FORMATION	ROGALAND GP	6260	187	131	9999-12-31	2013-05-08
1/3-12 S	5398.000000	5541.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6260	198	23	9999-12-31	2013-05-08
1/3-12 S	5818.000000	5931.000000	NO GROUP DEFINED	GROUP	\N	6260	208	\N	9999-12-31	2013-05-08
25/8-17 A	2379.000000	2521.000000	BALDER FM	FORMATION	ROGALAND GP	6261	6	131	9999-12-31	2013-05-08
25/8-17 A	1221.000000	1320.000000	GRID FM	FORMATION	HORDALAND GP	6261	53	67	9999-12-31	2013-05-08
25/8-17 A	2694.000000	2845.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6261	62	131	9999-12-31	2013-05-08
25/8-17 A	1013.000000	2379.000000	HORDALAND GP	GROUP	\N	6261	67	\N	9999-12-31	2013-05-08
25/8-17 A	2608.000000	2694.000000	LISTA FM	FORMATION	ROGALAND GP	6261	95	131	9999-12-31	2013-05-08
25/8-17 A	2845.000000	2858.000000	LISTA FM	FORMATION	ROGALAND GP	6261	95	131	9999-12-31	2013-05-08
25/8-17 A	1190.000000	1221.000000	NO FORMAL NAME	FORMATION	\N	6261	111	\N	9999-12-31	2013-05-08
25/8-17 A	1320.000000	2379.000000	NO FORMAL NAME	FORMATION	\N	6261	111	\N	9999-12-31	2013-05-08
25/8-17 A	152.000000	1013.000000	NORDLAND GP	GROUP	\N	6261	113	\N	9999-12-31	2013-05-08
25/8-17 A	2379.000000	2945.000000	ROGALAND GP	GROUP	\N	6261	131	\N	9999-12-31	2013-05-08
25/8-17 A	2521.000000	2608.000000	SELE FM	FORMATION	ROGALAND GP	6261	142	131	9999-12-31	2013-05-08
25/8-17 A	1158.000000	1190.000000	SKADE FM	FORMATION	HORDALAND GP	6261	145	67	9999-12-31	2013-05-08
25/8-17 A	2858.000000	2945.000000	TY FM	FORMATION	ROGALAND GP	6261	176	131	9999-12-31	2013-05-08
25/8-17 A	453.000000	1013.000000	UTSIRA FM	FORMATION	NORDLAND GP	6261	183	113	9999-12-31	2013-05-08
34/4-12 S	1695.000000	1713.000000	BALDER FM	FORMATION	ROGALAND GP	6283	6	131	9999-12-31	2013-05-08
34/4-12 S	2737.000000	2738.000000	CROMER KNOLL GP	GROUP	\N	6283	23	\N	9999-12-31	2013-05-08
34/4-12 S	2738.000000	3066.000000	HEGRE GP	GROUP	\N	6283	61	\N	9999-12-31	2013-05-08
34/4-12 S	1197.000000	1695.000000	HORDALAND GP	GROUP	\N	6283	67	\N	9999-12-31	2013-05-08
34/4-12 S	1713.000000	1791.000000	LISTA FM	FORMATION	ROGALAND GP	6283	95	131	9999-12-31	2013-05-08
34/4-12 S	2738.000000	3066.000000	LUNDE FM	FORMATION	HEGRE GP	6283	97	61	9999-12-31	2013-05-08
34/4-12 S	2737.000000	2738.000000	MIME FM	FORMATION	CROMER KNOLL GP	6283	106	23	9999-12-31	2013-05-08
34/4-12 S	1130.000000	1197.000000	NO FORMAL NAME	FORMATION	\N	6283	111	\N	9999-12-31	2013-05-08
34/4-12 S	404.000000	1197.000000	NORDLAND GP	GROUP	\N	6283	113	\N	9999-12-31	2013-05-08
34/4-12 S	1695.000000	1791.000000	ROGALAND GP	GROUP	\N	6283	131	\N	9999-12-31	2013-05-08
34/4-12 S	1791.000000	2737.000000	SHETLAND GP	GROUP	\N	6283	143	\N	9999-12-31	2013-05-08
34/4-12 S	1105.000000	1130.000000	UTSIRA FM	FORMATION	NORDLAND GP	6283	183	113	9999-12-31	2013-05-08
35/9-5	2975.000000	3114.000000	AGAT FM	FORMATION	CROMER KNOLL GP	6293	2	23	9999-12-31	2013-05-08
35/9-5	860.000000	916.000000	BALDER FM	FORMATION	ROGALAND GP	6293	6	131	9999-12-31	2013-05-08
35/9-5	2586.000000	2598.000000	BLODØKS FM	FORMATION	SHETLAND GP	6293	13	143	9999-12-31	2013-05-08
35/9-5	2713.000000	3254.000000	CROMER KNOLL GP	GROUP	\N	6293	23	\N	9999-12-31	2013-05-08
35/9-5	3254.000000	3376.000000	DRAUPNE FM	FORMATION	VIKING GP	6293	28	188	9999-12-31	2013-05-08
35/9-5	670.000000	860.000000	GRID FM	FORMATION	HORDALAND GP	6293	53	67	9999-12-31	2013-05-08
35/9-5	605.000000	860.000000	HORDALAND GP	GROUP	\N	6293	67	\N	9999-12-31	2013-05-08
35/9-5	1464.000000	1588.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6293	74	143	9999-12-31	2013-05-08
35/9-5	3376.000000	3531.000000	KROSSFJORD FM	FORMATION	VIKING GP	6293	87	188	9999-12-31	2013-05-08
35/9-5	1588.000000	2237.000000	KYRRE FM	FORMATION	SHETLAND GP	6293	92	143	9999-12-31	2013-05-08
35/9-5	1103.000000	1397.000000	LISTA FM	FORMATION	ROGALAND GP	6293	95	131	9999-12-31	2013-05-08
35/9-5	384.000000	605.000000	NORDLAND GP	GROUP	\N	6293	113	\N	9999-12-31	2013-05-08
35/9-5	860.000000	1464.000000	ROGALAND GP	GROUP	\N	6293	131	\N	9999-12-31	2013-05-08
35/9-5	2713.000000	2975.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6293	137	23	9999-12-31	2013-05-08
35/9-5	916.000000	1103.000000	SELE FM	FORMATION	ROGALAND GP	6293	142	131	9999-12-31	2013-05-08
35/9-5	1464.000000	2713.000000	SHETLAND GP	GROUP	\N	6293	143	\N	9999-12-31	2013-05-08
35/9-5	2598.000000	2713.000000	SVARTE FM	FORMATION	SHETLAND GP	6293	160	143	9999-12-31	2013-05-08
35/9-5	2237.000000	2586.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6293	173	143	9999-12-31	2013-05-08
35/9-5	3254.000000	3531.000000	VIKING GP	GROUP	\N	6293	188	\N	9999-12-31	2013-05-08
35/9-5	1397.000000	1464.000000	VÅLE FM	FORMATION	ROGALAND GP	6293	190	131	9999-12-31	2013-05-08
35/9-5	3114.000000	3254.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6293	198	23	9999-12-31	2013-05-08
6608/10-14 S	1513.000000	1798.000000	BRYGGE FM	FORMATION	HORDALAND GP	6306	18	67	9999-12-31	2013-05-08
6608/10-14 S	2557.000000	2880.000000	BÅT GP	GROUP	\N	6306	22	\N	9999-12-31	2013-05-08
6608/10-14 S	2283.000000	2375.000000	CROMER KNOLL GP	GROUP	\N	6306	23	\N	9999-12-31	2013-05-08
6608/10-14 S	2504.000000	2557.000000	FANGST GP	GROUP	\N	6306	38	\N	9999-12-31	2013-05-08
6608/10-14 S	1513.000000	1798.000000	HORDALAND GP	GROUP	\N	6306	67	\N	9999-12-31	2013-05-08
6608/10-14 S	2549.000000	2557.000000	ILE FM	FORMATION	FANGST GP	6306	70	38	9999-12-31	2013-05-08
6608/10-14 S	1406.000000	1513.000000	KAI FM	FORMATION	NORDLAND GP	6306	77	113	9999-12-31	2013-05-08
6608/10-14 S	2283.000000	2375.000000	LYR FM	FORMATION	CROMER KNOLL GP	6306	98	23	9999-12-31	2013-05-08
6608/10-14 S	2433.000000	2504.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	6306	104	188	9999-12-31	2013-05-08
6608/10-14 S	2381.000000	2433.000000	MELKE FM	FORMATION	VIKING GP	6306	105	188	9999-12-31	2013-05-08
6608/10-14 S	376.000000	1406.000000	NAUST FM	FORMATION	NORDLAND GP	6306	109	113	9999-12-31	2013-05-08
6608/10-14 S	2028.000000	2283.000000	NISE FM	FORMATION	SHETLAND GP	6306	112	143	9999-12-31	2013-05-08
6608/10-14 S	376.000000	1513.000000	NORDLAND GP	GROUP	\N	6306	113	\N	9999-12-31	2013-05-08
6608/10-14 S	2504.000000	2549.000000	NOT FM	FORMATION	FANGST GP	6306	120	38	9999-12-31	2013-05-08
6608/10-14 S	1798.000000	1889.000000	ROGALAND GP	GROUP	\N	6306	131	\N	9999-12-31	2013-05-08
6608/10-14 S	1889.000000	2283.000000	SHETLAND GP	GROUP	\N	6306	143	\N	9999-12-31	2013-05-08
6608/10-14 S	2375.000000	2381.000000	SPEKK FM	FORMATION	VIKING GP	6306	155	188	9999-12-31	2013-05-08
6608/10-14 S	1889.000000	2028.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6306	156	143	9999-12-31	2013-05-08
6608/10-14 S	1865.000000	1889.000000	TANG FM	FORMATION	ROGALAND GP	6306	161	131	9999-12-31	2013-05-08
6608/10-14 S	1798.000000	1865.000000	TARE FM	FORMATION	ROGALAND GP	6306	163	131	9999-12-31	2013-05-08
6608/10-14 S	2557.000000	2592.000000	TOFTE FM	FORMATION	BÅT GP	6306	170	22	9999-12-31	2013-05-08
6608/10-14 S	2375.000000	2504.000000	VIKING GP	GROUP	\N	6306	188	\N	9999-12-31	2013-05-08
6608/10-14 S	2592.000000	2880.000000	ÅRE FM	FORMATION	BÅT GP	6306	197	22	9999-12-31	2013-05-08
34/5-1 S	3761.000000	3834.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	6307	4	29	9999-12-31	2013-05-08
34/5-1 S	1890.000000	1922.000000	BALDER FM	FORMATION	ROGALAND GP	6307	6	131	9999-12-31	2013-05-08
34/5-1 S	3696.000000	3761.000000	BURTON FM	FORMATION	DUNLIN GP	6307	20	29	9999-12-31	2013-05-08
34/5-1 S	3544.000000	3553.000000	CROMER KNOLL GP	GROUP	\N	6307	23	\N	9999-12-31	2013-05-08
34/5-1 S	3629.000000	3696.000000	COOK FM	FORMATION	DUNLIN GP	6307	24	29	9999-12-31	2013-05-08
34/5-1 S	3553.000000	3629.000000	DRAKE FM	FORMATION	DUNLIN GP	6307	27	29	9999-12-31	2013-05-08
34/5-1 S	3553.000000	3834.000000	DUNLIN GP	GROUP	\N	6307	29	\N	9999-12-31	2013-05-08
34/5-1 S	3834.000000	3900.000000	EIRIKSSON MBR	MEMBER	STATFJORD FM	6307	32	157	9999-12-31	2013-05-08
34/5-1 S	1450.000000	1890.000000	HORDALAND GP	GROUP	\N	6307	67	\N	9999-12-31	2013-05-08
34/5-1 S	2010.000000	2235.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6307	74	143	9999-12-31	2013-05-08
34/5-1 S	2235.000000	3355.000000	KYRRE FM	FORMATION	SHETLAND GP	6307	92	143	9999-12-31	2013-05-08
34/5-1 S	1922.000000	2010.000000	LISTA FM	FORMATION	ROGALAND GP	6307	95	131	9999-12-31	2013-05-08
34/5-1 S	3544.000000	3553.000000	MIME FM	FORMATION	CROMER KNOLL GP	6307	106	23	9999-12-31	2013-05-08
34/5-1 S	1435.000000	1450.000000	NO FORMAL NAME	FORMATION	\N	6307	111	\N	9999-12-31	2013-05-08
34/5-1 S	1561.000000	1568.000000	NO FORMAL NAME	FORMATION	\N	6307	111	\N	9999-12-31	2013-05-08
34/5-1 S	1568.000000	1890.000000	NO FORMAL NAME	FORMATION	\N	6307	111	\N	9999-12-31	2013-05-08
34/5-1 S	412.000000	1450.000000	NORDLAND GP	GROUP	\N	6307	113	\N	9999-12-31	2013-05-08
34/5-1 S	1890.000000	2010.000000	ROGALAND GP	GROUP	\N	6307	131	\N	9999-12-31	2013-05-08
34/5-1 S	2010.000000	3544.000000	SHETLAND GP	GROUP	\N	6307	143	\N	9999-12-31	2013-05-08
34/5-1 S	3834.000000	3900.000000	STATFJORD FM	FORMATION	\N	6307	157	\N	9999-12-31	2013-05-08
34/5-1 S	3355.000000	3544.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6307	173	143	9999-12-31	2013-05-08
34/5-1 S	1333.000000	1435.000000	UTSIRA FM	FORMATION	NORDLAND GP	6307	183	113	9999-12-31	2013-05-08
34/5-1 S	3834.000000	3900.000000	NO GROUP DEFINED	GROUP	\N	6307	208	\N	9999-12-31	2013-05-08
34/4-12 A	1697.000000	1715.000000	BALDER FM	FORMATION	ROGALAND GP	6316	6	131	9999-12-31	2013-05-08
34/4-12 A	2558.000000	2563.000000	CROMER KNOLL GP	GROUP	\N	6316	23	\N	9999-12-31	2013-05-08
34/4-12 A	2563.000000	2761.000000	HEGRE GP	GROUP	\N	6316	61	\N	9999-12-31	2013-05-08
34/4-12 A	1197.000000	1697.000000	HORDALAND GP	GROUP	\N	6316	67	\N	9999-12-31	2013-05-08
34/4-12 A	1715.000000	1806.000000	LISTA FM	FORMATION	ROGALAND GP	6316	95	131	9999-12-31	2013-05-08
34/4-12 A	2563.000000	2761.000000	LUNDE FM	FORMATION	HEGRE GP	6316	97	61	9999-12-31	2013-05-08
34/4-12 A	2561.000000	2563.000000	MIME FM	FORMATION	CROMER KNOLL GP	6316	106	23	9999-12-31	2013-05-08
34/4-12 A	1130.000000	1197.000000	NO FORMAL NAME	FORMATION	\N	6316	111	\N	9999-12-31	2013-05-08
34/4-12 A	404.000000	1197.000000	NORDLAND GP	GROUP	\N	6316	113	\N	9999-12-31	2013-05-08
34/4-12 A	1697.000000	1806.000000	ROGALAND GP	GROUP	\N	6316	131	\N	9999-12-31	2013-05-08
34/4-12 A	2558.000000	2561.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6316	137	23	9999-12-31	2013-05-08
34/4-12 A	1806.000000	2558.000000	SHETLAND GP	GROUP	\N	6316	143	\N	9999-12-31	2013-05-08
34/4-12 A	1105.000000	1130.000000	UTSIRA FM	FORMATION	NORDLAND GP	6316	183	113	9999-12-31	2013-05-08
6507/5-6 S	2288.000000	2712.000000	BRYGGE FM	FORMATION	HORDALAND GP	6321	18	67	9999-12-31	2013-05-08
6507/5-6 S	4676.000000	4991.000000	CROMER KNOLL GP	GROUP	\N	6321	23	\N	9999-12-31	2013-05-08
6507/5-6 S	2288.000000	2712.000000	HORDALAND GP	GROUP	\N	6321	67	\N	9999-12-31	2013-05-08
6507/5-6 S	1476.000000	2288.000000	KAI FM	FORMATION	NORDLAND GP	6321	77	113	9999-12-31	2013-05-08
6507/5-6 S	4772.000000	4991.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6321	94	23	9999-12-31	2013-05-08
6507/5-6 S	4676.000000	4772.000000	LYSING FM	FORMATION	CROMER KNOLL GP	6321	99	23	9999-12-31	2013-05-08
6507/5-6 S	356.000000	1476.000000	NAUST FM	FORMATION	NORDLAND GP	6321	109	113	9999-12-31	2013-05-08
6507/5-6 S	2930.000000	4676.000000	NISE FM	FORMATION	SHETLAND GP	6321	112	143	9999-12-31	2013-05-08
6507/5-6 S	356.000000	2288.000000	NORDLAND GP	GROUP	\N	6321	113	\N	9999-12-31	2013-05-08
6507/5-6 S	2712.000000	2897.000000	ROGALAND GP	GROUP	\N	6321	131	\N	9999-12-31	2013-05-08
6507/5-6 S	2897.000000	4676.000000	SHETLAND GP	GROUP	\N	6321	143	\N	9999-12-31	2013-05-08
6507/5-6 S	2897.000000	2930.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6321	156	143	9999-12-31	2013-05-08
6507/5-6 S	2842.000000	2897.000000	TANG FM	FORMATION	ROGALAND GP	6321	161	131	9999-12-31	2013-05-08
6507/5-6 S	2712.000000	2842.000000	TARE FM	FORMATION	ROGALAND GP	6321	163	131	9999-12-31	2013-05-08
15/12-22	2125.000000	2151.000000	BALDER FM	FORMATION	ROGALAND GP	6326	6	131	9999-12-31	2013-05-08
15/12-22	2610.000000	2643.000000	BLODØKS FM	FORMATION	SHETLAND GP	6326	13	143	9999-12-31	2013-05-08
15/12-22	2676.000000	2764.000000	CROMER KNOLL GP	GROUP	\N	6326	23	\N	9999-12-31	2013-05-08
15/12-22	2764.000000	2799.000000	DRAUPNE FM	FORMATION	VIKING GP	6326	28	188	9999-12-31	2013-05-08
15/12-22	2320.000000	2324.000000	EKOFISK FM	FORMATION	SHETLAND GP	6326	33	143	9999-12-31	2013-05-08
15/12-22	2799.000000	2831.000000	HEATHER FM	FORMATION	VIKING GP	6326	60	188	9999-12-31	2013-05-08
15/12-22	2643.000000	2676.000000	HIDRA FM	FORMATION	SHETLAND GP	6326	65	143	9999-12-31	2013-05-08
15/12-22	2541.000000	2610.000000	HOD FM	FORMATION	SHETLAND GP	6326	66	143	9999-12-31	2013-05-08
15/12-22	1094.000000	2125.000000	HORDALAND GP	GROUP	\N	6326	67	\N	9999-12-31	2013-05-08
15/12-22	2831.000000	2985.000000	HUGIN FM	FORMATION	VESTLAND GP	6326	69	186	9999-12-31	2013-05-08
15/12-22	2233.000000	2317.000000	LISTA FM	FORMATION	ROGALAND GP	6326	95	131	9999-12-31	2013-05-08
15/12-22	1229.000000	2125.000000	NO FORMAL NAME	FORMATION	\N	6326	111	\N	9999-12-31	2013-05-08
15/12-22	109.000000	1094.000000	NORDLAND GP	GROUP	\N	6326	113	\N	9999-12-31	2013-05-08
15/12-22	2125.000000	2320.000000	ROGALAND GP	GROUP	\N	6326	131	\N	9999-12-31	2013-05-08
15/12-22	2676.000000	2683.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6326	137	23	9999-12-31	2013-05-08
15/12-22	2151.000000	2233.000000	SELE FM	FORMATION	ROGALAND GP	6326	142	131	9999-12-31	2013-05-08
15/12-22	2320.000000	2676.000000	SHETLAND GP	GROUP	\N	6326	143	\N	9999-12-31	2013-05-08
15/12-22	1208.000000	1229.000000	SKADE FM	FORMATION	HORDALAND GP	6326	145	67	9999-12-31	2013-05-08
15/12-22	2985.000000	3035.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6326	146	61	9999-12-31	2013-05-08
15/12-22	2683.000000	2704.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6326	152	23	9999-12-31	2013-05-08
15/12-22	2324.000000	2541.000000	TOR FM	FORMATION	SHETLAND GP	6326	171	143	9999-12-31	2013-05-08
15/12-22	2704.000000	2730.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	6326	175	23	9999-12-31	2013-05-08
15/12-22	929.000000	1094.000000	UTSIRA FM	FORMATION	NORDLAND GP	6326	183	113	9999-12-31	2013-05-08
15/12-22	2831.000000	2985.000000	VESTLAND GP	GROUP	\N	6326	186	\N	9999-12-31	2013-05-08
15/12-22	2764.000000	2831.000000	VIKING GP	GROUP	\N	6326	188	\N	9999-12-31	2013-05-08
15/12-22	2317.000000	2320.000000	VÅLE FM	FORMATION	ROGALAND GP	6326	190	131	9999-12-31	2013-05-08
15/12-22	2730.000000	2764.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6326	198	23	9999-12-31	2013-05-08
15/12-22	2985.000000	3035.000000	NO GROUP DEFINED	GROUP	\N	6326	208	\N	9999-12-31	2013-05-08
15/12-23	2344.000000	2365.000000	BALDER FM	FORMATION	ROGALAND GP	6327	6	131	9999-12-31	2013-05-08
15/12-23	2813.000000	2846.000000	BLODØKS FM	FORMATION	SHETLAND GP	6327	13	143	9999-12-31	2013-05-08
15/12-23	2907.000000	2966.000000	CROMER KNOLL GP	GROUP	\N	6327	23	\N	9999-12-31	2013-05-08
15/12-23	2966.000000	3013.000000	DRAUPNE FM	FORMATION	VIKING GP	6327	28	188	9999-12-31	2013-05-08
15/12-23	2532.000000	2543.000000	EKOFISK FM	FORMATION	SHETLAND GP	6327	33	143	9999-12-31	2013-05-08
15/12-23	1212.000000	1283.000000	GRID FM	FORMATION	HORDALAND GP	6327	53	67	9999-12-31	2013-05-08
15/12-23	3117.000000	3164.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	6327	59	188	9999-12-31	2013-05-08
15/12-23	3013.000000	3117.000000	HEATHER FM	FORMATION	VIKING GP	6327	60	188	9999-12-31	2013-05-08
15/12-23	2846.000000	2907.000000	HIDRA FM	FORMATION	SHETLAND GP	6327	65	143	9999-12-31	2013-05-08
15/12-23	2731.000000	2813.000000	HOD FM	FORMATION	SHETLAND GP	6327	66	143	9999-12-31	2013-05-08
15/12-23	1116.000000	2344.000000	HORDALAND GP	GROUP	\N	6327	67	\N	9999-12-31	2013-05-08
15/12-23	2436.000000	2526.000000	LISTA FM	FORMATION	ROGALAND GP	6327	95	131	9999-12-31	2013-05-08
15/12-23	1111.000000	1116.000000	NO FORMAL NAME	FORMATION	\N	6327	111	\N	9999-12-31	2013-05-08
15/12-23	1283.000000	2344.000000	NO FORMAL NAME	FORMATION	\N	6327	111	\N	9999-12-31	2013-05-08
15/12-23	113.000000	1116.000000	NORDLAND GP	GROUP	\N	6327	113	\N	9999-12-31	2013-05-08
15/12-23	2344.000000	2532.000000	ROGALAND GP	GROUP	\N	6327	131	\N	9999-12-31	2013-05-08
15/12-23	2907.000000	2921.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6327	137	23	9999-12-31	2013-05-08
15/12-23	2365.000000	2436.000000	SELE FM	FORMATION	ROGALAND GP	6327	142	131	9999-12-31	2013-05-08
15/12-23	2532.000000	2907.000000	SHETLAND GP	GROUP	\N	6327	143	\N	9999-12-31	2013-05-08
15/12-23	3192.000000	3485.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6327	146	61	9999-12-31	2013-05-08
15/12-23	3164.000000	3192.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6327	148	186	9999-12-31	2013-05-08
15/12-23	2921.000000	2924.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6327	152	23	9999-12-31	2013-05-08
15/12-23	2543.000000	2731.000000	TOR FM	FORMATION	SHETLAND GP	6327	171	143	9999-12-31	2013-05-08
15/12-23	2924.000000	2952.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	6327	175	23	9999-12-31	2013-05-08
15/12-23	916.000000	1111.000000	UTSIRA FM	FORMATION	NORDLAND GP	6327	183	113	9999-12-31	2013-05-08
15/12-23	3164.000000	3192.000000	VESTLAND GP	GROUP	\N	6327	186	\N	9999-12-31	2013-05-08
15/12-23	2966.000000	3164.000000	VIKING GP	GROUP	\N	6327	188	\N	9999-12-31	2013-05-08
15/12-23	2526.000000	2532.000000	VÅLE FM	FORMATION	ROGALAND GP	6327	190	131	9999-12-31	2013-05-08
15/12-23	2952.000000	2966.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6327	198	23	9999-12-31	2013-05-08
15/12-23	3192.000000	3485.000000	NO GROUP DEFINED	GROUP	\N	6327	208	\N	9999-12-31	2013-05-08
24/12-6 S	2162.000000	2208.000000	BALDER FM	FORMATION	ROGALAND GP	6328	6	131	9999-12-31	2013-05-08
24/12-6 S	3913.000000	3917.000000	BLODØKS FM	FORMATION	SHETLAND GP	6328	13	143	9999-12-31	2013-05-08
24/12-6 S	4148.000000	4417.000000	CROMER KNOLL GP	GROUP	\N	6328	23	\N	9999-12-31	2013-05-08
24/12-6 S	4417.000000	4788.000000	DRAUPNE FM	FORMATION	VIKING GP	6328	28	188	9999-12-31	2013-05-08
24/12-6 S	1356.000000	1682.000000	GRID FM	FORMATION	HORDALAND GP	6328	53	67	9999-12-31	2013-05-08
24/12-6 S	4788.000000	5029.000000	HEATHER FM	FORMATION	VIKING GP	6328	60	188	9999-12-31	2013-05-08
24/12-6 S	2273.000000	2693.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6328	62	131	9999-12-31	2013-05-08
24/12-6 S	848.000000	2162.000000	HORDALAND GP	GROUP	\N	6328	67	\N	9999-12-31	2013-05-08
24/12-6 S	5029.000000	5120.000000	HUGIN FM	FORMATION	VESTLAND GP	6328	69	186	9999-12-31	2013-05-08
24/12-6 S	2761.000000	3080.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6328	74	143	9999-12-31	2013-05-08
24/12-6 S	3080.000000	3741.000000	KYRRE FM	FORMATION	SHETLAND GP	6328	92	143	9999-12-31	2013-05-08
24/12-6 S	2262.000000	2273.000000	LISTA FM	FORMATION	ROGALAND GP	6328	95	131	9999-12-31	2013-05-08
24/12-6 S	681.000000	848.000000	NO FORMAL NAME	FORMATION	\N	6328	111	\N	9999-12-31	2013-05-08
24/12-6 S	1043.000000	1356.000000	NO FORMAL NAME	FORMATION	\N	6328	111	\N	9999-12-31	2013-05-08
24/12-6 S	1682.000000	2162.000000	NO FORMAL NAME	FORMATION	\N	6328	111	\N	9999-12-31	2013-05-08
24/12-6 S	145.000000	848.000000	NORDLAND GP	GROUP	\N	6328	113	\N	9999-12-31	2013-05-08
24/12-6 S	2162.000000	2761.000000	ROGALAND GP	GROUP	\N	6328	131	\N	9999-12-31	2013-05-08
24/12-6 S	4148.000000	4222.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6328	137	23	9999-12-31	2013-05-08
24/12-6 S	2208.000000	2262.000000	SELE FM	FORMATION	ROGALAND GP	6328	142	131	9999-12-31	2013-05-08
24/12-6 S	2761.000000	4148.000000	SHETLAND GP	GROUP	\N	6328	143	\N	9999-12-31	2013-05-08
24/12-6 S	848.000000	1043.000000	SKADE FM	FORMATION	HORDALAND GP	6328	145	67	9999-12-31	2013-05-08
24/12-6 S	5120.000000	5207.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6328	148	186	9999-12-31	2013-05-08
24/12-6 S	4222.000000	4281.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6328	152	23	9999-12-31	2013-05-08
24/12-6 S	3917.000000	4148.000000	SVARTE FM	FORMATION	SHETLAND GP	6328	160	143	9999-12-31	2013-05-08
24/12-6 S	3741.000000	3913.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6328	173	143	9999-12-31	2013-05-08
24/12-6 S	450.000000	681.000000	UTSIRA FM	FORMATION	NORDLAND GP	6328	183	113	9999-12-31	2013-05-08
24/12-6 S	5029.000000	5207.000000	VESTLAND GP	GROUP	\N	6328	186	\N	9999-12-31	2013-05-08
24/12-6 S	4417.000000	5029.000000	VIKING GP	GROUP	\N	6328	188	\N	9999-12-31	2013-05-08
24/12-6 S	2693.000000	2761.000000	VÅLE FM	FORMATION	ROGALAND GP	6328	190	131	9999-12-31	2013-05-08
24/12-6 S	4281.000000	4417.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6328	198	23	9999-12-31	2013-05-08
6506/9-2 S	1885.000000	2040.000000	BRYGGE FM	FORMATION	HORDALAND GP	6332	18	67	9999-12-31	2013-05-08
6506/9-2 S	4471.000000	4805.000000	BÅT GP	GROUP	\N	6332	22	\N	9999-12-31	2013-05-08
6506/9-2 S	3176.000000	4138.000000	CROMER KNOLL GP	GROUP	\N	6332	23	\N	9999-12-31	2013-05-08
6506/9-2 S	4332.000000	4471.000000	FANGST GP	GROUP	\N	6332	38	\N	9999-12-31	2013-05-08
6506/9-2 S	4332.000000	4392.000000	GARN FM	FORMATION	FANGST GP	6332	48	38	9999-12-31	2013-05-08
6506/9-2 S	1885.000000	2040.000000	HORDALAND GP	GROUP	\N	6332	67	\N	9999-12-31	2013-05-08
6506/9-2 S	4397.000000	4471.000000	ILE FM	FORMATION	FANGST GP	6332	70	38	9999-12-31	2013-05-08
6506/9-2 S	1455.000000	1885.000000	KAI FM	FORMATION	NORDLAND GP	6332	77	113	9999-12-31	2013-05-08
6506/9-2 S	2610.000000	3176.000000	KVITNOS FM	FORMATION	SHETLAND GP	6332	91	143	9999-12-31	2013-05-08
6506/9-2 S	3212.000000	4120.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6332	94	23	9999-12-31	2013-05-08
6506/9-2 S	4120.000000	4138.000000	LYR FM	FORMATION	CROMER KNOLL GP	6332	98	23	9999-12-31	2013-05-08
6506/9-2 S	3176.000000	3212.000000	LYSING FM	FORMATION	CROMER KNOLL GP	6332	99	23	9999-12-31	2013-05-08
6506/9-2 S	4158.000000	4332.000000	MELKE FM	FORMATION	VIKING GP	6332	105	188	9999-12-31	2013-05-08
6506/9-2 S	299.000000	1455.000000	NAUST FM	FORMATION	NORDLAND GP	6332	109	113	9999-12-31	2013-05-08
6506/9-2 S	2404.000000	2610.000000	NISE FM	FORMATION	SHETLAND GP	6332	112	143	9999-12-31	2013-05-08
6506/9-2 S	299.000000	1885.000000	NORDLAND GP	GROUP	\N	6332	113	\N	9999-12-31	2013-05-08
6506/9-2 S	4392.000000	4397.000000	NOT FM	FORMATION	FANGST GP	6332	120	38	9999-12-31	2013-05-08
6506/9-2 S	2040.000000	2170.000000	ROGALAND GP	GROUP	\N	6332	131	\N	9999-12-31	2013-05-08
6506/9-2 S	4471.000000	4505.000000	ROR FM	FORMATION	BÅT GP	6332	135	22	9999-12-31	2013-05-08
6506/9-2 S	4572.000000	4578.000000	ROR FM	FORMATION	BÅT GP	6332	135	22	9999-12-31	2013-05-08
6506/9-2 S	2170.000000	3176.000000	SHETLAND GP	GROUP	\N	6332	143	\N	9999-12-31	2013-05-08
6506/9-2 S	4138.000000	4158.000000	SPEKK FM	FORMATION	VIKING GP	6332	155	188	9999-12-31	2013-05-08
6506/9-2 S	2170.000000	2404.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6332	156	143	9999-12-31	2013-05-08
6506/9-2 S	2143.000000	2170.000000	TANG FM	FORMATION	ROGALAND GP	6332	161	131	9999-12-31	2013-05-08
6506/9-2 S	2040.000000	2143.000000	TARE FM	FORMATION	ROGALAND GP	6332	163	131	9999-12-31	2013-05-08
6506/9-2 S	4578.000000	4699.000000	TILJE FM	FORMATION	BÅT GP	6332	169	22	9999-12-31	2013-05-08
6506/9-2 S	4505.000000	4572.000000	TOFTE FM	FORMATION	BÅT GP	6332	170	22	9999-12-31	2013-05-08
6506/9-2 S	4138.000000	4332.000000	VIKING GP	GROUP	\N	6332	188	\N	9999-12-31	2013-05-08
6506/9-2 S	4699.000000	4805.000000	ÅRE FM	FORMATION	BÅT GP	6332	197	22	9999-12-31	2013-05-08
9/2-11	620.000000	643.000000	BALDER FM	FORMATION	ROGALAND GP	6341	6	131	9999-12-31	2013-05-08
9/2-11	2101.000000	2629.000000	BOKNFJORD GP	GROUP	\N	6341	15	\N	9999-12-31	2013-05-08
9/2-11	2761.000000	2861.000000	BRYNE FM	FORMATION	VESTLAND GP	6341	19	186	9999-12-31	2013-05-08
9/2-11	1159.000000	2101.000000	CROMER KNOLL GP	GROUP	\N	6341	23	\N	9999-12-31	2013-05-08
9/2-11	2574.000000	2629.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	6341	30	15	9999-12-31	2013-05-08
9/2-11	671.000000	745.000000	EKOFISK FM	FORMATION	SHETLAND GP	6341	33	143	9999-12-31	2013-05-08
9/2-11	2101.000000	2180.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	6341	43	15	9999-12-31	2013-05-08
9/2-11	880.000000	1159.000000	HOD FM	FORMATION	SHETLAND GP	6341	66	143	9999-12-31	2013-05-08
9/2-11	453.000000	620.000000	HORDALAND GP	GROUP	\N	6341	67	\N	9999-12-31	2013-05-08
9/2-11	652.000000	665.000000	LISTA FM	FORMATION	ROGALAND GP	6341	95	131	9999-12-31	2013-05-08
9/2-11	127.000000	453.000000	NORDLAND GP	GROUP	\N	6341	113	\N	9999-12-31	2013-05-08
9/2-11	620.000000	671.000000	ROGALAND GP	GROUP	\N	6341	131	\N	9999-12-31	2013-05-08
9/2-11	2629.000000	2761.000000	SANDNES FM	FORMATION	VESTLAND GP	6341	139	186	9999-12-31	2013-05-08
9/2-11	2180.000000	2492.000000	SAUDA FM	FORMATION	BOKNFJORD GP	6341	141	15	9999-12-31	2013-05-08
9/2-11	643.000000	652.000000	SELE FM	FORMATION	ROGALAND GP	6341	142	131	9999-12-31	2013-05-08
9/2-11	671.000000	1159.000000	SHETLAND GP	GROUP	\N	6341	143	\N	9999-12-31	2013-05-08
9/2-11	1159.000000	1233.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6341	152	23	9999-12-31	2013-05-08
9/2-11	2492.000000	2574.000000	TAU FM	FORMATION	BOKNFJORD GP	6341	164	15	9999-12-31	2013-05-08
9/2-11	745.000000	880.000000	TOR FM	FORMATION	SHETLAND GP	6341	171	143	9999-12-31	2013-05-08
9/2-11	2629.000000	2861.000000	VESTLAND GP	GROUP	\N	6341	186	\N	9999-12-31	2013-05-08
9/2-11	665.000000	671.000000	VÅLE FM	FORMATION	ROGALAND GP	6341	190	131	9999-12-31	2013-05-08
9/2-11	1233.000000	2101.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6341	198	23	9999-12-31	2013-05-08
25/10-10	1768.000000	1784.000000	BALDER FM	FORMATION	ROGALAND GP	6345	6	131	9999-12-31	2013-05-08
25/10-10	1793.000000	1813.000000	BALDER FM	FORMATION	ROGALAND GP	6345	6	131	9999-12-31	2013-05-08
25/10-10	1784.000000	1793.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	6345	7	131	9999-12-31	2013-05-08
25/10-10	1505.000000	1518.000000	GRID FM	FORMATION	HORDALAND GP	6345	53	67	9999-12-31	2013-05-08
25/10-10	1856.000000	1913.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6345	62	131	9999-12-31	2013-05-08
25/10-10	1940.000000	1991.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6345	62	131	9999-12-31	2013-05-08
25/10-10	777.000000	1768.000000	HORDALAND GP	GROUP	\N	6345	67	\N	9999-12-31	2013-05-08
25/10-10	1851.000000	1856.000000	LISTA FM	FORMATION	ROGALAND GP	6345	95	131	9999-12-31	2013-05-08
25/10-10	1913.000000	1940.000000	LISTA FM	FORMATION	ROGALAND GP	6345	95	131	9999-12-31	2013-05-08
25/10-10	1991.000000	2036.000000	LISTA FM	FORMATION	ROGALAND GP	6345	95	131	9999-12-31	2013-05-08
25/10-10	710.000000	777.000000	NO FORMAL NAME	FORMATION	\N	6345	111	\N	9999-12-31	2013-05-08
25/10-10	1127.000000	1259.000000	NO FORMAL NAME	FORMATION	\N	6345	111	\N	9999-12-31	2013-05-08
25/10-10	1270.000000	1505.000000	NO FORMAL NAME	FORMATION	\N	6345	111	\N	9999-12-31	2013-05-08
25/10-10	1518.000000	1768.000000	NO FORMAL NAME	FORMATION	\N	6345	111	\N	9999-12-31	2013-05-08
25/10-10	2432.000000	2488.000000	NO FORMAL NAME	FORMATION	\N	6345	111	\N	9999-12-31	2013-05-08
25/10-10	164.000000	777.000000	NORDLAND GP	GROUP	\N	6345	113	\N	9999-12-31	2013-05-08
25/10-10	1768.000000	2069.000000	ROGALAND GP	GROUP	\N	6345	131	\N	9999-12-31	2013-05-08
25/10-10	1813.000000	1851.000000	SELE FM	FORMATION	ROGALAND GP	6345	142	131	9999-12-31	2013-05-08
25/10-10	2069.000000	2072.000000	SHETLAND GP	GROUP	\N	6345	143	\N	9999-12-31	2013-05-08
25/10-10	777.000000	1127.000000	SKADE FM	FORMATION	HORDALAND GP	6345	145	67	9999-12-31	2013-05-08
25/10-10	1259.000000	1270.000000	SKADE FM	FORMATION	HORDALAND GP	6345	145	67	9999-12-31	2013-05-08
25/10-10	2173.000000	2368.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6345	146	61	9999-12-31	2013-05-08
25/10-10	2368.000000	2432.000000	SMITH BANK FM	FORMATION	HEGRE GP	6345	149	61	9999-12-31	2013-05-08
25/10-10	2072.000000	2173.000000	STATFJORD FM	FORMATION	\N	6345	157	\N	9999-12-31	2013-05-08
25/10-10	2069.000000	2072.000000	TOR FM	FORMATION	SHETLAND GP	6345	171	143	9999-12-31	2013-05-08
25/10-10	2036.000000	2069.000000	TY FM	FORMATION	ROGALAND GP	6345	176	131	9999-12-31	2013-05-08
25/10-10	575.000000	710.000000	UTSIRA FM	FORMATION	NORDLAND GP	6345	183	113	9999-12-31	2013-05-08
25/10-10	2488.000000	2513.000000	ZECHSTEIN GP	GROUP	\N	6345	194	\N	9999-12-31	2013-05-08
25/10-10	2072.000000	2173.000000	NO GROUP DEFINED	GROUP	\N	6345	208	\N	9999-12-31	2013-05-08
25/10-10	2173.000000	2488.000000	NO GROUP DEFINED	GROUP	\N	6345	208	\N	9999-12-31	2013-05-08
2/2-6	2860.000000	2898.000000	BALDER FM	FORMATION	ROGALAND GP	6346	6	131	9999-12-31	2013-05-08
2/2-6	3486.000000	3585.000000	CROMER KNOLL GP	GROUP	\N	6346	23	\N	9999-12-31	2013-05-08
2/2-6	3016.000000	3094.000000	EKOFISK FM	FORMATION	SHETLAND GP	6346	33	143	9999-12-31	2013-05-08
2/2-6	3588.000000	4105.000000	FARSUND FM	FORMATION	TYNE GP	6346	39	177	9999-12-31	2013-05-08
2/2-6	3436.000000	3486.000000	HOD FM	FORMATION	SHETLAND GP	6346	66	143	9999-12-31	2013-05-08
2/2-6	1765.000000	2860.000000	HORDALAND GP	GROUP	\N	6346	67	\N	9999-12-31	2013-05-08
2/2-6	2946.000000	2964.000000	LISTA FM	FORMATION	ROGALAND GP	6346	95	131	9999-12-31	2013-05-08
2/2-6	3585.000000	3588.000000	MANDAL FM	FORMATION	TYNE GP	6346	101	177	9999-12-31	2013-05-08
2/2-6	2319.000000	2860.000000	NO FORMAL NAME	FORMATION	\N	6346	111	\N	9999-12-31	2013-05-08
2/2-6	106.000000	1765.000000	NORDLAND GP	GROUP	\N	6346	113	\N	9999-12-31	2013-05-08
2/2-6	2860.000000	3016.000000	ROGALAND GP	GROUP	\N	6346	131	\N	9999-12-31	2013-05-08
2/2-6	2898.000000	2946.000000	SELE FM	FORMATION	ROGALAND GP	6346	142	131	9999-12-31	2013-05-08
2/2-6	3016.000000	3486.000000	SHETLAND GP	GROUP	\N	6346	143	\N	9999-12-31	2013-05-08
2/2-6	3094.000000	3436.000000	TOR FM	FORMATION	SHETLAND GP	6346	171	143	9999-12-31	2013-05-08
2/2-6	3500.000000	3503.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	6346	175	23	9999-12-31	2013-05-08
2/2-6	3585.000000	4105.000000	TYNE GP	GROUP	\N	6346	177	\N	9999-12-31	2013-05-08
2/2-6	3486.000000	3500.000000	UNDIFFERENTIATED	FORMATION	\N	6346	182	\N	9999-12-31	2013-05-08
2/2-6	2302.000000	2319.000000	VADE FM	FORMATION	HORDALAND GP	6346	184	67	9999-12-31	2013-05-08
2/2-6	2964.000000	3016.000000	VÅLE FM	FORMATION	ROGALAND GP	6346	190	131	9999-12-31	2013-05-08
2/2-6	3503.000000	3585.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6346	198	23	9999-12-31	2013-05-08
6603/5-1 S	1668.000000	2323.000000	BRYGGE FM	FORMATION	HORDALAND GP	6348	18	67	9999-12-31	2013-05-08
6603/5-1 S	3245.000000	5254.000000	CROMER KNOLL GP	GROUP	\N	6348	23	\N	9999-12-31	2013-05-08
6603/5-1 S	1668.000000	2323.000000	HORDALAND GP	GROUP	\N	6348	67	\N	9999-12-31	2013-05-08
6603/5-1 S	3116.000000	3245.000000	KVITNOS FM	FORMATION	SHETLAND GP	6348	91	143	9999-12-31	2013-05-08
6603/5-1 S	3744.000000	5254.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6348	94	23	9999-12-31	2013-05-08
6603/5-1 S	3245.000000	3744.000000	LYSING FM	FORMATION	CROMER KNOLL GP	6348	99	23	9999-12-31	2013-05-08
6603/5-1 S	1486.000000	1668.000000	NAUST FM	FORMATION	NORDLAND GP	6348	109	113	9999-12-31	2013-05-08
6603/5-1 S	2813.000000	3116.000000	NISE FM	FORMATION	SHETLAND GP	6348	112	143	9999-12-31	2013-05-08
6603/5-1 S	1486.000000	1668.000000	NORDLAND GP	GROUP	\N	6348	113	\N	9999-12-31	2013-05-08
6603/5-1 S	2323.000000	2415.000000	ROGALAND GP	GROUP	\N	6348	131	\N	9999-12-31	2013-05-08
6603/5-1 S	2415.000000	3245.000000	SHETLAND GP	GROUP	\N	6348	143	\N	9999-12-31	2013-05-08
6603/5-1 S	2415.000000	2813.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6348	156	143	9999-12-31	2013-05-08
6603/5-1 S	2365.000000	2415.000000	TANG FM	FORMATION	ROGALAND GP	6348	161	131	9999-12-31	2013-05-08
6603/5-1 S	2323.000000	2365.000000	TARE FM	FORMATION	ROGALAND GP	6348	163	131	9999-12-31	2013-05-08
6406/3-8	1850.000000	2299.000000	BRYGGE FM	FORMATION	HORDALAND GP	6350	18	67	9999-12-31	2013-05-08
6406/3-8	4041.000000	4216.000000	BÅT GP	GROUP	\N	6350	22	\N	9999-12-31	2013-05-08
6406/3-8	3244.000000	3783.000000	CROMER KNOLL GP	GROUP	\N	6350	23	\N	9999-12-31	2013-05-08
6406/3-8	3841.000000	4041.000000	FANGST GP	GROUP	\N	6350	38	\N	9999-12-31	2013-05-08
6406/3-8	3841.000000	3940.000000	GARN FM	FORMATION	FANGST GP	6350	48	38	9999-12-31	2013-05-08
6406/3-8	1850.000000	2299.000000	HORDALAND GP	GROUP	\N	6350	67	\N	9999-12-31	2013-05-08
6406/3-8	3976.000000	4041.000000	ILE FM	FORMATION	FANGST GP	6350	70	38	9999-12-31	2013-05-08
6406/3-8	1485.000000	1850.000000	KAI FM	FORMATION	NORDLAND GP	6350	77	113	9999-12-31	2013-05-08
6406/3-8	2777.000000	3244.000000	KVITNOS FM	FORMATION	SHETLAND GP	6350	91	143	9999-12-31	2013-05-08
6406/3-8	3303.000000	3783.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6350	94	23	9999-12-31	2013-05-08
6406/3-8	3244.000000	3303.000000	LYSING FM	FORMATION	CROMER KNOLL GP	6350	99	23	9999-12-31	2013-05-08
6406/3-8	3795.000000	3841.000000	MELKE FM	FORMATION	VIKING GP	6350	105	188	9999-12-31	2013-05-08
6406/3-8	332.000000	1485.000000	NAUST FM	FORMATION	NORDLAND GP	6350	109	113	9999-12-31	2013-05-08
6406/3-8	2586.000000	2777.000000	NISE FM	FORMATION	SHETLAND GP	6350	112	143	9999-12-31	2013-05-08
6406/3-8	332.000000	1850.000000	NORDLAND GP	GROUP	\N	6350	113	\N	9999-12-31	2013-05-08
6406/3-8	3940.000000	3976.000000	NOT FM	FORMATION	FANGST GP	6350	120	38	9999-12-31	2013-05-08
6406/3-8	2299.000000	2424.000000	ROGALAND GP	GROUP	\N	6350	131	\N	9999-12-31	2013-05-08
6406/3-8	4041.000000	4166.000000	ROR FM	FORMATION	BÅT GP	6350	135	22	9999-12-31	2013-05-08
6406/3-8	2424.000000	3244.000000	SHETLAND GP	GROUP	\N	6350	143	\N	9999-12-31	2013-05-08
6406/3-8	3783.000000	3795.000000	SPEKK FM	FORMATION	VIKING GP	6350	155	188	9999-12-31	2013-05-08
6406/3-8	2424.000000	2586.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6350	156	143	9999-12-31	2013-05-08
6406/3-8	2358.000000	2424.000000	TANG FM	FORMATION	ROGALAND GP	6350	161	131	9999-12-31	2013-05-08
6406/3-8	2299.000000	2358.000000	TARE FM	FORMATION	ROGALAND GP	6350	163	131	9999-12-31	2013-05-08
6406/3-8	4166.000000	4216.000000	TILJE FM	FORMATION	BÅT GP	6350	169	22	9999-12-31	2013-05-08
6406/3-8	3783.000000	3841.000000	VIKING GP	GROUP	\N	6350	188	\N	9999-12-31	2013-05-08
6407/2-6 S	1344.000000	2027.000000	BRYGGE FM	FORMATION	HORDALAND GP	6351	18	67	9999-12-31	2013-05-08
6407/2-6 S	2917.000000	3230.000000	BÅT GP	GROUP	\N	6351	22	\N	9999-12-31	2013-05-08
6407/2-6 S	2760.000000	2909.000000	CROMER KNOLL GP	GROUP	\N	6351	23	\N	9999-12-31	2013-05-08
6407/2-6 S	1344.000000	2027.000000	HORDALAND GP	GROUP	\N	6351	67	\N	9999-12-31	2013-05-08
6407/2-6 S	1278.000000	1344.000000	KAI FM	FORMATION	NORDLAND GP	6351	77	113	9999-12-31	2013-05-08
6407/2-6 S	2480.000000	2760.000000	KVITNOS FM	FORMATION	SHETLAND GP	6351	91	143	9999-12-31	2013-05-08
6407/2-6 S	2760.000000	2863.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6351	94	23	9999-12-31	2013-05-08
6407/2-6 S	2863.000000	2909.000000	LYR FM	FORMATION	CROMER KNOLL GP	6351	98	23	9999-12-31	2013-05-08
6407/2-6 S	274.000000	1278.000000	NAUST FM	FORMATION	NORDLAND GP	6351	109	113	9999-12-31	2013-05-08
6407/2-6 S	2304.000000	2480.000000	NISE FM	FORMATION	SHETLAND GP	6351	112	143	9999-12-31	2013-05-08
6407/2-6 S	274.000000	1344.000000	NORDLAND GP	GROUP	\N	6351	113	\N	9999-12-31	2013-05-08
6407/2-6 S	2027.000000	2189.000000	ROGALAND GP	GROUP	\N	6351	131	\N	9999-12-31	2013-05-08
6407/2-6 S	2942.000000	2993.000000	ROR FM	FORMATION	BÅT GP	6351	135	22	9999-12-31	2013-05-08
6407/2-6 S	2189.000000	2760.000000	SHETLAND GP	GROUP	\N	6351	143	\N	9999-12-31	2013-05-08
6407/2-6 S	2909.000000	2917.000000	SPEKK FM	FORMATION	VIKING GP	6351	155	188	9999-12-31	2013-05-08
6407/2-6 S	2189.000000	2304.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6351	156	143	9999-12-31	2013-05-08
6407/2-6 S	2094.000000	2189.000000	TANG FM	FORMATION	ROGALAND GP	6351	161	131	9999-12-31	2013-05-08
6407/2-6 S	2027.000000	2094.000000	TARE FM	FORMATION	ROGALAND GP	6351	163	131	9999-12-31	2013-05-08
6407/2-6 S	2993.000000	3148.000000	TILJE FM	FORMATION	BÅT GP	6351	169	22	9999-12-31	2013-05-08
6407/2-6 S	2917.000000	2942.000000	TOFTE FM	FORMATION	BÅT GP	6351	170	22	9999-12-31	2013-05-08
6407/2-6 S	2909.000000	2917.000000	VIKING GP	GROUP	\N	6351	188	\N	9999-12-31	2013-05-08
6407/2-6 S	3148.000000	3230.000000	ÅRE FM	FORMATION	BÅT GP	6351	197	22	9999-12-31	2013-05-08
34/5-1 A	1890.000000	1922.000000	BALDER FM	FORMATION	ROGALAND GP	6352	6	131	9999-12-31	2013-05-08
34/5-1 A	4356.000000	4416.000000	BURTON FM	FORMATION	DUNLIN GP	6352	20	29	9999-12-31	2013-05-08
34/5-1 A	4070.000000	4082.000000	CROMER KNOLL GP	GROUP	\N	6352	23	\N	9999-12-31	2013-05-08
34/5-1 A	4274.000000	4356.000000	COOK FM	FORMATION	DUNLIN GP	6352	24	29	9999-12-31	2013-05-08
34/5-1 A	4152.000000	4274.000000	DRAKE FM	FORMATION	DUNLIN GP	6352	27	29	9999-12-31	2013-05-08
34/5-1 A	4152.000000	4416.000000	DUNLIN GP	GROUP	\N	6352	29	\N	9999-12-31	2013-05-08
34/5-1 A	4082.000000	4129.000000	HEATHER FM	FORMATION	VIKING GP	6352	60	188	9999-12-31	2013-05-08
34/5-1 A	1450.000000	1890.000000	HORDALAND GP	GROUP	\N	6352	67	\N	9999-12-31	2013-05-08
34/5-1 A	2010.000000	2241.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6352	74	143	9999-12-31	2013-05-08
34/5-1 A	2241.000000	3802.000000	KYRRE FM	FORMATION	SHETLAND GP	6352	92	143	9999-12-31	2013-05-08
34/5-1 A	1922.000000	2010.000000	LISTA FM	FORMATION	ROGALAND GP	6352	95	131	9999-12-31	2013-05-08
34/5-1 A	4070.000000	4082.000000	MIME FM	FORMATION	CROMER KNOLL GP	6352	106	23	9999-12-31	2013-05-08
34/5-1 A	1435.000000	1450.000000	NO FORMAL NAME	FORMATION	\N	6352	111	\N	9999-12-31	2013-05-08
34/5-1 A	1561.000000	1568.000000	NO FORMAL NAME	FORMATION	\N	6352	111	\N	9999-12-31	2013-05-08
34/5-1 A	1568.000000	1890.000000	NO FORMAL NAME	FORMATION	\N	6352	111	\N	9999-12-31	2013-05-08
34/5-1 A	412.000000	1450.000000	NORDLAND GP	GROUP	\N	6352	113	\N	9999-12-31	2013-05-08
34/5-1 A	1890.000000	2010.000000	ROGALAND GP	GROUP	\N	6352	131	\N	9999-12-31	2013-05-08
34/5-1 A	2010.000000	4070.000000	SHETLAND GP	GROUP	\N	6352	143	\N	9999-12-31	2013-05-08
34/5-1 A	3802.000000	4070.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6352	173	143	9999-12-31	2013-05-08
34/5-1 A	1333.000000	1435.000000	UTSIRA FM	FORMATION	NORDLAND GP	6352	183	113	9999-12-31	2013-05-08
34/5-1 A	4082.000000	4129.000000	VIKING GP	GROUP	\N	6352	188	\N	9999-12-31	2013-05-08
34/5-1 A	4129.000000	4152.000000	NO GROUP DEFINED	GROUP	\N	6352	208	\N	9999-12-31	2013-05-08
15/3-9	2209.000000	2259.000000	BALDER FM	FORMATION	ROGALAND GP	6354	6	131	9999-12-31	2013-05-08
15/3-9	3615.000000	3625.000000	BLODØKS FM	FORMATION	SHETLAND GP	6354	13	143	9999-12-31	2013-05-08
15/3-9	3721.000000	3975.000000	CROMER KNOLL GP	GROUP	\N	6354	23	\N	9999-12-31	2013-05-08
15/3-9	3975.000000	4322.000000	DRAUPNE FM	FORMATION	VIKING GP	6354	28	188	9999-12-31	2013-05-08
15/3-9	2714.000000	2792.000000	EKOFISK FM	FORMATION	SHETLAND GP	6354	33	143	9999-12-31	2013-05-08
15/3-9	1521.000000	2209.000000	GRID FM	FORMATION	HORDALAND GP	6354	53	67	9999-12-31	2013-05-08
15/3-9	4322.000000	4475.000000	HEATHER FM	FORMATION	VIKING GP	6354	60	188	9999-12-31	2013-05-08
15/3-9	2439.000000	2610.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6354	62	131	9999-12-31	2013-05-08
15/3-9	875.000000	2209.000000	HORDALAND GP	GROUP	\N	6354	67	\N	9999-12-31	2013-05-08
15/3-9	4475.000000	4614.000000	HUGIN FM	FORMATION	VESTLAND GP	6354	69	186	9999-12-31	2013-05-08
15/3-9	2792.000000	3137.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6354	74	143	9999-12-31	2013-05-08
15/3-9	3137.000000	3304.000000	KYRRE FM	FORMATION	SHETLAND GP	6354	92	143	9999-12-31	2013-05-08
15/3-9	2300.000000	2439.000000	LISTA FM	FORMATION	ROGALAND GP	6354	95	131	9999-12-31	2013-05-08
15/3-9	131.000000	875.000000	NORDLAND GP	GROUP	\N	6354	113	\N	9999-12-31	2013-05-08
15/3-9	2209.000000	2714.000000	ROGALAND GP	GROUP	\N	6354	131	\N	9999-12-31	2013-05-08
15/3-9	3721.000000	3812.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6354	137	23	9999-12-31	2013-05-08
15/3-9	2259.000000	2300.000000	SELE FM	FORMATION	ROGALAND GP	6354	142	131	9999-12-31	2013-05-08
15/3-9	2714.000000	3721.000000	SHETLAND GP	GROUP	\N	6354	143	\N	9999-12-31	2013-05-08
15/3-9	1109.000000	1521.000000	SKADE FM	FORMATION	HORDALAND GP	6354	145	67	9999-12-31	2013-05-08
15/3-9	4614.000000	4654.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6354	148	186	9999-12-31	2013-05-08
15/3-9	3812.000000	3839.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6354	152	23	9999-12-31	2013-05-08
15/3-9	3625.000000	3721.000000	SVARTE FM	FORMATION	SHETLAND GP	6354	160	143	9999-12-31	2013-05-08
15/3-9	3304.000000	3615.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6354	173	143	9999-12-31	2013-05-08
15/3-9	2610.000000	2714.000000	TY FM	FORMATION	ROGALAND GP	6354	176	131	9999-12-31	2013-05-08
15/3-9	678.000000	875.000000	UTSIRA FM	FORMATION	NORDLAND GP	6354	183	113	9999-12-31	2013-05-08
15/3-9	4475.000000	4654.000000	VESTLAND GP	GROUP	\N	6354	186	\N	9999-12-31	2013-05-08
15/3-9	3975.000000	4475.000000	VIKING GP	GROUP	\N	6354	188	\N	9999-12-31	2013-05-08
15/3-9	3839.000000	3975.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6354	198	23	9999-12-31	2013-05-08
6604/10-1	2075.000000	2673.000000	BRYGGE FM	FORMATION	HORDALAND GP	6356	18	67	9999-12-31	2013-05-08
6604/10-1	2075.000000	2673.000000	HORDALAND GP	GROUP	\N	6356	67	\N	9999-12-31	2013-05-08
6604/10-1	1578.000000	2075.000000	KAI FM	FORMATION	NORDLAND GP	6356	77	113	9999-12-31	2013-05-08
6604/10-1	1385.000000	1578.000000	NAUST FM	FORMATION	NORDLAND GP	6356	109	113	9999-12-31	2013-05-08
6604/10-1	3597.000000	3645.000000	NO FORMAL NAME	FORMATION	\N	6356	111	\N	9999-12-31	2013-05-08
6604/10-1	1385.000000	2075.000000	NORDLAND GP	GROUP	\N	6356	113	\N	9999-12-31	2013-05-08
6604/10-1	2673.000000	3371.000000	ROGALAND GP	GROUP	\N	6356	131	\N	9999-12-31	2013-05-08
6604/10-1	3371.000000	3715.000000	SHETLAND GP	GROUP	\N	6356	143	\N	9999-12-31	2013-05-08
6604/10-1	3371.000000	3597.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6356	156	143	9999-12-31	2013-05-08
6604/10-1	3645.000000	3715.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6356	156	143	9999-12-31	2013-05-08
6604/10-1	2950.000000	3371.000000	TANG FM	FORMATION	ROGALAND GP	6356	161	131	9999-12-31	2013-05-08
6604/10-1	2673.000000	2950.000000	TARE FM	FORMATION	ROGALAND GP	6356	163	131	9999-12-31	2013-05-08
16/1-11 A	1994.000000	2031.000000	BALDER FM	FORMATION	ROGALAND GP	6364	6	131	9999-12-31	2013-05-08
16/1-11 A	2283.000000	2320.000000	CROMER KNOLL GP	GROUP	\N	6364	23	\N	9999-12-31	2013-05-08
16/1-11 A	2320.000000	2396.000000	DRAUPNE FM	FORMATION	VIKING GP	6364	28	188	9999-12-31	2013-05-08
16/1-11 A	2262.000000	2283.000000	EKOFISK FM	FORMATION	SHETLAND GP	6364	33	143	9999-12-31	2013-05-08
16/1-11 A	1609.000000	1738.000000	GRID FM	FORMATION	HORDALAND GP	6364	53	67	9999-12-31	2013-05-08
16/1-11 A	2396.000000	2476.000000	HEATHER FM	FORMATION	VIKING GP	6364	60	188	9999-12-31	2013-05-08
16/1-11 A	2152.000000	2207.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6364	62	131	9999-12-31	2013-05-08
16/1-11 A	825.000000	1994.000000	HORDALAND GP	GROUP	\N	6364	67	\N	9999-12-31	2013-05-08
16/1-11 A	2095.000000	2152.000000	LISTA FM	FORMATION	ROGALAND GP	6364	95	131	9999-12-31	2013-05-08
16/1-11 A	2207.000000	2262.000000	LISTA FM	FORMATION	ROGALAND GP	6364	95	131	9999-12-31	2013-05-08
16/1-11 A	811.000000	825.000000	NO FORMAL NAME	FORMATION	\N	6364	111	\N	9999-12-31	2013-05-08
16/1-11 A	837.000000	939.000000	NO FORMAL NAME	FORMATION	\N	6364	111	\N	9999-12-31	2013-05-08
16/1-11 A	1226.000000	1609.000000	NO FORMAL NAME	FORMATION	\N	6364	111	\N	9999-12-31	2013-05-08
16/1-11 A	1738.000000	1994.000000	NO FORMAL NAME	FORMATION	\N	6364	111	\N	9999-12-31	2013-05-08
16/1-11 A	141.000000	825.000000	NORDLAND GP	GROUP	\N	6364	113	\N	9999-12-31	2013-05-08
16/1-11 A	1994.000000	2262.000000	ROGALAND GP	GROUP	\N	6364	131	\N	9999-12-31	2013-05-08
16/1-11 A	2031.000000	2095.000000	SELE FM	FORMATION	ROGALAND GP	6364	142	131	9999-12-31	2013-05-08
16/1-11 A	2262.000000	2283.000000	SHETLAND GP	GROUP	\N	6364	143	\N	9999-12-31	2013-05-08
16/1-11 A	825.000000	837.000000	SKADE FM	FORMATION	HORDALAND GP	6364	145	67	9999-12-31	2013-05-08
16/1-11 A	939.000000	1226.000000	SKADE FM	FORMATION	HORDALAND GP	6364	145	67	9999-12-31	2013-05-08
16/1-11 A	2501.000000	2595.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6364	146	61	9999-12-31	2013-05-08
16/1-11 A	2476.000000	2501.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6364	148	186	9999-12-31	2013-05-08
16/1-11 A	754.000000	811.000000	UTSIRA FM	FORMATION	NORDLAND GP	6364	183	113	9999-12-31	2013-05-08
16/1-11 A	2476.000000	2501.000000	VESTLAND GP	GROUP	\N	6364	186	\N	9999-12-31	2013-05-08
16/1-11 A	2320.000000	2476.000000	VIKING GP	GROUP	\N	6364	188	\N	9999-12-31	2013-05-08
16/1-11 A	2283.000000	2320.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6364	198	23	9999-12-31	2013-05-08
16/1-11 A	2501.000000	2595.000000	NO GROUP DEFINED	GROUP	\N	6364	208	\N	9999-12-31	2013-05-08
6507/7-14 S	1910.000000	2035.000000	BRYGGE FM	FORMATION	HORDALAND GP	6367	18	67	9999-12-31	2013-05-08
6507/7-14 S	4378.000000	4534.000000	BÅT GP	GROUP	\N	6367	22	\N	9999-12-31	2013-05-08
6507/7-14 S	2973.000000	3767.000000	CROMER KNOLL GP	GROUP	\N	6367	23	\N	9999-12-31	2013-05-08
6507/7-14 S	4219.000000	4378.000000	FANGST GP	GROUP	\N	6367	38	\N	9999-12-31	2013-05-08
6507/7-14 S	4219.000000	4306.000000	GARN FM	FORMATION	FANGST GP	6367	48	38	9999-12-31	2013-05-08
6507/7-14 S	1910.000000	2035.000000	HORDALAND GP	GROUP	\N	6367	67	\N	9999-12-31	2013-05-08
6507/7-14 S	4313.000000	4378.000000	ILE FM	FORMATION	FANGST GP	6367	70	38	9999-12-31	2013-05-08
6507/7-14 S	1479.000000	1910.000000	KAI FM	FORMATION	NORDLAND GP	6367	77	113	9999-12-31	2013-05-08
6507/7-14 S	3036.000000	3767.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6367	94	23	9999-12-31	2013-05-08
6507/7-14 S	2972.000000	2973.000000	LYSING FM	FORMATION	CROMER KNOLL GP	6367	99	23	9999-12-31	2013-05-08
6507/7-14 S	3790.000000	4219.000000	MELKE FM	FORMATION	VIKING GP	6367	105	188	9999-12-31	2013-05-08
6507/7-14 S	369.000000	1479.000000	NAUST FM	FORMATION	NORDLAND GP	6367	109	113	9999-12-31	2013-05-08
6507/7-14 S	2471.000000	2972.000000	NISE FM	FORMATION	SHETLAND GP	6367	112	143	9999-12-31	2013-05-08
6507/7-14 S	369.000000	1910.000000	NORDLAND GP	GROUP	\N	6367	113	\N	9999-12-31	2013-05-08
6507/7-14 S	4306.000000	4313.000000	NOT FM	FORMATION	FANGST GP	6367	120	38	9999-12-31	2013-05-08
6507/7-14 S	2035.000000	2148.000000	ROGALAND GP	GROUP	\N	6367	131	\N	9999-12-31	2013-05-08
6507/7-14 S	4378.000000	4478.000000	ROR FM	FORMATION	BÅT GP	6367	135	22	9999-12-31	2013-05-08
6507/7-14 S	2148.000000	2973.000000	SHETLAND GP	GROUP	\N	6367	143	\N	9999-12-31	2013-05-08
6507/7-14 S	3767.000000	3790.000000	SPEKK FM	FORMATION	VIKING GP	6367	155	188	9999-12-31	2013-05-08
6507/7-14 S	2148.000000	2471.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6367	156	143	9999-12-31	2013-05-08
6507/7-14 S	2087.000000	2148.000000	TANG FM	FORMATION	ROGALAND GP	6367	161	131	9999-12-31	2013-05-08
6507/7-14 S	2035.000000	2087.000000	TARE FM	FORMATION	ROGALAND GP	6367	163	131	9999-12-31	2013-05-08
6507/7-14 S	4478.000000	4534.000000	TILJE FM	FORMATION	BÅT GP	6367	169	22	9999-12-31	2013-05-08
6507/7-14 S	3767.000000	4219.000000	VIKING GP	GROUP	\N	6367	188	\N	9999-12-31	2013-05-08
25/1-11 R	2205.000000	2220.000000	BALDER FM	FORMATION	ROGALAND GP	6368	6	131	9999-12-31	2013-05-08
25/1-11 R	2118.000000	2205.000000	FRIGG FM	FORMATION	HORDALAND GP	6368	45	67	9999-12-31	2013-05-08
25/1-11 R	1479.000000	1486.000000	GRID FM	FORMATION	HORDALAND GP	6368	53	67	9999-12-31	2013-05-08
25/1-11 R	2281.000000	2338.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6368	62	131	9999-12-31	2013-05-08
25/1-11 R	2244.000000	2253.000000	HERMOD FM	FORMATION	ROGALAND GP	6368	64	131	9999-12-31	2013-05-08
25/1-11 R	998.000000	2205.000000	HORDALAND GP	GROUP	\N	6368	67	\N	9999-12-31	2013-05-08
25/1-11 R	2253.000000	2281.000000	LISTA FM	FORMATION	ROGALAND GP	6368	95	131	9999-12-31	2013-05-08
25/1-11 R	1486.000000	2118.000000	NO FORMAL NAME	FORMATION	\N	6368	111	\N	9999-12-31	2013-05-08
25/1-11 R	147.000000	998.000000	NORDLAND GP	GROUP	\N	6368	113	\N	9999-12-31	2013-05-08
25/1-11 R	2205.000000	2338.000000	ROGALAND GP	GROUP	\N	6368	131	\N	9999-12-31	2013-05-08
25/1-11 R	2220.000000	2244.000000	SELE FM	FORMATION	ROGALAND GP	6368	142	131	9999-12-31	2013-05-08
25/1-11 R	253.000000	998.000000	UTSIRA FM	FORMATION	NORDLAND GP	6368	183	113	9999-12-31	2013-05-08
6407/12-3	678.000000	1169.000000	BRYGGE FM	FORMATION	HORDALAND GP	6370	18	67	9999-12-31	2013-05-08
6407/12-3	1486.000000	1630.000000	CROMER KNOLL GP	GROUP	\N	6370	23	\N	9999-12-31	2013-05-08
6407/12-3	1828.000000	1968.000000	FANGST GP	GROUP	\N	6370	38	\N	9999-12-31	2013-05-08
6407/12-3	1828.000000	1890.000000	GARN FM	FORMATION	FANGST GP	6370	48	38	9999-12-31	2013-05-08
6407/12-3	678.000000	1169.000000	HORDALAND GP	GROUP	\N	6370	67	\N	9999-12-31	2013-05-08
6407/12-3	1921.000000	1968.000000	ILE FM	FORMATION	FANGST GP	6370	70	38	9999-12-31	2013-05-08
6407/12-3	558.000000	678.000000	KAI FM	FORMATION	NORDLAND GP	6370	77	113	9999-12-31	2013-05-08
6407/12-3	1486.000000	1598.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6370	94	23	9999-12-31	2013-05-08
6407/12-3	1598.000000	1630.000000	LYR FM	FORMATION	CROMER KNOLL GP	6370	98	23	9999-12-31	2013-05-08
6407/12-3	1781.000000	1816.000000	INTRA MELKE FM SS	FORMATION	VIKING GP	6370	104	188	9999-12-31	2013-05-08
6407/12-3	1727.000000	1781.000000	MELKE FM	FORMATION	VIKING GP	6370	105	188	9999-12-31	2013-05-08
6407/12-3	1816.000000	1828.000000	MELKE FM	FORMATION	VIKING GP	6370	105	188	9999-12-31	2013-05-08
6407/12-3	306.000000	558.000000	NAUST FM	FORMATION	NORDLAND GP	6370	109	113	9999-12-31	2013-05-08
6407/12-3	306.000000	678.000000	NORDLAND GP	GROUP	\N	6370	113	\N	9999-12-31	2013-05-08
6407/12-3	1890.000000	1921.000000	NOT FM	FORMATION	FANGST GP	6370	120	38	9999-12-31	2013-05-08
6407/12-3	1169.000000	1486.000000	ROGALAND GP	GROUP	\N	6370	131	\N	9999-12-31	2013-05-08
6407/12-3	1630.000000	1727.000000	SPEKK FM	FORMATION	VIKING GP	6370	155	188	9999-12-31	2013-05-08
6407/12-3	1286.000000	1486.000000	TANG FM	FORMATION	ROGALAND GP	6370	161	131	9999-12-31	2013-05-08
6407/12-3	1169.000000	1286.000000	TARE FM	FORMATION	ROGALAND GP	6370	163	131	9999-12-31	2013-05-08
6407/12-3	1630.000000	1828.000000	VIKING GP	GROUP	\N	6370	188	\N	9999-12-31	2013-05-08
16/2-6	1468.000000	1493.000000	BALDER FM	FORMATION	ROGALAND GP	6374	6	131	9999-12-31	2013-05-08
16/2-6	1775.000000	1777.000000	BLODØKS FM	FORMATION	SHETLAND GP	6374	13	143	9999-12-31	2013-05-08
16/2-6	1805.000000	1926.000000	CROMER KNOLL GP	GROUP	\N	6374	23	\N	9999-12-31	2013-05-08
16/2-6	1931.000000	1938.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	6374	26	188	9999-12-31	2013-05-08
16/2-6	1926.000000	1931.000000	DRAUPNE FM	FORMATION	VIKING GP	6374	28	188	9999-12-31	2013-05-08
16/2-6	1938.000000	1942.000000	DRAUPNE FM	FORMATION	VIKING GP	6374	28	188	9999-12-31	2013-05-08
16/2-6	1628.000000	1639.000000	EKOFISK FM	FORMATION	SHETLAND GP	6374	33	143	9999-12-31	2013-05-08
16/2-6	1669.000000	1775.000000	HOD FM	FORMATION	SHETLAND GP	6374	66	143	9999-12-31	2013-05-08
16/2-6	939.000000	1468.000000	HORDALAND GP	GROUP	\N	6374	67	\N	9999-12-31	2013-05-08
16/2-6	1505.000000	1604.000000	LISTA FM	FORMATION	ROGALAND GP	6374	95	131	9999-12-31	2013-05-08
16/2-6	876.000000	939.000000	NO FORMAL NAME	FORMATION	\N	6374	111	\N	9999-12-31	2013-05-08
16/2-6	1097.000000	1468.000000	NO FORMAL NAME	FORMATION	\N	6374	111	\N	9999-12-31	2013-05-08
16/2-6	141.000000	939.000000	NORDLAND GP	GROUP	\N	6374	113	\N	9999-12-31	2013-05-08
16/2-6	1468.000000	1628.000000	ROGALAND GP	GROUP	\N	6374	131	\N	9999-12-31	2013-05-08
16/2-6	1805.000000	1907.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6374	137	23	9999-12-31	2013-05-08
16/2-6	1493.000000	1505.000000	SELE FM	FORMATION	ROGALAND GP	6374	142	131	9999-12-31	2013-05-08
16/2-6	1628.000000	1805.000000	SHETLAND GP	GROUP	\N	6374	143	\N	9999-12-31	2013-05-08
16/2-6	939.000000	1097.000000	SKADE FM	FORMATION	HORDALAND GP	6374	145	67	9999-12-31	2013-05-08
16/2-6	1955.000000	2075.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6374	146	61	9999-12-31	2013-05-08
16/2-6	1907.000000	1912.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6374	152	23	9999-12-31	2013-05-08
16/2-6	1777.000000	1805.000000	SVARTE FM	FORMATION	SHETLAND GP	6374	160	143	9999-12-31	2013-05-08
16/2-6	1639.000000	1669.000000	TOR FM	FORMATION	SHETLAND GP	6374	171	143	9999-12-31	2013-05-08
16/2-6	829.000000	876.000000	UTSIRA FM	FORMATION	NORDLAND GP	6374	183	113	9999-12-31	2013-05-08
16/2-6	1942.000000	1955.000000	VESTLAND GP	GROUP	\N	6374	186	\N	9999-12-31	2013-05-08
16/2-6	1926.000000	1942.000000	VIKING GP	GROUP	\N	6374	188	\N	9999-12-31	2013-05-08
16/2-6	1604.000000	1628.000000	VÅLE FM	FORMATION	ROGALAND GP	6374	190	131	9999-12-31	2013-05-08
16/2-6	2075.000000	2131.000000	ZECHSTEIN GP	GROUP	\N	6374	194	\N	2012-10-29	2013-05-08
16/2-6	1912.000000	1926.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6374	198	23	9999-12-31	2013-05-08
16/2-6	1955.000000	2075.000000	NO GROUP DEFINED	GROUP	\N	6374	208	\N	9999-12-31	2013-05-08
25/1-11 A	2290.000000	2308.000000	BALDER FM	FORMATION	ROGALAND GP	6376	6	131	9999-12-31	2013-05-08
25/1-11 A	2234.000000	2290.000000	FRIGG FM	FORMATION	HORDALAND GP	6376	45	67	9999-12-31	2013-05-08
25/1-11 A	1509.000000	1519.000000	GRID FM	FORMATION	HORDALAND GP	6376	53	67	9999-12-31	2013-05-08
25/1-11 A	2390.000000	2410.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6376	62	131	9999-12-31	2013-05-08
25/1-11 A	2318.000000	2349.000000	HERMOD FM	FORMATION	ROGALAND GP	6376	64	131	9999-12-31	2013-05-08
25/1-11 A	998.000000	2290.000000	HORDALAND GP	GROUP	\N	6376	67	\N	9999-12-31	2013-05-08
25/1-11 A	2349.000000	2390.000000	LISTA FM	FORMATION	ROGALAND GP	6376	95	131	9999-12-31	2013-05-08
25/1-11 A	1519.000000	2234.000000	NO FORMAL NAME	FORMATION	\N	6376	111	\N	9999-12-31	2013-05-08
25/1-11 A	147.000000	998.000000	NORDLAND GP	GROUP	\N	6376	113	\N	9999-12-31	2013-05-08
25/1-11 A	2290.000000	2410.000000	ROGALAND GP	GROUP	\N	6376	131	\N	9999-12-31	2013-05-08
25/1-11 A	2308.000000	2318.000000	SELE FM	FORMATION	ROGALAND GP	6376	142	131	9999-12-31	2013-05-08
25/1-11 A	253.000000	998.000000	UTSIRA FM	FORMATION	NORDLAND GP	6376	183	113	9999-12-31	2013-05-08
15/9-24	2131.000000	2166.000000	BALDER FM	FORMATION	ROGALAND GP	6381	6	131	9999-12-31	2013-05-08
15/9-24	2323.000000	2329.000000	EKOFISK FM	FORMATION	SHETLAND GP	6381	33	143	9999-12-31	2013-05-08
15/9-24	1023.000000	2131.000000	HORDALAND GP	GROUP	\N	6381	67	\N	9999-12-31	2013-05-08
15/9-24	2244.000000	2317.000000	LISTA FM	FORMATION	ROGALAND GP	6381	95	131	9999-12-31	2013-05-08
15/9-24	1292.000000	2131.000000	NO FORMAL NAME	FORMATION	\N	6381	111	\N	9999-12-31	2013-05-08
15/9-24	106.000000	1023.000000	NORDLAND GP	GROUP	\N	6381	113	\N	9999-12-31	2013-05-08
15/9-24	2131.000000	2323.000000	ROGALAND GP	GROUP	\N	6381	131	\N	9999-12-31	2013-05-08
15/9-24	2166.000000	2244.000000	SELE FM	FORMATION	ROGALAND GP	6381	142	131	9999-12-31	2013-05-08
15/9-24	2323.000000	2400.000000	SHETLAND GP	GROUP	\N	6381	143	\N	9999-12-31	2013-05-08
15/9-24	1200.000000	1292.000000	SKADE FM	FORMATION	HORDALAND GP	6381	145	67	9999-12-31	2013-05-08
15/9-24	2329.000000	2400.000000	TOR FM	FORMATION	SHETLAND GP	6381	171	143	9999-12-31	2013-05-08
15/9-24	887.000000	1023.000000	UTSIRA FM	FORMATION	NORDLAND GP	6381	183	113	9999-12-31	2013-05-08
15/9-24	2317.000000	2323.000000	VÅLE FM	FORMATION	ROGALAND GP	6381	190	131	9999-12-31	2013-05-08
16/7-9	1811.000000	1858.000000	BALDER FM	FORMATION	ROGALAND GP	6382	6	131	9999-12-31	2013-05-08
16/7-9	2291.000000	2467.000000	CROMER KNOLL GP	GROUP	\N	6382	23	\N	9999-12-31	2013-05-08
16/7-9	2500.000000	2515.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	6382	26	188	9999-12-31	2013-05-08
16/7-9	2467.000000	2500.000000	DRAUPNE FM	FORMATION	VIKING GP	6382	28	188	9999-12-31	2013-05-08
16/7-9	2000.000000	2033.000000	EKOFISK FM	FORMATION	SHETLAND GP	6382	33	143	9999-12-31	2013-05-08
16/7-9	2201.000000	2291.000000	HOD FM	FORMATION	SHETLAND GP	6382	66	143	9999-12-31	2013-05-08
16/7-9	1021.000000	1811.000000	HORDALAND GP	GROUP	\N	6382	67	\N	9999-12-31	2013-05-08
16/7-9	1879.000000	1986.000000	LISTA FM	FORMATION	ROGALAND GP	6382	95	131	9999-12-31	2013-05-08
16/7-9	952.000000	1021.000000	NO FORMAL NAME	FORMATION	\N	6382	111	\N	9999-12-31	2013-05-08
16/7-9	1050.000000	1811.000000	NO FORMAL NAME	FORMATION	\N	6382	111	\N	9999-12-31	2013-05-08
16/7-9	104.000000	1021.000000	NORDLAND GP	GROUP	\N	6382	113	\N	9999-12-31	2013-05-08
16/7-9	1811.000000	2000.000000	ROGALAND GP	GROUP	\N	6382	131	\N	9999-12-31	2013-05-08
16/7-9	2291.000000	2315.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6382	137	23	9999-12-31	2013-05-08
16/7-9	1858.000000	1879.000000	SELE FM	FORMATION	ROGALAND GP	6382	142	131	9999-12-31	2013-05-08
16/7-9	2000.000000	2291.000000	SHETLAND GP	GROUP	\N	6382	143	\N	9999-12-31	2013-05-08
16/7-9	1021.000000	1050.000000	SKADE FM	FORMATION	HORDALAND GP	6382	145	67	9999-12-31	2013-05-08
16/7-9	2515.000000	2553.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6382	146	61	9999-12-31	2013-05-08
16/7-9	2553.000000	2665.000000	SMITH BANK FM	FORMATION	HEGRE GP	6382	149	61	9999-12-31	2013-05-08
16/7-9	2315.000000	2345.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6382	152	23	9999-12-31	2013-05-08
16/7-9	2033.000000	2201.000000	TOR FM	FORMATION	SHETLAND GP	6382	171	143	9999-12-31	2013-05-08
16/7-9	895.000000	952.000000	UTSIRA FM	FORMATION	NORDLAND GP	6382	183	113	9999-12-31	2013-05-08
16/7-9	2467.000000	2515.000000	VIKING GP	GROUP	\N	6382	188	\N	9999-12-31	2013-05-08
16/7-9	1986.000000	2000.000000	VÅLE FM	FORMATION	ROGALAND GP	6382	190	131	9999-12-31	2013-05-08
16/7-9	2345.000000	2467.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6382	198	23	9999-12-31	2013-05-08
16/7-9	2515.000000	2665.000000	NO GROUP DEFINED	GROUP	\N	6382	208	\N	9999-12-31	2013-05-08
16/1-14	1962.000000	1998.000000	BALDER FM	FORMATION	ROGALAND GP	6399	6	131	9999-12-31	2013-05-08
16/1-14	1999.000000	2023.000000	BALDER FM	FORMATION	ROGALAND GP	6399	6	131	9999-12-31	2013-05-08
16/1-14	1998.000000	1999.000000	INTRA BALDER FM SS	FORMATION	ROGALAND GP	6399	7	131	9999-12-31	2013-05-08
16/1-14	2168.000000	2236.000000	CROMER KNOLL GP	GROUP	\N	6399	23	\N	9999-12-31	2013-05-08
16/1-14	2236.000000	2251.000000	INTRA DRAUPNE FM SS	FORMATION	VIKING GP	6399	26	188	9999-12-31	2013-05-08
16/1-14	2251.000000	2392.000000	DRAUPNE FM	FORMATION	VIKING GP	6399	28	188	9999-12-31	2013-05-08
16/1-14	2162.000000	2168.000000	EKOFISK FM	FORMATION	SHETLAND GP	6399	33	143	9999-12-31	2013-05-08
16/1-14	1607.000000	1798.000000	GRID FM	FORMATION	HORDALAND GP	6399	53	67	9999-12-31	2013-05-08
16/1-14	2392.000000	2472.000000	HEATHER FM	FORMATION	VIKING GP	6399	60	188	9999-12-31	2013-05-08
16/1-14	2094.000000	2108.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6399	62	131	9999-12-31	2013-05-08
16/1-14	951.000000	1962.000000	HORDALAND GP	GROUP	\N	6399	67	\N	9999-12-31	2013-05-08
16/1-14	2472.000000	2496.000000	HUGIN FM	FORMATION	VESTLAND GP	6399	69	186	9999-12-31	2013-05-08
16/1-14	2056.000000	2094.000000	LISTA FM	FORMATION	ROGALAND GP	6399	95	131	9999-12-31	2013-05-08
16/1-14	2108.000000	2135.000000	LISTA FM	FORMATION	ROGALAND GP	6399	95	131	9999-12-31	2013-05-08
16/1-14	886.000000	951.000000	NO FORMAL NAME	FORMATION	\N	6399	111	\N	9999-12-31	2013-05-08
16/1-14	1244.000000	1607.000000	NO FORMAL NAME	FORMATION	\N	6399	111	\N	9999-12-31	2013-05-08
16/1-14	1798.000000	1962.000000	NO FORMAL NAME	FORMATION	\N	6399	111	\N	9999-12-31	2013-05-08
16/1-14	136.000000	951.000000	NORDLAND GP	GROUP	\N	6399	113	\N	9999-12-31	2013-05-08
16/1-14	1962.000000	2162.000000	ROGALAND GP	GROUP	\N	6399	131	\N	9999-12-31	2013-05-08
16/1-14	2023.000000	2056.000000	SELE FM	FORMATION	ROGALAND GP	6399	142	131	9999-12-31	2013-05-08
16/1-14	2162.000000	2168.000000	SHETLAND GP	GROUP	\N	6399	143	\N	9999-12-31	2013-05-08
16/1-14	951.000000	1244.000000	SKADE FM	FORMATION	HORDALAND GP	6399	145	67	9999-12-31	2013-05-08
16/1-14	2496.000000	2550.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6399	146	61	9999-12-31	2013-05-08
16/1-14	2135.000000	2145.000000	TY FM	FORMATION	ROGALAND GP	6399	176	131	9999-12-31	2013-05-08
16/1-14	783.000000	886.000000	UTSIRA FM	FORMATION	NORDLAND GP	6399	183	113	9999-12-31	2013-05-08
16/1-14	2472.000000	2496.000000	VESTLAND GP	GROUP	\N	6399	186	\N	9999-12-31	2013-05-08
16/1-14	2236.000000	2472.000000	VIKING GP	GROUP	\N	6399	188	\N	9999-12-31	2013-05-08
16/1-14	2145.000000	2162.000000	VÅLE FM	FORMATION	ROGALAND GP	6399	190	131	9999-12-31	2013-05-08
16/1-14	2168.000000	2174.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6399	198	23	9999-12-31	2013-05-08
16/1-14	2205.000000	2236.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6399	198	23	9999-12-31	2013-05-08
16/1-14	2496.000000	2550.000000	NO GROUP DEFINED	GROUP	\N	6399	208	\N	9999-12-31	2013-05-08
16/1-14	2174.000000	2205.000000	INTRA ÅSGARD FM SS	FORMATION	CROMER KNOLL GP	6399	210	23	9999-12-31	2013-05-08
15/12-23 A	2445.000000	2472.000000	BALDER FM	FORMATION	ROGALAND GP	6404	6	131	9999-12-31	2013-05-08
15/12-23 A	4108.000000	4168.000000	BLODØKS FM	FORMATION	SHETLAND GP	6404	13	143	9999-12-31	2013-05-08
15/12-23 A	4270.000000	4345.000000	CROMER KNOLL GP	GROUP	\N	6404	23	\N	9999-12-31	2013-05-08
15/12-23 A	4345.000000	4428.000000	DRAUPNE FM	FORMATION	VIKING GP	6404	28	188	9999-12-31	2013-05-08
15/12-23 A	2801.000000	2815.000000	EKOFISK FM	FORMATION	SHETLAND GP	6404	33	143	9999-12-31	2013-05-08
15/12-23 A	1212.000000	1279.000000	GRID FM	FORMATION	HORDALAND GP	6404	53	67	9999-12-31	2013-05-08
15/12-23 A	4490.000000	4603.000000	INTRA HEATHER FM SS	FORMATION	VIKING GP	6404	59	188	9999-12-31	2013-05-08
15/12-23 A	4428.000000	4490.000000	HEATHER FM	FORMATION	VIKING GP	6404	60	188	9999-12-31	2013-05-08
15/12-23 A	4168.000000	4270.000000	HIDRA FM	FORMATION	SHETLAND GP	6404	65	143	9999-12-31	2013-05-08
15/12-23 A	3897.000000	4108.000000	HOD FM	FORMATION	SHETLAND GP	6404	66	143	9999-12-31	2013-05-08
15/12-23 A	1116.000000	2445.000000	HORDALAND GP	GROUP	\N	6404	67	\N	9999-12-31	2013-05-08
15/12-23 A	4603.000000	4632.000000	HUGIN FM	FORMATION	VESTLAND GP	6404	69	186	9999-12-31	2013-05-08
15/12-23 A	2582.000000	2796.000000	LISTA FM	FORMATION	ROGALAND GP	6404	95	131	9999-12-31	2013-05-08
15/12-23 A	1111.000000	1116.000000	NO FORMAL NAME	FORMATION	\N	6404	111	\N	9999-12-31	2013-05-08
15/12-23 A	1279.000000	2445.000000	NO FORMAL NAME	FORMATION	\N	6404	111	\N	9999-12-31	2013-05-08
15/12-23 A	113.000000	1116.000000	NORDLAND GP	GROUP	\N	6404	113	\N	9999-12-31	2013-05-08
15/12-23 A	2445.000000	2801.000000	ROGALAND GP	GROUP	\N	6404	131	\N	9999-12-31	2013-05-08
15/12-23 A	4270.000000	4295.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6404	137	23	9999-12-31	2013-05-08
15/12-23 A	2472.000000	2582.000000	SELE FM	FORMATION	ROGALAND GP	6404	142	131	9999-12-31	2013-05-08
15/12-23 A	2801.000000	4270.000000	SHETLAND GP	GROUP	\N	6404	143	\N	9999-12-31	2013-05-08
15/12-23 A	4632.000000	4772.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6404	148	186	9999-12-31	2013-05-08
15/12-23 A	4295.000000	4312.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6404	152	23	9999-12-31	2013-05-08
15/12-23 A	2815.000000	3897.000000	TOR FM	FORMATION	SHETLAND GP	6404	171	143	9999-12-31	2013-05-08
15/12-23 A	4312.000000	4329.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	6404	175	23	9999-12-31	2013-05-08
15/12-23 A	916.000000	1111.000000	UTSIRA FM	FORMATION	NORDLAND GP	6404	183	113	9999-12-31	2013-05-08
15/12-23 A	4603.000000	4772.000000	VESTLAND GP	GROUP	\N	6404	186	\N	9999-12-31	2013-05-08
15/12-23 A	4345.000000	4603.000000	VIKING GP	GROUP	\N	6404	188	\N	9999-12-31	2013-05-08
15/12-23 A	2796.000000	2801.000000	VÅLE FM	FORMATION	ROGALAND GP	6404	190	131	9999-12-31	2013-05-08
15/12-23 A	4329.000000	4345.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6404	198	23	9999-12-31	2013-05-08
25/5-7	2135.000000	2155.000000	BALDER FM	FORMATION	ROGALAND GP	6423	6	131	9999-12-31	2013-05-08
25/5-7	2685.000000	2712.000000	BRENT GP	GROUP	\N	6423	16	\N	9999-12-31	2013-05-08
25/5-7	2647.000000	2677.000000	DRAUPNE FM	FORMATION	VIKING GP	6423	28	188	9999-12-31	2013-05-08
25/5-7	2712.000000	2995.000000	DUNLIN GP	GROUP	\N	6423	29	\N	9999-12-31	2013-05-08
25/5-7	1243.000000	1294.000000	GRID FM	FORMATION	HORDALAND GP	6423	53	67	9999-12-31	2013-05-08
25/5-7	1314.000000	1407.000000	GRID FM	FORMATION	HORDALAND GP	6423	53	67	9999-12-31	2013-05-08
25/5-7	2677.000000	2685.000000	HEATHER FM	FORMATION	VIKING GP	6423	60	188	9999-12-31	2013-05-08
25/5-7	2995.000000	3045.000000	HEGRE GP	GROUP	\N	6423	61	\N	9999-12-31	2013-05-08
25/5-7	964.000000	1294.000000	HORDALAND GP	GROUP	\N	6423	67	\N	9999-12-31	2013-05-08
25/5-7	1294.000000	1407.000000	HORDALAND GP	GROUP	\N	6423	67	\N	9999-12-31	2013-05-08
25/5-7	1407.000000	2135.000000	HORDALAND GP	GROUP	\N	6423	67	\N	9999-12-31	2013-05-08
25/5-7	2189.000000	2333.000000	LISTA FM	FORMATION	ROGALAND GP	6423	95	131	9999-12-31	2013-05-08
25/5-7	141.000000	964.000000	NORDLAND GP	GROUP	\N	6423	113	\N	9999-12-31	2013-05-08
25/5-7	2135.000000	2489.000000	ROGALAND GP	GROUP	\N	6423	131	\N	9999-12-31	2013-05-08
25/5-7	2155.000000	2189.000000	SELE FM	FORMATION	ROGALAND GP	6423	142	131	9999-12-31	2013-05-08
25/5-7	2489.000000	2647.000000	SHETLAND GP	GROUP	\N	6423	143	\N	9999-12-31	2013-05-08
25/5-7	2391.000000	2489.000000	TY FM	FORMATION	ROGALAND GP	6423	176	131	9999-12-31	2013-05-08
25/5-7	326.000000	964.000000	UTSIRA FM	FORMATION	NORDLAND GP	6423	183	113	9999-12-31	2013-05-08
25/5-7	2647.000000	2685.000000	VIKING GP	GROUP	\N	6423	188	\N	9999-12-31	2013-05-08
25/5-7	2333.000000	2391.000000	VÅLE FM	FORMATION	ROGALAND GP	6423	190	131	9999-12-31	2013-05-08
35/1-2 S	3983.000000	4142.000000	AMUNDSEN FM	FORMATION	DUNLIN GP	6427	4	29	9999-12-31	2013-05-08
35/1-2 S	2001.000000	2049.000000	BALDER FM	FORMATION	ROGALAND GP	6427	6	131	9999-12-31	2013-05-08
35/1-2 S	3608.000000	3618.000000	BLODØKS FM	FORMATION	SHETLAND GP	6427	13	143	9999-12-31	2013-05-08
35/1-2 S	3961.000000	3983.000000	BURTON FM	FORMATION	DUNLIN GP	6427	20	29	9999-12-31	2013-05-08
35/1-2 S	3618.000000	3624.000000	CROMER KNOLL GP	GROUP	\N	6427	23	\N	9999-12-31	2013-05-08
35/1-2 S	3923.000000	3961.000000	COOK FM	FORMATION	DUNLIN GP	6427	24	29	9999-12-31	2013-05-08
35/1-2 S	3638.000000	3923.000000	DRAKE FM	FORMATION	DUNLIN GP	6427	27	29	9999-12-31	2013-05-08
35/1-2 S	3638.000000	4142.000000	DUNLIN GP	GROUP	\N	6427	29	\N	9999-12-31	2013-05-08
35/1-2 S	3624.000000	3638.000000	HEATHER FM	FORMATION	VIKING GP	6427	60	188	9999-12-31	2013-05-08
35/1-2 S	1628.000000	2001.000000	HORDALAND GP	GROUP	\N	6427	67	\N	9999-12-31	2013-05-08
35/1-2 S	2155.000000	2277.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6427	74	143	9999-12-31	2013-05-08
35/1-2 S	2277.000000	3608.000000	KYRRE FM	FORMATION	SHETLAND GP	6427	92	143	9999-12-31	2013-05-08
35/1-2 S	2062.000000	2151.000000	LISTA FM	FORMATION	ROGALAND GP	6427	95	131	9999-12-31	2013-05-08
35/1-2 S	3618.000000	3624.000000	MIME FM	FORMATION	CROMER KNOLL GP	6427	106	23	9999-12-31	2013-05-08
35/1-2 S	433.000000	1628.000000	NORDLAND GP	GROUP	\N	6427	113	\N	9999-12-31	2013-05-08
35/1-2 S	2001.000000	2155.000000	ROGALAND GP	GROUP	\N	6427	131	\N	9999-12-31	2013-05-08
35/1-2 S	2049.000000	2062.000000	SELE FM	FORMATION	ROGALAND GP	6427	142	131	9999-12-31	2013-05-08
35/1-2 S	2155.000000	3618.000000	SHETLAND GP	GROUP	\N	6427	143	\N	9999-12-31	2013-05-08
35/1-2 S	4142.000000	4202.000000	STATFJORD FM	FORMATION	\N	6427	157	\N	9999-12-31	2013-05-08
35/1-2 S	3624.000000	3638.000000	VIKING GP	GROUP	\N	6427	188	\N	9999-12-31	2013-05-08
35/1-2 S	2151.000000	2155.000000	VÅLE FM	FORMATION	ROGALAND GP	6427	190	131	9999-12-31	2013-05-08
35/1-2 S	4142.000000	4202.000000	NO GROUP DEFINED	GROUP	\N	6427	208	\N	9999-12-31	2013-05-08
35/9-6 S	1229.000000	1276.000000	BALDER FM	FORMATION	ROGALAND GP	6429	6	131	9999-12-31	2013-05-08
35/9-6 S	2989.000000	2991.000000	BLODØKS FM	FORMATION	SHETLAND GP	6429	13	143	9999-12-31	2013-05-08
35/9-6 S	3426.000000	3552.000000	BRENT GP	GROUP	\N	6429	16	\N	9999-12-31	2013-05-08
35/9-6 S	3030.000000	3114.000000	CROMER KNOLL GP	GROUP	\N	6429	23	\N	9999-12-31	2013-05-08
35/9-6 S	3624.000000	3691.000000	COOK FM	FORMATION	DUNLIN GP	6429	24	29	9999-12-31	2013-05-08
35/9-6 S	3552.000000	3624.000000	DRAKE FM	FORMATION	DUNLIN GP	6429	27	29	9999-12-31	2013-05-08
35/9-6 S	3552.000000	3710.000000	DUNLIN GP	GROUP	\N	6429	29	\N	9999-12-31	2013-05-08
35/9-6 S	3505.000000	3515.000000	ETIVE FM	FORMATION	BRENT GP	6429	35	16	9999-12-31	2013-05-08
35/9-6 S	989.000000	1229.000000	FRIGG FM	FORMATION	HORDALAND GP	6429	45	67	9999-12-31	2013-05-08
35/9-6 S	790.000000	989.000000	GRID FM	FORMATION	HORDALAND GP	6429	53	67	9999-12-31	2013-05-08
35/9-6 S	3114.000000	3426.000000	HEATHER FM	FORMATION	VIKING GP	6429	60	188	9999-12-31	2013-05-08
35/9-6 S	3710.000000	3740.000000	HEGRE GP	GROUP	\N	6429	61	\N	9999-12-31	2013-05-08
35/9-6 S	1677.000000	1841.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6429	74	143	9999-12-31	2013-05-08
35/9-6 S	1841.000000	2802.000000	KYRRE FM	FORMATION	SHETLAND GP	6429	92	143	9999-12-31	2013-05-08
35/9-6 S	1323.000000	1628.000000	LISTA FM	FORMATION	ROGALAND GP	6429	95	131	9999-12-31	2013-05-08
35/9-6 S	3710.000000	3740.000000	LUNDE FM	FORMATION	HEGRE GP	6429	97	61	9999-12-31	2013-05-08
35/9-6 S	3486.000000	3505.000000	NESS FM	FORMATION	BRENT GP	6429	110	16	9999-12-31	2013-05-08
35/9-6 S	394.000000	1229.000000	NORDLAND GP	GROUP	\N	6429	113	\N	9999-12-31	2013-05-08
35/9-6 S	3515.000000	3552.000000	RANNOCH FM	FORMATION	BRENT GP	6429	126	16	9999-12-31	2013-05-08
35/9-6 S	1229.000000	1677.000000	ROGALAND GP	GROUP	\N	6429	131	\N	9999-12-31	2013-05-08
35/9-6 S	3030.000000	3114.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6429	137	23	9999-12-31	2013-05-08
35/9-6 S	1276.000000	1323.000000	SELE FM	FORMATION	ROGALAND GP	6429	142	131	9999-12-31	2013-05-08
35/9-6 S	1677.000000	3030.000000	SHETLAND GP	GROUP	\N	6429	143	\N	9999-12-31	2013-05-08
35/9-6 S	605.000000	790.000000	SKADE FM	FORMATION	HORDALAND GP	6429	145	67	9999-12-31	2013-05-08
35/9-6 S	3691.000000	3710.000000	STATFJORD FM	FORMATION	\N	6429	157	\N	9999-12-31	2013-05-08
35/9-6 S	2991.000000	3030.000000	SVARTE FM	FORMATION	SHETLAND GP	6429	160	143	9999-12-31	2013-05-08
35/9-6 S	3426.000000	3486.000000	TARBERT FM	FORMATION	BRENT GP	6429	162	16	9999-12-31	2013-05-08
35/9-6 S	2802.000000	2989.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6429	173	143	9999-12-31	2013-05-08
35/9-6 S	1628.000000	1677.000000	TY FM	FORMATION	ROGALAND GP	6429	176	131	9999-12-31	2013-05-08
35/9-6 S	561.000000	605.000000	UTSIRA FM	FORMATION	NORDLAND GP	6429	183	113	9999-12-31	2013-05-08
35/9-6 S	3114.000000	3426.000000	VIKING GP	GROUP	\N	6429	188	\N	9999-12-31	2013-05-08
6305/4-2 S	1771.000000	2389.000000	BRYGGE FM	FORMATION	HORDALAND GP	6441	18	67	9999-12-31	2013-05-08
6305/4-2 S	2835.000000	2878.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	6441	31	131	9999-12-31	2013-05-08
6305/4-2 S	1771.000000	2389.000000	HORDALAND GP	GROUP	\N	6441	67	\N	9999-12-31	2013-05-08
6305/4-2 S	1718.000000	1771.000000	KAI FM	FORMATION	NORDLAND GP	6441	77	113	9999-12-31	2013-05-08
6305/4-2 S	1122.000000	1718.000000	NAUST FM	FORMATION	NORDLAND GP	6441	109	113	9999-12-31	2013-05-08
6305/4-2 S	2938.000000	2985.000000	NISE FM	FORMATION	SHETLAND GP	6441	112	143	9999-12-31	2013-05-08
6305/4-2 S	1122.000000	1771.000000	NORDLAND GP	GROUP	\N	6441	113	\N	9999-12-31	2013-05-08
6305/4-2 S	2389.000000	2878.000000	ROGALAND GP	GROUP	\N	6441	131	\N	9999-12-31	2013-05-08
6305/4-2 S	2878.000000	2985.000000	SHETLAND GP	GROUP	\N	6441	143	\N	9999-12-31	2013-05-08
6305/4-2 S	2878.000000	2938.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6441	156	143	9999-12-31	2013-05-08
6305/4-2 S	2389.000000	2567.000000	TANG FM	FORMATION	ROGALAND GP	6441	161	131	9999-12-31	2013-05-08
6305/4-2 S	2567.000000	2835.000000	TARE FM	FORMATION	ROGALAND GP	6441	163	131	9999-12-31	2013-05-08
34/4-13 S	1853.000000	1909.000000	BALDER FM	FORMATION	ROGALAND GP	6442	6	131	9999-12-31	2013-05-08
34/4-13 S	4499.000000	4905.000000	BRENT GP	GROUP	\N	6442	16	\N	9999-12-31	2013-05-08
34/4-13 S	4352.000000	4422.000000	CROMER KNOLL GP	GROUP	\N	6442	23	\N	9999-12-31	2013-05-08
34/4-13 S	4422.000000	4472.000000	DRAUPNE FM	FORMATION	VIKING GP	6442	28	188	9999-12-31	2013-05-08
34/4-13 S	4472.000000	4499.000000	HEATHER FM	FORMATION	VIKING GP	6442	60	188	9999-12-31	2013-05-08
34/4-13 S	4905.000000	5010.000000	HEGRE GP	GROUP	\N	6442	61	\N	9999-12-31	2013-05-08
34/4-13 S	1305.000000	1853.000000	HORDALAND GP	GROUP	\N	6442	67	\N	9999-12-31	2013-05-08
34/4-13 S	2063.000000	2400.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6442	74	143	9999-12-31	2013-05-08
34/4-13 S	2400.000000	4171.000000	KYRRE FM	FORMATION	SHETLAND GP	6442	92	143	9999-12-31	2013-05-08
34/4-13 S	1980.000000	2063.000000	LISTA FM	FORMATION	ROGALAND GP	6442	95	131	9999-12-31	2013-05-08
34/4-13 S	4905.000000	5010.000000	LUNDE FM	FORMATION	HEGRE GP	6442	97	61	9999-12-31	2013-05-08
34/4-13 S	392.000000	1305.000000	NORDLAND GP	GROUP	\N	6442	113	\N	9999-12-31	2013-05-08
34/4-13 S	1853.000000	2063.000000	ROGALAND GP	GROUP	\N	6442	131	\N	9999-12-31	2013-05-08
34/4-13 S	1909.000000	1980.000000	SELE FM	FORMATION	ROGALAND GP	6442	142	131	9999-12-31	2013-05-08
34/4-13 S	2063.000000	4352.000000	SHETLAND GP	GROUP	\N	6442	143	\N	9999-12-31	2013-05-08
34/4-13 S	4800.000000	4905.000000	STATFJORD FM	FORMATION	\N	6442	157	\N	9999-12-31	2013-05-08
34/4-13 S	4171.000000	4352.000000	SVARTE FM	FORMATION	SHETLAND GP	6442	160	143	9999-12-31	2013-05-08
34/4-13 S	1163.000000	1305.000000	UTSIRA FM	FORMATION	NORDLAND GP	6442	183	113	9999-12-31	2013-05-08
34/4-13 S	4422.000000	4499.000000	VIKING GP	GROUP	\N	6442	188	\N	9999-12-31	2013-05-08
7119/12-4	1116.000000	2296.000000	ADVENTDALEN GP	GROUP	\N	6468	1	\N	9999-12-31	2013-05-08
7119/12-4	2808.000000	2917.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	6468	46	79	9999-12-31	2013-05-08
7119/12-4	2238.000000	2296.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	6468	47	1	9999-12-31	2013-05-08
7119/12-4	2058.000000	2238.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	6468	63	1	9999-12-31	2013-05-08
7119/12-4	2296.000000	2917.000000	KAPP TOSCANA GP	GROUP	\N	6468	79	\N	9999-12-31	2013-05-08
7119/12-4	1955.000000	2058.000000	KNURR FM	FORMATION	ADVENTDALEN GP	6468	82	1	9999-12-31	2013-05-08
7119/12-4	1636.000000	1955.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	6468	84	1	9999-12-31	2013-05-08
7119/12-4	1116.000000	1636.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	6468	85	1	9999-12-31	2013-05-08
7119/12-4	215.000000	472.000000	NORDLAND GP	GROUP	\N	6468	113	\N	9999-12-31	2013-05-08
7119/12-4	2448.000000	2660.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	6468	118	79	9999-12-31	2013-05-08
7119/12-4	612.000000	1116.000000	NYGRUNNEN GP	GROUP	\N	6468	122	\N	9999-12-31	2013-05-08
7119/12-4	472.000000	612.000000	SOTBAKKEN GP	GROUP	\N	6468	154	\N	9999-12-31	2013-05-08
7119/12-4	2296.000000	2448.000000	STØ FM	FORMATION	KAPP TOSCANA GP	6468	159	79	9999-12-31	2013-05-08
7119/12-4	472.000000	612.000000	TORSK FM	FORMATION	SOTBAKKEN GP	6468	172	154	9999-12-31	2013-05-08
7119/12-4	2660.000000	2808.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	6468	174	79	9999-12-31	2013-05-08
3/8-1	2643.000000	2665.000000	BALDER FM	FORMATION	ROGALAND GP	6476	6	131	9999-12-31	2013-05-08
3/8-1	3130.000000	3286.000000	CROMER KNOLL GP	GROUP	\N	6476	23	\N	9999-12-31	2013-05-08
3/8-1	2762.000000	2824.000000	EKOFISK FM	FORMATION	SHETLAND GP	6476	33	143	9999-12-31	2013-05-08
3/8-1	3305.000000	3465.000000	FARSUND FM	FORMATION	TYNE GP	6476	39	177	9999-12-31	2013-05-08
3/8-1	3465.000000	3563.000000	HAUGESUND FM	FORMATION	TYNE GP	6476	57	177	9999-12-31	2013-05-08
3/8-1	3114.000000	3130.000000	HIDRA FM	FORMATION	SHETLAND GP	6476	65	143	9999-12-31	2013-05-08
3/8-1	2961.000000	3114.000000	HOD FM	FORMATION	SHETLAND GP	6476	66	143	9999-12-31	2013-05-08
3/8-1	1215.000000	2643.000000	HORDALAND GP	GROUP	\N	6476	67	\N	9999-12-31	2013-05-08
3/8-1	4019.000000	4021.000000	KUPFERSCHIEFER FM	FORMATION	ZECHSTEIN GP	6476	88	194	9999-12-31	2013-05-08
3/8-1	2683.000000	2719.000000	LISTA FM	FORMATION	ROGALAND GP	6476	95	131	9999-12-31	2013-05-08
3/8-1	3286.000000	3305.000000	MANDAL FM	FORMATION	TYNE GP	6476	101	177	9999-12-31	2013-05-08
3/8-1	108.000000	1215.000000	NORDLAND GP	GROUP	\N	6476	113	\N	9999-12-31	2013-05-08
3/8-1	2643.000000	2762.000000	ROGALAND GP	GROUP	\N	6476	131	\N	9999-12-31	2013-05-08
3/8-1	4021.000000	4070.000000	ROTLIEGEND GP	GROUP	\N	6476	136	\N	9999-12-31	2013-05-08
3/8-1	2665.000000	2683.000000	SELE FM	FORMATION	ROGALAND GP	6476	142	131	9999-12-31	2013-05-08
3/8-1	2762.000000	3130.000000	SHETLAND GP	GROUP	\N	6476	143	\N	9999-12-31	2013-05-08
3/8-1	3130.000000	3162.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6476	152	23	9999-12-31	2013-05-08
3/8-1	2824.000000	2961.000000	TOR FM	FORMATION	SHETLAND GP	6476	171	143	9999-12-31	2013-05-08
3/8-1	3162.000000	3208.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	6476	175	23	9999-12-31	2013-05-08
3/8-1	2719.000000	2744.000000	TY FM	FORMATION	ROGALAND GP	6476	176	131	9999-12-31	2013-05-08
3/8-1	3286.000000	3563.000000	TYNE GP	GROUP	\N	6476	177	\N	9999-12-31	2013-05-08
3/8-1	2744.000000	2762.000000	VÅLE FM	FORMATION	ROGALAND GP	6476	190	131	9999-12-31	2013-05-08
3/8-1	3563.000000	4021.000000	ZECHSTEIN GP	GROUP	\N	6476	194	\N	9999-12-31	2013-05-08
3/8-1	3208.000000	3286.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6476	198	23	9999-12-31	2013-05-08
7120/12-5	826.000000	2165.000000	ADVENTDALEN GP	GROUP	\N	6478	1	\N	9999-12-31	2013-05-08
7120/12-5	2407.000000	2582.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	6478	46	79	9999-12-31	2013-05-08
7120/12-5	2153.000000	2165.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	6478	47	1	9999-12-31	2013-05-08
7120/12-5	1963.000000	2153.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	6478	63	1	9999-12-31	2013-05-08
7120/12-5	2165.000000	3572.000000	KAPP TOSCANA GP	GROUP	\N	6478	79	\N	9999-12-31	2013-05-08
7120/12-5	1828.000000	1963.000000	KNURR FM	FORMATION	ADVENTDALEN GP	6478	82	1	9999-12-31	2013-05-08
7120/12-5	3572.000000	3630.000000	KOBBE FM	FORMATION	SASSENDALEN GP	6478	83	140	9999-12-31	2013-05-08
7120/12-5	1399.000000	1828.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	6478	84	1	9999-12-31	2013-05-08
7120/12-5	826.000000	1399.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	6478	85	1	9999-12-31	2013-05-08
7120/12-5	210.000000	766.000000	NORDLAND GP	GROUP	\N	6478	113	\N	9999-12-31	2013-05-08
7120/12-5	2230.000000	2365.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	6478	118	79	9999-12-31	2013-05-08
7120/12-5	766.000000	826.000000	NYGRUNNEN GP	GROUP	\N	6478	122	\N	9999-12-31	2013-05-08
7120/12-5	3572.000000	3630.000000	SASSENDALEN GP	GROUP	\N	6478	140	\N	9999-12-31	2013-05-08
7120/12-5	2582.000000	3572.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	6478	150	79	9999-12-31	2013-05-08
7120/12-5	2165.000000	2230.000000	STØ FM	FORMATION	KAPP TOSCANA GP	6478	159	79	9999-12-31	2013-05-08
7120/12-5	2365.000000	2407.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	6478	174	79	9999-12-31	2013-05-08
7220/8-1	1014.000000	1276.000000	ADVENTDALEN GP	GROUP	\N	6484	1	\N	9999-12-31	2013-05-08
7220/8-1	1628.000000	2122.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	6484	46	79	9999-12-31	2013-05-08
7220/8-1	1252.000000	1276.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	6484	47	1	9999-12-31	2013-05-08
7220/8-1	1276.000000	2222.000000	KAPP TOSCANA GP	GROUP	\N	6484	79	\N	9999-12-31	2013-05-08
7220/8-1	1245.000000	1252.000000	KNURR FM	FORMATION	ADVENTDALEN GP	6484	82	1	9999-12-31	2013-05-08
7220/8-1	1227.000000	1245.000000	KOLJE FM	FORMATION	ADVENTDALEN GP	6484	84	1	9999-12-31	2013-05-08
7220/8-1	1014.000000	1227.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	6484	85	1	9999-12-31	2013-05-08
7220/8-1	397.000000	455.000000	NORDLAND GP	GROUP	\N	6484	113	\N	9999-12-31	2013-05-08
7220/8-1	1354.000000	1511.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	6484	118	79	9999-12-31	2013-05-08
7220/8-1	2122.000000	2222.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	6484	150	79	9999-12-31	2013-05-08
7220/8-1	455.000000	1014.000000	SOTBAKKEN GP	GROUP	\N	6484	154	\N	9999-12-31	2013-05-08
7220/8-1	1276.000000	1354.000000	STØ FM	FORMATION	KAPP TOSCANA GP	6484	159	79	9999-12-31	2013-05-08
7220/8-1	455.000000	1014.000000	TORSK FM	FORMATION	SOTBAKKEN GP	6484	172	154	9999-12-31	2013-05-08
7220/8-1	1511.000000	1628.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	6484	174	79	9999-12-31	2013-05-08
15/6-11 S	2110.000000	2168.000000	BALDER FM	FORMATION	ROGALAND GP	6488	6	131	9999-12-31	2013-05-08
15/6-11 S	3497.000000	3502.000000	BLODØKS FM	FORMATION	SHETLAND GP	6488	13	143	9999-12-31	2013-05-08
15/6-11 S	3549.000000	3612.000000	CROMER KNOLL GP	GROUP	\N	6488	23	\N	9999-12-31	2013-05-08
15/6-11 S	3947.000000	3970.000000	COOK FM	FORMATION	DUNLIN GP	6488	24	29	9999-12-31	2013-05-08
15/6-11 S	3612.000000	3725.000000	DRAUPNE FM	FORMATION	VIKING GP	6488	28	188	9999-12-31	2013-05-08
15/6-11 S	3947.000000	3970.000000	DUNLIN GP	GROUP	\N	6488	29	\N	2013-01-18	2013-05-08
15/6-11 S	2755.000000	2802.000000	EKOFISK FM	FORMATION	SHETLAND GP	6488	33	143	9999-12-31	2013-05-08
15/6-11 S	1748.000000	2110.000000	GRID FM	FORMATION	HORDALAND GP	6488	53	67	9999-12-31	2013-05-08
15/6-11 S	3725.000000	3869.000000	HEATHER FM	FORMATION	VIKING GP	6488	60	188	9999-12-31	2013-05-08
15/6-11 S	2240.000000	2634.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6488	62	131	9999-12-31	2013-05-08
15/6-11 S	3502.000000	3549.000000	HIDRA FM	FORMATION	SHETLAND GP	6488	65	143	9999-12-31	2013-05-08
15/6-11 S	3130.000000	3497.000000	HOD FM	FORMATION	SHETLAND GP	6488	66	143	9999-12-31	2013-05-08
15/6-11 S	996.000000	2110.000000	HORDALAND GP	GROUP	\N	6488	67	\N	9999-12-31	2013-05-08
15/6-11 S	3869.000000	3921.000000	HUGIN FM	FORMATION	VESTLAND GP	6488	69	186	9999-12-31	2013-05-08
15/6-11 S	2215.000000	2240.000000	LISTA FM	FORMATION	ROGALAND GP	6488	95	131	9999-12-31	2013-05-08
15/6-11 S	137.000000	996.000000	NORDLAND GP	GROUP	\N	6488	113	\N	9999-12-31	2013-05-08
15/6-11 S	2110.000000	2755.000000	ROGALAND GP	GROUP	\N	6488	131	\N	9999-12-31	2013-05-08
15/6-11 S	3549.000000	3595.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6488	137	23	9999-12-31	2013-05-08
15/6-11 S	2168.000000	2215.000000	SELE FM	FORMATION	ROGALAND GP	6488	142	131	9999-12-31	2013-05-08
15/6-11 S	2755.000000	3549.000000	SHETLAND GP	GROUP	\N	6488	143	\N	9999-12-31	2013-05-08
15/6-11 S	1328.000000	1748.000000	SKADE FM	FORMATION	HORDALAND GP	6488	145	67	9999-12-31	2013-05-08
15/6-11 S	3921.000000	3947.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6488	148	186	9999-12-31	2013-05-08
15/6-11 S	3595.000000	3600.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6488	152	23	9999-12-31	2013-05-08
15/6-11 S	3970.000000	4042.000000	STATFJORD FM	FORMATION	\N	6488	157	\N	9999-12-31	2013-05-08
15/6-11 S	2802.000000	3130.000000	TOR FM	FORMATION	SHETLAND GP	6488	171	143	9999-12-31	2013-05-08
15/6-11 S	785.000000	996.000000	UTSIRA FM	FORMATION	NORDLAND GP	6488	183	113	9999-12-31	2013-05-08
15/6-11 S	3869.000000	3947.000000	VESTLAND GP	GROUP	\N	6488	186	\N	9999-12-31	2013-05-08
15/6-11 S	3612.000000	3869.000000	VIKING GP	GROUP	\N	6488	188	\N	9999-12-31	2013-05-08
15/6-11 S	2634.000000	2755.000000	VÅLE FM	FORMATION	ROGALAND GP	6488	190	131	9999-12-31	2013-05-08
15/6-11 S	3600.000000	3612.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6488	198	23	9999-12-31	2013-05-08
15/6-11 S	3970.000000	4042.000000	NO GROUP DEFINED	GROUP	\N	6488	208	\N	9999-12-31	2013-05-08
17/6-1	716.000000	745.000000	BALDER FM	FORMATION	ROGALAND GP	6501	6	131	9999-12-31	2013-05-08
17/6-1	1219.000000	2020.000000	BLODØKS FM	FORMATION	SHETLAND GP	6501	13	143	9999-12-31	2013-05-08
17/6-1	2020.000000	2630.000000	BOKNFJORD GP	GROUP	\N	6501	15	\N	9999-12-31	2013-05-08
17/6-1	2647.000000	2726.000000	BRYNE FM	FORMATION	VESTLAND GP	6501	19	186	9999-12-31	2013-05-08
17/6-1	2542.000000	2630.000000	EGERSUND FM	FORMATION	BOKNFJORD GP	6501	30	15	9999-12-31	2013-05-08
17/6-1	2726.000000	2800.000000	FJERRITSLEV FM	FORMATION	\N	6501	42	\N	9999-12-31	2013-05-08
17/6-1	2020.000000	2116.000000	FLEKKEFJORD FM	FORMATION	BOKNFJORD GP	6501	43	15	9999-12-31	2013-05-08
17/6-1	2800.000000	2988.000000	GASSUM FM	FORMATION	\N	6501	49	\N	9999-12-31	2013-05-08
17/6-1	340.000000	716.000000	HORDALAND GP	GROUP	\N	6501	67	\N	9999-12-31	2013-05-08
17/6-1	789.000000	865.000000	LISTA FM	FORMATION	ROGALAND GP	6501	95	131	9999-12-31	2013-05-08
17/6-1	290.000000	340.000000	NORDLAND GP	GROUP	\N	6501	113	\N	9999-12-31	2013-05-08
17/6-1	716.000000	878.000000	ROGALAND GP	GROUP	\N	6501	131	\N	9999-12-31	2013-05-08
17/6-1	2630.000000	2647.000000	SANDNES FM	FORMATION	VESTLAND GP	6501	139	186	9999-12-31	2013-05-08
17/6-1	2116.000000	2489.000000	SAUDA FM	FORMATION	BOKNFJORD GP	6501	141	15	9999-12-31	2013-05-08
17/6-1	745.000000	789.000000	SELE FM	FORMATION	ROGALAND GP	6501	142	131	9999-12-31	2013-05-08
17/6-1	878.000000	2020.000000	SHETLAND GP	GROUP	\N	6501	143	\N	9999-12-31	2013-05-08
17/6-1	2988.000000	3065.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6501	146	61	9999-12-31	2013-05-08
17/6-1	2489.000000	2542.000000	TAU FM	FORMATION	BOKNFJORD GP	6501	164	15	9999-12-31	2013-05-08
17/6-1	2630.000000	3065.000000	VESTLAND GP	GROUP	\N	6501	186	\N	9999-12-31	2013-05-08
17/6-1	865.000000	878.000000	VÅLE FM	FORMATION	ROGALAND GP	6501	190	131	9999-12-31	2013-05-08
6305/9-2	1654.000000	2420.000000	BRYGGE FM	FORMATION	HORDALAND GP	6502	18	67	9999-12-31	2013-05-08
6305/9-2	2989.000000	3016.000000	EGGA FM (INFORMAL)	FORMATION	ROGALAND GP	6502	31	131	9999-12-31	2013-05-08
6305/9-2	1654.000000	2420.000000	HORDALAND GP	GROUP	\N	6502	67	\N	9999-12-31	2013-05-08
6305/9-2	1402.000000	1654.000000	KAI FM	FORMATION	NORDLAND GP	6502	77	113	9999-12-31	2013-05-08
6305/9-2	314.000000	1402.000000	NAUST FM	FORMATION	NORDLAND GP	6502	109	113	9999-12-31	2013-05-08
6305/9-2	314.000000	1654.000000	NORDLAND GP	GROUP	\N	6502	113	\N	9999-12-31	2013-05-08
6305/9-2	2420.000000	3075.000000	ROGALAND GP	GROUP	\N	6502	131	\N	9999-12-31	2013-05-08
6305/9-2	3016.000000	3075.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6502	156	143	9999-12-31	2013-05-08
6305/9-2	2554.000000	2989.000000	TANG FM	FORMATION	ROGALAND GP	6502	161	131	9999-12-31	2013-05-08
6305/9-2	2420.000000	2554.000000	TARE FM	FORMATION	ROGALAND GP	6502	163	131	9999-12-31	2013-05-08
35/12-3 S	1120.000000	1169.000000	BALDER FM	FORMATION	ROGALAND GP	6516	6	131	9999-12-31	2013-05-08
35/12-3 S	1923.000000	1930.000000	BLODØKS FM	FORMATION	SHETLAND GP	6516	13	143	9999-12-31	2013-05-08
35/12-3 S	2716.000000	2807.000000	BRENT GP	GROUP	\N	6516	16	\N	9999-12-31	2013-05-08
35/12-3 S	1980.000000	2019.000000	CROMER KNOLL GP	GROUP	\N	6516	23	\N	9999-12-31	2013-05-08
35/12-3 S	2019.000000	2033.000000	DRAUPNE FM	FORMATION	VIKING GP	6516	28	188	9999-12-31	2013-05-08
35/12-3 S	2748.000000	2807.000000	ETIVE FM	FORMATION	BRENT GP	6516	35	16	9999-12-31	2013-05-08
35/12-3 S	2164.000000	2269.000000	FENSFJORD FM	FORMATION	VIKING GP	6516	40	188	9999-12-31	2013-05-08
35/12-3 S	2340.000000	2594.000000	FENSFJORD FM	FORMATION	VIKING GP	6516	40	188	9999-12-31	2013-05-08
35/12-3 S	2033.000000	2046.000000	HEATHER FM	FORMATION	VIKING GP	6516	60	188	9999-12-31	2013-05-08
35/12-3 S	2269.000000	2340.000000	HEATHER FM	FORMATION	VIKING GP	6516	60	188	9999-12-31	2013-05-08
35/12-3 S	570.000000	1120.000000	HORDALAND GP	GROUP	\N	6516	67	\N	9999-12-31	2013-05-08
35/12-3 S	1747.000000	1792.000000	JORSALFARE FM	FORMATION	SHETLAND GP	6516	74	143	9999-12-31	2013-05-08
35/12-3 S	2594.000000	2716.000000	KROSSFJORD FM	FORMATION	VIKING GP	6516	87	188	9999-12-31	2013-05-08
35/12-3 S	1792.000000	1842.000000	KYRRE FM	FORMATION	SHETLAND GP	6516	92	143	9999-12-31	2013-05-08
35/12-3 S	1239.000000	1638.000000	LISTA FM	FORMATION	ROGALAND GP	6516	95	131	9999-12-31	2013-05-08
35/12-3 S	2716.000000	2748.000000	NESS FM	FORMATION	BRENT GP	6516	110	16	9999-12-31	2013-05-08
35/12-3 S	381.000000	570.000000	NORDLAND GP	GROUP	\N	6516	113	\N	9999-12-31	2013-05-08
35/12-3 S	1120.000000	1747.000000	ROGALAND GP	GROUP	\N	6516	131	\N	9999-12-31	2013-05-08
35/12-3 S	1980.000000	2019.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6516	137	23	9999-12-31	2013-05-08
35/12-3 S	1169.000000	1239.000000	SELE FM	FORMATION	ROGALAND GP	6516	142	131	9999-12-31	2013-05-08
35/12-3 S	1747.000000	1980.000000	SHETLAND GP	GROUP	\N	6516	143	\N	9999-12-31	2013-05-08
35/12-3 S	2046.000000	2164.000000	SOGNEFJORD FM	FORMATION	VIKING GP	6516	151	188	9999-12-31	2013-05-08
35/12-3 S	1930.000000	1980.000000	SVARTE FM	FORMATION	SHETLAND GP	6516	160	143	9999-12-31	2013-05-08
35/12-3 S	1842.000000	1923.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6516	173	143	9999-12-31	2013-05-08
35/12-3 S	548.000000	570.000000	UTSIRA FM	FORMATION	NORDLAND GP	6516	183	113	9999-12-31	2013-05-08
35/12-3 S	2019.000000	2716.000000	VIKING GP	GROUP	\N	6516	188	\N	9999-12-31	2013-05-08
35/12-3 S	1638.000000	1747.000000	VÅLE FM	FORMATION	ROGALAND GP	6516	190	131	9999-12-31	2013-05-08
16/1-15	1766.000000	1778.000000	BALDER FM	FORMATION	ROGALAND GP	6517	6	131	9999-12-31	2013-05-08
16/1-15	1920.000000	2150.000000	BASEMENT	GROUP	\N	6517	10	\N	9999-12-31	2013-05-08
16/1-15	1915.000000	1920.000000	CROMER KNOLL GP	GROUP	\N	6517	23	\N	9999-12-31	2013-05-08
16/1-15	1889.000000	1906.000000	EKOFISK FM	FORMATION	SHETLAND GP	6517	33	143	9999-12-31	2013-05-08
16/1-15	1553.000000	1642.000000	GRID FM	FORMATION	HORDALAND GP	6517	53	67	9999-12-31	2013-05-08
16/1-15	1913.000000	1915.000000	HOD FM	FORMATION	SHETLAND GP	6517	66	143	9999-12-31	2013-05-08
16/1-15	944.000000	1766.000000	HORDALAND GP	GROUP	\N	6517	67	\N	9999-12-31	2013-05-08
16/1-15	1800.000000	1879.000000	LISTA FM	FORMATION	ROGALAND GP	6517	95	131	9999-12-31	2013-05-08
16/1-15	870.000000	944.000000	NO FORMAL NAME	FORMATION	\N	6517	111	\N	9999-12-31	2013-05-08
16/1-15	1189.000000	1553.000000	NO FORMAL NAME	FORMATION	\N	6517	111	\N	9999-12-31	2013-05-08
16/1-15	1642.000000	1766.000000	NO FORMAL NAME	FORMATION	\N	6517	111	\N	9999-12-31	2013-05-08
16/1-15	136.000000	944.000000	NORDLAND GP	GROUP	\N	6517	113	\N	9999-12-31	2013-05-08
16/1-15	1766.000000	1889.000000	ROGALAND GP	GROUP	\N	6517	131	\N	9999-12-31	2013-05-08
16/1-15	1778.000000	1800.000000	SELE FM	FORMATION	ROGALAND GP	6517	142	131	9999-12-31	2013-05-08
16/1-15	1889.000000	1915.000000	SHETLAND GP	GROUP	\N	6517	143	\N	9999-12-31	2013-05-08
16/1-15	944.000000	1189.000000	SKADE FM	FORMATION	HORDALAND GP	6517	145	67	9999-12-31	2013-05-08
16/1-15	1906.000000	1913.000000	TOR FM	FORMATION	SHETLAND GP	6517	171	143	9999-12-31	2013-05-08
16/1-15	774.000000	870.000000	UTSIRA FM	FORMATION	NORDLAND GP	6517	183	113	9999-12-31	2013-05-08
16/1-15	1879.000000	1889.000000	VÅLE FM	FORMATION	ROGALAND GP	6517	190	131	9999-12-31	2013-05-08
16/1-15	1915.000000	1917.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6517	198	23	9999-12-31	2013-05-08
16/1-15	1917.000000	1920.000000	INTRA ÅSGARD FM SS	FORMATION	CROMER KNOLL GP	6517	210	23	9999-12-31	2013-05-08
15/6-12	2191.000000	2244.000000	BALDER FM	FORMATION	ROGALAND GP	6518	6	131	9999-12-31	2013-05-08
15/6-12	3517.000000	3526.000000	BLODØKS FM	FORMATION	SHETLAND GP	6518	13	143	9999-12-31	2013-05-08
15/6-12	3629.000000	3669.000000	CROMER KNOLL GP	GROUP	\N	6518	23	\N	9999-12-31	2013-05-08
15/6-12	3669.000000	3780.000000	DRAUPNE FM	FORMATION	VIKING GP	6518	28	188	9999-12-31	2013-05-08
15/6-12	2751.000000	2782.000000	EKOFISK FM	FORMATION	SHETLAND GP	6518	33	143	9999-12-31	2013-05-08
15/6-12	1715.000000	2191.000000	GRID FM	FORMATION	HORDALAND GP	6518	53	67	9999-12-31	2013-05-08
15/6-12	3780.000000	3798.000000	HEATHER FM	FORMATION	VIKING GP	6518	60	188	9999-12-31	2013-05-08
15/6-12	3876.000000	3930.000000	HEGRE GP	GROUP	\N	6518	61	\N	9999-12-31	2013-05-08
15/6-12	2341.000000	2559.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6518	62	131	9999-12-31	2013-05-08
15/6-12	3081.000000	3517.000000	HOD FM	FORMATION	SHETLAND GP	6518	66	143	9999-12-31	2013-05-08
15/6-12	999.000000	2191.000000	HORDALAND GP	GROUP	\N	6518	67	\N	9999-12-31	2013-05-08
15/6-12	3798.000000	3810.000000	HUGIN FM	FORMATION	VESTLAND GP	6518	69	186	9999-12-31	2013-05-08
15/6-12	2310.000000	2341.000000	LISTA FM	FORMATION	ROGALAND GP	6518	95	131	9999-12-31	2013-05-08
15/6-12	139.000000	999.000000	NORDLAND GP	GROUP	\N	6518	113	\N	9999-12-31	2013-05-08
15/6-12	2191.000000	2751.000000	ROGALAND GP	GROUP	\N	6518	131	\N	9999-12-31	2013-05-08
15/6-12	3629.000000	3666.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6518	137	23	9999-12-31	2013-05-08
15/6-12	2244.000000	2310.000000	SELE FM	FORMATION	ROGALAND GP	6518	142	131	9999-12-31	2013-05-08
15/6-12	2751.000000	3629.000000	SHETLAND GP	GROUP	\N	6518	143	\N	9999-12-31	2013-05-08
15/6-12	1298.000000	1715.000000	SKADE FM	FORMATION	HORDALAND GP	6518	145	67	9999-12-31	2013-05-08
15/6-12	3876.000000	3930.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6518	146	61	9999-12-31	2013-05-08
15/6-12	3810.000000	3876.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6518	148	186	9999-12-31	2013-05-08
15/6-12	3666.000000	3669.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6518	152	23	9999-12-31	2013-05-08
15/6-12	3526.000000	3629.000000	SVARTE FM	FORMATION	SHETLAND GP	6518	160	143	9999-12-31	2013-05-08
15/6-12	2782.000000	3081.000000	TOR FM	FORMATION	SHETLAND GP	6518	171	143	9999-12-31	2013-05-08
15/6-12	2559.000000	2751.000000	TY FM	FORMATION	ROGALAND GP	6518	176	131	9999-12-31	2013-05-08
15/6-12	762.000000	999.000000	UTSIRA FM	FORMATION	NORDLAND GP	6518	183	113	9999-12-31	2013-05-08
15/6-12	3798.000000	3876.000000	VESTLAND GP	GROUP	\N	6518	186	\N	9999-12-31	2013-05-08
15/6-12	3669.000000	3798.000000	VIKING GP	GROUP	\N	6518	188	\N	9999-12-31	2013-05-08
15/6-11 A	2109.000000	2167.000000	BALDER FM	FORMATION	ROGALAND GP	6526	6	131	9999-12-31	2013-05-08
15/6-11 A	3715.000000	3718.000000	BLODØKS FM	FORMATION	SHETLAND GP	6526	13	143	9999-12-31	2013-05-08
15/6-11 A	3802.000000	3867.000000	CROMER KNOLL GP	GROUP	\N	6526	23	\N	9999-12-31	2013-05-08
15/6-11 A	4286.000000	4291.000000	COOK FM	FORMATION	DUNLIN GP	6526	24	29	9999-12-31	2013-05-08
15/6-11 A	3967.000000	4009.000000	DRAUPNE FM	FORMATION	VIKING GP	6526	28	188	9999-12-31	2013-05-08
15/6-11 A	4286.000000	4291.000000	DUNLIN GP	GROUP	\N	6526	29	\N	9999-12-31	2013-05-08
15/6-11 A	2850.000000	2895.000000	EKOFISK FM	FORMATION	SHETLAND GP	6526	33	143	9999-12-31	2013-05-08
15/6-11 A	1748.000000	2109.000000	GRID FM	FORMATION	HORDALAND GP	6526	53	67	9999-12-31	2013-05-08
15/6-11 A	4009.000000	4121.000000	HEATHER FM	FORMATION	VIKING GP	6526	60	188	9999-12-31	2013-05-08
15/6-11 A	2245.000000	2757.000000	HEIMDAL FM	FORMATION	ROGALAND GP	6526	62	131	9999-12-31	2013-05-08
15/6-11 A	3718.000000	3802.000000	HIDRA FM	FORMATION	SHETLAND GP	6526	65	143	9999-12-31	2013-05-08
15/6-11 A	3284.000000	3715.000000	HOD FM	FORMATION	SHETLAND GP	6526	66	143	9999-12-31	2013-05-08
15/6-11 A	996.000000	2109.000000	HORDALAND GP	GROUP	\N	6526	67	\N	9999-12-31	2013-05-08
15/6-11 A	4121.000000	4201.000000	HUGIN FM	FORMATION	VESTLAND GP	6526	69	186	9999-12-31	2013-05-08
15/6-11 A	2217.000000	2245.000000	LISTA FM	FORMATION	ROGALAND GP	6526	95	131	9999-12-31	2013-05-08
15/6-11 A	137.000000	996.000000	NORDLAND GP	GROUP	\N	6526	113	\N	9999-12-31	2013-05-08
15/6-11 A	2109.000000	2850.000000	ROGALAND GP	GROUP	\N	6526	131	\N	9999-12-31	2013-05-08
15/6-11 A	3802.000000	3867.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6526	137	23	9999-12-31	2013-05-08
15/6-11 A	2167.000000	2217.000000	SELE FM	FORMATION	ROGALAND GP	6526	142	131	9999-12-31	2013-05-08
15/6-11 A	2850.000000	3802.000000	SHETLAND GP	GROUP	\N	6526	143	\N	9999-12-31	2013-05-08
15/6-11 A	1328.000000	1748.000000	SKADE FM	FORMATION	HORDALAND GP	6526	145	67	9999-12-31	2013-05-08
15/6-11 A	4201.000000	4286.000000	SLEIPNER FM	FORMATION	VESTLAND GP	6526	148	186	9999-12-31	2013-05-08
15/6-11 A	3914.000000	3935.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6526	152	23	9999-12-31	2013-05-08
15/6-11 A	4291.000000	4305.000000	STATFJORD FM	FORMATION	\N	6526	157	\N	9999-12-31	2013-05-08
15/6-11 A	2895.000000	3284.000000	TOR FM	FORMATION	SHETLAND GP	6526	171	143	9999-12-31	2013-05-08
15/6-11 A	786.000000	996.000000	UTSIRA FM	FORMATION	NORDLAND GP	6526	183	113	9999-12-31	2013-05-08
15/6-11 A	4121.000000	4286.000000	VESTLAND GP	GROUP	\N	6526	186	\N	9999-12-31	2013-05-08
15/6-11 A	3867.000000	3967.000000	VIKING GP	GROUP	\N	6526	188	\N	9999-12-31	2013-05-08
15/6-11 A	3967.000000	4121.000000	VIKING GP	GROUP	\N	6526	188	\N	9999-12-31	2013-05-08
15/6-11 A	2757.000000	2850.000000	VÅLE FM	FORMATION	ROGALAND GP	6526	190	131	9999-12-31	2013-05-08
15/6-11 A	3935.000000	3967.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6526	198	23	9999-12-31	2013-05-08
15/6-11 A	4291.000000	4305.000000	NO GROUP DEFINED	GROUP	\N	6526	208	\N	9999-12-31	2013-05-08
24/9-10 S	2063.000000	2175.000000	BALDER FM	FORMATION	ROGALAND GP	6531	6	131	9999-12-31	2013-05-08
24/9-10 S	1248.000000	2063.000000	GRID FM	FORMATION	HORDALAND GP	6531	53	67	9999-12-31	2013-05-08
24/9-10 S	2211.000000	2299.000000	HERMOD FM	FORMATION	ROGALAND GP	6531	64	131	9999-12-31	2013-05-08
24/9-10 S	867.000000	2063.000000	HORDALAND GP	GROUP	\N	6531	67	\N	9999-12-31	2013-05-08
24/9-10 S	2299.000000	2339.000000	LISTA FM	FORMATION	ROGALAND GP	6531	95	131	9999-12-31	2013-05-08
24/9-10 S	144.000000	867.000000	NORDLAND GP	GROUP	\N	6531	113	\N	9999-12-31	2013-05-08
24/9-10 S	2063.000000	2339.000000	ROGALAND GP	GROUP	\N	6531	131	\N	9999-12-31	2013-05-08
24/9-10 S	2175.000000	2211.000000	SELE FM	FORMATION	ROGALAND GP	6531	142	131	9999-12-31	2013-05-08
24/9-10 S	642.000000	867.000000	UTSIRA FM	FORMATION	NORDLAND GP	6531	183	113	9999-12-31	2013-05-08
6507/8-8	1752.000000	1934.000000	BRYGGE FM	FORMATION	HORDALAND GP	6538	18	67	9999-12-31	2013-05-08
6507/8-8	2125.000000	2554.000000	BÅT GP	GROUP	\N	6538	22	\N	9999-12-31	2013-05-08
6507/8-8	1752.000000	1934.000000	HORDALAND GP	GROUP	\N	6538	67	\N	9999-12-31	2013-05-08
6507/8-8	1428.000000	1752.000000	KAI FM	FORMATION	NORDLAND GP	6538	77	113	9999-12-31	2013-05-08
6507/8-8	2096.000000	2125.000000	KVITNOS FM	FORMATION	SHETLAND GP	6538	91	143	9999-12-31	2013-05-08
6507/8-8	358.000000	1428.000000	NAUST FM	FORMATION	NORDLAND GP	6538	109	113	9999-12-31	2013-05-08
6507/8-8	2040.000000	2096.000000	NISE FM	FORMATION	SHETLAND GP	6538	112	143	9999-12-31	2013-05-08
6507/8-8	358.000000	1752.000000	NORDLAND GP	GROUP	\N	6538	113	\N	9999-12-31	2013-05-08
6507/8-8	1934.000000	2010.000000	ROGALAND GP	GROUP	\N	6538	131	\N	9999-12-31	2013-05-08
6507/8-8	2125.000000	2151.000000	ROR FM	FORMATION	BÅT GP	6538	135	22	9999-12-31	2013-05-08
6507/8-8	2010.000000	2125.000000	SHETLAND GP	GROUP	\N	6538	143	\N	9999-12-31	2013-05-08
6507/8-8	2010.000000	2040.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6538	156	143	9999-12-31	2013-05-08
6507/8-8	1982.000000	2010.000000	TANG FM	FORMATION	ROGALAND GP	6538	161	131	9999-12-31	2013-05-08
6507/8-8	1934.000000	1982.000000	TARE FM	FORMATION	ROGALAND GP	6538	163	131	9999-12-31	2013-05-08
6507/8-8	2151.000000	2327.000000	TILJE FM	FORMATION	BÅT GP	6538	169	22	9999-12-31	2013-05-08
6507/8-8	2327.000000	2554.000000	ÅRE FM	FORMATION	BÅT GP	6538	197	22	9999-12-31	2013-05-08
7/11-12 S	3152.000000	3171.000000	BALDER FM	FORMATION	ROGALAND GP	6549	6	131	9999-12-31	2013-05-08
7/11-12 S	4644.000000	4660.000000	BLODØKS FM	FORMATION	SHETLAND GP	6549	13	143	9999-12-31	2013-05-08
7/11-12 S	4807.000000	5059.000000	CROMER KNOLL GP	GROUP	\N	6549	23	\N	9999-12-31	2013-05-08
7/11-12 S	3469.000000	3567.000000	EKOFISK FM	FORMATION	SHETLAND GP	6549	33	143	9999-12-31	2013-05-08
7/11-12 S	5082.000000	5197.000000	FARSUND FM	FORMATION	TYNE GP	6549	39	177	9999-12-31	2013-05-08
7/11-12 S	3233.000000	3332.000000	FORTIES FM	FORMATION	ROGALAND GP	6549	44	131	9999-12-31	2013-05-08
7/11-12 S	5213.000000	5420.000000	HEGRE GP	GROUP	\N	6549	61	\N	9999-12-31	2013-05-08
7/11-12 S	4660.000000	4807.000000	HIDRA FM	FORMATION	SHETLAND GP	6549	65	143	9999-12-31	2013-05-08
7/11-12 S	4066.000000	4644.000000	HOD FM	FORMATION	SHETLAND GP	6549	66	143	9999-12-31	2013-05-08
7/11-12 S	1606.000000	3152.000000	HORDALAND GP	GROUP	\N	6549	67	\N	9999-12-31	2013-05-08
7/11-12 S	3332.000000	3415.000000	LISTA FM	FORMATION	ROGALAND GP	6549	95	131	9999-12-31	2013-05-08
7/11-12 S	5059.000000	5082.000000	MANDAL FM	FORMATION	TYNE GP	6549	101	177	9999-12-31	2013-05-08
7/11-12 S	119.000000	1606.000000	NORDLAND GP	GROUP	\N	6549	113	\N	9999-12-31	2013-05-08
7/11-12 S	3152.000000	3469.000000	ROGALAND GP	GROUP	\N	6549	131	\N	9999-12-31	2013-05-08
7/11-12 S	4807.000000	4873.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6549	137	23	9999-12-31	2013-05-08
7/11-12 S	3171.000000	3233.000000	SELE FM	FORMATION	ROGALAND GP	6549	142	131	9999-12-31	2013-05-08
7/11-12 S	3469.000000	4807.000000	SHETLAND GP	GROUP	\N	6549	143	\N	9999-12-31	2013-05-08
7/11-12 S	5213.000000	5420.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6549	146	61	9999-12-31	2013-05-08
7/11-12 S	4873.000000	4888.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6549	152	23	9999-12-31	2013-05-08
7/11-12 S	3567.000000	4066.000000	TOR FM	FORMATION	SHETLAND GP	6549	171	143	9999-12-31	2013-05-08
7/11-12 S	4888.000000	4935.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	6549	175	23	9999-12-31	2013-05-08
7/11-12 S	5059.000000	5197.000000	TYNE GP	GROUP	\N	6549	177	\N	9999-12-31	2013-05-08
7/11-12 S	5197.000000	5213.000000	ULA FM	FORMATION	VESTLAND GP	6549	179	186	9999-12-31	2013-05-08
7/11-12 S	2899.000000	3152.000000	UNDIFFERENTIATED	FORMATION	\N	6549	182	\N	9999-12-31	2013-05-08
7/11-12 S	5197.000000	5213.000000	VESTLAND GP	GROUP	\N	6549	186	\N	9999-12-31	2013-05-08
7/11-12 S	3415.000000	3469.000000	VÅLE FM	FORMATION	ROGALAND GP	6549	190	131	9999-12-31	2013-05-08
7/11-12 S	4935.000000	5059.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6549	198	23	9999-12-31	2013-05-08
6407/4-2	1598.000000	1598.000000	BRYGGE FM	FORMATION	HORDALAND GP	6557	18	67	9999-12-31	2013-05-08
6407/4-2	3041.000000	3795.000000	CROMER KNOLL GP	GROUP	\N	6557	23	\N	9999-12-31	2013-05-08
6407/4-2	4008.000000	4230.000000	FANGST GP	GROUP	\N	6557	38	\N	9999-12-31	2013-05-08
6407/4-2	4008.000000	4093.000000	GARN FM	FORMATION	FANGST GP	6557	48	38	9999-12-31	2013-05-08
6407/4-2	1598.000000	2092.000000	HORDALAND GP	GROUP	\N	6557	67	\N	9999-12-31	2013-05-08
6407/4-2	4144.000000	4230.000000	ILE FM	FORMATION	FANGST GP	6557	70	38	9999-12-31	2013-05-08
6407/4-2	1259.000000	1598.000000	KAI FM	FORMATION	NORDLAND GP	6557	77	113	9999-12-31	2013-05-08
6407/4-2	2607.000000	3041.000000	KVITNOS FM	FORMATION	SHETLAND GP	6557	91	143	9999-12-31	2013-05-08
6407/4-2	3041.000000	3769.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6557	94	23	9999-12-31	2013-05-08
6407/4-2	3769.000000	3795.000000	LYR FM	FORMATION	CROMER KNOLL GP	6557	98	23	9999-12-31	2013-05-08
6407/4-2	3874.000000	4008.000000	MELKE FM	FORMATION	VIKING GP	6557	105	188	9999-12-31	2013-05-08
6407/4-2	245.000000	1259.000000	NAUST FM	FORMATION	NORDLAND GP	6557	109	113	9999-12-31	2013-05-08
6407/4-2	2358.000000	2607.000000	NISE FM	FORMATION	SHETLAND GP	6557	112	143	9999-12-31	2013-05-08
6407/4-2	245.000000	1598.000000	NORDLAND GP	GROUP	\N	6557	113	\N	9999-12-31	2013-05-08
6407/4-2	4093.000000	4144.000000	NOT FM	FORMATION	FANGST GP	6557	120	38	9999-12-31	2013-05-08
6407/4-2	2092.000000	2264.000000	ROGALAND GP	GROUP	\N	6557	131	\N	9999-12-31	2013-05-08
6407/4-2	2264.000000	3041.000000	SHETLAND GP	GROUP	\N	6557	143	\N	9999-12-31	2013-05-08
6407/4-2	3795.000000	3874.000000	SPEKK FM	FORMATION	VIKING GP	6557	155	188	9999-12-31	2013-05-08
6407/4-2	2264.000000	2358.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6557	156	143	9999-12-31	2013-05-08
6407/4-2	2170.000000	2264.000000	TANG FM	FORMATION	ROGALAND GP	6557	161	131	9999-12-31	2013-05-08
6407/4-2	2092.000000	2170.000000	TARE FM	FORMATION	ROGALAND GP	6557	163	131	9999-12-31	2013-05-08
6407/4-2	3795.000000	4008.000000	VIKING GP	GROUP	\N	6557	188	\N	9999-12-31	2013-05-08
24/9-10 A	2514.000000	2740.000000	BALDER FM	FORMATION	ROGALAND GP	6560	6	131	9999-12-31	2013-05-08
24/9-10 A	1248.000000	2514.000000	GRID FM	FORMATION	HORDALAND GP	6560	53	67	9999-12-31	2013-05-08
24/9-10 A	2799.000000	2881.000000	HERMOD FM	FORMATION	ROGALAND GP	6560	64	131	9999-12-31	2013-05-08
24/9-10 A	867.000000	2514.000000	HORDALAND GP	GROUP	\N	6560	67	\N	9999-12-31	2013-05-08
24/9-10 A	2881.000000	2900.000000	LISTA FM	FORMATION	ROGALAND GP	6560	95	131	9999-12-31	2013-05-08
24/9-10 A	144.000000	867.000000	NORDLAND GP	GROUP	\N	6560	113	\N	9999-12-31	2013-05-08
24/9-10 A	2514.000000	2900.000000	ROGALAND GP	GROUP	\N	6560	131	\N	9999-12-31	2013-05-08
24/9-10 A	2740.000000	2799.000000	SELE FM	FORMATION	ROGALAND GP	6560	142	131	9999-12-31	2013-05-08
24/9-10 A	642.000000	867.000000	UTSIRA FM	FORMATION	NORDLAND GP	6560	183	113	9999-12-31	2013-05-08
6604/2-1	1652.000000	2456.000000	BRYGGE FM	FORMATION	HORDALAND GP	6568	18	67	9999-12-31	2013-05-08
6604/2-1	1652.000000	2456.000000	HORDALAND GP	GROUP	\N	6568	67	\N	9999-12-31	2013-05-08
6604/2-1	1478.000000	1652.000000	KAI FM	FORMATION	NORDLAND GP	6568	77	113	9999-12-31	2013-05-08
6604/2-1	1302.000000	1478.000000	NAUST FM	FORMATION	NORDLAND GP	6568	109	113	9999-12-31	2013-05-08
6604/2-1	1302.000000	1652.000000	NORDLAND GP	GROUP	\N	6568	113	\N	9999-12-31	2013-05-08
6604/2-1	2456.000000	3077.000000	ROGALAND GP	GROUP	\N	6568	131	\N	9999-12-31	2013-05-08
6604/2-1	3077.000000	3551.000000	SHETLAND GP	GROUP	\N	6568	143	\N	9999-12-31	2013-05-08
6604/2-1	3077.000000	3551.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6568	156	143	9999-12-31	2013-05-08
6604/2-1	2656.000000	3077.000000	TANG FM	FORMATION	ROGALAND GP	6568	161	131	9999-12-31	2013-05-08
6604/2-1	2456.000000	2656.000000	TARE FM	FORMATION	ROGALAND GP	6568	163	131	9999-12-31	2013-05-08
6407/3-1 S	1288.000000	1966.000000	BRYGGE FM	FORMATION	HORDALAND GP	6582	18	67	9999-12-31	2013-05-08
6407/3-1 S	2515.000000	2538.000000	CROMER KNOLL GP	GROUP	\N	6582	23	\N	9999-12-31	2013-05-08
6407/3-1 S	2622.000000	2928.000000	FANGST GP	GROUP	\N	6582	38	\N	9999-12-31	2013-05-08
6407/3-1 S	2622.000000	2667.000000	GARN FM	FORMATION	FANGST GP	6582	48	38	9999-12-31	2013-05-08
6407/3-1 S	1288.000000	1966.000000	HORDALAND GP	GROUP	\N	6582	67	\N	9999-12-31	2013-05-08
6407/3-1 S	2700.000000	2755.000000	ILE FM	FORMATION	FANGST GP	6582	70	38	9999-12-31	2013-05-08
6407/3-1 S	1239.000000	1288.000000	KAI FM	FORMATION	NORDLAND GP	6582	77	113	9999-12-31	2013-05-08
6407/3-1 S	2285.000000	2515.000000	KVITNOS FM	FORMATION	SHETLAND GP	6582	91	143	9999-12-31	2013-05-08
6407/3-1 S	2515.000000	2530.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6582	94	23	9999-12-31	2013-05-08
6407/3-1 S	2530.000000	2538.000000	LYR FM	FORMATION	CROMER KNOLL GP	6582	98	23	9999-12-31	2013-05-08
6407/3-1 S	624.000000	1239.000000	NAUST FM	FORMATION	NORDLAND GP	6582	109	113	9999-12-31	2013-05-08
6407/3-1 S	2157.000000	2285.000000	NISE FM	FORMATION	SHETLAND GP	6582	112	143	9999-12-31	2013-05-08
6407/3-1 S	257.000000	1288.000000	NORDLAND GP	GROUP	\N	6582	113	\N	9999-12-31	2013-05-08
6407/3-1 S	2667.000000	2700.000000	NOT FM	FORMATION	FANGST GP	6582	120	38	9999-12-31	2013-05-08
6407/3-1 S	1966.000000	2117.000000	ROGALAND GP	GROUP	\N	6582	131	\N	9999-12-31	2013-05-08
6407/3-1 S	2755.000000	2875.000000	ROR FM	FORMATION	BÅT GP	6582	135	22	9999-12-31	2013-05-08
6407/3-1 S	2117.000000	2515.000000	SHETLAND GP	GROUP	\N	6582	143	\N	9999-12-31	2013-05-08
6407/3-1 S	2538.000000	2622.000000	SPEKK FM	FORMATION	VIKING GP	6582	155	188	9999-12-31	2013-05-08
6407/3-1 S	2117.000000	2157.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6582	156	143	9999-12-31	2013-05-08
6407/3-1 S	2023.000000	2117.000000	TANG FM	FORMATION	ROGALAND GP	6582	161	131	9999-12-31	2013-05-08
6407/3-1 S	1966.000000	2023.000000	TARE FM	FORMATION	ROGALAND GP	6582	163	131	9999-12-31	2013-05-08
6407/3-1 S	2875.000000	2928.000000	TILJE FM	FORMATION	BÅT GP	6582	169	22	9999-12-31	2013-05-08
6407/3-1 S	2538.000000	2622.000000	VIKING GP	GROUP	\N	6582	188	\N	9999-12-31	2013-05-08
6406/3-9	1936.000000	2324.000000	BRYGGE FM	FORMATION	HORDALAND GP	6594	18	67	9999-12-31	2013-05-08
6406/3-9	3395.000000	4183.000000	CROMER KNOLL GP	GROUP	\N	6594	23	\N	9999-12-31	2013-05-08
6406/3-9	1936.000000	2324.000000	HORDALAND GP	GROUP	\N	6594	67	\N	9999-12-31	2013-05-08
6406/3-9	1436.000000	1936.000000	KAI FM	FORMATION	NORDLAND GP	6594	77	113	9999-12-31	2013-05-08
6406/3-9	2805.000000	3395.000000	KVITNOS FM	FORMATION	SHETLAND GP	6594	91	143	9999-12-31	2013-05-08
6406/3-9	3500.000000	4079.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6594	94	23	9999-12-31	2013-05-08
6406/3-9	4135.000000	4183.000000	LANGE FM	FORMATION	CROMER KNOLL GP	6594	94	23	9999-12-31	2013-05-08
6406/3-9	3395.000000	3500.000000	LYSING FM	FORMATION	CROMER KNOLL GP	6594	99	23	9999-12-31	2013-05-08
6406/3-9	341.000000	1436.000000	NAUST FM	FORMATION	NORDLAND GP	6594	109	113	9999-12-31	2013-05-08
6406/3-9	4079.000000	4135.000000	NO FORMAL NAME	FORMATION	\N	6594	111	\N	9999-12-31	2013-05-08
6406/3-9	2641.000000	2805.000000	NISE FM	FORMATION	SHETLAND GP	6594	112	143	9999-12-31	2013-05-08
6406/3-9	341.000000	1936.000000	NORDLAND GP	GROUP	\N	6594	113	\N	9999-12-31	2013-05-08
6406/3-9	2324.000000	2447.000000	ROGALAND GP	GROUP	\N	6594	131	\N	9999-12-31	2013-05-08
6406/3-9	2447.000000	3395.000000	SHETLAND GP	GROUP	\N	6594	143	\N	9999-12-31	2013-05-08
6406/3-9	2447.000000	2641.000000	SPRINGAR FM	FORMATION	SHETLAND GP	6594	156	143	9999-12-31	2013-05-08
6406/3-9	2387.000000	2447.000000	TANG FM	FORMATION	ROGALAND GP	6594	161	131	9999-12-31	2013-05-08
6406/3-9	2324.000000	2387.000000	TARE FM	FORMATION	ROGALAND GP	6594	163	131	9999-12-31	2013-05-08
31/8-1	1253.000000	1366.000000	BALDER FM	FORMATION	ROGALAND GP	6604	6	131	9999-12-31	2013-05-08
31/8-1	1527.000000	1540.000000	BLODØKS FM	FORMATION	SHETLAND GP	6604	13	143	9999-12-31	2013-05-08
31/8-1	1599.000000	1999.000000	CROMER KNOLL GP	GROUP	\N	6604	23	\N	9999-12-31	2013-05-08
31/8-1	1999.000000	2109.000000	DRAUPNE FM	FORMATION	VIKING GP	6604	28	188	9999-12-31	2013-05-08
31/8-1	1483.000000	1494.000000	EKOFISK FM	FORMATION	SHETLAND GP	6604	33	143	9999-12-31	2013-05-08
31/8-1	2367.000000	2498.000000	FENSFJORD FM	FORMATION	VIKING GP	6604	40	188	9999-12-31	2013-05-08
31/8-1	2109.000000	2123.000000	HEATHER FM	FORMATION	VIKING GP	6604	60	188	9999-12-31	2013-05-08
31/8-1	715.000000	1253.000000	HORDALAND GP	GROUP	\N	6604	67	\N	9999-12-31	2013-05-08
31/8-1	2498.000000	2629.000000	KROSSFJORD FM	FORMATION	VIKING GP	6604	87	188	9999-12-31	2013-05-08
31/8-1	1386.000000	1466.000000	LISTA FM	FORMATION	ROGALAND GP	6604	95	131	9999-12-31	2013-05-08
31/8-1	336.000000	715.000000	NORDLAND GP	GROUP	\N	6604	113	\N	9999-12-31	2013-05-08
31/8-1	1253.000000	1483.000000	ROGALAND GP	GROUP	\N	6604	131	\N	9999-12-31	2013-05-08
31/8-1	1599.000000	1673.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6604	137	23	9999-12-31	2013-05-08
31/8-1	1366.000000	1386.000000	SELE FM	FORMATION	ROGALAND GP	6604	142	131	9999-12-31	2013-05-08
31/8-1	1483.000000	1599.000000	SHETLAND GP	GROUP	\N	6604	143	\N	9999-12-31	2013-05-08
31/8-1	2123.000000	2367.000000	SOGNEFJORD FM	FORMATION	VIKING GP	6604	151	188	9999-12-31	2013-05-08
31/8-1	1673.000000	1811.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6604	152	23	9999-12-31	2013-05-08
31/8-1	1540.000000	1599.000000	SVARTE FM	FORMATION	SHETLAND GP	6604	160	143	9999-12-31	2013-05-08
31/8-1	1494.000000	1527.000000	TRYGGVASON FM	FORMATION	SHETLAND GP	6604	173	143	9999-12-31	2013-05-08
31/8-1	1999.000000	2629.000000	VIKING GP	GROUP	\N	6604	188	\N	9999-12-31	2013-05-08
31/8-1	1466.000000	1483.000000	VÅLE FM	FORMATION	ROGALAND GP	6604	190	131	9999-12-31	2013-05-08
31/8-1	1811.000000	1999.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6604	198	23	9999-12-31	2013-05-08
7/11-12 A	3152.000000	3171.000000	BALDER FM	FORMATION	ROGALAND GP	6655	6	131	9999-12-31	2013-05-08
7/11-12 A	4753.000000	4762.000000	BLODØKS FM	FORMATION	SHETLAND GP	6655	13	143	9999-12-31	2013-05-08
7/11-12 A	4995.000000	5301.000000	CROMER KNOLL GP	GROUP	\N	6655	23	\N	9999-12-31	2013-05-08
7/11-12 A	3469.000000	3567.000000	EKOFISK FM	FORMATION	SHETLAND GP	6655	33	143	9999-12-31	2013-05-08
7/11-12 A	5321.000000	5493.000000	FARSUND FM	FORMATION	TYNE GP	6655	39	177	9999-12-31	2013-05-08
7/11-12 A	3233.000000	3332.000000	FORTIES FM	FORMATION	ROGALAND GP	6655	44	131	9999-12-31	2013-05-08
7/11-12 A	5587.000000	5672.000000	HEGRE GP	GROUP	\N	6655	61	\N	9999-12-31	2013-05-08
7/11-12 A	4762.000000	4995.000000	HIDRA FM	FORMATION	SHETLAND GP	6655	65	143	9999-12-31	2013-05-08
7/11-12 A	4067.000000	4753.000000	HOD FM	FORMATION	SHETLAND GP	6655	66	143	9999-12-31	2013-05-08
7/11-12 A	1606.000000	3152.000000	HORDALAND GP	GROUP	\N	6655	67	\N	9999-12-31	2013-05-08
7/11-12 A	3332.000000	3415.000000	LISTA FM	FORMATION	ROGALAND GP	6655	95	131	9999-12-31	2013-05-08
7/11-12 A	5301.000000	5321.000000	MANDAL FM	FORMATION	TYNE GP	6655	101	177	9999-12-31	2013-05-08
7/11-12 A	119.000000	1606.000000	NORDLAND GP	GROUP	\N	6655	113	\N	9999-12-31	2013-05-08
7/11-12 A	3152.000000	3469.000000	ROGALAND GP	GROUP	\N	6655	131	\N	9999-12-31	2013-05-08
7/11-12 A	4995.000000	5089.000000	RØDBY FM	FORMATION	CROMER KNOLL GP	6655	137	23	9999-12-31	2013-05-08
7/11-12 A	3171.000000	3233.000000	SELE FM	FORMATION	ROGALAND GP	6655	142	131	9999-12-31	2013-05-08
7/11-12 A	3469.000000	4995.000000	SHETLAND GP	GROUP	\N	6655	143	\N	9999-12-31	2013-05-08
7/11-12 A	5587.000000	5672.000000	SKAGERRAK FM	FORMATION	HEGRE GP	6655	146	61	9999-12-31	2013-05-08
7/11-12 A	5089.000000	5112.000000	SOLA FM	FORMATION	CROMER KNOLL GP	6655	152	23	9999-12-31	2013-05-08
7/11-12 A	3567.000000	4067.000000	TOR FM	FORMATION	SHETLAND GP	6655	171	143	9999-12-31	2013-05-08
7/11-12 A	5112.000000	5162.000000	TUXEN FM	FORMATION	CROMER KNOLL GP	6655	175	23	9999-12-31	2013-05-08
7/11-12 A	5301.000000	5493.000000	TYNE GP	GROUP	\N	6655	177	\N	9999-12-31	2013-05-08
7/11-12 A	5493.000000	5587.000000	ULA FM	FORMATION	VESTLAND GP	6655	179	186	9999-12-31	2013-05-08
7/11-12 A	2899.000000	3152.000000	UNDIFFERENTIATED	FORMATION	\N	6655	182	\N	9999-12-31	2013-05-08
7/11-12 A	5493.000000	5587.000000	VESTLAND GP	GROUP	\N	6655	186	\N	9999-12-31	2013-05-08
7/11-12 A	3415.000000	3469.000000	VÅLE FM	FORMATION	ROGALAND GP	6655	190	131	9999-12-31	2013-05-08
7/11-12 A	5162.000000	5301.000000	ÅSGARD FM	FORMATION	CROMER KNOLL GP	6655	198	23	9999-12-31	2013-05-08
6507/6-4 S	1042.000000	1208.000000	BÅT GP	GROUP	\N	6725	22	\N	9999-12-31	2013-05-08
6507/6-4 S	1208.000000	1287.000000	GREY BEDS (INFORMAL)	GROUP	\N	6725	52	\N	9999-12-31	2013-05-08
6507/6-4 S	853.000000	1042.000000	KAI FM	FORMATION	NORDLAND GP	6725	77	113	9999-12-31	2013-05-08
6507/6-4 S	395.000000	853.000000	NAUST FM	FORMATION	NORDLAND GP	6725	109	113	9999-12-31	2013-05-08
6507/6-4 S	395.000000	1042.000000	NORDLAND GP	GROUP	\N	6725	113	\N	9999-12-31	2013-05-08
6507/6-4 S	1287.000000	1333.000000	RED BEDS (INFORMAL)	GROUP	\N	6725	129	\N	9999-12-31	2013-05-08
6507/6-4 S	1042.000000	1208.000000	ÅRE FM	FORMATION	BÅT GP	6725	197	22	9999-12-31	2013-05-08
6507/6-4 A	1040.000000	1209.000000	BÅT GP	GROUP	\N	6753	22	\N	9999-12-31	2013-05-08
6507/6-4 A	1209.000000	1289.000000	GREY BEDS (INFORMAL)	GROUP	\N	6753	52	\N	9999-12-31	2013-05-08
6507/6-4 A	852.000000	1040.000000	KAI FM	FORMATION	NORDLAND GP	6753	77	113	9999-12-31	2013-05-08
6507/6-4 A	395.000000	852.000000	NAUST FM	FORMATION	NORDLAND GP	6753	109	113	9999-12-31	2013-05-08
6507/6-4 A	395.000000	1040.000000	NORDLAND GP	GROUP	\N	6753	113	\N	9999-12-31	2013-05-08
6507/6-4 A	1289.000000	4652.000000	RED BEDS (INFORMAL)	GROUP	\N	6753	129	\N	9999-12-31	2013-05-08
6507/6-4 A	1040.000000	1209.000000	ÅRE FM	FORMATION	BÅT GP	6753	197	22	9999-12-31	2013-05-08
6507/6-4 A	4652.000000	4895.000000	NO GROUP DEFINED	GROUP	\N	6753	208	\N	9999-12-31	2013-05-08
6507/6-4 A	4895.000000	4957.000000	NO GROUP DEFINED	GROUP	\N	6753	208	\N	9999-12-31	2013-05-08
7228/1-1	416.000000	967.000000	ADVENTDALEN GP	GROUP	\N	6820	1	\N	9999-12-31	2013-05-08
7228/1-1	1034.000000	1137.000000	FRUHOLMEN FM	FORMATION	KAPP TOSCANA GP	6820	46	79	9999-12-31	2013-05-08
7228/1-1	928.000000	967.000000	FUGLEN FM	FORMATION	ADVENTDALEN GP	6820	47	1	9999-12-31	2013-05-08
7228/1-1	881.000000	928.000000	HEKKINGEN FM	FORMATION	ADVENTDALEN GP	6820	63	1	9999-12-31	2013-05-08
7228/1-1	967.000000	1513.000000	KAPP TOSCANA GP	GROUP	\N	6820	79	\N	9999-12-31	2013-05-08
7228/1-1	843.000000	881.000000	KNURR FM	FORMATION	ADVENTDALEN GP	6820	82	1	9999-12-31	2013-05-08
7228/1-1	1513.000000	1714.000000	KOBBE FM	FORMATION	SASSENDALEN GP	6820	83	140	9999-12-31	2013-05-08
7228/1-1	416.000000	843.000000	KOLMULE FM	FORMATION	ADVENTDALEN GP	6820	85	1	9999-12-31	2013-05-08
7228/1-1	391.000000	416.000000	NORDLAND GP	GROUP	\N	6820	113	\N	9999-12-31	2013-05-08
7228/1-1	967.000000	974.000000	NORDMELA FM	FORMATION	KAPP TOSCANA GP	6820	118	79	9999-12-31	2013-05-08
7228/1-1	1513.000000	1714.000000	SASSENDALEN GP	GROUP	\N	6820	140	\N	9999-12-31	2013-05-08
7228/1-1	1137.000000	1513.000000	SNADD FM	FORMATION	KAPP TOSCANA GP	6820	150	79	9999-12-31	2013-05-08
7228/1-1	974.000000	1034.000000	TUBÅEN FM	FORMATION	KAPP TOSCANA GP	6820	174	79	9999-12-31	2013-05-08
7228/1-1	391.000000	416.000000	UNDIFFERENTIATED	FORMATION	\N	6820	182	\N	9999-12-31	2013-05-08
\.



COPY wellbore_mud (wlbname, wlbmd, wlbmudweightatmd, wlbmudviscosityatmd, wlbyieldpointatmd, wlbmudtype, wlbmuddatemeasured, wlbnpdidwellbore, wlbmuddateupdated, datesyncnpd, wellbore_mud_id) FROM stdin;
1/2-1	171.000000	1.040000	0.000000	0.000000	WATER BASED	1989-03-29	1382	9999-12-31	2013-05-08	1
1/2-1	279.000000	1.040000	0.000000	0.000000	WATER BASED	1989-03-29	1382	9999-12-31	2013-05-08	2
1/2-1	546.000000	1.040000	0.000000	0.000000	WATER BASED	1989-03-29	1382	9999-12-31	2013-05-08	3
1/2-1	564.000000	1.040000	0.000000	0.000000	WATER BASED	1989-03-29	1382	9999-12-31	2013-05-08	4
1/2-1	648.000000	1.040000	0.000000	0.000000	WATER BASED	1989-03-29	1382	9999-12-31	2013-05-08	5
1/2-1	650.000000	1.040000	0.000000	0.000000	WATER BASED	1989-03-29	1382	9999-12-31	2013-05-08	6
1/2-1	651.000000	1.050000	14.000000	5.700000	WATER BASED	1989-03-30	1382	9999-12-31	2013-05-08	7
1/2-1	1197.000000	1.160000	62.000000	1.900000	WATER BASED	1989-03-31	1382	9999-12-31	2013-05-08	8
1/2-1	1531.000000	1.440000	35.000000	3.800000	WATER BASED	1989-04-03	1382	9999-12-31	2013-05-08	9
1/2-1	1531.000000	1.440000	8.000000	16.300000	WATER BASED	1989-04-03	1382	9999-12-31	2013-05-08	10
1/2-1	1531.000000	1.440000	9.000000	14.400000	WATER BASED	1989-04-03	1382	9999-12-31	2013-05-08	11
1/2-1	1531.000000	1.440000	21.000000	3.400000	WATER BASED	1989-04-04	1382	9999-12-31	2013-05-08	12
1/2-1	1783.000000	1.440000	20.000000	3.800000	WATER BASED	1989-04-05	1382	9999-12-31	2013-05-08	13
1/2-1	2199.000000	1.500000	23.000000	10.500000	WATER BASED	1989-04-06	1382	9999-12-31	2013-05-08	14
1/2-1	2504.000000	1.530000	20.000000	9.600000	WATER BASED	1989-04-07	1382	9999-12-31	2013-05-08	15
1/2-1	2906.000000	1.580000	19.000000	11.000000	WATER BASED	1989-04-10	1382	9999-12-31	2013-05-08	16
1/2-1	3050.000000	1.620000	11.000000	7.700000	WATER BASED	1989-04-10	1382	9999-12-31	2013-05-08	17
1/2-1	3056.000000	1.620000	15.000000	7.700000	WATER BASED	1989-04-11	1382	9999-12-31	2013-05-08	18
1/2-1	3056.000000	1.620000	15.000000	7.700000	WATER BASED	1989-04-11	1382	9999-12-31	2013-05-08	19
1/2-1	3056.000000	1.640000	11.000000	5.700000	WATER BASED	1989-04-12	1382	9999-12-31	2013-05-08	20
1/2-1	3056.000000	1.640000	13.000000	5.700000	WATER BASED	1989-04-14	1382	9999-12-31	2013-05-08	21
1/2-1	3056.000000	1.640000	13.000000	4.800000	WATER BASED	1989-04-17	1382	9999-12-31	2013-05-08	22
1/2-1	3056.000000	1.640000	13.000000	4.800000	WATER BASED	1989-04-17	1382	9999-12-31	2013-05-08	23
1/2-1	3056.000000	1.640000	13.000000	4.800000	WATER BASED	1989-04-17	1382	9999-12-31	2013-05-08	24
1/2-1	3056.000000	1.640000	12.000000	5.700000	WATER BASED	1989-04-13	1382	9999-12-31	2013-05-08	25
1/2-1	3056.000000	1.620000	14.000000	7.200000	WATER BASED	1989-04-10	1382	9999-12-31	2013-05-08	26
1/2-1	3059.000000	1.610000	18.000000	6.200000	WATER BASED	1989-04-27	1382	9999-12-31	2013-05-08	27
1/2-1	3071.000000	1.610000	15.000000	4.800000	WATER BASED	1989-04-26	1382	9999-12-31	2013-05-08	28
1/2-1	3109.000000	1.640000	16.000000	8.100000	WATER BASED	1989-04-17	1382	9999-12-31	2013-05-08	29
1/2-1	3109.000000	1.640000	14.000000	7.700000	WATER BASED	1989-04-17	1382	9999-12-31	2013-05-08	30
1/2-1	3109.000000	1.640000	14.000000	7.700000	WATER BASED	1989-04-17	1382	9999-12-31	2013-05-08	31
1/2-1	3109.000000	1.640000	16.000000	8.100000	WATER BASED	1989-04-17	1382	9999-12-31	2013-05-08	32
1/2-1	3109.000000	1.640000	14.000000	7.700000	WATER BASED	1989-04-17	1382	9999-12-31	2013-05-08	33
1/2-1	3109.000000	1.640000	16.000000	8.100000	WATER BASED	1989-04-17	1382	9999-12-31	2013-05-08	34
1/2-1	3114.000000	1.640000	16.000000	7.200000	WATER BASED	1989-04-19	1382	9999-12-31	2013-05-08	35
1/2-1	3117.000000	1.610000	18.000000	6.700000	WATER BASED	1989-04-28	1382	9999-12-31	2013-05-08	36
1/2-1	3125.000000	1.640000	19.000000	8.100000	WATER BASED	1989-04-19	1382	9999-12-31	2013-05-08	37
1/2-1	3126.000000	1.630000	19.000000	6.700000	WATER BASED	1989-04-20	1382	9999-12-31	2013-05-08	38
1/2-1	3144.000000	1.610000	21.000000	4.800000	WATER BASED	1989-05-02	1382	9999-12-31	2013-05-08	39
1/2-1	3154.000000	1.620000	20.000000	5.700000	WATER BASED	1989-04-21	1382	9999-12-31	2013-05-08	40
1/2-1	3160.000000	1.610000	21.000000	6.700000	WATER BASED	1989-04-24	1382	9999-12-31	2013-05-08	41
1/2-1	3160.000000	1.610000	21.000000	6.700000	WATER BASED	1989-05-02	1382	9999-12-31	2013-05-08	42
1/2-1	3164.000000	1.610000	19.000000	5.700000	WATER BASED	1989-04-26	1382	9999-12-31	2013-05-08	43
1/2-1	3164.000000	1.610000	18.000000	6.200000	WATER BASED	1989-04-24	1382	9999-12-31	2013-05-08	44
1/2-1	3164.000000	1.610000	18.000000	5.700000	WATER BASED	1989-04-24	1382	9999-12-31	2013-05-08	45
1/2-1	3170.000000	1.610000	22.000000	6.200000	WATER BASED	1989-05-02	1382	9999-12-31	2013-05-08	46
1/2-1	3185.000000	1.090000	6.000000	5.300000	WATER BASED	1989-05-22	1382	9999-12-31	2013-05-08	47
1/2-1	3247.000000	1.580000	23.000000	6.200000	WATER BASED	1989-05-02	1382	9999-12-31	2013-05-08	48
1/2-1	3320.000000	1.560000	22.000000	5.300000	WATER BASED	1989-05-03	1382	9999-12-31	2013-05-08	49
1/2-1	3361.000000	1.570000	21.000000	7.700000	WATER BASED	1989-05-08	1382	9999-12-31	2013-05-08	50
1/2-1	3361.000000	1.570000	22.000000	10.500000	WATER BASED	1989-05-08	1382	9999-12-31	2013-05-08	51
1/2-1	3361.000000	1.560000	20.000000	7.700000	WATER BASED	1989-05-05	1382	9999-12-31	2013-05-08	52
1/2-1	3361.000000	1.560000	22.000000	7.200000	WATER BASED	1989-05-05	1382	9999-12-31	2013-05-08	53
1/2-1	3384.000000	1.570000	21.000000	8.100000	WATER BASED	1989-05-08	1382	9999-12-31	2013-05-08	54
1/2-1	3460.000000	1.560000	19.000000	7.700000	WATER BASED	1989-05-10	1382	9999-12-31	2013-05-08	55
1/2-1	3488.000000	1.570000	21.000000	7.700000	WATER BASED	1989-05-10	1382	9999-12-31	2013-05-08	56
1/2-1	3517.000000	1.590000	17.000000	6.700000	WATER BASED	1989-05-19	1382	9999-12-31	2013-05-08	57
1/2-1	3517.000000	1.380000	14.000000	4.300000	WATER BASED	1989-05-23	1382	9999-12-31	2013-05-08	58
1/2-1	3517.000000	1.380000	13.000000	3.800000	WATER BASED	1989-05-24	1382	9999-12-31	2013-05-08	59
1/2-1	3517.000000	1.380000	12.000000	2.900000	WATER BASED	1989-05-29	1382	9999-12-31	2013-05-08	60
1/2-1	3517.000000	1.380000	12.000000	2.900000	WATER BASED	1989-05-29	1382	9999-12-31	2013-05-08	61
1/2-1	3517.000000	1.380000	12.000000	3.800000	WATER BASED	1989-05-29	1382	9999-12-31	2013-05-08	62
1/2-1	3517.000000	1.380000	16.000000	3.800000	WATER BASED	1989-05-30	1382	9999-12-31	2013-05-08	63
1/2-1	3517.000000	1.380000	12.000000	3.800000	WATER BASED	1989-05-26	1382	9999-12-31	2013-05-08	64
1/2-1	3517.000000	1.440000	14.000000	3.800000	WATER BASED	1989-06-01	1382	9999-12-31	2013-05-08	65
1/2-1	3517.000000	1.440000	14.000000	3.800000	WATER BASED	1989-05-31	1382	9999-12-31	2013-05-08	66
1/2-1	3517.000000	1.440000	0.000000	0.000000	WATER BASED	1989-06-05	1382	9999-12-31	2013-05-08	67
1/2-1	3517.000000	1.590000	17.000000	5.700000	WATER BASED	1989-05-22	1382	9999-12-31	2013-05-08	68
1/2-1	3517.000000	1.380000	13.000000	0.000000	WATER BASED	1989-05-25	1382	9999-12-31	2013-05-08	69
1/2-1	3529.000000	1.560000	18.000000	8.600000	WATER BASED	1989-05-11	1382	9999-12-31	2013-05-08	70
1/2-1	3574.000000	1.590000	22.000000	8.100000	WATER BASED	1989-05-16	1382	9999-12-31	2013-05-08	71
1/2-1	3574.000000	1.590000	21.000000	8.600000	WATER BASED	1989-05-16	1382	9999-12-31	2013-05-08	72
1/2-1	3574.000000	1.590000	21.000000	8.100000	WATER BASED	1989-05-16	1382	9999-12-31	2013-05-08	73
1/2-1	3574.000000	1.590000	21.000000	8.600000	WATER BASED	1989-05-18	1382	9999-12-31	2013-05-08	74
1/2-1	3574.000000	1.590000	19.000000	8.100000	WATER BASED	1989-05-18	1382	9999-12-31	2013-05-08	75
1/2-1	3574.000000	1.590000	17.000000	7.700000	WATER BASED	1989-05-18	1382	9999-12-31	2013-05-08	76
1/2-1	3574.000000	1.570000	19.000000	8.100000	WATER BASED	1989-05-12	1382	9999-12-31	2013-05-08	77
1/2-2	130.000000	1.550000	88.000000	0.000000	OIL BASED	9999-12-31	5192	9999-12-31	2013-05-08	78
1/2-2	176.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	5192	9999-12-31	2013-05-08	79
1/2-2	466.000000	1.120000	31.000000	0.000000	WATER BASED	9999-12-31	5192	9999-12-31	2013-05-08	80
1/2-2	703.000000	1.140000	0.000000	0.000000	WATER BASED	9999-12-31	5192	9999-12-31	2013-05-08	81
1/2-2	1377.000000	1.550000	88.000000	0.000000	OIL BASED	9999-12-31	5192	9999-12-31	2013-05-08	82
1/2-2	1492.000000	1.550000	85.000000	0.000000	WATER BASED	9999-12-31	5192	9999-12-31	2013-05-08	83
1/2-2	1707.000000	1.540000	0.000000	0.000000	OIL BASED	9999-12-31	5192	9999-12-31	2013-05-08	84
1/2-2	2838.000000	1.540000	0.000000	0.000000	OIL BASED	9999-12-31	5192	9999-12-31	2013-05-08	85
1/2-2	2960.000000	1.580000	85.000000	0.000000	OIL BASED	9999-12-31	5192	9999-12-31	2013-05-08	86
1/2-2	3434.000000	1.580000	76.000000	0.000000	OIL BASED	9999-12-31	5192	9999-12-31	2013-05-08	87
1/3-1	415.000000	1.070000	42.000000	0.000000	waterbased	9999-12-31	154	9999-12-31	2013-05-08	88
1/3-1	861.000000	1.120000	48.000000	0.000000	waterbased	9999-12-31	154	9999-12-31	2013-05-08	89
1/3-1	1218.000000	1.130000	43.000000	0.000000	waterbased	9999-12-31	154	9999-12-31	2013-05-08	90
1/3-1	1534.000000	1.180000	45.000000	0.000000	waterbased	9999-12-31	154	9999-12-31	2013-05-08	91
1/3-1	2034.000000	1.310000	49.000000	0.000000	waterbased	9999-12-31	154	9999-12-31	2013-05-08	92
1/3-1	2455.000000	1.340000	46.000000	0.000000	waterbased	9999-12-31	154	9999-12-31	2013-05-08	93
1/3-1	3127.000000	1.530000	48.000000	0.000000	waterbased	9999-12-31	154	9999-12-31	2013-05-08	94
1/3-1	3409.000000	1.560000	47.000000	0.000000	waterbased	9999-12-31	154	9999-12-31	2013-05-08	95
1/3-1	4220.000000	1.600000	48.000000	0.000000	waterbased	9999-12-31	154	9999-12-31	2013-05-08	96
1/3-10	211.000000	1.040000	10.000000	0.000000	SPUD MUD	9999-12-31	5614	9999-12-31	2013-05-08	97
1/3-10	225.000000	1.040000	10.000000	0.000000	SPUD MUD	9999-12-31	5614	9999-12-31	2013-05-08	98
1/3-10	426.000000	1.040000	21.000000	0.000000	SPUD MUD	9999-12-31	5614	9999-12-31	2013-05-08	99
1/3-10	805.000000	1.040000	11.000000	0.000000	SPUD MUD	9999-12-31	5614	9999-12-31	2013-05-08	100
1/3-10	816.000000	1.200000	15.000000	0.000000	SPUD MUD	9999-12-31	5614	9999-12-31	2013-05-08	101
1/3-10	1252.000000	0.000000	0.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	102
1/3-10	1300.000000	1.750000	49.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	103
1/3-10	1300.000000	1.300000	17.000000	0.000000	POLYMER	9999-12-31	5614	9999-12-31	2013-05-08	104
1/3-10	1732.000000	1.750000	47.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	105
1/3-10	1964.000000	1.750000	49.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	106
1/3-10	2272.000000	1.600000	46.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	107
1/3-10	2920.000000	1.750000	46.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	108
1/3-10	2949.000000	1.750000	513.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	109
1/3-10	2954.000000	1.730000	41.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	110
1/3-10	3126.000000	1.730000	49.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	111
1/3-10	3158.000000	1.750000	46.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	112
1/3-10	3176.000000	1.730000	47.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	113
1/3-10	3232.000000	1.390000	35.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	114
1/3-10	3288.000000	1.390000	37.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	115
1/3-10	3288.000000	1.390000	34.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	116
1/3-10	3355.000000	1.710000	46.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	117
1/3-10	3382.000000	1.680000	46.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	118
1/3-10	3537.000000	1.660000	49.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	119
1/3-10	3632.000000	1.660000	47.000000	0.000000	OIL (REGULAR)	9999-12-31	5614	9999-12-31	2013-05-08	120
1/3-11	825.000000	1.200000	0.000000	0.000000	SW/PHB	9999-12-31	5806	9999-12-31	2013-05-08	121
1/3-11	1306.000000	1.700000	0.000000	0.000000	KCL-Polymer	9999-12-31	5806	9999-12-31	2013-05-08	122
1/3-11	3595.000000	1.720000	0.000000	0.000000	Carbo OBM	9999-12-31	5806	9999-12-31	2013-05-08	123
1/3-12 S	219.000000	1.600000	16.000000	0.000000	Gel-Chem	9999-12-31	6260	9999-12-31	2013-05-08	124
1/3-12 S	219.000000	1.030000	17.000000	0.000000	Gel-Chem	9999-12-31	6260	9999-12-31	2013-05-08	125
1/3-12 S	219.000000	1.320000	13.000000	0.000000	Gel-Chem	9999-12-31	6260	9999-12-31	2013-05-08	126
1/3-12 S	1016.000000	1.670000	49.000000	0.000000	CarboSEA	9999-12-31	6260	9999-12-31	2013-05-08	127
1/3-12 S	1150.000000	1.650000	36.000000	0.000000	CarboSEA	9999-12-31	6260	9999-12-31	2013-05-08	128
1/3-12 S	1150.000000	1.140000	10.000000	0.000000	Gel-Chem	9999-12-31	6260	9999-12-31	2013-05-08	129
1/3-12 S	1928.000000	1.670000	42.000000	0.000000	CarboSEA	9999-12-31	6260	9999-12-31	2013-05-08	130
1/3-12 S	3002.000000	1.670000	43.000000	0.000000	CarboSEA	9999-12-31	6260	9999-12-31	2013-05-08	131
1/3-12 S	3250.000000	1.910000	63.000000	0.000000	CarboSEA	9999-12-31	6260	9999-12-31	2013-05-08	132
1/3-12 S	3594.000000	1.670000	45.000000	0.000000	CarboSEA	9999-12-31	6260	9999-12-31	2013-05-08	133
1/3-12 S	4207.000000	1.690000	45.000000	0.000000	CarboSEA	9999-12-31	6260	9999-12-31	2013-05-08	134
1/3-12 S	4207.000000	1.670000	51.000000	0.000000	CarboSEA	9999-12-31	6260	9999-12-31	2013-05-08	135
1/3-12 S	4893.000000	1.860000	55.000000	0.000000	CarboSEA	9999-12-31	6260	9999-12-31	2013-05-08	136
1/3-12 S	5412.000000	2.090000	5.000000	0.000000	CarboSEA	9999-12-31	6260	9999-12-31	2013-05-08	137
1/3-12 S	5592.000000	2.240000	51.000000	0.000000	Enviromul	9999-12-31	6260	9999-12-31	2013-05-08	138
1/3-12 S	5876.000000	2.220000	49.000000	0.000000	CarboSEA	9999-12-31	6260	9999-12-31	2013-05-08	139
1/3-12 S	5903.000000	2.220000	47.000000	0.000000	Enviromul	9999-12-31	6260	9999-12-31	2013-05-08	140
1/3-12 S	5931.000000	2.220000	49.000000	0.000000	wvjobreportmudchk.mudtyp	9999-12-31	6260	9999-12-31	2013-05-08	141
1/3-2	147.000000	1.070000	120.000000	0.000000	waterbased	9999-12-31	165	9999-12-31	2013-05-08	142
1/3-2	381.000000	1.100000	100.000000	0.000000	waterbased	9999-12-31	165	9999-12-31	2013-05-08	143
1/3-2	831.000000	1.420000	64.000000	0.000000	waterbased	9999-12-31	165	9999-12-31	2013-05-08	144
1/3-2	1530.000000	1.440000	49.000000	0.000000	waterbased	9999-12-31	165	9999-12-31	2013-05-08	145
1/3-2	2209.000000	1.490000	54.000000	0.000000	waterbased	9999-12-31	165	9999-12-31	2013-05-08	146
1/3-2	2824.000000	1.610000	57.000000	0.000000	waterbased	9999-12-31	165	9999-12-31	2013-05-08	147
1/3-2	3185.000000	1.730000	51.000000	0.000000	waterbased	9999-12-31	165	9999-12-31	2013-05-08	148
1/3-2	3779.000000	1.610000	52.000000	0.000000	waterbased	9999-12-31	165	9999-12-31	2013-05-08	149
1/3-2	4281.000000	1.600000	44.000000	0.000000	waterbased	9999-12-31	165	9999-12-31	2013-05-08	150
1/3-3	160.000000	1.070000	46.000000	0.000000	waterbased	9999-12-31	87	9999-12-31	2013-05-08	151
1/3-3	330.000000	1.100000	50.000000	0.000000	waterbased	9999-12-31	87	9999-12-31	2013-05-08	152
1/3-3	710.000000	1.130000	65.000000	0.000000	waterbased	9999-12-31	87	9999-12-31	2013-05-08	153
1/3-3	850.000000	1.160000	48.000000	0.000000	waterbased	9999-12-31	87	9999-12-31	2013-05-08	154
1/3-3	1260.000000	1.180000	54.000000	0.000000	waterbased	9999-12-31	87	9999-12-31	2013-05-08	155
1/3-3	1490.000000	1.230000	30.000000	0.000000	waterbased	9999-12-31	87	9999-12-31	2013-05-08	156
1/3-3	1840.000000	1.430000	55.000000	0.000000	waterbased	9999-12-31	87	9999-12-31	2013-05-08	157
1/3-3	2250.000000	1.500000	70.000000	0.000000	waterbased	9999-12-31	87	9999-12-31	2013-05-08	158
1/3-3	3420.000000	1.550000	38.000000	0.000000	waterbased	9999-12-31	87	9999-12-31	2013-05-08	159
1/3-3	4850.000000	1.570000	55.000000	0.000000	waterbased	9999-12-31	87	9999-12-31	2013-05-08	160
1/3-4	820.000000	1.150000	60.000000	0.000000	waterbased	9999-12-31	2	9999-12-31	2013-05-08	161
1/3-4	1195.000000	1.300000	0.000000	0.000000	waterbased	9999-12-31	2	9999-12-31	2013-05-08	162
1/3-4	1470.000000	1.350000	50.000000	0.000000	waterbased	9999-12-31	2	9999-12-31	2013-05-08	163
1/3-4	1610.000000	1.580000	36.000000	0.000000	waterbased	9999-12-31	2	9999-12-31	2013-05-08	164
1/3-4	1970.000000	1.590000	32.000000	0.000000	waterbased	9999-12-31	2	9999-12-31	2013-05-08	165
1/3-4	2340.000000	1.830000	40.000000	0.000000	waterbased	9999-12-31	2	9999-12-31	2013-05-08	166
1/3-4	2920.000000	1.620000	40.000000	0.000000	waterbased	9999-12-31	2	9999-12-31	2013-05-08	167
1/3-4	3010.000000	1.630000	40.000000	0.000000	waterbased	9999-12-31	2	9999-12-31	2013-05-08	168
1/3-5	157.000000	1.030000	0.000000	0.000000	WATER BASED	1984-10-03	223	9999-12-31	2013-05-08	169
1/3-5	160.000000	1.030000	0.000000	0.000000	WATER BASED	1984-10-03	223	9999-12-31	2013-05-08	170
1/3-5	162.000000	1.030000	0.000000	0.000000	WATER BASED	1984-10-08	223	9999-12-31	2013-05-08	171
1/3-5	169.000000	1.030000	0.000000	0.000000	WATER BASED	1984-10-08	223	9999-12-31	2013-05-08	172
1/3-5	450.000000	1.030000	0.000000	0.000000	WATER BASED	1984-10-08	223	9999-12-31	2013-05-08	173
1/3-5	735.000000	1.090000	52.000000	34.000000	WATER BASED	1984-10-08	223	9999-12-31	2013-05-08	174
1/3-5	1091.000000	1.120000	9.000000	36.000000	WATER BASED	1984-10-08	223	9999-12-31	2013-05-08	175
1/3-5	1195.000000	1.110000	5.000000	24.000000	WATER BASED	1984-10-09	223	9999-12-31	2013-05-08	176
1/3-5	1195.000000	1.120000	0.000000	0.000000	WATER BASED	1984-10-10	223	9999-12-31	2013-05-08	177
1/3-5	1195.000000	1.140000	0.000000	0.000000	WATER BASED	1984-10-11	223	9999-12-31	2013-05-08	178
1/3-5	1195.000000	1.140000	0.000000	0.000000	WATER BASED	1984-10-14	223	9999-12-31	2013-05-08	179
1/3-5	1195.000000	1.140000	0.000000	0.000000	WATER BASED	1984-10-15	223	9999-12-31	2013-05-08	180
1/3-5	1195.000000	1.030000	0.000000	0.000000	WATER BASED	1984-10-17	223	9999-12-31	2013-05-08	181
1/3-5	1195.000000	1.110000	5.000000	24.000000	WATER BASED	1984-10-09	223	9999-12-31	2013-05-08	182
1/3-5	1195.000000	1.120000	0.000000	0.000000	WATER BASED	1984-10-10	223	9999-12-31	2013-05-08	183
1/3-5	1195.000000	1.140000	0.000000	0.000000	WATER BASED	1984-10-11	223	9999-12-31	2013-05-08	184
1/3-5	1195.000000	1.140000	0.000000	0.000000	WATER BASED	1984-10-14	223	9999-12-31	2013-05-08	185
1/3-5	1195.000000	1.140000	0.000000	0.000000	WATER BASED	1984-10-15	223	9999-12-31	2013-05-08	186
1/3-5	1195.000000	1.130000	13.000000	32.000000	WATER BASED	1984-10-08	223	9999-12-31	2013-05-08	187
1/3-5	1195.000000	1.030000	0.000000	0.000000	WATER BASED	1984-10-17	223	9999-12-31	2013-05-08	188
1/3-5	1292.000000	1.250000	0.000000	0.000000	WATER BASED	1984-10-17	223	9999-12-31	2013-05-08	189
1/3-5	1410.000000	1.300000	18.000000	18.000000	WATER BASED	1984-10-18	223	9999-12-31	2013-05-08	190
1/3-5	1640.000000	1.500000	28.000000	17.000000	WATER BASED	1984-10-21	223	9999-12-31	2013-05-08	191
1/3-5	1650.000000	1.500000	35.000000	9.000000	WATER BASED	1984-10-21	223	9999-12-31	2013-05-08	192
1/3-5	1841.000000	1.650000	50.000000	16.000000	WATER BASED	1984-10-21	223	9999-12-31	2013-05-08	193
1/3-5	2051.000000	1.700000	40.000000	10.000000	WATER BASED	1984-10-22	223	9999-12-31	2013-05-08	194
1/3-5	2186.000000	1.700000	26.000000	10.000000	WATER BASED	1984-10-23	223	9999-12-31	2013-05-08	195
1/3-5	2339.000000	1.700000	38.000000	6.000000	WATER BASED	1984-10-24	223	9999-12-31	2013-05-08	196
1/3-5	2470.000000	1.700000	23.000000	13.000000	WATER BASED	1984-10-25	223	9999-12-31	2013-05-08	197
1/3-5	2470.000000	1.700000	26.000000	6.000000	WATER BASED	1984-10-29	223	9999-12-31	2013-05-08	198
1/3-5	2470.000000	1.700000	23.000000	6.000000	WATER BASED	1984-10-29	223	9999-12-31	2013-05-08	199
1/3-5	2470.000000	1.700000	30.000000	6.000000	WATER BASED	1984-10-30	223	9999-12-31	2013-05-08	200
1/3-5	2470.000000	1.700000	21.000000	8.000000	WATER BASED	1984-10-31	223	9999-12-31	2013-05-08	201
1/3-5	2470.000000	1.680000	22.000000	8.000000	WATER BASED	1984-11-01	223	9999-12-31	2013-05-08	202
1/3-5	2470.000000	1.680000	22.000000	8.000000	WATER BASED	1984-11-02	223	9999-12-31	2013-05-08	203
1/3-5	2470.000000	1.700000	20.000000	14.000000	WATER BASED	1984-11-05	223	9999-12-31	2013-05-08	204
1/3-5	2470.000000	1.700000	21.000000	14.000000	WATER BASED	1984-11-05	223	9999-12-31	2013-05-08	205
1/3-5	2470.000000	1.680000	22.000000	8.000000	WATER BASED	1984-11-01	223	9999-12-31	2013-05-08	206
1/3-5	2470.000000	1.680000	22.000000	8.000000	WATER BASED	1984-11-02	223	9999-12-31	2013-05-08	207
1/3-5	2470.000000	1.700000	20.000000	14.000000	WATER BASED	1984-11-05	223	9999-12-31	2013-05-08	208
1/3-5	2470.000000	1.700000	21.000000	14.000000	WATER BASED	1984-11-05	223	9999-12-31	2013-05-08	209
1/3-5	2470.000000	1.700000	26.000000	6.000000	WATER BASED	1984-10-29	223	9999-12-31	2013-05-08	210
1/3-5	2470.000000	1.700000	23.000000	6.000000	WATER BASED	1984-10-29	223	9999-12-31	2013-05-08	211
1/3-5	2470.000000	1.700000	31.000000	8.000000	WATER BASED	1984-10-29	223	9999-12-31	2013-05-08	212
1/3-5	2470.000000	1.700000	30.000000	6.000000	WATER BASED	1984-10-30	223	9999-12-31	2013-05-08	213
1/3-5	2470.000000	1.700000	21.000000	8.000000	WATER BASED	1984-10-31	223	9999-12-31	2013-05-08	214
1/3-5	2470.000000	1.700000	31.000000	8.000000	WATER BASED	1984-10-29	223	9999-12-31	2013-05-08	215
1/3-5	2665.000000	1.700000	25.000000	8.000000	WATER BASED	1984-11-06	223	9999-12-31	2013-05-08	216
1/3-5	2840.000000	1.700000	36.000000	13.000000	WATER BASED	1984-11-06	223	9999-12-31	2013-05-08	217
1/3-5	2873.000000	1.700000	46.000000	22.000000	WATER BASED	1984-11-07	223	9999-12-31	2013-05-08	218
1/3-5	2980.000000	1.710000	39.000000	18.000000	WATER BASED	1984-11-08	223	9999-12-31	2013-05-08	219
1/3-5	3049.000000	1.700000	43.000000	20.000000	WATER BASED	1984-11-09	223	9999-12-31	2013-05-08	220
1/3-5	3089.000000	1.700000	39.000000	23.000000	WATER BASED	1984-11-12	223	9999-12-31	2013-05-08	221
1/3-5	3103.000000	1.700000	39.000000	20.000000	WATER BASED	1984-11-12	223	9999-12-31	2013-05-08	222
1/3-5	3161.000000	1.700000	39.000000	20.000000	WATER BASED	1984-11-12	223	9999-12-31	2013-05-08	223
1/3-5	3246.000000	1.700000	40.000000	18.000000	WATER BASED	1984-11-13	223	9999-12-31	2013-05-08	224
1/3-5	3269.000000	1.700000	39.000000	18.000000	WATER BASED	1984-11-15	223	9999-12-31	2013-05-08	225
1/3-5	3342.000000	1.700000	35.000000	15.000000	WATER BASED	1984-11-15	223	9999-12-31	2013-05-08	226
1/3-5	3365.000000	1.700000	30.000000	15.000000	WATER BASED	1984-11-16	223	9999-12-31	2013-05-08	227
1/3-5	3428.000000	1.700000	29.000000	14.000000	WATER BASED	1984-11-19	223	9999-12-31	2013-05-08	228
1/3-5	3513.000000	1.700000	28.000000	13.000000	WATER BASED	1984-11-19	223	9999-12-31	2013-05-08	229
1/3-5	3563.000000	1.700000	29.000000	12.000000	WATER BASED	1984-11-19	223	9999-12-31	2013-05-08	230
1/3-5	3563.000000	1.700000	30.000000	18.000000	WATER BASED	1984-11-20	223	9999-12-31	2013-05-08	231
1/3-5	3563.000000	1.700000	30.000000	18.000000	WATER BASED	1984-11-21	223	9999-12-31	2013-05-08	232
1/3-5	3563.000000	1.700000	28.000000	11.000000	WATER BASED	1984-11-22	223	9999-12-31	2013-05-08	233
1/3-5	3563.000000	1.700000	30.000000	18.000000	WATER BASED	1984-11-20	223	9999-12-31	2013-05-08	234
1/3-5	3563.000000	1.700000	30.000000	18.000000	WATER BASED	1984-11-21	223	9999-12-31	2013-05-08	235
1/3-5	3563.000000	1.700000	28.000000	11.000000	WATER BASED	1984-11-22	223	9999-12-31	2013-05-08	236
1/3-5	3628.000000	1.700000	27.000000	14.000000	WATER BASED	1984-11-23	223	9999-12-31	2013-05-08	237
1/3-5	3646.000000	1.700000	25.000000	11.000000	WATER BASED	1984-11-26	223	9999-12-31	2013-05-08	238
1/3-5	3745.000000	1.700000	32.000000	15.000000	WATER BASED	1984-11-26	223	9999-12-31	2013-05-08	239
1/3-5	3849.000000	1.700000	32.000000	19.000000	WATER BASED	1984-11-26	223	9999-12-31	2013-05-08	240
1/3-5	3957.000000	1.700000	40.000000	20.000000	WATER BASED	1984-11-27	223	9999-12-31	2013-05-08	241
1/3-5	4040.000000	1.720000	35.000000	19.000000	WATER BASED	1984-11-28	223	9999-12-31	2013-05-08	242
1/3-5	4107.000000	1.750000	34.000000	15.000000	WATER BASED	1984-11-29	223	9999-12-31	2013-05-08	243
1/3-5	4138.000000	1.800000	39.000000	18.000000	WATER BASED	1984-12-04	223	9999-12-31	2013-05-08	244
1/3-5	4138.000000	1.800000	38.000000	16.000000	WATER BASED	1984-12-04	223	9999-12-31	2013-05-08	245
1/3-5	4138.000000	1.800000	31.000000	15.000000	WATER BASED	1984-12-04	223	9999-12-31	2013-05-08	246
1/3-5	4138.000000	1.800000	38.000000	18.000000	WATER BASED	1984-12-05	223	9999-12-31	2013-05-08	247
1/3-5	4138.000000	1.810000	38.000000	19.000000	WATER BASED	1984-12-07	223	9999-12-31	2013-05-08	248
1/3-5	4138.000000	1.810000	33.000000	16.000000	WATER BASED	1984-12-10	223	9999-12-31	2013-05-08	249
1/3-5	4138.000000	1.810000	34.000000	15.000000	WATER BASED	1984-12-10	223	9999-12-31	2013-05-08	250
1/3-5	4138.000000	1.800000	38.000000	18.000000	WATER BASED	1984-12-06	223	9999-12-31	2013-05-08	251
1/3-5	4138.000000	1.810000	38.000000	19.000000	WATER BASED	1984-12-10	223	9999-12-31	2013-05-08	252
1/3-5	4138.000000	1.800000	26.000000	14.000000	WATER BASED	1984-12-11	223	9999-12-31	2013-05-08	253
1/3-5	4138.000000	1.800000	39.000000	18.000000	WATER BASED	1984-12-04	223	9999-12-31	2013-05-08	254
1/3-5	4138.000000	1.800000	31.000000	15.000000	WATER BASED	1984-12-04	223	9999-12-31	2013-05-08	255
1/3-5	4138.000000	1.800000	38.000000	18.000000	WATER BASED	1984-12-05	223	9999-12-31	2013-05-08	256
1/3-5	4138.000000	1.800000	38.000000	18.000000	WATER BASED	1984-12-06	223	9999-12-31	2013-05-08	257
1/3-5	4138.000000	1.810000	38.000000	19.000000	WATER BASED	1984-12-07	223	9999-12-31	2013-05-08	258
1/3-5	4138.000000	1.810000	33.000000	16.000000	WATER BASED	1984-12-10	223	9999-12-31	2013-05-08	259
1/3-5	4138.000000	1.810000	34.000000	15.000000	WATER BASED	1984-12-10	223	9999-12-31	2013-05-08	260
1/3-5	4138.000000	1.800000	39.000000	18.000000	WATER BASED	1984-11-30	223	9999-12-31	2013-05-08	261
1/3-5	4138.000000	1.800000	38.000000	16.000000	WATER BASED	1984-12-04	223	9999-12-31	2013-05-08	262
1/3-5	4138.000000	1.810000	38.000000	19.000000	WATER BASED	1984-12-10	223	9999-12-31	2013-05-08	263
1/3-5	4138.000000	1.800000	26.000000	14.000000	WATER BASED	1984-12-11	223	9999-12-31	2013-05-08	264
1/3-5	4149.000000	1.800000	18.000000	12.000000	WATER BASED	1984-12-12	223	9999-12-31	2013-05-08	265
1/3-5	4235.000000	1.810000	26.000000	11.000000	WATER BASED	1984-12-12	223	9999-12-31	2013-05-08	266
1/3-5	4283.000000	1.950000	33.000000	15.000000	WATER BASED	1984-12-17	223	9999-12-31	2013-05-08	267
1/3-5	4329.000000	2.000000	37.000000	19.000000	WATER BASED	1984-12-17	223	9999-12-31	2013-05-08	268
1/3-5	4329.000000	2.000000	28.000000	17.000000	WATER BASED	1984-12-17	223	9999-12-31	2013-05-08	269
1/3-5	4329.000000	2.000000	28.000000	17.000000	WATER BASED	1984-12-17	223	9999-12-31	2013-05-08	270
1/3-5	4364.000000	2.020000	27.000000	15.000000	WATER BASED	1984-12-17	223	9999-12-31	2013-05-08	271
1/3-5	4395.000000	2.080000	33.000000	20.000000	WATER BASED	1984-12-19	223	9999-12-31	2013-05-08	272
1/3-5	4395.000000	0.000000	36.000000	15.000000	WATER BASED	1984-12-19	223	9999-12-31	2013-05-08	273
1/3-5	4395.000000	2.080000	36.000000	15.000000	WATER BASED	1984-12-20	223	9999-12-31	2013-05-08	274
1/3-5	4395.000000	2.080000	37.000000	13.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	275
1/3-5	4395.000000	2.080000	38.000000	13.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	276
1/3-5	4395.000000	2.080000	38.000000	14.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	277
1/3-5	4395.000000	2.080000	36.000000	13.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	278
1/3-5	4395.000000	2.080000	38.000000	14.000000	WATER BASED	1984-12-27	223	9999-12-31	2013-05-08	279
1/3-5	4395.000000	2.080000	37.000000	12.000000	WATER BASED	1984-12-27	223	9999-12-31	2013-05-08	280
1/3-5	4395.000000	2.070000	29.000000	10.000000	WATER BASED	1985-01-01	223	9999-12-31	2013-05-08	281
1/3-5	4395.000000	2.080000	31.000000	9.000000	WATER BASED	1985-01-01	223	9999-12-31	2013-05-08	282
1/3-5	4395.000000	2.080000	33.000000	20.000000	WATER BASED	1984-12-18	223	9999-12-31	2013-05-08	283
1/3-5	4395.000000	2.080000	36.000000	15.000000	WATER BASED	1984-12-18	223	9999-12-31	2013-05-08	284
1/3-5	4395.000000	2.080000	36.000000	15.000000	WATER BASED	1984-12-20	223	9999-12-31	2013-05-08	285
1/3-5	4395.000000	2.080000	37.000000	14.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	286
1/3-5	4395.000000	2.080000	38.000000	13.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	287
1/3-5	4395.000000	2.080000	37.000000	13.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	288
1/3-5	4395.000000	2.080000	36.000000	13.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	289
1/3-5	4395.000000	2.080000	38.000000	14.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	290
1/3-5	4395.000000	2.080000	37.000000	12.000000	WATER BASED	1984-12-27	223	9999-12-31	2013-05-08	291
1/3-5	4395.000000	2.070000	29.000000	10.000000	WATER BASED	1985-01-01	223	9999-12-31	2013-05-08	292
1/3-5	4395.000000	2.080000	34.000000	10.000000	WATER BASED	1985-01-01	223	9999-12-31	2013-05-08	293
1/3-5	4395.000000	2.080000	37.000000	14.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	294
1/3-5	4395.000000	2.080000	38.000000	14.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	295
1/3-5	4395.000000	2.080000	34.000000	10.000000	WATER BASED	1985-01-01	223	9999-12-31	2013-05-08	296
1/3-5	4395.000000	2.080000	38.000000	14.000000	WATER BASED	1984-12-26	223	9999-12-31	2013-05-08	297
1/3-5	4395.000000	2.080000	38.000000	14.000000	WATER BASED	1984-12-27	223	9999-12-31	2013-05-08	298
1/3-5	4395.000000	2.080000	31.000000	9.000000	WATER BASED	1985-01-01	223	9999-12-31	2013-05-08	299
1/3-5	4423.000000	2.110000	32.000000	10.000000	WATER BASED	1985-01-01	223	9999-12-31	2013-05-08	300
1/3-5	4467.000000	2.110000	35.000000	11.000000	WATER BASED	1985-01-01	223	9999-12-31	2013-05-08	301
1/3-5	4513.000000	2.110000	32.000000	10.000000	WATER BASED	1985-01-03	223	9999-12-31	2013-05-08	302
1/3-5	4513.000000	2.110000	32.000000	9.000000	WATER BASED	1985-01-02	223	9999-12-31	2013-05-08	303
1/3-5	4513.000000	2.110000	32.000000	10.000000	WATER BASED	1985-01-03	223	9999-12-31	2013-05-08	304
1/3-5	4548.000000	2.110000	28.000000	8.000000	WATER BASED	1985-01-07	223	9999-12-31	2013-05-08	305
1/3-5	4560.000000	2.110000	31.000000	11.000000	WATER BASED	1985-01-07	223	9999-12-31	2013-05-08	306
1/3-5	4592.000000	2.110000	28.000000	8.000000	WATER BASED	1985-01-07	223	9999-12-31	2013-05-08	307
1/3-5	4605.000000	2.110000	27.000000	8.000000	WATER BASED	1985-01-07	223	9999-12-31	2013-05-08	308
1/3-5	4662.000000	2.110000	27.000000	7.000000	WATER BASED	1985-01-09	223	9999-12-31	2013-05-08	309
1/3-5	4710.000000	2.110000	27.000000	9.000000	WATER BASED	1985-01-10	223	9999-12-31	2013-05-08	310
1/3-5	4710.000000	2.110000	26.000000	8.000000	WATER BASED	1985-01-10	223	9999-12-31	2013-05-08	311
1/3-5	4710.000000	2.110000	27.000000	9.000000	WATER BASED	1985-01-14	223	9999-12-31	2013-05-08	312
1/3-5	4710.000000	2.110000	26.000000	8.000000	WATER BASED	1985-01-10	223	9999-12-31	2013-05-08	313
1/3-5	4710.000000	2.110000	27.000000	9.000000	WATER BASED	1985-01-14	223	9999-12-31	2013-05-08	314
1/3-5	4727.000000	2.110000	29.000000	9.000000	WATER BASED	1985-01-14	223	9999-12-31	2013-05-08	315
1/3-5	4762.000000	2.110000	28.000000	8.000000	WATER BASED	1985-01-14	223	9999-12-31	2013-05-08	316
1/3-5	4805.000000	2.110000	28.000000	11.000000	WATER BASED	1985-01-15	223	9999-12-31	2013-05-08	317
1/3-5	4805.000000	2.110000	28.000000	12.000000	WATER BASED	1985-01-16	223	9999-12-31	2013-05-08	318
1/3-5	4805.000000	2.110000	28.000000	12.000000	WATER BASED	1985-01-16	223	9999-12-31	2013-05-08	319
1/3-5	4814.000000	2.110000	28.000000	16.000000	WATER BASED	1985-01-21	223	9999-12-31	2013-05-08	320
1/3-5	4814.000000	2.110000	28.000000	16.000000	WATER BASED	1985-01-21	223	9999-12-31	2013-05-08	321
1/3-5	4814.000000	2.110000	29.000000	14.000000	WATER BASED	1985-01-17	223	9999-12-31	2013-05-08	322
1/3-5	4850.000000	2.110000	29.000000	14.000000	WATER BASED	1985-01-21	223	9999-12-31	2013-05-08	323
1/3-5	4850.000000	2.110000	29.000000	13.000000	WATER BASED	1985-01-21	223	9999-12-31	2013-05-08	324
1/3-5	4850.000000	2.110000	26.000000	10.000000	WATER BASED	1985-01-21	223	9999-12-31	2013-05-08	325
1/3-5	4850.000000	2.110000	28.000000	13.000000	WATER BASED	1985-01-21	223	9999-12-31	2013-05-08	326
1/3-5	4850.000000	2.110000	29.000000	14.000000	WATER BASED	1985-01-21	223	9999-12-31	2013-05-08	327
1/3-5	4850.000000	2.110000	29.000000	13.000000	WATER BASED	1985-01-21	223	9999-12-31	2013-05-08	328
1/3-5	4850.000000	2.110000	28.000000	13.000000	WATER BASED	1985-01-21	223	9999-12-31	2013-05-08	329
1/3-6	361.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	330
1/3-6	550.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	331
1/3-6	857.000000	1.550000	20.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	332
1/3-6	1255.000000	1.390000	38.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	333
1/3-6	1573.000000	1.500000	37.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	334
1/3-6	1600.000000	1.550000	22.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	335
1/3-6	1820.000000	1.700000	41.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	336
1/3-6	1925.000000	1.740000	56.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	337
1/3-6	1930.000000	1.750000	52.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	338
1/3-6	2070.000000	1.750000	63.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	339
1/3-6	2210.000000	1.750000	72.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	340
1/3-6	2263.000000	1.750000	47.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	341
1/3-6	2356.000000	1.750000	40.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	342
1/3-6	2503.000000	1.750000	43.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	343
1/3-6	2589.000000	1.750000	55.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	344
1/3-6	2651.000000	1.750000	58.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	345
1/3-6	2673.000000	1.750000	46.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	346
1/3-6	2680.000000	1.750000	52.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	347
1/3-6	2683.000000	1.750000	35.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	348
1/3-6	2715.000000	1.550000	28.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	349
1/3-6	2731.000000	1.750000	48.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	350
1/3-6	2800.000000	1.750000	48.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	351
1/3-6	2846.000000	1.750000	62.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	352
1/3-6	2850.000000	1.750000	27.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	353
1/3-6	2851.000000	1.750000	45.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	354
1/3-6	2859.000000	1.430000	4.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	355
1/3-6	2863.000000	1.750000	53.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	356
1/3-6	2870.000000	1.750000	45.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	357
1/3-6	2880.000000	1.750000	25.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	358
1/3-6	2888.000000	1.430000	4.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	359
1/3-6	2921.000000	1.750000	33.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	360
1/3-6	2928.000000	1.750000	34.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	361
1/3-6	2958.000000	1.430000	4.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	362
1/3-6	2958.000000	1.430000	4.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	363
1/3-6	2959.000000	1.430000	0.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	364
1/3-6	2994.000000	1.750000	30.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	365
1/3-6	3015.000000	1.400000	0.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	366
1/3-6	3060.000000	1.550000	46.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	367
1/3-6	3061.000000	1.750000	43.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	368
1/3-6	3064.000000	1.550000	33.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	369
1/3-6	3110.000000	1.750000	44.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	370
1/3-6	3150.000000	1.550000	23.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	371
1/3-6	3157.000000	1.750000	28.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	372
1/3-6	3176.000000	1.640000	25.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	373
1/3-6	3200.000000	1.550000	30.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	374
1/3-6	3210.000000	1.600000	24.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	375
1/3-6	3270.000000	1.550000	29.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	376
1/3-6	3300.000000	1.550000	33.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	377
1/3-6	3326.000000	1.550000	30.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	378
1/3-6	3344.000000	1.550000	31.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	379
1/3-6	3388.000000	1.550000	30.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	380
1/3-6	3391.000000	1.550000	30.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	381
1/3-6	3465.000000	1.550000	34.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	382
1/3-6	3529.000000	1.550000	32.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	383
1/3-6	3554.000000	1.550000	34.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	384
1/3-6	3573.000000	1.550000	42.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	385
1/3-6	3586.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	1521	9999-12-31	2013-05-08	386
1/3-7	400.000000	1.760000	0.000000	0.000000	WATER BASED	1995-05-29	2505	9999-12-31	2013-05-08	387
1/3-7	400.000000	1.760000	0.000000	0.000000	WATER BASED	1995-05-29	2505	9999-12-31	2013-05-08	388
1/3-7	518.000000	1.760000	20.000000	24.400000	WATER BASED	1995-05-22	2505	9999-12-31	2013-05-08	389
1/3-7	520.000000	1.760000	22.000000	58.000000	WATER BASED	1995-05-23	2505	9999-12-31	2013-05-08	390
1/3-7	570.000000	1.750000	18.000000	10.500000	WATER BASED	1995-05-24	2505	9999-12-31	2013-05-08	391
1/3-7	758.000000	1.760000	20.000000	9.600000	WATER BASED	1995-05-22	2505	9999-12-31	2013-05-08	392
1/3-7	1000.000000	1.760000	25.000000	6.700000	WATER BASED	1995-04-18	2505	9999-12-31	2013-05-08	393
1/3-7	1585.000000	1.760000	27.000000	8.100000	WATER BASED	1995-05-19	2505	9999-12-31	2013-05-08	394
1/3-7	3074.000000	1.760000	20.000000	13.900000	WATER BASED	1995-04-18	2505	9999-12-31	2013-05-08	395
1/3-7	3074.000000	1.760000	22.000000	5.300000	WATER BASED	1995-04-18	2505	9999-12-31	2013-05-08	396
1/3-7	3074.000000	1.760000	31.000000	8.100000	WATER BASED	1995-04-18	2505	9999-12-31	2013-05-08	397
1/3-7	3074.000000	1.760000	22.000000	14.400000	WATER BASED	1995-04-18	2505	9999-12-31	2013-05-08	398
1/3-7	3075.000000	1.500000	23.000000	10.100000	WATER BASED	1995-04-18	2505	9999-12-31	2013-05-08	399
1/3-7	3137.000000	1.500000	27.000000	11.500000	WATER BASED	1995-04-18	2505	9999-12-31	2013-05-08	400
1/3-7	3163.000000	1.500000	29.000000	12.400000	WATER BASED	1995-04-18	2505	9999-12-31	2013-05-08	401
1/3-7	3182.000000	1.500000	25.000000	10.100000	WATER BASED	1995-04-20	2505	9999-12-31	2013-05-08	402
1/3-7	3188.000000	1.500000	26.000000	10.100000	WATER BASED	1995-04-20	2505	9999-12-31	2013-05-08	403
1/3-7	3205.000000	1.500000	26.000000	21.000000	WATER BASED	1995-04-21	2505	9999-12-31	2013-05-08	404
1/3-7	3223.000000	1.500000	25.000000	9.600000	WATER BASED	1995-04-24	2505	9999-12-31	2013-05-08	405
1/3-7	3251.000000	1.500000	28.000000	10.100000	WATER BASED	1995-04-24	2505	9999-12-31	2013-05-08	406
1/3-7	3251.000000	1.500000	25.000000	9.600000	WATER BASED	1995-04-24	2505	9999-12-31	2013-05-08	407
1/3-7	3307.000000	1.500000	27.000000	10.100000	WATER BASED	1995-04-25	2505	9999-12-31	2013-05-08	408
1/3-7	3345.000000	1.500000	25.000000	8.100000	WATER BASED	1995-04-27	2505	9999-12-31	2013-05-08	409
1/3-7	3345.000000	1.500000	28.000000	10.100000	WATER BASED	1995-04-28	2505	9999-12-31	2013-05-08	410
1/3-7	3345.000000	1.330000	0.000000	0.000000	WATER BASED	1995-05-08	2505	9999-12-31	2013-05-08	411
1/3-7	3345.000000	1.330000	0.000000	0.000000	WATER BASED	1995-05-08	2505	9999-12-31	2013-05-08	412
1/3-7	3345.000000	1.330000	0.000000	0.000000	WATER BASED	1995-05-08	2505	9999-12-31	2013-05-08	413
1/3-7	3345.000000	1.500000	29.000000	10.100000	WATER BASED	1995-05-03	2505	9999-12-31	2013-05-08	414
1/3-7	3345.000000	1.510000	29.000000	11.000000	WATER BASED	1995-05-03	2505	9999-12-31	2013-05-08	415
1/3-7	3345.000000	1.510000	23.000000	10.100000	WATER BASED	1995-05-03	2505	9999-12-31	2013-05-08	416
1/3-7	3345.000000	1.500000	24.000000	10.500000	WATER BASED	1995-05-03	2505	9999-12-31	2013-05-08	417
1/3-7	3345.000000	1.500000	25.000000	10.500000	WATER BASED	1995-05-05	2505	9999-12-31	2013-05-08	418
1/3-7	3345.000000	1.330000	0.000000	0.000000	WATER BASED	1995-05-10	2505	9999-12-31	2013-05-08	419
1/3-7	3345.000000	1.330000	0.000000	0.000000	WATER BASED	1995-05-11	2505	9999-12-31	2013-05-08	420
1/3-7	3345.000000	1.330000	0.000000	0.000000	WATER BASED	1995-05-15	2505	9999-12-31	2013-05-08	421
1/3-7	3345.000000	1.330000	0.000000	0.000000	WATER BASED	1995-05-18	2505	9999-12-31	2013-05-08	422
1/3-7	3345.000000	1.400000	24.000000	7.700000	WATER BASED	1995-05-18	2505	9999-12-31	2013-05-08	423
1/3-7	3345.000000	1.400000	24.000000	7.700000	WATER BASED	1995-05-18	2505	9999-12-31	2013-05-08	424
1/3-7	3345.000000	1.760000	27.000000	8.100000	WATER BASED	1995-05-18	2505	9999-12-31	2013-05-08	425
1/3-7	3345.000000	1.760000	27.000000	8.100000	WATER BASED	1995-05-22	2505	9999-12-31	2013-05-08	426
1/3-7	3345.000000	1.510000	31.000000	12.000000	WATER BASED	1995-05-03	2505	9999-12-31	2013-05-08	427
1/3-7	3345.000000	1.500000	25.000000	10.500000	WATER BASED	1995-05-05	2505	9999-12-31	2013-05-08	428
1/3-7	3345.000000	1.330000	0.000000	0.000000	WATER BASED	1995-05-11	2505	9999-12-31	2013-05-08	429
1/3-7	3345.000000	1.330000	0.000000	0.000000	WATER BASED	1995-05-12	2505	9999-12-31	2013-05-08	430
1/3-7	3345.000000	1.760000	27.000000	8.100000	WATER BASED	1995-05-18	2505	9999-12-31	2013-05-08	431
1/3-8	310.000000	0.900000	5.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	432
1/3-8	351.000000	2.140000	74.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	433
1/3-8	1105.000000	1.520000	46.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	434
1/3-8	1502.000000	1.620000	44.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	435
1/3-8	1959.000000	1.620000	44.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	436
1/3-8	2442.000000	1.660000	45.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	437
1/3-8	2451.000000	1.640000	43.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	438
1/3-8	2465.000000	1.640000	46.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	439
1/3-8	2622.000000	1.640000	55.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	440
1/3-8	2920.000000	1.530000	28.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	441
1/3-8	3045.000000	1.640000	49.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	442
1/3-8	3065.000000	1.640000	46.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	443
1/3-8	3199.000000	1.640000	41.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	444
1/3-8	3200.000000	1.640000	40.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	445
1/3-8	3297.000000	1.640000	35.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	446
1/3-8	3366.000000	1.640000	36.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	447
1/3-8	3410.000000	1.530000	35.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	448
1/3-8	3435.000000	1.550000	29.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	449
1/3-8	3445.000000	1.640000	36.000000	0.000000	water based	9999-12-31	2829	9999-12-31	2013-05-08	450
1/3-8	3687.000000	1.550000	33.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	451
1/3-8	4104.000000	1.550000	36.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	452
1/3-8	4242.000000	1.550000	37.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	453
1/3-8	4290.000000	2.140000	74.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	454
1/3-8	4401.000000	1.680000	43.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	455
1/3-8	4463.000000	1.800000	56.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	456
1/3-8	4500.000000	1.810000	60.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	457
1/3-8	4529.000000	1.740000	37.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	458
1/3-8	4531.000000	1.030000	35.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	459
1/3-8	4654.000000	2.000000	54.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	460
1/3-8	4866.000000	2.040000	68.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	461
1/3-8	4905.000000	2.040000	60.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	462
1/3-8	4960.000000	2.100000	68.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	463
1/3-8	5053.000000	2.100000	68.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	464
1/3-8	5179.000000	2.100000	65.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	465
1/3-8	5201.000000	2.140000	74.000000	0.000000	oil based	9999-12-31	2829	9999-12-31	2013-05-08	466
1/3-9 S	160.000000	1.030000	1.000000	0.000000	WATERBASED	9999-12-31	3362	9999-12-31	2013-05-08	467
1/3-9 S	501.000000	1.030000	1.000000	0.000000	WATERBASED	9999-12-31	3362	9999-12-31	2013-05-08	468
1/3-9 S	1050.000000	1.250000	1.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	469
1/3-9 S	1658.000000	1.300000	16.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	470
1/3-9 S	1920.000000	1.700000	25.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	471
1/3-9 S	2180.000000	1.700000	26.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	472
1/3-9 S	2293.000000	1.700000	26.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	473
1/3-9 S	2348.000000	1.700000	26.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	474
1/3-9 S	2515.000000	1.700000	24.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	475
1/3-9 S	2932.000000	1.670000	45.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	476
1/3-9 S	2935.000000	1.700000	26.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	477
1/3-9 S	3087.000000	1.700000	30.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	478
1/3-9 S	3100.000000	1.670000	36.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	479
1/3-9 S	3185.000000	1.700000	27.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	480
1/3-9 S	3185.000000	1.700000	27.000000	0.000000	WATER BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	481
1/3-9 S	3466.000000	1.540000	29.000000	0.000000	OIL BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	482
1/3-9 S	3573.000000	1.540000	28.000000	0.000000	OIL BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	483
1/3-9 S	4042.000000	1.540000	30.000000	0.000000	OIL BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	484
1/3-9 S	4100.000000	1.540000	29.000000	0.000000	OIL BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	485
1/3-9 S	4253.000000	1.540000	32.000000	0.000000	OIL BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	486
1/3-9 S	4323.000000	1.540000	26.000000	0.000000	OIL BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	487
1/3-9 S	4377.000000	1.540000	30.000000	0.000000	OIL BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	488
1/3-9 S	4493.000000	1.540000	31.000000	0.000000	OIL BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	489
1/3-9 S	4516.000000	1.540000	30.000000	0.000000	OIL BASED MUD	9999-12-31	3362	9999-12-31	2013-05-08	490
1/5-1	100.000000	1.030000	0.000000	0.000000	spud-mud	9999-12-31	237	9999-12-31	2013-05-08	491
1/5-1	200.000000	1.050000	0.000000	0.000000	spud-mud	9999-12-31	237	9999-12-31	2013-05-08	492
1/5-2	130.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	238	9999-12-31	2013-05-08	493
1/5-2	914.000000	1.310000	40.000000	0.000000	water based	9999-12-31	238	9999-12-31	2013-05-08	494
1/5-2	1828.000000	1.310000	50.000000	0.000000	water based	9999-12-31	238	9999-12-31	2013-05-08	495
1/5-2	2438.000000	1.550000	55.000000	0.000000	water based	9999-12-31	238	9999-12-31	2013-05-08	496
1/5-2	3048.000000	1.670000	55.000000	0.000000	water based	9999-12-31	238	9999-12-31	2013-05-08	497
1/5-2	3438.000000	1.550000	55.000000	0.000000	water based	9999-12-31	238	9999-12-31	2013-05-08	498
1/5-2	3505.000000	1.670000	55.000000	0.000000	water based	9999-12-31	238	9999-12-31	2013-05-08	499
1/5-3 S	600.000000	1.030000	10.000000	0.000000	KCL/GEM GP	9999-12-31	3257	9999-12-31	2013-05-08	500
1/5-3 S	930.000000	1.270000	12.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	3257	9999-12-31	2013-05-08	501
1/5-3 S	1024.000000	1.330000	15.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	502
1/5-3 S	1044.000000	1.450000	10.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	503
1/5-3 S	1070.000000	1.710000	30.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	504
1/5-3 S	1103.000000	1.600000	24.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	505
1/5-3 S	1156.000000	1.620000	24.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	506
1/5-3 S	1201.000000	1.500000	28.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	507
1/5-3 S	1221.000000	1.610000	26.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	508
1/5-3 S	1234.000000	1.610000	31.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	509
1/5-3 S	1240.000000	1.600000	29.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	510
1/5-3 S	1342.000000	1.520000	30.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	511
1/5-3 S	1362.000000	1.890000	34.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	512
1/5-3 S	1422.000000	1.610000	26.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	513
1/5-3 S	1426.000000	1.750000	33.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	514
1/5-3 S	1544.000000	1.580000	20.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	515
1/5-3 S	1545.000000	1.700000	29.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	516
1/5-3 S	1566.000000	1.890000	40.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	517
1/5-3 S	1566.000000	1.800000	33.000000	0.000000	BARASILC	9999-12-31	3257	9999-12-31	2013-05-08	518
1/5-4 S	928.000000	1.050000	0.000000	0.000000	SEAWATER	9999-12-31	4521	9999-12-31	2013-05-08	519
1/5-4 S	1345.000000	1.550000	71.000000	0.000000	KCL/GLYCOL	9999-12-31	4521	9999-12-31	2013-05-08	520
1/5-4 S	1646.000000	1.550000	48.000000	0.000000	KCL/GLYCOL	9999-12-31	4521	9999-12-31	2013-05-08	521
1/5-4 S	1700.000000	1.750000	60.600000	0.000000	XP-07	9999-12-31	4521	9999-12-31	2013-05-08	522
1/5-4 S	2436.000000	1.750000	77.200000	0.000000	XP-07 OBM	9999-12-31	4521	9999-12-31	2013-05-08	523
1/5-4 S	2660.000000	1.780000	77.200000	0.000000	XP-07 OBM	9999-12-31	4521	9999-12-31	2013-05-08	524
1/5-4 S	2879.000000	1.790000	79.400000	0.000000	XP-07 OBM	9999-12-31	4521	9999-12-31	2013-05-08	525
1/5-4 S	3010.000000	1.780000	75.200000	0.000000	XP-07 OBM	9999-12-31	4521	9999-12-31	2013-05-08	526
1/5-4 S	3090.000000	1.780000	71.000000	0.000000	XP-07 OBM	9999-12-31	4521	9999-12-31	2013-05-08	527
1/6-1	165.000000	0.990000	0.000000	0.000000	seawater	9999-12-31	239	9999-12-31	2013-05-08	528
1/6-1	178.000000	1.210000	0.000000	0.000000	waterbased	9999-12-31	239	9999-12-31	2013-05-08	529
1/6-1	455.000000	1.200000	0.000000	0.000000	seawat/lign	9999-12-31	239	9999-12-31	2013-05-08	530
1/6-1	823.000000	1.220000	0.000000	0.000000	seawat/lign	9999-12-31	239	9999-12-31	2013-05-08	531
1/6-1	1591.000000	1.620000	0.000000	0.000000	seawat/lign	9999-12-31	239	9999-12-31	2013-05-08	532
1/6-1	2761.000000	1.730000	0.000000	0.000000	seawat/lign	9999-12-31	239	9999-12-31	2013-05-08	533
1/6-1	3175.000000	1.730000	0.000000	0.000000	seawat/lign	9999-12-31	239	9999-12-31	2013-05-08	534
1/6-1	3365.000000	1.730000	0.000000	0.000000	seawat/lign	9999-12-31	239	9999-12-31	2013-05-08	535
1/6-1	3564.000000	1.730000	0.000000	0.000000	seawat/lign	9999-12-31	239	9999-12-31	2013-05-08	536
1/6-1	4225.000000	1.750000	0.000000	0.000000	seawat/lign	9999-12-31	239	9999-12-31	2013-05-08	537
1/6-1	4602.000000	1.900000	0.000000	0.000000	seawat/lign	9999-12-31	239	9999-12-31	2013-05-08	538
1/6-1	4821.000000	1.730000	0.000000	0.000000	seawat/lign	9999-12-31	239	9999-12-31	2013-05-08	539
1/6-2	179.000000	0.000000	60.000000	11.000000	seawt/lign	9999-12-31	240	9999-12-31	2013-05-08	540
1/6-2	466.000000	0.000000	42.000000	11.000000	seawt/lign	9999-12-31	240	9999-12-31	2013-05-08	541
1/6-2	1225.000000	0.000000	37.000000	10.000000	seawt/lign	9999-12-31	240	9999-12-31	2013-05-08	542
1/6-2	2444.000000	0.000000	47.000000	9.000000	seawt/lign	9999-12-31	240	9999-12-31	2013-05-08	543
1/6-2	3383.000000	0.000000	48.000000	13.000000	seawt/lign	9999-12-31	240	9999-12-31	2013-05-08	544
1/6-3	178.000000	1.040000	0.000000	0.000000	seawater	9999-12-31	241	9999-12-31	2013-05-08	545
1/6-3	355.000000	1.200000	0.000000	0.000000	viscous mud	9999-12-31	241	9999-12-31	2013-05-08	546
1/6-3	1230.000000	1.430000	0.000000	0.000000	waterbased	9999-12-31	241	9999-12-31	2013-05-08	547
1/6-3	2452.000000	1.730000	0.000000	0.000000	waterbased	9999-12-31	241	9999-12-31	2013-05-08	548
1/6-3	3062.000000	1.790000	0.000000	0.000000	waterbased	9999-12-31	241	9999-12-31	2013-05-08	549
1/6-3	3261.000000	1.740000	0.000000	0.000000	waterbased	9999-12-31	241	9999-12-31	2013-05-08	550
1/6-3	3325.000000	1.750000	0.000000	0.000000	waterbased	9999-12-31	241	9999-12-31	2013-05-08	551
1/6-4	173.000000	1.540000	0.000000	0.000000	seawt/bento	9999-12-31	242	9999-12-31	2013-05-08	552
1/6-4	435.000000	1.550000	0.000000	0.000000	seawt/bento	9999-12-31	242	9999-12-31	2013-05-08	553
1/6-4	1228.000000	1.550000	0.000000	0.000000	seawt/bento	9999-12-31	242	9999-12-31	2013-05-08	554
1/6-4	3283.000000	1.560000	0.000000	0.000000	seawt/lime	9999-12-31	242	9999-12-31	2013-05-08	555
1/6-4	3810.000000	1.560000	0.000000	0.000000	seawt/lime	9999-12-31	242	9999-12-31	2013-05-08	556
1/6-5	156.000000	1.880000	26.000000	18.500000	WATER BASED	1990-07-24	1508	9999-12-31	2013-05-08	557
1/6-5	208.000000	1.440000	25.000000	12.500000	WATER BASED	1990-07-24	1508	9999-12-31	2013-05-08	558
1/6-5	600.000000	1.050000	0.000000	0.000000	WATER BASED	1990-07-24	1508	9999-12-31	2013-05-08	559
1/6-5	600.000000	1.050000	0.000000	0.000000	WATER BASED	1990-07-24	1508	9999-12-31	2013-05-08	560
1/6-5	600.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-25	1508	9999-12-31	2013-05-08	561
1/6-5	600.000000	1.190000	14.000000	10.500000	WATER BASED	1990-07-26	1508	9999-12-31	2013-05-08	562
1/6-5	667.000000	1.190000	11.000000	9.500000	WATER BASED	1990-07-27	1508	9999-12-31	2013-05-08	563
1/6-5	1036.000000	1.230000	19.000000	6.500000	WATER BASED	1990-07-31	1508	9999-12-31	2013-05-08	564
1/6-5	1132.000000	1.330000	26.000000	17.500000	WATER BASED	1990-07-31	1508	9999-12-31	2013-05-08	565
1/6-5	1132.000000	1.410000	26.000000	14.500000	WATER BASED	1990-07-31	1508	9999-12-31	2013-05-08	566
1/6-5	1132.000000	1.410000	24.000000	14.000000	WATER BASED	1990-07-31	1508	9999-12-31	2013-05-08	567
1/6-5	1132.000000	1.410000	24.000000	21.000000	WATER BASED	1990-08-01	1508	9999-12-31	2013-05-08	568
1/6-5	1132.000000	1.410000	22.000000	12.000000	WATER BASED	1990-08-02	1508	9999-12-31	2013-05-08	569
1/6-5	1132.000000	1.230000	33.000000	10.500000	WATER BASED	1990-08-03	1508	9999-12-31	2013-05-08	570
1/6-5	1132.000000	1.410000	20.000000	7.000000	WATER BASED	1990-08-06	1508	9999-12-31	2013-05-08	571
1/6-5	1275.000000	1.450000	30.000000	13.000000	WATER BASED	1990-08-06	1508	9999-12-31	2013-05-08	572
1/6-5	1387.000000	1.560000	32.000000	14.000000	WATER BASED	1990-08-06	1508	9999-12-31	2013-05-08	573
1/6-5	1530.000000	1.640000	37.000000	8.000000	WATER BASED	1990-08-09	1508	9999-12-31	2013-05-08	574
1/6-5	1530.000000	1.640000	30.000000	11.000000	WATER BASED	1990-08-10	1508	9999-12-31	2013-05-08	575
1/6-5	1533.000000	1.640000	33.000000	8.000000	WATER BASED	1990-08-13	1508	9999-12-31	2013-05-08	576
1/6-5	1650.000000	1.710000	36.000000	8.000000	WATER BASED	1990-08-13	1508	9999-12-31	2013-05-08	577
1/6-5	1725.000000	1.830000	36.000000	9.000000	WATER BASED	1990-08-13	1508	9999-12-31	2013-05-08	578
1/6-5	1725.000000	1.850000	42.000000	9.000000	WATER BASED	1990-08-14	1508	9999-12-31	2013-05-08	579
1/6-5	1743.000000	1.850000	42.000000	9.000000	WATER BASED	1990-08-15	1508	9999-12-31	2013-05-08	580
1/6-5	1756.000000	1.850000	35.000000	11.000000	WATER BASED	1990-08-16	1508	9999-12-31	2013-05-08	581
1/6-5	1854.000000	1.850000	21.000000	6.000000	WATER BASED	1990-08-27	1508	9999-12-31	2013-05-08	582
1/6-5	1854.000000	1.850000	20.000000	4.000000	WATER BASED	1990-08-23	1508	9999-12-31	2013-05-08	583
1/6-5	1854.000000	1.850000	21.000000	4.000000	WATER BASED	1990-08-27	1508	9999-12-31	2013-05-08	584
1/6-5	1854.000000	1.850000	21.000000	6.000000	WATER BASED	1990-08-27	1508	9999-12-31	2013-05-08	585
1/6-5	1854.000000	1.850000	20.000000	6.000000	WATER BASED	1990-08-27	1508	9999-12-31	2013-05-08	586
1/6-5	1854.000000	1.850000	22.000000	6.000000	WATER BASED	1990-08-28	1508	9999-12-31	2013-05-08	587
1/6-5	1854.000000	1.850000	32.000000	16.000000	WATER BASED	1990-08-20	1508	9999-12-31	2013-05-08	588
1/6-5	1854.000000	1.850000	30.000000	15.000000	WATER BASED	1990-08-20	1508	9999-12-31	2013-05-08	589
1/6-5	1854.000000	1.850000	37.000000	16.000000	WATER BASED	1990-08-20	1508	9999-12-31	2013-05-08	590
1/6-5	1854.000000	1.850000	33.000000	12.000000	WATER BASED	1990-08-21	1508	9999-12-31	2013-05-08	591
1/6-5	1854.000000	1.850000	28.000000	14.000000	WATER BASED	1990-08-22	1508	9999-12-31	2013-05-08	592
1/6-6	95.000000	1.030000	200.000000	100.000000	WATER BASED	1992-02-12	1839	9999-12-31	2013-05-08	593
1/6-6	95.000000	1.030000	200.000000	0.000000	WATER BASED	1992-02-12	1839	9999-12-31	2013-05-08	594
1/6-6	132.000000	1.650000	43.000000	4.300000	WATER BASED	1993-03-09	1839	9999-12-31	2013-05-08	595
1/6-6	147.000000	1.650000	43.000000	4.300000	WATER BASED	1993-03-09	1839	9999-12-31	2013-05-08	596
1/6-6	147.000000	1.650000	43.000000	4.300000	WATER BASED	1993-03-09	1839	9999-12-31	2013-05-08	597
1/6-6	761.000000	1.030000	200.000000	0.000000	WATER BASED	1992-02-12	1839	9999-12-31	2013-05-08	598
1/6-6	911.000000	1.030000	45.000000	21.000000	WATER BASED	1992-02-19	1839	9999-12-31	2013-05-08	599
1/6-6	1205.000000	1.030000	45.000000	21.000000	WATER BASED	1992-02-24	1839	9999-12-31	2013-05-08	600
1/6-6	1205.000000	1.030000	45.000000	21.000000	WATER BASED	1992-02-24	1839	9999-12-31	2013-05-08	601
1/6-6	1205.000000	1.030000	45.000000	21.000000	WATER BASED	1992-02-24	1839	9999-12-31	2013-05-08	602
1/6-6	1205.000000	1.030000	45.000000	21.000000	WATER BASED	1992-02-24	1839	9999-12-31	2013-05-08	603
1/6-6	1205.000000	1.030000	45.000000	21.000000	WATER BASED	1992-02-24	1839	9999-12-31	2013-05-08	604
1/6-6	1205.000000	0.000000	0.000000	0.000000	WATER BASED	1992-02-26	1839	9999-12-31	2013-05-08	605
1/6-6	1205.000000	0.000000	0.000000	0.000000	WATER BASED	1992-02-27	1839	9999-12-31	2013-05-08	606
1/6-6	1205.000000	0.000000	0.000000	0.000000	WATER BASED	1992-03-02	1839	9999-12-31	2013-05-08	607
1/6-6	1205.000000	0.000000	0.000000	0.000000	WATER BASED	1992-03-03	1839	9999-12-31	2013-05-08	608
1/6-6	1205.000000	0.000000	0.000000	0.000000	WATER BASED	1992-03-03	1839	9999-12-31	2013-05-08	609
1/6-6	1205.000000	0.000000	0.000000	0.000000	WATER BASED	1992-03-03	1839	9999-12-31	2013-05-08	610
1/6-6	1205.000000	1.030000	200.000000	0.000000	WATER BASED	1992-02-14	1839	9999-12-31	2013-05-08	611
1/6-6	1205.000000	1.030000	200.000000	0.000000	WATER BASED	1992-02-14	1839	9999-12-31	2013-05-08	612
1/6-6	1205.000000	1.030000	200.000000	0.000000	WATER BASED	1992-02-17	1839	9999-12-31	2013-05-08	613
1/6-6	1205.000000	1.030000	200.000000	0.000000	WATER BASED	1992-02-17	1839	9999-12-31	2013-05-08	614
1/6-6	1205.000000	1.030000	200.000000	0.000000	WATER BASED	1992-02-17	1839	9999-12-31	2013-05-08	615
1/6-6	1205.000000	1.030000	45.000000	21.000000	WATER BASED	1992-02-24	1839	9999-12-31	2013-05-08	616
1/6-6	1205.000000	0.000000	0.000000	0.000000	WATER BASED	1992-03-03	1839	9999-12-31	2013-05-08	617
1/6-6	1281.000000	1.050000	76.000000	49.000000	WATER BASED	1992-03-04	1839	9999-12-31	2013-05-08	618
1/6-6	1463.000000	1.060000	69.000000	34.000000	WATER BASED	1992-03-06	1839	9999-12-31	2013-05-08	619
1/6-6	1600.000000	1.060000	69.000000	35.000000	WATER BASED	1992-03-06	1839	9999-12-31	2013-05-08	620
1/6-6	1817.000000	1.600000	69.000000	35.000000	WATER BASED	1992-03-09	1839	9999-12-31	2013-05-08	621
1/6-6	1980.000000	1.650000	42.000000	4.300000	WATER BASED	1993-03-09	1839	9999-12-31	2013-05-08	622
1/6-6	1980.000000	1.650000	45.000000	6.200000	WATER BASED	1993-03-01	1839	9999-12-31	2013-05-08	623
1/6-6	1980.000000	1.650000	45.000000	4.300000	WATER BASED	1993-03-04	1839	9999-12-31	2013-05-08	624
1/6-6	1980.000000	1.650000	42.000000	4.300000	WATER BASED	1993-03-04	1839	9999-12-31	2013-05-08	625
1/6-6	1980.000000	1.650000	45.000000	5.300000	WATER BASED	1993-03-01	1839	9999-12-31	2013-05-08	626
1/6-6	1980.000000	1.650000	42.000000	4.300000	WATER BASED	1993-03-09	1839	9999-12-31	2013-05-08	627
1/6-6	2028.000000	1.600000	68.000000	35.000000	WATER BASED	1992-03-09	1839	9999-12-31	2013-05-08	628
1/6-6	2028.000000	1.600000	74.000000	35.000000	WATER BASED	1992-03-09	1839	9999-12-31	2013-05-08	629
1/6-6	2328.000000	1.650000	47.000000	5.300000	WATER BASED	1993-03-01	1839	9999-12-31	2013-05-08	630
1/6-6	2329.000000	2.190000	58.000000	4.800000	WATER BASED	1993-02-26	1839	9999-12-31	2013-05-08	631
1/6-6	2329.000000	2.190000	58.000000	4.800000	WATER BASED	1993-02-23	1839	9999-12-31	2013-05-08	632
1/6-6	2329.000000	2.190000	58.000000	4.800000	WATER BASED	1993-02-23	1839	9999-12-31	2013-05-08	633
1/6-6	2329.000000	2.190000	58.000000	4.800000	WATER BASED	1993-02-23	1839	9999-12-31	2013-05-08	634
1/6-6	2329.000000	1.600000	74.000000	38.000000	WATER BASED	1992-03-10	1839	9999-12-31	2013-05-08	635
1/6-6	2329.000000	2.190000	58.000000	4.800000	WATER BASED	1993-02-25	1839	9999-12-31	2013-05-08	636
1/6-6	2329.000000	2.190000	52.000000	4.800000	WATER BASED	1993-02-26	1839	9999-12-31	2013-05-08	637
1/6-6	2455.000000	1.650000	68.000000	34.000000	WATER BASED	1992-03-11	1839	9999-12-31	2013-05-08	638
1/6-6	2539.000000	1.650000	50.000000	10.000000	WATER BASED	1992-06-24	1839	9999-12-31	2013-05-08	639
1/6-6	2550.000000	1.650000	74.000000	36.000000	WATER BASED	1992-03-12	1839	9999-12-31	2013-05-08	640
1/6-6	2650.000000	1.650000	74.000000	36.000000	WATER BASED	1992-03-12	1839	9999-12-31	2013-05-08	641
1/6-6	2650.000000	1.650000	62.000000	32.000000	WATER BASED	1992-03-16	1839	9999-12-31	2013-05-08	642
1/6-6	2732.000000	1.650000	41.000000	8.000000	WATER BASED	1992-06-24	1839	9999-12-31	2013-05-08	643
1/6-6	2748.000000	1.650000	62.000000	33.000000	WATER BASED	1992-03-16	1839	9999-12-31	2013-05-08	644
1/6-6	2748.000000	1.650000	62.000000	33.000000	WATER BASED	1992-03-17	1839	9999-12-31	2013-05-08	645
1/6-6	2748.000000	1.650000	62.000000	33.000000	WATER BASED	1992-03-16	1839	9999-12-31	2013-05-08	646
1/6-6	2764.000000	1.650000	62.000000	17.000000	WATER BASED	1992-06-30	1839	9999-12-31	2013-05-08	647
1/6-6	2934.000000	1.650000	46.000000	12.000000	WATER BASED	1992-06-24	1839	9999-12-31	2013-05-08	648
1/6-6	2936.000000	1.650000	62.000000	39.000000	WATER BASED	1992-03-19	1839	9999-12-31	2013-05-08	649
1/6-6	2974.000000	1.650000	61.000000	17.000000	WATER BASED	1992-06-30	1839	9999-12-31	2013-05-08	650
1/6-6	3018.000000	1.650000	65.000000	39.000000	WATER BASED	1992-03-19	1839	9999-12-31	2013-05-08	651
1/6-6	3070.000000	1.650000	65.000000	18.000000	WATER BASED	1992-06-24	1839	9999-12-31	2013-05-08	652
1/6-6	3128.000000	1.650000	65.000000	35.000000	WATER BASED	1992-03-20	1839	9999-12-31	2013-05-08	653
1/6-6	3131.000000	1.650000	61.000000	20.000000	WATER BASED	1992-07-03	1839	9999-12-31	2013-05-08	654
1/6-6	3131.000000	1.650000	64.000000	19.000000	WATER BASED	1992-07-02	1839	9999-12-31	2013-05-08	655
1/6-6	3140.000000	1.650000	63.000000	18.000000	WATER BASED	1992-06-25	1839	9999-12-31	2013-05-08	656
1/6-6	3149.000000	1.650000	57.000000	37.000000	WATER BASED	1992-03-23	1839	9999-12-31	2013-05-08	657
1/6-6	3166.000000	1.650000	55.000000	36.000000	WATER BASED	1992-03-23	1839	9999-12-31	2013-05-08	658
1/6-6	3166.000000	1.650000	60.000000	39.000000	WATER BASED	1992-03-23	1839	9999-12-31	2013-05-08	659
1/6-6	3210.000000	1.650000	61.000000	39.000000	WATER BASED	1992-03-24	1839	9999-12-31	2013-05-08	660
1/6-6	3210.000000	1.650000	61.000000	39.000000	WATER BASED	1992-03-25	1839	9999-12-31	2013-05-08	661
1/6-6	3210.000000	1.650000	61.000000	39.000000	WATER BASED	1992-03-27	1839	9999-12-31	2013-05-08	662
1/6-6	3210.000000	1.650000	55.000000	28.000000	WATER BASED	1992-03-30	1839	9999-12-31	2013-05-08	663
1/6-6	3210.000000	1.650000	55.000000	29.000000	WATER BASED	1992-03-30	1839	9999-12-31	2013-05-08	664
1/6-6	3215.000000	1.650000	60.000000	32.000000	WATER BASED	1992-03-30	1839	9999-12-31	2013-05-08	665
1/6-6	3215.000000	1.650000	56.000000	30.000000	WATER BASED	1992-03-31	1839	9999-12-31	2013-05-08	666
1/6-6	3247.000000	1.650000	61.000000	17.000000	WATER BASED	1992-06-26	1839	9999-12-31	2013-05-08	667
1/6-6	3260.000000	1.650000	58.000000	37.000000	WATER BASED	1992-04-01	1839	9999-12-31	2013-05-08	668
1/6-6	3260.000000	1.650000	56.000000	38.000000	WATER BASED	1992-04-03	1839	9999-12-31	2013-05-08	669
1/6-6	3261.000000	1.650000	52.000000	33.000000	WATER BASED	1992-04-03	1839	9999-12-31	2013-05-08	670
1/6-6	3284.000000	1.650000	59.000000	18.000000	WATER BASED	1992-06-30	1839	9999-12-31	2013-05-08	671
1/6-6	3284.000000	1.650000	57.000000	15.000000	WATER BASED	1992-06-30	1839	9999-12-31	2013-05-08	672
1/6-6	3284.000000	1.650000	59.000000	15.000000	WATER BASED	1992-06-30	1839	9999-12-31	2013-05-08	673
1/6-6	3292.000000	1.650000	62.000000	18.000000	WATER BASED	1992-07-06	1839	9999-12-31	2013-05-08	674
1/6-6	3349.000000	1.650000	63.000000	43.000000	WATER BASED	1992-07-06	1839	9999-12-31	2013-05-08	675
1/6-6	3353.000000	1.650000	61.000000	430.000000	WATER BASED	1992-07-07	1839	9999-12-31	2013-05-08	676
1/6-6	3406.000000	1.650000	60.000000	38.000000	WATER BASED	1992-07-07	1839	9999-12-31	2013-05-08	677
1/6-6	3520.000000	1.650000	59.000000	40.000000	WATER BASED	1992-07-07	1839	9999-12-31	2013-05-08	678
1/6-6	3530.000000	1.650000	54.000000	37.000000	WATER BASED	1992-04-06	1839	9999-12-31	2013-05-08	679
1/6-6	3532.000000	1.650000	58.000000	42.000000	WATER BASED	1992-04-06	1839	9999-12-31	2013-05-08	680
1/6-6	3532.000000	1.650000	55.000000	38.000000	WATER BASED	1992-04-06	1839	9999-12-31	2013-05-08	681
1/6-6	3555.000000	1.650000	57.000000	39.000000	WATER BASED	1992-04-07	1839	9999-12-31	2013-05-08	682
1/6-6	3555.000000	1.650000	57.000000	18.000000	WATER BASED	1992-07-09	1839	9999-12-31	2013-05-08	683
1/6-6	3575.000000	1.650000	57.000000	18.000000	WATER BASED	1992-07-13	1839	9999-12-31	2013-05-08	684
1/6-6	3618.000000	1.650000	55.000000	9.100000	WATER BASED	1992-07-13	1839	9999-12-31	2013-05-08	685
1/6-6	3620.000000	1.650000	55.000000	18.000000	WATER BASED	1992-07-14	1839	9999-12-31	2013-05-08	686
1/6-6	3652.000000	1.650000	53.000000	37.000000	WATER BASED	1992-04-08	1839	9999-12-31	2013-05-08	687
1/6-6	3658.000000	1.650000	57.000000	8.600000	WATER BASED	1992-07-14	1839	9999-12-31	2013-05-08	688
1/6-6	3686.000000	1.650000	52.000000	7.200000	WATER BASED	1992-07-14	1839	9999-12-31	2013-05-08	689
1/6-6	3732.000000	1.550000	52.000000	37.000000	WATER BASED	1992-04-09	1839	9999-12-31	2013-05-08	690
1/6-6	3801.000000	1.650000	51.000000	8.100000	WATER BASED	1992-07-15	1839	9999-12-31	2013-05-08	691
1/6-6	3801.000000	1.650000	51.000000	39.000000	WATER BASED	1992-04-10	1839	9999-12-31	2013-05-08	692
1/6-6	3821.000000	1.650000	55.000000	30.000000	WATER BASED	1992-04-13	1839	9999-12-31	2013-05-08	693
1/6-6	3840.000000	1.650000	53.000000	8.100000	WATER BASED	1992-07-15	1839	9999-12-31	2013-05-08	694
1/6-6	3880.000000	1.650000	53.000000	39.000000	WATER BASED	1992-04-13	1839	9999-12-31	2013-05-08	695
1/6-6	3880.000000	1.650000	50.000000	30.000000	WATER BASED	1992-04-14	1839	9999-12-31	2013-05-08	696
1/6-6	4017.000000	1.650000	48.000000	26.000000	WATER BASED	1992-04-14	1839	9999-12-31	2013-05-08	697
1/6-6	4043.000000	1.650000	52.000000	8.100000	WATER BASED	1992-07-16	1839	9999-12-31	2013-05-08	698
1/6-6	4122.000000	1.650000	48.000000	23.000000	WATER BASED	1992-04-22	1839	9999-12-31	2013-05-08	699
1/6-6	4138.000000	2.190000	63.000000	7.700000	WATER BASED	1993-02-22	1839	9999-12-31	2013-05-08	700
1/6-6	4141.000000	1.650000	47.000000	24.000000	WATER BASED	1992-04-22	1839	9999-12-31	2013-05-08	701
1/6-6	4143.000000	1.650000	51.000000	8.100000	WATER BASED	1992-07-22	1839	9999-12-31	2013-05-08	702
1/6-6	4163.000000	1.650000	52.000000	7.700000	WATER BASED	1992-07-22	1839	9999-12-31	2013-05-08	703
1/6-6	4172.000000	1.650000	58.000000	30.000000	WATER BASED	1992-04-22	1839	9999-12-31	2013-05-08	704
1/6-6	4172.000000	1.650000	56.000000	30.000000	WATER BASED	1992-04-22	1839	9999-12-31	2013-05-08	705
1/6-6	4180.000000	1.650000	48.000000	7.700000	WATER BASED	1992-07-22	1839	9999-12-31	2013-05-08	706
1/6-6	4185.000000	1.650000	58.000000	34.000000	WATER BASED	1992-04-22	1839	9999-12-31	2013-05-08	707
1/6-6	4196.000000	1.650000	59.000000	34.000000	WATER BASED	1992-04-22	1839	9999-12-31	2013-05-08	708
1/6-6	4200.000000	1.650000	61.000000	33.000000	WATER BASED	1992-04-22	1839	9999-12-31	2013-05-08	709
1/6-6	4204.000000	1.650000	54.000000	8.100000	WATER BASED	1992-07-22	1839	9999-12-31	2013-05-08	710
1/6-6	4247.000000	1.650000	61.000000	30.000000	WATER BASED	1992-04-23	1839	9999-12-31	2013-05-08	711
1/6-6	4259.000000	1.650000	51.000000	7.700000	WATER BASED	1992-07-22	1839	9999-12-31	2013-05-08	712
1/6-6	4269.000000	1.650000	53.000000	40.000000	WATER BASED	1992-07-22	1839	9999-12-31	2013-05-08	713
1/6-6	4309.000000	1.650000	53.000000	38.000000	WATER BASED	1992-07-23	1839	9999-12-31	2013-05-08	714
1/6-6	4317.000000	1.650000	48.000000	28.000000	WATER BASED	1992-04-23	1839	9999-12-31	2013-05-08	715
1/6-6	4317.000000	1.650000	48.000000	28.000000	WATER BASED	1992-04-24	1839	9999-12-31	2013-05-08	716
1/6-6	4328.000000	1.650000	53.000000	8.100000	WATER BASED	1992-07-24	1839	9999-12-31	2013-05-08	717
1/6-6	4360.000000	1.650000	58.000000	38.000000	WATER BASED	1992-04-27	1839	9999-12-31	2013-05-08	718
1/6-6	4372.000000	1.650000	52.000000	40.000000	WATER BASED	1992-07-27	1839	9999-12-31	2013-05-08	719
1/6-6	4398.000000	1.650000	47.000000	32.000000	WATER BASED	1992-04-27	1839	9999-12-31	2013-05-08	720
1/6-6	4415.000000	1.650000	512.000000	41.000000	WATER BASED	1992-07-27	1839	9999-12-31	2013-05-08	721
1/6-6	4425.000000	1.650000	56.000000	42.000000	WATER BASED	1992-07-27	1839	9999-12-31	2013-05-08	722
1/6-6	4438.000000	1.650000	56.000000	7.700000	WATER BASED	1992-07-29	1839	9999-12-31	2013-05-08	723
1/6-6	4450.000000	1.650000	51.000000	38.000000	WATER BASED	1992-04-27	1839	9999-12-31	2013-05-08	724
1/6-6	4450.000000	1.650000	51.000000	38.000000	WATER BASED	1992-04-28	1839	9999-12-31	2013-05-08	725
1/6-6	4467.000000	1.650000	52.000000	39.000000	WATER BASED	1992-04-29	1839	9999-12-31	2013-05-08	726
1/6-6	4467.000000	1.650000	50.000000	39.000000	WATER BASED	1992-05-04	1839	9999-12-31	2013-05-08	727
1/6-6	4467.000000	1.650000	49.000000	36.000000	WATER BASED	1992-05-04	1839	9999-12-31	2013-05-08	728
1/6-6	4467.000000	1.650000	52.000000	35.000000	WATER BASED	1992-05-04	1839	9999-12-31	2013-05-08	729
1/6-6	4467.000000	1.650000	60.000000	40.000000	WATER BASED	1992-05-11	1839	9999-12-31	2013-05-08	730
1/6-6	4467.000000	1.650000	59.000000	40.000000	WATER BASED	1992-05-11	1839	9999-12-31	2013-05-08	731
1/6-6	4467.000000	1.650000	64.000000	39.000000	WATER BASED	1992-05-11	1839	9999-12-31	2013-05-08	732
1/6-6	4467.000000	1.650000	66.000000	40.000000	WATER BASED	1992-05-13	1839	9999-12-31	2013-05-08	733
1/6-6	4467.000000	1.650000	53.000000	41.000000	WATER BASED	1992-04-30	1839	9999-12-31	2013-05-08	734
1/6-6	4468.000000	1.650000	60.000000	48.000000	WATER BASED	1992-08-03	1839	9999-12-31	2013-05-08	735
1/6-6	4468.000000	1.650000	65.000000	48.000000	WATER BASED	1992-08-04	1839	9999-12-31	2013-05-08	736
1/6-6	4468.000000	1.650000	52.000000	32.000000	WATER BASED	1992-08-11	1839	9999-12-31	2013-05-08	737
1/6-6	4468.000000	1.650000	65.000000	39.000000	WATER BASED	1992-08-13	1839	9999-12-31	2013-05-08	738
1/6-6	4468.000000	1.650000	58.000000	6.200000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	739
1/6-6	4468.000000	1.650000	63.000000	7.200000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	740
1/6-6	4468.000000	1.650000	62.000000	5.700000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	741
1/6-6	4468.000000	1.650000	54.000000	7.200000	WATER BASED	1992-07-30	1839	9999-12-31	2013-05-08	742
1/6-6	4468.000000	1.650000	56.000000	8.600000	WATER BASED	1992-07-30	1839	9999-12-31	2013-05-08	743
1/6-6	4468.000000	1.650000	60.000000	48.000000	WATER BASED	1992-08-03	1839	9999-12-31	2013-05-08	744
1/6-6	4468.000000	1.650000	60.000000	48.000000	WATER BASED	1992-08-03	1839	9999-12-31	2013-05-08	745
1/6-6	4468.000000	1.650000	65.000000	48.000000	WATER BASED	1992-08-03	1839	9999-12-31	2013-05-08	746
1/6-6	4468.000000	1.650000	65.000000	48.000000	WATER BASED	1992-08-05	1839	9999-12-31	2013-05-08	747
1/6-6	4468.000000	1.650000	65.000000	48.000000	WATER BASED	1992-08-10	1839	9999-12-31	2013-05-08	748
1/6-6	4468.000000	1.650000	65.000000	40.000000	WATER BASED	1992-08-10	1839	9999-12-31	2013-05-08	749
1/6-6	4468.000000	1.650000	69.000000	40.000000	WATER BASED	1992-08-11	1839	9999-12-31	2013-05-08	750
1/6-6	4468.000000	1.650000	69.000000	40.000000	WATER BASED	1992-08-11	1839	9999-12-31	2013-05-08	751
1/6-6	4468.000000	1.650000	51.000000	3.000000	WATER BASED	1992-08-13	1839	9999-12-31	2013-05-08	752
1/6-6	4468.000000	1.650000	55.000000	5.700000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	753
1/6-6	4468.000000	1.650000	6.000000	6.700000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	754
1/6-6	4468.000000	1.650000	62.000000	6.700000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	755
1/6-6	4468.000000	1.650000	61.000000	6.200000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	756
1/6-6	4468.000000	1.650000	61.000000	6.200000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	757
1/6-6	4468.000000	1.650000	58.000000	6.200000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	758
1/6-6	4468.000000	1.650000	58.000000	6.200000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	759
1/6-6	4468.000000	1.650000	58.000000	6.200000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	760
1/6-6	4468.000000	1.650000	58.000000	6.200000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	761
1/6-6	4468.000000	1.650000	63.000000	7.200000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	762
1/6-6	4468.000000	1.650000	59.000000	5.700000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	763
1/6-6	4468.000000	1.650000	62.000000	6.700000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	764
1/6-6	4468.000000	1.650000	62.000000	6.700000	WATER BASED	1992-08-31	1839	9999-12-31	2013-05-08	765
1/6-6	4468.000000	1.650000	59.000000	5.700000	WATER BASED	1992-09-04	1839	9999-12-31	2013-05-08	766
1/6-6	4468.000000	1.650000	63.000000	6.700000	WATER BASED	1992-09-04	1839	9999-12-31	2013-05-08	767
1/6-6	4468.000000	1.650000	61.000000	6.700000	WATER BASED	1992-09-04	1839	9999-12-31	2013-05-08	768
1/6-6	4468.000000	1.810000	46.000000	2.400000	WATER BASED	1992-09-04	1839	9999-12-31	2013-05-08	769
1/6-6	4478.000000	1.810000	48.000000	3.800000	WATER BASED	1992-09-04	1839	9999-12-31	2013-05-08	770
1/6-6	4478.000000	1.810000	51.000000	3.800000	WATER BASED	1992-09-08	1839	9999-12-31	2013-05-08	771
1/6-6	4478.000000	1.810000	51.000000	3.800000	WATER BASED	1992-09-07	1839	9999-12-31	2013-05-08	772
1/6-6	4503.000000	1.810000	48.000000	3.300000	WATER BASED	1992-09-08	1839	9999-12-31	2013-05-08	773
1/6-6	4547.000000	1.810000	49.000000	3.800000	WATER BASED	1992-09-08	1839	9999-12-31	2013-05-08	774
1/6-6	4599.000000	1.810000	49.000000	6.700000	WATER BASED	1992-09-08	1839	9999-12-31	2013-05-08	775
1/6-6	4606.000000	1.810000	49.000000	6.200000	WATER BASED	1992-09-11	1839	9999-12-31	2013-05-08	776
1/6-6	4665.000000	1.950000	54.000000	7.700000	WATER BASED	1992-09-11	1839	9999-12-31	2013-05-08	777
1/6-6	4700.000000	1.950000	58.000000	8.600000	WATER BASED	1992-09-14	1839	9999-12-31	2013-05-08	778
1/6-6	4700.000000	1.950000	61.000000	8.600000	WATER BASED	1992-09-14	1839	9999-12-31	2013-05-08	779
1/6-6	4700.000000	1.950000	58.000000	5.300000	WATER BASED	1992-09-15	1839	9999-12-31	2013-05-08	780
1/6-6	4700.000000	2.000000	53.000000	2.900000	WATER BASED	1992-09-18	1839	9999-12-31	2013-05-08	781
1/6-6	4700.000000	1.950000	58.000000	5.300000	WATER BASED	1992-09-15	1839	9999-12-31	2013-05-08	782
1/6-6	4700.000000	1.990000	56.000000	2.900000	WATER BASED	1992-09-18	1839	9999-12-31	2013-05-08	783
1/6-6	4763.000000	2.060000	59.000000	5.700000	WATER BASED	1992-09-18	1839	9999-12-31	2013-05-08	784
1/6-6	4780.000000	2.010000	65.000000	7.700000	WATER BASED	1992-09-21	1839	9999-12-31	2013-05-08	785
1/6-6	4816.000000	2.100000	59.000000	78.100000	WATER BASED	1992-09-22	1839	9999-12-31	2013-05-08	786
1/6-6	4844.000000	2.100000	55.000000	8.100000	WATER BASED	1992-09-22	1839	9999-12-31	2013-05-08	787
1/6-6	4849.000000	2.170000	56.000000	11.500000	WATER BASED	1992-09-22	1839	9999-12-31	2013-05-08	788
1/6-6	4869.000000	2.190000	58.000000	3.300000	WATER BASED	1992-09-24	1839	9999-12-31	2013-05-08	789
1/6-6	4869.000000	2.190000	58.000000	3.300000	WATER BASED	1992-09-24	1839	9999-12-31	2013-05-08	790
1/6-6	4907.000000	2.190000	56.000000	6.200000	WATER BASED	1992-09-24	1839	9999-12-31	2013-05-08	791
1/6-6	4931.000000	2.210000	60.000000	6.700000	WATER BASED	1992-09-30	1839	9999-12-31	2013-05-08	792
1/6-6	4931.000000	2.210000	56.000000	6.200000	WATER BASED	1992-09-25	1839	9999-12-31	2013-05-08	793
1/6-6	4931.000000	2.210000	56.000000	6.200000	WATER BASED	1992-09-30	1839	9999-12-31	2013-05-08	794
1/6-6	4951.000000	2.210000	54.000000	8.600000	WATER BASED	1992-09-30	1839	9999-12-31	2013-05-08	795
1/6-6	4987.000000	2.220000	60.000000	9.600000	WATER BASED	1992-09-30	1839	9999-12-31	2013-05-08	796
1/6-6	5020.000000	2.220000	60.000000	8.600000	WATER BASED	1992-09-30	1839	9999-12-31	2013-05-08	797
1/6-6	5050.000000	2.230000	56.000000	8.100000	WATER BASED	1992-10-02	1839	9999-12-31	2013-05-08	798
1/6-6	5050.000000	2.250000	56.000000	9.000000	WATER BASED	1992-10-05	1839	9999-12-31	2013-05-08	799
1/6-6	5050.000000	2.250000	54.000000	10.000000	WATER BASED	1992-10-07	1839	9999-12-31	2013-05-08	800
1/6-6	5050.000000	2.250000	63.000000	10.000000	WATER BASED	1992-10-07	1839	9999-12-31	2013-05-08	801
1/6-6	5050.000000	2.250000	68.000000	10.000000	WATER BASED	1992-10-07	1839	9999-12-31	2013-05-08	802
1/6-6	5050.000000	2.250000	71.000000	8.100000	WATER BASED	1992-10-08	1839	9999-12-31	2013-05-08	803
1/6-6	5050.000000	2.250000	70.000000	7.200000	WATER BASED	1992-10-08	1839	9999-12-31	2013-05-08	804
1/6-6	5050.000000	2.250000	94.000000	7.700000	WATER BASED	1992-10-12	1839	9999-12-31	2013-05-08	805
1/6-6	5050.000000	2.250000	91.000000	9.100000	WATER BASED	1992-10-12	1839	9999-12-31	2013-05-08	806
1/6-6	5050.000000	2.250000	65.000000	9.100000	WATER BASED	1992-10-12	1839	9999-12-31	2013-05-08	807
1/6-6	5050.000000	2.250000	63.000000	5.700000	WATER BASED	1992-10-12	1839	9999-12-31	2013-05-08	808
1/6-6	5050.000000	2.250000	70.000000	4.800000	WATER BASED	1992-10-14	1839	9999-12-31	2013-05-08	809
1/6-6	5050.000000	2.250000	70.000000	4.300000	WATER BASED	1992-10-16	1839	9999-12-31	2013-05-08	810
1/6-6	5050.000000	2.230000	56.000000	8.600000	WATER BASED	1992-10-02	1839	9999-12-31	2013-05-08	811
1/6-6	5050.000000	2.250000	94.000000	7.700000	WATER BASED	1992-10-12	1839	9999-12-31	2013-05-08	812
1/6-6	5050.000000	2.250000	70.000000	4.300000	WATER BASED	1992-10-16	1839	9999-12-31	2013-05-08	813
1/6-6	5053.000000	2.250000	74.000000	3.300000	WATER BASED	1992-10-19	1839	9999-12-31	2013-05-08	814
1/6-6	5069.000000	2.250000	71.000000	4.300000	WATER BASED	1992-10-19	1839	9999-12-31	2013-05-08	815
1/6-6	5069.000000	2.250000	71.000000	3.800000	WATER BASED	1992-10-19	1839	9999-12-31	2013-05-08	816
1/6-6	5088.000000	2.250000	70.000000	2.900000	WATER BASED	1992-10-20	1839	9999-12-31	2013-05-08	817
1/6-6	5105.000000	2.250000	73.000000	4.800000	WATER BASED	1992-10-22	1839	9999-12-31	2013-05-08	818
1/6-6	5134.000000	2.250000	74.000000	4.800000	WATER BASED	1992-10-22	1839	9999-12-31	2013-05-08	819
1/6-6	5153.000000	2.250000	72.000000	4.300000	WATER BASED	1992-10-23	1839	9999-12-31	2013-05-08	820
1/6-6	5162.000000	2.250000	68.000000	3.800000	WATER BASED	1992-10-23	1839	9999-12-31	2013-05-08	821
1/6-6	5186.000000	2.250000	68.000000	4.800000	WATER BASED	1992-10-26	1839	9999-12-31	2013-05-08	822
1/6-6	5222.000000	2.250000	70.000000	6.700000	WATER BASED	1992-10-26	1839	9999-12-31	2013-05-08	823
1/6-6	5249.000000	2.250000	70.000000	5.700000	WATER BASED	1992-10-27	1839	9999-12-31	2013-05-08	824
1/6-6	5293.000000	2.250000	70.000000	6.200000	WATER BASED	1992-10-28	1839	9999-12-31	2013-05-08	825
1/6-6	5338.000000	2.250000	63.000000	6.700000	WATER BASED	1992-10-28	1839	9999-12-31	2013-05-08	826
1/6-6	5350.000000	2.250000	62.000000	6.700000	WATER BASED	1992-10-30	1839	9999-12-31	2013-05-08	827
1/6-6	5350.000000	2.250000	62.000000	7.200000	WATER BASED	1992-10-30	1839	9999-12-31	2013-05-08	828
1/6-6	5350.000000	2.250000	59.000000	7.200000	WATER BASED	1992-11-03	1839	9999-12-31	2013-05-08	829
1/6-6	5350.000000	2.250000	59.000000	6.200000	WATER BASED	1992-11-03	1839	9999-12-31	2013-05-08	830
1/6-6	5350.000000	2.230000	74.000000	4.800000	WATER BASED	1992-11-03	1839	9999-12-31	2013-05-08	831
1/6-6	5350.000000	2.250000	59.000000	4.300000	WATER BASED	1992-11-03	1839	9999-12-31	2013-05-08	832
1/6-6	5397.000000	2.190000	47.000000	4.300000	WATER BASED	1992-11-10	1839	9999-12-31	2013-05-08	833
1/6-6	5417.000000	2.250000	73.000000	4.300000	WATER BASED	1992-11-05	1839	9999-12-31	2013-05-08	834
1/6-6	5473.000000	2.250000	73.000000	4.300000	WATER BASED	1992-11-10	1839	9999-12-31	2013-05-08	835
1/6-6	5522.000000	2.250000	56.000000	7.700000	WATER BASED	1992-11-10	1839	9999-12-31	2013-05-08	836
1/6-6	5550.000000	2.250000	54.000000	5.700000	WATER BASED	1992-11-10	1839	9999-12-31	2013-05-08	837
1/6-6	5555.000000	2.250000	51.000000	4.800000	WATER BASED	1992-11-10	1839	9999-12-31	2013-05-08	838
1/6-6	5555.000000	2.200000	47.000000	4.300000	WATER BASED	1992-11-11	1839	9999-12-31	2013-05-08	839
1/6-6	5555.000000	2.200000	46.000000	3.800000	WATER BASED	1992-11-13	1839	9999-12-31	2013-05-08	840
1/6-6	5555.000000	2.200000	46.000000	3.800000	WATER BASED	1992-11-13	1839	9999-12-31	2013-05-08	841
1/6-6	5555.000000	2.200000	74.000000	4.800000	WATER BASED	1992-11-17	1839	9999-12-31	2013-05-08	842
1/6-6	5555.000000	2.200000	52.000000	5.700000	WATER BASED	1992-11-17	1839	9999-12-31	2013-05-08	843
1/6-6	5555.000000	2.250000	51.000000	4.800000	WATER BASED	1992-11-10	1839	9999-12-31	2013-05-08	844
1/6-6	5564.000000	2.200000	57.000000	5.700000	WATER BASED	1992-11-18	1839	9999-12-31	2013-05-08	845
1/6-6	5564.000000	2.200000	68.000000	3.300000	WATER BASED	1992-11-23	1839	9999-12-31	2013-05-08	846
1/6-6	5564.000000	2.200000	58.000000	3.300000	WATER BASED	1992-11-24	1839	9999-12-31	2013-05-08	847
1/6-6	5564.000000	2.200000	62.000000	6.200000	WATER BASED	1992-11-18	1839	9999-12-31	2013-05-08	848
1/6-6	5564.000000	2.200000	66.000000	7.700000	WATER BASED	1992-11-19	1839	9999-12-31	2013-05-08	849
1/6-6	5564.000000	2.200000	58.000000	3.800000	WATER BASED	1992-11-23	1839	9999-12-31	2013-05-08	850
1/6-6	5564.000000	2.200000	68.000000	3.800000	WATER BASED	1992-11-23	1839	9999-12-31	2013-05-08	851
1/6-6	5564.000000	2.200000	60.000000	4.300000	WATER BASED	1992-11-23	1839	9999-12-31	2013-05-08	852
1/6-6	5565.000000	2.200000	55.000000	3.800000	WATER BASED	1992-11-27	1839	9999-12-31	2013-05-08	853
1/6-6	5565.000000	2.200000	59.000000	4.300000	WATER BASED	1992-11-27	1839	9999-12-31	2013-05-08	854
1/6-6	5565.000000	2.200000	71.000000	3.800000	WATER BASED	1992-11-30	1839	9999-12-31	2013-05-08	855
1/6-6	5565.000000	2.200000	53.000000	3.800000	WATER BASED	1992-12-01	1839	9999-12-31	2013-05-08	856
1/6-6	5565.000000	2.200000	55.000000	3.800000	WATER BASED	1992-12-01	1839	9999-12-31	2013-05-08	857
1/6-6	5565.000000	2.200000	63.000000	4.300000	WATER BASED	1992-12-01	1839	9999-12-31	2013-05-08	858
1/6-6	5565.000000	2.200000	68.000000	3.800000	WATER BASED	1992-11-25	1839	9999-12-31	2013-05-08	859
1/6-6	5565.000000	2.200000	55.000000	2.400000	WATER BASED	1992-12-03	1839	9999-12-31	2013-05-08	860
1/6-6	5565.000000	2.200000	54.000000	2.900000	WATER BASED	1992-12-03	1839	9999-12-31	2013-05-08	861
1/6-6	5565.000000	2.200000	55.000000	2.900000	WATER BASED	1992-12-02	1839	9999-12-31	2013-05-08	862
1/6-6	5565.000000	2.200000	55.000000	2.900000	WATER BASED	1992-12-07	1839	9999-12-31	2013-05-08	863
1/6-6	5565.000000	2.200000	55.000000	2.900000	WATER BASED	1992-12-08	1839	9999-12-31	2013-05-08	864
1/6-6	5565.000000	2.200000	55.000000	2.900000	WATER BASED	1992-12-08	1839	9999-12-31	2013-05-08	865
1/6-6	5565.000000	2.200000	61.000000	2.900000	WATER BASED	1992-12-08	1839	9999-12-31	2013-05-08	866
1/6-6	5565.000000	2.200000	61.000000	2.900000	WATER BASED	1992-12-09	1839	9999-12-31	2013-05-08	867
1/6-6	5565.000000	2.200000	65.000000	2.400000	WATER BASED	1992-12-11	1839	9999-12-31	2013-05-08	868
1/6-6	5565.000000	2.200000	61.000000	2.900000	WATER BASED	1992-12-14	1839	9999-12-31	2013-05-08	869
1/6-6	5565.000000	2.200000	58.000000	2.900000	WATER BASED	1992-12-14	1839	9999-12-31	2013-05-08	870
1/6-6	5565.000000	2.200000	60.000000	3.800000	WATER BASED	1992-12-17	1839	9999-12-31	2013-05-08	871
1/6-6	5565.000000	2.200000	58.000000	3.800000	WATER BASED	1992-12-17	1839	9999-12-31	2013-05-08	872
1/6-6	5565.000000	2.200000	58.000000	4.800000	WATER BASED	1992-12-18	1839	9999-12-31	2013-05-08	873
1/6-6	5565.000000	2.200000	67.000000	3.300000	WATER BASED	1992-12-18	1839	9999-12-31	2013-05-08	874
1/6-6	5565.000000	2.200000	66.000000	4.300000	WATER BASED	1992-12-22	1839	9999-12-31	2013-05-08	875
1/6-6	5565.000000	2.200000	53.000000	2.900000	WATER BASED	1992-12-22	1839	9999-12-31	2013-05-08	876
1/6-6	5565.000000	2.200000	52.000000	2.900000	WATER BASED	1992-12-29	1839	9999-12-31	2013-05-08	877
1/6-6	5565.000000	2.200000	50.000000	1.900000	WATER BASED	1992-12-29	1839	9999-12-31	2013-05-08	878
1/6-6	5565.000000	2.200000	47.000000	1.900000	WATER BASED	1992-12-29	1839	9999-12-31	2013-05-08	879
1/6-6	5565.000000	2.200000	74.000000	5.700000	WATER BASED	1992-12-29	1839	9999-12-31	2013-05-08	880
1/6-6	5565.000000	2.200000	65.000000	4.800000	WATER BASED	1992-12-29	1839	9999-12-31	2013-05-08	881
1/6-6	5565.000000	2.200000	61.000000	2.900000	WATER BASED	1992-12-29	1839	9999-12-31	2013-05-08	882
1/6-6	5565.000000	2.200000	60.000000	2.900000	WATER BASED	1993-01-04	1839	9999-12-31	2013-05-08	883
1/6-6	5565.000000	2.200000	58.000000	2.900000	WATER BASED	1993-01-04	1839	9999-12-31	2013-05-08	884
1/6-6	5565.000000	2.200000	59.000000	3.300000	WATER BASED	1993-01-04	1839	9999-12-31	2013-05-08	885
1/6-6	5565.000000	2.200000	64.000000	2.900000	WATER BASED	1993-01-04	1839	9999-12-31	2013-05-08	886
1/6-6	5565.000000	2.200000	66.000000	4.800000	WATER BASED	1993-01-04	1839	9999-12-31	2013-05-08	887
1/6-6	5565.000000	2.200000	67.000000	4.300000	WATER BASED	1993-01-07	1839	9999-12-31	2013-05-08	888
1/6-6	5565.000000	2.200000	63.000000	4.300000	WATER BASED	1993-01-07	1839	9999-12-31	2013-05-08	889
1/6-6	5565.000000	2.200000	60.000000	4.300000	WATER BASED	1993-01-13	1839	9999-12-31	2013-05-08	890
1/6-6	5565.000000	2.200000	57.000000	4.300000	WATER BASED	1993-01-13	1839	9999-12-31	2013-05-08	891
1/6-6	5565.000000	2.200000	57.000000	4.300000	WATER BASED	1993-01-13	1839	9999-12-31	2013-05-08	892
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-13	1839	9999-12-31	2013-05-08	893
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-13	1839	9999-12-31	2013-05-08	894
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-13	1839	9999-12-31	2013-05-08	895
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-15	1839	9999-12-31	2013-05-08	896
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-19	1839	9999-12-31	2013-05-08	897
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-19	1839	9999-12-31	2013-05-08	898
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-25	1839	9999-12-31	2013-05-08	899
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-25	1839	9999-12-31	2013-05-08	900
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-25	1839	9999-12-31	2013-05-08	901
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-25	1839	9999-12-31	2013-05-08	902
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-26	1839	9999-12-31	2013-05-08	903
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-27	1839	9999-12-31	2013-05-08	904
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-28	1839	9999-12-31	2013-05-08	905
1/6-6	5565.000000	2.200000	53.000000	4.800000	WATER BASED	1993-01-28	1839	9999-12-31	2013-05-08	906
1/6-6	5565.000000	2.200000	53.000000	4.800000	WATER BASED	1993-02-01	1839	9999-12-31	2013-05-08	907
1/6-6	5565.000000	2.200000	53.000000	4.800000	WATER BASED	1993-02-01	1839	9999-12-31	2013-05-08	908
1/6-6	5565.000000	2.200000	53.000000	4.800000	WATER BASED	1993-02-03	1839	9999-12-31	2013-05-08	909
1/6-6	5565.000000	2.200000	51.000000	2.400000	WATER BASED	1993-02-03	1839	9999-12-31	2013-05-08	910
1/6-6	5565.000000	2.200000	53.000000	4.800000	WATER BASED	1993-02-02	1839	9999-12-31	2013-05-08	911
1/6-6	5565.000000	2.200000	51.000000	2.400000	WATER BASED	1993-02-08	1839	9999-12-31	2013-05-08	912
1/6-6	5565.000000	2.200000	53.000000	2.400000	WATER BASED	1993-02-08	1839	9999-12-31	2013-05-08	913
1/6-6	5565.000000	2.200000	56.000000	2.900000	WATER BASED	1993-02-10	1839	9999-12-31	2013-05-08	914
1/6-6	5565.000000	2.200000	54.000000	2.900000	WATER BASED	1993-02-10	1839	9999-12-31	2013-05-08	915
1/6-6	5565.000000	2.200000	56.000000	3.800000	WATER BASED	1993-02-10	1839	9999-12-31	2013-05-08	916
1/6-6	5565.000000	2.200000	52.000000	3.300000	WATER BASED	1993-02-10	1839	9999-12-31	2013-05-08	917
1/6-6	5565.000000	2.200000	49.000000	3.800000	WATER BASED	1993-02-12	1839	9999-12-31	2013-05-08	918
1/6-6	5565.000000	2.190000	66.000000	4.300000	WATER BASED	1993-02-23	1839	9999-12-31	2013-05-08	919
1/6-6	5565.000000	2.200000	55.000000	5.700000	WATER BASED	1993-02-22	1839	9999-12-31	2013-05-08	920
1/6-6	5565.000000	2.200000	49.000000	3.800000	WATER BASED	1993-02-15	1839	9999-12-31	2013-05-08	921
1/6-6	5565.000000	2.200000	52.000000	4.300000	WATER BASED	1993-02-15	1839	9999-12-31	2013-05-08	922
1/6-6	5565.000000	2.200000	52.000000	4.300000	WATER BASED	1993-02-15	1839	9999-12-31	2013-05-08	923
1/6-6	5565.000000	2.200000	58.000000	8.100000	WATER BASED	1993-02-18	1839	9999-12-31	2013-05-08	924
1/6-6	5565.000000	2.200000	55.000000	5.700000	WATER BASED	1993-02-18	1839	9999-12-31	2013-05-08	925
1/6-6	5565.000000	2.200000	55.000000	5.700000	WATER BASED	1993-02-18	1839	9999-12-31	2013-05-08	926
1/6-6	5565.000000	2.200000	57.000000	2.900000	WATER BASED	1992-12-10	1839	9999-12-31	2013-05-08	927
1/6-6	5565.000000	2.200000	56.000000	2.900000	WATER BASED	1992-12-14	1839	9999-12-31	2013-05-08	928
1/6-6	5565.000000	2.200000	59.000000	2.900000	WATER BASED	1992-12-14	1839	9999-12-31	2013-05-08	929
1/6-6	5565.000000	2.200000	50.000000	2.400000	WATER BASED	1993-02-12	1839	9999-12-31	2013-05-08	930
1/6-6	5565.000000	2.200000	52.000000	2.900000	WATER BASED	1993-02-03	1839	9999-12-31	2013-05-08	931
1/6-6	5565.000000	2.200000	53.000000	2.900000	WATER BASED	1992-12-29	1839	9999-12-31	2013-05-08	932
1/6-6	5565.000000	2.200000	72.000000	3.800000	WATER BASED	1992-12-29	1839	9999-12-31	2013-05-08	933
1/6-6	5565.000000	2.200000	64.000000	2.900000	WATER BASED	1993-01-04	1839	9999-12-31	2013-05-08	934
1/6-6	5565.000000	2.200000	55.000000	3.800000	WATER BASED	1992-12-22	1839	9999-12-31	2013-05-08	935
1/6-6	5565.000000	2.200000	53.000000	3.800000	WATER BASED	1993-01-13	1839	9999-12-31	2013-05-08	936
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-18	1839	9999-12-31	2013-05-08	937
1/6-6	5565.000000	2.200000	54.000000	3.800000	WATER BASED	1993-01-19	1839	9999-12-31	2013-05-08	938
1/6-7	96.000000	1.040000	200.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	939
1/6-7	165.000000	1.040000	80.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	940
1/6-7	311.000000	1.040000	300.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	941
1/6-7	735.000000	1.040000	28.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	942
1/6-7	773.000000	1.040000	200.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	943
1/6-7	903.000000	1.710000	50.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	944
1/6-7	1003.000000	1.430000	95.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	945
1/6-7	1007.000000	1.110000	45.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	946
1/6-7	1010.000000	1.250000	72.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	947
1/6-7	1280.000000	1.450000	81.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	948
1/6-7	1400.000000	1.590000	67.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	949
1/6-7	1490.000000	1.630000	115.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	950
1/6-7	1680.000000	1.630000	84.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	951
1/6-7	1812.000000	1.630000	69.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	952
1/6-7	1952.000000	1.630000	72.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	953
1/6-7	2100.000000	1.630000	65.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	954
1/6-7	2190.000000	1.630000	68.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	955
1/6-7	2396.000000	1.630000	78.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	956
1/6-7	2414.000000	1.630000	75.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	957
1/6-7	2508.000000	1.650000	82.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	958
1/6-7	2640.000000	1.660000	68.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	959
1/6-7	2802.000000	1.670000	84.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	960
1/6-7	2920.000000	1.670000	89.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	961
1/6-7	2992.000000	1.680000	92.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	962
1/6-7	3079.000000	1.670000	83.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	963
1/6-7	3132.000000	1.670000	100.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	964
1/6-7	3157.000000	1.710000	103.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	965
1/6-7	3224.000000	1.710000	80.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	966
1/6-7	3273.000000	1.650000	43.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	967
1/6-7	3275.000000	1.610000	51.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	968
1/6-7	3335.000000	1.560000	46.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	969
1/6-7	3427.000000	1.560000	48.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	970
1/6-7	3507.000000	1.560000	48.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	971
1/6-7	3550.000000	1.470000	67.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	972
1/6-7	3592.000000	1.470000	47.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	973
1/6-7	3613.000000	1.470000	52.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	974
1/6-7	3625.000000	1.470000	49.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	975
1/6-7	3649.000000	1.470000	48.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	976
1/6-7	3653.000000	1.460000	51.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	977
1/6-7	3655.000000	1.470000	55.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	978
1/6-7	3673.000000	1.470000	48.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	979
1/6-7	3770.000000	1.470000	45.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	980
1/6-7	3827.000000	1.470000	46.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	981
1/6-7	3916.000000	1.470000	39.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	982
1/6-7	3999.000000	1.530000	38.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	983
1/6-7	4059.000000	1.530000	44.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	984
1/6-7	4101.000000	1.530000	44.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	985
1/6-7	4200.000000	2.120000	55.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	986
1/6-7	4223.000000	1.530000	37.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	987
1/6-7	4281.000000	1.530000	37.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	988
1/6-7	4289.000000	2.120000	59.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	989
1/6-7	4331.000000	1.530000	37.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	990
1/6-7	4358.000000	1.570000	43.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	991
1/6-7	4441.000000	1.920000	41.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	992
1/6-7	4526.000000	1.970000	42.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	993
1/6-7	4613.000000	1.970000	46.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	994
1/6-7	4691.000000	2.000000	52.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	995
1/6-7	4710.000000	2.000000	50.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	996
1/6-7	4754.000000	2.000000	50.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	997
1/6-7	4773.000000	2.000000	58.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	998
1/6-7	4801.000000	2.000000	58.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	999
1/6-7	4995.000000	2.120000	60.000000	0.000000	WATER BASED	9999-12-31	1928	9999-12-31	2013-05-08	1000
1/9-1	143.000000	1.040000	0.000000	0.000000	spud mud	9999-12-31	243	9999-12-31	2013-05-08	1001
1/9-1	432.000000	1.370000	50.000000	0.000000	spud mud	9999-12-31	243	9999-12-31	2013-05-08	1002
1/9-1	1358.000000	1.460000	46.000000	0.000000	spud mud	9999-12-31	243	9999-12-31	2013-05-08	1003
1/9-1	1960.000000	1.910000	54.000000	0.000000	waterbased	9999-12-31	243	9999-12-31	2013-05-08	1004
1/9-1	2577.000000	1.840000	59.000000	0.000000	waterbased	9999-12-31	243	9999-12-31	2013-05-08	1005
1/9-1	2836.000000	1.680000	56.000000	0.000000	waterbased	9999-12-31	243	9999-12-31	2013-05-08	1006
1/9-1	3328.000000	1.660000	53.000000	0.000000	waterbased	9999-12-31	243	9999-12-31	2013-05-08	1007
1/9-1	3683.000000	1.650000	50.000000	0.000000	waterbased	9999-12-31	243	9999-12-31	2013-05-08	1008
1/9-2	250.000000	1.030000	45.000000	0.000000	spud mud	9999-12-31	244	9999-12-31	2013-05-08	1009
1/9-2	1155.000000	1.290000	47.000000	0.000000	waterbased	9999-12-31	244	9999-12-31	2013-05-08	1010
1/9-2	1772.000000	1.700000	62.000000	0.000000	waterbased	9999-12-31	244	9999-12-31	2013-05-08	1011
1/9-2	2658.000000	1.850000	63.000000	0.000000	waterbased	9999-12-31	244	9999-12-31	2013-05-08	1012
1/9-2	2867.000000	1.670000	54.000000	0.000000	waterbased	9999-12-31	244	9999-12-31	2013-05-08	1013
1/9-2	3218.000000	1.670000	50.000000	0.000000	waterbased	9999-12-31	244	9999-12-31	2013-05-08	1014
1/9-2	3459.000000	1.660000	47.000000	0.000000	waterbased	9999-12-31	244	9999-12-31	2013-05-08	1015
1/9-3	169.000000	1.040000	120.000000	0.000000	spud mud	9999-12-31	245	9999-12-31	2013-05-08	1016
1/9-3	445.000000	1.070000	53.000000	0.000000	spud mud	9999-12-31	245	9999-12-31	2013-05-08	1017
1/9-3	621.000000	1.370000	48.000000	0.000000	gel mud	9999-12-31	245	9999-12-31	2013-05-08	1018
1/9-3	979.000000	1.370000	48.000000	0.000000	gel mud	9999-12-31	245	9999-12-31	2013-05-08	1019
1/9-3	1313.000000	1.410000	48.000000	0.000000	gel mud	9999-12-31	245	9999-12-31	2013-05-08	1020
1/9-3	1529.000000	1.740000	57.000000	0.000000	gel mud	9999-12-31	245	9999-12-31	2013-05-08	1021
1/9-3	2251.000000	1.890000	53.000000	0.000000	gel mud	9999-12-31	245	9999-12-31	2013-05-08	1022
1/9-3	2448.000000	1.850000	52.000000	0.000000	gel mud	9999-12-31	245	9999-12-31	2013-05-08	1023
1/9-3	2773.000000	1.850000	56.000000	0.000000	gel mud	9999-12-31	245	9999-12-31	2013-05-08	1024
1/9-4	151.000000	1.020000	0.000000	0.000000	WATERBASED	9999-12-31	247	9999-12-31	2013-05-08	1025
1/9-4	954.000000	1.170000	0.000000	0.000000	WATERBASED	9999-12-31	247	9999-12-31	2013-05-08	1026
1/9-4	1394.000000	1.700000	0.000000	0.000000	WATERBASED	9999-12-31	247	9999-12-31	2013-05-08	1027
1/9-4	2580.000000	1.890000	0.000000	0.000000	WATERBASED	9999-12-31	247	9999-12-31	2013-05-08	1028
1/9-4	3100.000000	1.750000	0.000000	0.000000	WATERBASED	9999-12-31	247	9999-12-31	2013-05-08	1029
1/9-4	3210.000000	1.750000	0.000000	0.000000	WATERBASED	9999-12-31	247	9999-12-31	2013-05-08	1030
1/9-4	3555.000000	1.700000	0.000000	0.000000	WATERBASED	9999-12-31	247	9999-12-31	2013-05-08	1031
1/9-4	3710.000000	1.720000	0.000000	0.000000	WATERBASED	9999-12-31	247	9999-12-31	2013-05-08	1032
1/9-5	220.000000	1.050000	56.000000	30.000000	spud mud	9999-12-31	248	9999-12-31	2013-05-08	1033
1/9-5	1090.000000	1.230000	42.000000	8.000000	waterbased	9999-12-31	248	9999-12-31	2013-05-08	1034
1/9-5	1420.000000	1.500000	20.000000	31.000000	waterbased	9999-12-31	248	9999-12-31	2013-05-08	1035
1/9-5	2190.000000	1.780000	19.000000	18.000000	waterbased	9999-12-31	248	9999-12-31	2013-05-08	1036
1/9-5	2450.000000	1.800000	24.000000	18.000000	waterbased	9999-12-31	248	9999-12-31	2013-05-08	1037
1/9-5	3340.000000	1.680000	27.000000	15.000000	waterbased	9999-12-31	248	9999-12-31	2013-05-08	1038
1/9-6 S	163.000000	1.050000	0.000000	0.000000	spud mud	9999-12-31	44	9999-12-31	2013-05-08	1039
1/9-6 S	478.000000	1.020000	0.000000	0.000000	spud mud	9999-12-31	44	9999-12-31	2013-05-08	1040
1/9-6 S	701.000000	1.080000	0.000000	0.000000	waterbased	9999-12-31	44	9999-12-31	2013-05-08	1041
1/9-6 S	1471.000000	1.310000	0.000000	0.000000	waterbased	9999-12-31	44	9999-12-31	2013-05-08	1042
1/9-6 S	1471.000000	1.330000	0.000000	0.000000	waterbased	9999-12-31	44	9999-12-31	2013-05-08	1043
1/9-6 S	1729.000000	1.700000	0.000000	0.000000	waterbased	9999-12-31	44	9999-12-31	2013-05-08	1044
1/9-6 S	2869.000000	1.870000	0.000000	0.000000	waterbased	9999-12-31	44	9999-12-31	2013-05-08	1045
1/9-6 S	3155.000000	1.870000	0.000000	0.000000	waterbased	9999-12-31	44	9999-12-31	2013-05-08	1046
1/9-6 S	3359.000000	1.700000	0.000000	0.000000	waterbased	9999-12-31	44	9999-12-31	2013-05-08	1047
1/9-6 S	3414.000000	1.650000	0.000000	0.000000	waterbased	9999-12-31	44	9999-12-31	2013-05-08	1048
1/9-6 S	3537.000000	1.580000	0.000000	0.000000	waterbased	9999-12-31	44	9999-12-31	2013-05-08	1049
1/9-6 S	3574.000000	1.570000	0.000000	0.000000	waterbased	9999-12-31	44	9999-12-31	2013-05-08	1050
1/9-6 S	3879.000000	1.590000	0.000000	0.000000	waterbased	9999-12-31	44	9999-12-31	2013-05-08	1051
1/9-7	251.000000	1.260000	9.000000	0.000000	BENTONITE	9999-12-31	4652	9999-12-31	2013-05-08	1052
1/9-7	310.000000	1.200000	0.000000	0.000000	BENTONITE	9999-12-31	4652	9999-12-31	2013-05-08	1053
1/9-7	495.000000	1.700000	28.000000	0.000000	VERSATHERM OBM+	9999-12-31	4652	9999-12-31	2013-05-08	1054
1/9-7	695.000000	1.700000	27.000000	0.000000	VERSATHERM OBM+	9999-12-31	4652	9999-12-31	2013-05-08	1055
1/9-7	695.000000	1.150000	11.000000	0.000000	BENTONITE	9999-12-31	4652	9999-12-31	2013-05-08	1056
1/9-7	1047.000000	1.150000	10.000000	0.000000	BENTONITE	9999-12-31	4652	9999-12-31	2013-05-08	1057
1/9-7	1210.000000	1.560000	8.000000	0.000000	BENTONITE	9999-12-31	4652	9999-12-31	2013-05-08	1058
1/9-7	1215.000000	1.740000	45.000000	0.000000	VERSAVERT OBM	9999-12-31	4652	9999-12-31	2013-05-08	1059
1/9-7	2495.000000	1.790000	44.000000	0.000000	VERSAVERT OBM	9999-12-31	4652	9999-12-31	2013-05-08	1060
1/9-7	2858.000000	1.700000	37.000000	0.000000	VERSATHERM OBM+	9999-12-31	4652	9999-12-31	2013-05-08	1061
1/9-7	3040.000000	1.810000	46.000000	0.000000	VERSAVERT OBM	9999-12-31	4652	9999-12-31	2013-05-08	1062
1/9-7	3040.000000	1.810000	45.000000	0.000000	VERSAVERT OBM	9999-12-31	4652	9999-12-31	2013-05-08	1063
1/9-7	3058.000000	1.730000	41.000000	0.000000	VERSAVERT OBM	9999-12-31	4652	9999-12-31	2013-05-08	1064
1/9-7	3105.000000	1.670000	32.000000	0.000000	VERSATHERM OBM	9999-12-31	4652	9999-12-31	2013-05-08	1065
1/9-7	3561.000000	1.660000	37.000000	0.000000	VERSATHERM OBM	9999-12-31	4652	9999-12-31	2013-05-08	1066
1/9-7	3845.000000	1.670000	33.000000	0.000000	VERSATHERM OBM	9999-12-31	4652	9999-12-31	2013-05-08	1067
1/9-7	4250.000000	2.000000	54.000000	0.000000	VERSATHERM OBM+	9999-12-31	4652	9999-12-31	2013-05-08	1068
1/9-7	4509.000000	1.960000	58.000000	0.000000	VERSATHERM OBM+	9999-12-31	4652	9999-12-31	2013-05-08	1069
1/9-7	4727.000000	2.040000	74.000000	0.000000	VERSATHERM OBM+	9999-12-31	4652	9999-12-31	2013-05-08	1070
1/9-7	4960.000000	2.040000	91.000000	0.000000	VERSATHERM OBM+	9999-12-31	4652	9999-12-31	2013-05-08	1071
1/9-7	4986.000000	2.040000	85.000000	0.000000	VERSATHERM OBM+	9999-12-31	4652	9999-12-31	2013-05-08	1072
10/5-1	189.000000	1.070000	0.000000	0.000000	spud mud	9999-12-31	306	9999-12-31	2013-05-08	1073
10/5-1	500.000000	1.150000	40.000000	0.000000	water based	9999-12-31	306	9999-12-31	2013-05-08	1074
10/5-1	1136.000000	1.240000	40.000000	0.000000	water based	9999-12-31	306	9999-12-31	2013-05-08	1075
10/5-1	1768.000000	1.370000	45.000000	0.000000	water based	9999-12-31	306	9999-12-31	2013-05-08	1076
10/7-1	115.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1077
10/7-1	132.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1078
10/7-1	147.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1079
10/7-1	147.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1080
10/7-1	505.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1081
10/7-1	666.000000	1.200000	38.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1082
10/7-1	793.000000	1.110000	0.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1083
10/7-1	793.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1084
10/7-1	804.000000	1.110000	10.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1085
10/7-1	889.000000	1.140000	10.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1086
10/7-1	987.000000	1.140000	10.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1087
10/7-1	1070.000000	1.140000	10.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1088
10/7-1	1230.000000	1.160000	11.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1089
10/7-1	1230.000000	1.160000	8.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1090
10/7-1	1288.000000	1.260000	36.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1091
10/7-1	1379.000000	1.290000	42.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1092
10/7-1	1541.000000	1.330000	41.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1093
10/7-1	1565.000000	1.370000	44.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1094
10/7-1	1681.000000	1.370000	45.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1095
10/7-1	1842.000000	1.370000	43.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1096
10/7-1	1890.000000	1.370000	43.000000	0.000000	WATER BASED	9999-12-31	1972	9999-12-31	2013-05-08	1097
10/8-1	142.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	175	9999-12-31	2013-05-08	1098
10/8-1	510.000000	1.200000	45.000000	6.000000	seawater	9999-12-31	175	9999-12-31	2013-05-08	1099
10/8-1	1509.000000	1.360000	55.000000	13.000000	seawater	9999-12-31	175	9999-12-31	2013-05-08	1100
10/8-1	2198.000000	1.370000	60.000000	13.000000	seawater	9999-12-31	175	9999-12-31	2013-05-08	1101
10/8-1	2752.000000	1.300000	57.000000	12.000000	seawater	9999-12-31	175	9999-12-31	2013-05-08	1102
10/8-1	2861.000000	1.310000	75.000000	26.000000	seawater	9999-12-31	175	9999-12-31	2013-05-08	1103
11/10-1	253.000000	1.050000	0.000000	0.000000	water based	9999-12-31	170	9999-12-31	2013-05-08	1104
11/10-1	1039.000000	1.130000	40.000000	15.000000	water based	9999-12-31	170	9999-12-31	2013-05-08	1105
11/10-1	1463.000000	1.230000	40.000000	6.000000	water based	9999-12-31	170	9999-12-31	2013-05-08	1106
11/10-1	1889.000000	1.260000	43.000000	8.000000	water based	9999-12-31	170	9999-12-31	2013-05-08	1107
11/10-1	2429.000000	1.260000	40.000000	5.000000	water based	9999-12-31	170	9999-12-31	2013-05-08	1108
11/5-1	263.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	5596	9999-12-31	2013-05-08	1109
11/5-1	560.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	5596	9999-12-31	2013-05-08	1110
11/5-1	863.000000	1.240000	16.000000	0.000000	WATER BASED	9999-12-31	5596	9999-12-31	2013-05-08	1111
11/5-1	1073.000000	1.270000	16.000000	0.000000	WATER BASED	9999-12-31	5596	9999-12-31	2013-05-08	1112
11/9-1	145.000000	1.060000	100.000000	0.000000	seawater	9999-12-31	307	9999-12-31	2013-05-08	1113
11/9-1	580.000000	1.150000	70.000000	0.000000	waterbased	9999-12-31	307	9999-12-31	2013-05-08	1114
11/9-1	1030.000000	1.120000	44.000000	0.000000	waterbased	9999-12-31	307	9999-12-31	2013-05-08	1115
11/9-1	1442.000000	1.210000	50.000000	0.000000	waterbased	9999-12-31	307	9999-12-31	2013-05-08	1116
11/9-1	1752.000000	1.180000	47.000000	0.000000	waterbased	9999-12-31	307	9999-12-31	2013-05-08	1117
11/9-1	1972.000000	1.180000	47.000000	0.000000	waterbased	9999-12-31	307	9999-12-31	2013-05-08	1118
15/12-1	399.000000	1.020000	0.000000	0.000000	seawater	9999-12-31	94	9999-12-31	2013-05-08	1119
15/12-1	2499.000000	1.230000	0.000000	0.000000	seawater	9999-12-31	94	9999-12-31	2013-05-08	1120
15/12-1	3018.000000	1.370000	0.000000	0.000000	seawater	9999-12-31	94	9999-12-31	2013-05-08	1121
15/12-1	3048.000000	1.430000	0.000000	0.000000	seawater	9999-12-31	94	9999-12-31	2013-05-08	1122
15/12-1	3142.000000	1.360000	0.000000	0.000000	seawater	9999-12-31	94	9999-12-31	2013-05-08	1123
15/12-10 S	207.000000	1.200000	28.000000	0.000000	WATER BASED	9999-12-31	2285	9999-12-31	2013-05-08	1124
15/12-10 S	285.000000	1.200000	28.000000	0.000000	WATER BASED	9999-12-31	2285	9999-12-31	2013-05-08	1125
15/12-10 S	1396.000000	1.200000	28.000000	0.000000	WATER BASED	9999-12-31	2285	9999-12-31	2013-05-08	1126
15/12-10 S	2018.000000	1.330000	31.000000	0.000000	OIL BASED	9999-12-31	2285	9999-12-31	2013-05-08	1127
15/12-10 S	2933.000000	1.510000	35.000000	0.000000	OIL BASED	9999-12-31	2285	9999-12-31	2013-05-08	1128
15/12-10 S	3135.000000	1.520000	33.000000	0.000000	OIL BASED	9999-12-31	2285	9999-12-31	2013-05-08	1129
15/12-10 S	3160.000000	1.530000	35.000000	0.000000	OIL BASED	9999-12-31	2285	9999-12-31	2013-05-08	1130
15/12-10 S	3427.000000	1.330000	24.000000	0.000000	OIL BASED	9999-12-31	2285	9999-12-31	2013-05-08	1131
15/12-10 S	3448.000000	1.370000	23.000000	0.000000	OIL BASED	9999-12-31	2285	9999-12-31	2013-05-08	1132
15/12-10 S	3550.000000	1.370000	29.000000	0.000000	OIL BASED	9999-12-31	2285	9999-12-31	2013-05-08	1133
15/12-11 S	407.000000	1.040000	0.000000	0.000000	SPUD MUD	9999-12-31	3074	9999-12-31	2013-05-08	1134
15/12-11 S	632.000000	1.260000	23.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1135
15/12-11 S	1395.000000	1.320000	19.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1136
15/12-11 S	1435.000000	1.420000	24.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1137
15/12-11 S	2726.000000	1.450000	31.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1138
15/12-11 S	2886.000000	1.450000	31.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1139
15/12-11 S	2888.000000	1.480000	40.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1140
15/12-11 S	3053.000000	1.510000	41.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1141
15/12-11 S	3091.000000	1.500000	36.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1142
15/12-11 S	3264.000000	1.500000	36.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1143
15/12-11 S	3317.000000	1.500000	33.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1144
15/12-11 S	3399.000000	1.530000	28.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1145
15/12-11 S	3400.000000	1.500000	27.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1146
15/12-11 S	3420.000000	1.500000	27.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1147
15/12-11 S	3597.000000	1.500000	27.000000	0.000000	KCL MUD	9999-12-31	3074	9999-12-31	2013-05-08	1148
15/12-12	185.000000	1.090000	0.000000	0.000000	WATER BASED	9999-12-31	3391	9999-12-31	2013-05-08	1149
15/12-12	456.000000	1.090000	0.000000	0.000000	WATER BASED	9999-12-31	3391	9999-12-31	2013-05-08	1150
15/12-12	970.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	3391	9999-12-31	2013-05-08	1151
15/12-12	2110.000000	1.350000	20.000000	0.000000	WATER BASED	9999-12-31	3391	9999-12-31	2013-05-08	1152
15/12-12	2836.000000	1.390000	25.000000	0.000000	WATER BASED	9999-12-31	3391	9999-12-31	2013-05-08	1153
15/12-12	2841.000000	1.350000	23.000000	0.000000	WATER BASED	9999-12-31	3391	9999-12-31	2013-05-08	1154
15/12-12	3085.000000	1.360000	20.000000	0.000000	WATER BASED	9999-12-31	3391	9999-12-31	2013-05-08	1155
15/12-12	3088.000000	1.360000	19.000000	0.000000	WATER BASED	9999-12-31	3391	9999-12-31	2013-05-08	1156
15/12-13	145.000000	1.050000	1.000000	0.000000	SPUD MUD	9999-12-31	4733	9999-12-31	2013-05-08	1157
15/12-13	167.000000	1.050000	7.000000	0.000000	SPUD MUD	9999-12-31	4733	9999-12-31	2013-05-08	1158
15/12-13	1200.000000	1.070000	4.000000	0.000000	SPUD MUD	9999-12-31	4733	9999-12-31	2013-05-08	1159
15/12-13	1320.000000	1.200000	11.000000	0.000000	SPUD MUD	9999-12-31	4733	9999-12-31	2013-05-08	1160
15/12-13	1400.000000	1.390000	29.000000	0.000000	BARASILIC	9999-12-31	4733	9999-12-31	2013-05-08	1161
15/12-13	2087.000000	1.280000	19.000000	0.000000	BARASILIC	9999-12-31	4733	9999-12-31	2013-05-08	1162
15/12-13	2259.000000	1.450000	25.000000	0.000000	POLYMER	9999-12-31	4733	9999-12-31	2013-05-08	1163
15/12-13	2400.000000	1.560000	26.000000	0.000000	BARASILC-13B	9999-12-31	4733	9999-12-31	2013-05-08	1164
15/12-13	2656.000000	1.540000	22.000000	0.000000	BARASILC-13B	9999-12-31	4733	9999-12-31	2013-05-08	1165
15/12-13	2720.000000	1.370000	22.000000	0.000000	BARASILIC	9999-12-31	4733	9999-12-31	2013-05-08	1166
15/12-13	2951.000000	1.570000	22.000000	0.000000	BARASILC-13B	9999-12-31	4733	9999-12-31	2013-05-08	1167
15/12-13	3040.000000	1.380000	27.000000	0.000000	BARASILIC	9999-12-31	4733	9999-12-31	2013-05-08	1168
15/12-13	3150.000000	1.230000	17.000000	0.000000	KCL POLYMER	9999-12-31	4733	9999-12-31	2013-05-08	1169
15/12-13 A	1460.000000	1.500000	26.000000	0.000000	BARASILC-13A	9999-12-31	4754	9999-12-31	2013-05-08	1170
15/12-13 A	2532.000000	1.500000	24.000000	0.000000	BARASILC-13A	9999-12-31	4754	9999-12-31	2013-05-08	1171
15/12-13 B	1227.000000	1.560000	22.000000	0.000000	BARASILC-13B	9999-12-31	4759	9999-12-31	2013-05-08	1172
15/12-13 B	1460.000000	1.500000	26.000000	0.000000	BARASILC-13A	9999-12-31	4759	9999-12-31	2013-05-08	1173
15/12-13 B	1970.000000	1.500000	28.000000	0.000000	BARASILC-13A	9999-12-31	4759	9999-12-31	2013-05-08	1174
15/12-13 B	2407.000000	1.500000	26.000000	0.000000	BARASILC-13A	9999-12-31	4759	9999-12-31	2013-05-08	1175
15/12-13 B	2636.000000	1.510000	25.000000	0.000000	BARASILC-13A	9999-12-31	4759	9999-12-31	2013-05-08	1176
15/12-13 B	2656.000000	1.540000	24.000000	0.000000	BARASILC-13B	9999-12-31	4759	9999-12-31	2013-05-08	1177
15/12-14	1376.000000	1.520000	42.000000	0.000000	OIL (ENVIRON)	9999-12-31	4845	9999-12-31	2013-05-08	1178
15/12-14	1847.000000	1.520000	37.000000	0.000000	OIL (ENVIRON)	9999-12-31	4845	9999-12-31	2013-05-08	1179
15/12-14	2700.000000	1.520000	34.000000	0.000000	OIL (ENVIRON)	9999-12-31	4845	9999-12-31	2013-05-08	1180
15/12-14	3110.000000	1.550000	41.000000	0.000000	OIL (ENVIRON)	9999-12-31	4845	9999-12-31	2013-05-08	1181
15/12-14	3254.000000	1.250000	26.000000	0.000000	OIL (ENVIRO	9999-12-31	4845	9999-12-31	2013-05-08	1182
15/12-15	150.000000	1.030000	30.000000	0.000000	SPUD MUD	9999-12-31	5017	9999-12-31	2013-05-08	1183
15/12-15	1097.000000	1.030000	50.000000	0.000000	SPUD MUD	9999-12-31	5017	9999-12-31	2013-05-08	1184
15/12-15	1370.000000	1.250000	50.000000	0.000000	SPUD MUD	9999-12-31	5017	9999-12-31	2013-05-08	1185
15/12-15	1938.000000	1.350000	36.000000	0.000000	PERFORMADRIL	9999-12-31	5017	9999-12-31	2013-05-08	1186
15/12-15	2417.000000	1.350000	36.000000	0.000000	PERFORMADRIL	9999-12-31	5017	9999-12-31	2013-05-08	1187
15/12-15	2454.000000	1.350000	33.000000	0.000000	PERFORMADRIL	9999-12-31	5017	9999-12-31	2013-05-08	1188
15/12-15	2650.000000	1.350000	24.000000	0.000000	PERFORMADRIL	9999-12-31	5017	9999-12-31	2013-05-08	1189
15/12-15	3300.000000	1.350000	34.000000	0.000000	PERFORMADRIL	9999-12-31	5017	9999-12-31	2013-05-08	1190
15/12-16 S	0.000000	1.100000	80.000000	0.000000	WATER BASED	9999-12-31	5271	9999-12-31	2013-05-08	1191
15/12-16 S	0.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	5271	9999-12-31	2013-05-08	1192
15/12-16 S	0.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	5271	9999-12-31	2013-05-08	1193
15/12-16 S	0.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	5271	9999-12-31	2013-05-08	1194
15/12-16 S	0.000000	1.030000	0.000000	0.000000	OTHER	9999-12-31	5271	9999-12-31	2013-05-08	1195
15/12-16 S	0.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	5271	9999-12-31	2013-05-08	1196
15/12-17 A	1480.000000	1.600000	0.000000	0.000000	OIL BASED	9999-12-31	5484	9999-12-31	2013-05-08	1197
15/12-17 A	2800.000000	1.600000	0.000000	0.000000	OIL BASED	9999-12-31	5484	9999-12-31	2013-05-08	1198
15/12-17 A	3135.000000	1.600000	0.000000	0.000000	OIL BASED	9999-12-31	5484	9999-12-31	2013-05-08	1199
15/12-17 A	3418.000000	1.610000	0.000000	0.000000	OIL BASED	9999-12-31	5484	9999-12-31	2013-05-08	1200
15/12-17 A	3620.000000	1.600000	0.000000	0.000000	OIL BASED	9999-12-31	5484	9999-12-31	2013-05-08	1201
15/12-17 S	208.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	5442	9999-12-31	2013-05-08	1202
15/12-17 S	220.000000	1.060000	108.000000	0.000000	WATER BASED	9999-12-31	5442	9999-12-31	2013-05-08	1203
15/12-17 S	514.000000	1.110000	0.000000	0.000000	WATER BASED	9999-12-31	5442	9999-12-31	2013-05-08	1204
15/12-17 S	1766.000000	1.600000	0.000000	0.000000	OIL BASED	9999-12-31	5442	9999-12-31	2013-05-08	1205
15/12-17 S	2821.000000	1.600000	0.000000	0.000000	OIL BASED	9999-12-31	5442	9999-12-31	2013-05-08	1206
15/12-17 S	3210.000000	1.600000	0.000000	0.000000	OIL BASED	9999-12-31	5442	9999-12-31	2013-05-08	1207
15/12-17 S	3258.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5442	9999-12-31	2013-05-08	1208
15/12-17 S	3258.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5442	9999-12-31	2013-05-08	1209
15/12-17 S	3371.000000	1.350000	0.000000	0.000000	OIL BASED	9999-12-31	5442	9999-12-31	2013-05-08	1210
15/12-18 A	175.000000	1.500000	0.000000	0.000000	OIL BASED	9999-12-31	5608	9999-12-31	2013-05-08	1211
15/12-18 A	175.000000	1.470000	0.000000	0.000000	OIL BASED	9999-12-31	5608	9999-12-31	2013-05-08	1212
15/12-18 A	890.000000	1.500000	0.000000	0.000000	OIL BASED	9999-12-31	5608	9999-12-31	2013-05-08	1213
15/12-18 S	158.000000	1.050000	110.000000	0.000000	WATER BASED	9999-12-31	5607	9999-12-31	2013-05-08	1214
15/12-18 S	239.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	5607	9999-12-31	2013-05-08	1215
15/12-18 S	474.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	5607	9999-12-31	2013-05-08	1216
15/12-18 S	476.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	5607	9999-12-31	2013-05-08	1217
15/12-18 S	702.000000	1.120000	0.000000	0.000000	WATER BASED	9999-12-31	5607	9999-12-31	2013-05-08	1218
15/12-19	447.000000	1.060000	9.000000	0.000000	Spud Mud	9999-12-31	5705	9999-12-31	2013-05-08	1219
15/12-19	471.000000	0.000000	5.000000	0.000000	Spud Mud	9999-12-31	5705	9999-12-31	2013-05-08	1220
15/12-19	606.000000	1.080000	5.000000	0.000000	Spud Mud	9999-12-31	5705	9999-12-31	2013-05-08	1221
15/12-19	672.000000	1.250000	17.000000	0.000000	KCl/Poly/Glycol	9999-12-31	5705	9999-12-31	2013-05-08	1222
15/12-19	893.000000	0.000000	13.000000	0.000000	KCl/Poly/Glycol	9999-12-31	5705	9999-12-31	2013-05-08	1223
15/12-19	1282.000000	0.000000	17.000000	0.000000	KCl/Poly/Glycol	9999-12-31	5705	9999-12-31	2013-05-08	1224
15/12-19	1364.000000	1.420000	17.000000	0.000000	KCl/Poly/Glycol	9999-12-31	5705	9999-12-31	2013-05-08	1225
15/12-19	1364.000000	0.000000	16.000000	0.000000	KCl/Poly/Glycol	9999-12-31	5705	9999-12-31	2013-05-08	1226
15/12-19	1400.000000	1.470000	37.000000	0.000000	CarboSEA	9999-12-31	5705	9999-12-31	2013-05-08	1227
15/12-19	2160.000000	0.000000	35.000000	0.000000	CarboSEA	9999-12-31	5705	9999-12-31	2013-05-08	1228
15/12-19	2737.000000	0.000000	31.000000	0.000000	CarboSEA	9999-12-31	5705	9999-12-31	2013-05-08	1229
15/12-19	2911.000000	1.470000	29.000000	0.000000	CarboSEA	9999-12-31	5705	9999-12-31	2013-05-08	1230
15/12-19	2955.000000	1.380000	29.000000	0.000000	CarboSEA	9999-12-31	5705	9999-12-31	2013-05-08	1231
15/12-19	2975.000000	0.000000	29.000000	0.000000	CarboSEA	9999-12-31	5705	9999-12-31	2013-05-08	1232
15/12-19	3001.000000	0.000000	29.000000	0.000000	CarboSEA	9999-12-31	5705	9999-12-31	2013-05-08	1233
15/12-19	3131.000000	1.310000	27.000000	0.000000	CarboSEA	9999-12-31	5705	9999-12-31	2013-05-08	1234
15/12-19	3175.000000	1.340000	0.000000	0.000000	Salt Base	9999-12-31	5705	9999-12-31	2013-05-08	1235
15/12-19	3212.000000	0.000000	0.000000	0.000000	Salt Base	9999-12-31	5705	9999-12-31	2013-05-08	1236
15/12-19	3212.000000	0.000000	32.000000	0.000000	CarboSEA	9999-12-31	5705	9999-12-31	2013-05-08	1237
15/12-19	3212.000000	1.350000	29.000000	0.000000	CarboSEA	9999-12-31	5705	9999-12-31	2013-05-08	1238
15/12-2	350.000000	1.100000	0.000000	0.000000	seawater	9999-12-31	331	9999-12-31	2013-05-08	1239
15/12-2	2650.000000	1.410000	0.000000	0.000000	seawater	9999-12-31	331	9999-12-31	2013-05-08	1240
15/12-20 S	1250.000000	1.460000	38.000000	0.000000	oil based	9999-12-31	5824	9999-12-31	2013-05-08	1241
15/12-20 S	1290.000000	1.460000	32.000000	0.000000	oil based	9999-12-31	5824	9999-12-31	2013-05-08	1242
15/12-20 S	1297.000000	1.590000	40.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1243
15/12-20 S	1303.000000	1.590000	38.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1244
15/12-20 S	1313.000000	1.590000	40.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1245
15/12-20 S	1316.000000	1.590000	44.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1246
15/12-20 S	1333.000000	1.600000	48.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1247
15/12-20 S	1336.000000	1.590000	39.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1248
15/12-20 S	1348.000000	1.590000	52.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1249
15/12-20 S	1354.000000	1.600000	51.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1250
15/12-20 S	1373.000000	1.590000	57.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1251
15/12-20 S	1474.000000	1.530000	43.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1252
15/12-20 S	1750.000000	1.590000	43.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1253
15/12-20 S	3171.000000	1.590000	45.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1254
15/12-20 S	3375.000000	1.600000	43.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1255
15/12-20 S	3613.000000	1.440000	30.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1256
15/12-20 S	3843.000000	1.440000	32.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1257
15/12-20 S	3898.000000	1.450000	32.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1258
15/12-20 S	4136.000000	1.450000	33.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1259
15/12-20 S	4192.000000	1.020000	0.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1260
15/12-20 S	4192.000000	1.440000	31.000000	0.000000	water based	9999-12-31	5824	9999-12-31	2013-05-08	1261
15/12-21	221.000000	1.080000	14.000000	0.000000	AQUADRILL	9999-12-31	6047	9999-12-31	2013-05-08	1262
15/12-21	490.000000	1.140000	12.000000	0.000000	Aquadrill	9999-12-31	6047	9999-12-31	2013-05-08	1263
15/12-21	830.000000	1.150000	11.000000	0.000000	Aquadrill	9999-12-31	6047	9999-12-31	2013-05-08	1264
15/12-21	1080.000000	1.170000	13.000000	0.000000	Aquadrill	9999-12-31	6047	9999-12-31	2013-05-08	1265
15/12-21	1195.000000	1.160000	12.000000	0.000000	Aquadrill	9999-12-31	6047	9999-12-31	2013-05-08	1266
15/12-21	1195.000000	1.170000	13.000000	0.000000	AQUADRILL	9999-12-31	6047	9999-12-31	2013-05-08	1267
15/12-21	1195.000000	1.160000	13.000000	0.000000	Aquadrill	9999-12-31	6047	9999-12-31	2013-05-08	1268
15/12-21	1196.000000	1.190000	13.000000	0.000000	AQUADRILL	9999-12-31	6047	9999-12-31	2013-05-08	1269
15/12-21	1613.000000	1.470000	32.000000	0.000000	Carbo-Sea	9999-12-31	6047	9999-12-31	2013-05-08	1270
15/12-21	2055.000000	1.420000	31.000000	0.000000	CARBOSEA	9999-12-31	6047	9999-12-31	2013-05-08	1271
15/12-21	2211.000000	1.470000	30.000000	0.000000	Carbo-Sea	9999-12-31	6047	9999-12-31	2013-05-08	1272
15/12-21	2618.000000	1.420000	31.000000	0.000000	CARBOSEA	9999-12-31	6047	9999-12-31	2013-05-08	1273
15/12-21	3310.000000	1.470000	36.000000	0.000000	Carbo-Sea	9999-12-31	6047	9999-12-31	2013-05-08	1274
15/12-21	3344.000000	1.420000	32.000000	0.000000	CARBOSEA	9999-12-31	6047	9999-12-31	2013-05-08	1275
15/12-21	3702.000000	1.420000	34.000000	0.000000	CARBOSEA	9999-12-31	6047	9999-12-31	2013-05-08	1276
15/12-21 A	2162.000000	1.430000	0.000000	0.000000	oil based	9999-12-31	6139	9999-12-31	2013-05-08	1277
15/12-21 A	3702.000000	1.430000	0.000000	0.000000	oil based	9999-12-31	6139	9999-12-31	2013-05-08	1278
15/12-22	110.000000	1.040000	0.000000	0.000000	PHB (Sweeps)	9999-12-31	6326	9999-12-31	2013-05-08	1279
15/12-22	178.000000	1.250000	0.000000	0.000000	Kill Mud	9999-12-31	6326	9999-12-31	2013-05-08	1280
15/12-22	439.000000	1.040000	0.000000	0.000000	Kill Mud	9999-12-31	6326	9999-12-31	2013-05-08	1281
15/12-22	628.000000	1.200000	18.000000	0.000000	KCl/GEM	9999-12-31	6326	9999-12-31	2013-05-08	1282
15/12-22	631.000000	1.200000	16.000000	0.000000	KCl/GEM	9999-12-31	6326	9999-12-31	2013-05-08	1283
15/12-22	863.000000	1.200000	17.000000	0.000000	KCl/GEM	9999-12-31	6326	9999-12-31	2013-05-08	1284
15/12-22	1550.000000	1.250000	22.000000	0.000000	KCl/GEM	9999-12-31	6326	9999-12-31	2013-05-08	1285
15/12-22	1611.000000	1.250000	14.000000	0.000000	XP-07	9999-12-31	6326	9999-12-31	2013-05-08	1286
15/12-22	3035.000000	1.350000	19.000000	0.000000	XP-07	9999-12-31	6326	9999-12-31	2013-05-08	1287
15/12-23	1141.000000	1.470000	37.000000	0.000000	Enviromul	9999-12-31	6327	9999-12-31	2013-05-08	1288
15/12-23	1141.000000	1.470000	37.000000	0.000000	Enviromul	9999-12-31	6327	9999-12-31	2013-05-08	1289
15/12-23	1230.000000	1.470000	37.000000	0.000000	Enviromul	9999-12-31	6327	9999-12-31	2013-05-08	1290
15/12-23	2800.000000	1.470000	39.000000	0.000000	Enviromul	9999-12-31	6327	9999-12-31	2013-05-08	1291
15/12-23	3008.000000	1.470000	42.000000	0.000000	Enviromul	9999-12-31	6327	9999-12-31	2013-05-08	1292
15/12-23	3060.000000	1.470000	39.000000	0.000000	Enviromul	9999-12-31	6327	9999-12-31	2013-05-08	1293
15/12-23	3186.000000	1.480000	37.000000	0.000000	Enviromul	9999-12-31	6327	9999-12-31	2013-05-08	1294
15/12-23	3241.000000	1.470000	37.000000	0.000000	Enviromul	9999-12-31	6327	9999-12-31	2013-05-08	1295
15/12-23	3485.000000	1.480000	40.000000	0.000000	Enviromul	9999-12-31	6327	9999-12-31	2013-05-08	1296
15/12-23 A	604.000000	1.570000	38.000000	0.000000	Enviromul	9999-12-31	6404	9999-12-31	2013-05-08	1297
15/12-23 A	1221.000000	1.470000	50.000000	0.000000	Enviromul	9999-12-31	6404	9999-12-31	2013-05-08	1298
15/12-23 A	2689.000000	1.570000	38.000000	0.000000	Enviromul	9999-12-31	6404	9999-12-31	2013-05-08	1299
15/12-23 A	2852.000000	1.540000	42.000000	0.000000	Enviromul	9999-12-31	6404	9999-12-31	2013-05-08	1300
15/12-23 A	3240.000000	1.420000	31.000000	0.000000	Enviromul	9999-12-31	6404	9999-12-31	2013-05-08	1301
15/12-23 A	3822.000000	1.420000	38.000000	0.000000	Enviromul	9999-12-31	6404	9999-12-31	2013-05-08	1302
15/12-23 A	4612.000000	1.420000	40.000000	0.000000	Enviromul	9999-12-31	6404	9999-12-31	2013-05-08	1303
15/12-23 A	4741.000000	1.420000	34.000000	0.000000	Enviromul	9999-12-31	6404	9999-12-31	2013-05-08	1304
15/12-23 A	4772.000000	1.430000	34.000000	0.000000	Enviromul	9999-12-31	6404	9999-12-31	2013-05-08	1305
15/12-3	194.000000	1.060000	35.000000	0.000000	waterbased	9999-12-31	199	9999-12-31	2013-05-08	1306
15/12-3	515.000000	1.080000	35.000000	0.000000	waterbased	9999-12-31	199	9999-12-31	2013-05-08	1307
15/12-3	1052.000000	1.050000	40.000000	0.000000	waterbased	9999-12-31	199	9999-12-31	2013-05-08	1308
15/12-3	1129.000000	1.080000	39.000000	0.000000	waterbased	9999-12-31	199	9999-12-31	2013-05-08	1309
15/12-3	1690.000000	1.200000	47.000000	0.000000	waterbased	9999-12-31	199	9999-12-31	2013-05-08	1310
15/12-3	2302.000000	1.220000	46.000000	0.000000	waterbased	9999-12-31	199	9999-12-31	2013-05-08	1311
15/12-3	2451.000000	1.500000	65.000000	0.000000	waterbased	9999-12-31	199	9999-12-31	2013-05-08	1312
15/12-3	3950.000000	1.750000	52.000000	0.000000	waterbased	9999-12-31	199	9999-12-31	2013-05-08	1313
15/12-3	4160.000000	1.800000	58.000000	0.000000	waterbased	9999-12-31	199	9999-12-31	2013-05-08	1314
15/12-3	4315.000000	1.860000	60.000000	0.000000	waterbased	9999-12-31	199	9999-12-31	2013-05-08	1315
15/12-4	110.000000	1.030000	55.000000	5.300000	WATER BASED	1984-09-17	438	9999-12-31	2013-05-08	1316
15/12-4	171.000000	1.070000	49.000000	4.500000	WATER BASED	1984-09-17	438	9999-12-31	2013-05-08	1317
15/12-4	240.000000	1.070000	49.000000	4.500000	WATER BASED	1984-09-17	438	9999-12-31	2013-05-08	1318
15/12-4	520.000000	1.080000	46.000000	20.000000	WATER BASED	1984-09-17	438	9999-12-31	2013-05-08	1319
15/12-4	523.000000	1.110000	40.000000	9.600000	WATER BASED	1984-09-19	438	9999-12-31	2013-05-08	1320
15/12-4	772.000000	1.140000	42.000000	10.000000	WATER BASED	1984-09-20	438	9999-12-31	2013-05-08	1321
15/12-4	945.000000	1.140000	47.000000	12.000000	WATER BASED	1984-09-21	438	9999-12-31	2013-05-08	1322
15/12-4	1213.000000	1.140000	45.000000	12.000000	WATER BASED	1984-09-24	438	9999-12-31	2013-05-08	1323
15/12-4	1491.000000	1.140000	49.000000	13.000000	WATER BASED	1984-09-24	438	9999-12-31	2013-05-08	1324
15/12-4	1620.000000	1.140000	44.000000	12.000000	WATER BASED	1984-09-24	438	9999-12-31	2013-05-08	1325
15/12-4	1877.000000	1.140000	45.000000	9.000000	WATER BASED	1984-09-28	438	9999-12-31	2013-05-08	1326
15/12-4	2272.000000	1.140000	46.000000	9.000000	WATER BASED	1984-10-01	438	9999-12-31	2013-05-08	1327
15/12-4	2374.000000	1.200000	44.000000	8.600000	WATER BASED	1984-10-01	438	9999-12-31	2013-05-08	1328
15/12-4	2439.000000	1.250000	45.000000	9.100000	WATER BASED	1984-10-01	438	9999-12-31	2013-05-08	1329
15/12-4	2450.000000	1.250000	42.000000	8.600000	WATER BASED	1984-10-02	438	9999-12-31	2013-05-08	1330
15/12-4	2495.000000	1.250000	45.000000	10.000000	WATER BASED	1984-10-03	438	9999-12-31	2013-05-08	1331
15/12-4	2511.000000	1.250000	43.000000	9.100000	WATER BASED	1984-10-04	438	9999-12-31	2013-05-08	1332
15/12-4	2516.000000	1.250000	46.000000	9.600000	WATER BASED	1984-10-05	438	9999-12-31	2013-05-08	1333
15/12-4	2584.000000	1.300000	42.000000	9.000000	WATER BASED	1984-10-08	438	9999-12-31	2013-05-08	1334
15/12-4	2626.000000	1.300000	45.000000	10.000000	WATER BASED	1984-10-08	438	9999-12-31	2013-05-08	1335
15/12-4	2680.000000	1.300000	47.000000	10.000000	WATER BASED	1984-10-08	438	9999-12-31	2013-05-08	1336
15/12-4	2680.000000	1.300000	44.000000	5.800000	WATER BASED	1984-10-15	438	9999-12-31	2013-05-08	1337
15/12-4	2717.000000	1.300000	54.000000	5.800000	WATER BASED	1984-10-15	438	9999-12-31	2013-05-08	1338
15/12-4	2758.000000	1.300000	55.000000	5.800000	WATER BASED	1984-10-15	438	9999-12-31	2013-05-08	1339
15/12-4	2803.000000	1.350000	55.000000	6.000000	WATER BASED	1984-10-16	438	9999-12-31	2013-05-08	1340
15/12-4	2861.000000	1.350000	52.000000	6.000000	WATER BASED	1984-10-17	438	9999-12-31	2013-05-08	1341
15/12-4	2902.000000	1.350000	59.000000	5.600000	WATER BASED	1984-10-18	438	9999-12-31	2013-05-08	1342
15/12-4	2920.000000	1.350000	60.000000	5.600000	WATER BASED	1984-10-19	438	9999-12-31	2013-05-08	1343
15/12-4	3034.000000	1.350000	56.000000	7.000000	WATER BASED	1984-10-22	438	9999-12-31	2013-05-08	1344
15/12-4	3146.000000	1.350000	62.000000	6.700000	WATER BASED	1984-10-22	438	9999-12-31	2013-05-08	1345
15/12-4	3157.000000	1.350000	76.000000	6.700000	WATER BASED	1984-10-24	438	9999-12-31	2013-05-08	1346
15/12-4	3157.000000	1.350000	76.000000	6.700000	WATER BASED	1984-10-23	438	9999-12-31	2013-05-08	1347
15/12-4	3157.000000	1.350000	61.000000	6.200000	WATER BASED	1984-10-22	438	9999-12-31	2013-05-08	1348
15/12-6 S	615.000000	1.030000	0.000000	0.000000	DUMMY	1990-08-27	1524	9999-12-31	2013-05-08	1349
15/12-6 S	615.000000	0.000000	0.000000	0.000000	WATER BASED	1990-08-23	1524	9999-12-31	2013-05-08	1350
15/12-6 S	618.000000	1.150000	15.000000	5.000000	WATER BASED	1990-08-27	1524	9999-12-31	2013-05-08	1351
15/12-6 S	1355.000000	1.150000	21.000000	5.500000	WATER BASED	1990-08-27	1524	9999-12-31	2013-05-08	1352
15/12-6 S	1710.000000	1.300000	21.000000	5.500000	WATER BASED	1990-08-28	1524	9999-12-31	2013-05-08	1353
15/12-6 S	1710.000000	1.300000	23.000000	6.500000	WATER BASED	1990-08-29	1524	9999-12-31	2013-05-08	1354
15/12-6 S	1710.000000	1.300000	23.000000	6.000000	WATER BASED	1990-08-30	1524	9999-12-31	2013-05-08	1355
15/12-6 S	1710.000000	1.300000	22.000000	6.000000	WATER BASED	1990-08-31	1524	9999-12-31	2013-05-08	1356
15/12-6 S	1851.000000	1.400000	20.000000	6.000000	WATER BASED	1990-09-04	1524	9999-12-31	2013-05-08	1357
15/12-6 S	2155.000000	1.400000	20.000000	6.000000	WATER BASED	1990-09-04	1524	9999-12-31	2013-05-08	1358
15/12-6 S	2200.000000	1.500000	22.000000	6.500000	WATER BASED	1990-09-04	1524	9999-12-31	2013-05-08	1359
15/12-6 S	2310.000000	1.500000	22.000000	6.500000	WATER BASED	1990-09-04	1524	9999-12-31	2013-05-08	1360
15/12-6 S	2310.000000	1.500000	23.000000	6.000000	WATER BASED	1990-09-04	1524	9999-12-31	2013-05-08	1361
15/12-6 S	2310.000000	1.500000	23.000000	6.000000	WATER BASED	1990-09-05	1524	9999-12-31	2013-05-08	1362
15/12-6 S	2310.000000	1.500000	23.000000	6.500000	WATER BASED	1990-09-06	1524	9999-12-31	2013-05-08	1363
15/12-6 S	2310.000000	1.550000	23.000000	6.500000	WATER BASED	1990-09-07	1524	9999-12-31	2013-05-08	1364
15/12-6 S	2310.000000	1.550000	23.000000	7.000000	WATER BASED	1990-09-10	1524	9999-12-31	2013-05-08	1365
15/12-6 S	2310.000000	1.550000	23.000000	6.000000	WATER BASED	1990-09-10	1524	9999-12-31	2013-05-08	1366
15/12-6 S	2310.000000	1.580000	23.000000	8.000000	WATER BASED	1990-09-14	1524	9999-12-31	2013-05-08	1367
15/12-6 S	2310.000000	1.610000	25.000000	10.000000	WATER BASED	1990-09-17	1524	9999-12-31	2013-05-08	1368
15/12-6 S	2310.000000	1.610000	25.000000	10.000000	WATER BASED	1990-09-17	1524	9999-12-31	2013-05-08	1369
15/12-6 S	2310.000000	1.610000	26.000000	9.500000	WATER BASED	1990-09-17	1524	9999-12-31	2013-05-08	1370
15/12-6 S	2310.000000	1.610000	24.000000	10.000000	WATER BASED	1990-09-18	1524	9999-12-31	2013-05-08	1371
15/12-6 S	2310.000000	1.550000	23.000000	6.000000	WATER BASED	1990-09-10	1524	9999-12-31	2013-05-08	1372
15/12-6 S	2310.000000	1.550000	23.000000	7.000000	WATER BASED	1990-09-13	1524	9999-12-31	2013-05-08	1373
15/12-6 S	2345.000000	1.500000	23.000000	6.000000	WATER BASED	1990-09-04	1524	9999-12-31	2013-05-08	1374
15/12-6 S	2474.000000	1.500000	22.000000	6.500000	WATER BASED	1990-09-04	1524	9999-12-31	2013-05-08	1375
15/12-6 S	2495.000000	1.550000	23.000000	6.500000	WATER BASED	1990-09-07	1524	9999-12-31	2013-05-08	1376
15/12-6 S	2511.000000	1.550000	23.000000	7.000000	WATER BASED	1990-09-10	1524	9999-12-31	2013-05-08	1377
15/12-6 S	2520.000000	1.550000	23.000000	6.000000	WATER BASED	1990-09-10	1524	9999-12-31	2013-05-08	1378
15/12-6 S	2560.000000	1.500000	23.000000	6.500000	WATER BASED	1990-09-06	1524	9999-12-31	2013-05-08	1379
15/12-6 S	2560.000000	1.500000	23.000000	6.000000	WATER BASED	1990-09-05	1524	9999-12-31	2013-05-08	1380
15/12-6 S	2587.000000	1.550000	23.000000	6.000000	WATER BASED	1990-09-10	1524	9999-12-31	2013-05-08	1381
15/12-6 S	2743.000000	1.320000	15.000000	4.000000	WATER BASED	1990-09-25	1524	9999-12-31	2013-05-08	1382
15/12-6 S	2743.000000	1.320000	23.000000	5.000000	WATER BASED	1990-09-26	1524	9999-12-31	2013-05-08	1383
15/12-6 S	2743.000000	1.320000	24.000000	5.000000	WATER BASED	1990-09-26	1524	9999-12-31	2013-05-08	1384
15/12-6 S	2743.000000	1.320000	22.000000	5.000000	WATER BASED	1990-09-27	1524	9999-12-31	2013-05-08	1385
15/12-6 S	2743.000000	1.320000	24.000000	4.000000	WATER BASED	1990-10-01	1524	9999-12-31	2013-05-08	1386
15/12-6 S	2743.000000	1.320000	28.000000	5.000000	WATER BASED	1990-10-01	1524	9999-12-31	2013-05-08	1387
15/12-6 S	2743.000000	1.320000	28.000000	4.000000	WATER BASED	1990-10-01	1524	9999-12-31	2013-05-08	1388
15/12-6 S	2743.000000	1.320000	21.000000	4.000000	WATER BASED	1990-10-01	1524	9999-12-31	2013-05-08	1389
15/12-6 S	2743.000000	1.320000	21.000000	4.000000	WATER BASED	1990-10-02	1524	9999-12-31	2013-05-08	1390
15/12-6 S	2743.000000	1.320000	26.000000	4.000000	WATER BASED	1990-10-03	1524	9999-12-31	2013-05-08	1391
15/12-6 S	2743.000000	1.320000	28.000000	4.000000	WATER BASED	1990-10-04	1524	9999-12-31	2013-05-08	1392
15/12-6 S	2743.000000	1.320000	28.000000	4.000000	WATER BASED	1990-10-05	1524	9999-12-31	2013-05-08	1393
15/12-6 S	2743.000000	1.320000	28.000000	5.000000	WATER BASED	1990-10-08	1524	9999-12-31	2013-05-08	1394
15/12-6 S	2743.000000	1.320000	28.000000	4.500000	WATER BASED	1990-10-08	1524	9999-12-31	2013-05-08	1395
15/12-6 S	2743.000000	1.320000	30.000000	5.000000	WATER BASED	1990-10-08	1524	9999-12-31	2013-05-08	1396
15/12-6 S	2757.000000	1.610000	25.000000	10.000000	WATER BASED	1990-09-17	1524	9999-12-31	2013-05-08	1397
15/12-6 S	2757.000000	1.610000	25.000000	10.000000	WATER BASED	1990-09-17	1524	9999-12-31	2013-05-08	1398
15/12-6 S	2757.000000	1.610000	25.000000	10.000000	WATER BASED	1990-09-20	1524	9999-12-31	2013-05-08	1399
15/12-6 S	2757.000000	1.610000	25.000000	10.000000	WATER BASED	1990-09-20	1524	9999-12-31	2013-05-08	1400
15/12-6 S	2757.000000	1.610000	26.000000	10.000000	WATER BASED	1990-09-21	1524	9999-12-31	2013-05-08	1401
15/12-6 S	2757.000000	1.610000	26.000000	10.000000	WATER BASED	1990-09-24	1524	9999-12-31	2013-05-08	1402
15/12-6 S	2757.000000	1.610000	26.000000	10.000000	WATER BASED	1990-09-25	1524	9999-12-31	2013-05-08	1403
15/12-6 S	2757.000000	1.580000	23.000000	8.000000	WATER BASED	1990-09-14	1524	9999-12-31	2013-05-08	1404
15/12-6 S	2757.000000	1.550000	23.000000	7.000000	WATER BASED	1990-09-13	1524	9999-12-31	2013-05-08	1405
15/12-6 S	2757.000000	1.610000	26.000000	9.500000	WATER BASED	1990-09-17	1524	9999-12-31	2013-05-08	1406
15/12-6 S	2757.000000	1.610000	24.000000	10.000000	WATER BASED	1990-09-18	1524	9999-12-31	2013-05-08	1407
15/12-6 S	2830.000000	1.320000	15.000000	4.000000	WATER BASED	1990-09-25	1524	9999-12-31	2013-05-08	1408
15/12-6 S	2865.000000	1.320000	23.000000	5.000000	WATER BASED	1990-09-26	1524	9999-12-31	2013-05-08	1409
15/12-6 S	2876.000000	1.320000	30.000000	5.000000	WATER BASED	1990-10-08	1524	9999-12-31	2013-05-08	1410
15/12-6 S	2876.000000	1.320000	28.000000	5.000000	WATER BASED	1990-10-08	1524	9999-12-31	2013-05-08	1411
15/12-6 S	2876.000000	1.320000	28.000000	4.000000	WATER BASED	1990-10-05	1524	9999-12-31	2013-05-08	1412
15/12-6 S	2876.000000	1.320000	28.000000	4.500000	WATER BASED	1990-10-08	1524	9999-12-31	2013-05-08	1413
15/12-6 S	2910.000000	1.320000	24.000000	5.000000	WATER BASED	1990-09-26	1524	9999-12-31	2013-05-08	1414
15/12-6 S	2952.000000	1.320000	22.000000	5.000000	WATER BASED	1990-09-27	1524	9999-12-31	2013-05-08	1415
15/12-6 S	2966.000000	1.320000	24.000000	4.000000	WATER BASED	1990-10-01	1524	9999-12-31	2013-05-08	1416
15/12-6 S	2985.000000	1.320000	21.000000	4.000000	WATER BASED	1990-10-02	1524	9999-12-31	2013-05-08	1417
15/12-6 S	2985.000000	1.320000	21.000000	4.000000	WATER BASED	1990-10-01	1524	9999-12-31	2013-05-08	1418
15/12-6 S	2985.000000	1.320000	28.000000	4.000000	WATER BASED	1990-10-01	1524	9999-12-31	2013-05-08	1419
15/12-6 S	2985.000000	1.320000	28.000000	5.000000	WATER BASED	1990-10-01	1524	9999-12-31	2013-05-08	1420
15/12-6 S	3019.000000	1.320000	26.000000	4.000000	WATER BASED	1990-10-03	1524	9999-12-31	2013-05-08	1421
15/12-6 S	3050.000000	1.320000	28.000000	4.000000	WATER BASED	1990-10-04	1524	9999-12-31	2013-05-08	1422
15/12-6 S	3050.000000	1.320000	28.000000	4.000000	WATER BASED	1990-10-05	1524	9999-12-31	2013-05-08	1423
15/12-6 S	3050.000000	1.320000	28.000000	5.000000	WATER BASED	1990-10-08	1524	9999-12-31	2013-05-08	1424
15/12-6 S	3050.000000	1.320000	28.000000	4.500000	WATER BASED	1990-10-08	1524	9999-12-31	2013-05-08	1425
15/12-6 S	3050.000000	1.320000	30.000000	5.000000	WATER BASED	1990-10-08	1524	9999-12-31	2013-05-08	1426
15/12-7 S	1099.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1427
15/12-7 S	1559.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1428
15/12-7 S	1693.000000	1.300000	15.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1429
15/12-7 S	1815.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1430
15/12-7 S	1820.000000	1.350000	13.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1431
15/12-7 S	1959.000000	1.450000	18.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1432
15/12-7 S	2142.000000	1.550000	19.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1433
15/12-7 S	2350.000000	1.600000	27.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1434
15/12-7 S	2451.000000	1.600000	25.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1435
15/12-7 S	2498.000000	1.600000	24.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1436
15/12-7 S	2563.000000	1.600000	25.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1437
15/12-7 S	2625.000000	1.600000	21.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1438
15/12-7 S	2638.000000	1.600000	25.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1439
15/12-7 S	2758.000000	1.600000	26.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1440
15/12-7 S	2767.000000	1.600000	26.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1441
15/12-7 S	2799.000000	1.600000	38.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1442
15/12-7 S	2835.000000	1.600000	28.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1443
15/12-7 S	2861.000000	1.600000	27.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1444
15/12-7 S	2917.000000	1.600000	27.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1445
15/12-7 S	2980.000000	1.600000	29.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1446
15/12-7 S	3020.000000	1.310000	44.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1447
15/12-7 S	3026.000000	1.600000	25.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1448
15/12-7 S	3066.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1449
15/12-7 S	3570.000000	1.310000	44.000000	0.000000	WATER BASED	9999-12-31	1680	9999-12-31	2013-05-08	1450
15/12-8	171.000000	1.030000	0.000000	0.000000	WATER BASED	1991-06-06	1778	9999-12-31	2013-05-08	1451
15/12-8	278.000000	1.030000	0.000000	0.000000	WATER BASED	1991-06-10	1778	9999-12-31	2013-05-08	1452
15/12-8	601.000000	1.350000	20.000000	11.000000	WATER BASED	1991-06-17	1778	9999-12-31	2013-05-08	1453
15/12-8	601.000000	1.350000	19.000000	3.000000	WATER BASED	1991-06-17	1778	9999-12-31	2013-05-08	1454
15/12-8	601.000000	1.350000	25.000000	12.500000	WATER BASED	1991-06-17	1778	9999-12-31	2013-05-08	1455
15/12-8	615.000000	1.030000	0.000000	0.000000	WATER BASED	1991-06-10	1778	9999-12-31	2013-05-08	1456
15/12-8	615.000000	0.000000	0.000000	0.000000	WATER BASED	1991-06-10	1778	9999-12-31	2013-05-08	1457
15/12-8	1036.000000	1.200000	15.000000	4.000000	WATER BASED	1991-06-14	1778	9999-12-31	2013-05-08	1458
15/12-8	1460.000000	1.300000	17.000000	4.000000	WATER BASED	1991-06-14	1778	9999-12-31	2013-05-08	1459
15/12-8	1460.000000	1.300000	20.000000	6.500000	WATER BASED	1991-06-14	1778	9999-12-31	2013-05-08	1460
15/12-8	1789.000000	1.510000	22.000000	3.500000	WATER BASED	1991-06-20	1778	9999-12-31	2013-05-08	1461
15/12-8	1789.000000	1.530000	26.000000	3.500000	WATER BASED	1991-06-20	1778	9999-12-31	2013-05-08	1462
15/12-8	1798.000000	1.510000	22.000000	3.500000	WATER BASED	1991-06-18	1778	9999-12-31	2013-05-08	1463
15/12-8	1815.000000	1.350000	20.000000	11.000000	WATER BASED	1991-06-17	1778	9999-12-31	2013-05-08	1464
15/12-8	1815.000000	1.350000	20.000000	6.500000	WATER BASED	1991-06-14	1778	9999-12-31	2013-05-08	1465
15/12-8	1815.000000	1.350000	25.000000	12.500000	WATER BASED	1991-06-17	1778	9999-12-31	2013-05-08	1466
15/12-8	1818.000000	1.400000	19.000000	3.000000	WATER BASED	1991-06-17	1778	9999-12-31	2013-05-08	1467
15/12-8	2240.000000	1.530000	25.000000	4.500000	WATER BASED	1991-06-21	1778	9999-12-31	2013-05-08	1468
15/12-8	2240.000000	1.510000	22.000000	3.500000	WATER BASED	1991-06-20	1778	9999-12-31	2013-05-08	1469
15/12-8	2240.000000	1.530000	30.000000	5.000000	WATER BASED	1991-06-25	1778	9999-12-31	2013-05-08	1470
15/12-8	2240.000000	1.530000	30.000000	4.500000	WATER BASED	1991-06-25	1778	9999-12-31	2013-05-08	1471
15/12-8	2240.000000	1.530000	28.000000	5.000000	WATER BASED	1991-06-25	1778	9999-12-31	2013-05-08	1472
15/12-8	2240.000000	1.530000	31.000000	4.500000	WATER BASED	1991-06-25	1778	9999-12-31	2013-05-08	1473
15/12-8	2240.000000	1.510000	22.000000	3.500000	WATER BASED	1991-06-18	1778	9999-12-31	2013-05-08	1474
15/12-8	2240.000000	1.530000	29.000000	4.500000	WATER BASED	1991-06-26	1778	9999-12-31	2013-05-08	1475
15/12-8	2240.000000	1.530000	29.000000	6.000000	WATER BASED	1991-06-27	1778	9999-12-31	2013-05-08	1476
15/12-8	2240.000000	1.530000	26.000000	3.500000	WATER BASED	1991-06-20	1778	9999-12-31	2013-05-08	1477
15/12-8	2482.000000	1.510000	22.000000	3.500000	WATER BASED	1991-06-20	1778	9999-12-31	2013-05-08	1478
15/12-8	2495.000000	1.530000	26.000000	3.500000	WATER BASED	1991-06-20	1778	9999-12-31	2013-05-08	1479
15/12-8	2599.000000	1.530000	25.000000	4.500000	WATER BASED	1991-06-21	1778	9999-12-31	2013-05-08	1480
15/12-8	2725.000000	1.530000	30.000000	5.000000	WATER BASED	1991-06-25	1778	9999-12-31	2013-05-08	1481
15/12-8	2812.000000	1.530000	30.000000	4.500000	WATER BASED	1991-06-25	1778	9999-12-31	2013-05-08	1482
15/12-8	2830.000000	1.530000	31.000000	4.500000	WATER BASED	1991-06-25	1778	9999-12-31	2013-05-08	1483
15/12-8	2850.000000	1.270000	18.000000	3.500000	WATER BASED	1991-07-01	1778	9999-12-31	2013-05-08	1484
15/12-8	2850.000000	1.270000	18.000000	3.500000	WATER BASED	1991-07-03	1778	9999-12-31	2013-05-08	1485
15/12-8	2850.000000	1.270000	18.000000	4.000000	WATER BASED	1991-07-03	1778	9999-12-31	2013-05-08	1486
15/12-8	2855.000000	1.530000	29.000000	6.000000	WATER BASED	1991-06-27	1778	9999-12-31	2013-05-08	1487
15/12-8	2855.000000	1.530000	29.000000	4.500000	WATER BASED	1991-06-26	1778	9999-12-31	2013-05-08	1488
15/12-8	2855.000000	1.530000	28.000000	5.000000	WATER BASED	1991-06-25	1778	9999-12-31	2013-05-08	1489
15/12-8	2907.000000	1.270000	21.000000	7.000000	WATER BASED	1991-07-01	1778	9999-12-31	2013-05-08	1490
15/12-8	3054.000000	1.270000	18.000000	3.500000	WATER BASED	1991-07-01	1778	9999-12-31	2013-05-08	1491
15/12-8 A	2628.000000	1.350000	20.000000	4.000000	WATER BASED	1991-07-23	1835	9999-12-31	2013-05-08	1492
15/12-8 A	2628.000000	1.350000	20.000000	3.500000	WATER BASED	1991-07-23	1835	9999-12-31	2013-05-08	1493
15/12-8 A	2628.000000	1.350000	20.000000	4.000000	WATER BASED	1991-07-24	1835	9999-12-31	2013-05-08	1494
15/12-8 A	2628.000000	1.350000	18.000000	3.500000	WATER BASED	1991-07-25	1835	9999-12-31	2013-05-08	1495
15/12-8 A	2630.000000	1.350000	21.000000	4.500000	WATER BASED	1991-07-23	1835	9999-12-31	2013-05-08	1496
15/12-8 A	2751.000000	1.350000	20.000000	4.000000	WATER BASED	1991-07-23	1835	9999-12-31	2013-05-08	1497
15/12-8 A	2841.000000	1.350000	20.000000	3.500000	WATER BASED	1991-07-23	1835	9999-12-31	2013-05-08	1498
15/12-8 A	2862.000000	1.350000	21.000000	4.500000	WATER BASED	1991-07-23	1835	9999-12-31	2013-05-08	1499
15/12-8 A	2902.000000	1.350000	20.000000	4.000000	WATER BASED	1991-07-24	1835	9999-12-31	2013-05-08	1500
15/12-8 A	2940.000000	1.350000	18.000000	3.500000	WATER BASED	1991-07-25	1835	9999-12-31	2013-05-08	1501
15/2-1	250.000000	1.080000	36.000000	0.000000	waterbased	9999-12-31	308	9999-12-31	2013-05-08	1502
15/2-1	650.000000	1.110000	32.000000	0.000000	waterbased	9999-12-31	308	9999-12-31	2013-05-08	1503
15/2-1	1560.000000	1.110000	65.000000	0.000000	waterbased	9999-12-31	308	9999-12-31	2013-05-08	1504
15/2-1	2180.000000	1.200000	65.000000	0.000000	waterbased	9999-12-31	308	9999-12-31	2013-05-08	1505
15/2-1	2840.000000	1.230000	65.000000	0.000000	waterbased	9999-12-31	308	9999-12-31	2013-05-08	1506
15/2-1	3160.000000	1.250000	65.000000	0.000000	waterbased	9999-12-31	308	9999-12-31	2013-05-08	1507
15/2-1	3840.000000	1.750000	67.000000	0.000000	waterbased	9999-12-31	308	9999-12-31	2013-05-08	1508
15/2-1	4150.000000	1.890000	59.000000	0.000000	waterbased	9999-12-31	308	9999-12-31	2013-05-08	1509
15/2-1	4580.000000	1.880000	60.000000	0.000000	waterbased	9999-12-31	308	9999-12-31	2013-05-08	1510
15/3-2	186.000000	1.060000	110.000000	0.000000	waterbased	9999-12-31	310	9999-12-31	2013-05-08	1511
15/3-2	784.000000	1.180000	64.000000	0.000000	waterbased	9999-12-31	310	9999-12-31	2013-05-08	1512
15/3-2	1813.000000	1.230000	60.000000	0.000000	waterbased	9999-12-31	310	9999-12-31	2013-05-08	1513
15/3-2	2735.000000	1.260000	45.000000	0.000000	waterbased	9999-12-31	310	9999-12-31	2013-05-08	1514
15/3-2	3715.000000	1.350000	51.000000	0.000000	waterbased	9999-12-31	310	9999-12-31	2013-05-08	1515
15/3-2	4258.000000	1.590000	53.000000	0.000000	waterbased	9999-12-31	310	9999-12-31	2013-05-08	1516
15/3-6	156.000000	1.080000	12.000000	0.000000	SPUD MUD	9999-12-31	3250	9999-12-31	2013-05-08	1517
15/3-6	216.000000	1.100000	30.000000	0.000000	SPUD MUD	9999-12-31	3250	9999-12-31	2013-05-08	1518
15/3-6	680.000000	1.100000	31.000000	0.000000	SPUD MUD	9999-12-31	3250	9999-12-31	2013-05-08	1519
15/3-6	890.000000	1.100000	32.000000	0.000000	SPUD MUD	9999-12-31	3250	9999-12-31	2013-05-08	1520
15/3-6	1019.000000	1.310000	18.000000	0.000000	VERSAVERT	9999-12-31	3250	9999-12-31	2013-05-08	1521
15/3-6	2084.000000	1.310000	21.000000	0.000000	VERSAVERT	9999-12-31	3250	9999-12-31	2013-05-08	1522
15/3-6	2158.000000	1.310000	21.000000	0.000000	VERSAVERT	9999-12-31	3250	9999-12-31	2013-05-08	1523
15/3-6	2249.000000	1.310000	22.000000	0.000000	VERSA VERT	9999-12-31	3250	9999-12-31	2013-05-08	1524
15/3-6	2772.000000	1.310000	26.000000	0.000000	VERSA VERT	9999-12-31	3250	9999-12-31	2013-05-08	1525
15/3-6	2793.000000	1.310000	26.000000	0.000000	VERSA VERT	9999-12-31	3250	9999-12-31	2013-05-08	1526
15/3-7	189.000000	1.030000	6.000000	0.000000	SEAWATER/BENT.	9999-12-31	4055	9999-12-31	2013-05-08	1527
15/3-7	245.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	4055	9999-12-31	2013-05-08	1528
15/3-7	897.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	4055	9999-12-31	2013-05-08	1529
15/3-7	1300.000000	1.270000	15.000000	0.000000	GLYDRILL	9999-12-31	4055	9999-12-31	2013-05-08	1530
15/3-7	1513.000000	1.270000	15.000000	0.000000	GLYDRILL	9999-12-31	4055	9999-12-31	2013-05-08	1531
15/3-7	1920.000000	1.370000	22.000000	0.000000	GLYDRILL	9999-12-31	4055	9999-12-31	2013-05-08	1532
15/3-7	2679.000000	1.370000	19.000000	0.000000	GLYDRILL	9999-12-31	4055	9999-12-31	2013-05-08	1533
15/3-7	2743.000000	1.370000	0.000000	0.000000	DUMMY	9999-12-31	4055	9999-12-31	2013-05-08	1534
15/3-7	3140.000000	1.390000	26.000000	0.000000	VERSAPRO	9999-12-31	4055	9999-12-31	2013-05-08	1535
15/3-7	3800.000000	1.550000	30.000000	0.000000	VERSAPRO	9999-12-31	4055	9999-12-31	2013-05-08	1536
15/3-7	3996.000000	1.550000	32.000000	0.000000	VERSAPRO	9999-12-31	4055	9999-12-31	2013-05-08	1537
15/3-7	4063.000000	1.980000	53.000000	0.000000	VERSAPRO	9999-12-31	4055	9999-12-31	2013-05-08	1538
15/3-7	4149.000000	2.000000	67.000000	0.000000	VERSAPRO	9999-12-31	4055	9999-12-31	2013-05-08	1539
15/3-7	4149.000000	2.000000	57.000000	0.000000	VERSAPRO	9999-12-31	4055	9999-12-31	2013-05-08	1540
15/3-7	4635.000000	2.000000	66.000000	0.000000	VERSAPRO	9999-12-31	4055	9999-12-31	2013-05-08	1541
15/3-7	4755.000000	2.000000	66.000000	0.000000	VERSAPRO	9999-12-31	4055	9999-12-31	2013-05-08	1542
15/3-8	151.000000	1.050000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	5175	9999-12-31	2013-05-08	1543
15/3-8	182.000000	1.050000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	5175	9999-12-31	2013-05-08	1544
15/3-8	955.000000	1.030000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	5175	9999-12-31	2013-05-08	1545
15/3-8	1010.000000	1.300000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	5175	9999-12-31	2013-05-08	1546
15/3-8	1617.000000	1.350000	18.000000	0.000000	GLYDRIL 12	9999-12-31	5175	9999-12-31	2013-05-08	1547
15/3-8	1995.000000	1.360000	22.000000	0.000000	GLYDRIL 12	9999-12-31	5175	9999-12-31	2013-05-08	1548
15/3-8	2800.000000	1.390000	29.000000	0.000000	PARATHERM	9999-12-31	5175	9999-12-31	2013-05-08	1549
15/3-8	3217.000000	1.450000	27.000000	0.000000	PARATHERM	9999-12-31	5175	9999-12-31	2013-05-08	1550
15/3-8	3510.000000	1.620000	40.000000	0.000000	PARATHERM	9999-12-31	5175	9999-12-31	2013-05-08	1551
15/3-8	3908.000000	1.620000	37.000000	0.000000	PARATHERM	9999-12-31	5175	9999-12-31	2013-05-08	1552
15/3-8	3910.000000	1.610000	40.000000	0.000000	PARATHERM	9999-12-31	5175	9999-12-31	2013-05-08	1553
15/3-8	3931.000000	1.030000	0.000000	0.000000	PARATHERM	9999-12-31	5175	9999-12-31	2013-05-08	1554
15/3-9	685.000000	1.430000	22.000000	0.000000	Performadril	9999-12-31	6354	9999-12-31	2013-05-08	1555
15/3-9	898.000000	1.430000	21.000000	0.000000	Performadril	9999-12-31	6354	9999-12-31	2013-05-08	1556
15/3-9	1000.000000	1.450000	29.000000	0.000000	Performadril	9999-12-31	6354	9999-12-31	2013-05-08	1557
15/3-9	1157.000000	1.250000	20.000000	0.000000	Performadril	9999-12-31	6354	9999-12-31	2013-05-08	1558
15/3-9	1493.000000	2.040000	36.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1559
15/3-9	1879.000000	1.370000	32.000000	0.000000	Performadril	9999-12-31	6354	9999-12-31	2013-05-08	1560
15/3-9	2566.000000	1.450000	28.000000	0.000000	Performadril	9999-12-31	6354	9999-12-31	2013-05-08	1561
15/3-9	2587.000000	1.370000	30.000000	0.000000	Performadril	9999-12-31	6354	9999-12-31	2013-05-08	1562
15/3-9	2690.000000	1.370000	32.000000	0.000000	Performadril	9999-12-31	6354	9999-12-31	2013-05-08	1563
15/3-9	2718.000000	1.450000	30.000000	0.000000	Performadril	9999-12-31	6354	9999-12-31	2013-05-08	1564
15/3-9	2721.000000	1.470000	27.000000	0.000000	XP-07 - #14	9999-12-31	6354	9999-12-31	2013-05-08	1565
15/3-9	2736.000000	1.390000	23.000000	0.000000	XP-07 - #14	9999-12-31	6354	9999-12-31	2013-05-08	1566
15/3-9	3204.000000	1.410000	21.000000	0.000000	XP-07 - #14	9999-12-31	6354	9999-12-31	2013-05-08	1567
15/3-9	3486.000000	1.430000	20.000000	0.000000	XP-07 - #14	9999-12-31	6354	9999-12-31	2013-05-08	1568
15/3-9	3535.000000	1.490000	24.000000	0.000000	XP-07 - #14	9999-12-31	6354	9999-12-31	2013-05-08	1569
15/3-9	3604.000000	2.000000	42.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1570
15/3-9	3741.000000	1.620000	26.000000	0.000000	XP-07 - #14	9999-12-31	6354	9999-12-31	2013-05-08	1571
15/3-9	3754.000000	2.000000	44.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1572
15/3-9	3900.000000	2.020000	63.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1573
15/3-9	3900.000000	2.020000	47.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1574
15/3-9	3900.000000	1.620000	25.000000	0.000000	XP-07 - #14	9999-12-31	6354	9999-12-31	2013-05-08	1575
15/3-9	3900.000000	1.620000	26.000000	0.000000	XP-07 - #14	9999-12-31	6354	9999-12-31	2013-05-08	1576
15/3-9	4004.000000	2.020000	39.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1577
15/3-9	4103.000000	2.030000	36.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1578
15/3-9	4146.000000	2.040000	36.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1579
15/3-9	4234.000000	2.050000	36.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1580
15/3-9	4365.000000	2.020000	34.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1581
15/3-9	4404.000000	2.020000	33.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1582
15/3-9	4514.000000	2.020000	33.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1583
15/3-9	4654.000000	2.000000	39.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6354	9999-12-31	2013-05-08	1584
15/5-5	210.000000	1.080000	0.000000	0.000000	WATER BASED	9999-12-31	2635	9999-12-31	2013-05-08	1585
15/5-5	826.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	2635	9999-12-31	2013-05-08	1586
15/5-5	1166.000000	1.250000	21.000000	0.000000	WATER BASED	9999-12-31	2635	9999-12-31	2013-05-08	1587
15/5-5	2157.000000	1.250000	24.000000	0.000000	WATER BASED	9999-12-31	2635	9999-12-31	2013-05-08	1588
15/5-5	2218.000000	1.200000	13.000000	0.000000	WATER BASED	9999-12-31	2635	9999-12-31	2013-05-08	1589
15/5-5	2593.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	2635	9999-12-31	2013-05-08	1590
15/5-5	2645.000000	1.250000	24.000000	0.000000	WATER BASED	9999-12-31	2635	9999-12-31	2013-05-08	1591
15/5-6	1002.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3113	9999-12-31	2013-05-08	1592
15/5-6	1002.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3113	9999-12-31	2013-05-08	1593
15/5-6	1887.000000	1.250000	18.000000	0.000000	QUADRILL	9999-12-31	3113	9999-12-31	2013-05-08	1594
15/5-6	1940.000000	1.430000	23.000000	0.000000	QUADRILL	9999-12-31	3113	9999-12-31	2013-05-08	1595
15/5-6	1949.000000	1.430000	22.000000	0.000000	QUADRILL	9999-12-31	3113	9999-12-31	2013-05-08	1596
15/5-6	2204.000000	1.250000	15.000000	0.000000	QUADRILL	9999-12-31	3113	9999-12-31	2013-05-08	1597
15/5-6	2725.000000	1.500000	24.000000	0.000000	QUADRILL	9999-12-31	3113	9999-12-31	2013-05-08	1598
15/5-6	2725.000000	1.430000	23.000000	0.000000	QUADRILL	9999-12-31	3113	9999-12-31	2013-05-08	1599
15/5-7	198.000000	1.030000	0.000000	0.000000	spud mud	9999-12-31	5842	9999-12-31	2013-05-08	1600
15/5-7	1048.000000	1.060000	0.000000	0.000000	spud mud	9999-12-31	5842	9999-12-31	2013-05-08	1601
15/5-7	2669.000000	1.350000	0.000000	0.000000	KCL/poly	9999-12-31	5842	9999-12-31	2013-05-08	1602
15/5-7	4037.000000	1.490000	0.000000	0.000000	KCL/poly	9999-12-31	5842	9999-12-31	2013-05-08	1603
15/5-7 A	4130.000000	1.400000	0.000000	0.000000	Oil based	9999-12-31	5946	9999-12-31	2013-05-08	1604
15/6-1	369.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	197	9999-12-31	2013-05-08	1605
15/6-1	1225.000000	0.000000	0.000000	0.000000	waterbased	9999-12-31	197	9999-12-31	2013-05-08	1606
15/6-10	160.000000	1.020000	0.000000	0.000000	Seawater	9999-12-31	6030	9999-12-31	2013-05-08	1607
15/6-10	185.000000	1.060000	0.000000	0.000000	Bentonite mud	9999-12-31	6030	9999-12-31	2013-05-08	1608
15/6-10	205.000000	1.060000	0.000000	0.000000	Bentonite mud	9999-12-31	6030	9999-12-31	2013-05-08	1609
15/6-10	272.000000	1.060000	0.000000	0.000000	Bentonite mud	9999-12-31	6030	9999-12-31	2013-05-08	1610
15/6-10	489.000000	1.250000	0.000000	0.000000	Bentonite mud	9999-12-31	6030	9999-12-31	2013-05-08	1611
15/6-10	700.000000	1.200000	12.000000	0.000000	KCL / GEM	9999-12-31	6030	9999-12-31	2013-05-08	1612
15/6-10	884.000000	1.200000	12.000000	0.000000	KCL / GEM	9999-12-31	6030	9999-12-31	2013-05-08	1613
15/6-10	978.000000	1.220000	17.000000	0.000000	KCL / GEM	9999-12-31	6030	9999-12-31	2013-05-08	1614
15/6-10	1058.000000	1.210000	16.000000	0.000000	KCL / GEM	9999-12-31	6030	9999-12-31	2013-05-08	1615
15/6-10	1756.000000	1.200000	12.000000	0.000000	KCL / GEM	9999-12-31	6030	9999-12-31	2013-05-08	1616
15/6-10	1874.000000	1.210000	17.000000	0.000000	KCL / GEM	9999-12-31	6030	9999-12-31	2013-05-08	1617
15/6-10	1945.000000	1.450000	31.000000	0.000000	PERFORMADRIL	9999-12-31	6030	9999-12-31	2013-05-08	1618
15/6-10	1984.000000	1.200000	15.000000	0.000000	KCL / GEM	9999-12-31	6030	9999-12-31	2013-05-08	1619
15/6-10	2127.000000	1.340000	20.000000	0.000000	Performadril	9999-12-31	6030	9999-12-31	2013-05-08	1620
15/6-10	2687.000000	1.350000	28.000000	0.000000	Performadril	9999-12-31	6030	9999-12-31	2013-05-08	1621
15/6-10	3050.000000	1.450000	31.000000	0.000000	PERFORMADRIL	9999-12-31	6030	9999-12-31	2013-05-08	1622
15/6-10	3092.000000	1.350000	43.000000	0.000000	Performadril	9999-12-31	6030	9999-12-31	2013-05-08	1623
15/6-10	3202.000000	1.390000	48.000000	0.000000	Performadril	9999-12-31	6030	9999-12-31	2013-05-08	1624
15/6-10	3277.000000	1.390000	41.000000	0.000000	Performadril	9999-12-31	6030	9999-12-31	2013-05-08	1625
15/6-10	3395.000000	1.450000	53.000000	0.000000	Performadril	9999-12-31	6030	9999-12-31	2013-05-08	1626
15/6-10	3697.000000	1.500000	53.000000	0.000000	PERFORMADRIL	9999-12-31	6030	9999-12-31	2013-05-08	1627
15/6-10	3697.000000	1.510000	53.000000	0.000000	Performadril	9999-12-31	6030	9999-12-31	2013-05-08	1628
15/6-11 A	420.000000	1.390000	28.000000	0.000000	Spud Mud	9999-12-31	6526	9999-12-31	2013-05-08	1629
15/6-11 A	1950.000000	1.490000	13.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1630
15/6-11 A	2244.000000	1.390000	28.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1631
15/6-11 A	2631.000000	1.400000	23.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1632
15/6-11 A	2902.000000	1.390000	25.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1633
15/6-11 A	3042.000000	1.400000	28.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1634
15/6-11 A	3117.000000	1.400000	24.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1635
15/6-11 A	3390.000000	1.420000	27.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1636
15/6-11 A	3430.000000	1.430000	23.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1637
15/6-11 A	3477.000000	1.450000	24.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1638
15/6-11 A	3549.000000	1.480000	26.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1639
15/6-11 A	4003.000000	1.500000	29.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1640
15/6-11 A	4003.000000	1.500000	25.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1641
15/6-11 A	4028.000000	1.500000	28.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1642
15/6-11 A	4076.000000	1.500000	30.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1643
15/6-11 A	4174.000000	1.500000	34.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1644
15/6-11 A	4180.000000	1.510000	31.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1645
15/6-11 A	4305.000000	1.520000	30.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1646
15/6-11 A	4305.000000	1.500000	27.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1647
15/6-11 A	4305.000000	1.500000	26.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1648
15/6-11 A	4305.000000	1.520000	31.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1649
15/6-11 A	4305.000000	1.500000	32.000000	0.000000	XP-07 - #14	9999-12-31	6526	9999-12-31	2013-05-08	1650
15/6-11 S	702.000000	1.300000	21.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1651
15/6-11 S	770.000000	1.300000	20.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1652
15/6-11 S	894.000000	1.310000	540.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1653
15/6-11 S	940.000000	1.310000	20.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1654
15/6-11 S	1004.000000	1.310000	25.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1655
15/6-11 S	1136.000000	1.340000	24.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1656
15/6-11 S	1460.000000	1.360000	29.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1657
15/6-11 S	1505.000000	1.350000	24.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1658
15/6-11 S	1518.000000	1.360000	28.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1659
15/6-11 S	1518.000000	1.350000	24.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1660
15/6-11 S	1537.000000	1.360000	28.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1661
15/6-11 S	1614.000000	1.350000	30.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1662
15/6-11 S	1753.000000	1.350000	26.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1663
15/6-11 S	1758.000000	1.350000	26.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1664
15/6-11 S	1975.000000	1.400000	28.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1665
15/6-11 S	1989.000000	1.400000	28.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1666
15/6-11 S	1992.000000	1.350000	22.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1667
15/6-11 S	2103.000000	1.350000	27.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1668
15/6-11 S	2190.000000	1.350000	33.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1669
15/6-11 S	2190.000000	1.360000	33.000000	0.000000	Performadril	9999-12-31	6488	9999-12-31	2013-05-08	1670
15/6-11 S	2196.000000	1.230000	23.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1671
15/6-11 S	2780.000000	1.230000	26.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1672
15/6-11 S	3080.000000	1.270000	30.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1673
15/6-11 S	3490.000000	1.470000	35.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1674
15/6-11 S	3542.000000	1.390000	29.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1675
15/6-11 S	3818.000000	1.460000	27.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1676
15/6-11 S	4042.000000	1.500000	45.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1677
15/6-11 S	4042.000000	1.470000	32.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1678
15/6-11 S	4042.000000	1.470000	31.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1679
15/6-11 S	4042.000000	1.460000	29.000000	0.000000	XP-07 - #14	9999-12-31	6488	9999-12-31	2013-05-08	1680
15/6-12	800.000000	1.410000	35.000000	0.000000	Performadril	9999-12-31	6518	9999-12-31	2013-05-08	1681
15/6-12	900.000000	1.410000	36.000000	0.000000	Performadril	9999-12-31	6518	9999-12-31	2013-05-08	1682
15/6-12	1100.000000	1.250000	26.000000	0.000000	Performadril	9999-12-31	6518	9999-12-31	2013-05-08	1683
15/6-12	1336.000000	1.250000	29.000000	0.000000	Performadril	9999-12-31	6518	9999-12-31	2013-05-08	1684
15/6-12	2362.000000	1.350000	39.000000	0.000000	Performadril	9999-12-31	6518	9999-12-31	2013-05-08	1685
15/6-12	2406.000000	1.370000	36.000000	0.000000	Performadril	9999-12-31	6518	9999-12-31	2013-05-08	1686
15/6-12	2525.000000	1.370000	34.000000	0.000000	Performadril	9999-12-31	6518	9999-12-31	2013-05-08	1687
15/6-12	2684.000000	1.370000	42.000000	0.000000	Performadril	9999-12-31	6518	9999-12-31	2013-05-08	1688
15/6-12	2696.000000	1.370000	42.000000	0.000000	Performadril	9999-12-31	6518	9999-12-31	2013-05-08	1689
15/6-12	2765.000000	1.470000	19.000000	0.000000	OBM-Low ECD	9999-12-31	6518	9999-12-31	2013-05-08	1690
15/6-12	2765.000000	1.370000	36.000000	0.000000	Performadril	9999-12-31	6518	9999-12-31	2013-05-08	1691
15/6-12	2765.000000	1.370000	36.000000	0.000000	Performadril	9999-12-31	6518	9999-12-31	2013-05-08	1692
15/6-12	3440.000000	1.450000	23.000000	0.000000	OBM-Low ECD	9999-12-31	6518	9999-12-31	2013-05-08	1693
15/6-12	3629.000000	1.560000	25.000000	0.000000	OBM-Low ECD	9999-12-31	6518	9999-12-31	2013-05-08	1694
15/6-12	3680.000000	1.890000	38.000000	0.000000	OBM-Low ECD	9999-12-31	6518	9999-12-31	2013-05-08	1695
15/6-12	3786.000000	1.890000	43.000000	0.000000	OBM-Low ECD	9999-12-31	6518	9999-12-31	2013-05-08	1696
15/6-12	3812.000000	1.890000	47.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6518	9999-12-31	2013-05-08	1697
15/6-12	3930.000000	1.750000	33.000000	0.000000	OBM-Low ECD	9999-12-31	6518	9999-12-31	2013-05-08	1698
15/6-6	380.000000	1.080000	41.000000	0.000000	waterbased	9999-12-31	38	9999-12-31	2013-05-08	1699
15/6-6	720.000000	1.100000	40.000000	0.000000	waterbased	9999-12-31	38	9999-12-31	2013-05-08	1700
15/6-6	1360.000000	1.120000	49.000000	0.000000	waterbased	9999-12-31	38	9999-12-31	2013-05-08	1701
15/6-6	2420.000000	1.160000	51.000000	0.000000	waterbased	9999-12-31	38	9999-12-31	2013-05-08	1702
15/6-6	3290.000000	1.340000	48.000000	0.000000	waterbased	9999-12-31	38	9999-12-31	2013-05-08	1703
15/6-6	3440.000000	1.340000	47.000000	0.000000	waterbased	9999-12-31	38	9999-12-31	2013-05-08	1704
15/6-6	3610.000000	1.360000	42.000000	0.000000	waterbased	9999-12-31	38	9999-12-31	2013-05-08	1705
15/6-6	3660.000000	1.340000	47.000000	0.000000	waterbased	9999-12-31	38	9999-12-31	2013-05-08	1706
15/6-7	180.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1707
15/6-7	220.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1708
15/6-7	505.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1709
15/6-7	1173.000000	1.140000	190.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1710
15/6-7	2067.000000	1.300000	170.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1711
15/6-7	2100.000000	1.300000	180.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1712
15/6-7	2213.000000	1.300000	220.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1713
15/6-7	2440.000000	1.300000	180.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1714
15/6-7	2614.000000	1.300000	180.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1715
15/6-7	2690.000000	1.300000	190.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1716
15/6-7	2700.000000	1.300000	130.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1717
15/6-7	2700.000000	1.540000	230.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1718
15/6-7	2788.000000	1.300000	290.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1719
15/6-7	3120.000000	1.300000	180.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1720
15/6-7	3226.000000	1.500000	260.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1721
15/6-7	3414.000000	1.520000	200.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1722
15/6-7	3540.000000	1.520000	230.000000	0.000000	WATER BASED	9999-12-31	2084	9999-12-31	2013-05-08	1723
15/6-8 A	150.000000	1.350000	25.000000	0.000000	KCL/POLYMER	9999-12-31	3077	9999-12-31	2013-05-08	1724
15/6-8 A	1890.000000	1.390000	29.000000	0.000000	KCL/POLYMER	9999-12-31	3077	9999-12-31	2013-05-08	1725
15/6-8 A	2300.000000	1.390000	34.000000	0.000000	KCL/POLYMER	9999-12-31	3077	9999-12-31	2013-05-08	1726
15/6-8 A	2438.000000	1.390000	32.000000	0.000000	KCL/POLYMER	9999-12-31	3077	9999-12-31	2013-05-08	1727
15/6-8 A	2480.000000	1.390000	40.000000	0.000000	KCL/POLYMER	9999-12-31	3077	9999-12-31	2013-05-08	1728
15/6-8 S	148.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	3014	9999-12-31	2013-05-08	1729
15/6-8 S	178.000000	1.200000	0.000000	0.000000	BENTONITE	9999-12-31	3014	9999-12-31	2013-05-08	1730
15/6-8 S	512.000000	1.040000	0.000000	0.000000	SEAWATER	9999-12-31	3014	9999-12-31	2013-05-08	1731
15/6-8 S	801.000000	1.270000	73.000000	0.000000	KCL POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1732
15/6-8 S	1495.000000	1.430000	33.000000	0.000000	KCL/POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1733
15/6-8 S	1505.000000	1.270000	71.000000	0.000000	KCL POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1734
15/6-8 S	1650.000000	1.450000	37.000000	0.000000	KCL POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1735
15/6-8 S	1881.000000	1.390000	37.000000	0.000000	KCL POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1736
15/6-8 S	2330.000000	1.400000	31.000000	0.000000	KCL POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1737
15/6-8 S	2554.000000	1.390000	41.000000	0.000000	KCL POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1738
15/6-8 S	2707.000000	1.420000	33.000000	0.000000	KCL/POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1739
15/6-8 S	3015.000000	1.390000	34.000000	0.000000	KCL/POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1740
15/6-8 S	3018.000000	1.390000	35.000000	0.000000	KCL/POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1741
15/6-8 S	3172.000000	1.390000	37.000000	0.000000	KCL/POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1742
15/6-8 S	3183.000000	1.390000	36.000000	0.000000	KCL/POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1743
15/6-8 S	3225.000000	1.390000	31.000000	0.000000	KCL/POLYMER	9999-12-31	3014	9999-12-31	2013-05-08	1744
15/6-9 A	2786.000000	1.480000	27.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5566	9999-12-31	2013-05-08	1745
15/6-9 A	3083.000000	1.460000	19.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5566	9999-12-31	2013-05-08	1746
15/6-9 A	3308.000000	1.460000	22.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5566	9999-12-31	2013-05-08	1747
15/6-9 A	3567.000000	1.480000	24.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5566	9999-12-31	2013-05-08	1748
15/6-9 A	3587.000000	1.480000	26.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5566	9999-12-31	2013-05-08	1749
15/6-9 B	2836.000000	1.480000	23.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5571	9999-12-31	2013-05-08	1750
15/6-9 B	2852.000000	1.460000	19.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5571	9999-12-31	2013-05-08	1751
15/6-9 B	2898.000000	1.460000	30.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5571	9999-12-31	2013-05-08	1752
15/6-9 B	2907.000000	1.460000	17.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5571	9999-12-31	2013-05-08	1753
15/6-9 B	3000.000000	1.350000	13.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5571	9999-12-31	2013-05-08	1754
15/6-9 B	3000.000000	1.460000	24.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5571	9999-12-31	2013-05-08	1755
15/6-9 B	3151.000000	1.460000	18.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5571	9999-12-31	2013-05-08	1756
15/6-9 B	3379.000000	1.460000	22.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5571	9999-12-31	2013-05-08	1757
15/6-9 B	3456.000000	1.460000	22.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5571	9999-12-31	2013-05-08	1758
15/6-9 B	3926.000000	1.460000	26.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5571	9999-12-31	2013-05-08	1759
15/6-9 B	4010.000000	1.460000	28.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5571	9999-12-31	2013-05-08	1760
15/6-9 S	320.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	5494	9999-12-31	2013-05-08	1761
15/6-9 S	610.000000	1.090000	0.000000	0.000000	SPUD MUD	9999-12-31	5494	9999-12-31	2013-05-08	1762
15/6-9 S	768.000000	1.120000	4.000000	0.000000	KILL FLUID- SW/BENTONITE	9999-12-31	5494	9999-12-31	2013-05-08	1763
15/6-9 S	771.000000	1.120000	5.000000	0.000000	KILL FLUID- SW/BENTONITE	9999-12-31	5494	9999-12-31	2013-05-08	1764
15/6-9 S	1158.000000	1.350000	17.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5494	9999-12-31	2013-05-08	1765
15/6-9 S	1725.000000	1.350000	18.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5494	9999-12-31	2013-05-08	1766
15/6-9 S	2744.000000	1.350000	21.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5494	9999-12-31	2013-05-08	1767
15/6-9 S	2797.000000	1.350000	22.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5494	9999-12-31	2013-05-08	1768
15/6-9 S	2883.000000	1.460000	13.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5494	9999-12-31	2013-05-08	1769
15/6-9 S	3139.000000	1.460000	31.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5494	9999-12-31	2013-05-08	1770
15/6-9 S	3489.000000	1.460000	30.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5494	9999-12-31	2013-05-08	1771
15/6-9 S	3761.000000	1.460000	27.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5494	9999-12-31	2013-05-08	1772
15/6-9 S	3763.000000	1.460000	35.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5494	9999-12-31	2013-05-08	1773
15/6-9 S	3811.000000	1.460000	33.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5494	9999-12-31	2013-05-08	1774
15/6-9 S	3940.000000	1.460000	32.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5494	9999-12-31	2013-05-08	1775
15/8-1	207.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	321	9999-12-31	2013-05-08	1776
15/8-1	1161.000000	1.120000	0.000000	0.000000	seawater	9999-12-31	321	9999-12-31	2013-05-08	1777
15/8-1	1387.000000	1.100000	0.000000	0.000000	seawater	9999-12-31	321	9999-12-31	2013-05-08	1778
15/8-1	2400.000000	1.190000	0.000000	0.000000	waterbased	9999-12-31	321	9999-12-31	2013-05-08	1779
15/8-1	2582.000000	1.240000	0.000000	0.000000	waterbased	9999-12-31	321	9999-12-31	2013-05-08	1780
15/8-1	3658.000000	1.380000	0.000000	0.000000	waterbased	9999-12-31	321	9999-12-31	2013-05-08	1781
15/8-1	3991.000000	1.380000	0.000000	0.000000	waterbased	9999-12-31	321	9999-12-31	2013-05-08	1782
15/8-1	4147.000000	1.360000	0.000000	0.000000	waterbased	9999-12-31	321	9999-12-31	2013-05-08	1783
15/9-1	352.000000	1.050000	40.000000	26.000000	spud mud	9999-12-31	322	9999-12-31	2013-05-08	1784
15/9-1	1190.000000	1.060000	39.000000	24.000000	water based	9999-12-31	322	9999-12-31	2013-05-08	1785
15/9-1	2280.000000	1.220000	49.000000	11.000000	water based	9999-12-31	322	9999-12-31	2013-05-08	1786
15/9-1	2867.000000	1.240000	50.000000	14.000000	water based	9999-12-31	322	9999-12-31	2013-05-08	1787
15/9-1	3518.000000	1.410000	57.000000	11.000000	water based	9999-12-31	322	9999-12-31	2013-05-08	1788
15/9-1	3733.000000	1.420000	50.000000	12.000000	water based	9999-12-31	322	9999-12-31	2013-05-08	1789
15/9-10	197.000000	1.060000	44.000000	0.000000	spud mud	9999-12-31	69	9999-12-31	2013-05-08	1790
15/9-10	485.000000	1.100000	44.000000	6.000000	spud mud	9999-12-31	69	9999-12-31	2013-05-08	1791
15/9-10	1178.000000	1.110000	42.000000	14.000000	water based	9999-12-31	69	9999-12-31	2013-05-08	1792
15/9-10	2550.000000	1.220000	49.000000	20.000000	water based	9999-12-31	69	9999-12-31	2013-05-08	1793
15/9-10	2719.000000	1.270000	43.000000	13.000000	water based	9999-12-31	69	9999-12-31	2013-05-08	1794
15/9-10	2985.000000	1.500000	53.000000	12.000000	water based	9999-12-31	69	9999-12-31	2013-05-08	1795
15/9-10	3289.000000	1.480000	48.000000	10.000000	water based	9999-12-31	69	9999-12-31	2013-05-08	1796
15/9-11	465.000000	1.100000	0.000000	0.000000	waterbased	9999-12-31	329	9999-12-31	2013-05-08	1797
15/9-11	960.000000	1.130000	0.000000	0.000000	waterbased	9999-12-31	329	9999-12-31	2013-05-08	1798
15/9-11	1176.000000	1.120000	0.000000	0.000000	waterbased	9999-12-31	329	9999-12-31	2013-05-08	1799
15/9-11	1404.000000	1.200000	0.000000	0.000000	waterbased	9999-12-31	329	9999-12-31	2013-05-08	1800
15/9-11	2590.000000	1.230000	0.000000	0.000000	waterbased	9999-12-31	329	9999-12-31	2013-05-08	1801
15/9-14	200.000000	1.040000	78.000000	0.000000	waterbased	9999-12-31	71	9999-12-31	2013-05-08	1802
15/9-14	525.000000	1.080000	42.000000	0.000000	waterbased	9999-12-31	71	9999-12-31	2013-05-08	1803
15/9-14	1095.000000	1.120000	43.000000	0.000000	waterbased	9999-12-31	71	9999-12-31	2013-05-08	1804
15/9-14	1515.000000	1.150000	58.000000	0.000000	waterbased	9999-12-31	71	9999-12-31	2013-05-08	1805
15/9-14	1890.000000	1.200000	51.000000	0.000000	waterbased	9999-12-31	71	9999-12-31	2013-05-08	1806
15/9-14	2280.000000	1.230000	52.000000	0.000000	waterbased	9999-12-31	71	9999-12-31	2013-05-08	1807
15/9-14	3030.000000	1.350000	54.000000	0.000000	waterbased	9999-12-31	71	9999-12-31	2013-05-08	1808
15/9-14	3475.000000	1.380000	59.000000	0.000000	waterbased	9999-12-31	71	9999-12-31	2013-05-08	1809
15/9-18	180.000000	1.040000	100.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1810
15/9-18	330.000000	1.080000	38.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1811
15/9-18	610.000000	1.100000	45.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1812
15/9-18	705.000000	1.140000	49.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1813
15/9-18	815.000000	1.130000	52.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1814
15/9-18	1145.000000	1.120000	52.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1815
15/9-18	1175.000000	1.130000	44.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1816
15/9-18	1780.000000	1.170000	53.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1817
15/9-18	1890.000000	1.200000	53.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1818
15/9-18	2090.000000	1.230000	46.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1819
15/9-18	2800.000000	1.240000	46.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1820
15/9-18	3040.000000	1.350000	53.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1821
15/9-18	3095.000000	1.390000	55.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1822
15/9-18	3145.000000	1.420000	54.000000	0.000000	WATER BASED	9999-12-31	36	9999-12-31	2013-05-08	1823
15/9-19 A	2178.000000	1.500000	51.000000	0.000000	ULTIDRILL	9999-12-31	3145	9999-12-31	2013-05-08	1824
15/9-19 A	2768.000000	1.500000	41.000000	0.000000	ULTIDRILL	9999-12-31	3145	9999-12-31	2013-05-08	1825
15/9-19 A	3390.000000	1.550000	34.000000	0.000000	ULTIDRILL	9999-12-31	3145	9999-12-31	2013-05-08	1826
15/9-19 A	3573.000000	1.550000	32.000000	0.000000	ULTIDRILL	9999-12-31	3145	9999-12-31	2013-05-08	1827
15/9-19 A	3600.000000	1.550000	49.000000	0.000000	ULTIDRILL	9999-12-31	3145	9999-12-31	2013-05-08	1828
15/9-19 A	3955.000000	1.470000	52.000000	0.000000	ULTIDRILL	9999-12-31	3145	9999-12-31	2013-05-08	1829
15/9-19 A	4017.000000	1.550000	40.000000	0.000000	ULTIDRILL	9999-12-31	3145	9999-12-31	2013-05-08	1830
15/9-19 A	4131.000000	1.480000	45.000000	0.000000	ULTIDRILL	9999-12-31	3145	9999-12-31	2013-05-08	1831
15/9-19 B	2205.000000	1.550000	46.000000	0.000000	QUADRILL	9999-12-31	3251	9999-12-31	2013-05-08	1832
15/9-19 B	2850.000000	1.550000	42.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1833
15/9-19 B	3042.000000	1.520000	36.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1834
15/9-19 B	3054.000000	1.530000	36.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1835
15/9-19 B	3220.000000	1.390000	26.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1836
15/9-19 B	3272.000000	1.520000	34.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1837
15/9-19 B	3603.000000	1.390000	30.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1838
15/9-19 B	3656.000000	1.390000	26.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1839
15/9-19 B	3775.000000	1.390000	27.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1840
15/9-19 B	4030.000000	1.390000	29.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1841
15/9-19 B	4108.000000	1.390000	24.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1842
15/9-19 B	4140.000000	1.390000	26.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1843
15/9-19 B	4250.000000	1.390000	26.000000	0.000000	ULTIDRILL	9999-12-31	3251	9999-12-31	2013-05-08	1844
15/9-19 S	215.000000	1.370000	8.000000	0.000000	SEAWATER/BENT.	9999-12-31	2043	9999-12-31	2013-05-08	1845
15/9-19 S	402.000000	1.370000	8.000000	0.000000	SEAWATER/BENT.	9999-12-31	2043	9999-12-31	2013-05-08	1846
15/9-19 S	2178.000000	1.500000	51.000000	0.000000	ULTIDRILL	9999-12-31	2043	9999-12-31	2013-05-08	1847
15/9-19 S	2213.000000	1.500000	49.000000	0.000000	ULTIDRILL	9999-12-31	2043	9999-12-31	2013-05-08	1848
15/9-20 S	506.000000	1.110000	26.000000	0.000000	WATER BASED	9999-12-31	2319	9999-12-31	2013-05-08	1849
15/9-20 S	1073.000000	1.300000	25.000000	0.000000	WATER BASED	9999-12-31	2319	9999-12-31	2013-05-08	1850
15/9-20 S	1541.000000	1.350000	29.000000	0.000000	WATER BASED	9999-12-31	2319	9999-12-31	2013-05-08	1851
15/9-20 S	1735.000000	1.350000	32.000000	0.000000	WATER BASED	9999-12-31	2319	9999-12-31	2013-05-08	1852
15/9-20 S	2255.000000	1.640000	41.000000	0.000000	WATER BASED	9999-12-31	2319	9999-12-31	2013-05-08	1853
15/9-20 S	2653.000000	1.640000	51.000000	0.000000	WATER BASED	9999-12-31	2319	9999-12-31	2013-05-08	1854
15/9-20 S	2921.000000	1.200000	20.000000	0.000000	OIL BASED	9999-12-31	2319	9999-12-31	2013-05-08	1855
15/9-20 S	2928.000000	1.640000	44.000000	0.000000	WATER BASED	9999-12-31	2319	9999-12-31	2013-05-08	1856
15/9-20 S	2940.000000	1.200000	20.000000	0.000000	OIL BASED	9999-12-31	2319	9999-12-31	2013-05-08	1857
15/9-20 S	3015.000000	1.230000	24.000000	0.000000	OIL BASED	9999-12-31	2319	9999-12-31	2013-05-08	1858
15/9-20 S	3206.000000	1.230000	25.000000	0.000000	OIL BASED	9999-12-31	2319	9999-12-31	2013-05-08	1859
15/9-20 S	3244.000000	1.240000	25.000000	0.000000	OIL BASED	9999-12-31	2319	9999-12-31	2013-05-08	1860
15/9-20 S	3307.000000	1.330000	30.000000	0.000000	OIL BASED	9999-12-31	2319	9999-12-31	2013-05-08	1861
15/9-20 S	3626.000000	1.280000	24.000000	0.000000	OIL BASED	9999-12-31	2319	9999-12-31	2013-05-08	1862
15/9-22	205.000000	1.040000	0.000000	0.000000	WBM	9999-12-31	5174	9999-12-31	2013-05-08	1863
15/9-22	508.000000	1.040000	0.000000	0.000000	WBM	9999-12-31	5174	9999-12-31	2013-05-08	1864
15/9-22	860.000000	1.200000	20.000000	0.000000	WBM	9999-12-31	5174	9999-12-31	2013-05-08	1865
15/9-22	1308.000000	1.250000	23.000000	0.000000	WBM	9999-12-31	5174	9999-12-31	2013-05-08	1866
15/9-22	1523.000000	1.250000	23.000000	0.000000	WBM	9999-12-31	5174	9999-12-31	2013-05-08	1867
15/9-22	1531.000000	1.200000	11.000000	0.000000	WBM	9999-12-31	5174	9999-12-31	2013-05-08	1868
15/9-22	2860.000000	1.280000	22.000000	0.000000	WBM	9999-12-31	5174	9999-12-31	2013-05-08	1869
15/9-22	2948.000000	0.000000	0.000000	0.000000	WBM	9999-12-31	5174	9999-12-31	2013-05-08	1870
15/9-22	3261.000000	1.350000	22.000000	0.000000	WBM	9999-12-31	5174	9999-12-31	2013-05-08	1871
15/9-22	3915.000000	0.000000	0.000000	0.000000	WBM	9999-12-31	5174	9999-12-31	2013-05-08	1872
15/9-23	109.000000	1.040000	0.000000	0.000000	Spud mud	9999-12-31	6186	9999-12-31	2013-05-08	1873
15/9-23	178.000000	1.040000	0.000000	0.000000	Spud mud	9999-12-31	6186	9999-12-31	2013-05-08	1874
15/9-23	199.000000	1.300000	0.000000	0.000000	Seawater	9999-12-31	6186	9999-12-31	2013-05-08	1875
15/9-23	502.000000	1.040000	0.000000	0.000000	Spud mud	9999-12-31	6186	9999-12-31	2013-05-08	1876
15/9-23	547.000000	1.200000	11.000000	0.000000	KCl/GEM	9999-12-31	6186	9999-12-31	2013-05-08	1877
15/9-23	714.000000	1.250000	0.000000	0.000000	Spud mud	9999-12-31	6186	9999-12-31	2013-05-08	1878
15/9-23	1145.000000	1.220000	23.000000	0.000000	KCl/GEM	9999-12-31	6186	9999-12-31	2013-05-08	1879
15/9-23	1380.000000	1.200000	22.000000	0.000000	KCl/GEM	9999-12-31	6186	9999-12-31	2013-05-08	1880
15/9-23	2589.000000	1.250000	20.000000	0.000000	XP-07	9999-12-31	6186	9999-12-31	2013-05-08	1881
15/9-23	3004.000000	1.350000	22.000000	0.000000	XP-07	9999-12-31	6186	9999-12-31	2013-05-08	1882
15/9-23	3225.000000	1.360000	21.000000	0.000000	XP-07	9999-12-31	6186	9999-12-31	2013-05-08	1883
15/9-24	152.000000	1.040000	0.000000	0.000000	Spud Mud	9999-12-31	6381	9999-12-31	2013-05-08	1884
15/9-24	461.000000	1.250000	15.000000	0.000000	KCl/GEM	9999-12-31	6381	9999-12-31	2013-05-08	1885
15/9-24	627.000000	1.200000	13.000000	0.000000	KCl/GEM	9999-12-31	6381	9999-12-31	2013-05-08	1886
15/9-24	690.000000	1.200000	12.000000	0.000000	KCl/GEM	9999-12-31	6381	9999-12-31	2013-05-08	1887
15/9-24	1361.000000	1.210000	17.000000	0.000000	KCl/GEM	9999-12-31	6381	9999-12-31	2013-05-08	1888
15/9-24	1504.000000	1.300000	18.000000	0.000000	Yellow XP-07	9999-12-31	6381	9999-12-31	2013-05-08	1889
15/9-24	1665.000000	1.300000	21.000000	0.000000	Yellow XP-07	9999-12-31	6381	9999-12-31	2013-05-08	1890
15/9-24	1883.000000	1.300000	24.000000	0.000000	Yellow XP-07	9999-12-31	6381	9999-12-31	2013-05-08	1891
15/9-24	2315.000000	1.300000	21.000000	0.000000	Yellow XP-07	9999-12-31	6381	9999-12-31	2013-05-08	1892
16/10-1	109.000000	1.100000	0.000000	0.000000	WATER BASED	1986-05-23	901	9999-12-31	2013-05-08	1893
16/10-1	146.000000	1.100000	0.000000	0.000000	WATER BASED	1986-05-23	901	9999-12-31	2013-05-08	1894
16/10-1	196.000000	1.100000	0.000000	0.000000	WATER BASED	1986-06-05	901	9999-12-31	2013-05-08	1895
16/10-1	218.000000	1.050000	0.000000	0.000000	WATER BASED	1986-06-05	901	9999-12-31	2013-05-08	1896
16/10-1	329.000000	1.050000	0.000000	0.000000	WATER BASED	1986-06-05	901	9999-12-31	2013-05-08	1897
16/10-1	400.000000	1.050000	0.000000	0.000000	WATER BASED	1986-06-05	901	9999-12-31	2013-05-08	1898
16/10-1	515.000000	1.050000	0.000000	0.000000	WATERBASED	1986-06-05	901	9999-12-31	2013-05-08	1899
16/10-1	515.000000	1.150000	15.000000	3.000000	WATER BASED	1986-06-05	901	9999-12-31	2013-05-08	1900
16/10-1	536.000000	1.150000	15.000000	3.000000	WATER BASED	1986-06-05	901	9999-12-31	2013-05-08	1901
16/10-1	619.000000	1.160000	17.000000	6.000000	WATER BASED	1986-06-05	901	9999-12-31	2013-05-08	1902
16/10-1	715.000000	1.160000	17.000000	6.000000	WATER BASED	1986-06-05	901	9999-12-31	2013-05-08	1903
16/10-1	811.000000	1.180000	18.000000	7.000000	WATER BASED	1986-06-05	901	9999-12-31	2013-05-08	1904
16/10-1	831.000000	1.200000	19.000000	7.500000	WATERBASED	1986-06-05	901	9999-12-31	2013-05-08	1905
16/10-1	918.000000	1.220000	19.000000	7.500000	WATER BASED	1986-06-05	901	9999-12-31	2013-05-08	1906
16/10-1	1054.000000	1.220000	19.000000	7.500000	WATER BASED	1986-06-05	901	9999-12-31	2013-05-08	1907
16/10-1	1121.000000	1.210000	20.000000	9.000000	WATER BASED	1986-06-08	901	9999-12-31	2013-05-08	1908
16/10-1	1207.000000	1.240000	23.000000	6.000000	WATER BASED	1986-06-08	901	9999-12-31	2013-05-08	1909
16/10-1	1419.000000	1.240000	28.500000	6.500000	WATER BASED	1986-06-08	901	9999-12-31	2013-05-08	1910
16/10-1	1424.000000	1.230000	21.000000	8.000000	WATER BASED	1986-06-11	901	9999-12-31	2013-05-08	1911
16/10-1	1515.000000	1.270000	23.000000	6.000000	WATER BASED	1986-06-11	901	9999-12-31	2013-05-08	1912
16/10-1	1582.000000	1.270000	23.000000	6.000000	WATER BASED	1986-06-11	901	9999-12-31	2013-05-08	1913
16/10-1	1621.000000	1.270000	24.000000	8.000000	WATER BASED	1986-06-15	901	9999-12-31	2013-05-08	1914
16/10-1	1718.000000	1.270000	24.000000	8.000000	WATER BASED	1986-06-15	901	9999-12-31	2013-05-08	1915
16/10-1	1734.000000	1.270000	24.000000	8.000000	WATER BASED	1986-06-15	901	9999-12-31	2013-05-08	1916
16/10-1	1740.000000	1.320000	23.000000	6.500000	WATER BASED	1986-06-15	901	9999-12-31	2013-05-08	1917
16/10-1	1824.000000	1.320000	19.000000	6.000000	WATER BASED	1986-06-15	901	9999-12-31	2013-05-08	1918
16/10-1	1873.000000	1.320000	16.000000	4.000000	WATER BASED	1986-06-15	901	9999-12-31	2013-05-08	1919
16/10-1	1923.000000	1.320000	16.000000	4.500000	WATER BASED	1986-06-15	901	9999-12-31	2013-05-08	1920
16/10-1	1970.000000	1.370000	23.000000	6.000000	WATER BASED	1986-06-15	901	9999-12-31	2013-05-08	1921
16/10-1	1988.000000	1.370000	23.000000	6.000000	WATER BASED	1986-06-15	901	9999-12-31	2013-05-08	1922
16/10-1	2027.000000	1.420000	23.000000	6.000000	WATER BASED	1986-06-15	901	9999-12-31	2013-05-08	1923
16/10-1	2080.000000	1.420000	32.000000	9.000000	WATER BASED	1986-06-15	901	9999-12-31	2013-05-08	1924
16/10-1	2125.000000	1.420000	30.000000	10.500000	WATER BASED	1986-06-16	901	9999-12-31	2013-05-08	1925
16/10-1	2229.000000	1.420000	27.000000	7.000000	WATER BASED	1986-06-17	901	9999-12-31	2013-05-08	1926
16/10-1	2243.000000	1.420000	27.000000	7.000000	WATER BASED	1986-06-17	901	9999-12-31	2013-05-08	1927
16/10-1	2257.000000	1.420000	34.000000	15.000000	WATER BASED	1986-06-17	901	9999-12-31	2013-05-08	1928
16/10-1	2349.000000	1.420000	39.000000	18.000000	WATER BASED	1986-06-18	901	9999-12-31	2013-05-08	1929
16/10-1	2422.000000	1.420000	38.000000	16.000000	WATER BASED	1986-06-19	901	9999-12-31	2013-05-08	1930
16/10-1	2604.000000	1.250000	15.000000	7.000000	WATER BASED	1986-06-26	901	9999-12-31	2013-05-08	1931
16/10-1	2639.000000	1.300000	18.000000	7.500000	WATER BASED	1986-06-29	901	9999-12-31	2013-05-08	1932
16/10-1	2695.000000	1.300000	20.000000	6.000000	WATER BASED	1986-06-29	901	9999-12-31	2013-05-08	1933
16/10-1	2759.000000	1.300000	20.000000	5.500000	WATER BASED	1986-06-29	901	9999-12-31	2013-05-08	1934
16/10-1	2782.000000	1.300000	20.000000	6.500000	WATER BASED	1986-06-30	901	9999-12-31	2013-05-08	1935
16/10-1	2824.000000	1.350000	21.000000	6.000000	WATER BASED	1986-06-30	901	9999-12-31	2013-05-08	1936
16/10-1	2857.000000	1.350000	24.000000	6.500000	WATER BASED	1986-07-01	901	9999-12-31	2013-05-08	1937
16/10-1	2873.000000	1.350000	21.000000	6.500000	WATER BASED	1986-07-02	901	9999-12-31	2013-05-08	1938
16/10-1	2908.000000	1.350000	20.000000	6.000000	WATER BASED	1986-07-03	901	9999-12-31	2013-05-08	1939
16/10-1	2983.000000	1.350000	25.000000	7.500000	WATER BASED	1986-07-06	901	9999-12-31	2013-05-08	1940
16/10-1	3083.000000	1.350000	24.000000	6.500000	WATER BASED	1986-07-06	901	9999-12-31	2013-05-08	1941
16/10-1	3151.000000	1.350000	21.000000	6.500000	WATER BASED	1986-07-08	901	9999-12-31	2013-05-08	1942
16/10-2	161.000000	1.050000	0.000000	0.000000	WATER BASED	1991-06-21	1767	9999-12-31	2013-05-08	1943
16/10-2	275.000000	1.050000	0.000000	0.000000	WATER BASED	1991-06-24	1767	9999-12-31	2013-05-08	1944
16/10-2	417.000000	1.040000	0.000000	0.000000	WATER BASED	1991-06-24	1767	9999-12-31	2013-05-08	1945
16/10-2	417.000000	1.090000	0.000000	0.000000	WATER BASED	1991-06-24	1767	9999-12-31	2013-05-08	1946
16/10-2	417.000000	1.050000	13.000000	7.500000	WATER BASED	1991-06-27	1767	9999-12-31	2013-05-08	1947
16/10-2	628.000000	1.120000	12.000000	5.000000	WATER BASED	1991-06-27	1767	9999-12-31	2013-05-08	1948
16/10-2	896.000000	1.180000	15.000000	6.000000	WATER BASED	1991-06-28	1767	9999-12-31	2013-05-08	1949
16/10-2	920.000000	1.190000	15.000000	5.000000	WATER BASED	1991-07-01	1767	9999-12-31	2013-05-08	1950
16/10-2	920.000000	1.190000	15.000000	5.000000	WATER BASED	1993-06-29	1767	9999-12-31	2013-05-08	1951
16/10-2	1033.000000	1.220000	15.000000	5.000000	WATER BASED	1993-06-29	1767	9999-12-31	2013-05-08	1952
16/10-2	1033.000000	1.220000	15.000000	5.000000	WATER BASED	1991-07-01	1767	9999-12-31	2013-05-08	1953
16/10-2	1100.000000	1.220000	16.000000	4.500000	WATER BASED	1991-07-01	1767	9999-12-31	2013-05-08	1954
16/10-2	1100.000000	1.220000	16.000000	4.500000	WATER BASED	1993-06-29	1767	9999-12-31	2013-05-08	1955
16/10-2	1277.000000	1.220000	13.000000	4.000000	WATER BASED	1991-07-01	1767	9999-12-31	2013-05-08	1956
16/10-2	1307.000000	1.240000	17.000000	5.000000	WATER BASED	1991-07-01	1767	9999-12-31	2013-05-08	1957
16/10-2	1405.000000	1.250000	17.000000	6.000000	WATER BASED	1991-07-01	1767	9999-12-31	2013-05-08	1958
16/10-2	1405.000000	1.250000	19.000000	6.000000	WATER BASED	1991-07-01	1767	9999-12-31	2013-05-08	1959
16/10-2	1405.000000	1.250000	18.000000	4.000000	WATER BASED	1991-07-02	1767	9999-12-31	2013-05-08	1960
16/10-2	1405.000000	1.250000	16.000000	4.000000	WATER BASED	1991-07-03	1767	9999-12-31	2013-05-08	1961
16/10-2	1498.000000	1.320000	12.000000	3.000000	DUMMY	1991-07-04	1767	9999-12-31	2013-05-08	1962
16/10-2	1513.000000	1.400000	17.000000	6.000000	DUMMY	1991-07-04	1767	9999-12-31	2013-05-08	1963
16/10-2	1826.000000	1.400000	21.000000	8.000000	DUMMY	1991-07-05	1767	9999-12-31	2013-05-08	1964
16/10-2	1850.000000	1.400000	18.000000	5.500000	DUMMY	1991-07-08	1767	9999-12-31	2013-05-08	1965
16/10-2	2050.000000	1.400000	17.000000	5.000000	DUMMY	1991-07-08	1767	9999-12-31	2013-05-08	1966
16/10-2	2176.000000	1.400000	27.000000	6.000000	DUMMY	1991-07-08	1767	9999-12-31	2013-05-08	1967
16/10-2	2430.000000	1.500000	29.500000	6.500000	DUMMY	1991-07-08	1767	9999-12-31	2013-05-08	1968
16/10-2	2438.000000	1.500000	22.000000	5.000000	DUMMY	1991-07-09	1767	9999-12-31	2013-05-08	1969
16/10-2	2459.000000	1.550000	27.000000	7.000000	DUMMY	1991-07-10	1767	9999-12-31	2013-05-08	1970
16/10-2	2459.000000	1.550000	26.000000	5.000000	DUMMY	1991-07-11	1767	9999-12-31	2013-05-08	1971
16/10-2	2524.000000	1.550000	22.000000	5.000000	DUMMY	1991-07-15	1767	9999-12-31	2013-05-08	1972
16/10-2	2533.000000	1.550000	53.000000	4.000000	DUMMY	1991-07-15	1767	9999-12-31	2013-05-08	1973
16/10-2	2585.000000	1.550000	26.000000	6.000000	DUMMY	1991-07-15	1767	9999-12-31	2013-05-08	1974
16/10-2	2651.000000	1.550000	27.000000	6.000000	DUMMY	1991-07-15	1767	9999-12-31	2013-05-08	1975
16/10-2	2699.000000	1.550000	29.000000	7.000000	WATHER BASED	1991-07-16	1767	9999-12-31	2013-05-08	1976
16/10-2	2708.000000	1.550000	27.000000	6.000000	WATHER BASED	1991-07-17	1767	9999-12-31	2013-05-08	1977
16/10-2	2756.000000	1.550000	32.000000	8.000000	WATHER BASED	1991-07-18	1767	9999-12-31	2013-05-08	1978
16/10-2	2780.000000	1.550000	29.000000	6.000000	WATHER BASED	1991-07-19	1767	9999-12-31	2013-05-08	1979
16/10-2	2798.000000	1.550000	28.000000	6.500000	WATHER BASED	1991-07-22	1767	9999-12-31	2013-05-08	1980
16/10-2	2798.000000	1.550000	28.000000	6.000000	WATHER BASED	1991-07-22	1767	9999-12-31	2013-05-08	1981
16/10-2	2798.000000	1.300000	14.000000	3.000000	WATHER BASED	1991-07-24	1767	9999-12-31	2013-05-08	1982
16/10-2	2798.000000	1.550000	27.000000	7.000000	WATHER BASED	1991-07-22	1767	9999-12-31	2013-05-08	1983
16/10-2	2798.000000	1.550000	27.000000	7.000000	WATHER BASED	1991-07-23	1767	9999-12-31	2013-05-08	1984
16/10-2	2841.000000	1.310000	15.000000	6.500000	WATHER BASED	1991-07-25	1767	9999-12-31	2013-05-08	1985
16/10-2	2953.000000	1.300000	20.000000	6.000000	WATHER BASED	1991-07-26	1767	9999-12-31	2013-05-08	1986
16/10-2	3150.000000	1.310000	27.000000	7.000000	WATHER BASED	1991-07-29	1767	9999-12-31	2013-05-08	1987
16/10-2	3150.000000	1.300000	23.000000	6.500000	WATHER BASED	1991-07-29	1767	9999-12-31	2013-05-08	1988
16/10-3	160.000000	1.380000	29.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	2703	9999-12-31	2013-05-08	1989
16/10-3	195.000000	1.080000	0.000000	0.000000	SPUD MUD	9999-12-31	2703	9999-12-31	2013-05-08	1990
16/10-3	196.000000	1.050000	13.000000	0.000000	SEAWATER	9999-12-31	2703	9999-12-31	2013-05-08	1991
16/10-3	431.000000	1.180000	14.000000	0.000000	SW/PAC	9999-12-31	2703	9999-12-31	2013-05-08	1992
16/10-3	431.000000	1.170000	17.000000	0.000000	SEAWATER	9999-12-31	2703	9999-12-31	2013-05-08	1993
16/10-3	508.000000	1.250000	20.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	2703	9999-12-31	2013-05-08	1994
16/10-3	925.000000	1.300000	19.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	2703	9999-12-31	2013-05-08	1995
16/10-3	1235.000000	1.370000	16.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	2703	9999-12-31	2013-05-08	1996
16/10-3	1598.000000	1.390000	25.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	2703	9999-12-31	2013-05-08	1997
16/10-3	2054.000000	1.380000	28.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	2703	9999-12-31	2013-05-08	1998
16/10-3	2150.000000	1.450000	30.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	2703	9999-12-31	2013-05-08	1999
16/10-3	2527.000000	1.390000	31.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	2703	9999-12-31	2013-05-08	2000
16/10-3	2545.000000	1.400000	29.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	2703	9999-12-31	2013-05-08	2001
16/10-3	2850.000000	1.390000	28.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	2703	9999-12-31	2013-05-08	2002
16/10-4	89.000000	1.050000	70.000000	0.000000	SPUD MUD	9999-12-31	3531	9999-12-31	2013-05-08	2003
16/10-4	225.000000	0.000000	7.000000	0.000000	SPUD MUD	9999-12-31	3531	9999-12-31	2013-05-08	2004
16/10-4	380.000000	1.200000	32.000000	0.000000	KCL / PAC	9999-12-31	3531	9999-12-31	2013-05-08	2005
16/10-4	648.000000	1.210000	24.000000	0.000000	KCL / PAC	9999-12-31	3531	9999-12-31	2013-05-08	2006
16/10-4	1179.000000	1.610000	43.000000	0.000000	KCL / PAC	9999-12-31	3531	9999-12-31	2013-05-08	2007
16/10-4	1230.000000	1.360000	21.000000	0.000000	KCL / PAC	9999-12-31	3531	9999-12-31	2013-05-08	2008
16/10-4	1500.000000	1.390000	35.000000	0.000000	KCL / PAC	9999-12-31	3531	9999-12-31	2013-05-08	2009
16/10-4	1867.000000	1.460000	42.000000	0.000000	KCL -PAC	9999-12-31	3531	9999-12-31	2013-05-08	2010
16/10-4	2110.000000	1.500000	33.000000	0.000000	KCL / PAC	9999-12-31	3531	9999-12-31	2013-05-08	2011
16/10-4	2470.000000	1.350000	31.000000	0.000000	DUMMY	9999-12-31	3531	9999-12-31	2013-05-08	2012
16/10-4	2504.000000	1.460000	35.000000	0.000000	KCL / PAC	9999-12-31	3531	9999-12-31	2013-05-08	2013
16/10-4	2580.000000	1.450000	36.000000	0.000000	KCL / PAC	9999-12-31	3531	9999-12-31	2013-05-08	2014
16/1-1	391.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	147	9999-12-31	2013-05-08	2015
16/1-1	1000.000000	0.000000	0.000000	0.000000	bent/Zeo/sp	9999-12-31	147	9999-12-31	2013-05-08	2016
16/1-10	174.000000	1.070000	0.000000	0.000000	Spud Mud	9999-12-31	5879	9999-12-31	2013-05-08	2017
16/1-10	212.000000	1.070000	0.000000	0.000000	Spud Mud	9999-12-31	5879	9999-12-31	2013-05-08	2018
16/1-10	285.000000	1.170000	14.000000	0.000000	Performadril	9999-12-31	5879	9999-12-31	2013-05-08	2019
16/1-10	411.000000	1.250000	0.000000	0.000000	Spud Mud	9999-12-31	5879	9999-12-31	2013-05-08	2020
16/1-10	595.000000	1.170000	18.000000	0.000000	KCl/GEM	9999-12-31	5879	9999-12-31	2013-05-08	2021
16/1-10	1660.000000	1.350000	24.000000	0.000000	Performadril	9999-12-31	5879	9999-12-31	2013-05-08	2022
16/1-10	1872.000000	1.200000	32.000000	0.000000	PERFORMADRIL	9999-12-31	5879	9999-12-31	2013-05-08	2023
16/1-10	1915.000000	1.200000	27.000000	0.000000	PERFORMADRIL	9999-12-31	5879	9999-12-31	2013-05-08	2024
16/1-10	1933.000000	1.200000	28.000000	0.000000	PERFORMADRIL	9999-12-31	5879	9999-12-31	2013-05-08	2025
16/1-10	1983.000000	1.210000	31.000000	0.000000	PERFORMADRIL	9999-12-31	5879	9999-12-31	2013-05-08	2026
16/1-10	2151.000000	1.200000	0.000000	0.000000	NaCl Brine	9999-12-31	5879	9999-12-31	2013-05-08	2027
16/1-10	2151.000000	1.210000	50.000000	0.000000	PERFORMADRIL	9999-12-31	5879	9999-12-31	2013-05-08	2028
16/1-11	202.000000	1.040000	0.000000	0.000000	SPUD MUD	9999-12-31	6157	9999-12-31	2013-05-08	2029
16/1-11	1753.000000	1.300000	33.000000	0.000000	CARBO TECH	9999-12-31	6157	9999-12-31	2013-05-08	2030
16/1-11	1770.000000	1.310000	16.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6157	9999-12-31	2013-05-08	2031
16/1-11	2150.000000	1.240000	21.000000	0.000000	CARBO TECH	9999-12-31	6157	9999-12-31	2013-05-08	2032
16/1-11	2167.000000	1.300000	29.000000	0.000000	CARBO TECH	9999-12-31	6157	9999-12-31	2013-05-08	2033
16/1-11	2202.000000	1.240000	31.000000	0.000000	CARBO TECH	9999-12-31	6157	9999-12-31	2013-05-08	2034
16/1-11	2361.000000	1.300000	18.000000	0.000000	CARBO TECH	9999-12-31	6157	9999-12-31	2013-05-08	2035
16/1-11	2473.000000	1.240000	26.000000	0.000000	CARBO TECH	9999-12-31	6157	9999-12-31	2013-05-08	2036
16/1-11	2625.000000	1.210000	21.000000	0.000000	CARBO TECH	9999-12-31	6157	9999-12-31	2013-05-08	2037
16/1-11 A	1565.000000	1.210000	13.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6364	9999-12-31	2013-05-08	2038
16/1-11 A	2026.000000	1.300000	32.000000	0.000000	CARBO TECH	9999-12-31	6364	9999-12-31	2013-05-08	2039
16/1-11 A	2477.000000	1.300000	31.000000	0.000000	CARBO TECH	9999-12-31	6364	9999-12-31	2013-05-08	2040
16/1-11 A	2595.000000	1.320000	30.000000	0.000000	CARBO TECH	9999-12-31	6364	9999-12-31	2013-05-08	2041
16/1-11 A	2595.000000	1.300000	33.000000	0.000000	CARBO TECH	9999-12-31	6364	9999-12-31	2013-05-08	2042
16/11-1 S	190.000000	1.050000	40.000000	0.000000	Baroid	9999-12-31	112	9999-12-31	2013-05-08	2043
16/11-1 S	469.000000	1.050000	31.000000	0.000000	Baroid	9999-12-31	112	9999-12-31	2013-05-08	2044
16/11-1 S	1543.000000	1.130000	36.000000	0.000000	Baroid	9999-12-31	112	9999-12-31	2013-05-08	2045
16/11-1 S	1829.000000	1.170000	45.000000	0.000000	Baroid	9999-12-31	112	9999-12-31	2013-05-08	2046
16/11-1 S	2011.000000	1.400000	62.000000	0.000000	Baroid	9999-12-31	112	9999-12-31	2013-05-08	2047
16/11-1 S	2963.000000	1.650000	53.000000	0.000000	Baroid	9999-12-31	112	9999-12-31	2013-05-08	2048
16/11-1 S	3049.000000	2.010000	54.000000	0.000000	Baroid	9999-12-31	112	9999-12-31	2013-05-08	2049
16/1-12	272.000000	1.040000	0.000000	0.000000	Water	9999-12-31	6166	9999-12-31	2013-05-08	2050
16/1-12	606.000000	1.300000	0.000000	0.000000	Water	9999-12-31	6166	9999-12-31	2013-05-08	2051
16/1-12	1835.000000	1.350000	0.000000	0.000000	Water	9999-12-31	6166	9999-12-31	2013-05-08	2052
16/1-12	1910.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6166	9999-12-31	2013-05-08	2053
16/1-12	1933.000000	1.210000	0.000000	0.000000	Water	9999-12-31	6166	9999-12-31	2013-05-08	2054
16/1-12	2055.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6166	9999-12-31	2013-05-08	2055
16/1-12	2055.000000	1.210000	0.000000	0.000000	Water	9999-12-31	6166	9999-12-31	2013-05-08	2056
16/11-2	131.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	336	9999-12-31	2013-05-08	2057
16/11-2	457.000000	1.060000	0.000000	0.000000	seawater	9999-12-31	336	9999-12-31	2013-05-08	2058
16/11-2	1402.000000	1.140000	45.000000	0.000000	Gyp-seawate	9999-12-31	336	9999-12-31	2013-05-08	2059
16/11-2	3657.000000	1.310000	50.000000	0.000000	seawater	9999-12-31	336	9999-12-31	2013-05-08	2060
16/1-13	217.000000	1.040000	0.000000	0.000000	Water	9999-12-31	6232	9999-12-31	2013-05-08	2061
16/1-13	290.000000	1.000000	0.000000	0.000000	Water	9999-12-31	6232	9999-12-31	2013-05-08	2062
16/1-13	606.000000	1.040000	0.000000	0.000000	Water	9999-12-31	6232	9999-12-31	2013-05-08	2063
16/1-13	1881.000000	1.370000	0.000000	0.000000	Water	9999-12-31	6232	9999-12-31	2013-05-08	2064
16/1-13	2001.000000	1.210000	0.000000	0.000000	Water	9999-12-31	6232	9999-12-31	2013-05-08	2065
16/1-13	2119.000000	1.210000	0.000000	0.000000	Water	9999-12-31	6232	9999-12-31	2013-05-08	2066
16/1-13	2200.000000	1.210000	0.000000	0.000000	Water	9999-12-31	6232	9999-12-31	2013-05-08	2067
16/1-13	2269.000000	1.210000	0.000000	0.000000	Water	9999-12-31	6232	9999-12-31	2013-05-08	2068
16/1-13	2303.000000	1.270000	0.000000	0.000000	Water	9999-12-31	6232	9999-12-31	2013-05-08	2069
16/1-13	2303.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6232	9999-12-31	2013-05-08	2070
16/1-13	2303.000000	1.210000	0.000000	0.000000	Water	9999-12-31	6232	9999-12-31	2013-05-08	2071
16/1-14	166.000000	1.050000	0.000000	0.000000	Water	9999-12-31	6399	9999-12-31	2013-05-08	2072
16/1-14	300.000000	1.250000	0.000000	0.000000	Water	9999-12-31	6399	9999-12-31	2013-05-08	2073
16/1-14	378.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6399	9999-12-31	2013-05-08	2074
16/1-14	477.000000	1.500000	0.000000	0.000000	Water	9999-12-31	6399	9999-12-31	2013-05-08	2075
16/1-14	1053.000000	1.230000	0.000000	0.000000	Water	9999-12-31	6399	9999-12-31	2013-05-08	2076
16/1-14	1484.000000	1.290000	0.000000	0.000000	Water	9999-12-31	6399	9999-12-31	2013-05-08	2077
16/1-14	1517.000000	1.290000	0.000000	0.000000	Water	9999-12-31	6399	9999-12-31	2013-05-08	2078
16/1-14	2079.000000	1.250000	0.000000	0.000000	Water	9999-12-31	6399	9999-12-31	2013-05-08	2079
16/1-14	2235.000000	1.380000	0.000000	0.000000	Water	9999-12-31	6399	9999-12-31	2013-05-08	2080
16/1-14	2295.000000	1.250000	0.000000	0.000000	Water	9999-12-31	6399	9999-12-31	2013-05-08	2081
16/1-14	2550.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6399	9999-12-31	2013-05-08	2082
16/1-15	517.000000	1.350000	16.000000	0.000000	Polymer Mud	9999-12-31	6517	9999-12-31	2013-05-08	2083
16/1-15	585.000000	1.290000	27.000000	0.000000	PERFORMADRIL	9999-12-31	6517	9999-12-31	2013-05-08	2084
16/1-15	585.000000	1.300000	30.000000	0.000000	PERFORMADRIL	9999-12-31	6517	9999-12-31	2013-05-08	2085
16/1-15	585.000000	1.300000	30.000000	0.000000	Performadril WBM	9999-12-31	6517	9999-12-31	2013-05-08	2086
16/1-15	619.000000	1.300000	27.000000	0.000000	PERFORMADRIL	9999-12-31	6517	9999-12-31	2013-05-08	2087
16/1-15	635.000000	1.350000	16.000000	0.000000	Polymer Mud	9999-12-31	6517	9999-12-31	2013-05-08	2088
16/1-15	1880.000000	1.350000	41.000000	0.000000	PERFORMADRIL	9999-12-31	6517	9999-12-31	2013-05-08	2089
16/1-15	1914.000000	1.200000	29.000000	0.000000	PERFORMADRIL	9999-12-31	6517	9999-12-31	2013-05-08	2090
16/1-15	1931.000000	1.200000	27.000000	0.000000	PERFORMADRIL	9999-12-31	6517	9999-12-31	2013-05-08	2091
16/1-15	1939.000000	1.200000	26.000000	0.000000	PERFORMADRIL	9999-12-31	6517	9999-12-31	2013-05-08	2092
16/1-15	1960.000000	1.200000	26.000000	0.000000	PERFORMADRIL	9999-12-31	6517	9999-12-31	2013-05-08	2093
16/1-15	1976.000000	1.200000	27.000000	0.000000	PERFORMADRIL	9999-12-31	6517	9999-12-31	2013-05-08	2094
16/1-15	2150.000000	1.200000	0.000000	0.000000	sodium chloride brine	9999-12-31	6517	9999-12-31	2013-05-08	2095
16/1-15	2150.000000	1.200000	29.000000	0.000000	PERFORMADRIL	9999-12-31	6517	9999-12-31	2013-05-08	2096
16/1-2	340.000000	1.100000	0.000000	0.000000	waterbased	9999-12-31	332	9999-12-31	2013-05-08	2097
16/1-2	580.000000	1.020000	0.000000	0.000000	waterbased	9999-12-31	332	9999-12-31	2013-05-08	2098
16/1-2	1285.000000	1.100000	0.000000	0.000000	waterbased	9999-12-31	332	9999-12-31	2013-05-08	2099
16/1-2	2170.000000	1.100000	0.000000	0.000000	waterbased	9999-12-31	332	9999-12-31	2013-05-08	2100
16/1-2	2731.000000	1.110000	0.000000	0.000000	waterbased	9999-12-31	332	9999-12-31	2013-05-08	2101
16/1-2	2918.000000	1.070000	0.000000	0.000000	waterbased	9999-12-31	332	9999-12-31	2013-05-08	2102
16/1-3	280.000000	1.020000	45.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2103
16/1-3	350.000000	1.060000	38.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2104
16/1-3	470.000000	1.080000	32.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2105
16/1-3	640.000000	1.180000	41.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2106
16/1-3	730.000000	1.160000	36.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2107
16/1-3	1240.000000	1.200000	37.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2108
16/1-3	1470.000000	1.180000	40.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2109
16/1-3	2090.000000	1.220000	48.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2110
16/1-3	2380.000000	1.260000	59.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2111
16/1-3	2650.000000	1.170000	50.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2112
16/1-3	2790.000000	1.500000	57.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2113
16/1-3	3040.000000	1.560000	60.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2114
16/1-3	3160.000000	1.190000	48.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2115
16/1-3	3460.000000	1.200000	49.000000	0.000000	water	9999-12-31	84	9999-12-31	2013-05-08	2116
16/1-4	316.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2117
16/1-4	321.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2118
16/1-4	362.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2119
16/1-4	1100.000000	1.250000	23.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2120
16/1-4	1445.000000	1.250000	28.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2121
16/1-4	1450.000000	1.250000	29.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2122
16/1-4	1571.000000	1.250000	23.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2123
16/1-4	1628.000000	1.250000	20.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2124
16/1-4	1699.000000	0.000000	20.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2125
16/1-4	1708.000000	1.250000	22.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2126
16/1-4	1723.000000	1.250000	21.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2127
16/1-4	1819.000000	1.250000	20.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2128
16/1-4	1868.000000	1.250000	23.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2129
16/1-4	1914.000000	1.250000	24.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2130
16/1-4	1942.000000	1.250000	23.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2131
16/1-4	2010.000000	1.250000	23.000000	0.000000	WATER BASED	9999-12-31	2072	9999-12-31	2013-05-08	2132
16/1-5	130.000000	0.000000	0.000000	0.000000	sea water	9999-12-31	3279	9999-12-31	2013-05-08	2133
16/1-5	1410.000000	1.150000	0.000000	0.000000	KCL/PAC/GLY	9999-12-31	3279	9999-12-31	2013-05-08	2134
16/1-5	1410.000000	0.000000	0.000000	0.000000	sea   water	9999-12-31	3279	9999-12-31	2013-05-08	2135
16/1-5	2021.000000	1.150000	0.000000	0.000000	KCL/PAC/GLY	9999-12-31	3279	9999-12-31	2013-05-08	2136
16/1-5	2460.000000	1.920000	0.000000	0.000000	hivis pill	9999-12-31	3279	9999-12-31	2013-05-08	2137
16/1-5 A	1440.000000	1.500000	0.000000	0.000000	oil based m	9999-12-31	3626	9999-12-31	2013-05-08	2138
16/1-5 A	2150.000000	2.500000	0.000000	0.000000	oil based m	9999-12-31	3626	9999-12-31	2013-05-08	2139
16/1-6 A	1480.000000	1.450000	20.000000	0.000000	NOVATEC 55	9999-12-31	4767	9999-12-31	2013-05-08	2140
16/1-6 A	1698.000000	1.450000	17.000000	0.000000	NOVATEC 55	9999-12-31	4767	9999-12-31	2013-05-08	2141
16/1-6 A	1867.000000	1.450000	20.000000	0.000000	NOVATEC 55	9999-12-31	4767	9999-12-31	2013-05-08	2142
16/1-6 S	207.000000	1.030000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	4711	9999-12-31	2013-05-08	2143
16/1-6 S	551.000000	1.140000	15.000000	0.000000	GLYDRIL 10	9999-12-31	4711	9999-12-31	2013-05-08	2144
16/1-6 S	1206.000000	1.210000	13.000000	0.000000	GLYDRIL 74	9999-12-31	4711	9999-12-31	2013-05-08	2145
16/1-6 S	1711.000000	1.380000	29.000000	0.000000	NOVATEC 55	9999-12-31	4711	9999-12-31	2013-05-08	2146
16/1-7	147.000000	0.000000	0.000000	0.000000	WBM	9999-12-31	4928	9999-12-31	2013-05-08	2147
16/1-7	1104.000000	0.000000	0.000000	0.000000	WBM	9999-12-31	4928	9999-12-31	2013-05-08	2148
16/1-7	1286.000000	0.000000	0.000000	0.000000	WBM	9999-12-31	4928	9999-12-31	2013-05-08	2149
16/1-7	2177.000000	1.320000	30.000000	0.000000	NAF	9999-12-31	4928	9999-12-31	2013-05-08	2150
16/1-7	2472.000000	1.370000	0.000000	0.000000	NAF	9999-12-31	4928	9999-12-31	2013-05-08	2151
16/1-7	2508.000000	1.320000	30.000000	0.000000	NAF	9999-12-31	4928	9999-12-31	2013-05-08	2152
16/1-7	2561.000000	0.000000	0.000000	0.000000	NAF	9999-12-31	4928	9999-12-31	2013-05-08	2153
16/1-7	3186.000000	1.500000	36.000000	0.000000	NAF	9999-12-31	4928	9999-12-31	2013-05-08	2154
16/1-8	180.000000	0.000000	110.000000	0.000000	WATER BASED	9999-12-31	5612	9999-12-31	2013-05-08	2155
16/1-8	212.000000	1.250000	65.000000	0.000000	WATER BASED	9999-12-31	5612	9999-12-31	2013-05-08	2156
16/1-8	220.000000	0.000000	110.000000	0.000000	WATER BASED	9999-12-31	5612	9999-12-31	2013-05-08	2157
16/1-9	200.000000	1.030000	0.000000	0.000000	Spudmud	9999-12-31	5773	9999-12-31	2013-05-08	2158
16/1-9	235.000000	1.040000	0.000000	0.000000	Spudmud	9999-12-31	5773	9999-12-31	2013-05-08	2159
16/1-9	487.000000	1.030000	0.000000	0.000000	Spudmud	9999-12-31	5773	9999-12-31	2013-05-08	2160
16/1-9	567.000000	1.030000	0.000000	0.000000	Spudmud	9999-12-31	5773	9999-12-31	2013-05-08	2161
16/1-9	600.000000	1.120000	10.000000	0.000000	KCL/Glycol/Polymer	9999-12-31	5773	9999-12-31	2013-05-08	2162
16/1-9	600.000000	1.040000	0.000000	0.000000	Spudmud	9999-12-31	5773	9999-12-31	2013-05-08	2163
16/1-9	624.000000	1.120000	12.000000	0.000000	KCl/GEM/Polymer	9999-12-31	5773	9999-12-31	2013-05-08	2164
16/1-9	813.000000	1.140000	18.000000	0.000000	KCl/GEM/Polymer	9999-12-31	5773	9999-12-31	2013-05-08	2165
16/1-9	1130.000000	1.350000	30.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2166
16/1-9	1223.000000	1.150000	21.000000	0.000000	KCl/GEM/Polymer	9999-12-31	5773	9999-12-31	2013-05-08	2167
16/1-9	1231.000000	1.360000	34.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2168
16/1-9	1250.000000	1.350000	34.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2169
16/1-9	1281.000000	1.200000	22.000000	0.000000	KCl/GEM/Polymer	9999-12-31	5773	9999-12-31	2013-05-08	2170
16/1-9	1281.000000	1.240000	24.000000	0.000000	KCl/GEM/Polymer	9999-12-31	5773	9999-12-31	2013-05-08	2171
16/1-9	1284.000000	1.210000	24.000000	0.000000	KCl/GEM/Polymer	9999-12-31	5773	9999-12-31	2013-05-08	2172
16/1-9	1339.000000	1.220000	24.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2173
16/1-9	1476.000000	1.220000	24.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2174
16/1-9	1597.000000	1.220000	25.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2175
16/1-9	1713.000000	1.230000	24.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2176
16/1-9	1835.000000	1.270000	30.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2177
16/1-9	1897.000000	1.350000	32.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2178
16/1-9	1971.000000	1.350000	32.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2179
16/1-9	2039.000000	1.350000	33.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2180
16/1-9	2130.000000	1.350000	32.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2181
16/1-9	2206.000000	1.350000	35.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2182
16/1-9	2234.000000	1.350000	33.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2183
16/1-9	2249.000000	1.350000	33.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2184
16/1-9	2275.000000	1.350000	35.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2185
16/1-9	2300.000000	1.350000	35.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2186
16/1-9	2341.000000	1.350000	34.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2187
16/1-9	2402.000000	1.350000	37.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2188
16/1-9	2417.000000	1.350000	34.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2189
16/1-9	2418.000000	1.350000	36.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2190
16/1-9	2485.000000	1.350000	40.000000	0.000000	PERFORMADRIL	9999-12-31	5773	9999-12-31	2013-05-08	2191
16/1-9	2544.000000	1.350000	35.000000	0.000000	PERFORMATROL	9999-12-31	5773	9999-12-31	2013-05-08	2192
16/2-1	164.000000	0.000000	0.000000	0.000000	sea water	9999-12-31	144	9999-12-31	2013-05-08	2193
16/2-1	381.000000	0.000000	0.000000	0.000000	sea water/g	9999-12-31	144	9999-12-31	2013-05-08	2194
16/2-2	220.000000	1.030000	0.000000	0.000000	SEAWATER/CMC	9999-12-31	4408	9999-12-31	2013-05-08	2195
16/2-2	1155.000000	1.350000	22.000000	0.000000	NOVATEC	9999-12-31	4408	9999-12-31	2013-05-08	2196
16/2-2	1158.000000	1.030000	0.000000	0.000000	SEAWATER/CMC	9999-12-31	4408	9999-12-31	2013-05-08	2197
16/2-2	1312.000000	1.030000	0.000000	0.000000	SEAWATER/CMC	9999-12-31	4408	9999-12-31	2013-05-08	2198
16/2-2	1316.000000	1.030000	0.000000	0.000000	SEAWATER/CMC	9999-12-31	4408	9999-12-31	2013-05-08	2199
16/2-2	1600.000000	1.350000	23.000000	0.000000	NOVATEC	9999-12-31	4408	9999-12-31	2013-05-08	2200
16/2-3	271.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	5551	9999-12-31	2013-05-08	2201
16/2-3	274.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	5551	9999-12-31	2013-05-08	2202
16/2-3	280.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	5551	9999-12-31	2013-05-08	2203
16/2-3	392.000000	1.090000	10.000000	0.000000	SPUD MUD	9999-12-31	5551	9999-12-31	2013-05-08	2204
16/2-3	640.000000	1.080000	20.000000	0.000000	SPUD MUD	9999-12-31	5551	9999-12-31	2013-05-08	2205
16/2-3	1200.000000	1.350000	52.000000	0.000000	SPUD MUD	9999-12-31	5551	9999-12-31	2013-05-08	2206
16/2-3	1695.000000	1.200000	28.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5551	9999-12-31	2013-05-08	2207
16/2-3	1720.000000	1.200000	25.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5551	9999-12-31	2013-05-08	2208
16/2-3	1721.000000	1.200000	26.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5551	9999-12-31	2013-05-08	2209
16/2-4	288.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	5625	9999-12-31	2013-05-08	2210
16/2-4	431.000000	1.080000	9.000000	0.000000	SPUD MUD	9999-12-31	5625	9999-12-31	2013-05-08	2211
16/2-4	640.000000	1.100000	10.000000	0.000000	SPUD MUD	9999-12-31	5625	9999-12-31	2013-05-08	2212
16/2-4	1020.000000	1.300000	23.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5625	9999-12-31	2013-05-08	2213
16/2-4	1200.000000	1.350000	30.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5625	9999-12-31	2013-05-08	2214
16/2-4	1706.000000	1.200000	22.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5625	9999-12-31	2013-05-08	2215
16/2-4	1709.000000	1.200000	18.000000	0.000000	KCL/POLYMER	9999-12-31	5625	9999-12-31	2013-05-08	2216
16/2-4	1709.000000	1.200000	23.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5625	9999-12-31	2013-05-08	2217
16/2-5	298.000000	1.050000	13.000000	0.000000	Spud Mud	9999-12-31	6042	9999-12-31	2013-05-08	2218
16/2-5	355.000000	1.050000	15.000000	0.000000	Spud Mud	9999-12-31	6042	9999-12-31	2013-05-08	2219
16/2-5	513.000000	1.100000	13.000000	0.000000	Spud Mud	9999-12-31	6042	9999-12-31	2013-05-08	2220
16/2-5	513.000000	1.050000	16.000000	0.000000	Spud Mud	9999-12-31	6042	9999-12-31	2013-05-08	2221
16/2-5	627.000000	1.250000	15.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6042	9999-12-31	2013-05-08	2222
16/2-5	1695.000000	1.350000	24.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6042	9999-12-31	2013-05-08	2223
16/2-5	1744.000000	1.370000	22.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6042	9999-12-31	2013-05-08	2224
16/2-5	1948.000000	1.200000	20.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6042	9999-12-31	2013-05-08	2225
16/2-5	2370.000000	1.200000	22.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6042	9999-12-31	2013-05-08	2226
16/2-5	2373.000000	1.200000	28.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6042	9999-12-31	2013-05-08	2227
16/2-5	2373.000000	1.200000	22.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6042	9999-12-31	2013-05-08	2228
16/2-6	752.000000	1.300000	0.000000	0.000000	Water	9999-12-31	6374	9999-12-31	2013-05-08	2229
16/2-6	1633.000000	1.350000	0.000000	0.000000	Water	9999-12-31	6374	9999-12-31	2013-05-08	2230
16/2-6	1810.000000	1.370000	0.000000	0.000000	Water	9999-12-31	6374	9999-12-31	2013-05-08	2231
16/2-6	1814.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6374	9999-12-31	2013-05-08	2232
16/2-6	1965.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6374	9999-12-31	2013-05-08	2233
16/2-6	2010.000000	1.180000	0.000000	0.000000	Water	9999-12-31	6374	9999-12-31	2013-05-08	2234
16/2-6	2082.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6374	9999-12-31	2013-05-08	2235
16/2-6	2103.000000	1.250000	0.000000	0.000000	Water	9999-12-31	6374	9999-12-31	2013-05-08	2236
16/2-6	2128.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6374	9999-12-31	2013-05-08	2237
16/2-6	2131.000000	1.250000	0.000000	0.000000	Water	9999-12-31	6374	9999-12-31	2013-05-08	2238
16/3-1	179.000000	1.050000	0.000000	0.000000	sea water	9999-12-31	451	9999-12-31	2013-05-08	2239
16/3-1	190.000000	1.050000	0.000000	0.000000	sea wat/ben	9999-12-31	451	9999-12-31	2013-05-08	2240
16/3-1	425.000000	1.100000	0.000000	0.000000	bentonite	9999-12-31	451	9999-12-31	2013-05-08	2241
16/3-2	200.000000	1.070000	0.000000	0.000000	sea water	9999-12-31	334	9999-12-31	2013-05-08	2242
16/3-2	445.000000	1.060000	0.000000	0.000000	sea water	9999-12-31	334	9999-12-31	2013-05-08	2243
16/3-2	1319.000000	1.150000	0.000000	0.000000	waterbased	9999-12-31	334	9999-12-31	2013-05-08	2244
16/3-2	1659.000000	1.220000	45.000000	0.000000	waterbased	9999-12-31	334	9999-12-31	2013-05-08	2245
16/3-2	2019.000000	1.280000	57.000000	0.000000	waterbased	9999-12-31	334	9999-12-31	2013-05-08	2246
16/3-3	181.000000	1.030000	1.000000	0.000000	WATER BASED	1989-07-27	1415	9999-12-31	2013-05-08	2247
16/3-3	225.000000	1.030000	1.000000	0.000000	WATER BASED	1989-07-28	1415	9999-12-31	2013-05-08	2248
16/3-3	315.000000	1.150000	13.000000	7.700000	WATER BASED	1989-08-07	1415	9999-12-31	2013-05-08	2249
16/3-3	455.000000	1.030000	1.000000	0.000000	WATER BASED	1989-07-28	1415	9999-12-31	2013-05-08	2250
16/3-3	455.000000	1.030000	1.000000	0.000000	WATER BASED	1989-07-28	1415	9999-12-31	2013-05-08	2251
16/3-3	509.000000	1.120000	16.000000	8.100000	WATER BASED	1989-07-31	1415	9999-12-31	2013-05-08	2252
16/3-3	887.000000	1.160000	23.000000	8.600000	WATER BASED	1989-08-04	1415	9999-12-31	2013-05-08	2253
16/3-3	1010.000000	1.150000	10.000000	13.400000	WATER BASED	1989-07-31	1415	9999-12-31	2013-05-08	2254
16/3-3	1010.000000	1.150000	11.000000	8.100000	WATER BASED	1989-07-31	1415	9999-12-31	2013-05-08	2255
16/3-3	1187.000000	1.160000	15.000000	7.200000	WATER BASED	1989-08-01	1415	9999-12-31	2013-05-08	2256
16/3-3	1531.000000	1.160000	21.000000	8.600000	WATER BASED	1989-08-02	1415	9999-12-31	2013-05-08	2257
16/3-3	1566.000000	1.160000	20.000000	7.200000	WATER BASED	1989-08-03	1415	9999-12-31	2013-05-08	2258
16/4-1	150.000000	0.000000	0.000000	0.000000	WATER BASED	1984-11-14	229	9999-12-31	2013-05-08	2259
16/4-1	280.000000	1.090000	5.000000	2.000000	WATER BASED	1984-09-10	229	9999-12-31	2013-05-08	2260
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-16	229	9999-12-31	2013-05-08	2261
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-12	229	9999-12-31	2013-05-08	2262
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-13	229	9999-12-31	2013-05-08	2263
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-14	229	9999-12-31	2013-05-08	2264
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-17	229	9999-12-31	2013-05-08	2265
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-18	229	9999-12-31	2013-05-08	2266
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-13	229	9999-12-31	2013-05-08	2267
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-17	229	9999-12-31	2013-05-08	2268
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-18	229	9999-12-31	2013-05-08	2269
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-20	229	9999-12-31	2013-05-08	2270
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-14	229	9999-12-31	2013-05-08	2271
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-16	229	9999-12-31	2013-05-08	2272
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-19	229	9999-12-31	2013-05-08	2273
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-19	229	9999-12-31	2013-05-08	2274
16/4-1	494.000000	1.100000	0.000000	0.000000	WATER BASED	1984-09-20	229	9999-12-31	2013-05-08	2275
16/4-1	497.000000	1.150000	17.000000	95.000000	WATER BASED	1984-09-25	229	9999-12-31	2013-05-08	2276
16/4-1	572.000000	1.250000	15.000000	7.000000	WATER BASED	1984-11-12	229	9999-12-31	2013-05-08	2277
16/4-1	625.000000	1.160000	14.000000	11.000000	WATER BASED	1984-10-01	229	9999-12-31	2013-05-08	2278
16/4-1	625.000000	1.160000	16.000000	9.000000	WATER BASED	1984-09-25	229	9999-12-31	2013-05-08	2279
16/4-1	625.000000	1.160000	14.000000	10.000000	WATER BASED	1984-09-27	229	9999-12-31	2013-05-08	2280
16/4-1	625.000000	1.160000	14.000000	9.000000	WATER BASED	1984-09-26	229	9999-12-31	2013-05-08	2281
16/4-1	625.000000	1.160000	14.000000	9.000000	WATER BASED	1984-09-26	229	9999-12-31	2013-05-08	2282
16/4-1	625.000000	1.160000	14.000000	10.000000	WATER BASED	1984-09-27	229	9999-12-31	2013-05-08	2283
16/4-1	625.000000	1.160000	14.000000	11.000000	WATER BASED	1984-10-01	229	9999-12-31	2013-05-08	2284
16/4-1	650.000000	1.150000	15.000000	8.000000	WATER BASED	1984-10-01	229	9999-12-31	2013-05-08	2285
16/4-1	712.000000	1.160000	19.000000	8.000000	WATER BASED	1984-10-01	229	9999-12-31	2013-05-08	2286
16/4-1	1112.000000	1.160000	19.000000	8.000000	WATER BASED	1984-10-01	229	9999-12-31	2013-05-08	2287
16/4-1	1507.000000	1.180000	19.000000	10.000000	WATER BASED	1984-10-02	229	9999-12-31	2013-05-08	2288
16/4-1	1507.000000	1.250000	15.000000	9.000000	WATER BASED	1984-10-03	229	9999-12-31	2013-05-08	2289
16/4-1	1507.000000	1.250000	15.000000	9.000000	WATER BASED	1984-10-03	229	9999-12-31	2013-05-08	2290
16/4-1	1602.000000	1.300000	17.000000	10.000000	WATER BASED	1984-10-04	229	9999-12-31	2013-05-08	2291
16/4-1	1813.000000	1.300000	18.000000	8.000000	WATER BASED	1984-10-07	229	9999-12-31	2013-05-08	2292
16/4-1	1825.000000	1.300000	16.000000	8.000000	WATER BASED	1984-10-14	229	9999-12-31	2013-05-08	2293
16/4-1	1870.000000	1.250000	16.000000	8.500000	WATER BASED	1984-11-12	229	9999-12-31	2013-05-08	2294
16/4-1	1870.000000	1.250000	16.000000	8.500000	WATER BASED	1984-11-14	229	9999-12-31	2013-05-08	2295
16/4-1	1870.000000	1.250000	16.000000	8.500000	WATER BASED	1984-11-14	229	9999-12-31	2013-05-08	2296
16/4-1	1957.000000	1.300000	16.000000	8.000000	WATER BASED	1984-10-07	229	9999-12-31	2013-05-08	2297
16/4-1	1988.000000	1.300000	24.000000	13.000000	WATER BASED	1984-10-14	229	9999-12-31	2013-05-08	2298
16/4-1	2052.000000	1.300000	32.000000	11.000000	WATER BASED	1984-10-14	229	9999-12-31	2013-05-08	2299
16/4-1	2052.000000	1.250000	20.000000	13.000000	WATER BASED	1984-10-16	229	9999-12-31	2013-05-08	2300
16/4-1	2052.000000	1.300000	9.000000	10.000000	WATER BASED	1984-10-15	229	9999-12-31	2013-05-08	2301
16/4-1	2052.000000	1.300000	15.000000	8.000000	WATER BASED	1984-10-11	229	9999-12-31	2013-05-08	2302
16/4-1	2052.000000	1.300000	18.000000	8.000000	WATER BASED	1984-10-10	229	9999-12-31	2013-05-08	2303
16/4-1	2052.000000	1.300000	18.000000	9.000000	WATER BASED	1984-10-08	229	9999-12-31	2013-05-08	2304
16/4-1	2052.000000	1.250000	20.000000	13.000000	WATER BASED	1984-10-16	229	9999-12-31	2013-05-08	2305
16/4-1	2052.000000	1.300000	9.000000	10.000000	WATER BASED	1984-10-15	229	9999-12-31	2013-05-08	2306
16/4-1	2052.000000	1.300000	32.000000	11.000000	WATER BASED	1984-10-14	229	9999-12-31	2013-05-08	2307
16/4-1	2052.000000	1.300000	15.000000	8.000000	WATER BASED	1984-10-11	229	9999-12-31	2013-05-08	2308
16/4-1	2052.000000	1.300000	18.000000	8.000000	WATER BASED	1984-10-10	229	9999-12-31	2013-05-08	2309
16/4-1	2052.000000	1.300000	18.000000	8.500000	WATER BASED	1984-10-09	229	9999-12-31	2013-05-08	2310
16/4-1	2052.000000	1.300000	18.000000	9.000000	WATER BASED	1984-10-08	229	9999-12-31	2013-05-08	2311
16/4-1	2052.000000	1.300000	18.000000	8.500000	WATER BASED	1984-10-09	229	9999-12-31	2013-05-08	2312
16/4-1	2052.000000	1.300000	18.000000	12.000000	WATER BASED	1984-10-07	229	9999-12-31	2013-05-08	2313
16/4-1	2066.000000	1.230000	16.000000	8.000000	WATER BASED	1984-10-17	229	9999-12-31	2013-05-08	2314
16/4-1	2161.000000	1.200000	19.000000	9.500000	WATER BASED	1984-10-18	229	9999-12-31	2013-05-08	2315
16/4-1	2161.000000	1.200000	14.000000	5.000000	WATER BASED	1984-10-22	229	9999-12-31	2013-05-08	2316
16/4-1	2161.000000	1.210000	15.000000	9.500000	WATER BASED	1984-10-21	229	9999-12-31	2013-05-08	2317
16/4-1	2161.000000	1.210000	15.000000	9.500000	WATER BASED	1984-10-21	229	9999-12-31	2013-05-08	2318
16/4-1	2161.000000	1.200000	14.000000	5.000000	WATER BASED	1984-10-22	229	9999-12-31	2013-05-08	2319
16/4-1	2174.000000	1.200000	13.000000	7.000000	WATER BASED	1984-10-23	229	9999-12-31	2013-05-08	2320
16/4-1	2283.000000	1.250000	20.000000	7.000000	WATER BASED	1984-10-24	229	9999-12-31	2013-05-08	2321
16/4-1	2355.000000	1.250000	18.000000	7.000000	WATER BASED	1984-10-25	229	9999-12-31	2013-05-08	2322
16/4-1	2404.000000	1.250000	17.000000	8.000000	WATER BASED	1984-10-29	229	9999-12-31	2013-05-08	2323
16/4-1	2440.000000	1.250000	18.000000	9.000000	WATER BASED	1984-10-29	229	9999-12-31	2013-05-08	2324
16/4-1	2501.000000	1.250000	18.000000	9.000000	WATER BASED	1984-10-29	229	9999-12-31	2013-05-08	2325
16/4-1	2573.000000	1.250000	46.000000	10.000000	WATER BASED	1984-10-31	229	9999-12-31	2013-05-08	2326
16/4-1	2588.000000	1.250000	18.000000	10.000000	WATER BASED	1984-10-31	229	9999-12-31	2013-05-08	2327
16/4-1	2588.000000	1.250000	18.000000	10.000000	WATER BASED	1984-11-01	229	9999-12-31	2013-05-08	2328
16/4-1	2588.000000	1.250000	18.000000	10.000000	WATER BASED	1984-11-01	229	9999-12-31	2013-05-08	2329
16/4-1	2672.000000	1.250000	19.000000	9.000000	WATER BASED	1984-11-02	229	9999-12-31	2013-05-08	2330
16/4-1	2733.000000	1.250000	19.000000	8.000000	WATER BASED	1984-11-05	229	9999-12-31	2013-05-08	2331
16/4-1	2795.000000	1.250000	19.000000	8.000000	WATER BASED	1984-11-05	229	9999-12-31	2013-05-08	2332
16/4-1	2854.000000	1.250000	19.000000	8.000000	WATER BASED	1984-11-05	229	9999-12-31	2013-05-08	2333
16/4-1	2892.000000	1.250000	45.000000	25.000000	WATER BASED	1984-11-06	229	9999-12-31	2013-05-08	2334
16/4-1	2907.000000	1.250000	18.000000	8.500000	WATER BASED	1984-11-07	229	9999-12-31	2013-05-08	2335
16/4-1	2909.000000	1.250000	18.000000	8.500000	WATER BASED	1984-11-09	229	9999-12-31	2013-05-08	2336
16/4-1	2909.000000	1.250000	18.000000	8.500000	WATER BASED	1984-11-08	229	9999-12-31	2013-05-08	2337
16/4-1	2909.000000	1.250000	15.000000	7.000000	WATER BASED	1984-11-12	229	9999-12-31	2013-05-08	2338
16/4-1	2909.000000	1.250000	15.000000	7.000000	WATER BASED	1984-11-12	229	9999-12-31	2013-05-08	2339
16/4-1	2909.000000	1.250000	18.000000	8.500000	WATER BASED	1984-11-09	229	9999-12-31	2013-05-08	2340
16/4-2	160.000000	1.000000	1.000000	1.000000	WATER BASED	1990-07-30	1560	9999-12-31	2013-05-08	2341
16/4-2	191.000000	1.200000	0.000000	0.000000	WATER BASED	1990-07-02	1560	9999-12-31	2013-05-08	2342
16/4-2	206.000000	1.200000	0.000000	0.000000	WATER BASED	1990-07-02	1560	9999-12-31	2013-05-08	2343
16/4-2	485.000000	1.200000	0.000000	0.000000	WATER BASED	1990-07-02	1560	9999-12-31	2013-05-08	2344
16/4-2	485.000000	1.200000	0.000000	0.000000	WATER BASED	1990-07-03	1560	9999-12-31	2013-05-08	2345
16/4-2	485.000000	1.200000	0.000000	0.000000	WATER BASED	1990-07-04	1560	9999-12-31	2013-05-08	2346
16/4-2	514.000000	1.240000	13.000000	6.000000	WATER BASED	1990-07-05	1560	9999-12-31	2013-05-08	2347
16/4-2	914.000000	1.220000	11.000000	10.000000	WATER BASED	1990-07-09	1560	9999-12-31	2013-05-08	2348
16/4-2	1286.000000	1.210000	15.000000	12.000000	WATER BASED	1990-07-09	1560	9999-12-31	2013-05-08	2349
16/4-2	1446.000000	1.200000	15.000000	9.000000	WATER BASED	1990-07-09	1560	9999-12-31	2013-05-08	2350
16/4-2	1557.000000	1.300000	0.000000	0.000000	WATER BASED	1990-07-27	1560	9999-12-31	2013-05-08	2351
16/4-2	1557.000000	1.300000	0.000000	0.000000	WATER BASED	1990-07-26	1560	9999-12-31	2013-05-08	2352
16/4-2	1583.000000	1.230000	17.000000	10.000000	WATER BASED	1990-07-09	1560	9999-12-31	2013-05-08	2353
16/4-2	1710.000000	1.250000	19.000000	9.000000	WATER BASED	1990-07-10	1560	9999-12-31	2013-05-08	2354
16/4-2	1710.000000	1.330000	18.000000	10.000000	WATER BASED	1990-07-11	1560	9999-12-31	2013-05-08	2355
16/4-2	1710.000000	1.310000	14.000000	6.000000	WATER BASED	1990-07-12	1560	9999-12-31	2013-05-08	2356
16/4-2	1710.000000	1.180000	5.000000	5.000000	WATER BASED	1990-07-13	1560	9999-12-31	2013-05-08	2357
16/4-2	1710.000000	1.180000	6.000000	5.000000	WATER BASED	1990-07-16	1560	9999-12-31	2013-05-08	2358
16/4-2	1800.000000	1.310000	0.000000	0.000000	WATER BASED	1990-07-25	1560	9999-12-31	2013-05-08	2359
16/4-2	1927.000000	1.270000	17.000000	8.000000	WATER BASED	1990-07-16	1560	9999-12-31	2013-05-08	2360
16/4-2	2234.000000	1.270000	15.000000	10.000000	WATER BASED	1990-07-17	1560	9999-12-31	2013-05-08	2361
16/4-2	2445.000000	1.280000	18.000000	9.000000	WATER BASED	1990-07-18	1560	9999-12-31	2013-05-08	2362
16/4-2	2600.000000	1.280000	17.000000	8.000000	WATER BASED	1990-07-19	1560	9999-12-31	2013-05-08	2363
16/4-2	2826.000000	1.310000	14.000000	8.000000	WATER BASED	1990-07-20	1560	9999-12-31	2013-05-08	2364
16/4-2	3015.000000	1.300000	16.000000	8.000000	WATER BASED	1990-07-23	1560	9999-12-31	2013-05-08	2365
16/4-2	3073.000000	1.310000	20.000000	10.000000	WATER BASED	1990-07-23	1560	9999-12-31	2013-05-08	2366
16/4-2	3117.000000	1.310000	16.000000	10.000000	WATER BASED	1990-07-23	1560	9999-12-31	2013-05-08	2367
16/4-2	3117.000000	1.310000	16.000000	10.000000	WATER BASED	1990-07-24	1560	9999-12-31	2013-05-08	2368
16/4-3	1011.000000	1.270000	22.000000	0.000000	KCL	9999-12-31	4194	9999-12-31	2013-05-08	2369
16/4-3	1475.000000	1.280000	25.000000	0.000000	KCL	9999-12-31	4194	9999-12-31	2013-05-08	2370
16/4-3	1700.000000	1.280000	20.000000	0.000000	KCL	9999-12-31	4194	9999-12-31	2013-05-08	2371
16/4-3	1825.000000	1.360000	20.000000	0.000000	KCL	9999-12-31	4194	9999-12-31	2013-05-08	2372
16/4-3	2425.000000	1.380000	20.000000	0.000000	KCL	9999-12-31	4194	9999-12-31	2013-05-08	2373
16/4-4	250.000000	1.040000	0.000000	0.000000	BENTONITE/SEAWATER 1	9999-12-31	5441	9999-12-31	2013-05-08	2374
16/4-4	335.000000	1.040000	0.000000	0.000000	SPUD MUD	9999-12-31	5441	9999-12-31	2013-05-08	2375
16/4-4	401.000000	0.000000	9.000000	0.000000	SPUD MUD	9999-12-31	5441	9999-12-31	2013-05-08	2376
16/4-4	1226.000000	1.090000	5.000000	0.000000	KCL/POLYMER	9999-12-31	5441	9999-12-31	2013-05-08	2377
16/4-4	2136.000000	1.370000	18.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5441	9999-12-31	2013-05-08	2378
16/4-4	2275.000000	1.200000	6.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5441	9999-12-31	2013-05-08	2379
16/4-4	2409.000000	1.200000	12.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5441	9999-12-31	2013-05-08	2380
16/4-5	209.000000	1.500000	0.000000	0.000000	Water	9999-12-31	6216	9999-12-31	2013-05-08	2381
16/4-5	600.000000	1.390000	0.000000	0.000000	Water	9999-12-31	6216	9999-12-31	2013-05-08	2382
16/4-5	800.000000	1.300000	0.000000	0.000000	Water	9999-12-31	6216	9999-12-31	2013-05-08	2383
16/4-5	1617.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6216	9999-12-31	2013-05-08	2384
16/4-5	1790.000000	1.380000	0.000000	0.000000	Water	9999-12-31	6216	9999-12-31	2013-05-08	2385
16/4-5	1898.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6216	9999-12-31	2013-05-08	2386
16/4-5	1955.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6216	9999-12-31	2013-05-08	2387
16/4-5	2020.000000	1.200000	0.000000	0.000000	Water	9999-12-31	6216	9999-12-31	2013-05-08	2388
16/5-1	507.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	189	9999-12-31	2013-05-08	2389
16/5-1	1533.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	189	9999-12-31	2013-05-08	2390
16/5-1	1943.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	189	9999-12-31	2013-05-08	2391
16/6-1	1140.000000	1.350000	45.000000	0.000000	seawater	9999-12-31	148	9999-12-31	2013-05-08	2392
16/6-1	1360.000000	1.120000	43.000000	0.000000	seawater	9999-12-31	148	9999-12-31	2013-05-08	2393
16/6-1	1362.000000	1.330000	50.000000	0.000000	seawater	9999-12-31	148	9999-12-31	2013-05-08	2394
16/6-1	1918.000000	1.320000	55.000000	0.000000	seawater	9999-12-31	148	9999-12-31	2013-05-08	2395
16/7-1	453.000000	1.100000	32.000000	0.000000	seawater	9999-12-31	146	9999-12-31	2013-05-08	2396
16/7-1	625.000000	1.100000	42.000000	0.000000	seawater	9999-12-31	146	9999-12-31	2013-05-08	2397
16/7-1	1059.000000	1.140000	40.000000	0.000000	seawater	9999-12-31	146	9999-12-31	2013-05-08	2398
16/7-1	1440.000000	1.140000	56.000000	0.000000	seawater	9999-12-31	146	9999-12-31	2013-05-08	2399
16/7-1	1911.000000	1.190000	47.000000	0.000000	seawater	9999-12-31	146	9999-12-31	2013-05-08	2400
16/7-1	2092.000000	1.290000	70.000000	0.000000	seawater	9999-12-31	146	9999-12-31	2013-05-08	2401
16/7-1	2150.000000	1.360000	92.000000	0.000000	seawater	9999-12-31	146	9999-12-31	2013-05-08	2402
16/7-2	250.000000	1.060000	48.000000	0.000000	waterbased	9999-12-31	40	9999-12-31	2013-05-08	2403
16/7-2	510.000000	1.150000	43.000000	0.000000	waterbased	9999-12-31	40	9999-12-31	2013-05-08	2404
16/7-2	760.000000	1.150000	44.000000	0.000000	waterbased	9999-12-31	40	9999-12-31	2013-05-08	2405
16/7-2	1150.000000	1.100000	45.000000	0.000000	waterbased	9999-12-31	40	9999-12-31	2013-05-08	2406
16/7-2	1320.000000	1.210000	51.000000	0.000000	waterbased	9999-12-31	40	9999-12-31	2013-05-08	2407
16/7-2	1440.000000	1.200000	43.000000	0.000000	waterbased	9999-12-31	40	9999-12-31	2013-05-08	2408
16/7-2	2650.000000	1.340000	54.000000	0.000000	waterbased	9999-12-31	40	9999-12-31	2013-05-08	2409
16/7-3	340.000000	1.070000	55.000000	0.000000	water	9999-12-31	75	9999-12-31	2013-05-08	2410
16/7-3	460.000000	1.100000	40.000000	0.000000	water	9999-12-31	75	9999-12-31	2013-05-08	2411
16/7-3	640.000000	1.140000	50.000000	0.000000	water	9999-12-31	75	9999-12-31	2013-05-08	2412
16/7-3	980.000000	1.190000	40.000000	0.000000	water	9999-12-31	75	9999-12-31	2013-05-08	2413
16/7-3	1620.000000	1.200000	47.000000	0.000000	water	9999-12-31	75	9999-12-31	2013-05-08	2414
16/7-3	1990.000000	1.190000	43.000000	0.000000	water	9999-12-31	75	9999-12-31	2013-05-08	2415
16/7-3	2140.000000	1.170000	46.000000	0.000000	water	9999-12-31	75	9999-12-31	2013-05-08	2416
16/7-3	2230.000000	1.270000	60.000000	0.000000	water	9999-12-31	75	9999-12-31	2013-05-08	2417
16/7-3	2880.000000	1.210000	54.000000	0.000000	water	9999-12-31	75	9999-12-31	2013-05-08	2418
16/7-3	2940.000000	1.200000	56.000000	0.000000	water	9999-12-31	75	9999-12-31	2013-05-08	2419
16/7-4	166.000000	1.040000	0.000000	0.000000	seawater	9999-12-31	91	9999-12-31	2013-05-08	2420
16/7-4	465.000000	1.060000	0.000000	0.000000	seawater	9999-12-31	91	9999-12-31	2013-05-08	2421
16/7-4	1125.000000	1.110000	0.000000	0.000000	seawater	9999-12-31	91	9999-12-31	2013-05-08	2422
16/7-4	1308.000000	1.110000	0.000000	0.000000	seawa/gel	9999-12-31	91	9999-12-31	2013-05-08	2423
16/7-4	2051.000000	1.250000	0.000000	0.000000	seawa/gel	9999-12-31	91	9999-12-31	2013-05-08	2424
16/7-4	2286.000000	1.250000	0.000000	0.000000	seawa/gel	9999-12-31	91	9999-12-31	2013-05-08	2425
16/7-4	2607.000000	1.400000	0.000000	0.000000	seawa/gel	9999-12-31	91	9999-12-31	2013-05-08	2426
16/7-4	2781.000000	1.300000	0.000000	0.000000	seawa/gel	9999-12-31	91	9999-12-31	2013-05-08	2427
16/7-5	420.000000	1.060000	5.000000	4.800000	WATER BASED	1984-07-02	134	9999-12-31	2013-05-08	2428
16/7-5	474.000000	1.080000	6.000000	5.300000	WATER BASED	1984-07-02	134	9999-12-31	2013-05-08	2429
16/7-5	474.000000	1.150000	7.000000	7.000000	WATER BASED	1984-07-03	134	9999-12-31	2013-05-08	2430
16/7-5	474.000000	1.150000	8.000000	7.200000	WATER BASED	1984-07-05	134	9999-12-31	2013-05-08	2431
16/7-5	474.000000	1.150000	7.000000	7.200000	WATER BASED	1984-07-05	134	9999-12-31	2013-05-08	2432
16/7-5	474.000000	1.150000	8.000000	8.600000	WATER BASED	1984-07-10	134	9999-12-31	2013-05-08	2433
16/7-5	474.000000	1.150000	7.000000	7.000000	WATER BASED	1984-07-03	134	9999-12-31	2013-05-08	2434
16/7-5	474.000000	1.150000	7.000000	7.200000	WATER BASED	1984-07-05	134	9999-12-31	2013-05-08	2435
16/7-5	474.000000	1.150000	8.000000	8.600000	WATER BASED	1984-07-10	134	9999-12-31	2013-05-08	2436
16/7-5	474.000000	1.080000	6.000000	5.300000	WATER BASED	1984-07-02	134	9999-12-31	2013-05-08	2437
16/7-5	474.000000	1.150000	8.000000	7.200000	WATER BASED	1984-07-05	134	9999-12-31	2013-05-08	2438
16/7-5	568.000000	1.070000	6.000000	8.600000	WATER BASED	1984-07-10	134	9999-12-31	2013-05-08	2439
16/7-5	900.000000	1.150000	7.000000	7.500000	WATER BASED	1984-07-10	134	9999-12-31	2013-05-08	2440
16/7-5	1200.000000	1.140000	8.000000	10.500000	WATER BASED	1984-07-10	134	9999-12-31	2013-05-08	2441
16/7-5	1280.000000	1.150000	8.000000	9.500000	WATER BASED	1984-07-12	134	9999-12-31	2013-05-08	2442
16/7-5	1280.000000	1.150000	13.000000	14.400000	WATER BASED	1984-07-10	134	9999-12-31	2013-05-08	2443
16/7-5	1280.000000	1.150000	8.000000	9.500000	WATER BASED	1984-07-12	134	9999-12-31	2013-05-08	2444
16/7-5	1280.000000	1.150000	13.000000	14.400000	WATER BASED	1984-07-10	134	9999-12-31	2013-05-08	2445
16/7-5	1302.000000	1.150000	9.000000	10.100000	WATER BASED	1984-07-12	134	9999-12-31	2013-05-08	2446
16/7-5	1579.000000	1.100000	8.000000	8.100000	WATER BASED	1984-07-17	134	9999-12-31	2013-05-08	2447
16/7-5	1986.000000	1.140000	11.000000	7.700000	WATER BASED	1984-07-17	134	9999-12-31	2013-05-08	2448
16/7-5	2310.000000	1.160000	12.000000	10.500000	WATER BASED	1984-07-17	134	9999-12-31	2013-05-08	2449
16/7-5	2350.000000	1.270000	10.000000	11.000000	WATER BASED	1984-07-20	134	9999-12-31	2013-05-08	2450
16/7-5	2350.000000	1.210000	12.000000	9.500000	WATER BASED	1984-07-17	134	9999-12-31	2013-05-08	2451
16/7-5	2350.000000	1.210000	12.000000	9.500000	WATER BASED	1984-07-17	134	9999-12-31	2013-05-08	2452
16/7-5	2350.000000	1.210000	12.000000	9.500000	WATER BASED	1984-07-19	134	9999-12-31	2013-05-08	2453
16/7-5	2350.000000	1.270000	14.000000	13.400000	WATER BASED	1984-07-20	134	9999-12-31	2013-05-08	2454
16/7-5	2350.000000	1.240000	16.000000	9.500000	WATER BASED	1984-07-23	134	9999-12-31	2013-05-08	2455
16/7-5	2350.000000	1.210000	12.000000	9.500000	WATER BASED	1984-07-19	134	9999-12-31	2013-05-08	2456
16/7-5	2350.000000	1.270000	10.000000	11.000000	WATER BASED	1984-07-20	134	9999-12-31	2013-05-08	2457
16/7-5	2350.000000	1.270000	14.000000	13.400000	WATER BASED	1984-07-20	134	9999-12-31	2013-05-08	2458
16/7-5	2350.000000	1.240000	16.000000	9.500000	WATER BASED	1984-07-23	134	9999-12-31	2013-05-08	2459
16/7-5	2510.000000	1.250000	17.000000	8.100000	WATER BASED	1984-07-25	134	9999-12-31	2013-05-08	2460
16/7-5	2580.000000	1.300000	18.000000	8.600000	WATER BASED	1984-07-25	134	9999-12-31	2013-05-08	2461
16/7-5	2590.000000	1.330000	22.000000	9.600000	WATER BASED	1984-07-25	134	9999-12-31	2013-05-08	2462
16/7-5	2644.000000	1.330000	21.000000	9.600000	WATER BASED	1984-07-31	134	9999-12-31	2013-05-08	2463
16/7-5	2886.000000	1.330000	19.000000	8.100000	WATER BASED	1984-07-31	134	9999-12-31	2013-05-08	2464
16/7-5	2900.000000	1.330000	18.000000	8.100000	WATER BASED	1984-07-31	134	9999-12-31	2013-05-08	2465
16/7-6	1160.000000	1.400000	30.000000	0.000000	OIL BASED	9999-12-31	3067	9999-12-31	2013-05-08	2466
16/7-6	1400.000000	1.320000	30.000000	0.000000	OIL BASED	9999-12-31	3067	9999-12-31	2013-05-08	2467
16/7-6	1814.000000	1.370000	38.000000	0.000000	OIL BASED	9999-12-31	3067	9999-12-31	2013-05-08	2468
16/7-6	1984.000000	1.370000	34.000000	0.000000	OIL BASED	9999-12-31	3067	9999-12-31	2013-05-08	2469
16/7-6	2562.000000	1.380000	40.000000	0.000000	OIL BASED	9999-12-31	3067	9999-12-31	2013-05-08	2470
16/7-7 S	1153.000000	1.560000	33.000000	0.000000	OIL BASED	9999-12-31	3244	9999-12-31	2013-05-08	2471
16/7-7 S	1781.000000	1.430000	35.000000	0.000000	OIL BASED	9999-12-31	3244	9999-12-31	2013-05-08	2472
16/7-7 S	2000.000000	1.370000	29.000000	0.000000	OIL BASED	9999-12-31	3244	9999-12-31	2013-05-08	2473
16/7-7 S	2060.000000	1.430000	43.000000	0.000000	OIL BASED	9999-12-31	3244	9999-12-31	2013-05-08	2474
16/7-7 S	2185.000000	1.430000	42.000000	0.000000	OIL BASED	9999-12-31	3244	9999-12-31	2013-05-08	2475
16/7-7 S	2745.000000	1.370000	34.000000	0.000000	OIL BASED	9999-12-31	3244	9999-12-31	2013-05-08	2476
16/7-7 S	2859.000000	1.430000	42.000000	0.000000	OIL BASED	9999-12-31	3244	9999-12-31	2013-05-08	2477
16/7-7 S	2993.000000	1.430000	39.000000	0.000000	OIL BASED	9999-12-31	3244	9999-12-31	2013-05-08	2478
16/7-7 S	2994.000000	1.430000	45.000000	0.000000	OIL BASED	9999-12-31	3244	9999-12-31	2013-05-08	2479
16/7-8 S	805.000000	1.130000	12.000000	0.000000	GLYDRIL 10	9999-12-31	4612	9999-12-31	2013-05-08	2480
16/7-8 S	1319.000000	1.180000	12.000000	0.000000	GLYDRIL 10	9999-12-31	4612	9999-12-31	2013-05-08	2481
16/7-8 S	1492.000000	1.420000	38.000000	0.000000	VERSAVERT 41	9999-12-31	4612	9999-12-31	2013-05-08	2482
16/7-8 S	2143.000000	1.450000	34.000000	0.000000	VERSAVERT 41	9999-12-31	4612	9999-12-31	2013-05-08	2483
16/7-8 S	2605.000000	1.450000	31.000000	0.000000	VERSAVERT 41	9999-12-31	4612	9999-12-31	2013-05-08	2484
16/7-8 S	2801.000000	1.450000	36.000000	0.000000	VERSAVERT 41	9999-12-31	4612	9999-12-31	2013-05-08	2485
16/7-8 S	2827.000000	1.450000	36.000000	0.000000	VERSAVERT 41	9999-12-31	4612	9999-12-31	2013-05-08	2486
16/7-8 S	2875.000000	1.450000	33.000000	0.000000	VERSAVERT 41	9999-12-31	4612	9999-12-31	2013-05-08	2487
16/7-8 S	2900.000000	1.450000	34.000000	0.000000	VERSAVERT 41	9999-12-31	4612	9999-12-31	2013-05-08	2488
16/7-9	184.000000	1.500000	0.000000	0.000000	Water	9999-12-31	6382	9999-12-31	2013-05-08	2489
16/7-9	311.000000	1.400000	0.000000	0.000000	Water	9999-12-31	6382	9999-12-31	2013-05-08	2490
16/7-9	706.000000	1.030000	0.000000	0.000000	Water	9999-12-31	6382	9999-12-31	2013-05-08	2491
16/7-9	852.000000	1.300000	0.000000	0.000000	Water	9999-12-31	6382	9999-12-31	2013-05-08	2492
16/7-9	1900.000000	1.400000	0.000000	0.000000	Water	9999-12-31	6382	9999-12-31	2013-05-08	2493
16/7-9	2093.000000	1.400000	0.000000	0.000000	Water	9999-12-31	6382	9999-12-31	2013-05-08	2494
16/7-9	2204.000000	1.390000	0.000000	0.000000	Water	9999-12-31	6382	9999-12-31	2013-05-08	2495
16/7-9	2665.000000	1.390000	0.000000	0.000000	Water	9999-12-31	6382	9999-12-31	2013-05-08	2496
16/8-1	172.000000	1.040000	45.000000	0.000000	seawater	9999-12-31	335	9999-12-31	2013-05-08	2497
16/8-1	533.000000	1.130000	55.000000	0.000000	seawater	9999-12-31	335	9999-12-31	2013-05-08	2498
16/8-1	780.000000	1.290000	45.000000	0.000000	seawater	9999-12-31	335	9999-12-31	2013-05-08	2499
16/8-1	921.000000	1.290000	46.000000	0.000000	seawater	9999-12-31	335	9999-12-31	2013-05-08	2500
16/8-1	1326.000000	1.380000	47.000000	0.000000	seawater	9999-12-31	335	9999-12-31	2013-05-08	2501
16/8-1	1710.000000	1.340000	47.000000	0.000000	seawater	9999-12-31	335	9999-12-31	2013-05-08	2502
16/8-1	2301.000000	1.370000	49.000000	0.000000	seawater	9999-12-31	335	9999-12-31	2013-05-08	2503
16/8-2	990.000000	1.140000	33.000000	0.000000	water	9999-12-31	234	9999-12-31	2013-05-08	2504
16/8-2	1200.000000	1.170000	38.000000	0.000000	water	9999-12-31	234	9999-12-31	2013-05-08	2505
16/8-2	1385.000000	1.280000	45.000000	0.000000	water	9999-12-31	234	9999-12-31	2013-05-08	2506
16/8-2	1470.000000	1.300000	43.000000	0.000000	water	9999-12-31	234	9999-12-31	2013-05-08	2507
16/8-2	1675.000000	1.370000	47.000000	0.000000	water	9999-12-31	234	9999-12-31	2013-05-08	2508
16/8-2	1755.000000	1.400000	56.000000	0.000000	water	9999-12-31	234	9999-12-31	2013-05-08	2509
16/8-2	2270.000000	1.450000	42.000000	0.000000	water	9999-12-31	234	9999-12-31	2013-05-08	2510
16/8-2	2385.000000	1.820000	50.000000	0.000000	water	9999-12-31	234	9999-12-31	2013-05-08	2511
16/8-2	3495.000000	1.890000	47.000000	0.000000	water	9999-12-31	234	9999-12-31	2013-05-08	2512
16/9-1	442.000000	1.050000	36.000000	0.000000	seawater	9999-12-31	151	9999-12-31	2013-05-08	2513
16/9-1	1280.000000	1.170000	37.000000	0.000000	seawater	9999-12-31	151	9999-12-31	2013-05-08	2514
16/9-1	1547.000000	1.250000	48.000000	0.000000	seawater	9999-12-31	151	9999-12-31	2013-05-08	2515
16/9-1	1897.000000	1.190000	41.000000	0.000000	seawater	9999-12-31	151	9999-12-31	2013-05-08	2516
16/9-1	2050.000000	1.220000	53.000000	0.000000	seawater	9999-12-31	151	9999-12-31	2013-05-08	2517
16/9-1	2858.000000	1.310000	43.000000	0.000000	seawater	9999-12-31	151	9999-12-31	2013-05-08	2518
16/9-1	3307.000000	1.280000	85.000000	0.000000	seawater	9999-12-31	151	9999-12-31	2013-05-08	2519
16/9-1	3459.000000	1.340000	43.000000	0.000000	seawater	9999-12-31	151	9999-12-31	2013-05-08	2520
17/10-1	161.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	161	9999-12-31	2013-05-08	2521
17/10-1	1016.000000	1.130000	40.000000	0.000000	water based	9999-12-31	161	9999-12-31	2013-05-08	2522
17/10-1	1689.000000	1.310000	53.000000	0.000000	water based	9999-12-31	161	9999-12-31	2013-05-08	2523
17/10-1	2681.000000	1.370000	48.000000	0.000000	water based	9999-12-31	161	9999-12-31	2013-05-08	2524
17/10-1	2948.000000	1.390000	50.000000	0.000000	water based	9999-12-31	161	9999-12-31	2013-05-08	2525
17/10-1	3552.000000	1.410000	56.000000	0.000000	water based	9999-12-31	161	9999-12-31	2013-05-08	2526
17/11-1	152.000000	1.010000	0.000000	0.000000	seawater	9999-12-31	906	9999-12-31	2013-05-08	2527
17/11-1	419.000000	1.040000	90.000000	0.000000	waterbased	9999-12-31	906	9999-12-31	2013-05-08	2528
17/11-1	1173.000000	1.170000	36.000000	0.000000	waterbased	9999-12-31	906	9999-12-31	2013-05-08	2529
17/11-1	2195.000000	1.240000	42.000000	0.000000	waterbased	9999-12-31	906	9999-12-31	2013-05-08	2530
17/11-1	2540.000000	1.240000	58.000000	0.000000	waterbased	9999-12-31	906	9999-12-31	2013-05-08	2531
17/11-1	2681.000000	1.340000	65.000000	0.000000	waterbased	9999-12-31	906	9999-12-31	2013-05-08	2532
17/11-1	3269.000000	1.370000	53.000000	0.000000	waterbased	9999-12-31	906	9999-12-31	2013-05-08	2533
17/11-2	198.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	338	9999-12-31	2013-05-08	2534
17/11-2	434.000000	1.110000	0.000000	0.000000	water based	9999-12-31	338	9999-12-31	2013-05-08	2535
17/11-2	1322.000000	1.140000	0.000000	0.000000	water based	9999-12-31	338	9999-12-31	2013-05-08	2536
17/11-2	2165.000000	1.150000	0.000000	0.000000	water based	9999-12-31	338	9999-12-31	2013-05-08	2537
17/11-2	2644.000000	1.140000	0.000000	0.000000	water based	9999-12-31	338	9999-12-31	2013-05-08	2538
17/12-1	176.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	339	9999-12-31	2013-05-08	2539
17/12-1	457.000000	1.130000	0.000000	0.000000	seawater	9999-12-31	339	9999-12-31	2013-05-08	2540
17/12-1 R	176.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	514	9999-12-31	2013-05-08	2541
17/12-1 R	457.000000	1.130000	0.000000	0.000000	seawater	9999-12-31	514	9999-12-31	2013-05-08	2542
17/12-1 R	1097.000000	1.200000	45.000000	0.000000	seawater	9999-12-31	514	9999-12-31	2013-05-08	2543
17/12-1 R	2407.000000	1.310000	50.000000	0.000000	seawater	9999-12-31	514	9999-12-31	2013-05-08	2544
17/12-1 R	3962.000000	1.610000	55.000000	0.000000	seawater	9999-12-31	514	9999-12-31	2013-05-08	2545
17/12-2	493.000000	1.040000	0.000000	0.000000	SEAWATER	9999-12-31	340	9999-12-31	2013-05-08	2546
17/12-2	701.000000	1.110000	48.000000	0.000000	waterbased	9999-12-31	340	9999-12-31	2013-05-08	2547
17/12-2	1250.000000	1.310000	50.000000	0.000000	waterbased	9999-12-31	340	9999-12-31	2013-05-08	2548
17/12-2	1740.000000	1.310000	43.000000	0.000000	waterbased	9999-12-31	340	9999-12-31	2013-05-08	2549
17/12-2	1943.000000	1.330000	48.000000	0.000000	waterbased	9999-12-31	340	9999-12-31	2013-05-08	2550
17/12-2	2333.000000	1.340000	47.000000	0.000000	waterbased	9999-12-31	340	9999-12-31	2013-05-08	2551
17/12-3	1475.000000	1.230000	46.000000	0.000000	waterbased	9999-12-31	341	9999-12-31	2013-05-08	2552
17/12-3	1640.000000	1.210000	48.000000	0.000000	waterbased	9999-12-31	341	9999-12-31	2013-05-08	2553
17/12-3	1800.000000	1.180000	50.000000	0.000000	waterbased	9999-12-31	341	9999-12-31	2013-05-08	2554
17/12-3	1975.000000	1.200000	43.000000	0.000000	waterbased	9999-12-31	341	9999-12-31	2013-05-08	2555
17/12-3	2410.000000	1.230000	45.000000	0.000000	waterbased	9999-12-31	341	9999-12-31	2013-05-08	2556
17/12-3	2595.000000	1.250000	54.000000	0.000000	waterbased	9999-12-31	341	9999-12-31	2013-05-08	2557
17/12-4	1190.000000	1.250000	26.000000	0.000000	Versatec DW OBM	9999-12-31	6137	9999-12-31	2013-05-08	2558
17/12-4	2470.000000	1.290000	27.000000	0.000000	Versatec DW OBM	9999-12-31	6137	9999-12-31	2013-05-08	2559
17/12-4	2470.000000	1.270000	25.000000	0.000000	Versatec DW OBM	9999-12-31	6137	9999-12-31	2013-05-08	2560
17/12-4	2470.000000	1.260000	26.000000	0.000000	Versatec DW OBM	9999-12-31	6137	9999-12-31	2013-05-08	2561
17/12-4	3253.000000	1.400000	34.000000	0.000000	Versamud	9999-12-31	6137	9999-12-31	2013-05-08	2562
17/12-4 A	2795.000000	1.200000	0.000000	0.000000	wvjobreportmudchk.mudtyp	9999-12-31	6178	9999-12-31	2013-05-08	2563
17/12-4 A	3338.000000	1.310000	28.000000	0.000000	Versamud	9999-12-31	6178	9999-12-31	2013-05-08	2564
17/12-4 A	3338.000000	1.200000	0.000000	0.000000	wvjobreportmudchk.mudtyp	9999-12-31	6178	9999-12-31	2013-05-08	2565
17/12-4 A	3338.000000	1.310000	26.000000	0.000000	Versamud	9999-12-31	6178	9999-12-31	2013-05-08	2566
17/12-4 B	1485.000000	1.350000	32.000000	0.000000	Versamud	9999-12-31	6211	9999-12-31	2013-05-08	2567
17/12-4 B	1640.000000	1.350000	33.000000	0.000000	Versamud	9999-12-31	6211	9999-12-31	2013-05-08	2568
17/12-4 B	2512.000000	1.350000	29.000000	0.000000	Versamud	9999-12-31	6211	9999-12-31	2013-05-08	2569
17/12-4 B	2985.000000	1.350000	31.000000	0.000000	Versamud	9999-12-31	6211	9999-12-31	2013-05-08	2570
17/12-4 B	3253.000000	1.390000	35.000000	0.000000	Versamud	9999-12-31	6211	9999-12-31	2013-05-08	2571
17/3-1	330.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2572
17/3-1	443.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2573
17/3-1	445.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2574
17/3-1	492.000000	1.370000	0.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2575
17/3-1	500.000000	1.370000	0.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2576
17/3-1	627.000000	1.370000	0.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2577
17/3-1	847.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2578
17/3-1	943.000000	1.260000	19.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2579
17/3-1	949.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2580
17/3-1	1133.000000	1.350000	22.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2581
17/3-1	1247.000000	1.350000	23.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2582
17/3-1	1315.000000	1.350000	27.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2583
17/3-1	1538.000000	1.350000	27.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2584
17/3-1	1695.000000	1.350000	26.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2585
17/3-1	1732.000000	1.350000	24.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2586
17/3-1	1836.000000	1.350000	25.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2587
17/3-1	1942.000000	1.350000	27.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2588
17/3-1	1976.000000	1.350000	27.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2589
17/3-1	2009.000000	1.350000	24.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2590
17/3-1	2111.000000	1.350000	26.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2591
17/3-1	2161.000000	1.350000	27.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2592
17/3-1	2233.000000	1.350000	26.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2593
17/3-1	2312.000000	1.350000	25.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2594
17/3-1	2318.000000	1.350000	26.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2595
17/3-1	2319.000000	1.350000	28.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2596
17/3-1	2390.000000	1.350000	24.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2597
17/3-1	2400.000000	1.350000	21.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2598
17/3-1	2427.000000	1.350000	23.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2599
17/3-1	2483.000000	1.350000	32.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2600
17/3-1	2494.000000	1.350000	28.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2601
17/3-1	2591.000000	1.350000	24.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2602
17/3-1	2633.000000	1.350000	25.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2603
17/3-1	2691.000000	1.350000	25.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2604
17/3-1	2744.000000	1.350000	23.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2605
17/3-1	2840.000000	1.350000	28.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2606
17/3-1	2846.000000	1.350000	27.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2607
17/3-1	2849.000000	1.350000	24.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2608
17/3-1	2850.000000	1.350000	23.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2609
17/3-1	2852.000000	1.350000	23.000000	0.000000	WATER BASED	9999-12-31	2576	9999-12-31	2013-05-08	2610
17/4-1	444.000000	1.020000	0.000000	0.000000	seawater	9999-12-31	153	9999-12-31	2013-05-08	2611
17/4-1	1207.000000	1.330000	50.000000	0.000000	waterbased	9999-12-31	153	9999-12-31	2013-05-08	2612
17/4-1	1812.000000	1.330000	53.000000	0.000000	waterbased	9999-12-31	153	9999-12-31	2013-05-08	2613
17/4-1	2503.000000	1.370000	50.000000	0.000000	waterbased	9999-12-31	153	9999-12-31	2013-05-08	2614
17/4-1	3471.000000	1.390000	45.000000	0.000000	waterbased	9999-12-31	153	9999-12-31	2013-05-08	2615
17/4-1	3957.000000	1.490000	50.000000	0.000000	waterbased	9999-12-31	153	9999-12-31	2013-05-08	2616
17/6-1	350.000000	1.040000	0.000000	0.000000	Spud mud	9999-12-31	6501	9999-12-31	2013-05-08	2617
17/6-1	712.000000	1.020000	0.000000	0.000000	SW	9999-12-31	6501	9999-12-31	2013-05-08	2618
17/6-1	1050.000000	1.130000	19.000000	0.000000	Glydril WBM	9999-12-31	6501	9999-12-31	2013-05-08	2619
17/6-1	1957.000000	1.240000	15.000000	0.000000	Glydril WBM	9999-12-31	6501	9999-12-31	2013-05-08	2620
17/6-1	2220.000000	1.250000	16.000000	0.000000	Glydril WBM	9999-12-31	6501	9999-12-31	2013-05-08	2621
17/6-1	2582.000000	1.250000	16.000000	0.000000	Glydril WBM	9999-12-31	6501	9999-12-31	2013-05-08	2622
17/6-1	2790.000000	1.240000	17.000000	0.000000	Glydril WBM	9999-12-31	6501	9999-12-31	2013-05-08	2623
17/6-1	2890.000000	1.240000	17.000000	0.000000	Glydril WBM	9999-12-31	6501	9999-12-31	2013-05-08	2624
17/6-1	3065.000000	1.250000	17.000000	0.000000	Glydril WBM	9999-12-31	6501	9999-12-31	2013-05-08	2625
17/9-1	208.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	337	9999-12-31	2013-05-08	2626
17/9-1	921.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	337	9999-12-31	2013-05-08	2627
17/9-1	2112.000000	1.150000	0.000000	0.000000	waterbased	9999-12-31	337	9999-12-31	2013-05-08	2628
17/9-1 R	3161.000000	1.170000	0.000000	0.000000	waterbased	9999-12-31	515	9999-12-31	2013-05-08	2629
18/10-1	193.000000	1.060000	55.000000	0.000000	seawater	9999-12-31	342	9999-12-31	2013-05-08	2630
18/10-1	325.000000	1.120000	55.000000	0.000000	waterbased	9999-12-31	342	9999-12-31	2013-05-08	2631
18/10-1	920.000000	1.170000	55.000000	0.000000	waterbased	9999-12-31	342	9999-12-31	2013-05-08	2632
18/10-1	1810.000000	1.160000	44.000000	0.000000	waterbased	9999-12-31	342	9999-12-31	2013-05-08	2633
18/10-1	2256.000000	1.180000	30.000000	0.000000	waterbased	9999-12-31	342	9999-12-31	2013-05-08	2634
18/10-1	2775.000000	1.210000	60.000000	0.000000	waterbased	9999-12-31	342	9999-12-31	2013-05-08	2635
18/11-1	823.000000	1.230000	43.000000	4.000000	waterbased	9999-12-31	343	9999-12-31	2013-05-08	2636
18/11-1	1503.000000	1.280000	52.000000	8.000000	waterbased	9999-12-31	343	9999-12-31	2013-05-08	2637
18/11-1	1815.000000	1.300000	45.000000	6.000000	waterbased	9999-12-31	343	9999-12-31	2013-05-08	2638
18/11-1	2082.000000	1.320000	45.000000	6.000000	waterbased	9999-12-31	343	9999-12-31	2013-05-08	2639
2/10-1 S	463.000000	0.870000	0.000000	0.000000	WATER BASED	1976-04-22	284	9999-12-31	2013-05-08	2640
2/10-1 S	1251.000000	0.980000	0.000000	0.000000	WATER BASED	1976-04-22	284	9999-12-31	2013-05-08	2641
2/10-1 S	1283.000000	1.000000	0.000000	0.000000	WATER BASED	1976-04-22	284	9999-12-31	2013-05-08	2642
2/10-1 S	1832.000000	1.290000	0.000000	0.000000	WATER BASED	1976-04-22	284	9999-12-31	2013-05-08	2643
2/10-1 S	3276.000000	1.370000	0.000000	0.000000	WATER BASED	1976-04-22	284	9999-12-31	2013-05-08	2644
2/10-1 S	4028.000000	1.360000	0.000000	0.000000	WATER BASED	1976-04-22	284	9999-12-31	2013-05-08	2645
2/10-1 S	4144.000000	1.460000	0.000000	0.000000	WATER BASED	1976-04-22	284	9999-12-31	2013-05-08	2646
2/10-1 S	4228.000000	1.450000	0.000000	0.000000	WATER BASED	1976-04-22	284	9999-12-31	2013-05-08	2647
2/10-1 S	4609.000000	1.450000	0.000000	0.000000	WATER BASED	1976-04-22	284	9999-12-31	2013-05-08	2648
2/10-2	160.000000	1.030000	9.000000	0.000000	WATER BASED	9999-12-31	2050	9999-12-31	2013-05-08	2649
2/10-2	160.000000	1.030000	9.000000	0.000000	WATER BASED	9999-12-31	2050	9999-12-31	2013-05-08	2650
2/10-2	197.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2050	9999-12-31	2013-05-08	2651
2/10-2	210.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2050	9999-12-31	2013-05-08	2652
2/10-2	609.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2050	9999-12-31	2013-05-08	2653
2/10-2	1165.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	2050	9999-12-31	2013-05-08	2654
2/10-2	1169.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2050	9999-12-31	2013-05-08	2655
2/10-2	3681.000000	1.700000	18.000000	0.000000	WATER BASED	9999-12-31	2050	9999-12-31	2013-05-08	2656
2/10-2	4164.000000	1.970000	20.000000	0.000000	DUMMY	9999-12-31	2050	9999-12-31	2013-05-08	2657
2/1-10	687.000000	1.600000	28.000000	3.800000	WATER BASED	1992-01-14	1865	9999-12-31	2013-05-08	2658
2/1-10	817.000000	1.590000	30.000000	4.800000	WATER BASED	1992-01-14	1865	9999-12-31	2013-05-08	2659
2/1-10	1100.000000	1.080000	0.000000	0.000000	WATER BASED	1991-11-13	1865	9999-12-31	2013-05-08	2660
2/1-10	1100.000000	1.080000	0.000000	0.000000	WATER BASED	1991-11-15	1865	9999-12-31	2013-05-08	2661
2/1-10	1100.000000	1.070000	54.000000	15.400000	WATER BASED	1991-11-19	1865	9999-12-31	2013-05-08	2662
2/1-10	1100.000000	1.030000	0.000000	0.000000	WATER BASED	1991-11-19	1865	9999-12-31	2013-05-08	2663
2/1-10	1100.000000	1.080000	0.000000	0.000000	WATER BASED	1991-11-15	1865	9999-12-31	2013-05-08	2664
2/1-10	1100.000000	1.070000	0.000000	0.000000	WATER BASED	1991-11-19	1865	9999-12-31	2013-05-08	2665
2/1-10	1101.000000	1.400000	32.000000	9.100000	WATER BASED	1991-11-20	1865	9999-12-31	2013-05-08	2666
2/1-10	1250.000000	1.450000	29.000000	8.200000	WATER BASED	1991-11-20	1865	9999-12-31	2013-05-08	2667
2/1-10	1636.000000	1.570000	32.000000	8.600000	WATER BASED	1991-11-20	1865	9999-12-31	2013-05-08	2668
2/1-10	1763.000000	1.600000	35.000000	8.600000	OIL BASED	1991-11-21	1865	9999-12-31	2013-05-08	2669
2/1-10	2023.000000	1.600000	41.000000	9.100000	WATER BASED	1991-11-22	1865	9999-12-31	2013-05-08	2670
2/1-10	2172.000000	1.600000	41.000000	7.700000	WATER BASED	1991-11-25	1865	9999-12-31	2013-05-08	2671
2/1-10	2290.000000	1.600000	45.000000	9.600000	WATER BASED	1991-11-25	1865	9999-12-31	2013-05-08	2672
2/1-10	2502.000000	1.600000	43.000000	9.100000	WATER BASED	1991-11-25	1865	9999-12-31	2013-05-08	2673
2/1-10	2710.000000	1.600000	44.000000	8.200000	WATER BASED	1991-11-26	1865	9999-12-31	2013-05-08	2674
2/1-10	2864.000000	1.600000	41.000000	7.700000	WATER BASED	1991-11-27	1865	9999-12-31	2013-05-08	2675
2/1-10	2906.000000	1.600000	44.000000	8.200000	WATER BASED	1991-11-28	1865	9999-12-31	2013-05-08	2676
2/1-10	3002.000000	1.600000	43.000000	9.200000	WATER BASED	1991-11-29	1865	9999-12-31	2013-05-08	2677
2/1-10	3060.000000	1.600000	49.000000	10.600000	WATER BASED	1991-12-02	1865	9999-12-31	2013-05-08	2678
2/1-10	3119.000000	1.600000	40.000000	9.100000	WATER BASED	1991-12-02	1865	9999-12-31	2013-05-08	2679
2/1-10	3128.000000	1.570000	47.000000	7.200000	WATER BASED	1992-01-14	1865	9999-12-31	2013-05-08	2680
2/1-10	3128.000000	1.570000	40.000000	6.700000	WATER BASED	1992-01-14	1865	9999-12-31	2013-05-08	2681
2/1-10	3162.000000	1.600000	49.000000	10.600000	WATER BASED	1991-12-02	1865	9999-12-31	2013-05-08	2682
2/1-10	3242.000000	1.600000	47.000000	10.800000	WATER BASED	1991-12-04	1865	9999-12-31	2013-05-08	2683
2/1-10	3242.000000	1.610000	44.000000	10.600000	WATER BASED	1991-12-06	1865	9999-12-31	2013-05-08	2684
2/1-10	3242.000000	1.600000	45.000000	9.300000	WATER BASED	1991-12-05	1865	9999-12-31	2013-05-08	2685
2/1-10	3242.000000	1.610000	61.000000	13.400000	WATER BASED	1991-12-05	1865	9999-12-31	2013-05-08	2686
2/1-10	3313.000000	1.300000	35.000000	12.000000	WATER BASED	1991-12-09	1865	9999-12-31	2013-05-08	2687
2/1-10	3366.000000	1.550000	42.000000	13.000000	WATER BASED	1991-12-09	1865	9999-12-31	2013-05-08	2688
2/1-10	3420.000000	1.550000	38.000000	11.000000	WATER BASED	1991-12-09	1865	9999-12-31	2013-05-08	2689
2/1-10	3572.000000	1.550000	43.000000	12.000000	WATER BASED	1991-12-11	1865	9999-12-31	2013-05-08	2690
2/1-10	3695.000000	1.550000	40.000000	11.000000	WATER BASED	1991-12-12	1865	9999-12-31	2013-05-08	2691
2/1-10	3721.000000	1.550000	40.000000	11.000000	WATER BASED	1991-12-12	1865	9999-12-31	2013-05-08	2692
2/1-10	3772.000000	1.550000	43.000000	11.500000	WATER BASED	1991-12-13	1865	9999-12-31	2013-05-08	2693
2/1-10	3817.000000	1.550000	40.000000	10.600000	WATER BASED	1991-12-16	1865	9999-12-31	2013-05-08	2694
2/1-10	3900.000000	1.550000	37.000000	8.600000	WATER BASED	1991-12-16	1865	9999-12-31	2013-05-08	2695
2/1-10	3954.000000	1.550000	46.000000	11.500000	WATER BASED	1991-12-16	1865	9999-12-31	2013-05-08	2696
2/1-10	3992.000000	1.550000	43.000000	10.100000	WATER BASED	1991-12-17	1865	9999-12-31	2013-05-08	2697
2/1-10	4092.000000	1.570000	51.000000	10.600000	WATER BASED	1992-01-09	1865	9999-12-31	2013-05-08	2698
2/1-10	4121.000000	1.550000	44.000000	11.000000	WATER BASED	1991-12-18	1865	9999-12-31	2013-05-08	2699
2/1-10	4193.000000	1.550000	43.000000	10.600000	WATER BASED	1991-12-19	1865	9999-12-31	2013-05-08	2700
2/1-10	4221.000000	1.550000	42.000000	10.600000	WATER BASED	1991-12-20	1865	9999-12-31	2013-05-08	2701
2/1-10	4244.000000	1.560000	41.000000	9.100000	WATER BASED	1991-12-23	1865	9999-12-31	2013-05-08	2702
2/1-10	4272.000000	1.550000	44.000000	9.600000	WATER BASED	1991-12-23	1865	9999-12-31	2013-05-08	2703
2/1-10	4277.000000	1.550000	41.000000	9.100000	WATER BASED	1991-12-23	1865	9999-12-31	2013-05-08	2704
2/1-10	4287.000000	1.550000	42.000000	9.600000	WATER BASED	1991-12-27	1865	9999-12-31	2013-05-08	2705
2/1-10	4328.000000	1.550000	48.000000	11.000000	WATER BASED	1991-12-27	1865	9999-12-31	2013-05-08	2706
2/1-10	4424.000000	1.550000	49.000000	11.500000	WATER BASED	1991-12-27	1865	9999-12-31	2013-05-08	2707
2/1-10	4443.000000	1.550000	52.000000	13.400000	WATER BASED	1991-12-27	1865	9999-12-31	2013-05-08	2708
2/1-10	4443.000000	1.550000	49.000000	12.000000	WATER BASED	1991-12-30	1865	9999-12-31	2013-05-08	2709
2/1-10	4443.000000	1.550000	50.000000	13.000000	WATER BASED	1991-12-30	1865	9999-12-31	2013-05-08	2710
2/1-10	4525.000000	1.550000	50.000000	12.000000	WATER BASED	1991-12-30	1865	9999-12-31	2013-05-08	2711
2/1-10	4525.000000	1.550000	49.000000	10.600000	WATER BASED	1992-01-06	1865	9999-12-31	2013-05-08	2712
2/1-10	4525.000000	1.550000	42.000000	8.600000	WATER BASED	1992-01-06	1865	9999-12-31	2013-05-08	2713
2/1-10	4525.000000	1.550000	49.000000	10.600000	WATER BASED	1992-01-06	1865	9999-12-31	2013-05-08	2714
2/1-10	4525.000000	1.550000	48.000000	10.600000	WATER BASED	1992-01-06	1865	9999-12-31	2013-05-08	2715
2/1-10	4525.000000	1.550000	42.000000	8.600000	WATER BASED	1992-01-06	1865	9999-12-31	2013-05-08	2716
2/1-10	4525.000000	1.550000	48.000000	10.600000	WATER BASED	1992-01-06	1865	9999-12-31	2013-05-08	2717
2/1-10	4525.000000	1.550000	42.000000	8.600000	WATER BASED	1992-01-06	1865	9999-12-31	2013-05-08	2718
2/1-10	4525.000000	1.550000	53.000000	10.600000	WATER BASED	1992-01-08	1865	9999-12-31	2013-05-08	2719
2/1-10	4525.000000	1.550000	48.000000	10.600000	WATER BASED	1992-01-06	1865	9999-12-31	2013-05-08	2720
2/1-10	4525.000000	1.550000	49.000000	10.600000	WATER BASED	1992-01-06	1865	9999-12-31	2013-05-08	2721
2/1-10	4525.000000	1.570000	57.000000	13.000000	WATER BASED	1992-01-07	1865	9999-12-31	2013-05-08	2722
2/1-11	189.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	2699	9999-12-31	2013-05-08	2723
2/1-11	650.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	2699	9999-12-31	2013-05-08	2724
2/1-11	724.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	2699	9999-12-31	2013-05-08	2725
2/1-11	1151.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	2699	9999-12-31	2013-05-08	2726
2/1-11	3892.000000	1.610000	0.000000	0.000000	obm	9999-12-31	2699	9999-12-31	2013-05-08	2727
2/1-11	4210.000000	1.830000	0.000000	0.000000	obm	9999-12-31	2699	9999-12-31	2013-05-08	2728
2/1-11	4725.000000	2.060000	0.000000	0.000000	obm	9999-12-31	2699	9999-12-31	2013-05-08	2729
2/11-1	382.000000	1.110000	48.000000	0.000000	water-based	9999-12-31	168	9999-12-31	2013-05-08	2730
2/11-1	1280.000000	1.310000	44.000000	0.000000	water-based	9999-12-31	168	9999-12-31	2013-05-08	2731
2/11-1	1735.000000	1.600000	51.000000	0.000000	water-based	9999-12-31	168	9999-12-31	2013-05-08	2732
2/11-1	2004.000000	1.650000	55.000000	0.000000	water-based	9999-12-31	168	9999-12-31	2013-05-08	2733
2/11-1	2914.000000	1.670000	50.000000	0.000000	water-based	9999-12-31	168	9999-12-31	2013-05-08	2734
2/11-1	3374.000000	1.620000	56.000000	0.000000	water-based	9999-12-31	168	9999-12-31	2013-05-08	2735
2/11-1	3700.000000	1.790000	58.000000	0.000000	water-based	9999-12-31	168	9999-12-31	2013-05-08	2736
2/11-1	3876.000000	1.550000	67.000000	0.000000	water-based	9999-12-31	168	9999-12-31	2013-05-08	2737
2/11-10 S	223.000000	1.100000	11.000000	0.000000	WATER BASED	9999-12-31	2297	9999-12-31	2013-05-08	2738
2/11-10 S	385.000000	1.220000	20.000000	0.000000	OIL BASED	9999-12-31	2297	9999-12-31	2013-05-08	2739
2/11-10 S	606.000000	1.260000	24.000000	0.000000	OIL BASED	9999-12-31	2297	9999-12-31	2013-05-08	2740
2/11-10 S	1228.000000	1.340000	29.000000	0.000000	OIL BASED	9999-12-31	2297	9999-12-31	2013-05-08	2741
2/11-10 S	1560.000000	1.370000	25.000000	0.000000	OIL BASED	9999-12-31	2297	9999-12-31	2013-05-08	2742
2/11-10 S	1587.000000	1.390000	31.000000	0.000000	OIL BASED	9999-12-31	2297	9999-12-31	2013-05-08	2743
2/11-10 S	2117.000000	1.740000	37.000000	0.000000	OIL BASED	9999-12-31	2297	9999-12-31	2013-05-08	2744
2/11-10 S	3911.000000	1.760000	36.000000	0.000000	OIL BASED	9999-12-31	2297	9999-12-31	2013-05-08	2745
2/11-10 S	3963.000000	1.760000	42.000000	0.000000	OIL BASED	9999-12-31	2297	9999-12-31	2013-05-08	2746
2/11-10 S	4022.000000	1.760000	40.000000	0.000000	OIL BASED	9999-12-31	2297	9999-12-31	2013-05-08	2747
2/11-10 S	4090.000000	1.680000	46.000000	0.000000	OIL BASED	9999-12-31	2297	9999-12-31	2013-05-08	2748
2/1-12	130.000000	0.000000	0.000000	0.000000	DUMMY	9999-12-31	3648	9999-12-31	2013-05-08	2749
2/1-12	140.000000	1.030000	0.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2750
2/1-12	340.000000	1.540000	30.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2751
2/1-12	829.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	3648	9999-12-31	2013-05-08	2752
2/1-12	950.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	3648	9999-12-31	2013-05-08	2753
2/1-12	953.000000	1.300000	17.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2754
2/1-12	1600.000000	1.390000	29.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2755
2/1-12	2200.000000	1.500000	35.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2756
2/1-12	2801.000000	1.500000	28.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2757
2/1-12	2808.000000	1.600000	27.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2758
2/1-12	2866.000000	1.600000	28.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2759
2/1-12	2903.000000	1.600000	26.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2760
2/1-12	2925.000000	1.600000	25.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2761
2/1-12	2925.000000	1.620000	27.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2762
2/1-12	2930.000000	1.550000	26.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2763
2/1-12	2944.000000	1.540000	30.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2764
2/1-12	3133.000000	1.530000	28.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2765
2/1-12	3154.000000	1.540000	25.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2766
2/1-12	3200.000000	1.540000	30.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2767
2/1-12	3321.000000	1.540000	36.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2768
2/1-12	3542.000000	1.540000	30.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2769
2/1-12	3550.000000	1.540000	30.000000	0.000000	WATER BASED MUD	9999-12-31	3648	9999-12-31	2013-05-08	2770
2/11-2	144.000000	1.080000	0.000000	0.000000	sw w gel	9999-12-31	285	9999-12-31	2013-05-08	2771
2/11-2	382.000000	1.130000	0.000000	0.000000	sw w gel	9999-12-31	285	9999-12-31	2013-05-08	2772
2/11-2	1295.000000	1.300000	0.000000	0.000000	sw w gel	9999-12-31	285	9999-12-31	2013-05-08	2773
2/11-2	2660.000000	1.800000	0.000000	0.000000	sw w gel	9999-12-31	285	9999-12-31	2013-05-08	2774
2/11-2	2806.000000	1.700000	0.000000	0.000000	sw w gel	9999-12-31	285	9999-12-31	2013-05-08	2775
2/11-3	325.000000	1.070000	0.000000	0.000000	waterbased	9999-12-31	286	9999-12-31	2013-05-08	2776
2/11-3	1021.000000	1.250000	0.000000	0.000000	waterbased	9999-12-31	286	9999-12-31	2013-05-08	2777
2/11-3	1287.000000	1.300000	0.000000	0.000000	waterbased	9999-12-31	286	9999-12-31	2013-05-08	2778
2/11-3	1715.000000	1.790000	0.000000	0.000000	waterbased	9999-12-31	286	9999-12-31	2013-05-08	2779
2/11-3	2525.000000	1.790000	0.000000	0.000000	waterbased	9999-12-31	286	9999-12-31	2013-05-08	2780
2/11-3	3051.000000	1.790000	0.000000	0.000000	waterbased	9999-12-31	286	9999-12-31	2013-05-08	2781
2/11-3 A	2446.000000	1.790000	0.000000	0.000000	waterbased	9999-12-31	287	9999-12-31	2013-05-08	2782
2/11-3 A	3288.000000	1.740000	0.000000	0.000000	waterbased	9999-12-31	287	9999-12-31	2013-05-08	2783
2/1-13 S	41.000000	1.490000	15.000000	0.000000	Kill	9999-12-31	5975	9999-12-31	2013-05-08	2784
2/1-13 S	214.000000	1.050000	3.000000	0.000000	Bentonite / SW	9999-12-31	5975	9999-12-31	2013-05-08	2785
2/1-13 S	617.000000	1.190000	10.000000	0.000000	PHB/Sea water	9999-12-31	5975	9999-12-31	2013-05-08	2786
2/1-13 S	620.000000	1.140000	11.000000	0.000000	PHB/Sea water	9999-12-31	5975	9999-12-31	2013-05-08	2787
2/1-13 S	1150.000000	1.740000	46.000000	0.000000	OB Versatec	9999-12-31	5975	9999-12-31	2013-05-08	2788
2/1-13 S	1323.000000	1.490000	33.000000	0.000000	Versatec	9999-12-31	5975	9999-12-31	2013-05-08	2789
2/1-13 S	2177.000000	1.540000	39.000000	0.000000	Versatec	9999-12-31	5975	9999-12-31	2013-05-08	2790
2/1-13 S	2416.000000	1.560000	32.000000	0.000000	Versatec	9999-12-31	5975	9999-12-31	2013-05-08	2791
2/1-13 S	2416.000000	1.560000	32.000000	0.000000	Versatec	9999-12-31	5975	9999-12-31	2013-05-08	2792
2/1-13 S	2764.000000	1.690000	48.000000	0.000000	Versatec OBM	9999-12-31	5975	9999-12-31	2013-05-08	2793
2/1-13 S	4000.000000	1.700000	48.000000	0.000000	Versatec OBM	9999-12-31	5975	9999-12-31	2013-05-08	2794
2/1-13 S	4149.000000	1.720000	48.000000	0.000000	Versatec OBM	9999-12-31	5975	9999-12-31	2013-05-08	2795
2/1-13 S	4150.000000	2.040000	50.000000	0.000000	OB WARP	9999-12-31	5975	9999-12-31	2013-05-08	2796
2/1-13 S	4274.000000	2.010000	45.000000	0.000000	OB WARP	9999-12-31	5975	9999-12-31	2013-05-08	2797
2/1-13 S	4435.000000	2.010000	48.000000	0.000000	OB WARP	9999-12-31	5975	9999-12-31	2013-05-08	2798
2/11-4	396.000000	1.520000	0.000000	0.000000	seawater	9999-12-31	96	9999-12-31	2013-05-08	2799
2/11-4	1281.000000	1.140000	0.000000	0.000000	seawater	9999-12-31	96	9999-12-31	2013-05-08	2800
2/11-4	1409.000000	1.200000	0.000000	0.000000	seawater	9999-12-31	96	9999-12-31	2013-05-08	2801
2/11-4	2556.000000	1.760000	0.000000	0.000000	water based	9999-12-31	96	9999-12-31	2013-05-08	2802
2/11-4	2753.000000	1.770000	0.000000	0.000000	oil based m	9999-12-31	96	9999-12-31	2013-05-08	2803
2/1-14 S	984.000000	1.640000	48.000000	0.000000	Invert Emulsion	9999-12-31	5995	9999-12-31	2013-05-08	2804
2/1-14 S	1252.000000	1.640000	36.000000	0.000000	Invert Emulsion	9999-12-31	5995	9999-12-31	2013-05-08	2805
2/1-14 S	2830.000000	1.640000	42.000000	0.000000	Invert Emulsion	9999-12-31	5995	9999-12-31	2013-05-08	2806
2/1-14 S	3917.000000	1.640000	40.000000	0.000000	Invert Emulsion	9999-12-31	5995	9999-12-31	2013-05-08	2807
2/1-14 S	4810.000000	1.640000	50.000000	0.000000	Invert Emulsion	9999-12-31	5995	9999-12-31	2013-05-08	2808
2/1-14 S	5005.000000	1.660000	55.000000	0.000000	Invert Emulsion	9999-12-31	5995	9999-12-31	2013-05-08	2809
2/1-14 S	5008.000000	1.540000	49.000000	0.000000	Invert Emulsion	9999-12-31	5995	9999-12-31	2013-05-08	2810
2/1-14 S	5596.000000	1.630000	44.000000	0.000000	Invert Emulsion	9999-12-31	5995	9999-12-31	2013-05-08	2811
2/1-14 S	6130.000000	1.630000	48.000000	0.000000	Invert Emulsion	9999-12-31	5995	9999-12-31	2013-05-08	2812
2/11-5	358.000000	1.040000	35.000000	0.000000	waterbased	9999-12-31	288	9999-12-31	2013-05-08	2813
2/11-5	1170.000000	1.070000	30.000000	0.000000	waterbased	9999-12-31	288	9999-12-31	2013-05-08	2814
2/11-5	1683.000000	1.590000	38.000000	0.000000	waterbased	9999-12-31	288	9999-12-31	2013-05-08	2815
2/11-5	1980.000000	1.720000	75.000000	0.000000	waterbased	9999-12-31	288	9999-12-31	2013-05-08	2816
2/11-5	2387.000000	1.750000	95.000000	0.000000	waterbased	9999-12-31	288	9999-12-31	2013-05-08	2817
2/11-5	2707.000000	1.800000	52.000000	0.000000	waterbased	9999-12-31	288	9999-12-31	2013-05-08	2818
2/11-5	2781.000000	1.740000	56.000000	0.000000	waterbased	9999-12-31	288	9999-12-31	2013-05-08	2819
2/11-6 S	130.000000	1.030000	0.000000	0.000000	waterbased	9999-12-31	289	9999-12-31	2013-05-08	2820
2/11-6 S	1125.000000	1.070000	0.000000	0.000000	waterbased	9999-12-31	289	9999-12-31	2013-05-08	2821
2/11-6 S	1325.000000	1.110000	34.000000	0.000000	waterbased	9999-12-31	289	9999-12-31	2013-05-08	2822
2/11-6 S	1475.000000	1.530000	53.000000	0.000000	waterbased	9999-12-31	289	9999-12-31	2013-05-08	2823
2/11-6 S	1565.000000	1.540000	70.000000	0.000000	waterbased	9999-12-31	289	9999-12-31	2013-05-08	2824
2/11-6 S	1850.000000	1.560000	68.000000	0.000000	waterbased	9999-12-31	289	9999-12-31	2013-05-08	2825
2/11-6 S	2260.000000	1.740000	70.000000	0.000000	waterbased	9999-12-31	289	9999-12-31	2013-05-08	2826
2/11-6 S	3900.000000	1.880000	94.000000	0.000000	waterbased	9999-12-31	289	9999-12-31	2013-05-08	2827
2/11-6 S	3920.000000	1.810000	90.000000	0.000000	waterbased	9999-12-31	289	9999-12-31	2013-05-08	2828
2/11-7	104.000000	1.030000	0.000000	0.000000	WATER BASED	1986-09-08	902	9999-12-31	2013-05-08	2829
2/11-7	152.000000	1.030000	0.000000	0.000000	WATER BASED	1986-09-04	902	9999-12-31	2013-05-08	2830
2/11-7	152.000000	1.030000	0.000000	0.000000	WATER BASED	1986-09-05	902	9999-12-31	2013-05-08	2831
2/11-7	179.000000	1.030000	0.000000	0.000000	WATER	1986-04-16	902	9999-12-31	2013-05-08	2832
2/11-7	400.000000	1.100000	0.000000	0.000000	WATER	1986-04-17	902	9999-12-31	2013-05-08	2833
2/11-7	966.000000	1.100000	0.000000	0.000000	WATER	1986-04-20	902	9999-12-31	2013-05-08	2834
2/11-7	1016.000000	1.100000	0.000000	0.000000	WATER	1986-04-20	902	9999-12-31	2013-05-08	2835
2/11-7	1016.000000	0.000000	0.000000	0.000000	WATER	1986-04-21	902	9999-12-31	2013-05-08	2836
2/11-7	1050.000000	1.500000	0.000000	0.000000	WATER	1986-04-22	902	9999-12-31	2013-05-08	2837
2/11-7	1346.000000	1.500000	0.000000	0.000000	WATER	1986-04-23	902	9999-12-31	2013-05-08	2838
2/11-7	1526.000000	1.500000	0.000000	0.000000	WATER	1986-04-24	902	9999-12-31	2013-05-08	2839
2/11-7	1753.000000	1.550000	31.000000	14.000000	WATER	1986-04-27	902	9999-12-31	2013-05-08	2840
2/11-7	2034.000000	1.600000	36.000000	15.000000	WATER	1986-04-27	902	9999-12-31	2013-05-08	2841
2/11-7	2205.000000	1.600000	37.000000	14.000000	WATER	1986-04-27	902	9999-12-31	2013-05-08	2842
2/11-7	2505.000000	1.600000	38.000000	15.000000	WATER	1986-04-28	902	9999-12-31	2013-05-08	2843
2/11-7	2588.000000	1.600000	30.000000	23.000000	WATER	1986-04-29	902	9999-12-31	2013-05-08	2844
2/11-7	2700.000000	1.600000	21.000000	13.000000	WATER	1986-05-05	902	9999-12-31	2013-05-08	2845
2/11-7	2715.000000	0.000000	22.000000	10.000000	WATER	1986-05-04	902	9999-12-31	2013-05-08	2846
2/11-7	2715.000000	0.000000	22.000000	10.000000	WATER	1986-05-05	902	9999-12-31	2013-05-08	2847
2/11-7	2715.000000	0.000000	21.000000	13.000000	WATER	1986-05-05	902	9999-12-31	2013-05-08	2848
2/11-7	2715.000000	1.600000	31.000000	12.000000	WATER	1986-05-01	902	9999-12-31	2013-05-08	2849
2/11-7	2715.000000	0.000000	30.000000	13.000000	WATER	1986-05-01	902	9999-12-31	2013-05-08	2850
2/11-7	2800.000000	1.600000	17.000000	9.000000	WATER	1986-05-06	902	9999-12-31	2013-05-08	2851
2/11-7	3000.000000	1.600000	28.000000	11.000000	WATER	1986-05-08	902	9999-12-31	2013-05-08	2852
2/11-7	3086.000000	1.600000	26.000000	12.000000	WATER	1986-05-08	902	9999-12-31	2013-05-08	2853
2/11-7	3126.000000	1.600000	30.000000	9.000000	WATER	1986-05-11	902	9999-12-31	2013-05-08	2854
2/11-7	3223.000000	1.600000	25.000000	9.000000	WATER	1986-05-11	902	9999-12-31	2013-05-08	2855
2/11-7	3308.000000	1.600000	24.000000	9.000000	WATER	1986-05-11	902	9999-12-31	2013-05-08	2856
2/11-7	3390.000000	1.950000	31.000000	7.000000	WATER BASED	1986-06-30	902	9999-12-31	2013-05-08	2857
2/11-7	3462.000000	1.600000	23.000000	10.000000	WATER	1986-05-12	902	9999-12-31	2013-05-08	2858
2/11-7	3569.000000	1.600000	24.000000	11.000000	WATER	1986-05-13	902	9999-12-31	2013-05-08	2859
2/11-7	3600.000000	1.910000	31.000000	7.000000	WATER BASED	1986-06-08	902	9999-12-31	2013-05-08	2860
2/11-7	3601.000000	1.600000	23.000000	12.000000	WATER	1986-05-14	902	9999-12-31	2013-05-08	2861
2/11-7	3640.000000	1.910000	38.000000	10.000000	WATER BASED	1986-06-04	902	9999-12-31	2013-05-08	2862
2/11-7	3654.000000	1.600000	24.000000	11.000000	WATER	1986-05-15	902	9999-12-31	2013-05-08	2863
2/11-7	3694.000000	1.650000	31.000000	14.000000	WATER	1986-05-19	902	9999-12-31	2013-05-08	2864
2/11-7	3728.000000	1.650000	29.000000	12.000000	WATER	1986-05-19	902	9999-12-31	2013-05-08	2865
2/11-7	3735.000000	1.950000	20.000000	4.000000	WATER BASED	1986-09-02	902	9999-12-31	2013-05-08	2866
2/11-7	3735.000000	1.950000	21.000000	3.000000	WATER BASED	1986-09-02	902	9999-12-31	2013-05-08	2867
2/11-7	3737.000000	1.930000	29.000000	6.000000	WATER BASED	1986-06-25	902	9999-12-31	2013-05-08	2868
2/11-7	3737.000000	1.930000	32.000000	5.000000	WATER BASED	1986-06-19	902	9999-12-31	2013-05-08	2869
2/11-7	3737.000000	1.930000	33.000000	5.000000	WATER BASED	1986-06-18	902	9999-12-31	2013-05-08	2870
2/11-7	3737.000000	1.930000	31.000000	5.000000	WATER BASED	1986-06-17	902	9999-12-31	2013-05-08	2871
2/11-7	3737.000000	1.930000	30.000000	7.000000	WATER BASED	1986-06-22	902	9999-12-31	2013-05-08	2872
2/11-7	3737.000000	1.930000	31.000000	6.000000	WATER BASED	1986-06-22	902	9999-12-31	2013-05-08	2873
2/11-7	3737.000000	1.930000	30.000000	6.000000	WATER BASED	1986-06-23	902	9999-12-31	2013-05-08	2874
2/11-7	3737.000000	1.930000	30.000000	6.000000	WATER BASED	1986-06-24	902	9999-12-31	2013-05-08	2875
2/11-7	3737.000000	1.930000	32.000000	7.000000	WATER BASED	1986-06-11	902	9999-12-31	2013-05-08	2876
2/11-7	3737.000000	1.930000	32.000000	5.000000	WATER BASED	1986-06-16	902	9999-12-31	2013-05-08	2877
2/11-7	3737.000000	1.930000	35.000000	6.000000	WATER BASED	1986-06-10	902	9999-12-31	2013-05-08	2878
2/11-7	3737.000000	1.930000	31.000000	6.000000	WATER BASED	1986-06-12	902	9999-12-31	2013-05-08	2879
2/11-7	3737.000000	1.930000	33.000000	5.000000	WATER BASED	1986-06-15	902	9999-12-31	2013-05-08	2880
2/11-7	3737.000000	1.930000	32.000000	7.000000	WATER BASED	1986-06-15	902	9999-12-31	2013-05-08	2881
2/11-7	3737.000000	1.930000	32.000000	8.000000	WATER BASED	1986-06-15	902	9999-12-31	2013-05-08	2882
2/11-7	3737.000000	1.650000	28.000000	11.000000	WATER	1986-05-19	902	9999-12-31	2013-05-08	2883
2/11-7	3737.000000	1.930000	32.000000	6.000000	WATER BASED	1986-06-26	902	9999-12-31	2013-05-08	2884
2/11-7	3737.000000	1.930000	33.000000	5.000000	WATER BASED	1986-06-22	902	9999-12-31	2013-05-08	2885
2/11-7	3741.000000	1.900000	35.000000	6.000000	WATER BASED	1986-06-01	902	9999-12-31	2013-05-08	2886
2/11-7	3741.000000	1.900000	38.000000	5.000000	WATER BASED	1986-06-01	902	9999-12-31	2013-05-08	2887
2/11-7	3746.000000	1.910000	36.000000	7.000000	WATER BASED	1986-06-02	902	9999-12-31	2013-05-08	2888
2/11-7	3750.000000	1.920000	35.000000	8.000000	WATER BASED	1986-06-08	902	9999-12-31	2013-05-08	2889
2/11-7	3750.000000	1.930000	35.000000	8.000000	WATER BASED	1986-06-09	902	9999-12-31	2013-05-08	2890
2/11-7	3750.000000	1.930000	39.000000	9.000000	WATER BASED	1986-06-08	902	9999-12-31	2013-05-08	2891
2/11-7	3766.000000	1.910000	38.000000	11.000000	WATER BASED	1986-06-05	902	9999-12-31	2013-05-08	2892
2/11-7	3766.000000	1.650000	32.000000	13.000000	WATER	1986-05-19	902	9999-12-31	2013-05-08	2893
2/11-7	3799.000000	1.780000	36.000000	12.000000	WATER BASED	1986-05-20	902	9999-12-31	2013-05-08	2894
2/11-7	3807.000000	1.900000	38.000000	15.000000	WATER BASED	1986-05-21	902	9999-12-31	2013-05-08	2895
2/11-7	3811.000000	1.880000	36.000000	12.000000	WATER BASED	1986-05-24	902	9999-12-31	2013-05-08	2896
2/11-7	3811.000000	1.910000	40.000000	5.000000	WATER BASED	1986-05-27	902	9999-12-31	2013-05-08	2897
2/11-7	3811.000000	1.880000	37.000000	11.000000	WATER BASED	1986-05-26	902	9999-12-31	2013-05-08	2898
2/11-7	3811.000000	1.900000	38.000000	11.000000	WATER BASED	1986-05-26	902	9999-12-31	2013-05-08	2899
2/11-7	3811.000000	1.910000	41.000000	11.000000	WATER BASED	1986-06-03	902	9999-12-31	2013-05-08	2900
2/11-7	3811.000000	1.910000	39.000000	5.000000	WATER BASED	1986-05-27	902	9999-12-31	2013-05-08	2901
2/11-7	3811.000000	1.910000	34.000000	6.000000	WATER BASED	1986-05-29	902	9999-12-31	2013-05-08	2902
2/11-7	3811.000000	1.900000	37.000000	8.000000	WATER BASED	1986-06-01	902	9999-12-31	2013-05-08	2903
2/11-7	3811.000000	1.910000	36.000000	6.000000	WATER BASED	1986-05-28	902	9999-12-31	2013-05-08	2904
2/11-7	3811.000000	1.880000	42.000000	7.000000	WATER BASED	1986-05-26	902	9999-12-31	2013-05-08	2905
2/11-7	3816.000000	1.950000	32.000000	6.000000	WATER BASED	1986-06-30	902	9999-12-31	2013-05-08	2906
2/11-7	3848.000000	2.020000	44.000000	9.000000	WATER BASED	1986-06-30	902	9999-12-31	2013-05-08	2907
2/11-7	3904.000000	2.050000	48.000000	9.000000	WATER BASED	1986-06-30	902	9999-12-31	2013-05-08	2908
2/11-7	3956.000000	2.070000	46.000000	8.000000	WATER BASED	1986-07-01	902	9999-12-31	2013-05-08	2909
2/11-7	3956.000000	2.100000	38.000000	7.000000	WATER BASED	1986-07-03	902	9999-12-31	2013-05-08	2910
2/11-7	3965.000000	2.100000	39.000000	7.000000	WATER BASED	1986-07-02	902	9999-12-31	2013-05-08	2911
2/11-7	3965.000000	2.100000	24.000000	7.000000	WATER BASED	1986-07-09	902	9999-12-31	2013-05-08	2912
2/11-7	3965.000000	2.100000	25.000000	6.000000	WATER BASED	1986-07-10	902	9999-12-31	2013-05-08	2913
2/11-7	3965.000000	2.100000	36.000000	7.000000	WATER BASED	1986-07-07	902	9999-12-31	2013-05-08	2914
2/11-7	3965.000000	2.100000	28.000000	6.000000	WATER BASED	1986-07-07	902	9999-12-31	2013-05-08	2915
2/11-7	3965.000000	2.100000	24.000000	6.000000	WATER BASED	1986-07-07	902	9999-12-31	2013-05-08	2916
2/11-7	3965.000000	2.100000	25.000000	6.000000	WATER BASED	1986-07-08	902	9999-12-31	2013-05-08	2917
2/11-7	3965.000000	2.100000	24.000000	6.000000	WATER BASED	1986-07-11	902	9999-12-31	2013-05-08	2918
2/11-7	3965.000000	2.100000	30.000000	6.000000	WATER BASED	1986-07-14	902	9999-12-31	2013-05-08	2919
2/11-7	3965.000000	2.100000	25.000000	6.000000	WATER BASED	1986-07-14	902	9999-12-31	2013-05-08	2920
2/11-7	3965.000000	2.100000	24.000000	6.000000	WATER BASED	1986-07-14	902	9999-12-31	2013-05-08	2921
2/11-7	3965.000000	2.100000	26.000000	6.000000	WATER BASED	1986-07-15	902	9999-12-31	2013-05-08	2922
2/11-7	3965.000000	2.100000	21.000000	6.000000	WATER BASED	1986-07-16	902	9999-12-31	2013-05-08	2923
2/11-7	3968.000000	2.140000	22.000000	4.000000	WATER BASED	1986-07-17	902	9999-12-31	2013-05-08	2924
2/11-7	3968.000000	2.140000	23.000000	4.000000	WATER BASED	1986-07-18	902	9999-12-31	2013-05-08	2925
2/11-7	3980.000000	2.120000	21.000000	3.000000	WATER BASED	1986-07-21	902	9999-12-31	2013-05-08	2926
2/11-7	3983.000000	2.120000	21.000000	3.000000	WATER BASED	1986-07-21	902	9999-12-31	2013-05-08	2927
2/11-7	4006.000000	2.090000	20.000000	3.000000	WATER BASED	1986-07-21	902	9999-12-31	2013-05-08	2928
2/11-7	4062.000000	2.090000	25.000000	5.000000	WATER BASED	1986-07-23	902	9999-12-31	2013-05-08	2929
2/11-7	4088.000000	2.090000	41.000000	7.000000	WATER BASED	1986-07-24	902	9999-12-31	2013-05-08	2930
2/11-7	4088.000000	2.090000	40.000000	8.000000	WATER BASED	1986-07-25	902	9999-12-31	2013-05-08	2931
2/11-7	4088.000000	2.090000	30.000000	5.000000	WATER BASED	1986-07-28	902	9999-12-31	2013-05-08	2932
2/11-7	4088.000000	2.090000	34.000000	7.000000	WATER BASED	1986-07-23	902	9999-12-31	2013-05-08	2933
2/11-7	4088.000000	2.090000	36.000000	7.000000	WATER BASED	1986-07-28	902	9999-12-31	2013-05-08	2934
2/11-7	4088.000000	2.090000	34.000000	5.000000	WATER BASED	1986-07-28	902	9999-12-31	2013-05-08	2935
2/11-7	4088.000000	2.090000	30.000000	5.000000	WATER BASED	1986-07-29	902	9999-12-31	2013-05-08	2936
2/11-7	4088.000000	2.090000	26.000000	5.000000	WATER BASED	1986-07-30	902	9999-12-31	2013-05-08	2937
2/11-7	4091.000000	2.090000	29.000000	3.000000	WATER BASED	1986-07-31	902	9999-12-31	2013-05-08	2938
2/11-7	4133.000000	2.090000	26.000000	3.000000	WATER BASED	1986-08-01	902	9999-12-31	2013-05-08	2939
2/11-7	4234.000000	2.090000	25.000000	4.000000	WATER BASED	1986-08-04	902	9999-12-31	2013-05-08	2940
2/11-7	4304.000000	2.090000	27.000000	4.000000	WATER BASED	1986-08-04	902	9999-12-31	2013-05-08	2941
2/11-7	4397.000000	2.100000	26.000000	4.000000	WATER BASED	1986-08-04	902	9999-12-31	2013-05-08	2942
2/11-7	4484.000000	2.120000	29.000000	4.000000	WATER BASED	1986-08-05	902	9999-12-31	2013-05-08	2943
2/11-7	4567.000000	2.120000	29.000000	4.000000	WATER BASED	1986-08-06	902	9999-12-31	2013-05-08	2944
2/11-7	4623.000000	2.120000	29.000000	4.000000	WATER BASED	1986-08-07	902	9999-12-31	2013-05-08	2945
2/11-7	4647.000000	2.120000	29.000000	4.000000	WATER BASED	1986-08-08	902	9999-12-31	2013-05-08	2946
2/11-7	4660.000000	2.120000	29.000000	4.000000	WATER BASED	1986-08-10	902	9999-12-31	2013-05-08	2947
2/11-7	4660.000000	2.100000	29.000000	5.000000	WATER BASED	1986-08-10	902	9999-12-31	2013-05-08	2948
2/11-7	4744.000000	2.100000	28.000000	5.000000	WATER BASED	1986-08-10	902	9999-12-31	2013-05-08	2949
2/11-7	4828.000000	2.100000	29.000000	5.000000	WATER BASED	1986-08-11	902	9999-12-31	2013-05-08	2950
2/11-7	4897.000000	2.110000	30.000000	5.000000	WATER BASED	1986-08-13	902	9999-12-31	2013-05-08	2951
2/11-7	4951.000000	2.120000	34.000000	5.000000	WATER BASED	1986-08-13	902	9999-12-31	2013-05-08	2952
2/11-7	5011.000000	2.120000	29.000000	4.000000	WATER BASED	1986-08-14	902	9999-12-31	2013-05-08	2953
2/11-7	5042.000000	2.130000	31.000000	5.000000	WATER BASED	1986-08-17	902	9999-12-31	2013-05-08	2954
2/11-7	5042.000000	2.130000	26.000000	4.000000	WATER BASED	1986-08-17	902	9999-12-31	2013-05-08	2955
2/11-7	5042.000000	2.130000	24.000000	4.000000	WATER BASED	1986-08-17	902	9999-12-31	2013-05-08	2956
2/11-7	5042.000000	2.130000	27.000000	5.000000	WATER BASED	1986-08-18	902	9999-12-31	2013-05-08	2957
2/11-7	5042.000000	2.130000	27.000000	4.000000	WATER BASED	1986-08-20	902	9999-12-31	2013-05-08	2958
2/11-7	5042.000000	2.130000	29.000000	5.000000	WATER BASED	1986-08-21	902	9999-12-31	2013-05-08	2959
2/11-7	5042.000000	2.140000	26.000000	5.000000	WATER BASED	1986-09-02	902	9999-12-31	2013-05-08	2960
2/11-7	5042.000000	2.130000	27.000000	4.000000	WATER BASED	1986-08-24	902	9999-12-31	2013-05-08	2961
2/11-7	5042.000000	2.130000	33.000000	6.000000	WATER BASED	1986-08-24	902	9999-12-31	2013-05-08	2962
2/11-7	5042.000000	2.140000	28.000000	7.000000	WATER BASED	1986-08-25	902	9999-12-31	2013-05-08	2963
2/11-7	5042.000000	2.140000	26.000000	6.000000	WATER BASED	1986-08-26	902	9999-12-31	2013-05-08	2964
2/11-7	5042.000000	2.140000	29.000000	6.000000	WATER BASED	1986-08-28	902	9999-12-31	2013-05-08	2965
2/11-7	5042.000000	2.140000	24.000000	5.000000	WATER BASED	1986-08-29	902	9999-12-31	2013-05-08	2966
2/11-7	5042.000000	2.130000	26.000000	5.000000	WATER BASED	1986-08-19	902	9999-12-31	2013-05-08	2967
2/11-7	5042.000000	2.130000	27.000000	5.000000	WATER BASED	1986-08-24	902	9999-12-31	2013-05-08	2968
2/11-8	140.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2969
2/11-8	174.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2970
2/11-8	216.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2971
2/11-8	750.000000	1.600000	19.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2972
2/11-8	755.000000	1.080000	0.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2973
2/11-8	1015.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2974
2/11-8	1018.000000	1.600000	27.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2975
2/11-8	1376.000000	1.600000	25.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2976
2/11-8	1984.000000	1.600000	39.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2977
2/11-8	2235.000000	1.700000	17.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2978
2/11-8	2259.000000	1.600000	35.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2979
2/11-8	2515.000000	1.600000	27.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2980
2/11-8	2737.000000	1.520000	24.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2981
2/11-8	2958.000000	1.520000	26.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2982
2/11-8	3009.000000	1.520000	23.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2983
2/11-8	3068.000000	1.520000	20.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2984
2/11-8	3080.000000	1.520000	24.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2985
2/11-8	3140.000000	1.510000	24.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2986
2/11-8	3230.000000	1.450000	23.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2987
2/11-8	3245.000000	1.450000	22.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2988
2/11-8	3313.000000	1.450000	22.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2989
2/11-8	3320.000000	1.450000	24.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2990
2/11-8	3484.000000	1.450000	24.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2991
2/11-8	3633.000000	1.450000	21.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2992
2/11-8	3650.000000	1.450000	18.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2993
2/11-8	3687.000000	1.450000	19.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2994
2/11-8	3717.000000	1.500000	19.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2995
2/11-8	3723.000000	1.600000	20.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2996
2/11-8	3748.000000	1.600000	17.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2997
2/11-8	3766.000000	1.600000	20.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2998
2/11-8	3767.000000	1.620000	20.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	2999
2/11-8	3819.000000	1.610000	20.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3000
2/11-8	3850.000000	1.600000	20.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3001
2/11-8	3852.000000	1.610000	18.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3002
2/11-8	3884.000000	1.600000	18.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3003
2/11-8	3886.000000	1.600000	19.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3004
2/11-8	3908.000000	1.600000	17.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3005
2/11-8	3972.000000	1.600000	16.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3006
2/11-8	3985.000000	1.600000	16.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3007
2/11-8	4037.000000	1.600000	16.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3008
2/11-8	4085.000000	1.700000	16.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3009
2/11-8	4088.000000	1.600000	16.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3010
2/11-8	4163.000000	1.700000	18.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3011
2/11-8	4170.000000	1.700000	17.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3012
2/11-8	4187.000000	1.700000	19.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3013
2/11-8	4251.000000	1.700000	15.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3014
2/11-8	4276.000000	1.710000	18.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3015
2/11-8	4305.000000	1.700000	17.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3016
2/11-8	4353.000000	1.700000	17.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3017
2/11-8	4353.000000	1.700000	17.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3018
2/11-8	4441.000000	1.800000	18.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3019
2/11-8	4584.000000	1.890000	17.000000	0.000000	WATER BASED	9999-12-31	1715	9999-12-31	2013-05-08	3020
2/11-9	1.000000	1.790000	32.000000	9.600000	WATER BASED	1993-11-23	2153	9999-12-31	2013-05-08	3021
2/11-9	1.000000	1.700000	25.000000	9.100000	WATER BASED	1993-10-12	2153	9999-12-31	2013-05-08	3022
2/11-9	1.000000	1.690000	19.000000	8.600000	WATER BASED	1993-10-15	2153	9999-12-31	2013-05-08	3023
2/11-9	1.000000	1.620000	17.000000	4.300000	WATER BASED	1993-08-09	2153	9999-12-31	2013-05-08	3024
2/11-9	1.000000	1.620000	18.000000	4.800000	WATER BASED	1993-08-10	2153	9999-12-31	2013-05-08	3025
2/11-9	1.000000	1.700000	36.000000	9.100000	DUMMY	1993-10-06	2153	9999-12-31	2013-05-08	3026
2/11-9	1.000000	1.700000	31.000000	8.600000	WATER BASED	1993-10-08	2153	9999-12-31	2013-05-08	3027
2/11-9	1.000000	1.700000	29.000000	9.100000	WATER BASED	1993-10-11	2153	9999-12-31	2013-05-08	3028
2/11-9	1.000000	1.700000	24.000000	9.600000	WATER BASED	1993-10-11	2153	9999-12-31	2013-05-08	3029
2/11-9	1.000000	1.700000	19.000000	12.000000	WATER BASED	1993-10-13	2153	9999-12-31	2013-05-08	3030
2/11-9	1.000000	1.700000	17.000000	7.700000	WATER BASED	1993-10-18	2153	9999-12-31	2013-05-08	3031
2/11-9	1.000000	1.700000	19.000000	8.100000	WATER BASED	1993-10-18	2153	9999-12-31	2013-05-08	3032
2/11-9	1.000000	1.700000	21.000000	9.100000	WATER BASED	1993-10-19	2153	9999-12-31	2013-05-08	3033
2/11-9	1.000000	1.690000	21.000000	9.600000	WATER BASED	1993-10-14	2153	9999-12-31	2013-05-08	3034
2/11-9	1.000000	1.700000	32.000000	10.100000	WATER BASED	1993-11-08	2153	9999-12-31	2013-05-08	3035
2/11-9	1.000000	1.700000	26.000000	9.100000	WATER BASED	1993-11-10	2153	9999-12-31	2013-05-08	3036
2/11-9	1.000000	1.700000	25.000000	9.600000	WATER BASED	1993-11-11	2153	9999-12-31	2013-05-08	3037
2/11-9	1.000000	1.700000	28.000000	11.500000	WATER BASED	1993-11-12	2153	9999-12-31	2013-05-08	3038
2/11-9	1.000000	1.700000	27.000000	11.500000	WATER BASED	1993-11-15	2153	9999-12-31	2013-05-08	3039
2/11-9	1.000000	1.700000	27.000000	12.000000	WATER BASED	1993-11-15	2153	9999-12-31	2013-05-08	3040
2/11-9	121.000000	1.050000	0.000000	0.000000	DUMMY	1993-07-26	2153	9999-12-31	2013-05-08	3041
2/11-9	194.000000	1.050000	0.000000	0.000000	DUMMY	1993-07-26	2153	9999-12-31	2013-05-08	3042
2/11-9	194.000000	1.050000	0.000000	0.000000	DUMMY	1993-07-28	2153	9999-12-31	2013-05-08	3043
2/11-9	197.000000	1.050000	0.000000	0.000000	DUMMY	1993-07-28	2153	9999-12-31	2013-05-08	3044
2/11-9	277.000000	1.100000	4.000000	14.400000	WATER BASED	1993-08-02	2153	9999-12-31	2013-05-08	3045
2/11-9	345.000000	1.050000	4.000000	4.800000	DUMMY	1993-08-02	2153	9999-12-31	2013-05-08	3046
2/11-9	493.000000	1.080000	6.000000	9.600000	WATER BASED	1993-08-02	2153	9999-12-31	2013-05-08	3047
2/11-9	610.000000	1.110000	5.000000	10.500000	WATER BASED	1993-08-02	2153	9999-12-31	2013-05-08	3048
2/11-9	682.000000	1.780000	28.000000	5.300000	WATER BASED	1993-12-20	2153	9999-12-31	2013-05-08	3049
2/11-9	920.000000	1.090000	5.000000	13.400000	WATER BASED	1993-08-02	2153	9999-12-31	2013-05-08	3050
2/11-9	982.000000	1.110000	2.000000	6.200000	WATER BASED	1993-08-03	2153	9999-12-31	2013-05-08	3051
2/11-9	1008.000000	1.110000	4.000000	7.700000	WATER BASED	1993-08-04	2153	9999-12-31	2013-05-08	3052
2/11-9	1008.000000	1.130000	5.000000	7.700000	WATER BASED	1993-08-06	2153	9999-12-31	2013-05-08	3053
2/11-9	1008.000000	1.620000	16.000000	4.800000	WATER BASED	1993-08-09	2153	9999-12-31	2013-05-08	3054
2/11-9	1008.000000	1.130000	5.000000	8.600000	WATER BASED	1993-08-05	2153	9999-12-31	2013-05-08	3055
2/11-9	1011.000000	1.620000	17.000000	4.800000	WATER BASED	1993-08-09	2153	9999-12-31	2013-05-08	3056
2/11-9	1014.000000	1.620000	18.000000	3.800000	WATER BASED	1993-08-12	2153	9999-12-31	2013-05-08	3057
2/11-9	1285.000000	1.620000	25.000000	10.100000	WATER BASED	1993-08-12	2153	9999-12-31	2013-05-08	3058
2/11-9	1612.000000	1.620000	22.000000	10.100000	WATER BASED	1993-08-13	2153	9999-12-31	2013-05-08	3059
2/11-9	1698.000000	1.620000	29.000000	11.000000	WATER BASED	1993-08-16	2153	9999-12-31	2013-05-08	3060
2/11-9	1698.000000	1.650000	30.000000	11.500000	WATER BASED	1993-08-20	2153	9999-12-31	2013-05-08	3061
2/11-9	1698.000000	1.620000	29.000000	10.500000	WATER BASED	1993-08-16	2153	9999-12-31	2013-05-08	3062
2/11-9	1698.000000	1.630000	22.000000	6.700000	WATER BASED	1993-08-16	2153	9999-12-31	2013-05-08	3063
2/11-9	1698.000000	1.610000	22.000000	6.700000	WATER BASED	1993-08-18	2153	9999-12-31	2013-05-08	3064
2/11-9	1698.000000	1.620000	22.000000	7.200000	WATER BASED	1993-08-18	2153	9999-12-31	2013-05-08	3065
2/11-9	1698.000000	1.650000	27.000000	7.700000	WATER BASED	1993-08-19	2153	9999-12-31	2013-05-08	3066
2/11-9	1877.000000	1.650000	26.000000	7.700000	WATER BASED	1993-08-23	2153	9999-12-31	2013-05-08	3067
2/11-9	1933.000000	1.650000	27.000000	7.200000	WATER BASED	1993-08-23	2153	9999-12-31	2013-05-08	3068
2/11-9	1976.000000	1.860000	23.000000	10.500000	WATER BASED	1993-10-21	2153	9999-12-31	2013-05-08	3069
2/11-9	2256.000000	1.650000	25.000000	7.200000	WATER BASED	1993-08-23	2153	9999-12-31	2013-05-08	3070
2/11-9	2358.000000	1.790000	32.000000	6.700000	WATER BASED	1993-12-20	2153	9999-12-31	2013-05-08	3071
2/11-9	2395.000000	1.650000	25.000000	7.700000	WATER BASED	1993-08-24	2153	9999-12-31	2013-05-08	3072
2/11-9	2405.000000	1.700000	18.000000	7.200000	WATER BASED	1993-10-22	2153	9999-12-31	2013-05-08	3073
2/11-9	2405.000000	1.860000	26.000000	12.000000	WATER BASED	1993-10-20	2153	9999-12-31	2013-05-08	3074
2/11-9	2452.000000	1.790000	31.000000	6.700000	WATER BASED	1993-12-20	2153	9999-12-31	2013-05-08	3075
2/11-9	2714.000000	1.670000	29.000000	7.700000	WATER BASED	1993-08-25	2153	9999-12-31	2013-05-08	3076
2/11-9	2890.000000	1.670000	26.000000	7.200000	WATER BASED	1993-08-26	2153	9999-12-31	2013-05-08	3077
2/11-9	2906.000000	1.790000	31.000000	8.100000	WATER BASED	1993-12-20	2153	9999-12-31	2013-05-08	3078
2/11-9	2997.000000	1.670000	26.000000	7.700000	WATER BASED	1993-08-30	2153	9999-12-31	2013-05-08	3079
2/11-9	2997.000000	1.670000	31.000000	7.200000	WATER BASED	1993-08-30	2153	9999-12-31	2013-05-08	3080
2/11-9	2997.000000	1.670000	28.000000	6.700000	WATER BASED	1993-08-30	2153	9999-12-31	2013-05-08	3081
2/11-9	2997.000000	1.670000	31.000000	7.200000	WATER BASED	1993-08-31	2153	9999-12-31	2013-05-08	3082
2/11-9	2997.000000	1.670000	32.000000	5.700000	WATER BASED	1993-09-03	2153	9999-12-31	2013-05-08	3083
2/11-9	2997.000000	1.670000	28.000000	7.200000	WATER BASED	1993-09-01	2153	9999-12-31	2013-05-08	3084
2/11-9	2997.000000	1.670000	32.000000	4.800000	WATER BASED	1993-09-06	2153	9999-12-31	2013-05-08	3085
2/11-9	2997.000000	1.670000	29.000000	7.200000	WATER BASED	1993-09-06	2153	9999-12-31	2013-05-08	3086
2/11-9	2997.000000	1.670000	31.000000	6.200000	WATER BASED	1993-09-06	2153	9999-12-31	2013-05-08	3087
2/11-9	2997.000000	1.670000	32.000000	5.700000	WATER BASED	1993-09-02	2153	9999-12-31	2013-05-08	3088
2/11-9	2997.000000	1.670000	25.000000	7.200000	WATER BASED	1993-08-27	2153	9999-12-31	2013-05-08	3089
2/11-9	3038.000000	1.680000	29.000000	6.700000	WATER BASED	1993-09-08	2153	9999-12-31	2013-05-08	3090
2/11-9	3038.000000	1.690000	30.000000	7.700000	WATER BASED	1993-09-07	2153	9999-12-31	2013-05-08	3091
2/11-9	3048.000000	1.680000	25.000000	7.200000	WATER BASED	1993-09-09	2153	9999-12-31	2013-05-08	3092
2/11-9	3055.000000	1.680000	25.000000	7.200000	WATER BASED	1993-09-10	2153	9999-12-31	2013-05-08	3093
2/11-9	3058.000000	1.680000	28.000000	7.200000	WATER BASED	1993-09-13	2153	9999-12-31	2013-05-08	3094
2/11-9	3060.000000	1.680000	26.000000	7.200000	WATER BASED	1993-09-13	2153	9999-12-31	2013-05-08	3095
2/11-9	3070.000000	1.680000	27.000000	7.200000	WATER BASED	1993-09-13	2153	9999-12-31	2013-05-08	3096
2/11-9	3096.000000	1.680000	23.000000	7.700000	WATER BASED	1993-09-14	2153	9999-12-31	2013-05-08	3097
2/11-9	3181.000000	1.700000	37.000000	8.600000	WATER BASED	1993-10-05	2153	9999-12-31	2013-05-08	3098
2/11-9	3215.000000	1.700000	23.000000	9.600000	WATER BASED	1993-09-15	2153	9999-12-31	2013-05-08	3099
2/11-9	3264.000000	1.700000	28.000000	8.100000	WATER BASED	1993-11-01	2153	9999-12-31	2013-05-08	3100
2/11-9	3293.000000	1.700000	29.000000	10.100000	WATER BASED	1993-11-02	2153	9999-12-31	2013-05-08	3101
2/11-9	3295.000000	1.700000	36.000000	7.200000	WATER BASED	1993-11-03	2153	9999-12-31	2013-05-08	3102
2/11-9	3306.000000	1.700000	27.000000	7.700000	WATER BASED	1993-11-04	2153	9999-12-31	2013-05-08	3103
2/11-9	3320.000000	1.700000	29.000000	10.100000	WATER BASED	1993-10-27	2153	9999-12-31	2013-05-08	3104
2/11-9	3320.000000	1.700000	31.000000	8.600000	WATER BASED	1993-11-01	2153	9999-12-31	2013-05-08	3105
2/11-9	3322.000000	1.690000	28.000000	9.600000	WATER BASED	1993-09-16	2153	9999-12-31	2013-05-08	3106
2/11-9	3349.000000	1.700000	37.000000	9.100000	WATER BASED	1993-10-07	2153	9999-12-31	2013-05-08	3107
2/11-9	3350.000000	1.700000	31.000000	8.100000	WATER BASED	1993-10-11	2153	9999-12-31	2013-05-08	3108
2/11-9	3352.000000	1.700000	23.000000	8.600000	WATER BASED	1993-11-08	2153	9999-12-31	2013-05-08	3109
2/11-9	3389.000000	1.700000	25.000000	12.900000	WATER BASED	1993-10-25	2153	9999-12-31	2013-05-08	3110
2/11-9	3390.000000	1.700000	24.000000	10.500000	WATER BASED	1993-10-25	2153	9999-12-31	2013-05-08	3111
2/11-9	3399.000000	1.700000	26.000000	12.400000	WATER BASED	1993-10-25	2153	9999-12-31	2013-05-08	3112
2/11-9	3400.000000	1.790000	31.000000	7.200000	WATER BASED	1993-12-20	2153	9999-12-31	2013-05-08	3113
2/11-9	3433.000000	1.690000	35.000000	11.000000	WATER BASED	1993-09-17	2153	9999-12-31	2013-05-08	3114
2/11-9	3434.000000	1.700000	24.000000	9.600000	WATER BASED	1993-10-28	2153	9999-12-31	2013-05-08	3115
2/11-9	3445.000000	1.700000	27.000000	10.100000	WATER BASED	1993-11-08	2153	9999-12-31	2013-05-08	3116
2/11-9	3446.000000	1.680000	29.000000	11.500000	WATER BASED	1993-09-20	2153	9999-12-31	2013-05-08	3117
2/11-9	3451.000000	1.700000	29.000000	9.600000	WATER BASED	1993-11-08	2153	9999-12-31	2013-05-08	3118
2/11-9	3452.000000	1.680000	28.000000	10.100000	WATER BASED	1993-09-20	2153	9999-12-31	2013-05-08	3119
2/11-9	3457.000000	1.700000	26.000000	8.600000	WATER BASED	1993-11-01	2153	9999-12-31	2013-05-08	3120
2/11-9	3468.000000	1.680000	29.000000	10.100000	WATER BASED	1993-09-20	2153	9999-12-31	2013-05-08	3121
2/11-9	3470.000000	1.700000	28.000000	11.500000	WATER BASED	1993-10-26	2153	9999-12-31	2013-05-08	3122
2/11-9	3499.000000	1.700000	30.000000	9.100000	WATER BASED	1993-11-01	2153	9999-12-31	2013-05-08	3123
2/11-9	3499.000000	1.680000	28.000000	9.600000	WATER BASED	1993-09-21	2153	9999-12-31	2013-05-08	3124
2/11-9	3503.000000	1.700000	29.000000	9.600000	WATER BASED	1993-11-09	2153	9999-12-31	2013-05-08	3125
2/11-9	3507.000000	1.690000	24.000000	9.100000	WATER BASED	1993-09-23	2153	9999-12-31	2013-05-08	3126
2/11-9	3529.000000	1.700000	28.000000	11.500000	WATER BASED	1993-11-15	2153	9999-12-31	2013-05-08	3127
2/11-9	3533.000000	1.700000	36.000000	10.100000	WATER BASED	1993-10-04	2153	9999-12-31	2013-05-08	3128
2/11-9	3572.000000	1.700000	24.000000	11.500000	WATER BASED	1993-11-16	2153	9999-12-31	2013-05-08	3129
2/11-9	3576.000000	1.700000	31.000000	12.000000	WATER BASED	1993-11-17	2153	9999-12-31	2013-05-08	3130
2/11-9	3588.000000	1.690000	31.000000	9.600000	WATER BASED	1993-09-23	2153	9999-12-31	2013-05-08	3131
2/11-9	3588.000000	1.690000	31.000000	9.600000	WATER BASED	1993-09-23	2153	9999-12-31	2013-05-08	3132
2/11-9	3588.000000	1.690000	31.000000	9.600000	WATER BASED	1993-09-23	2153	9999-12-31	2013-05-08	3133
2/11-9	3588.000000	1.690000	31.000000	9.600000	WATER BASED	1993-09-23	2153	9999-12-31	2013-05-08	3134
2/11-9	3671.000000	1.690000	26.000000	7.700000	WATER BASED	1993-09-24	2153	9999-12-31	2013-05-08	3135
2/11-9	3671.000000	1.690000	26.000000	7.700000	WATER BASED	1993-09-24	2153	9999-12-31	2013-05-08	3136
2/11-9	3681.000000	1.680000	30.000000	8.100000	WATER BASED	1993-09-27	2153	9999-12-31	2013-05-08	3137
2/11-9	3692.000000	1.700000	26.000000	12.400000	WATER BASED	1993-11-18	2153	9999-12-31	2013-05-08	3138
2/11-9	3701.000000	1.690000	25.000000	8.100000	WATER BASED	1993-09-27	2153	9999-12-31	2013-05-08	3139
2/11-9	3713.000000	1.690000	27.000000	7.200000	WATER BASED	1993-09-27	2153	9999-12-31	2013-05-08	3140
2/11-9	3759.000000	1.740000	36.000000	12.000000	WATER BASED	1993-10-04	2153	9999-12-31	2013-05-08	3141
2/11-9	3761.000000	1.700000	34.000000	9.600000	DUMMY	1993-10-04	2153	9999-12-31	2013-05-08	3142
2/11-9	3778.000000	1.700000	33.000000	8.600000	WATER BASED	1993-09-28	2153	9999-12-31	2013-05-08	3143
2/11-9	3785.000000	1.800000	29.000000	11.000000	WATER BASED	1993-11-24	2153	9999-12-31	2013-05-08	3144
2/11-9	3800.000000	1.700000	29.000000	11.000000	WATER BASED	1993-11-19	2153	9999-12-31	2013-05-08	3145
2/11-9	3816.000000	1.700000	33.000000	8.600000	WATER BASED	1993-09-29	2153	9999-12-31	2013-05-08	3146
2/11-9	3816.000000	1.700000	33.000000	8.600000	WATER BASED	1993-09-30	2153	9999-12-31	2013-05-08	3147
2/11-9	3816.000000	1.700000	33.000000	9.600000	DUMMY	1993-10-04	2153	9999-12-31	2013-05-08	3148
2/11-9	3847.000000	1.750000	28.000000	10.100000	WATER BASED	1993-11-22	2153	9999-12-31	2013-05-08	3149
2/11-9	3950.000000	1.750000	29.000000	10.500000	WATER BASED	1993-11-22	2153	9999-12-31	2013-05-08	3150
2/11-9	3976.000000	1.790000	33.000000	10.100000	WATER BASED	1993-11-22	2153	9999-12-31	2013-05-08	3151
2/11-9	4023.000000	1.790000	34.000000	10.500000	WATER BASED	1993-11-25	2153	9999-12-31	2013-05-08	3152
2/11-9	4064.000000	1.790000	35.000000	8.100000	WATER BASED	1993-11-26	2153	9999-12-31	2013-05-08	3153
2/11-9	4102.000000	1.790000	36.000000	8.600000	WATER BASED	1993-11-29	2153	9999-12-31	2013-05-08	3154
2/11-9	4102.000000	1.790000	38.000000	8.600000	WATER BASED	1993-11-29	2153	9999-12-31	2013-05-08	3155
2/11-9	4145.000000	1.790000	31.000000	8.600000	WATER BASED	1993-11-29	2153	9999-12-31	2013-05-08	3156
2/11-9	4194.000000	1.790000	35.000000	7.700000	WATER BASED	1993-11-30	2153	9999-12-31	2013-05-08	3157
2/11-9	4210.000000	1.800000	37.000000	7.700000	WATER BASED	1993-12-01	2153	9999-12-31	2013-05-08	3158
2/11-9	4223.000000	1.790000	35.000000	7.200000	WATER BASED	1993-12-02	2153	9999-12-31	2013-05-08	3159
2/11-9	4224.000000	1.790000	32.000000	7.200000	WATER BASED	1993-12-03	2153	9999-12-31	2013-05-08	3160
2/11-9	4228.000000	1.790000	32.000000	7.700000	WATER BASED	1993-12-06	2153	9999-12-31	2013-05-08	3161
2/11-9	4255.000000	1.790000	30.000000	6.700000	WATER BASED	1993-12-06	2153	9999-12-31	2013-05-08	3162
2/11-9	4255.000000	1.790000	28.000000	6.700000	WATER BASED	1993-12-06	2153	9999-12-31	2013-05-08	3163
2/11-9	4293.000000	1.790000	30.000000	6.200000	WATER BASED	1993-12-07	2153	9999-12-31	2013-05-08	3164
2/11-9	4335.000000	1.790000	34.000000	7.700000	WATER BASED	1993-12-09	2153	9999-12-31	2013-05-08	3165
2/11-9	4375.000000	1.790000	32.000000	8.600000	WATER BASED	1993-12-09	2153	9999-12-31	2013-05-08	3166
2/11-9	4406.000000	1.790000	32.000000	6.700000	WATER BASED	1993-12-14	2153	9999-12-31	2013-05-08	3167
2/11-9	4406.000000	1.790000	36.000000	9.100000	WATER BASED	1993-12-13	2153	9999-12-31	2013-05-08	3168
2/11-9	4406.000000	1.790000	32.000000	6.700000	WATER BASED	1993-12-13	2153	9999-12-31	2013-05-08	3169
2/11-9	4406.000000	1.790000	31.000000	8.100000	WATER BASED	1993-12-13	2153	9999-12-31	2013-05-08	3170
2/11-9	4406.000000	1.790000	35.000000	8.100000	WATER BASED	1993-12-13	2153	9999-12-31	2013-05-08	3171
2/11-9	4406.000000	1.790000	33.000000	6.700000	WATER BASED	1993-12-15	2153	9999-12-31	2013-05-08	3172
2/1-2	174.000000	0.000000	0.000000	0.000000	sea water	9999-12-31	250	9999-12-31	2013-05-08	3173
2/1-2	310.000000	0.000000	0.000000	0.000000	spud mud	9999-12-31	250	9999-12-31	2013-05-08	3174
2/1-2	774.000000	1.400000	43.000000	0.000000	waterbased	9999-12-31	250	9999-12-31	2013-05-08	3175
2/1-2	1303.000000	1.410000	43.000000	0.000000	waterbased	9999-12-31	250	9999-12-31	2013-05-08	3176
2/1-2	2104.000000	1.500000	52.000000	0.000000	waterbased	9999-12-31	250	9999-12-31	2013-05-08	3177
2/1-2	2482.000000	1.490000	49.000000	0.000000	waterbased	9999-12-31	250	9999-12-31	2013-05-08	3178
2/1-2	2672.000000	1.480000	49.000000	0.000000	waterbased	9999-12-31	250	9999-12-31	2013-05-08	3179
2/1-2	2853.000000	1.520000	50.000000	0.000000	waterbased	9999-12-31	250	9999-12-31	2013-05-08	3180
2/1-2	3277.000000	1.490000	52.000000	0.000000	waterbased	9999-12-31	250	9999-12-31	2013-05-08	3181
2/1-2	3550.000000	1.560000	48.000000	0.000000	waterbased	9999-12-31	250	9999-12-31	2013-05-08	3182
2/12-1	123.000000	1.030000	21.000000	5.000000	WATER BASED	1987-03-12	1014	9999-12-31	2013-05-08	3183
2/12-1	178.000000	1.250000	0.000000	0.000000	WATER	1986-10-14	1014	9999-12-31	2013-05-08	3184
2/12-1	319.000000	1.050000	0.000000	0.000000	WATER	1986-10-16	1014	9999-12-31	2013-05-08	3185
2/12-1	895.000000	1.820000	21.000000	5.000000	WATER	1987-03-10	1014	9999-12-31	2013-05-08	3186
2/12-1	895.000000	1.820000	21.000000	5.000000	WATER BASED	1987-03-11	1014	9999-12-31	2013-05-08	3187
2/12-1	944.000000	1.050000	0.000000	0.000000	WATER	1986-10-17	1014	9999-12-31	2013-05-08	3188
2/12-1	1015.000000	0.000000	10.000000	6.000000	WATER	1986-10-20	1014	9999-12-31	2013-05-08	3189
2/12-1	1015.000000	1.030000	0.000000	0.000000	WATER	1986-10-20	1014	9999-12-31	2013-05-08	3190
2/12-1	1015.000000	0.000000	6.000000	9.000000	WATER	1986-10-20	1014	9999-12-31	2013-05-08	3191
2/12-1	1015.000000	0.000000	6.000000	9.000000	WATER	1986-10-21	1014	9999-12-31	2013-05-08	3192
2/12-1	1348.000000	1.210000	26.000000	12.000000	WATER	1986-10-22	1014	9999-12-31	2013-05-08	3193
2/12-1	1598.000000	1.600000	29.000000	17.000000	WATER	1986-10-23	1014	9999-12-31	2013-05-08	3194
2/12-1	1905.000000	1.600000	40.000000	13.000000	WATER	1986-10-26	1014	9999-12-31	2013-05-08	3195
2/12-1	2000.000000	1.600000	49.000000	17.000000	WATER	1986-10-26	1014	9999-12-31	2013-05-08	3196
2/12-1	2247.000000	1.600000	43.000000	17.000000	WATER	1986-10-26	1014	9999-12-31	2013-05-08	3197
2/12-1	2257.000000	1.600000	38.000000	17.000000	WATER	1986-10-27	1014	9999-12-31	2013-05-08	3198
2/12-1	2387.000000	1.600000	40.000000	16.000000	WATER	1986-10-28	1014	9999-12-31	2013-05-08	3199
2/12-1	2448.000000	1.600000	38.000000	16.000000	WATER	1986-10-29	1014	9999-12-31	2013-05-08	3200
2/12-1	2515.000000	1.600000	38.000000	16.000000	WATER	1986-10-30	1014	9999-12-31	2013-05-08	3201
2/12-1	2515.000000	1.600000	40.000000	13.000000	WATER BASED	1986-11-02	1014	9999-12-31	2013-05-08	3202
2/12-1	2515.000000	1.600000	37.000000	12.000000	WATER BASED	1986-11-02	1014	9999-12-31	2013-05-08	3203
2/12-1	2650.000000	1.600000	25.000000	9.000000	WATER BASED	1986-11-02	1014	9999-12-31	2013-05-08	3204
2/12-1	2874.000000	1.600000	34.000000	10.000000	WATER BASED	1986-11-03	1014	9999-12-31	2013-05-08	3205
2/12-1	2961.000000	1.600000	25.000000	10.000000	WATER BASED	1986-11-04	1014	9999-12-31	2013-05-08	3206
2/12-1	3059.000000	1.600000	32.000000	9.000000	WATER BASED	1986-11-05	1014	9999-12-31	2013-05-08	3207
2/12-1	3123.000000	1.600000	30.000000	10.000000	WATER BASED	1986-11-06	1014	9999-12-31	2013-05-08	3208
2/12-1	3210.000000	1.600000	33.000000	10.000000	WATER BASED	1986-11-11	1014	9999-12-31	2013-05-08	3209
2/12-1	3220.000000	1.600000	32.000000	10.000000	WATER BASED	1986-11-11	1014	9999-12-31	2013-05-08	3210
2/12-1	3233.000000	1.600000	32.000000	11.000000	WATER BASED	1986-11-11	1014	9999-12-31	2013-05-08	3211
2/12-1	3306.000000	1.600000	33.000000	12.000000	WATER BASED	1986-11-09	1014	9999-12-31	2013-05-08	3212
2/12-1	3323.000000	1.600000	32.000000	11.000000	WATER BASED	1986-11-12	1014	9999-12-31	2013-05-08	3213
2/12-1	3416.000000	1.600000	32.000000	10.000000	WATER BASED	1986-11-13	1014	9999-12-31	2013-05-08	3214
2/12-1	3535.000000	1.600000	33.000000	12.000000	WATER BASED	1986-11-14	1014	9999-12-31	2013-05-08	3215
2/12-1	3636.000000	1.600000	31.000000	11.000000	WATER BASED	1986-11-17	1014	9999-12-31	2013-05-08	3216
2/12-1	3678.000000	1.600000	31.000000	11.000000	WATER BASED	1986-11-17	1014	9999-12-31	2013-05-08	3217
2/12-1	3750.000000	1.820000	23.000000	6.000000	WATER	1987-03-09	1014	9999-12-31	2013-05-08	3218
2/12-1	3780.000000	0.000000	0.000000	0.000000	WATER	1987-02-27	1014	9999-12-31	2013-05-08	3219
2/12-1	3780.000000	0.000000	55.000000	9.000000	WATER	1987-03-02	1014	9999-12-31	2013-05-08	3220
2/12-1	3780.000000	2.140000	35.000000	6.000000	WATER	1987-02-26	1014	9999-12-31	2013-05-08	3221
2/12-1	3782.000000	1.600000	32.000000	11.000000	WATER BASED	1986-11-17	1014	9999-12-31	2013-05-08	3222
2/12-1	3851.000000	1.600000	31.000000	11.000000	WATER BASED	1986-11-18	1014	9999-12-31	2013-05-08	3223
2/12-1	3874.000000	1.600000	30.000000	10.000000	WATER BASED	1986-11-19	1014	9999-12-31	2013-05-08	3224
2/12-1	3880.000000	1.600000	30.000000	10.000000	WATER BASED	1986-11-20	1014	9999-12-31	2013-05-08	3225
2/12-1	3900.000000	1.600000	30.000000	11.000000	WATER BASED	1986-11-21	1014	9999-12-31	2013-05-08	3226
2/12-1	3901.000000	1.600000	30.000000	9.000000	WATER BASED	1986-11-24	1014	9999-12-31	2013-05-08	3227
2/12-1	3918.000000	1.600000	28.000000	9.000000	WATER BASED	1986-11-24	1014	9999-12-31	2013-05-08	3228
2/12-1	3954.000000	1.600000	28.000000	9.000000	WATER BASED	1986-11-24	1014	9999-12-31	2013-05-08	3229
2/12-1	3960.000000	1.600000	28.000000	8.000000	WATER BASED	1986-11-25	1014	9999-12-31	2013-05-08	3230
2/12-1	3986.000000	1.660000	33.000000	8.000000	WATER BASED	1986-11-26	1014	9999-12-31	2013-05-08	3231
2/12-1	3986.000000	1.820000	38.000000	9.000000	WATER BASED	1986-11-25	1014	9999-12-31	2013-05-08	3232
2/12-1	3986.000000	1.820000	37.000000	9.000000	WATER BASED	1986-11-30	1014	9999-12-31	2013-05-08	3233
2/12-1	3986.000000	1.820000	37.000000	8.000000	WATER BASED	1986-11-30	1014	9999-12-31	2013-05-08	3234
2/12-1	3986.000000	1.980000	39.000000	9.000000	WATER BASED	1986-12-02	1014	9999-12-31	2013-05-08	3235
2/12-1	3986.000000	1.820000	37.000000	9.000000	WATER BASED	1986-11-27	1014	9999-12-31	2013-05-08	3236
2/12-1	4019.000000	1.980000	40.000000	8.000000	WATER BASED	1986-12-02	1014	9999-12-31	2013-05-08	3237
2/12-1	4025.000000	1.980000	39.000000	8.000000	WATER BASED	1986-12-03	1014	9999-12-31	2013-05-08	3238
2/12-1	4050.000000	1.980000	40.000000	10.000000	WATER BASED	1986-12-04	1014	9999-12-31	2013-05-08	3239
2/12-1	4065.000000	2.020000	39.000000	10.000000	WATER BASED	1986-12-06	1014	9999-12-31	2013-05-08	3240
2/12-1	4089.000000	2.050000	39.000000	8.000000	WATER BASED	1986-12-06	1014	9999-12-31	2013-05-08	3241
2/12-1	4155.000000	2.050000	38.000000	9.000000	WATER BASED	1986-12-06	1014	9999-12-31	2013-05-08	3242
2/12-1	4229.000000	2.050000	35.000000	8.000000	WATER BASED	1986-12-08	1014	9999-12-31	2013-05-08	3243
2/12-1	4305.000000	2.230000	43.000000	8.000000	WATER	1987-03-05	1014	9999-12-31	2013-05-08	3244
2/12-1	4305.000000	0.000000	50.000000	5.000000	WATER	1987-03-09	1014	9999-12-31	2013-05-08	3245
2/12-1	4305.000000	0.000000	46.000000	5.000000	WATER	1987-03-09	1014	9999-12-31	2013-05-08	3246
2/12-1	4305.000000	0.000000	50.000000	6.000000	WATER	1987-03-09	1014	9999-12-31	2013-05-08	3247
2/12-1	4308.000000	2.050000	36.000000	8.000000	WATER BASED	1986-12-09	1014	9999-12-31	2013-05-08	3248
2/12-1	4402.000000	2.050000	34.000000	8.000000	WATER BASED	1986-12-10	1014	9999-12-31	2013-05-08	3249
2/12-1	4420.000000	2.230000	43.000000	6.000000	WATER	1987-03-03	1014	9999-12-31	2013-05-08	3250
2/12-1	4420.000000	0.000000	60.000000	5.000000	WATER	1987-03-05	1014	9999-12-31	2013-05-08	3251
2/12-1	4482.000000	2.070000	35.000000	8.000000	WATER BASED	1986-12-11	1014	9999-12-31	2013-05-08	3252
2/12-1	4557.000000	2.070000	33.000000	7.000000	WATER BASED	1986-12-14	1014	9999-12-31	2013-05-08	3253
2/12-1	4567.000000	0.000000	38.000000	5.000000	WATER	1987-03-02	1014	9999-12-31	2013-05-08	3254
2/12-1	4567.000000	0.000000	46.000000	4.000000	WATER	1987-03-02	1014	9999-12-31	2013-05-08	3255
2/12-1	4567.000000	2.140000	33.000000	5.000000	WATER	1987-02-25	1014	9999-12-31	2013-05-08	3256
2/12-1	4609.000000	2.120000	33.000000	7.000000	WATER BASED	1986-12-14	1014	9999-12-31	2013-05-08	3257
2/12-1	4618.000000	2.140000	29.000000	7.000000	WATER	1987-02-13	1014	9999-12-31	2013-05-08	3258
2/12-1	4618.000000	0.000000	26.000000	5.000000	WATER	1987-02-13	1014	9999-12-31	2013-05-08	3259
2/12-1	4618.000000	0.000000	29.000000	6.000000	WATER	1987-02-18	1014	9999-12-31	2013-05-08	3260
2/12-1	4618.000000	0.000000	28.000000	6.000000	WATER	1987-02-18	1014	9999-12-31	2013-05-08	3261
2/12-1	4618.000000	0.000000	32.000000	7.000000	WATER	1987-02-19	1014	9999-12-31	2013-05-08	3262
2/12-1	4618.000000	0.000000	27.000000	5.000000	WATER	1987-02-20	1014	9999-12-31	2013-05-08	3263
2/12-1	4618.000000	0.000000	28.000000	5.000000	WATER	1987-02-24	1014	9999-12-31	2013-05-08	3264
2/12-1	4618.000000	0.000000	55.000000	6.000000	WATER	1987-02-24	1014	9999-12-31	2013-05-08	3265
2/12-1	4618.000000	0.000000	36.000000	5.000000	WATER	1987-02-24	1014	9999-12-31	2013-05-08	3266
2/12-1	4618.000000	0.000000	49.000000	5.000000	WATER	1987-02-24	1014	9999-12-31	2013-05-08	3267
2/12-1	4618.000000	0.000000	26.000000	5.000000	WATER	1987-02-18	1014	9999-12-31	2013-05-08	3268
2/12-1	4625.000000	2.140000	30.000000	7.000000	WATER	1987-02-11	1014	9999-12-31	2013-05-08	3269
2/12-1	4633.000000	2.120000	27.000000	5.000000	WATER BASED	1986-12-14	1014	9999-12-31	2013-05-08	3270
2/12-1	4633.000000	2.120000	26.000000	5.000000	WATER BASED	1986-12-15	1014	9999-12-31	2013-05-08	3271
2/12-1	4633.000000	2.140000	27.000000	5.000000	WATER BASED	1986-12-16	1014	9999-12-31	2013-05-08	3272
2/12-1	4651.000000	2.140000	27.000000	5.000000	WATER BASED	1986-12-17	1014	9999-12-31	2013-05-08	3273
2/12-1	4661.000000	2.140000	26.000000	5.000000	WATER BASED	1986-12-18	1014	9999-12-31	2013-05-08	3274
2/12-1	4668.000000	2.140000	28.000000	4.000000	WATER BASED	1986-12-20	1014	9999-12-31	2013-05-08	3275
2/12-1	4677.000000	2.140000	32.000000	5.000000	WATER	1987-02-02	1014	9999-12-31	2013-05-08	3276
2/12-1	4677.000000	0.000000	31.000000	5.000000	WATER	1987-02-03	1014	9999-12-31	2013-05-08	3277
2/12-1	4677.000000	0.000000	30.000000	5.000000	WATER	1987-02-04	1014	9999-12-31	2013-05-08	3278
2/12-1	4677.000000	0.000000	29.000000	5.000000	WATER	1987-02-09	1014	9999-12-31	2013-05-08	3279
2/12-1	4677.000000	0.000000	28.000000	5.000000	WATER	1987-02-09	1014	9999-12-31	2013-05-08	3280
2/12-1	4677.000000	0.000000	27.000000	5.000000	WATER	1987-02-09	1014	9999-12-31	2013-05-08	3281
2/12-1	4677.000000	0.000000	26.000000	7.000000	WATER	1987-02-10	1014	9999-12-31	2013-05-08	3282
2/12-1	4690.000000	2.140000	27.000000	4.000000	WATER BASED	1986-12-20	1014	9999-12-31	2013-05-08	3283
2/12-1	4714.000000	2.140000	29.000000	4.000000	WATER BASED	1986-12-23	1014	9999-12-31	2013-05-08	3284
2/12-1	4714.000000	2.140000	29.000000	4.000000	WATER BASED	1986-12-29	1014	9999-12-31	2013-05-08	3285
2/12-1	4714.000000	2.140000	29.000000	4.000000	WATER BASED	1986-12-30	1014	9999-12-31	2013-05-08	3286
2/12-1	4714.000000	2.140000	25.000000	4.000000	WATER BASED	1986-12-30	1014	9999-12-31	2013-05-08	3287
2/12-1	4714.000000	2.140000	32.000000	14.000000	WATER BASED	1986-12-30	1014	9999-12-31	2013-05-08	3288
2/12-1	4714.000000	2.140000	30.000000	13.000000	WATER BASED	1987-01-02	1014	9999-12-31	2013-05-08	3289
2/12-1	4714.000000	2.140000	30.000000	12.000000	WATER BASED	1987-01-02	1014	9999-12-31	2013-05-08	3290
2/12-1	4714.000000	2.140000	43.000000	16.000000	WATER BASED	1987-01-05	1014	9999-12-31	2013-05-08	3291
2/12-1	4714.000000	2.140000	35.000000	16.000000	WATER BASED	1987-01-05	1014	9999-12-31	2013-05-08	3292
2/12-1	4714.000000	2.140000	34.000000	15.000000	WATER BASED	1987-01-05	1014	9999-12-31	2013-05-08	3293
2/12-1	4714.000000	2.140000	33.000000	9.000000	WATER BASED	1987-01-09	1014	9999-12-31	2013-05-08	3294
2/12-1	4714.000000	0.000000	34.000000	8.000000	WATER	1987-01-09	1014	9999-12-31	2013-05-08	3295
2/12-1	4714.000000	0.000000	32.000000	7.000000	WATER	1987-01-12	1014	9999-12-31	2013-05-08	3296
2/12-1	4714.000000	0.000000	29.000000	7.000000	WATER	1987-01-13	1014	9999-12-31	2013-05-08	3297
2/12-1	4714.000000	0.000000	28.000000	7.000000	WATER	1987-01-14	1014	9999-12-31	2013-05-08	3298
2/12-1	4714.000000	0.000000	29.000000	7.000000	WATER	1987-01-15	1014	9999-12-31	2013-05-08	3299
2/12-1	4714.000000	0.000000	30.000000	7.000000	WATER	1987-01-16	1014	9999-12-31	2013-05-08	3300
2/12-1	4714.000000	0.000000	30.000000	7.000000	WATER	1987-01-19	1014	9999-12-31	2013-05-08	3301
2/12-1	4714.000000	0.000000	26.000000	6.000000	WATER	1987-01-19	1014	9999-12-31	2013-05-08	3302
2/12-1	4714.000000	0.000000	27.000000	6.000000	WATER	1987-01-19	1014	9999-12-31	2013-05-08	3303
2/12-1	4714.000000	0.000000	29.000000	6.000000	WATER	1987-01-20	1014	9999-12-31	2013-05-08	3304
2/12-1	4714.000000	0.000000	26.000000	6.000000	WATER	1987-01-21	1014	9999-12-31	2013-05-08	3305
2/12-1	4714.000000	0.000000	29.000000	7.000000	WATER	1987-01-23	1014	9999-12-31	2013-05-08	3306
2/12-1	4714.000000	0.000000	32.000000	5.000000	WATER	1987-01-26	1014	9999-12-31	2013-05-08	3307
2/12-1	4714.000000	0.000000	31.000000	5.000000	WATER	1987-01-26	1014	9999-12-31	2013-05-08	3308
2/12-1	4714.000000	0.000000	33.000000	6.000000	WATER	1987-01-26	1014	9999-12-31	2013-05-08	3309
2/12-1	4714.000000	0.000000	28.000000	6.000000	WATER	1987-01-22	1014	9999-12-31	2013-05-08	3310
2/12-1	4714.000000	2.250000	30.000000	18.000000	WATER BASED	1987-01-02	1014	9999-12-31	2013-05-08	3311
2/12-1	4714.000000	2.140000	35.000000	16.000000	WATER BASED	1987-01-06	1014	9999-12-31	2013-05-08	3312
2/12-1	4714.000000	2.140000	36.000000	17.000000	WATER BASED	1987-01-07	1014	9999-12-31	2013-05-08	3313
2/12-1	4714.000000	2.140000	28.000000	4.000000	WATER BASED	1986-12-23	1014	9999-12-31	2013-05-08	3314
2/12-1	4714.000000	2.140000	26.000000	3.000000	WATER BASED	1986-12-30	1014	9999-12-31	2013-05-08	3315
2/12-1	4716.000000	2.140000	31.000000	5.000000	WATER	1987-01-27	1014	9999-12-31	2013-05-08	3316
2/12-1	4721.000000	2.140000	31.000000	5.000000	WATER	1987-01-28	1014	9999-12-31	2013-05-08	3317
2/12-1	4747.000000	2.140000	34.000000	5.000000	WATER	1987-01-29	1014	9999-12-31	2013-05-08	3318
2/12-1	4778.000000	2.140000	33.000000	5.000000	WATER	1987-01-30	1014	9999-12-31	2013-05-08	3319
2/12-1	4795.000000	2.140000	34.000000	5.000000	WATER	1987-02-02	1014	9999-12-31	2013-05-08	3320
2/12-2 S	101.000000	1.200000	0.000000	0.000000	WATER BASED	1990-02-20	1416	9999-12-31	2013-05-08	3321
2/12-2 S	177.000000	1.200000	17.000000	20.000000	WATER BASED	1990-02-20	1416	9999-12-31	2013-05-08	3322
2/12-2 S	178.000000	1.000000	17.000000	20.000000	WATER BASED	1990-02-20	1416	9999-12-31	2013-05-08	3323
2/12-2 S	182.000000	1.000000	17.000000	20.000000	WATER BASED	1990-02-20	1416	9999-12-31	2013-05-08	3324
2/12-2 S	451.000000	1.200000	26.000000	61.000000	WATER BASED	1990-02-20	1416	9999-12-31	2013-05-08	3325
2/12-2 S	768.000000	1.200000	0.000000	0.000000	WATER BASED	1990-02-21	1416	9999-12-31	2013-05-08	3326
2/12-2 S	1094.000000	1.200000	19.000000	63.000000	WATER BASED	1990-02-22	1416	9999-12-31	2013-05-08	3327
2/12-2 S	1296.000000	1.200000	19.000000	55.000000	WATER BASED	1990-02-23	1416	9999-12-31	2013-05-08	3328
2/12-2 S	1312.000000	1.200000	26.000000	14.000000	WATER BASED	1990-03-05	1416	9999-12-31	2013-05-08	3329
2/12-2 S	1320.000000	1.200000	19.000000	50.000000	WATER BASED	1990-03-01	1416	9999-12-31	2013-05-08	3330
2/12-2 S	1320.000000	1.200000	21.000000	50.000000	WATER BASED	1990-03-02	1416	9999-12-31	2013-05-08	3331
2/12-2 S	1320.000000	1.200000	18.000000	14.000000	WATER BASED	1990-03-06	1416	9999-12-31	2013-05-08	3332
2/12-2 S	1320.000000	1.200000	25.000000	21.000000	WATER BASED	1990-02-26	1416	9999-12-31	2013-05-08	3333
2/12-2 S	1320.000000	1.200000	20.000000	17.000000	WATER BASED	1990-02-26	1416	9999-12-31	2013-05-08	3334
2/12-2 S	1320.000000	1.200000	19.000000	50.000000	WATER BASED	1990-02-26	1416	9999-12-31	2013-05-08	3335
2/12-2 S	1320.000000	1.200000	16.000000	52.000000	WATER BASED	1990-02-27	1416	9999-12-31	2013-05-08	3336
2/12-2 S	1320.000000	1.200000	17.000000	51.000000	WATER BASED	1990-02-28	1416	9999-12-31	2013-05-08	3337
2/12-2 S	1397.000000	1.200000	15.000000	10.000000	WATER BASED	1990-03-08	1416	9999-12-31	2013-05-08	3338
2/12-2 S	1699.000000	1.580000	25.000000	10.000000	WATER BASED	1990-03-12	1416	9999-12-31	2013-05-08	3339
2/12-2 S	1890.000000	1.580000	30.000000	10.000000	WATER BASED	1990-03-13	1416	9999-12-31	2013-05-08	3340
2/12-2 S	1975.000000	1.580000	25.000000	10.000000	WATER BASED	1990-03-13	1416	9999-12-31	2013-05-08	3341
2/12-2 S	2102.000000	1.620000	33.000000	11.000000	WATER BASED	1990-03-20	1416	9999-12-31	2013-05-08	3342
2/12-2 S	2102.000000	1.630000	32.000000	7.000000	WATER BASED	1990-03-20	1416	9999-12-31	2013-05-08	3343
2/12-2 S	2105.000000	1.580000	29.000000	12.000000	WATER BASED	1990-03-13	1416	9999-12-31	2013-05-08	3344
2/12-2 S	2107.000000	1.600000	40.000000	10.000000	WATER BASED	1990-03-20	1416	9999-12-31	2013-05-08	3345
2/12-2 S	2123.000000	1.580000	28.000000	9.000000	WATER BASED	1990-03-16	1416	9999-12-31	2013-05-08	3346
2/12-2 S	2126.000000	1.590000	28.000000	10.000000	WATER BASED	1990-03-20	1416	9999-12-31	2013-05-08	3347
2/12-2 S	2459.000000	1.580000	25.000000	9.000000	WATER BASED	1990-03-21	1416	9999-12-31	2013-05-08	3348
2/12-2 S	2467.000000	1.580000	33.000000	8.000000	WATER BASED	1990-03-13	1416	9999-12-31	2013-05-08	3349
2/12-2 S	2540.000000	1.590000	27.000000	12.000000	WATER BASED	1990-03-22	1416	9999-12-31	2013-05-08	3350
2/12-2 S	2558.000000	1.850000	13.000000	15.000000	WATER BASED	1990-09-13	1416	9999-12-31	2013-05-08	3351
2/12-2 S	2607.000000	1.650000	33.000000	10.000000	WATER BASED	1990-05-03	1416	9999-12-31	2013-05-08	3352
2/12-2 S	2651.000000	1.600000	33.000000	9.000000	WATER BASED	1990-03-23	1416	9999-12-31	2013-05-08	3353
2/12-2 S	2657.000000	1.590000	30.000000	9.000000	WATER BASED	1990-03-26	1416	9999-12-31	2013-05-08	3354
2/12-2 S	2682.000000	1.650000	33.000000	11.000000	WATER BASED	1990-05-04	1416	9999-12-31	2013-05-08	3355
2/12-2 S	2698.000000	1.650000	37.000000	11.000000	WATER BASED	1990-05-10	1416	9999-12-31	2013-05-08	3356
2/12-2 S	2750.000000	1.590000	29.000000	9.000000	WATER BASED	1990-03-26	1416	9999-12-31	2013-05-08	3357
2/12-2 S	2781.000000	1.530000	0.000000	0.000000	WATER BASED	1990-04-02	1416	9999-12-31	2013-05-08	3358
2/12-2 S	2781.000000	1.620000	25.000000	8.000000	WATER BASED	1990-03-30	1416	9999-12-31	2013-05-08	3359
2/12-2 S	2784.000000	1.550000	28.000000	12.000000	WATER BASED	1990-04-04	1416	9999-12-31	2013-05-08	3360
2/12-2 S	2784.000000	1.550000	28.000000	12.000000	WATER BASED	1990-04-04	1416	9999-12-31	2013-05-08	3361
2/12-2 S	2784.000000	1.530000	28.000000	5.000000	WATER BASED	1990-04-05	1416	9999-12-31	2013-05-08	3362
2/12-2 S	2784.000000	1.530000	30.000000	14.000000	WATER BASED	1990-04-09	1416	9999-12-31	2013-05-08	3363
2/12-2 S	2784.000000	1.530000	29.000000	13.000000	WATER BASED	1990-04-09	1416	9999-12-31	2013-05-08	3364
2/12-2 S	2784.000000	1.530000	30.000000	14.000000	WATER BASED	1990-04-11	1416	9999-12-31	2013-05-08	3365
2/12-2 S	2784.000000	1.530000	29.000000	14.000000	WATER BASED	1990-04-18	1416	9999-12-31	2013-05-08	3366
2/12-2 S	2784.000000	1.530000	36.000000	13.000000	WATER BASED	1990-04-18	1416	9999-12-31	2013-05-08	3367
2/12-2 S	2784.000000	1.530000	31.000000	15.000000	WATER BASED	1990-04-18	1416	9999-12-31	2013-05-08	3368
2/12-2 S	2784.000000	1.530000	32.000000	9.000000	WATER BASED	1990-04-18	1416	9999-12-31	2013-05-08	3369
2/12-2 S	2784.000000	1.530000	34.000000	8.000000	WATER BASED	1990-04-18	1416	9999-12-31	2013-05-08	3370
2/12-2 S	2784.000000	1.530000	25.000000	7.000000	WATER BASED	1990-04-06	1416	9999-12-31	2013-05-08	3371
2/12-2 S	2784.000000	1.530000	32.000000	15.000000	WATER BASED	1990-04-09	1416	9999-12-31	2013-05-08	3372
2/12-2 S	2784.000000	1.530000	30.000000	14.000000	WATER BASED	1990-04-10	1416	9999-12-31	2013-05-08	3373
2/12-2 S	2784.000000	1.530000	31.000000	13.000000	WATER BASED	1990-04-18	1416	9999-12-31	2013-05-08	3374
2/12-2 S	2787.000000	1.650000	38.000000	10.000000	WATER BASED	1990-04-26	1416	9999-12-31	2013-05-08	3375
2/12-2 S	2787.000000	1.530000	30.000000	14.000000	WATER BASED	1990-04-19	1416	9999-12-31	2013-05-08	3376
2/12-2 S	2787.000000	1.650000	34.000000	15.000000	WATER BASED	1990-04-24	1416	9999-12-31	2013-05-08	3377
2/12-2 S	2787.000000	1.650000	38.000000	14.000000	WATER BASED	1990-04-24	1416	9999-12-31	2013-05-08	3378
2/12-2 S	2787.000000	1.650000	38.000000	12.000000	WATER BASED	1990-04-24	1416	9999-12-31	2013-05-08	3379
2/12-2 S	2787.000000	1.650000	33.000000	9.000000	WATER BASED	1990-04-24	1416	9999-12-31	2013-05-08	3380
2/12-2 S	2787.000000	1.650000	34.000000	9.000000	WATER BASED	1990-04-25	1416	9999-12-31	2013-05-08	3381
2/12-2 S	2787.000000	1.650000	33.000000	10.000000	WATER BASED	1990-04-27	1416	9999-12-31	2013-05-08	3382
2/12-2 S	2790.000000	1.580000	33.000000	8.000000	WATER BASED	1990-03-14	1416	9999-12-31	2013-05-08	3383
2/12-2 S	2790.000000	1.580000	31.000000	10.000000	WATER BASED	1990-03-15	1416	9999-12-31	2013-05-08	3384
2/12-2 S	2800.000000	1.620000	28.000000	8.000000	WATER BASED	1990-03-30	1416	9999-12-31	2013-05-08	3385
2/12-2 S	2800.000000	1.620000	23.000000	9.000000	WATER BASED	1990-03-26	1416	9999-12-31	2013-05-08	3386
2/12-2 S	2800.000000	1.620000	30.000000	9.000000	WATER BASED	1990-03-27	1416	9999-12-31	2013-05-08	3387
2/12-2 S	2800.000000	1.620000	27.000000	8.000000	WATER BASED	1990-03-28	1416	9999-12-31	2013-05-08	3388
2/12-2 S	2906.000000	1.650000	34.000000	15.000000	WATER BASED	1990-05-10	1416	9999-12-31	2013-05-08	3389
2/12-2 S	3147.000000	1.650000	31.000000	12.000000	WATER BASED	1990-05-10	1416	9999-12-31	2013-05-08	3390
2/12-2 S	3346.000000	1.650000	33.000000	12.000000	WATER BASED	1990-05-10	1416	9999-12-31	2013-05-08	3391
2/12-2 S	3412.000000	1.650000	36.000000	8.000000	WATER BASED	1990-05-10	1416	9999-12-31	2013-05-08	3392
2/12-2 S	3448.000000	1.650000	35.000000	10.000000	WATER BASED	1990-05-10	1416	9999-12-31	2013-05-08	3393
2/12-2 S	3448.000000	1.650000	31.000000	10.000000	WATER BASED	1990-05-14	1416	9999-12-31	2013-05-08	3394
2/12-2 S	3460.000000	1.650000	33.000000	9.000000	WATER BASED	1990-05-14	1416	9999-12-31	2013-05-08	3395
2/12-2 S	3460.000000	1.650000	30.000000	11.000000	WATER BASED	1990-05-14	1416	9999-12-31	2013-05-08	3396
2/12-2 S	3471.000000	1.650000	37.000000	11.000000	WATER BASED	1990-05-14	1416	9999-12-31	2013-05-08	3397
2/12-2 S	3483.000000	1.650000	35.000000	11.000000	WATER BASED	1990-05-15	1416	9999-12-31	2013-05-08	3398
2/12-2 S	3555.000000	1.650000	38.000000	11.000000	WATER BASED	1990-05-16	1416	9999-12-31	2013-05-08	3399
2/12-2 S	3569.000000	1.650000	38.000000	13.000000	WATER BASED	1990-05-21	1416	9999-12-31	2013-05-08	3400
2/12-2 S	3585.000000	1.680000	43.000000	12.000000	WATER BASED	1990-05-21	1416	9999-12-31	2013-05-08	3401
2/12-2 S	3585.000000	1.700000	35.000000	13.000000	WATER BASED	1990-05-21	1416	9999-12-31	2013-05-08	3402
2/12-2 S	3585.000000	1.660000	33.000000	13.000000	WATER BASED	1990-05-21	1416	9999-12-31	2013-05-08	3403
2/12-2 S	3585.000000	1.660000	28.000000	16.000000	WATER BASED	1990-05-22	1416	9999-12-31	2013-05-08	3404
2/12-2 S	3645.000000	1.660000	35.000000	10.000000	WATER BASED	1990-05-25	1416	9999-12-31	2013-05-08	3405
2/12-2 S	3645.000000	1.660000	34.000000	10.000000	WATER BASED	1990-05-23	1416	9999-12-31	2013-05-08	3406
2/12-2 S	3683.000000	1.660000	34.000000	9.000000	WATER BASED	1990-05-28	1416	9999-12-31	2013-05-08	3407
2/12-2 S	3705.000000	1.660000	32.000000	9.000000	WATER BASED	1990-05-28	1416	9999-12-31	2013-05-08	3408
2/12-2 S	3755.000000	1.660000	37.000000	10.000000	WATER BASED	1990-05-28	1416	9999-12-31	2013-05-08	3409
2/12-2 S	3813.000000	1.650000	37.000000	12.000000	WATER BASED	1990-05-28	1416	9999-12-31	2013-05-08	3410
2/12-2 S	3832.000000	1.650000	38.000000	13.000000	WATER BASED	1990-05-29	1416	9999-12-31	2013-05-08	3411
2/12-2 S	3985.000000	1.650000	40.000000	12.000000	WATER BASED	1990-05-30	1416	9999-12-31	2013-05-08	3412
2/12-2 S	4003.000000	1.850000	22.000000	2.000000	WATER BASED	1990-09-05	1416	9999-12-31	2013-05-08	3413
2/12-2 S	4003.000000	1.850000	24.000000	14.000000	WATER BASED	1990-09-11	1416	9999-12-31	2013-05-08	3414
2/12-2 S	4003.000000	1.850000	18.000000	2.000000	WATER BASED	1990-09-07	1416	9999-12-31	2013-05-08	3415
2/12-2 S	4003.000000	1.850000	13.000000	4.000000	WATER BASED	1990-09-10	1416	9999-12-31	2013-05-08	3416
2/12-2 S	4003.000000	1.850000	14.000000	4.000000	WATER BASED	1990-09-10	1416	9999-12-31	2013-05-08	3417
2/12-2 S	4003.000000	1.850000	34.000000	14.000000	WATER BASED	1990-09-10	1416	9999-12-31	2013-05-08	3418
2/12-2 S	4003.000000	1.850000	18.000000	2.000000	WATER BASED	1990-09-06	1416	9999-12-31	2013-05-08	3419
2/12-2 S	4143.000000	1.650000	38.000000	10.000000	WATER BASED	1990-05-31	1416	9999-12-31	2013-05-08	3420
2/12-2 S	4167.000000	1.660000	37.000000	11.000000	WATER BASED	1990-06-05	1416	9999-12-31	2013-05-08	3421
2/12-2 S	4207.000000	1.660000	38.000000	12.000000	WATER BASED	1990-06-05	1416	9999-12-31	2013-05-08	3422
2/12-2 S	4223.000000	1.750000	39.000000	12.000000	WATER BASED	1990-06-05	1416	9999-12-31	2013-05-08	3423
2/12-2 S	4223.000000	1.800000	40.000000	12.000000	WATER BASED	1990-06-05	1416	9999-12-31	2013-05-08	3424
2/12-2 S	4223.000000	1.800000	40.000000	13.000000	WATER BASED	1990-06-05	1416	9999-12-31	2013-05-08	3425
2/12-2 S	4223.000000	1.800000	41.000000	12.000000	WATER BASED	1990-06-06	1416	9999-12-31	2013-05-08	3426
2/12-2 S	4223.000000	1.800000	42.000000	12.000000	WATER BASED	1990-06-07	1416	9999-12-31	2013-05-08	3427
2/12-2 S	4223.000000	1.800000	42.000000	12.000000	WATER BASED	1990-06-08	1416	9999-12-31	2013-05-08	3428
2/12-2 S	4223.000000	1.800000	41.000000	13.000000	WATER BASED	1990-06-11	1416	9999-12-31	2013-05-08	3429
2/12-2 S	4224.000000	1.800000	39.000000	12.000000	WATER BASED	1990-06-11	1416	9999-12-31	2013-05-08	3430
2/12-2 S	4228.000000	1.800000	39.000000	12.000000	WATER BASED	1990-06-11	1416	9999-12-31	2013-05-08	3431
2/12-2 S	4233.000000	1.800000	41.000000	11.000000	WATER BASED	1990-06-12	1416	9999-12-31	2013-05-08	3432
2/12-2 S	4259.000000	1.800000	41.000000	12.000000	WATER BASED	1990-06-13	1416	9999-12-31	2013-05-08	3433
2/12-2 S	4276.000000	1.800000	37.000000	12.000000	WATER BASED	1990-06-14	1416	9999-12-31	2013-05-08	3434
2/12-2 S	4278.000000	1.800000	38.000000	13.000000	WATER BASED	1990-06-14	1416	9999-12-31	2013-05-08	3435
2/12-2 S	4306.000000	1.800000	41.000000	12.000000	WATER BASED	1990-06-18	1416	9999-12-31	2013-05-08	3436
2/12-2 S	4313.000000	1.800000	38.000000	11.000000	WATER BASED	1990-06-18	1416	9999-12-31	2013-05-08	3437
2/12-2 S	4313.000000	1.800000	29.000000	10.000000	WATER BASED	1990-06-18	1416	9999-12-31	2013-05-08	3438
2/12-2 S	4313.000000	1.800000	27.000000	7.000000	WATER BASED	1990-07-02	1416	9999-12-31	2013-05-08	3439
2/12-2 S	4313.000000	1.800000	32.000000	8.000000	WATER BASED	1990-06-19	1416	9999-12-31	2013-05-08	3440
2/12-2 S	4313.000000	1.800000	32.000000	8.000000	WATER BASED	1990-06-20	1416	9999-12-31	2013-05-08	3441
2/12-2 S	4313.000000	1.800000	32.000000	8.000000	WATER BASED	1990-06-21	1416	9999-12-31	2013-05-08	3442
2/12-2 S	4313.000000	1.800000	31.000000	9.000000	WATER BASED	1990-06-22	1416	9999-12-31	2013-05-08	3443
2/12-2 S	4313.000000	1.800000	31.000000	9.000000	WATER BASED	1990-06-25	1416	9999-12-31	2013-05-08	3444
2/12-2 S	4313.000000	1.800000	24.000000	8.000000	WATER BASED	1990-06-25	1416	9999-12-31	2013-05-08	3445
2/12-2 S	4313.000000	1.800000	26.000000	9.000000	WATER BASED	1990-06-27	1416	9999-12-31	2013-05-08	3446
2/12-2 S	4313.000000	1.810000	27.000000	7.000000	WATER BASED	1990-07-02	1416	9999-12-31	2013-05-08	3447
2/12-2 S	4313.000000	1.800000	31.000000	8.000000	WATER BASED	1990-06-25	1416	9999-12-31	2013-05-08	3448
2/12-2 S	4313.000000	1.800000	24.000000	7.000000	WATER BASED	1990-06-26	1416	9999-12-31	2013-05-08	3449
2/12-2 S	4313.000000	1.800000	30.000000	8.000000	WATER BASED	1990-06-28	1416	9999-12-31	2013-05-08	3450
2/12-2 S	4326.000000	2.020000	29.000000	8.000000	WATER BASED	1990-07-02	1416	9999-12-31	2013-05-08	3451
2/12-2 S	4346.000000	2.020000	29.000000	8.000000	WATER BASED	1990-07-02	1416	9999-12-31	2013-05-08	3452
2/12-2 S	4417.000000	2.060000	27.000000	12.000000	WATER BASED	1990-07-03	1416	9999-12-31	2013-05-08	3453
2/12-2 S	4454.000000	2.080000	23.000000	10.000000	WATER BASED	1990-07-04	1416	9999-12-31	2013-05-08	3454
2/12-2 S	4473.000000	2.080000	29.000000	5.000000	WATER BASED	1990-07-05	1416	9999-12-31	2013-05-08	3455
2/12-2 S	4482.000000	2.080000	23.000000	6.000000	WATER BASED	1990-07-09	1416	9999-12-31	2013-05-08	3456
2/12-2 S	4567.000000	2.080000	23.000000	9.000000	WATER BASED	1990-07-09	1416	9999-12-31	2013-05-08	3457
2/12-2 S	4579.000000	2.080000	23.000000	6.000000	WATER BASED	1990-07-09	1416	9999-12-31	2013-05-08	3458
2/12-2 S	4681.000000	2.080000	25.000000	6.000000	WATER BASED	1990-07-09	1416	9999-12-31	2013-05-08	3459
2/12-2 S	4769.000000	2.080000	22.000000	7.000000	WATER BASED	1990-07-10	1416	9999-12-31	2013-05-08	3460
2/12-2 S	4791.000000	2.080000	23.000000	6.000000	WATER BASED	1990-07-11	1416	9999-12-31	2013-05-08	3461
2/12-2 S	4815.000000	2.070000	23.000000	6.000000	WATER BASED	1990-07-12	1416	9999-12-31	2013-05-08	3462
2/12-2 S	4816.000000	2.080000	21.000000	7.000000	DUMMY	1990-07-13	1416	9999-12-31	2013-05-08	3463
2/12-2 S	4863.000000	2.080000	22.000000	7.000000	DUMMY	1990-07-16	1416	9999-12-31	2013-05-08	3464
2/12-2 S	4954.000000	2.080000	26.000000	7.000000	DUMMY	1990-07-16	1416	9999-12-31	2013-05-08	3465
2/12-2 S	4960.000000	2.080000	28.000000	2.000000	WATER BASED	1990-09-04	1416	9999-12-31	2013-05-08	3466
2/12-2 S	5010.000000	2.080000	22.000000	5.000000	WATER BASED	1990-08-06	1416	9999-12-31	2013-05-08	3467
2/12-2 S	5010.000000	2.080000	23.000000	6.000000	DUMMY	1990-07-16	1416	9999-12-31	2013-05-08	3468
2/12-2 S	5010.000000	2.080000	24.000000	6.000000	DUMMY	1990-07-17	1416	9999-12-31	2013-05-08	3469
2/12-2 S	5010.000000	2.080000	25.000000	5.000000	DUMMY	1990-07-18	1416	9999-12-31	2013-05-08	3470
2/12-2 S	5010.000000	2.080000	21.000000	4.000000	DUMMY	1990-07-20	1416	9999-12-31	2013-05-08	3471
2/12-2 S	5010.000000	2.080000	20.000000	3.000000	DUMMY	1990-07-23	1416	9999-12-31	2013-05-08	3472
2/12-2 S	5010.000000	2.080000	20.000000	5.000000	DUMMY	1990-07-23	1416	9999-12-31	2013-05-08	3473
2/12-2 S	5010.000000	2.080000	20.000000	5.000000	DUMMY	1990-07-23	1416	9999-12-31	2013-05-08	3474
2/12-2 S	5010.000000	2.080000	20.000000	3.000000	DUMMY	1990-07-19	1416	9999-12-31	2013-05-08	3475
2/12-2 S	5010.000000	2.080000	22.000000	7.000000	DUMMY	1990-07-25	1416	9999-12-31	2013-05-08	3476
2/12-2 S	5010.000000	2.080000	21.000000	8.000000	DUMMY	1990-07-24	1416	9999-12-31	2013-05-08	3477
2/12-2 S	5010.000000	2.080000	19.000000	4.000000	WATER BASED	1990-07-27	1416	9999-12-31	2013-05-08	3478
2/12-2 S	5010.000000	2.080000	29.000000	4.000000	WATER BASED	1990-07-30	1416	9999-12-31	2013-05-08	3479
2/12-2 S	5010.000000	2.080000	29.000000	4.000000	WATER BASED	1990-07-30	1416	9999-12-31	2013-05-08	3480
2/12-2 S	5010.000000	2.080000	25.000000	4.000000	WATER BASED	1990-07-30	1416	9999-12-31	2013-05-08	3481
2/12-2 S	5010.000000	2.080000	22.000000	4.000000	WATER BASED	1990-07-31	1416	9999-12-31	2013-05-08	3482
2/12-2 S	5010.000000	2.080000	22.000000	4.000000	WATER BASED	1990-08-01	1416	9999-12-31	2013-05-08	3483
2/12-2 S	5010.000000	2.080000	21.000000	4.000000	WATER BASED	1990-08-06	1416	9999-12-31	2013-05-08	3484
2/12-2 S	5010.000000	2.080000	21.000000	4.000000	WATER BASED	1990-08-06	1416	9999-12-31	2013-05-08	3485
2/12-2 S	5010.000000	2.080000	20.000000	5.000000	WATER BASED	1990-08-02	1416	9999-12-31	2013-05-08	3486
2/12-2 S	5010.000000	2.080000	21.000000	4.000000	WATER BASED	1990-08-03	1416	9999-12-31	2013-05-08	3487
2/12-2 S	5035.000000	2.080000	22.000000	4.000000	WATER BASED	1990-08-09	1416	9999-12-31	2013-05-08	3488
2/12-2 S	5056.000000	2.080000	21.000000	4.000000	WATER BASED	1990-08-10	1416	9999-12-31	2013-05-08	3489
2/12-2 S	5151.000000	2.080000	21.000000	5.000000	WATER BASED	1990-08-13	1416	9999-12-31	2013-05-08	3490
2/12-2 S	5185.000000	2.080000	19.000000	6.000000	WATER BASED	1990-08-13	1416	9999-12-31	2013-05-08	3491
2/12-2 S	5210.000000	2.080000	22.000000	4.000000	WATER BASED	1990-08-13	1416	9999-12-31	2013-05-08	3492
2/12-2 S	5223.000000	2.080000	19.000000	6.000000	WATER BASED	1990-08-14	1416	9999-12-31	2013-05-08	3493
2/12-2 S	5325.000000	2.080000	20.000000	5.000000	WATER BASED	1990-08-15	1416	9999-12-31	2013-05-08	3494
2/12-2 S	5334.000000	2.080000	22.000000	3.000000	WATER BASED	1990-08-27	1416	9999-12-31	2013-05-08	3495
2/12-2 S	5390.000000	2.080000	22.000000	6.000000	WATER BASED	1990-08-16	1416	9999-12-31	2013-05-08	3496
2/12-2 S	5487.000000	2.080000	20.000000	4.000000	WATER BASED	1990-08-17	1416	9999-12-31	2013-05-08	3497
2/12-2 S	5501.000000	2.080000	20.000000	3.000000	WATER BASED	1990-08-21	1416	9999-12-31	2013-05-08	3498
2/12-2 S	5501.000000	2.080000	20.000000	4.000000	WATER BASED	1990-08-20	1416	9999-12-31	2013-05-08	3499
2/12-2 S	5501.000000	2.080000	21.000000	4.000000	WATER BASED	1990-08-20	1416	9999-12-31	2013-05-08	3500
2/12-2 S	5501.000000	2.080000	21.000000	4.000000	WATER BASED	1990-08-20	1416	9999-12-31	2013-05-08	3501
2/12-2 S	5530.000000	2.080000	22.000000	4.000000	WATER BASED	1990-08-22	1416	9999-12-31	2013-05-08	3502
2/12-2 S	5542.000000	2.080000	19.000000	4.000000	WATER BASED	1990-08-23	1416	9999-12-31	2013-05-08	3503
2/12-2 S	5617.000000	2.080000	23.000000	2.000000	WATER BASED	1990-08-27	1416	9999-12-31	2013-05-08	3504
2/12-2 S	5703.000000	2.080000	22.000000	3.000000	WATER BASED	1990-08-27	1416	9999-12-31	2013-05-08	3505
2/12-2 S	5757.000000	2.080000	21.000000	3.000000	WATER BASED	1990-08-31	1416	9999-12-31	2013-05-08	3506
2/12-2 S	5757.000000	2.080000	22.000000	3.000000	WATER BASED	1990-08-29	1416	9999-12-31	2013-05-08	3507
2/12-2 S	5757.000000	2.080000	24.000000	3.000000	WATER BASED	1990-08-29	1416	9999-12-31	2013-05-08	3508
2/12-2 S	5757.000000	2.080000	21.000000	3.000000	WATER BASED	1990-09-03	1416	9999-12-31	2013-05-08	3509
2/12-2 S	5757.000000	2.080000	21.000000	3.000000	WATER BASED	1990-09-03	1416	9999-12-31	2013-05-08	3510
2/12-2 S	5757.000000	2.080000	21.000000	3.000000	WATER BASED	1990-09-03	1416	9999-12-31	2013-05-08	3511
2/1-3	930.000000	1.150000	0.000000	0.000000	waterbased	9999-12-31	251	9999-12-31	2013-05-08	3512
2/1-3	1422.000000	1.300000	0.000000	0.000000	waterbased	9999-12-31	251	9999-12-31	2013-05-08	3513
2/1-3	2227.000000	1.570000	0.000000	0.000000	waterbased	9999-12-31	251	9999-12-31	2013-05-08	3514
2/1-3	2813.000000	1.600000	0.000000	0.000000	waterbased	9999-12-31	251	9999-12-31	2013-05-08	3515
2/1-3	3409.000000	1.630000	0.000000	0.000000	waterbased	9999-12-31	251	9999-12-31	2013-05-08	3516
2/1-3	4297.000000	1.680000	0.000000	0.000000	waterbased	9999-12-31	251	9999-12-31	2013-05-08	3517
2/1-4	171.000000	1.040000	0.000000	0.000000	seawater	9999-12-31	48	9999-12-31	2013-05-08	3518
2/1-4	633.000000	1.110000	0.000000	0.000000	seawater	9999-12-31	48	9999-12-31	2013-05-08	3519
2/1-4	2006.000000	1.570000	0.000000	0.000000	cmc/gyp	9999-12-31	48	9999-12-31	2013-05-08	3520
2/1-4	3793.000000	1.620000	0.000000	0.000000	cmc/gyp-lig	9999-12-31	48	9999-12-31	2013-05-08	3521
2/1-4	4525.000000	1.660000	0.000000	0.000000	cmc/gyp-lig	9999-12-31	48	9999-12-31	2013-05-08	3522
2/1-5	650.000000	1.200000	35.000000	0.000000	WATERBASED	9999-12-31	63	9999-12-31	2013-05-08	3523
2/1-5	1010.000000	1.280000	45.000000	0.000000	WATERBASED	9999-12-31	63	9999-12-31	2013-05-08	3524
2/1-5	1380.000000	1.450000	72.000000	0.000000	WATERBASED	9999-12-31	63	9999-12-31	2013-05-08	3525
2/1-5	2030.000000	1.510000	56.000000	0.000000	WATERBASED	9999-12-31	63	9999-12-31	2013-05-08	3526
2/1-5	2940.000000	1.680000	54.000000	0.000000	WATERBASED	9999-12-31	63	9999-12-31	2013-05-08	3527
2/1-5	4450.000000	2.130000	67.000000	0.000000	WATERBASED	9999-12-31	63	9999-12-31	2013-05-08	3528
2/1-6	151.000000	1.050000	0.000000	0.000000	WATER BASED	1984-05-10	109	9999-12-31	2013-05-08	3529
2/1-6	166.000000	1.040000	0.000000	0.000000	WATER BASED	1984-05-10	109	9999-12-31	2013-05-08	3530
2/1-6	167.000000	1.050000	0.000000	0.000000	WATER BASED	1984-05-13	109	9999-12-31	2013-05-08	3531
2/1-6	320.000000	1.080000	4.000000	5.000000	WATER BASED	1984-05-13	109	9999-12-31	2013-05-08	3532
2/1-6	481.000000	1.090000	3.000000	8.000000	WATER BASED	1984-05-13	109	9999-12-31	2013-05-08	3533
2/1-6	635.000000	1.150000	5.000000	26.000000	WATER BASED	1984-05-13	109	9999-12-31	2013-05-08	3534
2/1-6	660.000000	1.140000	19.000000	28.000000	WATER BASED	1984-05-13	109	9999-12-31	2013-05-08	3535
2/1-6	1140.000000	1.200000	14.000000	10.000000	WATER BASED	1984-05-14	109	9999-12-31	2013-05-08	3536
2/1-6	1415.000000	1.420000	22.000000	12.000000	WATER BASED	1984-05-14	109	9999-12-31	2013-05-08	3537
2/1-6	1718.000000	1.500000	22.000000	12.000000	WATER BASED	1984-05-14	109	9999-12-31	2013-05-08	3538
2/1-6	1850.000000	1.500000	24.000000	6.200000	WATER BASED	1984-05-14	109	9999-12-31	2013-05-08	3539
2/1-6	2010.000000	1.540000	23.000000	5.300000	WATER BASED	1984-05-15	109	9999-12-31	2013-05-08	3540
2/1-6	2220.000000	1.550000	19.000000	6.200000	WATER BASED	1984-05-20	109	9999-12-31	2013-05-08	3541
2/1-6	2414.000000	1.550000	17.000000	7.200000	WATER BASED	1984-05-20	109	9999-12-31	2013-05-08	3542
2/1-6	2543.000000	1.550000	18.000000	5.800000	WATER BASED	1984-05-22	109	9999-12-31	2013-05-08	3543
2/1-6	2743.000000	1.550000	21.000000	7.200000	WATER BASED	1984-05-23	109	9999-12-31	2013-05-08	3544
2/1-6	2951.000000	1.560000	23.000000	5.800000	WATER BASED	1984-05-24	109	9999-12-31	2013-05-08	3545
2/1-6	3013.000000	1.560000	22.000000	15.400000	WATER BASED	1984-05-25	109	9999-12-31	2013-05-08	3546
2/1-6	3168.000000	1.570000	27.000000	13.400000	WATER BASED	1984-05-28	109	9999-12-31	2013-05-08	3547
2/1-6	3208.000000	1.580000	21.000000	9.100000	WATER BASED	1984-05-28	109	9999-12-31	2013-05-08	3548
2/1-6	3231.000000	1.580000	20.000000	11.000000	WATER BASED	1984-05-28	109	9999-12-31	2013-05-08	3549
2/1-6	3300.000000	1.570000	19.000000	9.100000	WATER BASED	1984-05-29	109	9999-12-31	2013-05-08	3550
2/1-6	3311.000000	1.580000	22.000000	5.800000	WATER BASED	1984-05-31	109	9999-12-31	2013-05-08	3551
2/1-6	3354.000000	1.580000	23.000000	8.600000	WATER BASED	1984-06-01	109	9999-12-31	2013-05-08	3552
2/1-6	3424.000000	1.580000	25.000000	8.200000	WATER BASED	1984-06-01	109	9999-12-31	2013-05-08	3553
2/1-6	3486.000000	1.580000	30.000000	6.700000	WATER BASED	1984-06-04	109	9999-12-31	2013-05-08	3554
2/1-6	3578.000000	1.580000	32.000000	8.200000	WATER BASED	1984-06-04	109	9999-12-31	2013-05-08	3555
2/1-6	3625.000000	1.580000	32.000000	7.200000	WATER BASED	1984-06-04	109	9999-12-31	2013-05-08	3556
2/1-6	3669.000000	1.580000	28.000000	6.700000	WATER BASED	1984-06-05	109	9999-12-31	2013-05-08	3557
2/1-6	3716.000000	1.580000	30.000000	7.700000	WATER BASED	1984-06-06	109	9999-12-31	2013-05-08	3558
2/1-6	3733.000000	1.580000	33.000000	7.700000	WATER BASED	1984-06-07	109	9999-12-31	2013-05-08	3559
2/1-6	3746.000000	1.580000	33.000000	7.700000	WATER BASED	1984-06-08	109	9999-12-31	2013-05-08	3560
2/1-6	3763.000000	1.580000	31.000000	7.200000	WATER BASED	1984-06-12	109	9999-12-31	2013-05-08	3561
2/1-6	3768.000000	1.580000	30.000000	7.200000	WATER BASED	1984-06-12	109	9999-12-31	2013-05-08	3562
2/1-6	3775.000000	1.580000	28.000000	6.200000	WATER BASED	1984-06-12	109	9999-12-31	2013-05-08	3563
2/1-6	3811.000000	1.580000	34.000000	8.000000	WATER BASED	1984-06-15	109	9999-12-31	2013-05-08	3564
2/1-6	3845.000000	1.580000	28.000000	6.000000	WATER BASED	1984-06-15	109	9999-12-31	2013-05-08	3565
2/1-6	3876.000000	1.570000	29.000000	7.000000	WATER BASED	1984-06-15	109	9999-12-31	2013-05-08	3566
2/1-6	3886.000000	1.590000	26.000000	6.200000	WATER BASED	1984-06-17	109	9999-12-31	2013-05-08	3567
2/1-6	3927.000000	1.580000	30.000000	7.700000	WATER BASED	1984-06-17	109	9999-12-31	2013-05-08	3568
2/1-6	3961.000000	1.580000	29.000000	9.600000	WATER BASED	1984-06-17	109	9999-12-31	2013-05-08	3569
2/1-6	4011.000000	1.580000	28.000000	9.600000	WATER BASED	1984-06-20	109	9999-12-31	2013-05-08	3570
2/1-6	4066.000000	1.580000	25.000000	13.400000	WATER BASED	1984-06-20	109	9999-12-31	2013-05-08	3571
2/1-6	4118.000000	1.580000	21.000000	5.300000	WATER BASED	1984-06-21	109	9999-12-31	2013-05-08	3572
2/1-6	4121.000000	1.580000	21.000000	5.300000	WATER BASED	1984-06-22	109	9999-12-31	2013-05-08	3573
2/1-6	4121.000000	1.690000	26.000000	13.400000	WATER BASED	1984-06-27	109	9999-12-31	2013-05-08	3574
2/1-6	4121.000000	1.580000	21.000000	5.300000	WATER BASED	1984-06-22	109	9999-12-31	2013-05-08	3575
2/1-6	4121.000000	1.690000	26.000000	13.400000	WATER BASED	1984-06-27	109	9999-12-31	2013-05-08	3576
2/1-6	4124.000000	1.560000	15.000000	9.600000	WATER BASED	1984-07-02	109	9999-12-31	2013-05-08	3577
2/1-6	4137.000000	1.560000	19.000000	9.600000	WATER BASED	1984-07-02	109	9999-12-31	2013-05-08	3578
2/1-6	4180.000000	1.560000	21.000000	11.000000	WATER BASED	1984-07-02	109	9999-12-31	2013-05-08	3579
2/1-6	4235.000000	1.560000	23.000000	11.500000	WATER BASED	1984-07-03	109	9999-12-31	2013-05-08	3580
2/1-6	4245.000000	1.560000	21.000000	11.000000	WATER BASED	1984-07-04	109	9999-12-31	2013-05-08	3581
2/1-6	4262.000000	1.560000	18.000000	10.600000	WATER BASED	1984-07-05	109	9999-12-31	2013-05-08	3582
2/1-6	4268.000000	1.560000	22.000000	10.600000	WATER BASED	1984-07-06	109	9999-12-31	2013-05-08	3583
2/1-6	4284.000000	1.560000	19.000000	11.500000	WATER BASED	1984-07-06	109	9999-12-31	2013-05-08	3584
2/1-6	4303.000000	1.560000	19.000000	12.000000	WATER BASED	1984-07-06	109	9999-12-31	2013-05-08	3585
2/1-6	4313.000000	1.560000	20.000000	15.500000	WATER BASED	1984-07-10	109	9999-12-31	2013-05-08	3586
2/1-6	4337.000000	1.560000	19.000000	15.400000	WATER BASED	1984-07-11	109	9999-12-31	2013-05-08	3587
2/1-6	4378.000000	1.570000	20.000000	14.900000	WATER BASED	1984-07-12	109	9999-12-31	2013-05-08	3588
2/1-6	4393.000000	1.560000	16.000000	6.200000	WATER BASED	1984-07-13	109	9999-12-31	2013-05-08	3589
2/1-6	4478.000000	1.550000	21.000000	12.000000	WATER BASED	1984-07-16	109	9999-12-31	2013-05-08	3590
2/1-6	4583.000000	1.550000	18.000000	12.000000	WATER BASED	1984-07-16	109	9999-12-31	2013-05-08	3591
2/1-7	151.000000	1.030000	0.000000	0.000000	WATER BASED	1984-09-11	137	9999-12-31	2013-05-08	3592
2/1-7	186.000000	1.030000	0.000000	0.000000	WATER BASED	1984-09-11	137	9999-12-31	2013-05-08	3593
2/1-7	202.000000	1.030000	0.000000	0.000000	WATER BASED	1984-09-11	137	9999-12-31	2013-05-08	3594
2/1-7	220.000000	1.060000	0.000000	0.000000	WATER BASED	1984-09-13	137	9999-12-31	2013-05-08	3595
2/1-7	521.000000	1.080000	4.000000	3.800000	WATER BASED	1984-09-14	137	9999-12-31	2013-05-08	3596
2/1-7	745.000000	1.150000	10.000000	5.800000	WATER BASED	1984-09-16	137	9999-12-31	2013-05-08	3597
2/1-7	745.000000	1.150000	20.000000	14.900000	WATER BASED	1984-09-18	137	9999-12-31	2013-05-08	3598
2/1-7	745.000000	1.150000	20.000000	14.900000	WATER BASED	1984-09-18	137	9999-12-31	2013-05-08	3599
2/1-7	755.000000	1.130000	10.000000	5.800000	WATER BASED	1984-09-16	137	9999-12-31	2013-05-08	3600
2/1-7	755.000000	1.120000	5.000000	3.800000	WATER BASED	1984-09-16	137	9999-12-31	2013-05-08	3601
2/1-7	755.000000	1.130000	10.000000	5.800000	WATER BASED	1984-09-16	137	9999-12-31	2013-05-08	3602
2/1-7	937.000000	1.150000	14.000000	5.800000	WATER BASED	1984-09-19	137	9999-12-31	2013-05-08	3603
2/1-7	1170.000000	1.210000	14.000000	6.700000	WATER BASED	1984-09-20	137	9999-12-31	2013-05-08	3604
2/1-7	1397.000000	1.380000	14.000000	5.800000	WATER BASED	1984-09-23	137	9999-12-31	2013-05-08	3605
2/1-7	1684.000000	1.450000	16.000000	6.700000	WATER BASED	1984-09-23	137	9999-12-31	2013-05-08	3606
2/1-7	1739.000000	1.450000	23.000000	8.200000	WATER BASED	1984-09-25	137	9999-12-31	2013-05-08	3607
2/1-7	1840.000000	1.480000	26.000000	8.600000	WATER BASED	1984-09-25	137	9999-12-31	2013-05-08	3608
2/1-7	2136.000000	1.500000	32.000000	9.600000	WATER BASED	1984-09-26	137	9999-12-31	2013-05-08	3609
2/1-7	2277.000000	1.550000	30.000000	8.200000	WATER BASED	1984-09-27	137	9999-12-31	2013-05-08	3610
2/1-7	2316.000000	1.550000	33.000000	6.200000	WATER BASED	1984-09-29	137	9999-12-31	2013-05-08	3611
2/1-7	2448.000000	1.550000	30.000000	8.200000	WATER BASED	1984-09-29	137	9999-12-31	2013-05-08	3612
2/1-7	2490.000000	1.550000	29.000000	8.600000	WATER BASED	1984-09-29	137	9999-12-31	2013-05-08	3613
2/1-7	2500.000000	1.560000	24.000000	7.200000	WATER BASED	1984-10-07	137	9999-12-31	2013-05-08	3614
2/1-7	2683.000000	1.570000	23.000000	7.200000	WATER BASED	1984-10-08	137	9999-12-31	2013-05-08	3615
2/1-7	2899.000000	1.580000	20.000000	6.700000	WATER BASED	1984-10-09	137	9999-12-31	2013-05-08	3616
2/1-7	2958.000000	1.570000	19.000000	5.800000	WATER BASED	1984-10-10	137	9999-12-31	2013-05-08	3617
2/1-7	3066.000000	1.580000	17.000000	13.400000	WATER BASED	1984-10-11	137	9999-12-31	2013-05-08	3618
2/1-7	3123.000000	1.580000	17.000000	12.500000	WATER BASED	1984-10-14	137	9999-12-31	2013-05-08	3619
2/1-7	3127.000000	1.580000	18.000000	6.700000	WATER BASED	1984-10-14	137	9999-12-31	2013-05-08	3620
2/1-7	3178.000000	1.580000	24.000000	8.200000	WATER BASED	1984-10-14	137	9999-12-31	2013-05-08	3621
2/1-7	3228.000000	1.580000	25.000000	8.600000	WATER BASED	1984-10-15	137	9999-12-31	2013-05-08	3622
2/1-7	3249.000000	1.580000	20.000000	7.700000	WATER BASED	1984-10-16	137	9999-12-31	2013-05-08	3623
2/1-7	3274.000000	1.590000	24.000000	10.100000	WATER BASED	1984-10-17	137	9999-12-31	2013-05-08	3624
2/1-7	3301.000000	1.590000	23.000000	8.600000	WATER BASED	1984-10-18	137	9999-12-31	2013-05-08	3625
2/1-7	3361.000000	1.580000	30.000000	12.000000	WATER BASED	1984-10-21	137	9999-12-31	2013-05-08	3626
2/1-7	3416.000000	1.580000	28.000000	11.000000	WATER BASED	1984-10-21	137	9999-12-31	2013-05-08	3627
2/1-7	3497.000000	1.580000	28.000000	6.700000	WATER BASED	1984-10-22	137	9999-12-31	2013-05-08	3628
2/1-7	3562.000000	1.580000	31.000000	7.700000	WATER BASED	1984-10-24	137	9999-12-31	2013-05-08	3629
2/1-7	3612.000000	1.580000	32.000000	8.200000	WATER BASED	1984-10-25	137	9999-12-31	2013-05-08	3630
2/1-7	3663.000000	1.580000	31.000000	8.600000	WATER BASED	1984-10-29	137	9999-12-31	2013-05-08	3631
2/1-7	3702.000000	1.600000	31.000000	8.200000	WATER BASED	1984-10-29	137	9999-12-31	2013-05-08	3632
2/1-7	3732.000000	1.600000	34.000000	8.600000	WATER BASED	1984-10-29	137	9999-12-31	2013-05-08	3633
2/1-7	3746.000000	1.600000	34.000000	8.600000	WATER BASED	1984-10-31	137	9999-12-31	2013-05-08	3634
2/1-7	3747.000000	1.580000	34.000000	8.600000	WATER BASED	1984-11-06	137	9999-12-31	2013-05-08	3635
2/1-7	3757.000000	1.580000	34.000000	9.100000	WATER BASED	1984-11-08	137	9999-12-31	2013-05-08	3636
2/1-7	3776.000000	1.580000	33.000000	10.200000	WATER BASED	1984-11-09	137	9999-12-31	2013-05-08	3637
2/1-7	3858.000000	1.620000	36.000000	13.400000	WATER BASED	1984-11-12	137	9999-12-31	2013-05-08	3638
2/1-7	3878.000000	1.650000	37.000000	14.400000	WATER BASED	1984-11-12	137	9999-12-31	2013-05-08	3639
2/1-7	3904.000000	1.800000	30.000000	9.600000	WATER BASED	1984-11-19	137	9999-12-31	2013-05-08	3640
2/1-7	3919.000000	1.850000	30.000000	9.600000	WATER BASED	1984-11-19	137	9999-12-31	2013-05-08	3641
2/1-7	3968.000000	1.860000	33.000000	11.500000	WATER BASED	1984-11-20	137	9999-12-31	2013-05-08	3642
2/1-7	4024.000000	1.850000	34.000000	11.000000	WATER BASED	1984-11-21	137	9999-12-31	2013-05-08	3643
2/1-7	4148.000000	1.850000	35.000000	10.100000	WATER BASED	1984-11-22	137	9999-12-31	2013-05-08	3644
2/1-7	4236.000000	1.850000	31.000000	9.600000	WATER BASED	1984-11-23	137	9999-12-31	2013-05-08	3645
2/1-7	4290.000000	1.860000	32.000000	11.500000	WATER BASED	1984-11-26	137	9999-12-31	2013-05-08	3646
2/1-7	4333.000000	1.840000	47.000000	10.600000	WATER BASED	1984-11-26	137	9999-12-31	2013-05-08	3647
2/1-7	4530.000000	1.840000	51.000000	13.400000	WATER BASED	1984-11-27	137	9999-12-31	2013-05-08	3648
2/1-7	4677.000000	1.900000	57.000000	13.000000	WATER BASED	1984-11-28	137	9999-12-31	2013-05-08	3649
2/1-7	4870.000000	1.940000	62.000000	13.000000	WATER BASED	1984-11-29	137	9999-12-31	2013-05-08	3650
2/1-7	4970.000000	1.940000	56.000000	10.200000	WATER BASED	1984-11-30	137	9999-12-31	2013-05-08	3651
2/1-7	5066.000000	1.960000	70.000000	17.300000	WATER BASED	1984-12-03	137	9999-12-31	2013-05-08	3652
2/1-7	5077.000000	1.960000	70.000000	12.500000	WATER BASED	1984-12-03	137	9999-12-31	2013-05-08	3653
2/1-7	5077.000000	1.900000	50.000000	10.600000	WATER BASED	1984-12-20	137	9999-12-31	2013-05-08	3654
2/1-7	5077.000000	1.900000	50.000000	10.600000	WATER BASED	1984-12-20	137	9999-12-31	2013-05-08	3655
2/1-7	5080.000000	1.930000	52.000000	10.100000	WATER BASED	1985-01-29	137	9999-12-31	2013-05-08	3656
2/1-7	5081.000000	1.920000	61.000000	16.300000	WATER BASED	1985-01-03	137	9999-12-31	2013-05-08	3657
2/1-7	5081.000000	1.920000	56.000000	13.400000	WATER BASED	1985-01-03	137	9999-12-31	2013-05-08	3658
2/1-7	5081.000000	1.920000	61.000000	16.300000	WATER BASED	1985-01-03	137	9999-12-31	2013-05-08	3659
2/1-7	5083.000000	1.920000	54.000000	14.400000	WATER BASED	1984-12-25	137	9999-12-31	2013-05-08	3660
2/1-7	5089.000000	1.930000	54.000000	12.000000	WATER BASED	1985-01-10	137	9999-12-31	2013-05-08	3661
2/1-7	5089.000000	1.930000	47.000000	12.000000	WATER BASED	1985-01-10	137	9999-12-31	2013-05-08	3662
2/1-7	5089.000000	1.930000	44.000000	10.600000	WATER BASED	1985-01-14	137	9999-12-31	2013-05-08	3663
2/1-7	5089.000000	1.930000	44.000000	10.600000	WATER BASED	1985-01-14	137	9999-12-31	2013-05-08	3664
2/1-7	5089.000000	1.930000	47.000000	12.000000	WATER BASED	1985-01-10	137	9999-12-31	2013-05-08	3665
2/1-7	5092.000000	1.920000	34.000000	6.200000	WATER BASED	1985-02-03	137	9999-12-31	2013-05-08	3666
2/1-7	5092.000000	1.920000	34.000000	6.200000	WATER BASED	1985-02-03	137	9999-12-31	2013-05-08	3667
2/1-7	5092.000000	1.920000	35.000000	6.200000	WATER BASED	1985-01-31	137	9999-12-31	2013-05-08	3668
2/1-7	5096.000000	1.920000	52.000000	8.600000	WATER BASED	1985-02-03	137	9999-12-31	2013-05-08	3669
2/1-7	5110.000000	1.920000	49.000000	9.100000	WATER BASED	1985-01-29	137	9999-12-31	2013-05-08	3670
2/1-7	5113.000000	1.920000	47.000000	6.700000	WATER BASED	1985-02-03	137	9999-12-31	2013-05-08	3671
2/1-7	5113.000000	1.920000	51.000000	10.600000	WATER BASED	1985-01-14	137	9999-12-31	2013-05-08	3672
2/1-7	5113.000000	1.920000	39.000000	5.800000	WATER BASED	1985-01-21	137	9999-12-31	2013-05-08	3673
2/1-7	5113.000000	1.920000	66.000000	10.600000	WATER BASED	1985-01-14	137	9999-12-31	2013-05-08	3674
2/1-7	5113.000000	1.920000	39.000000	5.800000	WATER BASED	1985-01-21	137	9999-12-31	2013-05-08	3675
2/1-7	5113.000000	1.920000	66.000000	10.600000	WATER BASED	1985-01-14	137	9999-12-31	2013-05-08	3676
2/1-7	5115.000000	1.920000	50.000000	7.200000	WATER BASED	1985-02-05	137	9999-12-31	2013-05-08	3677
2/1-7	5124.000000	1.920000	101.000000	22.000000	WATER BASED	1985-02-06	137	9999-12-31	2013-05-08	3678
2/1-7	5126.000000	1.920000	77.000000	13.000000	WATER BASED	1985-02-07	137	9999-12-31	2013-05-08	3679
2/1-7	5127.000000	1.920000	40.000000	8.200000	WATER BASED	1985-02-10	137	9999-12-31	2013-05-08	3680
2/1-7	5147.000000	1.920000	30.000000	3.800000	WATER BASED	1985-02-10	137	9999-12-31	2013-05-08	3681
2/1-7	5165.000000	1.920000	28.000000	1.400000	WATER BASED	1985-02-13	137	9999-12-31	2013-05-08	3682
2/1-7	5165.000000	1.920000	28.000000	1.400000	WATER BASED	1985-02-13	137	9999-12-31	2013-05-08	3683
2/1-7	5165.000000	1.920000	28.000000	1.400000	WATER BASED	1985-02-11	137	9999-12-31	2013-05-08	3684
2/1-7	5185.000000	1.720000	29.000000	3.400000	WATER BASED	1985-02-14	137	9999-12-31	2013-05-08	3685
2/1-7	5379.000000	1.720000	29.000000	3.400000	WATER BASED	1985-02-17	137	9999-12-31	2013-05-08	3686
2/1-7	5431.000000	1.720000	29.000000	3.400000	WATER BASED	1985-02-17	137	9999-12-31	2013-05-08	3687
2/1-7	5460.000000	1.710000	34.000000	3.800000	WATER BASED	1985-02-17	137	9999-12-31	2013-05-08	3688
2/1-7	5465.000000	1.700000	34.000000	5.800000	WATER BASED	1985-02-18	137	9999-12-31	2013-05-08	3689
2/1-8	139.000000	1.080000	100.000000	0.000000	WATER BASED	1985-07-29	459	9999-12-31	2013-05-08	3690
2/1-8	183.000000	1.080000	0.000000	0.000000	WATER BASED	1985-07-29	459	9999-12-31	2013-05-08	3691
2/1-8	188.000000	1.060000	19.000000	0.000000	WATER BASED	1985-08-05	459	9999-12-31	2013-05-08	3692
2/1-8	215.000000	1.060000	20.000000	16.000000	WATER BASED	1985-08-05	459	9999-12-31	2013-05-08	3693
2/1-8	373.000000	1.090000	15.000000	15.000000	WATER BASED	1985-08-05	459	9999-12-31	2013-05-08	3694
2/1-8	536.000000	1.090000	20.000000	19.000000	WATER BASED	1985-08-07	459	9999-12-31	2013-05-08	3695
2/1-8	635.000000	1.120000	17.000000	17.000000	WATER BASED	1985-08-08	459	9999-12-31	2013-05-08	3696
2/1-8	640.000000	1.180000	28.000000	5.800000	WATER BASED	1985-08-08	459	9999-12-31	2013-05-08	3697
2/1-8	920.000000	1.230000	23.000000	5.800000	WATER BASED	1985-08-13	459	9999-12-31	2013-05-08	3698
2/1-8	1115.000000	1.280000	22.000000	5.800000	WATER BASED	1985-08-12	459	9999-12-31	2013-05-08	3699
2/1-8	1280.000000	1.300000	23.000000	6.200000	WATER BASED	1985-08-13	459	9999-12-31	2013-05-08	3700
2/1-8	1429.000000	1.330000	22.000000	5.800000	WATER BASED	1985-08-15	459	9999-12-31	2013-05-08	3701
2/1-8	1632.000000	1.350000	25.000000	5.800000	WATER BASED	1985-08-19	459	9999-12-31	2013-05-08	3702
2/1-8	1788.000000	1.410000	23.000000	5.800000	WATER BASED	1985-08-19	459	9999-12-31	2013-05-08	3703
2/1-8	1788.000000	1.500000	21.000000	6.200000	WATER BASED	1985-08-19	459	9999-12-31	2013-05-08	3704
2/1-8	1817.000000	1.500000	25.000000	6.200000	WATER BASED	1985-08-17	459	9999-12-31	2013-05-08	3705
2/1-8	1971.000000	1.560000	30.000000	6.700000	WATER BASED	1985-08-21	459	9999-12-31	2013-05-08	3706
2/1-8	2000.000000	1.580000	27.500000	5.300000	WATER BASED	1985-09-18	459	9999-12-31	2013-05-08	3707
2/1-8	2005.000000	1.570000	27.000000	4.800000	WATER BASED	1985-08-26	459	9999-12-31	2013-05-08	3708
2/1-8	2005.000000	1.560000	23.000000	7.200000	WATER BASED	1985-08-21	459	9999-12-31	2013-05-08	3709
2/1-8	2005.000000	1.580000	31.000000	6.200000	WATER BASED	1985-08-23	459	9999-12-31	2013-05-08	3710
2/1-8	2005.000000	1.590000	3531.000000	76.200000	WATER BASED	1985-08-26	459	9999-12-31	2013-05-08	3711
2/1-8	2005.000000	1.590000	35.000000	7.200000	WATER BASED	1985-08-26	459	9999-12-31	2013-05-08	3712
2/1-8	2005.000000	1.560000	28.000000	4.800000	WATER BASED	1985-08-26	459	9999-12-31	2013-05-08	3713
2/1-8	2005.000000	1.560000	27.000000	4.300000	WATER BASED	1985-08-27	459	9999-12-31	2013-05-08	3714
2/1-8	2005.000000	1.560000	37.000000	11.500000	WATER BASED	1985-08-29	459	9999-12-31	2013-05-08	3715
2/1-8	2005.000000	1.570000	20.000000	3.800000	WATER BASED	1985-09-02	459	9999-12-31	2013-05-08	3716
2/1-8	2005.000000	1.580000	38.000000	11.500000	WATER BASED	1985-09-02	459	9999-12-31	2013-05-08	3717
2/1-8	2009.000000	1.580000	34.000000	8.600000	WATER BASED	1985-09-02	459	9999-12-31	2013-05-08	3718
2/1-8	2345.000000	1.580000	37.000000	7.700000	WATER BASED	1985-09-03	459	9999-12-31	2013-05-08	3719
2/1-8	2365.000000	1.590000	37.000000	7.200000	WATER BASED	1985-09-04	459	9999-12-31	2013-05-08	3720
2/1-8	2509.000000	1.580000	37.000000	6.700000	WATER BASED	1985-09-05	459	9999-12-31	2013-05-08	3721
2/1-8	2706.000000	1.580000	35.000000	7.700000	WATER BASED	1985-09-06	459	9999-12-31	2013-05-08	3722
2/1-8	2878.000000	1.580000	37.000000	11.000000	WATER BASED	1985-09-09	459	9999-12-31	2013-05-08	3723
2/1-8	2894.000000	1.580000	27.000000	5.800000	WATER BASED	1985-09-09	459	9999-12-31	2013-05-08	3724
2/1-8	2952.000000	1.580000	17.000000	5.800000	WATER BASED	1985-09-09	459	9999-12-31	2013-05-08	3725
2/1-8	2994.000000	1.580000	36.000000	7.700000	WATER BASED	1985-09-10	459	9999-12-31	2013-05-08	3726
2/1-8	3000.000000	1.580000	30.000000	7.200000	WATER BASED	1985-09-11	459	9999-12-31	2013-05-08	3727
2/1-8	3095.000000	1.580000	35.000000	9.600000	WATER BASED	1985-09-12	459	9999-12-31	2013-05-08	3728
2/1-8	3171.000000	1.580000	24.000000	6.700000	WATER BASED	1985-09-13	459	9999-12-31	2013-05-08	3729
2/1-8	3196.000000	1.580000	24.500000	9.100000	WATER BASED	1985-09-16	459	9999-12-31	2013-05-08	3730
2/1-8	3222.000000	1.580000	21.000000	4.800000	WATER BASED	1985-09-16	459	9999-12-31	2013-05-08	3731
2/1-8	3254.000000	1.580000	24.500000	5.300000	WATER BASED	1985-09-16	459	9999-12-31	2013-05-08	3732
2/1-8	3344.000000	1.580000	27.000000	5.800000	WATER BASED	1985-09-17	459	9999-12-31	2013-05-08	3733
2/1-8	3432.000000	1.580000	22.500000	5.300000	WATER BASED	1985-09-19	459	9999-12-31	2013-05-08	3734
2/1-8	3578.000000	1.580000	26.000000	4.800000	WATER BASED	1985-09-20	459	9999-12-31	2013-05-08	3735
2/1-8	3602.000000	1.610000	35.000000	7.200000	WATER BASED	1985-11-18	459	9999-12-31	2013-05-08	3736
2/1-8	3660.000000	1.600000	27.000000	6.200000	WATER BASED	1985-09-23	459	9999-12-31	2013-05-08	3737
2/1-8	3723.000000	1.620000	32.500000	7.200000	WATER BASED	1985-09-23	459	9999-12-31	2013-05-08	3738
2/1-8	3723.000000	1.620000	37.500000	6.200000	WATER BASED	1985-09-23	459	9999-12-31	2013-05-08	3739
2/1-8	3723.000000	1.620000	29.000000	5.800000	WATER BASED	1985-09-24	459	9999-12-31	2013-05-08	3740
2/1-8	3723.000000	1.610000	23.000000	4.800000	WATER BASED	1985-09-25	459	9999-12-31	2013-05-08	3741
2/1-8	3736.000000	1.620000	31.000000	6.700000	WATER BASED	1985-09-26	459	9999-12-31	2013-05-08	3742
2/1-8	3775.000000	1.620000	37.000000	6.700000	WATER BASED	1985-09-27	459	9999-12-31	2013-05-08	3743
2/1-8	3816.000000	1.620000	41.000000	8.600000	WATER BASED	1985-09-30	459	9999-12-31	2013-05-08	3744
2/1-8	3832.000000	1.640000	38.000000	7.200000	WATER BASED	1985-09-30	459	9999-12-31	2013-05-08	3745
2/1-8	3844.000000	1.640000	37.000000	7.200000	WATER BASED	1985-10-01	459	9999-12-31	2013-05-08	3746
2/1-8	3884.000000	1.640000	35.000000	7.700000	WATER BASED	1985-10-01	459	9999-12-31	2013-05-08	3747
2/1-8	3888.000000	1.680000	32.000000	5.800000	WATER BASED	1985-10-02	459	9999-12-31	2013-05-08	3748
2/1-8	3888.000000	1.690000	33.000000	6.200000	WATER BASED	1985-10-07	459	9999-12-31	2013-05-08	3749
2/1-8	3888.000000	1.690000	30.500000	6.200000	WATER BASED	1985-10-08	459	9999-12-31	2013-05-08	3750
2/1-8	3888.000000	1.690000	32.500000	7.200000	WATER BASED	1985-10-08	459	9999-12-31	2013-05-08	3751
2/1-8	3898.000000	1.560000	24.500000	6.200000	WATER BASED	1985-10-08	459	9999-12-31	2013-05-08	3752
2/1-8	3926.000000	1.560000	24.000000	5.800000	WATER BASED	1985-10-09	459	9999-12-31	2013-05-08	3753
2/1-8	3954.000000	1.560000	25.000000	5.800000	WATER BASED	1985-10-09	459	9999-12-31	2013-05-08	3754
2/1-8	3981.000000	1.560000	29.000000	6.700000	WATER BASED	1985-10-10	459	9999-12-31	2013-05-08	3755
2/1-8	4015.000000	1.560000	35.000000	7.700000	WATER BASED	1985-10-11	459	9999-12-31	2013-05-08	3756
2/1-8	4051.000000	1.560000	33.500000	7.200000	WATER BASED	1985-10-14	459	9999-12-31	2013-05-08	3757
2/1-8	4092.000000	1.560000	30.000000	6.700000	WATER BASED	1985-10-14	459	9999-12-31	2013-05-08	3758
2/1-8	4151.000000	1.570000	29.000000	5.800000	WATER BASED	1985-10-14	459	9999-12-31	2013-05-08	3759
2/1-8	4151.000000	1.570000	26.500000	5.300000	WATER BASED	1985-10-15	459	9999-12-31	2013-05-08	3760
2/1-8	4151.000000	1.600000	0.000000	9.100000	WATER BASED	1985-11-07	459	9999-12-31	2013-05-08	3761
2/1-8	4151.000000	1.600000	32.000000	8.600000	WATER BASED	1985-11-07	459	9999-12-31	2013-05-08	3762
2/1-8	4151.000000	1.600000	32.000000	8.600000	WATER BASED	1985-11-11	459	9999-12-31	2013-05-08	3763
2/1-8	4151.000000	1.600000	29.500000	9.100000	WATER BASED	1985-11-11	459	9999-12-31	2013-05-08	3764
2/1-8	4151.000000	1.600000	31.000000	8.600000	WATER BASED	1985-11-11	459	9999-12-31	2013-05-08	3765
2/1-8	4151.000000	1.600000	34.000000	9.600000	WATER BASED	1985-11-11	459	9999-12-31	2013-05-08	3766
2/1-8	4151.000000	1.600000	38.000000	9.600000	WATER BASED	1985-11-12	459	9999-12-31	2013-05-08	3767
2/1-8	4151.000000	1.600000	35.000000	7.200000	WATER BASED	1985-11-18	459	9999-12-31	2013-05-08	3768
2/1-8	4151.000000	1.570000	26.500000	5.300000	WATER BASED	1985-10-16	459	9999-12-31	2013-05-08	3769
2/1-8	4151.000000	1.570000	26.500000	5.300000	WATER BASED	1985-10-17	459	9999-12-31	2013-05-08	3770
2/1-8	4151.000000	1.570000	25.500000	5.100000	WATER BASED	1985-10-18	459	9999-12-31	2013-05-08	3771
2/1-8	4151.000000	1.580000	24.000000	5.800000	WATER BASED	1985-10-21	459	9999-12-31	2013-05-08	3772
2/1-8	4151.000000	1.580000	23.000000	5.800000	WATER BASED	1985-10-21	459	9999-12-31	2013-05-08	3773
2/1-8	4151.000000	1.580000	22.000000	5.300000	WATER BASED	1985-10-21	459	9999-12-31	2013-05-08	3774
2/1-8	4151.000000	1.570000	22.000000	6.700000	WATER BASED	1985-10-23	459	9999-12-31	2013-05-08	3775
2/1-8	4151.000000	1.570000	23.000000	6.700000	WATER BASED	1985-10-22	459	9999-12-31	2013-05-08	3776
2/1-8	4151.000000	1.560000	20.000000	3.800000	WATER BASED	1985-10-29	459	9999-12-31	2013-05-08	3777
2/1-8	4151.000000	1.550000	18.000000	4.800000	WATER BASED	1985-10-29	459	9999-12-31	2013-05-08	3778
2/1-8	4151.000000	1.570000	17.000000	4.300000	WATER BASED	1985-10-29	459	9999-12-31	2013-05-08	3779
2/1-8	4151.000000	1.600000	30.000000	8.200000	WATER BASED	1985-10-29	459	9999-12-31	2013-05-08	3780
2/1-8	4151.000000	1.600000	30.000000	8.200000	WATER BASED	1985-10-31	459	9999-12-31	2013-05-08	3781
2/1-8	4151.000000	1.600000	30.000000	8.600000	WATER BASED	1985-11-01	459	9999-12-31	2013-05-08	3782
2/1-8	4151.000000	1.600000	32.000000	9.100000	WATER BASED	1985-11-01	459	9999-12-31	2013-05-08	3783
2/1-8	4151.000000	1.600000	34.000000	10.600000	WATER BASED	1985-11-04	459	9999-12-31	2013-05-08	3784
2/1-8	4151.000000	1.600000	32.000000	9.100000	WATER BASED	1985-11-05	459	9999-12-31	2013-05-08	3785
2/1-8	4151.000000	1.570000	26.000000	6.200000	WATER BASED	1985-10-21	459	9999-12-31	2013-05-08	3786
2/1-8	4151.000000	1.550000	20.000000	5.800000	WATER BASED	1985-10-29	459	9999-12-31	2013-05-08	3787
2/1-8	4151.000000	1.610000	27.000000	7.200000	WATER BASED	1985-11-01	459	9999-12-31	2013-05-08	3788
2/1-8	4151.000000	1.550000	20.000000	5.800000	WATER BASED	1985-10-24	459	9999-12-31	2013-05-08	3789
2/1-8	4151.000000	1.600000	38.000000	9.600000	WATER BASED	1985-11-18	459	9999-12-31	2013-05-08	3790
2/1-9	415.000000	0.000000	0.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3791
2/1-9	426.000000	1.570000	42.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3792
2/1-9	900.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3793
2/1-9	961.000000	1.200000	31.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3794
2/1-9	1583.000000	1.390000	49.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3795
2/1-9	2153.000000	1.600000	72.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3796
2/1-9	2474.000000	1.600000	64.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3797
2/1-9	2529.000000	1.600000	74.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3798
2/1-9	2682.000000	1.600000	73.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3799
2/1-9	2874.000000	1.600000	71.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3800
2/1-9	2901.000000	1.600000	77.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3801
2/1-9	3018.000000	1.600000	69.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3802
2/1-9	3114.000000	1.600000	68.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3803
2/1-9	3173.000000	1.600000	7.700000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3804
2/1-9	3193.000000	1.600000	57.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3805
2/1-9	3243.000000	1.600000	60.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3806
2/1-9	3253.000000	1.600000	68.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3807
2/1-9	3318.000000	1.600000	76.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3808
2/1-9	3413.000000	1.600000	79.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3809
2/1-9	3610.000000	1.600000	80.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3810
2/1-9	3775.000000	1.730000	85.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3811
2/1-9	3847.000000	1.730000	77.000000	0.000000	WATER BASED	9999-12-31	1667	9999-12-31	2013-05-08	3812
2/1-9	3910.000000	1.730000	82.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3813
2/1-9	3947.000000	1.730000	91.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3814
2/1-9	3967.000000	1.720000	82.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3815
2/1-9	4019.000000	1.620000	51.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3816
2/1-9	4039.000000	1.560000	49.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3817
2/1-9	4074.000000	1.560000	47.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3818
2/1-9	4102.000000	1.570000	53.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3819
2/1-9	4125.000000	0.140000	53.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3820
2/1-9	4153.000000	1.570000	53.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3821
2/1-9	4240.000000	1.580000	56.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3822
2/1-9	4289.000000	1.590000	72.000000	0.000000	OIL BASED	9999-12-31	1667	9999-12-31	2013-05-08	3823
2/1-9 A	140.000000	0.000000	39.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3824
2/1-9 A	3200.000000	1.560000	70.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3825
2/1-9 A	3300.000000	1.560000	58.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3826
2/1-9 A	3347.000000	1.600000	79.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3827
2/1-9 A	3464.000000	1.560000	51.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3828
2/1-9 A	3560.000000	1.600000	80.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3829
2/1-9 A	3681.000000	1.600000	82.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3830
2/1-9 A	3860.000000	1.600000	87.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3831
2/1-9 A	4000.000000	1.610000	91.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3832
2/1-9 A	4223.000000	1.620000	90.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3833
2/1-9 A	4318.000000	1.600000	88.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3834
2/1-9 A	4379.000000	1.600000	101.000000	0.000000	OIL BASED	9999-12-31	1867	9999-12-31	2013-05-08	3835
2/2-3	450.000000	1.100000	50.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3836
2/2-3	900.000000	1.110000	51.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3837
2/2-3	1130.000000	1.160000	51.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3838
2/2-3	1320.000000	1.230000	60.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3839
2/2-3	1630.000000	1.270000	25.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3840
2/2-3	1920.000000	1.360000	49.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3841
2/2-3	2080.000000	1.360000	59.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3842
2/2-3	2440.000000	1.440000	50.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3843
2/2-3	2630.000000	1.470000	52.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3844
2/2-3	2720.000000	1.560000	52.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3845
2/2-3	2830.000000	1.620000	57.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3846
2/2-3	3300.000000	1.700000	50.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3847
2/2-3	3450.000000	1.640000	45.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3848
2/2-3	4000.000000	1.680000	51.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3849
2/2-3	4100.000000	1.660000	51.000000	0.000000	water	9999-12-31	3	9999-12-31	2013-05-08	3850
2/2-4	120.000000	1.460000	15.000000	4.400000	WATER BASED	1988-06-07	1188	9999-12-31	2013-05-08	3851
2/2-4	123.000000	1.050000	0.000000	0.000000	WATER BASED	1988-04-18	1188	9999-12-31	2013-05-08	3852
2/2-4	207.000000	1.050000	4.000000	13.000000	WATER BASED	1988-04-19	1188	9999-12-31	2013-05-08	3853
2/2-4	400.000000	1.130000	4.000000	12.000000	WATER BASED	1988-04-20	1188	9999-12-31	2013-05-08	3854
2/2-4	770.000000	1.120000	4.000000	12.000000	WATER BASED	1988-04-22	1188	9999-12-31	2013-05-08	3855
2/2-4	915.000000	1.120000	5.000000	10.100000	WATER BASED	1988-04-22	1188	9999-12-31	2013-05-08	3856
2/2-4	915.000000	1.150000	0.000000	0.000000	WATER BASED	1988-04-27	1188	9999-12-31	2013-05-08	3857
2/2-4	915.000000	1.150000	4.000000	9.600000	WATER BASED	1988-04-27	1188	9999-12-31	2013-05-08	3858
2/2-4	1060.000000	1.160000	20.000000	8.700000	WATER BASED	1988-04-27	1188	9999-12-31	2013-05-08	3859
2/2-4	1405.000000	1.230000	22.000000	9.100000	WATER BASED	1988-04-27	1188	9999-12-31	2013-05-08	3860
2/2-4	1730.000000	1.400000	24.000000	7.700000	WATER BASED	1988-04-28	1188	9999-12-31	2013-05-08	3861
2/2-4	1764.000000	1.420000	31.000000	7.700000	WATER BASED	1988-04-29	1188	9999-12-31	2013-05-08	3862
2/2-4	1925.000000	1.420000	29.000000	6.800000	WATER BASED	1988-05-02	1188	9999-12-31	2013-05-08	3863
2/2-4	2035.000000	1.420000	26.000000	6.300000	WATER BASED	1988-05-02	1188	9999-12-31	2013-05-08	3864
2/2-4	2064.000000	1.420000	27.000000	5.800000	WATER BASED	1988-05-02	1188	9999-12-31	2013-05-08	3865
2/2-4	2209.000000	1.420000	24.000000	5.300000	WATER BASED	1988-05-03	1188	9999-12-31	2013-05-08	3866
2/2-4	2245.000000	1.420000	23.000000	5.800000	WATER BASED	1988-05-04	1188	9999-12-31	2013-05-08	3867
2/2-4	2319.000000	1.420000	17.000000	3.900000	WATER BASED	1988-05-06	1188	9999-12-31	2013-05-08	3868
2/2-4	2319.000000	1.420000	17.000000	3.900000	WATER BASED	1988-05-09	1188	9999-12-31	2013-05-08	3869
2/2-4	2319.000000	1.420000	18.000000	3.900000	WATER BASED	1988-05-05	1188	9999-12-31	2013-05-08	3870
2/2-4	2319.000000	1.420000	16.000000	4.400000	WATER BASED	1988-05-09	1188	9999-12-31	2013-05-08	3871
2/2-4	2450.000000	1.420000	17.000000	5.300000	WATER BASED	1988-05-10	1188	9999-12-31	2013-05-08	3872
2/2-4	2598.000000	1.450000	21.000000	7.200000	WATER BASED	1988-05-13	1188	9999-12-31	2013-05-08	3873
2/2-4	2703.000000	1.450000	18.000000	7.700000	WATER BASED	1988-05-13	1188	9999-12-31	2013-05-08	3874
2/2-4	2793.000000	1.450000	16.000000	4.800000	WATER BASED	1988-05-16	1188	9999-12-31	2013-05-08	3875
2/2-4	2793.000000	1.450000	19.000000	7.700000	WATER BASED	1988-05-13	1188	9999-12-31	2013-05-08	3876
2/2-4	2932.000000	1.500000	15.000000	4.800000	WATER BASED	1988-05-16	1188	9999-12-31	2013-05-08	3877
2/2-4	3086.000000	1.500000	15.000000	4.800000	WATER BASED	1988-05-16	1188	9999-12-31	2013-05-08	3878
2/2-4	3100.000000	1.520000	20.000000	5.300000	WATER BASED	1988-05-24	1188	9999-12-31	2013-05-08	3879
2/2-4	3100.000000	1.520000	21.000000	5.800000	WATER BASED	1988-05-24	1188	9999-12-31	2013-05-08	3880
2/2-4	3100.000000	1.520000	22.000000	4.800000	WATER BASED	1988-05-24	1188	9999-12-31	2013-05-08	3881
2/2-4	3146.000000	1.460000	15.000000	4.400000	WATER BASED	1988-06-07	1188	9999-12-31	2013-05-08	3882
2/2-4	3157.000000	1.500000	16.000000	4.400000	WATER BASED	1988-05-18	1188	9999-12-31	2013-05-08	3883
2/2-4	3177.000000	1.500000	16.000000	4.400000	WATER BASED	1988-05-18	1188	9999-12-31	2013-05-08	3884
2/2-4	3226.000000	1.520000	18.000000	6.300000	WATER BASED	1988-05-19	1188	9999-12-31	2013-05-08	3885
2/2-4	3283.000000	1.520000	19.000000	5.300000	WATER BASED	1988-05-20	1188	9999-12-31	2013-05-08	3886
2/2-4	3310.000000	1.520000	21.000000	5.800000	WATER BASED	1988-05-24	1188	9999-12-31	2013-05-08	3887
2/2-4	3321.000000	1.480000	15.000000	5.300000	WATER BASED	1988-05-25	1188	9999-12-31	2013-05-08	3888
2/2-4	3538.000000	1.480000	22.000000	6.300000	WATER BASED	1988-05-26	1188	9999-12-31	2013-05-08	3889
2/2-4	3709.000000	1.480000	30.000000	8.200000	WATER BASED	1988-05-30	1188	9999-12-31	2013-05-08	3890
2/2-4	3859.000000	1.480000	32.000000	8.200000	WATER BASED	1988-05-30	1188	9999-12-31	2013-05-08	3891
2/2-4	3902.000000	1.480000	32.000000	9.100000	WATER BASED	1988-05-30	1188	9999-12-31	2013-05-08	3892
2/2-4	4009.000000	1.480000	29.000000	7.200000	WATER BASED	1988-05-30	1188	9999-12-31	2013-05-08	3893
2/2-4	4020.000000	1.480000	23.000000	5.300000	WATER BASED	1988-05-31	1188	9999-12-31	2013-05-08	3894
2/2-4	4020.000000	1.480000	22.000000	6.300000	WATER BASED	1988-06-01	1188	9999-12-31	2013-05-08	3895
2/2-4	4020.000000	1.480000	22.000000	6.300000	WATER BASED	1988-06-02	1188	9999-12-31	2013-05-08	3896
2/2-4	4020.000000	1.460000	21.000000	6.300000	WATER BASED	1988-06-03	1188	9999-12-31	2013-05-08	3897
2/2-4	4020.000000	1.460000	17.000000	4.400000	WATER BASED	1988-06-07	1188	9999-12-31	2013-05-08	3898
2/2-4	4020.000000	1.460000	20.000000	5.300000	WATER BASED	1988-06-07	1188	9999-12-31	2013-05-08	3899
2/2-5	162.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3900
2/2-5	190.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3901
2/2-5	502.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3902
2/2-5	918.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3903
2/2-5	1029.000000	1.200000	27.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3904
2/2-5	1333.000000	1.390000	31.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3905
2/2-5	1680.000000	1.390000	36.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3906
2/2-5	1937.000000	1.410000	41.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3907
2/2-5	2044.000000	1.450000	40.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3908
2/2-5	2377.000000	1.450000	41.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3909
2/2-5	2523.000000	1.450000	33.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3910
2/2-5	2704.000000	1.450000	37.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3911
2/2-5	2790.000000	1.480000	43.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3912
2/2-5	2906.000000	1.480000	39.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3913
2/2-5	3034.000000	1.480000	32.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3914
2/2-5	3140.000000	1.480000	31.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3915
2/2-5	3148.000000	1.480000	28.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3916
2/2-5	3283.000000	1.500000	35.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3917
2/2-5	3334.000000	1.520000	37.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3918
2/2-5	3349.000000	1.510000	20.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3919
2/2-5	3365.000000	1.520000	34.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3920
2/2-5	3381.000000	1.520000	27.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3921
2/2-5	3418.000000	1.500000	25.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3922
2/2-5	3475.000000	1.500000	17.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3923
2/2-5	3484.000000	1.500000	16.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3924
2/2-5	3660.000000	1.540000	18.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3925
2/2-5	3666.000000	1.540000	20.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3926
2/2-5	3865.000000	1.510000	20.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3927
2/2-5	3951.000000	1.510000	19.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3928
2/2-5	3972.000000	1.510000	22.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3929
2/2-5	3981.000000	1.510000	20.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3930
2/2-5	3985.000000	1.510000	19.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3931
2/2-5	4059.000000	1.510000	18.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3932
2/2-5	4082.000000	1.510000	20.000000	0.000000	WATER BASED	9999-12-31	1846	9999-12-31	2013-05-08	3933
2/2-6	216.000000	1.100000	22.000000	0.000000	KCL/GEM	9999-12-31	6346	9999-12-31	2013-05-08	3934
2/2-6	570.000000	1.160000	31.000000	0.000000	KCL/GEM	9999-12-31	6346	9999-12-31	2013-05-08	3935
2/2-6	955.000000	1.210000	23.000000	0.000000	KCL/GEM	9999-12-31	6346	9999-12-31	2013-05-08	3936
2/2-6	1001.000000	1.220000	26.000000	0.000000	GEM/Polymer	9999-12-31	6346	9999-12-31	2013-05-08	3937
2/2-6	1001.000000	1.580000	40.000000	0.000000	ENVIROMUL	9999-12-31	6346	9999-12-31	2013-05-08	3938
2/2-6	1001.000000	1.220000	24.000000	0.000000	KCL/GEM	9999-12-31	6346	9999-12-31	2013-05-08	3939
2/2-6	1045.000000	1.590000	45.000000	0.000000	ENVIROMUL	9999-12-31	6346	9999-12-31	2013-05-08	3940
2/2-6	1196.000000	1.210000	22.000000	0.000000	KCL/GEM	9999-12-31	6346	9999-12-31	2013-05-08	3941
2/2-6	1196.000000	1.200000	19.000000	0.000000	KCL/GEM	9999-12-31	6346	9999-12-31	2013-05-08	3942
2/2-6	2301.000000	1.640000	40.000000	0.000000	ENVIROMUL	9999-12-31	6346	9999-12-31	2013-05-08	3943
2/2-6	3494.000000	1.570000	34.000000	0.000000	ENVIROMUL	9999-12-31	6346	9999-12-31	2013-05-08	3944
2/2-6	4105.000000	1.020000	1.000000	0.000000	Seawater	9999-12-31	6346	9999-12-31	2013-05-08	3945
2/2-6	4105.000000	1.570000	37.000000	0.000000	ENVIROMUL	9999-12-31	6346	9999-12-31	2013-05-08	3946
2/3-1	123.000000	1.020000	200.000000	0.000000	spud mud	9999-12-31	162	9999-12-31	2013-05-08	3947
2/3-1	463.000000	1.010000	108.000000	0.000000	water based	9999-12-31	162	9999-12-31	2013-05-08	3948
2/3-1	701.000000	1.110000	40.000000	0.000000	water based	9999-12-31	162	9999-12-31	2013-05-08	3949
2/3-1	1173.000000	1.300000	50.000000	0.000000	water based	9999-12-31	162	9999-12-31	2013-05-08	3950
2/3-1	1310.000000	1.370000	49.000000	0.000000	water based	9999-12-31	162	9999-12-31	2013-05-08	3951
2/3-1	1323.000000	1.370000	63.000000	0.000000	water based	9999-12-31	162	9999-12-31	2013-05-08	3952
2/3-1	1646.000000	1.440000	62.000000	0.000000	water based	9999-12-31	162	9999-12-31	2013-05-08	3953
2/3-1	2172.000000	1.410000	98.000000	0.000000	water based	9999-12-31	162	9999-12-31	2013-05-08	3954
2/3-2	211.000000	1.050000	35.000000	0.000000	seawater	9999-12-31	169	9999-12-31	2013-05-08	3955
2/3-2	1079.000000	1.250000	50.000000	0.000000	seawater	9999-12-31	169	9999-12-31	2013-05-08	3956
2/3-2	2298.000000	1.440000	55.000000	0.000000	seawater	9999-12-31	169	9999-12-31	2013-05-08	3957
2/3-3	278.000000	1.040000	40.000000	0.000000	seawater	9999-12-31	198	9999-12-31	2013-05-08	3958
2/3-3	1097.000000	1.430000	65.000000	0.000000	seawater	9999-12-31	198	9999-12-31	2013-05-08	3959
2/3-3	1940.000000	1.500000	55.000000	0.000000	seawater	9999-12-31	198	9999-12-31	2013-05-08	3960
2/3-3	2669.000000	1.570000	58.000000	0.000000	seawater	9999-12-31	198	9999-12-31	2013-05-08	3961
2/3-4	128.000000	1.430000	0.000000	0.000000	WATER BASED	1984-05-29	129	9999-12-31	2013-05-08	3962
2/3-4	201.000000	1.320000	0.000000	0.000000	WATER BASED	1984-05-31	129	9999-12-31	2013-05-08	3963
2/3-4	201.000000	1.320000	0.000000	0.000000	WATER BASED	1984-05-31	129	9999-12-31	2013-05-08	3964
2/3-4	201.000000	1.040000	0.000000	0.000000	WATER BASED	1984-06-04	129	9999-12-31	2013-05-08	3965
2/3-4	639.000000	1.140000	330.000000	200.000000	OIL BASED	1984-06-15	129	9999-12-31	2013-05-08	3966
2/3-4	651.000000	1.050000	6.000000	29.000000	WATER BASED	1984-06-05	129	9999-12-31	2013-05-08	3967
2/3-4	1213.000000	1.260000	31.000000	22.000000	OIL BASED	1984-06-17	129	9999-12-31	2013-05-08	3968
2/3-4	1771.000000	1.380000	37.000000	25.000000	OIL BASED	1984-06-25	129	9999-12-31	2013-05-08	3969
2/3-4	2157.000000	1.400000	32.000000	25.000000	OIL BASED	1984-06-28	129	9999-12-31	2013-05-08	3970
2/3-4	2563.000000	1.410000	39.000000	27.000000	OIL BASED	1984-07-02	129	9999-12-31	2013-05-08	3971
2/3-4	2795.000000	1.410000	34.000000	11.100000	OIL BASED	1984-07-04	129	9999-12-31	2013-05-08	3972
2/3-4	2889.000000	1.410000	32.000000	10.600000	OIL BASED	1984-07-04	129	9999-12-31	2013-05-08	3973
2/3-4	2968.000000	1.490000	35.000000	15.400000	OIL BASED	1984-07-06	129	9999-12-31	2013-05-08	3974
2/3-4	3001.000000	1.530000	36.000000	14.900000	OIL BASED	1984-07-11	129	9999-12-31	2013-05-08	3975
2/3-4	3125.000000	1.560000	36.000000	14.900000	OIL BASED	1984-07-13	129	9999-12-31	2013-05-08	3976
2/4-1	160.000000	1.070000	100.000000	0.000000	spud mud	9999-12-31	895	9999-12-31	2013-05-08	3977
2/4-1	680.000000	1.230000	70.000000	0.000000	spud mud	9999-12-31	895	9999-12-31	2013-05-08	3978
2/4-1	1069.000000	1.440000	38.000000	0.000000	spud mud	9999-12-31	895	9999-12-31	2013-05-08	3979
2/4-1	1459.000000	1.560000	45.000000	0.000000	spud mud	9999-12-31	895	9999-12-31	2013-05-08	3980
2/4-1	1662.000000	1.590000	44.000000	0.000000	spud mud	9999-12-31	895	9999-12-31	2013-05-08	3981
2/4-10	133.000000	1.120000	0.000000	0.000000	water based	9999-12-31	254	9999-12-31	2013-05-08	3982
2/4-10	1193.000000	1.360000	0.000000	0.000000	water based	9999-12-31	254	9999-12-31	2013-05-08	3983
2/4-10	1820.000000	1.620000	0.000000	0.000000	water based	9999-12-31	254	9999-12-31	2013-05-08	3984
2/4-10	2452.000000	1.700000	0.000000	0.000000	water based	9999-12-31	254	9999-12-31	2013-05-08	3985
2/4-10	3046.000000	1.710000	0.000000	0.000000	water based	9999-12-31	254	9999-12-31	2013-05-08	3986
2/4-10	3418.000000	1.710000	0.000000	0.000000	water based	9999-12-31	254	9999-12-31	2013-05-08	3987
2/4-11	137.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	255	9999-12-31	2013-05-08	3988
2/4-11	487.000000	1.310000	0.000000	0.000000	seawater	9999-12-31	255	9999-12-31	2013-05-08	3989
2/4-11	1219.000000	1.310000	0.000000	0.000000	seawater	9999-12-31	255	9999-12-31	2013-05-08	3990
2/4-11	2438.000000	1.640000	0.000000	0.000000	seawa/barit	9999-12-31	255	9999-12-31	2013-05-08	3991
2/4-11	3962.000000	1.710000	0.000000	0.000000	seawa/barit	9999-12-31	255	9999-12-31	2013-05-08	3992
2/4-12	914.000000	1.060000	42.000000	0.000000	waterbased	9999-12-31	256	9999-12-31	2013-05-08	3993
2/4-12	1219.000000	1.210000	43.000000	0.000000	waterbased	9999-12-31	256	9999-12-31	2013-05-08	3994
2/4-12	1829.000000	1.670000	40.000000	0.000000	waterbased	9999-12-31	256	9999-12-31	2013-05-08	3995
2/4-12	3048.000000	1.670000	58.000000	0.000000	waterbased	9999-12-31	256	9999-12-31	2013-05-08	3996
2/4-12	3230.000000	1.630000	54.000000	0.000000	waterbased	9999-12-31	256	9999-12-31	2013-05-08	3997
2/4-12	3883.000000	1.620000	55.000000	0.000000	waterbased	9999-12-31	256	9999-12-31	2013-05-08	3998
2/4-13	215.000000	1.070000	0.000000	0.000000	WATER BASED	1988-09-07	1313	9999-12-31	2013-05-08	3999
2/4-13	218.000000	1.050000	0.000000	0.000000	WATER BASED	1988-09-07	1313	9999-12-31	2013-05-08	4000
2/4-13	560.000000	1.130000	4.000000	17.300000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4001
2/4-13	922.000000	1.200000	6.000000	17.300000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4002
2/4-13	922.000000	1.200000	8.000000	13.900000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4003
2/4-13	1185.000000	1.200000	14.000000	6.800000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4004
2/4-13	1505.000000	1.350000	20.000000	5.300000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4005
2/4-13	1720.000000	1.350000	28.000000	5.300000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4006
2/4-13	1984.000000	1.500000	20.000000	4.400000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4007
2/4-13	2216.000000	1.550000	23.000000	4.800000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4008
2/4-13	2406.000000	1.600000	24.000000	3.400000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4009
2/4-13	2450.000000	1.600000	27.000000	5.300000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4010
2/4-13	2518.000000	1.600000	24.000000	3.900000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4011
2/4-13	2518.000000	1.600000	28.000000	3.400000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4012
2/4-13	2518.000000	1.600000	23.000000	4.800000	WATER BASED	1988-10-03	1313	9999-12-31	2013-05-08	4013
2/4-13	2518.000000	1.600000	24.000000	4.800000	WATER BASED	1988-10-03	1313	9999-12-31	2013-05-08	4014
2/4-13	2518.000000	1.600000	25.000000	5.800000	WATER BASED	1988-10-03	1313	9999-12-31	2013-05-08	4015
2/4-13	2518.000000	1.600000	26.000000	4.400000	WATER BASED	1988-10-03	1313	9999-12-31	2013-05-08	4016
2/4-13	2518.000000	1.600000	27.000000	5.800000	WATER BASED	1988-10-03	1313	9999-12-31	2013-05-08	4017
2/4-13	2518.000000	1.600000	41.000000	33.600000	WATER BASED	1988-10-03	1313	9999-12-31	2013-05-08	4018
2/4-13	2518.000000	1.600000	37.000000	30.700000	WATER BASED	1988-10-14	1313	9999-12-31	2013-05-08	4019
2/4-13	2518.000000	1.600000	40.000000	33.600000	WATER BASED	1988-10-14	1313	9999-12-31	2013-05-08	4020
2/4-13	2518.000000	1.600000	25.000000	3.400000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4021
2/4-13	2518.000000	1.600000	28.000000	3.900000	WATER BASED	1988-09-23	1313	9999-12-31	2013-05-08	4022
2/4-13	2518.000000	1.600000	23.000000	3.900000	WATER BASED	1988-10-03	1313	9999-12-31	2013-05-08	4023
2/4-13	2518.000000	1.600000	42.000000	26.400000	WATER BASED	1988-10-03	1313	9999-12-31	2013-05-08	4024
2/4-13	2518.000000	1.600000	21.000000	32.600000	WATER BASED	1988-10-14	1313	9999-12-31	2013-05-08	4025
2/4-13	2518.000000	1.600000	26.000000	13.000000	WATER BASED	1988-10-14	1313	9999-12-31	2013-05-08	4026
2/4-14	213.000000	1.060000	0.000000	0.000000	WATER BASED	1988-10-18	1343	9999-12-31	2013-05-08	4027
2/4-14	217.000000	1.060000	0.000000	0.000000	WATER BASED	1988-10-18	1343	9999-12-31	2013-05-08	4028
2/4-14	217.000000	1.060000	6.000000	16.300000	WATER BASED	1988-10-18	1343	9999-12-31	2013-05-08	4029
2/4-14	766.000000	1.160000	5.000000	14.400000	WATER BASED	1988-10-18	1343	9999-12-31	2013-05-08	4030
2/4-14	916.000000	1.160000	4.000000	7.700000	WATER BASED	1988-10-18	1343	9999-12-31	2013-05-08	4031
2/4-14	916.000000	1.200000	6.000000	7.700000	WATER BASED	1988-10-18	1343	9999-12-31	2013-05-08	4032
2/4-14	916.000000	1.200000	12.000000	2.400000	WATER BASED	1988-10-18	1343	9999-12-31	2013-05-08	4033
2/4-14	916.000000	1.200000	0.000000	0.000000	WATER BASED	1988-10-18	1343	9999-12-31	2013-05-08	4034
2/4-14	931.000000	1.200000	13.000000	2.900000	WATER BASED	1988-10-18	1343	9999-12-31	2013-05-08	4035
2/4-14	1344.000000	1.330000	22.000000	5.300000	WATER BASED	1988-10-18	1343	9999-12-31	2013-05-08	4036
2/4-14	1769.000000	1.400000	36.000000	7.700000	WATER BASED	1988-10-18	1343	9999-12-31	2013-05-08	4037
2/4-14	2123.000000	1.550000	32.000000	8.700000	WATER BASED	1988-10-19	1343	9999-12-31	2013-05-08	4038
2/4-14	2257.000000	1.550000	37.000000	6.300000	WATER BASED	1988-10-24	1343	9999-12-31	2013-05-08	4039
2/4-14	2407.000000	1.600000	32.000000	5.300000	WATER BASED	1988-10-24	1343	9999-12-31	2013-05-08	4040
2/4-14	2526.000000	1.600000	22.000000	5.800000	WATER BASED	1988-10-24	1343	9999-12-31	2013-05-08	4041
2/4-14	2526.000000	1.600000	30.000000	6.300000	WATER BASED	1988-10-24	1343	9999-12-31	2013-05-08	4042
2/4-14	2526.000000	1.610000	20.000000	5.300000	WATER BASED	1988-10-24	1343	9999-12-31	2013-05-08	4043
2/4-14	2526.000000	1.600000	30.000000	5.800000	WATER BASED	1988-10-24	1343	9999-12-31	2013-05-08	4044
2/4-14	2803.000000	1.610000	30.000000	7.200000	WATER BASED	1988-10-26	1343	9999-12-31	2013-05-08	4045
2/4-14	3032.000000	1.650000	30.000000	8.200000	WATER BASED	1988-10-26	1343	9999-12-31	2013-05-08	4046
2/4-14	3060.000000	1.660000	27.000000	7.700000	WATER BASED	1988-10-28	1343	9999-12-31	2013-05-08	4047
2/4-14	3177.000000	1.650000	21.000000	4.800000	WATER BASED	1988-10-28	1343	9999-12-31	2013-05-08	4048
2/4-14	3218.000000	1.650000	28.000000	6.300000	WATER BASED	1988-11-07	1343	9999-12-31	2013-05-08	4049
2/4-14	3273.000000	1.650000	34.000000	8.700000	WATER BASED	1988-11-07	1343	9999-12-31	2013-05-08	4050
2/4-14	3285.000000	1.650000	30.000000	6.300000	WATER BASED	1988-11-07	1343	9999-12-31	2013-05-08	4051
2/4-14	3285.000000	1.650000	32.000000	7.200000	WATER BASED	1988-11-07	1343	9999-12-31	2013-05-08	4052
2/4-14	3312.000000	1.650000	31.000000	5.800000	WATER BASED	1988-11-07	1343	9999-12-31	2013-05-08	4053
2/4-14	3341.000000	1.650000	31.000000	5.300000	WATER BASED	1988-11-07	1343	9999-12-31	2013-05-08	4054
2/4-14	3388.000000	1.650000	26.000000	5.800000	WATER BASED	1988-11-07	1343	9999-12-31	2013-05-08	4055
2/4-14	3421.000000	1.650000	26.000000	5.800000	WATER BASED	1988-11-07	1343	9999-12-31	2013-05-08	4056
2/4-14	3423.000000	1.680000	25.000000	4.800000	WATER BASED	1988-11-24	1343	9999-12-31	2013-05-08	4057
2/4-14	3441.000000	1.650000	27.000000	5.800000	WATER BASED	1988-11-07	1343	9999-12-31	2013-05-08	4058
2/4-14	3444.000000	1.680000	21.000000	3.400000	WATER BASED	1988-11-24	1343	9999-12-31	2013-05-08	4059
2/4-14	3464.000000	1.680000	22.000000	5.300000	WATER BASED	1988-11-25	1343	9999-12-31	2013-05-08	4060
2/4-14	3523.000000	1.650000	27.000000	6.800000	WATER BASED	1988-11-07	1343	9999-12-31	2013-05-08	4061
2/4-14	3561.000000	1.680000	21.000000	4.800000	WATER BASED	1988-11-25	1343	9999-12-31	2013-05-08	4062
2/4-14	3622.000000	1.680000	30.000000	5.800000	WATER BASED	1988-11-28	1343	9999-12-31	2013-05-08	4063
2/4-14	3660.000000	1.680000	26.000000	6.800000	WATER BASED	1988-11-28	1343	9999-12-31	2013-05-08	4064
2/4-14	3687.000000	1.650000	28.000000	4.800000	WATER BASED	1988-11-24	1343	9999-12-31	2013-05-08	4065
2/4-14	3687.000000	1.680000	22.000000	4.800000	WATER BASED	1988-11-24	1343	9999-12-31	2013-05-08	4066
2/4-14	3687.000000	1.650000	30.000000	7.700000	WATER BASED	1988-11-11	1343	9999-12-31	2013-05-08	4067
2/4-14	3687.000000	1.650000	36.000000	8.700000	WATER BASED	1988-11-11	1343	9999-12-31	2013-05-08	4068
2/4-14	3687.000000	1.650000	20.000000	3.900000	WATER BASED	1988-11-14	1343	9999-12-31	2013-05-08	4069
2/4-14	3687.000000	1.650000	23.000000	4.400000	WATER BASED	1988-11-14	1343	9999-12-31	2013-05-08	4070
2/4-14	3687.000000	1.650000	20.000000	3.900000	WATER BASED	1988-11-15	1343	9999-12-31	2013-05-08	4071
2/4-14	3687.000000	1.650000	20.000000	3.400000	WATER BASED	1988-11-17	1343	9999-12-31	2013-05-08	4072
2/4-14	3687.000000	1.650000	20.000000	3.400000	WATER BASED	1988-11-16	1343	9999-12-31	2013-05-08	4073
2/4-14	3687.000000	1.650000	20.000000	4.800000	WATER BASED	1988-11-18	1343	9999-12-31	2013-05-08	4074
2/4-14	3687.000000	1.650000	25.000000	4.800000	WATER BASED	1988-11-14	1343	9999-12-31	2013-05-08	4075
2/4-14	3716.000000	1.680000	25.000000	7.200000	WATER BASED	1988-11-28	1343	9999-12-31	2013-05-08	4076
2/4-14	3745.000000	1.680000	26.000000	5.800000	WATER BASED	1988-11-29	1343	9999-12-31	2013-05-08	4077
2/4-14	3773.000000	1.680000	24.000000	6.800000	WATER BASED	1988-11-30	1343	9999-12-31	2013-05-08	4078
2/4-14	3810.000000	1.680000	21.000000	6.800000	WATER BASED	1988-12-01	1343	9999-12-31	2013-05-08	4079
2/4-14	3911.000000	1.680000	23.000000	6.800000	WATER BASED	1988-12-05	1343	9999-12-31	2013-05-08	4080
2/4-14	3949.000000	1.680000	23.000000	5.800000	WATER BASED	1988-12-05	1343	9999-12-31	2013-05-08	4081
2/4-14	3990.000000	1.680000	22.000000	4.800000	WATER BASED	1988-12-05	1343	9999-12-31	2013-05-08	4082
2/4-14	4037.000000	1.680000	22.000000	4.800000	WATER BASED	1988-12-07	1343	9999-12-31	2013-05-08	4083
2/4-14	4048.000000	1.680000	22.000000	4.800000	WATER BASED	1988-12-07	1343	9999-12-31	2013-05-08	4084
2/4-14	4087.000000	1.680000	21.000000	6.300000	WATER BASED	1988-12-08	1343	9999-12-31	2013-05-08	4085
2/4-14	4153.000000	1.680000	19.000000	7.200000	WATER BASED	1988-12-12	1343	9999-12-31	2013-05-08	4086
2/4-14	4205.000000	1.680000	22.000000	6.300000	WATER BASED	1988-12-12	1343	9999-12-31	2013-05-08	4087
2/4-14	4262.000000	1.680000	23.000000	5.800000	WATER BASED	1988-12-12	1343	9999-12-31	2013-05-08	4088
2/4-14	4316.000000	1.680000	23.000000	5.300000	WATER BASED	1988-12-12	1343	9999-12-31	2013-05-08	4089
2/4-14	4366.000000	1.720000	24.000000	7.200000	WATER BASED	1988-12-13	1343	9999-12-31	2013-05-08	4090
2/4-14	4415.000000	1.720000	26.000000	11.500000	WATER BASED	1988-12-14	1343	9999-12-31	2013-05-08	4091
2/4-14	4453.000000	1.720000	21.000000	4.400000	WATER BASED	1988-12-20	1343	9999-12-31	2013-05-08	4092
2/4-14	4453.000000	1.720000	22.000000	3.400000	WATER BASED	1988-12-22	1343	9999-12-31	2013-05-08	4093
2/4-14	4453.000000	1.720000	16.000000	2.000000	WATER BASED	1988-12-27	1343	9999-12-31	2013-05-08	4094
2/4-14	4453.000000	1.720000	17.000000	2.400000	WATER BASED	1988-12-27	1343	9999-12-31	2013-05-08	4095
2/4-14	4453.000000	1.720000	19.000000	5.300000	WATER BASED	1988-12-19	1343	9999-12-31	2013-05-08	4096
2/4-14	4453.000000	1.720000	23.000000	4.800000	WATER BASED	1988-12-19	1343	9999-12-31	2013-05-08	4097
2/4-14	4453.000000	1.720000	20.000000	3.400000	WATER BASED	1988-12-20	1343	9999-12-31	2013-05-08	4098
2/4-14	4453.000000	1.720000	21.000000	3.900000	WATER BASED	1988-12-20	1343	9999-12-31	2013-05-08	4099
2/4-14	4453.000000	1.720000	22.000000	3.400000	WATER BASED	1988-12-21	1343	9999-12-31	2013-05-08	4100
2/4-14	4453.000000	1.720000	22.000000	3.400000	WATER BASED	1988-12-27	1343	9999-12-31	2013-05-08	4101
2/4-14	4453.000000	1.720000	14.000000	2.900000	WATER BASED	1989-01-03	1343	9999-12-31	2013-05-08	4102
2/4-14	4453.000000	1.720000	16.000000	2.400000	WATER BASED	1989-01-03	1343	9999-12-31	2013-05-08	4103
2/4-14	4453.000000	1.720000	20.000000	3.900000	WATER BASED	1989-01-03	1343	9999-12-31	2013-05-08	4104
2/4-14	4485.000000	1.720000	19.000000	3.400000	WATER BASED	1989-01-03	1343	9999-12-31	2013-05-08	4105
2/4-14	4505.000000	1.720000	21.000000	4.400000	WATER BASED	1989-01-05	1343	9999-12-31	2013-05-08	4106
2/4-14	4561.000000	1.720000	18.000000	4.400000	WATER BASED	1989-01-09	1343	9999-12-31	2013-05-08	4107
2/4-14	4586.000000	1.720000	17.000000	3.900000	WATER BASED	1989-01-09	1343	9999-12-31	2013-05-08	4108
2/4-14	4645.000000	1.930000	21.000000	5.800000	WATER BASED	1989-01-09	1343	9999-12-31	2013-05-08	4109
2/4-14	4650.000000	2.000000	21.000000	2.900000	WATER BASED	1989-01-09	1343	9999-12-31	2013-05-08	4110
2/4-14	4695.000000	2.080000	24.000000	3.900000	WATER BASED	1989-01-09	1343	9999-12-31	2013-05-08	4111
2/4-14	4714.000000	2.100000	24.000000	5.300000	WATER BASED	1989-01-10	1343	9999-12-31	2013-05-08	4112
2/4-14	4720.000000	2.090000	23.000000	3.400000	WATER BASED	1989-01-11	1343	9999-12-31	2013-05-08	4113
2/4-14	4733.000000	2.120000	26.000000	4.400000	WATER BASED	1989-01-24	1343	9999-12-31	2013-05-08	4114
2/4-14	4734.000000	2.120000	40.000000	7.700000	WATER BASED	1989-01-17	1343	9999-12-31	2013-05-08	4115
2/4-14	4734.000000	2.120000	24.000000	2.400000	WATER BASED	1989-01-18	1343	9999-12-31	2013-05-08	4116
2/4-14	4734.000000	2.120000	24.000000	2.400000	WATER BASED	1989-01-19	1343	9999-12-31	2013-05-08	4117
2/4-14	4734.000000	2.120000	43.000000	9.600000	WATER BASED	1989-01-17	1343	9999-12-31	2013-05-08	4118
2/4-14	4734.000000	2.120000	24.000000	2.400000	WATER BASED	1989-01-17	1343	9999-12-31	2013-05-08	4119
2/4-14	4734.000000	2.090000	23.000000	3.900000	WATER BASED	1989-01-13	1343	9999-12-31	2013-05-08	4120
2/4-14	4734.000000	2.120000	24.000000	2.400000	WATER BASED	1989-01-20	1343	9999-12-31	2013-05-08	4121
2/4-14	4734.000000	2.120000	0.000000	0.000000	WATER BASED	1989-01-24	1343	9999-12-31	2013-05-08	4122
2/4-14	4734.000000	2.120000	26.000000	4.400000	WATER BASED	1989-01-24	1343	9999-12-31	2013-05-08	4123
2/4-14	4734.000000	2.120000	0.000000	0.000000	WATER BASED	1989-01-25	1343	9999-12-31	2013-05-08	4124
2/4-15 S	122.000000	1.050000	0.000000	0.000000	WATER BASED	1989-02-02	1371	9999-12-31	2013-05-08	4125
2/4-15 S	216.000000	1.050000	0.000000	0.000000	WATER BASED	1989-02-02	1371	9999-12-31	2013-05-08	4126
2/4-15 S	216.000000	1.050000	0.000000	0.000000	WATER BASED	1989-02-03	1371	9999-12-31	2013-05-08	4127
2/4-15 S	301.000000	1.110000	8.000000	17.300000	WATER BASED	1989-02-06	1371	9999-12-31	2013-05-08	4128
2/4-15 S	825.000000	1.570000	35.000000	5.800000	WATER BASED	1989-03-21	1371	9999-12-31	2013-05-08	4129
2/4-15 S	840.000000	1.670000	29.000000	5.800000	WATER BASED	1989-03-21	1371	9999-12-31	2013-05-08	4130
2/4-15 S	915.000000	1.170000	5.000000	11.100000	WATER BASED	1989-02-06	1371	9999-12-31	2013-05-08	4131
2/4-15 S	915.000000	1.160000	5.000000	10.100000	WATER BASED	1989-02-06	1371	9999-12-31	2013-05-08	4132
2/4-15 S	920.000000	1.180000	5.000000	11.100000	WATER BASED	1989-02-08	1371	9999-12-31	2013-05-08	4133
2/4-15 S	920.000000	1.180000	0.000000	0.000000	WATER BASED	1989-02-08	1371	9999-12-31	2013-05-08	4134
2/4-15 S	920.000000	1.160000	0.000000	0.000000	WATER BASED	1989-02-20	1371	9999-12-31	2013-05-08	4135
2/4-15 S	960.000000	1.220000	14.000000	8.700000	WATER BASED	1989-02-21	1371	9999-12-31	2013-05-08	4136
2/4-15 S	1112.000000	1.570000	28.000000	4.800000	WATER BASED	1989-03-28	1371	9999-12-31	2013-05-08	4137
2/4-15 S	1250.000000	1.250000	19.000000	9.600000	WATER BASED	1989-02-22	1371	9999-12-31	2013-05-08	4138
2/4-15 S	1322.000000	1.570000	35.000000	7.700000	WATER BASED	1989-03-28	1371	9999-12-31	2013-05-08	4139
2/4-15 S	1398.000000	1.290000	17.000000	5.800000	WATER BASED	1989-02-23	1371	9999-12-31	2013-05-08	4140
2/4-15 S	1613.000000	1.620000	30.000000	5.800000	WATER BASED	1989-03-28	1371	9999-12-31	2013-05-08	4141
2/4-15 S	1687.000000	1.450000	22.000000	4.800000	WATER BASED	1989-02-24	1371	9999-12-31	2013-05-08	4142
2/4-15 S	1720.000000	1.670000	29.000000	5.800000	WATER BASED	1989-04-05	1371	9999-12-31	2013-05-08	4143
2/4-15 S	1720.000000	1.690000	23.000000	5.800000	WATER BASED	1989-04-05	1371	9999-12-31	2013-05-08	4144
2/4-15 S	1720.000000	1.670000	27.000000	5.800000	WATER BASED	1989-04-03	1371	9999-12-31	2013-05-08	4145
2/4-15 S	1720.000000	1.720000	36.000000	5.800000	WATER BASED	1989-04-07	1371	9999-12-31	2013-05-08	4146
2/4-15 S	1755.000000	1.720000	27.000000	6.300000	WATER BASED	1989-04-07	1371	9999-12-31	2013-05-08	4147
2/4-15 S	1818.000000	1.590000	21.000000	4.800000	WATER BASED	1989-03-03	1371	9999-12-31	2013-05-08	4148
2/4-15 S	1853.000000	1.650000	30.000000	6.300000	WATER BASED	1989-03-28	1371	9999-12-31	2013-05-08	4149
2/4-15 S	1900.000000	1.670000	35.000000	4.400000	WATER BASED	1989-03-28	1371	9999-12-31	2013-05-08	4150
2/4-15 S	1900.000000	1.670000	30.000000	6.300000	WATER BASED	1989-03-28	1371	9999-12-31	2013-05-08	4151
2/4-15 S	1907.000000	1.720000	35.000000	6.800000	WATER BASED	1989-04-10	1371	9999-12-31	2013-05-08	4152
2/4-15 S	1920.000000	1.610000	25.000000	4.400000	WATER BASED	1989-03-07	1371	9999-12-31	2013-05-08	4153
2/4-15 S	1920.000000	1.610000	28.000000	4.800000	WATER BASED	1989-03-07	1371	9999-12-31	2013-05-08	4154
2/4-15 S	1920.000000	1.500000	24.000000	5.300000	WATER BASED	1989-02-27	1371	9999-12-31	2013-05-08	4155
2/4-15 S	1988.000000	1.720000	35.000000	5.800000	WATER BASED	1989-04-10	1371	9999-12-31	2013-05-08	4156
2/4-15 S	2010.000000	1.720000	24.000000	4.800000	WATER BASED	1989-04-18	1371	9999-12-31	2013-05-08	4157
2/4-15 S	2010.000000	1.720000	28.000000	3.900000	WATER BASED	1989-04-18	1371	9999-12-31	2013-05-08	4158
2/4-15 S	2010.000000	1.720000	27.000000	4.800000	WATER BASED	1989-04-14	1371	9999-12-31	2013-05-08	4159
2/4-15 S	2010.000000	1.720000	26.000000	4.400000	WATER BASED	1989-04-14	1371	9999-12-31	2013-05-08	4160
2/4-15 S	2010.000000	1.720000	26.000000	5.300000	WATER BASED	1989-04-18	1371	9999-12-31	2013-05-08	4161
2/4-15 S	2010.000000	1.720000	34.000000	5.300000	WATER BASED	1989-04-11	1371	9999-12-31	2013-05-08	4162
2/4-15 S	2010.000000	1.720000	28.000000	5.300000	WATER BASED	1989-04-12	1371	9999-12-31	2013-05-08	4163
2/4-15 S	2010.000000	1.720000	34.000000	5.300000	WATER BASED	1989-04-11	1371	9999-12-31	2013-05-08	4164
2/4-15 S	2093.000000	1.550000	27.000000	5.800000	WATER BASED	1989-02-27	1371	9999-12-31	2013-05-08	4165
2/4-15 S	2093.000000	1.500000	23.000000	5.800000	WATER BASED	1989-02-27	1371	9999-12-31	2013-05-08	4166
2/4-15 S	2093.000000	1.580000	26.000000	4.800000	WATER BASED	1989-02-28	1371	9999-12-31	2013-05-08	4167
2/4-15 S	2093.000000	1.580000	24.000000	5.800000	WATER BASED	1989-03-01	1371	9999-12-31	2013-05-08	4168
2/4-15 S	2093.000000	1.590000	26.000000	5.800000	WATER BASED	1989-03-03	1371	9999-12-31	2013-05-08	4169
2/4-15 S	2100.000000	1.720000	36.000000	5.800000	WATER BASED	1989-04-10	1371	9999-12-31	2013-05-08	4170
2/4-15 S	2120.000000	1.630000	28.000000	7.200000	WATER BASED	1989-03-07	1371	9999-12-31	2013-05-08	4171
2/4-15 S	2210.000000	1.630000	26.000000	6.800000	WATER BASED	1989-03-08	1371	9999-12-31	2013-05-08	4172
2/4-15 S	2298.000000	1.720000	29.000000	5.300000	WATER BASED	1989-04-18	1371	9999-12-31	2013-05-08	4173
2/4-15 S	2331.000000	1.670000	30.000000	7.700000	WATER BASED	1989-03-28	1371	9999-12-31	2013-05-08	4174
2/4-15 S	2363.000000	1.670000	33.000000	5.800000	WATER BASED	1989-03-15	1371	9999-12-31	2013-05-08	4175
2/4-15 S	2363.000000	1.630000	28.000000	6.300000	WATER BASED	1989-03-09	1371	9999-12-31	2013-05-08	4176
2/4-15 S	2363.000000	1.630000	28.000000	5.300000	WATER BASED	1989-03-10	1371	9999-12-31	2013-05-08	4177
2/4-15 S	2363.000000	1.630000	29.000000	5.800000	WATER BASED	1989-03-13	1371	9999-12-31	2013-05-08	4178
2/4-15 S	2363.000000	1.630000	29.000000	4.800000	WATER BASED	1989-03-13	1371	9999-12-31	2013-05-08	4179
2/4-15 S	2363.000000	1.630000	31.000000	6.300000	WATER BASED	1989-03-13	1371	9999-12-31	2013-05-08	4180
2/4-15 S	2363.000000	1.630000	31.000000	5.300000	WATER BASED	1989-03-09	1371	9999-12-31	2013-05-08	4181
2/4-15 S	2428.000000	1.670000	31.000000	6.300000	WATER BASED	1989-03-16	1371	9999-12-31	2013-05-08	4182
2/4-15 S	2428.000000	1.670000	24.000000	4.800000	WATER BASED	1989-03-29	1371	9999-12-31	2013-05-08	4183
2/4-15 S	2428.000000	1.670000	24.000000	5.300000	WATER BASED	1989-04-03	1371	9999-12-31	2013-05-08	4184
2/4-15 S	2428.000000	1.670000	24.000000	5.300000	WATER BASED	1989-04-03	1371	9999-12-31	2013-05-08	4185
2/4-15 S	2428.000000	1.670000	25.000000	5.300000	WATER BASED	1989-03-31	1371	9999-12-31	2013-05-08	4186
2/4-15 S	2428.000000	1.670000	25.000000	5.300000	WATER BASED	1989-03-30	1371	9999-12-31	2013-05-08	4187
2/4-15 S	2453.000000	1.720000	27.000000	4.800000	WATER BASED	1989-04-19	1371	9999-12-31	2013-05-08	4188
2/4-15 S	2644.000000	1.670000	33.000000	6.300000	WATER BASED	1989-03-16	1371	9999-12-31	2013-05-08	4189
2/4-15 S	2644.000000	1.670000	32.000000	5.300000	WATER BASED	1989-03-17	1371	9999-12-31	2013-05-08	4190
2/4-15 S	2644.000000	1.670000	30.000000	4.800000	WATER BASED	1989-03-20	1371	9999-12-31	2013-05-08	4191
2/4-15 S	2644.000000	1.670000	32.000000	5.800000	WATER BASED	1989-03-20	1371	9999-12-31	2013-05-08	4192
2/4-15 S	2673.000000	1.720000	37.000000	5.300000	WATER BASED	1989-04-20	1371	9999-12-31	2013-05-08	4193
2/4-15 S	2673.000000	1.720000	34.000000	5.800000	WATER BASED	1989-04-26	1371	9999-12-31	2013-05-08	4194
2/4-15 S	2673.000000	1.720000	37.000000	4.800000	WATER BASED	1989-04-24	1371	9999-12-31	2013-05-08	4195
2/4-15 S	2673.000000	1.720000	32.000000	6.300000	WATER BASED	1989-04-24	1371	9999-12-31	2013-05-08	4196
2/4-15 S	2673.000000	1.720000	34.000000	5.800000	WATER BASED	1989-04-24	1371	9999-12-31	2013-05-08	4197
2/4-15 S	2673.000000	1.720000	32.000000	6.300000	WATER BASED	1989-04-24	1371	9999-12-31	2013-05-08	4198
2/4-15 S	2678.000000	1.720000	28.000000	5.800000	WATER BASED	1989-04-26	1371	9999-12-31	2013-05-08	4199
2/4-15 S	2684.000000	1.720000	28.000000	5.800000	WATER BASED	1989-04-27	1371	9999-12-31	2013-05-08	4200
2/4-15 S	2803.000000	1.720000	34.000000	7.700000	WATER BASED	1989-04-28	1371	9999-12-31	2013-05-08	4201
2/4-15 S	2955.000000	1.720000	27.000000	5.800000	WATER BASED	1989-05-02	1371	9999-12-31	2013-05-08	4202
2/4-15 S	3073.000000	1.720000	25.000000	5.800000	WATER BASED	1989-05-02	1371	9999-12-31	2013-05-08	4203
2/4-15 S	3126.000000	1.720000	25.000000	4.800000	WATER BASED	1989-05-02	1371	9999-12-31	2013-05-08	4204
2/4-15 S	3203.000000	1.720000	30.000000	7.200000	WATER BASED	1989-05-02	1371	9999-12-31	2013-05-08	4205
2/4-15 S	3250.000000	1.720000	31.000000	5.800000	WATER BASED	1989-05-03	1371	9999-12-31	2013-05-08	4206
2/4-15 S	3400.000000	1.720000	26.000000	4.400000	WATER BASED	1989-05-05	1371	9999-12-31	2013-05-08	4207
2/4-15 S	3431.000000	1.720000	27.000000	5.300000	WATER BASED	1989-05-05	1371	9999-12-31	2013-05-08	4208
2/4-15 S	3433.000000	1.720000	29.000000	4.400000	WATER BASED	1989-05-09	1371	9999-12-31	2013-05-08	4209
2/4-15 S	3462.000000	1.720000	29.000000	5.300000	WATER BASED	1989-05-09	1371	9999-12-31	2013-05-08	4210
2/4-15 S	3497.000000	1.720000	33.000000	5.800000	WATER BASED	1989-05-09	1371	9999-12-31	2013-05-08	4211
2/4-15 S	3531.000000	1.720000	36.000000	6.300000	WATER BASED	1989-05-12	1371	9999-12-31	2013-05-08	4212
2/4-15 S	3558.000000	1.720000	35.000000	5.800000	WATER BASED	1989-05-12	1371	9999-12-31	2013-05-08	4213
2/4-15 S	3565.000000	1.720000	28.000000	5.300000	WATER BASED	1989-05-12	1371	9999-12-31	2013-05-08	4214
2/4-15 S	3621.000000	1.720000	28.000000	5.800000	WATER BASED	1989-05-12	1371	9999-12-31	2013-05-08	4215
2/4-15 S	3670.000000	1.720000	29.000000	5.800000	WATER BASED	1989-05-16	1371	9999-12-31	2013-05-08	4216
2/4-15 S	3703.000000	1.720000	28.000000	6.300000	WATER BASED	1989-05-16	1371	9999-12-31	2013-05-08	4217
2/4-15 S	3740.000000	1.720000	25.000000	5.300000	WATER BASED	1989-05-16	1371	9999-12-31	2013-05-08	4218
2/4-15 S	3811.000000	1.720000	29.000000	5.800000	WATER BASED	1989-05-16	1371	9999-12-31	2013-05-08	4219
2/4-15 S	3811.000000	1.720000	27.000000	5.800000	WATER BASED	1989-05-18	1371	9999-12-31	2013-05-08	4220
2/4-15 S	3811.000000	1.720000	28.000000	5.300000	WATER BASED	1989-05-18	1371	9999-12-31	2013-05-08	4221
2/4-15 S	3811.000000	1.740000	27.000000	5.800000	WATER BASED	1989-05-19	1371	9999-12-31	2013-05-08	4222
2/4-15 S	3811.000000	1.740000	29.000000	6.800000	WATER BASED	1989-05-23	1371	9999-12-31	2013-05-08	4223
2/4-15 S	3816.000000	1.740000	29.000000	6.300000	WATER BASED	1989-05-23	1371	9999-12-31	2013-05-08	4224
2/4-15 S	3867.000000	1.740000	24.000000	5.300000	WATER BASED	1989-05-23	1371	9999-12-31	2013-05-08	4225
2/4-15 S	3867.000000	1.740000	24.000000	5.800000	WATER BASED	1989-05-23	1371	9999-12-31	2013-05-08	4226
2/4-15 S	3875.000000	1.740000	24.000000	5.800000	WATER BASED	1989-05-25	1371	9999-12-31	2013-05-08	4227
2/4-15 S	3880.000000	1.740000	25.000000	4.800000	WATER BASED	1989-05-25	1371	9999-12-31	2013-05-08	4228
2/4-15 S	3916.000000	1.740000	14.000000	5.300000	WATER BASED	1989-05-26	1371	9999-12-31	2013-05-08	4229
2/4-15 S	3960.000000	1.740000	16.000000	4.400000	WATER BASED	1989-05-29	1371	9999-12-31	2013-05-08	4230
2/4-15 S	4017.000000	1.740000	20.000000	5.300000	WATER BASED	1989-05-30	1371	9999-12-31	2013-05-08	4231
2/4-15 S	4045.000000	1.740000	21.000000	4.800000	WATER BASED	1989-05-30	1371	9999-12-31	2013-05-08	4232
2/4-15 S	4075.000000	1.740000	23.000000	6.300000	WATER BASED	1989-06-01	1371	9999-12-31	2013-05-08	4233
2/4-15 S	4137.000000	1.740000	22.000000	5.300000	WATER BASED	1989-06-01	1371	9999-12-31	2013-05-08	4234
2/4-15 S	4170.000000	1.740000	18.000000	5.300000	WATER BASED	1989-06-01	1371	9999-12-31	2013-05-08	4235
2/4-15 S	4181.000000	1.740000	22.000000	4.800000	WATER BASED	1989-06-05	1371	9999-12-31	2013-05-08	4236
2/4-15 S	4219.000000	1.740000	0.000000	9.600000	WATER BASED	1989-06-05	1371	9999-12-31	2013-05-08	4237
2/4-15 S	4224.000000	1.740000	20.000000	4.400000	WATER BASED	1989-06-05	1371	9999-12-31	2013-05-08	4238
2/4-15 S	4275.000000	1.740000	22.000000	5.300000	WATER BASED	1989-06-06	1371	9999-12-31	2013-05-08	4239
2/4-15 S	4302.000000	1.740000	23.000000	4.800000	WATER BASED	1989-06-06	1371	9999-12-31	2013-05-08	4240
2/4-15 S	4336.000000	1.740000	25.000000	4.800000	WATER BASED	1989-06-07	1371	9999-12-31	2013-05-08	4241
2/4-15 S	4344.000000	1.740000	21.000000	4.800000	WATER BASED	1989-06-08	1371	9999-12-31	2013-05-08	4242
2/4-15 S	4355.000000	1.740000	22.000000	3.900000	WATER BASED	1989-06-12	1371	9999-12-31	2013-05-08	4243
2/4-15 S	4408.000000	1.740000	20.000000	4.800000	WATER BASED	1989-06-12	1371	9999-12-31	2013-05-08	4244
2/4-15 S	4431.000000	1.740000	18.000000	4.400000	WATER BASED	1989-06-12	1371	9999-12-31	2013-05-08	4245
2/4-15 S	4474.000000	1.740000	18.000000	4.400000	WATER BASED	1989-06-14	1371	9999-12-31	2013-05-08	4246
2/4-15 S	4505.000000	1.780000	20.000000	5.800000	WATER BASED	1989-08-02	1371	9999-12-31	2013-05-08	4247
2/4-15 S	4525.000000	1.740000	20.000000	4.800000	WATER BASED	1989-06-14	1371	9999-12-31	2013-05-08	4248
2/4-15 S	4543.000000	1.740000	19.000000	5.300000	WATER BASED	1989-06-14	1371	9999-12-31	2013-05-08	4249
2/4-15 S	4543.000000	1.740000	19.000000	4.400000	WATER BASED	1989-06-15	1371	9999-12-31	2013-05-08	4250
2/4-15 S	4543.000000	1.740000	18.000000	4.400000	WATER BASED	1989-06-19	1371	9999-12-31	2013-05-08	4251
2/4-15 S	4543.000000	1.740000	18.000000	4.400000	WATER BASED	1989-06-19	1371	9999-12-31	2013-05-08	4252
2/4-15 S	4543.000000	1.740000	18.000000	4.400000	WATER BASED	1989-06-19	1371	9999-12-31	2013-05-08	4253
2/4-15 S	4543.000000	1.740000	18.000000	4.400000	WATER BASED	1989-06-20	1371	9999-12-31	2013-05-08	4254
2/4-15 S	4543.000000	1.740000	0.000000	0.000000	WATER BASED	1989-06-20	1371	9999-12-31	2013-05-08	4255
2/4-15 S	4543.000000	1.740000	0.000000	0.000000	WATER BASED	1989-06-21	1371	9999-12-31	2013-05-08	4256
2/4-15 S	4543.000000	1.740000	0.000000	0.000000	WATER BASED	1989-06-26	1371	9999-12-31	2013-05-08	4257
2/4-15 S	4548.000000	1.760000	18.000000	4.800000	WATER BASED	1989-07-05	1371	9999-12-31	2013-05-08	4258
2/4-15 S	4548.000000	1.760000	18.000000	4.400000	WATER BASED	1989-07-05	1371	9999-12-31	2013-05-08	4259
2/4-15 S	4548.000000	1.760000	19.000000	4.800000	WATER BASED	1989-07-05	1371	9999-12-31	2013-05-08	4260
2/4-15 S	4548.000000	1.760000	19.000000	4.800000	WATER BASED	1989-07-05	1371	9999-12-31	2013-05-08	4261
2/4-15 S	4550.000000	1.780000	18.000000	4.400000	WATER BASED	1989-07-05	1371	9999-12-31	2013-05-08	4262
2/4-15 S	4551.000000	1.780000	18.000000	4.800000	WATER BASED	1989-07-05	1371	9999-12-31	2013-05-08	4263
2/4-15 S	4551.000000	1.780000	17.000000	3.900000	WATER BASED	1989-07-07	1371	9999-12-31	2013-05-08	4264
2/4-15 S	4551.000000	1.780000	18.000000	4.800000	WATER BASED	1989-07-07	1371	9999-12-31	2013-05-08	4265
2/4-15 S	4551.000000	1.780000	18.000000	4.400000	WATER BASED	1989-07-10	1371	9999-12-31	2013-05-08	4266
2/4-15 S	4551.000000	1.780000	19.000000	4.800000	WATER BASED	1989-07-10	1371	9999-12-31	2013-05-08	4267
2/4-15 S	4551.000000	1.780000	16.000000	4.800000	WATER BASED	1989-07-14	1371	9999-12-31	2013-05-08	4268
2/4-15 S	4551.000000	1.780000	17.000000	3.900000	WATER BASED	1989-07-14	1371	9999-12-31	2013-05-08	4269
2/4-15 S	4551.000000	1.780000	17.000000	4.400000	WATER BASED	1989-07-14	1371	9999-12-31	2013-05-08	4270
2/4-15 S	4551.000000	1.780000	16.000000	4.400000	WATER BASED	1989-07-17	1371	9999-12-31	2013-05-08	4271
2/4-15 S	4551.000000	1.780000	17.000000	3.900000	WATER BASED	1989-07-17	1371	9999-12-31	2013-05-08	4272
2/4-15 S	4551.000000	1.780000	16.000000	3.900000	WATER BASED	1989-07-17	1371	9999-12-31	2013-05-08	4273
2/4-15 S	4551.000000	1.780000	18.000000	5.300000	WATER BASED	1989-08-02	1371	9999-12-31	2013-05-08	4274
2/4-15 S	4551.000000	1.780000	19.000000	6.300000	WATER BASED	1989-08-02	1371	9999-12-31	2013-05-08	4275
2/4-15 S	4551.000000	1.780000	18.000000	5.300000	WATER BASED	1989-08-03	1371	9999-12-31	2013-05-08	4276
2/4-15 S	4551.000000	1.780000	17.000000	4.800000	WATER BASED	1989-08-07	1371	9999-12-31	2013-05-08	4277
2/4-15 S	4551.000000	1.780000	17.000000	4.800000	WATER BASED	1989-08-07	1371	9999-12-31	2013-05-08	4278
2/4-15 S	4551.000000	1.780000	18.000000	5.300000	WATER BASED	1989-08-07	1371	9999-12-31	2013-05-08	4279
2/4-15 S	4551.000000	1.780000	16.000000	4.800000	WATER BASED	1989-08-09	1371	9999-12-31	2013-05-08	4280
2/4-15 S	4551.000000	1.780000	16.000000	5.300000	WATER BASED	1989-08-09	1371	9999-12-31	2013-05-08	4281
2/4-15 S	4551.000000	1.780000	17.000000	4.400000	WATER BASED	1989-08-09	1371	9999-12-31	2013-05-08	4282
2/4-15 S	4551.000000	1.780000	18.000000	4.800000	WATER BASED	1989-08-11	1371	9999-12-31	2013-05-08	4283
2/4-15 S	4551.000000	1.780000	15.000000	3.400000	WATER BASED	1989-08-15	1371	9999-12-31	2013-05-08	4284
2/4-15 S	4551.000000	1.780000	17.000000	3.900000	WATER BASED	1989-08-15	1371	9999-12-31	2013-05-08	4285
2/4-15 S	4551.000000	1.780000	18.000000	4.400000	WATER BASED	1989-07-31	1371	9999-12-31	2013-05-08	4286
2/4-15 S	4551.000000	1.780000	18.000000	4.800000	WATER BASED	1989-07-31	1371	9999-12-31	2013-05-08	4287
2/4-15 S	4551.000000	1.780000	18.000000	5.300000	WATER BASED	1989-07-31	1371	9999-12-31	2013-05-08	4288
2/4-15 S	4551.000000	1.780000	18.000000	5.300000	WATER BASED	1989-07-31	1371	9999-12-31	2013-05-08	4289
2/4-15 S	4551.000000	1.780000	17.000000	4.800000	WATER BASED	1989-07-25	1371	9999-12-31	2013-05-08	4290
2/4-15 S	4551.000000	1.780000	18.000000	5.800000	WATER BASED	1989-07-25	1371	9999-12-31	2013-05-08	4291
2/4-15 S	4551.000000	1.780000	17.000000	4.800000	WATER BASED	1989-07-26	1371	9999-12-31	2013-05-08	4292
2/4-15 S	4551.000000	1.780000	17.000000	3.900000	WATER BASED	1989-07-20	1371	9999-12-31	2013-05-08	4293
2/4-15 S	4551.000000	1.780000	17.000000	4.400000	WATER BASED	1989-07-20	1371	9999-12-31	2013-05-08	4294
2/4-15 S	4551.000000	1.780000	18.000000	4.400000	WATER BASED	1989-07-20	1371	9999-12-31	2013-05-08	4295
2/4-15 S	4551.000000	1.780000	17.000000	4.400000	WATER BASED	1989-07-21	1371	9999-12-31	2013-05-08	4296
2/4-15 S	4551.000000	1.780000	18.000000	5.800000	WATER BASED	1989-07-31	1371	9999-12-31	2013-05-08	4297
2/4-15 S	4551.000000	1.780000	18.000000	3.400000	WATER BASED	1989-08-11	1371	9999-12-31	2013-05-08	4298
2/4-15 S	4551.000000	1.780000	16.000000	4.400000	WATER BASED	1989-07-10	1371	9999-12-31	2013-05-08	4299
2/4-15 S	4551.000000	1.780000	16.000000	3.900000	WATER BASED	1989-07-14	1371	9999-12-31	2013-05-08	4300
2/4-15 S	4551.000000	1.780000	17.000000	3.400000	WATER BASED	1989-07-25	1371	9999-12-31	2013-05-08	4301
2/4-15 S	4600.000000	1.780000	20.000000	3.400000	WATER BASED	1989-08-15	1371	9999-12-31	2013-05-08	4302
2/4-15 S	4658.000000	1.780000	17.000000	3.400000	WATER BASED	1989-08-15	1371	9999-12-31	2013-05-08	4303
2/4-15 S	4658.000000	1.780000	21.000000	3.900000	WATER BASED	1989-08-25	1371	9999-12-31	2013-05-08	4304
2/4-15 S	4658.000000	1.780000	21.000000	4.400000	WATER BASED	1989-08-25	1371	9999-12-31	2013-05-08	4305
2/4-15 S	4686.000000	1.800000	18.000000	9.000000	WATER BASED	1989-09-06	1371	9999-12-31	2013-05-08	4306
2/4-15 S	4689.000000	1.780000	19.000000	3.400000	WATER BASED	1989-08-25	1371	9999-12-31	2013-05-08	4307
2/4-15 S	4714.000000	1.780000	18.000000	4.400000	WATER BASED	1989-08-25	1371	9999-12-31	2013-05-08	4308
2/4-15 S	4714.000000	1.780000	19.000000	4.800000	WATER BASED	1989-08-25	1371	9999-12-31	2013-05-08	4309
2/4-15 S	4714.000000	1.780000	20.000000	4.800000	WATER BASED	1989-08-25	1371	9999-12-31	2013-05-08	4310
2/4-15 S	4714.000000	1.780000	19.000000	4.400000	WATER BASED	1989-08-25	1371	9999-12-31	2013-05-08	4311
2/4-15 S	4733.000000	1.780000	17.000000	4.400000	WATER BASED	1989-08-25	1371	9999-12-31	2013-05-08	4312
2/4-15 S	4756.000000	1.780000	17.000000	4.800000	WATER BASED	1989-08-25	1371	9999-12-31	2013-05-08	4313
2/4-15 S	4757.000000	1.780000	19.000000	4.400000	WATER BASED	1989-08-25	1371	9999-12-31	2013-05-08	4314
2/4-15 S	4779.000000	1.780000	17.000000	3.900000	WATER BASED	1989-08-28	1371	9999-12-31	2013-05-08	4315
2/4-15 S	4786.000000	1.780000	17.000000	4.400000	WATER BASED	1989-08-28	1371	9999-12-31	2013-05-08	4316
2/4-15 S	4811.000000	1.780000	18.000000	3.900000	WATER BASED	1989-08-29	1371	9999-12-31	2013-05-08	4317
2/4-15 S	4811.000000	1.780000	18.000000	5.800000	WATER BASED	1989-08-29	1371	9999-12-31	2013-05-08	4318
2/4-15 S	4814.000000	1.780000	17.000000	4.800000	WATER BASED	1989-09-05	1371	9999-12-31	2013-05-08	4319
2/4-15 S	4845.000000	1.780000	17.000000	4.400000	WATER BASED	1989-09-05	1371	9999-12-31	2013-05-08	4320
2/4-15 S	4851.000000	1.780000	16.000000	4.400000	WATER BASED	1989-09-05	1371	9999-12-31	2013-05-08	4321
2/4-15 S	4863.000000	1.780000	16.000000	4.400000	WATER BASED	1989-09-05	1371	9999-12-31	2013-05-08	4322
2/4-15 S	4863.000000	1.780000	16.000000	4.400000	WATER BASED	1989-09-05	1371	9999-12-31	2013-05-08	4323
2/4-15 S	4863.000000	1.780000	17.000000	4.800000	WATER BASED	1989-09-05	1371	9999-12-31	2013-05-08	4324
2/4-15 S	4886.000000	1.800000	16.000000	8.000000	WATER BASED	1989-09-08	1371	9999-12-31	2013-05-08	4325
2/4-15 S	4886.000000	1.800000	16.000000	8.000000	WATER BASED	1989-09-07	1371	9999-12-31	2013-05-08	4326
2/4-15 S	4896.000000	1.800000	16.000000	8.000000	WATER BASED	1989-09-12	1371	9999-12-31	2013-05-08	4327
2/4-15 S	4896.000000	1.900000	18.000000	9.000000	WATER BASED	1989-09-12	1371	9999-12-31	2013-05-08	4328
2/4-15 S	4905.000000	1.900000	17.000000	6.000000	WATER BASED	1989-09-12	1371	9999-12-31	2013-05-08	4329
2/4-15 S	4909.000000	1.950000	18.000000	7.000000	WATER BASED	1989-09-12	1371	9999-12-31	2013-05-08	4330
2/4-15 S	4910.000000	1.950000	18.000000	6.000000	WATER BASED	1989-09-13	1371	9999-12-31	2013-05-08	4331
2/4-15 S	4930.000000	1.950000	18.000000	6.000000	WATER BASED	1989-09-19	1371	9999-12-31	2013-05-08	4332
2/4-15 S	4930.000000	1.950000	18.000000	6.000000	WATER BASED	1989-09-19	1371	9999-12-31	2013-05-08	4333
2/4-15 S	4930.000000	1.950000	17.000000	7.000000	WATER BASED	1989-09-19	1371	9999-12-31	2013-05-08	4334
2/4-15 S	4930.000000	1.950000	18.000000	9.000000	WATER BASED	1989-09-20	1371	9999-12-31	2013-05-08	4335
2/4-15 S	4930.000000	1.950000	18.000000	8.000000	WATER BASED	1989-09-22	1371	9999-12-31	2013-05-08	4336
2/4-15 S	4930.000000	1.950000	17.000000	11.000000	WATER BASED	1989-09-26	1371	9999-12-31	2013-05-08	4337
2/4-15 S	4930.000000	1.950000	17.000000	12.000000	WATER BASED	1989-09-26	1371	9999-12-31	2013-05-08	4338
2/4-15 S	4930.000000	1.950000	17.000000	11.000000	WATER BASED	1989-09-26	1371	9999-12-31	2013-05-08	4339
2/4-15 S	4930.000000	1.950000	18.000000	8.000000	WATER BASED	1989-09-25	1371	9999-12-31	2013-05-08	4340
2/4-15 S	4930.000000	1.950000	17.000000	10.000000	WATER BASED	1989-09-28	1371	9999-12-31	2013-05-08	4341
2/4-15 S	4930.000000	1.950000	17.000000	10.000000	WATER BASED	1989-09-27	1371	9999-12-31	2013-05-08	4342
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-10-03	1371	9999-12-31	2013-05-08	4343
2/4-15 S	4930.000000	1.950000	17.000000	10.000000	WATER BASED	1989-10-03	1371	9999-12-31	2013-05-08	4344
2/4-15 S	4930.000000	1.950000	17.000000	10.000000	WATER BASED	1989-10-03	1371	9999-12-31	2013-05-08	4345
2/4-15 S	4930.000000	1.950000	17.000000	10.000000	WATER BASED	1989-09-29	1371	9999-12-31	2013-05-08	4346
2/4-15 S	4930.000000	1.950000	18.000000	10.000000	WATER BASED	1989-09-29	1371	9999-12-31	2013-05-08	4347
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-10-05	1371	9999-12-31	2013-05-08	4348
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-10-06	1371	9999-12-31	2013-05-08	4349
2/4-15 S	4930.000000	1.950000	17.000000	10.000000	WATER BASED	1989-10-09	1371	9999-12-31	2013-05-08	4350
2/4-15 S	4930.000000	1.950000	18.000000	10.000000	WATER BASED	1989-10-09	1371	9999-12-31	2013-05-08	4351
2/4-15 S	4930.000000	1.950000	18.000000	10.000000	WATER BASED	1989-10-10	1371	9999-12-31	2013-05-08	4352
2/4-15 S	4930.000000	1.950000	18.000000	10.000000	WATER BASED	1989-10-10	1371	9999-12-31	2013-05-08	4353
2/4-15 S	4930.000000	1.950000	18.000000	11.000000	WATER BASED	1989-10-10	1371	9999-12-31	2013-05-08	4354
2/4-15 S	4930.000000	1.950000	18.000000	10.000000	WATER BASED	1989-10-11	1371	9999-12-31	2013-05-08	4355
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-10-16	1371	9999-12-31	2013-05-08	4356
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-10-16	1371	9999-12-31	2013-05-08	4357
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-10-16	1371	9999-12-31	2013-05-08	4358
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-10-18	1371	9999-12-31	2013-05-08	4359
2/4-15 S	4930.000000	1.950000	14.000000	10.000000	WATER BASED	1989-10-23	1371	9999-12-31	2013-05-08	4360
2/4-15 S	4930.000000	1.950000	14.000000	10.000000	WATER BASED	1989-10-23	1371	9999-12-31	2013-05-08	4361
2/4-15 S	4930.000000	1.950000	14.000000	10.000000	WATER BASED	1989-10-23	1371	9999-12-31	2013-05-08	4362
2/4-15 S	4930.000000	1.950000	14.000000	10.000000	WATER BASED	1989-10-23	1371	9999-12-31	2013-05-08	4363
2/4-15 S	4930.000000	1.950000	14.000000	10.000000	WATER BASED	1989-10-23	1371	9999-12-31	2013-05-08	4364
2/4-15 S	4930.000000	1.950000	14.000000	10.000000	WATER BASED	1989-10-23	1371	9999-12-31	2013-05-08	4365
2/4-15 S	4930.000000	1.950000	15.000000	90.000000	WATER BASED	1989-10-27	1371	9999-12-31	2013-05-08	4366
2/4-15 S	4930.000000	1.950000	15.000000	9.000000	WATER BASED	1989-10-27	1371	9999-12-31	2013-05-08	4367
2/4-15 S	4930.000000	1.950000	15.000000	9.000000	WATER BASED	1989-10-31	1371	9999-12-31	2013-05-08	4368
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-10-31	1371	9999-12-31	2013-05-08	4369
2/4-15 S	4930.000000	1.950000	15.000000	9.000000	WATER BASED	1989-10-31	1371	9999-12-31	2013-05-08	4370
2/4-15 S	4930.000000	1.950000	15.000000	9.000000	WATER BASED	1989-10-31	1371	9999-12-31	2013-05-08	4371
2/4-15 S	4930.000000	1.950000	15.000000	9.000000	WATER BASED	1989-10-31	1371	9999-12-31	2013-05-08	4372
2/4-15 S	4930.000000	1.950000	15.000000	11.000000	WATER BASED	1989-11-02	1371	9999-12-31	2013-05-08	4373
2/4-15 S	4930.000000	1.950000	16.000000	11.000000	WATER BASED	1989-11-08	1371	9999-12-31	2013-05-08	4374
2/4-15 S	4930.000000	1.950000	15.000000	11.000000	WATER BASED	1989-11-08	1371	9999-12-31	2013-05-08	4375
2/4-15 S	4930.000000	1.950000	15.000000	10.000000	WATER BASED	1989-11-08	1371	9999-12-31	2013-05-08	4376
2/4-15 S	4930.000000	1.950000	16.000000	11.000000	WATER BASED	1989-11-09	1371	9999-12-31	2013-05-08	4377
2/4-15 S	4930.000000	1.950000	14.000000	9.000000	WATER BASED	1989-11-10	1371	9999-12-31	2013-05-08	4378
2/4-15 S	4930.000000	1.950000	15.000000	10.000000	WATER BASED	1989-11-13	1371	9999-12-31	2013-05-08	4379
2/4-15 S	4930.000000	1.950000	16.000000	11.000000	WATER BASED	1989-11-13	1371	9999-12-31	2013-05-08	4380
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-11-14	1371	9999-12-31	2013-05-08	4381
2/4-15 S	4930.000000	1.950000	15.000000	12.000000	WATER BASED	1989-11-15	1371	9999-12-31	2013-05-08	4382
2/4-15 S	4930.000000	1.950000	15.000000	11.000000	WATER BASED	1989-11-16	1371	9999-12-31	2013-05-08	4383
2/4-15 S	4930.000000	1.950000	15.000000	11.000000	WATER BASED	1989-11-17	1371	9999-12-31	2013-05-08	4384
2/4-15 S	4930.000000	1.950000	15.000000	11.000000	WATER BASED	1989-11-20	1371	9999-12-31	2013-05-08	4385
2/4-15 S	4930.000000	1.950000	15.000000	11.000000	WATER BASED	1989-11-20	1371	9999-12-31	2013-05-08	4386
2/4-15 S	4930.000000	1.950000	14.000000	10.000000	WATER BASED	1989-11-21	1371	9999-12-31	2013-05-08	4387
2/4-15 S	4930.000000	1.950000	15.000000	10.000000	WATER BASED	1989-11-24	1371	9999-12-31	2013-05-08	4388
2/4-15 S	4930.000000	1.950000	15.000000	10.000000	WATER BASED	1989-11-27	1371	9999-12-31	2013-05-08	4389
2/4-15 S	4930.000000	1.950000	16.000000	9.000000	WATER BASED	1989-11-27	1371	9999-12-31	2013-05-08	4390
2/4-15 S	4930.000000	1.950000	16.000000	9.000000	WATER BASED	1989-11-27	1371	9999-12-31	2013-05-08	4391
2/4-15 S	4930.000000	1.950000	16.000000	9.000000	WATER BASED	1989-11-27	1371	9999-12-31	2013-05-08	4392
2/4-15 S	4930.000000	1.950000	16.000000	11.000000	WATER BASED	1989-11-29	1371	9999-12-31	2013-05-08	4393
2/4-15 S	4930.000000	1.950000	16.000000	11.000000	WATER BASED	1989-11-30	1371	9999-12-31	2013-05-08	4394
2/4-15 S	4930.000000	1.950000	15.000000	10.000000	WATER BASED	1989-12-04	1371	9999-12-31	2013-05-08	4395
2/4-15 S	4930.000000	1.950000	15.000000	9.000000	WATER BASED	1989-12-05	1371	9999-12-31	2013-05-08	4396
2/4-15 S	4930.000000	1.950000	14.000000	10.000000	WATER BASED	1989-12-05	1371	9999-12-31	2013-05-08	4397
2/4-15 S	4930.000000	1.950000	14.000000	9.000000	WATER BASED	1989-12-05	1371	9999-12-31	2013-05-08	4398
2/4-15 S	4930.000000	1.950000	15.000000	12.000000	WATER BASED	1989-12-07	1371	9999-12-31	2013-05-08	4399
2/4-15 S	4930.000000	1.950000	14.000000	10.000000	WATER BASED	1989-12-11	1371	9999-12-31	2013-05-08	4400
2/4-15 S	4930.000000	1.950000	15.000000	11.000000	WATER BASED	1989-12-11	1371	9999-12-31	2013-05-08	4401
2/4-15 S	4930.000000	1.950000	14.000000	10.000000	WATER BASED	1989-12-11	1371	9999-12-31	2013-05-08	4402
2/4-15 S	4930.000000	2.200000	58.000000	38.000000	WATER BASED	1989-12-29	1371	9999-12-31	2013-05-08	4403
2/4-15 S	4930.000000	2.200000	58.000000	38.000000	WATER BASED	1989-12-28	1371	9999-12-31	2013-05-08	4404
2/4-15 S	4930.000000	1.950000	18.000000	6.000000	WATER BASED	1989-09-19	1371	9999-12-31	2013-05-08	4405
2/4-15 S	4930.000000	1.950000	17.000000	10.000000	WATER BASED	1989-10-10	1371	9999-12-31	2013-05-08	4406
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-10-13	1371	9999-12-31	2013-05-08	4407
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-10-16	1371	9999-12-31	2013-05-08	4408
2/4-15 S	4930.000000	1.950000	16.000000	10.000000	WATER BASED	1989-10-19	1371	9999-12-31	2013-05-08	4409
2/4-15 S	4930.000000	1.950000	15.000000	11.000000	WATER BASED	1989-11-02	1371	9999-12-31	2013-05-08	4410
2/4-15 S	4930.000000	1.950000	15.000000	10.000000	WATER BASED	1989-11-08	1371	9999-12-31	2013-05-08	4411
2/4-15 S	4930.000000	1.950000	16.000000	11.000000	WATER BASED	1989-11-08	1371	9999-12-31	2013-05-08	4412
2/4-15 S	4930.000000	1.950000	15.000000	10.000000	WATER BASED	1989-11-13	1371	9999-12-31	2013-05-08	4413
2/4-15 S	4930.000000	1.950000	15.000000	10.000000	WATER BASED	1989-11-20	1371	9999-12-31	2013-05-08	4414
2/4-15 S	4930.000000	1.950000	15.000000	10.000000	WATER BASED	1989-11-23	1371	9999-12-31	2013-05-08	4415
2/4-15 S	4930.000000	1.950000	16.000000	11.000000	WATER BASED	1989-11-28	1371	9999-12-31	2013-05-08	4416
2/4-15 S	4930.000000	1.950000	14.000000	9.000000	WATER BASED	1989-12-05	1371	9999-12-31	2013-05-08	4417
2/4-15 S	4930.000000	1.950000	15.000000	12.000000	WATER BASED	1989-12-07	1371	9999-12-31	2013-05-08	4418
2/4-15 S	4932.000000	1.950000	22.000000	11.000000	WATER BASED	1989-12-11	1371	9999-12-31	2013-05-08	4419
2/4-15 S	4932.000000	1.950000	17.000000	10.000000	WATER BASED	1989-12-13	1371	9999-12-31	2013-05-08	4420
2/4-15 S	4962.000000	2.250000	26.000000	12.000000	WATER BASED	1989-12-18	1371	9999-12-31	2013-05-08	4421
2/4-15 S	4962.000000	2.250000	15.000000	11.000000	WATER BASED	1989-12-18	1371	9999-12-31	2013-05-08	4422
2/4-15 S	4962.000000	2.130000	26.000000	14.000000	WATER BASED	1989-12-15	1371	9999-12-31	2013-05-08	4423
2/4-15 S	4962.000000	2.200000	60.000000	32.000000	WATER BASED	1990-01-08	1371	9999-12-31	2013-05-08	4424
2/4-15 S	4962.000000	2.200000	63.000000	37.000000	WATER BASED	1990-01-02	1371	9999-12-31	2013-05-08	4425
2/4-15 S	4962.000000	2.200000	63.000000	40.000000	WATER BASED	1990-01-02	1371	9999-12-31	2013-05-08	4426
2/4-15 S	4962.000000	2.200000	63.000000	37.000000	WATER BASED	1990-01-03	1371	9999-12-31	2013-05-08	4427
2/4-15 S	4962.000000	2.200000	63.000000	37.000000	WATER BASED	1990-01-03	1371	9999-12-31	2013-05-08	4428
2/4-15 S	4962.000000	2.200000	63.000000	40.000000	WATER BASED	1990-01-03	1371	9999-12-31	2013-05-08	4429
2/4-15 S	4962.000000	2.200000	55.000000	45.000000	WATER BASED	1989-12-27	1371	9999-12-31	2013-05-08	4430
2/4-15 S	4962.000000	2.200000	55.000000	45.000000	WATER BASED	1989-12-27	1371	9999-12-31	2013-05-08	4431
2/4-15 S	4962.000000	2.200000	63.000000	42.000000	WATER BASED	1989-12-27	1371	9999-12-31	2013-05-08	4432
2/4-15 S	4962.000000	2.200000	65.000000	39.000000	WATER BASED	1989-12-27	1371	9999-12-31	2013-05-08	4433
2/4-15 S	4962.000000	2.200000	65.000000	34.000000	WATER BASED	1989-12-20	1371	9999-12-31	2013-05-08	4434
2/4-15 S	4962.000000	2.200000	61.000000	40.000000	WATER BASED	1989-12-27	1371	9999-12-31	2013-05-08	4435
2/4-15 S	4962.000000	2.200000	63.000000	37.000000	WATER BASED	1990-01-02	1371	9999-12-31	2013-05-08	4436
2/4-15 S	4963.000000	2.200000	63.000000	40.000000	WATER BASED	1990-01-03	1371	9999-12-31	2013-05-08	4437
2/4-15 S	4963.000000	2.200000	34.000000	35.000000	WATER BASED	1989-12-22	1371	9999-12-31	2013-05-08	4438
2/4-15 S	4963.000000	2.120000	31.000000	19.000000	WATER BASED	1989-12-19	1371	9999-12-31	2013-05-08	4439
2/4-15 S	4963.000000	1.950000	16.000000	11.000000	WATER BASED	1989-12-14	1371	9999-12-31	2013-05-08	4440
2/4-15 S	4963.000000	2.200000	55.000000	30.000000	WATER BASED	1990-01-09	1371	9999-12-31	2013-05-08	4441
2/4-15 S	4963.000000	2.200000	57.000000	28.000000	WATER BASED	1990-01-12	1371	9999-12-31	2013-05-08	4442
2/4-15 S	4963.000000	2.200000	58.000000	35.000000	WATER BASED	1990-01-15	1371	9999-12-31	2013-05-08	4443
2/4-15 S	4963.000000	2.200000	61.000000	30.000000	WATER BASED	1990-01-22	1371	9999-12-31	2013-05-08	4444
2/4-15 S	4963.000000	2.200000	45.000000	15.000000	WATER BASED	1990-02-07	1371	9999-12-31	2013-05-08	4445
2/4-15 S	4963.000000	2.200000	45.000000	15.000000	WATER BASED	1990-02-09	1371	9999-12-31	2013-05-08	4446
2/4-15 S	4963.000000	2.200000	45.000000	14.000000	WATER BASED	1990-02-13	1371	9999-12-31	2013-05-08	4447
2/4-15 S	4963.000000	2.200000	34.000000	19.000000	WATER BASED	1990-03-09	1371	9999-12-31	2013-05-08	4448
2/4-15 S	4963.000000	2.200000	32.000000	14.000000	WATER BASED	1990-03-13	1371	9999-12-31	2013-05-08	4449
2/4-15 S	4963.000000	2.200000	31.000000	13.000000	WATER BASED	1990-02-26	1371	9999-12-31	2013-05-08	4450
2/4-15 S	4963.000000	2.200000	38.000000	12.000000	WATER BASED	1990-03-01	1371	9999-12-31	2013-05-08	4451
2/4-15 S	4963.000000	2.200000	65.000000	39.000000	WATER BASED	1989-12-27	1371	9999-12-31	2013-05-08	4452
2/4-15 S	4963.000000	2.200000	63.000000	40.000000	WATER BASED	1990-01-02	1371	9999-12-31	2013-05-08	4453
2/4-15 S	4963.000000	2.200000	63.000000	37.000000	WATER BASED	1990-01-08	1371	9999-12-31	2013-05-08	4454
2/4-15 S	4963.000000	2.200000	57.000000	28.000000	WATER BASED	1990-01-10	1371	9999-12-31	2013-05-08	4455
2/4-15 S	4963.000000	2.200000	54.000000	26.000000	WATER BASED	1990-01-12	1371	9999-12-31	2013-05-08	4456
2/4-15 S	4963.000000	2.200000	54.000000	26.000000	WATER BASED	1990-01-12	1371	9999-12-31	2013-05-08	4457
2/4-15 S	4963.000000	2.200000	60.000000	32.000000	WATER BASED	1990-01-15	1371	9999-12-31	2013-05-08	4458
2/4-15 S	4963.000000	2.200000	60.000000	32.000000	WATER BASED	1990-01-15	1371	9999-12-31	2013-05-08	4459
2/4-15 S	4963.000000	2.200000	61.000000	34.000000	WATER BASED	1990-01-05	1371	9999-12-31	2013-05-08	4460
2/4-15 S	4963.000000	2.200000	61.000000	34.000000	WATER BASED	1990-01-05	1371	9999-12-31	2013-05-08	4461
2/4-15 S	4963.000000	2.200000	61.000000	34.000000	WATER BASED	1990-01-05	1371	9999-12-31	2013-05-08	4462
2/4-15 S	4963.000000	2.200000	52.000000	27.000000	WATER BASED	1990-01-22	1371	9999-12-31	2013-05-08	4463
2/4-15 S	4963.000000	2.200000	53.000000	37.000000	WATER BASED	1990-01-22	1371	9999-12-31	2013-05-08	4464
2/4-15 S	4963.000000	2.200000	54.000000	35.000000	WATER BASED	1990-01-22	1371	9999-12-31	2013-05-08	4465
2/4-15 S	4963.000000	2.200000	50.000000	28.000000	WATER BASED	1990-01-17	1371	9999-12-31	2013-05-08	4466
2/4-15 S	4963.000000	2.200000	61.000000	30.000000	WATER BASED	1990-01-16	1371	9999-12-31	2013-05-08	4467
2/4-15 S	4963.000000	2.200000	50.000000	27.000000	WATER BASED	1990-01-23	1371	9999-12-31	2013-05-08	4468
2/4-15 S	4963.000000	2.200000	51.000000	28.000000	WATER BASED	1990-01-24	1371	9999-12-31	2013-05-08	4469
2/4-15 S	4963.000000	2.200000	41.000000	19.000000	WATER BASED	1990-01-26	1371	9999-12-31	2013-05-08	4470
2/4-15 S	4963.000000	2.200000	41.000000	19.000000	WATER BASED	1990-01-29	1371	9999-12-31	2013-05-08	4471
2/4-15 S	4963.000000	2.200000	42.000000	19.000000	WATER BASED	1990-01-29	1371	9999-12-31	2013-05-08	4472
2/4-15 S	4963.000000	2.200000	42.000000	20.000000	WATER BASED	1990-01-29	1371	9999-12-31	2013-05-08	4473
2/4-15 S	4963.000000	2.200000	40.000000	13.000000	WATER BASED	1990-01-29	1371	9999-12-31	2013-05-08	4474
2/4-15 S	4963.000000	2.200000	40.000000	14.000000	WATER BASED	1990-01-30	1371	9999-12-31	2013-05-08	4475
2/4-15 S	4963.000000	2.200000	39.000000	14.000000	WATER BASED	1990-02-01	1371	9999-12-31	2013-05-08	4476
2/4-15 S	4963.000000	2.200000	37.000000	15.000000	WATER BASED	1990-02-05	1371	9999-12-31	2013-05-08	4477
2/4-15 S	4963.000000	2.200000	37.000000	15.000000	WATER BASED	1990-02-05	1371	9999-12-31	2013-05-08	4478
2/4-15 S	4963.000000	2.200000	36.000000	14.000000	WATER BASED	1990-02-05	1371	9999-12-31	2013-05-08	4479
2/4-15 S	4963.000000	2.200000	36.000000	14.000000	WATER BASED	1990-02-05	1371	9999-12-31	2013-05-08	4480
2/4-15 S	4963.000000	2.200000	39.000000	14.000000	WATER BASED	1990-02-02	1371	9999-12-31	2013-05-08	4481
2/4-15 S	4963.000000	2.200000	36.000000	14.000000	WATER BASED	1990-02-07	1371	9999-12-31	2013-05-08	4482
2/4-15 S	4963.000000	2.200000	32.000000	14.000000	WATER BASED	1990-03-13	1371	9999-12-31	2013-05-08	4483
2/4-15 S	4963.000000	2.200000	33.000000	8.000000	WATER BASED	1990-03-14	1371	9999-12-31	2013-05-08	4484
2/4-15 S	4963.000000	2.200000	33.000000	8.000000	WATER BASED	1990-03-14	1371	9999-12-31	2013-05-08	4485
2/4-15 S	4963.000000	2.200000	32.000000	14.000000	WATER BASED	1990-03-12	1371	9999-12-31	2013-05-08	4486
2/4-15 S	4963.000000	2.200000	34.000000	19.000000	WATER BASED	1990-03-08	1371	9999-12-31	2013-05-08	4487
2/4-15 S	4963.000000	2.200000	38.000000	14.000000	WATER BASED	1990-03-06	1371	9999-12-31	2013-05-08	4488
2/4-15 S	4963.000000	2.200000	38.000000	14.000000	WATER BASED	1990-03-06	1371	9999-12-31	2013-05-08	4489
2/4-15 S	4963.000000	2.200000	34.000000	19.000000	WATER BASED	1990-03-06	1371	9999-12-31	2013-05-08	4490
2/4-15 S	4963.000000	2.200000	34.000000	19.000000	WATER BASED	1990-03-06	1371	9999-12-31	2013-05-08	4491
2/4-15 S	4963.000000	2.200000	38.000000	14.000000	WATER BASED	1990-03-05	1371	9999-12-31	2013-05-08	4492
2/4-15 S	4963.000000	2.200000	30.000000	12.000000	WATER BASED	1990-02-23	1371	9999-12-31	2013-05-08	4493
2/4-15 S	4963.000000	2.200000	37.000000	13.000000	WATER BASED	1990-03-01	1371	9999-12-31	2013-05-08	4494
2/4-15 S	4963.000000	2.200000	38.000000	12.000000	WATER BASED	1990-02-27	1371	9999-12-31	2013-05-08	4495
2/4-15 S	4963.000000	2.200000	31.000000	13.000000	WATER BASED	1990-02-26	1371	9999-12-31	2013-05-08	4496
2/4-15 S	4963.000000	2.200000	32.000000	14.000000	WATER BASED	1990-02-26	1371	9999-12-31	2013-05-08	4497
2/4-15 S	4963.000000	2.200000	32.000000	14.000000	WATER BASED	1990-02-26	1371	9999-12-31	2013-05-08	4498
2/4-15 S	4963.000000	2.200000	30.000000	12.000000	WATER BASED	1990-02-21	1371	9999-12-31	2013-05-08	4499
2/4-15 S	4963.000000	2.200000	37.000000	13.000000	WATER BASED	1990-02-20	1371	9999-12-31	2013-05-08	4500
2/4-15 S	4963.000000	2.200000	38.000000	16.000000	WATER BASED	1990-02-19	1371	9999-12-31	2013-05-08	4501
2/4-15 S	4963.000000	2.200000	37.000000	12.000000	WATER BASED	1990-02-19	1371	9999-12-31	2013-05-08	4502
2/4-15 S	4963.000000	2.200000	37.000000	17.000000	WATER BASED	1990-02-15	1371	9999-12-31	2013-05-08	4503
2/4-15 S	4963.000000	2.200000	45.000000	15.000000	WATER BASED	1990-02-12	1371	9999-12-31	2013-05-08	4504
2/4-15 S	4963.000000	2.200000	45.000000	14.000000	WATER BASED	1990-02-13	1371	9999-12-31	2013-05-08	4505
2/4-15 S	4963.000000	2.200000	45.000000	14.000000	WATER BASED	1990-02-13	1371	9999-12-31	2013-05-08	4506
2/4-15 S	4963.000000	2.200000	39.000000	16.000000	WATER BASED	1990-02-13	1371	9999-12-31	2013-05-08	4507
2/4-15 S	4963.000000	2.200000	39.000000	16.000000	WATER BASED	1990-02-14	1371	9999-12-31	2013-05-08	4508
2/4-15 S	4963.000000	2.200000	33.000000	8.000000	WATER BASED	1990-03-16	1371	9999-12-31	2013-05-08	4509
2/4-15 S	4963.000000	2.120000	30.000000	15.000000	WATER BASED	1989-12-18	1371	9999-12-31	2013-05-08	4510
2/4-15 S	4963.000000	1.950000	16.000000	11.000000	WATER BASED	1989-12-13	1371	9999-12-31	2013-05-08	4511
2/4-15 S	4963.000000	2.130000	30.000000	21.000000	WATER BASED	1989-12-14	1371	9999-12-31	2013-05-08	4512
2/4-16	424.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4513
2/4-16	431.000000	1.270000	11.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4514
2/4-16	770.000000	1.270000	4.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4515
2/4-16	951.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4516
2/4-16	968.000000	1.390000	31.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4517
2/4-16	1330.000000	1.600000	33.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4518
2/4-16	1335.000000	1.600000	31.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4519
2/4-16	1427.000000	1.700000	39.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4520
2/4-16	1703.000000	1.720000	63.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4521
2/4-16	1991.000000	1.720000	49.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4522
2/4-16	2164.000000	1.720000	66.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4523
2/4-16	2212.000000	1.720000	47.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4524
2/4-16	2488.000000	1.720000	52.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4525
2/4-16	2674.000000	1.720000	47.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4526
2/4-16	2897.000000	1.700000	37.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4527
2/4-16	2912.000000	1.720000	51.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4528
2/4-16	2927.000000	1.720000	40.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4529
2/4-16	2933.000000	1.720000	44.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4530
2/4-16	4089.000000	1.670000	23.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4531
2/4-16	4127.000000	1.670000	25.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4532
2/4-16	4155.000000	1.670000	25.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4533
2/4-16	4188.000000	1.670000	22.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4534
2/4-16	4205.000000	1.670000	24.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4535
2/4-16	4288.000000	1.670000	22.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4536
2/4-16	4305.000000	1.670000	23.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4537
2/4-16	4354.000000	1.670000	24.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4538
2/4-16	4427.000000	1.670000	25.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4539
2/4-16	4428.000000	1.670000	25.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4540
2/4-16	4441.000000	1.670000	25.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4541
2/4-16	4473.000000	1.670000	25.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4542
2/4-16	4491.000000	1.720000	33.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4543
2/4-16	4512.000000	1.750000	35.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4544
2/4-16	4547.000000	1.750000	28.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4545
2/4-16	4583.000000	1.750000	27.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4546
2/4-16	4594.000000	1.800000	29.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4547
2/4-16	4632.000000	2.120000	19.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4548
2/4-16	4650.000000	1.850000	29.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4549
2/4-16	4655.000000	2.000000	28.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4550
2/4-16	4697.000000	2.020000	31.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4551
2/4-16	4726.000000	2.060000	25.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4552
2/4-16	4727.000000	2.060000	26.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4553
2/4-16	4742.000000	2.100000	25.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4554
2/4-16	4754.000000	2.120000	28.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4555
2/4-16	4771.000000	2.120000	23.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4556
2/4-16	4803.000000	2.120000	24.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4557
2/4-16	4838.000000	2.120000	22.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4558
2/4-16	4893.000000	2.120000	24.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4559
2/4-16	4910.000000	2.120000	21.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4560
2/4-16	4914.000000	2.120000	18.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4561
2/4-16	4917.000000	2.120000	18.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4562
2/4-16	4924.000000	2.200000	48.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4563
2/4-16	4935.000000	2.200000	33.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4564
2/4-16	4951.000000	2.120000	29.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4565
2/4-16	4996.000000	2.200000	33.000000	0.000000	WATER BASED	9999-12-31	1702	9999-12-31	2013-05-08	4566
2/4-16 R	110.000000	1.850000	21.000000	8.000000	WATER BASED	1992-07-16	1956	9999-12-31	2013-05-08	4567
2/4-16 R	110.000000	1.850000	21.000000	8.000000	WATER BASED	1992-07-15	1956	9999-12-31	2013-05-08	4568
2/4-16 R	110.000000	1.850000	21.000000	8.000000	WATER BASED	1992-07-15	1956	9999-12-31	2013-05-08	4569
2/4-16 R	4632.000000	1.770000	21.000000	7.000000	WATER BASED	1992-07-10	1956	9999-12-31	2013-05-08	4570
2/4-16 R	4632.000000	2.180000	28.000000	3.000000	WATER BASED	1992-07-03	1956	9999-12-31	2013-05-08	4571
2/4-16 R	4632.000000	2.180000	28.000000	3.000000	WATER BASED	1992-07-07	1956	9999-12-31	2013-05-08	4572
2/4-16 R	4632.000000	2.180000	32.000000	7.000000	WATER BASED	1992-07-07	1956	9999-12-31	2013-05-08	4573
2/4-16 R	4632.000000	1.800000	21.000000	7.000000	WATER BASED	1992-07-08	1956	9999-12-31	2013-05-08	4574
2/4-16 R	4632.000000	1.800000	21.000000	7.000000	WATER BASED	1992-07-08	1956	9999-12-31	2013-05-08	4575
2/4-16 R	4632.000000	2.180000	2728.000000	3.000000	WATER BASED	1992-07-07	1956	9999-12-31	2013-05-08	4576
2/4-16 R	4650.000000	1.850000	21.000000	4.000000	WATER BASED	1992-07-14	1956	9999-12-31	2013-05-08	4577
2/4-16 R	4650.000000	1.850000	20.000000	5.000000	WATER BASED	1992-07-14	1956	9999-12-31	2013-05-08	4578
2/4-16 R	4650.000000	1.850000	20.000000	5.000000	WATER BASED	1992-07-14	1956	9999-12-31	2013-05-08	4579
2/4-16 R	4903.000000	2.140000	33.000000	3.000000	WATER BASED	1992-06-16	1956	9999-12-31	2013-05-08	4580
2/4-16 R	4903.000000	2.140000	33.000000	3.000000	WATER BASED	1992-06-16	1956	9999-12-31	2013-05-08	4581
2/4-16 R	4915.000000	2.140000	32.000000	6.000000	WATER BASED	1992-06-16	1956	9999-12-31	2013-05-08	4582
2/4-16 R	4915.000000	2.140000	32.000000	6.000000	WATER BASED	1992-06-16	1956	9999-12-31	2013-05-08	4583
2/4-16 R	4927.000000	2.140000	28.000000	3.000000	WATER BASED	1992-06-16	1956	9999-12-31	2013-05-08	4584
2/4-16 R	4927.000000	2.140000	28.000000	3.000000	WATER BASED	1992-06-16	1956	9999-12-31	2013-05-08	4585
2/4-16 R	4930.000000	2.140000	26.000000	2.000000	WATER BASED	1992-06-18	1956	9999-12-31	2013-05-08	4586
2/4-16 R	4949.000000	2.140000	27.000000	4.000000	WATER BASED	1992-06-19	1956	9999-12-31	2013-05-08	4587
2/4-16 R	4954.000000	2.140000	26.000000	2.000000	WATER BASED	1992-06-19	1956	9999-12-31	2013-05-08	4588
2/4-16 R	4973.000000	2.140000	27.000000	2.000000	WATER BASED	1992-06-22	1956	9999-12-31	2013-05-08	4589
2/4-16 R	4973.000000	2.140000	27.000000	3.000000	WATER BASED	1992-06-22	1956	9999-12-31	2013-05-08	4590
2/4-16 R	4973.000000	2.140000	25.000000	4.000000	WATER BASED	1992-06-22	1956	9999-12-31	2013-05-08	4591
2/4-16 R	4973.000000	2.140000	29.000000	3.000000	WATER BASED	1992-06-23	1956	9999-12-31	2013-05-08	4592
2/4-16 R	4973.000000	2.140000	28.000000	4.000000	WATER BASED	1992-06-24	1956	9999-12-31	2013-05-08	4593
2/4-16 R	4973.000000	2.160000	32.000000	5.000000	WATER BASED	1992-06-26	1956	9999-12-31	2013-05-08	4594
2/4-16 R	4973.000000	2.200000	33.000000	6.000000	WATER BASED	1992-07-02	1956	9999-12-31	2013-05-08	4595
2/4-16 R	4973.000000	2.200000	33.000000	7.000000	WATER BASED	1992-07-02	1956	9999-12-31	2013-05-08	4596
2/4-16 R	4973.000000	2.200000	34.000000	6.000000	WATER BASED	1992-06-30	1956	9999-12-31	2013-05-08	4597
2/4-16 R	4973.000000	2.200000	34.000000	8.000000	WATER BASED	1992-06-30	1956	9999-12-31	2013-05-08	4598
2/4-16 R	4973.000000	2.200000	35.000000	8.000000	WATER BASED	1992-06-30	1956	9999-12-31	2013-05-08	4599
2/4-16 R	4973.000000	2.170000	35.000000	11.000000	WATER BASED	1992-06-30	1956	9999-12-31	2013-05-08	4600
2/4-16 R	4973.000000	1.850000	22.000000	4.000000	WATER BASED	1992-07-13	1956	9999-12-31	2013-05-08	4601
2/4-16 R	4973.000000	2.190000	35.000000	12.000000	WATER BASED	1992-06-30	1956	9999-12-31	2013-05-08	4602
2/4-17	192.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4603
2/4-17	903.000000	1.180000	25.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4604
2/4-17	1305.000000	1.260000	23.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4605
2/4-17	1795.000000	1.560000	35.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4606
2/4-17	1886.000000	1.620000	50.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4607
2/4-17	1936.000000	1.800000	14.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4608
2/4-17	1969.000000	1.500000	36.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4609
2/4-17	1996.000000	1.620000	35.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4610
2/4-17	2081.000000	1.560000	36.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4611
2/4-17	2146.000000	1.620000	31.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4612
2/4-17	2295.000000	2.120000	32.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4613
2/4-17	2295.000000	2.120000	33.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4614
2/4-17	2318.000000	1.670000	26.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4615
2/4-17	2377.000000	1.800000	20.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4616
2/4-17	2530.000000	2.120000	32.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4617
2/4-17	2560.000000	1.700000	36.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4618
2/4-17	2614.000000	1.700000	20.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4619
2/4-17	2848.000000	1.700000	24.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4620
2/4-17	2967.000000	1.710000	22.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4621
2/4-17	3039.000000	1.730000	19.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4622
2/4-17	3172.000000	1.730000	28.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4623
2/4-17	3269.000000	1.740000	16.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4624
2/4-17	3330.000000	1.740000	27.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4625
2/4-17	3384.000000	1.740000	20.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4626
2/4-17	3556.000000	1.750000	25.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4627
2/4-17	3723.000000	1.770000	25.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4628
2/4-17	3767.000000	2.120000	31.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4629
2/4-17	3889.000000	1.770000	21.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4630
2/4-17	3970.000000	1.770000	21.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4631
2/4-17	3970.000000	1.770000	21.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4632
2/4-17	4151.000000	1.770000	15.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4633
2/4-17	4240.000000	2.120000	33.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4634
2/4-17	4245.000000	2.040000	28.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4635
2/4-17	4250.000000	2.120000	31.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4636
2/4-17	4289.000000	2.060000	33.000000	0.000000	WATERBASED	9999-12-31	1792	9999-12-31	2013-05-08	4637
2/4-17	4307.000000	2.120000	37.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4638
2/4-17	4310.000000	2.120000	32.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4639
2/4-17	4314.000000	2.060000	31.000000	0.000000	WATER BASE	9999-12-31	1792	9999-12-31	2013-05-08	4640
2/4-17	4339.000000	2.080000	34.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4641
2/4-17	4353.000000	2.120000	36.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4642
2/4-17	4357.000000	2.100000	28.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4643
2/4-17	4421.000000	2.100000	33.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4644
2/4-17	4429.000000	2.100000	50.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4645
2/4-17	4432.000000	2.100000	39.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4646
2/4-17	4439.000000	2.120000	28.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4647
2/4-17	4439.000000	2.120000	31.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4648
2/4-17	4439.000000	2.120000	38.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4649
2/4-17	4495.000000	2.100000	36.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4650
2/4-17	4502.000000	2.100000	36.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4651
2/4-17	4512.000000	2.100000	44.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4652
2/4-17	4521.000000	2.060000	47.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4653
2/4-17	4526.000000	2.100000	49.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4654
2/4-17	4566.000000	2.100000	27.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4655
2/4-17	4623.000000	2.100000	58.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4656
2/4-17	4689.000000	2.100000	36.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4657
2/4-17	4717.000000	2.100000	37.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4658
2/4-17	4724.000000	2.100000	32.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4659
2/4-17	4803.000000	2.100000	46.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4660
2/4-17	4923.000000	2.100000	48.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4661
2/4-17	4962.000000	2.060000	40.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4662
2/4-17	5022.000000	2.100000	34.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4663
2/4-17	5115.000000	1.980000	51.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4664
2/4-17	5135.000000	1.980000	39.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4665
2/4-17	5258.000000	2.120000	31.000000	0.000000	WATER BASED	9999-12-31	1792	9999-12-31	2013-05-08	4666
2/4-18	355.000000	1.030000	0.000000	0.000000	WATER BASED	1993-04-27	2134	9999-12-31	2013-05-08	4667
2/4-18	622.000000	1.030000	0.000000	0.000000	WATER BASED	1993-04-28	2134	9999-12-31	2013-05-08	4668
2/4-18	622.000000	1.150000	0.000000	0.000000	WATER BASED	1993-04-29	2134	9999-12-31	2013-05-08	4669
2/4-18 R	232.000000	1.050000	0.000000	0.000000	WATER BASED	1994-02-22	2253	9999-12-31	2013-05-08	4670
2/4-18 R	410.000000	1.100000	6.000000	20.000000	WATER BASED	1994-02-23	2253	9999-12-31	2013-05-08	4671
2/4-18 R	521.000000	1.100000	6.000000	20.000000	WATER BASED	1994-02-24	2253	9999-12-31	2013-05-08	4672
2/4-18 R	521.000000	1.100000	5.000000	20.000000	WATER BASED	1994-02-28	2253	9999-12-31	2013-05-08	4673
2/4-18 R	521.000000	1.100000	5.000000	20.000000	WATER BASED	1994-02-28	2253	9999-12-31	2013-05-08	4674
2/4-18 R	521.000000	1.100000	5.000000	20.000000	WATER BASED	1994-02-25	2253	9999-12-31	2013-05-08	4675
2/4-18 R	521.000000	1.090000	5.000000	20.000000	WATER BASED	1994-02-28	2253	9999-12-31	2013-05-08	4676
2/4-18 R	744.000000	1.200000	9.000000	20.000000	GEL MUD	1994-03-01	2253	9999-12-31	2013-05-08	4677
2/4-18 R	1008.000000	1.200000	8.000000	22.000000	GEL MUD	1994-03-03	2253	9999-12-31	2013-05-08	4678
2/4-18 R	1008.000000	1.400000	26.000000	11.000000	OIL BASED	1994-03-08	2253	9999-12-31	2013-05-08	4679
2/4-18 R	1008.000000	1.400000	26.000000	12.000000	OIL BASED	1994-03-08	2253	9999-12-31	2013-05-08	4680
2/4-18 R	1008.000000	1.200000	10.000000	17.000000	GEL MUD	1994-03-08	2253	9999-12-31	2013-05-08	4681
2/4-18 R	1030.000000	1.400000	23.000000	18.000000	OIL BASED	1994-03-08	2253	9999-12-31	2013-05-08	4682
2/4-18 R	1570.000000	1.500000	27.000000	24.000000	OIL BASED	1994-03-10	2253	9999-12-31	2013-05-08	4683
2/4-18 R	1893.000000	1.600000	38.000000	22.000000	OIL BASED	1994-03-14	2253	9999-12-31	2013-05-08	4684
2/4-18 R	1893.000000	1.600000	37.000000	30.000000	OIL BASED	1994-03-14	2253	9999-12-31	2013-05-08	4685
2/4-18 R	1893.000000	1.600000	35.000000	25.000000	OIL BASED	1994-03-10	2253	9999-12-31	2013-05-08	4686
2/4-18 R	1893.000000	1.600000	36.000000	28.000000	OIL BASED	1994-03-11	2253	9999-12-31	2013-05-08	4687
2/4-18 R	2947.000000	1.600000	37.000000	30.000000	OIL BASED	1994-03-14	2253	9999-12-31	2013-05-08	4688
2/4-18 R	2983.000000	1.600000	38.000000	18.000000	OIL BASED	1994-03-16	2253	9999-12-31	2013-05-08	4689
2/4-18 R	2983.000000	1.600000	38.000000	18.000000	OIL BASED	1994-03-15	2253	9999-12-31	2013-05-08	4690
2/4-18 R	2998.000000	1.600000	37.000000	19.000000	OIL BASED	1994-03-17	2253	9999-12-31	2013-05-08	4691
2/4-18 R	3190.000000	1.600000	37.000000	16.000000	OIL BASED	1994-03-18	2253	9999-12-31	2013-05-08	4692
2/4-18 R	3230.000000	1.600000	35.000000	15.000000	OIL BASED	1994-03-23	2253	9999-12-31	2013-05-08	4693
2/4-18 R	3230.000000	1.600000	35.000000	15.000000	OIL BASED	1994-03-22	2253	9999-12-31	2013-05-08	4694
2/4-18 R	3230.000000	1.600000	29.000000	13.000000	DUMMY	1994-03-24	2253	9999-12-31	2013-05-08	4695
2/4-18 R	3251.000000	1.600000	25.000000	10.000000	DUMMY	1994-03-25	2253	9999-12-31	2013-05-08	4696
2/4-18 R	3490.000000	1.610000	21.000000	11.000000	DUMMY	1994-04-05	2253	9999-12-31	2013-05-08	4697
2/4-18 R	3549.000000	1.610000	21.000000	10.000000	DUMMY	1994-04-05	2253	9999-12-31	2013-05-08	4698
2/4-18 R	3549.000000	1.600000	24.000000	11.000000	DUMMY	1994-03-29	2253	9999-12-31	2013-05-08	4699
2/4-18 R	3549.000000	1.610000	27.000000	13.000000	DUMMY	1994-03-30	2253	9999-12-31	2013-05-08	4700
2/4-18 R	3917.000000	1.610000	24.000000	11.000000	DUMMY	1994-04-05	2253	9999-12-31	2013-05-08	4701
2/4-18 R	3996.000000	1.600000	25.000000	12.000000	DUMMY	1994-04-05	2253	9999-12-31	2013-05-08	4702
2/4-18 R	4067.000000	1.600000	30.000000	12.000000	DUMMY	1994-04-05	2253	9999-12-31	2013-05-08	4703
2/4-18 R	4124.000000	1.600000	29.000000	11.000000	DUMMY	1994-04-05	2253	9999-12-31	2013-05-08	4704
2/4-18 R	4142.000000	1.600000	29.000000	11.000000	DUMMY	1994-04-06	2253	9999-12-31	2013-05-08	4705
2/4-18 R	4142.000000	1.610000	28.000000	12.000000	DUMMY	1994-04-07	2253	9999-12-31	2013-05-08	4706
2/4-18 R	4208.000000	1.600000	27.000000	11.000000	DUMMY	1994-04-08	2253	9999-12-31	2013-05-08	4707
2/4-18 R	4283.000000	1.600000	26.000000	11.000000	DUMMY	1994-04-11	2253	9999-12-31	2013-05-08	4708
2/4-18 R	4283.000000	1.600000	29.000000	12.000000	DUMMY	1994-04-11	2253	9999-12-31	2013-05-08	4709
2/4-18 R	4352.000000	1.600000	26.000000	9.000000	DUMMY	1994-04-11	2253	9999-12-31	2013-05-08	4710
2/4-18 R	4353.000000	1.600000	22.000000	9.000000	DUMMY	1994-04-12	2253	9999-12-31	2013-05-08	4711
2/4-18 R	4398.000000	1.600000	26.000000	9.000000	DUMMY	1994-04-14	2253	9999-12-31	2013-05-08	4712
2/4-18 R	4398.000000	1.620000	24.000000	9.000000	DUMMY	1994-04-14	2253	9999-12-31	2013-05-08	4713
2/4-18 R	4398.000000	1.620000	23.000000	9.000000	DUMMY	1994-04-18	2253	9999-12-31	2013-05-08	4714
2/4-18 R	4426.000000	1.620000	22.000000	9.000000	DUMMY	1994-04-18	2253	9999-12-31	2013-05-08	4715
2/4-18 R	4433.000000	1.620000	25.000000	10.000000	DUMMY	1994-04-18	2253	9999-12-31	2013-05-08	4716
2/4-18 R	4468.000000	1.640000	25.000000	9.000000	DUMMY	1994-04-18	2253	9999-12-31	2013-05-08	4717
2/4-18 R	4501.000000	1.660000	30.000000	11.000000	DUMMY	1994-04-21	2253	9999-12-31	2013-05-08	4718
2/4-18 R	4501.000000	1.640000	27.000000	10.000000	DUMMY	1994-04-19	2253	9999-12-31	2013-05-08	4719
2/4-18 R	4504.000000	1.660000	22.000000	9.000000	DUMMY	1994-04-22	2253	9999-12-31	2013-05-08	4720
2/4-18 R	4504.000000	1.660000	22.000000	9.000000	DUMMY	1994-04-25	2253	9999-12-31	2013-05-08	4721
2/4-18 R	4504.000000	1.660000	22.000000	9.000000	DUMMY	1994-04-25	2253	9999-12-31	2013-05-08	4722
2/4-18 R	4504.000000	1.660000	24.000000	10.000000	DUMMY	1994-04-21	2253	9999-12-31	2013-05-08	4723
2/4-18 R	4524.000000	1.660000	23.000000	8.000000	DUMMY	1994-04-25	2253	9999-12-31	2013-05-08	4724
2/4-18 R	4541.000000	1.680000	24.000000	10.000000	DUMMY	1994-04-26	2253	9999-12-31	2013-05-08	4725
2/4-18 R	4541.000000	1.680000	24.000000	9.000000	DUMMY	1994-04-27	2253	9999-12-31	2013-05-08	4726
2/4-18 R	4541.000000	1.680000	24.000000	10.000000	DUMMY	1994-04-28	2253	9999-12-31	2013-05-08	4727
2/4-18 R	4557.000000	1.680000	23.000000	11.000000	DUMMY	1994-04-29	2253	9999-12-31	2013-05-08	4728
2/4-18 R	4583.000000	1.740000	25.000000	10.000000	DUMMY	1994-05-02	2253	9999-12-31	2013-05-08	4729
2/4-18 R	4584.000000	1.750000	25.000000	8.000000	DUMMY	1994-05-02	2253	9999-12-31	2013-05-08	4730
2/4-18 R	4602.000000	1.760000	24.000000	11.000000	DUMMY	1994-05-02	2253	9999-12-31	2013-05-08	4731
2/4-18 R	4602.000000	1.760000	26.000000	10.000000	DUMMY	1994-05-03	2253	9999-12-31	2013-05-08	4732
2/4-18 R	4602.000000	1.760000	24.000000	10.000000	DUMMY	1994-05-04	2253	9999-12-31	2013-05-08	4733
2/4-18 R	4621.000000	1.760000	23.000000	11.000000	DUMMY	1994-05-05	2253	9999-12-31	2013-05-08	4734
2/4-18 R	4632.000000	1.820000	24.000000	8.000000	DUMMY	1994-05-09	2253	9999-12-31	2013-05-08	4735
2/4-18 R	4632.000000	0.000000	0.000000	0.000000	\N	1994-05-09	2253	9999-12-31	2013-05-08	4736
2/4-18 R	4632.000000	1.820000	21.000000	9.000000	DUMMY	1994-05-16	2253	9999-12-31	2013-05-08	4737
2/4-18 R	4632.000000	1.820000	21.000000	9.000000	DUMMY	1994-05-16	2253	9999-12-31	2013-05-08	4738
2/4-18 R	4632.000000	1.820000	22.000000	8.000000	DUMMY	1994-05-18	2253	9999-12-31	2013-05-08	4739
2/4-18 R	4632.000000	1.820000	21.000000	9.000000	DUMMY	1994-05-18	2253	9999-12-31	2013-05-08	4740
2/4-18 R	4632.000000	1.820000	21.000000	9.000000	DUMMY	1994-05-18	2253	9999-12-31	2013-05-08	4741
2/4-18 R	4632.000000	1.820000	22.000000	8.000000	DUMMY	1994-05-10	2253	9999-12-31	2013-05-08	4742
2/4-18 R	4635.000000	1.820000	19.000000	10.000000	DUMMY	1994-05-19	2253	9999-12-31	2013-05-08	4743
2/4-18 R	4635.000000	1.820000	25.000000	10.000000	DUMMY	1994-05-19	2253	9999-12-31	2013-05-08	4744
2/4-18 R	4651.000000	1.900000	21.000000	6.000000	DUMMY	1994-05-19	2253	9999-12-31	2013-05-08	4745
2/4-18 R	4687.000000	1.900000	28.000000	17.000000	DUMMY	1994-05-24	2253	9999-12-31	2013-05-08	4746
2/4-18 R	4711.000000	1.940000	32.000000	19.000000	DUMMY	1994-05-24	2253	9999-12-31	2013-05-08	4747
2/4-18 R	4711.000000	1.950000	31.000000	22.000000	DUMMY	1994-05-24	2253	9999-12-31	2013-05-08	4748
2/4-18 R	4746.000000	1.950000	33.000000	25.000000	DUMMY	1994-05-24	2253	9999-12-31	2013-05-08	4749
2/4-18 R	4804.000000	1.970000	31.000000	24.000000	DUMMY	1994-05-24	2253	9999-12-31	2013-05-08	4750
2/4-18 R	4804.000000	1.970000	35.000000	19.000000	DUMMY	1994-05-25	2253	9999-12-31	2013-05-08	4751
2/4-18 R	4804.000000	1.970000	29.000000	17.000000	DUMMY	1994-05-26	2253	9999-12-31	2013-05-08	4752
2/4-18 R	4832.000000	2.000000	31.000000	17.000000	DUMMY	1994-05-27	2253	9999-12-31	2013-05-08	4753
2/4-18 R	4832.000000	2.020000	18.000000	6.000000	DUMMY	1994-06-10	2253	9999-12-31	2013-05-08	4754
2/4-18 R	4832.000000	2.020000	17.000000	6.000000	DUMMY	1994-06-10	2253	9999-12-31	2013-05-08	4755
2/4-18 R	4832.000000	2.020000	18.000000	6.000000	DUMMY	1994-06-14	2253	9999-12-31	2013-05-08	4756
2/4-18 R	4832.000000	2.020000	17.000000	7.000000	DUMMY	1994-06-14	2253	9999-12-31	2013-05-08	4757
2/4-18 R	4832.000000	2.020000	19.000000	9.000000	DUMMY	1994-06-14	2253	9999-12-31	2013-05-08	4758
2/4-18 R	4832.000000	2.020000	20.000000	8.000000	DUMMY	1994-06-14	2253	9999-12-31	2013-05-08	4759
2/4-18 R	4832.000000	2.020000	20.000000	8.000000	DUMMY	1994-06-15	2253	9999-12-31	2013-05-08	4760
2/4-18 R	4832.000000	2.020000	16.000000	5.000000	DUMMY	1994-06-16	2253	9999-12-31	2013-05-08	4761
2/4-18 R	4832.000000	2.020000	17.000000	6.000000	DUMMY	1994-06-17	2253	9999-12-31	2013-05-08	4762
2/4-18 R	4832.000000	2.020000	17.000000	3.000000	DUMMY	1994-06-20	2253	9999-12-31	2013-05-08	4763
2/4-18 R	4832.000000	2.020000	17.000000	6.000000	DUMMY	1994-06-20	2253	9999-12-31	2013-05-08	4764
2/4-18 R	4832.000000	2.020000	18.000000	3.000000	DUMMY	1994-06-21	2253	9999-12-31	2013-05-08	4765
2/4-18 R	4832.000000	2.020000	18.000000	3.000000	DUMMY	1994-06-22	2253	9999-12-31	2013-05-08	4766
2/4-18 R	4832.000000	2.020000	18.000000	3.000000	DUMMY	1994-06-23	2253	9999-12-31	2013-05-08	4767
2/4-18 R	4832.000000	2.040000	17.000000	6.000000	DUMMY	1994-06-24	2253	9999-12-31	2013-05-08	4768
2/4-18 R	4832.000000	2.040000	17.000000	6.000000	DUMMY	1994-06-28	2253	9999-12-31	2013-05-08	4769
2/4-18 R	4832.000000	2.020000	17.000000	6.000000	DUMMY	1994-06-20	2253	9999-12-31	2013-05-08	4770
2/4-18 R	4867.000000	2.000000	32.000000	16.000000	DUMMY	1994-05-30	2253	9999-12-31	2013-05-08	4771
2/4-18 R	4897.000000	2.000000	28.000000	27.000000	DUMMY	1994-05-30	2253	9999-12-31	2013-05-08	4772
2/4-18 R	4930.000000	2.000000	22.000000	18.000000	DUMMY	1994-05-30	2253	9999-12-31	2013-05-08	4773
2/4-18 R	4930.000000	2.030000	23.000000	22.000000	DUMMY	1994-05-31	2253	9999-12-31	2013-05-08	4774
2/4-18 R	4944.000000	2.020000	21.000000	18.000000	DUMMY	1994-06-02	2253	9999-12-31	2013-05-08	4775
2/4-18 R	5001.000000	2.020000	22.000000	19.000000	DUMMY	1994-06-02	2253	9999-12-31	2013-05-08	4776
2/4-18 R	5041.000000	2.040000	21.000000	20.000000	DUMMY	1994-06-03	2253	9999-12-31	2013-05-08	4777
2/4-18 R	5041.000000	2.040000	23.000000	22.000000	DUMMY	1994-06-07	2253	9999-12-31	2013-05-08	4778
2/4-18 R	5105.000000	2.020000	17.000000	6.000000	DUMMY	1994-06-07	2253	9999-12-31	2013-05-08	4779
2/4-18 R	5105.000000	2.020000	17.000000	6.000000	DUMMY	1994-06-07	2253	9999-12-31	2013-05-08	4780
2/4-18 R	5114.000000	2.020000	16.000000	6.000000	DUMMY	1994-06-07	2253	9999-12-31	2013-05-08	4781
2/4-18 R	5114.000000	2.020000	17.000000	7.000000	DUMMY	1994-06-09	2253	9999-12-31	2013-05-08	4782
2/4-18 R	5221.000000	2.040000	17.000000	4.000000	DUMMY	1994-06-28	2253	9999-12-31	2013-05-08	4783
2/4-18 R	5221.000000	2.040000	20.000000	8.000000	DUMMY	1994-06-28	2253	9999-12-31	2013-05-08	4784
2/4-18 R	5221.000000	2.040000	21.000000	10.000000	DUMMY	1994-06-28	2253	9999-12-31	2013-05-08	4785
2/4-18 R	5221.000000	2.040000	20.000000	10.000000	DUMMY	1994-06-29	2253	9999-12-31	2013-05-08	4786
2/4-18 R	5221.000000	2.040000	26.000000	16.000000	DUMMY	1994-06-30	2253	9999-12-31	2013-05-08	4787
2/4-18 R	5221.000000	2.040000	25.000000	10.000000	DUMMY	1994-07-01	2253	9999-12-31	2013-05-08	4788
2/4-2	619.000000	1.150000	85.000000	0.000000	spud-mud	9999-12-31	172	9999-12-31	2013-05-08	4789
2/4-2	655.000000	1.550000	45.000000	0.000000	spud-mud	9999-12-31	172	9999-12-31	2013-05-08	4790
2/4-2	1150.000000	1.640000	50.000000	0.000000	spud-mud	9999-12-31	172	9999-12-31	2013-05-08	4791
2/4-2	1616.000000	1.670000	50.000000	0.000000	water-based	9999-12-31	172	9999-12-31	2013-05-08	4792
2/4-2	2377.000000	1.710000	50.000000	0.000000	water-based	9999-12-31	172	9999-12-31	2013-05-08	4793
2/4-2	3039.000000	1.610000	45.000000	0.000000	water-based	9999-12-31	172	9999-12-31	2013-05-08	4794
2/4-2	3265.000000	1.660000	45.000000	0.000000	water-based	9999-12-31	172	9999-12-31	2013-05-08	4795
2/4-2	3305.000000	1.670000	47.000000	0.000000	water-based	9999-12-31	172	9999-12-31	2013-05-08	4796
2/4-20	94.000000	1.080000	5.000000	0.000000	SPUD MUD	9999-12-31	5556	9999-12-31	2013-05-08	4797
2/4-20	128.000000	1.050000	6.000000	0.000000	WATER BASE	9999-12-31	5556	9999-12-31	2013-05-08	4798
2/4-20	146.000000	1.130000	7.000000	0.000000	WATER BASE	9999-12-31	5556	9999-12-31	2013-05-08	4799
2/4-20	442.000000	1.390000	36.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4800
2/4-20	445.000000	1.570000	39.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4801
2/4-20	670.000000	1.700000	35.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4802
2/4-20	1082.000000	1.750000	41.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4803
2/4-20	1204.000000	1.730000	43.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4804
2/4-20	1353.000000	1.380000	33.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4805
2/4-20	1402.000000	1.770000	51.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4806
2/4-20	1410.000000	1.770000	46.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4807
2/4-20	1448.000000	1.380000	33.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4808
2/4-20	1667.000000	2.080000	60.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4809
2/4-20	4746.000000	1.770000	42.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4810
2/4-20	4847.000000	2.120000	57.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4811
2/4-20	5002.000000	2.120000	59.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4812
2/4-20	5133.000000	2.120000	61.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4813
2/4-20	5440.000000	2.120000	61.000000	0.000000	HPHT OB WARP	9999-12-31	5556	9999-12-31	2013-05-08	4814
2/4-20	5608.000000	2.060000	55.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4815
2/4-20	5719.000000	2.080000	49.000000	0.000000	OIL BASE	9999-12-31	5556	9999-12-31	2013-05-08	4816
2/4-3	619.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	97	9999-12-31	2013-05-08	4817
2/4-3	1153.000000	1.700000	0.000000	0.000000	cacl/broxin	9999-12-31	97	9999-12-31	2013-05-08	4818
2/4-3	1632.000000	1.710000	0.000000	0.000000	seaw/broxin	9999-12-31	97	9999-12-31	2013-05-08	4819
2/4-3	2320.000000	1.710000	0.000000	0.000000	seaw/broxin	9999-12-31	97	9999-12-31	2013-05-08	4820
2/4-3	3018.000000	1.710000	0.000000	0.000000	seaw/broxin	9999-12-31	97	9999-12-31	2013-05-08	4821
2/4-3	3225.000000	1.710000	0.000000	0.000000	seaw/broxin	9999-12-31	97	9999-12-31	2013-05-08	4822
2/4-4	135.000000	1.490000	0.000000	0.000000	seawat/slug	9999-12-31	174	9999-12-31	2013-05-08	4823
2/4-4	653.000000	1.500000	0.000000	0.000000	seawat/slug	9999-12-31	174	9999-12-31	2013-05-08	4824
2/4-4	1113.000000	1.710000	0.000000	0.000000	seawat/aid	9999-12-31	174	9999-12-31	2013-05-08	4825
2/4-4	1646.000000	1.710000	0.000000	0.000000	seawat/aid	9999-12-31	174	9999-12-31	2013-05-08	4826
2/4-4	2060.000000	1.710000	0.000000	0.000000	seawat/aid	9999-12-31	174	9999-12-31	2013-05-08	4827
2/4-4	3021.000000	1.710000	0.000000	0.000000	seawat/aid	9999-12-31	174	9999-12-31	2013-05-08	4828
2/4-4	3255.000000	1.710000	0.000000	0.000000	seawat/aid	9999-12-31	174	9999-12-31	2013-05-08	4829
2/4-4	3425.000000	1.710000	0.000000	0.000000	seawat/aid	9999-12-31	174	9999-12-31	2013-05-08	4830
2/4-5	130.000000	1.050000	0.000000	0.000000	seawa/slugs	9999-12-31	177	9999-12-31	2013-05-08	4831
2/4-5	960.000000	1.680000	0.000000	0.000000	seawa/slugs	9999-12-31	177	9999-12-31	2013-05-08	4832
2/4-5	1646.000000	1.720000	0.000000	0.000000	seawa/ligno	9999-12-31	177	9999-12-31	2013-05-08	4833
2/4-5	2225.000000	1.710000	0.000000	0.000000	seawa/ligno	9999-12-31	177	9999-12-31	2013-05-08	4834
2/4-5	3056.000000	1.720000	0.000000	0.000000	seawa/ligno	9999-12-31	177	9999-12-31	2013-05-08	4835
2/4-5	3320.000000	1.710000	0.000000	0.000000	seawa/ligno	9999-12-31	177	9999-12-31	2013-05-08	4836
2/4-6	130.000000	0.990000	0.000000	0.000000	seawater	9999-12-31	181	9999-12-31	2013-05-08	4837
2/4-6	585.000000	1.710000	0.000000	0.000000	seawa/aid	9999-12-31	181	9999-12-31	2013-05-08	4838
2/4-6	1014.000000	1.710000	0.000000	0.000000	seawa/aid	9999-12-31	181	9999-12-31	2013-05-08	4839
2/4-6	1682.000000	1.710000	0.000000	0.000000	seawa/aid	9999-12-31	181	9999-12-31	2013-05-08	4840
2/4-6	3107.000000	1.730000	0.000000	0.000000	seawa/aid	9999-12-31	181	9999-12-31	2013-05-08	4841
2/4-6	3266.000000	1.720000	0.000000	0.000000	seawa/aid	9999-12-31	181	9999-12-31	2013-05-08	4842
2/4-7	186.000000	1.120000	0.000000	0.000000	seaw/ligno	9999-12-31	196	9999-12-31	2013-05-08	4843
2/4-7	564.000000	1.360000	0.000000	0.000000	seaw/ligno	9999-12-31	196	9999-12-31	2013-05-08	4844
2/4-7	1362.000000	1.720000	0.000000	0.000000	seaw/ligno	9999-12-31	196	9999-12-31	2013-05-08	4845
2/4-7	2835.000000	1.710000	0.000000	0.000000	seaw/ligno	9999-12-31	196	9999-12-31	2013-05-08	4846
2/4-7	3155.000000	1.710000	0.000000	0.000000	seaw/ligno	9999-12-31	196	9999-12-31	2013-05-08	4847
2/4-7	3333.000000	1.720000	0.000000	0.000000	seaw/ligno	9999-12-31	196	9999-12-31	2013-05-08	4848
2/4-8	450.000000	1.130000	0.000000	0.000000	seawater	9999-12-31	252	9999-12-31	2013-05-08	4849
2/4-8	945.000000	1.250000	54.000000	28.000000	seawater	9999-12-31	252	9999-12-31	2013-05-08	4850
2/4-8	1229.000000	1.620000	48.000000	10.000000	seawater	9999-12-31	252	9999-12-31	2013-05-08	4851
2/4-8	3577.000000	1.710000	44.000000	21.000000	Barite	9999-12-31	252	9999-12-31	2013-05-08	4852
2/4-8	3710.000000	1.750000	44.000000	11.000000	Ligno	9999-12-31	252	9999-12-31	2013-05-08	4853
2/4-8	4075.000000	1.770000	55.000000	30.000000	Ligno	9999-12-31	252	9999-12-31	2013-05-08	4854
2/4-9	173.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	253	9999-12-31	2013-05-08	4855
2/4-9	487.000000	1.080000	50.000000	0.000000	seawater	9999-12-31	253	9999-12-31	2013-05-08	4856
2/4-9	1219.000000	1.310000	55.000000	0.000000	seawa/ben	9999-12-31	253	9999-12-31	2013-05-08	4857
2/4-9	2438.000000	1.490000	55.000000	0.000000	seawa/ben	9999-12-31	253	9999-12-31	2013-05-08	4858
2/4-9	3752.000000	1.710000	55.000000	0.000000	barite	9999-12-31	253	9999-12-31	2013-05-08	4859
2/5-1	141.000000	1.140000	40.000000	0.000000	seawater	9999-12-31	178	9999-12-31	2013-05-08	4860
2/5-1	2017.000000	1.560000	0.000000	0.000000	waterbased	9999-12-31	178	9999-12-31	2013-05-08	4861
2/5-1	3081.000000	1.710000	45.000000	0.000000	waterbased	9999-12-31	178	9999-12-31	2013-05-08	4862
2/5-1	3580.000000	1.630000	50.000000	0.000000	waterbased	9999-12-31	178	9999-12-31	2013-05-08	4863
2/5-1	3811.000000	1.630000	44.000000	0.000000	waterbased	9999-12-31	178	9999-12-31	2013-05-08	4864
2/5-10	65.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4865
2/5-10	110.000000	1.650000	24.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4866
2/5-10	185.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4867
2/5-10	520.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4868
2/5-10	815.000000	1.060000	22.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4869
2/5-10	1037.000000	1.300000	18.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4870
2/5-10	1254.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4871
2/5-10	1619.000000	1.430000	20.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4872
2/5-10	1959.000000	1.500000	40.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4873
2/5-10	2102.000000	1.660000	23.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4874
2/5-10	2129.000000	1.550000	52.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4875
2/5-10	2265.000000	1.640000	43.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4876
2/5-10	2541.000000	1.620000	43.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4877
2/5-10	2649.000000	1.620000	42.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4878
2/5-10	2753.000000	1.620000	37.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4879
2/5-10	2994.000000	1.620000	49.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4880
2/5-10	3131.000000	1.620000	49.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4881
2/5-10	3210.000000	1.620000	42.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4882
2/5-10	3211.000000	1.620000	51.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4883
2/5-10	3252.000000	1.620000	51.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4884
2/5-10	3311.000000	1.620000	46.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4885
2/5-10	3361.000000	1.620000	48.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4886
2/5-10	3471.000000	1.620000	49.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4887
2/5-10	3499.000000	1.610000	53.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4888
2/5-10	3502.000000	1.610000	49.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4889
2/5-10	3590.000000	1.610000	42.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4890
2/5-10	3652.000000	1.610000	40.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4891
2/5-10	3680.000000	1.610000	46.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4892
2/5-10	3730.000000	1.610000	44.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4893
2/5-10	3837.000000	1.610000	41.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4894
2/5-10	3952.000000	1.610000	42.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4895
2/5-10	3989.000000	1.610000	45.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4896
2/5-10	4035.000000	1.610000	44.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4897
2/5-10	4077.000000	1.610000	44.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4898
2/5-10	4100.000000	1.610000	47.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4899
2/5-10	4111.000000	1.610000	51.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4900
2/5-10	4115.000000	2.060000	39.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4901
2/5-10	4144.000000	1.650000	50.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4902
2/5-10	4227.000000	1.650000	44.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4903
2/5-10	4235.000000	1.660000	35.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4904
2/5-10	4286.000000	1.980000	44.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4905
2/5-10	4292.000000	2.080000	37.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4906
2/5-10	4298.000000	1.980000	45.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4907
2/5-10	4352.000000	1.980000	43.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4908
2/5-10	4395.000000	1.980000	42.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4909
2/5-10	4520.000000	2.080000	47.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4910
2/5-10	4547.000000	2.020000	30.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4911
2/5-10	4585.000000	2.080000	33.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4912
2/5-10	4591.000000	2.080000	32.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4913
2/5-10	4653.000000	2.080000	27.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4914
2/5-10	4701.000000	2.080000	26.000000	0.000000	WATER BASED	9999-12-31	2044	9999-12-31	2013-05-08	4915
2/5-10 A	4215.000000	2.060000	39.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4916
2/5-10 A	4301.000000	2.020000	33.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4917
2/5-10 A	4312.000000	2.020000	36.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4918
2/5-10 A	4318.000000	2.040000	36.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4919
2/5-10 A	4394.000000	2.020000	35.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4920
2/5-10 A	4430.000000	2.020000	37.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4921
2/5-10 A	4460.000000	2.020000	37.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4922
2/5-10 A	4500.000000	2.020000	39.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4923
2/5-10 A	4598.000000	2.020000	40.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4924
2/5-10 A	4612.000000	2.020000	39.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4925
2/5-10 A	4631.000000	2.040000	38.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4926
2/5-10 A	4640.000000	2.020000	36.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4927
2/5-10 A	4679.000000	2.060000	35.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4928
2/5-10 A	4715.000000	2.060000	35.000000	0.000000	WATER BASED	9999-12-31	2194	9999-12-31	2013-05-08	4929
2/5-11	220.000000	1.200000	14.000000	0.000000	GEL/DW	9999-12-31	3084	9999-12-31	2013-05-08	4930
2/5-11	230.000000	1.030000	8.000000	0.000000	SW/GEL	9999-12-31	3084	9999-12-31	2013-05-08	4931
2/5-11	254.000000	1.030000	6.000000	0.000000	SW/GEL	9999-12-31	3084	9999-12-31	2013-05-08	4932
2/5-11	283.000000	1.030000	10.000000	0.000000	DW/GEL	9999-12-31	3084	9999-12-31	2013-05-08	4933
2/5-11	552.000000	1.180000	6.000000	0.000000	DW PHB	9999-12-31	3084	9999-12-31	2013-05-08	4934
2/5-11	775.000000	1.300000	37.000000	0.000000	KCL/POLYMER	9999-12-31	3084	9999-12-31	2013-05-08	4935
2/5-11	775.000000	1.130000	5.000000	0.000000	SW-GEL	9999-12-31	3084	9999-12-31	2013-05-08	4936
2/5-11	1243.000000	1.390000	22.000000	0.000000	KCL/POLYMER	9999-12-31	3084	9999-12-31	2013-05-08	4937
2/5-11	2020.000000	1.550000	32.000000	0.000000	KCL/SW	9999-12-31	3084	9999-12-31	2013-05-08	4938
2/5-11	2020.000000	1.550000	32.000000	0.000000	KCL/POLYMER	9999-12-31	3084	9999-12-31	2013-05-08	4939
2/5-11	2168.000000	1.640000	38.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4940
2/5-11	2550.000000	1.680000	49.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4941
2/5-11	2791.000000	1.700000	50.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4942
2/5-11	2999.000000	1.680000	49.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4943
2/5-11	2999.000000	1.510000	29.000000	0.000000	PAC-GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4944
2/5-11	3120.000000	1.700000	48.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4945
2/5-11	3195.000000	1.500000	28.000000	0.000000	PAC/GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4946
2/5-11	3225.000000	1.700000	43.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4947
2/5-11	3229.000000	1.600000	57.000000	0.000000	FW/PAC/GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4948
2/5-11	3248.000000	1.570000	48.000000	0.000000	FW/PAC/GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4949
2/5-11	3330.000000	1.550000	30.000000	0.000000	PAC	9999-12-31	3084	9999-12-31	2013-05-08	4950
2/5-11	3356.000000	1.540000	28.000000	0.000000	PAC POLYMER	9999-12-31	3084	9999-12-31	2013-05-08	4951
2/5-11	3356.000000	1.500000	28.000000	0.000000	PAC/GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4952
2/5-11	3360.000000	1.540000	29.000000	0.000000	PAC-GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4953
2/5-11	3386.000000	1.550000	29.000000	0.000000	PAC	9999-12-31	3084	9999-12-31	2013-05-08	4954
2/5-11	3550.000000	1.540000	33.000000	0.000000	PAC	9999-12-31	3084	9999-12-31	2013-05-08	4955
2/5-11	3550.000000	1.520000	29.000000	0.000000	PAC-GLYCOL	9999-12-31	3084	9999-12-31	2013-05-08	4956
2/5-11	3556.000000	1.540000	30.000000	0.000000	PAC POLYMER	9999-12-31	3084	9999-12-31	2013-05-08	4957
2/5-12	173.000000	1.030000	4.000000	0.000000	SPUD MUD	9999-12-31	4433	9999-12-31	2013-05-08	4958
2/5-12	969.000000	1.200000	25.000000	0.000000	KCL/GLYCOL	9999-12-31	4433	9999-12-31	2013-05-08	4959
2/5-12	1300.000000	0.140000	20.000000	0.000000	KCL/GLYCOL	9999-12-31	4433	9999-12-31	2013-05-08	4960
2/5-12	1839.000000	0.170000	22.000000	0.000000	KCL/GLYCOL	9999-12-31	4433	9999-12-31	2013-05-08	4961
2/5-12	2153.000000	0.190000	23.000000	0.000000	KCL/GLYCOL	9999-12-31	4433	9999-12-31	2013-05-08	4962
2/5-12	2358.000000	0.190000	24.000000	0.000000	KCL/GLYCOL	9999-12-31	4433	9999-12-31	2013-05-08	4963
2/5-12	2400.000000	0.200000	34.000000	0.000000	KCL/GLYCOL	9999-12-31	4433	9999-12-31	2013-05-08	4964
2/5-12	3218.000000	1.730000	29.000000	0.000000	XP07 POBM	9999-12-31	4433	9999-12-31	2013-05-08	4965
2/5-12	3637.000000	1.730000	24.000000	0.000000	XP07 POBM	9999-12-31	4433	9999-12-31	2013-05-08	4966
2/5-12	3730.000000	1.710000	23.000000	0.000000	XP07 POBM	9999-12-31	4433	9999-12-31	2013-05-08	4967
2/5-12	3842.000000	1.860000	33.000000	0.000000	XP07 POBM	9999-12-31	4433	9999-12-31	2013-05-08	4968
2/5-12	4005.000000	1.900000	37.000000	0.000000	XP07 POBM	9999-12-31	4433	9999-12-31	2013-05-08	4969
2/5-12	4145.000000	1.970000	45.000000	0.000000	XP07 POBM	9999-12-31	4433	9999-12-31	2013-05-08	4970
2/5-12	4153.000000	2.000000	50.000000	0.000000	XP07 POBM	9999-12-31	4433	9999-12-31	2013-05-08	4971
2/5-12	4153.000000	1.040000	0.000000	0.000000	SEAWATER	9999-12-31	4433	9999-12-31	2013-05-08	4972
2/5-13	224.000000	1.450000	24.000000	0.000000	Spud Mud	9999-12-31	5948	9999-12-31	2013-05-08	4973
2/5-13	460.000000	1.640000	30.000000	0.000000	Spud Mud	9999-12-31	5948	9999-12-31	2013-05-08	4974
2/5-13	905.000000	1.640000	33.000000	0.000000	Spud Mud	9999-12-31	5948	9999-12-31	2013-05-08	4975
2/5-13	953.000000	1.450000	32.000000	0.000000	XP-07 - #14	9999-12-31	5948	9999-12-31	2013-05-08	4976
2/5-13	1385.000000	1.550000	26.000000	0.000000	XP-07 - #14	9999-12-31	5948	9999-12-31	2013-05-08	4977
2/5-13	1531.000000	1.600000	30.000000	0.000000	XP-07 - #14	9999-12-31	5948	9999-12-31	2013-05-08	4978
2/5-13	2287.000000	1.640000	29.000000	0.000000	XP-07 - #14	9999-12-31	5948	9999-12-31	2013-05-08	4979
2/5-13	3000.000000	1.640000	29.000000	0.000000	XP-07 - #14	9999-12-31	5948	9999-12-31	2013-05-08	4980
2/5-13	3040.000000	1.670000	30.000000	0.000000	XP-07 - #14	9999-12-31	5948	9999-12-31	2013-05-08	4981
2/5-13	3425.000000	1.670000	28.000000	0.000000	XP-07 - #14	9999-12-31	5948	9999-12-31	2013-05-08	4982
2/5-13	3833.000000	1.690000	30.000000	0.000000	XP-07 - #14	9999-12-31	5948	9999-12-31	2013-05-08	4983
2/5-13	4060.000000	2.070000	40.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	5948	9999-12-31	2013-05-08	4984
2/5-13	4105.000000	1.700000	22.000000	0.000000	XP-07 - #14	9999-12-31	5948	9999-12-31	2013-05-08	4985
2/5-13	4124.000000	1.700000	24.000000	0.000000	XP-07 - #14	9999-12-31	5948	9999-12-31	2013-05-08	4986
2/5-13	4211.000000	1.700000	23.000000	0.000000	XP-07 - #14	9999-12-31	5948	9999-12-31	2013-05-08	4987
2/5-13	4269.000000	2.060000	36.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	5948	9999-12-31	2013-05-08	4988
2/5-13	4300.000000	2.060000	38.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	5948	9999-12-31	2013-05-08	4989
2/5-13	4400.000000	2.070000	37.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	5948	9999-12-31	2013-05-08	4990
2/5-13	4675.000000	2.070000	38.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	5948	9999-12-31	2013-05-08	4991
2/5-14 S	147.000000	1.030000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	4992
2/5-14 S	189.000000	1.050000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	4993
2/5-14 S	189.000000	1.250000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	4994
2/5-14 S	189.000000	1.040000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	4995
2/5-14 S	191.000000	1.250000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	4996
2/5-14 S	414.000000	1.350000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	4997
2/5-14 S	579.000000	1.130000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	4998
2/5-14 S	1560.000000	1.350000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	4999
2/5-14 S	1560.000000	1.350000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	5000
2/5-14 S	2706.000000	1.700000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	5001
2/5-14 S	2898.000000	1.700000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	5002
2/5-14 S	3243.000000	1.700000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	5003
2/5-14 S	3398.000000	1.700000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	5004
2/5-14 S	3401.000000	1.570000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	5005
2/5-14 S	3657.000000	1.570000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	5006
2/5-14 S	3845.000000	1.620000	0.000000	0.000000	Water	9999-12-31	5958	9999-12-31	2013-05-08	5007
2/5-2	137.000000	1.070000	70.000000	0.000000	seawater	9999-12-31	188	9999-12-31	2013-05-08	5008
2/5-2	365.000000	1.140000	40.000000	0.000000	seawater	9999-12-31	188	9999-12-31	2013-05-08	5009
2/5-2	1706.000000	1.490000	43.000000	0.000000	lignosul	9999-12-31	188	9999-12-31	2013-05-08	5010
2/5-2	3322.000000	1.610000	45.000000	0.000000	lignosul	9999-12-31	188	9999-12-31	2013-05-08	5011
2/5-4	395.000000	1.130000	0.000000	0.000000	seawa/hi-vi	9999-12-31	259	9999-12-31	2013-05-08	5012
2/5-4	2743.000000	1.610000	0.000000	0.000000	shale trol	9999-12-31	259	9999-12-31	2013-05-08	5013
2/5-4	3352.000000	1.670000	0.000000	0.000000	lignosul	9999-12-31	259	9999-12-31	2013-05-08	5014
2/5-6	166.000000	1.010000	0.000000	0.000000	bentonit	9999-12-31	261	9999-12-31	2013-05-08	5015
2/5-6	550.000000	1.010000	0.000000	0.000000	bentonit	9999-12-31	261	9999-12-31	2013-05-08	5016
2/5-6	1855.000000	1.130000	0.000000	0.000000	Gypsum	9999-12-31	261	9999-12-31	2013-05-08	5017
2/5-6	2193.000000	1.550000	0.000000	0.000000	Gypsum	9999-12-31	261	9999-12-31	2013-05-08	5018
2/5-6	2550.000000	1.610000	0.000000	0.000000	Gypsum	9999-12-31	261	9999-12-31	2013-05-08	5019
2/5-6	2988.000000	1.660000	0.000000	0.000000	seaw/ligno	9999-12-31	261	9999-12-31	2013-05-08	5020
2/5-6	3134.000000	1.660000	0.000000	0.000000	seaw/ligno	9999-12-31	261	9999-12-31	2013-05-08	5021
2/5-6	3211.000000	1.700000	0.000000	0.000000	seaw/ligno	9999-12-31	261	9999-12-31	2013-05-08	5022
2/5-6	3544.000000	1.680000	0.000000	0.000000	seaw/ligno	9999-12-31	261	9999-12-31	2013-05-08	5023
2/5-6	3602.000000	1.700000	0.000000	0.000000	seaw/ligno	9999-12-31	261	9999-12-31	2013-05-08	5024
2/5-6	3967.000000	1.980000	0.000000	0.000000	brine/polym	9999-12-31	261	9999-12-31	2013-05-08	5025
2/5-6	4057.000000	2.130000	0.000000	0.000000	brine/polym	9999-12-31	261	9999-12-31	2013-05-08	5026
2/5-6	4132.000000	2.130000	0.000000	0.000000	brine/polym	9999-12-31	261	9999-12-31	2013-05-08	5027
2/5-7	150.000000	1.030000	8.000000	12.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5028
2/5-7	400.000000	1.080000	8.000000	12.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5029
2/5-7	1175.000000	1.100000	20.000000	22.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5030
2/5-7	1400.000000	1.180000	18.000000	18.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5031
2/5-7	1510.000000	1.200000	27.000000	19.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5032
2/5-7	1630.000000	1.220000	18.000000	20.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5033
2/5-7	1780.000000	1.240000	24.000000	14.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5034
2/5-7	1990.000000	1.400000	27.000000	15.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5035
2/5-7	2270.000000	1.650000	28.000000	18.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5036
2/5-7	2475.000000	1.660000	41.000000	15.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5037
2/5-7	3630.000000	1.670000	30.000000	14.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5038
2/5-7	4140.000000	1.900000	31.000000	8.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5039
2/5-7	4235.000000	1.930000	37.000000	10.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5040
2/5-7	4330.000000	1.950000	26.000000	0.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5041
2/5-7	4520.000000	2.080000	30.000000	12.000000	WATER BASED	9999-12-31	25	9999-12-31	2013-05-08	5042
2/5-8	146.000000	1.060000	12.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5043
2/5-8	370.000000	1.030000	12.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5044
2/5-8	987.000000	1.250000	17.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5045
2/5-8	1595.000000	1.430000	29.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5046
2/5-8	1860.000000	1.620000	20.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5047
2/5-8	2145.000000	1.620000	21.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5048
2/5-8	2300.000000	1.620000	21.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5049
2/5-8	2728.000000	1.620000	21.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5050
2/5-8	3017.000000	1.630000	20.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5051
2/5-8	3124.000000	1.620000	23.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5052
2/5-8	3253.000000	1.620000	32.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5053
2/5-8	3356.000000	1.620000	32.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5054
2/5-8	3367.000000	0.000000	0.000000	0.000000	WATER BASED	9999-12-31	1308	9999-12-31	2013-05-08	5055
2/5-9	96.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5056
2/5-9	145.000000	1.200000	10.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5057
2/5-9	190.000000	1.200000	10.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5058
2/5-9	960.000000	1.020000	0.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5059
2/5-9	1903.000000	1.530000	31.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5060
2/5-9	1909.000000	1.620000	25.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5061
2/5-9	2108.000000	1.620000	26.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5062
2/5-9	2185.000000	1.620000	38.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5063
2/5-9	2233.000000	1.700000	46.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5064
2/5-9	2347.000000	1.720000	37.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5065
2/5-9	2416.000000	1.700000	50.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5066
2/5-9	2423.000000	1.700000	38.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5067
2/5-9	2849.000000	1.740000	64.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5068
2/5-9	2880.000000	1.740000	25.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5069
2/5-9	2880.000000	1.750000	24.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5070
2/5-9	2897.000000	1.670000	18.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5071
2/5-9	3070.000000	1.680000	27.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5072
2/5-9	3730.000000	1.610000	24.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5073
2/5-9	3860.000000	1.610000	30.000000	0.000000	OIL BASED	9999-12-31	1834	9999-12-31	2013-05-08	5074
2/5-9	3978.000000	1.740000	31.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5075
2/5-9	4090.000000	1.800000	33.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5076
2/5-9	4150.000000	1.800000	32.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5077
2/5-9	4171.000000	1.800000	30.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5078
2/5-9	4225.000000	1.800000	31.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5079
2/5-9	4372.000000	1.800000	24.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5080
2/5-9	4437.000000	1.840000	25.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5081
2/5-9	4438.000000	1.740000	17.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5082
2/5-9	4485.000000	1.780000	22.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5083
2/5-9	4485.000000	1.820000	26.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5084
2/5-9	4525.000000	1.790000	23.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5085
2/5-9	4525.000000	1.780000	24.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5086
2/5-9	4591.000000	1.780000	21.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5087
2/5-9	4641.000000	1.790000	20.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5088
2/5-9	4730.000000	1.080000	17.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5089
2/5-9	4732.000000	1.790000	20.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5090
2/5-9	4959.000000	1.850000	18.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5091
2/5-9	5031.000000	1.850000	19.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5092
2/5-9	5147.000000	1.910000	21.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5093
2/5-9	5194.000000	1.920000	21.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5094
2/5-9	5280.000000	1.920000	24.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5095
2/5-9	5337.000000	1.920000	29.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5096
2/5-9	5460.000000	1.980000	25.000000	0.000000	WATER BASED	9999-12-31	1834	9999-12-31	2013-05-08	5097
2/6-1	1238.000000	1.380000	0.000000	0.000000	waterbased	9999-12-31	160	9999-12-31	2013-05-08	5098
2/6-1	2107.000000	1.550000	0.000000	0.000000	waterbased	9999-12-31	160	9999-12-31	2013-05-08	5099
2/6-1	3091.000000	1.550000	0.000000	0.000000	waterbased	9999-12-31	160	9999-12-31	2013-05-08	5100
2/6-1	3336.000000	1.630000	0.000000	0.000000	waterbased	9999-12-31	160	9999-12-31	2013-05-08	5101
2/6-2	148.000000	1.100000	65.000000	0.000000	waterbased	9999-12-31	224	9999-12-31	2013-05-08	5102
2/6-2	703.000000	1.150000	50.000000	0.000000	waterbased	9999-12-31	224	9999-12-31	2013-05-08	5103
2/6-2	1218.000000	1.220000	55.000000	0.000000	waterbased	9999-12-31	224	9999-12-31	2013-05-08	5104
2/6-2	1693.000000	1.260000	58.000000	0.000000	waterbased	9999-12-31	224	9999-12-31	2013-05-08	5105
2/6-2	2084.000000	1.350000	80.000000	0.000000	waterbased	9999-12-31	224	9999-12-31	2013-05-08	5106
2/6-2	2850.000000	1.470000	66.000000	0.000000	waterbased	9999-12-31	224	9999-12-31	2013-05-08	5107
2/6-2	3912.000000	1.620000	54.000000	0.000000	waterbased	9999-12-31	224	9999-12-31	2013-05-08	5108
2/6-2	4275.000000	1.740000	65.000000	0.000000	waterbased	9999-12-31	224	9999-12-31	2013-05-08	5109
2/6-2	4440.000000	1.900000	67.000000	0.000000	waterbased	9999-12-31	224	9999-12-31	2013-05-08	5110
2/6-3	100.000000	1.060000	0.000000	0.000000	waterbased	9999-12-31	64	9999-12-31	2013-05-08	5111
2/6-3	350.000000	1.110000	0.000000	0.000000	waterbased	9999-12-31	64	9999-12-31	2013-05-08	5112
2/6-3	820.000000	1.140000	0.000000	0.000000	waterbased	9999-12-31	64	9999-12-31	2013-05-08	5113
2/6-3	1350.000000	1.180000	0.000000	0.000000	waterbased	9999-12-31	64	9999-12-31	2013-05-08	5114
2/6-3	1700.000000	1.240000	0.000000	0.000000	waterbased	9999-12-31	64	9999-12-31	2013-05-08	5115
2/6-3	2545.000000	1.340000	0.000000	0.000000	waterbased	9999-12-31	64	9999-12-31	2013-05-08	5116
2/6-3	3160.000000	1.520000	0.000000	0.000000	waterbased	9999-12-31	64	9999-12-31	2013-05-08	5117
2/6-3	3520.000000	1.610000	0.000000	0.000000	waterbased	9999-12-31	64	9999-12-31	2013-05-08	5118
2/6-3	3780.000000	1.570000	0.000000	0.000000	waterbased	9999-12-31	64	9999-12-31	2013-05-08	5119
2/6-4 S	1204.000000	1.290000	22.000000	14.700000	DUMMY	1990-04-19	1527	9999-12-31	2013-05-08	5120
2/6-4 S	2225.000000	1.400000	33.000000	15.600000	DUMMY	1990-04-23	1527	9999-12-31	2013-05-08	5121
2/6-4 S	2283.000000	1.450000	31.000000	18.600000	DUMMY	1990-04-24	1527	9999-12-31	2013-05-08	5122
2/6-4 S	2314.000000	1.550000	20.000000	9.800000	WATER BASED	1990-04-30	1527	9999-12-31	2013-05-08	5123
2/6-4 S	2523.000000	1.550000	24.000000	10.700000	WATER BASED	1990-04-30	1527	9999-12-31	2013-05-08	5124
2/6-4 S	3487.000000	1.600000	24.000000	9.800000	WATER BASED	1990-05-21	1527	9999-12-31	2013-05-08	5125
2/6-4 S	3530.000000	1.600000	23.000000	9.800000	WATER BASED	1990-05-22	1527	9999-12-31	2013-05-08	5126
2/6-4 S	3536.000000	1.600000	20.000000	9.800000	WATER BASED	1990-05-23	1527	9999-12-31	2013-05-08	5127
2/6-5	130.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5128
2/6-5	709.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5129
2/6-5	808.000000	0.000000	0.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5130
2/6-5	1086.000000	1.350000	24.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5131
2/6-5	2515.000000	1.600000	36.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5132
2/6-5	2801.000000	1.600000	44.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5133
2/6-5	2904.000000	1.600000	38.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5134
2/6-5	2919.000000	1.600000	39.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5135
2/6-5	2955.000000	1.620000	32.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5136
2/6-5	2984.000000	1.610000	30.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5137
2/6-5	3129.000000	1.600000	32.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5138
2/6-5	3176.000000	1.600000	39.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5139
2/6-5	3252.000000	1.600000	38.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5140
2/6-5	3260.000000	1.620000	0.000000	0.000000	WATER BASED	9999-12-31	2885	9999-12-31	2013-05-08	5141
2/7-10	139.000000	1.050000	75.000000	0.000000	water-based	9999-12-31	269	9999-12-31	2013-05-08	5142
2/7-10	501.000000	1.250000	40.000000	0.000000	water-based	9999-12-31	269	9999-12-31	2013-05-08	5143
2/7-10	899.000000	1.260000	12.000000	0.000000	water-based	9999-12-31	269	9999-12-31	2013-05-08	5144
2/7-10	1275.000000	1.400000	43.000000	0.000000	water-based	9999-12-31	269	9999-12-31	2013-05-08	5145
2/7-10	2113.000000	1.640000	51.000000	0.000000	water-based	9999-12-31	269	9999-12-31	2013-05-08	5146
2/7-10	2448.000000	1.660000	51.000000	0.000000	water-based	9999-12-31	269	9999-12-31	2013-05-08	5147
2/7-10	2912.000000	1.710000	58.000000	0.000000	water-based	9999-12-31	269	9999-12-31	2013-05-08	5148
2/7-10	3275.000000	1.720000	57.000000	0.000000	water-based	9999-12-31	269	9999-12-31	2013-05-08	5149
2/7-10	3368.000000	1.720000	53.000000	0.000000	water-based	9999-12-31	269	9999-12-31	2013-05-08	5150
2/7-12	439.000000	1.080000	50.000000	0.000000	waterbased	9999-12-31	271	9999-12-31	2013-05-08	5151
2/7-12	980.000000	1.280000	48.000000	0.000000	waterbased	9999-12-31	271	9999-12-31	2013-05-08	5152
2/7-12	1412.000000	1.550000	59.000000	0.000000	waterbased	9999-12-31	271	9999-12-31	2013-05-08	5153
2/7-12	1746.000000	1.780000	59.000000	0.000000	waterbased	9999-12-31	271	9999-12-31	2013-05-08	5154
2/7-12	1882.000000	1.780000	61.000000	0.000000	waterbased	9999-12-31	271	9999-12-31	2013-05-08	5155
2/7-13	346.000000	1.030000	54.000000	0.000000	waterbased	9999-12-31	272	9999-12-31	2013-05-08	5156
2/7-13	657.000000	1.190000	39.000000	0.000000	waterbased	9999-12-31	272	9999-12-31	2013-05-08	5157
2/7-13	1309.000000	1.220000	44.000000	0.000000	waterbased	9999-12-31	272	9999-12-31	2013-05-08	5158
2/7-13	1739.000000	1.440000	41.000000	0.000000	waterbased	9999-12-31	272	9999-12-31	2013-05-08	5159
2/7-13	2365.000000	1.580000	48.000000	0.000000	waterbased	9999-12-31	272	9999-12-31	2013-05-08	5160
2/7-13	3152.000000	1.580000	47.000000	0.000000	waterbased	9999-12-31	272	9999-12-31	2013-05-08	5161
2/7-13	3388.000000	1.600000	53.000000	0.000000	waterbased	9999-12-31	272	9999-12-31	2013-05-08	5162
2/7-14	123.000000	1.680000	24.000000	5.700000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5163
2/7-14	123.000000	1.680000	23.000000	5.700000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5164
2/7-14	123.000000	1.600000	0.000000	0.000000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5165
2/7-14	145.000000	1.600000	23.000000	0.000000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5166
2/7-14	291.000000	1.600000	22.000000	0.000000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5167
2/7-14	1462.000000	1.600000	24.000000	0.000000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5168
2/7-14	1462.000000	1.600000	0.000000	0.000000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5169
2/7-14	1462.000000	1.600000	22.000000	0.000000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5170
2/7-14	1462.000000	1.600000	22.000000	0.000000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5171
2/7-14	1462.000000	1.600000	19.000000	0.000000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5172
2/7-14	1462.000000	1.600000	18.000000	0.000000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5173
2/7-14	1462.000000	1.600000	0.000000	0.000000	WATER BASED	1989-09-04	116	9999-12-31	2013-05-08	5174
2/7-15	153.000000	1.020000	100.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5175
2/7-15	382.000000	1.020000	100.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5176
2/7-15	655.000000	1.020000	35.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5177
2/7-15	1089.000000	1.220000	40.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5178
2/7-15	1289.000000	1.770000	47.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5179
2/7-15	1387.000000	1.240000	43.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5180
2/7-15	1859.000000	1.760000	54.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5181
2/7-15	2165.000000	1.760000	54.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5182
2/7-15	2785.000000	1.750000	59.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5183
2/7-15	3042.000000	1.710000	58.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5184
2/7-15	3185.000000	1.710000	44.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5185
2/7-15	3493.000000	1.230000	55.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5186
2/7-15	3629.000000	1.780000	58.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5187
2/7-15	3699.000000	1.940000	58.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5188
2/7-15	3860.000000	1.940000	52.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5189
2/7-15	3995.000000	1.940000	58.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5190
2/7-15	4027.000000	1.940000	62.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5191
2/7-15	4216.000000	1.800000	80.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5192
2/7-15	4349.000000	1.930000	55.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5193
2/7-15	4423.000000	1.930000	57.000000	0.000000	WATER BASED	1980-06-02	225	9999-12-31	2013-05-08	5194
2/7-16	627.000000	1.130000	80.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5195
2/7-16	1201.000000	1.250000	48.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5196
2/7-16	1538.000000	1.370000	34.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5197
2/7-16	2306.000000	1.730000	58.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5198
2/7-16	2561.000000	1.720000	47.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5199
2/7-16	2824.000000	1.720000	62.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5200
2/7-16	3201.000000	1.700000	60.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5201
2/7-16	3220.000000	1.690000	56.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5202
2/7-16	3432.000000	1.490000	58.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5203
2/7-16	4115.000000	1.640000	65.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5204
2/7-16	4674.000000	1.780000	55.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5205
2/7-16	4817.000000	1.880000	47.000000	0.000000	WATER BASED	1980-07-12	232	9999-12-31	2013-05-08	5206
2/7-17	131.000000	1.030000	0.000000	0.000000	waterbased	9999-12-31	200	9999-12-31	2013-05-08	5207
2/7-17	740.000000	1.040000	0.000000	0.000000	waterbased	9999-12-31	200	9999-12-31	2013-05-08	5208
2/7-17	1042.000000	1.170000	0.000000	0.000000	waterbased	9999-12-31	200	9999-12-31	2013-05-08	5209
2/7-17	1199.000000	1.220000	38.000000	0.000000	waterbased	9999-12-31	200	9999-12-31	2013-05-08	5210
2/7-17	1472.000000	1.250000	44.000000	0.000000	waterbased	9999-12-31	200	9999-12-31	2013-05-08	5211
2/7-17	1566.000000	1.220000	36.000000	0.000000	waterbased	9999-12-31	200	9999-12-31	2013-05-08	5212
2/7-18	572.000000	1.020000	0.000000	0.000000	seawater	9999-12-31	206	9999-12-31	2013-05-08	5213
2/7-19	134.000000	2.120000	71.000000	27.300000	OIL BASED	1990-01-22	1367	9999-12-31	2013-05-08	5214
2/7-19	134.000000	2.040000	20.000000	19.200000	WATER BASED	1990-01-22	1367	9999-12-31	2013-05-08	5215
2/7-19	149.000000	2.040000	20.000000	16.800000	WATER BASED	1990-01-22	1367	9999-12-31	2013-05-08	5216
2/7-19	291.000000	2.040000	20.000000	8.100000	WATER BASED	1990-01-22	1367	9999-12-31	2013-05-08	5217
2/7-19	1006.000000	1.140000	35.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5218
2/7-19	1356.000000	2.040000	20.000000	13.900000	WATER BASED	1990-01-22	1367	9999-12-31	2013-05-08	5219
2/7-19	1443.000000	1.620000	55.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5220
2/7-19	1544.000000	2.040000	19.000000	9.600000	WATER BASED	1990-01-22	1367	9999-12-31	2013-05-08	5221
2/7-19	1582.000000	2.040000	19.000000	14.400000	WATER BASED	1990-01-22	1367	9999-12-31	2013-05-08	5222
2/7-19	1600.000000	1.190000	42.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5223
2/7-19	2065.000000	1.620000	54.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5224
2/7-19	3001.000000	2.040000	21.000000	6.700000	WATER BASED	1990-01-22	1367	9999-12-31	2013-05-08	5225
2/7-19	3120.000000	1.710000	55.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5226
2/7-19	3437.000000	1.710000	52.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5227
2/7-19	3463.000000	2.040000	22.000000	9.600000	WATER BASED	1990-01-22	1367	9999-12-31	2013-05-08	5228
2/7-19	3800.000000	1.730000	45.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5229
2/7-19	4065.000000	1.920000	52.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5230
2/7-19	4163.000000	1.920000	47.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5231
2/7-19	4459.000000	1.920000	56.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5232
2/7-19	4604.000000	1.920000	50.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5233
2/7-19	4785.000000	1.960000	62.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5234
2/7-19	4862.000000	2.050000	18.000000	9.100000	WATER BASED	1990-01-22	1367	9999-12-31	2013-05-08	5235
2/7-19	4863.000000	2.040000	19.000000	9.600000	WATER BASED	1990-01-23	1367	9999-12-31	2013-05-08	5236
2/7-19	4863.000000	2.040000	39.000000	14.400000	OIL BASED	1990-01-29	1367	9999-12-31	2013-05-08	5237
2/7-19	4863.000000	2.040000	34.000000	9.600000	OIL BASED	1990-01-29	1367	9999-12-31	2013-05-08	5238
2/7-19	4863.000000	2.040000	55.000000	8.100000	OIL BASED	1990-01-26	1367	9999-12-31	2013-05-08	5239
2/7-19	4863.000000	2.040000	55.000000	14.400000	OIL BASED	1990-01-25	1367	9999-12-31	2013-05-08	5240
2/7-19	4863.000000	2.050000	33.000000	10.100000	OIL BASED	1990-01-31	1367	9999-12-31	2013-05-08	5241
2/7-19	4863.000000	2.050000	33.000000	10.100000	OIL BASED	1990-02-01	1367	9999-12-31	2013-05-08	5242
2/7-19	4863.000000	2.040000	34.000000	9.600000	OIL BASED	1990-01-30	1367	9999-12-31	2013-05-08	5243
2/7-19	4863.000000	2.050000	22.000000	5.300000	WATER BASED	1990-01-24	1367	9999-12-31	2013-05-08	5244
2/7-19	4863.000000	2.040000	55.000000	8.100000	OIL BASED	1990-01-29	1367	9999-12-31	2013-05-08	5245
2/7-19	4863.000000	2.040000	34.000000	9.600000	OIL BASED	1990-01-29	1367	9999-12-31	2013-05-08	5246
2/7-19	4985.000000	2.010000	47.000000	0.000000	WATER BASED	1981-02-02	1367	9999-12-31	2013-05-08	5247
2/7-19 R	364.000000	1.320000	8.000000	16.800000	WATER BASED	1990-03-12	1512	9999-12-31	2013-05-08	5248
2/7-19 R	1106.000000	1.320000	5.000000	6.700000	WATER BASED	1990-03-09	1512	9999-12-31	2013-05-08	5249
2/7-19 R	1106.000000	1.320000	5.000000	6.700000	WATER BASED	1990-03-12	1512	9999-12-31	2013-05-08	5250
2/7-19 R	3399.000000	1.820000	10.000000	16.800000	WATER BASED	1990-03-06	1512	9999-12-31	2013-05-08	5251
2/7-19 R	3399.000000	1.680000	8.000000	12.900000	WATER BASED	1990-03-08	1512	9999-12-31	2013-05-08	5252
2/7-19 R	3399.000000	2.060000	58.000000	19.600000	OIL BASED	1990-02-28	1512	9999-12-31	2013-05-08	5253
2/7-19 R	3399.000000	1.820000	10.000000	19.200000	WATER BASED	1990-03-02	1512	9999-12-31	2013-05-08	5254
2/7-19 R	3399.000000	1.820000	11.000000	19.600000	WATER BASED	1990-03-05	1512	9999-12-31	2013-05-08	5255
2/7-19 R	3399.000000	1.820000	10.000000	18.200000	WATER BASED	1990-03-05	1512	9999-12-31	2013-05-08	5256
2/7-19 R	3399.000000	1.820000	11.000000	16.800000	WATER BASED	1990-03-05	1512	9999-12-31	2013-05-08	5257
2/7-19 R	3399.000000	1.820000	10.000000	17.200000	WATER BASED	1990-03-07	1512	9999-12-31	2013-05-08	5258
2/7-19 R	3399.000000	1.820000	11.000000	20.600000	WATER BASED	1990-03-02	1512	9999-12-31	2013-05-08	5259
2/7-19 R	4545.000000	2.100000	61.000000	14.400000	OIL BASED	1990-02-28	1512	9999-12-31	2013-05-08	5260
2/7-19 R	4545.000000	2.040000	53.000000	9.600000	OIL BASED	1990-02-28	1512	9999-12-31	2013-05-08	5261
2/7-19 R	4545.000000	2.090000	58.000000	13.900000	OIL BASED	1990-02-28	1512	9999-12-31	2013-05-08	5262
2/7-19 R	4545.000000	2.060000	58.000000	19.600000	OIL BASED	1990-02-28	1512	9999-12-31	2013-05-08	5263
2/7-19 R	4719.000000	2.040000	52.000000	10.500000	OIL BASED	1990-02-22	1512	9999-12-31	2013-05-08	5264
2/7-19 R	4719.000000	2.040000	51.000000	10.500000	OIL BASED	1990-02-23	1512	9999-12-31	2013-05-08	5265
2/7-19 R	4863.000000	2.040000	51.000000	11.000000	OIL BASED	1990-02-20	1512	9999-12-31	2013-05-08	5266
2/7-19 R	4863.000000	2.040000	50.000000	10.500000	OIL BASED	1990-02-21	1512	9999-12-31	2013-05-08	5267
2/7-19 R	4863.000000	2.040000	49.000000	13.400000	OIL BASED	1990-02-19	1512	9999-12-31	2013-05-08	5268
2/7-19 R	4863.000000	2.040000	51.000000	14.800000	OIL BASED	1990-02-19	1512	9999-12-31	2013-05-08	5269
2/7-19 R	4863.000000	2.100000	46.000000	12.900000	OIL BASED	1990-02-12	1512	9999-12-31	2013-05-08	5270
2/7-19 R	4863.000000	2.040000	50.000000	14.400000	OIL BASED	1990-02-12	1512	9999-12-31	2013-05-08	5271
2/7-19 R	4863.000000	2.040000	43.000000	12.000000	OIL BASED	1990-02-13	1512	9999-12-31	2013-05-08	5272
2/7-19 R	4863.000000	2.040000	43.000000	12.000000	OIL BASED	1990-02-14	1512	9999-12-31	2013-05-08	5273
2/7-19 R	4863.000000	2.040000	50.000000	14.400000	OIL BASED	1990-02-16	1512	9999-12-31	2013-05-08	5274
2/7-19 R	4863.000000	2.010000	48.000000	8.600000	OIL BASED	1990-02-15	1512	9999-12-31	2013-05-08	5275
2/7-19 R	4863.000000	2.050000	33.000000	10.100000	OIL BASED	1990-02-05	1512	9999-12-31	2013-05-08	5276
2/7-19 R	4863.000000	2.060000	54.000000	17.200000	OIL BASED	1990-02-05	1512	9999-12-31	2013-05-08	5277
2/7-19 R	4863.000000	2.050000	52.000000	12.400000	OIL BASED	1990-02-05	1512	9999-12-31	2013-05-08	5278
2/7-19 R	4863.000000	2.040000	50.000000	10.500000	OIL BASED	1990-02-05	1512	9999-12-31	2013-05-08	5279
2/7-19 R	4863.000000	2.040000	49.000000	13.400000	OIL BASED	1990-02-06	1512	9999-12-31	2013-05-08	5280
2/7-19 R	4863.000000	2.040000	51.000000	13.400000	OIL BASED	1990-02-08	1512	9999-12-31	2013-05-08	5281
2/7-19 R	4863.000000	2.040000	42.000000	10.100000	OIL BASED	1990-02-07	1512	9999-12-31	2013-05-08	5282
2/7-19 R	4863.000000	2.040000	45.000000	14.400000	OIL BASED	1990-02-09	1512	9999-12-31	2013-05-08	5283
2/7-19 R	4863.000000	2.040000	43.000000	12.000000	OIL BASED	1990-02-12	1512	9999-12-31	2013-05-08	5284
2/7-19 R	4863.000000	2.040000	48.000000	12.900000	OIL BASED	1990-02-19	1512	9999-12-31	2013-05-08	5285
2/7-2	120.000000	1.560000	0.000000	0.000000	waterbased	9999-12-31	187	9999-12-31	2013-05-08	5286
2/7-2	590.000000	1.860000	0.000000	0.000000	waterbased	9999-12-31	187	9999-12-31	2013-05-08	5287
2/7-2	1602.000000	1.680000	0.000000	0.000000	waterbased	9999-12-31	187	9999-12-31	2013-05-08	5288
2/7-2	3203.000000	1.680000	0.000000	0.000000	waterbased	9999-12-31	187	9999-12-31	2013-05-08	5289
2/7-20	4.000000	1.800000	15.000000	9.600000	WATER BASED	1988-02-16	1062	2012-10-16	2013-05-08	5290
2/7-20	26.000000	2.040000	23.000000	10.100000	OIL BASED	1988-03-16	1062	2012-10-16	2013-05-08	5291
2/7-20	132.000000	1.030000	0.000000	0.000000	WATER BASED	1987-10-22	1062	2012-10-16	2013-05-08	5292
2/7-20	147.000000	1.040000	0.000000	0.000000	WATER BASED	1987-10-22	1062	2012-10-16	2013-05-08	5293
2/7-20	166.000000	1.020000	0.000000	0.000000	WATER BASED	1987-10-20	1062	2012-10-16	2013-05-08	5294
2/7-20	173.000000	1.030000	0.000000	0.000000	WATER BASED	1987-10-22	1062	2012-10-16	2013-05-08	5295
2/7-20	184.000000	1.020000	0.000000	0.000000	WATER BASED	1987-10-20	1062	2012-10-16	2013-05-08	5296
2/7-20	253.000000	1.040000	10.000000	25.900000	WATER BASED	1987-10-27	1062	2012-10-16	2013-05-08	5297
2/7-20	292.000000	1.040000	10.000000	26.800000	WATER BASED	1987-10-27	1062	2012-10-16	2013-05-08	5298
2/7-20	351.000000	0.000000	0.000000	0.000000	WATER BASED	1988-06-27	1062	2012-10-16	2013-05-08	5299
2/7-20	354.000000	0.000000	0.000000	0.000000	WATER BASED	1988-06-27	1062	2012-10-16	2013-05-08	5300
2/7-20	392.000000	1.040000	12.000000	30.200000	WATER BASED	1987-10-23	1062	2012-10-16	2013-05-08	5301
2/7-20	593.000000	1.040000	12.000000	32.600000	WATER BASED	1987-10-27	1062	2012-10-16	2013-05-08	5302
2/7-20	608.000000	1.040000	17.000000	35.400000	WATER BASED	1987-10-26	1062	2012-10-16	2013-05-08	5303
2/7-20	834.000000	1.040000	17.000000	36.400000	WATER BASED	1987-10-27	1062	2012-10-16	2013-05-08	5304
2/7-20	1074.000000	1.040000	0.000000	0.000000	WATER BASED	1987-10-28	1062	2012-10-16	2013-05-08	5305
2/7-20	1074.000000	1.040000	0.000000	0.000000	WATER BASED	1987-10-29	1062	2012-10-16	2013-05-08	5306
2/7-20	1074.000000	1.040000	0.000000	0.000000	WATER BASED	1987-10-30	1062	2012-10-16	2013-05-08	5307
2/7-20	1074.000000	1.100000	0.000000	0.000000	WATER BASED	1987-11-03	1062	2012-10-16	2013-05-08	5308
2/7-20	1074.000000	1.230000	19.000000	5.700000	WATER BASED	1987-11-03	1062	2012-10-16	2013-05-08	5309
2/7-20	1074.000000	1.320000	13.000000	6.200000	WATER BASED	1987-11-03	1062	2012-10-16	2013-05-08	5310
2/7-20	1157.000000	1.320000	14.000000	7.200000	WATER BASED	1987-11-03	1062	2012-10-16	2013-05-08	5311
2/7-20	1373.000000	1.330000	18.000000	9.100000	WATER BASED	1987-11-04	1062	2012-10-16	2013-05-08	5312
2/7-20	1498.000000	1.430000	15.000000	8.600000	WATER BASED	1987-11-05	1062	2012-10-16	2013-05-08	5313
2/7-20	1614.000000	1.510000	14.000000	7.200000	WATER BASED	1987-11-06	1062	2012-10-16	2013-05-08	5314
2/7-20	1799.000000	1.580000	17.000000	7.700000	WATER BASED	1987-11-10	1062	2012-10-16	2013-05-08	5315
2/7-20	1841.000000	2.110000	45.000000	16.800000	OIL BASED	1988-06-27	1062	2012-10-16	2013-05-08	5316
2/7-20	1937.000000	2.120000	66.000000	14.400000	WATER BASED	1991-10-18	1062	2012-10-16	2013-05-08	5317
2/7-20	1983.000000	1.650000	16.000000	9.600000	WATER BASED	1987-11-10	1062	2012-10-16	2013-05-08	5318
2/7-20	2116.000000	1.650000	18.000000	7.700000	WATER BASED	1987-11-10	1062	2012-10-16	2013-05-08	5319
2/7-20	2149.000000	1.850000	18.000000	5.300000	WATER BASED	1988-01-19	1062	2012-10-16	2013-05-08	5320
2/7-20	2270.000000	1.650000	19.000000	10.500000	WATER BASED	1987-11-11	1062	2012-10-16	2013-05-08	5321
2/7-20	2388.000000	1.670000	0.000000	0.000000	WATER BASED	1987-11-18	1062	2012-10-16	2013-05-08	5322
2/7-20	2388.000000	1.670000	15.000000	5.700000	WATER BASED	1987-11-19	1062	2012-10-16	2013-05-08	5323
2/7-20	2388.000000	1.670000	15.000000	4.800000	WATER BASED	1987-11-20	1062	2012-10-16	2013-05-08	5324
2/7-20	2388.000000	1.650000	15.000000	4.800000	WATER BASED	1987-11-24	1062	2012-10-16	2013-05-08	5325
2/7-20	2388.000000	1.650000	15.000000	5.300000	WATER BASED	1987-11-24	1062	2012-10-16	2013-05-08	5326
2/7-20	2388.000000	1.650000	14.000000	5.300000	WATER BASED	1987-11-24	1062	2012-10-16	2013-05-08	5327
2/7-20	2393.000000	1.830000	15.000000	5.700000	WATER BASED	1988-01-19	1062	2012-10-16	2013-05-08	5328
2/7-20	2423.000000	0.000000	1.000000	6.700000	WATER BASED	1988-01-21	1062	2012-10-16	2013-05-08	5329
2/7-20	2438.000000	1.830000	16.000000	6.200000	WATER BASED	1988-01-22	1062	2012-10-16	2013-05-08	5330
2/7-20	2443.000000	1.830000	16.000000	5.700000	WATER BASED	1988-01-26	1062	2012-10-16	2013-05-08	5331
2/7-20	2448.000000	1.670000	18.000000	6.200000	WATER BASED	1987-11-16	1062	2012-10-16	2013-05-08	5332
2/7-20	2448.000000	0.470000	14.000000	11.500000	WATER BASED	1987-11-16	1062	2012-10-16	2013-05-08	5333
2/7-20	2448.000000	0.470000	14.000000	7.700000	WATER BASED	1987-11-16	1062	2012-10-16	2013-05-08	5334
2/7-20	2448.000000	1.650000	6.000000	6.200000	WATER BASED	1987-11-17	1062	2012-10-16	2013-05-08	5335
2/7-20	2448.000000	1.650000	14.000000	5.300000	WATER BASED	1987-11-25	1062	2012-10-16	2013-05-08	5336
2/7-20	2448.000000	1.650000	17.000000	11.000000	WATER BASED	1987-11-11	1062	2012-10-16	2013-05-08	5337
2/7-20	2448.000000	1.650000	18.000000	10.100000	WATER BASED	1987-11-12	1062	2012-10-16	2013-05-08	5338
2/7-20	2448.000000	1.650000	20.000000	7.200000	WATER BASED	1987-11-16	1062	2012-10-16	2013-05-08	5339
2/7-20	2451.000000	1.650000	13.000000	5.700000	WATER BASED	1987-11-25	1062	2012-10-16	2013-05-08	5340
2/7-20	2484.000000	1.800000	17.000000	6.700000	WATER BASED	1988-01-26	1062	2012-10-16	2013-05-08	5341
2/7-20	2610.000000	1.670000	14.000000	5.300000	WATER BASED	1987-11-26	1062	2012-10-16	2013-05-08	5342
2/7-20	2676.000000	1.800000	17.000000	7.700000	WATER BASED	1988-01-26	1062	2012-10-16	2013-05-08	5343
2/7-20	2769.000000	1.800000	18.000000	8.600000	WATER BASED	1988-01-26	1062	2012-10-16	2013-05-08	5344
2/7-20	2835.000000	1.680000	18.000000	8.600000	WATER BASED	1987-11-27	1062	2012-10-16	2013-05-08	5345
2/7-20	2903.000000	1.800000	18.000000	9.600000	WATER BASED	1988-01-27	1062	2012-10-16	2013-05-08	5346
2/7-20	2915.000000	1.800000	16.000000	6.700000	WATER BASED	1988-01-28	1062	2012-10-16	2013-05-08	5347
2/7-20	2965.000000	1.710000	22.000000	12.400000	WATER BASED	1987-11-30	1062	2012-10-16	2013-05-08	5348
2/7-20	2999.000000	1.710000	21.000000	12.900000	OIL BASED	1987-11-30	1062	2012-10-16	2013-05-08	5349
2/7-20	3019.000000	1.800000	17.000000	7.700000	WATER BASED	1988-01-29	1062	2012-10-16	2013-05-08	5350
2/7-20	3024.000000	2.100000	46.000000	16.800000	OIL BASED	1988-06-23	1062	2012-10-16	2013-05-08	5351
2/7-20	3048.000000	1.850000	17.000000	4.300000	WATER BASED	1988-01-12	1062	2012-10-16	2013-05-08	5352
2/7-20	3048.000000	1.850000	20.000000	6.200000	WATER BASED	1988-01-13	1062	2012-10-16	2013-05-08	5353
2/7-20	3071.000000	1.710000	22.000000	13.400000	WATER BASED	1987-11-30	1062	2012-10-16	2013-05-08	5354
2/7-20	3071.000000	1.710000	21.000000	9.600000	WATER BASED	1987-12-01	1062	2012-10-16	2013-05-08	5355
2/7-20	3098.000000	1.710000	23.000000	8.600000	WATER BASED	1987-12-02	1062	2012-10-16	2013-05-08	5356
2/7-20	3101.000000	1.800000	17.000000	11.000000	WATER BASED	1988-02-02	1062	2012-10-16	2013-05-08	5357
2/7-20	3101.000000	1.800000	17.000000	12.000000	WATER BASED	1988-02-02	1062	2012-10-16	2013-05-08	5358
2/7-20	3195.000000	1.750000	22.000000	10.500000	WATER BASED	1987-12-03	1062	2012-10-16	2013-05-08	5359
2/7-20	3252.000000	1.800000	17.000000	9.600000	WATER BASED	1988-02-02	1062	2012-10-16	2013-05-08	5360
2/7-20	3299.000000	1.750000	22.000000	10.500000	WATER BASED	1987-12-04	1062	2012-10-16	2013-05-08	5361
2/7-20	3321.000000	1.750000	20.000000	9.600000	WATER BASED	1987-12-09	1062	2012-10-16	2013-05-08	5362
2/7-20	3330.000000	1.800000	17.000000	9.600000	WATER BASED	1988-02-02	1062	2012-10-16	2013-05-08	5363
2/7-20	3382.000000	1.750000	20.000000	11.500000	WATER BASED	1987-12-09	1062	2012-10-16	2013-05-08	5364
2/7-20	3403.000000	1.980000	12.000000	2.900000	WATER BASED	1988-01-12	1062	2012-10-16	2013-05-08	5365
2/7-20	3403.000000	0.000000	0.000000	0.000000	WATER BASED	1988-01-12	1062	2012-10-16	2013-05-08	5366
2/7-20	3405.000000	1.800000	19.000000	10.100000	WATER BASED	1988-02-03	1062	2012-10-16	2013-05-08	5367
2/7-20	3455.000000	1.750000	19.000000	10.100000	WATER BASED	1987-12-09	1062	2012-10-16	2013-05-08	5368
2/7-20	3468.000000	1.800000	17.000000	10.500000	WATER BASED	1988-02-04	1062	2012-10-16	2013-05-08	5369
2/7-20	3481.000000	1.680000	21.000000	11.000000	WATER BASED	1987-12-09	1062	2012-10-16	2013-05-08	5370
2/7-20	3486.000000	1.750000	22.000000	11.500000	WATER BASED	1987-12-10	1062	2012-10-16	2013-05-08	5371
2/7-20	3493.000000	1.800000	16.000000	10.100000	WATER BASED	1988-02-09	1062	2012-10-16	2013-05-08	5372
2/7-20	3584.000000	1.800000	17.000000	9.600000	WATER BASED	1988-02-09	1062	2012-10-16	2013-05-08	5373
2/7-20	3610.000000	1.740000	21.000000	11.500000	WATER BASED	1987-12-14	1062	2012-10-16	2013-05-08	5374
2/7-20	3631.000000	1.800000	15.000000	10.100000	WATER BASED	1988-02-09	1062	2012-10-16	2013-05-08	5375
2/7-20	3655.000000	1.800000	16.000000	10.100000	WATER BASED	1988-02-09	1062	2012-10-16	2013-05-08	5376
2/7-20	3677.000000	1.800000	15.000000	12.900000	WATER BASED	1988-02-09	1062	2012-10-16	2013-05-08	5377
2/7-20	3696.000000	1.750000	20.000000	12.400000	WATER BASED	1987-12-14	1062	2012-10-16	2013-05-08	5378
2/7-20	3712.000000	1.800000	14.000000	7.700000	WATER BASED	1988-02-10	1062	2012-10-16	2013-05-08	5379
2/7-20	3712.000000	1.800000	14.000000	6.700000	WATER BASED	1988-02-11	1062	2012-10-16	2013-05-08	5380
2/7-20	3724.000000	1.750000	19.000000	12.400000	WATER BASED	1987-12-15	1062	2012-10-16	2013-05-08	5381
2/7-20	3730.000000	1.750000	18.000000	9.600000	WATER BASED	1987-12-15	1062	2012-10-16	2013-05-08	5382
2/7-20	3741.000000	1.800000	16.000000	7.700000	WATER BASED	1988-02-12	1062	2012-10-16	2013-05-08	5383
2/7-20	3761.000000	1.750000	18.000000	10.500000	WATER BASED	1987-12-15	1062	2012-10-16	2013-05-08	5384
2/7-20	3786.000000	2.110000	42.000000	16.300000	OIL BASED	1988-06-22	1062	2012-10-16	2013-05-08	5385
2/7-20	3786.000000	2.110000	43.000000	12.000000	WATER BASED	1988-06-22	1062	2012-10-16	2013-05-08	5386
2/7-20	3786.000000	2.110000	40.000000	13.900000	OIL BASED	1988-06-22	1062	2012-10-16	2013-05-08	5387
2/7-20	3786.000000	2.110000	47.000000	16.800000	OIL BASED	1988-06-20	1062	2012-10-16	2013-05-08	5388
2/7-20	3786.000000	2.110000	51.000000	13.900000	OIL BASED	1988-06-22	1062	2012-10-16	2013-05-08	5389
2/7-20	3786.000000	2.110000	45.000000	16.300000	OIL BASED	1988-06-22	1062	2012-10-16	2013-05-08	5390
2/7-20	3790.000000	1.800000	15.000000	10.100000	WATER BASED	1988-02-16	1062	2012-10-16	2013-05-08	5391
2/7-20	3815.000000	1.750000	17.000000	8.600000	OIL BASED	1987-12-16	1062	2012-10-16	2013-05-08	5392
2/7-20	3815.000000	1.750000	20.000000	10.100000	WATER BASED	1987-12-16	1062	2012-10-16	2013-05-08	5393
2/7-20	3816.000000	1.800000	16.000000	10.100000	WATER BASED	1988-02-16	1062	2012-10-16	2013-05-08	5394
2/7-20	3819.000000	1.860000	17.000000	10.100000	WATER BASED	1988-02-16	1062	2012-10-16	2013-05-08	5395
2/7-20	3819.000000	1.920000	20.000000	9.600000	WATER BASED	1988-02-17	1062	2012-10-16	2013-05-08	5396
2/7-20	3819.000000	1.920000	19.000000	8.100000	WATER BASED	1988-02-23	1062	2012-10-16	2013-05-08	5397
2/7-20	3819.000000	1.920000	19.000000	9.600000	WATER BASED	1988-02-23	1062	2012-10-16	2013-05-08	5398
2/7-20	3819.000000	1.920000	21.000000	5.700000	WATER BASED	1988-02-23	1062	2012-10-16	2013-05-08	5399
2/7-20	3819.000000	1.920000	21.000000	5.700000	WATER BASED	1988-02-24	1062	2012-10-16	2013-05-08	5400
2/7-20	3819.000000	1.940000	23.000000	6.200000	WATER BASED	1988-02-26	1062	2012-10-16	2013-05-08	5401
2/7-20	3819.000000	1.940000	21.000000	5.700000	WATER BASED	1988-02-25	1062	2012-10-16	2013-05-08	5402
2/7-20	3819.000000	1.940000	24.000000	6.200000	WATER BASED	1988-03-01	1062	2012-10-16	2013-05-08	5403
2/7-20	3819.000000	1.940000	21.000000	3.800000	WATER BASED	1988-03-01	1062	2012-10-16	2013-05-08	5404
2/7-20	3819.000000	1.930000	18.000000	4.800000	WATER BASED	1988-03-01	1062	2012-10-16	2013-05-08	5405
2/7-20	3819.000000	1.930000	18.000000	4.300000	WATER BASED	1988-03-02	1062	2012-10-16	2013-05-08	5406
2/7-20	3819.000000	1.930000	17.000000	4.300000	WATER BASED	1988-03-02	1062	2012-10-16	2013-05-08	5407
2/7-20	3819.000000	1.930000	19.000000	4.800000	WATER BASED	1988-03-03	1062	2012-10-16	2013-05-08	5408
2/7-20	3819.000000	1.940000	18.000000	6.700000	WATER BASED	1988-03-04	1062	2012-10-16	2013-05-08	5409
2/7-20	3819.000000	1.920000	19.000000	10.100000	WATER BASED	1988-02-18	1062	2012-10-16	2013-05-08	5410
2/7-20	3819.000000	1.920000	19.000000	9.100000	WATER BASED	1988-02-19	1062	2012-10-16	2013-05-08	5411
2/7-20	3819.000000	1.920000	19.000000	8.600000	WATER BASED	1988-02-23	1062	2012-10-16	2013-05-08	5412
2/7-20	3826.000000	1.940000	32.000000	9.600000	OIL BASED	1988-03-08	1062	2012-10-16	2013-05-08	5413
2/7-20	3826.000000	1.940000	31.000000	9.100000	OIL BASED	1988-03-08	1062	2012-10-16	2013-05-08	5414
2/7-20	3868.000000	1.940000	29.000000	12.900000	OIL BASED	1988-03-08	1062	2012-10-16	2013-05-08	5415
2/7-20	3881.000000	1.940000	31.000000	13.400000	OIL BASED	1988-03-08	1062	2012-10-16	2013-05-08	5416
2/7-20	3881.000000	1.940000	30.000000	12.900000	OIL BASED	1988-03-10	1062	2012-10-16	2013-05-08	5417
2/7-20	3898.000000	1.750000	17.000000	9.100000	WATER BASED	1987-12-17	1062	2012-10-16	2013-05-08	5418
2/7-20	3904.000000	1.750000	20.000000	9.600000	WATER BASED	1987-12-18	1062	2012-10-16	2013-05-08	5419
2/7-20	3925.000000	1.750000	21.000000	1.000000	WATER BASED	1987-12-22	1062	2012-10-16	2013-05-08	5420
2/7-20	3946.000000	1.940000	60.000000	12.900000	OIL BASED	1988-03-10	1062	2012-10-16	2013-05-08	5421
2/7-20	3956.000000	1.750000	20.000000	8.100000	WATER BASED	1987-12-22	1062	2012-10-16	2013-05-08	5422
2/7-20	3993.000000	1.940000	26.000000	12.900000	OIL BASED	1988-03-14	1062	2012-10-16	2013-05-08	5423
2/7-20	4018.000000	1.750000	20.000000	11.000000	WATER BASED	1987-12-22	1062	2012-10-16	2013-05-08	5424
2/7-20	4063.000000	1.940000	26.000000	11.500000	OIL BASED	1988-03-14	1062	2012-10-16	2013-05-08	5425
2/7-20	4084.000000	1.990000	26.000000	12.400000	OIL BASED	1988-03-14	1062	2012-10-16	2013-05-08	5426
2/7-20	4084.000000	2.040000	27.000000	13.900000	OIL BASED	1988-03-14	1062	2012-10-16	2013-05-08	5427
2/7-20	4084.000000	2.030000	23.000000	14.400000	OIL BASED	1988-03-15	1062	2012-10-16	2013-05-08	5428
2/7-20	4086.000000	1.850000	16.000000	6.200000	WATER BASED	1988-01-20	1062	2012-10-16	2013-05-08	5429
2/7-20	4086.000000	1.850000	23.000000	4.800000	WATER BASED	1988-01-19	1062	2012-10-16	2013-05-08	5430
2/7-20	4086.000000	1.850000	23.000000	5.300000	WATER BASED	1988-01-19	1062	2012-10-16	2013-05-08	5431
2/7-20	4086.000000	1.770000	19.000000	10.100000	WATER BASED	1987-12-22	1062	2012-10-16	2013-05-08	5432
2/7-20	4086.000000	1.870000	24.000000	14.800000	WATER BASED	1987-12-29	1062	2012-10-16	2013-05-08	5433
2/7-20	4086.000000	1.870000	21.000000	12.000000	WATER BASED	1987-12-29	1062	2012-10-16	2013-05-08	5434
2/7-20	4086.000000	1.870000	28.000000	7.700000	WATER BASED	1987-12-29	1062	2012-10-16	2013-05-08	5435
2/7-20	4086.000000	1.850000	19.000000	5.300000	WATER BASED	1987-12-29	1062	2012-10-16	2013-05-08	5436
2/7-20	4086.000000	1.850000	25.000000	4.800000	WATER BASED	1987-12-29	1062	2012-10-16	2013-05-08	5437
2/7-20	4086.000000	1.870000	30.000000	17.700000	OIL BASED	1987-12-23	1062	2012-10-16	2013-05-08	5438
2/7-20	4086.000000	2.160000	19.000000	6.200000	WATER BASED	1988-01-12	1062	2012-10-16	2013-05-08	5439
2/7-20	4086.000000	1.980000	13.000000	5.300000	WATER BASED	1988-01-08	1062	2012-10-16	2013-05-08	5440
2/7-20	4086.000000	1.980000	12.000000	2.900000	WATER BASED	1988-01-11	1062	2012-10-16	2013-05-08	5441
2/7-20	4086.000000	1.850000	20.000000	6.200000	WATER BASED	1988-01-14	1062	2012-10-16	2013-05-08	5442
2/7-20	4086.000000	1.850000	19.000000	7.200000	WATER BASED	1988-01-15	1062	2012-10-16	2013-05-08	5443
2/7-20	4086.000000	1.870000	15.000000	4.300000	WATER BASED	1987-12-30	1062	2012-10-16	2013-05-08	5444
2/7-20	4086.000000	1.980000	12.000000	8.600000	WATER BASED	1988-01-07	1062	2012-10-16	2013-05-08	5445
2/7-20	4086.000000	1.980000	12.000000	5.700000	WATER BASED	1988-01-07	1062	2012-10-16	2013-05-08	5446
2/7-20	4086.000000	1.980000	13.000000	5.300000	WATER BASED	1988-01-07	1062	2012-10-16	2013-05-08	5447
2/7-20	4086.000000	7.790000	14.000000	6.700000	WATER BASED	1988-01-07	1062	2012-10-16	2013-05-08	5448
2/7-20	4086.000000	0.000000	12.000000	12.000000	WATER BASED	1988-01-07	1062	2012-10-16	2013-05-08	5449
2/7-20	4086.000000	1.980000	13.000000	5.700000	WATER BASED	1988-01-07	1062	2012-10-16	2013-05-08	5450
2/7-20	4086.000000	1.870000	20.000000	7.200000	WATER BASED	1987-12-29	1062	2012-10-16	2013-05-08	5451
2/7-20	4086.000000	1.980000	10.000000	7.200000	WATER BASED	1988-01-12	1062	2012-10-16	2013-05-08	5452
2/7-20	4164.000000	2.050000	27.000000	12.400000	OIL BASED	1988-03-17	1062	2012-10-16	2013-05-08	5453
2/7-20	4238.000000	2.110000	31.000000	9.600000	OIL BASED	1988-05-10	1062	2012-10-16	2013-05-08	5454
2/7-20	4256.000000	2.090000	31.000000	11.000000	OIL BASED	1988-03-22	1062	2012-10-16	2013-05-08	5455
2/7-20	4256.000000	2.070000	77.000000	6.700000	OIL BASED	1988-03-22	1062	2012-10-16	2013-05-08	5456
2/7-20	4256.000000	2.100000	28.000000	9.100000	OIL BASED	1988-03-22	1062	2012-10-16	2013-05-08	5457
2/7-20	4256.000000	2.100000	28.000000	8.600000	OIL BASED	1988-03-22	1062	2012-10-16	2013-05-08	5458
2/7-20	4256.000000	2.060000	25.000000	7.200000	WATER BASED	1988-03-23	1062	2012-10-16	2013-05-08	5459
2/7-20	4256.000000	2.050000	27.000000	10.500000	OIL BASED	1988-03-18	1062	2012-10-16	2013-05-08	5460
2/7-20	4270.000000	2.100000	40.000000	13.400000	OIL BASED	1988-08-08	1062	2012-10-16	2013-05-08	5461
2/7-20	4270.000000	2.090000	40.000000	13.400000	OIL BASED	1988-05-25	1062	2012-10-16	2013-05-08	5462
2/7-20	4270.000000	2.110000	20.000000	15.800000	OIL BASED	1988-05-10	1062	2012-10-16	2013-05-08	5463
2/7-20	4270.000000	2.100000	35.000000	11.000000	OIL BASED	1988-05-10	1062	2012-10-16	2013-05-08	5464
2/7-20	4270.000000	2.100000	34.000000	9.600000	OIL BASED	1988-05-13	1062	2012-10-16	2013-05-08	5465
2/7-20	4270.000000	2.090000	37.000000	12.900000	OIL BASED	1988-05-13	1062	2012-10-16	2013-05-08	5466
2/7-20	4270.000000	2.100000	38.000000	12.000000	OIL BASED	1988-05-13	1062	2012-10-16	2013-05-08	5467
2/7-20	4270.000000	2.090000	37.000000	13.400000	OIL BASED	1988-05-19	1062	2012-10-16	2013-05-08	5468
2/7-20	4270.000000	2.110000	36.000000	12.400000	OIL BASED	1988-05-19	1062	2012-10-16	2013-05-08	5469
2/7-20	4270.000000	2.100000	36.000000	13.400000	OIL BASED	1988-05-18	1062	2012-10-16	2013-05-08	5470
2/7-20	4270.000000	2.100000	37.000000	12.900000	OIL BASED	1988-05-18	1062	2012-10-16	2013-05-08	5471
2/7-20	4270.000000	2.100000	40.000000	12.400000	OIL BASED	1988-06-07	1062	2012-10-16	2013-05-08	5472
2/7-20	4270.000000	2.100000	41.000000	12.900000	OIL BASED	1988-06-07	1062	2012-10-16	2013-05-08	5473
2/7-20	4270.000000	2.110000	42.000000	14.800000	WATER BASED	1988-06-15	1062	2012-10-16	2013-05-08	5474
2/7-20	4270.000000	2.110000	42.000000	11.500000	OIL BASED	1988-06-15	1062	2012-10-16	2013-05-08	5475
2/7-20	4270.000000	2.110000	42.000000	15.300000	OIL BASED	1988-06-15	1062	2012-10-16	2013-05-08	5476
2/7-20	4270.000000	2.110000	41.000000	16.800000	OIL BASED	1988-06-15	1062	2012-10-16	2013-05-08	5477
2/7-20	4270.000000	2.110000	44.000000	15.800000	OIL BASED	1988-06-15	1062	2012-10-16	2013-05-08	5478
2/7-20	4270.000000	2.110000	42.000000	15.800000	OIL BASED	1988-06-17	1062	2012-10-16	2013-05-08	5479
2/7-20	4270.000000	2.100000	40.000000	12.900000	OIL BASED	1988-06-03	1062	2012-10-16	2013-05-08	5480
2/7-20	4270.000000	2.090000	41.000000	11.500000	OIL BASED	1988-06-02	1062	2012-10-16	2013-05-08	5481
2/7-20	4270.000000	2.090000	42.000000	11.500000	OIL BASED	1988-06-01	1062	2012-10-16	2013-05-08	5482
2/7-20	4270.000000	2.100000	42.000000	12.000000	OIL BASED	1988-05-31	1062	2012-10-16	2013-05-08	5483
2/7-20	4270.000000	2.100000	41.000000	12.900000	OIL BASED	1988-05-27	1062	2012-10-16	2013-05-08	5484
2/7-20	4270.000000	2.090000	43.000000	12.000000	OIL BASED	1988-05-30	1062	2012-10-16	2013-05-08	5485
2/7-20	4270.000000	2.090000	42.000000	12.000000	OIL BASED	1988-05-30	1062	2012-10-16	2013-05-08	5486
2/7-20	4270.000000	2.100000	41.000000	9.600000	OIL BASED	1988-05-30	1062	2012-10-16	2013-05-08	5487
2/7-20	4270.000000	2.100000	41.000000	12.900000	OIL BASED	1988-05-26	1062	2012-10-16	2013-05-08	5488
2/7-20	4270.000000	2.090000	39.000000	13.400000	OIL BASED	1988-05-25	1062	2012-10-16	2013-05-08	5489
2/7-20	4270.000000	2.100000	33.000000	12.000000	OIL BASED	1988-05-25	1062	2012-10-16	2013-05-08	5490
2/7-20	4270.000000	2.090000	41.000000	12.900000	OIL BASED	1988-05-25	1062	2012-10-16	2013-05-08	5491
2/7-20	4270.000000	2.100000	42.000000	13.400000	OIL BASED	1988-05-25	1062	2012-10-16	2013-05-08	5492
2/7-20	4270.000000	2.100000	41.000000	13.900000	OIL BASED	1988-08-08	1062	2012-10-16	2013-05-08	5493
2/7-20	4270.000000	2.110000	49.000000	6.200000	OIL BASED	1988-08-08	1062	2012-10-16	2013-05-08	5494
2/7-20	4281.000000	2.090000	28.000000	7.200000	OIL BASED	1988-03-24	1062	2012-10-16	2013-05-08	5495
2/7-20	4284.000000	2.110000	30.000000	7.700000	OIL BASED	1988-03-25	1062	2012-10-16	2013-05-08	5496
2/7-20	4284.000000	2.110000	30.000000	7.200000	OIL BASED	1988-03-30	1062	2012-10-16	2013-05-08	5497
2/7-20	4284.000000	2.110000	30.000000	8.100000	OIL BASED	1988-04-05	1062	2012-10-16	2013-05-08	5498
2/7-20	4284.000000	2.130000	31.000000	7.700000	OIL BASED	1988-04-05	1062	2012-10-16	2013-05-08	5499
2/7-20	4284.000000	2.110000	30.000000	5.300000	OIL BASED	1988-04-05	1062	2012-10-16	2013-05-08	5500
2/7-20	4284.000000	2.110000	30.000000	7.700000	OIL BASED	1988-04-05	1062	2012-10-16	2013-05-08	5501
2/7-20	4284.000000	2.070000	29.000000	7.200000	OIL BASED	1988-04-06	1062	2012-10-16	2013-05-08	5502
2/7-20	4284.000000	2.110000	31.000000	7.200000	OIL BASED	1988-03-29	1062	2012-10-16	2013-05-08	5503
2/7-20	4284.000000	2.110000	30.000000	7.200000	OIL BASED	1988-03-29	1062	2012-10-16	2013-05-08	5504
2/7-20	4284.000000	0.000000	0.000000	0.000000	WATER BASED	1988-04-05	1062	2012-10-16	2013-05-08	5505
2/7-20	4284.000000	2.110000	30.000000	7.200000	OIL BASED	1988-04-05	1062	2012-10-16	2013-05-08	5506
2/7-20	4293.000000	2.070000	27.000000	5.700000	OIL BASED	1988-04-07	1062	2012-10-16	2013-05-08	5507
2/7-20	4294.000000	2.070000	30.000000	6.200000	OIL BASED	1988-04-08	1062	2012-10-16	2013-05-08	5508
2/7-20	4306.000000	2.070000	31.000000	8.100000	OIL BASED	1988-04-12	1062	2012-10-16	2013-05-08	5509
2/7-20	4307.000000	2.070000	30.000000	7.700000	OIL BASED	1988-04-12	1062	2012-10-16	2013-05-08	5510
2/7-20	4320.000000	2.070000	31.000000	7.200000	OIL BASED	1988-04-12	1062	2012-10-16	2013-05-08	5511
2/7-20	4327.000000	2.070000	30.000000	7.700000	OIL BASED	1988-04-12	1062	2012-10-16	2013-05-08	5512
2/7-20	4370.000000	2.070000	30.000000	8.100000	OIL BASED	1988-04-13	1062	2012-10-16	2013-05-08	5513
2/7-20	4383.000000	2.110000	32.000000	6.200000	OIL BASED	1988-04-14	1062	2012-10-16	2013-05-08	5514
2/7-20	4383.000000	2.110000	30.000000	8.600000	OIL BASED	1988-04-15	1062	2012-10-16	2013-05-08	5515
2/7-20	4383.000000	2.110000	31.000000	8.600000	OIL BASED	1988-04-19	1062	2012-10-16	2013-05-08	5516
2/7-20	4387.000000	2.110000	30.000000	8.600000	OIL BASED	1988-04-19	1062	2012-10-16	2013-05-08	5517
2/7-20	4396.000000	2.110000	31.000000	8.600000	OIL BASED	1988-04-19	1062	2012-10-16	2013-05-08	5518
2/7-20	4400.000000	2.110000	31.000000	8.600000	OIL BASED	1988-04-19	1062	2012-10-16	2013-05-08	5519
2/7-20	4410.000000	2.110000	32.000000	10.100000	OIL BASED	1988-04-20	1062	2012-10-16	2013-05-08	5520
2/7-20	4418.000000	2.110000	30.000000	8.100000	OIL BASED	1988-04-22	1062	2012-10-16	2013-05-08	5521
2/7-20	4439.000000	2.070000	28.000000	7.700000	OIL BASED	1988-04-22	1062	2012-10-16	2013-05-08	5522
2/7-20	4450.000000	2.100000	30.000000	8.600000	OIL BASED	1988-04-27	1062	2012-10-16	2013-05-08	5523
2/7-20	4486.000000	2.090000	29.000000	8.100000	OIL BASED	1988-04-27	1062	2012-10-16	2013-05-08	5524
2/7-20	4491.000000	2.090000	30.000000	7.200000	OIL BASED	1988-04-27	1062	2012-10-16	2013-05-08	5525
2/7-20	4510.000000	2.100000	31.000000	14.400000	OIL BASED	1988-05-10	1062	2012-10-16	2013-05-08	5526
2/7-20	4510.000000	2.090000	31.000000	7.700000	OIL BASED	1988-04-29	1062	2012-10-16	2013-05-08	5527
2/7-20	4510.000000	2.090000	30.000000	7.200000	OIL BASED	1988-04-28	1062	2012-10-16	2013-05-08	5528
2/7-20	4510.000000	2.090000	31.000000	7.200000	OIL BASED	1988-04-27	1062	2012-10-16	2013-05-08	5529
2/7-20	4510.000000	2.110000	35.000000	11.000000	OIL BASED	1988-05-10	1062	2012-10-16	2013-05-08	5530
2/7-20	4510.000000	2.090000	31.000000	7.700000	OIL BASED	1988-05-10	1062	2012-10-16	2013-05-08	5531
2/7-20	4510.000000	2.090000	30.000000	5.700000	OIL BASED	1988-05-10	1062	2012-10-16	2013-05-08	5532
2/7-20	4510.000000	2.100000	32.000000	9.100000	OIL BASED	1988-05-10	1062	2012-10-16	2013-05-08	5533
2/7-20	4510.000000	2.110000	32.000000	9.600000	OIL BASED	1988-05-10	1062	2012-10-16	2013-05-08	5534
2/7-20	4510.000000	2.110000	31.000000	9.600000	OIL BASED	1988-05-10	1062	2012-10-16	2013-05-08	5535
2/7-20	4510.000000	2.110000	32.000000	10.100000	OIL BASED	1988-05-10	1062	2012-10-16	2013-05-08	5536
2/7-20	4514.000000	2.120000	59.000000	8.600000	OIL BASED	1991-10-15	1062	2012-10-16	2013-05-08	5537
2/7-20	4514.000000	2.120000	66.000000	14.400000	OIL BASED	1991-10-18	1062	2012-10-16	2013-05-08	5538
2/7-20	4514.000000	2.120000	66.000000	14.400000	OIL BASED	1991-10-21	1062	2012-10-16	2013-05-08	5539
2/7-20	4514.000000	2.120000	66.000000	14.400000	OIL BASED	1991-10-21	1062	2012-10-16	2013-05-08	5540
2/7-20	4514.000000	2.120000	66.000000	14.400000	OIL BASED	1991-10-21	1062	2012-10-16	2013-05-08	5541
2/7-20	4514.000000	2.120000	64.000000	12.900000	WATER BASED	1991-10-18	1062	2012-10-16	2013-05-08	5542
2/7-20	4514.000000	1.950000	47.000000	17.200000	WATER BASED	1991-10-31	1062	2012-10-16	2013-05-08	5543
2/7-20	4514.000000	1.950000	44.000000	22.000000	WATER BASED	1991-11-04	1062	2012-10-16	2013-05-08	5544
2/7-20	4514.000000	1.950000	44.000000	19.200000	WATER BASED	1991-11-05	1062	2012-10-16	2013-05-08	5545
2/7-20	4514.000000	1.950000	44.000000	19.200000	WATER BASED	1991-11-05	1062	2012-10-16	2013-05-08	5546
2/7-20	4514.000000	1.950000	44.000000	19.200000	WATER BASED	1991-11-05	1062	2012-10-16	2013-05-08	5547
2/7-20	4514.000000	1.440000	0.000000	0.000000	WATER BASED	1991-11-06	1062	2012-10-16	2013-05-08	5548
2/7-20	4514.000000	1.440000	0.000000	0.000000	WATER BASED	1991-11-11	1062	2012-10-16	2013-05-08	5549
2/7-20	4514.000000	1.440000	0.000000	0.000000	WATER BASED	1991-11-11	1062	2012-10-16	2013-05-08	5550
2/7-20	4514.000000	1.440000	0.000000	0.000000	WATER BASED	1991-11-12	1062	2012-10-16	2013-05-08	5551
2/7-20 R	1937.000000	2.120000	66.000000	0.000000	WATER BASED	9999-12-31	1875	9999-12-31	2013-05-08	5552
2/7-20 R	4514.000000	1.950000	47.000000	0.000000	WATER BASED	9999-12-31	1875	9999-12-31	2013-05-08	5553
2/7-21 S	128.000000	1.020000	0.000000	0.000000	WATER BASED	1989-06-29	1394	9999-12-31	2013-05-08	5554
2/7-21 S	128.000000	1.020000	0.000000	0.000000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5555
2/7-21 S	174.000000	1.020000	0.000000	0.000000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5556
2/7-21 S	174.000000	1.020000	0.000000	0.000000	WATER BASED	1989-06-29	1394	9999-12-31	2013-05-08	5557
2/7-21 S	319.000000	1.020000	0.000000	0.000000	WATER BASED	1989-06-29	1394	9999-12-31	2013-05-08	5558
2/7-21 S	319.000000	1.020000	0.000000	0.000000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5559
2/7-21 S	351.000000	2.120000	71.000000	27.300000	WATER BASED	1990-01-09	1394	9999-12-31	2013-05-08	5560
2/7-21 S	351.000000	2.120000	66.000000	22.000000	OIL BASED	1990-01-08	1394	9999-12-31	2013-05-08	5561
2/7-21 S	351.000000	2.120000	71.000000	27.300000	WATER BASED	1990-01-12	1394	9999-12-31	2013-05-08	5562
2/7-21 S	764.000000	1.020000	0.000000	0.000000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5563
2/7-21 S	764.000000	1.020000	0.000000	0.000000	WATER BASED	1989-06-29	1394	9999-12-31	2013-05-08	5564
2/7-21 S	1018.000000	1.020000	0.000000	0.000000	WATER BASED	1989-06-29	1394	9999-12-31	2013-05-08	5565
2/7-21 S	1018.000000	1.020000	0.000000	0.000000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5566
2/7-21 S	1068.000000	1.320000	0.000000	0.000000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5567
2/7-21 S	1068.000000	1.160000	0.000000	0.000000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5568
2/7-21 S	1068.000000	1.330000	16.000000	7.700000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5569
2/7-21 S	1068.000000	1.320000	0.000000	0.000000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5570
2/7-21 S	1068.000000	1.160000	0.000000	0.000000	WATER BASED	1989-06-29	1394	9999-12-31	2013-05-08	5571
2/7-21 S	1068.000000	1.320000	0.000000	0.000000	WATER BASED	1989-06-29	1394	9999-12-31	2013-05-08	5572
2/7-21 S	1068.000000	1.320000	0.000000	0.000000	WATER BASED	1989-06-29	1394	9999-12-31	2013-05-08	5573
2/7-21 S	1068.000000	1.330000	16.000000	7.700000	WATER BASED	1989-07-03	1394	9999-12-31	2013-05-08	5574
2/7-21 S	1183.000000	1.330000	17.000000	9.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5575
2/7-21 S	1183.000000	1.330000	17.000000	9.100000	WATER BASED	1989-07-03	1394	9999-12-31	2013-05-08	5576
2/7-21 S	1475.000000	1.380000	18.000000	9.600000	WATER BASED	1989-07-03	1394	9999-12-31	2013-05-08	5577
2/7-21 S	1475.000000	1.380000	18.000000	9.600000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5578
2/7-21 S	1504.000000	1.440000	15.000000	7.200000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5579
2/7-21 S	1504.000000	1.440000	15.000000	7.200000	WATER BASED	1989-07-04	1394	9999-12-31	2013-05-08	5580
2/7-21 S	1824.000000	1.650000	23.000000	10.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5581
2/7-21 S	1824.000000	1.650000	23.000000	10.100000	WATER BASED	1989-07-05	1394	9999-12-31	2013-05-08	5582
2/7-21 S	1955.000000	1.640000	23.000000	12.000000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5583
2/7-21 S	2024.000000	1.640000	18.000000	7.700000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5584
2/7-21 S	2024.000000	1.640000	18.000000	7.700000	WATER BASED	1989-07-07	1394	9999-12-31	2013-05-08	5585
2/7-21 S	2524.000000	1.650000	33.000000	21.500000	WATER BASED	1989-07-10	1394	9999-12-31	2013-05-08	5586
2/7-21 S	2524.000000	1.650000	25.000000	10.500000	WATER BASED	1989-07-10	1394	9999-12-31	2013-05-08	5587
2/7-21 S	2524.000000	1.650000	19.000000	7.700000	WATER BASED	1989-07-12	1394	9999-12-31	2013-05-08	5588
2/7-21 S	2524.000000	1.650000	26.000000	10.500000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5589
2/7-21 S	2524.000000	1.650000	28.000000	12.400000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5590
2/7-21 S	2524.000000	1.650000	19.000000	7.700000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5591
2/7-21 S	2524.000000	1.650000	33.000000	21.500000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5592
2/7-21 S	2524.000000	1.650000	25.000000	10.500000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5593
2/7-21 S	2524.000000	1.650000	26.000000	10.500000	WATER BASED	1989-07-10	1394	9999-12-31	2013-05-08	5594
2/7-21 S	2524.000000	1.650000	28.000000	12.400000	WATER BASED	1989-07-11	1394	9999-12-31	2013-05-08	5595
2/7-21 S	2627.000000	1.650000	16.000000	6.700000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5596
2/7-21 S	2627.000000	1.650000	16.000000	6.700000	WATER BASED	1989-07-13	1394	9999-12-31	2013-05-08	5597
2/7-21 S	2920.000000	1.650000	20.000000	11.000000	WATER BASED	1989-07-14	1394	9999-12-31	2013-05-08	5598
2/7-21 S	2920.000000	1.650000	20.000000	11.000000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5599
2/7-21 S	3079.000000	2.120000	69.000000	22.500000	OIL BASED	1990-01-08	1394	9999-12-31	2013-05-08	5600
2/7-21 S	3106.000000	1.680000	19.000000	10.500000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5601
2/7-21 S	3106.000000	1.680000	19.000000	10.500000	WATER BASED	1989-07-18	1394	9999-12-31	2013-05-08	5602
2/7-21 S	3206.000000	1.700000	15.000000	12.400000	WATER BASED	1989-07-18	1394	9999-12-31	2013-05-08	5603
2/7-21 S	3206.000000	1.700000	15.000000	12.400000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5604
2/7-21 S	3218.000000	1.700000	20.000000	12.400000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5605
2/7-21 S	3218.000000	1.700000	20.000000	12.400000	WATER BASED	1989-07-18	1394	9999-12-31	2013-05-08	5606
2/7-21 S	3284.000000	1.730000	16.000000	13.900000	WATER BASED	1989-07-18	1394	9999-12-31	2013-05-08	5607
2/7-21 S	3284.000000	1.730000	16.000000	13.900000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5608
2/7-21 S	3312.000000	1.730000	17.000000	10.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5609
2/7-21 S	3312.000000	1.730000	17.000000	10.100000	WATER BASED	1989-07-19	1394	9999-12-31	2013-05-08	5610
2/7-21 S	3359.000000	1.730000	17.000000	8.600000	WATER BASED	1989-07-20	1394	9999-12-31	2013-05-08	5611
2/7-21 S	3359.000000	1.730000	17.000000	8.600000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5612
2/7-21 S	3434.000000	1.730000	16.000000	10.500000	WATER BASED	1989-07-21	1394	9999-12-31	2013-05-08	5613
2/7-21 S	3434.000000	1.730000	16.000000	10.500000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5614
2/7-21 S	3442.000000	1.730000	18.000000	10.100000	WATER BASED	1989-07-24	1394	9999-12-31	2013-05-08	5615
2/7-21 S	3442.000000	1.730000	18.000000	10.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5616
2/7-21 S	3535.000000	1.730000	18.000000	10.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5617
2/7-21 S	3535.000000	1.730000	18.000000	10.100000	WATER BASED	1989-07-24	1394	9999-12-31	2013-05-08	5618
2/7-21 S	3661.000000	1.730000	15.000000	9.600000	WATER BASED	1989-07-24	1394	9999-12-31	2013-05-08	5619
2/7-21 S	3661.000000	1.730000	15.000000	9.600000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5620
2/7-21 S	3703.000000	1.730000	20.000000	12.400000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5621
2/7-21 S	3703.000000	1.730000	16.000000	7.700000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5622
2/7-21 S	3703.000000	1.730000	20.000000	12.400000	WATER BASED	1989-07-25	1394	9999-12-31	2013-05-08	5623
2/7-21 S	3703.000000	1.730000	16.000000	7.700000	WATER BASED	1989-07-26	1394	9999-12-31	2013-05-08	5624
2/7-21 S	3742.000000	1.730000	15.000000	7.700000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5625
2/7-21 S	3853.000000	1.730000	14.000000	8.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5626
2/7-21 S	3867.000000	1.750000	16.000000	8.600000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5627
2/7-21 S	3937.000000	1.750000	16.000000	9.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5628
2/7-21 S	3937.000000	1.750000	16.000000	9.100000	WATER BASED	1989-07-31	1394	9999-12-31	2013-05-08	5629
2/7-21 S	4008.000000	1.750000	19.000000	12.000000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5630
2/7-21 S	4031.000000	1.750000	19.000000	7.700000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5631
2/7-21 S	4054.000000	2.120000	65.000000	21.500000	OIL BASED	1990-01-08	1394	9999-12-31	2013-05-08	5632
2/7-21 S	4067.000000	1.750000	18.000000	9.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5633
2/7-21 S	4067.000000	1.750000	18.000000	9.100000	WATER BASED	1989-08-02	1394	9999-12-31	2013-05-08	5634
2/7-21 S	4076.000000	1.750000	15.000000	7.700000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5635
2/7-21 S	4076.000000	1.750000	15.000000	7.700000	WATER BASED	1989-08-03	1394	9999-12-31	2013-05-08	5636
2/7-21 S	4103.000000	1.750000	19.000000	9.600000	WATER BASED	1989-08-04	1394	9999-12-31	2013-05-08	5637
2/7-21 S	4103.000000	1.750000	19.000000	9.600000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5638
2/7-21 S	4112.000000	1.750000	16.000000	7.200000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5639
2/7-21 S	4112.000000	1.760000	16.000000	9.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5640
2/7-21 S	4112.000000	1.750000	16.000000	7.200000	WATER BASED	1989-08-07	1394	9999-12-31	2013-05-08	5641
2/7-21 S	4112.000000	1.760000	16.000000	9.100000	WATER BASED	1989-08-07	1394	9999-12-31	2013-05-08	5642
2/7-21 S	4143.000000	1.750000	19.000000	9.100000	WATER BASED	1989-08-07	1394	9999-12-31	2013-05-08	5643
2/7-21 S	4143.000000	1.750000	19.000000	9.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5644
2/7-21 S	4154.000000	1.750000	18.000000	13.400000	WATER BASED	1989-08-08	1394	9999-12-31	2013-05-08	5645
2/7-21 S	4154.000000	1.750000	18.000000	13.400000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5646
2/7-21 S	4179.000000	1.750000	18.000000	9.600000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5647
2/7-21 S	4179.000000	1.750000	18.000000	9.600000	WATER BASED	1989-08-09	1394	9999-12-31	2013-05-08	5648
2/7-21 S	4212.000000	1.750000	15.000000	10.500000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5649
2/7-21 S	4212.000000	1.750000	15.000000	10.500000	WATER BASED	1989-08-10	1394	9999-12-31	2013-05-08	5650
2/7-21 S	4234.000000	1.810000	21.000000	8.600000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5651
2/7-21 S	4234.000000	1.770000	16.000000	10.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5652
2/7-21 S	4234.000000	1.790000	18.000000	10.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5653
2/7-21 S	4234.000000	1.810000	21.000000	8.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5654
2/7-21 S	4234.000000	1.810000	21.000000	9.100000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5655
2/7-21 S	4234.000000	1.810000	21.000000	9.600000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5656
2/7-21 S	4234.000000	1.880000	30.000000	4.800000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5657
2/7-21 S	4234.000000	1.880000	30.000000	4.800000	OIL BASED	1989-08-17	1394	9999-12-31	2013-05-08	5658
2/7-21 S	4234.000000	1.770000	16.000000	10.100000	WATER BASED	1989-08-11	1394	9999-12-31	2013-05-08	5659
2/7-21 S	4234.000000	1.790000	18.000000	10.100000	WATER BASED	1989-08-15	1394	9999-12-31	2013-05-08	5660
2/7-21 S	4234.000000	1.810000	21.000000	8.100000	WATER BASED	1989-08-15	1394	9999-12-31	2013-05-08	5661
2/7-21 S	4234.000000	1.810000	21.000000	8.600000	WATER BASED	1989-08-15	1394	9999-12-31	2013-05-08	5662
2/7-21 S	4234.000000	1.810000	21.000000	9.100000	WATER BASED	1989-08-15	1394	9999-12-31	2013-05-08	5663
2/7-21 S	4234.000000	1.810000	21.000000	9.600000	WATER BASED	1989-08-16	1394	9999-12-31	2013-05-08	5664
2/7-21 S	4237.000000	2.040000	40.000000	7.200000	WATER BASED	1989-08-22	1394	9999-12-31	2013-05-08	5665
2/7-21 S	4237.000000	2.040000	40.000000	7.200000	WATER BASED	1989-09-08	1394	9999-12-31	2013-05-08	5666
2/7-21 S	4311.000000	2.100000	44.000000	7.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5667
2/7-21 S	4311.000000	2.120000	55.000000	6.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5668
2/7-21 S	4321.000000	2.100000	37.000000	7.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5669
2/7-21 S	4321.000000	2.100000	40.000000	5.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5670
2/7-21 S	4321.000000	2.100000	40.000000	5.700000	OIL BASED	1989-08-22	1394	9999-12-31	2013-05-08	5671
2/7-21 S	4327.000000	2.100000	41.000000	6.200000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5672
2/7-21 S	4339.000000	2.100000	41.000000	6.200000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5673
2/7-21 S	4339.000000	2.100000	41.000000	6.200000	OIL BASED	1989-08-24	1394	9999-12-31	2013-05-08	5674
2/7-21 S	4339.000000	2.100000	41.000000	6.200000	OIL BASED	1989-08-24	1394	9999-12-31	2013-05-08	5675
2/7-21 S	4345.000000	2.100000	36.000000	7.200000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5676
2/7-21 S	4345.000000	2.100000	36.000000	7.200000	OIL BASED	1989-08-25	1394	9999-12-31	2013-05-08	5677
2/7-21 S	4352.000000	2.100000	40.000000	6.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5678
2/7-21 S	4352.000000	2.100000	40.000000	6.700000	OIL BASED	1989-08-28	1394	9999-12-31	2013-05-08	5679
2/7-21 S	4364.000000	2.100000	33.000000	6.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5680
2/7-21 S	4364.000000	2.100000	33.000000	6.700000	OIL BASED	1989-08-28	1394	9999-12-31	2013-05-08	5681
2/7-21 S	4375.000000	2.100000	35.000000	7.700000	OIL BASED	1989-08-28	1394	9999-12-31	2013-05-08	5682
2/7-21 S	4375.000000	2.100000	35.000000	7.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5683
2/7-21 S	4386.000000	2.100000	36.000000	6.200000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5684
2/7-21 S	4387.000000	2.100000	36.000000	6.200000	OIL BASED	1989-08-29	1394	9999-12-31	2013-05-08	5685
2/7-21 S	4418.000000	2.100000	36.000000	6.200000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5686
2/7-21 S	4451.000000	2.090000	34.000000	7.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5687
2/7-21 S	4451.000000	2.090000	34.000000	7.700000	OIL BASED	1989-08-31	1394	9999-12-31	2013-05-08	5688
2/7-21 S	4457.000000	2.090000	35.000000	7.200000	OIL BASED	1989-09-01	1394	9999-12-31	2013-05-08	5689
2/7-21 S	4457.000000	2.090000	35.000000	7.200000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5690
2/7-21 S	4469.000000	2.090000	36.000000	6.200000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5691
2/7-21 S	4469.000000	2.090000	36.000000	6.200000	OIL BASED	1989-09-04	1394	9999-12-31	2013-05-08	5692
2/7-21 S	4477.000000	2.090000	31.000000	5.700000	OIL BASED	1989-09-04	1394	9999-12-31	2013-05-08	5693
2/7-21 S	4477.000000	2.090000	31.000000	5.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5694
2/7-21 S	4487.000000	2.100000	38.000000	6.200000	OIL BASED	1989-09-04	1394	9999-12-31	2013-05-08	5695
2/7-21 S	4487.000000	2.100000	38.000000	6.200000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5696
2/7-21 S	4526.000000	2.100000	53.000000	13.400000	OIL BASED	1989-12-14	1394	9999-12-31	2013-05-08	5697
2/7-21 S	4526.000000	2.100000	52.000000	15.800000	OIL BASED	1989-12-13	1394	9999-12-31	2013-05-08	5698
2/7-21 S	4526.000000	2.100000	55.000000	15.800000	OIL BASED	1989-12-11	1394	9999-12-31	2013-05-08	5699
2/7-21 S	4526.000000	2.100000	45.000000	14.400000	OIL BASED	1989-12-11	1394	9999-12-31	2013-05-08	5700
2/7-21 S	4526.000000	2.100000	52.000000	15.300000	OIL BASED	1989-12-12	1394	9999-12-31	2013-05-08	5701
2/7-21 S	4526.000000	2.100000	60.000000	19.200000	OIL BASED	1989-12-18	1394	9999-12-31	2013-05-08	5702
2/7-21 S	4526.000000	2.100000	58.000000	15.300000	OIL BASED	1989-12-18	1394	9999-12-31	2013-05-08	5703
2/7-21 S	4526.000000	2.100000	52.000000	14.400000	OIL BASED	1989-12-15	1394	9999-12-31	2013-05-08	5704
2/7-21 S	4526.000000	2.120000	60.000000	17.700000	OIL BASED	1989-12-19	1394	9999-12-31	2013-05-08	5705
2/7-21 S	4526.000000	2.120000	63.000000	16.800000	OIL BASED	1989-12-20	1394	9999-12-31	2013-05-08	5706
2/7-21 S	4526.000000	2.100000	52.000000	15.300000	OIL BASED	1989-12-07	1394	9999-12-31	2013-05-08	5707
2/7-21 S	4526.000000	2.100000	54.000000	14.800000	OIL BASED	1989-12-08	1394	9999-12-31	2013-05-08	5708
2/7-21 S	4526.000000	2.100000	46.000000	13.400000	OIL BASED	1989-12-06	1394	9999-12-31	2013-05-08	5709
2/7-21 S	4526.000000	2.100000	48.000000	13.900000	OIL BASED	1989-12-06	1394	9999-12-31	2013-05-08	5710
2/7-21 S	4526.000000	2.130000	58.000000	19.200000	OIL BASED	1990-01-05	1394	9999-12-31	2013-05-08	5711
2/7-21 S	4526.000000	2.120000	52.000000	19.200000	OIL BASED	1989-12-29	1394	9999-12-31	2013-05-08	5712
2/7-21 S	4526.000000	2.120000	61.000000	20.600000	OIL BASED	1990-01-04	1394	9999-12-31	2013-05-08	5713
2/7-21 S	4526.000000	2.120000	52.000000	19.200000	OIL BASED	1990-01-03	1394	9999-12-31	2013-05-08	5714
2/7-21 S	4526.000000	2.120000	53.000000	13.900000	OIL BASED	1990-01-03	1394	9999-12-31	2013-05-08	5715
2/7-21 S	4526.000000	2.120000	43.000000	11.500000	OIL BASED	1990-01-03	1394	9999-12-31	2013-05-08	5716
2/7-21 S	4526.000000	2.120000	52.000000	19.200000	OIL BASED	1990-01-02	1394	9999-12-31	2013-05-08	5717
2/7-21 S	4526.000000	2.120000	57.000000	16.800000	OIL BASED	1990-01-02	1394	9999-12-31	2013-05-08	5718
2/7-21 S	4526.000000	2.120000	53.000000	13.900000	OIL BASED	1990-01-02	1394	9999-12-31	2013-05-08	5719
2/7-21 S	4526.000000	2.120000	43.000000	11.500000	OIL BASED	1990-01-02	1394	9999-12-31	2013-05-08	5720
2/7-21 S	4526.000000	2.120000	53.000000	14.400000	OIL BASED	1989-12-21	1394	9999-12-31	2013-05-08	5721
2/7-21 S	4526.000000	2.120000	50.000000	14.400000	OIL BASED	1989-12-22	1394	9999-12-31	2013-05-08	5722
2/7-21 S	4526.000000	2.120000	51.000000	14.400000	OIL BASED	1989-12-27	1394	9999-12-31	2013-05-08	5723
2/7-21 S	4526.000000	2.120000	50.000000	13.400000	OIL BASED	1989-12-27	1394	9999-12-31	2013-05-08	5724
2/7-21 S	4526.000000	2.120000	55.000000	13.900000	OIL BASED	1989-12-27	1394	9999-12-31	2013-05-08	5725
2/7-21 S	4526.000000	2.120000	51.000000	12.400000	OIL BASED	1989-12-27	1394	9999-12-31	2013-05-08	5726
2/7-21 S	4526.000000	2.120000	57.000000	16.800000	OIL BASED	1990-01-03	1394	9999-12-31	2013-05-08	5727
2/7-21 S	4526.000000	2.120000	58.000000	15.300000	OIL BASED	1989-12-18	1394	9999-12-31	2013-05-08	5728
2/7-21 S	4526.000000	2.120000	51.000000	12.400000	OIL BASED	1989-12-27	1394	9999-12-31	2013-05-08	5729
2/7-21 S	4526.000000	2.100000	54.000000	15.300000	OIL BASED	1989-12-11	1394	9999-12-31	2013-05-08	5730
2/7-21 S	4526.000000	2.120000	51.000000	19.600000	OIL BASED	1989-12-28	1394	9999-12-31	2013-05-08	5731
2/7-21 S	4532.000000	2.110000	59.000000	14.800000	OIL BASED	1989-12-04	1394	9999-12-31	2013-05-08	5732
2/7-21 S	4532.000000	2.100000	55.000000	14.400000	OIL BASED	1989-12-04	1394	9999-12-31	2013-05-08	5733
2/7-21 S	4532.000000	2.100000	50.000000	12.400000	OIL BASED	1989-12-04	1394	9999-12-31	2013-05-08	5734
2/7-21 S	4551.000000	2.110000	38.000000	6.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5735
2/7-21 S	4551.000000	2.110000	38.000000	6.700000	OIL BASED	1989-09-05	1394	9999-12-31	2013-05-08	5736
2/7-21 S	4559.000000	2.110000	36.000000	7.200000	OIL BASED	1989-09-06	1394	9999-12-31	2013-05-08	5737
2/7-21 S	4559.000000	2.120000	37.000000	6.700000	OIL BASED	1989-09-11	1394	9999-12-31	2013-05-08	5738
2/7-21 S	4559.000000	2.120000	35.000000	6.700000	OIL BASED	1989-09-11	1394	9999-12-31	2013-05-08	5739
2/7-21 S	4559.000000	2.120000	37.000000	6.700000	OIL BASED	1989-09-11	1394	9999-12-31	2013-05-08	5740
2/7-21 S	4559.000000	2.110000	36.000000	7.200000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5741
2/7-21 S	4559.000000	2.120000	38.000000	6.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5742
2/7-21 S	4559.000000	2.120000	37.000000	6.700000	OIL BASED	1989-09-08	1394	9999-12-31	2013-05-08	5743
2/7-21 S	4559.000000	2.120000	47.000000	7.700000	OIL BASED	1989-09-12	1394	9999-12-31	2013-05-08	5744
2/7-21 S	4559.000000	2.120000	38.000000	6.700000	OIL BASED	1989-09-07	1394	9999-12-31	2013-05-08	5745
2/7-21 S	4559.000000	2.120000	44.000000	7.200000	OIL BASED	1989-09-13	1394	9999-12-31	2013-05-08	5746
2/7-21 S	4563.000000	2.120000	42.000000	7.700000	OIL BASED	1989-09-18	1394	9999-12-31	2013-05-08	5747
2/7-21 S	4563.000000	2.120000	44.000000	5.700000	OIL BASED	1989-09-18	1394	9999-12-31	2013-05-08	5748
2/7-21 S	4563.000000	2.120000	46.000000	7.200000	OIL BASED	1989-09-18	1394	9999-12-31	2013-05-08	5749
2/7-21 S	4564.000000	2.120000	43.000000	5.700000	OIL BASED	1989-09-19	1394	9999-12-31	2013-05-08	5750
2/7-21 S	4564.000000	2.110000	41.000000	6.200000	OIL BASED	1989-09-20	1394	9999-12-31	2013-05-08	5751
2/7-21 S	4564.000000	2.120000	42.000000	7.200000	OIL BASED	1989-09-29	1394	9999-12-31	2013-05-08	5752
2/7-21 S	4564.000000	2.120000	41.000000	7.200000	OIL BASED	1989-09-28	1394	9999-12-31	2013-05-08	5753
2/7-21 S	4564.000000	2.120000	43.000000	7.200000	OIL BASED	1989-09-26	1394	9999-12-31	2013-05-08	5754
2/7-21 S	4564.000000	2.120000	41.000000	7.700000	OIL BASED	1989-09-27	1394	9999-12-31	2013-05-08	5755
2/7-21 S	4564.000000	2.120000	39.000000	7.200000	OIL BASED	1989-09-25	1394	9999-12-31	2013-05-08	5756
2/7-21 S	4564.000000	2.120000	44.000000	7.200000	OIL BASED	1989-09-25	1394	9999-12-31	2013-05-08	5757
2/7-21 S	4564.000000	2.120000	34.000000	5.700000	OIL BASED	1989-09-25	1394	9999-12-31	2013-05-08	5758
2/7-21 S	4564.000000	2.130000	42.000000	6.700000	OIL BASED	1989-09-25	1394	9999-12-31	2013-05-08	5759
2/7-21 S	4564.000000	2.120000	50.000000	9.600000	OIL BASED	1989-10-05	1394	9999-12-31	2013-05-08	5760
2/7-21 S	4564.000000	2.110000	55.000000	9.600000	OIL BASED	1989-10-03	1394	9999-12-31	2013-05-08	5761
2/7-21 S	4564.000000	2.110000	52.000000	11.000000	OIL BASED	1989-10-04	1394	9999-12-31	2013-05-08	5762
2/7-21 S	4564.000000	2.120000	42.000000	6.700000	OIL BASED	1989-09-25	1394	9999-12-31	2013-05-08	5763
2/7-21 S	4566.000000	2.090000	47.000000	7.700000	OIL BASED	1989-10-06	1394	9999-12-31	2013-05-08	5764
2/7-21 S	4575.000000	2.090000	39.000000	5.300000	OIL BASED	1989-10-09	1394	9999-12-31	2013-05-08	5765
2/7-21 S	4578.000000	2.090000	47.000000	6.700000	OIL BASED	1989-10-09	1394	9999-12-31	2013-05-08	5766
2/7-21 S	4583.000000	2.040000	40.000000	6.700000	OIL BASED	1989-10-09	1394	9999-12-31	2013-05-08	5767
2/7-21 S	4616.000000	2.060000	38.000000	7.700000	OIL BASED	1989-10-11	1394	9999-12-31	2013-05-08	5768
2/7-21 S	4616.000000	2.060000	38.000000	5.700000	OIL BASED	1989-10-10	1394	9999-12-31	2013-05-08	5769
2/7-21 S	4629.000000	2.060000	36.000000	5.300000	OIL BASED	1989-10-12	1394	9999-12-31	2013-05-08	5770
2/7-21 S	4648.000000	2.060000	42.000000	9.100000	OIL BASED	1989-10-13	1394	9999-12-31	2013-05-08	5771
2/7-21 S	4666.000000	2.060000	43.000000	9.100000	OIL BASED	1989-10-16	1394	9999-12-31	2013-05-08	5772
2/7-21 S	4680.000000	2.060000	43.000000	9.600000	OIL BASED	1989-10-16	1394	9999-12-31	2013-05-08	5773
2/7-21 S	4680.000000	2.060000	48.000000	9.100000	OIL BASED	1989-10-16	1394	9999-12-31	2013-05-08	5774
2/7-21 S	4710.000000	2.060000	51.000000	12.000000	OIL BASED	1989-10-17	1394	9999-12-31	2013-05-08	5775
2/7-21 S	4722.000000	2.060000	50.000000	10.100000	OIL BASED	1989-10-18	1394	9999-12-31	2013-05-08	5776
2/7-21 S	4735.000000	2.060000	50.000000	9.600000	OIL BASED	1989-10-19	1394	9999-12-31	2013-05-08	5777
2/7-21 S	4760.000000	2.060000	46.000000	9.100000	OIL BASED	1989-10-24	1394	9999-12-31	2013-05-08	5778
2/7-21 S	4784.000000	2.060000	43.000000	9.600000	OIL BASED	1989-10-24	1394	9999-12-31	2013-05-08	5779
2/7-21 S	4807.000000	2.060000	44.000000	6.200000	OIL BASED	1989-10-24	1394	9999-12-31	2013-05-08	5780
2/7-21 S	4823.000000	2.060000	43.000000	9.100000	OIL BASED	1989-10-24	1394	9999-12-31	2013-05-08	5781
2/7-21 S	4862.000000	2.060000	42.000000	8.100000	OIL BASED	1989-10-25	1394	9999-12-31	2013-05-08	5782
2/7-21 S	4865.000000	2.060000	42.000000	11.000000	OIL BASED	1989-10-27	1394	9999-12-31	2013-05-08	5783
2/7-21 S	4887.000000	2.060000	41.000000	11.500000	OIL BASED	1989-10-27	1394	9999-12-31	2013-05-08	5784
2/7-21 S	4896.000000	2.060000	43.000000	10.500000	OIL BASED	1989-10-31	1394	9999-12-31	2013-05-08	5785
2/7-21 S	4930.000000	2.060000	39.000000	10.100000	OIL BASED	1989-10-31	1394	9999-12-31	2013-05-08	5786
2/7-21 S	4942.000000	2.060000	35.000000	8.100000	OIL BASED	1989-11-01	1394	9999-12-31	2013-05-08	5787
2/7-21 S	4968.000000	2.060000	35.000000	9.600000	OIL BASED	1989-11-01	1394	9999-12-31	2013-05-08	5788
2/7-21 S	4986.000000	2.060000	35.000000	9.600000	OIL BASED	1989-11-02	1394	9999-12-31	2013-05-08	5789
2/7-21 S	5011.000000	2.060000	35.000000	10.100000	OIL BASED	1989-11-03	1394	9999-12-31	2013-05-08	5790
2/7-21 S	5013.000000	2.060000	37.000000	9.100000	OIL BASED	1989-11-07	1394	9999-12-31	2013-05-08	5791
2/7-21 S	5020.000000	2.060000	35.000000	10.100000	OIL BASED	1989-11-07	1394	9999-12-31	2013-05-08	5792
2/7-21 S	5039.000000	2.090000	37.000000	10.100000	OIL BASED	1989-11-07	1394	9999-12-31	2013-05-08	5793
2/7-21 S	5039.000000	2.100000	58.000000	15.300000	OIL BASED	1989-11-14	1394	9999-12-31	2013-05-08	5794
2/7-21 S	5039.000000	2.100000	54.000000	15.300000	OIL BASED	1989-11-15	1394	9999-12-31	2013-05-08	5795
2/7-21 S	5039.000000	2.090000	35.000000	8.600000	OIL BASED	1989-11-13	1394	9999-12-31	2013-05-08	5796
2/7-21 S	5039.000000	2.090000	35.000000	9.600000	OIL BASED	1989-11-13	1394	9999-12-31	2013-05-08	5797
2/7-21 S	5039.000000	2.100000	37.000000	9.600000	OIL BASED	1989-11-09	1394	9999-12-31	2013-05-08	5798
2/7-21 S	5039.000000	2.090000	37.000000	9.600000	OIL BASED	1989-11-10	1394	9999-12-31	2013-05-08	5799
2/7-21 S	5039.000000	2.100000	54.000000	12.400000	OIL BASED	1989-12-01	1394	9999-12-31	2013-05-08	5800
2/7-21 S	5039.000000	2.110000	55.000000	13.400000	OIL BASED	1989-11-29	1394	9999-12-31	2013-05-08	5801
2/7-21 S	5039.000000	2.100000	64.000000	14.400000	OIL BASED	1989-11-30	1394	9999-12-31	2013-05-08	5802
2/7-21 S	5039.000000	2.100000	57.000000	15.300000	OIL BASED	1989-11-28	1394	9999-12-31	2013-05-08	5803
2/7-21 S	5039.000000	2.100000	57.000000	14.800000	OIL BASED	1989-11-27	1394	9999-12-31	2013-05-08	5804
2/7-21 S	5039.000000	2.100000	51.000000	13.400000	OIL BASED	1989-11-27	1394	9999-12-31	2013-05-08	5805
2/7-21 S	5039.000000	2.100000	48.000000	13.400000	OIL BASED	1989-11-23	1394	9999-12-31	2013-05-08	5806
2/7-21 S	5039.000000	2.100000	49.000000	12.900000	WATER BASED	1989-11-24	1394	9999-12-31	2013-05-08	5807
2/7-21 S	5039.000000	2.110000	47.000000	13.900000	OIL BASED	1989-11-22	1394	9999-12-31	2013-05-08	5808
2/7-21 S	5039.000000	2.100000	55.000000	15.800000	OIL BASED	1989-11-21	1394	9999-12-31	2013-05-08	5809
2/7-21 S	5039.000000	2.110000	56.000000	15.300000	OIL BASED	1989-11-17	1394	9999-12-31	2013-05-08	5810
2/7-21 S	5039.000000	2.120000	57.000000	14.800000	OIL BASED	1989-11-20	1394	9999-12-31	2013-05-08	5811
2/7-21 S	5039.000000	2.100000	55.000000	15.300000	OIL BASED	1989-11-20	1394	9999-12-31	2013-05-08	5812
2/7-21 S	5039.000000	2.120000	56.000000	16.300000	OIL BASED	1989-11-20	1394	9999-12-31	2013-05-08	5813
2/7-21 S	5039.000000	2.090000	37.000000	10.100000	OIL BASED	1989-11-07	1394	9999-12-31	2013-05-08	5814
2/7-21 S	5039.000000	2.090000	36.000000	9.100000	OIL BASED	1989-11-08	1394	9999-12-31	2013-05-08	5815
2/7-21 S	5039.000000	2.120000	54.000000	12.900000	OIL BASED	1989-11-27	1394	9999-12-31	2013-05-08	5816
2/7-21 S	5039.000000	2.090000	37.000000	10.100000	OIL BASED	1989-11-13	1394	9999-12-31	2013-05-08	5817
2/7-21 SR	5042.000000	2.120000	56.000000	0.000000	WATER BASED	9999-12-31	1861	9999-12-31	2013-05-08	5818
2/7-21 SR	5045.000000	2.120000	59.000000	0.000000	OIL BASED	9999-12-31	1861	9999-12-31	2013-05-08	5819
2/7-22	116.000000	0.000000	0.000000	0.000000	WATER BASED	1990-05-21	1495	9999-12-31	2013-05-08	5820
2/7-22	419.000000	0.000000	0.000000	0.000000	WATER BASED	1990-05-21	1495	9999-12-31	2013-05-08	5821
2/7-22	812.000000	0.000000	0.000000	0.000000	WATER BASED	1990-05-21	1495	9999-12-31	2013-05-08	5822
2/7-22	968.000000	1.060000	0.000000	0.000000	WATER BASED	1990-05-28	1495	9999-12-31	2013-05-08	5823
2/7-22	1100.000000	1.520000	74.000000	13.000000	WATER BASED	1990-05-29	1495	9999-12-31	2013-05-08	5824
2/7-22	1100.000000	1.200000	0.000000	0.000000	WATER BASED	1990-05-23	1495	9999-12-31	2013-05-08	5825
2/7-22	1100.000000	0.000000	0.000000	0.000000	WATER BASED	1990-05-21	1495	9999-12-31	2013-05-08	5826
2/7-22	1100.000000	1.400000	0.000000	0.000000	WATER BASED	1990-05-23	1495	9999-12-31	2013-05-08	5827
2/7-22	1100.000000	1.060000	0.000000	0.000000	WATER BASED	1990-05-25	1495	9999-12-31	2013-05-08	5828
2/7-22	1100.000000	1.060000	0.000000	0.000000	WATER BASED	1990-05-28	1495	9999-12-31	2013-05-08	5829
2/7-22	1100.000000	1.200000	90.000000	2.400000	WATER BASED	1990-05-28	1495	9999-12-31	2013-05-08	5830
2/7-22	1286.000000	1.500000	56.000000	14.400000	WATER BASED	1990-05-30	1495	9999-12-31	2013-05-08	5831
2/7-22	1900.000000	1.680000	84.000000	14.900000	WATER BASED	1990-05-31	1495	9999-12-31	2013-05-08	5832
2/7-22	2360.000000	1.680000	89.000000	17.800000	WATER BASED	1990-06-05	1495	9999-12-31	2013-05-08	5833
2/7-22	2710.000000	1.990000	99.000000	14.900000	WATER BASED	1990-10-10	1495	9999-12-31	2013-05-08	5834
2/7-22	2750.000000	1.980000	92.000000	12.000000	WATER BASED	1990-10-09	1495	9999-12-31	2013-05-08	5835
2/7-22	2907.000000	1.700000	94.000000	15.800000	WATER BASED	1990-06-05	1495	9999-12-31	2013-05-08	5836
2/7-22	2978.000000	1.710000	81.000000	16.300000	WATER BASED	1990-06-12	1495	9999-12-31	2013-05-08	5837
2/7-22	2978.000000	1.700000	92.000000	17.300000	WATER BASED	1990-06-05	1495	9999-12-31	2013-05-08	5838
2/7-22	2978.000000	1.700000	92.000000	17.300000	WATER BASED	1990-06-05	1495	9999-12-31	2013-05-08	5839
2/7-22	2978.000000	1.710000	83.000000	16.800000	WATER BASED	1990-06-05	1495	9999-12-31	2013-05-08	5840
2/7-22	2978.000000	1.710000	83.000000	16.800000	WATER BASED	1990-06-08	1495	9999-12-31	2013-05-08	5841
2/7-22	2978.000000	1.710000	83.000000	16.800000	WATER BASED	1990-06-12	1495	9999-12-31	2013-05-08	5842
2/7-22	2978.000000	1.710000	83.000000	16.300000	OIL BASED	1990-06-12	1495	9999-12-31	2013-05-08	5843
2/7-22	2978.000000	1.710000	83.000000	16.800000	WATER BASED	1990-06-07	1495	9999-12-31	2013-05-08	5844
2/7-22	2978.000000	1.710000	83.000000	16.800000	WATER BASED	1990-06-06	1495	9999-12-31	2013-05-08	5845
2/7-22	2991.000000	1.700000	86.000000	16.300000	WATER BASED	1990-06-13	1495	9999-12-31	2013-05-08	5846
2/7-22	3036.000000	1.700000	65.000000	13.400000	WATER BASED	1990-06-13	1495	9999-12-31	2013-05-08	5847
2/7-22	3098.000000	1.700000	66.000000	14.900000	WATER BASED	1990-06-14	1495	9999-12-31	2013-05-08	5848
2/7-22	3312.000000	1.700000	58.000000	13.400000	WATER BASED	1990-06-15	1495	9999-12-31	2013-05-08	5849
2/7-22	3438.000000	1.690000	73.000000	11.500000	WATER BASED	1990-06-18	1495	9999-12-31	2013-05-08	5850
2/7-22	3603.000000	1.680000	64.000000	13.000000	WATER BASED	1990-06-18	1495	9999-12-31	2013-05-08	5851
2/7-22	3741.000000	1.680000	52.000000	12.500000	WATER BASED	1990-06-18	1495	9999-12-31	2013-05-08	5852
2/7-22	3778.000000	1.680000	54.000000	13.000000	WATER BASED	1990-06-19	1495	9999-12-31	2013-05-08	5853
2/7-22	3778.000000	1.680000	54.000000	11.500000	WATER BASED	1990-06-20	1495	9999-12-31	2013-05-08	5854
2/7-22	3809.000000	1.680000	56.000000	14.400000	OIL BASED	1990-06-22	1495	9999-12-31	2013-05-08	5855
2/7-22	3816.000000	1.700000	43.000000	15.000000	WATER BASED	1990-06-26	1495	9999-12-31	2013-05-08	5856
2/7-22	3825.000000	1.700000	51.000000	12.500000	WATER BASED	1990-06-26	1495	9999-12-31	2013-05-08	5857
2/7-22	3826.000000	1.720000	0.000000	16.300000	WATER BASED	1990-06-26	1495	9999-12-31	2013-05-08	5858
2/7-22	3832.000000	1.700000	59.000000	14.400000	WATER BASED	1990-06-26	1495	9999-12-31	2013-05-08	5859
2/7-22	3846.000000	1.700000	52.000000	7.700000	WATER BASED	1990-06-28	1495	9999-12-31	2013-05-08	5860
2/7-22	3846.000000	1.700000	84.000000	11.000000	WATER BASED	1990-06-26	1495	9999-12-31	2013-05-08	5861
2/7-22	3887.000000	1.710000	0.000000	0.000000	WATER BASED	1990-07-04	1495	9999-12-31	2013-05-08	5862
2/7-22	3891.000000	1.970000	95.000000	12.000000	WATER BASED	1990-10-08	1495	9999-12-31	2013-05-08	5863
2/7-22	3895.000000	1.980000	91.000000	11.300000	WATER BASED	1990-10-08	1495	9999-12-31	2013-05-08	5864
2/7-22	3922.000000	1.710000	70.000000	10.600000	WATER BASED	1990-07-04	1495	9999-12-31	2013-05-08	5865
2/7-22	3922.000000	1.700000	83.000000	11.500000	WATER BASED	1990-07-04	1495	9999-12-31	2013-05-08	5866
2/7-22	3981.000000	1.980000	91.000000	10.600000	WATER BASED	1990-10-08	1495	9999-12-31	2013-05-08	5867
2/7-22	4034.000000	1.710000	83.000000	11.000000	WATER BASED	1990-07-04	1495	9999-12-31	2013-05-08	5868
2/7-22	4035.000000	1.710000	88.000000	10.100000	WATER BASED	1990-07-04	1495	9999-12-31	2013-05-08	5869
2/7-22	4078.000000	1.720000	81.000000	11.500000	WATER BASED	1990-07-04	1495	9999-12-31	2013-05-08	5870
2/7-22	4136.000000	1.720000	89.000000	12.000000	WATER BASED	1990-07-04	1495	9999-12-31	2013-05-08	5871
2/7-22	4200.000000	1.720000	80.000000	7.200000	WATER BASED	1990-07-09	1495	9999-12-31	2013-05-08	5872
2/7-22	4200.000000	1.720000	80.000000	9.600000	WATER BASED	1990-07-09	1495	9999-12-31	2013-05-08	5873
2/7-22	4200.000000	1.720000	90.000000	15.000000	WATER BASED	1990-07-09	1495	9999-12-31	2013-05-08	5874
2/7-22	4200.000000	1.780000	37.000000	5.800000	WATER BASED	1990-07-16	1495	9999-12-31	2013-05-08	5875
2/7-22	4200.000000	1.750000	108.000000	15.400000	WATER BASED	1990-07-12	1495	9999-12-31	2013-05-08	5876
2/7-22	4200.000000	1.750000	108.000000	15.400000	WATER BASED	1990-07-12	1495	9999-12-31	2013-05-08	5877
2/7-22	4200.000000	1.750000	108.000000	15.400000	WATER BASED	1990-07-12	1495	9999-12-31	2013-05-08	5878
2/7-22	4200.000000	1.720000	70.000000	10.000000	WATER BASED	1990-07-09	1495	9999-12-31	2013-05-08	5879
2/7-22	4202.000000	1.770000	40.000000	6.700000	OIL BASED	1990-07-16	1495	9999-12-31	2013-05-08	5880
2/7-22	4203.000000	1.760000	43.000000	6.700000	WATER BASED	1990-07-16	1495	9999-12-31	2013-05-08	5881
2/7-22	4203.000000	1.760000	92.000000	22.000000	OIL BASED	1990-07-16	1495	9999-12-31	2013-05-08	5882
2/7-22	4203.000000	1.770000	82.000000	8.600000	OIL BASED	1990-07-16	1495	9999-12-31	2013-05-08	5883
2/7-22	4203.000000	2.110000	93.000000	13.400000	OIL BASED	1990-07-18	1495	9999-12-31	2013-05-08	5884
2/7-22	4203.000000	2.110000	65.000000	7.200000	OIL BASED	1990-07-18	1495	9999-12-31	2013-05-08	5885
2/7-22	4243.000000	1.760000	57.000000	6.200000	OIL BASED	1990-07-20	1495	9999-12-31	2013-05-08	5886
2/7-22	4272.000000	1.850000	55.000000	6.700000	OIL BASED	1990-07-20	1495	9999-12-31	2013-05-08	5887
2/7-22	4290.000000	1.930000	60.000000	5.300000	WATER BASED	1990-07-24	1495	9999-12-31	2013-05-08	5888
2/7-22	4293.000000	1.970000	58.000000	6.700000	WATER BASED	1990-07-24	1495	9999-12-31	2013-05-08	5889
2/7-22	4293.000000	1.980000	80.000000	7.700000	OIL BASED	1990-07-24	1495	9999-12-31	2013-05-08	5890
2/7-22	4293.000000	1.970000	85.000000	8.600000	OIL BASED	1990-07-31	1495	9999-12-31	2013-05-08	5891
2/7-22	4293.000000	1.970000	94.000000	9.100000	WATER BASED	1990-07-31	1495	9999-12-31	2013-05-08	5892
2/7-22	4293.000000	1.980000	96.000000	11.500000	WATER BASED	1990-07-27	1495	9999-12-31	2013-05-08	5893
2/7-22	4293.000000	1.980000	97.000000	10.100000	WATER BASED	1990-07-27	1495	9999-12-31	2013-05-08	5894
2/7-22	4293.000000	1.980000	96.000000	11.500000	WATER BASED	1990-07-24	1495	9999-12-31	2013-05-08	5895
2/7-22	4293.000000	1.970000	94.000000	9.100000	OIL BASED	1990-07-31	1495	9999-12-31	2013-05-08	5896
2/7-22	4295.000000	1.960000	83.000000	9.600000	WATER BASED	1990-07-31	1495	9999-12-31	2013-05-08	5897
2/7-22	4295.000000	1.960000	83.000000	8.200000	OIL BASED	1990-08-03	1495	9999-12-31	2013-05-08	5898
2/7-22	4296.000000	1.950000	82.000000	9.600000	OIL BASED	1990-08-03	1495	9999-12-31	2013-05-08	5899
2/7-22	4296.000000	1.960000	99.100000	13.400000	OIL BASED	1990-08-03	1495	9999-12-31	2013-05-08	5900
2/7-22	4296.000000	1.960000	78.000000	10.100000	WATER BASED	1990-08-10	1495	9999-12-31	2013-05-08	5901
2/7-22	4296.000000	1.960000	82.000000	10.100000	WATER BASED	1990-08-10	1495	9999-12-31	2013-05-08	5902
2/7-22	4296.000000	1.950000	87.000000	11.000000	WATER BASED	1990-08-10	1495	9999-12-31	2013-05-08	5903
2/7-22	4296.000000	1.960000	79.000000	8.200000	OIL BASED	1990-08-03	1495	9999-12-31	2013-05-08	5904
2/7-22	4298.000000	1.960000	80.000000	10.100000	WATER BASED	1990-08-10	1495	9999-12-31	2013-05-08	5905
2/7-22	4299.000000	1.960000	71.000000	7.200000	WATER BASED	1990-08-10	1495	9999-12-31	2013-05-08	5906
2/7-22	4299.000000	1.970000	79.000000	8.600000	WATER BASED	1990-08-10	1495	9999-12-31	2013-05-08	5907
2/7-22	4299.000000	1.970000	81.000000	8.600000	WATER BASED	1990-08-10	1495	9999-12-31	2013-05-08	5908
2/7-22	4299.000000	1.970000	83.000000	9.100000	WATER BASED	1990-08-13	1495	9999-12-31	2013-05-08	5909
2/7-22	4309.000000	1.970000	79.000000	7.700000	WATER BASED	1990-08-13	1495	9999-12-31	2013-05-08	5910
2/7-22	4321.000000	1.970000	74.000000	7.200000	WATER BASED	1990-08-13	1495	9999-12-31	2013-05-08	5911
2/7-22	4334.000000	1.980000	72.000000	7.200000	WATER BASED	1990-08-15	1495	9999-12-31	2013-05-08	5912
2/7-22	4347.000000	1.970000	69.000000	6.700000	WATER BASED	1990-08-15	1495	9999-12-31	2013-05-08	5913
2/7-22	4359.000000	1.970000	70.000000	5.300000	WATER BASED	1990-08-17	1495	9999-12-31	2013-05-08	5914
2/7-22	4381.000000	1.980000	82.000000	5.800000	WATER BASED	1990-08-17	1495	9999-12-31	2013-05-08	5915
2/7-22	4421.000000	1.970000	77.000000	5.800000	WATER BASED	1990-08-20	1495	9999-12-31	2013-05-08	5916
2/7-22	4424.000000	1.970000	7.700000	5.800000	WATER BASED	1990-08-20	1495	9999-12-31	2013-05-08	5917
2/7-22	4452.000000	1.970000	80.000000	5.300000	WATER BASED	1990-08-20	1495	9999-12-31	2013-05-08	5918
2/7-22	4461.000000	1.980000	96.000000	7.700000	WATER BASED	1990-08-22	1495	9999-12-31	2013-05-08	5919
2/7-22	4475.000000	1.980000	83.000000	7.200000	WATER BASED	1990-08-22	1495	9999-12-31	2013-05-08	5920
2/7-22	4489.000000	1.970000	84.000000	7.700000	WATER BASED	1990-08-23	1495	9999-12-31	2013-05-08	5921
2/7-22	4523.000000	1.980000	84.000000	7.700000	WATER BASED	1990-08-27	1495	9999-12-31	2013-05-08	5922
2/7-22	4545.000000	1.980000	93.000000	7.200000	WATER BASED	1990-08-27	1495	9999-12-31	2013-05-08	5923
2/7-22	4552.000000	1.970000	90.000000	7.200000	WATER BASED	1990-08-27	1495	9999-12-31	2013-05-08	5924
2/7-22	4566.000000	1.960000	88.000000	7.700000	WATER BASED	1990-09-20	1495	9999-12-31	2013-05-08	5925
2/7-22	4566.000000	1.960000	90.000000	7.700000	WATER BASED	1990-09-14	1495	9999-12-31	2013-05-08	5926
2/7-22	4566.000000	1.960000	90.000000	8.200000	WATER BASED	1990-10-05	1495	9999-12-31	2013-05-08	5927
2/7-22	4566.000000	1.970000	89.000000	8.200000	WATER BASED	1990-10-01	1495	9999-12-31	2013-05-08	5928
2/7-22	4566.000000	1.970000	96.000000	10.600000	WATER BASED	1990-10-01	1495	9999-12-31	2013-05-08	5929
2/7-22	4566.000000	1.960000	89.000000	8.600000	WATER BASED	1990-10-04	1495	9999-12-31	2013-05-08	5930
2/7-22	4566.000000	1.960000	86.000000	7.700000	WATER BASED	1990-10-01	1495	9999-12-31	2013-05-08	5931
2/7-22	4566.000000	1.970000	89.000000	8.200000	WATER BASED	1990-10-01	1495	9999-12-31	2013-05-08	5932
2/7-22	4566.000000	1.970000	91.000000	8.200000	WATER BASED	1990-10-01	1495	9999-12-31	2013-05-08	5933
2/7-22	4566.000000	1.970000	91.000000	8.200000	WATER BASED	1990-10-01	1495	9999-12-31	2013-05-08	5934
2/7-22	4566.000000	1.970000	89.000000	7.700000	WATER BASED	1990-10-01	1495	9999-12-31	2013-05-08	5935
2/7-22	4566.000000	1.970000	90.000000	10.800000	WATER BASED	1990-10-01	1495	9999-12-31	2013-05-08	5936
2/7-22	4566.000000	1.970000	93.000000	9.100000	WATER BASED	1990-10-01	1495	9999-12-31	2013-05-08	5937
2/7-22	4566.000000	1.970000	94.000000	9.100000	WATER BASED	1990-10-01	1495	9999-12-31	2013-05-08	5938
2/7-22	4566.000000	1.960000	93.000000	8.600000	WATER BASED	1990-10-02	1495	9999-12-31	2013-05-08	5939
2/7-22	4566.000000	1.960000	88.000000	7.700000	WATER BASED	1990-09-21	1495	9999-12-31	2013-05-08	5940
2/7-22	4566.000000	1.960000	86.000000	8.200000	WATER BASED	1990-09-20	1495	9999-12-31	2013-05-08	5941
2/7-22	4566.000000	1.960000	88.000000	7.700000	WATER BASED	1990-09-18	1495	9999-12-31	2013-05-08	5942
2/7-22	4566.000000	1.960000	95.000000	7.700000	WATER BASED	1990-09-17	1495	9999-12-31	2013-05-08	5943
2/7-22	4566.000000	1.960000	80.000000	7.200000	WATER BASED	1990-09-17	1495	9999-12-31	2013-05-08	5944
2/7-22	4566.000000	1.960000	80.000000	7.400000	WATER BASED	1990-09-17	1495	9999-12-31	2013-05-08	5945
2/7-22	4566.000000	1.960000	87.000000	8.200000	WATER BASED	1990-10-03	1495	9999-12-31	2013-05-08	5946
2/7-22	4578.000000	1.970000	83.000000	6.700000	WATER BASED	1990-08-28	1495	9999-12-31	2013-05-08	5947
2/7-22	4611.000000	1.970000	87.000000	7.700000	WATER BASED	1990-08-29	1495	9999-12-31	2013-05-08	5948
2/7-22	4636.000000	1.980000	90.000000	7.200000	WATER BASED	1990-08-30	1495	9999-12-31	2013-05-08	5949
2/7-22	4650.000000	1.960000	85.000000	7.000000	WATER BASED	1990-08-31	1495	9999-12-31	2013-05-08	5950
2/7-22	4650.000000	1.960000	90.000000	7.200000	WATER BASED	1990-09-04	1495	9999-12-31	2013-05-08	5951
2/7-22	4731.000000	1.960000	95.000000	8.600000	WATER BASED	1990-09-04	1495	9999-12-31	2013-05-08	5952
2/7-22	4750.000000	1.960000	91.000000	8.100000	WATER BASED	1990-09-05	1495	9999-12-31	2013-05-08	5953
2/7-22	4750.000000	1.960000	93.000000	7.200000	WATER BASED	1990-09-10	1495	9999-12-31	2013-05-08	5954
2/7-22	4750.000000	1.960000	82.000000	7.200000	WATER BASED	1990-09-10	1495	9999-12-31	2013-05-08	5955
2/7-22	4750.000000	1.960000	85.000000	7.700000	WATER BASED	1990-09-10	1495	9999-12-31	2013-05-08	5956
2/7-22	4750.000000	1.960000	85.000000	8.200000	WATER BASED	1990-09-10	1495	9999-12-31	2013-05-08	5957
2/7-22	4750.000000	1.960000	83.000000	8.200000	WATER BASED	1990-09-10	1495	9999-12-31	2013-05-08	5958
2/7-23 S	96.000000	1.800000	43.000000	14.400000	WATER BASED	1990-11-21	1547	9999-12-31	2013-05-08	5959
2/7-23 S	115.000000	1.030000	0.000000	0.000000	WATER BASED	1990-05-22	1547	9999-12-31	2013-05-08	5960
2/7-23 S	174.000000	1.030000	0.000000	0.000000	WATER BASED	1990-05-22	1547	9999-12-31	2013-05-08	5961
2/7-23 S	174.000000	1.030000	0.000000	0.000000	WATER BASED	1990-05-22	1547	9999-12-31	2013-05-08	5962
2/7-23 S	174.000000	1.040000	0.000000	0.000000	WATER BASED	1990-05-22	1547	9999-12-31	2013-05-08	5963
2/7-23 S	261.000000	1.040000	0.000000	0.000000	WATER BASED	1990-05-22	1547	9999-12-31	2013-05-08	5964
2/7-23 S	384.000000	1.040000	0.000000	0.000000	WATER BASED	1990-05-22	1547	9999-12-31	2013-05-08	5965
2/7-23 S	633.000000	1.040000	0.000000	0.000000	WATER BASED	1990-05-22	1547	9999-12-31	2013-05-08	5966
2/7-23 S	749.000000	1.040000	0.000000	0.000000	WATER BASED	1990-05-23	1547	9999-12-31	2013-05-08	5967
2/7-23 S	1076.000000	1.040000	0.000000	0.000000	WATER BASED	1990-05-28	1547	9999-12-31	2013-05-08	5968
2/7-23 S	1076.000000	1.040000	0.000000	0.000000	WATER BASED	1990-05-25	1547	9999-12-31	2013-05-08	5969
2/7-23 S	1076.000000	1.040000	0.000000	0.000000	WATER BASED	1990-05-25	1547	9999-12-31	2013-05-08	5970
2/7-23 S	1076.000000	1.280000	25.000000	43.600000	WATER BASED	1990-05-29	1547	9999-12-31	2013-05-08	5971
2/7-23 S	1076.000000	1.040000	0.000000	0.000000	WATER BASED	1990-05-28	1547	9999-12-31	2013-05-08	5972
2/7-23 S	1079.000000	1.340000	33.000000	28.700000	WATER BASED	1990-05-30	1547	9999-12-31	2013-05-08	5973
2/7-23 S	1091.000000	1.340000	34.000000	29.700000	WATER BASED	1990-05-31	1547	9999-12-31	2013-05-08	5974
2/7-23 S	1258.000000	1.330000	37.000000	11.000000	WATER BASED	1990-06-01	1547	9999-12-31	2013-05-08	5975
2/7-23 S	1524.000000	1.390000	29.000000	12.000000	WATER BASED	1990-06-06	1547	9999-12-31	2013-05-08	5976
2/7-23 S	1524.000000	1.440000	34.000000	11.000000	WATER BASED	1990-06-06	1547	9999-12-31	2013-05-08	5977
2/7-23 S	1774.000000	1.560000	28.000000	9.600000	WATER BASED	1990-06-06	1547	9999-12-31	2013-05-08	5978
2/7-23 S	1774.000000	1.560000	25.000000	9.100000	WATER BASED	1990-06-06	1547	9999-12-31	2013-05-08	5979
2/7-23 S	1774.000000	1.560000	26.000000	9.600000	WATER BASED	1990-06-06	1547	9999-12-31	2013-05-08	5980
2/7-23 S	2007.000000	1.620000	27.000000	11.000000	WATER BASED	1990-06-07	1547	9999-12-31	2013-05-08	5981
2/7-23 S	2073.000000	1.650000	29.000000	10.100000	WATER BASED	1990-06-11	1547	9999-12-31	2013-05-08	5982
2/7-23 S	2253.000000	1.650000	32.000000	10.100000	WATER BASED	1990-06-11	1547	9999-12-31	2013-05-08	5983
2/7-23 S	2502.000000	1.670000	33.000000	8.100000	WATER BASED	1990-06-11	1547	9999-12-31	2013-05-08	5984
2/7-23 S	2573.000000	1.650000	32.000000	7.700000	WATER BASED	1990-06-11	1547	9999-12-31	2013-05-08	5985
2/7-23 S	2573.000000	1.700000	38.000000	10.100000	WATER BASED	1990-06-14	1547	9999-12-31	2013-05-08	5986
2/7-23 S	2573.000000	1.680000	32.000000	9.600000	WATER BASED	1990-06-13	1547	9999-12-31	2013-05-08	5987
2/7-23 S	2573.000000	1.700000	37.000000	10.500000	WATER BASED	1990-06-14	1547	9999-12-31	2013-05-08	5988
2/7-23 S	2573.000000	1.690000	32.000000	8.600000	WATER BASED	1990-06-18	1547	9999-12-31	2013-05-08	5989
2/7-23 S	2576.000000	1.700000	33.000000	8.100000	WATER BASED	1990-06-18	1547	9999-12-31	2013-05-08	5990
2/7-23 S	2582.000000	1.700000	30.000000	7.700000	WATER BASED	1990-06-18	1547	9999-12-31	2013-05-08	5991
2/7-23 S	2848.000000	1.700000	31.000000	8.100000	WATER BASED	1990-06-19	1547	9999-12-31	2013-05-08	5992
2/7-23 S	3094.000000	1.700000	36.000000	8.600000	WATER BASED	1990-06-20	1547	9999-12-31	2013-05-08	5993
2/7-23 S	3182.000000	1.700000	33.000000	8.600000	WATER BASED	1990-06-22	1547	9999-12-31	2013-05-08	5994
2/7-23 S	3182.000000	1.710000	33.000000	10.500000	WATER BASED	1990-06-25	1547	9999-12-31	2013-05-08	5995
2/7-23 S	3225.000000	1.700000	32.000000	12.900000	WATER BASED	1990-06-25	1547	9999-12-31	2013-05-08	5996
2/7-23 S	3236.000000	1.700000	32.000000	13.400000	WATER BASED	1990-06-25	1547	9999-12-31	2013-05-08	5997
2/7-23 S	3275.000000	1.700000	35.000000	16.300000	WATER BASED	1990-06-25	1547	9999-12-31	2013-05-08	5998
2/7-23 S	3332.000000	1.730000	33.000000	16.300000	WATER BASED	1990-06-26	1547	9999-12-31	2013-05-08	5999
2/7-23 S	3414.000000	1.730000	36.000000	12.000000	WATER BASED	1990-06-27	1547	9999-12-31	2013-05-08	6000
2/7-23 S	3445.000000	1.730000	39.000000	13.400000	WATER BASED	1990-06-28	1547	9999-12-31	2013-05-08	6001
2/7-23 S	3461.000000	1.730000	38.000000	9.600000	WATER BASED	1990-07-02	1547	9999-12-31	2013-05-08	6002
2/7-23 S	3502.000000	1.730000	42.000000	10.100000	WATER BASED	1990-07-02	1547	9999-12-31	2013-05-08	6003
2/7-23 S	3527.000000	1.730000	44.000000	11.500000	WATER BASED	1990-07-02	1547	9999-12-31	2013-05-08	6004
2/7-23 S	3574.000000	1.730000	47.000000	8.100000	WATER BASED	1990-07-02	1547	9999-12-31	2013-05-08	6005
2/7-23 S	3687.000000	1.730000	43.000000	10.100000	WATER BASED	1990-07-03	1547	9999-12-31	2013-05-08	6006
2/7-23 S	3744.000000	1.730000	47.000000	12.400000	WATER BASED	1990-07-04	1547	9999-12-31	2013-05-08	6007
2/7-23 S	3770.000000	1.730000	45.000000	13.400000	WATER BASED	1990-07-05	1547	9999-12-31	2013-05-08	6008
2/7-23 S	3770.000000	1.730000	43.000000	11.000000	WATER BASED	1990-07-09	1547	9999-12-31	2013-05-08	6009
2/7-23 S	3841.000000	1.710000	44.000000	10.500000	WATER BASED	1990-07-09	1547	9999-12-31	2013-05-08	6010
2/7-23 S	3883.000000	1.710000	44.000000	11.000000	WATER BASED	1990-07-09	1547	9999-12-31	2013-05-08	6011
2/7-23 S	3943.000000	1.690000	44.000000	11.000000	WATER BASED	1990-07-10	1547	9999-12-31	2013-05-08	6012
2/7-23 S	3971.000000	1.690000	44.000000	10.500000	WATER BASED	1990-07-11	1547	9999-12-31	2013-05-08	6013
2/7-23 S	3980.000000	1.690000	46.000000	11.500000	WATER BASED	1990-07-12	1547	9999-12-31	2013-05-08	6014
2/7-23 S	4029.000000	1.690000	45.000000	10.500000	WATER BASED	1990-07-13	1547	9999-12-31	2013-05-08	6015
2/7-23 S	4048.000000	1.690000	44.000000	10.100000	WATER BASED	1990-07-16	1547	9999-12-31	2013-05-08	6016
2/7-23 S	4074.000000	1.690000	43.000000	12.400000	WATER BASED	1990-07-16	1547	9999-12-31	2013-05-08	6017
2/7-23 S	4074.000000	1.690000	44.000000	11.000000	WATER BASED	1990-07-16	1547	9999-12-31	2013-05-08	6018
2/7-23 S	4109.000000	1.690000	43.000000	11.500000	WATER BASED	1990-07-17	1547	9999-12-31	2013-05-08	6019
2/7-23 S	4135.000000	1.690000	44.000000	13.900000	WATER BASED	1990-07-18	1547	9999-12-31	2013-05-08	6020
2/7-23 S	4135.000000	1.810000	40.000000	9.600000	WATER BASED	1990-07-20	1547	9999-12-31	2013-05-08	6021
2/7-23 S	4163.000000	1.800000	41.000000	8.600000	WATER BASED	1990-07-20	1547	9999-12-31	2013-05-08	6022
2/7-23 S	4164.000000	1.800000	44.000000	12.900000	WATER BASED	1990-07-26	1547	9999-12-31	2013-05-08	6023
2/7-23 S	4178.000000	1.800000	40.000000	8.600000	WATER BASED	1990-07-26	1547	9999-12-31	2013-05-08	6024
2/7-23 S	4194.000000	1.800000	38.000000	7.700000	WATER BASED	1990-07-26	1547	9999-12-31	2013-05-08	6025
2/7-23 S	4208.000000	1.800000	40.000000	9.100000	WATER BASED	1990-07-26	1547	9999-12-31	2013-05-08	6026
2/7-23 S	4222.000000	1.800000	39.000000	8.100000	WATER BASED	1990-07-26	1547	9999-12-31	2013-05-08	6027
2/7-23 S	4223.000000	1.810000	42.000000	7.200000	WATER BASED	1990-07-27	1547	9999-12-31	2013-05-08	6028
2/7-23 S	4223.000000	1.800000	39.000000	8.100000	WATER BASED	1990-07-26	1547	9999-12-31	2013-05-08	6029
2/7-23 S	4229.000000	1.800000	37.000000	8.600000	WATER BASED	1990-07-31	1547	9999-12-31	2013-05-08	6030
2/7-23 S	4229.000000	1.810000	40.000000	9.100000	WATER BASED	1990-08-01	1547	9999-12-31	2013-05-08	6031
2/7-23 S	4229.000000	1.810000	40.000000	8.600000	WATER BASED	1990-08-01	1547	9999-12-31	2013-05-08	6032
2/7-23 S	4229.000000	1.800000	39.000000	8.100000	WATER BASED	1990-07-31	1547	9999-12-31	2013-05-08	6033
2/7-23 S	4229.000000	1.800000	40.000000	8.100000	WATER BASED	1990-07-31	1547	9999-12-31	2013-05-08	6034
2/7-23 S	4229.000000	1.800000	40.000000	10.100000	WATER BASED	1990-08-03	1547	9999-12-31	2013-05-08	6035
2/7-23 S	4229.000000	1.800000	39.000000	9.600000	WATER BASED	1990-08-02	1547	9999-12-31	2013-05-08	6036
2/7-23 S	4229.000000	1.800000	34.000000	11.000000	WATER BASED	1990-08-06	1547	9999-12-31	2013-05-08	6037
2/7-23 S	4229.000000	1.800000	35.000000	9.600000	WATER BASED	1990-08-06	1547	9999-12-31	2013-05-08	6038
2/7-23 S	4229.000000	0.000000	0.000000	0.000000	WATER BASED	1990-08-06	1547	9999-12-31	2013-05-08	6039
2/7-23 S	4232.000000	1.940000	50.000000	21.100000	WATER BASED	1990-08-10	1547	9999-12-31	2013-05-08	6040
2/7-23 S	4265.000000	2.060000	32.000000	10.100000	WATER BASED	1990-08-10	1547	9999-12-31	2013-05-08	6041
2/7-23 S	4292.000000	2.060000	36.000000	14.400000	WATER BASED	1990-08-13	1547	9999-12-31	2013-05-08	6042
2/7-23 S	4292.000000	2.090000	32.000000	9.600000	WATER BASED	1990-08-13	1547	9999-12-31	2013-05-08	6043
2/7-23 S	4292.000000	2.090000	33.000000	8.100000	WATER BASED	1990-08-13	1547	9999-12-31	2013-05-08	6044
2/7-23 S	4296.000000	2.090000	32.000000	8.600000	WATER BASED	1990-08-14	1547	9999-12-31	2013-05-08	6045
2/7-23 S	4329.000000	2.090000	31.000000	9.600000	WATER BASED	1990-08-15	1547	9999-12-31	2013-05-08	6046
2/7-23 S	4333.000000	2.090000	30.000000	9.100000	WATER BASED	1990-08-16	1547	9999-12-31	2013-05-08	6047
2/7-23 S	4339.000000	2.090000	32.000000	7.200000	WATER BASED	1990-08-17	1547	9999-12-31	2013-05-08	6048
2/7-23 S	4396.000000	0.890000	31.000000	7.700000	WATER BASED	1990-08-20	1547	9999-12-31	2013-05-08	6049
2/7-23 S	4421.000000	2.090000	31.000000	9.100000	WATER BASED	1990-08-20	1547	9999-12-31	2013-05-08	6050
2/7-23 S	4441.000000	2.090000	18.000000	15.800000	WATER BASED	1990-08-20	1547	9999-12-31	2013-05-08	6051
2/7-23 S	4450.000000	2.090000	33.000000	8.600000	WATER BASED	1990-08-21	1547	9999-12-31	2013-05-08	6052
2/7-23 S	4462.000000	2.090000	31.000000	9.100000	OIL BASED	1990-08-22	1547	9999-12-31	2013-05-08	6053
2/7-23 S	4474.000000	2.090000	32.000000	8.600000	OIL BASED	1990-08-23	1547	9999-12-31	2013-05-08	6054
2/7-23 S	4490.000000	2.090000	32.000000	8.600000	OIL BASED	1990-08-27	1547	9999-12-31	2013-05-08	6055
2/7-23 S	4497.000000	2.090000	33.000000	8.600000	WATER BASED	1990-08-27	1547	9999-12-31	2013-05-08	6056
2/7-23 S	4504.000000	2.090000	31.000000	8.600000	WATER BASED	1990-08-27	1547	9999-12-31	2013-05-08	6057
2/7-23 S	4515.000000	2.090000	33.000000	10.100000	WATER BASED	1990-08-29	1547	9999-12-31	2013-05-08	6058
2/7-23 S	4528.000000	2.090000	33.000000	7.200000	WATER BASED	1990-08-30	1547	9999-12-31	2013-05-08	6059
2/7-23 S	4544.000000	2.090000	32.000000	8.100000	WATER BASED	1990-08-30	1547	9999-12-31	2013-05-08	6060
2/7-23 S	4564.000000	2.100000	31.000000	8.600000	WATER BASED	1990-09-03	1547	9999-12-31	2013-05-08	6061
2/7-23 S	4577.000000	2.090000	33.000000	10.500000	WATER BASED	1990-09-03	1547	9999-12-31	2013-05-08	6062
2/7-23 S	4600.000000	2.100000	34.000000	8.600000	WATER BASED	1990-09-03	1547	9999-12-31	2013-05-08	6063
2/7-23 S	4606.000000	2.090000	34.000000	7.200000	WATER BASED	1990-09-04	1547	9999-12-31	2013-05-08	6064
2/7-23 S	4625.000000	2.100000	34.000000	8.600000	WATER BASED	1990-09-05	1547	9999-12-31	2013-05-08	6065
2/7-23 S	4635.000000	2.090000	35.000000	8.100000	WATER BASED	1990-09-06	1547	9999-12-31	2013-05-08	6066
2/7-23 S	4648.000000	2.090000	33.000000	8.100000	WATER BASED	1990-09-07	1547	9999-12-31	2013-05-08	6067
2/7-23 S	4651.000000	2.090000	29.000000	7.200000	WATER BASED	1990-09-10	1547	9999-12-31	2013-05-08	6068
2/7-23 S	4651.000000	2.100000	27.000000	7.200000	WATER BASED	1990-09-10	1547	9999-12-31	2013-05-08	6069
2/7-23 S	4663.000000	2.100000	28.000000	8.100000	WATER BASED	1990-09-10	1547	9999-12-31	2013-05-08	6070
2/7-23 S	4668.000000	2.100000	29.000000	7.700000	WATER BASED	1990-09-11	1547	9999-12-31	2013-05-08	6071
2/7-23 S	4691.000000	2.100000	33.000000	7.200000	WATER BASED	1990-09-14	1547	9999-12-31	2013-05-08	6072
2/7-23 S	4713.000000	2.100000	29.000000	7.700000	WATER BASED	1990-09-14	1547	9999-12-31	2013-05-08	6073
2/7-23 S	4718.000000	2.100000	31.000000	8.100000	WATER BASED	1990-09-17	1547	9999-12-31	2013-05-08	6074
2/7-23 S	4724.000000	2.100000	32.000000	7.200000	WATER BASED	1990-09-17	1547	9999-12-31	2013-05-08	6075
2/7-23 S	4725.000000	2.100000	29.000000	7.200000	WATER BASED	1990-09-17	1547	9999-12-31	2013-05-08	6076
2/7-23 S	4740.000000	2.100000	30.000000	7.200000	WATER BASED	1990-09-19	1547	9999-12-31	2013-05-08	6077
2/7-23 S	4759.000000	2.100000	33.000000	7.700000	WATER BASED	1990-09-19	1547	9999-12-31	2013-05-08	6078
2/7-23 S	4760.000000	2.100000	34.000000	8.600000	WATER BASED	1990-09-20	1547	9999-12-31	2013-05-08	6079
2/7-23 S	4760.000000	2.110000	38.000000	9.100000	WATER BASED	1990-09-24	1547	9999-12-31	2013-05-08	6080
2/7-23 S	4760.000000	2.100000	48.000000	11.000000	WATER BASED	1990-09-24	1547	9999-12-31	2013-05-08	6081
2/7-23 S	4760.000000	2.110000	50.000000	11.500000	WATER BASED	1990-09-24	1547	9999-12-31	2013-05-08	6082
2/7-23 S	4760.000000	2.110000	40.000000	7.200000	WATER BASED	1990-10-02	1547	9999-12-31	2013-05-08	6083
2/7-23 S	4760.000000	2.110000	41.000000	7.700000	WATER BASED	1990-10-01	1547	9999-12-31	2013-05-08	6084
2/7-23 S	4760.000000	2.110000	39.000000	7.200000	WATER BASED	1990-09-25	1547	9999-12-31	2013-05-08	6085
2/7-23 S	4760.000000	2.130000	50.000000	8.600000	WATER BASED	1990-09-27	1547	9999-12-31	2013-05-08	6086
2/7-23 S	4760.000000	2.120000	40.000000	8.100000	WATER BASED	1990-09-26	1547	9999-12-31	2013-05-08	6087
2/7-23 S	4760.000000	2.110000	39.000000	7.200000	WATER BASED	1990-09-28	1547	9999-12-31	2013-05-08	6088
2/7-23 S	4760.000000	2.110000	43.000000	9.100000	WATER BASED	1990-10-04	1547	9999-12-31	2013-05-08	6089
2/7-23 S	4760.000000	2.110000	43.000000	9.100000	WATER BASED	1990-10-05	1547	9999-12-31	2013-05-08	6090
2/7-23 S	4760.000000	2.110000	45.000000	8.100000	WATER BASED	1990-10-09	1547	9999-12-31	2013-05-08	6091
2/7-23 S	4760.000000	2.110000	51.000000	9.100000	WATER BASED	1990-10-08	1547	9999-12-31	2013-05-08	6092
2/7-23 S	4760.000000	2.160000	56.000000	10.500000	WATER BASED	1990-10-08	1547	9999-12-31	2013-05-08	6093
2/7-23 S	4760.000000	2.110000	43.000000	8.100000	WATER BASED	1990-10-08	1547	9999-12-31	2013-05-08	6094
2/7-23 S	4760.000000	2.110000	43.000000	8.600000	WATER BASED	1990-10-11	1547	9999-12-31	2013-05-08	6095
2/7-23 S	4760.000000	2.110000	43.000000	8.100000	WATER BASED	1990-10-11	1547	9999-12-31	2013-05-08	6096
2/7-23 S	4760.000000	2.110000	42.000000	9.600000	WATER BASED	1990-10-15	1547	9999-12-31	2013-05-08	6097
2/7-23 S	4760.000000	2.110000	45.000000	9.100000	WATER BASED	1990-10-15	1547	9999-12-31	2013-05-08	6098
2/7-23 S	4760.000000	2.110000	47.000000	8.600000	WATER BASED	1990-10-16	1547	9999-12-31	2013-05-08	6099
2/7-23 S	4760.000000	2.110000	49.000000	11.500000	WATER BASED	1990-10-17	1547	9999-12-31	2013-05-08	6100
2/7-23 S	4760.000000	2.110000	50.000000	12.900000	WATER BASED	1990-10-18	1547	9999-12-31	2013-05-08	6101
2/7-23 S	4760.000000	2.110000	47.000000	10.100000	WATER BASED	1990-10-22	1547	9999-12-31	2013-05-08	6102
2/7-23 S	4760.000000	2.110000	47.000000	10.100000	WATER BASED	1990-10-22	1547	9999-12-31	2013-05-08	6103
2/7-23 S	4760.000000	2.110000	43.000000	12.000000	WATER BASED	1990-10-22	1547	9999-12-31	2013-05-08	6104
2/7-23 S	4760.000000	2.110000	48.000000	10.500000	WATER BASED	1990-10-23	1547	9999-12-31	2013-05-08	6105
2/7-23 S	4760.000000	2.110000	49.000000	10.100000	WATER BASED	1990-10-24	1547	9999-12-31	2013-05-08	6106
2/7-23 S	4760.000000	2.120000	50.000000	11.000000	WATER BASED	1990-10-25	1547	9999-12-31	2013-05-08	6107
2/7-23 S	4760.000000	2.110000	46.000000	10.500000	WATER BASED	1990-10-26	1547	9999-12-31	2013-05-08	6108
2/7-23 S	4760.000000	2.110000	49.000000	9.600000	WATER BASED	1990-10-31	1547	9999-12-31	2013-05-08	6109
2/7-23 S	4760.000000	2.110000	49.000000	10.100000	WATER BASED	1990-10-31	1547	9999-12-31	2013-05-08	6110
2/7-23 S	4760.000000	2.110000	49.000000	12.000000	WATER BASED	1990-10-31	1547	9999-12-31	2013-05-08	6111
2/7-23 S	4760.000000	2.110000	51.000000	10.500000	WATER BASED	1990-10-31	1547	9999-12-31	2013-05-08	6112
2/7-23 S	4760.000000	2.050000	50.000000	10.100000	WATER BASED	1990-10-31	1547	9999-12-31	2013-05-08	6113
2/7-23 S	4760.000000	2.110000	53.000000	10.100000	WATER BASED	1990-11-05	1547	9999-12-31	2013-05-08	6114
2/7-23 S	4760.000000	2.110000	51.000000	10.100000	WATER BASED	1990-11-05	1547	9999-12-31	2013-05-08	6115
2/7-23 S	4760.000000	2.110000	52.000000	7.700000	WATER BASED	1990-11-05	1547	9999-12-31	2013-05-08	6116
2/7-23 S	4760.000000	2.110000	54.000000	9.100000	WATER BASED	1990-11-05	1547	9999-12-31	2013-05-08	6117
2/7-23 S	4760.000000	2.110000	49.000000	11.000000	WATER BASED	1990-11-05	1547	9999-12-31	2013-05-08	6118
2/7-23 S	4760.000000	2.110000	53.000000	11.000000	WATER BASED	1990-11-06	1547	9999-12-31	2013-05-08	6119
2/7-23 S	4760.000000	2.110000	59.000000	10.100000	WATER BASED	1990-11-09	1547	9999-12-31	2013-05-08	6120
2/7-23 S	4760.000000	2.110000	56.000000	10.100000	WATER BASED	1990-11-09	1547	9999-12-31	2013-05-08	6121
2/7-23 S	4760.000000	2.110000	53.000000	9.600000	WATER BASED	1990-11-13	1547	9999-12-31	2013-05-08	6122
2/7-23 S	4760.000000	2.050000	45.000000	7.200000	WATER BASED	1990-11-13	1547	9999-12-31	2013-05-08	6123
2/7-23 S	4760.000000	1.800000	58.000000	21.100000	WATER BASED	1990-11-13	1547	9999-12-31	2013-05-08	6124
2/7-23 S	4760.000000	1.800000	55.000000	21.500000	WATER BASED	1990-11-15	1547	9999-12-31	2013-05-08	6125
2/7-23 S	4760.000000	1.800000	51.000000	20.100000	WATER BASED	1990-11-16	1547	9999-12-31	2013-05-08	6126
2/7-23 S	4760.000000	1.790000	46.000000	16.800000	WATER BASED	1990-11-20	1547	9999-12-31	2013-05-08	6127
2/7-23 S	4760.000000	1.790000	48.000000	15.300000	WATER BASED	1990-11-20	1547	9999-12-31	2013-05-08	6128
2/7-23 S	4760.000000	1.800000	43.000000	14.800000	WATER BASED	1990-11-20	1547	9999-12-31	2013-05-08	6129
2/7-23 S	4760.000000	2.110000	41.000000	8.100000	WATER BASED	1990-10-01	1547	9999-12-31	2013-05-08	6130
2/7-23 S	4760.000000	2.110000	40.000000	7.200000	WATER BASED	1990-10-01	1547	9999-12-31	2013-05-08	6131
2/7-23 S	4760.000000	2.110000	43.000000	9.100000	WATER BASED	1990-10-03	1547	9999-12-31	2013-05-08	6132
2/7-23 S	4760.000000	2.110000	46.000000	8.100000	WATER BASED	1990-10-15	1547	9999-12-31	2013-05-08	6133
2/7-23 S	4760.000000	2.110000	47.000000	8.600000	WATER BASED	1990-10-15	1547	9999-12-31	2013-05-08	6134
2/7-23 S	4760.000000	2.110000	50.000000	12.900000	WATER BASED	1990-10-22	1547	9999-12-31	2013-05-08	6135
2/7-23 S	4760.000000	2.110000	51.000000	9.600000	WATER BASED	1990-11-13	1547	9999-12-31	2013-05-08	6136
2/7-23 S	4760.000000	1.800000	67.000000	15.300000	WATER BASED	1990-11-14	1547	9999-12-31	2013-05-08	6137
2/7-23 S	4760.000000	1.800000	48.000000	17.200000	WATER BASED	1990-11-20	1547	9999-12-31	2013-05-08	6138
2/7-25 S	100.000000	1.050000	13.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6139
2/7-25 S	209.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6140
2/7-25 S	290.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6141
2/7-25 S	533.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6142
2/7-25 S	1089.000000	1.340000	32.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6143
2/7-25 S	1645.000000	1.510000	35.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6144
2/7-25 S	2100.000000	1.610000	48.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6145
2/7-25 S	2332.000000	1.660000	51.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6146
2/7-25 S	2569.000000	1.710000	43.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6147
2/7-25 S	3084.000000	1.710000	50.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6148
2/7-25 S	3317.000000	1.710000	47.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6149
2/7-25 S	3406.000000	1.710000	44.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6150
2/7-25 S	3486.000000	1.710000	39.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6151
2/7-25 S	3502.000000	1.730000	40.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6152
2/7-25 S	3547.000000	1.710000	43.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6153
2/7-25 S	3560.000000	1.710000	40.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6154
2/7-25 S	3570.000000	1.730000	41.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6155
2/7-25 S	3603.000000	1.730000	42.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6156
2/7-25 S	3612.000000	1.730000	39.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6157
2/7-25 S	3627.000000	1.710000	54.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6158
2/7-25 S	3643.000000	1.640000	56.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6159
2/7-25 S	3676.000000	1.630000	48.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6160
2/7-25 S	3791.000000	1.630000	45.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6161
2/7-25 S	3887.000000	1.630000	43.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6162
2/7-25 S	4005.000000	1.630000	46.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6163
2/7-25 S	4066.000000	1.630000	47.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6164
2/7-25 S	4121.000000	1.630000	45.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6165
2/7-25 S	4175.000000	1.630000	45.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6166
2/7-25 S	4184.000000	1.630000	43.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6167
2/7-25 S	4302.000000	1.630000	43.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6168
2/7-25 S	4364.000000	1.630000	40.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6169
2/7-25 S	4400.000000	1.630000	39.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6170
2/7-25 S	4444.000000	1.670000	48.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6171
2/7-25 S	4496.000000	1.670000	48.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6172
2/7-25 S	4522.000000	1.670000	43.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6173
2/7-25 S	4542.000000	1.670000	45.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6174
2/7-25 S	4551.000000	1.670000	48.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6175
2/7-25 S	4583.000000	2.060000	67.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6176
2/7-25 S	4588.000000	2.060000	52.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6177
2/7-25 S	4710.000000	2.120000	48.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6178
2/7-25 S	4715.000000	2.100000	51.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6179
2/7-25 S	4728.000000	2.120000	54.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6180
2/7-25 S	4801.000000	2.100000	52.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6181
2/7-25 S	4841.000000	2.100000	47.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6182
2/7-25 S	4843.000000	2.100000	49.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6183
2/7-25 S	4855.000000	2.100000	49.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6184
2/7-25 S	4914.000000	2.100000	49.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6185
2/7-25 S	4938.000000	2.100000	53.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6186
2/7-25 S	4941.000000	2.100000	53.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6187
2/7-25 S	4955.000000	2.100000	56.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6188
2/7-25 S	4963.000000	2.100000	59.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6189
2/7-25 S	5081.000000	2.100000	56.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6190
2/7-25 S	5088.000000	2.100000	52.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6191
2/7-25 S	5102.000000	2.100000	50.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6192
2/7-25 S	5112.000000	2.100000	48.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6193
2/7-25 S	5114.000000	2.100000	47.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6194
2/7-25 S	5126.000000	2.100000	46.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6195
2/7-25 S	5139.000000	2.100000	46.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6196
2/7-25 S	5143.000000	2.100000	44.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6197
2/7-25 S	5158.000000	2.100000	40.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6198
2/7-25 S	5165.000000	2.100000	48.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6199
2/7-25 S	5167.000000	2.100000	44.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6200
2/7-25 S	5177.000000	1.640000	13.000000	0.000000	WATER BASED	9999-12-31	1679	9999-12-31	2013-05-08	6201
2/7-26 S	118.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6202
2/7-26 S	160.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6203
2/7-26 S	180.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6204
2/7-26 S	294.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6205
2/7-26 S	576.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6206
2/7-26 S	694.000000	1.320000	35.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6207
2/7-26 S	1178.000000	1.320000	38.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6208
2/7-26 S	1628.000000	1.560000	42.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6209
2/7-26 S	1991.000000	1.700000	32.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6210
2/7-26 S	2143.000000	1.700000	26.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6211
2/7-26 S	2146.000000	1.700000	38.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6212
2/7-26 S	2288.000000	1.700000	18.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6213
2/7-26 S	2473.000000	1.700000	18.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6214
2/7-26 S	2630.000000	1.700000	20.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6215
2/7-26 S	2724.000000	1.700000	19.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6216
2/7-26 S	2874.000000	1.730000	21.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6217
2/7-26 S	2983.000000	1.730000	22.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6218
2/7-26 S	2987.000000	1.730000	22.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6219
2/7-26 S	2998.000000	1.730000	23.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6220
2/7-26 S	3047.000000	1.730000	21.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6221
2/7-26 S	3125.000000	1.730000	22.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6222
2/7-26 S	3138.000000	1.730000	22.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6223
2/7-26 S	3200.000000	1.730000	21.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6224
2/7-26 S	3219.000000	1.730000	26.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6225
2/7-26 S	3341.000000	1.730000	21.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6226
2/7-26 S	3385.000000	1.730000	20.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6227
2/7-26 S	3487.000000	1.730000	24.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6228
2/7-26 S	3498.000000	1.730000	24.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6229
2/7-26 S	3532.000000	1.730000	22.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6230
2/7-26 S	3625.000000	1.730000	26.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6231
2/7-26 S	3678.000000	1.730000	26.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6232
2/7-26 S	3749.000000	1.730000	27.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6233
2/7-26 S	3772.000000	1.730000	26.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6234
2/7-26 S	3778.000000	1.730000	26.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6235
2/7-26 S	3783.000000	1.750000	26.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6236
2/7-26 S	3987.000000	1.750000	24.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6237
2/7-26 S	3999.000000	1.750000	24.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6238
2/7-26 S	4062.000000	1.750000	26.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6239
2/7-26 S	4073.000000	1.750000	23.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6240
2/7-26 S	4113.000000	1.930000	35.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6241
2/7-26 S	4116.000000	1.750000	22.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6242
2/7-26 S	4126.000000	1.760000	26.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6243
2/7-26 S	4146.000000	2.000000	52.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6244
2/7-26 S	4208.000000	2.020000	53.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6245
2/7-26 S	4256.000000	2.020000	49.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6246
2/7-26 S	4279.000000	2.040000	46.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6247
2/7-26 S	4299.000000	2.020000	44.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6248
2/7-26 S	4314.000000	2.020000	44.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6249
2/7-26 S	4315.000000	2.040000	45.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6250
2/7-26 S	4331.000000	2.040000	45.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6251
2/7-26 S	4362.000000	2.060000	49.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6252
2/7-26 S	4394.000000	2.060000	50.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6253
2/7-26 S	4394.000000	2.060000	49.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6254
2/7-26 S	4407.000000	2.040000	55.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6255
2/7-26 S	4414.000000	2.060000	49.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6256
2/7-26 S	4436.000000	2.060000	50.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6257
2/7-26 S	4450.000000	2.060000	50.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6258
2/7-26 S	4468.000000	2.060000	49.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6259
2/7-26 S	4479.000000	2.060000	49.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6260
2/7-26 S	4523.000000	2.060000	54.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6261
2/7-26 S	4542.000000	2.040000	48.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6262
2/7-26 S	4553.000000	2.040000	53.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6263
2/7-26 S	4554.000000	2.040000	52.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6264
2/7-26 S	4602.000000	2.040000	46.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6265
2/7-26 S	4657.000000	2.040000	43.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6266
2/7-26 S	4723.000000	2.040000	46.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6267
2/7-26 S	4849.000000	2.040000	42.000000	0.000000	WATER BASED	9999-12-31	1756	9999-12-31	2013-05-08	6268
2/7-26 S	4849.000000	2.040000	42.000000	0.000000	OIL BASED	9999-12-31	1756	9999-12-31	2013-05-08	6269
2/7-27 S	160.000000	1.430000	0.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6270
2/7-27 S	570.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6271
2/7-27 S	573.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6272
2/7-27 S	579.000000	1.560000	13.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6273
2/7-27 S	1033.000000	1.330000	24.000000	0.000000	OIL BASED	9999-12-31	1878	9999-12-31	2013-05-08	6274
2/7-27 S	1919.000000	1.760000	20.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6275
2/7-27 S	1979.000000	1.870000	26.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6276
2/7-27 S	2827.000000	1.870000	52.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6277
2/7-27 S	2839.000000	1.870000	53.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6278
2/7-27 S	2843.000000	1.870000	43.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6279
2/7-27 S	3008.000000	1.870000	47.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6280
2/7-27 S	3040.000000	1.870000	20.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6281
2/7-27 S	3078.000000	1.730000	26.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6282
2/7-27 S	3146.000000	1.740000	27.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6283
2/7-27 S	3164.000000	1.710000	24.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6284
2/7-27 S	3170.000000	1.870000	42.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6285
2/7-27 S	3194.000000	1.710000	29.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6286
2/7-27 S	3200.000000	1.870000	44.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6287
2/7-27 S	3229.000000	1.750000	39.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6288
2/7-27 S	3296.000000	1.870000	30.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6289
2/7-27 S	3375.000000	1.590000	30.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6290
2/7-27 S	3375.000000	1.590000	30.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6291
2/7-27 S	3375.000000	1.590000	29.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6292
2/7-27 S	3375.000000	1.590000	30.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6293
2/7-27 S	3375.000000	1.590000	30.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6294
2/7-27 S	3391.000000	1.870000	34.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6295
2/7-27 S	3439.000000	1.870000	34.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6296
2/7-27 S	3447.000000	1.870000	32.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6297
2/7-27 S	3471.000000	1.860000	29.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6298
2/7-27 S	3473.000000	1.570000	33.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6299
2/7-27 S	3536.000000	1.560000	35.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6300
2/7-27 S	3675.000000	1.560000	35.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6301
2/7-27 S	3682.000000	1.750000	26.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6302
2/7-27 S	3890.000000	1.580000	35.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6303
2/7-27 S	3930.000000	1.580000	10.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6304
2/7-27 S	3995.000000	1.620000	22.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6305
2/7-27 S	4002.000000	1.630000	23.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6306
2/7-27 S	4008.000000	1.710000	29.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6307
2/7-27 S	4014.000000	2.100000	32.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6308
2/7-27 S	4039.000000	1.750000	29.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6309
2/7-27 S	4106.000000	1.680000	25.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6310
2/7-27 S	4134.000000	1.680000	32.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6311
2/7-27 S	4168.000000	1.680000	29.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6312
2/7-27 S	4171.000000	1.680000	27.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6313
2/7-27 S	4243.000000	1.680000	24.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6314
2/7-27 S	4255.000000	2.100000	21.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6315
2/7-27 S	4287.000000	1.750000	24.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6316
2/7-27 S	4300.000000	1.750000	22.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6317
2/7-27 S	4323.000000	2.040000	29.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6318
2/7-27 S	4415.000000	2.060000	25.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6319
2/7-27 S	4500.000000	2.060000	23.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6320
2/7-27 S	4505.000000	2.060000	23.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6321
2/7-27 S	4539.000000	2.060000	20.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6322
2/7-27 S	4562.000000	2.100000	25.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6323
2/7-27 S	4589.000000	2.100000	28.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6324
2/7-27 S	4668.000000	2.100000	30.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6325
2/7-27 S	4775.000000	2.100000	31.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6326
2/7-27 S	4776.000000	2.060000	26.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6327
2/7-27 S	4801.000000	2.060000	26.000000	0.000000	WATER BASED	9999-12-31	1878	9999-12-31	2013-05-08	6328
2/7-27 S	4801.000000	2.060000	27.000000	0.000000	OIL BASED	9999-12-31	1878	9999-12-31	2013-05-08	6329
2/7-29	301.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	2124	9999-12-31	2013-05-08	6330
2/7-29	308.000000	1.080000	0.000000	0.000000	WATER BASED	9999-12-31	2124	9999-12-31	2013-05-08	6331
2/7-29	554.000000	1.110000	8.000000	0.000000	WATER BASED	9999-12-31	2124	9999-12-31	2013-05-08	6332
2/7-29	949.000000	1.810000	20.000000	0.000000	WATER BASED	9999-12-31	2124	9999-12-31	2013-05-08	6333
2/7-29	1148.000000	1.150000	5.000000	0.000000	WATER BASED	9999-12-31	2124	9999-12-31	2013-05-08	6334
2/7-29	1153.000000	1.170000	5.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6335
2/7-29	2028.000000	1.600000	49.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6336
2/7-29	2259.000000	1.590000	48.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6337
2/7-29	2498.000000	1.600000	48.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6338
2/7-29	2705.000000	1.590000	46.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6339
2/7-29	2812.000000	1.600000	47.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6340
2/7-29	3013.000000	1.810000	22.000000	0.000000	WATER BASED	9999-12-31	2124	9999-12-31	2013-05-08	6341
2/7-29	3130.000000	0.000000	0.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6342
2/7-29	3138.000000	1.620000	51.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6343
2/7-29	3308.000000	1.610000	44.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6344
2/7-29	3457.000000	1.620000	43.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6345
2/7-29	3483.000000	1.620000	45.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6346
2/7-29	3738.000000	1.620000	50.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6347
2/7-29	3843.000000	1.620000	50.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6348
2/7-29	3901.000000	1.620000	46.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6349
2/7-29	4009.000000	1.620000	47.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6350
2/7-29	4224.000000	1.620000	48.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6351
2/7-29	4274.000000	1.810000	24.000000	0.000000	WATER BASED	9999-12-31	2124	9999-12-31	2013-05-08	6352
2/7-29	4291.000000	1.810000	61.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6353
2/7-29	4352.000000	1.810000	56.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6354
2/7-29	4366.000000	1.810000	61.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6355
2/7-29	4366.000000	1.820000	50.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6356
2/7-29	4366.000000	1.820000	53.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6357
2/7-29	4387.000000	1.820000	67.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6358
2/7-29	4395.000000	1.870000	67.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6359
2/7-29	4501.000000	1.870000	60.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6360
2/7-29	4519.000000	1.870000	59.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6361
2/7-29	4574.000000	1.870000	59.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6362
2/7-29	4599.000000	1.870000	61.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6363
2/7-29	4684.000000	1.870000	68.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6364
2/7-29	4703.000000	1.870000	62.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6365
2/7-29	4900.000000	1.900000	67.000000	0.000000	OIL BASED	9999-12-31	2124	9999-12-31	2013-05-08	6366
2/7-30	184.000000	1.200000	22.000000	0.000000	WATER BASED	9999-12-31	2394	9999-12-31	2013-05-08	6367
2/7-30	469.000000	1.200000	8.000000	0.000000	WATER BASED	9999-12-31	2394	9999-12-31	2013-05-08	6368
2/7-30	1462.000000	1.490000	35.000000	0.000000	WATER BASED	9999-12-31	2394	9999-12-31	2013-05-08	6369
2/7-30	1534.000000	1.490000	33.000000	0.000000	WATER BASED	9999-12-31	2394	9999-12-31	2013-05-08	6370
2/7-30	2887.000000	1.740000	47.000000	0.000000	WATER BASED	9999-12-31	2394	9999-12-31	2013-05-08	6371
2/7-30	3079.000000	1.740000	15.000000	0.000000	WATER BASED	9999-12-31	2394	9999-12-31	2013-05-08	6372
2/7-30	3140.000000	1.580000	30.000000	0.000000	WATER BASED	9999-12-31	2394	9999-12-31	2013-05-08	6373
2/7-30	3232.000000	1.560000	35.000000	0.000000	WATER BASED	9999-12-31	2394	9999-12-31	2013-05-08	6374
2/7-30	3478.000000	1.560000	37.000000	0.000000	WATER BASED	9999-12-31	2394	9999-12-31	2013-05-08	6375
2/7-31	134.000000	1.030000	12.000000	0.000000	BENTONITE	9999-12-31	3573	9999-12-31	2013-05-08	6376
2/7-31	227.000000	1.260000	15.000000	0.000000	BENTONITE	9999-12-31	3573	9999-12-31	2013-05-08	6377
2/7-31	253.000000	1.140000	6.000000	0.000000	BENTONITE	9999-12-31	3573	9999-12-31	2013-05-08	6378
2/7-31	584.000000	1.130000	8.000000	0.000000	BENTONITE	9999-12-31	3573	9999-12-31	2013-05-08	6379
2/7-31	649.000000	1.430000	29.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6380
2/7-31	1006.000000	1.430000	23.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6381
2/7-31	1574.000000	1.430000	21.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6382
2/7-31	1798.000000	1.560000	25.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6383
2/7-31	1947.000000	1.670000	22.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6384
2/7-31	1951.000000	1.560000	24.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6385
2/7-31	2052.000000	1.670000	24.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6386
2/7-31	2350.000000	1.670000	25.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6387
2/7-31	2934.000000	1.700000	24.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6388
2/7-31	3186.000000	1.670000	20.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6389
2/7-31	3207.000000	1.670000	22.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6390
2/7-31	3537.000000	1.670000	22.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6391
2/7-31	3827.000000	1.670000	24.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6392
2/7-31	3895.000000	1.670000	25.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6393
2/7-31	3900.000000	1.670000	25.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6394
2/7-31	3995.000000	2.160000	90.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6395
2/7-31	4020.000000	2.160000	91.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6396
2/7-31	4045.000000	1.670000	28.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6397
2/7-31	4165.000000	1.710000	29.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6398
2/7-31	4167.000000	2.120000	46.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6399
2/7-31	4225.000000	1.800000	34.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6400
2/7-31	4233.000000	1.800000	38.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6401
2/7-31	4243.000000	1.820000	32.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6402
2/7-31	4245.000000	1.800000	33.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6403
2/7-31	4251.000000	1.800000	27.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6404
2/7-31	4259.000000	1.800000	32.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6405
2/7-31	4369.000000	2.160000	82.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6406
2/7-31	4372.000000	2.000000	38.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6407
2/7-31	4382.000000	2.120000	46.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6408
2/7-31	4407.000000	2.120000	42.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6409
2/7-31	4449.000000	2.120000	44.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6410
2/7-31	4477.000000	2.120000	43.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6411
2/7-31	4510.000000	2.120000	47.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6412
2/7-31	4539.000000	2.140000	45.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6413
2/7-31	4542.000000	2.160000	49.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6414
2/7-31	4546.000000	2.160000	49.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6415
2/7-31	4599.000000	2.160000	48.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6416
2/7-31	4671.000000	2.160000	50.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6417
2/7-31	4686.000000	2.160000	49.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6418
2/7-31	4705.000000	2.060000	49.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6419
2/7-31	4722.000000	2.140000	51.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6420
2/7-31	4755.000000	2.160000	50.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6421
2/7-31	4756.000000	2.160000	52.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6422
2/7-31	4759.000000	2.160000	57.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6423
2/7-31	4764.000000	2.160000	51.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6424
2/7-31	4775.000000	2.060000	43.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6425
2/7-31	4781.000000	2.060000	42.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6426
2/7-31	4795.000000	2.100000	47.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6427
2/7-31	4798.000000	2.060000	41.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6428
2/7-31	4811.000000	2.060000	45.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6429
2/7-31	4839.000000	2.060000	48.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6430
2/7-31	4848.000000	2.060000	48.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6431
2/7-31	4851.000000	2.060000	49.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6432
2/7-31	4925.000000	2.060000	52.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6433
2/7-31	4968.000000	1.700000	0.000000	0.000000	BRINE	9999-12-31	3573	9999-12-31	2013-05-08	6434
2/7-31	4968.000000	2.160000	81.000000	0.000000	VERSAPORT	9999-12-31	3573	9999-12-31	2013-05-08	6435
2/7-4	132.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	263	9999-12-31	2013-05-08	6436
2/7-4	487.000000	1.310000	0.000000	0.000000	waterbased	9999-12-31	263	9999-12-31	2013-05-08	6437
2/7-4	1219.000000	1.490000	45.000000	0.000000	waterbased	9999-12-31	263	9999-12-31	2013-05-08	6438
2/7-4	2438.000000	1.710000	47.000000	0.000000	waterbased	9999-12-31	263	9999-12-31	2013-05-08	6439
2/7-4	3353.000000	1.710000	48.000000	0.000000	waterbased	9999-12-31	263	9999-12-31	2013-05-08	6440
2/7-5	121.000000	1.080000	0.000000	0.000000	seawater	9999-12-31	264	9999-12-31	2013-05-08	6441
2/7-5	488.000000	1.310000	0.000000	0.000000	seawater	9999-12-31	264	9999-12-31	2013-05-08	6442
2/7-5	1219.000000	1.430000	45.000000	0.000000	waterbased	9999-12-31	264	9999-12-31	2013-05-08	6443
2/7-5	2438.000000	1.710000	0.000000	0.000000	waterbased	9999-12-31	264	9999-12-31	2013-05-08	6444
2/7-5	3353.000000	1.730000	50.000000	0.000000	waterbased	9999-12-31	264	9999-12-31	2013-05-08	6445
2/7-8	174.000000	1.100000	0.000000	0.000000	waterbased	9999-12-31	267	9999-12-31	2013-05-08	6446
2/7-8	487.000000	1.070000	55.000000	0.000000	waterbased	9999-12-31	267	9999-12-31	2013-05-08	6447
2/7-8	548.000000	1.370000	50.000000	0.000000	waterbased	9999-12-31	267	9999-12-31	2013-05-08	6448
2/7-8	762.000000	1.430000	55.000000	0.000000	waterbased	9999-12-31	267	9999-12-31	2013-05-08	6449
2/7-8	1066.000000	1.490000	55.000000	0.000000	waterbased	9999-12-31	267	9999-12-31	2013-05-08	6450
2/7-8	1219.000000	1.370000	55.000000	0.000000	waterbased	9999-12-31	267	9999-12-31	2013-05-08	6451
2/7-8	2900.000000	1.720000	51.000000	0.000000	waterbased	9999-12-31	267	9999-12-31	2013-05-08	6452
2/7-8	3318.000000	1.710000	51.000000	0.000000	waterbased	9999-12-31	267	9999-12-31	2013-05-08	6453
2/7-9	2523.000000	1.850000	0.000000	0.000000	waterbased	9999-12-31	268	9999-12-31	2013-05-08	6454
2/7-9	2892.000000	1.720000	0.000000	0.000000	waterbased	9999-12-31	268	9999-12-31	2013-05-08	6455
2/7-9	2941.000000	1.720000	0.000000	0.000000	waterbased	9999-12-31	268	9999-12-31	2013-05-08	6456
2/7-9	3353.000000	1.710000	0.000000	0.000000	waterbased	9999-12-31	268	9999-12-31	2013-05-08	6457
2/7-9	3401.000000	1.890000	0.000000	0.000000	waterbased	9999-12-31	268	9999-12-31	2013-05-08	6458
2/8-1	338.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	124	9999-12-31	2013-05-08	6459
2/8-1	609.000000	1.110000	50.000000	0.000000	waterbased	9999-12-31	124	9999-12-31	2013-05-08	6460
2/8-1	1524.000000	1.200000	55.000000	0.000000	waterbased	9999-12-31	124	9999-12-31	2013-05-08	6461
2/8-1	2400.000000	1.220000	55.000000	0.000000	waterbased	9999-12-31	124	9999-12-31	2013-05-08	6462
2/8-10	0.000000	1.860000	0.000000	0.000000	water-based	9999-12-31	280	9999-12-31	2013-05-08	6463
2/8-10	159.000000	1.040000	0.000000	0.000000	spud-mud	9999-12-31	280	9999-12-31	2013-05-08	6464
2/8-10	375.000000	1.250000	0.000000	0.000000	spud-mud	9999-12-31	280	9999-12-31	2013-05-08	6465
2/8-10	1286.000000	1.240000	0.000000	0.000000	spud-mud	9999-12-31	280	9999-12-31	2013-05-08	6466
2/8-10	1660.000000	1.790000	0.000000	0.000000	water-based	9999-12-31	280	9999-12-31	2013-05-08	6467
2/8-10	2477.000000	1.890000	0.000000	0.000000	water-based	9999-12-31	280	9999-12-31	2013-05-08	6468
2/8-11	165.000000	1.400000	0.000000	0.000000	bento/water	9999-12-31	1224	9999-12-31	2013-05-08	6469
2/8-11	381.000000	1.060000	0.000000	0.000000	seawater	9999-12-31	1224	9999-12-31	2013-05-08	6470
2/8-11	1294.000000	1.340000	0.000000	0.000000	seawater	9999-12-31	1224	9999-12-31	2013-05-08	6471
2/8-11	2477.000000	1.890000	0.000000	0.000000	seawater	9999-12-31	1224	9999-12-31	2013-05-08	6472
2/8-12 S	110.000000	1.030000	0.000000	0.000000	WATER BASED	1989-04-27	1351	9999-12-31	2013-05-08	6473
2/8-12 S	110.000000	1.030000	0.000000	0.000000	WATER BASED	1989-04-27	1351	9999-12-31	2013-05-08	6474
2/8-12 S	110.000000	1.030000	0.000000	0.000000	WATER BASED	1989-04-26	1351	9999-12-31	2013-05-08	6475
2/8-12 S	185.000000	1.060000	18.000000	35.900000	WATER BASED	1988-11-11	1351	9999-12-31	2013-05-08	6476
2/8-12 S	185.000000	1.060000	13.000000	25.400000	WATER BASED	1988-11-11	1351	9999-12-31	2013-05-08	6477
2/8-12 S	339.000000	1.050000	14.000000	33.100000	WATER BASED	1988-11-15	1351	9999-12-31	2013-05-08	6478
2/8-12 S	835.000000	1.060000	18.000000	45.500000	WATER BASED	1988-11-15	1351	9999-12-31	2013-05-08	6479
2/8-12 S	935.000000	1.380000	10.000000	14.400000	WATER BASED	1988-11-15	1351	9999-12-31	2013-05-08	6480
2/8-12 S	935.000000	1.380000	18.000000	8.100000	WATER BASED	1988-11-16	1351	9999-12-31	2013-05-08	6481
2/8-12 S	935.000000	1.380000	12.000000	6.700000	WATER BASED	1988-11-17	1351	9999-12-31	2013-05-08	6482
2/8-12 S	935.000000	1.380000	17.000000	6.700000	WATER BASED	1988-11-17	1351	9999-12-31	2013-05-08	6483
2/8-12 S	938.000000	1.380000	18.000000	6.700000	WATER BASED	1988-11-21	1351	9999-12-31	2013-05-08	6484
2/8-12 S	1155.000000	1.380000	20.000000	7.700000	WATER BASED	1988-11-22	1351	9999-12-31	2013-05-08	6485
2/8-12 S	1373.000000	1.500000	30.000000	8.600000	WATER BASED	1988-11-22	1351	9999-12-31	2013-05-08	6486
2/8-12 S	1804.000000	1.560000	30.000000	7.200000	WATER BASED	1988-11-22	1351	9999-12-31	2013-05-08	6487
2/8-12 S	2064.000000	1.600000	31.000000	10.500000	WATER BASED	1988-11-22	1351	9999-12-31	2013-05-08	6488
2/8-12 S	2296.000000	1.610000	25.000000	7.200000	WATER BASED	1988-11-29	1351	9999-12-31	2013-05-08	6489
2/8-12 S	2298.000000	1.620000	26.000000	9.600000	WATER BASED	1988-11-29	1351	9999-12-31	2013-05-08	6490
2/8-12 S	2298.000000	1.620000	22.000000	9.100000	WATER BASED	1988-11-29	1351	9999-12-31	2013-05-08	6491
2/8-12 S	2298.000000	1.610000	30.000000	8.600000	WATER BASED	1988-11-29	1351	9999-12-31	2013-05-08	6492
2/8-12 S	2681.000000	1.620000	36.000000	9.100000	WATER BASED	1988-11-29	1351	9999-12-31	2013-05-08	6493
2/8-12 S	2748.000000	1.620000	21.000000	7.700000	WATER BASED	1988-11-29	1351	9999-12-31	2013-05-08	6494
2/8-12 S	2756.000000	1.620000	20.000000	7.700000	WATER BASED	1988-12-01	1351	9999-12-31	2013-05-08	6495
2/8-12 S	2943.000000	1.620000	27.000000	8.100000	WATER BASED	1988-12-01	1351	9999-12-31	2013-05-08	6496
2/8-12 S	2992.000000	1.620000	35.000000	9.600000	WATER BASED	1988-12-01	1351	9999-12-31	2013-05-08	6497
2/8-12 S	3025.000000	1.620000	30.000000	8.600000	WATER BASED	1988-12-02	1351	9999-12-31	2013-05-08	6498
2/8-12 S	3191.000000	1.560000	26.000000	7.200000	WATER BASED	1988-12-13	1351	9999-12-31	2013-05-08	6499
2/8-12 S	3191.000000	1.530000	22.000000	4.800000	WATER BASED	1988-12-13	1351	9999-12-31	2013-05-08	6500
2/8-12 S	3191.000000	1.570000	36.000000	8.600000	WATER BASED	1988-12-13	1351	9999-12-31	2013-05-08	6501
2/8-12 S	3191.000000	1.620000	28.000000	7.700000	WATER BASED	1988-12-06	1351	9999-12-31	2013-05-08	6502
2/8-12 S	3191.000000	1.620000	28.000000	7.200000	WATER BASED	1988-12-06	1351	9999-12-31	2013-05-08	6503
2/8-12 S	3191.000000	1.510000	16.000000	4.800000	WATER BASED	1988-12-06	1351	9999-12-31	2013-05-08	6504
2/8-12 S	3191.000000	1.510000	16.000000	5.300000	WATER BASED	1988-12-07	1351	9999-12-31	2013-05-08	6505
2/8-12 S	3191.000000	1.510000	16.000000	4.800000	WATER BASED	1988-12-07	1351	9999-12-31	2013-05-08	6506
2/8-12 S	3191.000000	1.510000	18.000000	4.300000	WATER BASED	1988-12-12	1351	9999-12-31	2013-05-08	6507
2/8-12 S	3191.000000	1.570000	35.000000	8.600000	WATER BASED	1988-12-14	1351	9999-12-31	2013-05-08	6508
2/8-12 S	3191.000000	1.560000	32.000000	5.800000	WATER BASED	1988-12-14	1351	9999-12-31	2013-05-08	6509
2/8-12 S	3191.000000	1.560000	34.000000	9.100000	WATER BASED	1988-12-15	1351	9999-12-31	2013-05-08	6510
2/8-12 S	3191.000000	1.560000	34.000000	9.100000	WATER BASED	1988-12-16	1351	9999-12-31	2013-05-08	6511
2/8-12 S	3191.000000	1.580000	35.000000	9.100000	WATER BASED	1988-12-19	1351	9999-12-31	2013-05-08	6512
2/8-12 S	3191.000000	1.510000	21.000000	4.800000	WATER BASED	1988-12-12	1351	9999-12-31	2013-05-08	6513
2/8-12 S	3197.000000	1.580000	30.000000	6.700000	WATER BASED	1988-12-19	1351	9999-12-31	2013-05-08	6514
2/8-12 S	3197.000000	1.580000	22.000000	5.700000	WATER BASED	1988-12-19	1351	9999-12-31	2013-05-08	6515
2/8-12 S	3257.000000	1.590000	25.000000	5.700000	WATER BASED	1988-12-20	1351	9999-12-31	2013-05-08	6516
2/8-12 S	3268.000000	1.610000	23.000000	5.700000	WATER BASED	1988-12-22	1351	9999-12-31	2013-05-08	6517
2/8-12 S	3268.000000	1.610000	21.000000	5.300000	WATER BASED	1988-12-21	1351	9999-12-31	2013-05-08	6518
2/8-12 S	3312.000000	1.590000	29.000000	6.700000	WATER BASED	1988-12-27	1351	9999-12-31	2013-05-08	6519
2/8-12 S	3344.000000	1.590000	29.000000	6.200000	WATER BASED	1988-12-27	1351	9999-12-31	2013-05-08	6520
2/8-12 S	3344.000000	1.590000	30.000000	11.500000	WATER BASED	1988-12-28	1351	9999-12-31	2013-05-08	6521
2/8-12 S	3360.000000	1.590000	26.000000	4.800000	WATER BASED	1988-12-28	1351	9999-12-31	2013-05-08	6522
2/8-12 S	3360.000000	1.590000	28.000000	5.300000	WATER BASED	1988-12-30	1351	9999-12-31	2013-05-08	6523
2/8-12 S	3360.000000	1.590000	30.000000	7.200000	WATER BASED	1989-01-04	1351	9999-12-31	2013-05-08	6524
2/8-12 S	3360.000000	1.590000	34.000000	8.100000	WATER BASED	1989-01-05	1351	9999-12-31	2013-05-08	6525
2/8-12 S	3360.000000	1.590000	27.000000	4.800000	WATER BASED	1988-12-29	1351	9999-12-31	2013-05-08	6526
2/8-12 S	3360.000000	1.590000	27.000000	5.300000	WATER BASED	1989-01-10	1351	9999-12-31	2013-05-08	6527
2/8-12 S	3360.000000	1.590000	34.000000	8.200000	WATER BASED	1989-01-10	1351	9999-12-31	2013-05-08	6528
2/8-12 S	3360.000000	1.590000	30.000000	5.700000	WATER BASED	1989-01-10	1351	9999-12-31	2013-05-08	6529
2/8-12 S	3360.000000	1.590000	31.000000	5.300000	WATER BASED	1989-01-10	1351	9999-12-31	2013-05-08	6530
2/8-12 S	3360.000000	1.590000	30.000000	6.700000	WATER BASED	1989-01-03	1351	9999-12-31	2013-05-08	6531
2/8-12 S	3360.000000	1.590000	33.000000	7.200000	WATER BASED	1989-01-03	1351	9999-12-31	2013-05-08	6532
2/8-12 S	3360.000000	1.590000	33.000000	6.700000	WATER BASED	1989-01-06	1351	9999-12-31	2013-05-08	6533
2/8-12 S	3360.000000	1.590000	29.000000	5.300000	WATER BASED	1989-01-11	1351	9999-12-31	2013-05-08	6534
2/8-12 S	3360.000000	1.590000	28.000000	4.800000	WATER BASED	1989-01-12	1351	9999-12-31	2013-05-08	6535
2/8-12 S	3360.000000	1.590000	27.000000	5.300000	WATER BASED	1989-01-13	1351	9999-12-31	2013-05-08	6536
2/8-12 S	3360.000000	1.590000	27.000000	5.300000	WATER BASED	1989-01-17	1351	9999-12-31	2013-05-08	6537
2/8-12 S	3360.000000	1.700000	30.000000	5.300000	WATER BASED	1989-01-24	1351	9999-12-31	2013-05-08	6538
2/8-12 S	3360.000000	1.590000	25.000000	5.700000	WATER BASED	1988-12-28	1351	9999-12-31	2013-05-08	6539
2/8-12 S	3360.000000	1.590000	31.000000	6.700000	WATER BASED	1989-01-03	1351	9999-12-31	2013-05-08	6540
2/8-12 S	3364.000000	1.680000	30.000000	5.300000	WATER BASED	1989-01-18	1351	9999-12-31	2013-05-08	6541
2/8-12 S	3367.000000	1.710000	39.000000	8.100000	WATER BASED	1989-01-25	1351	9999-12-31	2013-05-08	6542
2/8-12 S	3371.000000	1.700000	30.000000	5.700000	WATER BASED	1989-01-19	1351	9999-12-31	2013-05-08	6543
2/8-12 S	3462.000000	1.700000	40.000000	6.700000	WATER BASED	1989-01-24	1351	9999-12-31	2013-05-08	6544
2/8-12 S	3462.000000	1.700000	40.000000	7.200000	WATER BASED	1989-01-24	1351	9999-12-31	2013-05-08	6545
2/8-12 S	3511.000000	1.700000	39.000000	6.500000	WATER BASED	1989-01-24	1351	9999-12-31	2013-05-08	6546
2/8-12 S	3553.000000	1.700000	38.000000	7.700000	WATER BASED	1989-01-24	1351	9999-12-31	2013-05-08	6547
2/8-12 S	3582.000000	1.860000	40.000000	8.100000	WATER BASED	1989-01-26	1351	9999-12-31	2013-05-08	6548
2/8-12 S	3584.000000	1.860000	40.000000	8.100000	WATER BASED	1989-01-30	1351	9999-12-31	2013-05-08	6549
2/8-12 S	3611.000000	1.860000	33.000000	5.700000	WATER BASED	1989-01-30	1351	9999-12-31	2013-05-08	6550
2/8-12 S	3645.000000	1.860000	32.000000	5.700000	WATER BASED	1989-01-30	1351	9999-12-31	2013-05-08	6551
2/8-12 S	3645.000000	1.860000	32.000000	6.200000	WATER BASED	1989-01-30	1351	9999-12-31	2013-05-08	6552
2/8-12 S	3690.000000	1.860000	32.000000	4.800000	WATER BASED	1989-01-31	1351	9999-12-31	2013-05-08	6553
2/8-12 S	3700.000000	1.860000	32.000000	5.300000	WATER BASED	1989-02-01	1351	9999-12-31	2013-05-08	6554
2/8-12 S	3752.000000	1.860000	28.000000	4.800000	WATER BASED	1989-02-02	1351	9999-12-31	2013-05-08	6555
2/8-12 S	3788.000000	1.950000	28.000000	5.300000	WATER BASED	1989-02-06	1351	9999-12-31	2013-05-08	6556
2/8-12 S	3788.000000	1.920000	29.000000	5.300000	WATER BASED	1989-02-03	1351	9999-12-31	2013-05-08	6557
2/8-12 S	3835.000000	1.920000	30.000000	1.400000	WATER BASED	1989-02-06	1351	9999-12-31	2013-05-08	6558
2/8-12 S	3893.000000	1.920000	28.000000	5.800000	WATER BASED	1989-02-08	1351	9999-12-31	2013-05-08	6559
2/8-12 S	3962.000000	1.920000	27.000000	5.800000	WATER BASED	1989-02-08	1351	9999-12-31	2013-05-08	6560
2/8-12 S	4019.000000	1.920000	24.000000	6.200000	WATER BASED	1989-02-09	1351	9999-12-31	2013-05-08	6561
2/8-12 S	4024.000000	1.920000	24.000000	3.500000	WATER BASED	1989-03-01	1351	9999-12-31	2013-05-08	6562
2/8-12 S	4025.000000	1.920000	25.000000	4.800000	WATER BASED	1989-02-28	1351	9999-12-31	2013-05-08	6563
2/8-12 S	4025.000000	1.890000	22.000000	4.300000	WATER BASED	1989-02-13	1351	9999-12-31	2013-05-08	6564
2/8-12 S	4025.000000	1.920000	25.000000	5.300000	WATER BASED	1989-02-10	1351	9999-12-31	2013-05-08	6565
2/8-12 S	4025.000000	1.920000	20.000000	3.800000	WATER BASED	1989-02-13	1351	9999-12-31	2013-05-08	6566
2/8-12 S	4025.000000	1.890000	23.000000	4.800000	WATER BASED	1989-02-13	1351	9999-12-31	2013-05-08	6567
2/8-12 S	4025.000000	1.920000	24.000000	5.800000	WATER BASED	1989-02-21	1351	9999-12-31	2013-05-08	6568
2/8-12 S	4025.000000	1.920000	26.000000	3.800000	WATER BASED	1989-02-21	1351	9999-12-31	2013-05-08	6569
2/8-12 S	4025.000000	1.920000	25.000000	4.300000	WATER BASED	1989-02-17	1351	9999-12-31	2013-05-08	6570
2/8-12 S	4025.000000	1.920000	24.000000	5.800000	WATER BASED	1989-02-17	1351	9999-12-31	2013-05-08	6571
2/8-12 S	4025.000000	1.920000	23.000000	4.800000	WATER BASED	1989-02-14	1351	9999-12-31	2013-05-08	6572
2/8-12 S	4025.000000	1.920000	24.000000	4.800000	WATER BASED	1989-02-15	1351	9999-12-31	2013-05-08	6573
2/8-12 S	4025.000000	1.920000	25.000000	4.300000	WATER BASED	1989-02-28	1351	9999-12-31	2013-05-08	6574
2/8-12 S	4025.000000	1.920000	25.000000	4.500000	WATER BASED	1989-02-28	1351	9999-12-31	2013-05-08	6575
2/8-12 S	4025.000000	1.920000	23.000000	4.300000	WATER BASED	1989-02-28	1351	9999-12-31	2013-05-08	6576
2/8-12 S	4025.000000	1.920000	26.000000	4.800000	WATER BASED	1989-02-23	1351	9999-12-31	2013-05-08	6577
2/8-12 S	4025.000000	1.920000	26.000000	4.800000	WATER BASED	1989-02-22	1351	9999-12-31	2013-05-08	6578
2/8-12 S	4027.000000	1.920000	27.000000	2.900000	WATER BASED	1989-03-02	1351	9999-12-31	2013-05-08	6579
2/8-12 S	4037.000000	1.920000	28.000000	2.900000	WATER BASED	1989-03-03	1351	9999-12-31	2013-05-08	6580
2/8-12 S	4113.000000	1.920000	31.000000	4.800000	WATER BASED	1989-03-07	1351	9999-12-31	2013-05-08	6581
2/8-12 S	4176.000000	1.920000	34.000000	4.800000	WATER BASED	1989-03-07	1351	9999-12-31	2013-05-08	6582
2/8-12 S	4278.000000	1.920000	37.000000	5.800000	WATER BASED	1989-03-07	1351	9999-12-31	2013-05-08	6583
2/8-12 S	4347.000000	1.980000	35.000000	4.800000	WATER BASED	1989-03-07	1351	9999-12-31	2013-05-08	6584
2/8-12 S	4438.000000	2.000000	36.000000	4.800000	WATER BASED	1989-03-08	1351	9999-12-31	2013-05-08	6585
2/8-12 S	4547.000000	2.060000	38.000000	5.300000	WATER BASED	1989-03-10	1351	9999-12-31	2013-05-08	6586
2/8-12 S	4610.000000	2.090000	39.000000	5.800000	WATER BASED	1989-03-13	1351	9999-12-31	2013-05-08	6587
2/8-12 S	4706.000000	2.090000	39.000000	6.700000	WATER BASED	1989-03-13	1351	9999-12-31	2013-05-08	6588
2/8-12 S	4725.000000	2.090000	40.000000	6.200000	WATER BASED	1989-03-13	1351	9999-12-31	2013-05-08	6589
2/8-12 S	4744.000000	2.090000	33.000000	3.800000	WATER BASED	1989-03-20	1351	9999-12-31	2013-05-08	6590
2/8-12 S	4744.000000	2.130000	40.000000	6.200000	WATER BASED	1989-03-14	1351	9999-12-31	2013-05-08	6591
2/8-12 S	4744.000000	2.140000	35.000000	3.800000	WATER BASED	1989-03-17	1351	9999-12-31	2013-05-08	6592
2/8-12 S	4744.000000	2.110000	36.000000	3.800000	WATER BASED	1989-03-20	1351	9999-12-31	2013-05-08	6593
2/8-12 S	4744.000000	2.120000	38.000000	5.800000	WATER BASED	1989-03-15	1351	9999-12-31	2013-05-08	6594
2/8-12 S	4744.000000	2.130000	38.000000	5.300000	WATER BASED	1989-03-16	1351	9999-12-31	2013-05-08	6595
2/8-12 S	4763.000000	2.090000	40.000000	5.800000	WATER BASED	1989-03-20	1351	9999-12-31	2013-05-08	6596
2/8-12 S	4763.000000	2.090000	37.000000	4.300000	WATER BASED	1989-03-22	1351	9999-12-31	2013-05-08	6597
2/8-12 S	4763.000000	2.090000	33.000000	3.100000	WATER BASED	1989-03-28	1351	9999-12-31	2013-05-08	6598
2/8-12 S	4763.000000	2.090000	37.000000	4.300000	WATER BASED	1989-03-28	1351	9999-12-31	2013-05-08	6599
2/8-12 S	4763.000000	2.100000	36.000000	4.300000	WATER BASED	1989-03-21	1351	9999-12-31	2013-05-08	6600
2/8-12 S	4778.000000	2.090000	32.000000	3.100000	WATER BASED	1989-03-28	1351	9999-12-31	2013-05-08	6601
2/8-12 S	4847.000000	2.090000	35.000000	4.300000	WATER BASED	1989-03-28	1351	9999-12-31	2013-05-08	6602
2/8-12 S	4875.000000	2.090000	34.000000	3.400000	WATER BASED	1989-03-28	1351	9999-12-31	2013-05-08	6603
2/8-12 S	4942.000000	2.090000	37.000000	3.800000	WATER BASED	1989-03-29	1351	9999-12-31	2013-05-08	6604
2/8-12 S	4947.000000	2.090000	37.000000	3.800000	WATER BASED	1989-03-30	1351	9999-12-31	2013-05-08	6605
2/8-12 S	5000.000000	2.090000	25.000000	2.400000	WATER BASED	1989-04-12	1351	9999-12-31	2013-05-08	6606
2/8-12 S	5000.000000	2.090000	25.000000	3.400000	WATER BASED	1989-04-07	1351	9999-12-31	2013-05-08	6607
2/8-12 S	5000.000000	2.090000	25.000000	2.400000	WATER BASED	1989-04-10	1351	9999-12-31	2013-05-08	6608
2/8-12 S	5000.000000	2.090000	24.000000	2.400000	WATER BASED	1989-04-10	1351	9999-12-31	2013-05-08	6609
2/8-12 S	5000.000000	2.090000	24.000000	2.400000	WATER BASED	1989-04-06	1351	9999-12-31	2013-05-08	6610
2/8-12 S	5000.000000	2.090000	23.000000	2.900000	WATER BASED	1989-04-05	1351	9999-12-31	2013-05-08	6611
2/8-12 S	5000.000000	2.090000	30.000000	2.900000	WATER BASED	1989-04-05	1351	9999-12-31	2013-05-08	6612
2/8-12 S	5000.000000	2.090000	30.000000	3.800000	WATER BASED	1989-04-04	1351	9999-12-31	2013-05-08	6613
2/8-12 S	5000.000000	2.090000	26.000000	3.800000	WATER BASED	1989-04-10	1351	9999-12-31	2013-05-08	6614
2/8-12 S	5000.000000	2.090000	30.000000	3.800000	WATER BASED	1989-03-31	1351	9999-12-31	2013-05-08	6615
2/8-12 S	5000.000000	2.090000	30.000000	3.800000	WATER BASED	1989-04-04	1351	9999-12-31	2013-05-08	6616
2/8-12 S	5000.000000	2.090000	30.000000	3.900000	WATER BASED	1989-04-04	1351	9999-12-31	2013-05-08	6617
2/8-12 S	5007.000000	2.090000	24.000000	2.400000	WATER BASED	1989-04-12	1351	9999-12-31	2013-05-08	6618
2/8-12 S	5030.000000	2.090000	26.000000	1.900000	WATER BASED	1989-04-13	1351	9999-12-31	2013-05-08	6619
2/8-12 S	5095.000000	2.090000	26.000000	2.400000	WATER BASED	1989-04-14	1351	9999-12-31	2013-05-08	6620
2/8-12 S	5226.000000	2.090000	26.000000	3.400000	WATER BASED	1989-04-17	1351	9999-12-31	2013-05-08	6621
2/8-12 S	5226.000000	2.090000	26.000000	3.400000	WATER BASED	1989-04-17	1351	9999-12-31	2013-05-08	6622
2/8-12 S	5226.000000	2.090000	26.000000	3.400000	WATER BASED	1989-04-17	1351	9999-12-31	2013-05-08	6623
2/8-12 S	5228.000000	2.090000	26.000000	2.400000	WATER BASED	1989-04-17	1351	9999-12-31	2013-05-08	6624
2/8-12 S	5228.000000	2.090000	26.000000	2.400000	WATER BASED	1989-04-17	1351	9999-12-31	2013-05-08	6625
2/8-12 S	5228.000000	2.090000	26.000000	2.400000	WATER BASED	1989-04-17	1351	9999-12-31	2013-05-08	6626
2/8-12 S	5244.000000	2.090000	24.000000	1.900000	WATER BASED	1989-04-17	1351	9999-12-31	2013-05-08	6627
2/8-12 S	5244.000000	2.090000	24.000000	1.900000	WATER BASED	1989-04-17	1351	9999-12-31	2013-05-08	6628
2/8-12 S	5244.000000	2.090000	24.000000	1.900000	WATER BASED	1989-04-17	1351	9999-12-31	2013-05-08	6629
2/8-12 S	5285.000000	2.090000	24.000000	1.400000	WATER BASED	1989-04-18	1351	9999-12-31	2013-05-08	6630
2/8-12 S	5300.000000	2.090000	22.000000	0.900000	WATER BASED	1989-04-20	1351	9999-12-31	2013-05-08	6631
2/8-12 S	5300.000000	2.090000	21.000000	1.400000	WATER BASED	1989-04-21	1351	9999-12-31	2013-05-08	6632
2/8-12 S	5300.000000	2.090000	24.000000	1.400000	WATER BASED	1989-04-19	1351	9999-12-31	2013-05-08	6633
2/8-12 S	5300.000000	2.090000	24.000000	1.400000	WATER BASED	1989-04-26	1351	9999-12-31	2013-05-08	6634
2/8-12 S	5300.000000	2.090000	26.000000	1.900000	WATER BASED	1989-04-26	1351	9999-12-31	2013-05-08	6635
2/8-12 S	5300.000000	2.090000	25.000000	1.400000	WATER BASED	1989-04-26	1351	9999-12-31	2013-05-08	6636
2/8-13	157.000000	1.820000	33.000000	4.800000	WATER BASED	1989-05-30	1383	9999-12-31	2013-05-08	6637
2/8-13	276.000000	1.200000	0.000000	0.000000	WATER BASED	1989-05-03	1383	9999-12-31	2013-05-08	6638
2/8-13	323.000000	1.200000	0.000000	0.000000	WATER BASED	1989-05-03	1383	9999-12-31	2013-05-08	6639
2/8-13	323.000000	1.200000	0.000000	0.000000	WATER BASED	1989-05-03	1383	9999-12-31	2013-05-08	6640
2/8-13	332.000000	1.200000	0.000000	0.000000	WATER BASED	1989-05-03	1383	9999-12-31	2013-05-08	6641
2/8-13	380.000000	1.200000	0.000000	0.000000	WATER BASED	1989-05-03	1383	9999-12-31	2013-05-08	6642
2/8-13	380.000000	1.200000	0.000000	0.000000	WATER BASED	1989-05-08	1383	9999-12-31	2013-05-08	6643
2/8-13	380.000000	1.200000	7.000000	3.800000	WATER BASED	1989-05-08	1383	9999-12-31	2013-05-08	6644
2/8-13	610.000000	1.380000	16.000000	2.900000	WATER BASED	1989-05-16	1383	9999-12-31	2013-05-08	6645
2/8-13	642.000000	1.200000	14.000000	5.300000	WATER BASED	1989-05-09	1383	9999-12-31	2013-05-08	6646
2/8-13	828.000000	1.330000	15.000000	8.100000	WATER BASED	1989-05-10	1383	9999-12-31	2013-05-08	6647
2/8-13	828.000000	1.330000	11.000000	3.400000	WATER BASED	1989-05-11	1383	9999-12-31	2013-05-08	6648
2/8-13	828.000000	1.330000	13.000000	4.800000	WATER BASED	1989-05-09	1383	9999-12-31	2013-05-08	6649
2/8-13	828.000000	1.330000	12.000000	4.300000	WATER BASED	1989-05-09	1383	9999-12-31	2013-05-08	6650
2/8-13	828.000000	1.330000	11.000000	4.800000	WATER BASED	1989-05-09	1383	9999-12-31	2013-05-08	6651
2/8-13	832.000000	1.500000	17.000000	5.700000	WATER BASED	1989-05-16	1383	9999-12-31	2013-05-08	6652
2/8-13	906.000000	1.540000	17.000000	5.700000	WATER BASED	1989-05-18	1383	9999-12-31	2013-05-08	6653
2/8-13	993.000000	1.540000	22.000000	4.300000	WATER BASED	1989-05-18	1383	9999-12-31	2013-05-08	6654
2/8-13	1204.000000	1.560000	18.000000	9.100000	WATER BASED	1989-05-18	1383	9999-12-31	2013-05-08	6655
2/8-13	1204.000000	1.580000	21.000000	3.800000	WATER BASED	1989-05-19	1383	9999-12-31	2013-05-08	6656
2/8-13	1255.000000	1.610000	27.000000	7.700000	WATER BASED	1989-05-19	1383	9999-12-31	2013-05-08	6657
2/8-13	1255.000000	1.620000	24.000000	5.700000	WATER BASED	1989-05-19	1383	9999-12-31	2013-05-08	6658
2/8-13	1255.000000	1.610000	21.000000	5.700000	WATER BASED	1989-05-23	1383	9999-12-31	2013-05-08	6659
2/8-13	1255.000000	1.610000	23.000000	6.700000	WATER BASED	1989-05-23	1383	9999-12-31	2013-05-08	6660
2/8-13	1255.000000	1.610000	21.000000	5.700000	WATER BASED	1989-05-23	1383	9999-12-31	2013-05-08	6661
2/8-13	1257.000000	1.680000	18.000000	8.600000	WATER BASED	1989-05-23	1383	9999-12-31	2013-05-08	6662
2/8-13	1260.000000	1.800000	23.000000	2.400000	WATER BASED	1989-05-25	1383	9999-12-31	2013-05-08	6663
2/8-13	1457.000000	1.820000	33.000000	9.600000	WATER BASED	1989-05-25	1383	9999-12-31	2013-05-08	6664
2/8-13	1457.000000	1.820000	34.000000	9.600000	WATER BASED	1989-05-26	1383	9999-12-31	2013-05-08	6665
2/8-13	1457.000000	1.850000	34.000000	5.300000	WATER BASED	1989-05-30	1383	9999-12-31	2013-05-08	6666
2/8-13	1524.000000	1.890000	31.000000	6.200000	WATER BASED	1989-05-30	1383	9999-12-31	2013-05-08	6667
2/8-13	1682.000000	1.890000	34.000000	8.600000	WATER BASED	1989-05-30	1383	9999-12-31	2013-05-08	6668
2/8-13	1780.000000	1.870000	27.000000	3.800000	WATER BASED	1989-05-31	1383	9999-12-31	2013-05-08	6669
2/8-13	1783.000000	1.880000	36.000000	7.200000	WATER BASED	1989-06-08	1383	9999-12-31	2013-05-08	6670
2/8-13	1783.000000	1.870000	37.000000	8.100000	WATER BASED	1989-06-13	1383	9999-12-31	2013-05-08	6671
2/8-13	1783.000000	1.870000	37.000000	8.100000	WATER BASED	1989-06-13	1383	9999-12-31	2013-05-08	6672
2/8-13	1783.000000	1.680000	21.000000	3.300000	WATER BASED	1989-06-13	1383	9999-12-31	2013-05-08	6673
2/8-13	1783.000000	1.880000	32.000000	7.200000	WATER BASED	1989-06-09	1383	9999-12-31	2013-05-08	6674
2/8-13	1783.000000	1.880000	39.000000	9.100000	WATER BASED	1989-06-07	1383	9999-12-31	2013-05-08	6675
2/8-13	1783.000000	1.860000	33.000000	6.700000	WATER BASED	1989-06-06	1383	9999-12-31	2013-05-08	6676
2/8-13	1783.000000	1.850000	27.000000	2.900000	WATER BASED	1989-06-02	1383	9999-12-31	2013-05-08	6677
2/8-13	1783.000000	1.850000	24.000000	2.900000	WATER BASED	1989-06-05	1383	9999-12-31	2013-05-08	6678
2/8-13	1783.000000	1.870000	22.000000	2.900000	WATER BASED	1989-06-05	1383	9999-12-31	2013-05-08	6679
2/8-13	1783.000000	1.870000	27.000000	3.800000	WATER BASED	1989-06-05	1383	9999-12-31	2013-05-08	6680
2/8-13	1783.000000	1.870000	28.000000	4.800000	WATER BASED	1989-06-01	1383	9999-12-31	2013-05-08	6681
2/8-13	1790.000000	1.780000	34.000000	3.800000	WATER BASED	1989-06-14	1383	9999-12-31	2013-05-08	6682
2/8-13	1800.000000	1.780000	38.000000	4.800000	WATER BASED	1989-06-14	1383	9999-12-31	2013-05-08	6683
2/8-13	1817.000000	1.780000	39.000000	5.300000	WATER BASED	1989-06-15	1383	9999-12-31	2013-05-08	6684
2/8-13	1908.000000	1.780000	36.000000	5.300000	WATER BASED	1989-06-16	1383	9999-12-31	2013-05-08	6685
2/8-13	1940.000000	0.000000	0.000000	0.000000	WATER BASED	1989-06-21	1383	9999-12-31	2013-05-08	6686
2/8-13	1940.000000	0.000000	0.000000	0.000000	WATER BASED	1989-06-23	1383	9999-12-31	2013-05-08	6687
2/8-13	1940.000000	0.000000	0.000000	0.000000	WATER BASED	1989-06-23	1383	9999-12-31	2013-05-08	6688
2/8-13	1940.000000	1.780000	33.000000	6.300000	WATER BASED	1989-06-20	1383	9999-12-31	2013-05-08	6689
2/8-13	1940.000000	1.780000	38.000000	5.800000	WATER BASED	1989-06-19	1383	9999-12-31	2013-05-08	6690
2/8-13	1940.000000	1.780000	36.000000	5.800000	WATER BASED	1989-06-19	1383	9999-12-31	2013-05-08	6691
2/8-13	1940.000000	1.780000	33.000000	5.800000	WATER BASED	1989-06-19	1383	9999-12-31	2013-05-08	6692
2/8-14	190.000000	1.090000	8.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6693
2/8-14	280.000000	1.090000	42.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6694
2/8-14	330.000000	1.410000	0.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6695
2/8-14	545.000000	1.040000	45.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6696
2/8-14	687.000000	1.060000	40.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6697
2/8-14	959.000000	1.200000	10.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6698
2/8-14	1157.000000	1.220000	13.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6699
2/8-14	1288.000000	1.700000	16.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6700
2/8-14	1410.000000	1.490000	21.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6701
2/8-14	1639.000000	1.680000	24.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6702
2/8-14	1919.000000	1.700000	19.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6703
2/8-14	2035.000000	1.700000	18.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6704
2/8-14	2340.000000	1.700000	18.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6705
2/8-14	2469.000000	1.930000	10.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6706
2/8-14	2560.000000	1.730000	15.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6707
2/8-14	2759.000000	1.670000	14.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6708
2/8-14	2898.000000	1.700000	16.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6709
2/8-14	2984.000000	1.730000	16.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6710
2/8-14	3044.000000	1.730000	19.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6711
2/8-14	3170.000000	2.080000	21.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6712
2/8-14	3176.000000	1.860000	20.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6713
2/8-14	3181.000000	1.910000	18.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6714
2/8-14	3239.000000	1.930000	25.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6715
2/8-14	3248.000000	1.930000	24.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6716
2/8-14	3263.000000	1.930000	21.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6717
2/8-14	3324.000000	1.920000	23.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6718
2/8-14	3374.000000	1.920000	24.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6719
2/8-14	3403.000000	1.960000	21.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6720
2/8-14	3468.000000	1.920000	21.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6721
2/8-14	3554.000000	1.960000	24.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6722
2/8-14	3604.000000	1.960000	24.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6723
2/8-14	3650.000000	1.960000	25.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6724
2/8-14	3721.000000	1.960000	24.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6725
2/8-14	3729.000000	2.020000	22.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6726
2/8-14	3784.000000	2.020000	21.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6727
2/8-14	3810.000000	1.960000	26.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6728
2/8-14	3815.000000	2.020000	24.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6729
2/8-14	3851.000000	2.020000	26.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6730
2/8-14	3875.000000	1.980000	24.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6731
2/8-14	3882.000000	2.020000	26.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6732
2/8-14	3905.000000	1.980000	25.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6733
2/8-14	3906.000000	2.020000	26.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6734
2/8-14	3906.000000	2.020000	26.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6735
2/8-14	3911.000000	2.020000	25.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6736
2/8-14	3987.000000	1.980000	24.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6737
2/8-14	4026.000000	2.020000	25.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6738
2/8-14	4084.000000	1.980000	27.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6739
2/8-14	4134.000000	2.020000	24.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6740
2/8-14	4166.000000	1.980000	26.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6741
2/8-14	4180.000000	2.180000	21.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6742
2/8-14	4188.000000	2.020000	19.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6743
2/8-14	4202.000000	2.020000	20.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6744
2/8-14	4205.000000	2.020000	20.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6745
2/8-14	4249.000000	2.080000	20.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6746
2/8-14	4258.000000	1.980000	24.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6747
2/8-14	4270.000000	2.000000	22.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6748
2/8-14	4274.000000	2.020000	21.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6749
2/8-14	4314.000000	2.000000	20.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6750
2/8-14	4325.000000	2.120000	21.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6751
2/8-14	4326.000000	2.120000	22.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6752
2/8-14	4339.000000	2.160000	22.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6753
2/8-14	4350.000000	2.180000	16.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6754
2/8-14	4392.000000	2.160000	20.000000	0.000000	WATER BASED	9999-12-31	1552	9999-12-31	2013-05-08	6755
2/8-15	150.000000	1.260000	0.000000	0.000000	DUMMY	9999-12-31	2636	9999-12-31	2013-05-08	6756
2/8-15	253.000000	1.500000	0.000000	0.000000	DUMMY	9999-12-31	2636	9999-12-31	2013-05-08	6757
2/8-15	679.000000	1.500000	0.000000	0.000000	DUMMY	9999-12-31	2636	9999-12-31	2013-05-08	6758
2/8-15	1099.000000	1.500000	0.000000	0.000000	DUMMY	9999-12-31	2636	9999-12-31	2013-05-08	6759
2/8-15	1355.000000	1.670000	36.000000	0.000000	WATER BASED	9999-12-31	2636	9999-12-31	2013-05-08	6760
2/8-15	1762.000000	1.670000	35.000000	0.000000	WATER BASED	9999-12-31	2636	9999-12-31	2013-05-08	6761
2/8-15	2039.000000	1.020000	0.000000	0.000000	DUMMY	9999-12-31	2636	9999-12-31	2013-05-08	6762
2/8-15	2218.000000	1.670000	37.000000	0.000000	WATER BASED	9999-12-31	2636	9999-12-31	2013-05-08	6763
2/8-15	2300.000000	1.670000	38.000000	0.000000	WATER BASED	9999-12-31	2636	9999-12-31	2013-05-08	6764
2/8-15	2364.000000	1.700000	53.000000	0.000000	DUMMY	9999-12-31	2636	9999-12-31	2013-05-08	6765
2/8-15	2732.000000	1.700000	64.000000	0.000000	OIL BASED	9999-12-31	2636	9999-12-31	2013-05-08	6766
2/8-15	3183.000000	1.710000	48.000000	0.000000	OIL BASED	9999-12-31	2636	9999-12-31	2013-05-08	6767
2/8-15	3223.000000	1.710000	47.000000	0.000000	OIL BASED	9999-12-31	2636	9999-12-31	2013-05-08	6768
2/8-15	3246.000000	1.700000	49.000000	0.000000	OIL BASED	9999-12-31	2636	9999-12-31	2013-05-08	6769
2/8-15	3361.000000	1.710000	51.000000	0.000000	OIL BASED	9999-12-31	2636	9999-12-31	2013-05-08	6770
2/8-15	3386.000000	1.710000	41.000000	0.000000	OIL BASED	9999-12-31	2636	9999-12-31	2013-05-08	6771
2/8-15	3411.000000	1.710000	46.000000	0.000000	OIL BASED	9999-12-31	2636	9999-12-31	2013-05-08	6772
2/8-15	3750.000000	1.710000	43.000000	0.000000	OIL BASED	9999-12-31	2636	9999-12-31	2013-05-08	6773
2/8-16 S	369.000000	1.370000	28.000000	0.000000	OIL BASED	9999-12-31	3008	9999-12-31	2013-05-08	6774
2/8-16 S	600.000000	1.430000	39.000000	0.000000	OIL BASED	9999-12-31	3008	9999-12-31	2013-05-08	6775
2/8-16 S	1100.000000	1.430000	39.000000	0.000000	OIL BASED	9999-12-31	3008	9999-12-31	2013-05-08	6776
2/8-16 S	1429.000000	1.760000	23.000000	0.000000	OIL BASED	9999-12-31	3008	9999-12-31	2013-05-08	6777
2/8-16 S	1437.000000	1.430000	40.000000	0.000000	OIL BASED	9999-12-31	3008	9999-12-31	2013-05-08	6778
2/8-16 S	1927.000000	1.760000	22.000000	0.000000	OIL BASED	9999-12-31	3008	9999-12-31	2013-05-08	6779
2/8-16 S	2013.000000	1.760000	22.000000	0.000000	OIL BASED	9999-12-31	3008	9999-12-31	2013-05-08	6780
2/8-16 S	2964.000000	1.740000	22.000000	0.000000	OIL BASED	9999-12-31	3008	9999-12-31	2013-05-08	6781
2/8-16 S	3139.000000	1.760000	23.000000	0.000000	OIL BASED	9999-12-31	3008	9999-12-31	2013-05-08	6782
2/8-17 A	1460.000000	1.680000	41.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6783
2/8-17 A	1715.000000	1.720000	30.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6784
2/8-17 A	1857.000000	1.720000	30.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6785
2/8-17 A	1857.000000	1.720000	30.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6786
2/8-17 A	2186.000000	1.810000	40.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6787
2/8-17 A	2529.000000	1.810000	42.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6788
2/8-17 A	2756.000000	1.810000	40.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6789
2/8-17 A	2772.000000	1.720000	36.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6790
2/8-17 A	2838.000000	1.760000	41.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6791
2/8-17 A	2845.000000	1.680000	41.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6792
2/8-17 A	2935.000000	1.810000	43.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6793
2/8-17 A	2946.000000	1.810000	40.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6794
2/8-17 A	2977.000000	1.670000	35.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6795
2/8-17 A	3145.000000	1.670000	40.000000	0.000000	ANCO VERT	9999-12-31	3328	9999-12-31	2013-05-08	6796
2/8-17 S	817.000000	0.000000	21.000000	0.000000	SPUD MUD	9999-12-31	3210	9999-12-31	2013-05-08	6797
2/8-17 S	997.000000	0.000000	21.000000	0.000000	SPUD MUD	9999-12-31	3210	9999-12-31	2013-05-08	6798
2/8-17 S	1700.000000	1.670000	23.000000	0.000000	ANCO VERT	9999-12-31	3210	9999-12-31	2013-05-08	6799
2/8-17 S	1750.000000	1.870000	36.000000	0.000000	ANCO VERT	9999-12-31	3210	9999-12-31	2013-05-08	6800
2/8-17 S	1800.000000	1.870000	36.000000	0.000000	ANCO VERT	9999-12-31	3210	9999-12-31	2013-05-08	6801
2/8-17 S	1923.000000	0.000000	21.000000	0.000000	SPUD MUD	9999-12-31	3210	9999-12-31	2013-05-08	6802
2/8-17 S	2251.000000	0.000000	7.000000	0.000000	SPUD MUD	9999-12-31	3210	9999-12-31	2013-05-08	6803
2/8-17 S	2685.000000	1.910000	43.000000	0.000000	ANCO VERT	9999-12-31	3210	9999-12-31	2013-05-08	6804
2/8-17 S	2685.000000	1.880000	43.000000	0.000000	ANCO VERT	9999-12-31	3210	9999-12-31	2013-05-08	6805
2/8-2	132.000000	1.180000	0.000000	0.000000	seawater	9999-12-31	155	9999-12-31	2013-05-08	6806
2/8-2	1400.000000	1.250000	0.000000	0.000000	seawater	9999-12-31	155	9999-12-31	2013-05-08	6807
2/8-2	1545.000000	1.600000	0.000000	0.000000	seawater	9999-12-31	155	9999-12-31	2013-05-08	6808
2/8-2	1726.000000	1.610000	0.000000	0.000000	seawater	9999-12-31	155	9999-12-31	2013-05-08	6809
2/8-2	2328.000000	1.670000	0.000000	0.000000	seawater	9999-12-31	155	9999-12-31	2013-05-08	6810
2/8-2	2866.000000	1.710000	0.000000	0.000000	seawater	9999-12-31	155	9999-12-31	2013-05-08	6811
2/8-2	3169.000000	1.720000	0.000000	0.000000	seawater	9999-12-31	155	9999-12-31	2013-05-08	6812
2/8-3	1848.000000	1.620000	0.000000	0.000000	waterbased	9999-12-31	117	9999-12-31	2013-05-08	6813
2/8-3	2082.000000	1.640000	0.000000	0.000000	waterbased	9999-12-31	117	9999-12-31	2013-05-08	6814
2/8-3	2481.000000	1.630000	0.000000	0.000000	waterbased	9999-12-31	117	9999-12-31	2013-05-08	6815
2/8-3	3009.000000	1.670000	0.000000	0.000000	waterbased	9999-12-31	117	9999-12-31	2013-05-08	6816
2/8-3	3229.000000	1.680000	0.000000	0.000000	waterbased	9999-12-31	117	9999-12-31	2013-05-08	6817
2/8-3	3544.000000	1.920000	0.000000	0.000000	waterbased	9999-12-31	117	9999-12-31	2013-05-08	6818
2/8-3	3700.000000	1.990000	0.000000	0.000000	waterbased	9999-12-31	117	9999-12-31	2013-05-08	6819
2/8-3	4115.000000	2.010000	0.000000	0.000000	waterbased	9999-12-31	117	9999-12-31	2013-05-08	6820
2/8-4	1450.000000	1.550000	0.000000	0.000000	waterbased	9999-12-31	273	9999-12-31	2013-05-08	6821
2/8-4	1609.000000	1.530000	0.000000	0.000000	waterbased	9999-12-31	273	9999-12-31	2013-05-08	6822
2/8-4	2438.000000	1.670000	0.000000	0.000000	waterbased	9999-12-31	273	9999-12-31	2013-05-08	6823
2/8-4	2564.000000	1.750000	0.000000	0.000000	waterbased	9999-12-31	273	9999-12-31	2013-05-08	6824
2/8-4	2850.000000	1.770000	0.000000	0.000000	waterbased	9999-12-31	273	9999-12-31	2013-05-08	6825
2/8-5	376.000000	1.120000	0.000000	0.000000	seawater	9999-12-31	275	9999-12-31	2013-05-08	6826
2/8-5	762.000000	1.140000	0.000000	0.000000	seawater	9999-12-31	275	9999-12-31	2013-05-08	6827
2/8-5	1123.000000	1.230000	0.000000	0.000000	seawater	9999-12-31	275	9999-12-31	2013-05-08	6828
2/8-5	1234.000000	1.480000	0.000000	0.000000	seawater	9999-12-31	275	9999-12-31	2013-05-08	6829
2/8-5	1592.000000	1.550000	0.000000	0.000000	seawater	9999-12-31	275	9999-12-31	2013-05-08	6830
2/8-5	1840.000000	1.720000	0.000000	0.000000	seawater	9999-12-31	275	9999-12-31	2013-05-08	6831
2/8-5	2167.000000	1.750000	0.000000	0.000000	seawater	9999-12-31	275	9999-12-31	2013-05-08	6832
2/8-5	2709.000000	1.840000	0.000000	0.000000	seawater	9999-12-31	275	9999-12-31	2013-05-08	6833
2/8-6	767.000000	1.490000	0.000000	0.000000	seawater	9999-12-31	276	9999-12-31	2013-05-08	6834
2/8-6	1298.000000	1.630000	0.000000	0.000000	seawater	9999-12-31	276	9999-12-31	2013-05-08	6835
2/8-6	2438.000000	1.780000	0.000000	0.000000	seawater	9999-12-31	276	9999-12-31	2013-05-08	6836
2/8-6	2459.000000	1.840000	0.000000	0.000000	seawater	9999-12-31	276	9999-12-31	2013-05-08	6837
2/8-6	2668.000000	1.970000	0.000000	0.000000	seawater	9999-12-31	276	9999-12-31	2013-05-08	6838
2/8-7	374.000000	1.050000	65.000000	0.000000	seawater	9999-12-31	277	9999-12-31	2013-05-08	6839
2/8-7	653.000000	1.250000	45.000000	0.000000	seawater	9999-12-31	277	9999-12-31	2013-05-08	6840
2/8-7	1285.000000	1.280000	51.000000	0.000000	seawater	9999-12-31	277	9999-12-31	2013-05-08	6841
2/8-7	1323.000000	1.790000	65.000000	0.000000	seawater	9999-12-31	277	9999-12-31	2013-05-08	6842
2/8-7	2345.000000	1.800000	55.000000	0.000000	seawater	9999-12-31	277	9999-12-31	2013-05-08	6843
2/8-8	380.000000	1.110000	0.000000	0.000000	waterbased	9999-12-31	278	9999-12-31	2013-05-08	6844
2/8-8	1284.000000	1.230000	0.000000	0.000000	waterbased	9999-12-31	278	9999-12-31	2013-05-08	6845
2/8-8	2410.000000	1.800000	0.000000	0.000000	waterbased	9999-12-31	278	9999-12-31	2013-05-08	6846
2/8-8	2445.000000	1.850000	0.000000	0.000000	waterbased	9999-12-31	278	9999-12-31	2013-05-08	6847
2/8-9	261.000000	1.090000	46.000000	0.000000	waterbased	9999-12-31	279	9999-12-31	2013-05-08	6848
2/8-9	441.000000	1.050000	0.000000	0.000000	waterbased	9999-12-31	279	9999-12-31	2013-05-08	6849
2/8-9	1157.000000	1.280000	45.000000	0.000000	waterbased	9999-12-31	279	9999-12-31	2013-05-08	6850
2/8-9	1289.000000	1.290000	0.000000	0.000000	waterbased	9999-12-31	279	9999-12-31	2013-05-08	6851
2/8-9	2324.000000	1.800000	0.000000	0.000000	waterbased	9999-12-31	279	9999-12-31	2013-05-08	6852
2/8-9	2703.000000	1.890000	0.000000	0.000000	waterbased	9999-12-31	279	9999-12-31	2013-05-08	6853
2/9-1	402.000000	1.140000	0.000000	0.000000	seawater	9999-12-31	282	9999-12-31	2013-05-08	6854
2/9-1	1024.000000	1.310000	0.000000	0.000000	seawater	9999-12-31	282	9999-12-31	2013-05-08	6855
2/9-1	1882.000000	1.660000	0.000000	0.000000	seawater	9999-12-31	282	9999-12-31	2013-05-08	6856
2/9-1	2945.000000	1.660000	0.000000	0.000000	seawater	9999-12-31	282	9999-12-31	2013-05-08	6857
2/9-1	3133.000000	1.630000	0.000000	0.000000	seawater	9999-12-31	282	9999-12-31	2013-05-08	6858
2/9-1	3550.000000	1.630000	0.000000	0.000000	seawater	9999-12-31	282	9999-12-31	2013-05-08	6859
2/9-2	365.000000	1.040000	80.000000	0.000000	waterbased	9999-12-31	283	9999-12-31	2013-05-08	6860
2/9-2	1440.000000	1.030000	27.000000	0.000000	waterbased	9999-12-31	283	9999-12-31	2013-05-08	6861
2/9-2	1719.000000	1.560000	38.000000	0.000000	waterbased	9999-12-31	283	9999-12-31	2013-05-08	6862
2/9-2	2050.000000	1.620000	49.000000	0.000000	waterbased	9999-12-31	283	9999-12-31	2013-05-08	6863
2/9-2	3542.000000	1.590000	42.000000	0.000000	waterbased	9999-12-31	283	9999-12-31	2013-05-08	6864
2/9-2	3923.000000	1.580000	52.000000	0.000000	waterbased	9999-12-31	283	9999-12-31	2013-05-08	6865
2/9-3	127.000000	1.030000	0.000000	0.000000	WATER BASED	1989-12-15	1443	9999-12-31	2013-05-08	6866
2/9-3	172.000000	1.200000	10.000000	21.500000	WATER BASED	1989-09-13	1443	9999-12-31	2013-05-08	6867
2/9-3	214.000000	1.030000	9.000000	30.600000	WATER BASED	1989-09-19	1443	9999-12-31	2013-05-08	6868
2/9-3	308.000000	1.030000	9.000000	24.400000	WATER BASED	1989-09-19	1443	9999-12-31	2013-05-08	6869
2/9-3	313.000000	1.030000	0.000000	0.000000	WATER BASED	1989-09-19	1443	9999-12-31	2013-05-08	6870
2/9-3	313.000000	1.030000	10.000000	23.000000	WATER BASED	1989-09-19	1443	9999-12-31	2013-05-08	6871
2/9-3	405.000000	1.030000	15.000000	20.100000	WATER BASED	1989-09-20	1443	9999-12-31	2013-05-08	6872
2/9-3	763.000000	1.030000	0.000000	0.000000	WATER BASED	1989-09-21	1443	9999-12-31	2013-05-08	6873
2/9-3	850.000000	1.030000	0.000000	0.000000	WATER BASED	1989-09-25	1443	9999-12-31	2013-05-08	6874
2/9-3	850.000000	1.030000	0.000000	0.000000	WATER BASED	1989-09-22	1443	9999-12-31	2013-05-08	6875
2/9-3	850.000000	1.030000	0.000000	0.000000	WATER BASED	1989-09-26	1443	9999-12-31	2013-05-08	6876
2/9-3	850.000000	1.200000	40.000000	9.600000	WATER BASED	1989-09-25	1443	9999-12-31	2013-05-08	6877
2/9-3	1047.000000	1.200000	16.000000	4.800000	WATER BASED	1989-09-27	1443	9999-12-31	2013-05-08	6878
2/9-3	1373.000000	1.280000	13.000000	4.800000	WATER BASED	1989-09-28	1443	9999-12-31	2013-05-08	6879
2/9-3	1560.000000	1.560000	27.000000	5.300000	WATER BASED	1989-09-29	1443	9999-12-31	2013-05-08	6880
2/9-3	1895.000000	1.560000	22.000000	3.800000	WATER BASED	1989-10-03	1443	9999-12-31	2013-05-08	6881
2/9-3	2090.000000	1.560000	24.000000	6.200000	WATER BASED	1989-10-03	1443	9999-12-31	2013-05-08	6882
2/9-3	2500.000000	1.560000	29.000000	10.000000	WATER BASED	1989-10-03	1443	9999-12-31	2013-05-08	6883
2/9-3	2698.000000	1.560000	24.000000	5.700000	WATER BASED	1989-10-03	1443	9999-12-31	2013-05-08	6884
2/9-3	2800.000000	1.620000	25.000000	5.300000	WATER BASED	1989-10-10	1443	9999-12-31	2013-05-08	6885
2/9-3	2800.000000	1.620000	25.000000	4.800000	WATER BASED	1989-10-10	1443	9999-12-31	2013-05-08	6886
2/9-3	2800.000000	1.620000	23.000000	4.300000	WATER BASED	1989-10-10	1443	9999-12-31	2013-05-08	6887
2/9-3	2800.000000	1.620000	21.000000	4.300000	WATER BASED	1989-10-11	1443	9999-12-31	2013-05-08	6888
2/9-3	2800.000000	1.570000	29.000000	4.300000	WATER BASED	1989-10-06	1443	9999-12-31	2013-05-08	6889
2/9-3	2800.000000	1.570000	26.000000	7.200000	WATER BASED	1989-10-04	1443	9999-12-31	2013-05-08	6890
2/9-3	2800.000000	1.570000	30.000000	6.700000	WATER BASED	1989-10-05	1443	9999-12-31	2013-05-08	6891
2/9-3	2800.000000	1.600000	24.000000	4.300000	WATER BASED	1989-10-10	1443	9999-12-31	2013-05-08	6892
2/9-3	2803.000000	1.620000	24.000000	6.700000	WATER BASED	1989-10-12	1443	9999-12-31	2013-05-08	6893
2/9-3	3016.000000	1.620000	32.000000	9.600000	WATER BASED	1989-10-13	1443	9999-12-31	2013-05-08	6894
2/9-3	3117.000000	1.620000	28.000000	6.200000	WATER BASED	1989-10-16	1443	9999-12-31	2013-05-08	6895
2/9-3	3201.000000	1.620000	23.000000	6.700000	WATER BASED	1989-10-16	1443	9999-12-31	2013-05-08	6896
2/9-3	3305.000000	1.620000	21.000000	6.700000	WATER BASED	1989-10-16	1443	9999-12-31	2013-05-08	6897
2/9-3	3321.000000	1.620000	18.000000	4.800000	WATER BASED	1989-10-17	1443	9999-12-31	2013-05-08	6898
2/9-3	3435.000000	1.620000	22.000000	5.700000	WATER BASED	1989-10-18	1443	9999-12-31	2013-05-08	6899
2/9-3	3546.000000	1.620000	21.000000	6.700000	WATER BASED	1989-10-19	1443	9999-12-31	2013-05-08	6900
2/9-3	3632.000000	1.620000	25.000000	5.300000	WATER BASED	1989-10-23	1443	9999-12-31	2013-05-08	6901
2/9-3	3632.000000	1.620000	25.000000	5.300000	WATER BASED	1989-10-23	1443	9999-12-31	2013-05-08	6902
2/9-3	3696.000000	1.620000	23.000000	6.700000	WATER BASED	1989-10-23	1443	9999-12-31	2013-05-08	6903
2/9-3	3696.000000	1.620000	23.000000	6.700000	WATER BASED	1989-10-23	1443	9999-12-31	2013-05-08	6904
2/9-3	3778.000000	1.620000	24.000000	5.700000	WATER BASED	1989-10-23	1443	9999-12-31	2013-05-08	6905
2/9-3	3778.000000	1.620000	24.000000	5.700000	WATER BASED	1989-10-23	1443	9999-12-31	2013-05-08	6906
2/9-3	3782.000000	1.620000	21.000000	5.300000	WATER BASED	1989-10-24	1443	9999-12-31	2013-05-08	6907
2/9-3	3807.000000	1.620000	22.000000	5.300000	WATER BASED	1989-10-25	1443	9999-12-31	2013-05-08	6908
2/9-3	3807.000000	1.620000	21.000000	5.700000	WATER BASED	1989-10-27	1443	9999-12-31	2013-05-08	6909
2/9-3	3808.000000	1.620000	22.000000	5.300000	WATER BASED	1989-10-27	1443	9999-12-31	2013-05-08	6910
2/9-3	3831.000000	1.620000	24.000000	5.700000	WATER BASED	1989-10-30	1443	9999-12-31	2013-05-08	6911
2/9-3	3831.000000	1.620000	23.000000	6.700000	WATER BASED	1989-10-30	1443	9999-12-31	2013-05-08	6912
2/9-3	3839.000000	1.620000	24.000000	5.300000	WATER BASED	1989-10-30	1443	9999-12-31	2013-05-08	6913
2/9-3	3841.000000	1.620000	23.000000	4.300000	WATER BASED	1989-11-02	1443	9999-12-31	2013-05-08	6914
2/9-3	3843.000000	1.620000	22.000000	5.300000	WATER BASED	1989-11-02	1443	9999-12-31	2013-05-08	6915
2/9-3	3843.000000	1.620000	20.000000	3.800000	WATER BASED	1989-11-02	1443	9999-12-31	2013-05-08	6916
2/9-3	3859.000000	1.030000	1.000000	0.000000	WATER BASED	1989-12-14	1443	9999-12-31	2013-05-08	6917
2/9-3	3867.000000	1.620000	25.000000	3.300000	WATER BASED	1989-11-03	1443	9999-12-31	2013-05-08	6918
2/9-3	3875.000000	1.620000	21.000000	3.300000	WATER BASED	1989-11-06	1443	9999-12-31	2013-05-08	6919
2/9-3	3875.000000	1.620000	24.000000	4.800000	WATER BASED	1989-11-08	1443	9999-12-31	2013-05-08	6920
2/9-3	3875.000000	1.620000	23.000000	5.300000	WATER BASED	1989-11-09	1443	9999-12-31	2013-05-08	6921
2/9-3	3875.000000	1.630000	21.000000	3.300000	WATER BASED	1989-11-06	1443	9999-12-31	2013-05-08	6922
2/9-3	3875.000000	1.620000	21.000000	4.300000	WATER BASED	1989-11-07	1443	9999-12-31	2013-05-08	6923
2/9-3	3876.000000	1.630000	20.000000	3.300000	WATER BASED	1989-11-06	1443	9999-12-31	2013-05-08	6924
2/9-3	3877.000000	1.800000	19.000000	3.800000	WATER BASED	1989-11-10	1443	9999-12-31	2013-05-08	6925
2/9-3	3878.000000	1.800000	21.000000	2.900000	WATER BASED	1989-11-13	1443	9999-12-31	2013-05-08	6926
2/9-3	3901.000000	1.800000	25.000000	7.200000	WATER BASED	1989-11-13	1443	9999-12-31	2013-05-08	6927
2/9-3	3975.000000	1.800000	26.000000	3.800000	WATER BASED	1989-11-13	1443	9999-12-31	2013-05-08	6928
2/9-3	4040.000000	1.800000	28.000000	3.800000	WATER BASED	1989-11-14	1443	9999-12-31	2013-05-08	6929
2/9-3	4107.000000	1.800000	27.000000	3.800000	WATER BASED	1989-11-15	1443	9999-12-31	2013-05-08	6930
2/9-3	4169.000000	1.800000	27.000000	3.800000	WATER BASED	1989-11-16	1443	9999-12-31	2013-05-08	6931
2/9-3	4200.000000	1.800000	25.000000	3.300000	WATER BASED	1989-11-17	1443	9999-12-31	2013-05-08	6932
2/9-3	4218.000000	1.800000	25.000000	3.300000	WATER BASED	1989-11-20	1443	9999-12-31	2013-05-08	6933
2/9-3	4294.000000	1.800000	24.000000	3.800000	WATER BASED	1989-11-20	1443	9999-12-31	2013-05-08	6934
2/9-3	4353.000000	1.800000	23.000000	3.800000	WATER BASED	1989-11-20	1443	9999-12-31	2013-05-08	6935
2/9-3	4413.000000	1.800000	22.000000	3.800000	WATER BASED	1989-11-21	1443	9999-12-31	2013-05-08	6936
2/9-3	4488.000000	1.800000	20.000000	3.300000	WATER BASED	1989-11-22	1443	9999-12-31	2013-05-08	6937
2/9-3	4524.000000	1.800000	22.000000	3.300000	WATER BASED	1989-11-23	1443	9999-12-31	2013-05-08	6938
2/9-3	4524.000000	1.800000	20.000000	3.300000	WATER BASED	1989-11-24	1443	9999-12-31	2013-05-08	6939
2/9-3	4536.000000	1.800000	19.000000	3.800000	WATER BASED	1989-11-28	1443	9999-12-31	2013-05-08	6940
2/9-3	4564.000000	1.800000	17.000000	3.300000	WATER BASED	1989-11-28	1443	9999-12-31	2013-05-08	6941
2/9-3	4614.000000	1.800000	19.000000	3.300000	WATER BASED	1989-11-28	1443	9999-12-31	2013-05-08	6942
2/9-3	4682.000000	1.820000	20.000000	4.800000	WATER BASED	1989-11-28	1443	9999-12-31	2013-05-08	6943
2/9-3	4715.000000	1.820000	19.000000	4.300000	WATER BASED	1989-11-29	1443	9999-12-31	2013-05-08	6944
2/9-3	4715.000000	1.820000	18.000000	3.300000	WATER BASED	1989-11-30	1443	9999-12-31	2013-05-08	6945
2/9-3	4772.000000	1.820000	18.000000	5.300000	WATER BASED	1989-12-01	1443	9999-12-31	2013-05-08	6946
2/9-3	4858.000000	1.820000	19.000000	5.300000	WATER BASED	1989-12-04	1443	9999-12-31	2013-05-08	6947
2/9-3	4859.000000	1.820000	19.000000	4.300000	WATER BASED	1989-12-04	1443	9999-12-31	2013-05-08	6948
2/9-3	4859.000000	1.820000	17.000000	3.300000	WATER BASED	1989-12-04	1443	9999-12-31	2013-05-08	6949
2/9-3	4859.000000	1.850000	19.000000	3.300000	WATER BASED	1989-12-05	1443	9999-12-31	2013-05-08	6950
2/9-3	4859.000000	1.850000	19.000000	3.800000	WATER BASED	1989-12-06	1443	9999-12-31	2013-05-08	6951
2/9-3	4862.000000	1.850000	21.000000	4.300000	WATER BASED	1989-12-07	1443	9999-12-31	2013-05-08	6952
2/9-3	4862.000000	1.850000	16.000000	3.800000	WATER BASED	1989-12-11	1443	9999-12-31	2013-05-08	6953
2/9-3	4862.000000	1.850000	18.000000	3.800000	WATER BASED	1989-12-11	1443	9999-12-31	2013-05-08	6954
2/9-3	4862.000000	1.850000	20.000000	5.300000	WATER BASED	1989-12-11	1443	9999-12-31	2013-05-08	6955
2/9-3	4862.000000	1.850000	22.000000	4.800000	WATER BASED	1989-12-08	1443	9999-12-31	2013-05-08	6956
2/9-3	4862.000000	1.850000	210.000000	5.700000	WATER BASED	1989-12-12	1443	9999-12-31	2013-05-08	6957
2/9-3	4862.000000	1.030000	0.000000	0.000000	WATER BASED	1989-12-13	1443	9999-12-31	2013-05-08	6958
2/9-4	300.000000	1.160000	4.000000	0.000000	water based	9999-12-31	5801	9999-12-31	2013-05-08	6959
2/9-4	500.000000	1.140000	7.000000	0.000000	water based	9999-12-31	5801	9999-12-31	2013-05-08	6960
2/9-4	596.000000	1.130000	6.000000	0.000000	water based	9999-12-31	5801	9999-12-31	2013-05-08	6961
2/9-4	895.000000	1.180000	5.000000	0.000000	water based	9999-12-31	5801	9999-12-31	2013-05-08	6962
2/9-4	1005.000000	1.140000	6.000000	0.000000	water based	9999-12-31	5801	9999-12-31	2013-05-08	6963
2/9-4	1007.000000	1.600000	32.000000	0.000000	water based	9999-12-31	5801	9999-12-31	2013-05-08	6964
2/9-4	1007.000000	1.130000	6.000000	0.000000	water based	9999-12-31	5801	9999-12-31	2013-05-08	6965
2/9-4	1225.000000	1.600000	31.000000	0.000000	water based	9999-12-31	5801	9999-12-31	2013-05-08	6966
2/9-4	1742.000000	1.600000	32.000000	0.000000	water based	9999-12-31	5801	9999-12-31	2013-05-08	6967
2/9-4	2252.000000	1.600000	38.000000	0.000000	water based	9999-12-31	5801	9999-12-31	2013-05-08	6968
2/9-4	2510.000000	1.620000	34.000000	0.000000	water based	9999-12-31	5801	9999-12-31	2013-05-08	6969
2/9-4	2922.000000	1.650000	40.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6970
2/9-4	3252.000000	1.650000	38.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6971
2/9-4	3540.000000	1.650000	35.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6972
2/9-4	3650.000000	1.650000	37.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6973
2/9-4	3730.000000	1.650000	33.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6974
2/9-4	3819.000000	1.650000	35.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6975
2/9-4	3941.000000	1.650000	37.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6976
2/9-4	3994.000000	1.650000	35.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6977
2/9-4	4045.000000	1.740000	39.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6978
2/9-4	4076.000000	1.740000	38.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6979
2/9-4	4139.000000	1.740000	35.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6980
2/9-4	4187.000000	1.740000	39.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6981
2/9-4	4223.000000	1.740000	40.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6982
2/9-4	4346.000000	1.740000	38.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6983
2/9-4	4470.000000	1.740000	44.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6984
2/9-4	4568.000000	1.740000	46.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6985
2/9-4	4635.000000	1.740000	43.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6986
2/9-4	4685.000000	1.740000	42.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6987
2/9-4	4716.000000	2.000000	47.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6988
2/9-4	4716.000000	2.000000	45.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6989
2/9-4	4716.000000	1.740000	43.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6990
2/9-4	4716.000000	1.740000	42.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6991
2/9-4	4750.000000	2.000000	43.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6992
2/9-4	4811.000000	2.000000	42.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6993
2/9-4	4878.000000	2.000000	39.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6994
2/9-4	4946.000000	2.000000	41.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6995
2/9-4	4988.000000	0.200000	45.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6996
2/9-4	5026.000000	2.000000	48.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6997
2/9-4	5034.000000	2.000000	45.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6998
2/9-4	5056.000000	2.030000	45.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	6999
2/9-4	5117.000000	2.100000	52.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	7000
2/9-4	5184.000000	2.120000	61.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	7001
2/9-4	5223.000000	2.120000	61.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	7002
2/9-4	5297.000000	2.120000	58.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	7003
2/9-4	5343.000000	2.120000	63.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	7004
2/9-4	5384.000000	2.120000	66.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	7005
2/9-4	5500.000000	2.120000	58.000000	0.000000	oil based	9999-12-31	5801	9999-12-31	2013-05-08	7006
24/12-1	375.000000	1.100000	75.000000	0.000000	water based	9999-12-31	347	9999-12-31	2013-05-08	7007
24/12-1	680.000000	1.100000	45.000000	0.000000	water based	9999-12-31	347	9999-12-31	2013-05-08	7008
24/12-1	1208.000000	1.140000	40.000000	0.000000	water based	9999-12-31	347	9999-12-31	2013-05-08	7009
24/12-1	2446.000000	1.260000	57.000000	0.000000	water based	9999-12-31	347	9999-12-31	2013-05-08	7010
24/12-1	2832.000000	1.250000	44.000000	0.000000	water based	9999-12-31	347	9999-12-31	2013-05-08	7011
24/12-1	3017.000000	1.190000	43.000000	0.000000	water based	9999-12-31	347	9999-12-31	2013-05-08	7012
24/12-1	3392.000000	1.210000	49.000000	0.000000	water based	9999-12-31	347	9999-12-31	2013-05-08	7013
24/12-1	3980.000000	1.400000	51.000000	0.000000	water based	9999-12-31	347	9999-12-31	2013-05-08	7014
24/12-1 R	3927.000000	1.960000	47.000000	0.000000	water based	9999-12-31	513	9999-12-31	2013-05-08	7015
24/12-1 R	4157.000000	1.990000	51.000000	0.000000	water based	9999-12-31	513	9999-12-31	2013-05-08	7016
24/12-1 R	4324.000000	2.040000	66.000000	0.000000	water based	9999-12-31	513	9999-12-31	2013-05-08	7017
24/12-1 R	4760.000000	1.990000	37.000000	0.000000	water based	9999-12-31	513	9999-12-31	2013-05-08	7018
24/12-1 R	4825.000000	2.030000	43.000000	0.000000	water based	9999-12-31	513	9999-12-31	2013-05-08	7019
24/12-2	200.000000	1.020000	50.000000	0.000000	water based	9999-12-31	348	9999-12-31	2013-05-08	7020
24/12-2	450.000000	1.040000	48.000000	0.000000	water based	9999-12-31	348	9999-12-31	2013-05-08	7021
24/12-2	1020.000000	1.060000	40.000000	0.000000	water based	9999-12-31	348	9999-12-31	2013-05-08	7022
24/12-2	1870.000000	1.220000	45.000000	0.000000	water based	9999-12-31	348	9999-12-31	2013-05-08	7023
24/12-2	2365.000000	1.220000	41.000000	0.000000	water based	9999-12-31	348	9999-12-31	2013-05-08	7024
24/12-2	3000.000000	1.700000	46.000000	0.000000	water based	9999-12-31	348	9999-12-31	2013-05-08	7025
24/12-2	4145.000000	1.840000	64.000000	0.000000	water based	9999-12-31	348	9999-12-31	2013-05-08	7026
24/12-2	4255.000000	1.960000	66.000000	0.000000	water based	9999-12-31	348	9999-12-31	2013-05-08	7027
24/12-2	4400.000000	2.030000	74.000000	0.000000	water based	9999-12-31	348	9999-12-31	2013-05-08	7028
24/12-3 S	1470.000000	1.390000	18.000000	0.000000	ANCO 2000	9999-12-31	2823	9999-12-31	2013-05-08	7029
24/12-3 S	1946.000000	1.390000	18.000000	0.000000	ANCO 2000	9999-12-31	2823	9999-12-31	2013-05-08	7030
24/12-3 S	2230.000000	1.390000	18.000000	0.000000	ANCO 2000	9999-12-31	2823	9999-12-31	2013-05-08	7031
24/12-3 S	2367.000000	1.390000	21.000000	0.000000	ANCO 2000	9999-12-31	2823	9999-12-31	2013-05-08	7032
24/12-3 S	2396.000000	1.200000	15.000000	0.000000	ANCO 2000	9999-12-31	2823	9999-12-31	2013-05-08	7033
24/12-3 S	2408.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	2823	9999-12-31	2013-05-08	7034
24/12-3 S	2457.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	2823	9999-12-31	2013-05-08	7035
24/12-3 S	2692.000000	1.200000	14.000000	0.000000	ANCO 2000	9999-12-31	2823	9999-12-31	2013-05-08	7036
24/12-3 S	2929.000000	1.200000	15.000000	0.000000	ANCO 2000	9999-12-31	2823	9999-12-31	2013-05-08	7037
24/12-3 S	2955.000000	1.200000	14.000000	0.000000	ANCO 2000	9999-12-31	2823	9999-12-31	2013-05-08	7038
24/12-3 S	3058.000000	1.200000	15.000000	0.000000	ANCO 2000	9999-12-31	2823	9999-12-31	2013-05-08	7039
24/12-4	222.000000	1.030000	0.000000	0.000000	SEAWATER/CMC	9999-12-31	4383	9999-12-31	2013-05-08	7040
24/12-4	850.000000	1.350000	23.000000	0.000000	NOVATEC	9999-12-31	4383	9999-12-31	2013-05-08	7041
24/12-4	1014.000000	1.030000	0.000000	0.000000	SEAWATER/CMC	9999-12-31	4383	9999-12-31	2013-05-08	7042
24/12-4	1200.000000	1.350000	28.000000	0.000000	NOVATEC	9999-12-31	4383	9999-12-31	2013-05-08	7043
24/12-4	1850.000000	1.350000	25.000000	0.000000	NOVATEC	9999-12-31	4383	9999-12-31	2013-05-08	7044
24/12-5 S	651.000000	1.100000	134.000000	0.000000	WATER BASED	9999-12-31	5638	9999-12-31	2013-05-08	7045
24/12-5 S	658.000000	1.050000	110.000000	0.000000	WATER BASED	9999-12-31	5638	9999-12-31	2013-05-08	7046
24/12-5 S	850.000000	1.120000	0.000000	0.000000	WATER BASED	9999-12-31	5638	9999-12-31	2013-05-08	7047
24/12-6 S	174.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	6328	9999-12-31	2013-05-08	7048
24/12-6 S	226.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	6328	9999-12-31	2013-05-08	7049
24/12-6 S	990.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	6328	9999-12-31	2013-05-08	7050
24/12-6 S	1120.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	6328	9999-12-31	2013-05-08	7051
24/12-6 S	1223.000000	1.360000	39.000000	0.000000	CARBO TECH	9999-12-31	6328	9999-12-31	2013-05-08	7052
24/12-6 S	1279.000000	1.450000	0.000000	0.000000	SPUD MUD	9999-12-31	6328	9999-12-31	2013-05-08	7053
24/12-6 S	1445.000000	1.450000	13.000000	0.000000	KCL BRINE	9999-12-31	6328	9999-12-31	2013-05-08	7054
24/12-6 S	1720.000000	1.250000	16.000000	0.000000	KCL BRINE	9999-12-31	6328	9999-12-31	2013-05-08	7055
24/12-6 S	2500.000000	1.390000	42.000000	0.000000	CARBO TECH	9999-12-31	6328	9999-12-31	2013-05-08	7056
24/12-6 S	2653.000000	1.320000	14.000000	0.000000	KCL BRINE	9999-12-31	6328	9999-12-31	2013-05-08	7057
24/12-6 S	2711.000000	1.320000	18.000000	0.000000	KCL BRINE	9999-12-31	6328	9999-12-31	2013-05-08	7058
24/12-6 S	2746.000000	1.390000	41.000000	0.000000	CARBO TECH	9999-12-31	6328	9999-12-31	2013-05-08	7059
24/12-6 S	2828.000000	1.390000	39.000000	0.000000	CARBO TECH	9999-12-31	6328	9999-12-31	2013-05-08	7060
24/12-6 S	3051.000000	1.600000	37.000000	0.000000	CARBO TECH	9999-12-31	6328	9999-12-31	2013-05-08	7061
24/12-6 S	3800.000000	1.600000	37.000000	0.000000	CARBO TECH	9999-12-31	6328	9999-12-31	2013-05-08	7062
24/12-6 S	4150.000000	1.600000	45.000000	0.000000	CARBO TECH	9999-12-31	6328	9999-12-31	2013-05-08	7063
24/12-6 S	4276.000000	1.650000	53.000000	0.000000	CARBO TECH	9999-12-31	6328	9999-12-31	2013-05-08	7064
24/12-6 S	4276.000000	1.650000	42.000000	0.000000	CARBO TECH	9999-12-31	6328	9999-12-31	2013-05-08	7065
24/12-6 S	4330.000000	1.650000	41.000000	0.000000	CARBO TECH	9999-12-31	6328	9999-12-31	2013-05-08	7066
24/12-6 S	4772.000000	2.000000	47.000000	0.000000	MAGMA TECH	9999-12-31	6328	9999-12-31	2013-05-08	7067
24/12-6 S	5101.000000	2.000000	50.000000	0.000000	MAGMA TECH	9999-12-31	6328	9999-12-31	2013-05-08	7068
24/12-6 S	5207.000000	2.020000	51.000000	0.000000	MAGMA TECH	9999-12-31	6328	9999-12-31	2013-05-08	7069
24/6-1	100.000000	1.650000	20.000000	10.000000	WATER BASED	1985-08-26	443	9999-12-31	2013-05-08	7070
24/6-1	147.000000	1.650000	20.000000	10.000000	WATER BASED	1985-08-26	443	9999-12-31	2013-05-08	7071
24/6-1	147.000000	1.650000	20.000000	10.000000	WATER BASED	1985-08-27	443	9999-12-31	2013-05-08	7072
24/6-1	175.000000	1.030000	9999.900000	9999.900000	WATER BASED	1985-02-10	443	9999-12-31	2013-05-08	7073
24/6-1	200.000000	1.030000	9999.900000	9999.900000	WATER BASED	1985-02-10	443	9999-12-31	2013-05-08	7074
24/6-1	200.000000	1.070000	17.000000	3.400000	WATER BASED	1985-02-11	443	9999-12-31	2013-05-08	7075
24/6-1	200.000000	1.650000	20.000000	10.000000	WATER BASED	1985-08-26	443	9999-12-31	2013-05-08	7076
24/6-1	200.000000	1.650000	20.000000	10.000000	WATER BASED	1985-08-23	443	9999-12-31	2013-05-08	7077
24/6-1	437.000000	1.650000	20.000000	10.000000	OIL BASED	1985-08-21	443	9999-12-31	2013-05-08	7078
24/6-1	599.000000	1.120000	23.000000	6.800000	WATER BASED	1985-02-12	443	9999-12-31	2013-05-08	7079
24/6-1	881.000000	1.120000	20.000000	3.400000	WATER BASED	1985-02-13	443	9999-12-31	2013-05-08	7080
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-02-25	443	9999-12-31	2013-05-08	7081
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-02-27	443	9999-12-31	2013-05-08	7082
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-08	443	9999-12-31	2013-05-08	7083
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-01	443	9999-12-31	2013-05-08	7084
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-03	443	9999-12-31	2013-05-08	7085
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-04	443	9999-12-31	2013-05-08	7086
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-05	443	9999-12-31	2013-05-08	7087
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-06	443	9999-12-31	2013-05-08	7088
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-08	443	9999-12-31	2013-05-08	7089
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-10	443	9999-12-31	2013-05-08	7090
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-01	443	9999-12-31	2013-05-08	7091
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-05	443	9999-12-31	2013-05-08	7092
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-06	443	9999-12-31	2013-05-08	7093
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-10	443	9999-12-31	2013-05-08	7094
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-02-27	443	9999-12-31	2013-05-08	7095
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-03	443	9999-12-31	2013-05-08	7096
24/6-1	996.000000	1.060000	14.000000	6.000000	WATER BASED	1985-03-04	443	9999-12-31	2013-05-08	7097
24/6-1	1010.000000	1.080000	11.000000	3.500000	WATER BASED	1985-03-12	443	9999-12-31	2013-05-08	7098
24/6-1	1010.000000	1.080000	12.000000	2.900000	WATER BASED	1985-03-12	443	9999-12-31	2013-05-08	7099
24/6-1	1010.000000	1.120000	22.000000	3.000000	WATER BASED	1985-02-18	443	9999-12-31	2013-05-08	7100
24/6-1	1010.000000	1.140000	22.000000	4.000000	WATER BASED	1985-02-19	443	9999-12-31	2013-05-08	7101
24/6-1	1010.000000	1.140000	22.000000	4.000000	WATER BASED	1985-02-20	443	9999-12-31	2013-05-08	7102
24/6-1	1010.000000	1.100000	13.000000	4.000000	WATER BASED	1985-02-21	443	9999-12-31	2013-05-08	7103
24/6-1	1010.000000	1.060000	11.000000	6.600000	WATER BASED	1985-02-24	443	9999-12-31	2013-05-08	7104
24/6-1	1010.000000	1.110000	19.000000	4.000000	WATER BASED	1985-02-16	443	9999-12-31	2013-05-08	7105
24/6-1	1010.000000	1.130000	21.000000	4.000000	WATER BASED	1985-02-16	443	9999-12-31	2013-05-08	7106
24/6-1	1010.000000	1.080000	11.000000	3.500000	WATER BASED	1985-03-12	443	9999-12-31	2013-05-08	7107
24/6-1	1010.000000	1.080000	12.000000	2.900000	WATER BASED	1985-03-12	443	9999-12-31	2013-05-08	7108
24/6-1	1010.000000	1.140000	22.000000	4.000000	WATER BASED	1985-02-20	443	9999-12-31	2013-05-08	7109
24/6-1	1010.000000	1.100000	13.000000	4.000000	WATER BASED	1985-02-21	443	9999-12-31	2013-05-08	7110
24/6-1	1010.000000	1.060000	11.000000	6.600000	WATER BASED	1985-02-24	443	9999-12-31	2013-05-08	7111
24/6-1	1010.000000	1.110000	20.000000	3.000000	WATER BASED	1985-02-14	443	9999-12-31	2013-05-08	7112
24/6-1	1010.000000	1.120000	22.000000	3.000000	WATER BASED	1985-02-18	443	9999-12-31	2013-05-08	7113
24/6-1	1010.000000	1.130000	21.000000	4.000000	WATER BASED	1985-02-16	443	9999-12-31	2013-05-08	7114
24/6-1	1010.000000	1.110000	19.000000	4.000000	WATER BASED	1985-02-16	443	9999-12-31	2013-05-08	7115
24/6-1	1010.000000	1.140000	22.000000	4.000000	WATER BASED	1985-02-19	443	9999-12-31	2013-05-08	7116
24/6-1	1050.000000	1.080000	15.000000	2.900000	WATER BASED	1985-03-13	443	9999-12-31	2013-05-08	7117
24/6-1	1142.000000	1.110000	22.000000	3.400000	WATER BASED	1985-03-14	443	9999-12-31	2013-05-08	7118
24/6-1	1319.000000	1.120000	18.000000	3.000000	WATER BASED	1985-03-17	443	9999-12-31	2013-05-08	7119
24/6-1	1577.000000	1.160000	19.000000	3.200000	WATER BASED	1985-03-17	443	9999-12-31	2013-05-08	7120
24/6-1	1602.000000	1.170000	19.000000	3.800000	WATER BASED	1985-03-18	443	9999-12-31	2013-05-08	7121
24/6-1	1699.000000	1.200000	21.000000	8.500000	WATER BASED	1985-04-11	443	9999-12-31	2013-05-08	7122
24/6-1	1808.000000	1.170000	20.000000	3.400000	WATER BASED	1985-03-18	443	9999-12-31	2013-05-08	7123
24/6-1	1843.000000	1.210000	20.000000	8.500000	WATER BASED	1985-04-12	443	9999-12-31	2013-05-08	7124
24/6-1	1988.000000	1.170000	21.000000	4.000000	WATER BASED	1985-03-20	443	9999-12-31	2013-05-08	7125
24/6-1	2025.000000	1.210000	19.000000	7.400000	WATER BASED	1985-04-15	443	9999-12-31	2013-05-08	7126
24/6-1	2085.000000	1.170000	19.000000	3.900000	WATER BASED	1985-03-20	443	9999-12-31	2013-05-08	7127
24/6-1	2100.000000	1.210000	19.000000	7.500000	WATER BASED	1985-04-15	443	9999-12-31	2013-05-08	7128
24/6-1	2181.000000	1.190000	21.000000	8.500000	WATER BASED	1985-03-21	443	9999-12-31	2013-05-08	7129
24/6-1	2183.000000	1.190000	26.000000	8.400000	WATER BASED	1985-03-24	443	9999-12-31	2013-05-08	7130
24/6-1	2229.000000	1.210000	20.000000	8.500000	WATER BASED	1985-04-15	443	9999-12-31	2013-05-08	7131
24/6-1	2245.000000	1.190000	20.000000	6.500000	WATER BASED	1985-03-24	443	9999-12-31	2013-05-08	7132
24/6-1	2283.000000	1.200000	19.000000	8.500000	WATER BASED	1985-04-16	443	9999-12-31	2013-05-08	7133
24/6-1	2299.000000	1.200000	18.000000	7.500000	WATER BASED	1985-04-17	443	9999-12-31	2013-05-08	7134
24/6-1	2320.000000	1.170000	16.000000	6.600000	WATER BASED	1985-03-24	443	9999-12-31	2013-05-08	7135
24/6-1	2365.000000	1.170000	16.000000	6.600000	WATER BASED	1985-03-25	443	9999-12-31	2013-05-08	7136
24/6-1	2390.000000	1.170000	17.000000	6.600000	WATER BASED	1985-03-27	443	9999-12-31	2013-05-08	7137
24/6-1	2390.000000	1.210000	18.000000	6.700000	WATER BASED	1985-04-18	443	9999-12-31	2013-05-08	7138
24/6-1	2390.000000	1.210000	18.000000	6.700000	WATER BASED	1985-04-18	443	9999-12-31	2013-05-08	7139
24/6-1	2462.000000	1.170000	18.000000	7.600000	WATER BASED	1985-03-28	443	9999-12-31	2013-05-08	7140
24/6-1	2487.000000	1.210000	17.000000	6.400000	WATER BASED	1985-04-19	443	9999-12-31	2013-05-08	7141
24/6-1	2505.000000	1.210000	18.000000	6.700000	WATER BASED	1985-04-21	443	9999-12-31	2013-05-08	7142
24/6-1	2544.000000	1.210000	19.000000	7.600000	WATER BASED	1985-04-21	443	9999-12-31	2013-05-08	7143
24/6-1	2554.000000	1.170000	19.000000	7.500000	WATER BASED	1985-03-29	443	9999-12-31	2013-05-08	7144
24/6-1	2580.000000	1.170000	19.000000	7.500000	WATER BASED	1985-04-01	443	9999-12-31	2013-05-08	7145
24/6-1	2590.000000	1.170000	20.000000	7.500000	WATER BASED	1985-04-01	443	9999-12-31	2013-05-08	7146
24/6-1	2619.000000	1.210000	19.000000	7.600000	WATER BASED	1985-04-21	443	9999-12-31	2013-05-08	7147
24/6-1	2648.000000	1.170000	17.000000	6.600000	WATER BASED	1985-04-01	443	9999-12-31	2013-05-08	7148
24/6-1	2710.000000	1.210000	18.000000	7.600000	WATER BASED	1985-04-23	443	9999-12-31	2013-05-08	7149
24/6-1	2717.000000	1.170000	18.000000	6.600000	WATER BASED	1985-04-02	443	9999-12-31	2013-05-08	7150
24/6-1	2720.000000	1.170000	18.000000	6.600000	WATER BASED	1985-04-03	443	9999-12-31	2013-05-08	7151
24/6-1	2763.000000	1.210000	18.000000	7.600000	WATER BASED	1985-04-24	443	9999-12-31	2013-05-08	7152
24/6-1	2787.000000	1.170000	17.000000	6.700000	WATER BASED	1985-04-10	443	9999-12-31	2013-05-08	7153
24/6-1	2793.000000	0.000000	21.000000	7.500000	WATER BASED	1985-04-25	443	9999-12-31	2013-05-08	7154
24/6-1	2806.000000	1.210000	19.000000	7.500000	WATER BASED	1985-04-26	443	9999-12-31	2013-05-08	7155
24/6-1	2817.000000	1.260000	32.000000	13.000000	WATER BASED	1985-05-08	443	9999-12-31	2013-05-08	7156
24/6-1	2817.000000	0.900000	12.000000	1.000000	OIL BASED	1985-05-09	443	9999-12-31	2013-05-08	7157
24/6-1	2817.000000	1.260000	32.000000	13.000000	WATER BASED	1985-05-08	443	9999-12-31	2013-05-08	7158
24/6-1	2817.000000	0.900000	12.000000	1.000000	OIL BASED	1985-05-09	443	9999-12-31	2013-05-08	7159
24/6-1	2817.000000	1.260000	26.000000	16.000000	WATER BASED	1985-05-07	443	9999-12-31	2013-05-08	7160
24/6-1	2825.000000	1.040000	18.000000	7.500000	WATER BASED	1985-04-30	443	9999-12-31	2013-05-08	7161
24/6-1	2826.000000	1.170000	17.000000	6.700000	WATER BASED	1985-04-10	443	9999-12-31	2013-05-08	7162
24/6-1	2826.000000	1.210000	20.000000	7.600000	WATER BASED	1985-04-10	443	9999-12-31	2013-05-08	7163
24/6-1	2826.000000	1.220000	22.000000	8.600000	WATER BASED	1985-04-10	443	9999-12-31	2013-05-08	7164
24/6-1	2826.000000	1.210000	20.000000	8.600000	WATER BASED	1985-04-10	443	9999-12-31	2013-05-08	7165
24/6-1	2826.000000	1.210000	20.000000	7.600000	WATER BASED	1985-04-10	443	9999-12-31	2013-05-08	7166
24/6-1	2826.000000	1.210000	21.000000	7.800000	WATER BASED	1985-04-10	443	9999-12-31	2013-05-08	7167
24/6-1	2826.000000	1.220000	22.000000	8.600000	WATER BASED	1985-04-10	443	9999-12-31	2013-05-08	7168
24/6-1	2826.000000	1.210000	21.000000	7.800000	WATER BASED	1985-04-10	443	9999-12-31	2013-05-08	7169
24/6-1	2826.000000	1.210000	20.000000	8.600000	WATER BASED	1985-04-10	443	9999-12-31	2013-05-08	7170
24/6-1	2830.000000	1.240000	24.000000	12.000000	WATER BASED	1985-05-02	443	9999-12-31	2013-05-08	7171
24/6-1	2830.000000	1.260000	25.000000	15.000000	WATER BASED	1985-05-04	443	9999-12-31	2013-05-08	7172
24/6-1	2830.000000	1.250000	24.000000	3.800000	OIL BASED	1985-05-13	443	9999-12-31	2013-05-08	7173
24/6-1	2830.000000	1.260000	23.000000	28.000000	WATER BASED	1985-05-04	443	9999-12-31	2013-05-08	7174
24/6-1	2830.000000	1.220000	21.000000	9.500000	WATER BASED	1985-04-30	443	9999-12-31	2013-05-08	7175
24/6-1	2830.000000	1.100000	23.000000	1.500000	OIL BASED	1985-05-10	443	9999-12-31	2013-05-08	7176
24/6-1	2830.000000	1.240000	23.000000	1.400000	OIL BASED	1985-05-13	443	9999-12-31	2013-05-08	7177
24/6-1	2830.000000	1.240000	29.000000	2.800000	OIL BASED	1985-05-13	443	9999-12-31	2013-05-08	7178
24/6-1	2830.000000	1.250000	35.000000	3.300000	OIL BASED	1985-05-14	443	9999-12-31	2013-05-08	7179
24/6-1	2830.000000	1.220000	21.000000	9.500000	WATER BASED	1985-04-30	443	9999-12-31	2013-05-08	7180
24/6-1	2830.000000	1.230000	21.000000	9.500000	WATER BASED	1985-05-02	443	9999-12-31	2013-05-08	7181
24/6-1	2830.000000	1.260000	26.000000	15.300000	WATER BASED	1985-05-03	443	9999-12-31	2013-05-08	7182
24/6-1	2830.000000	1.260000	23.000000	28.000000	WATER BASED	1985-05-04	443	9999-12-31	2013-05-08	7183
24/6-1	2830.000000	1.260000	25.000000	14.000000	WATER BASED	1985-05-04	443	9999-12-31	2013-05-08	7184
24/6-1	2830.000000	1.260000	26.000000	15.300000	WATER BASED	1985-05-03	443	9999-12-31	2013-05-08	7185
24/6-1	2830.000000	1.260000	25.000000	15.000000	WATER BASED	1985-05-04	443	9999-12-31	2013-05-08	7186
24/6-1	2830.000000	1.260000	25.000000	14.000000	WATER BASED	1985-05-04	443	9999-12-31	2013-05-08	7187
24/6-1	2830.000000	1.210000	18.000000	7.500000	WATER BASED	1985-04-29	443	9999-12-31	2013-05-08	7188
24/6-1	2830.000000	1.230000	21.000000	9.500000	WATER BASED	1985-05-02	443	9999-12-31	2013-05-08	7189
24/6-1	2830.000000	1.240000	24.000000	12.000000	WATER BASED	1985-05-02	443	9999-12-31	2013-05-08	7190
24/6-1	2830.000000	1.240000	23.000000	1.400000	OIL BASED	1985-05-13	443	9999-12-31	2013-05-08	7191
24/6-1	2830.000000	1.250000	24.000000	3.800000	OIL BASED	1985-05-13	443	9999-12-31	2013-05-08	7192
24/6-1	2830.000000	1.240000	29.000000	2.800000	OIL BASED	1985-05-13	443	9999-12-31	2013-05-08	7193
24/6-1	2830.000000	1.100000	23.000000	1.500000	OIL BASED	1985-05-10	443	9999-12-31	2013-05-08	7194
24/6-1	2830.000000	1.250000	35.000000	3.300000	OIL BASED	1985-05-14	443	9999-12-31	2013-05-08	7195
24/6-1	2834.000000	1.260000	31.000000	3.800000	OIL BASED	1985-05-15	443	9999-12-31	2013-05-08	7196
24/6-1	2858.000000	1.260000	28.000000	3.800000	OIL BASED	1985-05-21	443	9999-12-31	2013-05-08	7197
24/6-1	3082.000000	1.380000	20.000000	4.800000	OIL BASED	1985-05-21	443	9999-12-31	2013-05-08	7198
24/6-1	3295.000000	1.400000	22.000000	4.700000	OIL BASED	1985-05-21	443	9999-12-31	2013-05-08	7199
24/6-1	3401.000000	1.480000	21.000000	4.800000	OIL BASED	1985-05-21	443	9999-12-31	2013-05-08	7200
24/6-1	3535.000000	1.510000	23.000000	4.800000	OIL BASED	1985-05-21	443	9999-12-31	2013-05-08	7201
24/6-1	3609.000000	1.500000	23.000000	10.000000	OIL BASED	1985-05-21	443	9999-12-31	2013-05-08	7202
24/6-1	3650.000000	1.940000	36.000000	14.000000	OIL BASED	1985-08-21	443	9999-12-31	2013-05-08	7203
24/6-1	3697.000000	1.500000	35.000000	10.000000	OIL BASED	1985-05-22	443	9999-12-31	2013-05-08	7204
24/6-1	3753.000000	1.940000	52.000000	10.000000	OIL BASED	1985-08-09	443	9999-12-31	2013-05-08	7205
24/6-1	3878.000000	1.560000	39.000000	5.700000	OIL BASED	1985-05-23	443	9999-12-31	2013-05-08	7206
24/6-1	3920.000000	1.940000	56.000000	14.000000	OIL BASED	1985-08-17	443	9999-12-31	2013-05-08	7207
24/6-1	4046.000000	1.620000	48.000000	6.700000	OIL BASED	1985-05-24	443	9999-12-31	2013-05-08	7208
24/6-1	4070.000000	1.640000	55.000000	11.900000	OIL BASED	1985-05-28	443	9999-12-31	2013-05-08	7209
24/6-1	4095.000000	1.660000	53.000000	19.000000	OIL BASED	1985-05-31	443	9999-12-31	2013-05-08	7210
24/6-1	4110.000000	1.660000	61.000000	20.000000	OIL BASED	1985-05-29	443	9999-12-31	2013-05-08	7211
24/6-1	4110.000000	1.650000	73.000000	11.400000	OIL BASED	1985-06-03	443	9999-12-31	2013-05-08	7212
24/6-1	4110.000000	1.650000	61.000000	9.500000	OIL BASED	1985-05-28	443	9999-12-31	2013-05-08	7213
24/6-1	4110.000000	1.650000	65.000000	9.000000	OIL BASED	1985-05-28	443	9999-12-31	2013-05-08	7214
24/6-1	4110.000000	1.650000	61.000000	9.500000	OIL BASED	1985-05-28	443	9999-12-31	2013-05-08	7215
24/6-1	4110.000000	1.660000	61.000000	9.000000	OIL BASED	1985-05-28	443	9999-12-31	2013-05-08	7216
24/6-1	4110.000000	1.660000	61.000000	9.000000	OIL BASED	1985-05-28	443	9999-12-31	2013-05-08	7217
24/6-1	4110.000000	1.660000	53.000000	9.100000	OIL BASED	1985-06-03	443	9999-12-31	2013-05-08	7218
24/6-1	4110.000000	1.650000	73.000000	11.400000	OIL BASED	1985-06-03	443	9999-12-31	2013-05-08	7219
24/6-1	4110.000000	1.660000	61.000000	20.000000	OIL BASED	1985-05-29	443	9999-12-31	2013-05-08	7220
24/6-1	4110.000000	1.660000	53.000000	9.100000	OIL BASED	1985-06-03	443	9999-12-31	2013-05-08	7221
24/6-1	4110.000000	1.650000	65.000000	9.000000	OIL BASED	1985-05-28	443	9999-12-31	2013-05-08	7222
24/6-1	4130.000000	1.660000	67.000000	11.500000	OIL BASED	1985-06-03	443	9999-12-31	2013-05-08	7223
24/6-1	4196.000000	1.660000	62.000000	10.500000	OIL BASED	1985-06-03	443	9999-12-31	2013-05-08	7224
24/6-1	4269.000000	1.800000	92.000000	17.200000	OIL BASED	1985-06-04	443	9999-12-31	2013-05-08	7225
24/6-1	4333.000000	1.810000	82.000000	14.000000	OIL BASED	1985-06-05	443	9999-12-31	2013-05-08	7226
24/6-1	4353.000000	1.830000	82.000000	14.500000	OIL BASED	1985-06-06	443	9999-12-31	2013-05-08	7227
24/6-1	4353.000000	1.830000	70.000000	13.400000	OIL BASED	1985-06-10	443	9999-12-31	2013-05-08	7228
24/6-1	4353.000000	1.830000	70.000000	15.000000	OIL BASED	1985-06-10	443	9999-12-31	2013-05-08	7229
24/6-1	4353.000000	1.830000	76.000000	16.000000	OIL BASED	1985-06-10	443	9999-12-31	2013-05-08	7230
24/6-1	4353.000000	1.830000	70.000000	13.400000	OIL BASED	1985-06-10	443	9999-12-31	2013-05-08	7231
24/6-1	4353.000000	1.830000	70.000000	15.000000	OIL BASED	1985-06-10	443	9999-12-31	2013-05-08	7232
24/6-1	4353.000000	1.830000	76.000000	16.000000	OIL BASED	1985-06-10	443	9999-12-31	2013-05-08	7233
24/6-1	4356.000000	1.830000	61.000000	13.000000	OIL BASED	1985-06-10	443	9999-12-31	2013-05-08	7234
24/6-1	4408.000000	1.830000	60.000000	13.000000	OIL BASED	1985-06-11	443	9999-12-31	2013-05-08	7235
24/6-1	4451.000000	1.820000	58.000000	26.000000	OIL BASED	1985-06-13	443	9999-12-31	2013-05-08	7236
24/6-1	4479.000000	1.860000	62.000000	14.000000	OIL BASED	1985-06-13	443	9999-12-31	2013-05-08	7237
24/6-1	4497.000000	1.870000	54.000000	13.000000	OIL BASED	1985-06-16	443	9999-12-31	2013-05-08	7238
24/6-1	4513.000000	1.930000	64.000000	15.000000	OIL BASED	1985-06-16	443	9999-12-31	2013-05-08	7239
24/6-1	4514.000000	1.920000	58.000000	26.000000	OIL BASED	1985-06-17	443	9999-12-31	2013-05-08	7240
24/6-1	4514.000000	1.920000	54.000000	13.000000	OIL BASED	1985-06-18	443	9999-12-31	2013-05-08	7241
24/6-1	4514.000000	1.920000	54.000000	13.000000	OIL BASED	1985-06-18	443	9999-12-31	2013-05-08	7242
24/6-1	4514.000000	1.950000	55.000000	13.000000	OIL BASED	1985-07-08	443	9999-12-31	2013-05-08	7243
24/6-1	4515.000000	1.920000	58.000000	12.000000	OIL BASED	1985-06-21	443	9999-12-31	2013-05-08	7244
24/6-1	4515.000000	1.920000	79.000000	18.200000	OIL BASED	1985-06-26	443	9999-12-31	2013-05-08	7245
24/6-1	4515.000000	1.920000	66.000000	14.300000	OIL BASED	1985-06-28	443	9999-12-31	2013-05-08	7246
24/6-1	4515.000000	0.000000	66.000000	162.200000	oil based	1985-06-28	443	9999-12-31	2013-05-08	7247
24/6-1	4515.000000	1.920000	55.000000	14.300000	OIL BASED	1985-06-28	443	9999-12-31	2013-05-08	7248
24/6-1	4515.000000	1.920000	60.000000	12.400000	OIL BASED	1985-06-27	443	9999-12-31	2013-05-08	7249
24/6-1	4515.000000	1.920000	56.000000	14.400000	OIL BASED	1985-07-01	443	9999-12-31	2013-05-08	7250
24/6-1	4515.000000	1.920000	53.000000	13.400000	OIL BASED	1985-07-02	443	9999-12-31	2013-05-08	7251
24/6-1	4515.000000	1.940000	55.000000	12.000000	OIL BASED	1985-07-08	443	9999-12-31	2013-05-08	7252
24/6-1	4515.000000	1.920000	58.000000	12.000000	OIL BASED	1985-06-21	443	9999-12-31	2013-05-08	7253
24/6-1	4515.000000	1.920000	79.000000	18.200000	OIL BASED	1985-06-26	443	9999-12-31	2013-05-08	7254
24/6-1	4515.000000	1.920000	60.000000	12.400000	OIL BASED	1985-06-27	443	9999-12-31	2013-05-08	7255
24/6-1	4515.000000	1.920000	66.000000	162.200000	OIL BASED	1985-06-28	443	9999-12-31	2013-05-08	7256
24/6-1	4515.000000	1.920000	55.000000	14.300000	OIL BASED	1985-06-28	443	9999-12-31	2013-05-08	7257
24/6-1	4515.000000	1.920000	53.000000	13.400000	OIL BASED	1985-07-02	443	9999-12-31	2013-05-08	7258
24/6-1	4515.000000	1.940000	55.000000	12.000000	OIL BASED	1985-07-08	443	9999-12-31	2013-05-08	7259
24/6-1	4515.000000	1.920000	57.000000	11.000000	OIL BASED	1985-06-19	443	9999-12-31	2013-05-08	7260
24/6-1	4515.000000	1.920000	53.000000	12.000000	OIL BASED	1985-07-04	443	9999-12-31	2013-05-08	7261
24/6-1	4515.000000	1.920000	66.000000	14.300000	OIL BASED	1985-06-28	443	9999-12-31	2013-05-08	7262
24/6-1	4515.000000	1.920000	56.000000	14.400000	OIL BASED	1985-07-01	443	9999-12-31	2013-05-08	7263
24/6-1	4515.000000	1.920000	53.000000	12.000000	OIL BASED	1985-07-04	443	9999-12-31	2013-05-08	7264
24/6-1	4516.000000	1.920000	72.000000	13.000000	OIL BASED	1985-06-24	443	9999-12-31	2013-05-08	7265
24/6-1	4516.000000	1.920000	76.000000	14.000000	OIL BASED	1985-06-24	443	9999-12-31	2013-05-08	7266
24/6-1	4516.000000	1.920000	57.000000	15.000000	OIL BASED	1985-07-03	443	9999-12-31	2013-05-08	7267
24/6-1	4516.000000	1.920000	71.000000	14.000000	OIL BASED	1985-06-25	443	9999-12-31	2013-05-08	7268
24/6-1	4516.000000	1.920000	76.000000	14.000000	OIL BASED	1985-06-24	443	9999-12-31	2013-05-08	7269
24/6-1	4516.000000	1.920000	75.000000	14.000000	OIL BASED	1985-06-24	443	9999-12-31	2013-05-08	7270
24/6-1	4516.000000	1.920000	57.000000	15.000000	OIL BASED	1985-07-03	443	9999-12-31	2013-05-08	7271
24/6-1	4516.000000	1.920000	71.000000	14.000000	OIL BASED	1985-06-25	443	9999-12-31	2013-05-08	7272
24/6-1	4516.000000	1.920000	72.000000	13.000000	OIL BASED	1985-06-24	443	9999-12-31	2013-05-08	7273
24/6-1	4516.000000	1.920000	61.000000	13.000000	OIL BASED	1985-06-24	443	9999-12-31	2013-05-08	7274
24/6-1	4516.000000	1.920000	75.000000	14.000000	OIL BASED	1985-06-24	443	9999-12-31	2013-05-08	7275
24/6-1	4524.000000	1.940000	54.000000	12.000000	OIL BASED	1985-07-10	443	9999-12-31	2013-05-08	7276
24/6-1	4529.000000	1.940000	53.000000	12.000000	OIL BASED	1985-07-08	443	9999-12-31	2013-05-08	7277
24/6-1	4533.000000	1.940000	47.000000	9.000000	OIL BASED	1985-07-15	443	9999-12-31	2013-05-08	7278
24/6-1	4533.000000	1.940000	44.000000	9.000000	OIL BASED	1985-07-15	443	9999-12-31	2013-05-08	7279
24/6-1	4533.000000	1.940000	54.000000	12.000000	OIL BASED	1985-08-08	443	9999-12-31	2013-05-08	7280
24/6-1	4533.000000	1.940000	52.000000	11.000000	OIL BASED	1985-08-08	443	9999-12-31	2013-05-08	7281
24/6-1	4533.000000	1.940000	51.000000	11.000000	OIL BASED	1985-08-12	443	9999-12-31	2013-05-08	7282
24/6-1	4533.000000	1.920000	51.000000	11.000000	OIL BASED	1985-08-19	443	9999-12-31	2013-05-08	7283
24/6-1	4533.000000	1.920000	56.000000	14.000000	OIL BASED	1985-08-19	443	9999-12-31	2013-05-08	7284
24/6-1	4533.000000	1.940000	47.000000	9.000000	OIL BASED	1985-07-15	443	9999-12-31	2013-05-08	7285
24/6-1	4533.000000	1.940000	44.000000	9.000000	OIL BASED	1985-07-15	443	9999-12-31	2013-05-08	7286
24/6-1	4533.000000	1.940000	51.000000	11.000000	OIL BASED	1985-08-13	443	9999-12-31	2013-05-08	7287
24/6-1	4533.000000	1.940000	52.000000	11.000000	OIL BASED	1985-08-08	443	9999-12-31	2013-05-08	7288
24/6-1	4533.000000	1.940000	56.000000	14.000000	OIL BASED	1985-08-19	443	9999-12-31	2013-05-08	7289
24/6-1	4533.000000	1.940000	51.000000	11.000000	OIL BASED	1985-08-13	443	9999-12-31	2013-05-08	7290
24/6-1	4533.000000	1.940000	52.000000	11.000000	OIL BASED	1985-08-13	443	9999-12-31	2013-05-08	7291
24/6-1	4533.000000	1.940000	54.000000	10.000000	OIL BASED	1985-07-15	443	9999-12-31	2013-05-08	7292
24/6-1	4533.000000	1.940000	54.000000	12.000000	OIL BASED	1985-08-08	443	9999-12-31	2013-05-08	7293
24/6-1	4533.000000	1.940000	52.000000	11.000000	OIL BASED	1985-08-13	443	9999-12-31	2013-05-08	7294
24/6-1	4533.000000	1.940000	51.000000	11.000000	OIL BASED	1985-08-12	443	9999-12-31	2013-05-08	7295
24/6-1	4534.000000	1.940000	53.000000	24.000000	OIL BASED	1985-07-08	443	9999-12-31	2013-05-08	7296
24/6-1	4534.000000	1.940000	55.000000	13.000000	OIL BASED	1985-07-09	443	9999-12-31	2013-05-08	7297
24/6-1	4534.000000	1.940000	54.000000	12.000000	OIL BASED	1985-07-11	443	9999-12-31	2013-05-08	7298
24/6-1	4534.000000	1.940000	52.000000	11.000000	OIL BASED	1985-07-15	443	9999-12-31	2013-05-08	7299
24/6-1	4534.000000	1.940000	52.000000	11.000000	OIL BASED	1985-07-15	443	9999-12-31	2013-05-08	7300
24/6-1	4534.000000	1.940000	55.000000	13.000000	OIL BASED	1985-07-09	443	9999-12-31	2013-05-08	7301
24/6-1	4534.000000	1.940000	54.000000	12.000000	OIL BASED	1985-07-11	443	9999-12-31	2013-05-08	7302
24/6-1	4538.000000	1.940000	45.000000	9.000000	OIL BASED	1985-07-16	443	9999-12-31	2013-05-08	7303
24/6-1	4539.000000	1.940000	47.000000	10.000000	OIL BASED	1985-07-17	443	9999-12-31	2013-05-08	7304
24/6-1	4597.000000	1.940000	47.000000	9.000000	OIL BASED	1985-07-18	443	9999-12-31	2013-05-08	7305
24/6-1	4623.000000	1.940000	51.000000	10.000000	OIL BASED	1985-07-20	443	9999-12-31	2013-05-08	7306
24/6-1	4633.000000	1.940000	50.000000	10.000000	OIL BASED	1985-07-20	443	9999-12-31	2013-05-08	7307
24/6-1	4675.000000	1.940000	51.000000	9.000000	OIL BASED	1985-07-20	443	9999-12-31	2013-05-08	7308
24/6-1	4696.000000	1.940000	52.000000	9.000000	OIL BASED	1985-07-22	443	9999-12-31	2013-05-08	7309
24/6-1	4702.000000	1.940000	50.000000	8.500000	OIL BASED	1985-07-23	443	9999-12-31	2013-05-08	7310
24/6-1	4734.000000	1.940000	53.000000	20.000000	OIL BASED	1985-07-24	443	9999-12-31	2013-05-08	7311
24/6-1	4750.000000	1.940000	52.000000	15.000000	OIL BASED	1985-07-25	443	9999-12-31	2013-05-08	7312
24/6-1	4775.000000	1.940000	50.000000	10.000000	OIL BASED	1985-07-28	443	9999-12-31	2013-05-08	7313
24/6-1	4820.000000	1.940000	50.000000	18.000000	OIL BASED	1985-07-29	443	9999-12-31	2013-05-08	7314
24/6-1	4886.000000	1.940000	49.000000	8.000000	OIL BASED	1985-07-29	443	9999-12-31	2013-05-08	7315
24/6-1	4903.000000	1.940000	49.000000	8.500000	OIL BASED	1985-07-29	443	9999-12-31	2013-05-08	7316
24/6-1	4937.000000	1.940000	50.000000	8.500000	OIL BASED	1985-07-30	443	9999-12-31	2013-05-08	7317
24/6-1	4937.000000	1.940000	50.000000	8.500000	OIL BASED	1985-07-31	443	9999-12-31	2013-05-08	7318
24/6-1	4937.000000	1.940000	52.000000	9.500000	OIL BASED	1985-08-07	443	9999-12-31	2013-05-08	7319
24/6-1	4937.000000	1.940000	52.000000	9.500000	OIL BASED	1985-08-08	443	9999-12-31	2013-05-08	7320
24/6-1	4937.000000	1.940000	50.000000	8.500000	OIL BASED	1985-08-05	443	9999-12-31	2013-05-08	7321
24/6-1	4937.000000	1.940000	51.000000	8.500000	OIL BASED	1985-08-05	443	9999-12-31	2013-05-08	7322
24/6-1	4937.000000	1.940000	52.000000	9.500000	OIL BASED	1985-08-05	443	9999-12-31	2013-05-08	7323
24/6-1	4937.000000	1.940000	50.000000	8.500000	OIL BASED	1985-08-01	443	9999-12-31	2013-05-08	7324
24/6-1	4937.000000	1.940000	51.000000	11.000000	OIL BASED	1985-08-15	443	9999-12-31	2013-05-08	7325
24/6-1	4937.000000	1.940000	52.000000	9.500000	OIL BASED	1985-08-08	443	9999-12-31	2013-05-08	7326
24/6-1	4937.000000	1.940000	50.000000	8.500000	OIL BASED	1985-07-31	443	9999-12-31	2013-05-08	7327
24/6-1	4937.000000	1.940000	50.000000	8.500000	OIL BASED	1985-08-01	443	9999-12-31	2013-05-08	7328
24/6-1	4937.000000	1.940000	50.000000	8.500000	OIL BASED	1985-08-05	443	9999-12-31	2013-05-08	7329
24/6-1	4937.000000	1.940000	51.000000	8.500000	OIL BASED	1985-08-05	443	9999-12-31	2013-05-08	7330
24/6-1	4937.000000	1.940000	52.000000	9.500000	OIL BASED	1985-08-05	443	9999-12-31	2013-05-08	7331
24/6-1	4937.000000	1.940000	52.000000	9.500000	OIL BASED	1985-08-07	443	9999-12-31	2013-05-08	7332
24/6-1	4937.000000	1.940000	51.000000	11.000000	OIL BASED	1985-08-15	443	9999-12-31	2013-05-08	7333
24/6-2	488.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7334
24/6-2	1285.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7335
24/6-2	1331.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7336
24/6-2	1429.000000	1.360000	22.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7337
24/6-2	1802.000000	1.360000	25.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7338
24/6-2	1822.000000	1.250000	23.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7339
24/6-2	2010.000000	1.250000	29.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7340
24/6-2	2056.000000	1.260000	26.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7341
24/6-2	2102.000000	1.260000	25.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7342
24/6-2	2138.000000	1.250000	23.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7343
24/6-2	2174.000000	1.250000	22.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7344
24/6-2	2192.000000	1.250000	24.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7345
24/6-2	2303.000000	1.250000	20.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7346
24/6-2	2304.000000	1.250000	20.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7347
24/6-2	2593.000000	1.250000	22.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7348
24/6-2	2722.000000	0.000000	26.000000	0.000000	WATER BASED	9999-12-31	3397	9999-12-31	2013-05-08	7349
24/6-3	155.000000	1.050000	20.000000	0.000000	VISCOUS PILL	9999-12-31	4728	9999-12-31	2013-05-08	7350
24/6-3	206.000000	1.050000	20.000000	0.000000	VISCOUS PILL	9999-12-31	4728	9999-12-31	2013-05-08	7351
24/6-4	207.000000	1.200000	26.000000	0.000000	BENTONITE MUD	9999-12-31	4745	9999-12-31	2013-05-08	7352
24/6-4	268.000000	1.200000	26.000000	0.000000	BENTONITE MUD	9999-12-31	4745	9999-12-31	2013-05-08	7353
24/6-4	769.000000	1.200000	27.000000	0.000000	BENTONITE MUD	9999-12-31	4745	9999-12-31	2013-05-08	7354
24/6-4	813.000000	1.280000	22.000000	0.000000	OIL (ENVIRON)	9999-12-31	4745	9999-12-31	2013-05-08	7355
24/6-4	987.000000	1.220000	16.000000	0.000000	KCL	9999-12-31	4745	9999-12-31	2013-05-08	7356
24/6-4	1095.000000	1.250000	18.000000	0.000000	OIL (ENVIRON)	9999-12-31	4745	9999-12-31	2013-05-08	7357
24/6-4	1329.000000	1.200000	33.000000	0.000000	BENTONITE MUD	9999-12-31	4745	9999-12-31	2013-05-08	7358
24/6-4	1340.000000	1.280000	31.000000	0.000000	OIL (ENVIRON)	9999-12-31	4745	9999-12-31	2013-05-08	7359
24/6-4	1345.000000	1.200000	29.000000	0.000000	KCL 4%	9999-12-31	4745	9999-12-31	2013-05-08	7360
24/6-4	1780.000000	1.280000	20.000000	0.000000	OIL (ENVIRON)	9999-12-31	4745	9999-12-31	2013-05-08	7361
24/6-4	2124.000000	1.280000	22.000000	0.000000	OIL (ENVIRON)	9999-12-31	4745	9999-12-31	2013-05-08	7362
24/6-4	2325.000000	1.280000	21.000000	0.000000	OIL (ENVIRON)	9999-12-31	4745	9999-12-31	2013-05-08	7363
24/9-1	256.000000	1.010000	0.000000	0.000000	water mud	9999-12-31	344	9999-12-31	2013-05-08	7364
24/9-1	765.000000	1.100000	65.000000	0.000000	water based	9999-12-31	344	9999-12-31	2013-05-08	7365
24/9-1	1770.000000	1.250000	65.000000	0.000000	water based	9999-12-31	344	9999-12-31	2013-05-08	7366
24/9-1	2193.000000	1.250000	59.000000	0.000000	water based	9999-12-31	344	9999-12-31	2013-05-08	7367
24/9-1	2322.000000	1.310000	54.000000	0.000000	water based	9999-12-31	344	9999-12-31	2013-05-08	7368
24/9-1	2665.000000	1.310000	52.000000	0.000000	water based	9999-12-31	344	9999-12-31	2013-05-08	7369
24/9-1	2872.000000	1.260000	50.000000	0.000000	water based	9999-12-31	344	9999-12-31	2013-05-08	7370
24/9-1	3998.000000	1.660000	45.000000	0.000000	water based	9999-12-31	344	9999-12-31	2013-05-08	7371
24/9-1	4039.000000	1.790000	55.000000	0.000000	water based	9999-12-31	344	9999-12-31	2013-05-08	7372
24/9-2	207.000000	1.040000	120.000000	0.000000	water.based	9999-12-31	345	9999-12-31	2013-05-08	7373
24/9-2	520.000000	1.120000	42.000000	0.000000	water.based	9999-12-31	345	9999-12-31	2013-05-08	7374
24/9-2	840.000000	1.110000	33.000000	0.000000	water.based	9999-12-31	345	9999-12-31	2013-05-08	7375
24/9-2	1554.000000	1.170000	54.000000	0.000000	water.based	9999-12-31	345	9999-12-31	2013-05-08	7376
24/9-2	2136.000000	1.130000	48.000000	0.000000	water.based	9999-12-31	345	9999-12-31	2013-05-08	7377
24/9-2	2743.000000	1.310000	46.000000	0.000000	water.based	9999-12-31	345	9999-12-31	2013-05-08	7378
24/9-2	4850.000000	1.130000	48.000000	0.000000	water.based	9999-12-31	345	9999-12-31	2013-05-08	7379
24/9-3	450.000000	1.140000	200.000000	0.000000	spud mud	9999-12-31	346	9999-12-31	2013-05-08	7380
24/9-3	860.000000	1.040000	50.000000	0.000000	water based	9999-12-31	346	9999-12-31	2013-05-08	7381
24/9-3	1290.000000	1.110000	64.000000	0.000000	water based	9999-12-31	346	9999-12-31	2013-05-08	7382
24/9-3	1490.000000	1.110000	87.000000	0.000000	water based	9999-12-31	346	9999-12-31	2013-05-08	7383
24/9-3	1770.000000	1.230000	48.000000	0.000000	water based	9999-12-31	346	9999-12-31	2013-05-08	7384
24/9-3	1910.000000	1.320000	55.000000	0.000000	water based	9999-12-31	346	9999-12-31	2013-05-08	7385
24/9-3	2240.000000	1.310000	50.000000	0.000000	water based	9999-12-31	346	9999-12-31	2013-05-08	7386
24/9-3	2550.000000	1.250000	55.000000	0.000000	water based	9999-12-31	346	9999-12-31	2013-05-08	7387
24/9-3	2720.000000	1.250000	62.000000	0.000000	water based	9999-12-31	346	9999-12-31	2013-05-08	7388
24/9-3	2930.000000	1.200000	57.000000	0.000000	water based	9999-12-31	346	9999-12-31	2013-05-08	7389
24/9-4	170.000000	1.030000	130.000000	0.000000	WATER BASED	9999-12-31	1714	9999-12-31	2013-05-08	7390
24/9-4	210.000000	1.200000	31.000000	0.000000	WATER BASED	9999-12-31	1714	9999-12-31	2013-05-08	7391
24/9-4	650.000000	1.200000	31.000000	0.000000	WATER BASED	9999-12-31	1714	9999-12-31	2013-05-08	7392
24/9-4	756.000000	1.030000	140.000000	0.000000	WATER BASED	9999-12-31	1714	9999-12-31	2013-05-08	7393
24/9-4	1585.000000	1.410000	70.000000	0.000000	WATER BASED	9999-12-31	1714	9999-12-31	2013-05-08	7394
24/9-4	1654.000000	1.350000	75.000000	0.000000	WATER BASED	9999-12-31	1714	9999-12-31	2013-05-08	7395
24/9-4	1688.000000	1.130000	55.000000	0.000000	WATER BASED	9999-12-31	1714	9999-12-31	2013-05-08	7396
24/9-4	1903.000000	1.410000	63.000000	0.000000	WATER BASED	9999-12-31	1714	9999-12-31	2013-05-08	7397
24/9-4	1979.000000	1.410000	56.000000	0.000000	WATER BASED	9999-12-31	1714	9999-12-31	2013-05-08	7398
24/9-4	2208.000000	1.250000	53.000000	0.000000	WATER BASED	9999-12-31	1714	9999-12-31	2013-05-08	7399
24/9-5	240.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	2244	9999-12-31	2013-05-08	7400
24/9-5	580.000000	1.250000	100.000000	0.000000	WATER BASED	9999-12-31	2244	9999-12-31	2013-05-08	7401
24/9-5	1124.000000	1.170000	18.000000	0.000000	WATER BASED	9999-12-31	2244	9999-12-31	2013-05-08	7402
24/9-5	1377.000000	1.250000	23.000000	0.000000	WATER BASED	9999-12-31	2244	9999-12-31	2013-05-08	7403
24/9-5	1377.000000	1.220000	20.000000	0.000000	WATER BASED	9999-12-31	2244	9999-12-31	2013-05-08	7404
24/9-5	2203.000000	1.250000	23.000000	0.000000	DUMMY	9999-12-31	2244	9999-12-31	2013-05-08	7405
24/9-5	2860.000000	1.250000	21.000000	0.000000	DUMMY	9999-12-31	2244	9999-12-31	2013-05-08	7406
24/9-6	190.000000	1.060000	0.000000	0.000000	WATER BASED	1994-02-04	2288	9999-12-31	2013-05-08	7407
24/9-6	254.000000	1.060000	0.000000	0.000000	WATER BASED	1994-02-08	2288	9999-12-31	2013-05-08	7408
24/9-6	254.000000	1.060000	0.000000	0.000000	WATER BASED	1994-02-09	2288	9999-12-31	2013-05-08	7409
24/9-6	254.000000	1.010000	0.000000	0.000000	WATER BASED	1994-02-10	2288	9999-12-31	2013-05-08	7410
24/9-6	254.000000	1.060000	0.000000	0.000000	WATER BASED	1994-02-07	2288	9999-12-31	2013-05-08	7411
24/9-6	254.000000	1.060000	0.000000	0.000000	WATER BASED	1994-02-07	2288	9999-12-31	2013-05-08	7412
24/9-6	254.000000	1.060000	0.000000	0.000000	WATER BASED	1994-02-07	2288	9999-12-31	2013-05-08	7413
24/9-6	390.000000	1.060000	0.000000	0.000000	WATER BASED	1994-02-02	2288	9999-12-31	2013-05-08	7414
24/9-6	614.000000	1.060000	0.000000	0.000000	WATER BASED	1994-02-03	2288	9999-12-31	2013-05-08	7415
24/9-6	741.000000	1.010000	0.000000	0.000000	WATER BASED	1994-02-11	2288	9999-12-31	2013-05-08	7416
24/9-6	1206.000000	1.030000	24.000000	19.000000	WATER BASED	1994-02-14	2288	9999-12-31	2013-05-08	7417
24/9-6	1286.000000	1.130000	39.000000	18.000000	WATER BASED	1994-02-16	2288	9999-12-31	2013-05-08	7418
24/9-6	1286.000000	1.250000	20.000000	10.000000	WATER BASED	1994-02-14	2288	9999-12-31	2013-05-08	7419
24/9-6	1286.000000	1.130000	39.000000	18.000000	WATER BASED	1994-02-15	2288	9999-12-31	2013-05-08	7420
24/9-6	1286.000000	1.400000	34.000000	11.000000	WATER BASED	1994-02-17	2288	9999-12-31	2013-05-08	7421
24/9-6	1286.000000	1.410000	34.000000	11.000000	WATER BASED	1994-02-18	2288	9999-12-31	2013-05-08	7422
24/9-6	1355.000000	1.400000	53.000000	12.000000	\N	1994-02-21	2288	9999-12-31	2013-05-08	7423
24/9-6	1711.000000	1.500000	57.000000	13.000000	DUMMY	1994-02-21	2288	9999-12-31	2013-05-08	7424
24/9-6	1948.000000	1.500000	34.000000	14.000000	DUMMY	1994-02-21	2288	9999-12-31	2013-05-08	7425
24/9-6	1963.000000	1.500000	45.000000	12.000000	DUMMY	1994-02-22	2288	9999-12-31	2013-05-08	7426
24/9-6	1963.000000	1.550000	39.000000	24.000000	DUMMY	1994-02-23	2288	9999-12-31	2013-05-08	7427
24/9-6	1963.000000	1.400000	27.000000	11.000000	DUMMY	1994-02-24	2288	9999-12-31	2013-05-08	7428
24/9-6	1963.000000	1.150000	17.000000	7.000000	DUMMY	1994-02-25	2288	9999-12-31	2013-05-08	7429
24/9-6	2015.000000	1.160000	19.000000	10.000000	\N	1994-02-28	2288	9999-12-31	2013-05-08	7430
24/9-6	2033.000000	1.160000	18.000000	12.000000	DUMMY	1994-02-28	2288	9999-12-31	2013-05-08	7431
24/9-6	2087.000000	1.160000	20.000000	13.000000	DUMMY	1994-03-01	2288	9999-12-31	2013-05-08	7432
24/9-6	2255.000000	1.170000	22.000000	15.000000	DUMMY	1994-03-01	2288	9999-12-31	2013-05-08	7433
24/9-6	2255.000000	1.170000	22.000000	13.000000	DUMMY	1994-03-02	2288	9999-12-31	2013-05-08	7434
24/9-6	2255.000000	1.180000	22.000000	15.000000	DUMMY	1994-03-03	2288	9999-12-31	2013-05-08	7435
24/9-6	2255.000000	1.180000	21.000000	15.000000	DUMMY	1994-03-04	2288	9999-12-31	2013-05-08	7436
24/9-7	212.000000	1.300000	0.000000	0.000000	HIVIS GEL MUD	9999-12-31	4910	9999-12-31	2013-05-08	7437
24/9-7	565.000000	1.300000	0.000000	0.000000	HIVIS GEL MUD	9999-12-31	4910	9999-12-31	2013-05-08	7438
24/9-7	953.000000	1.200000	26.000000	0.000000	GLYDRILL MUD	9999-12-31	4910	9999-12-31	2013-05-08	7439
24/9-7	1060.000000	1.270000	30.000000	0.000000	VERSAVERT OBM	9999-12-31	4910	9999-12-31	2013-05-08	7440
24/9-7	1915.000000	1.300000	29.000000	0.000000	VERSAVERT OBM	9999-12-31	4910	9999-12-31	2013-05-08	7441
24/9-7	2280.000000	1.300000	26.000000	0.000000	VERSAVERT OBM	9999-12-31	4910	9999-12-31	2013-05-08	7442
24/9-7 A	1147.000000	1.310000	26.000000	0.000000	VERSAVERT OBM	9999-12-31	4919	9999-12-31	2013-05-08	7443
24/9-7 A	1350.000000	1.300000	26.000000	0.000000	VERSAVERT OBM	9999-12-31	4919	9999-12-31	2013-05-08	7444
24/9-7 A	1978.000000	1.300000	23.000000	0.000000	VERSAVERT OBM	9999-12-31	4919	9999-12-31	2013-05-08	7445
24/9-7 A	2230.000000	1.300000	24.000000	0.000000	VERSAVERT OBM	9999-12-31	4919	9999-12-31	2013-05-08	7446
24/9-7 B	1147.000000	1.310000	26.000000	0.000000	VERSAVERT OBM	9999-12-31	4926	9999-12-31	2013-05-08	7447
24/9-7 B	1350.000000	1.300000	26.000000	0.000000	VERSAVERT OBM	9999-12-31	4926	9999-12-31	2013-05-08	7448
24/9-7 B	1866.000000	1.300000	24.000000	0.000000	VERSAVERT OBM	9999-12-31	4926	9999-12-31	2013-05-08	7449
24/9-7 B	1978.000000	1.300000	23.000000	0.000000	VERSAVERT OBM	9999-12-31	4926	9999-12-31	2013-05-08	7450
24/9-7 B	2230.000000	1.300000	24.000000	0.000000	VERSAVERT OBM	9999-12-31	4926	9999-12-31	2013-05-08	7451
24/9-7 C	1009.000000	1.320000	28.000000	0.000000	VERSAVERT OBM	9999-12-31	4930	9999-12-31	2013-05-08	7452
24/9-7 C	1757.000000	1.340000	30.000000	0.000000	VERSAVERT OBM	9999-12-31	4930	9999-12-31	2013-05-08	7453
24/9-7 C	2363.000000	1.340000	28.000000	0.000000	VERSAVERT OBM	9999-12-31	4930	9999-12-31	2013-05-08	7454
24/9-8	415.000000	1.300000	60.000000	0.000000	WATER BASED	9999-12-31	5563	9999-12-31	2013-05-08	7455
24/9-8	775.000000	1.250000	75.000000	0.000000	WATER BASED	9999-12-31	5563	9999-12-31	2013-05-08	7456
24/9-8	818.000000	1.100000	67.000000	0.000000	WATER BASED	9999-12-31	5563	9999-12-31	2013-05-08	7457
24/9-8	927.000000	1.120000	70.000000	0.000000	WATER BASED	9999-12-31	5563	9999-12-31	2013-05-08	7458
24/9-9 A	2731.000000	1.400000	45.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6239	9999-12-31	2013-05-08	7459
24/9-9 A	2981.000000	1.400000	39.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6239	9999-12-31	2013-05-08	7460
24/9-9 B	1107.000000	1.350000	42.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6254	9999-12-31	2013-05-08	7461
24/9-9 B	1690.000000	1.350000	37.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6254	9999-12-31	2013-05-08	7462
24/9-9 B	2340.000000	1.390000	40.000000	0.000000	Raised mudweight from 1.35 sg to	9999-12-31	6254	9999-12-31	2013-05-08	7463
24/9-9 B	2973.000000	1.390000	41.000000	0.000000	Treated active with Fordacal 100	9999-12-31	6254	9999-12-31	2013-05-08	7464
24/9-9 B	3005.000000	1.390000	41.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6254	9999-12-31	2013-05-08	7465
24/9-9 S	920.000000	1.400000	38.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6222	9999-12-31	2013-05-08	7466
24/9-9 S	1335.000000	1.350000	35.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6222	9999-12-31	2013-05-08	7467
24/9-9 S	2385.000000	1.390000	31.000000	0.000000	Added lime and paravis to active	9999-12-31	6222	9999-12-31	2013-05-08	7468
24/9-9 S	2402.000000	1.390000	32.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6222	9999-12-31	2013-05-08	7469
24/9-9 S	2402.000000	1.390000	33.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6222	9999-12-31	2013-05-08	7470
24/9-9 S	2402.000000	1.390000	33.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6222	9999-12-31	2013-05-08	7471
24/9-9 S	2402.000000	1.390000	31.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6222	9999-12-31	2013-05-08	7472
24/9-9 S	2402.000000	1.390000	33.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6222	9999-12-31	2013-05-08	7473
24/9-9 S	2402.000000	1.390000	33.000000	0.000000	Backloaded 117m3 OBM, 78m3 WBM	9999-12-31	6222	9999-12-31	2013-05-08	7474
25/10-1	162.000000	1.000000	0.000000	0.000000	sea water	9999-12-31	441	9999-12-31	2013-05-08	7475
25/10-1	380.000000	1.010000	0.000000	0.000000	sea water	9999-12-31	441	9999-12-31	2013-05-08	7476
25/10-1	1045.000000	0.000000	0.000000	0.000000	spersen	9999-12-31	441	9999-12-31	2013-05-08	7477
25/10-1	1370.000000	1.130000	0.000000	0.000000	spersen	9999-12-31	441	9999-12-31	2013-05-08	7478
25/10-1	1754.000000	1.140000	0.000000	0.000000	spersen	9999-12-31	441	9999-12-31	2013-05-08	7479
25/10-1 R	2092.000000	0.000000	0.000000	0.000000	spersen/wat	9999-12-31	512	9999-12-31	2013-05-08	7480
25/10-10	490.000000	1.430000	29.000000	0.000000	Glydril	9999-12-31	6345	9999-12-31	2013-05-08	7481
25/10-10	812.000000	1.050000	25.000000	0.000000	Sweeps	9999-12-31	6345	9999-12-31	2013-05-08	7482
25/10-10	1142.000000	1.390000	9.000000	0.000000	Sweeps	9999-12-31	6345	9999-12-31	2013-05-08	7483
25/10-10	1729.000000	1.440000	18.000000	0.000000	Glydril	9999-12-31	6345	9999-12-31	2013-05-08	7484
25/10-10	2461.000000	1.430000	26.000000	0.000000	Glydril	9999-12-31	6345	9999-12-31	2013-05-08	7485
25/10-10	2553.000000	1.440000	27.000000	0.000000	Glydril	9999-12-31	6345	9999-12-31	2013-05-08	7486
25/10-10	2553.000000	1.430000	26.000000	0.000000	Glydril	9999-12-31	6345	9999-12-31	2013-05-08	7487
25/10-2 R	150.000000	0.000000	0.000000	0.000000	SEAWATER	9999-12-31	511	9999-12-31	2013-05-08	7488
25/10-2 R	400.000000	0.000000	0.000000	0.000000	SEAWATER	9999-12-31	511	9999-12-31	2013-05-08	7489
25/10-2 R	1031.000000	0.000000	0.000000	0.000000	FRESHWATER	9999-12-31	511	9999-12-31	2013-05-08	7490
25/10-2 R	3181.000000	0.000000	0.000000	0.000000	FRESHWATER	9999-12-31	511	9999-12-31	2013-05-08	7491
25/10-3	173.000000	0.000000	0.000000	0.000000	waterbased	9999-12-31	182	9999-12-31	2013-05-08	7492
25/10-3	386.000000	0.000000	0.000000	0.000000	waterbased	9999-12-31	182	9999-12-31	2013-05-08	7493
25/10-3	942.000000	0.000000	0.000000	0.000000	waterbased	9999-12-31	182	9999-12-31	2013-05-08	7494
25/10-4	460.000000	1.100000	35.000000	0.000000	seawater	9999-12-31	217	9999-12-31	2013-05-08	7495
25/10-4	730.000000	1.080000	51.000000	0.000000	seawater	9999-12-31	217	9999-12-31	2013-05-08	7496
25/10-4	1160.000000	1.070000	38.000000	0.000000	waterbased	9999-12-31	217	9999-12-31	2013-05-08	7497
25/10-4	1450.000000	1.120000	39.000000	0.000000	waterbased	9999-12-31	217	9999-12-31	2013-05-08	7498
25/10-4	1750.000000	1.100000	44.000000	0.000000	waterbased	9999-12-31	217	9999-12-31	2013-05-08	7499
25/10-4	1910.000000	1.150000	48.000000	0.000000	waterbased	9999-12-31	217	9999-12-31	2013-05-08	7500
25/10-4	2120.000000	1.200000	51.000000	0.000000	waterbased	9999-12-31	217	9999-12-31	2013-05-08	7501
25/10-4 R	2120.000000	1.200000	51.000000	0.000000	waterbased	9999-12-31	510	9999-12-31	2013-05-08	7502
25/10-5	500.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	365	9999-12-31	2013-05-08	7503
25/10-5	1220.000000	1.080000	0.000000	0.000000	seawater	9999-12-31	365	9999-12-31	2013-05-08	7504
25/10-5	1656.000000	1.170000	0.000000	0.000000	seawater	9999-12-31	365	9999-12-31	2013-05-08	7505
25/10-5	2011.000000	1.250000	0.000000	0.000000	seawater	9999-12-31	365	9999-12-31	2013-05-08	7506
25/10-6 S	1024.000000	1.470000	21.000000	0.000000	ANCO 2000	9999-12-31	2728	9999-12-31	2013-05-08	7507
25/10-6 S	1024.000000	1.470000	21.000000	0.000000	ANCO 2000	9999-12-31	2728	9999-12-31	2013-05-08	7508
25/10-6 S	1562.000000	1.410000	18.000000	0.000000	ANCO 2000	9999-12-31	2728	9999-12-31	2013-05-08	7509
25/10-6 S	1700.000000	1.470000	20.000000	0.000000	ANCO 2000	9999-12-31	2728	9999-12-31	2013-05-08	7510
25/10-6 S	1860.000000	1.470000	20.000000	0.000000	ANCO 2000	9999-12-31	2728	9999-12-31	2013-05-08	7511
25/10-6 S	2085.000000	1.470000	21.000000	0.000000	ANCO 2000	9999-12-31	2728	9999-12-31	2013-05-08	7512
25/10-6 S	2216.000000	1.470000	21.000000	0.000000	ANCO 2000	9999-12-31	2728	9999-12-31	2013-05-08	7513
25/10-6 S	2217.000000	1.470000	22.000000	0.000000	ANCO 2000	9999-12-31	2728	9999-12-31	2013-05-08	7514
25/10-6 S	2250.000000	1.470000	19.000000	0.000000	ANCO 2000	9999-12-31	2728	9999-12-31	2013-05-08	7515
25/10-6 S	2668.000000	1.300000	36.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7516
25/10-6 S	2719.000000	1.330000	40.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7517
25/10-6 S	2791.000000	1.350000	44.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7518
25/10-6 S	2859.000000	1.360000	34.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7519
25/10-6 S	2870.000000	1.360000	34.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7520
25/10-6 S	2982.000000	1.370000	31.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7521
25/10-6 S	3034.000000	1.370000	32.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7522
25/10-6 S	3132.000000	1.380000	34.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7523
25/10-6 S	3154.000000	1.380000	35.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7524
25/10-6 S	3303.000000	1.370000	37.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7525
25/10-6 S	3371.000000	1.380000	34.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7526
25/10-6 S	3458.000000	1.380000	36.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7527
25/10-6 S	3481.000000	1.380000	36.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7528
25/10-6 S	3614.000000	1.380000	35.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7529
25/10-6 S	3650.000000	1.380000	33.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7530
25/10-6 S	3782.000000	1.410000	35.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7531
25/10-6 S	3827.000000	1.410000	34.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7532
25/10-6 S	4049.000000	1.850000	43.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7533
25/10-6 S	4052.000000	1.850000	48.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7534
25/10-6 S	4208.000000	1.910000	47.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7535
25/10-6 S	4320.000000	1.950000	54.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7536
25/10-6 S	4337.000000	1.950000	50.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7537
25/10-6 S	4339.000000	1.950000	48.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7538
25/10-6 S	4350.000000	1.950000	46.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7539
25/10-6 S	4360.000000	1.950000	46.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7540
25/10-6 S	4403.000000	1.950000	49.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7541
25/10-6 S	4424.000000	1.950000	48.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7542
25/10-6 S	4430.000000	1.950000	48.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7543
25/10-6 S	4480.000000	1.950000	49.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7544
25/10-6 S	4514.000000	1.950000	48.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7545
25/10-6 S	4548.000000	1.950000	46.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7546
25/10-6 S	4611.000000	1.950000	46.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7547
25/10-6 S	4662.000000	1.950000	45.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7548
25/10-6 S	4702.000000	1.950000	47.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7549
25/10-6 S	4706.000000	1.950000	47.000000	0.000000	ANCO VERT	9999-12-31	2728	9999-12-31	2013-05-08	7550
25/10-7 S	985.000000	1.390000	43.000000	0.000000	OIL BASED	9999-12-31	2769	9999-12-31	2013-05-08	7551
25/10-7 S	1102.000000	1.370000	32.000000	0.000000	OIL BASED	9999-12-31	2769	9999-12-31	2013-05-08	7552
25/10-7 S	1710.000000	0.170000	47.000000	0.000000	OIL BASED	9999-12-31	2769	9999-12-31	2013-05-08	7553
25/10-7 S	2200.000000	1.370000	43.000000	0.000000	OIL BASED	9999-12-31	2769	9999-12-31	2013-05-08	7554
25/10-7 S	2230.000000	0.170000	37.000000	0.000000	OIL BASED	9999-12-31	2769	9999-12-31	2013-05-08	7555
25/10-7 S	2265.000000	1.390000	41.000000	0.000000	OIL BASED	9999-12-31	2769	9999-12-31	2013-05-08	7556
25/10-7 S	2306.000000	1.370000	41.000000	0.000000	OIL BASED	9999-12-31	2769	9999-12-31	2013-05-08	7557
25/10-7 S	2380.000000	1.380000	34.000000	0.000000	OIL BASED	9999-12-31	2769	9999-12-31	2013-05-08	7558
25/10-7 S	2504.000000	1.370000	35.000000	0.000000	OIL BASED	9999-12-31	2769	9999-12-31	2013-05-08	7559
25/10-7 S	2547.000000	1.380000	36.000000	0.000000	OIL BASED	9999-12-31	2769	9999-12-31	2013-05-08	7560
25/10-7 S	2617.000000	1.390000	40.000000	0.000000	OIL BASED	9999-12-31	2769	9999-12-31	2013-05-08	7561
25/10-8	200.000000	1.750000	0.000000	0.000000	spud mud	9999-12-31	2955	9999-12-31	2013-05-08	7562
25/10-8	200.000000	1.750000	0.000000	0.000000	low solids	9999-12-31	2955	9999-12-31	2013-05-08	7563
25/10-8	1034.000000	1.750000	0.000000	0.000000	low solids	9999-12-31	2955	9999-12-31	2013-05-08	7564
25/10-8	1080.000000	1.400000	36.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7565
25/10-8	1081.000000	1.740000	0.000000	0.000000	low solids	9999-12-31	2955	9999-12-31	2013-05-08	7566
25/10-8	1081.000000	1.400000	36.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7567
25/10-8	1083.000000	1.330000	30.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7568
25/10-8	1184.000000	1.320000	32.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7569
25/10-8	1492.000000	1.320000	37.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7570
25/10-8	1581.000000	1.320000	34.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7571
25/10-8	1770.000000	1.320000	35.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7572
25/10-8	1884.000000	1.320000	33.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7573
25/10-8	2080.000000	1.320000	34.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7574
25/10-8	2092.000000	1.320000	32.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7575
25/10-8	2107.000000	1.320000	30.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7576
25/10-8	2249.000000	1.320000	32.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7577
25/10-8	2360.000000	1.320000	32.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7578
25/10-8	2518.000000	1.320000	33.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7579
25/10-8	2545.000000	1.320000	33.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7580
25/10-8	2610.000000	1.320000	30.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7581
25/10-8	2653.000000	1.320000	28.000000	0.000000	oil based	9999-12-31	2955	9999-12-31	2013-05-08	7582
25/10-8 A	200.000000	1.750000	0.000000	0.000000	low solids	9999-12-31	3098	9999-12-31	2013-05-08	7583
25/10-8 A	200.000000	1.750000	0.000000	0.000000	spud mud	9999-12-31	3098	9999-12-31	2013-05-08	7584
25/10-8 A	1034.000000	1.750000	0.000000	0.000000	low solids	9999-12-31	3098	9999-12-31	2013-05-08	7585
25/10-8 A	1081.000000	1.740000	35.000000	50.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7586
25/10-8 A	1244.000000	1.300000	34.000000	0.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7587
25/10-8 A	1939.000000	1.300000	36.000000	0.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7588
25/10-8 A	2347.000000	1.300000	38.000000	60.500000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7589
25/10-8 A	2465.000000	1.400000	48.000000	52.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7590
25/10-8 A	2943.000000	1.300000	37.000000	54.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7591
25/10-8 A	2959.000000	1.400000	43.000000	54.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7592
25/10-8 A	3103.000000	1.380000	37.000000	58.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7593
25/10-8 A	3110.000000	1.380000	38.000000	56.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7594
25/10-8 A	3148.000000	1.380000	39.000000	54.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7595
25/10-8 A	3165.000000	1.380000	36.000000	54.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7596
25/10-8 A	3202.000000	1.380000	35.000000	50.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7597
25/10-8 A	3348.000000	1.380000	35.000000	48.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7598
25/10-8 A	3385.000000	1.400000	35.000000	0.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7599
25/10-8 A	3460.000000	1.380000	38.000000	52.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7600
25/10-8 A	3460.000000	1.440000	36.000000	50.000000	oil based	9999-12-31	3098	9999-12-31	2013-05-08	7601
25/10-9	162.000000	1.500000	0.000000	0.000000	Water	9999-12-31	6120	9999-12-31	2013-05-08	7602
25/10-9	227.000000	1.500000	0.000000	0.000000	Water	9999-12-31	6120	9999-12-31	2013-05-08	7603
25/10-9	794.000000	1.300000	0.000000	0.000000	Water	9999-12-31	6120	9999-12-31	2013-05-08	7604
25/10-9	794.000000	1.050000	0.000000	0.000000	Water	9999-12-31	6120	9999-12-31	2013-05-08	7605
25/10-9	794.000000	1.050000	0.000000	0.000000	Water	9999-12-31	6120	9999-12-31	2013-05-08	7606
25/10-9	1884.000000	1.300000	0.000000	0.000000	Water	9999-12-31	6120	9999-12-31	2013-05-08	7607
25/10-9	2085.000000	1.340000	0.000000	0.000000	Water	9999-12-31	6120	9999-12-31	2013-05-08	7608
25/10-9	2472.000000	1.390000	0.000000	0.000000	Water	9999-12-31	6120	9999-12-31	2013-05-08	7609
25/10-9	2985.000000	1.250000	0.000000	0.000000	Water	9999-12-31	6120	9999-12-31	2013-05-08	7610
25/1-1	0.000000	1.680000	65.000000	0.000000	waterbased	9999-12-31	190	9999-12-31	2013-05-08	7611
25/1-1	490.000000	1.250000	65.000000	0.000000	waterbased	9999-12-31	190	9999-12-31	2013-05-08	7612
25/1-1	1846.000000	1.300000	60.000000	0.000000	waterbased	9999-12-31	190	9999-12-31	2013-05-08	7613
25/1-1	2371.000000	1.250000	44.000000	0.000000	waterbased	9999-12-31	190	9999-12-31	2013-05-08	7614
25/1-1	3195.000000	1.650000	56.000000	0.000000	waterbased	9999-12-31	190	9999-12-31	2013-05-08	7615
25/1-1	4029.000000	1.680000	65.000000	0.000000	waterbased	9999-12-31	190	9999-12-31	2013-05-08	7616
25/1-1	4455.000000	1.900000	60.000000	0.000000	waterbased	9999-12-31	190	9999-12-31	2013-05-08	7617
25/1-11	217.000000	1.390000	0.000000	0.000000	Hi-vis	9999-12-31	6187	9999-12-31	2013-05-08	7618
25/1-11	665.000000	1.040000	0.000000	0.000000	Hi-vis	9999-12-31	6187	9999-12-31	2013-05-08	7619
25/1-11	1179.000000	1.360000	19.000000	0.000000	Hi-vis	9999-12-31	6187	9999-12-31	2013-05-08	7620
25/1-11	1219.000000	1.290000	21.000000	0.000000	Glydril	9999-12-31	6187	9999-12-31	2013-05-08	7621
25/1-11	1219.000000	1.290000	21.000000	0.000000	Glydril	9999-12-31	6187	9999-12-31	2013-05-08	7622
25/1-11	2137.000000	1.390000	20.000000	0.000000	Glydril	9999-12-31	6187	9999-12-31	2013-05-08	7623
25/1-11	2378.000000	1.200000	19.000000	0.000000	Glydril	9999-12-31	6187	9999-12-31	2013-05-08	7624
25/1-11	2410.000000	1.390000	41.000000	0.000000	Versatec OBM	9999-12-31	6187	9999-12-31	2013-05-08	7625
25/11-1	369.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	143	9999-12-31	2013-05-08	7626
25/11-1	1213.000000	0.000000	0.000000	0.000000	waterbased	9999-12-31	143	9999-12-31	2013-05-08	7627
25/1-11 A	1143.000000	1.240000	22.000000	0.000000	Glydril	9999-12-31	6376	9999-12-31	2013-05-08	7628
25/1-11 A	1328.000000	1.390000	34.000000	0.000000	Versatec	9999-12-31	6376	9999-12-31	2013-05-08	7629
25/1-11 A	1736.000000	1.390000	36.000000	0.000000	Versatec OBM	9999-12-31	6376	9999-12-31	2013-05-08	7630
25/1-11 A	1978.000000	1.210000	20.000000	0.000000	Glydril	9999-12-31	6376	9999-12-31	2013-05-08	7631
25/1-11 A	2450.000000	1.390000	33.000000	0.000000	Versatec OBM	9999-12-31	6376	9999-12-31	2013-05-08	7632
25/11-10	310.000000	1.060000	29.000000	0.000000	waterbased	9999-12-31	370	9999-12-31	2013-05-08	7633
25/11-10	640.000000	1.090000	33.000000	0.000000	waterbased	9999-12-31	370	9999-12-31	2013-05-08	7634
25/11-10	1210.000000	1.150000	44.000000	0.000000	waterbased	9999-12-31	370	9999-12-31	2013-05-08	7635
25/11-10	1400.000000	1.160000	47.000000	0.000000	waterbased	9999-12-31	370	9999-12-31	2013-05-08	7636
25/11-10	1870.000000	1.190000	52.000000	0.000000	waterbased	9999-12-31	370	9999-12-31	2013-05-08	7637
25/11-11	310.000000	1.060000	42.000000	0.000000	waterbased	9999-12-31	371	9999-12-31	2013-05-08	7638
25/11-11	610.000000	1.110000	45.000000	0.000000	waterbased	9999-12-31	371	9999-12-31	2013-05-08	7639
25/11-11	1080.000000	1.080000	38.000000	0.000000	waterbased	9999-12-31	371	9999-12-31	2013-05-08	7640
25/11-11	1340.000000	1.150000	46.000000	0.000000	waterbased	9999-12-31	371	9999-12-31	2013-05-08	7641
25/11-12	340.000000	1.080000	47.000000	0.000000	waterbased	9999-12-31	372	9999-12-31	2013-05-08	7642
25/11-12	770.000000	1.100000	40.000000	0.000000	waterbased	9999-12-31	372	9999-12-31	2013-05-08	7643
25/11-12	1450.000000	1.180000	45.000000	0.000000	waterbased	9999-12-31	372	9999-12-31	2013-05-08	7644
25/11-12	1840.000000	1.190000	46.000000	0.000000	waterbased	9999-12-31	372	9999-12-31	2013-05-08	7645
25/11-13	230.000000	1.060000	75.000000	0.000000	waterbased	9999-12-31	373	9999-12-31	2013-05-08	7646
25/11-13	810.000000	1.070000	43.000000	0.000000	waterbased	9999-12-31	373	9999-12-31	2013-05-08	7647
25/11-13	1360.000000	1.180000	51.000000	0.000000	waterbased	9999-12-31	373	9999-12-31	2013-05-08	7648
25/11-13	1860.000000	1.200000	53.000000	0.000000	waterbased	9999-12-31	373	9999-12-31	2013-05-08	7649
25/11-14 S	744.000000	1.160000	18.000000	8.600000	WATER BASED	1990-09-27	1672	9999-12-31	2013-05-08	7650
25/11-14 S	950.000000	1.180000	18.000000	7.200000	WATER BASED	1990-09-28	1672	9999-12-31	2013-05-08	7651
25/11-14 S	1196.000000	1.160000	15.000000	6.700000	WATER BASED	1990-10-01	1672	9999-12-31	2013-05-08	7652
25/11-14 S	1254.000000	1.180000	18.000000	10.500000	WATER BASED	1990-10-01	1672	9999-12-31	2013-05-08	7653
25/11-14 S	1433.000000	1.160000	19.000000	8.100000	WATER BASED	1990-10-01	1672	9999-12-31	2013-05-08	7654
25/11-14 S	1572.000000	1.500000	20.000000	9.600000	WATER BASED	1990-10-22	1672	9999-12-31	2013-05-08	7655
25/11-14 S	1576.000000	1.180000	18.000000	9.100000	WATER BASED	1990-10-04	1672	9999-12-31	2013-05-08	7656
25/11-14 S	1576.000000	1.180000	17.000000	8.100000	WATER BASED	1990-10-03	1672	9999-12-31	2013-05-08	7657
25/11-14 S	1576.000000	1.160000	18.000000	9.600000	WATER BASED	1991-01-02	1672	9999-12-31	2013-05-08	7658
25/11-14 S	1576.000000	1.160000	18.000000	9.600000	WATER BASED	1990-10-02	1672	9999-12-31	2013-05-08	7659
25/11-14 S	1640.000000	1.200000	16.000000	9.600000	WATER BASED	1990-10-05	1672	9999-12-31	2013-05-08	7660
25/11-14 S	1795.000000	1.500000	25.000000	14.400000	WATER BASED	1990-10-22	1672	9999-12-31	2013-05-08	7661
25/11-14 S	1859.000000	1.260000	24.000000	13.900000	WATER BASED	1990-10-08	1672	9999-12-31	2013-05-08	7662
25/11-14 S	1869.000000	1.260000	20.000000	13.400000	WATER BASED	1990-10-08	1672	9999-12-31	2013-05-08	7663
25/11-14 S	1881.000000	1.260000	23.000000	14.400000	WATER BASED	1990-10-08	1672	9999-12-31	2013-05-08	7664
25/11-14 S	1886.000000	1.260000	21.000000	13.900000	WATER BASED	1990-10-09	1672	9999-12-31	2013-05-08	7665
25/11-14 S	1908.000000	1.260000	21.000000	13.800000	WATER BASED	1990-10-11	1672	9999-12-31	2013-05-08	7666
25/11-14 S	1908.000000	1.260000	23.000000	14.800000	WATER BASED	1990-10-10	1672	9999-12-31	2013-05-08	7667
25/11-14 S	1908.000000	1.260000	19.000000	10.500000	WATER BASED	1990-10-18	1672	9999-12-31	2013-05-08	7668
25/11-14 S	1908.000000	1.260000	19.000000	10.500000	WATER BASED	1990-10-18	1672	9999-12-31	2013-05-08	7669
25/11-14 S	1908.000000	1.260000	20.000000	12.000000	WATER BASED	1990-10-15	1672	9999-12-31	2013-05-08	7670
25/11-14 S	1908.000000	1.260000	20.000000	12.000000	WATER BASED	1990-10-15	1672	9999-12-31	2013-05-08	7671
25/11-14 S	1908.000000	1.260000	17.000000	9.600000	WATER BASED	1990-10-15	1672	9999-12-31	2013-05-08	7672
25/11-14 S	1908.000000	1.260000	17.000000	11.900000	WATER BASED	1990-10-12	1672	9999-12-31	2013-05-08	7673
25/11-14 S	1908.000000	1.260000	19.000000	10.500000	WATER BASED	1990-10-22	1672	9999-12-31	2013-05-08	7674
25/11-14 S	1908.000000	1.260000	19.000000	10.500000	WATER BASED	1990-10-16	1672	9999-12-31	2013-05-08	7675
25/11-14 S	1913.000000	1.500000	26.000000	13.000000	WATER BASED	1990-10-22	1672	9999-12-31	2013-05-08	7676
25/11-14 S	2002.000000	1.500000	28.000000	13.900000	WATER BASED	1990-10-23	1672	9999-12-31	2013-05-08	7677
25/11-14 S	2010.000000	1.500000	25.000000	13.400000	WATER BASED	1990-10-24	1672	9999-12-31	2013-05-08	7678
25/11-14 S	2010.000000	1.500000	27.000000	14.400000	WATER BASED	1990-10-25	1672	9999-12-31	2013-05-08	7679
25/11-14 S	2027.000000	1.500000	26.000000	13.400000	WATER BASED	1990-10-26	1672	9999-12-31	2013-05-08	7680
25/11-14 S	2035.000000	1.500000	27.000000	14.800000	WATER BASED	1990-10-29	1672	9999-12-31	2013-05-08	7681
25/11-14 S	2065.000000	1.070000	0.000000	0.000000	WATER BASED	1990-11-12	1672	9999-12-31	2013-05-08	7682
25/11-14 S	2065.000000	1.080000	0.000000	0.000000	WATER BASED	1990-11-12	1672	9999-12-31	2013-05-08	7683
25/11-14 S	2066.000000	1.070000	0.000000	0.000000	WATER BASED	1990-11-12	1672	9999-12-31	2013-05-08	7684
25/11-14 S	2066.000000	1.140000	0.000000	0.000000	WATER BASED	1990-11-13	1672	9999-12-31	2013-05-08	7685
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-14	1672	9999-12-31	2013-05-08	7686
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-19	1672	9999-12-31	2013-05-08	7687
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-19	1672	9999-12-31	2013-05-08	7688
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-20	1672	9999-12-31	2013-05-08	7689
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1991-01-03	1672	9999-12-31	2013-05-08	7690
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-31	1672	9999-12-31	2013-05-08	7691
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-31	1672	9999-12-31	2013-05-08	7692
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1991-01-04	1672	9999-12-31	2013-05-08	7693
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1991-01-07	1672	9999-12-31	2013-05-08	7694
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1991-01-07	1672	9999-12-31	2013-05-08	7695
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1991-01-07	1672	9999-12-31	2013-05-08	7696
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-22	1672	9999-12-31	2013-05-08	7697
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-23	1672	9999-12-31	2013-05-08	7698
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-26	1672	9999-12-31	2013-05-08	7699
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-26	1672	9999-12-31	2013-05-08	7700
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-26	1672	9999-12-31	2013-05-08	7701
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-27	1672	9999-12-31	2013-05-08	7702
25/11-14 S	2066.000000	1.060000	0.000000	0.000000	WATER BASED	1990-11-28	1672	9999-12-31	2013-05-08	7703
25/11-14 S	2066.000000	1.060000	0.000000	0.000000	WATER BASED	1990-11-29	1672	9999-12-31	2013-05-08	7704
25/11-14 S	2066.000000	1.060000	0.000000	0.000000	WATER BASED	1990-12-03	1672	9999-12-31	2013-05-08	7705
25/11-14 S	2066.000000	1.060000	0.000000	0.000000	WATER BASED	1990-12-03	1672	9999-12-31	2013-05-08	7706
25/11-14 S	2066.000000	1.060000	0.000000	0.000000	WATER BASED	1990-12-04	1672	9999-12-31	2013-05-08	7707
25/11-14 S	2066.000000	1.060000	0.000000	0.000000	WATER BASED	1990-12-10	1672	9999-12-31	2013-05-08	7708
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-10	1672	9999-12-31	2013-05-08	7709
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-10	1672	9999-12-31	2013-05-08	7710
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-12	1672	9999-12-31	2013-05-08	7711
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-14	1672	9999-12-31	2013-05-08	7712
25/11-14 S	2066.000000	1.050000	0.000000	0.000000	WATER BASED	1990-12-17	1672	9999-12-31	2013-05-08	7713
25/11-14 S	2066.000000	1.050000	0.000000	0.000000	WATER BASED	1990-12-17	1672	9999-12-31	2013-05-08	7714
25/11-14 S	2066.000000	1.050000	0.000000	0.000000	WATER BASED	1990-12-18	1672	9999-12-31	2013-05-08	7715
25/11-14 S	2066.000000	1.050000	0.000000	0.000000	WATER BASED	1990-12-19	1672	9999-12-31	2013-05-08	7716
25/11-14 S	2066.000000	1.050000	0.000000	0.000000	WATER BASED	1990-12-21	1672	9999-12-31	2013-05-08	7717
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-27	1672	9999-12-31	2013-05-08	7718
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-27	1672	9999-12-31	2013-05-08	7719
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-27	1672	9999-12-31	2013-05-08	7720
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-28	1672	9999-12-31	2013-05-08	7721
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-28	1672	9999-12-31	2013-05-08	7722
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-28	1672	9999-12-31	2013-05-08	7723
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-19	1672	9999-12-31	2013-05-08	7724
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-21	1672	9999-12-31	2013-05-08	7725
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-15	1672	9999-12-31	2013-05-08	7726
25/11-14 S	2066.000000	1.120000	0.000000	0.000000	WATER BASED	1990-11-16	1672	9999-12-31	2013-05-08	7727
25/11-14 S	2066.000000	1.060000	0.000000	0.000000	WATER BASED	1990-11-30	1672	9999-12-31	2013-05-08	7728
25/11-14 S	2066.000000	1.060000	0.000000	0.000000	WATER BASED	1990-12-03	1672	9999-12-31	2013-05-08	7729
25/11-14 S	2066.000000	1.060000	0.000000	0.000000	WATER BASED	1990-12-05	1672	9999-12-31	2013-05-08	7730
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-10	1672	9999-12-31	2013-05-08	7731
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-12	1672	9999-12-31	2013-05-08	7732
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-14	1672	9999-12-31	2013-05-08	7733
25/11-14 S	2066.000000	1.050000	0.000000	0.000000	WATER BASED	1990-12-17	1672	9999-12-31	2013-05-08	7734
25/11-14 S	2066.000000	1.050000	0.000000	0.000000	WATER BASED	1990-12-20	1672	9999-12-31	2013-05-08	7735
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-27	1672	9999-12-31	2013-05-08	7736
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1990-12-31	1672	9999-12-31	2013-05-08	7737
25/11-14 S	2066.000000	1.040000	0.000000	0.000000	WATER BASED	1991-01-02	1672	9999-12-31	2013-05-08	7738
25/11-14 S	2070.000000	1.500000	27.000000	14.800000	WATER BASED	1990-10-29	1672	9999-12-31	2013-05-08	7739
25/11-14 S	2070.000000	1.500000	26.000000	13.400000	WATER BASED	1990-10-31	1672	9999-12-31	2013-05-08	7740
25/11-14 S	2070.000000	1.500000	27.000000	14.400000	WATER BASED	1990-10-30	1672	9999-12-31	2013-05-08	7741
25/11-14 S	2070.000000	1.500000	26.000000	12.000000	WATER BASED	1990-11-01	1672	9999-12-31	2013-05-08	7742
25/11-14 S	2081.000000	1.500000	26.000000	14.800000	WATER BASED	1990-11-02	1672	9999-12-31	2013-05-08	7743
25/11-14 S	2081.000000	1.500000	22.000000	13.000000	WATER BASED	1990-11-09	1672	9999-12-31	2013-05-08	7744
25/11-14 S	2081.000000	1.500000	19.000000	13.000000	WATER BASED	1990-11-08	1672	9999-12-31	2013-05-08	7745
25/11-14 S	2081.000000	1.500000	23.000000	14.400000	WATER BASED	1990-11-05	1672	9999-12-31	2013-05-08	7746
25/11-14 S	2081.000000	1.500000	23.000000	11.000000	WATER BASED	1990-11-05	1672	9999-12-31	2013-05-08	7747
25/11-14 S	2081.000000	1.500000	21.000000	13.400000	WATER BASED	1990-11-07	1672	9999-12-31	2013-05-08	7748
25/11-14 S	2081.000000	1.500000	24.000000	16.700000	WATER BASED	1990-11-07	1672	9999-12-31	2013-05-08	7749
25/11-14 S	2081.000000	1.500000	21.000000	12.900000	WATER BASED	1990-11-05	1672	9999-12-31	2013-05-08	7750
25/11-15	238.000000	1.200000	19.000000	8.000000	WATER BASED	1991-11-12	1872	9999-12-31	2013-05-08	7751
25/11-15	239.000000	1.200000	19.000000	8.000000	WATER BASED	1991-11-12	1872	9999-12-31	2013-05-08	7752
25/11-15	450.000000	1.200000	18.000000	4.000000	WATER BASED	1991-11-13	1872	9999-12-31	2013-05-08	7753
25/11-15	1312.000000	1.200000	18.000000	9.000000	WATER BASED	1991-11-14	1872	9999-12-31	2013-05-08	7754
25/11-15	1312.000000	1.220000	19.000000	15.000000	WATER BASED	1991-11-19	1872	9999-12-31	2013-05-08	7755
25/11-15	1312.000000	1.200000	19.000000	11.000000	WATER BASED	1991-11-19	1872	9999-12-31	2013-05-08	7756
25/11-15	1312.000000	1.200000	18.000000	8.000000	WATER BASED	1991-11-15	1872	9999-12-31	2013-05-08	7757
25/11-15	1530.000000	1.130000	20.000000	14.000000	WATER BASED	1991-11-19	1872	9999-12-31	2013-05-08	7758
25/11-15	1697.000000	1.150000	17.000000	8.000000	WATER BASED	1991-11-19	1872	9999-12-31	2013-05-08	7759
25/11-15	1726.000000	1.160000	16.000000	9.000000	WATER BASED	1991-11-22	1872	9999-12-31	2013-05-08	7760
25/11-15	1726.000000	1.160000	16.000000	9.000000	WATER BASED	1991-11-20	1872	9999-12-31	2013-05-08	7761
25/11-15	1768.000000	1.190000	15.000000	9.000000	WATER BASED	1991-11-28	1872	9999-12-31	2013-05-08	7762
25/11-15	1769.000000	1.290000	15.000000	9.000000	WATER BASED	1991-12-04	1872	9999-12-31	2013-05-08	7763
25/11-15	1769.000000	1.200000	14.000000	11.000000	WATER BASED	1991-11-29	1872	9999-12-31	2013-05-08	7764
25/11-15	1769.000000	1.210000	13.000000	7.000000	WATER BASED	1991-12-05	1872	9999-12-31	2013-05-08	7765
25/11-15	1769.000000	1.200000	14.000000	12.000000	WATER BASED	1991-12-02	1872	9999-12-31	2013-05-08	7766
25/11-15	1769.000000	1.350000	20.000000	14.000000	WATER BASED	1991-12-02	1872	9999-12-31	2013-05-08	7767
25/11-15	1769.000000	1.290000	15.000000	9.000000	WATER BASED	1991-12-02	1872	9999-12-31	2013-05-08	7768
25/11-15	1769.000000	1.290000	15.000000	10.000000	WATER BASED	1991-12-03	1872	9999-12-31	2013-05-08	7769
25/11-15	1776.000000	1.270000	18.000000	14.000000	WATER BASED	1991-12-11	1872	9999-12-31	2013-05-08	7770
25/11-15	1776.000000	1.260000	14.000000	13.000000	WATER BASED	1991-12-11	1872	9999-12-31	2013-05-08	7771
25/11-15	1776.000000	1.270000	19.000000	14.000000	WATER BASED	1991-12-10	1872	9999-12-31	2013-05-08	7772
25/11-15	1776.000000	1.270000	18.000000	13.000000	WATER BASED	1991-12-10	1872	9999-12-31	2013-05-08	7773
25/11-15	1776.000000	1.260000	17.000000	16.000000	WATER BASED	1991-12-06	1872	9999-12-31	2013-05-08	7774
25/11-15	1776.000000	1.250000	14.000000	13.000000	WATER BASED	1991-12-20	1872	9999-12-31	2013-05-08	7775
25/11-15	1776.000000	1.260000	14.000000	13.000000	WATER BASED	1991-12-18	1872	9999-12-31	2013-05-08	7776
25/11-15	1776.000000	1.260000	14.000000	13.000000	WATER BASED	1991-12-17	1872	9999-12-31	2013-05-08	7777
25/11-15	1776.000000	1.260000	14.000000	13.000000	WATER BASED	1991-12-13	1872	9999-12-31	2013-05-08	7778
25/11-15	1776.000000	1.260000	14.000000	13.000000	WATER BASED	1991-12-16	1872	9999-12-31	2013-05-08	7779
25/11-15	1776.000000	1.260000	14.000000	13.000000	WATER BASED	1991-12-16	1872	9999-12-31	2013-05-08	7780
25/11-15	1776.000000	1.250000	12.000000	10.000000	WATER BASED	1991-12-23	1872	9999-12-31	2013-05-08	7781
25/11-15	1776.000000	1.250000	14.000000	13.000000	WATER BASED	1991-12-19	1872	9999-12-31	2013-05-08	7782
25/11-15	1776.000000	1.280000	19.000000	15.000000	WATER BASED	1991-12-10	1872	9999-12-31	2013-05-08	7783
25/11-15	1776.000000	1.260000	14.000000	13.000000	WATER BASED	1991-12-12	1872	9999-12-31	2013-05-08	7784
25/11-15	1776.000000	1.260000	14.000000	13.000000	WATER BASED	1991-12-16	1872	9999-12-31	2013-05-08	7785
25/11-15	1781.000000	1.150000	16.000000	9.000000	WATER BASED	1991-11-22	1872	9999-12-31	2013-05-08	7786
25/11-15	1781.000000	1.150000	16.000000	9.000000	WATER BASED	1991-11-21	1872	9999-12-31	2013-05-08	7787
25/11-15	1906.000000	1.180000	18.000000	11.000000	WATER BASED	1991-11-22	1872	9999-12-31	2013-05-08	7788
25/11-15	2035.000000	1.180000	16.000000	10.000000	WATER BASED	1991-11-25	1872	9999-12-31	2013-05-08	7789
25/11-15	2035.000000	1.180000	16.000000	9.000000	WATER BASED	1991-11-27	1872	9999-12-31	2013-05-08	7790
25/11-15	2035.000000	1.160000	17.000000	10.000000	WATER BASED	1991-11-25	1872	9999-12-31	2013-05-08	7791
25/11-15	2035.000000	1.170000	14.000000	8.000000	WATER BASED	1991-11-25	1872	9999-12-31	2013-05-08	7792
25/11-15	2035.000000	1.180000	17.000000	10.000000	WATER BASED	1991-11-26	1872	9999-12-31	2013-05-08	7793
25/11-16	232.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	1920	9999-12-31	2013-05-08	7794
25/11-16	340.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	1920	9999-12-31	2013-05-08	7795
25/11-16	1145.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	1920	9999-12-31	2013-05-08	7796
25/11-16	1699.000000	1.280000	2.500000	0.000000	WATER BASED	9999-12-31	1920	9999-12-31	2013-05-08	7797
25/11-16	1730.000000	1.280000	25.000000	0.000000	WATER BASED	9999-12-31	1920	9999-12-31	2013-05-08	7798
25/11-16	1767.000000	1.280000	24.000000	0.000000	WATER BASED	9999-12-31	1920	9999-12-31	2013-05-08	7799
25/11-16	1803.000000	1.280000	20.000000	0.000000	WATER BASED	9999-12-31	1920	9999-12-31	2013-05-08	7800
25/11-16	1855.000000	1.280000	21.000000	0.000000	WATER BASED	9999-12-31	1920	9999-12-31	2013-05-08	7801
25/11-16	1855.000000	1.280000	21.000000	0.000000	WATER BASED	9999-12-31	1920	9999-12-31	2013-05-08	7802
25/11-16	1914.000000	1.280000	19.000000	0.000000	WATER BASED	9999-12-31	1920	9999-12-31	2013-05-08	7803
25/11-16	1945.000000	1.280000	19.000000	0.000000	WATER BASED	9999-12-31	1920	9999-12-31	2013-05-08	7804
25/11-17	578.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1921	9999-12-31	2013-05-08	7805
25/11-17	1413.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1921	9999-12-31	2013-05-08	7806
25/11-17	1465.000000	1.200000	13.000000	0.000000	WATER BASED	9999-12-31	1921	9999-12-31	2013-05-08	7807
25/11-17	1614.000000	1.280000	19.000000	0.000000	WATER BASED	9999-12-31	1921	9999-12-31	2013-05-08	7808
25/11-18	563.000000	1.030000	16.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7809
25/11-18	1028.000000	1.300000	28.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7810
25/11-18	1180.000000	1.060000	16.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7811
25/11-18	1183.000000	1.130000	25.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7812
25/11-18	1207.000000	1.300000	28.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7813
25/11-18	1290.000000	1.280000	23.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7814
25/11-18	1385.000000	1.300000	27.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7815
25/11-18	1585.000000	1.280000	23.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7816
25/11-18	1688.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7817
25/11-18	1690.000000	1.040000	28.000000	0.000000	DUMMY	9999-12-31	2358	9999-12-31	2013-05-08	7818
25/11-18	1701.000000	1.080000	285.000000	0.000000	DUMMY	9999-12-31	2358	9999-12-31	2013-05-08	7819
25/11-18	1702.000000	1.040000	24.000000	0.000000	DUMMY	9999-12-31	2358	9999-12-31	2013-05-08	7820
25/11-18	1702.000000	1.040000	23.000000	0.000000	DUMMY	9999-12-31	2358	9999-12-31	2013-05-08	7821
25/11-18	1712.000000	1.300000	32.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7822
25/11-18	1720.000000	1.080000	28.000000	0.000000	DUMMY	9999-12-31	2358	9999-12-31	2013-05-08	7823
25/11-18	1732.000000	1.080000	24.000000	0.000000	DUMMY	9999-12-31	2358	9999-12-31	2013-05-08	7824
25/11-18	1740.000000	1.250000	18.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7825
25/11-18	1778.000000	1.080000	28.000000	0.000000	DUMMY	9999-12-31	2358	9999-12-31	2013-05-08	7826
25/11-18	1819.000000	1.300000	35.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7827
25/11-18	1860.000000	1.250000	38.000000	0.000000	DUMMY	9999-12-31	2358	9999-12-31	2013-05-08	7828
25/11-18	1875.000000	1.300000	35.000000	0.000000	WATER BASED	9999-12-31	2358	9999-12-31	2013-05-08	7829
25/11-19 S	229.000000	1.130000	0.000000	0.000000	DUMMY	9999-12-31	2562	9999-12-31	2013-05-08	7830
25/11-19 S	230.000000	1.080000	0.000000	0.000000	DUMMY	9999-12-31	2562	9999-12-31	2013-05-08	7831
25/11-19 S	950.000000	1.080000	0.000000	0.000000	DUMMY	9999-12-31	2562	9999-12-31	2013-05-08	7832
25/11-19 S	1018.000000	1.420000	53.000000	0.000000	WATER BASED	9999-12-31	2562	9999-12-31	2013-05-08	7833
25/11-19 S	1224.000000	1.350000	49.000000	0.000000	OIL BASED	9999-12-31	2562	9999-12-31	2013-05-08	7834
25/11-19 S	1718.000000	1.370000	50.000000	0.000000	WATER BASED	9999-12-31	2562	9999-12-31	2013-05-08	7835
25/11-19 S	1871.000000	1.370000	37.000000	0.000000	OIL BASED	9999-12-31	2562	9999-12-31	2013-05-08	7836
25/11-19 S	1909.000000	1.370000	44.000000	0.000000	OIL BASED	9999-12-31	2562	9999-12-31	2013-05-08	7837
25/11-19 S	1937.000000	1.370000	40.000000	0.000000	OIL BASED	9999-12-31	2562	9999-12-31	2013-05-08	7838
25/11-19 S	2096.000000	1.370000	49.000000	0.000000	OIL BASED	9999-12-31	2562	9999-12-31	2013-05-08	7839
25/11-19 S	2250.000000	1.370000	65.000000	0.000000	OIL BASED	9999-12-31	2562	9999-12-31	2013-05-08	7840
25/11-2	175.000000	0.000000	0.000000	0.000000	seawater/ge	9999-12-31	184	9999-12-31	2013-05-08	7841
25/11-2	945.000000	0.000000	0.000000	0.000000	seawater/sp	9999-12-31	184	9999-12-31	2013-05-08	7842
25/11-2	1823.000000	0.000000	0.000000	0.000000	water/spers	9999-12-31	184	9999-12-31	2013-05-08	7843
25/11-20	1254.000000	1.210000	13.000000	0.000000	WATER BASED	9999-12-31	2667	9999-12-31	2013-05-08	7844
25/11-20	1661.000000	1.280000	21.000000	0.000000	WATER BASED	9999-12-31	2667	9999-12-31	2013-05-08	7845
25/11-20	1679.000000	1.280000	20.000000	0.000000	WATER BASED	9999-12-31	2667	9999-12-31	2013-05-08	7846
25/11-20	1711.000000	1.280000	17.000000	0.000000	WATER BASED	9999-12-31	2667	9999-12-31	2013-05-08	7847
25/11-20	1789.000000	1.280000	16.000000	0.000000	WATER BASED	9999-12-31	2667	9999-12-31	2013-05-08	7848
25/11-20	1828.000000	1.280000	18.000000	0.000000	WATER BASED	9999-12-31	2667	9999-12-31	2013-05-08	7849
25/11-21 A	1030.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7850
25/11-21 A	1262.000000	1.370000	24.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7851
25/11-21 A	1424.000000	1.370000	21.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7852
25/11-21 A	1715.000000	1.370000	21.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7853
25/11-21 A	1841.000000	1.370000	26.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7854
25/11-21 A	1894.000000	1.370000	22.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7855
25/11-21 A	1936.000000	1.370000	24.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7856
25/11-21 A	1973.000000	1.370000	24.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7857
25/11-21 A	2024.000000	1.370000	26.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7858
25/11-21 A	2448.000000	1.290000	27.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7859
25/11-21 A	2760.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7860
25/11-21 A	2998.000000	1.300000	29.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7861
25/11-21 A	3006.000000	1.300000	29.000000	0.000000	WATER BASED	9999-12-31	2812	9999-12-31	2013-05-08	7862
25/11-21 S	173.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7863
25/11-21 S	216.000000	1.020000	0.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7864
25/11-21 S	217.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7865
25/11-21 S	1051.000000	1.020000	0.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7866
25/11-21 S	1150.000000	1.360000	22.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7867
25/11-21 S	1270.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7868
25/11-21 S	1275.000000	1.360000	16.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7869
25/11-21 S	1748.000000	1.360000	15.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7870
25/11-21 S	1827.000000	1.360000	15.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7871
25/11-21 S	1876.000000	1.360000	19.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7872
25/11-21 S	1911.000000	1.360000	21.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7873
25/11-21 S	1957.000000	1.360000	21.000000	0.000000	WATER BASED	9999-12-31	2701	9999-12-31	2013-05-08	7874
25/11-22	209.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	3243	9999-12-31	2013-05-08	7875
25/11-22	530.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	3243	9999-12-31	2013-05-08	7876
25/11-22	1250.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	3243	9999-12-31	2013-05-08	7877
25/11-22	1343.000000	1.300000	12.000000	0.000000	WATER BASED	9999-12-31	3243	9999-12-31	2013-05-08	7878
25/11-22	1652.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	3243	9999-12-31	2013-05-08	7879
25/11-22	1718.000000	1.300000	17.000000	0.000000	WATER BASED	9999-12-31	3243	9999-12-31	2013-05-08	7880
25/11-22	1736.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	3243	9999-12-31	2013-05-08	7881
25/11-22	1759.000000	1.300000	21.000000	0.000000	WATER BASED	9999-12-31	3243	9999-12-31	2013-05-08	7882
25/11-22	1780.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	3243	9999-12-31	2013-05-08	7883
25/11-22	1805.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	3243	9999-12-31	2013-05-08	7884
25/11-23	420.000000	1.040000	0.000000	0.000000	SPUD MUD	9999-12-31	3755	9999-12-31	2013-05-08	7885
25/11-23	850.000000	1.320000	29.000000	0.000000	OIL (ENVIRON)	9999-12-31	3755	9999-12-31	2013-05-08	7886
25/11-23	970.000000	1.040000	1.000000	0.000000	SEAWATER	9999-12-31	3755	9999-12-31	2013-05-08	7887
25/11-23	970.000000	1.130000	1.000000	0.000000	SPUD MUD	9999-12-31	3755	9999-12-31	2013-05-08	7888
25/11-23	1151.000000	1.320000	20.000000	0.000000	OIL (ENVIRON)	9999-12-31	3755	9999-12-31	2013-05-08	7889
25/11-23	1606.000000	1.320000	30.000000	0.000000	OIL (ENVIRON)	9999-12-31	3755	9999-12-31	2013-05-08	7890
25/11-23	1735.000000	1.320000	25.000000	0.000000	OIL (ENVIRON)	9999-12-31	3755	9999-12-31	2013-05-08	7891
25/11-23	1769.000000	1.340000	23.000000	0.000000	OIL (ENVIRON)	9999-12-31	3755	9999-12-31	2013-05-08	7892
25/11-23	2014.000000	1.320000	25.000000	0.000000	OIL (ENVIRON)	9999-12-31	3755	9999-12-31	2013-05-08	7893
25/11-24	1106.000000	1.290000	24.000000	0.000000	WATER BASED	9999-12-31	5470	9999-12-31	2013-05-08	7894
25/11-24	1196.000000	1.290000	26.000000	0.000000	WATER BASED	9999-12-31	5470	9999-12-31	2013-05-08	7895
25/11-24	1650.000000	1.350000	33.000000	0.000000	WATER BASED	9999-12-31	5470	9999-12-31	2013-05-08	7896
25/11-24	1650.000000	1.350000	32.000000	0.000000	WATER BASED	9999-12-31	5470	9999-12-31	2013-05-08	7897
25/11-24	1819.000000	1.220000	32.000000	0.000000	WATER BASED	9999-12-31	5470	9999-12-31	2013-05-08	7898
25/11-24	2003.000000	1.220000	31.000000	0.000000	WATER BASED	9999-12-31	5470	9999-12-31	2013-05-08	7899
25/11-24	2117.000000	1.220000	31.000000	0.000000	WATER BASED	9999-12-31	5470	9999-12-31	2013-05-08	7900
25/11-24	2117.000000	1.350000	28.000000	0.000000	WATER BASED	9999-12-31	5470	9999-12-31	2013-05-08	7901
25/11-25 A	1025.000000	1.270000	24.000000	0.000000	Glydril	9999-12-31	5643	9999-12-31	2013-05-08	7902
25/11-25 A	1114.000000	1.260000	24.000000	0.000000	Glydril	9999-12-31	5643	9999-12-31	2013-05-08	7903
25/11-25 A	1197.000000	1.300000	26.000000	0.000000	Glydril	9999-12-31	5643	9999-12-31	2013-05-08	7904
25/11-25 A	1338.000000	1.390000	29.000000	0.000000	Glydril	9999-12-31	5643	9999-12-31	2013-05-08	7905
25/11-25 A	1420.000000	1.400000	29.000000	0.000000	Glydril	9999-12-31	5643	9999-12-31	2013-05-08	7906
25/11-25 A	1618.000000	1.450000	26.000000	0.000000	Glydril	9999-12-31	5643	9999-12-31	2013-05-08	7907
25/11-25 A	1687.000000	1.450000	29.000000	0.000000	Glydril	9999-12-31	5643	9999-12-31	2013-05-08	7908
25/11-25 A	1713.000000	1.260000	14.000000	0.000000	Glydril	9999-12-31	5643	9999-12-31	2013-05-08	7909
25/11-25 A	1921.000000	1.450000	30.000000	0.000000	Glydril	9999-12-31	5643	9999-12-31	2013-05-08	7910
25/11-25 A	2013.000000	1.260000	20.000000	0.000000	Glydril	9999-12-31	5643	9999-12-31	2013-05-08	7911
25/11-25 A	2448.000000	1.260000	29.000000	0.000000	Glydril	9999-12-31	5643	9999-12-31	2013-05-08	7912
25/11-25 S	1132.000000	1.300000	0.000000	0.000000	GLYDRIL	9999-12-31	5642	9999-12-31	2013-05-08	7913
25/11-25 S	1168.000000	1.320000	31.000000	0.000000	GLYDRIL	9999-12-31	5642	9999-12-31	2013-05-08	7914
25/11-25 S	1299.000000	1.330000	30.000000	0.000000	GLYDRIL	9999-12-31	5642	9999-12-31	2013-05-08	7915
25/11-25 S	1500.000000	1.450000	34.000000	0.000000	GLYDRIL	9999-12-31	5642	9999-12-31	2013-05-08	7916
25/11-25 S	1936.000000	1.470000	31.000000	0.000000	GLYDRIL	9999-12-31	5642	9999-12-31	2013-05-08	7917
25/11-25 S	2045.000000	1.260000	23.000000	0.000000	GLYDRIL	9999-12-31	5642	9999-12-31	2013-05-08	7918
25/11-25 S	2084.000000	1.260000	26.000000	0.000000	GLYDRIL	9999-12-31	5642	9999-12-31	2013-05-08	7919
25/11-25 S	2142.000000	1.260000	26.000000	0.000000	GLYDRIL	9999-12-31	5642	9999-12-31	2013-05-08	7920
25/11-3	396.000000	0.000000	0.000000	0.000000	seawater/ge	9999-12-31	185	9999-12-31	2013-05-08	7921
25/11-3	960.000000	0.000000	0.000000	0.000000	seawater/sp	9999-12-31	185	9999-12-31	2013-05-08	7922
25/11-3	1856.000000	0.000000	0.000000	0.000000	water/spers	9999-12-31	185	9999-12-31	2013-05-08	7923
25/11-4	188.000000	0.000000	0.000000	0.000000	seawater/ge	9999-12-31	186	9999-12-31	2013-05-08	7924
25/11-4	963.000000	0.000000	0.000000	0.000000	seawater/sp	9999-12-31	186	9999-12-31	2013-05-08	7925
25/11-4	1896.000000	0.000000	0.000000	0.000000	water/spers	9999-12-31	186	9999-12-31	2013-05-08	7926
25/11-5	188.000000	0.000000	0.000000	0.000000	seawater/ge	9999-12-31	366	9999-12-31	2013-05-08	7927
25/11-5	1400.000000	1.230000	0.000000	0.000000	seawater/lg	9999-12-31	366	9999-12-31	2013-05-08	7928
25/11-5	2163.000000	1.220000	0.000000	0.000000	water/spers	9999-12-31	366	9999-12-31	2013-05-08	7929
25/11-6	995.000000	1.130000	0.000000	0.000000	waterbased	9999-12-31	367	9999-12-31	2013-05-08	7930
25/11-6	1787.000000	1.130000	0.000000	0.000000	waterbased	9999-12-31	367	9999-12-31	2013-05-08	7931
25/11-6	1947.000000	1.140000	0.000000	0.000000	waterbased	9999-12-31	367	9999-12-31	2013-05-08	7932
25/11-7	186.000000	0.000000	0.000000	0.000000	waterbased	9999-12-31	368	9999-12-31	2013-05-08	7933
25/11-7	694.000000	1.080000	0.000000	0.000000	waterbased	9999-12-31	368	9999-12-31	2013-05-08	7934
25/11-7	1325.000000	1.060000	0.000000	0.000000	waterbased	9999-12-31	368	9999-12-31	2013-05-08	7935
25/11-7	1531.000000	1.110000	0.000000	0.000000	waterbased	9999-12-31	368	9999-12-31	2013-05-08	7936
25/11-7	1944.000000	1.130000	0.000000	0.000000	waterbased	9999-12-31	368	9999-12-31	2013-05-08	7937
25/11-8	402.000000	1.040000	120.000000	0.000000	waterbased	9999-12-31	369	9999-12-31	2013-05-08	7938
25/11-8	689.000000	1.070000	32.000000	0.000000	waterbased	9999-12-31	369	9999-12-31	2013-05-08	7939
25/11-8	1383.000000	1.100000	0.000000	0.000000	waterbased	9999-12-31	369	9999-12-31	2013-05-08	7940
25/11-8	1723.000000	1.150000	0.000000	0.000000	waterbased	9999-12-31	369	9999-12-31	2013-05-08	7941
25/11-8	1751.000000	1.130000	0.000000	0.000000	waterbased	9999-12-31	369	9999-12-31	2013-05-08	7942
25/11-8	1950.000000	1.140000	0.000000	0.000000	waterbased	9999-12-31	369	9999-12-31	2013-05-08	7943
25/11-9	145.000000	1.040000	0.000000	0.000000	waterbased	9999-12-31	213	9999-12-31	2013-05-08	7944
25/11-9	300.000000	1.050000	0.000000	0.000000	waterbased	9999-12-31	213	9999-12-31	2013-05-08	7945
25/11-9	473.000000	1.080000	0.000000	0.000000	waterbased	9999-12-31	213	9999-12-31	2013-05-08	7946
25/11-9	820.000000	1.110000	46.000000	0.000000	waterbased	9999-12-31	213	9999-12-31	2013-05-08	7947
25/11-9	1200.000000	1.090000	0.000000	0.000000	waterbased	9999-12-31	213	9999-12-31	2013-05-08	7948
25/11-9	1693.000000	1.110000	66.000000	0.000000	waterbased	9999-12-31	213	9999-12-31	2013-05-08	7949
25/12-1	375.000000	1.100000	75.000000	0.000000	spud mud	9999-12-31	374	9999-12-31	2013-05-08	7950
25/12-1	771.000000	1.100000	43.000000	0.000000	spud mud	9999-12-31	374	9999-12-31	2013-05-08	7951
25/12-1	1208.000000	1.150000	40.000000	0.000000	spud mud	9999-12-31	374	9999-12-31	2013-05-08	7952
25/12-1	2472.000000	1.250000	53.000000	0.000000	mixed mud	9999-12-31	374	9999-12-31	2013-05-08	7953
25/12-1	2864.000000	1.240000	52.000000	0.000000	mixed mud	9999-12-31	374	9999-12-31	2013-05-08	7954
25/1-4	920.000000	1.300000	60.000000	12.000000	water based	9999-12-31	350	9999-12-31	2013-05-08	7955
25/1-4	1840.000000	1.380000	75.000000	12.000000	water based	9999-12-31	350	9999-12-31	2013-05-08	7956
25/1-4	1930.000000	1.250000	47.000000	12.000000	water based	9999-12-31	350	9999-12-31	2013-05-08	7957
25/1-4	2028.000000	1.250000	48.000000	14.000000	water based	9999-12-31	350	9999-12-31	2013-05-08	7958
25/1-4	2563.000000	1.250000	46.000000	10.000000	water based	9999-12-31	350	9999-12-31	2013-05-08	7959
25/1-6	192.000000	1.050000	85.000000	0.000000	water based	9999-12-31	352	9999-12-31	2013-05-08	7960
25/1-6	468.000000	1.080000	16.000000	0.000000	water based	9999-12-31	352	9999-12-31	2013-05-08	7961
25/1-6	1325.000000	1.140000	42.000000	0.000000	water based	9999-12-31	352	9999-12-31	2013-05-08	7962
25/1-6	1937.000000	1.200000	72.000000	0.000000	water based	9999-12-31	352	9999-12-31	2013-05-08	7963
25/1-6	2120.000000	1.200000	63.000000	0.000000	water based	9999-12-31	352	9999-12-31	2013-05-08	7964
25/1-6	2360.000000	1.280000	28.000000	0.000000	water based	9999-12-31	352	9999-12-31	2013-05-08	7965
25/1-6	2550.000000	1.300000	27.000000	0.000000	water based	9999-12-31	352	9999-12-31	2013-05-08	7966
25/1-6	2739.000000	1.160000	14.000000	0.000000	water based	9999-12-31	352	9999-12-31	2013-05-08	7967
25/1-7	144.000000	1.040000	0.000000	0.000000	WATER BASED	1985-03-11	463	9999-12-31	2013-05-08	7968
25/1-7	188.000000	1.040000	0.000000	0.000000	WATER BASED	1985-03-12	463	9999-12-31	2013-05-08	7969
25/1-7	188.000000	1.040000	0.000000	0.000000	WATER BASED	1985-03-12	463	9999-12-31	2013-05-08	7970
25/1-7	188.000000	1.040000	0.000000	0.000000	WATER BASED	1985-03-11	463	9999-12-31	2013-05-08	7971
25/1-7	348.000000	1.080000	31.000000	6.000000	WATER BASED	1985-03-14	463	9999-12-31	2013-05-08	7972
25/1-7	749.000000	1.090000	28.000000	10.000000	WATER BASED	1985-03-17	463	9999-12-31	2013-05-08	7973
25/1-7	863.000000	1.090000	27.000000	13.000000	WATER BASED	1985-03-17	463	9999-12-31	2013-05-08	7974
25/1-7	863.000000	1.150000	26.000000	11.500000	WATER BASED	1985-03-18	463	9999-12-31	2013-05-08	7975
25/1-7	863.000000	1.150000	26.000000	11.500000	WATER BASED	1985-03-18	463	9999-12-31	2013-05-08	7976
25/1-7	940.000000	1.110000	30.000000	12.700000	WATER BASED	1985-03-24	463	9999-12-31	2013-05-08	7977
25/1-7	1130.000000	1.150000	30.000000	8.300000	WATER BASED	1985-03-24	463	9999-12-31	2013-05-08	7978
25/1-7	1259.000000	1.160000	29.000000	16.500000	WATER BASED	1985-03-25	463	9999-12-31	2013-05-08	7979
25/1-7	1359.000000	1.200000	32.000000	10.500000	WATER BASED	1985-03-27	463	9999-12-31	2013-05-08	7980
25/1-7	1520.000000	1.220000	31.000000	12.000000	WATER BASED	1985-03-27	463	9999-12-31	2013-05-08	7981
25/1-7	1601.000000	1.240000	33.000000	11.000000	WATER BASED	1985-03-29	463	9999-12-31	2013-05-08	7982
25/1-7	1747.000000	1.260000	35.000000	13.000000	WATER BASED	1985-04-02	463	9999-12-31	2013-05-08	7983
25/1-7	1747.000000	1.240000	34.000000	13.000000	WATER BASED	1985-04-02	463	9999-12-31	2013-05-08	7984
25/1-7	1747.000000	1.260000	35.000000	13.000000	WATER BASED	1985-04-02	463	9999-12-31	2013-05-08	7985
25/1-7	1870.000000	1.260000	37.000000	13.000000	WATER BASED	1985-04-02	463	9999-12-31	2013-05-08	7986
25/1-7	1876.000000	1.070000	19.000000	8.000000	WATER BASED	1985-04-10	463	9999-12-31	2013-05-08	7987
25/1-7	1880.000000	1.080000	25.000000	10.000000	WATER BASED	1985-04-10	463	9999-12-31	2013-05-08	7988
25/1-7	1887.000000	1.080000	27.000000	11.000000	WATER BASED	1985-04-10	463	9999-12-31	2013-05-08	7989
25/1-7	1900.000000	1.080000	25.000000	9.000000	WATER BASED	1985-04-11	463	9999-12-31	2013-05-08	7990
25/1-7	1918.000000	1.090000	24.000000	8.000000	WATER BASED	1985-04-11	463	9999-12-31	2013-05-08	7991
25/1-7	1938.000000	1.100000	24.000000	8.000000	WATER BASED	1985-04-15	463	9999-12-31	2013-05-08	7992
25/1-7	1948.000000	1.100000	24.000000	6.000000	WATER BASED	1985-04-15	463	9999-12-31	2013-05-08	7993
25/1-7	1948.000000	1.100000	24.000000	6.000000	WATER BASED	1985-04-15	463	9999-12-31	2013-05-08	7994
25/1-7	1948.000000	1.100000	24.000000	6.000000	WATER BASED	1985-04-15	463	9999-12-31	2013-05-08	7995
25/1-7	1978.000000	1.100000	26.000000	9.000000	WATER BASED	1985-04-15	463	9999-12-31	2013-05-08	7996
25/1-7	2033.000000	1.100000	26.000000	8.000000	WATER BASED	1985-04-19	463	9999-12-31	2013-05-08	7997
25/1-7	2064.000000	1.110000	26.000000	9.000000	WATER BASED	1985-04-19	463	9999-12-31	2013-05-08	7998
25/1-7	2067.000000	1.120000	29.000000	9.000000	WATER BASED	1985-04-23	463	9999-12-31	2013-05-08	7999
25/1-7	2096.000000	1.110000	27.000000	9.000000	WATER BASED	1985-04-23	463	9999-12-31	2013-05-08	8000
25/1-7	2122.000000	1.110000	29.000000	8.000000	WATER BASED	1985-04-25	463	9999-12-31	2013-05-08	8001
25/1-7	2143.000000	1.110000	27.000000	7.000000	WATER BASED	1985-04-25	463	9999-12-31	2013-05-08	8002
25/1-7	2148.000000	1.100000	27.000000	7.000000	WATER BASED	1985-04-29	463	9999-12-31	2013-05-08	8003
25/1-7	2150.000000	1.110000	30.000000	9.000000	WATER BASED	1985-05-02	463	9999-12-31	2013-05-08	8004
25/1-7	2198.000000	1.110000	32.000000	9.000000	WATER BASED	1985-05-02	463	9999-12-31	2013-05-08	8005
25/1-7	2202.000000	1.140000	32.000000	10.000000	WATER BASED	1985-05-21	463	9999-12-31	2013-05-08	8006
25/1-7	2202.000000	1.130000	32.000000	10.000000	WATER BASED	1985-05-20	463	9999-12-31	2013-05-08	8007
25/1-7	2202.000000	1.140000	32.000000	10.000000	WATER BASED	1985-05-21	463	9999-12-31	2013-05-08	8008
25/1-7	2213.000000	1.120000	30.000000	8.500000	WATER BASED	1985-05-03	463	9999-12-31	2013-05-08	8009
25/1-7	2230.000000	1.120000	32.000000	10.000000	WATER BASED	1985-05-03	463	9999-12-31	2013-05-08	8010
25/1-7	2252.000000	1.120000	31.000000	11.000000	WATER BASED	1985-05-04	463	9999-12-31	2013-05-08	8011
25/1-7	2271.000000	1.120000	31.000000	10.500000	WATER BASED	1985-05-04	463	9999-12-31	2013-05-08	8012
25/1-7	2412.000000	1.120000	37.000000	9.000000	WATER BASED	1985-05-07	463	9999-12-31	2013-05-08	8013
25/1-7	2490.000000	1.120000	29.000000	10.500000	WATER BASED	1985-05-08	463	9999-12-31	2013-05-08	8014
25/1-7	2530.000000	1.120000	28.000000	10.000000	WATER BASED	1985-05-09	463	9999-12-31	2013-05-08	8015
25/1-7	2584.000000	1.120000	34.000000	10.000000	WATER BASED	1985-05-09	463	9999-12-31	2013-05-08	8016
25/1-7	2611.000000	1.120000	32.000000	10.000000	WATER BASED	1985-05-10	463	9999-12-31	2013-05-08	8017
25/1-7	2664.000000	1.120000	32.000000	10.000000	WATER BASED	1985-05-13	463	9999-12-31	2013-05-08	8018
25/1-7	2690.000000	1.120000	30.000000	11.000000	WATER BASED	1985-05-13	463	9999-12-31	2013-05-08	8019
25/1-7	2710.000000	1.120000	34.000000	13.000000	WATER BASED	1985-05-13	463	9999-12-31	2013-05-08	8020
25/1-7	2719.000000	1.120000	32.000000	11.000000	WATER BASED	1985-05-15	463	9999-12-31	2013-05-08	8021
25/1-7	2719.000000	1.120000	28.000000	11.500000	WATER BASED	1985-05-14	463	9999-12-31	2013-05-08	8022
25/1-7	2719.000000	1.120000	32.000000	11.000000	WATER BASED	1985-05-20	463	9999-12-31	2013-05-08	8023
25/1-7	2719.000000	1.120000	32.000000	11.000000	WATER BASED	1985-05-20	463	9999-12-31	2013-05-08	8024
25/1-7	2719.000000	1.120000	32.000000	11.000000	WATER BASED	1985-05-15	463	9999-12-31	2013-05-08	8025
25/1-8 S	165.000000	1.070000	120.000000	0.000000	WATER BASED	1985-05-29	472	9999-12-31	2013-05-08	8026
25/1-8 S	190.000000	1.070000	150.000000	0.000000	WATER BASED	1985-05-31	472	9999-12-31	2013-05-08	8027
25/1-8 S	209.000000	1.040000	0.000000	0.000000	WATER BASED	1985-06-03	472	9999-12-31	2013-05-08	8028
25/1-8 S	527.000000	1.080000	18.000000	19.000000	WATER BASED	1985-06-03	472	9999-12-31	2013-05-08	8029
25/1-8 S	594.000000	1.070000	19.000000	15.500000	WATER BASED	1985-06-03	472	9999-12-31	2013-05-08	8030
25/1-8 S	897.000000	1.090000	21.000000	15.500000	WATER BASED	1985-06-04	472	9999-12-31	2013-05-08	8031
25/1-8 S	1030.000000	1.100000	24.000000	17.000000	WATER BASED	1985-06-04	472	9999-12-31	2013-05-08	8032
25/1-8 S	1030.000000	1.150000	26.000000	14.000000	WATER BASED	1985-06-05	472	9999-12-31	2013-05-08	8033
25/1-8 S	1030.000000	1.150000	26.000000	14.000000	WATER BASED	1985-06-10	472	9999-12-31	2013-05-08	8034
25/1-8 S	1030.000000	1.150000	26.000000	14.000000	WATER BASED	1985-06-05	472	9999-12-31	2013-05-08	8035
25/1-8 S	1030.000000	1.150000	26.000000	14.000000	WATER BASED	1985-06-10	472	9999-12-31	2013-05-08	8036
25/1-8 S	1072.000000	1.110000	30.000000	10.500000	WATER BASED	1985-06-10	472	9999-12-31	2013-05-08	8037
25/1-8 S	1279.000000	1.120000	33.000000	12.500000	WATER BASED	1985-06-13	472	9999-12-31	2013-05-08	8038
25/1-8 S	1451.000000	1.140000	12.000000	25.000000	WATER BASED	1985-06-13	472	9999-12-31	2013-05-08	8039
25/1-8 S	1587.000000	1.160000	32.000000	12.000000	WATER BASED	1985-06-13	472	9999-12-31	2013-05-08	8040
25/1-8 S	1739.000000	1.160000	26.000000	10.000000	WATER BASED	1985-06-13	472	9999-12-31	2013-05-08	8041
25/1-8 S	1908.000000	1.200000	23.000000	11.000000	WATER BASED	1985-06-17	472	9999-12-31	2013-05-08	8042
25/1-8 S	1921.000000	1.230000	26.000000	8.000000	WATER BASED	1985-06-18	472	9999-12-31	2013-05-08	8043
25/1-8 S	1921.000000	1.050000	19.000000	5.000000	WATER BASED	1985-07-02	472	9999-12-31	2013-05-08	8044
25/1-8 S	1921.000000	1.050000	19.000000	5.000000	WATER BASED	1985-07-02	472	9999-12-31	2013-05-08	8045
25/1-8 S	1921.000000	1.230000	26.000000	8.000000	WATER BASED	1985-06-18	472	9999-12-31	2013-05-08	8046
25/1-8 S	1921.000000	1.230000	26.000000	8.000000	WATER BASED	1985-06-17	472	9999-12-31	2013-05-08	8047
25/1-8 S	1921.000000	1.230000	26.000000	8.000000	WATER BASED	1985-06-19	472	9999-12-31	2013-05-08	8048
25/1-8 S	1921.000000	1.060000	15.000000	5.000000	WATER BASED	1985-06-28	472	9999-12-31	2013-05-08	8049
25/1-8 S	1921.000000	1.230000	26.000000	8.000000	WATER BASED	1985-06-28	472	9999-12-31	2013-05-08	8050
25/1-8 S	1921.000000	1.230000	26.000000	8.000000	WATER BASED	1985-06-19	472	9999-12-31	2013-05-08	8051
25/1-8 S	1921.000000	1.230000	26.000000	8.000000	WATER BASED	1985-06-28	472	9999-12-31	2013-05-08	8052
25/1-8 S	1921.000000	1.060000	15.000000	5.000000	WATER BASED	1985-06-28	472	9999-12-31	2013-05-08	8053
25/1-8 S	1925.000000	1.040000	17.000000	5.000000	WATER BASED	1985-07-02	472	9999-12-31	2013-05-08	8054
25/1-8 S	1927.000000	1.050000	18.000000	5.000000	WATER BASED	1985-07-03	472	9999-12-31	2013-05-08	8055
25/1-8 S	1929.000000	1.060000	27.000000	9.500000	WATER BASED	1985-07-04	472	9999-12-31	2013-05-08	8056
25/1-8 S	1950.000000	1.070000	24.000000	8.500000	WATER BASED	1985-07-04	472	9999-12-31	2013-05-08	8057
25/1-8 S	1970.000000	1.080000	24.000000	8.000000	WATER BASED	1985-07-08	472	9999-12-31	2013-05-08	8058
25/1-8 S	2053.000000	1.080000	27.000000	7.500000	WATER BASED	1985-07-08	472	9999-12-31	2013-05-08	8059
25/1-8 S	2099.000000	1.100000	28.000000	8.000000	WATER BASED	1985-07-08	472	9999-12-31	2013-05-08	8060
25/1-8 S	2112.000000	1.100000	23.000000	6.500000	WATER BASED	1985-07-08	472	9999-12-31	2013-05-08	8061
25/1-8 S	2192.000000	1.100000	24.000000	8.500000	WATER BASED	1985-07-09	472	9999-12-31	2013-05-08	8062
25/1-8 S	2419.000000	1.100000	22.000000	8.000000	WATER BASED	1985-07-11	472	9999-12-31	2013-05-08	8063
25/1-8 S	2591.000000	1.100000	28.000000	7.000000	WATER BASED	1985-07-11	472	9999-12-31	2013-05-08	8064
25/1-8 S	2650.000000	1.130000	30.000000	9.000000	WATER BASED	1985-07-14	472	9999-12-31	2013-05-08	8065
25/1-8 S	2650.000000	1.130000	52.000000	10.000000	WATER BASED	1985-07-16	472	9999-12-31	2013-05-08	8066
25/1-8 S	2650.000000	1.130000	52.000000	10.000000	WATER BASED	1985-07-16	472	9999-12-31	2013-05-08	8067
25/1-9	170.000000	1.030000	0.000000	0.000000	WATER	1986-10-14	1001	9999-12-31	2013-05-08	8068
25/1-9	221.000000	1.150000	0.000000	0.000000	WATER	1986-09-09	1001	9999-12-31	2013-05-08	8069
25/1-9	453.000000	1.150000	0.000000	0.000000	WATER	1986-09-10	1001	9999-12-31	2013-05-08	8070
25/1-9	621.000000	1.030000	0.000000	0.000000	WATER	1986-09-14	1001	9999-12-31	2013-05-08	8071
25/1-9	990.000000	0.000000	0.000000	0.000000	WATER	1986-09-14	1001	9999-12-31	2013-05-08	8072
25/1-9	990.000000	0.000000	14.000000	7.000000	WATER	1986-09-15	1001	9999-12-31	2013-05-08	8073
25/1-9	990.000000	1.150000	0.000000	0.000000	WATER	1986-09-11	1001	9999-12-31	2013-05-08	8074
25/1-9	1034.000000	1.130000	10.000000	7.000000	WATER	1986-09-16	1001	9999-12-31	2013-05-08	8075
25/1-9	1300.000000	1.150000	14.000000	11.000000	WATER	1986-09-17	1001	9999-12-31	2013-05-08	8076
25/1-9	1715.000000	1.160000	13.000000	10.000000	WATER	1986-09-18	1001	9999-12-31	2013-05-08	8077
25/1-9	1797.000000	1.090000	16.000000	9.000000	WATER	1986-10-09	1001	9999-12-31	2013-05-08	8078
25/1-9	1940.000000	1.160000	12.000000	10.000000	WATER	1986-09-21	1001	9999-12-31	2013-05-08	8079
25/1-9	1965.000000	1.200000	14.000000	8.000000	WATER	1986-09-21	1001	9999-12-31	2013-05-08	8080
25/1-9	1965.000000	0.000000	14.000000	10.000000	WATER	1986-09-21	1001	9999-12-31	2013-05-08	8081
25/1-9	1965.000000	0.000000	14.000000	10.000000	WATER	1986-09-22	1001	9999-12-31	2013-05-08	8082
25/1-9	1974.000000	1.080000	10.000000	9.000000	WATER	1986-09-23	1001	9999-12-31	2013-05-08	8083
25/1-9	2050.000000	1.080000	13.000000	10.000000	WATER	1986-09-24	1001	9999-12-31	2013-05-08	8084
25/1-9	2089.000000	1.080000	15.000000	8.000000	WATER	1986-09-25	1001	9999-12-31	2013-05-08	8085
25/1-9	2111.000000	1.080000	14.000000	9.000000	WATER	1986-09-28	1001	9999-12-31	2013-05-08	8086
25/1-9	2234.000000	1.080000	17.000000	13.000000	WATER	1986-09-28	1001	9999-12-31	2013-05-08	8087
25/1-9	2244.000000	1.080000	18.000000	13.000000	WATER	1986-09-28	1001	9999-12-31	2013-05-08	8088
25/1-9	2319.000000	1.080000	18.000000	12.000000	WATER	1986-09-29	1001	9999-12-31	2013-05-08	8089
25/1-9	2511.000000	1.080000	18.000000	14.000000	WATER	1986-09-30	1001	9999-12-31	2013-05-08	8090
25/1-9	2602.000000	1.090000	18.000000	14.000000	WATER	1986-10-01	1001	9999-12-31	2013-05-08	8091
25/1-9	2702.000000	1.090000	18.000000	12.000000	WATER	1986-10-02	1001	9999-12-31	2013-05-08	8092
25/1-9	2723.000000	1.090000	17.000000	11.000000	WATER	1986-10-05	1001	9999-12-31	2013-05-08	8093
25/1-9	2807.000000	1.080000	19.000000	13.000000	WATER	1986-10-05	1001	9999-12-31	2013-05-08	8094
25/1-9	2807.000000	0.000000	19.000000	12.000000	WATER	1986-10-05	1001	9999-12-31	2013-05-08	8095
25/1-9	2807.000000	0.000000	15.000000	11.000000	WATER	1986-10-08	1001	9999-12-31	2013-05-08	8096
25/1-9	2807.000000	0.000000	16.000000	11.000000	WATER	1986-10-07	1001	9999-12-31	2013-05-08	8097
25/1-9	2807.000000	0.000000	16.000000	12.000000	WATER	1986-10-06	1001	9999-12-31	2013-05-08	8098
25/2-1	460.000000	1.050000	120.000000	0.000000	water based	9999-12-31	353	9999-12-31	2013-05-08	8099
25/2-1	826.000000	1.290000	59.000000	10.000000	water based	9999-12-31	353	9999-12-31	2013-05-08	8100
25/2-1	1913.000000	1.230000	50.000000	17.000000	water based	9999-12-31	353	9999-12-31	2013-05-08	8101
25/2-1	1950.000000	1.240000	47.000000	12.000000	water based	9999-12-31	353	9999-12-31	2013-05-08	8102
25/2-1	2528.000000	1.260000	52.000000	10.000000	water based	9999-12-31	353	9999-12-31	2013-05-08	8103
25/2-10 S	166.000000	1.070000	35.000000	65.000000	WATER BASED	1985-12-04	855	9999-12-31	2013-05-08	8104
25/2-10 S	202.000000	1.070000	35.000000	65.000000	WATER BASED	1985-12-05	855	9999-12-31	2013-05-08	8105
25/2-10 S	220.000000	1.050000	15.000000	10.000000	WATER BASED	1985-12-10	855	9999-12-31	2013-05-08	8106
25/2-10 S	428.000000	1.080000	15.000000	5.000000	WATER BASED	1985-12-10	855	9999-12-31	2013-05-08	8107
25/2-10 S	456.000000	1.070000	10.000000	20.000000	WATER BASED	1985-12-10	855	9999-12-31	2013-05-08	8108
25/2-10 S	626.000000	1.080000	20.000000	14.000000	WATER BASED	1985-12-10	855	9999-12-31	2013-05-08	8109
25/2-10 S	626.000000	1.150000	20.000000	14.000000	WATER BASED	1985-12-12	855	9999-12-31	2013-05-08	8110
25/2-10 S	626.000000	1.150000	20.000000	14.000000	WATER BASED	1985-12-11	855	9999-12-31	2013-05-08	8111
25/2-10 S	626.000000	1.070000	20.000000	29.000000	WATER BASED	1985-12-10	855	9999-12-31	2013-05-08	8112
25/2-10 S	626.000000	1.150000	20.000000	0.000000	WATER BASED	1985-12-16	855	9999-12-31	2013-05-08	8113
25/2-10 S	626.000000	1.040000	0.000000	0.000000	WATER BASED	1985-12-17	855	9999-12-31	2013-05-08	8114
25/2-10 S	626.000000	1.040000	0.000000	0.000000	WATER BASED	1985-12-18	855	9999-12-31	2013-05-08	8115
25/2-10 S	626.000000	1.080000	28.000000	20.000000	WATER BASED	1985-12-10	855	9999-12-31	2013-05-08	8116
25/2-10 S	626.000000	1.070000	20.000000	13.000000	WATER BASED	1985-12-23	855	9999-12-31	2013-05-08	8117
25/2-10 S	631.000000	1.060000	20.000000	13.000000	WATER BASED	1985-12-23	855	9999-12-31	2013-05-08	8118
25/2-10 S	817.000000	1.080000	29.000000	17.000000	WATER BASED	1985-12-23	855	9999-12-31	2013-05-08	8119
25/2-10 S	956.000000	1.090000	15.000000	23.000000	WATER BASED	1985-12-23	855	9999-12-31	2013-05-08	8120
25/2-10 S	1037.000000	1.070000	12.000000	25.000000	WATER BASED	1985-12-24	855	9999-12-31	2013-05-08	8121
25/2-10 S	1045.000000	1.070000	24.000000	17.000000	WATER BASED	1985-12-24	855	9999-12-31	2013-05-08	8122
25/2-10 S	1045.000000	1.070000	22.000000	12.000000	WATER BASED	1985-12-24	855	9999-12-31	2013-05-08	8123
25/2-10 S	1045.000000	1.060000	20.000000	20.000000	WATER BASED	1985-12-24	855	9999-12-31	2013-05-08	8124
25/2-10 S	1045.000000	1.060000	17.000000	8.000000	WATER BASED	1985-12-30	855	9999-12-31	2013-05-08	8125
25/2-10 S	1045.000000	1.120000	22.000000	11.000000	WATER BASED	1985-12-30	855	9999-12-31	2013-05-08	8126
25/2-10 S	1045.000000	1.070000	16.000000	15.000000	WATER BASED	1985-12-30	855	9999-12-31	2013-05-08	8127
25/2-10 S	1049.000000	1.120000	16.000000	27.000000	WATER BASED	1985-12-30	855	9999-12-31	2013-05-08	8128
25/2-10 S	1049.000000	1.120000	160.000000	270.000000	WATER BASED	1985-12-30	855	9999-12-31	2013-05-08	8129
25/2-10 S	1049.000000	1.120000	16.000000	13.500000	WATER BASED	1985-12-30	855	9999-12-31	2013-05-08	8130
25/2-10 S	1075.000000	1.130000	30.000000	11.000000	WATER BASED	1986-01-01	855	9999-12-31	2013-05-08	8131
25/2-10 S	1100.000000	1.130000	29.000000	10.000000	WATER BASED	1986-01-02	855	9999-12-31	2013-05-08	8132
25/2-10 S	1100.000000	1.120000	29.000000	10.000000	WATER BASED	1986-01-06	855	9999-12-31	2013-05-08	8133
25/2-10 S	1100.000000	1.130000	29.000000	10.000000	WATER BASED	1986-01-01	855	9999-12-31	2013-05-08	8134
25/2-10 S	1348.000000	1.140000	34.000000	13.000000	WATER BASED	1986-01-06	855	9999-12-31	2013-05-08	8135
25/2-10 S	1459.000000	1.150000	30.000000	9.000000	WATER BASED	1986-01-06	855	9999-12-31	2013-05-08	8136
25/2-10 S	1546.000000	1.160000	36.000000	12.000000	WATER BASED	1986-01-07	855	9999-12-31	2013-05-08	8137
25/2-10 S	1717.000000	1.170000	34.000000	13.000000	WATER BASED	1986-01-03	855	9999-12-31	2013-05-08	8138
25/2-10 S	1791.000000	1.180000	30.000000	10.000000	WATER BASED	1986-01-09	855	9999-12-31	2013-05-08	8139
25/2-10 S	1866.000000	1.180000	35.000000	13.000000	WATER BASED	1986-01-13	855	9999-12-31	2013-05-08	8140
25/2-10 S	1866.000000	1.170000	32.000000	12.000000	WATER BASED	1986-01-13	855	9999-12-31	2013-05-08	8141
25/2-10 S	2015.000000	1.200000	38.000000	16.000000	WATER BASED	1986-01-13	855	9999-12-31	2013-05-08	8142
25/2-10 S	2129.000000	1.240000	40.000000	14.000000	WATER BASED	1986-01-16	855	9999-12-31	2013-05-08	8143
25/2-10 S	2129.000000	1.260000	40.000000	14.000000	WATER BASED	1986-01-17	855	9999-12-31	2013-05-08	8144
25/2-10 S	2129.000000	1.260000	40.000000	14.000000	WATER BASED	1986-01-20	855	9999-12-31	2013-05-08	8145
25/2-10 S	2129.000000	1.260000	40.000000	15.000000	WATER BASED	1986-01-20	855	9999-12-31	2013-05-08	8146
25/2-10 S	2129.000000	1.240000	43.000000	14.000000	WATER BASED	1986-01-14	855	9999-12-31	2013-05-08	8147
25/2-10 S	2133.000000	1.070000	28.000000	5.000000	WATER BASED	1986-01-23	855	9999-12-31	2013-05-08	8148
25/2-10 S	2233.000000	1.090000	26.000000	8.000000	WATER BASED	1986-01-25	855	9999-12-31	2013-05-08	8149
25/2-10 S	2236.000000	1.090000	26.000000	10.000000	WATER BASED	1986-01-25	855	9999-12-31	2013-05-08	8150
25/2-10 S	2246.000000	1.090000	25.000000	5.000000	WATER BASED	1986-01-25	855	9999-12-31	2013-05-08	8151
25/2-10 S	2248.000000	1.100000	25.000000	5.000000	WATER BASED	1986-01-25	855	9999-12-31	2013-05-08	8152
25/2-10 S	2257.000000	1.120000	26.000000	5.000000	WATER BASED	1986-01-25	855	9999-12-31	2013-05-08	8153
25/2-10 S	2311.000000	1.110000	24.000000	5.000000	WATER BASED	1986-01-30	855	9999-12-31	2013-05-08	8154
25/2-10 S	2371.000000	1.110000	26.000000	7.500000	WATER BASED	1986-01-31	855	9999-12-31	2013-05-08	8155
25/2-10 S	2371.000000	1.110000	26.000000	2.500000	WATER BASED	1986-02-03	855	9999-12-31	2013-05-08	8156
25/2-10 S	2427.000000	1.120000	31.000000	6.500000	WATER BASED	1986-02-03	855	9999-12-31	2013-05-08	8157
25/2-10 S	2555.000000	1.120000	27.000000	8.000000	WATER BASED	1986-02-03	855	9999-12-31	2013-05-08	8158
25/2-10 S	2582.000000	1.120000	28.000000	9.000000	WATER BASED	1986-02-01	855	9999-12-31	2013-05-08	8159
25/2-10 S	2600.000000	1.120000	32.000000	10.000000	WATER BASED	1986-02-04	855	9999-12-31	2013-05-08	8160
25/2-10 S	2748.000000	1.110000	29.000000	9.000000	WATER BASED	1986-02-06	855	9999-12-31	2013-05-08	8161
25/2-10 S	2856.000000	1.120000	28.000000	10.700000	WATER BASED	1986-02-11	855	9999-12-31	2013-05-08	8162
25/2-10 S	2885.000000	1.120000	30.000000	8.800000	WATER BASED	1986-02-11	855	9999-12-31	2013-05-08	8163
25/2-10 S	2925.000000	1.130000	29.000000	8.800000	WATER BASED	1986-02-11	855	9999-12-31	2013-05-08	8164
25/2-10 S	2955.000000	1.110000	28.000000	9.800000	WATER BASED	1986-02-11	855	9999-12-31	2013-05-08	8165
25/2-10 S	2967.000000	1.110000	30.000000	9.800000	WATER BASED	1986-02-11	855	9999-12-31	2013-05-08	8166
25/2-11	621.000000	1.090000	27.000000	8.800000	WATER BASED	1987-02-27	1036	9999-12-31	2013-05-08	8167
25/2-11	658.000000	1.090000	29.000000	8.800000	WATER BASED	1987-03-02	1036	9999-12-31	2013-05-08	8168
25/2-11	678.000000	1.100000	32.000000	10.700000	WATER BASED	1987-03-02	1036	9999-12-31	2013-05-08	8169
25/2-11	746.000000	1.110000	29.000000	9.800000	WATER BASED	1987-03-02	1036	9999-12-31	2013-05-08	8170
25/2-11	782.000000	1.050000	17.000000	9.300000	WATER BASED	1987-03-18	1036	9999-12-31	2013-05-08	8171
25/2-11	785.000000	1.110000	28.000000	9.800000	WATER BASED	1987-03-05	1036	9999-12-31	2013-05-08	8172
25/2-11	800.000000	1.110000	27.000000	8.800000	WATER BASED	1987-03-05	1036	9999-12-31	2013-05-08	8173
25/2-11	808.000000	1.050000	17.000000	7.800000	WATER BASED	1987-03-19	1036	9999-12-31	2013-05-08	8174
25/2-11	840.000000	1.050000	17.000000	6.800000	WATER BASED	1987-03-23	1036	9999-12-31	2013-05-08	8175
25/2-11	917.000000	1.060000	19.000000	8.800000	WATER BASED	1987-03-23	1036	9999-12-31	2013-05-08	8176
25/2-11	973.000000	1.070000	20.000000	6.300000	WATER BASED	1987-03-23	1036	9999-12-31	2013-05-08	8177
25/2-11	1055.000000	1.070000	22.000000	5.800000	WATER BASED	1987-03-24	1036	9999-12-31	2013-05-08	8178
25/2-11	1073.000000	1.060000	23.000000	4.900000	WATER BASED	1987-03-25	1036	9999-12-31	2013-05-08	8179
25/2-11	1230.000000	1.070000	22.000000	6.800000	WATER BASED	1987-03-26	1036	9999-12-31	2013-05-08	8180
25/2-11	1324.000000	1.080000	22.000000	4.900000	WATER BASED	1987-04-03	1036	9999-12-31	2013-05-08	8181
25/2-11	1508.000000	1.100000	23.000000	2.900000	WATER BASED	1987-04-06	1036	9999-12-31	2013-05-08	8182
25/2-11	1632.000000	1.150000	26.000000	5.800000	WATER BASED	1987-04-06	1036	9999-12-31	2013-05-08	8183
25/2-11	1900.000000	1.170000	36.000000	7.800000	WATER BASED	1987-04-06	1036	9999-12-31	2013-05-08	8184
25/2-11	1947.000000	1.180000	35.000000	6.800000	WATER BASED	1987-04-07	1036	9999-12-31	2013-05-08	8185
25/2-12	1195.000000	1.120000	43.000000	16.600000	WATER BASED	1988-07-27	1290	9999-12-31	2013-05-08	8186
25/2-12	1355.000000	1.140000	35.000000	14.200000	WATER BASED	1988-07-28	1290	9999-12-31	2013-05-08	8187
25/2-12	1367.000000	1.130000	32.000000	10.700000	WATER BASED	1988-07-29	1290	9999-12-31	2013-05-08	8188
25/2-12	1508.000000	1.140000	33.000000	10.700000	WATER BASED	1988-08-01	1290	9999-12-31	2013-05-08	8189
25/2-12	1707.000000	1.170000	35.000000	12.700000	WATER BASED	1988-08-01	1290	9999-12-31	2013-05-08	8190
25/2-12	1993.000000	1.200000	30.000000	9.800000	WATER BASED	1988-08-10	1290	9999-12-31	2013-05-08	8191
25/2-12	2054.000000	1.190000	29.000000	12.200000	WATER BASED	1988-08-11	1290	9999-12-31	2013-05-08	8192
25/2-12	2134.000000	1.190000	34.000000	13.700000	WATER BASED	1988-08-12	1290	9999-12-31	2013-05-08	8193
25/2-12	2134.000000	1.190000	30.000000	10.700000	WATER BASED	1988-08-15	1290	9999-12-31	2013-05-08	8194
25/2-12	2296.000000	1.190000	30.000000	10.700000	WATER BASED	1988-08-15	1290	9999-12-31	2013-05-08	8195
25/2-12	2427.000000	1.190000	32.000000	12.700000	WATER BASED	1988-08-15	1290	9999-12-31	2013-05-08	8196
25/2-12	2453.000000	1.220000	32.000000	12.200000	WATER BASED	1988-08-16	1290	9999-12-31	2013-05-08	8197
25/2-12	2572.000000	1.220000	28.000000	11.700000	WATER BASED	1988-08-19	1290	9999-12-31	2013-05-08	8198
25/2-12	2594.000000	1.220000	23.000000	10.700000	WATER BASED	1988-08-19	1290	9999-12-31	2013-05-08	8199
25/2-12	2599.000000	1.240000	28.000000	9.300000	WATER BASED	1988-08-22	1290	9999-12-31	2013-05-08	8200
25/2-12	2607.000000	1.240000	27.000000	10.700000	WATER BASED	1988-08-22	1290	9999-12-31	2013-05-08	8201
25/2-12	2629.000000	1.240000	26.000000	10.700000	WATER BASED	1988-08-23	1290	9999-12-31	2013-05-08	8202
25/2-12	2651.000000	1.240000	24.000000	10.700000	WATER BASED	1988-08-24	1290	9999-12-31	2013-05-08	8203
25/2-12	2688.000000	1.240000	25.000000	9.800000	WATER BASED	1988-08-25	1290	9999-12-31	2013-05-08	8204
25/2-12	2736.000000	1.240000	24.000000	11.700000	WATER BASED	1988-08-26	1290	9999-12-31	2013-05-08	8205
25/2-12	2767.000000	1.240000	27.000000	12.700000	WATER BASED	1988-08-29	1290	9999-12-31	2013-05-08	8206
25/2-12	2795.000000	1.240000	35.000000	12.700000	WATER BASED	1988-08-30	1290	9999-12-31	2013-05-08	8207
25/2-12	2863.000000	1.260000	34.000000	13.700000	WATER BASED	1988-08-31	1290	9999-12-31	2013-05-08	8208
25/2-12	2867.000000	1.280000	36.000000	11.700000	WATER BASED	1988-09-02	1290	9999-12-31	2013-05-08	8209
25/2-12	2867.000000	1.300000	23.000000	10.700000	WATER BASED	1988-09-05	1290	9999-12-31	2013-05-08	8210
25/2-12	2879.000000	1.500000	34.000000	9.300000	WATER BASED	1988-09-14	1290	9999-12-31	2013-05-08	8211
25/2-12	2936.000000	1.530000	35.000000	9.800000	WATER BASED	1988-09-15	1290	9999-12-31	2013-05-08	8212
25/2-12	2958.000000	1.530000	34.000000	9.300000	WATER BASED	1988-09-16	1290	9999-12-31	2013-05-08	8213
25/2-12	3021.000000	1.530000	36.000000	13.700000	WATER BASED	1988-09-19	1290	9999-12-31	2013-05-08	8214
25/2-12	3157.000000	1.660000	36.000000	10.200000	WATER BASED	1988-09-19	1290	9999-12-31	2013-05-08	8215
25/2-12	3221.000000	1.740000	37.000000	9.800000	WATER BASED	1988-09-20	1290	9999-12-31	2013-05-08	8216
25/2-12	3281.000000	1.790000	33.000000	9.800000	WATER BASED	1988-09-21	1290	9999-12-31	2013-05-08	8217
25/2-12	3325.000000	1.850000	35.000000	9.800000	WATER BASED	1988-09-22	1290	9999-12-31	2013-05-08	8218
25/2-12	3369.000000	1.850000	36.000000	9.800000	WATER BASED	1988-09-26	1290	9999-12-31	2013-05-08	8219
25/2-12	3392.000000	1.850000	33.000000	9.800000	WATER BASED	1988-09-26	1290	9999-12-31	2013-05-08	8220
25/2-12	3803.000000	1.920000	49.000000	11.700000	WATER BASED	1988-10-14	1290	9999-12-31	2013-05-08	8221
25/2-12	3910.000000	1.920000	53.000000	13.700000	WATER BASED	1988-10-20	1290	9999-12-31	2013-05-08	8222
25/2-12	3948.000000	1.920000	58.000000	13.700000	WATER BASED	1988-10-24	1290	9999-12-31	2013-05-08	8223
25/2-12	3982.000000	1.920000	52.000000	10.700000	WATER BASED	1988-10-24	1290	9999-12-31	2013-05-08	8224
25/2-12	4008.000000	1.920000	53.000000	13.700000	WATER BASED	1988-10-24	1290	9999-12-31	2013-05-08	8225
25/2-12	4052.000000	1.920000	50.000000	13.700000	WATER BASED	1988-10-24	1290	9999-12-31	2013-05-08	8226
25/2-12 A	3174.000000	1.810000	48.000000	14.200000	WATER BASED	1988-11-22	1355	9999-12-31	2013-05-08	8227
25/2-12 A	3175.000000	1.810000	48.000000	14.200000	WATER BASED	1988-11-24	1355	9999-12-31	2013-05-08	8228
25/2-12 A	3177.000000	1.810000	48.000000	14.200000	WATER BASED	1988-11-25	1355	9999-12-31	2013-05-08	8229
25/2-12 A	3207.000000	1.810000	464.000000	15.600000	WATER BASED	1988-11-25	1355	9999-12-31	2013-05-08	8230
25/2-12 A	3290.000000	1.840000	46.000000	13.700000	WATER BASED	1988-11-29	1355	9999-12-31	2013-05-08	8231
25/2-12 A	3311.000000	1.850000	41.000000	11.700000	WATER BASED	1988-11-29	1355	9999-12-31	2013-05-08	8232
25/2-12 A	3335.000000	1.850000	38.000000	11.200000	WATER BASED	1988-11-30	1355	9999-12-31	2013-05-08	8233
25/2-12 A	3360.000000	1.850000	40.000000	11.700000	WATER BASED	1988-12-01	1355	9999-12-31	2013-05-08	8234
25/2-12 A	3386.000000	1.850000	40.000000	12.200000	WATER BASED	1988-12-02	1355	9999-12-31	2013-05-08	8235
25/2-12 A	3407.000000	1.850000	41.000000	12.700000	WATER BASED	1988-12-05	1355	9999-12-31	2013-05-08	8236
25/2-12 A	3412.000000	1.850000	46.000000	13.200000	WATER BASED	1988-12-05	1355	9999-12-31	2013-05-08	8237
25/2-12 A	3415.000000	1.850000	50.000000	11.200000	WATER BASED	1988-12-05	1355	9999-12-31	2013-05-08	8238
25/2-12 A	3442.000000	1.850000	48.000000	12.700000	WATER BASED	1988-12-08	1355	9999-12-31	2013-05-08	8239
25/2-12 A	3448.000000	1.900000	53.000000	14.200000	WATER BASED	1988-12-27	1355	9999-12-31	2013-05-08	8240
25/2-12 A	3449.000000	1.900000	51.000000	13.700000	WATER BASED	1988-12-27	1355	9999-12-31	2013-05-08	8241
25/2-12 A	3478.000000	1.900000	50.000000	12.700000	WATER BASED	1988-12-28	1355	9999-12-31	2013-05-08	8242
25/2-12 A	3506.000000	1.850000	46.000000	11.700000	WATER BASED	1988-12-09	1355	9999-12-31	2013-05-08	8243
25/2-12 A	3507.000000	1.900000	51.000000	12.700000	WATER BASED	1988-12-29	1355	9999-12-31	2013-05-08	8244
25/2-12 A	3553.000000	1.900000	54.000000	14.700000	WATER BASED	1988-12-30	1355	9999-12-31	2013-05-08	8245
25/2-12 A	3592.000000	1.900000	56.000000	13.700000	WATER BASED	1989-01-02	1355	9999-12-31	2013-05-08	8246
25/2-12 A	3655.000000	1.910000	50.000000	14.200000	WATER BASED	1989-01-02	1355	9999-12-31	2013-05-08	8247
25/2-12 A	3692.000000	1.910000	48.000000	12.700000	WATER BASED	1988-12-12	1355	9999-12-31	2013-05-08	8248
25/2-12 A	3714.000000	1.910000	53.000000	14.700000	WATER BASED	1989-01-03	1355	9999-12-31	2013-05-08	8249
25/2-12 A	3799.000000	1.950000	51.000000	15.600000	WATER BASED	1989-02-08	1355	9999-12-31	2013-05-08	8250
25/2-12 A	3865.000000	1.950000	47.000000	14.700000	WATER BASED	1989-02-09	1355	9999-12-31	2013-05-08	8251
25/2-13	1314.000000	1.160000	20.000000	6.800000	WATER BASED	1989-09-18	1459	9999-12-31	2013-05-08	8252
25/2-13	1331.000000	1.170000	24.000000	7.800000	WATER BASED	1989-09-18	1459	9999-12-31	2013-05-08	8253
25/2-13	1631.000000	1.170000	22.000000	5.800000	WATER BASED	1989-09-18	1459	9999-12-31	2013-05-08	8254
25/2-13	1747.000000	1.170000	27.000000	8.800000	WATER BASED	1989-09-19	1459	9999-12-31	2013-05-08	8255
25/2-13	2036.000000	1.170000	20.000000	5.800000	WATER BASED	1989-09-20	1459	9999-12-31	2013-05-08	8256
25/2-13	2057.000000	1.180000	24.000000	7.800000	WATER BASED	1989-09-21	1459	9999-12-31	2013-05-08	8257
25/2-13	2188.000000	1.200000	26.000000	11.700000	WATER BASED	1989-09-25	1459	9999-12-31	2013-05-08	8258
25/2-13	2238.000000	1.270000	39.000000	14.200000	WATER BASED	1989-10-04	1459	9999-12-31	2013-05-08	8259
25/2-13	2301.000000	1.270000	36.000000	13.200000	WATER BASED	1989-10-05	1459	9999-12-31	2013-05-08	8260
25/2-13	2502.000000	1.270000	32.000000	11.700000	WATER BASED	1989-10-09	1459	9999-12-31	2013-05-08	8261
25/2-13	2502.000000	1.270000	32.000000	10.700000	WATER BASED	1989-10-06	1459	9999-12-31	2013-05-08	8262
25/2-13	2739.000000	1.270000	31.000000	11.200000	WATER BASED	1989-10-09	1459	9999-12-31	2013-05-08	8263
25/2-13	2807.000000	1.270000	33.000000	12.200000	WATER BASED	1989-10-10	1459	9999-12-31	2013-05-08	8264
25/2-13	2875.000000	1.270000	33.000000	13.200000	WATER BASED	1989-10-12	1459	9999-12-31	2013-05-08	8265
25/2-13	2938.000000	1.270000	34.000000	12.200000	WATER BASED	1989-10-12	1459	9999-12-31	2013-05-08	8266
25/2-13	3009.000000	1.270000	33.000000	11.700000	WATER BASED	1989-10-13	1459	9999-12-31	2013-05-08	8267
25/2-13	3159.000000	1.200000	37.000000	10.700000	WATER BASED	1989-11-07	1459	9999-12-31	2013-05-08	8268
25/2-13	3201.000000	1.270000	32.000000	11.200000	WATER BASED	1989-10-16	1459	9999-12-31	2013-05-08	8269
25/2-13	3215.000000	1.270000	33.000000	11.200000	WATER BASED	1989-10-17	1459	9999-12-31	2013-05-08	8270
25/2-13	3282.000000	1.270000	34.000000	12.200000	WATER BASED	1989-10-18	1459	9999-12-31	2013-05-08	8271
25/2-13	3315.000000	1.270000	32.000000	10.700000	WATER BASED	1989-10-19	1459	9999-12-31	2013-05-08	8272
25/2-13	3340.000000	1.270000	33.000000	11.700000	WATER BASED	1989-10-27	1459	9999-12-31	2013-05-08	8273
25/2-13	3395.000000	1.270000	30.000000	8.800000	WATER BASED	1989-10-27	1459	9999-12-31	2013-05-08	8274
25/2-13	3423.000000	1.200000	39.000000	13.200000	WATER BASED	1989-11-07	1459	9999-12-31	2013-05-08	8275
25/2-13	3525.000000	1.200000	34.000000	10.200000	WATER BASED	1989-11-08	1459	9999-12-31	2013-05-08	8276
25/2-13	3799.000000	1.200000	36.000000	7.300000	WATER BASED	1989-11-21	1459	9999-12-31	2013-05-08	8277
25/2-13	3811.000000	1.200000	38.000000	8.300000	WATER BASED	1989-11-22	1459	9999-12-31	2013-05-08	8278
25/2-13	3847.000000	1.200000	38.000000	8.800000	WATER BASED	1989-11-22	1459	9999-12-31	2013-05-08	8279
25/2-13	3856.000000	1.210000	38.000000	9.800000	WATER BASED	1989-11-23	1459	9999-12-31	2013-05-08	8280
25/2-13	3908.000000	1.200000	36.000000	13.700000	WATER BASED	1989-11-24	1459	9999-12-31	2013-05-08	8281
25/2-14	368.000000	1.030000	0.000000	0.000000	WATER BASED	1991-01-29	1712	9999-12-31	2013-05-08	8282
25/2-14	1213.000000	1.090000	10.000000	15.600000	WATER BASED	1991-02-04	1712	9999-12-31	2013-05-08	8283
25/2-14	2848.000000	1.350000	31.000000	19.600000	WATER BASED	1991-03-04	1712	9999-12-31	2013-05-08	8284
25/2-14	2874.000000	1.350000	32.000000	20.500000	WATER BASED	1991-03-04	1712	9999-12-31	2013-05-08	8285
25/2-14	2934.000000	1.350000	27.000000	38.000000	WATER BASED	1991-03-06	1712	9999-12-31	2013-05-08	8286
25/2-14	3072.000000	1.350000	22.000000	17.600000	WATER BASED	1991-03-08	1712	9999-12-31	2013-05-08	8287
25/2-14	3496.000000	1.250000	202.000000	89.100000	WATER BASED	1991-03-19	1712	9999-12-31	2013-05-08	8288
25/2-14	3623.000000	1.260000	25.000000	10.200000	WATER BASED	1991-03-21	1712	9999-12-31	2013-05-08	8289
25/2-15	182.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1938	9999-12-31	2013-05-08	8290
25/2-15	198.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1938	9999-12-31	2013-05-08	8291
25/2-15	883.000000	1.080000	10.000000	0.000000	WATER BASED	9999-12-31	1938	9999-12-31	2013-05-08	8292
25/2-15	1150.000000	1.100000	10.000000	0.000000	WATER BASED	9999-12-31	1938	9999-12-31	2013-05-08	8293
25/2-15	2120.000000	1.350000	16.000000	0.000000	WATER BASED	9999-12-31	1938	9999-12-31	2013-05-08	8294
25/2-15	2423.000000	1.140000	19.000000	0.000000	WATER BASED	9999-12-31	1938	9999-12-31	2013-05-08	8295
25/2-15	2767.000000	1.200000	28.000000	0.000000	WATER BASED	9999-12-31	1938	9999-12-31	2013-05-08	8296
25/2-15	2965.000000	1.250000	27.000000	0.000000	WATER BASED	9999-12-31	1938	9999-12-31	2013-05-08	8297
25/2-15	3295.000000	1.270000	23.000000	0.000000	WATER BASED	9999-12-31	1938	9999-12-31	2013-05-08	8298
25/2-15	3492.000000	1.270000	23.000000	0.000000	WATER BASED	9999-12-31	1938	9999-12-31	2013-05-08	8299
25/2-15	3505.000000	1.270000	23.000000	0.000000	WATER BASED	9999-12-31	1938	9999-12-31	2013-05-08	8300
25/2-15 R	3509.000000	1.270000	22.000000	0.000000	WATER BASED	9999-12-31	2095	9999-12-31	2013-05-08	8301
25/2-15 R	3510.000000	1.300000	27.000000	0.000000	WATER BASED	9999-12-31	2095	9999-12-31	2013-05-08	8302
25/2-16 S	160.000000	0.000000	0.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8303
25/2-16 S	223.000000	1.390000	8.000000	0.000000	WATER BASED	9999-12-31	4385	9999-12-31	2013-05-08	8304
25/2-16 S	225.000000	1.390000	20.000000	0.000000	WATER BASED	9999-12-31	4385	9999-12-31	2013-05-08	8305
25/2-16 S	634.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	4385	9999-12-31	2013-05-08	8306
25/2-16 S	1160.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	4385	9999-12-31	2013-05-08	8307
25/2-16 S	1790.000000	1.250000	37.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8308
25/2-16 S	2101.000000	1.250000	32.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8309
25/2-16 S	2635.000000	1.310000	53.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8310
25/2-16 S	2730.000000	1.250000	33.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8311
25/2-16 S	2837.000000	1.250000	34.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8312
25/2-16 S	2860.000000	1.490000	53.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8313
25/2-16 S	2924.000000	1.250000	38.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8314
25/2-16 S	2983.000000	1.250000	37.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8315
25/2-16 S	2995.000000	1.330000	46.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8316
25/2-16 S	3056.000000	1.250000	36.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8317
25/2-16 S	3068.000000	1.500000	66.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8318
25/2-16 S	3089.000000	1.250000	39.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8319
25/2-16 S	3089.000000	1.250000	37.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8320
25/2-16 S	3185.000000	1.410000	52.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8321
25/2-16 S	3269.000000	1.490000	48.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8322
25/2-16 S	3841.000000	1.500000	46.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8323
25/2-16 S	4013.000000	1.500000	56.000000	0.000000	OIL BASED	9999-12-31	4385	9999-12-31	2013-05-08	8324
25/2-17	247.000000	1.230000	22.000000	0.000000	Performadril	9999-12-31	6215	9999-12-31	2013-05-08	8325
25/2-17	1007.000000	1.140000	16.000000	0.000000	Performadril	9999-12-31	6215	9999-12-31	2013-05-08	8326
25/2-17	1380.000000	1.170000	25.000000	0.000000	Performadril	9999-12-31	6215	9999-12-31	2013-05-08	8327
25/2-17	1710.000000	1.210000	30.000000	0.000000	Performadril	9999-12-31	6215	9999-12-31	2013-05-08	8328
25/2-17	1900.000000	1.220000	25.000000	0.000000	Performadril	9999-12-31	6215	9999-12-31	2013-05-08	8329
25/2-17	1900.000000	1.200000	27.000000	0.000000	Performadril	9999-12-31	6215	9999-12-31	2013-05-08	8330
25/2-17	1904.000000	1.210000	20.000000	0.000000	Performadril	9999-12-31	6215	9999-12-31	2013-05-08	8331
25/2-17	1955.000000	1.200000	25.000000	0.000000	Performadril	9999-12-31	6215	9999-12-31	2013-05-08	8332
25/2-17	2015.000000	1.210000	23.000000	0.000000	Performadril	9999-12-31	6215	9999-12-31	2013-05-08	8333
25/2-17	2193.000000	1.200000	24.000000	0.000000	Performadril	9999-12-31	6215	9999-12-31	2013-05-08	8334
25/2-2	904.000000	1.130000	43.000000	0.000000	water based	9999-12-31	354	9999-12-31	2013-05-08	8335
25/2-2	1923.000000	1.330000	52.000000	0.000000	water based	9999-12-31	354	9999-12-31	2013-05-08	8336
25/2-2	2274.000000	1.230000	55.000000	0.000000	water based	9999-12-31	354	9999-12-31	2013-05-08	8337
25/2-2	2681.000000	1.240000	48.000000	0.000000	water based	9999-12-31	354	9999-12-31	2013-05-08	8338
25/2-2	2740.000000	1.230000	48.000000	0.000000	water based	9999-12-31	354	9999-12-31	2013-05-08	8339
25/2-4	136.000000	1.060000	100.000000	0.000000	water based	9999-12-31	356	9999-12-31	2013-05-08	8340
25/2-4	700.000000	1.050000	100.000000	0.000000	water based	9999-12-31	356	9999-12-31	2013-05-08	8341
25/2-4	1437.000000	1.180000	60.000000	12.000000	water based	9999-12-31	356	9999-12-31	2013-05-08	8342
25/2-4	2147.000000	1.250000	55.000000	11.000000	water based	9999-12-31	356	9999-12-31	2013-05-08	8343
25/2-4	3380.000000	1.910000	53.000000	18.000000	water based	9999-12-31	356	9999-12-31	2013-05-08	8344
25/2-4	3640.000000	1.920000	60.000000	0.000000	water based	9999-12-31	356	9999-12-31	2013-05-08	8345
25/2-4	3915.000000	1.930000	54.000000	22.000000	water based	9999-12-31	356	9999-12-31	2013-05-08	8346
25/2-4	4260.000000	1.940000	56.000000	22.000000	water based	9999-12-31	356	9999-12-31	2013-05-08	8347
25/2-4	4360.000000	1.770000	66.000000	0.000000	water based	9999-12-31	356	9999-12-31	2013-05-08	8348
25/2-6	190.000000	1.070000	0.000000	0.000000	spud mud	9999-12-31	358	9999-12-31	2013-05-08	8349
25/2-6	712.000000	1.070000	60.000000	0.000000	water based	9999-12-31	358	9999-12-31	2013-05-08	8350
25/2-6	1858.000000	1.160000	37.000000	0.000000	water based	9999-12-31	358	9999-12-31	2013-05-08	8351
25/2-6	2839.000000	1.250000	45.000000	0.000000	water based	9999-12-31	358	9999-12-31	2013-05-08	8352
25/2-6	3071.000000	1.300000	58.000000	0.000000	water based	9999-12-31	358	9999-12-31	2013-05-08	8353
25/2-6	3750.000000	1.350000	55.000000	0.000000	water based	9999-12-31	358	9999-12-31	2013-05-08	8354
25/2-7	210.000000	1.090000	0.000000	0.000000	spud mud	9999-12-31	47	9999-12-31	2013-05-08	8355
25/2-7	540.000000	1.110000	0.000000	0.000000	water based	9999-12-31	47	9999-12-31	2013-05-08	8356
25/2-7	790.000000	1.060000	0.000000	0.000000	water based	9999-12-31	47	9999-12-31	2013-05-08	8357
25/2-7	1640.000000	1.220000	0.000000	0.000000	water based	9999-12-31	47	9999-12-31	2013-05-08	8358
25/2-7	2210.000000	1.170000	0.000000	0.000000	water based	9999-12-31	47	9999-12-31	2013-05-08	8359
25/2-7	2990.000000	1.230000	0.000000	0.000000	water based	9999-12-31	47	9999-12-31	2013-05-08	8360
25/2-7	3240.000000	1.270000	0.000000	0.000000	water based	9999-12-31	47	9999-12-31	2013-05-08	8361
25/2-7	3635.000000	1.210000	0.000000	0.000000	water based	9999-12-31	47	9999-12-31	2013-05-08	8362
25/2-8	905.000000	1.090000	20.000000	16.000000	WATER BASED	1984-06-25	131	9999-12-31	2013-05-08	8363
25/2-8	1000.000000	1.090000	20.000000	16.000000	WATER BASED	1984-06-25	131	9999-12-31	2013-05-08	8364
25/2-8	1065.000000	1.100000	20.000000	16.000000	WATER BASED	1984-06-27	131	9999-12-31	2013-05-08	8365
25/2-8	1204.000000	1.110000	41.000000	22.000000	WATER BASED	1984-07-03	131	9999-12-31	2013-05-08	8366
25/2-8	1272.000000	1.160000	41.000000	22.000000	WATER BASED	1984-07-03	131	9999-12-31	2013-05-08	8367
25/2-8	1390.000000	1.170000	31.000000	22.000000	WATER BASED	1984-07-04	131	9999-12-31	2013-05-08	8368
25/2-8	1442.000000	1.200000	29.000000	24.000000	WATER BASED	1984-07-05	131	9999-12-31	2013-05-08	8369
25/2-8	1603.000000	1.230000	29.000000	20.000000	WATER BASED	1984-07-06	131	9999-12-31	2013-05-08	8370
25/2-8	1745.000000	1.250000	28.000000	18.000000	WATER BASED	1984-07-06	131	9999-12-31	2013-05-08	8371
25/2-8	1745.000000	1.250000	38.000000	28.000000	WATER BASED	1984-07-10	131	9999-12-31	2013-05-08	8372
25/2-8	1745.000000	1.250000	33.000000	9.300000	WATER BASED	1984-07-12	131	9999-12-31	2013-05-08	8373
25/2-8	1919.000000	1.270000	32.000000	9.800000	WATER BASED	1984-07-13	131	9999-12-31	2013-05-08	8374
25/2-8	1924.000000	1.280000	31.000000	7.800000	WATER BASED	1984-07-17	131	9999-12-31	2013-05-08	8375
25/2-8	1927.000000	1.280000	29.000000	7.900000	WATER BASED	1984-07-16	131	9999-12-31	2013-05-08	8376
25/2-8	1943.000000	1.280000	30.000000	7.900000	WATER BASED	1984-07-16	131	9999-12-31	2013-05-08	8377
25/2-8	2016.000000	1.280000	31.000000	7.800000	WATER BASED	1984-07-17	131	9999-12-31	2013-05-08	8378
25/2-8	2020.000000	1.280000	29.000000	7.900000	WATER BASED	1984-07-16	131	9999-12-31	2013-05-08	8379
25/2-8	2075.000000	1.280000	26.000000	6.800000	WATER BASED	1984-07-18	131	9999-12-31	2013-05-08	8380
25/2-8	2153.000000	1.280000	28.000000	6.800000	WATER BASED	1984-07-19	131	9999-12-31	2013-05-08	8381
25/2-8	2188.000000	1.280000	28.000000	8.000000	WATER BASED	1984-07-20	131	9999-12-31	2013-05-08	8382
25/2-8	2201.000000	1.280000	31.000000	7.800000	WATER BASED	1984-07-24	131	9999-12-31	2013-05-08	8383
25/2-8	2270.000000	1.280000	30.000000	8.800000	WATER BASED	1984-07-24	131	9999-12-31	2013-05-08	8384
25/2-8	2328.000000	1.280000	30.000000	7.800000	WATER BASED	1984-07-24	131	9999-12-31	2013-05-08	8385
25/2-8	2360.000000	1.300000	32.000000	9.800000	WATER BASED	1984-07-24	131	9999-12-31	2013-05-08	8386
25/2-8	2380.000000	1.300000	30.000000	9.800000	WATER BASED	1984-07-25	131	9999-12-31	2013-05-08	8387
25/2-9	198.000000	1.060000	0.000000	0.000000	WATER BASED	1985-06-17	477	9999-12-31	2013-05-08	8388
25/2-9	202.000000	1.050000	0.000000	0.000000	WATER BASED	1985-06-17	477	9999-12-31	2013-05-08	8389
25/2-9	602.000000	1.060000	0.000000	0.000000	WATER BASED	1985-06-18	477	9999-12-31	2013-05-08	8390
25/2-9	908.000000	1.100000	28.000000	11.000000	WATER BASED	1985-06-18	477	9999-12-31	2013-05-08	8391
25/2-9	1002.000000	1.100000	28.000000	19.000000	WATER BASED	1985-06-21	477	9999-12-31	2013-05-08	8392
25/2-9	1002.000000	1.190000	28.000000	20.000000	WATER BASED	1985-06-21	477	9999-12-31	2013-05-08	8393
25/2-9	1002.000000	1.190000	28.000000	20.000000	WATER BASED	1985-06-21	477	9999-12-31	2013-05-08	8394
25/2-9	1010.000000	1.060000	32.000000	8.000000	WATER BASED	1985-06-24	477	9999-12-31	2013-05-08	8395
25/2-9	1300.000000	1.160000	38.000000	10.000000	WATER BASED	1985-06-24	477	9999-12-31	2013-05-08	8396
25/2-9	1525.000000	1.190000	38.000000	11.000000	WATER BASED	1985-06-25	477	9999-12-31	2013-05-08	8397
25/2-9	1783.000000	1.200000	40.000000	12.000000	WATER BASED	1985-06-26	477	9999-12-31	2013-05-08	8398
25/2-9	1933.000000	1.230000	34.000000	8.000000	WATER BASED	1985-06-26	477	9999-12-31	2013-05-08	8399
25/2-9	1946.000000	1.240000	31.000000	8.000000	WATER BASED	1985-06-27	477	9999-12-31	2013-05-08	8400
25/2-9	1987.000000	1.240000	30.000000	7.000000	WATER BASED	1985-06-28	477	9999-12-31	2013-05-08	8401
25/2-9	2034.000000	1.260000	32.000000	7.000000	WATER BASED	1985-07-01	477	9999-12-31	2013-05-08	8402
25/2-9	2034.000000	1.260000	32.000000	7.000000	WATER BASED	1985-07-01	477	9999-12-31	2013-05-08	8403
25/2-9	2034.000000	1.260000	32.000000	7.000000	WATER BASED	1985-06-28	477	9999-12-31	2013-05-08	8404
25/2-9	2060.000000	1.260000	31.000000	6.000000	WATER BASED	1985-07-01	477	9999-12-31	2013-05-08	8405
25/2-9	2075.000000	1.260000	33.000000	7.000000	WATER BASED	1985-07-02	477	9999-12-31	2013-05-08	8406
25/2-9	2076.000000	1.260000	35.000000	10.000000	WATER BASED	1985-07-04	477	9999-12-31	2013-05-08	8407
25/2-9	2107.000000	1.270000	41.000000	10.500000	WATER BASED	1985-07-08	477	9999-12-31	2013-05-08	8408
25/2-9	2120.000000	1.270000	38.000000	12.500000	WATER BASED	1985-07-08	477	9999-12-31	2013-05-08	8409
25/2-9	2145.000000	1.270000	41.000000	13.500000	WATER BASED	1985-07-08	477	9999-12-31	2013-05-08	8410
25/2-9	2227.000000	1.270000	40.000000	13.000000	WATER BASED	1985-07-08	477	9999-12-31	2013-05-08	8411
25/2-9	2256.000000	1.270000	41.000000	11.000000	WATER BASED	1985-07-09	477	9999-12-31	2013-05-08	8412
25/2-9	2297.000000	1.270000	36.000000	9.000000	WATER BASED	1985-07-14	477	9999-12-31	2013-05-08	8413
25/2-9	2297.000000	1.280000	35.000000	8.000000	WATER BASED	1985-07-16	477	9999-12-31	2013-05-08	8414
25/2-9	2297.000000	1.290000	36.000000	8.000000	WATER BASED	1985-07-16	477	9999-12-31	2013-05-08	8415
25/2-9	2297.000000	1.270000	38.000000	11.000000	WATER BASED	1985-07-10	477	9999-12-31	2013-05-08	8416
25/2-9	2297.000000	1.300000	50.000000	12.000000	WATER BASED	1985-07-20	477	9999-12-31	2013-05-08	8417
25/2-9	2297.000000	1.290000	44.000000	8.000000	WATER BASED	1985-07-17	477	9999-12-31	2013-05-08	8418
25/2-9	2297.000000	1.270000	36.000000	9.000000	WATER BASED	1985-07-14	477	9999-12-31	2013-05-08	8419
25/2-9	2297.000000	1.280000	35.000000	8.000000	WATER BASED	1985-07-16	477	9999-12-31	2013-05-08	8420
25/2-9	2297.000000	1.290000	36.000000	8.000000	WATER BASED	1985-07-16	477	9999-12-31	2013-05-08	8421
25/2-9	2297.000000	1.290000	44.000000	8.000000	WATER BASED	1985-07-17	477	9999-12-31	2013-05-08	8422
25/2-9	2297.000000	1.300000	50.000000	12.000000	WATER BASED	1985-07-20	477	9999-12-31	2013-05-08	8423
25/3-1	909.000000	1.090000	16.000000	9.800000	WATER BASED	1989-07-14	1419	9999-12-31	2013-05-08	8424
25/3-1	1243.000000	1.130000	19.000000	10.700000	WATER BASED	1989-07-14	1419	9999-12-31	2013-05-08	8425
25/3-1	1840.000000	1.200000	22.000000	11.700000	WATER BASED	1989-07-17	1419	9999-12-31	2013-05-08	8426
25/3-1	1858.000000	1.210000	26.000000	12.700000	WATER BASED	1989-07-18	1419	9999-12-31	2013-05-08	8427
25/3-1	1948.000000	1.200000	23.000000	12.200000	WATER BASED	1989-07-19	1419	9999-12-31	2013-05-08	8428
25/3-1	1998.000000	1.200000	22.000000	12.200000	WATER BASED	1989-07-20	1419	9999-12-31	2013-05-08	8429
25/3-1	3071.000000	1.250000	26.000000	7.300000	WATER BASED	1989-08-10	1419	9999-12-31	2013-05-08	8430
25/3-1	3118.000000	1.250000	31.000000	5.800000	WATER BASED	1989-08-11	1419	9999-12-31	2013-05-08	8431
25/3-1	3198.000000	1.250000	34.000000	12.700000	WATER BASED	1989-08-14	1419	9999-12-31	2013-05-08	8432
25/3-1	3291.000000	1.250000	32.000000	12.700000	WATER BASED	1989-08-14	1419	9999-12-31	2013-05-08	8433
25/3-1	3353.000000	1.250000	30.000000	11.700000	WATER BASED	1989-08-14	1419	9999-12-31	2013-05-08	8434
25/3-1	3395.000000	1.250000	28.000000	11.700000	WATER BASED	1989-08-15	1419	9999-12-31	2013-05-08	8435
25/3-1	3429.000000	1.300000	31.000000	11.700000	WATER BASED	1989-08-22	1419	9999-12-31	2013-05-08	8436
25/3-1	3456.000000	1.260000	30.000000	11.700000	WATER BASED	1989-08-16	1419	9999-12-31	2013-05-08	8437
25/3-1	3491.000000	1.300000	31.000000	13.700000	WATER BASED	1989-08-17	1419	9999-12-31	2013-05-08	8438
25/3-1	3569.000000	1.300000	31.000000	12.700000	WATER BASED	1989-08-22	1419	9999-12-31	2013-05-08	8439
25/3-1	3719.000000	1.350000	33.000000	14.700000	WATER BASED	1989-08-22	1419	9999-12-31	2013-05-08	8440
25/3-1	3774.000000	1.350000	34.000000	13.700000	WATER BASED	1989-08-22	1419	9999-12-31	2013-05-08	8441
25/3-1	3858.000000	1.350000	34.000000	11.700000	WATER BASED	1989-08-24	1419	9999-12-31	2013-05-08	8442
25/3-1	3858.000000	1.350000	34.000000	11.700000	WATER BASED	1989-08-24	1419	9999-12-31	2013-05-08	8443
25/3-1	3871.000000	1.450000	37.000000	12.700000	WATER BASED	1989-08-25	1419	9999-12-31	2013-05-08	8444
25/4-1	170.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	359	9999-12-31	2013-05-08	8445
25/4-1	450.000000	1.150000	0.000000	0.000000	seawater	9999-12-31	359	9999-12-31	2013-05-08	8446
25/4-1	1800.000000	1.250000	50.000000	0.000000	seawater	9999-12-31	359	9999-12-31	2013-05-08	8447
25/4-1	2800.000000	1.250000	50.000000	0.000000	seawater	9999-12-31	359	9999-12-31	2013-05-08	8448
25/4-1	3500.000000	2.100000	0.000000	0.000000	seawater	9999-12-31	359	9999-12-31	2013-05-08	8449
25/4-10 A	883.000000	1.370000	35.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6255	9999-12-31	2013-05-08	8450
25/4-10 A	1232.000000	1.370000	30.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6255	9999-12-31	2013-05-08	8451
25/4-10 A	2165.000000	1.390000	30.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6255	9999-12-31	2013-05-08	8452
25/4-10 A	2550.000000	1.390000	29.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6255	9999-12-31	2013-05-08	8453
25/4-10 S	197.000000	1.500000	0.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6253	9999-12-31	2013-05-08	8454
25/4-10 S	812.000000	1.300000	0.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6253	9999-12-31	2013-05-08	8455
25/4-10 S	815.000000	1.350000	34.000000	0.000000	wvreportmudchk.com	9999-12-31	6253	9999-12-31	2013-05-08	8456
25/4-10 S	1088.000000	1.360000	33.000000	0.000000	wvreportmudchk.com	9999-12-31	6253	9999-12-31	2013-05-08	8457
25/4-10 S	1841.000000	1.360000	30.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6253	9999-12-31	2013-05-08	8458
25/4-10 S	2550.000000	1.030000	0.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6253	9999-12-31	2013-05-08	8459
25/4-10 S	2797.000000	1.390000	32.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6253	9999-12-31	2013-05-08	8460
25/4-10 S	2912.000000	1.390000	31.000000	0.000000	wvjobreportmudchk.com	9999-12-31	6253	9999-12-31	2013-05-08	8461
25/4-2	181.000000	1.260000	70.000000	13.000000	seawater	9999-12-31	360	9999-12-31	2013-05-08	8462
25/4-2	943.000000	1.260000	70.000000	5.000000	seawater	9999-12-31	360	9999-12-31	2013-05-08	8463
25/4-2	1512.000000	1.240000	45.000000	8.000000	seawater	9999-12-31	360	9999-12-31	2013-05-08	8464
25/4-2	2283.000000	1.260000	48.000000	4.200000	seawater	9999-12-31	360	9999-12-31	2013-05-08	8465
25/4-2	2316.000000	1.270000	52.000000	12.000000	seawater	9999-12-31	360	9999-12-31	2013-05-08	8466
25/4-2	2775.000000	1.260000	52.000000	4.000000	seawater	9999-12-31	360	9999-12-31	2013-05-08	8467
25/4-3	605.000000	1.120000	65.000000	7.000000	seawater	9999-12-31	361	9999-12-31	2013-05-08	8468
25/4-3	982.000000	1.130000	54.000000	5.200000	seawater	9999-12-31	361	9999-12-31	2013-05-08	8469
25/4-3	1750.000000	1.210000	50.000000	3.800000	seawater	9999-12-31	361	9999-12-31	2013-05-08	8470
25/4-3	2535.000000	1.230000	44.000000	3.800000	seawater	9999-12-31	361	9999-12-31	2013-05-08	8471
25/4-4	175.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	362	9999-12-31	2013-05-08	8472
25/4-4	204.000000	1.060000	0.000000	0.000000	seawater	9999-12-31	362	9999-12-31	2013-05-08	8473
25/4-4	473.000000	1.130000	72.000000	30.000000	seawater	9999-12-31	362	9999-12-31	2013-05-08	8474
25/4-4	1394.000000	1.110000	47.000000	0.000000	seawater	9999-12-31	362	9999-12-31	2013-05-08	8475
25/4-4	2025.000000	1.150000	64.000000	0.000000	seawater	9999-12-31	362	9999-12-31	2013-05-08	8476
25/4-4	2208.000000	1.210000	55.000000	0.000000	seawater	9999-12-31	362	9999-12-31	2013-05-08	8477
25/4-5	2396.000000	1.400000	30.000000	20.000000	seawater	9999-12-31	201	9999-12-31	2013-05-08	8478
25/4-5	2448.000000	1.400000	30.000000	20.000000	seawater	9999-12-31	201	9999-12-31	2013-05-08	8479
25/4-5	4080.000000	1.820000	46.000000	16.000000	seawater	9999-12-31	201	9999-12-31	2013-05-08	8480
25/4-5	4355.000000	1.750000	0.000000	0.000000	seawater	9999-12-31	201	9999-12-31	2013-05-08	8481
25/4-6 S	313.000000	1.050000	7.000000	16.000000	WATER BASED	1991-04-22	1703	9999-12-31	2013-05-08	8482
25/4-6 S	717.000000	1.080000	8.000000	22.000000	WATER BASED	1991-04-23	1703	9999-12-31	2013-05-08	8483
25/4-6 S	973.000000	1.080000	9.000000	23.000000	WATER BASED	1991-04-24	1703	9999-12-31	2013-05-08	8484
25/4-6 S	1215.000000	1.090000	9.000000	19.000000	WATER BASED	1991-04-25	1703	9999-12-31	2013-05-08	8485
25/4-6 S	1215.000000	1.090000	7.000000	20.000000	WATER BASED	1991-04-29	1703	9999-12-31	2013-05-08	8486
25/4-6 S	1215.000000	1.080000	8.000000	14.000000	WATER BASED	1991-04-26	1703	9999-12-31	2013-05-08	8487
25/4-6 S	1220.000000	1.080000	7.000000	17.000000	WATER BASED	1991-04-29	1703	9999-12-31	2013-05-08	8488
25/4-6 S	1220.000000	1.090000	0.000000	0.000000	WATER BASED	1991-04-29	1703	9999-12-31	2013-05-08	8489
25/4-6 S	1220.000000	1.090000	0.000000	0.000000	WATER BASED	1991-04-30	1703	9999-12-31	2013-05-08	8490
25/4-6 S	1220.000000	1.090000	0.000000	0.000000	WATER BASED	1991-05-02	1703	9999-12-31	2013-05-08	8491
25/4-6 S	1220.000000	1.090000	0.000000	0.000000	WATER BASED	1991-05-03	1703	9999-12-31	2013-05-08	8492
25/4-6 S	1220.000000	1.090000	0.000000	0.000000	WATER BASED	1991-05-06	1703	9999-12-31	2013-05-08	8493
25/4-6 S	1240.000000	1.250000	25.000000	36.000000	WATER BASED	1991-05-07	1703	9999-12-31	2013-05-08	8494
25/4-6 S	1240.000000	1.250000	20.000000	14.000000	WATER BASED	1991-05-06	1703	9999-12-31	2013-05-08	8495
25/4-6 S	1503.000000	1.250000	21.000000	32.000000	WATER BASED	1991-05-06	1703	9999-12-31	2013-05-08	8496
25/4-6 S	2000.000000	1.250000	28.000000	18.000000	WATER BASED	1991-05-08	1703	9999-12-31	2013-05-08	8497
25/4-6 S	2066.000000	1.300000	29.000000	19.000000	WATER BASED	1991-05-10	1703	9999-12-31	2013-05-08	8498
25/4-6 S	2303.000000	1.300000	31.000000	19.000000	WATER BASED	1991-05-10	1703	9999-12-31	2013-05-08	8499
25/4-6 S	2433.000000	1.300000	30.000000	19.500000	WATER BASED	1991-05-13	1703	9999-12-31	2013-05-08	8500
25/4-6 S	2433.000000	1.300000	29.000000	16.000000	WATER BASED	1991-05-13	1703	9999-12-31	2013-05-08	8501
25/4-6 S	2433.000000	1.300000	29.000000	16.000000	WATER BASED	1991-05-13	1703	9999-12-31	2013-05-08	8502
25/4-6 S	2433.000000	1.380000	25.000000	12.500000	WATER BASED	1991-05-16	1703	9999-12-31	2013-05-08	8503
25/4-6 S	2433.000000	1.380000	24.000000	14.000000	WATER BASED	1991-05-21	1703	9999-12-31	2013-05-08	8504
25/4-6 S	2433.000000	1.380000	22.000000	14.500000	WATER BASED	1991-05-21	1703	9999-12-31	2013-05-08	8505
25/4-6 S	2433.000000	1.380000	23.000000	29.000000	WATER BASED	1991-05-21	1703	9999-12-31	2013-05-08	8506
25/4-6 S	2433.000000	1.380000	25.000000	15.000000	WATER BASED	1991-05-21	1703	9999-12-31	2013-05-08	8507
25/4-6 S	2433.000000	1.380000	26.000000	15.500000	WATER BASED	1991-05-21	1703	9999-12-31	2013-05-08	8508
25/4-6 S	2433.000000	1.350000	26.000000	14.500000	WATER BASED	1991-05-15	1703	9999-12-31	2013-05-08	8509
25/4-6 S	2433.000000	1.350000	22.000000	17.000000	WATER BASED	1991-05-14	1703	9999-12-31	2013-05-08	8510
25/4-6 S	2446.000000	1.380000	23.000000	14.500000	WATER BASED	1991-05-22	1703	9999-12-31	2013-05-08	8511
25/4-6 S	2503.000000	1.380000	21.000000	14.000000	WATER BASED	1991-05-23	1703	9999-12-31	2013-05-08	8512
25/4-6 S	2503.000000	1.380000	24.000000	12.000000	WATER BASED	1991-05-27	1703	9999-12-31	2013-05-08	8513
25/4-6 S	2503.000000	1.380000	23.000000	11.500000	WATER BASED	1991-05-27	1703	9999-12-31	2013-05-08	8514
25/4-6 S	2503.000000	1.380000	23.000000	11.500000	WATER BASED	1991-05-28	1703	9999-12-31	2013-05-08	8515
25/4-6 S	2503.000000	1.380000	23.000000	12.000000	WATER BASED	1991-05-24	1703	9999-12-31	2013-05-08	8516
25/4-6 S	2503.000000	1.380000	23.000000	24.000000	WATER BASED	1991-05-27	1703	9999-12-31	2013-05-08	8517
25/4-6 S	2535.000000	1.360000	29.000000	15.000000	WATER BASED	1991-05-29	1703	9999-12-31	2013-05-08	8518
25/4-6 S	2609.000000	1.360000	33.000000	13.000000	WATER BASED	1991-05-30	1703	9999-12-31	2013-05-08	8519
25/4-6 S	2695.000000	1.360000	28.000000	33.000000	WATER BASED	1991-06-03	1703	9999-12-31	2013-05-08	8520
25/4-6 S	2695.000000	1.360000	25.000000	17.500000	WATER BASED	1991-05-31	1703	9999-12-31	2013-05-08	8521
25/4-6 S	2712.000000	1.360000	26.000000	31.000000	WATER BASED	1991-06-03	1703	9999-12-31	2013-05-08	8522
25/4-6 S	2738.000000	1.360000	24.000000	13.500000	WATER BASED	1991-06-03	1703	9999-12-31	2013-05-08	8523
25/4-6 S	2761.000000	1.360000	26.000000	12.000000	WATER BASED	1991-06-04	1703	9999-12-31	2013-05-08	8524
25/4-6 S	2761.000000	1.360000	26.000000	12.000000	WATER BASED	1991-06-05	1703	9999-12-31	2013-05-08	8525
25/4-6 S	2777.000000	1.420000	28.000000	14.000000	WATER BASED	1991-06-07	1703	9999-12-31	2013-05-08	8526
25/4-6 S	2788.000000	1.420000	28.000000	14.000000	WATER BASED	1991-06-07	1703	9999-12-31	2013-05-08	8527
25/4-6 S	2820.000000	1.420000	31.000000	28.000000	WATER BASED	1991-06-10	1703	9999-12-31	2013-05-08	8528
25/4-6 S	2871.000000	1.420000	31.000000	13.500000	WATER BASED	1991-06-10	1703	9999-12-31	2013-05-08	8529
25/4-6 S	3080.000000	1.420000	32.000000	25.000000	WATER BASED	1991-06-12	1703	9999-12-31	2013-05-08	8530
25/4-6 S	3184.000000	1.420000	32.000000	13.500000	WATER BASED	1991-06-13	1703	9999-12-31	2013-05-08	8531
25/4-6 S	3376.000000	1.420000	28.000000	10.000000	WATER BASED	1991-06-14	1703	9999-12-31	2013-05-08	8532
25/4-6 S	3414.000000	1.420000	22.000000	19.000000	WATER BASED	1991-06-19	1703	9999-12-31	2013-05-08	8533
25/4-6 S	3429.000000	1.750000	45.000000	12.000000	WATER BASED	1991-07-29	1703	9999-12-31	2013-05-08	8534
25/4-6 S	3470.000000	1.420000	24.000000	20.000000	WATER BASED	1991-06-19	1703	9999-12-31	2013-05-08	8535
25/4-6 S	3591.000000	1.560000	28.000000	17.000000	WATER BASED	1991-06-19	1703	9999-12-31	2013-05-08	8536
25/4-6 S	3591.000000	1.560000	27.000000	17.000000	WATER BASED	1991-06-19	1703	9999-12-31	2013-05-08	8537
25/4-6 S	3591.000000	1.560000	25.000000	5.700000	WATER BASED	1991-06-20	1703	9999-12-31	2013-05-08	8538
25/4-6 S	3591.000000	1.570000	27.000000	10.500000	WATER BASED	1991-06-25	1703	9999-12-31	2013-05-08	8539
25/4-6 S	3591.000000	1.570000	27.000000	8.100000	WATER BASED	1991-06-25	1703	9999-12-31	2013-05-08	8540
25/4-6 S	3591.000000	1.560000	25.000000	7.500000	WATER BASED	1991-06-21	1703	9999-12-31	2013-05-08	8541
25/4-6 S	3591.000000	1.560000	30.000000	22.000000	WATER BASED	1991-06-19	1703	9999-12-31	2013-05-08	8542
25/4-6 S	3591.000000	1.750000	23.000000	8.600000	WATER BASED	1991-06-26	1703	9999-12-31	2013-05-08	8543
25/4-6 S	3591.000000	1.560000	21.000000	7.500000	WATER BASED	1991-06-25	1703	9999-12-31	2013-05-08	8544
25/4-6 S	3608.000000	1.750000	23.000000	9.600000	WATER BASED	1991-06-26	1703	9999-12-31	2013-05-08	8545
25/4-6 S	3650.000000	1.750000	31.000000	10.100000	WATER BASED	1991-06-27	1703	9999-12-31	2013-05-08	8546
25/4-6 S	3700.000000	1.750000	31.000000	12.000000	WATER BASED	1991-06-28	1703	9999-12-31	2013-05-08	8547
25/4-6 S	3712.000000	1.750000	25.000000	9.600000	WATER BASED	1991-07-01	1703	9999-12-31	2013-05-08	8548
25/4-6 S	3712.000000	1.750000	28.000000	10.500000	WATER BASED	1991-07-01	1703	9999-12-31	2013-05-08	8549
25/4-6 S	3733.000000	1.750000	28.000000	9.600000	WATER BASED	1991-07-01	1703	9999-12-31	2013-05-08	8550
25/4-6 S	3746.000000	1.750000	29.000000	9.600000	WATER BASED	1991-07-02	1703	9999-12-31	2013-05-08	8551
25/4-6 S	3774.000000	1.750000	28.000000	9.500000	WATER BASED	1991-07-03	1703	9999-12-31	2013-05-08	8552
25/4-6 S	3782.000000	1.750000	29.000000	10.500000	WATER BASED	1991-07-04	1703	9999-12-31	2013-05-08	8553
25/4-6 S	3817.000000	1.750000	32.000000	10.500000	WATER BASED	1991-07-05	1703	9999-12-31	2013-05-08	8554
25/4-6 S	3819.000000	1.750000	31.000000	9.600000	WATER BASED	1991-07-09	1703	9999-12-31	2013-05-08	8555
25/4-6 S	3854.000000	1.750000	32.000000	10.500000	WATER BASED	1991-07-09	1703	9999-12-31	2013-05-08	8556
25/4-6 S	3886.000000	1.750000	35.000000	12.000000	WATER BASED	1991-07-09	1703	9999-12-31	2013-05-08	8557
25/4-6 S	3902.000000	1.750000	32.000000	10.100000	WATER BASED	1991-07-09	1703	9999-12-31	2013-05-08	8558
25/4-6 S	3930.000000	1.750000	34.000000	9.100000	WATER BASED	1991-08-12	1703	9999-12-31	2013-05-08	8559
25/4-6 S	3930.000000	1.750000	34.000000	9.600000	WATER BASED	1991-08-13	1703	9999-12-31	2013-05-08	8560
25/4-6 S	3972.000000	1.750000	40.000000	8.600000	WATER BASED	1991-07-23	1703	9999-12-31	2013-05-08	8561
25/4-6 S	3976.000000	1.750000	40.000000	12.000000	WATER BASED	1991-07-24	1703	9999-12-31	2013-05-08	8562
25/4-6 S	3986.000000	1.750000	39.000000	10.500000	WATER BASED	1991-07-25	1703	9999-12-31	2013-05-08	8563
25/4-6 S	3999.000000	1.750000	34.000000	12.400000	WATER BASED	1991-07-10	1703	9999-12-31	2013-05-08	8564
25/4-6 S	4021.000000	1.750000	45.000000	10.500000	WATER BASED	1991-07-29	1703	9999-12-31	2013-05-08	8565
25/4-6 S	4022.000000	1.750000	43.000000	10.500000	WATER BASED	1991-07-30	1703	9999-12-31	2013-05-08	8566
25/4-6 S	4022.000000	1.750000	43.000000	12.000000	WATER BASED	1991-07-29	1703	9999-12-31	2013-05-08	8567
25/4-6 S	4022.000000	1.750000	43.000000	12.000000	WATER BASED	1991-07-26	1703	9999-12-31	2013-05-08	8568
25/4-6 S	4022.000000	1.750000	30.000000	10.100000	WATER BASED	1991-07-15	1703	9999-12-31	2013-05-08	8569
25/4-6 S	4022.000000	1.750000	27.000000	9.600000	WATER BASED	1991-07-15	1703	9999-12-31	2013-05-08	8570
25/4-6 S	4022.000000	1.750000	31.000000	9.600000	WATER BASED	1991-07-15	1703	9999-12-31	2013-05-08	8571
25/4-6 S	4022.000000	1.750000	40.000000	9.600000	WATER BASED	1991-07-22	1703	9999-12-31	2013-05-08	8572
25/4-6 S	4022.000000	1.750000	35.000000	6.700000	WATER BASED	1991-07-22	1703	9999-12-31	2013-05-08	8573
25/4-6 S	4022.000000	1.750000	24.000000	5.700000	WATER BASED	1991-07-19	1703	9999-12-31	2013-05-08	8574
25/4-6 S	4022.000000	1.750000	25.000000	6.200000	WATER BASED	1991-07-22	1703	9999-12-31	2013-05-08	8575
25/4-6 S	4022.000000	1.750000	31.000000	9.100000	WATER BASED	1991-07-17	1703	9999-12-31	2013-05-08	8576
25/4-6 S	4022.000000	1.750000	27.000000	7.200000	WATER BASED	1991-07-18	1703	9999-12-31	2013-05-08	8577
25/4-6 S	4022.000000	1.750000	28.000000	7.700000	WATER BASED	1991-07-16	1703	9999-12-31	2013-05-08	8578
25/4-6 S	4022.000000	1.750000	28.000000	9.600000	WATER BASED	1991-07-15	1703	9999-12-31	2013-05-08	8579
25/4-6 S	4022.000000	1.750000	30.000000	11.000000	WATER BASED	1991-07-11	1703	9999-12-31	2013-05-08	8580
25/4-6 S	4039.000000	1.750000	40.000000	9.600000	WATER BASED	1991-08-05	1703	9999-12-31	2013-05-08	8581
25/4-6 S	4039.000000	1.750000	43.000000	10.500000	WATER BASED	1991-07-31	1703	9999-12-31	2013-05-08	8582
25/4-6 S	4062.000000	1.750000	44.000000	9.600000	WATER BASED	1991-08-01	1703	9999-12-31	2013-05-08	8583
25/4-6 S	4072.000000	1.750000	44.000000	11.000000	WATER BASED	1991-08-02	1703	9999-12-31	2013-05-08	8584
25/4-6 S	4112.000000	1.750000	41.000000	10.100000	WATER BASED	1991-08-05	1703	9999-12-31	2013-05-08	8585
25/4-6 S	4131.000000	1.750000	40.000000	10.500000	WATER BASED	1991-08-05	1703	9999-12-31	2013-05-08	8586
25/4-6 S	4147.000000	1.750000	38.000000	8.600000	WATER BASED	1991-08-06	1703	9999-12-31	2013-05-08	8587
25/4-6 S	4170.000000	1.750000	38.000000	9.600000	WATER BASED	1991-08-07	1703	9999-12-31	2013-05-08	8588
25/4-6 S	4170.000000	1.750000	44.000000	8.600000	WATER BASED	1991-08-14	1703	9999-12-31	2013-05-08	8589
25/4-6 S	4170.000000	1.750000	41.000000	8.600000	WATER BASED	1991-08-12	1703	9999-12-31	2013-05-08	8590
25/4-6 S	4170.000000	1.750000	41.000000	8.600000	WATER BASED	1991-08-12	1703	9999-12-31	2013-05-08	8591
25/4-6 S	4170.000000	1.750000	42.000000	9.100000	WATER BASED	1991-08-09	1703	9999-12-31	2013-05-08	8592
25/4-6 S	4170.000000	1.750000	37.000000	7.700000	WATER BASED	1991-08-15	1703	9999-12-31	2013-05-08	8593
25/4-6 S	4170.000000	1.750000	35.000000	6.700000	WATER BASED	1991-08-19	1703	9999-12-31	2013-05-08	8594
25/4-6 S	4170.000000	1.750000	35.000000	6.700000	WATER BASED	1991-08-19	1703	9999-12-31	2013-05-08	8595
25/4-6 S	4170.000000	1.750000	48.000000	10.100000	WATER BASED	1991-08-20	1703	9999-12-31	2013-05-08	8596
25/4-6 S	4170.000000	1.750000	38.000000	10.500000	WATER BASED	1991-08-22	1703	9999-12-31	2013-05-08	8597
25/4-6 S	4170.000000	1.750000	45.000000	9.600000	WATER BASED	1991-08-21	1703	9999-12-31	2013-05-08	8598
25/4-6 S	4170.000000	0.000000	0.000000	0.000000	WATER BASED	1991-08-26	1703	9999-12-31	2013-05-08	8599
25/4-6 S	4170.000000	1.750000	38.000000	8.600000	WATER BASED	1991-08-08	1703	9999-12-31	2013-05-08	8600
25/4-6 S	4170.000000	1.750000	35.000000	7.200000	WATER BASED	1991-08-16	1703	9999-12-31	2013-05-08	8601
25/4-6 S	4170.000000	1.750000	34.000000	7.700000	WATER BASED	1991-08-19	1703	9999-12-31	2013-05-08	8602
25/4-6 S	4170.000000	1.750000	0.000000	0.000000	WATER BASED	1991-08-23	1703	9999-12-31	2013-05-08	8603
25/4-7	1200.000000	1.010000	16.000000	0.000000	SEAWATER	9999-12-31	4716	9999-12-31	2013-05-08	8604
25/4-7	1317.000000	1.200000	25.000000	0.000000	SPUD MUD	9999-12-31	4716	9999-12-31	2013-05-08	8605
25/4-7	1334.000000	1.200000	18.000000	0.000000	OIL (REGULAR)	9999-12-31	4716	9999-12-31	2013-05-08	8606
25/4-7	1980.000000	1.330000	22.000000	0.000000	OIL (REGULAR)	9999-12-31	4716	9999-12-31	2013-05-08	8607
25/4-7	2212.000000	1.250000	18.000000	0.000000	OIL (REGULAR)	9999-12-31	4716	9999-12-31	2013-05-08	8608
25/4-7	2286.000000	1.250000	19.000000	0.000000	OIL (REGULAR)	9999-12-31	4716	9999-12-31	2013-05-08	8609
25/4-8	0.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	4765	9999-12-31	2013-05-08	8610
25/4-8	560.000000	1.080000	0.000000	0.000000	SPUD MUD	9999-12-31	4765	9999-12-31	2013-05-08	8611
25/4-8	803.000000	1.140000	45.000000	0.000000	KCL	9999-12-31	4765	9999-12-31	2013-05-08	8612
25/4-8	1309.000000	1.280000	23.000000	0.000000	OIL (ENVIRON)	9999-12-31	4765	9999-12-31	2013-05-08	8613
25/4-8	2286.000000	1.280000	21.000000	0.000000	OIL (ENVIRON)	9999-12-31	4765	9999-12-31	2013-05-08	8614
25/4-9 S	297.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	4278	9999-12-31	2013-05-08	8615
25/4-9 S	954.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	4278	9999-12-31	2013-05-08	8616
25/4-9 S	1067.000000	1.270000	20.000000	0.000000	OIL BASED	9999-12-31	4278	9999-12-31	2013-05-08	8617
25/4-9 S	1666.000000	1.350000	29.000000	0.000000	OIL BASED	9999-12-31	4278	9999-12-31	2013-05-08	8618
25/4-9 S	2185.000000	1.350000	25.000000	0.000000	OIL BASED	9999-12-31	4278	9999-12-31	2013-05-08	8619
25/4-9 S	2236.000000	1.350000	23.000000	0.000000	OIL BASED	9999-12-31	4278	9999-12-31	2013-05-08	8620
25/4-9 S	2255.000000	1.250000	12.000000	0.000000	WATER BASED	9999-12-31	4278	9999-12-31	2013-05-08	8621
25/4-9 S	2377.000000	1.240000	11.000000	0.000000	WATER BASED	9999-12-31	4278	9999-12-31	2013-05-08	8622
25/5-1	1187.000000	1.090000	30.000000	7.800000	WATER BASED	1987-05-21	884	9999-12-31	2013-05-08	8623
25/5-1	1358.000000	1.100000	28.000000	5.800000	WATER BASED	1987-05-21	884	9999-12-31	2013-05-08	8624
25/5-1	1857.000000	1.130000	32.000000	8.800000	WATER BASED	1987-05-25	884	9999-12-31	2013-05-08	8625
25/5-1	1996.000000	1.150000	24.000000	6.800000	WATER BASED	1987-05-25	884	9999-12-31	2013-05-08	8626
25/5-1	2218.000000	1.130000	18.000000	4.900000	WATER BASED	1987-05-29	884	9999-12-31	2013-05-08	8627
25/5-1	2239.000000	1.130000	19.000000	4.900000	WATER BASED	1987-06-02	884	9999-12-31	2013-05-08	8628
25/5-1	2497.000000	1.140000	18.000000	4.400000	WATER BASED	1987-06-02	884	9999-12-31	2013-05-08	8629
25/5-1	2581.000000	1.140000	182.000000	5.800000	WATER BASED	1987-06-02	884	9999-12-31	2013-05-08	8630
25/5-1	2641.000000	1.140000	19.000000	4.900000	WATER BASED	1987-06-03	884	9999-12-31	2013-05-08	8631
25/5-1	2729.000000	1.140000	19.000000	5.800000	WATER BASED	1987-06-04	884	9999-12-31	2013-05-08	8632
25/5-1	2746.000000	1.140000	19.000000	4.900000	WATER BASED	1987-06-09	884	9999-12-31	2013-05-08	8633
25/5-1	2883.000000	1.140000	23.000000	6.800000	WATER BASED	1987-06-09	884	9999-12-31	2013-05-08	8634
25/5-1	2916.000000	1.140000	26.000000	6.800000	WATER BASED	1987-06-09	884	9999-12-31	2013-05-08	8635
25/5-1	2925.000000	1.150000	26.000000	6.800000	WATER BASED	1987-06-09	884	9999-12-31	2013-05-08	8636
25/5-1	2941.000000	1.210000	28.000000	5.300000	WATER BASED	1987-06-15	884	9999-12-31	2013-05-08	8637
25/5-1	2967.000000	1.220000	35.000000	7.300000	WATER BASED	1987-06-16	884	9999-12-31	2013-05-08	8638
25/5-1	2994.000000	1.220000	34.000000	5.300000	WATER BASED	1987-06-16	884	9999-12-31	2013-05-08	8639
25/5-1	3079.000000	1.220000	31.000000	5.800000	WATER BASED	1987-06-22	884	9999-12-31	2013-05-08	8640
25/5-1	3142.000000	1.220000	28.000000	5.800000	WATER BASED	1987-06-22	884	9999-12-31	2013-05-08	8641
25/5-1	3147.000000	1.220000	28.000000	5.800000	WATER BASED	1987-06-22	884	9999-12-31	2013-05-08	8642
25/5-1	3162.000000	1.220000	26.000000	5.800000	WATER BASED	1987-06-22	884	9999-12-31	2013-05-08	8643
25/5-1	3235.000000	1.240000	27.000000	5.800000	WATER BASED	1987-06-23	884	9999-12-31	2013-05-08	8644
25/5-1	3254.000000	1.240000	31.000000	5.800000	WATER BASED	1987-06-24	884	9999-12-31	2013-05-08	8645
25/5-1	3291.000000	1.240000	31.000000	5.800000	WATER BASED	1987-06-25	884	9999-12-31	2013-05-08	8646
25/5-1	3333.000000	1.240000	29.000000	5.800000	WATER BASED	1987-06-26	884	9999-12-31	2013-05-08	8647
25/5-1	3430.000000	1.240000	32.000000	5.800000	WATER BASED	1987-06-29	884	9999-12-31	2013-05-08	8648
25/5-1 A	2071.000000	1.160000	26.000000	7.800000	WATER BASED	1987-08-06	1131	9999-12-31	2013-05-08	8649
25/5-1 A	2082.000000	1.180000	35.000000	8.800000	WATER BASED	1987-08-11	1131	9999-12-31	2013-05-08	8650
25/5-1 A	2109.000000	1.170000	33.000000	8.800000	WATER BASED	1987-08-07	1131	9999-12-31	2013-05-08	8651
25/5-1 A	2199.000000	1.170000	38.000000	9.300000	WATER BASED	1987-08-10	1131	9999-12-31	2013-05-08	8652
25/5-1 A	2203.000000	1.160000	38.000000	10.700000	WATER BASED	1987-08-13	1131	9999-12-31	2013-05-08	8653
25/5-1 A	2248.000000	1.180000	42.000000	10.700000	WATER BASED	1987-08-13	1131	9999-12-31	2013-05-08	8654
25/5-1 A	2335.000000	1.180000	37.000000	8.800000	WATER BASED	1987-08-14	1131	9999-12-31	2013-05-08	8655
25/5-1 A	2483.000000	1.190000	43.000000	8.800000	WATER BASED	1987-08-17	1131	9999-12-31	2013-05-08	8656
25/5-1 A	2565.000000	1.180000	32.000000	15.600000	WATER BASED	1987-08-17	1131	9999-12-31	2013-05-08	8657
25/5-1 A	2579.000000	1.180000	40.000000	11.700000	WATER BASED	1987-08-18	1131	9999-12-31	2013-05-08	8658
25/5-1 A	2622.000000	1.190000	36.000000	11.700000	WATER BASED	1987-08-19	1131	9999-12-31	2013-05-08	8659
25/5-1 A	2632.000000	1.190000	36.000000	10.700000	WATER BASED	1987-08-20	1131	9999-12-31	2013-05-08	8660
25/5-1 A	2703.000000	1.190000	38.000000	10.700000	WATER BASED	1987-08-21	1131	9999-12-31	2013-05-08	8661
25/5-1 A	2791.000000	1.190000	34.000000	12.700000	WATER BASED	1987-08-24	1131	9999-12-31	2013-05-08	8662
25/5-1 A	2855.000000	1.200000	41.000000	14.700000	WATER BASED	1987-08-25	1131	9999-12-31	2013-05-08	8663
25/5-1 A	2900.000000	1.190000	40.000000	14.700000	WATER BASED	1987-08-25	1131	9999-12-31	2013-05-08	8664
25/5-1 A	2955.000000	1.190000	39.000000	12.700000	WATER BASED	1987-08-26	1131	9999-12-31	2013-05-08	8665
25/5-1 A	3020.000000	1.200000	45.000000	14.200000	WATER BASED	1987-08-27	1131	9999-12-31	2013-05-08	8666
25/5-1 A	3109.000000	1.200000	45.000000	14.700000	WATER BASED	1987-08-28	1131	9999-12-31	2013-05-08	8667
25/5-1 A	3122.000000	1.200000	45.000000	14.700000	WATER BASED	1987-08-31	1131	9999-12-31	2013-05-08	8668
25/5-1 A	3211.000000	1.200000	44.000000	12.700000	WATER BASED	1987-08-31	1131	9999-12-31	2013-05-08	8669
25/5-1 A	3342.000000	1.200000	46.000000	15.600000	WATER BASED	1987-08-31	1131	9999-12-31	2013-05-08	8670
25/5-1 A	3410.000000	1.200000	40.000000	11.200000	WATER BASED	1987-09-03	1131	9999-12-31	2013-05-08	8671
25/5-1 A	3432.000000	1.200000	31.000000	7.300000	WATER BASED	1987-09-07	1131	9999-12-31	2013-05-08	8672
25/5-2	212.000000	1.080000	0.000000	0.000000	WATER BASED	1989-04-21	1346	9999-12-31	2013-05-08	8673
25/5-2	888.000000	1.080000	0.000000	0.000000	WATER BASED	1989-04-24	1346	9999-12-31	2013-05-08	8674
25/5-2	1467.000000	1.090000	16.000000	10.200000	WATER BASED	1989-04-26	1346	9999-12-31	2013-05-08	8675
25/5-2	1741.000000	1.130000	15.000000	11.200000	WATER BASED	1989-04-27	1346	9999-12-31	2013-05-08	8676
25/5-2	2016.000000	1.250000	44.000000	17.600000	WATER BASED	1989-05-08	1346	9999-12-31	2013-05-08	8677
25/5-2	2044.000000	1.130000	18.000000	13.700000	WATER BASED	1989-04-28	1346	9999-12-31	2013-05-08	8678
25/5-2	2109.000000	1.130000	17.000000	12.700000	WATER BASED	1989-05-02	1346	9999-12-31	2013-05-08	8679
25/5-2	2120.000000	1.250000	31.000000	15.600000	WATER BASED	1989-05-05	1346	9999-12-31	2013-05-08	8680
25/5-2	2190.000000	1.260000	363.000000	10.700000	WATER BASED	1989-05-08	1346	9999-12-31	2013-05-08	8681
25/5-2	2232.000000	1.250000	34.000000	14.700000	WATER BASED	1989-05-05	1346	9999-12-31	2013-05-08	8682
25/5-2	2248.000000	1.270000	35.000000	12.200000	WATER BASED	1989-05-09	1346	9999-12-31	2013-05-08	8683
25/5-2	2329.000000	1.150000	21.000000	13.700000	WATER BASED	1989-05-02	1346	9999-12-31	2013-05-08	8684
25/5-2	2414.000000	1.270000	35.000000	15.100000	WATER BASED	1989-05-11	1346	9999-12-31	2013-05-08	8685
25/5-2	2508.000000	1.270000	33.000000	16.100000	WATER BASED	1989-05-12	1346	9999-12-31	2013-05-08	8686
25/5-2	2767.000000	1.260000	32.000000	14.700000	WATER BASED	1989-05-18	1346	9999-12-31	2013-05-08	8687
25/5-2	2781.000000	1.260000	35.000000	15.600000	WATER BASED	1989-05-19	1346	9999-12-31	2013-05-08	8688
25/5-2	2901.000000	1.270000	29.000000	13.700000	WATER BASED	1989-05-22	1346	9999-12-31	2013-05-08	8689
25/5-2	2952.000000	1.260000	31.000000	12.700000	WATER BASED	1989-05-22	1346	9999-12-31	2013-05-08	8690
25/5-2	3014.000000	1.260000	32.000000	14.700000	WATER BASED	1989-05-23	1346	9999-12-31	2013-05-08	8691
25/5-2	3077.000000	1.260000	33.000000	15.100000	WATER BASED	1989-05-24	1346	9999-12-31	2013-05-08	8692
25/5-2	3078.000000	1.110000	20.000000	15.100000	WATER BASED	1989-05-30	1346	9999-12-31	2013-05-08	8693
25/5-2	3115.000000	1.110000	17.000000	16.600000	WATER BASED	1989-05-30	1346	9999-12-31	2013-05-08	8694
25/5-2	3177.000000	1.120000	18.000000	17.600000	WATER BASED	1989-05-31	1346	9999-12-31	2013-05-08	8695
25/5-2	3197.000000	1.130000	20.000000	17.600000	WATER BASED	1989-06-01	1346	9999-12-31	2013-05-08	8696
25/5-2	3215.000000	1.130000	21.000000	17.600000	WATER BASED	1989-06-02	1346	9999-12-31	2013-05-08	8697
25/5-2	3241.000000	1.130000	181.000000	16.600000	WATER BASED	1989-06-05	1346	9999-12-31	2013-05-08	8698
25/5-2	3304.000000	1.130000	21.000000	18.600000	WATER BASED	1989-06-05	1346	9999-12-31	2013-05-08	8699
25/5-3	255.000000	1.070000	0.000000	0.000000	WATER BASED	1990-01-30	1488	9999-12-31	2013-05-08	8700
25/5-3	369.000000	1.070000	0.000000	0.000000	WATER BASED	1990-01-31	1488	9999-12-31	2013-05-08	8701
25/5-3	825.000000	1.070000	0.000000	0.000000	WATER BASED	1990-02-01	1488	9999-12-31	2013-05-08	8702
25/5-3	1008.000000	1.070000	0.000000	0.000000	WATER BASED	1990-02-02	1488	9999-12-31	2013-05-08	8703
25/5-3	1303.000000	1.250000	22.000000	10.700000	WATER BASED	1990-02-09	1488	9999-12-31	2013-05-08	8704
25/5-3	2349.000000	1.300000	27.000000	19.600000	WATER BASED	1990-02-12	1488	9999-12-31	2013-05-08	8705
25/5-3	2615.000000	1.120000	24.000000	12.200000	WATER BASED	1990-02-19	1488	9999-12-31	2013-05-08	8706
25/5-3	2827.000000	1.150000	26.000000	11.200000	WATER BASED	1990-02-21	1488	9999-12-31	2013-05-08	8707
25/5-3	2900.000000	1.150000	27.000000	14.200000	WATER BASED	1990-02-23	1488	9999-12-31	2013-05-08	8708
25/5-4	1291.000000	1.240000	22.000000	7.800000	WATER BASED	1991-01-11	1691	9999-12-31	2013-05-08	8709
25/5-4	1463.000000	1.250000	25.000000	8.800000	WATER BASED	1991-01-14	1691	9999-12-31	2013-05-08	8710
25/5-4	2620.000000	1.330000	30.000000	12.700000	WATER BASED	1991-01-23	1691	9999-12-31	2013-05-08	8711
25/5-4	2620.000000	1.330000	33.000000	13.200000	WATER BASED	1991-01-24	1691	9999-12-31	2013-05-08	8712
25/5-4	2620.000000	1.340000	33.000000	11.700000	WATER BASED	1991-01-25	1691	9999-12-31	2013-05-08	8713
25/5-4	2898.000000	1.200000	38.000000	15.600000	WATER BASED	1991-02-07	1691	9999-12-31	2013-05-08	8714
25/5-4	2900.000000	1.200000	34.000000	13.700000	WATER BASED	1991-02-11	1691	9999-12-31	2013-05-08	8715
25/5-4	2985.000000	1.200000	40.000000	18.600000	WATER BASED	1991-02-11	1691	9999-12-31	2013-05-08	8716
25/5-4	3015.000000	1.250000	37.000000	14.700000	WATER BASED	1991-02-12	1691	9999-12-31	2013-05-08	8717
25/5-4	3057.000000	1.250000	42.000000	18.100000	WATER BASED	1991-02-14	1691	9999-12-31	2013-05-08	8718
25/5-5	145.000000	1.020000	0.000000	0.000000	WATER BASED	9999-12-31	2661	9999-12-31	2013-05-08	8719
25/5-5	212.000000	1.020000	0.000000	0.000000	WATER BASED	9999-12-31	2661	9999-12-31	2013-05-08	8720
25/5-5	693.000000	1.020000	0.000000	0.000000	WATER BASED	9999-12-31	2661	9999-12-31	2013-05-08	8721
25/5-5	920.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2661	9999-12-31	2013-05-08	8722
25/5-5	2160.000000	1.260000	35.000000	0.000000	OIL BASED	9999-12-31	2661	9999-12-31	2013-05-08	8723
25/5-5	2217.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2661	9999-12-31	2013-05-08	8724
25/5-5	2600.000000	1.260000	39.000000	0.000000	OIL BASED	9999-12-31	2661	9999-12-31	2013-05-08	8725
25/5-6	144.000000	1.030000	0.000000	0.000000	Water	9999-12-31	6167	9999-12-31	2013-05-08	8726
25/5-6	337.000000	1.050000	0.000000	0.000000	Water	9999-12-31	6167	9999-12-31	2013-05-08	8727
25/5-6	862.000000	1.100000	0.000000	0.000000	Water	9999-12-31	6167	9999-12-31	2013-05-08	8728
25/5-6	1161.000000	1.350000	0.000000	0.000000	Water	9999-12-31	6167	9999-12-31	2013-05-08	8729
25/5-6	1793.000000	1.350000	0.000000	0.000000	Water	9999-12-31	6167	9999-12-31	2013-05-08	8730
25/5-6	2446.000000	1.390000	0.000000	0.000000	Water	9999-12-31	6167	9999-12-31	2013-05-08	8731
25/5-7	158.000000	1.040000	16.000000	0.000000	ManualEntry	9999-12-31	6423	9999-12-31	2013-05-08	8732
25/5-7	227.000000	1.030000	15.000000	0.000000	ManualEntry	9999-12-31	6423	9999-12-31	2013-05-08	8733
25/5-7	438.000000	1.200000	20.000000	0.000000	ManualEntry	9999-12-31	6423	9999-12-31	2013-05-08	8734
25/5-7	1160.000000	1.210000	18.000000	0.000000	ManualEntry	9999-12-31	6423	9999-12-31	2013-05-08	8735
25/5-7	1165.000000	1.210000	21.000000	0.000000	ManualEntry	9999-12-31	6423	9999-12-31	2013-05-08	8736
25/5-7	2280.000000	1.210000	21.000000	0.000000	ManualEntry	9999-12-31	6423	9999-12-31	2013-05-08	8737
25/5-7	2444.000000	1.170000	23.000000	0.000000	ManualEntry	9999-12-31	6423	9999-12-31	2013-05-08	8738
25/5-7	2496.000000	1.300000	31.000000	0.000000	ManualEntry	9999-12-31	6423	9999-12-31	2013-05-08	8739
25/5-7	2570.000000	1.300000	28.000000	0.000000	ManualEntry	9999-12-31	6423	9999-12-31	2013-05-08	8740
25/5-7	2633.000000	1.130000	18.000000	0.000000	KCl mud	9999-12-31	6423	9999-12-31	2013-05-08	8741
25/5-7	2727.000000	1.110000	0.000000	0.000000	Sodium chloride	9999-12-31	6423	9999-12-31	2013-05-08	8742
25/5-7	3040.000000	1.150000	22.000000	0.000000	ManualEntry	9999-12-31	6423	9999-12-31	2013-05-08	8743
25/5-7	3045.000000	1.160000	20.000000	0.000000	ManualEntry	9999-12-31	6423	9999-12-31	2013-05-08	8744
25/6-1	185.000000	1.040000	0.000000	0.000000	WATER BASED	1985-12-19	524	9999-12-31	2013-05-08	8745
25/6-1	190.000000	1.100000	9.000000	4.400000	WATER BASED	1986-02-05	524	9999-12-31	2013-05-08	8746
25/6-1	260.000000	1.040000	0.000000	0.000000	WATER BASED	1985-12-23	524	9999-12-31	2013-05-08	8747
25/6-1	627.000000	1.160000	7.000000	20.600000	WATER BASED	1985-12-23	524	9999-12-31	2013-05-08	8748
25/6-1	827.000000	1.170000	6.000000	18.700000	WATER BASED	1985-12-22	524	9999-12-31	2013-05-08	8749
25/6-1	1028.000000	1.030000	0.000000	0.000000	WATER BASED	1985-12-26	524	9999-12-31	2013-05-08	8750
25/6-1	1028.000000	1.100000	15.000000	9.600000	WATER BASED	1985-12-26	524	9999-12-31	2013-05-08	8751
25/6-1	1028.000000	1.190000	6.000000	18.200000	WATER BASED	1985-12-26	524	9999-12-31	2013-05-08	8752
25/6-1	1028.000000	1.170000	5.000000	16.800000	WATER BASED	1985-12-23	524	9999-12-31	2013-05-08	8753
25/6-1	1028.000000	1.170000	6.000000	20.600000	WATER BASED	1985-12-23	524	9999-12-31	2013-05-08	8754
25/6-1	1200.000000	1.100000	14.000000	7.700000	WATER BASED	1985-12-26	524	9999-12-31	2013-05-08	8755
25/6-1	1434.000000	1.150000	13.000000	8.200000	WATER BASED	1985-12-29	524	9999-12-31	2013-05-08	8756
25/6-1	1653.000000	1.250000	15.000000	8.700000	WATER BASED	1985-12-30	524	9999-12-31	2013-05-08	8757
25/6-1	1820.000000	1.250000	13.000000	9.600000	WATER BASED	1986-01-03	524	9999-12-31	2013-05-08	8758
25/6-1	1820.000000	1.300000	13.000000	9.600000	WATER BASED	1986-01-06	524	9999-12-31	2013-05-08	8759
25/6-1	2090.000000	1.250000	12.000000	9.600000	WATER BASED	1986-01-03	524	9999-12-31	2013-05-08	8760
25/6-1	2195.000000	1.300000	14.000000	9.600000	WATER BASED	1986-01-06	524	9999-12-31	2013-05-08	8761
25/6-1	2195.000000	1.310000	12.000000	7.200000	WATER BASED	1986-01-06	524	9999-12-31	2013-05-08	8762
25/6-1	2195.000000	1.330000	13.000000	7.200000	WATER BASED	1986-01-08	524	9999-12-31	2013-05-08	8763
25/6-1	2195.000000	1.330000	12.000000	7.200000	WATER BASED	1986-01-13	524	9999-12-31	2013-05-08	8764
25/6-1	2225.000000	1.330000	14.000000	10.100000	WATER BASED	1986-01-13	524	9999-12-31	2013-05-08	8765
25/6-1	2270.000000	1.100000	9.000000	4.400000	WATER BASED	1986-02-05	524	9999-12-31	2013-05-08	8766
25/6-1	2289.000000	1.250000	14.000000	7.200000	WATER BASED	1986-01-13	524	9999-12-31	2013-05-08	8767
25/6-1	2289.000000	1.250000	17.000000	7.700000	WATER BASED	1986-01-13	524	9999-12-31	2013-05-08	8768
25/6-1	2289.000000	1.250000	16.000000	7.200000	WATER BASED	1986-01-13	524	9999-12-31	2013-05-08	8769
25/6-1	2313.000000	1.250000	17.000000	7.700000	WATER BASED	1986-01-14	524	9999-12-31	2013-05-08	8770
25/6-1	2325.000000	1.100000	9.000000	4.400000	WATER BASED	1986-02-05	524	9999-12-31	2013-05-08	8771
25/6-1	2325.000000	1.100000	10.000000	4.800000	WATER BASED	1986-02-05	524	9999-12-31	2013-05-08	8772
25/6-1	2325.000000	1.100000	11.000000	4.800000	WATER BASED	1986-02-05	524	9999-12-31	2013-05-08	8773
25/6-1	2360.000000	1.100000	11.000000	20.600000	WATER BASED	1986-02-05	524	9999-12-31	2013-05-08	8774
25/6-1	2360.000000	1.100000	12.000000	6.300000	WATER BASED	1986-02-05	524	9999-12-31	2013-05-08	8775
25/6-1	2438.000000	1.250000	17.000000	7.700000	WATER BASED	1986-01-13	524	9999-12-31	2013-05-08	8776
25/6-1	2493.000000	1.250000	17.000000	7.200000	WATER BASED	1986-01-13	524	9999-12-31	2013-05-08	8777
25/6-1	2561.000000	1.100000	13.000000	5.800000	WATER BASED	1986-01-19	524	9999-12-31	2013-05-08	8778
25/6-1	2561.000000	1.250000	18.000000	7.200000	WATER BASED	1986-01-19	524	9999-12-31	2013-05-08	8779
25/6-1	2561.000000	1.100000	16.000000	6.800000	WATER BASED	1986-01-19	524	9999-12-31	2013-05-08	8780
25/6-1	2590.000000	1.110000	12.000000	6.800000	WATER BASED	1986-01-19	524	9999-12-31	2013-05-08	8781
25/6-1	2745.000000	1.110000	12.000000	6.800000	WATER BASED	1986-01-19	524	9999-12-31	2013-05-08	8782
25/6-1	2852.000000	1.100000	12.000000	6.800000	WATER BASED	1986-02-05	524	9999-12-31	2013-05-08	8783
25/6-1	2881.000000	1.100000	12.000000	6.800000	WATER BASED	1986-02-05	524	9999-12-31	2013-05-08	8784
25/6-1	2881.000000	1.100000	11.000000	5.800000	WATER BASED	1986-02-05	524	9999-12-31	2013-05-08	8785
25/6-2	370.000000	1.140000	6.000000	0.000000	WATER BASED	9999-12-31	1949	9999-12-31	2013-05-08	8786
25/6-2	798.000000	1.140000	4.000000	0.000000	WATER BASED	9999-12-31	1949	9999-12-31	2013-05-08	8787
25/6-2	1045.000000	1.180000	20.000000	0.000000	WATER BASED	9999-12-31	1949	9999-12-31	2013-05-08	8788
25/6-2	1328.000000	1.300000	22.000000	0.000000	WATER BASED	9999-12-31	1949	9999-12-31	2013-05-08	8789
25/6-2	1388.000000	1.350000	25.000000	0.000000	WATER BASED	9999-12-31	1949	9999-12-31	2013-05-08	8790
25/6-2	1609.000000	1.350000	31.000000	0.000000	WATER BASED	9999-12-31	1949	9999-12-31	2013-05-08	8791
25/6-2	1740.000000	1.350000	32.000000	0.000000	WATER BASED	9999-12-31	1949	9999-12-31	2013-05-08	8792
25/6-2	2050.000000	1.350000	35.000000	0.000000	WATER BASED	9999-12-31	1949	9999-12-31	2013-05-08	8793
25/6-2	2225.000000	1.200000	24.000000	0.000000	WATER BASED	9999-12-31	1949	9999-12-31	2013-05-08	8794
25/6-2	2266.000000	1.200000	26.000000	0.000000	WATER BASED	9999-12-31	1949	9999-12-31	2013-05-08	8795
25/6-2	2392.000000	1.200000	26.000000	0.000000	WATER BASED	9999-12-31	1949	9999-12-31	2013-05-08	8796
25/6-3	400.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3885	9999-12-31	2013-05-08	8797
25/6-3	833.000000	1.030000	0.000000	0.000000	BENTONITE/FW	9999-12-31	3885	9999-12-31	2013-05-08	8798
25/6-3	1215.000000	1.250000	38.000000	0.000000	CMC/BENTONITE	9999-12-31	3885	9999-12-31	2013-05-08	8799
25/6-3	1215.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3885	9999-12-31	2013-05-08	8800
25/6-3	1429.000000	1.280000	20.000000	0.000000	SILDRILL	9999-12-31	3885	9999-12-31	2013-05-08	8801
25/6-3	1750.000000	1.280000	14.000000	0.000000	SILDRILL	9999-12-31	3885	9999-12-31	2013-05-08	8802
25/6-3	1810.000000	1.280000	13.000000	0.000000	SILDRILL	9999-12-31	3885	9999-12-31	2013-05-08	8803
25/6-3	2080.000000	1.280000	13.000000	0.000000	SILDRILL	9999-12-31	3885	9999-12-31	2013-05-08	8804
25/6-3	2137.000000	1.280000	13.000000	0.000000	SILDRILL	9999-12-31	3885	9999-12-31	2013-05-08	8805
25/6-3	2475.000000	1.280000	13.000000	0.000000	SILDRILL	9999-12-31	3885	9999-12-31	2013-05-08	8806
25/7-1 S	252.000000	1.040000	60.000000	2681.000000	WATER BASED	1986-04-16	898	9999-12-31	2013-05-08	8807
25/7-1 S	727.000000	1.130000	0.000000	0.000000	WATER BASED	1986-04-18	898	9999-12-31	2013-05-08	8808
25/7-1 S	1024.000000	1.100000	0.000000	0.000000	WATER BASED	1986-04-21	898	9999-12-31	2013-05-08	8809
25/7-1 S	1108.000000	1.200000	20.000000	25.000000	WATER BASED	1986-05-02	898	9999-12-31	2013-05-08	8810
25/7-1 S	1151.000000	1.080000	10.000000	20.000000	WATER BASED	1986-04-25	898	9999-12-31	2013-05-08	8811
25/7-1 S	1525.000000	1.200000	18.000000	23.000000	WATER BASED	1986-04-28	898	9999-12-31	2013-05-08	8812
25/7-1 S	1725.000000	1.280000	24.000000	29.000000	WATERBASED	1986-05-06	898	9999-12-31	2013-05-08	8813
25/7-1 S	1934.000000	1.300000	24.000000	29.000000	WATERBASED	1986-05-06	898	9999-12-31	2013-05-08	8814
25/7-1 S	2094.000000	0.000000	32.000000	22.000000	WATERBASED	1986-05-13	898	9999-12-31	2013-05-08	8815
25/7-1 S	2094.000000	1.320000	24.000000	20.000000	WATERBASED	1986-05-12	898	9999-12-31	2013-05-08	8816
25/7-1 S	2167.000000	1.320000	34.000000	27.000000	WATER BASED	1986-05-19	898	9999-12-31	2013-05-08	8817
25/7-1 S	2233.000000	1.320000	37.000000	23.000000	WATER BASED	1986-05-19	898	9999-12-31	2013-05-08	8818
25/7-1 S	2378.000000	1.320000	38.000000	26.000000	WATER BASED	1986-05-19	898	9999-12-31	2013-05-08	8819
25/7-1 S	2409.000000	1.310000	40.000000	36.000000	WATERBASED	1986-05-23	898	9999-12-31	2013-05-08	8820
25/7-1 S	2409.000000	1.330000	38.000000	20.000000	WATERBASED	1986-06-05	898	9999-12-31	2013-05-08	8821
25/7-1 S	2468.000000	1.320000	38.000000	30.000000	WATERBASED	1986-06-05	898	9999-12-31	2013-05-08	8822
25/7-1 S	3206.000000	1.400000	30.000000	25.000000	WATERBASED	1986-06-15	898	9999-12-31	2013-05-08	8823
25/7-1 S	3220.000000	1.500000	41.000000	15.000000	WATERBASED	1986-06-16	898	9999-12-31	2013-05-08	8824
25/7-1 S	3241.000000	1.560000	40.000000	15.000000	WATERBASED	1986-06-17	898	9999-12-31	2013-05-08	8825
25/7-1 S	3285.000000	1.680000	47.000000	16.800000	WATERBASED	1986-06-19	898	9999-12-31	2013-05-08	8826
25/7-1 S	3286.000000	1.730000	47.000000	14.400000	WATERBASED	1986-06-22	898	9999-12-31	2013-05-08	8827
25/7-1 S	3383.000000	1.900000	38.000000	12.400000	WATERBASED	1986-06-29	898	9999-12-31	2013-05-08	8828
25/7-1 S	3421.000000	1.900000	38.000000	10.500000	WATERBASED	1986-06-29	898	9999-12-31	2013-05-08	8829
25/7-1 S	3476.000000	1.920000	38.000000	10.500000	WATERBASED	1986-07-02	898	9999-12-31	2013-05-08	8830
25/7-1 S	3592.000000	0.000000	25.000000	7.200000	WATERBASED	1986-07-16	898	9999-12-31	2013-05-08	8831
25/7-1 S	3592.000000	1.920000	28.000000	8.600000	WATERBASED	1986-07-13	898	9999-12-31	2013-05-08	8832
25/7-1 S	3592.000000	0.000000	28.000000	8.600000	WATERBASED	1986-07-13	898	9999-12-31	2013-05-08	8833
25/7-1 S	3592.000000	0.000000	19.000000	4.300000	WATERBASED	1986-07-17	898	9999-12-31	2013-05-08	8834
25/7-1 S	3592.000000	0.000000	0.000000	0.000000	WATERBASED	1986-07-19	898	9999-12-31	2013-05-08	8835
25/7-2	195.000000	1.920000	26.000000	12.000000	WATER BASED	1990-07-17	1494	9999-12-31	2013-05-08	8836
25/7-2	195.000000	1.920000	22.000000	11.000000	WATER BASED	1990-07-17	1494	9999-12-31	2013-05-08	8837
25/7-2	265.000000	1.060000	0.000000	0.000000	WATER BASED	1990-02-09	1494	9999-12-31	2013-05-08	8838
25/7-2	265.000000	1.070000	0.000000	0.000000	WATER BASED	1990-02-12	1494	9999-12-31	2013-05-08	8839
25/7-2	342.000000	1.070000	0.000000	0.000000	WATER BASED	1990-02-12	1494	9999-12-31	2013-05-08	8840
25/7-2	1030.000000	1.070000	0.000000	0.000000	WATER BASED	1990-02-12	1494	9999-12-31	2013-05-08	8841
25/7-2	1030.000000	1.080000	0.000000	0.000000	WATER BASED	1990-02-13	1494	9999-12-31	2013-05-08	8842
25/7-2	1050.000000	1.080000	0.000000	0.000000	WATER BASED	1990-02-14	1494	9999-12-31	2013-05-08	8843
25/7-2	1050.000000	1.080000	0.000000	0.000000	WATER BASED	1990-02-15	1494	9999-12-31	2013-05-08	8844
25/7-2	1218.000000	1.080000	0.000000	0.000000	WATER BASED	1990-02-16	1494	9999-12-31	2013-05-08	8845
25/7-2	1220.000000	1.080000	0.000000	0.000000	WATER BASED	1990-02-19	1494	9999-12-31	2013-05-08	8846
25/7-2	1220.000000	1.200000	17.000000	20.000000	WATER BASED	1990-02-20	1494	9999-12-31	2013-05-08	8847
25/7-2	1220.000000	1.020000	19.000000	11.500000	WATER BASED	1990-02-23	1494	9999-12-31	2013-05-08	8848
25/7-2	1220.000000	1.200000	17.000000	11.500000	WATER BASED	1990-02-21	1494	9999-12-31	2013-05-08	8849
25/7-2	1220.000000	1.200000	19.000000	10.500000	WATER BASED	1990-02-28	1494	9999-12-31	2013-05-08	8850
25/7-2	1220.000000	1.200000	19.000000	11.000000	WATER BASED	1990-02-27	1494	9999-12-31	2013-05-08	8851
25/7-2	1220.000000	1.200000	18.000000	10.500000	WATER BASED	1990-02-26	1494	9999-12-31	2013-05-08	8852
25/7-2	1220.000000	1.200000	19.000000	11.500000	WATER BASED	1990-02-26	1494	9999-12-31	2013-05-08	8853
25/7-2	1220.000000	1.200000	18.000000	11.500000	WATER BASED	1990-02-26	1494	9999-12-31	2013-05-08	8854
25/7-2	1220.000000	1.200000	18.000000	12.000000	WATER BASED	1990-02-22	1494	9999-12-31	2013-05-08	8855
25/7-2	1250.000000	1.200000	16.000000	10.000000	WATER BASED	1990-03-01	1494	9999-12-31	2013-05-08	8856
25/7-2	1476.000000	1.250000	15.000000	9.500000	WATER BASED	1990-03-02	1494	9999-12-31	2013-05-08	8857
25/7-2	1684.000000	1.290000	19.000000	9.000000	WATER BASED	1990-03-06	1494	9999-12-31	2013-05-08	8858
25/7-2	1938.000000	1.350000	21.000000	9.500000	WATER BASED	1990-03-06	1494	9999-12-31	2013-05-08	8859
25/7-2	1938.000000	1.390000	21.000000	9.500000	WATER BASED	1990-03-06	1494	9999-12-31	2013-05-08	8860
25/7-2	1938.000000	1.390000	21.000000	9.500000	WATER BASED	1990-03-06	1494	9999-12-31	2013-05-08	8861
25/7-2	1940.000000	1.410000	22.000000	9.500000	WATER BASED	1990-03-07	1494	9999-12-31	2013-05-08	8862
25/7-2	1940.000000	1.410000	21.000000	8.500000	WATER BASED	1990-03-08	1494	9999-12-31	2013-05-08	8863
25/7-2	1958.000000	1.410000	24.000000	8.000000	WATER BASED	1990-03-09	1494	9999-12-31	2013-05-08	8864
25/7-2	2005.000000	1.410000	27.000000	9.000000	WATER BASED	1990-03-12	1494	9999-12-31	2013-05-08	8865
25/7-2	2113.000000	1.250000	29.000000	13.500000	WATER BASED	1990-03-12	1494	9999-12-31	2013-05-08	8866
25/7-2	2130.000000	1.410000	29.000000	11.000000	WATER BASED	1990-03-12	1494	9999-12-31	2013-05-08	8867
25/7-2	2178.000000	1.410000	27.000000	9.500000	WATER BASED	1990-03-13	1494	9999-12-31	2013-05-08	8868
25/7-2	2315.000000	1.250000	32.000000	11.000000	WATER BASED	1990-03-14	1494	9999-12-31	2013-05-08	8869
25/7-2	2437.000000	1.400000	30.000000	11.500000	WATER BASED	1990-03-16	1494	9999-12-31	2013-05-08	8870
25/7-2	2440.000000	1.400000	31.000000	11.000000	WATER BASED	1990-03-16	1494	9999-12-31	2013-05-08	8871
25/7-2	2504.000000	1.400000	39.000000	12.000000	WATER BASED	1990-03-20	1494	9999-12-31	2013-05-08	8872
25/7-2	2545.000000	1.400000	29.000000	12.500000	WATER BASED	1990-03-20	1494	9999-12-31	2013-05-08	8873
25/7-2	2545.000000	1.400000	29.000000	11.000000	WATER BASED	1990-03-20	1494	9999-12-31	2013-05-08	8874
25/7-2	2566.000000	1.400000	27.000000	13.000000	WATER BASED	1990-03-20	1494	9999-12-31	2013-05-08	8875
25/7-2	2630.000000	1.400000	27.000000	13.000000	WATER BASED	1990-03-21	1494	9999-12-31	2013-05-08	8876
25/7-2	2695.000000	1.400000	33.000000	11.000000	WATER BASED	1990-03-22	1494	9999-12-31	2013-05-08	8877
25/7-2	2707.000000	1.400000	26.000000	9.000000	WATER BASED	1990-03-23	1494	9999-12-31	2013-05-08	8878
25/7-2	2707.000000	1.400000	27.000000	9.000000	WATER BASED	1990-03-26	1494	9999-12-31	2013-05-08	8879
25/7-2	2707.000000	1.400000	26.000000	9.000000	WATER BASED	1990-03-26	1494	9999-12-31	2013-05-08	8880
25/7-2	2707.000000	1.400000	22.000000	10.000000	WATER BASED	1990-03-26	1494	9999-12-31	2013-05-08	8881
25/7-2	2737.000000	1.400000	30.000000	11.500000	WATER BASED	1990-03-27	1494	9999-12-31	2013-05-08	8882
25/7-2	2747.000000	1.400000	30.000000	11.000000	WATER BASED	1990-03-29	1494	9999-12-31	2013-05-08	8883
25/7-2	2747.000000	1.400000	29.000000	11.000000	WATER BASED	1990-03-30	1494	9999-12-31	2013-05-08	8884
25/7-2	2747.000000	1.400000	28.000000	11.000000	WATER BASED	1990-04-02	1494	9999-12-31	2013-05-08	8885
25/7-2	2747.000000	1.400000	27.000000	10.500000	WATER BASED	1990-04-02	1494	9999-12-31	2013-05-08	8886
25/7-2	2747.000000	1.400000	35.000000	12.500000	WATER BASED	1990-03-28	1494	9999-12-31	2013-05-08	8887
25/7-2	2811.000000	1.400000	23.000000	11.500000	WATER BASED	1990-04-02	1494	9999-12-31	2013-05-08	8888
25/7-2	2843.000000	1.400000	27.000000	11.500000	WATER BASED	1990-04-05	1494	9999-12-31	2013-05-08	8889
25/7-2	2843.000000	1.400000	22.000000	10.000000	WATER BASED	1990-04-04	1494	9999-12-31	2013-05-08	8890
25/7-2	2864.000000	1.410000	29.000000	10.000000	WATER BASED	1990-04-06	1494	9999-12-31	2013-05-08	8891
25/7-2	2895.000000	1.400000	28.000000	10.500000	WATER BASED	1990-04-09	1494	9999-12-31	2013-05-08	8892
25/7-2	2924.000000	1.400000	32.000000	12.000000	WATER BASED	1990-04-10	1494	9999-12-31	2013-05-08	8893
25/7-2	2958.000000	1.400000	27.000000	12.000000	WATER BASED	1990-04-10	1494	9999-12-31	2013-05-08	8894
25/7-2	2974.000000	1.400000	27.000000	10.500000	WATER BASED	1990-04-11	1494	9999-12-31	2013-05-08	8895
25/7-2	2974.000000	1.400000	28.000000	11.000000	WATER BASED	1990-04-18	1494	9999-12-31	2013-05-08	8896
25/7-2	2974.000000	1.400000	26.000000	10.000000	WATER BASED	1990-04-18	1494	9999-12-31	2013-05-08	8897
25/7-2	2974.000000	1.400000	22.000000	9.000000	WATER BASED	1990-04-18	1494	9999-12-31	2013-05-08	8898
25/7-2	2974.000000	1.340000	16.000000	2.500000	WATER BASED	1990-04-18	1494	9999-12-31	2013-05-08	8899
25/7-2	2974.000000	1.400000	21.000000	8.500000	WATER BASED	1990-04-18	1494	9999-12-31	2013-05-08	8900
25/7-2	2974.000000	1.400000	28.000000	11.000000	WATER BASED	1990-04-10	1494	9999-12-31	2013-05-08	8901
25/7-2	2974.000000	1.400000	26.000000	10.000000	WATER BASED	1990-04-18	1494	9999-12-31	2013-05-08	8902
25/7-2	3034.000000	1.340000	22.000000	7.500000	WATER BASED	1990-04-18	1494	9999-12-31	2013-05-08	8903
25/7-2	3135.000000	1.340000	21.000000	8.500000	WATER BASED	1990-04-19	1494	9999-12-31	2013-05-08	8904
25/7-2	3250.000000	1.340000	23.000000	12.000000	WATER BASED	1990-04-23	1494	9999-12-31	2013-05-08	8905
25/7-2	3349.000000	1.340000	25.000000	12.500000	WATER BASED	1990-04-23	1494	9999-12-31	2013-05-08	8906
25/7-2	3422.000000	1.440000	26.000000	13.000000	WATER BASED	1990-04-23	1494	9999-12-31	2013-05-08	8907
25/7-2	3440.000000	1.440000	26.000000	12.000000	WATER BASED	1990-04-24	1494	9999-12-31	2013-05-08	8908
25/7-2	3445.000000	1.440000	26.000000	12.000000	WATER BASED	1990-04-25	1494	9999-12-31	2013-05-08	8909
25/7-2	3506.000000	1.440000	19.000000	9.000000	WATER BASED	1990-04-26	1494	9999-12-31	2013-05-08	8910
25/7-2	3561.000000	1.470000	21.000000	10.000000	WATER BASED	1990-04-27	1494	9999-12-31	2013-05-08	8911
25/7-2	3589.000000	1.470000	22.000000	10.000000	WATER BASED	1990-04-30	1494	9999-12-31	2013-05-08	8912
25/7-2	3642.000000	1.510000	24.000000	11.500000	WATER BASED	1990-04-30	1494	9999-12-31	2013-05-08	8913
25/7-2	3713.000000	1.920000	20.000000	5.000000	WATER BASED	1990-07-16	1494	9999-12-31	2013-05-08	8914
25/7-2	3912.000000	1.650000	21.000000	6.500000	WATER BASED	1990-05-03	1494	9999-12-31	2013-05-08	8915
25/7-2	3914.000000	1.650000	16.000000	6.000000	WATER BASED	1990-05-08	1494	9999-12-31	2013-05-08	8916
25/7-2	3914.000000	1.650000	16.000000	5.500000	WATER BASED	1990-05-08	1494	9999-12-31	2013-05-08	8917
25/7-2	3914.000000	1.650000	20.000000	5.500000	WATER BASED	1990-05-04	1494	9999-12-31	2013-05-08	8918
25/7-2	3920.000000	1.680000	17.000000	4.500000	WATER BASED	1990-05-08	1494	9999-12-31	2013-05-08	8919
25/7-2	3969.000000	1.760000	18.000000	5.500000	WATER BASED	1990-05-08	1494	9999-12-31	2013-05-08	8920
25/7-2	4031.000000	1.870000	21.000000	6.000000	WATER BASED	1990-05-09	1494	9999-12-31	2013-05-08	8921
25/7-2	4079.000000	1.920000	21.000000	7.000000	WATER BASED	1990-05-10	1494	9999-12-31	2013-05-08	8922
25/7-2	4120.000000	1.920000	18.000000	7.500000	WATER BASED	1990-05-11	1494	9999-12-31	2013-05-08	8923
25/7-2	4125.000000	1.920000	19.000000	9.500000	WATER BASED	1990-05-15	1494	9999-12-31	2013-05-08	8924
25/7-2	4131.000000	1.920000	17.000000	8.000000	WATER BASED	1990-05-15	1494	9999-12-31	2013-05-08	8925
25/7-2	4136.000000	1.920000	18.000000	5.500000	WATER BASED	1990-05-15	1494	9999-12-31	2013-05-08	8926
25/7-2	4146.000000	1.920000	17.000000	5.000000	WATER BASED	1990-05-15	1494	9999-12-31	2013-05-08	8927
25/7-2	4155.000000	1.920000	16.000000	4.500000	WATER BASED	1990-05-16	1494	9999-12-31	2013-05-08	8928
25/7-2	4169.000000	1.920000	18.000000	5.500000	WATER BASED	1990-05-18	1494	9999-12-31	2013-05-08	8929
25/7-2	4195.000000	1.920000	17.000000	6.000000	WATER BASED	1990-05-21	1494	9999-12-31	2013-05-08	8930
25/7-2	4240.000000	1.920000	15.000000	7.000000	WATER BASED	1990-05-21	1494	9999-12-31	2013-05-08	8931
25/7-2	4302.000000	1.940000	16.000000	8.000000	WATER BASED	1990-05-21	1494	9999-12-31	2013-05-08	8932
25/7-2	4342.000000	1.980000	14.000000	7.500000	WATER BASED	1990-05-22	1494	9999-12-31	2013-05-08	8933
25/7-2	4345.000000	1.920000	14.000000	7.000000	WATER BASED	1990-05-25	1494	9999-12-31	2013-05-08	8934
25/7-2	4345.000000	1.950000	15.000000	7.000000	WATER BASED	1990-05-23	1494	9999-12-31	2013-05-08	8935
25/7-2	4345.000000	1.920000	15.000000	9.000000	WATER BASED	1990-06-06	1494	9999-12-31	2013-05-08	8936
25/7-2	4345.000000	1.920000	14.000000	9.000000	WATER BASED	1990-06-06	1494	9999-12-31	2013-05-08	8937
25/7-2	4345.000000	1.920000	13.000000	11.000000	WATER BASED	1990-06-01	1494	9999-12-31	2013-05-08	8938
25/7-2	4345.000000	1.920000	13.000000	6.000000	WATER BASED	1990-05-30	1494	9999-12-31	2013-05-08	8939
25/7-2	4345.000000	1.920000	14.000000	7.500000	WATER BASED	1990-05-29	1494	9999-12-31	2013-05-08	8940
25/7-2	4345.000000	1.920000	14.000000	7.000000	WATER BASED	1990-05-29	1494	9999-12-31	2013-05-08	8941
25/7-2	4345.000000	1.920000	14.000000	7.500000	WATER BASED	1990-05-29	1494	9999-12-31	2013-05-08	8942
25/7-2	4345.000000	1.920000	14.000000	9.000000	WATER BASED	1990-06-05	1494	9999-12-31	2013-05-08	8943
25/7-2	4345.000000	1.980000	14.000000	8.000000	WATER BASED	1990-05-22	1494	9999-12-31	2013-05-08	8944
25/7-2	4345.000000	1.920000	14.000000	7.500000	WATER BASED	1990-05-25	1494	9999-12-31	2013-05-08	8945
25/7-2	4345.000000	1.920000	14.000000	4.500000	WATER BASED	1990-05-31	1494	9999-12-31	2013-05-08	8946
25/7-2	4349.000000	1.920000	15.000000	10.000000	WATER BASED	1990-06-06	1494	9999-12-31	2013-05-08	8947
25/7-2	4349.000000	1.920000	15.000000	10.000000	WATER BASED	1990-06-07	1494	9999-12-31	2013-05-08	8948
25/7-2	4349.000000	1.920000	14.000000	10.000000	WATER BASED	1990-06-08	1494	9999-12-31	2013-05-08	8949
25/7-2	4398.000000	1.920000	18.000000	14.000000	WATER BASED	1990-06-08	1494	9999-12-31	2013-05-08	8950
25/7-2	4462.000000	1.920000	17.000000	12.000000	WATER BASED	1990-06-08	1494	9999-12-31	2013-05-08	8951
25/7-2	4489.000000	1.920000	16.000000	13.000000	WATER BASED	1990-06-12	1494	9999-12-31	2013-05-08	8952
25/7-2	4495.000000	1.920000	16.000000	11.000000	WATER BASED	1990-06-12	1494	9999-12-31	2013-05-08	8953
25/7-2	4520.000000	1.920000	16.000000	10.000000	WATER BASED	1990-06-12	1494	9999-12-31	2013-05-08	8954
25/7-2	4624.000000	1.920000	17.000000	12.000000	WATER BASED	1990-06-12	1494	9999-12-31	2013-05-08	8955
25/7-2	4643.000000	1.920000	17.000000	15.000000	WATER BASED	1990-06-13	1494	9999-12-31	2013-05-08	8956
25/7-2	4727.000000	1.920000	17.000000	7.500000	WATER BASED	1990-06-14	1494	9999-12-31	2013-05-08	8957
25/7-2	4739.000000	1.920000	10.000000	11.000000	WATER BASED	1990-06-15	1494	9999-12-31	2013-05-08	8958
25/7-2	4769.000000	1.920000	15.000000	5.000000	WATER BASED	1990-06-19	1494	9999-12-31	2013-05-08	8959
25/7-2	4802.000000	1.920000	14.000000	6.000000	WATER BASED	1990-06-19	1494	9999-12-31	2013-05-08	8960
25/7-2	4809.000000	1.920000	16.000000	8.500000	WATER BASED	1990-06-19	1494	9999-12-31	2013-05-08	8961
25/7-2	4812.000000	1.920000	11.000000	5.500000	WATER BASED	1990-07-02	1494	9999-12-31	2013-05-08	8962
25/7-2	4812.000000	1.920000	13.000000	5.000000	WATER BASED	1990-07-10	1494	9999-12-31	2013-05-08	8963
25/7-2	4812.000000	1.920000	10.000000	5.000000	WATER BASED	1990-07-10	1494	9999-12-31	2013-05-08	8964
25/7-2	4812.000000	1.920000	12.000000	5.000000	WATER BASED	1990-07-05	1494	9999-12-31	2013-05-08	8965
25/7-2	4812.000000	1.930000	12.000000	5.000000	WATER BASED	1990-07-09	1494	9999-12-31	2013-05-08	8966
25/7-2	4812.000000	1.920000	11.000000	6.000000	WATER BASED	1990-07-02	1494	9999-12-31	2013-05-08	8967
25/7-2	4812.000000	1.920000	12.000000	5.500000	WATER BASED	1990-07-03	1494	9999-12-31	2013-05-08	8968
25/7-2	4812.000000	1.920000	12.000000	7.000000	WATER BASED	1990-07-16	1494	9999-12-31	2013-05-08	8969
25/7-2	4812.000000	1.920000	12.000000	5.000000	WATER BASED	1990-07-10	1494	9999-12-31	2013-05-08	8970
25/7-2	4830.000000	1.920000	14.000000	7.500000	WATER BASED	1990-06-19	1494	9999-12-31	2013-05-08	8971
25/7-2	4850.000000	1.920000	14.000000	7.500000	WATER BASED	1990-06-21	1494	9999-12-31	2013-05-08	8972
25/7-2	4850.000000	1.920000	14.000000	7.000000	WATER BASED	1990-06-20	1494	9999-12-31	2013-05-08	8973
25/7-2	4850.000000	1.920000	13.000000	6.500000	WATER BASED	1990-06-27	1494	9999-12-31	2013-05-08	8974
25/7-2	4850.000000	1.920000	13.000000	7.500000	WATER BASED	1990-06-25	1494	9999-12-31	2013-05-08	8975
25/7-2	4850.000000	1.920000	12.000000	7.500000	WATER BASED	1990-06-25	1494	9999-12-31	2013-05-08	8976
25/7-2	4850.000000	1.920000	20.000000	7.000000	WATER BASED	1990-07-02	1494	9999-12-31	2013-05-08	8977
25/7-2	4850.000000	1.920000	13.000000	6.500000	WATER BASED	1990-07-02	1494	9999-12-31	2013-05-08	8978
25/7-2	4850.000000	1.920000	12.000000	5.500000	WATER BASED	1990-07-04	1494	9999-12-31	2013-05-08	8979
25/7-2	4850.000000	1.920000	14.000000	5.500000	WATER BASED	1990-06-28	1494	9999-12-31	2013-05-08	8980
25/7-2	4850.000000	1.920000	10.000000	5.000000	WATER BASED	1990-07-10	1494	9999-12-31	2013-05-08	8981
25/7-2	4850.000000	1.920000	8.000000	14.000000	WATER BASED	1990-07-11	1494	9999-12-31	2013-05-08	8982
25/7-2	4850.000000	1.920000	12.000000	7.500000	WATER BASED	1990-07-12	1494	9999-12-31	2013-05-08	8983
25/7-2	4850.000000	1.920000	12.000000	7.500000	WATER BASED	1990-07-13	1494	9999-12-31	2013-05-08	8984
25/7-2	4850.000000	1.920000	12.000000	5.500000	WATER BASED	1990-06-26	1494	9999-12-31	2013-05-08	8985
25/7-2	4850.000000	1.920000	15.000000	6.500000	WATER BASED	1990-06-22	1494	9999-12-31	2013-05-08	8986
25/7-2	4850.000000	1.920000	12.000000	8.000000	WATER BASED	1990-06-25	1494	9999-12-31	2013-05-08	8987
25/7-3	172.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	2623	9999-12-31	2013-05-08	8988
25/7-3	792.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	2623	9999-12-31	2013-05-08	8989
25/7-3	1186.000000	1.460000	0.000000	16.000000	KCL/glycol	9999-12-31	2623	9999-12-31	2013-05-08	8990
25/7-3	1966.000000	1.500000	0.000000	13.300000	ANCO 2000	9999-12-31	2623	9999-12-31	2013-05-08	8991
25/7-4 S	149.000000	1.000000	0.000000	0.000000	SPUD MUD	9999-12-31	3114	9999-12-31	2013-05-08	8992
25/7-4 S	222.000000	1.000000	0.000000	0.000000	SPUD MUD	9999-12-31	3114	9999-12-31	2013-05-08	8993
25/7-4 S	536.000000	1.070000	0.000000	0.000000	SPUD MUD	9999-12-31	3114	9999-12-31	2013-05-08	8994
25/7-4 S	1188.000000	1.200000	0.000000	0.000000	SPUD MUD	9999-12-31	3114	9999-12-31	2013-05-08	8995
25/7-4 S	1198.000000	1.450000	42.000000	0.000000	KCL/GLYCOL/GEM	9999-12-31	3114	9999-12-31	2013-05-08	8996
25/7-4 S	1200.000000	1.070000	0.000000	0.000000	SPUD MUD	9999-12-31	3114	9999-12-31	2013-05-08	8997
25/7-4 S	1224.000000	1.450000	39.000000	0.000000	KCL/GLYCOL/GEM	9999-12-31	3114	9999-12-31	2013-05-08	8998
25/7-4 S	1452.000000	1.320000	20.000000	0.000000	KCL/GLYCOL/GEM	9999-12-31	3114	9999-12-31	2013-05-08	8999
25/7-4 S	1940.000000	1.200000	15.000000	0.000000	KCL/POLYMER	9999-12-31	3114	9999-12-31	2013-05-08	9000
25/7-4 S	2280.000000	1.200000	11.000000	0.000000	KCL/POLYMER	9999-12-31	3114	9999-12-31	2013-05-08	9001
25/7-4 S	2560.000000	1.210000	12.000000	0.000000	KCL/POLYMER	9999-12-31	3114	9999-12-31	2013-05-08	9002
25/7-5	209.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9003
25/7-5	350.000000	1.270000	17.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9004
25/7-5	671.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9005
25/7-5	702.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9006
25/7-5	850.000000	1.270000	17.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9007
25/7-5	1221.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9008
25/7-5	1338.000000	1.450000	29.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9009
25/7-5	1341.000000	1.450000	23.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9010
25/7-5	1800.000000	1.210000	15.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9011
25/7-5	1886.000000	1.450000	26.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9012
25/7-5	1986.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9013
25/7-5	2058.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9014
25/7-5	2060.000000	1.230000	18.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9015
25/7-5	2093.000000	1.250000	19.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9016
25/7-5	2144.000000	1.210000	17.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9017
25/7-5	2148.000000	1.250000	19.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9018
25/7-5	2148.000000	1.210000	18.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9019
25/7-5	2491.000000	1.230000	17.000000	0.000000	WATER BASED	9999-12-31	3132	9999-12-31	2013-05-08	9020
25/7-6	1345.000000	1.450000	26.000000	0.000000	WATER BASED	9999-12-31	4141	9999-12-31	2013-05-08	9021
25/7-6	1891.000000	1.500000	27.000000	0.000000	WATER BASED	9999-12-31	4141	9999-12-31	2013-05-08	9022
25/7-6	2006.000000	1.200000	13.000000	0.000000	WATER BASED	9999-12-31	4141	9999-12-31	2013-05-08	9023
25/7-6	2070.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	4141	9999-12-31	2013-05-08	9024
25/7-6	2210.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	4141	9999-12-31	2013-05-08	9025
25/7-6	2250.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	4141	9999-12-31	2013-05-08	9026
25/8-1	378.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	173	9999-12-31	2013-05-08	9027
25/8-1	1310.000000	1.070000	0.000000	0.000000	sw/sper	9999-12-31	173	9999-12-31	2013-05-08	9028
25/8-1	2619.000000	1.040000	0.000000	0.000000	fw/sper	9999-12-31	173	9999-12-31	2013-05-08	9029
25/8-10 S	228.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	3062	9999-12-31	2013-05-08	9030
25/8-10 S	890.000000	1.320000	31.000000	0.000000	OIL (REGULAR)	9999-12-31	3062	9999-12-31	2013-05-08	9031
25/8-10 S	1000.000000	1.060000	0.000000	0.000000	SPUD MUD	9999-12-31	3062	9999-12-31	2013-05-08	9032
25/8-10 S	1050.000000	1.320000	32.000000	0.000000	OIL (REGULAR)	9999-12-31	3062	9999-12-31	2013-05-08	9033
25/8-10 S	1091.000000	1.430000	60.000000	0.000000	LO-TOX OBM	9999-12-31	3062	9999-12-31	2013-05-08	9034
25/8-10 S	1150.000000	1.320000	28.000000	0.000000	LO-TOX OBM	9999-12-31	3062	9999-12-31	2013-05-08	9035
25/8-10 S	1244.000000	1.320000	26.000000	0.000000	LO-TOX OBM	9999-12-31	3062	9999-12-31	2013-05-08	9036
25/8-10 S	1518.000000	1.320000	28.000000	0.000000	LO-TOX OBM	9999-12-31	3062	9999-12-31	2013-05-08	9037
25/8-10 S	1751.000000	1.320000	29.000000	0.000000	LO-TOX OBM	9999-12-31	3062	9999-12-31	2013-05-08	9038
25/8-10 S	1786.000000	1.320000	30.000000	0.000000	LO-TOX OBM	9999-12-31	3062	9999-12-31	2013-05-08	9039
25/8-10 S	1890.000000	1.320000	30.000000	0.000000	OIL (REGULAR)	9999-12-31	3062	9999-12-31	2013-05-08	9040
25/8-11	1001.000000	1.320000	24.000000	0.000000	OIL BASED	9999-12-31	3209	9999-12-31	2013-05-08	9041
25/8-11	1024.000000	1.320000	26.000000	0.000000	OIL BASED	9999-12-31	3209	9999-12-31	2013-05-08	9042
25/8-11	1471.000000	1.320000	20.000000	0.000000	OIL BASED	9999-12-31	3209	9999-12-31	2013-05-08	9043
25/8-11	1565.000000	1.320000	25.000000	0.000000	OIL BASED	9999-12-31	3209	9999-12-31	2013-05-08	9044
25/8-11	1790.000000	1.330000	26.000000	0.000000	OIL BASED	9999-12-31	3209	9999-12-31	2013-05-08	9045
25/8-11	1994.000000	1.130000	0.000000	0.000000	DUMMY	9999-12-31	3209	9999-12-31	2013-05-08	9046
25/8-11	1994.000000	1.320000	26.000000	0.000000	OIL BASED	9999-12-31	3209	9999-12-31	2013-05-08	9047
25/8-12 A	825.000000	1.320000	30.000000	0.000000	OIL (ENVIRON)	9999-12-31	3772	9999-12-31	2013-05-08	9048
25/8-12 A	860.000000	1.330000	30.000000	0.000000	OIL (ENVIRON)	9999-12-31	3772	9999-12-31	2013-05-08	9049
25/8-12 A	1340.000000	1.320000	30.000000	0.000000	OIL (ENVIRON)	9999-12-31	3772	9999-12-31	2013-05-08	9050
25/8-12 A	2156.000000	1.320000	27.000000	0.000000	OIL (ENVIRON)	9999-12-31	3772	9999-12-31	2013-05-08	9051
25/8-12 S	860.000000	1.330000	30.000000	0.000000	OIL (ENVIRON)	9999-12-31	3771	9999-12-31	2013-05-08	9052
25/8-12 S	1385.000000	1.320000	28.000000	0.000000	OIL (ENVIRON)	9999-12-31	3771	9999-12-31	2013-05-08	9053
25/8-12 S	1905.000000	1.320000	31.000000	0.000000	OIL (REGULAR)	9999-12-31	3771	9999-12-31	2013-05-08	9054
25/8-12 S	2096.000000	1.320000	25.000000	0.000000	OIL (ENVIRON)	9999-12-31	3771	9999-12-31	2013-05-08	9055
25/8-13	219.000000	1.030000	0.000000	0.000000	WBM	9999-12-31	4438	9999-12-31	2013-05-08	9056
25/8-13	610.000000	1.030000	0.000000	0.000000	WBM	9999-12-31	4438	9999-12-31	2013-05-08	9057
25/8-13	1038.000000	1.030000	0.000000	0.000000	WBM	9999-12-31	4438	9999-12-31	2013-05-08	9058
25/8-13	1038.000000	0.000000	0.000000	0.000000	OBM	9999-12-31	4438	9999-12-31	2013-05-08	9059
25/8-13	1072.000000	1.320000	23.000000	0.000000	OBM	9999-12-31	4438	9999-12-31	2013-05-08	9060
25/8-13	1997.000000	1.320000	26.000000	0.000000	SBM	9999-12-31	4438	9999-12-31	2013-05-08	9061
25/8-13	2101.000000	1.320000	21.000000	0.000000	SBM	9999-12-31	4438	9999-12-31	2013-05-08	9062
25/8-13	2132.000000	1.320000	22.000000	0.000000	SBM	9999-12-31	4438	9999-12-31	2013-05-08	9063
25/8-13	2276.000000	1.320000	22.000000	0.000000	OBM	9999-12-31	4438	9999-12-31	2013-05-08	9064
25/8-15 S	564.000000	1.230000	18.000000	0.000000	WBM	9999-12-31	5000	9999-12-31	2013-05-08	9065
25/8-15 S	1310.000000	0.000000	0.000000	0.000000	WBM	9999-12-31	5000	9999-12-31	2013-05-08	9066
25/8-15 S	2127.000000	1.480000	35.000000	0.000000	WBM	9999-12-31	5000	9999-12-31	2013-05-08	9067
25/8-15 S	4416.000000	1.480000	35.000000	0.000000	WBM	9999-12-31	5000	9999-12-31	2013-05-08	9068
25/8-15 S	4624.000000	1.480000	35.000000	0.000000	WBM	9999-12-31	5000	9999-12-31	2013-05-08	9069
25/8-15 S	4804.000000	1.480000	35.000000	0.000000	WBM	9999-12-31	5000	9999-12-31	2013-05-08	9070
25/8-15 S	4804.000000	1.480000	35.000000	0.000000	WBM	9999-12-31	5000	9999-12-31	2013-05-08	9071
25/8-16 A	207.000000	1.470000	27.000000	0.000000	XP-07	9999-12-31	6128	9999-12-31	2013-05-08	9072
25/8-16 A	1170.000000	1.470000	20.000000	0.000000	XP-07	9999-12-31	6128	9999-12-31	2013-05-08	9073
25/8-16 A	1710.000000	1.470000	21.000000	0.000000	XP-07	9999-12-31	6128	9999-12-31	2013-05-08	9074
25/8-16 A	1915.000000	1.470000	17.000000	0.000000	XP-07	9999-12-31	6128	9999-12-31	2013-05-08	9075
25/8-16 A	2060.000000	1.470000	22.000000	0.000000	XP-07	9999-12-31	6128	9999-12-31	2013-05-08	9076
25/8-16 A	2324.000000	1.470000	22.000000	0.000000	XP-07	9999-12-31	6128	9999-12-31	2013-05-08	9077
25/8-16 S	179.000000	1.060000	0.000000	0.000000	Spud Mud	9999-12-31	6082	9999-12-31	2013-05-08	9078
25/8-16 S	958.000000	1.060000	0.000000	0.000000	Spud Mud	9999-12-31	6082	9999-12-31	2013-05-08	9079
25/8-16 S	1021.000000	1.470000	21.000000	0.000000	XP-07	9999-12-31	6082	9999-12-31	2013-05-08	9080
25/8-16 S	1035.000000	1.250000	18.000000	0.000000	Spud Mud	9999-12-31	6082	9999-12-31	2013-05-08	9081
25/8-16 S	1159.000000	1.500000	21.000000	0.000000	XP-07	9999-12-31	6082	9999-12-31	2013-05-08	9082
25/8-16 S	2346.000000	1.500000	21.000000	0.000000	XP-07	9999-12-31	6082	9999-12-31	2013-05-08	9083
25/8-16 S	2370.000000	1.500000	20.000000	0.000000	XP-07	9999-12-31	6082	9999-12-31	2013-05-08	9084
25/8-16 S	2551.000000	1.390000	20.000000	0.000000	XP-07	9999-12-31	6082	9999-12-31	2013-05-08	9085
25/8-17	1086.000000	1.350000	31.000000	0.000000	PERFORMADRIL	9999-12-31	6185	9999-12-31	2013-05-08	9086
25/8-17	1090.000000	1.340000	17.000000	0.000000	XP-07 Yellow	9999-12-31	6185	9999-12-31	2013-05-08	9087
25/8-17	1347.000000	1.350000	34.000000	0.000000	PERFORMADRIL	9999-12-31	6185	9999-12-31	2013-05-08	9088
25/8-17	1516.000000	1.350000	41.000000	0.000000	PERFORMADRIL	9999-12-31	6185	9999-12-31	2013-05-08	9089
25/8-17	1758.000000	1.350000	50.000000	0.000000	PERFORMADRIL	9999-12-31	6185	9999-12-31	2013-05-08	9090
25/8-17	2098.000000	1.350000	48.000000	0.000000	PERFORMADRIL	9999-12-31	6185	9999-12-31	2013-05-08	9091
25/8-17	2233.000000	1.350000	44.000000	0.000000	PERFORMADRIL	9999-12-31	6185	9999-12-31	2013-05-08	9092
25/8-17 A	1179.000000	1.350000	12.000000	0.000000	XP-07 Yellow	9999-12-31	6261	9999-12-31	2013-05-08	9093
25/8-17 A	1465.000000	1.370000	19.000000	0.000000	XP-07 Yellow	9999-12-31	6261	9999-12-31	2013-05-08	9094
25/8-17 A	1530.000000	1.430000	20.000000	0.000000	XP-07 Yellow	9999-12-31	6261	9999-12-31	2013-05-08	9095
25/8-17 A	1753.000000	1.470000	23.000000	0.000000	XP-07 Yellow	9999-12-31	6261	9999-12-31	2013-05-08	9096
25/8-17 A	2119.000000	1.470000	23.000000	0.000000	XP-07 Yellow	9999-12-31	6261	9999-12-31	2013-05-08	9097
25/8-17 A	2944.000000	1.470000	29.000000	0.000000	XP-07 Yellow	9999-12-31	6261	9999-12-31	2013-05-08	9098
25/8-17 A	2945.000000	1.470000	26.000000	0.000000	XP-07 Yellow	9999-12-31	6261	9999-12-31	2013-05-08	9099
25/8-2	187.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	363	9999-12-31	2013-05-08	9100
25/8-2	395.000000	1.060000	0.000000	0.000000	seawater	9999-12-31	363	9999-12-31	2013-05-08	9101
25/8-2	1258.000000	1.060000	0.000000	0.000000	seawater	9999-12-31	363	9999-12-31	2013-05-08	9102
25/8-2	2560.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	363	9999-12-31	2013-05-08	9103
25/8-3	260.000000	1.070000	36.000000	0.000000	waterbased	9999-12-31	364	9999-12-31	2013-05-08	9104
25/8-3	420.000000	1.080000	36.000000	0.000000	waterbased	9999-12-31	364	9999-12-31	2013-05-08	9105
25/8-3	800.000000	1.050000	33.000000	0.000000	waterbased	9999-12-31	364	9999-12-31	2013-05-08	9106
25/8-3	1150.000000	1.060000	45.000000	0.000000	waterbased	9999-12-31	364	9999-12-31	2013-05-08	9107
25/8-3	1460.000000	1.700000	46.000000	0.000000	waterbased	9999-12-31	364	9999-12-31	2013-05-08	9108
25/8-3	1550.000000	1.600000	53.000000	0.000000	waterbased	9999-12-31	364	9999-12-31	2013-05-08	9109
25/8-4	241.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1986	9999-12-31	2013-05-08	9110
25/8-4	1673.000000	1.280000	18.000000	0.000000	WATER BASED	9999-12-31	1986	9999-12-31	2013-05-08	9111
25/8-4	1723.000000	1.290000	17.000000	0.000000	WATER BASED	9999-12-31	1986	9999-12-31	2013-05-08	9112
25/8-4	1759.000000	1.300000	16.000000	0.000000	WATER BASED	9999-12-31	1986	9999-12-31	2013-05-08	9113
25/8-4	1812.000000	1.290000	16.000000	0.000000	WATER BASED	9999-12-31	1986	9999-12-31	2013-05-08	9114
25/8-4	1837.000000	1.300000	16.000000	0.000000	WATER BASED	9999-12-31	1986	9999-12-31	2013-05-08	9115
25/8-4	1840.000000	1.300000	17.000000	0.000000	WATER BASED	9999-12-31	1986	9999-12-31	2013-05-08	9116
25/8-4	1891.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	1986	9999-12-31	2013-05-08	9117
25/8-5 S	180.000000	1.020000	0.000000	0.000000	DUMMY	9999-12-31	2390	9999-12-31	2013-05-08	9118
25/8-5 S	352.000000	1.130000	0.000000	0.000000	DUMMY	9999-12-31	2390	9999-12-31	2013-05-08	9119
25/8-5 S	811.000000	1.130000	0.000000	0.000000	DUMMY	9999-12-31	2390	9999-12-31	2013-05-08	9120
25/8-5 S	1137.000000	1.500000	16.000000	0.000000	DUMMY	9999-12-31	2390	9999-12-31	2013-05-08	9121
25/8-5 S	1170.000000	1.200000	28.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9122
25/8-5 S	1331.000000	1.230000	32.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9123
25/8-5 S	1755.000000	1.370000	48.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9124
25/8-5 S	2008.000000	1.500000	42.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9125
25/8-5 S	2064.000000	1.500000	18.000000	0.000000	DUMMY	9999-12-31	2390	9999-12-31	2013-05-08	9126
25/8-5 S	2094.000000	1.500000	39.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9127
25/8-5 S	2108.000000	1.500000	16.000000	0.000000	DUMMY	9999-12-31	2390	9999-12-31	2013-05-08	9128
25/8-5 S	2136.000000	1.500000	38.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9129
25/8-5 S	2150.000000	1.500000	33.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9130
25/8-5 S	2234.000000	1.500000	34.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9131
25/8-5 S	2261.000000	1.500000	34.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9132
25/8-5 S	2300.000000	1.500000	31.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9133
25/8-5 S	2301.000000	1.500000	32.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9134
25/8-5 S	2335.000000	1.220000	19.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9135
25/8-5 S	2485.000000	1.220000	25.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9136
25/8-5 S	2615.000000	1.230000	22.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9137
25/8-5 S	2700.000000	1.230000	30.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9138
25/8-5 S	2712.000000	1.220000	28.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9139
25/8-5 S	2758.000000	1.210000	30.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9140
25/8-5 S	2879.000000	1.260000	31.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9141
25/8-5 S	3015.000000	1.300000	29.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9142
25/8-5 S	3015.000000	1.260000	27.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9143
25/8-5 S	3061.000000	1.330000	25.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9144
25/8-5 S	3395.000000	1.400000	28.000000	0.000000	WATER BASED	9999-12-31	2390	9999-12-31	2013-05-08	9145
25/8-5 SR	180.000000	1.020000	0.000000	0.000000	DUMMY	9999-12-31	3192	9999-12-31	2013-05-08	9146
25/8-5 SR	1137.000000	1.500000	16.000000	0.000000	DUMMY	9999-12-31	3192	9999-12-31	2013-05-08	9147
25/8-5 SR	2064.000000	1.500000	18.000000	0.000000	DUMMY	9999-12-31	3192	9999-12-31	2013-05-08	9148
25/8-5 SR	2108.000000	1.500000	16.000000	0.000000	DUMMY	9999-12-31	3192	9999-12-31	2013-05-08	9149
25/8-6	194.000000	1.130000	0.000000	0.000000	DUMMY	9999-12-31	2573	9999-12-31	2013-05-08	9150
25/8-6	1060.000000	1.320000	16.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9151
25/8-6	1063.000000	1.320000	17.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9152
25/8-6	1246.000000	1.430000	56.000000	0.000000	OIL BASED	9999-12-31	2573	9999-12-31	2013-05-08	9153
25/8-6	1667.000000	1.430000	44.000000	0.000000	OIL BASED	9999-12-31	2573	9999-12-31	2013-05-08	9154
25/8-6	2054.000000	1.350000	25.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9155
25/8-6	2077.000000	1.350000	22.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9156
25/8-6	2085.000000	1.350000	21.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9157
25/8-6	2100.000000	1.370000	22.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9158
25/8-6	2110.000000	1.370000	23.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9159
25/8-6	2138.000000	1.370000	21.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9160
25/8-6	2200.000000	1.530000	31.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9161
25/8-6	2211.000000	1.370000	20.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9162
25/8-6	2237.000000	1.430000	51.000000	0.000000	OIL BASED	9999-12-31	2573	9999-12-31	2013-05-08	9163
25/8-6	2320.000000	1.430000	47.000000	0.000000	OIL BASED	9999-12-31	2573	9999-12-31	2013-05-08	9164
25/8-6	2335.000000	1.370000	20.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9165
25/8-6	2473.000000	1.370000	20.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9166
25/8-6	2500.000000	1.430000	43.000000	0.000000	OIL BASED	9999-12-31	2573	9999-12-31	2013-05-08	9167
25/8-6	2507.000000	1.430000	45.000000	0.000000	OIL BASED	9999-12-31	2573	9999-12-31	2013-05-08	9168
25/8-6	2538.000000	1.430000	50.000000	0.000000	OIL BASED	9999-12-31	2573	9999-12-31	2013-05-08	9169
25/8-6	2565.000000	1.500000	28.000000	0.000000	WATER BASED	9999-12-31	2573	9999-12-31	2013-05-08	9170
25/8-6	2577.000000	1.430000	45.000000	0.000000	OIL BASED	9999-12-31	2573	9999-12-31	2013-05-08	9171
25/8-7	1074.000000	1.270000	72.000000	0.000000	WATER BASED	9999-12-31	2612	9999-12-31	2013-05-08	9172
25/8-7	1411.000000	1.270000	62.000000	0.000000	WATER BASED	9999-12-31	2612	9999-12-31	2013-05-08	9173
25/8-7	1855.000000	1.290000	16.000000	0.000000	WATER BASED	9999-12-31	2612	9999-12-31	2013-05-08	9174
25/8-7	2010.000000	1.290000	52.000000	0.000000	WATER BASED	9999-12-31	2612	9999-12-31	2013-05-08	9175
25/8-7	2042.000000	1.260000	16.000000	0.000000	WATER BASED	9999-12-31	2612	9999-12-31	2013-05-08	9176
25/8-7	2059.000000	1.260000	49.000000	0.000000	WATER BASED	9999-12-31	2612	9999-12-31	2013-05-08	9177
25/8-7	2186.000000	1.260000	13.000000	0.000000	WATER BASED	9999-12-31	2612	9999-12-31	2013-05-08	9178
25/8-7	2319.000000	1.260000	46.000000	0.000000	WATER BASED	9999-12-31	2612	9999-12-31	2013-05-08	9179
25/8-7	2341.000000	1.260000	14.000000	0.000000	WATER BASED	9999-12-31	2612	9999-12-31	2013-05-08	9180
25/8-7	2380.000000	1.260000	14.000000	0.000000	WATER BASED	9999-12-31	2612	9999-12-31	2013-05-08	9181
25/8-8 A	841.000000	1.490000	61.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9182
25/8-8 A	996.000000	1.430000	38.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9183
25/8-8 A	1070.000000	1.000000	37.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9184
25/8-8 A	1149.000000	1.430000	44.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9185
25/8-8 A	1334.000000	1.540000	51.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9186
25/8-8 A	2115.000000	1.500000	43.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9187
25/8-8 A	2154.000000	1.430000	42.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9188
25/8-8 A	2230.000000	1.500000	54.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9189
25/8-8 A	2242.000000	1.540000	37.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9190
25/8-8 A	2382.000000	1.500000	45.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9191
25/8-8 A	2414.000000	1.500000	49.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9192
25/8-8 A	2443.000000	1.500000	44.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9193
25/8-8 A	2450.000000	1.540000	38.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9194
25/8-8 A	2495.000000	1.530000	37.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9195
25/8-8 A	2510.000000	1.500000	53.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9196
25/8-8 A	2522.000000	1.530000	36.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9197
25/8-8 A	2601.000000	1.530000	36.000000	0.000000	OIL BASED	9999-12-31	2690	9999-12-31	2013-05-08	9198
25/8-8 B	1078.000000	0.000000	0.000000	0.000000	OIL BASED	9999-12-31	2696	9999-12-31	2013-05-08	9199
25/8-8 S	157.000000	1.050000	0.000000	0.000000	DUMMY	9999-12-31	2646	9999-12-31	2013-05-08	9200
25/8-8 S	1058.000000	1.050000	0.000000	0.000000	DUMMY	9999-12-31	2646	9999-12-31	2013-05-08	9201
25/8-8 S	1175.000000	1.430000	47.000000	0.000000	OIL BASED	9999-12-31	2646	9999-12-31	2013-05-08	9202
25/8-8 S	2115.000000	1.430000	44.000000	0.000000	OIL BASED	9999-12-31	2646	9999-12-31	2013-05-08	9203
25/8-8 S	2229.000000	1.430000	44.000000	0.000000	OIL BASED	9999-12-31	2646	9999-12-31	2013-05-08	9204
25/8-8 S	2295.000000	1.450000	41.000000	0.000000	OIL BASED	9999-12-31	2646	9999-12-31	2013-05-08	9205
25/8-8 S	2460.000000	1.430000	41.000000	0.000000	OIL BASED	9999-12-31	2646	9999-12-31	2013-05-08	9206
25/8-8 S	2506.000000	1.430000	40.000000	0.000000	OIL BASED	9999-12-31	2646	9999-12-31	2013-05-08	9207
25/8-8 S	2543.000000	1.080000	0.000000	0.000000	DUMMY	9999-12-31	2646	9999-12-31	2013-05-08	9208
25/8-8 S	2544.000000	1.430000	39.000000	0.000000	OIL BASED	9999-12-31	2646	9999-12-31	2013-05-08	9209
25/8-8 S	2592.000000	1.080000	0.000000	0.000000	DUMMY	9999-12-31	2646	9999-12-31	2013-05-08	9210
25/8-9	1110.000000	0.000000	0.000000	0.000000	SW/BENTONITE	9999-12-31	2988	9999-12-31	2013-05-08	9211
25/8-9	1940.000000	1.290000	28.000000	0.000000	ANCOVERT OBM	9999-12-31	2988	9999-12-31	2013-05-08	9212
25/8-9	2440.000000	1.310000	31.000000	0.000000	ANCOVERT OBM	9999-12-31	2988	9999-12-31	2013-05-08	9213
25/8-9	2468.000000	1.310000	29.000000	0.000000	ANCOVERY OBM	9999-12-31	2988	9999-12-31	2013-05-08	9214
25/8-9	2507.000000	1.310000	31.000000	0.000000	ANCOVERT OBM	9999-12-31	2988	9999-12-31	2013-05-08	9215
25/8-9	2548.000000	1.290000	33.000000	0.000000	ANCOVERT OBM	9999-12-31	2988	9999-12-31	2013-05-08	9216
25/8-9 A	1570.000000	1.290000	29.000000	0.000000	ANCOVERT OBM	9999-12-31	3025	9999-12-31	2013-05-08	9217
25/8-9 A	2155.000000	1.300000	37.000000	0.000000	ANCOVERT OBM	9999-12-31	3025	9999-12-31	2013-05-08	9218
25/8-9 A	2523.000000	1.310000	30.000000	0.000000	ANCOVERT OBM	9999-12-31	3025	9999-12-31	2013-05-08	9219
25/8-9 A	2603.000000	1.320000	32.000000	0.000000	ANCOVERT OBM	9999-12-31	3025	9999-12-31	2013-05-08	9220
25/8-9 A	2687.000000	1.310000	35.000000	0.000000	ANCOVERT OBM	9999-12-31	3025	9999-12-31	2013-05-08	9221
25/9-1	208.000000	1.080000	100.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9222
25/9-1	323.000000	1.050000	100.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9223
25/9-1	434.000000	1.080000	100.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9224
25/9-1	1004.000000	1.080000	100.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9225
25/9-1	1056.000000	1.270000	22.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9226
25/9-1	1705.000000	1.270000	21.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9227
25/9-1	1850.000000	1.280000	16.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9228
25/9-1	1970.000000	1.270000	29.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9229
25/9-1	2082.000000	1.270000	19.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9230
25/9-1	2183.000000	1.270000	27.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9231
25/9-1	2304.000000	1.270000	20.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9232
25/9-1	2525.000000	1.270000	20.000000	0.000000	WATER BASED	9999-12-31	2476	9999-12-31	2013-05-08	9233
25/9-2 S	482.000000	0.000000	0.000000	0.000000	WBM	9999-12-31	4735	9999-12-31	2013-05-08	9234
25/9-2 S	1057.000000	1.000000	0.000000	0.000000	OBM	9999-12-31	4735	9999-12-31	2013-05-08	9235
25/9-2 S	1189.000000	1.390000	35.000000	0.000000	OBM	9999-12-31	4735	9999-12-31	2013-05-08	9236
25/9-2 S	2250.000000	0.000000	0.000000	0.000000	NAF	9999-12-31	4735	9999-12-31	2013-05-08	9237
25/9-3	223.000000	1.030000	0.000000	0.000000	SW/Hi-VIS	9999-12-31	6189	9999-12-31	2013-05-08	9238
25/9-3	1180.000000	1.030000	0.000000	0.000000	SW/Hi-VIS	9999-12-31	6189	9999-12-31	2013-05-08	9239
25/9-3	1951.000000	1.300000	0.000000	0.000000	Glydril WBM	9999-12-31	6189	9999-12-31	2013-05-08	9240
25/9-3	2267.000000	1.330000	0.000000	0.000000	Glydril WBM	9999-12-31	6189	9999-12-31	2013-05-08	9241
26/4-1	190.000000	0.000000	0.000000	0.000000	WATER BASED	1987-07-20	1046	9999-12-31	2013-05-08	9242
26/4-1	190.000000	1.220000	0.000000	8.100000	WATER BASED	1987-07-17	1046	9999-12-31	2013-05-08	9243
26/4-1	1532.000000	1.350000	53.000000	13.900000	WATER BASED	1987-05-27	1046	9999-12-31	2013-05-08	9244
26/4-1	1602.000000	1.450000	58.000000	15.400000	WATER BASED	1987-05-27	1046	9999-12-31	2013-05-08	9245
26/4-1	1640.000000	1.510000	55.000000	13.900000	WATER BASED	1987-05-27	1046	9999-12-31	2013-05-08	9246
26/4-1	1680.000000	1.620000	54.000000	11.500000	WATER BASED	1987-05-27	1046	9999-12-31	2013-05-08	9247
26/4-1	1680.000000	1.620000	54.000000	12.500000	WATER BASED	1987-05-27	1046	9999-12-31	2013-05-08	9248
26/4-1	1680.000000	1.620000	58.000000	13.000000	WATER BASED	1987-05-27	1046	9999-12-31	2013-05-08	9249
26/4-1	1683.000000	1.620000	48.000000	11.000000	WATER BASED	1987-05-29	1046	9999-12-31	2013-05-08	9250
26/4-1	1722.000000	1.620000	41.000000	8.600000	WATER BASED	1987-05-29	1046	9999-12-31	2013-05-08	9251
26/4-1	1951.000000	1.680000	57.000000	11.500000	WATER BASED	1987-06-01	1046	9999-12-31	2013-05-08	9252
26/4-1	2048.000000	1.070000	50.000000	8.200000	WATER BASED	1987-06-01	1046	9999-12-31	2013-05-08	9253
26/4-1	2058.000000	1.660000	44.000000	7.700000	WATER BASED	1987-06-01	1046	9999-12-31	2013-05-08	9254
26/4-1	2067.000000	1.630000	54.000000	10.600000	WATER BASED	1987-06-03	1046	9999-12-31	2013-05-08	9255
26/4-1	2077.000000	1.630000	72.000000	15.400000	WATER BASED	1987-06-03	1046	9999-12-31	2013-05-08	9256
26/4-1	2077.000000	0.000000	3.000000	13.400000	WATER BASED	1987-06-05	1046	9999-12-31	2013-05-08	9257
26/4-1	2077.000000	1.630000	0.000000	12.500000	WATER BASED	1987-06-04	1046	9999-12-31	2013-05-08	9258
26/4-1	2082.000000	1.920000	0.000000	0.000000	WATER BASED	1987-06-10	1046	9999-12-31	2013-05-08	9259
26/4-1	2108.000000	1.600000	4.000000	13.000000	WATER BASED	1987-06-10	1046	9999-12-31	2013-05-08	9260
26/4-1	2177.000000	1.920000	0.000000	15.400000	WATER BASED	1987-06-10	1046	9999-12-31	2013-05-08	9261
26/4-1	2238.000000	1.580000	4.000000	15.800000	WATER BASED	1987-06-10	1046	9999-12-31	2013-05-08	9262
26/4-1	2252.000000	1.580000	5.000000	17.300000	WATER BASED	1987-06-10	1046	9999-12-31	2013-05-08	9263
26/4-1	2253.000000	1.350000	0.000000	13.400000	WATER BASED	1987-06-11	1046	9999-12-31	2013-05-08	9264
26/4-1	2270.000000	1.300000	0.000000	11.000000	WATER BASED	1987-06-12	1046	9999-12-31	2013-05-08	9265
26/4-1	2294.000000	1.300000	0.000000	13.900000	WATER BASED	1987-06-15	1046	9999-12-31	2013-05-08	9266
26/4-1	2294.000000	1.300000	0.000000	13.000000	WATER BASED	1987-06-15	1046	9999-12-31	2013-05-08	9267
26/4-1	2370.000000	1.300000	0.000000	13.900000	WATER BASED	1987-06-15	1046	9999-12-31	2013-05-08	9268
26/4-1	2448.000000	1.300000	47.000000	12.000000	WATER BASED	1987-06-16	1046	9999-12-31	2013-05-08	9269
26/4-1	2527.000000	1.300000	0.000000	12.000000	WATER BASED	1987-06-17	1046	9999-12-31	2013-05-08	9270
26/4-1	2563.000000	1.210000	0.000000	7.700000	WATER BASED	1987-07-17	1046	9999-12-31	2013-05-08	9271
26/4-1	2603.000000	1.300000	42.000000	10.600000	WATER BASED	1987-06-18	1046	9999-12-31	2013-05-08	9272
26/4-1	2680.000000	1.330000	40.000000	10.100000	WATER BASED	1987-06-24	1046	9999-12-31	2013-05-08	9273
26/4-1	2680.000000	1.330000	42.000000	10.600000	WATER BASED	1987-06-23	1046	9999-12-31	2013-05-08	9274
26/4-1	2680.000000	1.300000	41.000000	10.600000	WATER BASED	1987-06-19	1046	9999-12-31	2013-05-08	9275
26/4-1	2680.000000	1.330000	41.000000	10.600000	WATER BASED	1987-06-23	1046	9999-12-31	2013-05-08	9276
26/4-1	2681.000000	1.200000	39.000000	10.100000	WATER BASED	1987-06-24	1046	9999-12-31	2013-05-08	9277
26/4-1	2738.000000	1.200000	30.000000	7.200000	WATER BASED	1987-06-25	1046	9999-12-31	2013-05-08	9278
26/4-1	2781.000000	1.200000	37.000000	9.100000	WATER BASED	1987-06-26	1046	9999-12-31	2013-05-08	9279
26/4-1	2898.000000	1.200000	27.000000	8.200000	WATER BASED	1987-06-30	1046	9999-12-31	2013-05-08	9280
26/4-1	3003.000000	1.200000	39.000000	8.600000	WATER BASED	1987-06-30	1046	9999-12-31	2013-05-08	9281
26/4-1	3106.000000	1.200000	36.000000	7.700000	WATER BASED	1987-06-30	1046	9999-12-31	2013-05-08	9282
26/4-1	3227.000000	1.200000	36.000000	7.700000	WATER BASED	1987-06-30	1046	9999-12-31	2013-05-08	9283
26/4-1	3270.000000	1.200000	37.000000	8.200000	WATER BASED	1987-07-01	1046	9999-12-31	2013-05-08	9284
26/4-1	3308.000000	1.880000	0.000000	8.200000	WATER BASED	1987-07-02	1046	9999-12-31	2013-05-08	9285
26/4-1	3308.000000	1.150000	0.000000	8.200000	WATER BASED	1987-07-03	1046	9999-12-31	2013-05-08	9286
26/4-1	3308.000000	1.150000	19.000000	80.600000	WATER BASED	1987-07-06	1046	9999-12-31	2013-05-08	9287
26/4-1	3320.000000	1.150000	0.000000	8.600000	WATER BASED	1987-07-06	1046	9999-12-31	2013-05-08	9288
26/4-1	3427.000000	1.150000	0.000000	7.700000	WATER BASED	1987-07-06	1046	9999-12-31	2013-05-08	9289
26/4-1	3542.000000	1.150000	0.000000	18.000000	WATER BASED	1987-07-07	1046	9999-12-31	2013-05-08	9290
26/4-1	3624.000000	1.170000	0.000000	8.200000	WATER BASED	1987-07-13	1046	9999-12-31	2013-05-08	9291
26/4-1	3667.000000	1.170000	0.000000	7.700000	WATER BASED	1987-07-13	1046	9999-12-31	2013-05-08	9292
26/4-1	3690.000000	1.170000	0.000000	9.100000	WATER BASED	1987-07-13	1046	9999-12-31	2013-05-08	9293
26/4-1	3690.000000	1.200000	0.000000	8.200000	WATER BASED	1987-07-13	1046	9999-12-31	2013-05-08	9294
26/4-1	3690.000000	1.170000	0.000000	9.100000	WATER BASED	1987-07-13	1046	9999-12-31	2013-05-08	9295
26/4-1	3690.000000	1.200000	0.000000	9.100000	WATER BASED	1987-07-14	1046	9999-12-31	2013-05-08	9296
26/4-1	3690.000000	1.210000	0.000000	9.100000	WATER BASED	1987-07-14	1046	9999-12-31	2013-05-08	9297
26/4-1	3690.000000	1.210000	0.000000	8.200000	WATER BASED	1987-07-15	1046	9999-12-31	2013-05-08	9298
26/4-2	206.000000	1.200000	1.000000	0.000000	DISP.MUD	9999-12-31	4925	9999-12-31	2013-05-08	9299
26/4-2	596.000000	1.050000	0.000000	0.000000	DISP.MUD	9999-12-31	4925	9999-12-31	2013-05-08	9300
26/4-2	1204.000000	1.310000	25.000000	0.000000	GLYCOL MUD	9999-12-31	4925	9999-12-31	2013-05-08	9301
26/4-2	1279.000000	1.310000	23.000000	0.000000	GLYCOL MUD	9999-12-31	4925	9999-12-31	2013-05-08	9302
26/4-2	2302.000000	1.310000	24.000000	0.000000	GLYCOL MUD	9999-12-31	4925	9999-12-31	2013-05-08	9303
29/3-1	204.000000	1.050000	10.000000	20.000000	WATER BASED	1986-05-23	904	9999-12-31	2013-05-08	9304
29/3-1	204.000000	1.050000	10.000000	0.000000	WATER BASED	1986-05-20	904	9999-12-31	2013-05-08	9305
29/3-1	208.000000	1.050000	10.000000	20.000000	WATER BASED	1986-05-21	904	9999-12-31	2013-05-08	9306
29/3-1	295.000000	1.120000	17.000000	26.000000	WATER BASED	1986-05-23	904	9999-12-31	2013-05-08	9307
29/3-1	760.000000	1.130000	17.000000	26.000000	WATER BASED	1986-05-23	904	9999-12-31	2013-05-08	9308
29/3-1	770.000000	1.130000	17.000000	26.000000	WATER BASED	1986-05-23	904	9999-12-31	2013-05-08	9309
29/3-1	770.000000	1.100000	17.000000	7.000000	WATER BASED	1986-06-15	904	9999-12-31	2013-05-08	9310
29/3-1	770.000000	1.150000	17.000000	11.300000	WATER BASED	1986-06-10	904	9999-12-31	2013-05-08	9311
29/3-1	770.000000	1.150000	15.000000	10.000000	WATER BASED	1986-06-08	904	9999-12-31	2013-05-08	9312
29/3-1	770.000000	1.150000	17.000000	10.800000	WATER BASED	1986-06-08	904	9999-12-31	2013-05-08	9313
29/3-1	770.000000	1.050000	10.000000	10.000000	WATER BASED	1986-06-11	904	9999-12-31	2013-05-08	9314
29/3-1	770.000000	1.150000	17.000000	11.300000	WATER BASED	1986-06-09	904	9999-12-31	2013-05-08	9315
29/3-1	931.000000	1.100000	16.000000	6.700000	WATER BASED	1986-06-15	904	9999-12-31	2013-05-08	9316
29/3-1	1471.000000	1.140000	18.000000	10.500000	WATER BASED	1986-06-15	904	9999-12-31	2013-05-08	9317
29/3-1	1583.000000	1.140000	18.000000	10.500000	WATER BASED	1986-06-15	904	9999-12-31	2013-05-08	9318
29/3-1	1782.000000	1.200000	22.000000	11.000000	WATER BASED	1986-06-16	904	9999-12-31	2013-05-08	9319
29/3-1	1944.000000	1.200000	20.000000	10.500000	WATER BASED	1986-06-17	904	9999-12-31	2013-05-08	9320
29/3-1	2035.000000	1.220000	19.000000	9.600000	WATER BASED	1986-06-18	904	9999-12-31	2013-05-08	9321
29/3-1	2169.000000	1.210000	26.000000	11.500000	WATER BASED	1986-06-19	904	9999-12-31	2013-05-08	9322
29/3-1	2252.000000	1.300000	21.000000	9.000000	WATER BASED	1986-06-29	904	9999-12-31	2013-05-08	9323
29/3-1	2252.000000	1.300000	21.000000	9.000000	WATER BASED	1986-06-26	904	9999-12-31	2013-05-08	9324
29/3-1	2265.000000	1.300000	2.100000	9.000000	WATER BASED	1986-06-25	904	9999-12-31	2013-05-08	9325
29/3-1	2265.000000	1.250000	19.000000	9.000000	WATER BASED	1986-06-23	904	9999-12-31	2013-05-08	9326
29/3-1	2265.000000	1.200000	26.000000	12.400000	WATER BASED	1986-06-22	904	9999-12-31	2013-05-08	9327
29/3-1	2265.000000	1.230000	17.000000	8.000000	WATER BASED	1986-06-22	904	9999-12-31	2013-05-08	9328
29/3-1	2265.000000	1.300000	21.000000	9.000000	WATER BASED	1986-06-24	904	9999-12-31	2013-05-08	9329
29/3-1	2280.000000	1.300000	21.000000	9.000000	WATER BASED	1986-06-29	904	9999-12-31	2013-05-08	9330
29/3-1	2500.000000	1.350000	17.000000	6.500000	OIL BASED	1986-06-29	904	9999-12-31	2013-05-08	9331
29/3-1	2795.000000	1.350000	17.000000	13.000000	OIL BASED	1986-06-30	904	9999-12-31	2013-05-08	9332
29/3-1	3182.000000	1.470000	21.000000	7.000000	OIL BASED	1986-07-01	904	9999-12-31	2013-05-08	9333
29/3-1	3329.000000	1.500000	19.000000	8.000000	OIL BASED	1986-07-02	904	9999-12-31	2013-05-08	9334
29/3-1	3395.000000	1.500000	21.000000	7.500000	OIL BASED	1986-07-03	904	9999-12-31	2013-05-08	9335
29/3-1	3426.000000	1.500000	20.000000	7.000000	OIL BASED	1986-07-06	904	9999-12-31	2013-05-08	9336
29/3-1	3427.000000	1.580000	24.000000	9.100000	OIL BASED	1986-08-04	904	9999-12-31	2013-05-08	9337
29/3-1	3468.000000	1.500000	20.000000	9.000000	OIL BASED	1986-07-09	904	9999-12-31	2013-05-08	9338
29/3-1	3468.000000	1.500000	20.000000	9.500000	OIL BASED	1986-07-10	904	9999-12-31	2013-05-08	9339
29/3-1	3474.000000	1.500000	22.000000	9.000000	OIL BASED	1986-07-06	904	9999-12-31	2013-05-08	9340
29/3-1	3484.000000	1.500000	21.000000	8.500000	OIL BASED	1986-07-06	904	9999-12-31	2013-05-08	9341
29/3-1	3484.000000	1.500000	20.000000	10.000000	OIL BASED	1986-07-08	904	9999-12-31	2013-05-08	9342
29/3-1	3484.000000	1.500000	20.000000	10.000000	OIL BASED	1986-07-07	904	9999-12-31	2013-05-08	9343
29/3-1	3507.000000	1.500000	20.000000	9.500000	OIL BASED	1986-07-14	904	9999-12-31	2013-05-08	9344
29/3-1	3522.000000	1.600000	14.000000	13.000000	OIL BASED	1986-09-11	904	9999-12-31	2013-05-08	9345
29/3-1	3522.000000	1.600000	14.000000	13.000000	OIL BASED	1986-09-09	904	9999-12-31	2013-05-08	9346
29/3-1	3525.000000	1.510000	19.000000	9.000000	OIL BASED	1986-07-14	904	9999-12-31	2013-05-08	9347
29/3-1	3543.000000	1.510000	19.000000	9.000000	OIL BASED	1986-07-14	904	9999-12-31	2013-05-08	9348
29/3-1	3561.000000	1.460000	16.000000	9.000000	OIL BASED	1986-07-14	904	9999-12-31	2013-05-08	9349
29/3-1	3600.000000	1.590000	6.000000	27.000000	OIL BASED	1986-09-09	904	9999-12-31	2013-05-08	9350
29/3-1	3600.000000	1.600000	14.000000	13.000000	OIL BASED	1986-09-09	904	9999-12-31	2013-05-08	9351
29/3-1	3613.000000	1.460000	18.000000	8.000000	OIL BASED	1986-07-16	904	9999-12-31	2013-05-08	9352
29/3-1	3613.000000	1.460000	20.000000	7.000000	OIL BASED	1986-07-15	904	9999-12-31	2013-05-08	9353
29/3-1	3672.000000	1.460000	19.000000	8.000000	OIL BASED	1986-07-17	904	9999-12-31	2013-05-08	9354
29/3-1	3685.000000	1.550000	17.000000	7.700000	OIL BASED	1986-07-21	904	9999-12-31	2013-05-08	9355
29/3-1	3715.000000	1.550000	17.000000	7.700000	OIL BASED	1986-07-21	904	9999-12-31	2013-05-08	9356
29/3-1	3728.000000	1.560000	18.000000	8.600000	OIL BASED	1986-07-21	904	9999-12-31	2013-05-08	9357
29/3-1	3750.000000	1.590000	32.000000	8.000000	OIL BASED	1986-08-26	904	9999-12-31	2013-05-08	9358
29/3-1	3794.000000	1.560000	19.000000	9.000000	OIL BASED	1986-07-21	904	9999-12-31	2013-05-08	9359
29/3-1	3883.000000	1.560000	18.000000	7.700000	OIL BASED	1986-07-22	904	9999-12-31	2013-05-08	9360
29/3-1	3900.000000	1.590000	22.000000	8.000000	OIL BASED	1986-08-11	904	9999-12-31	2013-05-08	9361
29/3-1	3916.000000	1.590000	22.000000	8.000000	OIL BASED	1986-08-11	904	9999-12-31	2013-05-08	9362
29/3-1	3916.000000	1.590000	22.000000	8.000000	OIL BASED	1986-08-12	904	9999-12-31	2013-05-08	9363
29/3-1	3917.000000	1.590000	22.000000	8.000000	OIL BASED	1986-08-11	904	9999-12-31	2013-05-08	9364
29/3-1	3928.000000	1.560000	18.000000	8.600000	OIL BASED	1986-07-23	904	9999-12-31	2013-05-08	9365
29/3-1	3928.000000	1.560000	19.000000	8.600000	OIL BASED	1986-07-24	904	9999-12-31	2013-05-08	9366
29/3-1	3999.000000	1.560000	24.000000	10.500000	OIL BASED	1986-07-28	904	9999-12-31	2013-05-08	9367
29/3-1	4054.000000	1.560000	24.000000	9.100000	OIL BASED	1986-07-28	904	9999-12-31	2013-05-08	9368
29/3-1	4172.000000	1.560000	24.000000	9.100000	OIL BASED	1986-07-28	904	9999-12-31	2013-05-08	9369
29/3-1	4298.000000	1.580000	24.000000	10.500000	OIL BASED	1986-07-30	904	9999-12-31	2013-05-08	9370
29/3-1	4384.000000	1.580000	24.000000	9.600000	OIL BASED	1986-07-30	904	9999-12-31	2013-05-08	9371
29/3-1	4385.000000	1.580000	24.000000	9.600000	OIL BASED	1986-07-31	904	9999-12-31	2013-05-08	9372
29/3-1	4385.000000	1.580000	24.000000	9.600000	OIL BASED	1986-08-01	904	9999-12-31	2013-05-08	9373
29/3-1	4427.000000	1.580000	24.000000	8.100000	OIL BASED	1986-08-04	904	9999-12-31	2013-05-08	9374
29/3-1	4427.000000	1.580000	24.000000	9.100000	OIL BASED	1986-08-04	904	9999-12-31	2013-05-08	9375
29/3-1	4427.000000	1.590000	22.000000	7.600000	OIL BASED	1986-08-08	904	9999-12-31	2013-05-08	9376
29/3-1	4427.000000	1.590000	22.000000	7.600000	OIL BASED	1986-08-07	904	9999-12-31	2013-05-08	9377
29/3-1	4427.000000	1.590000	22.000000	7.600000	OIL BASED	1986-08-06	904	9999-12-31	2013-05-08	9378
29/3-1	4427.000000	1.580000	24.000000	9.100000	OIL BASED	1986-08-05	904	9999-12-31	2013-05-08	9379
29/6-1	400.000000	1.090000	85.000000	0.000000	waterbased	9999-12-31	375	9999-12-31	2013-05-08	9380
29/6-1	1200.000000	1.100000	40.000000	0.000000	waterbased	9999-12-31	375	9999-12-31	2013-05-08	9381
29/6-1	1570.000000	1.260000	43.000000	0.000000	waterbased	9999-12-31	375	9999-12-31	2013-05-08	9382
29/6-1	2100.000000	1.330000	60.000000	0.000000	waterbased	9999-12-31	375	9999-12-31	2013-05-08	9383
29/6-1	3000.000000	1.380000	46.000000	0.000000	waterbased	9999-12-31	375	9999-12-31	2013-05-08	9384
29/6-1	3950.000000	2.000000	56.000000	0.000000	waterbased	9999-12-31	375	9999-12-31	2013-05-08	9385
29/6-1	4460.000000	1.970000	55.000000	0.000000	waterbased	9999-12-31	375	9999-12-31	2013-05-08	9386
29/6-1	4750.000000	1.940000	60.000000	0.000000	waterbased	9999-12-31	375	9999-12-31	2013-05-08	9387
29/9-1	250.000000	1.060000	48.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9388
29/9-1	450.000000	1.100000	48.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9389
29/9-1	565.000000	1.040000	30.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9390
29/9-1	905.000000	1.060000	32.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9391
29/9-1	1050.000000	1.110000	47.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9392
29/9-1	1250.000000	1.120000	53.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9393
29/9-1	1550.000000	1.130000	50.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9394
29/9-1	1750.000000	1.140000	47.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9395
29/9-1	1920.000000	1.200000	49.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9396
29/9-1	2000.000000	1.250000	49.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9397
29/9-1	2120.000000	1.260000	46.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9398
29/9-1	2220.000000	1.320000	45.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9399
29/9-1	2250.000000	1.380000	52.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9400
29/9-1	2300.000000	1.390000	52.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9401
29/9-1	2400.000000	1.380000	52.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9402
29/9-1	2750.000000	1.420000	56.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9403
29/9-1	3700.000000	1.500000	45.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9404
29/9-1	3810.000000	1.530000	46.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9405
29/9-1	3860.000000	1.800000	52.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9406
29/9-1	3950.000000	1.970000	47.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9407
29/9-1	4050.000000	1.980000	30.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9408
29/9-1	4150.000000	2.020000	26.000000	0.000000	WATER BASED	9999-12-31	31	9999-12-31	2013-05-08	9409
3/4-1	254.000000	1.080000	5.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9410
3/4-1	375.000000	1.070000	5.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9411
3/4-1	506.000000	1.140000	7.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9412
3/4-1	1008.000000	1.370000	18.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9413
3/4-1	1250.000000	1.380000	20.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9414
3/4-1	1515.000000	1.400000	25.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9415
3/4-1	2297.000000	1.490000	24.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9416
3/4-1	2683.000000	1.500000	24.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9417
3/4-1	2724.000000	1.500000	23.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9418
3/4-1	2758.000000	1.500000	17.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9419
3/4-1	2776.000000	1.510000	29.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9420
3/4-1	3007.000000	1.500000	22.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9421
3/4-1	3107.000000	1.500000	22.000000	0.000000	WATER BASED	9999-12-31	2222	9999-12-31	2013-05-08	9422
3/5-1	166.000000	1.020000	95.000000	0.000000	seawater	9999-12-31	290	9999-12-31	2013-05-08	9423
3/5-1	480.000000	1.160000	55.000000	0.000000	seawater	9999-12-31	290	9999-12-31	2013-05-08	9424
3/5-1	2201.000000	1.250000	48.000000	0.000000	seawater	9999-12-31	290	9999-12-31	2013-05-08	9425
3/5-1	2560.000000	1.260000	49.000000	0.000000	seawater	9999-12-31	290	9999-12-31	2013-05-08	9426
3/5-1	2955.000000	1.480000	63.000000	0.000000	seawater	9999-12-31	290	9999-12-31	2013-05-08	9427
3/5-1	3425.000000	1.480000	45.000000	0.000000	seawater	9999-12-31	290	9999-12-31	2013-05-08	9428
3/5-2	133.000000	1.050000	60.000000	0.000000	seawater	9999-12-31	291	9999-12-31	2013-05-08	9429
3/5-2	476.000000	1.080000	59.000000	0.000000	seawater	9999-12-31	291	9999-12-31	2013-05-08	9430
3/5-2	1679.000000	1.240000	54.000000	0.000000	seawater	9999-12-31	291	9999-12-31	2013-05-08	9431
3/5-2	2273.000000	1.290000	61.000000	0.000000	seawater	9999-12-31	291	9999-12-31	2013-05-08	9432
3/5-2	2837.000000	1.310000	52.000000	0.000000	seawater	9999-12-31	291	9999-12-31	2013-05-08	9433
3/5-2	3108.000000	1.370000	56.000000	0.000000	seawater	9999-12-31	291	9999-12-31	2013-05-08	9434
3/5-2	3622.000000	1.500000	63.000000	0.000000	seawater	9999-12-31	291	9999-12-31	2013-05-08	9435
3/5-2	3825.000000	1.540000	62.000000	0.000000	seawater	9999-12-31	291	9999-12-31	2013-05-08	9436
3/6-1	180.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	4117	9999-12-31	2013-05-08	9437
3/6-1	708.000000	1.120000	4.000000	0.000000	SW/BENTONITE	9999-12-31	4117	9999-12-31	2013-05-08	9438
3/6-1	973.000000	1.200000	4.000000	0.000000	SW/BENTONITE	9999-12-31	4117	9999-12-31	2013-05-08	9439
3/6-1	1047.000000	1.200000	6.000000	0.000000	SW/BENTONITE	9999-12-31	4117	9999-12-31	2013-05-08	9440
3/6-1	1085.000000	1.300000	19.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4117	9999-12-31	2013-05-08	9441
3/6-1	1632.000000	1.350000	26.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4117	9999-12-31	2013-05-08	9442
3/6-1	1961.000000	1.390000	27.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4117	9999-12-31	2013-05-08	9443
3/6-1	2008.000000	1.390000	27.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4117	9999-12-31	2013-05-08	9444
3/6-1	2136.000000	1.390000	25.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4117	9999-12-31	2013-05-08	9445
3/6-1	2167.000000	1.350000	21.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4117	9999-12-31	2013-05-08	9446
3/7-1	1409.000000	1.330000	0.000000	0.000000	waterbased	9999-12-31	292	9999-12-31	2013-05-08	9447
3/7-1	2447.000000	1.390000	0.000000	0.000000	waterbased	9999-12-31	292	9999-12-31	2013-05-08	9448
3/7-1	2635.000000	1.380000	0.000000	0.000000	waterbased	9999-12-31	292	9999-12-31	2013-05-08	9449
3/7-1	3009.000000	1.350000	0.000000	0.000000	waterbased	9999-12-31	292	9999-12-31	2013-05-08	9450
3/7-1	3186.000000	1.670000	0.000000	0.000000	waterbased	9999-12-31	292	9999-12-31	2013-05-08	9451
3/7-1	3227.000000	1.670000	0.000000	0.000000	waterbased	9999-12-31	292	9999-12-31	2013-05-08	9452
3/7-2	170.000000	1.150000	0.000000	0.000000	seawater	9999-12-31	220	9999-12-31	2013-05-08	9453
3/7-2	350.000000	1.190000	0.000000	0.000000	seawater	9999-12-31	220	9999-12-31	2013-05-08	9454
3/7-2	1140.000000	1.190000	55.000000	0.000000	waterbased	9999-12-31	220	9999-12-31	2013-05-08	9455
3/7-2	2450.000000	1.400000	33.000000	0.000000	waterbased	9999-12-31	220	9999-12-31	2013-05-08	9456
3/7-2	2805.000000	1.500000	36.000000	0.000000	waterbased	9999-12-31	220	9999-12-31	2013-05-08	9457
3/7-2	3050.000000	1.520000	32.000000	0.000000	waterbased	9999-12-31	220	9999-12-31	2013-05-08	9458
3/7-2	3550.000000	1.650000	65.000000	0.000000	waterbased	9999-12-31	220	9999-12-31	2013-05-08	9459
3/7-2	3930.000000	1.700000	70.000000	0.000000	waterbased	9999-12-31	220	9999-12-31	2013-05-08	9460
3/7-3	742.000000	1.130000	0.000000	0.000000	waterbased	9999-12-31	293	9999-12-31	2013-05-08	9461
3/7-3	1027.000000	1.190000	0.000000	0.000000	waterbased	9999-12-31	293	9999-12-31	2013-05-08	9462
3/7-3	2019.000000	1.590000	0.000000	0.000000	waterbased	9999-12-31	293	9999-12-31	2013-05-08	9463
3/7-3	2814.000000	1.630000	0.000000	0.000000	waterbased	9999-12-31	293	9999-12-31	2013-05-08	9464
3/7-3	3241.000000	1.630000	0.000000	0.000000	waterbased	9999-12-31	293	9999-12-31	2013-05-08	9465
3/7-3	3540.000000	1.640000	0.000000	0.000000	waterbased	9999-12-31	293	9999-12-31	2013-05-08	9466
3/7-4	187.000000	1.070000	0.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9467
3/7-4	346.000000	1.070000	0.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9468
3/7-4	622.000000	1.320000	50.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9469
3/7-4	1011.000000	1.340000	54.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9470
3/7-4	1182.000000	1.330000	56.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9471
3/7-4	1363.000000	1.330000	53.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9472
3/7-4	1649.000000	1.330000	65.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9473
3/7-4	2110.000000	1.500000	62.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9474
3/7-4	2450.000000	1.500000	53.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9475
3/7-4	2889.000000	1.520000	53.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9476
3/7-4	3068.000000	1.500000	45.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9477
3/7-4	3256.000000	1.520000	40.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9478
3/7-4	3390.000000	1.560000	46.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9479
3/7-4	3405.000000	1.550000	48.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9480
3/7-4	3416.000000	1.550000	38.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9481
3/7-4	3506.000000	1.550000	40.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9482
3/7-4	3571.000000	1.550000	40.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9483
3/7-4	3723.000000	1.530000	53.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9484
3/7-4	3725.000000	1.540000	48.000000	0.000000	WATER BASED	9999-12-31	1467	9999-12-31	2013-05-08	9485
3/7-5	610.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9486
3/7-5	682.000000	1.250000	68.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9487
3/7-5	914.000000	1.300000	54.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9488
3/7-5	1186.000000	1.300000	51.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9489
3/7-5	1546.000000	1.300000	59.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9490
3/7-5	1725.000000	1.300000	58.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9491
3/7-5	2737.000000	1.430000	56.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9492
3/7-5	2781.000000	1.480000	61.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9493
3/7-5	3040.000000	1.510000	62.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9494
3/7-5	3085.000000	1.560000	70.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9495
3/7-5	3085.000000	1.560000	67.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9496
3/7-5	3199.000000	1.500000	65.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9497
3/7-5	3271.000000	1.500000	58.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9498
3/7-5	3337.000000	1.550000	58.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9499
3/7-5	3337.000000	1.500000	63.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9500
3/7-5	3508.000000	1.570000	61.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9501
3/7-5	3666.000000	1.600000	52.000000	0.000000	WATER BASED	9999-12-31	1759	9999-12-31	2013-05-08	9502
3/7-7	655.000000	1.300000	16.000000	0.000000	Polymer	9999-12-31	5932	9999-12-31	2013-05-08	9503
3/7-7	955.000000	1.390000	20.000000	0.000000	Polymer	9999-12-31	5932	9999-12-31	2013-05-08	9504
3/7-7	1308.000000	1.390000	24.000000	0.000000	Polymer	9999-12-31	5932	9999-12-31	2013-05-08	9505
3/7-7	1465.000000	1.560000	42.000000	0.000000	Oil (regular)	9999-12-31	5932	9999-12-31	2013-05-08	9506
3/7-7	3097.000000	1.560000	21.000000	0.000000	Oil (regular)	9999-12-31	5932	9999-12-31	2013-05-08	9507
3/7-7	3122.000000	1.560000	32.000000	0.000000	Oil (regular)	9999-12-31	5932	9999-12-31	2013-05-08	9508
3/7-7	3278.000000	1.620000	40.000000	0.000000	Oil (regular)	9999-12-31	5932	9999-12-31	2013-05-08	9509
3/7-7	3434.000000	1.570000	33.000000	0.000000	Oil (regular)	9999-12-31	5932	9999-12-31	2013-05-08	9510
3/7-7	3596.000000	1.600000	33.000000	0.000000	Oil (regular)	9999-12-31	5932	9999-12-31	2013-05-08	9511
3/7-7	3930.000000	1.610000	37.000000	0.000000	Oil (regular)	9999-12-31	5932	9999-12-31	2013-05-08	9512
3/8-1	194.000000	1.070000	0.000000	0.000000	Water	9999-12-31	6476	9999-12-31	2013-05-08	9513
3/8-1	260.000000	1.090000	0.000000	0.000000	Water	9999-12-31	6476	9999-12-31	2013-05-08	9514
3/8-1	1029.000000	1.080000	0.000000	0.000000	Water	9999-12-31	6476	9999-12-31	2013-05-08	9515
3/8-1	1203.000000	1.140000	0.000000	0.000000	Water	9999-12-31	6476	9999-12-31	2013-05-08	9516
3/8-1	1203.000000	1.080000	0.000000	0.000000	Water	9999-12-31	6476	9999-12-31	2013-05-08	9517
3/8-1	1703.000000	1.580000	0.000000	0.000000	Synthetic	9999-12-31	6476	9999-12-31	2013-05-08	9518
3/8-1	2827.000000	1.500000	0.000000	0.000000	Synthetic	9999-12-31	6476	9999-12-31	2013-05-08	9519
3/8-1	3068.000000	1.500000	0.000000	0.000000	Synthetic	9999-12-31	6476	9999-12-31	2013-05-08	9520
3/8-1	3168.000000	1.640000	0.000000	0.000000	Synthetic	9999-12-31	6476	9999-12-31	2013-05-08	9521
3/8-1	3339.000000	1.620000	0.000000	0.000000	Synthetic	9999-12-31	6476	9999-12-31	2013-05-08	9522
3/8-1	4060.000000	1.620000	0.000000	0.000000	Synthetic	9999-12-31	6476	9999-12-31	2013-05-08	9523
30/10-1	1096.000000	1.170000	0.000000	0.000000	water/spers	9999-12-31	391	9999-12-31	2013-05-08	9524
30/10-1	1976.000000	1.170000	0.000000	0.000000	water/spers	9999-12-31	391	9999-12-31	2013-05-08	9525
30/10-1	2356.000000	1.180000	0.000000	0.000000	water/spers	9999-12-31	391	9999-12-31	2013-05-08	9526
30/10-1	2565.000000	1.190000	0.000000	0.000000	water/spers	9999-12-31	391	9999-12-31	2013-05-08	9527
30/10-1	2916.000000	1.490000	0.000000	0.000000	water/spers	9999-12-31	391	9999-12-31	2013-05-08	9528
30/10-2	243.000000	1.220000	0.000000	0.000000	water based	9999-12-31	392	9999-12-31	2013-05-08	9529
30/10-2	1911.000000	1.170000	0.000000	0.000000	water based	9999-12-31	392	9999-12-31	2013-05-08	9530
30/10-2	2072.000000	1.310000	0.000000	0.000000	water based	9999-12-31	392	9999-12-31	2013-05-08	9531
30/10-2	2134.000000	1.310000	0.000000	0.000000	water based	9999-12-31	392	9999-12-31	2013-05-08	9532
30/10-2	2315.000000	1.230000	0.000000	0.000000	water based	9999-12-31	392	9999-12-31	2013-05-08	9533
30/10-2	2659.000000	1.290000	0.000000	0.000000	water based	9999-12-31	392	9999-12-31	2013-05-08	9534
30/10-2	2754.000000	1.310000	0.000000	0.000000	water based	9999-12-31	392	9999-12-31	2013-05-08	9535
30/10-3	720.000000	1.020000	0.000000	0.000000	seawater	9999-12-31	393	9999-12-31	2013-05-08	9536
30/10-3	1645.000000	1.140000	0.000000	0.000000	seawater	9999-12-31	393	9999-12-31	2013-05-08	9537
30/10-3	2054.000000	1.300000	0.000000	0.000000	seawater	9999-12-31	393	9999-12-31	2013-05-08	9538
30/10-3	2255.000000	1.280000	0.000000	0.000000	seawater	9999-12-31	393	9999-12-31	2013-05-08	9539
30/10-4	169.000000	1.040000	0.000000	0.000000	seawater	9999-12-31	394	9999-12-31	2013-05-08	9540
30/10-4	550.000000	1.110000	0.000000	0.000000	seawater	9999-12-31	394	9999-12-31	2013-05-08	9541
30/10-4	599.000000	1.100000	0.000000	0.000000	seawater	9999-12-31	394	9999-12-31	2013-05-08	9542
30/10-4	745.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	394	9999-12-31	2013-05-08	9543
30/10-5	222.000000	1.070000	0.000000	22.000000	seawater	9999-12-31	395	9999-12-31	2013-05-08	9544
30/10-5	733.000000	1.070000	0.000000	26.000000	seawater	9999-12-31	395	9999-12-31	2013-05-08	9545
30/10-5	1226.000000	1.200000	0.000000	14.000000	seawater	9999-12-31	395	9999-12-31	2013-05-08	9546
30/10-5	1729.000000	1.240000	75.000000	18.000000	water	9999-12-31	395	9999-12-31	2013-05-08	9547
30/10-5	2072.000000	1.230000	45.000000	10.000000	water	9999-12-31	395	9999-12-31	2013-05-08	9548
30/10-5	2697.000000	1.240000	43.000000	12.000000	water	9999-12-31	395	9999-12-31	2013-05-08	9549
30/10-5	3112.000000	1.650000	47.000000	16.000000	water	9999-12-31	395	9999-12-31	2013-05-08	9550
30/10-5	4399.000000	1.970000	45.000000	13.000000	water	9999-12-31	395	9999-12-31	2013-05-08	9551
30/10-5	4636.000000	2.040000	50.000000	14.000000	water	9999-12-31	395	9999-12-31	2013-05-08	9552
30/10-5	5184.000000	2.070000	65.000000	26.000000	water	9999-12-31	395	9999-12-31	2013-05-08	9553
30/10-6	100.000000	1.890000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9554
30/10-6	105.000000	1.890000	0.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9555
30/10-6	130.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9556
30/10-6	133.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9557
30/10-6	150.000000	1.700000	20.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9558
30/10-6	205.000000	1.050000	1.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9559
30/10-6	300.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9560
30/10-6	305.000000	1.060000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9561
30/10-6	324.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9562
30/10-6	335.000000	1.090000	15.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9563
30/10-6	500.000000	1.050000	10.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9564
30/10-6	643.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9565
30/10-6	850.000000	1.080000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9566
30/10-6	870.000000	1.090000	16.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9567
30/10-6	1170.000000	1.100000	27.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9568
30/10-6	1300.000000	1.500000	15.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9569
30/10-6	1350.000000	1.110000	16.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9570
30/10-6	1370.000000	1.120000	17.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9571
30/10-6	1377.000000	1.090000	15.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9572
30/10-6	1385.000000	1.110000	15.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9573
30/10-6	1420.000000	1.120000	6.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9574
30/10-6	1500.000000	1.890000	30.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9575
30/10-6	1544.000000	1.150000	24.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9576
30/10-6	1778.000000	1.250000	22.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9577
30/10-6	1846.000000	1.300000	27.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9578
30/10-6	1986.000000	1.350000	26.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9579
30/10-6	2107.000000	1.360000	44.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9580
30/10-6	2179.000000	1.360000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9581
30/10-6	2187.000000	1.370000	26.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9582
30/10-6	2193.000000	1.370000	35.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9583
30/10-6	2246.000000	1.370000	32.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9584
30/10-6	2273.000000	1.370000	39.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9585
30/10-6	2364.000000	1.370000	39.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9586
30/10-6	2471.000000	1.370000	37.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9587
30/10-6	2525.000000	1.360000	50.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9588
30/10-6	2525.000000	1.360000	37.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9589
30/10-6	2534.000000	1.890000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9590
30/10-6	2550.000000	1.890000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9591
30/10-6	2563.000000	1.360000	37.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9592
30/10-6	2584.000000	1.360000	29.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9593
30/10-6	2642.000000	1.360000	26.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9594
30/10-6	2666.000000	1.360000	26.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9595
30/10-6	2692.000000	1.360000	27.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9596
30/10-6	2750.000000	1.360000	24.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9597
30/10-6	2800.000000	1.890000	0.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9598
30/10-6	2860.000000	1.360000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9599
30/10-6	2891.000000	1.590000	19.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9600
30/10-6	2947.000000	1.360000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9601
30/10-6	2970.000000	1.360000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9602
30/10-6	3055.000000	1.360000	24.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9603
30/10-6	3076.000000	1.360000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9604
30/10-6	3083.000000	1.380000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9605
30/10-6	3200.000000	1.370000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9606
30/10-6	3220.000000	1.370000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9607
30/10-6	3221.000000	1.370000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9608
30/10-6	3230.000000	1.370000	24.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9609
30/10-6	3288.000000	1.370000	22.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9610
30/10-6	3636.000000	1.370000	21.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9611
30/10-6	3644.000000	1.400000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9612
30/10-6	3692.000000	1.430000	20.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9613
30/10-6	3755.000000	1.430000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9614
30/10-6	3795.000000	1.470000	24.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9615
30/10-6	3816.000000	1.480000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9616
30/10-6	3816.000000	1.480000	26.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9617
30/10-6	4006.000000	1.720000	24.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9618
30/10-6	4060.000000	1.720000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9619
30/10-6	4124.000000	1.740000	26.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9620
30/10-6	4150.000000	2.140000	36.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9621
30/10-6	4167.000000	1.750000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9622
30/10-6	4183.000000	2.140000	37.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9623
30/10-6	4210.000000	1.750000	26.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9624
30/10-6	4260.000000	1.750000	22.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9625
30/10-6	4292.000000	1.750000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9626
30/10-6	4321.000000	1.780000	20.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9627
30/10-6	4336.000000	1.800000	20.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9628
30/10-6	4353.000000	1.850000	22.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9629
30/10-6	4368.000000	1.850000	21.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9630
30/10-6	4371.000000	1.890000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9631
30/10-6	4373.000000	1.960000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9632
30/10-6	4388.000000	1.950000	23.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9633
30/10-6	4433.000000	1.960000	28.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9634
30/10-6	4440.000000	1.950000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9635
30/10-6	4458.000000	1.950000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9636
30/10-6	4493.000000	1.950000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9637
30/10-6	4500.000000	1.950000	26.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9638
30/10-6	4524.000000	1.950000	25.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9639
30/10-6	4535.000000	2.140000	36.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9640
30/10-6	4553.000000	2.140000	36.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9641
30/10-6	4574.000000	1.950000	26.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9642
30/10-6	4619.000000	1.950000	26.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9643
30/10-6	4663.000000	2.080000	30.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9644
30/10-6	4672.000000	2.100000	27.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9645
30/10-6	4724.000000	2.140000	33.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9646
30/10-6	4725.000000	2.140000	0.500000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9647
30/10-6	4730.000000	2.100000	44.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9648
30/10-6	4794.000000	1.950000	24.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9649
30/10-6	4825.000000	2.100000	27.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9650
30/10-6	4845.000000	2.100000	30.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9651
30/10-6	4860.000000	2.100000	38.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9652
30/10-6	4865.000000	2.100000	42.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9653
30/10-6	4910.000000	2.100000	38.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9654
30/10-6	4946.000000	2.100000	42.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9655
30/10-6	4968.000000	2.100000	30.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9656
30/10-6	4970.000000	2.100000	36.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9657
30/10-6	4980.000000	2.100000	48.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9658
30/10-6	4985.000000	2.100000	48.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9659
30/10-6	4985.000000	2.100000	46.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9660
30/10-6	5048.000000	2.100000	36.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9661
30/10-6	5065.000000	2.100000	53.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9662
30/10-6	5075.000000	2.100000	40.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9663
30/10-6	5078.000000	2.040000	32.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9664
30/10-6	5097.000000	2.040000	54.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9665
30/10-6	5151.000000	2.040000	48.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9666
30/10-6	5177.000000	2.040000	55.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9667
30/10-6	5250.000000	2.040000	48.000000	0.000000	WATER BASED	9999-12-31	1816	9999-12-31	2013-05-08	9668
30/10-7	160.000000	1.020000	0.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9669
30/10-7	300.000000	1.020000	0.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9670
30/10-7	433.000000	1.050000	22.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9671
30/10-7	505.000000	1.020000	0.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9672
30/10-7	540.000000	1.050000	14.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9673
30/10-7	658.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9674
30/10-7	800.000000	1.020000	0.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9675
30/10-7	809.000000	1.050000	22.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9676
30/10-7	880.000000	1.070000	14.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9677
30/10-7	1180.000000	1.080000	11.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9678
30/10-7	1250.000000	1.100000	12.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9679
30/10-7	1270.000000	1.100000	11.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9680
30/10-7	1570.000000	1.250000	21.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9681
30/10-7	1761.000000	1.310000	23.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9682
30/10-7	1868.000000	1.320000	17.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9683
30/10-7	1950.000000	1.310000	19.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9684
30/10-7	2143.000000	1.310000	19.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9685
30/10-7	2182.000000	1.320000	17.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9686
30/10-7	2199.000000	1.140000	16.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9687
30/10-7	2211.000000	1.140000	15.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9688
30/10-7	2235.000000	1.140000	16.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9689
30/10-7	2612.000000	1.150000	18.000000	0.000000	WATER BASED	9999-12-31	2015	9999-12-31	2013-05-08	9690
30/11-5	190.000000	1.050000	0.000000	0.000000	SEAWATER	9999-12-31	2986	9999-12-31	2013-05-08	9691
30/11-5	214.000000	1.050000	0.000000	0.000000	SEAWATER	9999-12-31	2986	9999-12-31	2013-05-08	9692
30/11-5	1430.000000	1.050000	0.000000	0.000000	SEAWATER	9999-12-31	2986	9999-12-31	2013-05-08	9693
30/11-5	1430.000000	1.050000	0.000000	0.000000	SEAWATER	9999-12-31	2986	9999-12-31	2013-05-08	9694
30/11-5	2274.000000	1.410000	54.000000	0.000000	BARASILC	9999-12-31	2986	9999-12-31	2013-05-08	9695
30/11-5	2597.000000	1.390000	56.000000	0.000000	BARASILC	9999-12-31	2986	9999-12-31	2013-05-08	9696
30/11-5	3167.000000	1.320000	60.000000	0.000000	BARASILC	9999-12-31	2986	9999-12-31	2013-05-08	9697
30/11-5	3726.000000	1.350000	87.000000	0.000000	BARASILC	9999-12-31	2986	9999-12-31	2013-05-08	9698
30/11-6 S	132.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	4950	9999-12-31	2013-05-08	9699
30/11-6 S	1415.000000	1.300000	0.000000	0.000000	waterbased	9999-12-31	4950	9999-12-31	2013-05-08	9700
30/11-6 S	2700.000000	1.450000	0.000000	0.000000	Glydril WBM	9999-12-31	4950	9999-12-31	2013-05-08	9701
30/11-6 S	3550.000000	1.450000	0.000000	0.000000	Glydril WBM	9999-12-31	4950	9999-12-31	2013-05-08	9702
30/11-7	1334.000000	1.390000	22.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9703
30/11-7	2881.000000	1.950000	63.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9704
30/11-7	2909.000000	1.480000	27.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9705
30/11-7	3014.000000	1.480000	28.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9706
30/11-7	3014.000000	1.480000	28.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9707
30/11-7	3117.000000	1.760000	36.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9708
30/11-7	3658.000000	1.850000	44.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9709
30/11-7	3661.000000	1.850000	46.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9710
30/11-7	3765.000000	1.920000	56.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9711
30/11-7	3983.000000	1.950000	57.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9712
30/11-7	4024.000000	1.950000	56.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9713
30/11-7	4053.000000	1.950000	56.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9714
30/11-7	4067.000000	1.950000	57.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9715
30/11-7	4067.000000	1.950000	56.000000	0.000000	Versatec	9999-12-31	5919	9999-12-31	2013-05-08	9716
30/11-7 A	194.000000	1.480000	30.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9717
30/11-7 A	660.000000	1.480000	30.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9718
30/11-7 A	2720.000000	1.480000	26.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9719
30/11-7 A	2982.000000	1.530000	40.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9720
30/11-7 A	3078.000000	1.610000	40.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9721
30/11-7 A	3343.000000	1.750000	40.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9722
30/11-7 A	3343.000000	1.600000	29.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9723
30/11-7 A	3419.000000	1.760000	42.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9724
30/11-7 A	3450.000000	1.830000	39.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9725
30/11-7 A	3562.000000	1.900000	44.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9726
30/11-7 A	3735.000000	1.890000	43.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9727
30/11-7 A	3865.000000	1.910000	47.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9728
30/11-7 A	3881.000000	1.900000	45.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9729
30/11-7 A	4022.000000	1.910000	47.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9730
30/11-7 A	4039.000000	1.910000	49.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9731
30/11-7 A	4096.000000	1.910000	48.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9732
30/11-7 A	4123.000000	1.910000	50.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9733
30/11-7 A	4250.000000	1.910000	53.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9734
30/11-7 A	4250.000000	1.910000	53.000000	0.000000	Versatec	9999-12-31	6085	9999-12-31	2013-05-08	9735
30/12-1	185.000000	1.410000	17.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9736
30/12-1	220.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9737
30/12-1	708.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9738
30/12-1	1006.000000	1.450000	17.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9739
30/12-1	1130.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9740
30/12-1	1769.000000	1.450000	33.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9741
30/12-1	1895.000000	1.450000	27.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9742
30/12-1	2151.000000	1.390000	34.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9743
30/12-1	2317.000000	1.390000	32.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9744
30/12-1	2500.000000	1.450000	27.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9745
30/12-1	2558.000000	1.450000	21.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9746
30/12-1	2648.000000	1.450000	22.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9747
30/12-1	2711.000000	1.450000	23.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9748
30/12-1	2791.000000	1.450000	24.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9749
30/12-1	2842.000000	1.450000	24.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9750
30/12-1	2961.000000	1.230000	20.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9751
30/12-1	2996.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9752
30/12-1	3315.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9753
30/12-1	3585.000000	1.210000	15.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9754
30/12-1	3641.000000	1.230000	18.000000	0.000000	WATER BASED	9999-12-31	2248	9999-12-31	2013-05-08	9755
30/2-1	210.000000	1.030000	100.000000	0.000000	waterbased	9999-12-31	72	9999-12-31	2013-05-08	9756
30/2-1	260.000000	1.060000	70.000000	0.000000	waterbased	9999-12-31	72	9999-12-31	2013-05-08	9757
30/2-1	1100.000000	1.100000	33.000000	0.000000	waterbased	9999-12-31	72	9999-12-31	2013-05-08	9758
30/2-1	1780.000000	1.240000	41.000000	0.000000	waterbased	9999-12-31	72	9999-12-31	2013-05-08	9759
30/2-1	2210.000000	1.700000	58.000000	0.000000	waterbased	9999-12-31	72	9999-12-31	2013-05-08	9760
30/2-1	2600.000000	1.770000	59.000000	0.000000	waterbased	9999-12-31	72	9999-12-31	2013-05-08	9761
30/2-1	3130.000000	1.800000	51.000000	0.000000	waterbased	9999-12-31	72	9999-12-31	2013-05-08	9762
30/2-1	3670.000000	1.890000	58.000000	0.000000	waterbased	9999-12-31	72	9999-12-31	2013-05-08	9763
30/2-1	3750.000000	1.910000	55.000000	0.000000	waterbased	9999-12-31	72	9999-12-31	2013-05-08	9764
30/2-4 S	272.000000	1.050000	0.000000	0.000000	spud mud	9999-12-31	5784	9999-12-31	2013-05-08	9765
30/2-4 S	1101.000000	1.100000	0.000000	0.000000	spud mud	9999-12-31	5784	9999-12-31	2013-05-08	9766
30/2-4 S	2329.000000	1.530000	0.000000	0.000000	XP-OBM	9999-12-31	5784	9999-12-31	2013-05-08	9767
30/2-4 S	4157.000000	1.750000	0.000000	0.000000	XP-OBM	9999-12-31	5784	9999-12-31	2013-05-08	9768
30/2-4 S	4325.000000	2.010000	0.000000	0.000000	XP-OBM	9999-12-31	5784	9999-12-31	2013-05-08	9769
30/3-1	212.000000	1.010000	54.000000	12.000000	seawater	9999-12-31	376	9999-12-31	2013-05-08	9770
30/3-1	987.000000	1.100000	55.000000	9.000000	seawater	9999-12-31	376	9999-12-31	2013-05-08	9771
30/3-1	2468.000000	1.660000	56.000000	14.000000	seawater	9999-12-31	376	9999-12-31	2013-05-08	9772
30/3-1	2787.000000	1.850000	60.000000	15.000000	seawater	9999-12-31	376	9999-12-31	2013-05-08	9773
30/3-1	3709.000000	1.850000	67.000000	16.000000	seawater	9999-12-31	376	9999-12-31	2013-05-08	9774
30/3-1 R	3796.000000	1.950000	56.000000	8.000000	seawater	9999-12-31	509	9999-12-31	2013-05-08	9775
30/3-1 R	4000.000000	1.900000	64.000000	8.000000	seawater	9999-12-31	509	9999-12-31	2013-05-08	9776
30/3-1 R	4220.000000	1.900000	74.000000	12.000000	seawater	9999-12-31	509	9999-12-31	2013-05-08	9777
30/3-1 R	4347.000000	1.910000	64.000000	12.000000	seawater	9999-12-31	509	9999-12-31	2013-05-08	9778
30/3-1 R	4421.000000	1.960000	68.000000	10.000000	seawater	9999-12-31	509	9999-12-31	2013-05-08	9779
30/3-10 S	632.000000	1.640000	30.000000	0.000000	Versatec	9999-12-31	6045	9999-12-31	2013-05-08	9780
30/3-10 S	1450.000000	1.550000	32.000000	0.000000	Versatec	9999-12-31	6045	9999-12-31	2013-05-08	9781
30/3-10 S	2122.000000	1.610000	34.000000	0.000000	Versatec	9999-12-31	6045	9999-12-31	2013-05-08	9782
30/3-10 S	2262.000000	1.610000	34.000000	0.000000	Versatec	9999-12-31	6045	9999-12-31	2013-05-08	9783
30/3-10 S	2440.000000	1.640000	25.000000	0.000000	Versatec	9999-12-31	6045	9999-12-31	2013-05-08	9784
30/3-10 S	2465.000000	1.640000	34.000000	0.000000	Versatec	9999-12-31	6045	9999-12-31	2013-05-08	9785
30/3-10 S	2757.000000	1.750000	38.000000	0.000000	Versatec	9999-12-31	6045	9999-12-31	2013-05-08	9786
30/3-10 S	3004.000000	1.760000	38.000000	0.000000	Versatec	9999-12-31	6045	9999-12-31	2013-05-08	9787
30/3-10 S	3484.000000	1.820000	38.000000	0.000000	Versatec	9999-12-31	6045	9999-12-31	2013-05-08	9788
30/3-10 S	3673.000000	1.820000	37.000000	0.000000	Versatec	9999-12-31	6045	9999-12-31	2013-05-08	9789
30/3-10 S	3689.000000	1.870000	60.000000	0.000000	Versatherm	9999-12-31	6045	9999-12-31	2013-05-08	9790
30/3-10 S	3871.000000	1.870000	60.000000	0.000000	Versatherm	9999-12-31	6045	9999-12-31	2013-05-08	9791
30/3-10 S	3945.000000	1.900000	62.000000	0.000000	Versatherm	9999-12-31	6045	9999-12-31	2013-05-08	9792
30/3-10 S	3945.000000	2.000000	72.000000	0.000000	Versatherm	9999-12-31	6045	9999-12-31	2013-05-08	9793
30/3-10 S	3945.000000	1.900000	60.000000	0.000000	Versatherm	9999-12-31	6045	9999-12-31	2013-05-08	9794
30/3-10 S	4037.000000	2.000000	67.000000	0.000000	Versatherm	9999-12-31	6045	9999-12-31	2013-05-08	9795
30/3-10 S	4115.000000	2.000000	66.000000	0.000000	Versatherm	9999-12-31	6045	9999-12-31	2013-05-08	9796
30/3-10 S	4168.000000	1.980000	71.000000	0.000000	Versatherm	9999-12-31	6045	9999-12-31	2013-05-08	9797
30/3-10 S	4168.000000	2.000000	66.000000	0.000000	Versatherm	9999-12-31	6045	9999-12-31	2013-05-08	9798
30/3-2	186.000000	1.050000	0.000000	0.000000	waterbased	9999-12-31	203	9999-12-31	2013-05-08	9799
30/3-2	709.000000	1.100000	0.000000	0.000000	waterbased	9999-12-31	203	9999-12-31	2013-05-08	9800
30/3-2 R	600.000000	1.100000	50.000000	0.000000	waterbased	9999-12-31	508	9999-12-31	2013-05-08	9801
30/3-2 R	1250.000000	1.200000	50.000000	0.000000	waterbased	9999-12-31	508	9999-12-31	2013-05-08	9802
30/3-2 R	1530.000000	1.300000	54.000000	0.000000	waterbased	9999-12-31	508	9999-12-31	2013-05-08	9803
30/3-2 R	2020.000000	1.400000	57.000000	0.000000	waterbased	9999-12-31	508	9999-12-31	2013-05-08	9804
30/3-2 R	3050.000000	1.250000	56.000000	0.000000	waterbased	9999-12-31	508	9999-12-31	2013-05-08	9805
30/3-2 R	3400.000000	1.250000	57.000000	0.000000	waterbased	9999-12-31	508	9999-12-31	2013-05-08	9806
30/3-4	606.000000	1.090000	42.000000	12.400000	WATER BASED	1985-02-11	460	9999-12-31	2013-05-08	9807
30/3-4	606.000000	1.090000	42.000000	12.400000	WATERBASED	1985-02-11	460	9999-12-31	2013-05-08	9808
30/3-4	719.000000	1.150000	60.000000	13.900000	WATERBASED	1985-03-17	460	9999-12-31	2013-05-08	9809
30/3-4	719.000000	1.150000	60.000000	13.900000	WATER BASED	1985-03-17	460	9999-12-31	2013-05-08	9810
30/3-4	792.000000	1.140000	52.000000	12.900000	WATER BASED	1985-02-13	460	9999-12-31	2013-05-08	9811
30/3-4	792.000000	1.140000	52.000000	12.900000	WATERBASED	1985-02-13	460	9999-12-31	2013-05-08	9812
30/3-4	860.000000	1.200000	62.000000	11.500000	WATERBASED	1985-03-03	460	9999-12-31	2013-05-08	9813
30/3-4	860.000000	1.200000	62.000000	11.500000	WATER BASED	1985-03-03	460	9999-12-31	2013-05-08	9814
30/3-4	932.000000	1.010000	69.000000	12.400000	WATER BASED	1985-03-17	460	9999-12-31	2013-05-08	9815
30/3-4	932.000000	1.010000	69.000000	12.400000	WATERBASED	1985-03-17	460	9999-12-31	2013-05-08	9816
30/3-4	1037.000000	1.140000	44.000000	9.600000	WATER BASED	1985-02-14	460	9999-12-31	2013-05-08	9817
30/3-4	1037.000000	1.140000	44.000000	9.600000	WATERBASED	1985-02-14	460	9999-12-31	2013-05-08	9818
30/3-4	1048.000000	1.210000	68.000000	10.500000	WATERBASED	1985-03-03	460	9999-12-31	2013-05-08	9819
30/3-4	1048.000000	1.210000	68.000000	10.500000	WATER BASED	1985-03-03	460	9999-12-31	2013-05-08	9820
30/3-4	1242.000000	1.150000	63.000000	12.900000	WATER BASED	1985-03-17	460	9999-12-31	2013-05-08	9821
30/3-4	1242.000000	1.150000	63.000000	12.900000	WATERBASED	1985-03-17	460	9999-12-31	2013-05-08	9822
30/3-4	1384.000000	1.200000	62.000000	15.300000	WATERBASED	1985-03-03	460	9999-12-31	2013-05-08	9823
30/3-4	1384.000000	1.200000	62.000000	15.300000	WATER BASED	1985-03-03	460	9999-12-31	2013-05-08	9824
30/3-4	1470.000000	1.130000	41.000000	9.100000	WATER BASED	1985-02-15	460	9999-12-31	2013-05-08	9825
30/3-4	1470.000000	1.130000	41.000000	9.100000	WATERBASED	1985-02-15	460	9999-12-31	2013-05-08	9826
30/3-4	1470.000000	1.150000	66.000000	14.800000	WATER BASED	1985-03-18	460	9999-12-31	2013-05-08	9827
30/3-4	1470.000000	1.150000	66.000000	14.800000	WATERBASED	1985-03-18	460	9999-12-31	2013-05-08	9828
30/3-4	1514.000000	1.150000	50.000000	15.000000	WATERBASED	1985-02-18	460	9999-12-31	2013-05-08	9829
30/3-4	1514.000000	1.150000	50.000000	15.000000	WATER BASED	1985-02-18	460	9999-12-31	2013-05-08	9830
30/3-4	1586.000000	1.200000	58.000000	13.900000	WATERBASED	1985-03-04	460	9999-12-31	2013-05-08	9831
30/3-4	1586.000000	1.200000	58.000000	13.900000	WATER BASED	1985-03-04	460	9999-12-31	2013-05-08	9832
30/3-4	1605.000000	1.140000	79.000000	18.200000	WATERBASED	1985-03-19	460	9999-12-31	2013-05-08	9833
30/3-4	1605.000000	1.140000	79.000000	18.200000	WATER BASED	1985-03-19	460	9999-12-31	2013-05-08	9834
30/3-4	1605.000000	1.320000	76.000000	16.800000	WATER BASED	1985-03-22	460	9999-12-31	2013-05-08	9835
30/3-4	1605.000000	0.000000	76.000000	16.800000	WATERBASED	1985-03-22	460	9999-12-31	2013-05-08	9836
30/3-4	1652.000000	1.250000	52.000000	15.000000	WATER BASED	1985-02-18	460	9999-12-31	2013-05-08	9837
30/3-4	1652.000000	1.250000	52.000000	15.000000	WATERBASED	1985-02-18	460	9999-12-31	2013-05-08	9838
30/3-4	1710.000000	1.350000	54.000000	15.000000	WATER BASED	1985-02-18	460	9999-12-31	2013-05-08	9839
30/3-4	1710.000000	1.350000	54.000000	15.000000	WATERBASED	1985-02-18	460	9999-12-31	2013-05-08	9840
30/3-4	1717.000000	1.420000	70.000000	16.000000	WATER BASED	1985-03-25	460	9999-12-31	2013-05-08	9841
30/3-4	1717.000000	1.420000	70.000000	16.000000	WATERBASED	1985-03-25	460	9999-12-31	2013-05-08	9842
30/3-4	1788.000000	1.430000	58.000000	16.000000	WATER BASED	1985-02-18	460	9999-12-31	2013-05-08	9843
30/3-4	1788.000000	1.430000	58.000000	16.000000	WATERBASED	1985-02-18	460	9999-12-31	2013-05-08	9844
30/3-4	1792.000000	1.450000	60.000000	13.900000	WATER BASED	1985-03-05	460	9999-12-31	2013-05-08	9845
30/3-4	1792.000000	1.450000	60.000000	13.900000	WATERBASED	1985-03-05	460	9999-12-31	2013-05-08	9846
30/3-4	2000.000000	1.500000	68.000000	15.000000	WATER BASED	1985-03-25	460	9999-12-31	2013-05-08	9847
30/3-4	2000.000000	1.500000	68.000000	15.000000	WATERBASED	1985-03-25	460	9999-12-31	2013-05-08	9848
30/3-4	2172.000000	1.510000	67.000000	13.400000	WATERBASED	1985-03-25	460	9999-12-31	2013-05-08	9849
30/3-4	2172.000000	1.510000	67.000000	13.400000	WATER BASED	1985-03-25	460	9999-12-31	2013-05-08	9850
30/3-4	2365.000000	1.510000	67.000000	12.400000	WATERBASED	1985-03-26	460	9999-12-31	2013-05-08	9851
30/3-4	2365.000000	1.510000	67.000000	12.400000	WATER BASED	1985-03-26	460	9999-12-31	2013-05-08	9852
30/3-4	2493.000000	1.510000	62.000000	11.000000	WATER BASED	1985-03-27	460	9999-12-31	2013-05-08	9853
30/3-4	2493.000000	1.510000	62.000000	11.000000	WATERBASED	1985-03-27	460	9999-12-31	2013-05-08	9854
30/3-4	2526.000000	1.510000	63.000000	9.100000	WATERBASED	1985-03-28	460	9999-12-31	2013-05-08	9855
30/3-4	2526.000000	1.510000	63.000000	9.100000	WATER BASED	1985-03-28	460	9999-12-31	2013-05-08	9856
30/3-4	2636.000000	1.510000	65.000000	11.800000	WATER BASED	1985-03-29	460	9999-12-31	2013-05-08	9857
30/3-4	2636.000000	1.510000	65.000000	11.800000	WATERBASED	1985-03-29	460	9999-12-31	2013-05-08	9858
30/3-4	2654.000000	1.510000	65.000000	9.100000	WATER BASED	1985-04-01	460	9999-12-31	2013-05-08	9859
30/3-4	2654.000000	1.510000	65.000000	9.100000	WATERBASED	1985-04-01	460	9999-12-31	2013-05-08	9860
30/3-4	2689.000000	1.510000	61.000000	9.000000	WATERBASED	1985-04-01	460	9999-12-31	2013-05-08	9861
30/3-4	2689.000000	1.510000	61.000000	9.000000	WATER BASED	1985-04-01	460	9999-12-31	2013-05-08	9862
30/3-4	2770.000000	1.510000	62.000000	8.000000	WATER BASED	1985-04-01	460	9999-12-31	2013-05-08	9863
30/3-4	2770.000000	1.510000	62.000000	8.000000	WATERBASED	1985-04-01	460	9999-12-31	2013-05-08	9864
30/3-4	2795.000000	1.330000	17.000000	7.000000	WATERBASED	1985-04-09	460	9999-12-31	2013-05-08	9865
30/3-4	2795.000000	1.330000	17.000000	7.000000	WATER BASED	1985-04-09	460	9999-12-31	2013-05-08	9866
30/3-4	2812.000000	0.000000	55.000000	7.000000	WATERBASED	1985-04-03	460	9999-12-31	2013-05-08	9867
30/3-4	2812.000000	1.510000	57.000000	8.000000	WATERBASED	1985-04-02	460	9999-12-31	2013-05-08	9868
30/3-4	2812.000000	1.510000	57.000000	8.000000	WATER BASED	1985-04-02	460	9999-12-31	2013-05-08	9869
30/3-4	2812.000000	1.510000	55.000000	7.000000	WATER BASED	1985-04-03	460	9999-12-31	2013-05-08	9870
30/3-4	2908.000000	1.330000	17.000000	6.000000	WATER BASED	1985-04-11	460	9999-12-31	2013-05-08	9871
30/3-4	2908.000000	1.330000	17.000000	6.000000	WATERBASED	1985-04-11	460	9999-12-31	2013-05-08	9872
30/3-4	3183.000000	1.330000	53.000000	6.000000	WATER BASED	1985-04-18	460	9999-12-31	2013-05-08	9873
30/3-4	3183.000000	1.330000	53.000000	6.000000	WATERBASED	1985-04-18	460	9999-12-31	2013-05-08	9874
30/3-4	3248.000000	1.230000	18.000000	7.000000	WATERBASED	1985-04-29	460	9999-12-31	2013-05-08	9875
30/3-4	3248.000000	1.230000	18.000000	7.000000	WATER BASED	1985-04-29	460	9999-12-31	2013-05-08	9876
30/3-4	3287.000000	1.330000	48.000000	6.200000	WATER BASED	1985-04-19	460	9999-12-31	2013-05-08	9877
30/3-4	3287.000000	1.330000	48.000000	6.200000	WATERBASED	1985-04-19	460	9999-12-31	2013-05-08	9878
30/3-7 A	2780.000000	1.600000	57.000000	0.000000	INTERDRILL NT	9999-12-31	3176	9999-12-31	2013-05-08	9879
30/3-7 A	3344.000000	1.580000	36.000000	0.000000	ULTIDRILL	9999-12-31	3176	9999-12-31	2013-05-08	9880
30/3-7 A	3447.000000	1.580000	36.000000	0.000000	ULTIDRILL	9999-12-31	3176	9999-12-31	2013-05-08	9881
30/3-7 A	4687.000000	1.610000	28.000000	0.000000	ULTIDRILL	9999-12-31	3176	9999-12-31	2013-05-08	9882
30/3-7 A	5286.000000	1.610000	36.000000	0.000000	ULTIDRILL	9999-12-31	3176	9999-12-31	2013-05-08	9883
30/3-7 A	5501.000000	1.610000	34.000000	0.000000	ULTIDRILL	9999-12-31	3176	9999-12-31	2013-05-08	9884
30/3-7 A	5679.000000	1.610000	30.000000	0.000000	ULTIDRILL	9999-12-31	3176	9999-12-31	2013-05-08	9885
30/3-7 A	5740.000000	1.450000	29.000000	0.000000	ULTIDRILL	9999-12-31	3176	9999-12-31	2013-05-08	9886
30/3-7 A	5909.000000	1.450000	33.000000	0.000000	ULTIDRILL	9999-12-31	3176	9999-12-31	2013-05-08	9887
30/3-7 A	6373.000000	1.480000	36.000000	0.000000	ULTIDRILL	9999-12-31	3176	9999-12-31	2013-05-08	9888
30/3-7 A	6472.000000	1.480000	36.000000	0.000000	ULTIDRILL	9999-12-31	3176	9999-12-31	2013-05-08	9889
30/3-7 A	6510.000000	1.480000	33.000000	0.000000	ULTIDRILL	9999-12-31	3176	9999-12-31	2013-05-08	9890
30/3-7 A	6678.000000	1.480000	0.000000	0.000000	DUMMY	9999-12-31	3176	9999-12-31	2013-05-08	9891
30/3-7 B	2780.000000	1.600000	46.000000	0.000000	INTERDRILL NT	9999-12-31	3229	9999-12-31	2013-05-08	9892
30/3-7 B	4292.000000	1.530000	41.000000	0.000000	INTERDRILL NT	9999-12-31	3229	9999-12-31	2013-05-08	9893
30/3-7 B	4778.000000	1.530000	46.000000	0.000000	INTERDRILL NT	9999-12-31	3229	9999-12-31	2013-05-08	9894
30/3-7 B	5125.000000	1.530000	45.000000	0.000000	INTERDRILL NT	9999-12-31	3229	9999-12-31	2013-05-08	9895
30/3-7 B	5170.000000	1.530000	40.000000	0.000000	INTERDRILL NT	9999-12-31	3229	9999-12-31	2013-05-08	9896
30/3-7 B	5272.000000	1.500000	41.000000	0.000000	INTERDRILL NT	9999-12-31	3229	9999-12-31	2013-05-08	9897
30/3-7 B	5320.000000	1.530000	42.000000	0.000000	INTERDRILL NT	9999-12-31	3229	9999-12-31	2013-05-08	9898
30/3-7 B	5377.000000	1.530000	43.000000	0.000000	INTERDRILL NT	9999-12-31	3229	9999-12-31	2013-05-08	9899
30/3-7 B	5757.000000	1.530000	48.000000	0.000000	INTERDRILL NT	9999-12-31	3229	9999-12-31	2013-05-08	9900
30/3-7 B	5970.000000	1.530000	48.000000	0.000000	INTERDRILL NT	9999-12-31	3229	9999-12-31	2013-05-08	9901
30/3-7 S	922.000000	1.220000	23.000000	0.000000	SEAWATER/PAC	9999-12-31	2632	9999-12-31	2013-05-08	9902
30/3-7 S	1472.000000	1.270000	23.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2632	9999-12-31	2013-05-08	9903
30/3-7 S	2532.000000	1.580000	38.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2632	9999-12-31	2013-05-08	9904
30/3-7 S	2870.000000	1.600000	34.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2632	9999-12-31	2013-05-08	9905
30/3-7 S	4026.000000	1.580000	42.000000	0.000000	ANCO VERT	9999-12-31	2632	9999-12-31	2013-05-08	9906
30/3-7 S	4441.000000	1.580000	45.000000	0.000000	ANCO VERT	9999-12-31	2632	9999-12-31	2013-05-08	9907
30/3-7 S	5065.000000	1.580000	42.000000	0.000000	ANCO VERT	9999-12-31	2632	9999-12-31	2013-05-08	9908
30/3-7 S	5581.000000	1.540000	0.000000	0.000000	DUMMY	9999-12-31	2632	9999-12-31	2013-05-08	9909
30/3-9	180.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	4053	9999-12-31	2013-05-08	9910
30/3-9	730.000000	1.600000	15.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9911
30/3-9	737.000000	1.820000	22.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9912
30/3-9	748.000000	1.600000	16.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9913
30/3-9	905.000000	1.820000	23.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9914
30/3-9	950.000000	1.820000	25.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9915
30/3-9	1027.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	4053	9999-12-31	2013-05-08	9916
30/3-9	1328.000000	1.240000	12.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9917
30/3-9	1879.000000	1.450000	18.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9918
30/3-9	2113.000000	1.600000	26.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9919
30/3-9	2123.000000	1.600000	24.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9920
30/3-9	2159.000000	1.580000	19.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9921
30/3-9	2460.000000	1.600000	24.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9922
30/3-9	2463.000000	1.610000	21.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9923
30/3-9	2542.000000	1.750000	50.000000	0.000000	VERSAPRO	9999-12-31	4053	9999-12-31	2013-05-08	9924
30/3-9	2542.000000	1.780000	50.000000	0.000000	VERSAPRO	9999-12-31	4053	9999-12-31	2013-05-08	9925
30/3-9	2885.000000	1.750000	50.000000	0.000000	VERSAPRO	9999-12-31	4053	9999-12-31	2013-05-08	9926
30/3-9	3438.000000	1.780000	51.000000	0.000000	VERSAPRO	9999-12-31	4053	9999-12-31	2013-05-08	9927
30/3-9	3457.000000	1.780000	50.000000	0.000000	VERSAPRO	9999-12-31	4053	9999-12-31	2013-05-08	9928
30/3-9	3536.000000	1.810000	53.000000	0.000000	VERSAPRO	9999-12-31	4053	9999-12-31	2013-05-08	9929
30/3-9	3707.000000	1.820000	48.000000	0.000000	VERSAPRO	9999-12-31	4053	9999-12-31	2013-05-08	9930
30/3-9	3712.000000	1.820000	48.000000	0.000000	VERSAPRO	9999-12-31	4053	9999-12-31	2013-05-08	9931
30/3-9	3718.000000	1.890000	26.000000	0.000000	VERSAPRO	9999-12-31	4053	9999-12-31	2013-05-08	9932
30/3-9	3808.000000	1.910000	31.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9933
30/3-9	3810.000000	1.910000	26.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9934
30/3-9	3899.000000	1.910000	28.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9935
30/3-9	3909.000000	1.910000	32.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9936
30/3-9	3926.000000	1.910000	29.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9937
30/3-9	3975.000000	1.910000	30.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9938
30/3-9	4015.000000	1.910000	28.000000	0.000000	GLYDRILL	9999-12-31	4053	9999-12-31	2013-05-08	9939
30/4-1	177.000000	1.050000	35.000000	0.000000	spud mud	9999-12-31	377	9999-12-31	2013-05-08	9940
30/4-1	666.000000	1.080000	61.000000	0.000000	seawater	9999-12-31	377	9999-12-31	2013-05-08	9941
30/4-1	1058.000000	1.090000	67.000000	0.000000	seawater	9999-12-31	377	9999-12-31	2013-05-08	9942
30/4-1	2100.000000	1.260000	45.000000	0.000000	seawater	9999-12-31	377	9999-12-31	2013-05-08	9943
30/4-1	2345.000000	1.260000	55.000000	0.000000	seawater	9999-12-31	377	9999-12-31	2013-05-08	9944
30/4-1	2862.000000	1.530000	68.000000	0.000000	seawater	9999-12-31	377	9999-12-31	2013-05-08	9945
30/4-1	3583.000000	1.700000	64.000000	0.000000	seawater	9999-12-31	377	9999-12-31	2013-05-08	9946
30/4-1	4072.000000	1.790000	54.000000	0.000000	seawater	9999-12-31	377	9999-12-31	2013-05-08	9947
30/4-1	4819.000000	1.980000	53.000000	0.000000	seawater	9999-12-31	377	9999-12-31	2013-05-08	9948
30/4-1	5454.000000	2.070000	55.000000	0.000000	seawater	9999-12-31	377	9999-12-31	2013-05-08	9949
30/5-1	371.000000	1.110000	0.000000	0.000000	waterbased	9999-12-31	379	9999-12-31	2013-05-08	9950
30/5-1	866.000000	1.190000	0.000000	0.000000	waterbased	9999-12-31	379	9999-12-31	2013-05-08	9951
30/5-1	1076.000000	1.190000	0.000000	0.000000	waterbased	9999-12-31	379	9999-12-31	2013-05-08	9952
30/5-1	1364.000000	1.070000	0.000000	0.000000	waterbased	9999-12-31	379	9999-12-31	2013-05-08	9953
30/5-1	2368.000000	1.170000	0.000000	0.000000	waterbased	9999-12-31	379	9999-12-31	2013-05-08	9954
30/5-1	2887.000000	1.250000	0.000000	0.000000	waterbased	9999-12-31	379	9999-12-31	2013-05-08	9955
30/5-1	4124.000000	1.130000	0.000000	0.000000	waterbased	9999-12-31	379	9999-12-31	2013-05-08	9956
30/5-2	150.000000	1.140000	0.000000	0.000000	WATER BASED	9999-12-31	2886	9999-12-31	2013-05-08	9957
30/5-2	250.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2886	9999-12-31	2013-05-08	9958
30/5-2	263.000000	1.640000	40.000000	0.000000	WATER BASED	9999-12-31	2886	9999-12-31	2013-05-08	9959
30/5-2	300.000000	1.200000	11.000000	0.000000	WATER BASED	9999-12-31	2886	9999-12-31	2013-05-08	9960
30/5-2	1558.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	2886	9999-12-31	2013-05-08	9961
30/5-2	2513.000000	1.410000	24.000000	0.000000	WATER BASED	9999-12-31	2886	9999-12-31	2013-05-08	9962
30/5-2	3478.000000	1.410000	23.000000	0.000000	WATER BASED	9999-12-31	2886	9999-12-31	2013-05-08	9963
30/5-2	3828.000000	1.640000	34.000000	0.000000	WATER BASED	9999-12-31	2886	9999-12-31	2013-05-08	9964
30/5-2	4076.000000	1.640000	39.000000	0.000000	WATER BASED	9999-12-31	2886	9999-12-31	2013-05-08	9965
30/5-2	4078.000000	1.640000	37.000000	0.000000	WATER BASED	9999-12-31	2886	9999-12-31	2013-05-08	9966
30/5-3 A	1183.000000	1.390000	36.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9967
30/5-3 A	1340.000000	1.390000	39.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9968
30/5-3 A	1420.000000	1.400000	39.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9969
30/5-3 A	1717.000000	1.410000	39.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9970
30/5-3 A	2135.000000	1.480000	42.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9971
30/5-3 A	2560.000000	1.520000	59.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9972
30/5-3 A	2596.000000	1.500000	53.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9973
30/5-3 A	2824.000000	1.510000	59.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9974
30/5-3 A	3411.000000	1.500000	62.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9975
30/5-3 A	4098.000000	1.630000	66.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9976
30/5-3 A	4098.000000	1.520000	58.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9977
30/5-3 A	4147.000000	1.700000	55.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9978
30/5-3 A	4568.000000	1.800000	60.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9979
30/5-3 A	4746.000000	1.860000	64.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9980
30/5-3 A	4746.000000	1.860000	71.000000	0.000000	Versatec	9999-12-31	6055	9999-12-31	2013-05-08	9981
30/5-3 S	1001.000000	1.330000	17.000000	0.000000	Glydril	9999-12-31	6043	9999-12-31	2013-05-08	9982
30/5-3 S	1004.000000	1.390000	31.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	9983
30/5-3 S	1400.000000	1.350000	24.000000	0.000000	Glydril	9999-12-31	6043	9999-12-31	2013-05-08	9984
30/5-3 S	1720.000000	1.450000	24.000000	0.000000	Glydril	9999-12-31	6043	9999-12-31	2013-05-08	9985
30/5-3 S	2046.000000	1.450000	24.000000	0.000000	Glydril	9999-12-31	6043	9999-12-31	2013-05-08	9986
30/5-3 S	2302.000000	1.450000	24.000000	0.000000	Glydril	9999-12-31	6043	9999-12-31	2013-05-08	9987
30/5-3 S	2335.000000	1.480000	29.000000	0.000000	Glydril	9999-12-31	6043	9999-12-31	2013-05-08	9988
30/5-3 S	2335.000000	1.480000	28.000000	0.000000	Glydril	9999-12-31	6043	9999-12-31	2013-05-08	9989
30/5-3 S	2830.000000	1.510000	34.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	9990
30/5-3 S	2950.000000	1.510000	33.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	9991
30/5-3 S	3151.000000	1.510000	35.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	9992
30/5-3 S	3290.000000	1.620000	45.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	9993
30/5-3 S	3290.000000	1.620000	45.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	9994
30/5-3 S	3392.000000	1.620000	43.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	9995
30/5-3 S	3512.000000	1.720000	46.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	9996
30/5-3 S	4003.000000	1.710000	53.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	9997
30/5-3 S	4050.000000	1.700000	49.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	9998
30/5-3 S	4158.000000	1.730000	58.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	9999
30/5-3 S	4271.000000	1.700000	55.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	10000
30/5-3 S	4335.000000	1.400000	25.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	10001
30/5-3 S	4335.000000	1.480000	27.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	10002
30/5-3 S	4335.000000	1.700000	56.000000	0.000000	Versatec	9999-12-31	6043	9999-12-31	2013-05-08	10003
30/6-12	260.000000	1.050000	100.000000	0.000000	waterbased	9999-12-31	4	9999-12-31	2013-05-08	10004
30/6-12	360.000000	1.050000	100.000000	0.000000	waterbased	9999-12-31	4	9999-12-31	2013-05-08	10005
30/6-12	600.000000	1.050000	100.000000	0.000000	waterbased	9999-12-31	4	9999-12-31	2013-05-08	10006
30/6-13	185.000000	1.050000	100.000000	0.000000	waterbased	9999-12-31	7	9999-12-31	2013-05-08	10007
30/6-13	610.000000	1.070000	40.000000	0.000000	waterbased	9999-12-31	7	9999-12-31	2013-05-08	10008
30/6-13	1085.000000	1.100000	39.000000	0.000000	waterbased	9999-12-31	7	9999-12-31	2013-05-08	10009
30/6-13	1330.000000	1.110000	35.000000	0.000000	waterbased	9999-12-31	7	9999-12-31	2013-05-08	10010
30/6-13	1640.000000	1.120000	33.000000	0.000000	waterbased	9999-12-31	7	9999-12-31	2013-05-08	10011
30/6-13	2210.000000	1.250000	36.000000	0.000000	waterbased	9999-12-31	7	9999-12-31	2013-05-08	10012
30/6-13	2300.000000	1.250000	36.000000	0.000000	waterbased	9999-12-31	7	9999-12-31	2013-05-08	10013
30/6-13	2510.000000	1.250000	40.000000	0.000000	waterbased	9999-12-31	7	9999-12-31	2013-05-08	10014
30/6-13	2600.000000	1.250000	38.000000	0.000000	waterbased	9999-12-31	7	9999-12-31	2013-05-08	10015
30/6-13	2775.000000	1.250000	38.000000	0.000000	waterbased	9999-12-31	7	9999-12-31	2013-05-08	10016
30/6-13 R	180.000000	0.000000	0.000000	0.000000	A	1986-09-09	1005	9999-12-31	2013-05-08	10017
30/6-13 R	400.000000	0.000000	0.000000	0.000000	A	1986-09-09	1005	9999-12-31	2013-05-08	10018
30/6-17	153.000000	1.050000	0.000000	0.000000	water based	9999-12-31	487	9999-12-31	2013-05-08	10019
30/6-17	288.000000	1.050000	0.000000	0.000000	water based	9999-12-31	487	9999-12-31	2013-05-08	10020
30/6-17	615.000000	1.140000	12.000000	0.000000	water based	9999-12-31	487	9999-12-31	2013-05-08	10021
30/6-17	710.000000	1.140000	18.000000	0.000000	water based	9999-12-31	487	9999-12-31	2013-05-08	10022
30/6-17	954.000000	1.140000	19.000000	0.000000	water based	9999-12-31	487	9999-12-31	2013-05-08	10023
30/6-17	1615.000000	1.250000	23.000000	0.000000	water based	9999-12-31	487	9999-12-31	2013-05-08	10024
30/6-17	1621.000000	1.270000	28.000000	0.000000	water based	9999-12-31	487	9999-12-31	2013-05-08	10025
30/6-17	1645.000000	1.390000	29.000000	0.000000	water based	9999-12-31	487	9999-12-31	2013-05-08	10026
30/6-17	2170.000000	1.450000	29.000000	0.000000	water based	9999-12-31	487	9999-12-31	2013-05-08	10027
30/6-17	2400.000000	1.450000	25.000000	0.000000	water based	9999-12-31	487	9999-12-31	2013-05-08	10028
30/6-17	2406.000000	1.500000	25.000000	0.000000	water based	9999-12-31	487	9999-12-31	2013-05-08	10029
30/6-17 A	185.000000	1.370000	11.000000	0.000000	water based	9999-12-31	894	9999-12-31	2013-05-08	10030
30/6-17 A	1540.000000	1.490000	23.000000	0.000000	water based	9999-12-31	894	9999-12-31	2013-05-08	10031
30/6-17 A	1835.000000	1.370000	12.000000	0.000000	water based	9999-12-31	894	9999-12-31	2013-05-08	10032
30/6-17 A	2180.000000	1.480000	15.000000	0.000000	water based	9999-12-31	894	9999-12-31	2013-05-08	10033
30/6-17 A	2250.000000	1.370000	19.000000	0.000000	water based	9999-12-31	894	9999-12-31	2013-05-08	10034
30/6-17 A	2335.000000	1.500000	16.000000	0.000000	water based	9999-12-31	894	9999-12-31	2013-05-08	10035
30/6-17 A	2399.000000	1.500000	30.000000	0.000000	water based	9999-12-31	894	9999-12-31	2013-05-08	10036
30/6-17 A	2501.000000	1.350000	16.000000	0.000000	water based	9999-12-31	894	9999-12-31	2013-05-08	10037
30/6-17 A	2686.000000	1.350000	16.000000	0.000000	water based	9999-12-31	894	9999-12-31	2013-05-08	10038
30/6-17 R	2397.000000	1.500000	33.000000	0.000000	water based	9999-12-31	849	9999-12-31	2013-05-08	10039
30/6-17 R	2399.000000	1.500000	30.000000	0.000000	water based	9999-12-31	849	9999-12-31	2013-05-08	10040
30/6-17 R	2421.000000	1.320000	18.000000	0.000000	water based	9999-12-31	849	9999-12-31	2013-05-08	10041
30/6-17 R	2554.000000	1.320000	0.000000	0.000000	water based	9999-12-31	849	9999-12-31	2013-05-08	10042
30/6-17 R	2554.000000	1.320000	15.000000	0.000000	water based	9999-12-31	849	9999-12-31	2013-05-08	10043
30/6-17 R	2613.000000	1.320000	17.000000	0.000000	water based	9999-12-31	849	9999-12-31	2013-05-08	10044
30/6-17 R	2650.000000	1.320000	17.000000	0.000000	water based	9999-12-31	849	9999-12-31	2013-05-08	10045
30/6-18	150.000000	1.030000	0.000000	0.000000	WATER BASED	1985-11-25	488	9999-12-31	2013-05-08	10046
30/6-18	214.000000	1.050000	0.000000	0.000000	WATER BASED	1985-08-02	488	9999-12-31	2013-05-08	10047
30/6-18	214.000000	1.050000	0.000000	0.000000	WATER BASED	1985-08-06	488	9999-12-31	2013-05-08	10048
30/6-18	214.000000	1.050000	0.000000	0.000000	WATER BASED	1985-08-06	488	9999-12-31	2013-05-08	10049
30/6-18	525.000000	1.070000	5.000000	35.000000	WATER BASED	1985-08-06	488	9999-12-31	2013-05-08	10050
30/6-18	654.000000	1.160000	5.000000	21.000000	WATER BASED	1985-08-06	488	9999-12-31	2013-05-08	10051
30/6-18	654.000000	1.160000	5.000000	22.000000	WATER BASED	1985-08-06	488	9999-12-31	2013-05-08	10052
30/6-18	654.000000	1.160000	5.000000	23.000000	WATER BASED	1985-08-08	488	9999-12-31	2013-05-08	10053
30/6-18	654.000000	1.150000	16.000000	11.000000	WATER BASED	1985-08-13	488	9999-12-31	2013-05-08	10054
30/6-18	654.000000	1.160000	5.000000	22.000000	WATER BASED	1985-08-06	488	9999-12-31	2013-05-08	10055
30/6-18	654.000000	1.150000	16.000000	10.000000	WATER BASED	1985-08-09	488	9999-12-31	2013-05-08	10056
30/6-18	654.000000	1.150000	16.000000	11.000000	WATER BASED	1985-08-13	488	9999-12-31	2013-05-08	10057
30/6-18	654.000000	1.150000	16.000000	10.000000	WATER BASED	1985-08-09	488	9999-12-31	2013-05-08	10058
30/6-18	654.000000	1.160000	5.000000	23.000000	WATER BASED	1985-08-08	488	9999-12-31	2013-05-08	10059
30/6-18	881.000000	1.200000	15.000000	11.000000	WATER BASED	1985-08-13	488	9999-12-31	2013-05-08	10060
30/6-18	1282.000000	1.210000	22.000000	12.000000	WATER BASED	1985-08-14	488	9999-12-31	2013-05-08	10061
30/6-18	1494.000000	1.280000	27.000000	14.000000	WATER BASED	1985-08-19	488	9999-12-31	2013-05-08	10062
30/6-18	1613.000000	1.300000	30.000000	16.000000	WATER BASED	1985-08-21	488	9999-12-31	2013-05-08	10063
30/6-18	1613.000000	1.300000	26.000000	13.000000	WATER BASED	1985-08-21	488	9999-12-31	2013-05-08	10064
30/6-18	1613.000000	1.300000	27.000000	12.000000	WATER BASED	1985-08-21	488	9999-12-31	2013-05-08	10065
30/6-18	1613.000000	1.260000	26.000000	12.000000	WATER BASED	1985-08-21	488	9999-12-31	2013-05-08	10066
30/6-18	1650.000000	1.350000	37.000000	13.000000	WATER BASED	1985-08-22	488	9999-12-31	2013-05-08	10067
30/6-18	1982.000000	1.350000	37.000000	16.000000	WATER BASED	1985-08-23	488	9999-12-31	2013-05-08	10068
30/6-18	2172.000000	1.380000	23.000000	11.000000	WATER BASED	1985-08-27	488	9999-12-31	2013-05-08	10069
30/6-18	2386.000000	1.380000	27.000000	11.000000	WATER BASED	1985-08-27	488	9999-12-31	2013-05-08	10070
30/6-18	2464.000000	1.390000	30.000000	12.000000	WATER BASED	1985-08-27	488	9999-12-31	2013-05-08	10071
30/6-18	2607.000000	1.390000	10.000000	18.000000	WATER BASED	1985-08-29	488	9999-12-31	2013-05-08	10072
30/6-18	2727.000000	1.390000	23.000000	8.000000	WATER BASED	1985-08-29	488	9999-12-31	2013-05-08	10073
30/6-18	2771.000000	1.390000	20.000000	7.000000	WATER BASED	1985-08-30	488	9999-12-31	2013-05-08	10074
30/6-18	2867.000000	1.390000	20.000000	8.000000	WATER BASED	1985-09-03	488	9999-12-31	2013-05-08	10075
30/6-18	2918.000000	1.390000	19.000000	7.000000	WATER BASED	1985-09-03	488	9999-12-31	2013-05-08	10076
30/6-18	3021.000000	1.410000	18.000000	6.000000	WATER BASED	1985-09-03	488	9999-12-31	2013-05-08	10077
30/6-18	3070.000000	1.420000	21.000000	7.000000	WATER BASED	1985-09-03	488	9999-12-31	2013-05-08	10078
30/6-18	3126.000000	1.420000	19.000000	8.000000	WATER BASED	1985-09-05	488	9999-12-31	2013-05-08	10079
30/6-18	3134.000000	1.340000	0.000000	0.000000	WATER BASED	1985-11-22	488	9999-12-31	2013-05-08	10080
30/6-18	3136.000000	1.420000	21.000000	8.000000	WATER BASED	1985-09-06	488	9999-12-31	2013-05-08	10081
30/6-18	3146.000000	1.420000	27.000000	9.000000	WATER BASED	1985-09-06	488	9999-12-31	2013-05-08	10082
30/6-18	3164.000000	1.340000	0.000000	0.000000	WATER BASED	1985-11-21	488	9999-12-31	2013-05-08	10083
30/6-18	3164.000000	1.340000	0.000000	0.000000	WATER BASED	1985-11-20	488	9999-12-31	2013-05-08	10084
30/6-18	3166.000000	1.410000	24.000000	9.000000	WATER BASED	1985-09-09	488	9999-12-31	2013-05-08	10085
30/6-18	3182.000000	1.340000	0.000000	0.000000	WATER BASED	1985-11-10	488	9999-12-31	2013-05-08	10086
30/6-18	3182.000000	1.340000	0.000000	0.000000	WATER BASED	1985-11-12	488	9999-12-31	2013-05-08	10087
30/6-18	3182.000000	1.340000	0.000000	0.000000	WATER BASED	1985-11-20	488	9999-12-31	2013-05-08	10088
30/6-18	3182.000000	1.340000	0.000000	0.000000	WATER BASED	1985-11-06	488	9999-12-31	2013-05-08	10089
30/6-18	3182.000000	1.340000	0.000000	0.000000	WATER BASED	1985-11-05	488	9999-12-31	2013-05-08	10090
30/6-18	3182.000000	1.340000	0.000000	0.000000	WATER BASED	1985-11-04	488	9999-12-31	2013-05-08	10091
30/6-18	3182.000000	1.340000	0.000000	0.000000	WATER BASED	1985-11-07	488	9999-12-31	2013-05-08	10092
30/6-18	3184.000000	1.410000	24.000000	8.000000	WATER BASED	1985-09-09	488	9999-12-31	2013-05-08	10093
30/6-18	3192.000000	1.390000	27.000000	9.000000	WATER BASED	1985-09-09	488	9999-12-31	2013-05-08	10094
30/6-18	3195.000000	1.350000	21.000000	8.000000	WATER BASED	1985-09-16	488	9999-12-31	2013-05-08	10095
30/6-18	3197.000000	1.340000	0.000000	0.000000	WATER BASED	1985-11-04	488	9999-12-31	2013-05-08	10096
30/6-18	3215.000000	1.350000	21.000000	7.000000	WATER BASED	1985-09-16	488	9999-12-31	2013-05-08	10097
30/6-18	3215.000000	1.390000	23.000000	8.000000	WATER BASED	1985-09-12	488	9999-12-31	2013-05-08	10098
30/6-18	3215.000000	1.350000	22.000000	7.000000	WATER BASED	1985-09-16	488	9999-12-31	2013-05-08	10099
30/6-18	3215.000000	1.330000	21.000000	8.000000	WATER BASED	1985-09-13	488	9999-12-31	2013-05-08	10100
30/6-18	3215.000000	1.390000	23.000000	8.000000	WATER BASED	1985-09-11	488	9999-12-31	2013-05-08	10101
30/6-18	3215.000000	1.390000	22.000000	8.000000	WATER BASED	1985-09-12	488	9999-12-31	2013-05-08	10102
30/6-18	3285.000000	1.350000	24.000000	10.000000	WATER BASED	1985-09-24	488	9999-12-31	2013-05-08	10103
30/6-18	3304.000000	1.340000	0.000000	0.000000	WATER BASED	1985-10-31	488	9999-12-31	2013-05-08	10104
30/6-18	3304.000000	1.340000	0.000000	0.000000	WATER BASED	1985-10-30	488	9999-12-31	2013-05-08	10105
30/6-18	3304.000000	1.340000	0.000000	0.000000	WATER BASED	1985-10-29	488	9999-12-31	2013-05-08	10106
30/6-18	3304.000000	1.340000	0.000000	0.000000	WATER BASED	1985-10-23	488	9999-12-31	2013-05-08	10107
30/6-18	3322.000000	1.350000	26.000000	9.000000	WATER BASED	1985-09-24	488	9999-12-31	2013-05-08	10108
30/6-18	3371.000000	1.350000	27.000000	10.000000	WATER BASED	1985-09-24	488	9999-12-31	2013-05-08	10109
30/6-18	3372.000000	1.330000	24.000000	10.000000	WATER BASED	1985-10-10	488	9999-12-31	2013-05-08	10110
30/6-18	3372.000000	1.330000	21.000000	6.000000	WATER BASED	1985-10-09	488	9999-12-31	2013-05-08	10111
30/6-18	3372.000000	1.330000	21.000000	6.000000	WATER BASED	1985-10-09	488	9999-12-31	2013-05-08	10112
30/6-18	3372.000000	1.340000	0.000000	0.000000	WATER BASED	1985-10-24	488	9999-12-31	2013-05-08	10113
30/6-18	3372.000000	1.340000	0.000000	0.000000	WATER BASED	1985-10-20	488	9999-12-31	2013-05-08	10114
30/6-18	3372.000000	1.340000	0.000000	0.000000	WATER BASED	1985-10-22	488	9999-12-31	2013-05-08	10115
30/6-18	3372.000000	1.340000	0.000000	0.000000	WATER BASED	1985-10-21	488	9999-12-31	2013-05-08	10116
30/6-18	3372.000000	1.350000	0.000000	0.000000	WATER BASED	1985-10-18	488	9999-12-31	2013-05-08	10117
30/6-18	3372.000000	1.350000	0.000000	0.000000	WATER BASED	1985-10-17	488	9999-12-31	2013-05-08	10118
30/6-18	3372.000000	1.360000	0.000000	0.000000	WATER BASED	1985-10-16	488	9999-12-31	2013-05-08	10119
30/6-18	3372.000000	1.340000	0.000000	0.000000	WATER BASED	1985-10-23	488	9999-12-31	2013-05-08	10120
30/6-18	3390.000000	1.330000	21.000000	6.000000	WATER BASED	1985-10-07	488	9999-12-31	2013-05-08	10121
30/6-18	3428.000000	1.350000	28.000000	12.000000	WATER BASED	1985-09-24	488	9999-12-31	2013-05-08	10122
30/6-18	3428.000000	1.350000	29.000000	11.000000	WATER BASED	1985-09-24	488	9999-12-31	2013-05-08	10123
30/6-18	3428.000000	1.350000	29.000000	12.000000	WATER BASED	1985-09-24	488	9999-12-31	2013-05-08	10124
30/6-18	3428.000000	1.350000	27.000000	9.000000	WATER BASED	1985-09-25	488	9999-12-31	2013-05-08	10125
30/6-18	3428.000000	1.350000	27.000000	9.000000	WATER BASED	1985-10-03	488	9999-12-31	2013-05-08	10126
30/6-18	3428.000000	1.350000	27.000000	9.000000	WATER BASED	1985-09-27	488	9999-12-31	2013-05-08	10127
30/6-18	3451.000000	1.310000	23.000000	5.000000	WATER BASED	1985-10-03	488	9999-12-31	2013-05-08	10128
30/6-18	3527.000000	1.310000	25.000000	6.000000	WATER BASED	1985-10-03	488	9999-12-31	2013-05-08	10129
30/6-18	3588.000000	1.310000	25.000000	8.000000	WATER BASED	1985-10-03	488	9999-12-31	2013-05-08	10130
30/6-18	3650.000000	1.310000	25.000000	8.000000	WATER BASED	1985-10-03	488	9999-12-31	2013-05-08	10131
30/6-18	3690.000000	1.330000	26.000000	7.000000	WATER BASED	1985-10-07	488	9999-12-31	2013-05-08	10132
30/6-25 S	1046.000000	1.200000	32.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10133
30/6-25 S	1100.000000	1.200000	32.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10134
30/6-25 S	1614.000000	1.450000	43.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10135
30/6-25 S	1892.000000	1.450000	48.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10136
30/6-25 S	2040.000000	1.480000	44.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10137
30/6-25 S	2244.000000	1.480000	40.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10138
30/6-25 S	2371.000000	1.480000	49.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10139
30/6-25 S	2403.000000	1.480000	49.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10140
30/6-25 S	2539.000000	1.500000	49.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10141
30/6-25 S	2575.000000	1.500000	48.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10142
30/6-25 S	2578.000000	1.350000	46.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10143
30/6-25 S	2759.000000	1.350000	35.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10144
30/6-25 S	2915.000000	1.350000	40.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10145
30/6-25 S	2988.000000	1.350000	41.000000	0.000000	WATER BASED	9999-12-31	3578	9999-12-31	2013-05-08	10146
30/6-27	360.000000	0.000000	0.000000	0.000000	OIL BASED	9999-12-31	4425	9999-12-31	2013-05-08	10147
30/6-27	1287.000000	1.390000	16.000000	0.000000	WATER BASED	9999-12-31	4425	9999-12-31	2013-05-08	10148
30/6-27	2010.000000	1.450000	29.000000	0.000000	OIL BASED	9999-12-31	4425	9999-12-31	2013-05-08	10149
30/6-27	3061.000000	1.500000	30.000000	0.000000	OIL BASED	9999-12-31	4425	9999-12-31	2013-05-08	10150
30/6-27	3070.000000	1.350000	23.000000	0.000000	OIL BASED	9999-12-31	4425	9999-12-31	2013-05-08	10151
30/6-27	3432.000000	1.350000	26.000000	0.000000	OIL BASED	9999-12-31	4425	9999-12-31	2013-05-08	10152
30/6-7	490.000000	1.080000	46.000000	0.000000	waterbased	9999-12-31	73	9999-12-31	2013-05-08	10153
30/6-7	970.000000	1.200000	38.000000	0.000000	waterbased	9999-12-31	73	9999-12-31	2013-05-08	10154
30/6-7	1795.000000	1.350000	60.000000	0.000000	waterbased	9999-12-31	73	9999-12-31	2013-05-08	10155
30/6-7	2200.000000	1.430000	69.000000	0.000000	waterbased	9999-12-31	73	9999-12-31	2013-05-08	10156
30/6-7	2450.000000	1.360000	62.000000	0.000000	waterbased	9999-12-31	73	9999-12-31	2013-05-08	10157
30/6-7	2720.000000	1.350000	45.000000	0.000000	waterbased	9999-12-31	73	9999-12-31	2013-05-08	10158
30/6-7	3045.000000	1.260000	49.000000	0.000000	waterbased	9999-12-31	73	9999-12-31	2013-05-08	10159
30/6-7	3120.000000	1.270000	67.000000	0.000000	waterbased	9999-12-31	73	9999-12-31	2013-05-08	10160
30/6-7	3210.000000	1.260000	58.000000	0.000000	waterbased	9999-12-31	73	9999-12-31	2013-05-08	10161
30/7-1	340.000000	1.060000	62.000000	15.000000	waterbased	9999-12-31	384	9999-12-31	2013-05-08	10162
30/7-1	434.000000	1.090000	42.000000	0.000000	waterbased	9999-12-31	384	9999-12-31	2013-05-08	10163
30/7-1	679.000000	1.080000	43.000000	0.000000	waterbased	9999-12-31	384	9999-12-31	2013-05-08	10164
30/7-1	894.000000	1.080000	50.000000	0.000000	waterbased	9999-12-31	384	9999-12-31	2013-05-08	10165
30/7-1	949.000000	1.070000	38.000000	0.000000	waterbased	9999-12-31	384	9999-12-31	2013-05-08	10166
30/7-1	1007.000000	1.140000	65.000000	0.000000	waterbased	9999-12-31	384	9999-12-31	2013-05-08	10167
30/7-2	485.000000	1.060000	80.000000	0.000000	waterbased	9999-12-31	385	9999-12-31	2013-05-08	10168
30/7-2	1100.000000	1.070000	47.000000	0.000000	waterbased	9999-12-31	385	9999-12-31	2013-05-08	10169
30/7-2	1753.000000	1.270000	59.000000	0.000000	waterbased	9999-12-31	385	9999-12-31	2013-05-08	10170
30/7-2	2137.000000	1.240000	42.000000	0.000000	waterbased	9999-12-31	385	9999-12-31	2013-05-08	10171
30/7-2	2591.000000	1.320000	45.000000	0.000000	waterbased	9999-12-31	385	9999-12-31	2013-05-08	10172
30/7-3	161.000000	1.140000	125.000000	0.000000	spud mud	9999-12-31	386	9999-12-31	2013-05-08	10173
30/7-3	700.000000	1.080000	150.000000	11.000000	seawater	9999-12-31	386	9999-12-31	2013-05-08	10174
30/7-3	1914.000000	1.120000	35.000000	15.000000	seawater	9999-12-31	386	9999-12-31	2013-05-08	10175
30/7-3	2176.000000	1.140000	38.000000	21.000000	seawater	9999-12-31	386	9999-12-31	2013-05-08	10176
30/7-3	2652.000000	1.200000	39.000000	15.000000	seawater	9999-12-31	386	9999-12-31	2013-05-08	10177
30/7-3	3000.000000	1.500000	85.000000	35.000000	seawater	9999-12-31	386	9999-12-31	2013-05-08	10178
30/7-3	3538.000000	1.750000	60.000000	19.000000	seawater	9999-12-31	386	9999-12-31	2013-05-08	10179
30/7-3	3880.000000	1.820000	70.000000	22.000000	seawater	9999-12-31	386	9999-12-31	2013-05-08	10180
30/7-3	4044.000000	2.110000	52.000000	17.000000	seawater	9999-12-31	386	9999-12-31	2013-05-08	10181
30/7-4	193.000000	1.070000	51.000000	0.000000	seawater	9999-12-31	387	9999-12-31	2013-05-08	10182
30/7-4	310.000000	1.040000	33.000000	0.000000	waterbased	9999-12-31	387	9999-12-31	2013-05-08	10183
30/7-4	772.000000	1.070000	40.000000	0.000000	waterbased	9999-12-31	387	9999-12-31	2013-05-08	10184
30/7-4	778.000000	1.070000	50.000000	0.000000	waterbased	9999-12-31	387	9999-12-31	2013-05-08	10185
30/7-5	190.000000	1.080000	40.000000	0.000000	waterbased	9999-12-31	388	9999-12-31	2013-05-08	10186
30/7-5	220.000000	1.070000	43.000000	0.000000	waterbased	9999-12-31	388	9999-12-31	2013-05-08	10187
30/7-5	410.000000	1.090000	35.000000	0.000000	waterbased	9999-12-31	388	9999-12-31	2013-05-08	10188
30/7-5	559.000000	1.090000	40.000000	0.000000	waterbased	9999-12-31	388	9999-12-31	2013-05-08	10189
30/7-5	641.000000	1.080000	40.000000	0.000000	waterbased	9999-12-31	388	9999-12-31	2013-05-08	10190
30/7-5	666.000000	1.090000	35.000000	0.000000	waterbased	9999-12-31	388	9999-12-31	2013-05-08	10191
30/7-5	780.000000	1.080000	35.000000	0.000000	waterbased	9999-12-31	388	9999-12-31	2013-05-08	10192
30/7-7	185.000000	1.040000	0.000000	0.000000	spud mud	9999-12-31	390	9999-12-31	2013-05-08	10193
30/7-7	781.000000	1.040000	45.000000	0.000000	seawater	9999-12-31	390	9999-12-31	2013-05-08	10194
30/7-7	1822.000000	1.090000	52.000000	0.000000	seawater	9999-12-31	390	9999-12-31	2013-05-08	10195
30/7-7	2503.000000	1.140000	46.000000	0.000000	seawater	9999-12-31	390	9999-12-31	2013-05-08	10196
30/7-7	2681.000000	1.160000	45.000000	0.000000	seawater	9999-12-31	390	9999-12-31	2013-05-08	10197
30/7-7	3071.000000	1.700000	46.000000	0.000000	seawater	9999-12-31	390	9999-12-31	2013-05-08	10198
30/7-7	3414.000000	1.730000	43.000000	0.000000	seawater	9999-12-31	390	9999-12-31	2013-05-08	10199
30/7-7	3888.000000	1.800000	70.000000	0.000000	seawater	9999-12-31	390	9999-12-31	2013-05-08	10200
30/7-7	4440.000000	2.040000	48.000000	0.000000	seawater	9999-12-31	390	9999-12-31	2013-05-08	10201
30/7-7	5060.000000	2.090000	61.000000	0.000000	seawater	9999-12-31	390	9999-12-31	2013-05-08	10202
30/8-1 S	556.000000	1.050000	0.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10203
30/8-1 S	1360.000000	1.200000	0.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10204
30/8-1 S	1363.000000	1.400000	23.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10205
30/8-1 S	1510.000000	1.400000	39.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10206
30/8-1 S	2240.000000	1.420000	43.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10207
30/8-1 S	2362.000000	1.420000	46.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10208
30/8-1 S	2367.000000	1.420000	37.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10209
30/8-1 S	2491.000000	1.420000	39.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10210
30/8-1 S	2605.000000	1.420000	41.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10211
30/8-1 S	2716.000000	1.420000	43.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10212
30/8-1 S	3040.000000	1.270000	33.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10213
30/8-1 S	3189.000000	1.270000	32.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10214
30/8-1 S	3457.000000	1.270000	35.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10215
30/8-1 S	3532.000000	1.550000	40.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10216
30/8-1 S	3573.000000	1.550000	43.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10217
30/8-1 S	3645.000000	1.550000	43.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10218
30/8-1 S	3710.000000	1.550000	43.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10219
30/8-1 S	3853.000000	1.550000	42.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10220
30/8-1 S	3945.000000	1.550000	44.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10221
30/8-1 S	4055.000000	1.640000	38.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10222
30/8-1 S	4172.000000	1.640000	44.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10223
30/8-1 S	4205.000000	1.700000	48.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10224
30/8-1 S	4226.000000	1.700000	46.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10225
30/8-1 S	4247.000000	1.700000	39.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10226
30/8-1 S	4332.000000	1.740000	47.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10227
30/8-1 S	4335.000000	1.740000	22.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10228
30/8-1 S	4688.000000	2.040000	42.000000	0.000000	water based	9999-12-31	2430	9999-12-31	2013-05-08	10229
30/8-1 SR	365.000000	1.420000	26.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10230
30/8-1 SR	869.000000	1.830000	27.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10231
30/8-1 SR	1495.000000	1.740000	24.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10232
30/8-1 SR	1495.000000	1.740000	27.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10233
30/8-1 SR	1700.000000	1.740000	30.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10234
30/8-1 SR	2430.000000	1.830000	28.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10235
30/8-1 SR	2495.000000	1.910000	30.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10236
30/8-1 SR	2866.000000	2.040000	24.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10237
30/8-1 SR	3000.000000	1.740000	33.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10238
30/8-1 SR	3187.000000	1.870000	33.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10239
30/8-1 SR	4177.000000	2.040000	26.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10240
30/8-1 SR	4651.000000	1.910000	60.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10241
30/8-1 SR	4710.000000	2.020000	41.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10242
30/8-1 SR	4716.000000	1.910000	56.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10243
30/8-1 SR	4725.000000	1.910000	51.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10244
30/8-1 SR	4754.000000	1.910000	55.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10245
30/8-1 SR	4787.000000	1.910000	42.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10246
30/8-1 SR	4810.000000	1.910000	42.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10247
30/8-1 SR	4845.000000	1.910000	60.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10248
30/8-1 SR	4977.000000	1.910000	57.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10249
30/8-1 SR	5073.000000	1.910000	52.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10250
30/8-1 SR	5145.000000	1.910000	41.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10251
30/8-1 SR	5149.000000	1.910000	51.000000	0.000000	water based	9999-12-31	2719	9999-12-31	2013-05-08	10252
30/8-2	182.000000	1.050000	0.000000	0.000000	water based	9999-12-31	2723	9999-12-31	2013-05-08	10253
30/8-2	857.000000	1.080000	0.000000	0.000000	water based	9999-12-31	2723	9999-12-31	2013-05-08	10254
30/8-2	1325.000000	1.420000	0.000000	0.000000	water based	9999-12-31	2723	9999-12-31	2013-05-08	10255
30/8-2	1542.000000	1.200000	0.000000	0.000000	water based	9999-12-31	2723	9999-12-31	2013-05-08	10256
30/8-2	1595.000000	1.420000	24.000000	0.000000	water based	9999-12-31	2723	9999-12-31	2013-05-08	10257
30/8-2	2069.000000	1.420000	26.000000	0.000000	water based	9999-12-31	2723	9999-12-31	2013-05-08	10258
30/8-2	2129.000000	1.420000	25.000000	0.000000	water based	9999-12-31	2723	9999-12-31	2013-05-08	10259
30/8-2	2151.000000	1.420000	24.000000	0.000000	water based	9999-12-31	2723	9999-12-31	2013-05-08	10260
30/8-2	2405.000000	1.420000	23.000000	0.000000	water based	9999-12-31	2723	9999-12-31	2013-05-08	10261
30/8-3	139.000000	1.050000	0.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10262
30/8-3	214.000000	1.050000	0.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10263
30/8-3	350.000000	1.050000	0.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10264
30/8-3	440.000000	1.050000	0.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10265
30/8-3	740.000000	1.050000	0.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10266
30/8-3	1588.000000	1.200000	0.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10267
30/8-3	2123.000000	1.450000	34.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10268
30/8-3	2240.000000	1.450000	35.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10269
30/8-3	2500.000000	1.430000	32.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10270
30/8-3	3045.000000	1.450000	37.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10271
30/8-3	3179.000000	1.450000	36.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10272
30/8-3	3260.000000	1.460000	34.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10273
30/8-3	3284.000000	1.620000	36.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10274
30/8-3	3308.000000	1.620000	39.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10275
30/8-3	3342.000000	1.620000	37.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10276
30/8-3	3531.000000	1.320000	23.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10277
30/8-3	3720.000000	1.370000	23.000000	0.000000	water based	9999-12-31	3246	9999-12-31	2013-05-08	10278
30/8-4 S	2155.000000	1.370000	23.000000	0.000000	Glydril	9999-12-31	5974	9999-12-31	2013-05-08	10279
30/8-4 S	2283.000000	1.400000	24.000000	0.000000	Glydril	9999-12-31	5974	9999-12-31	2013-05-08	10280
30/8-4 S	2313.000000	1.550000	28.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10281
30/8-4 S	2313.000000	1.420000	26.000000	0.000000	Glydril	9999-12-31	5974	9999-12-31	2013-05-08	10282
30/8-4 S	2411.000000	1.450000	24.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10283
30/8-4 S	2900.000000	1.730000	49.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10284
30/8-4 S	3086.000000	1.510000	29.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10285
30/8-4 S	3218.000000	1.530000	31.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10286
30/8-4 S	3231.000000	1.600000	37.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10287
30/8-4 S	3310.000000	1.730000	49.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10288
30/8-4 S	3500.000000	1.710000	41.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10289
30/8-4 S	3873.000000	1.710000	40.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10290
30/8-4 S	3910.000000	1.730000	41.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10291
30/8-4 S	4126.000000	1.730000	43.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10292
30/8-4 S	4203.000000	1.760000	50.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10293
30/8-4 S	4302.000000	1.730000	49.000000	0.000000	Versatec	9999-12-31	5974	9999-12-31	2013-05-08	10294
30/9-12	182.000000	1.220000	0.000000	0.000000	WATER BASED	1991-04-08	1717	9999-12-31	2013-05-08	10295
30/9-12	216.000000	1.050000	0.000000	0.000000	WATER BASED	1991-04-09	1717	9999-12-31	2013-05-08	10296
30/9-12	610.000000	1.050000	0.000000	0.000000	WATER BASED	1991-04-10	1717	9999-12-31	2013-05-08	10297
30/9-12	1016.000000	1.050000	0.000000	0.000000	WATER BASED	1991-04-11	1717	9999-12-31	2013-05-08	10298
30/9-12	1016.000000	1.200000	0.000000	0.000000	WATER BASED	1991-04-12	1717	9999-12-31	2013-05-08	10299
30/9-12	1016.000000	1.200000	0.000000	0.000000	WATER BASED	1991-04-15	1717	9999-12-31	2013-05-08	10300
30/9-12	1061.000000	1.200000	15.000000	8.000000	WATER BASED	1991-04-15	1717	9999-12-31	2013-05-08	10301
30/9-12	1675.000000	1.400000	19.000000	11.000000	WATER BASED	1991-04-15	1717	9999-12-31	2013-05-08	10302
30/9-12	2276.000000	1.400000	22.000000	9.000000	WATER BASED	1991-04-17	1717	9999-12-31	2013-05-08	10303
30/9-12	2302.000000	1.420000	23.000000	10.000000	WATER BASED	1991-04-17	1717	9999-12-31	2013-05-08	10304
30/9-12	2400.000000	1.260000	20.000000	12.000000	WATER BASED	1991-05-10	1717	9999-12-31	2013-05-08	10305
30/9-12	2400.000000	1.220000	12.000000	7.000000	WATER BASED	1991-05-08	1717	9999-12-31	2013-05-08	10306
30/9-12	2405.000000	1.410000	22.000000	10.000000	WATER BASED	1991-04-18	1717	9999-12-31	2013-05-08	10307
30/9-12	2464.000000	1.390000	20.000000	10.000000	WATER BASED	1991-04-19	1717	9999-12-31	2013-05-08	10308
30/9-12	2545.000000	1.400000	20.000000	9.000000	WATER BASED	1991-04-23	1717	9999-12-31	2013-05-08	10309
30/9-12	2545.000000	1.390000	21.000000	9.000000	WATER BASED	1991-04-22	1717	9999-12-31	2013-05-08	10310
30/9-12	2545.000000	1.400000	20.000000	8.000000	WATER BASED	1991-04-22	1717	9999-12-31	2013-05-08	10311
30/9-12	2545.000000	1.400000	20.000000	8.000000	WATER BASED	1991-04-22	1717	9999-12-31	2013-05-08	10312
30/9-12	2548.000000	1.400000	17.000000	6.000000	WATER BASED	1991-04-25	1717	9999-12-31	2013-05-08	10313
30/9-12	2622.000000	1.210000	12.000000	7.000000	WATER BASED	1991-04-25	1717	9999-12-31	2013-05-08	10314
30/9-12	2664.000000	1.200000	13.000000	7.000000	WATER BASED	1991-04-26	1717	9999-12-31	2013-05-08	10315
30/9-12	2691.000000	1.220000	13.000000	7.000000	WATER BASED	1991-04-30	1717	9999-12-31	2013-05-08	10316
30/9-12	2704.000000	1.200000	13.000000	7.000000	WATER BASED	1991-04-30	1717	9999-12-31	2013-05-08	10317
30/9-12	2727.000000	1.200000	12.000000	6.000000	WATER BASED	1991-04-30	1717	9999-12-31	2013-05-08	10318
30/9-12	2738.000000	1.200000	13.000000	8.000000	WATER BASED	1991-04-30	1717	9999-12-31	2013-05-08	10319
30/9-12	2759.000000	1.200000	12.000000	6.000000	WATER BASED	1991-05-02	1717	9999-12-31	2013-05-08	10320
30/9-12	2788.000000	1.200000	14.000000	8.000000	WATER BASED	1991-05-02	1717	9999-12-31	2013-05-08	10321
30/9-12	2805.000000	1.200000	14.000000	7.000000	WATER BASED	1991-05-03	1717	9999-12-31	2013-05-08	10322
30/9-12	2805.000000	1.210000	14.000000	7.000000	WATER BASED	1991-05-06	1717	9999-12-31	2013-05-08	10323
30/9-12	2994.000000	1.210000	13.000000	7.000000	WATER BASED	1991-05-06	1717	9999-12-31	2013-05-08	10324
30/9-12	2994.000000	1.220000	13.000000	7.000000	WATER BASED	1991-05-07	1717	9999-12-31	2013-05-08	10325
30/9-12	2994.000000	1.220000	13.000000	7.000000	WATER BASED	1991-05-06	1717	9999-12-31	2013-05-08	10326
30/9-12 A	300.000000	1.200000	13.000000	7.000000	WATER BASED	1991-06-04	1770	9999-12-31	2013-05-08	10327
30/9-12 A	1017.000000	1.260000	20.000000	12.000000	WATER BASED	1991-05-10	1770	9999-12-31	2013-05-08	10328
30/9-12 A	1474.000000	1.390000	19.000000	12.000000	WATER BASED	1991-05-14	1770	9999-12-31	2013-05-08	10329
30/9-12 A	2100.000000	1.400000	20.000000	11.000000	WATER BASED	1991-05-14	1770	9999-12-31	2013-05-08	10330
30/9-12 A	2372.000000	1.400000	22.000000	10.000000	WATER BASED	1991-05-14	1770	9999-12-31	2013-05-08	10331
30/9-12 A	2419.000000	1.420000	21.000000	10.000000	WATER BASED	1991-05-14	1770	9999-12-31	2013-05-08	10332
30/9-12 A	2482.000000	1.400000	20.000000	14.000000	WATER BASED	1991-05-15	1770	9999-12-31	2013-05-08	10333
30/9-12 A	2549.000000	1.400000	20.000000	13.000000	WATER BASED	1991-05-16	1770	9999-12-31	2013-05-08	10334
30/9-12 A	2600.000000	1.200000	13.000000	7.000000	WATER BASED	1991-06-04	1770	9999-12-31	2013-05-08	10335
30/9-12 A	2617.000000	1.400000	20.000000	8.000000	WATER BASED	1991-05-21	1770	9999-12-31	2013-05-08	10336
30/9-12 A	2658.000000	1.400000	19.000000	11.000000	WATER BASED	1991-05-21	1770	9999-12-31	2013-05-08	10337
30/9-12 A	2658.000000	1.400000	22.000000	10.000000	WATER BASED	1991-05-21	1770	9999-12-31	2013-05-08	10338
30/9-12 A	2681.000000	1.410000	12.000000	13.000000	WATER BASED	1991-05-21	1770	9999-12-31	2013-05-08	10339
30/9-12 A	2709.000000	1.400000	19.000000	7.000000	WATER BASED	1991-05-21	1770	9999-12-31	2013-05-08	10340
30/9-12 A	2750.000000	1.400000	18.000000	6.000000	WATER BASED	1991-05-23	1770	9999-12-31	2013-05-08	10341
30/9-12 A	2750.000000	1.390000	18.000000	9.000000	WATER BASED	1991-05-22	1770	9999-12-31	2013-05-08	10342
30/9-12 A	2750.000000	1.400000	21.000000	8.000000	WATER BASED	1991-05-24	1770	9999-12-31	2013-05-08	10343
30/9-12 A	2824.000000	1.200000	12.000000	6.000000	WATER BASED	1991-05-28	1770	9999-12-31	2013-05-08	10344
30/9-12 A	2877.000000	1.200000	12.000000	7.000000	WATER BASED	1991-05-28	1770	9999-12-31	2013-05-08	10345
30/9-12 A	2894.000000	1.200000	12.000000	6.000000	WATER BASED	1991-05-28	1770	9999-12-31	2013-05-08	10346
30/9-12 A	2907.000000	1.200000	12.000000	6.000000	WATER BASED	1991-05-28	1770	9999-12-31	2013-05-08	10347
30/9-12 A	2919.000000	1.200000	13.000000	6.000000	WATER BASED	1991-05-29	1770	9999-12-31	2013-05-08	10348
30/9-12 A	2919.000000	1.200000	13.000000	6.000000	WATER BASED	1991-05-30	1770	9999-12-31	2013-05-08	10349
30/9-12 A	3001.000000	1.200000	13.000000	6.000000	WATER BASED	1991-05-31	1770	9999-12-31	2013-05-08	10350
30/9-12 A	3061.000000	1.200000	13.000000	7.000000	WATER BASED	1991-06-04	1770	9999-12-31	2013-05-08	10351
30/9-12 A	3061.000000	1.200000	13.000000	7.000000	WATER BASED	1991-06-04	1770	9999-12-31	2013-05-08	10352
30/9-13 S	217.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-08	1811	9999-12-31	2013-05-08	10353
30/9-13 S	1030.000000	1.200000	0.000000	0.000000	WATER BASED	1991-07-10	1811	9999-12-31	2013-05-08	10354
30/9-13 S	1030.000000	1.200000	0.000000	0.000000	WATER BASED	1991-07-10	1811	9999-12-31	2013-05-08	10355
30/9-13 S	1052.000000	1.100000	11.000000	9.000000	WATER BASED	1991-07-15	1811	9999-12-31	2013-05-08	10356
30/9-13 S	1205.000000	1.120000	14.000000	14.000000	WATER BASED	1991-07-16	1811	9999-12-31	2013-05-08	10357
30/9-13 S	1486.000000	1.200000	16.000000	11.000000	WATER BASED	1991-07-16	1811	9999-12-31	2013-05-08	10358
30/9-13 S	1492.000000	1.200000	16.000000	11.000000	WATER BASED	1991-07-16	1811	9999-12-31	2013-05-08	10359
30/9-13 S	1685.000000	1.320000	20.000000	12.000000	WATER BASED	1991-07-16	1811	9999-12-31	2013-05-08	10360
30/9-13 S	1822.000000	1.330000	20.000000	11.000000	WATER BASED	1991-07-17	1811	9999-12-31	2013-05-08	10361
30/9-13 S	1960.000000	1.330000	22.000000	13.000000	WATER BASED	1991-07-18	1811	9999-12-31	2013-05-08	10362
30/9-13 S	2135.000000	1.320000	23.000000	14.000000	WATER BASED	1991-07-19	1811	9999-12-31	2013-05-08	10363
30/9-13 S	2249.000000	1.320000	22.000000	16.000000	WATER BASED	1991-07-23	1811	9999-12-31	2013-05-08	10364
30/9-13 S	2498.000000	1.310000	23.000000	15.000000	WATER BASED	1991-07-23	1811	9999-12-31	2013-05-08	10365
30/9-13 S	2498.000000	1.320000	24.000000	13.000000	WATER BASED	1991-07-23	1811	9999-12-31	2013-05-08	10366
30/9-13 S	2521.000000	1.320000	22.000000	11.000000	WATER BASED	1991-07-23	1811	9999-12-31	2013-05-08	10367
30/9-13 S	2579.000000	1.320000	19.000000	10.000000	WATER BASED	1991-07-24	1811	9999-12-31	2013-05-08	10368
30/9-13 S	2610.000000	1.330000	18.000000	10.000000	WATER BASED	1991-07-26	1811	9999-12-31	2013-05-08	10369
30/9-13 S	2675.000000	1.350000	19.000000	10.000000	WATER BASED	1991-07-30	1811	9999-12-31	2013-05-08	10370
30/9-13 S	2783.000000	1.350000	19.000000	9.000000	WATER BASED	1991-07-30	1811	9999-12-31	2013-05-08	10371
30/9-13 S	2786.000000	1.270000	11.000000	8.000000	WATER BASED	1991-10-10	1811	9999-12-31	2013-05-08	10372
30/9-13 S	2851.000000	1.350000	20.000000	9.000000	WATER BASED	1991-07-30	1811	9999-12-31	2013-05-08	10373
30/9-13 S	2880.000000	1.350000	21.000000	11.000000	WATER BASED	1991-08-02	1811	9999-12-31	2013-05-08	10374
30/9-13 S	2890.000000	1.350000	20.000000	11.000000	WATER BASED	1991-08-06	1811	9999-12-31	2013-05-08	10375
30/9-13 S	2890.000000	1.220000	12.000000	7.000000	WATER BASED	1991-08-06	1811	9999-12-31	2013-05-08	10376
30/9-13 S	2921.000000	1.220000	14.000000	9.000000	WATER BASED	1991-08-06	1811	9999-12-31	2013-05-08	10377
30/9-13 S	2963.000000	1.350000	23.000000	12.000000	WATER BASED	1991-07-31	1811	9999-12-31	2013-05-08	10378
30/9-13 S	2975.000000	1.230000	15.000000	8.000000	WATER BASED	1991-08-06	1811	9999-12-31	2013-05-08	10379
30/9-13 S	2993.000000	1.220000	15.000000	8.000000	WATER BASED	1991-08-07	1811	9999-12-31	2013-05-08	10380
30/9-13 S	3000.000000	1.260000	10.000000	8.000000	WATER BASED	1991-10-01	1811	9999-12-31	2013-05-08	10381
30/9-13 S	3009.000000	1.260000	7.000000	7.000000	WATER BASED	1991-10-07	1811	9999-12-31	2013-05-08	10382
30/9-13 S	3009.000000	1.260000	7.000000	7.000000	WATER BASED	1991-10-08	1811	9999-12-31	2013-05-08	10383
30/9-13 S	3009.000000	1.270000	10.000000	8.000000	WATER BASED	1991-10-01	1811	9999-12-31	2013-05-08	10384
30/9-13 S	3009.000000	1.270000	9.000000	9.000000	WATER BASED	1991-10-01	1811	9999-12-31	2013-05-08	10385
30/9-13 S	3009.000000	1.290000	4.000000	7.000000	WATER BASED	1991-10-02	1811	9999-12-31	2013-05-08	10386
30/9-13 S	3009.000000	1.270000	4.000000	7.000000	WATER BASED	1991-10-03	1811	9999-12-31	2013-05-08	10387
30/9-13 S	3009.000000	1.270000	8.000000	6.000000	WATER BASED	1991-10-04	1811	9999-12-31	2013-05-08	10388
30/9-13 S	3009.000000	1.270000	9.000000	6.000000	WATER BASED	1991-10-07	1811	9999-12-31	2013-05-08	10389
30/9-13 S	3009.000000	1.260000	6.000000	4.000000	WATER BASED	1991-10-07	1811	9999-12-31	2013-05-08	10390
30/9-13 S	3009.000000	1.270000	11.000000	8.000000	WATER BASED	1991-10-09	1811	9999-12-31	2013-05-08	10391
30/9-13 S	3031.000000	1.350000	20.000000	9.000000	WATER BASED	1991-08-02	1811	9999-12-31	2013-05-08	10392
30/9-13 S	3031.000000	1.350000	21.000000	9.000000	WATER BASED	1991-08-01	1811	9999-12-31	2013-05-08	10393
30/9-13 S	3033.000000	1.220000	20.000000	7.000000	WATER BASED	1991-08-08	1811	9999-12-31	2013-05-08	10394
30/9-13 S	3067.000000	1.220000	15.000000	6.000000	WATER BASED	1991-08-09	1811	9999-12-31	2013-05-08	10395
30/9-13 S	3083.000000	1.260000	8.000000	7.000000	WATER BASED	1991-10-01	1811	9999-12-31	2013-05-08	10396
30/9-13 S	3083.000000	1.260000	8.000000	6.000000	WATER BASED	1991-09-23	1811	9999-12-31	2013-05-08	10397
30/9-13 S	3083.000000	1.260000	7.000000	7.000000	WATER BASED	1991-09-24	1811	9999-12-31	2013-05-08	10398
30/9-13 S	3083.000000	1.260000	8.000000	6.000000	WATER BASED	1991-09-25	1811	9999-12-31	2013-05-08	10399
30/9-13 S	3083.000000	1.260000	8.000000	8.000000	WATER BASED	1991-09-27	1811	9999-12-31	2013-05-08	10400
30/9-13 S	3083.000000	1.260000	8.000000	8.000000	WATER BASED	1991-09-27	1811	9999-12-31	2013-05-08	10401
30/9-13 S	3095.000000	1.220000	12.000000	6.000000	WATER BASED	1991-08-12	1811	9999-12-31	2013-05-08	10402
30/9-13 S	3122.000000	1.220000	14.000000	7.000000	WATER BASED	1991-08-12	1811	9999-12-31	2013-05-08	10403
30/9-13 S	3164.000000	1.220000	12.000000	7.000000	WATER BASED	1991-08-12	1811	9999-12-31	2013-05-08	10404
30/9-13 S	3194.000000	1.220000	14.000000	8.000000	WATER BASED	1991-08-14	1811	9999-12-31	2013-05-08	10405
30/9-13 S	3223.000000	1.220000	13.000000	7.000000	WATER BASED	1991-08-14	1811	9999-12-31	2013-05-08	10406
30/9-13 S	3316.000000	1.220000	12.000000	7.000000	WATER BASED	1991-08-16	1811	9999-12-31	2013-05-08	10407
30/9-13 S	3328.000000	1.260000	12.000000	7.000000	WATER BASED	1991-09-10	1811	9999-12-31	2013-05-08	10408
30/9-13 S	3328.000000	1.260000	11.000000	7.000000	WATER BASED	1991-09-10	1811	9999-12-31	2013-05-08	10409
30/9-13 S	3328.000000	1.260000	11.000000	5.000000	WATER BASED	1991-09-10	1811	9999-12-31	2013-05-08	10410
30/9-13 S	3328.000000	1.260000	11.000000	5.000000	WATER BASED	1991-09-12	1811	9999-12-31	2013-05-08	10411
30/9-13 S	3328.000000	1.260000	10.000000	4.000000	WATER BASED	1991-09-16	1811	9999-12-31	2013-05-08	10412
30/9-13 S	3328.000000	1.260000	11.000000	5.000000	WATER BASED	1991-09-16	1811	9999-12-31	2013-05-08	10413
30/9-13 S	3328.000000	1.260000	12.000000	7.000000	WATER BASED	1991-09-16	1811	9999-12-31	2013-05-08	10414
30/9-13 S	3328.000000	1.260000	10.000000	5.000000	WATER BASED	1991-09-12	1811	9999-12-31	2013-05-08	10415
30/9-13 S	3328.000000	1.260000	8.000000	6.000000	WATER BASED	1991-09-17	1811	9999-12-31	2013-05-08	10416
30/9-13 S	3328.000000	1.260000	12.000000	7.000000	WATER BASED	1991-09-18	1811	9999-12-31	2013-05-08	10417
30/9-13 S	3328.000000	1.260000	12.000000	7.000000	WATER BASED	1991-09-20	1811	9999-12-31	2013-05-08	10418
30/9-13 S	3328.000000	1.260000	8.000000	8.000000	WATER BASED	1991-09-20	1811	9999-12-31	2013-05-08	10419
30/9-13 S	3328.000000	1.260000	10.000000	6.000000	WATER BASED	1991-09-23	1811	9999-12-31	2013-05-08	10420
30/9-13 S	3328.000000	1.260000	9.000000	6.000000	WATER BASED	1991-09-23	1811	9999-12-31	2013-05-08	10421
30/9-13 S	3328.000000	1.260000	11.000000	5.000000	WATER BASED	1991-09-10	1811	9999-12-31	2013-05-08	10422
30/9-13 S	3328.000000	1.260000	8.000000	6.000000	WATER BASED	1991-09-16	1811	9999-12-31	2013-05-08	10423
30/9-13 S	3385.000000	1.260000	16.000000	7.000000	WATER BASED	1991-08-16	1811	9999-12-31	2013-05-08	10424
30/9-13 S	3396.000000	1.260000	15.000000	7.000000	WATER BASED	1991-08-20	1811	9999-12-31	2013-05-08	10425
30/9-13 S	3396.000000	1.260000	15.000000	6.000000	WATER BASED	1991-08-20	1811	9999-12-31	2013-05-08	10426
30/9-13 S	3396.000000	1.260000	13.000000	5.000000	WATER BASED	1991-08-22	1811	9999-12-31	2013-05-08	10427
30/9-13 S	3396.000000	1.260000	14.000000	6.000000	WATER BASED	1991-08-20	1811	9999-12-31	2013-05-08	10428
30/9-13 S	3396.000000	1.260000	15.000000	7.000000	WATER BASED	1991-08-20	1811	9999-12-31	2013-05-08	10429
30/9-13 S	3399.000000	1.260000	15.000000	7.000000	WATER BASED	1991-08-22	1811	9999-12-31	2013-05-08	10430
30/9-13 S	3425.000000	1.260000	16.000000	7.000000	WATER BASED	1991-08-23	1811	9999-12-31	2013-05-08	10431
30/9-13 S	3544.000000	1.260000	16.000000	7.000000	WATER BASED	1991-08-27	1811	9999-12-31	2013-05-08	10432
30/9-13 S	3597.000000	1.260000	15.000000	6.000000	WATER BASED	1991-08-27	1811	9999-12-31	2013-05-08	10433
30/9-13 S	3757.000000	1.260000	20.000000	8.000000	WATER BASED	1991-08-27	1811	9999-12-31	2013-05-08	10434
30/9-13 S	3860.000000	1.260000	18.000000	7.000000	WATER BASED	1991-08-27	1811	9999-12-31	2013-05-08	10435
30/9-13 S	3963.000000	1.260000	22.000000	8.000000	WATER BASED	1991-08-28	1811	9999-12-31	2013-05-08	10436
30/9-13 S	3991.000000	1.260000	20.000000	8.000000	WATER BASED	1991-08-29	1811	9999-12-31	2013-05-08	10437
30/9-13 S	4027.000000	1.260000	18.000000	6.000000	WATER BASED	1991-09-02	1811	9999-12-31	2013-05-08	10438
30/9-13 S	4027.000000	1.260000	19.000000	7.000000	WATER BASED	1991-09-02	1811	9999-12-31	2013-05-08	10439
30/9-13 S	4027.000000	1.250000	19.000000	8.000000	WATER BASED	1991-09-02	1811	9999-12-31	2013-05-08	10440
30/9-13 S	4027.000000	1.250000	19.000000	8.000000	WATER BASED	1991-09-03	1811	9999-12-31	2013-05-08	10441
30/9-13 S	4027.000000	1.270000	20.000000	8.000000	WATER BASED	1991-09-04	1811	9999-12-31	2013-05-08	10442
30/9-13 S	4027.000000	1.270000	14.000000	8.000000	WATER BASED	1991-09-06	1811	9999-12-31	2013-05-08	10443
30/9-13 S	4027.000000	1.260000	20.000000	6.000000	WATER BASED	1991-09-02	1811	9999-12-31	2013-05-08	10444
30/9-13 S	4027.000000	1.270000	14.000000	8.000000	WATER BASED	1991-09-06	1811	9999-12-31	2013-05-08	10445
30/9-14	180.000000	1.130000	16.000000	11.000000	WATER BASED	1993-05-18	2076	9999-12-31	2013-05-08	10446
30/9-14	180.000000	1.130000	17.000000	8.000000	WATER BASED	1993-05-18	2076	9999-12-31	2013-05-08	10447
30/9-14	456.000000	1.200000	11.000000	22.000000	WATER BASED	1993-03-23	2076	9999-12-31	2013-05-08	10448
30/9-14	478.000000	1.200000	0.000000	0.000000	WATER BASED	1993-03-23	2076	9999-12-31	2013-05-08	10449
30/9-14	478.000000	1.200000	0.000000	0.000000	WATER BASED	1993-03-23	2076	9999-12-31	2013-05-08	10450
30/9-14	800.000000	1.130000	18.000000	11.000000	WATER BASED	1993-05-13	2076	9999-12-31	2013-05-08	10451
30/9-14	921.000000	1.200000	5.000000	10.000000	WATER BASED	1993-03-23	2076	9999-12-31	2013-05-08	10452
30/9-14	993.000000	1.100000	6.000000	9.000000	WATER BASED	1993-03-25	2076	9999-12-31	2013-05-08	10453
30/9-14	1040.000000	1.200000	6.000000	9.000000	WATER BASED	1993-03-24	2076	9999-12-31	2013-05-08	10454
30/9-14	1043.000000	1.100000	6.000000	9.000000	WATER BASED	1993-03-26	2076	9999-12-31	2013-05-08	10455
30/9-14	1188.000000	1.100000	19.000000	9.500000	WATER BASED	1993-03-30	2076	9999-12-31	2013-05-08	10456
30/9-14	1369.000000	1.320000	22.000000	11.500000	WATER BASED	1993-03-30	2076	9999-12-31	2013-05-08	10457
30/9-14	1995.000000	1.350000	26.000000	12.000000	WATER BASED	1993-03-30	2076	9999-12-31	2013-05-08	10458
30/9-14	2165.000000	1.050000	0.000000	0.000000	WATER BASED	1993-03-17	2076	9999-12-31	2013-05-08	10459
30/9-14	2165.000000	1.050000	0.000000	0.000000	WATER BASED	1993-03-18	2076	9999-12-31	2013-05-08	10460
30/9-14	2165.000000	1.050000	0.000000	0.000000	WATER BASED	1993-03-19	2076	9999-12-31	2013-05-08	10461
30/9-14	2231.000000	1.350000	25.000000	14.000000	WATER BASED	1993-03-30	2076	9999-12-31	2013-05-08	10462
30/9-14	2516.000000	1.350000	26.000000	10.000000	WATER BASED	1993-03-31	2076	9999-12-31	2013-05-08	10463
30/9-14	2860.000000	1.350000	26.000000	12.500000	WATER BASED	1993-03-31	2076	9999-12-31	2013-05-08	10464
30/9-14	2900.000000	1.130000	15.000000	8.000000	WATER BASED	1993-05-11	2076	9999-12-31	2013-05-08	10465
30/9-14	2912.000000	1.360000	31.000000	12.000000	WATER BASED	1993-04-01	2076	9999-12-31	2013-05-08	10466
30/9-14	2969.000000	1.150000	22.000000	7.000000	WATER BASED	1993-04-06	2076	9999-12-31	2013-05-08	10467
30/9-14	3141.000000	1.130000	15.000000	9.000000	WATER BASED	1993-05-10	2076	9999-12-31	2013-05-08	10468
30/9-14	3141.000000	1.130000	14.000000	11.000000	WATER BASED	1993-05-10	2076	9999-12-31	2013-05-08	10469
30/9-14	3141.000000	1.150000	17.000000	14.000000	WATER BASED	1993-05-03	2076	9999-12-31	2013-05-08	10470
30/9-14	3141.000000	1.130000	17.000000	12.000000	WATER BASED	1993-05-03	2076	9999-12-31	2013-05-08	10471
30/9-14	3470.000000	1.160000	14.000000	9.500000	WATER BASED	1993-04-14	2076	9999-12-31	2013-05-08	10472
30/9-14	3500.000000	1.160000	13.000000	8.500000	WATER BASED	1993-04-16	2076	9999-12-31	2013-05-08	10473
30/9-14	3534.000000	1.160000	14.000000	10.000000	WATER BASED	1993-04-16	2076	9999-12-31	2013-05-08	10474
30/9-14	3668.000000	1.190000	13.000000	11.500000	WATER BASED	1993-04-26	2076	9999-12-31	2013-05-08	10475
30/9-14	3668.000000	1.190000	15.000000	11.000000	WATER BASED	1993-04-26	2076	9999-12-31	2013-05-08	10476
30/9-14	3668.000000	1.190000	15.000000	11.000000	WATER BASED	1993-04-26	2076	9999-12-31	2013-05-08	10477
30/9-14	3668.000000	1.190000	15.000000	11.000000	WATER BASED	1993-04-27	2076	9999-12-31	2013-05-08	10478
30/9-14	3680.000000	1.190000	15.000000	12.000000	WATER BASED	1993-04-21	2076	9999-12-31	2013-05-08	10479
30/9-14	3680.000000	1.190000	15.000000	12.000000	WATER BASED	1993-04-21	2076	9999-12-31	2013-05-08	10480
30/9-14	3680.000000	1.190000	15.000000	12.000000	WATER BASED	1993-04-21	2076	9999-12-31	2013-05-08	10481
30/9-14	3680.000000	1.190000	14.000000	12.000000	WATER BASED	1993-04-21	2076	9999-12-31	2013-05-08	10482
30/9-14	3680.000000	1.190000	12.000000	12.500000	WATER BASED	1993-04-22	2076	9999-12-31	2013-05-08	10483
30/9-14	3680.000000	1.190000	13.000000	11.000000	WATER BASED	1993-04-23	2076	9999-12-31	2013-05-08	10484
30/9-14	3680.000000	1.190000	15.000000	12.000000	WATER BASED	1993-04-21	2076	9999-12-31	2013-05-08	10485
30/9-15	128.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10486
30/9-15	218.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10487
30/9-15	245.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10488
30/9-15	623.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10489
30/9-15	900.000000	1.450000	28.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10490
30/9-15	936.000000	1.390000	36.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10491
30/9-15	1143.000000	1.390000	36.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10492
30/9-15	1905.000000	1.450000	34.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10493
30/9-15	2171.000000	1.450000	27.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10494
30/9-15	2215.000000	1.450000	27.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10495
30/9-15	2240.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10496
30/9-15	2280.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10497
30/9-15	2283.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10498
30/9-15	2306.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10499
30/9-15	2330.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10500
30/9-15	2448.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10501
30/9-15	2714.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10502
30/9-15	2764.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	2223	9999-12-31	2013-05-08	10503
30/9-17	194.000000	1.050000	0.000000	0.000000	WATER BASED	1995-03-06	2355	9999-12-31	2013-05-08	10504
30/9-17	202.000000	1.300000	22.000000	12.000000	WATER BASED	1995-03-14	2355	9999-12-31	2013-05-08	10505
30/9-17	316.000000	1.050000	0.000000	0.000000	WATER BASED	1995-03-06	2355	9999-12-31	2013-05-08	10506
30/9-17	1408.000000	1.050000	0.000000	0.000000	WATER BASED	1995-03-06	2355	9999-12-31	2013-05-08	10507
30/9-17	1408.000000	1.300000	0.000000	0.000000	WATER BASED	1995-03-14	2355	9999-12-31	2013-05-08	10508
30/9-17	1408.000000	1.300000	0.000000	0.000000	WATER BASED	1995-03-14	2355	9999-12-31	2013-05-08	10509
30/9-17	1408.000000	1.300000	22.000000	11.000000	WATER BASED	1995-03-14	2355	9999-12-31	2013-05-08	10510
30/9-17	1408.000000	1.300000	22.000000	11.000000	WATER BASED	1995-03-14	2355	9999-12-31	2013-05-08	10511
30/9-17	1408.000000	1.050000	0.000000	0.000000	WATER BASED	1995-03-07	2355	9999-12-31	2013-05-08	10512
30/9-17	1408.000000	1.300000	0.000000	0.000000	WATER BASED	1995-03-08	2355	9999-12-31	2013-05-08	10513
30/9-18	194.000000	1.050000	0.000000	0.000000	WATER BASED	1995-03-16	2552	9999-12-31	2013-05-08	10514
30/9-18	350.000000	1.150000	19.000000	11.000000	WATER BASED	1995-04-18	2552	9999-12-31	2013-05-08	10515
30/9-18	557.000000	1.050000	0.000000	0.000000	WATER BASED	1995-03-20	2552	9999-12-31	2013-05-08	10516
30/9-18	557.000000	1.050000	0.000000	0.000000	WATER BASED	1995-03-20	2552	9999-12-31	2013-05-08	10517
30/9-18	557.000000	1.200000	0.000000	0.000000	WATER BASED	1995-03-20	2552	9999-12-31	2013-05-08	10518
30/9-18	557.000000	1.050000	0.000000	0.000000	WATER BASED	1995-03-17	2552	9999-12-31	2013-05-08	10519
30/9-18	773.000000	1.200000	22.000000	10.000000	WATER BASED	1995-03-21	2552	9999-12-31	2013-05-08	10520
30/9-18	1342.000000	1.200000	17.000000	10.500000	WATER BASED	1995-03-23	2552	9999-12-31	2013-05-08	10521
30/9-18	1550.000000	1.250000	19.000000	11.000000	WATER BASED	1995-03-24	2552	9999-12-31	2013-05-08	10522
30/9-18	1550.000000	1.250000	22.000000	14.000000	WATER BASED	1995-03-28	2552	9999-12-31	2013-05-08	10523
30/9-18	1550.000000	1.250000	22.000000	13.000000	WATER BASED	1995-03-23	2552	9999-12-31	2013-05-08	10524
30/9-18	2070.000000	1.430000	26.000000	13.500000	WATER BASED	1995-03-28	2552	9999-12-31	2013-05-08	10525
30/9-18	2122.000000	1.430000	30.000000	14.000000	WATER BASED	1995-03-28	2552	9999-12-31	2013-05-08	10526
30/9-18	2350.000000	1.150000	18.000000	10.500000	WATER BASED	1995-04-18	2552	9999-12-31	2013-05-08	10527
30/9-18	2420.000000	1.430000	27.000000	13.500000	WATER BASED	1995-03-28	2552	9999-12-31	2013-05-08	10528
30/9-18	2420.000000	1.430000	28.000000	15.000000	WATER BASED	1995-03-29	2552	9999-12-31	2013-05-08	10529
30/9-18	2459.000000	1.430000	27.000000	12.500000	WATER BASED	1995-03-30	2552	9999-12-31	2013-05-08	10530
30/9-18	2559.000000	1.430000	29.000000	13.000000	WATER BASED	1995-03-31	2552	9999-12-31	2013-05-08	10531
30/9-18	2559.000000	1.430000	29.000000	13.000000	WATER BASED	1995-04-03	2552	9999-12-31	2013-05-08	10532
30/9-18	2564.000000	1.150000	9.000000	8.500000	WATER BASED	1995-04-03	2552	9999-12-31	2013-05-08	10533
30/9-18	2651.000000	1.150000	149.000000	9.000000	WATER BASED	1995-04-03	2552	9999-12-31	2013-05-08	10534
30/9-18	2723.000000	1.150000	14.000000	8.500000	WATER BASED	1995-04-04	2552	9999-12-31	2013-05-08	10535
30/9-18	2858.000000	1.150000	18.000000	11.000000	WATER BASED	1995-04-05	2552	9999-12-31	2013-05-08	10536
30/9-18	2947.000000	1.150000	18.000000	11.500000	WATER BASED	1995-04-07	2552	9999-12-31	2013-05-08	10537
30/9-18	2994.000000	1.150000	18.000000	11.000000	WATER BASED	1995-04-07	2552	9999-12-31	2013-05-08	10538
30/9-18	2994.000000	1.150000	18.000000	11.000000	WATER BASED	1995-04-18	2552	9999-12-31	2013-05-08	10539
30/9-2	2582.000000	1.160000	1.000000	0.000000	WATER BASED	9999-12-31	11	9999-12-31	2013-05-08	10540
30/9-2	2594.000000	1.160000	1.000000	0.000000	WATER BASED	9999-12-31	11	9999-12-31	2013-05-08	10541
30/9-2	2710.000000	1.160000	1.000000	0.000000	WATER BASED	9999-12-31	11	9999-12-31	2013-05-08	10542
30/9-2	2722.000000	1.160000	1.000000	0.000000	WATER BASED	9999-12-31	11	9999-12-31	2013-05-08	10543
30/9-2	2724.000000	1.160000	1.000000	0.000000	WATER BASED	9999-12-31	11	9999-12-31	2013-05-08	10544
30/9-2 R	2724.000000	1.250000	18.000000	0.000000	WATER BASED	9999-12-31	937	9999-12-31	2013-05-08	10545
30/9-20 S	198.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	4463	9999-12-31	2013-05-08	10546
30/9-20 S	400.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	4463	9999-12-31	2013-05-08	10547
30/9-20 S	600.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	4463	9999-12-31	2013-05-08	10548
30/9-20 S	623.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	4463	9999-12-31	2013-05-08	10549
30/9-20 S	1297.000000	1.210000	15.000000	0.000000	WATER BASED	9999-12-31	4463	9999-12-31	2013-05-08	10550
30/9-20 S	1585.000000	1.450000	36.000000	0.000000	OIL BASED	9999-12-31	4463	9999-12-31	2013-05-08	10551
30/9-20 S	1596.000000	1.450000	35.000000	0.000000	OIL BASED	9999-12-31	4463	9999-12-31	2013-05-08	10552
30/9-20 S	2369.000000	1.450000	37.000000	0.000000	OIL BASED	9999-12-31	4463	9999-12-31	2013-05-08	10553
30/9-20 S	2370.000000	1.300000	31.000000	0.000000	OIL BASED	9999-12-31	4463	9999-12-31	2013-05-08	10554
30/9-20 S	2864.000000	1.300000	28.000000	0.000000	OIL BASED	9999-12-31	4463	9999-12-31	2013-05-08	10555
30/9-20 S	3124.000000	1.300000	28.000000	0.000000	OIL BASED	9999-12-31	4463	9999-12-31	2013-05-08	10556
30/9-21 A	1136.000000	1.390000	32.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10557
30/9-21 A	1181.000000	1.390000	32.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10558
30/9-21 A	1216.000000	1.390000	33.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10559
30/9-21 A	1247.000000	1.390000	33.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10560
30/9-21 A	1258.000000	1.390000	32.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10561
30/9-21 A	1301.000000	1.410000	36.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10562
30/9-21 A	1316.000000	1.450000	35.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10563
30/9-21 A	1325.000000	1.450000	38.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10564
30/9-21 A	1339.000000	1.450000	39.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10565
30/9-21 A	1470.000000	1.450000	40.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10566
30/9-21 A	1538.000000	1.450000	41.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10567
30/9-21 A	1696.000000	1.450000	44.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10568
30/9-21 A	1734.000000	1.470000	45.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10569
30/9-21 A	1745.000000	1.470000	46.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10570
30/9-21 A	1810.000000	1.470000	48.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10571
30/9-21 A	1917.000000	1.470000	54.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10572
30/9-21 A	2118.000000	1.470000	40.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10573
30/9-21 A	2242.000000	1.470000	41.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10574
30/9-21 A	2267.000000	1.390000	34.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10575
30/9-21 A	2275.000000	1.490000	42.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10576
30/9-21 A	2294.000000	1.390000	33.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10577
30/9-21 A	2600.000000	1.390000	39.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10578
30/9-21 A	2692.000000	1.390000	38.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10579
30/9-21 A	2765.000000	1.390000	37.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10580
30/9-21 A	2824.000000	1.390000	36.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10581
30/9-21 A	3300.000000	1.390000	41.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10582
30/9-21 A	3441.000000	1.390000	43.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10583
30/9-21 A	3558.000000	1.390000	43.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10584
30/9-21 A	3602.000000	1.410000	41.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10585
30/9-21 A	3649.000000	1.300000	31.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10586
30/9-21 A	3786.000000	1.300000	32.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10587
30/9-21 A	3797.000000	1.300000	34.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10588
30/9-21 A	3825.000000	1.300000	34.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10589
30/9-21 A	3971.000000	1.300000	37.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10590
30/9-21 A	4086.000000	1.300000	32.000000	0.000000	Paratec	9999-12-31	5805	9999-12-31	2013-05-08	10591
30/9-21 S	1247.000000	1.300000	22.000000	0.000000	Glydril	9999-12-31	5800	9999-12-31	2013-05-08	10592
30/9-21 S	1325.000000	1.370000	27.000000	0.000000	Glydril	9999-12-31	5800	9999-12-31	2013-05-08	10593
30/9-21 S	1494.000000	1.390000	26.000000	0.000000	Glydril	9999-12-31	5800	9999-12-31	2013-05-08	10594
30/9-21 S	1698.000000	1.500000	31.000000	0.000000	Glydril	9999-12-31	5800	9999-12-31	2013-05-08	10595
30/9-21 S	1720.000000	1.500000	31.000000	0.000000	Glydril	9999-12-31	5800	9999-12-31	2013-05-08	10596
30/9-21 S	1873.000000	1.500000	29.000000	0.000000	Glydril	9999-12-31	5800	9999-12-31	2013-05-08	10597
30/9-21 S	2059.000000	1.500000	30.000000	0.000000	Glydril	9999-12-31	5800	9999-12-31	2013-05-08	10598
30/9-21 S	2131.000000	1.520000	28.000000	0.000000	Glydril	9999-12-31	5800	9999-12-31	2013-05-08	10599
30/9-21 S	2188.000000	1.390000	23.000000	0.000000	Paratec	9999-12-31	5800	9999-12-31	2013-05-08	10600
30/9-21 S	2445.000000	1.390000	26.000000	0.000000	Paratec	9999-12-31	5800	9999-12-31	2013-05-08	10601
30/9-21 S	2906.000000	1.410000	29.000000	0.000000	Paratec	9999-12-31	5800	9999-12-31	2013-05-08	10602
30/9-21 S	2930.000000	1.410000	30.000000	0.000000	Paratec	9999-12-31	5800	9999-12-31	2013-05-08	10603
30/9-21 S	3136.000000	1.410000	28.000000	0.000000	Paratec	9999-12-31	5800	9999-12-31	2013-05-08	10604
30/9-21 S	3255.000000	1.410000	34.000000	0.000000	Paratec	9999-12-31	5800	9999-12-31	2013-05-08	10605
30/9-21 S	3379.000000	1.410000	34.000000	0.000000	Paratec	9999-12-31	5800	9999-12-31	2013-05-08	10606
30/9-21 S	3521.000000	1.300000	32.000000	0.000000	Paratec	9999-12-31	5800	9999-12-31	2013-05-08	10607
30/9-21 S	3680.000000	1.430000	38.000000	0.000000	Paratec	9999-12-31	5800	9999-12-31	2013-05-08	10608
30/9-21 S	4090.000000	1.520000	38.000000	0.000000	Paratec	9999-12-31	5800	9999-12-31	2013-05-08	10609
30/9-22	478.000000	1.250000	17.000000	0.000000	Glydril	9999-12-31	6034	9999-12-31	2013-05-08	10610
30/9-22	867.000000	1.250000	19.000000	0.000000	Glydril	9999-12-31	6034	9999-12-31	2013-05-08	10611
30/9-22	1376.000000	1.250000	16.000000	0.000000	Glydril	9999-12-31	6034	9999-12-31	2013-05-08	10612
30/9-22	1512.000000	1.450000	11.000000	0.000000	Glydril	9999-12-31	6034	9999-12-31	2013-05-08	10613
30/9-22	1919.000000	1.450000	20.000000	0.000000	Glydril	9999-12-31	6034	9999-12-31	2013-05-08	10614
30/9-22	2685.000000	1.460000	23.000000	0.000000	Glydril	9999-12-31	6034	9999-12-31	2013-05-08	10615
30/9-22	2770.000000	1.450000	24.000000	0.000000	Glydril	9999-12-31	6034	9999-12-31	2013-05-08	10616
30/9-22	2779.000000	1.250000	14.000000	0.000000	Glydril	9999-12-31	6034	9999-12-31	2013-05-08	10617
30/9-22	2852.000000	1.450000	24.000000	0.000000	Glydril	9999-12-31	6034	9999-12-31	2013-05-08	10618
30/9-22	2971.000000	1.250000	16.000000	0.000000	Glydril	9999-12-31	6034	9999-12-31	2013-05-08	10619
30/9-22	3255.000000	1.250000	16.000000	0.000000	Glydril	9999-12-31	6034	9999-12-31	2013-05-08	10620
30/9-23	1003.000000	1.350000	24.000000	0.000000	Glydril	9999-12-31	6182	9999-12-31	2013-05-08	10621
30/9-23	1005.000000	1.270000	14.000000	0.000000	Glydril	9999-12-31	6182	9999-12-31	2013-05-08	10622
30/9-23	1300.000000	1.370000	18.000000	0.000000	Glydril	9999-12-31	6182	9999-12-31	2013-05-08	10623
30/9-23	1955.000000	1.400000	18.000000	0.000000	Glydril	9999-12-31	6182	9999-12-31	2013-05-08	10624
30/9-23	2092.000000	1.430000	20.000000	0.000000	Glydril	9999-12-31	6182	9999-12-31	2013-05-08	10625
30/9-23	2424.000000	1.250000	15.000000	0.000000	Glydril	9999-12-31	6182	9999-12-31	2013-05-08	10626
30/9-23	2873.000000	1.250000	16.000000	0.000000	Glydril	9999-12-31	6182	9999-12-31	2013-05-08	10627
30/9-24	971.000000	1.350000	21.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6210	9999-12-31	2013-05-08	10628
30/9-24	1070.000000	1.300000	26.000000	0.000000	Versatec	9999-12-31	6210	9999-12-31	2013-05-08	10629
30/9-24	1078.000000	1.350000	25.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6210	9999-12-31	2013-05-08	10630
30/9-24	1294.000000	1.350000	19.000000	0.000000	Kill Fluid- SW/Bentonite	9999-12-31	6210	9999-12-31	2013-05-08	10631
30/9-24	1566.000000	1.370000	35.000000	0.000000	Versatec	9999-12-31	6210	9999-12-31	2013-05-08	10632
30/9-24	2267.000000	1.460000	36.000000	0.000000	Versatec	9999-12-31	6210	9999-12-31	2013-05-08	10633
30/9-24	2267.000000	1.450000	36.000000	0.000000	Versatec	9999-12-31	6210	9999-12-31	2013-05-08	10634
30/9-24	3048.000000	1.470000	40.000000	0.000000	Versatec	9999-12-31	6210	9999-12-31	2013-05-08	10635
30/9-24	3048.000000	1.470000	34.000000	0.000000	Versatec	9999-12-31	6210	9999-12-31	2013-05-08	10636
30/9-24	3375.000000	1.310000	27.000000	0.000000	Versatec	9999-12-31	6210	9999-12-31	2013-05-08	10637
30/9-24	3767.000000	1.330000	30.000000	0.000000	Versatec	9999-12-31	6210	9999-12-31	2013-05-08	10638
30/9-3	870.000000	1.120000	25.000000	30.000000	OIL BASED	9999-12-31	55	9999-12-31	2013-05-08	10639
30/9-3	1260.000000	1.090000	28.000000	16.000000	OIL BASED	9999-12-31	55	9999-12-31	2013-05-08	10640
30/9-3	1385.000000	1.120000	0.000000	0.000000	OIL BASED	9999-12-31	55	9999-12-31	2013-05-08	10641
30/9-3	1900.000000	1.330000	32.000000	19.000000	OIL BASED	9999-12-31	55	9999-12-31	2013-05-08	10642
30/9-3	2280.000000	1.400000	30.000000	18.000000	OIL BASED	9999-12-31	55	9999-12-31	2013-05-08	10643
30/9-3	2360.000000	1.410000	29.000000	21.000000	OIL BASED	9999-12-31	55	9999-12-31	2013-05-08	10644
30/9-3	2500.000000	1.430000	31.000000	18.000000	OIL BASED	9999-12-31	55	9999-12-31	2013-05-08	10645
30/9-3	2875.000000	1.450000	35.000000	17.000000	OIL BASED	9999-12-31	55	9999-12-31	2013-05-08	10646
30/9-3	2975.000000	1.440000	45.000000	13.000000	OIL BASED	9999-12-31	55	9999-12-31	2013-05-08	10647
30/9-3	3060.000000	1.490000	39.000000	22.000000	OIL BASED	9999-12-31	55	9999-12-31	2013-05-08	10648
30/9-3	3090.000000	1.440000	38.000000	20.000000	OIL BASED	9999-12-31	55	9999-12-31	2013-05-08	10649
30/9-3 A	1590.000000	1.440000	30.000000	14.000000	OIL BASED	9999-12-31	102	9999-12-31	2013-05-08	10650
30/9-3 A	2625.000000	1.460000	33.000000	15.000000	OIL BASED	9999-12-31	102	9999-12-31	2013-05-08	10651
30/9-3 A	2880.000000	1.450000	39.000000	16.000000	OIL BASED	9999-12-31	102	9999-12-31	2013-05-08	10652
30/9-3 A	3175.000000	1.460000	37.000000	16.000000	OIL BASED	9999-12-31	102	9999-12-31	2013-05-08	10653
30/9-3 A	3285.000000	1.300000	24.000000	15.000000	OIL BASED	9999-12-31	102	9999-12-31	2013-05-08	10654
30/9-3 A	3610.000000	1.310000	29.000000	10.000000	OIL BASED	9999-12-31	102	9999-12-31	2013-05-08	10655
30/9-3 A	3790.000000	1.300000	33.000000	10.000000	OIL BASED	9999-12-31	102	9999-12-31	2013-05-08	10656
30/9-3 A	3900.000000	1.310000	33.000000	9.000000	OIL BASED	9999-12-31	102	9999-12-31	2013-05-08	10657
30/9-3 A	3980.000000	1.300000	36.000000	9.000000	OIL BASED	9999-12-31	102	9999-12-31	2013-05-08	10658
30/9-3 A	4180.000000	1.310000	37.000000	9.000000	OIL BASED	9999-12-31	102	9999-12-31	2013-05-08	10659
30/9-3 A	4255.000000	1.260000	39.000000	9.000000	OIL BASED	9999-12-31	102	9999-12-31	2013-05-08	10660
30/9-8	127.000000	1.050000	0.000000	0.000000	WATER BASED	1989-07-31	1421	9999-12-31	2013-05-08	10661
30/9-8	216.000000	1.050000	0.000000	0.000000	WATER BASED	1989-07-31	1421	9999-12-31	2013-05-08	10662
30/9-8	216.000000	1.050000	0.000000	0.000000	WATER BASED	1989-07-31	1421	9999-12-31	2013-05-08	10663
30/9-8	1004.000000	1.050000	0.000000	0.000000	WATER BASED	1989-08-01	1421	9999-12-31	2013-05-08	10664
30/9-8	1060.000000	1.050000	0.000000	0.000000	WATER BASED	1989-08-02	1421	9999-12-31	2013-05-08	10665
30/9-8	1060.000000	1.050000	0.000000	0.000000	WATER BASED	1989-08-17	1421	9999-12-31	2013-05-08	10666
30/9-8	1418.000000	1.200000	11.000000	9.000000	WATER BASED	1989-08-22	1421	9999-12-31	2013-05-08	10667
30/9-8	1760.000000	1.350000	17.000000	10.000000	WATER BASED	1989-08-22	1421	9999-12-31	2013-05-08	10668
30/9-8	2151.000000	1.450000	13.000000	10.000000	WATER BASED	1989-08-22	1421	9999-12-31	2013-05-08	10669
30/9-8	2328.000000	1.450000	12.000000	11.000000	WATER BASED	1989-08-22	1421	9999-12-31	2013-05-08	10670
30/9-8	2405.000000	1.450000	11.000000	8.000000	WATER BASED	1989-08-22	1421	9999-12-31	2013-05-08	10671
30/9-8	2566.000000	1.450000	17.000000	8.000000	WATER BASED	1989-08-24	1421	9999-12-31	2013-05-08	10672
30/9-8	2566.000000	1.450000	17.000000	8.000000	WATER BASED	1989-08-24	1421	9999-12-31	2013-05-08	10673
30/9-8	2669.000000	1.450000	18.000000	8.000000	WATER BASED	1989-08-25	1421	9999-12-31	2013-05-08	10674
30/9-8	2669.000000	1.450000	19.000000	8.000000	WATER BASED	1989-08-28	1421	9999-12-31	2013-05-08	10675
30/9-8	2669.000000	1.450000	19.000000	8.000000	WATER BASED	1989-08-28	1421	9999-12-31	2013-05-08	10676
30/9-8	2672.000000	1.220000	0.000000	0.000000	WATER BASED	1989-08-28	1421	9999-12-31	2013-05-08	10677
30/9-8	2791.000000	1.220000	17.000000	8.000000	WATER BASED	1989-08-29	1421	9999-12-31	2013-05-08	10678
30/9-8	2837.000000	1.220000	17.000000	10.000000	WATER BASED	1989-08-31	1421	9999-12-31	2013-05-08	10679
30/9-8	2892.000000	1.220000	18.000000	11.000000	WATER BASED	1989-08-31	1421	9999-12-31	2013-05-08	10680
30/9-8	2898.000000	1.220000	12.000000	5.000000	WATER BASED	1989-09-18	1421	9999-12-31	2013-05-08	10681
30/9-8	2898.000000	1.220000	12.000000	5.000000	WATER BASED	1989-09-21	1421	9999-12-31	2013-05-08	10682
30/9-8	2898.000000	1.220000	12.000000	5.000000	WATER BASED	1989-09-18	1421	9999-12-31	2013-05-08	10683
30/9-8	2898.000000	1.220000	12.000000	5.000000	WATER BASED	1989-09-22	1421	9999-12-31	2013-05-08	10684
30/9-8	2898.000000	1.220000	12.000000	5.000000	WATER BASED	1989-09-20	1421	9999-12-31	2013-05-08	10685
30/9-8	2898.000000	1.220000	12.000000	5.000000	WATER BASED	1989-09-19	1421	9999-12-31	2013-05-08	10686
30/9-8	2937.000000	1.220000	18.000000	10.000000	WATER BASED	1989-09-01	1421	9999-12-31	2013-05-08	10687
30/9-8	3034.000000	1.220000	12.000000	7.000000	WATER BASED	1989-09-04	1421	9999-12-31	2013-05-08	10688
30/9-8	3151.000000	1.220000	14.000000	6.000000	WATER BASED	1989-09-04	1421	9999-12-31	2013-05-08	10689
30/9-8	3200.000000	1.220000	9.000000	7.000000	WATER BASED	1989-09-05	1421	9999-12-31	2013-05-08	10690
30/9-8	3200.000000	1.220000	11.000000	5.000000	WATER BASED	1989-09-11	1421	9999-12-31	2013-05-08	10691
30/9-8	3200.000000	1.220000	14.000000	6.000000	WATER BASED	1989-09-04	1421	9999-12-31	2013-05-08	10692
30/9-8	3200.000000	1.220000	9.000000	5.000000	WATER BASED	1989-09-06	1421	9999-12-31	2013-05-08	10693
30/9-8	3200.000000	1.220000	9.000000	5.000000	WATER BASED	1989-09-07	1421	9999-12-31	2013-05-08	10694
30/9-8	3200.000000	1.220000	10.000000	5.000000	WATER BASED	1989-09-11	1421	9999-12-31	2013-05-08	10695
30/9-8	3200.000000	1.220000	12.000000	6.000000	WATER BASED	1989-09-11	1421	9999-12-31	2013-05-08	10696
30/9-8	3200.000000	1.220000	13.000000	6.000000	WATER BASED	1989-09-08	1421	9999-12-31	2013-05-08	10697
30/9-8	3200.000000	1.220000	12.000000	5.000000	WATER BASED	1989-09-12	1421	9999-12-31	2013-05-08	10698
30/9-8	3200.000000	1.220000	12.000000	5.000000	WATER BASED	1989-09-18	1421	9999-12-31	2013-05-08	10699
31/1-1	1686.000000	1.250000	96.000000	0.000000	water based	9999-12-31	5765	9999-12-31	2013-05-08	10700
31/1-1	1845.000000	1.250000	95.000000	0.000000	water based	9999-12-31	5765	9999-12-31	2013-05-08	10701
31/1-1	2015.000000	1.250000	100.000000	0.000000	water based	9999-12-31	5765	9999-12-31	2013-05-08	10702
31/1-1	2020.000000	1.300000	109.000000	0.000000	water based	9999-12-31	5765	9999-12-31	2013-05-08	10703
31/1-1	2023.000000	1.250000	108.000000	0.000000	water based	9999-12-31	5765	9999-12-31	2013-05-08	10704
31/1-1	2062.000000	1.250000	56.000000	0.000000	water based	9999-12-31	5765	9999-12-31	2013-05-08	10705
31/1-1	2272.000000	1.250000	56.000000	0.000000	water based	9999-12-31	5765	9999-12-31	2013-05-08	10706
31/1-1	2586.000000	1.250000	56.000000	0.000000	water based	9999-12-31	5765	9999-12-31	2013-05-08	10707
31/2-1	793.000000	1.090000	0.000000	0.000000	waterbased	9999-12-31	398	9999-12-31	2013-05-08	10708
31/2-1	1308.000000	1.370000	0.000000	0.000000	waterbased	9999-12-31	398	9999-12-31	2013-05-08	10709
31/2-1	2080.000000	1.330000	0.000000	0.000000	waterbased	9999-12-31	398	9999-12-31	2013-05-08	10710
31/2-1	2433.000000	1.330000	0.000000	0.000000	waterbased	9999-12-31	398	9999-12-31	2013-05-08	10711
31/2-10	490.000000	1.050000	0.000000	0.000000	waterbased	9999-12-31	90	9999-12-31	2013-05-08	10712
31/2-10	790.000000	1.070000	0.000000	0.000000	waterbased	9999-12-31	90	9999-12-31	2013-05-08	10713
31/2-10	900.000000	1.180000	0.000000	0.000000	waterbased	9999-12-31	90	9999-12-31	2013-05-08	10714
31/2-10	1250.000000	1.300000	0.000000	0.000000	waterbased	9999-12-31	90	9999-12-31	2013-05-08	10715
31/2-10	1350.000000	1.350000	0.000000	0.000000	waterbased	9999-12-31	90	9999-12-31	2013-05-08	10716
31/2-10	1500.000000	1.350000	0.000000	0.000000	waterbased	9999-12-31	90	9999-12-31	2013-05-08	10717
31/2-10	1833.000000	1.180000	0.000000	0.000000	waterbased	9999-12-31	90	9999-12-31	2013-05-08	10718
31/2-11	500.000000	1.050000	0.000000	0.000000	waterbased	9999-12-31	6	9999-12-31	2013-05-08	10719
31/2-11	650.000000	1.090000	0.000000	0.000000	waterbased	9999-12-31	6	9999-12-31	2013-05-08	10720
31/2-11	950.000000	1.320000	53.000000	0.000000	waterbased	9999-12-31	6	9999-12-31	2013-05-08	10721
31/2-11	1200.000000	1.330000	53.000000	0.000000	waterbased	9999-12-31	6	9999-12-31	2013-05-08	10722
31/2-11	1350.000000	1.350000	53.000000	0.000000	waterbased	9999-12-31	6	9999-12-31	2013-05-08	10723
31/2-11	1600.000000	1.150000	77.000000	0.000000	waterbased	9999-12-31	6	9999-12-31	2013-05-08	10724
31/2-11	1744.000000	1.180000	60.000000	0.000000	waterbased	9999-12-31	6	9999-12-31	2013-05-08	10725
31/2-12	360.000000	1.040000	100.000000	0.000000	water based	9999-12-31	14	9999-12-31	2013-05-08	10726
31/2-12	600.000000	1.040000	84.000000	0.000000	water based	9999-12-31	14	9999-12-31	2013-05-08	10727
31/2-12	850.000000	1.250000	54.000000	0.000000	water based	9999-12-31	14	9999-12-31	2013-05-08	10728
31/2-12	1000.000000	1.280000	54.000000	0.000000	water based	9999-12-31	14	9999-12-31	2013-05-08	10729
31/2-12	1100.000000	1.310000	54.000000	0.000000	water based	9999-12-31	14	9999-12-31	2013-05-08	10730
31/2-12	1500.000000	1.280000	63.000000	0.000000	water based	9999-12-31	14	9999-12-31	2013-05-08	10731
31/2-13 S	500.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	93	9999-12-31	2013-05-08	10732
31/2-13 S	550.000000	1.070000	0.000000	0.000000	WATER BASED	9999-12-31	93	9999-12-31	2013-05-08	10733
31/2-13 S	600.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	93	9999-12-31	2013-05-08	10734
31/2-13 S	800.000000	1.120000	0.000000	0.000000	WATER BASED	9999-12-31	93	9999-12-31	2013-05-08	10735
31/2-13 S	830.000000	1.300000	0.000000	0.000000	OIL BASED	9999-12-31	93	9999-12-31	2013-05-08	10736
31/2-13 S	900.000000	1.310000	0.000000	0.000000	OIL BASED	9999-12-31	93	9999-12-31	2013-05-08	10737
31/2-13 S	1140.000000	1.400000	0.000000	0.000000	OIL BASED	9999-12-31	93	9999-12-31	2013-05-08	10738
31/2-13 S	1550.000000	1.410000	0.000000	0.000000	OIL BASED	9999-12-31	93	9999-12-31	2013-05-08	10739
31/2-13 S	1750.000000	1.250000	0.000000	0.000000	OIL BASED	9999-12-31	93	9999-12-31	2013-05-08	10740
31/2-14	500.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10741
31/2-14	550.000000	1.120000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10742
31/2-14	600.000000	1.140000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10743
31/2-14	650.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10744
31/2-14	750.000000	1.110000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10745
31/2-14	800.000000	1.120000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10746
31/2-14	850.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10747
31/2-14	900.000000	1.260000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10748
31/2-14	1000.000000	1.270000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10749
31/2-14	1200.000000	1.310000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10750
31/2-14	1250.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10751
31/2-14	1515.000000	1.160000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10752
31/2-14	1535.000000	1.130000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10753
31/2-14	1545.000000	1.160000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10754
31/2-14	1570.000000	1.170000	0.000000	0.000000	WATER BASED	9999-12-31	106	9999-12-31	2013-05-08	10755
31/2-15	430.000000	1.030000	9.000000	34.000000	WATER BASED	1984-09-11	439	9999-12-31	2013-05-08	10756
31/2-15	477.000000	1.030000	0.000000	0.000000	WATER BASED	1984-09-12	439	9999-12-31	2013-05-08	10757
31/2-15	480.000000	1.030000	15.000000	60.000000	WATER BASED	1984-09-13	439	9999-12-31	2013-05-08	10758
31/2-15	810.000000	1.030000	6.000000	31.000000	WATER BASED	1984-09-14	439	9999-12-31	2013-05-08	10759
31/2-15	810.000000	1.030000	6.000000	31.000000	WATER BASED	1984-09-16	439	9999-12-31	2013-05-08	10760
31/2-15	810.000000	1.260000	20.000000	19.000000	WATER BASED	1984-09-18	439	9999-12-31	2013-05-08	10761
31/2-15	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-09-17	439	9999-12-31	2013-05-08	10762
31/2-15	810.000000	1.030000	6.000000	31.000000	WATER BASED	1984-09-16	439	9999-12-31	2013-05-08	10763
31/2-15	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-09-16	439	9999-12-31	2013-05-08	10764
31/2-15	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-09-17	439	9999-12-31	2013-05-08	10765
31/2-15	810.000000	1.260000	20.000000	19.000000	WATER BASED	1984-09-18	439	9999-12-31	2013-05-08	10766
31/2-15	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-09-16	439	9999-12-31	2013-05-08	10767
31/2-15	1069.000000	1.260000	27.000000	18.000000	WATER BASED	1984-09-19	439	9999-12-31	2013-05-08	10768
31/2-15	1440.000000	1.290000	18.000000	18.000000	WATER BASED	1984-09-20	439	9999-12-31	2013-05-08	10769
31/2-15	1460.000000	1.290000	16.000000	16.000000	WATER BASED	1984-09-23	439	9999-12-31	2013-05-08	10770
31/2-15	1460.000000	1.270000	14.000000	16.000000	WATER BASED	1984-09-23	439	9999-12-31	2013-05-08	10771
31/2-15	1460.000000	1.270000	14.000000	16.000000	WATER BASED	1984-09-23	439	9999-12-31	2013-05-08	10772
31/2-15	1474.000000	1.210000	14.000000	18.000000	WATER BASED	1984-09-25	439	9999-12-31	2013-05-08	10773
31/2-15	1493.000000	1.210000	15.000000	19.000000	WATER BASED	1984-09-25	439	9999-12-31	2013-05-08	10774
31/2-15	1510.000000	1.210000	15.000000	19.000000	WATER BASED	1984-09-26	439	9999-12-31	2013-05-08	10775
31/2-15	1521.000000	1.210000	15.000000	19.000000	WATER BASED	1984-09-27	439	9999-12-31	2013-05-08	10776
31/2-15	1530.000000	1.210000	15.000000	19.000000	WATER BASED	1984-09-29	439	9999-12-31	2013-05-08	10777
31/2-15	1538.000000	1.210000	15.000000	19.000000	WATER BASED	1984-09-29	439	9999-12-31	2013-05-08	10778
31/2-15	1562.000000	1.210000	18.000000	19.000000	WATER BASED	1984-09-29	439	9999-12-31	2013-05-08	10779
31/2-15	1564.000000	1.200000	0.000000	0.000000	WATER BASED	1984-11-01	439	9999-12-31	2013-05-08	10780
31/2-15	1572.000000	1.200000	0.000000	0.000000	WATER BASED	1984-10-17	439	9999-12-31	2013-05-08	10781
31/2-15	1595.000000	1.210000	17.000000	20.000000	WATER BASED	1984-10-01	439	9999-12-31	2013-05-08	10782
31/2-15	1634.000000	1.200000	0.000000	0.000000	WATER BASED	1984-10-15	439	9999-12-31	2013-05-08	10783
31/2-15	1634.000000	1.200000	0.000000	0.000000	WATER BASED	1984-10-16	439	9999-12-31	2013-05-08	10784
31/2-15	1634.000000	1.200000	0.000000	0.000000	WATER BASED	1984-10-14	439	9999-12-31	2013-05-08	10785
31/2-15	1634.000000	1.200000	0.000000	0.000000	WATER BASED	1984-10-16	439	9999-12-31	2013-05-08	10786
31/2-15	1634.000000	1.200000	0.000000	0.000000	WATER BASED	1984-10-15	439	9999-12-31	2013-05-08	10787
31/2-15	1638.000000	1.230000	18.000000	21.000000	WATER BASED	1984-10-14	439	9999-12-31	2013-05-08	10788
31/2-15	1638.000000	1.200000	0.000000	0.000000	WATER BASED	1984-10-14	439	9999-12-31	2013-05-08	10789
31/2-15	1638.000000	1.220000	17.000000	19.000000	WATER BASED	1984-10-10	439	9999-12-31	2013-05-08	10790
31/2-15	1638.000000	1.230000	18.000000	21.000000	WATER BASED	1984-10-11	439	9999-12-31	2013-05-08	10791
31/2-15	1638.000000	1.230000	18.000000	21.000000	WATER BASED	1984-10-11	439	9999-12-31	2013-05-08	10792
31/2-15	1638.000000	1.230000	18.000000	21.000000	WATER BASED	1984-10-14	439	9999-12-31	2013-05-08	10793
31/2-15	1638.000000	1.200000	0.000000	0.000000	WATER BASED	1984-10-14	439	9999-12-31	2013-05-08	10794
31/2-15	1638.000000	1.220000	17.000000	19.000000	WATER BASED	1984-10-10	439	9999-12-31	2013-05-08	10795
31/2-15	1638.000000	1.230000	18.000000	21.000000	WATER BASED	1984-10-08	439	9999-12-31	2013-05-08	10796
31/2-15	1663.000000	0.000000	0.000000	0.000000	WATER BASED	1984-10-21	439	9999-12-31	2013-05-08	10797
31/2-15	1663.000000	1.220000	12.000000	19.000000	WATER BASED	1984-10-10	439	9999-12-31	2013-05-08	10798
31/2-15	1677.000000	1.240000	19.000000	21.000000	WATER BASED	1984-10-08	439	9999-12-31	2013-05-08	10799
31/2-15	1677.000000	1.230000	18.000000	21.000000	WATER BASED	1984-10-08	439	9999-12-31	2013-05-08	10800
31/2-15	1677.000000	1.240000	20.000000	21.000000	WATER BASED	1984-10-08	439	9999-12-31	2013-05-08	10801
31/2-15	1677.000000	1.230000	18.000000	21.000000	WATER BASED	1984-10-08	439	9999-12-31	2013-05-08	10802
31/2-15	1677.000000	1.230000	19.000000	21.000000	WATER BASED	1984-10-03	439	9999-12-31	2013-05-08	10803
31/2-15	1677.000000	1.240000	20.000000	21.000000	WATER BASED	1984-10-08	439	9999-12-31	2013-05-08	10804
31/2-15	1677.000000	1.240000	19.000000	21.000000	WATER BASED	1984-10-08	439	9999-12-31	2013-05-08	10805
31/2-16 S	439.000000	1.050000	0.000000	0.000000	WATER BASED	1989-09-29	1453	9999-12-31	2013-05-08	10806
31/2-16 S	623.000000	1.250000	11.000000	6.000000	WATER BASED	1991-07-08	1453	9999-12-31	2013-05-08	10807
31/2-16 S	1020.000000	1.340000	54.000000	15.000000	OIL BASED	1989-10-09	1453	9999-12-31	2013-05-08	10808
31/2-16 S	1020.000000	1.340000	51.000000	15.000000	OIL BASED	1989-10-09	1453	9999-12-31	2013-05-08	10809
31/2-16 S	1020.000000	0.000000	0.000000	0.000000	WATER BASED	1989-10-05	1453	9999-12-31	2013-05-08	10810
31/2-16 S	1020.000000	1.340000	52.000000	15.000000	OIL BASED	1989-10-06	1453	9999-12-31	2013-05-08	10811
31/2-16 S	1020.000000	0.000000	0.000000	0.000000	WATER BASED	1989-10-03	1453	9999-12-31	2013-05-08	10812
31/2-16 S	1023.000000	1.360000	53.000000	14.000000	OIL BASED	1989-10-09	1453	9999-12-31	2013-05-08	10813
31/2-16 S	1315.000000	1.410000	44.000000	11.000000	OIL BASED	1989-10-12	1453	9999-12-31	2013-05-08	10814
31/2-16 S	1315.000000	1.410000	47.000000	11.000000	OIL BASED	1989-10-10	1453	9999-12-31	2013-05-08	10815
31/2-16 S	1315.000000	1.410000	46.000000	11.000000	OIL BASED	1989-10-11	1453	9999-12-31	2013-05-08	10816
31/2-16 S	1321.000000	1.400000	42.000000	10.000000	OIL BASED	1989-10-13	1453	9999-12-31	2013-05-08	10817
31/2-16 S	1370.000000	1.410000	46.000000	11.000000	OIL BASED	1989-10-16	1453	9999-12-31	2013-05-08	10818
31/2-16 S	1370.000000	1.410000	50.000000	11.000000	OIL BASED	1989-10-16	1453	9999-12-31	2013-05-08	10819
31/2-16 S	1375.000000	1.390000	36.000000	9.000000	OIL BASED	1989-10-16	1453	9999-12-31	2013-05-08	10820
31/2-16 S	1398.000000	1.390000	35.000000	8.000000	OIL BASED	1989-10-18	1453	9999-12-31	2013-05-08	10821
31/2-16 S	1403.000000	1.350000	31.000000	8.000000	OIL BASED	1989-10-18	1453	9999-12-31	2013-05-08	10822
31/2-16 S	1513.000000	1.350000	44.000000	13.000000	OIL BASED	1989-10-19	1453	9999-12-31	2013-05-08	10823
31/2-16 S	1607.000000	1.350000	48.000000	14.000000	OIL BASED	1989-10-23	1453	9999-12-31	2013-05-08	10824
31/2-16 S	1607.000000	1.350000	37.000000	9.000000	OIL BASED	1989-10-23	1453	9999-12-31	2013-05-08	10825
31/2-16 S	1607.000000	1.350000	48.000000	14.000000	OIL BASED	1989-10-23	1453	9999-12-31	2013-05-08	10826
31/2-16 S	1607.000000	1.350000	37.000000	9.000000	OIL BASED	1989-10-23	1453	9999-12-31	2013-05-08	10827
31/2-16 S	1607.000000	1.250000	26.000000	4.000000	OIL BASED	1989-10-24	1453	9999-12-31	2013-05-08	10828
31/2-16 S	1607.000000	1.350000	38.000000	9.000000	OIL BASED	1989-10-23	1453	9999-12-31	2013-05-08	10829
31/2-16 S	1607.000000	1.350000	38.000000	9.000000	OIL BASED	1989-10-23	1453	9999-12-31	2013-05-08	10830
31/2-16 S	1610.000000	1.260000	31.000000	7.000000	OIL BASED	1989-10-25	1453	9999-12-31	2013-05-08	10831
31/2-16 S	1679.000000	1.250000	33.000000	6.000000	OIL BASED	1989-10-27	1453	9999-12-31	2013-05-08	10832
31/2-16 S	1743.000000	1.260000	39.000000	8.000000	OIL BASED	1989-10-27	1453	9999-12-31	2013-05-08	10833
31/2-16 S	1774.000000	1.270000	36.000000	9.000000	OIL BASED	1989-10-30	1453	9999-12-31	2013-05-08	10834
31/2-16 S	1802.000000	1.260000	33.000000	8.000000	OIL BASED	1989-10-30	1453	9999-12-31	2013-05-08	10835
31/2-16 S	1804.000000	1.260000	31.000000	7.000000	OIL BASED	1989-10-30	1453	9999-12-31	2013-05-08	10836
31/2-16 S	1861.000000	1.250000	12.000000	9.000000	WATER BASED	1989-11-09	1453	9999-12-31	2013-05-08	10837
31/2-16 S	1873.000000	1.260000	33.000000	7.000000	OIL BASED	1989-10-31	1453	9999-12-31	2013-05-08	10838
31/2-16 S	1890.000000	1.240000	13.000000	11.000000	WATER BASED	1989-11-07	1453	9999-12-31	2013-05-08	10839
31/2-16 S	1890.000000	1.230000	14.000000	11.000000	WATER BASED	1989-11-06	1453	9999-12-31	2013-05-08	10840
31/2-16 S	1891.000000	1.270000	34.000000	7.000000	OIL BASED	1989-11-06	1453	9999-12-31	2013-05-08	10841
31/2-16 S	1891.000000	1.230000	14.000000	11.000000	WATER BASED	1989-11-06	1453	9999-12-31	2013-05-08	10842
31/2-16 S	1891.000000	1.270000	34.000000	7.000000	OIL BASED	1989-11-03	1453	9999-12-31	2013-05-08	10843
31/2-16 S	1891.000000	1.270000	34.000000	7.000000	OIL BASED	1989-11-02	1453	9999-12-31	2013-05-08	10844
31/2-16 S	1891.000000	1.270000	31.000000	7.000000	OIL BASED	1989-11-01	1453	9999-12-31	2013-05-08	10845
31/2-16 S	1905.000000	1.250000	13.000000	13.000000	WATER BASED	1989-11-13	1453	9999-12-31	2013-05-08	10846
31/2-16 S	1905.000000	1.250000	13.000000	11.000000	WATER BASED	1989-11-10	1453	9999-12-31	2013-05-08	10847
31/2-16 S	1905.000000	1.240000	13.000000	13.000000	WATER BASED	1989-11-09	1453	9999-12-31	2013-05-08	10848
31/2-16 S	1905.000000	1.250000	13.000000	12.000000	WATER BASED	1989-11-13	1453	9999-12-31	2013-05-08	10849
31/2-16 S	1905.000000	1.250000	13.000000	12.000000	WATER BASED	1989-11-13	1453	9999-12-31	2013-05-08	10850
31/2-16 S	2000.000000	1.250000	13.000000	13.000000	WATER BASED	1989-11-14	1453	9999-12-31	2013-05-08	10851
31/2-16 S	2033.000000	1.260000	14.000000	12.000000	WATER BASED	1989-11-15	1453	9999-12-31	2013-05-08	10852
31/2-16 S	2056.000000	1.250000	14.000000	12.000000	WATER BASED	1989-11-16	1453	9999-12-31	2013-05-08	10853
31/2-16 S	2183.000000	1.250000	13.000000	12.000000	WATER BASED	1989-11-17	1453	9999-12-31	2013-05-08	10854
31/2-16 S	2317.000000	1.260000	15.000000	13.000000	WATER BASED	1989-11-20	1453	9999-12-31	2013-05-08	10855
31/2-16 S	2390.000000	1.250000	14.000000	16.000000	WATER BASED	1989-11-27	1453	9999-12-31	2013-05-08	10856
31/2-16 S	2390.000000	1.150000	11.000000	6.000000	WATER BASED	1989-12-04	1453	9999-12-31	2013-05-08	10857
31/2-16 S	2390.000000	1.150000	11.000000	6.000000	WATER BASED	1989-12-11	1453	9999-12-31	2013-05-08	10858
31/2-16 S	2390.000000	1.250000	11.000000	7.000000	WATER BASED	1991-07-05	1453	9999-12-31	2013-05-08	10859
31/2-16 S	2390.000000	1.250000	12.000000	8.000000	WATER BASED	1991-07-01	1453	9999-12-31	2013-05-08	10860
31/2-16 S	2390.000000	1.250000	12.000000	8.000000	WATER BASED	1991-07-01	1453	9999-12-31	2013-05-08	10861
31/2-16 S	2390.000000	1.250000	9.000000	6.000000	WATER BASED	1991-07-01	1453	9999-12-31	2013-05-08	10862
31/2-16 S	2390.000000	1.260000	9.000000	5.000000	WATER BASED	1991-07-08	1453	9999-12-31	2013-05-08	10863
31/2-16 S	2390.000000	1.250000	12.000000	7.000000	WATER BASED	1989-11-22	1453	9999-12-31	2013-05-08	10864
31/2-16 S	2390.000000	1.250000	12.000000	7.000000	WATER BASED	1989-11-21	1453	9999-12-31	2013-05-08	10865
31/2-16 S	2390.000000	1.260000	15.000000	14.000000	WATER BASED	1989-11-20	1453	9999-12-31	2013-05-08	10866
31/2-16 S	2390.000000	1.250000	10.000000	6.000000	WATER BASED	1989-11-20	1453	9999-12-31	2013-05-08	10867
31/2-16 S	2390.000000	1.250000	16.000000	18.000000	WATER BASED	1989-11-24	1453	9999-12-31	2013-05-08	10868
31/2-16 S	2390.000000	1.250000	15.000000	16.000000	WATER BASED	1989-11-27	1453	9999-12-31	2013-05-08	10869
31/2-16 S	2390.000000	1.250000	14.000000	16.000000	WATER BASED	1989-11-27	1453	9999-12-31	2013-05-08	10870
31/2-16 S	2390.000000	1.250000	11.000000	7.000000	WATER BASED	1989-11-30	1453	9999-12-31	2013-05-08	10871
31/2-16 S	2390.000000	1.250000	16.000000	18.000000	WATER BASED	1989-11-23	1453	9999-12-31	2013-05-08	10872
31/2-16 S	2390.000000	1.250000	10.000000	8.000000	WATER BASED	1989-11-28	1453	9999-12-31	2013-05-08	10873
31/2-16 S	2390.000000	1.150000	11.000000	6.000000	WATER BASED	1989-12-13	1453	9999-12-31	2013-05-08	10874
31/2-16 S	2390.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-13	1453	9999-12-31	2013-05-08	10875
31/2-16 S	2390.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-11	1453	9999-12-31	2013-05-08	10876
31/2-16 S	2390.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-11	1453	9999-12-31	2013-05-08	10877
31/2-16 S	2390.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-14	1453	9999-12-31	2013-05-08	10878
31/2-16 S	2390.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-20	1453	9999-12-31	2013-05-08	10879
31/2-16 S	2390.000000	1.250000	13.000000	12.000000	WATER BASED	1989-11-29	1453	9999-12-31	2013-05-08	10880
31/2-16 S	2390.000000	1.250000	11.000000	6.000000	WATER BASED	1989-12-01	1453	9999-12-31	2013-05-08	10881
31/2-16 S	2390.000000	1.250000	11.000000	6.000000	WATER BASED	1989-12-04	1453	9999-12-31	2013-05-08	10882
31/2-16 S	2390.000000	1.150000	11.000000	6.000000	WATER BASED	1989-12-04	1453	9999-12-31	2013-05-08	10883
31/2-16 S	2390.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-22	1453	9999-12-31	2013-05-08	10884
31/2-16 S	2390.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-21	1453	9999-12-31	2013-05-08	10885
31/2-16 S	2930.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-19	1453	9999-12-31	2013-05-08	10886
31/2-16 S	2930.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-15	1453	9999-12-31	2013-05-08	10887
31/2-16 S	2930.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-18	1453	9999-12-31	2013-05-08	10888
31/2-16 S	2930.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-18	1453	9999-12-31	2013-05-08	10889
31/2-16 S	2930.000000	1.050000	11.000000	6.000000	WATER BASED	1989-12-18	1453	9999-12-31	2013-05-08	10890
31/2-17 A	926.000000	1.350000	49.000000	0.000000	OIL BASED	9999-12-31	1898	9999-12-31	2013-05-08	10891
31/2-17 A	1546.000000	1.370000	50.000000	0.000000	OIL BASED	9999-12-31	1898	9999-12-31	2013-05-08	10892
31/2-17 A	1580.000000	1.250000	35.000000	0.000000	OIL BASED	9999-12-31	1898	9999-12-31	2013-05-08	10893
31/2-17 A	1652.000000	1.370000	44.000000	0.000000	OIL BASED	9999-12-31	1898	9999-12-31	2013-05-08	10894
31/2-17 A	1703.000000	1.260000	31.000000	0.000000	OIL BASED	9999-12-31	1898	9999-12-31	2013-05-08	10895
31/2-17 A	1755.000000	1.260000	29.000000	0.000000	OIL BASED	9999-12-31	1898	9999-12-31	2013-05-08	10896
31/2-17 A	1847.000000	1.260000	29.000000	0.000000	OIL BASED	9999-12-31	1898	9999-12-31	2013-05-08	10897
31/2-17 A	1924.000000	1.260000	35.000000	0.000000	OIL BASED	9999-12-31	1898	9999-12-31	2013-05-08	10898
31/2-17 B	1764.000000	1.250000	30.000000	0.000000	OIL BASED	9999-12-31	1899	9999-12-31	2013-05-08	10899
31/2-17 B	1815.000000	1.250000	28.000000	0.000000	OIL BASED	9999-12-31	1899	9999-12-31	2013-05-08	10900
31/2-17 B	1829.000000	1.260000	31.000000	0.000000	OIL BASED	9999-12-31	1899	9999-12-31	2013-05-08	10901
31/2-17 B	1838.000000	1.260000	31.000000	0.000000	OIL BASED	9999-12-31	1899	9999-12-31	2013-05-08	10902
31/2-17 S	365.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10903
31/2-17 S	453.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10904
31/2-17 S	454.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10905
31/2-17 S	495.000000	1.070000	13.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10906
31/2-17 S	604.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10907
31/2-17 S	843.000000	1.500000	14.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10908
31/2-17 S	850.000000	1.340000	25.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10909
31/2-17 S	921.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10910
31/2-17 S	1070.000000	1.300000	24.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10911
31/2-17 S	1514.000000	1.360000	23.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10912
31/2-17 S	1775.000000	1.340000	25.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10913
31/2-17 S	1841.000000	1.360000	23.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10914
31/2-17 S	1912.000000	1.250000	22.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10915
31/2-17 S	1978.000000	1.250000	20.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10916
31/2-17 S	2016.000000	1.250000	21.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10917
31/2-17 S	2117.000000	1.250000	22.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10918
31/2-17 S	2220.000000	1.260000	24.000000	0.000000	WATER BASED	9999-12-31	1885	9999-12-31	2013-05-08	10919
31/2-18	453.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10920
31/2-18	518.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10921
31/2-18	940.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10922
31/2-18	1344.000000	1.350000	0.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10923
31/2-18	1350.000000	1.170000	28.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10924
31/2-18	1435.000000	1.350000	25.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10925
31/2-18	1465.000000	1.170000	13.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10926
31/2-18	1503.000000	1.170000	27.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10927
31/2-18	1534.000000	1.170000	28.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10928
31/2-18	1570.000000	1.170000	27.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10929
31/2-18	1610.000000	1.170000	27.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10930
31/2-18	1639.000000	1.170000	28.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10931
31/2-18	1678.000000	1.170000	27.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10932
31/2-18	1711.000000	1.170000	29.000000	0.000000	WATER BASED	9999-12-31	1988	9999-12-31	2013-05-08	10933
31/2-18 A	1344.000000	1.170000	51.000000	0.000000	WATER BASED	9999-12-31	2038	9999-12-31	2013-05-08	10934
31/2-18 A	1516.000000	1.170000	41.000000	0.000000	WATER BASED	9999-12-31	2038	9999-12-31	2013-05-08	10935
31/2-18 A	1620.000000	1.170000	37.000000	0.000000	WATER BASED	9999-12-31	2038	9999-12-31	2013-05-08	10936
31/2-18 A	1769.000000	1.170000	39.000000	0.000000	WATER BASED	9999-12-31	2038	9999-12-31	2013-05-08	10937
31/2-18 A	2005.000000	1.170000	38.000000	0.000000	WATER BASED	9999-12-31	2038	9999-12-31	2013-05-08	10938
31/2-19 S	428.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10939
31/2-19 S	1316.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10940
31/2-19 S	1504.000000	1.250000	13.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10941
31/2-19 S	1745.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10942
31/2-19 S	1748.000000	1.250000	20.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10943
31/2-19 S	2164.000000	1.260000	20.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10944
31/2-19 S	2518.000000	1.260000	21.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10945
31/2-19 S	2620.000000	1.250000	21.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10946
31/2-19 S	2917.000000	1.250000	24.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10947
31/2-19 S	2920.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10948
31/2-19 S	3118.000000	1.300000	24.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10949
31/2-19 S	3196.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10950
31/2-19 S	3203.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10951
31/2-19 S	3453.000000	1.300000	18.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10952
31/2-19 S	4114.000000	1.300000	17.000000	0.000000	WATER BASED	9999-12-31	2798	9999-12-31	2013-05-08	10953
31/2-2	708.000000	1.220000	41.000000	0.000000	seawater	9999-12-31	227	9999-12-31	2013-05-08	10954
31/2-2	1000.000000	1.220000	49.000000	0.000000	seawater	9999-12-31	227	9999-12-31	2013-05-08	10955
31/2-2	1408.000000	1.220000	50.000000	0.000000	seawater	9999-12-31	227	9999-12-31	2013-05-08	10956
31/2-2	1624.000000	1.260000	45.000000	0.000000	seawater	9999-12-31	227	9999-12-31	2013-05-08	10957
31/2-2 R	1817.000000	1.160000	48.000000	0.000000	seawater	9999-12-31	504	9999-12-31	2013-05-08	10958
31/2-2 R	1919.000000	1.150000	52.000000	0.000000	seawater	9999-12-31	504	9999-12-31	2013-05-08	10959
31/2-2 R	2225.000000	1.170000	52.000000	0.000000	seawater	9999-12-31	504	9999-12-31	2013-05-08	10960
31/2-2 R	2348.000000	1.180000	48.000000	0.000000	seawater	9999-12-31	504	9999-12-31	2013-05-08	10961
31/2-20 S	2400.000000	1.250000	17.000000	0.000000	WATER BASED	9999-12-31	4636	9999-12-31	2013-05-08	10962
31/2-20 S	2430.000000	1.250000	21.000000	0.000000	WATER BASED	9999-12-31	4636	9999-12-31	2013-05-08	10963
31/2-20 S	2457.000000	1.250000	15.000000	0.000000	WATER BASED	9999-12-31	4636	9999-12-31	2013-05-08	10964
31/2-20 S	2501.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	4636	9999-12-31	2013-05-08	10965
31/2-20 S	2788.000000	1.250000	16.000000	0.000000	WATER BASED	9999-12-31	4636	9999-12-31	2013-05-08	10966
31/2-20 S	3144.000000	1.250000	15.000000	0.000000	WATER BASED	9999-12-31	4636	9999-12-31	2013-05-08	10967
31/2-20 S	3214.000000	1.250000	16.000000	0.000000	WATER BASED	9999-12-31	4636	9999-12-31	2013-05-08	10968
31/2-20 S	3400.000000	1.250000	18.000000	0.000000	WATER BASED	9999-12-31	4636	9999-12-31	2013-05-08	10969
31/2-3	789.000000	1.310000	54.000000	0.000000	seawater	9999-12-31	236	9999-12-31	2013-05-08	10970
31/2-3	1338.000000	1.320000	60.000000	0.000000	seawater	9999-12-31	236	9999-12-31	2013-05-08	10971
31/2-3	1433.000000	1.280000	52.000000	0.000000	seawater	9999-12-31	236	9999-12-31	2013-05-08	10972
31/2-3	1941.000000	1.180000	52.000000	0.000000	seawater	9999-12-31	236	9999-12-31	2013-05-08	10973
31/2-3	2267.000000	1.190000	48.000000	0.000000	seawater	9999-12-31	236	9999-12-31	2013-05-08	10974
31/2-4	353.000000	1.050000	100.000000	0.000000	seawater	9999-12-31	208	9999-12-31	2013-05-08	10975
31/2-4	790.000000	1.280000	52.000000	0.000000	seawater	9999-12-31	208	9999-12-31	2013-05-08	10976
31/2-4 R	820.000000	1.560000	0.000000	0.000000	seawater	9999-12-31	502	9999-12-31	2013-05-08	10977
31/2-4 R	1665.000000	1.620000	0.000000	0.000000	seawater	9999-12-31	502	9999-12-31	2013-05-08	10978
31/2-4 R	2000.000000	1.460000	0.000000	0.000000	seawater	9999-12-31	502	9999-12-31	2013-05-08	10979
31/2-4 R	2310.000000	1.460000	0.000000	0.000000	seawater	9999-12-31	502	9999-12-31	2013-05-08	10980
31/2-4 R	3480.000000	1.460000	0.000000	0.000000	seawater	9999-12-31	502	9999-12-31	2013-05-08	10981
31/2-4 R	3640.000000	1.440000	0.000000	0.000000	seawater	9999-12-31	502	9999-12-31	2013-05-08	10982
31/2-5	414.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	210	9999-12-31	2013-05-08	10983
31/2-5	473.000000	1.050000	36.000000	0.000000	seawater	9999-12-31	210	9999-12-31	2013-05-08	10984
31/2-5	788.000000	1.200000	75.000000	0.000000	waterbased	9999-12-31	210	9999-12-31	2013-05-08	10985
31/2-5	1270.000000	1.210000	54.000000	0.000000	waterbased	9999-12-31	210	9999-12-31	2013-05-08	10986
31/2-5	1448.000000	1.250000	55.000000	0.000000	waterbased	9999-12-31	210	9999-12-31	2013-05-08	10987
31/2-5	1806.000000	1.150000	50.000000	0.000000	waterbased	9999-12-31	210	9999-12-31	2013-05-08	10988
31/2-5 R	500.000000	1.050000	36.000000	0.000000	seawater	9999-12-31	500	9999-12-31	2013-05-08	10989
31/2-5 R	1040.000000	1.210000	51.000000	0.000000	seawater	9999-12-31	500	9999-12-31	2013-05-08	10990
31/2-5 R	1480.000000	1.200000	49.000000	0.000000	waterbased	9999-12-31	500	9999-12-31	2013-05-08	10991
31/2-5 R	1510.000000	1.250000	48.000000	0.000000	waterbased	9999-12-31	500	9999-12-31	2013-05-08	10992
31/2-5 R	1870.000000	1.500000	48.000000	0.000000	waterbased	9999-12-31	500	9999-12-31	2013-05-08	10993
31/2-5 R	1960.000000	1.250000	49.000000	0.000000	waterbased	9999-12-31	500	9999-12-31	2013-05-08	10994
31/2-5 R	2110.000000	1.150000	46.000000	0.000000	waterbased	9999-12-31	500	9999-12-31	2013-05-08	10995
31/2-5 R2	500.000000	1.050000	36.000000	0.000000	water based	9999-12-31	501	9999-12-31	2013-05-08	10996
31/2-5 R2	1030.000000	1.210000	51.000000	0.000000	water based	9999-12-31	501	9999-12-31	2013-05-08	10997
31/2-5 R2	1510.000000	1.250000	60.000000	0.000000	water based	9999-12-31	501	9999-12-31	2013-05-08	10998
31/2-5 R2	1870.000000	1.500000	48.000000	0.000000	water based	9999-12-31	501	9999-12-31	2013-05-08	10999
31/2-5 R2	1940.000000	1.150000	51.000000	0.000000	water based	9999-12-31	501	9999-12-31	2013-05-08	11000
31/2-5 R2	1960.000000	1.250000	49.000000	0.000000	water based	9999-12-31	501	9999-12-31	2013-05-08	11001
31/2-5 R2	2110.000000	1.150000	46.000000	0.000000	water based	9999-12-31	501	9999-12-31	2013-05-08	11002
31/2-6	420.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	399	9999-12-31	2013-05-08	11003
31/2-6	820.000000	1.120000	50.000000	0.000000	water based	9999-12-31	399	9999-12-31	2013-05-08	11004
31/2-6	1485.000000	1.320000	50.000000	0.000000	water based	9999-12-31	399	9999-12-31	2013-05-08	11005
31/2-6	1532.000000	1.180000	52.000000	0.000000	water based	9999-12-31	399	9999-12-31	2013-05-08	11006
31/2-7	465.000000	1.070000	50.000000	0.000000	waterbased	9999-12-31	70	9999-12-31	2013-05-08	11007
31/2-7	600.000000	1.090000	50.000000	0.000000	waterbased	9999-12-31	70	9999-12-31	2013-05-08	11008
31/2-7	800.000000	1.100000	50.000000	0.000000	waterbased	9999-12-31	70	9999-12-31	2013-05-08	11009
31/2-7	800.000000	1.100000	48.000000	0.000000	waterbased	9999-12-31	70	9999-12-31	2013-05-08	11010
31/2-7	950.000000	1.310000	47.000000	0.000000	waterbased	9999-12-31	70	9999-12-31	2013-05-08	11011
31/2-7	1150.000000	1.310000	47.000000	0.000000	waterbased	9999-12-31	70	9999-12-31	2013-05-08	11012
31/2-7	1650.000000	1.190000	54.000000	0.000000	waterbased	9999-12-31	70	9999-12-31	2013-05-08	11013
31/2-8	485.000000	1.070000	52.000000	0.000000	waterbased	9999-12-31	78	9999-12-31	2013-05-08	11014
31/2-8	845.000000	1.270000	51.000000	0.000000	waterbased	9999-12-31	78	9999-12-31	2013-05-08	11015
31/2-8	1745.000000	1.360000	55.000000	0.000000	waterbased	9999-12-31	78	9999-12-31	2013-05-08	11016
31/2-8	1870.000000	1.210000	49.000000	0.000000	waterbased	9999-12-31	78	9999-12-31	2013-05-08	11017
31/2-8	2743.000000	1.230000	50.000000	0.000000	waterbased	9999-12-31	78	9999-12-31	2013-05-08	11018
31/2-8	3375.000000	1.240000	50.000000	0.000000	waterbased	9999-12-31	78	9999-12-31	2013-05-08	11019
31/2-9	480.000000	1.050000	0.000000	0.000000	waterbased	9999-12-31	88	9999-12-31	2013-05-08	11020
31/2-9	780.000000	1.120000	0.000000	0.000000	waterbased	9999-12-31	88	9999-12-31	2013-05-08	11021
31/2-9	990.000000	1.280000	0.000000	0.000000	waterbased	9999-12-31	88	9999-12-31	2013-05-08	11022
31/2-9	1290.000000	1.310000	0.000000	0.000000	waterbased	9999-12-31	88	9999-12-31	2013-05-08	11023
31/2-9	1750.000000	1.180000	0.000000	0.000000	waterbased	9999-12-31	88	9999-12-31	2013-05-08	11024
31/3-1	450.000000	1.070000	51.000000	0.000000	seawater	9999-12-31	20	9999-12-31	2013-05-08	11025
31/3-1	1000.000000	1.080000	53.000000	0.000000	seawater	9999-12-31	20	9999-12-31	2013-05-08	11026
31/3-1	1260.000000	1.280000	22.000000	0.000000	seawater	9999-12-31	20	9999-12-31	2013-05-08	11027
31/3-1	1775.000000	1.300000	60.000000	0.000000	seawater	9999-12-31	20	9999-12-31	2013-05-08	11028
31/3-1	1950.000000	1.120000	53.000000	0.000000	seawater	9999-12-31	20	9999-12-31	2013-05-08	11029
31/3-2	460.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	100	9999-12-31	2013-05-08	11030
31/3-2	560.000000	1.370000	11.000000	0.000000	WATER BASED	9999-12-31	100	9999-12-31	2013-05-08	11031
31/3-2	650.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	100	9999-12-31	2013-05-08	11032
31/3-2	1250.000000	1.250000	19.000000	0.000000	WATER BASED	9999-12-31	100	9999-12-31	2013-05-08	11033
31/3-2	1355.000000	1.300000	18.000000	0.000000	WATER BASED	9999-12-31	100	9999-12-31	2013-05-08	11034
31/3-2	1650.000000	1.220000	40.000000	0.000000	WATER BASED	9999-12-31	100	9999-12-31	2013-05-08	11035
31/3-3	760.000000	1.100000	20.000000	34.000000	WATER BASED	1984-10-22	447	9999-12-31	2013-05-08	11036
31/3-3	820.000000	1.140000	14.000000	26.000000	WATER BASED	1984-10-22	447	9999-12-31	2013-05-08	11037
31/3-3	1358.000000	1.200000	16.000000	24.000000	WATER BASED	1984-10-22	447	9999-12-31	2013-05-08	11038
31/3-3	1764.000000	1.180000	29.000000	44.000000	WATER BASED	1984-10-31	447	9999-12-31	2013-05-08	11039
31/3-3	1782.000000	1.180000	26.000000	39.000000	WATER BASED	1984-11-01	447	9999-12-31	2013-05-08	11040
31/3-3	1830.000000	1.180000	26.000000	38.000000	WATER BASED	1984-11-02	447	9999-12-31	2013-05-08	11041
31/3-3	1917.000000	1.200000	26.000000	41.000000	WATER BASED	1984-11-05	447	9999-12-31	2013-05-08	11042
31/3-3	2257.000000	1.160000	24.000000	13.000000	WATER BASED	1984-11-08	447	9999-12-31	2013-05-08	11043
31/3-3	2257.000000	1.160000	25.000000	14.000000	WATER BASED	1984-11-09	447	9999-12-31	2013-05-08	11044
31/3-3	2257.000000	1.160000	25.000000	14.000000	WATER BASED	1984-11-09	447	9999-12-31	2013-05-08	11045
31/3-3	2436.000000	1.160000	29.000000	14.000000	WATER BASED	1984-11-12	447	9999-12-31	2013-05-08	11046
31/3-3	2558.000000	1.160000	30.000000	15.000000	WATER BASED	1984-11-13	447	9999-12-31	2013-05-08	11047
31/4-12	310.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	5051	9999-12-31	2013-05-08	11048
31/4-12	500.000000	1.540000	20.000000	0.000000	WATER BASED	9999-12-31	5051	9999-12-31	2013-05-08	11049
31/4-12	1184.000000	1.390000	19.000000	0.000000	WATER BASED	9999-12-31	5051	9999-12-31	2013-05-08	11050
31/4-12	1670.000000	1.500000	20.000000	0.000000	WATER BASED	9999-12-31	5051	9999-12-31	2013-05-08	11051
31/4-12	2052.000000	1.200000	16.000000	0.000000	WATER BASED	9999-12-31	5051	9999-12-31	2013-05-08	11052
31/4-12	2226.000000	1.160000	16.000000	0.000000	WATER BASED	9999-12-31	5051	9999-12-31	2013-05-08	11053
31/4-4	325.000000	1.040000	100.000000	0.000000	seawater	9999-12-31	214	9999-12-31	2013-05-08	11054
31/4-4	900.000000	1.110000	39.000000	0.000000	seawater	9999-12-31	214	9999-12-31	2013-05-08	11055
31/4-4	1918.000000	1.400000	53.000000	18.000000	seawater	9999-12-31	214	9999-12-31	2013-05-08	11056
31/4-4	2490.000000	1.300000	57.000000	17.000000	seawater	9999-12-31	214	9999-12-31	2013-05-08	11057
31/4-4	3150.000000	1.300000	61.000000	22.000000	seawater	9999-12-31	214	9999-12-31	2013-05-08	11058
31/5-1	480.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	27	9999-12-31	2013-05-08	11059
31/5-2	894.000000	1.100000	17.000000	19.000000	WATER BASED	9999-12-31	32	9999-12-31	2013-05-08	11060
31/5-2	1277.000000	1.340000	20.000000	20.000000	WATER BASED	9999-12-31	32	9999-12-31	2013-05-08	11061
31/5-2	1435.000000	1.270000	16.000000	19.000000	WATER BASED	9999-12-31	32	9999-12-31	2013-05-08	11062
31/5-2	2008.000000	1.230000	13.000000	16.000000	WATER BASED	9999-12-31	32	9999-12-31	2013-05-08	11063
31/5-2	2088.000000	1.210000	14.000000	16.000000	WATER BASED	9999-12-31	32	9999-12-31	2013-05-08	11064
31/5-2	2350.000000	1.170000	13.000000	16.000000	WATER BASED	9999-12-31	32	9999-12-31	2013-05-08	11065
31/5-2	2467.000000	1.200000	11.000000	11.000000	WATER BASED	9999-12-31	32	9999-12-31	2013-05-08	11066
31/5-3	426.000000	1.030000	0.000000	0.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11067
31/5-3	430.000000	1.030000	0.000000	0.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11068
31/5-3	440.000000	1.080000	0.000000	0.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11069
31/5-3	791.000000	1.140000	0.000000	0.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11070
31/5-3	837.000000	1.160000	0.000000	0.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11071
31/5-3	963.000000	1.200000	47.000000	25.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11072
31/5-3	963.000000	1.200000	47.000000	25.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11073
31/5-3	963.000000	1.180000	0.000000	0.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11074
31/5-3	965.000000	1.140000	0.000000	0.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11075
31/5-3	1080.000000	1.300000	49.000000	28.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11076
31/5-3	1177.000000	1.250000	47.000000	24.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11077
31/5-3	1395.000000	1.300000	49.000000	28.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11078
31/5-3	1426.000000	1.300000	46.000000	24.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11079
31/5-3	1515.000000	1.300000	46.000000	23.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11080
31/5-3	1515.000000	1.300000	46.000000	23.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11081
31/5-3	1515.000000	1.300000	46.000000	23.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11082
31/5-3	1518.000000	1.180000	80.000000	60.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11083
31/5-3	1568.000000	1.180000	78.000000	50.000000	WATER BASED	1984-04-30	101	9999-12-31	2013-05-08	11084
31/5-3	1595.000000	1.000000	78.000000	51.000000	WATER BASED	1984-05-03	101	9999-12-31	2013-05-08	11085
31/5-3	1623.000000	1.180000	69.000000	45.000000	WATER BASED	1984-05-03	101	9999-12-31	2013-05-08	11086
31/5-3	1730.000000	1.180000	77.000000	52.000000	WATER BASED	1984-05-03	101	9999-12-31	2013-05-08	11087
31/5-3	1880.000000	1.180000	80.000000	54.000000	WATER BASED	1984-05-03	101	9999-12-31	2013-05-08	11088
31/5-3	1915.000000	1.180000	79.000000	56.000000	WATER BASED	1984-05-03	101	9999-12-31	2013-05-08	11089
31/5-3	1915.000000	1.180000	78.000000	53.000000	WATER BASED	1984-05-03	101	9999-12-31	2013-05-08	11090
31/5-3	1915.000000	1.180000	85.000000	60.000000	WATER BASED	1984-05-03	101	9999-12-31	2013-05-08	11091
31/5-3	1915.000000	1.190000	87.000000	58.000000	WATER BASED	1984-05-04	101	9999-12-31	2013-05-08	11092
31/5-3	1915.000000	1.190000	75.000000	52.000000	WATER BASED	1984-05-07	101	9999-12-31	2013-05-08	11093
31/5-3	1915.000000	1.180000	78.000000	53.000000	WATER BASED	1984-05-03	101	9999-12-31	2013-05-08	11094
31/5-3	1915.000000	1.180000	85.000000	60.000000	WATER BASED	1984-05-03	101	9999-12-31	2013-05-08	11095
31/5-3	1915.000000	1.190000	75.000000	52.000000	WATER BASED	1984-05-07	101	9999-12-31	2013-05-08	11096
31/5-3	1915.000000	1.190000	87.000000	58.000000	WATER BASED	1984-05-04	101	9999-12-31	2013-05-08	11097
31/5-3	2236.000000	1.200000	61.000000	42.000000	WATER BASED	1984-05-07	101	9999-12-31	2013-05-08	11098
31/5-3	2250.000000	1.200000	61.000000	42.000000	WATER BASED	1984-05-08	101	9999-12-31	2013-05-08	11099
31/5-3	2250.000000	0.000000	61.000000	42.000000	WATER BASED	1984-06-07	101	9999-12-31	2013-05-08	11100
31/5-4 A	1571.000000	1.250000	21.000000	21.000000	WATER BASED	9999-12-31	1689	9999-12-31	2013-05-08	11101
31/5-4 A	1803.000000	1.250000	31.000000	12.000000	WATER BASED	9999-12-31	1689	9999-12-31	2013-05-08	11102
31/5-4 A	2089.000000	1.250000	13.000000	14.000000	WATER BASED	9999-12-31	1689	9999-12-31	2013-05-08	11103
31/5-4 A	2227.000000	1.250000	14.000000	15.000000	WATER BASED	9999-12-31	1689	9999-12-31	2013-05-08	11104
31/5-4 A	2601.000000	1.200000	11.000000	11.000000	WATER BASED	9999-12-31	1689	9999-12-31	2013-05-08	11105
31/5-4 S	376.000000	1.050000	20.000000	19.000000	WATER BASED	1990-09-14	1669	9999-12-31	2013-05-08	11106
31/5-4 S	425.000000	1.050000	20.000000	19.000000	WATER BASED	1990-09-17	1669	9999-12-31	2013-05-08	11107
31/5-4 S	425.000000	1.050000	20.000000	19.000000	WATER BASED	1990-09-17	1669	9999-12-31	2013-05-08	11108
31/5-4 S	710.000000	1.050000	20.000000	19.000000	WATER BASED	1990-09-17	1669	9999-12-31	2013-05-08	11109
31/5-4 S	943.000000	1.050000	20.000000	19.000000	WATER BASED	1990-09-18	1669	9999-12-31	2013-05-08	11110
31/5-4 S	943.000000	1.350000	18.000000	13.000000	WATER BASED	1990-09-24	1669	9999-12-31	2013-05-08	11111
31/5-4 S	943.000000	1.050000	0.000000	0.000000	WATER BASED	1990-09-21	1669	9999-12-31	2013-05-08	11112
31/5-4 S	943.000000	1.300000	0.000000	0.000000	WATER BASED	1990-09-19	1669	9999-12-31	2013-05-08	11113
31/5-4 S	943.000000	1.050000	0.000000	0.000000	WATER BASED	1990-09-20	1669	9999-12-31	2013-05-08	11114
31/5-4 S	943.000000	1.310000	19.000000	13.000000	WATER BASED	1990-09-24	1669	9999-12-31	2013-05-08	11115
31/5-4 S	1005.000000	1.310000	14.000000	12.000000	WATER BASED	1990-09-24	1669	9999-12-31	2013-05-08	11116
31/5-4 S	1261.000000	1.320000	17.000000	11.000000	WATER BASED	1990-09-25	1669	9999-12-31	2013-05-08	11117
31/5-4 S	1440.000000	1.320000	19.000000	12.000000	WATER BASED	1990-09-26	1669	9999-12-31	2013-05-08	11118
31/5-4 S	1508.000000	1.250000	17.000000	12.000000	WATER BASED	1990-10-02	1669	9999-12-31	2013-05-08	11119
31/5-4 S	1529.000000	1.320000	20.000000	14.000000	WATER BASED	1990-09-27	1669	9999-12-31	2013-05-08	11120
31/5-4 S	1569.000000	1.240000	31.000000	14.000000	OIL BASED	1990-10-12	1669	9999-12-31	2013-05-08	11121
31/5-4 S	1571.000000	1.260000	17.000000	12.000000	WATER BASED	1990-10-02	1669	9999-12-31	2013-05-08	11122
31/5-4 S	1571.000000	1.320000	20.000000	14.000000	WATER BASED	1990-09-28	1669	9999-12-31	2013-05-08	11123
31/5-4 S	1575.000000	1.260000	29.000000	12.000000	OIL BASED	1990-10-15	1669	9999-12-31	2013-05-08	11124
31/5-4 S	1648.000000	1.250000	20.000000	14.000000	WATER BASED	1990-10-02	1669	9999-12-31	2013-05-08	11125
31/5-4 S	1659.000000	1.250000	29.000000	11.000000	OIL BASED	1990-10-15	1669	9999-12-31	2013-05-08	11126
31/5-4 S	1728.000000	1.250000	28.000000	12.000000	OIL BASED	1990-10-15	1669	9999-12-31	2013-05-08	11127
31/5-4 S	1803.000000	1.250000	32.000000	15.000000	OIL BASED	1990-10-16	1669	9999-12-31	2013-05-08	11128
31/5-4 S	1803.000000	1.250000	31.000000	12.000000	OIL BASED	1990-10-18	1669	9999-12-31	2013-05-08	11129
31/5-4 S	1803.000000	1.250000	31.000000	12.000000	OIL BASED	1990-10-18	1669	9999-12-31	2013-05-08	11130
31/5-4 S	1803.000000	1.250000	32.000000	10.000000	OIL BASED	1990-10-22	1669	9999-12-31	2013-05-08	11131
31/5-4 S	1803.000000	1.260000	34.000000	10.000000	OIL BASED	1990-10-22	1669	9999-12-31	2013-05-08	11132
31/5-4 S	1803.000000	1.150000	9.000000	8.000000	WATER BASED	1990-10-22	1669	9999-12-31	2013-05-08	11133
31/5-4 S	1803.000000	1.250000	31.000000	12.000000	OIL BASED	1990-10-22	1669	9999-12-31	2013-05-08	11134
31/5-4 S	1805.000000	1.250000	11.000000	11.000000	WATER BASED	1990-10-23	1669	9999-12-31	2013-05-08	11135
31/5-4 S	1805.000000	1.250000	9.000000	10.000000	WATER BASED	1990-10-24	1669	9999-12-31	2013-05-08	11136
31/5-4 S	1805.000000	1.250000	10.000000	10.000000	WATER BASED	1990-10-25	1669	9999-12-31	2013-05-08	11137
31/5-4 S	1809.000000	1.250000	10.000000	11.000000	WATER BASED	1990-10-29	1669	9999-12-31	2013-05-08	11138
31/5-4 S	1811.000000	1.250000	10.000000	11.000000	WATER BASED	1990-10-26	1669	9999-12-31	2013-05-08	11139
31/5-4 S	1865.000000	1.250000	20.000000	13.000000	WATER BASED	1990-10-09	1669	9999-12-31	2013-05-08	11140
31/5-4 S	1879.000000	1.250000	20.000000	15.000000	WATER BASED	1990-10-09	1669	9999-12-31	2013-05-08	11141
31/5-4 S	1908.000000	1.240000	19.000000	15.000000	WATER BASED	1990-10-09	1669	9999-12-31	2013-05-08	11142
31/5-4 S	1908.000000	1.250000	20.000000	15.000000	WATER BASED	1990-10-10	1669	9999-12-31	2013-05-08	11143
31/5-4 S	1959.000000	1.250000	11.000000	13.000000	WATER BASED	1990-10-29	1669	9999-12-31	2013-05-08	11144
31/5-4 S	2025.000000	1.250000	11.000000	13.000000	WATER BASED	1990-10-29	1669	9999-12-31	2013-05-08	11145
31/5-4 S	2089.000000	1.250000	13.000000	14.000000	WATER BASED	1990-10-30	1669	9999-12-31	2013-05-08	11146
31/5-4 S	2133.000000	1.250000	13.000000	13.000000	WATER BASED	1990-10-31	1669	9999-12-31	2013-05-08	11147
31/5-4 S	2227.000000	1.250000	14.000000	15.000000	WATER BASED	1990-11-01	1669	9999-12-31	2013-05-08	11148
31/5-4 S	2366.000000	1.250000	13.000000	15.000000	WATER BASED	1990-11-02	1669	9999-12-31	2013-05-08	11149
31/5-4 S	2518.000000	1.250000	14.000000	15.000000	WATER BASED	1990-11-05	1669	9999-12-31	2013-05-08	11150
31/5-4 S	2585.000000	1.200000	2.000000	0.000000	WATER BASED	1990-11-22	1669	9999-12-31	2013-05-08	11151
31/5-4 S	2601.000000	1.200000	2.000000	0.000000	WATER BASED	1990-11-21	1669	9999-12-31	2013-05-08	11152
31/5-4 S	2601.000000	1.250000	13.000000	13.000000	WATER BASED	1990-11-08	1669	9999-12-31	2013-05-08	11153
31/5-4 S	2601.000000	1.250000	11.000000	11.000000	WATER BASED	1990-11-09	1669	9999-12-31	2013-05-08	11154
31/5-4 S	2601.000000	1.200000	0.000000	0.000000	WATER BASED	1990-11-13	1669	9999-12-31	2013-05-08	11155
31/5-4 S	2601.000000	1.200000	2.000000	0.000000	WATER BASED	1990-11-13	1669	9999-12-31	2013-05-08	11156
31/5-4 S	2601.000000	1.190000	2.000000	0.000000	WATER BASED	1990-11-16	1669	9999-12-31	2013-05-08	11157
31/5-4 S	2601.000000	1.200000	2.000000	0.000000	WATER BASED	1990-11-19	1669	9999-12-31	2013-05-08	11158
31/5-4 S	2601.000000	1.200000	2.000000	0.000000	WATER BASED	1990-11-19	1669	9999-12-31	2013-05-08	11159
31/5-4 S	2601.000000	1.250000	11.000000	11.000000	WATER BASED	1990-11-13	1669	9999-12-31	2013-05-08	11160
31/5-4 S	2601.000000	1.200000	2.000000	0.000000	WATER BASED	1990-11-19	1669	9999-12-31	2013-05-08	11161
31/5-4 S	2601.000000	1.200000	2.000000	0.000000	WATER BASED	1990-11-20	1669	9999-12-31	2013-05-08	11162
31/5-4 S	2603.000000	1.250000	13.000000	14.000000	WATER BASED	1990-11-08	1669	9999-12-31	2013-05-08	11163
31/5-4 S	2603.000000	1.250000	14.000000	15.000000	WATER BASED	1990-11-05	1669	9999-12-31	2013-05-08	11164
31/5-4 S	2603.000000	1.250000	13.000000	15.000000	WATER BASED	1990-11-05	1669	9999-12-31	2013-05-08	11165
31/5-4 S	2603.000000	1.250000	13.000000	14.000000	WATER BASED	1990-11-06	1669	9999-12-31	2013-05-08	11166
31/5-4 S	2603.000000	1.250000	10.000000	8.000000	WATER BASED	1991-07-15	1669	9999-12-31	2013-05-08	11167
31/5-4 S	2603.000000	1.250000	10.000000	6.000000	WATER BASED	1991-07-10	1669	9999-12-31	2013-05-08	11168
31/5-4 S	2603.000000	1.250000	10.000000	8.000000	WATER BASED	1991-07-18	1669	9999-12-31	2013-05-08	11169
31/5-4 S	2603.000000	1.250000	10.000000	8.000000	WATER BASED	1991-07-17	1669	9999-12-31	2013-05-08	11170
31/5-4 S	2603.000000	1.250000	10.000000	8.000000	WATER BASED	1991-07-16	1669	9999-12-31	2013-05-08	11171
31/5-4 S	2603.000000	1.250000	10.000000	8.000000	WATER BASED	1991-07-16	1669	9999-12-31	2013-05-08	11172
31/5-4 S	2603.000000	1.250000	10.000000	8.000000	WATER BASED	1991-07-16	1669	9999-12-31	2013-05-08	11173
31/5-5	400.000000	1.340000	7.000000	0.000000	WATER BASED	9999-12-31	2059	9999-12-31	2013-05-08	11174
31/5-5	456.000000	1.340000	9.000000	0.000000	WATER BASED	9999-12-31	2059	9999-12-31	2013-05-08	11175
31/5-5	940.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2059	9999-12-31	2013-05-08	11176
31/5-5	1255.000000	1.340000	7.000000	0.000000	WATER BASED	9999-12-31	2059	9999-12-31	2013-05-08	11177
31/5-5	1466.000000	1.340000	11.000000	0.000000	WATER BASED	9999-12-31	2059	9999-12-31	2013-05-08	11178
31/5-5	1530.000000	1.340000	22.000000	0.000000	WATER BASED	9999-12-31	2059	9999-12-31	2013-05-08	11179
31/5-5	1571.000000	1.170000	23.000000	0.000000	WATER BASED	9999-12-31	2059	9999-12-31	2013-05-08	11180
31/5-5	1640.000000	1.170000	19.000000	0.000000	WATER BASED	9999-12-31	2059	9999-12-31	2013-05-08	11181
31/5-5	1737.000000	1.170000	19.000000	0.000000	WATER BASED	9999-12-31	2059	9999-12-31	2013-05-08	11182
31/5-5	1930.000000	1.170000	0.000000	0.000000	WATER BASED	9999-12-31	2059	9999-12-31	2013-05-08	11183
31/5-6	1606.000000	0.000000	13.000000	0.000000	WATER BASED	9999-12-31	4128	9999-12-31	2013-05-08	11184
31/5-6	1709.000000	1.180000	13.000000	0.000000	WATER BASED	9999-12-31	4128	9999-12-31	2013-05-08	11185
31/5-6	2075.000000	1.180000	11.000000	0.000000	WATER BASED	9999-12-31	4128	9999-12-31	2013-05-08	11186
31/5-6	2370.000000	1.180000	11.000000	0.000000	WATER BASED	9999-12-31	4128	9999-12-31	2013-05-08	11187
31/6-1	440.000000	1.130000	100.000000	0.000000	seawater	9999-12-31	22	9999-12-31	2013-05-08	11188
31/6-1	500.000000	1.070000	61.000000	0.000000	seawater	9999-12-31	22	9999-12-31	2013-05-08	11189
31/6-1	1000.000000	1.190000	46.000000	0.000000	seawater	9999-12-31	22	9999-12-31	2013-05-08	11190
31/6-1	1200.000000	1.230000	45.000000	0.000000	seawater	9999-12-31	22	9999-12-31	2013-05-08	11191
31/6-1	1340.000000	1.310000	44.000000	0.000000	seawater	9999-12-31	22	9999-12-31	2013-05-08	11192
31/6-1	1980.000000	1.100000	41.000000	0.000000	seawater	9999-12-31	22	9999-12-31	2013-05-08	11193
31/6-1	2400.000000	1.100000	42.000000	0.000000	seawater	9999-12-31	22	9999-12-31	2013-05-08	11194
31/6-1	3100.000000	1.110000	41.000000	0.000000	seawater	9999-12-31	22	9999-12-31	2013-05-08	11195
31/6-1	3800.000000	1.110000	46.000000	0.000000	seawater	9999-12-31	22	9999-12-31	2013-05-08	11196
31/6-1	4070.000000	1.110000	42.000000	0.000000	seawater	9999-12-31	22	9999-12-31	2013-05-08	11197
31/6-2	410.000000	1.040000	45.000000	0.000000	WATER BASED	9999-12-31	34	9999-12-31	2013-05-08	11198
31/6-2	480.000000	1.080000	41.000000	0.000000	WATER BASED	9999-12-31	34	9999-12-31	2013-05-08	11199
31/6-2	900.000000	1.300000	47.000000	0.000000	WATER BASED	9999-12-31	34	9999-12-31	2013-05-08	11200
31/6-2	1010.000000	1.200000	44.000000	0.000000	WATER BASED	9999-12-31	34	9999-12-31	2013-05-08	11201
31/6-2	1470.000000	1.250000	46.000000	0.000000	WATER BASED	9999-12-31	34	9999-12-31	2013-05-08	11202
31/6-2	2005.000000	1.100000	52.000000	4.800000	WATER BASED	1984-08-07	34	9999-12-31	2013-05-08	11203
31/6-2	2075.000000	1.100000	63.000000	6.200000	WATER BASED	1984-08-07	34	9999-12-31	2013-05-08	11204
31/6-2	2235.000000	1.110000	56.000000	5.800000	WATER BASED	1984-08-07	34	9999-12-31	2013-05-08	11205
31/6-2	2235.000000	1.110000	57.000000	4.800000	WATER BASED	1984-08-07	34	9999-12-31	2013-05-08	11206
31/6-2 R	2005.000000	1.100000	52.000000	4.800000	WATER BASED	9999-12-31	498	9999-12-31	2013-05-08	11207
31/6-2 R	2075.000000	1.100000	63.000000	6.200000	WATER BASED	9999-12-31	498	9999-12-31	2013-05-08	11208
31/6-2 R	2235.000000	1.110000	56.000000	5.800000	WATER BASED	9999-12-31	498	9999-12-31	2013-05-08	11209
31/6-2 R	2235.000000	1.110000	57.000000	4.800000	WATER BASED	9999-12-31	498	9999-12-31	2013-05-08	11210
31/6-3	700.000000	1.240000	36.000000	0.000000	water based	9999-12-31	35	9999-12-31	2013-05-08	11211
31/6-3	1000.000000	1.240000	41.000000	0.000000	water based	9999-12-31	35	9999-12-31	2013-05-08	11212
31/6-3	1300.000000	1.250000	45.000000	0.000000	water based	9999-12-31	35	9999-12-31	2013-05-08	11213
31/6-3	1400.000000	1.130000	39.000000	0.000000	water based	9999-12-31	35	9999-12-31	2013-05-08	11214
31/6-3	1510.000000	1.220000	44.000000	0.000000	water based	9999-12-31	35	9999-12-31	2013-05-08	11215
31/6-3	1700.000000	1.220000	44.000000	0.000000	water based	9999-12-31	35	9999-12-31	2013-05-08	11216
31/6-3	2100.000000	1.220000	44.000000	0.000000	water based	9999-12-31	35	9999-12-31	2013-05-08	11217
31/6-4	470.000000	1.050000	60.000000	0.000000	WATER BASED	9999-12-31	404	9999-12-31	2013-05-08	11218
31/6-4	720.000000	1.090000	45.000000	0.000000	WATER BASED	9999-12-31	404	9999-12-31	2013-05-08	11219
31/6-5	430.000000	1.050000	40.000000	0.000000	WATER BASED	9999-12-31	105	9999-12-31	2013-05-08	11220
31/6-5	550.000000	1.070000	39.000000	0.000000	WATER BASED	9999-12-31	105	9999-12-31	2013-05-08	11221
31/6-5	660.000000	1.100000	54.000000	0.000000	WATER BASED	9999-12-31	105	9999-12-31	2013-05-08	11222
31/6-5	760.000000	1.220000	47.000000	0.000000	WATER BASED	9999-12-31	105	9999-12-31	2013-05-08	11223
31/6-5	1065.000000	1.230000	48.000000	0.000000	WATER BASED	9999-12-31	105	9999-12-31	2013-05-08	11224
31/6-5	1155.000000	1.220000	47.000000	0.000000	WATER BASED	9999-12-31	105	9999-12-31	2013-05-08	11225
31/6-5	1260.000000	1.260000	49.000000	0.000000	WATER BASED	9999-12-31	105	9999-12-31	2013-05-08	11226
31/6-5	1580.000000	1.220000	52.000000	0.000000	WATER BASED	9999-12-31	105	9999-12-31	2013-05-08	11227
31/6-5	1725.000000	1.100000	59.000000	0.000000	WATER BASED	9999-12-31	105	9999-12-31	2013-05-08	11228
31/6-6	336.000000	1.030000	120.000000	0.000000	WATER BASED	1984-05-24	127	9999-12-31	2013-05-08	11229
31/6-6	417.000000	1.030000	120.000000	0.000000	WATER BASED	1984-05-24	127	9999-12-31	2013-05-08	11230
31/6-6	425.000000	1.030000	120.000000	0.000000	WATER BASED	1984-05-24	127	9999-12-31	2013-05-08	11231
31/6-6	425.000000	1.030000	120.000000	0.000000	WATER BASED	1984-05-25	127	9999-12-31	2013-05-08	11232
31/6-6	430.000000	1.030000	46.000000	0.000000	WATER BASED	1984-05-28	127	9999-12-31	2013-05-08	11233
31/6-6	723.000000	1.060000	40.000000	0.000000	WATER BASED	1984-05-28	127	9999-12-31	2013-05-08	11234
31/6-6	726.000000	1.220000	39.000000	0.000000	WATER BASED	1984-06-01	127	9999-12-31	2013-05-08	11235
31/6-6	821.000000	1.220000	44.000000	0.000000	WATER BASED	1984-06-01	127	9999-12-31	2013-05-08	11236
31/6-6	1099.000000	1.230000	46.000000	0.000000	WATER BASED	1984-06-04	127	9999-12-31	2013-05-08	11237
31/6-6	1253.000000	1.230000	46.000000	0.000000	WATER BASED	1984-06-04	127	9999-12-31	2013-05-08	11238
31/6-6	1372.000000	1.230000	48.000000	19.000000	WATER BASED	1984-06-04	127	9999-12-31	2013-05-08	11239
31/6-6	1460.000000	1.230000	50.000000	19.000000	WATER BASED	1984-06-05	127	9999-12-31	2013-05-08	11240
31/6-6	1460.000000	1.230000	51.000000	18.000000	WATER BASED	1984-06-06	127	9999-12-31	2013-05-08	11241
31/6-6	1460.000000	1.230000	54.000000	18.000000	WATER BASED	1984-06-07	127	9999-12-31	2013-05-08	11242
31/6-6	1460.000000	1.230000	52.000000	19.000000	WATER BASED	1984-06-08	127	9999-12-31	2013-05-08	11243
31/6-6	1460.000000	1.230000	51.000000	18.000000	WATER BASED	1984-06-06	127	9999-12-31	2013-05-08	11244
31/6-6	1460.000000	1.230000	54.000000	18.000000	WATER BASED	1984-06-07	127	9999-12-31	2013-05-08	11245
31/6-6	1460.000000	1.230000	52.000000	19.000000	WATER BASED	1984-06-08	127	9999-12-31	2013-05-08	11246
31/6-6	1460.000000	1.230000	50.000000	18.000000	WATER BASED	1984-06-12	127	9999-12-31	2013-05-08	11247
31/6-6	1460.000000	1.230000	50.000000	18.000000	WATER BASED	1984-06-12	127	9999-12-31	2013-05-08	11248
31/6-6	1460.000000	1.230000	50.000000	19.000000	WATER BASED	1984-06-05	127	9999-12-31	2013-05-08	11249
31/6-6	1525.000000	1.210000	49.000000	20.000000	WATER BASED	1984-06-12	127	9999-12-31	2013-05-08	11250
31/6-6	1552.000000	1.210000	52.000000	17.000000	WATER BASED	1984-06-12	127	9999-12-31	2013-05-08	11251
31/6-6	1586.000000	1.210000	51.000000	17.000000	WATER BASED	1984-06-12	127	9999-12-31	2013-05-08	11252
31/6-6	1627.000000	1.210000	52.000000	16.000000	WATER BASED	1984-06-13	127	9999-12-31	2013-05-08	11253
31/6-6	1666.000000	1.210000	49.000000	17.000000	WATER BASED	1984-06-14	127	9999-12-31	2013-05-08	11254
31/6-6	1712.000000	1.210000	49.000000	17.000000	WATER BASED	1984-06-15	127	9999-12-31	2013-05-08	11255
31/6-6	1746.000000	1.210000	49.000000	9.000000	WATER BASED	1984-06-18	127	9999-12-31	2013-05-08	11256
31/6-6	1755.000000	1.100000	53.000000	7.000000	WATER BASED	1984-06-20	127	9999-12-31	2013-05-08	11257
31/6-6	1772.000000	1.210000	49.000000	8.000000	WATER BASED	1984-06-18	127	9999-12-31	2013-05-08	11258
31/6-6	1897.000000	1.100000	49.000000	8.000000	WATER BASED	1984-06-20	127	9999-12-31	2013-05-08	11259
31/6-6	2105.000000	1.100000	50.000000	7.000000	WATER BASED	1984-06-22	127	9999-12-31	2013-05-08	11260
31/6-6	2229.000000	1.100000	48.000000	13.000000	WATER BASED	1984-06-22	127	9999-12-31	2013-05-08	11261
31/6-6	2290.000000	1.100000	43.000000	12.000000	WATER BASED	1984-06-25	127	9999-12-31	2013-05-08	11262
31/6-6	2290.000000	1.100000	41.000000	11.000000	WATER BASED	1984-06-25	127	9999-12-31	2013-05-08	11263
31/6-7	411.000000	1.070000	0.000000	0.000000	WATER BASED	1985-04-11	141	9999-12-31	2013-05-08	11264
31/6-7	698.000000	1.100000	5.000000	9.600000	WATER BASED	1985-04-11	141	9999-12-31	2013-05-08	11265
31/6-7	698.000000	1.050000	15.000000	24.000000	WATER BASED	1985-04-11	141	9999-12-31	2013-05-08	11266
31/6-7	698.000000	1.050000	15.000000	24.000000	WATER BASED	1985-04-11	141	9999-12-31	2013-05-08	11267
31/6-7	698.000000	1.050000	0.000000	0.000000	WATER BASED	1985-04-11	141	9999-12-31	2013-05-08	11268
31/6-7	698.000000	1.050000	0.000000	0.000000	WATER BASED	1985-04-11	141	9999-12-31	2013-05-08	11269
31/6-8	416.000000	1.350000	0.000000	0.000000	WATER BASED	1985-04-16	466	9999-12-31	2013-05-08	11270
31/6-8	700.000000	1.080000	10.000000	20.000000	WATER BASED	1985-04-17	466	9999-12-31	2013-05-08	11271
31/6-8	700.000000	0.000000	0.000000	0.000000	WATER BASED	1985-04-19	466	9999-12-31	2013-05-08	11272
31/6-8	700.000000	1.100000	6.000000	13.000000	WATER BASED	1985-04-18	466	9999-12-31	2013-05-08	11273
31/6-8	700.000000	1.200000	28.000000	18.000000	WATER BASED	1985-04-21	466	9999-12-31	2013-05-08	11274
31/6-8	700.000000	1.200000	18.000000	7.000000	WATER BASED	1985-04-21	466	9999-12-31	2013-05-08	11275
31/6-8	700.000000	1.200000	18.000000	7.000000	WATER BASED	1985-04-23	466	9999-12-31	2013-05-08	11276
31/6-8	700.000000	1.200000	28.000000	18.000000	WATER BASED	1985-04-21	466	9999-12-31	2013-05-08	11277
31/6-8	700.000000	1.200000	18.000000	7.000000	WATER BASED	1985-04-21	466	9999-12-31	2013-05-08	11278
31/6-8	700.000000	1.100000	6.000000	13.000000	WATER BASED	1985-04-18	466	9999-12-31	2013-05-08	11279
31/6-8	700.000000	1.200000	18.000000	7.000000	WATER BASED	1985-04-23	466	9999-12-31	2013-05-08	11280
31/6-8	860.000000	1.200000	19.000000	8.000000	WATER BASED	1985-04-25	466	9999-12-31	2013-05-08	11281
31/6-8	946.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-21	466	9999-12-31	2013-05-08	11282
31/6-8	1083.000000	1.270000	18.000000	6.000000	WATER BASED	1985-04-25	466	9999-12-31	2013-05-08	11283
31/6-8	1083.000000	1.270000	18.000000	5.000000	WATER BASED	1985-04-26	466	9999-12-31	2013-05-08	11284
31/6-8	1083.000000	1.270000	18.000000	5.000000	WATER BASED	1985-04-26	466	9999-12-31	2013-05-08	11285
31/6-8	1171.000000	1.240000	18.000000	9.500000	WATER BASED	1985-04-29	466	9999-12-31	2013-05-08	11286
31/6-8	1185.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-21	466	9999-12-31	2013-05-08	11287
31/6-8	1221.000000	1.240000	17.000000	8.000000	WATER BASED	1985-04-29	466	9999-12-31	2013-05-08	11288
31/6-8	1221.000000	1.240000	16.000000	7.000000	WATER BASED	1985-04-29	466	9999-12-31	2013-05-08	11289
31/6-8	1221.000000	1.230000	16.000000	8.000000	WATER BASED	1985-04-30	466	9999-12-31	2013-05-08	11290
31/6-8	1221.000000	1.230000	16.000000	8.000000	WATER BASED	1985-04-30	466	9999-12-31	2013-05-08	11291
31/6-8	1221.000000	1.240000	16.000000	7.000000	WATER BASED	1985-04-29	466	9999-12-31	2013-05-08	11292
31/6-8	1354.000000	1.230000	15.000000	11.000000	WATER BASED	1985-05-02	466	9999-12-31	2013-05-08	11293
31/6-8	1465.000000	1.250000	18.000000	12.000000	WATER BASED	1985-05-02	466	9999-12-31	2013-05-08	11294
31/6-8	1465.000000	1.250000	19.000000	12.000000	WATER BASED	1985-05-06	466	9999-12-31	2013-05-08	11295
31/6-8	1465.000000	1.250000	19.000000	11.000000	WATER BASED	1985-05-06	466	9999-12-31	2013-05-08	11296
31/6-8	1465.000000	1.260000	22.000000	10.000000	WATER BASED	1985-05-06	466	9999-12-31	2013-05-08	11297
31/6-8	1465.000000	1.250000	19.000000	12.000000	WATER BASED	1985-05-06	466	9999-12-31	2013-05-08	11298
31/6-8	1465.000000	1.250000	19.000000	11.000000	WATER BASED	1985-05-06	466	9999-12-31	2013-05-08	11299
31/6-8	1465.000000	1.260000	22.000000	10.000000	WATER BASED	1985-05-06	466	9999-12-31	2013-05-08	11300
31/6-8	1482.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-21	466	9999-12-31	2013-05-08	11301
31/6-8	1482.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-22	466	9999-12-31	2013-05-08	11302
31/6-8	1482.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-19	466	9999-12-31	2013-05-08	11303
31/6-8	1482.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-14	466	9999-12-31	2013-05-08	11304
31/6-8	1482.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-29	466	9999-12-31	2013-05-08	11305
31/6-8	1489.000000	1.200000	10.000000	8.000000	WATER BASED	1985-05-07	466	9999-12-31	2013-05-08	11306
31/6-8	1504.000000	1.200000	15.000000	10.000000	WATER BASED	1985-05-08	466	9999-12-31	2013-05-08	11307
31/6-8	1512.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-05	466	9999-12-31	2013-05-08	11308
31/6-8	1512.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-06	466	9999-12-31	2013-05-08	11309
31/6-8	1512.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-09	466	9999-12-31	2013-05-08	11310
31/6-8	1537.000000	1.200000	25.000000	14.000000	WATER BASED	1985-05-09	466	9999-12-31	2013-05-08	11311
31/6-8	1562.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-03	466	9999-12-31	2013-05-08	11312
31/6-8	1562.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-30	466	9999-12-31	2013-05-08	11313
31/6-8	1562.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-29	466	9999-12-31	2013-05-08	11314
31/6-8	1567.000000	1.200000	49.000000	12.000000	WATER BASED	1985-05-10	466	9999-12-31	2013-05-08	11315
31/6-8	1570.000000	1.160000	15.000000	14.000000	WATER BASED	1985-09-11	466	9999-12-31	2013-05-08	11316
31/6-8	1580.000000	0.000000	0.000000	0.000000	WATER BASED	1985-05-23	466	9999-12-31	2013-05-08	11317
31/6-8	1605.000000	1.200000	13.000000	8.000000	WATER BASED	1985-05-13	466	9999-12-31	2013-05-08	11318
31/6-8	1615.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-06	466	9999-12-31	2013-05-08	11319
31/6-8	1615.000000	1.030000	0.000000	0.000000	WATER BASED	1985-07-31	466	9999-12-31	2013-05-08	11320
31/6-8	1615.000000	1.200000	9.000000	5.000000	WATER BASED	1985-07-30	466	9999-12-31	2013-05-08	11321
31/6-8	1615.000000	1.030000	0.000000	0.000000	WATER BASED	1985-07-30	466	9999-12-31	2013-05-08	11322
31/6-8	1615.000000	1.200000	9.000000	5.000000	WATER BASED	1985-07-26	466	9999-12-31	2013-05-08	11323
31/6-8	1615.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-02	466	9999-12-31	2013-05-08	11324
31/6-8	1615.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-06	466	9999-12-31	2013-05-08	11325
31/6-8	1615.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-02	466	9999-12-31	2013-05-08	11326
31/6-8	1615.000000	1.030000	0.000000	0.000000	WATER BASED	1985-07-31	466	9999-12-31	2013-05-08	11327
31/6-8	1615.000000	1.200000	9.000000	5.000000	WATER BASED	1985-07-30	466	9999-12-31	2013-05-08	11328
31/6-8	1615.000000	1.030000	0.000000	0.000000	WATER BASED	1985-07-30	466	9999-12-31	2013-05-08	11329
31/6-8	1619.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-13	466	9999-12-31	2013-05-08	11330
31/6-8	1619.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-09	466	9999-12-31	2013-05-08	11331
31/6-8	1619.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-08	466	9999-12-31	2013-05-08	11332
31/6-8	1619.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-13	466	9999-12-31	2013-05-08	11333
31/6-8	1619.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-09	466	9999-12-31	2013-05-08	11334
31/6-8	1619.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-08	466	9999-12-31	2013-05-08	11335
31/6-8	1619.000000	1.160000	0.000000	0.000000	WATER BASED	1985-08-06	466	9999-12-31	2013-05-08	11336
31/6-8	1641.000000	1.200000	13.000000	8.000000	WATER BASED	1985-05-13	466	9999-12-31	2013-05-08	11337
31/6-8	1660.000000	1.200000	13.000000	8.000000	WATER BASED	1985-05-13	466	9999-12-31	2013-05-08	11338
31/6-8	1660.000000	1.200000	11.000000	9.000000	WATER BASED	1985-05-14	466	9999-12-31	2013-05-08	11339
31/6-8	1660.000000	1.200000	13.000000	7.000000	WATER BASED	1985-05-15	466	9999-12-31	2013-05-08	11340
31/6-8	1660.000000	1.200000	13.000000	8.000000	WATER BASED	1985-05-21	466	9999-12-31	2013-05-08	11341
31/6-8	1660.000000	1.200000	13.000000	8.000000	WATER BASED	1985-05-21	466	9999-12-31	2013-05-08	11342
31/6-8	1660.000000	1.200000	13.000000	7.000000	WATER BASED	1985-05-15	466	9999-12-31	2013-05-08	11343
31/6-8	1660.000000	1.200000	11.000000	9.000000	WATER BASED	1985-05-14	466	9999-12-31	2013-05-08	11344
31/6-8	1663.000000	1.200000	13.000000	7.000000	WATER BASED	1985-05-21	466	9999-12-31	2013-05-08	11345
31/6-8	1689.000000	1.200000	13.000000	8.000000	WATER BASED	1985-05-21	466	9999-12-31	2013-05-08	11346
31/6-8	1871.000000	1.200000	15.000000	10.000000	WATER BASED	1985-05-21	466	9999-12-31	2013-05-08	11347
31/6-8	2059.000000	1.200000	15.000000	8.000000	WATER BASED	1985-05-21	466	9999-12-31	2013-05-08	11348
31/6-8	2138.000000	1.200000	0.000000	0.000000	\N	1985-07-26	466	9999-12-31	2013-05-08	11349
31/6-8	2138.000000	0.000000	0.000000	0.000000	\N	1985-07-25	466	9999-12-31	2013-05-08	11350
31/6-8	2138.000000	1.200000	14.000000	9.000000	WATER BASED	1985-05-22	466	9999-12-31	2013-05-08	11351
31/6-8	2138.000000	1.200000	0.000000	0.000000	\N	1985-07-26	466	9999-12-31	2013-05-08	11352
31/6-8	2138.000000	1.200000	14.000000	9.000000	WATER BASED	1985-05-21	466	9999-12-31	2013-05-08	11353
31/6-8	2138.000000	1.200000	14.000000	9.000000	WATER BASED	1985-05-22	466	9999-12-31	2013-05-08	11354
31/6-8 R	530.000000	0.000000	0.000000	0.000000	WATER BASED	1985-09-24	493	9999-12-31	2013-05-08	11355
31/6-8 R	946.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-23	493	9999-12-31	2013-05-08	11356
31/6-8 R	1185.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-23	493	9999-12-31	2013-05-08	11357
31/6-8 R	1414.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-24	493	9999-12-31	2013-05-08	11358
31/6-8 R	1482.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-23	493	9999-12-31	2013-05-08	11359
31/6-8 R	1512.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-23	493	9999-12-31	2013-05-08	11360
31/6-8 R	1520.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-24	493	9999-12-31	2013-05-08	11361
31/6-8 R	1530.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-23	493	9999-12-31	2013-05-08	11362
31/6-8 R	1535.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-23	493	9999-12-31	2013-05-08	11363
31/6-8 R	1535.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-24	493	9999-12-31	2013-05-08	11364
31/6-8 R	1562.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-23	493	9999-12-31	2013-05-08	11365
31/6-8 R	1570.000000	1.160000	15.000000	14.000000	WATER BASED	1985-09-23	493	9999-12-31	2013-05-08	11366
31/6-8 R	1615.000000	1.200000	9.000000	5.000000	WATER BASED	1985-09-23	493	9999-12-31	2013-05-08	11367
31/6-8 R	1615.000000	1.030000	0.000000	0.000000	WATER BASED	1985-09-23	493	9999-12-31	2013-05-08	11368
31/6-8 R	1619.000000	1.160000	0.000000	0.000000	WATER BASED	1985-09-23	493	9999-12-31	2013-05-08	11369
31/6-8 R	2138.000000	1.200000	0.000000	0.000000	\N	1985-09-23	493	9999-12-31	2013-05-08	11370
31/8-1	335.000000	1.500000	11.000000	0.000000	Kill mud	9999-12-31	6604	9999-12-31	2013-05-08	11371
31/8-1	969.000000	1.480000	17.000000	0.000000	Aquadrill	9999-12-31	6604	9999-12-31	2013-05-08	11372
31/8-1	969.000000	1.250000	10.000000	0.000000	Kill mud	9999-12-31	6604	9999-12-31	2013-05-08	11373
31/8-1	1311.000000	1.390000	17.000000	0.000000	Aquadrill	9999-12-31	6604	9999-12-31	2013-05-08	11374
31/8-1	1420.000000	1.340000	12.000000	0.000000	Aquadrill	9999-12-31	6604	9999-12-31	2013-05-08	11375
31/8-1	1855.000000	1.200000	20.000000	0.000000	Aquadrill	9999-12-31	6604	9999-12-31	2013-05-08	11376
31/8-1	2077.000000	1.200000	10.000000	0.000000	Aquadrill	9999-12-31	6604	9999-12-31	2013-05-08	11377
31/8-1	2405.000000	1.200000	11.000000	0.000000	Aquadrill	9999-12-31	6604	9999-12-31	2013-05-08	11378
31/8-1	2628.000000	1.200000	29.000000	0.000000	Aquadrill	9999-12-31	6604	9999-12-31	2013-05-08	11379
31/8-1	2629.000000	1.200000	13.000000	0.000000	Aquadrill	9999-12-31	6604	9999-12-31	2013-05-08	11380
31/8-1	2826.000000	1.200000	11.000000	0.000000	Aquadrill	9999-12-31	6604	9999-12-31	2013-05-08	11381
32/2-1	424.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	5839	9999-12-31	2013-05-08	11382
32/2-1	838.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	5839	9999-12-31	2013-05-08	11383
32/2-1	843.000000	1.150000	0.000000	0.000000	WBM,form	9999-12-31	5839	9999-12-31	2013-05-08	11384
32/2-1	1300.000000	1.160000	0.000000	0.000000	WBM,form	9999-12-31	5839	9999-12-31	2013-05-08	11385
32/4-1	352.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11386
32/4-1	370.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11387
32/4-1	395.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11388
32/4-1	399.000000	1.200000	2.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11389
32/4-1	556.000000	1.200000	2.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11390
32/4-1	720.000000	1.200000	7.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11391
32/4-1	723.000000	1.100000	30.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11392
32/4-1	920.000000	1.100000	46.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11393
32/4-1	1153.000000	1.100000	21.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11394
32/4-1	1156.000000	1.100000	37.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11395
32/4-1	1232.000000	1.100000	40.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11396
32/4-1	1274.000000	0.000000	24.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11397
32/4-1	1541.000000	0.000000	30.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11398
32/4-1	1915.000000	0.000000	24.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11399
32/4-1	1980.000000	0.000000	24.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11400
32/4-1	2033.000000	0.000000	28.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11401
32/4-1	2072.000000	0.000000	24.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11402
32/4-1	2249.000000	1.410000	31.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11403
32/4-1	2284.000000	0.000000	26.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11404
32/4-1	2425.000000	0.000000	31.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11405
32/4-1	2588.000000	0.000000	36.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11406
32/4-1	2991.000000	0.000000	29.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11407
32/4-1	3132.000000	0.000000	26.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11408
32/4-1	3176.000000	0.000000	30.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11409
32/4-1	3186.000000	0.000000	30.000000	0.000000	WATER BASED	9999-12-31	2918	9999-12-31	2013-05-08	11410
33/12-7	208.000000	1.050000	0.000000	0.000000	WATER BASED	1989-02-23	1358	9999-12-31	2013-05-08	11411
33/12-7	225.000000	1.050000	25.000000	23.900000	WATER BASED	1989-02-27	1358	9999-12-31	2013-05-08	11412
33/12-7	332.000000	1.050000	25.000000	23.900000	WATER BASED	1989-02-27	1358	9999-12-31	2013-05-08	11413
33/12-7	383.000000	1.050000	25.000000	23.900000	WATER BASED	1989-02-27	1358	9999-12-31	2013-05-08	11414
33/12-7	384.000000	1.100000	12.000000	3.800000	WATER BASED	1989-03-03	1358	9999-12-31	2013-05-08	11415
33/12-7	384.000000	1.100000	10.000000	3.800000	WATER BASED	1989-02-28	1358	9999-12-31	2013-05-08	11416
33/12-7	773.000000	1.100000	14.000000	3.800000	WATER BASED	1989-03-16	1358	9999-12-31	2013-05-08	11417
33/12-7	1218.000000	1.200000	16.000000	3.400000	WATER BASED	1989-03-17	1358	9999-12-31	2013-05-08	11418
33/12-7	1545.000000	1.200000	21.000000	3.900000	WATER BASED	1989-03-20	1358	9999-12-31	2013-05-08	11419
33/12-7	1548.000000	1.200000	21.000000	3.800000	WATER BASED	1989-03-20	1358	9999-12-31	2013-05-08	11420
33/12-7	1613.000000	1.200000	16.000000	2.400000	WATER BASED	1989-03-20	1358	9999-12-31	2013-05-08	11421
33/12-7	1625.000000	1.200000	16.000000	3.800000	WATER BASED	1989-03-20	1358	9999-12-31	2013-05-08	11422
33/12-7	1625.000000	1.200000	15.000000	3.400000	WATER BASED	1989-03-21	1358	9999-12-31	2013-05-08	11423
33/12-7	1625.000000	1.120000	17.000000	3.800000	WATER BASED	1989-03-22	1358	9999-12-31	2013-05-08	11424
33/12-7	1625.000000	1.200000	17.000000	4.300000	WATER BASED	1989-03-20	1358	9999-12-31	2013-05-08	11425
33/12-7	1625.000000	1.130000	12.000000	3.800000	WATER BASED	1989-03-28	1358	9999-12-31	2013-05-08	11426
33/12-7	1630.000000	1.270000	12.000000	3.800000	WATER BASED	1989-03-28	1358	9999-12-31	2013-05-08	11427
33/12-7	1827.000000	1.270000	20.000000	3.800000	WATER BASED	1989-03-28	1358	9999-12-31	2013-05-08	11428
33/12-7	2139.000000	1.270000	20.000000	4.500000	WATER BASED	1989-03-28	1358	9999-12-31	2013-05-08	11429
33/12-7	2388.000000	1.270000	19.000000	3.400000	WATER BASED	1989-03-28	1358	9999-12-31	2013-05-08	11430
33/12-7	2422.000000	1.270000	18.000000	3.800000	WATER BASED	1989-03-28	1358	9999-12-31	2013-05-08	11431
33/12-7	2424.000000	1.270000	18.000000	3.400000	WATER BASED	1989-03-28	1358	9999-12-31	2013-05-08	11432
33/12-7	2439.000000	1.270000	15.000000	3.800000	WATER BASED	1989-03-29	1358	9999-12-31	2013-05-08	11433
33/12-7	2511.000000	1.270000	18.000000	2.900000	WATER BASED	1989-03-29	1358	9999-12-31	2013-05-08	11434
33/12-7	2587.000000	1.270000	21.000000	3.800000	WATER BASED	1989-03-29	1358	9999-12-31	2013-05-08	11435
33/12-7	2628.000000	1.270000	20.000000	3.800000	WATER BASED	1989-03-30	1358	9999-12-31	2013-05-08	11436
33/12-7	2682.000000	1.270000	17.000000	3.400000	WATER BASED	1989-03-30	1358	9999-12-31	2013-05-08	11437
33/12-7	2730.000000	1.270000	20.000000	2.800000	WATER BASED	1989-03-30	1358	9999-12-31	2013-05-08	11438
33/12-7	2760.000000	1.270000	19.000000	2.800000	WATER BASED	1989-03-30	1358	9999-12-31	2013-05-08	11439
33/12-7	2821.000000	1.270000	16.000000	3.400000	WATER BASED	1989-03-31	1358	9999-12-31	2013-05-08	11440
33/12-7	2879.000000	1.270000	13.000000	3.900000	WATER BASED	1989-03-31	1358	9999-12-31	2013-05-08	11441
33/12-7	2904.000000	1.270000	13.000000	3.400000	WATER BASED	1989-04-03	1358	9999-12-31	2013-05-08	11442
33/12-7	2917.000000	1.280000	15.000000	3.900000	WATER BASED	1989-04-03	1358	9999-12-31	2013-05-08	11443
33/12-7	2937.000000	1.520000	19.000000	5.300000	WATER BASED	1989-04-03	1358	9999-12-31	2013-05-08	11444
33/12-7	2961.000000	1.520000	18.000000	5.700000	WATER BASED	1989-04-03	1358	9999-12-31	2013-05-08	11445
33/12-7	2976.000000	1.520000	18.000000	6.200000	WATER BASED	1989-04-03	1358	9999-12-31	2013-05-08	11446
33/12-7	3034.000000	1.520000	16.000000	5.300000	WATER BASED	1989-04-03	1358	9999-12-31	2013-05-08	11447
33/12-7	3034.000000	1.550000	18.000000	4.800000	WATER BASED	1989-04-07	1358	9999-12-31	2013-05-08	11448
33/12-7	3034.000000	1.520000	17.000000	4.800000	WATER BASED	1989-04-04	1358	9999-12-31	2013-05-08	11449
33/12-7	3034.000000	1.550000	16.000000	5.300000	WATER BASED	1989-04-05	1358	9999-12-31	2013-05-08	11450
33/12-7	3034.000000	1.550000	17.000000	5.300000	WATER BASED	1989-04-06	1358	9999-12-31	2013-05-08	11451
33/12-7	3035.000000	1.470000	18.000000	4.800000	WATER BASED	1989-04-10	1358	9999-12-31	2013-05-08	11452
33/12-7	3052.000000	1.470000	27.000000	5.300000	WATER BASED	1989-04-10	1358	9999-12-31	2013-05-08	11453
33/12-7	3054.000000	1.470000	25.000000	5.300000	WATER BASED	1989-04-10	1358	9999-12-31	2013-05-08	11454
33/12-7	3170.000000	1.470000	27.000000	6.200000	WATER BASED	1989-04-11	1358	9999-12-31	2013-05-08	11455
33/12-7	3170.000000	1.470000	27.000000	6.200000	WATER BASED	1989-04-11	1358	9999-12-31	2013-05-08	11456
33/12-7	3291.000000	1.470000	28.000000	6.200000	WATER BASED	1989-04-12	1358	9999-12-31	2013-05-08	11457
33/12-7	3315.000000	1.470000	28.000000	4.700000	WATER BASED	1989-04-13	1358	9999-12-31	2013-05-08	11458
33/12-7	3383.000000	1.470000	31.000000	4.300000	WATER BASED	1989-04-14	1358	9999-12-31	2013-05-08	11459
33/12-7	3472.000000	1.470000	34.000000	4.700000	WATER BASED	1989-04-17	1358	9999-12-31	2013-05-08	11460
33/12-7	3472.000000	1.470000	34.000000	4.700000	WATER BASED	1989-04-17	1358	9999-12-31	2013-05-08	11461
33/12-7	3472.000000	1.470000	34.000000	4.700000	WATER BASED	1989-04-17	1358	9999-12-31	2013-05-08	11462
33/12-7	3505.000000	1.470000	35.000000	3.800000	WATER BASED	1989-04-17	1358	9999-12-31	2013-05-08	11463
33/12-7	3505.000000	1.470000	35.000000	3.800000	WATER BASED	1989-04-17	1358	9999-12-31	2013-05-08	11464
33/12-7	3505.000000	1.470000	35.000000	3.800000	WATER BASED	1989-04-17	1358	9999-12-31	2013-05-08	11465
33/12-7	3583.000000	1.470000	33.000000	4.800000	WATER BASED	1989-04-17	1358	9999-12-31	2013-05-08	11466
33/12-7	3583.000000	1.470000	33.000000	4.800000	WATER BASED	1989-04-17	1358	9999-12-31	2013-05-08	11467
33/12-7	3583.000000	1.470000	33.000000	4.800000	WATER BASED	1989-04-17	1358	9999-12-31	2013-05-08	11468
33/12-7	3595.000000	1.470000	34.000000	4.800000	WATER BASED	1989-04-18	1358	9999-12-31	2013-05-08	11469
33/12-7	3628.000000	1.470000	33.000000	3.800000	WATER BASED	1989-04-18	1358	9999-12-31	2013-05-08	11470
33/12-7	3650.000000	1.470000	32.000000	5.300000	WATER BASED	1989-04-19	1358	9999-12-31	2013-05-08	11471
33/12-7	3703.000000	1.470000	36.000000	3.400000	WATER BASED	1989-04-21	1358	9999-12-31	2013-05-08	11472
33/12-7	3703.000000	1.470000	36.000000	5.300000	WATER BASED	1989-04-20	1358	9999-12-31	2013-05-08	11473
33/12-7	3703.000000	1.470000	36.000000	5.300000	WATER BASED	1989-04-20	1358	9999-12-31	2013-05-08	11474
33/12-7	3703.000000	1.470000	35.000000	4.800000	WATER BASED	1989-04-24	1358	9999-12-31	2013-05-08	11475
33/12-7	3703.000000	1.470000	34.000000	3.400000	WATER BASED	1989-04-19	1358	9999-12-31	2013-05-08	11476
33/12-8 A	2449.000000	1.640000	42.000000	0.000000	VERSAVERT	9999-12-31	4532	9999-12-31	2013-05-08	11477
33/12-8 A	2775.000000	1.640000	40.000000	0.000000	VERSAVERT	9999-12-31	4532	9999-12-31	2013-05-08	11478
33/12-8 A	2832.000000	1.640000	44.000000	0.000000	VERSAVERT	9999-12-31	4532	9999-12-31	2013-05-08	11479
33/12-8 A	3962.000000	1.640000	56.000000	0.000000	VERSAVERT	9999-12-31	4532	9999-12-31	2013-05-08	11480
33/12-8 A	4297.000000	1.640000	49.000000	0.000000	VERSAVERT	9999-12-31	4532	9999-12-31	2013-05-08	11481
33/12-8 A	4297.000000	1.640000	49.000000	0.000000	VERSAVERT	9999-12-31	4532	9999-12-31	2013-05-08	11482
33/12-8 S	1479.000000	1.350000	22.000000	0.000000	GLYDRIL MC	9999-12-31	4493	9999-12-31	2013-05-08	11483
33/12-8 S	2047.000000	1.410000	19.000000	0.000000	GLYDRIL MC	9999-12-31	4493	9999-12-31	2013-05-08	11484
33/12-8 S	2077.000000	1.450000	22.000000	0.000000	GLYDRIL MC	9999-12-31	4493	9999-12-31	2013-05-08	11485
33/12-8 S	2100.000000	1.640000	65.000000	0.000000	VERSAVERT	9999-12-31	4493	9999-12-31	2013-05-08	11486
33/12-8 S	2637.000000	1.620000	49.000000	0.000000	VERSAVERT	9999-12-31	4493	9999-12-31	2013-05-08	11487
33/12-8 S	2656.000000	1.620000	47.000000	0.000000	VERSAVERT	9999-12-31	4493	9999-12-31	2013-05-08	11488
33/5-1	685.000000	1.300000	57.000000	0.000000	spud mud	9999-12-31	103	9999-12-31	2013-05-08	11489
33/5-1	874.000000	1.320000	54.000000	0.000000	water mud	9999-12-31	103	9999-12-31	2013-05-08	11490
33/5-1	1470.000000	1.130000	55.000000	0.000000	water mud	9999-12-31	103	9999-12-31	2013-05-08	11491
33/5-1	2613.000000	1.500000	54.000000	0.000000	water mud	9999-12-31	103	9999-12-31	2013-05-08	11492
33/5-1	3823.000000	1.560000	66.000000	0.000000	water mud	9999-12-31	103	9999-12-31	2013-05-08	11493
33/5-2	684.000000	1.090000	0.000000	0.000000	spud mud	9999-12-31	405	9999-12-31	2013-05-08	11494
33/5-2	959.000000	1.100000	0.000000	0.000000	spud mud	9999-12-31	405	9999-12-31	2013-05-08	11495
33/5-2	1013.000000	1.250000	0.000000	0.000000	water mud	9999-12-31	405	9999-12-31	2013-05-08	11496
33/5-2	1906.000000	1.350000	0.000000	0.000000	water mud	9999-12-31	405	9999-12-31	2013-05-08	11497
33/5-2	2014.000000	1.400000	0.000000	0.000000	water mud	9999-12-31	405	9999-12-31	2013-05-08	11498
33/5-2	2279.000000	1.450000	0.000000	0.000000	water mud	9999-12-31	405	9999-12-31	2013-05-08	11499
33/5-2	2957.000000	1.350000	0.000000	0.000000	water mud	9999-12-31	405	9999-12-31	2013-05-08	11500
33/6-1	644.000000	1.110000	0.000000	0.000000	water based	9999-12-31	406	9999-12-31	2013-05-08	11501
33/6-1	850.000000	1.100000	0.000000	0.000000	water based	9999-12-31	406	9999-12-31	2013-05-08	11502
33/6-1	1139.000000	1.230000	0.000000	0.000000	water based	9999-12-31	406	9999-12-31	2013-05-08	11503
33/6-1	1987.000000	1.270000	0.000000	0.000000	water based	9999-12-31	406	9999-12-31	2013-05-08	11504
33/6-1	2338.000000	1.380000	0.000000	0.000000	water based	9999-12-31	406	9999-12-31	2013-05-08	11505
33/6-1	3333.000000	1.420000	0.000000	0.000000	water based	9999-12-31	406	9999-12-31	2013-05-08	11506
33/6-1	3424.000000	1.450000	0.000000	0.000000	water based	9999-12-31	406	9999-12-31	2013-05-08	11507
33/6-1	3550.000000	1.510000	0.000000	0.000000	water based	9999-12-31	406	9999-12-31	2013-05-08	11508
33/6-1	3846.000000	1.530000	0.000000	0.000000	water based	9999-12-31	406	9999-12-31	2013-05-08	11509
33/6-2	585.000000	1.030000	30.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11510
33/6-2	990.000000	1.020000	30.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11511
33/6-2	991.000000	1.120000	25.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11512
33/6-2	1168.000000	1.330000	25.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11513
33/6-2	1468.000000	1.370000	33.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11514
33/6-2	1812.000000	1.370000	27.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11515
33/6-2	2020.000000	1.420000	28.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11516
33/6-2	2150.000000	1.500000	33.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11517
33/6-2	2296.000000	1.500000	23.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11518
33/6-2	2390.000000	1.510000	26.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11519
33/6-2	2406.000000	1.510000	26.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11520
33/6-2	2523.000000	1.500000	19.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11521
33/6-2	2679.000000	1.500000	24.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11522
33/6-2	2716.000000	1.490000	23.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11523
33/6-2	2788.000000	1.480000	25.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11524
33/6-2	2891.000000	1.490000	25.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11525
33/6-2	2956.000000	1.490000	29.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11526
33/6-2	3181.000000	1.500000	21.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11527
33/6-2	3453.000000	1.500000	21.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11528
33/6-2	3453.000000	1.500000	28.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11529
33/6-2	3453.000000	1.500000	26.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11530
33/6-2	3453.000000	1.510000	22.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11531
33/6-2	3453.000000	1.500000	21.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11532
33/6-2	3455.000000	0.000000	0.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11533
33/6-2	3494.000000	1.500000	22.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11534
33/6-2	3508.000000	1.490000	23.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11535
33/6-2	3553.000000	1.510000	17.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11536
33/6-2	3553.000000	1.500000	17.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11537
33/6-2	3572.000000	1.500000	17.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11538
33/6-2	3667.000000	1.510000	18.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11539
33/6-2	3761.000000	1.500000	21.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11540
33/6-2	3776.000000	1.500000	21.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11541
33/6-2	3784.000000	1.500000	21.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11542
33/6-2	3845.000000	1.510000	23.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11543
33/6-2	3927.000000	1.500000	22.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11544
33/6-2	3950.000000	1.500000	25.000000	0.000000	SEAWATER	9999-12-31	2873	9999-12-31	2013-05-08	11545
33/9-10	193.000000	1.310000	0.000000	0.000000	water based	9999-12-31	415	9999-12-31	2013-05-08	11546
33/9-10	254.000000	1.320000	0.000000	0.000000	water based	9999-12-31	415	9999-12-31	2013-05-08	11547
33/9-10	440.000000	1.430000	0.000000	0.000000	water based	9999-12-31	415	9999-12-31	2013-05-08	11548
33/9-10	1800.000000	1.490000	0.000000	0.000000	water based	9999-12-31	415	9999-12-31	2013-05-08	11549
33/9-10	2122.000000	1.340000	0.000000	0.000000	water based	9999-12-31	415	9999-12-31	2013-05-08	11550
33/9-10	2866.000000	1.360000	0.000000	0.000000	water based	9999-12-31	415	9999-12-31	2013-05-08	11551
33/9-10	3375.000000	1.550000	0.000000	0.000000	water based	9999-12-31	415	9999-12-31	2013-05-08	11552
33/9-10	3715.000000	1.520000	0.000000	0.000000	water based	9999-12-31	415	9999-12-31	2013-05-08	11553
33/9-11	444.000000	1.050000	0.000000	0.000000	water based	9999-12-31	416	9999-12-31	2013-05-08	11554
33/9-11	825.000000	1.100000	0.000000	0.000000	water based	9999-12-31	416	9999-12-31	2013-05-08	11555
33/9-11	1870.000000	1.250000	0.000000	0.000000	water based	9999-12-31	416	9999-12-31	2013-05-08	11556
33/9-11	2404.000000	1.440000	0.000000	0.000000	water based	9999-12-31	416	9999-12-31	2013-05-08	11557
33/9-11	2588.000000	1.490000	0.000000	0.000000	water based	9999-12-31	416	9999-12-31	2013-05-08	11558
33/9-11	2927.000000	1.500000	0.000000	0.000000	water based	9999-12-31	416	9999-12-31	2013-05-08	11559
33/9-11	3192.000000	1.550000	0.000000	0.000000	water based	9999-12-31	416	9999-12-31	2013-05-08	11560
33/9-11	3295.000000	1.570000	0.000000	0.000000	water based	9999-12-31	416	9999-12-31	2013-05-08	11561
33/9-11	3370.000000	1.580000	0.000000	0.000000	water based	9999-12-31	416	9999-12-31	2013-05-08	11562
33/9-15	413.000000	1.260000	20.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11563
33/9-15	535.000000	1.130000	28.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11564
33/9-15	875.000000	1.130000	28.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11565
33/9-15	1205.000000	1.130000	14.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11566
33/9-15	1205.000000	1.130000	14.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11567
33/9-15	1490.000000	1.260000	14.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11568
33/9-15	1774.000000	1.350000	16.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11569
33/9-15	1943.000000	1.460000	24.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11570
33/9-15	2218.000000	1.490000	30.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11571
33/9-15	2603.000000	1.540000	33.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11572
33/9-15	2711.000000	1.570000	33.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11573
33/9-15	2770.000000	1.570000	26.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11574
33/9-15	2797.000000	1.570000	30.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11575
33/9-15	3007.000000	1.570000	27.000000	0.000000	WATER BASED	9999-12-31	1810	9999-12-31	2013-05-08	11576
33/9-16	302.000000	1.070000	0.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11577
33/9-16	382.000000	1.070000	0.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11578
33/9-16	407.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11579
33/9-16	681.000000	1.120000	4.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11580
33/9-16	1106.000000	1.120000	8.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11581
33/9-16	1214.000000	1.370000	8.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11582
33/9-16	1549.000000	1.370000	8.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11583
33/9-16	1891.000000	1.490000	49.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11584
33/9-16	2185.000000	1.500000	39.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11585
33/9-16	2234.000000	1.500000	24.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11586
33/9-16	2345.000000	1.500000	34.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11587
33/9-16	2546.000000	1.500000	34.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11588
33/9-16	2681.000000	1.520000	34.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11589
33/9-16	2707.000000	1.520000	34.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11590
33/9-16	2775.000000	1.520000	27.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11591
33/9-16	2870.000000	1.520000	31.000000	0.000000	WATER BASED	9999-12-31	1801	9999-12-31	2013-05-08	11592
33/9-17	257.000000	1.000000	0.000000	0.000000	WATER BASED	1994-05-04	2114	9999-12-31	2013-05-08	11593
33/9-17	270.000000	1.000000	0.000000	0.000000	WATER BASED	1994-05-03	2114	9999-12-31	2013-05-08	11594
33/9-17	270.000000	1.000000	0.000000	0.000000	WATER BASED	1994-05-04	2114	9999-12-31	2013-05-08	11595
33/9-17	270.000000	1.500000	0.000000	0.000000	WATER BASED	1994-05-02	2114	9999-12-31	2013-05-08	11596
33/9-17	303.000000	1.000000	0.000000	0.000000	WATER BASED	1994-04-05	2114	9999-12-31	2013-05-08	11597
33/9-17	303.000000	1.000000	0.000000	0.000000	WATER BASED	1994-04-05	2114	9999-12-31	2013-05-08	11598
33/9-17	422.000000	1.000000	0.000000	0.000000	WATER BASED	1994-04-05	2114	9999-12-31	2013-05-08	11599
33/9-17	578.000000	1.000000	0.000000	0.000000	WATER BASED	1994-04-08	2114	9999-12-31	2013-05-08	11600
33/9-17	578.000000	1.000000	0.000000	0.000000	WATER BASED	1994-04-08	2114	9999-12-31	2013-05-08	11601
33/9-17	578.000000	1.000000	0.000000	0.000000	WATER BASED	1994-04-08	2114	9999-12-31	2013-05-08	11602
33/9-17	929.000000	1.260000	14.000000	12.000000	WATER BASED	1994-04-11	2114	9999-12-31	2013-05-08	11603
33/9-17	1277.000000	1.400000	14.000000	12.000000	WATER BASED	1994-04-11	2114	9999-12-31	2013-05-08	11604
33/9-17	1645.000000	1.570000	30.000000	9.200000	WATER BASED	1994-05-02	2114	9999-12-31	2013-05-08	11605
33/9-17	1777.000000	1.470000	20.000000	25.000000	WATER BASED	1994-04-11	2114	9999-12-31	2013-05-08	11606
33/9-17	1790.000000	1.470000	20.000000	25.000000	WATER BASED	1994-04-12	2114	9999-12-31	2013-05-08	11607
33/9-17	1790.000000	1.600000	19.000000	19.000000	WATER BASED	1994-04-13	2114	9999-12-31	2013-05-08	11608
33/9-17	1871.000000	1.600000	19.000000	19.000000	WATER BASED	1994-04-18	2114	9999-12-31	2013-05-08	11609
33/9-17	2105.000000	1.600000	19.000000	19.000000	WATER BASED	1994-04-18	2114	9999-12-31	2013-05-08	11610
33/9-17	2105.000000	1.600000	26.000000	10.400000	WATER BASED	1994-04-18	2114	9999-12-31	2013-05-08	11611
33/9-17	2129.000000	1.560000	26.000000	10.400000	WATER BASED	1994-04-18	2114	9999-12-31	2013-05-08	11612
33/9-17	2236.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-18	2114	9999-12-31	2013-05-08	11613
33/9-17	2428.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-18	2114	9999-12-31	2013-05-08	11614
33/9-17	2527.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-19	2114	9999-12-31	2013-05-08	11615
33/9-17	2711.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-20	2114	9999-12-31	2013-05-08	11616
33/9-17	2814.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-21	2114	9999-12-31	2013-05-08	11617
33/9-17	2970.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-22	2114	9999-12-31	2013-05-08	11618
33/9-17	3029.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-25	2114	9999-12-31	2013-05-08	11619
33/9-17	3036.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-25	2114	9999-12-31	2013-05-08	11620
33/9-17	3060.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-25	2114	9999-12-31	2013-05-08	11621
33/9-17	3177.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-28	2114	9999-12-31	2013-05-08	11622
33/9-17	3233.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-28	2114	9999-12-31	2013-05-08	11623
33/9-17	3233.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-28	2114	9999-12-31	2013-05-08	11624
33/9-17	3233.000000	1.560000	32.000000	11.300000	WATER BASED	1994-04-29	2114	9999-12-31	2013-05-08	11625
33/9-18	234.000000	1.040000	0.000000	0.000000	WATER BASED	1994-11-21	2454	9999-12-31	2013-05-08	11626
33/9-18	423.000000	1.040000	0.000000	0.000000	WATER BASED	1994-11-21	2454	9999-12-31	2013-05-08	11627
33/9-18	517.000000	1.040000	0.000000	0.000000	WATER BASED	1994-11-21	2454	9999-12-31	2013-05-08	11628
33/9-18	717.000000	1.040000	0.000000	0.000000	WATER BASED	1994-11-21	2454	9999-12-31	2013-05-08	11629
33/9-18	764.000000	1.040000	0.000000	0.000000	WATER BASED	1994-11-23	2454	9999-12-31	2013-05-08	11630
33/9-18	764.000000	1.040000	0.000000	0.000000	WATER BASED	1994-11-24	2454	9999-12-31	2013-05-08	11631
33/9-18	875.000000	1.220000	15.000000	8.500000	WATER BASED	1994-11-28	2454	9999-12-31	2013-05-08	11632
33/9-18	1636.000000	1.400000	34.000000	17.500000	WATER BASED	1994-11-28	2454	9999-12-31	2013-05-08	11633
33/9-18	1815.000000	1.430000	34.000000	17.500000	WATER BASED	1994-11-28	2454	9999-12-31	2013-05-08	11634
33/9-18	1815.000000	1.430000	34.000000	17.500000	WATER BASED	1994-12-01	2454	9999-12-31	2013-05-08	11635
33/9-18	1900.000000	1.550000	32.000000	11.500000	WATER BASED	1994-12-21	2454	9999-12-31	2013-05-08	11636
33/9-18	1966.000000	1.480000	34.000000	17.500000	WATER BASED	1994-12-01	2454	9999-12-31	2013-05-08	11637
33/9-18	1966.000000	1.480000	34.000000	17.500000	WATER BASED	1994-12-02	2454	9999-12-31	2013-05-08	11638
33/9-18	1966.000000	1.430000	34.000000	17.500000	WATER BASED	1994-12-01	2454	9999-12-31	2013-05-08	11639
33/9-18	1969.000000	1.480000	31.000000	11.500000	WATER BASED	1994-12-05	2454	9999-12-31	2013-05-08	11640
33/9-18	2105.000000	1.480000	37.000000	15.500000	WATER BASED	1994-12-05	2454	9999-12-31	2013-05-08	11641
33/9-18	2289.000000	1.480000	41.000000	15.500000	WATER BASED	1994-12-07	2454	9999-12-31	2013-05-08	11642
33/9-18	2745.000000	1.550000	36.000000	15.000000	WATER BASED	1994-12-07	2454	9999-12-31	2013-05-08	11643
33/9-18	2950.000000	1.550000	36.000000	16.000000	WATER BASED	1994-12-08	2454	9999-12-31	2013-05-08	11644
33/9-18	2967.000000	1.550000	39.000000	15.500000	WATER BASED	1994-12-09	2454	9999-12-31	2013-05-08	11645
33/9-18	2978.000000	1.550000	39.000000	15.500000	WATER BASED	1994-12-12	2454	9999-12-31	2013-05-08	11646
33/9-18	2978.000000	1.550000	36.000000	15.500000	WATER BASED	1994-12-12	2454	9999-12-31	2013-05-08	11647
33/9-18	2978.000000	1.550000	35.000000	14.000000	WATER BASED	1994-12-13	2454	9999-12-31	2013-05-08	11648
33/9-18	2978.000000	1.550000	33.000000	16.000000	WATER BASED	1994-12-15	2454	9999-12-31	2013-05-08	11649
33/9-18	2978.000000	1.550000	33.000000	17.000000	WATER BASED	1994-12-16	2454	9999-12-31	2013-05-08	11650
33/9-18	2978.000000	1.550000	35.000000	16.500000	WATER BASED	1994-12-19	2454	9999-12-31	2013-05-08	11651
33/9-18	2978.000000	1.550000	33.000000	14.500000	WATER BASED	1994-12-19	2454	9999-12-31	2013-05-08	11652
33/9-18	2978.000000	1.550000	33.000000	14.500000	WATER BASED	1994-12-19	2454	9999-12-31	2013-05-08	11653
33/9-18	2978.000000	1.550000	36.000000	16.500000	WATER BASED	1994-12-12	2454	9999-12-31	2013-05-08	11654
33/9-18	3007.000000	1.550000	30.000000	15.000000	WATER BASED	1994-12-19	2454	9999-12-31	2013-05-08	11655
33/9-18	3007.000000	1.550000	33.000000	13.000000	WATER BASED	1994-12-21	2454	9999-12-31	2013-05-08	11656
33/9-18	3014.000000	1.550000	36.000000	15.500000	WATER BASED	1994-12-12	2454	9999-12-31	2013-05-08	11657
33/9-18	3020.000000	1.550000	30.000000	15.000000	WATER BASED	1994-12-19	2454	9999-12-31	2013-05-08	11658
33/9-18	3020.000000	1.550000	33.000000	13.000000	WATER BASED	1994-12-21	2454	9999-12-31	2013-05-08	11659
33/9-18	3054.000000	1.550000	36.000000	16.500000	WATER BASED	1994-12-12	2454	9999-12-31	2013-05-08	11660
33/9-18	3075.000000	1.550000	35.000000	14.000000	WATER BASED	1994-12-13	2454	9999-12-31	2013-05-08	11661
33/9-18	3174.000000	1.550000	33.000000	16.000000	WATER BASED	1994-12-15	2454	9999-12-31	2013-05-08	11662
33/9-18	3233.000000	1.550000	33.000000	17.000000	WATER BASED	1994-12-16	2454	9999-12-31	2013-05-08	11663
33/9-18	3242.000000	1.550000	35.000000	16.500000	WATER BASED	1994-12-19	2454	9999-12-31	2013-05-08	11664
33/9-18	3253.000000	1.550000	33.000000	14.500000	WATER BASED	1994-12-19	2454	9999-12-31	2013-05-08	11665
33/9-18	3253.000000	1.550000	33.000000	14.500000	WATER BASED	1994-12-19	2454	9999-12-31	2013-05-08	11666
33/9-18	3253.000000	1.550000	30.000000	15.000000	WATER BASED	1994-12-19	2454	9999-12-31	2013-05-08	11667
33/9-18	3253.000000	1.550000	33.000000	13.000000	WATER BASED	1994-12-21	2454	9999-12-31	2013-05-08	11668
33/9-18 A	200.000000	1.030000	29.000000	18.500000	WATER BASED	1995-01-25	2455	9999-12-31	2013-05-08	11669
33/9-18 A	500.000000	1.490000	29.000000	18.500000	WATER BASED	1995-01-23	2455	9999-12-31	2013-05-08	11670
33/9-18 A	500.000000	1.490000	29.000000	18.500000	WATER BASED	1995-01-23	2455	9999-12-31	2013-05-08	11671
33/9-18 A	1900.000000	1.550000	32.000000	11.500000	WATER BASED	1994-12-23	2455	9999-12-31	2013-05-08	11672
33/9-18 A	2060.000000	1.620000	45.000000	20.000000	WATER BASED	1994-12-23	2455	9999-12-31	2013-05-08	11673
33/9-18 A	2235.000000	1.620000	45.000000	20.000000	WATER BASED	1994-12-28	2455	9999-12-31	2013-05-08	11674
33/9-18 A	2285.000000	1.620000	45.000000	20.000000	WATER BASED	1994-12-28	2455	9999-12-31	2013-05-08	11675
33/9-18 A	2315.000000	1.600000	45.000000	20.000000	WATER BASED	1994-12-28	2455	9999-12-31	2013-05-08	11676
33/9-18 A	2403.000000	1.600000	45.000000	20.000000	WATER BASED	1994-12-28	2455	9999-12-31	2013-05-08	11677
33/9-18 A	2549.000000	1.600000	45.000000	20.000000	WATER BASED	1994-12-28	2455	9999-12-31	2013-05-08	11678
33/9-18 A	2621.000000	1.620000	45.000000	20.000000	WATER BASED	1994-12-28	2455	9999-12-31	2013-05-08	11679
33/9-18 A	2795.000000	1.630000	45.000000	20.000000	WATER BASED	1994-12-29	2455	9999-12-31	2013-05-08	11680
33/9-18 A	2992.000000	1.630000	32.000000	15.000000	WATER BASED	1995-01-02	2455	9999-12-31	2013-05-08	11681
33/9-18 A	3145.000000	1.630000	34.000000	16.500000	WATER BASED	1995-01-03	2455	9999-12-31	2013-05-08	11682
33/9-18 A	3194.000000	1.630000	30.000000	13.000000	WATER BASED	1995-01-05	2455	9999-12-31	2013-05-08	11683
33/9-18 A	3194.000000	1.630000	32.000000	15.000000	WATER BASED	1995-01-03	2455	9999-12-31	2013-05-08	11684
33/9-18 A	3194.000000	1.630000	30.000000	13.000000	WATER BASED	1995-01-03	2455	9999-12-31	2013-05-08	11685
33/9-18 A	3194.000000	1.630000	30.000000	13.000000	WATER BASED	1995-01-03	2455	9999-12-31	2013-05-08	11686
33/9-18 A	3194.000000	1.630000	30.000000	16.000000	WATER BASED	1995-01-05	2455	9999-12-31	2013-05-08	11687
33/9-18 A	3194.000000	1.630000	30.000000	15.500000	WATER BASED	1995-01-10	2455	9999-12-31	2013-05-08	11688
33/9-18 A	3194.000000	1.630000	31.000000	15.500000	WATER BASED	1995-01-10	2455	9999-12-31	2013-05-08	11689
33/9-18 A	3194.000000	1.630000	31.000000	15.500000	WATER BASED	1995-01-10	2455	9999-12-31	2013-05-08	11690
33/9-18 A	3200.000000	1.630000	32.000000	15.000000	WATER BASED	1995-01-10	2455	9999-12-31	2013-05-08	11691
33/9-18 A	3200.000000	1.630000	30.000000	18.000000	WATER BASED	1995-01-10	2455	9999-12-31	2013-05-08	11692
33/9-18 A	3200.000000	1.630000	30.000000	15.500000	WATER BASED	1995-01-12	2455	9999-12-31	2013-05-08	11693
33/9-18 A	3200.000000	1.630000	32.000000	17.000000	WATER BASED	1995-01-12	2455	9999-12-31	2013-05-08	11694
33/9-18 A	3200.000000	1.630000	31.000000	18.000000	WATER BASED	1995-01-13	2455	9999-12-31	2013-05-08	11695
33/9-18 A	3200.000000	1.630000	30.000000	16.000000	WATER BASED	1995-01-16	2455	9999-12-31	2013-05-08	11696
33/9-18 A	3200.000000	1.630000	29.000000	18.500000	WATER BASED	1995-01-16	2455	9999-12-31	2013-05-08	11697
33/9-18 A	3200.000000	1.630000	29.000000	18.000000	WATER BASED	1995-01-17	2455	9999-12-31	2013-05-08	11698
33/9-18 A	3200.000000	1.630000	30.000000	19.000000	WATER BASED	1995-01-18	2455	9999-12-31	2013-05-08	11699
33/9-18 A	3200.000000	1.630000	29.000000	18.500000	WATER BASED	1995-01-20	2455	9999-12-31	2013-05-08	11700
33/9-18 A	3200.000000	1.630000	29.000000	18.500000	WATER BASED	1995-01-20	2455	9999-12-31	2013-05-08	11701
33/9-18 A	3200.000000	1.630000	29.000000	18.500000	WATER BASED	1995-01-23	2455	9999-12-31	2013-05-08	11702
33/9-18 A	3200.000000	1.630000	29.000000	18.000000	WATER BASED	1995-01-16	2455	9999-12-31	2013-05-08	11703
33/9-18 A	3252.000000	1.630000	32.000000	15.000000	WATER BASED	1995-01-10	2455	9999-12-31	2013-05-08	11704
33/9-18 A	3397.000000	1.630000	30.000000	18.000000	WATER BASED	1995-01-10	2455	9999-12-31	2013-05-08	11705
33/9-18 A	3405.000000	1.630000	32.000000	17.000000	WATER BASED	1995-01-12	2455	9999-12-31	2013-05-08	11706
33/9-18 A	3405.000000	1.630000	30.000000	15.500000	WATER BASED	1995-01-12	2455	9999-12-31	2013-05-08	11707
33/9-18 A	3457.000000	1.630000	31.000000	18.000000	WATER BASED	1995-01-13	2455	9999-12-31	2013-05-08	11708
33/9-18 A	3553.000000	1.630000	30.000000	16.000000	WATER BASED	1995-01-16	2455	9999-12-31	2013-05-08	11709
33/9-18 A	3597.000000	1.630000	30.000000	19.000000	WATER BASED	1995-01-18	2455	9999-12-31	2013-05-08	11710
33/9-18 A	3597.000000	1.630000	29.000000	18.500000	WATER BASED	1995-01-16	2455	9999-12-31	2013-05-08	11711
33/9-18 A	3597.000000	1.630000	29.000000	18.000000	WATER BASED	1995-01-16	2455	9999-12-31	2013-05-08	11712
33/9-18 A	3597.000000	1.630000	29.000000	18.500000	WATER BASED	1995-01-20	2455	9999-12-31	2013-05-08	11713
33/9-18 A	3597.000000	1.630000	29.000000	18.500000	WATER BASED	1995-01-20	2455	9999-12-31	2013-05-08	11714
33/9-18 A	3597.000000	1.630000	29.000000	18.000000	WATER BASED	1995-01-17	2455	9999-12-31	2013-05-08	11715
33/9-18 A	3597.000000	1.630000	29.000000	18.500000	WATER BASED	1995-01-23	2455	9999-12-31	2013-05-08	11716
33/9-19 A	2314.000000	1.620000	45.000000	0.000000	ANCO VERT	9999-12-31	2872	9999-12-31	2013-05-08	11717
33/9-19 A	2789.000000	1.620000	35.000000	0.000000	ANCO VERT	9999-12-31	2872	9999-12-31	2013-05-08	11718
33/9-19 A	2838.000000	1.680000	47.000000	0.000000	ANCO VERT	9999-12-31	2872	9999-12-31	2013-05-08	11719
33/9-19 A	2925.000000	1.620000	40.000000	0.000000	ANCO VERT	9999-12-31	2872	9999-12-31	2013-05-08	11720
33/9-19 A	3514.000000	1.630000	42.000000	0.000000	ANCO VERT	9999-12-31	2872	9999-12-31	2013-05-08	11721
33/9-19 S	450.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	2830	9999-12-31	2013-05-08	11722
33/9-19 S	1220.000000	1.220000	0.000000	0.000000	DUMMY	9999-12-31	2830	9999-12-31	2013-05-08	11723
33/9-19 S	1900.000000	1.500000	0.000000	0.000000	DUMMY	9999-12-31	2830	9999-12-31	2013-05-08	11724
33/9-19 S	1956.000000	1.500000	24.000000	0.000000	ANCO 2000	9999-12-31	2830	9999-12-31	2013-05-08	11725
33/9-19 S	2305.000000	1.620000	40.000000	0.000000	ANCO VERT	9999-12-31	2830	9999-12-31	2013-05-08	11726
33/9-19 S	2709.000000	1.620000	42.000000	0.000000	ANCO VERT	9999-12-31	2830	9999-12-31	2013-05-08	11727
33/9-19 S	3197.000000	1.620000	39.000000	0.000000	ANCO VERT	9999-12-31	2830	9999-12-31	2013-05-08	11728
33/9-20 S	1894.000000	1.550000	0.000000	69.000000	waterbased	9999-12-31	4143	9999-12-31	2013-05-08	11729
33/9-20 S	2493.000000	1.550000	0.000000	69.000000	waterbased	9999-12-31	4143	9999-12-31	2013-05-08	11730
33/9-20 S	2560.000000	1.430000	0.000000	69.000000	waterbased	9999-12-31	4143	9999-12-31	2013-05-08	11731
33/9-20 S	4449.000000	1.560000	0.000000	57.000000	waterbased	9999-12-31	4143	9999-12-31	2013-05-08	11732
33/9-20 S	5546.000000	1.530000	0.000000	74.000000	waterbased	9999-12-31	4143	9999-12-31	2013-05-08	11733
33/9-21 S	506.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	5791	9999-12-31	2013-05-08	11734
33/9-21 S	1577.000000	1.170000	0.000000	0.000000	KCL/Glycol	9999-12-31	5791	9999-12-31	2013-05-08	11735
33/9-21 S	5155.000000	1.530000	0.000000	0.000000	Versaclean	9999-12-31	5791	9999-12-31	2013-05-08	11736
33/9-21 S	6066.000000	1.550000	0.000000	0.000000	Versaclean	9999-12-31	5791	9999-12-31	2013-05-08	11737
33/9-6	1000.000000	1.160000	0.000000	0.000000	waterbased	9999-12-31	411	9999-12-31	2013-05-08	11738
33/9-6	1560.000000	1.160000	0.000000	0.000000	waterbased	9999-12-31	411	9999-12-31	2013-05-08	11739
33/9-6	1782.000000	1.250000	0.000000	0.000000	waterbased	9999-12-31	411	9999-12-31	2013-05-08	11740
33/9-6	2817.000000	1.460000	0.000000	0.000000	waterbased	9999-12-31	411	9999-12-31	2013-05-08	11741
33/9-6	3222.000000	1.610000	0.000000	0.000000	waterbased	9999-12-31	411	9999-12-31	2013-05-08	11742
33/9-9	249.000000	1.070000	0.000000	0.000000	waterbased	9999-12-31	414	9999-12-31	2013-05-08	11743
33/9-9	760.000000	1.140000	0.000000	0.000000	waterbased	9999-12-31	414	9999-12-31	2013-05-08	11744
33/9-9	1137.000000	1.160000	0.000000	0.000000	waterbased	9999-12-31	414	9999-12-31	2013-05-08	11745
33/9-9	1568.000000	1.250000	0.000000	0.000000	waterbased	9999-12-31	414	9999-12-31	2013-05-08	11746
33/9-9	1993.000000	1.370000	0.000000	0.000000	waterbased	9999-12-31	414	9999-12-31	2013-05-08	11747
33/9-9	2421.000000	1.720000	0.000000	0.000000	waterbased	9999-12-31	414	9999-12-31	2013-05-08	11748
34/10-1	214.000000	1.050000	0.000000	0.000000	waterbased	9999-12-31	424	9999-12-31	2013-05-08	11749
34/10-1	504.000000	1.100000	0.000000	0.000000	waterbased	9999-12-31	424	9999-12-31	2013-05-08	11750
34/10-1	1288.000000	1.190000	0.000000	0.000000	waterbased	9999-12-31	424	9999-12-31	2013-05-08	11751
34/10-1	1456.000000	1.240000	0.000000	0.000000	waterbased	9999-12-31	424	9999-12-31	2013-05-08	11752
34/10-1	1554.000000	1.490000	0.000000	0.000000	waterbased	9999-12-31	424	9999-12-31	2013-05-08	11753
34/10-1	1853.000000	1.820000	42.000000	0.000000	waterbased	9999-12-31	424	9999-12-31	2013-05-08	11754
34/10-1	2158.000000	1.760000	43.000000	0.000000	waterbased	9999-12-31	424	9999-12-31	2013-05-08	11755
34/10-1	2440.000000	1.700000	49.000000	0.000000	waterbased	9999-12-31	424	9999-12-31	2013-05-08	11756
34/10-1	2462.000000	1.830000	52.000000	0.000000	waterbased	9999-12-31	424	9999-12-31	2013-05-08	11757
34/10-10	263.000000	1.050000	60.000000	0.000000	waterbased	9999-12-31	430	9999-12-31	2013-05-08	11758
34/10-10	338.000000	1.070000	75.000000	0.000000	waterbased	9999-12-31	430	9999-12-31	2013-05-08	11759
34/10-10	543.000000	1.070000	42.000000	0.000000	waterbased	9999-12-31	430	9999-12-31	2013-05-08	11760
34/10-10	665.000000	1.030000	43.000000	0.000000	waterbased	9999-12-31	430	9999-12-31	2013-05-08	11761
34/10-16	225.000000	1.040000	0.000000	0.000000	waterbased	9999-12-31	59	9999-12-31	2013-05-08	11762
34/10-16	425.000000	1.080000	0.000000	0.000000	waterbased	9999-12-31	59	9999-12-31	2013-05-08	11763
34/10-16	720.000000	1.150000	0.000000	0.000000	waterbased	9999-12-31	59	9999-12-31	2013-05-08	11764
34/10-16	1845.000000	1.270000	0.000000	0.000000	waterbased	9999-12-31	59	9999-12-31	2013-05-08	11765
34/10-16	2215.000000	1.210000	0.000000	0.000000	waterbased	9999-12-31	59	9999-12-31	2013-05-08	11766
34/10-16	3100.000000	1.520000	0.000000	0.000000	waterbased	9999-12-31	59	9999-12-31	2013-05-08	11767
34/10-16	4040.000000	1.550000	0.000000	0.000000	waterbased	9999-12-31	59	9999-12-31	2013-05-08	11768
34/10-17	255.000000	1.060000	41.000000	0.000000	waterbased	9999-12-31	5	9999-12-31	2013-05-08	11769
34/10-17	668.000000	1.190000	32.000000	0.000000	waterbased	9999-12-31	5	9999-12-31	2013-05-08	11770
34/10-17	1669.000000	1.150000	40.000000	0.000000	waterbased	9999-12-31	5	9999-12-31	2013-05-08	11771
34/10-17	2206.000000	1.260000	50.000000	0.000000	waterbased	9999-12-31	5	9999-12-31	2013-05-08	11772
34/10-17	2687.000000	1.570000	62.000000	0.000000	waterbased	9999-12-31	5	9999-12-31	2013-05-08	11773
34/10-17	2912.000000	1.600000	61.000000	0.000000	waterbased	9999-12-31	5	9999-12-31	2013-05-08	11774
34/10-17	3205.000000	1.450000	58.000000	0.000000	waterbased	9999-12-31	5	9999-12-31	2013-05-08	11775
34/10-17	3464.000000	1.500000	60.000000	0.000000	waterbased	9999-12-31	5	9999-12-31	2013-05-08	11776
34/10-18	270.000000	1.050000	47.000000	0.000000	waterbased	9999-12-31	23	9999-12-31	2013-05-08	11777
34/10-18	750.000000	1.090000	50.000000	0.000000	waterbased	9999-12-31	23	9999-12-31	2013-05-08	11778
34/10-18	1780.000000	1.110000	62.000000	0.000000	waterbased	9999-12-31	23	9999-12-31	2013-05-08	11779
34/10-18	2050.000000	1.320000	54.000000	0.000000	waterbased	9999-12-31	23	9999-12-31	2013-05-08	11780
34/10-18	2330.000000	1.650000	45.000000	0.000000	waterbased	9999-12-31	23	9999-12-31	2013-05-08	11781
34/10-18	2660.000000	1.580000	48.000000	0.000000	waterbased	9999-12-31	23	9999-12-31	2013-05-08	11782
34/10-2	210.000000	1.060000	41.000000	0.000000	spud mud	9999-12-31	425	9999-12-31	2013-05-08	11783
34/10-2	517.000000	1.130000	23.000000	35.000000	spud mud	9999-12-31	425	9999-12-31	2013-05-08	11784
34/10-2	867.000000	1.220000	43.000000	14.000000	waterbased	9999-12-31	425	9999-12-31	2013-05-08	11785
34/10-2	1810.000000	1.270000	48.000000	21.000000	waterbased	9999-12-31	425	9999-12-31	2013-05-08	11786
34/10-2	2128.000000	1.500000	55.000000	16.000000	waterbased	9999-12-31	425	9999-12-31	2013-05-08	11787
34/10-2	2623.000000	1.520000	53.000000	17.000000	waterbased	9999-12-31	425	9999-12-31	2013-05-08	11788
34/10-2	2870.000000	1.620000	51.000000	11.000000	waterbased	9999-12-31	425	9999-12-31	2013-05-08	11789
34/10-2	3283.000000	1.700000	52.000000	8.000000	waterbased	9999-12-31	425	9999-12-31	2013-05-08	11790
34/10-2	3730.000000	1.700000	66.000000	9.000000	waterbased	9999-12-31	425	9999-12-31	2013-05-08	11791
34/10-22	360.000000	1.100000	8.000000	31.000000	WATER BASED	9999-12-31	446	9999-12-31	2013-05-08	11792
34/10-22	500.000000	1.100000	9.000000	12.000000	WATER BASED	9999-12-31	446	9999-12-31	2013-05-08	11793
34/10-23	1161.000000	1.650000	29.000000	3.900000	WATER BASED	1985-10-09	476	9999-12-31	2013-05-08	11794
34/10-23	2014.000000	1.200000	20.000000	3.900000	WATER BASED	1985-05-21	476	9999-12-31	2013-05-08	11795
34/10-23	2054.000000	1.250000	17.000000	3.900000	WATER BASED	1985-05-21	476	9999-12-31	2013-05-08	11796
34/10-23	2056.000000	1.330000	22.000000	4.900000	WATER BASED	1985-05-21	476	9999-12-31	2013-05-08	11797
34/10-23	2283.000000	1.340000	24.000000	5.400000	WATER BASED	1985-05-22	476	9999-12-31	2013-05-08	11798
34/10-23	2389.000000	1.380000	22.000000	6.900000	WATER BASED	1985-05-23	476	9999-12-31	2013-05-08	11799
34/10-23	2743.000000	1.450000	55.000000	9.000000	WATER BASED	1985-05-29	476	9999-12-31	2013-05-08	11800
34/10-23	2955.000000	1.450000	9.000000	13.800000	WATER BASED	1985-05-29	476	9999-12-31	2013-05-08	11801
34/10-23	3115.000000	1.450000	14.000000	8.900000	WATER BASED	1985-06-05	476	9999-12-31	2013-05-08	11802
34/10-23	3120.000000	1.370000	10.000000	6.000000	WATER BASED	1985-06-10	476	9999-12-31	2013-05-08	11803
34/10-23	3503.000000	1.730000	25.000000	10.000000	WATER BASED	1985-06-17	476	9999-12-31	2013-05-08	11804
34/10-23	3503.000000	1.640000	25.000000	7.000000	WATER BASED	1985-06-14	476	9999-12-31	2013-05-08	11805
34/10-23	3503.000000	1.730000	25.000000	10.000000	WATER BASED	1985-06-17	476	9999-12-31	2013-05-08	11806
34/10-23	3549.000000	1.770000	26.000000	9.000000	WATER BASED	1985-06-17	476	9999-12-31	2013-05-08	11807
34/10-23	3789.000000	1.810000	56.000000	11.000000	WATER BASED	1985-06-25	476	9999-12-31	2013-05-08	11808
34/10-23	3924.000000	1.860000	25.000000	9.900000	WATER BASED	1985-07-16	476	9999-12-31	2013-05-08	11809
34/10-23	3963.000000	1.920000	28.000000	4.900000	WATER BASED	1985-07-16	476	9999-12-31	2013-05-08	11810
34/10-23	4007.000000	1.970000	35.000000	5.800000	WATER BASED	1985-07-16	476	9999-12-31	2013-05-08	11811
34/10-23	4080.000000	2.070000	47.500000	7.400000	WATER BASED	1985-07-18	476	9999-12-31	2013-05-08	11812
34/10-23	4080.000000	2.050000	41.000000	6.900000	WATER BASED	1985-07-17	476	9999-12-31	2013-05-08	11813
34/10-23	4080.000000	2.070000	47.500000	7.400000	WATER BASED	1985-07-18	476	9999-12-31	2013-05-08	11814
34/10-23	4082.000000	2.090000	42.000000	6.400000	WATER BASED	1985-07-19	476	9999-12-31	2013-05-08	11815
34/10-23	4100.000000	2.060000	29.000000	3.900000	WATER BASED	1985-07-29	476	9999-12-31	2013-05-08	11816
34/10-23	4100.000000	2.030000	28.000000	3.400000	WATER BASED	1985-07-29	476	9999-12-31	2013-05-08	11817
34/10-23	4100.000000	2.030000	28.000000	3.400000	WATER BASED	1985-07-29	476	9999-12-31	2013-05-08	11818
34/10-23	4120.000000	2.060000	29.000000	3.900000	WATER BASED	1985-09-25	476	9999-12-31	2013-05-08	11819
34/10-23	4308.000000	2.010000	33.000000	5.400000	WATER BASED	1985-08-07	476	9999-12-31	2013-05-08	11820
34/10-23	4438.000000	2.010000	32.000000	7.000000	WATER BASED	1985-09-16	476	9999-12-31	2013-05-08	11821
34/10-23	4490.000000	2.040000	33.000000	5.900000	WATER BASED	1985-08-15	476	9999-12-31	2013-05-08	11822
34/10-23	4525.000000	2.010000	31.000000	4.500000	WATER BASED	1985-08-19	476	9999-12-31	2013-05-08	11823
34/10-23	4569.000000	1.980000	30.000000	4.900000	WATER BASED	1985-09-02	476	9999-12-31	2013-05-08	11824
34/10-23	4576.000000	1.960000	32.000000	3.900000	WATER BASED	1985-09-02	476	9999-12-31	2013-05-08	11825
34/10-24	220.000000	1.050000	51.000000	12.000000	WATER BASED	1985-07-03	483	9999-12-31	2013-05-08	11826
34/10-24	310.000000	1.100000	85.000000	13.000000	WATER BASED	1985-07-09	483	9999-12-31	2013-05-08	11827
34/10-24	315.000000	1.070000	52.000000	13.000000	WATER BASED	1985-07-03	483	9999-12-31	2013-05-08	11828
34/10-24	379.000000	1.100000	63.000000	12.000000	WATER BASED	1985-07-09	483	9999-12-31	2013-05-08	11829
34/10-24	600.000000	1.110000	62.000000	11.000000	WATER BASED	1985-07-09	483	9999-12-31	2013-05-08	11830
34/10-25	230.000000	1.030000	0.000000	0.000000	water based	9999-12-31	523	9999-12-31	2013-05-08	11831
34/10-25	310.000000	1.030000	0.000000	0.000000	water based	9999-12-31	523	9999-12-31	2013-05-08	11832
34/10-25	600.000000	1.030000	0.000000	0.000000	water based	9999-12-31	523	9999-12-31	2013-05-08	11833
34/10-26	314.000000	1.120000	11.000000	6.300000	WATER BASED	1985-10-22	858	9999-12-31	2013-05-08	11834
34/10-26	507.000000	1.120000	11.000000	9.000000	WATER BASED	1985-10-23	858	9999-12-31	2013-05-08	11835
34/10-26	600.000000	1.140000	11.000000	6.000000	WATER BASED	1985-10-28	858	9999-12-31	2013-05-08	11836
34/10-27	312.000000	1.100000	59.000000	35.000000	KCL	1985-12-11	867	9999-12-31	2013-05-08	11837
34/10-27 R	312.000000	1.100000	59.000000	35.000000	KCL	9999-12-31	888	9999-12-31	2013-05-08	11838
34/10-29	270.000000	1.100000	80.000000	0.000000	WATER BASED	1985-12-31	453	9999-12-31	2013-05-08	11839
34/10-29	326.000000	1.120000	52.000000	10.500000	WATER BASED	1986-01-02	453	9999-12-31	2013-05-08	11840
34/10-29	344.000000	1.120000	57.000000	14.000000	WATERBASED	1986-01-06	453	9999-12-31	2013-05-08	11841
34/10-29	405.000000	1.120000	57.000000	14.000000	WATERBASED	1986-01-16	453	9999-12-31	2013-05-08	11842
34/10-3	600.000000	1.080000	42.000000	0.000000	waterbased	9999-12-31	426	9999-12-31	2013-05-08	11843
34/10-3	835.000000	1.090000	40.000000	0.000000	waterbased	9999-12-31	426	9999-12-31	2013-05-08	11844
34/10-3	960.000000	1.140000	41.000000	0.000000	waterbased	9999-12-31	426	9999-12-31	2013-05-08	11845
34/10-3	1555.000000	1.500000	42.000000	0.000000	waterbased	9999-12-31	426	9999-12-31	2013-05-08	11846
34/10-3	1810.000000	1.550000	44.000000	0.000000	waterbased	9999-12-31	426	9999-12-31	2013-05-08	11847
34/10-3	1895.000000	1.780000	47.000000	0.000000	waterbased	9999-12-31	426	9999-12-31	2013-05-08	11848
34/10-3	2405.000000	1.600000	50.000000	0.000000	waterbased	9999-12-31	426	9999-12-31	2013-05-08	11849
34/10-30	634.000000	1.120000	17.000000	11.000000	WATER BASED	1986-01-23	877	9999-12-31	2013-05-08	11850
34/10-30	898.000000	1.150000	20.000000	12.500000	WATER BASED	1986-01-23	877	9999-12-31	2013-05-08	11851
34/10-30	1718.000000	1.170000	56.000000	25.000000	WATER BASED	1986-01-31	877	9999-12-31	2013-05-08	11852
34/10-30	1776.000000	1.200000	58.000000	16.000000	WATER BASED	1986-02-03	877	9999-12-31	2013-05-08	11853
34/10-30	1887.000000	1.270000	62.000000	15.500000	WATER BASED	1986-02-03	877	9999-12-31	2013-05-08	11854
34/10-30	1898.000000	1.300000	61.000000	13.500000	WATER BASED	1986-02-04	877	9999-12-31	2013-05-08	11855
34/10-30	1905.000000	1.350000	52.000000	9.800000	WATER BASED	1986-02-11	877	9999-12-31	2013-05-08	11856
34/10-30	1928.000000	1.400000	52.000000	9.800000	WATER BASED	1986-02-11	877	9999-12-31	2013-05-08	11857
34/10-30	2043.000000	1.450000	52.000000	9.800000	WATER BASED	1986-02-11	877	9999-12-31	2013-05-08	11858
34/10-30	2100.000000	1.560000	56.000000	8.400000	WATER BASED	1986-02-11	877	9999-12-31	2013-05-08	11859
34/10-30	2151.000000	1.550000	56.000000	8.400000	WATER BASED	1986-02-11	877	9999-12-31	2013-05-08	11860
34/10-30	2204.000000	1.600000	56.000000	8.400000	WATER BASED	1986-02-11	877	9999-12-31	2013-05-08	11861
34/10-30	2476.000000	1.620000	51.000000	7.400000	WATER BASED	1986-02-12	877	9999-12-31	2013-05-08	11862
34/10-30	2750.000000	1.620000	57.000000	10.000000	WATER BASED	1986-02-16	877	9999-12-31	2013-05-08	11863
34/10-30	2770.000000	1.670000	50.000000	7.000000	WATER BASED	1986-02-16	877	9999-12-31	2013-05-08	11864
34/10-30	2777.000000	1.670000	55.000000	8.000000	WATER BASED	1986-02-16	877	9999-12-31	2013-05-08	11865
34/10-30	2944.000000	1.650000	21.000000	4.500000	WATER BASED	1986-03-11	877	9999-12-31	2013-05-08	11866
34/10-30	3133.000000	1.650000	21.000000	4.500000	WATER BASED	1986-03-11	877	9999-12-31	2013-05-08	11867
34/10-30	3146.000000	1.650000	21.000000	4.500000	WATER BASED	1986-03-11	877	9999-12-31	2013-05-08	11868
34/10-30	3365.000000	1.600000	20.000000	4.500000	WATER BASED	1986-03-11	877	9999-12-31	2013-05-08	11869
34/10-30	3500.000000	1.500000	20.000000	6.000000	WATER BASED	1986-03-25	877	9999-12-31	2013-05-08	11870
34/10-30	3675.000000	1.500000	23.000000	5.700000	WATER BASED	1986-04-01	877	9999-12-31	2013-05-08	11871
34/10-30	3693.000000	1.500000	24.000000	5.200000	WATER BASED	1986-04-03	877	9999-12-31	2013-05-08	11872
34/10-31	181.000000	1.030000	1.000000	0.000000	WATER BASED	1986-04-10	887	9999-12-31	2013-05-08	11873
34/10-31	315.000000	1.120000	1.000000	0.000000	WATER BASED	1986-02-18	887	9999-12-31	2013-05-08	11874
34/10-31	315.000000	1.100000	8.000000	14.000000	WATER BASED	1986-02-17	887	9999-12-31	2013-05-08	11875
34/10-31	315.000000	1.120000	1.000000	0.000000	WATER BASED	1986-02-17	887	9999-12-31	2013-05-08	11876
34/10-31	315.000000	1.100000	8.000000	14.000000	WATER BASED	1986-02-05	887	9999-12-31	2013-05-08	11877
34/10-33	470.000000	1.100000	12.000000	3.000000	WATER BASED	1988-10-06	1302	9999-12-31	2013-05-08	11878
34/10-33	592.000000	1.100000	12.000000	3.000000	WATER BASED	1988-10-07	1302	9999-12-31	2013-05-08	11879
34/10-33	2153.000000	1.250000	18.500000	3.500000	WATER BASED	1988-10-14	1302	9999-12-31	2013-05-08	11880
34/10-33	2322.000000	1.250000	15.000000	3.000000	WATER BASED	1988-10-17	1302	9999-12-31	2013-05-08	11881
34/10-33	2590.000000	1.250000	18.000000	3.800000	WATER BASED	1988-10-17	1302	9999-12-31	2013-05-08	11882
34/10-33	2709.000000	1.250000	17.000000	5.500000	WATER BASED	1988-10-17	1302	9999-12-31	2013-05-08	11883
34/10-33	2931.000000	1.280000	16.000000	4.800000	WATER BASED	1988-10-18	1302	9999-12-31	2013-05-08	11884
34/10-33	3014.000000	1.340000	18.000000	6.200000	WATER BASED	1988-10-19	1302	9999-12-31	2013-05-08	11885
34/10-33	3111.000000	1.400000	23.000000	8.600000	WATER BASED	1988-10-20	1302	9999-12-31	2013-05-08	11886
34/10-33	3161.000000	1.450000	21.000000	6.000000	WATER BASED	1988-10-24	1302	9999-12-31	2013-05-08	11887
34/10-33	3161.000000	1.450000	18.000000	5.500000	WATER BASED	1988-10-24	1302	9999-12-31	2013-05-08	11888
34/10-33	3174.000000	1.450000	21.000000	6.000000	WATER BASED	1988-10-26	1302	9999-12-31	2013-05-08	11889
34/10-33	3199.000000	1.450000	20.000000	4.500000	WATER BASED	1988-10-26	1302	9999-12-31	2013-05-08	11890
34/10-33	3223.000000	1.490000	21.000000	6.000000	WATER BASED	1988-10-27	1302	9999-12-31	2013-05-08	11891
34/10-33	3251.000000	1.490000	21.000000	6.000000	WATER BASED	1988-11-01	1302	9999-12-31	2013-05-08	11892
34/10-33	3280.000000	1.490000	23.000000	7.000000	WATER BASED	1988-11-01	1302	9999-12-31	2013-05-08	11893
34/10-33	3286.000000	1.530000	21.000000	6.500000	WATER BASED	1988-11-01	1302	9999-12-31	2013-05-08	11894
34/10-33	3293.000000	1.530000	24.000000	6.000000	WATER BASED	1988-11-01	1302	9999-12-31	2013-05-08	11895
34/10-33	3329.000000	1.530000	24.000000	7.000000	WATER BASED	1988-11-02	1302	9999-12-31	2013-05-08	11896
34/10-33	3350.000000	1.530000	24.000000	6.500000	WATER BASED	1988-11-02	1302	9999-12-31	2013-05-08	11897
34/10-33	3377.000000	1.530000	22.000000	6.000000	WATER BASED	1988-11-03	1302	9999-12-31	2013-05-08	11898
34/10-33	3411.000000	1.530000	20.000000	6.000000	WATER BASED	1988-11-04	1302	9999-12-31	2013-05-08	11899
34/10-33	3602.000000	1.530000	75.000000	8.000000	WATER BASED	1988-11-07	1302	9999-12-31	2013-05-08	11900
34/10-33	3619.000000	1.500000	21.000000	4.000000	WATER BASED	1988-11-29	1302	9999-12-31	2013-05-08	11901
34/10-33	3763.000000	1.490000	19.000000	5.000000	WATER BASED	1988-11-21	1302	9999-12-31	2013-05-08	11902
34/10-33	3765.000000	1.500000	23.000000	8.500000	WATER BASED	1988-11-11	1302	9999-12-31	2013-05-08	11903
34/10-33	3766.000000	1.500000	17.000000	6.500000	WATER BASED	1988-11-14	1302	9999-12-31	2013-05-08	11904
34/10-33	3776.000000	1.500000	19.000000	8.500000	WATER BASED	1988-11-14	1302	9999-12-31	2013-05-08	11905
34/10-33	3776.000000	1.500000	19.000000	9.000000	WATER BASED	1988-11-14	1302	9999-12-31	2013-05-08	11906
34/10-33	3776.000000	1.500000	19.000000	6.500000	WATER BASED	1988-11-15	1302	9999-12-31	2013-05-08	11907
34/10-33	3776.000000	1.500000	21.000000	6.000000	WATER BASED	1988-11-21	1302	9999-12-31	2013-05-08	11908
34/10-33	3776.000000	1.500000	17.000000	6.000000	WATER BASED	1988-11-17	1302	9999-12-31	2013-05-08	11909
34/10-33	3776.000000	1.500000	26.000000	9.000000	WATER BASED	1988-11-17	1302	9999-12-31	2013-05-08	11910
34/10-33	3793.000000	1.400000	22.000000	6.500000	WATER BASED	1988-11-21	1302	9999-12-31	2013-05-08	11911
34/10-33	3815.000000	1.400000	23.000000	6.500000	WATER BASED	1988-11-22	1302	9999-12-31	2013-05-08	11912
34/10-33	3831.000000	1.400000	19.000000	5.000000	WATER BASED	1988-11-25	1302	9999-12-31	2013-05-08	11913
34/10-33	3870.000000	1.400000	22.000000	5.500000	WATER BASED	1988-11-25	1302	9999-12-31	2013-05-08	11914
34/10-33 A	2696.000000	1.470000	15.000000	6.500000	WATER BASED	1988-12-19	1365	9999-12-31	2013-05-08	11915
34/10-33 A	2704.000000	1.470000	40.000000	13.500000	WATER BASED	1988-12-28	1365	9999-12-31	2013-05-08	11916
34/10-33 A	2761.000000	1.470000	28.000000	8.000000	WATER BASED	1988-12-28	1365	9999-12-31	2013-05-08	11917
34/10-33 A	2823.000000	1.470000	20.000000	7.000000	WATER BASED	1988-12-28	1365	9999-12-31	2013-05-08	11918
34/10-33 A	2853.000000	1.470000	21.000000	8.000000	WATER BASED	1988-12-28	1365	9999-12-31	2013-05-08	11919
34/10-33 A	2883.000000	1.260000	13.000000	4.500000	WATER BASED	1988-12-29	1365	9999-12-31	2013-05-08	11920
34/10-33 A	2952.000000	1.260000	17.000000	4.000000	WATER BASED	1989-01-02	1365	9999-12-31	2013-05-08	11921
34/10-33 A	3025.000000	1.330000	18.000000	8.500000	WATER BASED	1989-01-02	1365	9999-12-31	2013-05-08	11922
34/10-33 A	3105.000000	1.390000	17.000000	7.500000	WATER BASED	1989-01-02	1365	9999-12-31	2013-05-08	11923
34/10-33 A	3169.000000	1.410000	21.000000	11.000000	WATER BASED	1989-01-02	1365	9999-12-31	2013-05-08	11924
34/10-33 A	3219.000000	1.450000	22.000000	8.500000	WATER BASED	1989-01-03	1365	9999-12-31	2013-05-08	11925
34/10-33 A	3276.000000	1.450000	19.000000	8.500000	WATER BASED	1989-01-04	1365	9999-12-31	2013-05-08	11926
34/10-33 A	3310.000000	1.450000	20.000000	7.000000	WATER BASED	1989-01-05	1365	9999-12-31	2013-05-08	11927
34/10-33 A	3320.000000	1.500000	29.000000	12.000000	WATER BASED	1989-01-19	1365	9999-12-31	2013-05-08	11928
34/10-33 A	3330.000000	1.600000	25.000000	7.000000	WATER BASED	1989-01-20	1365	9999-12-31	2013-05-08	11929
34/10-33 A	3340.000000	1.600000	23.000000	6.500000	WATER BASED	1989-01-25	1365	9999-12-31	2013-05-08	11930
34/10-33 A	3343.000000	1.600000	24.000000	6.500000	WATER BASED	1989-01-24	1365	9999-12-31	2013-05-08	11931
34/10-33 A	3345.000000	1.600000	25.000000	6.000000	WATER BASED	1989-01-24	1365	9999-12-31	2013-05-08	11932
34/10-33 A	3370.000000	1.480000	22.000000	6.500000	WATER BASED	1989-01-06	1365	9999-12-31	2013-05-08	11933
34/10-33 A	3470.000000	1.460000	20.000000	5.500000	WATER BASED	1989-01-09	1365	9999-12-31	2013-05-08	11934
34/10-33 A	3511.000000	1.440000	16.000000	4.500000	WATER BASED	1989-01-09	1365	9999-12-31	2013-05-08	11935
34/10-33 A	3745.000000	1.440000	17.000000	4.500000	WATER BASED	1989-01-09	1365	9999-12-31	2013-05-08	11936
34/10-33 A	3747.000000	1.440000	17.000000	4.500000	WATER BASED	1989-01-10	1365	9999-12-31	2013-05-08	11937
34/10-33 A	3851.000000	1.440000	17.000000	4.000000	WATER BASED	1989-01-18	1365	9999-12-31	2013-05-08	11938
34/10-33 A	3851.000000	1.440000	19.000000	4.000000	WATER BASED	1989-01-11	1365	9999-12-31	2013-05-08	11939
34/10-33 A	3851.000000	1.440000	20.000000	3.800000	WATER BASED	1989-01-13	1365	9999-12-31	2013-05-08	11940
34/10-33 B	1840.000000	1.440000	21.000000	9.000000	WATER BASED	1989-05-09	1407	9999-12-31	2013-05-08	11941
34/10-33 B	1864.000000	1.450000	18.000000	5.500000	OIL BASED	1989-05-09	1407	9999-12-31	2013-05-08	11942
34/10-33 B	2100.000000	1.450000	24.000000	3.000000	WATER BASED	1989-05-03	1407	9999-12-31	2013-05-08	11943
34/10-33 B	2982.000000	1.580000	24.000000	6.500000	OIL BASED	1989-05-19	1407	9999-12-31	2013-05-08	11944
34/10-33 B	3024.000000	1.580000	26.000000	6.000000	OIL BASED	1989-05-19	1407	9999-12-31	2013-05-08	11945
34/10-33 B	3088.000000	1.580000	22.000000	7.000000	OIL BASED	1989-05-19	1407	9999-12-31	2013-05-08	11946
34/10-33 B	3171.000000	1.580000	25.000000	7.000000	OIL BASED	1989-05-19	1407	9999-12-31	2013-05-08	11947
34/10-33 B	3200.000000	1.580000	23.000000	6.500000	OIL BASED	1989-05-19	1407	9999-12-31	2013-05-08	11948
34/10-33 B	3241.000000	1.580000	22.000000	6.500000	OIL BASED	1989-05-19	1407	9999-12-31	2013-05-08	11949
34/10-33 B	3241.000000	1.580000	26.000000	7.000000	OIL BASED	1989-05-19	1407	9999-12-31	2013-05-08	11950
34/10-33 B	3402.000000	1.580000	27.000000	13.000000	OIL BASED	1989-05-24	1407	9999-12-31	2013-05-08	11951
34/10-33 B	3415.000000	1.580000	27.000000	6.500000	OIL BASED	1989-05-24	1407	9999-12-31	2013-05-08	11952
34/10-33 B	3458.000000	1.580000	27.000000	7.000000	OIL BASED	1989-05-24	1407	9999-12-31	2013-05-08	11953
34/10-33 B	3484.000000	1.500000	25.000000	6.500000	OIL BASED	1989-06-07	1407	9999-12-31	2013-05-08	11954
34/10-33 B	3485.000000	1.500000	24.000000	6.000000	OIL BASED	1989-06-08	1407	9999-12-31	2013-05-08	11955
34/10-33 B	3493.000000	1.420000	20.000000	6.000000	OIL BASED	1989-06-02	1407	9999-12-31	2013-05-08	11956
34/10-33 B	3493.000000	1.590000	31.000000	7.000000	OIL BASED	1989-05-29	1407	9999-12-31	2013-05-08	11957
34/10-33 B	3493.000000	1.580000	28.000000	7.000000	OIL BASED	1989-05-25	1407	9999-12-31	2013-05-08	11958
34/10-33 B	3496.000000	1.420000	18.000000	8.500000	OIL BASED	1989-06-05	1407	9999-12-31	2013-05-08	11959
34/10-33 B	3588.000000	1.420000	20.000000	6.500000	OIL BASED	1989-06-05	1407	9999-12-31	2013-05-08	11960
34/10-33 B	3625.000000	1.420000	25.000000	7.000000	OIL BASED	1989-06-05	1407	9999-12-31	2013-05-08	11961
34/10-33 B	3628.000000	1.530000	24.000000	9.500000	OIL BASED	1989-06-09	1407	9999-12-31	2013-05-08	11962
34/10-33 B	3730.000000	1.550000	24.000000	9.000000	OIL BASED	1989-06-12	1407	9999-12-31	2013-05-08	11963
34/10-33 B	3860.000000	1.570000	20.000000	10.000000	OIL BASED	1989-06-19	1407	9999-12-31	2013-05-08	11964
34/10-33 B	3942.000000	1.600000	28.000000	10.000000	OIL BASED	1989-06-20	1407	9999-12-31	2013-05-08	11965
34/10-33 C	3342.000000	1.550000	33.000000	10.000000	OIL BASED	1989-07-19	1384	9999-12-31	2013-05-08	11966
34/10-33 C	3348.000000	1.550000	16.000000	3.000000	WATER BASED	1990-03-13	1384	9999-12-31	2013-05-08	11967
34/10-33 C	3348.000000	1.550000	18.000000	2.500000	WATER BASED	1990-03-02	1384	9999-12-31	2013-05-08	11968
34/10-33 C	3348.000000	1.550000	21.000000	3.500000	WATER BASED	1990-02-28	1384	9999-12-31	2013-05-08	11969
34/10-33 C	3348.000000	1.550000	15.000000	3.500000	WATER BASED	1990-03-27	1384	9999-12-31	2013-05-08	11970
34/10-33 C	3348.000000	1.550000	16.000000	3.000000	WATER BASED	1990-03-14	1384	9999-12-31	2013-05-08	11971
34/10-33 C	3348.000000	1.550000	17.000000	2.500000	WATER BASED	1990-03-05	1384	9999-12-31	2013-05-08	11972
34/10-33 C	3409.000000	1.550000	33.000000	10.000000	OIL BASED	1989-07-19	1384	9999-12-31	2013-05-08	11973
34/10-33 C	3418.000000	1.550000	15.000000	3.500000	WATER BASED	1990-03-27	1384	9999-12-31	2013-05-08	11974
34/10-33 C	3418.000000	1.550000	15.000000	3.500000	WATER BASED	1990-03-27	1384	9999-12-31	2013-05-08	11975
34/10-33 C	3430.000000	1.370000	34.000000	10.000000	OIL BASED	1989-07-19	1384	9999-12-31	2013-05-08	11976
34/10-33 C	3448.000000	1.550000	26.000000	4.000000	WATER BASED	1990-02-27	1384	9999-12-31	2013-05-08	11977
34/10-33 C	3448.000000	1.550000	16.000000	3.000000	WATER BASED	1990-03-16	1384	9999-12-31	2013-05-08	11978
34/10-33 C	3448.000000	1.650000	17.000000	3.000000	WATER BASED	1990-03-19	1384	9999-12-31	2013-05-08	11979
34/10-33 C	3448.000000	1.550000	15.000000	3.000000	WATER BASED	1990-03-20	1384	9999-12-31	2013-05-08	11980
34/10-33 C	3448.000000	1.550000	15.000000	3.000000	WATER BASED	1990-03-12	1384	9999-12-31	2013-05-08	11981
34/10-33 C	3448.000000	1.550000	14.000000	3.000000	WATER BASED	1990-03-22	1384	9999-12-31	2013-05-08	11982
34/10-33 C	3448.000000	1.480000	20.000000	2.500000	WATER BASED	1990-04-23	1384	9999-12-31	2013-05-08	11983
34/10-33 C	3448.000000	1.490000	25.000000	6.000000	WATER BASED	1990-04-24	1384	9999-12-31	2013-05-08	11984
34/10-33 C	3448.000000	1.450000	17.000000	3.000000	WATER BASED	1990-04-10	1384	9999-12-31	2013-05-08	11985
34/10-33 C	3448.000000	1.480000	20.000000	3.500000	WATER BASED	1990-04-17	1384	9999-12-31	2013-05-08	11986
34/10-33 C	3448.000000	1.450000	19.000000	3.000000	WATER BASED	1990-04-04	1384	9999-12-31	2013-05-08	11987
34/10-33 C	3448.000000	1.550000	17.000000	3.000000	WATER BASED	1990-04-02	1384	9999-12-31	2013-05-08	11988
34/10-33 C	3448.000000	1.550000	15.000000	3.000000	WATER BASED	1990-03-30	1384	9999-12-31	2013-05-08	11989
34/10-33 C	3448.000000	1.550000	15.000000	3.500000	WATER BASED	1990-03-29	1384	9999-12-31	2013-05-08	11990
34/10-33 C	3448.000000	1.550000	20.000000	5.000000	WATER BASED	1990-04-02	1384	9999-12-31	2013-05-08	11991
34/10-33 C	3448.000000	1.550000	17.000000	3.000000	WATER BASED	1990-04-02	1384	9999-12-31	2013-05-08	11992
34/10-33 C	3448.000000	1.550000	16.000000	3.000000	WATER BASED	1990-04-02	1384	9999-12-31	2013-05-08	11993
34/10-33 C	3448.000000	1.550000	15.000000	2.500000	WATER BASED	1990-03-26	1384	9999-12-31	2013-05-08	11994
34/10-33 C	3448.000000	1.550000	15.000000	3.000000	WATER BASED	1990-03-23	1384	9999-12-31	2013-05-08	11995
34/10-33 C	3448.000000	1.550000	15.000000	3.000000	WATER BASED	1990-03-22	1384	9999-12-31	2013-05-08	11996
34/10-33 C	3448.000000	1.650000	17.000000	3.000000	WATER BASED	1990-03-19	1384	9999-12-31	2013-05-08	11997
34/10-33 C	3448.000000	1.650000	17.000000	3.000000	WATER BASED	1990-03-19	1384	9999-12-31	2013-05-08	11998
34/10-33 C	3448.000000	1.470000	23.000000	4.500000	WATER BASED	1990-04-25	1384	9999-12-31	2013-05-08	11999
34/10-33 C	3448.000000	1.480000	18.000000	2.500000	WATER BASED	1990-04-23	1384	9999-12-31	2013-05-08	12000
34/10-33 C	3448.000000	1.480000	23.000000	4.500000	WATER BASED	1990-04-23	1384	9999-12-31	2013-05-08	12001
34/10-33 C	3448.000000	1.480000	20.000000	3.000000	WATER BASED	1990-04-18	1384	9999-12-31	2013-05-08	12002
34/10-33 C	3448.000000	1.480000	20.000000	3.500000	WATER BASED	1990-04-19	1384	9999-12-31	2013-05-08	12003
34/10-33 C	3448.000000	1.480000	18.000000	3.000000	WATER BASED	1990-04-17	1384	9999-12-31	2013-05-08	12004
34/10-33 C	3448.000000	1.480000	20.000000	3.500000	WATER BASED	1990-04-17	1384	9999-12-31	2013-05-08	12005
34/10-33 C	3448.000000	1.480000	20.000000	3.500000	WATER BASED	1990-04-17	1384	9999-12-31	2013-05-08	12006
34/10-33 C	3448.000000	1.480000	20.000000	3.500000	WATER BASED	1990-04-17	1384	9999-12-31	2013-05-08	12007
34/10-33 C	3448.000000	1.480000	21.000000	3.500000	WATER BASED	1990-04-17	1384	9999-12-31	2013-05-08	12008
34/10-33 C	3448.000000	1.480000	21.000000	3.500000	WATER BASED	1990-04-17	1384	9999-12-31	2013-05-08	12009
34/10-33 C	3448.000000	1.450000	17.000000	3.000000	WATER BASED	1990-04-10	1384	9999-12-31	2013-05-08	12010
34/10-33 C	3448.000000	1.450000	18.000000	3.000000	WATER BASED	1990-04-10	1384	9999-12-31	2013-05-08	12011
34/10-33 C	3448.000000	1.480000	18.000000	3.500000	WATER BASED	1990-04-10	1384	9999-12-31	2013-05-08	12012
34/10-33 C	3448.000000	1.550000	20.000000	3.000000	WATER BASED	1990-04-06	1384	9999-12-31	2013-05-08	12013
34/10-33 C	3448.000000	1.450000	17.000000	3.000000	WATER BASED	1990-04-06	1384	9999-12-31	2013-05-08	12014
34/10-33 C	3448.000000	1.550000	18.000000	2.500000	WATER BASED	1990-03-05	1384	9999-12-31	2013-05-08	12015
34/10-33 C	3448.000000	1.550000	17.000000	2.500000	WATER BASED	1990-03-05	1384	9999-12-31	2013-05-08	12016
34/10-33 C	3448.000000	1.550000	18.000000	2.500000	WATER BASED	1990-03-05	1384	9999-12-31	2013-05-08	12017
34/10-33 C	3448.000000	1.550000	17.000000	2.000000	WATER BASED	1990-03-06	1384	9999-12-31	2013-05-08	12018
34/10-33 C	3448.000000	1.550000	16.000000	3.000000	WATER BASED	1990-03-12	1384	9999-12-31	2013-05-08	12019
34/10-33 C	3448.000000	1.550000	15.000000	3.000000	WATER BASED	1990-03-12	1384	9999-12-31	2013-05-08	12020
34/10-33 C	3448.000000	1.550000	14.000000	3.000000	WATER BASED	1990-03-09	1384	9999-12-31	2013-05-08	12021
34/10-33 C	3448.000000	1.550000	15.000000	3.500000	WATER BASED	1990-03-08	1384	9999-12-31	2013-05-08	12022
34/10-33 C	3448.000000	1.550000	13.000000	3.000000	WATER BASED	1990-03-08	1384	9999-12-31	2013-05-08	12023
34/10-33 C	3581.000000	1.550000	35.000000	10.000000	OIL BASED	1989-07-19	1384	9999-12-31	2013-05-08	12024
34/10-33 C	3715.000000	1.550000	16.000000	9.500000	WATER BASED	1989-07-28	1384	9999-12-31	2013-05-08	12025
34/10-33 C	3715.000000	1.550000	15.000000	5.500000	WATER BASED	1989-07-31	1384	9999-12-31	2013-05-08	12026
34/10-33 C	3715.000000	1.550000	12.000000	4.000000	WATER BASED	1989-07-31	1384	9999-12-31	2013-05-08	12027
34/10-33 C	3715.000000	1.550000	17.000000	5.500000	WATER BASED	1989-07-26	1384	9999-12-31	2013-05-08	12028
34/10-33 C	3715.000000	1.550000	15.000000	5.000000	WATER BASED	1989-07-31	1384	9999-12-31	2013-05-08	12029
34/10-33 C	3730.000000	1.550000	35.000000	10.500000	OIL BASED	1989-07-20	1384	9999-12-31	2013-05-08	12030
34/10-33 C	3751.000000	1.570000	47.000000	14.000000	OIL BASED	1989-07-26	1384	9999-12-31	2013-05-08	12031
34/10-33 C	3751.000000	1.550000	38.000000	9.500000	OIL BASED	1989-07-26	1384	9999-12-31	2013-05-08	12032
34/10-33 C	3752.000000	1.550000	37.000000	10.500000	OIL BASED	1989-07-26	1384	9999-12-31	2013-05-08	12033
34/10-33 C	3752.000000	1.550000	37.000000	10.500000	OIL BASED	1989-07-26	1384	9999-12-31	2013-05-08	12034
34/10-33 C	3752.000000	1.550000	38.000000	10.000000	OIL BASED	1989-07-21	1384	9999-12-31	2013-05-08	12035
34/10-34	411.000000	1.030000	11.000000	0.000000	WATER BASED	9999-12-31	1747	9999-12-31	2013-05-08	12036
34/10-34	795.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1747	9999-12-31	2013-05-08	12037
34/10-34	1265.000000	1.300000	22.000000	0.000000	WATER BASED	9999-12-31	1747	9999-12-31	2013-05-08	12038
34/10-34	1690.000000	1.450000	26.000000	0.000000	WATER BASED	9999-12-31	1747	9999-12-31	2013-05-08	12039
34/10-34	1870.000000	1.640000	29.000000	0.000000	WATER BASED	9999-12-31	1747	9999-12-31	2013-05-08	12040
34/10-34	1990.000000	1.650000	29.000000	0.000000	WATER BASED	9999-12-31	1747	9999-12-31	2013-05-08	12041
34/10-34	1995.000000	1.650000	26.000000	0.000000	WATER BASED	9999-12-31	1747	9999-12-31	2013-05-08	12042
34/10-34	2001.000000	1.650000	22.000000	0.000000	WATER BASED	9999-12-31	1747	9999-12-31	2013-05-08	12043
34/10-34	2182.000000	1.650000	25.000000	0.000000	WATER BASED	9999-12-31	1747	9999-12-31	2013-05-08	12044
34/10-34	2281.000000	1.650000	26.000000	0.000000	WATER BASED	9999-12-31	1747	9999-12-31	2013-05-08	12045
34/10-34	2410.000000	1.650000	23.000000	0.000000	WATER BASED	9999-12-31	1747	9999-12-31	2013-05-08	12046
34/10-35	903.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12047
34/10-35	1083.000000	1.030000	17.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12048
34/10-35	1090.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12049
34/10-35	1091.000000	1.030000	19.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12050
34/10-35	1535.000000	1.200000	20.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12051
34/10-35	1995.000000	1.300000	24.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12052
34/10-35	2536.000000	1.300000	24.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12053
34/10-35	2629.000000	1.300000	31.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12054
34/10-35	2860.000000	1.300000	29.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12055
34/10-35	2973.000000	1.300000	25.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12056
34/10-35	3020.000000	1.300000	28.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12057
34/10-35	3116.000000	1.390000	35.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12058
34/10-35	3140.000000	1.390000	32.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12059
34/10-35	3186.000000	1.390000	34.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12060
34/10-35	3215.000000	1.460000	28.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12061
34/10-35	3218.000000	1.390000	22.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12062
34/10-35	3285.000000	1.390000	23.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12063
34/10-35	3339.000000	1.390000	24.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12064
34/10-35	3449.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12065
34/10-35	3496.000000	1.390000	24.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12066
34/10-35	3527.000000	1.670000	36.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12067
34/10-35	3534.000000	1.670000	32.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12068
34/10-35	3547.000000	1.700000	28.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12069
34/10-35	3547.000000	1.670000	32.000000	0.000000	WATER BASED	9999-12-31	1874	9999-12-31	2013-05-08	12070
34/10-35	3549.000000	1.700000	32.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12071
34/10-35	3592.000000	1.700000	38.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12072
34/10-35	3602.000000	1.700000	41.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12073
34/10-35	3633.000000	1.780000	41.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12074
34/10-35	3662.000000	1.780000	44.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12075
34/10-35	3740.000000	1.830000	44.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12076
34/10-35	3779.000000	1.920000	40.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12077
34/10-35	3780.000000	1.910000	36.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12078
34/10-35	3812.000000	2.000000	27.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12079
34/10-35	3821.000000	2.040000	39.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12080
34/10-35	3869.000000	2.040000	25.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12081
34/10-35	3871.000000	2.040000	39.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12082
34/10-35	3883.000000	2.040000	26.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12083
34/10-35	3921.000000	2.040000	41.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12084
34/10-35	3939.000000	2.040000	31.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12085
34/10-35	3949.000000	2.040000	35.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12086
34/10-35	4069.000000	2.040000	57.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12087
34/10-35	4078.000000	2.040000	51.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12088
34/10-35	4086.000000	2.040000	28.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12089
34/10-35	4157.000000	2.040000	50.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12090
34/10-35	4202.000000	2.040000	52.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12091
34/10-35	4250.000000	2.040000	45.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12092
34/10-35	4276.000000	2.040000	44.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12093
34/10-35	4287.000000	2.040000	46.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12094
34/10-35	4310.000000	2.040000	33.000000	0.000000	DUMMY	9999-12-31	1874	9999-12-31	2013-05-08	12095
34/10-37	185.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2431	9999-12-31	2013-05-08	12096
34/10-37	571.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2431	9999-12-31	2013-05-08	12097
34/10-37	1415.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2431	9999-12-31	2013-05-08	12098
34/10-37	1525.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2431	9999-12-31	2013-05-08	12099
34/10-37	2174.000000	1.570000	32.000000	0.000000	WATER BASED	9999-12-31	2431	9999-12-31	2013-05-08	12100
34/10-37	2369.000000	1.480000	29.000000	0.000000	WATER BASED	9999-12-31	2431	9999-12-31	2013-05-08	12101
34/10-37	2612.000000	1.570000	36.000000	0.000000	WATER BASED	9999-12-31	2431	9999-12-31	2013-05-08	12102
34/10-37	2640.000000	1.570000	32.000000	0.000000	WATER BASED	9999-12-31	2431	9999-12-31	2013-05-08	12103
34/10-37	2825.000000	1.570000	36.000000	0.000000	WATER BASED	9999-12-31	2431	9999-12-31	2013-05-08	12104
34/10-37 A	2056.000000	1.620000	50.000000	0.000000	WATER BASED	9999-12-31	2530	9999-12-31	2013-05-08	12105
34/10-37 A	2210.000000	1.570000	30.000000	0.000000	WATER BASED	9999-12-31	2530	9999-12-31	2013-05-08	12106
34/10-37 A	2362.000000	1.570000	27.000000	0.000000	WATER BASED	9999-12-31	2530	9999-12-31	2013-05-08	12107
34/10-37 A	2650.000000	1.570000	37.000000	0.000000	WATER BASED	9999-12-31	2530	9999-12-31	2013-05-08	12108
34/10-37 A	2684.000000	1.570000	36.000000	0.000000	WATER BASED	9999-12-31	2530	9999-12-31	2013-05-08	12109
34/10-37 A	2950.000000	1.570000	41.000000	0.000000	WATER BASED	9999-12-31	2530	9999-12-31	2013-05-08	12110
34/10-4	639.000000	1.100000	34.000000	0.000000	waterbased	9999-12-31	427	9999-12-31	2013-05-08	12111
34/10-4	891.000000	1.130000	45.000000	0.000000	waterbased	9999-12-31	427	9999-12-31	2013-05-08	12112
34/10-4	1104.000000	1.160000	50.000000	0.000000	waterbased	9999-12-31	427	9999-12-31	2013-05-08	12113
34/10-4	1311.000000	1.290000	45.000000	0.000000	waterbased	9999-12-31	427	9999-12-31	2013-05-08	12114
34/10-4	1458.000000	1.500000	47.000000	0.000000	waterbased	9999-12-31	427	9999-12-31	2013-05-08	12115
34/10-4	1750.000000	1.750000	56.000000	0.000000	waterbased	9999-12-31	427	9999-12-31	2013-05-08	12116
34/10-4	1959.000000	1.750000	47.000000	0.000000	waterbased	9999-12-31	427	9999-12-31	2013-05-08	12117
34/10-4	2438.000000	1.720000	49.000000	0.000000	waterbased	9999-12-31	427	9999-12-31	2013-05-08	12118
34/10-42 S	221.000000	1.390000	0.000000	0.000000	DUMMY	9999-12-31	3816	9999-12-31	2013-05-08	12119
34/10-42 S	255.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3816	9999-12-31	2013-05-08	12120
34/10-42 S	318.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3816	9999-12-31	2013-05-08	12121
34/10-42 S	841.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3816	9999-12-31	2013-05-08	12122
34/10-42 S	963.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3816	9999-12-31	2013-05-08	12123
34/10-42 S	1143.000000	1.200000	17.000000	0.000000	BENTONITE/FW	9999-12-31	3816	9999-12-31	2013-05-08	12124
34/10-42 S	1145.000000	1.410000	19.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12125
34/10-42 S	1150.000000	1.410000	20.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12126
34/10-42 S	1200.000000	1.870000	60.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12127
34/10-42 S	1222.000000	1.470000	0.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12128
34/10-42 S	1342.000000	1.390000	19.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12129
34/10-42 S	1400.000000	1.870000	61.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12130
34/10-42 S	1615.000000	1.390000	20.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12131
34/10-42 S	1965.000000	1.450000	22.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12132
34/10-42 S	2137.000000	1.450000	24.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12133
34/10-42 S	2250.000000	1.450000	22.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12134
34/10-42 S	2355.000000	1.450000	24.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12135
34/10-42 S	2479.000000	1.470000	28.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12136
34/10-42 S	2497.000000	1.450000	30.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12137
34/10-42 S	2552.000000	1.460000	20.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12138
34/10-42 S	2722.000000	1.450000	21.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12139
34/10-42 S	2849.000000	1.450000	24.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12140
34/10-42 S	2929.000000	1.450000	26.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12141
34/10-42 S	2937.000000	1.450000	25.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12142
34/10-42 S	2950.000000	1.450000	25.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12143
34/10-42 S	3026.000000	1.450000	37.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12144
34/10-42 S	3095.000000	1.450000	33.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12145
34/10-42 S	3115.000000	1.450000	34.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12146
34/10-42 S	3555.000000	1.450000	28.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12147
34/10-42 S	3679.000000	1.800000	49.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12148
34/10-42 S	3736.000000	1.800000	46.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3816	9999-12-31	2013-05-08	12149
34/10-42 S	3842.000000	2.020000	60.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12150
34/10-42 S	3900.000000	1.800000	44.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12151
34/10-42 S	3977.000000	1.850000	44.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12152
34/10-42 S	4000.000000	2.040000	68.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12153
34/10-42 S	4097.000000	2.040000	72.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12154
34/10-42 S	4109.000000	2.040000	65.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12155
34/10-42 S	4160.000000	2.040000	59.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12156
34/10-42 S	4211.000000	2.020000	58.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12157
34/10-42 S	4215.000000	2.040000	59.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12158
34/10-42 S	4217.000000	2.040000	59.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12159
34/10-42 S	4254.000000	2.020000	57.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12160
34/10-42 S	4520.000000	2.020000	56.000000	0.000000	INTERDRILL NT	9999-12-31	3816	9999-12-31	2013-05-08	12161
34/10-43 S	1322.000000	1.230000	15.000000	0.000000	GLYDRILL	9999-12-31	4247	9999-12-31	2013-05-08	12162
34/10-43 S	2141.000000	1.450000	21.000000	0.000000	GLYDRILL	9999-12-31	4247	9999-12-31	2013-05-08	12163
34/10-43 S	2276.000000	1.620000	0.000000	0.000000	DUMMY	9999-12-31	4247	9999-12-31	2013-05-08	12164
34/10-43 S	3161.000000	1.720000	51.000000	0.000000	VERSAVERT	9999-12-31	4247	9999-12-31	2013-05-08	12165
34/10-43 S	3161.000000	1.670000	52.000000	0.000000	VERSAVERT	9999-12-31	4247	9999-12-31	2013-05-08	12166
34/10-43 S	4490.000000	1.670000	52.000000	0.000000	VERSAVERT	9999-12-31	4247	9999-12-31	2013-05-08	12167
34/10-43 S	4562.000000	1.700000	49.000000	0.000000	VERSAVERT	9999-12-31	4247	9999-12-31	2013-05-08	12168
34/10-43 S	5077.000000	1.720000	46.000000	0.000000	VERSAVERT	9999-12-31	4247	9999-12-31	2013-05-08	12169
34/10-43 S	5503.000000	1.720000	46.000000	0.000000	VERSAVERT	9999-12-31	4247	9999-12-31	2013-05-08	12170
34/10-43 S	5725.000000	1.720000	54.000000	0.000000	VERSAVERT	9999-12-31	4247	9999-12-31	2013-05-08	12171
34/10-44 S	711.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	4422	9999-12-31	2013-05-08	12172
34/10-44 S	2305.000000	1.440000	0.000000	0.000000	Glydrillr	9999-12-31	4422	9999-12-31	2013-05-08	12173
34/10-44 S	3752.000000	1.600000	0.000000	0.000000	Versavert	9999-12-31	4422	9999-12-31	2013-05-08	12174
34/10-44 S	4861.000000	1.560000	0.000000	0.000000	Versavert	9999-12-31	4422	9999-12-31	2013-05-08	12175
34/10-44 S	4865.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	4422	9999-12-31	2013-05-08	12176
34/10-45 A	5405.000000	1.600000	42.000000	0.000000	VERSAVERT	9999-12-31	4501	9999-12-31	2013-05-08	12177
34/10-45 A	5685.000000	1.600000	44.000000	0.000000	VERSAVERT	9999-12-31	4501	9999-12-31	2013-05-08	12178
34/10-45 A	6373.000000	1.620000	54.000000	0.000000	VERSAVERT	9999-12-31	4501	9999-12-31	2013-05-08	12179
34/10-45 A	6435.000000	1.600000	52.000000	0.000000	VERSAVERT	9999-12-31	4501	9999-12-31	2013-05-08	12180
34/10-45 A	6467.000000	1.600000	41.000000	0.000000	VERSAVERT	9999-12-31	4501	9999-12-31	2013-05-08	12181
34/10-45 A	6523.000000	1.620000	49.000000	0.000000	VERSAVERT	9999-12-31	4501	9999-12-31	2013-05-08	12182
34/10-45 S	3224.000000	1.600000	33.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12183
34/10-45 S	3737.000000	1.600000	37.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12184
34/10-45 S	4228.000000	1.600000	30.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12185
34/10-45 S	5400.000000	1.600000	41.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12186
34/10-45 S	5405.000000	1.600000	42.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12187
34/10-45 S	5421.000000	1.600000	45.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12188
34/10-45 S	5655.000000	1.600000	46.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12189
34/10-45 S	5674.000000	1.600000	45.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12190
34/10-45 S	5707.000000	1.600000	44.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12191
34/10-45 S	5761.000000	1.600000	43.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12192
34/10-45 S	5790.000000	1.600000	43.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12193
34/10-45 S	6281.000000	1.600000	39.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12194
34/10-45 S	6411.000000	1.600000	37.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12195
34/10-45 S	6435.000000	1.600000	37.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12196
34/10-45 S	6435.000000	1.600000	37.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12197
34/10-45 S	6440.000000	1.600000	38.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12198
34/10-45 S	6730.000000	1.600000	37.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12199
34/10-45 S	7034.000000	1.600000	46.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12200
34/10-45 S	7315.000000	1.600000	38.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12201
34/10-45 S	7594.000000	1.600000	44.000000	0.000000	VERSAVERT	9999-12-31	4450	9999-12-31	2013-05-08	12202
34/10-46 A	3935.000000	1.640000	55.000000	0.000000	VERSAVERT	9999-12-31	4500	9999-12-31	2013-05-08	12203
34/10-46 A	4440.000000	1.640000	57.000000	0.000000	VERSAVERT	9999-12-31	4500	9999-12-31	2013-05-08	12204
34/10-46 A	5089.000000	1.640000	56.000000	0.000000	VERSAVERT	9999-12-31	4500	9999-12-31	2013-05-08	12205
34/10-46 A	6304.000000	1.640000	59.000000	0.000000	VERSAVERT	9999-12-31	4500	9999-12-31	2013-05-08	12206
34/10-46 A	6354.000000	1.500000	32.000000	0.000000	VERSAVERT	9999-12-31	4500	9999-12-31	2013-05-08	12207
34/10-46 A	6400.000000	1.500000	42.000000	0.000000	VERSAVERT	9999-12-31	4500	9999-12-31	2013-05-08	12208
34/10-46 A	6716.000000	1.500000	40.000000	0.000000	VERSAVERT	9999-12-31	4500	9999-12-31	2013-05-08	12209
34/10-46 A	6860.000000	1.500000	32.000000	0.000000	VERSAVERT	9999-12-31	4500	9999-12-31	2013-05-08	12210
34/10-46 B	1067.000000	1.500000	39.000000	0.000000	VERSAVERT	9999-12-31	4527	9999-12-31	2013-05-08	12211
34/10-46 B	6566.000000	1.500000	32.000000	0.000000	VERSAVERT	9999-12-31	4527	9999-12-31	2013-05-08	12212
34/10-46 B	6905.000000	1.500000	34.000000	0.000000	VERSAVERT	9999-12-31	4527	9999-12-31	2013-05-08	12213
34/10-46 B	7012.000000	1.610000	41.000000	0.000000	VERSAVERT	9999-12-31	4527	9999-12-31	2013-05-08	12214
34/10-46 B	7025.000000	1.550000	40.000000	0.000000	VERSAVERT	9999-12-31	4527	9999-12-31	2013-05-08	12215
34/10-46 B	7033.000000	1.550000	39.000000	0.000000	VERSAVERT	9999-12-31	4527	9999-12-31	2013-05-08	12216
34/10-46 B	7066.000000	1.550000	40.000000	0.000000	VERSAVERT	9999-12-31	4527	9999-12-31	2013-05-08	12217
34/10-46 B	7067.000000	1.500000	35.000000	0.000000	VERSAVERT	9999-12-31	4527	9999-12-31	2013-05-08	12218
34/10-46 B	7069.000000	1.550000	39.000000	0.000000	VERSAVERT	9999-12-31	4527	9999-12-31	2013-05-08	12219
34/10-46 B	7540.000000	1.610000	38.000000	0.000000	VERSAVERT	9999-12-31	4527	9999-12-31	2013-05-08	12220
34/10-46 B	7725.000000	1.610000	39.000000	0.000000	VERSAVERT	9999-12-31	4527	9999-12-31	2013-05-08	12221
34/10-46 S	344.000000	1.030000	12.000000	0.000000	CMC/SEAWATER	9999-12-31	4489	9999-12-31	2013-05-08	12222
34/10-46 S	361.000000	1.040000	10.000000	0.000000	CMC/SEAWATER	9999-12-31	4489	9999-12-31	2013-05-08	12223
34/10-46 S	399.000000	1.040000	10.000000	0.000000	CMC/SEAWATER	9999-12-31	4489	9999-12-31	2013-05-08	12224
34/10-46 S	525.000000	1.140000	17.000000	0.000000	CMC/SEAWATER	9999-12-31	4489	9999-12-31	2013-05-08	12225
34/10-46 S	997.000000	1.150000	11.000000	0.000000	CMC/SEAWATER	9999-12-31	4489	9999-12-31	2013-05-08	12226
34/10-46 S	1227.000000	1.200000	19.000000	0.000000	CMC/SEAWATER	9999-12-31	4489	9999-12-31	2013-05-08	12227
34/10-46 S	1232.000000	1.200000	12.000000	0.000000	CMC/SEAWATER	9999-12-31	4489	9999-12-31	2013-05-08	12228
34/10-46 S	1787.000000	1.500000	13.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	4489	9999-12-31	2013-05-08	12229
34/10-46 S	1989.000000	1.550000	12.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	4489	9999-12-31	2013-05-08	12230
34/10-46 S	1999.000000	1.580000	20.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	4489	9999-12-31	2013-05-08	12231
34/10-46 S	2374.000000	1.590000	20.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	4489	9999-12-31	2013-05-08	12232
34/10-46 S	2702.000000	1.590000	21.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	4489	9999-12-31	2013-05-08	12233
34/10-46 S	2751.000000	1.590000	24.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	4489	9999-12-31	2013-05-08	12234
34/10-46 S	2751.000000	1.590000	28.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	4489	9999-12-31	2013-05-08	12235
34/10-46 S	2779.000000	1.640000	45.000000	0.000000	VERSAVERT	9999-12-31	4489	9999-12-31	2013-05-08	12236
34/10-46 S	3900.000000	1.640000	60.000000	0.000000	VERSAVERT	9999-12-31	4489	9999-12-31	2013-05-08	12237
34/10-46 S	4000.000000	1.640000	42.000000	0.000000	VERSAVERT	9999-12-31	4489	9999-12-31	2013-05-08	12238
34/10-46 S	4680.000000	1.640000	51.000000	0.000000	VERSAVERT	9999-12-31	4489	9999-12-31	2013-05-08	12239
34/10-46 S	4902.000000	1.640000	57.000000	0.000000	VERSAVERT	9999-12-31	4489	9999-12-31	2013-05-08	12240
34/10-46 S	5176.000000	1.640000	50.000000	0.000000	VERSAVERT	9999-12-31	4489	9999-12-31	2013-05-08	12241
34/10-47 A	2215.000000	1.630000	0.000000	0.000000	versavert	9999-12-31	4640	9999-12-31	2013-05-08	12242
34/10-47 S	227.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	4609	9999-12-31	2013-05-08	12243
34/10-47 S	725.000000	1.200000	0.000000	0.000000	seawater	9999-12-31	4609	9999-12-31	2013-05-08	12244
34/10-47 S	1939.000000	1.250000	0.000000	0.000000	glydrill	9999-12-31	4609	9999-12-31	2013-05-08	12245
34/10-47 S	1944.000000	1.500000	0.000000	0.000000	versavert	9999-12-31	4609	9999-12-31	2013-05-08	12246
34/10-47 S	2880.000000	1.630000	0.000000	0.000000	versavert	9999-12-31	4609	9999-12-31	2013-05-08	12247
34/10-47 S	4027.000000	1.630000	0.000000	0.000000	versavert	9999-12-31	4609	9999-12-31	2013-05-08	12248
34/10-48 A	4430.000000	1.610000	0.000000	0.000000	VERSAVERT 41	9999-12-31	5046	9999-12-31	2013-05-08	12249
34/10-48 A	4438.000000	1.610000	41.000000	0.000000	VERSAVERT 41	9999-12-31	5046	9999-12-31	2013-05-08	12250
34/10-48 A	5430.000000	1.570000	36.000000	0.000000	VERSAVERT 41	9999-12-31	5046	9999-12-31	2013-05-08	12251
34/10-48 A	5600.000000	1.590000	36.000000	0.000000	VERSAVERT 41	9999-12-31	5046	9999-12-31	2013-05-08	12252
34/10-48 A	6221.000000	1.610000	37.000000	0.000000	VERSAVERT 41	9999-12-31	5046	9999-12-31	2013-05-08	12253
34/10-48 S	670.000000	1.120000	18.000000	0.000000	SEAWATER/CMC	9999-12-31	4902	9999-12-31	2013-05-08	12254
34/10-48 S	1153.000000	1.120000	19.000000	0.000000	SEAWATER/CMC	9999-12-31	4902	9999-12-31	2013-05-08	12255
34/10-48 S	1288.000000	1.200000	27.000000	0.000000	SEAWATER/CMC	9999-12-31	4902	9999-12-31	2013-05-08	12256
34/10-48 S	1520.000000	1.290000	16.000000	0.000000	GLYDRIL 12	9999-12-31	4902	9999-12-31	2013-05-08	12257
34/10-48 S	2667.000000	1.550000	37.000000	0.000000	GLYDRIL 12	9999-12-31	4902	9999-12-31	2013-05-08	12258
34/10-48 S	3759.000000	1.650000	70.000000	0.000000	VERSAVERT 42	9999-12-31	4902	9999-12-31	2013-05-08	12259
34/10-48 S	3825.000000	1.640000	60.000000	0.000000	VERSAVERT 41	9999-12-31	4902	9999-12-31	2013-05-08	12260
34/10-48 S	5105.000000	1.600000	35.000000	0.000000	VERSAVERT 41	9999-12-31	4902	9999-12-31	2013-05-08	12261
34/10-48 S	5109.000000	1.590000	53.000000	0.000000	VERSAVERT 41	9999-12-31	4902	9999-12-31	2013-05-08	12262
34/10-48 S	6057.000000	1.600000	53.000000	0.000000	VERSAVERT 41	9999-12-31	4902	9999-12-31	2013-05-08	12263
34/10-48 S	6244.000000	1.580000	44.000000	0.000000	VERSAVERT 41	9999-12-31	4902	9999-12-31	2013-05-08	12264
34/10-48 S	7393.000000	1.580000	57.000000	0.000000	VERSAVERT 41	9999-12-31	4902	9999-12-31	2013-05-08	12265
34/10-49 A	1484.000000	1.500000	29.000000	0.000000	PARATHERM	9999-12-31	5282	9999-12-31	2013-05-08	12266
34/10-49 A	1922.000000	1.500000	27.000000	0.000000	PARATHERM	9999-12-31	5282	9999-12-31	2013-05-08	12267
34/10-49 A	2119.000000	1.500000	29.000000	0.000000	PARATHERM	9999-12-31	5282	9999-12-31	2013-05-08	12268
34/10-49 A	2668.000000	1.660000	33.000000	0.000000	PARATHERM	9999-12-31	5282	9999-12-31	2013-05-08	12269
34/10-49 B	2785.000000	1.640000	40.000000	0.000000	PARATHERM	9999-12-31	5328	9999-12-31	2013-05-08	12270
34/10-49 S	672.000000	1.030000	0.000000	0.000000	SW / POLYMER 2	9999-12-31	5140	9999-12-31	2013-05-08	12271
34/10-49 S	1050.000000	1.030000	0.000000	0.000000	SW / POLYMER 2	9999-12-31	5140	9999-12-31	2013-05-08	12272
34/10-49 S	1220.000000	1.380000	25.000000	0.000000	PARATHERM	9999-12-31	5140	9999-12-31	2013-05-08	12273
34/10-49 S	1482.000000	1.390000	29.000000	0.000000	PARATHERM	9999-12-31	5140	9999-12-31	2013-05-08	12274
34/10-49 S	1745.000000	1.390000	26.000000	0.000000	PARATHERM	9999-12-31	5140	9999-12-31	2013-05-08	12275
34/10-49 S	2026.000000	1.390000	30.000000	0.000000	PARATHERM	9999-12-31	5140	9999-12-31	2013-05-08	12276
34/10-49 S	2400.000000	1.620000	35.000000	0.000000	PARATHERM	9999-12-31	5140	9999-12-31	2013-05-08	12277
34/10-49 S	2511.000000	1.600000	1.000000	0.000000	PARATHERM	9999-12-31	5140	9999-12-31	2013-05-08	12278
34/10-49 S	2746.000000	1.600000	29.000000	0.000000	PARATHERM	9999-12-31	5140	9999-12-31	2013-05-08	12279
34/10-49 S	2785.000000	1.600000	39.000000	0.000000	PARATHERM	9999-12-31	5140	9999-12-31	2013-05-08	12280
34/10-49 S	3196.000000	1.600000	29.000000	0.000000	PARATHERM	9999-12-31	5140	9999-12-31	2013-05-08	12281
34/10-5	1475.000000	1.250000	0.000000	0.000000	waterbased	9999-12-31	428	9999-12-31	2013-05-08	12282
34/10-5	1540.000000	1.320000	0.000000	0.000000	waterbased	9999-12-31	428	9999-12-31	2013-05-08	12283
34/10-5	1705.000000	1.550000	0.000000	0.000000	waterbased	9999-12-31	428	9999-12-31	2013-05-08	12284
34/10-5	1885.000000	1.750000	0.000000	0.000000	waterbased	9999-12-31	428	9999-12-31	2013-05-08	12285
34/10-5	1943.000000	1.780000	0.000000	0.000000	waterbased	9999-12-31	428	9999-12-31	2013-05-08	12286
34/10-5	2090.000000	1.770000	0.000000	0.000000	waterbased	9999-12-31	428	9999-12-31	2013-05-08	12287
34/10-53 S	1123.000000	1.200000	13.000000	0.000000	Glydril	9999-12-31	6212	9999-12-31	2013-05-08	12288
34/10-53 S	1219.000000	1.330000	12.000000	0.000000	Glydril	9999-12-31	6212	9999-12-31	2013-05-08	12289
34/10-53 S	1280.000000	1.310000	16.000000	0.000000	Glydril	9999-12-31	6212	9999-12-31	2013-05-08	12290
34/10-53 S	1320.000000	1.330000	13.000000	0.000000	Glydril	9999-12-31	6212	9999-12-31	2013-05-08	12291
34/10-53 S	1498.000000	1.340000	14.000000	0.000000	Glydril	9999-12-31	6212	9999-12-31	2013-05-08	12292
34/10-53 S	1917.000000	1.340000	18.000000	0.000000	Glydril	9999-12-31	6212	9999-12-31	2013-05-08	12293
34/10-53 S	2155.000000	1.390000	31.000000	0.000000	Versatherm	9999-12-31	6212	9999-12-31	2013-05-08	12294
34/10-53 S	2255.000000	1.340000	21.000000	0.000000	Glydril	9999-12-31	6212	9999-12-31	2013-05-08	12295
34/10-53 S	3496.000000	1.390000	32.000000	0.000000	Versatec	9999-12-31	6212	9999-12-31	2013-05-08	12296
34/10-53 S	3712.000000	1.580000	52.000000	0.000000	Versatherm	9999-12-31	6212	9999-12-31	2013-05-08	12297
34/10-53 S	4526.000000	1.560000	56.000000	0.000000	Versatherm	9999-12-31	6212	9999-12-31	2013-05-08	12298
34/10-6	283.000000	1.060000	0.000000	0.000000	waterbased	9999-12-31	429	9999-12-31	2013-05-08	12299
34/10-6	950.000000	1.410000	41.000000	0.000000	waterbased	9999-12-31	429	9999-12-31	2013-05-08	12300
34/10-6	1613.000000	1.500000	52.000000	0.000000	waterbased	9999-12-31	429	9999-12-31	2013-05-08	12301
34/10-6	1670.000000	1.650000	52.000000	0.000000	waterbased	9999-12-31	429	9999-12-31	2013-05-08	12302
34/10-6	1818.000000	1.790000	56.000000	0.000000	waterbased	9999-12-31	429	9999-12-31	2013-05-08	12303
34/10-6	2173.000000	1.760000	54.000000	0.000000	waterbased	9999-12-31	429	9999-12-31	2013-05-08	12304
34/10-6	2338.000000	1.770000	56.000000	0.000000	waterbased	9999-12-31	429	9999-12-31	2013-05-08	12305
34/10-7	0.000000	1.060000	56.000000	0.000000	WATER BASED	9999-12-31	222	9999-12-31	2013-05-08	12306
34/10-7	204.000000	1.040000	120.000000	0.000000	WATER BASED	9999-12-31	222	9999-12-31	2013-05-08	12307
34/10-7	350.000000	1.060000	56.000000	0.000000	WATER BASED	9999-12-31	222	9999-12-31	2013-05-08	12308
34/10-7	695.000000	1.090000	65.000000	0.000000	WATER BASED	9999-12-31	222	9999-12-31	2013-05-08	12309
34/10-7	823.000000	1.080000	52.000000	0.000000	WATER BASED	9999-12-31	222	9999-12-31	2013-05-08	12310
34/10-7	1146.000000	1.110000	51.000000	0.000000	WATER BASED	9999-12-31	222	9999-12-31	2013-05-08	12311
34/10-7	1292.000000	1.120000	45.000000	0.000000	WATER BASED	9999-12-31	222	9999-12-31	2013-05-08	12312
34/10-7	1390.000000	1.350000	75.000000	0.000000	WATER BASED	9999-12-31	222	9999-12-31	2013-05-08	12313
34/10-7	1547.000000	1.680000	80.000000	0.000000	WATER BASED	9999-12-31	222	9999-12-31	2013-05-08	12314
34/10-7	1675.000000	1.750000	64.000000	0.000000	WATER BASED	9999-12-31	222	9999-12-31	2013-05-08	12315
34/10-7	1788.000000	1.850000	53.000000	0.000000	WATER BASED	9999-12-31	222	9999-12-31	2013-05-08	12316
34/10-8	200.000000	1.080000	90.000000	0.000000	waterbased	9999-12-31	230	9999-12-31	2013-05-08	12317
34/10-8	755.000000	1.090000	45.000000	0.000000	waterbased	9999-12-31	230	9999-12-31	2013-05-08	12318
34/10-8	825.000000	1.100000	39.000000	0.000000	waterbased	9999-12-31	230	9999-12-31	2013-05-08	12319
34/10-8	1025.000000	1.080000	44.000000	0.000000	waterbased	9999-12-31	230	9999-12-31	2013-05-08	12320
34/10-8	1350.000000	1.260000	44.000000	0.000000	waterbased	9999-12-31	230	9999-12-31	2013-05-08	12321
34/10-8	1550.000000	1.650000	46.000000	0.000000	waterbased	9999-12-31	230	9999-12-31	2013-05-08	12322
34/10-8	1610.000000	1.720000	48.000000	0.000000	waterbased	9999-12-31	230	9999-12-31	2013-05-08	12323
34/10-8	1735.000000	1.800000	53.000000	0.000000	waterbased	9999-12-31	230	9999-12-31	2013-05-08	12324
34/10-9	350.000000	1.040000	0.000000	0.000000	waterbased	9999-12-31	140	9999-12-31	2013-05-08	12325
34/10-9	650.000000	1.100000	0.000000	0.000000	waterbased	9999-12-31	140	9999-12-31	2013-05-08	12326
34/10-9	825.000000	1.090000	0.000000	0.000000	waterbased	9999-12-31	140	9999-12-31	2013-05-08	12327
34/10-9	1050.000000	1.200000	0.000000	0.000000	waterbased	9999-12-31	140	9999-12-31	2013-05-08	12328
34/10-9	1275.000000	1.300000	0.000000	0.000000	waterbased	9999-12-31	140	9999-12-31	2013-05-08	12329
34/10-9	1490.000000	1.550000	0.000000	0.000000	waterbased	9999-12-31	140	9999-12-31	2013-05-08	12330
34/10-9	1630.000000	1.670000	0.000000	0.000000	waterbased	9999-12-31	140	9999-12-31	2013-05-08	12331
34/10-9	1755.000000	1.820000	0.000000	0.000000	waterbased	9999-12-31	140	9999-12-31	2013-05-08	12332
34/10-9	1820.000000	1.800000	0.000000	0.000000	waterbased	9999-12-31	140	9999-12-31	2013-05-08	12333
34/10-9 R	2225.000000	1.690000	54.000000	0.000000	waterbased	9999-12-31	495	9999-12-31	2013-05-08	12334
34/11-1	1753.000000	1.400000	28.000000	10.000000	WATER BASED	1994-07-18	2377	9999-12-31	2013-05-08	12335
34/11-1	2020.000000	1.400000	25.000000	14.000000	WATER BASED	1994-07-20	2377	9999-12-31	2013-05-08	12336
34/11-1	2020.000000	1.400000	21.000000	11.500000	WATER BASED	1994-07-20	2377	9999-12-31	2013-05-08	12337
34/11-1	2020.000000	1.400000	24.000000	12.500000	WATER BASED	1994-07-21	2377	9999-12-31	2013-05-08	12338
34/11-1	2115.000000	1.400000	25.000000	13.500000	WATER BASED	1994-07-18	2377	9999-12-31	2013-05-08	12339
34/11-1	2158.000000	1.400000	23.000000	11.000000	WATER BASED	1994-07-18	2377	9999-12-31	2013-05-08	12340
34/11-1	2170.000000	1.400000	21.000000	11.500000	WATER BASED	1994-07-20	2377	9999-12-31	2013-05-08	12341
34/11-1	2367.000000	1.400000	25.000000	14.000000	WATER BASED	1994-07-20	2377	9999-12-31	2013-05-08	12342
34/11-1	2540.000000	1.400000	24.000000	12.500000	WATER BASED	1994-07-21	2377	9999-12-31	2013-05-08	12343
34/11-1	2730.000000	1.400000	29.000000	10.500000	WATER BASED	1994-07-22	2377	9999-12-31	2013-05-08	12344
34/11-1	2872.000000	1.400000	22.000000	10.500000	WATER BASED	1994-07-25	2377	9999-12-31	2013-05-08	12345
34/11-1	2872.000000	1.400000	22.000000	10.500000	WATER BASED	1994-07-25	2377	9999-12-31	2013-05-08	12346
34/11-1	2888.000000	1.500000	30.000000	10.000000	WATER BASED	1994-07-25	2377	9999-12-31	2013-05-08	12347
34/11-1	2888.000000	1.500000	30.000000	10.000000	WATER BASED	1994-07-25	2377	9999-12-31	2013-05-08	12348
34/11-1	2935.000000	1.500000	27.000000	10.000000	WATER BASED	1994-07-25	2377	9999-12-31	2013-05-08	12349
34/11-1	2935.000000	1.500000	27.000000	10.000000	WATER BASED	1994-07-25	2377	9999-12-31	2013-05-08	12350
34/11-1	3032.000000	1.500000	28.000000	10.500000	WATER BASED	1994-07-26	2377	9999-12-31	2013-05-08	12351
34/11-1	3111.000000	1.500000	29.000000	10.000000	WATER BASED	1994-07-27	2377	9999-12-31	2013-05-08	12352
34/11-1	3154.000000	1.500000	28.000000	10.500000	WATER BASED	1994-07-28	2377	9999-12-31	2013-05-08	12353
34/11-1	3168.000000	1.500000	32.000000	10.500000	WATER BASED	1994-08-01	2377	9999-12-31	2013-05-08	12354
34/11-1	3240.000000	1.500000	26.000000	10.000000	WATER BASED	1994-08-01	2377	9999-12-31	2013-05-08	12355
34/11-1	3308.000000	1.500000	29.000000	12.000000	WATER BASED	1994-08-01	2377	9999-12-31	2013-05-08	12356
34/11-1	3371.000000	1.500000	28.000000	10.000000	WATER BASED	1994-08-01	2377	9999-12-31	2013-05-08	12357
34/11-1	3389.000000	1.500000	29.000000	11.000000	WATER BASED	1994-08-03	2377	9999-12-31	2013-05-08	12358
34/11-1	3452.000000	1.500000	29.000000	11.500000	WATER BASED	1994-08-03	2377	9999-12-31	2013-05-08	12359
34/11-1	3515.000000	1.500000	31.000000	12.000000	WATER BASED	1994-08-08	2377	9999-12-31	2013-05-08	12360
34/11-1	3520.000000	1.550000	31.000000	11.500000	WATER BASED	1994-08-09	2377	9999-12-31	2013-05-08	12361
34/11-1	3520.000000	1.550000	31.000000	10.500000	WATER BASED	1994-08-09	2377	9999-12-31	2013-05-08	12362
34/11-1	3520.000000	1.550000	31.000000	10.500000	WATER BASED	1994-08-09	2377	9999-12-31	2013-05-08	12363
34/11-1	3529.000000	1.800000	30.000000	11.500000	WATER BASED	1994-08-09	2377	9999-12-31	2013-05-08	12364
34/11-1	3666.000000	1.800000	43.000000	14.000000	WATER BASED	1994-08-11	2377	9999-12-31	2013-05-08	12365
34/11-1	3745.000000	1.850000	42.000000	15.000000	WATER BASED	1994-08-11	2377	9999-12-31	2013-05-08	12366
34/11-1	3907.000000	1.850000	46.000000	14.500000	WATER BASED	1994-08-15	2377	9999-12-31	2013-05-08	12367
34/11-1	3932.000000	1.850000	44.000000	13.000000	WATER BASED	1994-08-18	2377	9999-12-31	2013-05-08	12368
34/11-1	3932.000000	1.850000	46.000000	14.500000	WATER BASED	1994-08-16	2377	9999-12-31	2013-05-08	12369
34/11-1	3932.000000	1.850000	42.000000	13.000000	WATER BASED	1994-08-16	2377	9999-12-31	2013-05-08	12370
34/11-1	3932.000000	1.850000	43.000000	13.000000	WATER BASED	1994-08-17	2377	9999-12-31	2013-05-08	12371
34/11-1	3935.000000	1.850000	44.000000	13.000000	WATER BASED	1994-08-22	2377	9999-12-31	2013-05-08	12372
34/11-1	3994.000000	2.010000	54.000000	7.500000	DUMMY	1994-08-22	2377	9999-12-31	2013-05-08	12373
34/11-1	4033.000000	2.010000	35.000000	5.000000	DUMMY	1994-08-22	2377	9999-12-31	2013-05-08	12374
34/11-1	4045.000000	1.980000	38.000000	5.000000	DUMMY	1994-08-24	2377	9999-12-31	2013-05-08	12375
34/11-1	4045.000000	1.980000	37.000000	6.000000	DUMMY	1994-08-24	2377	9999-12-31	2013-05-08	12376
34/11-1	4045.000000	1.980000	36.000000	4.500000	DUMMY	1994-08-25	2377	9999-12-31	2013-05-08	12377
34/11-1	4045.000000	1.980000	36.000000	4.500000	DUMMY	1994-08-26	2377	9999-12-31	2013-05-08	12378
34/11-1	4045.000000	1.980000	38.000000	6.000000	DUMMY	1994-08-29	2377	9999-12-31	2013-05-08	12379
34/11-1	4045.000000	1.980000	38.000000	5.500000	DUMMY	1994-08-30	2377	9999-12-31	2013-05-08	12380
34/11-1	4045.000000	1.980000	41.000000	6.000000	DUMMY	1994-08-31	2377	9999-12-31	2013-05-08	12381
34/11-1	4045.000000	1.980000	40.000000	6.000000	DUMMY	1994-09-01	2377	9999-12-31	2013-05-08	12382
34/11-1	4045.000000	1.980000	43.000000	6.000000	DUMMY	1994-09-05	2377	9999-12-31	2013-05-08	12383
34/11-1	4045.000000	1.980000	40.000000	5.500000	DUMMY	1994-09-05	2377	9999-12-31	2013-05-08	12384
34/11-1	4045.000000	1.980000	41.000000	6.000000	DUMMY	1994-09-05	2377	9999-12-31	2013-05-08	12385
34/11-1	4045.000000	1.980000	39.000000	6.000000	DUMMY	1994-09-05	2377	9999-12-31	2013-05-08	12386
34/11-1	4045.000000	1.980000	42.000000	6.000000	DUMMY	1994-09-07	2377	9999-12-31	2013-05-08	12387
34/11-1	4045.000000	1.980000	38.000000	5.000000	DUMMY	1994-09-07	2377	9999-12-31	2013-05-08	12388
34/11-1	4045.000000	1.980000	42.000000	6.500000	DUMMY	1994-09-08	2377	9999-12-31	2013-05-08	12389
34/11-1	4045.000000	1.980000	43.000000	8.000000	DUMMY	1994-09-12	2377	9999-12-31	2013-05-08	12390
34/11-1	4045.000000	1.980000	40.000000	7.000000	DUMMY	1994-09-12	2377	9999-12-31	2013-05-08	12391
34/11-1	4045.000000	1.980000	40.000000	5.500000	DUMMY	1994-09-12	2377	9999-12-31	2013-05-08	12392
34/11-1	4045.000000	1.980000	36.000000	5.000000	DUMMY	1994-09-30	2377	9999-12-31	2013-05-08	12393
34/11-1	4045.000000	1.980000	37.000000	5.000000	DUMMY	1994-09-20	2377	9999-12-31	2013-05-08	12394
34/11-1	4045.000000	1.980000	63.000000	13.500000	DUMMY	1994-09-21	2377	9999-12-31	2013-05-08	12395
34/11-1	4045.000000	1.980000	42.000000	6.000000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12396
34/11-1	4045.000000	1.980000	34.000000	4.500000	DUMMY	1994-09-12	2377	9999-12-31	2013-05-08	12397
34/11-1	4045.000000	1.980000	37.000000	6.000000	DUMMY	1994-09-14	2377	9999-12-31	2013-05-08	12398
34/11-1	4045.000000	1.980000	35.000000	6.500000	DUMMY	1994-09-15	2377	9999-12-31	2013-05-08	12399
34/11-1	4045.000000	1.980000	38.000000	7.000000	DUMMY	1994-09-16	2377	9999-12-31	2013-05-08	12400
34/11-1	4045.000000	1.980000	35.000000	6.000000	DUMMY	1994-09-19	2377	9999-12-31	2013-05-08	12401
34/11-1	4045.000000	1.980000	40.000000	6.000000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12402
34/11-1	4045.000000	1.980000	42.000000	5.000000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12403
34/11-1	4045.000000	1.980000	37.000000	5.500000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12404
34/11-1	4045.000000	1.980000	37.000000	6.000000	DUMMY	1994-09-27	2377	9999-12-31	2013-05-08	12405
34/11-1	4045.000000	1.980000	35.000000	5.000000	DUMMY	1994-09-29	2377	9999-12-31	2013-05-08	12406
34/11-1	4045.000000	1.980000	38.000000	5.000000	DUMMY	1994-08-29	2377	9999-12-31	2013-05-08	12407
34/11-1	4045.000000	1.980000	36.000000	6.000000	DUMMY	1994-09-14	2377	9999-12-31	2013-05-08	12408
34/11-1	4045.000000	1.980000	37.000000	6.500000	DUMMY	1994-09-28	2377	9999-12-31	2013-05-08	12409
34/11-1	4045.000000	1.980000	40.000000	6.000000	DUMMY	1994-09-19	2377	9999-12-31	2013-05-08	12410
34/11-1	4054.000000	2.010000	38.000000	6.000000	DUMMY	1994-08-22	2377	9999-12-31	2013-05-08	12411
34/11-1	4057.000000	1.980000	38.000000	5.000000	DUMMY	1994-08-24	2377	9999-12-31	2013-05-08	12412
34/11-1	4068.000000	1.980000	37.000000	6.000000	DUMMY	1994-08-24	2377	9999-12-31	2013-05-08	12413
34/11-1	4074.000000	1.980000	36.000000	4.500000	DUMMY	1994-08-25	2377	9999-12-31	2013-05-08	12414
34/11-1	4080.000000	1.980000	36.000000	4.500000	DUMMY	1994-08-26	2377	9999-12-31	2013-05-08	12415
34/11-1	4106.000000	1.980000	38.000000	5.000000	DUMMY	1994-08-29	2377	9999-12-31	2013-05-08	12416
34/11-1	4106.000000	1.980000	38.000000	6.000000	DUMMY	1994-08-29	2377	9999-12-31	2013-05-08	12417
34/11-1	4125.000000	1.980000	38.000000	5.500000	DUMMY	1994-08-30	2377	9999-12-31	2013-05-08	12418
34/11-1	4130.000000	0.000000	41.000000	6.000000	DUMMY	1994-08-31	2377	9999-12-31	2013-05-08	12419
34/11-1	4142.000000	1.980000	40.000000	6.000000	DUMMY	1994-09-01	2377	9999-12-31	2013-05-08	12420
34/11-1	4157.000000	1.980000	43.000000	6.000000	DUMMY	1994-09-05	2377	9999-12-31	2013-05-08	12421
34/11-1	4168.000000	1.980000	40.000000	5.500000	DUMMY	1994-09-05	2377	9999-12-31	2013-05-08	12422
34/11-1	4184.000000	1.980000	41.000000	6.000000	DUMMY	1994-09-05	2377	9999-12-31	2013-05-08	12423
34/11-1	4193.000000	1.980000	39.000000	6.000000	DUMMY	1994-09-05	2377	9999-12-31	2013-05-08	12424
34/11-1	4220.000000	1.980000	38.000000	5.000000	DUMMY	1994-09-07	2377	9999-12-31	2013-05-08	12425
34/11-1	4220.000000	1.980000	42.000000	6.000000	DUMMY	1994-09-07	2377	9999-12-31	2013-05-08	12426
34/11-1	4256.000000	1.980000	42.000000	6.500000	DUMMY	1994-09-08	2377	9999-12-31	2013-05-08	12427
34/11-1	4292.000000	1.980000	35.000000	5.000000	DUMMY	1994-09-29	2377	9999-12-31	2013-05-08	12428
34/11-1	4292.000000	1.980000	42.000000	5.000000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12429
34/11-1	4292.000000	1.980000	37.000000	6.500000	DUMMY	1994-09-28	2377	9999-12-31	2013-05-08	12430
34/11-1	4292.000000	1.980000	37.000000	6.000000	DUMMY	1994-09-27	2377	9999-12-31	2013-05-08	12431
34/11-1	4292.000000	1.980000	37.000000	5.500000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12432
34/11-1	4292.000000	1.980000	63.000000	13.500000	DUMMY	1994-09-21	2377	9999-12-31	2013-05-08	12433
34/11-1	4292.000000	1.980000	42.000000	6.000000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12434
34/11-1	4292.000000	1.980000	37.000000	5.000000	DUMMY	1994-09-20	2377	9999-12-31	2013-05-08	12435
34/11-1	4292.000000	1.980000	36.000000	5.000000	DUMMY	1994-09-30	2377	9999-12-31	2013-05-08	12436
34/11-1	4292.000000	1.980000	40.000000	6.000000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12437
34/11-1	4296.000000	1.980000	43.000000	8.000000	DUMMY	1994-09-12	2377	9999-12-31	2013-05-08	12438
34/11-1	4352.000000	1.980000	40.000000	7.000000	DUMMY	1994-09-12	2377	9999-12-31	2013-05-08	12439
34/11-1	4368.000000	1.980000	40.000000	5.500000	DUMMY	1994-09-12	2377	9999-12-31	2013-05-08	12440
34/11-1	4376.000000	1.980000	34.000000	4.500000	DUMMY	1994-09-12	2377	9999-12-31	2013-05-08	12441
34/11-1	4460.000000	1.980000	36.000000	6.000000	DUMMY	1994-09-14	2377	9999-12-31	2013-05-08	12442
34/11-1	4500.000000	1.980000	37.000000	6.000000	DUMMY	1994-09-14	2377	9999-12-31	2013-05-08	12443
34/11-1	4511.000000	1.980000	35.000000	6.500000	DUMMY	1994-09-15	2377	9999-12-31	2013-05-08	12444
34/11-1	4580.000000	1.980000	37.000000	5.500000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12445
34/11-1	4580.000000	1.980000	35.000000	5.000000	DUMMY	1994-09-29	2377	9999-12-31	2013-05-08	12446
34/11-1	4580.000000	1.980000	35.000000	6.000000	DUMMY	1994-09-19	2377	9999-12-31	2013-05-08	12447
34/11-1	4580.000000	1.980000	40.000000	6.000000	DUMMY	1994-09-19	2377	9999-12-31	2013-05-08	12448
34/11-1	4580.000000	1.980000	38.000000	7.000000	DUMMY	1994-09-16	2377	9999-12-31	2013-05-08	12449
34/11-1	4580.000000	1.980000	37.000000	5.000000	DUMMY	1994-09-20	2377	9999-12-31	2013-05-08	12450
34/11-1	4580.000000	1.980000	42.000000	6.000000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12451
34/11-1	4580.000000	1.980000	63.000000	13.500000	DUMMY	1994-09-21	2377	9999-12-31	2013-05-08	12452
34/11-1	4580.000000	1.980000	40.000000	6.000000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12453
34/11-1	4580.000000	1.980000	42.000000	5.000000	DUMMY	1994-09-26	2377	9999-12-31	2013-05-08	12454
34/11-1	4580.000000	1.980000	37.000000	6.500000	DUMMY	1994-09-28	2377	9999-12-31	2013-05-08	12455
34/11-1	4580.000000	1.980000	37.000000	6.000000	DUMMY	1994-09-27	2377	9999-12-31	2013-05-08	12456
34/11-1	4580.000000	1.980000	36.000000	5.000000	DUMMY	1994-09-30	2377	9999-12-31	2013-05-08	12457
34/11-2 S	741.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	2733	9999-12-31	2013-05-08	12458
34/11-2 S	1173.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	2733	9999-12-31	2013-05-08	12459
34/11-2 S	1675.000000	1.390000	26.000000	0.000000	ANCO 2000	9999-12-31	2733	9999-12-31	2013-05-08	12460
34/11-2 S	2057.000000	1.450000	24.000000	0.000000	ANCO 2000	9999-12-31	2733	9999-12-31	2013-05-08	12461
34/11-2 S	2388.000000	1.450000	23.000000	0.000000	ANCO 2000	9999-12-31	2733	9999-12-31	2013-05-08	12462
34/11-2 S	2999.000000	1.500000	0.000000	0.000000	DUMMY	9999-12-31	2733	9999-12-31	2013-05-08	12463
34/11-2 S	3010.000000	1.450000	21.000000	0.000000	ANCO 2000	9999-12-31	2733	9999-12-31	2013-05-08	12464
34/11-2 S	3079.000000	1.500000	26.000000	0.000000	ANCO 2000	9999-12-31	2733	9999-12-31	2013-05-08	12465
34/11-2 S	3364.000000	1.390000	19.000000	0.000000	ANCO 2000	9999-12-31	2733	9999-12-31	2013-05-08	12466
34/11-2 S	3755.000000	1.550000	28.000000	0.000000	ANCO 2000	9999-12-31	2733	9999-12-31	2013-05-08	12467
34/11-2 S	3797.000000	1.590000	24.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2733	9999-12-31	2013-05-08	12468
34/11-2 S	3851.000000	1.550000	23.000000	0.000000	ANCO 2000	9999-12-31	2733	9999-12-31	2013-05-08	12469
34/11-2 S	3871.000000	1.550000	21.000000	0.000000	ANCO 2000	9999-12-31	2733	9999-12-31	2013-05-08	12470
34/11-2 S	4154.000000	1.550000	22.000000	0.000000	ANCO 2000	9999-12-31	2733	9999-12-31	2013-05-08	12471
34/11-2 S	4273.000000	1.550000	23.000000	0.000000	ANCO 2000	9999-12-31	2733	9999-12-31	2013-05-08	12472
34/11-2 S	4742.000000	1.550000	31.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2733	9999-12-31	2013-05-08	12473
34/11-3	1115.000000	1.200000	19.000000	0.000000	BENTONITE/FW	9999-12-31	2866	9999-12-31	2013-05-08	12474
34/11-3	1175.000000	1.390000	24.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2866	9999-12-31	2013-05-08	12475
34/11-3	1649.000000	1.390000	26.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2866	9999-12-31	2013-05-08	12476
34/11-3	1765.000000	1.390000	18.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2866	9999-12-31	2013-05-08	12477
34/11-3	2217.000000	1.530000	21.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2866	9999-12-31	2013-05-08	12478
34/11-3	2980.000000	1.530000	20.000000	0.000000	ANCO 2000	9999-12-31	2866	9999-12-31	2013-05-08	12479
34/11-3	3477.000000	1.550000	28.000000	0.000000	ANCO 2000	9999-12-31	2866	9999-12-31	2013-05-08	12480
34/11-3	3477.000000	1.550000	21.000000	0.000000	ANCO 2000	9999-12-31	2866	9999-12-31	2013-05-08	12481
34/11-3	3985.000000	1.870000	42.000000	0.000000	ANCO 2000	9999-12-31	2866	9999-12-31	2013-05-08	12482
34/11-3	4022.000000	1.980000	42.000000	0.000000	ANCOTEMP/BENT.	9999-12-31	2866	9999-12-31	2013-05-08	12483
34/11-3	4034.000000	2.000000	43.000000	0.000000	ANCOTEMP/BENT.	9999-12-31	2866	9999-12-31	2013-05-08	12484
34/11-3	4039.000000	2.000000	42.000000	0.000000	ANCOTEMP/BENT.	9999-12-31	2866	9999-12-31	2013-05-08	12485
34/11-3	4040.000000	2.000000	45.000000	0.000000	ANCOTEMP/BENT.	9999-12-31	2866	9999-12-31	2013-05-08	12486
34/11-3	4054.000000	2.000000	46.000000	0.000000	ANCOTEMP/BENT.	9999-12-31	2866	9999-12-31	2013-05-08	12487
34/11-3	4072.000000	2.000000	43.000000	0.000000	ANCOTEMP/BENT.	9999-12-31	2866	9999-12-31	2013-05-08	12488
34/11-3	4079.000000	2.000000	35.000000	0.000000	ANCOTEMP/BENT.	9999-12-31	2866	9999-12-31	2013-05-08	12489
34/11-3	4085.000000	2.000000	30.000000	0.000000	ANCOTEMP/BENT.	9999-12-31	2866	9999-12-31	2013-05-08	12490
34/11-3	4230.000000	2.000000	36.000000	0.000000	ANCOTEMP/BENT.	9999-12-31	2866	9999-12-31	2013-05-08	12491
34/11-3	4482.000000	2.000000	39.000000	0.000000	ANCOTEMP/BENT.	9999-12-31	2866	9999-12-31	2013-05-08	12492
34/11-4	1222.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3314	9999-12-31	2013-05-08	12493
34/11-4	1335.000000	1.390000	25.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12494
34/11-4	1530.000000	1.390000	16.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12495
34/11-4	1595.000000	1.390000	18.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12496
34/11-4	1607.000000	1.390000	19.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12497
34/11-4	1871.000000	1.390000	18.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12498
34/11-4	2011.000000	1.450000	21.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12499
34/11-4	2224.000000	1.450000	21.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12500
34/11-4	2399.000000	1.450000	23.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12501
34/11-4	2399.000000	1.450000	21.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12502
34/11-4	2440.000000	1.450000	25.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12503
34/11-4	2647.000000	1.450000	25.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12504
34/11-4	3048.000000	1.450000	29.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12505
34/11-4	3198.000000	1.450000	0.000000	0.000000	DUMMY	9999-12-31	3314	9999-12-31	2013-05-08	12506
34/11-4	3203.000000	1.550000	30.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12507
34/11-4	3350.000000	1.550000	30.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12508
34/11-4	3493.000000	1.850000	0.000000	0.000000	DUMMY	9999-12-31	3314	9999-12-31	2013-05-08	12509
34/11-4	3509.000000	1.850000	0.000000	0.000000	DUMMY	9999-12-31	3314	9999-12-31	2013-05-08	12510
34/11-4	3519.000000	1.560000	29.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12511
34/11-4	3522.000000	1.680000	0.000000	0.000000	DUMMY	9999-12-31	3314	9999-12-31	2013-05-08	12512
34/11-4	3524.000000	1.850000	32.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12513
34/11-4	3525.000000	1.850000	29.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12514
34/11-4	3529.000000	1.850000	26.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12515
34/11-4	3536.000000	1.850000	52.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12516
34/11-4	3540.000000	1.850000	28.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12517
34/11-4	3557.000000	1.850000	28.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12518
34/11-4	3564.000000	1.850000	0.000000	0.000000	DUMMY	9999-12-31	3314	9999-12-31	2013-05-08	12519
34/11-4	3569.000000	1.710000	30.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12520
34/11-4	3570.000000	1.850000	0.000000	0.000000	DUMMY	9999-12-31	3314	9999-12-31	2013-05-08	12521
34/11-4	3580.000000	1.850000	41.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12522
34/11-4	3594.000000	1.700000	46.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12523
34/11-4	3610.000000	1.700000	58.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12524
34/11-4	3620.000000	1.850000	31.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12525
34/11-4	3653.000000	1.850000	30.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12526
34/11-4	3671.000000	1.850000	31.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12527
34/11-4	3675.000000	1.700000	52.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12528
34/11-4	3758.000000	1.850000	33.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12529
34/11-4	3770.000000	1.850000	30.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12530
34/11-4	3800.000000	1.800000	56.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12531
34/11-4	3807.000000	1.850000	34.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12532
34/11-4	3870.000000	1.770000	49.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12533
34/11-4	3898.000000	1.850000	26.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12534
34/11-4	3938.000000	1.850000	35.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12535
34/11-4	3942.000000	1.850000	32.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12536
34/11-4	3943.000000	1.850000	31.000000	0.000000	QUADRILL	9999-12-31	3314	9999-12-31	2013-05-08	12537
34/11-4	3944.000000	1.800000	51.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12538
34/11-4	3967.000000	2.020000	72.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12539
34/11-4	3973.000000	2.020000	70.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12540
34/11-4	4020.000000	2.000000	81.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12541
34/11-4	4030.000000	2.000000	64.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12542
34/11-4	4059.000000	2.000000	82.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12543
34/11-4	4100.000000	2.000000	80.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12544
34/11-4	4117.000000	2.000000	75.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12545
34/11-4	4123.000000	2.000000	87.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3314	9999-12-31	2013-05-08	12546
34/11-4	4144.000000	2.000000	67.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12547
34/11-4	4163.000000	2.000000	51.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3314	9999-12-31	2013-05-08	12548
34/11-4	4177.000000	2.000000	64.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12549
34/11-4	4204.000000	2.000000	67.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12550
34/11-4	4210.000000	2.000000	51.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3314	9999-12-31	2013-05-08	12551
34/11-4	4272.000000	2.000000	67.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12552
34/11-4	4354.000000	2.000000	67.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12553
34/11-4	4417.000000	2.000000	70.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12554
34/11-4	4438.000000	2.000000	71.000000	0.000000	INTERDRILL NT	9999-12-31	3314	9999-12-31	2013-05-08	12555
34/11-5 S	1310.000000	1.390000	21.000000	0.000000	XP-07-POBM 81	9999-12-31	5248	9999-12-31	2013-05-08	12556
34/11-5 S	1524.000000	1.390000	23.000000	0.000000	XP-07-POBM 81	9999-12-31	5248	9999-12-31	2013-05-08	12557
34/11-5 S	1778.000000	1.390000	26.000000	0.000000	XP-07-POBM 81	9999-12-31	5248	9999-12-31	2013-05-08	12558
34/11-5 S	2522.000000	1.450000	29.000000	0.000000	XP-07-POBM 81	9999-12-31	5248	9999-12-31	2013-05-08	12559
34/11-5 S	2897.000000	1.480000	32.000000	0.000000	XP-07-POBM 81	9999-12-31	5248	9999-12-31	2013-05-08	12560
34/11-5 S	3544.000000	1.480000	38.000000	0.000000	XP-07-POBM 81	9999-12-31	5248	9999-12-31	2013-05-08	12561
34/11-5 S	4562.000000	1.480000	30.000000	0.000000	XP-07-POBM 81	9999-12-31	5248	9999-12-31	2013-05-08	12562
34/11-5 S	5093.000000	1.700000	30.000000	0.000000	XP-07-POBM 80	9999-12-31	5248	9999-12-31	2013-05-08	12563
34/11-5 S	5855.000000	1.700000	29.000000	0.000000	XP-07-POBM 80	9999-12-31	5248	9999-12-31	2013-05-08	12564
34/11-5 S	6681.000000	1.710000	32.000000	0.000000	XP-07-POBM 80	9999-12-31	5248	9999-12-31	2013-05-08	12565
34/11-5 S	6757.000000	2.000000	15.000000	0.000000	CESIUM FORMAT M	9999-12-31	5248	9999-12-31	2013-05-08	12566
34/11-5 S	6911.000000	2.020000	18.000000	0.000000	CESIUM FORMAT M	9999-12-31	5248	9999-12-31	2013-05-08	12567
34/11-5 S	7087.000000	1.990000	18.000000	0.000000	CESIUM FORMAT M	9999-12-31	5248	9999-12-31	2013-05-08	12568
34/11-5 S	7089.000000	2.000000	19.000000	0.000000	CS/KFORMATE	9999-12-31	5248	9999-12-31	2013-05-08	12569
34/11-5 S	7102.000000	1.990000	19.000000	0.000000	CS/KFORMATE	9999-12-31	5248	9999-12-31	2013-05-08	12570
34/12-1	400.000000	1.030000	0.000000	0.000000	Seawater	9999-12-31	5684	9999-12-31	2013-05-08	12571
34/12-1	450.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	5684	9999-12-31	2013-05-08	12572
34/12-1	1101.000000	1.540000	21.000000	0.000000	WBM (Sildril)	9999-12-31	5684	9999-12-31	2013-05-08	12573
34/12-1	1147.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	5684	9999-12-31	2013-05-08	12574
34/12-1	1205.000000	1.540000	21.000000	0.000000	WBM (Sildril)	9999-12-31	5684	9999-12-31	2013-05-08	12575
34/12-1	1260.000000	1.380000	23.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12576
34/12-1	1390.000000	1.370000	24.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12577
34/12-1	1394.000000	1.890000	47.000000	0.000000	OBM (Paratherm)	9999-12-31	5684	9999-12-31	2013-05-08	12578
34/12-1	1396.000000	1.890000	47.000000	0.000000	OBM (Paratherm)	9999-12-31	5684	9999-12-31	2013-05-08	12579
34/12-1	1841.000000	1.370000	25.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12580
34/12-1	2050.000000	1.500000	31.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12581
34/12-1	2210.000000	1.500000	32.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12582
34/12-1	2452.000000	1.520000	31.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12583
34/12-1	2452.000000	1.520000	34.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12584
34/12-1	2500.000000	1.520000	33.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12585
34/12-1	2672.000000	1.520000	32.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12586
34/12-1	2781.000000	1.520000	29.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12587
34/12-1	3075.000000	1.520000	38.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12588
34/12-1	3200.000000	1.370000	23.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12589
34/12-1	3210.000000	1.370000	23.000000	0.000000	ULTRADRIL DW	9999-12-31	5684	9999-12-31	2013-05-08	12590
34/12-1	3656.000000	1.590000	38.000000	0.000000	OBM (PARATHERM)	9999-12-31	5684	9999-12-31	2013-05-08	12591
34/12-1	4110.000000	1.740000	44.000000	0.000000	OBM (PARATHERM)	9999-12-31	5684	9999-12-31	2013-05-08	12592
34/12-1	4115.000000	1.950000	47.000000	0.000000	OBM (PARATHERM)	9999-12-31	5684	9999-12-31	2013-05-08	12593
34/12-1	4180.000000	1.950000	43.000000	0.000000	OBM (PARATHERM)	9999-12-31	5684	9999-12-31	2013-05-08	12594
34/12-1	4300.000000	1.950000	43.000000	0.000000	OBM (PARATHERM)	9999-12-31	5684	9999-12-31	2013-05-08	12595
34/12-1	4489.000000	1.450000	26.000000	0.000000	OBM (Paratherm)	9999-12-31	5684	9999-12-31	2013-05-08	12596
34/12-1	4520.000000	1.890000	42.000000	0.000000	OBM (Paratherm)	9999-12-31	5684	9999-12-31	2013-05-08	12597
34/12-1	4524.000000	1.890000	42.000000	0.000000	OBM (Paratherm)	9999-12-31	5684	9999-12-31	2013-05-08	12598
34/12-1	4588.000000	1.890000	43.000000	0.000000	OBM (Paratherm)	9999-12-31	5684	9999-12-31	2013-05-08	12599
34/12-1	4610.000000	1.890000	43.000000	0.000000	OBM (Paratherm)	9999-12-31	5684	9999-12-31	2013-05-08	12600
34/12-1	4671.000000	1.890000	43.000000	0.000000	OBM (Paratherm)	9999-12-31	5684	9999-12-31	2013-05-08	12601
34/12-1	4713.000000	1.890000	42.000000	0.000000	OBM (Paratherm)	9999-12-31	5684	9999-12-31	2013-05-08	12602
34/2-1	468.000000	1.040000	0.000000	0.000000	spud mud	9999-12-31	420	9999-12-31	2013-05-08	12603
34/2-1	509.000000	1.190000	0.000000	0.000000	spud mud	9999-12-31	420	9999-12-31	2013-05-08	12604
34/2-1	798.000000	1.040000	92.000000	62.000000	spud mud	9999-12-31	420	9999-12-31	2013-05-08	12605
34/2-2	491.000000	1.070000	0.000000	0.000000	spud mud	9999-12-31	215	9999-12-31	2013-05-08	12606
34/2-2 R	831.000000	1.070000	0.000000	0.000000	water based	9999-12-31	497	9999-12-31	2013-05-08	12607
34/2-2 R	1375.000000	1.220000	46.000000	15.000000	water based	9999-12-31	497	9999-12-31	2013-05-08	12608
34/2-2 R	1803.000000	1.280000	48.000000	21.000000	water based	9999-12-31	497	9999-12-31	2013-05-08	12609
34/2-2 R	2023.000000	1.370000	47.000000	22.000000	water based	9999-12-31	497	9999-12-31	2013-05-08	12610
34/2-2 R	3056.000000	1.550000	46.000000	29.000000	water based	9999-12-31	497	9999-12-31	2013-05-08	12611
34/2-2 R	3418.000000	1.550000	50.000000	25.000000	water based	9999-12-31	497	9999-12-31	2013-05-08	12612
34/2-2 R	3838.000000	1.550000	51.000000	31.000000	water based	9999-12-31	497	9999-12-31	2013-05-08	12613
34/2-2 R	4040.000000	1.630000	52.000000	31.000000	water based	9999-12-31	497	9999-12-31	2013-05-08	12614
34/2-3	493.000000	0.000000	0.000000	0.000000	spud mud	9999-12-31	421	9999-12-31	2013-05-08	12615
34/2-3	822.000000	0.000000	0.000000	0.000000	spud mud	9999-12-31	421	9999-12-31	2013-05-08	12616
34/2-3	1299.000000	1.070000	41.000000	0.000000	water mud	9999-12-31	421	9999-12-31	2013-05-08	12617
34/2-3	2040.000000	1.310000	51.000000	0.000000	water mud	9999-12-31	421	9999-12-31	2013-05-08	12618
34/2-3	2523.000000	1.550000	50.000000	0.000000	water mud	9999-12-31	421	9999-12-31	2013-05-08	12619
34/2-3	2764.000000	1.560000	49.000000	0.000000	water mud	9999-12-31	421	9999-12-31	2013-05-08	12620
34/2-3	3249.000000	1.570000	56.000000	0.000000	water mud	9999-12-31	421	9999-12-31	2013-05-08	12621
34/2-3	3341.000000	1.670000	50.000000	0.000000	water mud	9999-12-31	421	9999-12-31	2013-05-08	12622
34/2-3	3360.000000	1.840000	61.000000	0.000000	water mud	9999-12-31	421	9999-12-31	2013-05-08	12623
34/2-3	3742.000000	1.840000	52.000000	0.000000	water mud	9999-12-31	421	9999-12-31	2013-05-08	12624
34/2-4	470.000000	1.030000	1.000000	0.000000	WATER BASED	1985-03-25	467	9999-12-31	2013-05-08	12625
34/2-4	537.000000	1.030000	1.000000	0.000000	WATER BASED	1985-03-25	467	9999-12-31	2013-05-08	12626
34/2-4	543.000000	1.030000	1.000000	0.000000	WATER BASED	1985-03-25	467	9999-12-31	2013-05-08	12627
34/2-4	543.000000	0.000000	1.000000	0.000000	WATERBASED	1985-03-25	467	9999-12-31	2013-05-08	12628
34/2-4	543.000000	1.030000	1.000000	0.000000	WATER BASED	1985-03-29	467	9999-12-31	2013-05-08	12629
34/2-4	543.000000	1.040000	13.000000	14.400000	WATER BASED	1985-03-27	467	9999-12-31	2013-05-08	12630
34/2-4	543.000000	1.030000	1.000000	0.000000	WATER BASED	1985-03-29	467	9999-12-31	2013-05-08	12631
34/2-4	543.000000	1.040000	13.000000	14.400000	WATER BASED	1985-03-27	467	9999-12-31	2013-05-08	12632
34/2-4	555.000000	1.030000	1.000000	0.000000	WATER BASED	1985-04-03	467	9999-12-31	2013-05-08	12633
34/2-4	814.000000	1.030000	1.000000	0.000000	WATER BASED	1985-04-09	467	9999-12-31	2013-05-08	12634
34/2-4	814.000000	1.030000	15.000000	26.300000	WATER BASED	1985-04-09	467	9999-12-31	2013-05-08	12635
34/2-4	814.000000	1.000000	0.000000	0.000000	WATER BASED	1985-04-01	467	9999-12-31	2013-05-08	12636
34/2-4	814.000000	1.030000	15.000000	26.300000	WATER BASED	1985-04-09	467	9999-12-31	2013-05-08	12637
34/2-4	814.000000	1.030000	1.000000	0.000000	WATER BASED	1985-04-02	467	9999-12-31	2013-05-08	12638
34/2-4	814.000000	1.030000	1.000000	0.000000	WATER BASED	1985-04-02	467	9999-12-31	2013-05-08	12639
34/2-4	814.000000	1.030000	1.000000	0.000000	WATER BASED	1985-04-09	467	9999-12-31	2013-05-08	12640
34/2-4	857.000000	1.070000	12.000000	6.800000	WATER BASED	1985-04-09	467	9999-12-31	2013-05-08	12641
34/2-4	1222.000000	1.010000	17.000000	8.000000	WATER BASED	1985-04-09	467	9999-12-31	2013-05-08	12642
34/2-4	1405.000000	1.120000	16.000000	8.000000	WATER BASED	1985-04-10	467	9999-12-31	2013-05-08	12643
34/2-4	1888.000000	1.190000	13.000000	9.100000	WATER BASED	1985-04-11	467	9999-12-31	2013-05-08	12644
34/2-4	1963.000000	1.200000	13.000000	14.400000	WATER BASED	1985-04-12	467	9999-12-31	2013-05-08	12645
34/2-4	2130.000000	1.220000	18.000000	10.500000	WATER BASED	1985-04-15	467	9999-12-31	2013-05-08	12646
34/2-4	2145.000000	1.370000	15.000000	13.900000	WATER BASED	1985-04-15	467	9999-12-31	2013-05-08	12647
34/2-4	2145.000000	1.390000	15.000000	11.500000	WATER BASED	1985-04-16	467	9999-12-31	2013-05-08	12648
34/2-4	2145.000000	1.380000	12.000000	9.100000	WATER BASED	1985-04-18	467	9999-12-31	2013-05-08	12649
34/2-4	2145.000000	1.370000	12.000000	9.100000	WATER BASED	1985-04-17	467	9999-12-31	2013-05-08	12650
34/2-4	2145.000000	1.370000	15.000000	13.900000	WATER BASED	1985-04-15	467	9999-12-31	2013-05-08	12651
34/2-4	2145.000000	1.380000	12.000000	9.100000	WATER BASED	1985-04-18	467	9999-12-31	2013-05-08	12652
34/2-4	2145.000000	1.390000	15.000000	11.500000	WATER BASED	1985-04-16	467	9999-12-31	2013-05-08	12653
34/2-4	2145.000000	1.370000	12.000000	9.100000	WATER BASED	1985-04-17	467	9999-12-31	2013-05-08	12654
34/2-4	2145.000000	1.280000	18.000000	12.500000	WATER BASED	1985-04-15	467	9999-12-31	2013-05-08	12655
34/2-4	2147.000000	1.390000	14.000000	10.100000	WATER BASED	1985-04-19	467	9999-12-31	2013-05-08	12656
34/2-4	2266.000000	1.410000	26.000000	9.600000	WATER BASED	1985-04-21	467	9999-12-31	2013-05-08	12657
34/2-4	2417.000000	1.440000	14.000000	11.500000	WATER BASED	1985-04-21	467	9999-12-31	2013-05-08	12658
34/2-4	2541.000000	1.430000	17.000000	12.900000	WATER BASED	1985-04-23	467	9999-12-31	2013-05-08	12659
34/2-4	2688.000000	1.430000	14.000000	11.500000	WATER BASED	1985-04-24	467	9999-12-31	2013-05-08	12660
34/2-4	2728.000000	1.450000	18.000000	23.000000	WATER BASED	1985-04-26	467	9999-12-31	2013-05-08	12661
34/2-4	2728.000000	1.450000	18.000000	12.000000	WATER BASED	1985-04-25	467	9999-12-31	2013-05-08	12662
34/2-4	2728.000000	1.450000	18.000000	23.000000	WATER BASED	1985-04-26	467	9999-12-31	2013-05-08	12663
34/2-4	2771.000000	1.450000	18.000000	12.900000	WATER BASED	1985-04-25	467	9999-12-31	2013-05-08	12664
34/2-4	2839.000000	1.440000	14.000000	11.500000	WATER BASED	1985-04-30	467	9999-12-31	2013-05-08	12665
34/2-4	2944.000000	1.440000	15.000000	12.500000	WATER BASED	1985-04-30	467	9999-12-31	2013-05-08	12666
34/2-4	2951.000000	1.440000	26.000000	9.600000	WATER BASED	1985-04-30	467	9999-12-31	2013-05-08	12667
34/2-4	2995.000000	1.440000	13.000000	11.500000	WATER BASED	1985-04-30	467	9999-12-31	2013-05-08	12668
34/2-4	3056.000000	1.450000	13.000000	11.000000	WATER BASED	1985-05-03	467	9999-12-31	2013-05-08	12669
34/2-4	3100.000000	1.450000	16.000000	10.100000	WATER BASED	1985-05-03	467	9999-12-31	2013-05-08	12670
34/2-4	3104.000000	1.470000	19.000000	9.100000	WATER BASED	1985-05-03	467	9999-12-31	2013-05-08	12671
34/2-4	3133.000000	1.470000	18.000000	7.700000	WATER BASED	1985-05-04	467	9999-12-31	2013-05-08	12672
34/2-4	3193.000000	1.480000	24.000000	8.100000	WATER BASED	1985-05-04	467	9999-12-31	2013-05-08	12673
34/2-4	3242.000000	1.480000	25.000000	9.600000	WATER BASED	1985-05-04	467	9999-12-31	2013-05-08	12674
34/2-4	3267.000000	1.480000	22.000000	8.100000	WATER BASED	1985-05-07	467	9999-12-31	2013-05-08	12675
34/2-4	3333.000000	1.480000	22.000000	8.600000	WATER BASED	1985-05-08	467	9999-12-31	2013-05-08	12676
34/2-4	3375.000000	1.480000	22.000000	14.800000	WATER BASED	1985-05-09	467	9999-12-31	2013-05-08	12677
34/2-4	3391.000000	1.490000	22.000000	14.800000	WATER BASED	1985-05-10	467	9999-12-31	2013-05-08	12678
34/2-4	3412.000000	1.490000	21.000000	9.100000	WATER BASED	1985-05-13	467	9999-12-31	2013-05-08	12679
34/2-4	3456.000000	1.730000	28.000000	8.100000	WATER BASED	1985-06-06	467	9999-12-31	2013-05-08	12680
34/2-4	3473.000000	1.500000	23.000000	9.600000	WATER BASED	1985-05-13	467	9999-12-31	2013-05-08	12681
34/2-4	3536.000000	1.500000	21.000000	9.600000	WATER BASED	1985-05-13	467	9999-12-31	2013-05-08	12682
34/2-4	3570.000000	1.490000	21.000000	11.000000	WATER BASED	1985-05-14	467	9999-12-31	2013-05-08	12683
34/2-4	3570.000000	1.520000	22.000000	11.500000	WATER BASED	1985-05-20	467	9999-12-31	2013-05-08	12684
34/2-4	3570.000000	1.520000	21.000000	11.000000	WATER BASED	1985-05-20	467	9999-12-31	2013-05-08	12685
34/2-4	3570.000000	1.520000	22.000000	12.000000	WATER BASED	1985-05-21	467	9999-12-31	2013-05-08	12686
34/2-4	3570.000000	1.490000	21.000000	11.000000	WATER BASED	1985-05-15	467	9999-12-31	2013-05-08	12687
34/2-4	3570.000000	1.520000	22.000000	11.500000	WATER BASED	1985-05-20	467	9999-12-31	2013-05-08	12688
34/2-4	3570.000000	1.520000	21.000000	11.000000	WATER BASED	1985-05-20	467	9999-12-31	2013-05-08	12689
34/2-4	3570.000000	1.520000	22.000000	12.000000	WATER BASED	1985-05-21	467	9999-12-31	2013-05-08	12690
34/2-4	3570.000000	1.490000	21.000000	11.000000	WATER BASED	1985-05-15	467	9999-12-31	2013-05-08	12691
34/2-4	3570.000000	1.520000	21.000000	11.000000	WATER BASED	1985-05-20	467	9999-12-31	2013-05-08	12692
34/2-4	3570.000000	1.520000	21.000000	11.000000	WATER BASED	1985-05-20	467	9999-12-31	2013-05-08	12693
34/2-4	3602.000000	1.500000	21.000000	11.500000	WATER BASED	1985-05-21	467	9999-12-31	2013-05-08	12694
34/2-4	3611.000000	1.500000	21.000000	11.500000	WATER BASED	1985-05-21	467	9999-12-31	2013-05-08	12695
34/2-4	3647.000000	1.510000	19.000000	10.100000	WATER BASED	1985-05-22	467	9999-12-31	2013-05-08	12696
34/2-4	3686.000000	1.510000	19.000000	10.000000	WATER BASED	1985-05-23	467	9999-12-31	2013-05-08	12697
34/2-4	3703.000000	1.510000	21.000000	8.600000	WATER BASED	1985-05-24	467	9999-12-31	2013-05-08	12698
34/2-4	3785.000000	1.520000	21.000000	8.100000	WATER BASED	1985-05-28	467	9999-12-31	2013-05-08	12699
34/2-4	3827.000000	1.530000	21.000000	8.100000	WATER BASED	1985-05-28	467	9999-12-31	2013-05-08	12700
34/2-4	3837.000000	1.770000	20.000000	8.600000	WATER BASED	1985-05-28	467	9999-12-31	2013-05-08	12701
34/2-4	3846.000000	1.740000	26.000000	9.600000	WATER BASED	1985-05-28	467	9999-12-31	2013-05-08	12702
34/2-4	3900.000000	1.750000	27.000000	9.600000	WATER BASED	1985-05-28	467	9999-12-31	2013-05-08	12703
34/2-4	3979.000000	1.740000	26.000000	9.100000	WATER BASED	1985-05-29	467	9999-12-31	2013-05-08	12704
34/2-4	4023.000000	1.760000	27.000000	9.600000	WATER BASED	1985-05-31	467	9999-12-31	2013-05-08	12705
34/2-4	4069.000000	1.730000	26.000000	9.100000	WATER BASED	1985-06-03	467	9999-12-31	2013-05-08	12706
34/2-4	4107.000000	1.730000	29.000000	9.100000	WATER BASED	1985-06-03	467	9999-12-31	2013-05-08	12707
34/2-4	4107.000000	1.730000	29.000000	9.100000	WATER BASED	1985-06-03	467	9999-12-31	2013-05-08	12708
34/2-4	4107.000000	1.730000	29.000000	9.100000	WATER BASED	1985-06-04	467	9999-12-31	2013-05-08	12709
34/2-4	4107.000000	1.730000	28.000000	8.100000	WATER BASED	1985-06-05	467	9999-12-31	2013-05-08	12710
34/2-4	4107.000000	1.730000	29.000000	9.100000	WATER BASED	1985-06-03	467	9999-12-31	2013-05-08	12711
34/2-4	4107.000000	1.730000	29.000000	9.100000	WATER BASED	1985-06-04	467	9999-12-31	2013-05-08	12712
34/2-4	4107.000000	1.730000	28.000000	8.100000	WATER BASED	1985-06-05	467	9999-12-31	2013-05-08	12713
34/3-1 A	2089.000000	1.410000	23.000000	0.000000	KCL/Polymer	9999-12-31	5921	9999-12-31	2013-05-08	12714
34/3-1 A	2187.000000	1.700000	30.000000	0.000000	XP-07	9999-12-31	5921	9999-12-31	2013-05-08	12715
34/3-1 A	2515.000000	1.700000	26.000000	0.000000	XP-07	9999-12-31	5921	9999-12-31	2013-05-08	12716
34/3-1 A	3112.000000	1.700000	30.000000	0.000000	XP-07	9999-12-31	5921	9999-12-31	2013-05-08	12717
34/3-1 A	3550.000000	1.700000	27.000000	0.000000	XP-07	9999-12-31	5921	9999-12-31	2013-05-08	12718
34/3-1 A	3591.000000	1.410000	23.000000	0.000000	Water based	9999-12-31	5921	9999-12-31	2013-05-08	12719
34/3-1 A	3670.000000	1.700000	25.000000	0.000000	XP-07	9999-12-31	5921	9999-12-31	2013-05-08	12720
34/3-1 A	3780.000000	1.660000	26.000000	0.000000	XP-07	9999-12-31	5921	9999-12-31	2013-05-08	12721
34/3-1 A	3833.000000	1.870000	36.000000	0.000000	XP-07	9999-12-31	5921	9999-12-31	2013-05-08	12722
34/3-1 A	4162.000000	1.660000	28.000000	0.000000	XP-07	9999-12-31	5921	9999-12-31	2013-05-08	12723
34/3-1 A	4162.000000	1.870000	40.000000	0.000000	XP-07	9999-12-31	5921	9999-12-31	2013-05-08	12724
34/3-1 S	505.000000	1.030000	0.000000	0.000000	Bentonite Spud Mud	9999-12-31	5811	9999-12-31	2013-05-08	12725
34/3-1 S	548.000000	1.030000	0.000000	0.000000	Bentonite Spud Mud	9999-12-31	5811	9999-12-31	2013-05-08	12726
34/3-1 S	874.000000	1.040000	0.000000	0.000000	Bentonite Spud Mud	9999-12-31	5811	9999-12-31	2013-05-08	12727
34/3-1 S	911.000000	1.500000	33.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12728
34/3-1 S	920.000000	1.280000	23.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12729
34/3-1 S	940.000000	1.350000	28.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12730
34/3-1 S	961.000000	1.350000	25.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12731
34/3-1 S	966.000000	1.030000	0.000000	0.000000	Bentonite Spud Mud	9999-12-31	5811	9999-12-31	2013-05-08	12732
34/3-1 S	1153.000000	1.350000	25.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12733
34/3-1 S	1412.000000	1.370000	35.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12734
34/3-1 S	1555.000000	1.370000	36.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12735
34/3-1 S	1913.000000	1.500000	38.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12736
34/3-1 S	1984.000000	1.370000	32.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12737
34/3-1 S	2063.000000	1.500000	45.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12738
34/3-1 S	2128.000000	1.390000	39.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12739
34/3-1 S	2150.000000	1.700000	25.000000	0.000000	XP-07	9999-12-31	5811	9999-12-31	2013-05-08	12740
34/3-1 S	2187.000000	1.700000	30.000000	0.000000	XP-07	9999-12-31	5811	9999-12-31	2013-05-08	12741
34/3-1 S	2196.000000	1.500000	48.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12742
34/3-1 S	2210.000000	1.410000	42.000000	0.000000	PERFORMADRIL	9999-12-31	5811	9999-12-31	2013-05-08	12743
34/3-1 S	2213.000000	1.410000	16.000000	0.000000	XP-07	9999-12-31	5811	9999-12-31	2013-05-08	12744
34/3-1 S	3090.000000	1.450000	20.000000	0.000000	XP-07	9999-12-31	5811	9999-12-31	2013-05-08	12745
34/3-1 S	3777.000000	1.700000	31.000000	0.000000	XP-07	9999-12-31	5811	9999-12-31	2013-05-08	12746
34/3-1 S	3800.000000	1.870000	38.000000	0.000000	XP-07	9999-12-31	5811	9999-12-31	2013-05-08	12747
34/3-1 S	3895.000000	1.870000	36.000000	0.000000	XP-07	9999-12-31	5811	9999-12-31	2013-05-08	12748
34/3-1 S	3932.000000	1.870000	35.000000	0.000000	XP-07	9999-12-31	5811	9999-12-31	2013-05-08	12749
34/3-1 S	3968.000000	1.870000	34.000000	0.000000	XP-07	9999-12-31	5811	9999-12-31	2013-05-08	12750
34/3-1 S	4221.000000	1.870000	35.000000	0.000000	XP-07	9999-12-31	5811	9999-12-31	2013-05-08	12751
34/3-2 S	1030.000000	1.370000	24.000000	0.000000	KCl/Poly/Glycol	9999-12-31	6249	9999-12-31	2013-05-08	12752
34/3-2 S	1030.000000	1.370000	27.000000	0.000000	KCl/Poly/Glycol	9999-12-31	6249	9999-12-31	2013-05-08	12753
34/3-2 S	1377.000000	1.370000	26.000000	0.000000	KCl/Poly/Glycol	9999-12-31	6249	9999-12-31	2013-05-08	12754
34/3-2 S	2225.000000	1.390000	23.000000	0.000000	KCl/Poly/Glycol	9999-12-31	6249	9999-12-31	2013-05-08	12755
34/3-2 S	2303.000000	1.370000	25.000000	0.000000	KCl/Poly/Glycol	9999-12-31	6249	9999-12-31	2013-05-08	12756
34/3-2 S	2403.000000	1.380000	26.000000	0.000000	KCl/Poly/Glycol	9999-12-31	6249	9999-12-31	2013-05-08	12757
34/3-2 S	2764.000000	1.570000	48.000000	0.000000	Versamud	9999-12-31	6249	9999-12-31	2013-05-08	12758
34/3-2 S	3234.000000	1.610000	43.000000	0.000000	Versamud	9999-12-31	6249	9999-12-31	2013-05-08	12759
34/3-2 S	3859.000000	1.660000	45.000000	0.000000	Versamud	9999-12-31	6249	9999-12-31	2013-05-08	12760
34/3-2 S	3882.000000	1.880000	36.000000	0.000000	Versamud	9999-12-31	6249	9999-12-31	2013-05-08	12761
34/3-2 S	3882.000000	1.910000	35.000000	0.000000	Versamud	9999-12-31	6249	9999-12-31	2013-05-08	12762
34/3-2 S	3882.000000	1.870000	35.000000	0.000000	Versamud	9999-12-31	6249	9999-12-31	2013-05-08	12763
34/3-2 S	3882.000000	1.700000	44.000000	0.000000	Versamud	9999-12-31	6249	9999-12-31	2013-05-08	12764
34/3-2 S	3894.000000	1.920000	41.000000	0.000000	Versamud	9999-12-31	6249	9999-12-31	2013-05-08	12765
34/3-2 S	4053.000000	1.920000	41.000000	0.000000	Versamud	9999-12-31	6249	9999-12-31	2013-05-08	12766
34/3-2 S	4331.000000	1.920000	50.000000	0.000000	Versamud	9999-12-31	6249	9999-12-31	2013-05-08	12767
34/4-1	860.000000	1.150000	42.000000	0.000000	waterbased	9999-12-31	422	9999-12-31	2013-05-08	12768
34/4-1	1275.000000	1.270000	40.000000	0.000000	waterbased	9999-12-31	422	9999-12-31	2013-05-08	12769
34/4-1	1810.000000	1.480000	49.000000	0.000000	waterbased	9999-12-31	422	9999-12-31	2013-05-08	12770
34/4-1	2080.000000	1.770000	46.000000	0.000000	waterbased	9999-12-31	422	9999-12-31	2013-05-08	12771
34/4-1	2370.000000	1.780000	50.000000	0.000000	waterbased	9999-12-31	422	9999-12-31	2013-05-08	12772
34/4-1	2565.000000	1.770000	52.000000	0.000000	waterbased	9999-12-31	422	9999-12-31	2013-05-08	12773
34/4-1	2900.000000	1.770000	59.000000	0.000000	waterbased	9999-12-31	422	9999-12-31	2013-05-08	12774
34/4-10	2380.000000	1.540000	27.000000	0.000000	WATER BASED	9999-12-31	3143	9999-12-31	2013-05-08	12775
34/4-10 R	2380.000000	1.540000	27.000000	0.000000	WATER BASED	9999-12-31	4051	9999-12-31	2013-05-08	12776
34/4-10 R	2695.000000	1.500000	28.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12777
34/4-10 R	3474.000000	1.550000	30.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12778
34/4-10 R	3505.000000	1.560000	30.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12779
34/4-10 R	3650.000000	1.560000	29.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12780
34/4-10 R	3674.000000	1.610000	28.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12781
34/4-10 R	3710.000000	1.610000	35.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12782
34/4-10 R	3775.000000	1.620000	38.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12783
34/4-10 R	3905.000000	1.620000	36.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12784
34/4-10 R	3921.000000	1.620000	37.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12785
34/4-10 R	3953.000000	1.760000	38.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12786
34/4-10 R	3981.000000	1.800000	41.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12787
34/4-10 R	4074.000000	1.830000	40.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12788
34/4-10 R	4246.000000	1.830000	44.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12789
34/4-10 R	4246.000000	1.830000	44.000000	0.000000	OIL BASED	9999-12-31	4051	9999-12-31	2013-05-08	12790
34/4-11	433.000000	1.050000	0.000000	0.000000	SEA WATER	9999-12-31	6227	9999-12-31	2013-05-08	12791
34/4-11	483.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	6227	9999-12-31	2013-05-08	12792
34/4-11	1420.000000	1.540000	23.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6227	9999-12-31	2013-05-08	12793
34/4-11	1580.000000	1.650000	32.000000	0.000000	CARBO TECH	9999-12-31	6227	9999-12-31	2013-05-08	12794
34/4-11	2293.000000	1.550000	27.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6227	9999-12-31	2013-05-08	12795
34/4-11	3120.000000	1.620000	39.000000	0.000000	CARBO TECH	9999-12-31	6227	9999-12-31	2013-05-08	12796
34/4-11	3830.000000	1.660000	59.000000	0.000000	CARBO TECH	9999-12-31	6227	9999-12-31	2013-05-08	12797
34/4-11	3900.000000	2.000000	57.000000	0.000000	CARBO TECH	9999-12-31	6227	9999-12-31	2013-05-08	12798
34/4-11	4012.000000	1.930000	50.000000	0.000000	CARBO TECH	9999-12-31	6227	9999-12-31	2013-05-08	12799
34/4-11	4120.000000	2.000000	57.000000	0.000000	CARBO TECH	9999-12-31	6227	9999-12-31	2013-05-08	12800
34/4-11	4325.000000	1.930000	48.000000	0.000000	CARBO TECH	9999-12-31	6227	9999-12-31	2013-05-08	12801
34/4-11	4327.000000	2.000000	53.000000	0.000000	CARBO TECH	9999-12-31	6227	9999-12-31	2013-05-08	12802
34/4-11	4327.000000	1.930000	49.000000	0.000000	CARBO TECH	9999-12-31	6227	9999-12-31	2013-05-08	12803
34/4-12 A	1515.000000	1.480000	29.000000	0.000000	XP-07 - #14	9999-12-31	6316	9999-12-31	2013-05-08	12804
34/4-12 A	1727.000000	1.500000	30.000000	0.000000	XP-07 - #14	9999-12-31	6316	9999-12-31	2013-05-08	12805
34/4-12 A	2359.000000	1.620000	31.000000	0.000000	XP-07 - #14	9999-12-31	6316	9999-12-31	2013-05-08	12806
34/4-12 A	2454.000000	1.550000	29.000000	0.000000	XP-07 - #14	9999-12-31	6316	9999-12-31	2013-05-08	12807
34/4-12 A	2577.000000	1.620000	33.000000	0.000000	XP-07 - #14	9999-12-31	6316	9999-12-31	2013-05-08	12808
34/4-12 A	2644.000000	1.620000	35.000000	0.000000	XP-07 - #14	9999-12-31	6316	9999-12-31	2013-05-08	12809
34/4-12 A	2761.000000	1.620000	29.000000	0.000000	XP-07 - #14	9999-12-31	6316	9999-12-31	2013-05-08	12810
34/4-12 A	2761.000000	1.620000	28.000000	0.000000	XP-07 - #14	9999-12-31	6316	9999-12-31	2013-05-08	12811
34/4-12 S	1257.000000	1.410000	36.000000	0.000000	Performadril	9999-12-31	6283	9999-12-31	2013-05-08	12812
34/4-12 S	1433.000000	1.480000	25.000000	0.000000	Performadril	9999-12-31	6283	9999-12-31	2013-05-08	12813
34/4-12 S	1727.000000	1.500000	30.000000	0.000000	XP-07 - #14	9999-12-31	6283	9999-12-31	2013-05-08	12814
34/4-12 S	1855.000000	1.470000	26.000000	0.000000	Performadril	9999-12-31	6283	9999-12-31	2013-05-08	12815
34/4-12 S	1855.000000	1.490000	27.000000	0.000000	Performadril	9999-12-31	6283	9999-12-31	2013-05-08	12816
34/4-12 S	2339.000000	1.600000	36.000000	0.000000	XP-07 - #14	9999-12-31	6283	9999-12-31	2013-05-08	12817
34/4-12 S	2599.000000	1.550000	46.000000	0.000000	XP-07 - #14	9999-12-31	6283	9999-12-31	2013-05-08	12818
34/4-12 S	2811.000000	1.600000	41.000000	0.000000	XP-07 - #14	9999-12-31	6283	9999-12-31	2013-05-08	12819
34/4-12 S	2912.000000	1.650000	50.000000	0.000000	XP-07 - #14	9999-12-31	6283	9999-12-31	2013-05-08	12820
34/4-12 S	3066.000000	1.600000	36.000000	0.000000	XP-07 - #14	9999-12-31	6283	9999-12-31	2013-05-08	12821
34/4-13 S	415.000000	1.020000	40.000000	0.000000	cmc	9999-12-31	6442	9999-12-31	2013-05-08	12822
34/4-13 S	474.000000	1.490000	27.000000	0.000000	bentonite spud	9999-12-31	6442	9999-12-31	2013-05-08	12823
34/4-13 S	600.000000	1.020000	50.000000	0.000000	bentonite spud	9999-12-31	6442	9999-12-31	2013-05-08	12824
34/4-13 S	1480.000000	1.240000	22.000000	0.000000	bentonite spud	9999-12-31	6442	9999-12-31	2013-05-08	12825
34/4-13 S	1633.000000	1.500000	46.000000	0.000000	Versatec	9999-12-31	6442	9999-12-31	2013-05-08	12826
34/4-13 S	2908.000000	1.530000	46.000000	0.000000	Versatec	9999-12-31	6442	9999-12-31	2013-05-08	12827
34/4-13 S	2993.000000	1.660000	52.000000	0.000000	Versatec	9999-12-31	6442	9999-12-31	2013-05-08	12828
34/4-13 S	3556.000000	1.710000	56.000000	0.000000	Versatec	9999-12-31	6442	9999-12-31	2013-05-08	12829
34/4-13 S	4004.000000	0.990000	51.000000	0.000000	Versatec	9999-12-31	6442	9999-12-31	2013-05-08	12830
34/4-13 S	4330.000000	0.990000	50.000000	0.000000	Versatec	9999-12-31	6442	9999-12-31	2013-05-08	12831
34/4-13 S	4382.000000	1.730000	53.000000	0.000000	Versatec	9999-12-31	6442	9999-12-31	2013-05-08	12832
34/4-13 S	4383.000000	1.710000	51.000000	0.000000	Versatec	9999-12-31	6442	9999-12-31	2013-05-08	12833
34/4-13 S	4525.000000	2.030000	64.000000	0.000000	Versatherm	9999-12-31	6442	9999-12-31	2013-05-08	12834
34/4-13 S	4802.000000	1.990000	68.000000	0.000000	Versatherm	9999-12-31	6442	9999-12-31	2013-05-08	12835
34/4-13 S	4829.000000	1.990000	72.000000	0.000000	Versatherm	9999-12-31	6442	9999-12-31	2013-05-08	12836
34/4-13 S	4915.000000	1.990000	72.000000	0.000000	Versatherm	9999-12-31	6442	9999-12-31	2013-05-08	12837
34/4-13 S	5007.000000	1.990000	71.000000	0.000000	versatherm	9999-12-31	6442	9999-12-31	2013-05-08	12838
34/4-13 S	5007.000000	1.730000	36.000000	0.000000	versatherm	9999-12-31	6442	9999-12-31	2013-05-08	12839
34/4-13 S	5007.000000	1.700000	0.000000	0.000000	CaBr2 Brine	9999-12-31	6442	9999-12-31	2013-05-08	12840
34/4-13 S	5007.000000	1.700000	0.000000	0.000000	CaBr2 Brine	9999-12-31	6442	9999-12-31	2013-05-08	12841
34/4-13 S	5010.000000	1.990000	71.000000	0.000000	Versatherm	9999-12-31	6442	9999-12-31	2013-05-08	12842
34/4-13 S	5010.000000	2.090000	73.000000	0.000000	Versatherm	9999-12-31	6442	9999-12-31	2013-05-08	12843
34/4-13 S	5010.000000	1.990000	69.000000	0.000000	Versatherm	9999-12-31	6442	9999-12-31	2013-05-08	12844
34/4-2	756.000000	1.080000	35.000000	0.000000	seawater	9999-12-31	228	9999-12-31	2013-05-08	12845
34/4-2	1975.000000	1.380000	68.000000	0.000000	waterbased	9999-12-31	228	9999-12-31	2013-05-08	12846
34/4-2	2405.000000	1.500000	48.000000	0.000000	waterbased	9999-12-31	228	9999-12-31	2013-05-08	12847
34/4-2	2610.000000	1.610000	67.000000	0.000000	waterbased	9999-12-31	228	9999-12-31	2013-05-08	12848
34/4-2	3010.000000	1.670000	48.000000	0.000000	waterbased	9999-12-31	228	9999-12-31	2013-05-08	12849
34/4-2	3600.000000	1.630000	54.000000	0.000000	waterbased	9999-12-31	228	9999-12-31	2013-05-08	12850
34/4-3	555.000000	1.100000	0.000000	0.000000	water based	9999-12-31	423	9999-12-31	2013-05-08	12851
34/4-3	990.000000	1.100000	0.000000	0.000000	water based	9999-12-31	423	9999-12-31	2013-05-08	12852
34/4-3	1420.000000	1.180000	0.000000	0.000000	water based	9999-12-31	423	9999-12-31	2013-05-08	12853
34/4-3	2080.000000	1.280000	0.000000	0.000000	water based	9999-12-31	423	9999-12-31	2013-05-08	12854
34/4-3	2340.000000	1.320000	0.000000	0.000000	water based	9999-12-31	423	9999-12-31	2013-05-08	12855
34/4-3	2800.000000	1.340000	0.000000	0.000000	water based	9999-12-31	423	9999-12-31	2013-05-08	12856
34/4-3	3300.000000	1.260000	0.000000	0.000000	water based	9999-12-31	423	9999-12-31	2013-05-08	12857
34/4-3	3570.000000	1.480000	0.000000	0.000000	water based	9999-12-31	423	9999-12-31	2013-05-08	12858
34/4-3	3880.000000	1.510000	0.000000	0.000000	water based	9999-12-31	423	9999-12-31	2013-05-08	12859
34/4-3	4300.000000	1.560000	0.000000	0.000000	water based	9999-12-31	423	9999-12-31	2013-05-08	12860
34/4-4	530.000000	1.030000	15.000000	0.000000	waterbased	9999-12-31	41	9999-12-31	2013-05-08	12861
34/4-4	900.000000	1.110000	7.000000	0.000000	waterbased	9999-12-31	41	9999-12-31	2013-05-08	12862
34/4-4	1070.000000	1.140000	7.000000	0.000000	waterbased	9999-12-31	41	9999-12-31	2013-05-08	12863
34/4-4	1610.000000	1.130000	9.000000	0.000000	waterbased	9999-12-31	41	9999-12-31	2013-05-08	12864
34/4-4	1910.000000	1.280000	18.000000	0.000000	waterbased	9999-12-31	41	9999-12-31	2013-05-08	12865
34/4-4	2140.000000	1.420000	27.000000	0.000000	waterbased	9999-12-31	41	9999-12-31	2013-05-08	12866
34/4-4	2350.000000	1.500000	25.000000	0.000000	waterbased	9999-12-31	41	9999-12-31	2013-05-08	12867
34/4-4	2810.000000	1.600000	23.000000	0.000000	waterbased	9999-12-31	41	9999-12-31	2013-05-08	12868
34/4-4	3360.000000	1.620000	16.000000	0.000000	waterbased	9999-12-31	41	9999-12-31	2013-05-08	12869
34/4-4	3620.000000	1.600000	20.000000	0.000000	waterbased	9999-12-31	41	9999-12-31	2013-05-08	12870
34/4-5	525.000000	1.040000	6.000000	19.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12871
34/4-5	600.000000	1.070000	7.000000	19.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12872
34/4-5	700.000000	1.080000	10.000000	18.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12873
34/4-5	900.000000	1.130000	10.000000	22.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12874
34/4-5	1355.000000	1.200000	16.000000	20.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12875
34/4-5	1610.000000	1.260000	16.000000	22.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12876
34/4-5	1830.000000	1.380000	22.000000	27.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12877
34/4-5	2030.000000	1.470000	26.000000	27.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12878
34/4-5	2190.000000	1.620000	21.000000	29.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12879
34/4-5	2350.000000	1.710000	28.000000	26.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12880
34/4-5	2985.000000	1.680000	17.000000	24.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12881
34/4-5	3260.000000	1.740000	19.000000	12.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12882
34/4-5	3650.000000	1.870000	21.000000	12.000000	WATER BASED	9999-12-31	37	9999-12-31	2013-05-08	12883
34/4-6	530.000000	1.060000	0.000000	0.000000	WATER BASED	1986-01-06	875	9999-12-31	2013-05-08	12884
34/4-6	530.000000	1.060000	0.000000	0.000000	WATER BASED	1986-01-03	875	9999-12-31	2013-05-08	12885
34/4-6	530.000000	1.060000	0.000000	0.000000	WATER BASED	1985-12-30	875	9999-12-31	2013-05-08	12886
34/4-6	585.000000	1.070000	7.000000	16.300000	WATER BASED	1986-01-13	875	9999-12-31	2013-05-08	12887
34/4-6	740.000000	1.140000	6.000000	13.500000	WATER BASED	1986-01-13	875	9999-12-31	2013-05-08	12888
34/4-6	904.000000	1.100000	12.000000	7.200000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12889
34/4-6	920.000000	1.100000	12.000000	7.200000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12890
34/4-6	920.000000	1.120000	7.000000	13.900000	WATER BASED	1986-01-13	875	9999-12-31	2013-05-08	12891
34/4-6	920.000000	1.140000	6.000000	12.500000	WATER BASED	1986-01-13	875	9999-12-31	2013-05-08	12892
34/4-6	920.000000	1.120000	7.000000	14.400000	WATER BASED	1986-01-13	875	9999-12-31	2013-05-08	12893
34/4-6	920.000000	1.140000	5.000000	9.600000	WATER BASED	1986-01-14	875	9999-12-31	2013-05-08	12894
34/4-6	920.000000	1.150000	5.000000	10.100000	WATER BASED	1986-01-13	875	9999-12-31	2013-05-08	12895
34/4-6	920.000000	1.150000	5.000000	10.600000	WATER BASED	1986-01-13	875	9999-12-31	2013-05-08	12896
34/4-6	920.000000	1.030000	0.000000	0.000000	WATER BASED	1986-01-19	875	9999-12-31	2013-05-08	12897
34/4-6	920.000000	1.140000	6.000000	11.100000	WATER BASED	1986-01-19	875	9999-12-31	2013-05-08	12898
34/4-6	920.000000	1.140000	8.000000	11.500000	WATER BASED	1986-01-19	875	9999-12-31	2013-05-08	12899
34/4-6	920.000000	1.140000	9.000000	10.600000	WATER BASED	1986-01-19	875	9999-12-31	2013-05-08	12900
34/4-6	920.000000	1.140000	5.000000	12.000000	WATER BASED	1986-01-13	875	9999-12-31	2013-05-08	12901
34/4-6	920.000000	1.150000	5.000000	10.100000	WATER BASED	1986-01-19	875	9999-12-31	2013-05-08	12902
34/4-6	1110.000000	1.110000	19.000000	10.100000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12903
34/4-6	1381.000000	1.130000	17.000000	9.100000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12904
34/4-6	1791.000000	1.310000	20.000000	10.600000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12905
34/4-6	1856.000000	1.480000	22.000000	8.700000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12906
34/4-6	1856.000000	1.480000	24.000000	9.100000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12907
34/4-6	1856.000000	1.480000	25.000000	9.600000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12908
34/4-6	1856.000000	1.480000	25.000000	10.600000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12909
34/4-6	1861.000000	1.480000	17.000000	9.600000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12910
34/4-6	2127.000000	1.550000	19.000000	11.500000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12911
34/4-6	2273.000000	1.650000	27.000000	12.000000	WATER BASED	1986-02-05	875	9999-12-31	2013-05-08	12912
34/4-6	2345.000000	1.650000	21.000000	11.100000	WATER BASED	1986-02-11	875	9999-12-31	2013-05-08	12913
34/4-6	2443.000000	1.680000	21.000000	10.100000	WATER BASED	1986-02-11	875	9999-12-31	2013-05-08	12914
34/4-6	2495.000000	1.680000	16.000000	8.700000	WATER BASED	1986-02-11	875	9999-12-31	2013-05-08	12915
34/4-6	2498.000000	1.680000	18.000000	9.600000	WATER BASED	1986-02-11	875	9999-12-31	2013-05-08	12916
34/4-6	2549.000000	1.700000	19.000000	6.800000	WATER BASED	1986-02-11	875	9999-12-31	2013-05-08	12917
34/4-6	2560.000000	1.700000	19.000000	6.300000	WATER BASED	1986-02-11	875	9999-12-31	2013-05-08	12918
34/4-6	2575.000000	1.700000	22.000000	6.300000	WATER BASED	1986-02-12	875	9999-12-31	2013-05-08	12919
34/4-6	2575.000000	1.700000	23.000000	7.200000	WATER BASED	1986-02-17	875	9999-12-31	2013-05-08	12920
34/4-6	2576.000000	1.700000	22.000000	6.800000	WATER BASED	1986-02-11	875	9999-12-31	2013-05-08	12921
34/4-6	2576.000000	1.700000	18.000000	6.800000	WATER BASED	1986-03-10	875	9999-12-31	2013-05-08	12922
34/4-6	2576.000000	1.700000	18.000000	6.800000	WATER BASED	1986-03-17	875	9999-12-31	2013-05-08	12923
34/4-6	2576.000000	1.700000	19.000000	6.800000	WATER BASED	1986-03-17	875	9999-12-31	2013-05-08	12924
34/4-6	2576.000000	1.700000	17.000000	6.300000	WATER BASED	1986-03-24	875	9999-12-31	2013-05-08	12925
34/4-6	2576.000000	1.700000	19.000000	6.800000	WATER BASED	1986-03-24	875	9999-12-31	2013-05-08	12926
34/4-6	2576.000000	1.700000	19.000000	7.200000	WATER BASED	1986-03-24	875	9999-12-31	2013-05-08	12927
34/4-6	2576.000000	1.700000	17.000000	6.300000	WATER BASED	1986-03-18	875	9999-12-31	2013-05-08	12928
34/4-6	2576.000000	1.700000	18.000000	6.800000	WATER BASED	1986-03-24	875	9999-12-31	2013-05-08	12929
34/4-6	2588.000000	1.700000	22.000000	6.300000	WATER BASED	1986-02-12	875	9999-12-31	2013-05-08	12930
34/4-6	2600.000000	1.700000	23.000000	6.800000	WATER BASED	1986-02-12	875	9999-12-31	2013-05-08	12931
34/4-6	2632.000000	1.700000	22.000000	6.800000	WATER BASED	1986-02-17	875	9999-12-31	2013-05-08	12932
34/4-6	2660.000000	1.700000	22.000000	7.700000	WATER BASED	1986-02-17	875	9999-12-31	2013-05-08	12933
34/4-6	2680.000000	1.700000	17.000000	7.700000	WATER BASED	1986-03-10	875	9999-12-31	2013-05-08	12934
34/4-6	2700.000000	1.700000	18.000000	6.800000	WATER BASED	1986-03-10	875	9999-12-31	2013-05-08	12935
34/4-6	2720.000000	1.700000	18.000000	6.300000	WATER BASED	1986-03-17	875	9999-12-31	2013-05-08	12936
34/4-6	2720.000000	1.700000	18.000000	6.300000	WATER BASED	1986-03-12	875	9999-12-31	2013-05-08	12937
34/4-6	2720.000000	1.700000	18.000000	6.300000	WATER BASED	1986-03-08	875	9999-12-31	2013-05-08	12938
34/4-6	2746.000000	1.700000	20.000000	7.700000	WATER BASED	1986-02-17	875	9999-12-31	2013-05-08	12939
34/4-6	2760.000000	1.620000	17.000000	7.700000	WATER BASED	1986-03-03	875	9999-12-31	2013-05-08	12940
34/4-6	2760.000000	1.620000	18.000000	6.800000	WATER BASED	1986-03-03	875	9999-12-31	2013-05-08	12941
34/4-6	2760.000000	1.620000	19.000000	7.700000	WATER BASED	1986-03-04	875	9999-12-31	2013-05-08	12942
34/4-6	2760.000000	1.620000	21.000000	7.200000	WATER BASED	1986-02-28	875	9999-12-31	2013-05-08	12943
34/4-6	2760.000000	1.620000	17.000000	6.800000	WATER BASED	1986-03-05	875	9999-12-31	2013-05-08	12944
34/4-6	2770.000000	1.620000	43.000000	8.200000	WATER BASED	1986-02-26	875	9999-12-31	2013-05-08	12945
34/4-6	2770.000000	1.620000	26.000000	6.800000	WATER BASED	1986-02-26	875	9999-12-31	2013-05-08	12946
34/4-6	2770.000000	1.700000	22.000000	7.700000	WATER BASED	1986-02-24	875	9999-12-31	2013-05-08	12947
34/4-6	2770.000000	1.700000	27.000000	7.700000	WATER BASED	1986-02-24	875	9999-12-31	2013-05-08	12948
34/4-6	2770.000000	1.700000	20.000000	7.700000	WATER BASED	1986-02-24	875	9999-12-31	2013-05-08	12949
34/4-6	2770.000000	1.700000	22.000000	7.700000	WATER BASED	1986-02-24	875	9999-12-31	2013-05-08	12950
34/4-6	2792.000000	1.620000	19.000000	6.800000	WATER BASED	1986-02-28	875	9999-12-31	2013-05-08	12951
34/4-6	3282.000000	1.620000	17.000000	6.800000	WATER BASED	1986-03-10	875	9999-12-31	2013-05-08	12952
34/4-6	3282.000000	1.700000	18.000000	7.200000	WATER BASED	1986-03-10	875	9999-12-31	2013-05-08	12953
34/4-7	422.000000	1.060000	0.000000	0.000000	WATER BASED	1987-02-18	943	9999-12-31	2013-05-08	12954
34/4-7	470.000000	1.060000	0.000000	0.000000	WATER BASED	1987-02-20	943	9999-12-31	2013-05-08	12955
34/4-7	470.000000	1.060000	0.000000	0.000000	WATER BASED	1987-02-23	943	9999-12-31	2013-05-08	12956
34/4-7	680.000000	1.120000	4.000000	12.000000	WATER BASED	1987-02-23	943	9999-12-31	2013-05-08	12957
34/4-7	915.000000	1.140000	4.000000	12.500000	WATER BASED	1987-02-23	943	9999-12-31	2013-05-08	12958
34/4-7	915.000000	1.140000	7.000000	16.300000	WATER BASED	1987-02-23	943	9999-12-31	2013-05-08	12959
34/4-7	915.000000	1.160000	6.000000	14.900000	WATER BASED	1987-02-24	943	9999-12-31	2013-05-08	12960
34/4-7	915.000000	1.030000	0.000000	0.000000	WATER BASED	1987-02-27	943	9999-12-31	2013-05-08	12961
34/4-7	1113.000000	1.160000	20.000000	10.600000	WATER BASED	1987-02-27	943	9999-12-31	2013-05-08	12962
34/4-7	1480.000000	1.200000	20.000000	10.100000	WATER BASED	1987-03-02	943	9999-12-31	2013-05-08	12963
34/4-7	1644.000000	1.300000	25.000000	11.100000	WATER BASED	1987-03-02	943	9999-12-31	2013-05-08	12964
34/4-7	1863.000000	1.470000	21.000000	8.200000	WATER BASED	1987-03-05	943	9999-12-31	2013-05-08	12965
34/4-7	1887.000000	1.470000	21.000000	7.200000	WATER BASED	1987-03-05	943	9999-12-31	2013-05-08	12966
34/4-7	1887.000000	1.470000	24.000000	9.600000	WATER BASED	1987-03-05	943	9999-12-31	2013-05-08	12967
34/4-7	1887.000000	1.470000	24.000000	10.600000	WATER BASED	1987-03-05	943	9999-12-31	2013-05-08	12968
34/4-7	2145.000000	1.580000	23.000000	10.100000	WATER BASED	1987-03-10	943	9999-12-31	2013-05-08	12969
34/4-7	2298.000000	1.680000	26.000000	11.500000	WATER BASED	1987-03-10	943	9999-12-31	2013-05-08	12970
34/4-7	2407.000000	1.700000	26.000000	13.000000	WATER BASED	1987-03-10	943	9999-12-31	2013-05-08	12971
34/4-7	2471.000000	1.700000	23.000000	7.700000	WATER BASED	1987-03-10	943	9999-12-31	2013-05-08	12972
34/4-7	2513.000000	1.700000	23.000000	8.700000	WATER BASED	1987-03-10	943	9999-12-31	2013-05-08	12973
34/4-7	2563.000000	1.700000	26.000000	8.700000	WATER BASED	1987-03-12	943	9999-12-31	2013-05-08	12974
34/4-7	2591.000000	1.700000	24.000000	7.700000	WATER BASED	1987-03-12	943	9999-12-31	2013-05-08	12975
34/4-7	2647.000000	1.700000	25.000000	8.700000	WATER BASED	1987-03-13	943	9999-12-31	2013-05-08	12976
34/4-7	2647.000000	1.700000	27.000000	8.200000	WATER BASED	1987-03-23	943	9999-12-31	2013-05-08	12977
34/4-7	2647.000000	1.700000	25.000000	8.700000	WATER BASED	1987-03-23	943	9999-12-31	2013-05-08	12978
34/4-7	2675.000000	1.700000	25.000000	8.200000	WATER BASED	1987-03-23	943	9999-12-31	2013-05-08	12979
34/4-7	2712.000000	1.700000	25.000000	8.200000	WATER BASED	1987-03-23	943	9999-12-31	2013-05-08	12980
34/4-7	2792.000000	1.700000	25.000000	7.200000	WATER BASED	1987-03-23	943	9999-12-31	2013-05-08	12981
34/4-7	2869.000000	1.700000	13.000000	4.400000	WATER BASED	1987-03-27	943	9999-12-31	2013-05-08	12982
34/4-7	2869.000000	1.700000	14.000000	4.400000	WATER BASED	1987-03-27	943	9999-12-31	2013-05-08	12983
34/4-7	2869.000000	1.700000	12.000000	5.300000	WATER BASED	1987-03-31	943	9999-12-31	2013-05-08	12984
34/4-7	2869.000000	1.030000	0.000000	0.000000	WATER BASED	1987-04-13	943	9999-12-31	2013-05-08	12985
34/4-7	2869.000000	1.700000	20.000000	4.800000	WATER BASED	1987-03-27	943	9999-12-31	2013-05-08	12986
34/4-7	2950.000000	1.700000	25.000000	8.200000	WATER BASED	1987-03-23	943	9999-12-31	2013-05-08	12987
34/4-7	2950.000000	1.700000	22.000000	5.300000	WATER BASED	9999-12-31	943	9999-12-31	2013-05-08	12988
34/4-7	2950.000000	1.700000	22.000000	4.400000	WATER BASED	1987-03-27	943	9999-12-31	2013-05-08	12989
34/4-7	2950.000000	1.700000	23.000000	6.300000	WATER BASED	1987-03-23	943	9999-12-31	2013-05-08	12990
34/4-7	2950.000000	1.700000	24.000000	6.800000	WATER BASED	1987-03-23	943	9999-12-31	2013-05-08	12991
34/4-7	2950.000000	1.700000	22.000000	4.400000	WATER BASED	1987-03-24	943	9999-12-31	2013-05-08	12992
34/4-8	435.000000	1.510000	26.000000	0.000000	DUMMY	9999-12-31	1908	9999-12-31	2013-05-08	12993
34/4-8	499.000000	1.120000	0.000000	0.000000	GEL MUD	9999-12-31	1908	9999-12-31	2013-05-08	12994
34/4-8	996.000000	1.170000	15.000000	0.000000	GEL MUD	9999-12-31	1908	9999-12-31	2013-05-08	12995
34/4-8	1410.000000	1.170000	8.000000	0.000000	GEL MUD	9999-12-31	1908	9999-12-31	2013-05-08	12996
34/4-8	1460.000000	1.260000	5.000000	0.000000	GEL MUD	9999-12-31	1908	9999-12-31	2013-05-08	12997
34/4-8	2064.000000	1.590000	30.000000	0.000000	DUMMY	9999-12-31	1908	9999-12-31	2013-05-08	12998
34/4-8	2179.000000	1.590000	27.000000	0.000000	DUMMY	9999-12-31	1908	9999-12-31	2013-05-08	12999
34/4-8	2396.000000	1.590000	34.000000	0.000000	DUMMY	9999-12-31	1908	9999-12-31	2013-05-08	13000
34/4-8	2485.000000	1.590000	29.000000	0.000000	DUMMY	9999-12-31	1908	9999-12-31	2013-05-08	13001
34/4-8	2655.000000	1.590000	30.000000	0.000000	DUMMY	9999-12-31	1908	9999-12-31	2013-05-08	13002
34/4-8	2693.000000	1.600000	32.000000	0.000000	DUMMY	9999-12-31	1908	9999-12-31	2013-05-08	13003
34/4-8	2707.000000	1.600000	28.000000	0.000000	DUMMY	9999-12-31	1908	9999-12-31	2013-05-08	13004
34/4-8	2791.000000	1.620000	27.000000	0.000000	DUMMY	9999-12-31	1908	9999-12-31	2013-05-08	13005
34/4-8	2911.000000	1.620000	27.000000	0.000000	DUMMY	9999-12-31	1908	9999-12-31	2013-05-08	13006
34/4-8	3110.000000	1.620000	23.000000	0.000000	DUMMY	9999-12-31	1908	9999-12-31	2013-05-08	13007
34/4-9 S	520.000000	1.120000	8.000000	29.000000	spud mud	9999-12-31	2931	9999-12-31	2013-05-08	13008
34/4-9 S	1235.000000	1.190000	21.000000	23.000000	spud mud	9999-12-31	2931	9999-12-31	2013-05-08	13009
34/4-9 S	1866.000000	1.480000	29.000000	36.000000	KCL mud	9999-12-31	2931	9999-12-31	2013-05-08	13010
34/4-9 S	2013.000000	1.480000	29.000000	33.000000	oil based	9999-12-31	2931	9999-12-31	2013-05-08	13011
34/4-9 S	2500.000000	1.600000	38.000000	19.000000	oil based	9999-12-31	2931	9999-12-31	2013-05-08	13012
34/5-1 A	2050.000000	1.600000	30.000000	0.000000	XP-07	9999-12-31	6352	9999-12-31	2013-05-08	13013
34/5-1 A	2156.000000	1.390000	18.000000	0.000000	XP-07	9999-12-31	6352	9999-12-31	2013-05-08	13014
34/5-1 A	2272.000000	1.600000	30.000000	0.000000	XP-07	9999-12-31	6352	9999-12-31	2013-05-08	13015
34/5-1 A	2529.000000	1.390000	21.000000	0.000000	XP-07	9999-12-31	6352	9999-12-31	2013-05-08	13016
34/5-1 A	2805.000000	1.500000	26.000000	0.000000	XP-07	9999-12-31	6352	9999-12-31	2013-05-08	13017
34/5-1 A	3972.000000	1.600000	31.000000	0.000000	XP-07	9999-12-31	6352	9999-12-31	2013-05-08	13018
34/5-1 A	4098.000000	1.600000	25.000000	0.000000	XP-07	9999-12-31	6352	9999-12-31	2013-05-08	13019
34/5-1 A	4220.000000	1.850000	32.000000	0.000000	XP-07	9999-12-31	6352	9999-12-31	2013-05-08	13020
34/5-1 A	4231.000000	1.600000	31.000000	0.000000	XP-07	9999-12-31	6352	9999-12-31	2013-05-08	13021
34/5-1 A	4257.000000	1.850000	38.000000	0.000000	XP-07	9999-12-31	6352	9999-12-31	2013-05-08	13022
34/5-1 A	4416.000000	1.850000	39.000000	0.000000	XP-07	9999-12-31	6352	9999-12-31	2013-05-08	13023
34/5-1 S	455.000000	1.040000	0.000000	0.000000	HiVis sweeps	9999-12-31	6307	9999-12-31	2013-05-08	13024
34/5-1 S	460.000000	1.390000	21.000000	0.000000	KCL/GEM	9999-12-31	6307	9999-12-31	2013-05-08	13025
34/5-1 S	463.000000	1.040000	0.000000	0.000000	Hi-vis sweeps	9999-12-31	6307	9999-12-31	2013-05-08	13026
34/5-1 S	492.000000	1.390000	28.000000	0.000000	KCL/GEM	9999-12-31	6307	9999-12-31	2013-05-08	13027
34/5-1 S	560.000000	1.040000	0.000000	0.000000	KCL GEM	9999-12-31	6307	9999-12-31	2013-05-08	13028
34/5-1 S	627.000000	1.390000	23.000000	0.000000	KCL/GEM	9999-12-31	6307	9999-12-31	2013-05-08	13029
34/5-1 S	964.000000	1.390000	25.000000	0.000000	KCL/GEM	9999-12-31	6307	9999-12-31	2013-05-08	13030
34/5-1 S	1054.000000	1.350000	19.000000	0.000000	KCL/GEM	9999-12-31	6307	9999-12-31	2013-05-08	13031
34/5-1 S	1769.000000	1.350000	12.000000	0.000000	KCL GEM	9999-12-31	6307	9999-12-31	2013-05-08	13032
34/5-1 S	2135.000000	1.400000	22.000000	0.000000	XP-07	9999-12-31	6307	9999-12-31	2013-05-08	13033
34/5-1 S	2135.000000	1.410000	24.000000	0.000000	XP-07	9999-12-31	6307	9999-12-31	2013-05-08	13034
34/5-1 S	2135.000000	1.350000	25.000000	0.000000	KCL/GEM	9999-12-31	6307	9999-12-31	2013-05-08	13035
34/5-1 S	2272.000000	1.600000	29.000000	0.000000	XP-07	9999-12-31	6307	9999-12-31	2013-05-08	13036
34/5-1 S	3138.000000	1.570000	29.000000	0.000000	XP-07	9999-12-31	6307	9999-12-31	2013-05-08	13037
34/5-1 S	3483.000000	1.600000	28.000000	0.000000	XP-07	9999-12-31	6307	9999-12-31	2013-05-08	13038
34/5-1 S	3641.000000	1.850000	35.000000	0.000000	XP-07	9999-12-31	6307	9999-12-31	2013-05-08	13039
34/5-1 S	3702.000000	1.850000	36.000000	0.000000	XP-07	9999-12-31	6307	9999-12-31	2013-05-08	13040
34/5-1 S	3900.000000	1.850000	38.000000	0.000000	XP-07	9999-12-31	6307	9999-12-31	2013-05-08	13041
34/5-1 S	4098.000000	1.600000	23.000000	0.000000	XP-07	9999-12-31	6307	9999-12-31	2013-05-08	13042
34/6-1 S	806.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	4561	9999-12-31	2013-05-08	13043
34/6-1 S	2000.000000	1.390000	19.000000	0.000000	KCL/POLYMER	9999-12-31	4561	9999-12-31	2013-05-08	13044
34/6-1 S	2422.000000	1.410000	23.000000	0.000000	KCL/POLYMER	9999-12-31	4561	9999-12-31	2013-05-08	13045
34/6-1 S	2837.000000	1.500000	40.000000	0.000000	OIL (REGULAR)	9999-12-31	4561	9999-12-31	2013-05-08	13046
34/6-1 S	3300.000000	1.500000	38.000000	0.000000	OIL (REGULAR)	9999-12-31	4561	9999-12-31	2013-05-08	13047
34/6-1 S	3395.000000	1.550000	39.000000	0.000000	OIL (ENVIRON)	9999-12-31	4561	9999-12-31	2013-05-08	13048
34/6-1 S	4197.000000	1.740000	43.000000	0.000000	OIL (ENVIRON)	9999-12-31	4561	9999-12-31	2013-05-08	13049
34/6-1 S	4360.000000	1.740000	46.000000	0.000000	OIL (ENVIRON)	9999-12-31	4561	9999-12-31	2013-05-08	13050
34/6-1 S	4360.000000	1.300000	14.000000	0.000000	WATERBASED	9999-12-31	4561	9999-12-31	2013-05-08	13051
34/7-1	420.000000	1.030000	100.000000	0.000000	WATER BASED	1984-05-10	111	9999-12-31	2013-05-08	13052
34/7-1	478.000000	1.050000	47.000000	28.000000	WATER BASED	1984-05-10	111	9999-12-31	2013-05-08	13053
34/7-1	478.000000	1.050000	47.000000	28.000000	WATER BASED	1984-05-10	111	9999-12-31	2013-05-08	13054
34/7-1	478.000000	1.050000	100.000000	0.000000	WATER BASED	1984-05-10	111	9999-12-31	2013-05-08	13055
34/7-1	700.000000	1.070000	50.000000	42.000000	WATER BASED	1984-05-10	111	9999-12-31	2013-05-08	13056
34/7-1	1037.000000	1.140000	45.000000	30.000000	WATER BASED	1984-05-13	111	9999-12-31	2013-05-08	13057
34/7-1	1106.000000	1.180000	50.000000	53.000000	WATER BASED	1984-05-20	111	9999-12-31	2013-05-08	13058
34/7-1	1106.000000	1.160000	52.000000	55.000000	WATER BASED	1984-05-20	111	9999-12-31	2013-05-08	13059
34/7-1	1106.000000	1.100000	50.000000	12.000000	WATER BASED	1984-05-16	111	9999-12-31	2013-05-08	13060
34/7-1	1106.000000	1.160000	52.000000	55.000000	WATER BASED	1984-05-20	111	9999-12-31	2013-05-08	13061
34/7-1	1106.000000	1.100000	50.000000	12.000000	WATER BASED	1984-05-16	111	9999-12-31	2013-05-08	13062
34/7-1	1106.000000	1.060000	52.000000	29.000000	WATER BASED	1984-05-16	111	9999-12-31	2013-05-08	13063
34/7-1	1106.000000	1.140000	50.000000	31.000000	WATER BASED	1984-05-15	111	9999-12-31	2013-05-08	13064
34/7-1	1106.000000	1.180000	50.000000	53.000000	WATER BASED	1984-05-20	111	9999-12-31	2013-05-08	13065
34/7-1	1106.000000	1.060000	52.000000	29.000000	WATER BASED	1984-05-16	111	9999-12-31	2013-05-08	13066
34/7-1	1422.000000	1.200000	56.000000	24.000000	WATER BASED	1984-05-23	111	9999-12-31	2013-05-08	13067
34/7-1	1422.000000	1.210000	50.000000	22.000000	WATER BASED	1984-05-25	111	9999-12-31	2013-05-08	13068
34/7-1	1422.000000	1.210000	50.000000	22.000000	WATER BASED	1984-05-25	111	9999-12-31	2013-05-08	13069
34/7-1	1422.000000	1.150000	47.000000	18.000000	WATER BASED	1984-05-22	111	9999-12-31	2013-05-08	13070
34/7-1	1422.000000	1.200000	56.000000	24.000000	WATER BASED	1984-05-23	111	9999-12-31	2013-05-08	13071
34/7-1	1450.000000	1.230000	50.000000	26.000000	WATER BASED	1984-05-25	111	9999-12-31	2013-05-08	13072
34/7-1	1763.000000	1.370000	50.000000	26.000000	WATER BASED	1984-05-29	111	9999-12-31	2013-05-08	13073
34/7-1	1870.000000	1.460000	53.000000	25.000000	WATER BASED	1984-05-29	111	9999-12-31	2013-05-08	13074
34/7-1	2067.000000	1.510000	57.000000	26.000000	WATER BASED	1984-06-01	111	9999-12-31	2013-05-08	13075
34/7-1	2194.000000	1.560000	54.000000	23.000000	WATER BASED	1984-06-04	111	9999-12-31	2013-05-08	13076
34/7-1	2194.000000	1.560000	54.000000	23.000000	WATER BASED	1984-06-04	111	9999-12-31	2013-05-08	13077
34/7-1	2194.000000	1.540000	56.000000	23.000000	WATER BASED	1984-06-01	111	9999-12-31	2013-05-08	13078
34/7-1	2394.000000	1.640000	55.000000	14.000000	WATER BASED	1984-06-25	111	9999-12-31	2013-05-08	13079
34/7-1	2394.000000	1.650000	52.000000	17.000000	WATER BASED	1984-06-25	111	9999-12-31	2013-05-08	13080
34/7-1	2394.000000	1.650000	46.000000	16.000000	WATER BASED	1984-06-25	111	9999-12-31	2013-05-08	13081
34/7-1	2394.000000	1.650000	52.000000	17.000000	WATER BASED	1984-06-25	111	9999-12-31	2013-05-08	13082
34/7-1	2394.000000	1.650000	46.000000	16.000000	WATER BASED	1984-06-25	111	9999-12-31	2013-05-08	13083
34/7-1	2397.000000	1.580000	54.000000	24.000000	WATER BASED	1984-06-04	111	9999-12-31	2013-05-08	13084
34/7-1	2412.000000	1.630000	55.000000	23.000000	WATER BASED	1984-06-04	111	9999-12-31	2013-05-08	13085
34/7-1	2436.000000	1.630000	55.000000	23.000000	WATER BASED	1984-06-06	111	9999-12-31	2013-05-08	13086
34/7-1	2436.000000	1.630000	55.000000	23.000000	WATER BASED	1984-06-06	111	9999-12-31	2013-05-08	13087
34/7-1	2436.000000	1.630000	55.000000	23.000000	WATER BASED	1984-06-06	111	9999-12-31	2013-05-08	13088
34/7-1	2475.000000	1.630000	55.000000	23.000000	WATER BASED	1984-06-07	111	9999-12-31	2013-05-08	13089
34/7-1	2491.000000	1.630000	22.000000	23.000000	WATER BASED	1984-06-08	111	9999-12-31	2013-05-08	13090
34/7-1	2532.000000	1.630000	22.000000	23.000000	WATER BASED	1984-06-12	111	9999-12-31	2013-05-08	13091
34/7-1	2562.000000	1.640000	30.000000	27.000000	WATER BASED	1984-06-12	111	9999-12-31	2013-05-08	13092
34/7-1	2591.000000	1.640000	30.000000	27.000000	WATER BASED	1984-06-12	111	9999-12-31	2013-05-08	13093
34/7-1	2606.000000	1.740000	22.000000	12.000000	WATER BASED	1984-07-02	111	9999-12-31	2013-05-08	13094
34/7-1	2606.000000	1.660000	46.000000	16.000000	WATER BASED	1984-06-27	111	9999-12-31	2013-05-08	13095
34/7-1	2606.000000	1.740000	50.000000	28.000000	WATER BASED	1984-06-28	111	9999-12-31	2013-05-08	13096
34/7-1	2606.000000	1.740000	50.000000	12.000000	WATER BASED	1984-06-29	111	9999-12-31	2013-05-08	13097
34/7-1	2606.000000	1.740000	50.000000	28.000000	WATER BASED	1984-06-28	111	9999-12-31	2013-05-08	13098
34/7-1	2606.000000	1.740000	50.000000	12.000000	WATER BASED	1984-06-29	111	9999-12-31	2013-05-08	13099
34/7-1	2606.000000	1.740000	22.000000	12.000000	WATER BASED	1984-07-02	111	9999-12-31	2013-05-08	13100
34/7-1	2623.000000	1.640000	30.000000	27.000000	WATER BASED	1984-06-18	111	9999-12-31	2013-05-08	13101
34/7-1	2623.000000	1.640000	30.000000	27.000000	WATER BASED	1984-06-14	111	9999-12-31	2013-05-08	13102
34/7-1	2623.000000	1.640000	30.000000	27.000000	WATER BASED	1984-06-18	111	9999-12-31	2013-05-08	13103
34/7-1	2629.000000	1.700000	30.000000	27.000000	WATER BASED	1984-06-18	111	9999-12-31	2013-05-08	13104
34/7-1	2650.000000	1.650000	46.000000	16.000000	WATER BASED	1984-06-27	111	9999-12-31	2013-05-08	13105
34/7-1	2760.000000	1.730000	55.000000	23.000000	WATER BASED	1984-06-18	111	9999-12-31	2013-05-08	13106
34/7-1	2838.000000	1.730000	52.000000	20.000000	WATER BASED	1984-06-18	111	9999-12-31	2013-05-08	13107
34/7-1	2905.000000	1.640000	55.000000	14.000000	WATER BASED	1984-06-22	111	9999-12-31	2013-05-08	13108
34/7-1	2905.000000	1.760000	62.000000	23.000000	WATER BASED	1984-06-18	111	9999-12-31	2013-05-08	13109
34/7-1	2905.000000	1.640000	55.000000	14.000000	WATER BASED	1984-06-22	111	9999-12-31	2013-05-08	13110
34/7-11	248.000000	1.030000	0.000000	0.000000	WATER BASED	1987-10-05	1176	9999-12-31	2013-05-08	13111
34/7-11	332.000000	1.050000	0.000000	0.000000	WATER BASED	1987-10-05	1176	9999-12-31	2013-05-08	13112
34/7-11	332.000000	1.120000	0.000000	0.000000	WATER BASED	1987-10-06	1176	9999-12-31	2013-05-08	13113
34/7-11	664.000000	1.130000	5.000000	12.500000	WATER BASED	1987-10-06	1176	9999-12-31	2013-05-08	13114
34/7-11	861.000000	1.140000	6.000000	13.500000	WATER BASED	1987-10-07	1176	9999-12-31	2013-05-08	13115
34/7-11	861.000000	1.160000	5.000000	12.000000	WATER BASED	1987-10-08	1176	9999-12-31	2013-05-08	13116
34/7-11	861.000000	1.200000	5.000000	10.100000	WATER BASED	1987-10-09	1176	9999-12-31	2013-05-08	13117
34/7-12	332.000000	1.050000	0.000000	0.000000	WATER BASED	1987-10-14	1187	9999-12-31	2013-05-08	13118
34/7-12	378.000000	1.130000	5.000000	12.000000	WATER BASED	1987-10-28	1187	9999-12-31	2013-05-08	13119
34/7-12	852.000000	1.050000	20.000000	10.100000	WATER BASED	1987-10-28	1187	9999-12-31	2013-05-08	13120
34/7-12	852.000000	1.050000	22.000000	8.700000	WATER BASED	1987-10-28	1187	9999-12-31	2013-05-08	13121
34/7-12	852.000000	1.170000	5.000000	13.500000	WATER BASED	1987-10-21	1187	9999-12-31	2013-05-08	13122
34/7-12	852.000000	1.200000	6.000000	12.500000	WATER BASED	1987-10-21	1187	9999-12-31	2013-05-08	13123
34/7-12	852.000000	1.150000	6.000000	13.500000	WATER BASED	1987-10-28	1187	9999-12-31	2013-05-08	13124
34/7-12	870.000000	1.090000	18.000000	8.700000	WATER BASED	1987-10-28	1187	9999-12-31	2013-05-08	13125
34/7-12	1335.000000	1.170000	22.000000	10.600000	WATER BASED	1987-10-28	1187	9999-12-31	2013-05-08	13126
34/7-12	1544.000000	1.250000	25.000000	12.000000	WATER BASED	1987-10-26	1187	9999-12-31	2013-05-08	13127
34/7-12	1865.000000	1.580000	34.000000	12.000000	WATER BASED	1987-10-26	1187	9999-12-31	2013-05-08	13128
34/7-12	1865.000000	1.580000	35.000000	11.500000	WATER BASED	1987-10-28	1187	9999-12-31	2013-05-08	13129
34/7-12	1865.000000	1.580000	35.000000	12.500000	WATER BASED	1987-10-28	1187	9999-12-31	2013-05-08	13130
34/7-12	1870.000000	1.580000	32.000000	10.600000	WATER BASED	1987-10-28	1187	9999-12-31	2013-05-08	13131
34/7-12	2106.000000	1.720000	32.000000	8.700000	WATER BASED	1987-10-29	1187	9999-12-31	2013-05-08	13132
34/7-12	2120.000000	1.720000	24.000000	6.800000	WATER BASED	1987-12-14	1187	9999-12-31	2013-05-08	13133
34/7-12	2155.000000	1.720000	24.000000	6.800000	WATER BASED	1987-12-16	1187	9999-12-31	2013-05-08	13134
34/7-12	2180.000000	1.720000	27.000000	6.300000	WATER BASED	1987-10-30	1187	9999-12-31	2013-05-08	13135
34/7-12	2214.000000	1.720000	31.000000	7.200000	WATER BASED	1987-11-02	1187	9999-12-31	2013-05-08	13136
34/7-12	2224.000000	1.720000	24.000000	6.800000	WATER BASED	1987-12-08	1187	9999-12-31	2013-05-08	13137
34/7-12	2234.000000	1.720000	29.000000	5.300000	WATER BASED	1987-11-02	1187	9999-12-31	2013-05-08	13138
34/7-12	2267.000000	1.720000	25.000000	6.800000	WATER BASED	1987-12-08	1187	9999-12-31	2013-05-08	13139
34/7-12	2267.000000	1.720000	28.000000	6.300000	WATER BASED	1987-12-08	1187	9999-12-31	2013-05-08	13140
34/7-12	2276.000000	1.720000	30.000000	4.800000	WATER BASED	1987-11-03	1187	9999-12-31	2013-05-08	13141
34/7-12	2313.000000	1.720000	30.000000	6.300000	WATER BASED	1987-11-10	1187	9999-12-31	2013-05-08	13142
34/7-12	2330.000000	1.720000	30.000000	7.200000	WATER BASED	1987-11-25	1187	9999-12-31	2013-05-08	13143
34/7-12	2330.000000	1.720000	30.000000	7.200000	WATER BASED	1987-11-23	1187	9999-12-31	2013-05-08	13144
34/7-12	2330.000000	1.720000	30.000000	7.200000	WATER BASED	1987-11-23	1187	9999-12-31	2013-05-08	13145
34/7-12	2357.000000	1.720000	30.000000	5.300000	WATER BASED	1987-11-10	1187	9999-12-31	2013-05-08	13146
34/7-12	2366.000000	1.720000	28.000000	5.300000	WATER BASED	1987-11-10	1187	9999-12-31	2013-05-08	13147
34/7-12	2381.000000	1.720000	31.000000	10.600000	WATER BASED	1987-11-20	1187	9999-12-31	2013-05-08	13148
34/7-12	2480.000000	1.700000	28.000000	5.300000	WATER BASED	1987-11-10	1187	9999-12-31	2013-05-08	13149
34/7-12	2480.000000	1.720000	28.000000	4.800000	WATER BASED	1987-11-10	1187	9999-12-31	2013-05-08	13150
34/7-12	2480.000000	1.720000	27.000000	6.300000	WATER BASED	1987-11-10	1187	9999-12-31	2013-05-08	13151
34/7-12	2510.000000	1.720000	25.000000	5.800000	WATER BASED	1987-11-10	1187	9999-12-31	2013-05-08	13152
34/7-12	2595.000000	1.720000	26.000000	6.300000	WATER BASED	1987-11-10	1187	9999-12-31	2013-05-08	13153
34/7-12	2609.000000	1.720000	22.000000	5.300000	WATER BASED	1987-11-11	1187	9999-12-31	2013-05-08	13154
34/7-12	2622.000000	1.720000	23.000000	5.300000	WATER BASED	1987-11-12	1187	9999-12-31	2013-05-08	13155
34/7-12	2655.000000	1.720000	25.000000	5.300000	WATER BASED	1987-11-13	1187	9999-12-31	2013-05-08	13156
34/7-12	2705.000000	1.720000	25.000000	6.300000	WATER BASED	1987-11-16	1187	9999-12-31	2013-05-08	13157
34/7-12	2778.000000	1.720000	28.000000	6.300000	WATER BASED	1987-11-16	1187	9999-12-31	2013-05-08	13158
34/7-12	2784.000000	1.720000	28.000000	6.800000	WATER BASED	1987-11-16	1187	9999-12-31	2013-05-08	13159
34/7-12	2784.000000	1.720000	26.000000	6.300000	WATER BASED	1987-11-19	1187	9999-12-31	2013-05-08	13160
34/7-12	2784.000000	1.720000	26.000000	6.300000	WATER BASED	1987-11-18	1187	9999-12-31	2013-05-08	13161
34/7-12	2784.000000	1.720000	28.000000	6.800000	WATER BASED	1987-11-17	1187	9999-12-31	2013-05-08	13162
34/7-13	434.000000	1.050000	0.000000	0.000000	WATER BASED	1988-03-25	1233	9999-12-31	2013-05-08	13163
34/7-13	507.000000	1.120000	5.000000	12.000000	WATER BASED	1988-03-25	1233	9999-12-31	2013-05-08	13164
34/7-13	890.000000	1.160000	4.000000	7.700000	WATER BASED	1988-02-24	1233	9999-12-31	2013-05-08	13165
34/7-13	970.000000	1.160000	0.000000	0.000000	WATER BASED	1988-03-25	1233	9999-12-31	2013-05-08	13166
34/7-13	970.000000	1.160000	4.000000	7.200000	WATER BASED	1988-02-25	1233	9999-12-31	2013-05-08	13167
34/7-13	973.000000	1.120000	21.000000	13.900000	WATER BASED	1988-03-02	1233	9999-12-31	2013-05-08	13168
34/7-13	973.000000	1.140000	4.000000	6.800000	WATER BASED	1988-02-24	1233	9999-12-31	2013-05-08	13169
34/7-13	1348.000000	1.130000	20.000000	9.600000	WATER BASED	1988-03-02	1233	9999-12-31	2013-05-08	13170
34/7-13	1479.000000	1.250000	23.000000	10.100000	WATER BASED	1988-03-02	1233	9999-12-31	2013-05-08	13171
34/7-13	1681.000000	1.450000	26.000000	11.500000	WATER BASED	1988-03-03	1233	9999-12-31	2013-05-08	13172
34/7-13	1875.000000	1.500000	33.000000	13.500000	WATER BASED	1988-03-03	1233	9999-12-31	2013-05-08	13173
34/7-13	1875.000000	1.500000	33.000000	13.500000	WATER BASED	1988-03-04	1233	9999-12-31	2013-05-08	13174
34/7-13	1875.000000	1.500000	32.000000	11.500000	WATER BASED	1988-03-07	1233	9999-12-31	2013-05-08	13175
34/7-13	1875.000000	1.500000	32.000000	12.500000	WATER BASED	1988-03-07	1233	9999-12-31	2013-05-08	13176
34/7-13	1875.000000	1.500000	33.000000	13.500000	WATER BASED	1988-03-07	1233	9999-12-31	2013-05-08	13177
34/7-13	1875.000000	1.500000	31.000000	12.000000	WATER BASED	1988-03-08	1233	9999-12-31	2013-05-08	13178
34/7-13	1992.000000	1.550000	30.000000	10.600000	WATER BASED	1988-03-14	1233	9999-12-31	2013-05-08	13179
34/7-13	2100.000000	1.610000	27.000000	6.300000	WATER BASED	1988-03-25	1233	9999-12-31	2013-05-08	13180
34/7-13	2100.000000	1.610000	27.000000	6.300000	WATER BASED	1988-03-28	1233	9999-12-31	2013-05-08	13181
34/7-13	2100.000000	1.610000	25.000000	6.300000	WATER BASED	1988-03-22	1233	9999-12-31	2013-05-08	13182
34/7-13	2100.000000	1.610000	20.000000	4.800000	WATER BASED	1988-03-18	1233	9999-12-31	2013-05-08	13183
34/7-13	2100.000000	1.610000	27.000000	6.300000	WATER BASED	1988-03-24	1233	9999-12-31	2013-05-08	13184
34/7-13	2100.000000	1.640000	26.000000	7.700000	WATER BASED	1988-03-16	1233	9999-12-31	2013-05-08	13185
34/7-13	2100.000000	1.610000	24.000000	5.800000	WATER BASED	1988-03-18	1233	9999-12-31	2013-05-08	13186
34/7-13	2100.000000	1.610000	27.000000	5.800000	WATER BASED	1988-03-25	1233	9999-12-31	2013-05-08	13187
34/7-13	2100.000000	1.610000	20.000000	6.300000	WATER BASED	1988-03-21	1233	9999-12-31	2013-05-08	13188
34/7-13	2106.000000	1.600000	35.000000	9.100000	WATER BASED	1988-03-14	1233	9999-12-31	2013-05-08	13189
34/7-13	2232.000000	1.600000	33.000000	8.200000	WATER BASED	1988-03-14	1233	9999-12-31	2013-05-08	13190
34/7-13	2404.000000	1.650000	28.000000	7.700000	WATER BASED	1988-03-15	1233	9999-12-31	2013-05-08	13191
34/7-13	2470.000000	1.500000	15.000000	3.900000	WATER BASED	1988-04-11	1233	9999-12-31	2013-05-08	13192
34/7-13	2492.000000	1.500000	16.000000	4.400000	WATER BASED	1988-04-11	1233	9999-12-31	2013-05-08	13193
34/7-13	2492.000000	1.500000	18.000000	6.800000	WATER BASED	1988-04-11	1233	9999-12-31	2013-05-08	13194
34/7-13	2492.000000	1.500000	16.000000	4.400000	WATER BASED	1988-04-08	1233	9999-12-31	2013-05-08	13195
34/7-13	2492.000000	1.500000	16.000000	4.400000	WATER BASED	1988-04-06	1233	9999-12-31	2013-05-08	13196
34/7-13	2492.000000	1.500000	16.000000	4.400000	WATER BASED	1988-04-05	1233	9999-12-31	2013-05-08	13197
34/7-13	2492.000000	1.500000	16.000000	4.400000	WATER BASED	1988-04-07	1233	9999-12-31	2013-05-08	13198
34/7-13	2495.000000	1.650000	25.000000	6.800000	WATER BASED	1988-03-15	1233	9999-12-31	2013-05-08	13199
34/7-13	2495.000000	1.650000	27.000000	7.700000	WATER BASED	1988-03-15	1233	9999-12-31	2013-05-08	13200
34/7-13	2532.000000	1.650000	26.000000	7.700000	WATER BASED	1988-03-16	1233	9999-12-31	2013-05-08	13201
34/7-13	2589.000000	1.610000	19.000000	6.300000	WATER BASED	1988-03-21	1233	9999-12-31	2013-05-08	13202
34/7-13	2690.000000	1.610000	26.000000	6.300000	WATER BASED	1988-03-28	1233	9999-12-31	2013-05-08	13203
34/7-13	2777.000000	1.610000	29.000000	7.700000	WATER BASED	1988-03-28	1233	9999-12-31	2013-05-08	13204
34/7-13	2777.000000	1.610000	29.000000	7.700000	WATER BASED	1988-03-29	1233	9999-12-31	2013-05-08	13205
34/7-13	2777.000000	1.610000	26.000000	7.200000	WATER BASED	1988-03-30	1233	9999-12-31	2013-05-08	13206
34/7-13	2777.000000	1.610000	26.000000	7.200000	WATER BASED	1988-04-05	1233	9999-12-31	2013-05-08	13207
34/7-13	2876.000000	1.610000	26.000000	7.200000	WATER BASED	1988-04-05	1233	9999-12-31	2013-05-08	13208
34/7-14	306.000000	1.200000	0.000000	0.000000	WATER BASED	1989-09-29	1278	9999-12-31	2013-05-08	13209
34/7-14	355.000000	1.200000	0.000000	0.000000	WATER BASED	1989-10-03	1278	9999-12-31	2013-05-08	13210
34/7-14	355.000000	1.200000	0.000000	0.000000	WATER BASED	1989-10-03	1278	9999-12-31	2013-05-08	13211
34/7-14	355.000000	1.200000	0.000000	0.000000	WATER BASED	1989-10-03	1278	9999-12-31	2013-05-08	13212
34/7-14	491.000000	1.200000	13.000000	4.000000	WATER BASED	1989-12-04	1278	9999-12-31	2013-05-08	13213
34/7-14	491.000000	1.200000	13.000000	15.000000	WATER BASED	1989-11-30	1278	9999-12-31	2013-05-08	13214
34/7-14	523.000000	1.100000	14.000000	12.000000	WATER BASED	1989-10-10	1278	9999-12-31	2013-05-08	13215
34/7-14	530.000000	1.200000	0.000000	0.000000	WATER BASED	1989-10-05	1278	9999-12-31	2013-05-08	13216
34/7-14	530.000000	1.050000	0.000000	0.000000	WATER BASED	1989-10-09	1278	9999-12-31	2013-05-08	13217
34/7-14	530.000000	1.050000	0.000000	0.000000	WATER BASED	1989-10-06	1278	9999-12-31	2013-05-08	13218
34/7-14	1201.000000	1.180000	20.000000	11.000000	WATER BASED	1989-10-10	1278	9999-12-31	2013-05-08	13219
34/7-14	1575.000000	1.300000	16.000000	12.000000	WATER BASED	1989-10-11	1278	9999-12-31	2013-05-08	13220
34/7-14	1575.000000	1.300000	18.000000	9.000000	WATER BASED	1989-10-16	1278	9999-12-31	2013-05-08	13221
34/7-14	1610.000000	1.400000	18.000000	12.000000	WATER BASED	1989-10-16	1278	9999-12-31	2013-05-08	13222
34/7-14	1751.000000	1.400000	17.000000	12.000000	WATER BASED	1989-10-16	1278	9999-12-31	2013-05-08	13223
34/7-14	1950.000000	1.630000	27.000000	10.000000	WATER BASED	1989-10-16	1278	9999-12-31	2013-05-08	13224
34/7-14	1959.000000	1.630000	26.000000	11.000000	WATER BASED	1989-10-18	1278	9999-12-31	2013-05-08	13225
34/7-14	2010.000000	1.680000	31.000000	10.000000	WATER BASED	1989-10-31	1278	9999-12-31	2013-05-08	13226
34/7-14	2010.000000	1.600000	26.000000	14.000000	WATER BASED	1989-10-27	1278	9999-12-31	2013-05-08	13227
34/7-14	2032.000000	1.680000	30.000000	13.000000	WATER BASED	1989-10-31	1278	9999-12-31	2013-05-08	13228
34/7-14	2065.000000	1.620000	26.000000	12.000000	WATER BASED	1989-10-19	1278	9999-12-31	2013-05-08	13229
34/7-14	2125.000000	1.680000	32.000000	15.000000	WATER BASED	1989-10-31	1278	9999-12-31	2013-05-08	13230
34/7-14	2189.000000	1.680000	29.000000	10.000000	WATER BASED	1989-11-02	1278	9999-12-31	2013-05-08	13231
34/7-14	2189.000000	1.680000	30.000000	15.000000	WATER BASED	1989-11-02	1278	9999-12-31	2013-05-08	13232
34/7-14	2191.000000	1.650000	26.000000	13.000000	WATER BASED	1989-11-15	1278	9999-12-31	2013-05-08	13233
34/7-14	2191.000000	1.650000	27.000000	14.000000	WATER BASED	1989-11-14	1278	9999-12-31	2013-05-08	13234
34/7-14	2191.000000	1.650000	20.000000	12.000000	WATER BASED	1989-11-28	1278	9999-12-31	2013-05-08	13235
34/7-14	2191.000000	1.650000	22.000000	11.000000	WATER BASED	1989-11-29	1278	9999-12-31	2013-05-08	13236
34/7-14	2191.000000	1.650000	23.000000	14.000000	WATER BASED	1989-11-27	1278	9999-12-31	2013-05-08	13237
34/7-14	2191.000000	1.650000	24.000000	13.000000	WATER BASED	1989-11-27	1278	9999-12-31	2013-05-08	13238
34/7-14	2191.000000	1.650000	25.000000	14.000000	WATER BASED	1989-11-23	1278	9999-12-31	2013-05-08	13239
34/7-14	2191.000000	1.650000	23.000000	14.000000	WATER BASED	1989-11-24	1278	9999-12-31	2013-05-08	13240
34/7-14	2191.000000	1.650000	23.000000	13.000000	WATER BASED	1989-11-20	1278	9999-12-31	2013-05-08	13241
34/7-14	2191.000000	1.650000	24.000000	13.000000	WATER BASED	1989-11-20	1278	9999-12-31	2013-05-08	13242
34/7-14	2191.000000	1.650000	24.000000	13.000000	WATER BASED	1989-11-20	1278	9999-12-31	2013-05-08	13243
34/7-14	2191.000000	1.650000	28.000000	24.000000	WATER BASED	1989-11-21	1278	9999-12-31	2013-05-08	13244
34/7-14	2191.000000	1.650000	27.000000	10.000000	WATER BASED	1989-11-16	1278	9999-12-31	2013-05-08	13245
34/7-14	2191.000000	1.650000	26.000000	11.000000	WATER BASED	1989-11-17	1278	9999-12-31	2013-05-08	13246
34/7-14	2191.000000	1.650000	23.000000	14.000000	WATER BASED	1989-11-27	1278	9999-12-31	2013-05-08	13247
34/7-14	2191.000000	1.650000	22.000000	14.000000	WATER BASED	1989-11-27	1278	9999-12-31	2013-05-08	13248
34/7-14	2380.000000	1.680000	33.000000	12.000000	WATER BASED	1989-11-08	1278	9999-12-31	2013-05-08	13249
34/7-14	2380.000000	1.680000	33.000000	10.000000	WATER BASED	1989-11-08	1278	9999-12-31	2013-05-08	13250
34/7-14	2381.000000	1.680000	36.000000	18.000000	WATER BASED	1989-11-08	1278	9999-12-31	2013-05-08	13251
34/7-14	2408.000000	1.680000	27.000000	11.000000	WATER BASED	1989-11-08	1278	9999-12-31	2013-05-08	13252
34/7-14	2490.000000	1.650000	28.000000	15.000000	WATER BASED	1989-11-08	1278	9999-12-31	2013-05-08	13253
34/7-14	2620.000000	1.650000	27.000000	16.000000	WATER BASED	1989-11-09	1278	9999-12-31	2013-05-08	13254
34/7-14	2653.000000	1.680000	32.000000	12.000000	WATER BASED	1989-11-10	1278	9999-12-31	2013-05-08	13255
34/7-14	2653.000000	1.650000	25.000000	12.000000	WATER BASED	1989-11-13	1278	9999-12-31	2013-05-08	13256
34/7-14	2653.000000	1.650000	27.000000	10.000000	WATER BASED	1989-11-13	1278	9999-12-31	2013-05-08	13257
34/7-14	2653.000000	1.650000	24.000000	12.000000	WATER BASED	1989-11-13	1278	9999-12-31	2013-05-08	13258
34/7-15 S	358.000000	1.050000	0.000000	0.000000	WATER BASED	1990-06-06	1544	9999-12-31	2013-05-08	13259
34/7-15 S	432.000000	1.050000	0.000000	0.000000	WATER BASED	1990-06-06	1544	9999-12-31	2013-05-08	13260
34/7-15 S	433.000000	1.050000	0.000000	0.000000	WATER BASED	1990-06-06	1544	9999-12-31	2013-05-08	13261
34/7-15 S	433.000000	1.050000	0.000000	0.000000	WATER BASED	1990-06-06	1544	9999-12-31	2013-05-08	13262
34/7-15 S	433.000000	1.050000	0.000000	0.000000	WATER BASED	1990-06-06	1544	9999-12-31	2013-05-08	13263
34/7-15 S	687.000000	1.120000	12.000000	36.000000	WATER BASED	1990-06-06	1544	9999-12-31	2013-05-08	13264
34/7-15 S	970.000000	1.150000	6.000000	28.000000	WATER BASED	1990-06-06	1544	9999-12-31	2013-05-08	13265
34/7-15 S	970.000000	1.180000	8.000000	34.000000	WATER BASED	1990-06-06	1544	9999-12-31	2013-05-08	13266
34/7-15 S	970.000000	1.180000	8.000000	34.000000	WATER BASED	1990-06-06	1544	9999-12-31	2013-05-08	13267
34/7-15 S	970.000000	1.100000	0.000000	0.000000	WATER BASED	1990-06-06	1544	9999-12-31	2013-05-08	13268
34/7-15 S	970.000000	0.000000	0.000000	0.000000	WATER BASED	1990-06-06	1544	9999-12-31	2013-05-08	13269
34/7-15 S	1038.000000	1.120000	26.000000	12.000000	WATER BASED	1990-06-11	1544	9999-12-31	2013-05-08	13270
34/7-15 S	1381.000000	1.200000	29.000000	9.000000	WATER BASED	1990-06-11	1544	9999-12-31	2013-05-08	13271
34/7-15 S	1709.000000	1.200000	32.000000	11.000000	WATER BASED	1990-06-11	1544	9999-12-31	2013-05-08	13272
34/7-15 S	1999.000000	1.270000	28.000000	9.000000	WATER BASED	1990-06-11	1544	9999-12-31	2013-05-08	13273
34/7-15 S	2120.000000	1.300000	36.000000	10.000000	WATER BASED	1990-06-11	1544	9999-12-31	2013-05-08	13274
34/7-15 S	2230.000000	1.380000	37.000000	14.000000	WATER BASED	1990-06-18	1544	9999-12-31	2013-05-08	13275
34/7-15 S	2350.000000	1.420000	38.000000	14.000000	WATER BASED	1990-06-18	1544	9999-12-31	2013-05-08	13276
34/7-15 S	2420.000000	1.420000	30.000000	12.000000	WATER BASED	1990-06-18	1544	9999-12-31	2013-05-08	13277
34/7-15 S	2555.000000	1.450000	46.000000	13.000000	WATER BASED	1990-06-18	1544	9999-12-31	2013-05-08	13278
34/7-15 S	2839.000000	1.450000	28.000000	15.000000	WATER BASED	1990-06-28	1544	9999-12-31	2013-05-08	13279
34/7-15 S	2839.000000	1.450000	28.000000	15.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13280
34/7-15 S	2900.000000	1.450000	27.000000	13.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13281
34/7-15 S	2900.000000	1.450000	27.000000	13.000000	WATER BASED	1990-06-28	1544	9999-12-31	2013-05-08	13282
34/7-15 S	2956.000000	1.450000	34.000000	31.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13283
34/7-15 S	2956.000000	1.450000	34.000000	31.000000	WATER BASED	1990-06-28	1544	9999-12-31	2013-05-08	13284
34/7-15 S	2990.000000	1.450000	37.000000	35.000000	WATER BASED	1990-06-28	1544	9999-12-31	2013-05-08	13285
34/7-15 S	2990.000000	1.450000	37.000000	35.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13286
34/7-15 S	3057.000000	1.450000	34.000000	36.000000	WATER BASED	1990-06-28	1544	9999-12-31	2013-05-08	13287
34/7-15 S	3057.000000	1.450000	34.000000	36.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13288
34/7-15 S	3153.000000	1.450000	33.000000	32.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13289
34/7-15 S	3153.000000	1.450000	33.000000	32.000000	WATER BASED	1990-06-28	1544	9999-12-31	2013-05-08	13290
34/7-15 S	3236.000000	1.450000	33.000000	31.000000	WATER BASED	1990-06-28	1544	9999-12-31	2013-05-08	13291
34/7-15 S	3236.000000	1.450000	33.000000	31.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13292
34/7-15 S	3351.000000	1.480000	31.000000	36.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13293
34/7-15 S	3376.000000	1.480000	31.000000	36.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13294
34/7-15 S	3404.000000	1.480000	34.000000	37.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13295
34/7-15 S	3520.000000	1.500000	34.000000	38.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13296
34/7-15 S	3581.000000	1.520000	34.000000	34.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13297
34/7-15 S	3599.000000	1.580000	34.000000	34.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13298
34/7-15 S	3639.000000	1.520000	33.000000	31.000000	WATER BASED	1990-07-04	1544	9999-12-31	2013-05-08	13299
34/7-15 S	3639.000000	1.520000	35.000000	36.000000	WATER BASED	1990-07-09	1544	9999-12-31	2013-05-08	13300
34/7-15 S	3639.000000	1.520000	35.000000	39.000000	WATER BASED	1990-07-05	1544	9999-12-31	2013-05-08	13301
34/7-15 S	3678.000000	1.540000	37.000000	36.000000	WATER BASED	1990-07-10	1544	9999-12-31	2013-05-08	13302
34/7-15 S	3701.000000	1.580000	35.000000	31.000000	WATER BASED	1990-07-12	1544	9999-12-31	2013-05-08	13303
34/7-15 S	3701.000000	1.580000	33.000000	30.000000	WATER BASED	1990-07-12	1544	9999-12-31	2013-05-08	13304
34/7-15 S	3729.000000	1.540000	39.000000	37.000000	WATER BASED	1990-07-10	1544	9999-12-31	2013-05-08	13305
34/7-15 S	3729.000000	1.540000	36.000000	35.000000	WATER BASED	1990-07-10	1544	9999-12-31	2013-05-08	13306
34/7-15 S	3734.000000	1.580000	33.000000	31.000000	WATER BASED	1990-07-13	1544	9999-12-31	2013-05-08	13307
34/7-15 S	3747.000000	1.580000	31.000000	25.000000	WATER BASED	1990-07-16	1544	9999-12-31	2013-05-08	13308
34/7-15 S	3768.000000	1.580000	33.000000	29.000000	WATER BASED	1990-07-16	1544	9999-12-31	2013-05-08	13309
34/7-15 S	3782.000000	1.580000	35.000000	30.000000	WATER BASED	1990-07-16	1544	9999-12-31	2013-05-08	13310
34/7-15 S	3782.000000	1.580000	36.000000	32.000000	WATER BASED	1990-07-19	1544	9999-12-31	2013-05-08	13311
34/7-15 S	3782.000000	1.580000	36.000000	32.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13312
34/7-15 S	3936.000000	1.580000	34.000000	17.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13313
34/7-15 S	3936.000000	1.580000	30.000000	22.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13314
34/7-15 S	3936.000000	1.580000	31.000000	22.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13315
34/7-15 S	3936.000000	1.580000	36.000000	33.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13316
34/7-15 S	3936.000000	1.580000	36.000000	34.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13317
34/7-15 S	3936.000000	1.580000	34.000000	17.000000	WATER BASED	1990-07-31	1544	9999-12-31	2013-05-08	13318
34/7-15 S	3936.000000	1.580000	27.000000	20.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13319
34/7-15 S	3982.000000	1.580000	29.000000	27.000000	WATER BASED	1990-07-31	1544	9999-12-31	2013-05-08	13320
34/7-15 S	3982.000000	1.580000	29.000000	27.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13321
34/7-15 S	4029.000000	1.580000	32.000000	28.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13322
34/7-15 S	4059.000000	1.580000	30.000000	25.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13323
34/7-15 S	4092.000000	1.580000	23.000000	18.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13324
34/7-15 S	4166.000000	1.640000	23.000000	17.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13325
34/7-15 S	4243.000000	1.640000	23.000000	20.000000	WATER BASED	1990-08-01	1544	9999-12-31	2013-05-08	13326
34/7-15 S	4265.000000	1.700000	28.000000	11.000000	WATER BASED	1990-08-21	1544	9999-12-31	2013-05-08	13327
34/7-15 S	4265.000000	1.700000	28.000000	11.000000	WATER BASED	1990-08-21	1544	9999-12-31	2013-05-08	13328
34/7-15 S	4265.000000	1.700000	26.000000	9.000000	WATER BASED	1990-08-17	1544	9999-12-31	2013-05-08	13329
34/7-15 S	4265.000000	1.700000	24.000000	10.000000	WATER BASED	1990-08-20	1544	9999-12-31	2013-05-08	13330
34/7-15 S	4293.000000	1.680000	24.000000	18.000000	WATER BASED	1990-08-03	1544	9999-12-31	2013-05-08	13331
34/7-15 S	4326.000000	1.700000	23.000000	15.000000	WATER BASED	1990-08-03	1544	9999-12-31	2013-05-08	13332
34/7-15 S	4379.000000	1.700000	21.000000	16.000000	WATER BASED	1990-08-03	1544	9999-12-31	2013-05-08	13333
34/7-15 S	4439.000000	1.700000	28.000000	11.000000	WATER BASED	1990-08-21	1544	9999-12-31	2013-05-08	13334
34/7-15 S	4439.000000	1.700000	29.000000	10.000000	WATER BASED	1990-08-22	1544	9999-12-31	2013-05-08	13335
34/7-15 S	4439.000000	1.700000	29.000000	15.000000	WATER BASED	1990-08-22	1544	9999-12-31	2013-05-08	13336
34/7-15 S	4447.000000	1.700000	27.000000	13.000000	WATER BASED	1990-08-15	1544	9999-12-31	2013-05-08	13337
34/7-15 S	4447.000000	1.700000	28.000000	13.000000	WATER BASED	1990-08-14	1544	9999-12-31	2013-05-08	13338
34/7-15 S	4447.000000	1.700000	28.000000	14.000000	WATER BASED	1990-08-14	1544	9999-12-31	2013-05-08	13339
34/7-15 S	4447.000000	1.720000	21.000000	12.000000	WATER BASED	1990-08-13	1544	9999-12-31	2013-05-08	13340
34/7-15 S	4447.000000	1.700000	27.000000	13.000000	WATER BASED	1990-08-14	1544	9999-12-31	2013-05-08	13341
34/7-15 S	4490.000000	1.500000	23.000000	10.000000	WATER BASED	1990-08-23	1544	9999-12-31	2013-05-08	13342
34/7-15 S	4536.000000	1.500000	20.000000	10.000000	WATER BASED	1990-08-28	1544	9999-12-31	2013-05-08	13343
34/7-15 S	4581.000000	1.500000	19.000000	8.000000	WATER BASED	1990-08-28	1544	9999-12-31	2013-05-08	13344
34/7-15 S	4615.000000	1.500000	20.000000	8.000000	WATER BASED	1990-08-28	1544	9999-12-31	2013-05-08	13345
34/7-15 S	4644.000000	1.500000	19.000000	9.000000	WATER BASED	1990-08-30	1544	9999-12-31	2013-05-08	13346
34/7-15 S	4646.000000	1.500000	19.000000	9.000000	WATER BASED	1990-08-30	1544	9999-12-31	2013-05-08	13347
34/7-15 S	4646.000000	1.500000	19.000000	9.000000	WATER BASED	1990-08-30	1544	9999-12-31	2013-05-08	13348
34/7-15 S	4646.000000	1.500000	19.000000	11.000000	WATER BASED	1990-08-31	1544	9999-12-31	2013-05-08	13349
34/7-15 S	4646.000000	1.500000	21.000000	8.000000	WATER BASED	1990-09-04	1544	9999-12-31	2013-05-08	13350
34/7-15 S	4646.000000	1.500000	21.000000	8.000000	WATER BASED	1990-09-04	1544	9999-12-31	2013-05-08	13351
34/7-15 S	4646.000000	1.500000	20.000000	11.000000	WATER BASED	1990-09-04	1544	9999-12-31	2013-05-08	13352
34/7-16	380.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-04	1550	9999-12-31	2013-05-08	13353
34/7-16	778.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-04	1550	9999-12-31	2013-05-08	13354
34/7-16	915.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-04	1550	9999-12-31	2013-05-08	13355
34/7-16	915.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-04	1550	9999-12-31	2013-05-08	13356
34/7-16	915.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-04	1550	9999-12-31	2013-05-08	13357
34/7-16	915.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-05	1550	9999-12-31	2013-05-08	13358
34/7-16	922.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-09	1550	9999-12-31	2013-05-08	13359
34/7-16	922.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-10	1550	9999-12-31	2013-05-08	13360
34/7-16	922.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-10	1550	9999-12-31	2013-05-08	13361
34/7-16	922.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-10	1550	9999-12-31	2013-05-08	13362
34/7-16	1056.000000	1.090000	13.000000	5.000000	WATER BASED	1990-07-12	1550	9999-12-31	2013-05-08	13363
34/7-16	1464.000000	1.120000	16.000000	9.000000	WATER BASED	1990-07-12	1550	9999-12-31	2013-05-08	13364
34/7-16	1649.000000	1.300000	21.000000	14.000000	WATER BASED	1990-07-13	1550	9999-12-31	2013-05-08	13365
34/7-16	1815.000000	1.480000	26.000000	14.000000	WATER BASED	1990-07-16	1550	9999-12-31	2013-05-08	13366
34/7-16	1928.000000	1.550000	27.000000	16.000000	WATER BASED	1990-07-16	1550	9999-12-31	2013-05-08	13367
34/7-16	1928.000000	1.530000	25.000000	13.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13368
34/7-16	1928.000000	1.530000	25.000000	14.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13369
34/7-16	1928.000000	1.530000	25.000000	15.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13370
34/7-16	1928.000000	1.530000	25.000000	15.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13371
34/7-16	1928.000000	1.530000	24.000000	14.000000	WATER BASED	1990-07-16	1550	9999-12-31	2013-05-08	13372
34/7-16	1928.000000	1.530000	25.000000	15.000000	WATER BASED	1990-07-19	1550	9999-12-31	2013-05-08	13373
34/7-16	1935.000000	1.530000	23.000000	14.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13374
34/7-16	1951.000000	1.530000	23.000000	15.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13375
34/7-16	2030.000000	1.550000	24.000000	10.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13376
34/7-16	2199.000000	1.620000	25.000000	12.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13377
34/7-16	2199.000000	1.620000	25.000000	12.000000	WATER BASED	1990-07-31	1550	9999-12-31	2013-05-08	13378
34/7-16	2351.000000	1.700000	31.000000	17.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13379
34/7-16	2351.000000	1.700000	31.000000	17.000000	WATER BASED	1990-07-31	1550	9999-12-31	2013-05-08	13380
34/7-16	2389.000000	1.710000	33.000000	16.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13381
34/7-16	2389.000000	1.710000	31.000000	14.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13382
34/7-16	2389.000000	1.710000	32.000000	16.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13383
34/7-16	2389.000000	1.710000	31.000000	17.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13384
34/7-16	2389.000000	1.710000	36.000000	17.000000	WATER BASED	1990-08-01	1550	9999-12-31	2013-05-08	13385
34/7-16	2389.000000	1.710000	25.000000	11.000000	WATER BASED	1990-08-13	1550	9999-12-31	2013-05-08	13386
34/7-16	2389.000000	1.710000	34.000000	18.000000	WATER BASED	1990-08-03	1550	9999-12-31	2013-05-08	13387
34/7-16	2389.000000	1.710000	34.000000	15.000000	WATER BASED	1990-08-03	1550	9999-12-31	2013-05-08	13388
34/7-16	2389.000000	1.710000	36.000000	15.000000	WATER BASED	1990-08-03	1550	9999-12-31	2013-05-08	13389
34/7-16	2389.000000	1.710000	0.000000	0.000000	WATER BASED	1990-08-14	1550	9999-12-31	2013-05-08	13390
34/7-16	2389.000000	1.710000	25.000000	14.000000	WATER BASED	1990-08-14	1550	9999-12-31	2013-05-08	13391
34/7-16 R	362.000000	1.550000	21.000000	9.000000	WATER BASED	1990-09-07	1677	9999-12-31	2013-05-08	13392
34/7-16 R	2400.000000	1.530000	17.000000	17.000000	DUMMY	1994-07-04	1677	9999-12-31	2013-05-08	13393
34/7-16 R	2400.000000	1.450000	20.000000	13.000000	DUMMY	1994-07-04	1677	9999-12-31	2013-05-08	13394
34/7-16 R	2400.000000	1.680000	27.000000	23.000000	DUMMY	1994-07-04	1677	9999-12-31	2013-05-08	13395
34/7-16 R	2400.000000	1.680000	17.000000	22.000000	DUMMY	1994-07-01	1677	9999-12-31	2013-05-08	13396
34/7-16 R	2400.000000	1.680000	16.000000	22.000000	DUMMY	1994-06-30	1677	9999-12-31	2013-05-08	13397
34/7-16 R	2686.000000	1.650000	36.000000	19.000000	WATER BASED	1990-10-02	1677	9999-12-31	2013-05-08	13398
34/7-16 R	2686.000000	1.650000	36.000000	21.000000	WATER BASED	1990-10-02	1677	9999-12-31	2013-05-08	13399
34/7-16 R	2686.000000	1.650000	36.000000	21.000000	WATER BASED	1990-10-02	1677	9999-12-31	2013-05-08	13400
34/7-16 R	2686.000000	1.650000	33.000000	18.000000	WATER BASED	1990-09-26	1677	9999-12-31	2013-05-08	13401
34/7-16 R	2686.000000	1.650000	36.000000	21.000000	WATER BASED	1990-09-28	1677	9999-12-31	2013-05-08	13402
34/7-16 R	2686.000000	1.650000	34.000000	12.000000	WATER BASED	1990-09-25	1677	9999-12-31	2013-05-08	13403
34/7-16 R	2686.000000	1.650000	33.000000	13.000000	WATER BASED	1990-09-25	1677	9999-12-31	2013-05-08	13404
34/7-16 R	2686.000000	1.650000	42.000000	22.000000	WATER BASED	1990-09-25	1677	9999-12-31	2013-05-08	13405
34/7-16 R	2686.000000	1.650000	33.000000	18.000000	WATER BASED	1990-09-25	1677	9999-12-31	2013-05-08	13406
34/7-16 R	2686.000000	1.650000	36.000000	17.000000	WATER BASED	1990-09-21	1677	9999-12-31	2013-05-08	13407
34/7-16 R	2686.000000	1.650000	39.000000	18.000000	WATER BASED	1990-09-21	1677	9999-12-31	2013-05-08	13408
34/7-16 R	2686.000000	1.650000	39.000000	20.000000	WATER BASED	1990-09-21	1677	9999-12-31	2013-05-08	13409
34/7-16 R	2686.000000	1.650000	39.000000	18.000000	WATER BASED	1990-09-18	1677	9999-12-31	2013-05-08	13410
34/7-16 R	2686.000000	1.650000	39.000000	20.000000	WATER BASED	1990-09-18	1677	9999-12-31	2013-05-08	13411
34/7-16 R	2686.000000	1.650000	37.000000	14.000000	WATER BASED	1990-09-14	1677	9999-12-31	2013-05-08	13412
34/7-16 R	2686.000000	1.650000	29.000000	14.000000	WATER BASED	1990-10-08	1677	9999-12-31	2013-05-08	13413
34/7-16 R	2686.000000	1.650000	28.000000	15.000000	WATER BASED	1990-10-08	1677	9999-12-31	2013-05-08	13414
34/7-16 R	2686.000000	1.650000	28.000000	14.000000	WATER BASED	1990-10-10	1677	9999-12-31	2013-05-08	13415
34/7-16 R	2686.000000	1.650000	28.000000	14.000000	WATER BASED	1990-10-11	1677	9999-12-31	2013-05-08	13416
34/7-16 R	2686.000000	1.650000	28.000000	14.000000	WATER BASED	1990-10-11	1677	9999-12-31	2013-05-08	13417
34/7-16 R	2686.000000	1.650000	29.000000	14.000000	WATER BASED	1990-10-05	1677	9999-12-31	2013-05-08	13418
34/7-16 R	2686.000000	1.650000	28.000000	16.000000	WATER BASED	1990-10-05	1677	9999-12-31	2013-05-08	13419
34/7-16 R	2686.000000	1.650000	36.000000	17.000000	WATER BASED	1990-10-03	1677	9999-12-31	2013-05-08	13420
34/7-16 R	2686.000000	1.670000	0.000000	0.000000	WATER BASED	1990-10-16	1677	9999-12-31	2013-05-08	13421
34/7-16 R	2686.000000	1.670000	0.000000	0.000000	WATER BASED	1990-10-16	1677	9999-12-31	2013-05-08	13422
34/7-16 R	2686.000000	1.650000	26.000000	20.000000	WATER BASED	1990-10-16	1677	9999-12-31	2013-05-08	13423
34/7-16 R	2686.000000	1.650000	34.000000	13.000000	WATER BASED	1990-09-18	1677	9999-12-31	2013-05-08	13424
34/7-16 R	2686.000000	1.670000	29.000000	15.000000	WATER BASED	1990-10-15	1677	9999-12-31	2013-05-08	13425
34/7-16 R	2686.000000	1.650000	28.000000	15.000000	WATER BASED	1990-10-08	1677	9999-12-31	2013-05-08	13426
34/7-16 R	2885.000000	1.650000	54.000000	14.000000	WATER BASED	1990-09-14	1677	9999-12-31	2013-05-08	13427
34/7-16 R	2885.000000	1.650000	54.000000	14.000000	WATER BASED	1990-09-13	1677	9999-12-31	2013-05-08	13428
34/7-17	390.000000	1.200000	0.000000	0.000000	WATER BASED	1991-03-04	1713	9999-12-31	2013-05-08	13429
34/7-17	390.000000	1.200000	0.000000	0.000000	WATER BASED	1991-03-01	1713	9999-12-31	2013-05-08	13430
34/7-17	390.000000	1.040000	0.000000	0.000000	WATER BASED	1991-03-05	1713	9999-12-31	2013-05-08	13431
34/7-17	390.000000	1.200000	0.000000	0.000000	WATER BASED	1991-02-27	1713	9999-12-31	2013-05-08	13432
34/7-17	815.000000	1.040000	0.000000	0.000000	WATER BASED	1991-03-05	1713	9999-12-31	2013-05-08	13433
34/7-17	897.000000	1.040000	0.000000	0.000000	WATER BASED	1991-03-05	1713	9999-12-31	2013-05-08	13434
34/7-17	897.000000	1.040000	0.000000	0.000000	WATER BASED	1991-03-05	1713	9999-12-31	2013-05-08	13435
34/7-17	897.000000	1.040000	0.000000	0.000000	WATER BASED	1991-03-07	1713	9999-12-31	2013-05-08	13436
34/7-17	897.000000	1.300000	20.000000	16.000000	WATER BASED	1991-03-11	1713	9999-12-31	2013-05-08	13437
34/7-17	1268.000000	1.300000	25.000000	23.000000	WATER BASED	1991-03-12	1713	9999-12-31	2013-05-08	13438
34/7-17	1509.000000	1.400000	31.000000	25.000000	WATER BASED	1991-03-12	1713	9999-12-31	2013-05-08	13439
34/7-17	1807.000000	1.490000	36.000000	24.000000	WATER BASED	1991-03-12	1713	9999-12-31	2013-05-08	13440
34/7-17	1879.000000	1.490000	33.000000	15.000000	WATER BASED	1991-03-19	1713	9999-12-31	2013-05-08	13441
34/7-17	1879.000000	1.490000	32.000000	16.000000	WATER BASED	1991-03-19	1713	9999-12-31	2013-05-08	13442
34/7-17	1879.000000	1.490000	33.000000	18.000000	WATER BASED	1991-03-14	1713	9999-12-31	2013-05-08	13443
34/7-17	1969.000000	1.490000	32.000000	17.000000	WATER BASED	1991-03-13	1713	9999-12-31	2013-05-08	13444
34/7-17	1969.000000	1.490000	34.000000	18.000000	WATER BASED	1991-03-13	1713	9999-12-31	2013-05-08	13445
34/7-17	1974.000000	1.490000	27.000000	16.000000	WATER BASED	1991-03-19	1713	9999-12-31	2013-05-08	13446
34/7-17	2036.000000	1.510000	31.000000	14.000000	WATER BASED	1991-03-19	1713	9999-12-31	2013-05-08	13447
34/7-17	2272.000000	1.600000	34.000000	15.000000	WATER BASED	1991-03-20	1713	9999-12-31	2013-05-08	13448
34/7-17	2460.000000	1.650000	40.000000	15.000000	WATER BASED	1991-03-22	1713	9999-12-31	2013-05-08	13449
34/7-17	2460.000000	1.650000	27.000000	15.000000	WATER BASED	1991-04-09	1713	9999-12-31	2013-05-08	13450
34/7-17	2460.000000	1.650000	25.000000	18.000000	WATER BASED	1991-04-09	1713	9999-12-31	2013-05-08	13451
34/7-17	2460.000000	1.650000	25.000000	13.000000	WATER BASED	1991-04-05	1713	9999-12-31	2013-05-08	13452
34/7-17	2460.000000	1.650000	40.000000	15.000000	WATER BASED	1991-03-25	1713	9999-12-31	2013-05-08	13453
34/7-17	2460.000000	1.650000	37.000000	15.000000	WATER BASED	1991-03-25	1713	9999-12-31	2013-05-08	13454
34/7-17	2460.000000	1.650000	39.000000	16.000000	WATER BASED	1991-03-25	1713	9999-12-31	2013-05-08	13455
34/7-17	2460.000000	1.650000	42.000000	20.000000	WATER BASED	1991-03-25	1713	9999-12-31	2013-05-08	13456
34/7-17	2460.000000	1.650000	43.000000	22.000000	WATER BASED	1991-03-27	1713	9999-12-31	2013-05-08	13457
34/7-17	2460.000000	1.650000	36.000000	16.000000	WATER BASED	1991-03-21	1713	9999-12-31	2013-05-08	13458
34/7-17	2460.000000	1.650000	25.000000	14.000000	WATER BASED	1991-04-08	1713	9999-12-31	2013-05-08	13459
34/7-17	2460.000000	1.650000	26.000000	16.000000	WATER BASED	1991-04-09	1713	9999-12-31	2013-05-08	13460
34/7-17 A	2460.000000	1.650000	28.000000	19.000000	WATER BASED	1991-04-12	1536	9999-12-31	2013-05-08	13461
34/7-17 A	2460.000000	1.650000	27.000000	15.000000	WATER BASED	1991-04-10	1536	9999-12-31	2013-05-08	13462
34/7-17 A	2460.000000	1.650000	28.000000	19.000000	WATER BASED	1991-04-10	1536	9999-12-31	2013-05-08	13463
34/7-17 A	2460.000000	1.650000	28.000000	19.000000	WATER BASED	1991-04-11	1536	9999-12-31	2013-05-08	13464
34/7-17 A	2460.000000	1.650000	28.000000	19.000000	WATER BASED	1991-04-17	1536	9999-12-31	2013-05-08	13465
34/7-17 A	2460.000000	1.650000	28.000000	19.000000	WATER BASED	1991-04-15	1536	9999-12-31	2013-05-08	13466
34/7-17 A	2493.000000	1.700000	36.000000	18.000000	WATER BASED	1991-04-17	1536	9999-12-31	2013-05-08	13467
34/7-17 A	2493.000000	1.700000	32.000000	21.000000	WATER BASED	1991-04-17	1536	9999-12-31	2013-05-08	13468
34/7-17 A	2493.000000	1.700000	33.000000	21.000000	WATER BASED	1991-04-18	1536	9999-12-31	2013-05-08	13469
34/7-17 A	2493.000000	1.700000	32.000000	21.000000	WATER BASED	1991-04-23	1536	9999-12-31	2013-05-08	13470
34/7-17 A	2493.000000	1.700000	33.000000	21.000000	WATER BASED	1991-04-23	1536	9999-12-31	2013-05-08	13471
34/7-17 A	2493.000000	1.700000	35.000000	19.000000	WATER BASED	1991-04-25	1536	9999-12-31	2013-05-08	13472
34/7-17 A	2493.000000	1.700000	36.000000	19.000000	WATER BASED	1991-04-25	1536	9999-12-31	2013-05-08	13473
34/7-17 A	2493.000000	1.700000	36.000000	19.000000	WATER BASED	1991-04-26	1536	9999-12-31	2013-05-08	13474
34/7-17 A	2493.000000	1.700000	33.000000	19.000000	WATER BASED	1991-05-02	1536	9999-12-31	2013-05-08	13475
34/7-17 A	2493.000000	1.700000	0.000000	0.000000	WATER BASED	1991-05-03	1536	9999-12-31	2013-05-08	13476
34/7-17 A	2493.000000	1.700000	0.000000	0.000000	WATER BASED	1991-05-03	1536	9999-12-31	2013-05-08	13477
34/7-17 A	2493.000000	1.700000	36.000000	15.000000	WATER BASED	1991-05-03	1536	9999-12-31	2013-05-08	13478
34/7-17 A	2493.000000	1.700000	36.000000	15.000000	WATER BASED	1991-05-03	1536	9999-12-31	2013-05-08	13479
34/7-17 A	2493.000000	1.700000	34.000000	18.000000	WATER BASED	1991-05-03	1536	9999-12-31	2013-05-08	13480
34/7-17 A	2493.000000	1.700000	34.000000	18.000000	WATER BASED	1991-05-03	1536	9999-12-31	2013-05-08	13481
34/7-17 A	2493.000000	1.700000	33.000000	19.000000	WATER BASED	1991-05-03	1536	9999-12-31	2013-05-08	13482
34/7-17 A	2493.000000	1.700000	36.000000	15.000000	WATER BASED	1991-04-30	1536	9999-12-31	2013-05-08	13483
34/7-17 A	2493.000000	1.700000	33.000000	19.000000	WATER BASED	1991-04-30	1536	9999-12-31	2013-05-08	13484
34/7-17 A	2493.000000	1.700000	33.000000	21.000000	WATER BASED	1991-04-19	1536	9999-12-31	2013-05-08	13485
34/7-17 A	2493.000000	1.700000	34.000000	18.000000	WATER BASED	1991-05-06	1536	9999-12-31	2013-05-08	13486
34/7-17 A	2493.000000	1.700000	33.000000	21.000000	WATER BASED	1991-04-17	1536	9999-12-31	2013-05-08	13487
34/7-17 A	2493.000000	1.700000	33.000000	19.000000	WATER BASED	1991-04-29	1536	9999-12-31	2013-05-08	13488
34/7-17 A	2493.000000	1.700000	34.000000	18.000000	WATER BASED	1991-04-30	1536	9999-12-31	2013-05-08	13489
34/7-17 A	2493.000000	1.700000	34.000000	18.000000	WATER BASED	1991-05-03	1536	9999-12-31	2013-05-08	13490
34/7-17 A	2493.000000	1.700000	33.000000	19.000000	WATER BASED	1991-05-06	1536	9999-12-31	2013-05-08	13491
34/7-17 A	2493.000000	1.700000	35.000000	22.000000	WATER BASED	1991-04-23	1536	9999-12-31	2013-05-08	13492
34/7-18	361.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-23	1819	9999-12-31	2013-05-08	13493
34/7-18	386.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-23	1819	9999-12-31	2013-05-08	13494
34/7-18	1115.000000	1.300000	34.000000	26.000000	WATER BASED	1991-07-30	1819	9999-12-31	2013-05-08	13495
34/7-18	1115.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-25	1819	9999-12-31	2013-05-08	13496
34/7-18	1115.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-24	1819	9999-12-31	2013-05-08	13497
34/7-18	1115.000000	1.300000	0.000000	0.000000	WATER BASED	1991-07-30	1819	9999-12-31	2013-05-08	13498
34/7-18	1115.000000	1.200000	0.000000	0.000000	WATER BASED	1991-07-26	1819	9999-12-31	2013-05-08	13499
34/7-18	1115.000000	1.200000	0.000000	0.000000	WATER BASED	1991-07-29	1819	9999-12-31	2013-05-08	13500
34/7-18	1121.000000	1.300000	23.000000	17.000000	WATER BASED	1991-07-30	1819	9999-12-31	2013-05-08	13501
34/7-18	1359.000000	1.360000	28.000000	19.000000	WATER BASED	1991-07-31	1819	9999-12-31	2013-05-08	13502
34/7-18	1404.000000	1.470000	24.000000	20.000000	WATER BASED	1991-08-01	1819	9999-12-31	2013-05-08	13503
34/7-18	1409.000000	1.450000	28.000000	20.000000	WATER BASED	1991-08-02	1819	9999-12-31	2013-05-08	13504
34/7-18	1423.000000	1.300000	28.000000	21.000000	WATER BASED	1991-08-05	1819	9999-12-31	2013-05-08	13505
34/7-18	1611.000000	1.300000	28.000000	26.000000	WATER BASED	1991-08-06	1819	9999-12-31	2013-05-08	13506
34/7-18	1681.000000	1.350000	30.000000	25.000000	WATER BASED	1991-08-06	1819	9999-12-31	2013-05-08	13507
34/7-18	1681.000000	1.350000	31.000000	26.000000	WATER BASED	1991-08-06	1819	9999-12-31	2013-05-08	13508
34/7-18	1730.000000	1.440000	21.000000	23.000000	WATER BASED	1991-08-12	1819	9999-12-31	2013-05-08	13509
34/7-18	1730.000000	1.440000	30.000000	22.000000	WATER BASED	1991-08-13	1819	9999-12-31	2013-05-08	13510
34/7-18	1730.000000	1.450000	31.000000	22.000000	WATER BASED	1991-08-13	1819	9999-12-31	2013-05-08	13511
34/7-18	1730.000000	1.440000	21.000000	23.000000	WATER BASED	1991-08-13	1819	9999-12-31	2013-05-08	13512
34/7-18	1730.000000	1.400000	35.000000	25.000000	WATER BASED	1991-08-08	1819	9999-12-31	2013-05-08	13513
34/7-18	1730.000000	1.440000	31.000000	23.000000	WATER BASED	1991-08-09	1819	9999-12-31	2013-05-08	13514
34/7-18	1770.000000	1.440000	29.000000	24.000000	WATER BASED	1991-08-08	1819	9999-12-31	2013-05-08	13515
34/7-18	1775.000000	1.500000	29.000000	17.000000	WATER BASED	1991-08-14	1819	9999-12-31	2013-05-08	13516
34/7-18	1775.000000	1.510000	29.000000	18.000000	WATER BASED	1991-08-15	1819	9999-12-31	2013-05-08	13517
34/7-18	1782.000000	1.500000	29.000000	18.000000	WATER BASED	1991-08-16	1819	9999-12-31	2013-05-08	13518
34/7-18	1782.000000	1.510000	29.000000	19.000000	WATER BASED	1991-08-19	1819	9999-12-31	2013-05-08	13519
34/7-18	1782.000000	1.500000	21.000000	18.000000	WATER BASED	1991-08-20	1819	9999-12-31	2013-05-08	13520
34/7-18	1782.000000	1.510000	23.000000	19.000000	WATER BASED	1991-08-20	1819	9999-12-31	2013-05-08	13521
34/7-18	1879.000000	1.560000	24.000000	21.000000	WATER BASED	1991-08-20	1819	9999-12-31	2013-05-08	13522
34/7-18	2110.000000	1.620000	29.000000	26.000000	WATER BASED	1991-08-21	1819	9999-12-31	2013-05-08	13523
34/7-18	2179.000000	1.650000	31.000000	21.000000	WATER BASED	1991-08-22	1819	9999-12-31	2013-05-08	13524
34/7-18	2233.000000	1.650000	31.000000	18.000000	WATER BASED	1991-09-02	1819	9999-12-31	2013-05-08	13525
34/7-18	2237.000000	1.650000	30.000000	17.000000	WATER BASED	1991-09-04	1819	9999-12-31	2013-05-08	13526
34/7-18	2237.000000	1.550000	26.000000	30.000000	WATER BASED	1991-09-04	1819	9999-12-31	2013-05-08	13527
34/7-18	2237.000000	1.550000	26.000000	30.000000	WATER BASED	1991-09-04	1819	9999-12-31	2013-05-08	13528
34/7-18	2237.000000	1.550000	26.000000	30.000000	WATER BASED	1991-09-06	1819	9999-12-31	2013-05-08	13529
34/7-18	2237.000000	1.550000	26.000000	30.000000	WATER BASED	1991-09-06	1819	9999-12-31	2013-05-08	13530
34/7-18	2237.000000	1.550000	26.000000	30.000000	WATER BASED	1991-09-09	1819	9999-12-31	2013-05-08	13531
34/7-18	2237.000000	1.550000	26.000000	27.000000	WATER BASED	1991-09-10	1819	9999-12-31	2013-05-08	13532
34/7-18	2237.000000	1.550000	26.000000	27.000000	WATER BASED	1991-09-10	1819	9999-12-31	2013-05-08	13533
34/7-18	2237.000000	1.550000	26.000000	30.000000	WATER BASED	1991-09-10	1819	9999-12-31	2013-05-08	13534
34/7-18	2237.000000	1.550000	26.000000	27.000000	WATER BASED	1991-09-11	1819	9999-12-31	2013-05-08	13535
34/7-18	2237.000000	1.550000	26.000000	27.000000	WATER BASED	1991-09-12	1819	9999-12-31	2013-05-08	13536
34/7-18	2237.000000	1.540000	27.000000	25.000000	WATER BASED	1991-09-13	1819	9999-12-31	2013-05-08	13537
34/7-18	2237.000000	1.550000	24.000000	17.000000	WATER BASED	1991-09-04	1819	9999-12-31	2013-05-08	13538
34/7-18	2285.000000	1.650000	29.000000	17.000000	WATER BASED	1991-08-23	1819	9999-12-31	2013-05-08	13539
34/7-18	2286.000000	1.650000	29.000000	16.000000	WATER BASED	1991-08-27	1819	9999-12-31	2013-05-08	13540
34/7-18	2286.000000	1.650000	30.000000	20.000000	WATER BASED	1991-08-27	1819	9999-12-31	2013-05-08	13541
34/7-18	2286.000000	1.650000	37.000000	24.000000	WATER BASED	1991-08-27	1819	9999-12-31	2013-05-08	13542
34/7-18	2286.000000	1.650000	37.000000	24.000000	WATER BASED	1991-08-27	1819	9999-12-31	2013-05-08	13543
34/7-18	2286.000000	1.650000	37.000000	24.000000	WATER BASED	1991-08-29	1819	9999-12-31	2013-05-08	13544
34/7-18	2286.000000	1.650000	32.000000	18.000000	WATER BASED	1991-08-29	1819	9999-12-31	2013-05-08	13545
34/7-18	2286.000000	1.650000	29.000000	18.000000	WATER BASED	1991-08-23	1819	9999-12-31	2013-05-08	13546
34/7-19	402.000000	1.050000	0.000000	0.000000	WATER BASED	1991-09-26	1838	9999-12-31	2013-05-08	13547
34/7-19	402.000000	1.050000	0.000000	0.000000	WATER BASED	1991-09-25	1838	9999-12-31	2013-05-08	13548
34/7-19	420.000000	1.050000	0.000000	0.000000	WATER BASED	1991-09-30	1838	9999-12-31	2013-05-08	13549
34/7-19	686.000000	1.050000	0.000000	0.000000	WATER BASED	1991-10-01	1838	9999-12-31	2013-05-08	13550
34/7-19	1166.000000	1.050000	0.000000	0.000000	WATER BASED	1991-10-01	1838	9999-12-31	2013-05-08	13551
34/7-19	1166.000000	1.050000	0.000000	0.000000	WATER BASED	1991-10-01	1838	9999-12-31	2013-05-08	13552
34/7-19	1166.000000	1.200000	0.000000	0.000000	WATER BASED	1991-10-01	1838	9999-12-31	2013-05-08	13553
34/7-19	1166.000000	1.200000	0.000000	0.000000	WATER BASED	1991-10-03	1838	9999-12-31	2013-05-08	13554
34/7-19	1166.000000	1.350000	20.000000	17.000000	WATER BASED	1991-10-09	1838	9999-12-31	2013-05-08	13555
34/7-19	1166.000000	1.350000	20.000000	17.000000	WATER BASED	1991-10-09	1838	9999-12-31	2013-05-08	13556
34/7-19	1166.000000	1.250000	19.000000	16.000000	WATER BASED	1991-10-09	1838	9999-12-31	2013-05-08	13557
34/7-19	1166.000000	1.350000	20.000000	17.000000	WATER BASED	1991-10-09	1838	9999-12-31	2013-05-08	13558
34/7-19	1166.000000	1.250000	19.000000	16.000000	WATER BASED	1991-10-10	1838	9999-12-31	2013-05-08	13559
34/7-19	1166.000000	1.350000	20.000000	17.000000	WATER BASED	1991-10-10	1838	9999-12-31	2013-05-08	13560
34/7-19	1166.000000	1.350000	20.000000	17.000000	WATER BASED	1991-10-10	1838	9999-12-31	2013-05-08	13561
34/7-19	1166.000000	1.250000	19.000000	16.000000	WATER BASED	1991-10-08	1838	9999-12-31	2013-05-08	13562
34/7-19	1166.000000	1.350000	20.000000	17.000000	WATER BASED	1991-10-08	1838	9999-12-31	2013-05-08	13563
34/7-19	1166.000000	1.350000	20.000000	17.000000	WATER BASED	1991-10-08	1838	9999-12-31	2013-05-08	13564
34/7-19	1166.000000	1.250000	18.000000	16.000000	WATER BASED	1991-10-03	1838	9999-12-31	2013-05-08	13565
34/7-19	1166.000000	1.250000	19.000000	16.000000	WATER BASED	1991-10-09	1838	9999-12-31	2013-05-08	13566
34/7-19	1166.000000	1.350000	20.000000	17.000000	WATER BASED	1991-10-09	1838	9999-12-31	2013-05-08	13567
34/7-19	1402.000000	1.400000	32.000000	23.000000	WATER BASED	1991-10-10	1838	9999-12-31	2013-05-08	13568
34/7-19	1402.000000	1.400000	32.000000	23.000000	WATER BASED	1991-10-08	1838	9999-12-31	2013-05-08	13569
34/7-19	1402.000000	1.400000	32.000000	23.000000	WATER BASED	1991-10-09	1838	9999-12-31	2013-05-08	13570
34/7-19	1402.000000	1.400000	32.000000	23.000000	WATER BASED	1991-10-09	1838	9999-12-31	2013-05-08	13571
34/7-19	1554.000000	1.400000	33.000000	24.000000	WATER BASED	1991-10-09	1838	9999-12-31	2013-05-08	13572
34/7-19	1554.000000	1.400000	33.000000	24.000000	WATER BASED	1991-10-10	1838	9999-12-31	2013-05-08	13573
34/7-19	1554.000000	1.400000	33.000000	24.000000	WATER BASED	1991-10-09	1838	9999-12-31	2013-05-08	13574
34/7-19	1767.000000	1.450000	34.000000	22.000000	WATER BASED	1991-10-10	1838	9999-12-31	2013-05-08	13575
34/7-19	1767.000000	1.450000	34.000000	22.000000	WATER BASED	1991-10-09	1838	9999-12-31	2013-05-08	13576
34/7-19	1960.000000	1.500000	30.000000	15.000000	WATER BASED	1991-10-11	1838	9999-12-31	2013-05-08	13577
34/7-19	1960.000000	1.520000	20.000000	13.000000	WATER BASED	1991-10-14	1838	9999-12-31	2013-05-08	13578
34/7-19	1960.000000	1.520000	21.000000	14.000000	WATER BASED	1991-10-14	1838	9999-12-31	2013-05-08	13579
34/7-19	1960.000000	1.520000	23.000000	15.000000	WATER BASED	1991-10-14	1838	9999-12-31	2013-05-08	13580
34/7-19	1960.000000	1.520000	25.000000	15.000000	WATER BASED	1991-10-11	1838	9999-12-31	2013-05-08	13581
34/7-19	2160.000000	1.600000	36.000000	24.000000	WATER BASED	1991-10-15	1838	9999-12-31	2013-05-08	13582
34/7-19	2303.000000	1.620000	34.000000	25.000000	WATER BASED	1991-10-17	1838	9999-12-31	2013-05-08	13583
34/7-19	2439.000000	1.640000	35.000000	24.000000	WATER BASED	1991-10-17	1838	9999-12-31	2013-05-08	13584
34/7-19	2439.000000	1.640000	46.000000	24.000000	WATER BASED	1991-10-24	1838	9999-12-31	2013-05-08	13585
34/7-19	2439.000000	1.640000	46.000000	25.000000	WATER BASED	1991-10-28	1838	9999-12-31	2013-05-08	13586
34/7-19	2439.000000	1.640000	38.000000	25.000000	WATER BASED	1991-10-21	1838	9999-12-31	2013-05-08	13587
34/7-19	2439.000000	1.640000	38.000000	25.000000	WATER BASED	1991-10-21	1838	9999-12-31	2013-05-08	13588
34/7-19	2439.000000	1.640000	38.000000	25.000000	WATER BASED	1991-10-18	1838	9999-12-31	2013-05-08	13589
34/7-19	2439.000000	1.640000	38.000000	25.000000	WATER BASED	1991-10-22	1838	9999-12-31	2013-05-08	13590
34/7-19	2439.000000	1.640000	38.000000	25.000000	WATER BASED	1991-10-23	1838	9999-12-31	2013-05-08	13591
34/7-19	2439.000000	1.640000	38.000000	25.000000	WATER BASED	1991-10-21	1838	9999-12-31	2013-05-08	13592
34/7-19	2449.000000	1.640000	31.000000	14.000000	WATER BASED	1991-10-28	1838	9999-12-31	2013-05-08	13593
34/7-19	2451.000000	1.640000	30.000000	15.000000	WATER BASED	1991-10-28	1838	9999-12-31	2013-05-08	13594
34/7-19	2485.000000	1.640000	29.000000	15.000000	WATER BASED	1991-10-28	1838	9999-12-31	2013-05-08	13595
34/7-19	2508.000000	1.640000	30.000000	16.000000	WATER BASED	1991-10-29	1838	9999-12-31	2013-05-08	13596
34/7-19	2558.000000	1.640000	30.000000	15.000000	WATER BASED	1991-11-05	1838	9999-12-31	2013-05-08	13597
34/7-19	2558.000000	1.640000	30.000000	16.000000	WATER BASED	1991-11-04	1838	9999-12-31	2013-05-08	13598
34/7-19	2558.000000	1.640000	33.000000	20.000000	WATER BASED	1991-10-31	1838	9999-12-31	2013-05-08	13599
34/7-19	2558.000000	1.640000	30.000000	15.000000	WATER BASED	1991-11-05	1838	9999-12-31	2013-05-08	13600
34/7-19	2558.000000	1.640000	32.000000	18.000000	WATER BASED	1991-11-05	1838	9999-12-31	2013-05-08	13601
34/7-19	2577.000000	1.640000	32.000000	19.000000	WATER BASED	1991-11-05	1838	9999-12-31	2013-05-08	13602
34/7-19	2605.000000	1.640000	28.000000	16.000000	WATER BASED	1991-11-06	1838	9999-12-31	2013-05-08	13603
34/7-19	2633.000000	1.640000	28.000000	14.000000	WATER BASED	1991-11-07	1838	9999-12-31	2013-05-08	13604
34/7-19	2661.000000	1.640000	33.000000	15.000000	WATER BASED	1991-11-08	1838	9999-12-31	2013-05-08	13605
34/7-19	2724.000000	1.640000	29.000000	15.000000	WATER BASED	1991-11-11	1838	9999-12-31	2013-05-08	13606
34/7-19	2794.000000	1.640000	28.000000	15.000000	WATER BASED	1991-11-11	1838	9999-12-31	2013-05-08	13607
34/7-19	2800.000000	1.640000	30.000000	15.000000	WATER BASED	1991-11-11	1838	9999-12-31	2013-05-08	13608
34/7-19	2800.000000	1.640000	34.000000	20.000000	WATER BASED	1991-11-26	1838	9999-12-31	2013-05-08	13609
34/7-19	2800.000000	1.640000	34.000000	20.000000	WATER BASED	1991-11-28	1838	9999-12-31	2013-05-08	13610
34/7-19	2800.000000	1.640000	28.000000	22.000000	WATER BASED	1991-11-28	1838	9999-12-31	2013-05-08	13611
34/7-19	2800.000000	1.640000	34.000000	24.000000	WATER BASED	1991-11-25	1838	9999-12-31	2013-05-08	13612
34/7-19	2800.000000	1.640000	35.000000	24.000000	WATER BASED	1991-11-25	1838	9999-12-31	2013-05-08	13613
34/7-19	2800.000000	1.640000	33.000000	24.000000	WATER BASED	1991-11-21	1838	9999-12-31	2013-05-08	13614
34/7-19	2800.000000	1.640000	33.000000	24.000000	WATER BASED	1991-11-20	1838	9999-12-31	2013-05-08	13615
34/7-19	2800.000000	1.640000	21.000000	22.000000	WATER BASED	1991-11-19	1838	9999-12-31	2013-05-08	13616
34/7-19	2800.000000	1.640000	27.000000	22.000000	WATER BASED	1991-11-19	1838	9999-12-31	2013-05-08	13617
34/7-19	2800.000000	1.640000	33.000000	24.000000	WATER BASED	1991-11-19	1838	9999-12-31	2013-05-08	13618
34/7-19	2800.000000	1.640000	30.000000	15.000000	WATER BASED	1991-11-14	1838	9999-12-31	2013-05-08	13619
34/7-19	2800.000000	1.640000	30.000000	15.000000	WATER BASED	1991-11-13	1838	9999-12-31	2013-05-08	13620
34/7-19	2800.000000	1.640000	29.000000	26.000000	WATER BASED	1991-12-12	1838	9999-12-31	2013-05-08	13621
34/7-19	2800.000000	1.640000	24.000000	26.000000	WATER BASED	1991-12-16	1838	9999-12-31	2013-05-08	13622
34/7-19	2800.000000	1.640000	29.000000	26.000000	WATER BASED	1991-12-16	1838	9999-12-31	2013-05-08	13623
34/7-19	2800.000000	1.640000	29.000000	26.000000	WATER BASED	1991-12-16	1838	9999-12-31	2013-05-08	13624
34/7-19	2800.000000	1.640000	29.000000	26.000000	WATER BASED	1991-12-16	1838	9999-12-31	2013-05-08	13625
34/7-19	2800.000000	1.640000	24.000000	26.000000	WATER BASED	1991-12-17	1838	9999-12-31	2013-05-08	13626
34/7-19	2800.000000	1.640000	29.000000	26.000000	WATER BASED	1991-12-17	1838	9999-12-31	2013-05-08	13627
34/7-19	2800.000000	1.640000	29.000000	26.000000	WATER BASED	1991-12-17	1838	9999-12-31	2013-05-08	13628
34/7-19	2800.000000	1.640000	29.000000	26.000000	WATER BASED	1991-12-09	1838	9999-12-31	2013-05-08	13629
34/7-19	2800.000000	1.640000	29.000000	26.000000	WATER BASED	1991-12-09	1838	9999-12-31	2013-05-08	13630
34/7-19	2800.000000	1.640000	28.000000	30.000000	WATER BASED	1991-12-09	1838	9999-12-31	2013-05-08	13631
34/7-19	2800.000000	1.640000	27.000000	20.000000	WATER BASED	1991-12-05	1838	9999-12-31	2013-05-08	13632
34/7-19	2800.000000	1.640000	29.000000	26.000000	WATER BASED	1991-12-11	1838	9999-12-31	2013-05-08	13633
34/7-19	2800.000000	1.640000	29.000000	26.000000	WATER BASED	1991-12-11	1838	9999-12-31	2013-05-08	13634
34/7-19	2800.000000	1.640000	28.000000	19.000000	WATER BASED	1991-12-03	1838	9999-12-31	2013-05-08	13635
34/7-19	2800.000000	1.640000	31.000000	21.000000	WATER BASED	1991-12-03	1838	9999-12-31	2013-05-08	13636
34/7-19	2800.000000	1.640000	31.000000	21.000000	WATER BASED	1991-12-03	1838	9999-12-31	2013-05-08	13637
34/7-19	2800.000000	1.640000	21.000000	22.000000	WATER BASED	1991-11-18	1838	9999-12-31	2013-05-08	13638
34/7-19	2800.000000	1.640000	29.000000	21.000000	WATER BASED	1991-11-29	1838	9999-12-31	2013-05-08	13639
34/7-19	2800.000000	1.640000	27.000000	20.000000	WATER BASED	1991-12-04	1838	9999-12-31	2013-05-08	13640
34/7-19	2800.000000	1.640000	33.000000	24.000000	WATER BASED	1991-11-19	1838	9999-12-31	2013-05-08	13641
34/7-19	2800.000000	1.640000	19.000000	16.000000	WATER BASED	1991-11-14	1838	9999-12-31	2013-05-08	13642
34/7-19	2800.000000	1.640000	34.000000	20.000000	WATER BASED	1991-11-25	1838	9999-12-31	2013-05-08	13643
34/7-19	2800.000000	1.640000	34.000000	24.000000	WATER BASED	1991-11-22	1838	9999-12-31	2013-05-08	13644
34/7-19	2800.000000	1.640000	29.000000	19.000000	WATER BASED	1991-12-03	1838	9999-12-31	2013-05-08	13645
34/7-19	2800.000000	1.640000	27.000000	20.000000	WATER BASED	1991-12-06	1838	9999-12-31	2013-05-08	13646
34/7-19	2800.000000	1.640000	29.000000	26.000000	WATER BASED	1991-12-17	1838	9999-12-31	2013-05-08	13647
34/7-2	330.000000	1.050000	100.000000	20.000000	WATER BASED	1984-09-03	233	9999-12-31	2013-05-08	13648
34/7-2	397.000000	1.050000	100.000000	20.000000	WATER BASED	1984-09-06	233	9999-12-31	2013-05-08	13649
34/7-2	412.000000	1.050000	100.000000	20.000000	WATER BASED	1984-09-06	233	9999-12-31	2013-05-08	13650
34/7-2	684.000000	1.100000	100.000000	20.000000	WATER BASED	1984-09-06	233	9999-12-31	2013-05-08	13651
34/7-2	861.000000	1.130000	15.000000	25.000000	WATER BASED	1984-09-10	233	9999-12-31	2013-05-08	13652
34/7-2	861.000000	1.160000	15.000000	30.000000	WATER BASED	1984-09-12	233	9999-12-31	2013-05-08	13653
34/7-2	861.000000	1.160000	15.000000	30.000000	WATER BASED	1984-09-12	233	9999-12-31	2013-05-08	13654
34/7-2	861.000000	1.160000	10.000000	41.000000	WATER BASED	1984-09-10	233	9999-12-31	2013-05-08	13655
34/7-2	861.000000	1.160000	10.000000	41.000000	WATER BASED	1984-09-10	233	9999-12-31	2013-05-08	13656
34/7-2	1565.000000	1.370000	41.000000	21.000000	WATER BASED	1984-09-17	233	9999-12-31	2013-05-08	13657
34/7-2	1565.000000	1.220000	16.000000	21.000000	WATER BASED	1984-09-16	233	9999-12-31	2013-05-08	13658
34/7-2	1565.000000	1.370000	41.000000	21.000000	WATER BASED	1984-09-17	233	9999-12-31	2013-05-08	13659
34/7-2	1570.000000	1.440000	42.000000	24.000000	WATER BASED	1984-09-20	233	9999-12-31	2013-05-08	13660
34/7-2	1766.000000	1.500000	46.000000	20.000000	WATER BASED	1984-09-25	233	9999-12-31	2013-05-08	13661
34/7-2	2025.000000	1.590000	46.000000	20.000000	WATER BASED	1984-09-25	233	9999-12-31	2013-05-08	13662
34/7-2	2042.000000	1.590000	47.000000	16.000000	WATER BASED	1984-09-25	233	9999-12-31	2013-05-08	13663
34/7-2	2042.000000	1.590000	47.000000	16.000000	WATER BASED	1984-09-25	233	9999-12-31	2013-05-08	13664
34/7-2	2042.000000	1.590000	50.000000	20.000000	WATER BASED	1984-09-25	233	9999-12-31	2013-05-08	13665
34/7-2	2148.000000	1.800000	55.000000	12.000000	WATER BASED	1984-09-29	233	9999-12-31	2013-05-08	13666
34/7-2	2169.000000	1.800000	55.000000	18.000000	WATER BASED	1984-10-01	233	9999-12-31	2013-05-08	13667
34/7-2	2177.000000	1.800000	55.000000	17.000000	WATER BASED	1984-10-01	233	9999-12-31	2013-05-08	13668
34/7-2	2242.000000	1.720000	50.000000	14.000000	WATER BASED	1984-10-01	233	9999-12-31	2013-05-08	13669
34/7-2	2313.000000	1.710000	50.000000	16.000000	WATER BASED	1984-10-01	233	9999-12-31	2013-05-08	13670
34/7-2	2410.000000	1.710000	50.000000	16.000000	WATER BASED	1984-10-03	233	9999-12-31	2013-05-08	13671
34/7-2	2475.000000	1.710000	45.000000	15.000000	WATER BASED	1984-10-03	233	9999-12-31	2013-05-08	13672
34/7-2	2475.000000	1.710000	44.000000	14.000000	WATER BASED	1984-10-04	233	9999-12-31	2013-05-08	13673
34/7-2	2475.000000	1.710000	45.000000	12.000000	WATER BASED	1984-10-07	233	9999-12-31	2013-05-08	13674
34/7-2	2475.000000	1.710000	44.000000	14.000000	WATER BASED	1984-10-04	233	9999-12-31	2013-05-08	13675
34/7-2	2475.000000	1.710000	51.000000	13.000000	WATER BASED	1984-10-07	233	9999-12-31	2013-05-08	13676
34/7-2	2475.000000	1.710000	45.000000	12.000000	WATER BASED	1984-10-07	233	9999-12-31	2013-05-08	13677
34/7-2	2475.000000	1.710000	51.000000	13.000000	WATER BASED	1984-10-07	233	9999-12-31	2013-05-08	13678
34/7-20	392.000000	1.240000	0.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13679
34/7-20	419.000000	1.030000	13.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13680
34/7-20	880.000000	1.120000	10.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13681
34/7-20	1220.000000	1.140000	7.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13682
34/7-20	1223.000000	1.350000	16.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13683
34/7-20	1716.000000	1.450000	36.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13684
34/7-20	1845.000000	1.480000	38.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13685
34/7-20	2017.000000	1.600000	31.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13686
34/7-20	2250.000000	1.640000	34.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13687
34/7-20	2364.000000	1.600000	38.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13688
34/7-20	2480.000000	1.640000	36.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13689
34/7-20	2572.000000	1.640000	37.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13690
34/7-20	2582.000000	1.640000	37.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13691
34/7-20	2936.000000	1.600000	33.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13692
34/7-20	3029.000000	1.600000	40.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13693
34/7-20	3169.000000	1.600000	39.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13694
34/7-20	3177.000000	1.600000	40.000000	0.000000	WATER BASED	9999-12-31	1967	9999-12-31	2013-05-08	13695
34/7-21	326.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13696
34/7-21	330.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13697
34/7-21	675.000000	1.160000	4.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13698
34/7-21	1110.000000	1.170000	5.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13699
34/7-21	1113.000000	1.170000	6.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13700
34/7-21	1122.000000	1.250000	22.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13701
34/7-21	1404.000000	1.300000	32.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13702
34/7-21	1763.000000	1.500000	41.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13703
34/7-21	1810.000000	1.500000	42.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13704
34/7-21	1858.000000	1.510000	39.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13705
34/7-21	2081.000000	1.600000	49.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13706
34/7-21	2196.000000	1.640000	60.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13707
34/7-21	2307.000000	1.640000	53.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13708
34/7-21	2510.000000	1.620000	41.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13709
34/7-21	2530.000000	1.640000	50.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13710
34/7-21	2552.000000	1.640000	43.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13711
34/7-21	2566.000000	1.640000	44.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13712
34/7-21	2594.000000	1.640000	38.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13713
34/7-21	2601.000000	1.610000	39.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13714
34/7-21	2635.000000	1.640000	42.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13715
34/7-21	2654.000000	1.610000	39.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13716
34/7-21	2971.000000	1.550000	36.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13717
34/7-21	3015.000000	1.610000	38.000000	0.000000	WATER BASED	9999-12-31	2026	9999-12-31	2013-05-08	13718
34/7-21 A	1800.000000	1.550000	29.000000	12.000000	WATER BASED	1992-12-16	2068	9999-12-31	2013-05-08	13719
34/7-21 A	1873.000000	1.520000	30.000000	17.000000	WATER BASED	1992-12-17	2068	9999-12-31	2013-05-08	13720
34/7-21 A	2155.000000	1.540000	36.000000	28.000000	WATER BASED	1992-12-21	2068	9999-12-31	2013-05-08	13721
34/7-21 A	2155.000000	1.540000	32.000000	22.000000	WATER BASED	1992-12-21	2068	9999-12-31	2013-05-08	13722
34/7-21 A	2260.000000	1.560000	44.000000	38.000000	WATER BASED	1992-12-21	2068	9999-12-31	2013-05-08	13723
34/7-21 A	2309.000000	1.560000	42.000000	36.000000	WATER BASED	1992-12-21	2068	9999-12-31	2013-05-08	13724
34/7-21 A	2465.000000	1.600000	58.000000	44.000000	WATER BASED	1992-12-23	2068	9999-12-31	2013-05-08	13725
34/7-21 A	2510.000000	1.610000	43.000000	28.000000	WATER BASED	1992-12-14	2068	9999-12-31	2013-05-08	13726
34/7-21 A	2510.000000	1.610000	38.000000	24.000000	WATER BASED	1992-12-16	2068	9999-12-31	2013-05-08	13727
34/7-21 A	2510.000000	1.610000	43.000000	28.000000	WATER BASED	1992-12-14	2068	9999-12-31	2013-05-08	13728
34/7-21 A	2580.000000	1.600000	46.000000	35.000000	WATER BASED	1992-12-28	2068	9999-12-31	2013-05-08	13729
34/7-21 A	2580.000000	1.600000	48.000000	37.000000	WATER BASED	1992-12-28	2068	9999-12-31	2013-05-08	13730
34/7-21 A	2774.000000	1.600000	46.000000	30.000000	WATER BASED	1992-12-28	2068	9999-12-31	2013-05-08	13731
34/7-21 A	2847.000000	1.600000	51.000000	31.000000	WATER BASED	1992-12-28	2068	9999-12-31	2013-05-08	13732
34/7-21 A	2864.000000	1.600000	44.000000	31.000000	WATER BASED	1992-12-28	2068	9999-12-31	2013-05-08	13733
34/7-21 A	2878.000000	1.600000	42.000000	30.000000	WATER BASED	1992-12-28	2068	9999-12-31	2013-05-08	13734
34/7-21 A	2899.000000	1.600000	41.000000	31.000000	WATER BASED	1993-01-04	2068	9999-12-31	2013-05-08	13735
34/7-21 A	2899.000000	1.600000	41.000000	31.000000	WATER BASED	1993-01-04	2068	9999-12-31	2013-05-08	13736
34/7-21 A	2934.000000	1.600000	43.000000	29.000000	WATER BASED	1993-01-04	2068	9999-12-31	2013-05-08	13737
34/7-21 A	2934.000000	1.600000	42.000000	34.000000	WATER BASED	1993-01-04	2068	9999-12-31	2013-05-08	13738
34/7-21 A	2973.000000	1.600000	43.000000	33.000000	WATER BASED	1993-01-04	2068	9999-12-31	2013-05-08	13739
34/7-21 A	2998.000000	1.600000	39.000000	28.000000	WATER BASED	1993-01-04	2068	9999-12-31	2013-05-08	13740
34/7-21 A	3033.000000	1.600000	39.000000	28.000000	WATER BASED	1993-01-07	2068	9999-12-31	2013-05-08	13741
34/7-21 A	3033.000000	1.600000	39.000000	28.000000	WATER BASED	1993-01-07	2068	9999-12-31	2013-05-08	13742
34/7-21 A	3033.000000	1.600000	39.000000	28.000000	WATER BASED	1993-01-08	2068	9999-12-31	2013-05-08	13743
34/7-21 A	3033.000000	1.600000	39.000000	28.000000	WATER BASED	1993-01-05	2068	9999-12-31	2013-05-08	13744
34/7-21 A	3033.000000	1.600000	42.000000	28.000000	WATER BASED	1993-01-15	2068	9999-12-31	2013-05-08	13745
34/7-21 A	3033.000000	1.600000	39.000000	28.000000	WATER BASED	1993-01-12	2068	9999-12-31	2013-05-08	13746
34/7-21 A	3033.000000	1.600000	39.000000	28.000000	WATER BASED	1993-01-12	2068	9999-12-31	2013-05-08	13747
34/7-21 A	3033.000000	1.600000	39.000000	28.000000	WATER BASED	1993-01-12	2068	9999-12-31	2013-05-08	13748
34/7-21 A	3033.000000	1.600000	39.000000	28.000000	WATER BASED	1993-01-14	2068	9999-12-31	2013-05-08	13749
34/7-21 A	3033.000000	1.600000	39.000000	28.000000	WATER BASED	1993-01-04	2068	9999-12-31	2013-05-08	13750
34/7-21 A	3033.000000	1.600000	39.000000	28.000000	WATER BASED	1993-01-12	2068	9999-12-31	2013-05-08	13751
34/7-21 A	3056.000000	1.600000	54.000000	40.000000	WATER BASED	1993-01-15	2068	9999-12-31	2013-05-08	13752
34/7-21 A	3122.000000	1.600000	54.000000	32.000000	WATER BASED	1993-01-20	2068	9999-12-31	2013-05-08	13753
34/7-21 A	3122.000000	1.600000	42.000000	33.000000	WATER BASED	1993-01-20	2068	9999-12-31	2013-05-08	13754
34/7-21 A	3122.000000	1.600000	42.000000	33.000000	WATER BASED	1993-01-20	2068	9999-12-31	2013-05-08	13755
34/7-21 A	3137.000000	1.600000	45.000000	31.000000	WATER BASED	1993-01-20	2068	9999-12-31	2013-05-08	13756
34/7-21 A	3228.000000	1.600000	49.000000	35.000000	WATER BASED	1993-01-22	2068	9999-12-31	2013-05-08	13757
34/7-21 A	3241.000000	1.630000	46.000000	34.000000	WATER BASED	1993-01-25	2068	9999-12-31	2013-05-08	13758
34/7-21 A	3302.000000	1.600000	44.000000	36.000000	WATER BASED	1993-01-25	2068	9999-12-31	2013-05-08	13759
34/7-21 A	3360.000000	1.600000	39.000000	34.000000	WATER BASED	1993-01-26	2068	9999-12-31	2013-05-08	13760
34/7-21 A	3360.000000	1.600000	43.000000	39.000000	WATER BASED	1993-02-10	2068	9999-12-31	2013-05-08	13761
34/7-21 A	3360.000000	1.600000	43.000000	39.000000	WATER BASED	1993-02-11	2068	9999-12-31	2013-05-08	13762
34/7-21 A	3360.000000	1.600000	35.000000	25.000000	WATER BASED	1993-02-02	2068	9999-12-31	2013-05-08	13763
34/7-21 A	3360.000000	1.600000	35.000000	26.000000	WATER BASED	1993-02-08	2068	9999-12-31	2013-05-08	13764
34/7-21 A	3360.000000	1.600000	35.000000	26.000000	WATER BASED	1993-02-08	2068	9999-12-31	2013-05-08	13765
34/7-21 A	3360.000000	1.600000	35.000000	26.000000	WATER BASED	1993-02-08	2068	9999-12-31	2013-05-08	13766
34/7-21 A	3360.000000	1.600000	35.000000	28.000000	WATER BASED	1993-02-09	2068	9999-12-31	2013-05-08	13767
34/7-21 A	3360.000000	1.600000	35.000000	23.000000	WATER BASED	1993-02-03	2068	9999-12-31	2013-05-08	13768
34/7-21 A	3360.000000	1.600000	37.000000	23.000000	WATER BASED	1993-01-28	2068	9999-12-31	2013-05-08	13769
34/7-21 A	3360.000000	1.600000	35.000000	23.000000	WATER BASED	1993-01-29	2068	9999-12-31	2013-05-08	13770
34/7-21 A	3360.000000	1.600000	35.000000	25.000000	WATER BASED	1993-02-01	2068	9999-12-31	2013-05-08	13771
34/7-21 A	3360.000000	1.600000	36.000000	26.000000	WATER BASED	1993-02-01	2068	9999-12-31	2013-05-08	13772
34/7-21 A	3360.000000	1.600000	43.000000	39.000000	WATER BASED	1993-02-12	2068	9999-12-31	2013-05-08	13773
34/7-21 A	3360.000000	1.600000	43.000000	39.000000	WATER BASED	1993-02-15	2068	9999-12-31	2013-05-08	13774
34/7-21 A	3360.000000	1.600000	43.000000	39.000000	WATER BASED	1993-02-15	2068	9999-12-31	2013-05-08	13775
34/7-21 A	3360.000000	1.600000	46.000000	36.000000	WATER BASED	1993-01-25	2068	9999-12-31	2013-05-08	13776
34/7-21 A	3360.000000	1.600000	33.000000	20.000000	WATER BASED	1993-02-01	2068	9999-12-31	2013-05-08	13777
34/7-21 A	3360.000000	1.600000	40.000000	35.000000	WATER BASED	1993-01-27	2068	9999-12-31	2013-05-08	13778
34/7-21 A	3360.000000	1.600000	35.000000	23.000000	WATER BASED	1993-02-04	2068	9999-12-31	2013-05-08	13779
34/7-21 A	3360.000000	1.600000	35.000000	28.000000	WATER BASED	1993-02-08	2068	9999-12-31	2013-05-08	13780
34/7-22	302.000000	1.200000	0.000000	0.000000	WATER BASED	1993-08-20	2167	9999-12-31	2013-05-08	13781
34/7-22	358.000000	1.060000	10.000000	70.000000	WATER BASED	1993-08-23	2167	9999-12-31	2013-05-08	13782
34/7-22	358.000000	1.200000	11.500000	5.000000	WATER BASED	1993-08-20	2167	9999-12-31	2013-05-08	13783
34/7-22	588.000000	1.060000	11.000000	72.000000	WATER BASED	1993-08-23	2167	9999-12-31	2013-05-08	13784
34/7-22	591.000000	1.200000	4.000000	13.000000	WATER BASED	1993-08-16	2167	9999-12-31	2013-05-08	13785
34/7-22	766.000000	1.060000	11.000000	72.000000	WATER BASED	1993-08-23	2167	9999-12-31	2013-05-08	13786
34/7-22	812.000000	1.120000	14.000000	16.000000	WATER BASED	1993-08-26	2167	9999-12-31	2013-05-08	13787
34/7-22	812.000000	1.200000	6.000000	13.000000	WATER BASED	1993-08-24	2167	9999-12-31	2013-05-08	13788
34/7-22	812.000000	1.120000	13.500000	15.000000	WATER BASED	1993-08-25	2167	9999-12-31	2013-05-08	13789
34/7-22	1068.000000	1.200000	5.000000	14.000000	WATER BASED	1993-08-18	2167	9999-12-31	2013-05-08	13790
34/7-22	1086.000000	1.200000	4.000000	14.000000	WATER BASED	1993-08-19	2167	9999-12-31	2013-05-08	13791
34/7-22	1113.000000	1.160000	4.000000	22.000000	WATER BASED	1993-08-27	2167	9999-12-31	2013-05-08	13792
34/7-22	1329.000000	1.220000	6.000000	21.000000	WATER BASED	1993-09-01	2167	9999-12-31	2013-05-08	13793
34/7-22	1329.000000	1.200000	5.000000	24.000000	WATER BASED	1993-09-01	2167	9999-12-31	2013-05-08	13794
34/7-22	1332.000000	1.290000	27.500000	15.000000	DUMMY	1993-09-01	2167	9999-12-31	2013-05-08	13795
34/7-22	1657.000000	1.400000	24.000000	22.000000	DUMMY	1993-08-31	2167	9999-12-31	2013-05-08	13796
34/7-22	2049.000000	1.560000	34.000000	26.000000	DUMMY	1993-09-01	2167	9999-12-31	2013-05-08	13797
34/7-22	2112.000000	1.590000	61.000000	32.000000	DUMMY	1993-09-02	2167	9999-12-31	2013-05-08	13798
34/7-22	2117.000000	1.590000	34.000000	22.000000	DUMMY	1993-09-06	2167	9999-12-31	2013-05-08	13799
34/7-22	2117.000000	1.590000	35.000000	25.000000	DUMMY	1993-09-06	2167	9999-12-31	2013-05-08	13800
34/7-22	2117.000000	1.590000	34.000000	27.000000	DUMMY	1993-09-06	2167	9999-12-31	2013-05-08	13801
34/7-22	2226.000000	1.630000	32.000000	18.000000	DUMMY	1993-09-06	2167	9999-12-31	2013-05-08	13802
34/7-22	2255.000000	1.630000	32.000000	16.000000	DUMMY	1993-09-07	2167	9999-12-31	2013-05-08	13803
34/7-22	2284.000000	1.630000	33.000000	15.000000	DUMMY	1993-09-08	2167	9999-12-31	2013-05-08	13804
34/7-22	2303.000000	1.630000	34.000000	17.000000	DUMMY	1993-09-09	2167	9999-12-31	2013-05-08	13805
34/7-22	2345.000000	1.630000	35.000000	16.000000	DUMMY	1993-09-13	2167	9999-12-31	2013-05-08	13806
34/7-22	2507.000000	1.630000	34.000000	21.000000	DUMMY	1993-09-13	2167	9999-12-31	2013-05-08	13807
34/7-22	2507.000000	1.630000	34.000000	21.000000	DUMMY	1993-09-13	2167	9999-12-31	2013-05-08	13808
34/7-22	2507.000000	1.660000	48.000000	44.000000	DUMMY	1993-09-17	2167	9999-12-31	2013-05-08	13809
34/7-22	2507.000000	1.660000	53.000000	50.000000	DUMMY	1993-09-16	2167	9999-12-31	2013-05-08	13810
34/7-22	2507.000000	1.660000	40.000000	26.000000	DUMMY	1993-09-15	2167	9999-12-31	2013-05-08	13811
34/7-22	2507.000000	1.660000	35.000000	24.000000	DUMMY	1993-09-14	2167	9999-12-31	2013-05-08	13812
34/7-22	2507.000000	1.460000	24.000000	29.000000	DUMMY	1993-09-30	2167	9999-12-31	2013-05-08	13813
34/7-22	2507.000000	1.660000	35.000000	33.000000	DUMMY	1993-09-29	2167	9999-12-31	2013-05-08	13814
34/7-22	2507.000000	1.660000	39.000000	35.000000	DUMMY	1993-09-22	2167	9999-12-31	2013-05-08	13815
34/7-22	2507.000000	1.660000	36.000000	32.000000	DUMMY	1993-09-28	2167	9999-12-31	2013-05-08	13816
34/7-22	2507.000000	1.660000	39.000000	35.000000	DUMMY	1993-09-28	2167	9999-12-31	2013-05-08	13817
34/7-22	2507.000000	1.660000	39.000000	35.000000	DUMMY	1993-09-28	2167	9999-12-31	2013-05-08	13818
34/7-22	2507.000000	1.660000	38.000000	35.000000	DUMMY	1993-09-23	2167	9999-12-31	2013-05-08	13819
34/7-22	2507.000000	1.660000	65.000000	45.000000	DUMMY	1993-09-24	2167	9999-12-31	2013-05-08	13820
34/7-22	2507.000000	1.660000	38.000000	35.000000	DUMMY	1993-09-23	2167	9999-12-31	2013-05-08	13821
34/7-22	2507.000000	1.660000	38.000000	35.000000	DUMMY	1993-09-23	2167	9999-12-31	2013-05-08	13822
34/7-22	2507.000000	1.660000	38.000000	39.000000	DUMMY	1993-09-20	2167	9999-12-31	2013-05-08	13823
34/7-22	2507.000000	1.660000	44.000000	40.000000	DUMMY	1993-09-20	2167	9999-12-31	2013-05-08	13824
34/7-22	2507.000000	1.660000	43.000000	42.000000	DUMMY	1993-09-20	2167	9999-12-31	2013-05-08	13825
34/7-22	2507.000000	1.660000	35.000000	24.000000	DUMMY	1994-09-14	2167	9999-12-31	2013-05-08	13826
34/7-22	2507.000000	1.660000	38.000000	36.000000	DUMMY	1993-09-22	2167	9999-12-31	2013-05-08	13827
34/7-22	2507.000000	1.660000	38.000000	35.000000	DUMMY	1993-09-23	2167	9999-12-31	2013-05-08	13828
34/7-22	2507.000000	1.660000	65.000000	45.000000	DUMMY	1993-09-24	2167	9999-12-31	2013-05-08	13829
34/7-22	2507.000000	1.660000	40.000000	23.000000	DUMMY	1993-09-13	2167	9999-12-31	2013-05-08	13830
34/7-23 A	2320.000000	1.600000	25.000000	20.000000	DUMMY	1994-04-08	2326	9999-12-31	2013-05-08	13831
34/7-23 A	2320.000000	1.600000	25.000000	19.000000	DUMMY	1994-04-07	2326	9999-12-31	2013-05-08	13832
34/7-23 A	2320.000000	1.600000	26.000000	19.000000	DUMMY	1994-04-05	2326	9999-12-31	2013-05-08	13833
34/7-23 A	2320.000000	1.600000	25.000000	19.000000	DUMMY	1994-04-06	2326	9999-12-31	2013-05-08	13834
34/7-23 A	2370.000000	1.600000	17.000000	13.000000	DUMMY	1994-04-11	2326	9999-12-31	2013-05-08	13835
34/7-23 A	2510.000000	1.600000	34.000000	19.000000	DUMMY	1994-04-11	2326	9999-12-31	2013-05-08	13836
34/7-23 A	2545.000000	1.600000	29.000000	17.000000	DUMMY	1994-04-11	2326	9999-12-31	2013-05-08	13837
34/7-23 A	2728.000000	1.600000	37.000000	29.000000	DUMMY	1994-04-12	2326	9999-12-31	2013-05-08	13838
34/7-23 A	2792.000000	1.600000	90.000000	25.000000	DUMMY	1994-04-14	2326	9999-12-31	2013-05-08	13839
34/7-23 A	2792.000000	1.600000	90.000000	25.000000	DUMMY	1994-04-13	2326	9999-12-31	2013-05-08	13840
34/7-23 A	2960.000000	1.600000	31.000000	29.000000	DUMMY	1994-04-14	2326	9999-12-31	2013-05-08	13841
34/7-23 A	3040.000000	1.600000	30.000000	28.000000	DUMMY	1994-04-18	2326	9999-12-31	2013-05-08	13842
34/7-23 A	3105.000000	1.600000	28.000000	24.000000	DUMMY	1994-04-18	2326	9999-12-31	2013-05-08	13843
34/7-23 A	3190.000000	1.600000	30.000000	30.000000	DUMMY	1994-04-18	2326	9999-12-31	2013-05-08	13844
34/7-23 A	3223.000000	1.600000	30.000000	30.000000	DUMMY	1994-04-18	2326	9999-12-31	2013-05-08	13845
34/7-23 A	3251.000000	1.600000	32.000000	28.000000	DUMMY	1994-04-19	2326	9999-12-31	2013-05-08	13846
34/7-23 A	3267.000000	1.600000	32.000000	24.000000	DUMMY	1994-04-21	2326	9999-12-31	2013-05-08	13847
34/7-23 A	3291.000000	1.600000	25.000000	23.000000	DUMMY	1994-04-21	2326	9999-12-31	2013-05-08	13848
34/7-23 A	3318.000000	1.600000	27.000000	24.000000	DUMMY	1994-04-22	2326	9999-12-31	2013-05-08	13849
34/7-23 A	3343.000000	1.600000	28.000000	26.000000	DUMMY	1994-04-25	2326	9999-12-31	2013-05-08	13850
34/7-23 A	3383.000000	1.600000	24.000000	20.000000	DUMMY	1994-04-25	2326	9999-12-31	2013-05-08	13851
34/7-23 A	3412.000000	1.600000	28.000000	20.000000	DUMMY	1994-04-25	2326	9999-12-31	2013-05-08	13852
34/7-23 A	3412.000000	1.600000	29.000000	18.000000	DUMMY	1994-04-28	2326	9999-12-31	2013-05-08	13853
34/7-23 A	3412.000000	1.600000	25.000000	15.000000	DUMMY	1994-04-27	2326	9999-12-31	2013-05-08	13854
34/7-23 A	3412.000000	1.600000	25.000000	22.000000	DUMMY	1994-04-26	2326	9999-12-31	2013-05-08	13855
34/7-23 A	3412.000000	1.600000	27.000000	18.000000	DUMMY	1994-05-02	2326	9999-12-31	2013-05-08	13856
34/7-23 A	3412.000000	1.600000	26.000000	19.000000	DUMMY	1994-05-02	2326	9999-12-31	2013-05-08	13857
34/7-23 A	3412.000000	1.600000	26.000000	19.000000	DUMMY	1994-05-02	2326	9999-12-31	2013-05-08	13858
34/7-23 A	3412.000000	1.200000	0.000000	0.000000	DUMMY	1994-05-24	2326	9999-12-31	2013-05-08	13859
34/7-23 A	3412.000000	1.200000	15.000000	15.000000	DUMMY	1994-05-19	2326	9999-12-31	2013-05-08	13860
34/7-23 A	3412.000000	1.600000	27.000000	17.000000	DUMMY	1994-05-10	2326	9999-12-31	2013-05-08	13861
34/7-23 A	3412.000000	1.600000	27.000000	18.000000	DUMMY	1994-04-29	2326	9999-12-31	2013-05-08	13862
34/7-23 A	3412.000000	1.600000	26.000000	18.000000	DUMMY	1994-05-03	2326	9999-12-31	2013-05-08	13863
34/7-23 A	3412.000000	1.600000	26.000000	26.000000	DUMMY	1994-05-04	2326	9999-12-31	2013-05-08	13864
34/7-23 A	3412.000000	1.600000	26.000000	26.000000	DUMMY	1994-05-09	2326	9999-12-31	2013-05-08	13865
34/7-23 A	3412.000000	1.600000	26.000000	26.000000	DUMMY	1994-05-05	2326	9999-12-31	2013-05-08	13866
34/7-23 A	3412.000000	1.600000	30.000000	17.000000	DUMMY	1994-05-19	2326	9999-12-31	2013-05-08	13867
34/7-23 A	3412.000000	1.600000	28.000000	18.000000	DUMMY	1994-05-19	2326	9999-12-31	2013-05-08	13868
34/7-23 A	3412.000000	1.600000	25.000000	20.000000	DUMMY	1994-05-18	2326	9999-12-31	2013-05-08	13869
34/7-23 A	3412.000000	1.600000	25.000000	20.000000	DUMMY	1994-05-18	2326	9999-12-31	2013-05-08	13870
34/7-23 A	3412.000000	1.600000	27.000000	17.000000	DUMMY	1994-05-16	2326	9999-12-31	2013-05-08	13871
34/7-23 A	3412.000000	1.600000	27.000000	17.000000	DUMMY	1994-05-16	2326	9999-12-31	2013-05-08	13872
34/7-23 A	3412.000000	1.600000	27.000000	17.000000	DUMMY	1994-05-09	2326	9999-12-31	2013-05-08	13873
34/7-23 A	3412.000000	1.600000	27.000000	17.000000	DUMMY	1994-05-09	2326	9999-12-31	2013-05-08	13874
34/7-23 A	3412.000000	1.600000	26.000000	26.000000	DUMMY	1994-05-09	2326	9999-12-31	2013-05-08	13875
34/7-23 A	3412.000000	1.200000	15.000000	15.000000	DUMMY	1994-05-24	2326	9999-12-31	2013-05-08	13876
34/7-23 A	3412.000000	1.600000	28.000000	18.000000	DUMMY	1994-05-18	2326	9999-12-31	2013-05-08	13877
34/7-23 S	348.000000	1.060000	0.000000	0.000000	WATER BASED	1994-02-23	2296	9999-12-31	2013-05-08	13878
34/7-23 S	369.000000	1.060000	0.000000	0.000000	WATER BASED	1994-02-24	2296	9999-12-31	2013-05-08	13879
34/7-23 S	369.000000	1.060000	0.000000	0.000000	WATER BASED	1994-02-25	2296	9999-12-31	2013-05-08	13880
34/7-23 S	515.000000	1.170000	11.000000	16.000000	WATER BASED	1994-02-28	2296	9999-12-31	2013-05-08	13881
34/7-23 S	987.000000	1.180000	10.000000	60.000000	WATER BASED	1994-02-28	2296	9999-12-31	2013-05-08	13882
34/7-23 S	1175.000000	1.200000	7.000000	39.000000	WATER BASED	1994-02-28	2296	9999-12-31	2013-05-08	13883
34/7-23 S	1175.000000	1.200000	8.000000	36.000000	GEL MUD	1994-03-08	2296	9999-12-31	2013-05-08	13884
34/7-23 S	1175.000000	1.200000	8.000000	36.000000	GEL MUD	1994-03-08	2296	9999-12-31	2013-05-08	13885
34/7-23 S	1175.000000	1.200000	8.000000	36.000000	GEL MUD	1994-03-03	2296	9999-12-31	2013-05-08	13886
34/7-23 S	1175.000000	1.200000	8.000000	36.000000	WATER BASED	1994-03-01	2296	9999-12-31	2013-05-08	13887
34/7-23 S	1175.000000	1.200000	8.000000	36.000000	WATER BASED	1994-03-02	2296	9999-12-31	2013-05-08	13888
34/7-23 S	1408.000000	1.350000	18.000000	20.000000	DUMMY	1994-03-08	2296	9999-12-31	2013-05-08	13889
34/7-23 S	1860.000000	1.430000	24.000000	25.000000	DUMMY	1994-03-08	2296	9999-12-31	2013-05-08	13890
34/7-23 S	2187.000000	1.480000	23.000000	24.000000	DUMMY	1994-03-10	2296	9999-12-31	2013-05-08	13891
34/7-23 S	2332.000000	1.530000	30.000000	28.000000	DUMMY	1994-03-16	2296	9999-12-31	2013-05-08	13892
34/7-23 S	2332.000000	1.510000	31.000000	27.000000	DUMMY	1994-03-11	2296	9999-12-31	2013-05-08	13893
34/7-23 S	2332.000000	1.510000	30.000000	28.000000	DUMMY	1994-03-15	2296	9999-12-31	2013-05-08	13894
34/7-23 S	2332.000000	1.510000	30.000000	28.000000	DUMMY	1994-03-14	2296	9999-12-31	2013-05-08	13895
34/7-23 S	2332.000000	1.510000	30.000000	28.000000	DUMMY	1994-03-14	2296	9999-12-31	2013-05-08	13896
34/7-23 S	2332.000000	1.510000	30.000000	28.000000	DUMMY	1994-03-14	2296	9999-12-31	2013-05-08	13897
34/7-23 S	2332.000000	1.510000	30.000000	29.000000	DUMMY	1994-03-10	2296	9999-12-31	2013-05-08	13898
34/7-23 S	2462.000000	1.570000	32.000000	24.000000	DUMMY	1994-03-17	2296	9999-12-31	2013-05-08	13899
34/7-23 S	2612.000000	1.590000	37.000000	34.000000	DUMMY	1994-03-18	2296	9999-12-31	2013-05-08	13900
34/7-23 S	2952.000000	1.600000	31.000000	29.000000	DUMMY	1994-03-23	2296	9999-12-31	2013-05-08	13901
34/7-23 S	2952.000000	1.600000	43.000000	38.000000	DUMMY	1994-03-22	2296	9999-12-31	2013-05-08	13902
34/7-23 S	3096.000000	1.600000	34.000000	26.000000	DUMMY	1994-03-24	2296	9999-12-31	2013-05-08	13903
34/7-23 S	3108.000000	1.600000	29.000000	25.000000	DUMMY	1994-03-25	2296	9999-12-31	2013-05-08	13904
34/7-23 S	3189.000000	1.600000	31.000000	24.000000	DUMMY	1994-03-28	2296	9999-12-31	2013-05-08	13905
34/7-23 S	3265.000000	1.600000	29.000000	26.000000	DUMMY	1994-03-29	2296	9999-12-31	2013-05-08	13906
34/7-23 S	3375.000000	1.600000	27.000000	26.000000	DUMMY	1994-03-30	2296	9999-12-31	2013-05-08	13907
34/7-23 S	3375.000000	1.600000	33.000000	19.000000	DUMMY	1994-04-05	2296	9999-12-31	2013-05-08	13908
34/7-23 S	3375.000000	1.600000	33.000000	19.000000	DUMMY	1994-04-05	2296	9999-12-31	2013-05-08	13909
34/7-23 S	3375.000000	1.600000	22.000000	21.000000	DUMMY	1994-04-05	2296	9999-12-31	2013-05-08	13910
34/7-23 S	3375.000000	1.600000	22.000000	21.000000	DUMMY	1994-04-05	2296	9999-12-31	2013-05-08	13911
34/7-24 S	861.000000	1.130000	10.000000	32.000000	WATER BASED	1995-03-03	2460	9999-12-31	2013-05-08	13912
34/7-24 S	1296.000000	1.180000	16.000000	33.000000	WATER BASED	1995-03-06	2460	9999-12-31	2013-05-08	13913
34/7-24 S	1296.000000	1.180000	15.000000	34.000000	WATER BASED	1995-03-06	2460	9999-12-31	2013-05-08	13914
34/7-24 S	1456.000000	1.300000	36.000000	23.000000	OIL BASED	1995-03-06	2460	9999-12-31	2013-05-08	13915
34/7-24 S	2154.000000	1.500000	38.000000	37.000000	OIL BASED	1995-03-07	2460	9999-12-31	2013-05-08	13916
34/7-24 S	2505.000000	1.520000	33.000000	30.000000	OIL BASED	1995-03-08	2460	9999-12-31	2013-05-08	13917
34/7-24 S	2710.000000	1.550000	36.000000	27.000000	OIL BASED	1995-03-13	2460	9999-12-31	2013-05-08	13918
34/7-24 S	2924.000000	1.550000	35.000000	27.000000	OIL BASED	1995-03-13	2460	9999-12-31	2013-05-08	13919
34/7-24 S	2975.000000	1.550000	36.000000	22.000000	OIL BASED	1995-03-13	2460	9999-12-31	2013-05-08	13920
34/7-24 S	2975.000000	1.550000	36.000000	23.000000	OIL BASED	1995-03-13	2460	9999-12-31	2013-05-08	13921
34/7-24 S	2975.000000	1.550000	37.000000	21.000000	OIL BASED	1995-03-14	2460	9999-12-31	2013-05-08	13922
34/7-24 S	2975.000000	1.550000	36.000000	24.000000	OIL BASED	1995-03-13	2460	9999-12-31	2013-05-08	13923
34/7-24 S	2978.000000	1.550000	35.000000	21.000000	OIL BASED	1995-03-15	2460	9999-12-31	2013-05-08	13924
34/7-24 S	3145.000000	1.550000	37.000000	21.000000	OIL BASED	1995-03-20	2460	9999-12-31	2013-05-08	13925
34/7-24 S	3145.000000	1.550000	37.000000	23.000000	OIL BASED	1995-03-20	2460	9999-12-31	2013-05-08	13926
34/7-24 S	3145.000000	1.550000	37.000000	23.000000	OIL BASED	1995-03-20	2460	9999-12-31	2013-05-08	13927
34/7-24 S	3145.000000	1.550000	37.000000	23.000000	OIL BASED	1995-03-23	2460	9999-12-31	2013-05-08	13928
34/7-24 S	3145.000000	1.550000	17.000000	34.000000	WATER BASED	1995-03-23	2460	9999-12-31	2013-05-08	13929
34/7-24 S	3145.000000	1.550000	37.000000	23.000000	OIL BASED	1995-03-21	2460	9999-12-31	2013-05-08	13930
34/7-24 S	3145.000000	1.550000	37.000000	21.000000	OIL BASED	1995-03-17	2460	9999-12-31	2013-05-08	13931
34/7-24 S	3145.000000	1.550000	35.000000	23.000000	OIL BASED	1995-03-16	2460	9999-12-31	2013-05-08	13932
34/7-25 S	363.000000	1.250000	0.000000	0.000000	SPUD MUD	9999-12-31	2863	9999-12-31	2013-05-08	13933
34/7-25 S	1088.000000	1.220000	20.000000	0.000000	KCL MUD	9999-12-31	2863	9999-12-31	2013-05-08	13934
34/7-25 S	1380.000000	1.390000	21.000000	0.000000	PSEUDO OIL BASE	9999-12-31	2863	9999-12-31	2013-05-08	13935
34/7-25 S	1380.000000	1.250000	24.000000	0.000000	KCL MUD	9999-12-31	2863	9999-12-31	2013-05-08	13936
34/7-25 S	1384.000000	1.390000	20.000000	0.000000	PSEUDO OIL BASE	9999-12-31	2863	9999-12-31	2013-05-08	13937
34/7-25 S	4103.000000	1.480000	33.000000	0.000000	PSEUDO OIL BASE	9999-12-31	2863	9999-12-31	2013-05-08	13938
34/7-25 S	4193.000000	1.500000	33.000000	0.000000	PSEUDO OIL BASE	9999-12-31	2863	9999-12-31	2013-05-08	13939
34/7-25 S	4690.000000	1.540000	36.000000	0.000000	PSEUDO OIL BASE	9999-12-31	2863	9999-12-31	2013-05-08	13940
34/7-26 A	1396.000000	1.390000	21.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3329	9999-12-31	2013-05-08	13941
34/7-26 A	1708.000000	1.390000	26.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3329	9999-12-31	2013-05-08	13942
34/7-26 A	3071.000000	1.450000	32.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3329	9999-12-31	2013-05-08	13943
34/7-26 A	3750.000000	1.490000	33.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3329	9999-12-31	2013-05-08	13944
34/7-26 A	4104.000000	1.580000	31.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3329	9999-12-31	2013-05-08	13945
34/7-26 A	4130.000000	1.580000	29.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3329	9999-12-31	2013-05-08	13946
34/7-26 A	4205.000000	1.500000	0.000000	0.000000	BRINE	9999-12-31	3329	9999-12-31	2013-05-08	13947
34/7-26 A	4205.000000	1.550000	32.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3329	9999-12-31	2013-05-08	13948
34/7-26 A	4290.000000	1.620000	35.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3329	9999-12-31	2013-05-08	13949
34/7-27	380.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	3214	9999-12-31	2013-05-08	13950
34/7-27	387.000000	1.200000	0.000000	0.000000	SEAWATER	9999-12-31	3214	9999-12-31	2013-05-08	13951
34/7-27	475.000000	1.200000	0.000000	0.000000	SEAWATER	9999-12-31	3214	9999-12-31	2013-05-08	13952
34/7-27	600.000000	1.550000	29.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13953
34/7-27	915.000000	1.350000	12.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13954
34/7-27	1088.000000	1.360000	25.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13955
34/7-27	1553.000000	1.390000	16.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13956
34/7-27	1816.000000	1.410000	19.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13957
34/7-27	1997.000000	1.550000	28.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13958
34/7-27	2035.000000	1.450000	21.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13959
34/7-27	2112.000000	1.450000	20.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13960
34/7-27	2230.000000	1.500000	22.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13961
34/7-27	2364.000000	1.520000	23.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13962
34/7-27	2462.000000	1.540000	26.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13963
34/7-27	2470.000000	1.540000	24.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13964
34/7-27	2510.000000	1.550000	24.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13965
34/7-27	2742.000000	1.550000	25.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13966
34/7-27	2746.000000	1.550000	28.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13967
34/7-27	2759.000000	1.550000	27.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13968
34/7-27	3000.000000	1.560000	28.000000	0.000000	KCL/SILICATE	9999-12-31	3214	9999-12-31	2013-05-08	13969
34/7-28	1300.000000	1.370000	13.000000	0.000000	WATER BASED	9999-12-31	3282	9999-12-31	2013-05-08	13970
34/7-28	1964.000000	1.590000	18.000000	0.000000	WATER BASED	9999-12-31	3282	9999-12-31	2013-05-08	13971
34/7-28	2165.000000	1.590000	21.000000	0.000000	WATER BASED	9999-12-31	3282	9999-12-31	2013-05-08	13972
34/7-28	2425.000000	1.580000	34.000000	0.000000	WATER BASED	9999-12-31	3282	9999-12-31	2013-05-08	13973
34/7-28	2692.000000	1.580000	32.000000	0.000000	WATER BASED	9999-12-31	3282	9999-12-31	2013-05-08	13974
34/7-28	2711.000000	1.580000	29.000000	0.000000	WATER BASED	9999-12-31	3282	9999-12-31	2013-05-08	13975
34/7-28	3005.000000	1.580000	0.000000	0.000000	WATER BASED	9999-12-31	3282	9999-12-31	2013-05-08	13976
34/7-29 S	1211.000000	1.200000	35.000000	0.000000	WATER BASED	9999-12-31	3313	9999-12-31	2013-05-08	13977
34/7-29 S	1475.000000	1.450000	33.000000	0.000000	WATER BASED	9999-12-31	3313	9999-12-31	2013-05-08	13978
34/7-29 S	2057.000000	1.560000	32.000000	0.000000	WATER BASED	9999-12-31	3313	9999-12-31	2013-05-08	13979
34/7-29 S	2115.000000	1.560000	32.000000	0.000000	WATER BASED	9999-12-31	3313	9999-12-31	2013-05-08	13980
34/7-29 S	2272.000000	1.570000	31.000000	0.000000	WATER BASED	9999-12-31	3313	9999-12-31	2013-05-08	13981
34/7-29 S	2558.000000	1.570000	28.000000	0.000000	WATER BASED	9999-12-31	3313	9999-12-31	2013-05-08	13982
34/7-29 S	2701.000000	1.560000	28.000000	0.000000	WATER BASED	9999-12-31	3313	9999-12-31	2013-05-08	13983
34/7-29 S	2718.000000	1.560000	27.000000	0.000000	WATER BASED	9999-12-31	3313	9999-12-31	2013-05-08	13984
34/7-29 S	2726.000000	1.560000	26.000000	0.000000	WATER BASED	9999-12-31	3313	9999-12-31	2013-05-08	13985
34/7-29 S	2909.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	3313	9999-12-31	2013-05-08	13986
34/7-29 S	2927.000000	1.560000	39.000000	0.000000	WATER BASED	9999-12-31	3313	9999-12-31	2013-05-08	13987
34/7-3	354.000000	1.030000	0.000000	0.000000	WATER BASED	1984-09-16	442	9999-12-31	2013-05-08	13988
34/7-3	652.000000	1.070000	0.000000	0.000000	WATER BASED	1984-09-16	442	9999-12-31	2013-05-08	13989
34/7-3	1021.000000	1.130000	46.000000	31.000000	WATER BASED	1984-09-17	442	9999-12-31	2013-05-08	13990
34/7-3	1165.000000	1.190000	45.000000	30.000000	WATER BASED	1984-09-25	442	9999-12-31	2013-05-08	13991
34/7-3	1165.000000	1.260000	50.000000	28.000000	WATER BASED	1984-09-25	442	9999-12-31	2013-05-08	13992
34/7-3	1165.000000	1.140000	48.000000	31.000000	WATER BASED	1984-09-20	442	9999-12-31	2013-05-08	13993
34/7-3	1165.000000	1.190000	45.000000	30.000000	WATER BASED	1984-09-25	442	9999-12-31	2013-05-08	13994
34/7-3	1165.000000	1.240000	52.000000	34.000000	WATER BASED	1984-09-25	442	9999-12-31	2013-05-08	13995
34/7-3	1165.000000	1.260000	53.000000	35.000000	WATER BASED	1984-09-25	442	9999-12-31	2013-05-08	13996
34/7-3	1165.000000	1.240000	52.000000	34.000000	WATER BASED	1984-09-25	442	9999-12-31	2013-05-08	13997
34/7-3	1165.000000	1.260000	53.000000	35.000000	WATER BASED	1984-09-25	442	9999-12-31	2013-05-08	13998
34/7-3	1165.000000	1.260000	50.000000	28.000000	WATER BASED	1984-09-25	442	9999-12-31	2013-05-08	13999
34/7-3	1165.000000	1.130000	48.000000	32.000000	WATER BASED	1984-09-20	442	9999-12-31	2013-05-08	14000
34/7-3	1165.000000	1.140000	48.000000	31.000000	WATER BASED	1984-09-20	442	9999-12-31	2013-05-08	14001
34/7-3	1168.000000	1.260000	48.000000	22.000000	WATER BASED	1984-09-25	442	9999-12-31	2013-05-08	14002
34/7-3	1168.000000	1.130000	44.000000	10.000000	WATER BASED	1984-10-01	442	9999-12-31	2013-05-08	14003
34/7-3	1168.000000	1.130000	44.000000	10.000000	WATER BASED	1984-10-01	442	9999-12-31	2013-05-08	14004
34/7-3	1430.000000	1.130000	44.000000	10.000000	WATER BASED	1984-10-01	442	9999-12-31	2013-05-08	14005
34/7-3	1575.000000	1.280000	50.000000	20.000000	WATER BASED	1984-10-01	442	9999-12-31	2013-05-08	14006
34/7-3	1860.000000	1.370000	50.000000	20.000000	WATER BASED	1984-10-03	442	9999-12-31	2013-05-08	14007
34/7-3	1940.000000	1.460000	55.000000	19.000000	WATER BASED	1984-10-03	442	9999-12-31	2013-05-08	14008
34/7-3	1940.000000	1.500000	59.000000	20.000000	WATER BASED	1984-10-04	442	9999-12-31	2013-05-08	14009
34/7-3	1940.000000	1.500000	58.000000	20.000000	WATER BASED	1984-10-07	442	9999-12-31	2013-05-08	14010
34/7-3	1940.000000	1.500000	54.000000	18.000000	WATER BASED	1984-10-07	442	9999-12-31	2013-05-08	14011
34/7-3	1940.000000	1.500000	59.000000	20.000000	WATER BASED	1984-10-04	442	9999-12-31	2013-05-08	14012
34/7-3	1940.000000	1.500000	58.000000	20.000000	WATER BASED	1984-10-07	442	9999-12-31	2013-05-08	14013
34/7-3	1940.000000	1.500000	54.000000	18.000000	WATER BASED	1984-10-07	442	9999-12-31	2013-05-08	14014
34/7-3	1945.000000	1.500000	55.000000	18.000000	WATER BASED	1984-10-07	442	9999-12-31	2013-05-08	14015
34/7-3	2214.000000	1.670000	17.000000	18.000000	WATER BASED	1984-10-11	442	9999-12-31	2013-05-08	14016
34/7-3	2309.000000	1.680000	21.000000	18.000000	WATER BASED	1984-10-14	442	9999-12-31	2013-05-08	14017
34/7-3	2376.000000	1.730000	24.000000	15.000000	WATER BASED	1984-10-14	442	9999-12-31	2013-05-08	14018
34/7-3	2396.000000	1.730000	24.000000	15.000000	WATER BASED	1984-10-14	442	9999-12-31	2013-05-08	14019
34/7-3	2428.000000	1.700000	24.000000	14.000000	WATER BASED	1984-11-01	442	9999-12-31	2013-05-08	14020
34/7-3	2428.000000	1.700000	23.000000	14.000000	WATER BASED	1984-10-31	442	9999-12-31	2013-05-08	14021
34/7-3	2428.000000	1.700000	24.000000	14.000000	WATER BASED	1984-11-01	442	9999-12-31	2013-05-08	14022
34/7-3	2611.000000	1.700000	24.000000	16.000000	WATER BASED	1984-11-02	442	9999-12-31	2013-05-08	14023
34/7-3	2699.000000	1.610000	70.000000	20.000000	WATER BASED	1984-12-03	442	9999-12-31	2013-05-08	14024
34/7-3	2699.000000	1.700000	52.000000	16.000000	WATER BASED	1984-12-03	442	9999-12-31	2013-05-08	14025
34/7-3	2699.000000	1.700000	52.000000	16.000000	WATER BASED	1984-12-03	442	9999-12-31	2013-05-08	14026
34/7-3	2786.000000	1.630000	20.000000	14.000000	WATER BASED	1984-11-15	442	9999-12-31	2013-05-08	14027
34/7-3	2846.000000	1.610000	20.000000	14.000000	WATER BASED	1984-11-19	442	9999-12-31	2013-05-08	14028
34/7-3	2934.000000	1.610000	70.000000	20.000000	WATER BASED	1984-12-03	442	9999-12-31	2013-05-08	14029
34/7-3	3034.000000	1.610000	19.000000	14.000000	WATER BASED	1984-11-19	442	9999-12-31	2013-05-08	14030
34/7-3	3197.000000	1.610000	19.000000	14.000000	WATER BASED	1984-11-21	442	9999-12-31	2013-05-08	14031
34/7-3	3318.000000	1.610000	63.000000	12.000000	WATER BASED	1984-11-21	442	9999-12-31	2013-05-08	14032
34/7-3	3372.000000	1.610000	63.000000	12.000000	WATER BASED	1984-11-23	442	9999-12-31	2013-05-08	14033
34/7-3	3414.000000	1.610000	67.000000	12.000000	WATER BASED	1984-11-26	442	9999-12-31	2013-05-08	14034
34/7-3	3414.000000	1.610000	69.000000	12.000000	WATER BASED	1984-11-26	442	9999-12-31	2013-05-08	14035
34/7-3	3414.000000	1.610000	70.000000	10.000000	WATER BASED	1984-11-29	442	9999-12-31	2013-05-08	14036
34/7-3	3414.000000	1.610000	70.000000	10.000000	WATER BASED	1984-11-27	442	9999-12-31	2013-05-08	14037
34/7-3	3414.000000	1.610000	67.000000	12.000000	WATER BASED	1984-11-26	442	9999-12-31	2013-05-08	14038
34/7-3	3414.000000	1.610000	69.000000	12.000000	WATER BASED	1984-11-26	442	9999-12-31	2013-05-08	14039
34/7-3	3414.000000	1.610000	69.000000	10.000000	WATER BASED	1984-11-27	442	9999-12-31	2013-05-08	14040
34/7-3	3414.000000	1.610000	70.000000	10.000000	WATER BASED	1984-11-29	442	9999-12-31	2013-05-08	14041
34/7-3	3414.000000	1.610000	65.000000	12.000000	WATER BASED	1984-11-26	442	9999-12-31	2013-05-08	14042
34/7-3	3414.000000	1.610000	69.000000	10.000000	WATER BASED	1984-11-27	442	9999-12-31	2013-05-08	14043
34/7-3	3414.000000	1.610000	70.000000	10.000000	WATER BASED	1984-11-27	442	9999-12-31	2013-05-08	14044
34/7-30 S	484.000000	1.200000	0.000000	0.000000	SPUD MUD	9999-12-31	3757	9999-12-31	2013-05-08	14045
34/7-30 S	600.000000	1.200000	0.000000	0.000000	SPUD MUD	9999-12-31	3757	9999-12-31	2013-05-08	14046
34/7-30 S	985.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	3757	9999-12-31	2013-05-08	14047
34/7-30 S	992.000000	1.200000	0.000000	0.000000	SPUD MUD	9999-12-31	3757	9999-12-31	2013-05-08	14048
34/7-30 S	1004.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	3757	9999-12-31	2013-05-08	14049
34/7-30 S	1148.000000	1.200000	0.000000	0.000000	SPUD MUD	9999-12-31	3757	9999-12-31	2013-05-08	14050
34/7-30 SR	1177.000000	1.430000	27.000000	0.000000	OIL BASED	9999-12-31	3886	9999-12-31	2013-05-08	14051
34/7-30 SR	1262.000000	1.430000	31.000000	0.000000	OIL BASED	9999-12-31	3886	9999-12-31	2013-05-08	14052
34/7-30 SR	1276.000000	1.430000	30.000000	0.000000	OIL BASED	9999-12-31	3886	9999-12-31	2013-05-08	14053
34/7-30 SR	1365.000000	1.430000	30.000000	0.000000	OIL BASED	9999-12-31	3886	9999-12-31	2013-05-08	14054
34/7-30 SR	1994.000000	1.490000	31.000000	0.000000	OIL BASED	9999-12-31	3886	9999-12-31	2013-05-08	14055
34/7-30 SR	2298.000000	1.490000	31.000000	0.000000	OIL BASED	9999-12-31	3886	9999-12-31	2013-05-08	14056
34/7-30 SR	2362.000000	1.600000	31.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3886	9999-12-31	2013-05-08	14057
34/7-30 SR	2364.000000	1.600000	27.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3886	9999-12-31	2013-05-08	14058
34/7-30 SR	2411.000000	1.600000	27.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3886	9999-12-31	2013-05-08	14059
34/7-30 SR	2478.000000	1.600000	27.000000	0.000000	PSEUDO OIL BASE	9999-12-31	3886	9999-12-31	2013-05-08	14060
34/7-31	233.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	4214	9999-12-31	2013-05-08	14061
34/7-31	306.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	4214	9999-12-31	2013-05-08	14062
34/7-31	688.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	4214	9999-12-31	2013-05-08	14063
34/7-31	905.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	4214	9999-12-31	2013-05-08	14064
34/7-31	1150.000000	0.000000	0.000000	0.000000	WATER BASED	9999-12-31	4214	9999-12-31	2013-05-08	14065
34/7-31	1785.000000	1.480000	18.000000	0.000000	WATER BASED	9999-12-31	4214	9999-12-31	2013-05-08	14066
34/7-31	2092.000000	1.600000	26.000000	0.000000	WATER BASED	9999-12-31	4214	9999-12-31	2013-05-08	14067
34/7-31	2505.000000	1.620000	27.000000	0.000000	WATER BASED	9999-12-31	4214	9999-12-31	2013-05-08	14068
34/7-31	2650.000000	1.620000	26.000000	0.000000	WATER BASED	9999-12-31	4214	9999-12-31	2013-05-08	14069
34/7-31 A	1650.000000	1.510000	42.000000	0.000000	OIL BASED	9999-12-31	4301	9999-12-31	2013-05-08	14070
34/7-31 A	1788.000000	1.500000	38.000000	0.000000	OIL BASED	9999-12-31	4301	9999-12-31	2013-05-08	14071
34/7-31 A	2304.000000	1.500000	40.000000	0.000000	OIL BASED	9999-12-31	4301	9999-12-31	2013-05-08	14072
34/7-31 A	3022.000000	1.500000	41.000000	0.000000	OIL BASED	9999-12-31	4301	9999-12-31	2013-05-08	14073
34/7-31 A	3089.000000	1.500000	44.000000	0.000000	OIL BASED	9999-12-31	4301	9999-12-31	2013-05-08	14074
34/7-31 A	3454.000000	0.000000	0.000000	0.000000	OIL BASED	9999-12-31	4301	9999-12-31	2013-05-08	14075
34/7-33	1062.000000	1.390000	22.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5917	9999-12-31	2013-05-08	14076
34/7-33	1200.000000	1.390000	24.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5917	9999-12-31	2013-05-08	14077
34/7-33	1430.000000	1.500000	30.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5917	9999-12-31	2013-05-08	14078
34/7-33	1581.000000	1.500000	32.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5917	9999-12-31	2013-05-08	14079
34/7-33	1616.000000	1.500000	31.000000	0.000000	HPWBM	9999-12-31	5917	9999-12-31	2013-05-08	14080
34/7-33	1704.000000	1.500000	30.000000	0.000000	HPWBM	9999-12-31	5917	9999-12-31	2013-05-08	14081
34/7-33	1720.000000	1.520000	32.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5917	9999-12-31	2013-05-08	14082
34/7-33	1772.000000	1.500000	29.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5917	9999-12-31	2013-05-08	14083
34/7-33	1786.000000	1.500000	30.000000	0.000000	HPWBM	9999-12-31	5917	9999-12-31	2013-05-08	14084
34/7-33	2108.000000	1.500000	37.000000	0.000000	HPWBM	9999-12-31	5917	9999-12-31	2013-05-08	14085
34/7-33	2138.000000	1.520000	34.000000	0.000000	HPWBM	9999-12-31	5917	9999-12-31	2013-05-08	14086
34/7-33	2255.000000	1.520000	33.000000	0.000000	HPWBM	9999-12-31	5917	9999-12-31	2013-05-08	14087
34/7-33	2264.000000	1.500000	36.000000	0.000000	HPWBM	9999-12-31	5917	9999-12-31	2013-05-08	14088
34/7-33	2269.000000	1.580000	26.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5917	9999-12-31	2013-05-08	14089
34/7-33	2569.000000	1.580000	24.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5917	9999-12-31	2013-05-08	14090
34/7-33	2615.000000	1.580000	25.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5917	9999-12-31	2013-05-08	14091
34/7-34	1189.000000	1.300000	20.000000	0.000000	KCl/Polymer/GEM	9999-12-31	5973	9999-12-31	2013-05-08	14092
34/7-34	1300.000000	1.390000	15.000000	0.000000	OBM-Low ECD	9999-12-31	5973	9999-12-31	2013-05-08	14093
34/7-34	1400.000000	1.420000	15.000000	0.000000	OBM-Low ECD	9999-12-31	5973	9999-12-31	2013-05-08	14094
34/7-34	1757.000000	1.460000	19.000000	0.000000	OBM-Low ECD	9999-12-31	5973	9999-12-31	2013-05-08	14095
34/7-34	1878.000000	1.660000	20.000000	0.000000	OBM-Low ECD	9999-12-31	5973	9999-12-31	2013-05-08	14096
34/7-34	2001.000000	1.620000	20.000000	0.000000	OBM-Low ECD	9999-12-31	5973	9999-12-31	2013-05-08	14097
34/7-34	2106.000000	1.550000	18.000000	0.000000	OBM-Low ECD	9999-12-31	5973	9999-12-31	2013-05-08	14098
34/7-34	2111.000000	1.480000	20.000000	0.000000	OBM-Low ECD	9999-12-31	5973	9999-12-31	2013-05-08	14099
34/7-34	2473.000000	1.580000	18.000000	0.000000	OBM-Low ECD	9999-12-31	5973	9999-12-31	2013-05-08	14100
34/7-34	2499.000000	1.580000	17.000000	0.000000	OBM-Low ECD	9999-12-31	5973	9999-12-31	2013-05-08	14101
34/7-34	2701.000000	1.660000	21.000000	0.000000	OBM-Low ECD	9999-12-31	5973	9999-12-31	2013-05-08	14102
34/7-34 A	400.000000	1.510000	18.000000	0.000000	OBM-Low ECD	9999-12-31	6080	9999-12-31	2013-05-08	14103
34/7-34 A	1695.000000	1.620000	19.000000	0.000000	OBM-Low ECD	9999-12-31	6080	9999-12-31	2013-05-08	14104
34/7-34 A	2455.000000	1.620000	19.000000	0.000000	OBM-Low ECD	9999-12-31	6080	9999-12-31	2013-05-08	14105
34/7-34 A	2661.000000	1.620000	18.000000	0.000000	OBM-Low ECD	9999-12-31	6080	9999-12-31	2013-05-08	14106
34/7-34 A	2661.000000	1.620000	20.000000	0.000000	OBM-Low ECD	9999-12-31	6080	9999-12-31	2013-05-08	14107
34/7-34 A	2999.000000	1.620000	22.000000	0.000000	OBM-Low ECD	9999-12-31	6080	9999-12-31	2013-05-08	14108
34/7-34 A	3022.000000	1.620000	18.000000	0.000000	OBM-Low ECD	9999-12-31	6080	9999-12-31	2013-05-08	14109
34/7-4	408.000000	1.030000	100.000000	0.000000	WATER BASED	1984-11-21	455	9999-12-31	2013-05-08	14110
34/7-4	473.000000	1.030000	100.000000	0.000000	WATER BASED	1984-11-21	455	9999-12-31	2013-05-08	14111
34/7-4	702.000000	1.100000	62.000000	57.000000	WATER BASED	1984-11-23	455	9999-12-31	2013-05-08	14112
34/7-4	971.000000	1.220000	53.000000	50.000000	WATER BASED	1984-11-27	455	9999-12-31	2013-05-08	14113
34/7-4	971.000000	1.220000	52.000000	48.000000	WATER BASED	1984-11-27	455	9999-12-31	2013-05-08	14114
34/7-4	971.000000	1.220000	59.000000	56.000000	WATER BASED	1984-11-26	455	9999-12-31	2013-05-08	14115
34/7-4	971.000000	1.150000	56.000000	49.000000	WATER BASED	1984-11-26	455	9999-12-31	2013-05-08	14116
34/7-4	971.000000	1.220000	56.000000	56.000000	WATER BASED	1984-11-26	455	9999-12-31	2013-05-08	14117
34/7-4	971.000000	1.070000	54.000000	16.000000	WATER BASED	1984-12-03	455	9999-12-31	2013-05-08	14118
34/7-4	971.000000	1.070000	54.000000	16.000000	WATER BASED	1984-11-30	455	9999-12-31	2013-05-08	14119
34/7-4	971.000000	1.070000	54.000000	16.000000	WATER BASED	1984-11-30	455	9999-12-31	2013-05-08	14120
34/7-4	971.000000	1.220000	53.000000	50.000000	WATER BASED	1984-11-27	455	9999-12-31	2013-05-08	14121
34/7-4	971.000000	1.220000	52.000000	48.000000	WATER BASED	1984-11-27	455	9999-12-31	2013-05-08	14122
34/7-4	971.000000	1.220000	59.000000	56.000000	WATER BASED	1984-11-26	455	9999-12-31	2013-05-08	14123
34/7-4	971.000000	1.220000	56.000000	56.000000	WATER BASED	1984-11-26	455	9999-12-31	2013-05-08	14124
34/7-4	971.000000	1.070000	54.000000	16.000000	WATER BASED	1984-12-03	455	9999-12-31	2013-05-08	14125
34/7-4	1117.000000	1.140000	48.000000	18.000000	WATER BASED	1984-12-11	455	9999-12-31	2013-05-08	14126
34/7-4	1552.000000	1.270000	48.000000	18.000000	WATER BASED	1984-12-11	455	9999-12-31	2013-05-08	14127
34/7-4	1652.000000	1.320000	48.000000	18.000000	WATER BASED	1984-12-11	455	9999-12-31	2013-05-08	14128
34/7-4	1903.000000	1.370000	48.000000	18.000000	WATER BASED	1984-12-12	455	9999-12-31	2013-05-08	14129
34/7-4	1930.000000	1.440000	22.000000	20.000000	WATER BASED	1984-12-17	455	9999-12-31	2013-05-08	14130
34/7-4	1930.000000	1.440000	26.000000	19.000000	WATER BASED	1984-12-13	455	9999-12-31	2013-05-08	14131
34/7-4	1930.000000	1.440000	22.000000	20.000000	WATER BASED	1984-12-17	455	9999-12-31	2013-05-08	14132
34/7-4	2072.000000	1.440000	33.000000	17.000000	WATER BASED	1984-12-17	455	9999-12-31	2013-05-08	14133
34/7-4	2286.000000	1.560000	22.000000	15.000000	WATER BASED	1984-12-17	455	9999-12-31	2013-05-08	14134
34/7-4	2381.000000	1.600000	24.000000	18.000000	WATER BASED	1984-12-18	455	9999-12-31	2013-05-08	14135
34/7-4	2498.000000	1.690000	50.000000	18.000000	WATER BASED	1984-12-20	455	9999-12-31	2013-05-08	14136
34/7-4	2537.000000	1.690000	50.000000	16.000000	WATER BASED	1984-12-20	455	9999-12-31	2013-05-08	14137
34/7-4	2559.000000	1.690000	47.000000	13.000000	WATER BASED	1984-12-27	455	9999-12-31	2013-05-08	14138
34/7-4	2559.000000	1.690000	49.000000	14.000000	WATER BASED	1984-12-27	455	9999-12-31	2013-05-08	14139
34/7-4	2559.000000	1.690000	49.000000	14.000000	WATER BASED	1984-12-27	455	9999-12-31	2013-05-08	14140
34/7-4	2583.000000	1.690000	51.000000	15.000000	WATER BASED	1985-01-06	455	9999-12-31	2013-05-08	14141
34/7-4	2630.000000	1.690000	48.000000	14.000000	WATER BASED	1984-12-27	455	9999-12-31	2013-05-08	14142
34/7-4	2688.000000	1.690000	49.000000	15.000000	WATER BASED	1984-12-27	455	9999-12-31	2013-05-08	14143
34/7-4	2749.000000	1.690000	50.000000	16.000000	WATER BASED	1984-12-27	455	9999-12-31	2013-05-08	14144
34/7-4	2810.000000	1.600000	50.000000	18.000000	WATER BASED	1985-01-01	455	9999-12-31	2013-05-08	14145
34/7-4	2997.000000	1.600000	50.000000	18.000000	WATER BASED	1985-01-01	455	9999-12-31	2013-05-08	14146
34/7-4	3115.000000	1.600000	48.000000	13.000000	WATER BASED	1985-01-06	455	9999-12-31	2013-05-08	14147
34/7-4	3115.000000	1.600000	49.000000	18.000000	WATER BASED	1985-01-01	455	9999-12-31	2013-05-08	14148
34/7-4	3115.000000	1.600000	48.000000	13.000000	WATER BASED	1985-01-06	455	9999-12-31	2013-05-08	14149
34/7-5	384.000000	1.030000	0.000000	0.000000	WATER BASED	1985-01-18	458	9999-12-31	2013-05-08	14150
34/7-5	790.000000	1.100000	0.000000	0.000000	WATER BASED	1985-01-25	458	9999-12-31	2013-05-08	14151
34/7-5	930.000000	1.120000	0.000000	0.000000	WATER BASED	1985-01-25	458	9999-12-31	2013-05-08	14152
34/7-5	1164.000000	1.100000	10.000000	17.000000	WATER BASED	1985-01-29	458	9999-12-31	2013-05-08	14153
34/7-5	1489.000000	1.220000	10.000000	13.000000	WATER BASED	1985-01-29	458	9999-12-31	2013-05-08	14154
34/7-5	1785.000000	1.400000	20.000000	22.000000	WATER BASED	1985-01-29	458	9999-12-31	2013-05-08	14155
34/7-5	1865.000000	1.430000	19.000000	18.000000	WATER BASED	1985-01-29	458	9999-12-31	2013-05-08	14156
34/7-5	1865.000000	1.430000	50.000000	18.000000	WATER BASED	1985-01-29	458	9999-12-31	2013-05-08	14157
34/7-5	1865.000000	1.430000	50.000000	18.000000	WATER BASED	1985-01-29	458	9999-12-31	2013-05-08	14158
34/7-5	1985.000000	1.520000	55.000000	18.000000	WATER BASED	1985-01-31	458	9999-12-31	2013-05-08	14159
34/7-5	2138.000000	1.620000	55.000000	16.000000	WATER BASED	1985-02-01	458	9999-12-31	2013-05-08	14160
34/7-5	2325.000000	1.660000	55.000000	20.000000	WATER BASED	1985-02-04	458	9999-12-31	2013-05-08	14161
34/7-5	2434.000000	1.690000	50.000000	15.000000	WATER BASED	1985-02-04	458	9999-12-31	2013-05-08	14162
34/7-5	2454.000000	1.690000	52.000000	15.000000	WATER BASED	1985-02-04	458	9999-12-31	2013-05-08	14163
34/7-5	2672.000000	1.680000	55.000000	16.000000	WATER BASED	1985-02-12	458	9999-12-31	2013-05-08	14164
34/7-5	2750.000000	1.680000	54.000000	13.000000	WATER BASED	1985-02-14	458	9999-12-31	2013-05-08	14165
34/7-5	2750.000000	1.680000	64.000000	17.000000	WATER BASED	1985-02-13	458	9999-12-31	2013-05-08	14166
34/7-5	2750.000000	1.680000	54.000000	13.000000	WATER BASED	1985-02-14	458	9999-12-31	2013-05-08	14167
34/7-5	2794.000000	1.630000	51.000000	18.000000	WATER BASED	1985-02-15	458	9999-12-31	2013-05-08	14168
34/7-5	2836.000000	1.640000	51.000000	18.000000	WATER BASED	1985-02-18	458	9999-12-31	2013-05-08	14169
34/7-8	439.000000	1.030000	0.000000	0.000000	WATER BASED	1986-02-11	878	9999-12-31	2013-05-08	14170
34/7-8	439.000000	1.040000	11.000000	7.200000	WATER BASED	1986-02-11	878	9999-12-31	2013-05-08	14171
34/7-8	747.000000	1.120000	10.000000	18.200000	WATER BASED	1986-02-11	878	9999-12-31	2013-05-08	14172
34/7-8	870.000000	1.110000	9.000000	21.100000	WATER BASED	1986-02-11	878	9999-12-31	2013-05-08	14173
34/7-8	870.000000	1.100000	15.000000	9.100000	WATER BASED	1986-02-12	878	9999-12-31	2013-05-08	14174
34/7-8	870.000000	1.130000	9.000000	31.200000	WATER BASED	1986-02-11	878	9999-12-31	2013-05-08	14175
34/7-8	870.000000	1.030000	0.000000	0.000000	WATER BASED	1986-02-12	878	9999-12-31	2013-05-08	14176
34/7-8	1229.000000	1.120000	16.000000	9.100000	WATER BASED	1986-02-12	878	9999-12-31	2013-05-08	14177
34/7-8	1562.000000	1.300000	18.000000	11.100000	WATER BASED	1986-02-17	878	9999-12-31	2013-05-08	14178
34/7-8	1860.000000	1.500000	20.000000	9.600000	WATER BASED	1986-02-17	878	9999-12-31	2013-05-08	14179
34/7-8	1875.000000	1.500000	13.000000	6.300000	WATER BASED	1986-02-17	878	9999-12-31	2013-05-08	14180
34/7-8	1875.000000	1.500000	19.000000	6.300000	WATER BASED	1986-02-24	878	9999-12-31	2013-05-08	14181
34/7-8	1875.000000	1.500000	20.000000	8.200000	WATER BASED	1986-02-17	878	9999-12-31	2013-05-08	14182
34/7-8	2039.000000	1.660000	25.000000	8.700000	WATER BASED	1986-02-24	878	9999-12-31	2013-05-08	14183
34/7-8	2201.000000	1.730000	29.000000	9.600000	WATER BASED	1986-02-24	878	9999-12-31	2013-05-08	14184
34/7-8	2250.000000	1.770000	27.000000	9.600000	WATER BASED	1986-02-24	878	9999-12-31	2013-05-08	14185
34/7-8	2275.000000	1.780000	30.000000	8.200000	WATER BASED	1986-02-24	878	9999-12-31	2013-05-08	14186
34/7-8	2275.000000	1.740000	19.000000	4.800000	WATER BASED	1986-03-10	878	9999-12-31	2013-05-08	14187
34/7-8	2275.000000	1.740000	24.000000	7.200000	WATER BASED	1986-03-05	878	9999-12-31	2013-05-08	14188
34/7-8	2275.000000	1.780000	26.000000	7.700000	WATER BASED	1986-03-04	878	9999-12-31	2013-05-08	14189
34/7-8	2275.000000	1.780000	25.000000	7.200000	WATER BASED	1986-03-03	878	9999-12-31	2013-05-08	14190
34/7-8	2275.000000	1.780000	27.000000	9.100000	WATER BASED	1986-03-03	878	9999-12-31	2013-05-08	14191
34/7-8	2275.000000	1.740000	18.000000	4.400000	WATER BASED	1986-03-18	878	9999-12-31	2013-05-08	14192
34/7-8	2275.000000	1.740000	17.000000	5.800000	WATER BASED	1986-03-17	878	9999-12-31	2013-05-08	14193
34/7-8	2275.000000	1.740000	17.000000	4.400000	WATER BASED	1986-03-24	878	9999-12-31	2013-05-08	14194
34/7-8	2275.000000	1.740000	17.000000	4.800000	WATER BASED	1986-03-24	878	9999-12-31	2013-05-08	14195
34/7-8	2275.000000	1.740000	17.000000	5.300000	WATER BASED	1986-03-24	878	9999-12-31	2013-05-08	14196
34/7-8	2275.000000	1.740000	17.000000	4.800000	WATER BASED	1986-03-26	878	9999-12-31	2013-05-08	14197
34/7-8	2275.000000	1.740000	16.000000	4.800000	WATER BASED	1986-03-31	878	9999-12-31	2013-05-08	14198
34/7-8	2275.000000	1.740000	15.000000	4.800000	WATER BASED	1986-03-31	878	9999-12-31	2013-05-08	14199
34/7-8	2275.000000	1.740000	14.000000	5.800000	WATER BASED	1986-04-07	878	9999-12-31	2013-05-08	14200
34/7-8	2275.000000	1.740000	15.000000	4.800000	WATER BASED	1986-04-07	878	9999-12-31	2013-05-08	14201
34/7-8	2275.000000	1.740000	15.000000	5.800000	WATER BASED	1986-04-07	878	9999-12-31	2013-05-08	14202
34/7-8	2275.000000	1.740000	15.000000	6.300000	WATER BASED	1986-04-07	878	9999-12-31	2013-05-08	14203
34/7-8	2275.000000	1.740000	15.000000	5.800000	WATER BASED	1986-04-08	878	9999-12-31	2013-05-08	14204
34/7-8	2275.000000	1.740000	14.000000	5.800000	WATER BASED	1986-04-10	878	9999-12-31	2013-05-08	14205
34/7-8	2275.000000	1.740000	18.000000	4.400000	WATER BASED	1986-03-17	878	9999-12-31	2013-05-08	14206
34/7-8	2275.000000	1.740000	16.000000	5.300000	WATER BASED	1986-03-25	878	9999-12-31	2013-05-08	14207
34/7-8	2280.000000	1.770000	28.000000	8.700000	WATER BASED	1986-02-24	878	9999-12-31	2013-05-08	14208
34/7-8	2350.000000	1.780000	27.000000	8.200000	WATER BASED	1986-02-26	878	9999-12-31	2013-05-08	14209
34/7-8	2400.000000	1.780000	28.000000	9.100000	WATER BASED	1986-02-26	878	9999-12-31	2013-05-08	14210
34/7-8	2472.000000	1.740000	19.000000	4.800000	WATER BASED	1986-03-10	878	9999-12-31	2013-05-08	14211
34/7-8	2472.000000	1.740000	16.000000	4.800000	WATER BASED	1986-03-26	878	9999-12-31	2013-05-08	14212
34/7-8	2472.000000	1.740000	17.000000	4.400000	WATER BASED	1986-03-17	878	9999-12-31	2013-05-08	14213
34/7-8	2472.000000	1.740000	18.000000	4.400000	WATER BASED	1986-03-17	878	9999-12-31	2013-05-08	14214
34/7-8	2472.000000	1.740000	19.000000	4.400000	WATER BASED	1986-03-12	878	9999-12-31	2013-05-08	14215
34/7-8	2525.000000	1.740000	19.000000	4.400000	WATER BASED	1986-03-08	878	9999-12-31	2013-05-08	14216
34/7-8	2760.000000	1.780000	29.000000	9.600000	WATER BASED	1986-02-28	878	9999-12-31	2013-05-08	14217
34/7-8	2766.000000	1.740000	23.000000	6.800000	WATER BASED	1986-03-10	878	9999-12-31	2013-05-08	14218
34/7-8	2766.000000	1.740000	25.000000	7.200000	WATER BASED	1986-03-10	878	9999-12-31	2013-05-08	14219
34/7-8	2766.000000	1.740000	23.000000	7.200000	WATER BASED	1986-03-10	878	9999-12-31	2013-05-08	14220
34/7-9	390.000000	1.030000	0.000000	0.000000	WATER BASED	1986-06-15	889	9999-12-31	2013-05-08	14221
34/7-9	471.000000	1.030000	0.000000	0.000000	WATER BASED	1986-04-21	889	9999-12-31	2013-05-08	14222
34/7-9	616.000000	1.100000	8.000000	22.100000	WATER BASED	1986-04-21	889	9999-12-31	2013-05-08	14223
34/7-9	858.000000	1.150000	6.000000	21.600000	WATER BASED	1986-04-21	889	9999-12-31	2013-05-08	14224
34/7-9	915.000000	1.160000	7.000000	26.900000	WATER BASED	1986-04-21	889	9999-12-31	2013-05-08	14225
34/7-9	915.000000	1.030000	0.000000	0.000000	WATER BASED	1986-04-21	889	9999-12-31	2013-05-08	14226
34/7-9	915.000000	1.200000	8.000000	27.800000	WATER BASED	1986-04-21	889	9999-12-31	2013-05-08	14227
34/7-9	1002.000000	1.100000	12.000000	7.700000	WATER BASED	1986-04-21	889	9999-12-31	2013-05-08	14228
34/7-9	1461.000000	1.200000	15.000000	10.100000	WATER BASED	1986-04-23	889	9999-12-31	2013-05-08	14229
34/7-9	1498.000000	1.200000	16.000000	9.600000	WATER BASED	1986-04-23	889	9999-12-31	2013-05-08	14230
34/7-9	1617.000000	1.300000	18.000000	10.100000	WATER BASED	1986-04-25	889	9999-12-31	2013-05-08	14231
34/7-9	1709.000000	1.730000	20.000000	5.800000	WATER BASED	1986-06-15	889	9999-12-31	2013-05-08	14232
34/7-9	1837.000000	1.410000	22.000000	9.600000	WATER BASED	1986-04-28	889	9999-12-31	2013-05-08	14233
34/7-9	1837.000000	1.410000	22.000000	8.700000	WATER BASED	1986-05-02	889	9999-12-31	2013-05-08	14234
34/7-9	1837.000000	1.410000	22.000000	9.100000	WATER BASED	1986-04-28	889	9999-12-31	2013-05-08	14235
34/7-9	2138.000000	1.580000	25.000000	10.100000	WATER BASED	1986-05-02	889	9999-12-31	2013-05-08	14236
34/7-9	2350.000000	1.650000	28.000000	8.700000	WATER BASED	1986-05-09	889	9999-12-31	2013-05-08	14237
34/7-9	2430.000000	1.700000	29.000000	6.800000	WATER BASED	1986-05-05	889	9999-12-31	2013-05-08	14238
34/7-9	2446.000000	1.730000	27.000000	6.800000	WATER BASED	1986-05-05	889	9999-12-31	2013-05-08	14239
34/7-9	2446.000000	1.730000	18.000000	4.800000	WATER BASED	1986-05-24	889	9999-12-31	2013-05-08	14240
34/7-9	2446.000000	1.730000	19.000000	5.300000	WATER BASED	1986-06-06	889	9999-12-31	2013-05-08	14241
34/7-9	2446.000000	1.730000	28.000000	6.300000	WATER BASED	1986-05-12	889	9999-12-31	2013-05-08	14242
34/7-9	2446.000000	1.730000	27.000000	6.800000	WATER BASED	1986-05-12	889	9999-12-31	2013-05-08	14243
34/7-9	2446.000000	1.730000	27.000000	6.300000	WATER BASED	1986-05-09	889	9999-12-31	2013-05-08	14244
34/7-9	2518.000000	1.730000	26.000000	8.200000	WATER BASED	1986-05-05	889	9999-12-31	2013-05-08	14245
34/7-9	2546.000000	1.730000	26.000000	6.800000	WATER BASED	1986-05-05	889	9999-12-31	2013-05-08	14246
34/7-9	2574.000000	1.730000	28.000000	6.300000	WATER BASED	1986-05-05	889	9999-12-31	2013-05-08	14247
34/7-9	2603.000000	1.730000	25.000000	8.700000	WATER BASED	1986-05-05	889	9999-12-31	2013-05-08	14248
34/7-9	2641.000000	1.730000	26.000000	6.800000	WATER BASED	1986-05-09	889	9999-12-31	2013-05-08	14249
34/7-9	2670.000000	1.730000	25.000000	6.800000	WATER BASED	1986-05-09	889	9999-12-31	2013-05-08	14250
34/7-9	2770.000000	1.730000	28.000000	6.300000	WATER BASED	1986-05-09	889	9999-12-31	2013-05-08	14251
34/7-9	2802.000000	1.730000	22.000000	7.200000	WATER BASED	1986-05-21	889	9999-12-31	2013-05-08	14252
34/7-9	2802.000000	1.730000	19.000000	4.800000	WATER BASED	1986-05-24	889	9999-12-31	2013-05-08	14253
34/7-9	2802.000000	1.730000	18.000000	4.800000	WATER BASED	1986-05-25	889	9999-12-31	2013-05-08	14254
34/7-9	2802.000000	1.730000	18.000000	4.800000	WATER BASED	1986-06-06	889	9999-12-31	2013-05-08	14255
34/7-9	2802.000000	1.730000	19.000000	5.300000	WATER BASED	1986-06-06	889	9999-12-31	2013-05-08	14256
34/7-9	2802.000000	1.730000	20.000000	5.800000	WATER BASED	1986-06-15	889	9999-12-31	2013-05-08	14257
34/7-9	2802.000000	1.730000	20.000000	5.800000	WATER BASED	1986-06-15	889	9999-12-31	2013-05-08	14258
34/7-9	2802.000000	1.730000	20.000000	5.800000	WATER BASED	1986-06-15	889	9999-12-31	2013-05-08	14259
34/7-9	2802.000000	1.730000	19.000000	5.800000	WATER BASED	1986-06-06	889	9999-12-31	2013-05-08	14260
34/7-9	2806.000000	1.730000	26.000000	7.200000	WATER BASED	1986-05-12	889	9999-12-31	2013-05-08	14261
34/7-9	2813.000000	1.730000	20.000000	6.300000	WATER BASED	1986-05-21	889	9999-12-31	2013-05-08	14262
34/7-9	2820.000000	1.730000	25.000000	6.300000	WATER BASED	1986-05-21	889	9999-12-31	2013-05-08	14263
34/7-9	2937.000000	1.730000	26.000000	8.200000	WATER BASED	1986-05-20	889	9999-12-31	2013-05-08	14264
34/7-9	3090.000000	1.730000	26.000000	7.700000	WATER BASED	1986-05-20	889	9999-12-31	2013-05-08	14265
34/7-9	3156.000000	1.730000	23.000000	7.200000	WATER BASED	1986-05-20	889	9999-12-31	2013-05-08	14266
34/7-9	3160.000000	1.730000	21.000000	7.200000	WATER BASED	1986-05-21	889	9999-12-31	2013-05-08	14267
34/7-9	3240.000000	1.730000	24.000000	8.200000	WATER BASED	1986-05-21	889	9999-12-31	2013-05-08	14268
34/7-9	3240.000000	1.730000	24.000000	7.700000	WATER BASED	1986-05-21	889	9999-12-31	2013-05-08	14269
34/8-1	438.000000	1.050000	10.000000	18.000000	WATER BASED	1985-11-10	854	9999-12-31	2013-05-08	14270
34/8-1	438.000000	1.050000	12.000000	20.000000	WATER BASED	1985-11-10	854	9999-12-31	2013-05-08	14271
34/8-1	438.000000	1.240000	14.000000	20.000000	WATER BASED	1985-11-12	854	9999-12-31	2013-05-08	14272
34/8-1	438.000000	1.050000	9.000000	14.000000	WATER BASED	1985-11-13	854	9999-12-31	2013-05-08	14273
34/8-1	569.000000	1.080000	8.000000	21.000000	WATER BASED	1985-11-18	854	9999-12-31	2013-05-08	14274
34/8-1	925.000000	1.120000	8.000000	25.000000	WATER BASED	1985-11-18	854	9999-12-31	2013-05-08	14275
34/8-1	925.000000	1.110000	8.000000	16.000000	WATER BASED	1985-11-18	854	9999-12-31	2013-05-08	14276
34/8-1	925.000000	1.150000	7.000000	16.000000	WATER BASED	1985-11-18	854	9999-12-31	2013-05-08	14277
34/8-1	925.000000	1.110000	8.000000	16.000000	WATER BASED	1985-11-18	854	9999-12-31	2013-05-08	14278
34/8-1	935.000000	1.210000	7.000000	19.000000	WATER BASED	1985-11-19	854	9999-12-31	2013-05-08	14279
34/8-1	935.000000	1.230000	7.000000	17.000000	WATER BASED	1985-11-20	854	9999-12-31	2013-05-08	14280
34/8-1	935.000000	1.210000	12.000000	14.000000	WATER BASED	1985-11-24	854	9999-12-31	2013-05-08	14281
34/8-1	938.000000	1.150000	17.000000	13.000000	WATER BASED	1985-11-24	854	9999-12-31	2013-05-08	14282
34/8-1	1189.000000	1.180000	16.000000	12.000000	WATER BASED	1985-11-24	854	9999-12-31	2013-05-08	14283
34/8-1	1554.000000	1.160000	18.000000	14.000000	WATER BASED	1985-11-26	854	9999-12-31	2013-05-08	14284
34/8-1	1770.000000	1.200000	18.000000	13.000000	WATER BASED	1985-11-27	854	9999-12-31	2013-05-08	14285
34/8-1	1770.000000	1.200000	16.000000	11.000000	WATER BASED	1985-11-28	854	9999-12-31	2013-05-08	14286
34/8-1	1770.000000	1.170000	19.000000	12.000000	WATER BASED	1985-11-26	854	9999-12-31	2013-05-08	14287
34/8-1	1773.000000	1.200000	16.000000	10.000000	WATER BASED	1985-12-01	854	9999-12-31	2013-05-08	14288
34/8-1	1821.000000	1.250000	18.000000	12.000000	WATER BASED	1985-12-01	854	9999-12-31	2013-05-08	14289
34/8-1	1929.000000	1.250000	20.000000	12.000000	WATER BASED	1985-12-01	854	9999-12-31	2013-05-08	14290
34/8-1	2065.000000	1.260000	20.000000	10.000000	WATER BASED	1985-12-04	854	9999-12-31	2013-05-08	14291
34/8-1	2121.000000	1.320000	20.000000	9.000000	WATER BASED	1985-12-03	854	9999-12-31	2013-05-08	14292
34/8-1	2179.000000	1.660000	17.000000	9.000000	WATER BASED	1986-03-04	854	9999-12-31	2013-05-08	14293
34/8-1	2267.000000	1.400000	21.000000	8.000000	WATER BASED	1985-12-05	854	9999-12-31	2013-05-08	14294
34/8-1	2375.000000	1.530000	28.000000	10.000000	WATER BASED	1985-12-08	854	9999-12-31	2013-05-08	14295
34/8-1	2395.000000	1.530000	28.000000	9.000000	WATER BASED	1985-12-08	854	9999-12-31	2013-05-08	14296
34/8-1	2398.000000	1.520000	26.000000	8.000000	WATER BASED	1985-12-10	854	9999-12-31	2013-05-08	14297
34/8-1	2461.000000	1.520000	28.000000	7.000000	WATER BASED	1985-12-11	854	9999-12-31	2013-05-08	14298
34/8-1	2540.000000	1.510000	34.000000	8.000000	WATER BASED	1985-12-15	854	9999-12-31	2013-05-08	14299
34/8-1	2655.000000	1.510000	23.000000	7.000000	WATER BASED	1985-12-15	854	9999-12-31	2013-05-08	14300
34/8-1	2737.000000	1.510000	27.000000	9.000000	WATER BASED	1985-12-15	854	9999-12-31	2013-05-08	14301
34/8-1	2765.000000	1.550000	12.000000	2.000000	WATER BASED	1986-03-05	854	9999-12-31	2013-05-08	14302
34/8-1	2768.000000	1.690000	37.000000	16.000000	WATER BASED	1985-12-15	854	9999-12-31	2013-05-08	14303
34/8-1	2787.000000	1.700000	18.000000	10.000000	WATER BASED	1985-12-16	854	9999-12-31	2013-05-08	14304
34/8-1	2807.000000	1.700000	20.000000	9.000000	WATER BASED	1986-03-03	854	9999-12-31	2013-05-08	14305
34/8-1	2822.000000	1.690000	22.000000	7.000000	WATER BASED	1985-12-17	854	9999-12-31	2013-05-08	14306
34/8-1	2833.000000	1.700000	20.000000	10.000000	WATER BASED	1985-12-18	854	9999-12-31	2013-05-08	14307
34/8-1	2850.000000	1.700000	20.000000	9.000000	WATER BASED	1986-02-26	854	9999-12-31	2013-05-08	14308
34/8-1	2850.000000	1.700000	20.000000	9.000000	WATER BASED	1986-02-27	854	9999-12-31	2013-05-08	14309
34/8-1	2854.000000	1.660000	20.000000	9.000000	WATER BASED	1986-02-25	854	9999-12-31	2013-05-08	14310
34/8-1	2854.000000	1.690000	23.000000	10.000000	WATER BASED	1985-12-22	854	9999-12-31	2013-05-08	14311
34/8-1	2856.000000	1.660000	20.000000	9.000000	WATER BASED	1986-02-24	854	9999-12-31	2013-05-08	14312
34/8-1	2856.000000	1.660000	20.000000	9.000000	WATER BASED	1986-02-23	854	9999-12-31	2013-05-08	14313
34/8-1	2874.000000	1.660000	20.000000	9.000000	WATER BASED	1986-02-20	854	9999-12-31	2013-05-08	14314
34/8-1	2874.000000	1.660000	20.000000	9.000000	WATER BASED	1986-02-23	854	9999-12-31	2013-05-08	14315
34/8-1	2894.000000	1.690000	20.000000	9.000000	WATER BASED	1985-12-22	854	9999-12-31	2013-05-08	14316
34/8-1	2900.000000	1.640000	20.000000	9.000000	WATER BASED	1986-02-17	854	9999-12-31	2013-05-08	14317
34/8-1	2900.000000	1.660000	20.000000	9.000000	WATER BASED	1986-02-18	854	9999-12-31	2013-05-08	14318
34/8-1	2900.000000	1.660000	20.000000	9.000000	WATER BASED	1986-02-19	854	9999-12-31	2013-05-08	14319
34/8-1	2920.000000	1.690000	20.000000	10.000000	WATER BASED	1985-12-22	854	9999-12-31	2013-05-08	14320
34/8-1	2920.000000	1.660000	20.000000	11.000000	WATER BASED	1985-12-30	854	9999-12-31	2013-05-08	14321
34/8-1	2920.000000	1.690000	22.000000	10.000000	WATER BASED	1985-12-29	854	9999-12-31	2013-05-08	14322
34/8-1	2920.000000	1.690000	19.000000	13.000000	WATER BASED	1985-12-29	854	9999-12-31	2013-05-08	14323
34/8-1	2920.000000	1.690000	18.000000	11.000000	WATER BASED	1985-12-29	854	9999-12-31	2013-05-08	14324
34/8-1	2920.000000	1.660000	15.000000	10.000000	WATER BASED	1985-12-29	854	9999-12-31	2013-05-08	14325
34/8-1	2920.000000	1.660000	18.000000	9.000000	WATER BASED	1985-12-29	854	9999-12-31	2013-05-08	14326
34/8-1	2920.000000	1.690000	21.000000	11.000000	WATER BASED	1985-12-23	854	9999-12-31	2013-05-08	14327
34/8-1	2920.000000	1.690000	20.000000	9.000000	WATER BASED	1985-12-22	854	9999-12-31	2013-05-08	14328
34/8-1	2920.000000	1.690000	21.000000	14.000000	WATER BASED	1985-12-29	854	9999-12-31	2013-05-08	14329
34/8-1	2947.000000	1.660000	17.000000	11.000000	WATER BASED	1986-01-02	854	9999-12-31	2013-05-08	14330
34/8-1	2975.000000	1.660000	17.000000	10.000000	WATER BASED	1986-01-02	854	9999-12-31	2013-05-08	14331
34/8-1	3014.000000	1.660000	20.000000	12.000000	WATER BASED	1986-01-02	854	9999-12-31	2013-05-08	14332
34/8-1	3019.000000	1.660000	20.000000	9.000000	WATER BASED	1986-02-17	854	9999-12-31	2013-05-08	14333
34/8-1	3019.000000	1.660000	20.000000	9.000000	WATER BASED	1986-02-12	854	9999-12-31	2013-05-08	14334
34/8-1	3019.000000	1.660000	19.000000	12.000000	WATER BASED	1986-02-10	854	9999-12-31	2013-05-08	14335
34/8-1	3019.000000	1.660000	14.000000	8.000000	WATER BASED	1986-02-13	854	9999-12-31	2013-05-08	14336
34/8-1	3019.000000	1.660000	17.000000	9.000000	WATER BASED	1986-02-12	854	9999-12-31	2013-05-08	14337
34/8-1	3021.000000	1.660000	21.000000	7.000000	WATER BASED	1986-02-10	854	9999-12-31	2013-05-08	14338
34/8-1	3023.000000	1.660000	20.000000	8.000000	WATER BASED	1986-02-10	854	9999-12-31	2013-05-08	14339
34/8-1	3035.000000	1.660000	20.000000	8.000000	WATER BASED	1986-02-10	854	9999-12-31	2013-05-08	14340
34/8-1	3044.000000	1.660000	20.000000	12.000000	WATER BASED	1986-01-05	854	9999-12-31	2013-05-08	14341
34/8-1	3065.000000	1.660000	29.000000	9.000000	WATER BASED	1986-01-05	854	9999-12-31	2013-05-08	14342
34/8-1	3185.000000	1.660000	20.000000	10.000000	WATER BASED	1986-01-05	854	9999-12-31	2013-05-08	14343
34/8-1	3247.000000	1.660000	22.000000	9.000000	WATER BASED	1986-01-07	854	9999-12-31	2013-05-08	14344
34/8-1	3278.000000	1.660000	20.000000	9.000000	WATER BASED	1986-01-07	854	9999-12-31	2013-05-08	14345
34/8-1	3318.000000	1.660000	20.000000	9.000000	WATER BASED	1986-01-08	854	9999-12-31	2013-05-08	14346
34/8-1	3341.000000	1.660000	21.000000	8.000000	WATER BASED	1986-01-09	854	9999-12-31	2013-05-08	14347
34/8-1	3344.000000	1.660000	20.000000	8.000000	WATER BASED	1986-01-14	854	9999-12-31	2013-05-08	14348
34/8-1	3344.000000	1.680000	21.000000	9.000000	WATER BASED	1986-01-15	854	9999-12-31	2013-05-08	14349
34/8-1	3344.000000	1.660000	20.000000	9.000000	WATER BASED	1986-01-13	854	9999-12-31	2013-05-08	14350
34/8-1	3344.000000	1.660000	20.000000	8.000000	WATER BASED	1986-01-13	854	9999-12-31	2013-05-08	14351
34/8-1	3351.000000	1.660000	20.000000	9.000000	WATER BASED	1986-01-16	854	9999-12-31	2013-05-08	14352
34/8-1	3351.000000	1.680000	20.000000	10.000000	WATER BASED	1986-01-19	854	9999-12-31	2013-05-08	14353
34/8-1	3351.000000	1.670000	20.000000	8.000000	WATER BASED	1986-01-19	854	9999-12-31	2013-05-08	14354
34/8-1	3351.000000	1.670000	20.000000	10.000000	WATER BASED	1986-01-20	854	9999-12-31	2013-05-08	14355
34/8-1	3352.000000	1.680000	24.000000	10.000000	WATER BASED	1986-01-21	854	9999-12-31	2013-05-08	14356
34/8-1	3368.000000	1.660000	20.000000	8.000000	WATER BASED	1986-01-22	854	9999-12-31	2013-05-08	14357
34/8-1	3455.000000	1.660000	21.000000	9.000000	WATER BASED	1986-01-28	854	9999-12-31	2013-05-08	14358
34/8-1	3484.000000	1.670000	20.000000	9.000000	WATER BASED	1986-01-28	854	9999-12-31	2013-05-08	14359
34/8-1	3512.000000	1.660000	21.000000	10.000000	WATER BASED	1986-01-28	854	9999-12-31	2013-05-08	14360
34/8-1	3528.000000	1.660000	19.000000	10.000000	WATER BASED	1986-01-28	854	9999-12-31	2013-05-08	14361
34/8-1	3610.000000	1.660000	20.000000	15.000000	WATER BASED	1986-01-28	854	9999-12-31	2013-05-08	14362
34/8-1	3610.000000	1.660000	19.000000	11.000000	WATER BASED	1986-01-28	854	9999-12-31	2013-05-08	14363
34/8-1	3610.000000	1.660000	22.000000	11.000000	WATER BASED	1986-01-30	854	9999-12-31	2013-05-08	14364
34/8-1	3610.000000	1.660000	19.000000	11.000000	WATER BASED	1986-01-30	854	9999-12-31	2013-05-08	14365
34/8-1	3610.000000	1.660000	19.000000	10.000000	WATER BASED	1986-02-03	854	9999-12-31	2013-05-08	14366
34/8-1	3610.000000	1.660000	18.000000	9.000000	WATER BASED	1986-02-02	854	9999-12-31	2013-05-08	14367
34/8-1	3610.000000	1.660000	19.000000	10.000000	WATER BASED	1986-02-04	854	9999-12-31	2013-05-08	14368
34/8-1	3610.000000	1.660000	18.000000	9.000000	WATER BASED	1986-02-06	854	9999-12-31	2013-05-08	14369
34/8-1	3610.000000	1.660000	21.000000	11.000000	WATER BASED	1986-02-02	854	9999-12-31	2013-05-08	14370
34/8-1	3610.000000	1.660000	21.000000	10.000000	WATER BASED	1986-02-02	854	9999-12-31	2013-05-08	14371
34/8-1	3885.000000	1.560000	12.000000	2.000000	WATER BASED	1986-03-08	854	9999-12-31	2013-05-08	14372
34/8-10 S	390.000000	1.600000	22.000000	9.500000	WATER BASED	1993-12-09	2179	9999-12-31	2013-05-08	14373
34/8-10 S	434.000000	1.050000	0.000000	0.000000	WATER BASED	1993-09-30	2179	9999-12-31	2013-05-08	14374
34/8-10 S	1110.000000	1.620000	23.000000	9.500000	WATER BASED	1993-12-08	2179	9999-12-31	2013-05-08	14375
34/8-10 S	1358.000000	1.200000	0.000000	0.000000	WATER BASED	1993-09-30	2179	9999-12-31	2013-05-08	14376
34/8-10 S	1358.000000	1.200000	0.000000	0.000000	WATER BASED	1993-10-01	2179	9999-12-31	2013-05-08	14377
34/8-10 S	1358.000000	1.200000	0.000000	0.000000	WATER BASED	1993-10-04	2179	9999-12-31	2013-05-08	14378
34/8-10 S	1358.000000	1.200000	0.000000	0.000000	WATER BASED	1993-10-04	2179	9999-12-31	2013-05-08	14379
34/8-10 S	1633.000000	1.400000	17.000000	13.500000	WATER BASED	1993-10-04	2179	9999-12-31	2013-05-08	14380
34/8-10 S	1900.000000	1.420000	16.000000	16.000000	WATER BASED	1993-10-06	2179	9999-12-31	2013-05-08	14381
34/8-10 S	2202.000000	1.500000	24.000000	17.500000	WATER BASED	1993-10-07	2179	9999-12-31	2013-05-08	14382
34/8-10 S	2560.000000	1.510000	20.000000	11.000000	WATER BASED	1993-10-12	2179	9999-12-31	2013-05-08	14383
34/8-10 S	2560.000000	1.500000	25.000000	16.000000	WATER BASED	1993-10-11	2179	9999-12-31	2013-05-08	14384
34/8-10 S	2560.000000	1.500000	23.000000	12.000000	WATER BASED	1993-10-11	2179	9999-12-31	2013-05-08	14385
34/8-10 S	2560.000000	1.500000	23.000000	16.000000	WATER BASED	1993-10-08	2179	9999-12-31	2013-05-08	14386
34/8-10 S	2560.000000	1.520000	22.000000	17.000000	WATER BASED	1993-10-11	2179	9999-12-31	2013-05-08	14387
34/8-10 S	2571.000000	1.500000	18.000000	11.000000	WATER BASED	1993-10-13	2179	9999-12-31	2013-05-08	14388
34/8-10 S	2653.000000	1.500000	26.000000	15.000000	WATER BASED	1993-10-14	2179	9999-12-31	2013-05-08	14389
34/8-10 S	2741.000000	1.610000	27.000000	15.000000	WATER BASED	1993-10-18	2179	9999-12-31	2013-05-08	14390
34/8-10 S	2818.000000	1.650000	38.000000	16.000000	WATER BASED	1993-10-18	2179	9999-12-31	2013-05-08	14391
34/8-10 S	2874.000000	1.700000	33.000000	13.000000	WATER BASED	1993-10-18	2179	9999-12-31	2013-05-08	14392
34/8-10 S	2885.000000	1.700000	34.000000	12.000000	WATER BASED	1993-10-19	2179	9999-12-31	2013-05-08	14393
34/8-10 S	2900.000000	1.700000	31.000000	14.000000	WATER BASED	1993-10-20	2179	9999-12-31	2013-05-08	14394
34/8-10 S	2923.000000	1.690000	32.000000	13.000000	WATER BASED	1993-10-22	2179	9999-12-31	2013-05-08	14395
34/8-10 S	2940.000000	1.690000	33.000000	14.000000	WATER BASED	1993-10-25	2179	9999-12-31	2013-05-08	14396
34/8-10 S	2990.000000	1.690000	29.000000	13.000000	WATER BASED	1993-10-25	2179	9999-12-31	2013-05-08	14397
34/8-10 S	3010.000000	1.690000	28.000000	13.000000	WATER BASED	1993-10-26	2179	9999-12-31	2013-05-08	14398
34/8-10 S	3015.000000	1.690000	28.000000	13.000000	WATER BASED	1993-10-25	2179	9999-12-31	2013-05-08	14399
34/8-10 S	3042.000000	1.690000	31.000000	14.000000	WATER BASED	1993-10-27	2179	9999-12-31	2013-05-08	14400
34/8-10 S	3059.000000	1.680000	35.000000	15.000000	WATER BASED	1993-10-28	2179	9999-12-31	2013-05-08	14401
34/8-10 S	3085.000000	1.680000	35.000000	15.000000	WATER BASED	1993-11-01	2179	9999-12-31	2013-05-08	14402
34/8-10 S	3090.000000	1.690000	37.000000	15.000000	WATER BASED	1993-11-01	2179	9999-12-31	2013-05-08	14403
34/8-10 S	3123.000000	1.690000	35.000000	16.000000	WATER BASED	1993-11-01	2179	9999-12-31	2013-05-08	14404
34/8-10 S	3130.000000	1.690000	35.000000	15.000000	WATER BASED	1993-11-01	2179	9999-12-31	2013-05-08	14405
34/8-10 S	3147.000000	1.700000	33.000000	14.000000	WATER BASED	1993-11-02	2179	9999-12-31	2013-05-08	14406
34/8-10 S	3270.000000	1.680000	37.000000	16.000000	WATER BASED	1993-11-03	2179	9999-12-31	2013-05-08	14407
34/8-10 S	3281.000000	1.680000	38.000000	16.000000	WATER BASED	1993-11-08	2179	9999-12-31	2013-05-08	14408
34/8-10 S	3281.000000	1.680000	38.000000	16.000000	WATER BASED	1993-11-04	2179	9999-12-31	2013-05-08	14409
34/8-10 S	3409.000000	1.660000	32.000000	7.500000	WATER BASED	1993-12-01	2179	9999-12-31	2013-05-08	14410
34/8-10 S	3470.000000	1.660000	29.000000	7.000000	WATER BASED	1993-11-30	2179	9999-12-31	2013-05-08	14411
34/8-10 S	3470.000000	1.660000	25.000000	7.500000	WATER BASED	1993-11-30	2179	9999-12-31	2013-05-08	14412
34/8-10 S	3470.000000	1.660000	28.000000	7.500000	WATER BASED	1993-11-19	2179	9999-12-31	2013-05-08	14413
34/8-10 S	3470.000000	1.660000	29.000000	7.000000	WATER BASED	1993-11-24	2179	9999-12-31	2013-05-08	14414
34/8-10 S	3470.000000	1.660000	25.000000	7.000000	WATER BASED	1993-12-06	2179	9999-12-31	2013-05-08	14415
34/8-10 S	3470.000000	1.660000	29.000000	7.000000	WATER BASED	1993-11-25	2179	9999-12-31	2013-05-08	14416
34/8-10 S	3470.000000	1.660000	29.000000	7.000000	WATER BASED	1993-11-26	2179	9999-12-31	2013-05-08	14417
34/8-10 S	3470.000000	1.600000	19.000000	7.000000	WATER BASED	1993-12-07	2179	9999-12-31	2013-05-08	14418
34/8-10 S	3470.000000	1.660000	25.000000	7.000000	WATER BASED	1993-12-06	2179	9999-12-31	2013-05-08	14419
34/8-10 S	3470.000000	1.660000	25.000000	7.000000	WATER BASED	1993-12-06	2179	9999-12-31	2013-05-08	14420
34/8-10 S	3470.000000	1.680000	34.000000	14.000000	WATER BASED	1993-11-08	2179	9999-12-31	2013-05-08	14421
34/8-10 S	3470.000000	1.680000	33.000000	14.000000	WATER BASED	1993-11-08	2179	9999-12-31	2013-05-08	14422
34/8-10 S	3470.000000	1.680000	33.000000	13.000000	WATER BASED	1993-11-09	2179	9999-12-31	2013-05-08	14423
34/8-10 S	3470.000000	1.680000	38.000000	13.000000	WATER BASED	1993-11-11	2179	9999-12-31	2013-05-08	14424
34/8-10 S	3470.000000	1.680000	35.000000	13.000000	WATER BASED	1993-11-12	2179	9999-12-31	2013-05-08	14425
34/8-10 S	3470.000000	1.680000	37.000000	14.000000	WATER BASED	1993-11-12	2179	9999-12-31	2013-05-08	14426
34/8-10 S	3470.000000	1.650000	29.000000	7.000000	WATER BASED	1993-11-22	2179	9999-12-31	2013-05-08	14427
34/8-10 S	3470.000000	1.660000	29.000000	7.000000	WATER BASED	1993-11-22	2179	9999-12-31	2013-05-08	14428
34/8-10 S	3470.000000	1.660000	30.000000	6.000000	WATER BASED	1993-11-23	2179	9999-12-31	2013-05-08	14429
34/8-10 S	3470.000000	1.660000	28.000000	7.500000	WATER BASED	1993-11-18	2179	9999-12-31	2013-05-08	14430
34/8-10 S	3470.000000	1.660000	28.000000	8.500000	WATER BASED	1993-11-16	2179	9999-12-31	2013-05-08	14431
34/8-10 S	3470.000000	1.660000	28.000000	8.500000	WATER BASED	1993-11-17	2179	9999-12-31	2013-05-08	14432
34/8-10 S	3470.000000	1.680000	367.000000	17.000000	WATER BASED	1993-11-16	2179	9999-12-31	2013-05-08	14433
34/8-10 S	3470.000000	1.680000	367.000000	17.000000	WATER BASED	1993-11-16	2179	9999-12-31	2013-05-08	14434
34/8-10 S	3470.000000	1.660000	27.000000	8.000000	WATER BASED	1993-11-16	2179	9999-12-31	2013-05-08	14435
34/8-10 S	3470.000000	1.680000	33.000000	13.000000	WATER BASED	1993-11-08	2179	9999-12-31	2013-05-08	14436
34/8-10 S	3470.000000	1.660000	29.000000	7.500000	WATER BASED	1993-11-22	2179	9999-12-31	2013-05-08	14437
34/8-10 S	3470.000000	1.660000	27.000000	5.500000	WATER BASED	1993-12-02	2179	9999-12-31	2013-05-08	14438
34/8-10 S	3470.000000	1.660000	26.000000	6.000000	WATER BASED	1993-12-06	2179	9999-12-31	2013-05-08	14439
34/8-10 S	3470.000000	1.660000	25.000000	6.500000	WATER BASED	1993-12-06	2179	9999-12-31	2013-05-08	14440
34/8-11	440.000000	1.200000	0.000000	0.000000	WATER BASED	1993-12-15	2180	9999-12-31	2013-05-08	14441
34/8-11	794.000000	1.060000	0.000000	0.000000	WATER BASED	1993-12-15	2180	9999-12-31	2013-05-08	14442
34/8-11	1204.000000	1.550000	21.000000	7.000000	WATER BASED	1994-02-07	2180	9999-12-31	2013-05-08	14443
34/8-11	1204.000000	1.550000	22.000000	5.500000	WATER BASED	1994-02-04	2180	9999-12-31	2013-05-08	14444
34/8-11	1295.000000	1.200000	0.000000	0.000000	WATER BASED	1993-12-20	2180	9999-12-31	2013-05-08	14445
34/8-11	1295.000000	1.200000	0.000000	0.000000	WATER BASED	1993-12-15	2180	9999-12-31	2013-05-08	14446
34/8-11	1295.000000	1.200000	0.000000	0.000000	WATER BASED	1993-12-15	2180	9999-12-31	2013-05-08	14447
34/8-11	1295.000000	1.200000	0.000000	0.000000	WATER BASED	1993-12-15	2180	9999-12-31	2013-05-08	14448
34/8-11	1295.000000	1.200000	0.000000	0.000000	WATER BASED	1993-12-20	2180	9999-12-31	2013-05-08	14449
34/8-11	1668.000000	1.500000	34.000000	11.000000	WATER BASED	1993-12-22	2180	9999-12-31	2013-05-08	14450
34/8-11	2025.000000	1.500000	30.000000	9.500000	WATER BASED	1993-12-22	2180	9999-12-31	2013-05-08	14451
34/8-11	2400.000000	1.500000	33.000000	10.000000	WATER BASED	1993-12-22	2180	9999-12-31	2013-05-08	14452
34/8-11	2711.000000	1.510000	25.000000	7.500000	WATER BASED	1993-12-22	2180	9999-12-31	2013-05-08	14453
34/8-11	2711.000000	1.510000	24.000000	7.000000	WATER BASED	1993-12-23	2180	9999-12-31	2013-05-08	14454
34/8-11	2711.000000	1.510000	24.000000	8.000000	WATER BASED	1993-12-22	2180	9999-12-31	2013-05-08	14455
34/8-11	2733.000000	1.680000	32.000000	8.500000	WATER BASED	1993-12-28	2180	9999-12-31	2013-05-08	14456
34/8-11	2786.000000	1.680000	34.000000	8.500000	WATER BASED	1993-12-28	2180	9999-12-31	2013-05-08	14457
34/8-11	2856.000000	1.680000	35.000000	8.000000	WATER BASED	1993-12-28	2180	9999-12-31	2013-05-08	14458
34/8-11	2884.000000	1.680000	34.000000	7.000000	WATER BASED	1993-12-28	2180	9999-12-31	2013-05-08	14459
34/8-11	2889.000000	1.660000	23.000000	6.500000	WATER BASED	1994-02-03	2180	9999-12-31	2013-05-08	14460
34/8-11	2914.000000	1.680000	31.000000	6.000000	WATER BASED	1993-12-28	2180	9999-12-31	2013-05-08	14461
34/8-11	2932.000000	1.680000	36.000000	7.500000	WATER BASED	1993-12-29	2180	9999-12-31	2013-05-08	14462
34/8-11	2986.000000	1.680000	36.000000	7.000000	WATER BASED	1993-12-30	2180	9999-12-31	2013-05-08	14463
34/8-11	2994.000000	1.680000	33.000000	7.000000	WATER BASED	1993-12-31	2180	9999-12-31	2013-05-08	14464
34/8-11	3008.000000	1.680000	38.000000	7.500000	WATER BASED	1994-01-03	2180	9999-12-31	2013-05-08	14465
34/8-11	3090.000000	1.660000	33.000000	10.000000	WATER BASED	1994-01-20	2180	9999-12-31	2013-05-08	14466
34/8-11	3090.000000	1.660000	34.000000	10.000000	WATER BASED	1994-01-25	2180	9999-12-31	2013-05-08	14467
34/8-11	3090.000000	1.660000	34.000000	10.000000	WATER BASED	1994-01-25	2180	9999-12-31	2013-05-08	14468
34/8-11	3090.000000	1.660000	34.000000	10.000000	WATER BASED	1994-01-25	2180	9999-12-31	2013-05-08	14469
34/8-11	3140.000000	1.660000	25.000000	7.000000	WATER BASED	1994-01-27	2180	9999-12-31	2013-05-08	14470
34/8-11	3140.000000	1.680000	39.000000	9.500000	WATER BASED	1994-01-03	2180	9999-12-31	2013-05-08	14471
34/8-11	3140.000000	1.680000	39.000000	9.500000	WATER BASED	1994-01-03	2180	9999-12-31	2013-05-08	14472
34/8-11	3140.000000	1.680000	39.000000	9.500000	WATER BASED	1994-01-04	2180	9999-12-31	2013-05-08	14473
34/8-11	3140.000000	1.680000	37.000000	8.000000	WATER BASED	1994-01-06	2180	9999-12-31	2013-05-08	14474
34/8-11	3140.000000	1.660000	38.000000	10.000000	WATER BASED	1994-01-07	2180	9999-12-31	2013-05-08	14475
34/8-11	3140.000000	1.660000	38.000000	10.000000	WATER BASED	1994-01-10	2180	9999-12-31	2013-05-08	14476
34/8-11	3140.000000	1.660000	38.000000	10.000000	WATER BASED	1994-01-10	2180	9999-12-31	2013-05-08	14477
34/8-11	3140.000000	1.660000	38.000000	10.000000	WATER BASED	1994-01-10	2180	9999-12-31	2013-05-08	14478
34/8-11	3140.000000	1.660000	36.000000	8.500000	WATER BASED	1994-01-13	2180	9999-12-31	2013-05-08	14479
34/8-11	3140.000000	1.660000	36.000000	8.500000	WATER BASED	1994-01-17	2180	9999-12-31	2013-05-08	14480
34/8-11	3140.000000	1.660000	35.000000	9.000000	WATER BASED	1994-01-18	2180	9999-12-31	2013-05-08	14481
34/8-11	3140.000000	1.660000	33.000000	10.000000	WATER BASED	1994-01-18	2180	9999-12-31	2013-05-08	14482
34/8-11	3140.000000	1.680000	37.000000	8.000000	WATER BASED	1994-01-06	2180	9999-12-31	2013-05-08	14483
34/8-11	3140.000000	1.660000	38.000000	10.000000	WATER BASED	1994-01-11	2180	9999-12-31	2013-05-08	14484
34/8-11	3140.000000	1.660000	38.000000	10.000000	WATER BASED	1994-01-12	2180	9999-12-31	2013-05-08	14485
34/8-11	3140.000000	1.660000	33.000000	10.000000	WATER BASED	1994-01-18	2180	9999-12-31	2013-05-08	14486
34/8-11	3140.000000	1.660000	33.000000	10.000000	WATER BASED	1994-01-18	2180	9999-12-31	2013-05-08	14487
34/8-13 A	968.000000	1.300000	48.000000	0.000000	KCl/Polymer	9999-12-31	6024	9999-12-31	2013-05-08	14488
34/8-13 A	1324.000000	1.480000	18.000000	0.000000	XP-07 - #14	9999-12-31	6024	9999-12-31	2013-05-08	14489
34/8-13 A	1330.000000	1.300000	48.000000	0.000000	KCl/Polymer	9999-12-31	6024	9999-12-31	2013-05-08	14490
34/8-13 A	1330.000000	1.410000	15.000000	0.000000	XP-07 - #14	9999-12-31	6024	9999-12-31	2013-05-08	14491
34/8-13 A	1330.000000	1.300000	48.000000	0.000000	KCl/Polymer	9999-12-31	6024	9999-12-31	2013-05-08	14492
34/8-13 A	1330.000000	1.300000	17.000000	0.000000	Kill Fluid- SW/Bentonite	9999-12-31	6024	9999-12-31	2013-05-08	14493
34/8-13 A	1397.000000	1.410000	15.000000	0.000000	XP-07 - #14	9999-12-31	6024	9999-12-31	2013-05-08	14494
34/8-13 A	2345.000000	1.480000	21.000000	0.000000	XP-07 - #14	9999-12-31	6024	9999-12-31	2013-05-08	14495
34/8-13 A	2617.000000	1.490000	21.000000	0.000000	XP-07 - #14	9999-12-31	6024	9999-12-31	2013-05-08	14496
34/8-13 A	2948.000000	1.490000	24.000000	0.000000	XP-07 - #14	9999-12-31	6024	9999-12-31	2013-05-08	14497
34/8-13 A	3439.000000	1.610000	26.000000	0.000000	XP-07 - #14	9999-12-31	6024	9999-12-31	2013-05-08	14498
34/8-13 A	3852.000000	1.610000	30.000000	0.000000	XP-07 - #14	9999-12-31	6024	9999-12-31	2013-05-08	14499
34/8-13 A	3853.000000	1.610000	27.000000	0.000000	XP-07 - #14	9999-12-31	6024	9999-12-31	2013-05-08	14500
34/8-13 S	1330.000000	1.410000	16.000000	0.000000	XP-07 - #14	9999-12-31	6025	9999-12-31	2013-05-08	14501
34/8-13 S	1511.000000	1.420000	19.000000	0.000000	XP-07 - #14	9999-12-31	6025	9999-12-31	2013-05-08	14502
34/8-13 S	1963.000000	1.460000	21.000000	0.000000	XP-07 - #14	9999-12-31	6025	9999-12-31	2013-05-08	14503
34/8-13 S	2445.000000	1.480000	23.000000	0.000000	XP-07 - #14	9999-12-31	6025	9999-12-31	2013-05-08	14504
34/8-13 S	3556.000000	1.480000	20.000000	0.000000	XP-07 - #14	9999-12-31	6025	9999-12-31	2013-05-08	14505
34/8-13 S	3560.000000	1.480000	22.000000	0.000000	XP-07 - #14	9999-12-31	6025	9999-12-31	2013-05-08	14506
34/8-13 S	3865.000000	1.610000	28.000000	0.000000	XP-07 - #14	9999-12-31	6025	9999-12-31	2013-05-08	14507
34/8-13 S	3952.000000	1.610000	25.000000	0.000000	OBM-Low ECD	9999-12-31	6025	9999-12-31	2013-05-08	14508
34/8-13 S	4279.000000	1.610000	27.000000	0.000000	XP-07 - #14	9999-12-31	6025	9999-12-31	2013-05-08	14509
34/8-13 S	4442.000000	1.610000	29.000000	0.000000	XP-07 - #14	9999-12-31	6025	9999-12-31	2013-05-08	14510
34/8-13 S	4442.000000	1.480000	21.000000	0.000000	XP-07 - #14	9999-12-31	6025	9999-12-31	2013-05-08	14511
34/8-13 S	4442.000000	1.610000	26.000000	0.000000	XP-07 - #14	9999-12-31	6025	9999-12-31	2013-05-08	14512
34/8-14 A	1352.000000	1.390000	17.000000	0.000000	OBM-Low ECD	9999-12-31	5954	9999-12-31	2013-05-08	14513
34/8-14 A	1723.000000	1.480000	23.000000	0.000000	OBM-Low ECD	9999-12-31	5954	9999-12-31	2013-05-08	14514
34/8-14 A	2260.000000	1.550000	17.000000	0.000000	OBM-Low ECD	9999-12-31	5954	9999-12-31	2013-05-08	14515
34/8-14 A	2304.000000	1.600000	16.000000	0.000000	OBM-Low ECD	9999-12-31	5954	9999-12-31	2013-05-08	14516
34/8-14 A	2451.000000	1.600000	20.000000	0.000000	OBM-Low ECD	9999-12-31	5954	9999-12-31	2013-05-08	14517
34/8-14 A	3570.000000	1.600000	18.000000	0.000000	OBM-Low ECD	9999-12-31	5954	9999-12-31	2013-05-08	14518
34/8-14 A	3838.000000	1.600000	20.000000	0.000000	OBM-Low ECD	9999-12-31	5954	9999-12-31	2013-05-08	14519
34/8-14 B	1767.000000	1.540000	19.000000	0.000000	OBM-Low ECD	9999-12-31	5997	9999-12-31	2013-05-08	14520
34/8-14 B	2239.000000	1.540000	19.000000	0.000000	OBM-Low ECD	9999-12-31	5997	9999-12-31	2013-05-08	14521
34/8-14 B	2371.000000	1.600000	21.000000	0.000000	OBM-Low ECD	9999-12-31	5997	9999-12-31	2013-05-08	14522
34/8-14 B	3495.000000	1.600000	19.000000	0.000000	OBM-Low ECD	9999-12-31	5997	9999-12-31	2013-05-08	14523
34/8-14 B	3705.000000	1.540000	19.000000	0.000000	OBM-Low ECD	9999-12-31	5997	9999-12-31	2013-05-08	14524
34/8-14 B	4079.000000	1.540000	18.000000	0.000000	OBM-Low ECD	9999-12-31	5997	9999-12-31	2013-05-08	14525
34/8-14 C	2212.000000	1.600000	25.000000	0.000000	OBM-Low ECD	9999-12-31	6021	9999-12-31	2013-05-08	14526
34/8-14 C	2265.000000	1.600000	25.000000	0.000000	OBM-Low ECD	9999-12-31	6021	9999-12-31	2013-05-08	14527
34/8-14 C	2290.000000	1.600000	26.000000	0.000000	OBM-Low ECD	9999-12-31	6021	9999-12-31	2013-05-08	14528
34/8-14 C	2315.000000	1.600000	26.000000	0.000000	OBM-Low ECD	9999-12-31	6021	9999-12-31	2013-05-08	14529
34/8-14 C	2362.000000	1.600000	26.000000	0.000000	OBM-Low ECD	9999-12-31	6021	9999-12-31	2013-05-08	14530
34/8-14 C	2362.000000	1.600000	25.000000	0.000000	OBM-Low ECD	9999-12-31	6021	9999-12-31	2013-05-08	14531
34/8-14 D	2470.000000	1.600000	21.000000	0.000000	OBM-Low ECD	9999-12-31	6036	9999-12-31	2013-05-08	14532
34/8-14 D	2618.000000	1.600000	21.000000	0.000000	OBM-Low ECD	9999-12-31	6036	9999-12-31	2013-05-08	14533
34/8-14 D	3015.000000	1.600000	21.000000	0.000000	OBM-Low ECD	9999-12-31	6036	9999-12-31	2013-05-08	14534
34/8-14 D	3165.000000	1.600000	25.000000	0.000000	OBM-Low ECD	9999-12-31	6036	9999-12-31	2013-05-08	14535
34/8-14 D	3728.000000	1.600000	21.000000	0.000000	OBM-Low ECD	9999-12-31	6036	9999-12-31	2013-05-08	14536
34/8-14 D	3850.000000	1.600000	21.000000	0.000000	OBM-Low ECD	9999-12-31	6036	9999-12-31	2013-05-08	14537
34/8-14 S	388.000000	1.600000	31.000000	0.000000	Kill Fluid- SW/Bentonite	9999-12-31	5943	9999-12-31	2013-05-08	14538
34/8-14 S	388.000000	1.040000	23.000000	0.000000	Spud Mud	9999-12-31	5943	9999-12-31	2013-05-08	14539
34/8-14 S	428.000000	1.600000	31.000000	0.000000	Kill Fluid- SW/Bentonite	9999-12-31	5943	9999-12-31	2013-05-08	14540
34/8-14 S	1095.000000	1.390000	18.000000	0.000000	OBM-Low ECD	9999-12-31	5943	9999-12-31	2013-05-08	14541
34/8-14 S	1257.000000	1.390000	17.000000	0.000000	OBM-Low ECD	9999-12-31	5943	9999-12-31	2013-05-08	14542
34/8-14 S	1268.000000	1.300000	37.000000	0.000000	KCl/Polymer	9999-12-31	5943	9999-12-31	2013-05-08	14543
34/8-14 S	1312.000000	1.600000	25.000000	0.000000	OBM-Low ECD	9999-12-31	5943	9999-12-31	2013-05-08	14544
34/8-14 S	1936.000000	1.480000	22.000000	0.000000	OBM-Low ECD	9999-12-31	5943	9999-12-31	2013-05-08	14545
34/8-14 S	2576.000000	1.480000	20.000000	0.000000	OBM-Low ECD	9999-12-31	5943	9999-12-31	2013-05-08	14546
34/8-14 S	2970.000000	1.480000	19.000000	0.000000	OBM-Low ECD	9999-12-31	5943	9999-12-31	2013-05-08	14547
34/8-14 S	2972.000000	1.550000	19.000000	0.000000	OBM-Low ECD	9999-12-31	5943	9999-12-31	2013-05-08	14548
34/8-14 S	3428.000000	1.600000	24.000000	0.000000	OBM-Low ECD	9999-12-31	5943	9999-12-31	2013-05-08	14549
34/8-14 S	3471.000000	1.600000	22.000000	0.000000	OBM-Low ECD	9999-12-31	5943	9999-12-31	2013-05-08	14550
34/8-2	376.000000	1.700000	34.000000	12.000000	WATER BASED	1986-11-17	915	9999-12-31	2013-05-08	14551
34/8-2	391.000000	1.050000	99.000000	99.000000	WATER BASED	1986-10-05	915	9999-12-31	2013-05-08	14552
34/8-2	420.000000	1.700000	34.000000	12.000000	WATER BASED	1986-11-17	915	9999-12-31	2013-05-08	14553
34/8-2	428.000000	1.050000	0.000000	0.000000	WATER BASED	1986-10-07	915	9999-12-31	2013-05-08	14554
34/8-2	462.000000	1.050000	99.000000	99.000000	WATER BASED	1986-10-06	915	9999-12-31	2013-05-08	14555
34/8-2	462.000000	1.050000	99.000000	99.000000	WATER BASED	1986-10-05	915	9999-12-31	2013-05-08	14556
34/8-2	472.000000	1.050000	0.000000	0.000000	WATER BASED	1986-10-08	915	9999-12-31	2013-05-08	14557
34/8-2	483.000000	1.050000	0.000000	0.000000	WATER BASED	1986-10-14	915	9999-12-31	2013-05-08	14558
34/8-2	982.000000	1.050000	0.000000	0.000000	WATER BASED	1986-10-14	915	9999-12-31	2013-05-08	14559
34/8-2	1048.000000	1.050000	0.000000	0.000000	WATER BASED	1986-10-09	915	9999-12-31	2013-05-08	14560
34/8-2	1200.000000	1.050000	0.000000	0.000000	WATER BASED	1986-10-14	915	9999-12-31	2013-05-08	14561
34/8-2	1200.000000	1.200000	0.000000	0.000000	WATER BASED	1986-10-13	915	9999-12-31	2013-05-08	14562
34/8-2	1205.000000	1.200000	0.000000	0.000000	WATER BASED	1986-10-14	915	9999-12-31	2013-05-08	14563
34/8-2	1205.000000	1.200000	14.000000	8.000000	WATER BASED	1986-10-17	915	9999-12-31	2013-05-08	14564
34/8-2	1205.000000	1.150000	9.000000	4.000000	WATER BASED	1986-10-16	915	9999-12-31	2013-05-08	14565
34/8-2	1585.000000	1.300000	20.000000	12.000000	WATER BASED	1986-10-20	915	9999-12-31	2013-05-08	14566
34/8-2	1848.000000	1.360000	20.000000	13.000000	WATER BASED	1986-10-20	915	9999-12-31	2013-05-08	14567
34/8-2	2135.000000	1.360000	20.000000	12.000000	WATER BASED	1986-10-20	915	9999-12-31	2013-05-08	14568
34/8-2	2281.000000	1.400000	24.000000	10.000000	WATER BASED	1986-10-20	915	9999-12-31	2013-05-08	14569
34/8-2	2452.000000	1.440000	25.000000	10.000000	WATER BASED	1986-10-21	915	9999-12-31	2013-05-08	14570
34/8-2	2461.000000	1.440000	24.000000	9.000000	WATER BASED	1986-10-22	915	9999-12-31	2013-05-08	14571
34/8-2	2515.000000	1.700000	34.000000	12.000000	WATER BASED	1986-11-17	915	9999-12-31	2013-05-08	14572
34/8-2	2562.000000	1.440000	29.000000	11.000000	WATER BASED	1986-10-23	915	9999-12-31	2013-05-08	14573
34/8-2	2609.000000	1.440000	29.000000	9.000000	WATER BASED	1986-10-26	915	9999-12-31	2013-05-08	14574
34/8-2	2700.000000	1.440000	26.000000	8.000000	WATER BASED	1986-10-26	915	9999-12-31	2013-05-08	14575
34/8-2	2700.000000	1.470000	27.000000	9.000000	WATER BASED	1986-10-26	915	9999-12-31	2013-05-08	14576
34/8-2	2700.000000	1.600000	30.000000	7.000000	WATER BASED	1986-10-28	915	9999-12-31	2013-05-08	14577
34/8-2	2700.000000	1.470000	27.000000	9.000000	WATER BASED	1986-10-27	915	9999-12-31	2013-05-08	14578
34/8-2	2705.000000	1.600000	23.000000	7.000000	WATER BASED	1986-10-29	915	9999-12-31	2013-05-08	14579
34/8-2	2764.000000	1.600000	26.000000	9.000000	WATER BASED	1986-10-30	915	9999-12-31	2013-05-08	14580
34/8-2	2811.000000	1.600000	27.000000	9.000000	WATER BASED	1986-11-02	915	9999-12-31	2013-05-08	14581
34/8-2	2828.000000	1.600000	28.000000	10.000000	WATER BASED	1986-11-02	915	9999-12-31	2013-05-08	14582
34/8-2	2875.000000	1.600000	30.000000	11.000000	WATER BASED	1986-11-02	915	9999-12-31	2013-05-08	14583
34/8-2	2944.000000	1.700000	28.000000	9.000000	WATER BASED	1986-11-03	915	9999-12-31	2013-05-08	14584
34/8-2	2995.000000	1.700000	29.000000	9.000000	WATER BASED	1986-11-04	915	9999-12-31	2013-05-08	14585
34/8-2	3020.000000	1.700000	29.000000	10.000000	WATER BASED	1986-11-05	915	9999-12-31	2013-05-08	14586
34/8-2	3038.000000	1.700000	32.000000	12.000000	WATER BASED	1986-11-06	915	9999-12-31	2013-05-08	14587
34/8-2	3065.000000	1.700000	33.000000	12.000000	WATER BASED	1986-11-11	915	9999-12-31	2013-05-08	14588
34/8-2	3138.000000	1.700000	33.000000	11.000000	WATER BASED	1986-11-11	915	9999-12-31	2013-05-08	14589
34/8-2	3155.000000	1.700000	30.000000	8.000000	WATER BASED	1986-11-11	915	9999-12-31	2013-05-08	14590
34/8-2	3203.000000	1.700000	32.000000	11.000000	WATER BASED	1986-11-09	915	9999-12-31	2013-05-08	14591
34/8-2	3240.000000	1.700000	32.000000	10.000000	WATER BASED	1986-11-14	915	9999-12-31	2013-05-08	14592
34/8-2	3240.000000	1.700000	30.000000	10.000000	WATER BASED	1986-11-13	915	9999-12-31	2013-05-08	14593
34/8-2	3240.000000	1.700000	30.000000	10.000000	WATER BASED	1986-11-12	915	9999-12-31	2013-05-08	14594
34/8-3	419.000000	1.030000	0.000000	0.000000	WATER BASED	1988-07-15	940	9999-12-31	2013-05-08	14595
34/8-3	482.000000	1.030000	0.000000	0.000000	WATER BASED	1988-07-19	940	9999-12-31	2013-05-08	14596
34/8-3	491.000000	1.030000	0.000000	0.000000	WATER BASED	1988-07-19	940	9999-12-31	2013-05-08	14597
34/8-3	970.000000	1.030000	0.000000	0.000000	WATER BASED	1988-07-19	940	9999-12-31	2013-05-08	14598
34/8-3	1317.000000	1.030000	0.000000	0.000000	WATER BASED	1988-07-19	940	9999-12-31	2013-05-08	14599
34/8-3	1317.000000	1.030000	0.000000	0.000000	WATER BASED	1988-07-21	940	9999-12-31	2013-05-08	14600
34/8-3	1317.000000	1.200000	15.000000	8.000000	WATER BASED	1988-07-27	940	9999-12-31	2013-05-08	14601
34/8-3	1864.000000	1.360000	22.000000	13.000000	WATER BASED	1988-07-27	940	9999-12-31	2013-05-08	14602
34/8-3	2312.000000	1.410000	26.000000	16.000000	WATER BASED	1988-07-27	940	9999-12-31	2013-05-08	14603
34/8-3	2390.000000	1.520000	20.000000	8.000000	WATER BASED	1988-09-15	940	9999-12-31	2013-05-08	14604
34/8-3	2390.000000	1.520000	20.000000	8.000000	WATER BASED	1988-09-14	940	9999-12-31	2013-05-08	14605
34/8-3	2390.000000	1.520000	19.000000	6.000000	WATER BASED	1988-09-13	940	9999-12-31	2013-05-08	14606
34/8-3	2469.000000	1.460000	24.000000	9.000000	WATER BASED	1988-07-27	940	9999-12-31	2013-05-08	14607
34/8-3	2622.000000	1.520000	26.000000	8.000000	WATER BASED	1988-07-27	940	9999-12-31	2013-05-08	14608
34/8-3	2622.000000	1.520000	25.000000	8.000000	WATER BASED	1988-07-27	940	9999-12-31	2013-05-08	14609
34/8-3	2622.000000	1.520000	25.000000	8.000000	WATER BASED	1988-07-28	940	9999-12-31	2013-05-08	14610
34/8-3	2627.000000	1.520000	20.000000	6.000000	WATER BASED	1988-08-01	940	9999-12-31	2013-05-08	14611
34/8-3	2749.000000	1.520000	24.000000	8.000000	WATER BASED	1988-08-01	940	9999-12-31	2013-05-08	14612
34/8-3	2839.000000	1.600000	25.000000	8.000000	WATER BASED	1988-08-01	940	9999-12-31	2013-05-08	14613
34/8-3	2870.000000	1.600000	23.000000	6.000000	WATER BASED	1988-08-01	940	9999-12-31	2013-05-08	14614
34/8-3	2897.000000	1.700000	24.000000	8.000000	WATER BASED	1988-09-09	940	9999-12-31	2013-05-08	14615
34/8-3	2897.000000	1.700000	25.000000	8.000000	WATER BASED	1988-09-08	940	9999-12-31	2013-05-08	14616
34/8-3	2933.000000	1.700000	24.000000	8.000000	WATER BASED	1988-09-07	940	9999-12-31	2013-05-08	14617
34/8-3	2933.000000	1.700000	25.000000	9.000000	WATER BASED	1988-09-06	940	9999-12-31	2013-05-08	14618
34/8-3	2933.000000	1.700000	24.000000	9.000000	WATER BASED	1988-09-05	940	9999-12-31	2013-05-08	14619
34/8-3	2933.000000	1.700000	24.000000	9.000000	WATER BASED	1988-09-02	940	9999-12-31	2013-05-08	14620
34/8-3	2957.000000	1.600000	24.000000	6.000000	WATER BASED	1988-08-04	940	9999-12-31	2013-05-08	14621
34/8-3	2992.000000	1.600000	23.000000	7.000000	WATER BASED	1988-08-08	940	9999-12-31	2013-05-08	14622
34/8-3	3066.000000	1.600000	21.000000	7.000000	WATER BASED	1988-08-08	940	9999-12-31	2013-05-08	14623
34/8-3	3169.000000	1.600000	24.000000	7.000000	WATER BASED	1988-08-08	940	9999-12-31	2013-05-08	14624
34/8-3	3216.000000	1.600000	24.000000	8.000000	WATER BASED	1988-08-08	940	9999-12-31	2013-05-08	14625
34/8-3	3264.000000	1.600000	22.000000	10.000000	WATER BASED	1988-08-09	940	9999-12-31	2013-05-08	14626
34/8-3	3316.000000	1.660000	25.000000	9.000000	WATER BASED	1988-08-23	940	9999-12-31	2013-05-08	14627
34/8-3	3316.000000	1.660000	21.000000	10.000000	WATER BASED	1988-08-23	940	9999-12-31	2013-05-08	14628
34/8-3	3316.000000	1.700000	25.000000	9.000000	WATER BASED	1988-08-30	940	9999-12-31	2013-05-08	14629
34/8-3	3316.000000	1.700000	24.000000	9.000000	WATER BASED	1988-08-31	940	9999-12-31	2013-05-08	14630
34/8-3	3316.000000	1.660000	25.000000	10.000000	WATER BASED	1988-08-19	940	9999-12-31	2013-05-08	14631
34/8-3	3316.000000	1.660000	24.000000	10.000000	WATER BASED	1988-08-19	940	9999-12-31	2013-05-08	14632
34/8-3	3316.000000	1.700000	24.000000	9.000000	WATER BASED	1988-08-30	940	9999-12-31	2013-05-08	14633
34/8-3	3316.000000	1.690000	24.000000	9.000000	WATER BASED	1988-08-29	940	9999-12-31	2013-05-08	14634
34/8-3	3316.000000	1.690000	24.000000	9.000000	WATER BASED	1988-08-26	940	9999-12-31	2013-05-08	14635
34/8-3	3316.000000	1.690000	24.000000	9.000000	WATER BASED	1988-08-25	940	9999-12-31	2013-05-08	14636
34/8-3	3328.000000	1.660000	29.000000	10.000000	WATER BASED	1988-08-16	940	9999-12-31	2013-05-08	14637
34/8-3	3328.000000	1.660000	29.000000	6.000000	WATER BASED	1988-08-15	940	9999-12-31	2013-05-08	14638
34/8-3	3328.000000	1.660000	29.000000	7.000000	WATER BASED	1988-08-15	940	9999-12-31	2013-05-08	14639
34/8-3	3328.000000	1.600000	24.000000	9.000000	WATER BASED	1988-08-12	940	9999-12-31	2013-05-08	14640
34/8-3	3328.000000	1.600000	23.000000	9.000000	WATER BASED	1988-08-11	940	9999-12-31	2013-05-08	14641
34/8-3	3328.000000	1.600000	23.000000	9.000000	WATER BASED	1988-08-10	940	9999-12-31	2013-05-08	14642
34/8-3	3328.000000	1.600000	23.000000	9.000000	WATER BASED	1988-08-15	940	9999-12-31	2013-05-08	14643
34/8-3 A	944.000000	1.530000	20.000000	8.000000	WATER BASED	1988-09-19	1338	9999-12-31	2013-05-08	14644
34/8-3 A	949.000000	1.400000	21.000000	11.000000	WATER BASED	1988-09-20	1338	9999-12-31	2013-05-08	14645
34/8-3 A	951.000000	1.520000	22.000000	11.000000	WATER BASED	1988-09-19	1338	9999-12-31	2013-05-08	14646
34/8-3 A	966.000000	1.520000	23.000000	10.000000	WATER BASED	1988-09-19	1338	9999-12-31	2013-05-08	14647
34/8-3 A	989.000000	1.400000	22.000000	11.000000	WATER BASED	1988-09-22	1338	9999-12-31	2013-05-08	14648
34/8-3 A	1152.000000	1.400000	23.000000	11.000000	WATER BASED	1988-09-22	1338	9999-12-31	2013-05-08	14649
34/8-3 A	1255.000000	1.400000	21.000000	9.000000	WATER BASED	1988-09-19	1338	9999-12-31	2013-05-08	14650
34/8-3 A	1475.000000	1.400000	24.000000	10.000000	WATER BASED	1988-09-23	1338	9999-12-31	2013-05-08	14651
34/8-3 A	1795.000000	1.410000	24.000000	9.000000	WATER BASED	1988-09-27	1338	9999-12-31	2013-05-08	14652
34/8-3 A	2045.000000	1.400000	24.000000	8.000000	WATER BASED	1988-09-27	1338	9999-12-31	2013-05-08	14653
34/8-3 A	2390.000000	1.500000	24.000000	8.000000	WATER BASED	1988-09-27	1338	9999-12-31	2013-05-08	14654
34/8-3 A	2400.000000	1.400000	20.000000	7.000000	WATER BASED	1988-09-27	1338	9999-12-31	2013-05-08	14655
34/8-3 A	2486.000000	1.520000	24.000000	7.000000	WATER BASED	1988-10-03	1338	9999-12-31	2013-05-08	14656
34/8-3 A	2486.000000	1.520000	18.000000	11.000000	WATER BASED	1988-09-28	1338	9999-12-31	2013-05-08	14657
34/8-3 A	2486.000000	1.520000	20.000000	12.000000	WATER BASED	1988-09-29	1338	9999-12-31	2013-05-08	14658
34/8-3 A	2486.000000	1.520000	22.000000	8.000000	WATER BASED	1988-09-30	1338	9999-12-31	2013-05-08	14659
34/8-3 A	2489.000000	1.520000	23.000000	7.000000	WATER BASED	1988-10-03	1338	9999-12-31	2013-05-08	14660
34/8-3 A	2591.000000	1.520000	23.000000	8.000000	WATER BASED	1988-10-03	1338	9999-12-31	2013-05-08	14661
34/8-3 A	2674.000000	1.520000	21.000000	8.000000	WATER BASED	1988-10-04	1338	9999-12-31	2013-05-08	14662
34/8-3 A	2954.000000	1.550000	22.000000	8.000000	WATER BASED	1988-10-11	1338	9999-12-31	2013-05-08	14663
34/8-3 A	3034.000000	1.600000	24.000000	8.000000	WATER BASED	1988-10-11	1338	9999-12-31	2013-05-08	14664
34/8-3 A	3034.000000	1.600000	22.000000	8.000000	WATER BASED	1988-10-11	1338	9999-12-31	2013-05-08	14665
34/8-3 A	3103.000000	1.600000	25.000000	7.000000	WATER BASED	1988-10-11	1338	9999-12-31	2013-05-08	14666
34/8-3 A	3131.000000	1.600000	23.000000	6.000000	WATER BASED	1988-10-11	1338	9999-12-31	2013-05-08	14667
34/8-3 A	3148.000000	1.600000	24.000000	8.000000	WATER BASED	1988-10-12	1338	9999-12-31	2013-05-08	14668
34/8-3 A	3175.000000	1.700000	26.000000	10.000000	WATER BASED	1988-10-18	1338	9999-12-31	2013-05-08	14669
34/8-3 A	3175.000000	1.700000	26.000000	12.000000	WATER BASED	1988-10-17	1338	9999-12-31	2013-05-08	14670
34/8-3 A	3177.000000	1.700000	27.000000	6.000000	WATER BASED	1988-10-25	1338	9999-12-31	2013-05-08	14671
34/8-3 A	3177.000000	1.700000	28.000000	6.000000	WATER BASED	1988-10-26	1338	9999-12-31	2013-05-08	14672
34/8-3 A	3177.000000	1.700000	28.000000	7.000000	WATER BASED	1988-10-24	1338	9999-12-31	2013-05-08	14673
34/8-3 A	3177.000000	1.700000	29.000000	7.000000	WATER BASED	1988-10-19	1338	9999-12-31	2013-05-08	14674
34/8-3 A	3177.000000	1.710000	30.000000	7.000000	WATER BASED	1988-10-31	1338	9999-12-31	2013-05-08	14675
34/8-3 A	3177.000000	1.500000	15.000000	5.000000	WATER BASED	1988-10-31	1338	9999-12-31	2013-05-08	14676
34/8-3 A	3177.000000	1.710000	30.000000	7.000000	WATER BASED	1988-10-27	1338	9999-12-31	2013-05-08	14677
34/8-3 A	3177.000000	1.700000	29.000000	7.000000	WATER BASED	1988-10-24	1338	9999-12-31	2013-05-08	14678
34/8-3 A	3177.000000	1.700000	27.000000	6.000000	WATER BASED	1988-10-24	1338	9999-12-31	2013-05-08	14679
34/8-3 A	3177.000000	1.700000	29.000000	7.000000	WATER BASED	1988-10-20	1338	9999-12-31	2013-05-08	14680
34/8-3 A	3230.000000	1.600000	24.000000	5.000000	WATER BASED	1988-10-17	1338	9999-12-31	2013-05-08	14681
34/8-3 A	3230.000000	1.600000	26.000000	9.000000	WATER BASED	1988-10-14	1338	9999-12-31	2013-05-08	14682
34/8-3 A	3230.000000	1.600000	26.000000	8.000000	WATER BASED	1988-10-14	1338	9999-12-31	2013-05-08	14683
34/8-3 A	3230.000000	1.600000	26.000000	8.000000	WATER BASED	1988-10-17	1338	9999-12-31	2013-05-08	14684
34/8-4 A	550.000000	1.710000	22.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14685
34/8-4 A	2188.000000	1.640000	30.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14686
34/8-4 A	2230.000000	1.700000	27.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14687
34/8-4 A	2250.000000	1.640000	31.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14688
34/8-4 A	2434.000000	1.640000	30.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14689
34/8-4 A	2509.000000	1.630000	35.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14690
34/8-4 A	2615.000000	1.640000	34.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14691
34/8-4 A	2700.000000	1.700000	20.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14692
34/8-4 A	2813.000000	1.640000	37.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14693
34/8-4 A	2909.000000	1.640000	36.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14694
34/8-4 A	2914.000000	1.640000	40.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14695
34/8-4 A	2994.000000	1.640000	40.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14696
34/8-4 A	3012.000000	1.700000	33.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14697
34/8-4 A	3037.000000	1.700000	20.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14698
34/8-4 A	3042.000000	1.650000	37.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14699
34/8-4 A	3073.000000	1.660000	40.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14700
34/8-4 A	3103.000000	1.660000	41.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14701
34/8-4 A	3114.000000	1.660000	41.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14702
34/8-4 A	3120.000000	1.660000	39.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14703
34/8-4 A	3144.000000	1.700000	30.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14704
34/8-4 A	3147.000000	1.660000	40.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14705
34/8-4 A	3150.000000	1.700000	32.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14706
34/8-4 A	3156.000000	1.660000	37.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14707
34/8-4 A	3156.000000	1.660000	37.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14708
34/8-4 A	3183.000000	1.650000	37.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14709
34/8-4 A	3197.000000	1.700000	32.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14710
34/8-4 A	3198.000000	1.650000	39.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14711
34/8-4 A	3200.000000	1.650000	39.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14712
34/8-4 A	3202.000000	1.650000	39.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14713
34/8-4 A	3248.000000	1.700000	32.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14714
34/8-4 A	3259.000000	1.650000	35.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14715
34/8-4 A	3272.000000	1.650000	35.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14716
34/8-4 A	3342.000000	1.650000	39.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14717
34/8-4 A	3447.000000	1.650000	33.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14718
34/8-4 A	3500.000000	1.710000	35.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14719
34/8-4 A	3504.000000	1.650000	37.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14720
34/8-4 A	3567.000000	1.640000	38.000000	0.000000	WATER BASED	9999-12-31	1909	9999-12-31	2013-05-08	14721
34/8-4 S	420.000000	1.050000	1.000000	1.000000	WATER BASED	1990-12-10	1683	9999-12-31	2013-05-08	14722
34/8-4 S	500.000000	1.000000	1.000000	1.000000	WATER BASED	1991-06-10	1683	9999-12-31	2013-05-08	14723
34/8-4 S	500.000000	1.000000	1.000000	1.000000	WATER BASED	1991-06-10	1683	9999-12-31	2013-05-08	14724
34/8-4 S	1165.000000	1.200000	1.000000	1.000000	WATER BASED	1990-12-18	1683	9999-12-31	2013-05-08	14725
34/8-4 S	1165.000000	1.050000	1.000000	1.000000	WATER BASED	1990-12-14	1683	9999-12-31	2013-05-08	14726
34/8-4 S	1165.000000	1.200000	1.000000	1.000000	WATER BASED	1990-12-18	1683	9999-12-31	2013-05-08	14727
34/8-4 S	1165.000000	1.200000	1.000000	1.000000	WATER BASED	1990-12-18	1683	9999-12-31	2013-05-08	14728
34/8-4 S	1165.000000	1.200000	10.000000	3.000000	WATER BASED	1990-12-18	1683	9999-12-31	2013-05-08	14729
34/8-4 S	1165.000000	1.250000	1.000000	1.000000	WATER BASED	1990-12-13	1683	9999-12-31	2013-05-08	14730
34/8-4 S	1165.000000	1.250000	1.000000	1.000000	WATER BASED	1990-12-13	1683	9999-12-31	2013-05-08	14731
34/8-4 S	1186.000000	1.200000	14.000000	5.000000	WATER BASED	1990-12-19	1683	9999-12-31	2013-05-08	14732
34/8-4 S	1488.000000	1.200000	14.000000	5.000000	WATER BASED	1990-12-21	1683	9999-12-31	2013-05-08	14733
34/8-4 S	1846.000000	1.400000	29.000000	8.000000	WATER BASED	1990-12-27	1683	9999-12-31	2013-05-08	14734
34/8-4 S	2117.000000	1.380000	27.000000	9.000000	WATER BASED	1990-12-27	1683	9999-12-31	2013-05-08	14735
34/8-4 S	2177.000000	1.400000	25.000000	13.000000	WATER BASED	1990-12-27	1683	9999-12-31	2013-05-08	14736
34/8-4 S	2177.000000	1.400000	25.000000	13.000000	WATER BASED	1990-12-27	1683	9999-12-31	2013-05-08	14737
34/8-4 S	2177.000000	1.400000	25.000000	13.000000	WATER BASED	1990-12-28	1683	9999-12-31	2013-05-08	14738
34/8-4 S	2177.000000	1.400000	21.000000	7.000000	WATER BASED	1991-01-07	1683	9999-12-31	2013-05-08	14739
34/8-4 S	2177.000000	1.400000	25.000000	13.000000	WATER BASED	1991-01-03	1683	9999-12-31	2013-05-08	14740
34/8-4 S	2177.000000	1.400000	29.000000	8.000000	WATER BASED	1991-01-03	1683	9999-12-31	2013-05-08	14741
34/8-4 S	2177.000000	1.400000	29.000000	9.000000	WATER BASED	1991-01-03	1683	9999-12-31	2013-05-08	14742
34/8-4 S	2177.000000	1.400000	29.000000	9.000000	WATER BASED	1991-01-03	1683	9999-12-31	2013-05-08	14743
34/8-4 S	2177.000000	1.400000	29.000000	9.000000	WATER BASED	1991-01-03	1683	9999-12-31	2013-05-08	14744
34/8-4 S	2177.000000	1.400000	21.000000	7.000000	WATER BASED	1991-01-14	1683	9999-12-31	2013-05-08	14745
34/8-4 S	2177.000000	1.400000	21.000000	7.000000	WATER BASED	1991-01-11	1683	9999-12-31	2013-05-08	14746
34/8-4 S	2177.000000	1.400000	21.000000	7.000000	WATER BASED	1991-01-08	1683	9999-12-31	2013-05-08	14747
34/8-4 S	2177.000000	1.400000	21.000000	7.000000	WATER BASED	1991-01-09	1683	9999-12-31	2013-05-08	14748
34/8-4 S	2177.000000	1.400000	21.000000	7.000000	WATER BASED	1991-01-15	1683	9999-12-31	2013-05-08	14749
34/8-4 S	2177.000000	1.400000	21.000000	7.000000	WATER BASED	1991-01-16	1683	9999-12-31	2013-05-08	14750
34/8-4 S	2177.000000	1.400000	21.000000	11.000000	WATER BASED	1991-01-18	1683	9999-12-31	2013-05-08	14751
34/8-4 S	2177.000000	1.400000	20.000000	12.000000	WATER BASED	1991-01-21	1683	9999-12-31	2013-05-08	14752
34/8-4 S	2177.000000	1.400000	20.000000	12.000000	WATER BASED	1991-01-21	1683	9999-12-31	2013-05-08	14753
34/8-4 S	2177.000000	1.400000	21.000000	11.000000	WATER BASED	1991-01-17	1683	9999-12-31	2013-05-08	14754
34/8-4 S	2177.000000	1.400000	25.000000	13.000000	WATER BASED	1991-01-03	1683	9999-12-31	2013-05-08	14755
34/8-4 S	2177.000000	1.400000	25.000000	13.000000	WATER BASED	1990-12-27	1683	9999-12-31	2013-05-08	14756
34/8-4 S	2177.000000	1.400000	29.000000	9.000000	WATER BASED	1991-01-07	1683	9999-12-31	2013-05-08	14757
34/8-4 S	2177.000000	1.400000	21.000000	7.000000	WATER BASED	1991-01-14	1683	9999-12-31	2013-05-08	14758
34/8-4 S	2180.000000	1.400000	23.000000	12.000000	WATER BASED	1991-01-23	1683	9999-12-31	2013-05-08	14759
34/8-4 S	2204.000000	1.400000	21.000000	11.000000	WATER BASED	1991-01-25	1683	9999-12-31	2013-05-08	14760
34/8-4 S	2300.000000	1.450000	24.000000	12.000000	WATER BASED	1991-01-25	1683	9999-12-31	2013-05-08	14761
34/8-4 S	2331.000000	1.450000	23.000000	12.000000	WATER BASED	1991-01-29	1683	9999-12-31	2013-05-08	14762
34/8-4 S	2518.000000	1.500000	24.000000	13.000000	WATER BASED	1991-01-29	1683	9999-12-31	2013-05-08	14763
34/8-4 S	2656.000000	1.550000	28.000000	12.000000	WATER BASED	1991-01-29	1683	9999-12-31	2013-05-08	14764
34/8-4 S	2767.000000	1.600000	34.000000	13.000000	WATER BASED	1991-01-30	1683	9999-12-31	2013-05-08	14765
34/8-4 S	2819.000000	1.650000	33.000000	13.000000	WATER BASED	1991-01-30	1683	9999-12-31	2013-05-08	14766
34/8-4 S	2835.000000	1.700000	32.000000	20.000000	WATER BASED	1991-06-07	1683	9999-12-31	2013-05-08	14767
34/8-4 S	2859.000000	1.650000	31.000000	12.000000	WATER BASED	1991-01-31	1683	9999-12-31	2013-05-08	14768
34/8-4 S	2899.000000	1.650000	39.000000	12.000000	WATER BASED	1991-02-01	1683	9999-12-31	2013-05-08	14769
34/8-4 S	2927.000000	1.650000	34.000000	12.000000	WATER BASED	1991-02-05	1683	9999-12-31	2013-05-08	14770
34/8-4 S	2945.000000	1.700000	30.000000	17.000000	WATER BASED	1991-05-31	1683	9999-12-31	2013-05-08	14771
34/8-4 S	2945.000000	1.700000	30.000000	17.000000	WATER BASED	1991-06-04	1683	9999-12-31	2013-05-08	14772
34/8-4 S	2945.000000	1.700000	30.000000	17.000000	WATER BASED	1991-06-05	1683	9999-12-31	2013-05-08	14773
34/8-4 S	2945.000000	1.700000	29.000000	13.000000	WATER BASED	1991-06-06	1683	9999-12-31	2013-05-08	14774
34/8-4 S	2945.000000	1.700000	30.000000	17.000000	WATER BASED	1991-06-04	1683	9999-12-31	2013-05-08	14775
34/8-4 S	3005.000000	1.650000	34.000000	13.000000	WATER BASED	1991-02-05	1683	9999-12-31	2013-05-08	14776
34/8-4 S	3021.000000	1.650000	34.000000	12.000000	WATER BASED	1991-02-05	1683	9999-12-31	2013-05-08	14777
34/8-4 S	3050.000000	1.730000	30.000000	17.000000	WATER BASED	1991-05-29	1683	9999-12-31	2013-05-08	14778
34/8-4 S	3050.000000	1.700000	30.000000	17.000000	WATER BASED	1991-05-30	1683	9999-12-31	2013-05-08	14779
34/8-4 S	3050.000000	1.730000	31.000000	18.000000	WATER BASED	1991-05-28	1683	9999-12-31	2013-05-08	14780
34/8-4 S	3050.000000	1.730000	31.000000	18.000000	WATER BASED	1991-05-24	1683	9999-12-31	2013-05-08	14781
34/8-4 S	3050.000000	1.730000	31.000000	18.000000	WATER BASED	1991-05-28	1683	9999-12-31	2013-05-08	14782
34/8-4 S	3050.000000	1.730000	32.000000	19.000000	WATER BASED	1991-05-22	1683	9999-12-31	2013-05-08	14783
34/8-4 S	3050.000000	1.730000	31.000000	18.000000	WATER BASED	1991-05-23	1683	9999-12-31	2013-05-08	14784
34/8-4 S	3050.000000	1.700000	28.000000	15.000000	WATER BASED	1991-05-21	1683	9999-12-31	2013-05-08	14785
34/8-4 S	3050.000000	1.730000	31.000000	18.000000	WATER BASED	1991-05-21	1683	9999-12-31	2013-05-08	14786
34/8-4 S	3050.000000	1.730000	29.000000	19.000000	WATER BASED	1991-05-21	1683	9999-12-31	2013-05-08	14787
34/8-4 S	3057.000000	1.700000	27.000000	12.000000	WATER BASED	1991-05-21	1683	9999-12-31	2013-05-08	14788
34/8-4 S	3067.000000	1.650000	33.000000	11.000000	WATER BASED	1991-02-05	1683	9999-12-31	2013-05-08	14789
34/8-4 S	3085.000000	1.650000	34.000000	15.000000	WATER BASED	1991-02-06	1683	9999-12-31	2013-05-08	14790
34/8-4 S	3105.000000	1.650000	30.000000	11.000000	WATER BASED	1991-02-07	1683	9999-12-31	2013-05-08	14791
34/8-4 S	3124.000000	1.650000	30.000000	9.000000	WATER BASED	1991-02-08	1683	9999-12-31	2013-05-08	14792
34/8-4 S	3124.000000	1.650000	30.000000	9.000000	WATER BASED	1991-02-08	1683	9999-12-31	2013-05-08	14793
34/8-4 S	3134.000000	1.700000	24.000000	9.000000	WATER BASED	1991-04-23	1683	9999-12-31	2013-05-08	14794
34/8-4 S	3134.000000	1.700000	29.000000	12.000000	WATER BASED	1991-04-25	1683	9999-12-31	2013-05-08	14795
34/8-4 S	3144.000000	1.650000	40.000000	15.000000	WATER BASED	1991-02-12	1683	9999-12-31	2013-05-08	14796
34/8-4 S	3150.000000	1.700000	21.000000	7.000000	WATER BASED	1991-04-08	1683	9999-12-31	2013-05-08	14797
34/8-4 S	3160.000000	1.700000	30.000000	9.000000	WATER BASED	1991-04-25	1683	9999-12-31	2013-05-08	14798
34/8-4 S	3160.000000	1.700000	30.000000	9.000000	WATER BASED	1991-04-30	1683	9999-12-31	2013-05-08	14799
34/8-4 S	3160.000000	1.700000	30.000000	9.000000	WATER BASED	1991-04-26	1683	9999-12-31	2013-05-08	14800
34/8-4 S	3160.000000	1.700000	30.000000	9.000000	WATER BASED	1991-04-30	1683	9999-12-31	2013-05-08	14801
34/8-4 S	3160.000000	1.700000	30.000000	9.000000	WATER BASED	1991-04-30	1683	9999-12-31	2013-05-08	14802
34/8-4 S	3160.000000	1.700000	30.000000	12.000000	WATER BASED	1991-05-03	1683	9999-12-31	2013-05-08	14803
34/8-4 S	3160.000000	1.700000	30.000000	9.000000	WATER BASED	1991-05-02	1683	9999-12-31	2013-05-08	14804
34/8-4 S	3160.000000	1.700000	27.000000	17.000000	WATER BASED	1991-05-15	1683	9999-12-31	2013-05-08	14805
34/8-4 S	3160.000000	1.700000	30.000000	12.000000	WATER BASED	1991-05-06	1683	9999-12-31	2013-05-08	14806
34/8-4 S	3160.000000	1.700000	30.000000	12.000000	WATER BASED	1991-05-06	1683	9999-12-31	2013-05-08	14807
34/8-4 S	3160.000000	1.700000	28.000000	10.000000	WATER BASED	1991-05-07	1683	9999-12-31	2013-05-08	14808
34/8-4 S	3160.000000	1.700000	29.000000	14.000000	WATER BASED	1991-05-10	1683	9999-12-31	2013-05-08	14809
34/8-4 S	3160.000000	1.700000	27.000000	17.000000	WATER BASED	1991-05-14	1683	9999-12-31	2013-05-08	14810
34/8-4 S	3160.000000	1.700000	29.000000	14.000000	WATER BASED	1991-05-14	1683	9999-12-31	2013-05-08	14811
34/8-4 S	3160.000000	1.700000	29.000000	14.000000	WATER BASED	1991-05-14	1683	9999-12-31	2013-05-08	14812
34/8-4 S	3160.000000	1.700000	27.000000	17.000000	WATER BASED	1991-05-16	1683	9999-12-31	2013-05-08	14813
34/8-4 S	3160.000000	1.700000	27.000000	17.000000	WATER BASED	1991-05-14	1683	9999-12-31	2013-05-08	14814
34/8-4 S	3160.000000	1.700000	30.000000	13.000000	WATER BASED	1991-05-21	1683	9999-12-31	2013-05-08	14815
34/8-4 S	3160.000000	1.700000	28.000000	10.000000	WATER BASED	1991-05-08	1683	9999-12-31	2013-05-08	14816
34/8-4 S	3160.000000	1.700000	28.000000	10.000000	WATER BASED	1991-05-10	1683	9999-12-31	2013-05-08	14817
34/8-4 S	3173.000000	1.650000	40.000000	14.000000	WATER BASED	1991-02-12	1683	9999-12-31	2013-05-08	14818
34/8-4 S	3184.000000	1.710000	24.000000	6.000000	WATER BASED	1991-04-22	1683	9999-12-31	2013-05-08	14819
34/8-4 S	3184.000000	1.700000	25.000000	8.000000	WATER BASED	1991-04-22	1683	9999-12-31	2013-05-08	14820
34/8-4 S	3187.000000	1.650000	39.000000	12.000000	WATER BASED	1991-02-12	1683	9999-12-31	2013-05-08	14821
34/8-4 S	3208.000000	1.650000	40.000000	12.000000	WATER BASED	1991-02-12	1683	9999-12-31	2013-05-08	14822
34/8-4 S	3233.000000	1.650000	42.000000	13.000000	WATER BASED	1991-02-13	1683	9999-12-31	2013-05-08	14823
34/8-4 S	3236.000000	1.650000	38.000000	13.000000	WATER BASED	1991-02-14	1683	9999-12-31	2013-05-08	14824
34/8-4 S	3255.000000	1.700000	21.000000	6.000000	WATER BASED	1991-04-08	1683	9999-12-31	2013-05-08	14825
34/8-4 S	3255.000000	1.700000	20.000000	5.000000	WATER BASED	1991-04-09	1683	9999-12-31	2013-05-08	14826
34/8-4 S	3255.000000	1.710000	24.000000	6.000000	WATER BASED	1991-04-22	1683	9999-12-31	2013-05-08	14827
34/8-4 S	3255.000000	1.700000	20.000000	5.000000	WATER BASED	1991-04-19	1683	9999-12-31	2013-05-08	14828
34/8-4 S	3255.000000	1.700000	20.000000	6.000000	WATER BASED	1991-04-17	1683	9999-12-31	2013-05-08	14829
34/8-4 S	3255.000000	1.700000	20.000000	6.000000	WATER BASED	1991-04-17	1683	9999-12-31	2013-05-08	14830
34/8-4 S	3255.000000	1.700000	20.000000	6.000000	WATER BASED	1991-04-17	1683	9999-12-31	2013-05-08	14831
34/8-4 S	3255.000000	1.700000	20.000000	6.000000	WATER BASED	1991-04-12	1683	9999-12-31	2013-05-08	14832
34/8-4 S	3255.000000	1.700000	20.000000	6.000000	WATER BASED	1991-04-11	1683	9999-12-31	2013-05-08	14833
34/8-4 S	3255.000000	1.700000	20.000000	5.000000	WATER BASED	1991-04-18	1683	9999-12-31	2013-05-08	14834
34/8-4 S	3255.000000	1.700000	20.000000	6.000000	WATER BASED	1991-04-17	1683	9999-12-31	2013-05-08	14835
34/8-4 S	3256.000000	1.650000	34.000000	12.000000	WATER BASED	1991-02-15	1683	9999-12-31	2013-05-08	14836
34/8-4 S	3256.000000	1.650000	34.000000	12.000000	WATER BASED	1991-02-19	1683	9999-12-31	2013-05-08	14837
34/8-4 S	3258.000000	1.700000	20.000000	6.000000	WATER BASED	1991-04-08	1683	9999-12-31	2013-05-08	14838
34/8-4 S	3276.000000	1.650000	40.000000	14.000000	WATER BASED	1991-02-19	1683	9999-12-31	2013-05-08	14839
34/8-4 S	3279.000000	1.650000	42.000000	12.000000	WATER BASED	1991-02-19	1683	9999-12-31	2013-05-08	14840
34/8-4 S	3286.000000	1.650000	36.000000	13.000000	WATER BASED	1991-02-19	1683	9999-12-31	2013-05-08	14841
34/8-4 S	3292.000000	1.650000	39.000000	14.000000	WATER BASED	1991-02-19	1683	9999-12-31	2013-05-08	14842
34/8-4 S	3319.000000	1.650000	37.000000	14.000000	WATER BASED	1991-02-20	1683	9999-12-31	2013-05-08	14843
34/8-4 S	3333.000000	1.650000	40.000000	13.000000	WATER BASED	1991-02-21	1683	9999-12-31	2013-05-08	14844
34/8-4 S	3358.000000	1.650000	39.000000	12.000000	WATER BASED	1991-02-22	1683	9999-12-31	2013-05-08	14845
34/8-4 S	3380.000000	1.650000	39.000000	12.000000	WATER BASED	1991-02-26	1683	9999-12-31	2013-05-08	14846
34/8-4 S	3386.000000	1.650000	38.000000	11.000000	WATER BASED	1991-02-26	1683	9999-12-31	2013-05-08	14847
34/8-4 S	3412.000000	1.650000	38.000000	12.000000	WATER BASED	1991-02-26	1683	9999-12-31	2013-05-08	14848
34/8-4 S	3439.000000	1.640000	38.000000	11.000000	WATER BASED	1991-02-26	1683	9999-12-31	2013-05-08	14849
34/8-4 S	3466.000000	1.650000	41.000000	12.000000	WATER BASED	1991-02-27	1683	9999-12-31	2013-05-08	14850
34/8-4 S	3474.000000	1.650000	40.000000	12.000000	WATER BASED	1991-02-28	1683	9999-12-31	2013-05-08	14851
34/8-4 S	3486.000000	1.650000	40.000000	12.000000	WATER BASED	1991-03-01	1683	9999-12-31	2013-05-08	14852
34/8-4 S	3518.000000	1.650000	37.000000	12.000000	WATER BASED	1991-03-05	1683	9999-12-31	2013-05-08	14853
34/8-4 S	3560.000000	1.590000	20.000000	7.000000	WATER BASED	1991-04-05	1683	9999-12-31	2013-05-08	14854
34/8-4 S	3560.000000	1.700000	21.000000	7.000000	WATER BASED	1991-04-05	1683	9999-12-31	2013-05-08	14855
34/8-4 S	3561.000000	1.650000	35.000000	11.000000	WATER BASED	1991-03-05	1683	9999-12-31	2013-05-08	14856
34/8-4 S	3615.000000	1.650000	34.000000	12.000000	WATER BASED	1991-03-05	1683	9999-12-31	2013-05-08	14857
34/8-4 S	3671.000000	1.650000	36.000000	10.000000	WATER BASED	1991-03-06	1683	9999-12-31	2013-05-08	14858
34/8-4 S	3671.000000	1.650000	46.000000	11.000000	WATER BASED	1991-03-05	1683	9999-12-31	2013-05-08	14859
34/8-4 S	3671.000000	1.650000	40.000000	7.000000	WATER BASED	1991-03-07	1683	9999-12-31	2013-05-08	14860
34/8-4 S	3671.000000	1.650000	41.000000	10.000000	WATER BASED	1991-03-08	1683	9999-12-31	2013-05-08	14861
34/8-4 S	3671.000000	1.650000	40.000000	9.000000	WATER BASED	1991-03-11	1683	9999-12-31	2013-05-08	14862
34/8-4 S	3671.000000	1.680000	52.000000	11.000000	WATER BASED	1991-03-11	1683	9999-12-31	2013-05-08	14863
34/8-4 S	3671.000000	1.680000	34.000000	19.000000	WATER BASED	1991-03-11	1683	9999-12-31	2013-05-08	14864
34/8-4 S	3673.000000	1.680000	45.000000	11.000000	WATER BASED	1991-03-12	1683	9999-12-31	2013-05-08	14865
34/8-4 S	3673.000000	1.680000	40.000000	9.000000	WATER BASED	1991-03-13	1683	9999-12-31	2013-05-08	14866
34/8-4 S	3673.000000	1.680000	37.000000	7.000000	WATER BASED	1991-03-15	1683	9999-12-31	2013-05-08	14867
34/8-4 S	3673.000000	1.680000	37.000000	7.000000	WATER BASED	1991-03-15	1683	9999-12-31	2013-05-08	14868
34/8-4 S	3673.000000	1.680000	42.000000	11.000000	WATER BASED	1991-03-14	1683	9999-12-31	2013-05-08	14869
34/8-4 S	3673.000000	1.600000	26.000000	7.000000	WATER BASED	1991-03-18	1683	9999-12-31	2013-05-08	14870
34/8-4 S	3746.000000	1.600000	31.000000	9.000000	WATER BASED	1991-03-18	1683	9999-12-31	2013-05-08	14871
34/8-4 S	3781.000000	1.600000	30.000000	7.000000	WATER BASED	1991-03-18	1683	9999-12-31	2013-05-08	14872
34/8-4 S	3874.000000	1.600000	38.000000	6.000000	WATER BASED	1991-03-20	1683	9999-12-31	2013-05-08	14873
34/8-4 S	3917.000000	1.600000	27.000000	7.000000	WATER BASED	1991-03-20	1683	9999-12-31	2013-05-08	14874
34/8-4 S	4027.000000	1.600000	24.000000	6.000000	WATER BASED	1991-03-21	1683	9999-12-31	2013-05-08	14875
34/8-4 S	4043.000000	1.600000	24.000000	7.000000	WATER BASED	1991-03-22	1683	9999-12-31	2013-05-08	14876
34/8-4 S	4071.000000	1.600000	22.000000	7.000000	WATER BASED	1991-03-26	1683	9999-12-31	2013-05-08	14877
34/8-4 S	4114.000000	1.600000	23.000000	7.000000	WATER BASED	1991-03-26	1683	9999-12-31	2013-05-08	14878
34/8-4 S	4122.000000	1.600000	26.000000	8.000000	WATER BASED	1991-03-26	1683	9999-12-31	2013-05-08	14879
34/8-4 S	4149.000000	1.600000	23.000000	7.000000	WATER BASED	1991-03-26	1683	9999-12-31	2013-05-08	14880
34/8-4 S	4150.000000	1.590000	20.000000	7.000000	WATER BASED	1991-03-27	1683	9999-12-31	2013-05-08	14881
34/8-5	345.000000	1.200000	0.000000	0.000000	WATER BASED	1991-02-20	1719	9999-12-31	2013-05-08	14882
34/8-5	406.000000	1.200000	0.000000	0.000000	WATER BASED	1991-02-19	1719	9999-12-31	2013-05-08	14883
34/8-5	406.000000	1.200000	0.000000	0.000000	WATER BASED	1991-02-21	1719	9999-12-31	2013-05-08	14884
34/8-5	746.000000	1.200000	0.000000	0.000000	WATER BASED	1991-02-22	1719	9999-12-31	2013-05-08	14885
34/8-5	941.000000	1.100000	0.000000	0.000000	WATER BASED	1991-02-26	1719	9999-12-31	2013-05-08	14886
34/8-5	1197.000000	1.100000	0.000000	0.000000	WATER BASED	1991-02-26	1719	9999-12-31	2013-05-08	14887
34/8-5	1197.000000	1.090000	15.000000	7.000000	WATER BASED	1991-02-26	1719	9999-12-31	2013-05-08	14888
34/8-5	1197.000000	1.150000	14.000000	8.000000	WATER BASED	1991-02-26	1719	9999-12-31	2013-05-08	14889
34/8-5	1532.000000	1.200000	14.000000	8.000000	WATER BASED	1991-02-27	1719	9999-12-31	2013-05-08	14890
34/8-5	1934.000000	1.350000	16.000000	8.000000	WATER BASED	1991-02-28	1719	9999-12-31	2013-05-08	14891
34/8-5	2549.000000	1.600000	36.000000	9.000000	WATER BASED	1991-03-27	1719	9999-12-31	2013-05-08	14892
34/8-5	2612.000000	1.400000	26.000000	10.000000	WATER BASED	1991-03-05	1719	9999-12-31	2013-05-08	14893
34/8-5	2612.000000	1.410000	24.000000	9.000000	WATER BASED	1991-03-05	1719	9999-12-31	2013-05-08	14894
34/8-5	2612.000000	1.420000	21.000000	8.000000	WATER BASED	1991-03-05	1719	9999-12-31	2013-05-08	14895
34/8-5	2618.000000	1.450000	22.000000	4.000000	WATER BASED	1991-03-05	1719	9999-12-31	2013-05-08	14896
34/8-5	2688.000000	1.600000	20.000000	5.000000	WATER BASED	1991-03-06	1719	9999-12-31	2013-05-08	14897
34/8-5	2742.000000	1.590000	23.000000	6.000000	WATER BASED	1991-03-07	1719	9999-12-31	2013-05-08	14898
34/8-5	2855.000000	1.600000	26.000000	8.000000	WATER BASED	1991-03-08	1719	9999-12-31	2013-05-08	14899
34/8-5	2894.000000	1.600000	26.000000	9.000000	WATER BASED	1991-03-11	1719	9999-12-31	2013-05-08	14900
34/8-5	2930.000000	1.600000	28.000000	8.000000	WATER BASED	1991-03-11	1719	9999-12-31	2013-05-08	14901
34/8-5	2960.000000	1.600000	28.000000	8.000000	WATER BASED	1991-03-11	1719	9999-12-31	2013-05-08	14902
34/8-5	3026.000000	1.610000	26.000000	8.000000	WATER BASED	1991-03-12	1719	9999-12-31	2013-05-08	14903
34/8-5	3049.000000	1.600000	27.000000	9.000000	WATER BASED	1991-03-13	1719	9999-12-31	2013-05-08	14904
34/8-5	3049.000000	1.600000	27.000000	8.000000	WATER BASED	1991-03-14	1719	9999-12-31	2013-05-08	14905
34/8-5	3100.000000	1.600000	35.000000	9.000000	WATER BASED	1991-03-26	1719	9999-12-31	2013-05-08	14906
34/8-5	3118.000000	1.600000	27.000000	8.000000	WATER BASED	1991-03-15	1719	9999-12-31	2013-05-08	14907
34/8-5	3118.000000	1.600000	27.000000	8.000000	WATER BASED	1991-03-15	1719	9999-12-31	2013-05-08	14908
34/8-5	3335.000000	1.600000	29.000000	9.000000	WATER BASED	1991-03-18	1719	9999-12-31	2013-05-08	14909
34/8-5	3356.000000	1.600000	28.000000	8.000000	WATER BASED	1991-03-18	1719	9999-12-31	2013-05-08	14910
34/8-5	3375.000000	1.600000	29.000000	9.000000	WATER BASED	1991-03-18	1719	9999-12-31	2013-05-08	14911
34/8-5	3406.000000	1.600000	28.000000	8.000000	WATER BASED	1991-03-20	1719	9999-12-31	2013-05-08	14912
34/8-5	3447.000000	1.590000	26.000000	9.000000	WATER BASED	1991-03-20	1719	9999-12-31	2013-05-08	14913
34/8-5	3540.000000	1.600000	30.000000	9.000000	WATER BASED	1991-03-22	1719	9999-12-31	2013-05-08	14914
34/8-5	3540.000000	1.600000	30.000000	9.000000	WATER BASED	1991-03-26	1719	9999-12-31	2013-05-08	14915
34/8-5	3540.000000	1.600000	30.000000	10.000000	WATER BASED	1991-03-26	1719	9999-12-31	2013-05-08	14916
34/8-5	3540.000000	1.600000	37.000000	10.000000	WATER BASED	1991-03-26	1719	9999-12-31	2013-05-08	14917
34/8-5	3540.000000	1.600000	29.000000	9.000000	WATER BASED	1991-03-21	1719	9999-12-31	2013-05-08	14918
34/8-6	415.000000	1.460000	18.000000	6.000000	WATER BASED	1991-11-04	1842	9999-12-31	2013-05-08	14919
34/8-6	415.000000	1.360000	14.000000	5.000000	WATER BASED	1991-11-04	1842	9999-12-31	2013-05-08	14920
34/8-6	416.000000	1.050000	22.000000	17.000000	WATER BASED	1991-09-23	1842	9999-12-31	2013-05-08	14921
34/8-6	487.000000	1.200000	16.000000	9.000000	WATER BASED	1991-09-23	1842	9999-12-31	2013-05-08	14922
34/8-6	487.000000	1.200000	16.000000	9.000000	WATER BASED	1991-09-24	1842	9999-12-31	2013-05-08	14923
34/8-6	988.000000	1.200000	17.000000	9.000000	WATER BASED	1991-09-25	1842	9999-12-31	2013-05-08	14924
34/8-6	1089.000000	1.500000	19.000000	6.000000	WATER BASED	1991-11-04	1842	9999-12-31	2013-05-08	14925
34/8-6	1207.000000	1.200000	17.000000	9.000000	WATER BASED	1991-09-27	1842	9999-12-31	2013-05-08	14926
34/8-6	1235.000000	1.200000	16.000000	9.000000	WATER BASED	1991-10-01	1842	9999-12-31	2013-05-08	14927
34/8-6	1235.000000	1.200000	8.000000	8.000000	WATER BASED	1991-10-01	1842	9999-12-31	2013-05-08	14928
34/8-6	1235.000000	1.200000	17.000000	9.000000	WATER BASED	1991-09-27	1842	9999-12-31	2013-05-08	14929
34/8-6	1235.000000	1.200000	16.000000	8.000000	WATER BASED	1991-10-01	1842	9999-12-31	2013-05-08	14930
34/8-6	1674.000000	1.200000	12.000000	9.000000	WATER BASED	1991-10-01	1842	9999-12-31	2013-05-08	14931
34/8-6	2164.000000	1.300000	15.000000	13.000000	WATER BASED	1991-10-02	1842	9999-12-31	2013-05-08	14932
34/8-6	2231.000000	1.300000	14.000000	13.000000	WATER BASED	1991-10-03	1842	9999-12-31	2013-05-08	14933
34/8-6	2423.000000	1.350000	17.000000	14.000000	WATER BASED	1991-10-04	1842	9999-12-31	2013-05-08	14934
34/8-6	2423.000000	1.350000	18.000000	12.000000	WATER BASED	1991-10-07	1842	9999-12-31	2013-05-08	14935
34/8-6	2423.000000	1.350000	16.000000	10.000000	WATER BASED	1991-10-07	1842	9999-12-31	2013-05-08	14936
34/8-6	2423.000000	1.350000	16.000000	9.000000	WATER BASED	1991-10-08	1842	9999-12-31	2013-05-08	14937
34/8-6	2423.000000	1.350000	16.000000	9.000000	WATER BASED	1991-10-07	1842	9999-12-31	2013-05-08	14938
34/8-6	2439.000000	1.350000	14.000000	9.000000	WATER BASED	1991-10-09	1842	9999-12-31	2013-05-08	14939
34/8-6	2527.000000	1.410000	16.000000	10.000000	WATER BASED	1991-10-10	1842	9999-12-31	2013-05-08	14940
34/8-6	2780.000000	1.400000	17.000000	10.000000	WATER BASED	1991-10-11	1842	9999-12-31	2013-05-08	14941
34/8-6	3045.000000	1.400000	17.000000	9.000000	WATER BASED	1991-10-15	1842	9999-12-31	2013-05-08	14942
34/8-6	3166.000000	1.400000	17.000000	9.000000	WATER BASED	1991-10-15	1842	9999-12-31	2013-05-08	14943
34/8-6	3223.000000	1.450000	19.000000	10.000000	WATER BASED	1991-10-15	1842	9999-12-31	2013-05-08	14944
34/8-6	3278.000000	1.450000	19.000000	10.000000	WATER BASED	1991-10-17	1842	9999-12-31	2013-05-08	14945
34/8-6	3362.000000	1.450000	18.000000	10.000000	WATER BASED	1991-10-17	1842	9999-12-31	2013-05-08	14946
34/8-6	3365.000000	1.450000	19.000000	10.000000	WATER BASED	1991-10-18	1842	9999-12-31	2013-05-08	14947
34/8-6	3372.000000	1.500000	20.000000	11.000000	WATER BASED	1991-10-18	1842	9999-12-31	2013-05-08	14948
34/8-6	3372.000000	1.490000	17.000000	9.000000	WATER BASED	1991-10-21	1842	9999-12-31	2013-05-08	14949
34/8-6	3372.000000	1.490000	17.000000	9.000000	WATER BASED	1991-10-21	1842	9999-12-31	2013-05-08	14950
34/8-6	3422.000000	1.510000	19.000000	10.000000	WATER BASED	1991-10-21	1842	9999-12-31	2013-05-08	14951
34/8-6	3524.000000	1.600000	25.000000	10.000000	WATER BASED	1991-10-22	1842	9999-12-31	2013-05-08	14952
34/8-6	3576.000000	1.600000	25.000000	11.000000	WATER BASED	1991-10-23	1842	9999-12-31	2013-05-08	14953
34/8-6	3606.000000	1.600000	24.000000	9.000000	WATER BASED	1991-10-24	1842	9999-12-31	2013-05-08	14954
34/8-6	3690.000000	1.610000	25.000000	9.000000	WATER BASED	1991-10-25	1842	9999-12-31	2013-05-08	14955
34/8-6	3795.000000	1.610000	25.000000	10.000000	WATER BASED	1991-10-29	1842	9999-12-31	2013-05-08	14956
34/8-6	3950.000000	1.600000	23.000000	8.000000	WATER BASED	1991-10-29	1842	9999-12-31	2013-05-08	14957
34/8-6	3950.000000	1.600000	23.000000	8.000000	WATER BASED	1991-10-29	1842	9999-12-31	2013-05-08	14958
34/8-6	3950.000000	1.600000	25.000000	10.000000	WATER BASED	1991-10-31	1842	9999-12-31	2013-05-08	14959
34/8-6	3950.000000	1.500000	17.000000	4.000000	WATER BASED	1991-11-01	1842	9999-12-31	2013-05-08	14960
34/8-7	445.000000	1.200000	11.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14961
34/8-7	506.000000	1.080000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14962
34/8-7	1065.000000	1.080000	25.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14963
34/8-7	1441.000000	1.080000	26.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14964
34/8-7	1750.000000	1.390000	23.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14965
34/8-7	2151.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14966
34/8-7	2349.000000	1.390000	26.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14967
34/8-7	2483.000000	1.390000	25.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14968
34/8-7	2553.000000	1.390000	26.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14969
34/8-7	2556.000000	1.390000	25.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14970
34/8-7	2664.000000	1.390000	26.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14971
34/8-7	2766.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14972
34/8-7	2792.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14973
34/8-7	2800.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14974
34/8-7	2888.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14975
34/8-7	2955.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14976
34/8-7	3009.000000	1.400000	26.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14977
34/8-7	3060.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14978
34/8-7	3133.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14979
34/8-7	3153.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14980
34/8-7	3261.000000	1.390000	25.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14981
34/8-7	3288.000000	1.390000	28.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14982
34/8-7	3332.000000	1.390000	25.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14983
34/8-7	3376.000000	1.390000	25.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14984
34/8-7	3453.000000	1.390000	17.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14985
34/8-7	3533.000000	1.390000	19.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14986
34/8-7	3562.000000	1.390000	22.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14987
34/8-7	3636.000000	1.390000	19.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14988
34/8-7	3712.000000	1.390000	18.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14989
34/8-7	3724.000000	1.390000	18.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14990
34/8-7	3763.000000	1.390000	18.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14991
34/8-7	3839.000000	1.390000	21.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14992
34/8-7	3923.000000	1.390000	20.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14993
34/8-7	3961.000000	1.390000	16.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14994
34/8-7	3961.000000	1.390000	21.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14995
34/8-7	4006.000000	1.390000	18.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14996
34/8-7	4180.000000	1.390000	21.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14997
34/8-7	4337.000000	1.500000	25.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14998
34/8-7	4446.000000	1.500000	22.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	14999
34/8-7	4471.000000	1.620000	25.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15000
34/8-7	4474.000000	1.620000	26.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15001
34/8-7	4492.000000	1.620000	26.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15002
34/8-7	4518.000000	1.650000	24.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15003
34/8-7	4568.000000	1.700000	22.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15004
34/8-7	4580.000000	1.760000	28.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15005
34/8-7	4589.000000	1.760000	25.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15006
34/8-7	4605.000000	1.820000	22.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15007
34/8-7	4648.000000	1.820000	23.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15008
34/8-7	4657.000000	1.820000	23.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15009
34/8-7	4725.000000	1.820000	18.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15010
34/8-7	4766.000000	1.820000	25.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15011
34/8-7	4900.000000	1.820000	15.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15012
34/8-7	4947.000000	1.820000	16.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15013
34/8-7	4961.000000	1.820000	17.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15014
34/8-7	5005.000000	1.820000	19.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15015
34/8-7	5041.000000	1.820000	24.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15016
34/8-7	5092.000000	1.820000	26.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15017
34/8-7	5112.000000	1.820000	20.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15018
34/8-7	5127.000000	1.820000	22.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15019
34/8-7	5133.000000	1.820000	28.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15020
34/8-7	5169.000000	1.820000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15021
34/8-7	5227.000000	1.820000	25.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15022
34/8-7	5231.000000	1.820000	28.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15023
34/8-7	5250.000000	1.820000	28.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15024
34/8-7	5302.000000	1.820000	30.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15025
34/8-7	5319.000000	1.820000	28.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15026
34/8-7	5370.000000	1.820000	26.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15027
34/8-7	5403.000000	1.820000	27.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15028
34/8-7	5422.000000	1.820000	26.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15029
34/8-7	5431.000000	1.820000	22.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15030
34/8-7	5460.000000	1.820000	20.000000	0.000000	WATER BASED	9999-12-31	1941	9999-12-31	2013-05-08	15031
34/8-7 R	1050.000000	1.390000	9.000000	0.000000	WATER BASED	9999-12-31	2057	9999-12-31	2013-05-08	15032
34/8-7 R	2496.000000	1.390000	8.000000	0.000000	WATER BASED	9999-12-31	2057	9999-12-31	2013-05-08	15033
34/8-7 R	3690.000000	1.390000	9.000000	0.000000	WATER BASED	9999-12-31	2057	9999-12-31	2013-05-08	15034
34/8-7 R	3792.000000	1.840000	30.000000	0.000000	WATER BASED	9999-12-31	2057	9999-12-31	2013-05-08	15035
34/8-7 R	3792.000000	1.840000	30.000000	0.000000	WATER BASED	9999-12-31	2057	9999-12-31	2013-05-08	15036
34/8-7 R	4611.000000	1.840000	22.000000	0.000000	WATER BASED	9999-12-31	2057	9999-12-31	2013-05-08	15037
34/8-7 R	4711.000000	1.840000	22.000000	0.000000	WATER BASED	9999-12-31	2057	9999-12-31	2013-05-08	15038
34/8-7 R	4797.000000	1.840000	23.000000	0.000000	WATER BASED	9999-12-31	2057	9999-12-31	2013-05-08	15039
34/8-7 R	5210.000000	1.780000	23.000000	0.000000	WATER BASED	9999-12-31	2057	9999-12-31	2013-05-08	15040
34/8-8	432.000000	1.030000	14.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15041
34/8-8	452.000000	1.060000	14.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15042
34/8-8	621.000000	1.200000	24.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15043
34/8-8	900.000000	1.200000	23.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15044
34/8-8	1112.000000	1.050000	13.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15045
34/8-8	1348.000000	1.390000	14.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15046
34/8-8	1360.000000	1.390000	24.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15047
34/8-8	1364.000000	1.390000	14.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15048
34/8-8	1390.000000	1.380000	12.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15049
34/8-8	1392.000000	1.390000	20.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15050
34/8-8	1430.000000	1.390000	19.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15051
34/8-8	1512.000000	1.400000	26.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15052
34/8-8	1767.000000	1.390000	25.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15053
34/8-8	2179.000000	1.470000	29.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15054
34/8-8	2459.000000	1.470000	28.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15055
34/8-8	2765.000000	1.470000	30.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15056
34/8-8	2885.000000	1.620000	29.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15057
34/8-8	2916.000000	1.620000	30.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15058
34/8-8	2948.000000	1.620000	33.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15059
34/8-8	2990.000000	1.650000	28.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15060
34/8-8	3006.000000	1.600000	37.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15061
34/8-8	3032.000000	1.620000	29.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15062
34/8-8	3074.000000	1.620000	33.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15063
34/8-8	3109.000000	1.670000	30.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15064
34/8-8	3114.000000	1.620000	32.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15065
34/8-8	3172.000000	1.700000	30.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15066
34/8-8	3300.000000	1.620000	33.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15067
34/8-8	3475.000000	1.600000	31.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15068
34/8-8	3516.000000	1.600000	34.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15069
34/8-8	3625.000000	1.600000	34.000000	0.000000	WATER BASED	9999-12-31	1969	9999-12-31	2013-05-08	15070
34/8-8 R	1000.000000	1.470000	12.000000	9.000000	WATER BASED	1993-03-09	2080	9999-12-31	2013-05-08	15071
34/8-8 R	1000.000000	1.470000	12.000000	9.000000	WATER BASED	1993-03-08	2080	9999-12-31	2013-05-08	15072
34/8-8 R	1000.000000	1.470000	12.000000	9.000000	WATER BASED	1993-03-10	2080	9999-12-31	2013-05-08	15073
34/8-8 R	2727.000000	1.470000	12.000000	10.000000	WATER BASED	1993-03-08	2080	9999-12-31	2013-05-08	15074
34/8-8 R	2877.000000	1.630000	15.000000	14.000000	WATER BASED	1993-03-01	2080	9999-12-31	2013-05-08	15075
34/8-8 R	2877.000000	1.630000	15.000000	14.000000	WATER BASED	1993-03-01	2080	9999-12-31	2013-05-08	15076
34/8-8 R	2877.000000	1.630000	15.000000	14.000000	WATER BASED	1993-03-02	2080	9999-12-31	2013-05-08	15077
34/8-8 R	2877.000000	1.630000	15.000000	14.000000	WATER BASED	1993-03-03	2080	9999-12-31	2013-05-08	15078
34/8-8 R	2877.000000	1.630000	15.000000	14.000000	WATER BASED	1993-03-01	2080	9999-12-31	2013-05-08	15079
34/8-8 R	2894.000000	1.630000	15.000000	15.000000	WATER BASED	1993-03-08	2080	9999-12-31	2013-05-08	15080
34/8-8 R	2909.000000	1.630000	20.000000	15.000000	WATER BASED	1993-02-23	2080	9999-12-31	2013-05-08	15081
34/8-8 R	2909.000000	1.630000	15.000000	15.000000	WATER BASED	1993-02-23	2080	9999-12-31	2013-05-08	15082
34/8-8 R	2909.000000	1.630000	17.000000	15.000000	WATER BASED	1993-02-23	2080	9999-12-31	2013-05-08	15083
34/8-8 R	2909.000000	1.630000	14.000000	14.000000	WATER BASED	1993-02-24	2080	9999-12-31	2013-05-08	15084
34/8-8 R	2957.000000	1.630000	15.000000	15.000000	WATER BASED	1993-02-24	2080	9999-12-31	2013-05-08	15085
34/8-8 R	2957.000000	1.630000	14.000000	14.000000	WATER BASED	1993-03-04	2080	9999-12-31	2013-05-08	15086
34/8-8 R	2957.000000	1.630000	14.000000	13.000000	WATER BASED	1993-03-08	2080	9999-12-31	2013-05-08	15087
34/8-8 R	2957.000000	1.630000	15.000000	14.000000	WATER BASED	1993-02-26	2080	9999-12-31	2013-05-08	15088
34/8-8 R	2957.000000	1.630000	14.000000	13.000000	WATER BASED	1993-03-08	2080	9999-12-31	2013-05-08	15089
34/8-8 R	2957.000000	1.630000	15.000000	14.000000	WATER BASED	1993-02-26	2080	9999-12-31	2013-05-08	15090
34/8-8 R	3111.000000	1.630000	19.000000	19.500000	WATER BASED	1993-02-18	2080	9999-12-31	2013-05-08	15091
34/8-8 R	3111.000000	1.630000	20.000000	15.000000	WATER BASED	1993-02-18	2080	9999-12-31	2013-05-08	15092
34/8-8 R	3111.000000	1.630000	19.000000	17.000000	WATER BASED	1993-02-19	2080	9999-12-31	2013-05-08	15093
34/8-9 S	1109.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15094
34/8-9 S	1350.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15095
34/8-9 S	1360.000000	1.050000	18.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15096
34/8-9 S	1698.000000	1.300000	17.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15097
34/8-9 S	1703.000000	1.300000	18.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15098
34/8-9 S	1940.000000	1.370000	19.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15099
34/8-9 S	2102.000000	1.410000	23.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15100
34/8-9 S	2467.000000	1.430000	21.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15101
34/8-9 S	2470.000000	1.510000	15.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15102
34/8-9 S	2531.000000	1.510000	22.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15103
34/8-9 S	2559.000000	1.510000	21.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15104
34/8-9 S	2665.000000	1.510000	22.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15105
34/8-9 S	2707.000000	1.510000	23.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15106
34/8-9 S	2749.000000	1.510000	24.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15107
34/8-9 S	2869.000000	1.600000	28.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15108
34/8-9 S	2899.000000	1.620000	27.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15109
34/8-9 S	2924.000000	1.640000	29.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15110
34/8-9 S	3015.000000	1.640000	34.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15111
34/8-9 S	3135.000000	1.640000	30.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15112
34/8-9 S	3162.000000	1.640000	32.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15113
34/8-9 S	3171.000000	1.650000	32.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15114
34/8-9 S	3190.000000	1.640000	31.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15115
34/8-9 S	3243.000000	1.640000	26.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15116
34/8-9 S	3285.000000	1.640000	36.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15117
34/8-9 S	3332.000000	1.640000	40.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15118
34/8-9 S	3417.000000	1.640000	37.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15119
34/8-9 S	3435.000000	1.640000	34.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15120
34/8-9 S	3530.000000	1.670000	42.000000	0.000000	WATER BASED	9999-12-31	2029	9999-12-31	2013-05-08	15121
35/10-1	493.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15122
35/10-1	740.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15123
35/10-1	759.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15124
35/10-1	770.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15125
35/10-1	1021.000000	1.200000	24.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15126
35/10-1	1136.000000	1.200000	22.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15127
35/10-1	1266.000000	1.200000	22.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15128
35/10-1	1370.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15129
35/10-1	1500.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15130
35/10-1	1570.000000	1.230000	17.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15131
35/10-1	1685.000000	1.230000	16.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15132
35/10-1	1796.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15133
35/10-1	1820.000000	1.270000	17.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15134
35/10-1	1855.000000	1.270000	19.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15135
35/10-1	2024.000000	1.350000	23.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15136
35/10-1	2115.000000	1.390000	21.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15137
35/10-1	2315.000000	1.390000	24.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15138
35/10-1	2459.000000	1.390000	31.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15139
35/10-1	2625.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15140
35/10-1	2751.000000	1.390000	29.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15141
35/10-1	2769.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15142
35/10-1	2821.000000	1.390000	28.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15143
35/10-1	2918.000000	1.390000	25.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15144
35/10-1	2969.000000	1.390000	25.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15145
35/10-1	3028.000000	1.390000	21.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15146
35/10-1	3039.000000	1.390000	21.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15147
35/10-1	3165.000000	1.550000	21.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15148
35/10-1	3275.000000	1.550000	19.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15149
35/10-1	3279.000000	1.580000	17.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15150
35/10-1	3325.000000	1.860000	31.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15151
35/10-1	3329.000000	1.840000	42.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15152
35/10-1	3360.000000	1.840000	42.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15153
35/10-1	3388.000000	1.850000	27.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15154
35/10-1	3396.000000	1.860000	39.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15155
35/10-1	3410.000000	1.860000	35.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15156
35/10-1	3417.000000	1.860000	39.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15157
35/10-1	3431.000000	1.860000	40.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15158
35/10-1	3438.000000	1.860000	38.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15159
35/10-1	3450.000000	1.860000	36.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15160
35/10-1	3489.000000	1.860000	35.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15161
35/10-1	3512.000000	1.860000	36.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15162
35/10-1	3518.000000	1.860000	30.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15163
35/10-1	3575.000000	1.860000	31.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15164
35/10-1	3602.000000	1.860000	28.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15165
35/10-1	3630.000000	1.860000	27.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15166
35/10-1	3657.000000	1.860000	23.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15167
35/10-1	3706.000000	1.850000	22.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15168
35/10-1	3824.000000	0.000000	23.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15169
35/10-1	3932.000000	0.000000	28.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15170
35/10-1	3965.000000	1.840000	31.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15171
35/10-1	3986.000000	1.830000	20.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15172
35/10-1	3987.000000	1.830000	25.000000	0.000000	WATER BASED	9999-12-31	1822	9999-12-31	2013-05-08	15173
35/10-2	483.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	2783	9999-12-31	2013-05-08	15174
35/10-2	1050.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	2783	9999-12-31	2013-05-08	15175
35/10-2	1439.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	2783	9999-12-31	2013-05-08	15176
35/10-2	1752.000000	1.450000	0.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15177
35/10-2	2018.000000	1.470000	20.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15178
35/10-2	2156.000000	1.470000	20.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15179
35/10-2	2581.000000	1.490000	30.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15180
35/10-2	2773.000000	1.490000	36.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15181
35/10-2	3026.000000	1.490000	28.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15182
35/10-2	3201.000000	1.490000	29.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15183
35/10-2	3301.000000	1.470000	21.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15184
35/10-2	3301.000000	1.470000	30.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15185
35/10-2	3450.000000	1.510000	32.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15186
35/10-2	3450.000000	1.510000	32.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15187
35/10-2	3958.000000	1.700000	36.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15188
35/10-2	3990.000000	1.810000	43.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15189
35/10-2	4097.000000	1.890000	33.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15190
35/10-2	4142.000000	1.840000	26.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15191
35/10-2	4149.000000	1.810000	28.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15192
35/10-2	4154.000000	1.840000	22.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15193
35/10-2	4233.000000	1.840000	25.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15194
35/10-2	4505.000000	1.840000	28.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15195
35/10-2	4538.000000	1.810000	25.000000	0.000000	ANCO 2000	9999-12-31	2783	9999-12-31	2013-05-08	15196
35/10-2	4677.000000	1.810000	19.000000	0.000000	ANCOTEMP/BENT.	9999-12-31	2783	9999-12-31	2013-05-08	15197
35/10-3	655.000000	1.030000	0.000000	0.000000	BENTONITE/FW	9999-12-31	3719	9999-12-31	2013-05-08	15198
35/10-3	1256.000000	1.210000	17.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3719	9999-12-31	2013-05-08	15199
35/10-3	1494.000000	1.210000	0.000000	0.000000	DUMMY	9999-12-31	3719	9999-12-31	2013-05-08	15200
35/10-3	1645.000000	1.250000	21.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3719	9999-12-31	2013-05-08	15201
35/10-3	1818.000000	1.300000	22.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3719	9999-12-31	2013-05-08	15202
35/10-3	1940.000000	1.370000	31.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3719	9999-12-31	2013-05-08	15203
35/10-3	1950.000000	1.370000	31.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3719	9999-12-31	2013-05-08	15204
35/10-3	1950.000000	1.370000	31.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3719	9999-12-31	2013-05-08	15205
35/10-3	2250.000000	1.370000	31.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	3719	9999-12-31	2013-05-08	15206
35/1-1	431.000000	0.000000	0.000000	0.000000	SPUD MUD	9999-12-31	4541	9999-12-31	2013-05-08	15207
35/1-1	672.000000	0.000000	34.000000	0.000000	VERSAPORT	9999-12-31	4541	9999-12-31	2013-05-08	15208
35/1-1	678.000000	0.000000	0.000000	0.000000	SEAWATER	9999-12-31	4541	9999-12-31	2013-05-08	15209
35/1-1	863.000000	0.000000	33.000000	0.000000	VERSAPORT	9999-12-31	4541	9999-12-31	2013-05-08	15210
35/1-1	878.000000	0.120000	0.000000	0.000000	SPUD MUD	9999-12-31	4541	9999-12-31	2013-05-08	15211
35/1-1	1675.000000	1.340000	18.000000	0.000000	KCL/POLYMER	9999-12-31	4541	9999-12-31	2013-05-08	15212
35/1-1	2245.000000	0.000000	32.000000	0.000000	VERSAPORT	9999-12-31	4541	9999-12-31	2013-05-08	15213
35/1-1	2678.000000	1.500000	39.000000	0.000000	VERSAPORT	9999-12-31	4541	9999-12-31	2013-05-08	15214
35/1-1	3452.000000	1.520000	36.000000	0.000000	VERSAPORT	9999-12-31	4541	9999-12-31	2013-05-08	15215
35/1-1	3834.000000	1.610000	32.000000	0.000000	VERSAPORT	9999-12-31	4541	9999-12-31	2013-05-08	15216
35/1-1	3950.000000	0.000000	36.000000	0.000000	VERSAPORT	9999-12-31	4541	9999-12-31	2013-05-08	15217
35/1-1	4129.000000	0.000000	35.000000	0.000000	VERSAPORT	9999-12-31	4541	9999-12-31	2013-05-08	15218
35/1-1	4516.000000	0.000000	49.000000	0.000000	VERSAPORT	9999-12-31	4541	9999-12-31	2013-05-08	15219
35/1-1	4540.000000	0.000000	48.000000	0.000000	VERSAPORT	9999-12-31	4541	9999-12-31	2013-05-08	15220
35/11-1	800.000000	1.080000	5.000000	23.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15221
35/11-1	1050.000000	1.210000	11.000000	18.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15222
35/11-1	1260.000000	1.220000	14.000000	19.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15223
35/11-1	1500.000000	1.270000	28.000000	14.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15224
35/11-1	1820.000000	1.290000	23.000000	19.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15225
35/11-1	1885.000000	1.320000	28.000000	17.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15226
35/11-1	2060.000000	1.450000	24.000000	15.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15227
35/11-1	2230.000000	1.560000	34.000000	8.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15228
35/11-1	2310.000000	1.570000	36.000000	23.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15229
35/11-1	2360.000000	1.560000	37.000000	25.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15230
35/11-1	2460.000000	1.500000	21.000000	14.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15231
35/11-1	2510.000000	1.560000	26.000000	12.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15232
35/11-1	2685.000000	1.450000	22.000000	14.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15233
35/11-1	2770.000000	1.420000	21.000000	14.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15234
35/11-1	2880.000000	1.350000	15.000000	14.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15235
35/11-1	2990.000000	1.320000	15.000000	14.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15236
35/11-1	3100.000000	1.330000	27.000000	19.000000	WATER BASED	9999-12-31	128	9999-12-31	2013-05-08	15237
35/11-10	1152.000000	1.250000	23.000000	0.000000	WATER BASED	9999-12-31	3042	9999-12-31	2013-05-08	15238
35/11-10	1906.000000	1.250000	18.000000	0.000000	WATER BASED	9999-12-31	3042	9999-12-31	2013-05-08	15239
35/11-10	2078.000000	1.260000	18.000000	0.000000	WATER BASED	9999-12-31	3042	9999-12-31	2013-05-08	15240
35/11-10	2362.000000	1.250000	19.000000	0.000000	WATER BASED	9999-12-31	3042	9999-12-31	2013-05-08	15241
35/11-10	2950.000000	1.250000	16.000000	0.000000	WATER BASED	9999-12-31	3042	9999-12-31	2013-05-08	15242
35/11-10 A	1090.000000	1.270000	72.000000	15.000000	WATER BASED	9999-12-31	3151	9999-12-31	2013-05-08	15243
35/11-10 A	1400.000000	1.300000	79.000000	18.000000	WATER BASED	9999-12-31	3151	9999-12-31	2013-05-08	15244
35/11-10 A	2084.000000	1.310000	73.000000	15.500000	WATER BASED	9999-12-31	3151	9999-12-31	2013-05-08	15245
35/11-10 A	2870.000000	1.310000	78.000000	16.000000	WATER BASED	9999-12-31	3151	9999-12-31	2013-05-08	15246
35/11-10 A	3259.000000	1.330000	80.000000	15.000000	WATER BASED	9999-12-31	3151	9999-12-31	2013-05-08	15247
35/11-11	345.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15248
35/11-11	450.000000	1.330000	32.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15249
35/11-11	1145.000000	1.330000	32.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15250
35/11-11	1253.000000	1.030000	11.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15251
35/11-11	1520.000000	1.320000	32.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15252
35/11-11	1891.000000	1.250000	22.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15253
35/11-11	2177.000000	1.250000	25.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15254
35/11-11	2505.000000	1.260000	30.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15255
35/11-11	2605.000000	1.260000	29.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15256
35/11-11	2648.000000	1.280000	28.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15257
35/11-11	2723.000000	1.270000	31.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15258
35/11-11	3225.000000	1.270000	30.000000	0.000000	WATER BASED	9999-12-31	3356	9999-12-31	2013-05-08	15259
35/11-12	460.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15260
35/11-12	500.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15261
35/11-12	600.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15262
35/11-12	725.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15263
35/11-12	750.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15264
35/11-12	850.000000	1.300000	18.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15265
35/11-12	1473.000000	1.390000	23.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15266
35/11-12	1760.000000	1.390000	20.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15267
35/11-12	1764.000000	1.300000	15.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15268
35/11-12	2212.000000	1.300000	22.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15269
35/11-12	2709.000000	1.500000	22.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15270
35/11-12	2711.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15271
35/11-12	2822.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15272
35/11-12	3050.000000	1.460000	20.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15273
35/11-12	3140.000000	1.460000	20.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15274
35/11-12	3291.000000	1.460000	22.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15275
35/11-12	3378.000000	1.500000	22.000000	0.000000	WATER BASED	9999-12-31	4054	9999-12-31	2013-05-08	15276
35/11-13	441.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15277
35/11-13	474.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15278
35/11-13	701.000000	1.200000	13.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15279
35/11-13	923.000000	1.200000	12.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15280
35/11-13	1500.000000	1.300000	11.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15281
35/11-13	1757.000000	1.340000	17.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15282
35/11-13	1781.000000	1.300000	16.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15283
35/11-13	2555.000000	1.300000	15.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15284
35/11-13	2690.000000	1.300000	11.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15285
35/11-13	2814.000000	1.300000	14.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15286
35/11-13	2932.000000	1.300000	16.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15287
35/11-13	3100.000000	1.300000	15.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15288
35/11-13	3142.000000	1.300000	17.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15289
35/11-13	3290.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15290
35/11-13	3291.000000	1.300000	18.000000	0.000000	WATER BASED	9999-12-31	5063	9999-12-31	2013-05-08	15291
35/11-14 S	622.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	5365	9999-12-31	2013-05-08	15292
35/11-14 S	640.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	5365	9999-12-31	2013-05-08	15293
35/11-14 S	1050.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	5365	9999-12-31	2013-05-08	15294
35/11-14 S	1058.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	5365	9999-12-31	2013-05-08	15295
35/11-14 S	1193.000000	1.260000	21.000000	0.000000	WATER BASED	9999-12-31	5365	9999-12-31	2013-05-08	15296
35/11-14 S	1390.000000	1.290000	20.000000	0.000000	WATER BASED	9999-12-31	5365	9999-12-31	2013-05-08	15297
35/11-14 S	1679.000000	1.290000	17.000000	0.000000	WATER BASED	9999-12-31	5365	9999-12-31	2013-05-08	15298
35/11-14 S	1757.000000	1.310000	17.000000	0.000000	WATER BASED	9999-12-31	5365	9999-12-31	2013-05-08	15299
35/11-14 S	2400.000000	1.310000	18.000000	0.000000	WATER BASED	9999-12-31	5365	9999-12-31	2013-05-08	15300
35/11-14 S	2829.000000	1.340000	21.000000	0.000000	WATER BASED	9999-12-31	5365	9999-12-31	2013-05-08	15301
35/11-15 S	701.000000	1.170000	16.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15302
35/11-15 S	1190.000000	1.250000	24.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15303
35/11-15 S	1657.000000	1.260000	24.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15304
35/11-15 S	1681.000000	1.280000	23.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15305
35/11-15 S	2068.000000	1.240000	30.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15306
35/11-15 S	2163.000000	1.250000	28.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15307
35/11-15 S	2285.000000	1.250000	28.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15308
35/11-15 S	2415.000000	1.320000	21.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15309
35/11-15 S	2619.000000	1.320000	23.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15310
35/11-15 S	2847.000000	1.240000	25.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15311
35/11-15 S	2980.000000	1.240000	26.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15312
35/11-15 S	3013.000000	1.240000	28.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15313
35/11-15 S	3240.000000	1.240000	24.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15314
35/11-15 S	3250.000000	1.250000	19.000000	0.000000	WATER BASED	9999-12-31	5517	9999-12-31	2013-05-08	15315
35/11-2	1.000000	1.030000	0.000000	0.000000	WATER BASED	1987-07-23	893	9999-12-31	2013-05-08	15316
35/11-2	461.000000	1.020000	0.000000	0.000000	WATER BASED	1987-07-22	893	9999-12-31	2013-05-08	15317
35/11-2	550.000000	1.030000	0.000000	0.000000	WATER BASED	1987-07-23	893	9999-12-31	2013-05-08	15318
35/11-2	550.000000	1.060000	0.000000	0.000000	WATER BASED	1987-07-27	893	9999-12-31	2013-05-08	15319
35/11-2	556.000000	1.060000	0.000000	0.000000	WATER BASED	1987-07-27	893	9999-12-31	2013-05-08	15320
35/11-2	649.000000	1.000000	6.000000	0.000000	03WATER BASED	1987-07-28	893	9999-12-31	2013-05-08	15321
35/11-2	1026.000000	1.060000	0.000000	0.000000	OIL BASED	1987-07-29	893	9999-12-31	2013-05-08	15322
35/11-2	1026.000000	1.060000	0.000000	0.000000	WATER BASED	1987-08-03	893	9999-12-31	2013-05-08	15323
35/11-2	1026.000000	1.300000	0.000000	0.000000	WATER BASED	1987-08-03	893	9999-12-31	2013-05-08	15324
35/11-2	1026.000000	1.320000	0.000000	0.000000	WATER BASED	1987-08-03	893	9999-12-31	2013-05-08	15325
35/11-2	1180.000000	1.260000	10.000000	14.400000	WATER BASED	1987-08-10	893	9999-12-31	2013-05-08	15326
35/11-2	1335.000000	1.260000	16.000000	27.800000	WATER BASED	1987-08-10	893	9999-12-31	2013-05-08	15327
35/11-2	1335.000000	1.260000	16.000000	27.800000	WATER BASED	1987-08-11	893	9999-12-31	2013-05-08	15328
35/11-2	1350.000000	1.300000	11.000000	28.300000	WATER BASED	1987-08-13	893	9999-12-31	2013-05-08	15329
35/11-2	1350.000000	1.260000	12.000000	31.100000	WATER BASED	1987-08-12	893	9999-12-31	2013-05-08	15330
35/11-2	1350.000000	1.260000	16.000000	23.000000	WATER BASED	1987-08-11	893	9999-12-31	2013-05-08	15331
35/11-2	1350.000000	1.260000	14.000000	15.400000	WATER BASED	1987-08-11	893	9999-12-31	2013-05-08	15332
35/11-2	1350.000000	1.300000	13.000000	29.700000	WATER BASED	1987-08-18	893	9999-12-31	2013-05-08	15333
35/11-2	1350.000000	1.300000	13.000000	26.800000	WATER BASED	1987-08-18	893	9999-12-31	2013-05-08	15334
35/11-2	1350.000000	1.300000	18.000000	23.500000	WATER BASED	1987-08-19	893	9999-12-31	2013-05-08	15335
35/11-2	1350.000000	1.300000	12.000000	34.500000	WATER BASED	1987-08-14	893	9999-12-31	2013-05-08	15336
35/11-2	1350.000000	1.300000	13.000000	29.200000	WATER BASED	1987-08-18	893	9999-12-31	2013-05-08	15337
35/11-2	2195.000000	1.200000	26.000000	8.600000	WATER BASED	1987-08-20	893	9999-12-31	2013-05-08	15338
35/11-2	2310.000000	1.200000	18.000000	8.600000	WATER BASED	1987-08-21	893	9999-12-31	2013-05-08	15339
35/11-2	2343.000000	1.200000	23.000000	7.700000	WATER BASED	1987-08-24	893	9999-12-31	2013-05-08	15340
35/11-2	2442.000000	1.200000	25.000000	8.100000	WATER BASED	1987-08-24	893	9999-12-31	2013-05-08	15341
35/11-2	2544.000000	1.200000	26.000000	8.600000	WATER BASED	1987-08-24	893	9999-12-31	2013-05-08	15342
35/11-2	2559.000000	1.220000	32.000000	9.100000	WATER BASED	1987-08-25	893	9999-12-31	2013-05-08	15343
35/11-2	2631.000000	1.240000	25.000000	10.500000	WATER BASED	1987-08-26	893	9999-12-31	2013-05-08	15344
35/11-2	2685.000000	1.200000	27.000000	9.600000	WATER BASED	1987-08-27	893	9999-12-31	2013-05-08	15345
35/11-2	2738.000000	1.200000	27.000000	9.600000	WATER BASED	1987-08-28	893	9999-12-31	2013-05-08	15346
35/11-2	2788.000000	1.200000	31.000000	11.000000	WATER BASED	1987-08-31	893	9999-12-31	2013-05-08	15347
35/11-2	2886.000000	1.200000	28.000000	12.500000	WATER BASED	1987-08-31	893	9999-12-31	2013-05-08	15348
35/11-2	2934.000000	1.200000	24.000000	12.500000	WATER BASED	1987-08-31	893	9999-12-31	2013-05-08	15349
35/11-2	2950.000000	1.220000	25.000000	12.000000	WATER BASED	1987-09-03	893	9999-12-31	2013-05-08	15350
35/11-2	2950.000000	1.220000	25.000000	11.000000	WATER BASED	1987-09-03	893	9999-12-31	2013-05-08	15351
35/11-2	2950.000000	1.220000	33.000000	12.500000	WATER BASED	1987-09-04	893	9999-12-31	2013-05-08	15352
35/11-2	2950.000000	1.220000	25.000000	12.000000	WATER BASED	1987-09-07	893	9999-12-31	2013-05-08	15353
35/11-2	2950.000000	1.220000	23.000000	11.000000	WATER BASED	1987-09-07	893	9999-12-31	2013-05-08	15354
35/11-2	2950.000000	1.220000	23.000000	12.000000	WATER BASED	1987-09-07	893	9999-12-31	2013-05-08	15355
35/11-2	3377.000000	1.620000	43.000000	1.100000	WATER BASED	1987-09-18	893	9999-12-31	2013-05-08	15356
35/11-2	3377.000000	1.570000	29.000000	9.100000	WATER BASED	1987-09-16	893	9999-12-31	2013-05-08	15357
35/11-2	3377.000000	1.570000	29.000000	12.000000	WATER BASED	1987-09-14	893	9999-12-31	2013-05-08	15358
35/11-2	3377.000000	1.570000	28.000000	10.500000	WATER BASED	1987-09-14	893	9999-12-31	2013-05-08	15359
35/11-2	3377.000000	1.430000	28.000000	11.000000	WATER BASED	1987-09-09	893	9999-12-31	2013-05-08	15360
35/11-2	3377.000000	1.510000	25.000000	8.600000	WATER BASED	1987-09-09	893	9999-12-31	2013-05-08	15361
35/11-2	3377.000000	1.540000	30.000000	11.000000	WATER BASED	1987-09-10	893	9999-12-31	2013-05-08	15362
35/11-2	3377.000000	1.570000	29.000000	10.000000	WATER BASED	1987-09-11	893	9999-12-31	2013-05-08	15363
35/11-2	3377.000000	1.580000	16.000000	4.800000	WATER BASED	1987-10-09	893	9999-12-31	2013-05-08	15364
35/11-2	3377.000000	1.580000	23.000000	6.700000	WATER BASED	1987-10-07	893	9999-12-31	2013-05-08	15365
35/11-2	3377.000000	1.580000	15.000000	6.200000	WATER BASED	1987-10-08	893	9999-12-31	2013-05-08	15366
35/11-2	3377.000000	1.570000	33.000000	14.400000	WATER BASED	1987-09-14	893	9999-12-31	2013-05-08	15367
35/11-2	3379.000000	1.620000	33.000000	8.600000	WATER BASED	1987-09-21	893	9999-12-31	2013-05-08	15368
35/11-2	3398.000000	1.620000	27.000000	7.200000	WATER BASED	1987-09-21	893	9999-12-31	2013-05-08	15369
35/11-2	3417.000000	1.620000	28.000000	6.700000	WATER BASED	1987-09-21	893	9999-12-31	2013-05-08	15370
35/11-2	3438.000000	1.620000	22.000000	6.700000	WATER BASED	1987-09-21	893	9999-12-31	2013-05-08	15371
35/11-2	3461.000000	1.620000	31.000000	8.100000	WATER BASED	1987-09-22	893	9999-12-31	2013-05-08	15372
35/11-2	3488.000000	1.620000	30.000000	8.100000	WATER BASED	1987-09-23	893	9999-12-31	2013-05-08	15373
35/11-2	3504.000000	1.620000	30.000000	7.700000	WATER BASED	1987-09-24	893	9999-12-31	2013-05-08	15374
35/11-2	3521.000000	1.620000	25.000000	7.700000	WATER BASED	1987-09-25	893	9999-12-31	2013-05-08	15375
35/11-2	3580.000000	1.620000	25.000000	9.100000	WATER BASED	1987-09-28	893	9999-12-31	2013-05-08	15376
35/11-2	3682.000000	1.620000	25.000000	9.600000	WATER BASED	1987-09-28	893	9999-12-31	2013-05-08	15377
35/11-2	3719.000000	1.620000	22.000000	7.700000	WATER BASED	1987-09-28	893	9999-12-31	2013-05-08	15378
35/11-2	3774.000000	1.620000	24.000000	9.600000	WATER BASED	1987-09-29	893	9999-12-31	2013-05-08	15379
35/11-2	3787.000000	1.620000	18.000000	8.100000	WATER BASED	1987-10-01	893	9999-12-31	2013-05-08	15380
35/11-2	3835.000000	1.620000	22.000000	9.600000	WATER BASED	1987-09-30	893	9999-12-31	2013-05-08	15381
35/11-2	3961.000000	1.620000	20.000000	6.200000	WATER BASED	1987-10-05	893	9999-12-31	2013-05-08	15382
35/11-2	3962.000000	1.580000	25.000000	7.700000	WATER BASED	1987-10-06	893	9999-12-31	2013-05-08	15383
35/11-2	4025.000000	1.620000	15.000000	4.800000	WATER BASED	1987-10-05	893	9999-12-31	2013-05-08	15384
35/11-2	4025.000000	1.620000	15.400000	4.800000	WATER BASED	1987-10-05	893	9999-12-31	2013-05-08	15385
35/11-2	4025.000000	1.580000	20.000000	6.700000	WATER BASED	1987-10-05	893	9999-12-31	2013-05-08	15386
35/11-3 S	400.000000	1.030000	0.000000	0.000000	WATER BASED	1989-06-30	1356	9999-12-31	2013-05-08	15387
35/11-3 S	499.000000	1.030000	0.000000	0.000000	WATER BASED	1989-07-03	1356	9999-12-31	2013-05-08	15388
35/11-3 S	692.000000	1.030000	0.000000	0.000000	WATER BASED	1989-07-04	1356	9999-12-31	2013-05-08	15389
35/11-3 S	1010.000000	1.030000	0.000000	0.000000	WATER BASED	1989-07-04	1356	9999-12-31	2013-05-08	15390
35/11-3 S	1010.000000	1.030000	0.000000	0.000000	WATER BASED	1989-07-04	1356	9999-12-31	2013-05-08	15391
35/11-3 S	1010.000000	1.030000	0.000000	0.000000	WATER BASED	1989-07-10	1356	9999-12-31	2013-05-08	15392
35/11-3 S	1010.000000	1.030000	0.000000	0.000000	WATER BASED	1989-07-04	1356	9999-12-31	2013-05-08	15393
35/11-3 S	1010.000000	1.030000	0.000000	0.000000	WATER BASED	1989-07-10	1356	9999-12-31	2013-05-08	15394
35/11-3 S	1285.000000	1.200000	17.000000	21.000000	WATER BASED	1989-07-18	1356	9999-12-31	2013-05-08	15395
35/11-3 S	1554.000000	1.020000	21.000000	20.000000	WATER BASED	1989-07-18	1356	9999-12-31	2013-05-08	15396
35/11-3 S	1761.000000	1.200000	21.000000	20.000000	WATER BASED	1989-07-18	1356	9999-12-31	2013-05-08	15397
35/11-3 S	1776.000000	1.200000	16.000000	20.000000	WATER BASED	1989-07-18	1356	9999-12-31	2013-05-08	15398
35/11-3 S	1987.000000	1.200000	17.000000	21.000000	WATER BASED	1989-07-18	1356	9999-12-31	2013-05-08	15399
35/11-3 S	1996.000000	1.200000	16.000000	21.000000	WATER BASED	1989-07-18	1356	9999-12-31	2013-05-08	15400
35/11-3 S	2039.000000	1.270000	16.000000	19.000000	WATER BASED	1989-07-18	1356	9999-12-31	2013-05-08	15401
35/11-3 S	2057.000000	1.270000	14.000000	16.000000	WATER BASED	1989-07-18	1356	9999-12-31	2013-05-08	15402
35/11-3 S	2057.000000	1.270000	14.000000	16.000000	WATER BASED	1989-07-18	1356	9999-12-31	2013-05-08	15403
35/11-3 S	2070.000000	1.030000	15.000000	24.000000	WATER BASED	1989-07-24	1356	9999-12-31	2013-05-08	15404
35/11-3 S	2120.000000	1.300000	21.000000	21.000000	WATER BASED	1989-07-25	1356	9999-12-31	2013-05-08	15405
35/11-3 S	2224.000000	1.300000	24.000000	26.000000	WATER BASED	1989-07-26	1356	9999-12-31	2013-05-08	15406
35/11-3 S	2278.000000	1.300000	20.000000	24.000000	WATER BASED	1989-07-28	1356	9999-12-31	2013-05-08	15407
35/11-3 S	2366.000000	1.260000	18.000000	22.000000	WATER BASED	1989-07-31	1356	9999-12-31	2013-05-08	15408
35/11-3 S	2467.000000	1.260000	18.000000	26.000000	WATER BASED	1989-07-31	1356	9999-12-31	2013-05-08	15409
35/11-3 S	2531.000000	1.260000	16.000000	23.000000	WATER BASED	1989-08-01	1356	9999-12-31	2013-05-08	15410
35/11-3 S	2622.000000	1.260000	16.000000	18.000000	WATER BASED	1989-08-01	1356	9999-12-31	2013-05-08	15411
35/11-3 S	2701.000000	1.260000	17.000000	22.000000	WATER BASED	1989-08-02	1356	9999-12-31	2013-05-08	15412
35/11-3 S	2726.000000	1.260000	16.000000	18.000000	WATER BASED	1989-08-03	1356	9999-12-31	2013-05-08	15413
35/11-3 S	2775.000000	1.260000	15.000000	18.000000	WATER BASED	1989-08-07	1356	9999-12-31	2013-05-08	15414
35/11-3 S	3039.000000	1.260000	17.000000	18.000000	WATER BASED	1989-08-07	1356	9999-12-31	2013-05-08	15415
35/11-3 S	3082.000000	1.380000	18.000000	20.000000	WATER BASED	1989-08-07	1356	9999-12-31	2013-05-08	15416
35/11-3 S	3096.000000	1.380000	18.000000	23.000000	WATER BASED	1989-08-08	1356	9999-12-31	2013-05-08	15417
35/11-3 S	3115.000000	1.380000	17.000000	19.000000	WATER BASED	1989-08-08	1356	9999-12-31	2013-05-08	15418
35/11-3 S	3204.000000	1.620000	28.000000	18.000000	WATER BASED	1989-08-17	1356	9999-12-31	2013-05-08	15419
35/11-3 S	3333.000000	1.620000	22.000000	16.000000	WATER BASED	1989-08-22	1356	9999-12-31	2013-05-08	15420
35/11-3 S	3352.000000	1.620000	21.000000	17.000000	WATER BASED	1989-08-22	1356	9999-12-31	2013-05-08	15421
35/11-3 S	3446.000000	1.620000	23.000000	16.000000	WATER BASED	1989-08-22	1356	9999-12-31	2013-05-08	15422
35/11-3 S	3673.000000	1.580000	25.000000	17.000000	WATER BASED	1989-08-28	1356	9999-12-31	2013-05-08	15423
35/11-3 S	3673.000000	1.580000	24.000000	15.000000	WATER BASED	1989-08-24	1356	9999-12-31	2013-05-08	15424
35/11-3 S	3673.000000	1.580000	24.000000	15.000000	WATER BASED	1989-08-24	1356	9999-12-31	2013-05-08	15425
35/11-3 S	3891.000000	1.580000	25.000000	17.000000	WATER BASED	1989-08-28	1356	9999-12-31	2013-05-08	15426
35/11-3 S	3910.000000	1.580000	32.000000	23.000000	WATER BASED	1989-08-28	1356	9999-12-31	2013-05-08	15427
35/11-3 S	3929.000000	1.580000	25.000000	18.000000	WATER BASED	1989-08-28	1356	9999-12-31	2013-05-08	15428
35/11-3 S	4040.000000	1.400000	21.000000	17.000000	WATER BASED	1989-09-04	1356	9999-12-31	2013-05-08	15429
35/11-3 S	4040.000000	1.490000	35.000000	15.000000	WATER BASED	1989-09-04	1356	9999-12-31	2013-05-08	15430
35/11-3 S	4040.000000	1.400000	20.000000	19.000000	WATER BASED	1989-09-05	1356	9999-12-31	2013-05-08	15431
35/11-3 S	4040.000000	1.580000	32.000000	24.000000	WATER BASED	1989-08-31	1356	9999-12-31	2013-05-08	15432
35/11-4	505.000000	1.040000	0.000000	0.000000	WATER BASED	1990-08-20	1523	9999-12-31	2013-05-08	15433
35/11-4	509.000000	1.040000	0.000000	0.000000	WATER BASED	1990-08-21	1523	9999-12-31	2013-05-08	15434
35/11-4	509.000000	1.040000	0.000000	0.000000	WATER BASED	1990-08-22	1523	9999-12-31	2013-05-08	15435
35/11-4	509.000000	1.040000	0.000000	0.000000	WATER BASED	1990-08-23	1523	9999-12-31	2013-05-08	15436
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-08-27	1523	9999-12-31	2013-05-08	15437
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-08-27	1523	9999-12-31	2013-05-08	15438
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-08-28	1523	9999-12-31	2013-05-08	15439
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-03	1523	9999-12-31	2013-05-08	15440
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-08-31	1523	9999-12-31	2013-05-08	15441
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-08-30	1523	9999-12-31	2013-05-08	15442
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-08-29	1523	9999-12-31	2013-05-08	15443
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-14	1523	9999-12-31	2013-05-08	15444
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-13	1523	9999-12-31	2013-05-08	15445
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-11	1523	9999-12-31	2013-05-08	15446
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-05	1523	9999-12-31	2013-05-08	15447
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-06	1523	9999-12-31	2013-05-08	15448
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-10	1523	9999-12-31	2013-05-08	15449
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-10	1523	9999-12-31	2013-05-08	15450
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-10	1523	9999-12-31	2013-05-08	15451
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-17	1523	9999-12-31	2013-05-08	15452
35/11-4	1009.000000	1.000000	0.000000	0.000000	WATER BASED	1990-09-18	1523	9999-12-31	2013-05-08	15453
35/11-4	1009.000000	1.000000	0.000000	0.000000	WATER BASED	1990-09-19	1523	9999-12-31	2013-05-08	15454
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-07	1523	9999-12-31	2013-05-08	15455
35/11-4	1009.000000	1.000000	0.000000	0.000000	WATER BASED	1990-09-21	1523	9999-12-31	2013-05-08	15456
35/11-4	1009.000000	1.000000	0.000000	0.000000	WATER BASED	1990-09-20	1523	9999-12-31	2013-05-08	15457
35/11-4	1009.000000	1.000000	0.000000	0.000000	WATER BASED	1990-09-24	1523	9999-12-31	2013-05-08	15458
35/11-4	1009.000000	1.000000	0.000000	0.000000	WATER BASED	1990-09-24	1523	9999-12-31	2013-05-08	15459
35/11-4	1009.000000	1.000000	0.000000	0.000000	WATER BASED	1990-09-24	1523	9999-12-31	2013-05-08	15460
35/11-4	1009.000000	1.000000	0.000000	0.000000	WATER BASED	1990-09-25	1523	9999-12-31	2013-05-08	15461
35/11-4	1009.000000	1.200000	0.000000	0.000000	WATER BASED	1990-10-01	1523	9999-12-31	2013-05-08	15462
35/11-4	1009.000000	1.000000	0.000000	0.000000	WATER BASED	1990-09-27	1523	9999-12-31	2013-05-08	15463
35/11-4	1009.000000	1.000000	0.000000	0.000000	WATER BASED	1990-09-28	1523	9999-12-31	2013-05-08	15464
35/11-4	1009.000000	1.200000	0.000000	0.000000	WATER BASED	1990-10-03	1523	9999-12-31	2013-05-08	15465
35/11-4	1009.000000	1.020000	0.000000	0.000000	WATER BASED	1990-10-02	1523	9999-12-31	2013-05-08	15466
35/11-4	1009.000000	1.200000	0.000000	0.000000	WATER BASED	1990-10-05	1523	9999-12-31	2013-05-08	15467
35/11-4	1009.000000	1.200000	0.000000	0.000000	WATER BASED	1990-10-08	1523	9999-12-31	2013-05-08	15468
35/11-4	1009.000000	1.200000	0.000000	0.000000	WATER BASED	1990-10-04	1523	9999-12-31	2013-05-08	15469
35/11-4	1009.000000	1.200000	0.000000	0.000000	WATER BASED	1990-10-02	1523	9999-12-31	2013-05-08	15470
35/11-4	1009.000000	1.000000	0.000000	0.000000	WATER BASED	1990-09-26	1523	9999-12-31	2013-05-08	15471
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-09-04	1523	9999-12-31	2013-05-08	15472
35/11-4	1009.000000	1.040000	0.000000	0.000000	WATER BASED	1990-08-27	1523	9999-12-31	2013-05-08	15473
35/11-4	1014.000000	1.200000	0.000000	0.000000	WATER BASED	1990-10-08	1523	9999-12-31	2013-05-08	15474
35/11-4	1036.000000	1.200000	0.000000	0.000000	WATER BASED	1990-10-08	1523	9999-12-31	2013-05-08	15475
35/11-4	1064.000000	1.200000	22.000000	24.000000	WATER BASED	1990-10-09	1523	9999-12-31	2013-05-08	15476
35/11-4	1192.000000	1.210000	19.000000	27.000000	WATER BASED	1990-10-09	1523	9999-12-31	2013-05-08	15477
35/11-4	1192.000000	1.200000	0.000000	0.000000	WATER BASED	1990-10-15	1523	9999-12-31	2013-05-08	15478
35/11-4	1265.000000	1.200000	0.000000	0.000000	WATER BASED	1990-10-15	1523	9999-12-31	2013-05-08	15479
35/11-4	1265.000000	1.210000	0.000000	0.000000	WATER BASED	1990-10-15	1523	9999-12-31	2013-05-08	15480
35/11-4	1570.000000	1.240000	16.000000	22.000000	WATER BASED	1990-10-16	1523	9999-12-31	2013-05-08	15481
35/11-4	1660.000000	1.220000	17.000000	19.000000	WATER BASED	1990-10-17	1523	9999-12-31	2013-05-08	15482
35/11-4	1692.000000	1.200000	15.000000	20.000000	WATER BASED	1990-10-29	1523	9999-12-31	2013-05-08	15483
35/11-4	1693.000000	1.220000	0.000000	0.000000	WATER BASED	1990-10-18	1523	9999-12-31	2013-05-08	15484
35/11-4	1700.000000	1.230000	15.000000	20.000000	WATER BASED	1990-10-26	1523	9999-12-31	2013-05-08	15485
35/11-4	1718.000000	1.200000	15.000000	20.000000	WATER BASED	1990-10-29	1523	9999-12-31	2013-05-08	15486
35/11-4	1763.000000	1.210000	14.000000	20.000000	WATER BASED	1990-10-22	1523	9999-12-31	2013-05-08	15487
35/11-4	1785.000000	1.200000	15.000000	20.000000	WATER BASED	1990-10-29	1523	9999-12-31	2013-05-08	15488
35/11-4	1822.000000	1.210000	15.000000	21.000000	WATER BASED	1990-10-22	1523	9999-12-31	2013-05-08	15489
35/11-4	1825.000000	1.210000	15.000000	20.000000	WATER BASED	1990-10-30	1523	9999-12-31	2013-05-08	15490
35/11-4	1928.000000	1.210000	15.000000	20.000000	WATER BASED	1990-10-31	1523	9999-12-31	2013-05-08	15491
35/11-4	1941.000000	1.210000	15.000000	20.000000	WATER BASED	1990-11-01	1523	9999-12-31	2013-05-08	15492
35/11-4	1941.000000	1.210000	15.000000	20.000000	WATER BASED	1990-11-06	1523	9999-12-31	2013-05-08	15493
35/11-4	1941.000000	1.210000	15.000000	20.000000	WATER BASED	1990-11-02	1523	9999-12-31	2013-05-08	15494
35/11-4	1974.000000	1.210000	15.000000	20.000000	WATER BASED	1990-10-22	1523	9999-12-31	2013-05-08	15495
35/11-4	1977.000000	1.220000	150.000000	200.000000	WATER BASED	1990-11-06	1523	9999-12-31	2013-05-08	15496
35/11-4	2000.000000	1.270000	17.000000	24.000000	WATER BASED	1990-11-30	1523	9999-12-31	2013-05-08	15497
35/11-4	2003.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-15	1523	9999-12-31	2013-05-08	15498
35/11-4	2003.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-16	1523	9999-12-31	2013-05-08	15499
35/11-4	2003.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-17	1523	9999-12-31	2013-05-08	15500
35/11-4	2009.000000	1.220000	150.000000	200.000000	WATER BASED	1990-11-06	1523	9999-12-31	2013-05-08	15501
35/11-4	2030.000000	1.220000	150.000000	200.000000	WATER BASED	1990-11-06	1523	9999-12-31	2013-05-08	15502
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-06	1523	9999-12-31	2013-05-08	15503
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-06	1523	9999-12-31	2013-05-08	15504
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-06	1523	9999-12-31	2013-05-08	15505
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-06	1523	9999-12-31	2013-05-08	15506
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-06	1523	9999-12-31	2013-05-08	15507
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-06	1523	9999-12-31	2013-05-08	15508
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-06	1523	9999-12-31	2013-05-08	15509
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-06	1523	9999-12-31	2013-05-08	15510
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-13	1523	9999-12-31	2013-05-08	15511
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-13	1523	9999-12-31	2013-05-08	15512
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-14	1523	9999-12-31	2013-05-08	15513
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-13	1523	9999-12-31	2013-05-08	15514
35/11-4	2046.000000	1.100000	0.000000	0.000000	WATER BASED	1992-01-06	1523	9999-12-31	2013-05-08	15515
35/11-4	2072.000000	1.200000	150.000000	20.000000	WATER BASED	1990-10-24	1523	9999-12-31	2013-05-08	15516
35/11-4	2072.000000	1.200000	150.000000	20.000000	WATER BASED	1990-10-23	1523	9999-12-31	2013-05-08	15517
35/11-4	2072.000000	1.200000	15.000000	20.000000	WATER BASED	1990-10-25	1523	9999-12-31	2013-05-08	15518
35/11-4	2077.000000	1.240000	18.000000	24.000000	WATER BASED	1990-11-07	1523	9999-12-31	2013-05-08	15519
35/11-4	2085.000000	1.240000	18.000000	24.000000	WATER BASED	1990-11-09	1523	9999-12-31	2013-05-08	15520
35/11-4	2085.000000	1.240000	18.000000	24.000000	WATER BASED	1990-11-08	1523	9999-12-31	2013-05-08	15521
35/11-4	2144.000000	1.200000	17.000000	26.000000	WATER BASED	1990-11-12	1523	9999-12-31	2013-05-08	15522
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-24	1523	9999-12-31	2013-05-08	15523
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-27	1523	9999-12-31	2013-05-08	15524
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-27	1523	9999-12-31	2013-05-08	15525
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-12	1523	9999-12-31	2013-05-08	15526
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-17	1523	9999-12-31	2013-05-08	15527
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-17	1523	9999-12-31	2013-05-08	15528
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-17	1523	9999-12-31	2013-05-08	15529
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-17	1523	9999-12-31	2013-05-08	15530
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-19	1523	9999-12-31	2013-05-08	15531
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-19	1523	9999-12-31	2013-05-08	15532
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-23	1523	9999-12-31	2013-05-08	15533
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-23	1523	9999-12-31	2013-05-08	15534
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-23	1523	9999-12-31	2013-05-08	15535
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-31	1523	9999-12-31	2013-05-08	15536
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-31	1523	9999-12-31	2013-05-08	15537
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-31	1523	9999-12-31	2013-05-08	15538
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-20	1523	9999-12-31	2013-05-08	15539
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-27	1523	9999-12-31	2013-05-08	15540
35/11-4	2284.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-17	1523	9999-12-31	2013-05-08	15541
35/11-4	2285.000000	1.210000	16.000000	24.000000	WATER BASED	1990-11-13	1523	9999-12-31	2013-05-08	15542
35/11-4	2290.000000	1.220000	16.000000	24.000000	WATER BASED	1990-11-13	1523	9999-12-31	2013-05-08	15543
35/11-4	2301.000000	1.240000	15.000000	22.000000	WATER BASED	1990-11-15	1523	9999-12-31	2013-05-08	15544
35/11-4	2385.000000	1.240000	17.000000	26.000000	WATER BASED	1990-11-16	1523	9999-12-31	2013-05-08	15545
35/11-4	2525.000000	1.270000	16.000000	27.000000	WATER BASED	1990-11-19	1523	9999-12-31	2013-05-08	15546
35/11-4	2629.000000	1.270000	17.000000	24.000000	WATER BASED	1990-11-29	1523	9999-12-31	2013-05-08	15547
35/11-4	2629.000000	1.270000	17.000000	24.000000	WATER BASED	1990-11-27	1523	9999-12-31	2013-05-08	15548
35/11-4	2629.000000	1.270000	17.000000	24.000000	WATER BASED	1990-11-28	1523	9999-12-31	2013-05-08	15549
35/11-4	2629.000000	1.270000	17.000000	24.000000	WATER BASED	1990-11-19	1523	9999-12-31	2013-05-08	15550
35/11-4	2629.000000	1.270000	17.000000	24.000000	WATER BASED	1990-11-27	1523	9999-12-31	2013-05-08	15551
35/11-4	2651.000000	1.270000	17.000000	24.000000	WATER BASED	1990-11-30	1523	9999-12-31	2013-05-08	15552
35/11-4	2664.000000	1.270000	17.000000	24.000000	WATER BASED	1990-12-03	1523	9999-12-31	2013-05-08	15553
35/11-4	2683.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-10	1523	9999-12-31	2013-05-08	15554
35/11-4	2683.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-09	1523	9999-12-31	2013-05-08	15555
35/11-4	2683.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-09	1523	9999-12-31	2013-05-08	15556
35/11-4	2683.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-05	1523	9999-12-31	2013-05-08	15557
35/11-4	2683.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-09	1523	9999-12-31	2013-05-08	15558
35/11-4	2683.000000	1.100000	0.000000	0.000000	WATER BASED	1991-12-06	1523	9999-12-31	2013-05-08	15559
35/11-4	2698.000000	1.270000	17.000000	24.000000	WATER BASED	1990-12-03	1523	9999-12-31	2013-05-08	15560
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-31	1523	9999-12-31	2013-05-08	15561
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1991-01-07	1523	9999-12-31	2013-05-08	15562
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-31	1523	9999-12-31	2013-05-08	15563
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-31	1523	9999-12-31	2013-05-08	15564
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-31	1523	9999-12-31	2013-05-08	15565
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-27	1523	9999-12-31	2013-05-08	15566
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-27	1523	9999-12-31	2013-05-08	15567
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1991-01-14	1523	9999-12-31	2013-05-08	15568
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1991-01-14	1523	9999-12-31	2013-05-08	15569
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1991-01-14	1523	9999-12-31	2013-05-08	15570
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1991-01-02	1523	9999-12-31	2013-05-08	15571
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1991-01-02	1523	9999-12-31	2013-05-08	15572
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1991-01-08	1523	9999-12-31	2013-05-08	15573
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1991-01-08	1523	9999-12-31	2013-05-08	15574
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1991-01-08	1523	9999-12-31	2013-05-08	15575
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1991-01-07	1523	9999-12-31	2013-05-08	15576
35/11-4	2810.000000	1.260000	15.000000	20.000000	WATER BASED	1991-01-07	1523	9999-12-31	2013-05-08	15577
35/11-4	2822.000000	1.280000	17.000000	24.000000	WATER BASED	1990-12-04	1523	9999-12-31	2013-05-08	15578
35/11-4	2874.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-04	1523	9999-12-31	2013-05-08	15579
35/11-4	2910.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-05	1523	9999-12-31	2013-05-08	15580
35/11-4	2910.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-19	1523	9999-12-31	2013-05-08	15581
35/11-4	2910.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-14	1523	9999-12-31	2013-05-08	15582
35/11-4	2910.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-14	1523	9999-12-31	2013-05-08	15583
35/11-4	2910.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-11	1523	9999-12-31	2013-05-08	15584
35/11-4	2910.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-12	1523	9999-12-31	2013-05-08	15585
35/11-4	3029.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-19	1523	9999-12-31	2013-05-08	15586
35/11-4	3029.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-19	1523	9999-12-31	2013-05-08	15587
35/11-4	3127.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-27	1523	9999-12-31	2013-05-08	15588
35/11-4	3127.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-19	1523	9999-12-31	2013-05-08	15589
35/11-4	3127.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-27	1523	9999-12-31	2013-05-08	15590
35/11-4	3127.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-27	1523	9999-12-31	2013-05-08	15591
35/11-4	3127.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-27	1523	9999-12-31	2013-05-08	15592
35/11-4	3127.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-27	1523	9999-12-31	2013-05-08	15593
35/11-4	3127.000000	1.260000	15.000000	20.000000	WATER BASED	1990-12-27	1523	9999-12-31	2013-05-08	15594
35/11-5	386.000000	1.480000	20.000000	32.000000	WATER BASED	1991-11-01	1780	9999-12-31	2013-05-08	15595
35/11-5	386.000000	1.480000	20.000000	32.000000	WATER BASED	1991-11-07	1780	9999-12-31	2013-05-08	15596
35/11-5	386.000000	1.000000	20.000000	32.000000	WATER BASED	1991-11-07	1780	9999-12-31	2013-05-08	15597
35/11-5	386.000000	1.000000	20.000000	32.000000	WATER BASED	1991-11-13	1780	9999-12-31	2013-05-08	15598
35/11-5	386.000000	1.000000	20.000000	32.000000	WATER BASED	1991-11-13	1780	9999-12-31	2013-05-08	15599
35/11-5	386.000000	1.000000	20.000000	32.000000	WATER BASED	1991-11-12	1780	9999-12-31	2013-05-08	15600
35/11-5	386.000000	1.000000	20.000000	32.000000	WATER BASED	1991-11-12	1780	9999-12-31	2013-05-08	15601
35/11-5	386.000000	1.000000	20.000000	32.000000	WATER BASED	1991-11-12	1780	9999-12-31	2013-05-08	15602
35/11-5	386.000000	1.000000	20.000000	32.000000	WATER BASED	1991-11-18	1780	9999-12-31	2013-05-08	15603
35/11-5	386.000000	1.000000	20.000000	32.000000	WATER BASED	1991-11-15	1780	9999-12-31	2013-05-08	15604
35/11-5	386.000000	1.000000	20.000000	32.000000	WATER BASED	1991-11-15	1780	9999-12-31	2013-05-08	15605
35/11-5	386.000000	1.480000	20.000000	32.000000	WATER BASED	1991-10-31	1780	9999-12-31	2013-05-08	15606
35/11-5	386.000000	1.000000	20.000000	32.000000	WATER BASED	1991-11-08	1780	9999-12-31	2013-05-08	15607
35/11-5	386.000000	1.000000	20.000000	32.000000	WATER BASED	1991-11-12	1780	9999-12-31	2013-05-08	15608
35/11-5	400.000000	1.480000	20.000000	32.000000	WATER BASED	1991-10-28	1780	9999-12-31	2013-05-08	15609
35/11-5	400.000000	1.480000	20.000000	32.000000	WATER BASED	1991-10-28	1780	9999-12-31	2013-05-08	15610
35/11-5	430.000000	1.050000	0.000000	0.000000	WATER BASED	1991-06-28	1780	9999-12-31	2013-05-08	15611
35/11-5	445.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-01	1780	9999-12-31	2013-05-08	15612
35/11-5	445.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-01	1780	9999-12-31	2013-05-08	15613
35/11-5	446.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-22	1780	9999-12-31	2013-05-08	15614
35/11-5	446.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-22	1780	9999-12-31	2013-05-08	15615
35/11-5	547.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-22	1780	9999-12-31	2013-05-08	15616
35/11-5	599.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-01	1780	9999-12-31	2013-05-08	15617
35/11-5	706.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-11	1780	9999-12-31	2013-05-08	15618
35/11-5	715.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-03	1780	9999-12-31	2013-05-08	15619
35/11-5	795.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-09	1780	9999-12-31	2013-05-08	15620
35/11-5	795.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-10	1780	9999-12-31	2013-05-08	15621
35/11-5	845.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-23	1780	9999-12-31	2013-05-08	15622
35/11-5	863.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-24	1780	9999-12-31	2013-05-08	15623
35/11-5	1010.000000	1.380000	28.000000	19.000000	WATER BASED	1991-07-25	1780	9999-12-31	2013-05-08	15624
35/11-5	1010.000000	1.380000	17.000000	36.000000	WATER BASED	1991-07-30	1780	9999-12-31	2013-05-08	15625
35/11-5	1010.000000	1.380000	11.000000	42.000000	WATER BASED	1991-07-29	1780	9999-12-31	2013-05-08	15626
35/11-5	1010.000000	1.380000	10.000000	42.000000	WATER BASED	1991-07-29	1780	9999-12-31	2013-05-08	15627
35/11-5	1010.000000	1.380000	20.000000	32.000000	WATER BASED	1991-07-29	1780	9999-12-31	2013-05-08	15628
35/11-5	1010.000000	1.380000	8.000000	21.000000	WATER BASED	1991-08-01	1780	9999-12-31	2013-05-08	15629
35/11-5	1010.000000	1.200000	19.000000	21.000000	WATER BASED	1991-08-05	1780	9999-12-31	2013-05-08	15630
35/11-5	1010.000000	1.200000	19.000000	21.000000	WATER BASED	1991-08-05	1780	9999-12-31	2013-05-08	15631
35/11-5	1010.000000	1.380000	8.000000	21.000000	WATER BASED	1991-07-31	1780	9999-12-31	2013-05-08	15632
35/11-5	1010.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-25	1780	9999-12-31	2013-05-08	15633
35/11-5	1015.000000	1.200000	21.000000	25.000000	WATER BASED	1991-08-05	1780	9999-12-31	2013-05-08	15634
35/11-5	1018.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-15	1780	9999-12-31	2013-05-08	15635
35/11-5	1110.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-08	1780	9999-12-31	2013-05-08	15636
35/11-5	1110.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-05	1780	9999-12-31	2013-05-08	15637
35/11-5	1110.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-04	1780	9999-12-31	2013-05-08	15638
35/11-5	1110.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-04	1780	9999-12-31	2013-05-08	15639
35/11-5	1110.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-08	1780	9999-12-31	2013-05-08	15640
35/11-5	1118.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-16	1780	9999-12-31	2013-05-08	15641
35/11-5	1118.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-15	1780	9999-12-31	2013-05-08	15642
35/11-5	1118.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-15	1780	9999-12-31	2013-05-08	15643
35/11-5	1118.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-19	1780	9999-12-31	2013-05-08	15644
35/11-5	1118.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-16	1780	9999-12-31	2013-05-08	15645
35/11-5	1118.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-18	1780	9999-12-31	2013-05-08	15646
35/11-5	1118.000000	1.050000	0.000000	0.000000	WATER BASED	1991-07-18	1780	9999-12-31	2013-05-08	15647
35/11-5	1143.000000	1.210000	12.000000	19.000000	WATER BASED	1991-08-06	1780	9999-12-31	2013-05-08	15648
35/11-5	1306.000000	1.200000	17.000000	26.000000	WATER BASED	1991-08-07	1780	9999-12-31	2013-05-08	15649
35/11-5	1481.000000	1.200000	20.000000	34.000000	WATER BASED	1991-08-08	1780	9999-12-31	2013-05-08	15650
35/11-5	1732.000000	1.230000	20.000000	30.000000	WATER BASED	1991-08-09	1780	9999-12-31	2013-05-08	15651
35/11-5	1792.000000	1.230000	20.000000	34.000000	WATER BASED	1991-08-12	1780	9999-12-31	2013-05-08	15652
35/11-5	1887.000000	1.260000	18.000000	28.000000	WATER BASED	1991-08-12	1780	9999-12-31	2013-05-08	15653
35/11-5	1887.000000	1.260000	17.000000	29.000000	WATER BASED	1991-08-12	1780	9999-12-31	2013-05-08	15654
35/11-5	1961.000000	1.260000	15.000000	25.000000	WATER BASED	1991-08-12	1780	9999-12-31	2013-05-08	15655
35/11-5	2043.000000	1.280000	20.000000	35.000000	WATER BASED	1991-08-13	1780	9999-12-31	2013-05-08	15656
35/11-5	2116.000000	1.270000	19.000000	40.000000	WATER BASED	1991-08-13	1780	9999-12-31	2013-05-08	15657
35/11-5	2132.000000	1.260000	20.000000	36.000000	WATER BASED	1991-08-15	1780	9999-12-31	2013-05-08	15658
35/11-5	2242.000000	1.260000	20.000000	36.000000	WATER BASED	1991-08-15	1780	9999-12-31	2013-05-08	15659
35/11-5	2387.000000	1.260000	20.000000	36.000000	WATER BASED	1991-08-16	1780	9999-12-31	2013-05-08	15660
35/11-5	2417.000000	1.260000	20.000000	36.000000	WATER BASED	1991-08-20	1780	9999-12-31	2013-05-08	15661
35/11-5	2461.000000	1.300000	22.000000	28.000000	WATER BASED	1991-08-20	1780	9999-12-31	2013-05-08	15662
35/11-5	2486.000000	1.320000	21.000000	29.000000	WATER BASED	1991-08-20	1780	9999-12-31	2013-05-08	15663
35/11-5	2502.000000	1.390000	21.000000	32.000000	WATER BASED	1991-08-20	1780	9999-12-31	2013-05-08	15664
35/11-5	2537.000000	1.320000	20.000000	32.000000	WATER BASED	1991-08-22	1780	9999-12-31	2013-05-08	15665
35/11-5	2616.000000	1.310000	20.000000	32.000000	WATER BASED	1991-08-22	1780	9999-12-31	2013-05-08	15666
35/11-5	2686.000000	1.280000	20.000000	32.000000	WATER BASED	1991-08-23	1780	9999-12-31	2013-05-08	15667
35/11-5	2686.000000	1.310000	20.000000	32.000000	WATER BASED	1991-08-30	1780	9999-12-31	2013-05-08	15668
35/11-5	2686.000000	1.310000	20.000000	32.000000	WATER BASED	1991-09-02	1780	9999-12-31	2013-05-08	15669
35/11-5	2686.000000	1.310000	20.000000	32.000000	WATER BASED	1991-09-02	1780	9999-12-31	2013-05-08	15670
35/11-5	2686.000000	1.310000	20.000000	32.000000	WATER BASED	1991-09-02	1780	9999-12-31	2013-05-08	15671
35/11-5	2686.000000	1.310000	20.000000	32.000000	WATER BASED	1991-08-27	1780	9999-12-31	2013-05-08	15672
35/11-5	2686.000000	1.310000	20.000000	32.000000	WATER BASED	1991-08-26	1780	9999-12-31	2013-05-08	15673
35/11-5	2686.000000	1.310000	20.000000	32.000000	WATER BASED	1991-08-26	1780	9999-12-31	2013-05-08	15674
35/11-5	2686.000000	1.310000	20.000000	32.000000	WATER BASED	1991-08-26	1780	9999-12-31	2013-05-08	15675
35/11-5	2686.000000	1.310000	20.000000	32.000000	WATER BASED	1991-08-28	1780	9999-12-31	2013-05-08	15676
35/11-5	2715.000000	1.320000	20.000000	32.000000	WATER BASED	1991-09-03	1780	9999-12-31	2013-05-08	15677
35/11-5	2832.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-04	1780	9999-12-31	2013-05-08	15678
35/11-5	2869.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-05	1780	9999-12-31	2013-05-08	15679
35/11-5	2874.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-06	1780	9999-12-31	2013-05-08	15680
35/11-5	2935.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-09	1780	9999-12-31	2013-05-08	15681
35/11-5	2961.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-09	1780	9999-12-31	2013-05-08	15682
35/11-5	3000.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-09	1780	9999-12-31	2013-05-08	15683
35/11-5	3031.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-10	1780	9999-12-31	2013-05-08	15684
35/11-5	3035.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-11	1780	9999-12-31	2013-05-08	15685
35/11-5	3050.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-12	1780	9999-12-31	2013-05-08	15686
35/11-5	3136.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-16	1780	9999-12-31	2013-05-08	15687
35/11-5	3209.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-16	1780	9999-12-31	2013-05-08	15688
35/11-5	3215.000000	1.440000	20.000000	32.000000	WATER BASED	1991-09-16	1780	9999-12-31	2013-05-08	15689
35/11-5	3215.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-16	1780	9999-12-31	2013-05-08	15690
35/11-5	3228.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-17	1780	9999-12-31	2013-05-08	15691
35/11-5	3242.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-18	1780	9999-12-31	2013-05-08	15692
35/11-5	3244.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-19	1780	9999-12-31	2013-05-08	15693
35/11-5	3253.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-20	1780	9999-12-31	2013-05-08	15694
35/11-5	3254.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-23	1780	9999-12-31	2013-05-08	15695
35/11-5	3269.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-23	1780	9999-12-31	2013-05-08	15696
35/11-5	3269.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-23	1780	9999-12-31	2013-05-08	15697
35/11-5	3286.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-25	1780	9999-12-31	2013-05-08	15698
35/11-5	3287.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-25	1780	9999-12-31	2013-05-08	15699
35/11-5	3293.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-27	1780	9999-12-31	2013-05-08	15700
35/11-5	3304.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-27	1780	9999-12-31	2013-05-08	15701
35/11-5	3305.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-30	1780	9999-12-31	2013-05-08	15702
35/11-5	3328.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-30	1780	9999-12-31	2013-05-08	15703
35/11-5	3339.000000	1.510000	20.000000	32.000000	WATER BASED	1991-09-30	1780	9999-12-31	2013-05-08	15704
35/11-5	3356.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-01	1780	9999-12-31	2013-05-08	15705
35/11-5	3366.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-02	1780	9999-12-31	2013-05-08	15706
35/11-5	3454.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-07	1780	9999-12-31	2013-05-08	15707
35/11-5	3566.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-07	1780	9999-12-31	2013-05-08	15708
35/11-5	3622.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-08	1780	9999-12-31	2013-05-08	15709
35/11-5	3691.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-10	1780	9999-12-31	2013-05-08	15710
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-15	1780	9999-12-31	2013-05-08	15711
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-11	1780	9999-12-31	2013-05-08	15712
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-11	1780	9999-12-31	2013-05-08	15713
35/11-5	3769.000000	1.480000	20.000000	32.000000	WATER BASED	1991-10-28	1780	9999-12-31	2013-05-08	15714
35/11-5	3769.000000	1.480000	20.000000	32.000000	WATER BASED	1991-10-25	1780	9999-12-31	2013-05-08	15715
35/11-5	3769.000000	1.480000	20.000000	32.000000	WATER BASED	1991-10-23	1780	9999-12-31	2013-05-08	15716
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-18	1780	9999-12-31	2013-05-08	15717
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-21	1780	9999-12-31	2013-05-08	15718
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-21	1780	9999-12-31	2013-05-08	15719
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-21	1780	9999-12-31	2013-05-08	15720
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-17	1780	9999-12-31	2013-05-08	15721
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-17	1780	9999-12-31	2013-05-08	15722
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-15	1780	9999-12-31	2013-05-08	15723
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-15	1780	9999-12-31	2013-05-08	15724
35/11-5	3769.000000	1.510000	20.000000	32.000000	WATER BASED	1991-10-15	1780	9999-12-31	2013-05-08	15725
35/11-6	462.000000	1.070000	0.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15726
35/11-6	985.000000	1.070000	0.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15727
35/11-6	1273.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15728
35/11-6	1541.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15729
35/11-6	1740.000000	1.280000	17.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15730
35/11-6	1996.000000	1.280000	26.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15731
35/11-6	2078.000000	1.180000	23.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15732
35/11-6	2117.000000	1.180000	22.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15733
35/11-6	2135.000000	1.180000	19.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15734
35/11-6	2173.000000	1.180000	21.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15735
35/11-6	2344.000000	1.200000	22.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15736
35/11-6	2576.000000	1.230000	23.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15737
35/11-6	2770.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15738
35/11-6	3031.000000	1.220000	16.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15739
35/11-6	3072.000000	1.240000	14.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15740
35/11-6	3080.000000	1.240000	14.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15741
35/11-6	3129.000000	1.240000	17.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15742
35/11-6	3162.000000	1.240000	16.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15743
35/11-6	3180.000000	1.240000	11.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15744
35/11-6	3194.000000	1.260000	15.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15745
35/11-6	3206.000000	1.260000	14.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15746
35/11-6	3304.000000	1.260000	19.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15747
35/11-6	3475.000000	1.520000	19.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15748
35/11-6	3645.000000	1.510000	27.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15749
35/11-6	3672.000000	1.510000	27.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15750
35/11-6	3704.000000	1.510000	27.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15751
35/11-6	3800.000000	1.500000	24.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15752
35/11-6	3877.000000	1.500000	24.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15753
35/11-6	3990.000000	1.490000	24.000000	0.000000	WATER BASED	9999-12-31	1879	9999-12-31	2013-05-08	15754
35/11-7	434.000000	1.060000	66.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15755
35/11-7	452.000000	1.060000	64.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15756
35/11-7	452.000000	1.060000	64.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15757
35/11-7	556.000000	1.130000	19.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15758
35/11-7	609.000000	1.130000	54.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15759
35/11-7	725.000000	1.130000	48.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15760
35/11-7	966.000000	1.130000	49.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15761
35/11-7	1036.000000	1.140000	30.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15762
35/11-7	1342.000000	1.140000	20.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15763
35/11-7	1630.000000	1.140000	16.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15764
35/11-7	1778.000000	1.180000	17.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15765
35/11-7	1781.000000	1.240000	18.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15766
35/11-7	1894.000000	1.160000	18.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15767
35/11-7	2218.000000	1.140000	25.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15768
35/11-7	2374.000000	1.140000	24.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15769
35/11-7	2428.000000	1.140000	28.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15770
35/11-7	2430.000000	1.150000	28.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15771
35/11-7	2441.000000	1.150000	28.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15772
35/11-7	2486.000000	1.140000	27.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15773
35/11-7	2519.000000	1.140000	27.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15774
35/11-7	2541.000000	1.140000	27.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15775
35/11-7	2620.000000	1.100000	10.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15776
35/11-7	2678.000000	1.140000	27.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15777
35/11-7	2679.000000	1.140000	25.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15778
35/11-7	2785.000000	1.140000	28.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15779
35/11-7	2890.000000	1.140000	27.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15780
35/11-7	2895.000000	1.140000	24.000000	0.000000	WATER BASED	9999-12-31	1979	9999-12-31	2013-05-08	15781
35/11-8 S	449.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2772	9999-12-31	2013-05-08	15782
35/11-8 S	1233.000000	1.300000	16.000000	0.000000	WATER BASED	9999-12-31	2772	9999-12-31	2013-05-08	15783
35/11-8 S	1787.000000	1.300000	24.000000	0.000000	WATER BASED	9999-12-31	2772	9999-12-31	2013-05-08	15784
35/11-8 S	2224.000000	1.300000	28.000000	0.000000	WATER BASED	9999-12-31	2772	9999-12-31	2013-05-08	15785
35/11-8 S	2650.000000	1.120000	0.000000	0.000000	WATER BASED	9999-12-31	2772	9999-12-31	2013-05-08	15786
35/11-8 S	2907.000000	1.120000	14.000000	0.000000	WATER BASED	9999-12-31	2772	9999-12-31	2013-05-08	15787
35/11-8 S	3085.000000	1.120000	16.000000	0.000000	WATER BASED	9999-12-31	2772	9999-12-31	2013-05-08	15788
35/11-8 S	3242.000000	1.300000	23.000000	0.000000	WATER BASED	9999-12-31	2772	9999-12-31	2013-05-08	15789
35/11-8 S	3263.000000	1.310000	22.000000	0.000000	WATER BASED	9999-12-31	2772	9999-12-31	2013-05-08	15790
35/11-8 S	3624.000000	1.310000	22.000000	0.000000	WATER BASED	9999-12-31	2772	9999-12-31	2013-05-08	15791
35/11-9	420.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	3009	9999-12-31	2013-05-08	15792
35/11-9	447.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	3009	9999-12-31	2013-05-08	15793
35/11-9	1250.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	3009	9999-12-31	2013-05-08	15794
35/11-9	1250.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	3009	9999-12-31	2013-05-08	15795
35/11-9	1890.000000	1.250000	21.000000	0.000000	WATER BASED	9999-12-31	3009	9999-12-31	2013-05-08	15796
35/11-9	2400.000000	1.280000	25.000000	0.000000	WATER BASED	9999-12-31	3009	9999-12-31	2013-05-08	15797
35/11-9	2830.000000	1.210000	17.000000	0.000000	WATER BASED	9999-12-31	3009	9999-12-31	2013-05-08	15798
35/1-2 S	1243.000000	1.350000	17.000000	0.000000	Spud Mud	9999-12-31	6427	9999-12-31	2013-05-08	15799
35/1-2 S	1344.000000	1.450000	34.000000	0.000000	Performadril	9999-12-31	6427	9999-12-31	2013-05-08	15800
35/1-2 S	1620.000000	1.450000	34.000000	0.000000	Performadril	9999-12-31	6427	9999-12-31	2013-05-08	15801
35/1-2 S	1776.000000	1.450000	23.000000	0.000000	Performadril	9999-12-31	6427	9999-12-31	2013-05-08	15802
35/1-2 S	2010.000000	1.450000	28.000000	0.000000	Performadril	9999-12-31	6427	9999-12-31	2013-05-08	15803
35/1-2 S	2264.000000	1.480000	28.000000	0.000000	Performadril	9999-12-31	6427	9999-12-31	2013-05-08	15804
35/1-2 S	2317.000000	1.430000	28.000000	0.000000	XP-07 - #14	9999-12-31	6427	9999-12-31	2013-05-08	15805
35/1-2 S	2335.000000	1.450000	23.000000	0.000000	Performadril	9999-12-31	6427	9999-12-31	2013-05-08	15806
35/1-2 S	2346.000000	1.480000	36.000000	0.000000	Performadril	9999-12-31	6427	9999-12-31	2013-05-08	15807
35/1-2 S	2355.000000	1.450000	25.000000	0.000000	Performadril	9999-12-31	6427	9999-12-31	2013-05-08	15808
35/1-2 S	2859.000000	1.410000	26.000000	0.000000	XP-07 - #14	9999-12-31	6427	9999-12-31	2013-05-08	15809
35/1-2 S	2869.000000	1.430000	27.000000	0.000000	XP-07 - #14	9999-12-31	6427	9999-12-31	2013-05-08	15810
35/1-2 S	2872.000000	1.410000	25.000000	0.000000	XP-07 - #14	9999-12-31	6427	9999-12-31	2013-05-08	15811
35/1-2 S	3695.000000	1.790000	50.000000	0.000000	XP-07 - #14	9999-12-31	6427	9999-12-31	2013-05-08	15812
35/1-2 S	3696.000000	1.790000	53.000000	0.000000	XP-07 - #14	9999-12-31	6427	9999-12-31	2013-05-08	15813
35/1-2 S	3698.000000	1.930000	39.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6427	9999-12-31	2013-05-08	15814
35/1-2 S	4202.000000	1.980000	34.000000	0.000000	OBM-Low ECD-HTHP	9999-12-31	6427	9999-12-31	2013-05-08	15815
35/12-1	385.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15816
35/12-1	419.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15817
35/12-1	486.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15818
35/12-1	856.000000	1.110000	6.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15819
35/12-1	1015.000000	1.120000	8.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15820
35/12-1	1020.000000	1.170000	10.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15821
35/12-1	1280.000000	1.300000	28.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15822
35/12-1	1439.000000	1.300000	29.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15823
35/12-1	1487.000000	1.300000	28.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15824
35/12-1	1600.000000	1.300000	27.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15825
35/12-1	1693.000000	1.300000	26.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15826
35/12-1	1769.000000	1.300000	28.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15827
35/12-1	1827.000000	1.300000	27.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15828
35/12-1	1899.000000	1.300000	28.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15829
35/12-1	1959.000000	1.300000	28.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15830
35/12-1	2046.000000	1.280000	27.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15831
35/12-1	2215.000000	1.280000	30.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15832
35/12-1	2352.000000	1.320000	30.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15833
35/12-1	2418.000000	1.320000	34.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15834
35/12-1	2445.000000	1.320000	34.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15835
35/12-1	2458.000000	1.320000	39.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15836
35/12-1	2596.000000	1.320000	29.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15837
35/12-1	2598.000000	1.320000	28.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15838
35/12-1	2647.000000	1.320000	27.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15839
35/12-1	2700.000000	1.320000	30.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15840
35/12-1	2778.000000	1.300000	32.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15841
35/12-1	2923.000000	1.280000	27.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15842
35/12-1	2975.000000	1.250000	27.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15843
35/12-1	3001.000000	1.250000	24.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15844
35/12-1	3020.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	1881	9999-12-31	2013-05-08	15845
35/12-2	423.000000	1.050000	0.000000	0.000000	BENTONITE MUD	9999-12-31	6095	9999-12-31	2013-05-08	15846
35/12-2	430.000000	1.100000	7.000000	0.000000	BENTONITE MUD	9999-12-31	6095	9999-12-31	2013-05-08	15847
35/12-2	453.000000	1.500000	20.000000	0.000000	BENTONITE MUD	9999-12-31	6095	9999-12-31	2013-05-08	15848
35/12-2	517.000000	1.500000	0.000000	0.000000	BENTONITE MUD	9999-12-31	6095	9999-12-31	2013-05-08	15849
35/12-2	1137.000000	1.260000	16.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6095	9999-12-31	2013-05-08	15850
35/12-2	1310.000000	1.300000	21.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6095	9999-12-31	2013-05-08	15851
35/12-2	1975.000000	1.320000	21.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6095	9999-12-31	2013-05-08	15852
35/12-2	2105.000000	1.310000	18.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6095	9999-12-31	2013-05-08	15853
35/12-2	2386.000000	1.320000	24.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6095	9999-12-31	2013-05-08	15854
35/12-2	2541.000000	1.320000	18.000000	0.000000	BENTONITE MUD	9999-12-31	6095	9999-12-31	2013-05-08	15855
35/12-3 S	410.000000	1.050000	0.000000	0.000000	BENTONITE MUD	9999-12-31	6516	9999-12-31	2013-05-08	15856
35/12-3 S	500.000000	1.280000	16.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6516	9999-12-31	2013-05-08	15857
35/12-3 S	523.000000	1.050000	0.000000	0.000000	BENTONITE MUD	9999-12-31	6516	9999-12-31	2013-05-08	15858
35/12-3 S	599.000000	1.170000	10.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6516	9999-12-31	2013-05-08	15859
35/12-3 S	1150.000000	1.300000	13.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6516	9999-12-31	2013-05-08	15860
35/12-3 S	1216.000000	1.320000	14.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6516	9999-12-31	2013-05-08	15861
35/12-3 S	1894.000000	1.320000	18.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6516	9999-12-31	2013-05-08	15862
35/12-3 S	2062.000000	1.250000	19.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6516	9999-12-31	2013-05-08	15863
35/12-3 S	2560.000000	1.280000	16.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6516	9999-12-31	2013-05-08	15864
35/12-3 S	2807.000000	1.280000	9.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6516	9999-12-31	2013-05-08	15865
35/2-2	429.000000	1.500000	20.000000	0.000000	SILDRILL	9999-12-31	6084	9999-12-31	2013-05-08	15866
35/2-2	543.000000	1.120000	10.000000	0.000000	SILDRILL	9999-12-31	6084	9999-12-31	2013-05-08	15867
35/2-2	563.000000	1.130000	19.000000	0.000000	Glydril	9999-12-31	6084	9999-12-31	2013-05-08	15868
35/2-2	571.000000	1.130000	15.000000	0.000000	Glydril	9999-12-31	6084	9999-12-31	2013-05-08	15869
35/2-2	640.000000	1.130000	16.000000	0.000000	Glydril	9999-12-31	6084	9999-12-31	2013-05-08	15870
35/2-2	640.000000	1.130000	16.000000	0.000000	Glydril	9999-12-31	6084	9999-12-31	2013-05-08	15871
35/3-1	510.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	432	9999-12-31	2013-05-08	15872
35/3-1	819.000000	1.100000	68.000000	58.000000	water based	9999-12-31	432	9999-12-31	2013-05-08	15873
35/3-1	2306.000000	1.190000	53.000000	30.000000	water based	9999-12-31	432	9999-12-31	2013-05-08	15874
35/3-1	2622.000000	1.310000	46.000000	18.000000	water based	9999-12-31	432	9999-12-31	2013-05-08	15875
35/3-1	3139.000000	1.350000	48.000000	5.000000	water based	9999-12-31	432	9999-12-31	2013-05-08	15876
35/3-1	4202.000000	1.370000	46.000000	5.000000	water based	9999-12-31	432	9999-12-31	2013-05-08	15877
35/3-1	4313.000000	1.800000	49.000000	4.000000	water based	9999-12-31	432	9999-12-31	2013-05-08	15878
35/3-2	662.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	136	9999-12-31	2013-05-08	15879
35/3-2	900.000000	1.080000	0.000000	0.000000	watermud	9999-12-31	136	9999-12-31	2013-05-08	15880
35/3-2	1522.000000	1.100000	0.000000	0.000000	watermud	9999-12-31	136	9999-12-31	2013-05-08	15881
35/3-2	2290.000000	1.230000	43.000000	0.000000	watermud	9999-12-31	136	9999-12-31	2013-05-08	15882
35/3-2	2603.000000	1.320000	53.000000	0.000000	watermud	9999-12-31	136	9999-12-31	2013-05-08	15883
35/3-2	3090.000000	1.340000	50.000000	0.000000	watermud	9999-12-31	136	9999-12-31	2013-05-08	15884
35/3-2	3575.000000	1.420000	54.000000	0.000000	watermud	9999-12-31	136	9999-12-31	2013-05-08	15885
35/3-2	3617.000000	1.420000	52.000000	0.000000	watermud	9999-12-31	136	9999-12-31	2013-05-08	15886
35/3-2	3833.000000	1.470000	55.000000	0.000000	watermud	9999-12-31	136	9999-12-31	2013-05-08	15887
35/3-2	4400.000000	1.570000	58.000000	0.000000	watermud	9999-12-31	136	9999-12-31	2013-05-08	15888
35/3-3	900.000000	1.070000	50.000000	0.000000	water mud	9999-12-31	491	9999-12-31	2013-05-08	15889
35/3-4	457.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	219	9999-12-31	2013-05-08	15890
35/3-4	879.000000	1.130000	100.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15891
35/3-4	1506.000000	1.230000	56.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15892
35/3-4	1836.000000	1.250000	50.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15893
35/3-4	2000.000000	1.290000	58.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15894
35/3-4	2197.000000	1.320000	71.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15895
35/3-4	2383.000000	1.280000	55.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15896
35/3-4	3200.000000	1.290000	44.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15897
35/3-4	3401.000000	1.340000	47.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15898
35/3-4	3417.000000	1.350000	70.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15899
35/3-4	3458.000000	1.400000	42.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15900
35/3-4	3478.000000	1.370000	50.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15901
35/3-4	3518.000000	1.380000	43.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15902
35/3-4	3800.000000	1.360000	47.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15903
35/3-4	4089.000000	1.430000	56.000000	0.000000	water	9999-12-31	219	9999-12-31	2013-05-08	15904
35/3-5	308.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	433	9999-12-31	2013-05-08	15905
35/3-5	817.000000	1.110000	42.000000	0.000000	water based	9999-12-31	433	9999-12-31	2013-05-08	15906
35/3-5	1771.000000	1.150000	40.000000	0.000000	water based	9999-12-31	433	9999-12-31	2013-05-08	15907
35/3-5	2052.000000	1.930000	58.000000	0.000000	water based	9999-12-31	433	9999-12-31	2013-05-08	15908
35/3-5	2525.000000	1.170000	46.000000	0.000000	water based	9999-12-31	433	9999-12-31	2013-05-08	15909
35/3-5	3050.000000	1.220000	44.000000	0.000000	water based	9999-12-31	433	9999-12-31	2013-05-08	15910
35/3-5	3245.000000	1.250000	54.000000	0.000000	water based	9999-12-31	433	9999-12-31	2013-05-08	15911
35/3-5	4039.000000	1.290000	50.000000	0.000000	water based	9999-12-31	433	9999-12-31	2013-05-08	15912
35/3-6	260.000000	1.320000	80.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15913
35/3-6	935.000000	1.030000	120.000000	0.000000	SPUD MUD	9999-12-31	4492	9999-12-31	2013-05-08	15914
35/3-6	1228.000000	1.140000	73.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15915
35/3-6	1265.000000	1.140000	63.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15916
35/3-6	1300.000000	1.200000	100.000000	0.000000	SPUD MUD	9999-12-31	4492	9999-12-31	2013-05-08	15917
35/3-6	1485.000000	1.250000	66.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15918
35/3-6	1545.000000	1.320000	67.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15919
35/3-6	1821.000000	1.290000	74.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15920
35/3-6	1892.000000	1.320000	73.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15921
35/3-6	1985.000000	1.320000	95.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15922
35/3-6	2250.000000	1.320000	80.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15923
35/3-6	2695.000000	1.320000	71.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15924
35/3-6	2699.000000	1.320000	85.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15925
35/3-6	2910.000000	1.320000	75.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15926
35/3-6	3079.000000	1.320000	75.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15927
35/3-6	3366.000000	1.320000	72.000000	0.000000	GLYDRIL	9999-12-31	4492	9999-12-31	2013-05-08	15928
35/3-7 S	335.000000	1.030000	0.000000	0.000000	Bentonite Spud mud	9999-12-31	6154	9999-12-31	2013-05-08	15929
35/3-7 S	438.000000	1.270000	45.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15930
35/3-7 S	528.000000	1.030000	0.000000	0.000000	Bentonite Spud mud	9999-12-31	6154	9999-12-31	2013-05-08	15931
35/3-7 S	829.000000	1.240000	43.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15932
35/3-7 S	922.000000	1.220000	32.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15933
35/3-7 S	1250.000000	1.300000	43.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15934
35/3-7 S	1500.000000	1.350000	27.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15935
35/3-7 S	2011.000000	1.300000	46.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15936
35/3-7 S	2412.000000	1.350000	28.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15937
35/3-7 S	2732.000000	1.300000	37.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15938
35/3-7 S	3164.000000	1.370000	48.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15939
35/3-7 S	3246.000000	1.390000	53.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15940
35/3-7 S	3305.000000	1.300000	31.000000	0.000000	Performadril	9999-12-31	6154	9999-12-31	2013-05-08	15941
35/3-7 S	3738.000000	1.390000	29.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15942
35/3-7 S	3769.000000	1.300000	37.000000	0.000000	Performadril	9999-12-31	6154	9999-12-31	2013-05-08	15943
35/3-7 S	4051.000000	1.390000	43.000000	0.000000	KCl/GEM	9999-12-31	6154	9999-12-31	2013-05-08	15944
35/4-1	1128.000000	1.390000	14.000000	0.000000	WATER BASED	9999-12-31	2993	9999-12-31	2013-05-08	15945
35/4-1	1300.000000	1.390000	17.000000	0.000000	WATER BASED	9999-12-31	2993	9999-12-31	2013-05-08	15946
35/4-1	1362.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	2993	9999-12-31	2013-05-08	15947
35/4-1	1920.000000	1.300000	23.000000	0.000000	WATER BASED	9999-12-31	2993	9999-12-31	2013-05-08	15948
35/4-1	2181.000000	1.300000	24.000000	0.000000	WATER BASED	9999-12-31	2993	9999-12-31	2013-05-08	15949
35/4-1	2496.000000	1.300000	24.000000	0.000000	WATER BASED	9999-12-31	2993	9999-12-31	2013-05-08	15950
35/4-1	2706.000000	1.300000	21.000000	0.000000	WATER BASED	9999-12-31	2993	9999-12-31	2013-05-08	15951
35/4-1	2845.000000	1.300000	21.000000	0.000000	WATER BASED	9999-12-31	2993	9999-12-31	2013-05-08	15952
35/4-1	3040.000000	1.300000	25.000000	0.000000	WATER BASED	9999-12-31	2993	9999-12-31	2013-05-08	15953
35/4-1	3133.000000	1.390000	28.000000	0.000000	WATER BASED	9999-12-31	2993	9999-12-31	2013-05-08	15954
35/4-1	3138.000000	1.390000	26.000000	0.000000	WATER BASED	9999-12-31	2993	9999-12-31	2013-05-08	15955
35/4-1	3147.000000	1.390000	32.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15956
35/4-1	3159.000000	1.390000	30.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15957
35/4-1	3178.000000	1.390000	38.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15958
35/4-1	3252.000000	1.390000	32.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15959
35/4-1	3324.000000	1.390000	30.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15960
35/4-1	3343.000000	1.390000	28.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15961
35/4-1	3428.000000	1.390000	30.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15962
35/4-1	3480.000000	1.390000	30.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15963
35/4-1	3526.000000	1.390000	32.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15964
35/4-1	3564.000000	1.450000	33.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15965
35/4-1	3625.000000	1.450000	33.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15966
35/4-1	3658.000000	1.580000	33.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15967
35/4-1	3697.000000	1.700000	39.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15968
35/4-1	3711.000000	1.750000	34.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15969
35/4-1	3715.000000	1.750000	34.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15970
35/4-1	3802.000000	1.750000	35.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15971
35/4-1	3837.000000	1.750000	32.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15972
35/4-1	3868.000000	1.760000	30.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15973
35/4-1	3954.000000	1.830000	36.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15974
35/4-1	3992.000000	1.830000	35.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15975
35/4-1	3992.000000	1.830000	35.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15976
35/4-1	4108.000000	1.890000	38.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15977
35/4-1	4113.000000	1.890000	37.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15978
35/4-1	4139.000000	1.890000	37.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15979
35/4-1	4141.000000	1.890000	38.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15980
35/4-1	4174.000000	1.890000	38.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15981
35/4-1	4178.000000	1.890000	38.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15982
35/4-1	4190.000000	1.950000	50.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15983
35/4-1	4219.000000	1.890000	37.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15984
35/4-1	4245.000000	1.890000	38.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15985
35/4-1	4263.000000	1.890000	37.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15986
35/4-1	4267.000000	1.890000	37.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15987
35/4-1	4294.000000	1.890000	38.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15988
35/4-1	4324.000000	1.950000	42.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15989
35/4-1	4464.000000	1.950000	45.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15990
35/4-1	4669.000000	1.950000	46.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15991
35/4-1	4709.000000	1.950000	46.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15992
35/4-1	4737.000000	1.950000	44.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15993
35/4-1	4826.000000	1.950000	47.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15994
35/4-1	4877.000000	1.950000	48.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15995
35/4-1	4934.000000	1.950000	48.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15996
35/4-1	4936.000000	1.950000	50.000000	0.000000	OIL BASED	9999-12-31	2993	9999-12-31	2013-05-08	15997
35/6-2 S	580.000000	1.170000	21.000000	0.000000	Spud Mud	9999-12-31	6063	9999-12-31	2013-05-08	15998
35/6-2 S	610.000000	1.140000	20.000000	0.000000	HPWBM	9999-12-31	6063	9999-12-31	2013-05-08	15999
35/6-2 S	625.000000	1.150000	17.000000	0.000000	HPWBM	9999-12-31	6063	9999-12-31	2013-05-08	16000
35/6-2 S	655.000000	1.120000	20.000000	0.000000	HPWBM	9999-12-31	6063	9999-12-31	2013-05-08	16001
35/6-2 S	801.000000	1.150000	28.000000	0.000000	HPWBM	9999-12-31	6063	9999-12-31	2013-05-08	16002
35/6-2 S	919.000000	1.140000	31.000000	0.000000	HPWBM	9999-12-31	6063	9999-12-31	2013-05-08	16003
35/6-2 S	1360.000000	1.150000	25.000000	0.000000	HPWBM	9999-12-31	6063	9999-12-31	2013-05-08	16004
35/6-2 S	1659.000000	1.140000	32.000000	0.000000	HPWBM	9999-12-31	6063	9999-12-31	2013-05-08	16005
35/6-2 S	1810.000000	1.240000	39.000000	0.000000	OBM-Standard	9999-12-31	6063	9999-12-31	2013-05-08	16006
35/6-2 S	2970.000000	1.200000	21.000000	0.000000	OBM-Standard	9999-12-31	6063	9999-12-31	2013-05-08	16007
35/6-2 S	2977.000000	1.280000	20.000000	0.000000	OBM-Standard	9999-12-31	6063	9999-12-31	2013-05-08	16008
35/6-2 S	3355.000000	1.280000	20.000000	0.000000	OBM-Standard	9999-12-31	6063	9999-12-31	2013-05-08	16009
35/6-2 S	3620.000000	1.280000	22.000000	0.000000	OBM-Standard	9999-12-31	6063	9999-12-31	2013-05-08	16010
35/6-2 S	3693.000000	1.360000	24.000000	0.000000	OBM-Standard	9999-12-31	6063	9999-12-31	2013-05-08	16011
35/6-2 S	3700.000000	1.270000	21.000000	0.000000	OBM-Standard	9999-12-31	6063	9999-12-31	2013-05-08	16012
35/8-1	750.000000	1.080000	85.000000	0.000000	WATER BASED	9999-12-31	205	9999-12-31	2013-05-08	16013
35/8-1	1040.000000	1.130000	48.000000	0.000000	WATER BASED	9999-12-31	205	9999-12-31	2013-05-08	16014
35/8-1	2675.000000	1.210000	51.000000	0.000000	WATER BASED	9999-12-31	205	9999-12-31	2013-05-08	16015
35/8-1	2900.000000	1.290000	50.000000	0.000000	WATER BASED	9999-12-31	205	9999-12-31	2013-05-08	16016
35/8-1	3190.000000	1.340000	54.000000	0.000000	WATER BASED	9999-12-31	205	9999-12-31	2013-05-08	16017
35/8-1	3570.000000	1.740000	62.000000	0.000000	WATER BASED	9999-12-31	205	9999-12-31	2013-05-08	16018
35/8-2	785.000000	1.100000	57.000000	0.000000	WATER BASED	9999-12-31	434	9999-12-31	2013-05-08	16019
35/8-2	1160.000000	1.110000	58.000000	0.000000	WATER BASED	9999-12-31	434	9999-12-31	2013-05-08	16020
35/8-2	1890.000000	1.200000	70.000000	0.000000	WATER BASED	9999-12-31	434	9999-12-31	2013-05-08	16021
35/8-2	2410.000000	1.220000	53.000000	0.000000	WATER BASED	9999-12-31	434	9999-12-31	2013-05-08	16022
35/8-2	2855.000000	1.250000	52.000000	0.000000	WATER BASED	9999-12-31	434	9999-12-31	2013-05-08	16023
35/8-2	3080.000000	1.440000	50.000000	0.000000	WATER BASED	9999-12-31	434	9999-12-31	2013-05-08	16024
35/8-2	3230.000000	1.510000	55.000000	0.000000	WATER BASED	9999-12-31	434	9999-12-31	2013-05-08	16025
35/8-2	3570.000000	1.700000	55.000000	0.000000	WATER BASED	9999-12-31	434	9999-12-31	2013-05-08	16026
35/8-2	3680.000000	1.770000	55.000000	0.000000	WATER BASED	9999-12-31	434	9999-12-31	2013-05-08	16027
35/8-2	3980.000000	1.700000	65.000000	0.000000	WATER BASED	9999-12-31	434	9999-12-31	2013-05-08	16028
35/8-3	440.000000	1.320000	11.000000	3.000000	WATER BASED	1988-10-13	1288	9999-12-31	2013-05-08	16029
35/8-3	440.000000	1.320000	13.000000	4.000000	WATER BASED	1988-10-12	1288	9999-12-31	2013-05-08	16030
35/8-3	685.000000	0.000000	0.000000	0.000000	WATER BASED	1988-08-15	1288	9999-12-31	2013-05-08	16031
35/8-3	845.000000	0.000000	0.000000	0.000000	WATER BASED	1988-08-16	1288	9999-12-31	2013-05-08	16032
35/8-3	1150.000000	1.140000	15.000000	6.200000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16033
35/8-3	1205.000000	1.140000	14.000000	6.200000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16034
35/8-3	1474.000000	1.140000	14.000000	6.200000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16035
35/8-3	1786.000000	1.150000	15.000000	5.700000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16036
35/8-3	1862.000000	1.180000	16.000000	5.200000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16037
35/8-3	1974.000000	1.180000	15.000000	6.200000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16038
35/8-3	2023.000000	1.320000	13.000000	8.000000	WATER BASED	1988-10-11	1288	9999-12-31	2013-05-08	16039
35/8-3	2043.000000	1.320000	13.000000	8.000000	WATER BASED	1988-10-10	1288	9999-12-31	2013-05-08	16040
35/8-3	2148.000000	1.180000	14.000000	5.700000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16041
35/8-3	2174.000000	1.180000	14.000000	3.800000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16042
35/8-3	2174.000000	1.180000	13.000000	3.300000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16043
35/8-3	2174.000000	1.180000	14.000000	5.700000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16044
35/8-3	2271.000000	1.180000	14.000000	5.700000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16045
35/8-3	2320.000000	1.180000	12.000000	4.800000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16046
35/8-3	2474.000000	1.200000	10.000000	4.800000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16047
35/8-3	2500.000000	1.320000	13.000000	8.000000	WATER BASED	1988-10-10	1288	9999-12-31	2013-05-08	16048
35/8-3	2524.000000	1.200000	12.000000	4.800000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16049
35/8-3	2697.000000	1.250000	12.000000	6.700000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16050
35/8-3	2843.000000	1.250000	10.000000	4.800000	WATER BASED	1988-08-19	1288	9999-12-31	2013-05-08	16051
35/8-3	2885.000000	1.250000	10.000000	4.800000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16052
35/8-3	2974.000000	1.250000	9.000000	4.800000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16053
35/8-3	2995.000000	1.260000	13.000000	7.200000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16054
35/8-3	3062.000000	1.260000	13.000000	7.600000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16055
35/8-3	3127.000000	1.260000	13.000000	6.200000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16056
35/8-3	3166.000000	1.260000	13.000000	7.200000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16057
35/8-3	3216.000000	1.270000	11.000000	5.700000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16058
35/8-3	3291.000000	1.270000	11.000000	5.200000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16059
35/8-3	3292.000000	1.270000	11.000000	4.800000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16060
35/8-3	3300.000000	1.320000	13.000000	6.700000	WATER BASED	1988-08-29	1288	9999-12-31	2013-05-08	16061
35/8-3	3345.000000	1.320000	16.000000	6.200000	WATER BASED	1988-08-29	1288	9999-12-31	2013-05-08	16062
35/8-3	3371.000000	1.320000	15.000000	7.200000	WATER BASED	1988-08-30	1288	9999-12-31	2013-05-08	16063
35/8-3	3377.000000	1.290000	11.000000	4.800000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16064
35/8-3	3379.000000	1.320000	14.000000	5.700000	WATER BASED	1988-08-31	1288	9999-12-31	2013-05-08	16065
35/8-3	3396.000000	1.320000	14.000000	5.700000	WATER BASED	1988-09-02	1288	9999-12-31	2013-05-08	16066
35/8-3	3402.000000	1.320000	14.000000	5.700000	WATER BASED	1988-09-02	1288	9999-12-31	2013-05-08	16067
35/8-3	3426.000000	1.320000	17.000000	6.200000	WATER BASED	1988-09-05	1288	9999-12-31	2013-05-08	16068
35/8-3	3435.000000	1.030000	13.000000	6.700000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16069
35/8-3	3450.000000	1.610000	20.000000	12.000000	WATER BASED	1988-10-10	1288	9999-12-31	2013-05-08	16070
35/8-3	3463.000000	1.320000	18.000000	1.600000	WATER BASED	1988-09-05	1288	9999-12-31	2013-05-08	16071
35/8-3	3467.000000	1.300000	13.000000	5.700000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16072
35/8-3	3492.000000	1.310000	12.000000	5.700000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16073
35/8-3	3500.000000	1.320000	13.000000	6.200000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16074
35/8-3	3502.000000	1.320000	18.000000	7.600000	WATER BASED	1988-09-05	1288	9999-12-31	2013-05-08	16075
35/8-3	3539.000000	1.320000	17.000000	7.200000	WATER BASED	1988-08-29	1288	9999-12-31	2013-05-08	16076
35/8-3	3539.000000	1.320000	14.000000	7.200000	WATER BASED	1988-08-25	1288	9999-12-31	2013-05-08	16077
35/8-3	3539.000000	1.320000	14.000000	7.200000	WATER BASED	1988-08-24	1288	9999-12-31	2013-05-08	16078
35/8-3	3539.000000	1.320000	17.000000	7.200000	WATER BASED	1988-08-26	1288	9999-12-31	2013-05-08	16079
35/8-3	3539.000000	1.320000	14.000000	6.700000	WATER BASED	1988-08-23	1288	9999-12-31	2013-05-08	16080
35/8-3	3539.000000	1.320000	13.000000	7.200000	WATER BASED	1988-08-22	1288	9999-12-31	2013-05-08	16081
35/8-3	3560.000000	1.320000	17.000000	8.000000	WATER BASED	1988-09-08	1288	9999-12-31	2013-05-08	16082
35/8-3	3560.000000	1.320000	17.000000	7.500000	WATER BASED	1988-09-13	1288	9999-12-31	2013-05-08	16083
35/8-3	3560.000000	1.320000	16.000000	7.500000	WATER BASED	1988-09-06	1288	9999-12-31	2013-05-08	16084
35/8-3	3560.000000	1.320000	17.000000	7.500000	WATER BASED	1988-09-08	1288	9999-12-31	2013-05-08	16085
35/8-3	3560.000000	1.320000	17.000000	7.500000	WATER BASED	1988-09-09	1288	9999-12-31	2013-05-08	16086
35/8-3	3560.000000	1.320000	16.000000	7.000000	WATER BASED	1988-09-13	1288	9999-12-31	2013-05-08	16087
35/8-3	3563.000000	1.480000	16.000000	7.500000	WATER BASED	1988-09-14	1288	9999-12-31	2013-05-08	16088
35/8-3	3598.000000	1.480000	18.000000	0.000000	WATER BASED	1988-09-14	1288	9999-12-31	2013-05-08	16089
35/8-3	3610.000000	1.480000	20.000000	6.000000	WATER BASED	1988-09-15	1288	9999-12-31	2013-05-08	16090
35/8-3	3674.000000	1.610000	20.000000	7.000000	WATER BASED	1988-09-16	1288	9999-12-31	2013-05-08	16091
35/8-3	3732.000000	1.610000	24.000000	7.500000	WATER BASED	1988-09-19	1288	9999-12-31	2013-05-08	16092
35/8-3	3737.000000	1.610000	25.000000	8.000000	WATER BASED	1988-09-19	1288	9999-12-31	2013-05-08	16093
35/8-3	3750.000000	1.610000	20.000000	6.000000	WATER BASED	1988-10-07	1288	9999-12-31	2013-05-08	16094
35/8-3	3763.000000	1.610000	27.000000	5.500000	WATER BASED	1988-09-19	1288	9999-12-31	2013-05-08	16095
35/8-3	3784.000000	1.610000	27.000000	5.000000	WATER BASED	1988-09-20	1288	9999-12-31	2013-05-08	16096
35/8-3	3806.000000	1.610000	24.000000	5.000000	WATER BASED	1988-09-21	1288	9999-12-31	2013-05-08	16097
35/8-3	3833.000000	1.610000	24.000000	5.000000	WATER BASED	1988-09-22	1288	9999-12-31	2013-05-08	16098
35/8-3	3853.000000	1.610000	21.000000	5.000000	WATER BASED	1988-09-23	1288	9999-12-31	2013-05-08	16099
35/8-3	3944.000000	1.610000	20.000000	5.500000	WATER BASED	1988-09-26	1288	9999-12-31	2013-05-08	16100
35/8-3	3944.000000	1.610000	20.000000	5.500000	WATER BASED	1988-09-27	1288	9999-12-31	2013-05-08	16101
35/8-3	3944.000000	1.610000	20.000000	6.000000	WATER BASED	1988-10-05	1288	9999-12-31	2013-05-08	16102
35/8-3	3944.000000	1.610000	20.000000	5.000000	WATER BASED	1988-10-04	1288	9999-12-31	2013-05-08	16103
35/8-3	3944.000000	1.610000	19.000000	5.000000	WATER BASED	1988-10-04	1288	9999-12-31	2013-05-08	16104
35/8-3	3944.000000	1.610000	20.000000	4.000000	WATER BASED	1988-09-30	1288	9999-12-31	2013-05-08	16105
35/8-3	3944.000000	1.610000	20.000000	4.000000	WATER BASED	1988-09-29	1288	9999-12-31	2013-05-08	16106
35/8-3	3944.000000	1.610000	20.000000	5.500000	WATER BASED	1988-09-28	1288	9999-12-31	2013-05-08	16107
35/8-3	3944.000000	1.610000	20.000000	6.000000	WATER BASED	1988-10-06	1288	9999-12-31	2013-05-08	16108
35/8-3	3944.000000	1.610000	23.000000	6.000000	WATER BASED	1988-09-26	1288	9999-12-31	2013-05-08	16109
35/8-4	473.000000	1.090000	1.000000	0.000000	SPUD MUD	9999-12-31	3791	9999-12-31	2013-05-08	16110
35/8-4	910.000000	1.290000	38.000000	0.000000	BARASILC	9999-12-31	3791	9999-12-31	2013-05-08	16111
35/8-4	1402.000000	1.310000	34.000000	0.000000	BARASILC	9999-12-31	3791	9999-12-31	2013-05-08	16112
35/8-4	1838.000000	1.320000	33.000000	0.000000	BARASILC	9999-12-31	3791	9999-12-31	2013-05-08	16113
35/8-4	1858.000000	1.330000	36.000000	0.000000	BARASILC	9999-12-31	3791	9999-12-31	2013-05-08	16114
35/8-4	2017.000000	0.000000	31.000000	0.000000	BARASILC	9999-12-31	3791	9999-12-31	2013-05-08	16115
35/8-5 S	412.000000	1.250000	0.000000	0.000000	water based	9999-12-31	4761	9999-12-31	2013-05-08	16116
35/8-5 S	458.000000	1.250000	0.000000	0.000000	water based	9999-12-31	4761	9999-12-31	2013-05-08	16117
35/8-5 S	629.000000	1.100000	11.000000	0.000000	water based	9999-12-31	4761	9999-12-31	2013-05-08	16118
35/8-5 S	682.000000	1.300000	0.000000	0.000000	water based	9999-12-31	4761	9999-12-31	2013-05-08	16119
35/8-5 S	946.000000	1.110000	14.000000	0.000000	water based	9999-12-31	4761	9999-12-31	2013-05-08	16120
35/8-5 S	1285.000000	1.110000	17.000000	0.000000	water based	9999-12-31	4761	9999-12-31	2013-05-08	16121
35/8-5 S	1331.000000	1.250000	26.000000	0.000000	water based	9999-12-31	4761	9999-12-31	2013-05-08	16122
35/8-5 S	2773.000000	1.200000	23.000000	0.000000	oil based	9999-12-31	4761	9999-12-31	2013-05-08	16123
35/8-5 S	2962.000000	1.250000	24.000000	0.000000	oil based	9999-12-31	4761	9999-12-31	2013-05-08	16124
35/8-5 S	3265.000000	1.270000	26.000000	0.000000	oil based	9999-12-31	4761	9999-12-31	2013-05-08	16125
35/8-5 S	3443.000000	1.500000	38.000000	0.000000	oil based	9999-12-31	4761	9999-12-31	2013-05-08	16126
35/8-5 S	3856.000000	1.640000	49.000000	0.000000	oil based	9999-12-31	4761	9999-12-31	2013-05-08	16127
35/8-5 S	3883.000000	1.650000	51.000000	0.000000	oil based	9999-12-31	4761	9999-12-31	2013-05-08	16128
35/8-5 S	4000.000000	1.640000	47.000000	0.000000	oil based	9999-12-31	4761	9999-12-31	2013-05-08	16129
35/9-1	437.000000	1.250000	18.000000	15.000000	WATER BASED	1989-07-26	1375	9999-12-31	2013-05-08	16130
35/9-1	456.000000	1.050000	0.000000	0.000000	WATER BASED	1989-04-03	1375	9999-12-31	2013-05-08	16131
35/9-1	466.000000	1.050000	0.000000	0.000000	WATER BASED	1989-04-03	1375	9999-12-31	2013-05-08	16132
35/9-1	693.000000	1.050000	0.000000	0.000000	WATER BASED	1989-04-04	1375	9999-12-31	2013-05-08	16133
35/9-1	815.000000	1.080000	21.000000	8.000000	WATER BASED	1989-04-06	1375	9999-12-31	2013-05-08	16134
35/9-1	815.000000	1.080000	21.000000	8.000000	WATER BASED	1989-04-10	1375	9999-12-31	2013-05-08	16135
35/9-1	815.000000	1.050000	0.000000	0.000000	WATER BASED	1989-04-05	1375	9999-12-31	2013-05-08	16136
35/9-1	815.000000	1.080000	21.000000	8.000000	WATER BASED	1989-04-07	1375	9999-12-31	2013-05-08	16137
35/9-1	886.000000	1.100000	13.000000	5.000000	WATER BASED	1989-04-10	1375	9999-12-31	2013-05-08	16138
35/9-1	1335.000000	1.200000	18.000000	7.000000	WATER BASED	1989-04-10	1375	9999-12-31	2013-05-08	16139
35/9-1	1605.000000	1.200000	17.000000	8.000000	WATER BASED	1989-04-12	1375	9999-12-31	2013-05-08	16140
35/9-1	1715.000000	1.250000	18.000000	15.000000	WATER BASED	1989-07-26	1375	9999-12-31	2013-05-08	16141
35/9-1	1739.000000	1.200000	16.000000	7.000000	WATER BASED	1989-04-12	1375	9999-12-31	2013-05-08	16142
35/9-1	1767.000000	1.250000	10.000000	5.000000	WATER BASED	1989-07-05	1375	9999-12-31	2013-05-08	16143
35/9-1	1850.000000	1.220000	17.000000	8.000000	WATER BASED	1989-04-13	1375	9999-12-31	2013-05-08	16144
35/9-1	1942.000000	1.250000	17.000000	8.000000	WATER BASED	1989-04-14	1375	9999-12-31	2013-05-08	16145
35/9-1	1942.000000	1.250000	16.000000	7.000000	WATER BASED	1989-04-17	1375	9999-12-31	2013-05-08	16146
35/9-1	1942.000000	1.250000	13.000000	5.000000	WATER BASED	1989-04-17	1375	9999-12-31	2013-05-08	16147
35/9-1	1942.000000	1.250000	17.000000	8.000000	WATER BASED	1989-04-17	1375	9999-12-31	2013-05-08	16148
35/9-1	1942.000000	1.250000	13.000000	5.000000	WATER BASED	1989-04-17	1375	9999-12-31	2013-05-08	16149
35/9-1	1942.000000	1.250000	17.000000	8.000000	WATER BASED	1989-04-17	1375	9999-12-31	2013-05-08	16150
35/9-1	1942.000000	1.250000	16.000000	7.000000	WATER BASED	1989-04-17	1375	9999-12-31	2013-05-08	16151
35/9-1	1942.000000	1.250000	13.000000	5.000000	WATER BASED	1989-04-17	1375	9999-12-31	2013-05-08	16152
35/9-1	1942.000000	1.250000	14.000000	6.000000	WATER BASED	1989-04-19	1375	9999-12-31	2013-05-08	16153
35/9-1	1942.000000	1.250000	15.000000	6.000000	WATER BASED	1989-04-18	1375	9999-12-31	2013-05-08	16154
35/9-1	1942.000000	1.250000	17.000000	8.000000	WATER BASED	1989-04-17	1375	9999-12-31	2013-05-08	16155
35/9-1	1942.000000	1.250000	16.000000	7.000000	WATER BASED	1989-04-17	1375	9999-12-31	2013-05-08	16156
35/9-1	1945.000000	1.250000	12.000000	6.000000	WATER BASED	1989-04-20	1375	9999-12-31	2013-05-08	16157
35/9-1	1945.000000	1.250000	12.000000	6.000000	WATER BASED	1989-04-21	1375	9999-12-31	2013-05-08	16158
35/9-1	1948.000000	1.250000	14.000000	6.000000	WATER BASED	1989-04-24	1375	9999-12-31	2013-05-08	16159
35/9-1	2040.000000	1.250000	24.000000	6.000000	WATER BASED	1989-04-24	1375	9999-12-31	2013-05-08	16160
35/9-1	2081.000000	1.250000	22.000000	9.000000	WATER BASED	1989-04-24	1375	9999-12-31	2013-05-08	16161
35/9-1	2120.000000	1.280000	23.000000	8.000000	WATER BASED	1989-04-26	1375	9999-12-31	2013-05-08	16162
35/9-1	2144.000000	1.280000	20.000000	6.000000	WATER BASED	1989-04-26	1375	9999-12-31	2013-05-08	16163
35/9-1	2218.000000	1.280000	23.000000	8.000000	WATER BASED	1989-04-27	1375	9999-12-31	2013-05-08	16164
35/9-1	2224.000000	1.250000	18.000000	18.000000	WATER BASED	1989-07-24	1375	9999-12-31	2013-05-08	16165
35/9-1	2224.000000	1.250000	18.000000	15.000000	WATER BASED	1989-07-24	1375	9999-12-31	2013-05-08	16166
35/9-1	2224.000000	1.250000	18.000000	17.000000	WATER BASED	1989-07-21	1375	9999-12-31	2013-05-08	16167
35/9-1	2224.000000	1.250000	19.000000	18.000000	WATER BASED	1989-07-19	1375	9999-12-31	2013-05-08	16168
35/9-1	2224.000000	1.250000	18.000000	18.000000	WATER BASED	1989-07-24	1375	9999-12-31	2013-05-08	16169
35/9-1	2224.000000	1.250000	18.000000	17.000000	WATER BASED	1989-07-20	1375	9999-12-31	2013-05-08	16170
35/9-1	2241.000000	1.280000	21.000000	7.000000	WATER BASED	1989-04-28	1375	9999-12-31	2013-05-08	16171
35/9-1	2269.000000	1.280000	24.000000	8.000000	WATER BASED	1989-05-02	1375	9999-12-31	2013-05-08	16172
35/9-1	2280.000000	1.250000	18.000000	16.000000	WATER BASED	1989-07-14	1375	9999-12-31	2013-05-08	16173
35/9-1	2280.000000	1.250000	18.000000	15.000000	WATER BASED	1989-07-18	1375	9999-12-31	2013-05-08	16174
35/9-1	2280.000000	1.250000	18.000000	16.000000	WATER BASED	1989-07-17	1375	9999-12-31	2013-05-08	16175
35/9-1	2280.000000	1.250000	19.000000	16.000000	WATER BASED	1989-07-17	1375	9999-12-31	2013-05-08	16176
35/9-1	2280.000000	1.250000	19.000000	16.000000	WATER BASED	1989-07-17	1375	9999-12-31	2013-05-08	16177
35/9-1	2306.000000	1.280000	24.000000	7.000000	WATER BASED	1989-05-02	1375	9999-12-31	2013-05-08	16178
35/9-1	2308.000000	1.250000	16.000000	8.000000	WATER BASED	1989-07-13	1375	9999-12-31	2013-05-08	16179
35/9-1	2308.000000	1.250000	18.000000	9.000000	WATER BASED	1989-07-12	1375	9999-12-31	2013-05-08	16180
35/9-1	2308.000000	1.260000	0.000000	0.000000	WATER BASED	1989-07-11	1375	9999-12-31	2013-05-08	16181
35/9-1	2308.000000	1.250000	15.000000	10.000000	WATER BASED	1989-07-10	1375	9999-12-31	2013-05-08	16182
35/9-1	2308.000000	1.250000	15.000000	10.000000	WATER BASED	1989-07-10	1375	9999-12-31	2013-05-08	16183
35/9-1	2308.000000	1.260000	0.000000	0.000000	WATER BASED	1989-07-10	1375	9999-12-31	2013-05-08	16184
35/9-1	2308.000000	1.250000	15.000000	10.000000	WATER BASED	1989-07-07	1375	9999-12-31	2013-05-08	16185
35/9-1	2313.000000	1.280000	25.000000	11.000000	WATER BASED	1989-05-08	1375	9999-12-31	2013-05-08	16186
35/9-1	2316.000000	1.280000	22.000000	6.000000	WATER BASED	1989-05-02	1375	9999-12-31	2013-05-08	16187
35/9-1	2319.000000	1.280000	23.000000	8.000000	WATER BASED	1989-05-08	1375	9999-12-31	2013-05-08	16188
35/9-1	2350.000000	1.280000	24.000000	8.000000	WATER BASED	1989-05-02	1375	9999-12-31	2013-05-08	16189
35/9-1	2350.000000	1.280000	24.000000	8.000000	WATER BASED	1989-05-03	1375	9999-12-31	2013-05-08	16190
35/9-1	2350.000000	1.280000	23.000000	8.000000	WATER BASED	1989-05-05	1375	9999-12-31	2013-05-08	16191
35/9-1	2350.000000	1.280000	24.000000	9.000000	WATER BASED	1989-05-05	1375	9999-12-31	2013-05-08	16192
35/9-2	464.000000	1.200000	1.000000	1.000000	WATER BASED	1991-01-03	1600	9999-12-31	2013-05-08	16193
35/9-2	477.000000	1.200000	1.000000	1.000000	WATER BASED	1991-01-07	1600	9999-12-31	2013-05-08	16194
35/9-2	477.000000	1.200000	1.000000	1.000000	WATER BASED	1991-01-03	1600	9999-12-31	2013-05-08	16195
35/9-2	478.000000	1.050000	1.000000	1.000000	WATER BASED	1991-01-08	1600	9999-12-31	2013-05-08	16196
35/9-2	478.000000	1.050000	1.000000	1.000000	WATER BASED	1991-01-09	1600	9999-12-31	2013-05-08	16197
35/9-2	479.000000	1.050000	1.000000	1.000000	WATER BASED	1991-01-11	1600	9999-12-31	2013-05-08	16198
35/9-2	1018.000000	1.050000	1.000000	1.000000	WATER BASED	1991-01-14	1600	9999-12-31	2013-05-08	16199
35/9-2	1018.000000	1.110000	19.000000	14.000000	WATER BASED	1991-01-14	1600	9999-12-31	2013-05-08	16200
35/9-2	1018.000000	1.120000	19.000000	14.000000	WATER BASED	1991-01-14	1600	9999-12-31	2013-05-08	16201
35/9-2	1060.000000	1.120000	10.000000	7.000000	WATER BASED	1991-01-15	1600	9999-12-31	2013-05-08	16202
35/9-2	1297.000000	1.130000	11.000000	11.000000	WATER BASED	1991-01-16	1600	9999-12-31	2013-05-08	16203
35/9-2	1310.000000	1.140000	10.000000	11.000000	WATER BASED	1991-01-17	1600	9999-12-31	2013-05-08	16204
35/9-2	1336.000000	1.180000	11.000000	10.000000	WATER BASED	1991-01-18	1600	9999-12-31	2013-05-08	16205
35/9-2	1646.000000	1.190000	8.000000	12.000000	WATER BASED	1991-01-21	1600	9999-12-31	2013-05-08	16206
35/9-2	1759.000000	1.200000	15.000000	11.000000	WATER BASED	1991-01-21	1600	9999-12-31	2013-05-08	16207
35/9-2	1918.000000	1.200000	15.000000	11.000000	WATER BASED	1991-01-21	1600	9999-12-31	2013-05-08	16208
35/9-2	1953.000000	1.220000	14.000000	10.000000	WATER BASED	1991-01-23	1600	9999-12-31	2013-05-08	16209
35/9-2	1953.000000	1.220000	16.000000	11.000000	WATER BASED	1991-01-25	1600	9999-12-31	2013-05-08	16210
35/9-2	2106.000000	1.220000	14.000000	11.000000	WATER BASED	1991-01-25	1600	9999-12-31	2013-05-08	16211
35/9-2	2111.000000	1.230000	15.000000	9.000000	WATER BASED	1991-01-29	1600	9999-12-31	2013-05-08	16212
35/9-2	2142.000000	1.220000	16.000000	11.000000	WATER BASED	1991-01-29	1600	9999-12-31	2013-05-08	16213
35/9-2	2181.000000	1.220000	10.000000	6.000000	WATER BASED	1991-03-27	1600	9999-12-31	2013-05-08	16214
35/9-2	2181.000000	1.220000	10.000000	6.000000	WATER BASED	1991-03-26	1600	9999-12-31	2013-05-08	16215
35/9-2	2181.000000	1.220000	10.000000	6.000000	WATER BASED	1991-03-26	1600	9999-12-31	2013-05-08	16216
35/9-2	2181.000000	1.220000	10.000000	6.000000	WATER BASED	1991-03-26	1600	9999-12-31	2013-05-08	16217
35/9-2	2272.000000	1.220000	13.000000	12.000000	WATER BASED	1991-01-29	1600	9999-12-31	2013-05-08	16218
35/9-2	2293.000000	1.220000	10.000000	6.000000	WATER BASED	1991-03-21	1600	9999-12-31	2013-05-08	16219
35/9-2	2293.000000	1.220000	10.000000	6.000000	WATER BASED	1991-03-26	1600	9999-12-31	2013-05-08	16220
35/9-2	2293.000000	1.220000	10.000000	6.000000	WATER BASED	1991-03-22	1600	9999-12-31	2013-05-08	16221
35/9-2	2293.000000	1.220000	10.000000	6.000000	WATER BASED	1991-03-20	1600	9999-12-31	2013-05-08	16222
35/9-2	2293.000000	1.220000	10.000000	6.000000	WATER BASED	1991-03-20	1600	9999-12-31	2013-05-08	16223
35/9-2	2293.000000	1.220000	9.000000	8.000000	WATER BASED	1991-03-18	1600	9999-12-31	2013-05-08	16224
35/9-2	2293.000000	1.220000	9.000000	8.000000	WATER BASED	1991-03-18	1600	9999-12-31	2013-05-08	16225
35/9-2	2311.000000	1.220000	10.000000	7.000000	WATER BASED	1991-03-14	1600	9999-12-31	2013-05-08	16226
35/9-2	2311.000000	1.220000	10.000000	7.000000	WATER BASED	1991-03-15	1600	9999-12-31	2013-05-08	16227
35/9-2	2311.000000	1.220000	10.000000	7.000000	WATER BASED	1991-03-13	1600	9999-12-31	2013-05-08	16228
35/9-2	2311.000000	1.220000	10.000000	7.000000	WATER BASED	1991-03-18	1600	9999-12-31	2013-05-08	16229
35/9-2	2311.000000	1.220000	10.000000	7.000000	WATER BASED	1991-03-15	1600	9999-12-31	2013-05-08	16230
35/9-2	2327.000000	1.220000	13.000000	11.000000	WATER BASED	1991-01-30	1600	9999-12-31	2013-05-08	16231
35/9-2	2350.000000	1.220000	13.000000	10.000000	WATER BASED	1991-01-30	1600	9999-12-31	2013-05-08	16232
35/9-2	2382.000000	1.220000	8.000000	7.000000	WATER BASED	1991-03-07	1600	9999-12-31	2013-05-08	16233
35/9-2	2382.000000	1.220000	9.000000	7.000000	WATER BASED	1991-03-06	1600	9999-12-31	2013-05-08	16234
35/9-2	2382.000000	1.220000	9.000000	7.000000	WATER BASED	1991-03-05	1600	9999-12-31	2013-05-08	16235
35/9-2	2382.000000	1.220000	10.000000	8.000000	WATER BASED	1991-03-05	1600	9999-12-31	2013-05-08	16236
35/9-2	2382.000000	1.220000	8.000000	8.000000	WATER BASED	1991-03-05	1600	9999-12-31	2013-05-08	16237
35/9-2	2382.000000	1.220000	8.000000	7.000000	WATER BASED	1991-03-08	1600	9999-12-31	2013-05-08	16238
35/9-2	2393.000000	1.220000	12.000000	10.000000	WATER BASED	1991-01-31	1600	9999-12-31	2013-05-08	16239
35/9-2	2421.000000	1.220000	15.000000	10.000000	WATER BASED	1991-02-01	1600	9999-12-31	2013-05-08	16240
35/9-2	2434.000000	1.220000	12.000000	6.000000	WATER BASED	1991-02-19	1600	9999-12-31	2013-05-08	16241
35/9-2	2434.000000	1.220000	12.000000	6.000000	WATER BASED	1991-02-20	1600	9999-12-31	2013-05-08	16242
35/9-2	2434.000000	1.220000	12.000000	8.000000	WATER BASED	1991-02-19	1600	9999-12-31	2013-05-08	16243
35/9-2	2436.000000	1.220000	13.000000	5.000000	WATER BASED	1991-02-19	1600	9999-12-31	2013-05-08	16244
35/9-2	2436.000000	1.220000	13.000000	5.000000	WATER BASED	1991-02-19	1600	9999-12-31	2013-05-08	16245
35/9-2	2436.000000	1.220000	10.000000	8.000000	WATER BASED	1991-03-01	1600	9999-12-31	2013-05-08	16246
35/9-2	2483.000000	1.220000	11.000000	9.000000	WATER BASED	1991-02-05	1600	9999-12-31	2013-05-08	16247
35/9-2	2537.000000	1.220000	12.000000	8.000000	WATER BASED	1991-02-05	1600	9999-12-31	2013-05-08	16248
35/9-2	2564.000000	1.220000	12.000000	9.000000	WATER BASED	1991-02-05	1600	9999-12-31	2013-05-08	16249
35/9-2	2621.000000	1.220000	13.000000	8.000000	WATER BASED	1991-02-05	1600	9999-12-31	2013-05-08	16250
35/9-2	2666.000000	1.220000	12.000000	10.000000	WATER BASED	1991-02-06	1600	9999-12-31	2013-05-08	16251
35/9-2	2694.000000	1.220000	12.000000	11.000000	WATER BASED	1991-02-07	1600	9999-12-31	2013-05-08	16252
35/9-2	2732.000000	1.220000	13.000000	10.000000	WATER BASED	1991-02-08	1600	9999-12-31	2013-05-08	16253
35/9-2	2732.000000	1.220000	13.000000	10.000000	WATER BASED	1991-02-08	1600	9999-12-31	2013-05-08	16254
35/9-2	2765.000000	1.220000	13.000000	9.000000	WATER BASED	1991-02-12	1600	9999-12-31	2013-05-08	16255
35/9-2	2778.000000	1.220000	11.000000	11.000000	WATER BASED	1991-02-12	1600	9999-12-31	2013-05-08	16256
35/9-2	2856.000000	1.220000	12.000000	11.000000	WATER BASED	1991-02-12	1600	9999-12-31	2013-05-08	16257
35/9-2	2885.000000	1.220000	13.000000	10.000000	WATER BASED	1991-02-12	1600	9999-12-31	2013-05-08	16258
35/9-2	2885.000000	1.220000	12.000000	10.000000	WATER BASED	1991-02-15	1600	9999-12-31	2013-05-08	16259
35/9-2	2885.000000	1.220000	13.000000	10.000000	WATER BASED	1991-02-14	1600	9999-12-31	2013-05-08	16260
35/9-2	2885.000000	1.220000	13.000000	10.000000	WATER BASED	1991-02-13	1600	9999-12-31	2013-05-08	16261
35/9-2	3436.000000	1.220000	10.000000	8.000000	WATER BASED	1991-02-28	1600	9999-12-31	2013-05-08	16262
35/9-2	3436.000000	1.220000	10.000000	8.000000	WATER BASED	1991-02-27	1600	9999-12-31	2013-05-08	16263
35/9-2	3436.000000	1.220000	11.000000	6.000000	WATER BASED	1991-02-26	1600	9999-12-31	2013-05-08	16264
35/9-2	3436.000000	1.220000	12.000000	6.000000	WATER BASED	1991-02-26	1600	9999-12-31	2013-05-08	16265
35/9-2	3436.000000	1.220000	12.000000	6.000000	WATER BASED	1991-02-26	1600	9999-12-31	2013-05-08	16266
35/9-2	3436.000000	1.220000	11.000000	6.000000	WATER BASED	1991-02-26	1600	9999-12-31	2013-05-08	16267
35/9-2	3436.000000	1.220000	12.000000	6.000000	WATER BASED	1991-02-22	1600	9999-12-31	2013-05-08	16268
35/9-2	3436.000000	1.220000	12.000000	6.000000	WATER BASED	1991-02-21	1600	9999-12-31	2013-05-08	16269
35/9-3	1102.000000	1.150000	15.000000	0.000000	WATER BASED	9999-12-31	3206	9999-12-31	2013-05-08	16270
35/9-3	1150.000000	1.250000	16.000000	0.000000	WATER BASED	9999-12-31	3206	9999-12-31	2013-05-08	16271
35/9-3	1810.000000	1.260000	19.000000	0.000000	WATER BASED	9999-12-31	3206	9999-12-31	2013-05-08	16272
35/9-3	1870.000000	1.230000	18.000000	0.000000	WATER BASED	9999-12-31	3206	9999-12-31	2013-05-08	16273
35/9-3	1902.000000	1.250000	19.000000	0.000000	WATER BASED	9999-12-31	3206	9999-12-31	2013-05-08	16274
35/9-3	1935.000000	1.220000	18.000000	0.000000	WATER BASED	9999-12-31	3206	9999-12-31	2013-05-08	16275
35/9-3	2050.000000	1.220000	19.000000	0.000000	WATER BASED	9999-12-31	3206	9999-12-31	2013-05-08	16276
35/9-3	2262.000000	1.140000	15.000000	0.000000	WATER BASED	9999-12-31	3206	9999-12-31	2013-05-08	16277
35/9-3	2676.000000	1.140000	16.000000	0.000000	WATER BASED	9999-12-31	3206	9999-12-31	2013-05-08	16278
35/9-3	2783.000000	1.140000	15.000000	0.000000	WATER BASED	9999-12-31	3206	9999-12-31	2013-05-08	16279
35/9-4 S	445.000000	1.600000	18.000000	0.000000	WATER BASED	9999-12-31	3524	9999-12-31	2013-05-08	16280
35/9-4 S	451.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	3524	9999-12-31	2013-05-08	16281
35/9-4 S	460.000000	1.600000	18.000000	0.000000	WATER BASED	9999-12-31	3524	9999-12-31	2013-05-08	16282
35/9-4 S	510.000000	2.040000	16.000000	0.000000	WATER BASED	9999-12-31	3524	9999-12-31	2013-05-08	16283
35/9-4 S	1261.000000	1.600000	18.000000	0.000000	WATER BASED	9999-12-31	3524	9999-12-31	2013-05-08	16284
35/9-5	507.000000	1.290000	22.000000	0.000000	KCL mud	9999-12-31	6293	9999-12-31	2013-05-08	16285
35/9-5	900.000000	1.290000	16.000000	0.000000	KCL mud	9999-12-31	6293	9999-12-31	2013-05-08	16286
35/9-5	950.000000	1.240000	18.000000	0.000000	KCL mud	9999-12-31	6293	9999-12-31	2013-05-08	16287
35/9-5	1520.000000	1.240000	21.000000	0.000000	Glydrill / KCL mud	9999-12-31	6293	9999-12-31	2013-05-08	16288
35/9-5	1650.000000	1.260000	22.000000	0.000000	Glydrill / KCL mud	9999-12-31	6293	9999-12-31	2013-05-08	16289
35/9-5	2507.000000	1.340000	23.000000	0.000000	Glydrill / KCL mud	9999-12-31	6293	9999-12-31	2013-05-08	16290
35/9-5	2630.000000	1.340000	26.000000	0.000000	Glydrill / KCL mud	9999-12-31	6293	9999-12-31	2013-05-08	16291
35/9-5	3001.000000	1.400000	23.000000	0.000000	Glydrill / KCL mud	9999-12-31	6293	9999-12-31	2013-05-08	16292
35/9-5	3123.000000	1.450000	10.000000	0.000000	Glydrill / KCL mud	9999-12-31	6293	9999-12-31	2013-05-08	16293
35/9-5	3390.000000	1.240000	17.000000	0.000000	Glydrill / KCL mud	9999-12-31	6293	9999-12-31	2013-05-08	16294
35/9-5	3390.000000	1.450000	26.000000	0.000000	Glydrill / KCL mud	9999-12-31	6293	9999-12-31	2013-05-08	16295
35/9-6 S	370.000000	1.030000	0.000000	0.000000	Spudmud	9999-12-31	6429	9999-12-31	2013-05-08	16296
35/9-6 S	465.000000	1.350000	16.000000	0.000000	KCL GEM	9999-12-31	6429	9999-12-31	2013-05-08	16297
35/9-6 S	475.000000	1.350000	15.000000	0.000000	KCL GEM	9999-12-31	6429	9999-12-31	2013-05-08	16298
35/9-6 S	535.000000	1.350000	23.000000	0.000000	KCL GEM	9999-12-31	6429	9999-12-31	2013-05-08	16299
35/9-6 S	750.000000	1.350000	20.000000	0.000000	KCL GEM	9999-12-31	6429	9999-12-31	2013-05-08	16300
35/9-6 S	789.000000	1.350000	23.000000	0.000000	KCL GEM	9999-12-31	6429	9999-12-31	2013-05-08	16301
35/9-6 S	1257.000000	1.180000	23.000000	0.000000	KCl/Gem	9999-12-31	6429	9999-12-31	2013-05-08	16302
35/9-6 S	1687.000000	1.250000	19.000000	0.000000	Performadril	9999-12-31	6429	9999-12-31	2013-05-08	16303
35/9-6 S	1723.000000	1.180000	24.000000	0.000000	KCl/Gem	9999-12-31	6429	9999-12-31	2013-05-08	16304
35/9-6 S	1863.000000	1.250000	21.000000	0.000000	Performadril	9999-12-31	6429	9999-12-31	2013-05-08	16305
35/9-6 S	2716.000000	1.250000	38.000000	0.000000	Performadril	9999-12-31	6429	9999-12-31	2013-05-08	16306
35/9-6 S	2816.000000	1.600000	38.000000	0.000000	Performadril HT	9999-12-31	6429	9999-12-31	2013-05-08	16307
35/9-6 S	3038.000000	1.600000	37.000000	0.000000	Performadril	9999-12-31	6429	9999-12-31	2013-05-08	16308
35/9-6 S	3316.000000	1.600000	37.000000	0.000000	Performadril HT	9999-12-31	6429	9999-12-31	2013-05-08	16309
35/9-6 S	3434.000000	1.600000	43.000000	0.000000	Performadril HT	9999-12-31	6429	9999-12-31	2013-05-08	16310
35/9-6 S	3461.000000	1.600000	41.000000	0.000000	Performadril HT	9999-12-31	6429	9999-12-31	2013-05-08	16311
35/9-6 S	3665.000000	1.600000	40.000000	0.000000	Performadril HT	9999-12-31	6429	9999-12-31	2013-05-08	16312
35/9-6 S	3736.000000	1.610000	41.000000	0.000000	Performadril HT	9999-12-31	6429	9999-12-31	2013-05-08	16313
35/9-6 S	3740.000000	1.600000	41.000000	0.000000	Performadril HT	9999-12-31	6429	9999-12-31	2013-05-08	16314
36/1-1	286.000000	1.070000	49.000000	15.000000	spud mud	9999-12-31	435	9999-12-31	2013-05-08	16315
36/1-1	515.000000	1.080000	41.000000	12.000000	water based	9999-12-31	435	9999-12-31	2013-05-08	16316
36/1-1	751.000000	1.100000	45.000000	9.000000	water based	9999-12-31	435	9999-12-31	2013-05-08	16317
36/1-1	1466.000000	1.110000	41.000000	8.000000	water based	9999-12-31	435	9999-12-31	2013-05-08	16318
36/1-1	1595.000000	1.230000	42.000000	9.000000	water based	9999-12-31	435	9999-12-31	2013-05-08	16319
36/1-2	444.000000	1.060000	0.000000	0.000000	spud mud	9999-12-31	436	9999-12-31	2013-05-08	16320
36/1-2	1406.000000	1.070000	41.000000	12.000000	water based	9999-12-31	436	9999-12-31	2013-05-08	16321
36/1-2	2678.000000	1.110000	43.000000	15.000000	water based	9999-12-31	436	9999-12-31	2013-05-08	16322
36/1-2	2880.000000	1.120000	44.000000	16.000000	water based	9999-12-31	436	9999-12-31	2013-05-08	16323
36/1-2	2954.000000	1.500000	57.000000	28.000000	water based	9999-12-31	436	9999-12-31	2013-05-08	16324
36/1-2	3128.000000	1.550000	45.000000	20.000000	water based	9999-12-31	436	9999-12-31	2013-05-08	16325
36/4-1	320.000000	1.050000	0.000000	0.000000	SEA WATER	9999-12-31	2847	9999-12-31	2013-05-08	16326
36/4-1	357.000000	1.050000	0.000000	0.000000	SEA WATER	9999-12-31	2847	9999-12-31	2013-05-08	16327
36/4-1	442.000000	1.050000	0.000000	0.000000	WATER BASED MUD	9999-12-31	2847	9999-12-31	2013-05-08	16328
36/4-1	1108.000000	1.100000	20.000000	0.000000	WATER BASED MUD	9999-12-31	2847	9999-12-31	2013-05-08	16329
36/4-1	1666.000000	1.250000	19.000000	0.000000	WATER BASED MUD	9999-12-31	2847	9999-12-31	2013-05-08	16330
36/4-1	1874.000000	1.250000	21.000000	0.000000	WATER BASED MUD	9999-12-31	2847	9999-12-31	2013-05-08	16331
36/4-1	2031.000000	1.250000	26.000000	0.000000	WATER BASED MUD	9999-12-31	2847	9999-12-31	2013-05-08	16332
36/4-1	2412.000000	1.250000	26.000000	0.000000	WATER BASED MUD	9999-12-31	2847	9999-12-31	2013-05-08	16333
36/4-1	2575.000000	1.290000	28.000000	0.000000	WATER BASED MUD	9999-12-31	2847	9999-12-31	2013-05-08	16334
36/4-1	2716.000000	1.300000	28.000000	0.000000	WATER BASED MUD	9999-12-31	2847	9999-12-31	2013-05-08	16335
36/4-1	2717.000000	1.300000	30.000000	0.000000	WATER BASED MUD	9999-12-31	2847	9999-12-31	2013-05-08	16336
36/7-1	440.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	1794	9999-12-31	2013-05-08	16337
36/7-1	979.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1794	9999-12-31	2013-05-08	16338
36/7-1	1256.000000	1.200000	8.000000	0.000000	WATER BASED	9999-12-31	1794	9999-12-31	2013-05-08	16339
36/7-1	2142.000000	1.200000	12.000000	0.000000	WATER BASED	9999-12-31	1794	9999-12-31	2013-05-08	16340
36/7-1	2305.000000	1.230000	16.000000	0.000000	WATER BASED	9999-12-31	1794	9999-12-31	2013-05-08	16341
36/7-1	2777.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	1794	9999-12-31	2013-05-08	16342
36/7-1	2832.000000	1.210000	22.000000	0.000000	WATER BASED	9999-12-31	1794	9999-12-31	2013-05-08	16343
36/7-1	2841.000000	1.210000	23.000000	0.000000	WATER BASED	9999-12-31	1794	9999-12-31	2013-05-08	16344
36/7-2	592.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	2990	9999-12-31	2013-05-08	16345
36/7-2	1117.000000	1.150000	20.000000	0.000000	WATER BASED	9999-12-31	2990	9999-12-31	2013-05-08	16346
36/7-2	1435.000000	1.160000	18.000000	0.000000	WATER BASED	9999-12-31	2990	9999-12-31	2013-05-08	16347
36/7-3	385.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	4427	9999-12-31	2013-05-08	16348
36/7-3	388.000000	1.160000	17.000000	0.000000	WATER BASED	9999-12-31	4427	9999-12-31	2013-05-08	16349
36/7-3	445.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	4427	9999-12-31	2013-05-08	16350
36/7-3	577.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	4427	9999-12-31	2013-05-08	16351
36/7-3	663.000000	1.130000	9.000000	0.000000	WATER BASED	9999-12-31	4427	9999-12-31	2013-05-08	16352
36/7-3	1267.000000	1.160000	14.000000	0.000000	WATER BASED	9999-12-31	4427	9999-12-31	2013-05-08	16353
36/7-3	1330.000000	1.200000	13.000000	0.000000	WATER BASED	9999-12-31	4427	9999-12-31	2013-05-08	16354
36/7-3	2069.000000	1.200000	13.000000	0.000000	WATER BASED	9999-12-31	4427	9999-12-31	2013-05-08	16355
36/7-3	2357.000000	1.160000	13.000000	0.000000	WATER BASED	9999-12-31	4427	9999-12-31	2013-05-08	16356
36/7-3	2823.000000	1.160000	18.000000	0.000000	WATER BASED	9999-12-31	4427	9999-12-31	2013-05-08	16357
36/7-3	2948.000000	1.160000	17.000000	0.000000	WATER BASED	9999-12-31	4427	9999-12-31	2013-05-08	16358
6/3-1	137.000000	1.040000	130.000000	24.000000	WATER BASED	1984-11-05	450	9999-12-31	2013-05-08	16359
6/3-1	172.000000	1.040000	44.000000	16.000000	WATER BASED	1984-11-05	450	9999-12-31	2013-05-08	16360
6/3-1	175.000000	1.060000	48.000000	16.000000	WATER BASED	1984-11-05	450	9999-12-31	2013-05-08	16361
6/3-1	520.000000	1.090000	42.000000	13.000000	WATER BASED	1984-11-06	450	9999-12-31	2013-05-08	16362
6/3-1	520.000000	1.100000	41.000000	13.000000	WATER BASED	1984-11-07	450	9999-12-31	2013-05-08	16363
6/3-1	520.000000	1.100000	41.000000	13.000000	WATER BASED	1984-11-07	450	9999-12-31	2013-05-08	16364
6/3-1	686.000000	1.120000	49.000000	11.500000	WATER BASED	1984-11-12	450	9999-12-31	2013-05-08	16365
6/3-1	928.000000	1.140000	51.000000	11.500000	WATER BASED	1984-11-12	450	9999-12-31	2013-05-08	16366
6/3-1	1050.000000	1.140000	51.000000	11.500000	WATER BASED	1984-11-12	450	9999-12-31	2013-05-08	16367
6/3-1	1225.000000	1.150000	51.000000	11.500000	WATER BASED	1984-11-12	450	9999-12-31	2013-05-08	16368
6/3-1	1456.000000	1.140000	61.000000	12.400000	WATER BASED	1984-11-13	450	9999-12-31	2013-05-08	16369
6/3-1	1630.000000	1.150000	62.000000	12.400000	WATER BASED	1984-11-14	450	9999-12-31	2013-05-08	16370
6/3-1	1630.000000	1.210000	57.000000	9.000000	WATER BASED	1984-11-19	450	9999-12-31	2013-05-08	16371
6/3-1	1630.000000	1.210000	57.000000	9.000000	WATER BASED	1984-11-19	450	9999-12-31	2013-05-08	16372
6/3-1	1700.000000	1.200000	61.000000	7.000000	WATER BASED	1984-11-22	450	9999-12-31	2013-05-08	16373
6/3-1	1848.000000	1.200000	64.000000	9.000000	WATER BASED	1984-11-22	450	9999-12-31	2013-05-08	16374
6/3-1	2156.000000	1.180000	46.000000	7.000000	WATER BASED	1984-11-23	450	9999-12-31	2013-05-08	16375
6/3-1	2555.000000	1.200000	48.000000	9.000000	WATER BASED	1984-11-26	450	9999-12-31	2013-05-08	16376
6/3-1	2630.000000	1.210000	52.000000	11.000000	WATER BASED	1984-11-26	450	9999-12-31	2013-05-08	16377
6/3-1	2656.000000	1.210000	47.000000	11.000000	WATER BASED	1984-11-27	450	9999-12-31	2013-05-08	16378
6/3-1	2757.000000	1.200000	46.000000	9.600000	WATER BASED	1984-11-29	450	9999-12-31	2013-05-08	16379
6/3-1	2870.000000	1.200000	44.000000	9.000000	WATER BASED	1984-11-30	450	9999-12-31	2013-05-08	16380
6/3-1	2926.000000	1.350000	45.000000	7.700000	WATER BASED	1984-12-03	450	9999-12-31	2013-05-08	16381
6/3-1	2968.000000	1.450000	0.000000	0.000000	WATER BASED	1984-12-11	450	9999-12-31	2013-05-08	16382
6/3-1	3021.000000	1.450000	54.000000	6.000000	WATER BASED	1985-01-25	450	9999-12-31	2013-05-08	16383
6/3-1	3066.000000	1.350000	60.000000	6.000000	WATER BASED	1985-01-02	450	9999-12-31	2013-05-08	16384
6/3-1	3117.000000	1.400000	57.000000	6.000000	WATER BASED	1984-12-17	450	9999-12-31	2013-05-08	16385
6/3-1	3454.000000	1.400000	54.000000	7.200000	WATER BASED	1984-12-27	450	9999-12-31	2013-05-08	16386
6/3-1	3560.000000	1.380000	53.000000	6.200000	WATER BASED	1984-12-27	450	9999-12-31	2013-05-08	16387
6/3-2	622.000000	1.100000	42.000000	17.500000	WATERBASED	1985-11-25	862	9999-12-31	2013-05-08	16388
6/3-2	760.000000	1.130000	46.000000	9.000000	WATER BASED	1985-12-02	862	9999-12-31	2013-05-08	16389
6/3-2	850.000000	1.170000	44.000000	8.500000	WATER BASED	1985-12-02	862	9999-12-31	2013-05-08	16390
6/3-2	1316.000000	1.200000	14.000000	18.000000	WATER BASED	1985-12-02	862	9999-12-31	2013-05-08	16391
6/3-2	1316.000000	1.200000	60.000000	22.000000	GYP/POL	1985-12-15	862	9999-12-31	2013-05-08	16392
6/3-2	1319.000000	0.000000	0.000000	0.000000	\N	1985-12-15	862	9999-12-31	2013-05-08	16393
6/3-2	2028.000000	1.200000	18.000000	0.000000	GYP/POL	1985-12-11	862	9999-12-31	2013-05-08	16394
6/3-2	2394.000000	1.200000	56.000000	0.000000	GYP/POL	1985-12-11	862	9999-12-31	2013-05-08	16395
6/3-2	2394.000000	0.000000	0.000000	0.000000	\N	1985-12-15	862	9999-12-31	2013-05-08	16396
6/3-2	2794.000000	1.280000	60.000000	20.000000	GYP/POL	1985-12-16	862	9999-12-31	2013-05-08	16397
6/3-2	2794.000000	1.280000	62.000000	20.000000	GYP/POL	1985-12-18	862	9999-12-31	2013-05-08	16398
6/3-2	2857.000000	1.280000	62.000000	19.000000	GYP/POL	1985-12-19	862	9999-12-31	2013-05-08	16399
6/3-2	2984.000000	1.400000	62.000000	0.000000	GYP/POL	1985-12-23	862	9999-12-31	2013-05-08	16400
6/3-2	3028.000000	0.000000	0.000000	0.000000	\N	1986-01-06	862	9999-12-31	2013-05-08	16401
6/3-2	3320.000000	1.630000	62.000000	0.000000	OIL BASED	1986-01-19	862	9999-12-31	2013-05-08	16402
6/3-2	3400.000000	1.500000	58.000000	0.000000	OIL BASED	1986-01-13	862	9999-12-31	2013-05-08	16403
6/3-2	3772.000000	1.970000	70.000000	0.000000	OIL BASED	1986-01-19	862	9999-12-31	2013-05-08	16404
6/3-2	3772.000000	1.970000	66.000000	0.000000	OIL BASED	1986-01-19	862	9999-12-31	2013-05-08	16405
6/3-2	3772.000000	1.990000	83.000000	0.000000	OIL BASED	1986-01-23	862	9999-12-31	2013-05-08	16406
6/3-2	3772.000000	2.000000	82.000000	0.000000	OIL BASED	1986-01-23	862	9999-12-31	2013-05-08	16407
6/3-2	3776.000000	2.050000	59.000000	0.000000	OIL BASED	1986-02-11	862	9999-12-31	2013-05-08	16408
6/3-2	4040.000000	1.800000	35.000000	0.000000	OILBASED	1986-02-25	862	9999-12-31	2013-05-08	16409
6201/11-1	327.000000	1.060000	0.000000	0.000000	WATER BASED	1987-05-18	1134	9999-12-31	2013-05-08	16410
6201/11-1	550.000000	1.300000	5000.000000	0.000000	WATER BASED	1987-08-19	1134	9999-12-31	2013-05-08	16411
6201/11-1	650.000000	1.150000	0.000000	0.000000	WATER BASED	1987-08-24	1134	9999-12-31	2013-05-08	16412
6201/11-1	650.000000	1.300000	6200.000000	0.000000	WATER BASED	1987-08-20	1134	9999-12-31	2013-05-08	16413
6201/11-1	650.000000	1.050000	9999.000000	0.000000	WATER BASED	1987-08-21	1134	9999-12-31	2013-05-08	16414
6201/11-1	650.000000	1.050000	100.000000	0.000000	WATER BASED	1987-08-24	1134	9999-12-31	2013-05-08	16415
6201/11-1	675.000000	1.150000	7500.000000	5.600000	WATER BASED	1987-08-24	1134	9999-12-31	2013-05-08	16416
6201/11-1	780.000000	1.150000	6100.000000	5.100000	WATER BASED	1987-08-25	1134	9999-12-31	2013-05-08	16417
6201/11-1	930.000000	1.300000	7000.000000	0.000000	WATER BASED	1987-08-18	1134	9999-12-31	2013-05-08	16418
6201/11-1	1426.000000	1.200000	6900.000000	5.500000	WATER BASED	1987-08-26	1134	9999-12-31	2013-05-08	16419
6201/11-1	1698.000000	1.240000	7500.000000	5.600000	WATER BASED	1987-08-27	1134	9999-12-31	2013-05-08	16420
6201/11-1	1750.000000	1.350000	7000.000000	7.500000	WATER BASED	1987-08-31	1134	9999-12-31	2013-05-08	16421
6201/11-1	1750.000000	1.350000	7000.000000	5.500000	WATER BASED	1987-09-03	1134	9999-12-31	2013-05-08	16422
6201/11-1	1753.000000	1.450000	6600.000000	4.500000	WATER BASED	1987-09-03	1134	9999-12-31	2013-05-08	16423
6201/11-1	1794.000000	1.350000	6800.000000	6.300000	WATER BASED	1987-08-28	1134	9999-12-31	2013-05-08	16424
6201/11-1	1808.000000	1.350000	2800.000000	6.300000	WATER BASED	1987-08-31	1134	9999-12-31	2013-05-08	16425
6201/11-1	1808.000000	1.350000	2300.300000	4.000000	WATER BASED	1987-08-31	1134	9999-12-31	2013-05-08	16426
6201/11-1	1808.000000	1.480000	6400.000000	7.500000	WATER BASED	1987-09-09	1134	9999-12-31	2013-05-08	16427
6201/11-1	1808.000000	1.510000	2200.000000	4.500000	WATER BASED	1987-09-09	1134	9999-12-31	2013-05-08	16428
6201/11-1	1808.000000	1.510000	4900.000000	5.000000	WATER BASED	1987-09-09	1134	9999-12-31	2013-05-08	16429
6201/11-1	1836.000000	1.450000	7200.000000	5.500000	WATER BASED	1987-09-04	1134	9999-12-31	2013-05-08	16430
6201/11-1	2166.000000	1.450000	3000.000000	6.300000	WATER BASED	1987-09-09	1134	9999-12-31	2013-05-08	16431
6201/11-1	2439.000000	1.480000	2800.000000	6.800000	WATER BASED	1987-09-09	1134	9999-12-31	2013-05-08	16432
6201/11-1	2620.000000	1.510000	5000.000000	4.500000	WATER BASED	1987-09-11	1134	9999-12-31	2013-05-08	16433
6201/11-1	2620.000000	1.700000	6000.000000	6.500000	WATER BASED	1987-09-14	1134	9999-12-31	2013-05-08	16434
6201/11-1	2620.000000	1.510000	5000.000000	5.500000	WATER BASED	1987-09-10	1134	9999-12-31	2013-05-08	16435
6201/11-1	2682.000000	1.700000	5500.000000	6.000000	WATER BASED	1987-09-14	1134	9999-12-31	2013-05-08	16436
6201/11-1	2688.000000	1.700000	38.000000	4.000000	WATER BASED	1987-10-02	1134	9999-12-31	2013-05-08	16437
6201/11-1	2688.000000	1.700000	90.000000	4.500000	WATER BASED	1987-09-28	1134	9999-12-31	2013-05-08	16438
6201/11-1	2688.000000	1.700000	36.000000	4.500000	WATER BASED	1987-09-24	1134	9999-12-31	2013-05-08	16439
6201/11-1	2688.000000	1.700000	34.000000	5.000000	WATER BASED	1987-10-20	1134	9999-12-31	2013-05-08	16440
6201/11-1	2689.000000	1.700000	67.000000	4.500000	WATER BASED	1987-09-28	1134	9999-12-31	2013-05-08	16441
6201/11-1	2689.000000	1.700000	34.000000	5.000000	WATER BASED	1987-10-23	1134	9999-12-31	2013-05-08	16442
6201/11-1	2689.000000	1.700000	34.000000	5.000000	WATER BASED	1987-10-26	1134	9999-12-31	2013-05-08	16443
6201/11-1	2689.000000	1.700000	4000.000000	3.800000	WATER BASED	1987-09-23	1134	9999-12-31	2013-05-08	16444
6201/11-1	2689.000000	1.700000	36.000000	5.000000	WATER BASED	1987-09-25	1134	9999-12-31	2013-05-08	16445
6201/11-1	2689.000000	1.700000	4100.000000	4.200000	WATER BASED	1987-09-22	1134	9999-12-31	2013-05-08	16446
6201/11-1	2689.000000	1.700000	3500.000000	3.800000	WATER BASED	1987-09-21	1134	9999-12-31	2013-05-08	16447
6201/11-1	2689.000000	1.700000	9100.000000	4.200000	WATER BASED	1987-09-21	1134	9999-12-31	2013-05-08	16448
6201/11-1	2689.000000	1.700000	4700.000000	7.200000	WATER BASED	1987-09-21	1134	9999-12-31	2013-05-08	16449
6201/11-1	2689.000000	1.700000	33.000000	4.000000	WATER BASED	1987-09-18	1134	9999-12-31	2013-05-08	16450
6201/11-1	2689.000000	1.700000	39.000000	5.000000	WATER BASED	1987-10-01	1134	9999-12-31	2013-05-08	16451
6201/11-1	2689.000000	1.700000	38.000000	5.000000	WATER BASED	1987-09-29	1134	9999-12-31	2013-05-08	16452
6201/11-1	2689.000000	1.700000	93.000000	5.000000	WATER BASED	1987-09-28	1134	9999-12-31	2013-05-08	16453
6201/11-1	2689.000000	1.700000	38.000000	5.000000	WATER BASED	1987-09-30	1134	9999-12-31	2013-05-08	16454
6201/11-1	2689.000000	1.700000	32.000000	5.500000	WATER BASED	1987-09-16	1134	9999-12-31	2013-05-08	16455
6201/11-1	2689.000000	1.700000	34.000000	4.500000	WATER BASED	1987-09-18	1134	9999-12-31	2013-05-08	16456
6201/11-1	2689.000000	1.070000	68.000000	4.500000	WATER BASED	1987-10-19	1134	9999-12-31	2013-05-08	16457
6201/11-1	2689.000000	1.700000	35.000000	6.000000	WATER BASED	1987-10-26	1134	9999-12-31	2013-05-08	16458
6201/11-1	2689.000000	1.700000	30.000000	5.000000	WATER BASED	1987-10-26	1134	9999-12-31	2013-05-08	16459
6201/11-1	2689.000000	1.700000	34.000000	5.000000	WATER BASED	1987-10-21	1134	9999-12-31	2013-05-08	16460
6201/11-1	2689.000000	1.700000	31.000000	4.500000	WATER BASED	1987-10-22	1134	9999-12-31	2013-05-08	16461
6201/11-1	2689.000000	1.700000	28.000000	4.000000	WATER BASED	1987-11-02	1134	9999-12-31	2013-05-08	16462
6201/11-1	2689.000000	1.700000	29.000000	8.000000	WATER BASED	1987-10-30	1134	9999-12-31	2013-05-08	16463
6201/11-1	2689.000000	1.700000	32.000000	5.500000	WATER BASED	1987-11-02	1134	9999-12-31	2013-05-08	16464
6201/11-1	2689.000000	1.700000	32.000000	5.000000	WATER BASED	1987-11-02	1134	9999-12-31	2013-05-08	16465
6201/11-1	2689.000000	1.700000	30.000000	10.000000	WATER BASED	1987-10-29	1134	9999-12-31	2013-05-08	16466
6201/11-1	2689.000000	1.700000	32.000000	5.500000	WATER BASED	1987-10-28	1134	9999-12-31	2013-05-08	16467
6201/11-1	2689.000000	1.700000	30.000000	5.000000	WATER BASED	1987-10-27	1134	9999-12-31	2013-05-08	16468
6201/11-1	2737.000000	1.700000	24.000000	4.000000	WATER BASED	1987-09-14	1134	9999-12-31	2013-05-08	16469
6201/11-1	2767.000000	1.700000	31.000000	3.000000	WATER BASED	1987-09-16	1134	9999-12-31	2013-05-08	16470
6201/11-1	3280.000000	1.700000	63.000000	4.500000	WATER BASED	1987-10-19	1134	9999-12-31	2013-05-08	16471
6201/11-1	3384.000000	1.510000	2300.000000	3.000000	WATER BASED	1987-10-05	1134	9999-12-31	2013-05-08	16472
6201/11-1	3384.000000	1.700000	4900.000000	7.200000	WATER BASED	1987-10-05	1134	9999-12-31	2013-05-08	16473
6201/11-1	3387.000000	1.510000	55.000000	3.000000	WATER BASED	1987-10-05	1134	9999-12-31	2013-05-08	16474
6201/11-1	3448.000000	1.510000	23.000000	4.500000	WATER BASED	1987-10-06	1134	9999-12-31	2013-05-08	16475
6201/11-1	3448.000000	1.510000	57.000000	4.500000	WATER BASED	1987-10-07	1134	9999-12-31	2013-05-08	16476
6201/11-1	3454.000000	1.510000	24.000000	5.500000	WATER BASED	1987-10-08	1134	9999-12-31	2013-05-08	16477
6201/11-1	3454.000000	1.510000	28.000000	4.000000	WATER BASED	1987-10-14	1134	9999-12-31	2013-05-08	16478
6201/11-1	3454.000000	1.510000	28.000000	6.000000	WATER BASED	1987-10-16	1134	9999-12-31	2013-05-08	16479
6201/11-1	3454.000000	1.510000	25.000000	4.000000	WATER BASED	1987-10-09	1134	9999-12-31	2013-05-08	16480
6201/11-2	1030.000000	1.200000	14.000000	5.000000	WATER BASED	1991-01-28	1549	9999-12-31	2013-05-08	16481
6201/11-2	1100.000000	1.200000	14.000000	5.000000	WATER BASED	1991-01-28	1549	9999-12-31	2013-05-08	16482
6201/11-2	1214.000000	1.200000	14.000000	5.000000	WATER BASED	1991-01-28	1549	9999-12-31	2013-05-08	16483
6201/11-2	1697.000000	1.250000	21.000000	6.000000	WATER BASED	1991-01-28	1549	9999-12-31	2013-05-08	16484
6201/11-2	1715.000000	1.250000	20.000000	6.500000	WATER BASED	1991-01-30	1549	9999-12-31	2013-05-08	16485
6201/11-2	1746.000000	1.270000	20.000000	6.500000	WATER BASED	1991-01-30	1549	9999-12-31	2013-05-08	16486
6201/11-2	1746.000000	1.300000	21.000000	5.000000	WATER BASED	1991-02-04	1549	9999-12-31	2013-05-08	16487
6201/11-2	1746.000000	1.300000	20.000000	5.000000	WATER BASED	1991-02-04	1549	9999-12-31	2013-05-08	16488
6201/11-2	1746.000000	1.290000	22.000000	5.500000	WATER BASED	1991-01-30	1549	9999-12-31	2013-05-08	16489
6201/11-2	1749.000000	1.300000	20.000000	5.000000	WATER BASED	1991-02-04	1549	9999-12-31	2013-05-08	16490
6201/11-2	2060.000000	1.550000	24.000000	7.000000	WATER BASED	1991-02-07	1549	9999-12-31	2013-05-08	16491
6201/11-2	2060.000000	1.550000	36.000000	5.500000	WATER BASED	1991-02-05	1549	9999-12-31	2013-05-08	16492
6201/11-2	2060.000000	1.550000	28.000000	7.500000	WATER BASED	1991-02-04	1549	9999-12-31	2013-05-08	16493
6201/11-2	2060.000000	1.550000	22.000000	7.000000	WATER BASED	1991-02-07	1549	9999-12-31	2013-05-08	16494
6201/11-2	2060.000000	1.550000	27.000000	7.500000	WATER BASED	1991-02-11	1549	9999-12-31	2013-05-08	16495
6201/11-2	2060.000000	1.550000	26.000000	7.000000	WATER BASED	1991-02-13	1549	9999-12-31	2013-05-08	16496
6201/11-2	2060.000000	1.550000	0.000000	0.000000	DUMMY	1991-02-15	1549	9999-12-31	2013-05-08	16497
6201/11-2	2060.000000	1.550000	0.000000	0.000000	DUMMY	1991-02-15	1549	9999-12-31	2013-05-08	16498
6201/11-2	2104.000000	1.550000	28.000000	7.500000	WATER BASED	1991-02-04	1549	9999-12-31	2013-05-08	16499
6201/11-2	2120.000000	1.550000	36.000000	5.500000	WATER BASED	1991-02-05	1549	9999-12-31	2013-05-08	16500
6201/11-2	2354.000000	1.550000	24.000000	7.000000	WATER BASED	1991-02-07	1549	9999-12-31	2013-05-08	16501
6201/11-2	2542.000000	1.550000	22.000000	7.000000	WATER BASED	1991-02-07	1549	9999-12-31	2013-05-08	16502
6201/11-2	2585.000000	1.550000	27.000000	7.500000	WATER BASED	1991-02-11	1549	9999-12-31	2013-05-08	16503
6201/11-2	2760.000000	1.550000	0.000000	0.000000	DUMMY	1991-02-15	1549	9999-12-31	2013-05-08	16504
6201/11-2	2760.000000	1.550000	26.000000	7.000000	WATER BASED	1991-02-13	1549	9999-12-31	2013-05-08	16505
6201/11-2	2760.000000	1.550000	0.000000	0.000000	DUMMY	1991-02-15	1549	9999-12-31	2013-05-08	16506
6201/11-2	2760.000000	1.550000	28.000000	8.500000	WATER BASED	1991-02-19	1549	9999-12-31	2013-05-08	16507
6201/11-2	2963.000000	1.550000	26.000000	7.000000	WATER BASED	1991-02-13	1549	9999-12-31	2013-05-08	16508
6201/11-2	3053.000000	1.550000	0.000000	0.000000	DUMMY	1991-02-15	1549	9999-12-31	2013-05-08	16509
6201/11-2	3080.000000	1.550000	0.000000	0.000000	DUMMY	1991-02-15	1549	9999-12-31	2013-05-08	16510
6201/11-2	3335.000000	1.550000	28.000000	8.500000	WATER BASED	1991-02-19	1549	9999-12-31	2013-05-08	16511
6201/11-2	3365.000000	1.500000	18.000000	4.000000	WATER BASED	1991-02-26	1549	9999-12-31	2013-05-08	16512
6201/11-2	3365.000000	1.540000	21.000000	4.000000	WATER BASED	1991-02-28	1549	9999-12-31	2013-05-08	16513
6201/11-2	3365.000000	1.540000	23.000000	3.500000	WATER BASED	1991-03-04	1549	9999-12-31	2013-05-08	16514
6201/11-2	3365.000000	1.540000	23.000000	3.000000	WATER BASED	1991-03-04	1549	9999-12-31	2013-05-08	16515
6201/11-2	3365.000000	1.540000	22.000000	3.000000	WATER BASED	1991-03-04	1549	9999-12-31	2013-05-08	16516
6201/11-2	3365.000000	1.540000	22.000000	3.000000	WATER BASED	1991-03-05	1549	9999-12-31	2013-05-08	16517
6201/11-2	3365.000000	1.540000	23.000000	4.500000	WATER BASED	1991-02-28	1549	9999-12-31	2013-05-08	16518
6201/11-2	3378.000000	1.540000	23.000000	3.000000	WATER BASED	1991-03-04	1549	9999-12-31	2013-05-08	16519
6201/11-2	3378.000000	1.500000	18.000000	5.500000	WATER BASED	1991-02-26	1549	9999-12-31	2013-05-08	16520
6201/11-2	3459.000000	1.500000	20.000000	4.500000	WATER BASED	1991-02-26	1549	9999-12-31	2013-05-08	16521
6201/11-2	3483.000000	1.500000	18.000000	4.000000	WATER BASED	1991-02-26	1549	9999-12-31	2013-05-08	16522
6201/11-2	3677.000000	1.540000	23.000000	4.500000	WATER BASED	1991-02-28	1549	9999-12-31	2013-05-08	16523
6201/11-2	3697.000000	1.540000	21.000000	4.000000	WATER BASED	1991-02-28	1549	9999-12-31	2013-05-08	16524
6201/11-2	3778.000000	1.540000	22.000000	3.000000	WATER BASED	1991-03-05	1549	9999-12-31	2013-05-08	16525
6201/11-2	3778.000000	1.540000	22.000000	3.000000	WATER BASED	1991-03-04	1549	9999-12-31	2013-05-08	16526
6201/11-2	3778.000000	1.540000	23.000000	3.500000	WATER BASED	1991-03-04	1549	9999-12-31	2013-05-08	16527
6204/10-1	515.000000	1.270000	24.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16528
6204/10-1	809.000000	1.130000	18.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16529
6204/10-1	1175.000000	1.130000	16.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16530
6204/10-1	1649.000000	1.250000	22.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16531
6204/10-1	1661.000000	1.250000	21.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16532
6204/10-1	1890.000000	1.250000	20.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16533
6204/10-1	1907.000000	1.250000	21.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16534
6204/10-1	1955.000000	1.250000	22.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16535
6204/10-1	2242.000000	1.300000	25.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16536
6204/10-1	2579.000000	1.270000	27.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16537
6204/10-1	2586.000000	1.270000	27.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16538
6204/10-1	2615.000000	1.270000	25.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16539
6204/10-1	2654.000000	1.270000	23.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16540
6204/10-1	2699.000000	1.270000	24.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16541
6204/10-1	2709.000000	1.270000	23.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2666	9999-12-31	2013-05-08	16542
6204/10-2	515.000000	1.270000	24.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2952	9999-12-31	2013-05-08	16543
6204/10-2	809.000000	1.130000	18.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2952	9999-12-31	2013-05-08	16544
6204/10-2 A	1828.000000	1.370000	15.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3280	9999-12-31	2013-05-08	16545
6204/10-2 A	2105.000000	1.370000	20.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3280	9999-12-31	2013-05-08	16546
6204/10-2 R	1149.000000	1.320000	25.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3258	9999-12-31	2013-05-08	16547
6204/10-2 R	1170.000000	1.320000	18.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3258	9999-12-31	2013-05-08	16548
6204/10-2 R	1452.000000	1.320000	24.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3258	9999-12-31	2013-05-08	16549
6204/10-2 R	1725.000000	1.320000	23.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3258	9999-12-31	2013-05-08	16550
6204/10-2 R	1822.000000	1.320000	24.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3258	9999-12-31	2013-05-08	16551
6204/10-2 R	1835.000000	1.320000	19.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3258	9999-12-31	2013-05-08	16552
6204/10-2 R	1876.000000	1.320000	17.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3258	9999-12-31	2013-05-08	16553
6204/10-2 R	1916.000000	1.320000	0.000000	0.000000	DUMMY	9999-12-31	3258	9999-12-31	2013-05-08	16554
6204/10-2 R	1961.000000	1.320000	18.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3258	9999-12-31	2013-05-08	16555
6204/10-2 R	2069.000000	1.320000	19.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3258	9999-12-31	2013-05-08	16556
6204/10-2 R	2095.000000	1.320000	19.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3258	9999-12-31	2013-05-08	16557
6204/11-1	382.000000	1.030000	0.000000	0.000000	WATER BASED	1994-11-04	2205	9999-12-31	2013-05-08	16558
6204/11-1	540.000000	1.030000	31.000000	17.000000	WATER BASED	1994-11-04	2205	9999-12-31	2013-05-08	16559
6204/11-1	540.000000	1.030000	26.000000	14.500000	WATER BASED	1994-11-04	2205	9999-12-31	2013-05-08	16560
6204/11-1	820.000000	1.070000	17.000000	9.000000	WATER BASED	1994-11-04	2205	9999-12-31	2013-05-08	16561
6204/11-1	1375.000000	1.130000	21.000000	14.000000	WATER BASED	1994-11-04	2205	9999-12-31	2013-05-08	16562
6204/11-1	1712.000000	1.270000	27.000000	10.500000	WATER BASED	1994-11-11	2205	9999-12-31	2013-05-08	16563
6204/11-1	1830.000000	1.180000	22.000000	15.000000	WATER BASED	1994-11-04	2205	9999-12-31	2013-05-08	16564
6204/11-1	1830.000000	1.220000	22.000000	14.500000	WATER BASED	1994-11-04	2205	9999-12-31	2013-05-08	16565
6204/11-1	1975.000000	1.210000	18.000000	14.000000	WATER BASED	1994-11-04	2205	9999-12-31	2013-05-08	16566
6204/11-1	2015.000000	1.200000	22.000000	13.500000	WATER BASED	1994-10-28	2205	9999-12-31	2013-05-08	16567
6204/11-1	2044.000000	1.270000	28.000000	10.500000	WATER BASED	1994-11-09	2205	9999-12-31	2013-05-08	16568
6204/11-1	2065.000000	1.270000	28.000000	14.000000	WATER BASED	1994-10-31	2205	9999-12-31	2013-05-08	16569
6204/11-1	2065.000000	1.270000	27.000000	13.500000	WATER BASED	1994-10-31	2205	9999-12-31	2013-05-08	16570
6204/11-1	2154.000000	1.270000	27.000000	13.000000	WATER BASED	1994-10-31	2205	9999-12-31	2013-05-08	16571
6204/11-1	2194.000000	1.270000	27.000000	13.500000	WATER BASED	1994-10-31	2205	9999-12-31	2013-05-08	16572
6204/11-1	2638.000000	1.260000	28.000000	14.000000	WATER BASED	1994-11-01	2205	9999-12-31	2013-05-08	16573
6204/11-1	2680.000000	1.270000	18.000000	8.000000	WATER BASED	1994-11-11	2205	9999-12-31	2013-05-08	16574
6204/11-1	2778.000000	1.260000	29.000000	13.500000	WATER BASED	1994-11-03	2205	9999-12-31	2013-05-08	16575
6204/11-1	2787.000000	1.270000	28.000000	10.500000	WATER BASED	1994-11-09	2205	9999-12-31	2013-05-08	16576
6204/11-1	2818.000000	1.260000	29.000000	13.500000	WATER BASED	1994-11-03	2205	9999-12-31	2013-05-08	16577
6204/11-1	2846.000000	1.260000	28.000000	12.500000	WATER BASED	1994-11-04	2205	9999-12-31	2013-05-08	16578
6204/11-1	2877.000000	1.270000	28.000000	10.500000	WATER BASED	1994-11-09	2205	9999-12-31	2013-05-08	16579
6204/11-1	2877.000000	1.270000	28.000000	10.500000	WATER BASED	1994-11-11	2205	9999-12-31	2013-05-08	16580
6204/11-1	2966.000000	1.260000	29.000000	11.500000	WATER BASED	1994-11-07	2205	9999-12-31	2013-05-08	16581
6204/11-1	2966.000000	1.270000	28.000000	10.500000	WATER BASED	1994-11-07	2205	9999-12-31	2013-05-08	16582
6204/11-1	2966.000000	1.270000	29.000000	12.000000	WATER BASED	1994-11-07	2205	9999-12-31	2013-05-08	16583
6204/11-2	0.000000	0.000000	0.000000	0.000000	DUMMY	9999-12-31	3249	9999-12-31	2013-05-08	16584
6204/11-2	248.000000	1.040000	0.000000	0.000000	DUMMY	9999-12-31	3249	9999-12-31	2013-05-08	16585
6204/11-2	978.000000	1.040000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	3249	9999-12-31	2013-05-08	16586
6204/11-2	1352.000000	1.040000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	3249	9999-12-31	2013-05-08	16587
6204/11-2	1843.000000	1.250000	16.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3249	9999-12-31	2013-05-08	16588
6204/11-2	2188.000000	1.250000	16.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3249	9999-12-31	2013-05-08	16589
6204/11-2	2354.000000	1.250000	15.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3249	9999-12-31	2013-05-08	16590
6204/11-2	2715.000000	1.250000	18.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3249	9999-12-31	2013-05-08	16591
6204/11-2	2743.000000	1.250000	16.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3249	9999-12-31	2013-05-08	16592
6204/11-2	2808.000000	1.250000	18.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3249	9999-12-31	2013-05-08	16593
6204/11-2	2920.000000	1.250000	19.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3249	9999-12-31	2013-05-08	16594
6205/3-1	188.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16595
6205/3-1	222.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16596
6205/3-1	248.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16597
6205/3-1	269.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16598
6205/3-1	280.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16599
6205/3-1	450.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16600
6205/3-1	808.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16601
6205/3-1	975.000000	0.000000	13.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16602
6205/3-1	1017.000000	1.000000	0.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16603
6205/3-1	1257.000000	1.210000	14.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16604
6205/3-1	1469.000000	1.240000	23.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16605
6205/3-1	1526.000000	1.230000	12.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16606
6205/3-1	1620.000000	1.210000	19.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16607
6205/3-1	1777.000000	1.230000	28.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16608
6205/3-1	1812.000000	1.230000	24.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16609
6205/3-1	1850.000000	1.220000	18.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16610
6205/3-1	1995.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16611
6205/3-1	2103.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16612
6205/3-1	2187.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16613
6205/3-1	2231.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16614
6205/3-1	2329.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16615
6205/3-1	2340.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16616
6205/3-1	2387.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16617
6205/3-1	2456.000000	1.210000	18.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16618
6205/3-1	2502.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16619
6205/3-1	2628.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16620
6205/3-1	2686.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16621
6205/3-1	2689.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16622
6205/3-1	2692.000000	1.220000	22.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16623
6205/3-1	2776.000000	1.220000	23.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16624
6205/3-1	2800.000000	1.220000	17.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16625
6205/3-1	2815.000000	1.220000	17.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16626
6205/3-1	2886.000000	1.220000	23.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16627
6205/3-1	2952.000000	1.220000	27.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16628
6205/3-1	3065.000000	1.220000	17.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16629
6205/3-1	3073.000000	1.220000	16.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16630
6205/3-1	3178.000000	1.220000	17.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16631
6205/3-1	3180.000000	1.220000	18.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16632
6205/3-1	3205.000000	1.220000	16.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16633
6205/3-1	3287.000000	1.220000	15.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16634
6205/3-1	3312.000000	1.220000	20.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16635
6205/3-1	3368.000000	1.220000	21.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16636
6205/3-1	3455.000000	1.220000	20.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16637
6205/3-1	3563.000000	1.220000	20.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16638
6205/3-1	3612.000000	1.220000	22.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16639
6205/3-1	3619.000000	1.220000	22.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16640
6205/3-1	3657.000000	1.220000	20.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16641
6205/3-1	3690.000000	1.220000	20.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16642
6205/3-1	3779.000000	1.220000	18.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16643
6205/3-1	3851.000000	1.230000	22.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16644
6205/3-1	3973.000000	1.220000	21.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16645
6205/3-1	4011.000000	1.220000	21.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16646
6205/3-1	4060.000000	1.270000	21.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16647
6205/3-1	4096.000000	1.270000	20.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16648
6205/3-1	4220.000000	1.270000	25.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16649
6205/3-1	4227.000000	1.270000	15.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16650
6205/3-1	4232.000000	1.280000	21.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16651
6205/3-1	4293.000000	1.270000	19.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16652
6205/3-1	4300.000000	1.310000	19.000000	0.000000	WATER BASED	9999-12-31	1479	9999-12-31	2013-05-08	16653
6205/3-1 R	553.000000	1.430000	10.000000	8.000000	WATER BASED	1990-11-27	1510	9999-12-31	2013-05-08	16654
6205/3-1 R	4014.000000	1.430000	10.000000	4.000000	WATER BASED	1990-11-27	1510	9999-12-31	2013-05-08	16655
6205/3-1 R	4300.000000	1.300000	13.000000	4.000000	DUMMY	1990-09-21	1510	9999-12-31	2013-05-08	16656
6205/3-1 R	4300.000000	1.260000	12.000000	4.000000	WATER BASED	1990-09-24	1510	9999-12-31	2013-05-08	16657
6205/3-1 R	4300.000000	1.300000	12.000000	10.000000	WATER BASED	1990-09-24	1510	9999-12-31	2013-05-08	16658
6205/3-1 R	4300.000000	1.250000	7.000000	4.000000	DUMMY	1990-09-20	1510	9999-12-31	2013-05-08	16659
6205/3-1 R	4316.000000	1.430000	10.000000	4.000000	WATER BASED	1990-11-27	1510	9999-12-31	2013-05-08	16660
6205/3-1 R	4332.000000	1.300000	13.000000	4.000000	WATER BASED	1990-09-24	1510	9999-12-31	2013-05-08	16661
6205/3-1 R	4339.000000	1.370000	13.000000	6.000000	WATER BASED	1990-09-25	1510	9999-12-31	2013-05-08	16662
6205/3-1 R	4354.000000	1.370000	16.000000	4.000000	WATER BASED	1990-09-26	1510	9999-12-31	2013-05-08	16663
6205/3-1 R	4401.000000	1.370000	13.000000	6.000000	WATER BASED	1990-09-27	1510	9999-12-31	2013-05-08	16664
6205/3-1 R	4401.000000	1.370000	17.000000	4.000000	WATER BASED	1990-09-28	1510	9999-12-31	2013-05-08	16665
6205/3-1 R	4435.000000	1.750000	15.000000	6.000000	WATER BASED	1990-11-13	1510	9999-12-31	2013-05-08	16666
6205/3-1 R	4444.000000	1.370000	16.000000	4.000000	WATER BASED	1990-10-02	1510	9999-12-31	2013-05-08	16667
6205/3-1 R	4451.000000	1.370000	19.000000	5.000000	WATER BASED	1990-10-02	1510	9999-12-31	2013-05-08	16668
6205/3-1 R	4461.000000	1.390000	17.000000	5.000000	WATER BASED	1990-10-02	1510	9999-12-31	2013-05-08	16669
6205/3-1 R	4500.000000	1.750000	15.000000	5.000000	WATER BASED	1990-11-16	1510	9999-12-31	2013-05-08	16670
6205/3-1 R	4500.000000	1.750000	16.000000	4.000000	WATER BASED	1990-11-13	1510	9999-12-31	2013-05-08	16671
6205/3-1 R	4500.000000	1.750000	16.000000	4.000000	WATER BASED	1990-11-13	1510	9999-12-31	2013-05-08	16672
6205/3-1 R	4500.000000	1.560000	12.000000	5.000000	WATER BASED	1990-11-19	1510	9999-12-31	2013-05-08	16673
6205/3-1 R	4500.000000	1.430000	10.000000	5.000000	WATER BASED	1990-11-19	1510	9999-12-31	2013-05-08	16674
6205/3-1 R	4500.000000	1.430000	10.000000	4.000000	WATER BASED	1990-11-19	1510	9999-12-31	2013-05-08	16675
6205/3-1 R	4500.000000	1.750000	18.000000	6.000000	WATER BASED	1990-11-14	1510	9999-12-31	2013-05-08	16676
6205/3-1 R	4500.000000	1.750000	15.000000	5.000000	WATER BASED	1990-11-16	1510	9999-12-31	2013-05-08	16677
6205/3-1 R	4500.000000	0.000000	0.000000	0.000000	WATER BASED	1990-11-22	1510	9999-12-31	2013-05-08	16678
6205/3-1 R	4500.000000	0.000000	0.000000	0.000000	WATER BASED	1990-11-21	1510	9999-12-31	2013-05-08	16679
6205/3-1 R	4500.000000	1.430000	10.000000	4.000000	WATER BASED	1990-11-20	1510	9999-12-31	2013-05-08	16680
6205/3-1 R	4500.000000	1.430000	10.000000	4.000000	WATER BASED	1990-11-23	1510	9999-12-31	2013-05-08	16681
6205/3-1 R	4516.000000	1.390000	15.000000	7.000000	WATER BASED	1990-10-03	1510	9999-12-31	2013-05-08	16682
6205/3-1 R	4549.000000	1.450000	17.000000	8.000000	WATER BASED	1990-10-04	1510	9999-12-31	2013-05-08	16683
6205/3-1 R	4592.000000	1.500000	17.000000	6.000000	WATER BASED	1990-10-05	1510	9999-12-31	2013-05-08	16684
6205/3-1 R	4615.000000	1.550000	17.000000	6.000000	WATER BASED	1990-10-05	1510	9999-12-31	2013-05-08	16685
6205/3-1 R	4615.000000	1.550000	17.000000	6.000000	WATER BASED	1990-10-09	1510	9999-12-31	2013-05-08	16686
6205/3-1 R	4633.000000	1.550000	16.000000	5.000000	WATER BASED	1990-10-09	1510	9999-12-31	2013-05-08	16687
6205/3-1 R	4694.000000	1.550000	17.000000	7.000000	WATER BASED	1990-10-09	1510	9999-12-31	2013-05-08	16688
6205/3-1 R	4717.000000	1.550000	16.000000	5.000000	WATER BASED	1990-10-10	1510	9999-12-31	2013-05-08	16689
6205/3-1 R	4736.000000	1.550000	16.000000	5.000000	WATER BASED	1990-10-11	1510	9999-12-31	2013-05-08	16690
6205/3-1 R	4736.000000	1.550000	16.000000	6.000000	WATER BASED	1990-10-12	1510	9999-12-31	2013-05-08	16691
6205/3-1 R	4790.000000	1.620000	17.000000	6.000000	WATER BASED	1990-10-15	1510	9999-12-31	2013-05-08	16692
6205/3-1 R	4790.000000	1.620000	18.000000	6.000000	WATER BASED	1990-10-15	1510	9999-12-31	2013-05-08	16693
6205/3-1 R	4829.000000	1.700000	19.000000	6.000000	WATER BASED	1990-10-15	1510	9999-12-31	2013-05-08	16694
6205/3-1 R	4846.000000	1.700000	19.000000	7.000000	WATER BASED	1990-10-16	1510	9999-12-31	2013-05-08	16695
6205/3-1 R	4860.000000	1.700000	20.000000	7.000000	WATER BASED	1990-10-18	1510	9999-12-31	2013-05-08	16696
6205/3-1 R	4914.000000	1.700000	19.000000	8.000000	WATER BASED	1990-10-18	1510	9999-12-31	2013-05-08	16697
6205/3-1 R	4963.000000	1.700000	19.000000	8.000000	WATER BASED	1990-10-22	1510	9999-12-31	2013-05-08	16698
6205/3-1 R	4982.000000	1.700000	20.000000	8.000000	WATER BASED	1990-10-22	1510	9999-12-31	2013-05-08	16699
6205/3-1 R	4982.000000	1.700000	19.000000	5.000000	WATER BASED	1990-10-22	1510	9999-12-31	2013-05-08	16700
6205/3-1 R	4995.000000	1.700000	16.000000	5.000000	WATER BASED	1990-10-23	1510	9999-12-31	2013-05-08	16701
6205/3-1 R	4995.000000	1.700000	16.000000	5.000000	WATER BASED	1990-10-24	1510	9999-12-31	2013-05-08	16702
6205/3-1 R	4995.000000	1.700000	17.000000	5.000000	WATER BASED	1990-10-22	1510	9999-12-31	2013-05-08	16703
6205/3-1 R	4995.000000	1.700000	16.000000	5.000000	WATER BASED	1990-10-25	1510	9999-12-31	2013-05-08	16704
6205/3-1 R	5005.000000	1.700000	17.000000	6.000000	WATER BASED	1990-10-26	1510	9999-12-31	2013-05-08	16705
6205/3-1 R	5016.000000	1.700000	15.000000	5.000000	WATER BASED	1990-10-29	1510	9999-12-31	2013-05-08	16706
6205/3-1 R	5034.000000	1.700000	16.000000	5.000000	WATER BASED	1990-10-29	1510	9999-12-31	2013-05-08	16707
6205/3-1 R	5069.000000	1.760000	16.000000	3.000000	WATER BASED	1990-10-29	1510	9999-12-31	2013-05-08	16708
6205/3-1 R	5111.000000	1.760000	18.000000	6.000000	WATER BASED	1990-10-30	1510	9999-12-31	2013-05-08	16709
6205/3-1 R	5111.000000	1.750000	18.000000	6.000000	WATER BASED	1990-10-31	1510	9999-12-31	2013-05-08	16710
6205/3-1 R	5133.000000	1.760000	20.000000	8.000000	WATER BASED	1990-11-01	1510	9999-12-31	2013-05-08	16711
6205/3-1 R	5160.000000	1.750000	19.000000	9.000000	WATER BASED	1990-11-02	1510	9999-12-31	2013-05-08	16712
6205/3-1 R	5211.000000	1.760000	17.000000	7.000000	WATER BASED	1990-11-05	1510	9999-12-31	2013-05-08	16713
6205/3-1 R	5222.000000	1.750000	20.000000	8.000000	WATER BASED	1990-11-05	1510	9999-12-31	2013-05-08	16714
6205/3-1 R	5235.000000	1.750000	18.000000	8.000000	WATER BASED	1990-11-05	1510	9999-12-31	2013-05-08	16715
6205/3-1 R	5252.000000	1.750000	15.000000	8.000000	WATER BASED	1990-11-06	1510	9999-12-31	2013-05-08	16716
6205/3-1 R	5264.000000	1.750000	14.000000	4.000000	WATER BASED	1990-11-13	1510	9999-12-31	2013-05-08	16717
6205/3-1 R	5264.000000	1.750000	14.000000	5.000000	WATER BASED	1990-11-09	1510	9999-12-31	2013-05-08	16718
6205/3-1 R	5264.000000	1.750000	15.000000	5.000000	WATER BASED	1990-11-08	1510	9999-12-31	2013-05-08	16719
6205/3-1 R	5264.000000	1.750000	16.000000	5.000000	WATER BASED	1990-11-08	1510	9999-12-31	2013-05-08	16720
6302/6-1	1332.000000	1.050000	0.000000	0.000000	BENTONITE/SW 1	9999-12-31	5086	9999-12-31	2013-05-08	16721
6302/6-1	1367.000000	1.050000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	5086	9999-12-31	2013-05-08	16722
6302/6-1	1849.000000	1.050000	0.000000	0.000000	SW / POLYMER 2	9999-12-31	5086	9999-12-31	2013-05-08	16723
6302/6-1	1968.000000	1.180000	16.000000	0.000000	GLYDRIL DW 36	9999-12-31	5086	9999-12-31	2013-05-08	16724
6302/6-1	2102.000000	1.230000	16.000000	0.000000	GLYDRIL DW 36	9999-12-31	5086	9999-12-31	2013-05-08	16725
6302/6-1	2390.000000	1.240000	14.000000	0.000000	GLYDRIL DW 37	9999-12-31	5086	9999-12-31	2013-05-08	16726
6302/6-1	3046.000000	1.370000	19.000000	0.000000	GLYDRIL DW 37	9999-12-31	5086	9999-12-31	2013-05-08	16727
6302/6-1	3060.000000	1.390000	19.000000	0.000000	GLYDRIL DW 37	9999-12-31	5086	9999-12-31	2013-05-08	16728
6302/6-1	3845.000000	1.390000	22.000000	0.000000	GLYDRIL DW 37	9999-12-31	5086	9999-12-31	2013-05-08	16729
6302/6-1	3902.000000	1.370000	20.000000	0.000000	GLYDRIL DW 37	9999-12-31	5086	9999-12-31	2013-05-08	16730
6302/6-1	3918.000000	1.560000	30.000000	0.000000	GLYDRIL DW 36	9999-12-31	5086	9999-12-31	2013-05-08	16731
6302/6-1	3941.000000	1.560000	30.000000	0.000000	GLYDRIL DW 36	9999-12-31	5086	9999-12-31	2013-05-08	16732
6302/6-1	3996.000000	1.560000	27.000000	0.000000	GLYDRIL DW 36	9999-12-31	5086	9999-12-31	2013-05-08	16733
6305/1-1	889.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16734
6305/1-1	945.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16735
6305/1-1	946.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16736
6305/1-1	1600.000000	1.380000	18.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16737
6305/1-1	1610.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16738
6305/1-1	1615.000000	1.320000	16.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16739
6305/1-1	2415.000000	0.000000	15.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16740
6305/1-1	2418.000000	1.300000	17.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16741
6305/1-1	2556.000000	1.450000	24.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16742
6305/1-1	2561.000000	1.420000	17.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16743
6305/1-1	2685.000000	1.450000	20.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16744
6305/1-1	2900.000000	1.460000	21.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16745
6305/1-1	2950.000000	1.480000	24.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16746
6305/1-1	3010.000000	1.500000	25.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16747
6305/1-1	3372.000000	1.470000	19.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16748
6305/1-1	4313.000000	1.470000	22.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16749
6305/1-1	4438.000000	1.470000	18.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16750
6305/1-1	4560.000000	1.470000	21.000000	0.000000	WATER BASED	9999-12-31	3555	9999-12-31	2013-05-08	16751
6305/12-1	228.000000	1.350000	17.000000	7.000000	WATER BASED	1991-09-18	1808	9999-12-31	2013-05-08	16752
6305/12-1	228.000000	1.360000	17.000000	9.000000	WATER BASED	1991-09-17	1808	9999-12-31	2013-05-08	16753
6305/12-1	292.000000	1.040000	23.000000	17.000000	WATER BASED	1991-08-01	1808	9999-12-31	2013-05-08	16754
6305/12-1	325.000000	1.050000	18.000000	19.000000	WATER BASED	1991-08-06	1808	9999-12-31	2013-05-08	16755
6305/12-1	325.000000	1.050000	18.000000	20.000000	WATER BASED	1991-08-06	1808	9999-12-31	2013-05-08	16756
6305/12-1	325.000000	1.040000	20.000000	19.000000	WATER BASED	1991-08-02	1808	9999-12-31	2013-05-08	16757
6305/12-1	325.000000	1.040000	20.000000	17.000000	WATER BASED	1991-08-02	1808	9999-12-31	2013-05-08	16758
6305/12-1	413.000000	1.050000	18.000000	20.000000	WATER BASED	1991-08-06	1808	9999-12-31	2013-05-08	16759
6305/12-1	600.000000	1.360000	17.000000	9.000000	WATER BASED	1991-09-16	1808	9999-12-31	2013-05-08	16760
6305/12-1	720.000000	1.050000	21.000000	19.000000	WATER BASED	1991-08-06	1808	9999-12-31	2013-05-08	16761
6305/12-1	720.000000	1.050000	19.000000	19.000000	WATER BASED	1991-08-07	1808	9999-12-31	2013-05-08	16762
6305/12-1	721.000000	1.250000	23.000000	19.000000	WATER BASED	1991-08-08	1808	9999-12-31	2013-05-08	16763
6305/12-1	721.000000	1.200000	17.000000	12.000000	WATER BASED	1991-08-09	1808	9999-12-31	2013-05-08	16764
6305/12-1	1005.000000	1.200000	15.000000	12.000000	WATER BASED	1991-08-12	1808	9999-12-31	2013-05-08	16765
6305/12-1	1473.000000	1.210000	20.000000	14.000000	WATER BASED	1991-08-12	1808	9999-12-31	2013-05-08	16766
6305/12-1	1830.000000	1.210000	16.000000	11.000000	WATER BASED	1991-08-12	1808	9999-12-31	2013-05-08	16767
6305/12-1	1983.000000	1.220000	18.000000	15.000000	WATER BASED	1991-08-14	1808	9999-12-31	2013-05-08	16768
6305/12-1	2017.000000	1.220000	18.000000	13.000000	WATER BASED	1991-08-14	1808	9999-12-31	2013-05-08	16769
6305/12-1	2017.000000	1.220000	18.000000	14.000000	WATER BASED	1991-08-16	1808	9999-12-31	2013-05-08	16770
6305/12-1	2017.000000	1.220000	18.000000	14.000000	WATER BASED	1991-08-16	1808	9999-12-31	2013-05-08	16771
6305/12-1	2178.000000	1.220000	18.000000	14.000000	WATER BASED	1991-08-20	1808	9999-12-31	2013-05-08	16772
6305/12-1	2768.000000	1.220000	18.000000	16.000000	WATER BASED	1991-08-20	1808	9999-12-31	2013-05-08	16773
6305/12-1	3108.000000	1.230000	19.000000	15.000000	WATER BASED	1991-08-20	1808	9999-12-31	2013-05-08	16774
6305/12-1	3280.000000	1.370000	18.000000	9.000000	WATER BASED	1991-09-16	1808	9999-12-31	2013-05-08	16775
6305/12-1	3345.000000	1.250000	19.000000	17.000000	WATER BASED	1991-08-20	1808	9999-12-31	2013-05-08	16776
6305/12-1	3515.000000	1.260000	18.000000	14.000000	WATER BASED	1991-08-22	1808	9999-12-31	2013-05-08	16777
6305/12-1	3520.000000	1.260000	18.000000	14.000000	WATER BASED	1991-08-23	1808	9999-12-31	2013-05-08	16778
6305/12-1	3520.000000	1.260000	18.000000	14.000000	WATER BASED	1991-08-22	1808	9999-12-31	2013-05-08	16779
6305/12-1	3673.000000	1.300000	17.000000	10.000000	WATER BASED	1991-08-27	1808	9999-12-31	2013-05-08	16780
6305/12-1	3701.000000	1.300000	16.000000	10.000000	WATER BASED	1991-08-28	1808	9999-12-31	2013-05-08	16781
6305/12-1	3701.000000	1.300000	18.000000	10.000000	WATER BASED	1991-08-29	1808	9999-12-31	2013-05-08	16782
6305/12-1	3783.000000	1.300000	17.000000	9.000000	WATER BASED	1991-09-02	1808	9999-12-31	2013-05-08	16783
6305/12-1	3905.000000	1.300000	17.000000	7.000000	WATER BASED	1991-09-02	1808	9999-12-31	2013-05-08	16784
6305/12-1	3955.000000	1.300000	17.000000	7.000000	WATER BASED	1991-09-02	1808	9999-12-31	2013-05-08	16785
6305/12-1	4037.000000	1.300000	17.000000	7.000000	WATER BASED	1991-09-02	1808	9999-12-31	2013-05-08	16786
6305/12-1	4112.000000	1.300000	16.000000	7.000000	WATER BASED	1991-09-03	1808	9999-12-31	2013-05-08	16787
6305/12-1	4142.000000	1.300000	17.000000	9.000000	WATER BASED	1991-09-04	1808	9999-12-31	2013-05-08	16788
6305/12-1	4169.000000	1.360000	18.000000	8.000000	WATER BASED	1991-09-06	1808	9999-12-31	2013-05-08	16789
6305/12-1	4178.000000	1.360000	17.000000	8.000000	WATER BASED	1991-09-06	1808	9999-12-31	2013-05-08	16790
6305/12-1	4243.000000	1.360000	19.000000	8.000000	WATER BASED	1991-09-10	1808	9999-12-31	2013-05-08	16791
6305/12-1	4300.000000	1.380000	20.000000	9.000000	WATER BASED	1991-09-10	1808	9999-12-31	2013-05-08	16792
6305/12-1	4300.000000	1.370000	20.000000	9.000000	WATER BASED	1991-09-10	1808	9999-12-31	2013-05-08	16793
6305/12-1	4300.000000	1.370000	20.000000	9.000000	WATER BASED	1991-09-10	1808	9999-12-31	2013-05-08	16794
6305/12-1	4300.000000	1.370000	20.000000	8.000000	WATER BASED	1991-09-12	1808	9999-12-31	2013-05-08	16795
6305/12-1	4300.000000	1.360000	19.000000	7.000000	WATER BASED	1991-09-12	1808	9999-12-31	2013-05-08	16796
6305/12-1	4302.000000	1.370000	18.000000	10.000000	WATER BASED	1991-09-16	1808	9999-12-31	2013-05-08	16797
6305/12-1	4302.000000	1.370000	18.000000	9.000000	WATER BASED	1991-09-16	1808	9999-12-31	2013-05-08	16798
6305/12-2	174.000000	1.340000	23.000000	10.000000	WATER BASED	1993-12-20	2207	9999-12-31	2013-05-08	16799
6305/12-2	185.000000	1.300000	23.000000	9.500000	WATER BASED	1993-12-20	2207	9999-12-31	2013-05-08	16800
6305/12-2	226.000000	1.030000	0.000000	0.000000	WATER BASED	1993-10-20	2207	9999-12-31	2013-05-08	16801
6305/12-2	226.000000	1.030000	0.000000	0.000000	WATER BASED	1993-10-20	2207	9999-12-31	2013-05-08	16802
6305/12-2	437.000000	1.500000	0.000000	0.000000	WATER BASED	1993-10-20	2207	9999-12-31	2013-05-08	16803
6305/12-2	437.000000	1.500000	0.000000	0.000000	WATER BASED	1993-10-20	2207	9999-12-31	2013-05-08	16804
6305/12-2	437.000000	1.200000	0.000000	0.000000	WATER BASED	1993-10-21	2207	9999-12-31	2013-05-08	16805
6305/12-2	695.000000	1.100000	16.000000	8.000000	WATER BASED	1993-10-26	2207	9999-12-31	2013-05-08	16806
6305/12-2	1238.000000	1.100000	23.000000	8.500000	WATER BASED	1993-10-26	2207	9999-12-31	2013-05-08	16807
6305/12-2	1244.000000	1.140000	26.000000	10.000000	WATER BASED	1993-10-26	2207	9999-12-31	2013-05-08	16808
6305/12-2	1244.000000	1.140000	22.000000	9.000000	WATER BASED	1993-10-27	2207	9999-12-31	2013-05-08	16809
6305/12-2	1244.000000	1.200000	22.000000	9.500000	WATER BASED	1993-11-01	2207	9999-12-31	2013-05-08	16810
6305/12-2	1528.000000	1.200000	26.000000	15.500000	WATER BASED	1993-11-01	2207	9999-12-31	2013-05-08	16811
6305/12-2	1843.000000	1.200000	30.000000	15.000000	WATER BASED	1993-11-01	2207	9999-12-31	2013-05-08	16812
6305/12-2	1988.000000	1.200000	24.000000	16.000000	WATER BASED	1993-11-01	2207	9999-12-31	2013-05-08	16813
6305/12-2	2213.000000	1.250000	24.000000	15.000000	WATER BASED	1993-11-01	2207	9999-12-31	2013-05-08	16814
6305/12-2	2530.000000	1.820000	22.000000	11.000000	WATER BASED	1993-12-14	2207	9999-12-31	2013-05-08	16815
6305/12-2	2530.000000	1.300000	15.000000	7.500000	WATER BASED	1993-12-15	2207	9999-12-31	2013-05-08	16816
6305/12-2	2569.000000	1.250000	24.000000	16.000000	WATER BASED	1993-11-02	2207	9999-12-31	2013-05-08	16817
6305/12-2	2635.000000	1.500000	28.000000	15.500000	WATER BASED	1993-11-17	2207	9999-12-31	2013-05-08	16818
6305/12-2	2635.000000	1.500000	29.000000	16.000000	WATER BASED	1993-11-18	2207	9999-12-31	2013-05-08	16819
6305/12-2	2670.000000	1.500000	29.000000	15.500000	WATER BASED	1993-11-16	2207	9999-12-31	2013-05-08	16820
6305/12-2	2670.000000	1.500000	25.000000	15.000000	WATER BASED	1993-11-16	2207	9999-12-31	2013-05-08	16821
6305/12-2	2670.000000	1.500000	26.000000	15.000000	WATER BASED	1993-11-16	2207	9999-12-31	2013-05-08	16822
6305/12-2	2670.000000	1.500000	24.000000	12.000000	WATER BASED	1993-11-16	2207	9999-12-31	2013-05-08	16823
6305/12-2	2802.000000	1.500000	30.000000	18.000000	WATER BASED	1993-11-19	2207	9999-12-31	2013-05-08	16824
6305/12-2	2866.000000	1.820000	42.000000	12.000000	WATER BASED	1993-12-13	2207	9999-12-31	2013-05-08	16825
6305/12-2	2876.000000	1.350000	32.000000	20.000000	WATER BASED	1993-11-03	2207	9999-12-31	2013-05-08	16826
6305/12-2	2884.000000	1.350000	31.000000	16.500000	WATER BASED	1993-11-08	2207	9999-12-31	2013-05-08	16827
6305/12-2	2899.000000	1.500000	30.000000	17.500000	WATER BASED	1993-11-23	2207	9999-12-31	2013-05-08	16828
6305/12-2	2901.000000	1.550000	30.000000	17.500000	WATER BASED	1993-11-23	2207	9999-12-31	2013-05-08	16829
6305/12-2	2920.000000	1.350000	34.000000	21.000000	WATER BASED	1993-11-08	2207	9999-12-31	2013-05-08	16830
6305/12-2	2934.000000	1.600000	40.000000	19.000000	WATER BASED	1993-11-23	2207	9999-12-31	2013-05-08	16831
6305/12-2	2962.000000	1.350000	34.000000	21.000000	WATER BASED	1993-11-08	2207	9999-12-31	2013-05-08	16832
6305/12-2	2964.000000	1.630000	41.000000	19.000000	WATER BASED	1993-11-23	2207	9999-12-31	2013-05-08	16833
6305/12-2	2964.000000	1.730000	44.000000	18.000000	WATER BASED	1993-11-24	2207	9999-12-31	2013-05-08	16834
6305/12-2	2973.000000	1.500000	24.000000	11.000000	WATER BASED	1993-11-12	2207	9999-12-31	2013-05-08	16835
6305/12-2	2973.000000	1.520000	34.000000	21.500000	WATER BASED	1993-11-11	2207	9999-12-31	2013-05-08	16836
6305/12-2	2973.000000	1.500000	34.000000	21.500000	WATER BASED	1993-11-11	2207	9999-12-31	2013-05-08	16837
6305/12-2	2973.000000	1.500000	36.000000	17.000000	WATER BASED	1993-11-11	2207	9999-12-31	2013-05-08	16838
6305/12-2	2973.000000	1.500000	36.000000	17.000000	WATER BASED	1993-11-11	2207	9999-12-31	2013-05-08	16839
6305/12-2	2973.000000	1.500000	36.000000	17.000000	WATER BASED	1993-11-11	2207	9999-12-31	2013-05-08	16840
6305/12-2	2973.000000	1.500000	23.000000	12.000000	WATER BASED	1993-11-12	2207	9999-12-31	2013-05-08	16841
6305/12-2	2978.000000	1.730000	44.000000	16.000000	WATER BASED	1993-11-26	2207	9999-12-31	2013-05-08	16842
6305/12-2	2979.000000	1.730000	43.000000	15.500000	WATER BASED	1993-11-26	2207	9999-12-31	2013-05-08	16843
6305/12-2	2989.000000	1.730000	41.000000	12.500000	WATER BASED	1993-12-01	2207	9999-12-31	2013-05-08	16844
6305/12-2	3003.000000	1.730000	41.000000	12.000000	WATER BASED	1993-12-02	2207	9999-12-31	2013-05-08	16845
6305/12-2	3016.000000	1.730000	40.000000	12.500000	WATER BASED	1993-12-06	2207	9999-12-31	2013-05-08	16846
6305/12-2	3025.000000	1.730000	41.000000	13.000000	WATER BASED	1993-12-06	2207	9999-12-31	2013-05-08	16847
6305/12-2	3100.000000	1.730000	41.000000	15.000000	WATER BASED	1993-12-06	2207	9999-12-31	2013-05-08	16848
6305/12-2	3143.000000	1.730000	41.000000	16.500000	WATER BASED	1993-12-06	2207	9999-12-31	2013-05-08	16849
6305/12-2	3143.000000	1.730000	41.000000	15.000000	WATER BASED	1993-12-06	2207	9999-12-31	2013-05-08	16850
6305/12-2	3159.000000	1.730000	41.000000	15.000000	WATER BASED	1993-12-07	2207	9999-12-31	2013-05-08	16851
6305/12-2	3162.000000	1.730000	39.000000	14.500000	WATER BASED	1993-12-08	2207	9999-12-31	2013-05-08	16852
6305/12-2	3162.000000	1.760000	43.000000	15.000000	WATER BASED	1993-12-09	2207	9999-12-31	2013-05-08	16853
6305/12-2	3162.000000	1.760000	0.000000	0.000000	WATER BASED	1993-12-13	2207	9999-12-31	2013-05-08	16854
6305/12-2	3162.000000	1.760000	40.000000	15.000000	WATER BASED	1993-12-13	2207	9999-12-31	2013-05-08	16855
6305/12-2	3162.000000	1.760000	38.000000	14.000000	WATER BASED	1993-12-13	2207	9999-12-31	2013-05-08	16856
6305/4-1	1022.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16857
6305/4-1	1083.000000	1.100000	14.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16858
6305/4-1	1125.000000	1.030000	14.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16859
6305/4-1	1380.000000	1.030000	14.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16860
6305/4-1	1508.000000	1.070000	14.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16861
6305/4-1	1749.000000	1.250000	12.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16862
6305/4-1	1749.000000	0.000000	0.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16863
6305/4-1	1756.000000	0.000000	0.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16864
6305/4-1	2444.000000	1.300000	16.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16865
6305/4-1	2696.000000	1.300000	17.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16866
6305/4-1	2725.000000	1.330000	14.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16867
6305/4-1	2788.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16868
6305/4-1	2925.000000	1.320000	0.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16869
6305/4-1	2974.000000	1.320000	16.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16870
6305/4-1	2975.000000	1.300000	17.000000	0.000000	WATER BASED	9999-12-31	4441	9999-12-31	2013-05-08	16871
6305/4-2 S	1122.000000	1.030000	0.000000	0.000000	Seawater	9999-12-31	6441	9999-12-31	2013-05-08	16872
6305/4-2 S	1739.000000	1.230000	0.000000	0.000000	Seawater	9999-12-31	6441	9999-12-31	2013-05-08	16873
6305/4-2 S	1739.000000	1.030000	0.000000	0.000000	Seawater	9999-12-31	6441	9999-12-31	2013-05-08	16874
6305/4-2 S	2231.000000	1.280000	0.000000	0.000000	Seawater	9999-12-31	6441	9999-12-31	2013-05-08	16875
6305/4-2 S	2859.000000	1.360000	0.000000	0.000000	Aqua Drill DW	9999-12-31	6441	9999-12-31	2013-05-08	16876
6305/4-2 S	2902.000000	1.360000	0.000000	0.000000	Aqua Drill DW	9999-12-31	6441	9999-12-31	2013-05-08	16877
6305/4-2 S	2930.000000	1.360000	0.000000	0.000000	Aqua Drill DW	9999-12-31	6441	9999-12-31	2013-05-08	16878
6305/4-2 S	2985.000000	1.030000	0.000000	0.000000	Seawater	9999-12-31	6441	9999-12-31	2013-05-08	16879
6305/4-2 S	2985.000000	1.030000	0.000000	0.000000	Seawater	9999-12-31	6441	9999-12-31	2013-05-08	16880
6305/4-2 S	2985.000000	1.360000	0.000000	0.000000	Aqua Drill DW	9999-12-31	6441	9999-12-31	2013-05-08	16881
6305/4-2 S	2985.000000	1.360000	0.000000	0.000000	Aqua Drill DW	9999-12-31	6441	9999-12-31	2013-05-08	16882
6305/5-1	996.000000	1.200000	0.000000	0.000000	KCL Brine	1997-07-30	3144	9999-12-31	2013-05-08	16883
6305/5-1	1000.000000	1.060000	0.000000	0.000000	Spud	1997-07-27	3144	9999-12-31	2013-05-08	16884
6305/5-1	1544.000000	1.200000	13.000000	15.000000	KCL Brine	1997-08-06	3144	9999-12-31	2013-05-08	16885
6305/5-1	1544.000000	1.170000	9.000000	6.500000	KCL Polymer	1997-08-14	3144	9999-12-31	2013-05-08	16886
6305/5-1	1681.000000	1.300000	16.000000	13.500000	KCL Polymer	1997-08-17	3144	9999-12-31	2013-05-08	16887
6305/5-1	2150.000000	1.300000	20.000000	20.000000	KCL Polymer	1997-08-22	3144	9999-12-31	2013-05-08	16888
6305/5-1	2160.000000	1.260000	13.000000	12.000000	KCL Polymer	1997-08-24	3144	9999-12-31	2013-05-08	16889
6305/5-1	3053.000000	1.260000	17.000000	16.500000	KCL Polymer	1997-09-07	3144	9999-12-31	2013-05-08	16890
6305/5-3 S	1646.000000	1.260000	0.000000	0.000000	Glydril DW	9999-12-31	6118	9999-12-31	2013-05-08	16891
6305/5-3 S	2206.000000	1.330000	0.000000	0.000000	Glydril DW	9999-12-31	6118	9999-12-31	2013-05-08	16892
6305/5-3 S	2608.000000	1.350000	0.000000	0.000000	Glydril DW	9999-12-31	6118	9999-12-31	2013-05-08	16893
6305/5-3 S	2956.000000	1.350000	0.000000	0.000000	21/10/2009 20:00 Glydril DW	9999-12-31	6118	9999-12-31	2013-05-08	16894
6305/5-3 S	2956.000000	1.370000	0.000000	0.000000	23/10/2009 20:00 Glydril DW	9999-12-31	6118	9999-12-31	2013-05-08	16895
6305/5-3 S	2956.000000	1.350000	0.000000	0.000000	Glydril DW	9999-12-31	6118	9999-12-31	2013-05-08	16896
6305/7-1	961.000000	1.030000	20.000000	0.000000	WATER BASED MUD	9999-12-31	3535	9999-12-31	2013-05-08	16897
6305/7-1	1269.000000	1.030000	15.000000	0.000000	WATER BASED MUD	9999-12-31	3535	9999-12-31	2013-05-08	16898
6305/7-1	1708.000000	0.000000	0.000000	0.000000	WATER BASED MUD	9999-12-31	3535	9999-12-31	2013-05-08	16899
6305/7-1	2071.000000	1.280000	40.000000	0.000000	WATER BASED MUD	9999-12-31	3535	9999-12-31	2013-05-08	16900
6305/7-1	2819.000000	1.300000	44.000000	0.000000	WATER BASED MUD	9999-12-31	3535	9999-12-31	2013-05-08	16901
6305/7-1	2852.000000	1.300000	27.000000	0.000000	WATER BASED MUD	9999-12-31	3535	9999-12-31	2013-05-08	16902
6305/7-1	2944.000000	1.300000	33.000000	0.000000	WATER BASED MUD	9999-12-31	3535	9999-12-31	2013-05-08	16903
6305/7-1	2968.000000	1.300000	29.000000	0.000000	WATER BASED MUD	9999-12-31	3535	9999-12-31	2013-05-08	16904
6305/7-1	2980.000000	1.300000	28.000000	0.000000	WATER BASED MUD	9999-12-31	3535	9999-12-31	2013-05-08	16905
6305/7-1	2993.000000	1.300000	28.000000	0.000000	WATER BASED MUD	9999-12-31	3535	9999-12-31	2013-05-08	16906
6305/7-1	3377.000000	1.080000	1.000000	0.000000	WATER BASED MUD	9999-12-31	3535	9999-12-31	2013-05-08	16907
6305/8-1	867.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	4109	9999-12-31	2013-05-08	16908
6305/8-1	890.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	4109	9999-12-31	2013-05-08	16909
6305/8-1	942.000000	1.500000	0.000000	0.000000	WATER BASED	9999-12-31	4109	9999-12-31	2013-05-08	16910
6305/8-1	942.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	4109	9999-12-31	2013-05-08	16911
6305/8-1	2895.000000	1.300000	16.000000	0.000000	WATER BASED	9999-12-31	4109	9999-12-31	2013-05-08	16912
6305/8-1	2943.000000	1.300000	16.000000	0.000000	WATER BASED	9999-12-31	4109	9999-12-31	2013-05-08	16913
6305/8-1	2981.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	4109	9999-12-31	2013-05-08	16914
6305/8-1	2982.000000	1.300000	18.000000	0.000000	WATER BASED	9999-12-31	4109	9999-12-31	2013-05-08	16915
6305/8-1	2989.000000	1.300000	18.000000	0.000000	WATER BASED	9999-12-31	4109	9999-12-31	2013-05-08	16916
6305/8-1	3013.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	4109	9999-12-31	2013-05-08	16917
6305/8-1	3175.000000	1.300000	23.000000	0.000000	WATER BASED	9999-12-31	4109	9999-12-31	2013-05-08	16918
6305/9-1	211.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	4297	9999-12-31	2013-05-08	16919
6305/9-1	274.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	4297	9999-12-31	2013-05-08	16920
6305/9-1	680.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	4297	9999-12-31	2013-05-08	16921
6305/9-1	2138.000000	1.390000	23.000000	0.000000	WATER BASED	9999-12-31	4297	9999-12-31	2013-05-08	16922
6305/9-1	2195.000000	1.390000	23.000000	0.000000	WATER BASED	9999-12-31	4297	9999-12-31	2013-05-08	16923
6305/9-1	2305.000000	1.350000	22.000000	0.000000	WATER BASED	9999-12-31	4297	9999-12-31	2013-05-08	16924
6305/9-1	2477.000000	1.300000	22.000000	0.000000	WATER BASED	9999-12-31	4297	9999-12-31	2013-05-08	16925
6305/9-1	2580.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	4297	9999-12-31	2013-05-08	16926
6305/9-1	2655.000000	1.300000	21.000000	0.000000	WATER BASED	9999-12-31	4297	9999-12-31	2013-05-08	16927
6305/9-2	314.000000	1.040000	6.000000	0.000000	Spud Mud	9999-12-31	6502	9999-12-31	2013-05-08	16928
6305/9-2	425.000000	1.270000	14.000000	0.000000	Glydrill	9999-12-31	6502	9999-12-31	2013-05-08	16929
6305/9-2	476.000000	1.040000	6.000000	0.000000	Spud Mud	9999-12-31	6502	9999-12-31	2013-05-08	16930
6305/9-2	572.000000	1.190000	15.000000	0.000000	Glydrill	9999-12-31	6502	9999-12-31	2013-05-08	16931
6305/9-2	667.000000	1.090000	18.000000	0.000000	CMC mud	9999-12-31	6502	9999-12-31	2013-05-08	16932
6305/9-2	670.000000	1.090000	19.000000	0.000000	CMC mud	9999-12-31	6502	9999-12-31	2013-05-08	16933
6305/9-2	1215.000000	1.240000	18.000000	0.000000	Glydrill	9999-12-31	6502	9999-12-31	2013-05-08	16934
6305/9-2	1667.000000	1.390000	22.000000	0.000000	Glydrill	9999-12-31	6502	9999-12-31	2013-05-08	16935
6305/9-2	2751.000000	1.440000	22.000000	0.000000	Glydrill	9999-12-31	6502	9999-12-31	2013-05-08	16936
6305/9-2	2873.000000	1.390000	22.000000	0.000000	Glydrill	9999-12-31	6502	9999-12-31	2013-05-08	16937
6305/9-2	3075.000000	1.390000	23.000000	0.000000	Glydrill	9999-12-31	6502	9999-12-31	2013-05-08	16938
6306/10-1	121.000000	0.000000	100.000000	0.000000	WATER BASED	1990-09-10	1551	9999-12-31	2013-05-08	16939
6306/10-1	175.000000	0.000000	100.000000	0.000000	WATER BASED	1990-09-10	1551	9999-12-31	2013-05-08	16940
6306/10-1	610.000000	0.000000	100.000000	0.000000	WATER BASED	1990-09-13	1551	9999-12-31	2013-05-08	16941
6306/10-1	610.000000	1.300000	60.000000	15.000000	WATER BASED	1990-09-20	1551	9999-12-31	2013-05-08	16942
6306/10-1	610.000000	0.000000	100.000000	0.000000	WATER BASED	1990-09-17	1551	9999-12-31	2013-05-08	16943
6306/10-1	610.000000	0.000000	100.000000	0.000000	WATER BASED	1990-09-17	1551	9999-12-31	2013-05-08	16944
6306/10-1	610.000000	0.000000	100.000000	0.000000	WATER BASED	1990-09-17	1551	9999-12-31	2013-05-08	16945
6306/10-1	610.000000	0.000000	100.000000	0.000000	WATER BASED	1990-09-17	1551	9999-12-31	2013-05-08	16946
6306/10-1	610.000000	0.000000	100.000000	0.000000	WATER BASED	1990-09-14	1551	9999-12-31	2013-05-08	16947
6306/10-1	1031.000000	1.300000	52.000000	17.000000	WATER BASED	1990-09-20	1551	9999-12-31	2013-05-08	16948
6306/10-1	1144.000000	1.300000	51.000000	18.000000	WATER BASED	1990-09-24	1551	9999-12-31	2013-05-08	16949
6306/10-1	1144.000000	1.300000	51.000000	18.000000	WATER BASED	1990-09-24	1551	9999-12-31	2013-05-08	16950
6306/10-1	1172.000000	1.300000	53.000000	12.000000	WATER BASED	1990-09-24	1551	9999-12-31	2013-05-08	16951
6306/10-1	1200.000000	1.300000	51.000000	12.000000	WATER BASED	1990-09-25	1551	9999-12-31	2013-05-08	16952
6306/10-1	1328.000000	1.300000	48.000000	13.000000	WATER BASED	1990-09-26	1551	9999-12-31	2013-05-08	16953
6306/10-1	1478.000000	1.300000	50.000000	7.000000	WATER BASED	1990-09-26	1551	9999-12-31	2013-05-08	16954
6306/10-1	1510.000000	1.300000	68.000000	10.000000	WATER BASED	1990-09-28	1551	9999-12-31	2013-05-08	16955
6306/10-1	1510.000000	1.300000	68.000000	10.000000	WATER BASED	1990-10-01	1551	9999-12-31	2013-05-08	16956
6306/10-1	1510.000000	1.300000	68.000000	10.000000	WATER BASED	1990-10-01	1551	9999-12-31	2013-05-08	16957
6306/10-1	1510.000000	1.300000	98.000000	17.000000	WATER BASED	1990-10-01	1551	9999-12-31	2013-05-08	16958
6306/10-1	1510.000000	1.300000	92.000000	5.000000	WATER BASED	1990-10-02	1551	9999-12-31	2013-05-08	16959
6306/10-1	1554.000000	1.200000	41.000000	5.000000	WATER BASED	1990-10-03	1551	9999-12-31	2013-05-08	16960
6306/10-1	1850.000000	1.200000	44.000000	6.000000	WATER BASED	1990-10-04	1551	9999-12-31	2013-05-08	16961
6306/10-1	1914.000000	1.210000	42.000000	5.000000	WATER BASED	1990-10-04	1551	9999-12-31	2013-05-08	16962
6306/10-1	1990.000000	1.210000	42.000000	17.000000	WATER BASED	1990-10-05	1551	9999-12-31	2013-05-08	16963
6306/10-1	2045.000000	1.210000	45.000000	6.000000	WATER BASED	1990-10-08	1551	9999-12-31	2013-05-08	16964
6306/10-1	2132.000000	1.250000	45.000000	6.000000	WATER BASED	1990-10-08	1551	9999-12-31	2013-05-08	16965
6306/10-1	2133.000000	1.250000	45.000000	6.000000	WATER BASED	1990-10-08	1551	9999-12-31	2013-05-08	16966
6306/10-1	2133.000000	1.250000	42.000000	5.000000	WATER BASED	1990-10-12	1551	9999-12-31	2013-05-08	16967
6306/10-1	2133.000000	1.250000	42.000000	5.000000	WATER BASED	1990-10-11	1551	9999-12-31	2013-05-08	16968
6306/10-1	2133.000000	1.250000	44.000000	6.000000	WATER BASED	1990-10-10	1551	9999-12-31	2013-05-08	16969
6306/10-1	2133.000000	1.250000	44.000000	6.000000	WATER BASED	1990-10-09	1551	9999-12-31	2013-05-08	16970
6306/10-1	2133.000000	1.250000	42.000000	6.000000	WATER BASED	1990-10-15	1551	9999-12-31	2013-05-08	16971
6306/10-1	2133.000000	1.250000	46.000000	6.000000	WATER BASED	1990-10-15	1551	9999-12-31	2013-05-08	16972
6306/10-1	2316.000000	1.250000	53.000000	7.000000	WATER BASED	1990-10-15	1551	9999-12-31	2013-05-08	16973
6306/10-1	2414.000000	1.250000	49.000000	7.000000	WATER BASED	1990-10-16	1551	9999-12-31	2013-05-08	16974
6306/10-1	2497.000000	1.250000	48.000000	6.000000	WATER BASED	1990-10-17	1551	9999-12-31	2013-05-08	16975
6306/10-1	2595.000000	1.250000	49.000000	8.000000	WATER BASED	1990-10-18	1551	9999-12-31	2013-05-08	16976
6306/10-1	2644.000000	1.350000	63.000000	12.000000	WATER BASED	1990-10-29	1551	9999-12-31	2013-05-08	16977
6306/10-1	2644.000000	1.350000	63.000000	12.000000	WATER BASED	1990-10-25	1551	9999-12-31	2013-05-08	16978
6306/10-1	2655.000000	1.250000	47.000000	7.000000	WATER BASED	1990-10-22	1551	9999-12-31	2013-05-08	16979
6306/10-1	2655.000000	1.250000	47.000000	7.000000	WATER BASED	1990-10-22	1551	9999-12-31	2013-05-08	16980
6306/10-1	2655.000000	1.250000	47.000000	7.000000	WATER BASED	1990-10-22	1551	9999-12-31	2013-05-08	16981
6306/10-1	2655.000000	1.350000	46.000000	8.000000	WATER BASED	1990-10-23	1551	9999-12-31	2013-05-08	16982
6306/10-1	2655.000000	1.350000	63.000000	11.000000	WATER BASED	1990-10-23	1551	9999-12-31	2013-05-08	16983
6306/10-1	2683.000000	1.350000	50.000000	6.000000	WATER BASED	1990-10-29	1551	9999-12-31	2013-05-08	16984
6306/10-1	2707.000000	1.350000	50.000000	6.000000	WATER BASED	1990-10-29	1551	9999-12-31	2013-05-08	16985
6306/10-1	2747.000000	1.550000	49.000000	6.000000	WATER BASED	1990-10-29	1551	9999-12-31	2013-05-08	16986
6306/10-1	2783.000000	1.600000	53.000000	8.000000	WATER BASED	1990-10-30	1551	9999-12-31	2013-05-08	16987
6306/10-1	2859.000000	1.600000	52.000000	8.000000	WATER BASED	1990-10-31	1551	9999-12-31	2013-05-08	16988
6306/10-1	2876.000000	1.600000	53.000000	8.000000	WATER BASED	1990-10-31	1551	9999-12-31	2013-05-08	16989
6306/10-1	2889.000000	1.600000	59.000000	9.000000	WATER BASED	1990-11-01	1551	9999-12-31	2013-05-08	16990
6306/10-1	2908.000000	1.600000	61.000000	10.000000	WATER BASED	1990-11-02	1551	9999-12-31	2013-05-08	16991
6306/10-1	2950.000000	1.580000	66.000000	10.000000	WATER BASED	1990-12-10	1551	9999-12-31	2013-05-08	16992
6306/10-1	2950.000000	1.580000	66.000000	10.000000	WATER BASED	1990-12-10	1551	9999-12-31	2013-05-08	16993
6306/10-1	2950.000000	1.580000	66.000000	10.000000	WATER BASED	1990-12-10	1551	9999-12-31	2013-05-08	16994
6306/10-1	2950.000000	1.580000	65.000000	9.000000	WATER BASED	1990-12-17	1551	9999-12-31	2013-05-08	16995
6306/10-1	2950.000000	1.580000	66.000000	10.000000	WATER BASED	1990-12-12	1551	9999-12-31	2013-05-08	16996
6306/10-1	2950.000000	1.580000	65.000000	10.000000	WATER BASED	1990-12-13	1551	9999-12-31	2013-05-08	16997
6306/10-1	2950.000000	1.580000	65.000000	9.000000	WATER BASED	1990-12-14	1551	9999-12-31	2013-05-08	16998
6306/10-1	2950.000000	1.580000	66.000000	11.000000	WATER BASED	1990-12-10	1551	9999-12-31	2013-05-08	16999
6306/10-1	2950.000000	1.580000	66.000000	10.000000	WATER BASED	1990-12-11	1551	9999-12-31	2013-05-08	17000
6306/10-1	2950.000000	1.580000	62.000000	9.000000	WATER BASED	1990-12-17	1551	9999-12-31	2013-05-08	17001
6306/10-1	2965.000000	1.600000	52.000000	6.000000	WATER BASED	1990-11-05	1551	9999-12-31	2013-05-08	17002
6306/10-1	2976.000000	1.600000	54.000000	7.000000	WATER BASED	1990-11-05	1551	9999-12-31	2013-05-08	17003
6306/10-1	3019.000000	1.600000	53.000000	7.000000	WATER BASED	1990-11-05	1551	9999-12-31	2013-05-08	17004
6306/10-1	3061.000000	1.600000	54.000000	7.000000	WATER BASED	1990-11-07	1551	9999-12-31	2013-05-08	17005
6306/10-1	3074.000000	1.600000	56.000000	7.000000	WATER BASED	1990-11-08	1551	9999-12-31	2013-05-08	17006
6306/10-1	3124.000000	1.600000	56.000000	7.000000	WATER BASED	1990-11-09	1551	9999-12-31	2013-05-08	17007
6306/10-1	3141.000000	1.600000	62.000000	9.000000	WATER BASED	1990-11-19	1551	9999-12-31	2013-05-08	17008
6306/10-1	3141.000000	1.600000	57.000000	8.000000	WATER BASED	1990-11-12	1551	9999-12-31	2013-05-08	17009
6306/10-1	3141.000000	1.600000	57.000000	8.000000	WATER BASED	1990-11-12	1551	9999-12-31	2013-05-08	17010
6306/10-1	3141.000000	1.600000	57.000000	8.000000	WATER BASED	1990-11-12	1551	9999-12-31	2013-05-08	17011
6306/10-1	3141.000000	1.600000	60.000000	9.000000	WATER BASED	1990-11-13	1551	9999-12-31	2013-05-08	17012
6306/10-1	3141.000000	1.600000	60.000000	9.000000	WATER BASED	1990-11-16	1551	9999-12-31	2013-05-08	17013
6306/10-1	3141.000000	1.600000	60.000000	9.000000	WATER BASED	1990-11-15	1551	9999-12-31	2013-05-08	17014
6306/10-1	3141.000000	1.600000	60.000000	9.000000	WATER BASED	1990-11-14	1551	9999-12-31	2013-05-08	17015
6306/10-1	3141.000000	1.600000	53.000000	7.000000	WATER BASED	1990-11-20	1551	9999-12-31	2013-05-08	17016
6306/10-1	3141.000000	1.550000	60.000000	9.000000	WATER BASED	1990-11-26	1551	9999-12-31	2013-05-08	17017
6306/10-1	3141.000000	1.600000	63.000000	9.000000	WATER BASED	1990-11-19	1551	9999-12-31	2013-05-08	17018
6306/10-1	3141.000000	1.600000	63.000000	9.000000	WATER BASED	1990-11-19	1551	9999-12-31	2013-05-08	17019
6306/10-1	3141.000000	1.600000	60.000000	8.000000	WATER BASED	1990-11-21	1551	9999-12-31	2013-05-08	17020
6306/10-1	3141.000000	1.600000	60.000000	8.000000	WATER BASED	1990-11-22	1551	9999-12-31	2013-05-08	17021
6306/10-1	3158.000000	1.550000	68.000000	8.000000	WATER BASED	1990-11-26	1551	9999-12-31	2013-05-08	17022
6306/10-1	3167.000000	1.550000	82.000000	7.000000	WATER BASED	1990-11-26	1551	9999-12-31	2013-05-08	17023
6306/10-1	3182.000000	1.550000	82.000000	6.000000	WATER BASED	1990-11-26	1551	9999-12-31	2013-05-08	17024
6306/10-1	3187.000000	1.550000	82.000000	7.000000	WATER BASED	1990-11-27	1551	9999-12-31	2013-05-08	17025
6306/10-1	3187.000000	1.550000	68.000000	13.000000	WATER BASED	1990-12-05	1551	9999-12-31	2013-05-08	17026
6306/10-1	3187.000000	1.550000	97.000000	12.000000	WATER BASED	1990-12-04	1551	9999-12-31	2013-05-08	17027
6306/10-1	3187.000000	1.550000	94.000000	12.000000	WATER BASED	1990-12-04	1551	9999-12-31	2013-05-08	17028
6306/10-1	3187.000000	1.550000	88.000000	11.000000	WATER BASED	1990-12-04	1551	9999-12-31	2013-05-08	17029
6306/10-1	3187.000000	1.550000	84.000000	10.000000	WATER BASED	1990-12-04	1551	9999-12-31	2013-05-08	17030
6306/10-1	3187.000000	1.550000	83.000000	9.000000	WATER BASED	1990-12-04	1551	9999-12-31	2013-05-08	17031
6306/10-1	3187.000000	1.550000	84.000000	13.000000	WATER BASED	1990-11-28	1551	9999-12-31	2013-05-08	17032
6306/10-1	3187.000000	1.550000	84.000000	13.000000	WATER BASED	1990-11-30	1551	9999-12-31	2013-05-08	17033
6306/10-1	3187.000000	1.550000	84.000000	13.000000	WATER BASED	1990-11-30	1551	9999-12-31	2013-05-08	17034
6306/5-1	143.000000	1.620000	39.000000	0.000000	ANCO 2000	9999-12-31	3060	9999-12-31	2013-05-08	17035
6306/5-1	272.000000	0.000000	0.000000	0.000000	SPUD MUD	9999-12-31	3060	9999-12-31	2013-05-08	17036
6306/5-1	1100.000000	1.660000	31.000000	0.000000	ANCO 2000	9999-12-31	3060	9999-12-31	2013-05-08	17037
6306/5-1	1170.000000	1.660000	28.000000	0.000000	ANCO 2000	9999-12-31	3060	9999-12-31	2013-05-08	17038
6306/5-1	1300.000000	1.220000	19.000000	0.000000	ANCO 2000	9999-12-31	3060	9999-12-31	2013-05-08	17039
6306/5-1	1505.000000	1.590000	30.000000	0.000000	ANCO 2000	9999-12-31	3060	9999-12-31	2013-05-08	17040
6306/5-1	1581.000000	1.200000	16.000000	0.000000	ANCO 2000	9999-12-31	3060	9999-12-31	2013-05-08	17041
6306/5-1	2050.000000	1.660000	34.000000	0.000000	ANCO 2000	9999-12-31	3060	9999-12-31	2013-05-08	17042
6306/6-1	610.000000	1.200000	15.000000	0.000000	DUMMY	9999-12-31	2384	9999-12-31	2013-05-08	17043
6306/6-1	756.000000	1.200000	12.000000	0.000000	DUMMY	9999-12-31	2384	9999-12-31	2013-05-08	17044
6306/6-1	759.000000	1.200000	12.000000	0.000000	DUMMY	9999-12-31	2384	9999-12-31	2013-05-08	17045
6306/6-1	1050.000000	1.250000	25.000000	0.000000	DUMMY	9999-12-31	2384	9999-12-31	2013-05-08	17046
6306/6-1	1096.000000	1.250000	27.000000	0.000000	DUMMY	9999-12-31	2384	9999-12-31	2013-05-08	17047
6306/6-1	1160.000000	1.250000	25.000000	0.000000	DUMMY	9999-12-31	2384	9999-12-31	2013-05-08	17048
6306/6-1	1191.000000	1.250000	27.000000	0.000000	DUMMY	9999-12-31	2384	9999-12-31	2013-05-08	17049
6306/6-1	1317.000000	1.250000	25.000000	0.000000	DUMMY	9999-12-31	2384	9999-12-31	2013-05-08	17050
6306/6-2	428.000000	1.390000	10.000000	0.000000	Displacement mud	9999-12-31	6143	9999-12-31	2013-05-08	17051
6306/6-2	791.000000	1.390000	14.000000	0.000000	Displacement mud	9999-12-31	6143	9999-12-31	2013-05-08	17052
6306/6-2	1156.000000	1.370000	18.000000	0.000000	Glydril System	9999-12-31	6143	9999-12-31	2013-05-08	17053
6306/6-2	1357.000000	1.410000	21.000000	0.000000	Glydril System	9999-12-31	6143	9999-12-31	2013-05-08	17054
6306/6-2	1780.000000	0.990000	0.000000	0.000000	Sea Water	9999-12-31	6143	9999-12-31	2013-05-08	17055
6306/6-2	1780.000000	1.410000	22.000000	0.000000	Glydril System	9999-12-31	6143	9999-12-31	2013-05-08	17056
6306/6-2	1905.000000	1.630000	32.000000	0.000000	Glydril System	9999-12-31	6143	9999-12-31	2013-05-08	17057
6306/6-2	2004.000000	1.290000	13.000000	0.000000	Glydril System	9999-12-31	6143	9999-12-31	2013-05-08	17058
6306/6-2	2080.000000	1.290000	17.000000	0.000000	Glydril System	9999-12-31	6143	9999-12-31	2013-05-08	17059
6403/10-1	1775.000000	1.230000	20.000000	0.000000	WATER BASED	9999-12-31	4602	9999-12-31	2013-05-08	17060
6403/10-1	1852.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	4602	9999-12-31	2013-05-08	17061
6403/10-1	2035.000000	1.220000	20.000000	0.000000	WATER BASED	9999-12-31	4602	9999-12-31	2013-05-08	17062
6403/10-1	2214.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	4602	9999-12-31	2013-05-08	17063
6403/10-1	2518.000000	1.110000	11.000000	0.000000	WATER BASED	9999-12-31	4602	9999-12-31	2013-05-08	17064
6403/10-1	2522.000000	1.120000	11.000000	0.000000	WATER BASED	9999-12-31	4602	9999-12-31	2013-05-08	17065
6403/10-1	2670.000000	1.220000	21.000000	0.000000	WATER BASED	9999-12-31	4602	9999-12-31	2013-05-08	17066
6403/10-1	2842.000000	1.180000	21.000000	0.000000	WATER BASED	9999-12-31	4602	9999-12-31	2013-05-08	17067
6403/10-1	2922.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	4602	9999-12-31	2013-05-08	17068
6403/10-1	3305.000000	1.210000	21.000000	0.000000	WATER BASED	9999-12-31	4602	9999-12-31	2013-05-08	17069
6403/10-1	3400.000000	1.210000	21.000000	0.000000	WATER BASED	9999-12-31	4602	9999-12-31	2013-05-08	17070
6403/6-1	2400.000000	1.080000	30.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17071
6403/6-1	2560.000000	1.120000	16.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17072
6403/6-1	2608.000000	1.140000	0.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17073
6403/6-1	2675.000000	1.180000	17.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17074
6403/6-1	2850.000000	1.220000	16.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17075
6403/6-1	2983.000000	1.230000	15.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17076
6403/6-1	3000.000000	1.250000	15.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17077
6403/6-1	3027.000000	1.230000	18.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17078
6403/6-1	3138.000000	1.230000	17.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17079
6403/6-1	3579.000000	1.180000	15.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17080
6403/6-1	3768.000000	1.290000	20.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17081
6403/6-1	3775.000000	1.180000	16.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17082
6403/6-1	3782.000000	1.210000	15.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17083
6403/6-1	4120.000000	1.290000	20.000000	0.000000	ULTRADRILL	9999-12-31	5296	9999-12-31	2013-05-08	17084
6404/11-1	2175.000000	0.000000	0.000000	0.000000	SPUD MUD	9999-12-31	4465	9999-12-31	2013-05-08	17085
6404/11-1	2258.000000	1.170000	17.000000	0.000000	KCL	9999-12-31	4465	9999-12-31	2013-05-08	17086
6404/11-1	2449.000000	1.290000	20.000000	0.000000	KCL	9999-12-31	4465	9999-12-31	2013-05-08	17087
6404/11-1	2480.000000	1.300000	18.000000	0.000000	SALT MUD	9999-12-31	4465	9999-12-31	2013-05-08	17088
6404/11-1	2551.000000	1.310000	19.000000	0.000000	SALT MUD	9999-12-31	4465	9999-12-31	2013-05-08	17089
6404/11-1	2730.000000	1.350000	19.000000	0.000000	SALT MUD	9999-12-31	4465	9999-12-31	2013-05-08	17090
6404/11-1	3351.000000	1.370000	25.000000	0.000000	SALT MUD	9999-12-31	4465	9999-12-31	2013-05-08	17091
6404/11-1	3650.000000	1.400000	26.000000	0.000000	SALT MUD	9999-12-31	4465	9999-12-31	2013-05-08	17092
6405/10-1	1017.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	5565	9999-12-31	2013-05-08	17093
6405/10-1	1045.000000	1.350000	12.000000	0.000000	SPUD MUD	9999-12-31	5565	9999-12-31	2013-05-08	17094
6405/10-1	1230.000000	1.350000	12.000000	0.000000	SPUD MUD	9999-12-31	5565	9999-12-31	2013-05-08	17095
6405/10-1	1760.000000	1.350000	12.000000	0.000000	SPUD MUD	9999-12-31	5565	9999-12-31	2013-05-08	17096
6405/10-1	1951.000000	1.120000	8.000000	0.000000	HPWBM	9999-12-31	5565	9999-12-31	2013-05-08	17097
6405/10-1	2356.000000	1.290000	11.000000	0.000000	HPWBM	9999-12-31	5565	9999-12-31	2013-05-08	17098
6405/10-1	2442.000000	1.340000	14.000000	0.000000	HPWBM	9999-12-31	5565	9999-12-31	2013-05-08	17099
6405/10-1	2801.000000	1.550000	35.000000	0.000000	OBM-HTHP	9999-12-31	5565	9999-12-31	2013-05-08	17100
6405/10-1	2808.000000	1.530000	33.000000	0.000000	OBM-HTHP	9999-12-31	5565	9999-12-31	2013-05-08	17101
6405/7-1	1421.000000	1.030000	0.000000	0.000000	SW / BENTONITE 7	9999-12-31	4749	9999-12-31	2013-05-08	17102
6405/7-1	1910.000000	1.350000	0.000000	0.000000	SEAWATER/CMC	9999-12-31	4749	9999-12-31	2013-05-08	17103
6405/7-1	2070.000000	1.230000	20.000000	0.000000	GLYDRIL DW 37	9999-12-31	4749	9999-12-31	2013-05-08	17104
6405/7-1	2425.000000	1.230000	18.000000	0.000000	GLYDRIL DW 37	9999-12-31	4749	9999-12-31	2013-05-08	17105
6405/7-1	2742.000000	1.370000	18.000000	0.000000	GLYDRIL DW 37	9999-12-31	4749	9999-12-31	2013-05-08	17106
6405/7-1	2805.000000	1.450000	19.000000	0.000000	GLYDRIL DW 37	9999-12-31	4749	9999-12-31	2013-05-08	17107
6405/7-1	2816.000000	1.350000	20.000000	0.000000	GLYDRIL DW 37	9999-12-31	4749	9999-12-31	2013-05-08	17108
6405/7-1	2862.000000	1.450000	22.000000	0.000000	GLYDRIL DW 37	9999-12-31	4749	9999-12-31	2013-05-08	17109
6405/7-1	3200.000000	1.450000	19.000000	0.000000	GLYDRIL DW 37	9999-12-31	4749	9999-12-31	2013-05-08	17110
6405/7-1	3411.000000	1.410000	21.000000	0.000000	GLYDRIL DW 37	9999-12-31	4749	9999-12-31	2013-05-08	17111
6405/7-1	3764.000000	1.410000	21.000000	0.000000	GLYDRIL DW 37	9999-12-31	4749	9999-12-31	2013-05-08	17112
6405/7-1	4062.000000	1.410000	21.000000	0.000000	GLYDRIL DW 37	9999-12-31	4749	9999-12-31	2013-05-08	17113
6405/7-1	4300.000000	1.410000	22.000000	0.000000	GLYDRIL DW 37	9999-12-31	4749	9999-12-31	2013-05-08	17114
6406/1-1	400.000000	1.030000	0.000000	0.000000	BENTONITE/FW	9999-12-31	4262	9999-12-31	2013-05-08	17115
6406/1-1	439.000000	1.030000	0.000000	0.000000	BENTONITE/FW	9999-12-31	4262	9999-12-31	2013-05-08	17116
6406/1-1	1087.000000	1.030000	14.000000	0.000000	BENTONITE/FW	9999-12-31	4262	9999-12-31	2013-05-08	17117
6406/1-1	1440.000000	1.030000	13.000000	0.000000	CMC/SEAWATER	9999-12-31	4262	9999-12-31	2013-05-08	17118
6406/1-1	1922.000000	1.450000	16.000000	0.000000	GLYDRILL	9999-12-31	4262	9999-12-31	2013-05-08	17119
6406/1-1	2600.000000	1.640000	27.000000	0.000000	GLYDRILL	9999-12-31	4262	9999-12-31	2013-05-08	17120
6406/1-1	2800.000000	1.640000	27.000000	0.000000	GLYDRILL	9999-12-31	4262	9999-12-31	2013-05-08	17121
6406/1-1	2860.000000	1.640000	28.000000	0.000000	GLYDRILL	9999-12-31	4262	9999-12-31	2013-05-08	17122
6406/1-1	3016.000000	1.640000	26.000000	0.000000	GLYDRILL	9999-12-31	4262	9999-12-31	2013-05-08	17123
6406/1-1	3400.000000	1.760000	38.000000	0.000000	VERSAPRO	9999-12-31	4262	9999-12-31	2013-05-08	17124
6406/1-1	3850.000000	1.780000	38.000000	0.000000	VERSAPRO	9999-12-31	4262	9999-12-31	2013-05-08	17125
6406/1-1	4400.000000	1.870000	48.000000	0.000000	VERSAPRO	9999-12-31	4262	9999-12-31	2013-05-08	17126
6406/1-1	4620.000000	1.870000	44.000000	0.000000	VERSAPRO	9999-12-31	4262	9999-12-31	2013-05-08	17127
6406/1-1	4685.000000	2.040000	51.000000	0.000000	VERSAPRO	9999-12-31	4262	9999-12-31	2013-05-08	17128
6406/1-1	4756.000000	2.040000	50.000000	0.000000	VERSAPRO	9999-12-31	4262	9999-12-31	2013-05-08	17129
6406/1-1	5045.000000	2.020000	46.000000	0.000000	VERSAPRO	9999-12-31	4262	9999-12-31	2013-05-08	17130
6406/1-1	5057.000000	2.020000	49.000000	0.000000	VERSAPRO	9999-12-31	4262	9999-12-31	2013-05-08	17131
6406/11-1 S	934.000000	1.130000	5.000000	20.000000	WATER BASED	1990-10-22	1539	9999-12-31	2013-05-08	17132
6406/11-1 S	1215.000000	1.150000	5.000000	19.000000	WATER BASED	1990-10-24	1539	9999-12-31	2013-05-08	17133
6406/11-1 S	1215.000000	1.160000	6.000000	21.000000	WATER BASED	1990-10-25	1539	9999-12-31	2013-05-08	17134
6406/11-1 S	1215.000000	1.180000	6.000000	22.000000	WATER BASED	1990-10-26	1539	9999-12-31	2013-05-08	17135
6406/11-1 S	1215.000000	1.150000	5.000000	20.000000	WATER BASED	1990-10-24	1539	9999-12-31	2013-05-08	17136
6406/11-1 S	1218.000000	1.180000	7.000000	25.000000	WATER BASED	1990-10-29	1539	9999-12-31	2013-05-08	17137
6406/11-1 S	1218.000000	1.180000	7.000000	25.000000	WATER BASED	1990-10-29	1539	9999-12-31	2013-05-08	17138
6406/11-1 S	1235.000000	1.300000	23.000000	34.000000	WATER BASED	1990-10-29	1539	9999-12-31	2013-05-08	17139
6406/11-1 S	1920.000000	1.520000	28.000000	40.000000	WATER BASED	1990-10-31	1539	9999-12-31	2013-05-08	17140
6406/11-1 S	2125.000000	1.590000	37.000000	23.000000	WATER BASED	1990-11-01	1539	9999-12-31	2013-05-08	17141
6406/11-1 S	2165.000000	1.610000	36.000000	13.000000	WATER BASED	1990-11-05	1539	9999-12-31	2013-05-08	17142
6406/11-1 S	2165.000000	1.610000	35.000000	15.000000	WATER BASED	1990-11-05	1539	9999-12-31	2013-05-08	17143
6406/11-1 S	2165.000000	1.610000	34.000000	18.000000	WATER BASED	1990-11-05	1539	9999-12-31	2013-05-08	17144
6406/11-1 S	2165.000000	1.610000	35.000000	15.000000	WATER BASED	1990-11-06	1539	9999-12-31	2013-05-08	17145
6406/11-1 S	2297.000000	1.660000	30.000000	13.000000	WATER BASED	1990-11-08	1539	9999-12-31	2013-05-08	17146
6406/11-1 S	2450.000000	1.710000	37.000000	21.000000	WATER BASED	1990-11-09	1539	9999-12-31	2013-05-08	17147
6406/11-1 S	2636.000000	1.710000	30.000000	21.000000	WATER BASED	1990-11-13	1539	9999-12-31	2013-05-08	17148
6406/11-1 S	2721.000000	1.710000	31.000000	15.000000	WATER BASED	1990-11-13	1539	9999-12-31	2013-05-08	17149
6406/11-1 S	2827.000000	1.710000	31.000000	17.000000	WATER BASED	1990-11-13	1539	9999-12-31	2013-05-08	17150
6406/11-1 S	2898.000000	1.710000	35.000000	20.000000	WATER BASED	1990-11-14	1539	9999-12-31	2013-05-08	17151
6406/11-1 S	2992.000000	1.710000	37.000000	19.000000	WATER BASED	1990-11-15	1539	9999-12-31	2013-05-08	17152
6406/11-1 S	3104.000000	1.710000	33.000000	23.000000	WATER BASED	1990-11-15	1539	9999-12-31	2013-05-08	17153
6406/11-1 S	3159.000000	1.710000	34.000000	22.000000	WATER BASED	1990-11-16	1539	9999-12-31	2013-05-08	17154
6406/11-1 S	3195.000000	1.710000	32.000000	20.000000	WATER BASED	1990-11-20	1539	9999-12-31	2013-05-08	17155
6406/11-1 S	3244.000000	1.710000	28.000000	17.000000	WATER BASED	1990-11-20	1539	9999-12-31	2013-05-08	17156
6406/11-1 S	3244.000000	1.710000	28.000000	17.000000	WATER BASED	1990-11-20	1539	9999-12-31	2013-05-08	17157
6406/11-1 S	3295.000000	1.710000	29.000000	21.000000	WATER BASED	1990-11-20	1539	9999-12-31	2013-05-08	17158
6406/11-1 S	3319.000000	1.720000	30.000000	11.000000	WATER BASED	1990-12-10	1539	9999-12-31	2013-05-08	17159
6406/11-1 S	3319.000000	1.720000	30.000000	11.000000	WATER BASED	1990-12-10	1539	9999-12-31	2013-05-08	17160
6406/11-1 S	3319.000000	1.720000	26.000000	10.000000	WATER BASED	1990-12-10	1539	9999-12-31	2013-05-08	17161
6406/11-1 S	3319.000000	1.720000	30.000000	10.000000	WATER BASED	1990-12-10	1539	9999-12-31	2013-05-08	17162
6406/11-1 S	3319.000000	1.720000	28.000000	21.000000	WATER BASED	1990-12-12	1539	9999-12-31	2013-05-08	17163
6406/11-1 S	3319.000000	1.720000	32.000000	18.000000	WATER BASED	1990-12-13	1539	9999-12-31	2013-05-08	17164
6406/11-1 S	3320.000000	1.720000	30.000000	15.000000	WATER BASED	1990-12-14	1539	9999-12-31	2013-05-08	17165
6406/11-1 S	3324.000000	1.720000	30.000000	18.000000	WATER BASED	1990-12-14	1539	9999-12-31	2013-05-08	17166
6406/11-1 S	3324.000000	1.720000	32.000000	12.000000	WATER BASED	1990-12-18	1539	9999-12-31	2013-05-08	17167
6406/11-1 S	3324.000000	1.720000	30.000000	18.000000	WATER BASED	1990-12-18	1539	9999-12-31	2013-05-08	17168
6406/11-1 S	3348.000000	1.710000	38.000000	25.000000	WATER BASED	1990-11-22	1539	9999-12-31	2013-05-08	17169
6406/11-1 S	3389.000000	1.710000	32.000000	19.000000	WATER BASED	1990-11-22	1539	9999-12-31	2013-05-08	17170
6406/11-1 S	3390.000000	1.720000	27.000000	12.000000	WATER BASED	1990-12-18	1539	9999-12-31	2013-05-08	17171
6406/11-1 S	3395.000000	1.710000	34.000000	19.000000	WATER BASED	1990-11-26	1539	9999-12-31	2013-05-08	17172
6406/11-1 S	3395.000000	1.710000	33.000000	22.000000	WATER BASED	1990-11-26	1539	9999-12-31	2013-05-08	17173
6406/11-1 S	3395.000000	1.710000	31.000000	18.000000	WATER BASED	1990-11-27	1539	9999-12-31	2013-05-08	17174
6406/11-1 S	3395.000000	1.710000	30.000000	18.000000	WATER BASED	1990-11-28	1539	9999-12-31	2013-05-08	17175
6406/11-1 S	3395.000000	1.720000	34.000000	17.000000	WATER BASED	1990-12-10	1539	9999-12-31	2013-05-08	17176
6406/11-1 S	3395.000000	1.720000	35.000000	13.000000	WATER BASED	1990-12-05	1539	9999-12-31	2013-05-08	17177
6406/11-1 S	3395.000000	1.720000	36.000000	16.000000	WATER BASED	1990-12-05	1539	9999-12-31	2013-05-08	17178
6406/11-1 S	3395.000000	1.720000	34.000000	17.000000	WATER BASED	1990-12-05	1539	9999-12-31	2013-05-08	17179
6406/11-1 S	3395.000000	1.720000	35.000000	19.000000	WATER BASED	1990-12-05	1539	9999-12-31	2013-05-08	17180
6406/11-1 S	3395.000000	1.720000	36.000000	21.000000	WATER BASED	1990-11-30	1539	9999-12-31	2013-05-08	17181
6406/11-1 S	3395.000000	1.720000	35.000000	12.000000	WATER BASED	1990-12-05	1539	9999-12-31	2013-05-08	17182
6406/11-1 S	3395.000000	1.710000	35.000000	19.000000	WATER BASED	1990-11-26	1539	9999-12-31	2013-05-08	17183
6406/11-1 S	3395.000000	1.710000	33.000000	21.000000	WATER BASED	1990-11-23	1539	9999-12-31	2013-05-08	17184
6406/11-1 S	3405.000000	1.720000	25.000000	12.000000	WATER BASED	1990-12-19	1539	9999-12-31	2013-05-08	17185
6406/11-1 S	3455.000000	1.720000	26.000000	10.000000	WATER BASED	1990-12-19	1539	9999-12-31	2013-05-08	17186
6406/11-1 S	3488.000000	1.720000	29.000000	15.000000	WATER BASED	1990-12-21	1539	9999-12-31	2013-05-08	17187
6406/11-1 S	3532.000000	1.720000	30.000000	14.000000	WATER BASED	1990-12-21	1539	9999-12-31	2013-05-08	17188
6406/11-1 S	3532.000000	1.720000	33.000000	16.000000	WATER BASED	1991-01-07	1539	9999-12-31	2013-05-08	17189
6406/11-1 S	3532.000000	1.720000	31.000000	16.000000	WATER BASED	1991-01-02	1539	9999-12-31	2013-05-08	17190
6406/11-1 S	3532.000000	1.720000	32.000000	16.000000	WATER BASED	1991-01-02	1539	9999-12-31	2013-05-08	17191
6406/11-1 S	3532.000000	1.720000	34.000000	17.000000	WATER BASED	1991-01-02	1539	9999-12-31	2013-05-08	17192
6406/11-1 S	3532.000000	1.720000	36.000000	18.000000	WATER BASED	1991-01-02	1539	9999-12-31	2013-05-08	17193
6406/11-1 S	3532.000000	1.720000	34.000000	17.000000	WATER BASED	1991-01-04	1539	9999-12-31	2013-05-08	17194
6406/11-1 S	3532.000000	1.720000	27.000000	12.000000	WATER BASED	1991-01-02	1539	9999-12-31	2013-05-08	17195
6406/11-1 S	3576.000000	1.720000	29.000000	12.000000	WATER BASED	1990-12-31	1539	9999-12-31	2013-05-08	17196
6406/11-1 S	3600.000000	1.720000	34.000000	11.000000	WATER BASED	1991-01-07	1539	9999-12-31	2013-05-08	17197
6406/11-1 S	3600.000000	1.760000	40.000000	12.000000	WATER BASED	1991-01-07	1539	9999-12-31	2013-05-08	17198
6406/11-1 S	3600.000000	1.720000	34.000000	16.000000	WATER BASED	1991-01-07	1539	9999-12-31	2013-05-08	17199
6406/11-1 S	3615.000000	1.720000	28.000000	11.000000	WATER BASED	1990-12-31	1539	9999-12-31	2013-05-08	17200
6406/11-1 S	3625.000000	1.720000	29.000000	11.000000	WATER BASED	1990-12-31	1539	9999-12-31	2013-05-08	17201
6406/11-1 S	3653.000000	1.720000	29.000000	10.000000	WATER BASED	1990-12-31	1539	9999-12-31	2013-05-08	17202
6406/11-1 S	3665.000000	1.720000	29.000000	10.000000	WATER BASED	1990-12-31	1539	9999-12-31	2013-05-08	17203
6406/11-1 S	3684.000000	1.720000	29.000000	11.000000	WATER BASED	1990-12-31	1539	9999-12-31	2013-05-08	17204
6406/11-1 S	3713.000000	1.720000	28.000000	11.000000	WATER BASED	1990-12-31	1539	9999-12-31	2013-05-08	17205
6406/11-1 S	3875.000000	1.810000	28.000000	17.000000	WATER BASED	1991-02-19	1539	9999-12-31	2013-05-08	17206
6406/11-1 S	3875.000000	1.850000	22.000000	9.000000	WATER BASED	1991-02-19	1539	9999-12-31	2013-05-08	17207
6406/11-1 S	3945.000000	1.780000	26.000000	10.000000	WATER BASED	1991-01-11	1539	9999-12-31	2013-05-08	17208
6406/11-1 S	3945.000000	1.780000	28.000000	11.000000	WATER BASED	1991-01-11	1539	9999-12-31	2013-05-08	17209
6406/11-1 S	3945.000000	1.780000	29.000000	14.000000	WATER BASED	1991-01-11	1539	9999-12-31	2013-05-08	17210
6406/11-1 S	3975.000000	1.830000	23.000000	8.000000	WATER BASED	1991-02-08	1539	9999-12-31	2013-05-08	17211
6406/11-1 S	3975.000000	1.830000	22.000000	8.000000	WATER BASED	1991-02-14	1539	9999-12-31	2013-05-08	17212
6406/11-1 S	3975.000000	1.840000	22.000000	10.000000	WATER BASED	1991-02-14	1539	9999-12-31	2013-05-08	17213
6406/11-1 S	3975.000000	1.830000	23.000000	8.000000	WATER BASED	1991-02-08	1539	9999-12-31	2013-05-08	17214
6406/11-1 S	3975.000000	1.830000	22.000000	8.000000	WATER BASED	1991-02-08	1539	9999-12-31	2013-05-08	17215
6406/11-1 S	3975.000000	1.830000	22.000000	8.000000	WATER BASED	1991-02-08	1539	9999-12-31	2013-05-08	17216
6406/11-1 S	3975.000000	1.830000	22.000000	8.000000	WATER BASED	1991-02-12	1539	9999-12-31	2013-05-08	17217
6406/11-1 S	3975.000000	1.830000	21.000000	4.000000	WATER BASED	1991-02-11	1539	9999-12-31	2013-05-08	17218
6406/11-1 S	3975.000000	1.830000	22.000000	9.000000	WATER BASED	1991-02-11	1539	9999-12-31	2013-05-08	17219
6406/11-1 S	3975.000000	1.830000	22.000000	9.000000	WATER BASED	1991-02-11	1539	9999-12-31	2013-05-08	17220
6406/11-1 S	4091.000000	1.810000	36.000000	18.000000	WATER BASED	1991-01-16	1539	9999-12-31	2013-05-08	17221
6406/11-1 S	4091.000000	1.870000	36.000000	18.000000	WATER BASED	1991-01-15	1539	9999-12-31	2013-05-08	17222
6406/11-1 S	4185.000000	1.830000	32.000000	14.000000	WATER BASED	1991-01-17	1539	9999-12-31	2013-05-08	17223
6406/11-1 S	4185.000000	1.830000	25.000000	8.000000	WATER BASED	1991-01-21	1539	9999-12-31	2013-05-08	17224
6406/11-1 S	4185.000000	1.830000	28.000000	9.000000	WATER BASED	1991-01-21	1539	9999-12-31	2013-05-08	17225
6406/11-1 S	4185.000000	1.830000	24.000000	10.000000	WATER BASED	1991-01-21	1539	9999-12-31	2013-05-08	17226
6406/11-1 S	4185.000000	1.830000	22.000000	8.000000	WATER BASED	1991-01-25	1539	9999-12-31	2013-05-08	17227
6406/11-1 S	4185.000000	1.830000	26.000000	14.000000	WATER BASED	1991-01-24	1539	9999-12-31	2013-05-08	17228
6406/11-1 S	4185.000000	1.830000	28.000000	9.000000	WATER BASED	1991-01-30	1539	9999-12-31	2013-05-08	17229
6406/11-1 S	4185.000000	1.830000	26.000000	8.000000	WATER BASED	1991-01-28	1539	9999-12-31	2013-05-08	17230
6406/11-1 S	4185.000000	1.830000	25.000000	8.000000	WATER BASED	1991-01-29	1539	9999-12-31	2013-05-08	17231
6406/11-1 S	4185.000000	1.830000	28.000000	9.000000	WATER BASED	1991-01-29	1539	9999-12-31	2013-05-08	17232
6406/11-1 S	4185.000000	1.830000	28.000000	10.000000	WATER BASED	1991-01-18	1539	9999-12-31	2013-05-08	17233
6406/11-1 S	4185.000000	1.830000	26.000000	10.000000	WATER BASED	1991-01-18	1539	9999-12-31	2013-05-08	17234
6406/11-1 S	4185.000000	1.830000	22.000000	10.000000	WATER BASED	1991-02-07	1539	9999-12-31	2013-05-08	17235
6406/11-1 S	4185.000000	1.830000	23.000000	8.000000	WATER BASED	1991-02-01	1539	9999-12-31	2013-05-08	17236
6406/11-1 S	4185.000000	1.830000	23.000000	8.000000	WATER BASED	1991-02-06	1539	9999-12-31	2013-05-08	17237
6406/11-1 S	4185.000000	1.830000	23.000000	8.000000	WATER BASED	1991-02-04	1539	9999-12-31	2013-05-08	17238
6406/11-1 S	4185.000000	1.830000	22.000000	10.000000	WATER BASED	1991-02-04	1539	9999-12-31	2013-05-08	17239
6406/11-1 S	4185.000000	1.830000	22.000000	10.000000	WATER BASED	1991-02-04	1539	9999-12-31	2013-05-08	17240
6406/11-1 S	4185.000000	1.830000	22.000000	10.000000	WATER BASED	1991-02-04	1539	9999-12-31	2013-05-08	17241
6406/11-1 S	4185.000000	1.830000	33.000000	13.000000	WATER BASED	1991-01-16	1539	9999-12-31	2013-05-08	17242
6406/11-1 S	4185.000000	1.830000	22.000000	9.000000	WATER BASED	1991-01-30	1539	9999-12-31	2013-05-08	17243
6406/11-1 S	4185.000000	1.830000	26.000000	8.000000	WATER BASED	1991-01-29	1539	9999-12-31	2013-05-08	17244
6406/11-1 S	4185.000000	1.830000	22.000000	8.000000	WATER BASED	1991-01-24	1539	9999-12-31	2013-05-08	17245
6406/1-2	578.000000	1.470000	18.000000	0.000000	WBM (SILDRIL)	9999-12-31	4762	9999-12-31	2013-05-08	17246
6406/1-2	858.000000	1.800000	29.000000	0.000000	OBM (VERSAPRO)	9999-12-31	4762	9999-12-31	2013-05-08	17247
6406/1-2	1210.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	4762	9999-12-31	2013-05-08	17248
6406/1-2	1210.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	4762	9999-12-31	2013-05-08	17249
6406/1-2	2415.000000	1.530000	24.000000	0.000000	SILDRIL	9999-12-31	4762	9999-12-31	2013-05-08	17250
6406/1-2	2835.000000	1.700000	50.000000	0.000000	OIL (ENVIRON)	9999-12-31	4762	9999-12-31	2013-05-08	17251
6406/1-2	3575.000000	1.700000	45.000000	0.000000	OIL (ENVIRON)	9999-12-31	4762	9999-12-31	2013-05-08	17252
6406/1-2	3835.000000	1.750000	47.000000	0.000000	OIL (ENVIRON)	9999-12-31	4762	9999-12-31	2013-05-08	17253
6406/1-2	3955.000000	1.910000	55.000000	0.000000	OBM (VERSAPRO)	9999-12-31	4762	9999-12-31	2013-05-08	17254
6406/1-2	4140.000000	1.890000	46.000000	0.000000	OBM (VERSAPRO)	9999-12-31	4762	9999-12-31	2013-05-08	17255
6406/1-2	4494.000000	1.980000	35.000000	0.000000	OBM (VERSAPRO)	9999-12-31	4762	9999-12-31	2013-05-08	17256
6406/1-2	4500.000000	1.980000	34.000000	0.000000	OBM (VERSAPRO)	9999-12-31	4762	9999-12-31	2013-05-08	17257
6406/12-1 S	492.000000	0.000000	0.000000	0.000000	WATER BASED	1990-12-18	1711	9999-12-31	2013-05-08	17258
6406/12-1 S	512.000000	0.000000	0.000000	0.000000	WATER BASED	1990-12-18	1711	9999-12-31	2013-05-08	17259
6406/12-1 S	594.000000	1.580000	12.000000	5.500000	WATER BASED	1991-02-27	1711	9999-12-31	2013-05-08	17260
6406/12-1 S	625.000000	0.000000	0.000000	0.000000	WATER BASED	1990-12-18	1711	9999-12-31	2013-05-08	17261
6406/12-1 S	924.000000	1.030000	0.000000	0.000000	WATER BASED	1991-01-07	1711	9999-12-31	2013-05-08	17262
6406/12-1 S	965.000000	1.030000	0.000000	0.000000	WATER BASED	1991-01-09	1711	9999-12-31	2013-05-08	17263
6406/12-1 S	965.000000	0.000000	0.000000	0.000000	WATER BASED	1991-01-09	1711	9999-12-31	2013-05-08	17264
6406/12-1 S	965.000000	1.030000	24.000000	8.000000	WATER BASED	1991-01-14	1711	9999-12-31	2013-05-08	17265
6406/12-1 S	965.000000	0.000000	24.000000	8.000000	WATER BASED	1991-01-14	1711	9999-12-31	2013-05-08	17266
6406/12-1 S	965.000000	1.030000	24.000000	5.000000	WATER BASED	1991-01-14	1711	9999-12-31	2013-05-08	17267
6406/12-1 S	965.000000	0.000000	0.000000	0.000000	WATER BASED	1991-01-11	1711	9999-12-31	2013-05-08	17268
6406/12-1 S	988.000000	0.000000	20.000000	6.000000	WATER BASED	1991-01-02	1711	9999-12-31	2013-05-08	17269
6406/12-1 S	988.000000	0.000000	28.000000	7.500000	WATER BASED	1991-01-02	1711	9999-12-31	2013-05-08	17270
6406/12-1 S	988.000000	0.000000	19.000000	6.500000	WATER BASED	1990-12-27	1711	9999-12-31	2013-05-08	17271
6406/12-1 S	988.000000	0.000000	0.000000	0.000000	WATER BASED	1990-12-28	1711	9999-12-31	2013-05-08	17272
6406/12-1 S	988.000000	0.000000	23.000000	6.000000	WATER BASED	1991-01-02	1711	9999-12-31	2013-05-08	17273
6406/12-1 S	988.000000	0.000000	28.000000	7.500000	WATER BASED	1991-01-02	1711	9999-12-31	2013-05-08	17274
6406/12-1 S	988.000000	0.000000	28.000000	7.500000	WATER BASED	1991-01-02	1711	9999-12-31	2013-05-08	17275
6406/12-1 S	988.000000	0.000000	28.000000	19.000000	WATER BASED	1990-12-21	1711	9999-12-31	2013-05-08	17276
6406/12-1 S	988.000000	0.000000	19.000000	5.500000	WATER BASED	1990-12-27	1711	9999-12-31	2013-05-08	17277
6406/12-1 S	988.000000	0.000000	10.000000	10.000000	WATER BASED	1990-12-27	1711	9999-12-31	2013-05-08	17278
6406/12-1 S	988.000000	0.000000	13.000000	7.000000	WATER BASED	1990-12-28	1711	9999-12-31	2013-05-08	17279
6406/12-1 S	1321.000000	1.250000	25.000000	5.000000	WATER BASED	1991-01-15	1711	9999-12-31	2013-05-08	17280
6406/12-1 S	1356.000000	1.250000	25.000000	5.000000	WATER BASED	1991-01-15	1711	9999-12-31	2013-05-08	17281
6406/12-1 S	1516.000000	1.350000	23.000000	5.000000	WATER BASED	1991-01-17	1711	9999-12-31	2013-05-08	17282
6406/12-1 S	1579.000000	1.350000	23.000000	5.000000	WATER BASED	1991-01-17	1711	9999-12-31	2013-05-08	17283
6406/12-1 S	1781.000000	1.450000	21.000000	6.500000	WATER BASED	1991-01-18	1711	9999-12-31	2013-05-08	17284
6406/12-1 S	1815.000000	1.550000	21.000000	6.500000	WATER BASED	1991-01-18	1711	9999-12-31	2013-05-08	17285
6406/12-1 S	2015.000000	1.600000	33.000000	8.500000	WATER BASED	1991-01-21	1711	9999-12-31	2013-05-08	17286
6406/12-1 S	2026.000000	1.600000	33.000000	8.500000	WATER BASED	1991-01-21	1711	9999-12-31	2013-05-08	17287
6406/12-1 S	2093.000000	1.600000	29.000000	7.500000	WATER BASED	1991-01-21	1711	9999-12-31	2013-05-08	17288
6406/12-1 S	2156.000000	1.600000	29.000000	7.500000	WATER BASED	1991-01-21	1711	9999-12-31	2013-05-08	17289
6406/12-1 S	2200.000000	1.600000	30.000000	10.500000	WATER BASED	1991-01-25	1711	9999-12-31	2013-05-08	17290
6406/12-1 S	2317.000000	1.580000	20.000000	6.000000	WATER BASED	1991-02-26	1711	9999-12-31	2013-05-08	17291
6406/12-1 S	2330.000000	1.600000	34.000000	8.000000	WATER BASED	1991-01-21	1711	9999-12-31	2013-05-08	17292
6406/12-1 S	2330.000000	1.600000	29.000000	7.000000	WATER BASED	1991-01-21	1711	9999-12-31	2013-05-08	17293
6406/12-1 S	2339.000000	1.600000	29.000000	7.000000	WATER BASED	1991-01-21	1711	9999-12-31	2013-05-08	17294
6406/12-1 S	2339.000000	1.600000	30.000000	6.000000	WATER BASED	1991-01-24	1711	9999-12-31	2013-05-08	17295
6406/12-1 S	2339.000000	1.600000	31.000000	6.500000	WATER BASED	1991-01-25	1711	9999-12-31	2013-05-08	17296
6406/12-1 S	2339.000000	1.600000	31.000000	6.500000	WATER BASED	1991-01-22	1711	9999-12-31	2013-05-08	17297
6406/12-1 S	2524.000000	1.600000	31.000000	6.500000	WATER BASED	1991-01-22	1711	9999-12-31	2013-05-08	17298
6406/12-1 S	2525.000000	1.600000	31.000000	6.500000	WATER BASED	1991-01-22	1711	9999-12-31	2013-05-08	17299
6406/12-1 S	2543.000000	1.600000	30.000000	6.000000	WATER BASED	1991-01-24	1711	9999-12-31	2013-05-08	17300
6406/12-1 S	2546.000000	1.600000	31.000000	6.500000	WATER BASED	1991-01-25	1711	9999-12-31	2013-05-08	17301
6406/12-1 S	2546.000000	1.600000	30.000000	10.500000	WATER BASED	1991-01-25	1711	9999-12-31	2013-05-08	17302
6406/12-1 S	2546.000000	1.600000	16.000000	7.500000	WATER BASED	1991-01-28	1711	9999-12-31	2013-05-08	17303
6406/12-1 S	2546.000000	1.600000	16.000000	8.000000	WATER BASED	1991-01-28	1711	9999-12-31	2013-05-08	17304
6406/12-1 S	2546.000000	1.500000	20.000000	4.500000	WATER BASED	1991-01-28	1711	9999-12-31	2013-05-08	17305
6406/12-1 S	2546.000000	1.500000	17.000000	4.500000	WATER BASED	1991-01-30	1711	9999-12-31	2013-05-08	17306
6406/12-1 S	2546.000000	1.500000	21.000000	5.500000	WATER BASED	1991-01-31	1711	9999-12-31	2013-05-08	17307
6406/12-1 S	2546.000000	1.500000	19.000000	5.500000	WATER BASED	1991-02-04	1711	9999-12-31	2013-05-08	17308
6406/12-1 S	2546.000000	1.500000	21.000000	5.000000	WATER BASED	1991-02-04	1711	9999-12-31	2013-05-08	17309
6406/12-1 S	2546.000000	1.500000	21.000000	5.500000	WATER BASED	1991-02-05	1711	9999-12-31	2013-05-08	17310
6406/12-1 S	2546.000000	1.500000	22.000000	5.000000	WATER BASED	1991-02-07	1711	9999-12-31	2013-05-08	17311
6406/12-1 S	2546.000000	1.500000	26.000000	6.000000	WATER BASED	1991-02-13	1711	9999-12-31	2013-05-08	17312
6406/12-1 S	2546.000000	1.500000	24.000000	7.000000	WATER BASED	1991-02-14	1711	9999-12-31	2013-05-08	17313
6406/12-1 S	2546.000000	1.500000	21.000000	4.500000	WATER BASED	1991-02-15	1711	9999-12-31	2013-05-08	17314
6406/12-1 S	2546.000000	1.500000	19.000000	5.000000	WATER BASED	1991-01-30	1711	9999-12-31	2013-05-08	17315
6406/12-1 S	2546.000000	1.600000	30.000000	6.000000	WATER BASED	1991-01-24	1711	9999-12-31	2013-05-08	17316
6406/12-1 S	2546.000000	1.500000	22.000000	5.500000	WATER BASED	1991-02-07	1711	9999-12-31	2013-05-08	17317
6406/12-1 S	2546.000000	1.500000	24.000000	5.000000	WATER BASED	1991-02-11	1711	9999-12-31	2013-05-08	17318
6406/12-1 S	2546.000000	1.500000	18.000000	4.000000	WATER BASED	1991-02-04	1711	9999-12-31	2013-05-08	17319
6406/12-1 S	2549.000000	1.500000	16.000000	8.000000	WATER BASED	1991-01-28	1711	9999-12-31	2013-05-08	17320
6406/12-1 S	2827.000000	1.500000	20.000000	4.500000	WATER BASED	1991-01-28	1711	9999-12-31	2013-05-08	17321
6406/12-1 S	2918.000000	1.500000	19.000000	5.000000	WATER BASED	1991-01-30	1711	9999-12-31	2013-05-08	17322
6406/12-1 S	3000.000000	1.500000	17.000000	4.500000	WATER BASED	1991-01-30	1711	9999-12-31	2013-05-08	17323
6406/12-1 S	3049.000000	1.500000	21.000000	5.500000	WATER BASED	1991-01-31	1711	9999-12-31	2013-05-08	17324
6406/12-1 S	3053.000000	1.500000	19.000000	5.500000	WATER BASED	1991-02-04	1711	9999-12-31	2013-05-08	17325
6406/12-1 S	3074.000000	1.500000	18.000000	4.000000	WATER BASED	1991-02-04	1711	9999-12-31	2013-05-08	17326
6406/12-1 S	3154.000000	1.500000	21.000000	5.000000	WATER BASED	1991-02-04	1711	9999-12-31	2013-05-08	17327
6406/12-1 S	3252.000000	1.500000	21.000000	5.500000	WATER BASED	1991-02-05	1711	9999-12-31	2013-05-08	17328
6406/12-1 S	3419.000000	1.500000	22.000000	5.500000	WATER BASED	1991-02-07	1711	9999-12-31	2013-05-08	17329
6406/12-1 S	3502.000000	1.500000	22.000000	5.000000	WATER BASED	1991-02-07	1711	9999-12-31	2013-05-08	17330
6406/12-1 S	3504.000000	1.500000	24.000000	5.000000	WATER BASED	1991-02-11	1711	9999-12-31	2013-05-08	17331
6406/12-1 S	3627.000000	1.580000	25.000000	7.000000	WATER BASED	1991-02-21	1711	9999-12-31	2013-05-08	17332
6406/12-1 S	3760.000000	1.550000	26.000000	6.000000	WATER BASED	1991-02-13	1711	9999-12-31	2013-05-08	17333
6406/12-1 S	3816.000000	1.550000	24.000000	7.000000	WATER BASED	1991-02-14	1711	9999-12-31	2013-05-08	17334
6406/12-1 S	3818.000000	1.550000	21.000000	4.500000	WATER BASED	1991-02-15	1711	9999-12-31	2013-05-08	17335
6406/12-1 S	3965.000000	1.580000	26.000000	6.500000	WATER BASED	1991-02-20	1711	9999-12-31	2013-05-08	17336
6406/12-1 S	3965.000000	1.500000	21.000000	6.500000	WATER BASED	1991-02-19	1711	9999-12-31	2013-05-08	17337
6406/12-1 S	3965.000000	1.580000	24.000000	6.500000	WATER BASED	1991-02-22	1711	9999-12-31	2013-05-08	17338
6406/12-1 S	3965.000000	1.580000	24.000000	6.500000	WATER BASED	1991-02-26	1711	9999-12-31	2013-05-08	17339
6406/12-1 S	3965.000000	1.580000	24.000000	6.500000	WATER BASED	1991-02-26	1711	9999-12-31	2013-05-08	17340
6406/12-2	422.000000	1.030000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	2640	9999-12-31	2013-05-08	17341
6406/12-2	2000.000000	1.550000	25.000000	0.000000	ANCO 2000	9999-12-31	2640	9999-12-31	2013-05-08	17342
6406/12-2	2300.000000	1.550000	26.000000	0.000000	ANCO 2000	9999-12-31	2640	9999-12-31	2013-05-08	17343
6406/12-2	2656.000000	1.600000	42.000000	0.000000	ANCO VERT	9999-12-31	2640	9999-12-31	2013-05-08	17344
6406/12-2	3240.000000	1.700000	42.000000	0.000000	ANCO VERT	9999-12-31	2640	9999-12-31	2013-05-08	17345
6406/12-2	3672.000000	1.700000	46.000000	0.000000	ANCO VERT	9999-12-31	2640	9999-12-31	2013-05-08	17346
6406/12-2	3731.000000	1.700000	46.000000	0.000000	ANCO VERT	9999-12-31	2640	9999-12-31	2013-05-08	17347
6406/12-2	3758.000000	1.700000	0.000000	0.000000	DUMMY	9999-12-31	2640	9999-12-31	2013-05-08	17348
6406/12-2	3797.000000	1.700000	45.000000	0.000000	ANCO VERT	9999-12-31	2640	9999-12-31	2013-05-08	17349
6406/12-2	3897.000000	1.700000	0.000000	0.000000	DUMMY	9999-12-31	2640	9999-12-31	2013-05-08	17350
6406/1-3	1020.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	4986	9999-12-31	2013-05-08	17351
6406/1-3	1043.000000	1.200000	0.000000	0.000000	SEAWATER	9999-12-31	4986	9999-12-31	2013-05-08	17352
6406/1-3	1309.000000	1.200000	0.000000	0.000000	SALT MUD	9999-12-31	4986	9999-12-31	2013-05-08	17353
6406/1-3	1314.000000	1.300000	32.000000	0.000000	WBM (PERFOMADRI	9999-12-31	4986	9999-12-31	2013-05-08	17354
6406/1-3	1760.000000	1.320000	34.000000	0.000000	WBM (PERFOMADRI	9999-12-31	4986	9999-12-31	2013-05-08	17355
6406/1-3	2507.000000	1.530000	40.000000	0.000000	WBM (PERFOMADRI	9999-12-31	4986	9999-12-31	2013-05-08	17356
6406/1-3	2510.000000	1.600000	42.000000	0.000000	WBM (PERFOMADRI	9999-12-31	4986	9999-12-31	2013-05-08	17357
6406/1-3	2797.000000	1.700000	30.000000	0.000000	OBM  (XP 07)	9999-12-31	4986	9999-12-31	2013-05-08	17358
6406/1-3	3287.000000	1.710000	31.000000	0.000000	OBM  (XP 07)	9999-12-31	4986	9999-12-31	2013-05-08	17359
6406/1-3	3521.000000	1.800000	46.000000	0.000000	OBM  (XP 07)	9999-12-31	4986	9999-12-31	2013-05-08	17360
6406/1-3	4130.000000	1.840000	44.000000	0.000000	OBM  (XP 07)	9999-12-31	4986	9999-12-31	2013-05-08	17361
6406/1-3	4276.000000	1.920000	47.000000	0.000000	OBM  (XP 07)	9999-12-31	4986	9999-12-31	2013-05-08	17362
6406/1-4	1310.000000	1.390000	27.000000	0.000000	PERFORMADRILL	9999-12-31	5183	9999-12-31	2013-05-08	17363
6406/1-4	1360.000000	1.390000	25.000000	0.000000	PERFORMADRILL	9999-12-31	5183	9999-12-31	2013-05-08	17364
6406/1-4	2315.000000	1.500000	42.000000	0.000000	PERFORMADRILL	9999-12-31	5183	9999-12-31	2013-05-08	17365
6406/1-4	4113.000000	1.850000	59.000000	0.000000	OIL BASED XP 07	9999-12-31	5183	9999-12-31	2013-05-08	17366
6406/1-4	4360.000000	1.880000	53.000000	0.000000	OIL BASED XP 07	9999-12-31	5183	9999-12-31	2013-05-08	17367
6406/1-4	4596.000000	1.880000	50.000000	0.000000	OIL BASED XP 07	9999-12-31	5183	9999-12-31	2013-05-08	17368
6406/2-1	394.000000	1.200000	12.000000	0.000000	WATER BASED	9999-12-31	2444	9999-12-31	2013-05-08	17369
6406/2-1	405.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	2444	9999-12-31	2013-05-08	17370
6406/2-1	937.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	2444	9999-12-31	2013-05-08	17371
6406/2-1	1217.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	2444	9999-12-31	2013-05-08	17372
6406/2-1	1232.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	2444	9999-12-31	2013-05-08	17373
6406/2-1	1495.000000	1.300000	16.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17374
6406/2-1	2635.000000	1.600000	38.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17375
6406/2-1	2785.000000	1.600000	40.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17376
6406/2-1	3040.000000	1.620000	33.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17377
6406/2-1	3126.000000	1.620000	34.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17378
6406/2-1	3155.000000	1.640000	33.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17379
6406/2-1	3485.000000	1.640000	30.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17380
6406/2-1	3493.000000	1.640000	30.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17381
6406/2-1	3498.000000	1.640000	28.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17382
6406/2-1	3630.000000	1.640000	31.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17383
6406/2-1	3690.000000	1.640000	33.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17384
6406/2-1	3753.000000	1.640000	43.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17385
6406/2-1	3873.000000	1.640000	35.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17386
6406/2-1	3993.000000	1.640000	30.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17387
6406/2-1	4166.000000	1.640000	31.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17388
6406/2-1	4305.000000	1.680000	32.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17389
6406/2-1	4315.000000	1.680000	31.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17390
6406/2-1	4353.000000	1.680000	32.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17391
6406/2-1	4384.000000	1.710000	32.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17392
6406/2-1	4419.000000	1.720000	33.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17393
6406/2-1	4520.000000	1.720000	24.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17394
6406/2-1	4631.000000	1.350000	26.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17395
6406/2-1	4703.000000	1.350000	27.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17396
6406/2-1	4749.000000	1.360000	25.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17397
6406/2-1	4750.000000	1.350000	28.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17398
6406/2-1	4825.000000	1.350000	29.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17399
6406/2-1	4825.000000	1.350000	25.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17400
6406/2-1	4825.000000	1.350000	22.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17401
6406/2-1	4839.000000	1.350000	22.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17402
6406/2-1	4897.000000	1.350000	18.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17403
6406/2-1	4897.000000	1.350000	19.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17404
6406/2-1	4909.000000	1.350000	19.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17405
6406/2-1	4929.000000	1.350000	15.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17406
6406/2-1	4963.000000	1.350000	16.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17407
6406/2-1	4996.000000	1.350000	19.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17408
6406/2-1	5022.000000	1.350000	19.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17409
6406/2-1	5050.000000	1.350000	18.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17410
6406/2-1	5068.000000	1.350000	20.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17411
6406/2-1	5091.000000	1.350000	20.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17412
6406/2-1	5135.000000	1.350000	25.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17413
6406/2-1	5149.000000	1.350000	22.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17414
6406/2-1	5149.000000	1.350000	18.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17415
6406/2-1	5183.000000	1.350000	20.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17416
6406/2-1	5201.000000	1.350000	19.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17417
6406/2-1	5292.000000	1.350000	20.000000	0.000000	DUMMY	9999-12-31	2444	9999-12-31	2013-05-08	17418
6406/2-1 R	5295.000000	1.250000	13.000000	11.000000	WATER BASED	1995-08-29	2642	9999-12-31	2013-05-08	17419
6406/2-1 R	5295.000000	1.250000	13.000000	10.000000	WATER BASED	1995-08-28	2642	9999-12-31	2013-05-08	17420
6406/2-1 R	5298.000000	1.250000	12.000000	10.000000	WATER BASED	1995-08-30	2642	9999-12-31	2013-05-08	17421
6406/2-1 R	5324.000000	1.250000	26.000000	12.000000	WATER BASED	1995-09-01	2642	9999-12-31	2013-05-08	17422
6406/2-1 R	5374.000000	1.250000	15.000000	9.000000	WATER BASED	1995-09-04	2642	9999-12-31	2013-05-08	17423
6406/2-1 R	5393.000000	1.250000	16.000000	7.000000	WATER BASED	1995-09-06	2642	9999-12-31	2013-05-08	17424
6406/2-1 R	5431.000000	1.250000	18.000000	10.000000	WATER BASED	1995-09-06	2642	9999-12-31	2013-05-08	17425
6406/2-1 R	5440.000000	1.250000	17.000000	10.000000	WATER BASED	1995-09-06	2642	9999-12-31	2013-05-08	17426
6406/2-1 R	5461.000000	1.250000	19.000000	13.000000	WATER BASED	1995-09-06	2642	9999-12-31	2013-05-08	17427
6406/2-1 R	5461.000000	1.250000	18.000000	13.000000	WATER BASED	1995-09-06	2642	9999-12-31	2013-05-08	17428
6406/2-1 R	5521.000000	1.250000	22.000000	20.000000	WATER BASED	1995-09-07	2642	9999-12-31	2013-05-08	17429
6406/2-1 R	5580.000000	1.250000	23.000000	13.000000	WATER BASED	1995-09-08	2642	9999-12-31	2013-05-08	17430
6406/2-1 R	5637.000000	1.250000	23.000000	13.000000	WATER BASED	1995-09-11	2642	9999-12-31	2013-05-08	17431
6406/2-1 R	5637.000000	1.250000	23.000000	13.000000	WATER BASED	1995-09-11	2642	9999-12-31	2013-05-08	17432
6406/2-1 R	5653.000000	1.250000	21.000000	10.000000	WATER BASED	1995-09-11	2642	9999-12-31	2013-05-08	17433
6406/2-1 R	5654.000000	1.250000	19.000000	7.000000	WATER BASED	1995-09-12	2642	9999-12-31	2013-05-08	17434
6406/2-1 R	5682.000000	1.300000	19.000000	7.000000	WATER BASED	1995-09-13	2642	9999-12-31	2013-05-08	17435
6406/2-1 R	5684.000000	1.300000	24.000000	10.000000	WATER BASED	1995-09-14	2642	9999-12-31	2013-05-08	17436
6406/2-2	387.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2644	9999-12-31	2013-05-08	17437
6406/2-2	470.000000	1.200000	10.000000	0.000000	WATER BASED	9999-12-31	2644	9999-12-31	2013-05-08	17438
6406/2-2	1094.000000	1.200000	10.000000	0.000000	WATER BASED	9999-12-31	2644	9999-12-31	2013-05-08	17439
6406/2-2	1272.000000	1.200000	10.000000	0.000000	WATER BASED	9999-12-31	2644	9999-12-31	2013-05-08	17440
6406/2-2	1272.000000	1.250000	10.000000	0.000000	WATER BASED	9999-12-31	2644	9999-12-31	2013-05-08	17441
6406/2-2	1489.000000	1.300000	26.000000	0.000000	KCL MUD	9999-12-31	2644	9999-12-31	2013-05-08	17442
6406/2-2	2122.000000	1.480000	32.000000	0.000000	KCL MUD	9999-12-31	2644	9999-12-31	2013-05-08	17443
6406/2-2	2598.000000	1.640000	46.000000	0.000000	KCL MUD	9999-12-31	2644	9999-12-31	2013-05-08	17444
6406/2-2	2654.000000	1.640000	46.000000	0.000000	KCL MUD	9999-12-31	2644	9999-12-31	2013-05-08	17445
6406/2-2	2858.000000	1.660000	33.000000	0.000000	KCL MUD	9999-12-31	2644	9999-12-31	2013-05-08	17446
6406/2-2	3204.000000	1.550000	44.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17447
6406/2-2	3450.000000	1.550000	45.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17448
6406/2-2	3539.000000	1.570000	50.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17449
6406/2-2	3840.000000	1.570000	54.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17450
6406/2-2	4157.000000	1.590000	50.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17451
6406/2-2	4215.000000	1.620000	55.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17452
6406/2-2	4215.000000	1.620000	51.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17453
6406/2-2	4450.000000	1.620000	46.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17454
6406/2-2	4474.000000	1.640000	47.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17455
6406/2-2	4486.000000	1.350000	28.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17456
6406/2-2	4589.000000	1.350000	32.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17457
6406/2-2	4626.000000	1.350000	30.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17458
6406/2-2	4648.000000	1.350000	30.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17459
6406/2-2	4685.000000	1.350000	32.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17460
6406/2-2	4759.000000	1.350000	33.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17461
6406/2-2	4828.000000	1.350000	31.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17462
6406/2-2	4868.000000	1.330000	34.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17463
6406/2-2	4942.000000	1.320000	35.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17464
6406/2-2	4980.000000	1.320000	30.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17465
6406/2-2	5017.000000	1.320000	35.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17466
6406/2-2	5054.000000	1.320000	34.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17467
6406/2-2	5129.000000	1.320000	37.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17468
6406/2-2	5182.000000	1.320000	37.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17469
6406/2-2	5236.000000	1.320000	38.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17470
6406/2-2	5248.000000	1.320000	40.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17471
6406/2-2	5292.000000	1.320000	44.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17472
6406/2-2	5336.000000	1.320000	39.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17473
6406/2-2	5367.000000	1.320000	39.000000	0.000000	OIL BASED	9999-12-31	2644	9999-12-31	2013-05-08	17474
6406/2-2 R	310.000000	1.640000	26.000000	0.000000	XP-07 - HPHT 80	9999-12-31	4078	9999-12-31	2013-05-08	17475
6406/2-2 R	312.000000	1.640000	26.000000	0.000000	XP-07 - HPHT 80	9999-12-31	4078	9999-12-31	2013-05-08	17476
6406/2-2 R	339.000000	1.640000	21.000000	0.000000	XP-07 - HPHT 80	9999-12-31	4078	9999-12-31	2013-05-08	17477
6406/2-2 R	490.000000	1.640000	36.000000	0.000000	XP-07 - HPHT 80	9999-12-31	4078	9999-12-31	2013-05-08	17478
6406/2-2 R	2270.000000	1.640000	26.000000	0.000000	XP-07 - HPHT 80	9999-12-31	4078	9999-12-31	2013-05-08	17479
6406/2-2 R	3439.000000	1.640000	21.000000	0.000000	XP-07 - HPHT 80	9999-12-31	4078	9999-12-31	2013-05-08	17480
6406/2-3	680.000000	1.030000	16.000000	0.000000	SPUD MUD	9999-12-31	2849	9999-12-31	2013-05-08	17481
6406/2-3	900.000000	1.030000	16.000000	0.000000	SPUD MUD	9999-12-31	2849	9999-12-31	2013-05-08	17482
6406/2-3	1413.000000	1.200000	18.000000	0.000000	SPUD MUD	9999-12-31	2849	9999-12-31	2013-05-08	17483
6406/2-3	1549.000000	1.300000	20.000000	0.000000	KCL MUD	9999-12-31	2849	9999-12-31	2013-05-08	17484
6406/2-3	2060.000000	1.450000	27.000000	0.000000	KCL MUD	9999-12-31	2849	9999-12-31	2013-05-08	17485
6406/2-3	2525.000000	1.720000	38.000000	0.000000	KCL MUD	9999-12-31	2849	9999-12-31	2013-05-08	17486
6406/2-3	2570.000000	1.720000	46.000000	0.000000	KCL MUD	9999-12-31	2849	9999-12-31	2013-05-08	17487
6406/2-3	2848.000000	1.720000	44.000000	0.000000	KCL MUD	9999-12-31	2849	9999-12-31	2013-05-08	17488
6406/2-3	2860.000000	1.820000	53.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17489
6406/2-3	2872.000000	1.820000	51.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17490
6406/2-3	3170.000000	1.800000	47.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17491
6406/2-3	3389.000000	1.500000	44.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17492
6406/2-3	3490.000000	1.800000	45.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17493
6406/2-3	3580.000000	1.570000	41.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17494
6406/2-3	3591.000000	1.800000	43.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17495
6406/2-3	3689.000000	1.570000	47.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17496
6406/2-3	3753.000000	1.800000	41.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17497
6406/2-3	3802.000000	1.820000	53.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17498
6406/2-3	3971.000000	1.640000	55.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17499
6406/2-3	3975.000000	1.670000	54.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17500
6406/2-3	4017.000000	1.670000	50.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17501
6406/2-3	4050.000000	1.670000	45.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17502
6406/2-3	4054.000000	1.670000	55.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17503
6406/2-3	4070.000000	1.670000	44.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17504
6406/2-3	4080.000000	1.800000	47.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17505
6406/2-3	4087.000000	1.810000	43.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17506
6406/2-3	4180.000000	1.780000	54.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17507
6406/2-3	4276.000000	1.800000	45.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17508
6406/2-3	4378.000000	1.800000	50.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17509
6406/2-3	4402.000000	1.800000	51.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17510
6406/2-3	4424.000000	1.800000	50.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17511
6406/2-3	4448.000000	1.810000	48.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17512
6406/2-3	4460.000000	1.780000	54.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17513
6406/2-3	4527.000000	1.810000	50.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17514
6406/2-3	4550.000000	1.810000	48.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17515
6406/2-3	4554.000000	1.890000	52.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17516
6406/2-3	4580.000000	2.000000	66.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17517
6406/2-3	4593.000000	1.820000	55.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17518
6406/2-3	4596.000000	1.820000	67.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17519
6406/2-3	4597.000000	2.000000	61.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17520
6406/2-3	4598.000000	2.000000	64.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17521
6406/2-3	4603.000000	2.000000	65.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17522
6406/2-3	4614.000000	2.000000	66.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17523
6406/2-3	4626.000000	2.060000	80.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17524
6406/2-3	4632.000000	2.000000	64.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17525
6406/2-3	4634.000000	2.000000	59.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17526
6406/2-3	4635.000000	2.000000	69.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17527
6406/2-3	4661.000000	2.000000	57.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17528
6406/2-3	4662.000000	2.060000	65.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17529
6406/2-3	4671.000000	2.060000	69.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17530
6406/2-3	4699.000000	2.060000	62.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17531
6406/2-3	4719.000000	2.060000	65.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17532
6406/2-3	4728.000000	2.060000	66.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17533
6406/2-3	4742.000000	2.060000	65.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17534
6406/2-3	4754.000000	2.060000	65.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17535
6406/2-3	4777.000000	2.060000	66.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17536
6406/2-3	4778.000000	2.060000	66.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17537
6406/2-3	4806.000000	2.060000	66.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17538
6406/2-3	4806.000000	2.060000	65.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17539
6406/2-3	4843.000000	2.060000	64.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17540
6406/2-3	4897.000000	2.060000	67.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17541
6406/2-3	4926.000000	2.060000	65.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17542
6406/2-3	4976.000000	2.060000	63.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17543
6406/2-3	5000.000000	2.060000	64.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17544
6406/2-3	5020.000000	2.060000	63.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17545
6406/2-3	5038.000000	2.060000	65.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17546
6406/2-3	5063.000000	2.060000	63.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17547
6406/2-3	5066.000000	2.060000	65.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17548
6406/2-3	5081.000000	2.060000	63.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17549
6406/2-3	5123.000000	2.060000	63.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17550
6406/2-3	5169.000000	2.060000	71.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17551
6406/2-3	5258.000000	2.060000	66.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17552
6406/2-3	5258.000000	2.060000	76.000000	0.000000	OIL BASED	9999-12-31	2849	9999-12-31	2013-05-08	17553
6406/2-4 S	0.000000	0.000000	0.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17554
6406/2-4 S	4620.000000	1.350000	26.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17555
6406/2-4 S	4629.000000	1.350000	26.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17556
6406/2-4 S	4663.000000	1.370000	27.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17557
6406/2-4 S	4672.000000	1.430000	34.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17558
6406/2-4 S	4680.000000	1.430000	36.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17559
6406/2-4 S	4684.000000	1.250000	0.000000	0.000000	BRINE	9999-12-31	3012	9999-12-31	2013-05-08	17560
6406/2-4 S	4688.000000	1.430000	39.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17561
6406/2-4 S	4719.000000	1.430000	40.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17562
6406/2-4 S	4722.000000	1.430000	39.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17563
6406/2-4 S	4803.000000	1.430000	40.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17564
6406/2-4 S	4898.000000	1.300000	0.000000	0.000000	BRINE	9999-12-31	3012	9999-12-31	2013-05-08	17565
6406/2-4 S	4935.000000	1.430000	42.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17566
6406/2-4 S	4970.000000	1.430000	40.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17567
6406/2-4 S	5080.000000	1.430000	43.000000	0.000000	OIL BASED	9999-12-31	3012	9999-12-31	2013-05-08	17568
6406/2-5	612.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	3125	9999-12-31	2013-05-08	17569
6406/2-5	900.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	3125	9999-12-31	2013-05-08	17570
6406/2-5	1407.000000	1.300000	23.000000	0.000000	WATER BASED	9999-12-31	3125	9999-12-31	2013-05-08	17571
6406/2-5	1653.000000	1.310000	17.000000	0.000000	KCL MUD	9999-12-31	3125	9999-12-31	2013-05-08	17572
6406/2-5	2235.000000	1.640000	30.000000	0.000000	KCL MUD	9999-12-31	3125	9999-12-31	2013-05-08	17573
6406/2-5	2475.000000	1.670000	31.000000	0.000000	KCL MUD	9999-12-31	3125	9999-12-31	2013-05-08	17574
6406/2-5	3112.000000	1.660000	50.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17575
6406/2-5	3574.000000	1.750000	55.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17576
6406/2-5	3863.000000	1.760000	52.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17577
6406/2-5	4168.000000	1.820000	49.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17578
6406/2-5	4199.000000	1.820000	49.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17579
6406/2-5	4259.000000	1.820000	50.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17580
6406/2-5	4316.000000	1.820000	52.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17581
6406/2-5	4346.000000	1.830000	49.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17582
6406/2-5	4399.000000	1.820000	47.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17583
6406/2-5	4440.000000	1.820000	47.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17584
6406/2-5	4509.000000	1.830000	51.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17585
6406/2-5	4533.000000	1.830000	51.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17586
6406/2-5	4538.000000	2.060000	89.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17587
6406/2-5	4578.000000	2.060000	75.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17588
6406/2-5	4631.000000	2.060000	73.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17589
6406/2-5	4687.000000	2.060000	59.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17590
6406/2-5	4733.000000	2.060000	59.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17591
6406/2-5	4763.000000	2.080000	62.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17592
6406/2-5	4775.000000	2.060000	59.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17593
6406/2-5	4795.000000	2.060000	57.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17594
6406/2-5	4796.000000	2.040000	60.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17595
6406/2-5	4862.000000	2.040000	56.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17596
6406/2-5	4890.000000	2.040000	57.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17597
6406/2-5	4918.000000	2.040000	62.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17598
6406/2-5	4944.000000	2.040000	53.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17599
6406/2-5	4945.000000	2.040000	55.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17600
6406/2-5	4973.000000	2.040000	56.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17601
6406/2-5	4992.000000	2.040000	58.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17602
6406/2-5	5019.000000	2.040000	59.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17603
6406/2-5	5080.000000	2.040000	58.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17604
6406/2-5	5105.000000	2.040000	62.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17605
6406/2-5	5116.000000	2.040000	64.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17606
6406/2-5	5129.000000	2.020000	56.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17607
6406/2-5	5129.000000	2.020000	58.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17608
6406/2-5	5130.000000	2.020000	58.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17609
6406/2-5	5166.000000	2.020000	60.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17610
6406/2-5	5221.000000	2.020000	65.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17611
6406/2-5	5229.000000	2.020000	65.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17612
6406/2-5	5271.000000	2.020000	64.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17613
6406/2-5	5314.000000	2.020000	58.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17614
6406/2-5	5343.000000	2.020000	60.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17615
6406/2-5	5348.000000	2.040000	60.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17616
6406/2-5	5393.000000	2.020000	60.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17617
6406/2-5	5433.000000	2.020000	61.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17618
6406/2-5	5439.000000	1.860000	50.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17619
6406/2-5	5973.000000	2.040000	58.000000	0.000000	OIL BASED	9999-12-31	3125	9999-12-31	2013-05-08	17620
6406/2-5 A	1433.000000	1.450000	27.000000	0.000000	WATER BASED	9999-12-31	3213	9999-12-31	2013-05-08	17621
6406/2-5 A	1731.000000	1.670000	44.000000	0.000000	WATER BASED	9999-12-31	3213	9999-12-31	2013-05-08	17622
6406/2-5 A	1731.000000	1.650000	36.000000	0.000000	KCL MUD	9999-12-31	3213	9999-12-31	2013-05-08	17623
6406/2-5 A	1833.000000	1.460000	29.000000	0.000000	WATER BASED	9999-12-31	3213	9999-12-31	2013-05-08	17624
6406/2-5 A	2022.000000	1.650000	41.000000	0.000000	WATER BASED	9999-12-31	3213	9999-12-31	2013-05-08	17625
6406/2-5 A	2181.000000	1.640000	40.000000	0.000000	KCL MUD	9999-12-31	3213	9999-12-31	2013-05-08	17626
6406/2-5 A	2274.000000	1.640000	30.000000	0.000000	WATER BASED	9999-12-31	3213	9999-12-31	2013-05-08	17627
6406/2-5 A	2643.000000	1.670000	34.000000	0.000000	WATER BASED	9999-12-31	3213	9999-12-31	2013-05-08	17628
6406/2-5 A	2643.000000	1.670000	36.000000	0.000000	KCL MUD	9999-12-31	3213	9999-12-31	2013-05-08	17629
6406/2-5 A	2825.000000	1.650000	50.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17630
6406/2-5 A	2825.000000	1.680000	46.000000	0.000000	KCL MUD	9999-12-31	3213	9999-12-31	2013-05-08	17631
6406/2-5 A	2825.000000	1.680000	46.000000	0.000000	KCL MUD	9999-12-31	3213	9999-12-31	2013-05-08	17632
6406/2-5 A	3510.000000	1.700000	58.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17633
6406/2-5 A	3802.000000	1.730000	52.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17634
6406/2-5 A	4003.000000	1.740000	53.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17635
6406/2-5 A	4098.000000	1.740000	55.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17636
6406/2-5 A	4200.000000	1.740000	54.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17637
6406/2-5 A	4379.000000	1.740000	56.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17638
6406/2-5 A	4404.000000	1.740000	58.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17639
6406/2-5 A	4533.000000	1.750000	56.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17640
6406/2-5 A	4690.000000	1.780000	53.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17641
6406/2-5 A	4763.000000	1.810000	55.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17642
6406/2-5 A	4860.000000	1.820000	57.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17643
6406/2-5 A	4949.000000	1.820000	63.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17644
6406/2-5 A	5104.000000	1.820000	55.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17645
6406/2-5 A	5143.000000	1.820000	55.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17646
6406/2-5 A	5149.000000	2.000000	74.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17647
6406/2-5 A	5157.000000	2.000000	62.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17648
6406/2-5 A	5184.000000	2.000000	57.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17649
6406/2-5 A	5218.000000	2.020000	60.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17650
6406/2-5 A	5277.000000	2.020000	61.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17651
6406/2-5 A	5302.000000	2.040000	60.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17652
6406/2-5 A	5325.000000	2.040000	67.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17653
6406/2-5 A	5354.000000	2.040000	65.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17654
6406/2-5 A	5391.000000	2.040000	65.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17655
6406/2-5 A	5429.000000	2.040000	0.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17656
6406/2-5 A	5491.000000	2.040000	71.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17657
6406/2-5 A	5528.000000	2.040000	70.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17658
6406/2-5 A	5555.000000	2.040000	87.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17659
6406/2-5 A	5600.000000	2.040000	87.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17660
6406/2-5 A	5600.000000	2.040000	80.000000	0.000000	OIL BASED	9999-12-31	3213	9999-12-31	2013-05-08	17661
6406/2-5 A	5600.000000	1.240000	0.000000	0.000000	BRINE	9999-12-31	3213	9999-12-31	2013-05-08	17662
6406/2-6	585.000000	1.200000	7.000000	0.000000	WATER BASED	9999-12-31	3407	9999-12-31	2013-05-08	17663
6406/2-6	660.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	3407	9999-12-31	2013-05-08	17664
6406/2-6	685.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	3407	9999-12-31	2013-05-08	17665
6406/2-6	1413.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	3407	9999-12-31	2013-05-08	17666
6406/2-6	1418.000000	1.300000	28.000000	0.000000	WATER BASED	9999-12-31	3407	9999-12-31	2013-05-08	17667
6406/2-6	2549.000000	1.680000	45.000000	0.000000	WATER BASED	9999-12-31	3407	9999-12-31	2013-05-08	17668
6406/2-6	2760.000000	1.680000	51.000000	0.000000	WATER BASED	9999-12-31	3407	9999-12-31	2013-05-08	17669
6406/2-6	3236.000000	1.640000	43.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17670
6406/2-6	3661.000000	1.700000	48.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17671
6406/2-6	3825.000000	1.740000	47.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17672
6406/2-6	4053.000000	1.740000	49.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17673
6406/2-6	4415.000000	1.850000	52.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17674
6406/2-6	4430.000000	2.040000	62.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17675
6406/2-6	4504.000000	2.040000	58.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17676
6406/2-6	4525.000000	2.040000	59.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17677
6406/2-6	4531.000000	2.040000	59.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17678
6406/2-6	4575.000000	2.020000	58.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17679
6406/2-6	4665.000000	2.040000	63.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17680
6406/2-6	4700.000000	2.040000	63.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17681
6406/2-6	4872.000000	2.040000	62.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17682
6406/2-6	4913.000000	2.040000	61.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17683
6406/2-6	5030.000000	2.040000	68.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17684
6406/2-6	5086.000000	2.040000	72.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17685
6406/2-6	5263.000000	2.040000	73.000000	0.000000	OIL BASED	9999-12-31	3407	9999-12-31	2013-05-08	17686
6406/2-6 A	805.000000	1.860000	42.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17687
6406/2-6 A	3071.000000	1.700000	45.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17688
6406/2-6 A	3315.000000	1.700000	44.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17689
6406/2-6 A	3386.000000	1.700000	44.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17690
6406/2-6 A	3718.000000	1.700000	36.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17691
6406/2-6 A	3926.000000	1.750000	42.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17692
6406/2-6 A	4100.000000	1.750000	36.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17693
6406/2-6 A	4212.000000	1.750000	38.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17694
6406/2-6 A	4500.000000	2.020000	50.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17695
6406/2-6 A	4561.000000	1.850000	45.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17696
6406/2-6 A	4626.000000	2.020000	49.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17697
6406/2-6 A	4673.000000	1.860000	45.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17698
6406/2-6 A	4758.000000	2.040000	55.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17699
6406/2-6 A	4826.000000	2.040000	46.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17700
6406/2-6 A	4832.000000	2.020000	50.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17701
6406/2-6 A	4849.000000	2.040000	48.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17702
6406/2-6 A	4948.000000	2.040000	48.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17703
6406/2-6 A	4996.000000	2.020000	45.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17704
6406/2-6 A	5011.000000	2.020000	46.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17705
6406/2-6 A	5018.000000	2.020000	46.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17706
6406/2-6 A	5061.000000	2.020000	49.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17707
6406/2-6 A	5119.000000	2.020000	50.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17708
6406/2-6 A	5151.000000	2.020000	49.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17709
6406/2-6 A	5159.000000	2.020000	50.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17710
6406/2-6 A	5251.000000	2.020000	50.000000	0.000000	VERSAPRO	9999-12-31	4094	9999-12-31	2013-05-08	17711
6406/2-7	512.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	3878	9999-12-31	2013-05-08	17712
6406/2-7	1406.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	3878	9999-12-31	2013-05-08	17713
6406/2-7	1406.000000	1.390000	22.000000	0.000000	KCL MUD	9999-12-31	3878	9999-12-31	2013-05-08	17714
6406/2-7	1463.000000	1.390000	19.000000	0.000000	KCL MUD	9999-12-31	3878	9999-12-31	2013-05-08	17715
6406/2-7	2562.000000	1.680000	35.000000	0.000000	KCL MUD	9999-12-31	3878	9999-12-31	2013-05-08	17716
6406/2-7	2719.000000	1.680000	50.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17717
6406/2-7	3648.000000	1.720000	44.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17718
6406/2-7	4040.000000	1.720000	43.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17719
6406/2-7	4200.000000	1.860000	52.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17720
6406/2-7	4315.000000	1.860000	48.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17721
6406/2-7	4401.000000	1.860000	48.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17722
6406/2-7	4417.000000	1.870000	46.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17723
6406/2-7	4463.000000	1.870000	46.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17724
6406/2-7	4464.000000	1.880000	47.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17725
6406/2-7	4469.000000	2.040000	50.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17726
6406/2-7	4555.000000	2.040000	50.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17727
6406/2-7	4573.000000	2.040000	50.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17728
6406/2-7	4594.000000	2.060000	51.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17729
6406/2-7	4600.000000	2.060000	53.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17730
6406/2-7	4625.000000	2.060000	54.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17731
6406/2-7	4729.000000	2.060000	55.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17732
6406/2-7	4930.000000	1.350000	0.000000	0.000000	BRINE	9999-12-31	3878	9999-12-31	2013-05-08	17733
6406/2-7	4930.000000	2.060000	14.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17734
6406/2-7	4981.000000	2.060000	56.000000	0.000000	OIL BASED	9999-12-31	3878	9999-12-31	2013-05-08	17735
6406/3-1	292.000000	1.030000	0.000000	0.000000	WATER BASED	1984-05-07	108	9999-12-31	2013-05-08	17736
6406/3-1	347.000000	1.030000	0.000000	0.000000	WATER BASED	1984-05-07	108	9999-12-31	2013-05-08	17737
6406/3-1	353.000000	1.030000	0.000000	0.000000	WATER BASED	1984-05-10	108	9999-12-31	2013-05-08	17738
6406/3-1	354.000000	1.060000	5.000000	0.000000	WATER BASED	1984-05-10	108	9999-12-31	2013-05-08	17739
6406/3-1	556.000000	1.080000	8.000000	0.000000	WATER BASED	1984-05-10	108	9999-12-31	2013-05-08	17740
6406/3-1	716.000000	1.080000	4.000000	0.000000	WATER BASED	1984-05-10	108	9999-12-31	2013-05-08	17741
6406/3-1	754.000000	1.080000	6.000000	0.000000	WATER BASED	1984-05-10	108	9999-12-31	2013-05-08	17742
6406/3-1	805.000000	1.080000	5.000000	0.000000	WATER BASED	1984-05-10	108	9999-12-31	2013-05-08	17743
6406/3-1	906.000000	1.100000	3.000000	0.000000	WATER BASED	1984-05-10	108	9999-12-31	2013-05-08	17744
6406/3-1	930.000000	1.110000	6.000000	0.000000	WATER BASED	1984-05-13	108	9999-12-31	2013-05-08	17745
6406/3-1	968.000000	1.110000	6.000000	0.000000	WATER BASED	1984-05-13	108	9999-12-31	2013-05-08	17746
6406/3-1	1000.000000	1.120000	8.000000	0.000000	WATER BASED	1984-05-13	108	9999-12-31	2013-05-08	17747
6406/3-1	1350.000000	1.120000	8.000000	0.000000	WATER BASED	1984-05-13	108	9999-12-31	2013-05-08	17748
6406/3-1	1570.000000	1.170000	15.000000	0.000000	WATER BASED	1984-05-13	108	9999-12-31	2013-05-08	17749
6406/3-1	1617.000000	1.180000	14.000000	0.000000	WATER BASED	1984-05-13	108	9999-12-31	2013-05-08	17750
6406/3-1	1654.000000	1.300000	17.000000	0.000000	WATER BASED	1984-05-13	108	9999-12-31	2013-05-08	17751
6406/3-1	1750.000000	1.380000	18.000000	0.000000	WATER BASED	1984-05-13	108	9999-12-31	2013-05-08	17752
6406/3-1	1860.000000	1.380000	15.000000	0.000000	WATER BASED	1984-05-13	108	9999-12-31	2013-05-08	17753
6406/3-1	2038.000000	1.530000	13.000000	0.000000	WATER BASED	1984-05-14	108	9999-12-31	2013-05-08	17754
6406/3-1	2095.000000	1.530000	13.000000	0.000000	WATER BASED	1984-05-14	108	9999-12-31	2013-05-08	17755
6406/3-1	2112.000000	1.590000	13.000000	0.000000	WATER BASED	1984-05-17	108	9999-12-31	2013-05-08	17756
6406/3-1	2160.000000	1.710000	14.000000	0.000000	WATER BASED	1984-05-20	108	9999-12-31	2013-05-08	17757
6406/3-1	2160.000000	1.710000	14.000000	0.000000	WATER BASED	1984-05-20	108	9999-12-31	2013-05-08	17758
6406/3-1	2160.000000	1.700000	14.000000	0.000000	WATER BASED	1984-05-20	108	9999-12-31	2013-05-08	17759
6406/3-1	2169.000000	1.590000	15.000000	0.000000	WATER BASED	1984-05-17	108	9999-12-31	2013-05-08	17760
6406/3-1	2177.000000	1.720000	14.000000	0.000000	WATER BASED	1984-05-20	108	9999-12-31	2013-05-08	17761
6406/3-1	2180.000000	1.770000	17.000000	0.000000	WATER BASED	1984-05-24	108	9999-12-31	2013-05-08	17762
6406/3-1	2186.000000	1.700000	13.000000	0.000000	WATER BASED	1984-05-20	108	9999-12-31	2013-05-08	17763
6406/3-1	2188.000000	1.770000	17.000000	9.600000	WATER BASED	1984-05-28	108	9999-12-31	2013-05-08	17764
6406/3-1	2351.000000	1.820000	22.000000	8.200000	WATER BASED	1984-05-28	108	9999-12-31	2013-05-08	17765
6406/3-1	2399.000000	1.850000	24.000000	9.600000	WATER BASED	1984-05-28	108	9999-12-31	2013-05-08	17766
6406/3-1	2500.000000	1.850000	25.000000	9.000000	WATER BASED	1984-05-28	108	9999-12-31	2013-05-08	17767
6406/3-1	2820.000000	1.850000	25.000000	8.200000	WATER BASED	1984-05-31	108	9999-12-31	2013-05-08	17768
6406/3-1	2932.000000	1.850000	24.000000	7.200000	WATER BASED	1984-06-01	108	9999-12-31	2013-05-08	17769
6406/3-1	3061.000000	1.850000	22.000000	8.000000	WATER BASED	1984-06-04	108	9999-12-31	2013-05-08	17770
6406/3-1	3775.000000	1.850000	20.000000	7.300000	WATER BASED	1984-06-18	108	9999-12-31	2013-05-08	17771
6406/3-1	3775.000000	1.600000	15.000000	8.500000	WATER BASED	1984-06-18	108	9999-12-31	2013-05-08	17772
6406/3-1	3775.000000	1.600000	15.000000	8.500000	WATER BASED	1984-06-18	108	9999-12-31	2013-05-08	17773
6406/3-1	3782.000000	1.400000	12.000000	5.400000	WATER BASED	1984-06-20	108	9999-12-31	2013-05-08	17774
6406/3-1	3784.000000	1.400000	25.000000	3.700000	WATER BASED	1984-06-20	108	9999-12-31	2013-05-08	17775
6406/3-1	3847.000000	1.870000	26.000000	0.000000	WATER BASED	1984-06-22	108	9999-12-31	2013-05-08	17776
6406/3-1	3857.000000	1.890000	31.000000	5.800000	WATER BASED	1984-06-25	108	9999-12-31	2013-05-08	17777
6406/3-1	3872.000000	1.890000	35.000000	7.100000	WATER BASED	1984-06-25	108	9999-12-31	2013-05-08	17778
6406/3-1	3930.000000	1.890000	34.000000	6.200000	WATER BASED	1984-06-25	108	9999-12-31	2013-05-08	17779
6406/3-1	4340.000000	1.890000	23.000000	3.000000	WATER BASED	1984-07-31	108	9999-12-31	2013-05-08	17780
6406/3-1	4469.000000	1.890000	32.000000	7.000000	WATER BASED	1984-07-12	108	9999-12-31	2013-05-08	17781
6406/3-1	4498.000000	1.890000	32.000000	6.000000	WATER BASED	1984-07-12	108	9999-12-31	2013-05-08	17782
6406/3-1	4498.000000	1.860000	33.000000	5.000000	WATER BASED	1984-07-13	108	9999-12-31	2013-05-08	17783
6406/3-1	4498.000000	1.860000	33.000000	5.000000	WATER BASED	1984-07-13	108	9999-12-31	2013-05-08	17784
6406/3-1	4498.000000	1.890000	38.000000	7.000000	WATER BASED	1984-07-12	108	9999-12-31	2013-05-08	17785
6406/3-1	4498.000000	1.890000	32.000000	5.000000	WATER BASED	1984-07-12	108	9999-12-31	2013-05-08	17786
6406/3-1	4498.000000	1.860000	21.000000	4.000000	WATER BASED	1984-07-12	108	9999-12-31	2013-05-08	17787
6406/3-1	4498.000000	1.860000	33.000000	4.000000	WATER BASED	1984-07-12	108	9999-12-31	2013-05-08	17788
6406/3-1	4498.000000	1.890000	32.000000	6.000000	WATER BASED	1984-07-12	108	9999-12-31	2013-05-08	17789
6406/3-1	4498.000000	1.890000	32.000000	5.000000	WATER BASED	1984-07-12	108	9999-12-31	2013-05-08	17790
6406/3-1	4498.000000	1.860000	21.000000	4.000000	WATER BASED	1984-07-12	108	9999-12-31	2013-05-08	17791
6406/3-1	4498.000000	1.860000	33.000000	4.000000	WATER BASED	1984-07-12	108	9999-12-31	2013-05-08	17792
6406/3-1	4505.000000	1.740000	23.000000	4.000000	WATER BASED	1984-07-16	108	9999-12-31	2013-05-08	17793
6406/3-1	4521.000000	1.740000	24.000000	5.000000	WATER BASED	1984-07-17	108	9999-12-31	2013-05-08	17794
6406/3-1	4537.000000	1.740000	25.000000	6.000000	WATER BASED	1984-07-17	108	9999-12-31	2013-05-08	17795
6406/3-1	4549.000000	1.740000	24.000000	6.000000	WATER BASED	1984-07-17	108	9999-12-31	2013-05-08	17796
6406/3-1	4601.000000	1.740000	24.000000	5.000000	WATER BASED	1984-07-18	108	9999-12-31	2013-05-08	17797
6406/3-1	4649.000000	1.740000	23.000000	5.000000	WATER BASED	1984-07-19	108	9999-12-31	2013-05-08	17798
6406/3-1	4699.000000	1.740000	24.000000	6.000000	WATER BASED	1984-07-20	108	9999-12-31	2013-05-08	17799
6406/3-1	4763.000000	1.740000	23.000000	6.000000	WATER BASED	1984-07-24	108	9999-12-31	2013-05-08	17800
6406/3-1	4902.000000	1.740000	21.000000	40.000000	WATER BASED	1984-07-30	108	9999-12-31	2013-05-08	17801
6406/3-2	436.000000	1.100000	60.000000	0.000000	WATERBASED	1986-06-30	863	9999-12-31	2013-05-08	17802
6406/3-2	677.000000	1.120000	57.000000	23.800000	WATERBASED	1986-07-01	863	9999-12-31	2013-05-08	17803
6406/3-2	965.000000	0.000000	40.000000	25.200000	WATERBASED	1986-07-04	863	9999-12-31	2013-05-08	17804
6406/3-2	965.000000	1.120000	41.000000	25.900000	WATERBASED	1986-07-02	863	9999-12-31	2013-05-08	17805
6406/3-2	965.000000	0.000000	41.000000	24.500000	WATERBASED	1986-07-06	863	9999-12-31	2013-05-08	17806
6406/3-2	965.000000	1.120000	44.000000	19.100000	WATER BASED	1986-07-06	863	9999-12-31	2013-05-08	17807
6406/3-2	965.000000	1.230000	42.000000	4.300000	WATER BASED	1986-07-06	863	9999-12-31	2013-05-08	17808
6406/3-2	1030.000000	1.120000	57.000000	12.000000	WATER BASED	1986-07-10	863	9999-12-31	2013-05-08	17809
6406/3-2	1380.000000	1.140000	53.000000	8.600000	WATER BASED	1986-07-13	863	9999-12-31	2013-05-08	17810
6406/3-2	1571.000000	1.200000	58.000000	7.700000	WATER BASED	1986-07-13	863	9999-12-31	2013-05-08	17811
6406/3-2	1972.000000	1.210000	65.000000	12.600000	WATERBASED	1986-07-13	863	9999-12-31	2013-05-08	17812
6406/3-2	2216.000000	1.500000	80.000000	20.300000	WATERBASED	1986-07-14	863	9999-12-31	2013-05-08	17813
6406/3-2	2298.000000	0.000000	72.000000	16.800000	WATERBASED	1986-07-16	863	9999-12-31	2013-05-08	17814
6406/3-2	2298.000000	0.000000	61.000000	14.000000	WATERBASED	1986-07-17	863	9999-12-31	2013-05-08	17815
6406/3-2	2298.000000	1.550000	75.000000	17.500000	WATERBASED	1986-07-15	863	9999-12-31	2013-05-08	17816
6406/3-2	2298.000000	0.000000	71.000000	12.600000	WATERBASED	1986-07-20	863	9999-12-31	2013-05-08	17817
6406/3-2	2298.000000	0.000000	72.000000	13.300000	WATERBASED	1986-07-20	863	9999-12-31	2013-05-08	17818
6406/3-2	2298.000000	0.000000	60.000000	12.600000	WATERBASED	1986-07-20	863	9999-12-31	2013-05-08	17819
6406/3-2	2301.000000	1.610000	61.000000	14.000000	WATERBASED	1986-07-21	863	9999-12-31	2013-05-08	17820
6406/3-2	2301.000000	0.000000	59.000000	11.900000	WATERBASED	1986-07-22	863	9999-12-31	2013-05-08	17821
6406/3-2	2379.000000	1.610000	51.000000	11.200000	WATERBASED	1986-07-23	863	9999-12-31	2013-05-08	17822
6406/3-2	2498.000000	1.800000	72.000000	12.600000	WATERBASED	1986-07-24	863	9999-12-31	2013-05-08	17823
6406/3-2	2581.000000	1.800000	82.000000	17.500000	WATERBASED	1986-07-28	863	9999-12-31	2013-05-08	17824
6406/3-2	2741.000000	1.800000	65.000000	16.100000	WATERBASED	1986-07-28	863	9999-12-31	2013-05-08	17825
6406/3-2	2827.000000	1.800000	55.000000	14.000000	WATERBASED	1986-07-28	863	9999-12-31	2013-05-08	17826
6406/3-2	2911.000000	1.800000	60.000000	14.000000	WATERBASED	1986-07-28	863	9999-12-31	2013-05-08	17827
6406/3-2	2937.000000	1.800000	56.000000	14.000000	WATERBASED	1986-07-30	863	9999-12-31	2013-05-08	17828
6406/3-2	2974.000000	1.800000	52.000000	14.700000	WATERBASED	1986-07-31	863	9999-12-31	2013-05-08	17829
6406/3-2	2994.000000	1.800000	47.000000	9.100000	WATERBASED	1986-08-01	863	9999-12-31	2013-05-08	17830
6406/3-2	3045.000000	1.800000	54.000000	11.200000	WATERBASED	1986-08-04	863	9999-12-31	2013-05-08	17831
6406/3-2	3106.000000	1.800000	52.000000	9.800000	WATERBASED	1986-08-04	863	9999-12-31	2013-05-08	17832
6406/3-2	3163.000000	1.800000	55.000000	11.200000	WATERBASED	1986-08-04	863	9999-12-31	2013-05-08	17833
6406/3-2	3223.000000	1.800000	54.000000	9.800000	WATERBASED	1986-08-05	863	9999-12-31	2013-05-08	17834
6406/3-2	3287.000000	1.800000	55.000000	10.500000	WATERBASED	1986-08-06	863	9999-12-31	2013-05-08	17835
6406/3-2	3344.000000	1.800000	57.000000	10.500000	WATERBASED	1986-08-07	863	9999-12-31	2013-05-08	17836
6406/3-2	3402.000000	1.800000	53.000000	10.500000	WATERBASED	1986-08-08	863	9999-12-31	2013-05-08	17837
6406/3-2	3453.000000	1.800000	51.000000	10.500000	WATERBASED	1986-08-11	863	9999-12-31	2013-05-08	17838
6406/3-2	3511.000000	1.800000	51.000000	11.200000	WATERBASED	1986-08-11	863	9999-12-31	2013-05-08	17839
6406/3-2	3527.000000	1.800000	51.000000	10.500000	WATERBASED	1986-08-11	863	9999-12-31	2013-05-08	17840
6406/3-2	3554.000000	1.800000	53.000000	11.200000	WATERBASED	1986-08-12	863	9999-12-31	2013-05-08	17841
6406/3-2	3622.000000	1.800000	51.000000	10.500000	WATERBASED	1986-08-13	863	9999-12-31	2013-05-08	17842
6406/3-2	3696.000000	1.800000	48.000000	11.200000	WATERBASED	1986-08-14	863	9999-12-31	2013-05-08	17843
6406/3-2	3707.000000	1.800000	48.000000	12.000000	WATERBASED	1986-08-18	863	9999-12-31	2013-05-08	17844
6406/3-2	3780.000000	1.800000	47.000000	12.000000	WATERBASED	1986-08-18	863	9999-12-31	2013-05-08	17845
6406/3-2	3840.000000	1.800000	48.000000	11.000000	WATERBASED	1986-08-18	863	9999-12-31	2013-05-08	17846
6406/3-2	3850.000000	1.800000	50.000000	13.300000	WATERBASED	1986-08-18	863	9999-12-31	2013-05-08	17847
6406/3-2	3872.000000	1.800000	48.000000	11.200000	WATERBASED	1986-08-19	863	9999-12-31	2013-05-08	17848
6406/3-2	3904.000000	1.800000	47.000000	13.300000	WATERBASED	1986-08-20	863	9999-12-31	2013-05-08	17849
6406/3-2	3913.000000	1.260000	53.000000	7.000000	WATERBASED	1986-09-01	863	9999-12-31	2013-05-08	17850
6406/3-2	3930.000000	0.000000	52.000000	14.000000	WATERBASED	1986-08-22	863	9999-12-31	2013-05-08	17851
6406/3-2	3930.000000	0.000000	58.000000	13.300000	WATERBASED	1986-08-25	863	9999-12-31	2013-05-08	17852
6406/3-2	3930.000000	0.000000	52.000000	13.300000	WATERBASED	1986-08-25	863	9999-12-31	2013-05-08	17853
6406/3-2	3930.000000	1.800000	49.000000	13.300000	WATERBASED	1986-08-21	863	9999-12-31	2013-05-08	17854
6406/3-2	3930.000000	0.000000	52.000000	14.000000	WATERBASED	1986-08-25	863	9999-12-31	2013-05-08	17855
6406/3-2	3931.000000	1.360000	44.000000	5.600000	WATERBASED	1986-08-27	863	9999-12-31	2013-05-08	17856
6406/3-2	3935.000000	1.370000	40.000000	6.300000	WATERBASED	1986-08-28	863	9999-12-31	2013-05-08	17857
6406/3-2	3947.000000	1.360000	50.000000	6.300000	WATERBASED	1986-08-29	863	9999-12-31	2013-05-08	17858
6406/3-2	3965.000000	1.350000	50.000000	7.000000	WATERBASED	1986-09-01	863	9999-12-31	2013-05-08	17859
6406/3-2	3983.000000	1.250000	56.000000	7.000000	WATERBASED	1986-09-01	863	9999-12-31	2013-05-08	17860
6406/3-2	4001.000000	1.230000	57.000000	7.000000	WATERBASED	1986-09-02	863	9999-12-31	2013-05-08	17861
6406/3-2	4031.000000	1.230000	56.000000	6.300000	WATERBASED	1986-09-04	863	9999-12-31	2013-05-08	17862
6406/3-2	4048.000000	1.230000	60.000000	7.000000	WATERBASED	1986-09-04	863	9999-12-31	2013-05-08	17863
6406/3-2	4060.000000	1.230000	58.000000	7.000000	WATERBASED	1986-09-05	863	9999-12-31	2013-05-08	17864
6406/3-2	4094.000000	1.230000	58.000000	7.000000	WATERBASED	1986-09-08	863	9999-12-31	2013-05-08	17865
6406/3-2	4161.000000	1.260000	55.000000	7.700000	WATER BASED	1986-10-14	863	9999-12-31	2013-05-08	17866
6406/3-2	4161.000000	1.260000	60.000000	8.400000	WATER BASED	1986-10-16	863	9999-12-31	2013-05-08	17867
6406/3-2	4161.000000	1.270000	60.000000	9.100000	WATER BASED	1986-10-24	863	9999-12-31	2013-05-08	17868
6406/3-2	4161.000000	1.260000	63.000000	10.500000	WATER BASED	1986-10-23	863	9999-12-31	2013-05-08	17869
6406/3-2	4161.000000	1.260000	60.000000	10.500000	WATER BASED	1986-10-21	863	9999-12-31	2013-05-08	17870
6406/3-2	4161.000000	1.260000	55.000000	7.000000	WATER BASED	1986-10-20	863	9999-12-31	2013-05-08	17871
6406/3-2	4161.000000	1.260000	60.000000	10.500000	WATER BASED	1986-10-20	863	9999-12-31	2013-05-08	17872
6406/3-2	4161.000000	1.260000	56.000000	7.700000	WATER BASED	1986-10-17	863	9999-12-31	2013-05-08	17873
6406/3-2	4161.000000	1.260000	55.000000	9.100000	WATER BASED	1986-10-20	863	9999-12-31	2013-05-08	17874
6406/3-2	4161.000000	1.260000	60.000000	8.400000	WATER BASED	1986-10-15	863	9999-12-31	2013-05-08	17875
6406/3-2	4161.000000	1.260000	63.000000	9.800000	WATER BASED	1986-11-17	863	9999-12-31	2013-05-08	17876
6406/3-2	4161.000000	1.260000	60.000000	9.800000	WATER BASED	1986-10-31	863	9999-12-31	2013-05-08	17877
6406/3-2	4161.000000	1.260000	60.000000	10.500000	WATER BASED	1986-10-30	863	9999-12-31	2013-05-08	17878
6406/3-2	4161.000000	1.260000	60.000000	9.100000	WATER BASED	1986-10-29	863	9999-12-31	2013-05-08	17879
6406/3-2	4161.000000	0.000000	60.000000	9.300000	WATERBASED	1986-10-27	863	9999-12-31	2013-05-08	17880
6406/3-2	4161.000000	1.260000	60.000000	9.300000	WATER BASED	1986-10-27	863	9999-12-31	2013-05-08	17881
6406/3-2	4161.000000	1.260000	60.000000	9.100000	WATER BASED	1986-10-28	863	9999-12-31	2013-05-08	17882
6406/3-2	4161.000000	0.000000	60.000000	9.100000	WATERBASED	1986-10-27	863	9999-12-31	2013-05-08	17883
6406/3-2	4164.000000	1.230000	55.000000	7.000000	WATERBASED	1986-09-08	863	9999-12-31	2013-05-08	17884
6406/3-2	4168.000000	1.230000	62.000000	7.000000	WATERBASED	1986-09-09	863	9999-12-31	2013-05-08	17885
6406/3-2	4212.000000	1.230000	56.000000	6.300000	WATERBASED	1986-09-10	863	9999-12-31	2013-05-08	17886
6406/3-2	4282.000000	1.230000	62.000000	8.400000	WATERBASED	1986-09-11	863	9999-12-31	2013-05-08	17887
6406/3-2	4299.000000	1.230000	58.000000	7.700000	WATERBASED	1986-09-12	863	9999-12-31	2013-05-08	17888
6406/3-2	4300.000000	1.380000	58.000000	5.600000	WATERBASED	1986-10-06	863	9999-12-31	2013-05-08	17889
6406/3-2	4327.000000	1.230000	59.000000	6.300000	WATERBASED	1986-09-15	863	9999-12-31	2013-05-08	17890
6406/3-2	4343.000000	1.260000	60.000000	7.000000	WATERBASED	1986-09-18	863	9999-12-31	2013-05-08	17891
6406/3-2	4347.000000	1.230000	62.000000	7.700000	WATER BASED	1986-09-15	863	9999-12-31	2013-05-08	17892
6406/3-2	4353.000000	1.260000	64.000000	8.400000	WATER BASED	1986-10-07	863	9999-12-31	2013-05-08	17893
6406/3-2	4353.000000	1.380000	64.000000	7.700000	WATERBASED	1986-10-06	863	9999-12-31	2013-05-08	17894
6406/3-2	4353.000000	1.260000	55.000000	7.000000	WATER BASED	1986-10-13	863	9999-12-31	2013-05-08	17895
6406/3-2	4353.000000	1.260000	55.000000	7.700000	WATER BASED	1986-10-13	863	9999-12-31	2013-05-08	17896
6406/3-2	4353.000000	1.260000	62.000000	7.700000	WATER BASED	1986-10-09	863	9999-12-31	2013-05-08	17897
6406/3-2	4353.000000	1.260000	60.000000	7.000000	WATER BASED	1986-10-10	863	9999-12-31	2013-05-08	17898
6406/3-2	4377.000000	1.260000	55.000000	6.300000	WATERBASED	1986-09-23	863	9999-12-31	2013-05-08	17899
6406/3-2	4378.000000	0.000000	62.000000	7.700000	WATERBASED	1986-09-19	863	9999-12-31	2013-05-08	17900
6406/3-2	4378.000000	0.000000	60.000000	7.000000	WATERBASED	1986-09-17	863	9999-12-31	2013-05-08	17901
6406/3-2	4378.000000	0.000000	61.000000	7.000000	WATERBASED	1986-09-16	863	9999-12-31	2013-05-08	17902
6406/3-2	4378.000000	1.230000	62.000000	7.700000	WATERBASED	1986-09-15	863	9999-12-31	2013-05-08	17903
6406/3-2	4380.000000	0.000000	53.000000	6.300000	WATERBASED	1986-09-22	863	9999-12-31	2013-05-08	17904
6406/3-2	4380.000000	1.260000	55.000000	6.300000	WATERBASED	1986-09-22	863	9999-12-31	2013-05-08	17905
6406/3-2	4380.000000	0.000000	58.000000	6.300000	WATERBASED	1986-09-22	863	9999-12-31	2013-05-08	17906
6406/3-2	4380.000000	0.000000	68.000000	8.400000	WATERBASED	1986-09-24	863	9999-12-31	2013-05-08	17907
6406/3-2	4400.000000	1.350000	57.000000	6.300000	WATERBASED	1986-09-25	863	9999-12-31	2013-05-08	17908
6406/3-2	4420.000000	1.620000	63.000000	7.000000	WATERBASED	1986-09-26	863	9999-12-31	2013-05-08	17909
6406/3-2	4429.000000	1.620000	55.000000	6.300000	WATERBASED	1986-09-29	863	9999-12-31	2013-05-08	17910
6406/3-2	4513.000000	1.620000	59.000000	7.000000	WATERBASED	1986-09-29	863	9999-12-31	2013-05-08	17911
6406/3-2	4523.000000	0.000000	60.000000	5.600000	WATERBASED	1986-09-30	863	9999-12-31	2013-05-08	17912
6406/3-2	4523.000000	0.000000	62.000000	5.600000	WATERBASED	1986-10-01	863	9999-12-31	2013-05-08	17913
6406/3-2	4523.000000	1.620000	60.000000	5.600000	WATERBASED	1986-09-29	863	9999-12-31	2013-05-08	17914
6406/3-2	4523.000000	0.000000	53.000000	4.900000	WATERBASED	1986-10-02	863	9999-12-31	2013-05-08	17915
6406/3-2	4523.000000	0.000000	60.000000	4.900000	WATERBASED	1986-10-03	863	9999-12-31	2013-05-08	17916
6406/3-2	4523.000000	0.000000	60.000000	4.900000	WATERBASED	1986-10-06	863	9999-12-31	2013-05-08	17917
6406/3-2	4523.000000	0.000000	60.000000	5.700000	WATERBASED	1986-10-06	863	9999-12-31	2013-05-08	17918
6406/3-3	444.000000	1.040000	35.000000	15.400000	WATERBASED	1986-08-06	949	9999-12-31	2013-05-08	17919
6406/3-3	446.000000	1.120000	37.000000	19.600000	WATERBASED	1986-08-07	949	9999-12-31	2013-05-08	17920
6406/3-3	757.000000	1.120000	42.000000	23.100000	WATERBASED	1986-08-08	949	9999-12-31	2013-05-08	17921
6406/3-3	886.000000	1.160000	32.000000	4.900000	WATER BASED	1986-10-24	949	9999-12-31	2013-05-08	17922
6406/3-3	1067.000000	0.000000	37.000000	26.600000	WATERBASED	1986-08-11	949	9999-12-31	2013-05-08	17923
6406/3-3	1067.000000	1.120000	40.000000	28.000000	WATERBASED	1986-08-11	949	9999-12-31	2013-05-08	17924
6406/3-3	1067.000000	0.000000	41.000000	30.800000	WATERBASED	1986-08-11	949	9999-12-31	2013-05-08	17925
6406/3-3	1083.000000	0.000000	51.000000	9.800000	WATERBASED	1986-08-14	949	9999-12-31	2013-05-08	17926
6406/3-3	1083.000000	0.000000	42.000000	13.300000	WATERBASED	1986-08-13	949	9999-12-31	2013-05-08	17927
6406/3-3	1083.000000	1.300000	39.000000	14.000000	WATERBASED	1986-08-12	949	9999-12-31	2013-05-08	17928
6406/3-3	1086.000000	1.120000	43.000000	9.700000	WATERBASED	1986-08-18	949	9999-12-31	2013-05-08	17929
6406/3-3	1155.000000	1.550000	57.000000	7.700000	WATER BASED	1986-10-23	949	9999-12-31	2013-05-08	17930
6406/3-3	1180.000000	1.120000	42.000000	10.000000	WATERBASED	1986-08-18	949	9999-12-31	2013-05-08	17931
6406/3-3	1330.000000	1.120000	43.000000	10.000000	WATERBASED	1986-08-18	949	9999-12-31	2013-05-08	17932
6406/3-3	1645.000000	1.200000	51.000000	13.000000	WATERBASED	1986-08-18	949	9999-12-31	2013-05-08	17933
6406/3-3	1970.000000	1.250000	53.000000	14.000000	WATERBASED	1986-08-18	949	9999-12-31	2013-05-08	17934
6406/3-3	2320.000000	0.000000	70.000000	13.300000	WATERBASED	1986-08-21	949	9999-12-31	2013-05-08	17935
6406/3-3	2320.000000	1.520000	62.000000	14.000000	WATERBASED	1986-08-19	949	9999-12-31	2013-05-08	17936
6406/3-3	2320.000000	0.000000	66.000000	14.000000	WATERBASED	1986-08-20	949	9999-12-31	2013-05-08	17937
6406/3-3	2536.000000	1.550000	54.000000	8.400000	WATERBASED	1986-08-22	949	9999-12-31	2013-05-08	17938
6406/3-3	2701.000000	1.680000	65.000000	18.200000	WATERBASED	1986-08-25	949	9999-12-31	2013-05-08	17939
6406/3-3	2866.000000	1.680000	58.000000	12.000000	WATERBASED	1986-08-25	949	9999-12-31	2013-05-08	17940
6406/3-3	2934.000000	1.680000	65.000000	13.300000	WATERBASED	1986-08-25	949	9999-12-31	2013-05-08	17941
6406/3-3	2970.000000	1.680000	62.000000	11.900000	WATERBASED	1986-08-26	949	9999-12-31	2013-05-08	17942
6406/3-3	3056.000000	1.680000	53.000000	9.800000	WATERBASED	1986-08-27	949	9999-12-31	2013-05-08	17943
6406/3-3	3093.000000	1.680000	65.000000	11.200000	WATERBASED	1986-08-28	949	9999-12-31	2013-05-08	17944
6406/3-3	3138.000000	1.680000	59.000000	10.500000	WATERBASED	1986-08-29	949	9999-12-31	2013-05-08	17945
6406/3-3	3189.000000	1.680000	50.000000	9.100000	WATERBASED	1986-09-01	949	9999-12-31	2013-05-08	17946
6406/3-3	3205.000000	1.680000	51.000000	9.800000	WATERBASED	1986-09-01	949	9999-12-31	2013-05-08	17947
6406/3-3	3259.000000	1.680000	55.000000	10.500000	WATERBASED	1986-09-01	949	9999-12-31	2013-05-08	17948
6406/3-3	3281.000000	1.680000	58.000000	9.800000	WATERBASED	1986-09-02	949	9999-12-31	2013-05-08	17949
6406/3-3	3349.000000	1.710000	55.000000	9.100000	WATERBASED	1986-09-04	949	9999-12-31	2013-05-08	17950
6406/3-3	3418.000000	1.710000	58.000000	10.500000	WATERBASED	1986-09-04	949	9999-12-31	2013-05-08	17951
6406/3-3	3488.000000	1.710000	53.000000	19.500000	WATERBASED	1986-09-05	949	9999-12-31	2013-05-08	17952
6406/3-3	3522.000000	1.710000	53.000000	10.000000	WATERBASED	1986-09-08	949	9999-12-31	2013-05-08	17953
6406/3-3	3566.000000	1.710000	56.000000	10.000000	WATERBASED	1986-09-08	949	9999-12-31	2013-05-08	17954
6406/3-3	3639.000000	1.750000	70.000000	3.500000	WATER BASED	1986-10-21	949	9999-12-31	2013-05-08	17955
6406/3-3	3639.000000	1.750000	57.000000	3.500000	WATER BASED	1986-10-23	949	9999-12-31	2013-05-08	17956
6406/3-3	3649.000000	1.710000	53.000000	9.000000	WATERBASED	1986-09-08	949	9999-12-31	2013-05-08	17957
6406/3-3	3701.000000	1.250000	45.000000	2.800000	WATER BASED	1986-10-20	949	9999-12-31	2013-05-08	17958
6406/3-3	3724.000000	1.710000	53.000000	9.800000	WATERBASED	1986-09-09	949	9999-12-31	2013-05-08	17959
6406/3-3	3772.000000	1.710000	56.000000	9.800000	WATERBASED	1986-09-10	949	9999-12-31	2013-05-08	17960
6406/3-3	3797.000000	1.750000	53.000000	11.200000	WATER BASED	1986-09-15	949	9999-12-31	2013-05-08	17961
6406/3-3	3797.000000	0.000000	32.000000	11.200000	WATERBASED	1986-09-16	949	9999-12-31	2013-05-08	17962
6406/3-3	3797.000000	0.000000	58.000000	10.500000	WATERBASED	1986-09-17	949	9999-12-31	2013-05-08	17963
6406/3-3	3797.000000	0.000000	52.000000	11.200000	WATERBASED	1986-09-15	949	9999-12-31	2013-05-08	17964
6406/3-3	3797.000000	0.000000	48.000000	8.400000	WATERBASED	1986-09-18	949	9999-12-31	2013-05-08	17965
6406/3-3	3812.000000	1.750000	60.000000	11.200000	WATERBASED	1986-09-11	949	9999-12-31	2013-05-08	17966
6406/3-3	3835.000000	1.750000	58.000000	11.200000	WATERBASED	1986-09-12	949	9999-12-31	2013-05-08	17967
6406/3-3	3884.000000	1.750000	55.000000	9.800000	WATERBASED	1986-09-15	949	9999-12-31	2013-05-08	17968
6406/3-3	3936.000000	0.000000	60.000000	12.600000	WATERBASED	1986-09-22	949	9999-12-31	2013-05-08	17969
6406/3-3	3936.000000	1.750000	53.000000	11.200000	WATERBASED	1986-09-19	949	9999-12-31	2013-05-08	17970
6406/3-3	3937.000000	1.250000	50.000000	7.700000	WATERBASED	1986-09-22	949	9999-12-31	2013-05-08	17971
6406/3-3	3974.000000	1.250000	60.000000	7.000000	WATERBASED	1986-09-22	949	9999-12-31	2013-05-08	17972
6406/3-3	3995.000000	1.250000	55.000000	2.800000	WATER BASED	1986-10-17	949	9999-12-31	2013-05-08	17973
6406/3-3	3995.000000	1.250000	50.000000	2.800000	WATER BASED	1986-10-20	949	9999-12-31	2013-05-08	17974
6406/3-3	3995.000000	1.260000	51.000000	3.500000	WATER BASED	1986-10-16	949	9999-12-31	2013-05-08	17975
6406/3-3	3995.000000	1.250000	55.000000	2.800000	WATER BASED	1986-10-20	949	9999-12-31	2013-05-08	17976
6406/3-3	4000.000000	1.250000	50.000000	3.500000	WATER BASED	1986-10-15	949	9999-12-31	2013-05-08	17977
6406/3-3	4026.000000	1.250000	58.000000	7.700000	WATERBASED	1986-09-23	949	9999-12-31	2013-05-08	17978
6406/3-3	4153.000000	1.250000	50.000000	6.300000	WATERBASED	1986-09-24	949	9999-12-31	2013-05-08	17979
6406/3-3	4193.000000	1.250000	57.000000	6.300000	WATERBASED	1986-09-25	949	9999-12-31	2013-05-08	17980
6406/3-3	4353.000000	1.250000	60.000000	6.300000	WATERBASED	1986-09-26	949	9999-12-31	2013-05-08	17981
6406/3-3	4378.000000	1.250000	55.000000	3.500000	WATER BASED	1986-10-13	949	9999-12-31	2013-05-08	17982
6406/3-3	4378.000000	1.250000	49.000000	4.900000	WATER BASED	1986-10-09	949	9999-12-31	2013-05-08	17983
6406/3-3	4378.000000	1.250000	55.000000	5.600000	WATERBASED	1986-10-06	949	9999-12-31	2013-05-08	17984
6406/3-3	4378.000000	1.250000	48.000000	4.900000	WATER BASED	1986-10-10	949	9999-12-31	2013-05-08	17985
6406/3-3	4378.000000	1.250000	54.000000	7.000000	WATER BASED	1986-10-13	949	9999-12-31	2013-05-08	17986
6406/3-3	4378.000000	1.250000	52.000000	3.500000	WATER BASED	1986-10-14	949	9999-12-31	2013-05-08	17987
6406/3-3	4378.000000	1.250000	60.000000	6.300000	WATER BASED	1986-10-06	949	9999-12-31	2013-05-08	17988
6406/3-3	4378.000000	1.250000	50.000000	5.600000	WATER BASED	1986-10-07	949	9999-12-31	2013-05-08	17989
6406/3-3	4416.000000	0.000000	70.000000	5.700000	WATERBASED	1986-10-06	949	9999-12-31	2013-05-08	17990
6406/3-3	4416.000000	0.000000	119.000000	7.000000	WATERBASED	1986-10-02	949	9999-12-31	2013-05-08	17991
6406/3-3	4416.000000	0.000000	130.000000	7.000000	WATERBASED	1986-10-01	949	9999-12-31	2013-05-08	17992
6406/3-3	4416.000000	0.000000	70.000000	6.300000	WATERBASED	1986-09-29	949	9999-12-31	2013-05-08	17993
6406/3-3	4416.000000	0.000000	75.000000	7.000000	WATERBASED	1986-09-29	949	9999-12-31	2013-05-08	17994
6406/3-3	4416.000000	1.250000	57.000000	5.600000	WATERBASED	1986-09-29	949	9999-12-31	2013-05-08	17995
6406/3-3	4416.000000	0.000000	125.000000	7.700000	WATERBASED	1986-09-30	949	9999-12-31	2013-05-08	17996
6406/3-3	4416.000000	0.000000	90.000000	5.600000	WATERBASED	1986-10-03	949	9999-12-31	2013-05-08	17997
6406/3-3	4416.000000	0.000000	90.000000	5.600000	WATERBASED	1986-10-06	949	9999-12-31	2013-05-08	17998
6406/3-4	375.000000	1.030000	0.000000	0.000000	WATER BASED	1987-12-29	1173	9999-12-31	2013-05-08	17999
6406/3-4	442.000000	1.050000	9400.000000	0.000000	WATER BASED	1987-09-28	1173	9999-12-31	2013-05-08	18000
6406/3-4	442.000000	1.050000	105.000000	0.000000	WATER BASED	1987-09-28	1173	9999-12-31	2013-05-08	18001
6406/3-4	507.000000	1.030000	0.000000	0.000000	WATER BASED	1987-12-28	1173	9999-12-31	2013-05-08	18002
6406/3-4	526.000000	1.030000	0.000000	0.000000	WATER BASED	1987-12-28	1173	9999-12-31	2013-05-08	18003
6406/3-4	586.000000	1.060000	4400.000000	4.500000	WATER BASED	1987-12-28	1173	9999-12-31	2013-05-08	18004
6406/3-4	731.000000	1.050000	120.000000	0.000000	WATER BASED	1987-09-28	1173	9999-12-31	2013-05-08	18005
6406/3-4	1101.000000	1.050000	100.000000	0.000000	WATER BASED	1987-09-29	1173	9999-12-31	2013-05-08	18006
6406/3-4	1179.000000	1.050000	95.000000	0.000000	WATER BASED	1987-09-30	1173	9999-12-31	2013-05-08	18007
6406/3-4	1179.000000	1.050000	100.000000	0.000000	WATER BASED	1987-10-05	1173	9999-12-31	2013-05-08	18008
6406/3-4	1179.000000	1.060000	1500.000000	5.100000	WATER BASED	1987-10-05	1173	9999-12-31	2013-05-08	18009
6406/3-4	1179.000000	1.050000	1200.000000	3.400000	WATER BASED	1987-10-05	1173	9999-12-31	2013-05-08	18010
6406/3-4	1179.000000	1.050000	100.000000	0.000000	WATER BASED	1987-10-01	1173	9999-12-31	2013-05-08	18011
6406/3-4	1179.000000	1.050000	100.000000	0.000000	WATER BASED	1987-10-02	1173	9999-12-31	2013-05-08	18012
6406/3-4	1182.000000	1.060000	1500.000000	4.700000	WATER BASED	1987-10-06	1173	9999-12-31	2013-05-08	18013
6406/3-4	1442.000000	1.120000	1300.000000	4.200000	WATER BASED	1987-10-07	1173	9999-12-31	2013-05-08	18014
6406/3-4	1676.000000	1.200000	1400.000000	4.200000	WATER BASED	1987-10-08	1173	9999-12-31	2013-05-08	18015
6406/3-4	1945.000000	1.500000	1900.000000	4.200000	WATER BASED	1987-10-09	1173	9999-12-31	2013-05-08	18016
6406/3-4	2014.000000	1.240000	16.000000	3.500000	WATER BASED	1987-11-23	1173	9999-12-31	2013-05-08	18017
6406/3-4	2387.000000	1.690000	6300.000000	4.500000	WATER BASED	1987-12-22	1173	9999-12-31	2013-05-08	18018
6406/3-4	2387.000000	1.690000	6300.000000	4.500000	WATER BASED	1987-12-23	1173	9999-12-31	2013-05-08	18019
6406/3-4	2450.000000	1.600000	20.000000	8.000000	WATER BASED	1987-10-16	1173	9999-12-31	2013-05-08	18020
6406/3-4	2450.000000	1.600000	18.000000	8.000000	WATER BASED	1987-10-14	1173	9999-12-31	2013-05-08	18021
6406/3-4	2525.000000	1.690000	5300.000000	4.500000	WATER BASED	1987-12-21	1173	9999-12-31	2013-05-08	18022
6406/3-4	2525.000000	1.700000	5000.000000	3.000000	WATER BASED	1987-12-21	1173	9999-12-31	2013-05-08	18023
6406/3-4	2525.000000	1.690000	5100.000000	3.500000	WATER BASED	1987-12-21	1173	9999-12-31	2013-05-08	18024
6406/3-4	2538.000000	1.690000	6000.000000	4.500000	WATER BASED	1987-12-28	1173	9999-12-31	2013-05-08	18025
6406/3-4	2648.000000	1.530000	50.000000	4.000000	WATER BASED	1987-10-19	1173	9999-12-31	2013-05-08	18026
6406/3-4	2648.000000	1.530000	19.000000	5.000000	WATER BASED	1987-10-19	1173	9999-12-31	2013-05-08	18027
6406/3-4	2648.000000	1.530000	49.000000	5.000000	WATER BASED	1987-10-19	1173	9999-12-31	2013-05-08	18028
6406/3-4	2648.000000	1.530000	21.000000	6.000000	WATER BASED	1987-10-20	1173	9999-12-31	2013-05-08	18029
6406/3-4	2648.000000	1.530000	19.000000	70.000000	WATER BASED	1987-10-21	1173	9999-12-31	2013-05-08	18030
6406/3-4	2648.000000	1.530000	16.000000	7.000000	WATER BASED	1987-10-26	1173	9999-12-31	2013-05-08	18031
6406/3-4	2648.000000	1.530000	16.000000	8.000000	WATER BASED	1987-10-26	1173	9999-12-31	2013-05-08	18032
6406/3-4	2648.000000	1.530000	16.000000	7.000000	WATER BASED	1987-10-23	1173	9999-12-31	2013-05-08	18033
6406/3-4	2648.000000	1.530000	15.000000	9.000000	WATER BASED	1987-10-28	1173	9999-12-31	2013-05-08	18034
6406/3-4	2648.000000	1.530000	13.000000	8.000000	WATER BASED	1987-10-29	1173	9999-12-31	2013-05-08	18035
6406/3-4	2648.000000	1.530000	18.000000	8.000000	WATER BASED	1987-10-30	1173	9999-12-31	2013-05-08	18036
6406/3-4	2648.000000	1.530000	17.000000	16.000000	WATER BASED	1987-11-02	1173	9999-12-31	2013-05-08	18037
6406/3-4	2648.000000	1.530000	18.000000	7.500000	WATER BASED	1987-11-02	1173	9999-12-31	2013-05-08	18038
6406/3-4	2648.000000	1.530000	17.000000	6.500000	WATER BASED	1987-11-03	1173	9999-12-31	2013-05-08	18039
6406/3-4	2648.000000	1.530000	17.000000	6.000000	WATER BASED	1987-11-04	1173	9999-12-31	2013-05-08	18040
6406/3-4	2648.000000	1.530000	12.000000	4.000000	WATER BASED	1987-11-11	1173	9999-12-31	2013-05-08	18041
6406/3-4	2648.000000	1.530000	53.000000	6.000000	WATER BASED	1987-11-09	1173	9999-12-31	2013-05-08	18042
6406/3-4	2648.000000	1.530000	12.000000	5.000000	WATER BASED	1987-11-09	1173	9999-12-31	2013-05-08	18043
6406/3-4	2648.000000	1.530000	15.000000	6.000000	WATER BASED	1987-11-05	1173	9999-12-31	2013-05-08	18044
6406/3-4	2648.000000	1.530000	16.000000	6.500000	WATER BASED	1987-11-02	1173	9999-12-31	2013-05-08	18045
6406/3-4	2648.000000	1.530000	12.000000	9.000000	WATER BASED	1987-10-26	1173	9999-12-31	2013-05-08	18046
6406/3-4	2648.000000	1.530000	17.000000	7.000000	WATER BASED	1987-10-22	1173	9999-12-31	2013-05-08	18047
6406/3-4	2648.000000	1.530000	13.000000	9.000000	WATER BASED	1987-10-27	1173	9999-12-31	2013-05-08	18048
6406/3-4	2648.000000	1.530000	16.000000	7.000000	WATER BASED	1987-11-06	1173	9999-12-31	2013-05-08	18049
6406/3-4	2665.000000	1.600000	20.000000	8.000000	WATER BASED	1987-10-16	1173	9999-12-31	2013-05-08	18050
6406/3-4	3175.000000	1.530000	25.000000	2.000000	WATER BASED	1987-12-17	1173	9999-12-31	2013-05-08	18051
6406/3-4	3175.000000	1.690000	24.000000	3.500000	WATER BASED	1987-12-18	1173	9999-12-31	2013-05-08	18052
6406/3-4	3759.000000	1.530000	23.000000	2.000000	WATER BASED	1987-12-16	1173	9999-12-31	2013-05-08	18053
6406/3-4	3970.000000	1.240000	18.000000	3.000000	WATER BASED	1987-11-23	1173	9999-12-31	2013-05-08	18054
6406/3-4	3970.000000	1.240000	16.000000	3.500000	WATER BASED	1987-11-23	1173	9999-12-31	2013-05-08	18055
6406/3-4	3970.000000	1.240000	17.000000	4.000000	WATER BASED	1987-11-20	1173	9999-12-31	2013-05-08	18056
6406/3-4	3970.000000	1.240000	16.000000	3.000000	WATER BASED	1987-11-24	1173	9999-12-31	2013-05-08	18057
6406/3-4	3970.000000	1.240000	16.000000	6.000000	WATER BASED	1987-11-13	1173	9999-12-31	2013-05-08	18058
6406/3-4	3970.000000	1.240000	14.000000	8.000000	WATER BASED	1987-11-16	1173	9999-12-31	2013-05-08	18059
6406/3-4	3970.000000	1.220000	14.000000	4.000000	WATER BASED	1987-11-16	1173	9999-12-31	2013-05-08	18060
6406/3-4	3970.000000	1.220000	16.000000	8.000000	WATER BASED	1987-11-16	1173	9999-12-31	2013-05-08	18061
6406/3-4	3970.000000	1.240000	15.000000	8.000000	WATER BASED	1987-11-12	1173	9999-12-31	2013-05-08	18062
6406/3-4	3970.000000	1.230000	15.000000	4.000000	WATER BASED	1987-11-18	1173	9999-12-31	2013-05-08	18063
6406/3-4	3970.000000	1.240000	17.000000	8.000000	WATER BASED	1987-11-18	1173	9999-12-31	2013-05-08	18064
6406/3-4	3970.000000	1.240000	16.000000	8.000000	WATER BASED	1987-11-19	1173	9999-12-31	2013-05-08	18065
6406/3-4	3970.000000	1.240000	21.000000	4.000000	WATER BASED	1987-11-25	1173	9999-12-31	2013-05-08	18066
6406/3-4	3970.000000	1.240000	17.000000	3.000000	WATER BASED	1987-11-23	1173	9999-12-31	2013-05-08	18067
6406/3-4	4050.000000	1.240000	19.000000	2.500000	WATER BASED	1987-12-15	1173	9999-12-31	2013-05-08	18068
6406/3-4	4050.000000	1.240000	19.000000	3.000000	WATER BASED	1987-12-14	1173	9999-12-31	2013-05-08	18069
6406/3-4	4086.000000	1.240000	18.000000	3.000000	WATER BASED	1987-12-11	1173	9999-12-31	2013-05-08	18070
6406/3-4	4086.000000	1.240000	19.000000	3.000000	WATER BASED	1987-12-10	1173	9999-12-31	2013-05-08	18071
6406/3-4	4086.000000	1.240000	19.000000	3.000000	WATER BASED	1987-12-09	1173	9999-12-31	2013-05-08	18072
6406/3-4	4086.000000	1.240000	18.000000	3.000000	WATER BASED	1987-12-08	1173	9999-12-31	2013-05-08	18073
6406/3-4	4086.000000	1.240000	19.000000	3.000000	WATER BASED	1987-12-14	1173	9999-12-31	2013-05-08	18074
6406/3-4	4098.000000	1.240000	19.000000	3.000000	WATER BASED	1987-12-07	1173	9999-12-31	2013-05-08	18075
6406/3-4	4125.000000	1.240000	20.000000	3.000000	WATER BASED	1987-12-07	1173	9999-12-31	2013-05-08	18076
6406/3-4	4125.000000	1.240000	19.000000	3.000000	WATER BASED	1987-12-07	1173	9999-12-31	2013-05-08	18077
6406/3-4	4125.000000	1.240000	6400.000000	3.000000	WATER BASED	1987-12-04	1173	9999-12-31	2013-05-08	18078
6406/3-4	4125.000000	1.240000	6600.000000	3.000000	WATER BASED	1987-12-03	1173	9999-12-31	2013-05-08	18079
6406/3-4	4125.000000	1.240000	6100.000000	3.000000	WATER BASED	1987-12-02	1173	9999-12-31	2013-05-08	18080
6406/3-4	4156.000000	1.220000	16.000000	8.000000	WATER BASED	1987-11-16	1173	9999-12-31	2013-05-08	18081
6406/3-4	4371.000000	1.240000	6800.000000	3.500000	WATER BASED	1987-11-30	1173	9999-12-31	2013-05-08	18082
6406/3-4	4371.000000	1.240000	6600.000000	3.500000	WATER BASED	1987-11-30	1173	9999-12-31	2013-05-08	18083
6406/3-4	4371.000000	1.240000	21.000000	4.000000	WATER BASED	1987-12-01	1173	9999-12-31	2013-05-08	18084
6406/3-4	4371.000000	1.240000	6700.000000	3.500000	WATER BASED	1987-11-30	1173	9999-12-31	2013-05-08	18085
6406/3-4	4414.000000	1.240000	17.000000	4.000000	WATER BASED	1987-11-20	1173	9999-12-31	2013-05-08	18086
6406/3-5	236.000000	1.040000	100.000000	0.000000	WATER BASED	1987-05-12	1227	9999-12-31	2013-05-08	18087
6406/3-5	236.000000	1.090000	0.000000	0.000000	WATER BASED	1987-05-12	1227	9999-12-31	2013-05-08	18088
6406/3-5	348.000000	1.030000	0.000000	0.000000	WATER BASED	1988-04-05	1227	9999-12-31	2013-05-08	18089
6406/3-5	380.000000	1.030000	0.000000	0.000000	WATER BASED	1988-05-31	1227	9999-12-31	2013-05-08	18090
6406/3-5	400.000000	1.040000	100.000000	0.000000	WATER BASED	1987-05-12	1227	9999-12-31	2013-05-08	18091
6406/3-5	418.000000	1.100000	0.000000	0.000000	WATER BASED	1988-04-05	1227	9999-12-31	2013-05-08	18092
6406/3-5	473.000000	1.050000	0.000000	0.000000	WATER BASED	1988-04-06	1227	9999-12-31	2013-05-08	18093
6406/3-5	475.000000	1.030000	0.000000	0.000000	WATER BASED	1988-04-05	1227	9999-12-31	2013-05-08	18094
6406/3-5	545.000000	1.200000	45.000000	5.000000	WATER BASED	1988-04-11	1227	9999-12-31	2013-05-08	18095
6406/3-5	545.000000	1.200000	0.000000	0.000000	WATER BASED	1988-04-07	1227	9999-12-31	2013-05-08	18096
6406/3-5	545.000000	1.030000	0.000000	0.000000	WATER BASED	1988-04-08	1227	9999-12-31	2013-05-08	18097
6406/3-5	577.000000	1.230000	49.000000	5.000000	WATER BASED	1988-04-15	1227	9999-12-31	2013-05-08	18098
6406/3-5	610.000000	1.200000	15.000000	4.000000	WATER BASED	1988-05-30	1227	9999-12-31	2013-05-08	18099
6406/3-5	723.000000	1.040000	0.000000	0.000000	WATER BASED	1987-05-12	1227	9999-12-31	2013-05-08	18100
6406/3-5	723.000000	1.040000	0.000000	0.000000	WATER BASED	1987-05-14	1227	9999-12-31	2013-05-08	18101
6406/3-5	723.000000	1.070000	48.000000	0.000000	WATER BASED	1987-05-19	1227	9999-12-31	2013-05-08	18102
6406/3-5	723.000000	1.170000	0.000000	0.000000	WATER BASED	1987-05-19	1227	9999-12-31	2013-05-08	18103
6406/3-5	823.000000	1.200000	53.000000	6.000000	WATER BASED	1988-04-13	1227	9999-12-31	2013-05-08	18104
6406/3-5	873.000000	1.190000	37.000000	11.000000	WATER BASED	1987-05-20	1227	9999-12-31	2013-05-08	18105
6406/3-5	905.000000	1.200000	51.000000	7.500000	WATER BASED	1988-04-11	1227	9999-12-31	2013-05-08	18106
6406/3-5	1116.000000	1.200000	53.000000	5.500000	WATER BASED	1988-04-12	1227	9999-12-31	2013-05-08	18107
6406/3-5	1116.000000	1.200000	47.000000	5.500000	WATER BASED	1988-04-12	1227	9999-12-31	2013-05-08	18108
6406/3-5	1123.000000	1.260000	42.000000	12.500000	WATER BASED	1987-05-20	1227	9999-12-31	2013-05-08	18109
6406/3-5	1276.000000	1.310000	38.000000	10.100000	WATER BASED	1987-05-21	1227	9999-12-31	2013-05-08	18110
6406/3-5	1325.000000	1.690000	55.000000	7.500000	WATER BASED	1988-05-30	1227	9999-12-31	2013-05-08	18111
6406/3-5	1352.000000	1.230000	48.000000	6.000000	WATER BASED	1988-04-14	1227	9999-12-31	2013-05-08	18112
6406/3-5	1614.000000	1.230000	11.000000	3.000000	WATER BASED	1988-04-18	1227	9999-12-31	2013-05-08	18113
6406/3-5	1749.000000	1.260000	15.000000	3.000000	WATER BASED	1988-04-18	1227	9999-12-31	2013-05-08	18114
6406/3-5	1749.000000	1.250000	13.000000	6.000000	WATER BASED	1988-04-18	1227	9999-12-31	2013-05-08	18115
6406/3-5	1756.000000	1.700000	21.000000	4.000000	WATER BASED	1988-04-20	1227	9999-12-31	2013-05-08	18116
6406/3-5	2102.000000	1.700000	22.000000	6.000000	WATER BASED	1988-04-21	1227	9999-12-31	2013-05-08	18117
6406/3-5	2102.000000	1.600000	18.000000	3.000000	WATER BASED	1988-04-22	1227	9999-12-31	2013-05-08	18118
6406/3-5	2288.000000	1.680000	61.000000	6.000000	WATER BASED	1988-04-27	1227	9999-12-31	2013-05-08	18119
6406/3-5	2318.000000	1.690000	55.000000	7.500000	WATER BASED	1988-05-30	1227	9999-12-31	2013-05-08	18120
6406/3-5	2370.000000	1.690000	65.000000	8.500000	WATER BASED	1988-05-16	1227	9999-12-31	2013-05-08	18121
6406/3-5	2370.000000	1.690000	52.000000	6.000000	WATER BASED	1988-04-27	1227	9999-12-31	2013-05-08	18122
6406/3-5	2370.000000	1.690000	64.000000	9.000000	WATER BASED	1988-04-27	1227	9999-12-31	2013-05-08	18123
6406/3-5	2370.000000	1.690000	59.000000	7.500000	WATER BASED	1988-04-27	1227	9999-12-31	2013-05-08	18124
6406/3-5	2370.000000	1.690000	53.000000	8.000000	WATER BASED	1988-04-27	1227	9999-12-31	2013-05-08	18125
6406/3-5	2370.000000	1.690000	54.000000	7.500000	WATER BASED	1988-04-28	1227	9999-12-31	2013-05-08	18126
6406/3-5	2370.000000	1.690000	52.000000	7.500000	WATER BASED	1988-04-29	1227	9999-12-31	2013-05-08	18127
6406/3-5	2370.000000	1.690000	58.000000	10.000000	WATER BASED	1988-05-13	1227	9999-12-31	2013-05-08	18128
6406/3-5	2370.000000	1.700000	55.000000	10.000000	WATER BASED	1988-05-13	1227	9999-12-31	2013-05-08	18129
6406/3-5	2370.000000	1.690000	53.000000	9.500000	WATER BASED	1988-05-13	1227	9999-12-31	2013-05-08	18130
6406/3-5	2370.000000	1.690000	66.000000	9.500000	WATER BASED	1988-05-09	1227	9999-12-31	2013-05-08	18131
6406/3-5	2370.000000	1.690000	58.000000	10.000000	WATER BASED	1988-05-09	1227	9999-12-31	2013-05-08	18132
6406/3-5	2370.000000	1.690000	58.000000	11.000000	WATER BASED	1988-05-09	1227	9999-12-31	2013-05-08	18133
6406/3-5	2370.000000	1.690000	50.000000	8.500000	WATER BASED	1988-05-16	1227	9999-12-31	2013-05-08	18134
6406/3-5	2370.000000	1.690000	60.000000	9.000000	WATER BASED	1988-05-16	1227	9999-12-31	2013-05-08	18135
6406/3-5	2370.000000	1.690000	58.000000	10.500000	WATER BASED	1988-05-10	1227	9999-12-31	2013-05-08	18136
6406/3-5	2370.000000	1.690000	68.000000	5.000000	WATER BASED	1988-05-19	1227	9999-12-31	2013-05-08	18137
6406/3-5	2370.000000	1.690000	48.000000	6.000000	WATER BASED	1988-05-18	1227	9999-12-31	2013-05-08	18138
6406/3-5	2370.000000	1.690000	60.000000	5.500000	WATER BASED	1988-05-18	1227	9999-12-31	2013-05-08	18139
6406/3-5	3208.000000	1.690000	28.000000	8.000000	WATER BASED	1988-05-02	1227	9999-12-31	2013-05-08	18140
6406/3-5	3228.000000	1.690000	29.000000	8.000000	WATER BASED	1988-05-02	1227	9999-12-31	2013-05-08	18141
6406/3-5	3303.000000	1.690000	26.000000	9.000000	WATER BASED	1988-05-02	1227	9999-12-31	2013-05-08	18142
6406/3-5	3367.000000	1.690000	24.000000	10.000000	WATER BASED	1988-05-03	1227	9999-12-31	2013-05-08	18143
6406/3-5	3437.000000	1.690000	24.000000	10.000000	WATER BASED	1988-05-04	1227	9999-12-31	2013-05-08	18144
6406/3-5	3456.000000	1.690000	25.000000	10.000000	WATER BASED	1988-05-05	1227	9999-12-31	2013-05-08	18145
6406/3-5	3456.000000	1.690000	24.000000	9.000000	WATER BASED	1988-05-06	1227	9999-12-31	2013-05-08	18146
6406/3-5	3623.000000	1.690000	49.000000	5.500000	WATER BASED	1988-05-27	1227	9999-12-31	2013-05-08	18147
6406/3-5	3815.000000	1.240000	52.000000	3.000000	WATER BASED	1988-05-20	1227	9999-12-31	2013-05-08	18148
6406/3-5	3856.000000	1.240000	41.000000	7.000000	WATER BASED	1988-05-26	1227	9999-12-31	2013-05-08	18149
6406/3-5	3906.000000	1.240000	19.000000	3.000000	WATER BASED	1988-05-24	1227	9999-12-31	2013-05-08	18150
6406/3-5	4073.000000	1.240000	21.000000	4.000000	WATER BASED	1988-05-24	1227	9999-12-31	2013-05-08	18151
6406/3-5	4140.000000	1.240000	27.000000	3.000000	WATER BASED	1988-05-24	1227	9999-12-31	2013-05-08	18152
6406/3-5	4283.000000	1.240000	27.000000	3.500000	WATER BASED	1988-05-24	1227	9999-12-31	2013-05-08	18153
6406/3-5	4283.000000	1.240000	27.000000	3.500000	WATER BASED	1988-05-25	1227	9999-12-31	2013-05-08	18154
6406/3-6	459.000000	1.030000	0.000000	0.000000	sea water	9999-12-31	4589	9999-12-31	2013-05-08	18155
6406/3-6	1780.000000	1.200000	0.000000	0.000000	sea water	9999-12-31	4589	9999-12-31	2013-05-08	18156
6406/3-6	2903.000000	1.750000	0.000000	0.000000	versavert	9999-12-31	4589	9999-12-31	2013-05-08	18157
6406/3-6	3654.000000	1.660000	0.000000	0.000000	versavert	9999-12-31	4589	9999-12-31	2013-05-08	18158
6406/3-6	4175.000000	1.220000	0.000000	0.000000	glydrill	9999-12-31	4589	9999-12-31	2013-05-08	18159
6406/3-7	1468.000000	1.350000	0.000000	0.000000	SEAWATER / CMC	9999-12-31	5375	9999-12-31	2013-05-08	18160
6406/3-7	1564.000000	1.450000	25.000000	0.000000	GLYDRIL 18	9999-12-31	5375	9999-12-31	2013-05-08	18161
6406/3-7	2302.000000	1.620000	23.000000	0.000000	GLYDRIL 18	9999-12-31	5375	9999-12-31	2013-05-08	18162
6406/3-7	2308.000000	1.620000	21.000000	0.000000	GLYDRIL 18	9999-12-31	5375	9999-12-31	2013-05-08	18163
6406/3-7	2497.000000	1.800000	37.000000	0.000000	PARATHERM	9999-12-31	5375	9999-12-31	2013-05-08	18164
6406/3-7	3678.000000	1.840000	34.000000	0.000000	PARATHERM	9999-12-31	5375	9999-12-31	2013-05-08	18165
6406/3-7	3951.000000	1.860000	36.000000	0.000000	PARATHERM	9999-12-31	5375	9999-12-31	2013-05-08	18166
6406/3-7	3951.000000	1.840000	32.000000	0.000000	PARATHERM	9999-12-31	5375	9999-12-31	2013-05-08	18167
6406/3-8	368.000000	1.060000	0.000000	0.000000	SPUD MUD	9999-12-31	6350	9999-12-31	2013-05-08	18168
6406/3-8	544.000000	1.070000	0.000000	0.000000	SPUD MUD	9999-12-31	6350	9999-12-31	2013-05-08	18169
6406/3-8	672.000000	1.210000	14.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6350	9999-12-31	2013-05-08	18170
6406/3-8	1277.000000	1.260000	16.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6350	9999-12-31	2013-05-08	18171
6406/3-8	1654.000000	1.600000	34.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18172
6406/3-8	1694.000000	1.270000	18.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6350	9999-12-31	2013-05-08	18173
6406/3-8	1700.000000	1.310000	17.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6350	9999-12-31	2013-05-08	18174
6406/3-8	1808.000000	1.600000	45.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18175
6406/3-8	1918.000000	1.670000	48.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18176
6406/3-8	1964.000000	1.330000	19.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6350	9999-12-31	2013-05-08	18177
6406/3-8	2054.000000	1.630000	47.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18178
6406/3-8	2135.000000	1.330000	20.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6350	9999-12-31	2013-05-08	18179
6406/3-8	2180.000000	1.630000	55.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18180
6406/3-8	2280.000000	1.670000	49.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18181
6406/3-8	2327.000000	1.630000	52.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18182
6406/3-8	2828.000000	1.720000	52.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18183
6406/3-8	3647.000000	1.220000	5.700000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18184
6406/3-8	3805.000000	1.720000	50.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18185
6406/3-8	3846.000000	1.200000	17.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18186
6406/3-8	3928.000000	1.230000	20.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18187
6406/3-8	3997.000000	1.200000	21.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18188
6406/3-8	4216.000000	1.210000	22.000000	0.000000	CARBO TECH	9999-12-31	6350	9999-12-31	2013-05-08	18189
6406/3-9	433.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	6594	9999-12-31	2013-05-08	18190
6406/3-9	1335.000000	1.050000	0.000000	0.000000	Hi-Vis	9999-12-31	6594	9999-12-31	2013-05-08	18191
6406/3-9	1405.000000	1.390000	0.000000	0.000000	Peformadril	9999-12-31	6594	9999-12-31	2013-05-08	18192
6406/3-9	1406.000000	1.390000	0.000000	0.000000	Peformadril	9999-12-31	6594	9999-12-31	2013-05-08	18193
6406/3-9	1406.000000	1.390000	0.000000	0.000000	Sea Water	9999-12-31	6594	9999-12-31	2013-05-08	18194
6406/3-9	1406.000000	1.500000	0.000000	0.000000	WATER BASED MUD	9999-12-31	6594	9999-12-31	2013-05-08	18195
6406/3-9	1406.000000	1.500000	0.000000	0.000000	WATER BASED MUD	9999-12-31	6594	9999-12-31	2013-05-08	18196
6406/3-9	1406.000000	1.250000	0.000000	0.000000	WATER BASED MUD	9999-12-31	6594	9999-12-31	2013-05-08	18197
6406/3-9	1999.000000	1.520000	0.000000	0.000000	Peformadril	9999-12-31	6594	9999-12-31	2013-05-08	18198
6406/3-9	2286.000000	1.620000	0.000000	0.000000	Peformadril	9999-12-31	6594	9999-12-31	2013-05-08	18199
6406/3-9	3247.000000	1.740000	0.000000	0.000000	OIL (ENVIRON)	9999-12-31	6594	9999-12-31	2013-05-08	18200
6406/3-9	3250.000000	1.790000	0.000000	0.000000	XP-07	9999-12-31	6594	9999-12-31	2013-05-08	18201
6406/3-9	3640.000000	1.750000	0.000000	0.000000	XP-07	9999-12-31	6594	9999-12-31	2013-05-08	18202
6406/3-9	3743.000000	1.770000	0.000000	0.000000	XP-07	9999-12-31	6594	9999-12-31	2013-05-08	18203
6406/3-9	4116.000000	1.790000	0.000000	0.000000	XP-07	9999-12-31	6594	9999-12-31	2013-05-08	18204
6406/3-9	4134.000000	1.790000	0.000000	0.000000	XP-07	9999-12-31	6594	9999-12-31	2013-05-08	18205
6406/3-9	4183.000000	1.790000	0.000000	0.000000	XP-07	9999-12-31	6594	9999-12-31	2013-05-08	18206
6406/5-1	385.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	4451	9999-12-31	2013-05-08	18207
6406/5-1	1092.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	4451	9999-12-31	2013-05-08	18208
6406/5-1	1122.000000	1.840000	31.000000	0.000000	POLYMER	9999-12-31	4451	9999-12-31	2013-05-08	18209
6406/5-1	1287.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	4451	9999-12-31	2013-05-08	18210
6406/5-1	1297.000000	1.840000	31.000000	0.000000	POLYMER	9999-12-31	4451	9999-12-31	2013-05-08	18211
6406/5-1	1434.000000	1.500000	23.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4451	9999-12-31	2013-05-08	18212
6406/5-1	1533.000000	1.540000	18.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4451	9999-12-31	2013-05-08	18213
6406/5-1	1616.000000	1.480000	20.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4451	9999-12-31	2013-05-08	18214
6406/5-1	2277.000000	1.580000	31.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4451	9999-12-31	2013-05-08	18215
6406/5-1	2280.000000	1.580000	31.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4451	9999-12-31	2013-05-08	18216
6406/5-1	2360.000000	1.500000	30.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4451	9999-12-31	2013-05-08	18217
6406/5-1	2364.000000	1.750000	40.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4451	9999-12-31	2013-05-08	18218
6406/5-1	2552.000000	1.780000	35.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4451	9999-12-31	2013-05-08	18219
6406/5-1	2600.000000	1.640000	28.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4451	9999-12-31	2013-05-08	18220
6406/5-1	2691.000000	1.820000	33.000000	0.000000	KCL/PAC/GLYCOL	9999-12-31	4451	9999-12-31	2013-05-08	18221
6406/5-1	2830.000000	1.780000	46.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18222
6406/5-1	3901.000000	1.870000	72.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18223
6406/5-1	4115.000000	1.870000	54.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18224
6406/5-1	4149.000000	1.970000	58.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18225
6406/5-1	4230.000000	1.970000	56.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18226
6406/5-1	4313.000000	1.970000	58.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18227
6406/5-1	4372.000000	1.970000	54.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18228
6406/5-1	4378.000000	1.970000	58.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18229
6406/5-1	4401.000000	1.970000	59.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18230
6406/5-1	4434.000000	1.970000	54.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18231
6406/5-1	4496.000000	1.970000	56.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18232
6406/5-1	4523.000000	1.970000	52.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18233
6406/5-1	4692.000000	1.900000	53.000000	0.000000	OIL (ENVIRON)	9999-12-31	4451	9999-12-31	2013-05-08	18234
6406/6-1	330.000000	1.020000	0.000000	0.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18235
6406/6-1	332.000000	1.040000	5.000000	15.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18236
6406/6-1	359.000000	1.050000	5.000000	12.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18237
6406/6-1	826.000000	1.080000	5.000000	14.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18238
6406/6-1	965.000000	1.100000	15.000000	5.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18239
6406/6-1	1305.000000	1.110000	17.000000	10.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18240
6406/6-1	1652.000000	1.200000	17.000000	9.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18241
6406/6-1	1746.000000	1.000000	17.000000	9.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18242
6406/6-1	1980.000000	1.200000	18.000000	11.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18243
6406/6-1	1981.000000	1.300000	18.000000	11.000000	WATER BASED	1985-09-02	486	9999-12-31	2013-05-08	18244
6406/6-1	2020.000000	1.300000	14.000000	8.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18245
6406/6-1	2173.000000	1.300000	14.000000	8.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18246
6406/6-1	2193.000000	1.400000	15.000000	9.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18247
6406/6-1	2296.000000	1.490000	20.000000	9.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18248
6406/6-1	2335.000000	1.570000	22.000000	8.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18249
6406/6-1	2383.000000	1.570000	18.000000	7.000000	WATER BASED	1985-09-06	486	9999-12-31	2013-05-08	18250
6406/6-1	2415.000000	1.600000	19.000000	7.500000	WATER BASED	1985-09-09	486	9999-12-31	2013-05-08	18251
6406/6-1	2490.000000	1.720000	34.000000	9.000000	WATER BASED	1985-09-12	486	9999-12-31	2013-05-08	18252
6406/6-1	2497.000000	1.720000	34.000000	9.000000	WATER BASED	1985-09-12	486	9999-12-31	2013-05-08	18253
6406/6-1	2504.000000	1.770000	34.000000	9.000000	WATER BASED	1985-09-12	486	9999-12-31	2013-05-08	18254
6406/6-1	2509.000000	1.770000	35.000000	7.500000	WATER BASED	1985-09-13	486	9999-12-31	2013-05-08	18255
6406/6-1	2532.000000	1.770000	35.000000	7.500000	WATER BASED	1985-09-13	486	9999-12-31	2013-05-08	18256
6406/6-1	2553.000000	1.790000	35.000000	5.500000	WATER BASED	1985-09-13	486	9999-12-31	2013-05-08	18257
6406/6-1	2590.000000	1.780000	34.000000	8.000000	WATER BASED	1985-09-13	486	9999-12-31	2013-05-08	18258
6406/6-1	3008.000000	1.780000	30.000000	7.000000	WATER BASED	1985-09-17	486	9999-12-31	2013-05-08	18259
6406/6-1	3082.000000	1.780000	32.000000	7.000000	WATER BASED	1985-09-18	486	9999-12-31	2013-05-08	18260
6406/6-1	3325.000000	1.780000	26.000000	8.000000	WATER BASED	1985-09-24	486	9999-12-31	2013-05-08	18261
6406/6-1	3360.000000	1.780000	52.000000	7.500000	WATER BASED	1985-09-24	486	9999-12-31	2013-05-08	18262
6406/6-1	3407.000000	1.780000	54.000000	9.000000	WATER BASED	1985-09-25	486	9999-12-31	2013-05-08	18263
6406/6-1	3935.000000	1.780000	24.000000	5.000000	WATER BASED	1985-10-07	486	9999-12-31	2013-05-08	18264
6406/6-1	3935.000000	1.780000	24.000000	5.000000	WATER BASED	1985-10-16	486	9999-12-31	2013-05-08	18265
6406/6-1	4239.000000	1.810000	24.000000	5.000000	WATER BASED	1985-11-20	486	9999-12-31	2013-05-08	18266
6406/6-1	4485.000000	1.800000	28.000000	6.400000	WATER BASED	1985-11-25	486	9999-12-31	2013-05-08	18267
6406/6-1	4710.000000	1.790000	28.000000	6.400000	WATER BASED	1985-12-06	486	9999-12-31	2013-05-08	18268
6406/6-1	4715.000000	1.760000	28.000000	6.400000	WATER BASED	1985-12-06	486	9999-12-31	2013-05-08	18269
6406/6-2	383.000000	1.200000	0.000000	0.000000	SPUD MUD	9999-12-31	5359	9999-12-31	2013-05-08	18270
6406/6-2	1435.000000	1.500000	27.000000	0.000000	ULTRADRIL	9999-12-31	5359	9999-12-31	2013-05-08	18271
6406/6-2	1922.000000	1.630000	36.000000	0.000000	ULTRADRIL	9999-12-31	5359	9999-12-31	2013-05-08	18272
6406/6-2	2349.000000	1.710000	46.000000	0.000000	ULTRADRIL	9999-12-31	5359	9999-12-31	2013-05-08	18273
6406/6-2	2354.000000	1.810000	35.000000	0.000000	PARATHERM	9999-12-31	5359	9999-12-31	2013-05-08	18274
6406/6-2	3920.000000	1.850000	43.000000	0.000000	PARATHERM	9999-12-31	5359	9999-12-31	2013-05-08	18275
6406/6-2	3934.000000	1.840000	39.000000	0.000000	PARATHERM	9999-12-31	5359	9999-12-31	2013-05-08	18276
6406/6-2	3950.000000	1.840000	39.000000	0.000000	PARATHERM	9999-12-31	5359	9999-12-31	2013-05-08	18277
6406/6-2	3951.000000	1.840000	39.000000	0.000000	PARATHERM	9999-12-31	5359	9999-12-31	2013-05-08	18278
6406/8-1	815.000000	1.080000	26.000000	8.800000	WATER BASED	1987-05-19	1136	9999-12-31	2013-05-08	18279
6406/8-1	1805.000000	1.300000	34.000000	5.800000	WATER BASED	1987-10-05	1136	9999-12-31	2013-05-08	18280
6406/8-1	2110.000000	1.310000	28.000000	5.800000	WATER BASED	1987-10-05	1136	9999-12-31	2013-05-08	18281
6406/8-1	2236.000000	1.350000	36.000000	10.700000	WATER BASED	1987-10-06	1136	9999-12-31	2013-05-08	18282
6406/8-1	2320.000000	1.400000	31.000000	8.800000	WATER BASED	1987-10-08	1136	9999-12-31	2013-05-08	18283
6406/8-1	2444.000000	1.400000	36.000000	9.800000	WATER BASED	1987-10-08	1136	9999-12-31	2013-05-08	18284
6406/8-1	2770.000000	1.650000	33.000000	7.800000	WATER BASED	1987-10-16	1136	9999-12-31	2013-05-08	18285
6406/8-1	2956.000000	1.650000	40.000000	10.700000	WATER BASED	1987-10-19	1136	9999-12-31	2013-05-08	18286
6406/8-1	2969.000000	1.720000	26.000000	7.800000	WATER BASED	1987-10-19	1136	9999-12-31	2013-05-08	18287
6406/8-1	3095.000000	1.720000	34.000000	7.800000	WATER BASED	1987-10-20	1136	9999-12-31	2013-05-08	18288
6406/8-1	3126.000000	1.750000	38.000000	10.700000	WATER BASED	1987-10-21	1136	9999-12-31	2013-05-08	18289
6406/8-1	3190.000000	1.750000	28.000000	8.300000	WATER BASED	1987-10-22	1136	9999-12-31	2013-05-08	18290
6406/8-1	3195.000000	1.750000	32.000000	8.800000	WATER BASED	1987-10-23	1136	9999-12-31	2013-05-08	18291
6406/8-1	3264.000000	1.750000	38.000000	8.300000	WATER BASED	1987-10-26	1136	9999-12-31	2013-05-08	18292
6406/8-1	3355.000000	1.740000	36.000000	9.300000	WATER BASED	1987-10-26	1136	9999-12-31	2013-05-08	18293
6406/8-1	3442.000000	1.750000	37.000000	11.200000	WATER BASED	1987-10-26	1136	9999-12-31	2013-05-08	18294
6406/8-1	3497.000000	1.750000	36.000000	12.200000	WATER BASED	1987-10-27	1136	9999-12-31	2013-05-08	18295
6406/8-1	3526.000000	1.750000	42.000000	11.700000	WATER BASED	1987-10-28	1136	9999-12-31	2013-05-08	18296
6406/8-1	3584.000000	1.750000	38.000000	8.800000	WATER BASED	1987-10-29	1136	9999-12-31	2013-05-08	18297
6406/8-1	3655.000000	1.750000	38.000000	10.700000	WATER BASED	1987-10-30	1136	9999-12-31	2013-05-08	18298
6406/8-1	3734.000000	1.750000	38.000000	9.800000	WATER BASED	1987-11-02	1136	9999-12-31	2013-05-08	18299
6406/8-1	3802.000000	1.750000	35.000000	9.800000	WATER BASED	1987-11-02	1136	9999-12-31	2013-05-08	18300
6406/8-1	3886.000000	1.750000	36.000000	10.700000	WATER BASED	1987-11-03	1136	9999-12-31	2013-05-08	18301
6406/8-1	3933.000000	1.750000	35.000000	10.700000	WATER BASED	1987-11-03	1136	9999-12-31	2013-05-08	18302
6406/8-1	3958.000000	1.750000	38.000000	9.800000	WATER BASED	1987-11-05	1136	9999-12-31	2013-05-08	18303
6406/8-1	4015.000000	1.750000	38.000000	10.700000	WATER BASED	1987-11-06	1136	9999-12-31	2013-05-08	18304
6406/8-1	4130.000000	1.750000	37.000000	9.800000	WATER BASED	1987-11-09	1136	9999-12-31	2013-05-08	18305
6406/8-1	4200.000000	1.750000	36.000000	9.800000	WATER BASED	1987-11-09	1136	9999-12-31	2013-05-08	18306
6406/8-1	4219.000000	1.570000	35.000000	8.300000	WATER BASED	1987-11-18	1136	9999-12-31	2013-05-08	18307
6406/8-1	4262.000000	1.570000	28.000000	10.700000	WATER BASED	1987-11-19	1136	9999-12-31	2013-05-08	18308
6406/8-1	4286.000000	1.570000	35.000000	7.800000	WATER BASED	1987-11-20	1136	9999-12-31	2013-05-08	18309
6406/8-1	4301.000000	1.570000	31.000000	6.800000	WATER BASED	1987-11-23	1136	9999-12-31	2013-05-08	18310
6406/8-1	4349.000000	1.570000	33.000000	7.800000	WATER BASED	1987-11-23	1136	9999-12-31	2013-05-08	18311
6406/8-1	4351.000000	1.570000	34.000000	7.800000	WATER BASED	1987-11-23	1136	9999-12-31	2013-05-08	18312
6406/8-1	4351.000000	1.570000	37.000000	7.300000	WATER BASED	1987-11-24	1136	9999-12-31	2013-05-08	18313
6406/8-1	4443.000000	1.650000	33.000000	6.800000	WATER BASED	1987-11-27	1136	9999-12-31	2013-05-08	18314
6406/8-1	4443.000000	1.570000	36.000000	8.800000	WATER BASED	1987-11-26	1136	9999-12-31	2013-05-08	18315
6406/8-1	4450.000000	1.840000	68.000000	11.700000	WATER BASED	1988-01-27	1136	9999-12-31	2013-05-08	18316
6406/8-1	4472.000000	1.680000	39.000000	7.800000	WATER BASED	1987-11-30	1136	9999-12-31	2013-05-08	18317
6406/8-1	4555.000000	1.770000	46.000000	5.800000	WATER BASED	1987-12-07	1136	9999-12-31	2013-05-08	18318
6406/8-1	4578.000000	1.840000	66.000000	14.700000	WATER BASED	1988-01-28	1136	9999-12-31	2013-05-08	18319
6406/8-1	4616.000000	1.770000	45.000000	10.700000	WATER BASED	1987-12-07	1136	9999-12-31	2013-05-08	18320
6406/8-1	4649.000000	1.840000	66.000000	13.700000	WATER BASED	1988-01-29	1136	9999-12-31	2013-05-08	18321
6406/8-1	4649.000000	1.770000	42.000000	17.600000	WATER BASED	1987-12-07	1136	9999-12-31	2013-05-08	18322
6406/8-1	4668.000000	1.770000	45.000000	10.700000	WATER BASED	1987-12-09	1136	9999-12-31	2013-05-08	18323
6406/8-1	4751.000000	1.770000	60.000000	2.900000	WATER BASED	1987-12-10	1136	9999-12-31	2013-05-08	18324
6406/8-1	4752.000000	1.840000	78.000000	15.600000	WATER BASED	1988-02-08	1136	9999-12-31	2013-05-08	18325
6406/8-1	4760.000000	1.770000	46.000000	11.700000	WATER BASED	1987-12-11	1136	9999-12-31	2013-05-08	18326
6406/8-1	4763.000000	1.770000	42.000000	10.700000	WATER BASED	1987-12-14	1136	9999-12-31	2013-05-08	18327
6406/8-1	4786.000000	1.770000	34.000000	13.700000	WATER BASED	1987-12-14	1136	9999-12-31	2013-05-08	18328
6406/8-1	4852.000000	1.840000	68.000000	13.700000	WATER BASED	1988-02-09	1136	9999-12-31	2013-05-08	18329
6406/8-1	4901.000000	1.780000	48.000000	8.800000	WATER BASED	1987-12-15	1136	9999-12-31	2013-05-08	18330
6406/8-1	4914.000000	1.840000	63.000000	14.700000	WATER BASED	1988-02-10	1136	9999-12-31	2013-05-08	18331
6406/8-1	4926.000000	1.770000	56.000000	11.700000	WATER BASED	1987-12-16	1136	9999-12-31	2013-05-08	18332
6406/8-1	4942.000000	1.790000	43.000000	9.800000	WATER BASED	1987-12-17	1136	9999-12-31	2013-05-08	18333
6406/8-2	958.000000	1.200000	0.000000	0.000000	SPUD MUD	9999-12-31	5435	9999-12-31	2013-05-08	18334
6406/8-2	1200.000000	1.020000	0.000000	0.000000	SPUD MUD	9999-12-31	5435	9999-12-31	2013-05-08	18335
6406/8-2	1430.000000	1.200000	0.000000	0.000000	SPUD MUD	9999-12-31	5435	9999-12-31	2013-05-08	18336
6406/8-2	1610.000000	1.500000	52.000000	0.000000	KCL/POLYMER-GLY	9999-12-31	5435	9999-12-31	2013-05-08	18337
6406/8-2	1814.000000	1.600000	29.000000	0.000000	KCL/POLYMER-GLY	9999-12-31	5435	9999-12-31	2013-05-08	18338
6406/8-2	1855.000000	1.600000	58.000000	0.000000	KCL/POLYMER-GLY	9999-12-31	5435	9999-12-31	2013-05-08	18339
6406/8-2	1920.000000	1.600000	47.000000	0.000000	KCL/POLYMER-GLY	9999-12-31	5435	9999-12-31	2013-05-08	18340
6406/8-2	2064.000000	1.600000	56.000000	0.000000	KCL/POLYMER-GLY	9999-12-31	5435	9999-12-31	2013-05-08	18341
6406/8-2	2361.000000	1.500000	21.000000	0.000000	KCL/POLYMER-GLY	9999-12-31	5435	9999-12-31	2013-05-08	18342
6406/8-2	2380.000000	1.700000	20.000000	0.000000	NABM	9999-12-31	5435	9999-12-31	2013-05-08	18343
6406/8-2	3063.000000	1.780000	30.000000	0.000000	NABM	9999-12-31	5435	9999-12-31	2013-05-08	18344
6406/8-2	3562.000000	1.780000	46.000000	0.000000	NABM	9999-12-31	5435	9999-12-31	2013-05-08	18345
6406/8-2	3900.000000	1.920000	78.000000	0.000000	NABM	9999-12-31	5435	9999-12-31	2013-05-08	18346
6406/8-2	4032.000000	1.910000	58.000000	0.000000	NABM	9999-12-31	5435	9999-12-31	2013-05-08	18347
6406/8-2	4045.000000	1.850000	56.000000	0.000000	NABM	9999-12-31	5435	9999-12-31	2013-05-08	18348
6406/8-2	4152.000000	1.910000	30.000000	0.000000	NABM	9999-12-31	5435	9999-12-31	2013-05-08	18349
6406/8-2	4338.000000	1.910000	30.000000	0.000000	NABM	9999-12-31	5435	9999-12-31	2013-05-08	18350
6406/8-2	4603.000000	1.910000	38.000000	0.000000	DUMMY	9999-12-31	5435	9999-12-31	2013-05-08	18351
6406/8-2	4700.000000	1.910000	58.000000	0.000000	NABM	9999-12-31	5435	9999-12-31	2013-05-08	18352
6406/9-1	405.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	4927	9999-12-31	2013-05-08	18353
6406/9-1	644.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	4927	9999-12-31	2013-05-08	18354
6406/9-1	1381.000000	1.550000	19.000000	0.000000	GLYDRIL MUD	9999-12-31	4927	9999-12-31	2013-05-08	18355
6406/9-1	1820.000000	1.820000	21.000000	0.000000	GLYDRILL WBM	9999-12-31	4927	9999-12-31	2013-05-08	18356
6406/9-1	2248.000000	1.700000	30.000000	0.000000	GLYDRIL MUD	9999-12-31	4927	9999-12-31	2013-05-08	18357
6406/9-1	2793.000000	1.750000	32.000000	0.000000	GLYDRIL MUD	9999-12-31	4927	9999-12-31	2013-05-08	18358
6406/9-1	3251.000000	1.770000	30.000000	0.000000	PHARATERM	9999-12-31	4927	9999-12-31	2013-05-08	18359
6406/9-1	3544.000000	1.790000	32.000000	0.000000	PHARATERM	9999-12-31	4927	9999-12-31	2013-05-08	18360
6406/9-1	4075.000000	1.870000	40.000000	0.000000	PARATHERM	9999-12-31	4927	9999-12-31	2013-05-08	18361
6406/9-1	4306.000000	1.870000	38.000000	0.000000	PARATHERM	9999-12-31	4927	9999-12-31	2013-05-08	18362
6406/9-1	4546.000000	1.890000	32.000000	0.000000	PARATHERM	9999-12-31	4927	9999-12-31	2013-05-08	18363
6406/9-1	4591.000000	1.880000	36.000000	0.000000	PARATHERM	9999-12-31	4927	9999-12-31	2013-05-08	18364
6406/9-1	4710.000000	1.900000	40.000000	0.000000	PARATHERM	9999-12-31	4927	9999-12-31	2013-05-08	18365
6406/9-1	4718.000000	1.890000	40.000000	0.000000	PARATHERM	9999-12-31	4927	9999-12-31	2013-05-08	18366
6406/9-1	4880.000000	1.880000	40.000000	0.000000	PARATHERM	9999-12-31	4927	9999-12-31	2013-05-08	18367
6406/9-1	5063.000000	1.890000	43.000000	0.000000	PARATHERM	9999-12-31	4927	9999-12-31	2013-05-08	18368
6406/9-1	5080.000000	1.880000	49.000000	0.000000	PARATHERM	9999-12-31	4927	9999-12-31	2013-05-08	18369
6406/9-2	707.000000	1.750000	21.000000	0.000000	OTHER	9999-12-31	5454	9999-12-31	2013-05-08	18370
6406/9-2	2353.000000	1.840000	53.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18371
6406/9-2	4461.000000	1.840000	39.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18372
6406/9-2	4523.000000	1.840000	43.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18373
6406/9-2	4640.000000	1.840000	39.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18374
6406/9-2	4864.000000	1.840000	44.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18375
6406/9-2	5097.000000	1.840000	44.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18376
6406/9-2	5103.000000	1.840000	44.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18377
6406/9-2	5133.000000	1.840000	48.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18378
6406/9-2	5182.000000	1.840000	46.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18379
6406/9-2	5239.000000	1.840000	51.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18380
6406/9-2	5254.000000	1.840000	47.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18381
6406/9-2	5348.000000	1.850000	48.000000	0.000000	PARATHERM	9999-12-31	5454	9999-12-31	2013-05-08	18382
6407/10-1	376.000000	1.030000	0.000000	0.000000	WATER BASED	1987-05-11	1054	9999-12-31	2013-05-08	18383
6407/10-1	416.000000	1.420000	33.000000	8.000000	WATER BASED	1987-06-18	1054	9999-12-31	2013-05-08	18384
6407/10-1	442.000000	1.030000	0.000000	0.000000	WATER BASED	1987-05-12	1054	9999-12-31	2013-05-08	18385
6407/10-1	590.000000	1.030000	0.000000	0.000000	WATER BASED	1987-05-12	1054	9999-12-31	2013-05-08	18386
6407/10-1	1117.000000	1.200000	0.000000	0.000000	WATER BASED	1987-05-12	1054	9999-12-31	2013-05-08	18387
6407/10-1	1117.000000	1.200000	22.000000	10.000000	WATER BASED	1987-05-14	1054	9999-12-31	2013-05-08	18388
6407/10-1	1117.000000	1.200000	21.000000	11.000000	WATER BASED	1987-05-14	1054	9999-12-31	2013-05-08	18389
6407/10-1	1380.000000	1.600000	36.000000	14.000000	WATER BASED	1987-05-18	1054	9999-12-31	2013-05-08	18390
6407/10-1	1759.000000	1.600000	45.000000	15.000000	WATER BASED	1987-05-18	1054	9999-12-31	2013-05-08	18391
6407/10-1	2100.000000	1.600000	45.000000	14.000000	WATER BASED	1987-05-18	1054	9999-12-31	2013-05-08	18392
6407/10-1	2136.000000	1.600000	45.000000	11.000000	WATER BASED	1987-05-18	1054	9999-12-31	2013-05-08	18393
6407/10-1	2213.000000	1.600000	45.000000	11.000000	WATER BASED	1987-05-19	1054	9999-12-31	2013-05-08	18394
6407/10-1	2237.000000	1.600000	44.000000	11.000000	WATER BASED	1987-05-20	1054	9999-12-31	2013-05-08	18395
6407/10-1	2296.000000	1.420000	33.000000	8.000000	WATER BASED	1987-06-17	1054	9999-12-31	2013-05-08	18396
6407/10-1	2400.000000	1.600000	37.000000	11.000000	WATER BASED	1987-05-25	1054	9999-12-31	2013-05-08	18397
6407/10-1	2485.000000	1.600000	37.000000	11.000000	WATER BASED	1987-05-25	1054	9999-12-31	2013-05-08	18398
6407/10-1	2540.000000	1.600000	36.000000	10.000000	WATER BASED	1987-05-25	1054	9999-12-31	2013-05-08	18399
6407/10-1	2545.000000	1.450000	24.000000	8.000000	WATER BASED	1987-05-29	1054	9999-12-31	2013-05-08	18400
6407/10-1	2545.000000	1.520000	23.000000	7.000000	WATER BASED	1987-06-01	1054	9999-12-31	2013-05-08	18401
6407/10-1	2545.000000	1.600000	31.000000	9.000000	WATER BASED	1987-05-29	1054	9999-12-31	2013-05-08	18402
6407/10-1	2545.000000	1.600000	31.000000	9.000000	WATER BASED	1987-05-27	1054	9999-12-31	2013-05-08	18403
6407/10-1	2572.000000	1.520000	28.000000	8.000000	WATER BASED	1987-06-01	1054	9999-12-31	2013-05-08	18404
6407/10-1	2610.000000	1.520000	32.000000	7.000000	WATER BASED	1987-06-01	1054	9999-12-31	2013-05-08	18405
6407/10-1	2724.000000	1.520000	33.000000	7.000000	WATER BASED	1987-06-02	1054	9999-12-31	2013-05-08	18406
6407/10-1	2773.000000	1.520000	32.000000	8.000000	WATER BASED	1987-06-03	1054	9999-12-31	2013-05-08	18407
6407/10-1	2817.000000	1.520000	32.000000	7.000000	WATER BASED	1987-06-04	1054	9999-12-31	2013-05-08	18408
6407/10-1	2848.000000	1.520000	30.000000	7.000000	WATER BASED	1987-06-05	1054	9999-12-31	2013-05-08	18409
6407/10-1	2933.000000	1.520000	31.000000	8.000000	WATER BASED	1987-06-09	1054	9999-12-31	2013-05-08	18410
6407/10-1	2983.000000	1.520000	30.000000	9.000000	WATER BASED	1987-06-09	1054	9999-12-31	2013-05-08	18411
6407/10-1	3011.000000	1.520000	30.000000	8.000000	WATER BASED	1987-06-09	1054	9999-12-31	2013-05-08	18412
6407/10-1	3031.000000	1.520000	29.000000	8.000000	WATER BASED	1987-06-09	1054	9999-12-31	2013-05-08	18413
6407/10-1	3055.000000	1.520000	30.000000	9.000000	WATER BASED	1987-06-10	1054	9999-12-31	2013-05-08	18414
6407/10-1	3157.000000	1.500000	29.000000	8.000000	WATER BASED	1987-06-11	1054	9999-12-31	2013-05-08	18415
6407/10-1	3227.000000	1.500000	32.000000	9.000000	WATER BASED	1987-06-12	1054	9999-12-31	2013-05-08	18416
6407/10-1	3320.000000	1.500000	34.000000	9.000000	WATER BASED	1987-06-15	1054	9999-12-31	2013-05-08	18417
6407/10-1	3346.000000	1.500000	37.000000	9.000000	WATER BASED	1987-06-15	1054	9999-12-31	2013-05-08	18418
6407/10-1	3346.000000	1.420000	33.000000	8.000000	WATER BASED	1987-06-16	1054	9999-12-31	2013-05-08	18419
6407/10-1	3346.000000	1.420000	30.000000	8.000000	WATER BASED	1987-06-15	1054	9999-12-31	2013-05-08	18420
6407/10-2	397.000000	1.070000	0.000000	0.000000	WATER BASED	1990-05-03	1497	9999-12-31	2013-05-08	18421
6407/10-2	406.000000	1.070000	0.000000	0.000000	WATER BASED	1990-05-04	1497	9999-12-31	2013-05-08	18422
6407/10-2	443.000000	1.070000	0.000000	0.000000	WATER BASED	1990-05-10	1497	9999-12-31	2013-05-08	18423
6407/10-2	447.000000	1.070000	0.000000	0.000000	WATER BASED	1990-05-10	1497	9999-12-31	2013-05-08	18424
6407/10-2	448.000000	1.070000	0.000000	0.000000	WATER BASED	1990-05-10	1497	9999-12-31	2013-05-08	18425
6407/10-2	808.000000	1.100000	0.000000	0.000000	WATER BASED	1990-05-10	1497	9999-12-31	2013-05-08	18426
6407/10-2	1070.000000	1.070000	0.000000	0.000000	WATER BASED	1990-05-10	1497	9999-12-31	2013-05-08	18427
6407/10-2	1070.000000	1.070000	0.000000	0.000000	WATER BASED	1990-05-14	1497	9999-12-31	2013-05-08	18428
6407/10-2	1070.000000	1.100000	0.000000	0.000000	WATER BASED	1990-05-10	1497	9999-12-31	2013-05-08	18429
6407/10-2	1070.000000	1.070000	0.000000	0.000000	WATER BASED	1990-05-14	1497	9999-12-31	2013-05-08	18430
6407/10-2	1177.000000	1.450000	11.000000	8.000000	WATER BASED	1990-05-14	1497	9999-12-31	2013-05-08	18431
6407/10-2	1364.000000	1.600000	19.000000	8.000000	WATER BASED	1990-05-14	1497	9999-12-31	2013-05-08	18432
6407/10-2	1529.000000	1.600000	25.000000	8.000000	WATER BASED	1990-05-15	1497	9999-12-31	2013-05-08	18433
6407/10-2	1656.000000	1.600000	24.000000	13.000000	WATER BASED	1990-05-16	1497	9999-12-31	2013-05-08	18434
6407/10-2	1969.000000	1.590000	26.000000	10.000000	WATER BASED	1990-05-21	1497	9999-12-31	2013-05-08	18435
6407/10-2	2040.000000	1.320000	17.000000	10.000000	WATER BASED	1990-06-22	1497	9999-12-31	2013-05-08	18436
6407/10-2	2119.000000	1.600000	30.000000	13.000000	WATER BASED	1990-05-21	1497	9999-12-31	2013-05-08	18437
6407/10-2	2168.000000	1.600000	25.000000	11.000000	WATER BASED	1990-05-21	1497	9999-12-31	2013-05-08	18438
6407/10-2	2188.000000	1.590000	32.000000	12.000000	WATER BASED	1990-05-21	1497	9999-12-31	2013-05-08	18439
6407/10-2	2188.000000	1.590000	31.000000	9.000000	WATER BASED	1990-05-21	1497	9999-12-31	2013-05-08	18440
6407/10-2	2191.000000	1.380000	27.000000	10.000000	WATER BASED	1990-05-22	1497	9999-12-31	2013-05-08	18441
6407/10-2	2435.000000	1.380000	25.000000	10.000000	WATER BASED	1990-05-23	1497	9999-12-31	2013-05-08	18442
6407/10-2	2590.000000	1.380000	23.000000	11.000000	WATER BASED	1990-05-25	1497	9999-12-31	2013-05-08	18443
6407/10-2	2656.000000	1.390000	18.000000	10.000000	WATER BASED	1990-05-25	1497	9999-12-31	2013-05-08	18444
6407/10-2	2768.000000	1.380000	26.000000	8.000000	WATER BASED	1990-05-28	1497	9999-12-31	2013-05-08	18445
6407/10-2	2853.000000	1.380000	21.000000	10.000000	WATER BASED	1990-05-28	1497	9999-12-31	2013-05-08	18446
6407/10-2	2887.000000	1.380000	17.000000	10.000000	WATER BASED	1990-05-28	1497	9999-12-31	2013-05-08	18447
6407/10-2	2960.000000	1.380000	28.000000	10.000000	WATER BASED	1990-05-29	1497	9999-12-31	2013-05-08	18448
6407/10-2	3033.000000	1.380000	21.000000	7.000000	WATER BASED	1990-05-30	1497	9999-12-31	2013-05-08	18449
6407/10-2	3164.000000	1.380000	27.000000	7.000000	WATER BASED	1990-05-31	1497	9999-12-31	2013-05-08	18450
6407/10-2	3202.000000	1.380000	21.000000	10.000000	WATER BASED	1990-06-05	1497	9999-12-31	2013-05-08	18451
6407/10-2	3252.000000	1.380000	20.000000	10.000000	WATER BASED	1990-06-05	1497	9999-12-31	2013-05-08	18452
6407/10-2	3305.000000	1.380000	25.000000	12.000000	WATER BASED	1990-06-05	1497	9999-12-31	2013-05-08	18453
6407/10-2	3357.000000	1.380000	24.000000	10.000000	WATER BASED	1990-06-05	1497	9999-12-31	2013-05-08	18454
6407/10-2	3370.000000	1.320000	17.000000	10.000000	WATER BASED	1990-06-21	1497	9999-12-31	2013-05-08	18455
6407/10-2	3411.000000	1.380000	22.000000	11.000000	WATER BASED	1990-06-05	1497	9999-12-31	2013-05-08	18456
6407/10-2	3442.000000	1.380000	14.000000	10.000000	WATER BASED	1990-06-06	1497	9999-12-31	2013-05-08	18457
6407/10-2	3458.000000	1.380000	23.000000	13.000000	WATER BASED	1990-06-07	1497	9999-12-31	2013-05-08	18458
6407/10-2	3509.000000	1.380000	20.000000	10.000000	WATER BASED	1990-06-08	1497	9999-12-31	2013-05-08	18459
6407/10-2	3553.000000	1.380000	20.000000	10.000000	WATER BASED	1990-06-11	1497	9999-12-31	2013-05-08	18460
6407/10-2	3587.000000	1.380000	22.000000	12.000000	WATER BASED	1990-06-11	1497	9999-12-31	2013-05-08	18461
6407/10-2	3641.000000	1.380000	20.000000	13.000000	WATER BASED	1990-06-11	1497	9999-12-31	2013-05-08	18462
6407/10-2	3664.000000	1.380000	22.000000	12.000000	WATER BASED	1990-06-12	1497	9999-12-31	2013-05-08	18463
6407/10-2	3682.000000	1.380000	22.000000	12.000000	WATER BASED	1990-06-13	1497	9999-12-31	2013-05-08	18464
6407/10-2	3700.000000	1.380000	20.000000	12.000000	WATER BASED	1990-06-14	1497	9999-12-31	2013-05-08	18465
6407/10-2	3806.000000	1.380000	19.000000	14.000000	WATER BASED	1990-06-14	1497	9999-12-31	2013-05-08	18466
6407/10-2	3825.000000	1.380000	19.000000	14.000000	WATER BASED	1990-06-18	1497	9999-12-31	2013-05-08	18467
6407/10-2	3825.000000	1.320000	17.000000	10.000000	WATER BASED	1990-06-18	1497	9999-12-31	2013-05-08	18468
6407/10-2	3825.000000	1.380000	19.000000	14.000000	WATER BASED	1990-06-18	1497	9999-12-31	2013-05-08	18469
6407/10-2	3825.000000	1.320000	17.000000	10.000000	WATER BASED	1990-06-19	1497	9999-12-31	2013-05-08	18470
6407/10-2	3825.000000	1.320000	17.000000	10.000000	WATER BASED	1990-06-20	1497	9999-12-31	2013-05-08	18471
6407/10-3	369.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18472
6407/10-3	380.000000	1.450000	29.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18473
6407/10-3	435.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18474
6407/10-3	736.000000	1.200000	8.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18475
6407/10-3	987.000000	1.300000	28.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18476
6407/10-3	1344.000000	1.370000	23.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18477
6407/10-3	1583.000000	1.420000	27.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18478
6407/10-3	1656.000000	1.260000	26.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18479
6407/10-3	1680.000000	1.450000	29.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18480
6407/10-3	1788.000000	1.390000	21.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18481
6407/10-3	1832.000000	1.250000	21.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18482
6407/10-3	1953.000000	1.250000	23.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18483
6407/10-3	2110.000000	1.250000	20.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18484
6407/10-3	2136.000000	1.250000	22.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18485
6407/10-3	2242.000000	1.250000	26.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18486
6407/10-3	2349.000000	1.250000	25.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18487
6407/10-3	2440.000000	1.250000	22.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18488
6407/10-3	2489.000000	1.250000	24.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18489
6407/10-3	2973.000000	1.250000	26.000000	0.000000	WATER BASED	9999-12-31	1927	9999-12-31	2013-05-08	18490
6407/1-1	402.000000	1.030000	100.000000	0.000000	waterbased	9999-12-31	66	9999-12-31	2013-05-08	18491
6407/1-1	606.000000	1.060000	37.000000	0.000000	waterbased	9999-12-31	66	9999-12-31	2013-05-08	18492
6407/1-1	900.000000	1.080000	38.000000	0.000000	waterbased	9999-12-31	66	9999-12-31	2013-05-08	18493
6407/1-2	520.000000	1.090000	31.000000	0.000000	seawater	9999-12-31	61	9999-12-31	2013-05-08	18494
6407/1-2	1100.000000	1.140000	36.000000	0.000000	waterbased	9999-12-31	61	9999-12-31	2013-05-08	18495
6407/1-2	1425.000000	1.140000	35.000000	0.000000	waterbased	9999-12-31	61	9999-12-31	2013-05-08	18496
6407/1-2	1650.000000	1.220000	40.000000	0.000000	waterbased	9999-12-31	61	9999-12-31	2013-05-08	18497
6407/1-2	1980.000000	1.400000	44.000000	0.000000	waterbased	9999-12-31	61	9999-12-31	2013-05-08	18498
6407/1-2	2280.000000	1.660000	54.000000	0.000000	waterbased	9999-12-31	61	9999-12-31	2013-05-08	18499
6407/1-2	3500.000000	1.710000	62.000000	0.000000	waterbased	9999-12-31	61	9999-12-31	2013-05-08	18500
6407/1-2	3630.000000	1.250000	55.000000	0.000000	waterbased	9999-12-31	61	9999-12-31	2013-05-08	18501
6407/1-2	4020.000000	1.180000	72.000000	0.000000	waterbased	9999-12-31	61	9999-12-31	2013-05-08	18502
6407/1-2	4490.000000	1.300000	65.000000	0.000000	waterbased	9999-12-31	61	9999-12-31	2013-05-08	18503
6407/12-1	963.000000	1.200000	9.000000	0.000000	SPUD MUD	9999-12-31	3781	9999-12-31	2013-05-08	18504
6407/12-1	1805.000000	1.350000	26.000000	0.000000	BARASILC	9999-12-31	3781	9999-12-31	2013-05-08	18505
6407/12-1	1805.000000	1.350000	26.000000	0.000000	BARASILC	9999-12-31	3781	9999-12-31	2013-05-08	18506
6407/12-2	0.000000	1.020000	0.000000	0.000000	Bentonite spud mud.	9999-12-31	6191	9999-12-31	2013-05-08	18507
6407/12-2	700.000000	1.400000	25.000000	0.000000	K+/Glycol inhibitive WBM	9999-12-31	6191	9999-12-31	2013-05-08	18508
6407/12-2	968.000000	1.250000	18.000000	0.000000	K+/Glycol inhibitive WBM	9999-12-31	6191	9999-12-31	2013-05-08	18509
6407/12-2	1051.000000	1.400000	19.000000	0.000000	K+/Glycol inhibitive WBM	9999-12-31	6191	9999-12-31	2013-05-08	18510
6407/12-2	1275.000000	1.410000	25.000000	0.000000	K+/Glycol inhibitive WBM	9999-12-31	6191	9999-12-31	2013-05-08	18511
6407/12-2	1481.000000	1.400000	23.000000	0.000000	K+/Glycol inhibitive WBM	9999-12-31	6191	9999-12-31	2013-05-08	18512
6407/12-3	294.000000	1.020000	0.000000	0.000000	Hi Vis sweep	9999-12-31	6370	9999-12-31	2013-05-08	18513
6407/12-3	391.000000	1.590000	22.000000	0.000000	Kill mud	9999-12-31	6370	9999-12-31	2013-05-08	18514
6407/12-3	1080.000000	1.290000	29.000000	0.000000	Disp. mud	9999-12-31	6370	9999-12-31	2013-05-08	18515
6407/12-3	1349.000000	1.290000	20.000000	0.000000	Glydril WBM	9999-12-31	6370	9999-12-31	2013-05-08	18516
6407/12-3	1688.000000	1.290000	19.000000	0.000000	Glydril	9999-12-31	6370	9999-12-31	2013-05-08	18517
6407/12-3	1968.000000	1.290000	20.000000	0.000000	Glydril	9999-12-31	6370	9999-12-31	2013-05-08	18518
6407/1-3	450.000000	1.080000	66.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18519
6407/1-3	575.000000	1.090000	50.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18520
6407/1-3	670.000000	1.100000	60.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18521
6407/1-3	920.000000	1.110000	47.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18522
6407/1-3	1040.000000	1.080000	44.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18523
6407/1-3	1210.000000	1.120000	45.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18524
6407/1-3	1380.000000	1.150000	47.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18525
6407/1-3	1480.000000	1.160000	47.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18526
6407/1-3	1610.000000	1.150000	44.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18527
6407/1-3	1800.000000	1.270000	44.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18528
6407/1-3	1890.000000	1.400000	55.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18529
6407/1-3	2205.000000	1.550000	58.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18530
6407/1-3	2310.000000	1.660000	0.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18531
6407/1-3	2525.000000	1.660000	51.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18532
6407/1-3	2600.000000	1.700000	48.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18533
6407/1-3	3720.000000	1.200000	55.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18534
6407/1-3	4320.000000	1.300000	73.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18535
6407/1-3	4450.000000	1.290000	77.000000	0.000000	WATER BASED	9999-12-31	29	9999-12-31	2013-05-08	18536
6407/1-4	860.000000	1.070000	16.000000	0.000000	ANCO 2000	9999-12-31	2796	9999-12-31	2013-05-08	18537
6407/1-4	1810.000000	1.300000	18.000000	0.000000	ANCO 2000	9999-12-31	2796	9999-12-31	2013-05-08	18538
6407/1-4	2040.000000	1.630000	57.000000	0.000000	ANCO VERT	9999-12-31	2796	9999-12-31	2013-05-08	18539
6407/1-4	2190.000000	1.630000	57.000000	0.000000	ANCO VERT	9999-12-31	2796	9999-12-31	2013-05-08	18540
6407/1-4	2498.000000	1.720000	52.000000	0.000000	ANCO VERT	9999-12-31	2796	9999-12-31	2013-05-08	18541
6407/1-4	2526.000000	1.720000	50.000000	0.000000	ANCO VERT	9999-12-31	2796	9999-12-31	2013-05-08	18542
6407/1-4	3675.000000	1.720000	54.000000	0.000000	ANCO VERT	9999-12-31	2796	9999-12-31	2013-05-08	18543
6407/1-4	3706.000000	1.200000	21.000000	0.000000	ANCO VERT	9999-12-31	2796	9999-12-31	2013-05-08	18544
6407/1-4	3805.000000	1.200000	25.000000	0.000000	ANCO VERT	9999-12-31	2796	9999-12-31	2013-05-08	18545
6407/2-1	400.000000	1.090000	36.000000	0.000000	waterbased	9999-12-31	76	9999-12-31	2013-05-08	18546
6407/2-1	1000.000000	1.140000	38.000000	0.000000	waterbased	9999-12-31	76	9999-12-31	2013-05-08	18547
6407/2-1	1230.000000	1.140000	39.000000	0.000000	waterbased	9999-12-31	76	9999-12-31	2013-05-08	18548
6407/2-1	1960.000000	1.200000	54.000000	0.000000	waterbased	9999-12-31	76	9999-12-31	2013-05-08	18549
6407/2-1	2270.000000	1.360000	47.000000	0.000000	waterbased	9999-12-31	76	9999-12-31	2013-05-08	18550
6407/2-1	2830.000000	1.260000	56.000000	0.000000	waterbased	9999-12-31	76	9999-12-31	2013-05-08	18551
6407/2-1	3800.000000	1.230000	50.000000	0.000000	waterbased	9999-12-31	76	9999-12-31	2013-05-08	18552
6407/2-2	490.000000	1.090000	50.000000	0.000000	waterbased	9999-12-31	16	9999-12-31	2013-05-08	18553
6407/2-2	880.000000	1.110000	48.000000	0.000000	waterbased	9999-12-31	16	9999-12-31	2013-05-08	18554
6407/2-2	1720.000000	1.270000	50.000000	0.000000	waterbased	9999-12-31	16	9999-12-31	2013-05-08	18555
6407/2-2	2000.000000	1.400000	46.000000	0.000000	waterbased	9999-12-31	16	9999-12-31	2013-05-08	18556
6407/2-2	2680.000000	1.480000	60.000000	0.000000	waterbased	9999-12-31	16	9999-12-31	2013-05-08	18557
6407/2-2	2800.000000	1.170000	41.000000	0.000000	waterbased	9999-12-31	16	9999-12-31	2013-05-08	18558
6407/2-2	3250.000000	1.150000	44.000000	0.000000	waterbased	9999-12-31	16	9999-12-31	2013-05-08	18559
6407/2-3	286.000000	1.060000	0.000000	0.000000	WATER BASED	1986-11-10	935	9999-12-31	2013-05-08	18560
6407/2-3	327.000000	1.060000	0.000000	0.000000	WATER BASED	1986-11-11	935	9999-12-31	2013-05-08	18561
6407/2-3	403.000000	1.060000	0.000000	0.000000	WATER BASED	1986-11-17	935	9999-12-31	2013-05-08	18562
6407/2-3	531.000000	1.130000	5.000000	19.200000	WATER BASED	1986-11-17	935	9999-12-31	2013-05-08	18563
6407/2-3	915.000000	1.140000	6.000000	17.300000	WATER BASED	1986-11-17	935	9999-12-31	2013-05-08	18564
6407/2-3	915.000000	1.180000	7.000000	19.200000	WATER BASED	1986-11-17	935	9999-12-31	2013-05-08	18565
6407/2-3	915.000000	1.100000	25.000000	16.800000	WATER BASED	1986-11-19	935	9999-12-31	2013-05-08	18566
6407/2-3	915.000000	1.200000	8.000000	14.400000	WATER BASED	1986-11-18	935	9999-12-31	2013-05-08	18567
6407/2-3	915.000000	1.100000	24.000000	15.900000	WATER BASED	1986-11-18	935	9999-12-31	2013-05-08	18568
6407/2-3	925.000000	1.180000	6.000000	17.300000	WATER BASED	1986-11-17	935	9999-12-31	2013-05-08	18569
6407/2-3	1119.000000	1.120000	15.000000	8.700000	WATER BASED	1986-11-20	935	9999-12-31	2013-05-08	18570
6407/2-3	1345.000000	1.150000	13.000000	5.800000	WATER BASED	1986-11-21	935	9999-12-31	2013-05-08	18571
6407/2-3	1770.000000	1.300000	18.000000	9.100000	WATER BASED	1986-11-24	935	9999-12-31	2013-05-08	18572
6407/2-3	1968.000000	1.450000	16.000000	5.300000	WATER BASED	1986-11-24	935	9999-12-31	2013-05-08	18573
6407/2-3	1968.000000	1.450000	20.000000	6.300000	WATER BASED	1986-11-24	935	9999-12-31	2013-05-08	18574
6407/2-3	1968.000000	1.450000	16.000000	5.300000	WATER BASED	1986-12-02	935	9999-12-31	2013-05-08	18575
6407/2-3	2104.000000	1.500000	28.000000	9.100000	WATER BASED	1986-12-02	935	9999-12-31	2013-05-08	18576
6407/2-3	2115.000000	1.580000	18.000000	6.300000	WATER BASED	1986-12-02	935	9999-12-31	2013-05-08	18577
6407/2-3	2115.000000	1.580000	19.000000	10.100000	WATER BASED	1986-12-02	935	9999-12-31	2013-05-08	18578
6407/2-3	2115.000000	1.580000	21.000000	9.100000	WATER BASED	1986-12-02	935	9999-12-31	2013-05-08	18579
6407/2-3	2115.000000	1.580000	24.000000	7.200000	WATER BASED	1986-12-02	935	9999-12-31	2013-05-08	18580
6407/2-3	2115.000000	1.580000	15.000000	6.300000	WATER BASED	1986-12-08	935	9999-12-31	2013-05-08	18581
6407/2-3	2115.000000	1.580000	15.000000	6.800000	WATER BASED	1986-12-08	935	9999-12-31	2013-05-08	18582
6407/2-3	2115.000000	1.580000	17.000000	8.200000	WATER BASED	1986-12-05	935	9999-12-31	2013-05-08	18583
6407/2-3	2115.000000	1.580000	15.000000	6.800000	WATER BASED	1986-12-09	935	9999-12-31	2013-05-08	18584
6407/2-3	2115.000000	1.580000	18.000000	6.800000	WATER BASED	1986-12-02	935	9999-12-31	2013-05-08	18585
6407/2-3	2228.000000	0.000000	16.000000	7.200000	WATER BASED	1987-01-13	935	9999-12-31	2013-05-08	18586
6407/2-3	2228.000000	0.000000	16.000000	6.800000	WATER BASED	1987-01-09	935	9999-12-31	2013-05-08	18587
6407/2-3	2288.000000	0.000000	16.000000	7.200000	WATER BASED	1987-01-12	935	9999-12-31	2013-05-08	18588
6407/2-3	2345.000000	0.000000	12.000000	6.800000	WATER BASED	1987-01-15	935	9999-12-31	2013-05-08	18589
6407/2-3	2371.000000	0.000000	15.000000	6.800000	WATER BASED	1986-12-22	935	9999-12-31	2013-05-08	18590
6407/2-3	2386.000000	1.580000	14.000000	6.800000	WATER BASED	1986-12-16	935	9999-12-31	2013-05-08	18591
6407/2-3	2386.000000	1.580000	14.000000	6.800000	WATER BASED	1986-12-17	935	9999-12-31	2013-05-08	18592
6407/2-3	2386.000000	1.270000	14.000000	5.300000	WATER BASED	1986-12-22	935	9999-12-31	2013-05-08	18593
6407/2-3	2387.000000	1.270000	15.000000	6.800000	WATER BASED	1986-12-22	935	9999-12-31	2013-05-08	18594
6407/2-3	2425.000000	0.000000	16.000000	7.200000	WATER BASED	1987-01-12	935	9999-12-31	2013-05-08	18595
6407/2-3	2505.000000	0.000000	14.000000	6.300000	WATER BASED	1986-12-22	935	9999-12-31	2013-05-08	18596
6407/2-3	2557.000000	1.580000	13.000000	6.800000	WATER BASED	1986-12-05	935	9999-12-31	2013-05-08	18597
6407/2-3	2573.000000	1.580000	13.000000	6.300000	WATER BASED	1986-12-05	935	9999-12-31	2013-05-08	18598
6407/2-3	2588.000000	0.000000	14.000000	6.800000	WATER BASED	1987-01-14	935	9999-12-31	2013-05-08	18599
6407/2-3	2640.000000	0.000000	15.000000	6.800000	WATER BASED	1987-01-09	935	9999-12-31	2013-05-08	18600
6407/2-3	2640.000000	0.000000	15.000000	5.300000	WATER BASED	1987-01-05	935	9999-12-31	2013-05-08	18601
6407/2-3	2640.000000	0.000000	15.000000	5.300000	WATER BASED	1987-01-06	935	9999-12-31	2013-05-08	18602
6407/2-3	2640.000000	0.000000	14.000000	5.300000	WATER BASED	1987-01-08	935	9999-12-31	2013-05-08	18603
6407/2-3	2640.000000	0.000000	14.000000	4.800000	WATER BASED	1987-01-02	935	9999-12-31	2013-05-08	18604
6407/2-3	2645.000000	1.580000	16.000000	7.700000	WATER BASED	1986-12-16	935	9999-12-31	2013-05-08	18605
6407/2-3	2645.000000	1.580000	17.000000	6.300000	WATER BASED	1986-12-16	935	9999-12-31	2013-05-08	18606
6407/2-3	2645.000000	1.590000	15.000000	7.200000	WATER BASED	1986-12-16	935	9999-12-31	2013-05-08	18607
6407/2-3	2645.000000	1.580000	17.000000	8.700000	WATER BASED	1986-12-10	935	9999-12-31	2013-05-08	18608
6407/2-3	2645.000000	1.480000	15.000000	7.700000	WATER BASED	1986-12-09	935	9999-12-31	2013-05-08	18609
6407/2-3	2645.000000	1.580000	16.000000	7.200000	WATER BASED	1986-12-15	935	9999-12-31	2013-05-08	18610
6407/2-3	2645.000000	1.580000	15.000000	8.700000	WATER BASED	1986-12-11	935	9999-12-31	2013-05-08	18611
6407/2-3	2645.000000	1.580000	18.000000	8.200000	WATER BASED	1986-12-11	935	9999-12-31	2013-05-08	18612
6407/2-3	2647.000000	0.000000	16.000000	7.700000	WATER BASED	1986-12-22	935	9999-12-31	2013-05-08	18613
6407/2-3	2741.000000	0.000000	17.000000	7.200000	WATER BASED	1986-12-29	935	9999-12-31	2013-05-08	18614
6407/2-3	2798.000000	0.000000	16.000000	7.700000	WATER BASED	1986-12-29	935	9999-12-31	2013-05-08	18615
6407/2-3	3036.000000	0.000000	19.000000	8.200000	WATER BASED	1986-12-29	935	9999-12-31	2013-05-08	18616
6407/2-3	3050.000000	0.000000	19.000000	7.700000	WATER BASED	1986-12-29	935	9999-12-31	2013-05-08	18617
6407/2-3	3050.000000	0.000000	16.000000	6.800000	WATER BASED	1987-01-02	935	9999-12-31	2013-05-08	18618
6407/2-3	3050.000000	0.000000	18.000000	6.800000	WATER BASED	1987-01-02	935	9999-12-31	2013-05-08	18619
6407/2-3	3050.000000	0.000000	19.000000	7.700000	WATER BASED	1987-01-02	935	9999-12-31	2013-05-08	18620
6407/2-3	3050.000000	0.000000	15.000000	5.300000	WATER BASED	1987-01-05	935	9999-12-31	2013-05-08	18621
6407/2-3	3050.000000	0.000000	16.000000	5.800000	WATER BASED	1987-01-05	935	9999-12-31	2013-05-08	18622
6407/2-4	500.000000	1.320000	21.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6106	9999-12-31	2013-05-08	18623
6407/2-4	1192.000000	1.250000	15.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6106	9999-12-31	2013-05-08	18624
6407/2-4	1639.000000	1.640000	20.000000	0.000000	CARBO TECH	9999-12-31	6106	9999-12-31	2013-05-08	18625
6407/2-4	1777.000000	1.300000	19.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6106	9999-12-31	2013-05-08	18626
6407/2-4	1900.000000	1.600000	38.000000	0.000000	CARBO TECH	9999-12-31	6106	9999-12-31	2013-05-08	18627
6407/2-4	2876.000000	1.620000	40.000000	0.000000	CARBO TECH	9999-12-31	6106	9999-12-31	2013-05-08	18628
6407/2-4	2876.000000	1.620000	43.000000	0.000000	CARBO TECH	9999-12-31	6106	9999-12-31	2013-05-08	18629
6407/2-4	3001.000000	1.630000	41.000000	0.000000	CARBO TECH	9999-12-31	6106	9999-12-31	2013-05-08	18630
6407/2-4	3001.000000	1.250000	24.000000	0.000000	CARBO TECH	9999-12-31	6106	9999-12-31	2013-05-08	18631
6407/2-5 S	1068.000000	1.330000	29.000000	0.000000	Performadril	9999-12-31	6151	9999-12-31	2013-05-08	18632
6407/2-5 S	1257.000000	1.330000	31.000000	0.000000	Performadril	9999-12-31	6151	9999-12-31	2013-05-08	18633
6407/2-5 S	1470.000000	1.540000	30.000000	0.000000	Performadril	9999-12-31	6151	9999-12-31	2013-05-08	18634
6407/2-5 S	1837.000000	1.530000	32.000000	0.000000	Performadril	9999-12-31	6151	9999-12-31	2013-05-08	18635
6407/2-5 S	2291.000000	1.540000	27.000000	0.000000	Performadril	9999-12-31	6151	9999-12-31	2013-05-08	18636
6407/2-5 S	2325.000000	1.540000	20.000000	0.000000	Performadril	9999-12-31	6151	9999-12-31	2013-05-08	18637
6407/2-5 S	2515.000000	1.540000	37.000000	0.000000	Performadril	9999-12-31	6151	9999-12-31	2013-05-08	18638
6407/2-5 S	2594.000000	1.540000	32.000000	0.000000	Performadril	9999-12-31	6151	9999-12-31	2013-05-08	18639
6407/2-5 S	2651.000000	1.540000	32.000000	0.000000	Performadril	9999-12-31	6151	9999-12-31	2013-05-08	18640
6407/2-5 S	3408.000000	1.250000	33.000000	0.000000	Performadril	9999-12-31	6151	9999-12-31	2013-05-08	18641
6407/2-6 S	610.000000	1.100000	21.000000	0.000000	Spud Mud	9999-12-31	6351	9999-12-31	2013-05-08	18642
6407/2-6 S	1056.000000	1.090000	15.000000	0.000000	Spud Mud	9999-12-31	6351	9999-12-31	2013-05-08	18643
6407/2-6 S	1310.000000	1.540000	25.000000	0.000000	XP-07 - #14	9999-12-31	6351	9999-12-31	2013-05-08	18644
6407/2-6 S	1310.000000	1.160000	12.000000	0.000000	Spud Mud	9999-12-31	6351	9999-12-31	2013-05-08	18645
6407/2-6 S	1615.000000	1.540000	31.000000	0.000000	XP-07 - #14	9999-12-31	6351	9999-12-31	2013-05-08	18646
6407/2-6 S	3052.000000	1.220000	16.000000	0.000000	XP-07 - #14	9999-12-31	6351	9999-12-31	2013-05-08	18647
6407/2-6 S	3230.000000	1.240000	16.000000	0.000000	XP-07 - #14	9999-12-31	6351	9999-12-31	2013-05-08	18648
6407/2-6 S	3230.000000	1.220000	15.000000	0.000000	XP-07 - #14	9999-12-31	6351	9999-12-31	2013-05-08	18649
6407/3-1 S	450.000000	1.220000	16.000000	0.000000	OBM-Low ECD	9999-12-31	6582	9999-12-31	2013-05-08	18650
6407/3-1 S	471.000000	1.140000	14.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6582	9999-12-31	2013-05-08	18651
6407/3-1 S	852.000000	1.180000	16.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6582	9999-12-31	2013-05-08	18652
6407/3-1 S	1235.000000	1.230000	19.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6582	9999-12-31	2013-05-08	18653
6407/3-1 S	1304.000000	1.250000	20.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6582	9999-12-31	2013-05-08	18654
6407/3-1 S	1353.000000	1.540000	22.000000	0.000000	OBM-Low ECD	9999-12-31	6582	9999-12-31	2013-05-08	18655
6407/3-1 S	1907.000000	1.220000	16.000000	0.000000	OBM-Low ECD	9999-12-31	6582	9999-12-31	2013-05-08	18656
6407/3-1 S	2407.000000	1.220000	16.000000	0.000000	OBM-Low ECD	9999-12-31	6582	9999-12-31	2013-05-08	18657
6407/3-1 S	2588.000000	1.220000	17.000000	0.000000	OBM-Low ECD	9999-12-31	6582	9999-12-31	2013-05-08	18658
6407/3-1 S	2588.000000	1.540000	23.000000	0.000000	OBM-Low ECD	9999-12-31	6582	9999-12-31	2013-05-08	18659
6407/3-1 S	2913.000000	1.210000	16.000000	0.000000	OBM-Low ECD	9999-12-31	6582	9999-12-31	2013-05-08	18660
6407/3-1 S	2928.000000	1.210000	15.000000	0.000000	OBM-Low ECD	9999-12-31	6582	9999-12-31	2013-05-08	18661
6407/4-1	1368.000000	1.180000	11.000000	3.800000	WATER BASED	1985-08-02	490	9999-12-31	2013-05-08	18662
6407/4-1	1458.000000	1.250000	12.000000	6.000000	WATER BASED	1985-08-05	490	9999-12-31	2013-05-08	18663
6407/4-1	1860.000000	1.350000	14.000000	12.800000	WATER BASED	1985-08-05	490	9999-12-31	2013-05-08	18664
6407/4-1	1904.000000	1.350000	14.000000	12.800000	WATER BASED	1985-08-05	490	9999-12-31	2013-05-08	18665
6407/4-1	1920.000000	1.400000	14.000000	12.800000	WATER BASED	1985-08-05	490	9999-12-31	2013-05-08	18666
6407/4-1	2058.000000	1.480000	11.000000	13.800000	WATER BASED	1985-08-05	490	9999-12-31	2013-05-08	18667
6407/4-1	2134.000000	1.510000	11.000000	13.800000	WATER BASED	1985-08-07	490	9999-12-31	2013-05-08	18668
6407/4-1	2134.000000	1.540000	13.000000	8.000000	WATER BASED	1985-08-08	490	9999-12-31	2013-05-08	18669
6407/4-1	2134.000000	1.540000	13.000000	8.000000	WATER BASED	1985-08-08	490	9999-12-31	2013-05-08	18670
6407/4-1	2286.000000	1.570000	19.000000	6.800000	WATER BASED	1985-08-12	490	9999-12-31	2013-05-08	18671
6407/4-1	2384.000000	1.760000	21.000000	9.000000	WATER BASED	1985-08-12	490	9999-12-31	2013-05-08	18672
6407/4-1	2935.000000	1.760000	24.000000	9.000000	WATER BASED	1985-08-19	490	9999-12-31	2013-05-08	18673
6407/4-1	3076.000000	1.760000	51.000000	7.500000	WATER BASED	1985-08-21	490	9999-12-31	2013-05-08	18674
6407/4-1	3668.000000	1.760000	50.000000	7.000000	WATER BASED	1985-09-02	490	9999-12-31	2013-05-08	18675
6407/4-1	3743.000000	1.760000	49.000000	8.000000	WATER BASED	1985-09-02	490	9999-12-31	2013-05-08	18676
6407/4-1	3747.000000	1.450000	22.000000	11.000000	WATER BASED	1985-09-12	490	9999-12-31	2013-05-08	18677
6407/4-1	3825.000000	1.760000	48.000000	7.000000	WATER BASED	1985-09-04	490	9999-12-31	2013-05-08	18678
6407/4-1	4189.000000	1.380000	24.000000	6.000000	WATER BASED	1985-09-24	490	9999-12-31	2013-05-08	18679
6407/4-1	4510.000000	1.390000	26.000000	11.000000	WATER BASED	1985-10-07	490	9999-12-31	2013-05-08	18680
6407/4-1	4529.000000	1.410000	20.000000	7.500000	WATER BASED	1985-10-07	490	9999-12-31	2013-05-08	18681
6407/4-2	1062.000000	1.300000	23.000000	0.000000	Performadril	9999-12-31	6557	9999-12-31	2013-05-08	18682
6407/4-2	1438.000000	1.330000	31.000000	0.000000	Performadril	9999-12-31	6557	9999-12-31	2013-05-08	18683
6407/4-2	1642.000000	1.460000	36.000000	0.000000	Performadril	9999-12-31	6557	9999-12-31	2013-05-08	18684
6407/4-2	1930.000000	1.510000	34.000000	0.000000	Performadril	9999-12-31	6557	9999-12-31	2013-05-08	18685
6407/4-2	1930.000000	1.550000	31.000000	0.000000	Performadril	9999-12-31	6557	9999-12-31	2013-05-08	18686
6407/4-2	1930.000000	1.500000	36.000000	0.000000	Performadril	9999-12-31	6557	9999-12-31	2013-05-08	18687
6407/4-2	1936.000000	1.620000	21.000000	0.000000	OBM-Low ECD	9999-12-31	6557	9999-12-31	2013-05-08	18688
6407/4-2	2581.000000	1.670000	38.000000	0.000000	OBM-Low ECD	9999-12-31	6557	9999-12-31	2013-05-08	18689
6407/4-2	3202.000000	1.710000	37.000000	0.000000	OBM-Low ECD	9999-12-31	6557	9999-12-31	2013-05-08	18690
6407/4-2	3932.000000	1.500000	21.000000	0.000000	OBM-Low ECD	9999-12-31	6557	9999-12-31	2013-05-08	18691
6407/4-2	3932.000000	1.350000	16.000000	0.000000	OBM-Low ECD	9999-12-31	6557	9999-12-31	2013-05-08	18692
6407/4-2	3932.000000	1.720000	37.000000	0.000000	OBM-Low ECD	9999-12-31	6557	9999-12-31	2013-05-08	18693
6407/4-2	3932.000000	1.500000	21.000000	0.000000	OBM-Low ECD	9999-12-31	6557	9999-12-31	2013-05-08	18694
6407/4-2	3932.000000	1.720000	36.000000	0.000000	OBM-Low ECD	9999-12-31	6557	9999-12-31	2013-05-08	18695
6407/4-2	4013.000000	1.350000	17.000000	0.000000	OBM-Low ECD	9999-12-31	6557	9999-12-31	2013-05-08	18696
6407/4-2	4230.000000	1.350000	18.000000	0.000000	OBM-Low ECD	9999-12-31	6557	9999-12-31	2013-05-08	18697
6407/5-1	314.000000	1.040000	0.000000	0.000000	WATER BASED	1987-05-05	1174	9999-12-31	2013-05-08	18698
6407/5-1	400.000000	1.060000	0.000000	0.000000	WATER BASED	1987-12-14	1174	9999-12-31	2013-05-08	18699
6407/5-1	405.000000	1.060000	0.000000	0.000000	WATER BASED	1987-12-16	1174	9999-12-31	2013-05-08	18700
6407/5-1	410.000000	1.080000	0.000000	0.000000	WATER BASED	1987-05-06	1174	9999-12-31	2013-05-08	18701
6407/5-1	410.000000	1.080000	0.000000	0.000000	WATER BASED	1987-05-07	1174	9999-12-31	2013-05-08	18702
6407/5-1	481.000000	1.060000	0.000000	0.000000	WATER BASED	1987-12-17	1174	9999-12-31	2013-05-08	18703
6407/5-1	523.000000	1.050000	1000.000000	0.000000	WATER BASED	1987-05-11	1174	9999-12-31	2013-05-08	18704
6407/5-1	596.000000	1.050000	1000.000000	0.000000	WATER BASED	1987-05-11	1174	9999-12-31	2013-05-08	18705
6407/5-1	596.000000	1.030000	0.000000	0.000000	WATER BASED	1987-05-12	1174	9999-12-31	2013-05-08	18706
6407/5-1	753.000000	1.350000	2900.000000	6.700000	WATER BASED	1987-05-14	1174	9999-12-31	2013-05-08	18707
6407/5-1	803.000000	1.060000	0.000000	0.000000	WATER BASED	1987-12-18	1174	9999-12-31	2013-05-08	18708
6407/5-1	1155.000000	1.210000	1100.000000	6.300000	WATER BASED	1987-05-14	1174	9999-12-31	2013-05-08	18709
6407/5-1	1164.000000	1.580000	12.000000	33.500000	WATER BASED	1988-01-04	1174	9999-12-31	2013-05-08	18710
6407/5-1	1313.000000	1.580000	12.000000	41.200000	WATER BASED	1988-01-04	1174	9999-12-31	2013-05-08	18711
6407/5-1	1467.000000	1.210000	1000.000000	5.900000	WATER BASED	1987-05-18	1174	9999-12-31	2013-05-08	18712
6407/5-1	1634.000000	1.600000	12.000000	46.900000	WATER BASED	1988-01-04	1174	9999-12-31	2013-05-08	18713
6407/5-1	1815.000000	1.610000	15.000000	47.400000	WATER BASED	1988-01-04	1174	9999-12-31	2013-05-08	18714
6407/5-1	1960.000000	1.250000	900.000000	5.900000	WATER BASED	1987-05-18	1174	9999-12-31	2013-05-08	18715
6407/5-1	2028.000000	1.610000	25.000000	16.300000	WATER BASED	1988-01-04	1174	9999-12-31	2013-05-08	18716
6407/5-1	2053.000000	1.610000	21.000000	11.500000	WATER BASED	1988-01-07	1174	9999-12-31	2013-05-08	18717
6407/5-1	2053.000000	1.680000	18.000000	5.800000	WATER BASED	1988-01-12	1174	9999-12-31	2013-05-08	18718
6407/5-1	2053.000000	1.620000	31.000000	16.700000	WATER BASED	1988-01-05	1174	9999-12-31	2013-05-08	18719
6407/5-1	2053.000000	1.610000	30.000000	21.100000	WATER BASED	1988-01-06	1174	9999-12-31	2013-05-08	18720
6407/5-1	2081.000000	1.450000	1800.000000	5.500000	WATER BASED	1987-05-18	1174	9999-12-31	2013-05-08	18721
6407/5-1	2213.000000	1.680000	30.000000	7.700000	WATER BASED	1988-01-12	1174	9999-12-31	2013-05-08	18722
6407/5-1	2218.000000	1.450000	1900.000000	5.500000	WATER BASED	1987-05-19	1174	9999-12-31	2013-05-08	18723
6407/5-1	2218.000000	1.450000	1400.000000	5.500000	WATER BASED	1987-05-20	1174	9999-12-31	2013-05-08	18724
6407/5-1	2218.000000	1.450000	1900.000000	6.300000	WATER BASED	1987-05-18	1174	9999-12-31	2013-05-08	18725
6407/5-1	2221.000000	1.680000	25.000000	6.200000	WATER BASED	1988-01-12	1174	9999-12-31	2013-05-08	18726
6407/5-1	2221.000000	1.680000	27.000000	8.600000	WATER BASED	1988-01-12	1174	9999-12-31	2013-05-08	18727
6407/5-1	2221.000000	1.680000	35.000000	7.700000	WATER BASED	1988-01-14	1174	9999-12-31	2013-05-08	18728
6407/5-1	2351.000000	1.680000	35.000000	9.600000	WATER BASED	1988-01-14	1174	9999-12-31	2013-05-08	18729
6407/5-1	2370.000000	1.680000	28.000000	8.100000	WATER BASED	1988-01-19	1174	9999-12-31	2013-05-08	18730
6407/5-1	2370.000000	1.680000	23.000000	11.500000	WATER BASED	1988-01-19	1174	9999-12-31	2013-05-08	18731
6407/5-1	2370.000000	1.680000	23.000000	7.700000	WATER BASED	1988-01-20	1174	9999-12-31	2013-05-08	18732
6407/5-1	2370.000000	1.680000	24.000000	12.000000	WATER BASED	1988-01-20	1174	9999-12-31	2013-05-08	18733
6407/5-1	2370.000000	1.680000	23.000000	11.000000	WATER BASED	1988-01-21	1174	9999-12-31	2013-05-08	18734
6407/5-1	2370.000000	1.680000	19.000000	10.500000	WATER BASED	1988-01-25	1174	9999-12-31	2013-05-08	18735
6407/5-1	2370.000000	1.680000	22.000000	9.600000	WATER BASED	1988-01-25	1174	9999-12-31	2013-05-08	18736
6407/5-1	2370.000000	1.680000	21.000000	13.400000	WATER BASED	1988-01-25	1174	9999-12-31	2013-05-08	18737
6407/5-1	2370.000000	1.680000	36.000000	19.600000	WATER BASED	1988-01-15	1174	9999-12-31	2013-05-08	18738
6407/5-1	2730.000000	1.680000	27.000000	7.700000	WATER BASED	1988-01-19	1174	9999-12-31	2013-05-08	18739
6407/5-1	3600.000000	1.680000	23.000000	10.100000	WATER BASED	1988-01-25	1174	9999-12-31	2013-05-08	18740
6407/5-1	3612.000000	1.680000	20.000000	11.500000	WATER BASED	1988-01-26	1174	9999-12-31	2013-05-08	18741
6407/5-1	3670.000000	1.680000	18.000000	31.100000	WATER BASED	1988-01-27	1174	9999-12-31	2013-05-08	18742
6407/5-1	3719.000000	1.680000	9.000000	28.700000	WATER BASED	1988-02-02	1174	9999-12-31	2013-05-08	18743
6407/5-1	3719.000000	1.690000	17.000000	11.000000	WATER BASED	1988-02-02	1174	9999-12-31	2013-05-08	18744
6407/5-1	3719.000000	1.680000	16.000000	13.400000	WATER BASED	1988-01-29	1174	9999-12-31	2013-05-08	18745
6407/5-1	3719.000000	1.680000	5.400000	47.400000	WATER BASED	1988-01-28	1174	9999-12-31	2013-05-08	18746
6407/5-1	3719.000000	1.680000	14.000000	20.600000	WATER BASED	1988-02-05	1174	9999-12-31	2013-05-08	18747
6407/5-1	3719.000000	1.680000	16.000000	8.600000	WATER BASED	1988-02-04	1174	9999-12-31	2013-05-08	18748
6407/5-1	3719.000000	1.680000	16.000000	11.500000	WATER BASED	1988-02-03	1174	9999-12-31	2013-05-08	18749
6407/5-1	3719.000000	1.680000	11.000000	14.400000	WATER BASED	1988-02-02	1174	9999-12-31	2013-05-08	18750
6407/5-1	3719.000000	1.690000	10.000000	24.900000	WATER BASED	1988-02-02	1174	9999-12-31	2013-05-08	18751
6407/5-1	3719.000000	1.720000	17.000000	17.700000	WATER BASED	1988-02-12	1174	9999-12-31	2013-05-08	18752
6407/5-1	3719.000000	1.720000	14.000000	18.700000	WATER BASED	1988-02-12	1174	9999-12-31	2013-05-08	18753
6407/5-1	3719.000000	1.720000	14.000000	17.700000	WATER BASED	1988-02-12	1174	9999-12-31	2013-05-08	18754
6407/5-1	3719.000000	1.720000	13.000000	11.500000	WATER BASED	1988-02-12	1174	9999-12-31	2013-05-08	18755
6407/5-1	3719.000000	1.720000	13.000000	14.400000	WATER BASED	1988-02-15	1174	9999-12-31	2013-05-08	18756
6407/5-1	3719.000000	1.720000	12.000000	15.800000	WATER BASED	1988-02-15	1174	9999-12-31	2013-05-08	18757
6407/5-1	3719.000000	1.720000	14.000000	9.600000	WATER BASED	1988-02-15	1174	9999-12-31	2013-05-08	18758
6407/5-1	3719.000000	1.720000	14.000000	0.000000	WATER BASED	1988-02-15	1174	9999-12-31	2013-05-08	18759
6407/5-1	3719.000000	1.720000	16.000000	20.100000	WATER BASED	1988-02-09	1174	9999-12-31	2013-05-08	18760
6407/5-1	3719.000000	1.720000	17.000000	17.200000	WATER BASED	1988-02-09	1174	9999-12-31	2013-05-08	18761
6407/5-1	3719.000000	1.720000	12.000000	12.000000	WATER BASED	1988-02-18	1174	9999-12-31	2013-05-08	18762
6407/5-1	3719.000000	1.720000	13.000000	13.900000	WATER BASED	1988-02-17	1174	9999-12-31	2013-05-08	18763
6407/5-1	3719.000000	1.720000	11.000000	5.800000	WATER BASED	1988-02-16	1174	9999-12-31	2013-05-08	18764
6407/5-1	3719.000000	1.720000	16.000000	7.200000	WATER BASED	1988-02-19	1174	9999-12-31	2013-05-08	18765
6407/5-1	3719.000000	1.720000	15.000000	7.700000	WATER BASED	1988-02-22	1174	9999-12-31	2013-05-08	18766
6407/5-1	3719.000000	1.720000	15.000000	7.700000	WATER BASED	1988-02-22	1174	9999-12-31	2013-05-08	18767
6407/5-1	3719.000000	1.720000	14.000000	7.200000	WATER BASED	1988-02-22	1174	9999-12-31	2013-05-08	18768
6407/5-1	3719.000000	1.720000	14.000000	7.200000	WATER BASED	1988-02-23	1174	9999-12-31	2013-05-08	18769
6407/5-1	4306.000000	1.720000	14.000000	7.200000	WATER BASED	1988-02-26	1174	9999-12-31	2013-05-08	18770
6407/6-1	954.000000	1.140000	0.000000	0.000000	WATER BASED	1984-09-27	444	9999-12-31	2013-05-08	18771
6407/6-1	1233.000000	1.250000	13.000000	8.000000	WATER BASED	1984-09-28	444	9999-12-31	2013-05-08	18772
6407/6-1	1347.000000	1.280000	19.000000	8.000000	WATER BASED	1984-10-01	444	9999-12-31	2013-05-08	18773
6407/6-1	1352.000000	1.340000	28.000000	8.000000	WATER BASED	1984-10-04	444	9999-12-31	2013-05-08	18774
6407/6-1	1600.000000	1.430000	24.000000	6.000000	WATER BASED	1984-10-04	444	9999-12-31	2013-05-08	18775
6407/6-1	1872.000000	1.430000	21.000000	6.700000	WATER BASED	1984-10-15	444	9999-12-31	2013-05-08	18776
6407/6-1	1880.000000	1.100000	11.000000	5.000000	WATER BASED	1984-10-15	444	9999-12-31	2013-05-08	18777
6407/6-1	2895.000000	1.100000	18.000000	5.800000	WATER BASED	1984-10-19	444	9999-12-31	2013-05-08	18778
6407/6-2	323.000000	1.060000	2900.000000	11.000000	WATER BASED	1985-10-07	522	9999-12-31	2013-05-08	18779
6407/6-2	524.000000	1.080000	2900.000000	11.000000	WATER BASED	1985-12-11	522	9999-12-31	2013-05-08	18780
6407/6-3	459.000000	1.150000	8800.000000	8.500000	WATER BASED	1986-12-22	1024	9999-12-31	2013-05-08	18781
6407/6-3	459.000000	1.150000	8200.000000	8.900000	WATER BASED	1986-12-22	1024	9999-12-31	2013-05-08	18782
6407/6-3	459.000000	1.150000	7200.000000	8.500000	WATER BASED	1986-12-19	1024	9999-12-31	2013-05-08	18783
6407/6-3	462.000000	1.150000	7200.000000	8.900000	WATER BASED	1986-12-22	1024	9999-12-31	2013-05-08	18784
6407/6-3	545.000000	1.590000	6200.000000	5.100000	WATER BASED	1987-02-16	1024	9999-12-31	2013-05-08	18785
6407/6-3	816.000000	1.170000	6400.000000	11.000000	WATER BASED	1986-12-23	1024	9999-12-31	2013-05-08	18786
6407/6-3	1150.000000	1.160000	6300.000000	8.000000	WATER BASED	1986-12-29	1024	9999-12-31	2013-05-08	18787
6407/6-3	1350.000000	1.170000	6300.000000	9.300000	WATER BASED	1986-12-29	1024	9999-12-31	2013-05-08	18788
6407/6-3	1418.000000	1.190000	6500.000000	9.300000	WATER BASED	1986-12-29	1024	9999-12-31	2013-05-08	18789
6407/6-3	1418.000000	1.190000	6000.000000	6.400000	WATER BASED	1986-12-29	1024	9999-12-31	2013-05-08	18790
6407/6-3	1418.000000	1.250000	6000.000000	8.000000	WATER BASED	1986-12-29	1024	9999-12-31	2013-05-08	18791
6407/6-3	1682.000000	1.500000	6700.000000	8.900000	WATER BASED	1986-12-29	1024	9999-12-31	2013-05-08	18792
6407/6-3	1897.000000	1.600000	9000.000000	9.700000	WATER BASED	1986-12-30	1024	9999-12-31	2013-05-08	18793
6407/6-3	2030.000000	1.630000	7000.000000	8.900000	WATER BASED	1987-01-02	1024	9999-12-31	2013-05-08	18794
6407/6-3	2030.000000	1.630000	5900.000000	6.800000	WATER BASED	1987-01-02	1024	9999-12-31	2013-05-08	18795
6407/6-3	2030.000000	1.630000	6900.000000	7.200000	WATER BASED	1987-01-05	1024	9999-12-31	2013-05-08	18796
6407/6-3	2030.000000	1.630000	7400.000000	9.300000	WATER BASED	1987-01-05	1024	9999-12-31	2013-05-08	18797
6407/6-3	2030.000000	1.630000	6800.000000	7.200000	WATER BASED	1987-01-05	1024	9999-12-31	2013-05-08	18798
6407/6-3	2081.000000	1.630000	7800.000000	8.900000	WATERBASED	1987-01-02	1024	9999-12-31	2013-05-08	18799
6407/6-3	2200.000000	1.200000	4800.000000	3.000000	WATER BASED	1987-02-13	1024	9999-12-31	2013-05-08	18800
6407/6-3	2463.000000	1.200000	5000.000000	4.200000	WATER BASED	1987-01-09	1024	9999-12-31	2013-05-08	18801
6407/6-3	2463.000000	1.200000	5000.000000	4.600000	WATER BASED	1987-01-08	1024	9999-12-31	2013-05-08	18802
6407/6-3	2463.000000	1.200000	5600.000000	4.600000	WATER BASED	1987-01-12	1024	9999-12-31	2013-05-08	18803
6407/6-3	2463.000000	1.200000	6700.000000	5.100000	WATER BASED	1987-01-12	1024	9999-12-31	2013-05-08	18804
6407/6-3	2463.000000	1.200000	5800.000000	4.200000	WATER BASED	1987-01-15	1024	9999-12-31	2013-05-08	18805
6407/6-3	2463.000000	1.200000	5800.000000	3.800000	WATER BASED	1987-01-16	1024	9999-12-31	2013-05-08	18806
6407/6-3	2463.000000	1.200000	5700.000000	4.600000	WATER BASED	1987-01-13	1024	9999-12-31	2013-05-08	18807
6407/6-3	2463.000000	1.200000	5800.000000	4.200000	WATER BASED	1987-01-12	1024	9999-12-31	2013-05-08	18808
6407/6-3	2463.000000	1.200000	6000.000000	4.600000	WATER BASED	1987-01-14	1024	9999-12-31	2013-05-08	18809
6407/6-3	2470.000000	1.200000	6000.000000	4.200000	WATER BASED	1987-01-19	1024	9999-12-31	2013-05-08	18810
6407/6-3	2472.000000	1.250000	6200.000000	5.900000	WATER BASED	1987-01-06	1024	9999-12-31	2013-05-08	18811
6407/6-3	2491.000000	1.250000	4800.000000	4.600000	WATER BASED	1987-01-07	1024	9999-12-31	2013-05-08	18812
6407/6-3	2536.000000	1.200000	5000.000000	3.400000	WATER BASED	1987-02-12	1024	9999-12-31	2013-05-08	18813
6407/6-3	2536.000000	1.200000	5200.000000	3.400000	WATER BASED	1987-02-10	1024	9999-12-31	2013-05-08	18814
6407/6-3	2536.000000	1.200000	5000.000000	3.400000	WATER BASED	1987-02-11	1024	9999-12-31	2013-05-08	18815
6407/6-3	2536.000000	1.200000	4300.000000	3.000000	WATER BASED	1987-02-09	1024	9999-12-31	2013-05-08	18816
6407/6-3	2536.000000	1.200000	5200.000000	8.400000	WATER BASED	1987-02-09	1024	9999-12-31	2013-05-08	18817
6407/6-3	2565.000000	1.200000	5000.000000	3.000000	WATER BASED	1987-02-03	1024	9999-12-31	2013-05-08	18818
6407/6-3	2565.000000	1.200000	4500.000000	2.500000	WATER BASED	1987-02-05	1024	9999-12-31	2013-05-08	18819
6407/6-3	2565.000000	1.200000	4400.000000	3.000000	WATER BASED	1987-02-09	1024	9999-12-31	2013-05-08	18820
6407/6-3	2565.000000	1.200000	5100.000000	3.400000	WATER BASED	1987-02-04	1024	9999-12-31	2013-05-08	18821
6407/6-3	2565.000000	1.200000	5100.000000	3.400000	WATER BASED	1987-02-02	1024	9999-12-31	2013-05-08	18822
6407/6-3	2565.000000	1.200000	4800.000000	3.400000	WATER BASED	1987-02-09	1024	9999-12-31	2013-05-08	18823
6407/6-3	2640.000000	0.000000	4500.000000	3.800000	WATERBASED	1987-02-02	1024	9999-12-31	2013-05-08	18824
6407/6-3	2640.000000	1.200000	4500.000000	3.000000	WATER BASED	1987-02-02	1024	9999-12-31	2013-05-08	18825
6407/6-3	2640.000000	1.200000	4000.000000	2.100000	WATER BASED	1987-01-30	1024	9999-12-31	2013-05-08	18826
6407/6-3	2640.000000	1.200000	7500.000000	4.200000	WATER BASED	1987-01-29	1024	9999-12-31	2013-05-08	18827
6407/6-3	2640.000000	1.200000	7400.000000	4.200000	WATER BASED	1987-01-28	1024	9999-12-31	2013-05-08	18828
6407/6-3	2640.000000	1.200000	6500.000000	4.300000	WATERBASED	1987-01-27	1024	9999-12-31	2013-05-08	18829
6407/6-3	3083.000000	1.200000	8400.000000	5.500000	WATER BASED	1987-01-19	1024	9999-12-31	2013-05-08	18830
6407/6-3	3083.000000	1.200000	7500.000000	7.200000	WATER BASED	1987-01-19	1024	9999-12-31	2013-05-08	18831
6407/6-3	3119.000000	1.200000	7400.000000	5.100000	WATER BASED	1987-01-21	1024	9999-12-31	2013-05-08	18832
6407/6-3	3125.000000	1.200000	9000.000000	4.600000	WATER BASED	1987-01-21	1024	9999-12-31	2013-05-08	18833
6407/6-3	3197.000000	1.200000	6600.000000	4.200000	WATER BASED	1987-01-22	1024	9999-12-31	2013-05-08	18834
6407/6-3	3220.000000	1.200000	7200.000000	3.800000	WATER BASED	1987-01-26	1024	9999-12-31	2013-05-08	18835
6407/6-3	3220.000000	1.200000	6200.000000	3.400000	WATER BASED	1987-01-26	1024	9999-12-31	2013-05-08	18836
6407/6-3	3220.000000	1.200000	6800.000000	3.800000	WATER BASED	1987-01-26	1024	9999-12-31	2013-05-08	18837
6407/6-3	3220.000000	1.200000	7100.000000	3.800000	WATER BASED	1987-01-23	1024	9999-12-31	2013-05-08	18838
6407/6-4	279.000000	1.020000	15.000000	20.000000	WATER BASED	1990-11-05	1604	9999-12-31	2013-05-08	18839
6407/6-4	352.000000	1.020000	15.000000	20.000000	WATER BASED	1990-11-06	1604	9999-12-31	2013-05-08	18840
6407/6-4	356.000000	1.020000	15.000000	20.000000	WATER BASED	1990-11-05	1604	9999-12-31	2013-05-08	18841
6407/6-4	507.000000	1.010000	15.000000	20.000000	WATER BASED	1990-11-01	1604	9999-12-31	2013-05-08	18842
6407/6-4	596.000000	1.020000	67.000000	13.000000	WATER BASED	1990-11-07	1604	9999-12-31	2013-05-08	18843
6407/6-4	870.000000	1.020000	67.000000	13.000000	WATER BASED	1990-11-08	1604	9999-12-31	2013-05-08	18844
6407/6-4	1078.000000	1.020000	67.000000	13.000000	WATER BASED	1990-11-09	1604	9999-12-31	2013-05-08	18845
6407/6-4	1082.000000	1.020000	15.000000	20.000000	WATER BASED	1990-11-02	1604	9999-12-31	2013-05-08	18846
6407/6-4	1085.000000	1.060000	14.000000	100.000000	WATER BASED	1990-11-12	1604	9999-12-31	2013-05-08	18847
6407/6-4	1088.000000	1.020000	15.000000	20.000000	WATER BASED	1990-11-05	1604	9999-12-31	2013-05-08	18848
6407/6-4	1426.000000	1.370000	24.000000	20.000000	WATER BASED	1990-11-13	1604	9999-12-31	2013-05-08	18849
6407/6-4	1770.000000	1.550000	28.000000	30.000000	WATER BASED	1990-11-15	1604	9999-12-31	2013-05-08	18850
6407/6-4	2042.000000	1.600000	24.000000	32.000000	WATER BASED	1990-11-15	1604	9999-12-31	2013-05-08	18851
6407/6-4	2082.000000	1.620000	17.000000	15.000000	WATER BASED	1990-11-19	1604	9999-12-31	2013-05-08	18852
6407/6-4	2352.000000	1.620000	17.000000	20.000000	WATER BASED	1990-11-19	1604	9999-12-31	2013-05-08	18853
6407/6-4	2439.000000	1.620000	21.000000	17.000000	WATER BASED	1990-11-22	1604	9999-12-31	2013-05-08	18854
6407/6-4	2500.000000	1.620000	18.000000	16.000000	WATER BASED	1990-11-22	1604	9999-12-31	2013-05-08	18855
6407/6-4	2500.000000	1.620000	18.000000	16.000000	WATER BASED	1990-11-27	1604	9999-12-31	2013-05-08	18856
6407/6-4	2514.000000	1.620000	18.000000	16.000000	WATER BASED	1990-11-27	1604	9999-12-31	2013-05-08	18857
6407/6-4	2658.000000	1.200000	18.000000	16.000000	WATER BASED	1990-11-28	1604	9999-12-31	2013-05-08	18858
6407/6-4	2686.000000	1.200000	18.000000	16.000000	WATER BASED	1990-11-29	1604	9999-12-31	2013-05-08	18859
6407/6-4	2769.000000	1.200000	18.000000	16.000000	WATER BASED	1990-11-30	1604	9999-12-31	2013-05-08	18860
6407/6-4	2965.000000	1.200000	18.000000	16.000000	WATER BASED	1990-12-03	1604	9999-12-31	2013-05-08	18861
6407/6-4	3082.000000	1.200000	18.000000	16.000000	WATER BASED	1990-12-03	1604	9999-12-31	2013-05-08	18862
6407/6-4	3095.000000	1.200000	18.000000	16.000000	WATER BASED	1990-12-04	1604	9999-12-31	2013-05-08	18863
6407/6-4	3126.000000	1.200000	18.000000	16.000000	WATER BASED	1990-12-05	1604	9999-12-31	2013-05-08	18864
6407/6-4	3126.000000	1.200000	18.000000	16.000000	WATER BASED	1990-12-14	1604	9999-12-31	2013-05-08	18865
6407/6-4	3126.000000	1.200000	18.000000	16.000000	WATER BASED	1990-12-14	1604	9999-12-31	2013-05-08	18866
6407/6-4	3126.000000	1.200000	18.000000	16.000000	WATER BASED	1990-12-11	1604	9999-12-31	2013-05-08	18867
6407/6-4	3126.000000	1.200000	18.000000	16.000000	WATER BASED	1990-12-12	1604	9999-12-31	2013-05-08	18868
6407/6-5	423.000000	1.250000	38.000000	0.000000	BENTONITE/FW	9999-12-31	3921	9999-12-31	2013-05-08	18869
6407/6-5	426.000000	1.200000	15.000000	0.000000	CMC/BENTONITE	9999-12-31	3921	9999-12-31	2013-05-08	18870
6407/6-5	520.000000	1.220000	11.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3921	9999-12-31	2013-05-08	18871
6407/6-5	548.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	3921	9999-12-31	2013-05-08	18872
6407/6-5	1203.000000	1.220000	12.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3921	9999-12-31	2013-05-08	18873
6407/6-5	1206.000000	1.510000	26.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3921	9999-12-31	2013-05-08	18874
6407/6-5	1850.000000	1.560000	32.000000	0.000000	VERSAVERT	9999-12-31	3921	9999-12-31	2013-05-08	18875
6407/6-5	2315.000000	1.560000	32.000000	0.000000	VERSAVERT	9999-12-31	3921	9999-12-31	2013-05-08	18876
6407/6-5	2490.000000	1.560000	27.000000	0.000000	VERSAVERT	9999-12-31	3921	9999-12-31	2013-05-08	18877
6407/6-5	2545.000000	1.560000	30.000000	0.000000	VERSAVERT	9999-12-31	3921	9999-12-31	2013-05-08	18878
6407/6-5	2599.000000	1.560000	35.000000	0.000000	VERSAVERT	9999-12-31	3921	9999-12-31	2013-05-08	18879
6407/6-5	2614.000000	1.560000	31.000000	0.000000	VERSAVERT	9999-12-31	3921	9999-12-31	2013-05-08	18880
6407/6-5	2759.000000	1.560000	37.000000	0.000000	VERSAVERT	9999-12-31	3921	9999-12-31	2013-05-08	18881
6407/6-6	360.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	5636	9999-12-31	2013-05-08	18882
6407/6-6	547.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	5636	9999-12-31	2013-05-08	18883
6407/6-6	944.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	5636	9999-12-31	2013-05-08	18884
6407/6-6	1060.000000	1.350000	0.000000	0.000000	SPUD MUD	9999-12-31	5636	9999-12-31	2013-05-08	18885
6407/6-6	1136.000000	1.350000	15.000000	0.000000	AQUADRILL	9999-12-31	5636	9999-12-31	2013-05-08	18886
6407/6-6	1733.000000	1.500000	21.000000	0.000000	AQUADRILL	9999-12-31	5636	9999-12-31	2013-05-08	18887
6407/6-6	1740.000000	1.500000	21.000000	0.000000	AQUADRILL	9999-12-31	5636	9999-12-31	2013-05-08	18888
6407/6-6	2057.000000	1.500000	22.000000	0.000000	AQUADRILL	9999-12-31	5636	9999-12-31	2013-05-08	18889
6407/6-6	2115.000000	1.250000	10.000000	0.000000	AQUADRILL	9999-12-31	5636	9999-12-31	2013-05-08	18890
6407/6-6	2143.000000	1.250000	16.000000	0.000000	AQUADRILL	9999-12-31	5636	9999-12-31	2013-05-08	18891
6407/6-6	2204.000000	1.250000	12.000000	0.000000	AQUADRILL	9999-12-31	5636	9999-12-31	2013-05-08	18892
6407/6-6	2231.000000	1.250000	12.000000	0.000000	AQUADRILL	9999-12-31	5636	9999-12-31	2013-05-08	18893
6407/6-7 S	547.000000	1.150000	10.000000	0.000000	Spud Mud	9999-12-31	6100	9999-12-31	2013-05-08	18894
6407/6-7 S	649.000000	1.170000	9.000000	0.000000	Spud Mud	9999-12-31	6100	9999-12-31	2013-05-08	18895
6407/6-7 S	850.000000	1.170000	9.000000	0.000000	Spud Mud	9999-12-31	6100	9999-12-31	2013-05-08	18896
6407/6-7 S	965.000000	1.140000	9.000000	0.000000	Spud Mud	9999-12-31	6100	9999-12-31	2013-05-08	18897
6407/6-7 S	1149.000000	1.240000	8.000000	0.000000	HPWBM	9999-12-31	6100	9999-12-31	2013-05-08	18898
6407/6-7 S	1310.000000	1.450000	27.000000	0.000000	HPWBM	9999-12-31	6100	9999-12-31	2013-05-08	18899
6407/6-7 S	1884.000000	1.520000	38.000000	0.000000	HPWBM	9999-12-31	6100	9999-12-31	2013-05-08	18900
6407/6-7 S	2052.000000	1.510000	37.000000	0.000000	HPWBM	9999-12-31	6100	9999-12-31	2013-05-08	18901
6407/6-7 S	2192.000000	1.510000	34.000000	0.000000	HPWBM	9999-12-31	6100	9999-12-31	2013-05-08	18902
6407/6-7 S	2626.000000	1.510000	43.000000	0.000000	HPWBM	9999-12-31	6100	9999-12-31	2013-05-08	18903
6407/6-7 S	2698.000000	1.270000	19.000000	0.000000	HPWBM	9999-12-31	6100	9999-12-31	2013-05-08	18904
6407/6-7 S	2756.000000	1.260000	24.000000	0.000000	HPWBM	9999-12-31	6100	9999-12-31	2013-05-08	18905
6407/6-7 S	3215.000000	1.250000	25.000000	0.000000	HPWBM	9999-12-31	6100	9999-12-31	2013-05-08	18906
6407/6-7 S	3227.000000	1.250000	25.000000	0.000000	HPWBM	9999-12-31	6100	9999-12-31	2013-05-08	18907
6407/7-1 S	375.000000	1.040000	0.000000	0.000000	WATER BASED	1985-10-20	474	9999-12-31	2013-05-08	18908
6407/7-1 S	380.000000	1.070000	99.000000	99.000000	XXX	1986-04-07	474	9999-12-31	2013-05-08	18909
6407/7-1 S	380.000000	1.070000	99.000000	99.000000	XXXX	1986-04-07	474	9999-12-31	2013-05-08	18910
6407/7-1 S	443.000000	1.040000	0.000000	0.000000	WATER BASED	1985-10-20	474	9999-12-31	2013-05-08	18911
6407/7-1 S	443.000000	1.040000	0.000000	0.000000	WATER BASED	1985-10-24	474	9999-12-31	2013-05-08	18912
6407/7-1 S	443.000000	1.040000	0.000000	0.000000	WATER BASED	1985-10-21	474	9999-12-31	2013-05-08	18913
6407/7-1 S	443.000000	1.040000	0.000000	0.000000	WATER BASED	1985-10-22	474	9999-12-31	2013-05-08	18914
6407/7-1 S	443.000000	1.040000	0.000000	0.000000	WATER BASED	1985-10-27	474	9999-12-31	2013-05-08	18915
6407/7-1 S	594.000000	1.100000	0.000000	0.000000	WATER BASED	1985-10-29	474	9999-12-31	2013-05-08	18916
6407/7-1 S	945.000000	1.060000	0.000000	0.000000	WATER BASED	1985-10-29	474	9999-12-31	2013-05-08	18917
6407/7-1 S	1172.000000	1.100000	0.000000	0.000000	WATER BASED	1985-11-05	474	9999-12-31	2013-05-08	18918
6407/7-1 S	1172.000000	1.070000	0.000000	0.000000	WATER BASED	1985-11-03	474	9999-12-31	2013-05-08	18919
6407/7-1 S	1172.000000	1.070000	0.000000	0.000000	WATER BASED	1985-10-31	474	9999-12-31	2013-05-08	18920
6407/7-1 S	1172.000000	1.200000	20.000000	13.000000	WATER BASED	1985-11-13	474	9999-12-31	2013-05-08	18921
6407/7-1 S	1172.000000	1.160000	0.000000	0.000000	WATER BASED	1985-11-12	474	9999-12-31	2013-05-08	18922
6407/7-1 S	1172.000000	1.160000	0.000000	0.000000	WATER BASED	1985-11-10	474	9999-12-31	2013-05-08	18923
6407/7-1 S	1172.000000	1.200000	20.000000	13.000000	WATER BASED	1985-11-17	474	9999-12-31	2013-05-08	18924
6407/7-1 S	1172.000000	1.070000	0.000000	0.000000	WATER BASED	1985-11-04	474	9999-12-31	2013-05-08	18925
6407/7-1 S	1179.000000	1.210000	18.000000	10.000000	WATER BASED	1985-11-17	474	9999-12-31	2013-05-08	18926
6407/7-1 S	1200.000000	1.210000	11.000000	10.000000	WATER BASED	1985-11-17	474	9999-12-31	2013-05-08	18927
6407/7-1 S	1368.000000	1.210000	22.000000	14.000000	WATER BASED	1985-11-18	474	9999-12-31	2013-05-08	18928
6407/7-1 S	1403.000000	1.300000	22.000000	11.000000	WATER BASED	1985-11-19	474	9999-12-31	2013-05-08	18929
6407/7-1 S	1411.000000	1.300000	22.000000	12.000000	WATER BASED	1985-11-20	474	9999-12-31	2013-05-08	18930
6407/7-1 S	1652.000000	1.600000	32.000000	15.000000	WATER BASED	1985-11-25	474	9999-12-31	2013-05-08	18931
6407/7-1 S	1652.000000	1.650000	25.000000	14.000000	WATER BASED	1985-11-25	474	9999-12-31	2013-05-08	18932
6407/7-1 S	1652.000000	1.650000	30.000000	15.000000	WATER BASED	1985-11-25	474	9999-12-31	2013-05-08	18933
6407/7-1 S	1687.000000	1.650000	30.000000	15.000000	WATER BASED	1985-11-25	474	9999-12-31	2013-05-08	18934
6407/7-1 S	1917.000000	1.680000	37.000000	12.000000	WATER BASED	1985-11-26	474	9999-12-31	2013-05-08	18935
6407/7-1 S	1917.000000	1.680000	31.000000	12.000000	WATER BASED	1985-11-28	474	9999-12-31	2013-05-08	18936
6407/7-1 S	1917.000000	1.680000	35.000000	14.000000	WATER BASED	1985-11-27	474	9999-12-31	2013-05-08	18937
6407/7-1 S	1917.000000	1.680000	31.000000	12.000000	WATER BASED	1985-12-01	474	9999-12-31	2013-05-08	18938
6407/7-1 S	1917.000000	1.710000	35.000000	11.000000	WATER BASED	1985-12-01	474	9999-12-31	2013-05-08	18939
6407/7-1 S	1965.000000	1.710000	36.000000	8.000000	WATER BASED	1985-12-04	474	9999-12-31	2013-05-08	18940
6407/7-1 S	2127.000000	1.710000	40.000000	13.000000	WATER BASED	1985-12-04	474	9999-12-31	2013-05-08	18941
6407/7-1 S	2149.000000	1.710000	30.000000	9.000000	WATER BASED	1985-12-03	474	9999-12-31	2013-05-08	18942
6407/7-1 S	2272.000000	1.710000	31.000000	10.000000	WATER BASED	1985-12-05	474	9999-12-31	2013-05-08	18943
6407/7-1 S	2284.000000	1.710000	30.000000	9.000000	WATER BASED	1985-12-08	474	9999-12-31	2013-05-08	18944
6407/7-1 S	2295.000000	1.630000	26.000000	7.000000	WATER BASED	1985-12-08	474	9999-12-31	2013-05-08	18945
6407/7-1 S	2388.000000	1.630000	34.000000	10.000000	WATER BASED	1985-12-08	474	9999-12-31	2013-05-08	18946
6407/7-1 S	2506.000000	1.650000	28.000000	8.000000	WATER BASED	1985-12-10	474	9999-12-31	2013-05-08	18947
6407/7-1 S	2528.000000	1.650000	29.000000	8.000000	WATER BASED	1985-12-11	474	9999-12-31	2013-05-08	18948
6407/7-1 S	2605.000000	1.650000	26.000000	9.000000	WATER BASED	1985-12-12	474	9999-12-31	2013-05-08	18949
6407/7-1 S	2683.000000	1.650000	26.000000	10.000000	WATER BASED	1985-12-15	474	9999-12-31	2013-05-08	18950
6407/7-1 S	2710.000000	1.650000	25.000000	11.000000	WATER BASED	1985-12-15	474	9999-12-31	2013-05-08	18951
6407/7-1 S	2710.000000	1.650000	25.000000	10.000000	WATER BASED	1985-12-18	474	9999-12-31	2013-05-08	18952
6407/7-1 S	2710.000000	1.650000	28.000000	7.000000	WATER BASED	1985-12-22	474	9999-12-31	2013-05-08	18953
6407/7-1 S	2710.000000	1.650000	28.000000	7.000000	WATER BASED	1985-12-19	474	9999-12-31	2013-05-08	18954
6407/7-1 S	2710.000000	1.650000	25.000000	10.000000	WATER BASED	1985-12-15	474	9999-12-31	2013-05-08	18955
6407/7-1 S	2713.000000	1.440000	19.000000	7.000000	WATER BASED	1985-12-22	474	9999-12-31	2013-05-08	18956
6407/7-1 S	2727.000000	1.380000	17.000000	7.000000	WATER BASED	1985-12-22	474	9999-12-31	2013-05-08	18957
6407/7-1 S	2728.000000	1.470000	28.000000	16.000000	WATER BASED	1986-04-03	474	9999-12-31	2013-05-08	18958
6407/7-1 S	2728.000000	1.460000	12.000000	10.000000	WATER BASED	1986-04-07	474	9999-12-31	2013-05-08	18959
6407/7-1 S	2760.000000	1.380000	18.000000	8.000000	WATER BASED	1985-12-23	474	9999-12-31	2013-05-08	18960
6407/7-1 S	2772.000000	1.380000	18.000000	7.000000	WATER BASED	1985-12-26	474	9999-12-31	2013-05-08	18961
6407/7-1 S	2783.000000	1.380000	16.000000	7.000000	WATER BASED	1985-12-26	474	9999-12-31	2013-05-08	18962
6407/7-1 S	2811.000000	1.380000	18.000000	8.000000	WATER BASED	1985-12-26	474	9999-12-31	2013-05-08	18963
6407/7-1 S	2832.000000	1.380000	17.000000	9.000000	WATER BASED	1985-12-29	474	9999-12-31	2013-05-08	18964
6407/7-1 S	2833.000000	1.540000	5.000000	1.000000	BRINE	1986-03-25	474	9999-12-31	2013-05-08	18965
6407/7-1 S	2833.000000	1.490000	5.000000	1.000000	BRINE	1986-04-02	474	9999-12-31	2013-05-08	18966
6407/7-1 S	2836.000000	1.380000	16.000000	8.000000	WATER BASED	1985-12-29	474	9999-12-31	2013-05-08	18967
6407/7-1 S	2844.000000	1.550000	19.000000	8.000000	WATER BASED	1985-12-29	474	9999-12-31	2013-05-08	18968
6407/7-1 S	2871.000000	1.550000	20.000000	9.000000	WATER BASED	1985-12-30	474	9999-12-31	2013-05-08	18969
6407/7-1 S	2895.000000	1.550000	21.000000	7.000000	WATER BASED	1986-01-01	474	9999-12-31	2013-05-08	18970
6407/7-1 S	2923.000000	1.550000	18.000000	6.000000	WATER BASED	1986-01-01	474	9999-12-31	2013-05-08	18971
6407/7-1 S	2935.000000	1.540000	5.000000	1.000000	BRINE	1986-03-25	474	9999-12-31	2013-05-08	18972
6407/7-1 S	2935.000000	1.540000	5.000000	1.000000	BRINE	1986-03-26	474	9999-12-31	2013-05-08	18973
6407/7-1 S	2935.000000	1.540000	5.000000	1.000000	BRINE	1986-03-24	474	9999-12-31	2013-05-08	18974
6407/7-1 S	2935.000000	1.540000	5.000000	1.000000	BRINE	1986-03-24	474	9999-12-31	2013-05-08	18975
6407/7-1 S	2935.000000	1.540000	5.000000	1.000000	BRINE	1986-03-21	474	9999-12-31	2013-05-08	18976
6407/7-1 S	2951.000000	1.550000	23.000000	10.000000	WATER BASED	1986-01-02	474	9999-12-31	2013-05-08	18977
6407/7-1 S	2988.000000	1.550000	21.000000	9.000000	WATER BASED	1986-01-05	474	9999-12-31	2013-05-08	18978
6407/7-1 S	2988.000000	1.550000	22.000000	8.000000	WATER BASED	1986-01-05	474	9999-12-31	2013-05-08	18979
6407/7-1 S	3013.000000	1.550000	20.000000	9.000000	WATER BASED	1986-01-05	474	9999-12-31	2013-05-08	18980
6407/7-1 S	3013.000000	1.550000	18.000000	7.000000	WATER BASED	1986-01-08	474	9999-12-31	2013-05-08	18981
6407/7-1 S	3013.000000	1.550000	22.000000	8.000000	WATER BASED	1986-01-07	474	9999-12-31	2013-05-08	18982
6407/7-1 S	3013.000000	1.550000	20.000000	9.000000	WATER BASED	1986-01-05	474	9999-12-31	2013-05-08	18983
6407/7-1 S	3016.000000	1.560000	5.000000	1.000000	BRINE	1986-03-19	474	9999-12-31	2013-05-08	18984
6407/7-1 S	3016.000000	1.540000	5.000000	1.000000	BRINE	1986-03-17	474	9999-12-31	2013-05-08	18985
6407/7-1 S	3016.000000	1.550000	5.000000	1.000000	BRINE	1986-03-17	474	9999-12-31	2013-05-08	18986
6407/7-1 S	3041.000000	1.550000	19.000000	7.000000	WATER BASED	1986-01-09	474	9999-12-31	2013-05-08	18987
6407/7-1 S	3052.000000	1.550000	18.000000	8.000000	WATER BASED	1986-01-13	474	9999-12-31	2013-05-08	18988
6407/7-1 S	3063.000000	1.550000	19.000000	8.000000	WATER BASED	1986-01-13	474	9999-12-31	2013-05-08	18989
6407/7-1 S	3090.000000	1.550000	19.000000	8.000000	WATER BASED	1986-01-13	474	9999-12-31	2013-05-08	18990
6407/7-1 S	3094.000000	1.490000	5.000000	1.000000	BRINE	1986-03-03	474	9999-12-31	2013-05-08	18991
6407/7-1 S	3094.000000	1.570000	5.000000	1.000000	BRINE	1986-03-06	474	9999-12-31	2013-05-08	18992
6407/7-1 S	3094.000000	1.580000	5.000000	1.000000	BRINE	1986-03-05	474	9999-12-31	2013-05-08	18993
6407/7-1 S	3094.000000	1.570000	5.000000	1.000000	BRINE	1986-03-07	474	9999-12-31	2013-05-08	18994
6407/7-1 S	3094.000000	1.560000	5.000000	1.000000	BRINE	1986-03-12	474	9999-12-31	2013-05-08	18995
6407/7-1 S	3094.000000	1.580000	5.000000	1.000000	BRINE	1986-03-08	474	9999-12-31	2013-05-08	18996
6407/7-1 S	3094.000000	1.560000	5.000000	1.000000	BRINE	1986-03-13	474	9999-12-31	2013-05-08	18997
6407/7-1 S	3094.000000	1.550000	5.000000	1.000000	BRINE	1986-03-14	474	9999-12-31	2013-05-08	18998
6407/7-1 S	3094.000000	1.570000	5.000000	1.000000	BRINE	1986-03-11	474	9999-12-31	2013-05-08	18999
6407/7-1 S	3094.000000	1.580000	5.000000	1.000000	BRINE	1986-03-04	474	9999-12-31	2013-05-08	19000
6407/7-1 S	3118.000000	1.510000	24.000000	8.000000	WATER BASED	1986-01-13	474	9999-12-31	2013-05-08	19001
6407/7-1 S	3135.000000	1.490000	21.000000	8.000000	WATER BASED	1986-01-15	474	9999-12-31	2013-05-08	19002
6407/7-1 S	3157.000000	1.490000	16.000000	6.000000	WATER BASED	1986-02-24	474	9999-12-31	2013-05-08	19003
6407/7-1 S	3157.000000	1.490000	5.000000	1.000000	BRINE	1986-03-03	474	9999-12-31	2013-05-08	19004
6407/7-1 S	3157.000000	1.490000	5.000000	1.000000	BRINE	1986-02-27	474	9999-12-31	2013-05-08	19005
6407/7-1 S	3157.000000	1.490000	5.000000	1.000000	BRINE	1986-02-28	474	9999-12-31	2013-05-08	19006
6407/7-1 S	3157.000000	1.490000	5.000000	1.000000	BRINE	1986-02-25	474	9999-12-31	2013-05-08	19007
6407/7-1 S	3157.000000	1.490000	5.000000	1.000000	BRINE	1986-02-26	474	9999-12-31	2013-05-08	19008
6407/7-1 S	3157.000000	1.490000	0.000000	0.000000	WATER BASED	1986-02-24	474	9999-12-31	2013-05-08	19009
6407/7-1 S	3218.000000	1.490000	24.000000	11.000000	WATER BASED	1986-01-15	474	9999-12-31	2013-05-08	19010
6407/7-1 S	3234.000000	1.490000	21.000000	10.000000	WATER BASED	1986-01-19	474	9999-12-31	2013-05-08	19011
6407/7-1 S	3234.000000	1.490000	22.000000	11.000000	WATER BASED	1986-01-19	474	9999-12-31	2013-05-08	19012
6407/7-1 S	3318.000000	1.490000	23.000000	11.000000	WATER BASED	1986-01-19	474	9999-12-31	2013-05-08	19013
6407/7-1 S	3367.000000	1.490000	22.000000	9.000000	WATER BASED	1986-01-19	474	9999-12-31	2013-05-08	19014
6407/7-1 S	3367.000000	1.490000	21.000000	8.000000	WATER BASED	1986-01-19	474	9999-12-31	2013-05-08	19015
6407/7-1 S	3389.000000	1.490000	19.000000	8.000000	WATER BASED	1986-01-22	474	9999-12-31	2013-05-08	19016
6407/7-1 S	3400.000000	1.490000	22.000000	9.000000	WATER BASED	1986-01-29	474	9999-12-31	2013-05-08	19017
6407/7-1 S	3404.000000	1.490000	22.000000	10.000000	WATER BASED	1986-02-03	474	9999-12-31	2013-05-08	19018
6407/7-1 S	3409.000000	1.490000	23.000000	9.000000	WATER BASED	1986-02-03	474	9999-12-31	2013-05-08	19019
6407/7-1 S	3550.000000	1.490000	23.000000	12.000000	WATER BASED	1986-02-03	474	9999-12-31	2013-05-08	19020
6407/7-1 S	3601.000000	1.490000	23.000000	12.000000	WATER BASED	1986-02-03	474	9999-12-31	2013-05-08	19021
6407/7-1 S	3648.000000	1.490000	15.000000	6.000000	WATER BASED	1986-02-19	474	9999-12-31	2013-05-08	19022
6407/7-1 S	3654.000000	1.490000	20.000000	13.000000	WATER BASED	1986-02-03	474	9999-12-31	2013-05-08	19023
6407/7-1 S	3711.000000	1.490000	15.000000	7.000000	WATER BASED	1986-01-28	474	9999-12-31	2013-05-08	19024
6407/7-1 S	3711.000000	1.490000	15.000000	7.000000	WATER BASED	1986-02-03	474	9999-12-31	2013-05-08	19025
6407/7-1 S	3750.000000	1.490000	16.000000	6.000000	WATER BASED	1986-01-28	474	9999-12-31	2013-05-08	19026
6407/7-1 S	3750.000000	1.490000	16.000000	6.000000	WATER BASED	1986-01-30	474	9999-12-31	2013-05-08	19027
6407/7-1 S	3750.000000	1.490000	16.000000	6.000000	WATER BASED	1986-02-04	474	9999-12-31	2013-05-08	19028
6407/7-1 S	3755.000000	1.490000	16.000000	6.000000	WATER BASED	1986-02-05	474	9999-12-31	2013-05-08	19029
6407/7-1 S	3755.000000	1.500000	15.000000	6.000000	WATER BASED	1986-02-11	474	9999-12-31	2013-05-08	19030
6407/7-1 S	3755.000000	1.500000	16.000000	5.000000	WATER BASED	1986-02-07	474	9999-12-31	2013-05-08	19031
6407/7-1 S	3755.000000	1.500000	16.000000	6.000000	WATER BASED	1986-02-11	474	9999-12-31	2013-05-08	19032
6407/7-1 S	3755.000000	1.490000	16.000000	6.000000	WATER BASED	1986-02-06	474	9999-12-31	2013-05-08	19033
6407/7-1 S	3755.000000	1.490000	16.000000	5.000000	WATER BASED	1986-02-11	474	9999-12-31	2013-05-08	19034
6407/7-1 S	3756.000000	1.490000	15.000000	8.000000	WATER BASED	1986-02-12	474	9999-12-31	2013-05-08	19035
6407/7-1 S	3756.000000	1.490000	13.000000	7.000000	WATER BASED	1986-02-13	474	9999-12-31	2013-05-08	19036
6407/7-1 S	3758.000000	1.490000	13.000000	6.000000	WATER BASED	1986-02-21	474	9999-12-31	2013-05-08	19037
6407/7-1 S	3771.000000	1.490000	18.000000	8.000000	WATER BASED	1986-02-13	474	9999-12-31	2013-05-08	19038
6407/7-1 S	3787.000000	1.490000	15.000000	8.000000	WATER BASED	1986-02-17	474	9999-12-31	2013-05-08	19039
6407/7-1 S	3889.000000	1.490000	15.000000	7.000000	WATER BASED	1986-02-17	474	9999-12-31	2013-05-08	19040
6407/7-1 S	3950.000000	1.490000	16.000000	6.000000	WATER BASED	1986-02-17	474	9999-12-31	2013-05-08	19041
6407/7-1 S	3950.000000	1.490000	16.000000	6.000000	WATER BASED	1986-02-18	474	9999-12-31	2013-05-08	19042
6407/7-2	382.000000	1.050000	99.000000	99.000000	WATERBASED	1986-11-20	1017	9999-12-31	2013-05-08	19043
6407/7-2	406.000000	1.050000	99.000000	99.000000	WATERBASED	1986-11-21	1017	9999-12-31	2013-05-08	19044
6407/7-2	446.000000	1.050000	0.000000	0.000000	WATERBASED	1986-11-24	1017	9999-12-31	2013-05-08	19045
6407/7-2	650.000000	0.000000	0.000000	0.000000	WATERBASED	1987-01-19	1017	9999-12-31	2013-05-08	19046
6407/7-2	780.000000	1.050000	0.000000	0.000000	WATERBASED	1986-11-24	1017	9999-12-31	2013-05-08	19047
6407/7-2	780.000000	0.000000	18.000000	10.000000	WATERBASED	1986-11-26	1017	9999-12-31	2013-05-08	19048
6407/7-2	1000.000000	1.470000	11.000000	12.000000	WATER BASED	1990-03-22	1017	9999-12-31	2013-05-08	19049
6407/7-2	1160.000000	1.200000	24.000000	18.000000	WATERBASED	1986-11-25	1017	9999-12-31	2013-05-08	19050
6407/7-2	1517.000000	0.000000	20.000000	15.000000	WATERBASED	1986-11-30	1017	9999-12-31	2013-05-08	19051
6407/7-2	1517.000000	0.000000	22.000000	9.000000	WATERBASED	1986-11-30	1017	9999-12-31	2013-05-08	19052
6407/7-2	1517.000000	1.300000	20.000000	13.000000	WATERBASED	1986-11-27	1017	9999-12-31	2013-05-08	19053
6407/7-2	1839.000000	1.600000	30.000000	15.000000	WATERBASED	1986-11-30	1017	9999-12-31	2013-05-08	19054
6407/7-2	2016.000000	1.600000	33.000000	10.000000	WATER BASED	1986-12-02	1017	9999-12-31	2013-05-08	19055
6407/7-2	2190.000000	1.600000	28.000000	8.000000	WATER BASED	1986-12-02	1017	9999-12-31	2013-05-08	19056
6407/7-2	2230.000000	1.600000	28.000000	8.000000	WATERBASED	1986-12-03	1017	9999-12-31	2013-05-08	19057
6407/7-2	2310.000000	1.600000	30.000000	10.000000	WATERBASED	1986-12-04	1017	9999-12-31	2013-05-08	19058
6407/7-2	2372.000000	1.480000	19.000000	11.000000	WATER BASED	1990-03-22	1017	9999-12-31	2013-05-08	19059
6407/7-2	2409.000000	1.600000	25.000000	7.000000	WATERBASED	1986-12-06	1017	9999-12-31	2013-05-08	19060
6407/7-2	2464.000000	1.470000	19.000000	10.000000	WATER BASED	1990-03-22	1017	9999-12-31	2013-05-08	19061
6407/7-2	2513.000000	1.600000	27.000000	9.000000	WATERBASED	1986-12-06	1017	9999-12-31	2013-05-08	19062
6407/7-2	2535.000000	1.490000	20.000000	4.000000	WATERBASED	1986-12-10	1017	9999-12-31	2013-05-08	19063
6407/7-2	2535.000000	0.000000	21.000000	5.000000	WATERBASED	1986-12-11	1017	9999-12-31	2013-05-08	19064
6407/7-2	2550.000000	0.000000	29.000000	9.000000	WATERBASED	1986-12-09	1017	9999-12-31	2013-05-08	19065
6407/7-2	2550.000000	1.600000	25.000000	8.000000	WATERBASED	1986-12-06	1017	9999-12-31	2013-05-08	19066
6407/7-2	2550.000000	0.000000	29.000000	9.000000	WATERBASED	1986-12-08	1017	9999-12-31	2013-05-08	19067
6407/7-2	2553.000000	1.480000	17.000000	8.000000	WATERBASED	1986-12-14	1017	9999-12-31	2013-05-08	19068
6407/7-2	2582.000000	1.480000	20.000000	8.000000	WATERBASED	1986-12-14	1017	9999-12-31	2013-05-08	19069
6407/7-2	2651.000000	1.480000	24.000000	8.000000	WATERBASED	1986-12-14	1017	9999-12-31	2013-05-08	19070
6407/7-2	2680.000000	1.480000	21.000000	8.000000	WATERBASED	1986-12-15	1017	9999-12-31	2013-05-08	19071
6407/7-2	2701.000000	1.480000	21.000000	8.000000	WATERBASED	1986-12-16	1017	9999-12-31	2013-05-08	19072
6407/7-2	2731.000000	1.480000	19.000000	7.000000	WATERBASED	1986-12-17	1017	9999-12-31	2013-05-08	19073
6407/7-2	2775.000000	1.480000	22.000000	8.000000	WATERBASED	1986-12-18	1017	9999-12-31	2013-05-08	19074
6407/7-2	2794.000000	1.480000	11.000000	7.000000	WATER BASED	1990-03-22	1017	9999-12-31	2013-05-08	19075
6407/7-2	2796.000000	1.480000	20.000000	6.000000	WATERBASED	1987-01-19	1017	9999-12-31	2013-05-08	19076
6407/7-2	2805.000000	1.480000	23.000000	8.000000	WATERBASED	1986-12-20	1017	9999-12-31	2013-05-08	19077
6407/7-2	2819.000000	0.000000	20.000000	6.000000	WATERBASED	1987-01-19	1017	9999-12-31	2013-05-08	19078
6407/7-2	2819.000000	1.480000	24.000000	8.000000	WATERBASED	1987-01-14	1017	9999-12-31	2013-05-08	19079
6407/7-2	2819.000000	0.000000	20.000000	6.000000	WATERBASED	1987-01-16	1017	9999-12-31	2013-05-08	19080
6407/7-2	2819.000000	0.000000	20.000000	6.000000	WATERBASED	1987-01-15	1017	9999-12-31	2013-05-08	19081
6407/7-2	2842.000000	1.480000	22.000000	8.000000	WATERBASED	1986-12-20	1017	9999-12-31	2013-05-08	19082
6407/7-2	2859.000000	1.480000	23.000000	8.000000	WATERBASED	1987-01-13	1017	9999-12-31	2013-05-08	19083
6407/7-2	2861.000000	1.480000	19.000000	7.000000	WATERBASED	1987-01-12	1017	9999-12-31	2013-05-08	19084
6407/7-2	2879.000000	1.480000	23.000000	7.000000	WATERBASED	1986-12-20	1017	9999-12-31	2013-05-08	19085
6407/7-2	2915.000000	1.480000	24.000000	8.000000	WATERBASED	1986-12-23	1017	9999-12-31	2013-05-08	19086
6407/7-2	2970.000000	1.480000	18.000000	11.000000	WATER BASED	1990-03-22	1017	9999-12-31	2013-05-08	19087
6407/7-2	2994.000000	1.480000	25.000000	9.000000	WATERBASED	1986-12-29	1017	9999-12-31	2013-05-08	19088
6407/7-2	3028.000000	1.480000	23.000000	8.000000	WATERBASED	1986-12-30	1017	9999-12-31	2013-05-08	19089
6407/7-2	3039.000000	1.480000	23.000000	8.000000	WATERBASED	1986-12-30	1017	9999-12-31	2013-05-08	19090
6407/7-2	3078.000000	1.480000	23.000000	8.000000	WATERBASED	1986-12-30	1017	9999-12-31	2013-05-08	19091
6407/7-2	3182.000000	1.480000	24.000000	9.000000	WATERBASED	1986-12-30	1017	9999-12-31	2013-05-08	19092
6407/7-2	3265.000000	0.000000	23.000000	6.000000	WATERBASED	1987-01-12	1017	9999-12-31	2013-05-08	19093
6407/7-2	3265.000000	0.000000	18.000000	6.000000	WATERBASED	1987-01-12	1017	9999-12-31	2013-05-08	19094
6407/7-2	3265.000000	0.000000	22.000000	7.000000	WATERBASED	1987-01-07	1017	9999-12-31	2013-05-08	19095
6407/7-2	3265.000000	1.480000	22.000000	7.000000	WATERBASED	1987-01-06	1017	9999-12-31	2013-05-08	19096
6407/7-2	3265.000000	0.000000	22.000000	7.000000	WATERBASED	1987-01-06	1017	9999-12-31	2013-05-08	19097
6407/7-2	3265.000000	0.000000	21.000000	5.000000	WATERBASED	1987-01-09	1017	9999-12-31	2013-05-08	19098
6407/7-2	3265.000000	1.480000	17.000000	12.000000	WATER BASED	1990-03-22	1017	9999-12-31	2013-05-08	19099
6407/7-2	3265.000000	1.480000	17.000000	16.000000	WATER BASED	1990-03-22	1017	9999-12-31	2013-05-08	19100
6407/7-2	3265.000000	1.480000	18.000000	15.000000	WATER BASED	1990-03-23	1017	9999-12-31	2013-05-08	19101
6407/7-2	3265.000000	1.470000	15.000000	14.000000	WATER BASED	1990-04-02	1017	9999-12-31	2013-05-08	19102
6407/7-2	3265.000000	1.480000	15.000000	13.000000	WATER BASED	1990-04-02	1017	9999-12-31	2013-05-08	19103
6407/7-2	3265.000000	1.480000	15.000000	13.000000	WATER BASED	1990-04-02	1017	9999-12-31	2013-05-08	19104
6407/7-2	3265.000000	1.480000	15.000000	13.000000	WATER BASED	1990-04-04	1017	9999-12-31	2013-05-08	19105
6407/7-2	3265.000000	1.480000	15.000000	13.000000	WATER BASED	1990-04-04	1017	9999-12-31	2013-05-08	19106
6407/7-2	3265.000000	1.470000	14.000000	12.000000	WATER BASED	1990-03-28	1017	9999-12-31	2013-05-08	19107
6407/7-2	3265.000000	1.470000	14.000000	13.000000	WATER BASED	1990-03-27	1017	9999-12-31	2013-05-08	19108
6407/7-2	3265.000000	1.480000	17.000000	14.000000	WATER BASED	1990-03-26	1017	9999-12-31	2013-05-08	19109
6407/7-2	3265.000000	1.470000	17.000000	14.000000	WATER BASED	1990-03-26	1017	9999-12-31	2013-05-08	19110
6407/7-2	3265.000000	1.470000	15.000000	12.000000	WATER BASED	1990-04-06	1017	9999-12-31	2013-05-08	19111
6407/7-2	3265.000000	1.480000	15.000000	13.000000	WATER BASED	1990-04-10	1017	9999-12-31	2013-05-08	19112
6407/7-2	3265.000000	1.480000	15.000000	13.000000	WATER BASED	1990-04-09	1017	9999-12-31	2013-05-08	19113
6407/7-2	3265.000000	1.480000	15.000000	13.000000	WATER BASED	1990-04-09	1017	9999-12-31	2013-05-08	19114
6407/7-2	3265.000000	1.480000	15.000000	13.000000	WATER BASED	1990-04-11	1017	9999-12-31	2013-05-08	19115
6407/7-2	3265.000000	1.480000	15.000000	13.000000	WATER BASED	1990-04-18	1017	9999-12-31	2013-05-08	19116
6407/7-2	3265.000000	1.480000	15.000000	12.000000	WATER BASED	1990-04-18	1017	9999-12-31	2013-05-08	19117
6407/7-2	3265.000000	1.480000	14.000000	9.000000	WATER BASED	1990-04-18	1017	9999-12-31	2013-05-08	19118
6407/7-2	3265.000000	1.470000	15.000000	14.000000	WATER BASED	1990-04-18	1017	9999-12-31	2013-05-08	19119
6407/7-2	3265.000000	1.020000	1.000000	1.000000	WATER BASED	1990-04-18	1017	9999-12-31	2013-05-08	19120
6407/7-2	3265.000000	1.470000	15.000000	14.000000	WATER BASED	1990-04-24	1017	9999-12-31	2013-05-08	19121
6407/7-2	3265.000000	1.470000	15.000000	14.000000	WATER BASED	1990-04-24	1017	9999-12-31	2013-05-08	19122
6407/7-2	3265.000000	1.470000	15.000000	14.000000	WATER BASED	1990-04-24	1017	9999-12-31	2013-05-08	19123
6407/7-2	3265.000000	1.470000	15.000000	14.000000	WATER BASED	1990-04-24	1017	9999-12-31	2013-05-08	19124
6407/7-2	3265.000000	1.470000	13.000000	13.000000	WATER BASED	1990-04-27	1017	9999-12-31	2013-05-08	19125
6407/7-2	3265.000000	1.450000	13.000000	12.000000	WATER BASED	1990-04-27	1017	9999-12-31	2013-05-08	19126
6407/7-2	3265.000000	0.000000	22.000000	7.000000	WATERBASED	1987-01-09	1017	9999-12-31	2013-05-08	19127
6407/7-2	3265.000000	1.480000	12.000000	12.000000	WATER BASED	1990-03-30	1017	9999-12-31	2013-05-08	19128
6407/7-2	3265.000000	1.480000	15.000000	17.000000	WATER BASED	1990-03-30	1017	9999-12-31	2013-05-08	19129
6407/7-2	3265.000000	1.470000	15.000000	14.000000	WATER BASED	1990-04-25	1017	9999-12-31	2013-05-08	19130
6407/7-2	3265.000000	1.480000	15.000000	13.000000	WATER BASED	1990-04-05	1017	9999-12-31	2013-05-08	19131
6407/7-2	3265.000000	1.470000	15.000000	14.000000	WATER BASED	1990-04-18	1017	9999-12-31	2013-05-08	19132
6407/7-2	3265.000000	1.480000	15.000000	13.000000	WATER BASED	1990-04-09	1017	9999-12-31	2013-05-08	19133
6407/7-2	3266.000000	1.490000	25.000000	6.000000	WATERBASED	1987-01-05	1017	9999-12-31	2013-05-08	19134
6407/7-2	3276.000000	1.480000	24.000000	10.000000	WATERBASED	1986-12-30	1017	9999-12-31	2013-05-08	19135
6407/7-2	3320.000000	0.000000	24.000000	6.000000	WATERBASED	1987-01-05	1017	9999-12-31	2013-05-08	19136
6407/7-2	3320.000000	0.000000	24.000000	8.000000	WATERBASED	1987-01-02	1017	9999-12-31	2013-05-08	19137
6407/7-2	3320.000000	0.000000	23.000000	8.000000	WATERBASED	1987-01-02	1017	9999-12-31	2013-05-08	19138
6407/7-2	3320.000000	1.480000	23.000000	8.000000	WATERBASED	1986-12-30	1017	9999-12-31	2013-05-08	19139
6407/7-3	394.000000	1.030000	0.000000	0.000000	WATER BASED	1988-03-03	1229	9999-12-31	2013-05-08	19140
6407/7-3	440.000000	1.030000	0.000000	0.000000	WATER BASED	1988-03-04	1229	9999-12-31	2013-05-08	19141
6407/7-3	442.000000	1.030000	0.000000	0.000000	WATER BASED	1988-03-07	1229	9999-12-31	2013-05-08	19142
6407/7-3	480.000000	1.610000	18.000000	5.000000	WATER BASED	1988-05-19	1229	9999-12-31	2013-05-08	19143
6407/7-3	480.000000	0.000000	0.000000	0.000000	WATER BASED	1988-05-20	1229	9999-12-31	2013-05-08	19144
6407/7-3	510.000000	1.080000	0.000000	0.000000	WATER BASED	1988-03-08	1229	9999-12-31	2013-05-08	19145
6407/7-3	525.000000	1.050000	0.000000	0.000000	WATER BASED	1988-03-09	1229	9999-12-31	2013-05-08	19146
6407/7-3	525.000000	1.050000	0.000000	0.000000	WATER BASED	1988-03-10	1229	9999-12-31	2013-05-08	19147
6407/7-3	536.000000	1.070000	5.000000	7.000000	WATER BASED	1988-03-11	1229	9999-12-31	2013-05-08	19148
6407/7-3	811.000000	1.140000	5.000000	7.000000	WATER BASED	1988-03-14	1229	9999-12-31	2013-05-08	19149
6407/7-3	891.000000	1.030000	0.000000	0.000000	WATER BASED	1988-03-07	1229	9999-12-31	2013-05-08	19150
6407/7-3	1116.000000	1.140000	6.000000	11.000000	WATER BASED	1988-03-14	1229	9999-12-31	2013-05-08	19151
6407/7-3	1116.000000	1.150000	7.000000	12.000000	WATER BASED	1988-03-14	1229	9999-12-31	2013-05-08	19152
6407/7-3	1116.000000	1.140000	5.000000	9.000000	WATER BASED	1988-03-15	1229	9999-12-31	2013-05-08	19153
6407/7-3	1176.000000	1.530000	12.000000	7.000000	WATER BASED	1988-03-16	1229	9999-12-31	2013-05-08	19154
6407/7-3	1649.000000	1.600000	15.000000	9.000000	WATER BASED	1988-03-17	1229	9999-12-31	2013-05-08	19155
6407/7-3	2151.000000	1.600000	18.000000	9.000000	WATER BASED	1988-03-18	1229	9999-12-31	2013-05-08	19156
6407/7-3	2233.000000	1.600000	17.000000	8.000000	WATER BASED	1988-03-21	1229	9999-12-31	2013-05-08	19157
6407/7-3	2407.000000	1.600000	18.000000	14.000000	WATER BASED	1988-03-21	1229	9999-12-31	2013-05-08	19158
6407/7-3	2465.000000	1.600000	15.000000	13.000000	WATER BASED	1988-03-21	1229	9999-12-31	2013-05-08	19159
6407/7-3	2560.000000	1.600000	16.000000	13.000000	WATER BASED	1988-03-22	1229	9999-12-31	2013-05-08	19160
6407/7-3	2658.000000	1.600000	18.000000	8.000000	WATER BASED	1988-03-24	1229	9999-12-31	2013-05-08	19161
6407/7-3	2711.000000	1.600000	18.000000	9.000000	WATER BASED	1988-03-24	1229	9999-12-31	2013-05-08	19162
6407/7-3	2745.000000	1.610000	18.000000	5.000000	WATER BASED	1988-05-19	1229	9999-12-31	2013-05-08	19163
6407/7-3	2750.000000	1.600000	17.000000	9.000000	WATER BASED	1988-03-28	1229	9999-12-31	2013-05-08	19164
6407/7-3	2750.000000	1.600000	18.000000	10.000000	WATER BASED	1988-03-28	1229	9999-12-31	2013-05-08	19165
6407/7-3	2750.000000	1.600000	10.000000	5.000000	WATER BASED	1988-03-28	1229	9999-12-31	2013-05-08	19166
6407/7-3	2750.000000	1.600000	14.000000	6.000000	WATER BASED	1988-03-25	1229	9999-12-31	2013-05-08	19167
6407/7-3	2753.000000	1.590000	12.000000	13.000000	WATER BASED	1988-03-29	1229	9999-12-31	2013-05-08	19168
6407/7-3	2841.000000	1.460000	18.000000	5.000000	WATER BASED	1988-04-05	1229	9999-12-31	2013-05-08	19169
6407/7-3	2873.000000	1.460000	19.000000	5.000000	WATER BASED	1988-04-06	1229	9999-12-31	2013-05-08	19170
6407/7-3	2898.000000	1.460000	16.000000	5.000000	WATER BASED	1988-04-06	1229	9999-12-31	2013-05-08	19171
6407/7-3	2922.000000	1.600000	15.000000	5.000000	WATER BASED	1988-05-16	1229	9999-12-31	2013-05-08	19172
6407/7-3	2922.000000	1.600000	15.000000	6.000000	WATER BASED	1988-05-16	1229	9999-12-31	2013-05-08	19173
6407/7-3	2922.000000	1.610000	18.000000	5.000000	WATER BASED	1988-05-16	1229	9999-12-31	2013-05-08	19174
6407/7-3	2937.000000	1.460000	20.000000	6.000000	WATER BASED	1988-04-06	1229	9999-12-31	2013-05-08	19175
6407/7-3	2947.000000	1.460000	20.000000	6.000000	WATER BASED	1988-04-06	1229	9999-12-31	2013-05-08	19176
6407/7-3	2965.000000	1.520000	22.000000	6.000000	WATER BASED	1988-04-06	1229	9999-12-31	2013-05-08	19177
6407/7-3	2984.000000	1.520000	22.000000	6.000000	WATER BASED	1988-04-06	1229	9999-12-31	2013-05-08	19178
6407/7-3	3018.000000	1.520000	22.000000	6.000000	WATER BASED	1988-04-06	1229	9999-12-31	2013-05-08	19179
6407/7-3	3030.000000	1.520000	22.000000	6.000000	WATER BASED	1988-04-07	1229	9999-12-31	2013-05-08	19180
6407/7-3	3041.000000	1.600000	16.000000	5.000000	WATER BASED	1988-05-06	1229	9999-12-31	2013-05-08	19181
6407/7-3	3041.000000	1.600000	18.000000	6.000000	WATER BASED	1988-05-05	1229	9999-12-31	2013-05-08	19182
6407/7-3	3041.000000	1.600000	21.000000	4.000000	WATER BASED	1988-05-03	1229	9999-12-31	2013-05-08	19183
6407/7-3	3041.000000	1.600000	22.000000	4.000000	WATER BASED	1988-05-02	1229	9999-12-31	2013-05-08	19184
6407/7-3	3041.000000	1.600000	16.000000	6.000000	WATER BASED	1988-05-09	1229	9999-12-31	2013-05-08	19185
6407/7-3	3041.000000	1.600000	21.000000	6.000000	WATER BASED	1988-05-10	1229	9999-12-31	2013-05-08	19186
6407/7-3	3041.000000	1.600000	19.000000	6.000000	WATER BASED	1988-05-13	1229	9999-12-31	2013-05-08	19187
6407/7-3	3041.000000	1.600000	18.000000	6.000000	WATER BASED	1988-05-04	1229	9999-12-31	2013-05-08	19188
6407/7-3	3041.000000	1.600000	18.000000	6.000000	WATER BASED	1988-05-09	1229	9999-12-31	2013-05-08	19189
6407/7-3	3048.000000	1.520000	19.000000	4.000000	WATER BASED	1988-04-08	1229	9999-12-31	2013-05-08	19190
6407/7-3	3071.000000	1.520000	21.000000	5.000000	WATER BASED	1988-04-11	1229	9999-12-31	2013-05-08	19191
6407/7-3	3102.000000	1.520000	22.000000	5.000000	WATER BASED	1988-04-11	1229	9999-12-31	2013-05-08	19192
6407/7-3	3162.000000	1.520000	23.000000	6.000000	WATER BASED	1988-04-11	1229	9999-12-31	2013-05-08	19193
6407/7-3	3222.000000	1.520000	19.000000	5.000000	WATER BASED	1988-04-14	1229	9999-12-31	2013-05-08	19194
6407/7-3	3222.000000	1.520000	22.000000	5.000000	WATER BASED	1988-04-12	1229	9999-12-31	2013-05-08	19195
6407/7-3	3222.000000	1.520000	24.000000	5.000000	WATER BASED	1988-04-15	1229	9999-12-31	2013-05-08	19196
6407/7-3	3222.000000	1.520000	27.000000	4.000000	WATER BASED	1988-04-19	1229	9999-12-31	2013-05-08	19197
6407/7-3	3222.000000	1.520000	23.000000	6.000000	WATER BASED	1988-04-19	1229	9999-12-31	2013-05-08	19198
6407/7-3	3222.000000	1.520000	29.000000	5.000000	WATER BASED	1988-04-19	1229	9999-12-31	2013-05-08	19199
6407/7-3	3222.000000	1.600000	22.000000	5.000000	WATER BASED	1988-05-02	1229	9999-12-31	2013-05-08	19200
6407/7-3	3222.000000	1.600000	23.000000	4.000000	WATER BASED	1988-04-29	1229	9999-12-31	2013-05-08	19201
6407/7-3	3222.000000	1.600000	23.000000	4.000000	WATER BASED	1988-04-27	1229	9999-12-31	2013-05-08	19202
6407/7-3	3222.000000	1.600000	24.000000	5.000000	WATER BASED	1988-04-27	1229	9999-12-31	2013-05-08	19203
6407/7-3	3222.000000	1.600000	23.000000	5.000000	WATER BASED	1988-04-27	1229	9999-12-31	2013-05-08	19204
6407/7-3	3222.000000	1.600000	25.000000	5.000000	WATER BASED	1988-04-27	1229	9999-12-31	2013-05-08	19205
6407/7-3	3222.000000	1.560000	21.000000	6.000000	WATER BASED	1988-04-22	1229	9999-12-31	2013-05-08	19206
6407/7-3	3222.000000	1.600000	23.000000	7.000000	WATER BASED	1988-04-22	1229	9999-12-31	2013-05-08	19207
6407/7-3	3222.000000	1.560000	24.000000	5.000000	WATER BASED	1988-04-20	1229	9999-12-31	2013-05-08	19208
6407/7-3	3222.000000	1.520000	25.000000	4.000000	WATER BASED	1988-04-19	1229	9999-12-31	2013-05-08	19209
6407/7-3	3222.000000	1.520000	19.000000	5.000000	WATER BASED	1988-04-13	1229	9999-12-31	2013-05-08	19210
6407/7-3	3222.000000	1.600000	23.000000	4.000000	WATER BASED	1988-05-02	1229	9999-12-31	2013-05-08	19211
6407/7-4	366.000000	1.050000	10.000000	35.000000	WATER BASED	1989-01-17	1360	9999-12-31	2013-05-08	19212
6407/7-4	390.000000	1.050000	10.000000	35.000000	WATER BASED	1989-01-17	1360	9999-12-31	2013-05-08	19213
6407/7-4	419.000000	1.050000	10.000000	35.000000	WATER BASED	1989-01-17	1360	9999-12-31	2013-05-08	19214
6407/7-4	440.000000	1.050000	10.000000	35.000000	WATER BASED	1989-01-17	1360	9999-12-31	2013-05-08	19215
6407/7-4	500.000000	1.470000	19.000000	4.000000	WATER BASED	1989-03-28	1360	9999-12-31	2013-05-08	19216
6407/7-4	524.000000	1.050000	10.000000	35.000000	WATER BASED	1989-01-18	1360	9999-12-31	2013-05-08	19217
6407/7-4	538.000000	1.200000	20.000000	8.000000	WATER BASED	1989-01-20	1360	9999-12-31	2013-05-08	19218
6407/7-4	538.000000	1.050000	10.000000	35.000000	WATER BASED	1989-01-19	1360	9999-12-31	2013-05-08	19219
6407/7-4	938.000000	1.220000	14.000000	7.000000	WATER BASED	1989-01-24	1360	9999-12-31	2013-05-08	19220
6407/7-4	1115.000000	1.200000	10.000000	7.000000	WATER BASED	1989-01-24	1360	9999-12-31	2013-05-08	19221
6407/7-4	1115.000000	1.230000	11.000000	7.000000	WATER BASED	1989-01-24	1360	9999-12-31	2013-05-08	19222
6407/7-4	1570.000000	1.600000	26.000000	8.000000	WATER BASED	1989-01-24	1360	9999-12-31	2013-05-08	19223
6407/7-4	1959.000000	1.600000	19.000000	8.000000	WATER BASED	1989-01-25	1360	9999-12-31	2013-05-08	19224
6407/7-4	2197.000000	1.600000	18.000000	5.000000	WATER BASED	1989-01-26	1360	9999-12-31	2013-05-08	19225
6407/7-4	2273.000000	1.600000	17.000000	6.000000	WATER BASED	1989-01-27	1360	9999-12-31	2013-05-08	19226
6407/7-4	2293.000000	1.600000	25.000000	9.000000	WATER BASED	1989-01-30	1360	9999-12-31	2013-05-08	19227
6407/7-4	2330.000000	1.600000	26.000000	7.000000	WATER BASED	1989-01-30	1360	9999-12-31	2013-05-08	19228
6407/7-4	2330.000000	1.600000	25.000000	7.000000	WATER BASED	1989-01-30	1360	9999-12-31	2013-05-08	19229
6407/7-4	2330.000000	1.600000	25.000000	7.000000	WATER BASED	1989-01-31	1360	9999-12-31	2013-05-08	19230
6407/7-4	2333.000000	1.600000	23.000000	6.000000	WATER BASED	1989-02-01	1360	9999-12-31	2013-05-08	19231
6407/7-4	2387.000000	1.600000	23.000000	6.000000	WATER BASED	1989-02-02	1360	9999-12-31	2013-05-08	19232
6407/7-4	2399.000000	1.600000	23.000000	6.000000	WATER BASED	1989-02-03	1360	9999-12-31	2013-05-08	19233
6407/7-4	2399.000000	1.600000	21.000000	5.000000	WATER BASED	1989-02-07	1360	9999-12-31	2013-05-08	19234
6407/7-4	2404.000000	1.600000	22.000000	5.000000	WATER BASED	1989-02-08	1360	9999-12-31	2013-05-08	19235
6407/7-4	2404.000000	1.600000	22.000000	5.000000	WATER BASED	1989-02-07	1360	9999-12-31	2013-05-08	19236
6407/7-4	2481.000000	1.600000	18.000000	6.000000	WATER BASED	1989-02-09	1360	9999-12-31	2013-05-08	19237
6407/7-4	2580.000000	1.600000	24.000000	9.000000	WATER BASED	1989-02-10	1360	9999-12-31	2013-05-08	19238
6407/7-4	2645.000000	1.600000	20.000000	8.000000	WATER BASED	1989-02-13	1360	9999-12-31	2013-05-08	19239
6407/7-4	2703.000000	1.600000	21.000000	10.000000	WATER BASED	1989-02-13	1360	9999-12-31	2013-05-08	19240
6407/7-4	2775.000000	1.600000	19.000000	8.000000	WATER BASED	1989-02-13	1360	9999-12-31	2013-05-08	19241
6407/7-4	2808.000000	1.600000	19.000000	9.000000	WATER BASED	1989-02-16	1360	9999-12-31	2013-05-08	19242
6407/7-4	2808.000000	1.470000	12.000000	5.000000	WATER BASED	1989-02-24	1360	9999-12-31	2013-05-08	19243
6407/7-4	2808.000000	1.600000	19.000000	9.000000	WATER BASED	1989-02-20	1360	9999-12-31	2013-05-08	19244
6407/7-4	2808.000000	1.600000	19.000000	9.000000	WATER BASED	1989-02-15	1360	9999-12-31	2013-05-08	19245
6407/7-4	2808.000000	1.600000	18.000000	5.000000	WATER BASED	1989-02-14	1360	9999-12-31	2013-05-08	19246
6407/7-4	2808.000000	1.600000	19.000000	9.000000	WATER BASED	1989-02-17	1360	9999-12-31	2013-05-08	19247
6407/7-4	2808.000000	1.600000	19.000000	9.000000	WATER BASED	1989-02-23	1360	9999-12-31	2013-05-08	19248
6407/7-4	2808.000000	1.600000	19.000000	9.000000	WATER BASED	1989-02-21	1360	9999-12-31	2013-05-08	19249
6407/7-4	2808.000000	1.600000	19.000000	9.000000	WATER BASED	1989-02-22	1360	9999-12-31	2013-05-08	19250
6407/7-4	2877.000000	1.470000	26.000000	7.000000	WATER BASED	1989-02-27	1360	9999-12-31	2013-05-08	19251
6407/7-4	2920.000000	1.470000	27.000000	6.000000	WATER BASED	1989-02-27	1360	9999-12-31	2013-05-08	19252
6407/7-4	2949.000000	1.470000	19.000000	4.000000	WATER BASED	1989-03-28	1360	9999-12-31	2013-05-08	19253
6407/7-4	2974.000000	1.470000	29.000000	7.000000	WATER BASED	1989-02-27	1360	9999-12-31	2013-05-08	19254
6407/7-4	3010.000000	1.470000	27.000000	7.000000	WATER BASED	1989-02-28	1360	9999-12-31	2013-05-08	19255
6407/7-4	3040.000000	1.470000	31.000000	8.000000	WATER BASED	1989-03-01	1360	9999-12-31	2013-05-08	19256
6407/7-4	3068.000000	1.470000	28.000000	7.000000	WATER BASED	1989-03-02	1360	9999-12-31	2013-05-08	19257
6407/7-4	3101.000000	1.470000	28.000000	7.000000	WATER BASED	1989-03-03	1360	9999-12-31	2013-05-08	19258
6407/7-4	3121.000000	1.470000	19.000000	4.000000	WATER BASED	1989-03-28	1360	9999-12-31	2013-05-08	19259
6407/7-4	3121.000000	1.470000	20.000000	5.000000	WATER BASED	1989-03-21	1360	9999-12-31	2013-05-08	19260
6407/7-4	3121.000000	1.470000	21.000000	7.000000	WATER BASED	1989-03-20	1360	9999-12-31	2013-05-08	19261
6407/7-4	3121.000000	1.470000	20.000000	5.000000	WATER BASED	1989-03-20	1360	9999-12-31	2013-05-08	19262
6407/7-4	3121.000000	1.470000	20.000000	5.000000	WATER BASED	1989-03-28	1360	9999-12-31	2013-05-08	19263
6407/7-4	3129.000000	1.470000	25.000000	7.000000	WATER BASED	1989-03-06	1360	9999-12-31	2013-05-08	19264
6407/7-4	3171.000000	1.470000	27.000000	8.000000	WATER BASED	1989-03-09	1360	9999-12-31	2013-05-08	19265
6407/7-4	3171.000000	1.470000	20.000000	6.000000	WATER BASED	1989-03-13	1360	9999-12-31	2013-05-08	19266
6407/7-4	3171.000000	1.470000	19.000000	6.000000	WATER BASED	1989-03-10	1360	9999-12-31	2013-05-08	19267
6407/7-4	3171.000000	1.470000	20.000000	7.000000	WATER BASED	1989-03-17	1360	9999-12-31	2013-05-08	19268
6407/7-4	3171.000000	1.470000	21.000000	7.000000	WATER BASED	1989-03-20	1360	9999-12-31	2013-05-08	19269
6407/7-4	3171.000000	1.470000	20.000000	7.000000	WATER BASED	1989-03-16	1360	9999-12-31	2013-05-08	19270
6407/7-4	3171.000000	1.470000	20.000000	7.000000	WATER BASED	1989-03-14	1360	9999-12-31	2013-05-08	19271
6407/7-4	3171.000000	1.470000	21.000000	7.000000	WATER BASED	1989-03-13	1360	9999-12-31	2013-05-08	19272
6407/7-4	3182.000000	1.470000	25.000000	7.000000	WATER BASED	1989-03-06	1360	9999-12-31	2013-05-08	19273
6407/7-4	3211.000000	1.470000	26.000000	6.000000	WATER BASED	1989-03-07	1360	9999-12-31	2013-05-08	19274
6407/7-4	3211.000000	1.470000	24.000000	5.000000	WATER BASED	1989-03-08	1360	9999-12-31	2013-05-08	19275
6407/7-4	3211.000000	1.470000	26.000000	6.000000	WATER BASED	1989-03-06	1360	9999-12-31	2013-05-08	19276
6407/7-5	380.000000	1.600000	38.000000	16.000000	WATER BASED	1991-02-08	1699	9999-12-31	2013-05-08	19277
6407/7-5	380.000000	1.600000	38.000000	16.000000	WATER BASED	1991-02-08	1699	9999-12-31	2013-05-08	19278
6407/7-5	650.000000	1.050000	0.000000	0.000000	WATER BASED	1990-12-27	1699	9999-12-31	2013-05-08	19279
6407/7-5	1112.000000	1.400000	20.000000	11.000000	WATER BASED	1990-12-27	1699	9999-12-31	2013-05-08	19280
6407/7-5	1112.000000	1.200000	0.000000	0.000000	WATER BASED	1990-12-27	1699	9999-12-31	2013-05-08	19281
6407/7-5	1112.000000	1.400000	19.000000	10.000000	WATER BASED	1990-12-27	1699	9999-12-31	2013-05-08	19282
6407/7-5	1400.000000	1.460000	23.000000	13.000000	WATER BASED	1990-12-27	1699	9999-12-31	2013-05-08	19283
6407/7-5	1902.000000	1.600000	28.000000	10.000000	WATER BASED	1990-12-27	1699	9999-12-31	2013-05-08	19284
6407/7-5	2272.000000	1.600000	26.000000	10.000000	WATER BASED	1990-12-28	1699	9999-12-31	2013-05-08	19285
6407/7-5	2519.000000	1.600000	21.000000	10.000000	WATER BASED	1991-01-03	1699	9999-12-31	2013-05-08	19286
6407/7-5	2588.000000	1.600000	24.000000	10.000000	WATER BASED	1991-01-03	1699	9999-12-31	2013-05-08	19287
6407/7-5	2723.000000	1.600000	24.000000	12.000000	WATER BASED	1991-01-03	1699	9999-12-31	2013-05-08	19288
6407/7-5	2795.000000	1.610000	48.000000	23.000000	WATER BASED	1991-02-07	1699	9999-12-31	2013-05-08	19289
6407/7-5	2824.000000	1.600000	26.000000	12.000000	WATER BASED	1991-01-03	1699	9999-12-31	2013-05-08	19290
6407/7-5	2826.000000	1.600000	28.000000	11.000000	WATER BASED	1991-01-03	1699	9999-12-31	2013-05-08	19291
6407/7-5	2834.000000	1.600000	20.000000	8.000000	WATER BASED	1991-01-03	1699	9999-12-31	2013-05-08	19292
6407/7-5	2866.000000	1.600000	25.000000	11.000000	WATER BASED	1991-01-07	1699	9999-12-31	2013-05-08	19293
6407/7-5	2870.000000	1.450000	26.000000	8.000000	WATER BASED	1991-01-09	1699	9999-12-31	2013-05-08	19294
6407/7-5	2870.000000	1.450000	18.000000	8.000000	WATER BASED	1991-01-11	1699	9999-12-31	2013-05-08	19295
6407/7-5	2870.000000	1.450000	26.000000	8.000000	WATER BASED	1991-01-08	1699	9999-12-31	2013-05-08	19296
6407/7-5	2964.000000	1.450000	26.000000	10.000000	WATER BASED	1991-01-14	1699	9999-12-31	2013-05-08	19297
6407/7-5	3026.000000	1.640000	29.000000	10.000000	WATER BASED	1991-01-23	1699	9999-12-31	2013-05-08	19298
6407/7-5	3049.000000	1.400000	31.000000	12.000000	WATER BASED	1991-01-14	1699	9999-12-31	2013-05-08	19299
6407/7-5	3075.000000	1.640000	27.000000	10.000000	WATER BASED	1991-01-14	1699	9999-12-31	2013-05-08	19300
6407/7-5	3084.000000	1.670000	29.000000	9.000000	WATER BASED	1991-01-15	1699	9999-12-31	2013-05-08	19301
6407/7-5	3090.000000	1.640000	31.000000	18.000000	WATER BASED	1991-01-25	1699	9999-12-31	2013-05-08	19302
6407/7-5	3134.000000	1.640000	27.000000	8.000000	WATER BASED	1991-01-25	1699	9999-12-31	2013-05-08	19303
6407/7-5	3168.000000	1.640000	29.000000	10.000000	WATER BASED	1991-01-16	1699	9999-12-31	2013-05-08	19304
6407/7-5	3195.000000	1.640000	28.000000	10.000000	WATER BASED	1991-01-17	1699	9999-12-31	2013-05-08	19305
6407/7-5	3214.000000	1.640000	30.000000	10.000000	WATER BASED	1991-01-21	1699	9999-12-31	2013-05-08	19306
6407/7-5	3214.000000	1.640000	28.000000	10.000000	WATER BASED	1991-01-18	1699	9999-12-31	2013-05-08	19307
6407/7-5	3214.000000	1.640000	29.000000	10.000000	WATER BASED	1991-01-21	1699	9999-12-31	2013-05-08	19308
6407/7-5	3214.000000	1.640000	29.000000	9.000000	WATER BASED	1991-01-21	1699	9999-12-31	2013-05-08	19309
6407/7-5	3359.000000	1.640000	30.000000	10.000000	WATER BASED	1991-01-29	1699	9999-12-31	2013-05-08	19310
6407/7-5	3383.000000	1.640000	30.000000	8.000000	WATER BASED	1991-01-29	1699	9999-12-31	2013-05-08	19311
6407/7-5	3410.000000	1.640000	29.000000	8.000000	WATER BASED	1991-01-29	1699	9999-12-31	2013-05-08	19312
6407/7-5	3437.000000	1.640000	30.000000	11.000000	WATER BASED	1991-01-30	1699	9999-12-31	2013-05-08	19313
6407/7-5	3716.000000	1.640000	27.000000	10.000000	WATER BASED	1991-01-30	1699	9999-12-31	2013-05-08	19314
6407/7-5	3725.000000	1.640000	26.000000	10.000000	WATER BASED	1991-01-31	1699	9999-12-31	2013-05-08	19315
6407/7-5	3725.000000	1.640000	27.000000	9.000000	WATER BASED	1991-02-01	1699	9999-12-31	2013-05-08	19316
6407/7-5	3725.000000	1.630000	29.000000	10.000000	WATER BASED	1991-02-06	1699	9999-12-31	2013-05-08	19317
6407/7-5	3725.000000	1.630000	29.000000	10.000000	WATER BASED	1991-02-05	1699	9999-12-31	2013-05-08	19318
6407/7-5	3725.000000	1.640000	26.000000	9.000000	WATER BASED	1991-02-05	1699	9999-12-31	2013-05-08	19319
6407/7-5	3725.000000	1.630000	28.000000	10.000000	WATER BASED	1991-02-05	1699	9999-12-31	2013-05-08	19320
6407/7-5	3725.000000	1.630000	28.000000	10.000000	WATER BASED	1991-02-05	1699	9999-12-31	2013-05-08	19321
6407/7-6	386.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	4172	9999-12-31	2013-05-08	19322
6407/7-6	392.000000	0.000000	0.000000	0.000000	WATER BASED	9999-12-31	4172	9999-12-31	2013-05-08	19323
6407/7-6	900.000000	0.000000	0.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19324
6407/7-6	1232.000000	1.600000	72.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19325
6407/7-6	2541.000000	1.600000	38.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19326
6407/7-6	2900.000000	1.610000	50.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19327
6407/7-6	3083.000000	1.600000	44.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19328
6407/7-6	3100.000000	1.600000	45.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19329
6407/7-6	3205.000000	1.600000	44.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19330
6407/7-6	3377.000000	1.610000	42.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19331
6407/7-6	3558.000000	1.600000	33.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19332
6407/7-6	3700.000000	1.600000	33.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19333
6407/7-6	3709.000000	1.620000	33.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19334
6407/7-6	3720.000000	1.600000	34.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19335
6407/7-6	3743.000000	1.610000	34.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19336
6407/7-6	3771.000000	1.610000	33.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19337
6407/7-6	3786.000000	1.610000	37.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19338
6407/7-6	3809.000000	1.610000	36.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19339
6407/7-6	3852.000000	1.610000	36.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19340
6407/7-6	3864.000000	1.610000	34.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19341
6407/7-6	3975.000000	1.610000	46.000000	0.000000	OIL BASED	9999-12-31	4172	9999-12-31	2013-05-08	19342
6407/7-7 S	2273.000000	1.610000	49.000000	0.000000	OIL BASED	9999-12-31	5550	9999-12-31	2013-05-08	19343
6407/7-7 S	2573.000000	1.600000	55.000000	0.000000	OIL BASED	9999-12-31	5550	9999-12-31	2013-05-08	19344
6407/7-7 S	3182.000000	1.600000	55.000000	0.000000	OIL BASED	9999-12-31	5550	9999-12-31	2013-05-08	19345
6407/7-7 S	3378.000000	1.600000	57.000000	0.000000	OIL BASED	9999-12-31	5550	9999-12-31	2013-05-08	19346
6407/7-7 S	3586.000000	1.610000	79.000000	0.000000	OIL BASED	9999-12-31	5550	9999-12-31	2013-05-08	19347
6407/7-7 S	3715.000000	1.630000	74.000000	0.000000	OIL BASED	9999-12-31	5550	9999-12-31	2013-05-08	19348
6407/7-7 S	3886.000000	1.610000	62.000000	0.000000	OIL BASED	9999-12-31	5550	9999-12-31	2013-05-08	19349
6407/7-7 S	3886.000000	1.650000	72.000000	0.000000	OIL BASED	9999-12-31	5550	9999-12-31	2013-05-08	19350
6407/7-7 S	3886.000000	1.600000	69.000000	0.000000	OIL BASED	9999-12-31	5550	9999-12-31	2013-05-08	19351
6407/7-8	1109.000000	1.450000	17.000000	0.000000	Glydril	9999-12-31	5844	9999-12-31	2013-05-08	19352
6407/7-8	1304.000000	1.500000	18.000000	0.000000	Glydril	9999-12-31	5844	9999-12-31	2013-05-08	19353
6407/7-8	1908.000000	1.620000	21.000000	0.000000	Glydril	9999-12-31	5844	9999-12-31	2013-05-08	19354
6407/7-8	2106.000000	1.640000	22.000000	0.000000	Glydril	9999-12-31	5844	9999-12-31	2013-05-08	19355
6407/7-8	2290.000000	1.640000	27.000000	0.000000	Glydril	9999-12-31	5844	9999-12-31	2013-05-08	19356
6407/7-8	2452.000000	1.640000	19.000000	0.000000	Glydril	9999-12-31	5844	9999-12-31	2013-05-08	19357
6407/7-8	2452.000000	1.640000	20.000000	0.000000	Glydril	9999-12-31	5844	9999-12-31	2013-05-08	19358
6407/7-8	3355.000000	1.640000	40.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19359
6407/7-8	3917.000000	1.580000	50.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19360
6407/7-8	4254.000000	1.670000	36.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19361
6407/7-8	4365.000000	1.550000	48.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19362
6407/7-8	4485.000000	1.580000	48.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19363
6407/7-8	4563.000000	1.580000	47.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19364
6407/7-8	4757.000000	1.580000	48.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19365
6407/7-8	4758.000000	1.580000	50.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19366
6407/7-8	4771.000000	1.580000	48.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19367
6407/7-8	4822.000000	1.580000	48.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19368
6407/7-8	4900.000000	1.580000	47.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19369
6407/7-8	4911.000000	1.580000	47.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19370
6407/7-8	4969.000000	1.580000	47.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19371
6407/7-8	5047.000000	1.580000	48.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19372
6407/7-8	5138.000000	1.580000	52.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19373
6407/7-8	5138.000000	1.580000	54.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19374
6407/7-8	5227.000000	1.720000	66.000000	0.000000	Versatherm	9999-12-31	5844	9999-12-31	2013-05-08	19375
6407/7-8 A	3930.000000	1.580000	46.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19376
6407/7-8 A	3950.000000	1.580000	49.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19377
6407/7-8 A	4000.000000	1.580000	48.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19378
6407/7-8 A	4093.000000	1.580000	48.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19379
6407/7-8 A	4245.000000	1.600000	51.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19380
6407/7-8 A	4315.000000	1.640000	53.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19381
6407/7-8 A	4445.000000	1.650000	55.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19382
6407/7-8 A	4550.000000	1.670000	56.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19383
6407/7-8 A	4607.000000	1.680000	56.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19384
6407/7-8 A	4774.000000	1.720000	60.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19385
6407/7-8 A	4830.000000	1.720000	61.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19386
6407/7-8 A	4966.000000	1.720000	62.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19387
6407/7-8 A	5005.000000	1.720000	61.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19388
6407/7-8 A	5031.000000	1.720000	59.000000	0.000000	Paratherm	9999-12-31	5953	9999-12-31	2013-05-08	19389
6407/7-8 A	5078.000000	1.720000	59.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19390
6407/7-8 A	5138.000000	1.720000	61.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19391
6407/7-8 A	5227.000000	1.760000	73.000000	0.000000	Versatherm	9999-12-31	5953	9999-12-31	2013-05-08	19392
6407/8-1	620.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19393
6407/8-1	1080.000000	1.070000	0.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19394
6407/8-1	1100.000000	1.070000	48.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19395
6407/8-1	1111.000000	1.250000	16.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19396
6407/8-1	1346.000000	1.790000	0.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19397
6407/8-1	1506.000000	1.840000	0.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19398
6407/8-1	1742.000000	1.840000	53.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19399
6407/8-1	1908.000000	1.640000	57.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19400
6407/8-1	2057.000000	1.640000	55.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19401
6407/8-1	2194.000000	1.640000	45.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19402
6407/8-1	2286.000000	1.600000	44.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19403
6407/8-1	2422.000000	1.640000	40.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19404
6407/8-1	2480.000000	1.640000	15.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19405
6407/8-1	2483.000000	1.640000	48.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19406
6407/8-1	2609.000000	1.600000	53.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19407
6407/8-1	2717.000000	1.600000	47.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19408
6407/8-1	2808.000000	1.600000	44.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19409
6407/8-1	2829.000000	1.600000	44.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19410
6407/8-1	2860.000000	1.600000	40.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19411
6407/8-1	2918.000000	1.600000	36.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19412
6407/8-1	2928.000000	1.600000	37.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19413
6407/8-1	3000.000000	1.600000	40.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19414
6407/8-1	3076.000000	1.600000	44.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19415
6407/8-1	3157.000000	1.600000	42.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19416
6407/8-1	3243.000000	1.600000	39.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19417
6407/8-1	3342.000000	1.600000	36.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19418
6407/8-1	3481.000000	1.600000	40.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19419
6407/8-1	3656.000000	1.600000	35.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19420
6407/8-1	3660.000000	1.620000	41.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19421
6407/8-1	3673.000000	1.700000	48.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19422
6407/8-1	3718.000000	1.730000	44.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19423
6407/8-1	3798.000000	1.730000	41.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19424
6407/8-1	3843.000000	1.730000	41.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19425
6407/8-1	3847.000000	1.730000	36.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19426
6407/8-1	3901.000000	1.730000	38.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19427
6407/8-1	3944.000000	1.730000	34.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19428
6407/8-1	3995.000000	1.730000	37.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19429
6407/8-1	4000.000000	1.800000	36.000000	0.000000	OIL BASED	9999-12-31	1859	9999-12-31	2013-05-08	19430
6407/8-1	4052.000000	1.730000	30.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19431
6407/8-1	4109.000000	1.730000	28.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19432
6407/8-1	4138.000000	1.730000	30.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19433
6407/8-1	4159.000000	1.730000	31.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19434
6407/8-1	4277.000000	1.730000	33.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19435
6407/8-1	4349.000000	1.730000	30.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19436
6407/8-1	4443.000000	1.730000	37.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19437
6407/8-1	4468.000000	1.760000	38.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19438
6407/8-1	4552.000000	1.760000	36.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19439
6407/8-1	4594.000000	1.760000	36.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19440
6407/8-1	4633.000000	1.760000	38.000000	0.000000	WATER BASED	9999-12-31	1859	9999-12-31	2013-05-08	19441
6407/8-1	4650.000000	1.800000	34.000000	0.000000	OIL BASED	9999-12-31	1859	9999-12-31	2013-05-08	19442
6407/8-2	1733.000000	1.250000	50.000000	0.000000	WATER BASED	9999-12-31	2434	9999-12-31	2013-05-08	19443
6407/8-2	1950.000000	1.250000	48.000000	0.000000	WATER BASED	9999-12-31	2434	9999-12-31	2013-05-08	19444
6407/8-3	360.000000	0.000000	0.000000	0.000000	WATER BASED MUD	9999-12-31	3092	9999-12-31	2013-05-08	19445
6407/8-3	404.000000	1.030000	1.000000	0.000000	WATER BASED MUD	9999-12-31	3092	9999-12-31	2013-05-08	19446
6407/8-3	562.000000	1.030000	0.000000	0.000000	WATER BASED MUD	9999-12-31	3092	9999-12-31	2013-05-08	19447
6407/8-3	1062.000000	1.200000	12.000000	0.000000	WATER BASED MUD	9999-12-31	3092	9999-12-31	2013-05-08	19448
6407/8-3	1540.000000	1.320000	14.000000	0.000000	WATER BASED MUD	9999-12-31	3092	9999-12-31	2013-05-08	19449
6407/8-3	1960.000000	1.340000	12.000000	0.000000	WATER BASED MUD	9999-12-31	3092	9999-12-31	2013-05-08	19450
6407/8-4 A	1507.000000	1.460000	20.000000	0.000000	Glydril	9999-12-31	5814	9999-12-31	2013-05-08	19451
6407/8-4 A	1546.000000	1.500000	23.000000	0.000000	Glydril	9999-12-31	5814	9999-12-31	2013-05-08	19452
6407/8-4 A	1820.000000	1.500000	21.000000	0.000000	Glydril	9999-12-31	5814	9999-12-31	2013-05-08	19453
6407/8-4 A	2062.000000	1.500000	19.000000	0.000000	Glydril	9999-12-31	5814	9999-12-31	2013-05-08	19454
6407/8-4 A	2100.000000	1.310000	17.000000	0.000000	Glydril	9999-12-31	5814	9999-12-31	2013-05-08	19455
6407/8-4 A	2180.000000	1.310000	15.000000	0.000000	Glydril	9999-12-31	5814	9999-12-31	2013-05-08	19456
6407/8-4 A	2222.000000	1.310000	15.000000	0.000000	Glydril	9999-12-31	5814	9999-12-31	2013-05-08	19457
6407/8-4 A	2265.000000	1.300000	17.000000	0.000000	Glydril	9999-12-31	5814	9999-12-31	2013-05-08	19458
6407/8-4 A	2372.000000	1.300000	20.000000	0.000000	Glydril	9999-12-31	5814	9999-12-31	2013-05-08	19459
6407/8-4 A	2473.000000	1.300000	12.000000	0.000000	Glydril	9999-12-31	5814	9999-12-31	2013-05-08	19460
6407/8-4 A	2473.000000	1.200000	11.000000	0.000000	Glydril	9999-12-31	5814	9999-12-31	2013-05-08	19461
6407/8-4 S	920.000000	1.390000	18.000000	0.000000	Glydril	9999-12-31	5813	9999-12-31	2013-05-08	19462
6407/8-4 S	1362.000000	1.450000	20.000000	0.000000	Glydril	9999-12-31	5813	9999-12-31	2013-05-08	19463
6407/8-4 S	1808.000000	1.300000	20.000000	0.000000	Glydril	9999-12-31	5813	9999-12-31	2013-05-08	19464
6407/8-4 S	2015.000000	1.460000	18.000000	0.000000	Glydril	9999-12-31	5813	9999-12-31	2013-05-08	19465
6407/8-4 S	2024.000000	1.410000	19.000000	0.000000	Glydril	9999-12-31	5813	9999-12-31	2013-05-08	19466
6407/8-4 S	2028.000000	1.410000	20.000000	0.000000	Glydril	9999-12-31	5813	9999-12-31	2013-05-08	19467
6407/8-4 S	2219.000000	1.410000	20.000000	0.000000	Glydril	9999-12-31	5813	9999-12-31	2013-05-08	19468
6407/8-4 S	2220.000000	1.300000	14.000000	0.000000	Glydril	9999-12-31	5813	9999-12-31	2013-05-08	19469
6407/8-4 S	2249.000000	1.300000	14.000000	0.000000	Glydril	9999-12-31	5813	9999-12-31	2013-05-08	19470
6407/8-4 S	2405.000000	1.300000	16.000000	0.000000	Glydril	9999-12-31	5813	9999-12-31	2013-05-08	19471
6407/8-4 S	2788.000000	1.300000	17.000000	0.000000	Glydril	9999-12-31	5813	9999-12-31	2013-05-08	19472
6407/8-5 A	2941.000000	1.180000	19.000000	0.000000	Versatec	9999-12-31	6153	9999-12-31	2013-05-08	19473
6407/8-5 A	3024.000000	1.180000	20.000000	0.000000	Versatec	9999-12-31	6153	9999-12-31	2013-05-08	19474
6407/8-5 A	3080.000000	1.180000	18.000000	0.000000	Versatec	9999-12-31	6153	9999-12-31	2013-05-08	19475
6407/8-5 A	3164.000000	1.180000	16.000000	0.000000	Versatec	9999-12-31	6153	9999-12-31	2013-05-08	19476
6407/8-5 A	3231.000000	1.180000	22.000000	0.000000	Versatec	9999-12-31	6153	9999-12-31	2013-05-08	19477
6407/8-5 S	928.000000	1.470000	23.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19478
6407/8-5 S	1070.000000	1.470000	24.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19479
6407/8-5 S	1195.000000	1.470000	28.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19480
6407/8-5 S	1360.000000	1.470000	27.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19481
6407/8-5 S	2420.000000	1.130000	19.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19482
6407/8-5 S	2440.000000	1.140000	17.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19483
6407/8-5 S	2467.000000	1.470000	31.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19484
6407/8-5 S	2541.000000	1.180000	19.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19485
6407/8-5 S	2647.000000	1.470000	32.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19486
6407/8-5 S	2879.000000	1.100000	15.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19487
6407/8-5 S	3100.000000	1.100000	17.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19488
6407/8-5 S	3240.000000	1.110000	18.000000	0.000000	Versatec	9999-12-31	6110	9999-12-31	2013-05-08	19489
6407/9-1	811.000000	1.030000	0.000000	0.000000	WATER BASED	1984-07-06	133	9999-12-31	2013-05-08	19490
6407/9-1	818.000000	1.020000	19.000000	26.000000	WATER BASED	1984-07-10	133	9999-12-31	2013-05-08	19491
6407/9-1	818.000000	1.030000	0.000000	0.000000	WATER BASED	1984-07-12	133	9999-12-31	2013-05-08	19492
6407/9-1	818.000000	1.030000	0.000000	0.000000	WATER BASED	1984-07-11	133	9999-12-31	2013-05-08	19493
6407/9-1	818.000000	1.030000	0.000000	0.000000	WATER BASED	1984-07-16	133	9999-12-31	2013-05-08	19494
6407/9-1	818.000000	1.030000	0.000000	0.000000	WATER BASED	1984-07-13	133	9999-12-31	2013-05-08	19495
6407/9-1	818.000000	1.030000	0.000000	0.000000	WATER BASED	1984-07-16	133	9999-12-31	2013-05-08	19496
6407/9-1	818.000000	1.030000	0.000000	0.000000	WATER BASED	1984-07-12	133	9999-12-31	2013-05-08	19497
6407/9-1	818.000000	1.030000	0.000000	0.000000	WATER BASED	1984-07-11	133	9999-12-31	2013-05-08	19498
6407/9-1	818.000000	1.030000	0.000000	0.000000	WATER BASED	1984-07-13	133	9999-12-31	2013-05-08	19499
6407/9-1	840.000000	1.110000	15.000000	17.000000	WATER BASED	1984-07-16	133	9999-12-31	2013-05-08	19500
6407/9-1	840.000000	1.110000	15.000000	17.000000	WATER BASED	1984-07-16	133	9999-12-31	2013-05-08	19501
6407/9-1	840.000000	1.100000	18.000000	20.000000	WATER BASED	1984-07-16	133	9999-12-31	2013-05-08	19502
6407/9-1	980.000000	1.250000	17.000000	18.000000	WATER BASED	1984-07-17	133	9999-12-31	2013-05-08	19503
6407/9-1	1360.000000	1.300000	20.000000	20.000000	WATER BASED	1984-07-18	133	9999-12-31	2013-05-08	19504
6407/9-1	1560.000000	1.310000	20.000000	17.000000	WATER BASED	1984-07-20	133	9999-12-31	2013-05-08	19505
6407/9-1	1630.000000	1.330000	23.000000	21.000000	WATER BASED	1984-07-23	133	9999-12-31	2013-05-08	19506
6407/9-1	1630.000000	1.310000	24.000000	20.000000	WATER BASED	1984-07-25	133	9999-12-31	2013-05-08	19507
6407/9-1	1630.000000	1.340000	22.000000	19.000000	WATER BASED	1984-07-27	133	9999-12-31	2013-05-08	19508
6407/9-1	1630.000000	1.350000	23.000000	22.000000	WATER BASED	1984-07-20	133	9999-12-31	2013-05-08	19509
6407/9-1	1630.000000	1.350000	23.000000	22.000000	WATER BASED	1984-07-23	133	9999-12-31	2013-05-08	19510
6407/9-1	1630.000000	1.330000	24.000000	23.000000	WATER BASED	1984-07-23	133	9999-12-31	2013-05-08	19511
6407/9-1	1630.000000	1.330000	23.000000	21.000000	WATER BASED	1984-07-23	133	9999-12-31	2013-05-08	19512
6407/9-1	1630.000000	1.330000	22.000000	19.000000	WATER BASED	1984-07-24	133	9999-12-31	2013-05-08	19513
6407/9-1	1630.000000	1.310000	24.000000	20.000000	WATER BASED	1984-07-25	133	9999-12-31	2013-05-08	19514
6407/9-1	1630.000000	1.340000	22.000000	19.000000	WATER BASED	1984-07-27	133	9999-12-31	2013-05-08	19515
6407/9-1	1630.000000	1.340000	20.000000	18.000000	WATER BASED	1984-07-26	133	9999-12-31	2013-05-08	19516
6407/9-1	1630.000000	1.340000	20.000000	18.000000	WATER BASED	1984-07-26	133	9999-12-31	2013-05-08	19517
6407/9-1	1630.000000	1.350000	23.000000	22.000000	WATER BASED	1984-07-23	133	9999-12-31	2013-05-08	19518
6407/9-1	1630.000000	1.330000	24.000000	23.000000	WATER BASED	1984-07-23	133	9999-12-31	2013-05-08	19519
6407/9-1	1630.000000	1.330000	22.000000	19.000000	WATER BASED	1984-07-24	133	9999-12-31	2013-05-08	19520
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-27	133	9999-12-31	2013-05-08	19521
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-30	133	9999-12-31	2013-05-08	19522
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-31	133	9999-12-31	2013-05-08	19523
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-23	133	9999-12-31	2013-05-08	19524
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-28	133	9999-12-31	2013-05-08	19525
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-09-03	133	9999-12-31	2013-05-08	19526
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-28	133	9999-12-31	2013-05-08	19527
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-30	133	9999-12-31	2013-05-08	19528
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-23	133	9999-12-31	2013-05-08	19529
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-27	133	9999-12-31	2013-05-08	19530
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-21	133	9999-12-31	2013-05-08	19531
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-09-03	133	9999-12-31	2013-05-08	19532
6407/9-1	1632.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-31	133	9999-12-31	2013-05-08	19533
6407/9-1	1747.000000	1.330000	21.000000	20.000000	WATER BASED	1984-07-30	133	9999-12-31	2013-05-08	19534
6407/9-1	1831.000000	1.330000	21.000000	20.000000	WATER BASED	1984-07-30	133	9999-12-31	2013-05-08	19535
6407/9-1	1956.000000	1.330000	21.000000	18.000000	WATER BASED	1984-07-30	133	9999-12-31	2013-05-08	19536
6407/9-1	2069.000000	1.330000	21.000000	20.000000	WATER BASED	1984-07-30	133	9999-12-31	2013-05-08	19537
6407/9-1	2125.000000	1.330000	23.000000	21.000000	WATER BASED	1984-08-01	133	9999-12-31	2013-05-08	19538
6407/9-1	2256.000000	1.330000	22.000000	21.000000	WATER BASED	1984-08-01	133	9999-12-31	2013-05-08	19539
6407/9-1	2367.000000	1.340000	22.000000	22.000000	WATER BASED	1984-08-03	133	9999-12-31	2013-05-08	19540
6407/9-1	2465.000000	1.330000	20.000000	22.000000	WATER BASED	1984-08-06	133	9999-12-31	2013-05-08	19541
6407/9-1	2500.000000	1.330000	20.000000	21.000000	WATER BASED	1984-08-06	133	9999-12-31	2013-05-08	19542
6407/9-1	2500.000000	1.330000	21.000000	20.000000	WATER BASED	1984-08-07	133	9999-12-31	2013-05-08	19543
6407/9-1	2500.000000	1.330000	25.000000	20.000000	WATER BASED	1984-08-08	133	9999-12-31	2013-05-08	19544
6407/9-1	2500.000000	1.330000	20.000000	21.000000	WATER BASED	1984-08-06	133	9999-12-31	2013-05-08	19545
6407/9-1	2500.000000	1.330000	21.000000	20.000000	WATER BASED	1984-08-07	133	9999-12-31	2013-05-08	19546
6407/9-1	2500.000000	1.330000	25.000000	20.000000	WATER BASED	1984-08-08	133	9999-12-31	2013-05-08	19547
6407/9-1	2500.000000	1.330000	20.000000	21.000000	WATER BASED	1984-08-06	133	9999-12-31	2013-05-08	19548
6407/9-10	274.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	4710	9999-12-31	2013-05-08	19549
6407/9-10	360.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	4710	9999-12-31	2013-05-08	19550
6407/9-10	916.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	4710	9999-12-31	2013-05-08	19551
6407/9-10	1020.000000	1.250000	18.000000	0.000000	SPUD MUD	9999-12-31	4710	9999-12-31	2013-05-08	19552
6407/9-2	352.000000	1.090000	8.000000	24.000000	WATER BASED	1984-11-22	449	9999-12-31	2013-05-08	19553
6407/9-2	810.000000	1.110000	5.000000	25.000000	WATER BASED	1984-11-23	449	9999-12-31	2013-05-08	19554
6407/9-2	810.000000	1.110000	8.000000	20.000000	WATER BASED	1984-11-27	449	9999-12-31	2013-05-08	19555
6407/9-2	810.000000	1.110000	6.000000	29.000000	WATER BASED	1984-11-26	449	9999-12-31	2013-05-08	19556
6407/9-2	810.000000	1.120000	5.000000	24.000000	WATER BASED	1984-11-26	449	9999-12-31	2013-05-08	19557
6407/9-2	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-11-29	449	9999-12-31	2013-05-08	19558
6407/9-2	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-11-28	449	9999-12-31	2013-05-08	19559
6407/9-2	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-11-30	449	9999-12-31	2013-05-08	19560
6407/9-2	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-12-04	449	9999-12-31	2013-05-08	19561
6407/9-2	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-12-04	449	9999-12-31	2013-05-08	19562
6407/9-2	810.000000	1.110000	6.000000	29.000000	WATER BASED	1984-11-26	449	9999-12-31	2013-05-08	19563
6407/9-2	810.000000	1.120000	5.000000	24.000000	WATER BASED	1984-11-26	449	9999-12-31	2013-05-08	19564
6407/9-2	810.000000	1.110000	8.000000	20.000000	WATER BASED	1984-11-27	449	9999-12-31	2013-05-08	19565
6407/9-2	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-11-28	449	9999-12-31	2013-05-08	19566
6407/9-2	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-11-30	449	9999-12-31	2013-05-08	19567
6407/9-2	810.000000	1.030000	0.000000	0.000000	WATER BASED	1984-11-29	449	9999-12-31	2013-05-08	19568
6407/9-2	1057.000000	1.330000	19.000000	21.000000	WATER BASED	1984-12-04	449	9999-12-31	2013-05-08	19569
6407/9-2	1233.000000	1.370000	18.000000	18.000000	WATER BASED	1984-12-04	449	9999-12-31	2013-05-08	19570
6407/9-2	1452.000000	1.410000	24.000000	20.000000	WATER BASED	1984-12-04	449	9999-12-31	2013-05-08	19571
6407/9-2	1584.000000	1.420000	25.000000	22.000000	WATER BASED	1984-12-05	449	9999-12-31	2013-05-08	19572
6407/9-2	1587.000000	1.250000	14.000000	14.000000	WATER BASED	1984-12-10	449	9999-12-31	2013-05-08	19573
6407/9-2	1587.000000	1.420000	24.000000	20.000000	WATER BASED	1984-12-06	449	9999-12-31	2013-05-08	19574
6407/9-2	1587.000000	1.420000	14.000000	14.000000	WATER BASED	1984-12-12	449	9999-12-31	2013-05-08	19575
6407/9-2	1587.000000	1.420000	0.000000	0.000000	WATER BASED	1984-12-12	449	9999-12-31	2013-05-08	19576
6407/9-2	1587.000000	1.420000	14.000000	14.000000	WATER BASED	1984-12-11	449	9999-12-31	2013-05-08	19577
6407/9-2	1587.000000	1.420000	18.000000	25.000000	WATER BASED	1984-12-07	449	9999-12-31	2013-05-08	19578
6407/9-2	1587.000000	1.250000	16.000000	16.000000	WATER BASED	1984-12-10	449	9999-12-31	2013-05-08	19579
6407/9-2	1587.000000	1.250000	16.000000	15.000000	WATER BASED	1984-12-10	449	9999-12-31	2013-05-08	19580
6407/9-2	1587.000000	1.420000	18.000000	25.000000	WATER BASED	1984-12-07	449	9999-12-31	2013-05-08	19581
6407/9-2	1587.000000	1.250000	16.000000	16.000000	WATER BASED	1984-12-10	449	9999-12-31	2013-05-08	19582
6407/9-2	1587.000000	1.250000	16.000000	15.000000	WATER BASED	1984-12-10	449	9999-12-31	2013-05-08	19583
6407/9-2	1587.000000	1.250000	14.000000	14.000000	WATER BASED	1984-12-10	449	9999-12-31	2013-05-08	19584
6407/9-2	1587.000000	1.420000	14.000000	14.000000	WATER BASED	1984-12-11	449	9999-12-31	2013-05-08	19585
6407/9-2	1587.000000	1.420000	14.000000	14.000000	WATER BASED	1984-12-12	449	9999-12-31	2013-05-08	19586
6407/9-2	1587.000000	1.420000	0.000000	0.000000	WATER BASED	1984-12-12	449	9999-12-31	2013-05-08	19587
6407/9-2	1604.000000	1.230000	15.000000	13.000000	WATER BASED	1984-12-17	449	9999-12-31	2013-05-08	19588
6407/9-2	1640.000000	1.230000	17.000000	15.000000	WATER BASED	1984-12-17	449	9999-12-31	2013-05-08	19589
6407/9-2	1654.000000	1.230000	17.000000	21.000000	WATER BASED	1984-12-17	449	9999-12-31	2013-05-08	19590
6407/9-2	1688.000000	1.230000	18.000000	18.000000	WATER BASED	1984-12-17	449	9999-12-31	2013-05-08	19591
6407/9-2	1702.000000	1.240000	16.000000	18.000000	WATER BASED	1984-12-19	449	9999-12-31	2013-05-08	19592
6407/9-2	1702.000000	1.240000	16.000000	18.000000	WATER BASED	1984-12-18	449	9999-12-31	2013-05-08	19593
6407/9-2	1812.000000	1.240000	16.000000	22.000000	WATER BASED	1984-12-18	449	9999-12-31	2013-05-08	19594
6407/9-2	1812.000000	1.240000	16.000000	22.000000	WATER BASED	1984-12-19	449	9999-12-31	2013-05-08	19595
6407/9-2	1865.000000	1.240000	18.000000	22.000000	WATER BASED	1984-12-26	449	9999-12-31	2013-05-08	19596
6407/9-2	1865.000000	1.240000	16.000000	18.000000	WATER BASED	1984-12-26	449	9999-12-31	2013-05-08	19597
6407/9-2	1865.000000	1.030000	0.000000	0.000000	WATER BASED	1984-12-26	449	9999-12-31	2013-05-08	19598
6407/9-2	1865.000000	1.240000	17.000000	19.000000	WATER BASED	1984-12-26	449	9999-12-31	2013-05-08	19599
6407/9-2	1865.000000	1.150000	0.000000	0.000000	WATER BASED	1985-01-01	449	9999-12-31	2013-05-08	19600
6407/9-2	1865.000000	1.140000	0.000000	0.000000	WATER BASED	1984-12-27	449	9999-12-31	2013-05-08	19601
6407/9-2	1865.000000	1.240000	18.000000	22.000000	WATER BASED	1984-12-26	449	9999-12-31	2013-05-08	19602
6407/9-2	1865.000000	1.240000	16.000000	18.000000	WATER BASED	1984-12-26	449	9999-12-31	2013-05-08	19603
6407/9-2	1865.000000	1.240000	17.000000	19.000000	WATER BASED	1984-12-26	449	9999-12-31	2013-05-08	19604
6407/9-2	1865.000000	1.030000	0.000000	0.000000	WATER BASED	1984-12-26	449	9999-12-31	2013-05-08	19605
6407/9-2	1865.000000	1.230000	18.000000	22.000000	WATER BASED	1984-12-20	449	9999-12-31	2013-05-08	19606
6407/9-2	1865.000000	1.140000	0.000000	0.000000	WATER BASED	1984-12-27	449	9999-12-31	2013-05-08	19607
6407/9-2	1865.000000	1.150000	0.000000	0.000000	WATER BASED	1985-01-01	449	9999-12-31	2013-05-08	19608
6407/9-3	314.000000	1.030000	0.000000	0.000000	WATER BASED	1985-05-06	469	9999-12-31	2013-05-08	19609
6407/9-3	383.000000	1.030000	0.000000	0.000000	WATER BASED	1985-05-06	469	9999-12-31	2013-05-08	19610
6407/9-3	385.000000	1.030000	10.000000	36.000000	WATER BASED	1985-05-09	469	9999-12-31	2013-05-08	19611
6407/9-3	385.000000	1.030000	0.000000	0.000000	WATER BASED	1985-05-07	469	9999-12-31	2013-05-08	19612
6407/9-3	385.000000	1.030000	10.000000	36.000000	WATER BASED	1985-05-09	469	9999-12-31	2013-05-08	19613
6407/9-3	418.000000	1.250000	0.000000	0.000000	WATER BASED	1985-07-29	469	9999-12-31	2013-05-08	19614
6407/9-3	750.000000	1.100000	8.000000	48.000000	WATER BASED	1985-05-13	469	9999-12-31	2013-05-08	19615
6407/9-3	760.000000	1.080000	6.000000	29.000000	WATER BASED	1985-05-09	469	9999-12-31	2013-05-08	19616
6407/9-3	780.000000	1.090000	6.000000	60.000000	WATER BASED	1985-05-10	469	9999-12-31	2013-05-08	19617
6407/9-3	780.000000	1.110000	7.000000	49.000000	WATER BASED	1985-05-13	469	9999-12-31	2013-05-08	19618
6407/9-3	780.000000	1.110000	10.000000	30.000000	WATER BASED	1985-05-13	469	9999-12-31	2013-05-08	19619
6407/9-3	780.000000	1.110000	10.000000	30.000000	WATER BASED	1985-05-13	469	9999-12-31	2013-05-08	19620
6407/9-3	780.000000	1.110000	11.000000	38.000000	WATER BASED	1985-05-21	469	9999-12-31	2013-05-08	19621
6407/9-3	780.000000	1.110000	7.000000	49.000000	WATER BASED	1985-05-13	469	9999-12-31	2013-05-08	19622
6407/9-3	780.000000	1.110000	11.000000	38.000000	WATER BASED	1985-05-21	469	9999-12-31	2013-05-08	19623
6407/9-3	970.000000	1.300000	25.000000	29.000000	WATER BASED	1985-05-21	469	9999-12-31	2013-05-08	19624
6407/9-3	1250.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-29	469	9999-12-31	2013-05-08	19625
6407/9-3	1274.000000	1.320000	23.000000	21.000000	WATER BASED	1985-05-21	469	9999-12-31	2013-05-08	19626
6407/9-3	1512.000000	1.340000	23.000000	19.000000	WATER BASED	1985-05-21	469	9999-12-31	2013-05-08	19627
6407/9-3	1512.000000	1.340000	24.000000	22.000000	WATER BASED	1985-05-21	469	9999-12-31	2013-05-08	19628
6407/9-3	1512.000000	1.340000	24.000000	22.000000	WATER BASED	1985-05-21	469	9999-12-31	2013-05-08	19629
6407/9-3	1570.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-26	469	9999-12-31	2013-05-08	19630
6407/9-3	1612.000000	1.220000	18.000000	28.000000	WATER BASED	1985-05-31	469	9999-12-31	2013-05-08	19631
6407/9-3	1617.000000	1.380000	25.000000	23.000000	WATER BASED	1985-05-21	469	9999-12-31	2013-05-08	19632
6407/9-3	1617.000000	1.380000	25.000000	24.000000	WATER BASED	1985-05-22	469	9999-12-31	2013-05-08	19633
6407/9-3	1617.000000	1.380000	25.000000	0.000000	WATER BASED	1985-05-23	469	9999-12-31	2013-05-08	19634
6407/9-3	1617.000000	1.380000	25.000000	24.000000	WATER BASED	1985-05-22	469	9999-12-31	2013-05-08	19635
6407/9-3	1617.000000	1.380000	25.000000	0.000000	WATER BASED	1985-05-23	469	9999-12-31	2013-05-08	19636
6407/9-3	1620.000000	1.240000	13.000000	21.000000	WATER BASED	1985-05-29	469	9999-12-31	2013-05-08	19637
6407/9-3	1627.000000	1.220000	19.000000	29.000000	WATER BASED	1985-06-03	469	9999-12-31	2013-05-08	19638
6407/9-3	1633.000000	1.210000	19.000000	29.000000	WATER BASED	1985-06-03	469	9999-12-31	2013-05-08	19639
6407/9-3	1649.000000	1.220000	18.000000	27.000000	WATER BASED	1985-06-12	469	9999-12-31	2013-05-08	19640
6407/9-3	1665.000000	1.220000	21.000000	28.000000	WATER BASED	1985-06-14	469	9999-12-31	2013-05-08	19641
6407/9-3	1665.000000	1.220000	21.000000	28.000000	WATER BASED	1985-06-17	469	9999-12-31	2013-05-08	19642
6407/9-3	1665.000000	1.220000	21.000000	28.000000	WATER BASED	1985-06-17	469	9999-12-31	2013-05-08	19643
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-16	469	9999-12-31	2013-05-08	19644
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-22	469	9999-12-31	2013-05-08	19645
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-22	469	9999-12-31	2013-05-08	19646
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-15	469	9999-12-31	2013-05-08	19647
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-26	469	9999-12-31	2013-05-08	19648
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-16	469	9999-12-31	2013-05-08	19649
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-12	469	9999-12-31	2013-05-08	19650
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-09	469	9999-12-31	2013-05-08	19651
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-10	469	9999-12-31	2013-05-08	19652
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-25	469	9999-12-31	2013-05-08	19653
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-19	469	9999-12-31	2013-05-08	19654
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-18	469	9999-12-31	2013-05-08	19655
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-23	469	9999-12-31	2013-05-08	19656
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-26	469	9999-12-31	2013-05-08	19657
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-25	469	9999-12-31	2013-05-08	19658
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-23	469	9999-12-31	2013-05-08	19659
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-19	469	9999-12-31	2013-05-08	19660
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-18	469	9999-12-31	2013-05-08	19661
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-15	469	9999-12-31	2013-05-08	19662
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-12	469	9999-12-31	2013-05-08	19663
6407/9-3	1666.000000	1.150000	0.000000	0.000000	WATER BASED	1985-07-10	469	9999-12-31	2013-05-08	19664
6407/9-3	1667.000000	1.230000	20.000000	30.000000	WATER BASED	1985-06-03	469	9999-12-31	2013-05-08	19665
6407/9-3	1673.000000	1.230000	21.000000	28.000000	WATER BASED	1985-06-13	469	9999-12-31	2013-05-08	19666
6407/9-3	1684.000000	1.230000	21.000000	30.000000	WATER BASED	1985-06-03	469	9999-12-31	2013-05-08	19667
6407/9-3	1818.000000	1.220000	19.000000	28.000000	WATER BASED	1985-06-10	469	9999-12-31	2013-05-08	19668
6407/9-3	1818.000000	1.220000	19.000000	29.000000	WATER BASED	1985-06-11	469	9999-12-31	2013-05-08	19669
6407/9-3	1818.000000	1.220000	19.000000	29.000000	WATER BASED	1985-06-11	469	9999-12-31	2013-05-08	19670
6407/9-3	1857.000000	1.210000	18.000000	27.000000	WATER BASED	1985-06-05	469	9999-12-31	2013-05-08	19671
6407/9-3	1868.000000	1.210000	18.000000	28.000000	WATER BASED	1985-06-06	469	9999-12-31	2013-05-08	19672
6407/9-3	1868.000000	1.210000	18.000000	27.000000	WATER BASED	1985-06-06	469	9999-12-31	2013-05-08	19673
6407/9-3	1868.000000	1.210000	18.000000	27.000000	WATER BASED	1985-06-07	469	9999-12-31	2013-05-08	19674
6407/9-3	1868.000000	1.210000	18.000000	29.000000	WATER BASED	1985-06-10	469	9999-12-31	2013-05-08	19675
6407/9-3	1868.000000	1.210000	18.000000	29.000000	WATER BASED	1985-06-10	469	9999-12-31	2013-05-08	19676
6407/9-3	1868.000000	1.210000	18.000000	27.000000	WATER BASED	1985-06-07	469	9999-12-31	2013-05-08	19677
6407/9-3	1868.000000	1.210000	18.000000	27.000000	WATER BASED	1985-06-06	469	9999-12-31	2013-05-08	19678
6407/9-4	295.000000	1.030000	0.000000	0.000000	WATER BASED	1985-07-05	480	9999-12-31	2013-05-08	19679
6407/9-4	375.000000	1.030000	0.000000	0.000000	WATER BASED	1985-07-09	480	9999-12-31	2013-05-08	19680
6407/9-4	375.000000	0.000000	0.000000	0.000000	WATER BASED	1985-07-10	480	9999-12-31	2013-05-08	19681
6407/9-4	417.000000	1.060000	11.000000	59.000000	WATER BASED	1985-07-10	480	9999-12-31	2013-05-08	19682
6407/9-4	506.000000	1.200000	0.000000	0.000000	WATER BASED	1985-09-06	480	9999-12-31	2013-05-08	19683
6407/9-4	745.000000	1.060000	41.000000	16.000000	WATER BASED	1985-07-12	480	9999-12-31	2013-05-08	19684
6407/9-4	820.000000	1.090000	50.000000	26.000000	WATER BASED	1985-07-12	480	9999-12-31	2013-05-08	19685
6407/9-4	820.000000	1.100000	120.000000	0.000000	WATER BASED	1985-07-15	480	9999-12-31	2013-05-08	19686
6407/9-4	820.000000	1.030000	0.000000	0.000000	WATER BASED	1985-07-15	480	9999-12-31	2013-05-08	19687
6407/9-4	820.000000	1.300000	0.000000	0.000000	WATER BASED	1985-07-18	480	9999-12-31	2013-05-08	19688
6407/9-4	820.000000	1.030000	0.000000	0.000000	WATER BASED	1985-07-15	480	9999-12-31	2013-05-08	19689
6407/9-4	820.000000	1.030000	0.000000	0.000000	WATER BASED	1985-07-16	480	9999-12-31	2013-05-08	19690
6407/9-4	820.000000	1.030000	0.000000	0.000000	WATER BASED	1985-07-16	480	9999-12-31	2013-05-08	19691
6407/9-4	820.000000	0.000000	0.000000	0.000000	WATER BASED	1985-07-18	480	9999-12-31	2013-05-08	19692
6407/9-4	820.000000	1.300000	0.000000	0.000000	WATER BASED	1985-07-18	480	9999-12-31	2013-05-08	19693
6407/9-4	820.000000	1.100000	120.000000	0.000000	WATER BASED	1985-07-15	480	9999-12-31	2013-05-08	19694
6407/9-4	1000.000000	1.350000	43.000000	21.000000	WATER BASED	1985-07-19	480	9999-12-31	2013-05-08	19695
6407/9-4	1010.000000	1.200000	0.000000	0.000000	WATER BASED	1985-09-05	480	9999-12-31	2013-05-08	19696
6407/9-4	1076.000000	1.360000	53.000000	24.000000	water based	1985-07-22	480	9999-12-31	2013-05-08	19697
6407/9-4	1076.000000	1.360000	53.000000	24.000000	WATER BASED	1985-07-22	480	9999-12-31	2013-05-08	19698
6407/9-4	1084.000000	1.380000	53.000000	4.000000	WATER BASED	1985-07-22	480	9999-12-31	2013-05-08	19699
6407/9-4	1408.000000	1.400000	50.000000	5.000000	WATER BASED	1985-07-22	480	9999-12-31	2013-05-08	19700
6407/9-4	1470.000000	1.200000	0.000000	0.000000	WATER BASED	1985-09-04	480	9999-12-31	2013-05-08	19701
6407/9-4	1477.000000	1.150000	0.000000	0.000000	WATER BASED	1985-09-03	480	9999-12-31	2013-05-08	19702
6407/9-4	1510.000000	1.400000	47.000000	5.000000	WATER BASED	1985-07-23	480	9999-12-31	2013-05-08	19703
6407/9-4	1635.000000	1.200000	0.000000	0.000000	WATER BASED	1985-08-02	480	9999-12-31	2013-05-08	19704
6407/9-4	1635.000000	1.400000	50.000000	3.000000	WATER BASED	1985-07-25	480	9999-12-31	2013-05-08	19705
6407/9-4	1635.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-20	480	9999-12-31	2013-05-08	19706
6407/9-4	1635.000000	1.400000	50.000000	3.000000	WATER BASED	1985-07-25	480	9999-12-31	2013-05-08	19707
6407/9-4	1635.000000	1.400000	50.000000	3.000000	WATER BASED	1985-07-26	480	9999-12-31	2013-05-08	19708
6407/9-4	1635.000000	1.400000	50.000000	3.000000	WATER BASED	1985-07-23	480	9999-12-31	2013-05-08	19709
6407/9-4	1635.000000	1.400000	50.000000	3.000000	WATER BASED	1985-07-26	480	9999-12-31	2013-05-08	19710
6407/9-4	1635.000000	1.200000	0.000000	0.000000	WATER BASED	1985-08-02	480	9999-12-31	2013-05-08	19711
6407/9-4	1666.000000	1.190000	15.000000	20.000000	WATER BASED	1985-07-29	480	9999-12-31	2013-05-08	19712
6407/9-4	1673.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-20	480	9999-12-31	2013-05-08	19713
6407/9-4	1676.000000	1.190000	15.000000	18.000000	WATER BASED	1985-07-29	480	9999-12-31	2013-05-08	19714
6407/9-4	1683.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-20	480	9999-12-31	2013-05-08	19715
6407/9-4	1683.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-21	480	9999-12-31	2013-05-08	19716
6407/9-4	1683.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-21	480	9999-12-31	2013-05-08	19717
6407/9-4	1683.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-23	480	9999-12-31	2013-05-08	19718
6407/9-4	1683.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-30	480	9999-12-31	2013-05-08	19719
6407/9-4	1683.000000	1.150000	0.000000	0.000000	WATER BASED	1985-09-02	480	9999-12-31	2013-05-08	19720
6407/9-4	1683.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-29	480	9999-12-31	2013-05-08	19721
6407/9-4	1683.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-27	480	9999-12-31	2013-05-08	19722
6407/9-4	1683.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-28	480	9999-12-31	2013-05-08	19723
6407/9-4	1683.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-22	480	9999-12-31	2013-05-08	19724
6407/9-4	1683.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-26	480	9999-12-31	2013-05-08	19725
6407/9-4	1700.000000	1.200000	45.000000	4.000000	WATER BASED	1985-07-31	480	9999-12-31	2013-05-08	19726
6407/9-4	1755.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-09	480	9999-12-31	2013-05-08	19727
6407/9-4	1755.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-19	480	9999-12-31	2013-05-08	19728
6407/9-4	1755.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-20	480	9999-12-31	2013-05-08	19729
6407/9-4	1755.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-19	480	9999-12-31	2013-05-08	19730
6407/9-4	1793.000000	1.130000	0.000000	0.000000	WATER BASED	1985-08-09	480	9999-12-31	2013-05-08	19731
6407/9-4	1820.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-09	480	9999-12-31	2013-05-08	19732
6407/9-4	1820.000000	1.200000	44.000000	4.000000	WATER BASED	1985-07-31	480	9999-12-31	2013-05-08	19733
6407/9-4	1820.000000	1.200000	15.000000	19.000000	WATER BASED	1985-08-02	480	9999-12-31	2013-05-08	19734
6407/9-4	1820.000000	1.200000	17.000000	23.000000	WATER BASED	1985-08-05	480	9999-12-31	2013-05-08	19735
6407/9-4	1820.000000	1.200000	0.000000	0.000000	WATER BASED	1985-08-05	480	9999-12-31	2013-05-08	19736
6407/9-4	1820.000000	1.150000	0.000000	0.000000	WATER BASED	1985-08-09	480	9999-12-31	2013-05-08	19737
6407/9-4	1820.000000	1.200000	15.000000	19.000000	WATER BASED	1985-08-02	480	9999-12-31	2013-05-08	19738
6407/9-4	1820.000000	1.200000	17.000000	23.000000	WATER BASED	1985-08-05	480	9999-12-31	2013-05-08	19739
6407/9-4	1820.000000	1.200000	0.000000	0.000000	WATER BASED	1985-08-05	480	9999-12-31	2013-05-08	19740
6407/9-5	408.000000	1.040000	120.000000	0.000000	WATER BASED	1985-09-16	492	9999-12-31	2013-05-08	19741
6407/9-5	420.000000	1.250000	0.000000	0.000000	WATER BASED	1985-11-11	492	9999-12-31	2013-05-08	19742
6407/9-5	420.000000	1.250000	0.000000	0.000000	WATER BASED	1985-11-12	492	9999-12-31	2013-05-08	19743
6407/9-5	520.000000	1.040000	60.000000	0.000000	WATER BASED	1985-09-16	492	9999-12-31	2013-05-08	19744
6407/9-5	811.000000	1.090000	120.000000	0.000000	WATER BASED	1985-09-18	492	9999-12-31	2013-05-08	19745
6407/9-5	811.000000	1.040000	120.000000	0.000000	WATER BASED	1985-09-19	492	9999-12-31	2013-05-08	19746
6407/9-5	811.000000	1.090000	80.000000	0.000000	WATER BASED	1985-09-17	492	9999-12-31	2013-05-08	19747
6407/9-5	811.000000	1.030000	0.000000	0.000000	WATER BASED	1985-09-23	492	9999-12-31	2013-05-08	19748
6407/9-5	811.000000	1.030000	0.000000	0.000000	WATER BASED	1985-09-20	492	9999-12-31	2013-05-08	19749
6407/9-5	908.000000	1.350000	47.000000	26.000000	WATER BASED	1985-09-23	492	9999-12-31	2013-05-08	19750
6407/9-5	1220.000000	1.400000	50.000000	27.000000	WATER BASED	1985-09-24	492	9999-12-31	2013-05-08	19751
6407/9-5	1220.000000	1.400000	24.000000	24.000000	WATER BASED	1985-09-25	492	9999-12-31	2013-05-08	19752
6407/9-5	1595.000000	1.150000	0.000000	0.000000	WATER BASED	1985-11-11	492	9999-12-31	2013-05-08	19753
6407/9-5	1595.000000	1.150000	0.000000	0.000000	WATER BASED	1985-11-07	492	9999-12-31	2013-05-08	19754
6407/9-5	1616.000000	1.400000	20.000000	21.000000	WATER BASED	1985-09-26	492	9999-12-31	2013-05-08	19755
6407/9-5	1619.000000	1.150000	0.000000	0.000000	WATER BASED	1985-11-06	492	9999-12-31	2013-05-08	19756
6407/9-5	1619.000000	1.150000	0.000000	0.000000	WATER BASED	1985-11-05	492	9999-12-31	2013-05-08	19757
6407/9-5	1625.000000	1.400000	21.000000	22.000000	WATER BASED	1985-09-27	492	9999-12-31	2013-05-08	19758
6407/9-5	1625.000000	1.400000	22.000000	23.000000	WATER BASED	1985-09-30	492	9999-12-31	2013-05-08	19759
6407/9-5	1625.000000	1.400000	23.000000	23.000000	WATER BASED	1985-09-30	492	9999-12-31	2013-05-08	19760
6407/9-5	1654.000000	1.200000	16.000000	24.000000	WATER BASED	1985-10-01	492	9999-12-31	2013-05-08	19761
6407/9-5	1660.000000	1.190000	47.000000	27.000000	WATER BASED	1985-10-07	492	9999-12-31	2013-05-08	19762
6407/9-5	1674.000000	1.200000	21.000000	28.000000	WATER BASED	1985-10-02	492	9999-12-31	2013-05-08	19763
6407/9-5	1679.000000	1.180000	18.000000	22.000000	WATER BASED	1985-10-09	492	9999-12-31	2013-05-08	19764
6407/9-5	1684.000000	1.180000	13.000000	14.000000	WATER BASED	1985-10-10	492	9999-12-31	2013-05-08	19765
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-14	492	9999-12-31	2013-05-08	19766
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-16	492	9999-12-31	2013-05-08	19767
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-15	492	9999-12-31	2013-05-08	19768
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-31	492	9999-12-31	2013-05-08	19769
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-11-04	492	9999-12-31	2013-05-08	19770
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-29	492	9999-12-31	2013-05-08	19771
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-24	492	9999-12-31	2013-05-08	19772
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-22	492	9999-12-31	2013-05-08	19773
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-23	492	9999-12-31	2013-05-08	19774
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-28	492	9999-12-31	2013-05-08	19775
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-21	492	9999-12-31	2013-05-08	19776
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-17	492	9999-12-31	2013-05-08	19777
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-18	492	9999-12-31	2013-05-08	19778
6407/9-5	1688.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-11	492	9999-12-31	2013-05-08	19779
6407/9-5	1689.000000	1.150000	0.000000	0.000000	WATER BASED	1985-10-14	492	9999-12-31	2013-05-08	19780
6407/9-5	1703.000000	1.200000	22.000000	29.000000	WATER BASED	1985-10-03	492	9999-12-31	2013-05-08	19781
6407/9-5	1788.000000	1.190000	20.000000	27.000000	WATER BASED	1985-10-08	492	9999-12-31	2013-05-08	19782
6407/9-5	1820.000000	1.200000	21.000000	29.000000	WATER BASED	1985-10-04	492	9999-12-31	2013-05-08	19783
6407/9-5	1820.000000	1.200000	23.000000	23.000000	WATER BASED	1985-10-07	492	9999-12-31	2013-05-08	19784
6407/9-6	354.000000	1.030000	0.000000	0.000000	WATER BASED	1986-01-06	871	9999-12-31	2013-05-08	19785
6407/9-6	375.000000	1.030000	0.000000	0.000000	WATER BASED	1986-01-06	871	9999-12-31	2013-05-08	19786
6407/9-6	382.000000	1.030000	120.000000	0.000000	WATER BASED	1986-01-06	871	9999-12-31	2013-05-08	19787
6407/9-6	382.000000	1.060000	11.000000	16.000000	WATER BASED	1986-01-07	871	9999-12-31	2013-05-08	19788
6407/9-6	416.000000	1.150000	0.000000	0.000000	WATER BASED	1986-03-11	871	9999-12-31	2013-05-08	19789
6407/9-6	416.000000	1.150000	0.000000	0.000000	WATER BASED	1986-03-10	871	9999-12-31	2013-05-08	19790
6407/9-6	416.000000	1.150000	0.000000	0.000000	WATER BASED	1986-03-12	871	9999-12-31	2013-05-08	19791
6407/9-6	484.000000	1.150000	65.000000	9.000000	WATER BASED	1993-05-25	871	9999-12-31	2013-05-08	19792
6407/9-6	609.000000	1.140000	36.000000	2.000000	WATER BASED	1993-05-28	871	9999-12-31	2013-05-08	19793
6407/9-6	613.000000	1.110000	11.000000	17.000000	WATER BASED	1986-01-08	871	9999-12-31	2013-05-08	19794
6407/9-6	810.000000	1.030000	0.000000	0.000000	WATER BASED	1986-01-13	871	9999-12-31	2013-05-08	19795
6407/9-6	810.000000	1.120000	11.000000	17.000000	WATER BASED	1986-01-09	871	9999-12-31	2013-05-08	19796
6407/9-6	810.000000	1.130000	12.000000	21.000000	WATER BASED	1986-01-09	871	9999-12-31	2013-05-08	19797
6407/9-6	812.000000	1.030000	0.000000	0.000000	WATER BASED	1986-01-13	871	9999-12-31	2013-05-08	19798
6407/9-6	812.000000	1.030000	0.000000	0.000000	WATER BASED	1986-01-14	871	9999-12-31	2013-05-08	19799
6407/9-6	812.000000	1.030000	0.000000	0.000000	WATER BASED	1986-01-12	871	9999-12-31	2013-05-08	19800
6407/9-6	817.000000	1.350000	23.000000	25.000000	WATER BASED	1986-01-16	871	9999-12-31	2013-05-08	19801
6407/9-6	860.000000	1.140000	34.000000	4.000000	WATER BASED	1993-05-25	871	9999-12-31	2013-05-08	19802
6407/9-6	860.000000	1.140000	36.000000	2.000000	WATER BASED	1993-05-28	871	9999-12-31	2013-05-08	19803
6407/9-6	860.000000	1.140000	36.000000	2.000000	WATER BASED	1993-06-02	871	9999-12-31	2013-05-08	19804
6407/9-6	1126.000000	1.370000	22.000000	27.000000	WATER BASED	1986-01-17	871	9999-12-31	2013-05-08	19805
6407/9-6	1376.000000	1.390000	31.000000	31.000000	WATER BASED	1986-01-20	871	9999-12-31	2013-05-08	19806
6407/9-6	1539.000000	1.390000	27.000000	22.000000	WATER BASED	1986-01-20	871	9999-12-31	2013-05-08	19807
6407/9-6	1554.000000	1.160000	35.000000	3.000000	WATER BASED	1993-05-25	871	9999-12-31	2013-05-08	19808
6407/9-6	1589.000000	1.140000	35.000000	2.000000	WATER BASED	1993-05-25	871	9999-12-31	2013-05-08	19809
6407/9-6	1589.000000	1.140000	34.000000	3.000000	WATER BASED	1993-05-25	871	9999-12-31	2013-05-08	19810
6407/9-6	1628.000000	1.390000	33.000000	29.000000	WATER BASED	1986-01-21	871	9999-12-31	2013-05-08	19811
6407/9-6	1628.000000	1.390000	31.000000	30.000000	WATER BASED	1986-01-20	871	9999-12-31	2013-05-08	19812
6407/9-6	1628.000000	1.390000	32.000000	21.000000	WATER BASED	1986-01-21	871	9999-12-31	2013-05-08	19813
6407/9-6	1628.000000	1.400000	33.000000	29.000000	WATER BASED	1986-01-30	871	9999-12-31	2013-05-08	19814
6407/9-6	1633.000000	1.400000	26.000000	37.000000	WATER BASED	1986-01-30	871	9999-12-31	2013-05-08	19815
6407/9-6	1641.000000	1.150000	0.000000	0.000000	WATER BASED	1986-03-10	871	9999-12-31	2013-05-08	19816
6407/9-6	1646.000000	1.200000	16.000000	19.000000	WATER BASED	1986-01-30	871	9999-12-31	2013-05-08	19817
6407/9-6	1660.000000	1.200000	16.000000	19.000000	WATER BASED	1986-01-30	871	9999-12-31	2013-05-08	19818
6407/9-6	1672.000000	1.200000	21.000000	26.000000	WATER BASED	1986-01-30	871	9999-12-31	2013-05-08	19819
6407/9-6	1678.000000	1.200000	18.000000	23.000000	WATER BASED	1986-01-30	871	9999-12-31	2013-05-08	19820
6407/9-6	1730.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-11	871	9999-12-31	2013-05-08	19821
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-11	871	9999-12-31	2013-05-08	19822
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-10	871	9999-12-31	2013-05-08	19823
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-12	871	9999-12-31	2013-05-08	19824
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-16	871	9999-12-31	2013-05-08	19825
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-20	871	9999-12-31	2013-05-08	19826
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-21	871	9999-12-31	2013-05-08	19827
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-14	871	9999-12-31	2013-05-08	19828
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-24	871	9999-12-31	2013-05-08	19829
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-27	871	9999-12-31	2013-05-08	19830
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-28	871	9999-12-31	2013-05-08	19831
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-03-04	871	9999-12-31	2013-05-08	19832
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-03-03	871	9999-12-31	2013-05-08	19833
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-03-07	871	9999-12-31	2013-05-08	19834
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-03-07	871	9999-12-31	2013-05-08	19835
6407/9-6	1738.000000	1.030000	0.000000	0.000000	WATER BASED	1986-02-04	871	9999-12-31	2013-05-08	19836
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-06	871	9999-12-31	2013-05-08	19837
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-03-05	871	9999-12-31	2013-05-08	19838
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-17	871	9999-12-31	2013-05-08	19839
6407/9-6	1738.000000	1.150000	0.000000	0.000000	WATER BASED	1986-02-11	871	9999-12-31	2013-05-08	19840
6407/9-6	1750.000000	1.200000	20.000000	27.000000	WATER BASED	1986-01-30	871	9999-12-31	2013-05-08	19841
6407/9-6	1800.000000	1.210000	19.000000	26.000000	WATER BASED	1986-01-30	871	9999-12-31	2013-05-08	19842
6407/9-6	1800.000000	1.210000	20.000000	28.000000	WATER BASED	1986-02-03	871	9999-12-31	2013-05-08	19843
6407/9-6	1800.000000	1.210000	21.000000	30.000000	WATER BASED	1986-02-03	871	9999-12-31	2013-05-08	19844
6407/9-6	1800.000000	1.210000	20.000000	30.000000	WATER BASED	1986-01-31	871	9999-12-31	2013-05-08	19845
6407/9-6	1800.000000	1.210000	21.000000	22.000000	WATER BASED	1986-02-03	871	9999-12-31	2013-05-08	19846
6407/9-7	309.000000	1.030000	1200.000000	80.000000	WATER BASED	1988-05-02	1057	9999-12-31	2013-05-08	19847
6407/9-7	348.000000	1.030000	1200.000000	800.000000	WATER BASED	1988-05-02	1057	9999-12-31	2013-05-08	19848
6407/9-7	388.000000	1.020000	0.000000	0.000000	WATER BASED	1987-05-12	1057	9999-12-31	2013-05-08	19849
6407/9-7	455.000000	1.040000	0.000000	0.000000	WATER BASED	1987-05-14	1057	9999-12-31	2013-05-08	19850
6407/9-7	461.000000	1.040000	0.000000	0.000000	WATER BASED	1987-05-14	1057	9999-12-31	2013-05-08	19851
6407/9-7	463.000000	1.020000	0.000000	0.000000	WATER BASED	1987-05-18	1057	9999-12-31	2013-05-08	19852
6407/9-7	463.000000	1.040000	0.000000	0.000000	WATER BASED	1987-05-19	1057	9999-12-31	2013-05-08	19853
6407/9-7	525.000000	1.040000	0.000000	0.000000	WATER BASED	1987-05-21	1057	9999-12-31	2013-05-08	19854
6407/9-7	569.000000	1.030000	1200.000000	800.000000	WATER BASED	1988-05-02	1057	9999-12-31	2013-05-08	19855
6407/9-7	800.000000	1.040000	1200.000000	800.000000	WATER BASED	1988-05-03	1057	9999-12-31	2013-05-08	19856
6407/9-7	800.000000	1.030000	1200.000000	12.000000	WATER BASED	1988-05-05	1057	9999-12-31	2013-05-08	19857
6407/9-7	800.000000	1.030000	1200.000000	12.000000	WATER BASED	1988-05-06	1057	9999-12-31	2013-05-08	19858
6407/9-7	810.000000	1.040000	1200.000000	12.000000	WATER BASED	1988-05-03	1057	9999-12-31	2013-05-08	19859
6407/9-7	815.000000	1.300000	0.000000	0.000000	WATER BASED	1988-05-09	1057	9999-12-31	2013-05-08	19860
6407/9-7	1139.000000	1.300000	0.000000	0.000000	WATER BASED	1988-05-09	1057	9999-12-31	2013-05-08	19861
6407/9-7	1455.000000	1.310000	26.000000	11.000000	WATER BASED	1988-05-13	1057	9999-12-31	2013-05-08	19862
6407/9-7	1679.000000	1.310000	26.000000	8.000000	WATER BASED	1988-05-13	1057	9999-12-31	2013-05-08	19863
6407/9-7	1708.000000	1.320000	24.000000	9.000000	WATER BASED	1988-05-13	1057	9999-12-31	2013-05-08	19864
6407/9-7	1708.000000	1.320000	23.000000	7.000000	WATER BASED	1988-05-13	1057	9999-12-31	2013-05-08	19865
6407/9-7	1833.000000	1.200000	26.000000	9.000000	WATER BASED	1988-05-16	1057	9999-12-31	2013-05-08	19866
6407/9-7	1846.000000	1.200000	25.000000	9.000000	WATER BASED	1988-05-16	1057	9999-12-31	2013-05-08	19867
6407/9-7	2186.000000	1.200000	24.000000	8.000000	WATER BASED	1988-05-18	1057	9999-12-31	2013-05-08	19868
6407/9-7	2322.000000	1.200000	17.000000	7.000000	WATER BASED	1988-05-18	1057	9999-12-31	2013-05-08	19869
6407/9-7	2355.000000	0.000000	0.000000	0.000000	WATER BASED	1988-05-19	1057	9999-12-31	2013-05-08	19870
6407/9-7	2411.000000	1.200000	15.000000	6.000000	WATER BASED	1988-05-19	1057	9999-12-31	2013-05-08	19871
6407/9-7	2561.000000	1.200000	15.000000	7.000000	WATER BASED	1988-05-24	1057	9999-12-31	2013-05-08	19872
6407/9-8	310.000000	1.020000	200.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19873
6407/9-8	316.000000	1.010000	200.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19874
6407/9-8	477.000000	1.020000	200.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19875
6407/9-8	674.000000	1.020000	200.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19876
6407/9-8	1117.000000	1.020000	200.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19877
6407/9-8	1117.000000	1.020000	200.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19878
6407/9-8	1120.000000	1.020000	200.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19879
6407/9-8	1125.000000	1.390000	60.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19880
6407/9-8	1400.000000	1.390000	60.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19881
6407/9-8	1582.000000	1.390000	82.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19882
6407/9-8	1598.000000	1.130000	37.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19883
6407/9-8	1650.000000	1.140000	39.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19884
6407/9-8	1666.000000	1.140000	40.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19885
6407/9-8	1702.000000	1.150000	40.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19886
6407/9-8	1742.000000	1.150000	39.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19887
6407/9-8	1800.000000	1.160000	39.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19888
6407/9-8	1962.000000	1.140000	38.000000	0.000000	WATER BCSED	9999-12-31	1974	9999-12-31	2013-05-08	19889
6407/9-8	2126.000000	1.140000	38.000000	0.000000	WATER BASED	9999-12-31	1974	9999-12-31	2013-05-08	19890
6407/9-9	363.000000	1.200000	27.000000	0.000000	SPUD MUD	9999-12-31	1990	9999-12-31	2013-05-08	19891
6407/9-9	805.000000	1.350000	22.000000	0.000000	BARASILC	9999-12-31	1990	9999-12-31	2013-05-08	19892
6407/9-9	1420.000000	1.350000	23.000000	0.000000	BARASILC	9999-12-31	1990	9999-12-31	2013-05-08	19893
6407/9-9	1580.000000	1.350000	20.000000	0.000000	BARASILC	9999-12-31	1990	9999-12-31	2013-05-08	19894
6407/9-9	1920.000000	1.360000	22.000000	0.000000	BARASILC	9999-12-31	1990	9999-12-31	2013-05-08	19895
6407/9-9	1930.000000	1.350000	19.000000	0.000000	BARASILC	9999-12-31	1990	9999-12-31	2013-05-08	19896
6408/4-1	260.000000	1.020000	0.000000	0.000000	WATER BASED	1988-09-19	1246	9999-12-31	2013-05-08	19897
6408/4-1	346.000000	1.060000	0.000000	0.000000	WATER BASED	1988-09-20	1246	9999-12-31	2013-05-08	19898
6408/4-1	346.000000	1.060000	0.000000	0.000000	WATER BASED	1988-09-21	1246	9999-12-31	2013-05-08	19899
6408/4-1	415.000000	1.060000	0.000000	0.000000	WATER BASED	1988-09-22	1246	9999-12-31	2013-05-08	19900
6408/4-1	830.000000	0.000000	0.000000	0.000000	WATER BASED	1988-09-27	1246	9999-12-31	2013-05-08	19901
6408/4-1	830.000000	1.060000	0.000000	0.000000	WATER BASED	1988-09-26	1246	9999-12-31	2013-05-08	19902
6408/4-1	830.000000	1.200000	0.000000	0.000000	WATER BASED	1988-09-26	1246	9999-12-31	2013-05-08	19903
6408/4-1	830.000000	1.200000	0.000000	0.000000	WATER BASED	1988-09-26	1246	9999-12-31	2013-05-08	19904
6408/4-1	830.000000	1.060000	0.000000	0.000000	WATER BASED	1988-09-23	1246	9999-12-31	2013-05-08	19905
6408/4-1	830.000000	0.000000	0.000000	0.000000	WATER BASED	1988-09-28	1246	9999-12-31	2013-05-08	19906
6408/4-1	859.000000	1.220000	0.000000	0.000000	WATER BASED	1988-09-29	1246	9999-12-31	2013-05-08	19907
6408/4-1	1433.000000	1.360000	0.000000	0.000000	WATER BASED	1988-09-30	1246	9999-12-31	2013-05-08	19908
6408/4-1	1692.000000	1.400000	25.000000	15.000000	WATER BASED	1988-10-04	1246	9999-12-31	2013-05-08	19909
6408/4-1	1692.000000	1.390000	25.000000	15.000000	WATER BASED	1988-10-03	1246	9999-12-31	2013-05-08	19910
6408/4-1	1692.000000	1.420000	26.000000	17.000000	WATER BASED	1988-10-05	1246	9999-12-31	2013-05-08	19911
6408/4-1	1692.000000	1.380000	25.000000	15.000000	WATER BASED	1988-10-06	1246	9999-12-31	2013-05-08	19912
6408/4-1	1711.000000	1.210000	15.000000	9.000000	WATER BASED	1988-10-07	1246	9999-12-31	2013-05-08	19913
6408/4-1	1746.000000	1.200000	16.000000	12.500000	WATER BASED	1988-10-10	1246	9999-12-31	2013-05-08	19914
6408/4-1	1938.000000	1.220000	14.000000	11.000000	WATER BASED	1988-10-10	1246	9999-12-31	2013-05-08	19915
6408/4-1	2328.000000	1.230000	17.000000	13.500000	WATER BASED	1988-10-10	1246	9999-12-31	2013-05-08	19916
6408/4-1	2471.000000	1.210000	15.000000	11.500000	WATER BASED	1988-10-11	1246	9999-12-31	2013-05-08	19917
6408/4-1	2725.000000	1.250000	17.000000	13.500000	WATER BASED	1988-10-14	1246	9999-12-31	2013-05-08	19918
6408/4-1	2725.000000	1.250000	17.000000	13.000000	WATER BASED	1988-10-13	1246	9999-12-31	2013-05-08	19919
6408/4-1	2725.000000	1.210000	15.000000	11.000000	WATER BASED	1988-10-12	1246	9999-12-31	2013-05-08	19920
6408/4-1	2725.000000	1.250000	17.000000	13.500000	WATER BASED	1988-10-17	1246	9999-12-31	2013-05-08	19921
6504/5-1 S	1208.000000	1.120000	12.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19922
6504/5-1 S	1498.000000	1.110000	12.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19923
6504/5-1 S	1600.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	5518	9999-12-31	2013-05-08	19924
6504/5-1 S	1656.000000	1.120000	12.000000	0.000000	ULTRADRIL DW	9999-12-31	5518	9999-12-31	2013-05-08	19925
6504/5-1 S	1792.000000	1.200000	12.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19926
6504/5-1 S	1963.000000	1.120000	16.000000	0.000000	ULTRADRIL DW	9999-12-31	5518	9999-12-31	2013-05-08	19927
6504/5-1 S	1966.000000	1.200000	10.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19928
6504/5-1 S	2347.000000	1.200000	10.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19929
6504/5-1 S	3100.000000	1.210000	12.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19930
6504/5-1 S	3191.000000	1.270000	13.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19931
6504/5-1 S	3508.000000	1.480000	19.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19932
6504/5-1 S	3521.000000	1.550000	21.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19933
6504/5-1 S	3524.000000	1.550000	18.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19934
6504/5-1 S	3619.000000	1.570000	20.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19935
6504/5-1 S	3993.000000	1.570000	20.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19936
6504/5-1 S	4005.000000	1.570000	21.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19937
6504/5-1 S	4166.000000	1.600000	18.000000	0.000000	FORMATE POLYMER	9999-12-31	5518	9999-12-31	2013-05-08	19938
6505/10-1	709.000000	1.200000	1.000000	0.000000	SPUD MUD	9999-12-31	3259	9999-12-31	2013-05-08	19939
6505/10-1	1301.000000	1.220000	15.000000	1.000000	BARASILC	9999-12-31	3259	9999-12-31	2013-05-08	19940
6505/10-1	4535.000000	1.420000	36.000000	13.400000	BARASILC	9999-12-31	3259	9999-12-31	2013-05-08	19941
6505/10-1	4571.000000	1.420000	37.000000	11.000000	NACL/KCL/GE	9999-12-31	3259	9999-12-31	2013-05-08	19942
6505/10-1	5028.000000	1.420000	37.000000	9.600000	NACL/POLYME	9999-12-31	3259	9999-12-31	2013-05-08	19943
6506/11-1	325.000000	0.000000	0.000000	0.000000	WATER BASED	1988-04-05	1216	9999-12-31	2013-05-08	19944
6506/11-1	325.000000	1.030000	0.000000	0.000000	WATER BASED	1988-03-30	1216	9999-12-31	2013-05-08	19945
6506/11-1	325.000000	1.030000	0.000000	0.000000	WATER BASED	1988-03-29	1216	9999-12-31	2013-05-08	19946
6506/11-1	372.000000	1.070000	0.000000	0.000000	WATER BASED	1988-01-04	1216	9999-12-31	2013-05-08	19947
6506/11-1	387.000000	1.030000	0.000000	0.000000	WATER BASED	1988-01-04	1216	9999-12-31	2013-05-08	19948
6506/11-1	410.000000	1.050000	0.000000	0.000000	WATER BASED	1988-01-04	1216	9999-12-31	2013-05-08	19949
6506/11-1	456.000000	1.030000	0.000000	0.000000	WATER BASED	1988-01-04	1216	9999-12-31	2013-05-08	19950
6506/11-1	490.000000	1.070000	0.000000	0.000000	WATER BASED	1988-01-05	1216	9999-12-31	2013-05-08	19951
6506/11-1	530.000000	1.450000	20.000000	9.500000	WATER BASED	1988-03-28	1216	9999-12-31	2013-05-08	19952
6506/11-1	560.000000	1.030000	0.000000	0.000000	WATER BASED	1988-01-08	1216	9999-12-31	2013-05-08	19953
6506/11-1	590.000000	1.080000	0.000000	0.000000	WATER BASED	1988-01-06	1216	9999-12-31	2013-05-08	19954
6506/11-1	590.000000	1.080000	0.000000	0.000000	WATER BASED	1988-01-07	1216	9999-12-31	2013-05-08	19955
6506/11-1	615.000000	1.300000	12.000000	4.500000	WATER BASED	1988-01-11	1216	9999-12-31	2013-05-08	19956
6506/11-1	685.000000	1.450000	18.000000	4.000000	WATER BASED	1988-03-28	1216	9999-12-31	2013-05-08	19957
6506/11-1	742.000000	1.300000	12.000000	4.500000	WATER BASED	1988-01-11	1216	9999-12-31	2013-05-08	19958
6506/11-1	1124.000000	1.300000	15.000000	5.500000	WATER BASED	1988-01-11	1216	9999-12-31	2013-05-08	19959
6506/11-1	1124.000000	1.300000	14.000000	4.500000	WATER BASED	1988-01-11	1216	9999-12-31	2013-05-08	19960
6506/11-1	1343.000000	1.300000	14.000000	5.000000	WATER BASED	1988-01-12	1216	9999-12-31	2013-05-08	19961
6506/11-1	1509.000000	1.400000	15.000000	5.000000	WATER BASED	1988-01-13	1216	9999-12-31	2013-05-08	19962
6506/11-1	2000.000000	1.450000	18.000000	5.000000	WATER BASED	1988-03-28	1216	9999-12-31	2013-05-08	19963
6506/11-1	2029.000000	1.400000	16.000000	7.500000	WATER BASED	1988-01-14	1216	9999-12-31	2013-05-08	19964
6506/11-1	2088.000000	1.450000	17.000000	6.500000	WATER BASED	1988-01-15	1216	9999-12-31	2013-05-08	19965
6506/11-1	2088.000000	1.450000	5200.000000	7.000000	WATER BASED	1988-01-18	1216	9999-12-31	2013-05-08	19966
6506/11-1	2088.000000	1.450000	5100.000000	6.000000	WATER BASED	1988-01-18	1216	9999-12-31	2013-05-08	19967
6506/11-1	2091.000000	1.670000	5900.000000	12.000000	WATER BASED	1988-01-18	1216	9999-12-31	2013-05-08	19968
6506/11-1	2300.000000	1.750000	5400.000000	6.000000	WATER BASED	1988-01-19	1216	9999-12-31	2013-05-08	19969
6506/11-1	2300.000000	1.800000	27.000000	9.000000	WATER BASED	1988-02-17	1216	9999-12-31	2013-05-08	19970
6506/11-1	2300.000000	1.800000	26.000000	9.000000	WATER BASED	1988-02-10	1216	9999-12-31	2013-05-08	19971
6506/11-1	2300.000000	1.800000	27.000000	8.000000	WATER BASED	1988-02-15	1216	9999-12-31	2013-05-08	19972
6506/11-1	2300.000000	1.800000	29.000000	8.000000	WATER BASED	1988-02-15	1216	9999-12-31	2013-05-08	19973
6506/11-1	2300.000000	1.800000	26.000000	7.000000	WATER BASED	1988-02-15	1216	9999-12-31	2013-05-08	19974
6506/11-1	2300.000000	1.750000	26.000000	8.000000	WATER BASED	1988-02-09	1216	9999-12-31	2013-05-08	19975
6506/11-1	2300.000000	1.750000	26.000000	8.000000	WATER BASED	1988-02-08	1216	9999-12-31	2013-05-08	19976
6506/11-1	2300.000000	1.750000	22.000000	6.000000	WATER BASED	1988-02-08	1216	9999-12-31	2013-05-08	19977
6506/11-1	2300.000000	1.800000	23.000000	8.000000	WATER BASED	1988-02-11	1216	9999-12-31	2013-05-08	19978
6506/11-1	2300.000000	1.750000	27.000000	14.000000	WATER BASED	1988-01-29	1216	9999-12-31	2013-05-08	19979
6506/11-1	2300.000000	1.750000	26.000000	14.000000	WATER BASED	1988-02-02	1216	9999-12-31	2013-05-08	19980
6506/11-1	2300.000000	1.750000	26.000000	12.500000	WATER BASED	1988-02-03	1216	9999-12-31	2013-05-08	19981
6506/11-1	2300.000000	1.750000	32.000000	11.000000	WATER BASED	1988-02-05	1216	9999-12-31	2013-05-08	19982
6506/11-1	2300.000000	1.750000	24.000000	11.000000	WATER BASED	1988-01-26	1216	9999-12-31	2013-05-08	19983
6506/11-1	2300.000000	1.750000	28.000000	14.000000	WATER BASED	1988-01-28	1216	9999-12-31	2013-05-08	19984
6506/11-1	2300.000000	1.750000	25.000000	27.000000	WATER BASED	1988-02-01	1216	9999-12-31	2013-05-08	19985
6506/11-1	2300.000000	1.750000	24.000000	13.500000	WATER BASED	1988-02-01	1216	9999-12-31	2013-05-08	19986
6506/11-1	2300.000000	1.750000	24.000000	13.000000	WATER BASED	1988-01-27	1216	9999-12-31	2013-05-08	19987
6506/11-1	2300.000000	1.750000	22.000000	14.000000	WATER BASED	1988-01-25	1216	9999-12-31	2013-05-08	19988
6506/11-1	2300.000000	1.750000	22.000000	12.000000	WATER BASED	1988-01-25	1216	9999-12-31	2013-05-08	19989
6506/11-1	2300.000000	1.750000	7000.000000	17.500000	WATER BASED	1988-01-21	1216	9999-12-31	2013-05-08	19990
6506/11-1	2300.000000	1.750000	7000.000000	13.000000	WATER BASED	1988-01-22	1216	9999-12-31	2013-05-08	19991
6506/11-1	2300.000000	1.750000	5200.000000	7.000000	WATER BASED	1988-01-20	1216	9999-12-31	2013-05-08	19992
6506/11-1	2300.000000	1.750000	26.000000	7.000000	WATER BASED	1988-02-08	1216	9999-12-31	2013-05-08	19993
6506/11-1	2300.000000	1.800000	29.000000	8.000000	WATER BASED	1988-02-12	1216	9999-12-31	2013-05-08	19994
6506/11-1	2300.000000	1.800000	25.000000	8.000000	WATER BASED	1988-02-16	1216	9999-12-31	2013-05-08	19995
6506/11-1	2300.000000	1.800000	25.000000	7.500000	WATER BASED	1988-02-18	1216	9999-12-31	2013-05-08	19996
6506/11-1	3121.000000	1.800000	20.000000	4.000000	WATER BASED	1988-03-25	1216	9999-12-31	2013-05-08	19997
6506/11-1	3121.000000	1.800000	0.000000	0.000000	WATER BASED	1988-03-24	1216	9999-12-31	2013-05-08	19998
6506/11-1	3699.000000	1.850000	22.000000	5.000000	WATER BASED	1988-03-22	1216	9999-12-31	2013-05-08	19999
6506/11-1	3699.000000	1.850000	24.000000	4.000000	WATER BASED	1988-03-24	1216	9999-12-31	2013-05-08	20000
6506/11-1	3699.000000	1.850000	22.000000	5.000000	WATER BASED	1988-03-21	1216	9999-12-31	2013-05-08	20001
6506/11-1	3727.000000	1.950000	29.000000	5.000000	WATER BASED	1988-03-21	1216	9999-12-31	2013-05-08	20002
6506/11-1	3727.000000	1.950000	26.000000	4.000000	WATER BASED	1988-03-21	1216	9999-12-31	2013-05-08	20003
6506/11-1	3768.000000	1.750000	16.000000	3.000000	WATER BASED	1988-03-09	1216	9999-12-31	2013-05-08	20004
6506/11-1	3770.000000	1.750000	26.000000	4.500000	WATER BASED	1988-03-14	1216	9999-12-31	2013-05-08	20005
6506/11-1	3770.000000	1.850000	23.000000	3.500000	WATER BASED	1988-03-14	1216	9999-12-31	2013-05-08	20006
6506/11-1	3770.000000	1.950000	27.000000	5.000000	WATER BASED	1988-03-18	1216	9999-12-31	2013-05-08	20007
6506/11-1	3770.000000	1.850000	30.000000	3.500000	WATER BASED	1988-03-15	1216	9999-12-31	2013-05-08	20008
6506/11-1	3770.000000	1.950000	22.000000	4.000000	WATER BASED	1988-03-17	1216	9999-12-31	2013-05-08	20009
6506/11-1	3770.000000	1.850000	32.000000	4.500000	WATER BASED	1988-03-16	1216	9999-12-31	2013-05-08	20010
6506/11-1	3770.000000	1.750000	14.000000	1.500000	WATER BASED	1988-03-14	1216	9999-12-31	2013-05-08	20011
6506/11-1	3777.000000	1.750000	15.000000	2.000000	WATER BASED	1988-03-11	1216	9999-12-31	2013-05-08	20012
6506/11-1	3777.000000	1.750000	15.000000	2.000000	WATER BASED	1988-03-10	1216	9999-12-31	2013-05-08	20013
6506/11-1	3956.000000	1.880000	23.000000	4.000000	WATER BASED	1988-03-08	1216	9999-12-31	2013-05-08	20014
6506/11-1	4050.000000	1.800000	26.000000	6.500000	WATER BASED	1988-02-22	1216	9999-12-31	2013-05-08	20015
6506/11-1	4050.000000	1.800000	25.000000	7.000000	WATER BASED	1988-02-22	1216	9999-12-31	2013-05-08	20016
6506/11-1	4050.000000	1.800000	26.000000	6.000000	WATER BASED	1988-02-19	1216	9999-12-31	2013-05-08	20017
6506/11-1	4138.000000	1.800000	25.000000	6.500000	WATER BASED	1988-02-22	1216	9999-12-31	2013-05-08	20018
6506/11-1	4138.000000	1.800000	22.000000	5.000000	WATER BASED	1988-02-23	1216	9999-12-31	2013-05-08	20019
6506/11-1	4150.000000	1.880000	21.000000	5.000000	WATER BASED	1988-03-07	1216	9999-12-31	2013-05-08	20020
6506/11-1	4150.000000	1.880000	20.000000	5.000000	WATER BASED	1988-03-07	1216	9999-12-31	2013-05-08	20021
6506/11-1	4167.000000	1.880000	20.000000	5.000000	WATER BASED	1988-03-02	1216	9999-12-31	2013-05-08	20022
6506/11-1	4167.000000	1.880000	24.000000	6.500000	WATER BASED	1988-03-01	1216	9999-12-31	2013-05-08	20023
6506/11-1	4167.000000	1.880000	27.000000	9.000000	WATER BASED	1988-02-29	1216	9999-12-31	2013-05-08	20024
6506/11-1	4167.000000	1.880000	25.000000	4.500000	WATER BASED	1988-02-29	1216	9999-12-31	2013-05-08	20025
6506/11-1	4167.000000	1.880000	21.000000	4.500000	WATER BASED	1988-02-29	1216	9999-12-31	2013-05-08	20026
6506/11-1	4167.000000	1.880000	21.000000	5.000000	WATER BASED	1988-03-03	1216	9999-12-31	2013-05-08	20027
6506/11-1	4168.000000	1.860000	23.000000	5.000000	WATER BASED	1988-02-24	1216	9999-12-31	2013-05-08	20028
6506/11-1	4168.000000	1.880000	27.000000	7.000000	WATER BASED	1988-02-26	1216	9999-12-31	2013-05-08	20029
6506/11-1	4195.000000	1.880000	22.000000	5.000000	WATER BASED	1988-02-25	1216	9999-12-31	2013-05-08	20030
6506/11-2	442.000000	1.030000	0.000000	0.000000	WATER BASED	1991-05-14	1754	9999-12-31	2013-05-08	20031
6506/11-2	830.000000	1.200000	16.000000	5.500000	WATER BASED	1991-05-14	1754	9999-12-31	2013-05-08	20032
6506/11-2	830.000000	1.030000	7.000000	11.000000	WATER BASED	1991-05-14	1754	9999-12-31	2013-05-08	20033
6506/11-2	830.000000	1.030000	0.000000	0.000000	DUMMY	1991-05-14	1754	9999-12-31	2013-05-08	20034
6506/11-2	830.000000	1.200000	0.000000	0.000000	DUMMY	1991-05-14	1754	9999-12-31	2013-05-08	20035
6506/11-2	1336.000000	1.250000	0.000000	0.000000	WATER BASED	1991-05-21	1754	9999-12-31	2013-05-08	20036
6506/11-2	1722.000000	1.250000	23.000000	5.500000	WATER BASED	1991-05-21	1754	9999-12-31	2013-05-08	20037
6506/11-2	1932.000000	1.490000	21.000000	8.000000	WATER BASED	1991-06-03	1754	9999-12-31	2013-05-08	20038
6506/11-2	2146.000000	1.490000	28.000000	7.000000	WATER BASED	1991-05-21	1754	9999-12-31	2013-05-08	20039
6506/11-2	2230.000000	1.730000	24.000000	7.000000	DUMMY	1991-10-15	1754	9999-12-31	2013-05-08	20040
6506/11-2	2230.000000	1.730000	25.000000	10.000000	DUMMY	1991-10-14	1754	9999-12-31	2013-05-08	20041
6506/11-2	2230.000000	1.730000	24.000000	7.000000	DUMMY	1991-10-16	1754	9999-12-31	2013-05-08	20042
6506/11-2	2230.000000	1.730000	19.000000	7.000000	DUMMY	1991-10-17	1754	9999-12-31	2013-05-08	20043
6506/11-2	2250.000000	1.530000	19.000000	6.500000	WATER BASED	1991-06-03	1754	9999-12-31	2013-05-08	20044
6506/11-2	2255.000000	1.530000	22.000000	4.000000	WATER BASED	1991-06-05	1754	9999-12-31	2013-05-08	20045
6506/11-2	2255.000000	1.530000	20.000000	5.500000	WATER BASED	1991-06-04	1754	9999-12-31	2013-05-08	20046
6506/11-2	2307.000000	1.490000	12.000000	3.500000	WATER BASED	1991-05-28	1754	9999-12-31	2013-05-08	20047
6506/11-2	2307.000000	1.490000	23.000000	5.000000	WATER BASED	1991-05-28	1754	9999-12-31	2013-05-08	20048
6506/11-2	2307.000000	1.490000	23.000000	5.500000	WATER BASED	1991-05-28	1754	9999-12-31	2013-05-08	20049
6506/11-2	2307.000000	1.490000	16.000000	4.000000	WATER BASED	1991-05-28	1754	9999-12-31	2013-05-08	20050
6506/11-2	2307.000000	1.490000	13.000000	3.500000	WATER BASED	1991-05-28	1754	9999-12-31	2013-05-08	20051
6506/11-2	2307.000000	1.490000	13.000000	3.500000	WATER BASED	1991-05-28	1754	9999-12-31	2013-05-08	20052
6506/11-2	2307.000000	1.490000	13.000000	3.000000	WATER BASED	1991-05-30	1754	9999-12-31	2013-05-08	20053
6506/11-2	2307.000000	1.490000	16.000000	13.500000	WATER BASED	1991-05-31	1754	9999-12-31	2013-05-08	20054
6506/11-2	2307.000000	1.490000	15.000000	3.500000	WATER BASED	1991-05-31	1754	9999-12-31	2013-05-08	20055
6506/11-2	2307.000000	1.490000	21.000000	8.000000	WATER BASED	1991-06-03	1754	9999-12-31	2013-05-08	20056
6506/11-2	2307.000000	1.490000	30.000000	6.500000	WATER BASED	1991-05-21	1754	9999-12-31	2013-05-08	20057
6506/11-2	2307.000000	1.490000	28.000000	6.000000	WATER BASED	1991-05-21	1754	9999-12-31	2013-05-08	20058
6506/11-2	2307.000000	1.490000	22.000000	4.500000	WATER BASED	1991-05-22	1754	9999-12-31	2013-05-08	20059
6506/11-2	2307.000000	1.530000	19.000000	6.500000	WATER BASED	1991-06-03	1754	9999-12-31	2013-05-08	20060
6506/11-2	2314.000000	1.650000	20.000000	4.000000	WATER BASED	1991-06-10	1754	9999-12-31	2013-05-08	20061
6506/11-2	2400.000000	1.650000	27.000000	5.500000	WATER BASED	1991-06-10	1754	9999-12-31	2013-05-08	20062
6506/11-2	2400.000000	1.650000	22.000000	6.000000	WATER BASED	1991-06-14	1754	9999-12-31	2013-05-08	20063
6506/11-2	2400.000000	1.650000	30.000000	6.000000	WATER BASED	1991-06-17	1754	9999-12-31	2013-05-08	20064
6506/11-2	2400.000000	1.710000	27.000000	7.500000	WATER BASED	1991-07-03	1754	9999-12-31	2013-05-08	20065
6506/11-2	2400.000000	1.710000	19.000000	7.500000	WATER BASED	1991-06-26	1754	9999-12-31	2013-05-08	20066
6506/11-2	2400.000000	1.710000	28.000000	8.000000	WATER BASED	1991-07-01	1754	9999-12-31	2013-05-08	20067
6506/11-2	2400.000000	1.650000	27.000000	4.500000	WATER BASED	1991-06-10	1754	9999-12-31	2013-05-08	20068
6506/11-2	2400.000000	1.650000	25.000000	4.500000	WATER BASED	1991-06-10	1754	9999-12-31	2013-05-08	20069
6506/11-2	2400.000000	1.650000	21.000000	7.000000	WATER BASED	1991-06-14	1754	9999-12-31	2013-05-08	20070
6506/11-2	2400.000000	1.650000	17.000000	4.500000	WATER BASED	1991-06-14	1754	9999-12-31	2013-05-08	20071
6506/11-2	2400.000000	1.650000	23.000000	4.500000	WATER BASED	1991-06-14	1754	9999-12-31	2013-05-08	20072
6506/11-2	2400.000000	1.650000	25.000000	8.000000	WATER BASED	1991-06-10	1754	9999-12-31	2013-05-08	20073
6506/11-2	2400.000000	1.710000	25.000000	5.500000	WATER BASED	1991-06-19	1754	9999-12-31	2013-05-08	20074
6506/11-2	2400.000000	1.700000	27.000000	4.500000	WATER BASED	1991-06-18	1754	9999-12-31	2013-05-08	20075
6506/11-2	2400.000000	1.650000	31.000000	6.000000	WATER BASED	1991-06-17	1754	9999-12-31	2013-05-08	20076
6506/11-2	2400.000000	1.700000	30.000000	5.000000	WATER BASED	1991-06-17	1754	9999-12-31	2013-05-08	20077
6506/11-2	2400.000000	1.710000	21.000000	8.000000	WATER BASED	1991-06-25	1754	9999-12-31	2013-05-08	20078
6506/11-2	2400.000000	1.730000	24.000000	5.500000	WATER BASED	1991-06-25	1754	9999-12-31	2013-05-08	20079
6506/11-2	2400.000000	1.710000	23.000000	5.500000	WATER BASED	1991-06-20	1754	9999-12-31	2013-05-08	20080
6506/11-2	2400.000000	1.730000	21.000000	6.000000	WATER BASED	1991-07-15	1754	9999-12-31	2013-05-08	20081
6506/11-2	2400.000000	1.730000	20.000000	7.000000	WATER BASED	1991-07-10	1754	9999-12-31	2013-05-08	20082
6506/11-2	2400.000000	1.730000	21.000000	7.000000	WATER BASED	1991-07-10	1754	9999-12-31	2013-05-08	20083
6506/11-2	2400.000000	1.710000	28.000000	7.500000	WATER BASED	1991-07-03	1754	9999-12-31	2013-05-08	20084
6506/11-2	2400.000000	1.730000	23.000000	7.000000	WATER BASED	1991-07-08	1754	9999-12-31	2013-05-08	20085
6506/11-2	2400.000000	1.710000	26.000000	7.500000	WATER BASED	1991-07-05	1754	9999-12-31	2013-05-08	20086
6506/11-2	2400.000000	1.710000	30.000000	4.500000	WATER BASED	1991-07-08	1754	9999-12-31	2013-05-08	20087
6506/11-2	2400.000000	1.710000	24.000000	8.000000	WATER BASED	1991-06-28	1754	9999-12-31	2013-05-08	20088
6506/11-2	2400.000000	1.710000	24.000000	7.500000	WATER BASED	1991-06-28	1754	9999-12-31	2013-05-08	20089
6506/11-2	2400.000000	1.710000	23.000000	7.000000	WATER BASED	1991-07-01	1754	9999-12-31	2013-05-08	20090
6506/11-2	2400.000000	1.710000	27.000000	7.500000	WATER BASED	1991-07-01	1754	9999-12-31	2013-05-08	20091
6506/11-2	2734.000000	1.650000	25.000000	4.500000	WATER BASED	1991-06-10	1754	9999-12-31	2013-05-08	20092
6506/11-2	2960.000000	1.650000	27.000000	4.500000	WATER BASED	1991-06-10	1754	9999-12-31	2013-05-08	20093
6506/11-2	3040.000000	1.650000	27.000000	5.500000	WATER BASED	1991-06-10	1754	9999-12-31	2013-05-08	20094
6506/11-2	3216.000000	1.650000	25.000000	8.000000	WATER BASED	1991-06-10	1754	9999-12-31	2013-05-08	20095
6506/11-2	3237.000000	1.650000	23.000000	4.500000	WATER BASED	1991-06-14	1754	9999-12-31	2013-05-08	20096
6506/11-2	3244.000000	1.650000	21.000000	7.000000	WATER BASED	1991-06-14	1754	9999-12-31	2013-05-08	20097
6506/11-2	3258.000000	1.650000	17.000000	4.500000	WATER BASED	1991-06-14	1754	9999-12-31	2013-05-08	20098
6506/11-2	3338.000000	1.650000	22.000000	6.000000	WATER BASED	1991-06-14	1754	9999-12-31	2013-05-08	20099
6506/11-2	3345.000000	1.730000	25.000000	10.000000	DUMMY	1991-10-14	1754	9999-12-31	2013-05-08	20100
6506/11-2	3376.000000	1.650000	31.000000	6.000000	WATER BASED	1991-06-17	1754	9999-12-31	2013-05-08	20101
6506/11-2	3376.000000	1.650000	30.000000	6.000000	WATER BASED	1991-06-17	1754	9999-12-31	2013-05-08	20102
6506/11-2	3460.000000	1.700000	30.000000	5.000000	WATER BASED	1991-06-17	1754	9999-12-31	2013-05-08	20103
6506/11-2	3550.000000	1.700000	27.000000	4.500000	WATER BASED	1991-06-18	1754	9999-12-31	2013-05-08	20104
6506/11-2	3580.000000	1.710000	25.000000	5.500000	WATER BASED	1991-06-19	1754	9999-12-31	2013-05-08	20105
6506/11-2	3580.000000	1.710000	23.000000	5.500000	WATER BASED	1991-06-20	1754	9999-12-31	2013-05-08	20106
6506/11-2	3622.000000	1.730000	24.000000	5.500000	WATER BASED	1991-06-25	1754	9999-12-31	2013-05-08	20107
6506/11-2	3646.000000	1.710000	21.000000	8.000000	WATER BASED	1991-06-25	1754	9999-12-31	2013-05-08	20108
6506/11-2	3653.000000	1.710000	19.000000	7.500000	WATER BASED	1991-06-26	1754	9999-12-31	2013-05-08	20109
6506/11-2	3723.000000	1.710000	24.000000	7.500000	WATER BASED	1991-06-28	1754	9999-12-31	2013-05-08	20110
6506/11-2	3797.000000	1.710000	24.000000	8.000000	WATER BASED	1991-06-28	1754	9999-12-31	2013-05-08	20111
6506/11-2	3800.000000	1.550000	22.000000	5.500000	DUMMY	1991-10-14	1754	9999-12-31	2013-05-08	20112
6506/11-2	3800.000000	1.550000	25.000000	6.000000	DUMMY	1991-10-09	1754	9999-12-31	2013-05-08	20113
6506/11-2	3800.000000	1.550000	25.000000	6.000000	DUMMY	1991-10-08	1754	9999-12-31	2013-05-08	20114
6506/11-2	3869.000000	1.710000	27.000000	7.500000	WATER BASED	1991-07-01	1754	9999-12-31	2013-05-08	20115
6506/11-2	3946.000000	1.710000	28.000000	8.000000	WATER BASED	1991-07-01	1754	9999-12-31	2013-05-08	20116
6506/11-2	4005.000000	1.770000	30.000000	4.500000	DUMMY	1991-10-07	1754	9999-12-31	2013-05-08	20117
6506/11-2	4010.000000	1.730000	20.000000	7.000000	WATER BASED	1991-07-10	1754	9999-12-31	2013-05-08	20118
6506/11-2	4029.000000	1.710000	23.000000	7.000000	WATER BASED	1991-07-01	1754	9999-12-31	2013-05-08	20119
6506/11-2	4048.000000	1.730000	20.000000	7.000000	WATER BASED	1991-07-10	1754	9999-12-31	2013-05-08	20120
6506/11-2	4073.000000	1.770000	28.000000	5.000000	DUMMY	1991-10-04	1754	9999-12-31	2013-05-08	20121
6506/11-2	4111.000000	1.710000	27.000000	7.500000	WATER BASED	1991-07-03	1754	9999-12-31	2013-05-08	20122
6506/11-2	4176.000000	1.710000	28.000000	7.500000	WATER BASED	1991-07-03	1754	9999-12-31	2013-05-08	20123
6506/11-2	4225.000000	1.710000	26.000000	7.500000	WATER BASED	1991-07-05	1754	9999-12-31	2013-05-08	20124
6506/11-2	4238.000000	1.710000	30.000000	4.500000	WATER BASED	1991-07-08	1754	9999-12-31	2013-05-08	20125
6506/11-2	4238.000000	1.730000	23.000000	7.000000	WATER BASED	1991-07-08	1754	9999-12-31	2013-05-08	20126
6506/11-2	4238.000000	1.730000	21.000000	6.000000	WATER BASED	1991-07-15	1754	9999-12-31	2013-05-08	20127
6506/11-2	4238.000000	1.730000	24.000000	5.500000	WATER BASED	1991-07-16	1754	9999-12-31	2013-05-08	20128
6506/11-2	4241.000000	1.190000	11.000000	4.000000	WATER BASED	1991-07-17	1754	9999-12-31	2013-05-08	20129
6506/11-2	4243.000000	1.190000	15.000000	4.000000	WATER BASED	1991-07-17	1754	9999-12-31	2013-05-08	20130
6506/11-2	4272.000000	1.190000	16.000000	3.000000	WATER BASED	1991-07-18	1754	9999-12-31	2013-05-08	20131
6506/11-2	4306.000000	1.190000	21.000000	4.000000	DUMMY	1991-08-09	1754	9999-12-31	2013-05-08	20132
6506/11-2	4306.000000	1.210000	15.000000	3.000000	DUMMY	1991-08-12	1754	9999-12-31	2013-05-08	20133
6506/11-2	4306.000000	1.190000	20.000000	4.000000	DUMMY	1991-08-08	1754	9999-12-31	2013-05-08	20134
6506/11-2	4310.000000	1.190000	18.000000	3.500000	DUMMY	1991-07-25	1754	9999-12-31	2013-05-08	20135
6506/11-2	4310.000000	1.190000	19.000000	3.500000	DUMMY	1991-07-29	1754	9999-12-31	2013-05-08	20136
6506/11-2	4310.000000	1.190000	15.000000	4.000000	DUMMY	1991-08-06	1754	9999-12-31	2013-05-08	20137
6506/11-2	4310.000000	1.190000	20.000000	4.000000	DUMMY	1991-08-07	1754	9999-12-31	2013-05-08	20138
6506/11-2	4310.000000	1.190000	21.000000	5.000000	DUMMY	1991-08-02	1754	9999-12-31	2013-05-08	20139
6506/11-2	4310.000000	1.190000	21.000000	6.000000	DUMMY	1991-08-05	1754	9999-12-31	2013-05-08	20140
6506/11-2	4310.000000	1.190000	21.000000	5.000000	DUMMY	1991-08-05	1754	9999-12-31	2013-05-08	20141
6506/11-2	4310.000000	1.190000	21.000000	5.000000	DUMMY	1991-08-05	1754	9999-12-31	2013-05-08	20142
6506/11-2	4310.000000	1.190000	15.000000	4.000000	DUMMY	1991-08-02	1754	9999-12-31	2013-05-08	20143
6506/11-2	4310.000000	1.190000	20.000000	4.000000	DUMMY	1991-07-31	1754	9999-12-31	2013-05-08	20144
6506/11-2	4310.000000	1.190000	20.000000	4.500000	DUMMY	1991-07-29	1754	9999-12-31	2013-05-08	20145
6506/11-2	4310.000000	1.190000	19.000000	5.000000	DUMMY	1991-07-30	1754	9999-12-31	2013-05-08	20146
6506/11-2	4310.000000	1.190000	16.000000	3.500000	DUMMY	1991-07-25	1754	9999-12-31	2013-05-08	20147
6506/11-2	4310.000000	1.190000	20.000000	5.000000	DUMMY	1991-07-29	1754	9999-12-31	2013-05-08	20148
6506/11-2	4310.000000	1.190000	16.000000	3.500000	DUMMY	1991-07-23	1754	9999-12-31	2013-05-08	20149
6506/11-2	4310.000000	1.190000	16.000000	3.500000	WATER BASED	1991-07-23	1754	9999-12-31	2013-05-08	20150
6506/11-2	4310.000000	1.190000	15.000000	4.000000	DUMMY	1991-07-23	1754	9999-12-31	2013-05-08	20151
6506/11-2	4310.000000	1.190000	15.000000	3.500000	DUMMY	1991-07-23	1754	9999-12-31	2013-05-08	20152
6506/11-2	4310.000000	1.190000	16.000000	3.000000	WATER BASED	1991-07-19	1754	9999-12-31	2013-05-08	20153
6506/11-2	4338.000000	1.190000	16.000000	3.500000	WATER BASED	1991-07-23	1754	9999-12-31	2013-05-08	20154
6506/11-2	4361.000000	1.190000	15.000000	4.000000	DUMMY	1991-07-23	1754	9999-12-31	2013-05-08	20155
6506/11-2	4386.000000	1.190000	15.000000	3.500000	DUMMY	1991-07-23	1754	9999-12-31	2013-05-08	20156
6506/11-2	4411.000000	1.190000	16.000000	3.500000	DUMMY	1991-07-23	1754	9999-12-31	2013-05-08	20157
6506/11-2	4416.000000	1.190000	18.000000	3.500000	DUMMY	1991-07-25	1754	9999-12-31	2013-05-08	20158
6506/11-2	4443.000000	1.190000	16.000000	3.500000	DUMMY	1991-07-25	1754	9999-12-31	2013-05-08	20159
6506/11-2	4496.000000	1.190000	19.000000	3.500000	DUMMY	1991-07-29	1754	9999-12-31	2013-05-08	20160
6506/11-2	4548.000000	1.190000	20.000000	5.000000	DUMMY	1991-07-29	1754	9999-12-31	2013-05-08	20161
6506/11-2	4576.000000	1.190000	20.000000	4.500000	DUMMY	1991-07-29	1754	9999-12-31	2013-05-08	20162
6506/11-2	4603.000000	1.190000	19.000000	5.000000	DUMMY	1991-07-30	1754	9999-12-31	2013-05-08	20163
6506/11-2	4659.000000	1.190000	20.000000	4.000000	DUMMY	1991-07-31	1754	9999-12-31	2013-05-08	20164
6506/11-2	4668.000000	1.220000	9.000000	2.000000	DUMMY	1991-09-06	1754	9999-12-31	2013-05-08	20165
6506/11-2	4687.000000	1.190000	15.000000	4.000000	DUMMY	1991-08-02	1754	9999-12-31	2013-05-08	20166
6506/11-2	4694.000000	1.190000	21.000000	6.000000	DUMMY	1991-08-05	1754	9999-12-31	2013-05-08	20167
6506/11-2	4694.000000	1.190000	21.000000	5.000000	DUMMY	1991-08-02	1754	9999-12-31	2013-05-08	20168
6506/11-2	4697.000000	1.190000	20.000000	4.000000	DUMMY	1991-08-08	1754	9999-12-31	2013-05-08	20169
6506/11-2	4755.000000	1.190000	21.000000	5.000000	DUMMY	1991-08-05	1754	9999-12-31	2013-05-08	20170
6506/11-2	4755.000000	1.190000	21.000000	5.000000	DUMMY	1991-08-05	1754	9999-12-31	2013-05-08	20171
6506/11-2	4755.000000	1.190000	20.000000	4.000000	DUMMY	1991-08-07	1754	9999-12-31	2013-05-08	20172
6506/11-2	4780.000000	1.190000	21.000000	4.000000	DUMMY	1991-08-09	1754	9999-12-31	2013-05-08	20173
6506/11-2	4793.000000	1.220000	10.000000	3.000000	DUMMY	1991-09-02	1754	9999-12-31	2013-05-08	20174
6506/11-2	4793.000000	1.220000	11.000000	3.000000	DUMMY	1991-08-27	1754	9999-12-31	2013-05-08	20175
6506/11-2	4810.000000	1.210000	15.000000	3.000000	DUMMY	1991-08-12	1754	9999-12-31	2013-05-08	20176
6506/11-3	1186.000000	1.120000	17.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20177
6506/11-3	1667.000000	1.350000	21.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20178
6506/11-3	2015.000000	1.500000	29.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20179
6506/11-3	2016.000000	1.500000	35.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20180
6506/11-3	2020.000000	1.520000	32.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20181
6506/11-3	2300.000000	1.700000	29.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20182
6506/11-3	3024.000000	1.700000	29.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20183
6506/11-3	3120.000000	1.700000	29.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20184
6506/11-3	3717.000000	1.700000	29.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20185
6506/11-3	3798.000000	1.700000	25.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20186
6506/11-3	3919.000000	1.700000	27.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20187
6506/11-3	3923.000000	1.750000	24.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20188
6506/11-3	3937.000000	1.920000	31.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20189
6506/11-3	3944.000000	1.770000	27.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20190
6506/11-3	3976.000000	1.840000	30.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20191
6506/11-3	3987.000000	1.840000	28.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20192
6506/11-3	4003.000000	1.840000	30.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20193
6506/11-3	4063.000000	1.920000	34.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20194
6506/11-3	4100.000000	1.880000	34.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20195
6506/11-3	4174.000000	1.880000	37.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20196
6506/11-3	4196.000000	1.880000	33.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20197
6506/11-3	4202.000000	1.880000	35.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20198
6506/11-3	4224.000000	1.880000	26.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20199
6506/11-3	4255.000000	1.900000	49.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20200
6506/11-3	4310.000000	1.900000	27.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20201
6506/11-3	4323.000000	1.900000	36.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20202
6506/11-3	4324.000000	1.900000	35.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20203
6506/11-3	4350.000000	1.930000	33.000000	0.000000	WATER BASED	9999-12-31	1973	9999-12-31	2013-05-08	20204
6506/11-4 S	1403.000000	1.200000	22.000000	0.000000	ANCO 2000	9999-12-31	2736	9999-12-31	2013-05-08	20205
6506/11-4 S	2400.000000	1.640000	38.000000	0.000000	ANCO 2000	9999-12-31	2736	9999-12-31	2013-05-08	20206
6506/11-4 S	2811.000000	1.730000	59.000000	0.000000	ANCO VERT	9999-12-31	2736	9999-12-31	2013-05-08	20207
6506/11-4 S	2825.000000	1.640000	37.000000	0.000000	ANCO 2000	9999-12-31	2736	9999-12-31	2013-05-08	20208
6506/11-4 S	3060.000000	1.750000	62.000000	0.000000	ANCO VERT	9999-12-31	2736	9999-12-31	2013-05-08	20209
6506/11-4 S	3658.000000	1.730000	64.000000	0.000000	ANCO VERT	9999-12-31	2736	9999-12-31	2013-05-08	20210
6506/11-4 S	4272.000000	1.750000	52.000000	0.000000	ANCO VERT	9999-12-31	2736	9999-12-31	2013-05-08	20211
6506/11-4 S	4338.000000	1.750000	50.000000	0.000000	ANCO VERT	9999-12-31	2736	9999-12-31	2013-05-08	20212
6506/11-4 S	4520.000000	1.220000	30.000000	0.000000	ANCO VERT	9999-12-31	2736	9999-12-31	2013-05-08	20213
6506/11-4 S	4531.000000	1.320000	51.000000	0.000000	ANCO VERT	9999-12-31	2736	9999-12-31	2013-05-08	20214
6506/11-4 S	4701.000000	1.210000	27.000000	0.000000	ANCO VERT	9999-12-31	2736	9999-12-31	2013-05-08	20215
6506/11-4 S	4745.000000	1.220000	30.000000	0.000000	ANCO VERT	9999-12-31	2736	9999-12-31	2013-05-08	20216
6506/11-4 S	5034.000000	1.220000	26.000000	0.000000	ANCO VERT	9999-12-31	2736	9999-12-31	2013-05-08	20217
6506/11-4 S	5110.000000	1.220000	30.000000	0.000000	ANCO VERT	9999-12-31	2736	9999-12-31	2013-05-08	20218
6506/11-5 S	1250.000000	1.250000	16.000000	0.000000	ANCO 2000	9999-12-31	2794	9999-12-31	2013-05-08	20219
6506/11-5 S	2126.000000	1.360000	22.000000	0.000000	ANCO 2000	9999-12-31	2794	9999-12-31	2013-05-08	20220
6506/11-5 S	2140.000000	1.370000	26.000000	0.000000	ANCO 2000	9999-12-31	2794	9999-12-31	2013-05-08	20221
6506/11-5 S	2350.000000	1.700000	50.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20222
6506/11-5 S	3249.000000	1.630000	49.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20223
6506/11-5 S	3432.000000	1.700000	48.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20224
6506/11-5 S	3453.000000	1.700000	50.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20225
6506/11-5 S	3842.000000	1.700000	54.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20226
6506/11-5 S	4045.000000	1.760000	57.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20227
6506/11-5 S	4100.000000	1.760000	57.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20228
6506/11-5 S	4142.000000	1.760000	60.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20229
6506/11-5 S	4238.000000	1.760000	57.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20230
6506/11-5 S	4238.000000	1.220000	30.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20231
6506/11-5 S	4239.000000	1.760000	57.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20232
6506/11-5 S	4243.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	2794	9999-12-31	2013-05-08	20233
6506/11-5 S	4281.000000	1.220000	23.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20234
6506/11-5 S	4419.000000	1.200000	29.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20235
6506/11-5 S	4452.000000	1.200000	30.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20236
6506/11-5 S	4530.000000	1.200000	29.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20237
6506/11-5 S	4572.000000	1.200000	30.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20238
6506/11-5 S	4757.000000	1.200000	30.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20239
6506/11-5 S	4790.000000	1.340000	39.000000	0.000000	ANCO VERT	9999-12-31	2794	9999-12-31	2013-05-08	20240
6506/11-6	1300.000000	1.200000	0.000000	0.000000	BENTONITE/FW	9999-12-31	3306	9999-12-31	2013-05-08	20241
6506/11-6	1412.000000	1.200000	34.000000	0.000000	BENTONITE/FW	9999-12-31	3306	9999-12-31	2013-05-08	20242
6506/11-6	2185.000000	1.640000	38.000000	0.000000	GLYDRILL	9999-12-31	3306	9999-12-31	2013-05-08	20243
6506/11-6	2739.000000	1.660000	42.000000	0.000000	GLYDRILL	9999-12-31	3306	9999-12-31	2013-05-08	20244
6506/11-6	2839.000000	1.640000	31.000000	0.000000	VERSAPRO	9999-12-31	3306	9999-12-31	2013-05-08	20245
6506/11-6	3685.000000	1.750000	48.000000	0.000000	VERSAPRO	9999-12-31	3306	9999-12-31	2013-05-08	20246
6506/11-6	4290.000000	1.800000	54.000000	0.000000	VERSAPRO	9999-12-31	3306	9999-12-31	2013-05-08	20247
6506/11-6	4643.000000	2.060000	57.000000	0.000000	VERSAPRO	9999-12-31	3306	9999-12-31	2013-05-08	20248
6506/11-6	4648.000000	2.020000	63.000000	0.000000	VERSAPRO	9999-12-31	3306	9999-12-31	2013-05-08	20249
6506/11-6	4695.000000	2.060000	71.000000	0.000000	VERSAPRO	9999-12-31	3306	9999-12-31	2013-05-08	20250
6506/11-6	4837.000000	2.020000	60.000000	0.000000	VERSAPRO	9999-12-31	3306	9999-12-31	2013-05-08	20251
6506/11-6	4980.000000	2.020000	64.000000	0.000000	VERSAPRO	9999-12-31	3306	9999-12-31	2013-05-08	20252
6506/11-6	5275.000000	2.020000	55.000000	0.000000	VERSAPRO	9999-12-31	3306	9999-12-31	2013-05-08	20253
6506/11-7	653.000000	1.030000	0.000000	0.000000	BENTONITE/FW	9999-12-31	3322	9999-12-31	2013-05-08	20254
6506/11-7	1212.000000	1.030000	12.000000	0.000000	BENTONITE/FW	9999-12-31	3322	9999-12-31	2013-05-08	20255
6506/11-7	1373.000000	1.030000	12.000000	0.000000	BENTONITE/FW	9999-12-31	3322	9999-12-31	2013-05-08	20256
6506/11-7	1398.000000	1.200000	19.000000	0.000000	BENTONITE/FW	9999-12-31	3322	9999-12-31	2013-05-08	20257
6506/11-7	1402.000000	1.390000	16.000000	0.000000	GLYDRIL MC	9999-12-31	3322	9999-12-31	2013-05-08	20258
6506/11-7	1762.000000	1.500000	22.000000	0.000000	GLYDRIL MC	9999-12-31	3322	9999-12-31	2013-05-08	20259
6506/11-7	2530.000000	1.640000	31.000000	0.000000	GLYDRIL MC	9999-12-31	3322	9999-12-31	2013-05-08	20260
6506/11-7	3746.000000	1.800000	43.000000	0.000000	VERSAPRO	9999-12-31	3322	9999-12-31	2013-05-08	20261
6506/11-7	4323.000000	1.820000	35.000000	0.000000	VERSAPRO	9999-12-31	3322	9999-12-31	2013-05-08	20262
6506/11-7	4580.000000	1.920000	53.000000	0.000000	VERSAPRO	9999-12-31	3322	9999-12-31	2013-05-08	20263
6506/11-7	4610.000000	1.970000	47.000000	0.000000	VERSAPRO	9999-12-31	3322	9999-12-31	2013-05-08	20264
6506/11-7	4730.000000	1.920000	49.000000	0.000000	VERSAPRO	9999-12-31	3322	9999-12-31	2013-05-08	20265
6506/11-7	4972.000000	1.920000	54.000000	0.000000	VERSAPRO	9999-12-31	3322	9999-12-31	2013-05-08	20266
6506/11-8	446.000000	1.060000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	5295	9999-12-31	2013-05-08	20267
6506/11-8	1350.000000	1.300000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	5295	9999-12-31	2013-05-08	20268
6506/11-8	1823.000000	1.530000	23.000000	0.000000	GLYDRIL 18	9999-12-31	5295	9999-12-31	2013-05-08	20269
6506/11-8	2150.000000	1.620000	25.000000	0.000000	GLYDRIL 18	9999-12-31	5295	9999-12-31	2013-05-08	20270
6506/11-8	2320.000000	1.700000	38.000000	0.000000	PARATHERM	9999-12-31	5295	9999-12-31	2013-05-08	20271
6506/11-8	4500.000000	1.780000	29.000000	0.000000	PARATHERM	9999-12-31	5295	9999-12-31	2013-05-08	20272
6506/11-8	4606.000000	1.860000	34.000000	0.000000	PARATHERM	9999-12-31	5295	9999-12-31	2013-05-08	20273
6506/11-8	4620.000000	1.860000	42.000000	0.000000	PARATHERM	9999-12-31	5295	9999-12-31	2013-05-08	20274
6506/11-8	4624.000000	1.860000	34.000000	0.000000	PARATHERM	9999-12-31	5295	9999-12-31	2013-05-08	20275
6506/11-8	4679.000000	1.860000	43.000000	0.000000	PARATHERM	9999-12-31	5295	9999-12-31	2013-05-08	20276
6506/11-8	4775.000000	1.860000	39.000000	0.000000	PARATHERM	9999-12-31	5295	9999-12-31	2013-05-08	20277
6506/12-1	346.000000	1.100000	0.000000	0.000000	WATER BASED	1984-08-20	1004	9999-12-31	2013-05-08	20278
6506/12-1	948.000000	1.160000	10.000000	20.000000	WATER BASED	1984-08-24	1004	9999-12-31	2013-05-08	20279
6506/12-1	948.000000	1.320000	11.000000	21.000000	WATER BASED	1984-08-27	1004	9999-12-31	2013-05-08	20280
6506/12-1	948.000000	1.160000	10.000000	20.000000	WATER BASED	1984-08-22	1004	9999-12-31	2013-05-08	20281
6506/12-1	948.000000	1.100000	7.000000	31.000000	WATER BASED	1984-08-22	1004	9999-12-31	2013-05-08	20282
6506/12-1	948.000000	1.160000	10.000000	20.000000	WATER BASED	1984-08-22	1004	9999-12-31	2013-05-08	20283
6506/12-1	948.000000	1.320000	11.000000	21.000000	WATER BASED	1984-08-27	1004	9999-12-31	2013-05-08	20284
6506/12-1	948.000000	1.160000	10.000000	20.000000	WATER BASED	1984-08-24	1004	9999-12-31	2013-05-08	20285
6506/12-1	1274.000000	1.130000	6.000000	9.000000	WATER BASED	1984-09-03	1004	9999-12-31	2013-05-08	20286
6506/12-1	1700.000000	1.170000	8.000000	6.800000	WATER BASED	1984-09-03	1004	9999-12-31	2013-05-08	20287
6506/12-1	2110.000000	1.350000	11.000000	8.800000	WATER BASED	1984-09-04	1004	9999-12-31	2013-05-08	20288
6506/12-1	2203.000000	1.350000	14.000000	7.800000	WATER BASED	1984-09-06	1004	9999-12-31	2013-05-08	20289
6506/12-1	2203.000000	1.400000	11.000000	6.800000	WATER BASED	1984-09-06	1004	9999-12-31	2013-05-08	20290
6506/12-1	2203.000000	1.550000	13.000000	5.900000	WATER BASED	1984-09-06	1004	9999-12-31	2013-05-08	20291
6506/12-1	2203.000000	1.600000	13.000000	5.000000	WATER BASED	1984-09-10	1004	9999-12-31	2013-05-08	20292
6506/12-1	2203.000000	1.400000	11.000000	6.800000	WATER BASED	1984-09-06	1004	9999-12-31	2013-05-08	20293
6506/12-1	2203.000000	1.600000	13.000000	5.000000	WATER BASED	1984-09-10	1004	9999-12-31	2013-05-08	20294
6506/12-1	2203.000000	1.550000	13.000000	5.900000	WATER BASED	1984-09-06	1004	9999-12-31	2013-05-08	20295
6506/12-1	2300.000000	1.600000	16.000000	11.000000	WATER BASED	1984-09-11	1004	9999-12-31	2013-05-08	20296
6506/12-1	2485.000000	1.600000	20.000000	8.000000	WATER BASED	1984-09-11	1004	9999-12-31	2013-05-08	20297
6506/12-1	2537.000000	1.600000	17.000000	4.800000	WATER BASED	1984-09-11	1004	9999-12-31	2013-05-08	20298
6506/12-1	2718.000000	1.650000	20.000000	7.800000	WATER BASED	1984-09-12	1004	9999-12-31	2013-05-08	20299
6506/12-1	2763.000000	1.650000	21.000000	7.700000	WATER BASED	1984-09-13	1004	9999-12-31	2013-05-08	20300
6506/12-1	2915.000000	1.650000	18.000000	9.200000	WATER BASED	1984-09-17	1004	9999-12-31	2013-05-08	20301
6506/12-1	2983.000000	1.650000	15.000000	4.800000	WATER BASED	1984-09-17	1004	9999-12-31	2013-05-08	20302
6506/12-1	3238.000000	1.650000	19.000000	8.300000	WATER BASED	1984-09-19	1004	9999-12-31	2013-05-08	20303
6506/12-1	3330.000000	1.650000	19.000000	9.000000	WATER BASED	1984-09-20	1004	9999-12-31	2013-05-08	20304
6506/12-1	3654.000000	1.680000	16.200000	5.200000	WATER BASED	1984-09-23	1004	9999-12-31	2013-05-08	20305
6506/12-1	3654.000000	1.720000	16.000000	5.000000	WATER BASED	1984-09-27	1004	9999-12-31	2013-05-08	20306
6506/12-1	3654.000000	1.720000	16.000000	5.000000	WATER BASED	1984-09-27	1004	9999-12-31	2013-05-08	20307
6506/12-1	3917.000000	1.720000	15.000000	5.600000	WATER BASED	1984-10-15	1004	9999-12-31	2013-05-08	20308
6506/12-1	3973.000000	1.250000	12.000000	4.500000	WATER BASED	1984-10-15	1004	9999-12-31	2013-05-08	20309
6506/12-1	4038.000000	1.250000	19.000000	4.700000	WATER BASED	1984-10-15	1004	9999-12-31	2013-05-08	20310
6506/12-1	4125.000000	1.250000	15.000000	0.000000	WATER BASED	1984-10-19	1004	9999-12-31	2013-05-08	20311
6506/12-1	4307.000000	1.250000	13.000000	5.400000	WATER BASED	1984-10-29	1004	9999-12-31	2013-05-08	20312
6506/12-1	4493.000000	1.250000	12.000000	5.700000	WATER BASED	1984-10-30	1004	9999-12-31	2013-05-08	20313
6506/12-1	4554.000000	1.280000	17.000000	5.700000	WATER BASED	1984-10-30	1004	9999-12-31	2013-05-08	20314
6506/12-1	4682.000000	1.360000	16.000000	3.900000	WATER BASED	1984-11-15	1004	9999-12-31	2013-05-08	20315
6506/12-1	4757.000000	1.040000	16.000000	3.800000	WATER BASED	1984-11-16	1004	9999-12-31	2013-05-08	20316
6506/12-1	4833.000000	1.450000	20.000000	6.000000	WATER BASED	1984-11-19	1004	9999-12-31	2013-05-08	20317
6506/12-1	4924.000000	1.530000	20.000000	4.300000	WATER BASED	1984-11-19	1004	9999-12-31	2013-05-08	20318
6506/12-1	4924.000000	1.580000	21.000000	4.000000	WATER BASED	1984-11-23	1004	9999-12-31	2013-05-08	20319
6506/12-1	4924.000000	1.630000	22.000000	6.000000	WATER BASED	1984-11-23	1004	9999-12-31	2013-05-08	20320
6506/12-1	4924.000000	1.680000	23.000000	6.700000	WATER BASED	1984-11-26	1004	9999-12-31	2013-05-08	20321
6506/12-1	4924.000000	1.580000	21.000000	4.000000	WATER BASED	1984-11-23	1004	9999-12-31	2013-05-08	20322
6506/12-1	4924.000000	1.630000	22.000000	6.000000	WATER BASED	1984-11-23	1004	9999-12-31	2013-05-08	20323
6506/12-1	4924.000000	1.680000	23.000000	6.700000	WATER BASED	1984-11-26	1004	9999-12-31	2013-05-08	20324
6506/12-1	4924.000000	1.580000	21.000000	4.800000	WATER BASED	1984-11-20	1004	9999-12-31	2013-05-08	20325
6506/12-1	4924.000000	1.580000	21.000000	4.800000	WATER BASED	1984-11-20	1004	9999-12-31	2013-05-08	20326
6506/12-10	615.000000	1.150000	13.000000	14.500000	WATER BASED	1995-05-03	2445	9999-12-31	2013-05-08	20327
6506/12-10	960.000000	1.150000	7.000000	6.000000	WATER BASED	1995-05-03	2445	9999-12-31	2013-05-08	20328
6506/12-10	1338.000000	1.150000	8.000000	5.500000	WATER BASED	1995-05-03	2445	9999-12-31	2013-05-08	20329
6506/12-10	1602.000000	1.150000	9.000000	6.500000	WATER BASED	1995-05-03	2445	9999-12-31	2013-05-08	20330
6506/12-10	1602.000000	1.180000	6.000000	10.500000	WATER BASED	1995-05-03	2445	9999-12-31	2013-05-08	20331
6506/12-10	1602.000000	1.180000	11.000000	5.500000	WATER BASED	1995-05-05	2445	9999-12-31	2013-05-08	20332
6506/12-10	1602.000000	1.180000	9.000000	6.500000	WATER BASED	1995-05-05	2445	9999-12-31	2013-05-08	20333
6506/12-10	1675.000000	1.400000	21.000000	9.000000	WATER BASED	1995-05-08	2445	9999-12-31	2013-05-08	20334
6506/12-10	2050.000000	1.550000	29.000000	13.000000	WATER BASED	1995-05-08	2445	9999-12-31	2013-05-08	20335
6506/12-10	2144.000000	1.600000	33.000000	13.000000	WATER BASED	1995-05-08	2445	9999-12-31	2013-05-08	20336
6506/12-10	2155.000000	1.600000	29.000000	12.500000	WATER BASED	1995-05-09	2445	9999-12-31	2013-05-08	20337
6506/12-10	2355.000000	1.650000	31.000000	12.000000	WATER BASED	1995-05-10	2445	9999-12-31	2013-05-08	20338
6506/12-10	2450.000000	1.670000	26.000000	10.000000	WATER BASED	1995-05-18	2445	9999-12-31	2013-05-08	20339
6506/12-10	2450.000000	1.670000	25.000000	7.000000	WATER BASED	1995-05-18	2445	9999-12-31	2013-05-08	20340
6506/12-10	2450.000000	1.650000	36.000000	19.000000	WATER BASED	1995-05-12	2445	9999-12-31	2013-05-08	20341
6506/12-10	2450.000000	1.650000	40.000000	20.500000	WATER BASED	1995-05-11	2445	9999-12-31	2013-05-08	20342
6506/12-10	2450.000000	1.650000	42.000000	20.000000	WATER BASED	1995-05-15	2445	9999-12-31	2013-05-08	20343
6506/12-10	2450.000000	1.650000	42.000000	18.000000	WATER BASED	1995-05-15	2445	9999-12-31	2013-05-08	20344
6506/12-10	2450.000000	1.670000	34.000000	14.000000	WATER BASED	1995-05-15	2445	9999-12-31	2013-05-08	20345
6506/12-10	2450.000000	1.670000	26.000000	7.000000	WATER BASED	1995-05-18	2445	9999-12-31	2013-05-08	20346
6506/12-10	2700.000000	1.660000	47.000000	6.500000	OIL BASED	1995-06-26	2445	9999-12-31	2013-05-08	20347
6506/12-10	2758.000000	1.650000	40.000000	20.500000	WATER BASED	1995-05-11	2445	9999-12-31	2013-05-08	20348
6506/12-10	2780.000000	1.660000	46.000000	6.500000	OIL BASED	1995-06-26	2445	9999-12-31	2013-05-08	20349
6506/12-10	2795.000000	1.530000	40.000000	7.000000	OIL BASED	1995-05-22	2445	9999-12-31	2013-05-08	20350
6506/12-10	2795.000000	1.650000	42.000000	18.000000	WATER BASED	1995-05-15	2445	9999-12-31	2013-05-08	20351
6506/12-10	2795.000000	1.670000	26.000000	10.000000	WATER BASED	1995-05-18	2445	9999-12-31	2013-05-08	20352
6506/12-10	2795.000000	1.650000	36.000000	19.000000	WATER BASED	1995-05-12	2445	9999-12-31	2013-05-08	20353
6506/12-10	2795.000000	1.670000	34.000000	14.000000	WATER BASED	1995-05-15	2445	9999-12-31	2013-05-08	20354
6506/12-10	2795.000000	1.650000	42.000000	20.000000	WATER BASED	1995-05-15	2445	9999-12-31	2013-05-08	20355
6506/12-10	2795.000000	1.670000	25.000000	7.000000	WATER BASED	1995-05-18	2445	9999-12-31	2013-05-08	20356
6506/12-10	2795.000000	1.670000	25.000000	7.000000	WATER BASED	1995-05-19	2445	9999-12-31	2013-05-08	20357
6506/12-10	2795.000000	1.670000	26.000000	7.000000	WATER BASED	1995-05-18	2445	9999-12-31	2013-05-08	20358
6506/12-10	2850.000000	1.660000	47.000000	6.500000	OIL BASED	1995-06-26	2445	9999-12-31	2013-05-08	20359
6506/12-10	2900.000000	1.660000	43.000000	8.000000	OIL BASED	1995-06-23	2445	9999-12-31	2013-05-08	20360
6506/12-10	3201.000000	1.530000	40.000000	7.000000	OIL BASED	1995-05-22	2445	9999-12-31	2013-05-08	20361
6506/12-10	3722.000000	1.530000	41.000000	7.500000	OIL BASED	1995-05-22	2445	9999-12-31	2013-05-08	20362
6506/12-10	3985.000000	1.530000	39.000000	6.500000	OIL BASED	1995-05-23	2445	9999-12-31	2013-05-08	20363
6506/12-10	4182.000000	1.530000	38.000000	6.000000	OIL BASED	1995-05-26	2445	9999-12-31	2013-05-08	20364
6506/12-10	4321.000000	1.600000	45.000000	7.500000	OIL BASED	1995-05-26	2445	9999-12-31	2013-05-08	20365
6506/12-10	4466.000000	1.600000	48.000000	8.500000	OIL BASED	1995-05-26	2445	9999-12-31	2013-05-08	20366
6506/12-10	4531.000000	1.640000	43.000000	8.500000	OIL BASED	1995-05-29	2445	9999-12-31	2013-05-08	20367
6506/12-10	4531.000000	1.660000	49.000000	10.500000	OIL BASED	1995-05-29	2445	9999-12-31	2013-05-08	20368
6506/12-10	4548.000000	1.660000	50.000000	10.000000	OIL BASED	1995-05-29	2445	9999-12-31	2013-05-08	20369
6506/12-10	4564.000000	1.200000	21.000000	10.000000	OIL BASED	1995-06-07	2445	9999-12-31	2013-05-08	20370
6506/12-10	4564.000000	1.200000	22.000000	9.000000	OIL BASED	1995-06-08	2445	9999-12-31	2013-05-08	20371
6506/12-10	4564.000000	1.200000	22.000000	8.500000	OIL BASED	1995-06-09	2445	9999-12-31	2013-05-08	20372
6506/12-10	4564.000000	1.200000	22.000000	8.000000	OIL BASED	1995-06-12	2445	9999-12-31	2013-05-08	20373
6506/12-10	4564.000000	1.200000	22.000000	8.000000	OIL BASED	1995-06-12	2445	9999-12-31	2013-05-08	20374
6506/12-10	4564.000000	1.200000	22.000000	7.000000	OIL BASED	1995-06-12	2445	9999-12-31	2013-05-08	20375
6506/12-10	4564.000000	1.200000	24.000000	6.000000	OIL BASED	1995-06-14	2445	9999-12-31	2013-05-08	20376
6506/12-10	4564.000000	1.200000	24.000000	6.000000	OIL BASED	1995-06-15	2445	9999-12-31	2013-05-08	20377
6506/12-10	4564.000000	1.200000	25.000000	6.000000	OIL BASED	1995-06-20	2445	9999-12-31	2013-05-08	20378
6506/12-10	4564.000000	1.200000	25.000000	6.000000	OIL BASED	1995-06-20	2445	9999-12-31	2013-05-08	20379
6506/12-10	4592.000000	1.200000	17.000000	7.000000	OIL BASED	1995-06-07	2445	9999-12-31	2013-05-08	20380
6506/12-10	4619.000000	1.200000	20.000000	6.500000	OIL BASED	1995-06-07	2445	9999-12-31	2013-05-08	20381
6506/12-10	4660.000000	1.200000	18.000000	8.500000	OIL BASED	1995-06-07	2445	9999-12-31	2013-05-08	20382
6506/12-10	4696.000000	1.200000	23.000000	7.500000	OIL BASED	1995-06-07	2445	9999-12-31	2013-05-08	20383
6506/12-10	4718.000000	1.200000	21.000000	7.000000	OIL BASED	1995-06-07	2445	9999-12-31	2013-05-08	20384
6506/12-10	4811.000000	1.200000	21.000000	10.000000	OIL BASED	1995-06-07	2445	9999-12-31	2013-05-08	20385
6506/12-10	4848.000000	1.200000	22.000000	9.000000	OIL BASED	1995-06-08	2445	9999-12-31	2013-05-08	20386
6506/12-10	4872.000000	1.200000	22.000000	8.500000	OIL BASED	1995-06-09	2445	9999-12-31	2013-05-08	20387
6506/12-10	4887.000000	1.200000	22.000000	8.000000	OIL BASED	1995-06-12	2445	9999-12-31	2013-05-08	20388
6506/12-10	4908.000000	1.200000	24.000000	6.000000	OIL BASED	1995-06-15	2445	9999-12-31	2013-05-08	20389
6506/12-10	4908.000000	1.200000	22.000000	7.000000	OIL BASED	1995-06-12	2445	9999-12-31	2013-05-08	20390
6506/12-10	4908.000000	1.200000	22.000000	8.000000	OIL BASED	1995-06-12	2445	9999-12-31	2013-05-08	20391
6506/12-10	4964.000000	1.200000	24.000000	6.000000	OIL BASED	1995-06-14	2445	9999-12-31	2013-05-08	20392
6506/12-10	5024.000000	1.200000	25.000000	6.000000	OIL BASED	1995-06-20	2445	9999-12-31	2013-05-08	20393
6506/12-10	5052.000000	1.200000	26.000000	7.000000	OIL BASED	1995-06-22	2445	9999-12-31	2013-05-08	20394
6506/12-10	5077.000000	1.200000	25.000000	6.000000	OIL BASED	1995-06-20	2445	9999-12-31	2013-05-08	20395
6506/12-10	5097.000000	1.200000	28.000000	6.000000	OIL BASED	1995-06-20	2445	9999-12-31	2013-05-08	20396
6506/12-10	5097.000000	1.200000	26.000000	7.000000	OIL BASED	1995-06-22	2445	9999-12-31	2013-05-08	20397
6506/12-10	5097.000000	1.200000	26.000000	7.500000	OIL BASED	1995-06-20	2445	9999-12-31	2013-05-08	20398
6506/12-10	5097.000000	1.200000	27.000000	7.000000	OIL BASED	1995-06-20	2445	9999-12-31	2013-05-08	20399
6506/12-10	5097.000000	1.200000	27.000000	6.000000	OIL BASED	1995-06-20	2445	9999-12-31	2013-05-08	20400
6506/12-10	5097.000000	1.200000	26.000000	7.000000	OIL BASED	1995-06-21	2445	9999-12-31	2013-05-08	20401
6506/12-10 A	2810.000000	1.800000	58.000000	12.000000	OIL BASED	1995-07-06	2610	9999-12-31	2013-05-08	20402
6506/12-10 A	2810.000000	1.760000	56.000000	10.000000	OIL BASED	1995-07-11	2610	9999-12-31	2013-05-08	20403
6506/12-10 A	2810.000000	1.740000	57.000000	11.000000	OIL BASED	1995-07-11	2610	9999-12-31	2013-05-08	20404
6506/12-10 A	2810.000000	1.700000	52.000000	10.000000	OIL BASED	1995-07-11	2610	9999-12-31	2013-05-08	20405
6506/12-10 A	2810.000000	1.700000	53.000000	10.000000	OIL BASED	1995-07-12	2610	9999-12-31	2013-05-08	20406
6506/12-10 A	2810.000000	1.800000	58.000000	12.500000	OIL BASED	1995-07-11	2610	9999-12-31	2013-05-08	20407
6506/12-10 A	2810.000000	1.700000	48.000000	9.000000	OIL BASED	1995-07-14	2610	9999-12-31	2013-05-08	20408
6506/12-10 A	2810.000000	1.700000	47.000000	9.500000	OIL BASED	1995-07-14	2610	9999-12-31	2013-05-08	20409
6506/12-10 A	2810.000000	1.700000	46.000000	9.500000	OIL BASED	1995-07-17	2610	9999-12-31	2013-05-08	20410
6506/12-10 A	2810.000000	1.700000	47.000000	9.000000	OIL BASED	1995-07-17	2610	9999-12-31	2013-05-08	20411
6506/12-10 A	2810.000000	1.700000	44.000000	9.000000	OIL BASED	1995-07-17	2610	9999-12-31	2013-05-08	20412
6506/12-10 A	2810.000000	1.700000	40.000000	8.500000	OIL BASED	1995-07-18	2610	9999-12-31	2013-05-08	20413
6506/12-10 A	2810.000000	1.700000	43.000000	8.000000	OIL BASED	1995-07-19	2610	9999-12-31	2013-05-08	20414
6506/12-10 A	2810.000000	1.700000	41.000000	8.000000	OIL BASED	1995-07-20	2610	9999-12-31	2013-05-08	20415
6506/12-10 A	2810.000000	1.800000	59.000000	10.500000	OIL BASED	1995-07-03	2610	9999-12-31	2013-05-08	20416
6506/12-10 A	2810.000000	1.800000	58.000000	11.500000	OIL BASED	1995-07-04	2610	9999-12-31	2013-05-08	20417
6506/12-10 A	2810.000000	1.760000	53.000000	10.000000	OIL BASED	1995-07-11	2610	9999-12-31	2013-05-08	20418
6506/12-10 A	2820.000000	1.700000	44.000000	8.000000	OIL BASED	1995-06-30	2610	9999-12-31	2013-05-08	20419
6506/12-10 A	2820.000000	1.800000	56.000000	9.500000	OIL BASED	1995-07-03	2610	9999-12-31	2013-05-08	20420
6506/12-10 A	2820.000000	1.800000	60.000000	11.500000	OIL BASED	1995-07-03	2610	9999-12-31	2013-05-08	20421
6506/12-10 A	2820.000000	1.660000	47.000000	8.500000	OIL BASED	1995-06-28	2610	9999-12-31	2013-05-08	20422
6506/12-10 A	2859.000000	1.660000	44.000000	8.000000	OIL BASED	1995-06-29	2610	9999-12-31	2013-05-08	20423
6506/12-10 A	2965.000000	1.700000	44.000000	8.000000	OIL BASED	1995-06-30	2610	9999-12-31	2013-05-08	20424
6506/12-10 A	3109.000000	1.800000	56.000000	9.500000	OIL BASED	1995-07-03	2610	9999-12-31	2013-05-08	20425
6506/12-10 A	3221.000000	1.800000	60.000000	11.500000	OIL BASED	1995-07-03	2610	9999-12-31	2013-05-08	20426
6506/12-10 A	3262.000000	1.800000	59.000000	10.500000	OIL BASED	1995-07-03	2610	9999-12-31	2013-05-08	20427
6506/12-10 A	3301.000000	1.800000	58.000000	11.500000	OIL BASED	1995-07-04	2610	9999-12-31	2013-05-08	20428
6506/12-10 A	3362.000000	1.800000	58.000000	12.000000	OIL BASED	1995-07-06	2610	9999-12-31	2013-05-08	20429
6506/12-10 A	3363.000000	1.800000	58.000000	12.500000	OIL BASED	1995-07-11	2610	9999-12-31	2013-05-08	20430
6506/12-10 A	3460.000000	1.760000	56.000000	10.000000	OIL BASED	1995-07-11	2610	9999-12-31	2013-05-08	20431
6506/12-10 A	3465.000000	1.760000	53.000000	10.000000	OIL BASED	1995-07-11	2610	9999-12-31	2013-05-08	20432
6506/12-10 A	3535.000000	1.740000	57.000000	11.000000	OIL BASED	1995-07-11	2610	9999-12-31	2013-05-08	20433
6506/12-10 A	3643.000000	1.700000	52.000000	10.000000	OIL BASED	1995-07-11	2610	9999-12-31	2013-05-08	20434
6506/12-10 A	3730.000000	1.700000	53.000000	10.000000	OIL BASED	1995-07-12	2610	9999-12-31	2013-05-08	20435
6506/12-10 A	3775.000000	1.700000	48.000000	9.000000	OIL BASED	1995-07-14	2610	9999-12-31	2013-05-08	20436
6506/12-10 A	3890.000000	1.700000	47.000000	9.500000	OIL BASED	1995-07-14	2610	9999-12-31	2013-05-08	20437
6506/12-10 A	4099.000000	1.700000	46.000000	9.500000	OIL BASED	1995-07-17	2610	9999-12-31	2013-05-08	20438
6506/12-10 A	4300.000000	1.700000	47.000000	9.000000	OIL BASED	1995-07-17	2610	9999-12-31	2013-05-08	20439
6506/12-10 A	4430.000000	1.700000	44.000000	9.000000	OIL BASED	1995-07-17	2610	9999-12-31	2013-05-08	20440
6506/12-10 A	4457.000000	1.700000	40.000000	8.500000	OIL BASED	1995-07-18	2610	9999-12-31	2013-05-08	20441
6506/12-10 A	4670.000000	1.700000	43.000000	8.000000	OIL BASED	1995-07-19	2610	9999-12-31	2013-05-08	20442
6506/12-10 A	4702.000000	1.700000	41.000000	8.000000	OIL BASED	1995-07-20	2610	9999-12-31	2013-05-08	20443
6506/12-10 A	4900.000000	1.750000	48.000000	9.500000	OIL BASED	1995-07-21	2610	9999-12-31	2013-05-08	20444
6506/12-10 A	4990.000000	1.750000	52.000000	10.000000	OIL BASED	1995-07-24	2610	9999-12-31	2013-05-08	20445
6506/12-10 A	4990.000000	1.750000	54.000000	11.000000	OIL BASED	1995-07-25	2610	9999-12-31	2013-05-08	20446
6506/12-10 A	4990.000000	1.750000	50.000000	10.000000	OIL BASED	1995-07-24	2610	9999-12-31	2013-05-08	20447
6506/12-10 A	4990.000000	1.750000	51.000000	10.000000	OIL BASED	1995-07-24	2610	9999-12-31	2013-05-08	20448
6506/12-10 A	4990.000000	1.750000	54.000000	11.000000	OIL BASED	1995-07-26	2610	9999-12-31	2013-05-08	20449
6506/12-10 A	5041.000000	1.770000	51.000000	10.000000	OIL BASED	1995-07-24	2610	9999-12-31	2013-05-08	20450
6506/12-10 A	5076.000000	1.780000	52.000000	10.000000	OIL BASED	1995-07-24	2610	9999-12-31	2013-05-08	20451
6506/12-10 A	5175.000000	1.780000	50.000000	10.000000	OIL BASED	1995-07-24	2610	9999-12-31	2013-05-08	20452
6506/12-10 A	5245.000000	1.200000	25.000000	7.000000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20453
6506/12-10 A	5260.000000	1.200000	28.000000	7.500000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20454
6506/12-10 A	5260.000000	1.200000	28.000000	7.000000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20455
6506/12-10 A	5260.000000	1.200000	28.000000	7.500000	OIL BASED	1995-08-08	2610	9999-12-31	2013-05-08	20456
6506/12-10 A	5260.000000	1.200000	29.000000	8.000000	OIL BASED	1995-08-10	2610	9999-12-31	2013-05-08	20457
6506/12-10 A	5260.000000	1.200000	28.000000	7.000000	OIL BASED	1995-08-10	2610	9999-12-31	2013-05-08	20458
6506/12-10 A	5260.000000	1.200000	28.000000	7.500000	OIL BASED	1995-08-15	2610	9999-12-31	2013-05-08	20459
6506/12-10 A	5260.000000	1.200000	29.000000	7.000000	OIL BASED	1995-08-15	2610	9999-12-31	2013-05-08	20460
6506/12-10 A	5260.000000	1.200000	29.000000	7.500000	OIL BASED	1995-08-15	2610	9999-12-31	2013-05-08	20461
6506/12-10 A	5260.000000	1.200000	29.000000	8.500000	OIL BASED	1995-08-17	2610	9999-12-31	2013-05-08	20462
6506/12-10 A	5260.000000	1.200000	30.000000	7.500000	OIL BASED	1995-08-17	2610	9999-12-31	2013-05-08	20463
6506/12-10 A	5260.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-17	2610	9999-12-31	2013-05-08	20464
6506/12-10 A	5260.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-18	2610	9999-12-31	2013-05-08	20465
6506/12-10 A	5260.000000	1.780000	54.000000	11.000000	OIL BASED	1995-07-25	2610	9999-12-31	2013-05-08	20466
6506/12-10 A	5260.000000	1.780000	54.000000	11.000000	OIL BASED	1995-07-26	2610	9999-12-31	2013-05-08	20467
6506/12-10 A	5260.000000	1.210000	27.000000	7.000000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20468
6506/12-10 A	5273.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-21	2610	9999-12-31	2013-05-08	20469
6506/12-10 A	5273.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-21	2610	9999-12-31	2013-05-08	20470
6506/12-10 A	5273.000000	1.200000	36.000000	10.000000	OIL BASED	1995-09-01	2610	9999-12-31	2013-05-08	20471
6506/12-10 A	5273.000000	1.200000	35.000000	10.000000	OIL BASED	1995-08-29	2610	9999-12-31	2013-05-08	20472
6506/12-10 A	5273.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-21	2610	9999-12-31	2013-05-08	20473
6506/12-10 A	5273.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-22	2610	9999-12-31	2013-05-08	20474
6506/12-10 A	5273.000000	1.200000	31.000000	9.000000	OIL BASED	1995-08-23	2610	9999-12-31	2013-05-08	20475
6506/12-10 A	5273.000000	1.200000	35.000000	9.500000	OIL BASED	1995-08-30	2610	9999-12-31	2013-05-08	20476
6506/12-10 A	5280.000000	1.210000	24.000000	6.000000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20477
6506/12-10 A	5310.000000	1.200000	25.000000	6.500000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20478
6506/12-10 A	5345.000000	1.200000	26.000000	7.500000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20479
6506/12-10 A	5371.000000	1.200000	25.000000	7.000000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20480
6506/12-10 A	5379.000000	1.200000	26.000000	7.500000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20481
6506/12-10 A	5380.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-21	2610	9999-12-31	2013-05-08	20482
6506/12-10 A	5432.000000	1.200000	27.000000	7.000000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20483
6506/12-10 A	5457.000000	1.200000	28.000000	7.500000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20484
6506/12-10 A	5499.000000	1.200000	28.000000	7.000000	OIL BASED	1995-08-07	2610	9999-12-31	2013-05-08	20485
6506/12-10 A	5536.000000	1.200000	28.000000	7.500000	OIL BASED	1995-08-08	2610	9999-12-31	2013-05-08	20486
6506/12-10 A	5553.000000	1.200000	29.000000	8.000000	OIL BASED	1995-08-10	2610	9999-12-31	2013-05-08	20487
6506/12-10 A	5613.000000	1.200000	28.000000	7.000000	OIL BASED	1995-08-10	2610	9999-12-31	2013-05-08	20488
6506/12-10 A	5645.000000	1.200000	28.000000	7.500000	OIL BASED	1995-08-15	2610	9999-12-31	2013-05-08	20489
6506/12-10 A	5711.000000	1.200000	29.000000	7.000000	OIL BASED	1995-08-15	2610	9999-12-31	2013-05-08	20490
6506/12-10 A	5737.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-21	2610	9999-12-31	2013-05-08	20491
6506/12-10 A	5737.000000	1.200000	31.000000	9.000000	OIL BASED	1995-08-23	2610	9999-12-31	2013-05-08	20492
6506/12-10 A	5737.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-22	2610	9999-12-31	2013-05-08	20493
6506/12-10 A	5737.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-21	2610	9999-12-31	2013-05-08	20494
6506/12-10 A	5753.000000	1.200000	29.000000	7.500000	OIL BASED	1995-08-15	2610	9999-12-31	2013-05-08	20495
6506/12-10 A	5781.000000	1.200000	29.000000	8.500000	OIL BASED	1995-08-17	2610	9999-12-31	2013-05-08	20496
6506/12-10 A	5846.000000	1.200000	30.000000	7.500000	OIL BASED	1995-08-17	2610	9999-12-31	2013-05-08	20497
6506/12-10 A	5890.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-18	2610	9999-12-31	2013-05-08	20498
6506/12-10 A	5890.000000	1.200000	28.000000	8.000000	OIL BASED	1995-08-17	2610	9999-12-31	2013-05-08	20499
6506/12-10 A	5890.000000	1.200000	33.000000	9.000000	OIL BASED	1995-08-25	2610	9999-12-31	2013-05-08	20500
6506/12-10 A	5890.000000	1.200000	32.000000	9.000000	OIL BASED	1995-08-25	2610	9999-12-31	2013-05-08	20501
6506/12-10 A	5890.000000	1.200000	30.000000	7.500000	OIL BASED	1995-08-29	2610	9999-12-31	2013-05-08	20502
6506/12-10 A	5893.000000	1.200000	29.000000	8.500000	OIL BASED	1995-08-29	2610	9999-12-31	2013-05-08	20503
6506/12-10 A	5912.000000	1.200000	33.000000	8.500000	OIL BASED	1995-08-29	2610	9999-12-31	2013-05-08	20504
6506/12-10 A	5948.000000	1.200000	35.000000	10.000000	OIL BASED	1995-08-29	2610	9999-12-31	2013-05-08	20505
6506/12-10 A	5959.000000	1.200000	35.000000	9.500000	OIL BASED	1995-08-30	2610	9999-12-31	2013-05-08	20506
6506/12-10 A	5972.000000	1.200000	36.000000	10.000000	OIL BASED	1995-09-01	2610	9999-12-31	2013-05-08	20507
6506/12-11 S	1070.000000	1.250000	0.000000	0.000000	DUMMY	9999-12-31	2795	9999-12-31	2013-05-08	20508
6506/12-11 S	1720.000000	1.280000	0.000000	0.000000	DUMMY	9999-12-31	2795	9999-12-31	2013-05-08	20509
6506/12-11 S	2242.000000	1.360000	18.000000	0.000000	ANCO 2000	9999-12-31	2795	9999-12-31	2013-05-08	20510
6506/12-11 S	2340.000000	1.650000	65.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20511
6506/12-11 S	2560.000000	1.660000	52.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20512
6506/12-11 S	3980.000000	1.760000	59.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20513
6506/12-11 S	3986.000000	1.660000	52.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20514
6506/12-11 S	4326.000000	1.720000	54.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20515
6506/12-11 S	4548.000000	1.760000	56.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20516
6506/12-11 S	4619.000000	1.760000	55.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20517
6506/12-11 S	4727.000000	1.760000	57.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20518
6506/12-11 S	4756.000000	1.760000	56.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20519
6506/12-11 S	4790.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	2795	9999-12-31	2013-05-08	20520
6506/12-11 S	4790.000000	1.200000	18.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20521
6506/12-11 S	4802.000000	1.200000	30.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20522
6506/12-11 S	4831.000000	1.200000	29.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20523
6506/12-11 S	4950.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	2795	9999-12-31	2013-05-08	20524
6506/12-11 S	4953.000000	1.200000	23.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20525
6506/12-11 S	4999.000000	1.200000	25.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20526
6506/12-11 S	5041.000000	1.200000	27.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20527
6506/12-11 S	5063.000000	1.200000	18.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20528
6506/12-11 S	5117.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	2795	9999-12-31	2013-05-08	20529
6506/12-11 S	5146.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	2795	9999-12-31	2013-05-08	20530
6506/12-11 S	5212.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	2795	9999-12-31	2013-05-08	20531
6506/12-11 S	5237.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	2795	9999-12-31	2013-05-08	20532
6506/12-11 S	5268.000000	1.200000	30.000000	0.000000	ANCO VERT	9999-12-31	2795	9999-12-31	2013-05-08	20533
6506/12-11 S	5268.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	2795	9999-12-31	2013-05-08	20534
6506/12-12 A	4814.000000	1.350000	20.000000	0.000000	XP-07 - #14	9999-12-31	6208	9999-12-31	2013-05-08	20535
6506/12-12 A	4988.000000	1.350000	20.000000	0.000000	XP-07 - #14	9999-12-31	6208	9999-12-31	2013-05-08	20536
6506/12-12 A	5102.000000	1.350000	18.000000	0.000000	XP-07 - #14	9999-12-31	6208	9999-12-31	2013-05-08	20537
6506/12-12 A	5200.000000	1.350000	20.000000	0.000000	XP-07 - #14	9999-12-31	6208	9999-12-31	2013-05-08	20538
6506/12-12 A	5264.000000	1.360000	20.000000	0.000000	XP-07 - #14	9999-12-31	6208	9999-12-31	2013-05-08	20539
6506/12-12 A	5415.000000	1.360000	20.000000	0.000000	XP-07 - #14	9999-12-31	6208	9999-12-31	2013-05-08	20540
6506/12-12 A	5481.000000	1.330000	18.000000	0.000000	XP-07 - #14	9999-12-31	6208	9999-12-31	2013-05-08	20541
6506/12-12 A	5481.000000	1.350000	21.000000	0.000000	XP-07 - #14	9999-12-31	6208	9999-12-31	2013-05-08	20542
6506/12-12 S	339.000000	1.040000	28.000000	0.000000	Spud Mud	9999-12-31	6144	9999-12-31	2013-05-08	20543
6506/12-12 S	378.000000	1.300000	15.000000	0.000000	Spud Mud	9999-12-31	6144	9999-12-31	2013-05-08	20544
6506/12-12 S	392.000000	1.300000	15.000000	0.000000	Ultradrill	9999-12-31	6144	9999-12-31	2013-05-08	20545
6506/12-12 S	1000.000000	1.040000	11.000000	0.000000	Spud Mud	9999-12-31	6144	9999-12-31	2013-05-08	20546
6506/12-12 S	1058.000000	1.250000	33.000000	0.000000	Performadril	9999-12-31	6144	9999-12-31	2013-05-08	20547
6506/12-12 S	1476.000000	1.370000	36.000000	0.000000	Performadril	9999-12-31	6144	9999-12-31	2013-05-08	20548
6506/12-12 S	2205.000000	1.450000	37.000000	0.000000	Performadril	9999-12-31	6144	9999-12-31	2013-05-08	20549
6506/12-12 S	2252.000000	1.450000	38.000000	0.000000	Performadril	9999-12-31	6144	9999-12-31	2013-05-08	20550
6506/12-12 S	2795.000000	1.730000	38.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20551
6506/12-12 S	4132.000000	1.730000	36.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20552
6506/12-12 S	4613.000000	1.730000	34.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20553
6506/12-12 S	4785.000000	1.220000	20.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20554
6506/12-12 S	4785.000000	1.780000	32.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20555
6506/12-12 S	4785.000000	1.750000	29.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20556
6506/12-12 S	4785.000000	1.730000	31.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20557
6506/12-12 S	4802.000000	1.350000	18.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20558
6506/12-12 S	4854.000000	1.650000	27.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20559
6506/12-12 S	5310.000000	1.390000	23.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20560
6506/12-12 S	5490.000000	1.360000	19.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20561
6506/12-12 S	5508.000000	1.350000	19.000000	0.000000	XP-07 - #14	9999-12-31	6144	9999-12-31	2013-05-08	20562
6506/12-2	350.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	462	9999-12-31	2013-05-08	20563
6506/12-2	955.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	462	9999-12-31	2013-05-08	20564
6506/12-3	2043.000000	1.250000	11.000000	7.500000	WATER BASED	1985-03-19	468	9999-12-31	2013-05-08	20565
6506/12-3	2043.000000	1.250000	11.000000	7.500000	WATERBASED	1985-03-19	468	9999-12-31	2013-05-08	20566
6506/12-3	2131.000000	1.400000	12.000000	7.000000	WATERBASED	1985-03-19	468	9999-12-31	2013-05-08	20567
6506/12-3	2131.000000	1.400000	12.000000	7.000000	WATER BASED	1985-03-19	468	9999-12-31	2013-05-08	20568
6506/12-3	2206.000000	1.480000	17.000000	10.000000	WATER BASED	1985-03-19	468	9999-12-31	2013-05-08	20569
6506/12-3	2206.000000	1.480000	17.000000	10.000000	WATERBASED	1985-03-19	468	9999-12-31	2013-05-08	20570
6506/12-3	2250.000000	1.570000	17.000000	10.000000	WATERBASED	1985-03-19	468	9999-12-31	2013-05-08	20571
6506/12-3	2250.000000	1.570000	17.000000	10.000000	WATER BASED	1985-03-19	468	9999-12-31	2013-05-08	20572
6506/12-3	3290.000000	1.650000	240.000000	7.000000	WATERBASED	1985-04-02	468	9999-12-31	2013-05-08	20573
6506/12-3	3290.000000	1.650000	240.000000	7.000000	WATER BASED	1985-04-02	468	9999-12-31	2013-05-08	20574
6506/12-3	3711.000000	1.700000	21.000000	6.200000	WATER BASED	1985-04-10	468	9999-12-31	2013-05-08	20575
6506/12-3	3711.000000	1.700000	21.000000	6.200000	WATERBASED	1985-04-10	468	9999-12-31	2013-05-08	20576
6506/12-3	3822.000000	1.200000	0.000000	0.000000	WATER BASED	1985-04-17	468	9999-12-31	2013-05-08	20577
6506/12-3	3830.000000	1.730000	0.000000	24.000000	WATERBASED	1985-04-15	468	9999-12-31	2013-05-08	20578
6506/12-3	3830.000000	1.730000	0.000000	24.000000	WATER BASED	1985-04-15	468	9999-12-31	2013-05-08	20579
6506/12-3	4360.000000	1.120000	10.000000	9.000000	WATER BASED	1985-05-07	468	9999-12-31	2013-05-08	20580
6506/12-4	680.000000	1.120000	6.000000	7.300000	WATERBASED	1985-04-10	475	9999-12-31	2013-05-08	20581
6506/12-4	680.000000	1.120000	6.000000	7.300000	WATER BASED	1985-04-10	475	9999-12-31	2013-05-08	20582
6506/12-4	1650.000000	1.210000	6.000000	7.000000	WATERBASED	1985-04-23	475	9999-12-31	2013-05-08	20583
6506/12-4	1650.000000	1.210000	6.000000	7.000000	WATER BASED	1985-04-23	475	9999-12-31	2013-05-08	20584
6506/12-4	2107.000000	1.500000	6.000000	7.000000	WATERBASED	1985-04-25	475	9999-12-31	2013-05-08	20585
6506/12-4	2107.000000	1.500000	6.000000	7.000000	WATER BASED	1985-04-25	475	9999-12-31	2013-05-08	20586
6506/12-4	3950.000000	1.730000	18.000000	6.700000	WATER BASED	1985-06-04	475	9999-12-31	2013-05-08	20587
6506/12-4	3950.000000	1.730000	18.000000	6.700000	WATERBASED	1985-06-04	475	9999-12-31	2013-05-08	20588
6506/12-4	3978.000000	1.790000	18.000000	7.000000	WATERBASED	1985-06-20	475	9999-12-31	2013-05-08	20589
6506/12-4	3978.000000	1.790000	18.000000	7.000000	WATER BASED	1985-06-20	475	9999-12-31	2013-05-08	20590
6506/12-4	4112.000000	1.790000	22.000000	7.700000	WATER BASED	1985-06-25	475	9999-12-31	2013-05-08	20591
6506/12-4	4112.000000	1.790000	22.000000	7.700000	WATERBASED	1985-06-25	475	9999-12-31	2013-05-08	20592
6506/12-5	1080.000000	1.120000	8.000000	10.100000	WATER BASED	1985-10-29	852	9999-12-31	2013-05-08	20593
6506/12-5	1080.000000	1.120000	15.000000	10.000000	WATER BASED	1985-10-28	852	9999-12-31	2013-05-08	20594
6506/12-5	1198.000000	1.120000	5.000000	8.000000	WATER BASED	1985-11-05	852	9999-12-31	2013-05-08	20595
6506/12-5	1320.000000	1.200000	12.000000	9.000000	WATER BASED	1985-11-05	852	9999-12-31	2013-05-08	20596
6506/12-5	1607.000000	1.300000	12.000000	10.000000	WATER BASED	1985-11-07	852	9999-12-31	2013-05-08	20597
6506/12-5	1932.000000	1.350000	15.000000	110.900000	WATER BASED	1985-11-07	852	9999-12-31	2013-05-08	20598
6506/12-5	2129.000000	1.450000	18.000000	12.800000	WATER BASED	1985-11-08	852	9999-12-31	2013-05-08	20599
6506/12-5	2217.000000	1.570000	20.000000	17.300000	WATER BASED	1985-11-11	852	9999-12-31	2013-05-08	20600
6506/12-5	2217.000000	1.500000	18.000000	14.800000	WATER BASED	1985-11-11	852	9999-12-31	2013-05-08	20601
6506/12-5	2289.000000	1.600000	20.000000	13.900000	WATER BASED	1985-11-11	852	9999-12-31	2013-05-08	20602
6506/12-5	2289.000000	1.640000	17.000000	9.000000	WATER BASED	1985-11-12	852	9999-12-31	2013-05-08	20603
6506/12-5	2539.000000	1.650000	22.000000	9.000000	WATER BASED	1985-11-18	852	9999-12-31	2013-05-08	20604
6506/12-5	2539.000000	1.720000	24.000000	8.000000	WATER BASED	1985-11-18	852	9999-12-31	2013-05-08	20605
6506/12-5	2540.000000	1.720000	23.000000	8.000000	WATER BASED	1985-11-18	852	9999-12-31	2013-05-08	20606
6506/12-5	2585.000000	1.720000	23.000000	8.000000	WATER BASED	1985-11-18	852	9999-12-31	2013-05-08	20607
6506/12-5	2677.000000	1.720000	24.000000	8.000000	WATER BASED	1985-11-18	852	9999-12-31	2013-05-08	20608
6506/12-5	3000.000000	1.720000	27.000000	8.000000	WATERBASED	1986-03-17	852	9999-12-31	2013-05-08	20609
6506/12-5	3105.000000	1.720000	20.000000	9.000000	WATER BASED	1985-11-25	852	9999-12-31	2013-05-08	20610
6506/12-5	3174.000000	1.610000	14.000000	8.000000	WATERBASED	1986-03-12	852	9999-12-31	2013-05-08	20611
6506/12-5	3883.000000	1.210000	5.800000	5.000000	WATER BASED	1985-12-24	852	9999-12-31	2013-05-08	20612
6506/12-5	3903.000000	1.220000	13.000000	6.000000	WATER BASED	1985-12-24	852	9999-12-31	2013-05-08	20613
6506/12-5	3914.000000	1.170000	15.000000	4.900000	WATER BASED	1986-02-11	852	9999-12-31	2013-05-08	20614
6506/12-5	3914.000000	1.170000	17.000000	4.900000	WATER BASED	1986-01-16	852	9999-12-31	2013-05-08	20615
6506/12-5	3914.000000	1.170000	14.000000	4.900000	WATER BASED	1986-02-14	852	9999-12-31	2013-05-08	20616
6506/12-5	3914.000000	1.170000	17.000000	4.900000	WATER BASED	1986-02-11	852	9999-12-31	2013-05-08	20617
6506/12-5	3914.000000	1.170000	14.000000	4.900000	WATER BASED	1986-02-11	852	9999-12-31	2013-05-08	20618
6506/12-5	3929.000000	1.220000	15.000000	4.100000	WATER BASED	1986-01-02	852	9999-12-31	2013-05-08	20619
6506/12-5	4046.000000	1.170000	10.000000	3.900000	WATER BASED	1986-01-06	852	9999-12-31	2013-05-08	20620
6506/12-5	4180.000000	1.120000	16.000000	3.300000	WATER BASED	1986-01-14	852	9999-12-31	2013-05-08	20621
6506/12-6	423.000000	1.120000	42.000000	8.000000	WATERBASED	1986-04-07	1342	9999-12-31	2013-05-08	20622
6506/12-6	530.000000	1.140000	50.000000	17.000000	WATERBASED	1986-04-09	1342	9999-12-31	2013-05-08	20623
6506/12-6	538.000000	1.120000	42.000000	8.000000	WATERBASED	1986-04-07	1342	9999-12-31	2013-05-08	20624
6506/12-6	538.000000	0.000000	41.000000	80.000000	WATERBASED	1986-04-07	1342	9999-12-31	2013-05-08	20625
6506/12-6	556.000000	1.120000	40.000000	7.000000	WATERBASED	1986-04-07	1342	9999-12-31	2013-05-08	20626
6506/12-6	901.000000	1.550000	68.000000	4.900000	WATERBASED	1986-07-31	1342	9999-12-31	2013-05-08	20627
6506/12-6	912.000000	1.700000	83.000000	7.000000	WATERBASED	1986-07-30	1342	9999-12-31	2013-05-08	20628
6506/12-6	949.000000	1.140000	41.000000	8.000000	WATERBASED	1986-04-07	1342	9999-12-31	2013-05-08	20629
6506/12-6	949.000000	0.000000	42.000000	11.500000	WATERBASED	1986-04-07	1342	9999-12-31	2013-05-08	20630
6506/12-6	1065.000000	1.160000	42.000000	10.000000	WATERBASED	1986-04-08	1342	9999-12-31	2013-05-08	20631
6506/12-6	1078.000000	1.300000	40.000000	14.000000	WATERBASED	1986-04-16	1342	9999-12-31	2013-05-08	20632
6506/12-6	1078.000000	0.000000	45.000000	24.000000	WATERBASED	1986-04-17	1342	9999-12-31	2013-05-08	20633
6506/12-6	1095.000000	1.130000	14.000000	25.000000	WATERBASED	1986-04-21	1342	9999-12-31	2013-05-08	20634
6506/12-6	1292.000000	1.140000	11.000000	12.000000	WATERBASED	1986-04-21	1342	9999-12-31	2013-05-08	20635
6506/12-6	1534.000000	1.200000	12.000000	13.000000	WATERBASED	1986-04-23	1342	9999-12-31	2013-05-08	20636
6506/12-6	2081.000000	1.350000	12.000000	13.000000	WATERBASED	1986-04-25	1342	9999-12-31	2013-05-08	20637
6506/12-6	2103.000000	1.700000	25.000000	13.000000	WATERBASED	1986-05-05	1342	9999-12-31	2013-05-08	20638
6506/12-6	2147.000000	1.450000	22.000000	12.000000	WATERBASED	1986-04-25	1342	9999-12-31	2013-05-08	20639
6506/12-6	2265.000000	1.550000	21.000000	13.000000	WATERBASED	1986-04-25	1342	9999-12-31	2013-05-08	20640
6506/12-6	2265.000000	0.000000	22.000000	12.000000	WATERBASED	1986-04-28	1342	9999-12-31	2013-05-08	20641
6506/12-6	2265.000000	0.000000	23.000000	13.000000	WATERBASED	1986-04-28	1342	9999-12-31	2013-05-08	20642
6506/12-6	2310.000000	1.550000	20.000000	8.000000	WATERBASED	1986-04-28	1342	9999-12-31	2013-05-08	20643
6506/12-6	2396.000000	1.650000	22.000000	12.000000	WATERBASED	1986-04-28	1342	9999-12-31	2013-05-08	20644
6506/12-6	2497.000000	1.700000	20.000000	25.000000	WATERBASED	1986-04-29	1342	9999-12-31	2013-05-08	20645
6506/12-6	2623.000000	1.700000	25.000000	10.000000	WATERBASED	1986-04-29	1342	9999-12-31	2013-05-08	20646
6506/12-6	2631.000000	1.700000	23.000000	10.000000	WATERBASED	1986-04-29	1342	9999-12-31	2013-05-08	20647
6506/12-6	2753.000000	1.700000	23.000000	10.000000	WATERBASED	1986-04-30	1342	9999-12-31	2013-05-08	20648
6506/12-6	2854.000000	1.700000	25.000000	12.000000	WATERBASED	1986-04-30	1342	9999-12-31	2013-05-08	20649
6506/12-6	2876.000000	1.700000	24.000000	11.000000	WATERBASED	1986-05-02	1342	9999-12-31	2013-05-08	20650
6506/12-6	2935.000000	1.500000	21.000000	11.000000	WATERBASED	1986-05-02	1342	9999-12-31	2013-05-08	20651
6506/12-6	2935.000000	0.000000	21.000000	11.000000	WATERBASED	1986-05-02	1342	9999-12-31	2013-05-08	20652
6506/12-6	2966.000000	1.700000	23.000000	10.000000	WATERBASED	1986-05-02	1342	9999-12-31	2013-05-08	20653
6506/12-6	3062.000000	1.700000	27.000000	13.000000	WATERBASED	1986-05-05	1342	9999-12-31	2013-05-08	20654
6506/12-6	3143.000000	1.700000	28.000000	13.000000	WATERBASED	1986-05-05	1342	9999-12-31	2013-05-08	20655
6506/12-6	3189.000000	1.700000	26.000000	13.000000	WATERBASED	1986-05-05	1342	9999-12-31	2013-05-08	20656
6506/12-6	3191.000000	1.700000	34.000000	12.000000	WATERBASED	1986-05-05	1342	9999-12-31	2013-05-08	20657
6506/12-6	3205.000000	1.700000	29.000000	14.000000	WATERBASED	1986-05-05	1342	9999-12-31	2013-05-08	20658
6506/12-6	3230.000000	1.700000	28.000000	12.000000	WATERBASED	1986-05-06	1342	9999-12-31	2013-05-08	20659
6506/12-6	3271.000000	1.700000	24.000000	12.000000	WATERBASED	1986-05-06	1342	9999-12-31	2013-05-08	20660
6506/12-6	3289.000000	1.700000	27.000000	11.000000	WATERBASED	1986-05-07	1342	9999-12-31	2013-05-08	20661
6506/12-6	3318.000000	1.700000	22.000000	10.000000	WATERBASED	1986-05-09	1342	9999-12-31	2013-05-08	20662
6506/12-6	3465.000000	1.700000	19.000000	10.000000	WATERBASED	1986-05-09	1342	9999-12-31	2013-05-08	20663
6506/12-6	3724.000000	1.700000	20.000000	10.000000	WATERBASED	1986-05-12	1342	9999-12-31	2013-05-08	20664
6506/12-6	3724.000000	0.000000	20.000000	10.000000	WATERBASED	1986-05-13	1342	9999-12-31	2013-05-08	20665
6506/12-6	3882.000000	0.000000	26.000000	12.600000	WATERBASED	1986-05-16	1342	9999-12-31	2013-05-08	20666
6506/12-6	3882.000000	1.700000	22.000000	8.000000	WATERBASED	1986-05-14	1342	9999-12-31	2013-05-08	20667
6506/12-6	3918.000000	1.700000	80.000000	4.900000	WATERBASED	1986-07-28	1342	9999-12-31	2013-05-08	20668
6506/12-6	3938.000000	1.700000	23.000000	8.000000	WATERBASED	1986-05-16	1342	9999-12-31	2013-05-08	20669
6506/12-6	3986.000000	1.700000	24.000000	10.600000	WATERBASED	1986-05-16	1342	9999-12-31	2013-05-08	20670
6506/12-6	4001.000000	1.220000	80.000000	5.600000	WATERBASED	1986-07-28	1342	9999-12-31	2013-05-08	20671
6506/12-6	4060.000000	1.700000	24.000000	10.600000	WATERBASED	1986-05-16	1342	9999-12-31	2013-05-08	20672
6506/12-6	4089.000000	1.700000	25.000000	11.000000	WATERBASED	1986-05-16	1342	9999-12-31	2013-05-08	20673
6506/12-6	4130.000000	1.700000	24.000000	9.300000	WATERBASED	1986-05-16	1342	9999-12-31	2013-05-08	20674
6506/12-6	4140.000000	1.700000	1.700000	11.000000	WATERBASED	1986-05-21	1342	9999-12-31	2013-05-08	20675
6506/12-6	4160.000000	1.700000	24.000000	10.000000	WATERBASED	1986-05-22	1342	9999-12-31	2013-05-08	20676
6506/12-6	4160.000000	0.000000	25.000000	9.000000	WATERBASED	1986-05-23	1342	9999-12-31	2013-05-08	20677
6506/12-6	4161.000000	1.580000	19.000000	7.000000	WATERBASED	1986-05-26	1342	9999-12-31	2013-05-08	20678
6506/12-6	4181.000000	1.430000	14.000000	5.600000	WATERBASED	1986-06-05	1342	9999-12-31	2013-05-08	20679
6506/12-6	4187.000000	1.300000	12.000000	6.300000	WATERBASED	1986-06-05	1342	9999-12-31	2013-05-08	20680
6506/12-6	4202.000000	1.200000	62.000000	4.200000	WATERBASED	1986-07-28	1342	9999-12-31	2013-05-08	20681
6506/12-6	4212.000000	1.300000	13.000000	7.000000	WATERBASED	1986-06-05	1342	9999-12-31	2013-05-08	20682
6506/12-6	4239.000000	1.300000	14.000000	6.700000	WATERBASED	1986-06-05	1342	9999-12-31	2013-05-08	20683
6506/12-6	4257.000000	1.200000	52.000000	4.200000	WATERBASED	1986-07-21	1342	9999-12-31	2013-05-08	20684
6506/12-6	4266.000000	1.300000	15.000000	6.700000	WATERBASED	1986-06-05	1342	9999-12-31	2013-05-08	20685
6506/12-6	4287.000000	1.200000	51.000000	3.500000	WATERBASED	1986-07-22	1342	9999-12-31	2013-05-08	20686
6506/12-6	4287.000000	0.000000	53.000000	2.800000	WATERBASED	1986-07-24	1342	9999-12-31	2013-05-08	20687
6506/12-6	4287.000000	0.000000	50.000000	3.500000	WATERBASED	1986-07-23	1342	9999-12-31	2013-05-08	20688
6506/12-6	4287.000000	0.000000	51.000000	2.800000	WATERBASED	1986-07-28	1342	9999-12-31	2013-05-08	20689
6506/12-6	4290.000000	1.200000	15.000000	7.700000	WATERBASED	1986-06-05	1342	9999-12-31	2013-05-08	20690
6506/12-6	4317.000000	1.200000	15.000000	7.000000	WATER BASED	1986-06-05	1342	9999-12-31	2013-05-08	20691
6506/12-6	4339.000000	1.200000	15.000000	7.000000	WATERBASED	1986-06-05	1342	9999-12-31	2013-05-08	20692
6506/12-6	4371.000000	1.200000	14.000000	7.000000	WATERBASED	1986-06-05	1342	9999-12-31	2013-05-08	20693
6506/12-6	4400.000000	0.000000	46.000000	4.200000	WATERBASED	1986-07-20	1342	9999-12-31	2013-05-08	20694
6506/12-6	4400.000000	0.000000	53.000000	4.200000	WATERBASED	1986-07-20	1342	9999-12-31	2013-05-08	20695
6506/12-6	4400.000000	0.000000	54.000000	3.500000	WATERBASED	1986-07-14	1342	9999-12-31	2013-05-08	20696
6506/12-6	4400.000000	0.000000	45.000000	4.200000	WATERBASED	1986-07-15	1342	9999-12-31	2013-05-08	20697
6506/12-6	4400.000000	0.000000	45.000000	3.500000	WATERBASED	1986-07-17	1342	9999-12-31	2013-05-08	20698
6506/12-6	4400.000000	0.000000	47.000000	4.200000	WATERBASED	1986-07-16	1342	9999-12-31	2013-05-08	20699
6506/12-6	4400.000000	1.200000	58.000000	6.300000	WATER BASED	1986-07-13	1342	9999-12-31	2013-05-08	20700
6506/12-6	4400.000000	0.000000	50.000000	8.400000	WATERBASED	1986-07-13	1342	9999-12-31	2013-05-08	20701
6506/12-6	4400.000000	0.000000	45.000000	4.200000	WATERBASED	1986-07-20	1342	9999-12-31	2013-05-08	20702
6506/12-6	4435.000000	1.200000	160.000000	7.000000	WATERBASED	1986-06-05	1342	9999-12-31	2013-05-08	20703
6506/12-6	4480.000000	1.200000	16.000000	7.000000	WATERBASED	1986-06-08	1342	9999-12-31	2013-05-08	20704
6506/12-6	4493.000000	1.200000	70.000000	6.300000	WATER BASED	1986-07-13	1342	9999-12-31	2013-05-08	20705
6506/12-6	4508.000000	1.200000	50.000000	6.700000	WATER BASED	1986-07-07	1342	9999-12-31	2013-05-08	20706
6506/12-6	4508.000000	1.200000	55.000000	7.200000	WATER BASED	1986-07-06	1342	9999-12-31	2013-05-08	20707
6506/12-6	4511.000000	1.200000	16.000000	7.000000	WATERBASED	1986-06-08	1342	9999-12-31	2013-05-08	20708
6506/12-6	4541.000000	1.200000	16.000000	6.300000	WATERBASED	1986-06-08	1342	9999-12-31	2013-05-08	20709
6506/12-6	4552.000000	1.200000	16.000000	6.300000	WATERBASED	1986-06-09	1342	9999-12-31	2013-05-08	20710
6506/12-6	4579.000000	1.200000	17.000000	6.300000	WATERBASED	1986-06-11	1342	9999-12-31	2013-05-08	20711
6506/12-6	4607.000000	1.200000	18.000000	6.300000	WATERBASED	1986-06-12	1342	9999-12-31	2013-05-08	20712
6506/12-6	4673.000000	1.200000	18.000000	7.000000	WATERBASED	1986-06-15	1342	9999-12-31	2013-05-08	20713
6506/12-6	4741.000000	1.200000	19.000000	7.000000	WATERBASED	1986-06-15	1342	9999-12-31	2013-05-08	20714
6506/12-6	4741.000000	0.000000	18.000000	7.000000	WATERBASED	1986-06-15	1342	9999-12-31	2013-05-08	20715
6506/12-6	4741.000000	0.000000	18.000000	5.600000	WATERBASED	1986-06-17	1342	9999-12-31	2013-05-08	20716
6506/12-6	4741.000000	0.000000	18.000000	5.600000	WATERBASED	1986-06-16	1342	9999-12-31	2013-05-08	20717
6506/12-6	4741.000000	0.000000	17.000000	4.200000	WATERBASED	1986-07-04	1342	9999-12-31	2013-05-08	20718
6506/12-6	4741.000000	0.000000	16.000000	4.200000	WATERBASED	1986-06-30	1342	9999-12-31	2013-05-08	20719
6506/12-6	4741.000000	0.000000	18.000000	5.600000	WATERBASED	1986-07-01	1342	9999-12-31	2013-05-08	20720
6506/12-6	4741.000000	0.000000	16.000000	4.900000	WATERBASED	1986-07-02	1342	9999-12-31	2013-05-08	20721
6506/12-6	4741.000000	0.000000	15.000000	3.500000	WATERBASED	1986-06-30	1342	9999-12-31	2013-05-08	20722
6506/12-6	4741.000000	0.000000	55.000000	4.900000	WATERBASED	1986-06-30	1342	9999-12-31	2013-05-08	20723
6506/12-6	4741.000000	0.000000	24.000000	7.000000	WATERBASED	1986-06-23	1342	9999-12-31	2013-05-08	20724
6506/12-6	4741.000000	0.000000	22.000000	6.300000	WATERBASED	1986-06-23	1342	9999-12-31	2013-05-08	20725
6506/12-6	4741.000000	0.000000	22.000000	5.600000	WATERBASED	1986-06-23	1342	9999-12-31	2013-05-08	20726
6506/12-6	4741.000000	0.000000	18.000000	5.600000	WATERBASED	1986-06-18	1342	9999-12-31	2013-05-08	20727
6506/12-6	4741.000000	0.000000	24.000000	6.300000	WATERBASED	1986-06-19	1342	9999-12-31	2013-05-08	20728
6506/12-6	4741.000000	0.000000	22.000000	7.000000	WATERBASED	1986-06-24	1342	9999-12-31	2013-05-08	20729
6506/12-6	4741.000000	0.000000	15.000000	4.200000	WATERBASED	1986-06-26	1342	9999-12-31	2013-05-08	20730
6506/12-6	4741.000000	0.000000	17.000000	4.900000	WATERBASED	1986-06-25	1342	9999-12-31	2013-05-08	20731
6506/12-6	4741.000000	0.000000	16.000000	2.800000	WATERBASED	1986-07-06	1342	9999-12-31	2013-05-08	20732
6506/12-6	4741.000000	0.000000	24.000000	6.300000	WATERBASED	1986-06-24	1342	9999-12-31	2013-05-08	20733
6506/12-6	4741.000000	0.000000	17.000000	4.900000	WATERBASED	1986-06-30	1342	9999-12-31	2013-05-08	20734
6506/12-7	463.000000	1.450000	1700.000000	6.300000	WATER BASED	1987-08-11	300	9999-12-31	2013-05-08	20735
6506/12-7	2050.000000	1.650000	1500.000000	2.500000	WATER BASED	1987-08-10	300	9999-12-31	2013-05-08	20736
6506/12-7	2221.000000	1.450000	1700.000000	7.200000	WATER BASED	1987-05-21	300	9999-12-31	2013-05-08	20737
6506/12-7	2450.000000	1.620000	2300.000000	7.200000	WATER BASED	1987-06-02	300	9999-12-31	2013-05-08	20738
6506/12-7	2450.000000	1.620000	2200.000000	7.200000	WATER BASED	1987-06-01	300	9999-12-31	2013-05-08	20739
6506/12-7	2450.000000	1.620000	2100.000000	5.900000	WATER BASED	1987-06-01	300	9999-12-31	2013-05-08	20740
6506/12-7	2450.000000	1.620000	2300.000000	8.500000	WATER BASED	1987-06-04	300	9999-12-31	2013-05-08	20741
6506/12-7	2450.000000	1.620000	2300.000000	5.900000	WATER BASED	1987-06-05	300	9999-12-31	2013-05-08	20742
6506/12-7	2450.000000	1.620000	2100.000000	6.700000	WATER BASED	1987-06-03	300	9999-12-31	2013-05-08	20743
6506/12-7	2815.000000	1.620000	670.000000	8.000000	WATER BASED	1987-05-25	300	9999-12-31	2013-05-08	20744
6506/12-7	2934.000000	1.620000	560.000000	7.600000	WATER BASED	1987-05-25	300	9999-12-31	2013-05-08	20745
6506/12-7	2974.000000	1.620000	520.000000	7.200000	WATER BASED	1987-05-25	300	9999-12-31	2013-05-08	20746
6506/12-7	3150.000000	1.620000	630.000000	8.000000	WATER BASED	1987-05-27	300	9999-12-31	2013-05-08	20747
6506/12-7	3231.000000	1.620000	560.000000	8.900000	WATER BASED	1987-05-29	300	9999-12-31	2013-05-08	20748
6506/12-7	3300.000000	1.620000	550.000000	8.000000	WATER BASED	1987-05-29	300	9999-12-31	2013-05-08	20749
6506/12-7	3379.000000	1.620000	2000.000000	8.900000	WATER BASED	1987-06-01	300	9999-12-31	2013-05-08	20750
6506/12-7	3760.000000	1.620000	2300.000000	7.200000	WATER BASED	1987-06-09	300	9999-12-31	2013-05-08	20751
6506/12-7	3841.000000	1.620000	1900.000000	8.000000	WATER BASED	1987-06-09	300	9999-12-31	2013-05-08	20752
6506/12-7	3934.000000	1.620000	2200.000000	6.800000	WATER BASED	1987-06-09	300	9999-12-31	2013-05-08	20753
6506/12-7	4016.000000	1.620000	2300.000000	6.800000	WATER BASED	1987-06-09	300	9999-12-31	2013-05-08	20754
6506/12-7	4053.000000	1.620000	2400.000000	6.400000	WATER BASED	1987-06-10	300	9999-12-31	2013-05-08	20755
6506/12-7	4058.000000	1.670000	2200.000000	7.600000	WATER BASED	1987-06-11	300	9999-12-31	2013-05-08	20756
6506/12-7	4092.000000	1.650000	1800.000000	5.900000	WATER BASED	1987-06-12	300	9999-12-31	2013-05-08	20757
6506/12-7	4167.000000	1.650000	1900.000000	5.900000	WATER BASED	1987-06-15	300	9999-12-31	2013-05-08	20758
6506/12-7	4182.000000	1.650000	1500.000000	2.500000	WATER BASED	1987-08-10	300	9999-12-31	2013-05-08	20759
6506/12-7	4260.000000	1.650000	1900.000000	5.500000	WATER BASED	1987-06-15	300	9999-12-31	2013-05-08	20760
6506/12-7	4354.000000	1.650000	2500.000000	5.900000	WATER BASED	1987-06-15	300	9999-12-31	2013-05-08	20761
6506/12-7	4369.000000	1.200000	1400.000000	4.200000	WATER BASED	1987-06-25	300	9999-12-31	2013-05-08	20762
6506/12-7	4408.000000	1.250000	900.000000	1.700000	WATER BASED	1987-08-10	300	9999-12-31	2013-05-08	20763
6506/12-7	4425.000000	1.650000	2400.000000	5.100000	WATER BASED	1987-06-16	300	9999-12-31	2013-05-08	20764
6506/12-7	4427.000000	1.650000	2200.000000	4.200000	WATER BASED	1987-06-17	300	9999-12-31	2013-05-08	20765
6506/12-7	4427.000000	1.650000	2200.000000	3.800000	WATER BASED	1987-06-18	300	9999-12-31	2013-05-08	20766
6506/12-7	4427.000000	1.650000	2000.000000	4.200000	WATER BASED	1987-06-19	300	9999-12-31	2013-05-08	20767
6506/12-7	4427.000000	1.650000	2000.000000	4.200000	WATER BASED	1987-06-22	300	9999-12-31	2013-05-08	20768
6506/12-7	4428.000000	1.250000	1600.000000	4.200000	WATER BASED	1987-06-22	300	9999-12-31	2013-05-08	20769
6506/12-7	4436.000000	1.250000	1000.000000	3.400000	WATER BASED	1987-06-23	300	9999-12-31	2013-05-08	20770
6506/12-7	4452.000000	1.250000	1000.000000	3.400000	WATER BASED	1987-06-24	300	9999-12-31	2013-05-08	20771
6506/12-7	4455.000000	1.250000	800.000000	1.700000	WATER BASED	1987-08-07	300	9999-12-31	2013-05-08	20772
6506/12-7	4455.000000	1.250000	1000.000000	1.700000	WATER BASED	1987-08-05	300	9999-12-31	2013-05-08	20773
6506/12-7	4478.000000	1.250000	1600.000000	4.200000	WATER BASED	1987-06-26	300	9999-12-31	2013-05-08	20774
6506/12-7	4502.000000	1.250000	1300.000000	4.200000	WATER BASED	1987-06-29	300	9999-12-31	2013-05-08	20775
6506/12-7	4560.000000	1.250000	1500.000000	4.700000	WATER BASED	1987-06-29	300	9999-12-31	2013-05-08	20776
6506/12-7	4620.000000	1.250000	1600.000000	5.100000	WATER BASED	1987-06-29	300	9999-12-31	2013-05-08	20777
6506/12-7	4656.000000	1.250000	1700.000000	5.100000	WATER BASED	1987-06-30	300	9999-12-31	2013-05-08	20778
6506/12-7	4672.000000	1.250000	900.000000	1.700000	WATER BASED	1987-08-04	300	9999-12-31	2013-05-08	20779
6506/12-7	4672.000000	1.250000	800.000000	1.300000	WATER BASED	1987-07-31	300	9999-12-31	2013-05-08	20780
6506/12-7	4672.000000	1.250000	800.000000	1.700000	WATER BASED	1987-07-29	300	9999-12-31	2013-05-08	20781
6506/12-7	4672.000000	1.250000	900.000000	2.100000	WATER BASED	1987-08-03	300	9999-12-31	2013-05-08	20782
6506/12-7	4672.000000	1.250000	800.000000	1.300000	WATER BASED	1987-07-28	300	9999-12-31	2013-05-08	20783
6506/12-7	4688.000000	1.250000	1500.000000	4.700000	WATER BASED	1987-07-01	300	9999-12-31	2013-05-08	20784
6506/12-7	4692.000000	1.250000	800.000000	1.300000	WATER BASED	1987-07-27	300	9999-12-31	2013-05-08	20785
6506/12-7	4720.000000	1.250000	400.000000	1.700000	WATER BASED	1987-07-27	300	9999-12-31	2013-05-08	20786
6506/12-7	4720.000000	1.250000	800.000000	1.300000	WATER BASED	1987-07-27	300	9999-12-31	2013-05-08	20787
6506/12-7	4720.000000	1.250000	900.000000	1.300000	WATER BASED	1987-07-24	300	9999-12-31	2013-05-08	20788
6506/12-7	4720.000000	1.250000	800.000000	1.700000	WATER BASED	1987-07-23	300	9999-12-31	2013-05-08	20789
6506/12-7	4720.000000	1.250000	900.000000	1.700000	WATER BASED	1987-07-22	300	9999-12-31	2013-05-08	20790
6506/12-7	4730.000000	1.250000	900.000000	1.700000	WATER BASED	1987-07-21	300	9999-12-31	2013-05-08	20791
6506/12-7	4752.000000	1.250000	1600.000000	4.200000	WATER BASED	1987-07-02	300	9999-12-31	2013-05-08	20792
6506/12-7	4838.000000	1.250000	900.000000	1.700000	WATER BASED	1987-07-20	300	9999-12-31	2013-05-08	20793
6506/12-7	4838.000000	1.250000	1000.000000	5.200000	WATER BASED	1987-07-15	300	9999-12-31	2013-05-08	20794
6506/12-7	4838.000000	1.260000	1000.000000	2.500000	WATER BASED	1987-07-17	300	9999-12-31	2013-05-08	20795
6506/12-7	4838.000000	1.250000	1300.000000	2.500000	WATER BASED	1987-07-13	300	9999-12-31	2013-05-08	20796
6506/12-7	4838.000000	1.260000	1200.000000	2.500000	WATER BASED	1987-07-13	300	9999-12-31	2013-05-08	20797
6506/12-7	4838.000000	1.260000	1100.000000	2.500000	WATER BASED	1987-07-13	300	9999-12-31	2013-05-08	20798
6506/12-7	4838.000000	1.250000	1900.000000	5.100000	WATER BASED	1987-07-13	300	9999-12-31	2013-05-08	20799
6506/12-7	4838.000000	1.260000	1100.000000	2.500000	WATER BASED	1987-07-14	300	9999-12-31	2013-05-08	20800
6506/12-7	4838.000000	1.250000	1600.000000	3.800000	WATER BASED	1987-07-16	300	9999-12-31	2013-05-08	20801
6506/12-7	4838.000000	1.250000	1000.000000	2.100000	WATER BASED	1987-07-20	300	9999-12-31	2013-05-08	20802
6506/12-7	4838.000000	1.250000	2300.000000	7.600000	WATER BASED	1987-07-13	300	9999-12-31	2013-05-08	20803
6506/12-7	4840.000000	1.250000	2100.000000	6.300000	WATER BASED	1987-07-07	300	9999-12-31	2013-05-08	20804
6506/12-7	4840.000000	1.250000	2300.000000	4.600000	WATER BASED	1987-07-06	300	9999-12-31	2013-05-08	20805
6506/12-7	4840.000000	1.250000	2200.000000	4.200000	WATER BASED	1987-07-06	300	9999-12-31	2013-05-08	20806
6506/12-7	4840.000000	1.250000	2400.000000	7.200000	WATER BASED	1987-07-06	300	9999-12-31	2013-05-08	20807
6506/12-7	4840.000000	1.250000	1900.000000	5.100000	WATER BASED	1987-07-03	300	9999-12-31	2013-05-08	20808
6506/12-8	390.000000	1.040000	120.000000	0.000000	WATER BASED	1988-06-06	1068	9999-12-31	2013-05-08	20809
6506/12-8	390.000000	1.030000	0.000000	0.000000	WATER BASED	1988-06-06	1068	9999-12-31	2013-05-08	20810
6506/12-8	571.000000	1.030000	0.000000	0.000000	WATER BASED	1988-06-08	1068	9999-12-31	2013-05-08	20811
6506/12-8	571.000000	1.200000	8.000000	2.000000	WATER BASED	1988-06-10	1068	9999-12-31	2013-05-08	20812
6506/12-8	577.000000	1.700000	0.000000	0.000000	WATER BASED	1988-06-07	1068	9999-12-31	2013-05-08	20813
6506/12-8	981.000000	1.200000	45.000000	5.000000	WATER BASED	1988-06-13	1068	9999-12-31	2013-05-08	20814
6506/12-8	1406.000000	1.300000	48.000000	3.500000	WATER BASED	1988-06-13	1068	9999-12-31	2013-05-08	20815
6506/12-8	1579.000000	1.300000	14.000000	4.000000	WATER BASED	1988-06-13	1068	9999-12-31	2013-05-08	20816
6506/12-8	1873.000000	1.350000	17.000000	5.500000	WATER BASED	1988-06-15	1068	9999-12-31	2013-05-08	20817
6506/12-8	1873.000000	1.350000	17.000000	6.000000	WATER BASED	1988-06-14	1068	9999-12-31	2013-05-08	20818
6506/12-8	1873.000000	1.700000	21.000000	2.500000	WATER BASED	1988-06-20	1068	9999-12-31	2013-05-08	20819
6506/12-8	1876.000000	1.700000	58.000000	3.000000	WATER BASED	1988-06-20	1068	9999-12-31	2013-05-08	20820
6506/12-8	1941.000000	1.700000	8.000000	14.500000	WATER BASED	1988-06-21	1068	9999-12-31	2013-05-08	20821
6506/12-8	2311.000000	1.600000	28.000000	3.000000	WATER BASED	1988-06-24	1068	9999-12-31	2013-05-08	20822
6506/12-8	2311.000000	1.600000	28.000000	3.000000	WATER BASED	1988-06-27	1068	9999-12-31	2013-05-08	20823
6506/12-8	2530.000000	1.630000	35.000000	8.000000	WATER BASED	1988-06-27	1068	9999-12-31	2013-05-08	20824
6506/12-8	2530.000000	1.630000	24.000000	8.000000	WATER BASED	1988-06-27	1068	9999-12-31	2013-05-08	20825
6506/12-8	2530.000000	1.630000	26.000000	10.000000	WATER BASED	1988-06-28	1068	9999-12-31	2013-05-08	20826
6506/12-8	2530.000000	1.650000	28.000000	9.000000	WATER BASED	1988-06-29	1068	9999-12-31	2013-05-08	20827
6506/12-8	2530.000000	1.650000	23.000000	11.000000	WATER BASED	1988-07-06	1068	9999-12-31	2013-05-08	20828
6506/12-8	3180.000000	1.650000	24.000000	9.000000	WATER BASED	1988-07-01	1068	9999-12-31	2013-05-08	20829
6506/12-8	3398.000000	1.650000	23.000000	9.500000	WATER BASED	1988-07-04	1068	9999-12-31	2013-05-08	20830
6506/12-8	3398.000000	1.650000	22.000000	10.500000	WATER BASED	1988-07-05	1068	9999-12-31	2013-05-08	20831
6506/12-8	3620.000000	1.650000	19.000000	10.500000	WATER BASED	1988-07-07	1068	9999-12-31	2013-05-08	20832
6506/12-8	3620.000000	1.650000	24.000000	9.000000	WATER BASED	1988-07-08	1068	9999-12-31	2013-05-08	20833
6506/12-8	3669.000000	1.650000	26.000000	9.500000	WATER BASED	1988-07-11	1068	9999-12-31	2013-05-08	20834
6506/12-8	3738.000000	1.650000	25.000000	10.000000	WATER BASED	1988-07-11	1068	9999-12-31	2013-05-08	20835
6506/12-8	3808.000000	1.650000	25.000000	7.500000	WATER BASED	1988-07-11	1068	9999-12-31	2013-05-08	20836
6506/12-8	3850.000000	1.650000	27.000000	9.000000	WATER BASED	1988-07-12	1068	9999-12-31	2013-05-08	20837
6506/12-8	3850.000000	1.650000	23.000000	8.000000	WATER BASED	1988-07-13	1068	9999-12-31	2013-05-08	20838
6506/12-8	3865.000000	1.650000	24.000000	8.500000	WATER BASED	1988-07-14	1068	9999-12-31	2013-05-08	20839
6506/12-8	3871.000000	1.670000	25.000000	6.500000	WATER BASED	1988-07-15	1068	9999-12-31	2013-05-08	20840
6506/12-8	3877.000000	1.670000	27.000000	7.500000	WATER BASED	1988-07-19	1068	9999-12-31	2013-05-08	20841
6506/12-8	3877.000000	1.670000	23.000000	5.500000	WATER BASED	1988-07-19	1068	9999-12-31	2013-05-08	20842
6506/12-8	3877.000000	1.670000	22.000000	5.500000	WATER BASED	1988-07-19	1068	9999-12-31	2013-05-08	20843
6506/12-8	3877.000000	1.670000	21.000000	5.000000	WATER BASED	1988-07-19	1068	9999-12-31	2013-05-08	20844
6506/12-8	3877.000000	1.150000	32.000000	4.500000	WATER BASED	1988-07-27	1068	9999-12-31	2013-05-08	20845
6506/12-8	3877.000000	1.150000	34.000000	6.000000	WATER BASED	1988-07-27	1068	9999-12-31	2013-05-08	20846
6506/12-8	3877.000000	1.150000	37.000000	5.000000	WATER BASED	1988-07-27	1068	9999-12-31	2013-05-08	20847
6506/12-8	3877.000000	1.150000	32.000000	3.500000	WATER BASED	1988-07-28	1068	9999-12-31	2013-05-08	20848
6506/12-8	3877.000000	1.670000	21.000000	6.500000	WATER BASED	1988-07-21	1068	9999-12-31	2013-05-08	20849
6506/12-8	3877.000000	1.150000	18.500000	2.500000	WATER BASED	1988-08-19	1068	9999-12-31	2013-05-08	20850
6506/12-8	3877.000000	1.160000	16.000000	3.000000	WATER BASED	1988-08-19	1068	9999-12-31	2013-05-08	20851
6506/12-8	3877.000000	1.150000	15.000000	3.500000	WATER BASED	1988-08-16	1068	9999-12-31	2013-05-08	20852
6506/12-8	3877.000000	1.150000	23.000000	2.000000	WATER BASED	1988-08-11	1068	9999-12-31	2013-05-08	20853
6506/12-8	3877.000000	1.150000	33.000000	3.000000	WATER BASED	1988-08-08	1068	9999-12-31	2013-05-08	20854
6506/12-8	3877.000000	1.150000	35.000000	15.500000	WATER BASED	1988-08-08	1068	9999-12-31	2013-05-08	20855
6506/12-8	3877.000000	1.150000	35.000000	10.000000	WATER BASED	1988-08-08	1068	9999-12-31	2013-05-08	20856
6506/12-8	3877.000000	1.150000	17.000000	2.500000	WATER BASED	1988-08-12	1068	9999-12-31	2013-05-08	20857
6506/12-8	3877.000000	1.150000	35.000000	4.000000	WATER BASED	1988-08-05	1068	9999-12-31	2013-05-08	20858
6506/12-8	3877.000000	1.150000	11.000000	0.000000	WATER BASED	1988-08-15	1068	9999-12-31	2013-05-08	20859
6506/12-8	3877.000000	1.150000	11.000000	4.000000	WATER BASED	1988-08-15	1068	9999-12-31	2013-05-08	20860
6506/12-8	3877.000000	1.150000	50.000000	12.500000	WATER BASED	1988-08-09	1068	9999-12-31	2013-05-08	20861
6506/12-8	3877.000000	1.150000	40.000000	4.000000	WATER BASED	1988-08-04	1068	9999-12-31	2013-05-08	20862
6506/12-8	3877.000000	1.150000	38.000000	4.000000	WATER BASED	1988-08-01	1068	9999-12-31	2013-05-08	20863
6506/12-8	3877.000000	1.150000	32.000000	4.000000	WATER BASED	1988-08-01	1068	9999-12-31	2013-05-08	20864
6506/12-8	3877.000000	1.150000	12.000000	3.000000	WATER BASED	1988-08-24	1068	9999-12-31	2013-05-08	20865
6506/12-8	3877.000000	1.150000	6.000000	2.500000	WATER BASED	1988-08-22	1068	9999-12-31	2013-05-08	20866
6506/12-8	3877.000000	1.150000	17.000000	4.500000	WATER BASED	1988-08-26	1068	9999-12-31	2013-05-08	20867
6506/12-8	3877.000000	1.150000	11.000000	3.000000	WATER BASED	1988-08-25	1068	9999-12-31	2013-05-08	20868
6506/12-8	3877.000000	0.000000	0.000000	0.000000	WATER BASED	1988-08-30	1068	9999-12-31	2013-05-08	20869
6506/12-8	3877.000000	1.150000	34.000000	11.500000	WATER BASED	1988-08-29	1068	9999-12-31	2013-05-08	20870
6506/12-8	3877.000000	1.150000	39.000000	9.500000	WATER BASED	1988-08-29	1068	9999-12-31	2013-05-08	20871
6506/12-8	3877.000000	1.150000	33.000000	5.000000	WATER BASED	1988-08-03	1068	9999-12-31	2013-05-08	20872
6506/12-8	3877.000000	1.150000	33.000000	4.500000	WATER BASED	1988-07-29	1068	9999-12-31	2013-05-08	20873
6506/12-8	3877.000000	1.150000	33.000000	4.500000	WATER BASED	1988-08-01	1068	9999-12-31	2013-05-08	20874
6506/12-8	3877.000000	1.150000	30.000000	11.500000	WATER BASED	1988-08-29	1068	9999-12-31	2013-05-08	20875
6506/12-8	3877.000000	1.150000	13.000000	3.500000	WATER BASED	1988-08-23	1068	9999-12-31	2013-05-08	20876
6506/12-8	3877.000000	1.150000	17.000000	2.500000	WATER BASED	1988-08-15	1068	9999-12-31	2013-05-08	20877
6506/12-8	3878.000000	1.150000	12.000000	2.500000	WATER BASED	1988-07-21	1068	9999-12-31	2013-05-08	20878
6506/12-8	3905.000000	1.150000	15.000000	2.500000	WATER BASED	1988-07-27	1068	9999-12-31	2013-05-08	20879
6506/12-8	3918.000000	1.150000	26.000000	2.500000	WATER BASED	1988-07-27	1068	9999-12-31	2013-05-08	20880
6506/12-8	3983.000000	1.150000	27.000000	4.000000	WATER BASED	1988-07-27	1068	9999-12-31	2013-05-08	20881
6506/12-9 S	606.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20882
6506/12-9 S	808.000000	1.030000	12.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20883
6506/12-9 S	1050.000000	1.250000	15.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20884
6506/12-9 S	1491.000000	1.250000	19.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20885
6506/12-9 S	1640.000000	1.250000	20.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20886
6506/12-9 S	1982.000000	1.390000	21.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20887
6506/12-9 S	2210.000000	1.500000	24.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20888
6506/12-9 S	2242.000000	1.520000	25.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20889
6506/12-9 S	2323.000000	1.700000	28.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20890
6506/12-9 S	2357.000000	1.700000	31.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20891
6506/12-9 S	2415.000000	1.700000	28.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20892
6506/12-9 S	2729.000000	1.700000	25.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20893
6506/12-9 S	2884.000000	1.700000	27.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20894
6506/12-9 S	2965.000000	1.700000	28.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20895
6506/12-9 S	3057.000000	1.700000	30.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20896
6506/12-9 S	3077.000000	1.700000	30.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20897
6506/12-9 S	3146.000000	1.700000	29.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20898
6506/12-9 S	3222.000000	1.700000	32.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20899
6506/12-9 S	3227.000000	1.700000	32.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20900
6506/12-9 S	3252.000000	1.700000	31.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20901
6506/12-9 S	3311.000000	1.700000	32.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20902
6506/12-9 S	3356.000000	1.700000	31.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20903
6506/12-9 S	3357.000000	1.700000	30.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20904
6506/12-9 S	3405.000000	1.700000	27.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20905
6506/12-9 S	3409.000000	1.700000	25.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20906
6506/12-9 S	3434.000000	1.700000	25.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20907
6506/12-9 S	3492.000000	1.700000	36.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20908
6506/12-9 S	3535.000000	1.700000	35.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20909
6506/12-9 S	3578.000000	1.700000	35.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20910
6506/12-9 S	3640.000000	1.700000	34.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20911
6506/12-9 S	3699.000000	1.700000	35.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20912
6506/12-9 S	3763.000000	1.700000	28.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20913
6506/12-9 S	3826.000000	1.750000	28.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20914
6506/12-9 S	3885.000000	1.750000	32.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20915
6506/12-9 S	3927.000000	1.750000	30.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20916
6506/12-9 S	3995.000000	1.750000	30.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20917
6506/12-9 S	4000.000000	1.750000	30.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20918
6506/12-9 S	4064.000000	1.750000	29.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20919
6506/12-9 S	4130.000000	1.750000	30.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20920
6506/12-9 S	4195.000000	1.750000	30.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20921
6506/12-9 S	4258.000000	1.750000	36.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20922
6506/12-9 S	4314.000000	1.750000	34.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20923
6506/12-9 S	4363.000000	1.200000	23.000000	0.000000	DUMMY	9999-12-31	2128	9999-12-31	2013-05-08	20924
6506/12-9 S	4363.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20925
6506/12-9 S	4375.000000	1.750000	36.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20926
6506/12-9 S	4378.000000	1.750000	31.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20927
6506/12-9 S	4415.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20928
6506/12-9 S	4438.000000	1.200000	16.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20929
6506/12-9 S	4462.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20930
6506/12-9 S	4477.000000	1.230000	28.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20931
6506/12-9 S	4490.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20932
6506/12-9 S	4516.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20933
6506/12-9 S	4598.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20934
6506/12-9 S	4635.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20935
6506/12-9 S	4669.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20936
6506/12-9 S	4703.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20937
6506/12-9 S	4741.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20938
6506/12-9 S	4742.000000	1.120000	24.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20939
6506/12-9 S	4765.000000	1.200000	24.000000	0.000000	DUMMY	9999-12-31	2128	9999-12-31	2013-05-08	20940
6506/12-9 S	4805.000000	1.200000	16.000000	0.000000	DUMMY	9999-12-31	2128	9999-12-31	2013-05-08	20941
6506/12-9 S	4805.000000	1.120000	24.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20942
6506/12-9 S	4805.000000	1.120000	0.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20943
6506/12-9 S	4814.000000	1.200000	50.000000	0.000000	DUMMY	9999-12-31	2128	9999-12-31	2013-05-08	20944
6506/12-9 S	4846.000000	1.140000	0.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20945
6506/12-9 S	4850.000000	1.200000	23.000000	0.000000	DUMMY	9999-12-31	2128	9999-12-31	2013-05-08	20946
6506/12-9 S	4910.000000	1.140000	0.000000	0.000000	WATER BASED	9999-12-31	2128	9999-12-31	2013-05-08	20947
6506/3-1	456.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	4344	9999-12-31	2013-05-08	20948
6506/3-1	1382.000000	1.200000	0.000000	0.000000	SW/GEL	9999-12-31	4344	9999-12-31	2013-05-08	20949
6506/3-1	1698.000000	1.570000	32.000000	0.000000	OBM	9999-12-31	4344	9999-12-31	2013-05-08	20950
6506/3-1	3128.000000	1.570000	45.000000	0.000000	OBM	9999-12-31	4344	9999-12-31	2013-05-08	20951
6506/3-1	3437.000000	1.600000	41.000000	0.000000	OBM	9999-12-31	4344	9999-12-31	2013-05-08	20952
6506/3-1	3667.000000	1.600000	37.000000	0.000000	OBM	9999-12-31	4344	9999-12-31	2013-05-08	20953
6506/6-1	498.000000	1.030000	10.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20954
6506/6-1	501.000000	1.030000	10.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20955
6506/6-1	551.000000	1.030000	10.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20956
6506/6-1	1101.000000	1.070000	10.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20957
6506/6-1	1437.000000	1.070000	10.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20958
6506/6-1	1437.000000	1.070000	10.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20959
6506/6-1	2805.000000	0.000000	0.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20960
6506/6-1	2805.000000	0.000000	0.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20961
6506/6-1	2805.000000	1.600000	29.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20962
6506/6-1	3237.000000	1.600000	26.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20963
6506/6-1	4253.000000	1.640000	32.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20964
6506/6-1	4276.000000	1.640000	33.000000	0.000000	\N	9999-12-31	4122	9999-12-31	2013-05-08	20965
6506/6-1	4276.000000	1.640000	31.000000	0.000000	DUMMY	9999-12-31	4122	9999-12-31	2013-05-08	20966
6506/6-1	4390.000000	1.750000	36.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20967
6506/6-1	4972.000000	1.890000	41.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20968
6506/6-1	4972.000000	1.890000	40.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20969
6506/6-1	4986.000000	1.870000	39.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20970
6506/6-1	5005.000000	1.870000	40.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20971
6506/6-1	5015.000000	1.870000	40.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20972
6506/6-1	5071.000000	1.870000	44.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20973
6506/6-1	5179.000000	1.870000	41.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20974
6506/6-1	5222.000000	1.870000	40.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20975
6506/6-1	5315.000000	1.870000	46.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20976
6506/6-1	5370.000000	0.000000	46.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20977
6506/6-1	5415.000000	1.870000	47.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20978
6506/6-1	5491.000000	1.870000	45.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20979
6506/6-1	5491.000000	1.870000	45.000000	0.000000	OBM	9999-12-31	4122	9999-12-31	2013-05-08	20980
6506/9-1	495.000000	1.030000	10.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20981
6506/9-1	665.000000	1.600000	51.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20982
6506/9-1	1282.000000	1.210000	6.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20983
6506/9-1	1500.000000	1.300000	11.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20984
6506/9-1	1510.000000	1.300000	0.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20985
6506/9-1	1884.000000	1.600000	46.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20986
6506/9-1	2334.000000	1.890000	74.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20987
6506/9-1	2789.000000	1.600000	46.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20988
6506/9-1	3355.000000	1.600000	39.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20989
6506/9-1	3623.000000	1.800000	56.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20990
6506/9-1	3926.000000	1.800000	44.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20991
6506/9-1	4139.000000	1.830000	49.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20992
6506/9-1	4774.000000	1.870000	49.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20993
6506/9-1	4780.000000	1.740000	10.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20994
6506/9-1	5022.000000	1.710000	47.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20995
6506/9-1	5066.000000	1.700000	36.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20996
6506/9-1	5289.000000	1.700000	38.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20997
6506/9-1	5308.000000	1.740000	10.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20998
6506/9-1	5385.000000	1.740000	10.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	20999
6506/9-1	5502.000000	1.700000	45.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	21000
6506/9-1	5560.000000	1.700000	64.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	21001
6506/9-1	5664.000000	1.770000	10.000000	0.000000	ManualEntry	9999-12-31	5980	9999-12-31	2013-05-08	21002
6506/9-2 S	1033.000000	1.020000	0.000000	0.000000	Seawater	9999-12-31	6332	9999-12-31	2013-05-08	21003
6506/9-2 S	1210.000000	1.310000	16.000000	0.000000	Glydril WBM	9999-12-31	6332	9999-12-31	2013-05-08	21004
6506/9-2 S	1795.000000	1.400000	22.000000	0.000000	Glydril WBM	9999-12-31	6332	9999-12-31	2013-05-08	21005
6506/9-2 S	1955.000000	1.390000	20.000000	0.000000	Glydril WBM	9999-12-31	6332	9999-12-31	2013-05-08	21006
6506/9-2 S	2125.000000	1.540000	25.000000	0.000000	Glydril	9999-12-31	6332	9999-12-31	2013-05-08	21007
6506/9-2 S	2680.000000	1.720000	69.000000	0.000000	Versatec	9999-12-31	6332	9999-12-31	2013-05-08	21008
6506/9-2 S	4156.000000	1.770000	66.000000	0.000000	Versatherm	9999-12-31	6332	9999-12-31	2013-05-08	21009
6506/9-2 S	4202.000000	1.800000	79.000000	0.000000	Versatherm	9999-12-31	6332	9999-12-31	2013-05-08	21010
6506/9-2 S	4213.000000	1.890000	38.000000	0.000000	Versatherm	9999-12-31	6332	9999-12-31	2013-05-08	21011
6506/9-2 S	4470.000000	1.890000	46.000000	0.000000	Versatherm	9999-12-31	6332	9999-12-31	2013-05-08	21012
6506/9-2 S	4805.000000	1.890000	62.000000	0.000000	Versatherm	9999-12-31	6332	9999-12-31	2013-05-08	21013
6506/9-2 S	4805.000000	1.890000	61.000000	0.000000	Versatherm	9999-12-31	6332	9999-12-31	2013-05-08	21014
6507/1-1	422.000000	0.000000	0.000000	0.000000	SEAWATER	9999-12-31	4955	9999-12-31	2013-05-08	21015
6507/1-1	511.000000	1.030000	0.000000	0.000000	SEAWATER /GEL	9999-12-31	4955	9999-12-31	2013-05-08	21016
6507/1-1	760.000000	0.000000	0.000000	0.000000	SEAWATER	9999-12-31	4955	9999-12-31	2013-05-08	21017
6507/1-1	1311.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	4955	9999-12-31	2013-05-08	21018
6507/11-1	730.000000	1.130000	52.000000	0.000000	seawater	9999-12-31	68	9999-12-31	2013-05-08	21019
6507/11-1	800.000000	1.100000	42.000000	0.000000	seawater	9999-12-31	68	9999-12-31	2013-05-08	21020
6507/11-1	2220.000000	1.580000	52.000000	0.000000	seawater	9999-12-31	68	9999-12-31	2013-05-08	21021
6507/11-1	2470.000000	1.460000	10.000000	0.000000	seawater	9999-12-31	68	9999-12-31	2013-05-08	21022
6507/11-10	302.000000	1.020000	0.000000	0.000000	SPUD MUD	9999-12-31	6122	9999-12-31	2013-05-08	21023
6507/11-10	368.000000	1.280000	16.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6122	9999-12-31	2013-05-08	21024
6507/11-10	575.000000	1.280000	19.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6122	9999-12-31	2013-05-08	21025
6507/11-10	1420.000000	1.240000	9.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6122	9999-12-31	2013-05-08	21026
6507/11-10	1656.000000	1.270000	16.000000	0.000000	AQUACOL KCL/POLYMER/GLYCOL	9999-12-31	6122	9999-12-31	2013-05-08	21027
6507/11-10	1787.000000	1.610000	42.000000	0.000000	CARBO TECH	9999-12-31	6122	9999-12-31	2013-05-08	21028
6507/11-10	2051.000000	1.610000	42.000000	0.000000	CARBO TECH	9999-12-31	6122	9999-12-31	2013-05-08	21029
6507/11-10	2284.000000	1.250000	26.000000	0.000000	CARBO TECH	9999-12-31	6122	9999-12-31	2013-05-08	21030
6507/11-2	412.000000	1.060000	0.000000	0.000000	seawater	9999-12-31	51	9999-12-31	2013-05-08	21031
6507/11-2	1310.000000	1.120000	38.000000	0.000000	waterbased	9999-12-31	51	9999-12-31	2013-05-08	21032
6507/11-2	1800.000000	1.220000	42.000000	0.000000	waterbased	9999-12-31	51	9999-12-31	2013-05-08	21033
6507/11-2	2003.000000	1.230000	50.000000	0.000000	waterbased	9999-12-31	51	9999-12-31	2013-05-08	21034
6507/11-2	2905.000000	1.230000	50.000000	0.000000	waterbased	9999-12-31	51	9999-12-31	2013-05-08	21035
6507/11-3	449.000000	1.050000	47.000000	25.000000	WATER BASED	1985-06-07	470	9999-12-31	2013-05-08	21036
6507/11-3	763.000000	1.170000	50.000000	29.000000	WATER BASED	1985-06-10	470	9999-12-31	2013-05-08	21037
6507/11-3	868.000000	1.180000	43.000000	33.000000	WATER BASED	1985-06-10	470	9999-12-31	2013-05-08	21038
6507/11-3	873.000000	1.150000	14.000000	25.000000	WATER BASED	1985-07-02	470	9999-12-31	2013-05-08	21039
6507/11-3	1300.000000	1.200000	16.000000	20.000000	WATER BASED	1985-07-02	470	9999-12-31	2013-05-08	21040
6507/11-3	1580.000000	1.230000	18.000000	22.000000	WATER BASED	1985-07-02	470	9999-12-31	2013-05-08	21041
6507/11-3	1918.000000	1.400000	67.000000	19.000000	WATER BASED	1985-07-03	470	9999-12-31	2013-05-08	21042
6507/11-3	1918.000000	1.400000	60.000000	18.000000	WATER BASED	1985-07-04	470	9999-12-31	2013-05-08	21043
6507/11-3	1918.000000	1.400000	12.000000	18.000000	WATER BASED	1985-07-08	470	9999-12-31	2013-05-08	21044
6507/11-3	1918.000000	1.400000	67.000000	19.000000	WATER BASED	1985-07-03	470	9999-12-31	2013-05-08	21045
6507/11-3	1918.000000	1.400000	60.000000	18.000000	WATER BASED	1985-07-04	470	9999-12-31	2013-05-08	21046
6507/11-3	1918.000000	1.400000	12.000000	18.000000	WATER BASED	1985-07-08	470	9999-12-31	2013-05-08	21047
6507/11-3	1918.000000	1.400000	65.000000	25.000000	WATER BASED	1985-07-02	470	9999-12-31	2013-05-08	21048
6507/11-3	2151.000000	1.530000	25.000000	19.000000	WATER BASED	1985-07-08	470	9999-12-31	2013-05-08	21049
6507/11-3	2318.000000	1.530000	37.000000	23.000000	WATER BASED	1985-07-08	470	9999-12-31	2013-05-08	21050
6507/11-3	2402.000000	1.600000	36.000000	17.000000	WATER BASED	1985-07-11	470	9999-12-31	2013-05-08	21051
6507/11-3	2545.000000	1.300000	58.000000	10.000000	WATER BASED	1985-07-29	470	9999-12-31	2013-05-08	21052
6507/11-3	2623.000000	1.260000	17.000000	10.000000	WATER BASED	1985-07-22	470	9999-12-31	2013-05-08	21053
6507/11-3	2644.000000	1.210000	17.000000	10.000000	WATER BASED	1985-07-22	470	9999-12-31	2013-05-08	21054
6507/11-3	2680.000000	1.200000	17.000000	10.000000	WATER BASED	1985-07-22	470	9999-12-31	2013-05-08	21055
6507/11-4	817.000000	1.130000	10.000000	16.800000	WATER BASED	1987-05-25	1055	9999-12-31	2013-05-08	21056
6507/11-4	817.000000	1.100000	25.000000	21.100000	WATER BASED	1987-05-29	1055	9999-12-31	2013-05-08	21057
6507/11-4	1063.000000	1.100000	19.000000	9.600000	WATER BASED	1987-05-29	1055	9999-12-31	2013-05-08	21058
6507/11-4	1281.000000	1.110000	14.000000	8.200000	WATER BASED	1987-06-01	1055	9999-12-31	2013-05-08	21059
6507/11-4	1506.000000	1.140000	15.000000	5.800000	WATER BASED	1987-06-01	1055	9999-12-31	2013-05-08	21060
6507/11-4	1740.000000	1.250000	17.000000	8.200000	WATER BASED	1987-06-01	1055	9999-12-31	2013-05-08	21061
6507/11-4	1929.000000	1.350000	23.000000	9.100000	WATER BASED	1987-06-03	1055	9999-12-31	2013-05-08	21062
6507/11-4	2179.000000	1.600000	30.000000	10.100000	WATER BASED	1987-06-04	1055	9999-12-31	2013-05-08	21063
6507/11-4	2399.000000	1.640000	27.000000	9.600000	WATER BASED	1987-06-04	1055	9999-12-31	2013-05-08	21064
6507/11-4	2518.000000	1.660000	22.000000	7.200000	WATER BASED	1987-06-12	1055	9999-12-31	2013-05-08	21065
6507/11-4	2518.000000	1.660000	21.000000	7.200000	WATER BASED	1987-06-11	1055	9999-12-31	2013-05-08	21066
6507/11-4	2518.000000	1.640000	20.000000	7.200000	WATER BASED	1987-06-09	1055	9999-12-31	2013-05-08	21067
6507/11-4	2518.000000	1.640000	25.000000	12.500000	WATER BASED	1987-06-09	1055	9999-12-31	2013-05-08	21068
6507/11-4	2518.000000	1.690000	26.000000	9.600000	WATER BASED	1987-06-09	1055	9999-12-31	2013-05-08	21069
6507/11-4	2518.000000	1.640000	20.000000	7.200000	WATER BASED	1987-06-09	1055	9999-12-31	2013-05-08	21070
6507/11-4	2518.000000	1.660000	21.000000	6.800000	WATER BASED	1987-06-09	1055	9999-12-31	2013-05-08	21071
6507/11-4	2550.000000	1.300000	13.000000	6.800000	WATER BASED	1987-06-16	1055	9999-12-31	2013-05-08	21072
6507/11-4	2581.000000	1.300000	17.000000	7.700000	WATER BASED	1987-06-15	1055	9999-12-31	2013-05-08	21073
6507/11-4	2655.000000	1.300000	16.000000	6.800000	WATER BASED	1987-06-15	1055	9999-12-31	2013-05-08	21074
6507/11-4	2713.000000	1.310000	14.000000	7.200000	WATER BASED	1987-06-16	1055	9999-12-31	2013-05-08	21075
6507/11-4	2883.000000	1.300000	15.000000	6.300000	WATER BASED	1987-06-16	1055	9999-12-31	2013-05-08	21076
6507/11-4	2992.000000	1.300000	16.000000	5.800000	WATER BASED	1987-06-18	1055	9999-12-31	2013-05-08	21077
6507/11-4	3045.000000	1.300000	17.000000	7.700000	WATER BASED	1987-06-18	1055	9999-12-31	2013-05-08	21078
6507/11-4	3045.000000	1.300000	17.000000	7.700000	WATER BASED	1987-06-24	1055	9999-12-31	2013-05-08	21079
6507/11-5 S	1536.000000	1.180000	21.000000	0.000000	QUADRILL	9999-12-31	3193	9999-12-31	2013-05-08	21080
6507/11-5 S	1598.000000	1.390000	0.000000	0.000000	DUMMY	9999-12-31	3193	9999-12-31	2013-05-08	21081
6507/11-5 S	2100.000000	1.550000	32.000000	0.000000	QUADRILL	9999-12-31	3193	9999-12-31	2013-05-08	21082
6507/11-5 S	2484.000000	1.200000	24.000000	0.000000	QUADRILL	9999-12-31	3193	9999-12-31	2013-05-08	21083
6507/11-5 S	2508.000000	1.200000	20.000000	0.000000	QUADRILL	9999-12-31	3193	9999-12-31	2013-05-08	21084
6507/11-5 S	2541.000000	1.200000	24.000000	0.000000	QUADRILL	9999-12-31	3193	9999-12-31	2013-05-08	21085
6507/11-5 S	2554.000000	1.200000	18.000000	0.000000	QUADRILL	9999-12-31	3193	9999-12-31	2013-05-08	21086
6507/11-5 S	2696.000000	1.200000	17.000000	0.000000	QUADRILL	9999-12-31	3193	9999-12-31	2013-05-08	21087
6507/11-6	459.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	4321	9999-12-31	2013-05-08	21088
6507/11-6	1250.000000	1.600000	36.000000	0.000000	OIL BASED	9999-12-31	4321	9999-12-31	2013-05-08	21089
6507/11-6	1608.000000	1.300000	15.000000	0.000000	WATER BASED	9999-12-31	4321	9999-12-31	2013-05-08	21090
6507/11-6	2242.000000	1.600000	38.000000	0.000000	OIL BASED	9999-12-31	4321	9999-12-31	2013-05-08	21091
6507/11-6	2917.000000	1.600000	43.000000	0.000000	OIL BASED	9999-12-31	4321	9999-12-31	2013-05-08	21092
6507/11-6	3385.000000	1.250000	25.000000	0.000000	OIL BASED	9999-12-31	4321	9999-12-31	2013-05-08	21093
6507/11-7	390.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	5430	9999-12-31	2013-05-08	21094
6507/11-7	390.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	5430	9999-12-31	2013-05-08	21095
6507/11-7	421.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	5430	9999-12-31	2013-05-08	21096
6507/11-7	1115.000000	1.180000	22.000000	0.000000	WATER BASED	9999-12-31	5430	9999-12-31	2013-05-08	21097
6507/11-7	1536.000000	1.580000	37.000000	0.000000	WATER BASED	9999-12-31	5430	9999-12-31	2013-05-08	21098
6507/11-7	1709.000000	1.600000	40.000000	0.000000	WATER BASED	9999-12-31	5430	9999-12-31	2013-05-08	21099
6507/11-7	2115.000000	1.600000	36.000000	0.000000	WATER BASED	9999-12-31	5430	9999-12-31	2013-05-08	21100
6507/11-7	2315.000000	1.600000	31.000000	0.000000	WATER BASED	9999-12-31	5430	9999-12-31	2013-05-08	21101
6507/11-7	2445.000000	1.600000	36.000000	0.000000	WATER BASED	9999-12-31	5430	9999-12-31	2013-05-08	21102
6507/11-7	2484.000000	1.620000	32.000000	0.000000	WATER BASED	9999-12-31	5430	9999-12-31	2013-05-08	21103
6507/11-8	501.000000	1.180000	17.000000	0.000000	SILICATE	9999-12-31	5562	9999-12-31	2013-05-08	21104
6507/11-8	1090.000000	1.210000	17.000000	0.000000	SILICATE	9999-12-31	5562	9999-12-31	2013-05-08	21105
6507/11-8	1800.000000	1.300000	16.000000	0.000000	SILICATE	9999-12-31	5562	9999-12-31	2013-05-08	21106
6507/11-8	2394.000000	1.200000	13.000000	0.000000	KCL/POLYMER	9999-12-31	5562	9999-12-31	2013-05-08	21107
6507/11-8	2394.000000	1.200000	0.000000	0.000000	KCL/POLYMER/GLYCOL	9999-12-31	5562	9999-12-31	2013-05-08	21108
6507/11-9	395.000000	1.370000	16.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21109
6507/11-9	525.000000	1.370000	19.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21110
6507/11-9	740.000000	1.370000	18.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21111
6507/11-9	810.000000	1.600000	26.000000	0.000000	Spud Mud	9999-12-31	5766	9999-12-31	2013-05-08	21112
6507/11-9	880.000000	1.350000	16.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21113
6507/11-9	990.000000	1.350000	16.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21114
6507/11-9	1063.000000	1.370000	18.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21115
6507/11-9	1414.000000	1.370000	18.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21116
6507/11-9	1536.000000	1.370000	17.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21117
6507/11-9	1722.000000	1.370000	19.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21118
6507/11-9	1807.000000	1.370000	20.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21119
6507/11-9	1807.000000	1.370000	20.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21120
6507/11-9	1813.000000	1.550000	15.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21121
6507/11-9	1925.000000	1.540000	15.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21122
6507/11-9	2095.000000	1.550000	18.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21123
6507/11-9	2213.000000	1.550000	17.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21124
6507/11-9	2428.000000	1.550000	17.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21125
6507/11-9	2493.000000	1.600000	19.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21126
6507/11-9	2493.000000	1.550000	19.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21127
6507/11-9	2619.000000	1.610000	30.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21128
6507/11-9	2619.000000	1.610000	25.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21129
6507/11-9	2619.000000	1.600000	18.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21130
6507/11-9	2621.000000	1.250000	14.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21131
6507/11-9	2632.000000	1.250000	14.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21132
6507/11-9	2642.000000	1.250000	13.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21133
6507/11-9	2700.000000	1.250000	13.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21134
6507/11-9	2780.000000	1.250000	16.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21135
6507/11-9	3069.000000	1.250000	14.000000	0.000000	Glydril	9999-12-31	5766	9999-12-31	2013-05-08	21136
6507/12-1	639.000000	1.080000	59.000000	0.000000	water based	9999-12-31	202	9999-12-31	2013-05-08	21137
6507/12-1	797.000000	1.100000	49.000000	0.000000	water based	9999-12-31	202	9999-12-31	2013-05-08	21138
6507/12-1	1167.000000	1.220000	50.000000	0.000000	water based	9999-12-31	202	9999-12-31	2013-05-08	21139
6507/12-1	1448.000000	1.320000	42.000000	0.000000	water based	9999-12-31	202	9999-12-31	2013-05-08	21140
6507/12-1	1695.000000	1.330000	45.000000	0.000000	water based	9999-12-31	202	9999-12-31	2013-05-08	21141
6507/12-1	2065.000000	1.450000	45.000000	0.000000	water based	9999-12-31	202	9999-12-31	2013-05-08	21142
6507/12-1	3263.000000	1.320000	50.000000	0.000000	water based	9999-12-31	202	9999-12-31	2013-05-08	21143
6507/12-2	730.000000	1.130000	42.000000	0.000000	water based	9999-12-31	437	9999-12-31	2013-05-08	21144
6507/12-2	1380.000000	1.140000	54.000000	0.000000	water based	9999-12-31	437	9999-12-31	2013-05-08	21145
6507/12-2	1920.000000	1.150000	48.000000	0.000000	water based	9999-12-31	437	9999-12-31	2013-05-08	21146
6507/12-2	2615.000000	1.150000	53.000000	0.000000	water based	9999-12-31	437	9999-12-31	2013-05-08	21147
6507/12-2	2910.000000	1.160000	48.000000	0.000000	water based	9999-12-31	437	9999-12-31	2013-05-08	21148
6507/12-2	3600.000000	1.310000	56.000000	0.000000	water based	9999-12-31	437	9999-12-31	2013-05-08	21149
6507/12-2	3720.000000	1.690000	102.000000	0.000000	water based	9999-12-31	437	9999-12-31	2013-05-08	21150
6507/12-2	3900.000000	1.660000	68.000000	0.000000	water based	9999-12-31	437	9999-12-31	2013-05-08	21151
6507/12-2	4510.000000	1.650000	60.000000	0.000000	water based	9999-12-31	437	9999-12-31	2013-05-08	21152
6507/12-2	4990.000000	1.630000	70.000000	0.000000	water based	9999-12-31	437	9999-12-31	2013-05-08	21153
6507/12-3	633.000000	1.150000	9.000000	30.000000	WATER BASED	1985-08-21	485	9999-12-31	2013-05-08	21154
6507/12-3	920.000000	1.170000	8.000000	42.000000	WATER BASED	1985-08-21	485	9999-12-31	2013-05-08	21155
6507/12-3	1028.000000	1.150000	43.000000	16.000000	WATER BASED	1985-08-27	485	9999-12-31	2013-05-08	21156
6507/12-3	1338.000000	1.150000	42.000000	18.000000	WATER BASED	1985-08-28	485	9999-12-31	2013-05-08	21157
6507/12-3	1635.000000	1.250000	45.000000	19.000000	WATER BASED	1985-08-29	485	9999-12-31	2013-05-08	21158
6507/12-3	1965.000000	1.270000	16.000000	17.000000	WATER BASED	1985-09-05	485	9999-12-31	2013-05-08	21159
6507/12-3	1965.000000	1.300000	47.000000	14.000000	WATER BASED	1985-08-30	485	9999-12-31	2013-05-08	21160
6507/12-3	1965.000000	1.350000	55.000000	18.000000	WATER BASED	1985-09-02	485	9999-12-31	2013-05-08	21161
6507/12-3	1966.000000	1.270000	16.000000	17.000000	WATER BASED	1985-09-09	485	9999-12-31	2013-05-08	21162
6507/12-3	2118.000000	1.230000	17.000000	17.000000	WATER BASED	1985-09-09	485	9999-12-31	2013-05-08	21163
6507/12-3	2200.000000	1.200000	17.000000	16.000000	WATER BASED	1985-09-09	485	9999-12-31	2013-05-08	21164
6507/2-1	434.000000	1.100000	50.000000	25.000000	WATER BASED	1986-06-24	911	9999-12-31	2013-05-08	21165
6507/2-1	490.000000	1.100000	50.000000	25.000000	WATER BASED	1986-06-25	911	9999-12-31	2013-05-08	21166
6507/2-1	490.000000	1.100000	50.000000	25.000000	WATER BASED	1986-06-26	911	9999-12-31	2013-05-08	21167
6507/2-1	766.000000	1.090000	50.000000	25.000000	WATER BASED	1986-06-30	911	9999-12-31	2013-05-08	21168
6507/2-1	1080.000000	1.170000	6.000000	10.000000	WATER BASED	1986-06-30	911	9999-12-31	2013-05-08	21169
6507/2-1	1080.000000	1.150000	7.000000	12.000000	WATER BASED	1986-06-30	911	9999-12-31	2013-05-08	21170
6507/2-1	1080.000000	1.150000	4.000000	8.000000	WATER BASED	1986-07-01	911	9999-12-31	2013-05-08	21171
6507/2-1	1080.000000	1.150000	4.000000	14.000000	WATER BASED	1986-06-30	911	9999-12-31	2013-05-08	21172
6507/2-1	1080.000000	1.150000	7.000000	8.000000	WATER BASED	1986-07-02	911	9999-12-31	2013-05-08	21173
6507/2-1	1080.000000	1.150000	6.000000	10.000000	WATER BASED	1986-07-03	911	9999-12-31	2013-05-08	21174
6507/2-1	1080.000000	1.200000	18.000000	11.000000	WATER BASED	1986-07-08	911	9999-12-31	2013-05-08	21175
6507/2-1	1080.000000	1.200000	17.000000	12.000000	WATER BASED	1986-07-07	911	9999-12-31	2013-05-08	21176
6507/2-1	1080.000000	1.150000	0.000000	0.000000	WATER BASED	1986-07-06	911	9999-12-31	2013-05-08	21177
6507/2-1	1080.000000	1.200000	17.000000	12.000000	WATER BASED	1986-07-06	911	9999-12-31	2013-05-08	21178
6507/2-1	1403.000000	1.300000	25.000000	16.000000	WATER BASED	1986-07-10	911	9999-12-31	2013-05-08	21179
6507/2-1	1706.000000	1.310000	25.000000	16.000000	WATER BASED	1986-07-11	911	9999-12-31	2013-05-08	21180
6507/2-1	1770.000000	1.770000	18.000000	5.000000	WATER BASED	1986-09-25	911	9999-12-31	2013-05-08	21181
6507/2-1	1831.000000	1.340000	23.000000	15.000000	WATER BASED	1986-07-14	911	9999-12-31	2013-05-08	21182
6507/2-1	1900.000000	1.570000	35.000000	19.000000	WATER BASED	1986-07-14	911	9999-12-31	2013-05-08	21183
6507/2-1	1900.000000	1.570000	33.000000	17.000000	WATER BASED	1986-07-14	911	9999-12-31	2013-05-08	21184
6507/2-1	1900.000000	1.570000	34.000000	16.000000	WATER BASED	1986-07-16	911	9999-12-31	2013-05-08	21185
6507/2-1	1900.000000	1.570000	34.000000	16.000000	WATER BASED	1986-07-17	911	9999-12-31	2013-05-08	21186
6507/2-1	1900.000000	1.570000	34.000000	16.000000	WATER BASED	1986-07-18	911	9999-12-31	2013-05-08	21187
6507/2-1	1900.000000	1.570000	30.000000	13.000000	WATER BASED	1986-07-21	911	9999-12-31	2013-05-08	21188
6507/2-1	1900.000000	1.570000	34.000000	16.000000	WATER BASED	1986-07-15	911	9999-12-31	2013-05-08	21189
6507/2-1	1903.000000	1.570000	29.000000	11.000000	WATER BASED	1986-07-21	911	9999-12-31	2013-05-08	21190
6507/2-1	2096.000000	1.620000	37.000000	16.000000	WATER BASED	1986-07-21	911	9999-12-31	2013-05-08	21191
6507/2-1	2403.000000	1.650000	32.000000	11.000000	WATER BASED	1986-07-22	911	9999-12-31	2013-05-08	21192
6507/2-1	2444.000000	1.650000	34.000000	11.000000	WATER BASED	1986-07-24	911	9999-12-31	2013-05-08	21193
6507/2-1	2641.000000	1.650000	33.000000	10.000000	WATER BASED	1986-07-24	911	9999-12-31	2013-05-08	21194
6507/2-1	2642.000000	1.650000	36.000000	9.000000	WATER BASED	1986-07-25	911	9999-12-31	2013-05-08	21195
6507/2-1	2659.000000	1.650000	35.000000	10.000000	WATER BASED	1986-07-27	911	9999-12-31	2013-05-08	21196
6507/2-1	2722.000000	1.650000	32.000000	8.000000	WATER BASED	1986-07-27	911	9999-12-31	2013-05-08	21197
6507/2-1	2730.000000	1.650000	31.000000	8.000000	WATER BASED	1986-07-27	911	9999-12-31	2013-05-08	21198
6507/2-1	2841.000000	1.650000	35.000000	8.000000	WATER BASED	1986-07-28	911	9999-12-31	2013-05-08	21199
6507/2-1	2872.000000	1.650000	32.000000	10.000000	WATER BASED	1986-07-29	911	9999-12-31	2013-05-08	21200
6507/2-1	2960.000000	1.650000	28.000000	11.000000	WATER BASED	1986-07-30	911	9999-12-31	2013-05-08	21201
6507/2-1	3068.000000	1.650000	20.000000	5.000000	WATER BASED	1986-07-31	911	9999-12-31	2013-05-08	21202
6507/2-1	3166.000000	1.650000	24.000000	6.000000	WATER BASED	1986-08-03	911	9999-12-31	2013-05-08	21203
6507/2-1	3234.000000	1.650000	24.000000	8.000000	WATER BASED	1986-08-07	911	9999-12-31	2013-05-08	21204
6507/2-1	3259.000000	1.650000	21.000000	6.000000	WATER BASED	1986-08-03	911	9999-12-31	2013-05-08	21205
6507/2-1	3320.000000	1.650000	23.000000	5.000000	WATER BASED	1986-08-17	911	9999-12-31	2013-05-08	21206
6507/2-1	3345.000000	1.650000	20.000000	9.000000	WATER BASED	1986-08-03	911	9999-12-31	2013-05-08	21207
6507/2-1	3380.000000	1.660000	26.000000	5.000000	WATER BASED	1986-08-14	911	9999-12-31	2013-05-08	21208
6507/2-1	3380.000000	1.650000	21.000000	6.000000	WATER BASED	1986-08-13	911	9999-12-31	2013-05-08	21209
6507/2-1	3380.000000	1.650000	23.000000	6.000000	WATER BASED	1986-08-11	911	9999-12-31	2013-05-08	21210
6507/2-1	3380.000000	1.650000	16.000000	3.000000	WATER BASED	1986-08-11	911	9999-12-31	2013-05-08	21211
6507/2-1	3380.000000	1.650000	27.000000	6.000000	WATER BASED	1986-08-13	911	9999-12-31	2013-05-08	21212
6507/2-1	3417.000000	1.650000	23.000000	6.000000	WATER BASED	1986-08-17	911	9999-12-31	2013-05-08	21213
6507/2-1	3427.000000	1.650000	20.000000	8.000000	WATER BASED	1986-08-04	911	9999-12-31	2013-05-08	21214
6507/2-1	3432.000000	1.650000	23.000000	8.000000	WATER BASED	1986-08-06	911	9999-12-31	2013-05-08	21215
6507/2-1	3432.000000	1.650000	23.000000	7.000000	WATER BASED	1986-08-05	911	9999-12-31	2013-05-08	21216
6507/2-1	3432.000000	1.650000	21.000000	9.000000	WATER BASED	1986-08-11	911	9999-12-31	2013-05-08	21217
6507/2-1	3501.000000	1.660000	25.000000	7.000000	WATER BASED	1986-08-17	911	9999-12-31	2013-05-08	21218
6507/2-1	3567.000000	1.650000	25.000000	9.000000	WATER BASED	1986-08-18	911	9999-12-31	2013-05-08	21219
6507/2-1	3625.000000	1.650000	22.000000	7.000000	WATER BASED	1986-08-19	911	9999-12-31	2013-05-08	21220
6507/2-1	3655.000000	1.650000	21.000000	7.000000	WATER BASED	1986-08-20	911	9999-12-31	2013-05-08	21221
6507/2-1	3655.000000	1.650000	22.000000	7.000000	WATER BASED	1986-08-21	911	9999-12-31	2013-05-08	21222
6507/2-1	3655.000000	1.650000	22.000000	8.000000	WATER BASED	1986-09-02	911	9999-12-31	2013-05-08	21223
6507/2-1	3655.000000	1.650000	22.000000	7.000000	WATER BASED	1986-08-28	911	9999-12-31	2013-05-08	21224
6507/2-1	3655.000000	1.650000	22.000000	7.000000	WATER BASED	1986-08-25	911	9999-12-31	2013-05-08	21225
6507/2-1	3655.000000	1.650000	22.000000	7.000000	WATER BASED	1986-08-26	911	9999-12-31	2013-05-08	21226
6507/2-1	3655.000000	1.650000	20.000000	6.000000	WATER BASED	1986-08-24	911	9999-12-31	2013-05-08	21227
6507/2-1	3655.000000	1.650000	22.000000	7.000000	WATER BASED	1986-08-24	911	9999-12-31	2013-05-08	21228
6507/2-1	3655.000000	1.650000	21.000000	6.000000	WATER BASED	1986-08-24	911	9999-12-31	2013-05-08	21229
6507/2-1	3655.000000	1.650000	22.000000	7.000000	WATER BASED	1986-08-29	911	9999-12-31	2013-05-08	21230
6507/2-1	3659.000000	1.460000	16.000000	5.000000	WATER BASED	1986-09-02	911	9999-12-31	2013-05-08	21231
6507/2-1	3668.000000	1.460000	16.000000	5.000000	WATER BASED	1986-09-02	911	9999-12-31	2013-05-08	21232
6507/2-1	3743.000000	1.460000	16.000000	6.000000	WATER BASED	1986-09-04	911	9999-12-31	2013-05-08	21233
6507/2-1	3802.000000	1.460000	16.000000	6.000000	WATER BASED	1986-09-04	911	9999-12-31	2013-05-08	21234
6507/2-1	3861.000000	1.700000	21.000000	6.000000	WATER BASED	1986-09-05	911	9999-12-31	2013-05-08	21235
6507/2-1	3892.000000	1.770000	21.000000	8.000000	WATER BASED	1986-09-08	911	9999-12-31	2013-05-08	21236
6507/2-1	3979.000000	1.770000	22.000000	10.000000	WATER BASED	1986-09-08	911	9999-12-31	2013-05-08	21237
6507/2-1	4045.000000	1.770000	20.000000	9.000000	WATER BASED	1986-09-08	911	9999-12-31	2013-05-08	21238
6507/2-1	4112.000000	1.770000	21.000000	7.000000	WATER BASED	1986-09-09	911	9999-12-31	2013-05-08	21239
6507/2-1	4182.000000	1.770000	20.000000	7.000000	WATER BASED	1986-09-10	911	9999-12-31	2013-05-08	21240
6507/2-1	4206.000000	1.770000	19.000000	8.000000	WATER BASED	1986-09-11	911	9999-12-31	2013-05-08	21241
6507/2-1	4244.000000	1.770000	20.000000	9.000000	WATER BASED	1986-09-15	911	9999-12-31	2013-05-08	21242
6507/2-1	4296.000000	1.770000	19.000000	7.000000	WATER BASED	1986-09-15	911	9999-12-31	2013-05-08	21243
6507/2-1	4375.000000	1.770000	19.000000	9.000000	WATER BASED	1986-09-15	911	9999-12-31	2013-05-08	21244
6507/2-1	4444.000000	1.770000	16.000000	7.000000	WATER BASED	1986-09-15	911	9999-12-31	2013-05-08	21245
6507/2-1	4459.000000	1.770000	18.000000	8.000000	WATER BASED	1986-09-16	911	9999-12-31	2013-05-08	21246
6507/2-1	4477.000000	1.770000	17.000000	6.000000	WATER BASED	1986-09-24	911	9999-12-31	2013-05-08	21247
6507/2-1	4477.000000	1.770000	16.000000	5.000000	WATER BASED	1986-09-21	911	9999-12-31	2013-05-08	21248
6507/2-1	4477.000000	1.770000	17.000000	6.000000	WATER BASED	1986-09-23	911	9999-12-31	2013-05-08	21249
6507/2-1	4477.000000	1.770000	18.000000	5.000000	WATER BASED	1986-09-22	911	9999-12-31	2013-05-08	21250
6507/2-1	4477.000000	1.770000	17.000000	6.000000	WATER BASED	1986-09-18	911	9999-12-31	2013-05-08	21251
6507/2-1	4477.000000	1.770000	16.000000	6.000000	WATER BASED	1986-09-17	911	9999-12-31	2013-05-08	21252
6507/2-2	407.000000	1.000000	0.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21253
6507/2-2	430.000000	1.610000	16.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21254
6507/2-2	491.000000	1.050000	18.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21255
6507/2-2	505.000000	1.050000	18.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21256
6507/2-2	685.000000	1.050000	18.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21257
6507/2-2	1051.000000	1.260000	17.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21258
6507/2-2	1238.000000	1.600000	12.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21259
6507/2-2	1259.000000	1.260000	13.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21260
6507/2-2	1414.000000	1.260000	14.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21261
6507/2-2	1600.000000	1.300000	14.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21262
6507/2-2	1959.000000	1.510000	20.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21263
6507/2-2	2100.000000	1.550000	18.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21264
6507/2-2	2355.000000	1.550000	25.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21265
6507/2-2	2449.000000	1.550000	24.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21266
6507/2-2	2517.000000	1.570000	25.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21267
6507/2-2	2568.000000	1.700000	13.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21268
6507/2-2	2568.000000	1.700000	15.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21269
6507/2-2	2727.000000	1.570000	23.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21270
6507/2-2	2775.000000	1.600000	28.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21271
6507/2-2	2777.000000	1.600000	28.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21272
6507/2-2	2783.000000	1.500000	22.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21273
6507/2-2	2821.000000	1.500000	19.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21274
6507/2-2	2843.000000	1.500000	20.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21275
6507/2-2	2863.000000	1.500000	20.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21276
6507/2-2	2900.000000	1.700000	22.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21277
6507/2-2	2924.000000	1.500000	19.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21278
6507/2-2	2987.000000	1.500000	19.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21279
6507/2-2	2989.000000	1.700000	23.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21280
6507/2-2	3013.000000	1.500000	17.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21281
6507/2-2	3045.000000	1.500000	17.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21282
6507/2-2	3084.000000	1.700000	25.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21283
6507/2-2	3112.000000	1.700000	26.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21284
6507/2-2	3154.000000	1.700000	24.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21285
6507/2-2	3156.000000	1.500000	15.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21286
6507/2-2	3161.000000	1.700000	24.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21287
6507/2-2	3175.000000	1.700000	22.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21288
6507/2-2	3188.000000	1.700000	25.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21289
6507/2-2	3212.000000	1.860000	26.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21290
6507/2-2	3257.000000	1.700000	28.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21291
6507/2-2	3265.000000	1.500000	16.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21292
6507/2-2	3274.000000	1.860000	27.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21293
6507/2-2	3283.000000	1.620000	13.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21294
6507/2-2	3296.000000	1.500000	16.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21295
6507/2-2	3307.000000	1.860000	27.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21296
6507/2-2	3326.000000	1.700000	24.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21297
6507/2-2	3330.000000	1.750000	20.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21298
6507/2-2	3336.000000	1.700000	25.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21299
6507/2-2	3448.000000	1.750000	20.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21300
6507/2-2	3570.000000	1.750000	23.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21301
6507/2-2	3626.000000	1.860000	31.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21302
6507/2-2	3638.000000	1.750000	24.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21303
6507/2-2	3670.000000	1.860000	28.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21304
6507/2-2	3678.000000	1.750000	23.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21305
6507/2-2	3684.000000	1.860000	30.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21306
6507/2-2	3685.000000	1.860000	27.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21307
6507/2-2	3696.000000	1.860000	27.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21308
6507/2-2	3700.000000	1.860000	28.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21309
6507/2-2	3702.000000	1.860000	29.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21310
6507/2-2	3705.000000	1.860000	31.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21311
6507/2-2	3710.000000	1.860000	31.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21312
6507/2-2	3712.000000	1.860000	29.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21313
6507/2-2	3721.000000	1.860000	30.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21314
6507/2-2	3736.000000	1.860000	31.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21315
6507/2-2	3737.000000	1.860000	27.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21316
6507/2-2	3739.000000	1.860000	32.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21317
6507/2-2	3741.000000	1.860000	30.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21318
6507/2-2	3751.000000	1.860000	30.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21319
6507/2-2	3770.000000	1.860000	31.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21320
6507/2-2	3796.000000	1.860000	31.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21321
6507/2-2	3910.000000	1.860000	31.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21322
6507/2-2	3958.000000	1.860000	28.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21323
6507/2-2	3958.000000	1.860000	33.000000	0.000000	WATER BASED	9999-12-31	1840	9999-12-31	2013-05-08	21324
6507/2-3	400.000000	1.610000	31.000000	10.000000	WATER BASED	1994-05-05	2299	9999-12-31	2013-05-08	21325
6507/2-3	430.000000	1.050000	0.000000	0.000000	WATER BASED	1994-03-16	2299	9999-12-31	2013-05-08	21326
6507/2-3	462.000000	1.050000	0.000000	0.000000	WATER BASED	1994-03-16	2299	9999-12-31	2013-05-08	21327
6507/2-3	895.000000	1.050000	0.000000	0.000000	WATER BASED	1994-03-17	2299	9999-12-31	2013-05-08	21328
6507/2-3	1413.000000	1.030000	0.000000	0.000000	WATER BASED	1994-03-18	2299	9999-12-31	2013-05-08	21329
6507/2-3	1440.000000	1.610000	31.000000	9.000000	WATER BASED	1994-05-03	2299	9999-12-31	2013-05-08	21330
6507/2-3	1465.000000	1.050000	0.000000	0.000000	WATER BASED	1994-03-21	2299	9999-12-31	2013-05-08	21331
6507/2-3	1465.000000	1.050000	0.000000	0.000000	WATER BASED	1994-03-21	2299	9999-12-31	2013-05-08	21332
6507/2-3	1465.000000	1.050000	0.000000	0.000000	WATER BASED	1994-03-21	2299	9999-12-31	2013-05-08	21333
6507/2-3	1818.000000	1.520000	24.000000	16.000000	WATER BASED	1994-03-25	2299	9999-12-31	2013-05-08	21334
6507/2-3	2016.000000	1.610000	37.000000	26.000000	WATER BASED	1994-03-30	2299	9999-12-31	2013-05-08	21335
6507/2-3	2016.000000	1.610000	37.000000	26.000000	WATER BASED	1994-03-30	2299	9999-12-31	2013-05-08	21336
6507/2-3	2016.000000	1.610000	26.000000	24.000000	WATER BASED	1994-03-30	2299	9999-12-31	2013-05-08	21337
6507/2-3	2016.000000	1.610000	29.000000	23.000000	WATER BASED	1994-03-30	2299	9999-12-31	2013-05-08	21338
6507/2-3	2296.000000	1.410000	24.000000	23.500000	WATER BASED	1994-04-05	2299	9999-12-31	2013-05-08	21339
6507/2-3	2639.000000	1.410000	26.000000	26.000000	WATER BASED	1994-04-05	2299	9999-12-31	2013-05-08	21340
6507/2-3	2680.000000	1.410000	24.000000	24.000000	WATER BASED	1994-04-05	2299	9999-12-31	2013-05-08	21341
6507/2-3	2850.000000	1.410000	28.000000	21.000000	WATER BASED	1994-04-05	2299	9999-12-31	2013-05-08	21342
6507/2-3	2878.000000	1.420000	27.000000	22.000000	WATER BASED	1994-04-05	2299	9999-12-31	2013-05-08	21343
6507/2-3	2915.000000	1.550000	31.000000	8.000000	WATER BASED	1994-05-02	2299	9999-12-31	2013-05-08	21344
6507/2-3	2915.000000	1.550000	31.000000	8.500000	WATER BASED	1994-05-02	2299	9999-12-31	2013-05-08	21345
6507/2-3	2915.000000	1.430000	26.000000	22.000000	WATER BASED	1994-04-05	2299	9999-12-31	2013-05-08	21346
6507/2-3	3060.000000	1.430000	26.000000	19.500000	WATER BASED	1994-04-08	2299	9999-12-31	2013-05-08	21347
6507/2-3	3060.000000	1.430000	26.000000	19.000000	WATER BASED	1994-04-12	2299	9999-12-31	2013-05-08	21348
6507/2-3	3060.000000	1.430000	24.000000	15.000000	WATER BASED	1994-04-12	2299	9999-12-31	2013-05-08	21349
6507/2-3	3060.000000	1.430000	21.000000	12.000000	WATER BASED	1994-04-12	2299	9999-12-31	2013-05-08	21350
6507/2-3	3060.000000	1.430000	25.000000	21.000000	WATER BASED	1994-04-05	2299	9999-12-31	2013-05-08	21351
6507/2-3	3060.000000	1.430000	27.000000	20.000000	WATER BASED	1994-04-06	2299	9999-12-31	2013-05-08	21352
6507/2-3	3060.000000	1.430000	27.000000	20.000000	WATER BASED	1994-04-08	2299	9999-12-31	2013-05-08	21353
6507/2-3	3141.000000	1.500000	20.000000	11.500000	WATER BASED	1994-04-12	2299	9999-12-31	2013-05-08	21354
6507/2-3	3254.000000	1.590000	20.000000	12.000000	WATER BASED	1994-04-13	2299	9999-12-31	2013-05-08	21355
6507/2-3	3265.000000	1.590000	21.000000	11.500000	WATER BASED	1994-04-14	2299	9999-12-31	2013-05-08	21356
6507/2-3	3320.000000	1.590000	25.000000	13.000000	WATER BASED	1994-04-18	2299	9999-12-31	2013-05-08	21357
6507/2-3	3377.000000	1.590000	24.000000	13.500000	WATER BASED	1994-04-19	2299	9999-12-31	2013-05-08	21358
6507/2-3	3377.000000	1.590000	25.000000	13.000000	WATER BASED	1994-04-19	2299	9999-12-31	2013-05-08	21359
6507/2-3	3400.000000	1.590000	31.000000	11.000000	WATER BASED	1994-04-19	2299	9999-12-31	2013-05-08	21360
6507/2-3	3538.000000	1.590000	39.000000	13.500000	WATER BASED	1994-04-19	2299	9999-12-31	2013-05-08	21361
6507/2-3	3700.000000	1.500000	50.000000	12.000000	WATER BASED	1994-04-28	2299	9999-12-31	2013-05-08	21362
6507/2-3	3700.000000	1.500000	31.000000	9.000000	WATER BASED	1994-05-02	2299	9999-12-31	2013-05-08	21363
6507/2-3	3700.000000	1.500000	32.000000	9.000000	WATER BASED	1994-04-29	2299	9999-12-31	2013-05-08	21364
6507/2-3	3726.000000	1.590000	34.000000	12.000000	WATER BASED	1994-04-20	2299	9999-12-31	2013-05-08	21365
6507/2-3	3850.000000	1.670000	40.000000	12.000000	WATER BASED	1994-04-21	2299	9999-12-31	2013-05-08	21366
6507/2-3	3936.000000	1.800000	48.000000	13.000000	WATER BASED	1994-04-22	2299	9999-12-31	2013-05-08	21367
6507/2-3	3972.000000	1.800000	50.000000	12.500000	WATER BASED	1994-04-25	2299	9999-12-31	2013-05-08	21368
6507/2-3	3972.000000	1.800000	50.000000	12.500000	WATER BASED	1994-04-25	2299	9999-12-31	2013-05-08	21369
6507/2-3	3972.000000	1.800000	50.000000	12.500000	WATER BASED	1994-04-26	2299	9999-12-31	2013-05-08	21370
6507/2-3	3972.000000	1.800000	48.000000	12.000000	WATER BASED	1994-04-27	2299	9999-12-31	2013-05-08	21371
6507/2-4	446.000000	1.300000	0.000000	0.000000	SPUD MUD	9999-12-31	5685	9999-12-31	2013-05-08	21372
6507/2-4	518.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	5685	9999-12-31	2013-05-08	21373
6507/2-4	547.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	5685	9999-12-31	2013-05-08	21374
6507/2-4	1089.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	5685	9999-12-31	2013-05-08	21375
6507/2-4	1350.000000	1.300000	120.000000	0.000000	SPUD MUD	9999-12-31	5685	9999-12-31	2013-05-08	21376
6507/2-4	1400.000000	1.250000	15.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21377
6507/2-4	2070.000000	1.550000	35.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21378
6507/2-4	2260.000000	1.550000	31.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21379
6507/2-4	2591.000000	1.480000	29.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21380
6507/2-4	2722.000000	1.480000	30.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21381
6507/2-4	2756.000000	1.480000	28.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21382
6507/2-4	2772.000000	1.480000	27.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21383
6507/2-4	2834.000000	1.480000	310.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21384
6507/2-4	2954.000000	1.480000	31.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21385
6507/2-4	3051.000000	1.490000	33.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21386
6507/2-4	3074.000000	1.490000	29.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21387
6507/2-4	3084.000000	1.520000	32.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21388
6507/2-4	3170.000000	1.560000	32.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21389
6507/2-4	3225.000000	1.620000	38.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21390
6507/2-4	3237.000000	1.630000	37.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21391
6507/2-4	3257.000000	1.660000	37.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21392
6507/2-4	3286.000000	1.670000	33.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21393
6507/2-4	3334.000000	1.730000	41.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21394
6507/2-4	3400.000000	1.730000	37.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21395
6507/2-4	3600.000000	1.520000	28.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21396
6507/2-4	3601.000000	1.730000	39.000000	0.000000	ULTRADRIL DW	9999-12-31	5685	9999-12-31	2013-05-08	21397
6507/3-1	903.000000	1.150000	17.000000	5.000000	WATER BASED	1990-05-21	1533	9999-12-31	2013-05-08	21398
6507/3-1	1353.000000	1.150000	15.000000	4.500000	WATER BASED	1990-05-21	1533	9999-12-31	2013-05-08	21399
6507/3-1	1740.000000	1.250000	15.000000	5.000000	WATER BASED	1990-05-22	1533	9999-12-31	2013-05-08	21400
6507/3-1	1860.000000	1.370000	18.000000	6.000000	WATER BASED	1990-05-23	1533	9999-12-31	2013-05-08	21401
6507/3-1	1860.000000	1.370000	19.000000	6.000000	WATER BASED	1990-05-25	1533	9999-12-31	2013-05-08	21402
6507/3-1	1860.000000	1.450000	18.000000	6.000000	WATER BASED	1990-05-28	1533	9999-12-31	2013-05-08	21403
6507/3-1	1860.000000	1.370000	16.000000	5.000000	WATER BASED	1990-05-22	1533	9999-12-31	2013-05-08	21404
6507/3-1	1982.000000	1.550000	19.000000	5.500000	WATER BASED	1990-05-28	1533	9999-12-31	2013-05-08	21405
6507/3-1	2050.000000	1.550000	21.000000	9.000000	WATER BASED	1990-05-28	1533	9999-12-31	2013-05-08	21406
6507/3-1	2050.000000	1.650000	21.000000	8.000000	WATER BASED	1990-05-28	1533	9999-12-31	2013-05-08	21407
6507/3-1	2050.000000	1.650000	20.000000	8.000000	WATER BASED	1990-05-29	1533	9999-12-31	2013-05-08	21408
6507/3-1	2050.000000	1.650000	21.000000	9.500000	WATER BASED	1990-06-01	1533	9999-12-31	2013-05-08	21409
6507/3-1	2050.000000	1.550000	20.000000	7.500000	WATER BASED	1990-05-31	1533	9999-12-31	2013-05-08	21410
6507/3-1	2050.000000	1.650000	21.000000	8.000000	WATER BASED	1990-06-01	1533	9999-12-31	2013-05-08	21411
6507/3-1	2050.000000	1.650000	20.000000	8.500000	WATER BASED	1990-06-07	1533	9999-12-31	2013-05-08	21412
6507/3-1	2050.000000	1.650000	19.000000	8.000000	WATER BASED	1990-06-07	1533	9999-12-31	2013-05-08	21413
6507/3-1	2050.000000	1.650000	21.000000	8.000000	WATER BASED	1990-06-05	1533	9999-12-31	2013-05-08	21414
6507/3-1	2050.000000	1.650000	19.000000	7.500000	WATER BASED	1990-06-08	1533	9999-12-31	2013-05-08	21415
6507/3-1	2050.000000	1.650000	0.000000	0.000000	DUMMY	1990-06-12	1533	9999-12-31	2013-05-08	21416
6507/3-1	2050.000000	1.650000	20.000000	8.000000	WATER BASED	1990-06-12	1533	9999-12-31	2013-05-08	21417
6507/3-1	2050.000000	1.650000	20.000000	8.500000	WATER BASED	1990-06-12	1533	9999-12-31	2013-05-08	21418
6507/3-1	2050.000000	1.650000	20.000000	8.500000	WATER BASED	1990-06-05	1533	9999-12-31	2013-05-08	21419
6507/3-1	2050.000000	1.650000	21.000000	7.500000	WATER BASED	1990-06-05	1533	9999-12-31	2013-05-08	21420
6507/3-1	2050.000000	1.650000	20.000000	8.500000	WATER BASED	1990-06-05	1533	9999-12-31	2013-05-08	21421
6507/3-1	2183.000000	1.650000	20.000000	8.500000	WATER BASED	1990-06-12	1533	9999-12-31	2013-05-08	21422
6507/3-1	2353.000000	1.550000	21.000000	9.000000	WATER BASED	1990-05-28	1533	9999-12-31	2013-05-08	21423
6507/3-1	2473.000000	1.650000	21.000000	8.000000	WATER BASED	1990-05-28	1533	9999-12-31	2013-05-08	21424
6507/3-1	2567.000000	1.650000	20.000000	8.000000	WATER BASED	1990-05-29	1533	9999-12-31	2013-05-08	21425
6507/3-1	2670.000000	1.650000	20.000000	7.500000	WATER BASED	1990-05-31	1533	9999-12-31	2013-05-08	21426
6507/3-1	2741.000000	1.650000	21.000000	9.500000	WATER BASED	1990-06-01	1533	9999-12-31	2013-05-08	21427
6507/3-1	2861.000000	1.650000	21.000000	8.000000	WATER BASED	1990-06-01	1533	9999-12-31	2013-05-08	21428
6507/3-1	2956.000000	1.650000	21.000000	8.000000	WATER BASED	1990-06-05	1533	9999-12-31	2013-05-08	21429
6507/3-1	3039.000000	1.650000	21.000000	7.500000	WATER BASED	1990-06-05	1533	9999-12-31	2013-05-08	21430
6507/3-1	3065.000000	1.650000	20.000000	8.500000	WATER BASED	1990-06-05	1533	9999-12-31	2013-05-08	21431
6507/3-1	3114.000000	1.650000	20.000000	8.500000	WATER BASED	1990-06-05	1533	9999-12-31	2013-05-08	21432
6507/3-1	3168.000000	1.300000	17.000000	6.000000	WATER BASED	1990-06-18	1533	9999-12-31	2013-05-08	21433
6507/3-1	3168.000000	1.300000	18.000000	6.000000	WATER BASED	1990-06-20	1533	9999-12-31	2013-05-08	21434
6507/3-1	3168.000000	1.300000	19.000000	5.500000	WATER BASED	1990-06-20	1533	9999-12-31	2013-05-08	21435
6507/3-1	3168.000000	1.300000	18.000000	5.500000	WATER BASED	1990-06-19	1533	9999-12-31	2013-05-08	21436
6507/3-1	3182.000000	1.650000	20.000000	8.500000	WATER BASED	1990-06-07	1533	9999-12-31	2013-05-08	21437
6507/3-1	3183.000000	1.650000	20.000000	8.000000	WATER BASED	1990-06-12	1533	9999-12-31	2013-05-08	21438
6507/3-1	3183.000000	1.650000	19.000000	7.500000	WATER BASED	1990-06-08	1533	9999-12-31	2013-05-08	21439
6507/3-1	3183.000000	1.650000	21.000000	7.500000	WATER BASED	1990-06-13	1533	9999-12-31	2013-05-08	21440
6507/3-1	3183.000000	1.650000	20.000000	8.000000	WATER BASED	1990-06-12	1533	9999-12-31	2013-05-08	21441
6507/3-1	3183.000000	1.650000	0.000000	0.000000	DUMMY	1990-06-12	1533	9999-12-31	2013-05-08	21442
6507/3-1	3183.000000	1.650000	19.000000	8.000000	WATER BASED	1990-06-07	1533	9999-12-31	2013-05-08	21443
6507/3-1	3192.000000	1.300000	21.000000	12.000000	WATER BASED	1990-06-18	1533	9999-12-31	2013-05-08	21444
6507/3-1	3202.000000	1.300000	22.000000	8.000000	WATER BASED	1990-06-18	1533	9999-12-31	2013-05-08	21445
6507/3-1	3204.000000	1.520000	30.000000	8.500000	WATER BASED	1990-07-24	1533	9999-12-31	2013-05-08	21446
6507/3-1	3204.000000	1.520000	30.000000	5.500000	WATER BASED	1990-07-23	1533	9999-12-31	2013-05-08	21447
6507/3-1	3204.000000	1.520000	28.000000	6.000000	WATER BASED	1990-07-23	1533	9999-12-31	2013-05-08	21448
6507/3-1	3270.000000	1.300000	16.000000	5.500000	WATER BASED	1990-06-18	1533	9999-12-31	2013-05-08	21449
6507/3-1	3307.000000	1.520000	28.000000	6.000000	WATER BASED	1990-07-23	1533	9999-12-31	2013-05-08	21450
6507/3-1	3342.000000	1.300000	17.000000	6.000000	WATER BASED	1990-06-18	1533	9999-12-31	2013-05-08	21451
6507/3-1	3418.000000	1.300000	18.000000	5.500000	WATER BASED	1990-06-19	1533	9999-12-31	2013-05-08	21452
6507/3-1	3509.000000	1.300000	18.000000	6.000000	WATER BASED	1990-06-20	1533	9999-12-31	2013-05-08	21453
6507/3-1	3516.000000	1.520000	30.000000	8.500000	WATER BASED	1990-07-24	1533	9999-12-31	2013-05-08	21454
6507/3-1	3519.000000	1.300000	19.000000	5.500000	WATER BASED	1990-06-20	1533	9999-12-31	2013-05-08	21455
6507/3-1	3606.000000	1.520000	33.000000	7.000000	WATER BASED	1990-07-26	1533	9999-12-31	2013-05-08	21456
6507/3-1	3606.000000	1.520000	30.000000	4.000000	WATER BASED	1990-08-01	1533	9999-12-31	2013-05-08	21457
6507/3-1	3606.000000	1.520000	28.000000	4.500000	WATER BASED	1990-08-02	1533	9999-12-31	2013-05-08	21458
6507/3-1	3606.000000	1.520000	35.000000	4.000000	WATER BASED	1990-07-30	1533	9999-12-31	2013-05-08	21459
6507/3-1	3606.000000	1.520000	31.000000	5.500000	WATER BASED	1990-07-30	1533	9999-12-31	2013-05-08	21460
6507/3-1	3606.000000	1.520000	30.000000	4.500000	WATER BASED	1990-07-26	1533	9999-12-31	2013-05-08	21461
6507/3-1	3606.000000	1.520000	34.000000	4.000000	WATER BASED	1990-07-30	1533	9999-12-31	2013-05-08	21462
6507/3-1	3606.000000	1.520000	28.000000	4.000000	WATER BASED	1990-08-03	1533	9999-12-31	2013-05-08	21463
6507/3-1	3606.000000	1.520000	17.000000	3.500000	WATER BASED	1990-08-06	1533	9999-12-31	2013-05-08	21464
6507/3-1	3606.000000	1.520000	22.000000	3.500000	WATER BASED	1990-08-06	1533	9999-12-31	2013-05-08	21465
6507/3-1	3606.000000	1.520000	31.000000	4.500000	WATER BASED	1990-07-30	1533	9999-12-31	2013-05-08	21466
6507/3-1	3607.000000	1.520000	15.000000	5.000000	WATER BASED	1990-07-11	1533	9999-12-31	2013-05-08	21467
6507/3-1	3607.000000	1.520000	16.000000	6.000000	WATER BASED	1990-07-04	1533	9999-12-31	2013-05-08	21468
6507/3-1	3607.000000	1.520000	17.000000	6.000000	WATER BASED	1990-07-04	1533	9999-12-31	2013-05-08	21469
6507/3-1	3607.000000	1.470000	17.000000	4.500000	WATER BASED	1990-06-26	1533	9999-12-31	2013-05-08	21470
6507/3-1	3607.000000	1.520000	16.000000	5.000000	WATER BASED	1990-07-16	1533	9999-12-31	2013-05-08	21471
6507/3-1	3607.000000	1.520000	14.000000	4.500000	WATER BASED	1990-07-17	1533	9999-12-31	2013-05-08	21472
6507/3-1	3607.000000	1.470000	16.000000	5.500000	WATER BASED	1990-06-26	1533	9999-12-31	2013-05-08	21473
6507/3-1	3607.000000	1.470000	24.000000	7.500000	WATER BASED	1990-06-26	1533	9999-12-31	2013-05-08	21474
6507/3-1	3607.000000	1.470000	15.000000	4.500000	WATER BASED	1990-06-26	1533	9999-12-31	2013-05-08	21475
6507/3-1	3607.000000	1.470000	15.000000	4.000000	WATER BASED	1990-07-02	1533	9999-12-31	2013-05-08	21476
6507/3-1	3607.000000	1.520000	14.000000	6.000000	WATER BASED	1990-07-16	1533	9999-12-31	2013-05-08	21477
6507/3-1	3607.000000	1.520000	13.000000	5.000000	WATER BASED	1990-07-16	1533	9999-12-31	2013-05-08	21478
6507/3-1	3607.000000	1.520000	13.000000	4.500000	WATER BASED	1990-07-16	1533	9999-12-31	2013-05-08	21479
6507/3-1	3607.000000	1.520000	15.000000	7.000000	WATER BASED	1990-07-12	1533	9999-12-31	2013-05-08	21480
6507/3-1	3607.000000	1.520000	12.000000	4.000000	WATER BASED	1990-07-10	1533	9999-12-31	2013-05-08	21481
6507/3-1	3607.000000	1.520000	13.000000	6.000000	WATER BASED	1990-07-09	1533	9999-12-31	2013-05-08	21482
6507/3-1	3607.000000	1.520000	16.000000	6.000000	WATER BASED	1990-07-09	1533	9999-12-31	2013-05-08	21483
6507/3-1	3607.000000	1.520000	14.000000	4.000000	WATER BASED	1990-07-09	1533	9999-12-31	2013-05-08	21484
6507/3-1	3607.000000	1.520000	15.000000	5.500000	WATER BASED	1990-07-09	1533	9999-12-31	2013-05-08	21485
6507/3-1	3607.000000	1.520000	16.000000	7.000000	WATER BASED	1990-07-09	1533	9999-12-31	2013-05-08	21486
6507/3-1	3607.000000	1.520000	15.000000	5.500000	WATER BASED	1990-07-04	1533	9999-12-31	2013-05-08	21487
6507/3-1	3607.000000	1.520000	13.000000	4.000000	WATER BASED	1990-07-04	1533	9999-12-31	2013-05-08	21488
6507/3-1	3607.000000	1.520000	16.000000	6.500000	WATER BASED	1990-07-04	1533	9999-12-31	2013-05-08	21489
6507/3-1	3607.000000	1.470000	16.000000	5.500000	WATER BASED	1990-06-27	1533	9999-12-31	2013-05-08	21490
6507/3-1	3607.000000	1.470000	17.000000	6.500000	WATER BASED	1990-06-28	1533	9999-12-31	2013-05-08	21491
6507/3-1	3609.000000	1.410000	19.000000	7.500000	WATER BASED	1990-06-21	1533	9999-12-31	2013-05-08	21492
6507/3-1	3611.000000	1.650000	17.000000	6.000000	WATER BASED	1990-10-26	1533	9999-12-31	2013-05-08	21493
6507/3-1	3611.000000	1.900000	31.000000	11.000000	WATER BASED	1990-10-18	1533	9999-12-31	2013-05-08	21494
6507/3-1	3611.000000	1.650000	17.000000	3.500000	WATER BASED	1990-10-25	1533	9999-12-31	2013-05-08	21495
6507/3-1	3611.000000	1.900000	27.000000	10.500000	WATER BASED	1990-10-18	1533	9999-12-31	2013-05-08	21496
6507/3-1	3611.000000	1.900000	24.000000	8.000000	WATER BASED	1990-10-22	1533	9999-12-31	2013-05-08	21497
6507/3-1	3611.000000	1.650000	24.000000	65.000000	WATER BASED	1990-10-22	1533	9999-12-31	2013-05-08	21498
6507/3-1	3611.000000	1.650000	18.000000	3.000000	WATER BASED	1990-10-22	1533	9999-12-31	2013-05-08	21499
6507/3-1	3611.000000	1.650000	17.000000	3.000000	WATER BASED	1990-10-22	1533	9999-12-31	2013-05-08	21500
6507/3-1	3611.000000	1.800000	18.000000	5.000000	WATER BASED	1990-10-16	1533	9999-12-31	2013-05-08	21501
6507/3-1	3611.000000	1.420000	21.000000	8.500000	WATER BASED	1990-10-15	1533	9999-12-31	2013-05-08	21502
6507/3-1	3611.000000	1.420000	21.000000	8.500000	WATER BASED	1990-10-15	1533	9999-12-31	2013-05-08	21503
6507/3-1	3611.000000	1.420000	21.000000	9.000000	WATER BASED	1990-10-15	1533	9999-12-31	2013-05-08	21504
6507/3-1	3611.000000	1.420000	20.000000	9.000000	WATER BASED	1990-10-12	1533	9999-12-31	2013-05-08	21505
6507/3-1	3612.000000	1.440000	23.000000	8.000000	WATER BASED	1990-06-25	1533	9999-12-31	2013-05-08	21506
6507/3-1	3658.000000	1.470000	24.000000	7.500000	WATER BASED	1990-06-26	1533	9999-12-31	2013-05-08	21507
6507/3-1	3671.000000	1.520000	33.000000	7.000000	WATER BASED	1990-07-26	1533	9999-12-31	2013-05-08	21508
6507/3-1	3690.000000	1.420000	21.000000	10.500000	WATER BASED	1990-10-10	1533	9999-12-31	2013-05-08	21509
6507/3-1	3690.000000	1.420000	21.000000	9.000000	WATER BASED	1990-10-11	1533	9999-12-31	2013-05-08	21510
6507/3-1	3690.000000	1.420000	21.000000	9.000000	WATER BASED	1990-10-11	1533	9999-12-31	2013-05-08	21511
6507/3-1	3690.000000	1.420000	17.000000	8.000000	WATER BASED	1990-10-08	1533	9999-12-31	2013-05-08	21512
6507/3-1	3690.000000	1.420000	22.000000	10.500000	WATER BASED	1990-10-08	1533	9999-12-31	2013-05-08	21513
6507/3-1	3690.000000	1.420000	14.000000	8.000000	WATER BASED	1990-10-04	1533	9999-12-31	2013-05-08	21514
6507/3-1	3690.000000	1.420000	17.000000	9.000000	WATER BASED	1990-10-02	1533	9999-12-31	2013-05-08	21515
6507/3-1	3690.000000	1.420000	19.000000	8.000000	WATER BASED	1990-10-08	1533	9999-12-31	2013-05-08	21516
6507/3-1	3690.000000	1.420000	14.000000	8.000000	WATER BASED	1990-10-03	1533	9999-12-31	2013-05-08	21517
6507/3-1	3698.000000	1.520000	30.000000	4.500000	WATER BASED	1990-07-26	1533	9999-12-31	2013-05-08	21518
6507/3-1	3712.000000	1.470000	17.000000	4.500000	WATER BASED	1990-06-26	1533	9999-12-31	2013-05-08	21519
6507/3-1	3730.000000	1.520000	31.000000	5.500000	WATER BASED	1990-07-30	1533	9999-12-31	2013-05-08	21520
6507/3-1	3743.000000	1.420000	17.000000	8.500000	WATER BASED	1990-10-01	1533	9999-12-31	2013-05-08	21521
6507/3-1	3743.000000	1.420000	14.000000	7.500000	WATER BASED	1990-10-01	1533	9999-12-31	2013-05-08	21522
6507/3-1	3743.000000	1.400000	14.000000	8.000000	WATER BASED	1990-10-01	1533	9999-12-31	2013-05-08	21523
6507/3-1	3768.000000	1.470000	15.000000	4.500000	WATER BASED	1990-06-26	1533	9999-12-31	2013-05-08	21524
6507/3-1	3783.000000	1.420000	14.000000	7.500000	WATER BASED	1990-09-28	1533	9999-12-31	2013-05-08	21525
6507/3-1	3797.000000	1.470000	16.000000	5.500000	WATER BASED	1990-06-26	1533	9999-12-31	2013-05-08	21526
6507/3-1	3840.000000	1.470000	16.000000	5.500000	WATER BASED	1990-06-27	1533	9999-12-31	2013-05-08	21527
6507/3-1	3853.000000	0.000000	17.000000	6.500000	WATER BASED	1990-06-28	1533	9999-12-31	2013-05-08	21528
6507/3-1	3853.000000	0.000000	16.000000	6.000000	WATER BASED	1990-07-04	1533	9999-12-31	2013-05-08	21529
6507/3-1	3853.000000	0.000000	16.000000	6.500000	WATER BASED	1990-07-04	1533	9999-12-31	2013-05-08	21530
6507/3-1	3853.000000	0.000000	17.000000	6.000000	WATER BASED	1990-07-04	1533	9999-12-31	2013-05-08	21531
6507/3-1	3853.000000	0.000000	13.000000	4.000000	WATER BASED	1990-07-04	1533	9999-12-31	2013-05-08	21532
6507/3-1	3853.000000	1.470000	15.000000	4.000000	WATER BASED	1990-07-02	1533	9999-12-31	2013-05-08	21533
6507/3-1	3853.000000	0.000000	15.000000	5.500000	WATER BASED	1990-07-04	1533	9999-12-31	2013-05-08	21534
6507/3-1	3878.000000	1.520000	35.000000	4.000000	WATER BASED	1990-07-30	1533	9999-12-31	2013-05-08	21535
6507/3-1	3907.000000	1.520000	34.000000	4.000000	WATER BASED	1990-07-30	1533	9999-12-31	2013-05-08	21536
6507/3-1	3918.000000	0.000000	15.000000	5.500000	WATER BASED	1990-07-09	1533	9999-12-31	2013-05-08	21537
6507/3-1	3937.000000	0.000000	16.000000	7.000000	WATER BASED	1990-07-09	1533	9999-12-31	2013-05-08	21538
6507/3-1	3953.000000	1.340000	24.000000	4.000000	WATER BASED	1990-08-10	1533	9999-12-31	2013-05-08	21539
6507/3-1	3953.000000	1.400000	15.000000	5.000000	WATER BASED	1990-09-10	1533	9999-12-31	2013-05-08	21540
6507/3-1	3953.000000	1.340000	26.000000	8.500000	WATER BASED	1990-08-21	1533	9999-12-31	2013-05-08	21541
6507/3-1	3953.000000	1.340000	22.000000	6.000000	WATER BASED	1990-08-21	1533	9999-12-31	2013-05-08	21542
6507/3-1	3953.000000	1.340000	14.000000	6.000000	WATER BASED	1990-08-30	1533	9999-12-31	2013-05-08	21543
6507/3-1	3953.000000	1.400000	13.000000	6.500000	WATER BASED	1990-09-26	1533	9999-12-31	2013-05-08	21544
6507/3-1	3953.000000	1.400000	13.000000	4.500000	WATER BASED	1990-09-25	1533	9999-12-31	2013-05-08	21545
6507/3-1	3953.000000	1.400000	13.000000	4.500000	WATER BASED	1990-09-24	1533	9999-12-31	2013-05-08	21546
6507/3-1	3953.000000	1.400000	13.000000	4.500000	WATER BASED	1990-09-24	1533	9999-12-31	2013-05-08	21547
6507/3-1	3953.000000	1.400000	13.000000	4.500000	WATER BASED	1990-09-24	1533	9999-12-31	2013-05-08	21548
6507/3-1	3953.000000	1.400000	14.000000	8.500000	WATER BASED	1990-09-20	1533	9999-12-31	2013-05-08	21549
6507/3-1	3953.000000	1.400000	14.000000	7.500000	WATER BASED	1990-09-20	1533	9999-12-31	2013-05-08	21550
6507/3-1	3953.000000	1.400000	14.000000	7.000000	WATER BASED	1990-09-21	1533	9999-12-31	2013-05-08	21551
6507/3-1	3953.000000	1.400000	14.000000	7.500000	WATER BASED	1990-09-17	1533	9999-12-31	2013-05-08	21552
6507/3-1	3953.000000	1.400000	13.000000	5.000000	WATER BASED	1990-09-17	1533	9999-12-31	2013-05-08	21553
6507/3-1	3953.000000	1.400000	14.000000	7.000000	WATER BASED	1990-09-10	1533	9999-12-31	2013-05-08	21554
6507/3-1	3953.000000	1.400000	14.000000	8.000000	WATER BASED	1990-09-17	1533	9999-12-31	2013-05-08	21555
6507/3-1	3953.000000	1.400000	14.000000	8.000000	WATER BASED	1990-09-18	1533	9999-12-31	2013-05-08	21556
6507/3-1	3953.000000	1.400000	12.000000	5.500000	WATER BASED	1990-09-13	1533	9999-12-31	2013-05-08	21557
6507/3-1	3953.000000	1.400000	14.000000	8.500000	WATER BASED	1990-09-11	1533	9999-12-31	2013-05-08	21558
6507/3-1	3953.000000	1.400000	14.000000	8.500000	WATER BASED	1990-09-14	1533	9999-12-31	2013-05-08	21559
6507/3-1	3953.000000	1.400000	15.000000	7.500000	WATER BASED	1990-09-10	1533	9999-12-31	2013-05-08	21560
6507/3-1	3953.000000	1.400000	15.000000	6.000000	WATER BASED	1990-09-06	1533	9999-12-31	2013-05-08	21561
6507/3-1	3953.000000	1.400000	16.000000	6.000000	WATER BASED	1990-09-05	1533	9999-12-31	2013-05-08	21562
6507/3-1	3953.000000	1.340000	14.000000	6.000000	WATER BASED	1990-09-04	1533	9999-12-31	2013-05-08	21563
6507/3-1	3953.000000	1.340000	13.000000	7.000000	WATER BASED	1990-09-04	1533	9999-12-31	2013-05-08	21564
6507/3-1	3953.000000	1.340000	15.000000	6.500000	WATER BASED	1990-09-04	1533	9999-12-31	2013-05-08	21565
6507/3-1	3953.000000	1.340000	15.000000	7.000000	WATER BASED	1990-09-04	1533	9999-12-31	2013-05-08	21566
6507/3-1	3953.000000	1.340000	16.000000	6.500000	WATER BASED	1990-08-29	1533	9999-12-31	2013-05-08	21567
6507/3-1	3953.000000	1.340000	16.000000	7.000000	WATER BASED	1990-08-31	1533	9999-12-31	2013-05-08	21568
6507/3-1	3953.000000	1.340000	17.000000	6.500000	WATER BASED	1990-08-28	1533	9999-12-31	2013-05-08	21569
6507/3-1	3953.000000	1.340000	18.000000	7.000000	WATER BASED	1990-08-27	1533	9999-12-31	2013-05-08	21570
6507/3-1	3953.000000	1.340000	17.000000	8.000000	WATER BASED	1990-08-27	1533	9999-12-31	2013-05-08	21571
6507/3-1	3953.000000	1.340000	15.000000	7.500000	WATER BASED	1990-08-27	1533	9999-12-31	2013-05-08	21572
6507/3-1	3953.000000	1.340000	21.000000	8.000000	WATER BASED	1990-08-23	1533	9999-12-31	2013-05-08	21573
6507/3-1	3953.000000	1.340000	18.000000	7.000000	WATER BASED	1990-08-23	1533	9999-12-31	2013-05-08	21574
6507/3-1	3953.000000	1.340000	27.000000	4.500000	WATER BASED	1990-08-09	1533	9999-12-31	2013-05-08	21575
6507/3-1	3953.000000	1.340000	25.000000	5.500000	WATER BASED	1990-08-13	1533	9999-12-31	2013-05-08	21576
6507/3-1	3953.000000	1.340000	25.000000	5.000000	WATER BASED	1990-08-13	1533	9999-12-31	2013-05-08	21577
6507/3-1	3953.000000	1.340000	26.000000	4.000000	WATER BASED	1990-08-10	1533	9999-12-31	2013-05-08	21578
6507/3-1	3953.000000	1.340000	20.000000	6.500000	WATER BASED	1990-08-21	1533	9999-12-31	2013-05-08	21579
6507/3-1	3953.000000	1.340000	22.000000	6.000000	WATER BASED	1990-08-21	1533	9999-12-31	2013-05-08	21580
6507/3-1	3953.000000	1.340000	14.000000	3.500000	WATER BASED	1990-08-15	1533	9999-12-31	2013-05-08	21581
6507/3-1	3953.000000	1.340000	26.000000	5.500000	WATER BASED	1990-08-14	1533	9999-12-31	2013-05-08	21582
6507/3-1	3953.000000	1.340000	25.000000	6.500000	WATER BASED	1990-08-14	1533	9999-12-31	2013-05-08	21583
6507/3-1	3953.000000	1.340000	26.000000	5.500000	WATER BASED	1990-08-17	1533	9999-12-31	2013-05-08	21584
6507/3-1	3953.000000	1.340000	24.000000	5.000000	WATER BASED	1990-08-17	1533	9999-12-31	2013-05-08	21585
6507/3-1	3975.000000	1.520000	28.000000	4.500000	WATER BASED	1990-08-02	1533	9999-12-31	2013-05-08	21586
6507/3-1	3975.000000	1.520000	30.000000	4.000000	WATER BASED	1990-08-01	1533	9999-12-31	2013-05-08	21587
6507/3-1	3975.000000	1.520000	31.000000	4.500000	WATER BASED	1990-07-30	1533	9999-12-31	2013-05-08	21588
6507/3-1	3975.000000	1.520000	22.000000	3.500000	WATER BASED	1990-08-06	1533	9999-12-31	2013-05-08	21589
6507/3-1	3975.000000	1.520000	28.000000	4.000000	WATER BASED	1990-08-03	1533	9999-12-31	2013-05-08	21590
6507/3-1	3975.000000	1.520000	17.000000	3.500000	WATER BASED	1990-08-06	1533	9999-12-31	2013-05-08	21591
6507/3-1	3994.000000	0.000000	16.000000	6.000000	WATER BASED	1990-07-09	1533	9999-12-31	2013-05-08	21592
6507/3-1	4022.000000	0.000000	14.000000	4.000000	WATER BASED	1990-07-09	1533	9999-12-31	2013-05-08	21593
6507/3-1	4058.000000	0.000000	13.000000	6.000000	WATER BASED	1990-07-09	1533	9999-12-31	2013-05-08	21594
6507/3-1	4080.000000	0.000000	12.000000	4.000000	WATER BASED	1990-07-10	1533	9999-12-31	2013-05-08	21595
6507/3-1	4080.000000	0.000000	15.000000	5.000000	WATER BASED	1990-07-11	1533	9999-12-31	2013-05-08	21596
6507/3-1	4080.000000	0.000000	15.000000	7.000000	WATER BASED	1990-07-12	1533	9999-12-31	2013-05-08	21597
6507/3-1	4080.000000	1.520000	13.000000	4.500000	WATER BASED	1990-07-16	1533	9999-12-31	2013-05-08	21598
6507/3-1	4080.000000	1.520000	13.000000	5.000000	WATER BASED	1990-07-16	1533	9999-12-31	2013-05-08	21599
6507/3-1	4080.000000	1.520000	14.000000	6.000000	WATER BASED	1990-07-16	1533	9999-12-31	2013-05-08	21600
6507/3-1	4080.000000	1.520000	14.000000	4.500000	WATER BASED	1990-07-17	1533	9999-12-31	2013-05-08	21601
6507/3-1	4080.000000	1.520000	16.000000	5.000000	WATER BASED	1990-07-16	1533	9999-12-31	2013-05-08	21602
6507/3-1	4136.000000	1.340000	27.000000	4.500000	WATER BASED	1990-08-09	1533	9999-12-31	2013-05-08	21603
6507/3-1	4190.000000	1.340000	26.000000	4.000000	WATER BASED	1990-08-10	1533	9999-12-31	2013-05-08	21604
6507/3-1	4217.000000	1.340000	24.000000	4.000000	WATER BASED	1990-08-10	1533	9999-12-31	2013-05-08	21605
6507/3-1	4242.000000	1.340000	25.000000	5.500000	WATER BASED	1990-08-13	1533	9999-12-31	2013-05-08	21606
6507/3-1	4303.000000	1.340000	25.000000	5.000000	WATER BASED	1990-08-13	1533	9999-12-31	2013-05-08	21607
6507/3-1	4331.000000	1.340000	26.000000	5.500000	WATER BASED	1990-08-14	1533	9999-12-31	2013-05-08	21608
6507/3-1	4354.000000	1.340000	25.000000	6.500000	WATER BASED	1990-08-14	1533	9999-12-31	2013-05-08	21609
6507/3-1	4379.000000	1.340000	14.000000	3.500000	WATER BASED	1990-08-15	1533	9999-12-31	2013-05-08	21610
6507/3-1	4403.000000	1.340000	26.000000	5.500000	WATER BASED	1990-08-17	1533	9999-12-31	2013-05-08	21611
6507/3-1	4453.000000	1.340000	24.000000	5.000000	WATER BASED	1990-08-17	1533	9999-12-31	2013-05-08	21612
6507/3-1	4473.000000	1.340000	26.000000	8.500000	WATER BASED	1990-08-21	1533	9999-12-31	2013-05-08	21613
6507/3-1	4503.000000	1.340000	22.000000	6.000000	WATER BASED	1990-08-21	1533	9999-12-31	2013-05-08	21614
6507/3-1	4521.000000	1.340000	22.000000	6.000000	WATER BASED	1990-08-21	1533	9999-12-31	2013-05-08	21615
6507/3-1	4566.000000	1.340000	20.000000	6.500000	WATER BASED	1990-08-21	1533	9999-12-31	2013-05-08	21616
6507/3-1	4593.000000	1.340000	21.000000	8.000000	WATER BASED	1990-08-23	1533	9999-12-31	2013-05-08	21617
6507/3-1	4618.000000	1.340000	18.000000	7.000000	WATER BASED	1990-08-23	1533	9999-12-31	2013-05-08	21618
6507/3-1	4680.000000	1.340000	18.000000	7.000000	WATER BASED	1990-08-27	1533	9999-12-31	2013-05-08	21619
6507/3-1	4688.000000	1.340000	15.000000	7.500000	WATER BASED	1990-08-27	1533	9999-12-31	2013-05-08	21620
6507/3-1	4706.000000	1.340000	17.000000	8.000000	WATER BASED	1990-08-27	1533	9999-12-31	2013-05-08	21621
6507/3-1	4712.000000	1.340000	17.000000	6.500000	WATER BASED	1990-08-28	1533	9999-12-31	2013-05-08	21622
6507/3-1	4725.000000	1.340000	16.000000	6.500000	WATER BASED	1990-08-29	1533	9999-12-31	2013-05-08	21623
6507/3-1	4757.000000	1.340000	16.000000	7.000000	WATER BASED	1990-08-31	1533	9999-12-31	2013-05-08	21624
6507/3-1	4757.000000	1.340000	14.000000	6.000000	WATER BASED	1990-08-30	1533	9999-12-31	2013-05-08	21625
6507/3-1	4757.000000	1.340000	15.000000	7.000000	WATER BASED	1990-09-04	1533	9999-12-31	2013-05-08	21626
6507/3-1	4757.000000	1.340000	15.000000	6.500000	WATER BASED	1990-09-04	1533	9999-12-31	2013-05-08	21627
6507/3-1	4757.000000	1.340000	13.000000	7.000000	WATER BASED	1990-09-04	1533	9999-12-31	2013-05-08	21628
6507/3-1	4757.000000	1.400000	15.000000	7.500000	WATER BASED	1990-09-10	1533	9999-12-31	2013-05-08	21629
6507/3-1	4757.000000	1.400000	15.000000	5.000000	WATER BASED	1990-09-10	1533	9999-12-31	2013-05-08	21630
6507/3-1	4757.000000	1.400000	14.000000	8.500000	WATER BASED	1990-09-14	1533	9999-12-31	2013-05-08	21631
6507/3-1	4757.000000	1.400000	14.000000	8.500000	WATER BASED	1990-09-11	1533	9999-12-31	2013-05-08	21632
6507/3-1	4757.000000	1.400000	12.000000	5.500000	WATER BASED	1990-09-13	1533	9999-12-31	2013-05-08	21633
6507/3-1	4757.000000	1.400000	14.000000	8.000000	WATER BASED	1990-09-18	1533	9999-12-31	2013-05-08	21634
6507/3-1	4757.000000	1.400000	14.000000	8.000000	WATER BASED	1990-09-17	1533	9999-12-31	2013-05-08	21635
6507/3-1	4757.000000	1.400000	14.000000	7.000000	WATER BASED	1990-09-10	1533	9999-12-31	2013-05-08	21636
6507/3-1	4757.000000	1.400000	14.000000	7.500000	WATER BASED	1990-09-17	1533	9999-12-31	2013-05-08	21637
6507/3-1	4757.000000	1.400000	14.000000	7.000000	WATER BASED	1990-09-21	1533	9999-12-31	2013-05-08	21638
6507/3-1	4757.000000	1.400000	14.000000	8.500000	WATER BASED	1990-09-20	1533	9999-12-31	2013-05-08	21639
6507/3-1	4757.000000	1.400000	13.000000	4.500000	WATER BASED	1990-09-24	1533	9999-12-31	2013-05-08	21640
6507/3-1	4757.000000	1.400000	13.000000	4.500000	WATER BASED	1990-09-24	1533	9999-12-31	2013-05-08	21641
6507/3-1	4757.000000	1.400000	13.000000	6.500000	WATER BASED	1990-09-26	1533	9999-12-31	2013-05-08	21642
6507/3-1	4757.000000	1.340000	14.000000	6.000000	WATER BASED	1990-09-04	1533	9999-12-31	2013-05-08	21643
6507/3-1	4757.000000	1.400000	16.000000	6.000000	WATER BASED	1990-09-05	1533	9999-12-31	2013-05-08	21644
6507/3-1	4757.000000	1.400000	15.000000	6.000000	WATER BASED	1990-09-06	1533	9999-12-31	2013-05-08	21645
6507/3-1	4757.000000	1.400000	14.000000	7.500000	WATER BASED	1990-09-20	1533	9999-12-31	2013-05-08	21646
6507/3-1	4757.000000	1.400000	13.000000	5.000000	WATER BASED	1990-09-17	1533	9999-12-31	2013-05-08	21647
6507/3-1	4757.000000	1.400000	13.000000	4.500000	WATER BASED	1990-09-25	1533	9999-12-31	2013-05-08	21648
6507/3-1	4757.000000	1.400000	13.000000	4.500000	WATER BASED	1990-09-24	1533	9999-12-31	2013-05-08	21649
6507/3-2	1000.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	2954	9999-12-31	2013-05-08	21650
6507/3-2	1190.000000	1.200000	23.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2954	9999-12-31	2013-05-08	21651
6507/3-2	1200.000000	1.170000	21.000000	0.000000	QUADRILL	9999-12-31	2954	9999-12-31	2013-05-08	21652
6507/3-2	1207.000000	1.240000	22.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2954	9999-12-31	2013-05-08	21653
6507/3-2	1236.000000	1.170000	0.000000	0.000000	DUMMY	9999-12-31	2954	9999-12-31	2013-05-08	21654
6507/3-2	1413.000000	1.200000	23.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2954	9999-12-31	2013-05-08	21655
6507/3-2	1852.000000	1.230000	23.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2954	9999-12-31	2013-05-08	21656
6507/3-2	1983.000000	1.240000	22.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2954	9999-12-31	2013-05-08	21657
6507/3-2	2032.000000	1.250000	0.000000	0.000000	DUMMY	9999-12-31	2954	9999-12-31	2013-05-08	21658
6507/3-3	453.000000	1.000000	0.000000	0.000000	sea-water/P	9999-12-31	3668	9999-12-31	2013-05-08	21659
6507/3-3	481.000000	1.000000	0.000000	0.000000	sea-water/P	9999-12-31	3668	9999-12-31	2013-05-08	21660
6507/3-3	673.000000	1.000000	0.000000	0.000000	sea-water/P	9999-12-31	3668	9999-12-31	2013-05-08	21661
6507/3-3	861.000000	1.100000	19.000000	0.000000	sea-water/P	9999-12-31	3668	9999-12-31	2013-05-08	21662
6507/3-3	1270.000000	1.200000	20.000000	0.000000	sea-water/P	9999-12-31	3668	9999-12-31	2013-05-08	21663
6507/3-3	1719.000000	1.500000	44.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21664
6507/3-3	1733.000000	1.500000	44.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21665
6507/3-3	1761.000000	1.500000	41.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21666
6507/3-3	1805.000000	1.500000	45.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21667
6507/3-3	1887.000000	1.500000	43.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21668
6507/3-3	1935.000000	1.500000	33.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21669
6507/3-3	1951.000000	1.500000	44.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21670
6507/3-3	2511.000000	1.500000	23.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21671
6507/3-3	2721.000000	1.500000	33.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21672
6507/3-3	2748.000000	1.500000	32.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21673
6507/3-3	2820.000000	1.500000	33.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21674
6507/3-3	3088.000000	1.500000	31.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21675
6507/3-3	3200.000000	1.500000	35.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21676
6507/3-3	3355.000000	1.500000	30.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21677
6507/3-3	3375.000000	1.500000	35.000000	0.000000	oil based m	9999-12-31	3668	9999-12-31	2013-05-08	21678
6507/3-3	3403.000000	1.200000	48.000000	0.000000	quadrill	9999-12-31	3668	9999-12-31	2013-05-08	21679
6507/3-3	3437.000000	1.200000	38.000000	0.000000	quadrill	9999-12-31	3668	9999-12-31	2013-05-08	21680
6507/3-3	3448.000000	1.200000	46.000000	0.000000	quadrill	9999-12-31	3668	9999-12-31	2013-05-08	21681
6507/3-3	3461.000000	1.200000	32.000000	0.000000	quadrill	9999-12-31	3668	9999-12-31	2013-05-08	21682
6507/3-3	3487.000000	1.200000	41.000000	0.000000	quadrill	9999-12-31	3668	9999-12-31	2013-05-08	21683
6507/3-3	3511.000000	1.200000	41.000000	0.000000	quadrill	9999-12-31	3668	9999-12-31	2013-05-08	21684
6507/3-3	3545.000000	1.200000	35.000000	0.000000	quadrill	9999-12-31	3668	9999-12-31	2013-05-08	21685
6507/3-3	3599.000000	1.200000	37.000000	0.000000	quadrill	9999-12-31	3668	9999-12-31	2013-05-08	21686
6507/3-3	3654.000000	1.200000	33.000000	0.000000	quadrill	9999-12-31	3668	9999-12-31	2013-05-08	21687
6507/3-3	3830.000000	1.200000	36.000000	0.000000	quadrill	9999-12-31	3668	9999-12-31	2013-05-08	21688
6507/3-3 A	453.000000	1.030000	0.000000	0.000000	seawater/pa	9999-12-31	3718	9999-12-31	2013-05-08	21689
6507/3-3 A	481.000000	1.030000	0.000000	0.000000	seawater/pa	9999-12-31	3718	9999-12-31	2013-05-08	21690
6507/3-3 A	673.000000	1.030000	0.000000	0.000000	seawater/pa	9999-12-31	3718	9999-12-31	2013-05-08	21691
6507/3-3 A	861.000000	1.200000	19.000000	13.500000	seawater/pa	9999-12-31	3718	9999-12-31	2013-05-08	21692
6507/3-3 A	1270.000000	1.210000	20.000000	19.000000	oil based	9999-12-31	3718	9999-12-31	2013-05-08	21693
6507/3-3 A	1719.000000	1.580000	44.000000	23.500000	oil based	9999-12-31	3718	9999-12-31	2013-05-08	21694
6507/3-3 A	1733.000000	1.580000	44.000000	23.500000	oil based	9999-12-31	3718	9999-12-31	2013-05-08	21695
6507/3-3 A	1785.000000	1.500000	0.000000	0.000000	oil based m	9999-12-31	3718	9999-12-31	2013-05-08	21696
6507/3-3 A	3805.000000	1.500000	0.000000	0.000000	oil based m	9999-12-31	3718	9999-12-31	2013-05-08	21697
6507/3-3 A	4528.000000	1.200000	0.000000	0.000000	oil based m	9999-12-31	3718	9999-12-31	2013-05-08	21698
6507/3-3 B	453.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	3773	9999-12-31	2013-05-08	21699
6507/3-3 B	481.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	3773	9999-12-31	2013-05-08	21700
6507/3-3 B	673.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	3773	9999-12-31	2013-05-08	21701
6507/3-3 B	861.000000	1.200000	19.000000	13.500000	seawater	9999-12-31	3773	9999-12-31	2013-05-08	21702
6507/3-3 B	1270.000000	1.210000	20.000000	19.000000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21703
6507/3-3 B	1719.000000	1.580000	44.000000	23.500000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21704
6507/3-3 B	1733.000000	1.580000	44.000000	23.500000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21705
6507/3-3 B	1761.000000	1.510000	41.000000	24.000000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21706
6507/3-3 B	1805.000000	1.580000	45.000000	19.500000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21707
6507/3-3 B	1887.000000	1.510000	43.000000	18.500000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21708
6507/3-3 B	1935.000000	1.510000	33.000000	18.000000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21709
6507/3-3 B	1951.000000	1.580000	44.000000	23.500000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21710
6507/3-3 B	2511.000000	1.510000	23.000000	16.000000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21711
6507/3-3 B	2721.000000	1.510000	33.000000	18.000000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21712
6507/3-3 B	2748.000000	1.510000	32.000000	19.500000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21713
6507/3-3 B	2820.000000	1.580000	33.000000	16.500000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21714
6507/3-3 B	3088.000000	1.580000	31.000000	18.500000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21715
6507/3-3 B	3200.000000	1.580000	35.000000	18.000000	oil based	9999-12-31	3773	9999-12-31	2013-05-08	21716
6507/3-3 B	3754.000000	1.200000	0.000000	0.000000	oil based m	9999-12-31	3773	9999-12-31	2013-05-08	21717
6507/3-3 B	4225.000000	1.200000	0.000000	0.000000	oil based m	9999-12-31	3773	9999-12-31	2013-05-08	21718
6507/3-4	1250.000000	1.350000	14.000000	0.000000	SW / BENTONITE 1	9999-12-31	4905	9999-12-31	2013-05-08	21719
6507/3-4	1930.000000	1.540000	25.000000	0.000000	GLYDRIL 12	9999-12-31	4905	9999-12-31	2013-05-08	21720
6507/3-4	2310.000000	1.540000	25.000000	0.000000	GLYDRIL 12	9999-12-31	4905	9999-12-31	2013-05-08	21721
6507/3-4	3030.000000	1.500000	29.000000	0.000000	PARATHERM	9999-12-31	4905	9999-12-31	2013-05-08	21722
6507/3-4	3677.000000	1.370000	24.000000	0.000000	PARATHERM	9999-12-31	4905	9999-12-31	2013-05-08	21723
6507/3-4	3726.000000	1.370000	24.000000	0.000000	PARATHERM	9999-12-31	4905	9999-12-31	2013-05-08	21724
6507/3-4	3727.000000	1.370000	24.000000	0.000000	PARATHERM	9999-12-31	4905	9999-12-31	2013-05-08	21725
6507/3-5 S	1055.000000	1.500000	40.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21726
6507/3-5 S	1235.000000	1.520000	21.000000	0.000000	Aquadrill	9999-12-31	5307	9999-12-31	2013-05-08	21727
6507/3-5 S	1246.000000	1.250000	16.000000	0.000000	Aquadrill	9999-12-31	5307	9999-12-31	2013-05-08	21728
6507/3-5 S	1442.000000	1.280000	13.000000	0.000000	Aquadrill	9999-12-31	5307	9999-12-31	2013-05-08	21729
6507/3-5 S	1500.000000	1.520000	24.000000	0.000000	Aquadrill	9999-12-31	5307	9999-12-31	2013-05-08	21730
6507/3-5 S	1515.000000	1.510000	26.000000	0.000000	Aquadrill	9999-12-31	5307	9999-12-31	2013-05-08	21731
6507/3-5 S	1759.000000	1.590000	53.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21732
6507/3-5 S	1907.000000	1.410000	18.000000	0.000000	Aquadrill	9999-12-31	5307	9999-12-31	2013-05-08	21733
6507/3-5 S	1931.000000	1.590000	53.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21734
6507/3-5 S	2000.000000	1.590000	64.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21735
6507/3-5 S	2033.000000	1.590000	60.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21736
6507/3-5 S	2066.000000	1.540000	20.000000	0.000000	Aquadrill	9999-12-31	5307	9999-12-31	2013-05-08	21737
6507/3-5 S	2130.000000	1.590000	61.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21738
6507/3-5 S	2140.000000	1.520000	29.000000	0.000000	Aquadrill	9999-12-31	5307	9999-12-31	2013-05-08	21739
6507/3-5 S	2257.000000	1.520000	21.000000	0.000000	Aquadrill	9999-12-31	5307	9999-12-31	2013-05-08	21740
6507/3-5 S	2449.000000	1.510000	27.000000	0.000000	Aquadrill	9999-12-31	5307	9999-12-31	2013-05-08	21741
6507/3-5 S	2480.000000	1.510000	26.000000	0.000000	Aquadrill	9999-12-31	5307	9999-12-31	2013-05-08	21742
6507/3-5 S	2508.000000	1.540000	34.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21743
6507/3-5 S	2767.000000	1.540000	40.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21744
6507/3-5 S	3000.000000	1.540000	42.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21745
6507/3-5 S	3395.000000	1.550000	52.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21746
6507/3-5 S	3728.000000	1.560000	52.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21747
6507/3-5 S	3935.000000	1.590000	64.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21748
6507/3-5 S	3959.000000	1.500000	53.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21749
6507/3-5 S	4013.000000	1.500000	42.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21750
6507/3-5 S	4145.000000	1.500000	42.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21751
6507/3-5 S	4180.000000	1.500000	42.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21752
6507/3-5 S	4203.000000	1.500000	42.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21753
6507/3-5 S	4265.000000	1.500000	44.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21754
6507/3-5 S	4580.000000	1.500000	40.000000	0.000000	CARBOSEA	9999-12-31	5307	9999-12-31	2013-05-08	21755
6507/3-6	459.000000	1.380000	30.000000	0.000000	KCl/Gem	9999-12-31	6073	9999-12-31	2013-05-08	21756
6507/3-6	496.000000	1.380000	33.000000	0.000000	KCl/Gem	9999-12-31	6073	9999-12-31	2013-05-08	21757
6507/3-6	612.000000	1.140000	31.000000	0.000000	Performadril	9999-12-31	6073	9999-12-31	2013-05-08	21758
6507/3-6	612.000000	1.320000	28.000000	0.000000	KCl/Gem	9999-12-31	6073	9999-12-31	2013-05-08	21759
6507/3-6	628.000000	1.140000	32.000000	0.000000	Performadril	9999-12-31	6073	9999-12-31	2013-05-08	21760
6507/3-6	673.000000	1.200000	40.000000	0.000000	Performadril	9999-12-31	6073	9999-12-31	2013-05-08	21761
6507/3-6	1110.000000	1.260000	40.000000	0.000000	PERFORMATROL low sulphate	9999-12-31	6073	9999-12-31	2013-05-08	21762
6507/3-6	1211.000000	1.260000	60.000000	0.000000	Performadril	9999-12-31	6073	9999-12-31	2013-05-08	21763
6507/3-6	1211.000000	1.260000	55.000000	0.000000	Performadril	9999-12-31	6073	9999-12-31	2013-05-08	21764
6507/3-6	1343.000000	1.250000	64.000000	0.000000	PERFORMATROL low sulphate	9999-12-31	6073	9999-12-31	2013-05-08	21765
6507/3-6	1650.000000	1.250000	50.000000	0.000000	PERFORMADRIL low sulphate	9999-12-31	6073	9999-12-31	2013-05-08	21766
6507/3-7	1203.000000	1.260000	35.000000	0.000000	Performadril	9999-12-31	6123	9999-12-31	2013-05-08	21767
6507/3-7	1544.000000	1.370000	39.000000	0.000000	Performadril	9999-12-31	6123	9999-12-31	2013-05-08	21768
6507/3-7	1730.000000	1.370000	44.000000	0.000000	Performadril	9999-12-31	6123	9999-12-31	2013-05-08	21769
6507/3-7	1900.000000	1.480000	51.000000	0.000000	Performadril	9999-12-31	6123	9999-12-31	2013-05-08	21770
6507/3-7	2025.000000	1.450000	25.000000	0.000000	Spud Mud	9999-12-31	6123	9999-12-31	2013-05-08	21771
6507/3-7	2068.000000	1.480000	41.000000	0.000000	Performadril	9999-12-31	6123	9999-12-31	2013-05-08	21772
6507/3-7	2205.000000	1.500000	36.000000	0.000000	Performadril	9999-12-31	6123	9999-12-31	2013-05-08	21773
6507/3-7	2705.000000	1.470000	26.000000	0.000000	Spud Mud	9999-12-31	6123	9999-12-31	2013-05-08	21774
6507/3-7	3215.000000	1.560000	36.000000	0.000000	Enviromul Yellow	9999-12-31	6123	9999-12-31	2013-05-08	21775
6507/3-7	3540.000000	1.250000	20.000000	0.000000	Performadril	9999-12-31	6123	9999-12-31	2013-05-08	21776
6507/3-7	3540.000000	1.560000	34.000000	0.000000	Enviromul Yellow	9999-12-31	6123	9999-12-31	2013-05-08	21777
6507/3-7	3600.000000	1.450000	23.000000	0.000000	Performadril	9999-12-31	6123	9999-12-31	2013-05-08	21778
6507/3-7	3654.000000	1.450000	23.000000	0.000000	Performadril	9999-12-31	6123	9999-12-31	2013-05-08	21779
6507/3-7	3855.000000	1.450000	26.000000	0.000000	Performadril	9999-12-31	6123	9999-12-31	2013-05-08	21780
6507/3-8	1300.000000	1.500000	22.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21781
6507/3-8	1390.000000	1.500000	20.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21782
6507/3-8	1793.000000	1.500000	28.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21783
6507/3-8	2021.000000	1.500000	26.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21784
6507/3-8	2205.000000	1.500000	37.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21785
6507/3-8	2311.000000	1.500000	32.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21786
6507/3-8	2480.000000	1.510000	37.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21787
6507/3-8	2662.000000	1.520000	23.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21788
6507/3-8	2663.000000	1.510000	21.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21789
6507/3-8	2695.000000	1.250000	16.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21790
6507/3-8	2716.000000	1.250000	16.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21791
6507/3-8	2822.000000	1.250000	15.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21792
6507/3-8	2990.000000	1.250000	15.000000	0.000000	Performadril	9999-12-31	6258	9999-12-31	2013-05-08	21793
6507/5-1	350.000000	1.600000	0.000000	0.000000	kill mud	9999-12-31	3683	9999-12-31	2013-05-08	21794
6507/5-1	350.000000	1.200000	0.000000	0.000000	spud mud	9999-12-31	3683	9999-12-31	2013-05-08	21795
6507/5-1	442.000000	1.600000	0.000000	0.000000	kill mud	9999-12-31	3683	9999-12-31	2013-05-08	21796
6507/5-1	442.000000	1.000000	0.000000	0.000000	spud mud	9999-12-31	3683	9999-12-31	2013-05-08	21797
6507/5-1	496.000000	1.600000	0.000000	0.000000	kill mud	9999-12-31	3683	9999-12-31	2013-05-08	21798
6507/5-1	496.000000	1.000000	0.000000	0.000000	spud mud	9999-12-31	3683	9999-12-31	2013-05-08	21799
6507/5-1	571.000000	1.000000	0.000000	0.000000	spud mud	9999-12-31	3683	9999-12-31	2013-05-08	21800
6507/5-1	571.000000	1.500000	0.000000	0.000000	kill mud	9999-12-31	3683	9999-12-31	2013-05-08	21801
6507/5-1	1053.000000	1.500000	0.000000	0.000000	kill mud	9999-12-31	3683	9999-12-31	2013-05-08	21802
6507/5-1	1053.000000	1.000000	0.000000	0.000000	spud mud	9999-12-31	3683	9999-12-31	2013-05-08	21803
6507/5-1	1065.000000	1.500000	0.000000	0.000000	kill mud	9999-12-31	3683	9999-12-31	2013-05-08	21804
6507/5-1	1065.000000	1.300000	0.000000	0.000000	spud mud	9999-12-31	3683	9999-12-31	2013-05-08	21805
6507/5-1	1065.000000	1.000000	0.000000	0.000000	sea water	9999-12-31	3683	9999-12-31	2013-05-08	21806
6507/5-1	1065.000000	1.400000	0.000000	0.000000	oil based	9999-12-31	3683	9999-12-31	2013-05-08	21807
6507/5-1	3199.000000	1.400000	0.000000	0.000000	oil based	9999-12-31	3683	9999-12-31	2013-05-08	21808
6507/5-1	3235.000000	1.400000	0.000000	0.000000	oil based	9999-12-31	3683	9999-12-31	2013-05-08	21809
6507/5-1	3236.000000	1.500000	0.000000	0.000000	oil based	9999-12-31	3683	9999-12-31	2013-05-08	21810
6507/5-1	3241.000000	1.400000	0.000000	0.000000	oil based	9999-12-31	3683	9999-12-31	2013-05-08	21811
6507/5-1	3472.000000	1.400000	0.000000	0.000000	oil based	9999-12-31	3683	9999-12-31	2013-05-08	21812
6507/5-1	3542.000000	1.400000	0.000000	0.000000	oil based	9999-12-31	3683	9999-12-31	2013-05-08	21813
6507/5-1	3932.000000	1.400000	0.000000	0.000000	oil based	9999-12-31	3683	9999-12-31	2013-05-08	21814
6507/5-1	4085.000000	1.460000	0.000000	0.000000	oil based	9999-12-31	3683	9999-12-31	2013-05-08	21815
6507/5-1	4224.000000	1.460000	0.000000	0.000000	oil based	9999-12-31	3683	9999-12-31	2013-05-08	21816
6507/5-2	407.000000	1.080000	0.000000	0.000000	SEAWATER	9999-12-31	3756	9999-12-31	2013-05-08	21817
6507/5-2	1050.000000	1.360000	31.000000	0.000000	BARASILC	9999-12-31	3756	9999-12-31	2013-05-08	21818
6507/5-2	1662.000000	1.390000	39.000000	0.000000	BARASILC	9999-12-31	3756	9999-12-31	2013-05-08	21819
6507/5-2	1914.000000	1.500000	45.000000	0.000000	BARASILC	9999-12-31	3756	9999-12-31	2013-05-08	21820
6507/5-2	1964.000000	1.500000	30.000000	0.000000	BARASILC	9999-12-31	3756	9999-12-31	2013-05-08	21821
6507/5-2	2518.000000	1.610000	23.000000	0.000000	ENVIROMUL	9999-12-31	3756	9999-12-31	2013-05-08	21822
6507/5-2	3142.000000	1.610000	29.000000	0.000000	ENVIROMUL	9999-12-31	3756	9999-12-31	2013-05-08	21823
6507/5-2	3329.000000	1.610000	28.000000	0.000000	ENVIROMUL	9999-12-31	3756	9999-12-31	2013-05-08	21824
6507/5-2	3623.000000	1.610000	28.000000	0.000000	ENVIROMUL	9999-12-31	3756	9999-12-31	2013-05-08	21825
6507/5-3	695.000000	1.320000	28.000000	0.000000	POLYMER	9999-12-31	4059	9999-12-31	2013-05-08	21826
6507/5-3	1350.000000	1.320000	16.000000	0.000000	POLYMER	9999-12-31	4059	9999-12-31	2013-05-08	21827
6507/5-3	1702.000000	1.320000	15.000000	0.000000	POLYMER	9999-12-31	4059	9999-12-31	2013-05-08	21828
6507/5-3	2000.000000	1.560000	21.000000	0.000000	POLYMER	9999-12-31	4059	9999-12-31	2013-05-08	21829
6507/5-3	2727.000000	1.580000	30.000000	0.000000	POLYMER	9999-12-31	4059	9999-12-31	2013-05-08	21830
6507/5-3	2836.000000	1.580000	21.000000	0.000000	POLYMER	9999-12-31	4059	9999-12-31	2013-05-08	21831
6507/5-3	2843.000000	1.580000	22.000000	0.000000	POLYMER	9999-12-31	4059	9999-12-31	2013-05-08	21832
6507/5-3	2844.000000	1.580000	25.000000	0.000000	POLYMER	9999-12-31	4059	9999-12-31	2013-05-08	21833
6507/5-3	2852.000000	1.580000	22.000000	0.000000	POLYMER	9999-12-31	4059	9999-12-31	2013-05-08	21834
6507/5-3	2855.000000	1.580000	22.000000	0.000000	POLYMER	9999-12-31	4059	9999-12-31	2013-05-08	21835
6507/5-3	3000.000000	1.570000	18.000000	0.000000	POLYMER	9999-12-31	4059	9999-12-31	2013-05-08	21836
6507/5-3	3000.000000	1.070000	0.000000	0.000000	SEAWATER	9999-12-31	4059	9999-12-31	2013-05-08	21837
6507/5-4	519.000000	0.000000	1.000000	0.000000	SPUD MUD	9999-12-31	4209	9999-12-31	2013-05-08	21838
6507/5-4	1051.000000	0.000000	1.000000	0.000000	SPUD MUD	9999-12-31	4209	9999-12-31	2013-05-08	21839
6507/5-4	1466.000000	0.000000	1.000000	0.000000	SPUD MUD	9999-12-31	4209	9999-12-31	2013-05-08	21840
6507/5-4	1623.000000	0.000000	15.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21841
6507/5-4	1635.000000	1.390000	24.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21842
6507/5-4	2143.000000	0.000000	20.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21843
6507/5-4	2203.000000	0.000000	20.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21844
6507/5-4	2648.000000	1.610000	27.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21845
6507/5-4	2850.000000	1.610000	25.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21846
6507/5-4	2999.000000	1.610000	30.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21847
6507/5-4	3271.000000	1.610000	20.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21848
6507/5-4	3488.000000	1.610000	27.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21849
6507/5-4	3500.000000	1.620000	36.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21850
6507/5-4	3535.000000	1.300000	17.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21851
6507/5-4	3709.000000	1.630000	25.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21852
6507/5-4	3812.000000	1.340000	20.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21853
6507/5-4	3883.000000	1.250000	0.200000	0.000000	WATER/BRINE	9999-12-31	4209	9999-12-31	2013-05-08	21854
6507/5-4	3883.000000	1.280000	12.000000	0.000000	KCL	9999-12-31	4209	9999-12-31	2013-05-08	21855
6507/5-4 A	519.000000	0.000000	1.000000	0.000000	SPUD MUD	9999-12-31	4306	9999-12-31	2013-05-08	21856
6507/5-4 A	1430.000000	1.600000	20.000000	0.000000	KCL	9999-12-31	4306	9999-12-31	2013-05-08	21857
6507/5-4 A	1466.000000	0.000000	1.000000	0.000000	SPUD MUD	9999-12-31	4306	9999-12-31	2013-05-08	21858
6507/5-4 A	1623.000000	0.000000	15.000000	0.000000	KCL	9999-12-31	4306	9999-12-31	2013-05-08	21859
6507/5-4 A	1635.000000	1.390000	24.000000	0.000000	KCL	9999-12-31	4306	9999-12-31	2013-05-08	21860
6507/5-4 A	2684.000000	1.620000	24.000000	0.000000	KCL	9999-12-31	4306	9999-12-31	2013-05-08	21861
6507/5-4 A	2999.000000	1.610000	28.000000	0.000000	KCL	9999-12-31	4306	9999-12-31	2013-05-08	21862
6507/5-4 A	3271.000000	1.610000	20.000000	0.000000	KCL	9999-12-31	4306	9999-12-31	2013-05-08	21863
6507/5-4 A	3393.000000	1.610000	24.000000	0.000000	KCL	9999-12-31	4306	9999-12-31	2013-05-08	21864
6507/5-4 A	3500.000000	1.620000	36.000000	0.000000	KCL	9999-12-31	4306	9999-12-31	2013-05-08	21865
6507/5-4 A	3678.000000	1.330000	18.000000	0.000000	KCL	9999-12-31	4306	9999-12-31	2013-05-08	21866
6507/5-4 A	3709.000000	1.620000	25.000000	0.000000	KCL	9999-12-31	4306	9999-12-31	2013-05-08	21867
6507/5-4 A	3812.000000	1.340000	20.000000	0.000000	KCL	9999-12-31	4306	9999-12-31	2013-05-08	21868
6507/5-4 A	3883.000000	1.270000	17.000000	0.000000	WATER/BRINE	9999-12-31	4306	9999-12-31	2013-05-08	21869
6507/5-5	393.000000	0.170000	0.000000	0.000000	SPUD MUD	9999-12-31	4428	9999-12-31	2013-05-08	21870
6507/5-5	471.000000	0.170000	0.000000	0.000000	SPUD MUD	9999-12-31	4428	9999-12-31	2013-05-08	21871
6507/5-5	1060.000000	0.140000	0.000000	0.000000	SPUD MUD	9999-12-31	4428	9999-12-31	2013-05-08	21872
6507/5-5	3643.000000	1.250000	0.000000	0.000000	KCL	9999-12-31	4428	9999-12-31	2013-05-08	21873
6507/5-5	3643.000000	1.250000	0.000000	0.000000	WATER/BRINE	9999-12-31	4428	9999-12-31	2013-05-08	21874
6507/5-5	3643.000000	1.630000	28.000000	0.000000	KCL	9999-12-31	4428	9999-12-31	2013-05-08	21875
6507/5-6 S	349.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	6321	9999-12-31	2013-05-08	21876
6507/5-6 S	1144.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	6321	9999-12-31	2013-05-08	21877
6507/5-6 S	1529.000000	1.500000	41.000000	0.000000	OBM	9999-12-31	6321	9999-12-31	2013-05-08	21878
6507/5-6 S	2548.000000	1.510000	33.000000	0.000000	OBM	9999-12-31	6321	9999-12-31	2013-05-08	21879
6507/5-6 S	3413.000000	1.580000	36.000000	0.000000	OBM	9999-12-31	6321	9999-12-31	2013-05-08	21880
6507/5-6 S	4183.000000	1.580000	35.000000	0.000000	OBM	9999-12-31	6321	9999-12-31	2013-05-08	21881
6507/5-6 S	4430.000000	1.600000	0.000000	0.000000	Water	9999-12-31	6321	9999-12-31	2013-05-08	21882
6507/5-6 S	4430.000000	1.600000	0.000000	0.000000	Water	9999-12-31	6321	9999-12-31	2013-05-08	21883
6507/5-6 S	4430.000000	1.200000	0.000000	0.000000	Brine	9999-12-31	6321	9999-12-31	2013-05-08	21884
6507/5-6 S	4436.000000	1.600000	36.000000	0.000000	OBM	9999-12-31	6321	9999-12-31	2013-05-08	21885
6507/5-6 S	4570.000000	1.600000	38.000000	0.000000	OBM	9999-12-31	6321	9999-12-31	2013-05-08	21886
6507/5-6 S	4991.000000	1.600000	35.000000	0.000000	OBM	9999-12-31	6321	9999-12-31	2013-05-08	21887
6507/5-6 S	5017.000000	1.530000	0.000000	0.000000	Brine	9999-12-31	6321	9999-12-31	2013-05-08	21888
6507/5-6 S	5017.000000	1.500000	0.000000	0.000000	Synthetic	9999-12-31	6321	9999-12-31	2013-05-08	21889
6507/6-1	584.000000	1.030000	0.000000	0.000000	WATER BASED	1986-06-17	910	9999-12-31	2013-05-08	21890
6507/6-1	616.000000	1.030000	0.000000	0.000000	WATER BASED	1986-06-18	910	9999-12-31	2013-05-08	21891
6507/6-1	627.000000	1.100000	24.000000	5.800000	WATER BASED	1986-06-19	910	9999-12-31	2013-05-08	21892
6507/6-1	975.000000	1.150000	8.000000	21.100000	WATER BASED	1986-06-23	910	9999-12-31	2013-05-08	21893
6507/6-1	975.000000	1.200000	8.000000	18.200000	WATER BASED	1986-06-23	910	9999-12-31	2013-05-08	21894
6507/6-1	975.000000	1.300000	17.000000	11.500000	WATER BASED	1986-06-24	910	9999-12-31	2013-05-08	21895
6507/6-1	975.000000	1.200000	0.000000	0.000000	WATER BASED	1986-06-24	910	9999-12-31	2013-05-08	21896
6507/6-1	975.000000	1.120000	7.000000	16.800000	WATER BASED	1986-06-19	910	9999-12-31	2013-05-08	21897
6507/6-1	1017.000000	1.150000	11.000000	6.800000	WATER BASED	1986-06-24	910	9999-12-31	2013-05-08	21898
6507/6-1	1018.000000	1.150000	16.000000	9.100000	WATER BASED	1986-06-25	910	9999-12-31	2013-05-08	21899
6507/6-1	1018.000000	1.320000	17.000000	8.700000	WATER BASED	1986-06-30	910	9999-12-31	2013-05-08	21900
6507/6-1	1018.000000	1.390000	20.000000	9.100000	WATER BASED	1986-06-30	910	9999-12-31	2013-05-08	21901
6507/6-1	1018.000000	1.380000	21.000000	9.100000	WATER BASED	1986-07-07	910	9999-12-31	2013-05-08	21902
6507/6-1	1018.000000	1.200000	18.000000	9.600000	WATER BASED	1986-06-30	910	9999-12-31	2013-05-08	21903
6507/6-1	1026.000000	1.500000	18.000000	10.600000	WATER BASED	1986-06-25	910	9999-12-31	2013-05-08	21904
6507/6-1	1095.000000	1.200000	0.000000	0.000000	WATER BASED	1986-08-21	910	9999-12-31	2013-05-08	21905
6507/6-1	1716.000000	1.390000	20.000000	9.600000	WATER BASED	1986-07-07	910	9999-12-31	2013-05-08	21906
6507/6-1	1745.000000	1.380000	22.000000	9.600000	WATER BASED	1986-07-07	910	9999-12-31	2013-05-08	21907
6507/6-1	1767.000000	1.390000	20.000000	9.600000	WATER BASED	1986-07-07	910	9999-12-31	2013-05-08	21908
6507/6-1	1844.000000	1.400000	23.000000	9.600000	WATER BASED	1986-07-07	910	9999-12-31	2013-05-08	21909
6507/6-1	1980.000000	1.370000	20.000000	9.100000	WATER BASED	1986-07-07	910	9999-12-31	2013-05-08	21910
6507/6-1	2013.000000	1.370000	20.000000	10.100000	WATER BASED	1986-07-14	910	9999-12-31	2013-05-08	21911
6507/6-1	2172.000000	1.370000	20.000000	8.200000	WATER BASED	1986-07-14	910	9999-12-31	2013-05-08	21912
6507/6-1	2214.000000	1.200000	19.000000	7.200000	WATER BASED	1986-07-31	910	9999-12-31	2013-05-08	21913
6507/6-1	2214.000000	1.200000	21.000000	7.700000	WATER BASED	1986-07-31	910	9999-12-31	2013-05-08	21914
6507/6-1	2224.000000	1.380000	18.000000	7.200000	WATER BASED	1986-07-21	910	9999-12-31	2013-05-08	21915
6507/6-1	2224.000000	1.380000	22.000000	8.700000	WATER BASED	1986-07-21	910	9999-12-31	2013-05-08	21916
6507/6-1	2224.000000	1.380000	21.000000	9.600000	WATER BASED	1986-07-14	910	9999-12-31	2013-05-08	21917
6507/6-1	2224.000000	1.380000	19.000000	5.800000	WATER BASED	1986-07-14	910	9999-12-31	2013-05-08	21918
6507/6-1	2224.000000	1.380000	21.000000	4.800000	WATER BASED	1986-07-14	910	9999-12-31	2013-05-08	21919
6507/6-1	2224.000000	1.380000	23.000000	9.100000	WATER BASED	1986-07-14	910	9999-12-31	2013-05-08	21920
6507/6-1	2400.000000	1.380000	23.000000	10.100000	WATER BASED	1986-07-14	910	9999-12-31	2013-05-08	21921
6507/6-1	2423.000000	1.350000	18.000000	7.200000	WATER BASED	1986-07-21	910	9999-12-31	2013-05-08	21922
6507/6-1	2424.000000	1.350000	18.000000	7.200000	WATER BASED	1986-07-21	910	9999-12-31	2013-05-08	21923
6507/6-1	2605.000000	1.350000	20.000000	7.200000	WATER BASED	1986-07-21	910	9999-12-31	2013-05-08	21924
6507/6-1	2891.000000	1.350000	19.000000	7.200000	WATER BASED	1986-07-21	910	9999-12-31	2013-05-08	21925
6507/6-1	2946.000000	1.350000	20.000000	7.200000	WATER BASED	1986-07-21	910	9999-12-31	2013-05-08	21926
6507/6-1	3000.000000	1.200000	0.000000	0.000000	WATER BASED	1986-08-19	910	9999-12-31	2013-05-08	21927
6507/6-1	3041.000000	1.360000	19.000000	7.200000	WATER BASED	1986-07-28	910	9999-12-31	2013-05-08	21928
6507/6-1	3052.000000	1.360000	19.000000	7.200000	WATER BASED	1986-07-28	910	9999-12-31	2013-05-08	21929
6507/6-1	3052.000000	1.360000	19.000000	7.200000	WATER BASED	1986-07-28	910	9999-12-31	2013-05-08	21930
6507/6-1	3120.000000	1.360000	18.000000	7.200000	WATER BASED	1986-07-28	910	9999-12-31	2013-05-08	21931
6507/6-1	3150.000000	1.200000	16.000000	7.700000	WATER BASED	1986-08-04	910	9999-12-31	2013-05-08	21932
6507/6-1	3165.000000	1.320000	14.000000	5.800000	WATER BASED	1986-07-31	910	9999-12-31	2013-05-08	21933
6507/6-1	3165.000000	1.360000	18.000000	7.200000	WATER BASED	1986-07-28	910	9999-12-31	2013-05-08	21934
6507/6-1	3165.000000	1.350000	17.000000	6.300000	WATER BASED	1986-07-28	910	9999-12-31	2013-05-08	21935
6507/6-1	3165.000000	1.320000	14.000000	5.800000	WATER BASED	1986-07-28	910	9999-12-31	2013-05-08	21936
6507/6-1	3221.000000	1.200000	14.000000	6.800000	WATER BASED	1986-07-31	910	9999-12-31	2013-05-08	21937
6507/6-1	3335.000000	1.200000	16.000000	7.200000	WATER BASED	1986-08-04	910	9999-12-31	2013-05-08	21938
6507/6-1	3386.000000	1.200000	16.000000	5.800000	WATER BASED	1986-08-04	910	9999-12-31	2013-05-08	21939
6507/6-1	3447.000000	1.200000	16.000000	6.800000	WATER BASED	1986-08-05	910	9999-12-31	2013-05-08	21940
6507/6-1	3560.000000	1.200000	16.000000	6.300000	WATER BASED	1986-08-06	910	9999-12-31	2013-05-08	21941
6507/6-1	3611.000000	1.200000	16.000000	5.800000	WATER BASED	1986-08-06	910	9999-12-31	2013-05-08	21942
6507/6-1	3621.000000	1.230000	14.000000	6.300000	WATER BASED	1986-08-07	910	9999-12-31	2013-05-08	21943
6507/6-1	3704.000000	1.200000	16.000000	5.800000	WATER BASED	1986-08-11	910	9999-12-31	2013-05-08	21944
6507/6-1	3793.000000	1.200000	17.000000	6.300000	WATER BASED	1986-08-11	910	9999-12-31	2013-05-08	21945
6507/6-1	3822.000000	1.200000	16.000000	6.300000	WATER BASED	1986-08-12	910	9999-12-31	2013-05-08	21946
6507/6-1	3863.000000	1.200000	17.000000	6.800000	WATER BASED	1986-08-12	910	9999-12-31	2013-05-08	21947
6507/6-1	3934.000000	1.200000	18.000000	6.800000	WATER BASED	1986-08-13	910	9999-12-31	2013-05-08	21948
6507/6-1	3984.000000	1.200000	18.000000	6.300000	WATER BASED	1986-08-13	910	9999-12-31	2013-05-08	21949
6507/6-1	3995.000000	1.200000	18.000000	6.300000	WATER BASED	1986-08-14	910	9999-12-31	2013-05-08	21950
6507/6-1	4013.000000	1.200000	18.000000	5.800000	WATER BASED	1986-08-18	910	9999-12-31	2013-05-08	21951
6507/6-1	4040.000000	1.200000	18.000000	5.300000	WATER BASED	1986-08-17	910	9999-12-31	2013-05-08	21952
6507/6-1	4040.000000	1.200000	18.000000	5.300000	WATER BASED	1986-08-18	910	9999-12-31	2013-05-08	21953
6507/6-2	336.000000	1.050000	0.000000	0.000000	WATER BASED	1991-05-03	1520	9999-12-31	2013-05-08	21954
6507/6-2	336.000000	1.050000	0.000000	0.000000	WATER BASED	1991-05-02	1520	9999-12-31	2013-05-08	21955
6507/6-2	336.000000	1.050000	0.000000	0.000000	WATER BASED	1991-05-03	1520	9999-12-31	2013-05-08	21956
6507/6-2	336.000000	1.050000	0.000000	0.000000	WATER BASED	1991-05-03	1520	9999-12-31	2013-05-08	21957
6507/6-2	336.000000	1.050000	0.000000	0.000000	WATER BASED	1991-05-03	1520	9999-12-31	2013-05-08	21958
6507/6-2	336.000000	1.050000	0.000000	0.000000	WATER BASED	1991-05-03	1520	9999-12-31	2013-05-08	21959
6507/6-2	336.000000	1.050000	0.000000	0.000000	WATER BASED	1991-05-03	1520	9999-12-31	2013-05-08	21960
6507/6-2	336.000000	1.050000	0.000000	0.000000	WATER BASED	1991-04-30	1520	9999-12-31	2013-05-08	21961
6507/6-2	336.000000	1.050000	0.000000	0.000000	WATER BASED	1991-04-30	1520	9999-12-31	2013-05-08	21962
6507/6-2	730.000000	1.440000	16.000000	7.000000	WATER BASED	1991-07-16	1520	9999-12-31	2013-05-08	21963
6507/6-2	1055.000000	1.050000	0.000000	0.000000	WATER BASED	1991-05-06	1520	9999-12-31	2013-05-08	21964
6507/6-2	1055.000000	1.050000	0.000000	0.000000	WATER BASED	1991-05-06	1520	9999-12-31	2013-05-08	21965
6507/6-2	1055.000000	1.050000	0.000000	0.000000	WATER BASED	1991-05-06	1520	9999-12-31	2013-05-08	21966
6507/6-2	1350.000000	1.320000	16.000000	17.000000	WATER BASED	1991-05-13	1520	9999-12-31	2013-05-08	21967
6507/6-2	1487.000000	1.350000	16.000000	18.000000	WATER BASED	1991-05-13	1520	9999-12-31	2013-05-08	21968
6507/6-2	1848.000000	1.450000	36.000000	25.000000	WATER BASED	1991-05-13	1520	9999-12-31	2013-05-08	21969
6507/6-2	1906.000000	1.440000	13.000000	11.000000	WATER BASED	1991-07-16	1520	9999-12-31	2013-05-08	21970
6507/6-2	2050.000000	1.550000	20.000000	18.000000	WATER BASED	1991-05-14	1520	9999-12-31	2013-05-08	21971
6507/6-2	2050.000000	1.550000	21.000000	24.000000	WATER BASED	1991-05-14	1520	9999-12-31	2013-05-08	21972
6507/6-2	2050.000000	1.550000	20.000000	20.000000	WATER BASED	1991-05-15	1520	9999-12-31	2013-05-08	21973
6507/6-2	2050.000000	1.550000	20.000000	17.000000	WATER BASED	1991-05-16	1520	9999-12-31	2013-05-08	21974
6507/6-2	2050.000000	1.550000	14.000000	21.000000	WATER BASED	1991-05-21	1520	9999-12-31	2013-05-08	21975
6507/6-2	2050.000000	1.550000	20.000000	20.000000	WATER BASED	1991-05-22	1520	9999-12-31	2013-05-08	21976
6507/6-2	2050.000000	1.550000	21.000000	24.000000	WATER BASED	1991-05-14	1520	9999-12-31	2013-05-08	21977
6507/6-2	2056.000000	1.550000	20.000000	17.000000	WATER BASED	1991-05-22	1520	9999-12-31	2013-05-08	21978
6507/6-2	2285.000000	1.520000	22.000000	14.000000	WATER BASED	1991-05-22	1520	9999-12-31	2013-05-08	21979
6507/6-2	2285.000000	1.550000	22.000000	16.000000	WATER BASED	1991-05-22	1520	9999-12-31	2013-05-08	21980
6507/6-2	2295.000000	1.520000	22.000000	16.000000	WATER BASED	1991-05-22	1520	9999-12-31	2013-05-08	21981
6507/6-2	2396.000000	1.520000	20.000000	19.000000	WATER BASED	1991-05-23	1520	9999-12-31	2013-05-08	21982
6507/6-2	2531.000000	1.520000	14.000000	16.000000	WATER BASED	1991-05-24	1520	9999-12-31	2013-05-08	21983
6507/6-2	2531.000000	1.520000	15.000000	16.000000	WATER BASED	1991-05-27	1520	9999-12-31	2013-05-08	21984
6507/6-2	2531.000000	1.520000	15.000000	16.000000	WATER BASED	1991-05-28	1520	9999-12-31	2013-05-08	21985
6507/6-2	2548.000000	1.520000	15.000000	14.000000	WATER BASED	1991-05-28	1520	9999-12-31	2013-05-08	21986
6507/6-2	2548.000000	1.520000	15.000000	14.000000	WATER BASED	1991-05-30	1520	9999-12-31	2013-05-08	21987
6507/6-2	2573.000000	1.520000	16.000000	15.000000	WATER BASED	1991-05-30	1520	9999-12-31	2013-05-08	21988
6507/6-2	2573.000000	1.520000	16.000000	15.000000	WATER BASED	1991-05-28	1520	9999-12-31	2013-05-08	21989
6507/6-2	2694.000000	1.520000	15.000000	16.000000	WATER BASED	1991-05-28	1520	9999-12-31	2013-05-08	21990
6507/6-2	2694.000000	1.520000	15.000000	16.000000	WATER BASED	1991-05-30	1520	9999-12-31	2013-05-08	21991
6507/6-2	2727.000000	1.530000	22.000000	15.000000	WATER BASED	1991-05-30	1520	9999-12-31	2013-05-08	21992
6507/6-2	2815.000000	1.520000	19.000000	15.000000	WATER BASED	1991-05-30	1520	9999-12-31	2013-05-08	21993
6507/6-2	2907.000000	1.520000	19.000000	16.000000	WATER BASED	1991-05-30	1520	9999-12-31	2013-05-08	21994
6507/6-2	2907.000000	1.540000	18.000000	15.000000	WATER BASED	1991-06-04	1520	9999-12-31	2013-05-08	21995
6507/6-2	2907.000000	1.540000	17.000000	18.000000	WATER BASED	1991-06-03	1520	9999-12-31	2013-05-08	21996
6507/6-2	2994.000000	1.540000	19.000000	16.000000	WATER BASED	1991-06-04	1520	9999-12-31	2013-05-08	21997
6507/6-2	3013.000000	1.540000	21.000000	17.000000	WATER BASED	1991-06-04	1520	9999-12-31	2013-05-08	21998
6507/6-2	3111.000000	1.540000	20.000000	17.000000	WATER BASED	1991-06-05	1520	9999-12-31	2013-05-08	21999
6507/6-2	3169.000000	1.540000	21.000000	16.000000	WATER BASED	1991-06-07	1520	9999-12-31	2013-05-08	22000
6507/6-2	3217.000000	1.550000	20.000000	18.000000	WATER BASED	1991-06-07	1520	9999-12-31	2013-05-08	22001
6507/6-2	3314.000000	1.550000	22.000000	16.000000	WATER BASED	1991-06-07	1520	9999-12-31	2013-05-08	22002
6507/6-2	3325.000000	1.550000	22.000000	14.000000	WATER BASED	1991-06-11	1520	9999-12-31	2013-05-08	22003
6507/6-2	3325.000000	1.550000	21.000000	16.000000	WATER BASED	1991-06-11	1520	9999-12-31	2013-05-08	22004
6507/6-2	3325.000000	1.550000	21.000000	16.000000	WATER BASED	1991-06-11	1520	9999-12-31	2013-05-08	22005
6507/6-2	3325.000000	1.520000	20.000000	16.000000	WATER BASED	1991-06-11	1520	9999-12-31	2013-05-08	22006
6507/6-2	3327.000000	1.520000	21.000000	18.000000	WATER BASED	1991-06-13	1520	9999-12-31	2013-05-08	22007
6507/6-2	3327.000000	1.520000	21.000000	18.000000	WATER BASED	1991-06-13	1520	9999-12-31	2013-05-08	22008
6507/6-2	3413.000000	1.520000	19.000000	13.000000	WATER BASED	1991-06-17	1520	9999-12-31	2013-05-08	22009
6507/6-2	3460.000000	1.520000	21.000000	28.000000	WATER BASED	1991-06-18	1520	9999-12-31	2013-05-08	22010
6507/6-2	3503.000000	1.520000	20.000000	10.000000	WATER BASED	1991-06-18	1520	9999-12-31	2013-05-08	22011
6507/6-2	3618.000000	1.520000	21.000000	12.000000	WATER BASED	1991-06-18	1520	9999-12-31	2013-05-08	22012
6507/6-2	3722.000000	1.450000	14.000000	12.000000	WATER BASED	1991-07-15	1520	9999-12-31	2013-05-08	22013
6507/6-2	3727.000000	1.520000	20.000000	10.000000	WATER BASED	1991-06-21	1520	9999-12-31	2013-05-08	22014
6507/6-2	3727.000000	1.520000	20.000000	10.000000	WATER BASED	1991-06-19	1520	9999-12-31	2013-05-08	22015
6507/6-2	3732.000000	1.520000	21.000000	12.000000	WATER BASED	1991-06-21	1520	9999-12-31	2013-05-08	22016
6507/6-2	3740.000000	1.520000	20.000000	10.000000	WATER BASED	1991-06-21	1520	9999-12-31	2013-05-08	22017
6507/6-2	3806.000000	1.520000	22.000000	13.000000	WATER BASED	1991-06-21	1520	9999-12-31	2013-05-08	22018
6507/6-2	3849.000000	1.520000	21.000000	12.000000	WATER BASED	1991-06-25	1520	9999-12-31	2013-05-08	22019
6507/6-2	4002.000000	1.500000	21.000000	12.000000	WATER BASED	1991-06-25	1520	9999-12-31	2013-05-08	22020
6507/6-2	4056.000000	1.480000	17.000000	10.000000	WATER BASED	1991-06-25	1520	9999-12-31	2013-05-08	22021
6507/6-2	4100.000000	1.450000	18.000000	13.000000	WATER BASED	1991-06-25	1520	9999-12-31	2013-05-08	22022
6507/6-2	4180.000000	1.450000	18.000000	13.000000	WATER BASED	1991-06-26	1520	9999-12-31	2013-05-08	22023
6507/6-2	4180.000000	1.450000	15.000000	13.000000	WATER BASED	1991-06-28	1520	9999-12-31	2013-05-08	22024
6507/6-2	4273.000000	1.450000	18.000000	15.000000	WATER BASED	1991-07-01	1520	9999-12-31	2013-05-08	22025
6507/6-2	4284.000000	1.450000	18.000000	14.000000	WATER BASED	1991-07-02	1520	9999-12-31	2013-05-08	22026
6507/6-2	4284.000000	1.450000	18.000000	14.000000	WATER BASED	1991-07-02	1520	9999-12-31	2013-05-08	22027
6507/6-2	4296.000000	1.450000	17.000000	14.000000	WATER BASED	1991-07-02	1520	9999-12-31	2013-05-08	22028
6507/6-2	4327.000000	1.450000	15.000000	15.000000	WATER BASED	1991-07-03	1520	9999-12-31	2013-05-08	22029
6507/6-2	4335.000000	1.450000	15.000000	18.000000	WATER BASED	1991-07-03	1520	9999-12-31	2013-05-08	22030
6507/6-2	4343.000000	1.450000	16.000000	15.000000	WATER BASED	1991-07-05	1520	9999-12-31	2013-05-08	22031
6507/6-2	4354.000000	1.450000	15.000000	23.000000	WATER BASED	1991-07-08	1520	9999-12-31	2013-05-08	22032
6507/6-2	4354.000000	1.450000	14.000000	9.000000	WATER BASED	1991-07-09	1520	9999-12-31	2013-05-08	22033
6507/6-2	4354.000000	1.450000	16.000000	19.000000	WATER BASED	1991-07-09	1520	9999-12-31	2013-05-08	22034
6507/6-2	4354.000000	1.450000	15.000000	23.000000	WATER BASED	1991-07-09	1520	9999-12-31	2013-05-08	22035
6507/6-2	4354.000000	1.450000	17.000000	20.000000	WATER BASED	1991-07-11	1520	9999-12-31	2013-05-08	22036
6507/6-2	4354.000000	1.450000	15.000000	23.000000	WATER BASED	1991-07-09	1520	9999-12-31	2013-05-08	22037
6507/6-2	4354.000000	1.450000	17.000000	20.000000	WATER BASED	1991-07-15	1520	9999-12-31	2013-05-08	22038
6507/6-3	440.000000	1.300000	21.000000	0.000000	Glydril	9999-12-31	5922	9999-12-31	2013-05-08	22039
6507/6-3	1430.000000	1.270000	17.000000	0.000000	Glydril	9999-12-31	5922	9999-12-31	2013-05-08	22040
6507/6-3	1690.000000	1.270000	16.000000	0.000000	Glydril	9999-12-31	5922	9999-12-31	2013-05-08	22041
6507/6-3	1850.000000	1.280000	16.000000	0.000000	Glydril	9999-12-31	5922	9999-12-31	2013-05-08	22042
6507/6-3	1850.000000	1.270000	18.000000	0.000000	Glydril	9999-12-31	5922	9999-12-31	2013-05-08	22043
6507/6-4 A	2020.000000	1.300000	20.000000	0.000000	CARBO-SEA	9999-12-31	6753	9999-12-31	2013-05-08	22044
6507/6-4 A	2351.000000	1.300000	25.000000	0.000000	Carbosea OBM	9999-12-31	6753	9999-12-31	2013-05-08	22045
6507/6-4 A	2410.000000	1.300000	25.000000	0.000000	CARBO-SEA	9999-12-31	6753	9999-12-31	2013-05-08	22046
6507/6-4 A	3277.000000	1.300000	20.000000	0.000000	CARBO-SEA	9999-12-31	6753	9999-12-31	2013-05-08	22047
6507/6-4 A	4190.000000	1.300000	20.000000	0.000000	CARBO-SEA	9999-12-31	6753	9999-12-31	2013-05-08	22048
6507/6-4 A	4302.000000	1.300000	20.000000	0.000000	Aqua-drill	9999-12-31	6753	9999-12-31	2013-05-08	22049
6507/6-4 A	4957.000000	1.340000	16.000000	0.000000	Aqua-drill	9999-12-31	6753	9999-12-31	2013-05-08	22050
6507/6-4 A	4957.000000	1.300000	15.000000	0.000000	Aqua-drill	9999-12-31	6753	9999-12-31	2013-05-08	22051
6507/6-4 S	393.000000	1.050000	0.000000	0.000000	Spud Mud	9999-12-31	6725	9999-12-31	2013-05-08	22052
6507/6-4 S	465.000000	1.050000	0.000000	0.000000	Spud Mud	9999-12-31	6725	9999-12-31	2013-05-08	22053
6507/6-4 S	608.000000	1.050000	0.000000	0.000000	Spud Mud	9999-12-31	6725	9999-12-31	2013-05-08	22054
6507/6-4 S	649.000000	1.250000	10.000000	0.000000	kill mud	9999-12-31	6725	9999-12-31	2013-05-08	22055
6507/6-4 S	823.000000	1.300000	22.000000	0.000000	CARBO-SEA	9999-12-31	6725	9999-12-31	2013-05-08	22056
6507/6-4 S	850.000000	1.050000	0.000000	0.000000	Spud Mud	9999-12-31	6725	9999-12-31	2013-05-08	22057
6507/6-4 S	1186.000000	1.300000	23.000000	0.000000	CARBO-SEA	9999-12-31	6725	9999-12-31	2013-05-08	22058
6507/6-4 S	1339.000000	1.300000	22.000000	0.000000	CARBO-SEA	9999-12-31	6725	9999-12-31	2013-05-08	22059
6507/7-1	436.000000	1.020000	0.000000	0.000000	WATER BASED	1984-11-29	138	9999-12-31	2013-05-08	22060
6507/7-1	491.000000	1.030000	30.000000	190.000000	WATER BASED	1984-08-13	138	9999-12-31	2013-05-08	22061
6507/7-1	495.000000	1.030000	30.000000	190.000000	WATER BASED	1984-08-13	138	9999-12-31	2013-05-08	22062
6507/7-1	495.000000	1.040000	30.000000	190.000000	WATER BASED	1984-08-14	138	9999-12-31	2013-05-08	22063
6507/7-1	495.000000	1.040000	30.000000	190.000000	WATER BASED	1984-08-14	138	9999-12-31	2013-05-08	22064
6507/7-1	584.000000	1.130000	37.000000	0.000000	WATER BASED	1984-08-16	138	9999-12-31	2013-05-08	22065
6507/7-1	918.000000	1.140000	37.000000	0.000000	WATER BASED	1984-08-21	138	9999-12-31	2013-05-08	22066
6507/7-1	918.000000	1.140000	37.000000	0.000000	WATER BASED	1984-08-20	138	9999-12-31	2013-05-08	22067
6507/7-1	918.000000	1.140000	37.000000	0.000000	WATER BASED	1984-08-21	138	9999-12-31	2013-05-08	22068
6507/7-1	936.000000	1.280000	46.000000	76.600000	WATER BASED	1984-08-22	138	9999-12-31	2013-05-08	22069
6507/7-1	1184.000000	1.280000	22.000000	81.400000	WATER BASED	1984-08-23	138	9999-12-31	2013-05-08	22070
6507/7-1	1550.000000	1.310000	60.000000	91.000000	WATER BASED	1984-08-24	138	9999-12-31	2013-05-08	22071
6507/7-1	1785.000000	1.380000	28.000000	114.900000	WATER BASED	1984-08-27	138	9999-12-31	2013-05-08	22072
6507/7-1	2053.000000	1.610000	0.000000	0.000000	WATER BASED	1984-11-28	138	9999-12-31	2013-05-08	22073
6507/7-1	2060.000000	1.440000	28.000000	143.600000	WATER BASED	1984-08-27	138	9999-12-31	2013-05-08	22074
6507/7-1	2070.000000	1.610000	0.000000	0.000000	WATER BASED	1984-11-27	138	9999-12-31	2013-05-08	22075
6507/7-1	2193.000000	1.500000	24.000000	119.700000	WATER BASED	1984-08-27	138	9999-12-31	2013-05-08	22076
6507/7-1	2193.000000	1.500000	26.000000	95.800000	WATER BASED	1984-08-30	138	9999-12-31	2013-05-08	22077
6507/7-1	2193.000000	1.500000	20.000000	86.200000	WATER BASED	1984-08-28	138	9999-12-31	2013-05-08	22078
6507/7-1	2193.000000	1.510000	26.000000	134.100000	WATER BASED	1984-08-29	138	9999-12-31	2013-05-08	22079
6507/7-1	2193.000000	1.500000	26.000000	95.800000	WATER BASED	1984-08-30	138	9999-12-31	2013-05-08	22080
6507/7-1	2193.000000	1.500000	20.000000	86.200000	WATER BASED	1984-08-28	138	9999-12-31	2013-05-08	22081
6507/7-1	2193.000000	1.510000	26.000000	134.100000	WATER BASED	1984-08-29	138	9999-12-31	2013-05-08	22082
6507/7-1	2225.000000	1.500000	26.000000	153.200000	WATER BASED	1984-08-31	138	9999-12-31	2013-05-08	22083
6507/7-1	2421.000000	1.510000	30.000000	148.400000	WATER BASED	1984-09-03	138	9999-12-31	2013-05-08	22084
6507/7-1	2661.000000	1.510000	25.000000	119.700000	WATER BASED	1984-09-03	138	9999-12-31	2013-05-08	22085
6507/7-1	2760.000000	1.500000	20.000000	181.900000	WATER BASED	1984-09-03	138	9999-12-31	2013-05-08	22086
6507/7-1	2817.000000	1.510000	20.000000	196.300000	WATER BASED	1984-09-04	138	9999-12-31	2013-05-08	22087
6507/7-1	2886.000000	1.530000	19.000000	143.600000	WATER BASED	1984-09-06	138	9999-12-31	2013-05-08	22088
6507/7-1	2910.000000	1.540000	20.000000	153.200000	WATER BASED	1984-09-06	138	9999-12-31	2013-05-08	22089
6507/7-1	3014.000000	1.570000	22.000000	167.600000	WATER BASED	1984-09-10	138	9999-12-31	2013-05-08	22090
6507/7-1	3081.000000	1.600000	18.000000	143.600000	WATER BASED	1984-09-10	138	9999-12-31	2013-05-08	22091
6507/7-1	3114.000000	1.620000	20.000000	162.800000	WATER BASED	1984-09-10	138	9999-12-31	2013-05-08	22092
6507/7-1	3149.000000	1.670000	20.000000	162.800000	WATER BASED	1984-09-10	138	9999-12-31	2013-05-08	22093
6507/7-1	3183.000000	1.650000	20.000000	172.400000	WATER BASED	1984-09-11	138	9999-12-31	2013-05-08	22094
6507/7-1	3244.000000	1.600000	20.000000	167.600000	WATER BASED	1984-09-12	138	9999-12-31	2013-05-08	22095
6507/7-1	3303.000000	1.600000	18.000000	162.800000	WATER BASED	1984-09-13	138	9999-12-31	2013-05-08	22096
6507/7-1	3321.000000	1.610000	18.000000	167.600000	WATER BASED	1984-09-14	138	9999-12-31	2013-05-08	22097
6507/7-1	3351.000000	1.640000	20.000000	167.600000	WATER BASED	1984-09-16	138	9999-12-31	2013-05-08	22098
6507/7-1	3394.000000	1.640000	20.000000	167.600000	WATER BASED	1984-09-16	138	9999-12-31	2013-05-08	22099
6507/7-1	3461.000000	1.650000	22.000000	172.400000	WATER BASED	1984-09-16	138	9999-12-31	2013-05-08	22100
6507/7-1	3504.000000	1.650000	23.000000	181.900000	WATER BASED	1984-09-17	138	9999-12-31	2013-05-08	22101
6507/7-1	3522.000000	1.650000	20.000000	167.600000	WATER BASED	1984-09-18	138	9999-12-31	2013-05-08	22102
6507/7-1	3600.000000	1.650000	20.000000	143.600000	WATER BASED	1984-09-20	138	9999-12-31	2013-05-08	22103
6507/7-1	3600.000000	1.650000	20.000000	143.600000	WATER BASED	1984-09-19	138	9999-12-31	2013-05-08	22104
6507/7-1	3600.000000	1.650000	20.000000	143.600000	WATER BASED	1984-09-20	138	9999-12-31	2013-05-08	22105
6507/7-1	3606.000000	1.610000	0.000000	0.000000	WATER BASED	1984-11-26	138	9999-12-31	2013-05-08	22106
6507/7-1	3653.000000	1.650000	22.000000	86.200000	WATER BASED	1984-09-23	138	9999-12-31	2013-05-08	22107
6507/7-1	3707.000000	1.650000	35.000000	105.300000	WATER BASED	1984-09-23	138	9999-12-31	2013-05-08	22108
6507/7-1	3716.000000	1.690000	27.000000	95.800000	WATER BASED	1984-09-23	138	9999-12-31	2013-05-08	22109
6507/7-1	3761.000000	1.710000	31.000000	114.900000	WATER BASED	1984-09-25	138	9999-12-31	2013-05-08	22110
6507/7-1	3778.000000	1.710000	30.000000	105.300000	WATER BASED	1984-09-25	138	9999-12-31	2013-05-08	22111
6507/7-1	3815.000000	1.710000	34.000000	110.100000	WATER BASED	1984-09-26	138	9999-12-31	2013-05-08	22112
6507/7-1	3821.000000	1.710000	34.000000	110.100000	WATER BASED	1984-09-27	138	9999-12-31	2013-05-08	22113
6507/7-1	3821.000000	1.700000	28.000000	81.400000	WATER BASED	1984-10-01	138	9999-12-31	2013-05-08	22114
6507/7-1	3821.000000	1.700000	30.000000	95.800000	WATER BASED	1984-09-29	138	9999-12-31	2013-05-08	22115
6507/7-1	3821.000000	1.700000	28.000000	81.400000	WATER BASED	1984-09-29	138	9999-12-31	2013-05-08	22116
6507/7-1	3821.000000	1.700000	28.000000	81.400000	WATER BASED	1984-09-29	138	9999-12-31	2013-05-08	22117
6507/7-1	3821.000000	1.700000	28.000000	81.400000	WATER BASED	1984-10-01	138	9999-12-31	2013-05-08	22118
6507/7-1	3821.000000	1.500000	28.000000	81.400000	WATER BASED	1984-10-02	138	9999-12-31	2013-05-08	22119
6507/7-1	3821.000000	1.700000	30.000000	95.800000	WATER BASED	1984-09-29	138	9999-12-31	2013-05-08	22120
6507/7-1	3821.000000	1.500000	28.000000	81.400000	WATER BASED	1984-10-02	138	9999-12-31	2013-05-08	22121
6507/7-1	3825.000000	1.500000	18.000000	62.200000	WATER BASED	1984-10-03	138	9999-12-31	2013-05-08	22122
6507/7-1	3864.000000	1.430000	22.000000	76.600000	WATER BASED	1984-10-04	138	9999-12-31	2013-05-08	22123
6507/7-1	3933.000000	1.400000	21.000000	95.800000	WATER BASED	1984-10-07	138	9999-12-31	2013-05-08	22124
6507/7-1	3952.000000	1.400000	20.000000	71.900000	WATER BASED	1984-10-07	138	9999-12-31	2013-05-08	22125
6507/7-1	4010.000000	1.380000	20.000000	91.000000	WATER BASED	1984-10-07	138	9999-12-31	2013-05-08	22126
6507/7-1	4055.000000	1.350000	19.000000	91.000000	WATER BASED	1984-10-08	138	9999-12-31	2013-05-08	22127
6507/7-1	4081.000000	1.350000	17.000000	81.400000	WATER BASED	1984-10-09	138	9999-12-31	2013-05-08	22128
6507/7-1	4142.000000	1.370000	17.000000	81.400000	WATER BASED	1984-10-10	138	9999-12-31	2013-05-08	22129
6507/7-1	4163.000000	1.390000	18.000000	76.600000	WATER BASED	1984-10-15	138	9999-12-31	2013-05-08	22130
6507/7-1	4163.000000	1.390000	18.000000	76.600000	WATER BASED	1984-10-11	138	9999-12-31	2013-05-08	22131
6507/7-1	4163.000000	1.390000	18.000000	76.600000	WATER BASED	1984-10-15	138	9999-12-31	2013-05-08	22132
6507/7-1	4210.000000	1.370000	18.000000	71.900000	WATER BASED	1984-10-15	138	9999-12-31	2013-05-08	22133
6507/7-1	4226.000000	1.370000	18.000000	76.600000	WATER BASED	1984-10-15	138	9999-12-31	2013-05-08	22134
6507/7-1	4259.000000	1.420000	20.000000	76.600000	WATER BASED	1984-10-16	138	9999-12-31	2013-05-08	22135
6507/7-1	4318.000000	1.430000	22.000000	86.200000	WATER BASED	1984-10-17	138	9999-12-31	2013-05-08	22136
6507/7-1	4340.000000	1.420000	20.000000	76.600000	WATER BASED	1984-10-18	138	9999-12-31	2013-05-08	22137
6507/7-1	4346.000000	1.480000	25.000000	91.000000	WATER BASED	1984-10-21	138	9999-12-31	2013-05-08	22138
6507/7-1	4356.000000	1.480000	23.000000	86.200000	WATER BASED	1984-10-21	138	9999-12-31	2013-05-08	22139
6507/7-1	4357.000000	1.510000	23.000000	76.600000	WATER BASED	1984-10-21	138	9999-12-31	2013-05-08	22140
6507/7-1	4357.000000	1.510000	22.000000	86.900000	WATER BASED	1984-10-22	138	9999-12-31	2013-05-08	22141
6507/7-1	4357.000000	1.510000	22.000000	86.900000	WATER BASED	1984-10-22	138	9999-12-31	2013-05-08	22142
6507/7-1	4374.000000	1.510000	27.000000	86.900000	WATER BASED	1984-10-23	138	9999-12-31	2013-05-08	22143
6507/7-1	4388.000000	1.500000	26.000000	95.800000	WATER BASED	1984-10-24	138	9999-12-31	2013-05-08	22144
6507/7-1	4433.000000	1.510000	23.000000	91.000000	WATER BASED	1984-10-25	138	9999-12-31	2013-05-08	22145
6507/7-1	4475.000000	1.610000	18.000000	67.000000	WATER BASED	1984-11-26	138	9999-12-31	2013-05-08	22146
6507/7-1	4475.000000	1.610000	18.000000	67.000000	WATER BASED	1984-11-22	138	9999-12-31	2013-05-08	22147
6507/7-1	4475.000000	1.610000	18.000000	67.000000	WATER BASED	1984-11-23	138	9999-12-31	2013-05-08	22148
6507/7-1	4475.000000	1.510000	28.000000	95.800000	WATER BASED	1984-10-29	138	9999-12-31	2013-05-08	22149
6507/7-1	4475.000000	1.610000	18.000000	67.000000	WATER BASED	1984-11-22	138	9999-12-31	2013-05-08	22150
6507/7-1	4475.000000	1.610000	18.000000	67.000000	WATER BASED	1984-11-23	138	9999-12-31	2013-05-08	22151
6507/7-1	4475.000000	1.610000	18.000000	67.000000	WATER BASED	1984-11-26	138	9999-12-31	2013-05-08	22152
6507/7-1	4489.000000	1.510000	26.000000	95.800000	WATER BASED	1984-10-29	138	9999-12-31	2013-05-08	22153
6507/7-1	4500.000000	1.610000	24.000000	91.000000	WATER BASED	1984-11-19	138	9999-12-31	2013-05-08	22154
6507/7-1	4504.000000	1.610000	24.000000	71.800000	WATER BASED	1984-11-19	138	9999-12-31	2013-05-08	22155
6507/7-1	4504.000000	1.610000	20.000000	76.600000	WATER BASED	1984-11-19	138	9999-12-31	2013-05-08	22156
6507/7-1	4504.000000	1.610000	20.000000	76.600000	WATER BASED	1984-11-20	138	9999-12-31	2013-05-08	22157
6507/7-1	4504.000000	1.610000	20.000000	76.600000	WATER BASED	1984-11-21	138	9999-12-31	2013-05-08	22158
6507/7-1	4504.000000	1.610000	20.000000	76.600000	WATER BASED	1984-11-21	138	9999-12-31	2013-05-08	22159
6507/7-1	4504.000000	1.610000	20.000000	76.600000	WATER BASED	1984-11-20	138	9999-12-31	2013-05-08	22160
6507/7-1	4504.000000	1.610000	20.000000	76.600000	WATER BASED	1984-11-19	138	9999-12-31	2013-05-08	22161
6507/7-1	4514.000000	1.510000	25.000000	81.400000	WATER BASED	1984-10-29	138	9999-12-31	2013-05-08	22162
6507/7-1	4586.000000	1.510000	24.000000	91.000000	WATER BASED	1984-10-30	138	9999-12-31	2013-05-08	22163
6507/7-1	4593.000000	1.510000	30.000000	134.100000	WATER BASED	1984-10-31	138	9999-12-31	2013-05-08	22164
6507/7-1	4600.000000	1.510000	28.000000	91.000000	WATER BASED	1984-11-01	138	9999-12-31	2013-05-08	22165
6507/7-1	4643.000000	1.510000	32.000000	86.200000	WATER BASED	1984-11-02	138	9999-12-31	2013-05-08	22166
6507/7-1	4711.000000	1.510000	32.000000	95.800000	WATER BASED	1984-11-05	138	9999-12-31	2013-05-08	22167
6507/7-1	4750.000000	1.610000	25.000000	76.600000	WATER BASED	1984-11-16	138	9999-12-31	2013-05-08	22168
6507/7-1	4778.000000	1.510000	30.000000	95.800000	WATER BASED	1984-11-05	138	9999-12-31	2013-05-08	22169
6507/7-1	4825.000000	1.510000	26.000000	81.400000	WATER BASED	1984-11-05	138	9999-12-31	2013-05-08	22170
6507/7-1	4825.000000	1.580000	29.000000	124.500000	WATER BASED	1984-11-13	138	9999-12-31	2013-05-08	22171
6507/7-1	4825.000000	1.580000	29.000000	124.500000	WATER BASED	1984-11-12	138	9999-12-31	2013-05-08	22172
6507/7-1	4825.000000	1.510000	27.000000	86.200000	WATER BASED	1984-11-06	138	9999-12-31	2013-05-08	22173
6507/7-1	4825.000000	1.510000	29.000000	95.800000	WATER BASED	1984-11-07	138	9999-12-31	2013-05-08	22174
6507/7-1	4825.000000	1.510000	28.000000	105.300000	WATER BASED	1984-11-08	138	9999-12-31	2013-05-08	22175
6507/7-1	4825.000000	1.570000	29.000000	124.500000	WATER BASED	1984-11-09	138	9999-12-31	2013-05-08	22176
6507/7-1	4825.000000	1.510000	29.000000	95.800000	WATER BASED	1984-11-07	138	9999-12-31	2013-05-08	22177
6507/7-1	4825.000000	1.510000	28.000000	105.300000	WATER BASED	1984-11-08	138	9999-12-31	2013-05-08	22178
6507/7-1	4825.000000	1.580000	29.000000	124.500000	WATER BASED	1984-11-12	138	9999-12-31	2013-05-08	22179
6507/7-1	4825.000000	1.580000	29.000000	124.500000	WATER BASED	1984-11-13	138	9999-12-31	2013-05-08	22180
6507/7-1	4825.000000	1.580000	29.000000	124.500000	WATER BASED	1984-11-12	138	9999-12-31	2013-05-08	22181
6507/7-1	4825.000000	1.570000	29.000000	124.500000	WATER BASED	1984-11-09	138	9999-12-31	2013-05-08	22182
6507/7-1	4825.000000	1.580000	29.000000	124.500000	WATER BASED	1984-11-12	138	9999-12-31	2013-05-08	22183
6507/7-1	4825.000000	1.510000	27.000000	86.200000	WATER BASED	1984-11-06	138	9999-12-31	2013-05-08	22184
6507/7-10	521.000000	1.070000	120.000000	0.000000	Hi Vis mud	9999-12-31	2182	9999-12-31	2013-05-08	22185
6507/7-10	1160.000000	1.200000	55.000000	0.000000	Hi Vis mud	9999-12-31	2182	9999-12-31	2013-05-08	22186
6507/7-10	1700.000000	1.420000	52.000000	0.000000	waterbased	9999-12-31	2182	9999-12-31	2013-05-08	22187
6507/7-10	2290.000000	1.420000	53.000000	0.000000	waterbased	9999-12-31	2182	9999-12-31	2013-05-08	22188
6507/7-10	2416.000000	1.460000	57.000000	0.000000	waterbased	9999-12-31	2182	9999-12-31	2013-05-08	22189
6507/7-10	3309.000000	1.200000	159.000000	0.000000	waterbased	9999-12-31	2182	9999-12-31	2013-05-08	22190
6507/7-11 S	330.000000	1.200000	0.000000	0.000000	SPUD MUD	9999-12-31	3131	9999-12-31	2013-05-08	22191
6507/7-11 S	680.000000	1.200000	0.000000	0.000000	SPUD MUD	9999-12-31	3131	9999-12-31	2013-05-08	22192
6507/7-11 S	806.000000	1.280000	14.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22193
6507/7-11 S	1123.000000	1.310000	12.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22194
6507/7-11 S	1598.000000	1.270000	16.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22195
6507/7-11 S	1987.000000	1.270000	14.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22196
6507/7-11 S	2500.000000	1.520000	28.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22197
6507/7-11 S	2788.000000	1.640000	36.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22198
6507/7-11 S	3049.000000	1.640000	38.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22199
6507/7-11 S	3061.000000	1.700000	36.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22200
6507/7-11 S	3204.000000	1.700000	37.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22201
6507/7-11 S	3246.000000	1.700000	40.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22202
6507/7-11 S	3343.000000	1.680000	38.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22203
6507/7-11 S	3365.000000	1.700000	33.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22204
6507/7-11 S	3749.000000	1.200000	22.000000	0.000000	KCL/GEM GP	9999-12-31	3131	9999-12-31	2013-05-08	22205
6507/7-12	409.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	3812	9999-12-31	2013-05-08	22206
6507/7-12	1316.000000	1.200000	1.000000	0.000000	SEAWATER	9999-12-31	3812	9999-12-31	2013-05-08	22207
6507/7-12	1325.000000	1.530000	26.000000	0.000000	KCL/POLYMER	9999-12-31	3812	9999-12-31	2013-05-08	22208
6507/7-12	1740.000000	1.540000	23.000000	0.000000	BARASIL-S	9999-12-31	3812	9999-12-31	2013-05-08	22209
6507/7-12	2075.000000	1.540000	24.000000	0.000000	BARASIL-S	9999-12-31	3812	9999-12-31	2013-05-08	22210
6507/7-12	2508.000000	1.540000	27.000000	0.000000	BARASIL-S	9999-12-31	3812	9999-12-31	2013-05-08	22211
6507/7-12	2845.000000	1.540000	36.000000	0.000000	OIL (ENVIRON)	9999-12-31	3812	9999-12-31	2013-05-08	22212
6507/7-12	3192.000000	1.540000	45.000000	0.000000	OIL (ENVIRON)	9999-12-31	3812	9999-12-31	2013-05-08	22213
6507/7-12	3510.000000	1.540000	45.000000	0.000000	OIL (ENVIRON)	9999-12-31	3812	9999-12-31	2013-05-08	22214
6507/7-12	3726.000000	1.570000	44.000000	0.000000	OIL (ENVIRON)	9999-12-31	3812	9999-12-31	2013-05-08	22215
6507/7-12	3813.000000	1.570000	40.000000	0.000000	OIL (ENVIRON)	9999-12-31	3812	9999-12-31	2013-05-08	22216
6507/7-12	3875.000000	1.570000	40.000000	0.000000	OIL (ENVIRON)	9999-12-31	3812	9999-12-31	2013-05-08	22217
6507/7-12	3976.000000	1.570000	13.000000	0.000000	KCL/POLYMER	9999-12-31	3812	9999-12-31	2013-05-08	22218
6507/7-13	404.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	4213	9999-12-31	2013-05-08	22219
6507/7-13	468.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	4213	9999-12-31	2013-05-08	22220
6507/7-13	1180.000000	1.340000	19.000000	0.000000	LOW SOLIDS	9999-12-31	4213	9999-12-31	2013-05-08	22221
6507/7-13	1930.000000	1.460000	23.000000	0.000000	LOW SOLIDS	9999-12-31	4213	9999-12-31	2013-05-08	22222
6507/7-13	2128.000000	1.430000	22.000000	0.000000	LOW SOLIDS	9999-12-31	4213	9999-12-31	2013-05-08	22223
6507/7-13	2414.000000	1.390000	25.000000	0.000000	LOW SOLIDS	9999-12-31	4213	9999-12-31	2013-05-08	22224
6507/7-13	2623.000000	1.390000	25.000000	0.000000	LOW SOLIDS	9999-12-31	4213	9999-12-31	2013-05-08	22225
6507/7-13 A	404.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	4275	9999-12-31	2013-05-08	22226
6507/7-13 A	420.000000	1.020000	0.000000	0.000000	LOW SOLIDS	9999-12-31	4275	9999-12-31	2013-05-08	22227
6507/7-13 A	468.000000	1.050000	1.000000	0.000000	SPUD MUD	9999-12-31	4275	9999-12-31	2013-05-08	22228
6507/7-13 A	468.000000	1.050000	0.000000	0.000000	SPUD MUD	9999-12-31	4275	9999-12-31	2013-05-08	22229
6507/7-13 A	1930.000000	1.460000	22.000000	0.000000	LOW SOLIDS	9999-12-31	4275	9999-12-31	2013-05-08	22230
6507/7-13 A	1970.000000	1.460000	22.000000	0.000000	LOW SOLIDS	9999-12-31	4275	9999-12-31	2013-05-08	22231
6507/7-13 A	2128.000000	1.430000	22.000000	0.000000	LOW SOLIDS	9999-12-31	4275	9999-12-31	2013-05-08	22232
6507/7-13 A	2414.000000	1.390000	25.000000	0.000000	LOW SOLIDS	9999-12-31	4275	9999-12-31	2013-05-08	22233
6507/7-13 A	2467.000000	1.400000	23.000000	0.000000	LOW SOLIDS	9999-12-31	4275	9999-12-31	2013-05-08	22234
6507/7-13 A	2623.000000	1.390000	20.000000	0.000000	LOW SOLIDS	9999-12-31	4275	9999-12-31	2013-05-08	22235
6507/7-14 S	1301.000000	1.360000	36.000000	0.000000	PERFORMADRIL	9999-12-31	6367	9999-12-31	2013-05-08	22236
6507/7-14 S	1444.000000	1.350000	30.000000	0.000000	PERFORMADRIL	9999-12-31	6367	9999-12-31	2013-05-08	22237
6507/7-14 S	2200.000000	1.550000	49.000000	0.000000	PERFORMADRIL	9999-12-31	6367	9999-12-31	2013-05-08	22238
6507/7-14 S	2741.000000	1.550000	55.000000	0.000000	PERFORMADRIL	9999-12-31	6367	9999-12-31	2013-05-08	22239
6507/7-14 S	3134.000000	1.550000	59.000000	0.000000	PERFORMADRIL	9999-12-31	6367	9999-12-31	2013-05-08	22240
6507/7-14 S	3258.000000	1.550000	41.000000	0.000000	PERFORMADRIL	9999-12-31	6367	9999-12-31	2013-05-08	22241
6507/7-14 S	3289.000000	1.640000	28.000000	0.000000	XP-07 Yellow	9999-12-31	6367	9999-12-31	2013-05-08	22242
6507/7-14 S	3412.000000	1.640000	57.000000	0.000000	XP-07 Yellow	9999-12-31	6367	9999-12-31	2013-05-08	22243
6507/7-14 S	3947.000000	1.640000	31.000000	0.000000	XP-07 Yellow	9999-12-31	6367	9999-12-31	2013-05-08	22244
6507/7-14 S	4221.000000	1.700000	32.000000	0.000000	XP-07 Yellow	9999-12-31	6367	9999-12-31	2013-05-08	22245
6507/7-14 S	4534.000000	1.710000	38.000000	0.000000	XP-07 Yellow	9999-12-31	6367	9999-12-31	2013-05-08	22246
6507/7-2	383.000000	0.000000	0.000000	0.000000	WATER BASED	1985-02-25	464	9999-12-31	2013-05-08	22247
6507/7-2	426.000000	1.020000	180.000000	0.000000	WATER BASED	1985-02-27	464	9999-12-31	2013-05-08	22248
6507/7-2	476.000000	1.060000	180.000000	0.000000	WATER BASED	1985-02-27	464	9999-12-31	2013-05-08	22249
6507/7-2	476.000000	1.020000	180.000000	0.000000	WATER BASED	1985-03-01	464	9999-12-31	2013-05-08	22250
6507/7-2	476.000000	1.020000	180.000000	0.000000	WATER BASED	1985-03-01	464	9999-12-31	2013-05-08	22251
6507/7-2	836.000000	1.120000	5.000000	77.000000	WATER BASED	1985-03-03	464	9999-12-31	2013-05-08	22252
6507/7-2	1030.000000	1.120000	6.000000	148.000000	WATER BASED	1985-03-03	464	9999-12-31	2013-05-08	22253
6507/7-2	1030.000000	1.020000	7.000000	115.000000	WATER BASED	1985-03-03	464	9999-12-31	2013-05-08	22254
6507/7-2	1030.000000	1.260000	9.000000	124.500000	WATER BASED	1985-03-04	464	9999-12-31	2013-05-08	22255
6507/7-2	1030.000000	1.260000	9.000000	124.500000	WATER BASED	1985-03-04	464	9999-12-31	2013-05-08	22256
6507/7-2	1030.000000	1.020000	7.000000	115.000000	WATER BASED	1985-03-03	464	9999-12-31	2013-05-08	22257
6507/7-2	1070.000000	1.080000	23.000000	76.600000	WATER BASED	1985-03-10	464	9999-12-31	2013-05-08	22258
6507/7-2	1486.000000	1.350000	21.000000	57.500000	WATER BASED	1985-03-10	464	9999-12-31	2013-05-08	22259
6507/7-2	1646.000000	1.390000	11.000000	86.200000	WATER BASED	1985-03-11	464	9999-12-31	2013-05-08	22260
6507/7-2	1862.000000	1.430000	11.000000	91.000000	WATER BASED	1985-03-12	464	9999-12-31	2013-05-08	22261
6507/7-2	2052.000000	1.450000	14.000000	115.000000	WATER BASED	1985-03-13	464	9999-12-31	2013-05-08	22262
6507/7-2	2110.000000	1.470000	14.000000	110.000000	WATER BASED	1985-03-17	464	9999-12-31	2013-05-08	22263
6507/7-2	2110.000000	1.480000	14.000000	124.000000	WATER BASED	1985-03-14	464	9999-12-31	2013-05-08	22264
6507/7-2	2110.000000	1.470000	14.000000	110.000000	WATER BASED	1985-03-17	464	9999-12-31	2013-05-08	22265
6507/7-2	2179.000000	1.540000	14.000000	119.700000	WATER BASED	1985-03-19	464	9999-12-31	2013-05-08	22266
6507/7-2	2228.000000	1.560000	14.000000	81.300000	WATER BASED	1985-03-20	464	9999-12-31	2013-05-08	22267
6507/7-2	2284.000000	1.580000	16.000000	95.700000	WATER BASED	1985-03-21	464	9999-12-31	2013-05-08	22268
6507/7-2	2313.000000	1.580000	16.000000	95.700000	WATER BASED	1985-03-24	464	9999-12-31	2013-05-08	22269
6507/7-2	2327.000000	1.580000	16.000000	95.700000	WATER BASED	1985-03-24	464	9999-12-31	2013-05-08	22270
6507/7-2	2403.000000	1.580000	16.000000	95.800000	WATER BASED	1985-03-27	464	9999-12-31	2013-05-08	22271
6507/7-2	2436.000000	1.580000	16.000000	65.600000	WATER BASED	1985-03-29	464	9999-12-31	2013-05-08	22272
6507/7-2	2582.000000	1.580000	16.000000	105.300000	WATER BASED	1985-04-01	464	9999-12-31	2013-05-08	22273
6507/7-2	2605.000000	1.580000	18.000000	81.400000	WATER BASED	1985-04-01	464	9999-12-31	2013-05-08	22274
6507/7-2	2610.000000	1.580000	22.000000	71.800000	WATER BASED	1985-04-09	464	9999-12-31	2013-05-08	22275
6507/7-2	2610.000000	1.580000	23.000000	81.400000	WATER BASED	1985-04-09	464	9999-12-31	2013-05-08	22276
6507/7-2	2610.000000	1.580000	20.000000	67.000000	WATER BASED	1985-04-09	464	9999-12-31	2013-05-08	22277
6507/7-2	2610.000000	1.580000	23.000000	86.200000	WATER BASED	1985-04-09	464	9999-12-31	2013-05-08	22278
6507/7-2	2610.000000	1.580000	23.000000	81.400000	WATER BASED	1985-04-09	464	9999-12-31	2013-05-08	22279
6507/7-2	2610.000000	1.580000	20.000000	67.000000	WATER BASED	1985-04-09	464	9999-12-31	2013-05-08	22280
6507/7-2	2610.000000	1.580000	23.000000	86.200000	WATER BASED	1985-04-09	464	9999-12-31	2013-05-08	22281
6507/7-2	2627.000000	1.500000	13.000000	67.000000	WATER BASED	1985-04-09	464	9999-12-31	2013-05-08	22282
6507/7-2	2645.000000	1.480000	15.000000	62.200000	WATER BASED	1985-04-09	464	9999-12-31	2013-05-08	22283
6507/7-2	2680.000000	1.440000	15.000000	62.300000	WATER BASED	1985-04-10	464	9999-12-31	2013-05-08	22284
6507/7-2	2728.000000	1.420000	16.000000	71.800000	WATER BASED	1985-04-11	464	9999-12-31	2013-05-08	22285
6507/7-2	2810.000000	1.390000	15.000000	71.800000	WATER BASED	1985-04-12	464	9999-12-31	2013-05-08	22286
6507/7-2	2917.000000	1.390000	17.000000	62.200000	WATER BASED	1985-04-15	464	9999-12-31	2013-05-08	22287
6507/7-2	2989.000000	1.390000	15.000000	67.000000	WATER BASED	1985-04-15	464	9999-12-31	2013-05-08	22288
6507/7-2	3135.000000	1.390000	16.000000	67.000000	WATER BASED	1985-04-15	464	9999-12-31	2013-05-08	22289
6507/7-2	3262.000000	1.390000	16.000000	76.600000	WATER BASED	1985-04-16	464	9999-12-31	2013-05-08	22290
6507/7-2	3262.000000	1.390000	20.000000	95.600000	WATER BASED	1985-04-18	464	9999-12-31	2013-05-08	22291
6507/7-2	3262.000000	1.390000	16.000000	76.600000	WATER BASED	1985-04-17	464	9999-12-31	2013-05-08	22292
6507/7-2	3262.000000	1.390000	16.000000	76.600000	WATER BASED	1985-04-17	464	9999-12-31	2013-05-08	22293
6507/7-2	3262.000000	1.390000	20.000000	95.600000	WATER BASED	1985-04-18	464	9999-12-31	2013-05-08	22294
6507/7-3	469.000000	1.140000	100.000000	57.500000	WATER BASED	1985-07-30	482	9999-12-31	2013-05-08	22295
6507/7-3	469.000000	1.030000	100.000000	47.800000	WATER BASED	1985-07-31	482	9999-12-31	2013-05-08	22296
6507/7-3	469.000000	1.070000	100.000000	0.000000	WATER BASED	1985-07-30	482	9999-12-31	2013-05-08	22297
6507/7-3	469.000000	1.140000	100.000000	57.500000	WATER BASED	1985-07-30	482	9999-12-31	2013-05-08	22298
6507/7-3	469.000000	1.030000	100.000000	47.800000	WATER BASED	1985-07-31	482	9999-12-31	2013-05-08	22299
6507/7-3	1030.000000	1.160000	8.000000	37.600000	WATER BASED	1985-08-05	482	9999-12-31	2013-05-08	22300
6507/7-3	1030.000000	1.140000	7.000000	234.600000	WATER BASED	1985-08-01	482	9999-12-31	2013-05-08	22301
6507/7-3	1030.000000	1.160000	8.000000	37.600000	WATER BASED	1985-08-05	482	9999-12-31	2013-05-08	22302
6507/7-3	1035.000000	1.090000	48.000000	105.000000	WATER BASED	1985-08-07	482	9999-12-31	2013-05-08	22303
6507/7-3	1630.000000	1.290000	59.000000	105.000000	WATER BASED	1985-08-08	482	9999-12-31	2013-05-08	22304
6507/7-3	1983.000000	1.380000	22.000000	148.400000	WATER BASED	1985-08-09	482	9999-12-31	2013-05-08	22305
6507/7-3	2248.000000	1.380000	27.000000	1056.000000	WATER BASED	1985-08-08	482	9999-12-31	2013-05-08	22306
6507/7-3	2307.000000	1.380000	26.000000	105.600000	WATER BASED	1985-08-08	482	9999-12-31	2013-05-08	22307
6507/7-3	2307.000000	1.260000	16.000000	62.400000	WATER BASED	1985-08-13	482	9999-12-31	2013-05-08	22308
6507/7-3	2307.000000	1.380000	25.000000	96.000000	WATER BASED	1985-08-12	482	9999-12-31	2013-05-08	22309
6507/7-3	2307.000000	1.260000	15.000000	67.200000	WATER BASED	1985-08-12	482	9999-12-31	2013-05-08	22310
6507/7-3	2307.000000	1.380000	25.000000	96.000000	WATER BASED	1985-08-12	482	9999-12-31	2013-05-08	22311
6507/7-3	2307.000000	1.260000	15.000000	67.200000	WATER BASED	1985-08-12	482	9999-12-31	2013-05-08	22312
6507/7-3	2307.000000	1.260000	16.000000	62.400000	WATER BASED	1985-08-13	482	9999-12-31	2013-05-08	22313
6507/7-3	2307.000000	1.380000	26.000000	105.600000	WATER BASED	1985-08-08	482	9999-12-31	2013-05-08	22314
6507/7-3	2307.000000	1.390000	23.000000	1008.000000	WATER BASED	1985-08-08	482	9999-12-31	2013-05-08	22315
6507/7-3	2360.000000	1.260000	17.000000	67.200000	WATER BASED	1985-08-15	482	9999-12-31	2013-05-08	22316
6507/7-3	2381.000000	1.260000	18.000000	99.000000	WATER BASED	1985-08-19	482	9999-12-31	2013-05-08	22317
6507/7-3	2419.000000	1.260000	19.000000	96.000000	WATER BASED	1985-08-19	482	9999-12-31	2013-05-08	22318
6507/7-3	2470.000000	1.260000	19.000000	96.000000	WATER BASED	1985-08-19	482	9999-12-31	2013-05-08	22319
6507/7-3	2521.000000	1.260000	18.000000	115.000000	WATER BASED	1985-08-17	482	9999-12-31	2013-05-08	22320
6507/7-3	2566.000000	1.260000	18.000000	23.000000	WATER BASED	1985-08-21	482	9999-12-31	2013-05-08	22321
6507/7-3	2588.000000	1.260000	19.000000	110.400000	WATER BASED	1985-08-21	482	9999-12-31	2013-05-08	22322
6507/7-3	2643.000000	1.270000	21.000000	124.800000	WATER BASED	1985-08-23	482	9999-12-31	2013-05-08	22323
6507/7-3	2776.000000	1.270000	19.000000	115.200000	WATER BASED	1985-08-26	482	9999-12-31	2013-05-08	22324
6507/7-3	2850.000000	1.270000	16.000000	105.000000	WATER BASED	1985-08-26	482	9999-12-31	2013-05-08	22325
6507/7-3	2850.000000	1.270000	16.000000	95.700000	WATER BASED	1985-08-24	482	9999-12-31	2013-05-08	22326
6507/7-4	402.000000	1.070000	0.000000	0.000000	WATER BASED	1985-11-11	853	9999-12-31	2013-05-08	22327
6507/7-4	410.000000	1.070000	0.000000	0.000000	WATER BASED	1985-11-11	853	9999-12-31	2013-05-08	22328
6507/7-4	470.000000	1.070000	0.000000	0.000000	WATER BASED	1985-11-11	853	9999-12-31	2013-05-08	22329
6507/7-4	470.000000	1.200000	0.000000	0.000000	WATER BASED	1985-11-12	853	9999-12-31	2013-05-08	22330
6507/7-4	470.000000	1.040000	10.000000	15.000000	WATER BASED	1985-11-18	853	9999-12-31	2013-05-08	22331
6507/7-4	470.000000	1.070000	0.000000	0.000000	WATER BASED	1985-11-07	853	9999-12-31	2013-05-08	22332
6507/7-4	470.000000	1.070000	0.000000	0.000000	WATER BASED	1985-11-05	853	9999-12-31	2013-05-08	22333
6507/7-4	951.000000	1.130000	5.000000	30.000000	WATER BASED	1985-11-18	853	9999-12-31	2013-05-08	22334
6507/7-4	1025.000000	1.180000	6.000000	23.000000	WATERBASED	1985-11-18	853	9999-12-31	2013-05-08	22335
6507/7-4	1025.000000	1.040000	2.000000	2.000000	WATER BASED	1985-11-18	853	9999-12-31	2013-05-08	22336
6507/7-4	1030.000000	1.150000	0.000000	0.000000	WATER BASED	1985-11-18	853	9999-12-31	2013-05-08	22337
6507/7-4	1349.000000	1.160000	20.000000	100.000000	WATER BASED	1985-11-25	853	9999-12-31	2013-05-08	22338
6507/7-4	1759.000000	1.310000	24.000000	110.000000	WATER BASED	1985-11-25	853	9999-12-31	2013-05-08	22339
6507/7-4	1928.000000	1.320000	24.000000	110.000000	WATER BASED	1985-11-25	853	9999-12-31	2013-05-08	22340
6507/7-4	2230.000000	1.320000	22.000000	125.000000	WATER BASED	1985-11-25	853	9999-12-31	2013-05-08	22341
6507/7-4	2377.000000	1.340000	8.000000	105.300000	WATER BASED	1985-11-27	853	9999-12-31	2013-05-08	22342
6507/7-4	2377.000000	1.400000	8.000000	106.000000	WATER BASED	1985-11-27	853	9999-12-31	2013-05-08	22343
6507/7-4	2377.000000	1.430000	8.000000	106.000000	WATER BASED	1985-11-29	853	9999-12-31	2013-05-08	22344
6507/7-4	2377.000000	1.250000	18.000000	66.900000	WATER BASED	1985-11-28	853	9999-12-31	2013-05-08	22345
6507/7-4	2388.000000	1.200000	8.000000	86.000000	WATER BASED	1985-11-28	853	9999-12-31	2013-05-08	22346
6507/7-4	2463.000000	1.200000	13.000000	86.200000	WATER BASED	1985-12-01	853	9999-12-31	2013-05-08	22347
6507/7-4	2654.000000	1.200000	14.000000	81.400000	WATER BASED	1985-12-09	853	9999-12-31	2013-05-08	22348
6507/7-4	2685.000000	1.200000	15.000000	91.000000	WATER BASED	1985-12-09	853	9999-12-31	2013-05-08	22349
6507/7-4	2740.000000	1.200000	15.000000	86.100000	WATER BASED	1985-12-09	853	9999-12-31	2013-05-08	22350
6507/7-4	2812.000000	1.200000	16.000000	91.000000	WATER BASED	1985-12-10	853	9999-12-31	2013-05-08	22351
6507/7-4	2850.000000	1.200000	9.000000	86.200000	WATER BASED	1985-12-11	853	9999-12-31	2013-05-08	22352
6507/7-4	2850.000000	1.210000	12.000000	478.800000	WATER BASED	1986-01-13	853	9999-12-31	2013-05-08	22353
6507/7-4	2850.000000	1.200000	9.000000	91.000000	WATER BASED	1985-12-10	853	9999-12-31	2013-05-08	22354
6507/7-5	426.000000	1.030000	0.000000	0.000000	WATER BASED	1986-01-17	879	9999-12-31	2013-05-08	22355
6507/7-5	1794.000000	1.380000	0.000000	0.000000	WATER BASED	1986-01-25	879	9999-12-31	2013-05-08	22356
6507/7-5	1905.000000	1.390000	0.000000	0.000000	WATER BASED	1986-01-25	879	9999-12-31	2013-05-08	22357
6507/7-5	2075.000000	1.380000	108.000000	20.000000	WATER BASED	1986-03-05	879	9999-12-31	2013-05-08	22358
6507/7-5	2098.000000	1.340000	0.000000	0.000000	WATER BASED	1986-01-25	879	9999-12-31	2013-05-08	22359
6507/7-5	2238.000000	1.420000	0.000000	0.000000	WATER BASED	1986-01-25	879	9999-12-31	2013-05-08	22360
6507/7-5	2248.000000	1.420000	0.000000	0.000000	WATER BASED	1986-01-30	879	9999-12-31	2013-05-08	22361
6507/7-5	2248.000000	1.420000	0.000000	0.000000	WATER BASED	1986-02-03	879	9999-12-31	2013-05-08	22362
6507/7-5	2248.000000	1.420000	0.000000	0.000000	WATER BASED	1986-01-31	879	9999-12-31	2013-05-08	22363
6507/7-5	2255.000000	1.210000	0.000000	0.000000	WATER BASED	1986-02-03	879	9999-12-31	2013-05-08	22364
6507/7-5	2283.000000	1.200000	0.000000	0.000000	WATER BASED	1986-02-03	879	9999-12-31	2013-05-08	22365
6507/7-5	2309.000000	1.210000	0.000000	0.000000	WATER BASED	1986-02-01	879	9999-12-31	2013-05-08	22366
6507/7-5	2362.000000	1.220000	0.000000	0.000000	WATER BASED	1986-02-04	879	9999-12-31	2013-05-08	22367
6507/7-5	2411.000000	1.220000	0.000000	0.000000	WATER BASED	1986-02-06	879	9999-12-31	2013-05-08	22368
6507/7-5	2451.000000	1.020000	0.000000	0.000000	WATER BASED	1986-02-10	879	9999-12-31	2013-05-08	22369
6507/7-5	2501.000000	1.200000	0.000000	0.000000	WATER BASED	1986-02-10	879	9999-12-31	2013-05-08	22370
6507/7-5	2512.000000	1.200000	0.000000	0.000000	WATER BASED	1986-02-10	879	9999-12-31	2013-05-08	22371
6507/7-5	2538.000000	1.020000	0.000000	0.000000	WATER BASED	1986-02-10	879	9999-12-31	2013-05-08	22372
6507/7-5	2582.000000	1.200000	24.000000	9.000000	WATER BASED	1986-02-10	879	9999-12-31	2013-05-08	22373
6507/7-5	2660.000000	1.200000	108.000000	20.000000	WATER BASED	1986-02-14	879	9999-12-31	2013-05-08	22374
6507/7-5	2660.000000	1.200000	108.000000	20.000000	WATER BASED	1986-02-24	879	9999-12-31	2013-05-08	22375
6507/7-5 A	1098.000000	1.380000	33.500000	622.400000	WATER BASED	1986-03-07	860	9999-12-31	2013-05-08	22376
6507/7-5 A	1110.000000	1.380000	33.500000	622.400000	WATER BASED	1986-03-09	860	9999-12-31	2013-05-08	22377
6507/7-5 A	1498.000000	1.390000	73.500000	622.400000	WATER BASED	1986-03-11	860	9999-12-31	2013-05-08	22378
6507/7-5 A	1916.000000	1.420000	73.500000	622.400000	WATER BASED	1986-03-12	860	9999-12-31	2013-05-08	22379
6507/7-5 A	2051.000000	1.390000	73.500000	622.400000	WATER BASED	1986-03-17	860	9999-12-31	2013-05-08	22380
6507/7-5 A	2198.000000	1.400000	73.500000	622.400000	WATER BASED	1986-03-17	860	9999-12-31	2013-05-08	22381
6507/7-5 A	2201.000000	1.270000	73.500000	622.400000	WATER BASED	1986-03-15	860	9999-12-31	2013-05-08	22382
6507/7-5 A	2478.000000	1.270000	73.500000	622.400000	WATER BASED	1986-03-19	860	9999-12-31	2013-05-08	22383
6507/7-5 A	2572.000000	1.300000	26.000000	21.000000	WATER BASED	1986-03-21	860	9999-12-31	2013-05-08	22384
6507/7-5 A	2634.000000	1.300000	22.000000	18.000000	WATER BASED	1986-03-24	860	9999-12-31	2013-05-08	22385
6507/7-5 A	2673.000000	1.330000	18.000000	22.000000	WATER BASED	1986-03-24	860	9999-12-31	2013-05-08	22386
6507/7-5 A	2673.000000	1.030000	18.000000	23.000000	WATER BASED	1986-04-08	860	9999-12-31	2013-05-08	22387
6507/7-6	419.000000	1.030000	0.000000	0.000000	WATERBASED	1986-07-23	922	9999-12-31	2013-05-08	22388
6507/7-6	1030.000000	1.140000	20.000000	12.900000	WATERBASED	1986-07-31	922	9999-12-31	2013-05-08	22389
6507/7-6	1303.000000	1.160000	17.000000	8.600000	WATERBASED	1986-08-04	922	9999-12-31	2013-05-08	22390
6507/7-6	1769.000000	1.380000	24.000000	9.100000	WATERBASED	1986-08-04	922	9999-12-31	2013-05-08	22391
6507/7-6	1836.000000	1.390000	30.000000	9.600000	WATERBASED	1986-08-04	922	9999-12-31	2013-05-08	22392
6507/7-6	2050.000000	1.420000	27.000000	8.100000	WATERBASED	1986-08-05	922	9999-12-31	2013-05-08	22393
6507/7-6	2080.000000	1.260000	0.000000	0.000000	WATERBASED	1986-08-08	922	9999-12-31	2013-05-08	22394
6507/7-6	2087.000000	0.000000	28.000000	8.600000	WATERBASED	1986-08-07	922	9999-12-31	2013-05-08	22395
6507/7-6	2087.000000	1.440000	28.000000	8.600000	WATERBASED	1986-08-06	922	9999-12-31	2013-05-08	22396
6507/7-6	2305.000000	1.270000	0.000000	0.000000	WATERBASED	1986-08-11	922	9999-12-31	2013-05-08	22397
6507/7-6	2305.000000	0.000000	0.000000	0.000000	WATERBASED	1986-08-12	922	9999-12-31	2013-05-08	22398
6507/7-6	2525.000000	1.260000	0.000000	0.000000	WATERBASED	1986-08-18	922	9999-12-31	2013-05-08	22399
6507/7-6	2525.000000	0.000000	0.000000	0.000000	WATERBASED	1986-08-21	922	9999-12-31	2013-05-08	22400
6507/7-6	2525.000000	0.000000	0.000000	0.000000	WATERBASED	1986-08-19	922	9999-12-31	2013-05-08	22401
6507/7-7	388.000000	1.020000	0.000000	0.000000	WATER BASED	9999-12-31	1056	9999-12-31	2013-05-08	22402
6507/7-7	455.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1056	9999-12-31	2013-05-08	22403
6507/7-7	461.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1056	9999-12-31	2013-05-08	22404
6507/7-7	463.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1056	9999-12-31	2013-05-08	22405
6507/7-7	525.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1056	9999-12-31	2013-05-08	22406
6507/7-7	975.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1056	9999-12-31	2013-05-08	22407
6507/7-7	1034.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1056	9999-12-31	2013-05-08	22408
6507/7-7	1035.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1056	9999-12-31	2013-05-08	22409
6507/7-8	466.000000	1.040000	0.000000	0.000000	WATER BASED	1987-06-11	1071	9999-12-31	2013-05-08	22410
6507/7-8	470.000000	1.040000	0.000000	0.000000	WATER BASED	1987-06-15	1071	9999-12-31	2013-05-08	22411
6507/7-8	544.000000	1.040000	0.000000	0.000000	WATER BASED	1987-06-15	1071	9999-12-31	2013-05-08	22412
6507/7-8	1021.000000	1.030000	0.000000	0.000000	WATER BASED	1987-06-15	1071	9999-12-31	2013-05-08	22413
6507/7-8	1035.000000	1.040000	0.000000	0.000000	WATER BASED	1987-06-16	1071	9999-12-31	2013-05-08	22414
6507/7-8	1035.000000	1.040000	0.000000	0.000000	WATER BASED	1987-06-18	1071	9999-12-31	2013-05-08	22415
6507/7-8	1035.000000	1.040000	0.000000	0.000000	WATER BASED	1987-06-17	1071	9999-12-31	2013-05-08	22416
6507/7-8	1035.000000	1.040000	0.000000	0.000000	WATER BASED	1987-06-22	1071	9999-12-31	2013-05-08	22417
6507/7-8	1035.000000	1.040000	0.000000	0.000000	WATER BASED	1987-06-19	1071	9999-12-31	2013-05-08	22418
6507/7-8	1054.000000	1.160000	0.000000	0.000000	WATER BASED	1987-06-22	1071	9999-12-31	2013-05-08	22419
6507/7-8	1211.000000	1.170000	0.000000	0.000000	WATER BASED	1987-06-22	1071	9999-12-31	2013-05-08	22420
6507/7-8	1541.000000	1.280000	0.000000	0.000000	WATER BASED	1987-06-23	1071	9999-12-31	2013-05-08	22421
6507/7-8	1795.000000	1.320000	0.000000	0.000000	WATER BASED	1987-06-24	1071	9999-12-31	2013-05-08	22422
6507/7-8	1953.000000	1.380000	0.000000	0.000000	WATER BASED	1987-06-25	1071	9999-12-31	2013-05-08	22423
6507/7-8	2198.000000	1.400000	0.000000	0.000000	WATER BASED	1987-06-26	1071	9999-12-31	2013-05-08	22424
6507/7-8	2199.000000	1.400000	0.000000	0.000000	WATER BASED	1987-06-29	1071	9999-12-31	2013-05-08	22425
6507/7-8	2344.000000	1.420000	0.000000	0.000000	WATER BASED	1987-06-29	1071	9999-12-31	2013-05-08	22426
6507/7-8	2359.000000	1.420000	0.000000	0.000000	WATER BASED	1987-06-29	1071	9999-12-31	2013-05-08	22427
6507/7-8	2403.000000	1.420000	0.000000	0.000000	WATER BASED	1987-06-30	1071	9999-12-31	2013-05-08	22428
6507/7-8	2403.000000	1.200000	0.000000	0.000000	WATER BASED	1987-07-02	1071	9999-12-31	2013-05-08	22429
6507/7-8	2403.000000	1.420000	18.000000	5.800000	WATER BASED	1987-07-01	1071	9999-12-31	2013-05-08	22430
6507/7-8	2405.000000	1.210000	11.000000	19.000000	WATER BASED	1987-07-03	1071	9999-12-31	2013-05-08	22431
6507/7-8	2429.000000	1.210000	17.000000	8.200000	WATER BASED	1987-07-06	1071	9999-12-31	2013-05-08	22432
6507/7-8	2465.000000	1.210000	16.000000	7.200000	WATER BASED	1987-07-06	1071	9999-12-31	2013-05-08	22433
6507/7-8	2513.000000	1.210000	15.000000	7.200000	WATER BASED	1987-07-06	1071	9999-12-31	2013-05-08	22434
6507/7-8	2525.000000	1.210000	14.000000	6.700000	WATER BASED	1987-07-07	1071	9999-12-31	2013-05-08	22435
6507/7-8	2614.000000	1.200000	15.000000	10.100000	WATER BASED	1987-07-13	1071	9999-12-31	2013-05-08	22436
6507/7-8	2658.000000	1.200000	15.000000	7.200000	WATER BASED	1987-07-13	1071	9999-12-31	2013-05-08	22437
6507/7-8	2855.000000	1.190000	9.000000	5.800000	WATER BASED	1987-07-20	1071	9999-12-31	2013-05-08	22438
6507/7-8	2855.000000	1.200000	13.000000	2.400000	WATER BASED	1987-07-14	1071	9999-12-31	2013-05-08	22439
6507/7-8	2855.000000	1.200000	16.000000	7.700000	WATER BASED	1987-07-13	1071	9999-12-31	2013-05-08	22440
6507/7-8	2855.000000	1.190000	12.000000	2.400000	WATER BASED	1987-07-16	1071	9999-12-31	2013-05-08	22441
6507/7-8	2855.000000	1.190000	10.000000	6.200000	WATER BASED	1987-07-17	1071	9999-12-31	2013-05-08	22442
6507/7-8	2855.000000	1.190000	12.000000	2.400000	WATER BASED	1987-07-15	1071	9999-12-31	2013-05-08	22443
6507/7-8	2855.000000	1.210000	19.000000	5.300000	WATER BASED	1987-07-13	1071	9999-12-31	2013-05-08	22444
6507/7-8	2855.000000	1.190000	8.000000	5.300000	WATER BASED	1987-07-21	1071	9999-12-31	2013-05-08	22445
6507/7-8	2855.000000	1.190000	8.000000	5.300000	WATER BASED	1987-07-20	1071	9999-12-31	2013-05-08	22446
6507/7-8	2855.000000	1.190000	8.000000	5.300000	WATER BASED	1987-07-22	1071	9999-12-31	2013-05-08	22447
6507/7-8	2855.000000	1.190000	8.000000	5.300000	WATER BASED	1987-07-23	1071	9999-12-31	2013-05-08	22448
6507/7-8	2855.000000	1.190000	8.000000	5.300000	WATER BASED	1987-07-24	1071	9999-12-31	2013-05-08	22449
6507/7-8	2855.000000	1.190000	9.000000	5.700000	WATER BASED	1987-07-27	1071	9999-12-31	2013-05-08	22450
6507/7-8	2855.000000	1.190000	9.000000	4.800000	WATER BASED	1987-07-28	1071	9999-12-31	2013-05-08	22451
6507/7-8	2855.000000	0.000000	0.000000	0.000000	WATER BASED	1987-08-03	1071	9999-12-31	2013-05-08	22452
6507/7-8	2855.000000	0.000000	0.000000	0.000000	WATER BASED	1987-07-29	1071	9999-12-31	2013-05-08	22453
6507/7-8	2855.000000	0.000000	0.000000	0.000000	WATER BASED	1987-07-31	1071	9999-12-31	2013-05-08	22454
6507/7-9	370.000000	1.010000	0.000000	0.000000	WATER BASED	1987-08-04	1078	9999-12-31	2013-05-08	22455
6507/7-9	474.000000	1.030000	0.000000	0.000000	WATER BASED	1987-08-05	1078	9999-12-31	2013-05-08	22456
6507/7-9	659.000000	1.030000	0.000000	0.000000	WATER BASED	1987-08-06	1078	9999-12-31	2013-05-08	22457
6507/7-9	850.000000	1.030000	0.000000	0.000000	WATER BASED	1987-08-10	1078	9999-12-31	2013-05-08	22458
6507/7-9	850.000000	1.030000	0.000000	0.000000	WATER BASED	1987-08-07	1078	9999-12-31	2013-05-08	22459
6507/8-1	1053.000000	1.120000	6200.000000	6.800000	WATER BASED	1986-11-04	933	9999-12-31	2013-05-08	22460
6507/8-1	1398.000000	1.140000	6300.000000	5.900000	WATER BASED	1986-11-05	933	9999-12-31	2013-05-08	22461
6507/8-1	1675.000000	1.350000	6000.000000	6.300000	WATER BASED	1986-11-06	933	9999-12-31	2013-05-08	22462
6507/8-1	1700.000000	1.350000	5100.000000	4.700000	WATER BASED	1986-11-10	933	9999-12-31	2013-05-08	22463
6507/8-1	2131.000000	1.350000	5500.000000	5.900000	WATER BASED	1986-11-07	933	9999-12-31	2013-05-08	22464
6507/8-1	2217.000000	1.210000	9999.000000	6.300000	WATER BASED	1986-11-17	933	9999-12-31	2013-05-08	22465
6507/8-1	2217.000000	1.200000	9999.000000	6.300000	WATER BASED	1986-11-12	933	9999-12-31	2013-05-08	22466
6507/8-1	2217.000000	1.200000	3900.000000	3.000000	WATER BASED	1986-11-28	933	9999-12-31	2013-05-08	22467
6507/8-1	2217.000000	0.000000	1200.000000	3.500000	WATERBASED	1986-11-27	933	9999-12-31	2013-05-08	22468
6507/8-1	2217.000000	1.200000	2000.000000	4.200000	WATER BASED	1986-11-24	933	9999-12-31	2013-05-08	22469
6507/8-1	2217.000000	1.200000	1500.000000	4.700000	WATER BASED	1986-11-24	933	9999-12-31	2013-05-08	22470
6507/8-1	2217.000000	1.200000	0.000000	6.300000	WATER BASED	1986-11-19	933	9999-12-31	2013-05-08	22471
6507/8-1	2217.000000	1.200000	9500.000000	5.500000	WATER BASED	1986-11-18	933	9999-12-31	2013-05-08	22472
6507/8-1	2217.000000	0.000000	1500.000000	3.400000	WATERBASED	1986-11-25	933	9999-12-31	2013-05-08	22473
6507/8-1	2217.000000	0.000000	1400.000000	3.800000	WATERBASED	1986-11-26	933	9999-12-31	2013-05-08	22474
6507/8-1	2217.000000	1.200000	9000.000000	5.500000	WATER BASED	1986-11-13	933	9999-12-31	2013-05-08	22475
6507/8-1	2217.000000	1.200000	9999.000000	6.300000	WATER BASED	1986-11-14	933	9999-12-31	2013-05-08	22476
6507/8-1	2217.000000	1.200000	9500.000000	5.900000	WATER BASED	1986-11-17	933	9999-12-31	2013-05-08	22477
6507/8-1	2235.000000	1.350000	5000.000000	3.800000	WATER BASED	1986-11-10	933	9999-12-31	2013-05-08	22478
6507/8-1	2262.000000	1.200000	3600.000000	6.800000	WATER BASED	1986-11-11	933	9999-12-31	2013-05-08	22479
6507/8-2	455.000000	1.050000	1200.000000	0.000000	WATER BASED	1987-08-18	1076	9999-12-31	2013-05-08	22480
6507/8-2	455.000000	1.050000	1200.000000	0.000000	WATER BASED	1987-08-19	1076	9999-12-31	2013-05-08	22481
6507/8-2	521.000000	1.080000	4800.000000	3.000000	WATER BASED	1987-08-21	1076	9999-12-31	2013-05-08	22482
6507/8-2	964.000000	1.150000	1500.000000	4.200000	WATER BASED	1987-08-24	1076	9999-12-31	2013-05-08	22483
6507/8-2	1070.000000	1.180000	1200.000000	3.400000	WATER BASED	1987-08-24	1076	9999-12-31	2013-05-08	22484
6507/8-2	1070.000000	1.170000	1300.000000	3.800000	WATER BASED	1987-08-24	1076	9999-12-31	2013-05-08	22485
6507/8-2	1440.000000	1.180000	1300.000000	4.200000	WATER BASED	1987-08-25	1076	9999-12-31	2013-05-08	22486
6507/8-2	1735.000000	1.360000	1700.000000	5.000000	WATER BASED	1987-08-26	1076	9999-12-31	2013-05-08	22487
6507/8-2	1750.000000	1.230000	1300.000000	3.400000	WATER BASED	1987-09-09	1076	9999-12-31	2013-05-08	22488
6507/8-2	1830.000000	1.450000	2500.000000	4.000000	WATER BASED	1987-08-28	1076	9999-12-31	2013-05-08	22489
6507/8-2	1881.000000	1.450000	2000.000000	3.400000	WATER BASED	1987-08-31	1076	9999-12-31	2013-05-08	22490
6507/8-2	1881.000000	1.450000	2800.000000	5.000000	WATER BASED	1987-08-27	1076	9999-12-31	2013-05-08	22491
6507/8-2	1913.000000	1.230000	1200.000000	3.400000	WATER BASED	1987-08-31	1076	9999-12-31	2013-05-08	22492
6507/8-2	1991.000000	1.230000	1600.000000	3.800000	WATER BASED	1987-08-31	1076	9999-12-31	2013-05-08	22493
6507/8-2	2348.000000	1.230000	1600.000000	4.200000	WATER BASED	1987-09-03	1076	9999-12-31	2013-05-08	22494
6507/8-2	2607.000000	1.230000	1500.000000	3.400000	WATER BASED	1987-09-03	1076	9999-12-31	2013-05-08	22495
6507/8-2	2690.000000	1.230000	1700.000000	3.400000	WATER BASED	1987-09-09	1076	9999-12-31	2013-05-08	22496
6507/8-2	2690.000000	1.230000	1700.000000	3.400000	WATER BASED	1987-09-04	1076	9999-12-31	2013-05-08	22497
6507/8-3	557.000000	1.150000	11.000000	3.000000	WATER BASED	1988-09-07	1309	9999-12-31	2013-05-08	22498
6507/8-3	557.000000	1.150000	7.000000	4.000000	WATER BASED	1988-09-08	1309	9999-12-31	2013-05-08	22499
6507/8-3	1100.000000	1.160000	9.000000	3.000000	WATER BASED	1988-09-09	1309	9999-12-31	2013-05-08	22500
6507/8-3	1100.000000	1.150000	9.000000	3.000000	WATER BASED	1988-09-12	1309	9999-12-31	2013-05-08	22501
6507/8-3	1300.000000	1.200000	10.000000	7.000000	WATER BASED	1988-09-12	1309	9999-12-31	2013-05-08	22502
6507/8-3	1300.000000	1.210000	14.000000	5.000000	WATER BASED	1988-09-12	1309	9999-12-31	2013-05-08	22503
6507/8-3	1300.000000	1.200000	15.000000	3.000000	WATER BASED	1988-09-13	1309	9999-12-31	2013-05-08	22504
6507/8-3	1300.000000	1.210000	20.000000	6.000000	WATER BASED	1988-09-14	1309	9999-12-31	2013-05-08	22505
6507/8-3	1300.000000	1.210000	17.000000	7.000000	WATER BASED	1988-09-16	1309	9999-12-31	2013-05-08	22506
6507/8-3	2075.000000	1.200000	17.000000	7.000000	WATER BASED	1988-09-16	1309	9999-12-31	2013-05-08	22507
6507/8-4	1101.000000	1.200000	10.000000	5.000000	WATER BASED	1990-06-25	1340	9999-12-31	2013-05-08	22508
6507/8-4	1550.000000	1.200000	7.000000	3.000000	WATER BASED	1990-06-28	1340	9999-12-31	2013-05-08	22509
6507/8-4	1555.000000	1.220000	10.000000	5.000000	WATER BASED	1990-06-25	1340	9999-12-31	2013-05-08	22510
6507/8-4	1555.000000	1.200000	7.000000	3.500000	WATER BASED	1990-06-26	1340	9999-12-31	2013-05-08	22511
6507/8-4	1555.000000	1.180000	7.000000	3.500000	WATER BASED	1990-06-27	1340	9999-12-31	2013-05-08	22512
6507/8-4	1770.000000	1.350000	16.000000	6.000000	WATER BASED	1990-06-28	1340	9999-12-31	2013-05-08	22513
6507/8-4	1850.000000	1.350000	18.000000	7.000000	WATER BASED	1990-07-02	1340	9999-12-31	2013-05-08	22514
6507/8-4	1850.000000	1.350000	0.000000	0.000000	WATER BASED	1990-07-04	1340	9999-12-31	2013-05-08	22515
6507/8-4	1850.000000	1.350000	0.000000	0.000000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22516
6507/8-4	1850.000000	1.350000	19.000000	5.500000	WATER BASED	1990-07-04	1340	9999-12-31	2013-05-08	22517
6507/8-4	1850.000000	1.350000	0.000000	0.000000	WATER BASED	1990-07-04	1340	9999-12-31	2013-05-08	22518
6507/8-4	1880.000000	1.350000	19.000000	6.000000	WATER BASED	1990-07-04	1340	9999-12-31	2013-05-08	22519
6507/8-4	2100.000000	1.380000	19.000000	6.000000	WATER BASED	1990-07-04	1340	9999-12-31	2013-05-08	22520
6507/8-4	2100.000000	1.450000	19.000000	5.500000	WATER BASED	1990-07-04	1340	9999-12-31	2013-05-08	22521
6507/8-4	2100.000000	1.300000	0.000000	0.000000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22522
6507/8-4	2100.000000	1.450000	0.000000	0.000000	WATER BASED	1990-07-04	1340	9999-12-31	2013-05-08	22523
6507/8-4	2100.000000	1.450000	0.000000	0.000000	WATER BASED	1990-07-04	1340	9999-12-31	2013-05-08	22524
6507/8-4	2100.000000	1.300000	20.000000	5.000000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22525
6507/8-4	2100.000000	1.300000	26.000000	6.500000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22526
6507/8-4	2100.000000	1.300000	24.000000	7.500000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22527
6507/8-4	2100.000000	1.300000	20.000000	3.500000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22528
6507/8-4	2100.000000	1.300000	0.000000	0.000000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22529
6507/8-4	2100.000000	1.300000	28.000000	3.500000	WATER BASED	1990-07-12	1340	9999-12-31	2013-05-08	22530
6507/8-4	2100.000000	1.300000	37.000000	6.500000	WATER BASED	1990-07-11	1340	9999-12-31	2013-05-08	22531
6507/8-4	2100.000000	1.300000	34.000000	7.000000	WATER BASED	1990-07-10	1340	9999-12-31	2013-05-08	22532
6507/8-4	2100.000000	1.380000	18.000000	7.000000	WATER BASED	1990-07-02	1340	9999-12-31	2013-05-08	22533
6507/8-4	2100.000000	1.300000	22.000000	9.000000	WATER BASED	1990-07-16	1340	9999-12-31	2013-05-08	22534
6507/8-4	2100.000000	1.410000	19.000000	6.000000	WATER BASED	1990-07-04	1340	9999-12-31	2013-05-08	22535
6507/8-4	2130.000000	1.180000	7.000000	3.000000	WATER BASED	1990-08-10	1340	9999-12-31	2013-05-08	22536
6507/8-4	2130.000000	1.180000	0.000000	0.000000	WATER BASED	1990-08-10	1340	9999-12-31	2013-05-08	22537
6507/8-4	2130.000000	1.180000	7.000000	3.000000	WATER BASED	1990-08-09	1340	9999-12-31	2013-05-08	22538
6507/8-4	2130.000000	1.300000	23.000000	3.500000	WATER BASED	1990-07-16	1340	9999-12-31	2013-05-08	22539
6507/8-4	2155.000000	1.300000	0.000000	0.000000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22540
6507/8-4	2160.000000	1.180000	10.000000	3.500000	WATER BASED	1990-08-03	1340	9999-12-31	2013-05-08	22541
6507/8-4	2160.000000	1.180000	8.000000	3.500000	WATER BASED	1990-08-06	1340	9999-12-31	2013-05-08	22542
6507/8-4	2160.000000	1.180000	10.000000	3.500000	WATER BASED	1990-07-30	1340	9999-12-31	2013-05-08	22543
6507/8-4	2160.000000	1.180000	10.000000	3.500000	WATER BASED	1990-07-31	1340	9999-12-31	2013-05-08	22544
6507/8-4	2160.000000	1.180000	10.000000	3.500000	WATER BASED	1990-08-02	1340	9999-12-31	2013-05-08	22545
6507/8-4	2160.000000	1.180000	10.000000	3.500000	WATER BASED	1990-08-06	1340	9999-12-31	2013-05-08	22546
6507/8-4	2160.000000	1.180000	10.000000	3.500000	WATER BASED	1990-08-02	1340	9999-12-31	2013-05-08	22547
6507/8-4	2185.000000	1.300000	20.000000	3.500000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22548
6507/8-4	2201.000000	1.300000	23.000000	3.500000	WATER BASED	1990-07-16	1340	9999-12-31	2013-05-08	22549
6507/8-4	2201.000000	1.180000	13.000000	3.500000	WATER BASED	1990-07-26	1340	9999-12-31	2013-05-08	22550
6507/8-4	2201.000000	1.180000	13.000000	3.500000	WATER BASED	1990-07-24	1340	9999-12-31	2013-05-08	22551
6507/8-4	2201.000000	1.180000	11.000000	3.500000	WATER BASED	1990-07-27	1340	9999-12-31	2013-05-08	22552
6507/8-4	2217.000000	1.180000	11.000000	4.000000	WATER BASED	1990-07-30	1340	9999-12-31	2013-05-08	22553
6507/8-4	2217.000000	1.180000	11.000000	4.000000	WATER BASED	1990-07-30	1340	9999-12-31	2013-05-08	22554
6507/8-4	2217.000000	1.180000	11.000000	3.500000	WATER BASED	1990-07-30	1340	9999-12-31	2013-05-08	22555
6507/8-4	2227.000000	1.300000	24.000000	7.500000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22556
6507/8-4	2246.000000	1.300000	23.000000	3.500000	WATER BASED	1990-07-16	1340	9999-12-31	2013-05-08	22557
6507/8-4	2252.000000	1.180000	14.000000	7.000000	WATER BASED	1990-07-23	1340	9999-12-31	2013-05-08	22558
6507/8-4	2252.000000	1.180000	14.000000	3.500000	WATER BASED	1990-07-23	1340	9999-12-31	2013-05-08	22559
6507/8-4	2252.000000	1.180000	14.000000	3.500000	WATER BASED	1990-07-23	1340	9999-12-31	2013-05-08	22560
6507/8-4	2265.000000	1.300000	20.000000	5.000000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22561
6507/8-4	2307.000000	1.300000	26.000000	6.500000	WATER BASED	1990-07-09	1340	9999-12-31	2013-05-08	22562
6507/8-4	2411.000000	1.300000	34.000000	7.000000	WATER BASED	1990-07-10	1340	9999-12-31	2013-05-08	22563
6507/8-4	2534.000000	1.300000	37.000000	6.500000	WATER BASED	1990-07-11	1340	9999-12-31	2013-05-08	22564
6507/8-4	2560.000000	1.300000	22.000000	9.000000	WATER BASED	1990-07-16	1340	9999-12-31	2013-05-08	22565
6507/8-4	2560.000000	1.300000	28.000000	3.500000	WATER BASED	1990-07-12	1340	9999-12-31	2013-05-08	22566
6507/8-5	402.000000	1.030000	0.000000	0.000000	WATER BASED	1991-03-04	1749	9999-12-31	2013-05-08	22567
6507/8-5	422.000000	1.030000	9.000000	13.000000	WATER BASED	1991-03-04	1749	9999-12-31	2013-05-08	22568
6507/8-5	562.000000	1.200000	7.000000	9.500000	WATER BASED	1991-03-05	1749	9999-12-31	2013-05-08	22569
6507/8-5	823.000000	1.100000	11.000000	4.500000	WATER BASED	1991-03-07	1749	9999-12-31	2013-05-08	22570
6507/8-5	849.000000	1.030000	16.000000	6.500000	WATER BASED	1991-03-06	1749	9999-12-31	2013-05-08	22571
6507/8-5	849.000000	1.030000	16.000000	6.500000	WATER BASED	1991-03-06	1749	9999-12-31	2013-05-08	22572
6507/8-5	854.000000	1.030000	16.000000	6.500000	WATER BASED	1991-03-06	1749	9999-12-31	2013-05-08	22573
6507/8-5	854.000000	1.100000	11.000000	4.500000	WATER BASED	1991-03-07	1749	9999-12-31	2013-05-08	22574
6507/8-5	1438.000000	1.200000	24.000000	5.500000	WATER BASED	1991-03-11	1749	9999-12-31	2013-05-08	22575
6507/8-5	1620.000000	1.260000	17.000000	4.000000	WATER BASED	1991-03-11	1749	9999-12-31	2013-05-08	22576
6507/8-5	1620.000000	1.260000	18.000000	4.500000	WATER BASED	1991-03-14	1749	9999-12-31	2013-05-08	22577
6507/8-5	1620.000000	1.270000	0.000000	0.000000	DUMMY	1991-03-18	1749	9999-12-31	2013-05-08	22578
6507/8-5	1620.000000	1.260000	18.000000	4.000000	WATER BASED	1991-03-13	1749	9999-12-31	2013-05-08	22579
6507/8-5	1824.000000	1.270000	17.000000	4.000000	WATER BASED	1991-03-11	1749	9999-12-31	2013-05-08	22580
6507/8-5	1885.000000	1.270000	18.000000	4.000000	WATER BASED	1991-03-13	1749	9999-12-31	2013-05-08	22581
6507/8-5	2000.000000	1.270000	0.000000	0.000000	DUMMY	1991-03-18	1749	9999-12-31	2013-05-08	22582
6507/8-5	2000.000000	1.270000	18.000000	4.500000	WATER BASED	1991-03-14	1749	9999-12-31	2013-05-08	22583
6507/8-6	565.000000	1.030000	0.000000	0.000000	DUMMY	1993-09-01	2183	9999-12-31	2013-05-08	22584
6507/8-6	685.000000	1.030000	0.000000	0.000000	DUMMY	1993-09-06	2183	9999-12-31	2013-05-08	22585
6507/8-6	685.000000	1.030000	0.000000	0.000000	DUMMY	1993-09-06	2183	9999-12-31	2013-05-08	22586
6507/8-6	685.000000	1.200000	0.000000	0.000000	DUMMY	1993-09-03	2183	9999-12-31	2013-05-08	22587
6507/8-6	685.000000	1.030000	0.000000	0.000000	DUMMY	1993-09-02	2183	9999-12-31	2013-05-08	22588
6507/8-6	1076.000000	1.300000	19.000000	4.000000	WATER BASED	1993-09-06	2183	9999-12-31	2013-05-08	22589
6507/8-6	1468.000000	1.300000	19.000000	6.500000	WATER BASED	1993-09-07	2183	9999-12-31	2013-05-08	22590
6507/8-6	1620.000000	1.300000	22.000000	6.500000	WATER BASED	1993-09-09	2183	9999-12-31	2013-05-08	22591
6507/8-6	1620.000000	1.300000	18.000000	5.000000	WATER BASED	1993-09-09	2183	9999-12-31	2013-05-08	22592
6507/8-6	1620.000000	1.300000	18.000000	5.000000	WATER BASED	1993-09-13	2183	9999-12-31	2013-05-08	22593
6507/8-6	1620.000000	1.300000	18.000000	5.000000	WATER BASED	1993-09-13	2183	9999-12-31	2013-05-08	22594
6507/8-6	1620.000000	1.300000	16.000000	4.000000	WATER BASED	1993-09-13	2183	9999-12-31	2013-05-08	22595
6507/8-6	1620.000000	1.300000	19.000000	5.500000	WATER BASED	1993-09-13	2183	9999-12-31	2013-05-08	22596
6507/8-6	1620.000000	1.300000	19.000000	6.000000	WATER BASED	1993-09-15	2183	9999-12-31	2013-05-08	22597
6507/8-6	1620.000000	1.300000	20.000000	5.500000	WATER BASED	1993-09-17	2183	9999-12-31	2013-05-08	22598
6507/8-6	1620.000000	1.300000	20.000000	7.000000	WATER BASED	1993-09-17	2183	9999-12-31	2013-05-08	22599
6507/8-6	1620.000000	1.300000	22.000000	7.000000	WATER BASED	1993-09-20	2183	9999-12-31	2013-05-08	22600
6507/8-6	1620.000000	1.300000	19.000000	5.500000	WATER BASED	1993-09-20	2183	9999-12-31	2013-05-08	22601
6507/8-6	1760.000000	1.400000	23.000000	7.000000	WATER BASED	1993-09-20	2183	9999-12-31	2013-05-08	22602
6507/8-6	1815.000000	1.400000	23.000000	7.000000	WATER BASED	1993-09-20	2183	9999-12-31	2013-05-08	22603
6507/8-6	1840.000000	1.450000	25.000000	6.000000	WATER BASED	1993-09-22	2183	9999-12-31	2013-05-08	22604
6507/8-6	1840.000000	1.400000	24.000000	6.000000	WATER BASED	1993-09-22	2183	9999-12-31	2013-05-08	22605
6507/8-6	1919.000000	1.400000	24.000000	6.000000	WATER BASED	1993-09-22	2183	9999-12-31	2013-05-08	22606
6507/8-6	2054.000000	1.200000	22.000000	6.500000	WATER BASED	1993-09-28	2183	9999-12-31	2013-05-08	22607
6507/8-6	2072.000000	1.200000	21.000000	6.500000	WATER BASED	1993-09-28	2183	9999-12-31	2013-05-08	22608
6507/8-6	2305.000000	1.200000	22.000000	7.000000	WATER BASED	1993-09-28	2183	9999-12-31	2013-05-08	22609
6507/8-6	2484.000000	1.200000	21.000000	5.500000	WATER BASED	1993-09-28	2183	9999-12-31	2013-05-08	22610
6507/8-6	2768.000000	1.200000	22.000000	5.000000	WATER BASED	1993-09-30	2183	9999-12-31	2013-05-08	22611
6507/8-6	2850.000000	1.200000	21.000000	4.500000	WATER BASED	1993-10-04	2183	9999-12-31	2013-05-08	22612
6507/8-6	2850.000000	1.200000	21.000000	4.500000	WATER BASED	1993-10-01	2183	9999-12-31	2013-05-08	22613
6507/8-6	2850.000000	1.200000	21.000000	4.500000	WATER BASED	1993-10-04	2183	9999-12-31	2013-05-08	22614
6507/8-6	2850.000000	1.200000	23.000000	5.500000	WATER BASED	1993-09-30	2183	9999-12-31	2013-05-08	22615
6507/8-6	2850.000000	1.200000	21.000000	4.500000	WATER BASED	1993-10-04	2183	9999-12-31	2013-05-08	22616
6507/8-7	860.000000	1.150000	15.000000	0.000000	SW / POLYMER 2	9999-12-31	4854	9999-12-31	2013-05-08	22617
6507/8-7	1510.000000	1.150000	15.000000	0.000000	SW / POLYMER 2	9999-12-31	4854	9999-12-31	2013-05-08	22618
6507/8-7	1890.000000	1.410000	20.000000	0.000000	GLYDRIL 74	9999-12-31	4854	9999-12-31	2013-05-08	22619
6507/8-7	2670.000000	1.410000	20.000000	0.000000	GLYDRIL 74	9999-12-31	4854	9999-12-31	2013-05-08	22620
6507/8-7	2737.000000	1.410000	20.000000	0.000000	GLYDRIL 74	9999-12-31	4854	9999-12-31	2013-05-08	22621
6507/8-7	2740.000000	1.200000	16.000000	0.000000	GLYDRIL 74	9999-12-31	4854	9999-12-31	2013-05-08	22622
6507/8-8	553.000000	1.490000	35.000000	0.000000	Kill mud	9999-12-31	6538	9999-12-31	2013-05-08	22623
6507/8-8	670.000000	1.140000	15.000000	0.000000	KCL/Polymer	9999-12-31	6538	9999-12-31	2013-05-08	22624
6507/8-8	1062.000000	1.150000	18.000000	0.000000	KCL/Polymer	9999-12-31	6538	9999-12-31	2013-05-08	22625
6508/1-1 A	1535.000000	1.400000	32.000000	0.000000	kcl mud	9999-12-31	3849	9999-12-31	2013-05-08	22626
6508/1-1 A	2352.000000	1.400000	32.000000	0.000000	kcl mud	9999-12-31	3849	9999-12-31	2013-05-08	22627
6508/1-1 A	2587.000000	1.400000	31.000000	0.000000	kcl mud	9999-12-31	3849	9999-12-31	2013-05-08	22628
6508/1-1 A	2735.000000	1.400000	28.000000	0.000000	kcl mud	9999-12-31	3849	9999-12-31	2013-05-08	22629
6508/1-1 A	2861.000000	1.400000	32.000000	0.000000	kcl mud	9999-12-31	3849	9999-12-31	2013-05-08	22630
6508/1-1 S	467.000000	1.200000	0.000000	0.000000	spud mud	9999-12-31	3284	9999-12-31	2013-05-08	22631
6508/1-1 S	580.000000	1.000000	0.000000	0.000000	spud mud	9999-12-31	3284	9999-12-31	2013-05-08	22632
6508/1-1 S	1209.000000	1.200000	0.000000	0.000000	spud mud	9999-12-31	3284	9999-12-31	2013-05-08	22633
6508/1-1 S	1209.000000	1.400000	30.000000	25.000000	kcl mud/gly	9999-12-31	3284	9999-12-31	2013-05-08	22634
6508/1-1 S	1780.000000	1.500000	36.000000	37.000000	kcl mud/gly	9999-12-31	3284	9999-12-31	2013-05-08	22635
6508/1-1 S	1877.000000	1.500000	25.000000	26.000000	kcl mud/gly	9999-12-31	3284	9999-12-31	2013-05-08	22636
6508/1-1 S	1927.000000	1.500000	29.000000	23.000000	kcl mud/gly	9999-12-31	3284	9999-12-31	2013-05-08	22637
6508/1-1 S	1929.000000	1.500000	30.000000	21.000000	kcl mud/gly	9999-12-31	3284	9999-12-31	2013-05-08	22638
6508/1-1 S	2098.000000	1.500000	30.000000	23.000000	kcl mud/gly	9999-12-31	3284	9999-12-31	2013-05-08	22639
6508/1-1 S	2248.000000	1.500000	32.000000	23.000000	kcl mud/gly	9999-12-31	3284	9999-12-31	2013-05-08	22640
6508/1-1 S	2297.000000	1.500000	28.000000	16.000000	kcl mud/gly	9999-12-31	3284	9999-12-31	2013-05-08	22641
6508/1-1 S	2356.000000	1.300000	18.000000	17.000000	kcl mud/gly	9999-12-31	3284	9999-12-31	2013-05-08	22642
6508/1-1 S	2546.000000	1.300000	24.000000	22.000000	kcl mud/gly	9999-12-31	3284	9999-12-31	2013-05-08	22643
6508/1-1 S	2750.000000	1.500000	31.000000	24.000000	kcl mud/gly	9999-12-31	3284	9999-12-31	2013-05-08	22644
6508/5-1	457.000000	1.030000	0.000000	0.000000	WATER BASED	1987-05-25	1044	9999-12-31	2013-05-08	22645
6508/5-1	1855.000000	1.280000	17.000000	14.000000	WATER BASED	1987-05-25	1044	9999-12-31	2013-05-08	22646
6508/5-1	2586.000000	1.280000	16.000000	14.000000	WATER BASED	1987-05-21	1044	9999-12-31	2013-05-08	22647
6508/5-1	2586.000000	1.280000	16.000000	14.000000	WATER BASED	1987-05-21	1044	9999-12-31	2013-05-08	22648
6510/2-1	480.000000	0.000000	1.000000	0.000000	SPUD MUD	9999-12-31	3166	9999-12-31	2013-05-08	22649
6510/2-1	651.000000	0.000000	1.000000	0.000000	SPUD MUD	9999-12-31	3166	9999-12-31	2013-05-08	22650
6510/2-1	857.000000	0.000000	1.000000	0.000000	SPUD MUD	9999-12-31	3166	9999-12-31	2013-05-08	22651
6510/2-1	1214.000000	0.000000	9.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22652
6510/2-1	1214.000000	0.000000	1.000000	0.000000	SPUD MUD	9999-12-31	3166	9999-12-31	2013-05-08	22653
6510/2-1	1214.000000	0.000000	10.000000	0.000000	KCL	9999-12-31	3166	9999-12-31	2013-05-08	22654
6510/2-1	1223.000000	0.000000	15.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22655
6510/2-1	1255.000000	0.000000	9.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22656
6510/2-1	1577.000000	0.000000	13.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22657
6510/2-1	1776.000000	0.000000	13.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22658
6510/2-1	1806.000000	0.000000	14.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22659
6510/2-1	1837.000000	0.000000	13.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22660
6510/2-1	1917.000000	0.000000	12.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22661
6510/2-1	2079.000000	0.000000	13.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22662
6510/2-1	2126.000000	0.000000	13.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22663
6510/2-1	2190.000000	0.000000	14.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22664
6510/2-1	2420.000000	0.000000	13.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22665
6510/2-1	2665.000000	0.000000	15.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22666
6510/2-1	2791.000000	0.000000	11.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22667
6510/2-1	2926.000000	0.000000	15.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22668
6510/2-1	2971.000000	0.000000	14.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22669
6510/2-1	3029.000000	0.000000	14.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22670
6510/2-1	3029.000000	0.000000	14.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22671
6510/2-1	3033.000000	0.000000	14.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22672
6510/2-1	3070.000000	0.000000	20.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22673
6510/2-1	3102.000000	0.000000	21.000000	0.000000	BARASILC/GEM	9999-12-31	3166	9999-12-31	2013-05-08	22674
6603/12-1	1398.000000	1.020000	0.000000	0.000000	Seawater	9999-12-31	5985	9999-12-31	2013-05-08	22675
6603/12-1	2332.000000	1.180000	0.000000	0.000000	Seawater	9999-12-31	5985	9999-12-31	2013-05-08	22676
6603/12-1	2364.000000	1.030000	0.000000	0.000000	Glydril	9999-12-31	5985	9999-12-31	2013-05-08	22677
6603/12-1	2608.000000	1.180000	0.000000	0.000000	KPM KCl Polymer	9999-12-31	5985	9999-12-31	2013-05-08	22678
6603/12-1	2616.000000	1.250000	0.000000	0.000000	Glydril DW	9999-12-31	5985	9999-12-31	2013-05-08	22679
6603/12-1	3420.000000	1.280000	0.000000	0.000000	Glydril DWHT	9999-12-31	5985	9999-12-31	2013-05-08	22680
6603/12-1	3466.000000	1.180000	0.000000	0.000000	Glydril DW	9999-12-31	5985	9999-12-31	2013-05-08	22681
6603/12-1	3466.000000	1.310000	0.000000	0.000000	Paratherm	9999-12-31	5985	9999-12-31	2013-05-08	22682
6603/12-1	3497.000000	1.260000	0.000000	0.000000	Glydril DWHT	9999-12-31	5985	9999-12-31	2013-05-08	22683
6603/12-1	3500.000000	1.270000	0.000000	0.000000	Glydril DWHT	9999-12-31	5985	9999-12-31	2013-05-08	22684
6603/12-1	3714.000000	1.300000	0.000000	0.000000	Paratherm	9999-12-31	5985	9999-12-31	2013-05-08	22685
6603/12-1	3723.000000	1.300000	0.000000	0.000000	Paratherm	9999-12-31	5985	9999-12-31	2013-05-08	22686
6603/12-1	3830.000000	1.300000	0.000000	0.000000	Paratherm	9999-12-31	5985	9999-12-31	2013-05-08	22687
6603/5-1 S	1502.000000	1.030000	0.000000	0.000000	Seawater	9999-12-31	6348	9999-12-31	2013-05-08	22688
6603/5-1 S	1520.000000	1.030000	0.000000	0.000000	Seawater	9999-12-31	6348	9999-12-31	2013-05-08	22689
6603/5-1 S	1526.000000	1.030000	0.000000	0.000000	Seawater	9999-12-31	6348	9999-12-31	2013-05-08	22690
6603/5-1 S	2320.000000	1.030000	0.000000	0.000000	Seawater	9999-12-31	6348	9999-12-31	2013-05-08	22691
6603/5-1 S	2426.000000	1.120000	0.000000	0.000000	Glydril	9999-12-31	6348	9999-12-31	2013-05-08	22692
6603/5-1 S	3008.000000	1.130000	0.000000	0.000000	Glydril	9999-12-31	6348	9999-12-31	2013-05-08	22693
6603/5-1 S	3162.000000	1.130000	0.000000	0.000000	Glydril	9999-12-31	6348	9999-12-31	2013-05-08	22694
6603/5-1 S	3394.000000	1.310000	0.000000	0.000000	Paratherm	9999-12-31	6348	9999-12-31	2013-05-08	22695
6603/5-1 S	3570.000000	1.170000	0.000000	0.000000	Paratherm	9999-12-31	6348	9999-12-31	2013-05-08	22696
6603/5-1 S	3729.000000	1.260000	0.000000	0.000000	Paratherm	9999-12-31	6348	9999-12-31	2013-05-08	22697
6603/5-1 S	4086.000000	1.320000	0.000000	0.000000	Paratherm	9999-12-31	6348	9999-12-31	2013-05-08	22698
6603/5-1 S	5232.000000	1.290000	0.000000	0.000000	Paratherm	9999-12-31	6348	9999-12-31	2013-05-08	22699
6604/10-1	1419.000000	1.020000	0.000000	0.000000	Other	9999-12-31	6356	9999-12-31	2013-05-08	22700
6604/10-1	2326.000000	1.120000	0.000000	0.000000	Glydril	9999-12-31	6356	9999-12-31	2013-05-08	22701
6604/10-1	2326.000000	1.120000	0.000000	0.000000	Glydril	9999-12-31	6356	9999-12-31	2013-05-08	22702
6604/10-1	2326.000000	1.390000	0.000000	0.000000	PAD	9999-12-31	6356	9999-12-31	2013-05-08	22703
6604/10-1	2855.000000	1.170000	0.000000	0.000000	Glydril	9999-12-31	6356	9999-12-31	2013-05-08	22704
6604/10-1	2855.000000	1.210000	0.000000	0.000000	Glydril	9999-12-31	6356	9999-12-31	2013-05-08	22705
6604/10-1	2855.000000	1.210000	0.000000	0.000000	Glydril	9999-12-31	6356	9999-12-31	2013-05-08	22706
6604/10-1	2855.000000	1.170000	0.000000	0.000000	Glydril	9999-12-31	6356	9999-12-31	2013-05-08	22707
6604/10-1	3320.000000	1.220000	0.000000	0.000000	Paratherm	9999-12-31	6356	9999-12-31	2013-05-08	22708
6604/10-1	3470.000000	1.250000	0.000000	0.000000	Paratherm	9999-12-31	6356	9999-12-31	2013-05-08	22709
6604/10-1	3470.000000	1.250000	0.000000	0.000000	Paratherm	9999-12-31	6356	9999-12-31	2013-05-08	22710
6604/10-1	3520.000000	1.310000	0.000000	0.000000	Paratherm	9999-12-31	6356	9999-12-31	2013-05-08	22711
6604/10-1	3601.000000	1.280000	0.000000	0.000000	Paratherm	9999-12-31	6356	9999-12-31	2013-05-08	22712
6604/10-1	3715.000000	1.180000	0.000000	0.000000	Glydril	9999-12-31	6356	9999-12-31	2013-05-08	22713
6604/10-1	3750.000000	1.170000	0.000000	0.000000	Glydril	9999-12-31	6356	9999-12-31	2013-05-08	22714
6604/2-1	1395.000000	1.050000	1.000000	0.000000	Spud Mud	9999-12-31	6568	9999-12-31	2013-05-08	22715
6604/2-1	2071.000000	1.100000	1.000000	0.000000	Spud Mud	9999-12-31	6568	9999-12-31	2013-05-08	22716
6604/2-1	2279.000000	0.160000	6.000000	0.000000	KCl/Poly/Glycol	9999-12-31	6568	9999-12-31	2013-05-08	22717
6604/2-1	3460.000000	1.220000	16.000000	0.000000	Versamud	9999-12-31	6568	9999-12-31	2013-05-08	22718
6604/2-1	3551.000000	1.220000	21.000000	0.000000	Versamud	9999-12-31	6568	9999-12-31	2013-05-08	22719
6604/2-1	3551.000000	1.230000	16.000000	0.000000	Versamud	9999-12-31	6568	9999-12-31	2013-05-08	22720
6604/2-1	3551.000000	1.220000	21.000000	0.000000	Versamud	9999-12-31	6568	9999-12-31	2013-05-08	22721
6604/2-1	3551.000000	1.170000	17.000000	0.000000	Versamud	9999-12-31	6568	9999-12-31	2013-05-08	22722
6605/1-1	2260.000000	1.110000	15.000000	0.000000	Ultradrill	9999-12-31	5979	9999-12-31	2013-05-08	22723
6605/1-1	2263.000000	1.110000	14.000000	0.000000	Ultradrill	9999-12-31	5979	9999-12-31	2013-05-08	22724
6605/1-1	2320.000000	1.120000	14.000000	0.000000	Ultradrill	9999-12-31	5979	9999-12-31	2013-05-08	22725
6605/1-1	2320.000000	1.170000	18.000000	0.000000	Ultradrill	9999-12-31	5979	9999-12-31	2013-05-08	22726
6605/1-1	2470.000000	1.130000	13.000000	0.000000	Ultradrill	9999-12-31	5979	9999-12-31	2013-05-08	22727
6605/1-1	2838.000000	1.180000	21.000000	0.000000	Ultradrill	9999-12-31	5979	9999-12-31	2013-05-08	22728
6605/1-1	3130.000000	1.200000	22.000000	0.000000	Ultradrill	9999-12-31	5979	9999-12-31	2013-05-08	22729
6605/1-1	3140.000000	1.220000	24.000000	0.000000	Ultradrill	9999-12-31	5979	9999-12-31	2013-05-08	22730
6605/1-1	3618.000000	1.240000	28.000000	0.000000	Ultradrill	9999-12-31	5979	9999-12-31	2013-05-08	22731
6605/1-1	3819.000000	1.240000	28.000000	0.000000	Ultradrill	9999-12-31	5979	9999-12-31	2013-05-08	22732
6605/1-1	3947.000000	1.240000	29.000000	0.000000	Ultradrill	9999-12-31	5979	9999-12-31	2013-05-08	22733
6605/8-2	934.000000	1.350000	19.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22734
6605/8-2	1100.000000	1.400000	24.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22735
6605/8-2	1290.000000	1.350000	17.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22736
6605/8-2	2145.000000	1.310000	21.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22737
6605/8-2	2385.000000	1.320000	23.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22738
6605/8-2	2586.000000	1.340000	23.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22739
6605/8-2	2650.000000	1.340000	22.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22740
6605/8-2	2715.000000	1.520000	29.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22741
6605/8-2	2719.000000	1.370000	25.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22742
6605/8-2	2765.000000	1.370000	23.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22743
6605/8-2	2804.000000	1.370000	21.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22744
6605/8-2	2836.000000	1.370000	20.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22745
6605/8-2	2850.000000	1.400000	22.000000	0.000000	Glydril	9999-12-31	5812	9999-12-31	2013-05-08	22746
6605/8-2	2853.000000	1.460000	25.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22747
6605/8-2	2859.000000	1.460000	25.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22748
6605/8-2	2885.000000	1.450000	26.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22749
6605/8-2	3120.000000	1.450000	26.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22750
6605/8-2	3214.000000	1.450000	27.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22751
6605/8-2	3353.000000	1.450000	24.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22752
6605/8-2	3424.000000	1.520000	26.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22753
6605/8-2	3565.000000	1.520000	28.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22754
6605/8-2	3700.000000	1.520000	27.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22755
6605/8-2	3715.000000	1.520000	27.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22756
6605/8-2	3718.000000	1.630000	27.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22757
6605/8-2	3745.000000	1.680000	27.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22758
6605/8-2	3893.000000	1.680000	26.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22759
6605/8-2	3893.000000	1.680000	26.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22760
6605/8-2	3916.000000	1.680000	25.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22761
6605/8-2	3922.000000	1.680000	25.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22762
6605/8-2	3929.000000	1.680000	25.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22763
6605/8-2	3941.000000	1.680000	26.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22764
6605/8-2	3945.000000	1.680000	26.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22765
6605/8-2	3990.000000	1.680000	26.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22766
6605/8-2	4045.000000	1.680000	25.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22767
6605/8-2	4100.000000	1.680000	25.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22768
6605/8-2	4200.000000	1.680000	26.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22769
6605/8-2	4210.000000	1.680000	26.000000	0.000000	Paratec	9999-12-31	5812	9999-12-31	2013-05-08	22770
6607/12-1	420.000000	1.060000	0.000000	0.000000	WATER BASED	1986-07-22	925	9999-12-31	2013-05-08	22771
6607/12-1	765.000000	1.160000	30.000000	11.700000	WATER BASED	1986-07-27	925	9999-12-31	2013-05-08	22772
6607/12-1	1015.000000	1.110000	28.000000	5.800000	WATER BASED	1986-08-05	925	9999-12-31	2013-05-08	22773
6607/12-1	1285.000000	1.160000	32.000000	14.700000	WATER BASED	1986-08-05	925	9999-12-31	2013-05-08	22774
6607/12-1	1345.000000	1.170000	40.000000	14.700000	WATER BASED	1986-08-05	925	9999-12-31	2013-05-08	22775
6607/12-1	1353.000000	1.180000	32.000000	8.800000	WATER BASED	1986-08-08	925	9999-12-31	2013-05-08	22776
6607/12-1	1409.000000	1.180000	32.000000	7.800000	WATER BASED	1986-08-10	925	9999-12-31	2013-05-08	22777
6607/12-1	1445.000000	1.300000	36.000000	6.800000	WATER BASED	1986-08-10	925	9999-12-31	2013-05-08	22778
6607/12-1	1526.000000	1.580000	53.000000	11.700000	WATER BASED	1986-08-15	925	9999-12-31	2013-05-08	22779
6607/12-1	1526.000000	1.450000	30.000000	2.900000	WATER BASED	1986-08-12	925	9999-12-31	2013-05-08	22780
6607/12-1	1526.000000	1.500000	38.000000	5.800000	WATER BASED	1986-08-12	925	9999-12-31	2013-05-08	22781
6607/12-1	1526.000000	1.580000	48.000000	12.700000	WATER BASED	1986-08-12	925	9999-12-31	2013-05-08	22782
6607/12-1	1613.000000	1.590000	55.000000	11.700000	WATER BASED	1986-08-18	925	9999-12-31	2013-05-08	22783
6607/12-1	1676.000000	1.620000	66.000000	13.700000	WATER BASED	1986-08-17	925	9999-12-31	2013-05-08	22784
6607/12-1	1748.000000	1.640000	62.000000	12.700000	WATER BASED	1986-08-18	925	9999-12-31	2013-05-08	22785
6607/12-1	2014.000000	1.640000	61.000000	11.700000	WATER BASED	1986-08-21	925	9999-12-31	2013-05-08	22786
6607/12-1	2178.000000	1.640000	59.000000	12.700000	WATER BASED	1986-08-21	925	9999-12-31	2013-05-08	22787
6607/12-1	2217.000000	1.640000	58.000000	12.700000	WATER BASED	1986-08-25	925	9999-12-31	2013-05-08	22788
6607/12-1	2298.000000	1.640000	59.000000	10.700000	WATER BASED	1986-08-25	925	9999-12-31	2013-05-08	22789
6607/12-1	2402.000000	1.640000	51.000000	9.800000	WATER BASED	1986-08-25	925	9999-12-31	2013-05-08	22790
6607/12-1	2412.000000	1.640000	50.000000	9.800000	WATER BASED	1986-08-25	925	9999-12-31	2013-05-08	22791
6607/12-1	2436.000000	1.650000	66.000000	13.700000	WATER BASED	1986-08-27	925	9999-12-31	2013-05-08	22792
6607/12-1	2540.000000	1.640000	54.000000	8.800000	WATER BASED	1986-08-28	925	9999-12-31	2013-05-08	22793
6607/12-1	2569.000000	1.640000	54.000000	10.700000	WATER BASED	1986-08-29	925	9999-12-31	2013-05-08	22794
6607/12-1	2681.000000	1.630000	61.000000	12.700000	WATER BASED	1986-09-01	925	9999-12-31	2013-05-08	22795
6607/12-1	2707.000000	1.640000	60.000000	11.700000	WATER BASED	1986-09-01	925	9999-12-31	2013-05-08	22796
6607/12-1	2733.000000	1.390000	58.000000	13.700000	WATER BASED	1986-09-08	925	9999-12-31	2013-05-08	22797
6607/12-1	2815.000000	1.390000	52.000000	12.700000	WATER BASED	1986-09-08	925	9999-12-31	2013-05-08	22798
6607/12-1	2859.000000	1.400000	48.000000	11.700000	WATER BASED	1986-09-08	925	9999-12-31	2013-05-08	22799
6607/12-1	2942.000000	1.400000	46.000000	8.800000	WATER BASED	1986-09-09	925	9999-12-31	2013-05-08	22800
6607/12-1	3000.000000	1.410000	46.000000	7.800000	WATER BASED	1986-09-10	925	9999-12-31	2013-05-08	22801
6607/12-1	3033.000000	1.420000	40.000000	8.800000	WATER BASED	1986-09-10	925	9999-12-31	2013-05-08	22802
6607/12-1	3113.000000	1.450000	40.000000	8.800000	WATER BASED	1986-09-11	925	9999-12-31	2013-05-08	22803
6607/12-1	3159.000000	1.470000	44.000000	7.800000	WATER BASED	1986-09-14	925	9999-12-31	2013-05-08	22804
6607/12-1	3181.000000	1.470000	40.000000	7.800000	WATER BASED	1986-09-14	925	9999-12-31	2013-05-08	22805
6607/12-1	3209.000000	1.470000	46.000000	7.800000	WATER BASED	1986-09-14	925	9999-12-31	2013-05-08	22806
6607/12-1	3238.000000	1.470000	48.000000	8.800000	WATER BASED	1986-09-16	925	9999-12-31	2013-05-08	22807
6607/12-1	3251.000000	1.470000	39.000000	8.800000	WATER BASED	1986-09-22	925	9999-12-31	2013-05-08	22808
6607/12-1	3260.000000	1.470000	50.000000	9.800000	WATER BASED	1986-09-17	925	9999-12-31	2013-05-08	22809
6607/12-1	3316.000000	1.470000	50.000000	10.700000	WATER BASED	1986-09-17	925	9999-12-31	2013-05-08	22810
6607/12-1	3372.000000	1.470000	46.000000	9.800000	WATER BASED	1986-09-19	925	9999-12-31	2013-05-08	22811
6607/12-1	3437.000000	1.470000	43.000000	8.800000	WATER BASED	1986-09-22	925	9999-12-31	2013-05-08	22812
6607/12-1	3508.000000	1.470000	39.000000	8.800000	WATER BASED	1986-09-22	925	9999-12-31	2013-05-08	22813
6607/2-1	332.000000	1.350000	25.000000	0.000000	ULTRADRIL DW	9999-12-31	5471	9999-12-31	2013-05-08	22814
6607/2-1	933.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	5471	9999-12-31	2013-05-08	22815
6607/2-1	1410.000000	1.300000	0.000000	0.000000	SPUD MUD	9999-12-31	5471	9999-12-31	2013-05-08	22816
6607/2-1	1425.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	5471	9999-12-31	2013-05-08	22817
6607/2-1	1733.000000	1.220000	13.000000	0.000000	ULTRADRIL DW	9999-12-31	5471	9999-12-31	2013-05-08	22818
6607/2-1	1850.000000	1.350000	26.000000	0.000000	ULTRADRIL DW	9999-12-31	5471	9999-12-31	2013-05-08	22819
6607/2-1	1956.000000	1.400000	27.000000	0.000000	ULTRADRIL DW	9999-12-31	5471	9999-12-31	2013-05-08	22820
6607/2-1	2010.000000	1.350000	24.000000	0.000000	ULTRADRIL DW	9999-12-31	5471	9999-12-31	2013-05-08	22821
6607/2-1	2598.000000	1.350000	22.000000	0.000000	ULTRADRIL DW	9999-12-31	5471	9999-12-31	2013-05-08	22822
6607/2-1	2674.000000	1.350000	23.000000	0.000000	ULTRADRIL DW	9999-12-31	5471	9999-12-31	2013-05-08	22823
6607/2-1	3148.000000	1.350000	25.000000	0.000000	ULTRADRIL DW	9999-12-31	5471	9999-12-31	2013-05-08	22824
6607/2-1	3526.000000	1.350000	26.000000	0.000000	ULTRADRIL DW	9999-12-31	5471	9999-12-31	2013-05-08	22825
6607/5-1	600.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22826
6607/5-1	906.000000	1.340000	17.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22827
6607/5-1	915.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22828
6607/5-1	1035.000000	1.370000	23.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22829
6607/5-1	1060.000000	1.140000	16.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22830
6607/5-1	1313.000000	1.370000	22.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22831
6607/5-1	1400.000000	1.660000	0.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22832
6607/5-1	1493.000000	1.180000	19.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22833
6607/5-1	1534.000000	1.370000	20.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22834
6607/5-1	1579.000000	1.220000	18.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22835
6607/5-1	1588.000000	1.240000	18.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22836
6607/5-1	1617.000000	1.370000	9.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22837
6607/5-1	1739.000000	1.250000	19.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22838
6607/5-1	1752.000000	1.370000	19.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22839
6607/5-1	1817.000000	1.250000	18.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22840
6607/5-1	1942.000000	1.370000	10.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22841
6607/5-1	1948.000000	1.270000	18.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22842
6607/5-1	1951.000000	1.370000	21.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22843
6607/5-1	1961.000000	1.370000	21.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22844
6607/5-1	2058.000000	1.370000	19.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22845
6607/5-1	2080.000000	1.610000	24.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22846
6607/5-1	2085.000000	1.370000	21.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22847
6607/5-1	2100.000000	1.370000	19.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22848
6607/5-1	2258.000000	1.370000	20.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22849
6607/5-1	2259.000000	1.610000	24.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22850
6607/5-1	2330.000000	1.580000	24.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22851
6607/5-1	2340.000000	1.610000	23.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22852
6607/5-1	2500.000000	1.560000	23.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22853
6607/5-1	2502.000000	1.610000	23.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22854
6607/5-1	2540.000000	1.660000	26.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22855
6607/5-1	2597.000000	1.560000	22.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22856
6607/5-1	2609.000000	1.610000	27.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22857
6607/5-1	2634.000000	1.730000	31.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22858
6607/5-1	2654.000000	1.730000	32.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22859
6607/5-1	2702.000000	1.610000	23.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22860
6607/5-1	2717.000000	1.730000	29.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22861
6607/5-1	2770.000000	1.790000	29.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22862
6607/5-1	2787.000000	1.790000	14.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22863
6607/5-1	2803.000000	1.790000	14.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22864
6607/5-1	2812.000000	1.790000	29.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22865
6607/5-1	2871.000000	1.790000	28.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22866
6607/5-1	2896.000000	1.790000	29.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22867
6607/5-1	2896.000000	1.790000	27.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22868
6607/5-1	2975.000000	1.730000	24.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22869
6607/5-1	2983.000000	1.730000	27.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22870
6607/5-1	3120.000000	1.730000	25.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22871
6607/5-1	3244.000000	1.730000	25.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22872
6607/5-1	3289.000000	1.730000	25.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22873
6607/5-1	3387.000000	1.730000	22.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22874
6607/5-1	3405.000000	1.760000	20.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22875
6607/5-1	3467.000000	1.760000	18.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22876
6607/5-1	3537.000000	1.760000	18.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22877
6607/5-1	3626.000000	1.760000	19.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22878
6607/5-1	3693.000000	1.760000	18.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22879
6607/5-1	3770.000000	1.760000	16.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22880
6607/5-1	3816.000000	1.760000	14.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22881
6607/5-1	3817.000000	1.780000	14.000000	0.000000	WATER BASED	9999-12-31	1064	9999-12-31	2013-05-08	22882
6607/5-2	222.000000	1.400000	21.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22883
6607/5-2	586.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22884
6607/5-2	620.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22885
6607/5-2	1010.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22886
6607/5-2	1053.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22887
6607/5-2	1235.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22888
6607/5-2	1600.000000	1.200000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22889
6607/5-2	1800.000000	1.290000	10.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22890
6607/5-2	2110.000000	1.330000	6.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22891
6607/5-2	2215.000000	1.390000	13.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22892
6607/5-2	2218.000000	1.490000	20.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22893
6607/5-2	2221.000000	1.490000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22894
6607/5-2	2305.000000	1.560000	23.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22895
6607/5-2	2340.000000	1.560000	25.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22896
6607/5-2	2546.000000	1.560000	22.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22897
6607/5-2	2579.000000	1.560000	23.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22898
6607/5-2	2863.000000	1.560000	20.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22899
6607/5-2	3027.000000	1.560000	21.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22900
6607/5-2	3171.000000	1.560000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22901
6607/5-2	3212.000000	1.560000	27.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22902
6607/5-2	3279.000000	1.560000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22903
6607/5-2	3320.000000	1.560000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22904
6607/5-2	3362.000000	1.560000	20.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22905
6607/5-2	3433.000000	1.560000	21.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22906
6607/5-2	3552.000000	1.560000	21.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22907
6607/5-2	3577.000000	1.560000	0.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22908
6607/5-2	3586.000000	1.520000	13.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22909
6607/5-2	3611.000000	1.560000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22910
6607/5-2	3691.000000	1.560000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22911
6607/5-2	3702.000000	1.560000	20.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22912
6607/5-2	3713.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22913
6607/5-2	3755.000000	1.580000	14.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22914
6607/5-2	3813.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22915
6607/5-2	3854.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22916
6607/5-2	3869.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22917
6607/5-2	3894.000000	1.560000	15.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22918
6607/5-2	3947.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22919
6607/5-2	4012.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22920
6607/5-2	4014.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22921
6607/5-2	4017.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22922
6607/5-2	4027.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22923
6607/5-2	4036.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22924
6607/5-2	4047.000000	1.560000	17.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22925
6607/5-2	4078.000000	1.560000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22926
6607/5-2	4093.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22927
6607/5-2	4130.000000	1.560000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22928
6607/5-2	4149.000000	1.560000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22929
6607/5-2	4161.000000	1.560000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22930
6607/5-2	4179.000000	1.560000	15.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22931
6607/5-2	4188.000000	1.560000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22932
6607/5-2	4281.000000	1.560000	15.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22933
6607/5-2	4288.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22934
6607/5-2	4330.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22935
6607/5-2	4371.000000	1.560000	17.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22936
6607/5-2	4377.000000	1.560000	17.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22937
6607/5-2	4380.000000	1.560000	17.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22938
6607/5-2	4457.000000	1.560000	17.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22939
6607/5-2	4524.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22940
6607/5-2	4579.000000	1.560000	17.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22941
6607/5-2	4614.000000	1.560000	16.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22942
6607/5-2	4631.000000	1.560000	18.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22943
6607/5-2	4675.000000	1.560000	17.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22944
6607/5-2	4684.000000	1.560000	17.000000	0.000000	WATER BASED	9999-12-31	1789	9999-12-31	2013-05-08	22945
6608/10-1	820.000000	1.200000	9999.000000	999.000000	WATER BASED	1989-04-26	1391	9999-12-31	2013-05-08	22946
6608/10-1	943.000000	1.110000	1400.000000	2.100000	WATER BASED	1989-04-26	1391	9999-12-31	2013-05-08	22947
6608/10-1	1303.000000	1.670000	2200.000000	4.500000	WATER BASED	1989-05-29	1391	9999-12-31	2013-05-08	22948
6608/10-1	1349.000000	1.110000	1200.000000	1.500000	WATER BASED	1989-04-26	1391	9999-12-31	2013-05-08	22949
6608/10-1	1487.000000	1.200000	1200.000000	1.500000	WATER BASED	1989-04-26	1391	9999-12-31	2013-05-08	22950
6608/10-1	1549.000000	1.440000	1300.000000	6.000000	WATER BASED	1989-04-28	1391	9999-12-31	2013-05-08	22951
6608/10-1	1549.000000	1.320000	1500.000000	3.500000	WATER BASED	1989-04-27	1391	9999-12-31	2013-05-08	22952
6608/10-1	1549.000000	1.320000	1200.000000	3.000000	WATER BASED	1989-04-27	1391	9999-12-31	2013-05-08	22953
6608/10-1	1754.000000	1.600000	700.000000	5.300000	WATER BASED	1989-05-02	1391	9999-12-31	2013-05-08	22954
6608/10-1	2033.000000	1.670000	1000.000000	7.700000	WATER BASED	1989-05-02	1391	9999-12-31	2013-05-08	22955
6608/10-1	2300.000000	1.670000	1200.000000	11.500000	WATER BASED	1989-05-02	1391	9999-12-31	2013-05-08	22956
6608/10-1	2474.000000	1.670000	900.000000	7.600000	WATER BASED	1989-05-02	1391	9999-12-31	2013-05-08	22957
6608/10-1	2502.000000	1.670000	500.000000	6.200000	WATER BASED	1989-05-05	1391	9999-12-31	2013-05-08	22958
6608/10-1	2502.000000	1.670000	1900.000000	6.000000	WATER BASED	1989-05-05	1391	9999-12-31	2013-05-08	22959
6608/10-1	2502.000000	1.670000	900.000000	9.600000	WATER BASED	1989-05-03	1391	9999-12-31	2013-05-08	22960
6608/10-1	2540.000000	1.520000	1400.000000	5.000000	WATER BASED	1989-05-08	1391	9999-12-31	2013-05-08	22961
6608/10-1	2584.000000	1.520000	1600.000000	5.000000	WATER BASED	1989-05-09	1391	9999-12-31	2013-05-08	22962
6608/10-1	2664.000000	1.520000	60.000000	6.000000	WATER BASED	1989-05-10	1391	9999-12-31	2013-05-08	22963
6608/10-1	2716.000000	1.520000	1700.000000	4.600000	WATER BASED	1989-05-10	1391	9999-12-31	2013-05-08	22964
6608/10-1	2750.000000	1.520000	1700.000000	5.000000	WATER BASED	1989-05-11	1391	9999-12-31	2013-05-08	22965
6608/10-1	2852.000000	1.520000	1900.000000	6.000000	WATER BASED	1989-05-12	1391	9999-12-31	2013-05-08	22966
6608/10-1	2885.000000	1.520000	1700.000000	5.000000	WATER BASED	1989-05-16	1391	9999-12-31	2013-05-08	22967
6608/10-1	2925.000000	1.520000	1600.000000	4.000000	WATER BASED	1989-05-16	1391	9999-12-31	2013-05-08	22968
6608/10-1	3007.000000	1.520000	1800.000000	5.000000	WATER BASED	1989-05-16	1391	9999-12-31	2013-05-08	22969
6608/10-1	3063.000000	1.520000	1900.000000	5.000000	WATER BASED	1989-05-16	1391	9999-12-31	2013-05-08	22970
6608/10-1	3090.000000	1.520000	1800.000000	5.000000	WATER BASED	1989-05-19	1391	9999-12-31	2013-05-08	22971
6608/10-1	3146.000000	1.520000	1800.000000	6.000000	WATER BASED	1989-05-19	1391	9999-12-31	2013-05-08	22972
6608/10-1	3181.000000	1.520000	1500.000000	5.000000	WATER BASED	1989-05-19	1391	9999-12-31	2013-05-08	22973
6608/10-1	3268.000000	1.520000	1700.000000	5.000000	WATER BASED	1989-05-22	1391	9999-12-31	2013-05-08	22974
6608/10-1	3402.000000	1.520000	1900.000000	5.000000	WATER BASED	1989-05-22	1391	9999-12-31	2013-05-08	22975
6608/10-1	3437.000000	1.520000	2000.000000	5.000000	WATER BASED	1989-05-22	1391	9999-12-31	2013-05-08	22976
6608/10-10	1382.000000	1.390000	20.000000	0.000000	GLYDRIL 74	9999-12-31	4699	9999-12-31	2013-05-08	22977
6608/10-10	1870.000000	1.410000	19.000000	0.000000	GLYDRIL 74	9999-12-31	4699	9999-12-31	2013-05-08	22978
6608/10-11 S	1877.000000	1.430000	46.000000	0.000000	CARBO SEA	9999-12-31	5386	9999-12-31	2013-05-08	22979
6608/10-11 S	2005.000000	1.430000	38.000000	0.000000	CARBO SEA	9999-12-31	5386	9999-12-31	2013-05-08	22980
6608/10-11 S	2915.000000	1.520000	34.000000	0.000000	CARBO SEA	9999-12-31	5386	9999-12-31	2013-05-08	22981
6608/10-11 S	2918.000000	1.520000	34.000000	0.000000	CARBO SEA	9999-12-31	5386	9999-12-31	2013-05-08	22982
6608/10-11 S	3392.000000	1.310000	22.000000	0.000000	CARBO SEA	9999-12-31	5386	9999-12-31	2013-05-08	22983
6608/10-11 S	3420.000000	1.300000	20.000000	0.000000	CARBO SEA	9999-12-31	5386	9999-12-31	2013-05-08	22984
6608/10-12	1415.000000	1.350000	29.000000	0.000000	Spud Mud	9999-12-31	5949	9999-12-31	2013-05-08	22985
6608/10-12	1415.000000	1.390000	15.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5949	9999-12-31	2013-05-08	22986
6608/10-12	1415.000000	1.350000	29.000000	0.000000	Spud Mud	9999-12-31	5949	9999-12-31	2013-05-08	22987
6608/10-12	1480.000000	1.450000	15.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5949	9999-12-31	2013-05-08	22988
6608/10-12	1584.000000	1.480000	20.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5949	9999-12-31	2013-05-08	22989
6608/10-12	1760.000000	1.500000	24.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5949	9999-12-31	2013-05-08	22990
6608/10-12	2145.000000	1.450000	26.000000	0.000000	KCl/Polymer/GEM	9999-12-31	5949	9999-12-31	2013-05-08	22991
6608/10-12	2305.000000	1.500000	20.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5949	9999-12-31	2013-05-08	22992
6608/10-12	2430.000000	1.500000	18.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5949	9999-12-31	2013-05-08	22993
6608/10-12	2500.000000	1.510000	18.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5949	9999-12-31	2013-05-08	22994
6608/10-12	2696.000000	1.350000	19.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5949	9999-12-31	2013-05-08	22995
6608/10-12	2788.000000	1.350000	21.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5949	9999-12-31	2013-05-08	22996
6608/10-12	2796.000000	1.350000	18.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	5949	9999-12-31	2013-05-08	22997
6608/10-12	3180.000000	1.370000	27.000000	0.000000	KCl/Polymer/GEM	9999-12-31	5949	9999-12-31	2013-05-08	22998
6608/10-12 A	2040.000000	1.450000	26.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	22999
6608/10-12 A	2060.000000	1.450000	33.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	23000
6608/10-12 A	2332.000000	1.450000	26.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	23001
6608/10-12 A	2445.000000	1.450000	28.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	23002
6608/10-12 A	2472.000000	1.450000	30.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	23003
6608/10-12 A	2500.000000	1.450000	23.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	23004
6608/10-12 A	2554.000000	1.450000	30.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	23005
6608/10-12 A	2690.000000	1.450000	27.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	23006
6608/10-12 A	3004.000000	1.450000	27.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	23007
6608/10-12 A	3027.000000	1.450000	28.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	23008
6608/10-12 A	3071.000000	1.450000	22.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	23009
6608/10-12 A	3075.000000	1.450000	24.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6029	9999-12-31	2013-05-08	23010
6608/10-13	1112.000000	1.210000	17.000000	0.000000	Performadril	9999-12-31	6235	9999-12-31	2013-05-08	23011
6608/10-13	1142.000000	1.180000	20.000000	0.000000	Performadril	9999-12-31	6235	9999-12-31	2013-05-08	23012
6608/10-13	1144.000000	1.200000	20.000000	0.000000	Performadril	9999-12-31	6235	9999-12-31	2013-05-08	23013
6608/10-13	1165.000000	1.210000	17.000000	0.000000	Performadril	9999-12-31	6235	9999-12-31	2013-05-08	23014
6608/10-13	1388.000000	1.220000	19.000000	0.000000	Performadril	9999-12-31	6235	9999-12-31	2013-05-08	23015
6608/10-13	1442.000000	1.210000	20.000000	0.000000	Performadril	9999-12-31	6235	9999-12-31	2013-05-08	23016
6608/10-14 S	1338.000000	1.450000	29.000000	0.000000	Enviromul Yellow	9999-12-31	6306	9999-12-31	2013-05-08	23017
6608/10-14 S	2225.000000	1.250000	16.000000	0.000000	Enviromul Yellow	9999-12-31	6306	9999-12-31	2013-05-08	23018
6608/10-14 S	2394.000000	1.460000	23.000000	0.000000	Enviromul Yellow	9999-12-31	6306	9999-12-31	2013-05-08	23019
6608/10-14 S	2394.000000	1.470000	35.000000	0.000000	Enviromul Yellow	9999-12-31	6306	9999-12-31	2013-05-08	23020
6608/10-14 S	2394.000000	1.520000	35.000000	0.000000	Enviromul Yellow	9999-12-31	6306	9999-12-31	2013-05-08	23021
6608/10-14 S	2457.000000	1.250000	12.000000	0.000000	Enviromul Yellow	9999-12-31	6306	9999-12-31	2013-05-08	23022
6608/10-14 S	2581.000000	1.270000	12.000000	0.000000	Enviromul Yellow	9999-12-31	6306	9999-12-31	2013-05-08	23023
6608/10-14 S	2704.000000	1.250000	14.000000	0.000000	Enviromul Yellow	9999-12-31	6306	9999-12-31	2013-05-08	23024
6608/10-14 S	2880.000000	1.250000	15.000000	0.000000	Enviromul Yellow	9999-12-31	6306	9999-12-31	2013-05-08	23025
6608/10-2	886.000000	1.030000	23.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23026
6608/10-2	920.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23027
6608/10-2	1220.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23028
6608/10-2	1540.000000	1.370000	29.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23029
6608/10-2	1542.000000	1.370000	23.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23030
6608/10-2	1727.000000	1.500000	24.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23031
6608/10-2	1828.000000	1.640000	28.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23032
6608/10-2	1911.000000	1.620000	36.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23033
6608/10-2	2041.000000	1.620000	33.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23034
6608/10-2	2561.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23035
6608/10-2	2576.000000	1.300000	22.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23036
6608/10-2	2579.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23037
6608/10-2	2590.000000	1.300000	23.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23038
6608/10-2	2674.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23039
6608/10-2	2682.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23040
6608/10-2	2741.000000	1.300000	22.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23041
6608/10-2	3013.000000	1.300000	21.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23042
6608/10-2	3051.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23043
6608/10-2	3073.000000	1.250000	21.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23044
6608/10-2	3276.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23045
6608/10-2	3282.000000	1.200000	16.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23046
6608/10-2	3330.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23047
6608/10-2	3335.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23048
6608/10-2	3445.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23049
6608/10-2	3617.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23050
6608/10-2	3678.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	1782	9999-12-31	2013-05-08	23051
6608/10-3	1250.000000	1.200000	22.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23052
6608/10-3	1595.000000	1.340000	22.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23053
6608/10-3	1803.000000	1.600000	35.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23054
6608/10-3	1940.000000	1.600000	25.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23055
6608/10-3	1960.000000	1.600000	33.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23056
6608/10-3	2053.000000	1.600000	35.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23057
6608/10-3	2362.000000	1.600000	36.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23058
6608/10-3	2499.000000	1.600000	26.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23059
6608/10-3	2555.000000	1.600000	28.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23060
6608/10-3	2562.000000	1.200000	25.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23061
6608/10-3	2574.000000	1.200000	23.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23062
6608/10-3	2627.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23063
6608/10-3	2627.000000	1.200000	24.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23064
6608/10-3	2920.000000	1.200000	24.000000	0.000000	WATER BASED	9999-12-31	1732	9999-12-31	2013-05-08	23065
6608/10-4	415.000000	1.030000	20.000000	0.000000	DUMMY	9999-12-31	2256	9999-12-31	2013-05-08	23066
6608/10-4	452.000000	1.120000	0.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23067
6608/10-4	735.000000	1.200000	0.000000	0.000000	DUMMY	9999-12-31	2256	9999-12-31	2013-05-08	23068
6608/10-4	896.000000	1.140000	25.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23069
6608/10-4	1415.000000	1.250000	23.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23070
6608/10-4	1777.000000	1.570000	33.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23071
6608/10-4	1920.000000	1.600000	31.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23072
6608/10-4	2063.000000	1.570000	38.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23073
6608/10-4	2090.000000	1.570000	30.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23074
6608/10-4	2103.000000	1.600000	37.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23075
6608/10-4	2265.000000	1.600000	28.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23076
6608/10-4	2329.000000	1.600000	29.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23077
6608/10-4	2431.000000	1.600000	27.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23078
6608/10-4	2486.000000	1.600000	35.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23079
6608/10-4	2540.000000	1.250000	25.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23080
6608/10-4	2558.000000	1.600000	32.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23081
6608/10-4	2560.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23082
6608/10-4	2587.000000	1.200000	23.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23083
6608/10-4	2614.000000	1.200000	22.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23084
6608/10-4	2640.000000	1.200000	22.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23085
6608/10-4	2660.000000	1.200000	22.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23086
6608/10-4	2683.000000	1.200000	23.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23087
6608/10-4	2709.000000	1.200000	23.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23088
6608/10-4	2800.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	2256	9999-12-31	2013-05-08	23089
6608/10-5	398.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23090
6608/10-5	430.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23091
6608/10-5	1000.000000	1.580000	18.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23092
6608/10-5	1215.000000	1.030000	17.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23093
6608/10-5	1740.000000	1.550000	18.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23094
6608/10-5	1965.000000	1.580000	27.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23095
6608/10-5	2185.000000	1.550000	20.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23096
6608/10-5	2359.000000	1.580000	28.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23097
6608/10-5	2400.000000	1.350000	15.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23098
6608/10-5	2570.000000	1.350000	15.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23099
6608/10-5	2584.000000	1.580000	29.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23100
6608/10-5	2585.000000	1.580000	27.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23101
6608/10-5	2614.000000	1.350000	14.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23102
6608/10-5	3200.000000	1.350000	15.000000	0.000000	WATER BASED	9999-12-31	2578	9999-12-31	2013-05-08	23103
6608/10-6	482.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3260	9999-12-31	2013-05-08	23104
6608/10-6	570.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3260	9999-12-31	2013-05-08	23105
6608/10-6	636.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3260	9999-12-31	2013-05-08	23106
6608/10-6	1220.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3260	9999-12-31	2013-05-08	23107
6608/10-6	1408.000000	1.300000	0.000000	0.000000	DUMMY	9999-12-31	3260	9999-12-31	2013-05-08	23108
6608/10-6	1550.000000	1.300000	19.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23109
6608/10-6	1695.000000	1.300000	18.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23110
6608/10-6	1827.000000	1.300000	18.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23111
6608/10-6	1838.000000	1.300000	19.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23112
6608/10-6	1843.000000	1.300000	19.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23113
6608/10-6	1862.000000	1.300000	18.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23114
6608/10-6	1878.000000	1.300000	17.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23115
6608/10-6	1898.000000	1.300000	16.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23116
6608/10-6	1936.000000	1.300000	19.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23117
6608/10-6	1956.000000	1.300000	19.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23118
6608/10-6	1973.000000	1.300000	20.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23119
6608/10-6	2115.000000	1.300000	15.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	3260	9999-12-31	2013-05-08	23120
6608/10-7	424.000000	1.030000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	4273	9999-12-31	2013-05-08	23121
6608/10-7	487.000000	1.030000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	4273	9999-12-31	2013-05-08	23122
6608/10-7	920.000000	1.030000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	4273	9999-12-31	2013-05-08	23123
6608/10-7	1315.000000	1.030000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	4273	9999-12-31	2013-05-08	23124
6608/10-7	1640.000000	1.300000	32.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	4273	9999-12-31	2013-05-08	23125
6608/10-7	1955.000000	1.260000	30.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	4273	9999-12-31	2013-05-08	23126
6608/10-7	2319.000000	1.260000	22.000000	0.000000	KCL/GLYCOL/PAC	9999-12-31	4273	9999-12-31	2013-05-08	23127
6608/10-8	451.000000	1.030000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	4439	9999-12-31	2013-05-08	23128
6608/10-8	459.000000	1.030000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	4439	9999-12-31	2013-05-08	23129
6608/10-8	1303.000000	1.030000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	4439	9999-12-31	2013-05-08	23130
6608/10-8	1341.000000	1.370000	33.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	4439	9999-12-31	2013-05-08	23131
6608/10-8	1835.000000	1.350000	23.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	4439	9999-12-31	2013-05-08	23132
6608/10-8	1871.000000	1.350000	26.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	4439	9999-12-31	2013-05-08	23133
6608/10-8 A	1833.000000	1.370000	33.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	4530	9999-12-31	2013-05-08	23134
6608/10-8 A	2660.000000	1.370000	32.000000	0.000000	KCL/GLYCOL/POLY	9999-12-31	4530	9999-12-31	2013-05-08	23135
6608/10-9	461.000000	1.600000	0.000000	0.000000	SEAWATER/CMC	9999-12-31	4668	9999-12-31	2013-05-08	23136
6608/10-9	770.000000	1.030000	0.000000	0.000000	SEAWATER/CMC	9999-12-31	4668	9999-12-31	2013-05-08	23137
6608/10-9	1311.000000	1.030000	0.000000	0.000000	SEAWATER/CMC	9999-12-31	4668	9999-12-31	2013-05-08	23138
6608/10-9	1314.000000	1.340000	19.000000	0.000000	GLYDRIL 10	9999-12-31	4668	9999-12-31	2013-05-08	23139
6608/10-9	1700.000000	1.340000	18.000000	0.000000	GLYDRIL 74	9999-12-31	4668	9999-12-31	2013-05-08	23140
6608/11-1	695.000000	1.120000	1100.000000	33.000000	WATER BASED	1986-07-27	936	9999-12-31	2013-05-08	23141
6608/11-1	695.000000	1.120000	700.000000	30.500000	WATER BASED	1986-07-27	936	9999-12-31	2013-05-08	23142
6608/11-1	695.000000	1.100000	1400.000000	5.100000	WATER BASED	1986-07-30	936	9999-12-31	2013-05-08	23143
6608/11-1	757.000000	1.100000	1900.000000	6.800000	WATER BASED	1986-07-31	936	9999-12-31	2013-05-08	23144
6608/11-1	1015.000000	1.300000	2200.000000	8.400000	WATER BASED	1986-08-11	936	9999-12-31	2013-05-08	23145
6608/11-1	1066.000000	1.110000	1600.000000	5.900000	WATER BASED	1986-08-01	936	9999-12-31	2013-05-08	23146
6608/11-1	1182.000000	1.210000	2900.000000	10.900000	WATER BASED	1986-08-04	936	9999-12-31	2013-05-08	23147
6608/11-1	1182.000000	0.000000	2700.000000	11.400000	WATERBASED	1986-08-04	936	9999-12-31	2013-05-08	23148
6608/11-1	1185.000000	1.250000	2100.000000	5.900000	WATER BASED	1986-08-04	936	9999-12-31	2013-05-08	23149
6608/11-1	1276.000000	1.350000	2900.000000	10.900000	WATER BASED	1986-08-05	936	9999-12-31	2013-05-08	23150
6608/11-1	1372.000000	1.330000	3000.000000	10.200000	WATER BASED	1986-08-06	936	9999-12-31	2013-05-08	23151
6608/11-1	1399.000000	1.280000	2300.000000	8.000000	WATER BASED	1986-08-07	936	9999-12-31	2013-05-08	23152
6608/11-1	1620.000000	1.280000	2400.000000	6.800000	WATER BASED	1986-08-08	936	9999-12-31	2013-05-08	23153
6608/11-1	1620.000000	1.300000	2200.000000	8.500000	WATER BASED	1986-08-11	936	9999-12-31	2013-05-08	23154
6608/11-2	409.000000	1.030000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	4189	9999-12-31	2013-05-08	23155
6608/11-2	417.000000	1.030000	12.000000	0.000000	SEAWATER/BENT.	9999-12-31	4189	9999-12-31	2013-05-08	23156
6608/11-2	450.000000	1.030000	12.000000	0.000000	SEAWATER/BENT.	9999-12-31	4189	9999-12-31	2013-05-08	23157
6608/11-2	1101.000000	1.030000	12.000000	0.000000	SEAWATER/BENT.	9999-12-31	4189	9999-12-31	2013-05-08	23158
6608/11-2	1254.000000	1.030000	12.000000	0.000000	SEAWATER/BENT.	9999-12-31	4189	9999-12-31	2013-05-08	23159
6608/11-2	1470.000000	1.260000	18.000000	0.000000	GLYDRILL	9999-12-31	4189	9999-12-31	2013-05-08	23160
6608/11-2	1517.000000	1.250000	18.000000	0.000000	GLYDRILL	9999-12-31	4189	9999-12-31	2013-05-08	23161
6608/11-2	1742.000000	1.250000	19.000000	0.000000	GLYDRILL	9999-12-31	4189	9999-12-31	2013-05-08	23162
6608/11-2	1757.000000	1.250000	18.000000	0.000000	GLYDRILL	9999-12-31	4189	9999-12-31	2013-05-08	23163
6608/11-2	1767.000000	1.260000	19.000000	0.000000	GLYDRILL	9999-12-31	4189	9999-12-31	2013-05-08	23164
6608/11-2	1846.000000	1.260000	18.000000	0.000000	GLYDRILL	9999-12-31	4189	9999-12-31	2013-05-08	23165
6608/11-2	1920.000000	1.260000	18.000000	0.000000	GLYDRILL	9999-12-31	4189	9999-12-31	2013-05-08	23166
6608/11-2	2215.000000	1.260000	17.000000	0.000000	GLYDRILL	9999-12-31	4189	9999-12-31	2013-05-08	23167
6608/11-3	404.000000	1.070000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	4630	9999-12-31	2013-05-08	23168
6608/11-3	460.000000	1.150000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	4630	9999-12-31	2013-05-08	23169
6608/11-3	1400.000000	1.200000	13.000000	0.000000	GLYDRIL 18	9999-12-31	4630	9999-12-31	2013-05-08	23170
6608/11-3	1417.000000	1.220000	14.000000	0.000000	GLYDRIL 18	9999-12-31	4630	9999-12-31	2013-05-08	23171
6608/11-3	1418.000000	1.220000	14.000000	0.000000	GLYDRIL 18	9999-12-31	4630	9999-12-31	2013-05-08	23172
6608/11-4	830.000000	1.030000	19.000000	0.000000	SW / BENTONITE 1	9999-12-31	4939	9999-12-31	2013-05-08	23173
6608/11-4	1357.000000	1.300000	24.000000	0.000000	SW / BENTONITE 1	9999-12-31	4939	9999-12-31	2013-05-08	23174
6608/11-4	1415.000000	1.300000	16.000000	0.000000	GLYDRIL 74	9999-12-31	4939	9999-12-31	2013-05-08	23175
6608/11-4	1465.000000	1.300000	15.000000	0.000000	GLYDRIL 74	9999-12-31	4939	9999-12-31	2013-05-08	23176
6608/11-5	504.000000	1.040000	0.000000	0.000000	SW / POLYMER 2	9999-12-31	5316	9999-12-31	2013-05-08	23177
6608/11-5	1306.000000	1.040000	0.000000	0.000000	SW / POLYMER 2	9999-12-31	5316	9999-12-31	2013-05-08	23178
6608/11-5	1373.000000	1.300000	12.000000	0.000000	GLYDRIL 74	9999-12-31	5316	9999-12-31	2013-05-08	23179
6608/11-5	1440.000000	1.300000	17.000000	0.000000	GLYDRIL 74	9999-12-31	5316	9999-12-31	2013-05-08	23180
6608/11-5	1698.000000	1.300000	14.000000	0.000000	GLYDRIL 74	9999-12-31	5316	9999-12-31	2013-05-08	23181
6608/11-6	429.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	5868	9999-12-31	2013-05-08	23182
6608/11-6	1306.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	5868	9999-12-31	2013-05-08	23183
6608/11-6	1850.000000	1.300000	0.000000	0.000000	WBM/KCL	9999-12-31	5868	9999-12-31	2013-05-08	23184
6608/8-1	957.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2974	9999-12-31	2013-05-08	23185
6608/8-1	1222.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2974	9999-12-31	2013-05-08	23186
6608/8-1	2337.000000	1.300000	23.000000	0.000000	WATER BASED	9999-12-31	2974	9999-12-31	2013-05-08	23187
6608/8-1	2667.000000	1.340000	24.000000	0.000000	WATER BASED	9999-12-31	2974	9999-12-31	2013-05-08	23188
6608/8-1	2785.000000	1.340000	22.000000	0.000000	WATER BASED	9999-12-31	2974	9999-12-31	2013-05-08	23189
6608/8-1	2900.000000	1.340000	21.000000	0.000000	WATER BASED	9999-12-31	2974	9999-12-31	2013-05-08	23190
6608/8-2	1780.000000	1.400000	16.000000	0.000000	AQUADRILL	9999-12-31	2989	9999-12-31	2013-05-08	23191
6608/8-2	1850.000000	1.540000	22.000000	0.000000	AQUADRILL	9999-12-31	2989	9999-12-31	2013-05-08	23192
6608/8-2	1982.000000	1.540000	20.000000	0.000000	AQUADRILL	9999-12-31	2989	9999-12-31	2013-05-08	23193
6608/8-2	2249.000000	1.540000	18.000000	0.000000	AQUADRILL	9999-12-31	2989	9999-12-31	2013-05-08	23194
6609/10-1	400.000000	1.060000	0.000000	30.000000	spud mud	9999-12-31	24	9999-12-31	2013-05-08	23195
6609/10-1	668.000000	1.150000	0.000000	30.000000	water based	9999-12-31	24	9999-12-31	2013-05-08	23196
6609/10-1	927.000000	1.260000	0.000000	30.000000	water based	9999-12-31	24	9999-12-31	2013-05-08	23197
6609/10-1	1352.000000	1.370000	0.000000	30.000000	water based	9999-12-31	24	9999-12-31	2013-05-08	23198
6609/10-1	1807.000000	1.360000	0.000000	35.000000	water based	9999-12-31	24	9999-12-31	2013-05-08	23199
6609/10-1	2130.000000	1.270000	0.000000	18.000000	water based	9999-12-31	24	9999-12-31	2013-05-08	23200
6609/10-2	352.000000	1.060000	0.000000	0.000000	SPUD MUD	9999-12-31	6188	9999-12-31	2013-05-08	23201
6609/10-2	483.000000	1.180000	15.000000	0.000000	KCL/POLYMER	9999-12-31	6188	9999-12-31	2013-05-08	23202
6609/10-2	1237.000000	1.300000	13.000000	0.000000	KCL/POLYMER	9999-12-31	6188	9999-12-31	2013-05-08	23203
6609/10-2	1888.000000	1.470000	23.000000	0.000000	KCL/POLYMER	9999-12-31	6188	9999-12-31	2013-05-08	23204
6609/10-2	2209.000000	1.200000	20.000000	0.000000	KCL/POLYMER	9999-12-31	6188	9999-12-31	2013-05-08	23205
6609/10-2	2528.000000	1.470000	23.000000	0.000000	KCL/POLYMER	9999-12-31	6188	9999-12-31	2013-05-08	23206
6609/10-2	2528.000000	1.200000	21.000000	0.000000	KCL/POLYMER	9999-12-31	6188	9999-12-31	2013-05-08	23207
6609/11-1	332.000000	1.050000	100.000000	0.000000	spud mud	9999-12-31	15	9999-12-31	2013-05-08	23208
6609/11-1	915.000000	1.070000	43.000000	11.000000	water based	9999-12-31	15	9999-12-31	2013-05-08	23209
6609/11-1	1864.000000	1.320000	70.000000	22.000000	water based	9999-12-31	15	9999-12-31	2013-05-08	23210
6609/11-1	1864.000000	1.300000	53.000000	18.000000	water based	9999-12-31	15	9999-12-31	2013-05-08	23211
6609/11-1	2230.000000	1.300000	60.000000	19.000000	water based	9999-12-31	15	9999-12-31	2013-05-08	23212
6609/11-1	2566.000000	1.310000	59.000000	19.000000	water based	9999-12-31	15	9999-12-31	2013-05-08	23213
6609/11-1	2877.000000	1.300000	54.000000	28.000000	water based	9999-12-31	15	9999-12-31	2013-05-08	23214
6609/11-1	3068.000000	1.300000	54.000000	28.000000	water based	9999-12-31	15	9999-12-31	2013-05-08	23215
6609/5-1	624.000000	1.070000	3.000000	3000.000000	WATER BASED	1984-11-08	445	9999-12-31	2013-05-08	23216
6609/5-1	820.000000	1.070000	3.400000	3000.000000	WATERBASED	1984-11-09	445	9999-12-31	2013-05-08	23217
6609/5-1	820.000000	1.070000	3.400000	3000.000000	WATER BASED	1984-11-09	445	9999-12-31	2013-05-08	23218
6609/5-1	823.000000	1.100000	6.700000	2100.000000	WATER BASED	1984-11-14	445	9999-12-31	2013-05-08	23219
6609/5-1	823.000000	1.100000	6.700000	2100.000000	WATERBASED	1984-11-14	445	9999-12-31	2013-05-08	23220
6609/5-1	1126.000000	1.100000	8.000000	2500.000000	WATER BASED	1984-11-15	445	9999-12-31	2013-05-08	23221
6609/5-1	1344.000000	1.120000	7.000000	2400.000000	WATERBASED	1984-11-16	445	9999-12-31	2013-05-08	23222
6609/5-1	1344.000000	1.120000	7.000000	2400.000000	WATER BASED	1984-11-16	445	9999-12-31	2013-05-08	23223
6609/5-1	1550.000000	1.120000	1800.000000	10.200000	WATERBASED	1984-11-19	445	9999-12-31	2013-05-08	23224
6609/5-1	1550.000000	1.120000	1800.000000	10.200000	WATER BASED	1984-11-19	445	9999-12-31	2013-05-08	23225
6609/5-1	1675.000000	1.550000	2800.000000	8.000000	WATER BASED	1984-11-22	445	9999-12-31	2013-05-08	23226
6609/5-1	1676.000000	1.250000	2300.000000	10.600000	WATER BASED	1984-11-19	445	9999-12-31	2013-05-08	23227
6609/5-1	1676.000000	1.250000	2100.000000	10.200000	WATER BASED	1984-11-20	445	9999-12-31	2013-05-08	23228
6609/5-1	1676.000000	1.250000	1400.000000	4.200000	WATER BASED	1984-11-20	445	9999-12-31	2013-05-08	23229
6609/5-1	1676.000000	1.250000	2300.000000	10.600000	WATERBASED	1984-11-19	445	9999-12-31	2013-05-08	23230
6609/5-1	1676.000000	0.000000	2100.000000	10.200000	WATERBASED	1984-11-20	445	9999-12-31	2013-05-08	23231
6609/5-1	1676.000000	0.000000	1400.000000	4.200000	WATERBASED	1984-11-20	445	9999-12-31	2013-05-08	23232
6609/5-1	1748.000000	1.300000	1900.000000	8.000000	WATER BASED	1984-11-21	445	9999-12-31	2013-05-08	23233
6609/5-1	2130.000000	1.700000	2800.000000	7.600000	WATER BASED	1984-11-23	445	9999-12-31	2013-05-08	23234
6609/5-1	2271.000000	1.700000	2800.000000	7.600000	WATER BASED	1984-11-26	445	9999-12-31	2013-05-08	23235
6609/5-1	2333.000000	1.700000	2800.000000	7.600000	WATER BASED	1984-11-26	445	9999-12-31	2013-05-08	23236
6609/5-1	2333.000000	1.700000	2800.000000	7.400000	WATER BASED	1984-11-26	445	9999-12-31	2013-05-08	23237
6609/5-1	2333.000000	1.700000	2800.000000	7.400000	WATER BASED	1984-11-26	445	9999-12-31	2013-05-08	23238
6609/5-1	2427.000000	1.700000	2700.000000	8.400000	WATER BASED	1984-11-26	445	9999-12-31	2013-05-08	23239
6609/5-1	2493.000000	1.700000	2200.000000	7.800000	WATER BASED	1984-11-27	445	9999-12-31	2013-05-08	23240
6609/5-1	2497.000000	1.700000	2100.000000	7.200000	WATER BASED	1984-11-28	445	9999-12-31	2013-05-08	23241
6609/5-1	2565.000000	1.700000	2100.000000	7.200000	WATER BASED	1984-11-29	445	9999-12-31	2013-05-08	23242
6609/5-1	2613.000000	1.700000	2000.000000	8.100000	WATER BASED	1984-11-30	445	9999-12-31	2013-05-08	23243
6609/5-1	2700.000000	1.700000	2200.000000	8.000000	WATER BASED	1984-12-03	445	9999-12-31	2013-05-08	23244
6609/5-1	2726.000000	1.700000	2400.000000	9.600000	WATER BASED	1984-12-03	445	9999-12-31	2013-05-08	23245
6609/5-1	2756.000000	1.700000	2200.000000	9.600000	WATER BASED	1984-12-03	445	9999-12-31	2013-05-08	23246
6609/5-1	2804.000000	1.700000	2200.000000	9.600000	WATER BASED	1984-12-04	445	9999-12-31	2013-05-08	23247
6609/5-1	2823.000000	1.700000	2300.000000	8.900000	WATER BASED	1984-12-05	445	9999-12-31	2013-05-08	23248
6609/5-1	2865.000000	1.700000	2100.000000	8.900000	WATER BASED	1984-12-06	445	9999-12-31	2013-05-08	23249
6609/5-1	2909.000000	1.700000	2200.000000	7.600000	WATER BASED	1984-12-07	445	9999-12-31	2013-05-08	23250
6609/5-1	2978.000000	1.700000	2000.000000	7.200000	WATER BASED	1984-12-10	445	9999-12-31	2013-05-08	23251
6609/5-1	3009.000000	1.700000	2100.000000	7.600000	WATER BASED	1984-12-10	445	9999-12-31	2013-05-08	23252
6609/5-1	3016.000000	1.700000	2100.000000	7.200000	WATER BASED	1984-12-10	445	9999-12-31	2013-05-08	23253
6609/5-1	3041.000000	1.700000	1700.000000	6.300000	WATER BASED	1984-12-11	445	9999-12-31	2013-05-08	23254
6609/5-1	3100.000000	1.700000	1900.000000	6.700000	WATER BASED	1984-12-12	445	9999-12-31	2013-05-08	23255
6609/5-1	3108.000000	1.700000	1400.000000	4.200000	WATER BASED	1984-12-19	445	9999-12-31	2013-05-08	23256
6609/5-1	3115.000000	1.700000	1800.000000	5.100000	WATER BASED	1984-12-18	445	9999-12-31	2013-05-08	23257
6609/5-1	3115.000000	1.700000	2000.000000	5.900000	WATER BASED	1984-12-17	445	9999-12-31	2013-05-08	23258
6609/5-1	3115.000000	1.700000	1900.000000	5.500000	WATER BASED	1984-12-17	445	9999-12-31	2013-05-08	23259
6609/5-1	3115.000000	1.700000	1900.000000	5.500000	WATER BASED	1984-12-17	445	9999-12-31	2013-05-08	23260
6609/5-1	3115.000000	1.700000	1800.000000	5.100000	WATER BASED	1984-12-18	445	9999-12-31	2013-05-08	23261
6609/5-1	3125.000000	1.400000	1400.000000	4.200000	WATER BASED	1984-12-20	445	9999-12-31	2013-05-08	23262
6609/5-1	3207.000000	0.400000	1500.000000	5.100000	WATER BASED	1984-12-21	445	9999-12-31	2013-05-08	23263
6609/5-1	3285.000000	1.400000	1500.000000	5.100000	WATER BASED	1984-12-27	445	9999-12-31	2013-05-08	23264
6609/5-1	3318.000000	1.400000	1500.000000	5.100000	WATER BASED	1984-12-27	445	9999-12-31	2013-05-08	23265
6609/5-1	3410.000000	1.400000	1500.000000	5.100000	WATER BASED	1984-12-27	445	9999-12-31	2013-05-08	23266
6609/5-1	3475.000000	1.400000	1500.000000	5.100000	WATER BASED	1984-12-27	445	9999-12-31	2013-05-08	23267
6609/5-1	3498.000000	1.400000	1800.000000	5.900000	WATER BASED	1984-12-27	445	9999-12-31	2013-05-08	23268
6609/5-1	3530.000000	1.400000	1900.000000	5.900000	WATER BASED	1984-12-27	445	9999-12-31	2013-05-08	23269
6609/5-1	3595.000000	1.400000	1900.000000	5.900000	WATER BASED	1984-12-28	445	9999-12-31	2013-05-08	23270
6609/5-1	3600.000000	1.400000	2200.000000	5.900000	WATER BASED	1985-01-02	445	9999-12-31	2013-05-08	23271
6609/5-1	3600.000000	1.400000	2400.000000	6.300000	WATER BASED	1985-01-02	445	9999-12-31	2013-05-08	23272
6609/5-1	3600.000000	1.400000	2200.000000	5.900000	WATER BASED	1985-01-02	445	9999-12-31	2013-05-08	23273
6609/5-1	3600.000000	1.400000	2400.000000	6.300000	WATER BASED	1985-01-02	445	9999-12-31	2013-05-08	23274
6609/5-1	3600.000000	1.400000	2000.000000	5.900000	WATER BASED	1985-01-02	445	9999-12-31	2013-05-08	23275
6609/6-1	0.000000	1.320000	15.000000	0.000000	WATER BASED	9999-12-31	5626	9999-12-31	2013-05-08	23276
6609/6-1	0.000000	1.270000	18.000000	0.000000	WATER BASED	9999-12-31	5626	9999-12-31	2013-05-08	23277
6609/6-1	1114.000000	1.270000	18.000000	0.000000	WATER BASED	9999-12-31	5626	9999-12-31	2013-05-08	23278
6609/7-1	1039.000000	1.130000	47.000000	0.000000	water based	9999-12-31	19	9999-12-31	2013-05-08	23279
6609/7-1	1842.000000	1.410000	49.000000	0.000000	water based	9999-12-31	19	9999-12-31	2013-05-08	23280
6609/7-1	1925.000000	1.530000	47.000000	0.000000	water based	9999-12-31	19	9999-12-31	2013-05-08	23281
6609/7-1	1954.000000	1.520000	43.000000	0.000000	water based	9999-12-31	19	9999-12-31	2013-05-08	23282
6609/7-1	1969.000000	1.530000	48.000000	0.000000	water based	9999-12-31	19	9999-12-31	2013-05-08	23283
6610/2-1 S	493.000000	1.300000	0.000000	0.000000	DUMMY	9999-12-31	2874	9999-12-31	2013-05-08	23284
6610/2-1 S	944.000000	1.030000	8.000000	0.000000	SEAWATER/BENT.	9999-12-31	2874	9999-12-31	2013-05-08	23285
6610/2-1 S	1234.000000	1.300000	12.000000	0.000000	ANCO 2000	9999-12-31	2874	9999-12-31	2013-05-08	23286
6610/2-1 S	1350.000000	1.300000	12.000000	0.000000	ANCO 2000	9999-12-31	2874	9999-12-31	2013-05-08	23287
6610/2-1 S	1751.000000	1.300000	13.000000	0.000000	ANCO 2000	9999-12-31	2874	9999-12-31	2013-05-08	23288
6610/2-1 S	1754.000000	1.300000	18.000000	0.000000	ANCO 2000	9999-12-31	2874	9999-12-31	2013-05-08	23289
6610/2-1 S	2026.000000	1.250000	11.000000	0.000000	ANCO 2000	9999-12-31	2874	9999-12-31	2013-05-08	23290
6610/2-1 S	2673.000000	1.300000	18.000000	0.000000	ANCO 2000	9999-12-31	2874	9999-12-31	2013-05-08	23291
6610/3-1	550.000000	1.030000	17.000000	8.000000	WATER BASED	1992-11-02	1864	9999-12-31	2013-05-08	23292
6610/3-1	938.000000	1.030000	20.000000	7.000000	WATER BASED	1992-11-02	1864	9999-12-31	2013-05-08	23293
6610/3-1	938.000000	1.030000	20.000000	6.500000	WATER BASED	1992-11-02	1864	9999-12-31	2013-05-08	23294
6610/3-1	938.000000	1.030000	20.000000	6.500000	WATER BASED	1992-11-03	1864	9999-12-31	2013-05-08	23295
6610/3-1	938.000000	1.030000	18.000000	6.000000	WATER BASED	1992-11-04	1864	9999-12-31	2013-05-08	23296
6610/3-1	938.000000	1.030000	0.000000	0.000000	WATER BASED	1992-11-05	1864	9999-12-31	2013-05-08	23297
6610/3-1	938.000000	1.030000	22.000000	5.500000	WATER BASED	1992-11-06	1864	9999-12-31	2013-05-08	23298
6610/3-1	996.000000	1.150000	26.000000	7.500000	WATER BASED	1992-11-09	1864	9999-12-31	2013-05-08	23299
6610/3-1	1418.000000	1.330000	26.000000	5.500000	WATER BASED	1992-11-09	1864	9999-12-31	2013-05-08	23300
6610/3-1	1456.000000	1.330000	24.000000	5.500000	WATER BASED	1992-11-10	1864	9999-12-31	2013-05-08	23301
6610/3-1	1458.000000	1.330000	23.000000	4.000000	WATER BASED	1992-11-11	1864	9999-12-31	2013-05-08	23302
6610/3-1	1560.000000	1.330000	30.000000	7.000000	WATER BASED	1992-11-12	1864	9999-12-31	2013-05-08	23303
6610/3-1	1587.000000	1.330000	33.000000	7.000000	WATER BASED	1992-11-13	1864	9999-12-31	2013-05-08	23304
6610/3-1	1625.000000	1.330000	29.000000	6.000000	WATER BASED	1992-11-19	1864	9999-12-31	2013-05-08	23305
6610/3-1	1625.000000	1.330000	29.000000	7.000000	WATER BASED	1992-11-18	1864	9999-12-31	2013-05-08	23306
6610/3-1	1625.000000	1.330000	29.000000	6.500000	WATER BASED	1992-11-17	1864	9999-12-31	2013-05-08	23307
6610/3-1	1625.000000	1.330000	31.000000	6.500000	WATER BASED	1992-11-16	1864	9999-12-31	2013-05-08	23308
6610/3-1	1625.000000	1.330000	29.000000	6.500000	WATER BASED	1992-11-16	1864	9999-12-31	2013-05-08	23309
6610/3-1	1630.000000	1.450000	35.000000	8.000000	WATER BASED	1993-02-15	1864	9999-12-31	2013-05-08	23310
6610/3-1	1640.000000	1.330000	33.000000	7.000000	WATER BASED	1992-11-16	1864	9999-12-31	2013-05-08	23311
6610/3-1	1708.000000	1.330000	31.000000	6.500000	WATER BASED	1992-11-16	1864	9999-12-31	2013-05-08	23312
6610/3-1	1724.000000	1.330000	29.000000	6.500000	WATER BASED	1992-11-16	1864	9999-12-31	2013-05-08	23313
6610/3-1	1759.000000	1.330000	29.000000	6.500000	WATER BASED	1992-11-17	1864	9999-12-31	2013-05-08	23314
6610/3-1	1759.000000	1.330000	29.000000	7.000000	WATER BASED	1992-11-18	1864	9999-12-31	2013-05-08	23315
6610/3-1	1759.000000	1.330000	29.000000	6.000000	WATER BASED	1992-11-19	1864	9999-12-31	2013-05-08	23316
6610/3-1	1759.000000	1.330000	28.000000	5.500000	WATER BASED	1992-11-23	1864	9999-12-31	2013-05-08	23317
6610/3-1	1759.000000	0.000000	26.000000	5.500000	WATER BASED	1992-11-23	1864	9999-12-31	2013-05-08	23318
6610/3-1	1763.000000	1.030000	26.000000	5.000000	WATER BASED	1992-11-23	1864	9999-12-31	2013-05-08	23319
6610/3-1	1850.000000	1.200000	32.000000	8.000000	WATER BASED	1992-11-24	1864	9999-12-31	2013-05-08	23320
6610/3-1	1999.000000	1.200000	25.000000	5.500000	WATER BASED	1992-11-26	1864	9999-12-31	2013-05-08	23321
6610/3-1	1999.000000	1.200000	30.000000	6.000000	WATER BASED	1992-11-26	1864	9999-12-31	2013-05-08	23322
6610/3-1	1999.000000	1.200000	29.000000	6.000000	WATER BASED	1992-12-01	1864	9999-12-31	2013-05-08	23323
6610/3-1	2126.000000	1.400000	31.000000	6.500000	WATER BASED	1993-02-08	1864	9999-12-31	2013-05-08	23324
6610/3-1	2172.000000	1.200000	29.000000	6.000000	WATER BASED	1992-12-01	1864	9999-12-31	2013-05-08	23325
6610/3-1	2272.000000	1.200000	26.000000	5.000000	WATER BASED	1992-12-01	1864	9999-12-31	2013-05-08	23326
6610/3-1	2272.000000	1.200000	27.000000	5.000000	WATER BASED	1992-12-01	1864	9999-12-31	2013-05-08	23327
6610/3-1	2272.000000	1.200000	25.000000	5.000000	WATER BASED	1992-12-01	1864	9999-12-31	2013-05-08	23328
6610/3-1	2272.000000	1.200000	25.000000	5.000000	WATER BASED	1992-12-03	1864	9999-12-31	2013-05-08	23329
6610/3-1	2272.000000	1.200000	25.000000	5.500000	WATER BASED	1992-12-16	1864	9999-12-31	2013-05-08	23330
6610/3-1	2272.000000	1.200000	19.000000	3.500000	WATER BASED	1992-12-15	1864	9999-12-31	2013-05-08	23331
6610/3-1	2272.000000	1.200000	21.000000	4.000000	WATER BASED	1992-12-14	1864	9999-12-31	2013-05-08	23332
6610/3-1	2272.000000	1.200000	28.000000	7.500000	WATER BASED	1992-12-17	1864	9999-12-31	2013-05-08	23333
6610/3-1	2272.000000	1.200000	27.000000	7.000000	WATER BASED	1992-12-18	1864	9999-12-31	2013-05-08	23334
6610/3-1	2272.000000	1.200000	25.000000	5.500000	WATER BASED	1992-12-11	1864	9999-12-31	2013-05-08	23335
6610/3-1	2272.000000	1.200000	24.000000	5.500000	WATER BASED	1992-12-09	1864	9999-12-31	2013-05-08	23336
6610/3-1	2272.000000	1.200000	25.000000	5.000000	WATER BASED	1992-12-07	1864	9999-12-31	2013-05-08	23337
6610/3-1	2272.000000	1.200000	25.000000	5.000000	WATER BASED	1992-12-07	1864	9999-12-31	2013-05-08	23338
6610/3-1	2272.000000	1.200000	21.000000	4.500000	WATER BASED	1992-12-07	1864	9999-12-31	2013-05-08	23339
6610/3-1	2272.000000	1.200000	27.000000	5.000000	WATER BASED	1992-12-02	1864	9999-12-31	2013-05-08	23340
6610/3-1	2272.000000	1.200000	26.000000	5.000000	WATER BASED	1992-12-04	1864	9999-12-31	2013-05-08	23341
6610/3-1	2272.000000	1.200000	14.000000	3.000000	WATER BASED	1992-12-14	1864	9999-12-31	2013-05-08	23342
6610/3-1	2292.000000	1.250000	26.000000	5.000000	WATER BASED	1992-12-01	1864	9999-12-31	2013-05-08	23343
6610/3-1	2301.000000	1.250000	27.000000	5.000000	WATER BASED	1992-12-01	1864	9999-12-31	2013-05-08	23344
6610/3-1	2306.000000	1.250000	25.000000	5.000000	WATER BASED	1992-12-01	1864	9999-12-31	2013-05-08	23345
6610/3-1	2314.000000	1.250000	27.000000	5.000000	WATER BASED	1992-12-02	1864	9999-12-31	2013-05-08	23346
6610/3-1	2405.000000	1.250000	25.000000	5.000000	WATER BASED	1992-12-03	1864	9999-12-31	2013-05-08	23347
6610/3-1	2490.000000	1.250000	26.000000	5.000000	WATER BASED	1992-12-04	1864	9999-12-31	2013-05-08	23348
6610/3-1	2510.000000	1.250000	25.000000	5.000000	WATER BASED	1992-12-07	1864	9999-12-31	2013-05-08	23349
6610/3-1	2526.000000	1.250000	25.000000	5.000000	WATER BASED	1992-12-07	1864	9999-12-31	2013-05-08	23350
6610/3-1	2532.000000	1.250000	21.000000	4.500000	WATER BASED	1992-12-07	1864	9999-12-31	2013-05-08	23351
6610/3-1	2541.000000	1.250000	24.000000	5.500000	WATER BASED	1992-12-09	1864	9999-12-31	2013-05-08	23352
6610/3-1	2662.000000	1.250000	25.000000	5.500000	WATER BASED	1992-12-11	1864	9999-12-31	2013-05-08	23353
6610/3-1	2668.000000	1.250000	14.000000	3.000000	WATER BASED	1992-12-14	1864	9999-12-31	2013-05-08	23354
6610/3-1	2692.000000	1.250000	21.000000	4.000000	WATER BASED	1992-12-14	1864	9999-12-31	2013-05-08	23355
6610/3-1	2743.000000	1.250000	19.000000	3.500000	WATER BASED	1992-12-15	1864	9999-12-31	2013-05-08	23356
6610/3-1	2870.000000	1.250000	25.000000	5.500000	WATER BASED	1992-12-16	1864	9999-12-31	2013-05-08	23357
6610/3-1	2913.000000	1.250000	27.000000	7.000000	WATER BASED	1992-12-18	1864	9999-12-31	2013-05-08	23358
6610/3-1	2913.000000	1.250000	25.000000	6.500000	WATER BASED	1992-12-21	1864	9999-12-31	2013-05-08	23359
6610/3-1	2913.000000	1.250000	28.000000	7.500000	WATER BASED	1992-12-17	1864	9999-12-31	2013-05-08	23360
6610/3-1	2913.000000	1.250000	27.000000	5.500000	WATER BASED	1992-12-21	1864	9999-12-31	2013-05-08	23361
6610/3-1	2951.000000	1.250000	22.000000	5.000000	WATER BASED	1992-12-23	1864	9999-12-31	2013-05-08	23362
6610/3-1	3003.000000	1.250000	24.000000	5.500000	WATER BASED	1992-12-23	1864	9999-12-31	2013-05-08	23363
6610/3-1	3015.000000	1.290000	31.000000	7.500000	WATER BASED	1992-12-28	1864	9999-12-31	2013-05-08	23364
6610/3-1	3015.000000	1.290000	31.000000	7.500000	WATER BASED	1992-12-28	1864	9999-12-31	2013-05-08	23365
6610/3-1	3015.000000	1.290000	31.000000	7.500000	WATER BASED	1992-12-28	1864	9999-12-31	2013-05-08	23366
6610/3-1	3015.000000	1.290000	31.000000	7.500000	WATER BASED	1992-12-28	1864	9999-12-31	2013-05-08	23367
6610/3-1	3015.000000	1.290000	21.000000	7.000000	WATER BASED	1992-12-28	1864	9999-12-31	2013-05-08	23368
6610/3-1	3030.000000	1.290000	25.000000	6.000000	WATER BASED	1992-12-29	1864	9999-12-31	2013-05-08	23369
6610/3-1	3110.000000	1.290000	25.000000	5.500000	WATER BASED	1993-01-04	1864	9999-12-31	2013-05-08	23370
6610/3-1	3126.000000	1.400000	31.000000	7.000000	WATER BASED	1993-01-04	1864	9999-12-31	2013-05-08	23371
6610/3-1	3126.000000	1.400000	33.000000	8.000000	WATER BASED	1993-01-04	1864	9999-12-31	2013-05-08	23372
6610/3-1	3126.000000	1.400000	29.000000	7.000000	WATER BASED	1993-01-04	1864	9999-12-31	2013-05-08	23373
6610/3-1	3126.000000	1.400000	32.000000	8.000000	WATER BASED	1993-01-04	1864	9999-12-31	2013-05-08	23374
6610/3-1	3126.000000	1.400000	36.000000	9.500000	WATER BASED	1993-01-08	1864	9999-12-31	2013-05-08	23375
6610/3-1	3126.000000	1.400000	34.000000	8.500000	WATER BASED	1993-01-12	1864	9999-12-31	2013-05-08	23376
6610/3-1	3126.000000	1.400000	33.000000	7.500000	WATER BASED	1993-01-12	1864	9999-12-31	2013-05-08	23377
6610/3-1	3126.000000	1.400000	33.000000	7.500000	WATER BASED	1993-01-12	1864	9999-12-31	2013-05-08	23378
6610/3-1	3126.000000	1.400000	31.000000	7.000000	WATER BASED	1993-01-05	1864	9999-12-31	2013-05-08	23379
6610/3-1	3126.000000	1.400000	32.000000	7.500000	WATER BASED	1993-01-06	1864	9999-12-31	2013-05-08	23380
6610/3-1	3126.000000	1.400000	33.000000	7.500000	WATER BASED	1993-01-13	1864	9999-12-31	2013-05-08	23381
6610/3-1	3126.000000	1.400000	30.000000	7.500000	WATER BASED	1993-01-18	1864	9999-12-31	2013-05-08	23382
6610/3-1	3126.000000	1.400000	30.000000	7.500000	WATER BASED	1993-01-18	1864	9999-12-31	2013-05-08	23383
6610/3-1	3126.000000	1.400000	32.000000	7.500000	WATER BASED	1993-01-18	1864	9999-12-31	2013-05-08	23384
6610/3-1	3126.000000	1.400000	32.000000	7.000000	WATER BASED	1993-01-14	1864	9999-12-31	2013-05-08	23385
6610/3-1	3126.000000	1.400000	32.000000	7.000000	WATER BASED	1993-01-26	1864	9999-12-31	2013-05-08	23386
6610/3-1	3126.000000	1.400000	30.000000	7.000000	WATER BASED	1993-01-26	1864	9999-12-31	2013-05-08	23387
6610/3-1	3126.000000	1.400000	28.000000	5.500000	WATER BASED	1993-01-25	1864	9999-12-31	2013-05-08	23388
6610/3-1	3126.000000	1.400000	30.000000	6.500000	WATER BASED	1993-01-20	1864	9999-12-31	2013-05-08	23389
6610/3-1	3126.000000	1.400000	28.000000	7.500000	WATER BASED	1993-01-20	1864	9999-12-31	2013-05-08	23390
6610/3-1	3126.000000	1.400000	34.000000	6.500000	WATER BASED	1993-02-08	1864	9999-12-31	2013-05-08	23391
6610/3-1	3126.000000	1.450000	35.000000	8.000000	WATER BASED	1993-02-12	1864	9999-12-31	2013-05-08	23392
6610/3-1	3126.000000	1.450000	39.000000	8.000000	WATER BASED	1993-02-11	1864	9999-12-31	2013-05-08	23393
6610/3-1	3126.000000	1.400000	30.000000	5.000000	WATER BASED	1993-02-02	1864	9999-12-31	2013-05-08	23394
6610/3-1	3126.000000	1.400000	36.000000	5.500000	WATER BASED	1993-02-08	1864	9999-12-31	2013-05-08	23395
6610/3-1	3126.000000	1.400000	29.000000	4.500000	WATER BASED	1993-01-29	1864	9999-12-31	2013-05-08	23396
6610/3-1	3126.000000	1.400000	33.000000	6.000000	WATER BASED	1993-02-03	1864	9999-12-31	2013-05-08	23397
6610/3-1	3126.000000	1.400000	34.000000	5.500000	WATER BASED	1993-02-05	1864	9999-12-31	2013-05-08	23398
6610/3-1	3126.000000	1.400000	30.000000	5.000000	WATER BASED	1993-02-01	1864	9999-12-31	2013-05-08	23399
6610/3-1	3126.000000	1.400000	33.000000	6.000000	WATER BASED	1993-02-01	1864	9999-12-31	2013-05-08	23400
6610/3-1	3126.000000	1.400000	31.000000	6.000000	WATER BASED	1993-02-01	1864	9999-12-31	2013-05-08	23401
6610/3-1	3126.000000	1.400000	33.000000	6.000000	WATER BASED	1993-01-28	1864	9999-12-31	2013-05-08	23402
6610/3-1	3126.000000	1.450000	36.000000	8.500000	WATER BASED	1993-02-15	1864	9999-12-31	2013-05-08	23403
6610/3-1	3126.000000	1.400000	32.000000	5.500000	WATER BASED	1993-01-26	1864	9999-12-31	2013-05-08	23404
6610/3-1	3126.000000	1.400000	32.000000	8.000000	WATER BASED	1993-01-04	1864	9999-12-31	2013-05-08	23405
6610/3-1	3126.000000	1.400000	25.000000	5.000000	WATER BASED	1993-01-07	1864	9999-12-31	2013-05-08	23406
6610/3-1	3126.000000	1.400000	35.000000	8.000000	WATER BASED	1993-01-12	1864	9999-12-31	2013-05-08	23407
6610/3-1	3126.000000	1.400000	35.000000	7.500000	WATER BASED	1993-02-09	1864	9999-12-31	2013-05-08	23408
6610/3-1	3126.000000	1.400000	31.000000	6.500000	WATER BASED	1993-02-10	1864	9999-12-31	2013-05-08	23409
6610/3-1	3126.000000	1.400000	34.000000	6.000000	WATER BASED	1993-02-04	1864	9999-12-31	2013-05-08	23410
6610/3-1	3126.000000	1.400000	31.000000	6.500000	WATER BASED	1993-01-27	1864	9999-12-31	2013-05-08	23411
6610/3-1 R	522.000000	1.500000	21.000000	8.000000	DUMMY	1993-12-10	2193	9999-12-31	2013-05-08	23412
6610/3-1 R	522.000000	1.500000	21.000000	8.000000	DUMMY	1993-12-09	2193	9999-12-31	2013-05-08	23413
6610/3-1 R	1550.000000	1.500000	21.000000	7.500000	DUMMY	1993-12-08	2193	9999-12-31	2013-05-08	23414
6610/3-1 R	1744.000000	1.250000	10.000000	9.000000	WATER BASED	1993-09-17	2193	9999-12-31	2013-05-08	23415
6610/3-1 R	1750.000000	1.250000	24.000000	7.500000	WATER BASED	1993-09-17	2193	9999-12-31	2013-05-08	23416
6610/3-1 R	1886.000000	1.250000	16.000000	4.000000	WATER BASED	1993-09-20	2193	9999-12-31	2013-05-08	23417
6610/3-1 R	2065.000000	1.250000	23.000000	5.000000	WATER BASED	1993-09-20	2193	9999-12-31	2013-05-08	23418
6610/3-1 R	2275.000000	1.250000	22.000000	4.500000	WATER BASED	1993-09-20	2193	9999-12-31	2013-05-08	23419
6610/3-1 R	2365.000000	1.250000	19.000000	4.500000	WATER BASED	1993-09-22	2193	9999-12-31	2013-05-08	23420
6610/3-1 R	2411.000000	1.250000	18.000000	4.000000	WATER BASED	1993-09-22	2193	9999-12-31	2013-05-08	23421
6610/3-1 R	2496.000000	1.250000	23.000000	5.500000	WATER BASED	1993-09-23	2193	9999-12-31	2013-05-08	23422
6610/3-1 R	2496.000000	1.250000	23.000000	5.500000	WATER BASED	1993-09-23	2193	9999-12-31	2013-05-08	23423
6610/3-1 R	2496.000000	1.250000	23.000000	5.500000	WATER BASED	1993-09-23	2193	9999-12-31	2013-05-08	23424
6610/3-1 R	2496.000000	1.250000	23.000000	5.500000	WATER BASED	1993-09-23	2193	9999-12-31	2013-05-08	23425
6610/3-1 R	2579.000000	1.250000	22.000000	5.500000	WATER BASED	1993-09-24	2193	9999-12-31	2013-05-08	23426
6610/3-1 R	2579.000000	1.250000	22.000000	5.500000	WATER BASED	1993-09-24	2193	9999-12-31	2013-05-08	23427
6610/3-1 R	2680.000000	1.250000	23.000000	5.000000	WATER BASED	1993-09-28	2193	9999-12-31	2013-05-08	23428
6610/3-1 R	2814.000000	1.250000	21.000000	5.000000	WATER BASED	1993-09-28	2193	9999-12-31	2013-05-08	23429
6610/3-1 R	2854.000000	1.250000	19.000000	5.000000	WATER BASED	1993-09-28	2193	9999-12-31	2013-05-08	23430
6610/3-1 R	3005.000000	1.250000	21.000000	5.500000	WATER BASED	1993-09-28	2193	9999-12-31	2013-05-08	23431
6610/3-1 R	3098.000000	1.250000	20.000000	6.000000	WATER BASED	1993-09-30	2193	9999-12-31	2013-05-08	23432
6610/3-1 R	3119.000000	1.250000	23.000000	5.000000	WATER BASED	1993-09-30	2193	9999-12-31	2013-05-08	23433
6610/3-1 R	3190.000000	1.500000	20.000000	6.500000	DUMMY	1993-12-03	2193	9999-12-31	2013-05-08	23434
6610/3-1 R	3190.000000	1.500000	19.000000	6.500000	DUMMY	1993-12-06	2193	9999-12-31	2013-05-08	23435
6610/3-1 R	3190.000000	1.500000	21.000000	7.000000	DUMMY	1993-12-06	2193	9999-12-31	2013-05-08	23436
6610/3-1 R	3190.000000	1.500000	19.000000	7.000000	DUMMY	1993-12-06	2193	9999-12-31	2013-05-08	23437
6610/3-1 R	3190.000000	1.400000	20.000000	6.500000	DUMMY	1993-12-02	2193	9999-12-31	2013-05-08	23438
6610/3-1 R	3190.000000	1.500000	19.000000	6.500000	DUMMY	1993-12-02	2193	9999-12-31	2013-05-08	23439
6610/3-1 R	3190.000000	1.500000	20.000000	7.000000	DUMMY	1993-12-08	2193	9999-12-31	2013-05-08	23440
6610/3-1 R	3262.000000	1.250000	20.000000	5.500000	WATER BASED	1993-10-01	2193	9999-12-31	2013-05-08	23441
6610/3-1 R	3315.000000	1.250000	0.000000	0.000000	WATER BASED	1993-10-04	2193	9999-12-31	2013-05-08	23442
6610/3-1 R	3325.000000	1.250000	22.000000	6.000000	WATER BASED	1993-10-04	2193	9999-12-31	2013-05-08	23443
6610/3-1 R	3340.000000	1.250000	20.000000	5.500000	WATER BASED	1993-10-04	2193	9999-12-31	2013-05-08	23444
6610/3-1 R	3343.000000	1.400000	20.000000	7.000000	DUMMY	1993-12-02	2193	9999-12-31	2013-05-08	23445
6610/3-1 R	3343.000000	1.400000	21.000000	6.000000	DUMMY	1993-12-02	2193	9999-12-31	2013-05-08	23446
6610/3-1 R	3343.000000	1.400000	21.000000	6.000000	DUMMY	1993-12-02	2193	9999-12-31	2013-05-08	23447
6610/3-1 R	3355.000000	1.300000	22.000000	5.000000	WATER BASED	1993-10-05	2193	9999-12-31	2013-05-08	23448
6610/3-1 R	3412.000000	1.400000	19.000000	6.000000	DUMMY	1993-12-02	2193	9999-12-31	2013-05-08	23449
6610/3-1 R	3416.000000	1.330000	21.000000	5.500000	WATER BASED	1993-10-06	2193	9999-12-31	2013-05-08	23450
6610/3-1 R	3435.000000	1.400000	22.000000	7.000000	DUMMY	1993-12-02	2193	9999-12-31	2013-05-08	23451
6610/3-1 R	3435.000000	1.400000	20.000000	6.000000	DUMMY	1993-11-25	2193	9999-12-31	2013-05-08	23452
6610/3-1 R	3435.000000	1.400000	20.000000	5.500000	DUMMY	1993-11-24	2193	9999-12-31	2013-05-08	23453
6610/3-1 R	3460.000000	1.330000	26.000000	7.500000	WATER BASED	1993-10-11	2193	9999-12-31	2013-05-08	23454
6610/3-1 R	3530.000000	1.330000	21.000000	6.000000	WATER BASED	1993-10-11	2193	9999-12-31	2013-05-08	23455
6610/3-1 R	3540.000000	1.780000	38.000000	7.000000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23456
6610/3-1 R	3547.000000	1.650000	38.000000	8.500000	WATER BASED	1993-10-25	2193	9999-12-31	2013-05-08	23457
6610/3-1 R	3547.000000	1.780000	42.000000	8.000000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23458
6610/3-1 R	3547.000000	1.780000	46.000000	8.000000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23459
6610/3-1 R	3547.000000	1.700000	41.000000	8.000000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23460
6610/3-1 R	3547.000000	1.780000	45.000000	9.500000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23461
6610/3-1 R	3547.000000	1.650000	35.000000	8.000000	WATER BASED	1993-10-27	2193	9999-12-31	2013-05-08	23462
6610/3-1 R	3547.000000	1.700000	38.000000	8.500000	WATER BASED	1993-10-27	2193	9999-12-31	2013-05-08	23463
6610/3-1 R	3547.000000	1.780000	42.000000	8.500000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23464
6610/3-1 R	3547.000000	1.780000	38.000000	7.000000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23465
6610/3-1 R	3547.000000	1.650000	40.000000	9.000000	WATER BASED	1993-10-22	2193	9999-12-31	2013-05-08	23466
6610/3-1 R	3550.000000	1.800000	39.000000	9.000000	WATER BASED	1993-11-22	2193	9999-12-31	2013-05-08	23467
6610/3-1 R	3550.000000	1.800000	38.000000	6.500000	WATER BASED	1993-11-16	2193	9999-12-31	2013-05-08	23468
6610/3-1 R	3550.000000	1.800000	40.000000	7.500000	WATER BASED	1993-11-18	2193	9999-12-31	2013-05-08	23469
6610/3-1 R	3550.000000	1.800000	40.000000	8.000000	WATER BASED	1993-11-19	2193	9999-12-31	2013-05-08	23470
6610/3-1 R	3550.000000	1.800000	40.000000	7.500000	WATER BASED	1993-11-17	2193	9999-12-31	2013-05-08	23471
6610/3-1 R	3550.000000	1.800000	39.000000	5.500000	WATER BASED	1993-11-16	2193	9999-12-31	2013-05-08	23472
6610/3-1 R	3550.000000	1.800000	32.000000	8.000000	WATER BASED	1993-11-16	2193	9999-12-31	2013-05-08	23473
6610/3-1 R	3550.000000	1.800000	37.000000	5.000000	WATER BASED	1993-11-16	2193	9999-12-31	2013-05-08	23474
6610/3-1 R	3550.000000	1.800000	34.000000	7.000000	WATER BASED	1993-11-10	2193	9999-12-31	2013-05-08	23475
6610/3-1 R	3550.000000	1.800000	35.000000	7.500000	WATER BASED	1993-11-12	2193	9999-12-31	2013-05-08	23476
6610/3-1 R	3550.000000	1.800000	33.000000	6.000000	WATER BASED	1993-11-11	2193	9999-12-31	2013-05-08	23477
6610/3-1 R	3568.000000	1.580000	34.000000	7.500000	WATER BASED	1993-10-15	2193	9999-12-31	2013-05-08	23478
6610/3-1 R	3568.000000	1.580000	32.000000	7.000000	WATER BASED	1993-10-21	2193	9999-12-31	2013-05-08	23479
6610/3-1 R	3568.000000	1.580000	32.000000	7.000000	WATER BASED	1993-10-21	2193	9999-12-31	2013-05-08	23480
6610/3-1 R	3568.000000	1.580000	32.000000	7.000000	WATER BASED	1993-10-21	2193	9999-12-31	2013-05-08	23481
6610/3-1 R	3568.000000	1.580000	35.000000	8.000000	WATER BASED	1993-10-21	2193	9999-12-31	2013-05-08	23482
6610/3-1 R	3568.000000	1.400000	27.000000	7.500000	WATER BASED	1993-10-11	2193	9999-12-31	2013-05-08	23483
6610/3-1 R	3568.000000	1.580000	35.000000	8.000000	WATER BASED	1993-10-11	2193	9999-12-31	2013-05-08	23484
6610/3-1 R	3568.000000	1.580000	36.000000	8.000000	WATER BASED	1993-10-11	2193	9999-12-31	2013-05-08	23485
6610/3-1 R	3568.000000	1.580000	39.000000	9.000000	WATER BASED	1993-10-14	2193	9999-12-31	2013-05-08	23486
6610/3-1 R	3568.000000	1.580000	33.000000	8.000000	WATER BASED	1993-10-14	2193	9999-12-31	2013-05-08	23487
6610/3-1 R	3568.000000	1.580000	39.000000	9.000000	WATER BASED	1993-10-12	2193	9999-12-31	2013-05-08	23488
6610/3-1 R	3568.000000	1.580000	31.000000	7.000000	WATER BASED	1993-10-21	2193	9999-12-31	2013-05-08	23489
6610/3-1 R	3574.000000	1.850000	46.000000	8.000000	WATER BASED	1993-11-03	2193	9999-12-31	2013-05-08	23490
6610/3-1 R	3574.000000	1.780000	44.000000	7.000000	WATER BASED	1993-11-02	2193	9999-12-31	2013-05-08	23491
6610/3-1 R	3592.000000	1.650000	40.000000	9.000000	WATER BASED	1993-10-22	2193	9999-12-31	2013-05-08	23492
6610/3-1 R	3635.000000	1.650000	38.000000	8.500000	WATER BASED	1993-10-25	2193	9999-12-31	2013-05-08	23493
6610/3-1 R	3635.000000	1.650000	35.000000	8.000000	WATER BASED	1993-10-27	2193	9999-12-31	2013-05-08	23494
6610/3-1 R	3640.000000	1.700000	38.000000	8.500000	WATER BASED	1993-10-27	2193	9999-12-31	2013-05-08	23495
6610/3-1 R	3640.000000	1.700000	41.000000	8.000000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23496
6610/3-1 R	3699.000000	1.780000	45.000000	9.500000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23497
6610/3-1 R	3720.000000	1.780000	42.000000	8.500000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23498
6610/3-1 R	3740.000000	1.780000	46.000000	8.000000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23499
6610/3-1 R	3740.000000	1.780000	44.000000	7.000000	WATER BASED	1993-11-02	2193	9999-12-31	2013-05-08	23500
6610/3-1 R	3740.000000	1.850000	46.000000	8.000000	WATER BASED	1993-11-03	2193	9999-12-31	2013-05-08	23501
6610/3-1 R	3741.000000	1.800000	46.000000	10.500000	WATER BASED	1993-11-09	2193	9999-12-31	2013-05-08	23502
6610/3-1 R	3741.000000	1.780000	42.000000	8.000000	WATER BASED	1993-11-01	2193	9999-12-31	2013-05-08	23503
6610/3-1 R	3749.000000	1.800000	35.000000	6.000000	WATER BASED	1993-11-09	2193	9999-12-31	2013-05-08	23504
6610/3-1 R	3820.000000	1.800000	34.000000	7.000000	WATER BASED	1993-11-10	2193	9999-12-31	2013-05-08	23505
6610/3-1 R	3930.000000	1.800000	33.000000	6.000000	WATER BASED	1993-11-11	2193	9999-12-31	2013-05-08	23506
6610/3-1 R	3972.000000	1.800000	35.000000	7.500000	WATER BASED	1993-11-12	2193	9999-12-31	2013-05-08	23507
6610/3-1 R	4026.000000	1.800000	39.000000	5.500000	WATER BASED	1993-11-16	2193	9999-12-31	2013-05-08	23508
6610/3-1 R	4138.000000	1.800000	32.000000	8.000000	WATER BASED	1993-11-16	2193	9999-12-31	2013-05-08	23509
6610/3-1 R	4200.000000	1.800000	38.000000	6.500000	WATER BASED	1993-11-16	2193	9999-12-31	2013-05-08	23510
6610/3-1 R	4200.000000	1.800000	37.000000	5.000000	WATER BASED	1993-11-16	2193	9999-12-31	2013-05-08	23511
6610/3-1 R	4200.000000	0.000000	40.000000	7.500000	WATER BASED	1993-11-17	2193	9999-12-31	2013-05-08	23512
6610/3-1 R	4200.000000	1.800000	40.000000	7.500000	WATER BASED	1993-11-18	2193	9999-12-31	2013-05-08	23513
6610/3-1 R	4200.000000	1.800000	39.000000	9.000000	WATER BASED	1993-11-22	2193	9999-12-31	2013-05-08	23514
6610/3-1 R	4200.000000	1.800000	40.000000	8.000000	WATER BASED	1993-11-19	2193	9999-12-31	2013-05-08	23515
6610/7-1	318.000000	1.040000	0.000000	0.000000	spud mud	9999-12-31	12	9999-12-31	2013-05-08	23516
6610/7-1	658.000000	1.090000	0.000000	0.000000	spud mud	9999-12-31	12	9999-12-31	2013-05-08	23517
6610/7-1	815.000000	1.100000	0.000000	0.000000	spud mud	9999-12-31	12	9999-12-31	2013-05-08	23518
6610/7-1	1260.000000	1.450000	48.000000	14.000000	water based	9999-12-31	12	9999-12-31	2013-05-08	23519
6610/7-1	2116.000000	1.500000	51.000000	12.000000	water based	9999-12-31	12	9999-12-31	2013-05-08	23520
6610/7-1	2334.000000	1.240000	52.000000	0.000000	water based	9999-12-31	12	9999-12-31	2013-05-08	23521
6610/7-1	3022.000000	1.230000	54.000000	11.000000	water based	9999-12-31	12	9999-12-31	2013-05-08	23522
6610/7-2	300.000000	1.070000	9.000000	0.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23523
6610/7-2	700.000000	1.100000	9.000000	18.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23524
6610/7-2	730.000000	1.120000	0.000000	0.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23525
6610/7-2	1110.000000	1.170000	0.000000	0.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23526
6610/7-2	1135.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23527
6610/7-2	1175.000000	1.310000	0.000000	0.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23528
6610/7-2	1225.000000	1.320000	17.000000	19.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23529
6610/7-2	1300.000000	1.430000	0.000000	0.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23530
6610/7-2	1400.000000	1.430000	19.000000	19.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23531
6610/7-2	1465.000000	1.400000	12.000000	11.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23532
6610/7-2	2260.000000	1.140000	18.000000	18.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23533
6610/7-2	2295.000000	1.190000	20.000000	15.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23534
6610/7-2	2385.000000	1.130000	21.000000	16.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23535
6610/7-2	2530.000000	1.200000	22.000000	20.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23536
6610/7-2	2795.000000	1.210000	21.000000	19.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23537
6610/7-2	2845.000000	1.220000	24.000000	20.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23538
6610/7-2	2870.000000	1.200000	30.000000	16.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23539
6610/7-2	2890.000000	1.190000	19.000000	17.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23540
6610/7-2	2920.000000	1.180000	19.000000	14.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23541
6610/7-2	3000.000000	1.190000	22.000000	14.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23542
6610/7-2	3140.000000	1.200000	21.000000	10.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23543
6610/7-2	3240.000000	1.210000	17.000000	22.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23544
6610/7-2	3355.000000	1.300000	23.000000	15.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23545
6610/7-2	3450.000000	1.350000	28.000000	17.000000	WATER BASED	9999-12-31	26	9999-12-31	2013-05-08	23546
6704/12-1	1705.000000	1.080000	0.000000	0.000000	spud mud	9999-12-31	3759	9999-12-31	2013-05-08	23547
6704/12-1	2384.000000	1.110000	11.000000	0.000000	kcl mud	9999-12-31	3759	9999-12-31	2013-05-08	23548
6704/12-1	2392.000000	1.170000	16.000000	0.000000	nacl	9999-12-31	3759	9999-12-31	2013-05-08	23549
6704/12-1	4103.000000	1.230000	17.000000	0.000000	nacl satura	9999-12-31	3759	9999-12-31	2013-05-08	23550
6705/10-1	1447.000000	1.300000	19.000000	0.000000	Ultradrill	9999-12-31	6044	9999-12-31	2013-05-08	23551
6705/10-1	1450.000000	1.300000	19.000000	0.000000	Ultradrill	9999-12-31	6044	9999-12-31	2013-05-08	23552
6705/10-1	1850.000000	1.140000	14.000000	0.000000	Ultradrill	9999-12-31	6044	9999-12-31	2013-05-08	23553
6705/10-1	2360.000000	1.300000	20.000000	0.000000	Ultradrill	9999-12-31	6044	9999-12-31	2013-05-08	23554
6705/10-1	2905.000000	1.200000	14.000000	0.000000	Ultradrill	9999-12-31	6044	9999-12-31	2013-05-08	23555
6705/10-1	2905.000000	1.180000	14.000000	0.000000	Ultradrill	9999-12-31	6044	9999-12-31	2013-05-08	23556
6705/10-1	3226.000000	1.240000	20.000000	0.000000	Ultradrill	9999-12-31	6044	9999-12-31	2013-05-08	23557
6705/10-1	3306.000000	1.240000	20.000000	0.000000	Ultradrill	9999-12-31	6044	9999-12-31	2013-05-08	23558
6705/10-1	3332.000000	1.250000	22.000000	0.000000	Ultradrill	9999-12-31	6044	9999-12-31	2013-05-08	23559
6705/10-1	3495.000000	1.270000	24.000000	0.000000	Ultradrill	9999-12-31	6044	9999-12-31	2013-05-08	23560
6705/10-1	3775.000000	1.260000	25.000000	0.000000	Ultradrill	9999-12-31	6044	9999-12-31	2013-05-08	23561
6706/11-1	1264.000000	1.020000	0.000000	0.000000	spud mud	9999-12-31	3202	9999-12-31	2013-05-08	23562
6706/11-1	1341.000000	1.050000	0.000000	0.000000	spud mud	9999-12-31	3202	9999-12-31	2013-05-08	23563
6706/11-1	1641.000000	1.130000	6.000000	4.500000	barasilc	9999-12-31	3202	9999-12-31	2013-05-08	23564
6706/11-1	1907.000000	1.110000	6.000000	4.000000	barasilc	9999-12-31	3202	9999-12-31	2013-05-08	23565
6706/11-1	1933.000000	1.200000	22.000000	9.500000	sea water	9999-12-31	3202	9999-12-31	2013-05-08	23566
6706/11-1	2246.000000	1.260000	27.500000	12.000000	barasilc	9999-12-31	3202	9999-12-31	2013-05-08	23567
6706/11-1	4317.000000	1.260000	27.500000	12.000000	barasilc	9999-12-31	3202	9999-12-31	2013-05-08	23568
6706/12-1	1379.000000	1.030000	0.000000	0.000000	spud mud	9999-12-31	5867	9999-12-31	2013-05-08	23569
6706/12-1	2034.000000	1.030000	0.000000	0.000000	spud mud	9999-12-31	5867	9999-12-31	2013-05-08	23570
6706/12-1	2583.000000	1.180000	0.000000	0.000000	Ultradril	9999-12-31	5867	9999-12-31	2013-05-08	23571
6706/12-1	3950.000000	1.230000	0.000000	0.000000	Ultradril	9999-12-31	5867	9999-12-31	2013-05-08	23572
6706/6-1	1428.000000	1.050000	0.000000	0.000000	DUMMY	9999-12-31	4705	9999-12-31	2013-05-08	23573
6706/6-1	2050.000000	0.000000	0.000000	0.000000	DUMMY	9999-12-31	4705	9999-12-31	2013-05-08	23574
6706/6-1	2770.000000	1.180000	15.000000	0.000000	DUMMY	9999-12-31	4705	9999-12-31	2013-05-08	23575
6706/6-1	3220.000000	0.000000	0.000000	0.000000	DUMMY	9999-12-31	4705	9999-12-31	2013-05-08	23576
6706/6-1	3349.000000	1.280000	15.000000	0.000000	DUMMY	9999-12-31	4705	9999-12-31	2013-05-08	23577
6707/10-1	1299.000000	0.000000	0.000000	0.000000	seawater/be	9999-12-31	3075	9999-12-31	2013-05-08	23578
6707/10-1	1376.000000	1.040000	0.000000	0.000000	Seawater/be	9999-12-31	3075	9999-12-31	2013-05-08	23579
6707/10-1	2207.000000	1.040000	17.000000	11.000000	Seawater/be	9999-12-31	3075	9999-12-31	2013-05-08	23580
6707/10-1	2896.000000	1.260000	12.000000	18.000000	Barasilc	9999-12-31	3075	9999-12-31	2013-05-08	23581
6707/10-1	3871.000000	1.280000	23.000000	24.000000	Nacl/Kcl/Ge	9999-12-31	3075	9999-12-31	2013-05-08	23582
6707/10-1	5039.000000	1.260000	20.000000	19.000000	Nacl/Kcl/Ge	9999-12-31	3075	9999-12-31	2013-05-08	23583
6707/10-2 A	1440.000000	1.180000	16.000000	0.000000	Glydril	9999-12-31	5931	9999-12-31	2013-05-08	23584
6707/10-2 A	3112.000000	1.170000	14.000000	0.000000	Versatec	9999-12-31	5931	9999-12-31	2013-05-08	23585
6707/10-2 A	3288.000000	1.180000	15.000000	0.000000	Versatec	9999-12-31	5931	9999-12-31	2013-05-08	23586
6707/10-2 A	3983.000000	1.200000	15.000000	0.000000	Versatec	9999-12-31	5931	9999-12-31	2013-05-08	23587
6707/10-2 A	4461.000000	1.200000	15.000000	0.000000	Versatec	9999-12-31	5931	9999-12-31	2013-05-08	23588
6707/10-2 A	4486.000000	1.230000	16.000000	0.000000	Versatec	9999-12-31	5931	9999-12-31	2013-05-08	23589
6707/10-2 A	4488.000000	1.230000	16.000000	0.000000	Versatec	9999-12-31	5931	9999-12-31	2013-05-08	23590
6707/10-2 A	4850.000000	1.290000	21.000000	0.000000	Versatec	9999-12-31	5931	9999-12-31	2013-05-08	23591
6707/10-2 A	4850.000000	1.260000	17.000000	0.000000	Versatec	9999-12-31	5931	9999-12-31	2013-05-08	23592
6707/10-2 S	1363.000000	1.350000	19.000000	0.000000	Spud Mud	9999-12-31	5918	9999-12-31	2013-05-08	23593
6707/10-2 S	2010.000000	1.350000	15.000000	0.000000	Glydril	9999-12-31	5918	9999-12-31	2013-05-08	23594
6707/10-2 S	2136.000000	1.140000	9.000000	0.000000	Glydril	9999-12-31	5918	9999-12-31	2013-05-08	23595
6707/10-2 S	2253.000000	1.150000	10.000000	0.000000	Glydril	9999-12-31	5918	9999-12-31	2013-05-08	23596
6707/10-2 S	2450.000000	1.160000	10.000000	0.000000	Glydril	9999-12-31	5918	9999-12-31	2013-05-08	23597
6707/10-2 S	2525.000000	1.160000	11.000000	0.000000	Glydril	9999-12-31	5918	9999-12-31	2013-05-08	23598
6707/10-2 S	2687.000000	1.150000	11.000000	0.000000	Glydril	9999-12-31	5918	9999-12-31	2013-05-08	23599
6707/10-2 S	2810.000000	1.150000	12.000000	0.000000	Glydril	9999-12-31	5918	9999-12-31	2013-05-08	23600
6707/10-2 S	2950.000000	1.160000	12.000000	0.000000	Glydril	9999-12-31	5918	9999-12-31	2013-05-08	23601
6707/10-2 S	3030.000000	1.150000	13.000000	0.000000	Glydril	9999-12-31	5918	9999-12-31	2013-05-08	23602
6707/10-2 S	3052.000000	1.170000	14.000000	0.000000	Versatec	9999-12-31	5918	9999-12-31	2013-05-08	23603
6707/10-2 S	3098.000000	1.160000	14.000000	0.000000	Versatec	9999-12-31	5918	9999-12-31	2013-05-08	23604
6707/10-2 S	3100.000000	1.150000	13.000000	0.000000	Glydril	9999-12-31	5918	9999-12-31	2013-05-08	23605
6707/10-2 S	3103.000000	1.160000	16.000000	0.000000	Glydril DW #36	9999-12-31	5918	9999-12-31	2013-05-08	23606
6707/10-2 S	3158.000000	1.200000	16.000000	0.000000	Glydril DW #36	9999-12-31	5918	9999-12-31	2013-05-08	23607
6707/10-2 S	3195.000000	1.200000	16.000000	0.000000	Glydril DW #36	9999-12-31	5918	9999-12-31	2013-05-08	23608
6707/10-2 S	3195.000000	1.200000	16.000000	0.000000	Glydril DW #36	9999-12-31	5918	9999-12-31	2013-05-08	23609
6707/10-2 S	3213.000000	1.230000	15.000000	0.000000	Glydril DW #36	9999-12-31	5918	9999-12-31	2013-05-08	23610
6707/10-2 S	3231.000000	1.230000	15.000000	0.000000	Glydril DW #36	9999-12-31	5918	9999-12-31	2013-05-08	23611
6707/10-2 S	3282.000000	1.240000	16.000000	0.000000	Glydril DW #36	9999-12-31	5918	9999-12-31	2013-05-08	23612
6707/10-2 S	3308.000000	1.250000	16.000000	0.000000	Glydril DW #36	9999-12-31	5918	9999-12-31	2013-05-08	23613
6707/10-2 S	3365.000000	1.250000	15.000000	0.000000	Glydril DW #36	9999-12-31	5918	9999-12-31	2013-05-08	23614
6710/10-1	470.000000	1.030000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	3941	9999-12-31	2013-05-08	23615
6710/10-1	840.000000	1.250000	10.000000	0.000000	GLYDRILL	9999-12-31	3941	9999-12-31	2013-05-08	23616
6710/10-1	996.000000	1.250000	12.000000	0.000000	GLYDRILL	9999-12-31	3941	9999-12-31	2013-05-08	23617
6710/10-1	1055.000000	1.250000	10.000000	0.000000	GLYDRILL	9999-12-31	3941	9999-12-31	2013-05-08	23618
6710/10-1	1112.000000	1.250000	13.000000	0.000000	GLYDRILL	9999-12-31	3941	9999-12-31	2013-05-08	23619
6710/10-1	1400.000000	1.250000	13.000000	0.000000	GLYDRILL	9999-12-31	3941	9999-12-31	2013-05-08	23620
6710/10-1	1456.000000	1.250000	12.000000	0.000000	GLYDRILL	9999-12-31	3941	9999-12-31	2013-05-08	23621
6710/10-1	1687.000000	1.260000	0.000000	0.000000	DUMMY	9999-12-31	3941	9999-12-31	2013-05-08	23622
6710/10-1	2047.000000	1.270000	12.000000	0.000000	GLYDRILL	9999-12-31	3941	9999-12-31	2013-05-08	23623
6710/10-1	2267.000000	1.270000	12.000000	0.000000	GLYDRILL	9999-12-31	3941	9999-12-31	2013-05-08	23624
7/1-1	137.000000	1.130000	0.000000	0.000000	water-based	9999-12-31	192	9999-12-31	2013-05-08	23625
7/1-1	381.000000	1.170000	0.000000	0.000000	water-based	9999-12-31	192	9999-12-31	2013-05-08	23626
7/1-1	856.000000	1.290000	0.000000	0.000000	water-based	9999-12-31	192	9999-12-31	2013-05-08	23627
7/1-1	1409.000000	1.460000	0.000000	0.000000	water-based	9999-12-31	192	9999-12-31	2013-05-08	23628
7/1-1	1600.000000	1.460000	0.000000	0.000000	water-based	9999-12-31	192	9999-12-31	2013-05-08	23629
7/1-1	2451.000000	1.500000	0.000000	0.000000	water-based	9999-12-31	192	9999-12-31	2013-05-08	23630
7/1-1	2807.000000	1.480000	0.000000	0.000000	water-based	9999-12-31	192	9999-12-31	2013-05-08	23631
7/11-1	0.000000	1.140000	60.000000	0.000000	waterbased	9999-12-31	149	9999-12-31	2013-05-08	23632
7/11-1	1219.000000	1.070000	40.000000	0.000000	waterbased	9999-12-31	149	9999-12-31	2013-05-08	23633
7/11-1	1981.000000	1.140000	60.000000	0.000000	waterbased	9999-12-31	149	9999-12-31	2013-05-08	23634
7/11-1	2469.000000	1.390000	50.000000	0.000000	waterbased	9999-12-31	149	9999-12-31	2013-05-08	23635
7/11-1	2896.000000	1.490000	50.000000	0.000000	waterbased	9999-12-31	149	9999-12-31	2013-05-08	23636
7/11-1	3139.000000	1.550000	50.000000	0.000000	waterbased	9999-12-31	149	9999-12-31	2013-05-08	23637
7/11-1	3974.000000	1.430000	40.000000	0.000000	waterbased	9999-12-31	149	9999-12-31	2013-05-08	23638
7/11-10 S	192.000000	1.200000	0.000000	0.000000	WATER BASED	1990-07-10	1563	9999-12-31	2013-05-08	23639
7/11-10 S	192.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-10	1563	9999-12-31	2013-05-08	23640
7/11-10 S	359.000000	1.600000	15.000000	9.000000	WATER BASED	1990-09-27	1563	9999-12-31	2013-05-08	23641
7/11-10 S	425.000000	1.070000	6.000000	7.000000	WATER BASED	1990-07-11	1563	9999-12-31	2013-05-08	23642
7/11-10 S	611.000000	1.100000	9.000000	10.000000	WATER BASED	1990-07-12	1563	9999-12-31	2013-05-08	23643
7/11-10 S	611.000000	1.200000	15.000000	8.000000	WATER BASED	1990-07-13	1563	9999-12-31	2013-05-08	23644
7/11-10 S	618.000000	1.200000	15.000000	8.000000	WATER BASED	1990-07-16	1563	9999-12-31	2013-05-08	23645
7/11-10 S	1102.000000	1.300000	17.000000	13.000000	WATER BASED	1990-07-16	1563	9999-12-31	2013-05-08	23646
7/11-10 S	1499.000000	1.440000	23.000000	13.000000	WATER BASED	1990-07-16	1563	9999-12-31	2013-05-08	23647
7/11-10 S	1874.000000	1.500000	22.000000	9.000000	WATER BASED	1990-07-17	1563	9999-12-31	2013-05-08	23648
7/11-10 S	1957.000000	1.530000	21.000000	11.000000	WATER BASED	1990-07-18	1563	9999-12-31	2013-05-08	23649
7/11-10 S	1957.000000	1.520000	21.000000	10.000000	WATER BASED	1990-07-19	1563	9999-12-31	2013-05-08	23650
7/11-10 S	1957.000000	1.500000	21.000000	12.000000	WATER BASED	1990-07-20	1563	9999-12-31	2013-05-08	23651
7/11-10 S	2277.000000	1.520000	54.000000	12.000000	OIL BASED	1990-07-23	1563	9999-12-31	2013-05-08	23652
7/11-10 S	2741.000000	1.510000	50.000000	10.000000	OIL BASED	1990-07-23	1563	9999-12-31	2013-05-08	23653
7/11-10 S	2865.000000	1.520000	49.000000	12.000000	OIL BASED	1990-07-23	1563	9999-12-31	2013-05-08	23654
7/11-10 S	2952.000000	1.530000	51.000000	11.000000	OIL BASED	1990-07-24	1563	9999-12-31	2013-05-08	23655
7/11-10 S	3137.000000	1.520000	53.000000	10.000000	OIL BASED	1990-07-25	1563	9999-12-31	2013-05-08	23656
7/11-10 S	3167.000000	1.520000	51.000000	11.000000	OIL BASED	1990-07-26	1563	9999-12-31	2013-05-08	23657
7/11-10 S	3313.000000	1.510000	51.000000	10.000000	OIL BASED	1990-07-27	1563	9999-12-31	2013-05-08	23658
7/11-10 S	3388.000000	1.520000	53.000000	11.000000	OIL BASED	1990-07-30	1563	9999-12-31	2013-05-08	23659
7/11-10 S	3406.000000	1.530000	54.000000	10.000000	OIL BASED	1990-07-30	1563	9999-12-31	2013-05-08	23660
7/11-10 S	3434.000000	1.530000	50.000000	11.000000	OIL BASED	1990-08-09	1563	9999-12-31	2013-05-08	23661
7/11-10 S	3471.000000	1.520000	56.000000	10.000000	OIL BASED	1990-07-30	1563	9999-12-31	2013-05-08	23662
7/11-10 S	3488.000000	1.520000	55.000000	11.000000	OIL BASED	1990-07-31	1563	9999-12-31	2013-05-08	23663
7/11-10 S	3529.000000	1.520000	56.000000	10.000000	OIL BASED	1990-08-01	1563	9999-12-31	2013-05-08	23664
7/11-10 S	3557.000000	1.510000	55.000000	12.000000	OIL BASED	1990-08-10	1563	9999-12-31	2013-05-08	23665
7/11-10 S	3608.000000	1.520000	54.000000	9.000000	OIL BASED	1990-08-13	1563	9999-12-31	2013-05-08	23666
7/11-10 S	3626.000000	1.520000	56.000000	12.000000	OIL BASED	1990-08-02	1563	9999-12-31	2013-05-08	23667
7/11-10 S	3682.000000	1.520000	53.000000	9.000000	OIL BASED	1990-08-13	1563	9999-12-31	2013-05-08	23668
7/11-10 S	3725.000000	1.520000	49.000000	9.000000	OIL BASED	1990-08-03	1563	9999-12-31	2013-05-08	23669
7/11-10 S	3760.000000	1.520000	49.000000	9.000000	OIL BASED	1990-08-06	1563	9999-12-31	2013-05-08	23670
7/11-10 S	3760.000000	1.520000	41.000000	9.000000	OIL BASED	1990-08-06	1563	9999-12-31	2013-05-08	23671
7/11-10 S	3760.000000	1.520000	41.000000	9.000000	OIL BASED	1990-08-06	1563	9999-12-31	2013-05-08	23672
7/11-10 S	3810.000000	1.510000	46.000000	10.000000	OIL BASED	1990-08-13	1563	9999-12-31	2013-05-08	23673
7/11-10 S	3841.000000	1.520000	46.000000	11.000000	OIL BASED	1990-08-14	1563	9999-12-31	2013-05-08	23674
7/11-10 S	3937.000000	1.520000	42.000000	9.000000	OIL BASED	1990-08-15	1563	9999-12-31	2013-05-08	23675
7/11-10 S	3998.000000	1.520000	44.000000	10.000000	OIL BASED	1990-08-16	1563	9999-12-31	2013-05-08	23676
7/11-10 S	4020.000000	1.580000	21.000000	5.000000	WATER BASED	1990-09-28	1563	9999-12-31	2013-05-08	23677
7/11-10 S	4075.000000	1.520000	47.000000	9.000000	OIL BASED	1990-08-17	1563	9999-12-31	2013-05-08	23678
7/11-10 S	4078.000000	1.520000	46.000000	9.000000	OIL BASED	1990-08-20	1563	9999-12-31	2013-05-08	23679
7/11-10 S	4099.000000	1.520000	44.000000	10.000000	OIL BASED	1990-08-20	1563	9999-12-31	2013-05-08	23680
7/11-10 S	4116.000000	1.520000	47.000000	10.000000	OIL BASED	1990-08-20	1563	9999-12-31	2013-05-08	23681
7/11-10 S	4126.000000	1.520000	47.000000	9.000000	OIL BASED	1990-08-21	1563	9999-12-31	2013-05-08	23682
7/11-10 S	4138.000000	1.520000	44.000000	9.000000	OIL BASED	1990-08-22	1563	9999-12-31	2013-05-08	23683
7/11-10 S	4159.000000	1.520000	49.000000	10.000000	OIL BASED	1990-08-23	1563	9999-12-31	2013-05-08	23684
7/11-10 S	4208.000000	1.520000	51.000000	10.000000	OIL BASED	1990-08-27	1563	9999-12-31	2013-05-08	23685
7/11-10 S	4220.000000	1.520000	43.000000	9.000000	OIL BASED	1990-08-27	1563	9999-12-31	2013-05-08	23686
7/11-10 S	4220.000000	1.520000	43.000000	8.000000	OIL BASED	1990-08-29	1563	9999-12-31	2013-05-08	23687
7/11-10 S	4220.000000	1.540000	23.000000	6.000000	WATER BASED	1990-08-29	1563	9999-12-31	2013-05-08	23688
7/11-10 S	4220.000000	1.520000	43.000000	7.000000	OIL BASED	1990-08-27	1563	9999-12-31	2013-05-08	23689
7/11-10 S	4366.000000	1.550000	21.000000	8.000000	WATER BASED	1990-08-31	1563	9999-12-31	2013-05-08	23690
7/11-10 S	4397.000000	1.540000	20.000000	6.000000	WATER BASED	1990-09-03	1563	9999-12-31	2013-05-08	23691
7/11-10 S	4503.000000	1.540000	19.000000	7.000000	WATER BASED	1990-09-03	1563	9999-12-31	2013-05-08	23692
7/11-10 S	4511.000000	1.580000	20.000000	5.000000	WATER BASED	1990-10-02	1563	9999-12-31	2013-05-08	23693
7/11-10 S	4511.000000	1.530000	16.000000	4.000000	WATER BASED	1990-10-02	1563	9999-12-31	2013-05-08	23694
7/11-10 S	4511.000000	1.500000	21.000000	6.000000	WATER BASED	1990-10-02	1563	9999-12-31	2013-05-08	23695
7/11-10 S	4517.000000	1.600000	22.000000	4.000000	WATER BASED	1990-09-10	1563	9999-12-31	2013-05-08	23696
7/11-10 S	4517.000000	1.600000	22.000000	4.000000	WATER BASED	1990-09-10	1563	9999-12-31	2013-05-08	23697
7/11-10 S	4566.000000	1.600000	25.000000	9.000000	WATER BASED	1990-09-07	1563	9999-12-31	2013-05-08	23698
7/11-10 S	4566.000000	1.570000	24.000000	10.000000	WATER BASED	1990-09-03	1563	9999-12-31	2013-05-08	23699
7/11-10 S	4566.000000	1.600000	24.000000	10.000000	WATER BASED	1990-09-05	1563	9999-12-31	2013-05-08	23700
7/11-10 S	4566.000000	1.600000	25.000000	9.000000	WATER BASED	1990-09-06	1563	9999-12-31	2013-05-08	23701
7/11-10 S	4566.000000	1.570000	23.000000	10.000000	WATER BASED	1990-09-04	1563	9999-12-31	2013-05-08	23702
7/11-11 S	123.000000	1.040000	120.000000	0.000000	WATER BASED	9999-12-31	5474	9999-12-31	2013-05-08	23703
7/11-11 S	210.000000	1.040000	120.000000	0.000000	WATER BASED	9999-12-31	5474	9999-12-31	2013-05-08	23704
7/11-11 S	915.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	5474	9999-12-31	2013-05-08	23705
7/11-11 S	938.000000	1.180000	120.000000	0.000000	WATER BASED	9999-12-31	5474	9999-12-31	2013-05-08	23706
7/11-11 S	1013.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23707
7/11-11 S	1323.000000	1.240000	56.000000	0.000000	WATER BASED	9999-12-31	5474	9999-12-31	2013-05-08	23708
7/11-11 S	1722.000000	1.600000	0.000000	0.000000	WATER BASED	9999-12-31	5474	9999-12-31	2013-05-08	23709
7/11-11 S	1937.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23710
7/11-11 S	3326.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23711
7/11-11 S	3333.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23712
7/11-11 S	3402.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23713
7/11-11 S	3474.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23714
7/11-11 S	3493.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23715
7/11-11 S	4077.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23716
7/11-11 S	4181.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23717
7/11-11 S	4185.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23718
7/11-11 S	4296.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23719
7/11-11 S	4301.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23720
7/11-11 S	4679.000000	1.620000	0.000000	0.000000	OIL BASED	9999-12-31	5474	9999-12-31	2013-05-08	23721
7/11-12 A	2675.000000	1.720000	34.000000	0.000000	Paratherm	9999-12-31	6655	9999-12-31	2013-05-08	23722
7/11-12 A	2675.000000	1.720000	32.000000	0.000000	Paratherm	9999-12-31	6655	9999-12-31	2013-05-08	23723
7/11-12 A	3670.000000	1.700000	39.000000	0.000000	Paratherm	9999-12-31	6655	9999-12-31	2013-05-08	23724
7/11-12 A	4018.000000	1.680000	47.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23725
7/11-12 A	4461.000000	1.680000	47.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23726
7/11-12 A	4950.000000	1.790000	51.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23727
7/11-12 A	5064.000000	2.100000	77.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23728
7/11-12 A	5083.000000	1.910000	45.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23729
7/11-12 A	5213.000000	2.140000	73.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23730
7/11-12 A	5213.000000	2.130000	77.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23731
7/11-12 A	5213.000000	1.920000	52.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23732
7/11-12 A	5236.000000	2.100000	72.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23733
7/11-12 A	5428.000000	2.140000	79.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23734
7/11-12 A	5506.000000	2.120000	73.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23735
7/11-12 A	5506.000000	2.120000	66.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23736
7/11-12 A	5537.000000	2.130000	58.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23737
7/11-12 A	5537.000000	2.100000	69.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23738
7/11-12 A	5537.000000	2.090000	75.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23739
7/11-12 A	5580.000000	2.080000	67.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23740
7/11-12 A	5672.000000	2.080000	66.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23741
7/11-12 A	5672.000000	2.100000	74.000000	0.000000	Warp	9999-12-31	6655	9999-12-31	2013-05-08	23742
7/11-12 S	122.000000	1.140000	13.000000	0.000000	Water Base	9999-12-31	6549	9999-12-31	2013-05-08	23743
7/11-12 S	290.000000	1.170000	15.000000	0.000000	Water Base	9999-12-31	6549	9999-12-31	2013-05-08	23744
7/11-12 S	597.000000	1.580000	47.000000	0.000000	Versatec	9999-12-31	6549	9999-12-31	2013-05-08	23745
7/11-12 S	970.000000	12.040000	14.000000	0.000000	Potassium Base	9999-12-31	6549	9999-12-31	2013-05-08	23746
7/11-12 S	1022.000000	1.600000	49.000000	0.000000	Versatec	9999-12-31	6549	9999-12-31	2013-05-08	23747
7/11-12 S	1039.000000	1.580000	40.000000	0.000000	Versatec	9999-12-31	6549	9999-12-31	2013-05-08	23748
7/11-12 S	1084.000000	1.640000	50.000000	0.000000	Versatec	9999-12-31	6549	9999-12-31	2013-05-08	23749
7/11-12 S	1189.000000	1.640000	51.000000	0.000000	Versatec	9999-12-31	6549	9999-12-31	2013-05-08	23750
7/11-12 S	3900.000000	1.640000	65.000000	0.000000	Oil Base	9999-12-31	6549	9999-12-31	2013-05-08	23751
7/11-12 S	3950.000000	1.680000	35.000000	0.000000	Warp	9999-12-31	6549	9999-12-31	2013-05-08	23752
7/11-12 S	3976.000000	1.670000	38.000000	0.000000	Paratherm	9999-12-31	6549	9999-12-31	2013-05-08	23753
7/11-12 S	4258.000000	1.730000	40.000000	0.000000	Paratherm	9999-12-31	6549	9999-12-31	2013-05-08	23754
7/11-12 S	4770.000000	1.680000	32.000000	0.000000	Warp	9999-12-31	6549	9999-12-31	2013-05-08	23755
7/11-12 S	4770.000000	1.690000	31.000000	0.000000	Warp	9999-12-31	6549	9999-12-31	2013-05-08	23756
7/11-12 S	4857.000000	1.800000	42.000000	0.000000	Paratherm	9999-12-31	6549	9999-12-31	2013-05-08	23757
7/11-12 S	4964.000000	2.080000	50.000000	0.000000	Warp	9999-12-31	6549	9999-12-31	2013-05-08	23758
7/11-12 S	4964.000000	1.930000	43.000000	0.000000	Paratherm	9999-12-31	6549	9999-12-31	2013-05-08	23759
7/11-12 S	4995.000000	2.080000	51.000000	0.000000	Warp	9999-12-31	6549	9999-12-31	2013-05-08	23760
7/11-12 S	5340.000000	2.170000	70.000000	0.000000	Warp	9999-12-31	6549	9999-12-31	2013-05-08	23761
7/11-12 S	5420.000000	2.170000	72.000000	0.000000	Warp	9999-12-31	6549	9999-12-31	2013-05-08	23762
7/11-2	1219.000000	1.070000	30.000000	12.000000	waterbased	9999-12-31	156	9999-12-31	2013-05-08	23763
7/11-2	1981.000000	1.190000	65.000000	30.000000	waterbased	9999-12-31	156	9999-12-31	2013-05-08	23764
7/11-2	2744.000000	1.430000	55.000000	25.000000	waterbased	9999-12-31	156	9999-12-31	2013-05-08	23765
7/11-2	2959.000000	1.630000	55.000000	8.000000	waterbased	9999-12-31	156	9999-12-31	2013-05-08	23766
7/11-2	3427.000000	1.550000	60.000000	14.000000	waterbased	9999-12-31	156	9999-12-31	2013-05-08	23767
7/11-3	141.000000	1.050000	0.000000	0.000000	waterbased	9999-12-31	159	9999-12-31	2013-05-08	23768
7/11-3	502.000000	1.220000	0.000000	0.000000	waterbased	9999-12-31	159	9999-12-31	2013-05-08	23769
7/11-3	1993.000000	1.430000	0.000000	0.000000	waterbased	9999-12-31	159	9999-12-31	2013-05-08	23770
7/11-3	2298.000000	1.550000	0.000000	0.000000	waterbased	9999-12-31	159	9999-12-31	2013-05-08	23771
7/11-3	2743.000000	1.720000	0.000000	0.000000	waterbased	9999-12-31	159	9999-12-31	2013-05-08	23772
7/11-3	3179.000000	1.650000	0.000000	0.000000	waterbased	9999-12-31	159	9999-12-31	2013-05-08	23773
7/11-4	610.000000	1.020000	0.000000	0.000000	waterbased	9999-12-31	167	9999-12-31	2013-05-08	23774
7/11-4	1524.000000	1.550000	47.000000	0.000000	waterbased	9999-12-31	167	9999-12-31	2013-05-08	23775
7/11-4	2377.000000	1.660000	49.000000	0.000000	waterbased	9999-12-31	167	9999-12-31	2013-05-08	23776
7/11-4	3170.000000	1.500000	48.000000	0.000000	waterbased	9999-12-31	167	9999-12-31	2013-05-08	23777
7/11-4	3321.000000	1.500000	47.000000	0.000000	waterbased	9999-12-31	167	9999-12-31	2013-05-08	23778
7/11-5	310.000000	1.080000	3.000000	11.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23779
7/11-5	615.000000	1.150000	6.000000	20.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23780
7/11-5	1375.000000	1.460000	19.000000	28.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23781
7/11-5	1766.000000	1.570000	21.000000	13.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23782
7/11-5	1971.000000	1.620000	31.000000	18.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23783
7/11-5	2115.000000	1.620000	26.000000	15.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23784
7/11-5	2771.000000	1.650000	26.000000	15.500000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23785
7/11-5	3228.000000	1.540000	14.000000	14.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23786
7/11-5	3510.000000	1.610000	15.000000	10.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23787
7/11-5	3904.000000	1.610000	18.000000	12.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23788
7/11-5	4039.000000	1.700000	22.000000	5.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23789
7/11-5	4334.000000	1.800000	17.000000	6.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23790
7/11-5	4478.000000	1.810000	18.000000	8.000000	WATER BASED	1982-06-06	42	9999-12-31	2013-05-08	23791
7/11-6	200.000000	1.120000	0.000000	0.000000	waterbased	9999-12-31	86	9999-12-31	2013-05-08	23792
7/11-6	650.000000	1.150000	0.000000	0.000000	waterbased	9999-12-31	86	9999-12-31	2013-05-08	23793
7/11-6	1220.000000	1.250000	44.000000	0.000000	waterbased	9999-12-31	86	9999-12-31	2013-05-08	23794
7/11-6	1650.000000	1.460000	51.000000	0.000000	waterbased	9999-12-31	86	9999-12-31	2013-05-08	23795
7/11-6	2070.000000	1.500000	48.000000	0.000000	waterbased	9999-12-31	86	9999-12-31	2013-05-08	23796
7/11-6	3640.000000	1.560000	38.000000	0.000000	waterbased	9999-12-31	86	9999-12-31	2013-05-08	23797
7/11-6	4170.000000	1.600000	45.000000	0.000000	waterbased	9999-12-31	86	9999-12-31	2013-05-08	23798
7/11-6	4500.000000	1.600000	48.000000	0.000000	waterbased	9999-12-31	86	9999-12-31	2013-05-08	23799
7/11-7	1400.000000	1.510000	48.000000	0.000000	waterbased	9999-12-31	57	9999-12-31	2013-05-08	23800
7/11-7	1540.000000	1.680000	66.000000	0.000000	waterbased	9999-12-31	57	9999-12-31	2013-05-08	23801
7/11-7	1645.000000	1.650000	66.000000	0.000000	waterbased	9999-12-31	57	9999-12-31	2013-05-08	23802
7/11-7	3100.000000	1.650000	66.000000	0.000000	waterbased	9999-12-31	57	9999-12-31	2013-05-08	23803
7/11-7	3290.000000	1.030000	52.000000	0.000000	waterbased	9999-12-31	57	9999-12-31	2013-05-08	23804
7/11-7	3340.000000	1.440000	54.000000	0.000000	waterbased	9999-12-31	57	9999-12-31	2013-05-08	23805
7/11-7	3930.000000	1.440000	60.000000	0.000000	waterbased	9999-12-31	57	9999-12-31	2013-05-08	23806
7/11-7	4250.000000	1.450000	53.000000	0.000000	waterbased	9999-12-31	57	9999-12-31	2013-05-08	23807
7/11-7	4540.000000	1.640000	58.000000	0.000000	waterbased	9999-12-31	57	9999-12-31	2013-05-08	23808
7/11-7	4780.000000	1.770000	54.000000	0.000000	waterbased	9999-12-31	57	9999-12-31	2013-05-08	23809
7/11-8	400.000000	1.090000	0.000000	0.000000	waterbased	9999-12-31	30	9999-12-31	2013-05-08	23810
7/11-8	1503.000000	1.210000	43.000000	11.000000	waterbased	9999-12-31	30	9999-12-31	2013-05-08	23811
7/11-8	1939.000000	1.470000	55.000000	14.000000	waterbased	9999-12-31	30	9999-12-31	2013-05-08	23812
7/11-8	2300.000000	1.520000	54.000000	12.000000	waterbased	9999-12-31	30	9999-12-31	2013-05-08	23813
7/11-8	3679.000000	1.520000	64.000000	15.000000	waterbased	9999-12-31	30	9999-12-31	2013-05-08	23814
7/11-8	4750.000000	1.550000	52.000000	17.000000	waterbased	9999-12-31	30	9999-12-31	2013-05-08	23815
7/11-9	192.000000	1.070000	0.000000	0.000000	WATER BASED	1985-12-01	856	9999-12-31	2013-05-08	23816
7/11-9	192.000000	1.200000	0.000000	0.000000	WATER BASED	1985-11-27	856	9999-12-31	2013-05-08	23817
7/11-9	635.000000	1.100000	5.000000	12.000000	WATER BASED	1985-12-01	856	9999-12-31	2013-05-08	23818
7/11-9	723.000000	1.110000	15.000000	22.000000	WATER BASED	1985-12-01	856	9999-12-31	2013-05-08	23819
7/11-9	723.000000	1.110000	5.000000	9.000000	WATER BASED	1985-12-01	856	9999-12-31	2013-05-08	23820
7/11-9	723.000000	1.160000	10.000000	17.000000	WATER BASED	1985-12-04	856	9999-12-31	2013-05-08	23821
7/11-9	723.000000	1.100000	10.000000	17.000000	WATER BASED	1985-12-03	856	9999-12-31	2013-05-08	23822
7/11-9	723.000000	1.150000	15.000000	12.000000	WATER BASED	1985-12-08	856	9999-12-31	2013-05-08	23823
7/11-9	723.000000	1.150000	15.000000	12.000000	WATER BASED	1985-12-05	856	9999-12-31	2013-05-08	23824
7/11-9	830.000000	1.160000	16.000000	12.000000	WATER BASED	1985-12-08	856	9999-12-31	2013-05-08	23825
7/11-9	1355.000000	1.260000	20.000000	14.000000	WATER BASED	1985-12-08	856	9999-12-31	2013-05-08	23826
7/11-9	1863.000000	1.580000	30.000000	11.000000	WATER BASED	1985-12-10	856	9999-12-31	2013-05-08	23827
7/11-9	2058.000000	1.600000	34.000000	13.000000	WATER BASED	1985-12-11	856	9999-12-31	2013-05-08	23828
7/11-9	2212.000000	1.600000	34.000000	10.000000	WATER BASED	1985-12-12	856	9999-12-31	2013-05-08	23829
7/11-9	2212.000000	1.660000	23.000000	9.000000	WATER BASED	1985-12-16	856	9999-12-31	2013-05-08	23830
7/11-9	2212.000000	1.630000	32.000000	13.000000	WATER BASED	1985-12-15	856	9999-12-31	2013-05-08	23831
7/11-9	2212.000000	1.660000	38.000000	12.000000	WATER BASED	1985-12-15	856	9999-12-31	2013-05-08	23832
7/11-9	2212.000000	1.660000	26.000000	12.000000	WATER BASED	1985-12-15	856	9999-12-31	2013-05-08	23833
7/11-9	2212.000000	1.660000	23.000000	9.000000	WATER BASED	1985-12-17	856	9999-12-31	2013-05-08	23834
7/11-9	2233.000000	1.600000	26.000000	10.000000	WATER BASED	1985-12-18	856	9999-12-31	2013-05-08	23835
7/11-9	2404.000000	1.600000	22.000000	11.000000	WATER BASED	1985-12-19	856	9999-12-31	2013-05-08	23836
7/11-9	2478.000000	1.600000	20.000000	10.000000	WATER BASED	1985-12-22	856	9999-12-31	2013-05-08	23837
7/11-9	2661.000000	1.600000	17.000000	10.000000	WATER BASED	1985-12-22	856	9999-12-31	2013-05-08	23838
7/11-9	2808.000000	1.600000	24.000000	11.000000	WATER BASED	1985-12-22	856	9999-12-31	2013-05-08	23839
7/11-9	2945.000000	1.600000	22.000000	10.000000	WATER BASED	1985-12-23	856	9999-12-31	2013-05-08	23840
7/11-9	2968.000000	1.600000	21.000000	10.000000	WATER BASED	1985-12-26	856	9999-12-31	2013-05-08	23841
7/11-9	3093.000000	1.600000	26.000000	12.000000	WATER BASED	1985-12-26	856	9999-12-31	2013-05-08	23842
7/11-9	3159.000000	1.570000	24.000000	10.000000	WATER BASED	1985-12-29	856	9999-12-31	2013-05-08	23843
7/11-9	3211.000000	1.560000	23.000000	11.000000	WATER BASED	1985-12-29	856	9999-12-31	2013-05-08	23844
7/11-9	3241.000000	1.560000	23.000000	11.000000	WATER BASED	1985-12-29	856	9999-12-31	2013-05-08	23845
7/11-9	3347.000000	1.560000	23.000000	10.000000	WATER BASED	1985-12-30	856	9999-12-31	2013-05-08	23846
7/11-9	3364.000000	1.600000	26.000000	10.000000	WATER BASED	1986-01-01	856	9999-12-31	2013-05-08	23847
7/11-9	3375.000000	1.600000	23.000000	8.000000	WATER BASED	1986-01-01	856	9999-12-31	2013-05-08	23848
7/11-9	3505.000000	1.600000	22.000000	9.000000	WATER BASED	1986-01-02	856	9999-12-31	2013-05-08	23849
7/11-9	3613.000000	1.600000	19.000000	9.000000	WATER BASED	1986-01-05	856	9999-12-31	2013-05-08	23850
7/11-9	3696.000000	1.600000	23.000000	12.000000	WATER BASED	1986-01-05	856	9999-12-31	2013-05-08	23851
7/11-9	3719.000000	1.740000	26.000000	8.000000	WATER BASED	1986-03-08	856	9999-12-31	2013-05-08	23852
7/11-9	3719.000000	1.740000	27.000000	9.000000	WATER BASED	1986-03-06	856	9999-12-31	2013-05-08	23853
7/11-9	3720.000000	1.600000	23.000000	10.000000	WATER BASED	1986-01-13	856	9999-12-31	2013-05-08	23854
7/11-9	3720.000000	1.600000	23.000000	9.000000	WATER BASED	1986-01-13	856	9999-12-31	2013-05-08	23855
7/11-9	3720.000000	1.600000	24.000000	10.000000	WATER BASED	1986-01-09	856	9999-12-31	2013-05-08	23856
7/11-9	3720.000000	1.600000	25.000000	10.000000	WATER BASED	1986-01-08	856	9999-12-31	2013-05-08	23857
7/11-9	3720.000000	1.600000	22.000000	12.000000	WATER BASED	1986-01-05	856	9999-12-31	2013-05-08	23858
7/11-9	3720.000000	1.600000	19.000000	10.000000	WATER BASED	1986-01-07	856	9999-12-31	2013-05-08	23859
7/11-9	3739.000000	1.600000	25.000000	10.000000	WATER BASED	1986-01-13	856	9999-12-31	2013-05-08	23860
7/11-9	3756.000000	1.600000	25.000000	9.000000	WATER BASED	1986-01-14	856	9999-12-31	2013-05-08	23861
7/11-9	3775.000000	1.600000	26.000000	11.000000	WATER BASED	1986-01-14	856	9999-12-31	2013-05-08	23862
7/11-9	3785.000000	1.600000	28.000000	11.000000	WATER BASED	1986-01-15	856	9999-12-31	2013-05-08	23863
7/11-9	3822.000000	1.600000	30.000000	10.000000	WATER BASED	1986-01-16	856	9999-12-31	2013-05-08	23864
7/11-9	3834.000000	1.600000	28.000000	9.000000	WATER BASED	1986-01-19	856	9999-12-31	2013-05-08	23865
7/11-9	3877.000000	1.600000	28.000000	9.000000	WATER BASED	1986-01-19	856	9999-12-31	2013-05-08	23866
7/11-9	3900.000000	1.600000	27.000000	9.000000	WATER BASED	1986-01-19	856	9999-12-31	2013-05-08	23867
7/11-9	3926.000000	1.600000	27.000000	10.000000	WATER BASED	1986-01-19	856	9999-12-31	2013-05-08	23868
7/11-9	3947.000000	1.600000	29.000000	10.000000	WATER BASED	1986-02-03	856	9999-12-31	2013-05-08	23869
7/11-9	3947.000000	1.600000	29.000000	8.000000	WATER BASED	1986-01-22	856	9999-12-31	2013-05-08	23870
7/11-9	3947.000000	1.600000	29.000000	8.000000	WATER BASED	1986-01-29	856	9999-12-31	2013-05-08	23871
7/11-9	3947.000000	1.600000	29.000000	11.000000	WATER BASED	1986-01-28	856	9999-12-31	2013-05-08	23872
7/11-9	3947.000000	1.600000	27.000000	12.000000	WATER BASED	1986-02-03	856	9999-12-31	2013-05-08	23873
7/11-9	3947.000000	1.600000	27.000000	11.000000	WATER BASED	1986-02-03	856	9999-12-31	2013-05-08	23874
7/11-9	3947.000000	1.600000	29.000000	12.000000	WATER BASED	1986-02-03	856	9999-12-31	2013-05-08	23875
7/11-9	3947.000000	1.600000	29.000000	11.000000	WATER BASED	1986-02-03	856	9999-12-31	2013-05-08	23876
7/11-9	3962.000000	1.600000	25.000000	10.000000	WATER BASED	1986-01-28	856	9999-12-31	2013-05-08	23877
7/11-9	3995.000000	1.600000	28.000000	12.000000	WATER BASED	1986-01-30	856	9999-12-31	2013-05-08	23878
7/11-9	4015.000000	1.600000	30.000000	12.000000	WATER BASED	1986-01-30	856	9999-12-31	2013-05-08	23879
7/11-9	4025.000000	1.830000	47.000000	18.000000	WATER BASED	1986-01-30	856	9999-12-31	2013-05-08	23880
7/11-9	4052.000000	1.890000	43.000000	13.000000	WATER BASED	1986-02-04	856	9999-12-31	2013-05-08	23881
7/11-9	4084.000000	1.890000	35.000000	10.000000	WATER BASED	1986-02-07	856	9999-12-31	2013-05-08	23882
7/11-9	4084.000000	1.890000	40.000000	10.000000	WATER BASED	1986-02-05	856	9999-12-31	2013-05-08	23883
7/11-9	4128.000000	1.890000	34.000000	10.000000	WATER BASED	1986-02-07	856	9999-12-31	2013-05-08	23884
7/11-9	4133.000000	1.740000	25.000000	8.000000	WATER BASED	1986-03-05	856	9999-12-31	2013-05-08	23885
7/11-9	4133.000000	1.740000	23.000000	5.000000	WATER BASED	1986-03-04	856	9999-12-31	2013-05-08	23886
7/11-9	4165.000000	1.890000	32.000000	8.000000	WATER BASED	1986-02-11	856	9999-12-31	2013-05-08	23887
7/11-9	4179.000000	1.890000	28.000000	8.000000	WATER BASED	1986-02-11	856	9999-12-31	2013-05-08	23888
7/11-9	4179.000000	1.890000	31.000000	10.000000	WATER BASED	1986-02-11	856	9999-12-31	2013-05-08	23889
7/11-9	4214.000000	1.890000	30.000000	7.000000	WATER BASED	1986-02-11	856	9999-12-31	2013-05-08	23890
7/11-9	4241.000000	1.600000	25.000000	10.000000	WATER BASED	1985-12-26	856	9999-12-31	2013-05-08	23891
7/11-9	4260.000000	1.890000	30.000000	7.000000	WATER BASED	1986-02-12	856	9999-12-31	2013-05-08	23892
7/11-9	4271.000000	1.890000	31.000000	7.000000	WATER BASED	1986-02-13	856	9999-12-31	2013-05-08	23893
7/11-9	4271.000000	1.890000	31.000000	6.000000	WATER BASED	1986-02-17	856	9999-12-31	2013-05-08	23894
7/11-9	4271.000000	1.890000	29.000000	5.000000	WATER BASED	1986-02-17	856	9999-12-31	2013-05-08	23895
7/11-9	4271.000000	1.890000	29.000000	5.000000	WATER BASED	1986-02-19	856	9999-12-31	2013-05-08	23896
7/11-9	4271.000000	1.890000	29.000000	5.000000	WATER BASED	1986-02-18	856	9999-12-31	2013-05-08	23897
7/11-9	4271.000000	1.740000	32.000000	7.000000	WATER BASED	1986-03-03	856	9999-12-31	2013-05-08	23898
7/11-9	4271.000000	1.740000	29.000000	7.000000	WATER BASED	1986-02-27	856	9999-12-31	2013-05-08	23899
7/11-9	4271.000000	1.740000	24.000000	6.000000	WATER BASED	1986-02-27	856	9999-12-31	2013-05-08	23900
7/11-9	4271.000000	1.740000	27.000000	7.000000	WATER BASED	1986-02-25	856	9999-12-31	2013-05-08	23901
7/11-9	4271.000000	1.740000	29.000000	7.000000	WATER BASED	1986-02-25	856	9999-12-31	2013-05-08	23902
7/11-9	4271.000000	1.890000	29.000000	5.000000	WATER BASED	1986-02-20	856	9999-12-31	2013-05-08	23903
7/11-9	4271.000000	1.890000	30.000000	7.000000	WATER BASED	1986-02-23	856	9999-12-31	2013-05-08	23904
7/11-9	4271.000000	1.890000	30.000000	8.000000	WATER BASED	1986-02-23	856	9999-12-31	2013-05-08	23905
7/11-9	4271.000000	1.890000	28.000000	6.000000	WATER BASED	1986-02-23	856	9999-12-31	2013-05-08	23906
7/11-9	4271.000000	1.740000	24.000000	6.000000	WATER BASED	1986-03-02	856	9999-12-31	2013-05-08	23907
7/11-9	4271.000000	1.890000	33.000000	6.000000	WATER BASED	1986-02-21	856	9999-12-31	2013-05-08	23908
7/1-2 S	205.000000	1.030000	0.000000	0.000000	Water Based	9999-12-31	5793	9999-12-31	2013-05-08	23909
7/1-2 S	206.000000	1.300000	13.000000	0.000000	Water Based	9999-12-31	5793	9999-12-31	2013-05-08	23910
7/1-2 S	224.000000	1.300000	13.000000	0.000000	Water Based	9999-12-31	5793	9999-12-31	2013-05-08	23911
7/1-2 S	440.000000	1.090000	10.000000	0.000000	Water Based	9999-12-31	5793	9999-12-31	2013-05-08	23912
7/1-2 S	592.000000	1.250000	20.000000	0.000000	Water Based	9999-12-31	5793	9999-12-31	2013-05-08	23913
7/1-2 S	1038.000000	1.390000	19.000000	0.000000	Water Based	9999-12-31	5793	9999-12-31	2013-05-08	23914
7/1-2 S	1320.000000	1.390000	18.000000	0.000000	Water Based	9999-12-31	5793	9999-12-31	2013-05-08	23915
7/12-11	206.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23916
7/12-11	946.000000	1.200000	23.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23917
7/12-11	950.000000	1.050000	39.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23918
7/12-11	962.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23919
7/12-11	1222.000000	1.390000	30.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23920
7/12-11	1405.000000	1.600000	54.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23921
7/12-11	1413.000000	1.600000	35.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23922
7/12-11	1595.000000	1.600000	60.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23923
7/12-11	1764.000000	1.700000	55.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23924
7/12-11	1907.000000	1.600000	48.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23925
7/12-11	2051.000000	1.600000	45.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23926
7/12-11	2205.000000	1.600000	36.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23927
7/12-11	2313.000000	1.600000	40.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23928
7/12-11	2380.000000	1.600000	31.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23929
7/12-11	2386.000000	1.600000	34.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23930
7/12-11	2522.000000	1.600000	44.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23931
7/12-11	2659.000000	1.600000	44.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23932
7/12-11	2667.000000	1.600000	34.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23933
7/12-11	2737.000000	1.600000	31.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23934
7/12-11	2743.000000	1.600000	28.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23935
7/12-11	2767.000000	1.580000	36.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23936
7/12-11	2873.000000	1.550000	32.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23937
7/12-11	2972.000000	1.550000	34.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23938
7/12-11	3015.000000	1.550000	30.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23939
7/12-11	3055.000000	1.550000	27.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23940
7/12-11	3087.000000	1.550000	31.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23941
7/12-11	3109.000000	1.550000	32.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23942
7/12-11	3168.000000	1.550000	32.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23943
7/12-11	3203.000000	1.550000	32.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23944
7/12-11	3326.000000	1.550000	38.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23945
7/12-11	3474.000000	1.550000	36.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23946
7/12-11	3557.000000	1.550000	35.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23947
7/12-11	3587.000000	1.550000	35.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23948
7/12-11	3596.000000	1.550000	34.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23949
7/12-11	3624.000000	1.550000	38.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23950
7/12-11	3640.000000	1.550000	36.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23951
7/12-11	3674.000000	1.550000	39.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23952
7/12-11	3723.000000	1.550000	28.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23953
7/12-11	3730.000000	1.550000	33.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23954
7/12-11	3802.000000	1.550000	32.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23955
7/12-11	3865.000000	1.550000	38.000000	0.000000	WATER BASED	9999-12-31	1787	9999-12-31	2013-05-08	23956
7/12-6	390.000000	1.140000	85.000000	0.000000	waterbased	9999-12-31	281	9999-12-31	2013-05-08	23957
7/12-6	1680.000000	1.300000	58.000000	0.000000	waterbased	9999-12-31	281	9999-12-31	2013-05-08	23958
7/12-6	1990.000000	1.420000	48.000000	0.000000	waterbased	9999-12-31	281	9999-12-31	2013-05-08	23959
7/12-6	2630.000000	1.500000	59.000000	0.000000	waterbased	9999-12-31	281	9999-12-31	2013-05-08	23960
7/12-6	3390.000000	1.500000	51.000000	0.000000	waterbased	9999-12-31	281	9999-12-31	2013-05-08	23961
7/3-1	136.000000	1.110000	44.000000	0.000000	seawater	9999-12-31	164	9999-12-31	2013-05-08	23962
7/3-1	371.000000	1.340000	43.000000	0.000000	seawater	9999-12-31	164	9999-12-31	2013-05-08	23963
7/3-1	748.000000	1.250000	44.000000	0.000000	seawater	9999-12-31	164	9999-12-31	2013-05-08	23964
7/3-1	1556.000000	1.310000	45.000000	0.000000	seawater	9999-12-31	164	9999-12-31	2013-05-08	23965
7/3-1	2164.000000	1.400000	47.000000	0.000000	seawater	9999-12-31	164	9999-12-31	2013-05-08	23966
7/3-1	2700.000000	1.380000	45.000000	0.000000	seawater	9999-12-31	164	9999-12-31	2013-05-08	23967
7/3-1	3374.000000	1.690000	53.000000	0.000000	seawater	9999-12-31	164	9999-12-31	2013-05-08	23968
7/3-1	4394.000000	1.770000	61.000000	0.000000	seawater	9999-12-31	164	9999-12-31	2013-05-08	23969
7/3-1	4640.000000	1.790000	70.000000	0.000000	seawater	9999-12-31	164	9999-12-31	2013-05-08	23970
7/4-1	367.000000	1.030000	16.000000	0.000000	DUMMY	9999-12-31	2136	9999-12-31	2013-05-08	23971
7/4-1	775.000000	1.030000	16.000000	0.000000	DUMMY	9999-12-31	2136	9999-12-31	2013-05-08	23972
7/4-1	920.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	2136	9999-12-31	2013-05-08	23973
7/4-1	1110.000000	1.500000	40.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23974
7/4-1	1830.000000	1.640000	46.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23975
7/4-1	2200.000000	1.640000	36.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23976
7/4-1	2215.000000	1.640000	57.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23977
7/4-1	2314.000000	1.640000	54.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23978
7/4-1	2431.000000	1.640000	49.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23979
7/4-1	2460.000000	1.640000	35.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23980
7/4-1	2567.000000	1.640000	32.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23981
7/4-1	2817.000000	1.710000	32.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23982
7/4-1	2950.000000	1.740000	34.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23983
7/4-1	2980.000000	1.740000	42.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23984
7/4-1	2989.000000	1.740000	34.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23985
7/4-1	3069.000000	1.850000	50.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23986
7/4-1	3077.000000	1.890000	46.000000	0.000000	WATER BASED	9999-12-31	2136	9999-12-31	2013-05-08	23987
7/4-2	319.000000	1.570000	0.000000	0.000000	water based	9999-12-31	5683	9999-12-31	2013-05-08	23988
7/4-2	550.000000	1.760000	38.000000	0.000000	Oil Based	9999-12-31	5683	9999-12-31	2013-05-08	23989
7/4-2	1103.000000	1.450000	0.000000	0.000000	water based	9999-12-31	5683	9999-12-31	2013-05-08	23990
7/4-2	1400.000000	1.550000	0.000000	0.000000	water based	9999-12-31	5683	9999-12-31	2013-05-08	23991
7/4-2	1586.000000	1.550000	0.000000	0.000000	water based	9999-12-31	5683	9999-12-31	2013-05-08	23992
7/4-2	1826.000000	1.570000	0.000000	0.000000	water based	9999-12-31	5683	9999-12-31	2013-05-08	23993
7/4-2	1968.000000	1.710000	0.000000	0.000000	oil based	9999-12-31	5683	9999-12-31	2013-05-08	23994
7/4-2	2781.000000	1.710000	0.000000	0.000000	oil based	9999-12-31	5683	9999-12-31	2013-05-08	23995
7/4-2	3020.000000	1.950000	51.000000	0.000000	Oil Based	9999-12-31	5683	9999-12-31	2013-05-08	23996
7/4-2	3028.000000	1.710000	0.000000	0.000000	oil based	9999-12-31	5683	9999-12-31	2013-05-08	23997
7/4-2	3147.000000	1.750000	0.000000	0.000000	oil based	9999-12-31	5683	9999-12-31	2013-05-08	23998
7/4-2	3226.000000	1.760000	0.000000	0.000000	oil based	9999-12-31	5683	9999-12-31	2013-05-08	23999
7/4-2	3278.000000	1.950000	0.000000	0.000000	oil based	9999-12-31	5683	9999-12-31	2013-05-08	24000
7/4-2	3403.000000	1.950000	0.000000	0.000000	oil based	9999-12-31	5683	9999-12-31	2013-05-08	24001
7/4-2	3459.000000	1.950000	0.000000	0.000000	oil based	9999-12-31	5683	9999-12-31	2013-05-08	24002
7/7-1	576.000000	1.030000	0.000000	0.000000	WATER BASED	1990-01-05	1492	9999-12-31	2013-05-08	24003
7/7-1	580.000000	1.030000	0.000000	0.000000	WATER BASED	1990-01-05	1492	9999-12-31	2013-05-08	24004
7/7-1	580.000000	1.030000	0.000000	0.000000	WATER BASED	1990-01-08	1492	9999-12-31	2013-05-08	24005
7/7-1	2565.000000	1.560000	29.000000	6.000000	WATER BASED	1990-01-16	1492	9999-12-31	2013-05-08	24006
7/7-1	2565.000000	1.560000	26.000000	6.000000	WATER BASED	1990-01-16	1492	9999-12-31	2013-05-08	24007
7/7-1	2565.000000	1.560000	25.000000	5.000000	WATER BASED	1990-01-17	1492	9999-12-31	2013-05-08	24008
7/7-1	2568.000000	1.500000	21.000000	5.000000	WATER BASED	1990-01-24	1492	9999-12-31	2013-05-08	24009
7/7-1	2685.000000	1.500000	22.000000	4.000000	WATER BASED	1990-01-25	1492	9999-12-31	2013-05-08	24010
7/7-1	2690.000000	1.500000	21.000000	4.500000	WATER BASED	1990-01-26	1492	9999-12-31	2013-05-08	24011
7/7-1	2764.000000	1.500000	22.000000	6.000000	WATER BASED	1990-01-29	1492	9999-12-31	2013-05-08	24012
7/7-1	2786.000000	1.500000	21.000000	5.000000	WATER BASED	1990-01-29	1492	9999-12-31	2013-05-08	24013
7/7-1	2803.000000	1.500000	23.000000	5.000000	WATER BASED	1990-01-29	1492	9999-12-31	2013-05-08	24014
7/7-1	2903.000000	1.500000	24.000000	6.500000	WATER BASED	1990-01-30	1492	9999-12-31	2013-05-08	24015
7/7-1	2997.000000	1.500000	27.000000	6.000000	WATER BASED	1990-01-31	1492	9999-12-31	2013-05-08	24016
7/7-1	3047.000000	1.500000	27.000000	5.500000	WATER BASED	1990-02-02	1492	9999-12-31	2013-05-08	24017
7/7-1	3054.000000	1.500000	25.000000	4.500000	WATER BASED	1990-02-05	1492	9999-12-31	2013-05-08	24018
7/7-1	3114.000000	1.500000	25.000000	5.000000	WATER BASED	1990-02-06	1492	9999-12-31	2013-05-08	24019
7/7-1	3263.000000	1.500000	27.000000	5.000000	WATER BASED	1990-02-08	1492	9999-12-31	2013-05-08	24020
7/7-1	3263.000000	1.500000	25.000000	5.500000	WATER BASED	1990-02-07	1492	9999-12-31	2013-05-08	24021
7/7-1	3263.000000	1.500000	23.000000	5.000000	WATER BASED	1990-02-07	1492	9999-12-31	2013-05-08	24022
7/7-1	3284.000000	1.550000	45.000000	6.000000	WATER BASED	1990-02-12	1492	9999-12-31	2013-05-08	24023
7/7-1	3284.000000	1.550000	43.000000	6.500000	WATER BASED	1990-02-14	1492	9999-12-31	2013-05-08	24024
7/7-1	3284.000000	1.550000	42.000000	5.000000	WATER BASED	1990-02-14	1492	9999-12-31	2013-05-08	24025
7/7-1	3284.000000	1.550000	43.000000	5.500000	WATER BASED	1990-02-15	1492	9999-12-31	2013-05-08	24026
7/7-1	3294.000000	1.550000	40.000000	12.500000	WATER BASED	1990-02-20	1492	9999-12-31	2013-05-08	24027
7/7-1	3294.000000	1.550000	40.000000	10.000000	WATER BASED	1990-02-20	1492	9999-12-31	2013-05-08	24028
7/7-1	3294.000000	1.550000	43.000000	5.500000	WATER BASED	1990-02-16	1492	9999-12-31	2013-05-08	24029
7/7-1	3294.000000	1.550000	42.000000	10.500000	WATER BASED	1990-02-20	1492	9999-12-31	2013-05-08	24030
7/7-1	3365.000000	1.550000	43.000000	6.500000	WATER BASED	1990-02-14	1492	9999-12-31	2013-05-08	24031
7/7-2	1920.000000	1.550000	34.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24032
7/7-2	2077.000000	1.550000	39.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24033
7/7-2	2083.000000	1.550000	34.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24034
7/7-2	2182.000000	1.550000	30.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24035
7/7-2	2330.000000	1.600000	24.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24036
7/7-2	2448.000000	1.550000	34.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24037
7/7-2	2525.000000	1.550000	32.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24038
7/7-2	2586.000000	1.550000	36.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24039
7/7-2	2719.000000	1.550000	32.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24040
7/7-2	2744.000000	1.600000	24.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24041
7/7-2	2840.000000	1.550000	30.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24042
7/7-2	2949.000000	1.550000	36.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24043
7/7-2	3043.000000	1.600000	41.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24044
7/7-2	3100.000000	1.620000	40.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24045
7/7-2	3117.000000	1.670000	40.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24046
7/7-2	3121.000000	1.620000	43.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24047
7/7-2	3166.000000	1.620000	40.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24048
7/7-2	3242.000000	1.670000	38.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24049
7/7-2	3293.000000	1.700000	48.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24050
7/7-2	3312.000000	1.700000	43.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24051
7/7-2	3328.000000	1.870000	26.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24052
7/7-2	3330.000000	1.950000	39.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24053
7/7-2	3334.000000	2.040000	26.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24054
7/7-2	3338.000000	1.960000	38.000000	0.000000	WATER BASED	9999-12-31	1868	9999-12-31	2013-05-08	24055
7/7-3	170.000000	1.030000	0.000000	0.000000	DUMMY	1993-04-22	2113	9999-12-31	2013-05-08	24056
7/7-3	651.000000	1.030000	0.000000	0.000000	DUMMY	1993-04-23	2113	9999-12-31	2013-05-08	24057
7/7-3	920.000000	1.030000	0.000000	0.000000	DUMMY	1993-04-26	2113	9999-12-31	2013-05-08	24058
7/7-3	920.000000	1.030000	0.000000	0.000000	DUMMY	1993-04-26	2113	9999-12-31	2013-05-08	24059
7/7-3	920.000000	1.200000	17.000000	6.500000	DUMMY	1993-04-26	2113	9999-12-31	2013-05-08	24060
7/7-3	920.000000	1.030000	0.000000	0.000000	DUMMY	1993-04-27	2113	9999-12-31	2013-05-08	24061
7/7-3	940.000000	1.500000	46.000000	8.000000	WATER BASED	1993-05-07	2113	9999-12-31	2013-05-08	24062
7/7-3	1350.000000	1.500000	51.000000	11.500000	WATER BASED	1993-05-10	2113	9999-12-31	2013-05-08	24063
7/7-3	1665.000000	1.500000	51.000000	10.500000	WATER BASED	1993-05-10	2113	9999-12-31	2013-05-08	24064
7/7-3	1850.000000	1.600000	47.000000	9.500000	WATER BASED	1993-05-10	2113	9999-12-31	2013-05-08	24065
7/7-3	1850.000000	1.600000	51.000000	11.500000	WATER BASED	1993-05-11	2113	9999-12-31	2013-05-08	24066
7/7-3	1982.000000	1.600000	47.000000	9.500000	WATER BASED	1993-05-10	2113	9999-12-31	2013-05-08	24067
7/7-3	2180.000000	1.600000	51.000000	11.500000	WATER BASED	1993-05-11	2113	9999-12-31	2013-05-08	24068
7/7-3	2677.000000	1.650000	40.000000	7.500000	WATER BASED	1993-05-18	2113	9999-12-31	2013-05-08	24069
7/7-3	2677.000000	1.650000	37.000000	7.000000	WATER BASED	1993-05-18	2113	9999-12-31	2013-05-08	24070
7/7-3	2677.000000	1.650000	39.000000	7.000000	WATER BASED	1993-05-18	2113	9999-12-31	2013-05-08	24071
7/7-3	2677.000000	1.650000	38.000000	7.000000	WATER BASED	1993-05-18	2113	9999-12-31	2013-05-08	24072
7/7-3	2677.000000	1.650000	40.000000	7.000000	WATER BASED	1993-05-19	2113	9999-12-31	2013-05-08	24073
7/7-3	2677.000000	1.600000	44.000000	9.000000	WATER BASED	1993-05-18	2113	9999-12-31	2013-05-08	24074
7/7-3	2677.000000	1.650000	37.000000	7.000000	WATER BASED	1993-05-24	2113	9999-12-31	2013-05-08	24075
7/7-3	2694.000000	1.650000	36.000000	7.500000	WATER BASED	1993-05-24	2113	9999-12-31	2013-05-08	24076
7/7-3	2789.000000	1.650000	44.000000	7.500000	WATER BASED	1993-05-24	2113	9999-12-31	2013-05-08	24077
7/7-3	2836.000000	1.650000	52.000000	9.000000	WATER BASED	1993-05-24	2113	9999-12-31	2013-05-08	24078
7/7-3	2894.000000	1.650000	46.000000	9.000000	WATER BASED	1993-05-24	2113	9999-12-31	2013-05-08	24079
7/7-3	2930.000000	1.650000	49.000000	8.500000	WATER BASED	1993-05-25	2113	9999-12-31	2013-05-08	24080
7/7-3	3005.000000	1.850000	67.000000	10.500000	WATER BASED	1993-06-02	2113	9999-12-31	2013-05-08	24081
7/7-3	3029.000000	1.650000	47.000000	7.000000	WATER BASED	1993-05-27	2113	9999-12-31	2013-05-08	24082
7/7-3	3054.000000	1.850000	50.000000	7.000000	WATER BASED	1993-06-02	2113	9999-12-31	2013-05-08	24083
7/7-3	3094.000000	1.730000	53.000000	8.000000	WATER BASED	1993-05-28	2113	9999-12-31	2013-05-08	24084
7/7-3	3116.000000	1.730000	54.000000	9.000000	WATER BASED	1993-05-28	2113	9999-12-31	2013-05-08	24085
7/7-3	3237.000000	1.790000	58.000000	10.500000	WATER BASED	1993-06-02	2113	9999-12-31	2013-05-08	24086
7/7-3	3354.000000	1.820000	51.000000	7.000000	WATER BASED	1993-06-03	2113	9999-12-31	2013-05-08	24087
7/7-3	3354.000000	1.820000	41.000000	4.500000	WATER BASED	1993-06-03	2113	9999-12-31	2013-05-08	24088
7/7-3	3354.000000	1.820000	56.000000	7.500000	WATER BASED	1993-06-07	2113	9999-12-31	2013-05-08	24089
7/7-3	3354.000000	1.820000	51.000000	7.500000	WATER BASED	1993-06-07	2113	9999-12-31	2013-05-08	24090
7/7-3	3354.000000	1.820000	41.000000	4.000000	WATER BASED	1993-06-07	2113	9999-12-31	2013-05-08	24091
7/7-3	3354.000000	1.820000	40.000000	4.000000	WATER BASED	1993-06-08	2113	9999-12-31	2013-05-08	24092
7/7-3	3354.000000	1.820000	35.000000	4.000000	WATER BASED	1993-06-09	2113	9999-12-31	2013-05-08	24093
7/7-3	3354.000000	1.820000	41.000000	4.000000	WATER BASED	1993-06-14	2113	9999-12-31	2013-05-08	24094
7/7-3	3354.000000	1.820000	26.000000	3.500000	WATER BASED	1993-06-14	2113	9999-12-31	2013-05-08	24095
7/7-3	3354.000000	1.820000	52.000000	7.000000	DUMMY	1993-06-15	2113	9999-12-31	2013-05-08	24096
7/7-3	3354.000000	1.820000	52.000000	6.000000	DUMMY	1993-06-15	2113	9999-12-31	2013-05-08	24097
7/7-3	3355.000000	1.850000	59.000000	12.000000	WATER BASED	1993-06-02	2113	9999-12-31	2013-05-08	24098
7/7-3	3357.000000	1.820000	46.000000	7.000000	DUMMY	1993-06-15	2113	9999-12-31	2013-05-08	24099
7/7-3	3377.000000	1.870000	47.000000	7.500000	DUMMY	1993-06-15	2113	9999-12-31	2013-05-08	24100
7/7-3	3435.000000	1.920000	48.000000	8.000000	DUMMY	1993-06-16	2113	9999-12-31	2013-05-08	24101
7/7-3	3486.000000	1.920000	42.000000	7.500000	DUMMY	1993-06-17	2113	9999-12-31	2013-05-08	24102
7/7-3	3489.000000	1.920000	36.000000	7.500000	DUMMY	1993-06-21	2113	9999-12-31	2013-05-08	24103
7/7-3	3504.000000	1.920000	33.000000	7.000000	DUMMY	1993-06-22	2113	9999-12-31	2013-05-08	24104
7/7-3	3518.000000	1.920000	29.000000	6.500000	DUMMY	1993-06-22	2113	9999-12-31	2013-05-08	24105
7/7-3	3584.000000	1.950000	29.000000	8.500000	DUMMY	1993-06-22	2113	9999-12-31	2013-05-08	24106
7/7-3	3584.000000	1.920000	32.000000	7.500000	DUMMY	1993-06-22	2113	9999-12-31	2013-05-08	24107
7/7-4	227.000000	0.000000	13.000000	0.000000	SPUD MUD	9999-12-31	5570	9999-12-31	2013-05-08	24108
7/7-4	444.000000	0.000000	30.000000	0.000000	SPUD MUD	9999-12-31	5570	9999-12-31	2013-05-08	24109
7/7-4	633.000000	0.000000	19.000000	0.000000	SPUD MUD	9999-12-31	5570	9999-12-31	2013-05-08	24110
7/7-4	1104.000000	0.000000	31.000000	0.000000	SPUD MUD	9999-12-31	5570	9999-12-31	2013-05-08	24111
7/7-4	1172.000000	0.000000	17.000000	0.000000	KCL/POLY/GLYCOL	9999-12-31	5570	9999-12-31	2013-05-08	24112
7/7-4	1194.000000	0.000000	44.000000	0.000000	CARBOSEA	9999-12-31	5570	9999-12-31	2013-05-08	24113
7/7-4	1462.000000	0.000000	15.000000	0.000000	SPUD MUD	9999-12-31	5570	9999-12-31	2013-05-08	24114
7/7-4	1791.000000	0.000000	46.000000	0.000000	CARBOSEA	9999-12-31	5570	9999-12-31	2013-05-08	24115
7/7-4	2717.000000	0.000000	35.000000	0.000000	CARBOSEA	9999-12-31	5570	9999-12-31	2013-05-08	24116
7/7-4	3054.000000	0.000000	29.000000	0.000000	SPUD MUD	9999-12-31	5570	9999-12-31	2013-05-08	24117
7/8-1	125.000000	1.020000	0.000000	0.000000	seawater	9999-12-31	158	9999-12-31	2013-05-08	24118
7/8-1	516.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	158	9999-12-31	2013-05-08	24119
7/8-1	1574.000000	1.430000	41.000000	0.000000	waterbased	9999-12-31	158	9999-12-31	2013-05-08	24120
7/8-1	2688.000000	1.680000	57.000000	0.000000	waterbased	9999-12-31	158	9999-12-31	2013-05-08	24121
7/8-1	3334.000000	1.760000	52.000000	0.000000	waterbased	9999-12-31	158	9999-12-31	2013-05-08	24122
7/8-2	150.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	294	9999-12-31	2013-05-08	24123
7/8-2	1220.000000	1.130000	45.000000	0.000000	seawater	9999-12-31	294	9999-12-31	2013-05-08	24124
7/8-2	2250.000000	1.550000	50.000000	0.000000	waterbased	9999-12-31	294	9999-12-31	2013-05-08	24125
7/8-2	3000.000000	1.550000	55.000000	0.000000	waterbased	9999-12-31	294	9999-12-31	2013-05-08	24126
7/8-4	175.000000	1.070000	0.000000	0.000000	WATER BASED	1984-12-11	448	9999-12-31	2013-05-08	24127
7/8-4	205.000000	1.070000	0.000000	0.000000	WATER BASED	1984-12-12	448	9999-12-31	2013-05-08	24128
7/8-4	619.000000	0.000000	17.000000	105.300000	WATER BASED	1984-12-15	448	9999-12-31	2013-05-08	24129
7/8-4	619.000000	1.130000	0.000000	0.000000	WATER BASED	1984-12-17	448	9999-12-31	2013-05-08	24130
7/8-4	619.000000	1.090000	17.000000	105.300000	WATER BASED	1984-12-16	448	9999-12-31	2013-05-08	24131
7/8-4	830.000000	1.190000	20.000000	114.700000	WATER BASED	1984-12-18	448	9999-12-31	2013-05-08	24132
7/8-4	830.000000	1.190000	20.000000	114.700000	WATER BASED	1984-12-19	448	9999-12-31	2013-05-08	24133
7/8-4	1241.000000	1.390000	25.000000	114.700000	WATER BASED	1984-12-20	448	9999-12-31	2013-05-08	24134
7/8-4	1534.000000	1.500000	27.000000	100.500000	WATER BASED	1984-12-20	448	9999-12-31	2013-05-08	24135
7/8-4	1694.000000	1.500000	30.000000	95.800000	WATER BASED	1984-12-26	448	9999-12-31	2013-05-08	24136
7/8-4	1915.000000	1.500000	32.000000	301.600000	WATER BASED	1984-12-26	448	9999-12-31	2013-05-08	24137
7/8-4	1963.000000	1.570000	23.000000	110.100000	WATER BASED	1984-12-27	448	9999-12-31	2013-05-08	24138
7/8-4	1963.000000	1.610000	27.000000	95.800000	WATER BASED	1984-12-27	448	9999-12-31	2013-05-08	24139
7/8-4	1963.000000	1.610000	27.000000	95.800000	WATER BASED	1984-12-27	448	9999-12-31	2013-05-08	24140
7/8-4	1970.000000	1.600000	23.000000	95.800000	WATER BASED	1984-12-14	448	9999-12-31	2013-05-08	24141
7/8-4	2119.000000	1.540000	28.000000	81.400000	WATER BASED	1984-12-14	448	9999-12-31	2013-05-08	24142
7/8-4	2194.000000	1.480000	30.000000	86.200000	WATER BASED	1984-12-14	448	9999-12-31	2013-05-08	24143
7/8-4	2293.000000	1.480000	30.000000	95.800000	WATER BASED	1984-12-14	448	9999-12-31	2013-05-08	24144
7/8-4	2354.000000	1.480000	34.000000	105.300000	WATER BASED	1984-12-14	448	9999-12-31	2013-05-08	24145
7/8-4	2592.000000	1.480000	29.000000	91.000000	WATER BASED	1984-12-15	448	9999-12-31	2013-05-08	24146
7/8-4	2642.000000	1.480000	33.000000	105.300000	WATER BASED	1984-12-30	448	9999-12-31	2013-05-08	24147
7/8-4	2919.000000	1.480000	24.000000	95.800000	WATER BASED	1984-12-25	448	9999-12-31	2013-05-08	24148
7/8-4	2994.000000	1.480000	22.000000	110.100000	WATER BASED	1984-12-25	448	9999-12-31	2013-05-08	24149
7/8-4	3105.000000	1.480000	21.000000	100.500000	WATER BASED	1984-12-25	448	9999-12-31	2013-05-08	24150
7/8-4	3128.000000	1.470000	26.000000	134.100000	WATER BASED	1985-01-02	448	9999-12-31	2013-05-08	24151
7/8-4	3196.000000	1.480000	26.000000	110.100000	WATER BASED	1985-01-04	448	9999-12-31	2013-05-08	24152
7/8-4	3254.000000	1.480000	24.000000	129.200000	WATER BASED	1985-01-07	448	9999-12-31	2013-05-08	24153
7/8-4	3342.000000	1.480000	25.000000	110.100000	WATER BASED	1985-01-14	448	9999-12-31	2013-05-08	24154
7/8-4	3424.000000	1.480000	22.000000	119.700000	WATER BASED	1985-01-14	448	9999-12-31	2013-05-08	24155
7/8-4	3438.000000	1.480000	23.000000	100.000000	WATER BASED	1985-01-14	448	9999-12-31	2013-05-08	24156
7/8-4	3453.000000	1.480000	22.000000	129.300000	WATER BASED	1985-01-14	448	9999-12-31	2013-05-08	24157
7/8-4	3559.000000	1.480000	25.000000	119.700000	WATER BASED	1985-01-15	448	9999-12-31	2013-05-08	24158
7/8-4	3571.000000	1.440000	27.000000	110.100000	WATER BASED	1985-01-16	448	9999-12-31	2013-05-08	24159
7/8-4	3617.000000	1.540000	27.000000	119.700000	WATER BASED	1985-01-17	448	9999-12-31	2013-05-08	24160
7/8-4	3660.000000	1.540000	27.000000	119.700000	WATER BASED	1985-01-17	448	9999-12-31	2013-05-08	24161
7/8-4	3684.000000	1.540000	25.000000	124.500000	WATER BASED	1985-01-21	448	9999-12-31	2013-05-08	24162
7/8-4	3783.000000	1.710000	53.000000	81.000000	WATER BASED	1985-02-16	448	9999-12-31	2013-05-08	24163
7/8-4	3808.000000	1.540000	36.000000	134.000000	WATER BASED	1985-01-24	448	9999-12-31	2013-05-08	24164
7/8-4	3826.000000	1.740000	38.000000	143.600000	WATER BASED	1985-01-28	448	9999-12-31	2013-05-08	24165
7/8-4	3857.000000	1.740000	33.000000	114.900000	WATER BASED	1985-01-28	448	9999-12-31	2013-05-08	24166
7/8-4	3859.000000	1.740000	34.000000	124.500000	WATER BASED	1985-01-27	448	9999-12-31	2013-05-08	24167
7/8-4	3911.000000	1.740000	26.000000	148.400000	WATER BASED	1985-01-29	448	9999-12-31	2013-05-08	24168
7/8-4	3943.000000	1.740000	38.000000	114.900000	WATER BASED	1985-01-30	448	9999-12-31	2013-05-08	24169
7/8-4	4092.000000	1.740000	360.000000	110.100000	WATER BASED	1985-01-31	448	9999-12-31	2013-05-08	24170
7/8-4	4092.000000	1.740000	36.000000	110.100000	WATER BASED	1985-01-31	448	9999-12-31	2013-05-08	24171
7/8-4	4092.000000	1.740000	360.000000	110.100000	WATER BASED	1985-01-31	448	9999-12-31	2013-05-08	24172
7/8-4	4130.000000	1.720000	33.000000	72.000000	WATER BASED	1985-02-10	448	9999-12-31	2013-05-08	24173
7/8-4	4140.000000	1.710000	32.000000	71.800000	WATER BASED	1985-02-11	448	9999-12-31	2013-05-08	24174
7/8-4	4192.000000	1.740000	31.000000	100.500000	WATER  BASED	1985-01-31	448	9999-12-31	2013-05-08	24175
7/8-4	4192.000000	1.690000	30.000000	110.100000	WATER BASED	1985-01-31	448	9999-12-31	2013-05-08	24176
7/8-4	4192.000000	1.740000	31.000000	100.500000	WATER BASED	1985-01-31	448	9999-12-31	2013-05-08	24177
7/8-4	4192.000000	1.690000	30.000000	110.100000	WATER BASED	1985-01-31	448	9999-12-31	2013-05-08	24178
7/8-4	4347.000000	1.680000	31.000000	81.400000	WATER BASED	1985-01-31	448	9999-12-31	2013-05-08	24179
7/8-4	4400.000000	1.670000	28.000000	67.000000	WATER BASED	1985-02-02	448	9999-12-31	2013-05-08	24180
7/8-4	4400.000000	1.690000	28.000000	57.400000	WATER BASED	1985-02-06	448	9999-12-31	2013-05-08	24181
7/8-4	4400.000000	1.710000	31.000000	62.000000	WATER BASED	1985-02-07	448	9999-12-31	2013-05-08	24182
7/8-4	4400.000000	1.710000	38.000000	86.200000	WATER BASED	1985-02-16	448	9999-12-31	2013-05-08	24183
7/8-4	4400.000000	1.660000	28.000000	48.000000	WATER BASED	1985-02-05	448	9999-12-31	2013-05-08	24184
7/8-4	4400.000000	1.710000	31.000000	62.000000	WATER BASED	1985-02-07	448	9999-12-31	2013-05-08	24185
7/8-4	4400.000000	1.690000	28.000000	57.400000	WATER BASED	1985-02-06	448	9999-12-31	2013-05-08	24186
7/8-4	4400.000000	1.660000	28.000000	48.000000	WATER BASED	1985-02-05	448	9999-12-31	2013-05-08	24187
7/8-5 S	216.000000	1.030000	300.000000	0.000000	WATER BASED	9999-12-31	5304	9999-12-31	2013-05-08	24188
7/8-5 S	750.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	5304	9999-12-31	2013-05-08	24189
7/8-5 S	1200.000000	1.200000	48.000000	0.000000	WATER BASED	9999-12-31	5304	9999-12-31	2013-05-08	24190
7/8-5 S	1220.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	5304	9999-12-31	2013-05-08	24191
7/8-5 S	1472.000000	1.620000	85.000000	0.000000	OIL BASED	9999-12-31	5304	9999-12-31	2013-05-08	24192
7/8-5 S	3000.000000	1.640000	68.000000	0.000000	OIL BASED	9999-12-31	5304	9999-12-31	2013-05-08	24193
7/8-5 S	3071.000000	1.640000	62.000000	0.000000	OIL BASED	9999-12-31	5304	9999-12-31	2013-05-08	24194
7/8-5 S	3774.000000	1.670000	57.000000	0.000000	OIL BASED	9999-12-31	5304	9999-12-31	2013-05-08	24195
7/8-5 S	4167.000000	1.670000	61.000000	0.000000	OIL BASED	9999-12-31	5304	9999-12-31	2013-05-08	24196
7/8-5 S	4168.000000	1.680000	71.000000	0.000000	OIL BASED	9999-12-31	5304	9999-12-31	2013-05-08	24197
7/9-1	457.000000	1.190000	42.000000	0.000000	seawater	9999-12-31	191	9999-12-31	2013-05-08	24198
7/9-1	717.000000	1.170000	45.000000	0.000000	seawater	9999-12-31	191	9999-12-31	2013-05-08	24199
7/9-1	1070.000000	1.430000	50.000000	0.000000	seawater	9999-12-31	191	9999-12-31	2013-05-08	24200
7/9-1	1563.000000	1.540000	55.000000	0.000000	seawater	9999-12-31	191	9999-12-31	2013-05-08	24201
7/9-1	2046.000000	1.560000	52.000000	0.000000	seawater	9999-12-31	191	9999-12-31	2013-05-08	24202
7/9-1	2405.000000	1.670000	46.000000	0.000000	seawater	9999-12-31	191	9999-12-31	2013-05-08	24203
7/9-1	2930.000000	1.680000	53.000000	0.000000	seawater	9999-12-31	191	9999-12-31	2013-05-08	24204
7019/1-1	224.000000	1.030000	0.000000	0.000000	SW/BENTONITE	9999-12-31	4145	9999-12-31	2013-05-08	24205
7019/1-1	600.000000	1.030000	0.000000	0.000000	SW/BENTONITE	9999-12-31	4145	9999-12-31	2013-05-08	24206
7019/1-1	650.000000	1.030000	0.000000	0.000000	SW/BENTONITE	9999-12-31	4145	9999-12-31	2013-05-08	24207
7019/1-1	650.000000	1.030000	0.000000	0.000000	SW/BENTONITE	9999-12-31	4145	9999-12-31	2013-05-08	24208
7019/1-1	720.000000	1.300000	10.000000	0.000000	FORMATE/POLYMER	9999-12-31	4145	9999-12-31	2013-05-08	24209
7019/1-1	1807.000000	1.300000	11.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24210
7019/1-1	2015.000000	1.390000	13.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24211
7019/1-1	2095.000000	1.390000	13.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24212
7019/1-1	2221.000000	1.390000	11.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24213
7019/1-1	2237.000000	1.390000	12.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24214
7019/1-1	2295.000000	1.390000	13.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24215
7019/1-1	2335.000000	1.390000	13.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24216
7019/1-1	2381.000000	1.390000	13.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24217
7019/1-1	2410.000000	1.390000	13.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24218
7019/1-1	2434.000000	1.390000	11.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24219
7019/1-1	2459.000000	1.390000	14.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24220
7019/1-1	2465.000000	1.390000	13.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24221
7019/1-1	2512.000000	1.390000	13.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24222
7019/1-1	2530.000000	1.350000	12.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24223
7019/1-1	2550.000000	1.350000	13.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24224
7019/1-1	2557.000000	1.250000	9.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24225
7019/1-1	2569.000000	1.250000	10.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24226
7019/1-1	2633.000000	1.250000	0.000000	0.000000	FORMATE-POLYMER	9999-12-31	4145	9999-12-31	2013-05-08	24227
7019/1-1	2633.000000	1.250000	0.000000	0.000000	FORMATE-POLYMER	9999-12-31	4145	9999-12-31	2013-05-08	24228
7019/1-1	2657.000000	1.250000	10.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24229
7019/1-1	2727.000000	1.250000	9.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24230
7019/1-1	2794.000000	1.250000	11.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24231
7019/1-1	2847.000000	1.250000	10.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24232
7019/1-1	2988.000000	1.250000	10.000000	0.000000	FORMATE	9999-12-31	4145	9999-12-31	2013-05-08	24233
7019/1-1	3003.000000	1.250000	0.000000	0.000000	FORMATE POLYMER	9999-12-31	4145	9999-12-31	2013-05-08	24234
7117/9-1	346.000000	1.050000	0.000000	0.000000	WATER BASED	9999-12-31	49	9999-12-31	2013-05-08	24235
7117/9-1	817.000000	1.240000	45.000000	0.000000	WATER BASED	9999-12-31	49	9999-12-31	2013-05-08	24236
7117/9-1	1223.000000	1.300000	50.000000	0.000000	WATER BASED	9999-12-31	49	9999-12-31	2013-05-08	24237
7117/9-1	2100.000000	1.330000	66.000000	0.000000	WATER BASED	9999-12-31	49	9999-12-31	2013-05-08	24238
7117/9-1	2400.000000	1.480000	55.000000	0.000000	WATER BASED	9999-12-31	49	9999-12-31	2013-05-08	24239
7117/9-1	2707.000000	1.490000	60.000000	0.000000	WATER BASED	9999-12-31	49	9999-12-31	2013-05-08	24240
7117/9-1	3200.000000	1.530000	60.000000	0.000000	WATER BASED	9999-12-31	49	9999-12-31	2013-05-08	24241
7117/9-2	358.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	13	9999-12-31	2013-05-08	24242
7117/9-2	1200.000000	1.150000	53.000000	0.000000	WATER BASED	9999-12-31	13	9999-12-31	2013-05-08	24243
7117/9-2	1940.000000	1.300000	58.000000	0.000000	WATER BASED	9999-12-31	13	9999-12-31	2013-05-08	24244
7117/9-2	2240.000000	1.310000	58.000000	0.000000	WATER BASED	9999-12-31	13	9999-12-31	2013-05-08	24245
7117/9-2	3131.000000	1.370000	63.000000	0.000000	WATER BASED	9999-12-31	13	9999-12-31	2013-05-08	24246
7117/9-2	3635.000000	1.450000	56.000000	0.000000	WATER BASED	9999-12-31	13	9999-12-31	2013-05-08	24247
7117/9-2	4737.000000	1.510000	60.000000	0.000000	WATER BASED	9999-12-31	13	9999-12-31	2013-05-08	24248
7117/9-2	5000.000000	1.510000	55.000000	0.000000	WATER BASED	9999-12-31	13	9999-12-31	2013-05-08	24249
7119/12-1	255.000000	1.050000	45.000000	0.000000	seawater	9999-12-31	121	9999-12-31	2013-05-08	24250
7119/12-1	615.000000	1.200000	29.000000	0.000000	seawater	9999-12-31	121	9999-12-31	2013-05-08	24251
7119/12-1	1055.000000	1.200000	17.000000	16.000000	seawater	9999-12-31	121	9999-12-31	2013-05-08	24252
7119/12-1	1699.000000	1.200000	30.000000	12.000000	seawater	9999-12-31	121	9999-12-31	2013-05-08	24253
7119/12-1	2450.000000	1.200000	17.000000	11.000000	seawater	9999-12-31	121	9999-12-31	2013-05-08	24254
7119/12-1	2598.000000	1.320000	21.000000	11.000000	seawater	9999-12-31	121	9999-12-31	2013-05-08	24255
7119/12-1	2807.000000	1.300000	21.000000	9.000000	seawater	9999-12-31	121	9999-12-31	2013-05-08	24256
7119/12-1	3088.000000	1.280000	19.000000	8.000000	seawater	9999-12-31	121	9999-12-31	2013-05-08	24257
7119/12-2	336.000000	1.060000	4.000000	26.000000	spud mud	9999-12-31	114	9999-12-31	2013-05-08	24258
7119/12-2	499.000000	1.270000	18.000000	13.000000	spud mud	9999-12-31	114	9999-12-31	2013-05-08	24259
7119/12-2	1065.000000	1.550000	20.000000	10.000000	water based	9999-12-31	114	9999-12-31	2013-05-08	24260
7119/12-2	1275.000000	1.550000	14.000000	10.000000	water based	9999-12-31	114	9999-12-31	2013-05-08	24261
7119/12-2	1553.000000	1.600000	19.000000	11.000000	water based	9999-12-31	114	9999-12-31	2013-05-08	24262
7119/12-2	1874.000000	1.350000	19.000000	12.000000	water based	9999-12-31	114	9999-12-31	2013-05-08	24263
7119/12-2	1885.000000	1.270000	12.000000	8.000000	water based	9999-12-31	114	9999-12-31	2013-05-08	24264
7119/12-3	716.000000	1.250000	45.000000	36.000000	spud mud	9999-12-31	17	9999-12-31	2013-05-08	24265
7119/12-3	1510.000000	1.150000	50.000000	25.000000	water based	9999-12-31	17	9999-12-31	2013-05-08	24266
7119/12-3	1860.000000	1.350000	51.000000	13.000000	water based	9999-12-31	17	9999-12-31	2013-05-08	24267
7119/12-3	2372.000000	1.470000	52.000000	18.000000	water based	9999-12-31	17	9999-12-31	2013-05-08	24268
7119/12-3	2800.000000	1.650000	51.000000	15.000000	water based	9999-12-31	17	9999-12-31	2013-05-08	24269
7119/12-3	3005.000000	1.650000	56.000000	18.000000	water based	9999-12-31	17	9999-12-31	2013-05-08	24270
7119/12-3	3144.000000	1.720000	60.000000	14.000000	water based	9999-12-31	17	9999-12-31	2013-05-08	24271
7119/12-4	219.000000	1.600000	21.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24272
7119/12-4	241.000000	1.600000	21.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24273
7119/12-4	242.000000	1.050000	15.000000	0.000000	Spud Mud	9999-12-31	6468	9999-12-31	2013-05-08	24274
7119/12-4	279.000000	1.600000	21.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24275
7119/12-4	661.000000	1.600000	21.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24276
7119/12-4	1120.000000	1.250000	14.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24277
7119/12-4	1152.000000	1.050000	17.000000	0.000000	Spud Mud	9999-12-31	6468	9999-12-31	2013-05-08	24278
7119/12-4	1155.000000	1.250000	13.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24279
7119/12-4	1675.000000	1.310000	26.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24280
7119/12-4	1692.000000	1.250000	30.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24281
7119/12-4	1907.000000	1.260000	23.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24282
7119/12-4	2135.000000	1.280000	19.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24283
7119/12-4	2169.000000	1.300000	14.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24284
7119/12-4	2185.000000	1.250000	22.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24285
7119/12-4	2315.000000	1.300000	23.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24286
7119/12-4	2514.000000	1.310000	24.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24287
7119/12-4	2704.000000	1.300000	27.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24288
7119/12-4	2917.000000	1.310000	26.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24289
7119/12-4	2917.000000	1.300000	26.000000	0.000000	KCl/Polymer/GEM	9999-12-31	6468	9999-12-31	2013-05-08	24290
7119/7-1	330.000000	1.050000	0.000000	0.000000	spud mud	9999-12-31	21	9999-12-31	2013-05-08	24291
7119/7-1	1117.000000	1.170000	50.000000	0.000000	seawater	9999-12-31	21	9999-12-31	2013-05-08	24292
7119/7-1	1655.000000	1.300000	53.000000	0.000000	seawater	9999-12-31	21	9999-12-31	2013-05-08	24293
7119/7-1	2517.000000	1.310000	42.000000	0.000000	seawater	9999-12-31	21	9999-12-31	2013-05-08	24294
7119/7-1	2826.000000	1.370000	45.000000	0.000000	seawater	9999-12-31	21	9999-12-31	2013-05-08	24295
7119/7-1	3167.000000	1.400000	40.000000	0.000000	seawater	9999-12-31	21	9999-12-31	2013-05-08	24296
7119/9-1	230.000000	1.070000	0.000000	0.000000	WATER BASED	1984-07-03	132	9999-12-31	2013-05-08	24297
7119/9-1	296.000000	1.060000	0.000000	0.000000	WATER BASED	1984-07-03	132	9999-12-31	2013-05-08	24298
7119/9-1	297.000000	1.070000	0.000000	0.000000	WATER BASED	1984-07-03	132	9999-12-31	2013-05-08	24299
7119/9-1	299.000000	1.040000	24.000000	5.800000	WATER BASED	1984-07-03	132	9999-12-31	2013-05-08	24300
7119/9-1	400.000000	1.060000	24.000000	9.800000	WATER BASED	1984-07-04	132	9999-12-31	2013-05-08	24301
7119/9-1	530.000000	1.070000	11.000000	5.900000	WATER BASED	1984-07-05	132	9999-12-31	2013-05-08	24302
7119/9-1	770.000000	1.120000	15.000000	10.700000	WATER BASED	1984-07-06	132	9999-12-31	2013-05-08	24303
7119/9-1	770.000000	1.140000	19.000000	17.100000	WATER BASED	1984-07-10	132	9999-12-31	2013-05-08	24304
7119/9-1	770.000000	1.260000	26.000000	7.800000	WATER BASED	1984-07-10	132	9999-12-31	2013-05-08	24305
7119/9-1	770.000000	1.260000	0.000000	0.000000	WATER BASED	1984-07-16	132	9999-12-31	2013-05-08	24306
7119/9-1	770.000000	1.260000	0.000000	0.000000	WATER BASED	1984-07-12	132	9999-12-31	2013-05-08	24307
7119/9-1	770.000000	1.260000	26.000000	7.800000	WATER BASED	1984-07-11	132	9999-12-31	2013-05-08	24308
7119/9-1	770.000000	1.260000	26.000000	7.800000	WATER BASED	1984-07-10	132	9999-12-31	2013-05-08	24309
7119/9-1	770.000000	1.140000	20.000000	14.700000	WATER BASED	1984-07-10	132	9999-12-31	2013-05-08	24310
7119/9-1	770.000000	1.150000	20.000000	9.300000	WATER BASED	1984-07-10	132	9999-12-31	2013-05-08	24311
7119/9-1	770.000000	1.260000	0.000000	0.000000	WATER BASED	1984-07-16	132	9999-12-31	2013-05-08	24312
7119/9-1	770.000000	1.260000	26.000000	7.800000	WATER BASED	1984-07-11	132	9999-12-31	2013-05-08	24313
7119/9-1	770.000000	1.260000	0.000000	0.000000	WATER BASED	1984-07-12	132	9999-12-31	2013-05-08	24314
7119/9-1	770.000000	1.140000	20.000000	14.700000	WATER BASED	1984-07-10	132	9999-12-31	2013-05-08	24315
7119/9-1	770.000000	1.140000	19.000000	17.100000	WATER BASED	1984-07-10	132	9999-12-31	2013-05-08	24316
7119/9-1	770.000000	1.150000	20.000000	9.300000	WATER BASED	1984-07-10	132	9999-12-31	2013-05-08	24317
7119/9-1	773.000000	1.150000	27.000000	9.800000	WATER BASED	1984-07-16	132	9999-12-31	2013-05-08	24318
7119/9-1	876.000000	1.160000	30.000000	11.800000	WATER BASED	1984-07-16	132	9999-12-31	2013-05-08	24319
7119/9-1	1030.000000	1.170000	30.000000	11.800000	WATER BASED	1984-07-16	132	9999-12-31	2013-05-08	24320
7119/9-1	1179.000000	1.190000	30.000000	13.700000	WATER BASED	1984-07-17	132	9999-12-31	2013-05-08	24321
7119/9-1	1300.000000	1.190000	30.000000	14.700000	WATER BASED	1984-07-18	132	9999-12-31	2013-05-08	24322
7119/9-1	1303.000000	1.580000	0.000000	0.000000	WATER BASED	1984-09-25	132	9999-12-31	2013-05-08	24323
7119/9-1	1390.000000	1.200000	27.000000	9.800000	WATER BASED	1984-07-19	132	9999-12-31	2013-05-08	24324
7119/9-1	1460.000000	1.200000	26.000000	11.700000	WATER BASED	1984-07-24	132	9999-12-31	2013-05-08	24325
7119/9-1	1563.000000	1.240000	38.000000	14.700000	WATER BASED	1984-07-24	132	9999-12-31	2013-05-08	24326
7119/9-1	1563.000000	1.240000	38.000000	14.700000	WATER BASED	1984-07-25	132	9999-12-31	2013-05-08	24327
7119/9-1	1563.000000	1.240000	38.000000	14.700000	WATER BASED	1984-07-25	132	9999-12-31	2013-05-08	24328
7119/9-1	1570.000000	1.260000	29.000000	6.300000	WATER BASED	1984-07-26	132	9999-12-31	2013-05-08	24329
7119/9-1	1693.000000	1.270000	3.000000	9.800000	WATER BASED	1984-07-30	132	9999-12-31	2013-05-08	24330
7119/9-1	1782.000000	1.270000	32.000000	9.800000	WATER BASED	1984-07-30	132	9999-12-31	2013-05-08	24331
7119/9-1	1817.000000	1.270000	32.000000	9.500000	WATER BASED	1984-07-30	132	9999-12-31	2013-05-08	24332
7119/9-1	1901.000000	1.270000	33.000000	12.700000	WATER BASED	1984-07-30	132	9999-12-31	2013-05-08	24333
7119/9-1	1938.000000	1.270000	28.000000	9.800000	WATER BASED	1984-07-30	132	9999-12-31	2013-05-08	24334
7119/9-1	1988.000000	1.260000	26.000000	8.300000	WATER BASED	1984-08-01	132	9999-12-31	2013-05-08	24335
7119/9-1	2053.000000	1.270000	30.000000	8.800000	WATER BASED	1984-08-01	132	9999-12-31	2013-05-08	24336
7119/9-1	2067.000000	1.270000	28.000000	5.400000	WATER BASED	1984-08-03	132	9999-12-31	2013-05-08	24337
7119/9-1	2128.000000	1.280000	27.000000	9.800000	WATER BASED	1984-08-06	132	9999-12-31	2013-05-08	24338
7119/9-1	2162.000000	1.290000	30.000000	9.800000	WATER BASED	1984-08-06	132	9999-12-31	2013-05-08	24339
7119/9-1	2212.000000	1.280000	28.000000	8.800000	WATER BASED	1984-08-06	132	9999-12-31	2013-05-08	24340
7119/9-1	2232.000000	1.280000	30.000000	10.000000	WATER BASED	1984-08-06	132	9999-12-31	2013-05-08	24341
7119/9-1	2267.000000	1.280000	29.000000	9.800000	WATER BASED	1984-08-07	132	9999-12-31	2013-05-08	24342
7119/9-1	2323.000000	1.280000	30.000000	9.800000	WATER BASED	1984-08-08	132	9999-12-31	2013-05-08	24343
7119/9-1	2370.000000	1.280000	30.000000	9.800000	WATER BASED	1984-08-09	132	9999-12-31	2013-05-08	24344
7119/9-1	2387.000000	1.280000	30.000000	9.800000	WATER BASED	1984-08-13	132	9999-12-31	2013-05-08	24345
7119/9-1	2417.000000	1.280000	30.000000	10.700000	WATER BASED	1984-08-13	132	9999-12-31	2013-05-08	24346
7119/9-1	2446.000000	1.280000	28.000000	10.700000	WATER BASED	1984-08-14	132	9999-12-31	2013-05-08	24347
7119/9-1	2498.000000	1.280000	28.000000	9.800000	WATER BASED	1984-08-14	132	9999-12-31	2013-05-08	24348
7119/9-1	2581.000000	1.320000	30.000000	11.800000	WATER BASED	1984-08-14	132	9999-12-31	2013-05-08	24349
7119/9-1	2622.000000	1.320000	30.000000	8.800000	WATER BASED	1984-08-15	132	9999-12-31	2013-05-08	24350
7119/9-1	2627.000000	1.580000	0.000000	0.000000	WATER BASED	1984-09-20	132	9999-12-31	2013-05-08	24351
7119/9-1	2676.000000	1.340000	30.000000	11.800000	WATER BASED	1984-08-16	132	9999-12-31	2013-05-08	24352
7119/9-1	2694.000000	1.340000	32.000000	11.800000	WATER BASED	1984-08-20	132	9999-12-31	2013-05-08	24353
7119/9-1	2731.000000	1.340000	32.000000	11.800000	WATER BASED	1984-08-20	132	9999-12-31	2013-05-08	24354
7119/9-1	2731.000000	1.360000	32.000000	8.800000	WATER BASED	1984-08-20	132	9999-12-31	2013-05-08	24355
7119/9-1	2731.000000	1.390000	32.000000	10.800000	WATER BASED	1984-08-21	132	9999-12-31	2013-05-08	24356
7119/9-1	2731.000000	1.390000	32.000000	10.800000	WATER BASED	1984-08-24	132	9999-12-31	2013-05-08	24357
7119/9-1	2731.000000	1.390000	32.000000	10.800000	WATER BASED	1984-08-21	132	9999-12-31	2013-05-08	24358
7119/9-1	2731.000000	1.390000	32.000000	10.800000	WATER BASED	1984-08-24	132	9999-12-31	2013-05-08	24359
7119/9-1	2731.000000	1.360000	32.000000	8.800000	WATER BASED	1984-08-20	132	9999-12-31	2013-05-08	24360
7119/9-1	2732.000000	1.420000	28.000000	8.800000	WATER BASED	1984-08-27	132	9999-12-31	2013-05-08	24361
7119/9-1	2732.000000	1.430000	30.000000	6.800000	WATER BASED	1984-08-27	132	9999-12-31	2013-05-08	24362
7119/9-1	2732.000000	1.420000	24.000000	7.800000	WATER BASED	1984-08-27	132	9999-12-31	2013-05-08	24363
7119/9-1	2732.000000	1.430000	30.000000	6.800000	WATER BASED	1984-08-27	132	9999-12-31	2013-05-08	24364
7119/9-1	2732.000000	1.400000	26.000000	7.800000	WATER BASED	1984-08-27	132	9999-12-31	2013-05-08	24365
7119/9-1	2732.000000	1.420000	28.000000	8.800000	WATER BASED	1984-08-27	132	9999-12-31	2013-05-08	24366
7119/9-1	2732.000000	1.420000	24.000000	7.800000	WATER BASED	1984-08-27	132	9999-12-31	2013-05-08	24367
7119/9-1	2745.000000	1.550000	40.000000	8.800000	WATER BASED	1984-08-28	132	9999-12-31	2013-05-08	24368
7119/9-1	2754.000000	1.560000	50.000000	10.000000	WATER BASED	1984-08-29	132	9999-12-31	2013-05-08	24369
7119/9-1	2776.000000	1.560000	58.000000	11.800000	WATER BASED	1984-09-04	132	9999-12-31	2013-05-08	24370
7119/9-1	2776.000000	1.560000	58.000000	11.800000	WATER BASED	1984-09-04	132	9999-12-31	2013-05-08	24371
7119/9-1	2776.000000	1.560000	58.000000	11.800000	WATER BASED	1984-08-30	132	9999-12-31	2013-05-08	24372
7119/9-1	2779.000000	1.560000	58.000000	11.800000	WATER BASED	1984-09-04	132	9999-12-31	2013-05-08	24373
7119/9-1	2824.000000	1.560000	40.000000	8.800000	WATER BASED	1984-09-04	132	9999-12-31	2013-05-08	24374
7119/9-1	2867.000000	1.560000	42.000000	8.800000	WATER BASED	1984-09-04	132	9999-12-31	2013-05-08	24375
7119/9-1	2928.000000	1.560000	42.000000	10.800000	WATER BASED	1984-09-04	132	9999-12-31	2013-05-08	24376
7119/9-1	2982.000000	1.570000	48.000000	9.800000	WATER BASED	1984-09-04	132	9999-12-31	2013-05-08	24377
7119/9-1	3002.000000	1.570000	48.000000	10.800000	WATER BASED	1984-09-06	132	9999-12-31	2013-05-08	24378
7119/9-1	3055.000000	1.570000	44.000000	7.800000	WATER BASED	1984-09-06	132	9999-12-31	2013-05-08	24379
7119/9-1	3086.000000	1.570000	45.000000	9.800000	WATER BASED	1984-09-10	132	9999-12-31	2013-05-08	24380
7119/9-1	3102.000000	1.570000	40.000000	7.800000	WATER BASED	1984-09-10	132	9999-12-31	2013-05-08	24381
7119/9-1	3154.000000	1.570000	46.000000	10.800000	WATER BASED	1984-09-10	132	9999-12-31	2013-05-08	24382
7119/9-1	3191.000000	1.570000	48.000000	10.800000	WATER BASED	1984-09-10	132	9999-12-31	2013-05-08	24383
7119/9-1	3242.000000	1.580000	51.000000	10.800000	WATER BASED	1984-09-11	132	9999-12-31	2013-05-08	24384
7119/9-1	3243.000000	1.590000	42.000000	6.500000	WATER BASED	1984-09-16	132	9999-12-31	2013-05-08	24385
7119/9-1	3243.000000	1.580000	55.000000	12.300000	WATER BASED	1984-09-16	132	9999-12-31	2013-05-08	24386
7119/9-1	3243.000000	1.590000	42.000000	6.500000	WATER BASED	1984-09-14	132	9999-12-31	2013-05-08	24387
7119/9-1	3243.000000	1.590000	47.000000	10.800000	WATER BASED	1984-09-13	132	9999-12-31	2013-05-08	24388
7119/9-1	3243.000000	1.590000	46.000000	9.800000	WATER BASED	1984-09-13	132	9999-12-31	2013-05-08	24389
7119/9-1	3243.000000	1.580000	54.000000	12.300000	WATER BASED	1984-09-19	132	9999-12-31	2013-05-08	24390
7119/9-1	3243.000000	1.580000	55.000000	12.300000	WATER BASED	1984-09-17	132	9999-12-31	2013-05-08	24391
7119/9-1	3243.000000	1.590000	46.000000	9.800000	WATER BASED	1984-09-13	132	9999-12-31	2013-05-08	24392
7119/9-1	3243.000000	1.590000	42.000000	6.500000	WATER BASED	1984-09-14	132	9999-12-31	2013-05-08	24393
7119/9-1	3243.000000	1.580000	54.000000	12.300000	WATER BASED	1984-09-19	132	9999-12-31	2013-05-08	24394
7119/9-1	3243.000000	1.580000	55.000000	12.300000	WATER BASED	1984-09-17	132	9999-12-31	2013-05-08	24395
7119/9-1	3243.000000	1.590000	42.000000	6.500000	WATER BASED	1984-09-16	132	9999-12-31	2013-05-08	24396
7119/9-1	3243.000000	1.580000	55.000000	12.300000	WATER BASED	1984-09-16	132	9999-12-31	2013-05-08	24397
7120/10-1	216.000000	1.000000	0.000000	0.000000	WATER BASED	1984-08-15	274	9999-12-31	2013-05-08	24398
7120/10-1	237.000000	1.000000	0.000000	0.000000	WATER BASED	1984-08-15	274	9999-12-31	2013-05-08	24399
7120/10-1	248.000000	1.000000	0.000000	0.000000	WATER BASED	1984-08-15	274	9999-12-31	2013-05-08	24400
7120/10-1	253.000000	1.120000	0.000000	0.000000	WATER BASED	1984-08-15	274	9999-12-31	2013-05-08	24401
7120/10-1	253.000000	1.060000	15.000000	23.900000	WATER BASED	1984-08-15	274	9999-12-31	2013-05-08	24402
7120/10-1	253.000000	1.060000	15.000000	23.900000	WATER BASED	1984-08-15	274	9999-12-31	2013-05-08	24403
7120/10-1	440.000000	1.090000	9.000000	5.300000	WATER BASED	1984-08-16	274	9999-12-31	2013-05-08	24404
7120/10-1	535.000000	1.100000	10.000000	4.800000	WATER BASED	1984-08-21	274	9999-12-31	2013-05-08	24405
7120/10-1	535.000000	1.100000	10.000000	4.800000	WATER BASED	1984-08-21	274	9999-12-31	2013-05-08	24406
7120/10-1	535.000000	1.100000	10.000000	4.800000	WATER BASED	1984-08-17	274	9999-12-31	2013-05-08	24407
7120/10-1	586.000000	1.150000	11.000000	12.900000	WATER BASED	1984-08-21	274	9999-12-31	2013-05-08	24408
7120/10-1	900.000000	1.180000	16.000000	7.700000	WATER BASED	1984-08-21	274	9999-12-31	2013-05-08	24409
7120/10-1	1196.000000	1.220000	13.000000	9.600000	WATER BASED	1984-08-21	274	9999-12-31	2013-05-08	24410
7120/10-1	1317.000000	1.220000	13.000000	12.900000	WATER BASED	1984-08-22	274	9999-12-31	2013-05-08	24411
7120/10-1	1317.000000	1.260000	13.000000	12.500000	WATER BASED	1984-08-23	274	9999-12-31	2013-05-08	24412
7120/10-1	1317.000000	1.260000	13.000000	12.500000	WATER BASED	1984-08-23	274	9999-12-31	2013-05-08	24413
7120/10-1	1350.000000	1.330000	12.000000	6.200000	WATER BASED	1984-09-06	274	9999-12-31	2013-05-08	24414
7120/10-1	1371.000000	1.260000	11.000000	5.300000	WATER BASED	1984-08-28	274	9999-12-31	2013-05-08	24415
7120/10-1	1501.000000	1.260000	14.000000	8.600000	WATER BASED	1984-08-29	274	9999-12-31	2013-05-08	24416
7120/10-1	1570.000000	1.300000	12.000000	6.700000	WATER BASED	1984-08-30	274	9999-12-31	2013-05-08	24417
7120/10-1	1584.000000	1.280000	11.000000	5.300000	WATER BASED	1984-08-31	274	9999-12-31	2013-05-08	24418
7120/10-1	1611.000000	1.340000	14.000000	8.600000	WATER BASED	1984-09-03	274	9999-12-31	2013-05-08	24419
7120/10-1	1816.000000	1.340000	13.000000	9.600000	WATER BASED	1984-09-03	274	9999-12-31	2013-05-08	24420
7120/10-1	1920.000000	1.360000	14.000000	7.700000	WATER BASED	1984-09-03	274	9999-12-31	2013-05-08	24421
7120/10-1	1961.000000	1.340000	14.000000	8.100000	WATER BASED	1984-09-04	274	9999-12-31	2013-05-08	24422
7120/10-2	224.000000	1.030000	1.000000	0.000000	WATER BASED	1990-07-23	1561	9999-12-31	2013-05-08	24423
7120/10-2	249.000000	1.000000	0.000000	0.000000	WATER BASED	1990-07-23	1561	9999-12-31	2013-05-08	24424
7120/10-2	249.000000	1.030000	1.000000	0.000000	WATER BASED	1990-07-25	1561	9999-12-31	2013-05-08	24425
7120/10-2	249.000000	1.030000	1.000000	0.000000	WATER BASED	1990-07-23	1561	9999-12-31	2013-05-08	24426
7120/10-2	249.000000	1.030000	1.000000	0.000000	WATER BASED	1990-07-24	1561	9999-12-31	2013-05-08	24427
7120/10-2	536.000000	1.070000	13.000000	3.400000	WATER BASED	1990-07-30	1561	9999-12-31	2013-05-08	24428
7120/10-2	536.000000	1.030000	1.000000	0.000000	WATER BASED	1990-07-26	1561	9999-12-31	2013-05-08	24429
7120/10-2	536.000000	1.030000	0.000000	0.000000	WATER BASED	1990-07-30	1561	9999-12-31	2013-05-08	24430
7120/10-2	536.000000	1.070000	7.000000	5.300000	WATER BASED	1990-07-30	1561	9999-12-31	2013-05-08	24431
7120/10-2	685.000000	1.080000	5.000000	5.700000	WATER BASED	1990-07-31	1561	9999-12-31	2013-05-08	24432
7120/10-2	1014.000000	1.130000	8.000000	6.700000	WATER BASED	1990-08-01	1561	9999-12-31	2013-05-08	24433
7120/10-2	1190.000000	1.250000	15.000000	0.500000	WATER BASED	1990-09-03	1561	9999-12-31	2013-05-08	24434
7120/10-2	1300.000000	1.250000	15.000000	1.900000	WATER BASED	1990-09-03	1561	9999-12-31	2013-05-08	24435
7120/10-2	1321.000000	1.210000	12.000000	6.700000	WATER BASED	1990-08-13	1561	9999-12-31	2013-05-08	24436
7120/10-2	1321.000000	1.210000	12.000000	6.700000	WATER BASED	1990-08-14	1561	9999-12-31	2013-05-08	24437
7120/10-2	1321.000000	1.150000	7.000000	8.100000	WATER BASED	1990-08-03	1561	9999-12-31	2013-05-08	24438
7120/10-2	1321.000000	1.210000	12.000000	6.700000	WATER BASED	1990-08-09	1561	9999-12-31	2013-05-08	24439
7120/10-2	1321.000000	1.150000	7.000000	8.100000	WATER BASED	1990-08-02	1561	9999-12-31	2013-05-08	24440
7120/10-2	1321.000000	1.210000	12.000000	6.700000	WATER BASED	1990-08-13	1561	9999-12-31	2013-05-08	24441
7120/10-2	1321.000000	1.210000	12.000000	6.700000	WATER BASED	1990-08-10	1561	9999-12-31	2013-05-08	24442
7120/10-2	1321.000000	1.150000	10.000000	9.100000	WATER BASED	1990-08-06	1561	9999-12-31	2013-05-08	24443
7120/10-2	1321.000000	1.160000	7.000000	8.100000	WATER BASED	1990-08-06	1561	9999-12-31	2013-05-08	24444
7120/10-2	1321.000000	1.160000	9.000000	7.700000	WATER BASED	1990-08-06	1561	9999-12-31	2013-05-08	24445
7120/10-2	1454.000000	1.170000	10.000000	7.700000	WATER BASED	1990-08-15	1561	9999-12-31	2013-05-08	24446
7120/10-2	1670.000000	1.180000	11.000000	9.600000	WATER BASED	1990-08-15	1561	9999-12-31	2013-05-08	24447
7120/10-2	1865.000000	1.160000	10.000000	7.700000	WATER BASED	1990-08-16	1561	9999-12-31	2013-05-08	24448
7120/10-2	1886.000000	1.180000	10.000000	6.700000	WATER BASED	1990-08-17	1561	9999-12-31	2013-05-08	24449
7120/10-2	2076.000000	1.230000	14.000000	7.700000	WATER BASED	1990-08-21	1561	9999-12-31	2013-05-08	24450
7120/10-2	2086.000000	1.230000	12.000000	8.600000	WATER BASED	1990-08-21	1561	9999-12-31	2013-05-08	24451
7120/10-2	2127.000000	1.230000	12.000000	7.700000	WATER BASED	1990-08-21	1561	9999-12-31	2013-05-08	24452
7120/10-2	2136.000000	1.230000	11.000000	7.200000	WATER BASED	1990-08-21	1561	9999-12-31	2013-05-08	24453
7120/10-2	2195.000000	1.230000	15.000000	7.200000	WATER BASED	1990-08-22	1561	9999-12-31	2013-05-08	24454
7120/10-2	2500.000000	1.200000	12.000000	7.200000	WATER BASED	1990-08-27	1561	9999-12-31	2013-05-08	24455
7120/10-2	2500.000000	1.260000	14.000000	4.800000	WATER BASED	1990-09-03	1561	9999-12-31	2013-05-08	24456
7120/10-2	2500.000000	1.270000	12.000000	4.800000	WATER BASED	1990-08-31	1561	9999-12-31	2013-05-08	24457
7120/10-2	2500.000000	1.260000	11.000000	5.300000	WATER BASED	1990-08-30	1561	9999-12-31	2013-05-08	24458
7120/10-2	2500.000000	1.260000	15.000000	6.700000	WATER BASED	1990-08-29	1561	9999-12-31	2013-05-08	24459
7120/10-2	2500.000000	1.260000	17.000000	8.100000	WATER BASED	1990-08-27	1561	9999-12-31	2013-05-08	24460
7120/10-2	2500.000000	1.260000	15.000000	6.700000	WATER BASED	1990-08-27	1561	9999-12-31	2013-05-08	24461
7120/10-2	2500.000000	1.260000	13.000000	6.700000	WATER BASED	1990-08-28	1561	9999-12-31	2013-05-08	24462
7120/1-1	378.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24463
7120/1-1	456.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24464
7120/1-1	480.000000	1.040000	120.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24465
7120/1-1	581.000000	1.040000	60.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24466
7120/1-1	725.000000	1.050000	41.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24467
7120/1-1	800.000000	1.070000	42.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24468
7120/1-1	832.000000	1.060000	66.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24469
7120/1-1	1112.000000	1.120000	64.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24470
7120/1-1	1158.000000	1.120000	37.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24471
7120/1-1	1253.000000	1.120000	45.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24472
7120/1-1	1340.000000	1.130000	50.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24473
7120/1-1	1449.000000	1.170000	50.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24474
7120/1-1	1470.000000	1.170000	55.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24475
7120/1-1	1523.000000	1.170000	54.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24476
7120/1-1	1628.000000	1.170000	49.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24477
7120/1-1	1692.000000	1.170000	47.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24478
7120/1-1	1757.000000	1.170000	48.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24479
7120/1-1	1834.000000	1.170000	46.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24480
7120/1-1	1868.000000	1.170000	48.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24481
7120/1-1	1959.000000	1.170000	46.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24482
7120/1-1	2075.000000	1.170000	45.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24483
7120/1-1	2107.000000	1.170000	17.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24484
7120/1-1	2281.000000	1.280000	49.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24485
7120/1-1	2307.000000	1.370000	55.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24486
7120/1-1	2373.000000	1.250000	55.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24487
7120/1-1	2376.000000	1.260000	47.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24488
7120/1-1	2400.000000	1.270000	46.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24489
7120/1-1	2411.000000	1.270000	50.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24490
7120/1-1	2426.000000	1.300000	47.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24491
7120/1-1	2426.000000	1.270000	48.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24492
7120/1-1	2447.000000	1.280000	43.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24493
7120/1-1	2453.000000	1.280000	48.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24494
7120/1-1	2480.000000	1.340000	45.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24495
7120/1-1	2494.000000	1.370000	45.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24496
7120/1-1	2537.000000	1.370000	45.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24497
7120/1-1	2569.000000	1.370000	24.000000	0.000000	WATER BASED	9999-12-31	484	9999-12-31	2013-05-08	24498
7120/1-1 R	460.000000	1.360000	0.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24499
7120/1-1 R	2307.000000	1.370000	23.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24500
7120/1-1 R	2318.000000	1.370000	20.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24501
7120/1-1 R	2448.000000	1.370000	41.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24502
7120/1-1 R	2470.000000	1.370000	41.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24503
7120/1-1 R	2485.000000	1.370000	44.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24504
7120/1-1 R	2500.000000	1.370000	42.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24505
7120/1-1 R	2509.000000	1.370000	44.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24506
7120/1-1 R	2522.000000	1.370000	40.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24507
7120/1-1 R	2523.000000	1.370000	22.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24508
7120/1-1 R	2539.000000	1.370000	22.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24509
7120/1-1 R	2551.000000	1.370000	24.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24510
7120/1-1 R	2560.000000	1.370000	24.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24511
7120/1-1 R	2564.000000	1.370000	24.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24512
7120/1-1 R	2575.000000	1.370000	24.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24513
7120/1-1 R	2610.000000	1.370000	24.000000	0.000000	WATER BASED	9999-12-31	874	9999-12-31	2013-05-08	24514
7120/1-1 R2	406.000000	1.380000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24515
7120/1-1 R2	567.000000	1.390000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24516
7120/1-1 R2	809.000000	1.410000	16.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24517
7120/1-1 R2	2093.000000	1.390000	20.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24518
7120/1-1 R2	2414.000000	1.390000	19.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24519
7120/1-1 R2	2429.000000	1.400000	41.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24520
7120/1-1 R2	2607.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24521
7120/1-1 R2	2612.000000	1.400000	50.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24522
7120/1-1 R2	2632.000000	1.400000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24523
7120/1-1 R2	2652.000000	1.400000	15.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24524
7120/1-1 R2	2672.000000	1.400000	15.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24525
7120/1-1 R2	2694.000000	1.390000	15.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24526
7120/1-1 R2	2695.000000	1.400000	15.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24527
7120/1-1 R2	2698.000000	1.400000	17.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24528
7120/1-1 R2	2709.000000	1.390000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24529
7120/1-1 R2	2730.000000	1.390000	11.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24530
7120/1-1 R2	2754.000000	1.390000	11.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24531
7120/1-1 R2	2770.000000	1.390000	11.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24532
7120/1-1 R2	2798.000000	1.400000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24533
7120/1-1 R2	2804.000000	1.400000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24534
7120/1-1 R2	2810.000000	1.250000	0.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24535
7120/1-1 R2	2854.000000	1.390000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24536
7120/1-1 R2	2855.000000	1.390000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24537
7120/1-1 R2	2858.000000	1.390000	11.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24538
7120/1-1 R2	2861.000000	1.390000	8.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24539
7120/1-1 R2	2885.000000	1.390000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24540
7120/1-1 R2	2887.000000	1.390000	9.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24541
7120/1-1 R2	2905.000000	1.390000	9.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24542
7120/1-1 R2	2917.000000	1.390000	9.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24543
7120/1-1 R2	2933.000000	1.390000	9.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24544
7120/1-1 R2	2960.000000	1.390000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24545
7120/1-1 R2	2974.000000	1.390000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24546
7120/1-1 R2	3001.000000	1.400000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24547
7120/1-1 R2	3037.000000	1.390000	11.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24548
7120/1-1 R2	3053.000000	1.390000	11.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24549
7120/1-1 R2	3093.000000	1.390000	11.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24550
7120/1-1 R2	3152.000000	1.380000	11.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24551
7120/1-1 R2	3157.000000	1.390000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24552
7120/1-1 R2	3166.000000	1.390000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24553
7120/1-1 R2	3185.000000	1.390000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24554
7120/1-1 R2	3209.000000	1.390000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24555
7120/1-1 R2	3225.000000	1.390000	13.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24556
7120/1-1 R2	3263.000000	1.390000	11.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24557
7120/1-1 R2	3286.000000	1.390000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24558
7120/1-1 R2	3304.000000	1.390000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24559
7120/1-1 R2	3340.000000	1.390000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24560
7120/1-1 R2	3359.000000	1.390000	14.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24561
7120/1-1 R2	3386.000000	1.400000	13.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24562
7120/1-1 R2	3426.000000	1.400000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24563
7120/1-1 R2	3437.000000	1.390000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24564
7120/1-1 R2	3532.000000	1.390000	13.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24565
7120/1-1 R2	3551.000000	1.390000	14.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24566
7120/1-1 R2	3590.000000	1.390000	14.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24567
7120/1-1 R2	3598.000000	1.250000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24568
7120/1-1 R2	3609.000000	1.390000	13.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24569
7120/1-1 R2	3659.000000	1.390000	14.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24570
7120/1-1 R2	3722.000000	1.390000	14.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24571
7120/1-1 R2	3725.000000	1.380000	9.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24572
7120/1-1 R2	3758.000000	1.250000	7.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24573
7120/1-1 R2	3788.000000	1.250000	8.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24574
7120/1-1 R2	3809.000000	1.250000	8.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24575
7120/1-1 R2	3826.000000	1.250000	8.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24576
7120/1-1 R2	3844.000000	1.250000	8.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24577
7120/1-1 R2	3857.000000	1.250000	9.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24578
7120/1-1 R2	3874.000000	1.250000	10.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24579
7120/1-1 R2	3883.000000	1.250000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24580
7120/1-1 R2	3907.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24581
7120/1-1 R2	3931.000000	1.250000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24582
7120/1-1 R2	3939.000000	1.250000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24583
7120/1-1 R2	3989.000000	1.250000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24584
7120/1-1 R2	4000.000000	1.100000	12.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24585
7120/1-1 R2	4003.000000	1.250000	11.000000	0.000000	WATER BASED	9999-12-31	897	9999-12-31	2013-05-08	24586
7120/1-2	366.000000	1.040000	0.000000	0.000000	WATER BASED	1989-01-04	1366	9999-12-31	2013-05-08	24587
7120/1-2	673.000000	1.020000	15.000000	20.000000	WATER BASED	1989-01-16	1366	9999-12-31	2013-05-08	24588
7120/1-2	827.000000	1.200000	19.000000	24.000000	WATER BASED	1989-01-16	1366	9999-12-31	2013-05-08	24589
7120/1-2	880.000000	1.200000	19.000000	24.000000	WATER BASED	1989-01-16	1366	9999-12-31	2013-05-08	24590
7120/1-2	1100.000000	1.020000	17.000000	20.000000	WATER BASED	1989-01-17	1366	9999-12-31	2013-05-08	24591
7120/1-2	1290.000000	1.200000	17.000000	19.000000	WATER BASED	1989-01-17	1366	9999-12-31	2013-05-08	24592
7120/1-2	1500.000000	1.200000	20.000000	28.000000	WATER BASED	1989-01-20	1366	9999-12-31	2013-05-08	24593
7120/1-2	1500.000000	1.200000	20.000000	28.000000	WATER BASED	1989-01-19	1366	9999-12-31	2013-05-08	24594
7120/1-2	1500.000000	1.200000	20.000000	28.000000	WATER BASED	1989-01-25	1366	9999-12-31	2013-05-08	24595
7120/1-2	1500.000000	1.200000	22.000000	34.000000	WATER BASED	1989-01-19	1366	9999-12-31	2013-05-08	24596
7120/1-2	1600.000000	1.200000	21.000000	28.000000	WATER BASED	1989-01-25	1366	9999-12-31	2013-05-08	24597
7120/1-2	1670.000000	1.200000	21.000000	20.000000	WATER BASED	1989-01-26	1366	9999-12-31	2013-05-08	24598
7120/1-2	1740.000000	1.200000	26.000000	21.000000	WATER BASED	1989-01-26	1366	9999-12-31	2013-05-08	24599
7120/1-2	1781.000000	1.200000	24.000000	21.000000	WATER BASED	1989-01-27	1366	9999-12-31	2013-05-08	24600
7120/1-2	1781.000000	1.200000	24.000000	21.000000	WATER BASED	1989-01-30	1366	9999-12-31	2013-05-08	24601
7120/1-2	1830.000000	1.180000	20.000000	21.000000	WATER BASED	1989-01-30	1366	9999-12-31	2013-05-08	24602
7120/1-2	1850.000000	1.200000	0.000000	0.000000	WATER BASED	1989-03-16	1366	9999-12-31	2013-05-08	24603
7120/1-2	1850.000000	1.200000	0.000000	0.000000	WATER BASED	1989-03-20	1366	9999-12-31	2013-05-08	24604
7120/1-2	1850.000000	1.200000	0.000000	0.000000	WATER BASED	1989-03-28	1366	9999-12-31	2013-05-08	24605
7120/1-2	1850.000000	1.200000	0.000000	0.000000	WATER BASED	1989-03-22	1366	9999-12-31	2013-05-08	24606
7120/1-2	1887.000000	1.200000	22.000000	23.000000	WATER BASED	1989-01-31	1366	9999-12-31	2013-05-08	24607
7120/1-2	1934.000000	1.200000	21.000000	23.000000	WATER BASED	1989-02-01	1366	9999-12-31	2013-05-08	24608
7120/1-2	1950.000000	1.200000	22.000000	20.000000	WATER BASED	1989-02-03	1366	9999-12-31	2013-05-08	24609
7120/1-2	1950.000000	1.200000	22.000000	20.000000	WATER BASED	1989-02-02	1366	9999-12-31	2013-05-08	24610
7120/1-2	1990.000000	1.020000	0.000000	0.000000	WATER BASED	1989-03-22	1366	9999-12-31	2013-05-08	24611
7120/1-2	2040.000000	1.180000	22.000000	22.000000	WATER BASED	1989-02-06	1366	9999-12-31	2013-05-08	24612
7120/1-2	2050.000000	1.030000	0.000000	0.000000	WATER BASED	1989-03-15	1366	9999-12-31	2013-05-08	24613
7120/1-2	2050.000000	1.030000	0.000000	0.000000	WATER BASED	1989-03-13	1366	9999-12-31	2013-05-08	24614
7120/1-2	2050.000000	1.030000	0.000000	0.000000	WATER BASED	1989-03-14	1366	9999-12-31	2013-05-08	24615
7120/1-2	2101.000000	1.180000	22.000000	22.000000	WATER BASED	1989-02-06	1366	9999-12-31	2013-05-08	24616
7120/1-2	2140.000000	1.180000	20.000000	23.000000	WATER BASED	1989-02-13	1366	9999-12-31	2013-05-08	24617
7120/1-2	2140.000000	1.180000	20.000000	23.000000	WATER BASED	1989-02-08	1366	9999-12-31	2013-05-08	24618
7120/1-2	2140.000000	1.180000	20.000000	23.000000	WATER BASED	1989-02-09	1366	9999-12-31	2013-05-08	24619
7120/1-2	2159.000000	1.200000	20.000000	21.000000	WATER BASED	1989-02-17	1366	9999-12-31	2013-05-08	24620
7120/1-2	2160.000000	1.200000	20.000000	21.000000	WATER BASED	1989-02-20	1366	9999-12-31	2013-05-08	24621
7120/1-2	2258.000000	1.200000	21.000000	23.000000	WATER BASED	1989-02-20	1366	9999-12-31	2013-05-08	24622
7120/1-2	2384.000000	1.200000	21.000000	23.000000	WATER BASED	1989-02-20	1366	9999-12-31	2013-05-08	24623
7120/1-2	2384.000000	1.200000	21.000000	23.000000	WATER BASED	1989-02-21	1366	9999-12-31	2013-05-08	24624
7120/1-2	2456.000000	1.200000	21.000000	22.000000	WATER BASED	1989-02-22	1366	9999-12-31	2013-05-08	24625
7120/1-2	2494.000000	1.200000	21.000000	22.000000	WATER BASED	1989-02-24	1366	9999-12-31	2013-05-08	24626
7120/1-2	2550.000000	1.200000	21.000000	22.000000	WATER BASED	1989-02-27	1366	9999-12-31	2013-05-08	24627
7120/1-2	2564.000000	1.200000	21.000000	22.000000	WATER BASED	1989-02-28	1366	9999-12-31	2013-05-08	24628
7120/1-2	2581.000000	1.200000	21.000000	22.000000	WATER BASED	1989-02-28	1366	9999-12-31	2013-05-08	24629
7120/1-2	2585.000000	1.200000	21.000000	22.000000	WATER BASED	1989-03-02	1366	9999-12-31	2013-05-08	24630
7120/1-2	2585.000000	1.200000	21.000000	22.000000	WATER BASED	1989-02-28	1366	9999-12-31	2013-05-08	24631
7120/1-2	2600.000000	1.030000	0.000000	0.000000	WATER BASED	1989-03-10	1366	9999-12-31	2013-05-08	24632
7120/1-2	2600.000000	1.030000	0.000000	0.000000	WATER BASED	1989-03-09	1366	9999-12-31	2013-05-08	24633
7120/1-2	2600.000000	1.030000	0.000000	0.000000	WATER BASED	1989-03-13	1366	9999-12-31	2013-05-08	24634
7120/1-2	2600.000000	1.030000	0.000000	0.000000	WATER BASED	1989-03-07	1366	9999-12-31	2013-05-08	24635
7120/1-2	2630.000000	1.030000	0.000000	0.000000	WATER BASED	1989-03-07	1366	9999-12-31	2013-05-08	24636
7120/1-2	2630.000000	1.200000	21.000000	20.000000	WATER BASED	1989-03-06	1366	9999-12-31	2013-05-08	24637
7120/1-2	2630.000000	1.200000	21.000000	20.000000	WATER BASED	1989-03-03	1366	9999-12-31	2013-05-08	24638
7120/12-1	279.000000	1.100000	5.000000	12.000000	spud mud	9999-12-31	123	9999-12-31	2013-05-08	24639
7120/12-1	691.000000	1.200000	12.000000	10.000000	water based	9999-12-31	123	9999-12-31	2013-05-08	24640
7120/12-1	1815.000000	1.260000	12.000000	4.000000	water based	9999-12-31	123	9999-12-31	2013-05-08	24641
7120/12-1	1860.000000	1.320000	0.000000	0.000000	water based	9999-12-31	123	9999-12-31	2013-05-08	24642
7120/12-1	2322.000000	1.320000	16.000000	4.000000	water based	9999-12-31	123	9999-12-31	2013-05-08	24643
7120/12-1	2570.000000	1.260000	15.000000	5.000000	water based	9999-12-31	123	9999-12-31	2013-05-08	24644
7120/12-1	2981.000000	1.220000	18.000000	5.000000	water based	9999-12-31	123	9999-12-31	2013-05-08	24645
7120/12-1	3397.000000	1.210000	16.000000	5.000000	water based	9999-12-31	123	9999-12-31	2013-05-08	24646
7120/12-1	3573.000000	1.320000	24.000000	7.000000	water based	9999-12-31	123	9999-12-31	2013-05-08	24647
7120/12-2	515.000000	1.120000	51.000000	12.000000	WATER BASED	9999-12-31	122	9999-12-31	2013-05-08	24648
7120/12-2	1625.000000	1.180000	65.000000	20.000000	WATER BASED	9999-12-31	122	9999-12-31	2013-05-08	24649
7120/12-2	1888.000000	1.360000	46.000000	8.000000	WATER BASED	9999-12-31	122	9999-12-31	2013-05-08	24650
7120/12-2	2354.000000	1.360000	48.000000	9.000000	WATER BASED	9999-12-31	122	9999-12-31	2013-05-08	24651
7120/12-2	2985.000000	1.400000	48.000000	4.000000	WATER BASED	9999-12-31	122	9999-12-31	2013-05-08	24652
7120/12-2	3117.000000	1.530000	60.000000	6.000000	WATER BASED	9999-12-31	122	9999-12-31	2013-05-08	24653
7120/12-2	3532.000000	1.590000	49.000000	6.000000	WATER BASED	9999-12-31	122	9999-12-31	2013-05-08	24654
7120/12-2	3884.000000	1.890000	54.000000	8.500000	WATER BASED	9999-12-31	122	9999-12-31	2013-05-08	24655
7120/12-2	4103.000000	1.930000	54.000000	11.000000	WATER BASED	9999-12-31	122	9999-12-31	2013-05-08	24656
7120/12-2	4680.000000	1.930000	68.000000	22.000000	WATER BASED	9999-12-31	122	9999-12-31	2013-05-08	24657
7120/12-3	274.000000	1.030000	0.000000	0.000000	spud mud	9999-12-31	8	9999-12-31	2013-05-08	24658
7120/12-3	585.000000	1.100000	42.000000	6.000000	spud mud	9999-12-31	8	9999-12-31	2013-05-08	24659
7120/12-3	1130.000000	1.200000	50.000000	11.000000	water based	9999-12-31	8	9999-12-31	2013-05-08	24660
7120/12-3	1515.000000	1.250000	60.000000	17.000000	water based	9999-12-31	8	9999-12-31	2013-05-08	24661
7120/12-3	2140.000000	1.350000	55.000000	10.000000	water based	9999-12-31	8	9999-12-31	2013-05-08	24662
7120/12-3	2523.000000	1.350000	50.000000	10.000000	water based	9999-12-31	8	9999-12-31	2013-05-08	24663
7120/12-4	450.000000	1.090000	59.000000	0.000000	WATER BASED	9999-12-31	99	9999-12-31	2013-05-08	24664
7120/12-4	600.000000	1.120000	57.000000	0.000000	WATER BASED	9999-12-31	99	9999-12-31	2013-05-08	24665
7120/12-4	800.000000	1.160000	49.000000	0.000000	WATER BASED	9999-12-31	99	9999-12-31	2013-05-08	24666
7120/12-4	1205.000000	1.270000	44.000000	0.000000	WATER BASED	9999-12-31	99	9999-12-31	2013-05-08	24667
7120/12-4	1775.000000	1.200000	46.000000	0.000000	WATER BASED	9999-12-31	99	9999-12-31	2013-05-08	24668
7120/12-5	450.000000	1.330000	23.000000	0.000000	KF	9999-12-31	6478	9999-12-31	2013-05-08	24669
7120/12-5	935.000000	1.330000	22.000000	0.000000	KF	9999-12-31	6478	9999-12-31	2013-05-08	24670
7120/12-5	1106.000000	1.250000	16.000000	0.000000	KF	9999-12-31	6478	9999-12-31	2013-05-08	24671
7120/12-5	1390.000000	1.360000	20.000000	0.000000	KF	9999-12-31	6478	9999-12-31	2013-05-08	24672
7120/12-5	1591.000000	1.370000	20.000000	0.000000	KF	9999-12-31	6478	9999-12-31	2013-05-08	24673
7120/12-5	1596.000000	1.370000	19.000000	0.000000	KC	9999-12-31	6478	9999-12-31	2013-05-08	24674
7120/12-5	1761.000000	1.290000	21.000000	0.000000	KF	9999-12-31	6478	9999-12-31	2013-05-08	24675
7120/12-5	1800.000000	1.370000	21.000000	0.000000	KC	9999-12-31	6478	9999-12-31	2013-05-08	24676
7120/12-5	2930.000000	1.390000	1.000000	0.000000	KC	9999-12-31	6478	9999-12-31	2013-05-08	24677
7120/12-5	3294.000000	1.540000	30.000000	0.000000	KC	9999-12-31	6478	9999-12-31	2013-05-08	24678
7120/12-5	3360.000000	1.520000	23.000000	0.000000	KC	9999-12-31	6478	9999-12-31	2013-05-08	24679
7120/12-5	3630.000000	1.520000	22.000000	0.000000	KC	9999-12-31	6478	9999-12-31	2013-05-08	24680
7120/2-1	410.000000	0.000000	0.000000	0.000000	0	1985-10-31	473	9999-12-31	2013-05-08	24681
7120/2-1	410.000000	1.140000	15.000000	7.000000	WATER BASED	1985-10-29	473	9999-12-31	2013-05-08	24682
7120/2-1	410.000000	0.000000	0.000000	0.000000	0	1985-10-30	473	9999-12-31	2013-05-08	24683
7120/2-1	410.000000	1.000000	0.000000	0.000000	WATER BASED	1985-05-06	473	9999-12-31	2013-05-08	24684
7120/2-1	432.000000	1.050000	0.000000	0.000000	WATER BASED	1985-05-06	473	9999-12-31	2013-05-08	24685
7120/2-1	441.000000	1.050000	0.000000	0.000000	WATER BASED	1985-05-08	473	9999-12-31	2013-05-08	24686
7120/2-1	475.000000	1.050000	0.000000	0.000000	WATER BASED	1985-05-10	473	9999-12-31	2013-05-08	24687
7120/2-1	475.000000	1.050000	12.000000	15.000000	WATER BASED	1985-05-13	473	9999-12-31	2013-05-08	24688
7120/2-1	475.000000	1.050000	12.000000	14.000000	WATER BASED	1985-05-13	473	9999-12-31	2013-05-08	24689
7120/2-1	475.000000	1.050000	0.000000	0.000000	WATER BASED	1985-05-10	473	9999-12-31	2013-05-08	24690
7120/2-1	475.000000	1.050000	12.000000	15.000000	WATER BASED	1985-05-13	473	9999-12-31	2013-05-08	24691
7120/2-1	475.000000	1.050000	12.000000	14.000000	WATER BASED	1985-05-13	473	9999-12-31	2013-05-08	24692
7120/2-1	475.000000	1.050000	0.000000	0.000000	WATER BASED	1985-05-09	473	9999-12-31	2013-05-08	24693
7120/2-1	616.000000	1.100000	7.000000	18.000000	WATER BASED	1985-05-24	473	9999-12-31	2013-05-08	24694
7120/2-1	616.000000	1.550000	0.000000	0.000000	WATER BASED	1985-05-23	473	9999-12-31	2013-05-08	24695
7120/2-1	616.000000	1.100000	7.000000	18.000000	WATER BASED	1985-05-24	473	9999-12-31	2013-05-08	24696
7120/2-1	772.000000	1.060000	12.000000	24.000000	WATER BASED	1985-05-13	473	9999-12-31	2013-05-08	24697
7120/2-1	915.000000	1.120000	10.000000	19.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24698
7120/2-1	915.000000	1.120000	10.000000	24.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24699
7120/2-1	915.000000	1.100000	10.000000	24.000000	WATER BASED	1985-05-28	473	9999-12-31	2013-05-08	24700
7120/2-1	915.000000	1.110000	8.000000	22.000000	WATER BASED	1985-05-22	473	9999-12-31	2013-05-08	24701
7120/2-1	915.000000	1.100000	9.000000	21.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24702
7120/2-1	915.000000	1.100000	12.000000	20.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24703
7120/2-1	915.000000	1.120000	7.000000	20.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24704
7120/2-1	915.000000	1.120000	10.000000	24.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24705
7120/2-1	915.000000	1.100000	11.000000	20.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24706
7120/2-1	915.000000	1.100000	12.000000	20.000000	WATER BASED	1985-05-15	473	9999-12-31	2013-05-08	24707
7120/2-1	915.000000	1.100000	12.000000	22.000000	WATER BASED	1985-05-14	473	9999-12-31	2013-05-08	24708
7120/2-1	915.000000	1.100000	10.000000	24.000000	WATER BASED	1985-05-28	473	9999-12-31	2013-05-08	24709
7120/2-1	915.000000	1.100000	9.000000	21.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24710
7120/2-1	915.000000	1.100000	12.000000	20.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24711
7120/2-1	915.000000	1.120000	7.000000	20.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24712
7120/2-1	915.000000	1.120000	10.000000	19.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24713
7120/2-1	915.000000	1.100000	11.000000	20.000000	WATER BASED	1985-05-21	473	9999-12-31	2013-05-08	24714
7120/2-1	915.000000	1.110000	8.000000	22.000000	WATER BASED	1985-05-22	473	9999-12-31	2013-05-08	24715
7120/2-1	915.000000	1.100000	12.000000	20.000000	WATER BASED	1985-05-15	473	9999-12-31	2013-05-08	24716
7120/2-1	960.000000	1.100000	8.000000	29.000000	WATER BASED	1985-05-28	473	9999-12-31	2013-05-08	24717
7120/2-1	1025.000000	1.110000	7.000000	30.000000	WATER BASED	1985-06-06	473	9999-12-31	2013-05-08	24718
7120/2-1	1025.000000	1.110000	7.000000	29.000000	WATER BASED	1985-06-06	473	9999-12-31	2013-05-08	24719
7120/2-1	1025.000000	1.110000	7.000000	30.000000	WATER BASED	1985-06-06	473	9999-12-31	2013-05-08	24720
7120/2-1	1025.000000	1.110000	7.000000	29.000000	WATER BASED	1985-06-06	473	9999-12-31	2013-05-08	24721
7120/2-1	1025.000000	1.120000	6.000000	15.000000	WATER BASED	1985-06-11	473	9999-12-31	2013-05-08	24722
7120/2-1	1025.000000	1.120000	6.000000	15.000000	WATER BASED	1985-06-11	473	9999-12-31	2013-05-08	24723
7120/2-1	1025.000000	1.110000	7.000000	29.000000	WATER BASED	1985-06-04	473	9999-12-31	2013-05-08	24724
7120/2-1	1050.000000	1.120000	6.000000	17.000000	WATER BASED	1985-05-31	473	9999-12-31	2013-05-08	24725
7120/2-1	1050.000000	1.120000	6.000000	22.000000	WATER BASED	1985-05-31	473	9999-12-31	2013-05-08	24726
7120/2-1	1050.000000	1.120000	7.000000	24.000000	WATER BASED	1985-06-03	473	9999-12-31	2013-05-08	24727
7120/2-1	1050.000000	1.110000	7.000000	22.000000	WATER BASED	1985-06-03	473	9999-12-31	2013-05-08	24728
7120/2-1	1050.000000	1.110000	8.000000	26.000000	WATER BASED	1985-05-28	473	9999-12-31	2013-05-08	24729
7120/2-1	1050.000000	1.120000	7.000000	17.000000	WATER BASED	1985-05-29	473	9999-12-31	2013-05-08	24730
7120/2-1	1050.000000	1.120000	6.000000	17.000000	WATER BASED	1985-05-31	473	9999-12-31	2013-05-08	24731
7120/2-1	1050.000000	1.120000	6.000000	22.000000	WATER BASED	1985-05-31	473	9999-12-31	2013-05-08	24732
7120/2-1	1050.000000	1.120000	7.000000	24.000000	WATER BASED	1985-06-03	473	9999-12-31	2013-05-08	24733
7120/2-1	1050.000000	1.110000	7.000000	22.000000	WATER BASED	1985-06-03	473	9999-12-31	2013-05-08	24734
7120/2-1	1050.000000	1.110000	9.000000	25.000000	WATER BASED	1985-05-28	473	9999-12-31	2013-05-08	24735
7120/2-1	1050.000000	1.110000	8.000000	26.000000	WATER BASED	1985-05-28	473	9999-12-31	2013-05-08	24736
7120/2-1	1050.000000	1.120000	7.000000	17.000000	WATER BASED	1985-05-29	473	9999-12-31	2013-05-08	24737
7120/2-1	1051.000000	1.110000	7.000000	29.000000	WATER BASED	1985-06-03	473	9999-12-31	2013-05-08	24738
7120/2-1	1054.000000	1.120000	11.000000	7.000000	WATER BASED	1985-06-11	473	9999-12-31	2013-05-08	24739
7120/2-1	1130.000000	1.140000	11.000000	11.000000	WATER BASED	1985-07-10	473	9999-12-31	2013-05-08	24740
7120/2-1	1162.000000	1.140000	13.000000	12.000000	WATER BASED	1985-07-10	473	9999-12-31	2013-05-08	24741
7120/2-1	1179.000000	1.140000	11.000000	7.000000	WATER BASED	1985-06-11	473	9999-12-31	2013-05-08	24742
7120/2-1	1312.000000	1.140000	15.000000	15.000000	WATER BASED	1985-06-11	473	9999-12-31	2013-05-08	24743
7120/2-1	1481.000000	1.150000	17.000000	12.000000	WATER BASED	1985-06-11	473	9999-12-31	2013-05-08	24744
7120/2-1	1606.000000	1.140000	17.000000	14.000000	WATER BASED	1985-06-17	473	9999-12-31	2013-05-08	24745
7120/2-1	1687.000000	1.140000	17.000000	13.000000	WATER BASED	1985-06-17	473	9999-12-31	2013-05-08	24746
7120/2-1	1687.000000	1.140000	17.000000	15.000000	WATER BASED	1985-06-16	473	9999-12-31	2013-05-08	24747
7120/2-1	1687.000000	0.000000	0.000000	0.000000	WATER BASED	1985-06-16	473	9999-12-31	2013-05-08	24748
7120/2-1	1687.000000	1.140000	14.000000	12.000000	WATER BASED	1985-07-01	473	9999-12-31	2013-05-08	24749
7120/2-1	1687.000000	1.140000	18.000000	6.000000	WATER BASED	1985-07-01	473	9999-12-31	2013-05-08	24750
7120/2-1	1687.000000	1.140000	9.000000	9.000000	WATER BASED	1985-07-02	473	9999-12-31	2013-05-08	24751
7120/2-1	1687.000000	1.140000	17.000000	15.000000	WATER BASED	1985-06-16	473	9999-12-31	2013-05-08	24752
7120/2-1	1687.000000	1.140000	17.000000	9.000000	WATER BASED	1985-07-01	473	9999-12-31	2013-05-08	24753
7120/2-1	1687.000000	1.140000	9.000000	9.000000	WATER BASED	1985-07-02	473	9999-12-31	2013-05-08	24754
7120/2-1	1687.000000	1.140000	14.000000	12.000000	WATER BASED	1985-07-01	473	9999-12-31	2013-05-08	24755
7120/2-1	1687.000000	1.140000	17.000000	9.000000	WATER BASED	1985-07-01	473	9999-12-31	2013-05-08	24756
7120/2-1	1687.000000	1.140000	18.000000	6.000000	WATER BASED	1985-07-01	473	9999-12-31	2013-05-08	24757
7120/2-1	1794.000000	1.140000	14.000000	12.000000	WATER BASED	1985-07-03	473	9999-12-31	2013-05-08	24758
7120/2-1	1862.000000	1.140000	12.000000	11.000000	WATER BASED	1985-07-10	473	9999-12-31	2013-05-08	24759
7120/2-1	1862.000000	1.140000	12.000000	13.000000	WATER BASED	1985-07-10	473	9999-12-31	2013-05-08	24760
7120/2-1	1862.000000	1.140000	13.000000	12.000000	WATER BASED	1985-07-14	473	9999-12-31	2013-05-08	24761
7120/2-1	1862.000000	1.140000	12.000000	11.000000	WATER BASED	1985-07-14	473	9999-12-31	2013-05-08	24762
7120/2-1	1862.000000	1.140000	13.000000	10.000000	WATER BASED	1985-07-14	473	9999-12-31	2013-05-08	24763
7120/2-1	1862.000000	1.140000	13.000000	11.000000	WATER BASED	1985-07-10	473	9999-12-31	2013-05-08	24764
7120/2-1	1862.000000	1.140000	12.000000	11.000000	WATER BASED	1985-07-10	473	9999-12-31	2013-05-08	24765
7120/2-1	1862.000000	1.140000	12.000000	13.000000	WATER BASED	1985-07-10	473	9999-12-31	2013-05-08	24766
7120/2-1	1862.000000	1.140000	12.000000	11.000000	WATER BASED	1985-07-14	473	9999-12-31	2013-05-08	24767
7120/2-1	1862.000000	1.140000	13.000000	10.000000	WATER BASED	1985-07-14	473	9999-12-31	2013-05-08	24768
7120/2-1	1862.000000	1.140000	13.000000	12.000000	WATER BASED	1985-07-14	473	9999-12-31	2013-05-08	24769
7120/2-1	1862.000000	1.140000	14.000000	11.000000	WATER BASED	1985-07-04	473	9999-12-31	2013-05-08	24770
7120/2-1	1862.000000	1.140000	13.000000	11.000000	WATER BASED	1985-07-10	473	9999-12-31	2013-05-08	24771
7120/2-1	1863.000000	1.140000	13.000000	11.000000	WATER BASED	1985-07-15	473	9999-12-31	2013-05-08	24772
7120/2-1	1866.000000	1.180000	15.000000	11.000000	WATER BASED	1985-07-16	473	9999-12-31	2013-05-08	24773
7120/2-1	1869.000000	1.180000	18.000000	14.000000	WATER BASED	1985-07-17	473	9999-12-31	2013-05-08	24774
7120/2-1	1879.000000	1.180000	13.000000	11.000000	WATER BASED	1985-07-20	473	9999-12-31	2013-05-08	24775
7120/2-1	1960.000000	1.180000	16.000000	13.000000	WATER BASED	1985-07-20	473	9999-12-31	2013-05-08	24776
7120/2-1	1988.000000	1.180000	15.000000	10.000000	WATER BASED	1985-07-20	473	9999-12-31	2013-05-08	24777
7120/2-1	2004.000000	1.180000	15.000000	11.000000	WATER BASED	1985-07-20	473	9999-12-31	2013-05-08	24778
7120/2-1	2008.000000	1.150000	16.000000	12.000000	WATER BASED	1985-07-25	473	9999-12-31	2013-05-08	24779
7120/2-1	2024.000000	1.150000	14.000000	10.000000	WATER BASED	1985-07-25	473	9999-12-31	2013-05-08	24780
7120/2-1	2030.000000	1.140000	15.000000	8.000000	WATER BASED	1985-10-25	473	9999-12-31	2013-05-08	24781
7120/2-1	2030.000000	1.140000	16.000000	14.000000	WATER BASED	1985-10-16	473	9999-12-31	2013-05-08	24782
7120/2-1	2030.000000	1.140000	12.000000	12.000000	WATER BASED	1985-10-17	473	9999-12-31	2013-05-08	24783
7120/2-1	2030.000000	1.140000	17.000000	12.000000	WATER BASED	1985-10-22	473	9999-12-31	2013-05-08	24784
7120/2-1	2030.000000	1.140000	15.000000	13.000000	WATER BASED	1985-10-21	473	9999-12-31	2013-05-08	24785
7120/2-1	2030.000000	1.140000	16.000000	8.000000	WATER BASED	1985-10-23	473	9999-12-31	2013-05-08	24786
7120/2-1	2030.000000	1.140000	15.000000	13.000000	WATER BASED	1985-10-18	473	9999-12-31	2013-05-08	24787
7120/2-1	2030.000000	1.140000	17.000000	11.000000	WATER BASED	1985-10-22	473	9999-12-31	2013-05-08	24788
7120/2-1	2030.000000	1.140000	13.000000	7.000000	WATER BASED	1985-10-20	473	9999-12-31	2013-05-08	24789
7120/2-1	2030.000000	1.140000	17.000000	15.000000	WATER BASED	1985-10-24	473	9999-12-31	2013-05-08	24790
7120/2-1	2040.000000	1.140000	13.000000	10.000000	WATER BASED	1985-07-26	473	9999-12-31	2013-05-08	24791
7120/2-1	2044.000000	1.140000	15.000000	15.000000	WATER BASED	1985-10-15	473	9999-12-31	2013-05-08	24792
7120/2-1	2047.000000	1.140000	13.000000	9.000000	WATER BASED	1985-07-26	473	9999-12-31	2013-05-08	24793
7120/2-1	2061.000000	1.140000	17.000000	9.000000	WATER BASED	1985-07-30	473	9999-12-31	2013-05-08	24794
7120/2-1	2072.000000	1.140000	14.000000	10.000000	WATER BASED	1985-07-30	473	9999-12-31	2013-05-08	24795
7120/2-1	2100.000000	1.140000	16.000000	9.000000	WATER BASED	1985-07-30	473	9999-12-31	2013-05-08	24796
7120/2-1	2100.000000	1.140000	17.000000	9.000000	WATER BASED	1985-07-31	473	9999-12-31	2013-05-08	24797
7120/2-1	2100.000000	1.140000	17.000000	9.000000	WATER BASED	1985-07-31	473	9999-12-31	2013-05-08	24798
7120/2-1	2100.000000	1.140000	17.000000	14.000000	WATER BASED	1985-07-31	473	9999-12-31	2013-05-08	24799
7120/2-1	2100.000000	1.140000	17.000000	14.000000	WATER BASED	1985-07-31	473	9999-12-31	2013-05-08	24800
7120/2-1	2102.000000	1.140000	18.000000	16.000000	WATER BASED	1985-08-06	473	9999-12-31	2013-05-08	24801
7120/2-1	2102.000000	1.140000	18.000000	16.000000	WATER BASED	1985-08-06	473	9999-12-31	2013-05-08	24802
7120/2-1	2102.000000	1.140000	18.000000	16.000000	WATER BASED	1985-08-02	473	9999-12-31	2013-05-08	24803
7120/2-1	2103.000000	1.140000	18.000000	16.000000	WATER BASED	1985-08-06	473	9999-12-31	2013-05-08	24804
7120/2-1	2108.000000	1.150000	18.000000	12.000000	WATER BASED	1985-08-06	473	9999-12-31	2013-05-08	24805
7120/2-1	2127.000000	1.140000	17.000000	16.000000	WATER BASED	1985-08-08	473	9999-12-31	2013-05-08	24806
7120/2-1	2133.000000	1.140000	19.000000	14.000000	WATER BASED	1985-08-08	473	9999-12-31	2013-05-08	24807
7120/2-1	2152.000000	1.140000	19.000000	12.000000	WATER BASED	1985-08-09	473	9999-12-31	2013-05-08	24808
7120/2-1	2170.000000	1.140000	19.000000	12.000000	WATER BASED	1985-08-13	473	9999-12-31	2013-05-08	24809
7120/2-1	2183.000000	1.140000	13.000000	16.000000	WATER BASED	1985-08-13	473	9999-12-31	2013-05-08	24810
7120/2-1	2202.000000	1.140000	19.000000	13.000000	WATER BASED	1985-08-13	473	9999-12-31	2013-05-08	24811
7120/2-1	2225.000000	1.140000	20.000000	11.000000	WATER BASED	1985-08-13	473	9999-12-31	2013-05-08	24812
7120/2-1	2278.000000	1.140000	19.000000	10.000000	WATER BASED	1985-08-19	473	9999-12-31	2013-05-08	24813
7120/2-1	2359.000000	1.140000	19.000000	11.000000	WATER BASED	1985-08-19	473	9999-12-31	2013-05-08	24814
7120/2-1	2385.000000	1.140000	9.000000	8.000000	WATER BASED	1985-10-07	473	9999-12-31	2013-05-08	24815
7120/2-1	2385.000000	1.140000	7.000000	8.000000	WATER BASED	1985-10-07	473	9999-12-31	2013-05-08	24816
7120/2-1	2385.000000	1.140000	16.000000	13.000000	WATER BASED	1985-10-09	473	9999-12-31	2013-05-08	24817
7120/2-1	2385.000000	1.140000	10.000000	8.000000	WATER BASED	1985-10-15	473	9999-12-31	2013-05-08	24818
7120/2-1	2385.000000	1.140000	13.000000	12.000000	WATER BASED	1985-10-15	473	9999-12-31	2013-05-08	24819
7120/2-1	2385.000000	1.140000	12.000000	10.000000	WATER BASED	1985-10-10	473	9999-12-31	2013-05-08	24820
7120/2-1	2385.000000	1.140000	14.000000	13.000000	WATER BASED	1985-10-09	473	9999-12-31	2013-05-08	24821
7120/2-1	2385.000000	1.140000	14.000000	5.000000	WATER BASED	1985-10-03	473	9999-12-31	2013-05-08	24822
7120/2-1	2385.000000	1.140000	14.000000	10.000000	WATER BASED	1985-10-03	473	9999-12-31	2013-05-08	24823
7120/2-1	2385.000000	1.140000	12.000000	10.000000	WATER BASED	1985-10-03	473	9999-12-31	2013-05-08	24824
7120/2-1	2385.000000	1.140000	11.000000	10.000000	WATER BASED	1985-10-03	473	9999-12-31	2013-05-08	24825
7120/2-1	2385.000000	1.140000	18.000000	8.000000	WATER BASED	1985-09-27	473	9999-12-31	2013-05-08	24826
7120/2-1	2385.000000	1.140000	8.000000	8.000000	WATER BASED	1985-10-07	473	9999-12-31	2013-05-08	24827
7120/2-1	2385.000000	1.140000	10.000000	9.000000	WATER BASED	1985-10-03	473	9999-12-31	2013-05-08	24828
7120/2-1	2385.000000	1.140000	9.000000	8.000000	WATER BASED	1985-10-03	473	9999-12-31	2013-05-08	24829
7120/2-1	2422.000000	1.140000	19.000000	12.000000	WATER BASED	1985-08-21	473	9999-12-31	2013-05-08	24830
7120/2-1	2439.000000	1.140000	20.000000	12.000000	WATER BASED	1985-08-21	473	9999-12-31	2013-05-08	24831
7120/2-1	2500.000000	1.140000	16.000000	12.000000	WATER BASED	1985-08-21	473	9999-12-31	2013-05-08	24832
7120/2-1	2500.000000	1.140000	18.000000	14.000000	WATER BASED	1985-08-23	473	9999-12-31	2013-05-08	24833
7120/2-1	2500.000000	1.140000	21.000000	14.000000	WATER BASED	1985-08-27	473	9999-12-31	2013-05-08	24834
7120/2-1	2500.000000	1.140000	15.000000	11.000000	WATER BASED	1985-08-27	473	9999-12-31	2013-05-08	24835
7120/2-1	2500.000000	1.140000	19.000000	16.000000	WATER BASED	1985-08-27	473	9999-12-31	2013-05-08	24836
7120/2-1	2500.000000	1.140000	19.000000	12.000000	WATER BASED	1985-08-21	473	9999-12-31	2013-05-08	24837
7120/2-1	2500.000000	1.140000	29.000000	15.000000	WATER BASED	1985-08-21	473	9999-12-31	2013-05-08	24838
7120/2-1	2500.000000	1.140000	20.000000	13.000000	WATER BASED	1985-08-22	473	9999-12-31	2013-05-08	24839
7120/2-1	2527.000000	1.140000	19.000000	11.000000	WATER BASED	1985-08-29	473	9999-12-31	2013-05-08	24840
7120/2-1	2527.000000	1.140000	18.000000	13.000000	WATER BASED	1985-08-29	473	9999-12-31	2013-05-08	24841
7120/2-1	2585.000000	1.160000	21.000000	12.000000	WATER BASED	1985-08-30	473	9999-12-31	2013-05-08	24842
7120/2-1	2637.000000	1.160000	20.000000	13.000000	WATER BASED	1985-09-03	473	9999-12-31	2013-05-08	24843
7120/2-1	2648.000000	1.160000	22.000000	13.000000	WATER BASED	1985-09-03	473	9999-12-31	2013-05-08	24844
7120/2-1	2690.000000	1.160000	18.000000	13.000000	WATER BASED	1985-09-03	473	9999-12-31	2013-05-08	24845
7120/2-1	2743.000000	1.160000	18.000000	11.000000	WATER BASED	1985-09-03	473	9999-12-31	2013-05-08	24846
7120/2-1	2816.000000	1.140000	18.000000	11.000000	WATER BASED	1985-09-05	473	9999-12-31	2013-05-08	24847
7120/2-1	2855.000000	1.140000	18.000000	11.000000	WATER BASED	1985-09-06	473	9999-12-31	2013-05-08	24848
7120/2-1	2929.000000	1.140000	18.000000	10.000000	WATER BASED	1985-09-06	473	9999-12-31	2013-05-08	24849
7120/2-1	2979.000000	1.140000	19.000000	10.000000	WATER BASED	1985-09-09	473	9999-12-31	2013-05-08	24850
7120/2-1	3049.000000	1.140000	13.000000	12.000000	WATER BASED	1985-09-09	473	9999-12-31	2013-05-08	24851
7120/2-1	3138.000000	1.140000	18.000000	11.000000	WATER BASED	1985-09-09	473	9999-12-31	2013-05-08	24852
7120/2-1	3195.000000	1.140000	17.000000	10.000000	WATER BASED	1985-09-11	473	9999-12-31	2013-05-08	24853
7120/2-1	3294.000000	1.140000	16.000000	10.000000	WATER BASED	1985-09-12	473	9999-12-31	2013-05-08	24854
7120/2-1	3346.000000	1.140000	15.000000	9.000000	WATER BASED	1985-09-12	473	9999-12-31	2013-05-08	24855
7120/2-1	3412.000000	1.140000	14.000000	9.000000	WATER BASED	1985-09-13	473	9999-12-31	2013-05-08	24856
7120/2-1	3448.000000	1.140000	17.000000	9.000000	WATER BASED	1985-09-16	473	9999-12-31	2013-05-08	24857
7120/2-1	3471.000000	1.140000	18.000000	8.000000	WATER BASED	1985-09-16	473	9999-12-31	2013-05-08	24858
7120/2-1	3481.000000	1.140000	12.000000	13.000000	WATER BASED	1985-09-16	473	9999-12-31	2013-05-08	24859
7120/2-1	3502.000000	1.140000	18.000000	9.000000	WATER BASED	1985-09-25	473	9999-12-31	2013-05-08	24860
7120/2-1	3502.000000	1.140000	17.000000	8.000000	WATER BASED	1985-09-24	473	9999-12-31	2013-05-08	24861
7120/2-1	3502.000000	1.140000	18.000000	4.000000	WATER BASED	1985-09-24	473	9999-12-31	2013-05-08	24862
7120/2-1	3502.000000	1.140000	19.000000	9.000000	WATER BASED	1985-09-24	473	9999-12-31	2013-05-08	24863
7120/2-1	3502.000000	1.140000	18.000000	8.000000	WATER BASED	1985-09-25	473	9999-12-31	2013-05-08	24864
7120/2-1	3502.000000	1.140000	16.000000	8.000000	WATER BASED	1985-09-24	473	9999-12-31	2013-05-08	24865
7120/2-1	3502.000000	1.140000	18.000000	8.000000	WATER BASED	1985-09-24	473	9999-12-31	2013-05-08	24866
7120/2-2	360.000000	1.080000	0.000000	0.000000	WATER BASED	1991-01-29	1690	9999-12-31	2013-05-08	24867
7120/2-2	380.000000	1.140000	16.000000	9.000000	WATER BASED	1991-03-20	1690	9999-12-31	2013-05-08	24868
7120/2-2	421.000000	1.080000	0.000000	0.000000	WATER BASED	1991-01-29	1690	9999-12-31	2013-05-08	24869
7120/2-2	445.000000	1.080000	0.000000	0.000000	WATER BASED	1991-01-30	1690	9999-12-31	2013-05-08	24870
7120/2-2	459.000000	1.080000	0.000000	0.000000	WATER BASED	1991-01-30	1690	9999-12-31	2013-05-08	24871
7120/2-2	459.000000	1.080000	0.000000	0.000000	WATER BASED	1991-01-31	1690	9999-12-31	2013-05-08	24872
7120/2-2	583.000000	1.080000	0.000000	0.000000	WATER BASED	1991-02-01	1690	9999-12-31	2013-05-08	24873
7120/2-2	720.000000	1.140000	9.000000	12.000000	WATER BASED	1991-03-21	1690	9999-12-31	2013-05-08	24874
7120/2-2	800.000000	1.080000	0.000000	0.000000	WATER BASED	1991-02-05	1690	9999-12-31	2013-05-08	24875
7120/2-2	800.000000	1.050000	18.000000	15.000000	WATER BASED	1991-02-05	1690	9999-12-31	2013-05-08	24876
7120/2-2	800.000000	1.050000	18.000000	15.000000	WATER BASED	1991-02-08	1690	9999-12-31	2013-05-08	24877
7120/2-2	800.000000	1.050000	18.000000	15.000000	WATER BASED	1991-02-08	1690	9999-12-31	2013-05-08	24878
7120/2-2	800.000000	1.050000	18.000000	15.000000	WATER BASED	1991-02-12	1690	9999-12-31	2013-05-08	24879
7120/2-2	853.000000	1.060000	9.000000	5.000000	WATER BASED	1991-02-12	1690	9999-12-31	2013-05-08	24880
7120/2-2	1155.000000	1.080000	13.000000	8.000000	WATER BASED	1991-02-12	1690	9999-12-31	2013-05-08	24881
7120/2-2	1350.000000	1.090000	13.000000	9.000000	WATER BASED	1991-02-12	1690	9999-12-31	2013-05-08	24882
7120/2-2	1497.000000	1.090000	13.000000	7.000000	WATER BASED	1991-02-13	1690	9999-12-31	2013-05-08	24883
7120/2-2	1544.000000	1.080000	13.000000	9.000000	WATER BASED	1991-02-14	1690	9999-12-31	2013-05-08	24884
7120/2-2	1662.000000	1.100000	14.000000	10.000000	WATER BASED	1991-02-15	1690	9999-12-31	2013-05-08	24885
7120/2-2	1685.000000	1.140000	16.000000	9.000000	WATER BASED	1991-03-20	1690	9999-12-31	2013-05-08	24886
7120/2-2	1786.000000	1.120000	15.000000	11.000000	WATER BASED	1991-02-19	1690	9999-12-31	2013-05-08	24887
7120/2-2	1805.000000	1.120000	15.000000	10.000000	WATER BASED	1991-02-19	1690	9999-12-31	2013-05-08	24888
7120/2-2	1805.000000	1.120000	16.000000	11.000000	WATER BASED	1991-02-19	1690	9999-12-31	2013-05-08	24889
7120/2-2	1805.000000	1.120000	15.000000	9.000000	WATER BASED	1991-02-19	1690	9999-12-31	2013-05-08	24890
7120/2-2	1805.000000	1.140000	14.000000	10.000000	WATER BASED	1991-02-21	1690	9999-12-31	2013-05-08	24891
7120/2-2	1805.000000	1.140000	15.000000	10.000000	WATER BASED	1991-02-26	1690	9999-12-31	2013-05-08	24892
7120/2-2	1805.000000	1.140000	15.000000	1.000000	WATER BASED	1991-02-20	1690	9999-12-31	2013-05-08	24893
7120/2-2	1805.000000	1.140000	15.000000	10.000000	WATER BASED	1991-02-22	1690	9999-12-31	2013-05-08	24894
7120/2-2	1886.000000	1.140000	15.000000	8.000000	WATER BASED	1991-02-26	1690	9999-12-31	2013-05-08	24895
7120/2-2	1895.000000	1.140000	15.000000	8.000000	WATER BASED	1991-02-26	1690	9999-12-31	2013-05-08	24896
7120/2-2	1923.000000	1.140000	17.000000	8.000000	WATER BASED	1991-02-26	1690	9999-12-31	2013-05-08	24897
7120/2-2	1933.000000	1.140000	17.000000	8.000000	WATER BASED	1991-02-27	1690	9999-12-31	2013-05-08	24898
7120/2-2	2050.000000	1.140000	18.000000	10.000000	WATER BASED	1991-02-28	1690	9999-12-31	2013-05-08	24899
7120/2-2	2162.000000	1.140000	16.000000	9.000000	WATER BASED	1991-03-01	1690	9999-12-31	2013-05-08	24900
7120/2-2	2163.000000	1.140000	18.000000	9.000000	WATER BASED	1991-03-05	1690	9999-12-31	2013-05-08	24901
7120/2-2	2180.000000	1.140000	18.000000	11.000000	WATER BASED	1991-03-05	1690	9999-12-31	2013-05-08	24902
7120/2-2	2201.000000	1.140000	20.000000	9.000000	WATER BASED	1991-03-05	1690	9999-12-31	2013-05-08	24903
7120/2-2	2205.000000	1.140000	19.000000	10.000000	WATER BASED	1991-03-05	1690	9999-12-31	2013-05-08	24904
7120/2-2	2337.000000	1.140000	20.000000	10.000000	WATER BASED	1991-03-06	1690	9999-12-31	2013-05-08	24905
7120/2-2	2402.000000	1.150000	18.000000	7.000000	WATER BASED	1991-03-07	1690	9999-12-31	2013-05-08	24906
7120/2-2	2461.000000	1.150000	16.000000	9.000000	WATER BASED	1991-03-08	1690	9999-12-31	2013-05-08	24907
7120/2-2	2568.000000	1.140000	19.000000	9.000000	WATER BASED	1991-03-11	1690	9999-12-31	2013-05-08	24908
7120/2-2	2636.000000	1.140000	18.000000	10.000000	WATER BASED	1991-03-11	1690	9999-12-31	2013-05-08	24909
7120/2-2	2646.000000	1.140000	17.000000	9.000000	WATER BASED	1991-03-11	1690	9999-12-31	2013-05-08	24910
7120/2-2	2720.000000	1.150000	16.000000	8.000000	WATER BASED	1991-03-12	1690	9999-12-31	2013-05-08	24911
7120/2-2	2726.000000	1.140000	15.000000	8.000000	WATER BASED	1991-03-13	1690	9999-12-31	2013-05-08	24912
7120/2-2	2795.000000	1.140000	17.000000	9.000000	WATER BASED	1991-03-14	1690	9999-12-31	2013-05-08	24913
7120/2-2	2800.000000	1.140000	16.000000	12.000000	WATER BASED	1991-03-18	1690	9999-12-31	2013-05-08	24914
7120/2-2	2800.000000	1.140000	16.000000	10.000000	WATER BASED	1991-03-18	1690	9999-12-31	2013-05-08	24915
7120/2-2	2800.000000	1.140000	15.000000	9.000000	WATER BASED	1991-03-18	1690	9999-12-31	2013-05-08	24916
7120/2-2	2800.000000	1.140000	18.000000	9.000000	WATER BASED	1991-03-15	1690	9999-12-31	2013-05-08	24917
7120/2-2	2800.000000	1.140000	18.000000	9.000000	WATER BASED	1991-03-15	1690	9999-12-31	2013-05-08	24918
7120/5-1	382.000000	1.060000	1000.000000	10.600000	WATER BASED	1985-04-18	471	9999-12-31	2013-05-08	24919
7120/5-1	865.000000	1.070000	600.000000	12.000000	WATER BASED	1985-04-21	471	9999-12-31	2013-05-08	24920
7120/5-1	865.000000	1.250000	1100.000000	11.000000	WATER BASED	1985-04-25	471	9999-12-31	2013-05-08	24921
7120/5-1	865.000000	1.070000	0.000000	0.000000	WATER BASED	1985-04-29	471	9999-12-31	2013-05-08	24922
7120/5-1	865.000000	1.050000	800.000000	7.200000	WATER BASED	1985-04-29	471	9999-12-31	2013-05-08	24923
7120/5-1	865.000000	1.240000	1100.000000	10.200000	WATER BASED	1985-04-26	471	9999-12-31	2013-05-08	24924
7120/5-1	865.000000	1.070000	0.000000	0.000000	WATER BASED	1985-04-29	471	9999-12-31	2013-05-08	24925
7120/5-1	865.000000	1.050000	800.000000	7.200000	WATER BASED	1985-04-29	471	9999-12-31	2013-05-08	24926
7120/5-1	865.000000	1.240000	1100.000000	10.200000	WATER BASED	1985-04-26	471	9999-12-31	2013-05-08	24927
7120/5-1	865.000000	1.250000	1100.000000	11.000000	WATER BASED	1985-04-25	471	9999-12-31	2013-05-08	24928
7120/5-1	885.000000	1.050000	800.000000	7.600000	WATER BASED	1985-04-29	471	9999-12-31	2013-05-08	24929
7120/5-1	1082.000000	1.080000	1300.000000	8.900000	WATER BASED	1985-04-30	471	9999-12-31	2013-05-08	24930
7120/5-1	1299.000000	1.100000	1200.000000	13.100000	WATER BASED	1985-05-02	471	9999-12-31	2013-05-08	24931
7120/5-1	1440.000000	1.110000	1100.000000	8.900000	WATER BASED	1985-05-02	471	9999-12-31	2013-05-08	24932
7120/5-1	1637.000000	1.170000	1200.000000	8.900000	WATER BASED	1985-05-03	471	9999-12-31	2013-05-08	24933
7120/5-1	1666.000000	1.220000	1200.000000	8.000000	WATER BASED	1985-05-06	471	9999-12-31	2013-05-08	24934
7120/5-1	1788.000000	1.220000	1300.000000	8.000000	WATER BASED	1985-05-06	471	9999-12-31	2013-05-08	24935
7120/5-1	1843.000000	1.220000	1300.000000	8.000000	WATER BASED	1985-05-06	471	9999-12-31	2013-05-08	24936
7120/5-1	1918.000000	1.220000	5.500000	1900.000000	WATER BASED	1985-05-08	471	9999-12-31	2013-05-08	24937
7120/5-1	2089.000000	1.150000	1100.000000	5.100000	WATER BASED	1985-05-14	471	9999-12-31	2013-05-08	24938
7120/5-1	2250.000000	1.150000	1100.000000	5.000000	WATER BASED	1985-05-20	471	9999-12-31	2013-05-08	24939
7120/5-1	2286.000000	1.240000	1100.000000	5.000000	WATER BASED	1985-05-20	471	9999-12-31	2013-05-08	24940
7120/5-1	2330.000000	1.240000	1500.000000	6.400000	WATER BASED	1985-05-20	471	9999-12-31	2013-05-08	24941
7120/5-1	2368.000000	1.240000	1500.000000	5.900000	WATER BASED	1985-05-20	471	9999-12-31	2013-05-08	24942
7120/5-1	2378.000000	1.240000	1500.000000	5.900000	WATER BASED	1985-05-21	471	9999-12-31	2013-05-08	24943
7120/5-1	2411.000000	1.240000	1600.000000	6.800000	WATER BASED	1985-05-22	471	9999-12-31	2013-05-08	24944
7120/5-1	2425.000000	1.240000	1500.000000	5.900000	WATER BASED	1985-05-23	471	9999-12-31	2013-05-08	24945
7120/5-1	2456.000000	1.240000	1500.000000	5.900000	WATER BASED	1985-05-24	471	9999-12-31	2013-05-08	24946
7120/5-1	2545.000000	1.240000	1600.000000	5.900000	WATER BASED	1985-05-28	471	9999-12-31	2013-05-08	24947
7120/5-1	2581.000000	1.240000	1600.000000	5.500000	WATER BASED	1985-05-28	471	9999-12-31	2013-05-08	24948
7120/5-1	2613.000000	1.240000	1700.000000	7.200000	WATER BASED	1985-05-28	471	9999-12-31	2013-05-08	24949
7120/5-1	2681.000000	1.240000	1800.000000	5.100000	WATER BASED	1985-05-28	471	9999-12-31	2013-05-08	24950
7120/5-1	2700.000000	1.240000	1800.000000	6.300000	WATER BASED	1985-05-29	471	9999-12-31	2013-05-08	24951
7120/5-1	2700.000000	1.240000	1700.000000	6.300000	WATER BASED	1985-05-30	471	9999-12-31	2013-05-08	24952
7120/5-1	2700.000000	1.240000	1700.000000	7.600000	WATER BASED	1985-05-31	471	9999-12-31	2013-05-08	24953
7120/5-1	2700.000000	1.240000	1700.000000	6.300000	WATER BASED	1985-05-30	471	9999-12-31	2013-05-08	24954
7120/5-1	2700.000000	1.240000	1700.000000	7.600000	WATER BASED	1985-05-31	471	9999-12-31	2013-05-08	24955
7120/6-1	387.000000	1.250000	0.000000	0.000000	WATER BASED	1985-02-04	456	9999-12-31	2013-05-08	24956
7120/6-1	404.000000	1.250000	0.000000	0.000000	WATER BASED	1985-02-04	456	9999-12-31	2013-05-08	24957
7120/6-1	404.000000	1.050000	0.000000	0.000000	WATER BASED	1985-02-06	456	9999-12-31	2013-05-08	24958
7120/6-1	404.000000	1.050000	0.000000	0.000000	WATER BASED	1985-02-06	456	9999-12-31	2013-05-08	24959
7120/6-1	670.000000	1.080000	10.000000	20.000000	WATER BASED	1985-02-07	456	9999-12-31	2013-05-08	24960
7120/6-1	815.000000	1.090000	10.000000	22.000000	WATER BASED	1985-02-10	456	9999-12-31	2013-05-08	24961
7120/6-1	815.000000	1.110000	11.000000	22.000000	WATER BASED	1985-02-10	456	9999-12-31	2013-05-08	24962
7120/6-1	815.000000	1.090000	0.000000	0.000000	WATER BASED	1985-02-12	456	9999-12-31	2013-05-08	24963
7120/6-1	815.000000	1.100000	13.000000	9.000000	WATER BASED	1985-02-14	456	9999-12-31	2013-05-08	24964
7120/6-1	815.000000	1.100000	14.000000	9.000000	WATER BASED	1985-02-13	456	9999-12-31	2013-05-08	24965
7120/6-1	815.000000	1.110000	14.000000	10.000000	WATER BASED	1985-02-18	456	9999-12-31	2013-05-08	24966
7120/6-1	815.000000	1.100000	13.000000	9.000000	WATER BASED	1985-02-14	456	9999-12-31	2013-05-08	24967
7120/6-1	815.000000	1.110000	14.000000	10.000000	WATER BASED	1985-02-18	456	9999-12-31	2013-05-08	24968
7120/6-1	815.000000	1.100000	14.000000	9.000000	WATER BASED	1985-02-13	456	9999-12-31	2013-05-08	24969
7120/6-1	815.000000	1.110000	11.000000	22.000000	WATER BASED	1985-02-10	456	9999-12-31	2013-05-08	24970
7120/6-1	815.000000	1.090000	10.000000	22.000000	WATER BASED	1985-02-10	456	9999-12-31	2013-05-08	24971
7120/6-1	815.000000	1.090000	0.000000	0.000000	WATER BASED	1985-02-12	456	9999-12-31	2013-05-08	24972
7120/6-1	815.000000	1.090000	10.000000	22.000000	WATER BASED	1985-02-10	456	9999-12-31	2013-05-08	24973
7120/6-1	824.000000	1.100000	9.000000	10.000000	WATER BASED	1985-02-18	456	9999-12-31	2013-05-08	24974
7120/6-1	1174.000000	1.130000	15.000000	12.000000	WATER BASED	1985-02-18	456	9999-12-31	2013-05-08	24975
7120/6-1	1355.000000	1.160000	15.000000	12.000000	WATER BASED	1985-02-18	456	9999-12-31	2013-05-08	24976
7120/6-1	1564.000000	1.180000	15.000000	12.000000	WATER BASED	1985-02-19	456	9999-12-31	2013-05-08	24977
7120/6-1	1653.000000	1.200000	20.000000	16.000000	WATER BASED	1985-02-21	456	9999-12-31	2013-05-08	24978
7120/6-1	1805.000000	1.200000	18.000000	15.000000	WATER BASED	1985-02-25	456	9999-12-31	2013-05-08	24979
7120/6-1	1892.000000	1.220000	19.000000	16.000000	WATER BASED	1985-02-25	456	9999-12-31	2013-05-08	24980
7120/6-1	1993.000000	1.220000	20.000000	14.000000	WATER BASED	1985-02-25	456	9999-12-31	2013-05-08	24981
7120/6-1	2046.000000	1.220000	19.000000	14.000000	WATER BASED	1985-02-27	456	9999-12-31	2013-05-08	24982
7120/6-1	2046.000000	1.220000	19.000000	14.000000	WATER BASED	1985-02-26	456	9999-12-31	2013-05-08	24983
7120/6-1	2046.000000	1.220000	20.000000	9.000000	WATER BASED	1985-03-01	456	9999-12-31	2013-05-08	24984
7120/6-1	2046.000000	1.220000	19.000000	14.000000	WATER BASED	1985-02-27	456	9999-12-31	2013-05-08	24985
7120/6-1	2046.000000	1.220000	20.000000	9.000000	WATER BASED	1985-03-01	456	9999-12-31	2013-05-08	24986
7120/6-1	2147.000000	1.220000	20.000000	12.000000	WATER BASED	1985-03-03	456	9999-12-31	2013-05-08	24987
7120/6-1	2249.000000	1.220000	21.000000	13.000000	WATER BASED	1985-03-03	456	9999-12-31	2013-05-08	24988
7120/6-1	2371.000000	1.220000	18.000000	12.000000	WATER BASED	1985-03-03	456	9999-12-31	2013-05-08	24989
7120/6-1	2373.000000	1.220000	18.000000	12.000000	WATER BASED	1985-03-04	456	9999-12-31	2013-05-08	24990
7120/6-1	2383.000000	1.220000	15.000000	10.000000	WATER BASED	1985-03-05	456	9999-12-31	2013-05-08	24991
7120/6-1	2398.000000	1.220000	16.000000	8.000000	WATER BASED	1985-03-08	456	9999-12-31	2013-05-08	24992
7120/6-1	2418.000000	1.220000	16.000000	10.000000	WATER BASED	1985-03-08	456	9999-12-31	2013-05-08	24993
7120/6-1	2440.000000	1.220000	18.000000	14.000000	WATER BASED	1985-03-10	456	9999-12-31	2013-05-08	24994
7120/6-1	2443.000000	1.230000	19.000000	12.000000	WATER BASED	1985-03-10	456	9999-12-31	2013-05-08	24995
7120/6-1	2476.000000	1.230000	18.000000	12.000000	WATER BASED	1985-03-10	456	9999-12-31	2013-05-08	24996
7120/6-1	2503.000000	1.220000	17.000000	12.000000	WATER BASED	1985-03-11	456	9999-12-31	2013-05-08	24997
7120/6-1	2530.000000	1.220000	19.000000	12.000000	WATER BASED	1985-03-12	456	9999-12-31	2013-05-08	24998
7120/6-1	2549.000000	1.220000	19.000000	12.000000	WATER BASED	1985-03-13	456	9999-12-31	2013-05-08	24999
7120/6-1	2565.000000	1.220000	17.000000	13.000000	WATER BASED	1985-03-14	456	9999-12-31	2013-05-08	25000
7120/6-1	2584.000000	1.220000	19.000000	12.000000	WATER BASED	1985-03-18	456	9999-12-31	2013-05-08	25001
7120/6-1	2584.000000	1.220000	15.000000	11.000000	WATER BASED	1985-03-18	456	9999-12-31	2013-05-08	25002
7120/6-1	2584.000000	1.220000	15.000000	11.000000	WATER BASED	1985-03-18	456	9999-12-31	2013-05-08	25003
7120/6-1	2604.000000	1.220000	18.000000	11.000000	WATER BASED	1985-03-18	456	9999-12-31	2013-05-08	25004
7120/6-1	2640.000000	1.220000	16.000000	10.000000	WATER BASED	1985-03-19	456	9999-12-31	2013-05-08	25005
7120/6-1	2694.000000	1.220000	17.000000	10.000000	WATER BASED	1985-03-19	456	9999-12-31	2013-05-08	25006
7120/6-1	2732.000000	1.220000	15.000000	10.000000	WATER BASED	1985-03-20	456	9999-12-31	2013-05-08	25007
7120/6-1	2742.000000	1.220000	16.000000	11.000000	WATER BASED	1985-03-21	456	9999-12-31	2013-05-08	25008
7120/6-1	2759.000000	1.200000	12.000000	6.000000	WATER BASED	1985-04-09	456	9999-12-31	2013-05-08	25009
7120/6-1	2759.000000	1.220000	15.000000	9.000000	WATER BASED	1985-04-09	456	9999-12-31	2013-05-08	25010
7120/6-1	2759.000000	1.220000	16.000000	10.000000	WATER BASED	1985-03-29	456	9999-12-31	2013-05-08	25011
7120/6-1	2759.000000	1.220000	14.000000	9.000000	WATER BASED	1985-03-29	456	9999-12-31	2013-05-08	25012
7120/6-1	2759.000000	1.220000	12.000000	7.000000	WATER BASED	1985-04-03	456	9999-12-31	2013-05-08	25013
7120/6-1	2759.000000	1.220000	15.000000	7.000000	WATER BASED	1985-04-03	456	9999-12-31	2013-05-08	25014
7120/6-1	2759.000000	1.220000	20.000000	5.000000	WATER BASED	1985-04-03	456	9999-12-31	2013-05-08	25015
7120/6-1	2759.000000	1.220000	18.000000	7.000000	WATER BASED	1985-04-03	456	9999-12-31	2013-05-08	25016
7120/6-1	2759.000000	1.220000	16.000000	12.000000	WATER BASED	1985-04-19	456	9999-12-31	2013-05-08	25017
7120/6-1	2759.000000	1.220000	17.000000	10.000000	WATER BASED	1985-04-17	456	9999-12-31	2013-05-08	25018
7120/6-1	2759.000000	1.220000	19.000000	11.000000	WATER BASED	1985-04-15	456	9999-12-31	2013-05-08	25019
7120/6-1	2759.000000	1.220000	18.000000	11.000000	WATER BASED	1985-04-15	456	9999-12-31	2013-05-08	25020
7120/6-1	2759.000000	1.220000	16.000000	10.000000	WATER BASED	1985-03-29	456	9999-12-31	2013-05-08	25021
7120/6-1	2759.000000	1.220000	14.000000	9.000000	WATER BASED	1985-03-29	456	9999-12-31	2013-05-08	25022
7120/6-1	2759.000000	1.220000	12.000000	7.000000	WATER BASED	1985-04-03	456	9999-12-31	2013-05-08	25023
7120/6-1	2759.000000	1.220000	15.000000	7.000000	WATER BASED	1985-04-03	456	9999-12-31	2013-05-08	25024
7120/6-1	2759.000000	1.220000	20.000000	5.000000	WATER BASED	1985-04-03	456	9999-12-31	2013-05-08	25025
7120/6-1	2759.000000	1.220000	18.000000	7.000000	WATER BASED	1985-04-03	456	9999-12-31	2013-05-08	25026
7120/6-1	2759.000000	1.220000	13.000000	7.000000	WATER BASED	1985-04-09	456	9999-12-31	2013-05-08	25027
7120/6-1	2759.000000	1.200000	12.000000	6.000000	WATER BASED	1985-04-09	456	9999-12-31	2013-05-08	25028
7120/6-1	2759.000000	1.220000	15.000000	9.000000	WATER BASED	1985-04-09	456	9999-12-31	2013-05-08	25029
7120/6-1	2759.000000	1.220000	17.000000	10.000000	WATER BASED	1985-04-17	456	9999-12-31	2013-05-08	25030
7120/6-1	2759.000000	1.220000	17.000000	13.000000	WATER BASED	1985-04-18	456	9999-12-31	2013-05-08	25031
7120/6-1	2759.000000	1.220000	16.000000	12.000000	WATER BASED	1985-04-19	456	9999-12-31	2013-05-08	25032
7120/6-1	2759.000000	1.220000	19.000000	11.000000	WATER BASED	1985-04-15	456	9999-12-31	2013-05-08	25033
7120/6-1	2759.000000	1.220000	18.000000	11.000000	WATER BASED	1985-04-15	456	9999-12-31	2013-05-08	25034
7120/6-1	2759.000000	1.220000	0.000000	0.000000	WATER BASED	1985-03-27	456	9999-12-31	2013-05-08	25035
7120/6-1	2759.000000	1.220000	13.000000	7.000000	WATER BASED	1985-04-09	456	9999-12-31	2013-05-08	25036
7120/6-1	2759.000000	1.220000	19.000000	12.000000	WATER BASED	1985-04-16	456	9999-12-31	2013-05-08	25037
7120/6-1	2759.000000	1.220000	17.000000	13.000000	WATER BASED	1985-04-18	456	9999-12-31	2013-05-08	25038
7120/6-1	2759.000000	1.220000	19.000000	12.000000	WATER BASED	1985-04-16	456	9999-12-31	2013-05-08	25039
7120/6-1	2812.000000	1.220000	19.000000	16.000000	WATER BASED	1985-03-24	456	9999-12-31	2013-05-08	25040
7120/6-1	2820.000000	1.220000	16.000000	10.000000	WATER BASED	1985-03-25	456	9999-12-31	2013-05-08	25041
7120/6-1	2820.000000	1.220000	15.000000	7.000000	WATER BASED	1985-04-23	456	9999-12-31	2013-05-08	25042
7120/6-1	2820.000000	1.220000	14.000000	8.000000	WATER BASED	1985-04-23	456	9999-12-31	2013-05-08	25043
7120/6-1	2820.000000	1.220000	16.000000	19.000000	WATER BASED	1985-04-23	456	9999-12-31	2013-05-08	25044
7120/6-1	2820.000000	1.220000	15.000000	10.000000	WATER BASED	1985-04-23	456	9999-12-31	2013-05-08	25045
7120/6-1	2820.000000	1.220000	18.000000	12.000000	WATER BASED	1985-04-26	456	9999-12-31	2013-05-08	25046
7120/6-1	2820.000000	1.220000	17.000000	12.000000	WATER BASED	1985-04-26	456	9999-12-31	2013-05-08	25047
7120/6-1	2820.000000	1.220000	17.000000	12.000000	WATER BASED	1985-04-29	456	9999-12-31	2013-05-08	25048
7120/6-1	2820.000000	1.220000	17.000000	10.000000	WATER BASED	1985-04-29	456	9999-12-31	2013-05-08	25049
7120/6-1	2820.000000	1.220000	15.000000	10.000000	WATER BASED	1985-04-23	456	9999-12-31	2013-05-08	25050
7120/6-1	2820.000000	1.220000	15.000000	7.000000	WATER BASED	1985-04-23	456	9999-12-31	2013-05-08	25051
7120/6-1	2820.000000	1.220000	14.000000	8.000000	WATER BASED	1985-04-23	456	9999-12-31	2013-05-08	25052
7120/6-1	2820.000000	1.220000	16.000000	19.000000	WATER BASED	1985-04-23	456	9999-12-31	2013-05-08	25053
7120/6-1	2820.000000	1.220000	14.000000	10.000000	WATER BASED	1985-04-25	456	9999-12-31	2013-05-08	25054
7120/6-1	2820.000000	1.220000	18.000000	12.000000	WATER BASED	1985-04-26	456	9999-12-31	2013-05-08	25055
7120/6-1	2820.000000	1.220000	17.000000	10.000000	WATER BASED	1985-04-29	456	9999-12-31	2013-05-08	25056
7120/6-1	2820.000000	1.220000	0.000000	0.000000	WATER BASED	1985-04-30	456	9999-12-31	2013-05-08	25057
7120/6-1	2820.000000	1.220000	17.000000	12.000000	WATER BASED	1985-04-26	456	9999-12-31	2013-05-08	25058
7120/6-1	2820.000000	1.220000	17.000000	12.000000	WATER BASED	1985-04-29	456	9999-12-31	2013-05-08	25059
7120/6-1	2820.000000	1.220000	14.000000	10.000000	WATER BASED	1985-04-25	456	9999-12-31	2013-05-08	25060
7120/6-1	2820.000000	1.220000	0.000000	0.000000	WATER BASED	1985-04-30	456	9999-12-31	2013-05-08	25061
7120/6-2 S	411.000000	1.030000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	3558	9999-12-31	2013-05-08	25062
7120/6-2 S	500.000000	1.030000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	3558	9999-12-31	2013-05-08	25063
7120/6-2 S	1034.000000	1.030000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	3558	9999-12-31	2013-05-08	25064
7120/6-2 S	1259.000000	1.030000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	3558	9999-12-31	2013-05-08	25065
7120/6-2 S	2490.000000	1.330000	21.000000	0.000000	FORM PRO	9999-12-31	3558	9999-12-31	2013-05-08	25066
7120/6-2 S	2566.000000	1.270000	14.000000	0.000000	FORM PRO	9999-12-31	3558	9999-12-31	2013-05-08	25067
7120/6-2 S	2567.000000	1.220000	14.000000	0.000000	POTASSIUM FORMATE	9999-12-31	3558	9999-12-31	2013-05-08	25068
7120/6-2 S	2568.000000	1.270000	8.000000	0.000000	FORM PRO	9999-12-31	3558	9999-12-31	2013-05-08	25069
7120/7-1	870.000000	1.150000	40.000000	22.000000	water based	9999-12-31	85	9999-12-31	2013-05-08	25070
7120/7-1	1650.000000	1.160000	54.000000	18.000000	water based	9999-12-31	85	9999-12-31	2013-05-08	25071
7120/7-1	1920.000000	1.220000	53.000000	15.000000	water based	9999-12-31	85	9999-12-31	2013-05-08	25072
7120/7-1	2341.000000	1.300000	54.000000	14.000000	water based	9999-12-31	85	9999-12-31	2013-05-08	25073
7120/7-1	2780.000000	1.360000	53.000000	13.000000	water based	9999-12-31	85	9999-12-31	2013-05-08	25074
7120/7-1	2839.000000	1.360000	55.000000	12.000000	water based	9999-12-31	85	9999-12-31	2013-05-08	25075
7120/7-2	296.000000	1.050000	0.000000	0.000000	spud mud	9999-12-31	18	9999-12-31	2013-05-08	25076
7120/7-2	410.000000	1.100000	45.000000	29.000000	water based	9999-12-31	18	9999-12-31	2013-05-08	25077
7120/7-2	825.000000	1.140000	48.000000	40.000000	water based	9999-12-31	18	9999-12-31	2013-05-08	25078
7120/7-2	1515.000000	1.250000	52.000000	21.000000	water based	9999-12-31	18	9999-12-31	2013-05-08	25079
7120/7-2	2115.000000	1.320000	55.000000	18.000000	water based	9999-12-31	18	9999-12-31	2013-05-08	25080
7120/7-2	2523.000000	1.200000	53.000000	11.000000	water based	9999-12-31	18	9999-12-31	2013-05-08	25081
7120/7-3	365.000000	1.050000	8.000000	24.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25082
7120/7-3	450.000000	1.060000	0.000000	0.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25083
7120/7-3	550.000000	1.080000	0.000000	0.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25084
7120/7-3	725.000000	1.100000	8.000000	4.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25085
7120/7-3	950.000000	1.140000	16.000000	15.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25086
7120/7-3	1025.000000	1.150000	12.000000	17.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25087
7120/7-3	1230.000000	1.210000	17.000000	16.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25088
7120/7-3	1600.000000	1.200000	16.000000	19.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25089
7120/7-3	1730.000000	1.300000	15.000000	8.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25090
7120/7-3	1930.000000	1.480000	13.000000	11.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25091
7120/7-3	2145.000000	1.300000	12.000000	16.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25092
7120/7-3	2225.000000	1.400000	13.000000	17.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25093
7120/7-3	2635.000000	1.200000	17.000000	13.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25094
7120/7-3	2815.000000	1.250000	18.000000	16.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25095
7120/7-3	2855.000000	1.350000	21.000000	18.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25096
7120/7-3	2910.000000	1.380000	21.000000	14.000000	WATER BASED	9999-12-31	104	9999-12-31	2013-05-08	25097
7120/8-1	575.000000	1.040000	40.000000	18.000000	spud mud	9999-12-31	120	9999-12-31	2013-05-08	25098
7120/8-1	1086.000000	1.250000	40.000000	14.000000	water based	9999-12-31	120	9999-12-31	2013-05-08	25099
7120/8-1	2121.000000	1.400000	46.000000	11.000000	water based	9999-12-31	120	9999-12-31	2013-05-08	25100
7120/8-1	2181.000000	1.450000	48.000000	11.000000	water based	9999-12-31	120	9999-12-31	2013-05-08	25101
7120/8-1	2238.000000	1.360000	46.000000	10.000000	water based	9999-12-31	120	9999-12-31	2013-05-08	25102
7120/8-1	2610.000000	1.300000	50.000000	12.000000	water based	9999-12-31	120	9999-12-31	2013-05-08	25103
7120/8-2	333.000000	1.050000	0.000000	0.000000	spud mud	9999-12-31	50	9999-12-31	2013-05-08	25104
7120/8-2	750.000000	1.100000	49.000000	40.000000	water based	9999-12-31	50	9999-12-31	2013-05-08	25105
7120/8-2	802.000000	1.200000	45.000000	14.000000	water based	9999-12-31	50	9999-12-31	2013-05-08	25106
7120/8-2	1682.000000	1.450000	48.000000	14.000000	water based	9999-12-31	50	9999-12-31	2013-05-08	25107
7120/8-2	2085.000000	1.450000	48.000000	21.000000	water based	9999-12-31	50	9999-12-31	2013-05-08	25108
7120/8-2	2218.000000	1.450000	50.000000	13.000000	water based	9999-12-31	50	9999-12-31	2013-05-08	25109
7120/8-2	2590.000000	1.450000	52.000000	12.000000	water based	9999-12-31	50	9999-12-31	2013-05-08	25110
7120/8-3	368.000000	0.000000	0.000000	0.000000	spud mud	9999-12-31	9	9999-12-31	2013-05-08	25111
7120/8-3	686.000000	1.060000	60.000000	44.000000	water mud	9999-12-31	9	9999-12-31	2013-05-08	25112
7120/8-3	1013.000000	1.160000	44.000000	21.000000	water mud	9999-12-31	9	9999-12-31	2013-05-08	25113
7120/8-3	1515.000000	1.310000	55.000000	18.000000	water mud	9999-12-31	9	9999-12-31	2013-05-08	25114
7120/8-3	1870.000000	1.340000	48.000000	16.000000	water mud	9999-12-31	9	9999-12-31	2013-05-08	25115
7120/8-3	2216.000000	1.380000	53.000000	15.000000	water mud	9999-12-31	9	9999-12-31	2013-05-08	25116
7120/8-3	2313.000000	1.380000	55.000000	16.000000	water mud	9999-12-31	9	9999-12-31	2013-05-08	25117
7120/8-4	1528.000000	1.260000	15.000000	0.000000	FORMPRO	9999-12-31	5572	9999-12-31	2013-05-08	25118
7120/8-4	1949.000000	1.260000	15.000000	0.000000	FORMPRO	9999-12-31	5572	9999-12-31	2013-05-08	25119
7120/8-4	2250.000000	1.300000	16.000000	0.000000	FORMPRO	9999-12-31	5572	9999-12-31	2013-05-08	25120
7120/8-4	2262.000000	1.300000	20.000000	0.000000	FORMPRO	9999-12-31	5572	9999-12-31	2013-05-08	25121
7120/9-1	766.000000	1.060000	0.000000	0.000000	seawater	9999-12-31	82	9999-12-31	2013-05-08	25122
7120/9-1	1216.000000	1.150000	32.000000	9.000000	seawater	9999-12-31	82	9999-12-31	2013-05-08	25123
7120/9-1	1665.000000	1.200000	50.000000	10.500000	seawater	9999-12-31	82	9999-12-31	2013-05-08	25124
7120/9-1	1821.000000	1.210000	41.000000	8.000000	seawater	9999-12-31	82	9999-12-31	2013-05-08	25125
7120/9-1	2059.000000	1.220000	46.000000	10.000000	seawater	9999-12-31	82	9999-12-31	2013-05-08	25126
7120/9-1	2285.000000	1.250000	50.000000	11.500000	seawater	9999-12-31	82	9999-12-31	2013-05-08	25127
7120/9-2	381.000000	1.040000	0.000000	0.000000	WATER BASED	1984-04-24	107	9999-12-31	2013-05-08	25128
7120/9-2	635.000000	1.080000	0.000000	0.000000	WATER BASED	1984-04-24	107	9999-12-31	2013-05-08	25129
7120/9-2	908.000000	1.100000	0.000000	0.000000	WATER BASED	1984-04-24	107	9999-12-31	2013-05-08	25130
7120/9-2	1070.000000	1.230000	0.000000	0.000000	WATER BASED	1984-05-06	107	9999-12-31	2013-05-08	25131
7120/9-2	1106.000000	1.220000	0.000000	0.000000	WATER BASED	1984-05-06	107	9999-12-31	2013-05-08	25132
7120/9-2	1153.000000	1.150000	0.000000	0.000000	WATER BASED	1984-04-24	107	9999-12-31	2013-05-08	25133
7120/9-2	1165.000000	1.220000	0.000000	0.000000	WATER BASED	1984-05-04	107	9999-12-31	2013-05-08	25134
7120/9-2	1165.000000	1.220000	0.000000	0.000000	WATER BASED	1984-05-03	107	9999-12-31	2013-05-08	25135
7120/9-2	1165.000000	1.220000	0.000000	0.000000	WATER BASED	1984-04-30	107	9999-12-31	2013-05-08	25136
7120/9-2	1165.000000	1.220000	0.000000	0.000000	WATER BASED	1984-04-30	107	9999-12-31	2013-05-08	25137
7120/9-2	1165.000000	1.220000	0.000000	0.000000	WATER BASED	1984-05-03	107	9999-12-31	2013-05-08	25138
7120/9-2	1165.000000	1.220000	0.000000	0.000000	WATER BASED	1984-05-04	107	9999-12-31	2013-05-08	25139
7120/9-2	1165.000000	1.220000	0.000000	0.000000	WATER BASED	1984-04-30	107	9999-12-31	2013-05-08	25140
7120/9-2	1165.000000	1.220000	0.000000	0.000000	WATER BASED	1984-04-30	107	9999-12-31	2013-05-08	25141
7120/9-2	1165.000000	1.220000	0.000000	0.000000	WATER BASED	1984-04-30	107	9999-12-31	2013-05-08	25142
7120/9-2	1170.000000	1.220000	0.000000	0.000000	WATER BASED	1984-05-07	107	9999-12-31	2013-05-08	25143
7120/9-2	1170.000000	1.240000	0.000000	0.000000	WATER BASED	1984-05-09	107	9999-12-31	2013-05-08	25144
7120/9-2	1170.000000	1.250000	0.000000	0.000000	WATER BASED	1984-05-17	107	9999-12-31	2013-05-08	25145
7120/9-2	1170.000000	1.260000	0.000000	0.000000	WATER BASED	1984-05-10	107	9999-12-31	2013-05-08	25146
7120/9-2	1170.000000	1.260000	0.000000	0.000000	WATER BASED	1984-05-13	107	9999-12-31	2013-05-08	25147
7120/9-2	1170.000000	1.260000	0.000000	0.000000	WATER BASED	1984-05-14	107	9999-12-31	2013-05-08	25148
7120/9-2	1170.000000	1.250000	0.000000	0.000000	WATER BASED	1984-05-15	107	9999-12-31	2013-05-08	25149
7120/9-2	1170.000000	1.250000	0.000000	0.000000	WATER BASED	1984-05-20	107	9999-12-31	2013-05-08	25150
7120/9-2	1170.000000	1.240000	0.000000	0.000000	WATER BASED	1984-05-09	107	9999-12-31	2013-05-08	25151
7120/9-2	1170.000000	1.260000	0.000000	0.000000	WATER BASED	1984-05-10	107	9999-12-31	2013-05-08	25152
7120/9-2	1170.000000	1.250000	0.000000	0.000000	WATER BASED	1984-05-17	107	9999-12-31	2013-05-08	25153
7120/9-2	1170.000000	1.250000	0.000000	0.000000	WATER BASED	1984-05-20	107	9999-12-31	2013-05-08	25154
7120/9-2	1170.000000	1.260000	0.000000	0.000000	WATER BASED	1984-05-13	107	9999-12-31	2013-05-08	25155
7120/9-2	1170.000000	1.250000	0.000000	0.000000	WATER BASED	1984-05-15	107	9999-12-31	2013-05-08	25156
7120/9-2	1170.000000	1.260000	0.000000	0.000000	WATER BASED	1984-05-14	107	9999-12-31	2013-05-08	25157
7120/9-2	1179.000000	1.250000	0.000000	0.000000	WATER BASED	1984-05-20	107	9999-12-31	2013-05-08	25158
7120/9-2	1350.000000	1.250000	0.000000	0.000000	WATER BASED	1984-05-22	107	9999-12-31	2013-05-08	25159
7120/9-2	1429.000000	1.260000	0.000000	0.000000	WATER BASED	1984-05-23	107	9999-12-31	2013-05-08	25160
7120/9-2	1545.000000	1.260000	0.000000	0.000000	WATER BASED	1984-05-24	107	9999-12-31	2013-05-08	25161
7120/9-2	1637.000000	1.260000	0.000000	0.000000	WATER BASED	1984-05-25	107	9999-12-31	2013-05-08	25162
7120/9-2	1679.000000	1.250000	0.000000	0.000000	WATER BASED	1984-05-28	107	9999-12-31	2013-05-08	25163
7120/9-2	1839.000000	1.250000	0.000000	0.000000	WATER BASED	1984-05-28	107	9999-12-31	2013-05-08	25164
7120/9-2	1899.000000	1.250000	0.000000	0.000000	WATER BASED	1984-05-29	107	9999-12-31	2013-05-08	25165
7120/9-2	2312.000000	1.250000	0.000000	0.000000	WATER BASED	1984-06-05	107	9999-12-31	2013-05-08	25166
7120/9-2	2339.000000	1.250000	18.000000	16.000000	WATER BASED	1984-06-05	107	9999-12-31	2013-05-08	25167
7120/9-2	2339.000000	1.250000	18.000000	16.000000	WATER BASED	1984-06-05	107	9999-12-31	2013-05-08	25168
7120/9-2	2339.000000	1.250000	0.000000	0.000000	WATER BASED	1984-06-05	107	9999-12-31	2013-05-08	25169
7120/9-2	2384.000000	1.250000	19.000000	15.000000	WATER BASED	1984-06-05	107	9999-12-31	2013-05-08	25170
7120/9-2	2397.000000	1.250000	19.000000	15.000000	WATER BASED	1984-06-05	107	9999-12-31	2013-05-08	25171
7120/9-2	2467.000000	1.250000	20.000000	15.000000	WATER BASED	1984-06-05	107	9999-12-31	2013-05-08	25172
7120/9-2	2467.000000	1.550000	17.000000	7.000000	WATER BASED	1984-10-18	107	9999-12-31	2013-05-08	25173
7120/9-2	2467.000000	1.550000	17.000000	8.000000	WATER BASED	1984-10-17	107	9999-12-31	2013-05-08	25174
7120/9-2	2467.000000	1.550000	17.000000	8.000000	WATER BASED	1984-10-17	107	9999-12-31	2013-05-08	25175
7120/9-2	2467.000000	1.550000	17.000000	7.000000	WATER BASED	1984-10-18	107	9999-12-31	2013-05-08	25176
7120/9-2	2477.000000	1.250000	51.000000	15.000000	WATER BASED	1984-06-05	107	9999-12-31	2013-05-08	25177
7120/9-2	2534.000000	1.250000	22.000000	0.000000	WATER BASED	1984-06-05	107	9999-12-31	2013-05-08	25178
7120/9-2	2538.000000	1.250000	22.000000	14.000000	WATER BASED	1984-06-14	107	9999-12-31	2013-05-08	25179
7120/9-2	2590.000000	1.250000	0.000000	0.000000	WATER BASED	1984-06-14	107	9999-12-31	2013-05-08	25180
7120/9-2	2611.000000	1.250000	20.000000	14.000000	WATER BASED	1984-06-15	107	9999-12-31	2013-05-08	25181
7120/9-2	2641.000000	1.250000	0.000000	0.000000	WATER BASED	1984-06-17	107	9999-12-31	2013-05-08	25182
7120/9-2	2670.000000	1.250000	0.000000	0.000000	WATER BASED	1984-06-17	107	9999-12-31	2013-05-08	25183
7120/9-2	2688.000000	1.250000	0.000000	0.000000	WATER BASED	1984-06-17	107	9999-12-31	2013-05-08	25184
7120/9-2	2688.000000	1.250000	0.000000	0.000000	WATER BASED	1984-06-22	107	9999-12-31	2013-05-08	25185
7120/9-2	2688.000000	1.250000	21.000000	15.000000	WATER BASED	1984-06-22	107	9999-12-31	2013-05-08	25186
7120/9-2	2688.000000	1.250000	23.000000	0.000000	WATER BASED	1984-06-20	107	9999-12-31	2013-05-08	25187
7120/9-2	2688.000000	1.250000	0.000000	0.000000	WATER BASED	1984-06-18	107	9999-12-31	2013-05-08	25188
7120/9-2	2688.000000	1.250000	18.000000	9.500000	WATER BASED	1984-06-26	107	9999-12-31	2013-05-08	25189
7120/9-2	2688.000000	1.250000	0.000000	0.000000	WATER BASED	1984-06-22	107	9999-12-31	2013-05-08	25190
7120/9-2	2688.000000	1.250000	21.000000	15.000000	WATER BASED	1984-06-22	107	9999-12-31	2013-05-08	25191
7120/9-2	2688.000000	1.250000	0.000000	0.000000	WATER BASED	1984-06-18	107	9999-12-31	2013-05-08	25192
7120/9-2	2688.000000	1.250000	23.000000	0.000000	WATER BASED	1984-06-20	107	9999-12-31	2013-05-08	25193
7120/9-2	2688.000000	1.250000	18.000000	9.500000	WATER BASED	1984-06-26	107	9999-12-31	2013-05-08	25194
7120/9-2	2691.000000	1.250000	17.000000	8.000000	WATER BASED	1984-06-26	107	9999-12-31	2013-05-08	25195
7120/9-2	2694.000000	1.250000	17.000000	8.000000	WATER BASED	1984-06-26	107	9999-12-31	2013-05-08	25196
7120/9-2	2710.000000	1.250000	18.000000	10.500000	WATER BASED	1984-06-26	107	9999-12-31	2013-05-08	25197
7120/9-2	2797.000000	1.250000	22.000000	11.500000	WATER BASED	1984-06-27	107	9999-12-31	2013-05-08	25198
7120/9-2	2865.000000	1.250000	26.000000	12.000000	WATER BASED	1984-06-28	107	9999-12-31	2013-05-08	25199
7120/9-2	2928.000000	1.250000	24.000000	10.500000	WATER BASED	1984-06-29	107	9999-12-31	2013-05-08	25200
7120/9-2	2990.000000	1.250000	22.000000	10.500000	WATER BASED	1984-07-02	107	9999-12-31	2013-05-08	25201
7120/9-2	3006.000000	1.250000	21.100000	10.500000	WATER BASED	1984-07-02	107	9999-12-31	2013-05-08	25202
7120/9-2	3028.000000	1.250000	18.000000	12.000000	WATER BASED	1984-07-03	107	9999-12-31	2013-05-08	25203
7120/9-2	3099.000000	1.250000	22.000000	11.000000	WATER BASED	1984-07-03	107	9999-12-31	2013-05-08	25204
7120/9-2	3176.000000	1.250000	24.000000	14.000000	WATER BASED	1984-07-04	107	9999-12-31	2013-05-08	25205
7120/9-2	3263.000000	1.250000	25.000000	10.500000	WATER BASED	1984-07-06	107	9999-12-31	2013-05-08	25206
7120/9-2	3296.000000	1.250000	25.000000	13.000000	WATER BASED	1984-07-06	107	9999-12-31	2013-05-08	25207
7120/9-2	3311.000000	1.250000	24.000000	15.000000	WATER BASED	1984-07-06	107	9999-12-31	2013-05-08	25208
7120/9-2	3372.000000	1.250000	25.000000	14.000000	WATER BASED	1984-07-06	107	9999-12-31	2013-05-08	25209
7120/9-2	3421.000000	1.250000	26.000000	15.000000	WATER BASED	1984-07-06	107	9999-12-31	2013-05-08	25210
7120/9-2	3474.000000	1.250000	23.000000	14.000000	WATER BASED	1984-07-10	107	9999-12-31	2013-05-08	25211
7120/9-2	3515.000000	1.250000	21.000000	13.500000	WATER BASED	1984-07-11	107	9999-12-31	2013-05-08	25212
7120/9-2	3534.000000	1.250000	22.100000	13.000000	WATER BASED	1984-07-12	107	9999-12-31	2013-05-08	25213
7120/9-2	3561.000000	1.250000	23.000000	13.500000	WATER BASED	1984-07-16	107	9999-12-31	2013-05-08	25214
7120/9-2	3611.000000	1.250000	22.000000	14.000000	WATER BASED	1984-07-16	107	9999-12-31	2013-05-08	25215
7120/9-2	3666.000000	1.250000	19.000000	12.000000	WATER BASED	1984-07-16	107	9999-12-31	2013-05-08	25216
7120/9-2	3716.000000	1.250000	18.000000	11.500000	WATER BASED	1984-07-16	107	9999-12-31	2013-05-08	25217
7120/9-2	3726.000000	1.250000	17.000000	11.000000	WATER BASED	1984-07-18	107	9999-12-31	2013-05-08	25218
7120/9-2	3784.000000	1.250000	15.000000	11.000000	WATER BASED	1984-07-18	107	9999-12-31	2013-05-08	25219
7120/9-2	3845.000000	1.320000	19.000000	12.500000	WATER BASED	1984-07-19	107	9999-12-31	2013-05-08	25220
7120/9-2	3903.000000	1.390000	23.000000	12.500000	WATER BASED	1984-07-20	107	9999-12-31	2013-05-08	25221
7120/9-2	3967.000000	1.440000	24.000000	12.500000	WATER BASED	1984-07-24	107	9999-12-31	2013-05-08	25222
7120/9-2	4020.000000	1.500000	25.000000	10.000000	WATER BASED	1984-07-24	107	9999-12-31	2013-05-08	25223
7120/9-2	4061.000000	1.500000	24.000000	11.000000	WATER BASED	1984-07-24	107	9999-12-31	2013-05-08	25224
7120/9-2	4095.000000	1.500000	18.000000	10.000000	WATER BASED	1984-07-25	107	9999-12-31	2013-05-08	25225
7120/9-2	4145.000000	1.560000	23.000000	11.000000	WATER BASED	1984-07-26	107	9999-12-31	2013-05-08	25226
7120/9-2	4198.000000	1.560000	24.000000	10.000000	WATER BASED	1984-07-30	107	9999-12-31	2013-05-08	25227
7120/9-2	4254.000000	1.650000	28.000000	11.000000	WATER BASED	1984-07-30	107	9999-12-31	2013-05-08	25228
7120/9-2	4254.000000	1.500000	18.000000	8.000000	WATER BASED	1984-07-30	107	9999-12-31	2013-05-08	25229
7120/9-2	4254.000000	1.500000	18.000000	8.000000	WATER BASED	1984-07-30	107	9999-12-31	2013-05-08	25230
7120/9-2	4261.000000	1.550000	0.000000	0.000000	WATER BASED	1984-07-30	107	9999-12-31	2013-05-08	25231
7120/9-2	4261.000000	1.550000	22.000000	8.000000	WATER BASED	1984-07-30	107	9999-12-31	2013-05-08	25232
7120/9-2	4261.000000	1.550000	0.000000	0.000000	WATER BASED	1984-07-30	107	9999-12-31	2013-05-08	25233
7120/9-2	4267.000000	1.550000	24.000000	10.000000	WATER BASED	1984-08-03	107	9999-12-31	2013-05-08	25234
7120/9-2	4267.000000	1.550000	24.000000	11.000000	WATER BASED	1984-08-01	107	9999-12-31	2013-05-08	25235
7120/9-2	4267.000000	1.550000	23.000000	10.000000	WATER BASED	1984-08-01	107	9999-12-31	2013-05-08	25236
7120/9-2	4267.000000	1.550000	24.000000	11.000000	WATER BASED	1984-08-01	107	9999-12-31	2013-05-08	25237
7120/9-2	4267.000000	1.550000	24.000000	10.000000	WATER BASED	1984-08-03	107	9999-12-31	2013-05-08	25238
7120/9-2	4270.000000	1.550000	17.000000	0.000000	WATER BASED	1984-08-06	107	9999-12-31	2013-05-08	25239
7120/9-2	4270.000000	1.550000	16.000000	7.000000	WATER BASED	1984-08-06	107	9999-12-31	2013-05-08	25240
7120/9-2	4270.000000	1.550000	18.000000	9.000000	WATER BASED	1984-08-06	107	9999-12-31	2013-05-08	25241
7120/9-2	4270.000000	1.550000	15.000000	8.000000	WATER BASED	1984-08-09	107	9999-12-31	2013-05-08	25242
7120/9-2	4270.000000	1.550000	19.000000	6.500000	WATER BASED	1984-08-13	107	9999-12-31	2013-05-08	25243
7120/9-2	4270.000000	1.550000	18.000000	6.500000	WATER BASED	1984-08-13	107	9999-12-31	2013-05-08	25244
7120/9-2	4270.000000	1.550000	21.000000	8.000000	WATER BASED	1984-08-13	107	9999-12-31	2013-05-08	25245
7120/9-2	4270.000000	1.550000	16.000000	7.000000	WATER BASED	1984-08-08	107	9999-12-31	2013-05-08	25246
7120/9-2	4270.000000	1.550000	15.000000	7.000000	WATER BASED	1984-08-07	107	9999-12-31	2013-05-08	25247
7120/9-2	4270.000000	1.550000	21.000000	8.000000	WATER BASED	1984-08-14	107	9999-12-31	2013-05-08	25248
7120/9-2	4270.000000	1.550000	22.000000	8.500000	WATER BASED	1984-08-15	107	9999-12-31	2013-05-08	25249
7120/9-2	4270.000000	1.550000	22.000000	10.000000	WATER BASED	1984-08-06	107	9999-12-31	2013-05-08	25250
7120/9-2	4270.000000	1.550000	17.000000	0.000000	WATER BASED	1984-08-06	107	9999-12-31	2013-05-08	25251
7120/9-2	4270.000000	1.550000	18.000000	9.000000	WATER BASED	1984-08-06	107	9999-12-31	2013-05-08	25252
7120/9-2	4270.000000	1.550000	15.000000	8.000000	WATER BASED	1984-08-09	107	9999-12-31	2013-05-08	25253
7120/9-2	4270.000000	1.550000	21.000000	8.500000	WATER BASED	1984-08-13	107	9999-12-31	2013-05-08	25254
7120/9-2	4270.000000	1.550000	19.000000	6.500000	WATER BASED	1984-08-13	107	9999-12-31	2013-05-08	25255
7120/9-2	4270.000000	1.550000	18.000000	6.500000	WATER BASED	1984-08-13	107	9999-12-31	2013-05-08	25256
7120/9-2	4270.000000	1.550000	15.000000	7.000000	WATER BASED	1984-08-07	107	9999-12-31	2013-05-08	25257
7120/9-2	4270.000000	1.550000	21.000000	8.000000	WATER BASED	1984-08-14	107	9999-12-31	2013-05-08	25258
7120/9-2	4270.000000	1.550000	22.000000	8.500000	WATER BASED	1984-08-15	107	9999-12-31	2013-05-08	25259
7120/9-2	4270.000000	1.550000	16.000000	7.000000	WATER BASED	1984-08-08	107	9999-12-31	2013-05-08	25260
7120/9-2	4270.000000	1.550000	16.000000	7.000000	WATER BASED	1984-08-06	107	9999-12-31	2013-05-08	25261
7120/9-2	4270.000000	1.550000	21.000000	8.000000	WATER BASED	1984-08-13	107	9999-12-31	2013-05-08	25262
7120/9-2	4270.000000	1.550000	21.000000	8.500000	WATER BASED	1984-08-13	107	9999-12-31	2013-05-08	25263
7120/9-2	4273.000000	1.550000	20.000000	6.000000	WATER BASED	1984-08-21	107	9999-12-31	2013-05-08	25264
7120/9-2	4273.000000	1.550000	18.000000	6.000000	WATER BASED	1984-08-21	107	9999-12-31	2013-05-08	25265
7120/9-2	4273.000000	1.550000	18.000000	6.000000	WATER BASED	1984-08-21	107	9999-12-31	2013-05-08	25266
7120/9-2	4292.000000	1.570000	19.000000	0.000000	WATER BASED	1984-08-21	107	9999-12-31	2013-05-08	25267
7120/9-2	4318.000000	1.570000	18.000000	6.000000	WATER BASED	1984-08-21	107	9999-12-31	2013-05-08	25268
7120/9-2	4424.000000	1.600000	18.000000	6.000000	WATER BASED	1984-08-21	107	9999-12-31	2013-05-08	25269
7120/9-2	4499.000000	1.600000	19.000000	6.000000	WATER BASED	1984-08-23	107	9999-12-31	2013-05-08	25270
7120/9-2	4499.000000	1.600000	20.000000	6.500000	WATER BASED	1984-08-22	107	9999-12-31	2013-05-08	25271
7120/9-2	4499.000000	1.600000	19.000000	6.000000	WATER BASED	1984-08-23	107	9999-12-31	2013-05-08	25272
7120/9-2	4580.000000	1.680000	21.000000	6.000000	WATER BASED	1984-08-24	107	9999-12-31	2013-05-08	25273
7120/9-2	4692.000000	1.700000	21.000000	7.000000	WATER BASED	1984-08-27	107	9999-12-31	2013-05-08	25274
7120/9-2	4703.000000	1.760000	22.000000	7.000000	WATER BASED	1984-08-27	107	9999-12-31	2013-05-08	25275
7120/9-2	4742.000000	1.820000	25.000000	6.500000	WATER BASED	1984-08-27	107	9999-12-31	2013-05-08	25276
7120/9-2	4779.000000	1.850000	29.000000	7.500000	WATER BASED	1984-08-28	107	9999-12-31	2013-05-08	25277
7120/9-2	4791.000000	2.000000	30.000000	5.000000	WATER BASED	1984-08-31	107	9999-12-31	2013-05-08	25278
7120/9-2	4791.000000	2.000000	34.000000	9.000000	WATER BASED	1984-08-29	107	9999-12-31	2013-05-08	25279
7120/9-2	4791.000000	2.000000	0.000000	0.000000	WATER BASED	1984-09-04	107	9999-12-31	2013-05-08	25280
7120/9-2	4791.000000	2.000000	35.000000	7.000000	WATER BASED	1984-08-30	107	9999-12-31	2013-05-08	25281
7120/9-2	4791.000000	2.000000	4.500000	26.000000	WATER BASED	1984-09-11	107	9999-12-31	2013-05-08	25282
7120/9-2	4791.000000	2.000000	30.000000	4.000000	WATER BASED	1984-09-10	107	9999-12-31	2013-05-08	25283
7120/9-2	4791.000000	2.000000	35.000000	7.000000	WATER BASED	1984-08-30	107	9999-12-31	2013-05-08	25284
7120/9-2	4791.000000	2.000000	30.000000	4.000000	WATER BASED	1984-09-10	107	9999-12-31	2013-05-08	25285
7120/9-2	4791.000000	2.000000	4.500000	26.000000	WATER BASED	1984-09-11	107	9999-12-31	2013-05-08	25286
7120/9-2	4791.000000	2.000000	30.000000	5.000000	WATER BASED	1984-08-31	107	9999-12-31	2013-05-08	25287
7120/9-2	4791.000000	2.000000	29.000000	4.500000	WATER BASED	1984-09-06	107	9999-12-31	2013-05-08	25288
7120/9-2	4791.000000	2.000000	0.000000	0.000000	WATER BASED	1984-09-04	107	9999-12-31	2013-05-08	25289
7120/9-2	4791.000000	2.000000	29.000000	4.500000	WATER BASED	1984-09-06	107	9999-12-31	2013-05-08	25290
7120/9-2	4796.000000	2.000000	27.000000	4.000000	WATER BASED	1984-09-13	107	9999-12-31	2013-05-08	25291
7120/9-2	4797.000000	2.000000	27.000000	4.000000	WATER BASED	1984-09-13	107	9999-12-31	2013-05-08	25292
7120/9-2	4798.000000	2.000000	26.000000	4.000000	WATER BASED	1984-09-14	107	9999-12-31	2013-05-08	25293
7120/9-2	4800.000000	2.000000	24.000000	3.500000	WATER BASED	1984-09-16	107	9999-12-31	2013-05-08	25294
7120/9-2	4800.000000	2.000000	24.000000	3.000000	WATER BASED	1984-09-16	107	9999-12-31	2013-05-08	25295
7120/9-2	4800.000000	2.000000	24.000000	3.000000	WATER BASED	1984-09-16	107	9999-12-31	2013-05-08	25296
7120/9-2	4820.000000	2.000000	24.000000	3.000000	WATER BASED	1984-09-16	107	9999-12-31	2013-05-08	25297
7120/9-2	4840.000000	2.000000	24.000000	4.000000	WATER BASED	1984-09-17	107	9999-12-31	2013-05-08	25298
7120/9-2	4861.000000	2.000000	27.000000	6.000000	WATER BASED	1984-09-18	107	9999-12-31	2013-05-08	25299
7120/9-2	4890.000000	2.000000	27.000000	5.500000	WATER BASED	1984-09-19	107	9999-12-31	2013-05-08	25300
7120/9-2	4890.000000	2.000000	29.000000	4.000000	WATER BASED	1984-09-20	107	9999-12-31	2013-05-08	25301
7120/9-2	4890.000000	2.000000	29.000000	4.000000	WATER BASED	1984-09-20	107	9999-12-31	2013-05-08	25302
7120/9-2	4949.000000	2.000000	26.000000	5.000000	WATER BASED	1984-09-23	107	9999-12-31	2013-05-08	25303
7120/9-2	4962.000000	2.000000	30.000000	4.000000	WATER BASED	1984-09-23	107	9999-12-31	2013-05-08	25304
7120/9-2	4964.000000	2.000000	25.000000	4.000000	WATER BASED	1984-09-25	107	9999-12-31	2013-05-08	25305
7120/9-2	4964.000000	1.980000	26.000000	3.000000	WATER BASED	1984-09-27	107	9999-12-31	2013-05-08	25306
7120/9-2	4964.000000	1.980000	24.000000	3.000000	WATER BASED	1984-09-26	107	9999-12-31	2013-05-08	25307
7120/9-2	4964.000000	1.980000	26.000000	3.000000	WATER BASED	1984-10-01	107	9999-12-31	2013-05-08	25308
7120/9-2	4964.000000	1.950000	26.000000	3.000000	WATER BASED	1984-09-25	107	9999-12-31	2013-05-08	25309
7120/9-2	4964.000000	1.980000	24.000000	3.000000	WATER BASED	1984-09-26	107	9999-12-31	2013-05-08	25310
7120/9-2	4964.000000	1.980000	26.000000	3.000000	WATER BASED	1984-09-27	107	9999-12-31	2013-05-08	25311
7120/9-2	4964.000000	1.980000	26.000000	3.000000	WATER BASED	1984-10-01	107	9999-12-31	2013-05-08	25312
7120/9-2	4964.000000	1.950000	26.000000	3.000000	WATER BASED	1984-09-25	107	9999-12-31	2013-05-08	25313
7120/9-2	4965.000000	2.020000	28.000000	3.000000	WATER BASED	1984-10-01	107	9999-12-31	2013-05-08	25314
7120/9-2	4971.000000	2.020000	26.000000	3.000000	WATER BASED	1984-10-01	107	9999-12-31	2013-05-08	25315
7120/9-2	4971.000000	2.020000	28.000000	3.000000	WATER BASED	1984-10-01	107	9999-12-31	2013-05-08	25316
7120/9-2	4971.000000	2.020000	28.000000	3.000000	WATER BASED	1984-10-01	107	9999-12-31	2013-05-08	25317
7120/9-2	4998.000000	2.020000	28.000000	3.000000	WATER BASED	1984-10-02	107	9999-12-31	2013-05-08	25318
7120/9-2	5024.000000	2.020000	28.000000	3.000000	WATER BASED	1984-10-04	107	9999-12-31	2013-05-08	25319
7120/9-2	5024.000000	2.020000	24.000000	3.000000	WATER BASED	1984-10-07	107	9999-12-31	2013-05-08	25320
7120/9-2	5024.000000	2.020000	28.000000	3.000000	WATER BASED	1984-10-04	107	9999-12-31	2013-05-08	25321
7120/9-2	5024.000000	2.020000	24.000000	3.000000	WATER BASED	1984-10-07	107	9999-12-31	2013-05-08	25322
7120/9-2	5024.000000	2.020000	28.000000	3.000000	WATER BASED	1984-10-03	107	9999-12-31	2013-05-08	25323
7120/9-2	5024.000000	2.020000	28.000000	3.000000	WATER BASED	1984-10-07	107	9999-12-31	2013-05-08	25324
7120/9-2	5024.000000	2.020000	28.000000	3.000000	WATER BASED	1984-10-07	107	9999-12-31	2013-05-08	25325
7120/9-2	5035.000000	2.020000	26.000000	3.500000	WATER BASED	1984-10-07	107	9999-12-31	2013-05-08	25326
7120/9-2	5047.000000	2.020000	24.000000	3.000000	WATER BASED	1984-10-08	107	9999-12-31	2013-05-08	25327
7120/9-2	5071.000000	2.040000	23.000000	3.000000	WATER BASED	1984-10-10	107	9999-12-31	2013-05-08	25328
7120/9-2	5071.000000	2.020000	21.000000	3.000000	WATER BASED	1984-10-09	107	9999-12-31	2013-05-08	25329
7120/9-2	5071.000000	2.040000	24.000000	3.000000	WATER BASED	1984-10-11	107	9999-12-31	2013-05-08	25330
7120/9-2	5071.000000	2.040000	20.000000	2.500000	WATER BASED	1984-10-14	107	9999-12-31	2013-05-08	25331
7120/9-2	5071.000000	2.040000	23.000000	3.000000	WATER BASED	1984-10-10	107	9999-12-31	2013-05-08	25332
7120/9-2	5071.000000	2.040000	24.000000	3.000000	WATER BASED	1984-10-11	107	9999-12-31	2013-05-08	25333
7120/9-2	5071.000000	2.040000	20.000000	2.500000	WATER BASED	1984-10-14	107	9999-12-31	2013-05-08	25334
7120/9-2	5072.000000	2.040000	20.000000	3.000000	WATER BASED	1984-10-14	107	9999-12-31	2013-05-08	25335
7120/9-2	5072.000000	2.040000	22.000000	3.000000	WATER BASED	1984-10-15	107	9999-12-31	2013-05-08	25336
7120/9-2	5072.000000	2.040000	20.000000	3.000000	WATER BASED	1984-10-14	107	9999-12-31	2013-05-08	25337
7120/9-2	5072.000000	2.040000	22.000000	3.000000	WATER BASED	1984-10-15	107	9999-12-31	2013-05-08	25338
7120/9-2	5072.000000	2.040000	20.000000	3.000000	WATER BASED	1984-10-14	107	9999-12-31	2013-05-08	25339
7121/1-1	412.000000	1.000000	100.000000	0.000000	WATER BASED	9999-12-31	521	9999-12-31	2013-05-08	25340
7121/1-1	566.000000	1.060000	7.000000	0.000000	WATER BASED	9999-12-31	521	9999-12-31	2013-05-08	25341
7121/1-1	593.000000	1.080000	7.000000	0.000000	WATER BASED	9999-12-31	521	9999-12-31	2013-05-08	25342
7121/1-1	596.000000	1.070000	7.000000	0.000000	WATER BASED	9999-12-31	521	9999-12-31	2013-05-08	25343
7121/1-1	673.000000	1.080000	6.000000	0.000000	WATER BASED	9999-12-31	521	9999-12-31	2013-05-08	25344
7121/1-1	753.000000	1.070000	9.000000	0.000000	WATER BASED	9999-12-31	521	9999-12-31	2013-05-08	25345
7121/1-1	755.000000	1.080000	8.000000	0.000000	WATER BASED	9999-12-31	521	9999-12-31	2013-05-08	25346
7121/1-1	856.000000	1.080000	7.000000	0.000000	WATER BASED	9999-12-31	521	9999-12-31	2013-05-08	25347
7121/1-1	916.000000	1.080000	6.000000	0.000000	WATER BASED	9999-12-31	521	9999-12-31	2013-05-08	25348
7121/1-1	916.000000	1.080000	8.000000	0.000000	WATER BASED	9999-12-31	521	9999-12-31	2013-05-08	25349
7121/1-1 R	591.000000	1.080000	9.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25350
7121/1-1 R	898.000000	1.080000	9.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25351
7121/1-1 R	922.000000	1.080000	8.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25352
7121/1-1 R	936.000000	1.080000	9.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25353
7121/1-1 R	965.000000	1.100000	8.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25354
7121/1-1 R	1121.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25355
7121/1-1 R	1131.000000	1.130000	13.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25356
7121/1-1 R	1207.000000	1.130000	8.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25357
7121/1-1 R	1244.000000	1.140000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25358
7121/1-1 R	1260.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25359
7121/1-1 R	1280.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25360
7121/1-1 R	1292.000000	1.140000	13.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25361
7121/1-1 R	1337.000000	1.130000	9.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25362
7121/1-1 R	1423.000000	1.140000	13.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25363
7121/1-1 R	1487.000000	1.150000	14.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25364
7121/1-1 R	1515.000000	1.130000	9.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25365
7121/1-1 R	1527.000000	1.130000	9.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25366
7121/1-1 R	1576.000000	1.130000	9.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25367
7121/1-1 R	1618.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25368
7121/1-1 R	1650.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25369
7121/1-1 R	1672.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25370
7121/1-1 R	1700.000000	1.130000	14.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25371
7121/1-1 R	1711.000000	1.130000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25372
7121/1-1 R	1739.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25373
7121/1-1 R	1760.000000	1.130000	12.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25374
7121/1-1 R	1815.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25375
7121/1-1 R	1835.000000	1.130000	12.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25376
7121/1-1 R	1884.000000	1.130000	8.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25377
7121/1-1 R	1907.000000	1.130000	12.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25378
7121/1-1 R	1925.000000	1.130000	8.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25379
7121/1-1 R	1933.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25380
7121/1-1 R	1942.000000	1.130000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25381
7121/1-1 R	1960.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25382
7121/1-1 R	1993.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25383
7121/1-1 R	1994.000000	1.130000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25384
7121/1-1 R	2039.000000	1.130000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25385
7121/1-1 R	2056.000000	1.130000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25386
7121/1-1 R	2064.000000	1.130000	8.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25387
7121/1-1 R	2107.000000	1.140000	9.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25388
7121/1-1 R	2113.000000	1.130000	13.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25389
7121/1-1 R	2115.000000	1.130000	9.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25390
7121/1-1 R	2120.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25391
7121/1-1 R	2152.000000	1.130000	8.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25392
7121/1-1 R	2153.000000	1.150000	8.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25393
7121/1-1 R	2154.000000	1.130000	13.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25394
7121/1-1 R	2175.000000	1.130000	8.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25395
7121/1-1 R	2231.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25396
7121/1-1 R	2236.000000	1.130000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25397
7121/1-1 R	2350.000000	1.130000	15.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25398
7121/1-1 R	2407.000000	1.130000	14.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25399
7121/1-1 R	2518.000000	1.130000	14.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25400
7121/1-1 R	2555.000000	1.150000	12.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25401
7121/1-1 R	2620.000000	1.210000	15.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25402
7121/1-1 R	2663.000000	1.260000	17.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25403
7121/1-1 R	2702.000000	1.320000	19.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25404
7121/1-1 R	2721.000000	1.320000	20.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25405
7121/1-1 R	2804.000000	1.320000	20.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25406
7121/1-1 R	2817.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25407
7121/1-1 R	2845.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25408
7121/1-1 R	2900.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25409
7121/1-1 R	2967.000000	1.200000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25410
7121/1-1 R	2987.000000	1.170000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25411
7121/1-1 R	2998.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25412
7121/1-1 R	3056.000000	1.200000	13.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25413
7121/1-1 R	3117.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25414
7121/1-1 R	3138.000000	1.170000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25415
7121/1-1 R	3138.000000	1.170000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25416
7121/1-1 R	3140.000000	1.170000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25417
7121/1-1 R	3181.000000	1.170000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25418
7121/1-1 R	3205.000000	1.170000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25419
7121/1-1 R	3310.000000	1.170000	13.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25420
7121/1-1 R	3370.000000	1.060000	4.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25421
7121/1-1 R	3386.000000	1.080000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25422
7121/1-1 R	3460.000000	1.080000	12.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25423
7121/1-1 R	3479.000000	1.080000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25424
7121/1-1 R	3513.000000	1.080000	12.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25425
7121/1-1 R	3684.000000	1.070000	8.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25426
7121/1-1 R	3924.000000	1.070000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25427
7121/1-1 R	4116.000000	1.080000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25428
7121/1-1 R	4299.000000	1.090000	12.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25429
7121/1-1 R	4406.000000	1.090000	12.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25430
7121/1-1 R	4469.000000	1.090000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25431
7121/1-1 R	4695.000000	1.090000	11.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25432
7121/1-1 R	4887.000000	1.090000	12.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25433
7121/1-1 R	4988.000000	1.090000	12.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25434
7121/1-1 R	5000.000000	1.090000	10.000000	0.000000	WATER BASED	9999-12-31	896	9999-12-31	2013-05-08	25435
7121/4-1	422.000000	1.050000	900.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25436
7121/4-1	750.000000	1.070000	400.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25437
7121/4-1	817.000000	1.050000	400.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25438
7121/4-1	1120.000000	1.120000	1900.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25439
7121/4-1	1355.000000	1.120000	1800.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25440
7121/4-1	1445.000000	1.200000	1700.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25441
7121/4-1	1866.000000	1.270000	1600.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25442
7121/4-1	2073.000000	1.300000	1600.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25443
7121/4-1	2285.000000	1.390000	1700.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25444
7121/4-1	2288.000000	1.450000	1800.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25445
7121/4-1	2366.000000	1.450000	1900.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25446
7121/4-1	2587.000000	1.300000	1600.000000	0.000000	WATER BASED	9999-12-31	135	9999-12-31	2013-05-08	25447
7121/4-2	918.000000	1.170000	1000.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25448
7121/4-2	1140.000000	1.120000	1100.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25449
7121/4-2	1261.000000	1.140000	1300.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25450
7121/4-2	1458.000000	1.160000	800.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25451
7121/4-2	1692.000000	1.160000	800.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25452
7121/4-2	1769.000000	1.120000	1100.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25453
7121/4-2	1774.000000	1.160000	900.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25454
7121/4-2	2009.000000	1.120000	1500.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25455
7121/4-2	2278.000000	1.200000	1300.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25456
7121/4-2	2460.000000	1.370000	1500.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25457
7121/4-2	2587.000000	1.230000	1200.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25458
7121/4-2	2629.000000	1.230000	1100.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25459
7121/4-2	2677.000000	1.230000	1100.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25460
7121/4-2	2725.000000	1.230000	1600.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25461
7121/4-2	2800.000000	1.230000	1400.000000	0.000000	WATER BASED	9999-12-31	461	9999-12-31	2013-05-08	25462
7121/5-1	877.000000	1.060000	600.000000	16.000000	WATER BASED	1985-06-13	479	9999-12-31	2013-05-08	25463
7121/5-1	877.000000	1.060000	600.000000	13.500000	WATER BASED	1985-06-14	479	9999-12-31	2013-05-08	25464
7121/5-1	877.000000	1.060000	600.000000	13.500000	WATER BASED	1985-06-14	479	9999-12-31	2013-05-08	25465
7121/5-1	879.000000	1.170000	1200.000000	9.300000	WATER BASED	1985-06-17	479	9999-12-31	2013-05-08	25466
7121/5-1	879.000000	1.170000	0.000000	0.000000	WATER BASED	1985-06-17	479	9999-12-31	2013-05-08	25467
7121/5-1	879.000000	1.170000	0.000000	0.000000	WATER BASED	1985-06-19	479	9999-12-31	2013-05-08	25468
7121/5-1	879.000000	1.170000	0.000000	0.000000	WATER BASED	1985-06-20	479	9999-12-31	2013-05-08	25469
7121/5-1	879.000000	1.000000	1400.000000	6.800000	WATER BASED	1985-07-01	479	9999-12-31	2013-05-08	25470
7121/5-1	879.000000	1.170000	1200.000000	9.300000	WATER BASED	1985-06-17	479	9999-12-31	2013-05-08	25471
7121/5-1	879.000000	1.170000	0.000000	0.000000	WATER BASED	1985-06-17	479	9999-12-31	2013-05-08	25472
7121/5-1	879.000000	1.170000	0.000000	0.000000	WATER BASED	1985-06-19	479	9999-12-31	2013-05-08	25473
7121/5-1	879.000000	1.170000	0.000000	0.000000	WATER BASED	1985-06-20	479	9999-12-31	2013-05-08	25474
7121/5-1	879.000000	1.170000	0.000000	0.000000	WATER BASED	1985-06-24	479	9999-12-31	2013-05-08	25475
7121/5-1	879.000000	1.000000	1400.000000	6.800000	WATER BASED	1985-07-01	479	9999-12-31	2013-05-08	25476
7121/5-1	879.000000	1.060000	600.000000	11.400000	WATER BASED	1985-06-17	479	9999-12-31	2013-05-08	25477
7121/5-1	879.000000	1.170000	0.000000	0.000000	WATER BASED	1985-06-24	479	9999-12-31	2013-05-08	25478
7121/5-1	885.000000	1.110000	1600.000000	8.900000	WATER BASED	1985-07-05	479	9999-12-31	2013-05-08	25479
7121/5-1	885.000000	1.100000	1500.000000	7.600000	WATER BASED	1985-07-03	479	9999-12-31	2013-05-08	25480
7121/5-1	885.000000	1.110000	1600.000000	8.900000	WATER BASED	1985-07-05	479	9999-12-31	2013-05-08	25481
7121/5-1	1393.000000	1.110000	1500.000000	9.700000	WATER BASED	1985-07-05	479	9999-12-31	2013-05-08	25482
7121/5-1	1723.000000	1.120000	1500.000000	6.300000	WATER BASED	1985-07-08	479	9999-12-31	2013-05-08	25483
7121/5-1	1860.000000	1.120000	1500.000000	7.200000	WATER BASED	1985-07-08	479	9999-12-31	2013-05-08	25484
7121/5-1	1925.000000	1.140000	1700.000000	8.400000	WATER BASED	1985-07-09	479	9999-12-31	2013-05-08	25485
7121/5-1	1925.000000	1.140000	6000.000000	6.800000	WATER BASED	1985-07-10	479	9999-12-31	2013-05-08	25486
7121/5-1	1925.000000	1.140000	6000.000000	6.800000	WATER BASED	1985-07-10	479	9999-12-31	2013-05-08	25487
7121/5-1	2083.000000	1.150000	1500.000000	8.100000	WATER BASED	1985-07-15	479	9999-12-31	2013-05-08	25488
7121/5-1	2161.000000	1.150000	1600.000000	8.000000	WATER BASED	1985-07-15	479	9999-12-31	2013-05-08	25489
7121/5-1	2254.000000	1.150000	1600.000000	7.600000	WATER BASED	1985-07-15	479	9999-12-31	2013-05-08	25490
7121/5-1	2309.000000	1.150000	1600.000000	8.000000	WATER BASED	1985-07-16	479	9999-12-31	2013-05-08	25491
7121/5-1	2353.000000	1.300000	1900.000000	8.500000	WATER BASED	1985-07-19	479	9999-12-31	2013-05-08	25492
7121/5-1	2353.000000	1.300000	1900.000000	7.600000	WATER BASED	1985-07-18	479	9999-12-31	2013-05-08	25493
7121/5-1	2353.000000	1.300000	1900.000000	8.500000	WATER BASED	1985-07-19	479	9999-12-31	2013-05-08	25494
7121/5-1	2365.000000	1.300000	1900.000000	10.200000	WATER BASED	1985-07-18	479	9999-12-31	2013-05-08	25495
7121/5-1	2392.000000	1.300000	1900.000000	7.600000	WATER BASED	1985-07-18	479	9999-12-31	2013-05-08	25496
7121/5-1	2453.000000	1.340000	1800.000000	11.000000	WATER BASED	1985-07-22	479	9999-12-31	2013-05-08	25497
7121/5-1	2500.000000	1.340000	1700.000000	9.300000	WATER BASED	1985-07-29	479	9999-12-31	2013-05-08	25498
7121/5-1	2536.000000	1.340000	1700.000000	10.000000	WATER BASED	1985-07-29	479	9999-12-31	2013-05-08	25499
7121/5-1	2537.000000	1.340000	1700.000000	10.000000	WATER BASED	1985-07-29	479	9999-12-31	2013-05-08	25500
7121/5-1	2539.000000	1.340000	1700.000000	9.300000	WATER BASED	1985-07-29	479	9999-12-31	2013-05-08	25501
7121/5-1	2540.000000	1.230000	1200.000000	5.000000	WATER BASED	1985-09-04	479	9999-12-31	2013-05-08	25502
7121/5-1	2540.000000	1.230000	1000.000000	4.600000	WATER BASED	1985-09-05	479	9999-12-31	2013-05-08	25503
7121/5-1	2540.000000	1.230000	800.000000	4.200000	WATER BASED	1985-09-13	479	9999-12-31	2013-05-08	25504
7121/5-1	2540.000000	1.230000	900.000000	4.200000	WATER BASED	1985-09-11	479	9999-12-31	2013-05-08	25505
7121/5-1	2540.000000	1.230000	900.000000	4.200000	WATER BASED	1985-09-12	479	9999-12-31	2013-05-08	25506
7121/5-1	2540.000000	1.230000	900.000000	4.200000	WATER BASED	1985-09-10	479	9999-12-31	2013-05-08	25507
7121/5-1	2540.000000	1.230000	1000.000000	5.100000	WATER BASED	1985-09-09	479	9999-12-31	2013-05-08	25508
7121/5-1	2540.000000	1.230000	1000.000000	5.500000	WATER BASED	1985-09-06	479	9999-12-31	2013-05-08	25509
7121/5-1	2544.000000	1.230000	1400.000000	5.900000	WATER BASED	1985-09-02	479	9999-12-31	2013-05-08	25510
7121/5-1	2544.000000	1.230000	1400.000000	6.300000	WATER BASED	1985-08-30	479	9999-12-31	2013-05-08	25511
7121/5-1	2546.000000	1.230000	1500.000000	7.200000	WATER BASED	1985-08-30	479	9999-12-31	2013-05-08	25512
7121/5-1	2548.000000	1.340000	1700.000000	9.700000	WATER BASED	1985-07-30	479	9999-12-31	2013-05-08	25513
7121/5-1	2572.000000	1.340000	1900.000000	9.300000	WATER BASED	1985-07-31	479	9999-12-31	2013-05-08	25514
7121/5-1	2600.000000	1.340000	2200.000000	9.700000	WATER BASED	1985-08-01	479	9999-12-31	2013-05-08	25515
7121/5-1	2607.000000	1.340000	2000.000000	9.700000	WATER BASED	1985-08-01	479	9999-12-31	2013-05-08	25516
7121/5-1	2628.000000	1.340000	2100.000000	9.300000	WATER BASED	1985-08-02	479	9999-12-31	2013-05-08	25517
7121/5-1	2653.000000	1.340000	1900.000000	10.200000	WATER BASED	1985-08-05	479	9999-12-31	2013-05-08	25518
7121/5-1	2697.000000	1.340000	2100.000000	10.600000	WATER BASED	1985-08-05	479	9999-12-31	2013-05-08	25519
7121/5-1	2747.000000	1.340000	2100.000000	9.700000	WATER BASED	1985-08-06	479	9999-12-31	2013-05-08	25520
7121/5-1	2747.000000	1.340000	2100.000000	9.700000	WATER BASED	1985-08-06	479	9999-12-31	2013-05-08	25521
7121/5-1	2747.000000	1.340000	2100.000000	9.700000	WATER BASED	1985-08-05	479	9999-12-31	2013-05-08	25522
7121/5-1	2755.000000	1.160000	8.000000	1900.000000	WATER BASED	1985-08-12	479	9999-12-31	2013-05-08	25523
7121/5-1	2755.000000	1.340000	2100.000000	9.300000	WATER BASED	1985-08-08	479	9999-12-31	2013-05-08	25524
7121/5-1	2755.000000	1.160000	8.000000	1900.000000	WATER BASED	1985-08-12	479	9999-12-31	2013-05-08	25525
7121/5-1	2792.000000	1.160000	1700.000000	8.500000	WATER BASED	1985-08-12	479	9999-12-31	2013-05-08	25526
7121/5-1	2802.000000	1.230000	1500.000000	6.700000	WATER BASED	1985-08-28	479	9999-12-31	2013-05-08	25527
7121/5-1	2855.000000	1.160000	1700.000000	8.000000	WATER BASED	1985-08-12	479	9999-12-31	2013-05-08	25528
7121/5-1	2933.000000	1.160000	1500.000000	8.500000	WATER BASED	1985-08-13	479	9999-12-31	2013-05-08	25529
7121/5-1	2980.000000	1.160000	1500.000000	8.000000	WATER BASED	1985-08-14	479	9999-12-31	2013-05-08	25530
7121/5-1	3044.000000	1.160000	1600.000000	7.200000	WATER BASED	1985-08-15	479	9999-12-31	2013-05-08	25531
7121/5-1	3082.000000	1.160000	1600.000000	7.200000	WATER BASED	1985-08-16	479	9999-12-31	2013-05-08	25532
7121/5-1	3161.000000	1.160000	1500.000000	7.600000	WATER BASED	1985-08-26	479	9999-12-31	2013-05-08	25533
7121/5-1	3161.000000	1.230000	1400.000000	7.200000	WATER BASED	1985-08-27	479	9999-12-31	2013-05-08	25534
7121/5-1	3161.000000	1.230000	1500.000000	7.200000	WATER BASED	1985-08-26	479	9999-12-31	2013-05-08	25535
7121/5-2	390.000000	1.080000	0.000000	0.000000	WATER BASED	1986-05-26	907	9999-12-31	2013-05-08	25536
7121/5-2	453.000000	0.000000	800.000000	11.000000	WATERBASED	1986-06-05	907	9999-12-31	2013-05-08	25537
7121/5-2	453.000000	1.080000	0.000000	0.000000	WATER BASED	1986-05-26	907	9999-12-31	2013-05-08	25538
7121/5-2	524.000000	1.100000	600.000000	12.700000	WATER BASED	1986-06-05	907	9999-12-31	2013-05-08	25539
7121/5-2	848.000000	1.100000	600.000000	14.800000	WATER BASED	1986-06-05	907	9999-12-31	2013-05-08	25540
7121/5-2	1035.000000	1.100000	600.000000	13.500000	WATER BASED	1986-06-05	907	9999-12-31	2013-05-08	25541
7121/5-2	1035.000000	0.000000	800.000000	29.400000	WATERBASED	1986-06-05	907	9999-12-31	2013-05-08	25542
7121/5-2	1035.000000	1.080000	1000.000000	28.300000	WATER BASED	1986-06-05	907	9999-12-31	2013-05-08	25543
7121/5-2	1035.000000	1.100000	2400.000000	7.200000	WATER BASED	1986-06-08	907	9999-12-31	2013-05-08	25544
7121/5-2	1035.000000	1.080000	900.000000	28.800000	WATER BASED	1986-06-05	907	9999-12-31	2013-05-08	25545
7121/5-2	1169.000000	1.100000	2400.000000	8.000000	WATER BASED	1986-06-08	907	9999-12-31	2013-05-08	25546
7121/5-2	1415.000000	1.130000	2300.000000	9.300000	WATER BASED	1986-06-09	907	9999-12-31	2013-05-08	25547
7121/5-2	1580.000000	1.140000	2200.000000	10.100000	WATER BASED	1986-06-11	907	9999-12-31	2013-05-08	25548
7121/5-2	1754.000000	1.150000	2000.000000	9.700000	WATER BASED	1986-06-12	907	9999-12-31	2013-05-08	25549
7121/5-2	1874.000000	1.160000	2200.000000	9.300000	WATER BASED	1986-06-15	907	9999-12-31	2013-05-08	25550
7121/5-2	1977.000000	0.000000	2100.000000	8.000000	WATERBASED	1986-06-15	907	9999-12-31	2013-05-08	25551
7121/5-2	1977.000000	1.300000	2600.000000	8.400000	WATER BASED	1986-06-15	907	9999-12-31	2013-05-08	25552
7121/5-2	1977.000000	1.160000	2000.000000	9.300000	WATERBASED	1986-06-15	907	9999-12-31	2013-05-08	25553
7121/5-2	2060.000000	1.300000	2200.000000	7.200000	WATERBASED	1986-06-17	907	9999-12-31	2013-05-08	25554
7121/5-2	2135.000000	1.280000	1900.000000	7.200000	WATERBASED	1986-06-18	907	9999-12-31	2013-05-08	25555
7121/5-2	2217.000000	1.260000	1900.000000	6.300000	WATER BASED	1986-06-19	907	9999-12-31	2013-05-08	25556
7121/5-2	2293.000000	1.250000	1900.000000	5.100000	WATERBASED	1986-06-23	907	9999-12-31	2013-05-08	25557
7121/5-2	2324.000000	1.280000	2000.000000	5.500000	WATERBASED	1986-06-23	907	9999-12-31	2013-05-08	25558
7121/5-2	2363.000000	1.270000	1900.000000	5.900000	WATER BASED	1986-06-23	907	9999-12-31	2013-05-08	25559
7121/5-2	2399.000000	1.270000	1800.000000	5.900000	WATER BASED	1986-06-23	907	9999-12-31	2013-05-08	25560
7121/5-2	2431.000000	1.270000	1900.000000	6.300000	WATER BASED	1986-06-24	907	9999-12-31	2013-05-08	25561
7121/5-2	2470.000000	1.260000	2000.000000	6.300000	WATER BASED	1986-06-25	907	9999-12-31	2013-05-08	25562
7121/5-2	2484.000000	1.260000	2100.000000	6.500000	WATER BASED	1986-06-30	907	9999-12-31	2013-05-08	25563
7121/5-2	2507.000000	1.260000	2100.000000	6.500000	WATER BASED	1986-06-30	907	9999-12-31	2013-05-08	25564
7121/5-2	2507.000000	1.260000	2100.000000	6.500000	WATER BASED	1986-06-26	907	9999-12-31	2013-05-08	25565
7121/5-2	2543.000000	1.260000	2400.000000	7.600000	WATERBASED	1986-06-30	907	9999-12-31	2013-05-08	25566
7121/5-2	2543.000000	1.260000	2400.000000	7.800000	WATER BASED	1986-06-30	907	9999-12-31	2013-05-08	25567
7121/5-2	2543.000000	1.260000	2200.000000	7.800000	WATER BASED	1986-06-30	907	9999-12-31	2013-05-08	25568
7121/5-3	431.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	4244	9999-12-31	2013-05-08	25569
7121/5-3	865.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	4244	9999-12-31	2013-05-08	25570
7121/5-3	950.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	4244	9999-12-31	2013-05-08	25571
7121/5-3	1138.000000	1.250000	19.000000	0.000000	GLYDRILL	9999-12-31	4244	9999-12-31	2013-05-08	25572
7121/5-3	1500.000000	1.250000	14.000000	0.000000	GLYDRILL	9999-12-31	4244	9999-12-31	2013-05-08	25573
7121/5-3	1741.000000	1.250000	14.000000	0.000000	GLYDRILL	9999-12-31	4244	9999-12-31	2013-05-08	25574
7121/5-3	1881.000000	1.250000	13.000000	0.000000	GLYDRILL	9999-12-31	4244	9999-12-31	2013-05-08	25575
7121/5-3	1887.000000	1.250000	14.000000	0.000000	GLYDRILL	9999-12-31	4244	9999-12-31	2013-05-08	25576
7121/5-3	1992.000000	1.250000	14.000000	0.000000	GLYDRILL	9999-12-31	4244	9999-12-31	2013-05-08	25577
7121/5-3	2019.000000	1.250000	14.000000	0.000000	GLYDRILL	9999-12-31	4244	9999-12-31	2013-05-08	25578
7121/5-3	2229.000000	1.250000	14.000000	0.000000	GLYDRILL	9999-12-31	4244	9999-12-31	2013-05-08	25579
7121/5-3	2265.000000	1.250000	13.000000	0.000000	GLYDRILL	9999-12-31	4244	9999-12-31	2013-05-08	25580
7121/7-1	706.000000	1.070000	0.000000	0.000000	WATER BASED	9999-12-31	130	9999-12-31	2013-05-08	25581
7121/7-1	770.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	130	9999-12-31	2013-05-08	25582
7121/7-1	1222.000000	1.160000	6200.000000	0.000000	WATER BASED	9999-12-31	130	9999-12-31	2013-05-08	25583
7121/7-1	1517.000000	1.160000	1800.000000	0.000000	WATER BASED	9999-12-31	130	9999-12-31	2013-05-08	25584
7121/7-1	1517.000000	1.160000	2000.000000	0.000000	WATER BASED	9999-12-31	130	9999-12-31	2013-05-08	25585
7121/7-1	1558.000000	1.140000	1200.000000	0.000000	WATER BASED	9999-12-31	130	9999-12-31	2013-05-08	25586
7121/7-1	1922.000000	1.250000	1600.000000	0.000000	WATER BASED	9999-12-31	130	9999-12-31	2013-05-08	25587
7121/7-1	2160.000000	1.240000	1100.000000	0.000000	WATER BASED	9999-12-31	130	9999-12-31	2013-05-08	25588
7121/7-2	425.000000	1.080000	0.000000	0.000000	WATER BASED	9999-12-31	881	9999-12-31	2013-05-08	25589
7121/7-2	678.000000	1.100000	1100.000000	0.000000	WATER BASED	9999-12-31	881	9999-12-31	2013-05-08	25590
7121/7-2	795.000000	1.110000	1500.000000	0.000000	WATER BASED	9999-12-31	881	9999-12-31	2013-05-08	25591
7121/7-2	1296.000000	1.140000	21.000000	0.000000	WATER BASED	9999-12-31	881	9999-12-31	2013-05-08	25592
7121/7-2	1680.000000	1.200000	2000.000000	0.000000	WATER BASED	9999-12-31	881	9999-12-31	2013-05-08	25593
7121/7-2	1850.000000	1.260000	1500.000000	0.000000	WATER BASED	9999-12-31	881	9999-12-31	2013-05-08	25594
7121/7-2	1939.000000	1.250000	1800.000000	0.000000	WATER BASED	9999-12-31	881	9999-12-31	2013-05-08	25595
7121/7-2	2114.000000	1.260000	1800.000000	0.000000	WATER BASED	9999-12-31	881	9999-12-31	2013-05-08	25596
7121/7-2	2156.000000	1.250000	1800.000000	0.000000	WATER BASED	9999-12-31	881	9999-12-31	2013-05-08	25597
7122/2-1	418.000000	1.070000	0.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25598
7122/2-1	444.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25599
7122/2-1	448.000000	1.200000	17.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25600
7122/2-1	449.000000	1.080000	40.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25601
7122/2-1	542.000000	1.070000	47.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25602
7122/2-1	642.000000	1.070000	47.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25603
7122/2-1	734.000000	1.200000	28.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25604
7122/2-1	858.000000	1.070000	39.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25605
7122/2-1	915.000000	1.070000	39.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25606
7122/2-1	945.000000	1.100000	24.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25607
7122/2-1	1092.000000	1.120000	22.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25608
7122/2-1	1254.000000	1.130000	40.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25609
7122/2-1	1433.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25610
7122/2-1	1568.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25611
7122/2-1	1620.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25612
7122/2-1	1681.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25613
7122/2-1	1765.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25614
7122/2-1	1782.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25615
7122/2-1	1812.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25616
7122/2-1	1873.000000	1.200000	22.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25617
7122/2-1	1932.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25618
7122/2-1	2051.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25619
7122/2-1	2120.000000	1.200000	20.000000	0.000000	WATER BASED	9999-12-31	2018	9999-12-31	2013-05-08	25620
7122/4-1	1676.000000	1.320000	22.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25621
7122/4-1	1678.000000	1.260000	18.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25622
7122/4-1	1886.000000	1.330000	20.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25623
7122/4-1	1966.000000	1.330000	22.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25624
7122/4-1	2015.000000	1.350000	20.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25625
7122/4-1	2073.000000	1.310000	19.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25626
7122/4-1	2116.000000	1.300000	21.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25627
7122/4-1	2185.000000	1.300000	21.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25628
7122/4-1	2327.000000	1.300000	22.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25629
7122/4-1	2342.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25630
7122/4-1	2345.000000	1.300000	21.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25631
7122/4-1	2372.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25632
7122/4-1	2382.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25633
7122/4-1	2410.000000	1.300000	21.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25634
7122/4-1	2450.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25635
7122/4-1	2508.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25636
7122/4-1	2579.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25637
7122/4-1	2648.000000	1.300000	20.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25638
7122/4-1	3000.000000	1.260000	22.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25639
7122/4-1	3015.000000	1.260000	20.000000	0.000000	WATER BASED	9999-12-31	1869	9999-12-31	2013-05-08	25640
7122/6-1	424.000000	1.030000	0.000000	0.000000	WATER BASED	1987-11-12	1140	9999-12-31	2013-05-08	25641
7122/6-1	450.000000	1.030000	4.000000	7.600000	WATER BASED	1987-09-09	1140	9999-12-31	2013-05-08	25642
7122/6-1	486.000000	0.000000	3.000000	6.000000	WATER BASED	1987-09-09	1140	9999-12-31	2013-05-08	25643
7122/6-1	489.000000	1.030000	0.000000	0.000000	WATER BASED	1987-09-10	1140	9999-12-31	2013-05-08	25644
7122/6-1	798.000000	1.030000	0.000000	0.000000	WATER BASED	1987-09-11	1140	9999-12-31	2013-05-08	25645
7122/6-1	798.000000	1.030000	0.000000	0.000000	WATER BASED	1987-09-18	1140	9999-12-31	2013-05-08	25646
7122/6-1	928.000000	1.120000	21.000000	12.400000	WATER BASED	1987-09-18	1140	9999-12-31	2013-05-08	25647
7122/6-1	1148.000000	1.120000	8.700000	10.000000	WATER BASED	1987-09-18	1140	9999-12-31	2013-05-08	25648
7122/6-1	1279.000000	1.120000	8.600000	10.000000	WATER BASED	1987-09-18	1140	9999-12-31	2013-05-08	25649
7122/6-1	1435.000000	1.130000	20.000000	8.500000	WATER BASED	1987-09-18	1140	9999-12-31	2013-05-08	25650
7122/6-1	1524.000000	1.130000	21.000000	8.600000	WATER BASED	1987-09-22	1140	9999-12-31	2013-05-08	25651
7122/6-1	1639.000000	1.130000	21.000000	8.600000	WATER BASED	1987-09-22	1140	9999-12-31	2013-05-08	25652
7122/6-1	1730.000000	1.140000	20.000000	8.600000	WATER BASED	1987-09-22	1140	9999-12-31	2013-05-08	25653
7122/6-1	1761.000000	1.140000	21.000000	8.600000	WATER BASED	1987-09-22	1140	9999-12-31	2013-05-08	25654
7122/6-1	1875.000000	1.200000	22.000000	8.600000	WATER BASED	1987-09-28	1140	9999-12-31	2013-05-08	25655
7122/6-1	1875.000000	1.180000	21.000000	7.700000	WATER BASED	1987-09-23	1140	9999-12-31	2013-05-08	25656
7122/6-1	1875.000000	1.280000	21.000000	7.200000	WATER BASED	1987-09-25	1140	9999-12-31	2013-05-08	25657
7122/6-1	1875.000000	1.280000	20.000000	7.100000	WATER BASED	1987-09-24	1140	9999-12-31	2013-05-08	25658
7122/6-1	1875.000000	1.280000	21.000000	7.600000	WATER BASED	1987-09-28	1140	9999-12-31	2013-05-08	25659
7122/6-1	1891.000000	1.200000	23.000000	9.100000	WATER BASED	1987-09-28	1140	9999-12-31	2013-05-08	25660
7122/6-1	2019.000000	1.300000	24.000000	10.000000	WATER BASED	1987-09-30	1140	9999-12-31	2013-05-08	25661
7122/6-1	2019.000000	1.250000	23.000000	7.600000	WATER BASED	1987-09-29	1140	9999-12-31	2013-05-08	25662
7122/6-1	2039.000000	1.300000	23.000000	10.000000	WATER BASED	1987-10-02	1140	9999-12-31	2013-05-08	25663
7122/6-1	2064.000000	1.300000	26.000000	19.000000	WATER BASED	1987-10-02	1140	9999-12-31	2013-05-08	25664
7122/6-1	2080.000000	1.310000	25.000000	11.000000	WATER BASED	1987-10-05	1140	9999-12-31	2013-05-08	25665
7122/6-1	2087.000000	1.310000	26.000000	10.000000	WATER BASED	1987-10-05	1140	9999-12-31	2013-05-08	25666
7122/6-1	2098.000000	1.310000	24.000000	10.000000	WATER BASED	1987-10-05	1140	9999-12-31	2013-05-08	25667
7122/6-1	2137.000000	1.310000	22.000000	13.000000	WATER BASED	1987-10-07	1140	9999-12-31	2013-05-08	25668
7122/6-1	2164.000000	1.310000	20.000000	12.400000	WATER BASED	1987-10-07	1140	9999-12-31	2013-05-08	25669
7122/6-1	2218.000000	1.310000	28.000000	12.000000	WATER BASED	1987-10-08	1140	9999-12-31	2013-05-08	25670
7122/6-1	2264.000000	1.310000	25.000000	14.400000	WATER BASED	1987-10-09	1140	9999-12-31	2013-05-08	25671
7122/6-1	2373.000000	1.310000	25.000000	12.400000	WATER BASED	1987-10-14	1140	9999-12-31	2013-05-08	25672
7122/6-1	2417.000000	1.310000	25.000000	12.000000	WATER BASED	1987-10-16	1140	9999-12-31	2013-05-08	25673
7122/6-1	2437.000000	1.200000	13.000000	6.000000	WATER BASED	1987-11-03	1140	9999-12-31	2013-05-08	25674
7122/6-1	2469.000000	1.000000	13.000000	5.500000	WATER BASED	1987-10-30	1140	9999-12-31	2013-05-08	25675
7122/6-1	2471.000000	1.200000	19.000000	6.500000	WATER BASED	1987-10-29	1140	9999-12-31	2013-05-08	25676
7122/6-1	2488.000000	1.310000	25.000000	12.000000	WATER BASED	1987-10-19	1140	9999-12-31	2013-05-08	25677
7122/6-1	2500.000000	1.310000	25.000000	11.000000	WATER BASED	1987-10-19	1140	9999-12-31	2013-05-08	25678
7122/6-1	2500.000000	1.310000	25.000000	11.000000	WATER BASED	1987-10-20	1140	9999-12-31	2013-05-08	25679
7122/6-1	2514.000000	1.320000	21.000000	11.000000	WATER BASED	1987-10-20	1140	9999-12-31	2013-05-08	25680
7122/6-1	2575.000000	1.300000	20.000000	11.500000	WATER BASED	1987-10-21	1140	9999-12-31	2013-05-08	25681
7122/6-1	2624.000000	1.300000	23.000000	11.000000	WATER BASED	1987-10-22	1140	9999-12-31	2013-05-08	25682
7122/6-1	2680.000000	1.300000	20.000000	12.500000	WATER BASED	1987-10-23	1140	9999-12-31	2013-05-08	25683
7122/6-1	2710.000000	1.300000	23.000000	15.300000	WATER BASED	1987-10-26	1140	9999-12-31	2013-05-08	25684
7122/6-1	2710.000000	1.300000	14.000000	10.500000	WATER BASED	1987-10-28	1140	9999-12-31	2013-05-08	25685
7122/6-1	2710.000000	1.300000	18.000000	9.500000	WATER BASED	1987-10-27	1140	9999-12-31	2013-05-08	25686
7122/6-1	2710.000000	1.200000	14.000000	6.500000	WATER BASED	1987-11-02	1140	9999-12-31	2013-05-08	25687
7122/6-1	2710.000000	1.200000	13.000000	6.000000	WATER BASED	1987-11-02	1140	9999-12-31	2013-05-08	25688
7122/6-1	2710.000000	1.200000	14.000000	6.500000	WATER BASED	1987-11-04	1140	9999-12-31	2013-05-08	25689
7122/6-1	2710.000000	1.200000	12.000000	5.500000	WATER BASED	1987-11-05	1140	9999-12-31	2013-05-08	25690
7122/6-1	2710.000000	1.300000	18.000000	4.700000	WATER BASED	1987-11-09	1140	9999-12-31	2013-05-08	25691
7122/6-1	2710.000000	1.200000	16.000000	4.700000	WATER BASED	1987-11-06	1140	9999-12-31	2013-05-08	25692
7122/6-2	482.000000	1.450000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	5327	9999-12-31	2013-05-08	25693
7122/6-2	1104.000000	1.250000	24.000000	0.000000	GLYDRIL 74	9999-12-31	5327	9999-12-31	2013-05-08	25694
7122/6-2	1615.000000	1.280000	21.000000	0.000000	GLYDRIL 74	9999-12-31	5327	9999-12-31	2013-05-08	25695
7122/6-2	2044.000000	1.280000	22.000000	0.000000	GLYDRIL 74	9999-12-31	5327	9999-12-31	2013-05-08	25696
7122/6-2	2044.000000	1.300000	24.000000	0.000000	GLYDRIL 74	9999-12-31	5327	9999-12-31	2013-05-08	25697
7122/6-2	3070.000000	1.280000	18.000000	0.000000	GLYDRIL 74	9999-12-31	5327	9999-12-31	2013-05-08	25698
7122/7-1	425.000000	1.060000	19.000000	0.000000	SW/BENTONITE	9999-12-31	4173	9999-12-31	2013-05-08	25699
7122/7-1	910.000000	1.060000	16.000000	0.000000	SW/BENTONITE	9999-12-31	4173	9999-12-31	2013-05-08	25700
7122/7-1	930.000000	1.300000	8.000000	0.000000	FORMATE/POLYMER	9999-12-31	4173	9999-12-31	2013-05-08	25701
7122/7-1	935.000000	1.250000	8.000000	0.000000	FORMATE	9999-12-31	4173	9999-12-31	2013-05-08	25702
7122/7-1	1063.000000	1.300000	10.000000	0.000000	FORMATE/POLYMER	9999-12-31	4173	9999-12-31	2013-05-08	25703
7122/7-1	1109.000000	1.260000	11.000000	0.000000	FORMATE	9999-12-31	4173	9999-12-31	2013-05-08	25704
7122/7-1	1133.000000	1.300000	11.000000	0.000000	FORMATE/POLYMER	9999-12-31	4173	9999-12-31	2013-05-08	25705
7122/7-1	1151.000000	1.300000	10.000000	0.000000	FORMATE/POLYMER	9999-12-31	4173	9999-12-31	2013-05-08	25706
7122/7-1	1418.000000	1.260000	17.000000	0.000000	FORMATE	9999-12-31	4173	9999-12-31	2013-05-08	25707
7122/7-1	1486.000000	1.310000	10.000000	0.000000	FORMATE/POLYMER	9999-12-31	4173	9999-12-31	2013-05-08	25708
7122/7-1	1524.000000	1.310000	10.000000	0.000000	FORMATE/POLYMER	9999-12-31	4173	9999-12-31	2013-05-08	25709
7122/7-2	425.000000	1.060000	19.000000	0.000000	SW/BENTONITE	9999-12-31	4391	9999-12-31	2013-05-08	25710
7122/7-2	481.000000	1.060000	7.000000	0.000000	SW/BENTONITE	9999-12-31	4391	9999-12-31	2013-05-08	25711
7122/7-2	910.000000	1.060000	16.000000	0.000000	SW/BENTONITE	9999-12-31	4391	9999-12-31	2013-05-08	25712
7122/7-2	935.000000	1.250000	8.000000	0.000000	FORMATE	9999-12-31	4391	9999-12-31	2013-05-08	25713
7122/7-2	1075.000000	1.260000	11.000000	0.000000	FORMATE	9999-12-31	4391	9999-12-31	2013-05-08	25714
7122/7-2	1123.000000	1.260000	13.000000	0.000000	FORMATE	9999-12-31	4391	9999-12-31	2013-05-08	25715
7122/7-3	372.000000	1.030000	0.000000	0.000000	SPUD MUD	9999-12-31	5214	9999-12-31	2013-05-08	25716
7122/7-3	400.000000	1.250000	19.000000	0.000000	FORMATE POLYMER	9999-12-31	5214	9999-12-31	2013-05-08	25717
7122/7-3	538.000000	1.200000	12.000000	0.000000	FORMPRO	9999-12-31	5214	9999-12-31	2013-05-08	25718
7122/7-3	900.000000	1.200000	12.000000	0.000000	FORMATE POLYMER	9999-12-31	5214	9999-12-31	2013-05-08	25719
7122/7-3	1056.000000	1.300000	12.000000	0.000000	FORMATE POLYMER	9999-12-31	5214	9999-12-31	2013-05-08	25720
7122/7-3	1230.000000	1.300000	15.000000	0.000000	FORMATE POLYMER	9999-12-31	5214	9999-12-31	2013-05-08	25721
7122/7-3	1712.000000	1.340000	15.000000	0.000000	FORMATE POLYMER	9999-12-31	5214	9999-12-31	2013-05-08	25722
7122/7-3	1816.000000	1.360000	14.000000	0.000000	FORMATE POLYMER	9999-12-31	5214	9999-12-31	2013-05-08	25723
7122/7-3	2420.000000	1.540000	21.000000	0.000000	FORMATE POLYMER	9999-12-31	5214	9999-12-31	2013-05-08	25724
7122/7-3	2540.000000	1.550000	17.000000	0.000000	FORMATE POLYMER	9999-12-31	5214	9999-12-31	2013-05-08	25725
7122/7-3	2726.000000	1.540000	19.000000	0.000000	FORMATE POLYMER	9999-12-31	5214	9999-12-31	2013-05-08	25726
7122/7-4 S	447.000000	1.180000	0.000000	0.000000	NACL	9999-12-31	5406	9999-12-31	2013-05-08	25727
7122/7-4 S	449.000000	1.100000	0.000000	0.000000	SPUD MUD	9999-12-31	5406	9999-12-31	2013-05-08	25728
7122/7-4 S	1050.000000	1.030000	14.000000	0.000000	SW/BENTONITE	9999-12-31	5406	9999-12-31	2013-05-08	25729
7122/7-4 S	1216.000000	1.310000	12.000000	0.000000	FORMPRO	9999-12-31	5406	9999-12-31	2013-05-08	25730
7122/7-4 S	1716.000000	1.300000	15.000000	0.000000	FORMPRO	9999-12-31	5406	9999-12-31	2013-05-08	25731
7122/7-4 S	1795.000000	1.300000	12.000000	0.000000	FORMPRO	9999-12-31	5406	9999-12-31	2013-05-08	25732
7122/7-4 S	2550.000000	1.250000	12.000000	0.000000	FORMPRO	9999-12-31	5406	9999-12-31	2013-05-08	25733
7122/7-4 S	2550.000000	1.250000	12.000000	0.000000	FORMPRO	9999-12-31	5406	9999-12-31	2013-05-08	25734
7122/7-5	445.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	5439	9999-12-31	2013-05-08	25735
7122/7-5	893.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	5439	9999-12-31	2013-05-08	25736
7122/7-5	1060.000000	1.030000	0.000000	0.000000	SEAWATER	9999-12-31	5439	9999-12-31	2013-05-08	25737
7122/7-5	1060.000000	1.170000	8.000000	0.000000	NACL	9999-12-31	5439	9999-12-31	2013-05-08	25738
7122/7-5	1060.000000	1.170000	8.000000	0.000000	NACL	9999-12-31	5439	9999-12-31	2013-05-08	25739
7122/7-5	1070.000000	1.250000	13.000000	0.000000	NACL	9999-12-31	5439	9999-12-31	2013-05-08	25740
7122/7-5	1475.000000	1.250000	12.000000	0.000000	FORMPRO	9999-12-31	5439	9999-12-31	2013-05-08	25741
7122/7-5	1900.000000	1.300000	12.000000	0.000000	FORMPRO	9999-12-31	5439	9999-12-31	2013-05-08	25742
7122/7-5	2111.000000	1.300000	13.000000	0.000000	FORMPRO	9999-12-31	5439	9999-12-31	2013-05-08	25743
7122/7-5	2228.000000	1.320000	13.000000	0.000000	FORMPRO	9999-12-31	5439	9999-12-31	2013-05-08	25744
7122/7-5 A	1760.000000	1.310000	13.000000	0.000000	FORMPRO	9999-12-31	5465	9999-12-31	2013-05-08	25745
7122/7-5 A	1839.000000	1.310000	15.000000	0.000000	FORMPRO	9999-12-31	5465	9999-12-31	2013-05-08	25746
7122/7-5 A	2186.000000	1.300000	13.000000	0.000000	FORMPRO	9999-12-31	5465	9999-12-31	2013-05-08	25747
7122/7-5 A	2186.000000	0.000000	0.000000	0.000000	SEAWATER	9999-12-31	5465	9999-12-31	2013-05-08	25748
7123/4-1 A	1150.000000	1.310000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25749
7123/4-1 A	1550.000000	1.320000	14.000000	0.000000	FormPro	9999-12-31	5808	9999-12-31	2013-05-08	25750
7123/4-1 A	1606.000000	1.330000	15.000000	0.000000	FormPro	9999-12-31	5808	9999-12-31	2013-05-08	25751
7123/4-1 A	1648.000000	1.320000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25752
7123/4-1 A	1730.000000	1.320000	15.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25753
7123/4-1 A	1800.000000	1.320000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25754
7123/4-1 A	1861.000000	1.320000	15.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25755
7123/4-1 A	2050.000000	1.320000	15.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25756
7123/4-1 A	2102.000000	1.320000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25757
7123/4-1 A	2146.000000	1.320000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25758
7123/4-1 A	2194.000000	1.310000	15.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25759
7123/4-1 A	2207.000000	1.310000	13.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25760
7123/4-1 A	2220.000000	1.310000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25761
7123/4-1 A	2248.000000	1.310000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25762
7123/4-1 A	2252.000000	1.320000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25763
7123/4-1 A	2270.000000	1.310000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25764
7123/4-1 A	2288.000000	1.310000	14.000000	0.000000	FormPro	9999-12-31	5808	9999-12-31	2013-05-08	25765
7123/4-1 A	2317.000000	1.310000	15.000000	0.000000	FormPro	9999-12-31	5808	9999-12-31	2013-05-08	25766
7123/4-1 A	2324.000000	1.310000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25767
7123/4-1 A	2325.000000	1.310000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25768
7123/4-1 A	2360.000000	1.310000	14.000000	0.000000	FormPro	9999-12-31	5808	9999-12-31	2013-05-08	25769
7123/4-1 A	2440.000000	1.310000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25770
7123/4-1 A	2529.000000	1.320000	14.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25771
7123/4-1 A	2615.000000	1.310000	14.000000	0.000000	FormPro	9999-12-31	5808	9999-12-31	2013-05-08	25772
7123/4-1 A	2700.000000	1.310000	13.000000	0.000000	Form Pro	9999-12-31	5808	9999-12-31	2013-05-08	25773
7123/4-1 A	2772.000000	1.310000	14.000000	0.000000	FormPro	9999-12-31	5808	9999-12-31	2013-05-08	25774
7123/4-1 A	2841.000000	1.310000	15.000000	0.000000	FormPro	9999-12-31	5808	9999-12-31	2013-05-08	25775
7123/4-1 A	2855.000000	1.310000	15.000000	0.000000	FormPro	9999-12-31	5808	9999-12-31	2013-05-08	25776
7123/4-1 S	785.000000	1.340000	12.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25777
7123/4-1 S	1135.000000	1.300000	17.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25778
7123/4-1 S	1218.000000	1.320000	16.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25779
7123/4-1 S	1259.000000	1.320000	17.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25780
7123/4-1 S	1390.000000	1.320000	17.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25781
7123/4-1 S	1463.000000	1.320000	19.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25782
7123/4-1 S	1506.000000	1.320000	18.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25783
7123/4-1 S	1581.000000	1.320000	19.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25784
7123/4-1 S	1648.000000	1.320000	14.000000	0.000000	Form Pro	9999-12-31	5786	9999-12-31	2013-05-08	25785
7123/4-1 S	1648.000000	1.320000	13.000000	0.000000	Form Pro	9999-12-31	5786	9999-12-31	2013-05-08	25786
7123/4-1 S	1664.000000	1.320000	21.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25787
7123/4-1 S	1782.000000	1.320000	21.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25788
7123/4-1 S	1865.000000	1.320000	20.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25789
7123/4-1 S	1987.000000	1.320000	20.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25790
7123/4-1 S	2045.000000	1.320000	19.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25791
7123/4-1 S	2097.000000	1.320000	21.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25792
7123/4-1 S	2098.000000	1.320000	19.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25793
7123/4-1 S	2098.000000	1.320000	19.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25794
7123/4-1 S	2101.000000	1.290000	13.000000	0.000000	FloPro	9999-12-31	5786	9999-12-31	2013-05-08	25795
7123/4-1 S	2196.000000	1.280000	15.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25796
7123/4-1 S	2308.000000	1.290000	15.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25797
7123/4-1 S	2363.000000	1.280000	17.000000	0.000000	FloPro	9999-12-31	5786	9999-12-31	2013-05-08	25798
7123/4-1 S	2413.000000	1.280000	17.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25799
7123/4-1 S	2435.000000	1.280000	18.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25800
7123/4-1 S	2469.000000	1.300000	14.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25801
7123/4-1 S	2559.000000	1.290000	13.000000	0.000000	Form Pro	9999-12-31	5786	9999-12-31	2013-05-08	25802
7123/4-1 S	2710.000000	1.300000	15.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25803
7123/4-1 S	2805.000000	1.290000	16.000000	0.000000	Form Pro	9999-12-31	5786	9999-12-31	2013-05-08	25804
7123/4-1 S	2920.000000	1.290000	17.000000	0.000000	FormPro	9999-12-31	5786	9999-12-31	2013-05-08	25805
7124/3-1	310.000000	1.050000	0.000000	0.000000	WATER BASED	1987-06-01	1066	9999-12-31	2013-05-08	25806
7124/3-1	355.000000	1.380000	10.000000	2.900000	WATER BASED	1987-10-21	1066	9999-12-31	2013-05-08	25807
7124/3-1	360.000000	1.050000	0.000000	0.000000	WATER BASED	1987-06-01	1066	9999-12-31	2013-05-08	25808
7124/3-1	360.000000	1.140000	8.000000	11.500000	WATER BASED	1987-06-04	1066	9999-12-31	2013-05-08	25809
7124/3-1	361.000000	1.050000	8.000000	11.500000	WATER BASED	1987-06-03	1066	9999-12-31	2013-05-08	25810
7124/3-1	361.000000	1.050000	0.000000	0.000000	WATER BASED	1987-06-01	1066	9999-12-31	2013-05-08	25811
7124/3-1	529.000000	1.120000	8.000000	11.500000	WATER BASED	1987-06-09	1066	9999-12-31	2013-05-08	25812
7124/3-1	570.000000	1.350000	10.000000	10.600000	WATER BASED	1987-06-09	1066	9999-12-31	2013-05-08	25813
7124/3-1	601.000000	1.350000	10.000000	11.500000	WATER BASED	1987-06-09	1066	9999-12-31	2013-05-08	25814
7124/3-1	630.000000	1.050000	6.000000	8.700000	WATER BASED	1987-06-09	1066	9999-12-31	2013-05-08	25815
7124/3-1	702.000000	1.400000	12.000000	3.400000	WATER BASED	1987-10-21	1066	9999-12-31	2013-05-08	25816
7124/3-1	764.000000	1.050000	8.000000	15.400000	WATER BASED	1987-06-09	1066	9999-12-31	2013-05-08	25817
7124/3-1	764.000000	1.050000	5.000000	9.600000	WATER BASED	1987-06-11	1066	9999-12-31	2013-05-08	25818
7124/3-1	764.000000	1.050000	40.000000	71.900000	WATER BASED	1987-06-11	1066	9999-12-31	2013-05-08	25819
7124/3-1	764.000000	1.050000	13.000000	35.500000	WATER BASED	1987-06-15	1066	9999-12-31	2013-05-08	25820
7124/3-1	764.000000	1.050000	40.000000	71.900000	WATER BASED	1987-06-12	1066	9999-12-31	2013-05-08	25821
7124/3-1	765.000000	1.030000	10.000000	6.300000	WATER BASED	1987-06-18	1066	9999-12-31	2013-05-08	25822
7124/3-1	765.000000	1.030000	10.000000	10.600000	WATER BASED	1987-06-16	1066	9999-12-31	2013-05-08	25823
7124/3-1	765.000000	1.200000	0.000000	0.000000	WATER BASED	1987-06-16	1066	9999-12-31	2013-05-08	25824
7124/3-1	765.000000	1.030000	11.000000	6.800000	WATER BASED	1987-06-18	1066	9999-12-31	2013-05-08	25825
7124/3-1	765.000000	1.030000	10.000000	5.800000	WATER BASED	1987-06-18	1066	9999-12-31	2013-05-08	25826
7124/3-1	765.000000	1.030000	10.000000	5.300000	WATER BASED	1987-06-24	1066	9999-12-31	2013-05-08	25827
7124/3-1	1023.000000	1.100000	10.000000	6.300000	WATER BASED	1987-06-24	1066	9999-12-31	2013-05-08	25828
7124/3-1	1160.000000	1.300000	18.000000	8.700000	WATER BASED	1987-06-24	1066	9999-12-31	2013-05-08	25829
7124/3-1	1287.000000	1.300000	18.000000	8.200000	WATER BASED	1987-06-24	1066	9999-12-31	2013-05-08	25830
7124/3-1	1312.000000	1.300000	18.000000	8.200000	WATER BASED	1987-06-24	1066	9999-12-31	2013-05-08	25831
7124/3-1	1331.000000	1.480000	20.000000	7.700000	WATER BASED	1987-06-26	1066	9999-12-31	2013-05-08	25832
7124/3-1	1357.000000	1.480000	20.000000	7.700000	WATER BASED	1987-06-26	1066	9999-12-31	2013-05-08	25833
7124/3-1	1357.000000	1.480000	20.000000	8.200000	WATER BASED	1987-06-26	1066	9999-12-31	2013-05-08	25834
7124/3-1	1374.000000	1.480000	20.000000	9.600000	WATER BASED	1987-06-29	1066	9999-12-31	2013-05-08	25835
7124/3-1	1386.000000	1.480000	20.000000	7.200000	WATER BASED	1987-06-29	1066	9999-12-31	2013-05-08	25836
7124/3-1	1408.000000	1.460000	19.000000	8.700000	WATER BASED	1987-06-30	1066	9999-12-31	2013-05-08	25837
7124/3-1	1408.000000	1.480000	20.000000	9.100000	WATER BASED	1987-06-29	1066	9999-12-31	2013-05-08	25838
7124/3-1	1408.000000	1.350000	18.000000	8.200000	WATER BASED	1987-07-01	1066	9999-12-31	2013-05-08	25839
7124/3-1	1408.000000	1.350000	18.000000	8.200000	WATER BASED	1987-07-02	1066	9999-12-31	2013-05-08	25840
7124/3-1	1408.000000	1.350000	17.000000	7.700000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25841
7124/3-1	1408.000000	1.350000	18.000000	8.200000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25842
7124/3-1	1408.000000	1.400000	16.000000	7.200000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25843
7124/3-1	1408.000000	1.400000	16.000000	7.700000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25844
7124/3-1	1472.000000	1.400000	14.000000	7.200000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25845
7124/3-1	1492.000000	1.400000	16.000000	6.800000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25846
7124/3-1	1540.000000	1.400000	13.000000	6.300000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25847
7124/3-1	1599.000000	1.350000	13.000000	6.300000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25848
7124/3-1	1633.000000	1.330000	15.000000	6.300000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25849
7124/3-1	1735.000000	1.320000	15.000000	6.800000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25850
7124/3-1	1782.000000	1.300000	14.000000	7.200000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25851
7124/3-1	1812.000000	1.300000	12.000000	6.800000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25852
7124/3-1	1894.000000	1.300000	13.000000	6.800000	WATER BASED	1987-07-14	1066	9999-12-31	2013-05-08	25853
7124/3-1	1933.000000	1.300000	12.000000	6.800000	WATER BASED	1987-07-15	1066	9999-12-31	2013-05-08	25854
7124/3-1	1974.000000	1.300000	11.000000	6.300000	WATER BASED	1987-07-16	1066	9999-12-31	2013-05-08	25855
7124/3-1	2033.000000	1.300000	9.000000	5.800000	WATER BASED	1987-07-17	1066	9999-12-31	2013-05-08	25856
7124/3-1	2086.000000	1.300000	10.000000	6.300000	WATER BASED	1987-07-20	1066	9999-12-31	2013-05-08	25857
7124/3-1	2107.000000	1.300000	8.000000	6.800000	WATER BASED	1987-07-20	1066	9999-12-31	2013-05-08	25858
7124/3-1	2160.000000	1.300000	14.000000	6.300000	WATER BASED	1987-07-20	1066	9999-12-31	2013-05-08	25859
7124/3-1	2212.000000	1.300000	16.000000	6.300000	WATER BASED	1987-07-21	1066	9999-12-31	2013-05-08	25860
7124/3-1	2215.000000	1.300000	14.000000	6.300000	WATER BASED	1987-07-22	1066	9999-12-31	2013-05-08	25861
7124/3-1	2250.000000	1.400000	13.000000	4.800000	WATER BASED	1987-10-19	1066	9999-12-31	2013-05-08	25862
7124/3-1	2256.000000	1.300000	15.000000	6.300000	WATER BASED	1987-07-23	1066	9999-12-31	2013-05-08	25863
7124/3-1	2298.000000	1.300000	16.000000	6.800000	WATER BASED	1987-07-23	1066	9999-12-31	2013-05-08	25864
7124/3-1	2324.000000	1.300000	17.000000	7.200000	WATER BASED	1987-07-27	1066	9999-12-31	2013-05-08	25865
7124/3-1	2377.000000	1.300000	15.000000	7.200000	WATER BASED	1987-07-27	1066	9999-12-31	2013-05-08	25866
7124/3-1	2406.000000	1.300000	16.000000	6.800000	WATER BASED	1987-07-27	1066	9999-12-31	2013-05-08	25867
7124/3-1	2433.000000	1.300000	7.000000	5.300000	WATER BASED	1987-08-05	1066	9999-12-31	2013-05-08	25868
7124/3-1	2443.000000	1.300000	13.000000	5.300000	WATER BASED	1987-07-31	1066	9999-12-31	2013-05-08	25869
7124/3-1	2443.000000	1.300000	12.000000	5.800000	WATER BASED	1987-08-03	1066	9999-12-31	2013-05-08	25870
7124/3-1	2443.000000	1.300000	12.000000	6.800000	WATER BASED	1987-07-28	1066	9999-12-31	2013-05-08	25871
7124/3-1	2443.000000	1.300000	13.000000	6.800000	WATER BASED	1987-07-31	1066	9999-12-31	2013-05-08	25872
7124/3-1	2443.000000	1.300000	12.000000	6.300000	WATER BASED	1987-08-03	1066	9999-12-31	2013-05-08	25873
7124/3-1	2443.000000	1.300000	10.000000	5.300000	WATER BASED	1987-08-03	1066	9999-12-31	2013-05-08	25874
7124/3-1	2445.000000	1.300000	9.000000	5.300000	WATER BASED	1987-08-05	1066	9999-12-31	2013-05-08	25875
7124/3-1	2508.000000	1.240000	8.000000	4.400000	WATER BASED	1987-08-07	1066	9999-12-31	2013-05-08	25876
7124/3-1	2561.000000	1.220000	9.000000	4.400000	WATER BASED	1987-08-10	1066	9999-12-31	2013-05-08	25877
7124/3-1	2590.000000	1.210000	9.000000	3.900000	WATER BASED	1987-08-10	1066	9999-12-31	2013-05-08	25878
7124/3-1	2618.000000	1.220000	11.000000	5.300000	WATER BASED	1987-08-10	1066	9999-12-31	2013-05-08	25879
7124/3-1	2619.000000	1.210000	10.000000	4.800000	WATER BASED	1987-08-12	1066	9999-12-31	2013-05-08	25880
7124/3-1	2676.000000	1.210000	11.000000	5.300000	WATER BASED	1987-08-13	1066	9999-12-31	2013-05-08	25881
7124/3-1	2721.000000	1.200000	9.000000	5.800000	WATER BASED	1987-08-13	1066	9999-12-31	2013-05-08	25882
7124/3-1	2748.000000	1.200000	9.000000	4.400000	WATER BASED	1987-08-14	1066	9999-12-31	2013-05-08	25883
7124/3-1	2807.000000	1.200000	10.000000	3.900000	WATER BASED	1987-08-18	1066	9999-12-31	2013-05-08	25884
7124/3-1	2874.000000	1.200000	9.000000	4.800000	WATER BASED	1987-08-18	1066	9999-12-31	2013-05-08	25885
7124/3-1	2964.000000	1.230000	10.000000	4.800000	WATER BASED	1987-08-18	1066	9999-12-31	2013-05-08	25886
7124/3-1	3087.000000	1.230000	10.000000	5.300000	WATER BASED	1987-08-19	1066	9999-12-31	2013-05-08	25887
7124/3-1	3160.000000	1.230000	7.000000	6.300000	WATER BASED	1987-08-20	1066	9999-12-31	2013-05-08	25888
7124/3-1	3256.000000	1.250000	8.000000	7.200000	WATER BASED	1987-08-21	1066	9999-12-31	2013-05-08	25889
7124/3-1	3309.000000	1.280000	10.000000	5.300000	WATER BASED	1987-08-26	1066	9999-12-31	2013-05-08	25890
7124/3-1	3392.000000	1.300000	9.000000	4.800000	WATER BASED	1987-08-26	1066	9999-12-31	2013-05-08	25891
7124/3-1	3470.000000	1.300000	9.000000	4.800000	WATER BASED	1987-08-26	1066	9999-12-31	2013-05-08	25892
7124/3-1	3496.000000	1.300000	10.000000	3.900000	WATER BASED	1987-08-26	1066	9999-12-31	2013-05-08	25893
7124/3-1	3546.000000	1.300000	10.000000	3.900000	WATER BASED	1987-08-26	1066	9999-12-31	2013-05-08	25894
7124/3-1	3547.000000	1.300000	10.000000	3.900000	WATER BASED	1987-08-28	1066	9999-12-31	2013-05-08	25895
7124/3-1	3547.000000	1.300000	7.000000	4.400000	WATER BASED	1987-08-28	1066	9999-12-31	2013-05-08	25896
7124/3-1	3628.000000	1.350000	9.000000	4.400000	WATER BASED	1987-09-03	1066	9999-12-31	2013-05-08	25897
7124/3-1	3657.000000	1.350000	9.000000	4.400000	WATER BASED	1987-09-03	1066	9999-12-31	2013-05-08	25898
7124/3-1	3686.000000	1.350000	9.000000	4.400000	WATER BASED	1987-09-07	1066	9999-12-31	2013-05-08	25899
7124/3-1	3707.000000	1.350000	9.000000	4.800000	WATER BASED	1987-09-07	1066	9999-12-31	2013-05-08	25900
7124/3-1	3724.000000	1.350000	9.000000	4.400000	WATER BASED	1987-09-07	1066	9999-12-31	2013-05-08	25901
7124/3-1	3736.000000	1.350000	9.000000	4.400000	WATER BASED	1987-09-07	1066	9999-12-31	2013-05-08	25902
7124/3-1	3740.000000	1.350000	9.000000	4.400000	WATER BASED	1987-09-09	1066	9999-12-31	2013-05-08	25903
7124/3-1	3770.000000	1.350000	9.000000	4.800000	WATER BASED	1987-09-10	1066	9999-12-31	2013-05-08	25904
7124/3-1	3792.000000	1.350000	10.000000	4.800000	WATER BASED	1987-09-11	1066	9999-12-31	2013-05-08	25905
7124/3-1	3804.000000	1.350000	9.000000	4.800000	WATER BASED	1987-09-11	1066	9999-12-31	2013-05-08	25906
7124/3-1	3825.000000	1.350000	11.000000	4.800000	WATER BASED	1987-09-14	1066	9999-12-31	2013-05-08	25907
7124/3-1	3833.000000	1.350000	10.000000	4.400000	WATER BASED	1987-09-14	1066	9999-12-31	2013-05-08	25908
7124/3-1	3843.000000	1.350000	12.000000	4.400000	WATER BASED	1987-09-14	1066	9999-12-31	2013-05-08	25909
7124/3-1	3868.000000	1.350000	13.000000	5.300000	WATER BASED	1987-09-18	1066	9999-12-31	2013-05-08	25910
7124/3-1	3909.000000	1.350000	12.000000	5.300000	WATER BASED	1987-09-18	1066	9999-12-31	2013-05-08	25911
7124/3-1	3945.000000	1.350000	11.000000	4.400000	WATER BASED	1987-09-18	1066	9999-12-31	2013-05-08	25912
7124/3-1	4010.000000	1.350000	12.000000	5.300000	WATER BASED	1987-09-18	1066	9999-12-31	2013-05-08	25913
7124/3-1	4042.000000	1.350000	12.000000	4.400000	WATER BASED	1987-09-23	1066	9999-12-31	2013-05-08	25914
7124/3-1	4089.000000	1.350000	11.000000	4.400000	WATER BASED	1987-09-23	1066	9999-12-31	2013-05-08	25915
7124/3-1	4181.000000	1.350000	14.000000	5.300000	WATER BASED	1987-09-23	1066	9999-12-31	2013-05-08	25916
7124/3-1	4271.000000	1.350000	15.000000	5.300000	WATER BASED	1987-09-24	1066	9999-12-31	2013-05-08	25917
7124/3-1	4282.000000	1.350000	14.000000	4.800000	WATER BASED	1987-09-25	1066	9999-12-31	2013-05-08	25918
7124/3-1	4340.000000	1.350000	15.000000	3.900000	WATER BASED	1987-09-28	1066	9999-12-31	2013-05-08	25919
7124/3-1	4351.000000	1.350000	16.000000	5.800000	WATER BASED	1987-09-28	1066	9999-12-31	2013-05-08	25920
7124/3-1	4418.000000	1.350000	13.000000	3.900000	WATER BASED	1987-09-28	1066	9999-12-31	2013-05-08	25921
7124/3-1	4437.000000	1.400000	12.000000	3.900000	WATER BASED	1987-09-29	1066	9999-12-31	2013-05-08	25922
7124/3-1	4439.000000	1.400000	14.000000	3.900000	WATER BASED	1987-10-01	1066	9999-12-31	2013-05-08	25923
7124/3-1	4439.000000	1.400000	14.000000	3.900000	WATER BASED	1987-09-30	1066	9999-12-31	2013-05-08	25924
7124/3-1	4490.000000	1.400000	12.000000	3.900000	WATER BASED	1987-10-05	1066	9999-12-31	2013-05-08	25925
7124/3-1	4515.000000	1.400000	12.000000	4.400000	WATER BASED	1987-10-05	1066	9999-12-31	2013-05-08	25926
7124/3-1	4560.000000	1.400000	12.000000	4.400000	WATER BASED	1987-10-05	1066	9999-12-31	2013-05-08	25927
7124/3-1	4606.000000	1.400000	12.000000	4.400000	WATER BASED	1987-10-05	1066	9999-12-31	2013-05-08	25928
7124/3-1	4630.000000	1.400000	12.000000	3.900000	WATER BASED	1987-10-06	1066	9999-12-31	2013-05-08	25929
7124/3-1	4640.000000	1.400000	12.000000	4.800000	WATER BASED	1987-10-16	1066	9999-12-31	2013-05-08	25930
7124/3-1	4646.000000	1.400000	12.000000	4.400000	WATER BASED	1987-10-07	1066	9999-12-31	2013-05-08	25931
7124/3-1	4669.000000	1.400000	12.000000	3.900000	WATER BASED	1987-10-08	1066	9999-12-31	2013-05-08	25932
7124/3-1	4680.000000	1.400000	12.000000	3.900000	WATER BASED	1987-10-09	1066	9999-12-31	2013-05-08	25933
7124/3-1	4730.000000	1.400000	12.000000	5.300000	WATER BASED	1987-10-16	1066	9999-12-31	2013-05-08	25934
7124/3-1	4730.000000	1.400000	11.000000	4.400000	WATER BASED	1987-10-14	1066	9999-12-31	2013-05-08	25935
7125/1-1	314.000000	1.060000	0.000000	0.000000	WATER BASED	1988-12-12	1350	9999-12-31	2013-05-08	25936
7125/1-1	320.000000	1.250000	20.000000	5.300000	WATER BASED	1988-12-28	1350	9999-12-31	2013-05-08	25937
7125/1-1	402.000000	1.060000	0.000000	0.000000	WATER BASED	1988-12-12	1350	9999-12-31	2013-05-08	25938
7125/1-1	404.000000	1.060000	0.000000	0.000000	WATER BASED	1988-12-12	1350	9999-12-31	2013-05-08	25939
7125/1-1	607.000000	1.060000	0.000000	0.000000	WATER BASED	1988-12-12	1350	9999-12-31	2013-05-08	25940
7125/1-1	818.000000	1.200000	14.000000	7.200000	WATER BASED	1988-12-12	1350	9999-12-31	2013-05-08	25941
7125/1-1	818.000000	1.060000	0.000000	0.000000	WATER BASED	1988-12-12	1350	9999-12-31	2013-05-08	25942
7125/1-1	955.000000	1.200000	11.000000	5.800000	WATER BASED	1988-12-12	1350	9999-12-31	2013-05-08	25943
7125/1-1	1213.000000	1.250000	16.000000	7.200000	WATER BASED	1988-12-12	1350	9999-12-31	2013-05-08	25944
7125/1-1	1360.000000	1.250000	16.000000	5.300000	WATER BASED	1988-12-12	1350	9999-12-31	2013-05-08	25945
7125/1-1	1360.000000	1.250000	15.000000	6.300000	WATER BASED	1988-12-12	1350	9999-12-31	2013-05-08	25946
7125/1-1	1406.000000	1.250000	13.000000	6.800000	WATER BASED	1988-12-13	1350	9999-12-31	2013-05-08	25947
7125/1-1	1438.000000	1.250000	17.000000	7.200000	WATER BASED	1988-12-14	1350	9999-12-31	2013-05-08	25948
7125/1-1	1567.000000	1.250000	13.000000	6.300000	WATER BASED	1988-12-15	1350	9999-12-31	2013-05-08	25949
7125/1-1	1589.000000	1.250000	15.000000	6.300000	WATER BASED	1988-12-19	1350	9999-12-31	2013-05-08	25950
7125/1-1	1702.000000	1.250000	14.000000	6.300000	WATER BASED	1988-12-20	1350	9999-12-31	2013-05-08	25951
7125/1-1	1759.000000	1.250000	18.000000	6.800000	WATER BASED	1988-12-20	1350	9999-12-31	2013-05-08	25952
7125/1-1	1860.000000	1.250000	18.000000	6.800000	WATER BASED	1988-12-20	1350	9999-12-31	2013-05-08	25953
7125/1-1	1920.000000	1.250000	19.000000	6.300000	WATER BASED	1988-12-20	1350	9999-12-31	2013-05-08	25954
7125/1-1	2034.000000	1.250000	20.000000	7.200000	WATER BASED	1988-12-21	1350	9999-12-31	2013-05-08	25955
7125/1-1	2074.000000	1.250000	20.000000	6.300000	WATER BASED	1988-12-22	1350	9999-12-31	2013-05-08	25956
7125/1-1	2171.000000	1.250000	20.000000	7.200000	WATER BASED	1988-12-27	1350	9999-12-31	2013-05-08	25957
7125/1-1	2200.000000	1.250000	19.000000	6.300000	WATER BASED	1988-12-27	1350	9999-12-31	2013-05-08	25958
7125/1-1	2200.000000	1.250000	20.000000	5.800000	WATER BASED	1988-12-27	1350	9999-12-31	2013-05-08	25959
7125/1-1	2200.000000	1.250000	20.000000	5.300000	WATER BASED	1988-12-27	1350	9999-12-31	2013-05-08	25960
7125/1-1	2200.000000	1.250000	0.000000	0.000000	WATER BASED	1988-12-28	1350	9999-12-31	2013-05-08	25961
7125/4-1	404.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	5450	9999-12-31	2013-05-08	25962
7125/4-1	474.000000	1.070000	14.000000	0.000000	WATER BASED	9999-12-31	5450	9999-12-31	2013-05-08	25963
7125/4-1	556.000000	1.080000	11.000000	0.000000	WATER BASED	9999-12-31	5450	9999-12-31	2013-05-08	25964
7125/4-1	705.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	5450	9999-12-31	2013-05-08	25965
7125/4-1	844.000000	1.300000	19.000000	0.000000	WATER BASED	9999-12-31	5450	9999-12-31	2013-05-08	25966
7125/4-2	534.000000	1.290000	17.000000	0.000000	Glydril	9999-12-31	5944	9999-12-31	2013-05-08	25967
7125/4-2	758.000000	1.300000	17.000000	0.000000	Glydril	9999-12-31	5944	9999-12-31	2013-05-08	25968
7125/4-2	811.000000	1.310000	17.000000	0.000000	Glydril	9999-12-31	5944	9999-12-31	2013-05-08	25969
7125/4-2	1081.000000	1.290000	18.000000	0.000000	Glydril	9999-12-31	5944	9999-12-31	2013-05-08	25970
7125/4-2	1110.000000	1.300000	18.000000	0.000000	Glydril	9999-12-31	5944	9999-12-31	2013-05-08	25971
7125/4-2	1137.000000	1.310000	19.000000	0.000000	Glydril	9999-12-31	5944	9999-12-31	2013-05-08	25972
7125/4-2	1750.000000	1.300000	16.000000	0.000000	Glydril	9999-12-31	5944	9999-12-31	2013-05-08	25973
7128/4-1	715.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25974
7128/4-1	770.000000	1.120000	17.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25975
7128/4-1	815.000000	1.030000	17.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25976
7128/4-1	1307.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25977
7128/4-1	1495.000000	1.200000	15.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25978
7128/4-1	1525.000000	1.200000	18.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25979
7128/4-1	1589.000000	1.120000	0.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25980
7128/4-1	1701.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25981
7128/4-1	1814.000000	1.200000	19.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25982
7128/4-1	1951.000000	1.200000	21.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25983
7128/4-1	2092.000000	1.200000	23.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25984
7128/4-1	2141.000000	1.200000	26.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25985
7128/4-1	2356.000000	1.200000	26.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25986
7128/4-1	2468.000000	1.100000	9.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25987
7128/4-1	2523.000000	1.100000	17.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25988
7128/4-1	2530.000000	1.120000	0.000000	0.000000	WATER BASED	9999-12-31	2049	9999-12-31	2013-05-08	25989
7128/6-1	397.000000	1.030000	0.000000	0.000000	WATER BASED	1991-08-16	1836	9999-12-31	2013-05-08	25990
7128/6-1	403.000000	1.010000	0.000000	0.000000	WATER BASED	1991-11-07	1836	9999-12-31	2013-05-08	25991
7128/6-1	403.000000	1.140000	57.000000	8.000000	WATER BASED	1991-11-06	1836	9999-12-31	2013-05-08	25992
7128/6-1	454.000000	1.100000	0.000000	0.000000	WATER BASED	1991-08-16	1836	9999-12-31	2013-05-08	25993
7128/6-1	454.000000	1.100000	0.000000	0.000000	WATER BASED	1991-08-16	1836	9999-12-31	2013-05-08	25994
7128/6-1	584.000000	1.100000	0.000000	0.000000	WATER BASED	1991-08-16	1836	9999-12-31	2013-05-08	25995
7128/6-1	830.000000	1.200000	0.000000	0.000000	WATER BASED	1991-08-16	1836	9999-12-31	2013-05-08	25996
7128/6-1	830.000000	1.440000	14.000000	27.000000	WATER BASED	1991-08-20	1836	9999-12-31	2013-05-08	25997
7128/6-1	830.000000	1.200000	44.000000	13.000000	WATER BASED	1991-08-28	1836	9999-12-31	2013-05-08	25998
7128/6-1	830.000000	1.170000	41.000000	12.000000	WATER BASED	1991-08-28	1836	9999-12-31	2013-05-08	25999
7128/6-1	830.000000	1.000000	0.000000	0.000000	WATER BASED	1991-08-26	1836	9999-12-31	2013-05-08	26000
7128/6-1	830.000000	1.100000	46.000000	14.000000	WATER BASED	1991-08-26	1836	9999-12-31	2013-05-08	26001
7128/6-1	837.000000	1.200000	42.000000	18.000000	WATER BASED	1991-08-29	1836	9999-12-31	2013-05-08	26002
7128/6-1	936.000000	1.200000	40.000000	14.000000	WATER BASED	1991-08-30	1836	9999-12-31	2013-05-08	26003
7128/6-1	1069.000000	1.180000	41.000000	12.000000	WATER BASED	1991-09-02	1836	9999-12-31	2013-05-08	26004
7128/6-1	1069.000000	1.190000	52.000000	27.000000	WATER BASED	1991-09-02	1836	9999-12-31	2013-05-08	26005
7128/6-1	1333.000000	1.190000	43.000000	13.000000	WATER BASED	1991-09-02	1836	9999-12-31	2013-05-08	26006
7128/6-1	1367.000000	1.190000	42.000000	11.000000	WATER BASED	1991-09-03	1836	9999-12-31	2013-05-08	26007
7128/6-1	1550.000000	1.190000	43.000000	11.000000	WATER BASED	1991-09-04	1836	9999-12-31	2013-05-08	26008
7128/6-1	1552.000000	1.140000	56.000000	8.000000	WATER BASED	1991-11-05	1836	9999-12-31	2013-05-08	26009
7128/6-1	1569.000000	1.190000	47.000000	11.000000	WATER BASED	1991-09-09	1836	9999-12-31	2013-05-08	26010
7128/6-1	1578.000000	1.190000	43.000000	13.000000	WATER BASED	1991-09-05	1836	9999-12-31	2013-05-08	26011
7128/6-1	1578.000000	1.190000	45.000000	14.000000	WATER BASED	1991-09-09	1836	9999-12-31	2013-05-08	26012
7128/6-1	1578.000000	1.190000	48.000000	14.000000	WATER BASED	1991-09-09	1836	9999-12-31	2013-05-08	26013
7128/6-1	1630.000000	1.190000	45.000000	10.000000	WATER BASED	1991-09-10	1836	9999-12-31	2013-05-08	26014
7128/6-1	1644.000000	1.170000	46.000000	10.000000	WATER BASED	1991-09-11	1836	9999-12-31	2013-05-08	26015
7128/6-1	1647.000000	1.160000	46.000000	10.000000	WATER BASED	1991-09-12	1836	9999-12-31	2013-05-08	26016
7128/6-1	1648.000000	1.160000	49.000000	10.000000	WATER BASED	1991-09-16	1836	9999-12-31	2013-05-08	26017
7128/6-1	1656.000000	1.160000	48.000000	12.000000	WATER BASED	1991-09-16	1836	9999-12-31	2013-05-08	26018
7128/6-1	1696.000000	1.150000	50.000000	17.000000	WATER BASED	1991-09-16	1836	9999-12-31	2013-05-08	26019
7128/6-1	1698.000000	1.150000	54.000000	16.000000	WATER BASED	1991-09-16	1836	9999-12-31	2013-05-08	26020
7128/6-1	1702.000000	1.150000	53.000000	15.000000	WATER BASED	1991-09-17	1836	9999-12-31	2013-05-08	26021
7128/6-1	1709.000000	1.160000	53.000000	15.000000	WATER BASED	1991-09-18	1836	9999-12-31	2013-05-08	26022
7128/6-1	1712.000000	1.160000	10.000000	12.000000	WATER BASED	1991-09-20	1836	9999-12-31	2013-05-08	26023
7128/6-1	1728.000000	1.160000	10.000000	14.000000	WATER BASED	1991-09-20	1836	9999-12-31	2013-05-08	26024
7128/6-1	1739.000000	1.160000	10.000000	6.500000	WATER BASED	1991-09-24	1836	9999-12-31	2013-05-08	26025
7128/6-1	1747.000000	1.170000	10.000000	7.500000	WATER BASED	1991-09-24	1836	9999-12-31	2013-05-08	26026
7128/6-1	1760.000000	1.170000	49.000000	15.000000	WATER BASED	1991-10-23	1836	9999-12-31	2013-05-08	26027
7128/6-1	1768.000000	1.160000	10.000000	7.500000	WATER BASED	1991-09-24	1836	9999-12-31	2013-05-08	26028
7128/6-1	1775.000000	1.170000	56.000000	17.000000	WATER BASED	1991-10-25	1836	9999-12-31	2013-05-08	26029
7128/6-1	1775.000000	1.160000	44.000000	15.000000	WATER BASED	1991-10-28	1836	9999-12-31	2013-05-08	26030
7128/6-1	1775.000000	1.130000	56.000000	4.000000	WATER BASED	1991-11-01	1836	9999-12-31	2013-05-08	26031
7128/6-1	1775.000000	1.160000	42.000000	13.000000	WATER BASED	1991-10-28	1836	9999-12-31	2013-05-08	26032
7128/6-1	1775.000000	1.130000	41.000000	4.000000	WATER BASED	1991-10-31	1836	9999-12-31	2013-05-08	26033
7128/6-1	1775.000000	1.150000	44.000000	15.000000	WATER BASED	1991-10-29	1836	9999-12-31	2013-05-08	26034
7128/6-1	1775.000000	1.130000	40.000000	4.000000	WATER BASED	1991-10-29	1836	9999-12-31	2013-05-08	26035
7128/6-1	1775.000000	1.140000	56.000000	6.000000	WATER BASED	1991-11-05	1836	9999-12-31	2013-05-08	26036
7128/6-1	1775.000000	1.150000	58.000000	8.000000	WATER BASED	1991-11-05	1836	9999-12-31	2013-05-08	26037
7128/6-1	1775.000000	1.140000	56.000000	8.000000	WATER BASED	1991-11-05	1836	9999-12-31	2013-05-08	26038
7128/6-1	1783.000000	1.160000	52.000000	15.000000	WATER BASED	1991-09-24	1836	9999-12-31	2013-05-08	26039
7128/6-1	1795.000000	1.160000	52.000000	13.000000	WATER BASED	1991-09-25	1836	9999-12-31	2013-05-08	26040
7128/6-1	1810.000000	1.170000	56.000000	15.000000	WATER BASED	1991-10-24	1836	9999-12-31	2013-05-08	26041
7128/6-1	1816.000000	1.160000	58.000000	16.000000	WATER BASED	1991-09-26	1836	9999-12-31	2013-05-08	26042
7128/6-1	1838.000000	1.160000	52.000000	14.000000	WATER BASED	1991-09-27	1836	9999-12-31	2013-05-08	26043
7128/6-1	1874.000000	1.160000	49.000000	13.000000	WATER BASED	1991-09-30	1836	9999-12-31	2013-05-08	26044
7128/6-1	1892.000000	1.160000	43.000000	14.000000	WATER BASED	1991-09-30	1836	9999-12-31	2013-05-08	26045
7128/6-1	1933.000000	1.170000	49.000000	10.000000	WATER BASED	1991-09-30	1836	9999-12-31	2013-05-08	26046
7128/6-1	1968.000000	1.160000	49.000000	13.000000	WATER BASED	1991-10-02	1836	9999-12-31	2013-05-08	26047
7128/6-1	2005.000000	1.160000	48.000000	16.000000	WATER BASED	1991-10-02	1836	9999-12-31	2013-05-08	26048
7128/6-1	2030.000000	1.160000	52.000000	14.000000	WATER BASED	1991-10-03	1836	9999-12-31	2013-05-08	26049
7128/6-1	2043.000000	1.170000	55.000000	16.000000	WATER BASED	1991-10-04	1836	9999-12-31	2013-05-08	26050
7128/6-1	2063.000000	1.170000	54.000000	18.000000	WATER BASED	1991-10-07	1836	9999-12-31	2013-05-08	26051
7128/6-1	2066.000000	1.170000	51.000000	15.000000	WATER BASED	1991-10-08	1836	9999-12-31	2013-05-08	26052
7128/6-1	2094.000000	1.170000	48.000000	14.000000	WATER BASED	1991-10-08	1836	9999-12-31	2013-05-08	26053
7128/6-1	2120.000000	1.170000	47.000000	14.000000	WATER BASED	1991-10-08	1836	9999-12-31	2013-05-08	26054
7128/6-1	2131.000000	1.170000	44.000000	14.000000	WATER BASED	1991-10-09	1836	9999-12-31	2013-05-08	26055
7128/6-1	2132.000000	1.160000	44.000000	13.000000	WATER BASED	1991-10-10	1836	9999-12-31	2013-05-08	26056
7128/6-1	2162.000000	1.160000	47.000000	15.000000	WATER BASED	1991-10-11	1836	9999-12-31	2013-05-08	26057
7128/6-1	2183.000000	1.160000	47.000000	15.000000	WATER BASED	1991-10-14	1836	9999-12-31	2013-05-08	26058
7128/6-1	2222.000000	1.160000	45.000000	15.000000	WATER BASED	1991-10-14	1836	9999-12-31	2013-05-08	26059
7128/6-1	2250.000000	1.170000	47.000000	14.000000	WATER BASED	1991-10-14	1836	9999-12-31	2013-05-08	26060
7128/6-1	2326.000000	1.160000	47.000000	15.000000	WATER BASED	1991-10-15	1836	9999-12-31	2013-05-08	26061
7128/6-1	2472.000000	1.160000	45.000000	14.000000	WATER BASED	1991-10-16	1836	9999-12-31	2013-05-08	26062
7128/6-1	2540.000000	1.170000	43.000000	14.000000	WATER BASED	1991-10-17	1836	9999-12-31	2013-05-08	26063
7128/6-1	2540.000000	1.170000	47.000000	15.000000	WATER BASED	1991-10-22	1836	9999-12-31	2013-05-08	26064
7128/6-1	2540.000000	1.170000	47.000000	15.000000	WATER BASED	1991-10-22	1836	9999-12-31	2013-05-08	26065
7128/6-1	2540.000000	1.170000	47.000000	15.000000	WATER BASED	1991-10-18	1836	9999-12-31	2013-05-08	26066
7128/6-1	2543.000000	1.170000	45.000000	14.000000	WATER BASED	1991-10-22	1836	9999-12-31	2013-05-08	26067
7128/6-1	2543.000000	1.170000	45.000000	15.000000	WATER BASED	1991-10-22	1836	9999-12-31	2013-05-08	26068
7131/4-1	406.000000	1.050000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	5093	9999-12-31	2013-05-08	26069
7131/4-1	811.000000	1.050000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	5093	9999-12-31	2013-05-08	26070
7131/4-1	1209.000000	1.330000	18.000000	0.000000	GLYDRIL 74	9999-12-31	5093	9999-12-31	2013-05-08	26071
7131/4-1	1295.000000	1.330000	18.000000	0.000000	GLYDRIL 74	9999-12-31	5093	9999-12-31	2013-05-08	26072
7216/11-1 S	450.000000	1.380000	13.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26073
7216/11-1 S	685.000000	1.460000	23.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26074
7216/11-1 S	1004.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26075
7216/11-1 S	1012.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26076
7216/11-1 S	1094.000000	1.300000	15.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26077
7216/11-1 S	1337.000000	1.380000	16.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26078
7216/11-1 S	1390.000000	1.390000	16.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26079
7216/11-1 S	1395.000000	0.000000	16.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26080
7216/11-1 S	1437.000000	1.380000	16.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26081
7216/11-1 S	1650.000000	1.390000	14.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26082
7216/11-1 S	1841.000000	1.460000	18.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26083
7216/11-1 S	1888.000000	1.460000	23.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26084
7216/11-1 S	2195.000000	1.460000	17.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26085
7216/11-1 S	2400.000000	1.460000	18.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26086
7216/11-1 S	2618.000000	1.460000	20.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26087
7216/11-1 S	2696.000000	1.550000	25.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26088
7216/11-1 S	2758.000000	1.460000	22.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26089
7216/11-1 S	2793.000000	1.300000	13.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26090
7216/11-1 S	2941.000000	0.000000	14.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26091
7216/11-1 S	2988.000000	1.300000	14.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26092
7216/11-1 S	3011.000000	0.000000	14.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26093
7216/11-1 S	3170.000000	1.310000	15.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26094
7216/11-1 S	3273.000000	1.460000	17.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26095
7216/11-1 S	3511.000000	1.520000	19.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26096
7216/11-1 S	3604.000000	1.520000	23.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26097
7216/11-1 S	3861.000000	1.520000	24.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26098
7216/11-1 S	4041.000000	1.520000	25.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26099
7216/11-1 S	4183.000000	1.520000	24.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26100
7216/11-1 S	4230.000000	1.550000	27.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26101
7216/11-1 S	4239.000000	1.550000	25.000000	0.000000	WATER BASED	9999-12-31	4129	9999-12-31	2013-05-08	26102
7219/8-1 S	516.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26103
7219/8-1 S	516.000000	1.040000	0.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26104
7219/8-1 S	600.000000	1.200000	0.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26105
7219/8-1 S	863.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26106
7219/8-1 S	1018.000000	1.300000	0.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26107
7219/8-1 S	1480.000000	1.170000	19.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26108
7219/8-1 S	1683.000000	1.170000	20.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26109
7219/8-1 S	1808.000000	1.160000	20.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26110
7219/8-1 S	1917.000000	1.160000	22.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26111
7219/8-1 S	2086.000000	1.170000	20.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26112
7219/8-1 S	2126.000000	1.300000	24.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26113
7219/8-1 S	2149.000000	1.210000	22.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26114
7219/8-1 S	2318.000000	1.300000	25.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26115
7219/8-1 S	2480.000000	1.300000	25.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26116
7219/8-1 S	2526.000000	1.300000	25.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26117
7219/8-1 S	2588.000000	1.300000	26.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26118
7219/8-1 S	2696.000000	1.300000	26.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26119
7219/8-1 S	2764.000000	1.300000	26.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26120
7219/8-1 S	2840.000000	1.300000	26.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26121
7219/8-1 S	2895.000000	1.300000	21.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26122
7219/8-1 S	3072.000000	1.300000	24.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26123
7219/8-1 S	3161.000000	1.350000	25.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26124
7219/8-1 S	3222.000000	1.350000	25.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26125
7219/8-1 S	3249.000000	1.350000	25.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26126
7219/8-1 S	3345.000000	1.370000	26.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26127
7219/8-1 S	3378.000000	1.430000	28.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26128
7219/8-1 S	3423.000000	1.480000	27.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26129
7219/8-1 S	3559.000000	1.500000	28.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26130
7219/8-1 S	3745.000000	1.560000	28.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26131
7219/8-1 S	3882.000000	1.560000	27.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26132
7219/8-1 S	3883.000000	1.430000	30.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26133
7219/8-1 S	3950.000000	1.560000	29.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26134
7219/8-1 S	4005.000000	1.560000	29.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26135
7219/8-1 S	4180.000000	1.560000	30.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26136
7219/8-1 S	4235.000000	1.560000	29.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26137
7219/8-1 S	4278.000000	1.620000	27.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26138
7219/8-1 S	4371.000000	1.640000	30.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26139
7219/8-1 S	4455.000000	1.670000	30.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26140
7219/8-1 S	4460.000000	1.670000	28.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26141
7219/8-1 S	4533.000000	1.670000	26.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26142
7219/8-1 S	4549.000000	1.670000	27.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26143
7219/8-1 S	4550.000000	1.670000	26.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26144
7219/8-1 S	4551.000000	1.670000	25.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26145
7219/8-1 S	4553.000000	1.670000	24.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26146
7219/8-1 S	4579.000000	1.700000	27.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26147
7219/8-1 S	4600.000000	1.700000	23.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26148
7219/8-1 S	4612.000000	1.700000	25.000000	0.000000	WATER BASED	9999-12-31	2031	9999-12-31	2013-05-08	26149
7219/9-1	377.000000	1.000000	0.000000	0.000000	WATER BASED	1988-02-25	1138	9999-12-31	2013-05-08	26150
7219/9-1	429.000000	1.030000	0.000000	0.000000	WATER BASED	1988-02-24	1138	9999-12-31	2013-05-08	26151
7219/9-1	434.000000	1.050000	0.000000	0.000000	WATER BASED	1987-11-19	1138	9999-12-31	2013-05-08	26152
7219/9-1	441.000000	1.060000	0.000000	0.000000	WATER BASED	1987-11-20	1138	9999-12-31	2013-05-08	26153
7219/9-1	443.000000	1.060000	0.000000	0.000000	WATER BASED	1987-11-23	1138	9999-12-31	2013-05-08	26154
7219/9-1	594.000000	1.050000	0.000000	0.000000	WATER BASED	1987-11-23	1138	9999-12-31	2013-05-08	26155
7219/9-1	718.000000	1.060000	0.000000	0.000000	WATER BASED	1987-11-23	1138	9999-12-31	2013-05-08	26156
7219/9-1	718.000000	1.060000	0.000000	0.000000	WATER BASED	1987-11-24	1138	9999-12-31	2013-05-08	26157
7219/9-1	718.000000	1.060000	0.000000	0.000000	WATER BASED	1987-11-25	1138	9999-12-31	2013-05-08	26158
7219/9-1	718.000000	1.080000	20.000000	11.000000	WATER BASED	1987-11-26	1138	9999-12-31	2013-05-08	26159
7219/9-1	755.000000	1.100000	17.000000	9.000000	WATER BASED	1987-11-27	1138	9999-12-31	2013-05-08	26160
7219/9-1	1109.000000	1.110000	18.000000	14.000000	WATER BASED	1987-11-30	1138	9999-12-31	2013-05-08	26161
7219/9-1	1392.000000	1.150000	21.000000	12.000000	WATER BASED	1987-11-30	1138	9999-12-31	2013-05-08	26162
7219/9-1	1420.000000	1.260000	19.000000	8.000000	WATER BASED	1988-02-23	1138	9999-12-31	2013-05-08	26163
7219/9-1	1625.000000	1.220000	19.000000	12.000000	WATER BASED	1987-11-30	1138	9999-12-31	2013-05-08	26164
7219/9-1	1625.000000	1.170000	18.000000	19.000000	WATER BASED	1987-12-07	1138	9999-12-31	2013-05-08	26165
7219/9-1	1625.000000	1.170000	17.000000	10.000000	WATER BASED	1987-12-07	1138	9999-12-31	2013-05-08	26166
7219/9-1	1625.000000	1.150000	20.000000	15.000000	WATER BASED	1987-12-02	1138	9999-12-31	2013-05-08	26167
7219/9-1	1625.000000	1.150000	20.000000	15.000000	WATER BASED	1987-12-03	1138	9999-12-31	2013-05-08	26168
7219/9-1	1625.000000	1.170000	19.000000	10.000000	WATER BASED	1987-12-04	1138	9999-12-31	2013-05-08	26169
7219/9-1	1625.000000	1.170000	14.000000	8.000000	WATER BASED	1987-12-08	1138	9999-12-31	2013-05-08	26170
7219/9-1	1625.000000	1.130000	13.000000	8.000000	WATER BASED	1987-12-01	1138	9999-12-31	2013-05-08	26171
7219/9-1	1791.000000	1.180000	18.000000	9.000000	WATER BASED	1987-12-09	1138	9999-12-31	2013-05-08	26172
7219/9-1	1907.000000	1.200000	18.000000	10.000000	WATER BASED	1987-12-10	1138	9999-12-31	2013-05-08	26173
7219/9-1	1923.000000	1.270000	18.000000	10.000000	WATER BASED	1987-12-11	1138	9999-12-31	2013-05-08	26174
7219/9-1	1931.000000	1.270000	19.000000	10.000000	WATER BASED	1987-12-14	1138	9999-12-31	2013-05-08	26175
7219/9-1	1958.000000	1.270000	19.000000	12.000000	WATER BASED	1987-12-14	1138	9999-12-31	2013-05-08	26176
7219/9-1	1985.000000	1.270000	18.000000	11.000000	WATER BASED	1987-12-14	1138	9999-12-31	2013-05-08	26177
7219/9-1	2004.000000	1.310000	21.000000	9.000000	WATER BASED	1988-01-08	1138	9999-12-31	2013-05-08	26178
7219/9-1	2015.000000	1.270000	18.000000	10.000000	WATER BASED	1987-12-15	1138	9999-12-31	2013-05-08	26179
7219/9-1	2042.000000	1.270000	18.000000	10.000000	WATER BASED	1987-12-16	1138	9999-12-31	2013-05-08	26180
7219/9-1	2058.000000	1.310000	19.000000	8.000000	WATER BASED	1988-01-08	1138	9999-12-31	2013-05-08	26181
7219/9-1	2064.000000	1.310000	22.000000	12.000000	WATER BASED	1988-01-06	1138	9999-12-31	2013-05-08	26182
7219/9-1	2064.000000	1.310000	22.000000	11.000000	WATER BASED	1988-01-05	1138	9999-12-31	2013-05-08	26183
7219/9-1	2072.000000	1.270000	19.000000	10.000000	WATER BASED	1987-12-17	1138	9999-12-31	2013-05-08	26184
7219/9-1	2098.000000	1.310000	23.000000	8.000000	WATER BASED	1988-01-11	1138	9999-12-31	2013-05-08	26185
7219/9-1	2099.000000	1.270000	19.000000	10.000000	WATER BASED	1987-12-18	1138	9999-12-31	2013-05-08	26186
7219/9-1	2114.000000	1.270000	19.000000	10.000000	WATER BASED	1987-12-21	1138	9999-12-31	2013-05-08	26187
7219/9-1	2139.000000	1.310000	23.000000	7.000000	WATER BASED	1988-01-11	1138	9999-12-31	2013-05-08	26188
7219/9-1	2210.000000	1.270000	15.000000	10.000000	WATER BASED	1987-12-21	1138	9999-12-31	2013-05-08	26189
7219/9-1	2227.000000	1.300000	24.000000	8.000000	WATER BASED	1988-01-11	1138	9999-12-31	2013-05-08	26190
7219/9-1	2302.000000	1.270000	16.000000	9.000000	WATER BASED	1987-12-21	1138	9999-12-31	2013-05-08	26191
7219/9-1	2345.000000	1.270000	15.000000	8.000000	WATER BASED	1987-12-22	1138	9999-12-31	2013-05-08	26192
7219/9-1	2347.000000	1.310000	24.000000	9.000000	WATER BASED	1988-01-12	1138	9999-12-31	2013-05-08	26193
7219/9-1	2398.000000	1.310000	28.000000	9.000000	WATER BASED	1988-01-13	1138	9999-12-31	2013-05-08	26194
7219/9-1	2420.000000	1.270000	16.000000	8.000000	WATER BASED	1987-12-23	1138	9999-12-31	2013-05-08	26195
7219/9-1	2444.000000	1.270000	14.000000	8.000000	WATER BASED	1987-12-28	1138	9999-12-31	2013-05-08	26196
7219/9-1	2453.000000	1.260000	14.000000	10.000000	WATER BASED	1987-12-28	1138	9999-12-31	2013-05-08	26197
7219/9-1	2503.000000	1.310000	25.000000	9.000000	WATER BASED	1988-01-14	1138	9999-12-31	2013-05-08	26198
7219/9-1	2557.000000	1.230000	14.000000	9.000000	WATER BASED	1987-12-28	1138	9999-12-31	2013-05-08	26199
7219/9-1	2595.000000	1.260000	19.000000	8.000000	WATER BASED	1988-02-22	1138	9999-12-31	2013-05-08	26200
7219/9-1	2604.000000	1.310000	25.000000	9.000000	WATER BASED	1988-01-15	1138	9999-12-31	2013-05-08	26201
7219/9-1	2657.000000	1.230000	14.000000	7.000000	WATER BASED	1987-12-28	1138	9999-12-31	2013-05-08	26202
7219/9-1	2692.000000	1.310000	26.000000	11.000000	WATER BASED	1988-01-18	1138	9999-12-31	2013-05-08	26203
7219/9-1	2720.000000	1.310000	26.000000	11.000000	WATER BASED	1988-01-18	1138	9999-12-31	2013-05-08	26204
7219/9-1	2723.000000	1.150000	16.000000	8.000000	WATER BASED	1988-01-22	1138	9999-12-31	2013-05-08	26205
7219/9-1	2723.000000	1.310000	26.000000	11.000000	WATER BASED	1988-01-19	1138	9999-12-31	2013-05-08	26206
7219/9-1	2723.000000	1.300000	26.000000	11.000000	WATER BASED	1988-01-20	1138	9999-12-31	2013-05-08	26207
7219/9-1	2735.000000	1.230000	14.000000	7.000000	WATER BASED	1987-12-28	1138	9999-12-31	2013-05-08	26208
7219/9-1	2751.000000	1.230000	14.000000	7.000000	WATER BASED	1987-12-29	1138	9999-12-31	2013-05-08	26209
7219/9-1	2751.000000	1.270000	18.000000	10.000000	WATER BASED	1988-01-04	1138	9999-12-31	2013-05-08	26210
7219/9-1	2751.000000	1.280000	20.000000	10.000000	WATER BASED	1988-01-04	1138	9999-12-31	2013-05-08	26211
7219/9-1	2751.000000	1.300000	21.000000	11.000000	WATER BASED	1988-01-04	1138	9999-12-31	2013-05-08	26212
7219/9-1	2751.000000	1.230000	14.000000	7.000000	WATER BASED	1987-12-30	1138	9999-12-31	2013-05-08	26213
7219/9-1	2751.000000	1.230000	14.000000	7.000000	WATER BASED	1988-01-04	1138	9999-12-31	2013-05-08	26214
7219/9-1	2756.000000	1.160000	16.000000	7.000000	WATER BASED	1988-01-22	1138	9999-12-31	2013-05-08	26215
7219/9-1	2810.000000	1.160000	14.000000	6.000000	WATER BASED	1988-01-25	1138	9999-12-31	2013-05-08	26216
7219/9-1	2933.000000	1.150000	12.000000	6.000000	WATER BASED	1988-01-25	1138	9999-12-31	2013-05-08	26217
7219/9-1	2996.000000	1.150000	15.000000	7.000000	WATER BASED	1988-01-25	1138	9999-12-31	2013-05-08	26218
7219/9-1	3118.000000	1.160000	12.000000	6.000000	WATER BASED	1988-01-26	1138	9999-12-31	2013-05-08	26219
7219/9-1	3168.000000	1.160000	15.000000	6.000000	WATER BASED	1988-01-27	1138	9999-12-31	2013-05-08	26220
7219/9-1	3263.000000	1.150000	14.000000	6.000000	WATER BASED	1988-01-28	1138	9999-12-31	2013-05-08	26221
7219/9-1	3342.000000	1.150000	16.000000	6.000000	WATER BASED	1988-02-01	1138	9999-12-31	2013-05-08	26222
7219/9-1	3387.000000	1.150000	16.000000	6.000000	WATER BASED	1988-02-01	1138	9999-12-31	2013-05-08	26223
7219/9-1	3405.000000	1.150000	15.000000	6.000000	WATER BASED	1988-02-01	1138	9999-12-31	2013-05-08	26224
7219/9-1	3485.000000	1.150000	14.000000	6.000000	WATER BASED	1988-02-01	1138	9999-12-31	2013-05-08	26225
7219/9-1	3512.000000	1.150000	14.000000	5.000000	WATER BASED	1988-02-02	1138	9999-12-31	2013-05-08	26226
7219/9-1	3585.000000	1.150000	16.000000	6.000000	WATER BASED	1988-02-03	1138	9999-12-31	2013-05-08	26227
7219/9-1	3613.000000	1.170000	16.000000	6.000000	WATER BASED	1988-02-04	1138	9999-12-31	2013-05-08	26228
7219/9-1	3677.000000	1.170000	17.000000	6.000000	WATER BASED	1988-02-05	1138	9999-12-31	2013-05-08	26229
7219/9-1	3708.000000	1.170000	16.000000	6.000000	WATER BASED	1988-02-08	1138	9999-12-31	2013-05-08	26230
7219/9-1	3754.000000	1.170000	15.000000	6.000000	WATER BASED	1988-02-08	1138	9999-12-31	2013-05-08	26231
7219/9-1	3786.000000	1.170000	14.000000	6.000000	WATER BASED	1988-02-08	1138	9999-12-31	2013-05-08	26232
7219/9-1	3880.000000	1.190000	14.000000	6.000000	WATER BASED	1988-02-09	1138	9999-12-31	2013-05-08	26233
7219/9-1	3941.000000	1.190000	15.000000	6.000000	WATER BASED	1988-02-10	1138	9999-12-31	2013-05-08	26234
7219/9-1	3943.000000	1.190000	14.000000	6.000000	WATER BASED	1988-02-11	1138	9999-12-31	2013-05-08	26235
7219/9-1	3991.000000	1.200000	14.000000	6.000000	WATER BASED	1988-02-12	1138	9999-12-31	2013-05-08	26236
7219/9-1	4044.000000	1.200000	13.000000	6.000000	WATER BASED	1988-02-15	1138	9999-12-31	2013-05-08	26237
7219/9-1	4107.000000	1.200000	14.000000	6.000000	WATER BASED	1988-02-15	1138	9999-12-31	2013-05-08	26238
7219/9-1	4150.000000	1.200000	14.000000	7.000000	WATER BASED	1988-02-15	1138	9999-12-31	2013-05-08	26239
7219/9-1	4150.000000	1.200000	14.000000	7.000000	WATER BASED	1988-02-16	1138	9999-12-31	2013-05-08	26240
7219/9-1	4218.000000	1.200000	13.000000	7.000000	WATER BASED	1988-02-17	1138	9999-12-31	2013-05-08	26241
7219/9-1	4224.000000	1.200000	13.000000	6.000000	WATER BASED	1988-02-18	1138	9999-12-31	2013-05-08	26242
7219/9-1	4278.000000	1.250000	19.000000	9.000000	WATER BASED	1988-02-19	1138	9999-12-31	2013-05-08	26243
7219/9-1	4300.000000	1.250000	18.000000	9.000000	WATER BASED	1988-02-22	1138	9999-12-31	2013-05-08	26244
7219/9-1	4300.000000	1.250000	19.000000	8.000000	WATER BASED	1988-02-22	1138	9999-12-31	2013-05-08	26245
7220/6-1	470.000000	1.090000	13.000000	0.000000	WATER BASED	9999-12-31	5039	9999-12-31	2013-05-08	26246
7220/6-1	547.000000	1.090000	14.000000	0.000000	WATER BASED	9999-12-31	5039	9999-12-31	2013-05-08	26247
7220/6-1	664.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	5039	9999-12-31	2013-05-08	26248
7220/6-1	749.000000	1.210000	14.000000	0.000000	WATER BASED	9999-12-31	5039	9999-12-31	2013-05-08	26249
7220/6-1	1130.000000	1.210000	14.000000	0.000000	WATER BASED	9999-12-31	5039	9999-12-31	2013-05-08	26250
7220/6-1	1197.000000	1.130000	14.000000	0.000000	WATER BASED	9999-12-31	5039	9999-12-31	2013-05-08	26251
7220/6-1	1204.000000	1.130000	15.000000	0.000000	WATER BASED	9999-12-31	5039	9999-12-31	2013-05-08	26252
7220/6-1	1428.000000	1.130000	12.000000	0.000000	WATER BASED	9999-12-31	5039	9999-12-31	2013-05-08	26253
7220/6-1	1540.000000	1.200000	11.000000	0.000000	WATER BASED	9999-12-31	5039	9999-12-31	2013-05-08	26254
7220/8-1	397.000000	1.600000	19.000000	0.000000	Kill Fluid- SW/Bentonite	9999-12-31	6484	9999-12-31	2013-05-08	26255
7220/8-1	397.000000	1.050000	15.000000	0.000000	Spud Mud	9999-12-31	6484	9999-12-31	2013-05-08	26256
7220/8-1	471.000000	1.050000	14.000000	0.000000	Spud Mud	9999-12-31	6484	9999-12-31	2013-05-08	26257
7220/8-1	472.000000	1.600000	19.000000	0.000000	Kill Fluid- SW/Bentonite	9999-12-31	6484	9999-12-31	2013-05-08	26258
7220/8-1	474.000000	1.050000	12.000000	0.000000	Spud Mud	9999-12-31	6484	9999-12-31	2013-05-08	26259
7220/8-1	474.000000	1.600000	19.000000	0.000000	Kill Fluid- SW/Bentonite	9999-12-31	6484	9999-12-31	2013-05-08	26260
7220/8-1	850.000000	1.050000	12.000000	0.000000	Spud Mud	9999-12-31	6484	9999-12-31	2013-05-08	26261
7220/8-1	850.000000	1.200000	20.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6484	9999-12-31	2013-05-08	26262
7220/8-1	850.000000	1.250000	21.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6484	9999-12-31	2013-05-08	26263
7220/8-1	850.000000	1.050000	12.000000	0.000000	Spud Mud	9999-12-31	6484	9999-12-31	2013-05-08	26264
7220/8-1	872.000000	1.150000	12.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6484	9999-12-31	2013-05-08	26265
7220/8-1	1035.000000	1.120000	13.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6484	9999-12-31	2013-05-08	26266
7220/8-1	1252.000000	1.120000	13.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6484	9999-12-31	2013-05-08	26267
7220/8-1	1252.000000	1.150000	12.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6484	9999-12-31	2013-05-08	26268
7220/8-1	1379.000000	1.240000	15.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6484	9999-12-31	2013-05-08	26269
7220/8-1	1472.000000	1.210000	12.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6484	9999-12-31	2013-05-08	26270
7220/8-1	1472.000000	1.230000	13.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6484	9999-12-31	2013-05-08	26271
7220/8-1	1472.000000	1.240000	12.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6484	9999-12-31	2013-05-08	26272
7220/8-1	2222.000000	1.210000	14.000000	0.000000	KCl/Polymer/Glycol	9999-12-31	6484	9999-12-31	2013-05-08	26273
7222/11-1	606.000000	1.320000	19.000000	0.000000	Seawater	9999-12-31	5916	9999-12-31	2013-05-08	26274
7222/11-1	700.000000	1.220000	16.000000	0.000000	Glydril	9999-12-31	5916	9999-12-31	2013-05-08	26275
7222/11-1	975.000000	1.320000	16.000000	0.000000	Glydril	9999-12-31	5916	9999-12-31	2013-05-08	26276
7222/11-1	1170.000000	1.320000	14.000000	0.000000	Glydril	9999-12-31	5916	9999-12-31	2013-05-08	26277
7222/11-1	1234.000000	1.320000	17.000000	0.000000	Glydril	9999-12-31	5916	9999-12-31	2013-05-08	26278
7222/11-1	1252.000000	1.210000	17.000000	0.000000	Glydril	9999-12-31	5916	9999-12-31	2013-05-08	26279
7222/11-1	1252.000000	1.330000	16.000000	0.000000	Glydril	9999-12-31	5916	9999-12-31	2013-05-08	26280
7222/11-1	1300.000000	1.320000	20.000000	0.000000	Glydril	9999-12-31	5916	9999-12-31	2013-05-08	26281
7222/11-1	1648.000000	1.220000	16.000000	0.000000	Glydril	9999-12-31	5916	9999-12-31	2013-05-08	26282
7222/11-1	2036.000000	1.230000	16.000000	0.000000	Glydril	9999-12-31	5916	9999-12-31	2013-05-08	26283
7222/11-1	2134.000000	1.220000	14.000000	0.000000	Glydril	9999-12-31	5916	9999-12-31	2013-05-08	26284
7222/11-1	2658.000000	1.220000	14.000000	0.000000	Glydril	9999-12-31	5916	9999-12-31	2013-05-08	26285
7222/6-1 S	712.000000	1.250000	16.000000	0.000000	FORMPRO	9999-12-31	5755	9999-12-31	2013-05-08	26286
7222/6-1 S	1057.000000	1.260000	17.000000	0.000000	FORMPRO	9999-12-31	5755	9999-12-31	2013-05-08	26287
7222/6-1 S	1101.000000	1.300000	15.000000	0.000000	FORMPRO	9999-12-31	5755	9999-12-31	2013-05-08	26288
7222/6-1 S	1322.000000	1.310000	15.000000	0.000000	FORM PRO	9999-12-31	5755	9999-12-31	2013-05-08	26289
7222/6-1 S	1495.000000	1.300000	15.000000	0.000000	FORM PRO	9999-12-31	5755	9999-12-31	2013-05-08	26290
7222/6-1 S	1637.000000	1.310000	16.000000	0.000000	FORM PRO	9999-12-31	5755	9999-12-31	2013-05-08	26291
7222/6-1 S	1651.000000	1.300000	15.000000	0.000000	FORM PRO	9999-12-31	5755	9999-12-31	2013-05-08	26292
7222/6-1 S	1941.000000	1.300000	17.000000	0.000000	FORM PRO	9999-12-31	5755	9999-12-31	2013-05-08	26293
7222/6-1 S	1954.000000	1.300000	16.000000	0.000000	FORM PRO	9999-12-31	5755	9999-12-31	2013-05-08	26294
7222/6-1 S	2636.000000	1.320000	18.000000	0.000000	FloPro	9999-12-31	5755	9999-12-31	2013-05-08	26295
7222/6-1 S	2699.000000	1.320000	16.000000	0.000000	FormPro	9999-12-31	5755	9999-12-31	2013-05-08	26296
7222/6-1 S	2753.000000	1.320000	17.000000	0.000000	FormPro	9999-12-31	5755	9999-12-31	2013-05-08	26297
7222/6-1 S	2846.000000	1.310000	19.000000	0.000000	FormPro	9999-12-31	5755	9999-12-31	2013-05-08	26298
7222/6-1 S	2895.000000	1.300000	15.000000	0.000000	Form Pro	9999-12-31	5755	9999-12-31	2013-05-08	26299
7223/5-1	1110.000000	1.300000	23.000000	0.000000	Glydril	9999-12-31	5960	9999-12-31	2013-05-08	26300
7223/5-1	1220.000000	1.300000	18.000000	0.000000	Glydril	9999-12-31	5960	9999-12-31	2013-05-08	26301
7223/5-1	1929.000000	1.300000	17.000000	0.000000	Glydril	9999-12-31	5960	9999-12-31	2013-05-08	26302
7223/5-1	2549.000000	1.300000	16.000000	0.000000	Glydril	9999-12-31	5960	9999-12-31	2013-05-08	26303
7223/5-1	2549.000000	1.300000	16.000000	0.000000	Glydril	9999-12-31	5960	9999-12-31	2013-05-08	26304
7223/5-1	2549.000000	1.290000	18.000000	0.000000	Glydril	9999-12-31	5960	9999-12-31	2013-05-08	26305
7224/6-1	343.000000	1.030000	0.000000	0.000000	SW-hi-vi	9999-12-31	5835	9999-12-31	2013-05-08	26306
7224/6-1	706.000000	1.030000	0.000000	0.000000	SW-hi-vi	9999-12-31	5835	9999-12-31	2013-05-08	26307
7224/6-1	1505.000000	1.280000	0.000000	0.000000	WMB-gly	9999-12-31	5835	9999-12-31	2013-05-08	26308
7224/6-1	2338.000000	1.300000	0.000000	0.000000	WMB-gly	9999-12-31	5835	9999-12-31	2013-05-08	26309
7224/7-1	335.000000	0.000000	0.000000	0.000000	WATER BASED	1988-06-20	1245	9999-12-31	2013-05-08	26310
7224/7-1	658.000000	1.030000	0.000000	0.000000	WATER BASED	1988-04-28	1245	9999-12-31	2013-05-08	26311
7224/7-1	660.000000	1.030000	2000.000000	25.000000	WATER BASED	1988-04-18	1245	9999-12-31	2013-05-08	26312
7224/7-1	705.000000	1.320000	1100.000000	1.300000	WATER BASED	1988-06-16	1245	9999-12-31	2013-05-08	26313
7224/7-1	705.000000	1.330000	5000.000000	1.200000	WATER BASED	1988-06-17	1245	9999-12-31	2013-05-08	26314
7224/7-1	841.000000	1.250000	1200.000000	3.800000	WATER BASED	1988-04-28	1245	9999-12-31	2013-05-08	26315
7224/7-1	850.000000	1.250000	1100.000000	3.000000	WATER BASED	1988-05-02	1245	9999-12-31	2013-05-08	26316
7224/7-1	850.000000	1.250000	1200.000000	3.400000	WATER BASED	1988-04-29	1245	9999-12-31	2013-05-08	26317
7224/7-1	850.000000	1.250000	1100.000000	3.400000	WATER BASED	1988-05-02	1245	9999-12-31	2013-05-08	26318
7224/7-1	898.000000	1.250000	1100.000000	3.400000	WATER BASED	1988-04-28	1245	9999-12-31	2013-05-08	26319
7224/7-1	923.000000	1.250000	1100.000000	3.400000	WATER BASED	1988-04-28	1245	9999-12-31	2013-05-08	26320
7224/7-1	1136.000000	1.250000	1300.000000	3.000000	WATER BASED	1988-05-02	1245	9999-12-31	2013-05-08	26321
7224/7-1	1294.000000	1.250000	1200.000000	3.800000	WATER BASED	1988-05-03	1245	9999-12-31	2013-05-08	26322
7224/7-1	1415.000000	1.250000	1200.000000	4.200000	WATER BASED	1988-05-04	1245	9999-12-31	2013-05-08	26323
7224/7-1	1530.000000	1.250000	1100.000000	4.700000	WATER BASED	1988-05-05	1245	9999-12-31	2013-05-08	26324
7224/7-1	1646.000000	1.250000	1300.000000	4.200000	WATER BASED	1988-05-06	1245	9999-12-31	2013-05-08	26325
7224/7-1	1682.000000	1.300000	1700.000000	5.900000	WATER BASED	1988-05-09	1245	9999-12-31	2013-05-08	26326
7224/7-1	1682.000000	1.300000	2400.000000	6.300000	WATER BASED	1988-05-09	1245	9999-12-31	2013-05-08	26327
7224/7-1	1682.000000	1.300000	1600.000000	5.100000	WATER BASED	1988-05-13	1245	9999-12-31	2013-05-08	26328
7224/7-1	1682.000000	1.300000	2200.000000	5.500000	WATER BASED	1988-05-13	1245	9999-12-31	2013-05-08	26329
7224/7-1	1682.000000	1.300000	1500.000000	4.700000	WATER BASED	1988-05-09	1245	9999-12-31	2013-05-08	26330
7224/7-1	1740.000000	1.300000	1500.000000	4.700000	WATER BASED	1988-05-09	1245	9999-12-31	2013-05-08	26331
7224/7-1	1743.000000	1.300000	2400.000000	5.100000	WATER BASED	1988-05-10	1245	9999-12-31	2013-05-08	26332
7224/7-1	1852.000000	1.300000	2200.000000	6.400000	WATER BASED	1988-05-13	1245	9999-12-31	2013-05-08	26333
7224/7-1	1945.000000	1.300000	2200.000000	5.500000	WATER BASED	1988-05-13	1245	9999-12-31	2013-05-08	26334
7224/7-1	1945.000000	1.300000	1600.000000	5.100000	WATER BASED	1988-05-13	1245	9999-12-31	2013-05-08	26335
7224/7-1	1979.000000	1.300000	3000.000000	8.500000	WATER BASED	1988-05-18	1245	9999-12-31	2013-05-08	26336
7224/7-1	2087.000000	1.210000	2400.000000	6.800000	WATER BASED	1988-05-18	1245	9999-12-31	2013-05-08	26337
7224/7-1	2167.000000	1.210000	2500.000000	7.600000	WATER BASED	1988-05-19	1245	9999-12-31	2013-05-08	26338
7224/7-1	2207.000000	1.210000	2400.000000	6.400000	WATER BASED	1988-05-20	1245	9999-12-31	2013-05-08	26339
7224/7-1	2337.000000	1.210000	2300.000000	5.500000	WATER BASED	1988-05-24	1245	9999-12-31	2013-05-08	26340
7224/7-1	2380.000000	1.320000	2500.000000	6.700000	WATER BASED	1988-05-24	1245	9999-12-31	2013-05-08	26341
7224/7-1	2441.000000	1.350000	2900.000000	6.800000	WATER BASED	1988-05-24	1245	9999-12-31	2013-05-08	26342
7224/7-1	2471.000000	1.360000	2400.000000	7.600000	WATER BASED	1988-05-24	1245	9999-12-31	2013-05-08	26343
7224/7-1	2498.000000	1.620000	1900.000000	5.100000	WATER BASED	1988-06-15	1245	9999-12-31	2013-05-08	26344
7224/7-1	2519.000000	1.400000	2500.000000	7.600000	WATER BASED	1988-05-25	1245	9999-12-31	2013-05-08	26345
7224/7-1	2540.000000	1.400000	2800.000000	8.000000	WATER BASED	1988-05-26	1245	9999-12-31	2013-05-08	26346
7224/7-1	2551.000000	1.620000	2000.000000	5.100000	WATER BASED	1988-06-14	1245	9999-12-31	2013-05-08	26347
7224/7-1	2621.000000	1.500000	3200.000000	8.500000	WATER BASED	1988-05-27	1245	9999-12-31	2013-05-08	26348
7224/7-1	2658.000000	1.580000	2500.000000	5.900000	WATER BASED	1988-05-30	1245	9999-12-31	2013-05-08	26349
7224/7-1	2658.000000	1.580000	2200.000000	5.500000	WATER BASED	1988-05-30	1245	9999-12-31	2013-05-08	26350
7224/7-1	2658.000000	1.580000	2500.000000	5.500000	WATER BASED	1988-06-01	1245	9999-12-31	2013-05-08	26351
7224/7-1	2658.000000	1.580000	2200.000000	5.100000	WATER BASED	1988-05-31	1245	9999-12-31	2013-05-08	26352
7224/7-1	2704.000000	1.580000	2300.000000	4.700000	WATER BASED	1988-06-06	1245	9999-12-31	2013-05-08	26353
7224/7-1	2762.000000	1.580000	2300.000000	5.100000	WATER BASED	1988-06-06	1245	9999-12-31	2013-05-08	26354
7224/7-1	2794.000000	1.630000	2200.000000	4.700000	WATER BASED	1988-06-06	1245	9999-12-31	2013-05-08	26355
7224/7-1	2842.000000	1.620000	2300.000000	5.100000	WATER BASED	1988-06-07	1245	9999-12-31	2013-05-08	26356
7224/7-1	2889.000000	1.620000	2300.000000	5.500000	WATER BASED	1988-06-08	1245	9999-12-31	2013-05-08	26357
7224/7-1	2933.000000	1.620000	2400.000000	5.900000	WATER BASED	1988-06-09	1245	9999-12-31	2013-05-08	26358
7224/7-1	2982.000000	1.620000	2300.000000	5.900000	WATER BASED	1988-06-10	1245	9999-12-31	2013-05-08	26359
7224/7-1	3067.000000	1.620000	5500.000000	6.800000	WATER BASED	1988-06-13	1245	9999-12-31	2013-05-08	26360
7224/7-1	3067.000000	1.620000	5100.000000	5.000000	WATER BASED	1988-06-13	1245	9999-12-31	2013-05-08	26361
7224/7-1	3067.000000	1.620000	2200.000000	4.200000	WATER BASED	1988-06-13	1245	9999-12-31	2013-05-08	26362
7226/11-1	300.000000	1.300000	1100.000000	0.800000	WATER BASED	1988-04-11	1177	9999-12-31	2013-05-08	26363
7226/11-1	500.000000	1.300000	1100.000000	0.800000	WATER BASED	1988-04-11	1177	9999-12-31	2013-05-08	26364
7226/11-1	548.000000	1.350000	1100.000000	0.800000	WATER BASED	1988-04-11	1177	9999-12-31	2013-05-08	26365
7226/11-1	567.000000	1.030000	100.000000	0.000000	WATER BASED	1987-10-26	1177	9999-12-31	2013-05-08	26366
7226/11-1	720.000000	1.030000	100.000000	0.000000	WATER BASED	1987-10-29	1177	9999-12-31	2013-05-08	26367
7226/11-1	720.000000	1.030000	100.000000	0.000000	WATER BASED	1987-10-27	1177	9999-12-31	2013-05-08	26368
7226/11-1	720.000000	1.030000	100.000000	0.000000	WATER BASED	1987-10-28	1177	9999-12-31	2013-05-08	26369
7226/11-1	720.000000	1.030000	100.000000	0.000000	WATER BASED	1987-11-02	1177	9999-12-31	2013-05-08	26370
7226/11-1	720.000000	1.030000	100.000000	0.000000	WATER BASED	1987-10-30	1177	9999-12-31	2013-05-08	26371
7226/11-1	867.000000	1.120000	1500.000000	4.600000	WATER BASED	1987-11-05	1177	9999-12-31	2013-05-08	26372
7226/11-1	1005.000000	1.120000	2300.000000	4.600000	WATER BASED	1987-11-06	1177	9999-12-31	2013-05-08	26373
7226/11-1	1165.000000	1.170000	1800.000000	3.800000	WATER BASED	1987-11-16	1177	9999-12-31	2013-05-08	26374
7226/11-1	1165.000000	1.180000	1600.000000	3.800000	WATER BASED	1987-11-17	1177	9999-12-31	2013-05-08	26375
7226/11-1	1165.000000	1.190000	1700.000000	4.200000	WATER BASED	1987-11-19	1177	9999-12-31	2013-05-08	26376
7226/11-1	1165.000000	1.200000	1800.000000	4.600000	WATER BASED	1987-11-18	1177	9999-12-31	2013-05-08	26377
7226/11-1	1165.000000	1.180000	1300.000000	3.800000	WATER BASED	1987-11-23	1177	9999-12-31	2013-05-08	26378
7226/11-1	1165.000000	1.190000	1800.000000	4.600000	WATER BASED	1987-11-20	1177	9999-12-31	2013-05-08	26379
7226/11-1	1165.000000	1.170000	1400.000000	3.400000	WATER BASED	1987-11-16	1177	9999-12-31	2013-05-08	26380
7226/11-1	1165.000000	1.180000	1600.000000	3.400000	WATER BASED	1987-11-16	1177	9999-12-31	2013-05-08	26381
7226/11-1	1167.000000	1.170000	2300.000000	4.600000	WATER BASED	1987-11-09	1177	9999-12-31	2013-05-08	26382
7226/11-1	1202.000000	1.170000	2300.000000	4.600000	WATER BASED	1987-11-09	1177	9999-12-31	2013-05-08	26383
7226/11-1	1224.000000	1.170000	2300.000000	4.600000	WATER BASED	1987-11-09	1177	9999-12-31	2013-05-08	26384
7226/11-1	1246.000000	1.170000	2300.000000	4.600000	WATER BASED	1987-11-10	1177	9999-12-31	2013-05-08	26385
7226/11-1	1300.000000	1.180000	1300.000000	3.400000	WATER BASED	1987-11-30	1177	9999-12-31	2013-05-08	26386
7226/11-1	1399.000000	1.170000	2300.000000	4.600000	WATER BASED	1987-11-11	1177	9999-12-31	2013-05-08	26387
7226/11-1	1502.000000	1.160000	1500.000000	3.800000	WATER BASED	1987-11-12	1177	9999-12-31	2013-05-08	26388
7226/11-1	1608.000000	1.160000	1400.000000	3.400000	WATER BASED	1987-11-13	1177	9999-12-31	2013-05-08	26389
7226/11-1	1730.000000	1.170000	1800.000000	3.800000	WATER BASED	1987-11-16	1177	9999-12-31	2013-05-08	26390
7226/11-1	1829.000000	1.180000	1600.000000	3.800000	WATER BASED	1987-11-17	1177	9999-12-31	2013-05-08	26391
7226/11-1	1906.000000	1.200000	1800.000000	4.600000	WATER BASED	1987-11-18	1177	9999-12-31	2013-05-08	26392
7226/11-1	2008.000000	1.190000	1700.000000	4.200000	WATER BASED	1987-11-19	1177	9999-12-31	2013-05-08	26393
7226/11-1	2019.000000	1.190000	1800.000000	4.600000	WATER BASED	1987-11-20	1177	9999-12-31	2013-05-08	26394
7226/11-1	2051.000000	1.190000	1300.000000	5.500000	WATER BASED	1987-11-23	1177	9999-12-31	2013-05-08	26395
7226/11-1	2140.000000	1.170000	1100.000000	2.100000	WATER BASED	1987-11-23	1177	9999-12-31	2013-05-08	26396
7226/11-1	2141.000000	1.180000	1300.000000	3.800000	WATER BASED	1987-11-23	1177	9999-12-31	2013-05-08	26397
7226/11-1	2160.000000	1.190000	1200.000000	3.400000	WATER BASED	1987-11-24	1177	9999-12-31	2013-05-08	26398
7226/11-1	2234.000000	1.180000	1100.000000	3.400000	WATER BASED	1987-11-25	1177	9999-12-31	2013-05-08	26399
7226/11-1	2263.000000	1.180000	1000.000000	3.400000	WATER BASED	1987-11-26	1177	9999-12-31	2013-05-08	26400
7226/11-1	2283.000000	1.180000	1300.000000	3.400000	WATER BASED	1987-11-27	1177	9999-12-31	2013-05-08	26401
7226/11-1	2400.000000	1.250000	1500.000000	3.800000	WATER BASED	1987-12-07	1177	9999-12-31	2013-05-08	26402
7226/11-1	2404.000000	1.180000	1300.000000	3.600000	WATER BASED	1987-11-30	1177	9999-12-31	2013-05-08	26403
7226/11-1	2464.000000	1.180000	1300.000000	3.800000	WATER BASED	1987-11-30	1177	9999-12-31	2013-05-08	26404
7226/11-1	2470.000000	1.220000	1300.000000	3.800000	WATER BASED	1987-12-01	1177	9999-12-31	2013-05-08	26405
7226/11-1	2475.000000	1.220000	1500.000000	3.800000	WATER BASED	1987-12-02	1177	9999-12-31	2013-05-08	26406
7226/11-1	2515.000000	1.250000	1400.000000	3.800000	WATER BASED	1987-12-03	1177	9999-12-31	2013-05-08	26407
7226/11-1	2515.000000	1.250000	1400.000000	3.800000	WATER BASED	1987-12-04	1177	9999-12-31	2013-05-08	26408
7226/11-1	2515.000000	1.240000	1300.000000	3.800000	WATER BASED	1987-12-10	1177	9999-12-31	2013-05-08	26409
7226/11-1	2515.000000	1.240000	1500.000000	3.800000	WATER BASED	1987-12-09	1177	9999-12-31	2013-05-08	26410
7226/11-1	2515.000000	1.250000	1300.000000	3.800000	WATER BASED	1987-12-07	1177	9999-12-31	2013-05-08	26411
7226/11-1	2515.000000	1.250000	1400.000000	3.800000	WATER BASED	1987-12-07	1177	9999-12-31	2013-05-08	26412
7226/11-1	2515.000000	1.250000	1500.000000	3.800000	WATER BASED	1987-12-08	1177	9999-12-31	2013-05-08	26413
7226/11-1	2520.000000	1.200000	1900.000000	5.100000	OIL BASED	1987-12-11	1177	9999-12-31	2013-05-08	26414
7226/11-1	2549.000000	1.200000	1800.000000	4.200000	WATER BASED	1987-12-14	1177	9999-12-31	2013-05-08	26415
7226/11-1	2630.000000	1.200000	1700.000000	2.900000	WATER BASED	1987-12-14	1177	9999-12-31	2013-05-08	26416
7226/11-1	2703.000000	1.200000	1400.000000	3.000000	WATER BASED	1987-12-14	1177	9999-12-31	2013-05-08	26417
7226/11-1	2731.000000	1.220000	1500.000000	3.000000	WATER BASED	1987-12-15	1177	9999-12-31	2013-05-08	26418
7226/11-1	2816.000000	1.220000	1600.000000	3.000000	WATER BASED	1987-12-16	1177	9999-12-31	2013-05-08	26419
7226/11-1	2854.000000	1.220000	1600.000000	3.800000	WATER BASED	1987-12-17	1177	9999-12-31	2013-05-08	26420
7226/11-1	2903.000000	1.340000	1000.000000	0.800000	WATER BASED	1988-04-08	1177	9999-12-31	2013-05-08	26421
7226/11-1	2903.000000	1.350000	1000.000000	0.800000	WATER BASED	1988-04-07	1177	9999-12-31	2013-05-08	26422
7226/11-1	2913.000000	1.350000	1100.000000	0.800000	WATER BASED	1988-04-06	1177	9999-12-31	2013-05-08	26423
7226/11-1	2913.000000	1.280000	1100.000000	2.800000	WATER BASED	1987-12-29	1177	9999-12-31	2013-05-08	26424
7226/11-1	2913.000000	1.300000	1800.000000	3.000000	WATER BASED	1987-12-23	1177	9999-12-31	2013-05-08	26425
7226/11-1	2913.000000	1.300000	2700.000000	5.100000	WATER BASED	1987-12-28	1177	9999-12-31	2013-05-08	26426
7226/11-1	2913.000000	1.300000	1700.000000	2.100000	WATER BASED	1987-12-28	1177	9999-12-31	2013-05-08	26427
7226/11-1	2913.000000	1.300000	1000.000000	2.100000	WATER BASED	1987-12-28	1177	9999-12-31	2013-05-08	26428
7226/11-1	2913.000000	1.300000	1100.000000	2.100000	WATER BASED	1987-12-28	1177	9999-12-31	2013-05-08	26429
7226/11-1	2913.000000	1.410000	2100.000000	1.300000	WATER BASED	1988-03-24	1177	9999-12-31	2013-05-08	26430
7226/11-1	2913.000000	1.410000	2100.000000	1.300000	WATER BASED	1988-03-25	1177	9999-12-31	2013-05-08	26431
7226/11-1	2913.000000	1.300000	1700.000000	3.000000	WATER BASED	1987-12-28	1177	9999-12-31	2013-05-08	26432
7226/11-1	2913.000000	1.320000	1100.000000	0.900000	WATER BASED	1988-04-05	1177	9999-12-31	2013-05-08	26433
7226/11-1	2951.000000	1.300000	1600.000000	3.400000	WATER BASED	1987-12-18	1177	9999-12-31	2013-05-08	26434
7226/11-1	2958.000000	1.300000	1600.000000	3.400000	WATER BASED	1987-12-21	1177	9999-12-31	2013-05-08	26435
7226/11-1	2958.000000	1.300000	2000.000000	3.400000	WATER BASED	1987-12-21	1177	9999-12-31	2013-05-08	26436
7226/11-1	2958.000000	1.300000	2300.000000	3.000000	WATER BASED	1987-12-22	1177	9999-12-31	2013-05-08	26437
7226/11-1	2958.000000	1.300000	2300.000000	3.000000	WATER BASED	1987-12-21	1177	9999-12-31	2013-05-08	26438
7226/11-1	2972.000000	1.300000	1100.000000	2.500000	WATER BASED	1988-01-04	1177	9999-12-31	2013-05-08	26439
7226/11-1	3032.000000	1.300000	1300.000000	3.400000	WATER BASED	1988-01-04	1177	9999-12-31	2013-05-08	26440
7226/11-1	3057.000000	1.300000	1400.000000	3.400000	WATER BASED	1988-01-04	1177	9999-12-31	2013-05-08	26441
7226/11-1	3084.000000	1.300000	1700.000000	3.800000	WATER BASED	1988-01-04	1177	9999-12-31	2013-05-08	26442
7226/11-1	3084.000000	1.300000	1600.000000	3.400000	WATER BASED	1988-01-05	1177	9999-12-31	2013-05-08	26443
7226/11-1	3122.000000	1.300000	1600.000000	3.000000	WATER BASED	1988-01-06	1177	9999-12-31	2013-05-08	26444
7226/11-1	3179.000000	1.300000	1700.000000	3.400000	WATER BASED	1988-01-07	1177	9999-12-31	2013-05-08	26445
7226/11-1	3195.000000	1.300000	1900.000000	3.400000	WATER BASED	1988-01-08	1177	9999-12-31	2013-05-08	26446
7226/11-1	3235.000000	1.300000	2100.000000	3.300000	WATER BASED	1988-01-11	1177	9999-12-31	2013-05-08	26447
7226/11-1	3240.000000	1.300000	2100.000000	3.400000	WATER BASED	1988-01-11	1177	9999-12-31	2013-05-08	26448
7226/11-1	3240.000000	1.310000	2200.000000	3.000000	WATER BASED	1988-01-13	1177	9999-12-31	2013-05-08	26449
7226/11-1	3240.000000	1.300000	2400.000000	3.400000	WATER BASED	1988-01-12	1177	9999-12-31	2013-05-08	26450
7226/11-1	3293.000000	1.300000	2000.000000	3.000000	WATER BASED	1988-01-14	1177	9999-12-31	2013-05-08	26451
7226/11-1	3373.000000	1.300000	1800.000000	3.400000	WATER BASED	1988-01-15	1177	9999-12-31	2013-05-08	26452
7226/11-1	3407.000000	1.330000	2000.000000	3.000000	WATER BASED	1988-01-18	1177	9999-12-31	2013-05-08	26453
7226/11-1	3407.000000	1.320000	2200.000000	2.500000	WATER BASED	1988-01-18	1177	9999-12-31	2013-05-08	26454
7226/11-1	3407.000000	1.330000	2000.000000	2.900000	WATER BASED	1988-01-18	1177	9999-12-31	2013-05-08	26455
7226/11-1	3420.000000	1.320000	2000.000000	3.000000	WATER BASED	1988-01-19	1177	9999-12-31	2013-05-08	26456
7226/11-1	3483.000000	1.350000	2000.000000	3.000000	WATER BASED	1988-01-20	1177	9999-12-31	2013-05-08	26457
7226/11-1	3556.000000	1.350000	2000.000000	3.400000	WATER BASED	1988-01-21	1177	9999-12-31	2013-05-08	26458
7226/11-1	3635.000000	1.410000	2100.000000	3.000000	WATER BASED	1988-01-22	1177	9999-12-31	2013-05-08	26459
7226/11-1	3698.000000	1.440000	2200.000000	2.900000	WATER BASED	1988-01-25	1177	9999-12-31	2013-05-08	26460
7226/11-1	3766.000000	1.440000	2100.000000	2.900000	WATER BASED	1988-01-25	1177	9999-12-31	2013-05-08	26461
7226/11-1	3859.000000	1.440000	2100.000000	3.000000	WATER BASED	1988-01-25	1177	9999-12-31	2013-05-08	26462
7226/11-1	3879.000000	1.440000	2200.000000	3.000000	WATER BASED	1988-01-26	1177	9999-12-31	2013-05-08	26463
7226/11-1	3888.000000	1.350000	2100.000000	1.300000	WATER BASED	1988-03-28	1177	9999-12-31	2013-05-08	26464
7226/11-1	3888.000000	1.350000	1300.000000	1.300000	WATER BASED	1988-03-28	1177	9999-12-31	2013-05-08	26465
7226/11-1	3888.000000	1.350000	1400.000000	1.300000	WATER BASED	1988-03-29	1177	9999-12-31	2013-05-08	26466
7226/11-1	3888.000000	1.350000	1700.000000	1.700000	WATER BASED	1988-03-30	1177	9999-12-31	2013-05-08	26467
7226/11-1	3888.000000	1.350000	1600.000000	1.300000	WATER BASED	1988-04-05	1177	9999-12-31	2013-05-08	26468
7226/11-1	3888.000000	1.350000	1600.000000	1.700000	WATER BASED	1988-04-05	1177	9999-12-31	2013-05-08	26469
7226/11-1	3888.000000	1.350000	1400.000000	1.400000	WATER BASED	1988-04-05	1177	9999-12-31	2013-05-08	26470
7226/11-1	3888.000000	1.340000	1100.000000	0.800000	WATER BASED	1988-04-05	1177	9999-12-31	2013-05-08	26471
7226/11-1	3888.000000	1.350000	1400.000000	1.300000	WATER BASED	1988-03-28	1177	9999-12-31	2013-05-08	26472
7226/11-1	3896.000000	1.440000	1800.000000	2.500000	WATER BASED	1988-01-27	1177	9999-12-31	2013-05-08	26473
7226/11-1	3899.000000	1.440000	1800.000000	2.500000	WATER BASED	1988-01-28	1177	9999-12-31	2013-05-08	26474
7226/11-1	3923.000000	1.440000	1600.000000	2.500000	WATER BASED	1988-01-29	1177	9999-12-31	2013-05-08	26475
7226/11-1	3959.000000	1.460000	1600.000000	2.900000	WATER BASED	1988-02-01	1177	9999-12-31	2013-05-08	26476
7226/11-1	3987.000000	1.460000	1600.000000	2.900000	WATER BASED	1988-02-01	1177	9999-12-31	2013-05-08	26477
7226/11-1	3989.000000	1.460000	1700.000000	2.500000	WATER BASED	1988-02-01	1177	9999-12-31	2013-05-08	26478
7226/11-1	4020.000000	1.460000	1400.000000	2.500000	WATER BASED	1988-02-02	1177	9999-12-31	2013-05-08	26479
7226/11-1	4032.000000	1.460000	1100.000000	2.500000	WATER BASED	1988-02-03	1177	9999-12-31	2013-05-08	26480
7226/11-1	4053.000000	1.460000	1400.000000	2.500000	WATER BASED	1988-02-04	1177	9999-12-31	2013-05-08	26481
7226/11-1	4060.000000	1.460000	1400.000000	2.100000	WATER BASED	1988-02-05	1177	9999-12-31	2013-05-08	26482
7226/11-1	4060.000000	1.460000	1500.000000	2.200000	WATER BASED	1988-02-08	1177	9999-12-31	2013-05-08	26483
7226/11-1	4060.000000	1.460000	1900.000000	2.500000	WATER BASED	1988-02-08	1177	9999-12-31	2013-05-08	26484
7226/11-1	4060.000000	1.460000	1500.000000	2.500000	WATER BASED	1988-02-08	1177	9999-12-31	2013-05-08	26485
7226/11-1	4061.000000	1.460000	1900.000000	2.500000	WATER BASED	1988-02-15	1177	9999-12-31	2013-05-08	26486
7226/11-1	4061.000000	1.460000	1800.000000	2.500000	WATER BASED	1988-02-09	1177	9999-12-31	2013-05-08	26487
7226/11-1	4061.000000	1.430000	1700.000000	2.500000	WATER BASED	1988-02-15	1177	9999-12-31	2013-05-08	26488
7226/11-1	4061.000000	1.460000	1400.000000	2.500000	WATER BASED	1988-02-11	1177	9999-12-31	2013-05-08	26489
7226/11-1	4061.000000	1.450000	3000.000000	5.100000	WATER BASED	1988-02-11	1177	9999-12-31	2013-05-08	26490
7226/11-1	4061.000000	1.460000	1900.000000	2.500000	WATER BASED	1988-02-12	1177	9999-12-31	2013-05-08	26491
7226/11-1	4061.000000	1.430000	1700.000000	2.500000	WATER BASED	1988-02-16	1177	9999-12-31	2013-05-08	26492
7226/11-1	4064.000000	1.380000	1600.000000	2.100000	WATER BASED	1988-02-17	1177	9999-12-31	2013-05-08	26493
7226/11-1	4088.000000	1.380000	1300.000000	1.700000	WATER BASED	1988-02-18	1177	9999-12-31	2013-05-08	26494
7226/11-1	4139.000000	1.380000	1300.000000	2.500000	WATER BASED	1988-02-19	1177	9999-12-31	2013-05-08	26495
7226/11-1	4146.000000	1.380000	1300.000000	2.500000	WATER BASED	1988-02-22	1177	9999-12-31	2013-05-08	26496
7226/11-1	4169.000000	1.380000	1300.000000	2.500000	WATER BASED	1988-02-22	1177	9999-12-31	2013-05-08	26497
7226/11-1	4234.000000	1.380000	1700.000000	2.500000	WATER BASED	1988-02-22	1177	9999-12-31	2013-05-08	26498
7226/11-1	4279.000000	1.380000	1900.000000	2.500000	WATER BASED	1988-02-23	1177	9999-12-31	2013-05-08	26499
7226/11-1	4361.000000	1.380000	1900.000000	2.500000	WATER BASED	1988-02-24	1177	9999-12-31	2013-05-08	26500
7226/11-1	4364.000000	1.380000	1800.000000	2.500000	WATER BASED	1988-02-25	1177	9999-12-31	2013-05-08	26501
7226/11-1	4413.000000	1.380000	2400.000000	3.000000	WATER BASED	1988-02-26	1177	9999-12-31	2013-05-08	26502
7226/11-1	4474.000000	1.380000	2400.000000	0.000000	WATER BASED	1988-02-29	1177	9999-12-31	2013-05-08	26503
7226/11-1	4474.000000	1.380000	2400.000000	4.200000	WATER BASED	1988-02-29	1177	9999-12-31	2013-05-08	26504
7226/11-1	4509.000000	1.380000	2000.000000	2.100000	WATER BASED	1988-02-29	1177	9999-12-31	2013-05-08	26505
7226/11-1	4562.000000	1.380000	2200.000000	2.100000	WATER BASED	1988-02-29	1177	9999-12-31	2013-05-08	26506
7226/11-1	4593.000000	1.410000	2600.000000	1.700000	WATER BASED	1988-03-01	1177	9999-12-31	2013-05-08	26507
7226/11-1	4616.000000	1.410000	2400.000000	1.700000	WATER BASED	1988-03-02	1177	9999-12-31	2013-05-08	26508
7226/11-1	4644.000000	1.410000	2800.000000	1.700000	WATER BASED	1988-03-03	1177	9999-12-31	2013-05-08	26509
7226/11-1	4645.000000	1.410000	2300.000000	1.300000	WATER BASED	1988-03-04	1177	9999-12-31	2013-05-08	26510
7226/11-1	4658.000000	1.410000	2300.000000	1.300000	WATER BASED	1988-03-07	1177	9999-12-31	2013-05-08	26511
7226/11-1	4694.000000	1.410000	2200.000000	1.300000	WATER BASED	1988-03-23	1177	9999-12-31	2013-05-08	26512
7226/11-1	4694.000000	1.410000	2200.000000	1.300000	WATER BASED	1988-03-22	1177	9999-12-31	2013-05-08	26513
7226/11-1	4713.000000	1.410000	2300.000000	1.300000	WATER BASED	1988-03-07	1177	9999-12-31	2013-05-08	26514
7226/11-1	4754.000000	1.410000	2400.000000	1.300000	WATER BASED	1988-03-07	1177	9999-12-31	2013-05-08	26515
7226/11-1	4781.000000	1.410000	2500.000000	1.300000	WATER BASED	1988-03-08	1177	9999-12-31	2013-05-08	26516
7226/11-1	4783.000000	1.410000	2400.000000	1.300000	WATER BASED	1988-03-09	1177	9999-12-31	2013-05-08	26517
7226/11-1	4849.000000	1.410000	2900.000000	1.000000	WATER BASED	1988-03-10	1177	9999-12-31	2013-05-08	26518
7226/11-1	4870.000000	1.410000	3900.000000	1.300000	WATER BASED	1988-03-11	1177	9999-12-31	2013-05-08	26519
7226/11-1	4955.000000	1.410000	3300.000000	1.300000	WATER BASED	1988-03-14	1177	9999-12-31	2013-05-08	26520
7226/11-1	4997.000000	1.410000	2600.000000	1.300000	WATER BASED	1988-03-14	1177	9999-12-31	2013-05-08	26521
7226/11-1	5068.000000	1.410000	2600.000000	1.300000	WATER BASED	1988-03-14	1177	9999-12-31	2013-05-08	26522
7226/11-1	5085.000000	1.410000	2600.000000	1.300000	WATER BASED	1988-03-16	1177	9999-12-31	2013-05-08	26523
7226/11-1	5085.000000	1.410000	2600.000000	1.300000	WATER BASED	1988-03-15	1177	9999-12-31	2013-05-08	26524
7226/11-1	5107.000000	1.410000	2700.000000	2.500000	WATER BASED	1988-03-17	1177	9999-12-31	2013-05-08	26525
7226/11-1	5193.000000	1.410000	2000.000000	1.300000	WATER BASED	1988-03-18	1177	9999-12-31	2013-05-08	26526
7226/11-1	5200.000000	1.410000	2100.000000	1.300000	WATER BASED	1988-03-21	1177	9999-12-31	2013-05-08	26527
7226/2-1	339.000000	1.540000	17.000000	0.000000	Form Pro	9999-12-31	5807	9999-12-31	2013-05-08	26528
7226/2-1	824.000000	1.280000	8.000000	0.000000	FormPro	9999-12-31	5807	9999-12-31	2013-05-08	26529
7226/2-1	855.000000	1.280000	14.000000	0.000000	FormPro	9999-12-31	5807	9999-12-31	2013-05-08	26530
7226/2-1	905.000000	1.280000	14.000000	0.000000	Form Pro	9999-12-31	5807	9999-12-31	2013-05-08	26531
7226/2-1	1182.000000	1.290000	13.000000	0.000000	Form Pro	9999-12-31	5807	9999-12-31	2013-05-08	26532
7226/2-1	1512.000000	1.330000	16.000000	0.000000	FormPro	9999-12-31	5807	9999-12-31	2013-05-08	26533
7226/2-1	1600.000000	1.340000	13.000000	0.000000	FormPro	9999-12-31	5807	9999-12-31	2013-05-08	26534
7226/2-1	1600.000000	1.340000	16.000000	0.000000	Form Pro	9999-12-31	5807	9999-12-31	2013-05-08	26535
7226/2-1	1719.000000	1.450000	19.000000	0.000000	FloPro	9999-12-31	5807	9999-12-31	2013-05-08	26536
7226/2-1	1874.000000	1.430000	18.000000	0.000000	FormPro	9999-12-31	5807	9999-12-31	2013-05-08	26537
7226/2-1	1928.000000	1.540000	19.000000	0.000000	Form Pro	9999-12-31	5807	9999-12-31	2013-05-08	26538
7226/2-1	2375.000000	1.410000	20.000000	0.000000	FormPro	9999-12-31	5807	9999-12-31	2013-05-08	26539
7226/2-1	2647.000000	1.420000	21.000000	0.000000	FormPro	9999-12-31	5807	9999-12-31	2013-05-08	26540
7226/2-1	2740.000000	1.420000	16.000000	0.000000	FloPro	9999-12-31	5807	9999-12-31	2013-05-08	26541
7226/2-1	2892.000000	1.420000	22.000000	0.000000	FormPro	9999-12-31	5807	9999-12-31	2013-05-08	26542
7226/2-1	2948.000000	1.420000	15.000000	0.000000	FloPro	9999-12-31	5807	9999-12-31	2013-05-08	26543
7226/2-1	2992.000000	1.420000	20.000000	0.000000	FormPro	9999-12-31	5807	9999-12-31	2013-05-08	26544
7227/11-1 A	1229.000000	1.500000	30.000000	0.000000	KCL/POLYMER	9999-12-31	5287	9999-12-31	2013-05-08	26545
7227/11-1 A	2087.000000	1.500000	28.000000	0.000000	KCL/POLYMER	9999-12-31	5287	9999-12-31	2013-05-08	26546
7227/11-1 A	2290.000000	1.500000	25.000000	0.000000	KCL/POLYMER	9999-12-31	5287	9999-12-31	2013-05-08	26547
7227/11-1 A	2721.000000	1.500000	24.000000	0.000000	KCL/POLYMER 1	9999-12-31	5287	9999-12-31	2013-05-08	26548
7227/11-1 A	3135.000000	1.500000	31.000000	0.000000	KCL/POLYMER 1	9999-12-31	5287	9999-12-31	2013-05-08	26549
7227/11-1 A	3446.000000	1.500000	25.000000	0.000000	KCL/POLYMER 1	9999-12-31	5287	9999-12-31	2013-05-08	26550
7227/11-1 A	3448.000000	1.500000	25.000000	0.000000	KCL/POLYMER 1	9999-12-31	5287	9999-12-31	2013-05-08	26551
7227/11-1 S	725.000000	1.350000	0.000000	0.000000	SW / BENTONITE 1	9999-12-31	5006	9999-12-31	2013-05-08	26552
7227/11-1 S	1052.000000	1.300000	16.000000	0.000000	SILDRIL 66	9999-12-31	5006	9999-12-31	2013-05-08	26553
7227/11-1 S	1100.000000	1.450000	16.000000	0.000000	SILDRILL	9999-12-31	5006	9999-12-31	2013-05-08	26554
7227/11-1 S	1154.000000	1.500000	0.000000	0.000000	SILDRILL	9999-12-31	5006	9999-12-31	2013-05-08	26555
7227/11-1 S	1574.000000	1.500000	10.000000	0.000000	SILDRILL	9999-12-31	5006	9999-12-31	2013-05-08	26556
7227/11-1 S	2355.000000	1.500000	30.000000	0.000000	SILDRILL	9999-12-31	5006	9999-12-31	2013-05-08	26557
7227/11-1 S	2590.000000	1.500000	26.000000	0.000000	SILDRILL	9999-12-31	5006	9999-12-31	2013-05-08	26558
7228/1-1	400.000000	1.020000	21.000000	0.000000	SW/Bentonite Sweeps	9999-12-31	6820	9999-12-31	2013-05-08	26559
7228/1-1	450.000000	1.020000	20.000000	0.000000	SW/Bentonite Sweeeps	9999-12-31	6820	9999-12-31	2013-05-08	26560
7228/1-1	458.000000	1.390000	20.000000	0.000000	Bentonite	9999-12-31	6820	9999-12-31	2013-05-08	26561
7228/1-1	755.000000	1.240000	23.000000	0.000000	Glydril	9999-12-31	6820	9999-12-31	2013-05-08	26562
7228/1-1	788.000000	1.240000	18.000000	0.000000	Glydril	9999-12-31	6820	9999-12-31	2013-05-08	26563
7228/1-1	889.000000	1.240000	19.000000	0.000000	Glydril	9999-12-31	6820	9999-12-31	2013-05-08	26564
7228/1-1	1185.000000	1.290000	19.000000	0.000000	Glydril	9999-12-31	6820	9999-12-31	2013-05-08	26565
7228/1-1	1591.000000	1.290000	20.000000	0.000000	Glydril	9999-12-31	6820	9999-12-31	2013-05-08	26566
7228/1-1	1714.000000	1.290000	19.000000	0.000000	Glydril	9999-12-31	6820	9999-12-31	2013-05-08	26567
7228/2-1 S	659.000000	1.380000	0.000000	0.000000	WATER BASED	1989-09-01	1460	9999-12-31	2013-05-08	26568
7228/2-1 S	1005.000000	1.030000	0.000000	0.000000	WATER BASED	1989-09-01	1460	9999-12-31	2013-05-08	26569
7228/2-1 S	1172.000000	1.200000	16.000000	18.000000	WATER BASED	1989-09-05	1460	9999-12-31	2013-05-08	26570
7228/2-1 S	1237.000000	1.020000	16.000000	18.000000	WATER BASED	1989-09-05	1460	9999-12-31	2013-05-08	26571
7228/2-1 S	1296.000000	1.200000	13.000000	18.000000	WATER BASED	1989-09-06	1460	9999-12-31	2013-05-08	26572
7228/2-1 S	1363.000000	1.200000	12.000000	16.000000	WATER BASED	1989-09-08	1460	9999-12-31	2013-05-08	26573
7228/2-1 S	1363.000000	1.200000	12.000000	17.000000	WATER BASED	1989-09-07	1460	9999-12-31	2013-05-08	26574
7228/2-1 S	1363.000000	1.200000	13.000000	16.000000	WATER BASED	1989-09-11	1460	9999-12-31	2013-05-08	26575
7228/2-1 S	1363.000000	1.200000	13.000000	15.000000	WATER BASED	1989-09-11	1460	9999-12-31	2013-05-08	26576
7228/2-1 S	1363.000000	1.200000	19.000000	29.000000	WATER BASED	1989-09-11	1460	9999-12-31	2013-05-08	26577
7228/2-1 S	1384.000000	1.220000	19.000000	25.000000	WATER BASED	1989-09-12	1460	9999-12-31	2013-05-08	26578
7228/2-1 S	1384.000000	1.270000	60.000000	35.000000	WATER BASED	1989-09-13	1460	9999-12-31	2013-05-08	26579
7228/2-1 S	1538.000000	1.270000	22.000000	40.000000	WATER BASED	1989-09-18	1460	9999-12-31	2013-05-08	26580
7228/2-1 S	1576.000000	1.270000	19.000000	35.000000	WATER BASED	1989-09-18	1460	9999-12-31	2013-05-08	26581
7228/2-1 S	1667.000000	1.270000	20.000000	34.000000	WATER BASED	1989-09-18	1460	9999-12-31	2013-05-08	26582
7228/2-1 S	1783.000000	1.270000	21.000000	37.000000	WATER BASED	1989-09-20	1460	9999-12-31	2013-05-08	26583
7228/2-1 S	1847.000000	1.270000	17.000000	33.000000	WATER BASED	1989-09-20	1460	9999-12-31	2013-05-08	26584
7228/2-1 S	1890.000000	1.270000	18.000000	28.000000	WATER BASED	1989-09-21	1460	9999-12-31	2013-05-08	26585
7228/2-1 S	1935.000000	1.270000	18.000000	29.000000	WATER BASED	1989-09-22	1460	9999-12-31	2013-05-08	26586
7228/2-1 S	1990.000000	1.270000	18.000000	30.000000	WATER BASED	1989-09-25	1460	9999-12-31	2013-05-08	26587
7228/2-1 S	1999.000000	1.260000	17.000000	28.000000	WATER BASED	1989-09-25	1460	9999-12-31	2013-05-08	26588
7228/2-1 S	2034.000000	1.260000	18.000000	27.000000	WATER BASED	1989-09-25	1460	9999-12-31	2013-05-08	26589
7228/2-1 S	2059.000000	1.250000	18.000000	31.000000	WATER BASED	1989-09-26	1460	9999-12-31	2013-05-08	26590
7228/2-1 S	2084.000000	1.250000	18.000000	31.000000	WATER BASED	1989-09-27	1460	9999-12-31	2013-05-08	26591
7228/2-1 S	2114.000000	1.250000	17.000000	31.000000	WATER BASED	1989-09-28	1460	9999-12-31	2013-05-08	26592
7228/2-1 S	2135.000000	1.250000	16.000000	30.000000	WATER BASED	1989-09-29	1460	9999-12-31	2013-05-08	26593
7228/2-1 S	2206.000000	1.260000	16.000000	28.000000	WATER BASED	1989-10-03	1460	9999-12-31	2013-05-08	26594
7228/2-1 S	2206.000000	1.180000	15.000000	16.000000	WATER BASED	1989-10-06	1460	9999-12-31	2013-05-08	26595
7228/2-1 S	2206.000000	1.180000	16.000000	14.000000	WATER BASED	1989-10-05	1460	9999-12-31	2013-05-08	26596
7228/2-1 S	2206.000000	1.180000	15.000000	18.000000	WATER BASED	1989-10-04	1460	9999-12-31	2013-05-08	26597
7228/2-1 S	2237.000000	1.150000	18.000000	25.000000	WATER BASED	1989-10-09	1460	9999-12-31	2013-05-08	26598
7228/2-1 S	2258.000000	1.180000	19.000000	22.000000	WATER BASED	1989-10-09	1460	9999-12-31	2013-05-08	26599
7228/2-1 S	2312.000000	1.180000	21.000000	26.000000	WATER BASED	1989-10-10	1460	9999-12-31	2013-05-08	26600
7228/2-1 S	2321.000000	1.180000	18.000000	22.000000	WATER BASED	1989-10-11	1460	9999-12-31	2013-05-08	26601
7228/2-1 S	2439.000000	1.190000	17.000000	21.000000	WATER BASED	1989-10-12	1460	9999-12-31	2013-05-08	26602
7228/2-1 S	2461.000000	1.190000	12.000000	19.000000	WATER BASED	1989-10-13	1460	9999-12-31	2013-05-08	26603
7228/2-1 S	2461.000000	1.190000	12.000000	19.000000	WATER BASED	1989-10-13	1460	9999-12-31	2013-05-08	26604
7228/2-1 S	2488.000000	1.200000	13.000000	19.000000	WATER BASED	1989-10-16	1460	9999-12-31	2013-05-08	26605
7228/2-1 S	2536.000000	1.200000	13.000000	19.000000	WATER BASED	1989-10-16	1460	9999-12-31	2013-05-08	26606
7228/2-1 S	2622.000000	1.200000	14.000000	20.000000	WATER BASED	1989-10-16	1460	9999-12-31	2013-05-08	26607
7228/2-1 S	2701.000000	1.200000	15.000000	15.000000	WATER BASED	1989-10-27	1460	9999-12-31	2013-05-08	26608
7228/2-1 S	2706.000000	1.200000	11.000000	14.000000	WATER BASED	1989-10-17	1460	9999-12-31	2013-05-08	26609
7228/2-1 S	2717.000000	1.200000	17.000000	15.000000	WATER BASED	1989-10-30	1460	9999-12-31	2013-05-08	26610
7228/2-1 S	2749.000000	1.200000	16.000000	18.000000	WATER BASED	1989-10-30	1460	9999-12-31	2013-05-08	26611
7228/2-1 S	2800.000000	1.200000	17.000000	19.000000	WATER BASED	1989-10-18	1460	9999-12-31	2013-05-08	26612
7228/2-1 S	2816.000000	1.200000	15.000000	13.000000	WATER BASED	1989-10-19	1460	9999-12-31	2013-05-08	26613
7228/2-1 S	2845.000000	1.200000	16.000000	18.000000	WATER BASED	1989-10-30	1460	9999-12-31	2013-05-08	26614
7228/2-1 S	2890.000000	1.200000	17.000000	17.000000	WATER BASED	1989-10-31	1460	9999-12-31	2013-05-08	26615
7228/2-1 S	2902.000000	1.200000	14.000000	15.000000	WATER BASED	1989-10-23	1460	9999-12-31	2013-05-08	26616
7228/2-1 S	2902.000000	1.200000	15.000000	15.000000	WATER BASED	1989-10-23	1460	9999-12-31	2013-05-08	26617
7228/2-1 S	2902.000000	1.200000	14.000000	15.000000	WATER BASED	1989-10-23	1460	9999-12-31	2013-05-08	26618
7228/2-1 S	2902.000000	1.200000	15.000000	15.000000	WATER BASED	1989-10-23	1460	9999-12-31	2013-05-08	26619
7228/2-1 S	2902.000000	1.200000	16.000000	15.000000	WATER BASED	1989-10-24	1460	9999-12-31	2013-05-08	26620
7228/2-1 S	2953.000000	1.200000	14.000000	15.000000	WATER BASED	1989-11-01	1460	9999-12-31	2013-05-08	26621
7228/2-1 S	3026.000000	1.200000	12.000000	16.000000	WATER BASED	1989-11-02	1460	9999-12-31	2013-05-08	26622
7228/2-1 S	3070.000000	1.200000	12.000000	15.000000	WATER BASED	1989-11-03	1460	9999-12-31	2013-05-08	26623
7228/2-1 S	3100.000000	1.200000	15.000000	17.000000	WATER BASED	1989-11-06	1460	9999-12-31	2013-05-08	26624
7228/2-1 S	3150.000000	1.200000	14.000000	16.000000	WATER BASED	1989-11-06	1460	9999-12-31	2013-05-08	26625
7228/2-1 S	3165.000000	1.200000	14.000000	16.000000	WATER BASED	1989-11-06	1460	9999-12-31	2013-05-08	26626
7228/2-1 S	3206.000000	1.200000	15.000000	17.000000	WATER BASED	1989-11-07	1460	9999-12-31	2013-05-08	26627
7228/2-1 S	3277.000000	1.200000	15.000000	15.000000	WATER BASED	1989-11-08	1460	9999-12-31	2013-05-08	26628
7228/2-1 S	3354.000000	1.240000	16.000000	18.000000	WATER BASED	1989-11-09	1460	9999-12-31	2013-05-08	26629
7228/2-1 S	3359.000000	1.240000	19.000000	19.000000	WATER BASED	1989-11-10	1460	9999-12-31	2013-05-08	26630
7228/2-1 S	3419.000000	1.240000	15.000000	18.000000	WATER BASED	1989-11-13	1460	9999-12-31	2013-05-08	26631
7228/2-1 S	3474.000000	1.320000	16.000000	18.000000	WATER BASED	1989-11-13	1460	9999-12-31	2013-05-08	26632
7228/2-1 S	3474.000000	1.320000	16.000000	18.000000	WATER BASED	1989-11-13	1460	9999-12-31	2013-05-08	26633
7228/2-1 S	3515.000000	1.320000	15.000000	17.000000	WATER BASED	1989-11-14	1460	9999-12-31	2013-05-08	26634
7228/2-1 S	3587.000000	1.340000	15.000000	18.000000	WATER BASED	1989-11-15	1460	9999-12-31	2013-05-08	26635
7228/2-1 S	3602.000000	1.330000	15.000000	16.000000	WATER BASED	1989-11-16	1460	9999-12-31	2013-05-08	26636
7228/2-1 S	3605.000000	1.330000	15.000000	18.000000	WATER BASED	1989-11-17	1460	9999-12-31	2013-05-08	26637
7228/2-1 S	3605.000000	1.330000	14.000000	17.000000	WATER BASED	1989-11-20	1460	9999-12-31	2013-05-08	26638
7228/2-1 S	3611.000000	1.380000	15.000000	15.000000	WATER BASED	1989-11-20	1460	9999-12-31	2013-05-08	26639
7228/2-1 S	3617.000000	1.380000	13.000000	17.000000	WATER BASED	1989-11-20	1460	9999-12-31	2013-05-08	26640
7228/2-1 S	3654.000000	1.380000	15.000000	17.000000	WATER BASED	1989-11-21	1460	9999-12-31	2013-05-08	26641
7228/2-1 S	3663.000000	1.390000	16.000000	19.000000	WATER BASED	1989-11-22	1460	9999-12-31	2013-05-08	26642
7228/2-1 S	3663.000000	1.440000	17.000000	19.000000	WATER BASED	1989-11-23	1460	9999-12-31	2013-05-08	26643
7228/2-1 S	3663.000000	1.440000	18.000000	22.000000	WATER BASED	1989-11-24	1460	9999-12-31	2013-05-08	26644
7228/2-1 S	3663.000000	1.440000	19.000000	18.000000	WATER BASED	1989-11-27	1460	9999-12-31	2013-05-08	26645
7228/2-1 S	3663.000000	1.440000	18.000000	19.000000	WATER BASED	1989-11-27	1460	9999-12-31	2013-05-08	26646
7228/2-1 S	3663.000000	1.440000	18.000000	16.000000	WATER BASED	1989-11-30	1460	9999-12-31	2013-05-08	26647
7228/2-1 S	3663.000000	1.440000	16.000000	18.000000	WATER BASED	1989-11-29	1460	9999-12-31	2013-05-08	26648
7228/2-1 S	3663.000000	1.440000	16.000000	19.000000	WATER BASED	1989-11-28	1460	9999-12-31	2013-05-08	26649
7228/2-1 S	3663.000000	1.440000	16.000000	18.000000	WATER BASED	1989-11-27	1460	9999-12-31	2013-05-08	26650
7228/2-1 S	3671.000000	1.440000	20.000000	15.000000	WATER BASED	1989-12-01	1460	9999-12-31	2013-05-08	26651
7228/2-1 S	3697.000000	1.440000	15.000000	20.000000	WATER BASED	1989-12-04	1460	9999-12-31	2013-05-08	26652
7228/2-1 S	3860.000000	1.440000	17.000000	13.000000	WATER BASED	1989-12-04	1460	9999-12-31	2013-05-08	26653
7228/2-1 S	3964.000000	1.440000	16.000000	13.000000	WATER BASED	1989-12-04	1460	9999-12-31	2013-05-08	26654
7228/2-1 S	4002.000000	1.450000	20.000000	14.000000	WATER BASED	1989-12-05	1460	9999-12-31	2013-05-08	26655
7228/2-1 S	4131.000000	1.440000	22.000000	13.000000	WATER BASED	1989-12-06	1460	9999-12-31	2013-05-08	26656
7228/2-1 S	4189.000000	1.460000	23.000000	15.000000	WATER BASED	1989-12-08	1460	9999-12-31	2013-05-08	26657
7228/2-1 S	4199.000000	1.460000	23.100000	14.000000	WATER BASED	1989-12-08	1460	9999-12-31	2013-05-08	26658
7228/2-1 S	4280.000000	1.460000	26.000000	13.000000	WATER BASED	1989-12-11	1460	9999-12-31	2013-05-08	26659
7228/2-1 S	4300.000000	1.460000	25.000000	14.000000	WATER BASED	1989-12-11	1460	9999-12-31	2013-05-08	26660
7228/2-1 S	4300.000000	1.460000	26.000000	19.000000	WATER BASED	1989-12-15	1460	9999-12-31	2013-05-08	26661
7228/7-1 A	1540.000000	1.350000	19.000000	0.000000	GLYDRILL	9999-12-31	4257	9999-12-31	2013-05-08	26662
7228/7-1 A	1764.000000	1.350000	18.000000	0.000000	GLYDRILL	9999-12-31	4257	9999-12-31	2013-05-08	26663
7228/7-1 A	2004.000000	1.340000	21.000000	0.000000	GLYDRILL	9999-12-31	4257	9999-12-31	2013-05-08	26664
7228/7-1 A	2045.000000	1.350000	19.000000	0.000000	GLYDRILL	9999-12-31	4257	9999-12-31	2013-05-08	26665
7228/7-1 A	2098.000000	1.350000	20.000000	0.000000	GLYDRILL	9999-12-31	4257	9999-12-31	2013-05-08	26666
7228/7-1 A	2102.000000	1.350000	20.000000	0.000000	GLYDRILL	9999-12-31	4257	9999-12-31	2013-05-08	26667
7228/7-1 A	2224.000000	1.350000	19.000000	0.000000	GLYDRILL	9999-12-31	4257	9999-12-31	2013-05-08	26668
7228/7-1 A	2833.000000	1.430000	27.000000	0.000000	GLYDRILL	9999-12-31	4257	9999-12-31	2013-05-08	26669
7228/7-1 A	2856.000000	1.430000	26.000000	0.000000	GLYDRILL	9999-12-31	4257	9999-12-31	2013-05-08	26670
7228/7-1 A	2861.000000	1.430000	27.000000	0.000000	GLYDRILL	9999-12-31	4257	9999-12-31	2013-05-08	26671
7228/7-1 A	2881.000000	1.450000	28.000000	0.000000	GLYDRILL	9999-12-31	4257	9999-12-31	2013-05-08	26672
7228/7-1 B	555.000000	1.330000	21.000000	0.000000	GLYDRILL	9999-12-31	4261	9999-12-31	2013-05-08	26673
7228/7-1 B	1986.000000	1.310000	23.000000	0.000000	GLYDRILL	9999-12-31	4261	9999-12-31	2013-05-08	26674
7228/7-1 B	2181.000000	1.310000	20.000000	0.000000	GLYDRILL	9999-12-31	4261	9999-12-31	2013-05-08	26675
7228/7-1 B	2227.000000	1.310000	21.000000	0.000000	GLYDRILL	9999-12-31	4261	9999-12-31	2013-05-08	26676
7228/7-1 S	372.000000	1.030000	14.000000	0.000000	SEAWATER/PAC	9999-12-31	3015	9999-12-31	2013-05-08	26677
7228/7-1 S	505.000000	1.200000	16.000000	0.000000	SEAWATER/PAC	9999-12-31	3015	9999-12-31	2013-05-08	26678
7228/7-1 S	507.000000	1.200000	16.000000	0.000000	SEAWATER/PAC	9999-12-31	3015	9999-12-31	2013-05-08	26679
7228/7-1 S	586.000000	1.200000	20.000000	0.000000	BRINE	9999-12-31	3015	9999-12-31	2013-05-08	26680
7228/7-1 S	893.000000	1.390000	15.000000	0.000000	GLYDRILL	9999-12-31	3015	9999-12-31	2013-05-08	26681
7228/7-1 S	1041.000000	1.390000	25.000000	0.000000	GLYDRILL	9999-12-31	3015	9999-12-31	2013-05-08	26682
7228/7-1 S	1158.000000	1.390000	24.000000	0.000000	GLYDRILL	9999-12-31	3015	9999-12-31	2013-05-08	26683
7228/7-1 S	1163.000000	1.400000	24.000000	0.000000	GLYDRILL	9999-12-31	3015	9999-12-31	2013-05-08	26684
7228/7-1 S	1278.000000	1.300000	13.000000	0.000000	BRINE	9999-12-31	3015	9999-12-31	2013-05-08	26685
7228/7-1 S	1280.000000	1.350000	22.000000	0.000000	BRINE	9999-12-31	3015	9999-12-31	2013-05-08	26686
7228/7-1 S	1333.000000	1.450000	25.000000	0.000000	GLYDRILL	9999-12-31	3015	9999-12-31	2013-05-08	26687
7228/7-1 S	1348.000000	1.370000	25.000000	0.000000	BRINE	9999-12-31	3015	9999-12-31	2013-05-08	26688
7228/7-1 S	1348.000000	1.350000	21.000000	0.000000	BRINE	9999-12-31	3015	9999-12-31	2013-05-08	26689
7228/7-1 S	1367.000000	1.350000	19.000000	0.000000	GLYDRILL	9999-12-31	3015	9999-12-31	2013-05-08	26690
7228/7-1 S	1424.000000	1.350000	19.000000	0.000000	GLYDRILL	9999-12-31	3015	9999-12-31	2013-05-08	26691
7228/7-1 S	1618.000000	1.350000	19.000000	0.000000	GLYDRILL	9999-12-31	3015	9999-12-31	2013-05-08	26692
7228/7-1 S	1822.000000	1.350000	19.000000	0.000000	GLYDRILL	9999-12-31	3015	9999-12-31	2013-05-08	26693
7228/7-1 S	2055.000000	1.350000	21.000000	0.000000	GLYDRILL	9999-12-31	3015	9999-12-31	2013-05-08	26694
7228/7-1 S	2087.000000	1.350000	21.000000	0.000000	GLYDRILL	9999-12-31	3015	9999-12-31	2013-05-08	26695
7228/9-1 S	330.000000	1.380000	19.000000	4.000000	WATER BASED	1990-05-10	1486	9999-12-31	2013-05-08	26696
7228/9-1 S	330.000000	1.380000	19.000000	4.000000	WATER BASED	1990-05-10	1486	9999-12-31	2013-05-08	26697
7228/9-1 S	356.000000	1.050000	10.000000	42.000000	WATER BASED	1990-01-04	1486	9999-12-31	2013-05-08	26698
7228/9-1 S	363.000000	1.200000	1.000000	1.000000	WATER BASED	1989-12-27	1486	9999-12-31	2013-05-08	26699
7228/9-1 S	366.000000	1.200000	8.000000	39.000000	WATER BASED	1989-12-27	1486	9999-12-31	2013-05-08	26700
7228/9-1 S	366.000000	1.200000	7.000000	40.000000	WATER BASED	1989-12-27	1486	9999-12-31	2013-05-08	26701
7228/9-1 S	377.000000	1.200000	7.000000	37.000000	WATER BASED	1989-12-27	1486	9999-12-31	2013-05-08	26702
7228/9-1 S	379.000000	1.050000	9.000000	42.000000	WATER BASED	1990-01-05	1486	9999-12-31	2013-05-08	26703
7228/9-1 S	379.000000	1.050000	8.000000	43.000000	WATER BASED	1990-01-09	1486	9999-12-31	2013-05-08	26704
7228/9-1 S	430.000000	1.500000	12.000000	43.000000	WATER BASED	1990-01-09	1486	9999-12-31	2013-05-08	26705
7228/9-1 S	430.000000	1.500000	12.000000	43.000000	WATER BASED	1990-01-12	1486	9999-12-31	2013-05-08	26706
7228/9-1 S	430.000000	1.030000	10.000000	42.000000	WATER BASED	1990-01-16	1486	9999-12-31	2013-05-08	26707
7228/9-1 S	430.000000	1.500000	11.000000	44.000000	WATER BASED	1990-01-15	1486	9999-12-31	2013-05-08	26708
7228/9-1 S	430.000000	1.500000	11.000000	44.000000	WATER BASED	1990-01-15	1486	9999-12-31	2013-05-08	26709
7228/9-1 S	430.000000	1.500000	11.000000	44.000000	WATER BASED	1990-01-15	1486	9999-12-31	2013-05-08	26710
7228/9-1 S	435.000000	1.500000	10.000000	43.000000	WATER BASED	1990-01-09	1486	9999-12-31	2013-05-08	26711
7228/9-1 S	780.000000	1.050000	6.000000	40.000000	WATER BASED	1989-12-27	1486	9999-12-31	2013-05-08	26712
7228/9-1 S	780.000000	1.030000	10.000000	42.000000	WATER BASED	1990-01-17	1486	9999-12-31	2013-05-08	26713
7228/9-1 S	964.000000	1.200000	3.000000	36.000000	DUMMY	1990-01-03	1486	9999-12-31	2013-05-08	26714
7228/9-1 S	964.000000	1.200000	3.000000	36.000000	DUMMY	1990-01-03	1486	9999-12-31	2013-05-08	26715
7228/9-1 S	964.000000	1.200000	2.000000	36.000000	DUMMY	1990-01-03	1486	9999-12-31	2013-05-08	26716
7228/9-1 S	964.000000	1.130000	2.000000	35.000000	DUMMY	1990-01-03	1486	9999-12-31	2013-05-08	26717
7228/9-1 S	964.000000	1.100000	2.000000	36.000000	DUMMY	1990-01-03	1486	9999-12-31	2013-05-08	26718
7228/9-1 S	964.000000	1.050000	8.000000	39.000000	DUMMY	1990-01-03	1486	9999-12-31	2013-05-08	26719
7228/9-1 S	964.000000	1.200000	4.000000	36.000000	DUMMY	1989-12-28	1486	9999-12-31	2013-05-08	26720
7228/9-1 S	965.000000	1.030000	9.000000	42.000000	WATER BASED	1990-01-19	1486	9999-12-31	2013-05-08	26721
7228/9-1 S	965.000000	1.030000	21.000000	28.000000	WATER BASED	1990-01-22	1486	9999-12-31	2013-05-08	26722
7228/9-1 S	965.000000	1.030000	31.000000	36.000000	WATER BASED	1990-01-22	1486	9999-12-31	2013-05-08	26723
7228/9-1 S	965.000000	1.170000	17.000000	8.000000	WATER BASED	1990-01-30	1486	9999-12-31	2013-05-08	26724
7228/9-1 S	965.000000	1.170000	17.000000	8.000000	WATER BASED	1990-01-30	1486	9999-12-31	2013-05-08	26725
7228/9-1 S	965.000000	1.170000	17.000000	9.000000	WATER BASED	1990-01-29	1486	9999-12-31	2013-05-08	26726
7228/9-1 S	965.000000	1.050000	16.000000	9.000000	WATER BASED	1990-01-25	1486	9999-12-31	2013-05-08	26727
7228/9-1 S	965.000000	1.050000	16.000000	9.000000	WATER BASED	1990-01-24	1486	9999-12-31	2013-05-08	26728
7228/9-1 S	965.000000	1.050000	16.000000	9.000000	WATER BASED	1990-01-24	1486	9999-12-31	2013-05-08	26729
7228/9-1 S	965.000000	1.030000	29.000000	40.000000	WATER BASED	1990-01-22	1486	9999-12-31	2013-05-08	26730
7228/9-1 S	965.000000	1.170000	17.000000	9.000000	WATER BASED	1990-01-26	1486	9999-12-31	2013-05-08	26731
7228/9-1 S	968.000000	1.170000	17.000000	8.000000	WATER BASED	1990-01-30	1486	9999-12-31	2013-05-08	26732
7228/9-1 S	1043.000000	1.170000	16.000000	8.000000	WATER BASED	1990-01-30	1486	9999-12-31	2013-05-08	26733
7228/9-1 S	1052.000000	1.170000	16.000000	8.000000	WATER BASED	1990-01-31	1486	9999-12-31	2013-05-08	26734
7228/9-1 S	1095.000000	1.170000	18.000000	10.000000	WATER BASED	1990-02-01	1486	9999-12-31	2013-05-08	26735
7228/9-1 S	1146.000000	1.180000	17.000000	8.000000	WATER BASED	1990-02-06	1486	9999-12-31	2013-05-08	26736
7228/9-1 S	1277.000000	1.170000	16.000000	8.000000	WATER BASED	1990-02-06	1486	9999-12-31	2013-05-08	26737
7228/9-1 S	1305.000000	1.170000	18.000000	9.000000	WATER BASED	1990-02-06	1486	9999-12-31	2013-05-08	26738
7228/9-1 S	1330.000000	1.170000	17.000000	9.000000	WATER BASED	1990-02-07	1486	9999-12-31	2013-05-08	26739
7228/9-1 S	1349.000000	1.170000	17.000000	9.000000	WATER BASED	1990-02-07	1486	9999-12-31	2013-05-08	26740
7228/9-1 S	1353.000000	1.170000	17.000000	8.000000	WATER BASED	1990-02-08	1486	9999-12-31	2013-05-08	26741
7228/9-1 S	1556.000000	1.170000	15.000000	8.000000	WATER BASED	1990-02-12	1486	9999-12-31	2013-05-08	26742
7228/9-1 S	1700.000000	1.170000	14.000000	7.000000	WATER BASED	1990-02-12	1486	9999-12-31	2013-05-08	26743
7228/9-1 S	1796.000000	1.220000	15.000000	7.000000	WATER BASED	1990-02-12	1486	9999-12-31	2013-05-08	26744
7228/9-1 S	1919.000000	1.220000	17.000000	9.000000	WATER BASED	1990-02-12	1486	9999-12-31	2013-05-08	26745
7228/9-1 S	2026.000000	1.220000	16.000000	9.000000	WATER BASED	1990-02-13	1486	9999-12-31	2013-05-08	26746
7228/9-1 S	2055.000000	1.220000	16.000000	9.000000	WATER BASED	1990-02-15	1486	9999-12-31	2013-05-08	26747
7228/9-1 S	2130.000000	1.220000	15.000000	9.000000	WATER BASED	1990-02-15	1486	9999-12-31	2013-05-08	26748
7228/9-1 S	2263.000000	1.220000	14.000000	8.000000	WATER BASED	1990-02-16	1486	9999-12-31	2013-05-08	26749
7228/9-1 S	2300.000000	1.220000	16.000000	9.000000	WATER BASED	1990-02-20	1486	9999-12-31	2013-05-08	26750
7228/9-1 S	2351.000000	1.220000	16.000000	9.000000	WATER BASED	1990-02-20	1486	9999-12-31	2013-05-08	26751
7228/9-1 S	2386.000000	1.220000	14.000000	10.000000	WATER BASED	1990-02-20	1486	9999-12-31	2013-05-08	26752
7228/9-1 S	2431.000000	1.220000	15.000000	10.000000	WATER BASED	1990-02-20	1486	9999-12-31	2013-05-08	26753
7228/9-1 S	2489.000000	1.220000	16.000000	9.000000	WATER BASED	1990-02-21	1486	9999-12-31	2013-05-08	26754
7228/9-1 S	2534.000000	1.220000	15.000000	9.000000	WATER BASED	1990-02-22	1486	9999-12-31	2013-05-08	26755
7228/9-1 S	2574.000000	1.220000	17.000000	9.000000	WATER BASED	1990-02-23	1486	9999-12-31	2013-05-08	26756
7228/9-1 S	2588.000000	1.220000	18.000000	8.000000	WATER BASED	1990-02-26	1486	9999-12-31	2013-05-08	26757
7228/9-1 S	2605.000000	1.220000	18.000000	10.000000	WATER BASED	1990-02-26	1486	9999-12-31	2013-05-08	26758
7228/9-1 S	2614.000000	1.220000	17.000000	8.000000	WATER BASED	1990-02-26	1486	9999-12-31	2013-05-08	26759
7228/9-1 S	2614.000000	1.220000	18.000000	8.000000	WATER BASED	1990-03-02	1486	9999-12-31	2013-05-08	26760
7228/9-1 S	2614.000000	1.220000	18.000000	9.000000	WATER BASED	1990-03-05	1486	9999-12-31	2013-05-08	26761
7228/9-1 S	2614.000000	1.220000	17.000000	8.000000	WATER BASED	1990-03-05	1486	9999-12-31	2013-05-08	26762
7228/9-1 S	2614.000000	1.220000	18.000000	9.000000	WATER BASED	1990-02-27	1486	9999-12-31	2013-05-08	26763
7228/9-1 S	2614.000000	1.220000	18.000000	9.000000	WATER BASED	1990-02-28	1486	9999-12-31	2013-05-08	26764
7228/9-1 S	2614.000000	1.220000	18.000000	9.000000	WATER BASED	1990-03-01	1486	9999-12-31	2013-05-08	26765
7228/9-1 S	2644.000000	1.220000	20.000000	9.000000	WATER BASED	1990-03-05	1486	9999-12-31	2013-05-08	26766
7228/9-1 S	2664.000000	1.220000	18.000000	8.000000	WATER BASED	1990-03-06	1486	9999-12-31	2013-05-08	26767
7228/9-1 S	2668.000000	1.220000	18.000000	9.000000	WATER BASED	1990-03-07	1486	9999-12-31	2013-05-08	26768
7228/9-1 S	2717.000000	1.220000	20.000000	8.000000	WATER BASED	1990-03-08	1486	9999-12-31	2013-05-08	26769
7228/9-1 S	2796.000000	1.220000	18.000000	9.000000	WATER BASED	1990-03-12	1486	9999-12-31	2013-05-08	26770
7228/9-1 S	2865.000000	1.220000	21.000000	8.000000	WATER BASED	1990-03-13	1486	9999-12-31	2013-05-08	26771
7228/9-1 S	2880.000000	1.220000	19.000000	8.000000	WATER BASED	1990-03-13	1486	9999-12-31	2013-05-08	26772
7228/9-1 S	2906.000000	1.220000	17.000000	7.000000	WATER BASED	1990-03-13	1486	9999-12-31	2013-05-08	26773
7228/9-1 S	2979.000000	1.220000	18.000000	9.000000	WATER BASED	1990-03-13	1486	9999-12-31	2013-05-08	26774
7228/9-1 S	3054.000000	1.220000	21.000000	9.000000	WATER BASED	1990-03-14	1486	9999-12-31	2013-05-08	26775
7228/9-1 S	3130.000000	1.220000	21.000000	8.000000	WATER BASED	1990-03-15	1486	9999-12-31	2013-05-08	26776
7228/9-1 S	3197.000000	1.220000	20.000000	8.000000	WATER BASED	1990-03-16	1486	9999-12-31	2013-05-08	26777
7228/9-1 S	3286.000000	1.220000	20.000000	8.000000	WATER BASED	1990-03-20	1486	9999-12-31	2013-05-08	26778
7228/9-1 S	3364.000000	1.220000	20.000000	8.000000	WATER BASED	1990-03-20	1486	9999-12-31	2013-05-08	26779
7228/9-1 S	3403.000000	1.220000	19.000000	7.000000	WATER BASED	1990-03-20	1486	9999-12-31	2013-05-08	26780
7228/9-1 S	3423.000000	1.220000	17.000000	8.000000	WATER BASED	1990-03-20	1486	9999-12-31	2013-05-08	26781
7228/9-1 S	3560.000000	1.250000	21.000000	8.000000	WATER BASED	1990-03-21	1486	9999-12-31	2013-05-08	26782
7228/9-1 S	3660.000000	1.250000	20.000000	7.000000	WATER BASED	1990-03-22	1486	9999-12-31	2013-05-08	26783
7228/9-1 S	3686.000000	1.250000	20.000000	7.000000	WATER BASED	1990-03-23	1486	9999-12-31	2013-05-08	26784
7228/9-1 S	3727.000000	1.250000	20.000000	7.000000	WATER BASED	1990-03-26	1486	9999-12-31	2013-05-08	26785
7228/9-1 S	3756.000000	1.250000	20.000000	7.000000	WATER BASED	1990-03-26	1486	9999-12-31	2013-05-08	26786
7228/9-1 S	3874.000000	1.250000	18.000000	8.000000	WATER BASED	1990-03-26	1486	9999-12-31	2013-05-08	26787
7228/9-1 S	3929.000000	1.250000	18.000000	7.000000	WATER BASED	1990-03-27	1486	9999-12-31	2013-05-08	26788
7228/9-1 S	3943.000000	1.250000	18.000000	7.000000	WATER BASED	1990-03-28	1486	9999-12-31	2013-05-08	26789
7228/9-1 S	3987.000000	1.250000	17.000000	7.000000	WATER BASED	1990-03-30	1486	9999-12-31	2013-05-08	26790
7228/9-1 S	3995.000000	1.250000	17.000000	7.000000	WATER BASED	1990-03-30	1486	9999-12-31	2013-05-08	26791
7228/9-1 S	3996.000000	1.250000	18.000000	7.000000	WATER BASED	1990-04-02	1486	9999-12-31	2013-05-08	26792
7228/9-1 S	4000.000000	1.250000	17.000000	7.000000	WATER BASED	1990-04-02	1486	9999-12-31	2013-05-08	26793
7228/9-1 S	4005.000000	1.380000	19.000000	3.000000	WATER BASED	1990-05-10	1486	9999-12-31	2013-05-08	26794
7228/9-1 S	4010.000000	1.250000	18.000000	7.000000	WATER BASED	1990-04-02	1486	9999-12-31	2013-05-08	26795
7228/9-1 S	4018.000000	1.250000	17.000000	7.000000	WATER BASED	1990-04-04	1486	9999-12-31	2013-05-08	26796
7228/9-1 S	4042.000000	1.250000	19.000000	7.000000	WATER BASED	1990-04-04	1486	9999-12-31	2013-05-08	26797
7228/9-1 S	4052.000000	1.250000	19.000000	7.000000	WATER BASED	1990-04-05	1486	9999-12-31	2013-05-08	26798
7228/9-1 S	4080.000000	1.250000	18.000000	7.000000	WATER BASED	1990-04-06	1486	9999-12-31	2013-05-08	26799
7228/9-1 S	4099.000000	1.250000	19.000000	7.000000	WATER BASED	1990-04-09	1486	9999-12-31	2013-05-08	26800
7228/9-1 S	4109.000000	1.250000	19.000000	7.000000	WATER BASED	1990-04-09	1486	9999-12-31	2013-05-08	26801
7228/9-1 S	4146.000000	1.250000	18.000000	7.000000	WATER BASED	1990-04-09	1486	9999-12-31	2013-05-08	26802
7228/9-1 S	4162.000000	1.250000	18.000000	7.000000	WATER BASED	1990-04-10	1486	9999-12-31	2013-05-08	26803
7228/9-1 S	4192.000000	1.250000	20.000000	7.000000	WATER BASED	1990-04-18	1486	9999-12-31	2013-05-08	26804
7228/9-1 S	4192.000000	1.250000	21.000000	7.000000	WATER BASED	1990-04-18	1486	9999-12-31	2013-05-08	26805
7228/9-1 S	4192.000000	1.250000	20.000000	7.000000	WATER BASED	1990-04-18	1486	9999-12-31	2013-05-08	26806
7228/9-1 S	4192.000000	1.250000	23.000000	7.000000	WATER BASED	1990-04-18	1486	9999-12-31	2013-05-08	26807
7228/9-1 S	4192.000000	1.250000	23.000000	7.000000	WATER BASED	1990-04-18	1486	9999-12-31	2013-05-08	26808
7228/9-1 S	4192.000000	1.250000	20.000000	7.000000	WATER BASED	1990-04-11	1486	9999-12-31	2013-05-08	26809
7228/9-1 S	4192.000000	1.250000	24.000000	7.000000	WATER BASED	1990-04-18	1486	9999-12-31	2013-05-08	26810
7228/9-1 S	4241.000000	1.250000	18.000000	7.000000	WATER BASED	1990-04-19	1486	9999-12-31	2013-05-08	26811
7228/9-1 S	4269.000000	1.250000	21.000000	7.000000	WATER BASED	1990-04-24	1486	9999-12-31	2013-05-08	26812
7228/9-1 S	4300.000000	1.250000	23.000000	7.000000	WATER BASED	1990-04-24	1486	9999-12-31	2013-05-08	26813
7228/9-1 S	4319.000000	1.250000	21.000000	6.000000	WATER BASED	1990-04-24	1486	9999-12-31	2013-05-08	26814
7228/9-1 S	4325.000000	1.250000	19.000000	7.000000	WATER BASED	1990-04-24	1486	9999-12-31	2013-05-08	26815
7228/9-1 S	4368.000000	1.250000	21.000000	8.000000	WATER BASED	1990-04-24	1486	9999-12-31	2013-05-08	26816
7228/9-1 S	4375.000000	1.250000	21.000000	6.000000	WATER BASED	1990-04-25	1486	9999-12-31	2013-05-08	26817
7228/9-1 S	4418.000000	1.250000	21.000000	6.000000	WATER BASED	1990-04-26	1486	9999-12-31	2013-05-08	26818
7228/9-1 S	4445.000000	1.250000	20.000000	6.000000	WATER BASED	1990-04-27	1486	9999-12-31	2013-05-08	26819
7228/9-1 S	4600.000000	1.380000	20.000000	4.000000	WATER BASED	1990-05-04	1486	9999-12-31	2013-05-08	26820
7228/9-1 S	4600.000000	1.380000	20.000000	4.000000	WATER BASED	1990-05-03	1486	9999-12-31	2013-05-08	26821
7229/11-1	340.000000	1.250000	42.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26822
7229/11-1	920.000000	1.280000	42.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26823
7229/11-1	1045.000000	1.280000	52.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26824
7229/11-1	1098.000000	1.180000	75.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26825
7229/11-1	1168.000000	1.180000	55.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26826
7229/11-1	1470.000000	1.180000	51.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26827
7229/11-1	1522.000000	1.210000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26828
7229/11-1	1610.000000	1.180000	47.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26829
7229/11-1	1762.000000	1.180000	47.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26830
7229/11-1	1844.000000	1.220000	43.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26831
7229/11-1	1920.000000	1.180000	46.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26832
7229/11-1	1940.000000	1.210000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26833
7229/11-1	2057.000000	1.210000	46.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26834
7229/11-1	2176.000000	1.210000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26835
7229/11-1	2255.000000	1.210000	53.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26836
7229/11-1	2300.000000	1.270000	67.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26837
7229/11-1	2317.000000	1.210000	57.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26838
7229/11-1	2327.000000	1.210000	54.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26839
7229/11-1	2500.000000	1.210000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26840
7229/11-1	2641.000000	1.200000	46.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26841
7229/11-1	2711.000000	1.210000	46.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26842
7229/11-1	2750.000000	1.210000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26843
7229/11-1	2761.000000	1.210000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26844
7229/11-1	2780.000000	1.210000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26845
7229/11-1	2802.000000	1.210000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26846
7229/11-1	2830.000000	1.350000	65.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26847
7229/11-1	2844.000000	1.210000	46.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26848
7229/11-1	2850.000000	1.360000	67.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26849
7229/11-1	2854.000000	1.210000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26850
7229/11-1	2859.000000	1.210000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26851
7229/11-1	2939.000000	1.210000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26852
7229/11-1	2980.000000	1.340000	56.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26853
7229/11-1	3004.000000	1.210000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26854
7229/11-1	3012.000000	1.210000	50.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26855
7229/11-1	3086.000000	1.200000	53.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26856
7229/11-1	3151.000000	1.210000	54.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26857
7229/11-1	3183.000000	1.210000	54.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26858
7229/11-1	3254.000000	1.210000	53.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26859
7229/11-1	3271.000000	1.210000	51.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26860
7229/11-1	3302.000000	1.210000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26861
7229/11-1	3355.000000	1.210000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26862
7229/11-1	3417.000000	1.210000	46.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26863
7229/11-1	3456.000000	1.210000	49.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26864
7229/11-1	3506.000000	1.210000	47.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26865
7229/11-1	3646.000000	1.210000	44.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26866
7229/11-1	3700.000000	1.210000	46.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26867
7229/11-1	3742.000000	1.210000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26868
7229/11-1	3798.000000	1.210000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26869
7229/11-1	3811.000000	1.210000	43.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26870
7229/11-1	3818.000000	1.210000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26871
7229/11-1	3820.000000	1.210000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26872
7229/11-1	3906.000000	1.230000	44.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26873
7229/11-1	3922.000000	1.230000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26874
7229/11-1	3942.000000	1.230000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26875
7229/11-1	3957.000000	1.240000	446.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26876
7229/11-1	3984.000000	1.230000	50.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26877
7229/11-1	4088.000000	1.230000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26878
7229/11-1	4097.000000	1.230000	46.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26879
7229/11-1	4125.000000	1.230000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26880
7229/11-1	4130.000000	1.230000	44.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26881
7229/11-1	4158.000000	1.230000	43.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26882
7229/11-1	4183.000000	1.230000	49.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26883
7229/11-1	4211.000000	1.230000	46.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26884
7229/11-1	4240.000000	1.230000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26885
7229/11-1	4268.000000	1.230000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26886
7229/11-1	4275.000000	1.230000	47.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26887
7229/11-1	4278.000000	1.230000	45.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26888
7229/11-1	4279.000000	1.230000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26889
7229/11-1	4307.000000	1.230000	48.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26890
7229/11-1	4345.000000	1.240000	44.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26891
7229/11-1	4366.000000	1.330000	47.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26892
7229/11-1	4373.000000	1.330000	46.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26893
7229/11-1	4422.000000	1.330000	47.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26894
7229/11-1	4559.000000	1.330000	49.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26895
7229/11-1	4612.000000	1.340000	54.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26896
7229/11-1	4630.000000	1.340000	57.000000	0.000000	WATER BASED	9999-12-31	1643	9999-12-31	2013-05-08	26897
7316/5-1	476.000000	1.080000	8.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26898
7316/5-1	506.000000	1.240000	13.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26899
7316/5-1	517.000000	1.200000	10.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26900
7316/5-1	555.000000	1.240000	0.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26901
7316/5-1	560.000000	1.080000	15.500000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26902
7316/5-1	561.000000	1.200000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26903
7316/5-1	569.000000	1.060000	13.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26904
7316/5-1	574.000000	1.390000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26905
7316/5-1	610.000000	1.400000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26906
7316/5-1	613.000000	1.400000	16.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26907
7316/5-1	636.000000	1.080000	11.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26908
7316/5-1	722.000000	1.400000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26909
7316/5-1	811.000000	1.400000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26910
7316/5-1	875.000000	1.070000	5.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26911
7316/5-1	903.000000	1.300000	11.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26912
7316/5-1	906.000000	1.500000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26913
7316/5-1	907.000000	1.220000	22.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26914
7316/5-1	921.000000	1.220000	22.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26915
7316/5-1	1025.000000	1.220000	21.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26916
7316/5-1	1174.000000	1.220000	22.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26917
7316/5-1	1231.000000	1.240000	13.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26918
7316/5-1	1310.000000	1.240000	13.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26919
7316/5-1	1347.000000	1.220000	22.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26920
7316/5-1	1370.000000	1.240000	12.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26921
7316/5-1	2207.000000	1.220000	19.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26922
7316/5-1	2753.000000	1.220000	17.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26923
7316/5-1	2988.000000	1.250000	18.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26924
7316/5-1	3063.000000	1.250000	12.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26925
7316/5-1	3178.000000	1.250000	12.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26926
7316/5-1	3242.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26927
7316/5-1	3381.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26928
7316/5-1	3406.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26929
7316/5-1	3478.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26930
7316/5-1	3548.000000	1.250000	17.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26931
7316/5-1	3651.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26932
7316/5-1	3729.000000	1.250000	15.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26933
7316/5-1	3784.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26934
7316/5-1	3969.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26935
7316/5-1	4006.000000	1.250000	14.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26936
7316/5-1	4027.000000	1.250000	15.000000	0.000000	WATER BASED	9999-12-31	1987	9999-12-31	2013-05-08	26937
7321/7-1	571.000000	1.030000	0.000000	0.000000	WATER BASED	1988-06-28	1284	9999-12-31	2013-05-08	26938
7321/7-1	1069.000000	1.070000	10.000000	10.000000	WATER BASED	1988-07-21	1284	9999-12-31	2013-05-08	26939
7321/7-1	1083.000000	1.090000	14.000000	13.400000	WATER BASED	1988-07-27	1284	9999-12-31	2013-05-08	26940
7321/7-1	1127.000000	1.080000	10.000000	9.500000	WATER BASED	1988-07-27	1284	9999-12-31	2013-05-08	26941
7321/7-1	1162.000000	1.080000	13.000000	9.500000	WATER BASED	1988-07-27	1284	9999-12-31	2013-05-08	26942
7321/7-1	1162.000000	1.080000	11.000000	8.100000	WATER BASED	1988-07-27	1284	9999-12-31	2013-05-08	26943
7321/7-1	1162.000000	1.080000	43.000000	5.700000	WATER BASED	1988-07-27	1284	9999-12-31	2013-05-08	26944
7321/7-1	1214.000000	1.080000	11.000000	7.100000	WATER BASED	1988-07-27	1284	9999-12-31	2013-05-08	26945
7321/7-1	1246.000000	1.090000	11.000000	9.100000	WATER BASED	1988-07-27	1284	9999-12-31	2013-05-08	26946
7321/7-1	1384.000000	1.080000	7.000000	7.100000	WATER BASED	1988-07-28	1284	9999-12-31	2013-05-08	26947
7321/7-1	1435.000000	1.080000	10.000000	0.000000	WATER BASED	1988-08-01	1284	9999-12-31	2013-05-08	26948
7321/7-1	1435.000000	1.080000	7.000000	7.200000	WATER BASED	1988-08-01	1284	9999-12-31	2013-05-08	26949
7321/7-1	1435.000000	1.080000	8.000000	6.700000	WATER BASED	1988-08-01	1284	9999-12-31	2013-05-08	26950
7321/7-1	1440.000000	1.080000	6.000000	6.200000	WATER BASED	1988-08-01	1284	9999-12-31	2013-05-08	26951
7321/7-1	1478.000000	1.080000	7.000000	6.700000	WATER BASED	1988-08-04	1284	9999-12-31	2013-05-08	26952
7321/7-1	1478.000000	1.080000	9.000000	7.100000	WATER BASED	1988-08-04	1284	9999-12-31	2013-05-08	26953
7321/7-1	1478.000000	1.080000	8.000000	7.100000	WATER BASED	1988-08-05	1284	9999-12-31	2013-05-08	26954
7321/7-1	1478.000000	1.080000	9.000000	6.700000	WATER BASED	1988-08-08	1284	9999-12-31	2013-05-08	26955
7321/7-1	1478.000000	1.080000	10.000000	7.100000	WATER BASED	1988-08-08	1284	9999-12-31	2013-05-08	26956
7321/7-1	1508.000000	1.080000	11.000000	7.600000	WATER BASED	1988-08-08	1284	9999-12-31	2013-05-08	26957
7321/7-1	1508.000000	1.080000	11.000000	7.600000	WATER BASED	1988-08-09	1284	9999-12-31	2013-05-08	26958
7321/7-1	1533.000000	1.070000	9.000000	7.100000	WATER BASED	1988-08-10	1284	9999-12-31	2013-05-08	26959
7321/7-1	1533.000000	1.070000	10.000000	7.600000	WATER BASED	1988-08-11	1284	9999-12-31	2013-05-08	26960
7321/7-1	1533.000000	1.040000	7.000000	6.700000	WATER BASED	1988-08-15	1284	9999-12-31	2013-05-08	26961
7321/7-1	1533.000000	1.040000	8.000000	6.700000	WATER BASED	1988-08-16	1284	9999-12-31	2013-05-08	26962
7321/7-1	1533.000000	1.040000	7.000000	7.600000	WATER BASED	1988-08-16	1284	9999-12-31	2013-05-08	26963
7321/7-1	1533.000000	1.070000	10.000000	6.700000	WATER BASED	1988-08-12	1284	9999-12-31	2013-05-08	26964
7321/7-1	1537.000000	1.060000	8.000000	8.100000	WATER BASED	1988-08-16	1284	9999-12-31	2013-05-08	26965
7321/7-1	1557.000000	1.070000	6.000000	5.700000	WATER BASED	1988-08-19	1284	9999-12-31	2013-05-08	26966
7321/7-1	1570.000000	1.070000	8.000000	7.600000	WATER BASED	1988-08-19	1284	9999-12-31	2013-05-08	26967
7321/7-1	1586.000000	1.040000	6.000000	6.200000	WATER BASED	1988-08-23	1284	9999-12-31	2013-05-08	26968
7321/7-1	1586.000000	1.030000	5.000000	6.700000	WATER BASED	1988-08-23	1284	9999-12-31	2013-05-08	26969
7321/7-1	1606.000000	1.040000	5.000000	7.100000	WATER BASED	1988-08-23	1284	9999-12-31	2013-05-08	26970
7321/7-1	1606.000000	1.030000	3.000000	4.300000	WATER BASED	1988-08-23	1284	9999-12-31	2013-05-08	26971
7321/7-1	1626.000000	1.040000	7.000000	8.600000	WATER BASED	1988-08-24	1284	9999-12-31	2013-05-08	26972
7321/7-1	1644.000000	1.040000	4.000000	6.200000	WATER BASED	1988-08-25	1284	9999-12-31	2013-05-08	26973
7321/7-1	1644.000000	1.040000	4.000000	6.700000	WATER BASED	1988-08-26	1284	9999-12-31	2013-05-08	26974
7321/7-1	1664.000000	1.020000	0.000000	0.000000	WATER BASED	1988-08-29	1284	9999-12-31	2013-05-08	26975
7321/7-1	1684.000000	1.040000	4.000000	6.700000	WATER BASED	1988-08-29	1284	9999-12-31	2013-05-08	26976
7321/7-1	1684.000000	1.030000	5.000000	8.100000	WATER BASED	1988-08-29	1284	9999-12-31	2013-05-08	26977
7321/7-1	1704.000000	1.020000	0.000000	0.000000	WATER BASED	1988-08-30	1284	9999-12-31	2013-05-08	26978
7321/7-1	1724.000000	1.040000	6.000000	7.600000	WATER BASED	1988-08-31	1284	9999-12-31	2013-05-08	26979
7321/7-1	1745.000000	1.040000	5.000000	6.700000	WATER BASED	1988-09-02	1284	9999-12-31	2013-05-08	26980
7321/7-1	1765.000000	1.040000	6.000000	10.000000	WATER BASED	1988-09-05	1284	9999-12-31	2013-05-08	26981
7321/7-1	1782.000000	1.040000	4.000000	7.100000	WATER BASED	1988-09-05	1284	9999-12-31	2013-05-08	26982
7321/7-1	1800.000000	1.040000	6.000000	13.400000	WATER BASED	1988-09-05	1284	9999-12-31	2013-05-08	26983
7321/7-1	1810.000000	1.040000	6.000000	12.400000	WATER BASED	1988-09-05	1284	9999-12-31	2013-05-08	26984
7321/7-1	1825.000000	1.070000	5.000000	10.500000	WATER BASED	1988-09-06	1284	9999-12-31	2013-05-08	26985
7321/7-1	1855.000000	1.070000	8.000000	17.200000	WATER BASED	1988-09-07	1284	9999-12-31	2013-05-08	26986
7321/7-1	1885.000000	1.060000	6.000000	10.500000	WATER BASED	1988-09-09	1284	9999-12-31	2013-05-08	26987
7321/7-1	1885.000000	1.070000	7.000000	11.000000	WATER BASED	1988-09-09	1284	9999-12-31	2013-05-08	26988
7321/7-1	1895.000000	1.140000	6.000000	5.700000	WATER BASED	1988-09-12	1284	9999-12-31	2013-05-08	26989
7321/7-1	1895.000000	1.140000	7.000000	4.300000	WATER BASED	1988-09-12	1284	9999-12-31	2013-05-08	26990
7321/7-1	1960.000000	1.140000	10.000000	5.700000	WATER BASED	1988-09-12	1284	9999-12-31	2013-05-08	26991
7321/7-1	2003.000000	1.140000	10.000000	5.200000	WATER BASED	1988-09-13	1284	9999-12-31	2013-05-08	26992
7321/7-1	2021.000000	1.140000	10.000000	5.700000	WATER BASED	1988-09-14	1284	9999-12-31	2013-05-08	26993
7321/7-1	2063.000000	1.140000	10.000000	5.700000	WATER BASED	1988-09-15	1284	9999-12-31	2013-05-08	26994
7321/7-1	2063.000000	1.130000	10.000000	3.800000	WATER BASED	1988-09-16	1284	9999-12-31	2013-05-08	26995
7321/7-1	2103.000000	1.140000	11.000000	4.700000	WATER BASED	1988-09-19	1284	9999-12-31	2013-05-08	26996
7321/7-1	2199.000000	1.140000	10.000000	5.200000	WATER BASED	1988-09-19	1284	9999-12-31	2013-05-08	26997
7321/7-1	2292.000000	1.140000	10.000000	5.200000	WATER BASED	1988-09-19	1284	9999-12-31	2013-05-08	26998
7321/7-1	2302.000000	1.140000	10.000000	4.800000	WATER BASED	1988-09-20	1284	9999-12-31	2013-05-08	26999
7321/7-1	2386.000000	1.140000	10.000000	4.800000	WATER BASED	1988-09-21	1284	9999-12-31	2013-05-08	27000
7321/7-1	2405.000000	1.140000	9.000000	3.800000	WATER BASED	1988-09-22	1284	9999-12-31	2013-05-08	27001
7321/7-1	2450.000000	1.140000	9.000000	5.200000	WATER BASED	1988-09-23	1284	9999-12-31	2013-05-08	27002
7321/7-1	2450.000000	1.140000	9.000000	5.200000	WATER BASED	1988-09-27	1284	9999-12-31	2013-05-08	27003
7321/7-1	2469.000000	1.140000	9.000000	4.800000	WATER BASED	1988-09-27	1284	9999-12-31	2013-05-08	27004
7321/7-1	2600.000000	1.140000	9.000000	4.800000	WATER BASED	1988-09-27	1284	9999-12-31	2013-05-08	27005
7321/7-1	2680.000000	1.140000	11.000000	4.800000	WATER BASED	1988-09-27	1284	9999-12-31	2013-05-08	27006
7321/7-1	2684.000000	1.140000	9.000000	4.300000	WATER BASED	1988-09-28	1284	9999-12-31	2013-05-08	27007
7321/7-1	2730.000000	1.130000	10.000000	4.300000	WATER BASED	1988-09-29	1284	9999-12-31	2013-05-08	27008
7321/7-1	2750.000000	1.140000	9.000000	3.800000	WATER BASED	1988-09-30	1284	9999-12-31	2013-05-08	27009
7321/7-1	2802.000000	1.130000	11.000000	4.800000	WATER BASED	1988-10-03	1284	9999-12-31	2013-05-08	27010
7321/7-1	2870.000000	1.130000	12.000000	4.800000	WATER BASED	1988-10-03	1284	9999-12-31	2013-05-08	27011
7321/7-1	2896.000000	1.130000	11.000000	5.700000	WATER BASED	1988-10-03	1284	9999-12-31	2013-05-08	27012
7321/7-1	2956.000000	1.130000	12.000000	6.700000	WATER BASED	1988-10-05	1284	9999-12-31	2013-05-08	27013
7321/7-1	3040.000000	1.130000	13.000000	6.200000	WATER BASED	1988-10-05	1284	9999-12-31	2013-05-08	27014
7321/7-1	3122.000000	1.130000	12.000000	5.700000	WATER BASED	1988-10-07	1284	9999-12-31	2013-05-08	27015
7321/7-1	3122.000000	1.130000	13.000000	6.700000	WATER BASED	1988-10-07	1284	9999-12-31	2013-05-08	27016
7321/7-1	3202.000000	1.130000	11.000000	6.200000	WATER BASED	1988-10-10	1284	9999-12-31	2013-05-08	27017
7321/7-1	3257.000000	1.130000	11.000000	5.700000	WATER BASED	1988-10-10	1284	9999-12-31	2013-05-08	27018
7321/7-1	3330.000000	1.130000	11.000000	6.200000	WATER BASED	1988-10-10	1284	9999-12-31	2013-05-08	27019
7321/7-1	3386.000000	1.130000	11.000000	6.200000	WATER BASED	1988-10-11	1284	9999-12-31	2013-05-08	27020
7321/7-1	3457.000000	1.130000	10.000000	5.700000	WATER BASED	1988-10-12	1284	9999-12-31	2013-05-08	27021
7321/7-1	3527.000000	1.140000	11.000000	5.700000	WATER BASED	1988-10-13	1284	9999-12-31	2013-05-08	27022
7321/7-1	3550.000000	1.160000	12.000000	6.700000	WATER BASED	1988-10-14	1284	9999-12-31	2013-05-08	27023
7321/8-1	538.000000	1.030000	0.000000	0.000000	WATER BASED	1987-06-25	1070	9999-12-31	2013-05-08	27024
7321/8-1	540.000000	0.000000	0.000000	0.000000	WATER BASED	1987-09-03	1070	9999-12-31	2013-05-08	27025
7321/8-1	578.000000	1.030000	0.000000	0.000000	WATER BASED	1987-06-25	1070	9999-12-31	2013-05-08	27026
7321/8-1	806.000000	1.030000	0.000000	0.000000	WATER BASED	1987-06-26	1070	9999-12-31	2013-05-08	27027
7321/8-1	818.000000	1.300000	23.000000	9.000000	WATER BASED	1987-06-29	1070	9999-12-31	2013-05-08	27028
7321/8-1	818.000000	1.160000	0.000000	0.000000	WATER BASED	1987-07-01	1070	9999-12-31	2013-05-08	27029
7321/8-1	818.000000	1.160000	23.000000	13.000000	WATER BASED	1987-07-03	1070	9999-12-31	2013-05-08	27030
7321/8-1	818.000000	1.030000	23.000000	9.000000	WATER BASED	1987-06-30	1070	9999-12-31	2013-05-08	27031
7321/8-1	882.000000	1.170000	21.000000	18.000000	WATER BASED	1987-07-03	1070	9999-12-31	2013-05-08	27032
7321/8-1	1098.000000	1.250000	22.000000	13.000000	WATER BASED	1987-07-06	1070	9999-12-31	2013-05-08	27033
7321/8-1	1217.000000	1.260000	22.000000	14.000000	WATER BASED	1987-07-06	1070	9999-12-31	2013-05-08	27034
7321/8-1	1287.000000	1.250000	23.000000	12.000000	WATER BASED	1987-07-06	1070	9999-12-31	2013-05-08	27035
7321/8-1	1352.000000	1.250000	25.000000	12.000000	WATER BASED	1987-07-07	1070	9999-12-31	2013-05-08	27036
7321/8-1	1438.000000	1.260000	25.000000	11.000000	WATER BASED	1987-07-13	1070	9999-12-31	2013-05-08	27037
7321/8-1	1456.000000	1.250000	23.000000	11.000000	WATER BASED	1987-07-13	1070	9999-12-31	2013-05-08	27038
7321/8-1	1489.000000	1.250000	26.000000	12.000000	WATER BASED	1987-07-13	1070	9999-12-31	2013-05-08	27039
7321/8-1	1516.000000	1.250000	25.000000	11.000000	WATER BASED	1987-07-13	1070	9999-12-31	2013-05-08	27040
7321/8-1	1545.000000	1.250000	25.000000	11.000000	WATER BASED	1987-07-13	1070	9999-12-31	2013-05-08	27041
7321/8-1	1621.000000	1.250000	25.000000	12.000000	WATER BASED	1987-07-17	1070	9999-12-31	2013-05-08	27042
7321/8-1	1626.000000	1.250000	25.000000	11.000000	WATER BASED	1987-07-13	1070	9999-12-31	2013-05-08	27043
7321/8-1	1675.000000	1.250000	25.000000	12.000000	WATER BASED	1987-07-20	1070	9999-12-31	2013-05-08	27044
7321/8-1	1680.000000	1.250000	25.000000	12.000000	WATER BASED	1987-07-14	1070	9999-12-31	2013-05-08	27045
7321/8-1	1680.000000	1.250000	26.000000	13.000000	WATER BASED	1987-07-15	1070	9999-12-31	2013-05-08	27046
7321/8-1	1680.000000	1.250000	25.000000	11.000000	WATER BASED	1987-07-16	1070	9999-12-31	2013-05-08	27047
7321/8-1	1784.000000	1.250000	26.000000	13.000000	WATER BASED	1987-07-20	1070	9999-12-31	2013-05-08	27048
7321/8-1	1850.000000	1.250000	25.000000	11.000000	WATER BASED	1987-07-20	1070	9999-12-31	2013-05-08	27049
7321/8-1	1947.000000	1.250000	26.000000	11.000000	WATER BASED	1987-07-21	1070	9999-12-31	2013-05-08	27050
7321/8-1	2047.000000	1.250000	26.000000	10.000000	WATER BASED	1987-07-22	1070	9999-12-31	2013-05-08	27051
7321/8-1	2067.000000	1.250000	26.000000	11.000000	WATER BASED	1987-07-23	1070	9999-12-31	2013-05-08	27052
7321/8-1	2151.000000	1.250000	27.000000	11.000000	WATER BASED	1987-07-23	1070	9999-12-31	2013-05-08	27053
7321/8-1	2186.000000	1.250000	27.000000	11.000000	WATER BASED	1987-07-27	1070	9999-12-31	2013-05-08	27054
7321/8-1	2259.000000	1.250000	26.000000	11.000000	WATER BASED	1987-07-27	1070	9999-12-31	2013-05-08	27055
7321/8-1	2316.000000	1.250000	25.000000	10.000000	WATER BASED	1987-07-27	1070	9999-12-31	2013-05-08	27056
7321/8-1	2355.000000	1.200000	16.000000	5.000000	WATER BASED	1987-09-03	1070	9999-12-31	2013-05-08	27057
7321/8-1	2380.000000	1.250000	26.000000	10.000000	WATER BASED	1987-07-28	1070	9999-12-31	2013-05-08	27058
7321/8-1	2447.000000	1.250000	24.000000	9.000000	WATER BASED	1987-07-31	1070	9999-12-31	2013-05-08	27059
7321/8-1	2470.000000	1.260000	24.000000	9.000000	WATER BASED	1987-07-31	1070	9999-12-31	2013-05-08	27060
7321/8-1	2471.000000	1.260000	23.000000	8.000000	WATER BASED	1987-07-31	1070	9999-12-31	2013-05-08	27061
7321/8-1	2522.000000	1.260000	23.000000	8.000000	WATER BASED	1987-08-03	1070	9999-12-31	2013-05-08	27062
7321/8-1	2532.000000	1.260000	20.000000	8.000000	WATER BASED	1987-08-03	1070	9999-12-31	2013-05-08	27063
7321/8-1	2532.000000	1.260000	22.000000	8.000000	WATER BASED	1987-08-04	1070	9999-12-31	2013-05-08	27064
7321/8-1	2532.000000	1.260000	23.000000	8.000000	WATER BASED	1987-08-06	1070	9999-12-31	2013-05-08	27065
7321/8-1	2532.000000	1.260000	20.000000	7.000000	WATER BASED	1987-08-07	1070	9999-12-31	2013-05-08	27066
7321/8-1	2532.000000	1.260000	19.000000	7.000000	WATER BASED	1987-08-10	1070	9999-12-31	2013-05-08	27067
7321/8-1	2532.000000	1.260000	21.000000	7.000000	WATER BASED	1987-08-10	1070	9999-12-31	2013-05-08	27068
7321/8-1	2532.000000	1.260000	22.000000	8.000000	WATER BASED	1987-08-05	1070	9999-12-31	2013-05-08	27069
7321/8-1	2584.000000	1.260000	18.000000	7.000000	WATER BASED	1987-08-11	1070	9999-12-31	2013-05-08	27070
7321/8-1	2650.000000	1.260000	19.000000	8.000000	WATER BASED	1987-08-12	1070	9999-12-31	2013-05-08	27071
7321/8-1	2676.000000	1.270000	18.000000	7.000000	WATER BASED	1987-08-13	1070	9999-12-31	2013-05-08	27072
7321/8-1	2718.000000	1.260000	18.000000	6.000000	WATER BASED	1987-08-14	1070	9999-12-31	2013-05-08	27073
7321/8-1	2814.000000	1.260000	17.000000	7.000000	WATER BASED	1987-08-17	1070	9999-12-31	2013-05-08	27074
7321/8-1	2847.000000	1.260000	18.000000	9.000000	WATER BASED	1987-08-17	1070	9999-12-31	2013-05-08	27075
7321/8-1	2907.000000	1.260000	17.000000	7.000000	WATER BASED	1987-08-17	1070	9999-12-31	2013-05-08	27076
7321/8-1	3014.000000	1.260000	19.000000	7.000000	WATER BASED	1987-08-18	1070	9999-12-31	2013-05-08	27077
7321/8-1	3090.000000	1.260000	21.000000	8.000000	WATER BASED	1987-08-20	1070	9999-12-31	2013-05-08	27078
7321/8-1	3137.000000	1.260000	19.000000	7.000000	WATER BASED	1987-08-20	1070	9999-12-31	2013-05-08	27079
7321/8-1	3170.000000	1.260000	19.000000	8.000000	WATER BASED	1987-08-21	1070	9999-12-31	2013-05-08	27080
7321/8-1	3255.000000	1.260000	19.000000	7.000000	WATER BASED	1987-08-24	1070	9999-12-31	2013-05-08	27081
7321/8-1	3307.000000	1.260000	18.000000	7.000000	WATER BASED	1987-08-24	1070	9999-12-31	2013-05-08	27082
7321/8-1	3392.000000	1.260000	18.000000	7.000000	WATER BASED	1987-08-24	1070	9999-12-31	2013-05-08	27083
7321/8-1	3428.000000	1.260000	18.000000	7.000000	WATER BASED	1987-08-26	1070	9999-12-31	2013-05-08	27084
7321/8-1	3429.000000	1.260000	18.000000	6.000000	WATER BASED	1987-08-26	1070	9999-12-31	2013-05-08	27085
7321/8-1	3431.000000	1.260000	17.000000	7.000000	WATER BASED	1987-08-27	1070	9999-12-31	2013-05-08	27086
7321/8-1	3450.000000	1.260000	19.000000	8.000000	WATER BASED	1987-08-28	1070	9999-12-31	2013-05-08	27087
7321/8-1	3482.000000	1.200000	16.000000	6.000000	WATER BASED	1987-08-31	1070	9999-12-31	2013-05-08	27088
7321/8-1	3482.000000	1.200000	16.000000	5.000000	WATER BASED	1987-08-31	1070	9999-12-31	2013-05-08	27089
7321/9-1	500.000000	1.140000	15.000000	7.000000	WATER BASED	1988-11-29	1339	9999-12-31	2013-05-08	27090
7321/9-1	529.000000	1.050000	0.000000	0.000000	WATER BASED	1988-10-31	1339	9999-12-31	2013-05-08	27091
7321/9-1	546.000000	1.050000	0.000000	0.000000	WATER BASED	1988-10-31	1339	9999-12-31	2013-05-08	27092
7321/9-1	562.000000	1.050000	0.000000	0.000000	WATER BASED	1988-10-31	1339	9999-12-31	2013-05-08	27093
7321/9-1	622.000000	1.140000	15.000000	7.000000	WATER BASED	1988-11-24	1339	9999-12-31	2013-05-08	27094
7321/9-1	680.000000	1.050000	0.000000	0.000000	WATER BASED	1988-10-31	1339	9999-12-31	2013-05-08	27095
7321/9-1	680.000000	1.080000	13.000000	6.000000	WATER BASED	1988-11-03	1339	9999-12-31	2013-05-08	27096
7321/9-1	680.000000	1.050000	0.000000	0.000000	WATER BASED	1988-11-01	1339	9999-12-31	2013-05-08	27097
7321/9-1	680.000000	1.050000	0.000000	0.000000	WATER BASED	1988-11-02	1339	9999-12-31	2013-05-08	27098
7321/9-1	1008.000000	1.140000	14.000000	7.000000	WATER BASED	1988-11-04	1339	9999-12-31	2013-05-08	27099
7321/9-1	1213.000000	1.140000	16.000000	7.000000	WATER BASED	1988-11-07	1339	9999-12-31	2013-05-08	27100
7321/9-1	1330.000000	1.140000	16.000000	7.000000	WATER BASED	1988-11-07	1339	9999-12-31	2013-05-08	27101
7321/9-1	1365.000000	1.140000	16.000000	7.000000	WATER BASED	1988-11-07	1339	9999-12-31	2013-05-08	27102
7321/9-1	1387.000000	1.140000	17.000000	10.000000	WATER BASED	1988-11-10	1339	9999-12-31	2013-05-08	27103
7321/9-1	1398.000000	1.140000	17.000000	9.000000	WATER BASED	1988-11-11	1339	9999-12-31	2013-05-08	27104
7321/9-1	1427.000000	1.140000	17.000000	7.000000	WATER BASED	1988-11-14	1339	9999-12-31	2013-05-08	27105
7321/9-1	1550.000000	1.140000	16.000000	11.000000	WATER BASED	1988-11-15	1339	9999-12-31	2013-05-08	27106
7321/9-1	1723.000000	1.140000	18.000000	8.000000	WATER BASED	1988-11-15	1339	9999-12-31	2013-05-08	27107
7321/9-1	1800.000000	1.140000	18.000000	8.000000	WATER BASED	1988-11-18	1339	9999-12-31	2013-05-08	27108
7321/9-1	1800.000000	1.140000	18.000000	8.000000	WATER BASED	1988-11-15	1339	9999-12-31	2013-05-08	27109
7321/9-1	1800.000000	1.140000	17.000000	8.000000	WATER BASED	1988-11-15	1339	9999-12-31	2013-05-08	27110
7321/9-1	1800.000000	1.140000	18.000000	8.000000	WATER BASED	1988-11-16	1339	9999-12-31	2013-05-08	27111
7321/9-1	1800.000000	1.140000	16.000000	7.000000	WATER BASED	1988-11-21	1339	9999-12-31	2013-05-08	27112
7321/9-1	1800.000000	1.110000	15.000000	7.000000	WATER BASED	1988-11-21	1339	9999-12-31	2013-05-08	27113
7321/9-1	1800.000000	1.110000	15.000000	7.000000	WATER BASED	1988-11-22	1339	9999-12-31	2013-05-08	27114
7324/10-1	559.000000	1.180000	1000.000000	4.000000	WATER BASED	1989-06-08	1411	9999-12-31	2013-05-08	27115
7324/10-1	560.000000	1.200000	1100.000000	4.500000	WATER BASED	1989-06-09	1411	9999-12-31	2013-05-08	27116
7324/10-1	765.000000	1.200000	1300.000000	3.500000	WATER BASED	1989-06-12	1411	9999-12-31	2013-05-08	27117
7324/10-1	784.000000	1.200000	1100.000000	3.500000	WATER BASED	1989-06-12	1411	9999-12-31	2013-05-08	27118
7324/10-1	940.000000	1.200000	1100.000000	5.000000	WATER BASED	1989-08-22	1411	9999-12-31	2013-05-08	27119
7324/10-1	990.000000	1.200000	1400.000000	3.500000	WATER BASED	1989-06-12	1411	9999-12-31	2013-05-08	27120
7324/10-1	1184.000000	1.200000	1400.000000	3.500000	WATER BASED	1989-06-13	1411	9999-12-31	2013-05-08	27121
7324/10-1	1342.000000	1.200000	1500.000000	3.500000	WATER BASED	1989-06-14	1411	9999-12-31	2013-05-08	27122
7324/10-1	1411.000000	1.200000	1500.000000	3.500000	WATER BASED	1989-06-15	1411	9999-12-31	2013-05-08	27123
7324/10-1	1415.000000	1.200000	1500.000000	3.000000	WATER BASED	1989-06-16	1411	9999-12-31	2013-05-08	27124
7324/10-1	1477.000000	1.200000	1500.000000	4.500000	WATER BASED	1989-06-19	1411	9999-12-31	2013-05-08	27125
7324/10-1	1500.000000	1.320000	1600.000000	3.000000	WATER BASED	1989-08-17	1411	9999-12-31	2013-05-08	27126
7324/10-1	1570.000000	1.200000	1300.000000	3.500000	WATER BASED	1989-06-21	1411	9999-12-31	2013-05-08	27127
7324/10-1	1570.000000	1.200000	1700.000000	4.000000	WATER BASED	1989-06-19	1411	9999-12-31	2013-05-08	27128
7324/10-1	1570.000000	1.200000	1300.000000	3.500000	WATER BASED	1989-06-22	1411	9999-12-31	2013-05-08	27129
7324/10-1	1666.000000	1.200000	1600.000000	4.000000	WATER BASED	1989-06-26	1411	9999-12-31	2013-05-08	27130
7324/10-1	1749.000000	1.200000	1400.000000	4.000000	WATER BASED	1989-06-26	1411	9999-12-31	2013-05-08	27131
7324/10-1	1781.000000	1.200000	1700.000000	4.000000	WATER BASED	1989-06-27	1411	9999-12-31	2013-05-08	27132
7324/10-1	1834.000000	1.200000	1700.000000	5.000000	WATER BASED	1989-06-28	1411	9999-12-31	2013-05-08	27133
7324/10-1	1900.000000	1.320000	1300.000000	2.000000	WATER BASED	1989-08-16	1411	9999-12-31	2013-05-08	27134
7324/10-1	1965.000000	1.200000	1900.000000	4.500000	WATER BASED	1989-06-29	1411	9999-12-31	2013-05-08	27135
7324/10-1	2022.000000	1.200000	1700.000000	5.000000	WATER BASED	1989-06-30	1411	9999-12-31	2013-05-08	27136
7324/10-1	2148.000000	1.250000	2200.000000	5.000000	WATER BASED	1989-07-03	1411	9999-12-31	2013-05-08	27137
7324/10-1	2235.000000	1.320000	1800.000000	5.500000	WATER BASED	1989-07-03	1411	9999-12-31	2013-05-08	27138
7324/10-1	2235.000000	1.320000	2200.000000	7.500000	WATER BASED	1989-07-05	1411	9999-12-31	2013-05-08	27139
7324/10-1	2235.000000	1.320000	2100.000000	6.500000	WATER BASED	1989-07-04	1411	9999-12-31	2013-05-08	27140
7324/10-1	2235.000000	1.320000	2200.000000	6.000000	WATER BASED	1989-07-03	1411	9999-12-31	2013-05-08	27141
7324/10-1	2235.000000	1.320000	1900.000000	6.000000	WATER BASED	1989-07-07	1411	9999-12-31	2013-05-08	27142
7324/10-1	2238.000000	1.440000	1900.000000	6.500000	WATER BASED	1989-07-10	1411	9999-12-31	2013-05-08	27143
7324/10-1	2269.000000	1.470000	2000.000000	5.000000	WATER BASED	1989-07-11	1411	9999-12-31	2013-05-08	27144
7324/10-1	2296.000000	1.440000	2000.000000	6.500000	WATER BASED	1989-07-12	1411	9999-12-31	2013-05-08	27145
7324/10-1	2423.000000	1.350000	2200.000000	4.000000	WATER BASED	1989-08-15	1411	9999-12-31	2013-05-08	27146
7324/10-1	2434.000000	1.530000	1900.000000	6.000000	WATER BASED	1989-07-13	1411	9999-12-31	2013-05-08	27147
7324/10-1	2434.000000	1.530000	1000.000000	20.500000	WATER BASED	1989-07-17	1411	9999-12-31	2013-05-08	27148
7324/10-1	2434.000000	1.530000	1100.000000	9.000000	WATER BASED	1989-07-17	1411	9999-12-31	2013-05-08	27149
7324/10-1	2434.000000	1.530000	1000.000000	23.500000	WATER BASED	1989-07-17	1411	9999-12-31	2013-05-08	27150
7324/10-1	2500.000000	1.530000	1900.000000	4.000000	WATER BASED	1989-08-01	1411	9999-12-31	2013-05-08	27151
7324/10-1	2500.000000	1.530000	1000.000000	7.500000	WATER BASED	1989-07-19	1411	9999-12-31	2013-05-08	27152
7324/10-1	2500.000000	1.530000	1600.000000	9.000000	WATER BASED	1989-07-21	1411	9999-12-31	2013-05-08	27153
7324/10-1	2500.000000	1.530000	1200.000000	4.000000	WATER BASED	1989-07-24	1411	9999-12-31	2013-05-08	27154
7324/10-1	2500.000000	1.530000	1400.000000	4.500000	WATER BASED	1989-07-24	1411	9999-12-31	2013-05-08	27155
7324/10-1	2500.000000	1.530000	1500.000000	3.000000	WATER BASED	1989-07-31	1411	9999-12-31	2013-05-08	27156
7324/10-1	2500.000000	1.530000	1500.000000	3.000000	WATER BASED	1989-07-31	1411	9999-12-31	2013-05-08	27157
7324/10-1	2500.000000	1.530000	1900.000000	4.000000	WATER BASED	1989-07-31	1411	9999-12-31	2013-05-08	27158
7324/10-1	2500.000000	1.530000	2200.000000	3.500000	WATER BASED	1989-08-02	1411	9999-12-31	2013-05-08	27159
7324/10-1	2500.000000	1.530000	1400.000000	16.300000	WATER BASED	1989-07-18	1411	9999-12-31	2013-05-08	27160
7324/10-1	2614.000000	1.530000	1600.000000	6.000000	WATER BASED	1989-07-26	1411	9999-12-31	2013-05-08	27161
7324/10-1	2614.000000	1.530000	1700.000000	7.500000	WATER BASED	1989-07-25	1411	9999-12-31	2013-05-08	27162
7324/10-1	2614.000000	1.530000	1400.000000	4.500000	WATER BASED	1989-07-24	1411	9999-12-31	2013-05-08	27163
7324/10-1	2617.000000	1.530000	1300.000000	4.500000	WATER BASED	1989-07-27	1411	9999-12-31	2013-05-08	27164
7324/10-1	2627.000000	1.530000	1400.000000	3.500000	WATER BASED	1989-07-28	1411	9999-12-31	2013-05-08	27165
7324/10-1	2627.000000	1.530000	2100.000000	3.500000	WATER BASED	1989-08-03	1411	9999-12-31	2013-05-08	27166
7324/10-1	2628.000000	1.350000	1000.000000	7.000000	WATER BASED	1989-08-07	1411	9999-12-31	2013-05-08	27167
7324/10-1	2640.000000	1.350000	1800.000000	7.000000	WATER BASED	1989-08-08	1411	9999-12-31	2013-05-08	27168
7324/10-1	2659.000000	1.350000	1800.000000	3.500000	WATER BASED	1989-08-09	1411	9999-12-31	2013-05-08	27169
7324/10-1	2773.000000	1.350000	1700.000000	4.000000	WATER BASED	1989-08-10	1411	9999-12-31	2013-05-08	27170
7324/10-1	2870.000000	1.350000	1600.000000	3.500000	WATER BASED	1989-08-11	1411	9999-12-31	2013-05-08	27171
7324/10-1	2919.000000	1.350000	1800.000000	4.000000	WATER BASED	1989-08-14	1411	9999-12-31	2013-05-08	27172
7324/10-1	2919.000000	1.350000	1800.000000	3.500000	WATER BASED	1989-08-14	1411	9999-12-31	2013-05-08	27173
7324/10-1	2919.000000	1.350000	1800.000000	3.500000	WATER BASED	1989-08-14	1411	9999-12-31	2013-05-08	27174
8/10-1	607.000000	1.020000	0.000000	0.000000	seawater	9999-12-31	166	9999-12-31	2013-05-08	27175
8/10-1	2133.000000	1.550000	53.000000	12.000000	seawater	9999-12-31	166	9999-12-31	2013-05-08	27176
8/10-1	2591.000000	1.490000	47.000000	12.000000	seawater	9999-12-31	166	9999-12-31	2013-05-08	27177
8/10-1	2713.000000	1.550000	55.000000	16.000000	seawater	9999-12-31	166	9999-12-31	2013-05-08	27178
8/10-1	3042.000000	1.660000	58.000000	19.000000	seawater	9999-12-31	166	9999-12-31	2013-05-08	27179
8/10-1	3097.000000	1.720000	55.000000	15.000000	seawater	9999-12-31	166	9999-12-31	2013-05-08	27180
8/10-2	503.000000	1.090000	85.000000	0.000000	seawater	9999-12-31	226	9999-12-31	2013-05-08	27181
8/10-2	1236.000000	1.330000	65.000000	0.000000	seawater	9999-12-31	226	9999-12-31	2013-05-08	27182
8/10-2	2240.000000	1.320000	53.000000	0.000000	seawater	9999-12-31	226	9999-12-31	2013-05-08	27183
8/10-2	2534.000000	1.360000	55.000000	0.000000	seawater	9999-12-31	226	9999-12-31	2013-05-08	27184
8/10-2	2806.000000	1.340000	56.000000	0.000000	seawater	9999-12-31	226	9999-12-31	2013-05-08	27185
8/10-2	2997.000000	1.340000	57.000000	0.000000	seawater	9999-12-31	226	9999-12-31	2013-05-08	27186
8/10-3	216.000000	1.050000	4.000000	0.000000	Spud Mud	9999-12-31	6098	9999-12-31	2013-05-08	27187
8/10-3	510.000000	1.100000	7.000000	0.000000	Spud Mud	9999-12-31	6098	9999-12-31	2013-05-08	27188
8/10-3	730.000000	1.610000	34.000000	0.000000	Versatec	9999-12-31	6098	9999-12-31	2013-05-08	27189
8/10-3	890.000000	1.130000	6.000000	0.000000	Spud Mud	9999-12-31	6098	9999-12-31	2013-05-08	27190
8/10-3	980.000000	1.220000	16.000000	0.000000	NACl Brine	9999-12-31	6098	9999-12-31	2013-05-08	27191
8/10-3	1088.000000	1.250000	15.000000	0.000000	NACl Brine	9999-12-31	6098	9999-12-31	2013-05-08	27192
8/10-3	1100.000000	1.430000	34.000000	0.000000	Versatec	9999-12-31	6098	9999-12-31	2013-05-08	27193
8/10-3	1190.000000	1.430000	38.000000	0.000000	Versatec	9999-12-31	6098	9999-12-31	2013-05-08	27194
8/10-3	2646.000000	1.580000	44.000000	0.000000	Versatec	9999-12-31	6098	9999-12-31	2013-05-08	27195
8/10-3	3023.000000	1.550000	41.000000	0.000000	Versatec	9999-12-31	6098	9999-12-31	2013-05-08	27196
8/10-3	3452.000000	1.610000	55.000000	0.000000	Versatec	9999-12-31	6098	9999-12-31	2013-05-08	27197
8/10-3	4005.000000	1.970000	52.000000	0.000000	Paratherm	9999-12-31	6098	9999-12-31	2013-05-08	27198
8/10-3	5350.000000	1.940000	35.000000	0.000000	Paratherm	9999-12-31	6098	9999-12-31	2013-05-08	27199
8/10-3	5466.000000	1.940000	52.000000	0.000000	Paratherm	9999-12-31	6098	9999-12-31	2013-05-08	27200
8/10-3	5552.000000	1.790000	26.000000	0.000000	Paratherm	9999-12-31	6098	9999-12-31	2013-05-08	27201
8/10-3	5738.000000	1.770000	36.000000	0.000000	Paratherm	9999-12-31	6098	9999-12-31	2013-05-08	27202
8/1-1	350.000000	1.240000	45.000000	8.000000	seawater	9999-12-31	301	9999-12-31	2013-05-08	27203
8/1-1	1131.000000	1.260000	50.000000	10.000000	waterbased	9999-12-31	301	9999-12-31	2013-05-08	27204
8/1-1	1525.000000	1.290000	50.000000	13.000000	waterbased	9999-12-31	301	9999-12-31	2013-05-08	27205
8/1-1	1983.000000	1.330000	54.000000	19.000000	waterbased	9999-12-31	301	9999-12-31	2013-05-08	27206
8/11-1	126.000000	1.050000	0.000000	0.000000	seawater	9999-12-31	304	9999-12-31	2013-05-08	27207
8/11-1	457.000000	1.250000	0.000000	0.000000	seawater	9999-12-31	304	9999-12-31	2013-05-08	27208
8/11-1	1219.000000	1.310000	45.000000	0.000000	seawater	9999-12-31	304	9999-12-31	2013-05-08	27209
8/11-1	1524.000000	1.370000	50.000000	0.000000	seawater	9999-12-31	304	9999-12-31	2013-05-08	27210
8/11-1	2133.000000	1.430000	55.000000	0.000000	seawater	9999-12-31	304	9999-12-31	2013-05-08	27211
8/11-1	2865.000000	1.610000	55.000000	0.000000	seawater	9999-12-31	304	9999-12-31	2013-05-08	27212
8/11-1	3810.000000	1.670000	50.000000	0.000000	seawater	9999-12-31	304	9999-12-31	2013-05-08	27213
8/12-1	346.000000	1.070000	50.000000	0.000000	seawater	9999-12-31	193	9999-12-31	2013-05-08	27214
8/12-1	480.000000	1.610000	54.000000	0.000000	seawater	9999-12-31	193	9999-12-31	2013-05-08	27215
8/12-1	1082.000000	1.490000	53.000000	0.000000	seawater	9999-12-31	193	9999-12-31	2013-05-08	27216
8/12-1	1883.000000	1.650000	50.000000	0.000000	seawater	9999-12-31	193	9999-12-31	2013-05-08	27217
8/12-1	1950.000000	1.650000	54.000000	0.000000	seawater	9999-12-31	193	9999-12-31	2013-05-08	27218
8/12-1	2225.000000	1.650000	50.000000	0.000000	seawater	9999-12-31	193	9999-12-31	2013-05-08	27219
8/12-1	2645.000000	1.620000	49.000000	0.000000	seawater	9999-12-31	193	9999-12-31	2013-05-08	27220
8/12-1	2874.000000	1.620000	50.000000	0.000000	seawater	9999-12-31	193	9999-12-31	2013-05-08	27221
8/3-1	277.000000	1.070000	0.000000	0.000000	seawater	9999-12-31	142	9999-12-31	2013-05-08	27222
8/3-1	1465.000000	1.250000	0.000000	0.000000	spersene xp	9999-12-31	142	9999-12-31	2013-05-08	27223
8/3-1	1815.000000	1.370000	0.000000	0.000000	spersene xp	9999-12-31	142	9999-12-31	2013-05-08	27224
8/3-2	185.000000	1.100000	0.000000	0.000000	waterbased	9999-12-31	89	9999-12-31	2013-05-08	27225
8/3-2	450.000000	1.120000	0.000000	0.000000	waterbased	9999-12-31	89	9999-12-31	2013-05-08	27226
8/3-2	660.000000	1.100000	0.000000	0.000000	waterbased	9999-12-31	89	9999-12-31	2013-05-08	27227
8/3-2	810.000000	1.140000	0.000000	0.000000	waterbased	9999-12-31	89	9999-12-31	2013-05-08	27228
8/3-2	1335.000000	1.170000	0.000000	0.000000	waterbased	9999-12-31	89	9999-12-31	2013-05-08	27229
8/3-2	1675.000000	1.200000	0.000000	0.000000	waterbased	9999-12-31	89	9999-12-31	2013-05-08	27230
8/3-2	2255.000000	1.360000	0.000000	0.000000	waterbased	9999-12-31	89	9999-12-31	2013-05-08	27231
8/3-2	2590.000000	1.320000	0.000000	0.000000	waterbased	9999-12-31	89	9999-12-31	2013-05-08	27232
8/3-2	2640.000000	1.330000	0.000000	0.000000	waterbased	9999-12-31	89	9999-12-31	2013-05-08	27233
8/4-1	159.000000	1.020000	0.000000	0.000000	seawater	9999-12-31	302	9999-12-31	2013-05-08	27234
8/4-1	433.000000	1.090000	63.000000	0.000000	seawater	9999-12-31	302	9999-12-31	2013-05-08	27235
8/4-1	694.000000	1.070000	65.000000	0.000000	seawater	9999-12-31	302	9999-12-31	2013-05-08	27236
8/4-1	1388.000000	1.190000	47.000000	0.000000	seawater	9999-12-31	302	9999-12-31	2013-05-08	27237
8/4-1	1671.000000	1.270000	59.000000	0.000000	seawater	9999-12-31	302	9999-12-31	2013-05-08	27238
8/4-1	2437.000000	1.430000	50.000000	0.000000	seawater	9999-12-31	302	9999-12-31	2013-05-08	27239
8/4-1	2632.000000	1.490000	75.000000	0.000000	seawater	9999-12-31	302	9999-12-31	2013-05-08	27240
8/9-1	410.000000	1.130000	45.000000	0.000000	seawater	9999-12-31	303	9999-12-31	2013-05-08	27241
8/9-1	1004.000000	1.250000	39.000000	0.000000	seawater	9999-12-31	303	9999-12-31	2013-05-08	27242
8/9-1	1391.000000	1.350000	49.000000	0.000000	seawater	9999-12-31	303	9999-12-31	2013-05-08	27243
8/9-1	1820.000000	1.370000	50.000000	0.000000	seawater	9999-12-31	303	9999-12-31	2013-05-08	27244
8/9-1	2211.000000	1.370000	52.000000	0.000000	seawater	9999-12-31	303	9999-12-31	2013-05-08	27245
8/9-1	2375.000000	1.400000	51.000000	0.000000	seawater	9999-12-31	303	9999-12-31	2013-05-08	27246
9/10-1	251.000000	1.040000	41.000000	0.000000	seawater	9999-12-31	183	9999-12-31	2013-05-08	27247
9/10-1	769.000000	1.280000	40.000000	0.000000	waterbased	9999-12-31	183	9999-12-31	2013-05-08	27248
9/10-1	963.000000	1.250000	40.000000	0.000000	waterbased	9999-12-31	183	9999-12-31	2013-05-08	27249
9/10-1	1050.000000	1.370000	54.000000	0.000000	waterbased	9999-12-31	183	9999-12-31	2013-05-08	27250
9/10-1	1947.000000	1.360000	52.000000	0.000000	waterbased	9999-12-31	183	9999-12-31	2013-05-08	27251
9/10-1	2204.000000	1.500000	48.000000	0.000000	waterbased	9999-12-31	183	9999-12-31	2013-05-08	27252
9/11-1	127.000000	1.330000	50.000000	0.000000	waterbased	9999-12-31	194	9999-12-31	2013-05-08	27253
9/11-1	411.000000	1.190000	44.000000	0.000000	waterbased	9999-12-31	194	9999-12-31	2013-05-08	27254
9/11-1	1051.000000	1.430000	48.000000	0.000000	waterbased	9999-12-31	194	9999-12-31	2013-05-08	27255
9/11-1	1584.000000	1.610000	50.000000	0.000000	waterbased	9999-12-31	194	9999-12-31	2013-05-08	27256
9/11-1	1752.000000	1.500000	50.000000	0.000000	waterbased	9999-12-31	194	9999-12-31	2013-05-08	27257
9/11-1	2194.000000	1.490000	52.000000	0.000000	waterbased	9999-12-31	194	9999-12-31	2013-05-08	27258
9/12-1	122.000000	1.020000	0.000000	0.000000	seawater	9999-12-31	163	9999-12-31	2013-05-08	27259
9/12-1	1144.000000	1.430000	48.000000	0.000000	waterbased	9999-12-31	163	9999-12-31	2013-05-08	27260
9/12-1	1248.000000	1.350000	47.000000	0.000000	waterbased	9999-12-31	163	9999-12-31	2013-05-08	27261
9/12-1	1860.000000	1.360000	48.000000	0.000000	waterbased	9999-12-31	163	9999-12-31	2013-05-08	27262
9/12-1	2121.000000	1.360000	45.000000	0.000000	waterbased	9999-12-31	163	9999-12-31	2013-05-08	27263
9/12-1	2371.000000	1.360000	57.000000	0.000000	waterbased	9999-12-31	163	9999-12-31	2013-05-08	27264
9/12-1	2697.000000	1.360000	48.000000	0.000000	waterbased	9999-12-31	163	9999-12-31	2013-05-08	27265
9/2-1	318.000000	1.050000	0.000000	0.000000	WATERBASED	1987-02-26	1038	9999-12-31	2013-05-08	27266
9/2-1	768.000000	1.050000	0.000000	0.000000	WATERBASED	1987-03-02	1038	9999-12-31	2013-05-08	27267
9/2-1	788.000000	1.020000	0.000000	0.000000	WATER BASED	1987-03-02	1038	9999-12-31	2013-05-08	27268
9/2-1	788.000000	0.000000	0.000000	0.000000	WATERBASED	1987-03-02	1038	9999-12-31	2013-05-08	27269
9/2-1	1028.000000	1.090000	14.000000	6.200000	WATERBASED	1987-03-03	1038	9999-12-31	2013-05-08	27270
9/2-1	1303.000000	1.090000	19.000000	6.200000	WATERBASED	1987-03-04	1038	9999-12-31	2013-05-08	27271
9/2-1	1426.000000	1.090000	16.000000	5.300000	WATERBASED	1987-03-05	1038	9999-12-31	2013-05-08	27272
9/2-1	1768.000000	1.100000	18.000000	5.800000	WATERBASED	1987-03-06	1038	9999-12-31	2013-05-08	27273
9/2-1	1989.000000	1.100000	14.000000	4.800000	WATER BASED	1987-03-09	1038	9999-12-31	2013-05-08	27274
9/2-1	2317.000000	1.100000	13.000000	6.500000	WATERBASED	1987-03-09	1038	9999-12-31	2013-05-08	27275
9/2-1	2482.000000	1.110000	12.000000	6.200000	WATER BASED	1987-03-10	1038	9999-12-31	2013-05-08	27276
9/2-1	2600.000000	1.110000	12.000000	5.700000	WATER BASED	1987-03-11	1038	9999-12-31	2013-05-08	27277
9/2-1	2600.000000	1.110000	12.000000	5.700000	WATER BASED	1987-03-12	1038	9999-12-31	2013-05-08	27278
9/2-1	2600.000000	1.120000	13.000000	5.700000	WATER BASED	1987-03-13	1038	9999-12-31	2013-05-08	27279
9/2-1	2603.000000	1.130000	11.000000	4.800000	WATER BASED	1987-03-16	1038	9999-12-31	2013-05-08	27280
9/2-1	2707.000000	1.130000	12.000000	5.300000	WATER BASED	1987-03-16	1038	9999-12-31	2013-05-08	27281
9/2-1	2807.000000	1.130000	13.000000	5.300000	WATER BASED	1987-03-16	1038	9999-12-31	2013-05-08	27282
9/2-1	2888.000000	1.130000	12.000000	5.700000	WATER BASED	1987-03-17	1038	9999-12-31	2013-05-08	27283
9/2-1	2992.000000	1.160000	18.000000	5.300000	WATER BASED	1987-03-18	1038	9999-12-31	2013-05-08	27284
9/2-1	3085.000000	1.200000	15.000000	4.800000	WATER BASED	1987-03-19	1038	9999-12-31	2013-05-08	27285
9/2-1	3117.000000	1.220000	15.000000	5.300000	WATER BASED	1987-03-20	1038	9999-12-31	2013-05-08	27286
9/2-1	3130.000000	1.250000	8.000000	2.900000	WATER BASED	1987-04-24	1038	9999-12-31	2013-05-08	27287
9/2-1	3139.000000	1.220000	15.000000	5.200000	WATER BASED	1987-03-23	1038	9999-12-31	2013-05-08	27288
9/2-1	3175.000000	1.250000	17.000000	5.700000	WATER BASED	1987-03-24	1038	9999-12-31	2013-05-08	27289
9/2-1	3202.000000	1.220000	14.000000	3.800000	WATER BASED	1987-03-23	1038	9999-12-31	2013-05-08	27290
9/2-1	3202.000000	1.230000	14.000000	5.300000	WATER BASED	1987-03-23	1038	9999-12-31	2013-05-08	27291
9/2-1	3263.000000	1.250000	15.000000	4.800000	WATER BASED	1987-03-25	1038	9999-12-31	2013-05-08	27292
9/2-1	3300.000000	1.260000	15.000000	4.800000	WATER BASED	1987-03-26	1038	9999-12-31	2013-05-08	27293
9/2-1	3340.000000	1.250000	12.000000	3.400000	WATER BASED	1987-04-14	1038	9999-12-31	2013-05-08	27294
9/2-1	3340.000000	1.250000	12.000000	3.400000	WATER BASED	1987-04-15	1038	9999-12-31	2013-05-08	27295
9/2-1	3340.000000	1.260000	14.000000	3.400000	WATER BASED	1987-04-09	1038	9999-12-31	2013-05-08	27296
9/2-1	3340.000000	1.260000	14.000000	3.300000	WATER BASED	1987-04-09	1038	9999-12-31	2013-05-08	27297
9/2-1	3340.000000	1.250000	14.000000	4.000000	WATER BASED	1987-04-09	1038	9999-12-31	2013-05-08	27298
9/2-1	3340.000000	1.260000	12.000000	3.400000	WATER BASED	1987-04-09	1038	9999-12-31	2013-05-08	27299
9/2-1	3386.000000	1.260000	20.000000	6.200000	WATER BASED	1987-03-30	1038	9999-12-31	2013-05-08	27300
9/2-1	3460.000000	1.250000	22.000000	7.200000	WATER BASED	1987-03-30	1038	9999-12-31	2013-05-08	27301
9/2-1	3521.000000	1.250000	20.000000	7.200000	WATER BASED	1987-03-30	1038	9999-12-31	2013-05-08	27302
9/2-1	3611.000000	1.250000	20.000000	6.200000	WATER BASED	1987-03-30	1038	9999-12-31	2013-05-08	27303
9/2-1	3643.000000	1.250000	18.000000	5.200000	WATER BASED	1987-04-01	1038	9999-12-31	2013-05-08	27304
9/2-1	3688.000000	1.250000	20.000000	5.700000	WATER BASED	1987-04-01	1038	9999-12-31	2013-05-08	27305
9/2-1	3756.000000	1.250000	16.000000	3.800000	WATER BASED	1987-04-03	1038	9999-12-31	2013-05-08	27306
9/2-1	3756.000000	1.250000	21.000000	6.200000	WATER BASED	1987-04-06	1038	9999-12-31	2013-05-08	27307
9/2-1	3756.000000	1.250000	17.000000	3.400000	WATER BASED	1987-04-06	1038	9999-12-31	2013-05-08	27308
9/2-1	3756.000000	1.250000	20.000000	5.700000	WATER BASED	1987-04-06	1038	9999-12-31	2013-05-08	27309
9/2-1	3756.000000	1.250000	19.000000	5.700000	WATER BASED	1987-04-08	1038	9999-12-31	2013-05-08	27310
9/2-1	3756.000000	1.250000	18.000000	4.300000	WATERBASED	1987-04-09	1038	9999-12-31	2013-05-08	27311
9/2-1	3756.000000	1.250000	19.000000	5.700000	WATER BASED	1987-04-03	1038	9999-12-31	2013-05-08	27312
9/2-1	3756.000000	1.250000	17.000000	3.800000	WATER BASED	1987-04-07	1038	9999-12-31	2013-05-08	27313
9/2-11	127.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	6341	9999-12-31	2013-05-08	27314
9/2-11	1509.000000	1.030000	0.000000	0.000000	seawater	9999-12-31	6341	9999-12-31	2013-05-08	27315
9/2-11	2836.000000	1.340000	0.000000	0.000000	OBM	9999-12-31	6341	9999-12-31	2013-05-08	27316
9/2-2	189.000000	1.050000	0.000000	0.000000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27317
9/2-2	350.000000	1.310000	30.000000	5.700000	WATER BASED	1987-09-18	1135	9999-12-31	2013-05-08	27318
9/2-2	350.000000	1.050000	19.000000	5.500000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27319
9/2-2	696.000000	1.130000	17.000000	4.800000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27320
9/2-2	793.000000	1.120000	15.000000	5.300000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27321
9/2-2	848.000000	1.130000	16.000000	4.800000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27322
9/2-2	876.000000	1.150000	20.000000	6.200000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27323
9/2-2	920.000000	1.310000	32.000000	7.200000	WATER BASED	1987-09-18	1135	9999-12-31	2013-05-08	27324
9/2-2	920.000000	1.310000	32.000000	6.200000	WATER BASED	1987-09-16	1135	9999-12-31	2013-05-08	27325
9/2-2	1030.000000	1.150000	17.000000	7.200000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27326
9/2-2	1104.000000	1.150000	17.000000	6.700000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27327
9/2-2	1125.000000	1.150000	16.000000	4.300000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27328
9/2-2	1153.000000	1.100000	12.000000	7.700000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27329
9/2-2	1246.000000	1.100000	15.000000	7.200000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27330
9/2-2	1340.000000	1.100000	14.000000	6.700000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27331
9/2-2	1379.000000	1.100000	15.000000	7.200000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27332
9/2-2	1409.000000	1.100000	16.000000	6.700000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27333
9/2-2	1463.000000	1.100000	15.000000	6.200000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27334
9/2-2	1611.000000	1.100000	16.000000	6.700000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27335
9/2-2	1695.000000	1.100000	22.000000	6.700000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27336
9/2-2	1794.000000	1.100000	21.000000	5.700000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27337
9/2-2	1940.000000	1.100000	24.000000	7.700000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27338
9/2-2	2160.000000	1.100000	17.000000	4.800000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27339
9/2-2	2520.000000	1.150000	18.000000	5.200000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27340
9/2-2	2713.000000	1.310000	30.000000	3.800000	WATER BASED	1987-09-16	1135	9999-12-31	2013-05-08	27341
9/2-2	2738.000000	1.200000	19.000000	5.300000	WATER BASED	1987-08-24	1135	9999-12-31	2013-05-08	27342
9/2-2	2871.000000	1.270000	23.000000	5.700000	WATER BASED	1987-08-31	1135	9999-12-31	2013-05-08	27343
9/2-2	2871.000000	1.270000	12.000000	2.600000	WATER BASED	1987-08-31	1135	9999-12-31	2013-05-08	27344
9/2-2	2871.000000	1.270000	13.000000	3.500000	WATER BASED	1987-08-31	1135	9999-12-31	2013-05-08	27345
9/2-2	2871.000000	1.270000	13.000000	2.900000	WATER BASED	1987-08-31	1135	9999-12-31	2013-05-08	27346
9/2-2	2871.000000	1.300000	21.000000	4.800000	WATER BASED	1987-08-27	1135	9999-12-31	2013-05-08	27347
9/2-2	2871.000000	1.230000	18.000000	4.800000	WATER BASED	1987-08-25	1135	9999-12-31	2013-05-08	27348
9/2-2	2871.000000	1.300000	20.000000	4.800000	WATER BASED	1987-08-26	1135	9999-12-31	2013-05-08	27349
9/2-2	2942.000000	1.270000	28.000000	4.600000	WATER BASED	1987-09-03	1135	9999-12-31	2013-05-08	27350
9/2-2	3037.000000	1.310000	28.000000	3.800000	WATER BASED	1987-09-03	1135	9999-12-31	2013-05-08	27351
9/2-2	3105.000000	1.310000	28.000000	4.300000	WATER BASED	1987-09-04	1135	9999-12-31	2013-05-08	27352
9/2-2	3152.000000	1.310000	30.000000	4.300000	WATER BASED	1987-09-07	1135	9999-12-31	2013-05-08	27353
9/2-2	3235.000000	1.310000	27.000000	3.800000	WATER BASED	1987-09-07	1135	9999-12-31	2013-05-08	27354
9/2-2	3312.000000	1.310000	30.000000	3.800000	WATER BASED	1987-09-07	1135	9999-12-31	2013-05-08	27355
9/2-2	3356.000000	1.310000	25.000000	4.300000	WATER BASED	1987-09-09	1135	9999-12-31	2013-05-08	27356
9/2-2	3414.000000	1.310000	26.000000	4.300000	WATER BASED	1987-09-09	1135	9999-12-31	2013-05-08	27357
9/2-2	3431.000000	1.310000	25.000000	3.800000	WATER BASED	1987-09-10	1135	9999-12-31	2013-05-08	27358
9/2-2	3509.000000	1.310000	28.000000	4.300000	WATER BASED	1987-09-11	1135	9999-12-31	2013-05-08	27359
9/2-2	3550.000000	1.310000	29.000000	3.300000	WATER BASED	1987-09-14	1135	9999-12-31	2013-05-08	27360
9/2-3	1121.000000	1.100000	20.000000	6.000000	WATER BASED	1989-12-11	1294	9999-12-31	2013-05-08	27361
9/2-3	1121.000000	1.140000	17.000000	3.500000	WATER BASED	1989-12-12	1294	9999-12-31	2013-05-08	27362
9/2-3	1272.000000	1.150000	27.000000	4.500000	WATER BASED	1989-12-14	1294	9999-12-31	2013-05-08	27363
9/2-3	1481.000000	1.160000	17.000000	3.500000	WATER BASED	1989-12-14	1294	9999-12-31	2013-05-08	27364
9/2-3	1618.000000	1.130000	20.000000	4.500000	WATER BASED	1989-12-19	1294	9999-12-31	2013-05-08	27365
9/2-3	1618.000000	1.130000	19.000000	4.000000	WATER BASED	1989-12-19	1294	9999-12-31	2013-05-08	27366
9/2-3	1618.000000	1.130000	16.000000	3.500000	WATER BASED	1989-12-19	1294	9999-12-31	2013-05-08	27367
9/2-3	1618.000000	1.130000	20.000000	5.000000	WATER BASED	1989-12-19	1294	9999-12-31	2013-05-08	27368
9/2-3	1696.000000	1.130000	20.000000	5.000000	WATER BASED	1989-12-21	1294	9999-12-31	2013-05-08	27369
9/2-3	1792.000000	1.130000	20.000000	4.500000	WATER BASED	1989-12-21	1294	9999-12-31	2013-05-08	27370
9/2-3	1941.000000	1.140000	19.000000	4.500000	WATER BASED	1989-12-22	1294	9999-12-31	2013-05-08	27371
9/2-3	2170.000000	1.140000	17.000000	4.500000	WATER BASED	1989-12-28	1294	9999-12-31	2013-05-08	27372
9/2-3	2511.000000	1.140000	18.000000	4.500000	WATER BASED	1989-12-28	1294	9999-12-31	2013-05-08	27373
9/2-3	2720.000000	1.140000	14.000000	3.500000	WATER BASED	1989-12-28	1294	9999-12-31	2013-05-08	27374
9/2-3	2753.000000	1.200000	17.000000	3.500000	WATER BASED	1989-12-28	1294	9999-12-31	2013-05-08	27375
9/2-3	3145.000000	1.330000	29.000000	5.000000	WATER BASED	1989-12-28	1294	9999-12-31	2013-05-08	27376
9/2-3	3145.000000	1.350000	32.000000	5.000000	WATER BASED	1990-01-03	1294	9999-12-31	2013-05-08	27377
9/2-3	3145.000000	1.350000	28.000000	5.500000	WATER BASED	1990-01-03	1294	9999-12-31	2013-05-08	27378
9/2-3	3145.000000	1.330000	31.000000	5.000000	WATER BASED	1989-12-29	1294	9999-12-31	2013-05-08	27379
9/2-3	3210.000000	1.260000	23.000000	5.000000	WATER BASED	1990-01-05	1294	9999-12-31	2013-05-08	27380
9/2-3	3210.000000	1.260000	20.000000	4.000000	WATER BASED	1990-01-05	1294	9999-12-31	2013-05-08	27381
9/2-3	3210.000000	1.260000	22.000000	3.500000	WATER BASED	1990-01-08	1294	9999-12-31	2013-05-08	27382
9/2-3	3210.000000	1.260000	22.000000	5.000000	WATER BASED	1990-01-08	1294	9999-12-31	2013-05-08	27383
9/2-3	3210.000000	1.260000	25.000000	5.500000	WATER BASED	1990-01-09	1294	9999-12-31	2013-05-08	27384
9/2-3	3210.000000	1.480000	29.000000	5.500000	WATER BASED	1990-01-03	1294	9999-12-31	2013-05-08	27385
9/2-3	3210.000000	1.260000	24.000000	5.500000	WATER BASED	1990-01-09	1294	9999-12-31	2013-05-08	27386
9/2-3	3210.000000	1.630000	36.000000	6.500000	WATER BASED	1990-01-16	1294	9999-12-31	2013-05-08	27387
9/2-3	3210.000000	1.260000	30.000000	7.000000	WATER BASED	1990-01-10	1294	9999-12-31	2013-05-08	27388
9/2-3	3258.000000	1.630000	36.000000	5.000000	WATER BASED	1990-01-19	1294	9999-12-31	2013-05-08	27389
9/2-3	3258.000000	1.630000	26.000000	3.500000	WATER BASED	1990-01-25	1294	9999-12-31	2013-05-08	27390
9/2-3	3258.000000	1.630000	42.000000	5.000000	WATER BASED	1990-01-23	1294	9999-12-31	2013-05-08	27391
9/2-3	3258.000000	1.630000	27.000000	4.000000	WATER BASED	1990-01-24	1294	9999-12-31	2013-05-08	27392
9/2-3	3258.000000	1.630000	31.000000	4.000000	WATER BASED	1990-01-23	1294	9999-12-31	2013-05-08	27393
9/2-3	3258.000000	1.630000	33.000000	4.500000	WATER BASED	1990-01-23	1294	9999-12-31	2013-05-08	27394
9/2-3	3258.000000	1.630000	28.000000	4.000000	WATER BASED	1990-01-23	1294	9999-12-31	2013-05-08	27395
9/2-4 S	645.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27396
9/2-4 S	647.000000	1.300000	27.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27397
9/2-4 S	650.000000	1.100000	18.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27398
9/2-4 S	1335.000000	1.390000	30.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27399
9/2-4 S	1574.000000	1.390000	30.000000	0.000000	DUMMY	9999-12-31	2258	9999-12-31	2013-05-08	27400
9/2-4 S	2215.000000	1.390000	29.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27401
9/2-4 S	2427.000000	1.390000	27.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27402
9/2-4 S	2836.000000	1.390000	26.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27403
9/2-4 S	2864.000000	1.390000	26.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27404
9/2-4 S	2930.000000	1.390000	26.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27405
9/2-4 S	3016.000000	1.450000	31.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27406
9/2-4 S	3080.000000	1.450000	33.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27407
9/2-4 S	3086.000000	1.500000	32.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27408
9/2-4 S	3106.000000	1.500000	33.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27409
9/2-4 S	3260.000000	1.500000	28.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27410
9/2-4 S	3275.000000	1.500000	25.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27411
9/2-4 S	3298.000000	1.500000	25.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27412
9/2-4 S	3343.000000	1.500000	29.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27413
9/2-4 S	3394.000000	1.500000	34.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27414
9/2-4 S	3409.000000	1.500000	41.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27415
9/2-4 S	3537.000000	1.500000	41.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27416
9/2-4 S	3666.000000	1.500000	40.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27417
9/2-4 S	3765.000000	1.700000	63.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27418
9/2-4 S	3774.000000	1.700000	39.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27419
9/2-4 S	3788.000000	1.700000	37.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27420
9/2-4 S	3811.000000	1.700000	63.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27421
9/2-4 S	3915.000000	1.770000	50.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27422
9/2-4 S	3930.000000	1.700000	59.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27423
9/2-4 S	3959.000000	1.500000	45.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27424
9/2-4 S	3997.000000	1.700000	58.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27425
9/2-4 S	4090.000000	1.770000	49.000000	0.000000	WATER BASED	9999-12-31	2258	9999-12-31	2013-05-08	27426
9/2-4 S	4123.000000	1.700000	58.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27427
9/2-4 S	4150.000000	1.700000	59.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27428
9/2-4 S	4169.000000	1.700000	57.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27429
9/2-4 S	4249.000000	1.700000	57.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27430
9/2-4 S	4264.000000	1.700000	58.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27431
9/2-4 S	4309.000000	1.700000	58.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27432
9/2-4 S	4310.000000	1.700000	58.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27433
9/2-4 S	4313.000000	1.700000	59.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27434
9/2-4 S	4336.000000	1.700000	58.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27435
9/2-4 S	4417.000000	1.700000	59.000000	0.000000	OIL BASED	9999-12-31	2258	9999-12-31	2013-05-08	27436
9/2-5	240.000000	1.030000	0.000000	0.000000	WATER BASED	1995-06-26	2599	9999-12-31	2013-05-08	27437
9/2-5	1218.000000	1.030000	26.000000	26.000000	WATER BASED	1995-06-26	2599	9999-12-31	2013-05-08	27438
9/2-5	1586.000000	1.400000	19.000000	21.500000	WATER BASED	1995-06-28	2599	9999-12-31	2013-05-08	27439
9/2-5	1586.000000	1.030000	18.000000	39.000000	WATER BASED	1995-06-29	2599	9999-12-31	2013-05-08	27440
9/2-5	1660.000000	1.040000	18.000000	39.000000	WATER BASED	1995-06-30	2599	9999-12-31	2013-05-08	27441
9/2-5	1825.000000	1.450000	27.000000	15.500000	WATER BASED	1995-07-03	2599	9999-12-31	2013-05-08	27442
9/2-5	2230.000000	1.420000	26.000000	17.500000	WATER BASED	1995-07-03	2599	9999-12-31	2013-05-08	27443
9/2-5	2710.000000	1.500000	32.000000	15.500000	WATER BASED	1995-07-04	2599	9999-12-31	2013-05-08	27444
9/2-5	2819.000000	1.420000	25.000000	16.000000	WATER BASED	1995-07-03	2599	9999-12-31	2013-05-08	27445
9/2-5	2975.000000	1.500000	32.000000	15.500000	WATER BASED	1995-07-04	2599	9999-12-31	2013-05-08	27446
9/2-5	3115.000000	1.400000	24.000000	18.000000	WATER BASED	1995-07-18	2599	9999-12-31	2013-05-08	27447
9/2-5	3115.000000	1.400000	25.000000	16.500000	WATER BASED	1995-07-17	2599	9999-12-31	2013-05-08	27448
9/2-5	3115.000000	1.400000	25.000000	17.000000	WATER BASED	1995-07-12	2599	9999-12-31	2013-05-08	27449
9/2-5	3125.000000	1.400000	20.000000	16.000000	WATER BASED	1995-07-11	2599	9999-12-31	2013-05-08	27450
9/2-5	3154.000000	1.400000	20.000000	16.000000	WATER BASED	1995-07-11	2599	9999-12-31	2013-05-08	27451
9/2-5	3166.000000	1.400000	25.000000	17.000000	WATER BASED	1995-07-11	2599	9999-12-31	2013-05-08	27452
9/2-5	3234.000000	1.400000	25.000000	17.000000	WATER BASED	1995-07-12	2599	9999-12-31	2013-05-08	27453
9/2-5	3284.000000	1.400000	23.000000	15.500000	WATER BASED	1995-07-14	2599	9999-12-31	2013-05-08	27454
9/2-5	3329.000000	1.400000	23.000000	17.000000	WATER BASED	1995-07-14	2599	9999-12-31	2013-05-08	27455
9/2-5	3355.000000	1.400000	25.000000	16.500000	WATER BASED	1995-07-17	2599	9999-12-31	2013-05-08	27456
9/2-6 S	224.000000	1.030000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	2867	9999-12-31	2013-05-08	27457
9/2-6 S	380.000000	1.030000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	2867	9999-12-31	2013-05-08	27458
9/2-6 S	797.000000	1.030000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	2867	9999-12-31	2013-05-08	27459
9/2-6 S	829.000000	1.030000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	2867	9999-12-31	2013-05-08	27460
9/2-6 S	832.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	2867	9999-12-31	2013-05-08	27461
9/2-6 S	1182.000000	1.450000	32.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2867	9999-12-31	2013-05-08	27462
9/2-6 S	1430.000000	1.450000	39.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2867	9999-12-31	2013-05-08	27463
9/2-6 S	1478.000000	1.450000	46.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2867	9999-12-31	2013-05-08	27464
9/2-6 S	1560.000000	1.450000	45.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2867	9999-12-31	2013-05-08	27465
9/2-6 S	1725.000000	1.450000	44.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2867	9999-12-31	2013-05-08	27466
9/2-6 S	1761.000000	1.640000	32.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2867	9999-12-31	2013-05-08	27467
9/2-6 S	2052.000000	1.640000	36.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2867	9999-12-31	2013-05-08	27468
9/2-6 S	2236.000000	1.640000	45.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2867	9999-12-31	2013-05-08	27469
9/2-6 S	2290.000000	1.640000	40.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2867	9999-12-31	2013-05-08	27470
9/2-6 S	2463.000000	1.600000	44.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	2867	9999-12-31	2013-05-08	27471
9/2-6 S	2604.000000	1.600000	56.000000	0.000000	PETROFREE	9999-12-31	2867	9999-12-31	2013-05-08	27472
9/2-6 S	3121.000000	1.600000	55.000000	0.000000	PETROFREE	9999-12-31	2867	9999-12-31	2013-05-08	27473
9/2-6 S	3670.000000	1.600000	52.000000	0.000000	PETROFREE	9999-12-31	2867	9999-12-31	2013-05-08	27474
9/2-6 S	3842.000000	1.600000	52.000000	0.000000	PETROFREE	9999-12-31	2867	9999-12-31	2013-05-08	27475
9/2-6 S	4150.000000	1.600000	53.000000	0.000000	PETROFREE	9999-12-31	2867	9999-12-31	2013-05-08	27476
9/2-6 S	4204.000000	1.600000	51.000000	0.000000	PETROFREE	9999-12-31	2867	9999-12-31	2013-05-08	27477
9/2-6 S	4252.000000	1.600000	51.000000	0.000000	PETROFREE	9999-12-31	2867	9999-12-31	2013-05-08	27478
9/2-6 S	4274.000000	1.600000	51.000000	0.000000	PETROFREE	9999-12-31	2867	9999-12-31	2013-05-08	27479
9/2-6 S	4606.000000	1.600000	53.000000	0.000000	PETROFREE	9999-12-31	2867	9999-12-31	2013-05-08	27480
9/2-6 S	4792.000000	1.500000	40.000000	0.000000	PETROFREE	9999-12-31	2867	9999-12-31	2013-05-08	27481
9/2-6 S	4793.000000	1.200000	18.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2867	9999-12-31	2013-05-08	27482
9/2-6 S	4808.000000	1.200000	21.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2867	9999-12-31	2013-05-08	27483
9/2-6 S	4824.000000	1.200000	21.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2867	9999-12-31	2013-05-08	27484
9/2-6 S	4844.000000	1.350000	36.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2867	9999-12-31	2013-05-08	27485
9/2-6 S	4845.000000	1.200000	21.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2867	9999-12-31	2013-05-08	27486
9/2-6 S	4904.000000	1.200000	25.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2867	9999-12-31	2013-05-08	27487
9/2-6 S	4995.000000	1.200000	26.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2867	9999-12-31	2013-05-08	27488
9/2-6 S	5100.000000	1.200000	27.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2867	9999-12-31	2013-05-08	27489
9/2-6 S	5184.000000	1.200000	27.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2867	9999-12-31	2013-05-08	27490
9/2-6 S	5205.000000	1.200000	29.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2867	9999-12-31	2013-05-08	27491
9/2-6 S	5205.000000	1.200000	29.000000	0.000000	KCL/GLYCOL/PHPA	9999-12-31	2867	9999-12-31	2013-05-08	27492
9/2-7 S	1192.000000	1.390000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	3087	9999-12-31	2013-05-08	27493
9/2-7 S	1311.000000	1.600000	31.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3087	9999-12-31	2013-05-08	27494
9/2-7 S	1687.000000	1.600000	32.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3087	9999-12-31	2013-05-08	27495
9/2-7 S	1868.000000	1.390000	29.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3087	9999-12-31	2013-05-08	27496
9/2-7 S	1868.000000	1.390000	35.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3087	9999-12-31	2013-05-08	27497
9/2-7 S	2169.000000	1.570000	45.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3087	9999-12-31	2013-05-08	27498
9/2-7 S	2229.000000	1.570000	46.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3087	9999-12-31	2013-05-08	27499
9/2-7 S	2440.000000	1.570000	42.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3087	9999-12-31	2013-05-08	27500
9/2-7 S	2576.000000	1.570000	44.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3087	9999-12-31	2013-05-08	27501
9/2-7 S	2576.000000	1.570000	45.000000	0.000000	PETROFREE	9999-12-31	3087	9999-12-31	2013-05-08	27502
9/2-7 S	2581.000000	1.600000	0.000000	0.000000	DUMMY	9999-12-31	3087	9999-12-31	2013-05-08	27503
9/2-7 S	2806.000000	1.600000	44.000000	0.000000	PETROFREE	9999-12-31	3087	9999-12-31	2013-05-08	27504
9/2-7 S	2978.000000	1.600000	44.000000	0.000000	PETROFREE	9999-12-31	3087	9999-12-31	2013-05-08	27505
9/2-7 S	3088.000000	1.600000	42.000000	0.000000	PETROFREE	9999-12-31	3087	9999-12-31	2013-05-08	27506
9/2-7 S	3475.000000	1.600000	40.000000	0.000000	PETROFREE	9999-12-31	3087	9999-12-31	2013-05-08	27507
9/2-7 S	3518.000000	1.600000	44.000000	0.000000	PETROFREE	9999-12-31	3087	9999-12-31	2013-05-08	27508
9/2-7 S	3723.000000	1.600000	39.000000	0.000000	PETROFREE	9999-12-31	3087	9999-12-31	2013-05-08	27509
9/2-7 S	3832.000000	1.600000	462.000000	0.000000	PETROFREE	9999-12-31	3087	9999-12-31	2013-05-08	27510
9/2-7 S	3852.000000	1.600000	461.000000	0.000000	PETROFREE	9999-12-31	3087	9999-12-31	2013-05-08	27511
9/2-7 S	3867.000000	1.600000	461.000000	0.000000	PETROFREE	9999-12-31	3087	9999-12-31	2013-05-08	27512
9/2-7 S	3881.000000	1.300000	36.000000	0.000000	AQUACOL	9999-12-31	3087	9999-12-31	2013-05-08	27513
9/2-7 S	3893.000000	1.300000	35.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3087	9999-12-31	2013-05-08	27514
9/2-7 S	3913.000000	1.300000	37.000000	0.000000	AQUACOL	9999-12-31	3087	9999-12-31	2013-05-08	27515
9/2-7 S	3923.000000	1.300000	30.000000	0.000000	KCL/PAC/XANVIS	9999-12-31	3087	9999-12-31	2013-05-08	27516
9/2-7 S	4032.000000	1.300000	36.000000	0.000000	AQUACOL	9999-12-31	3087	9999-12-31	2013-05-08	27517
9/2-7 S	4099.000000	1.300000	39.000000	0.000000	AQUACOL	9999-12-31	3087	9999-12-31	2013-05-08	27518
9/2-8 S	59.000000	1.640000	41.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27519
9/2-8 S	189.000000	1.030000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	3126	9999-12-31	2013-05-08	27520
9/2-8 S	247.000000	1.390000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	3126	9999-12-31	2013-05-08	27521
9/2-8 S	300.000000	1.030000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	3126	9999-12-31	2013-05-08	27522
9/2-8 S	400.000000	1.030000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	3126	9999-12-31	2013-05-08	27523
9/2-8 S	820.000000	1.030000	0.000000	0.000000	SEAWATER/PAC	9999-12-31	3126	9999-12-31	2013-05-08	27524
9/2-8 S	853.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3126	9999-12-31	2013-05-08	27525
9/2-8 S	1330.000000	1.300000	30.000000	0.000000	SEAWATER/PAC	9999-12-31	3126	9999-12-31	2013-05-08	27526
9/2-8 S	1571.000000	1.300000	28.000000	0.000000	SEAWATER/PAC	9999-12-31	3126	9999-12-31	2013-05-08	27527
9/2-8 S	1740.000000	1.300000	31.000000	0.000000	SEAWATER/PAC	9999-12-31	3126	9999-12-31	2013-05-08	27528
9/2-8 S	1775.000000	1.300000	32.000000	0.000000	SEAWATER/PAC	9999-12-31	3126	9999-12-31	2013-05-08	27529
9/2-8 S	1856.000000	1.300000	35.000000	0.000000	SEAWATER/PAC	9999-12-31	3126	9999-12-31	2013-05-08	27530
9/2-8 S	2031.000000	1.300000	33.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3126	9999-12-31	2013-05-08	27531
9/2-8 S	2190.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3126	9999-12-31	2013-05-08	27532
9/2-8 S	2249.000000	1.300000	32.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3126	9999-12-31	2013-05-08	27533
9/2-8 S	2286.000000	1.390000	40.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3126	9999-12-31	2013-05-08	27534
9/2-8 S	2286.000000	1.390000	40.000000	0.000000	KCL/PAC/PHPA	9999-12-31	3126	9999-12-31	2013-05-08	27535
9/2-8 S	2840.000000	1.540000	46.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27536
9/2-8 S	3292.000000	1.540000	49.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27537
9/2-8 S	3760.000000	1.540000	42.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27538
9/2-8 S	3962.000000	1.540000	0.000000	0.000000	DUMMY	9999-12-31	3126	9999-12-31	2013-05-08	27539
9/2-8 S	4021.000000	1.540000	48.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27540
9/2-8 S	4316.000000	1.540000	44.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27541
9/2-8 S	4671.000000	1.540000	41.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27542
9/2-8 S	4957.000000	1.600000	44.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27543
9/2-8 S	5274.000000	1.600000	44.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27544
9/2-8 S	5300.000000	1.600000	45.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27545
9/2-8 S	5332.000000	1.600000	41.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27546
9/2-8 S	5560.000000	1.600000	33.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27547
9/2-8 S	5667.000000	1.640000	42.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27548
9/2-8 S	5680.000000	1.640000	42.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27549
9/2-8 S	5714.000000	1.670000	42.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27550
9/2-8 S	5717.000000	1.640000	39.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27551
9/2-8 S	5730.000000	1.640000	45.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27552
9/2-8 S	5741.000000	1.640000	36.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27553
9/2-8 S	5788.000000	1.640000	39.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27554
9/2-8 S	5842.000000	1.670000	42.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27555
9/2-8 S	5854.000000	1.640000	40.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27556
9/2-8 S	5866.000000	1.640000	0.000000	0.000000	DUMMY	9999-12-31	3126	9999-12-31	2013-05-08	27557
9/2-8 S	5870.000000	1.640000	40.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27558
9/2-8 S	5877.000000	1.640000	40.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27559
9/2-8 S	5936.000000	1.640000	41.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27560
9/2-8 S	5942.000000	1.600000	35.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27561
9/2-8 S	5942.000000	1.640000	41.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27562
9/2-8 S	6002.000000	1.640000	41.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27563
9/2-8 S	6178.000000	1.600000	39.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27564
9/2-8 S	6210.000000	1.600000	36.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27565
9/2-8 S	6213.000000	1.600000	34.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27566
9/2-8 S	6264.000000	1.600000	36.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27567
9/2-8 S	6300.000000	1.600000	33.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27568
9/2-8 S	6314.000000	1.600000	33.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27569
9/2-8 S	6405.000000	1.600000	33.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27570
9/2-8 S	6681.000000	1.600000	32.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27571
9/2-8 S	6770.000000	1.600000	32.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27572
9/2-8 S	6850.000000	1.600000	33.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27573
9/2-8 S	6876.000000	1.600000	32.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27574
9/2-8 S	6991.000000	1.600000	33.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27575
9/2-8 S	7082.000000	1.600000	32.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27576
9/2-8 S	7154.000000	1.600000	35.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27577
9/2-8 S	7157.000000	1.600000	32.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27578
9/2-8 S	7203.000000	1.600000	32.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27579
9/2-8 S	7203.000000	1.600000	32.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27580
9/2-8 S	7285.000000	1.600000	33.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27581
9/2-8 S	7378.000000	1.600000	31.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27582
9/2-8 S	7394.000000	1.320000	30.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27583
9/2-8 S	7584.000000	1.320000	24.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27584
9/2-8 S	7584.000000	1.320000	30.000000	0.000000	PETROFREE	9999-12-31	3126	9999-12-31	2013-05-08	27585
9/2-9 S	390.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3703	9999-12-31	2013-05-08	27586
9/2-9 S	1071.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3703	9999-12-31	2013-05-08	27587
9/2-9 S	1290.000000	1.030000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	3703	9999-12-31	2013-05-08	27588
9/2-9 S	1481.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3703	9999-12-31	2013-05-08	27589
9/2-9 S	1621.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3703	9999-12-31	2013-05-08	27590
9/2-9 S	1729.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3703	9999-12-31	2013-05-08	27591
9/2-9 S	1911.000000	1.030000	0.000000	0.000000	DUMMY	9999-12-31	3703	9999-12-31	2013-05-08	27592
9/2-9 S	1954.000000	1.030000	0.000000	0.000000	SEAWATER/BENT.	9999-12-31	3703	9999-12-31	2013-05-08	27593
9/2-9 S	2200.000000	1.560000	0.000000	0.000000	DUMMY	9999-12-31	3703	9999-12-31	2013-05-08	27594
9/2-9 S	2700.000000	1.540000	40.000000	0.000000	ULTIDRILL	9999-12-31	3703	9999-12-31	2013-05-08	27595
9/2-9 S	3464.000000	1.600000	36.000000	0.000000	ULTIDRILL	9999-12-31	3703	9999-12-31	2013-05-08	27596
9/2-9 S	3500.000000	1.600000	38.000000	0.000000	ULTIDRILL	9999-12-31	3703	9999-12-31	2013-05-08	27597
9/2-9 S	3878.000000	1.300000	32.000000	0.000000	ULTIDRILL	9999-12-31	3703	9999-12-31	2013-05-08	27598
9/2-9 S	3995.000000	1.250000	24.000000	0.000000	ULTIDRILL	9999-12-31	3703	9999-12-31	2013-05-08	27599
9/2-9 S	4058.000000	1.250000	25.000000	0.000000	ULTIDRILL	9999-12-31	3703	9999-12-31	2013-05-08	27600
9/2-9 S	4312.000000	1.250000	27.000000	0.000000	ULTIDRILL	9999-12-31	3703	9999-12-31	2013-05-08	27601
9/2-9 S	4367.000000	1.250000	26.000000	0.000000	ULTIDRILL	9999-12-31	3703	9999-12-31	2013-05-08	27602
9/2-A-4	148.000000	1.030000	0.000000	0.000000	water	9999-12-31	2828	9999-12-31	2013-05-08	27603
9/2-A-4	231.000000	1.400000	0.000000	0.000000	water/bento	9999-12-31	2828	9999-12-31	2013-05-08	27604
9/2-A-4	900.000000	1.500000	0.000000	0.000000	water/bento	9999-12-31	2828	9999-12-31	2013-05-08	27605
9/2-A-4	2013.000000	1.650000	0.000000	0.000000	water/bento	9999-12-31	2828	9999-12-31	2013-05-08	27606
9/2-A-4	4635.000000	1.400000	0.000000	0.000000	water/bento	9999-12-31	2828	9999-12-31	2013-05-08	27607
9/3-1	158.000000	1.030000	0.000000	0.000000	WATER BASED	1986-09-08	921	9999-12-31	2013-05-08	27608
9/3-1	179.000000	1.030000	0.000000	0.000000	WATERBASED	1986-08-04	921	9999-12-31	2013-05-08	27609
9/3-1	188.000000	1.030000	0.000000	0.000000	WATERBASED	1986-08-06	921	9999-12-31	2013-05-08	27610
9/3-1	215.000000	1.030000	0.000000	0.000000	WATERBASED	1986-08-04	921	9999-12-31	2013-05-08	27611
9/3-1	215.000000	0.000000	0.000000	0.000000	WATERBASED	1986-08-06	921	9999-12-31	2013-05-08	27612
9/3-1	220.000000	1.030000	9.000000	22.000000	WATERBASED	1986-08-06	921	9999-12-31	2013-05-08	27613
9/3-1	227.000000	0.000000	0.000000	0.000000	WATER BASED	1986-09-03	921	9999-12-31	2013-05-08	27614
9/3-1	540.000000	0.000000	12.000000	30.000000	WATERBASED	1986-08-14	921	9999-12-31	2013-05-08	27615
9/3-1	540.000000	0.000000	0.000000	0.000000	WATERBASED	1986-08-14	921	9999-12-31	2013-05-08	27616
9/3-1	540.000000	1.080000	10.000000	30.000000	WATERBASED	1986-08-06	921	9999-12-31	2013-05-08	27617
9/3-1	540.000000	0.000000	8.000000	30.000000	WATERBASED	1986-08-11	921	9999-12-31	2013-05-08	27618
9/3-1	540.000000	0.000000	10.000000	30.000000	WATERBASED	1986-08-11	921	9999-12-31	2013-05-08	27619
9/3-1	545.000000	1.150000	12.000000	18.000000	WATERBASED	1986-08-14	921	9999-12-31	2013-05-08	27620
9/3-1	720.000000	1.150000	13.000000	24.000000	WATERBASED	1986-08-14	921	9999-12-31	2013-05-08	27621
9/3-1	931.000000	1.170000	12.000000	23.000000	WATER BASED	1986-08-21	921	9999-12-31	2013-05-08	27622
9/3-1	1159.000000	1.200000	12.000000	22.000000	WATER BASED	1986-08-21	921	9999-12-31	2013-05-08	27623
9/3-1	1210.000000	1.500000	0.000000	0.000000	WATER BASED	1986-09-01	921	9999-12-31	2013-05-08	27624
9/3-1	1316.000000	1.210000	13.000000	14.000000	WATER BASED	1986-08-21	921	9999-12-31	2013-05-08	27625
9/3-1	1360.000000	1.200000	13.000000	15.000000	WATER BASED	1986-08-21	921	9999-12-31	2013-05-08	27626
9/3-1	1360.000000	1.200000	19.000000	18.000000	WATER BASED	1986-08-21	921	9999-12-31	2013-05-08	27627
9/3-1	1360.000000	1.200000	18.000000	20.000000	WATER BASED	1986-08-21	921	9999-12-31	2013-05-08	27628
9/3-1	1360.000000	1.200000	17.000000	10.000000	WATER BASED	1986-08-21	921	9999-12-31	2013-05-08	27629
9/3-1	1426.000000	1.210000	21.000000	17.000000	WATER BASED	1986-08-22	921	9999-12-31	2013-05-08	27630
9/3-1	1562.000000	1.200000	15.000000	18.000000	WATER BASED	1986-08-22	921	9999-12-31	2013-05-08	27631
9/3-1	1610.000000	1.260000	21.000000	18.000000	WATER BASED	1986-08-22	921	9999-12-31	2013-05-08	27632
9/3-1	1757.000000	1.400000	30.000000	24.000000	WATER BASED	1986-08-25	921	9999-12-31	2013-05-08	27633
9/3-1	1798.000000	1.420000	30.000000	20.000000	WATER BASED	1986-08-25	921	9999-12-31	2013-05-08	27634
9/3-1	1810.000000	1.550000	28.000000	16.000000	WATER BASED	1986-08-28	921	9999-12-31	2013-05-08	27635
9/3-1	1885.000000	1.550000	30.000000	18.000000	WATER BASED	1986-08-28	921	9999-12-31	2013-05-08	27636
9/3-1	1895.000000	1.550000	34.000000	22.000000	WATER BASED	1986-08-28	921	9999-12-31	2013-05-08	27637
9/3-1	1914.000000	1.550000	28.000000	22.000000	WATER BASED	1986-08-31	921	9999-12-31	2013-05-08	27638
9/3-1	1953.000000	1.500000	30.000000	27.000000	WATER BASED	1986-08-31	921	9999-12-31	2013-05-08	27639
9/3-1	1972.000000	1.500000	28.000000	19.000000	WATER BASED	1986-08-31	921	9999-12-31	2013-05-08	27640
9/3-1	1972.000000	1.510000	29.000000	20.000000	WATER BASED	1986-09-01	921	9999-12-31	2013-05-08	27641
9/3-1	1972.000000	1.500000	28.000000	19.000000	WATER BASED	1986-08-31	921	9999-12-31	2013-05-08	27642
9/3-2	365.000000	1.000000	0.000000	0.000000	WATER BASED	9999-12-31	5173	9999-12-31	2013-05-08	27643
9/3-2	507.000000	1.030000	0.000000	0.000000	WATER BASED	9999-12-31	5173	9999-12-31	2013-05-08	27644
9/3-2	1130.000000	1.100000	0.000000	0.000000	WATER BASED	9999-12-31	5173	9999-12-31	2013-05-08	27645
9/3-2	1152.000000	1.300000	0.000000	0.000000	OIL BASED	9999-12-31	5173	9999-12-31	2013-05-08	27646
9/3-2	1920.000000	1.300000	83.000000	0.000000	OIL BASED	9999-12-31	5173	9999-12-31	2013-05-08	27647
9/3-2	2065.000000	1.300000	75.000000	0.000000	OIL BASED	9999-12-31	5173	9999-12-31	2013-05-08	27648
9/3-2	2891.000000	1.350000	62.000000	0.000000	OIL BASED	9999-12-31	5173	9999-12-31	2013-05-08	27649
9/3-2	3035.000000	1.350000	57.000000	0.000000	OIL BASED	9999-12-31	5173	9999-12-31	2013-05-08	27650
9/3-2	3154.000000	1.350000	60.000000	0.000000	OIL BASED	9999-12-31	5173	9999-12-31	2013-05-08	27651
9/4-1	1106.000000	1.020000	0.000000	0.000000	seawater	9999-12-31	150	9999-12-31	2013-05-08	27652
9/4-1	2252.000000	1.230000	0.000000	0.000000	Spersene XP	9999-12-31	150	9999-12-31	2013-05-08	27653
9/4-1	2963.000000	1.250000	0.000000	0.000000	Spersene XP	9999-12-31	150	9999-12-31	2013-05-08	27654
9/4-2	207.000000	1.070000	42.000000	0.000000	seawater	9999-12-31	176	9999-12-31	2013-05-08	27655
9/4-2	609.000000	1.100000	36.000000	0.000000	seawater	9999-12-31	176	9999-12-31	2013-05-08	27656
9/4-2	1260.000000	1.170000	36.000000	0.000000	seawater	9999-12-31	176	9999-12-31	2013-05-08	27657
9/4-2	1683.000000	1.280000	40.000000	0.000000	seawater	9999-12-31	176	9999-12-31	2013-05-08	27658
9/4-2	2138.000000	1.250000	41.000000	0.000000	seawater	9999-12-31	176	9999-12-31	2013-05-08	27659
9/4-2	2746.000000	1.410000	46.000000	0.000000	seawater	9999-12-31	176	9999-12-31	2013-05-08	27660
9/4-4	178.000000	1.010000	0.000000	0.000000	seawater	9999-12-31	305	9999-12-31	2013-05-08	27661
9/4-4	1246.000000	1.100000	45.000000	0.000000	seawater	9999-12-31	305	9999-12-31	2013-05-08	27662
9/4-4	1633.000000	1.280000	42.000000	0.000000	seawater	9999-12-31	305	9999-12-31	2013-05-08	27663
9/4-4	2740.000000	1.350000	45.000000	0.000000	seawater	9999-12-31	305	9999-12-31	2013-05-08	27664
9/4-4	2902.000000	1.370000	45.000000	0.000000	seawater	9999-12-31	305	9999-12-31	2013-05-08	27665
9/4-5	213.000000	1.040000	0.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27666
9/4-5	605.000000	1.080000	0.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27667
9/4-5	1402.000000	1.210000	80.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27668
9/4-5	1980.000000	1.230000	31.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27669
9/4-5	2534.000000	0.000000	0.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27670
9/4-5	3168.000000	1.370000	38.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27671
9/4-5	4002.000000	1.370000	35.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27672
9/4-5	4354.000000	1.370000	34.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27673
9/4-5	4686.000000	0.000000	0.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27674
9/4-5	4945.000000	1.370000	34.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27675
9/4-5	5746.000000	1.860000	47.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27676
9/4-5	5881.000000	1.860000	48.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27677
9/4-5	5881.000000	0.000000	0.000000	0.000000	DUMMY	9999-12-31	5134	9999-12-31	2013-05-08	27678
9/8-1	137.000000	0.000000	0.000000	0.000000	seawater	9999-12-31	145	9999-12-31	2013-05-08	27679
9/8-1	360.000000	1.110000	0.000000	0.000000	seawater	9999-12-31	145	9999-12-31	2013-05-08	27680
9/8-1	1219.000000	1.130000	0.000000	0.000000	waterbased	9999-12-31	145	9999-12-31	2013-05-08	27681
9/8-1	2175.000000	1.150000	0.000000	0.000000	waterbased	9999-12-31	145	9999-12-31	2013-05-08	27682
\.



COPY wellbore_npdid_overview (wlbwellborename, wlbnpdidwellbore, wlbwell, wlbwelltype, datesyncnpd) FROM stdin;
1/3-4	2	1/3-4	EXPLORATION	2013-05-08
2/2-3	3	2/2-3	EXPLORATION	2013-05-08
30/6-12	4	30/6-12	EXPLORATION	2013-05-08
34/10-17	5	34/10-17	EXPLORATION	2013-05-08
31/2-11	6	31/2-11	EXPLORATION	2013-05-08
30/6-13	7	30/6-13	EXPLORATION	2013-05-08
7120/12-3	8	7120/12-3	EXPLORATION	2013-05-08
7120/8-3	9	7120/8-3	EXPLORATION	2013-05-08
30/3-3	10	30/3-3	EXPLORATION	2013-05-08
30/9-2	11	30/9-2	EXPLORATION	2013-05-08
6610/7-1	12	6610/7-1	EXPLORATION	2013-05-08
7117/9-2	13	7117/9-2	EXPLORATION	2013-05-08
31/2-12	14	31/2-12	EXPLORATION	2013-05-08
6609/11-1	15	6609/11-1	EXPLORATION	2013-05-08
6407/2-2	16	6407/2-2	EXPLORATION	2013-05-08
7119/12-3	17	7119/12-3	EXPLORATION	2013-05-08
7120/7-2	18	7120/7-2	EXPLORATION	2013-05-08
6609/7-1	19	6609/7-1	EXPLORATION	2013-05-08
31/3-1	20	31/3-1	EXPLORATION	2013-05-08
7119/7-1	21	7119/7-1	EXPLORATION	2013-05-08
31/6-1	22	31/6-1	EXPLORATION	2013-05-08
34/10-18	23	34/10-18	EXPLORATION	2013-05-08
6609/10-1	24	6609/10-1	EXPLORATION	2013-05-08
2/5-7	25	2/5-7	EXPLORATION	2013-05-08
6610/7-2	26	6610/7-2	EXPLORATION	2013-05-08
31/5-1	27	31/5-1	EXPLORATION	2013-05-08
7/8-3	28	7/8-3	EXPLORATION	2013-05-08
6407/1-3	29	6407/1-3	EXPLORATION	2013-05-08
7/11-8	30	7/11-8	EXPLORATION	2013-05-08
29/9-1	31	29/9-1	EXPLORATION	2013-05-08
31/5-2	32	31/5-2	EXPLORATION	2013-05-08
34/10-19	33	34/10-19	EXPLORATION	2013-05-08
31/6-2	34	31/6-2	EXPLORATION	2013-05-08
31/6-3	35	31/6-3	EXPLORATION	2013-05-08
15/9-18	36	15/9-18	EXPLORATION	2013-05-08
34/4-5	37	34/4-5	EXPLORATION	2013-05-08
15/6-6	38	15/6-6	EXPLORATION	2013-05-08
30/6-6	39	30/6-6	EXPLORATION	2013-05-08
16/7-2	40	16/7-2	EXPLORATION	2013-05-08
34/4-4	41	34/4-4	EXPLORATION	2013-05-08
7/11-5	42	7/11-5	EXPLORATION	2013-05-08
31/4-6	43	31/4-6	EXPLORATION	2013-05-08
1/9-6 S	44	1/9-6	EXPLORATION	2013-05-08
15/9-13	45	15/9-13	EXPLORATION	2013-05-08
2/2-1	46	2/2-1	EXPLORATION	2013-05-08
25/2-7	47	25/2-7	EXPLORATION	2013-05-08
2/1-4	48	2/1-4	EXPLORATION	2013-05-08
7117/9-1	49	7117/9-1	EXPLORATION	2013-05-08
7120/8-2	50	7120/8-2	EXPLORATION	2013-05-08
6507/11-2	51	6507/11-2	EXPLORATION	2013-05-08
15/3-5	52	15/3-5	EXPLORATION	2013-05-08
30/6-14	53	30/6-14	EXPLORATION	2013-05-08
2/1-A-3	54	2/1-A-3	DEVELOPMENT	2013-05-08
30/9-3	55	30/9-3	EXPLORATION	2013-05-08
30/6-10 A	56	30/6-10	EXPLORATION	2013-05-08
7/11-7	57	7/11-7	EXPLORATION	2013-05-08
30/6-11	58	30/6-11	EXPLORATION	2013-05-08
34/10-16	59	34/10-16	EXPLORATION	2013-05-08
15/9-17	60	15/9-17	EXPLORATION	2013-05-08
6407/1-2	61	6407/1-2	EXPLORATION	2013-05-08
30/11-3	62	30/11-3	EXPLORATION	2013-05-08
2/1-5	63	2/1-5	EXPLORATION	2013-05-08
2/6-3	64	2/6-3	EXPLORATION	2013-05-08
30/9-1	65	30/9-1	EXPLORATION	2013-05-08
6407/1-1	66	6407/1-1	EXPLORATION	2013-05-08
34/10-15	67	34/10-15	EXPLORATION	2013-05-08
6507/11-1	68	6507/11-1	EXPLORATION	2013-05-08
15/9-10	69	15/9-10	EXPLORATION	2013-05-08
31/2-7	70	31/2-7	EXPLORATION	2013-05-08
15/9-14	71	15/9-14	EXPLORATION	2013-05-08
30/2-1	72	30/2-1	EXPLORATION	2013-05-08
30/6-7	73	30/6-7	EXPLORATION	2013-05-08
15/9-15	74	15/9-15	EXPLORATION	2013-05-08
16/7-3	75	16/7-3	EXPLORATION	2013-05-08
6407/2-1	76	6407/2-1	EXPLORATION	2013-05-08
30/6-8	77	30/6-8	EXPLORATION	2013-05-08
31/2-8	78	31/2-8	EXPLORATION	2013-05-08
15/9-16	79	15/9-16	EXPLORATION	2013-05-08
2/2-2	80	2/2-2	EXPLORATION	2013-05-08
6507/10-1	81	6507/10-1	EXPLORATION	2013-05-08
7120/9-1	82	7120/9-1	EXPLORATION	2013-05-08
30/6-9	83	30/6-9	EXPLORATION	2013-05-08
16/1-3	84	16/1-3	EXPLORATION	2013-05-08
7120/7-1	85	7120/7-1	EXPLORATION	2013-05-08
7/11-6	86	7/11-6	EXPLORATION	2013-05-08
1/3-3	87	1/3-3	EXPLORATION	2013-05-08
31/2-9	88	31/2-9	EXPLORATION	2013-05-08
8/3-2	89	8/3-2	EXPLORATION	2013-05-08
31/2-10	90	31/2-10	EXPLORATION	2013-05-08
16/7-4	91	16/7-4	EXPLORATION	2013-05-08
30/6-10	92	30/6-10	EXPLORATION	2013-05-08
31/2-13 S	93	31/2-13	EXPLORATION	2013-05-08
15/12-1	94	15/12-1	EXPLORATION	2013-05-08
34/10-14	95	34/10-14	EXPLORATION	2013-05-08
2/11-4	96	2/11-4	EXPLORATION	2013-05-08
2/4-3	97	2/4-3	EXPLORATION	2013-05-08
30/11-4	98	30/11-4	EXPLORATION	2013-05-08
7120/12-4	99	7120/12-4	EXPLORATION	2013-05-08
31/3-2	100	31/3-2	EXPLORATION	2013-05-08
31/5-3	101	31/5-3	EXPLORATION	2013-05-08
30/9-3 A	102	30/9-3	EXPLORATION	2013-05-08
33/5-1	103	33/5-1	EXPLORATION	2013-05-08
7120/7-3	104	7120/7-3	EXPLORATION	2013-05-08
31/6-5	105	31/6-5	EXPLORATION	2013-05-08
31/2-14	106	31/2-14	EXPLORATION	2013-05-08
7120/9-2	107	7120/9-2	EXPLORATION	2013-05-08
6406/3-1	108	6406/3-1	EXPLORATION	2013-05-08
2/1-6	109	2/1-6	EXPLORATION	2013-05-08
30/6-15	110	30/6-15	EXPLORATION	2013-05-08
34/7-1	111	34/7-1	EXPLORATION	2013-05-08
16/11-1 S	112	16/11-1	EXPLORATION	2013-05-08
15/12-5	113	15/12-5	EXPLORATION	2013-05-08
7119/12-2	114	7119/12-2	EXPLORATION	2013-05-08
33/12-5	115	33/12-5	EXPLORATION	2013-05-08
2/7-14	116	2/7-14	EXPLORATION	2013-05-08
2/8-3	117	2/8-3	EXPLORATION	2013-05-08
30/6-5	118	30/6-5	EXPLORATION	2013-05-08
33/12-6	119	33/12-6	EXPLORATION	2013-05-08
7120/8-1	120	7120/8-1	EXPLORATION	2013-05-08
7119/12-1	121	7119/12-1	EXPLORATION	2013-05-08
7120/12-2	122	7120/12-2	EXPLORATION	2013-05-08
7120/12-1	123	7120/12-1	EXPLORATION	2013-05-08
2/8-1	124	2/8-1	EXPLORATION	2013-05-08
33/9-3	125	33/9-3	EXPLORATION	2013-05-08
33/12-4	126	33/12-4	EXPLORATION	2013-05-08
31/6-6	127	31/6-6	EXPLORATION	2013-05-08
35/11-1	128	35/11-1	EXPLORATION	2013-05-08
2/3-4	129	2/3-4	EXPLORATION	2013-05-08
7121/7-1	130	7121/7-1	EXPLORATION	2013-05-08
25/2-8	131	25/2-8	EXPLORATION	2013-05-08
7119/9-1	132	7119/9-1	EXPLORATION	2013-05-08
6407/9-1	133	6407/9-1	EXPLORATION	2013-05-08
16/7-5	134	16/7-5	EXPLORATION	2013-05-08
7121/4-1	135	7121/4-1	EXPLORATION	2013-05-08
35/3-2	136	35/3-2	EXPLORATION	2013-05-08
2/1-7	137	2/1-7	EXPLORATION	2013-05-08
6507/7-1	138	6507/7-1	EXPLORATION	2013-05-08
6407/9-U-4	139	6407/9-U-4	SHALLOW	2013-05-08
34/10-9	140	34/10-9	EXPLORATION	2013-05-08
31/6-7	141	31/6-7	EXPLORATION	2013-05-08
8/3-1	142	8/3-1	EXPLORATION	2013-05-08
25/11-1	143	25/11-1	EXPLORATION	2013-05-08
16/2-1	144	16/2-1	EXPLORATION	2013-05-08
9/8-1	145	9/8-1	EXPLORATION	2013-05-08
16/7-1	146	16/7-1	EXPLORATION	2013-05-08
16/1-1	147	16/1-1	EXPLORATION	2013-05-08
16/6-1	148	16/6-1	EXPLORATION	2013-05-08
7/11-1	149	7/11-1	EXPLORATION	2013-05-08
9/4-1	150	9/4-1	EXPLORATION	2013-05-08
16/9-1	151	16/9-1	EXPLORATION	2013-05-08
9/4-3	152	9/4-3	EXPLORATION	2013-05-08
17/4-1	153	17/4-1	EXPLORATION	2013-05-08
1/3-1	154	1/3-1	EXPLORATION	2013-05-08
2/8-2	155	2/8-2	EXPLORATION	2013-05-08
7/11-2	156	7/11-2	EXPLORATION	2013-05-08
7/12-1 S	157	7/12-1	EXPLORATION	2013-05-08
7/8-1	158	7/8-1	EXPLORATION	2013-05-08
7/11-3	159	7/11-3	EXPLORATION	2013-05-08
2/6-1	160	2/6-1	EXPLORATION	2013-05-08
17/10-1	161	17/10-1	EXPLORATION	2013-05-08
2/3-1	162	2/3-1	EXPLORATION	2013-05-08
9/12-1	163	9/12-1	EXPLORATION	2013-05-08
7/3-1	164	7/3-1	EXPLORATION	2013-05-08
1/3-2	165	1/3-2	EXPLORATION	2013-05-08
8/10-1	166	8/10-1	EXPLORATION	2013-05-08
7/11-4	167	7/11-4	EXPLORATION	2013-05-08
2/11-1	168	2/11-1	EXPLORATION	2013-05-08
2/3-2	169	2/3-2	EXPLORATION	2013-05-08
11/10-1	170	11/10-1	EXPLORATION	2013-05-08
33/9-C-16	171	33/9-C-16	DEVELOPMENT	2013-05-08
2/4-2	172	2/4-2	EXPLORATION	2013-05-08
25/8-1	173	25/8-1	EXPLORATION	2013-05-08
2/4-4	174	2/4-4	EXPLORATION	2013-05-08
10/8-1	175	10/8-1	EXPLORATION	2013-05-08
9/4-2	176	9/4-2	EXPLORATION	2013-05-08
2/4-5	177	2/4-5	EXPLORATION	2013-05-08
2/5-1	178	2/5-1	EXPLORATION	2013-05-08
2/7-1	179	2/7-1	EXPLORATION	2013-05-08
25/10-2	180	25/10-2	EXPLORATION	2013-05-08
2/4-6	181	2/4-6	EXPLORATION	2013-05-08
25/10-3	182	25/10-3	EXPLORATION	2013-05-08
9/10-1	183	9/10-1	EXPLORATION	2013-05-08
25/11-2	184	25/11-2	EXPLORATION	2013-05-08
25/11-3	185	25/11-3	EXPLORATION	2013-05-08
25/11-4	186	25/11-4	EXPLORATION	2013-05-08
2/7-2	187	2/7-2	EXPLORATION	2013-05-08
2/5-2	188	2/5-2	EXPLORATION	2013-05-08
16/5-1	189	16/5-1	EXPLORATION	2013-05-08
25/1-1	190	25/1-1	EXPLORATION	2013-05-08
7/9-1	191	7/9-1	EXPLORATION	2013-05-08
7/1-1	192	7/1-1	EXPLORATION	2013-05-08
8/12-1	193	8/12-1	EXPLORATION	2013-05-08
9/11-1	194	9/11-1	EXPLORATION	2013-05-08
25/1-2	195	25/1-2	EXPLORATION	2013-05-08
2/4-7	196	2/4-7	EXPLORATION	2013-05-08
15/6-1	197	15/6-1	EXPLORATION	2013-05-08
2/3-3	198	2/3-3	EXPLORATION	2013-05-08
15/12-3	199	15/12-3	EXPLORATION	2013-05-08
2/7-17	200	2/7-17	EXPLORATION	2013-05-08
25/4-5	201	25/4-5	EXPLORATION	2013-05-08
6507/12-1	202	6507/12-1	EXPLORATION	2013-05-08
30/3-2	203	30/3-2	EXPLORATION	2013-05-08
34/10-12	204	34/10-12	EXPLORATION	2013-05-08
35/8-1	205	35/8-1	EXPLORATION	2013-05-08
2/7-18	206	2/7-18	EXPLORATION	2013-05-08
15/5-3	207	15/5-3	EXPLORATION	2013-05-08
31/2-4	208	31/2-4	EXPLORATION	2013-05-08
33/12-B-19	209	33/12-B-19	DEVELOPMENT	2013-05-08
31/2-5	210	31/2-5	EXPLORATION	2013-05-08
34/10-11	211	34/10-11	EXPLORATION	2013-05-08
34/10-20	212	34/10-20	EXPLORATION	2013-05-08
25/11-9	213	25/11-9	EXPLORATION	2013-05-08
31/4-4	214	31/4-4	EXPLORATION	2013-05-08
34/2-2	215	34/2-2	EXPLORATION	2013-05-08
30/7-8	216	30/7-8	EXPLORATION	2013-05-08
25/10-4	217	25/10-4	EXPLORATION	2013-05-08
15/9-7	218	15/9-7	EXPLORATION	2013-05-08
35/3-4	219	35/3-4	EXPLORATION	2013-05-08
3/7-2	220	3/7-2	EXPLORATION	2013-05-08
34/10-21	221	34/10-21	EXPLORATION	2013-05-08
34/10-7	222	34/10-7	EXPLORATION	2013-05-08
1/3-5	223	1/3-5	EXPLORATION	2013-05-08
2/6-2	224	2/6-2	EXPLORATION	2013-05-08
2/7-15	225	2/7-15	EXPLORATION	2013-05-08
8/10-2	226	8/10-2	EXPLORATION	2013-05-08
31/2-2	227	31/2-2	EXPLORATION	2013-05-08
34/4-2	228	34/4-2	EXPLORATION	2013-05-08
16/4-1	229	16/4-1	EXPLORATION	2013-05-08
34/10-8	230	34/10-8	EXPLORATION	2013-05-08
15/9-6	231	15/9-6	EXPLORATION	2013-05-08
2/7-16	232	2/7-16	EXPLORATION	2013-05-08
34/7-2	233	34/7-2	EXPLORATION	2013-05-08
16/8-2	234	16/8-2	EXPLORATION	2013-05-08
31/4-7	235	31/4-7	EXPLORATION	2013-05-08
31/2-3	236	31/2-3	EXPLORATION	2013-05-08
1/5-1	237	1/5-1	EXPLORATION	2013-05-08
1/5-2	238	1/5-2	EXPLORATION	2013-05-08
1/6-1	239	1/6-1	EXPLORATION	2013-05-08
1/6-2	240	1/6-2	EXPLORATION	2013-05-08
1/6-3	241	1/6-3	EXPLORATION	2013-05-08
1/6-4	242	1/6-4	EXPLORATION	2013-05-08
1/9-1	243	1/9-1	EXPLORATION	2013-05-08
1/9-2	244	1/9-2	EXPLORATION	2013-05-08
1/9-3	245	1/9-3	EXPLORATION	2013-05-08
1/9-3 R	246	1/9-3	EXPLORATION	2013-05-08
1/9-4	247	1/9-4	EXPLORATION	2013-05-08
1/9-5	248	1/9-5	EXPLORATION	2013-05-08
2/1-1	249	2/1-1	EXPLORATION	2013-05-08
2/1-2	250	2/1-2	EXPLORATION	2013-05-08
2/1-3	251	2/1-3	EXPLORATION	2013-05-08
2/4-8	252	2/4-8	EXPLORATION	2013-05-08
2/4-9	253	2/4-9	EXPLORATION	2013-05-08
2/4-10	254	2/4-10	EXPLORATION	2013-05-08
2/4-11	255	2/4-11	EXPLORATION	2013-05-08
2/4-12	256	2/4-12	EXPLORATION	2013-05-08
2/4-19 B	257	2/4-19	EXPLORATION	2013-05-08
2/5-3	258	2/5-3	EXPLORATION	2013-05-08
2/5-4	259	2/5-4	EXPLORATION	2013-05-08
2/5-5	260	2/5-5	EXPLORATION	2013-05-08
2/5-6	261	2/5-6	EXPLORATION	2013-05-08
2/7-3	262	2/7-3	EXPLORATION	2013-05-08
2/7-4	263	2/7-4	EXPLORATION	2013-05-08
2/7-5	264	2/7-5	EXPLORATION	2013-05-08
2/7-6	265	2/7-6	EXPLORATION	2013-05-08
2/7-7	266	2/7-7	EXPLORATION	2013-05-08
2/7-8	267	2/7-8	EXPLORATION	2013-05-08
2/7-9	268	2/7-9	EXPLORATION	2013-05-08
2/7-10	269	2/7-10	EXPLORATION	2013-05-08
2/7-11	270	2/7-11	EXPLORATION	2013-05-08
2/7-12	271	2/7-12	EXPLORATION	2013-05-08
2/7-13	272	2/7-13	EXPLORATION	2013-05-08
2/8-4	273	2/8-4	EXPLORATION	2013-05-08
7120/10-1	274	7120/10-1	EXPLORATION	2013-05-08
2/8-5	275	2/8-5	EXPLORATION	2013-05-08
2/8-6	276	2/8-6	EXPLORATION	2013-05-08
2/8-7	277	2/8-7	EXPLORATION	2013-05-08
2/8-8	278	2/8-8	EXPLORATION	2013-05-08
2/8-9	279	2/8-9	EXPLORATION	2013-05-08
2/8-10	280	2/8-10	EXPLORATION	2013-05-08
7/12-6	281	7/12-6	EXPLORATION	2013-05-08
2/9-1	282	2/9-1	EXPLORATION	2013-05-08
2/9-2	283	2/9-2	EXPLORATION	2013-05-08
2/10-1 S	284	2/10-1	EXPLORATION	2013-05-08
2/11-2	285	2/11-2	EXPLORATION	2013-05-08
2/11-3	286	2/11-3	EXPLORATION	2013-05-08
2/11-3 A	287	2/11-3	EXPLORATION	2013-05-08
2/11-5	288	2/11-5	EXPLORATION	2013-05-08
2/11-6 S	289	2/11-6	EXPLORATION	2013-05-08
3/5-1	290	3/5-1	EXPLORATION	2013-05-08
3/5-2	291	3/5-2	EXPLORATION	2013-05-08
3/7-1	292	3/7-1	EXPLORATION	2013-05-08
3/7-3	293	3/7-3	EXPLORATION	2013-05-08
7/8-2	294	7/8-2	EXPLORATION	2013-05-08
7/12-2	295	7/12-2	EXPLORATION	2013-05-08
7/12-3	296	7/12-3	EXPLORATION	2013-05-08
7/12-3 A	297	7/12-3	EXPLORATION	2013-05-08
7/12-4	298	7/12-4	EXPLORATION	2013-05-08
7/12-5	299	7/12-5	EXPLORATION	2013-05-08
6506/12-7	300	6506/12-7	EXPLORATION	2013-05-08
8/1-1	301	8/1-1	EXPLORATION	2013-05-08
8/4-1	302	8/4-1	EXPLORATION	2013-05-08
8/9-1	303	8/9-1	EXPLORATION	2013-05-08
8/11-1	304	8/11-1	EXPLORATION	2013-05-08
9/4-4	305	9/4-4	EXPLORATION	2013-05-08
10/5-1	306	10/5-1	EXPLORATION	2013-05-08
11/9-1	307	11/9-1	EXPLORATION	2013-05-08
15/2-1	308	15/2-1	EXPLORATION	2013-05-08
15/3-1 S	309	15/3-1	EXPLORATION	2013-05-08
15/3-2	310	15/3-2	EXPLORATION	2013-05-08
15/3-2 R	311	15/3-2	EXPLORATION	2013-05-08
31/4-8	312	31/4-8	EXPLORATION	2013-05-08
15/3-3	313	15/3-3	EXPLORATION	2013-05-08
15/3-4	314	15/3-4	EXPLORATION	2013-05-08
15/5-1	315	15/5-1	EXPLORATION	2013-05-08
15/5-2	316	15/5-2	EXPLORATION	2013-05-08
15/6-2	317	15/6-2	EXPLORATION	2013-05-08
15/6-3	318	15/6-3	EXPLORATION	2013-05-08
15/6-4	319	15/6-4	EXPLORATION	2013-05-08
15/6-5	320	15/6-5	EXPLORATION	2013-05-08
15/8-1	321	15/8-1	EXPLORATION	2013-05-08
15/9-1	322	15/9-1	EXPLORATION	2013-05-08
15/9-2	323	15/9-2	EXPLORATION	2013-05-08
15/9-3	324	15/9-3	EXPLORATION	2013-05-08
15/9-4	325	15/9-4	EXPLORATION	2013-05-08
15/9-5	326	15/9-5	EXPLORATION	2013-05-08
15/9-8	327	15/9-8	EXPLORATION	2013-05-08
15/9-9	328	15/9-9	EXPLORATION	2013-05-08
15/9-11	329	15/9-11	EXPLORATION	2013-05-08
15/9-12	330	15/9-12	EXPLORATION	2013-05-08
15/12-2	331	15/12-2	EXPLORATION	2013-05-08
16/1-2	332	16/1-2	EXPLORATION	2013-05-08
30/6-16	333	30/6-16	EXPLORATION	2013-05-08
16/3-2	334	16/3-2	EXPLORATION	2013-05-08
16/8-1	335	16/8-1	EXPLORATION	2013-05-08
16/11-2	336	16/11-2	EXPLORATION	2013-05-08
17/9-1	337	17/9-1	EXPLORATION	2013-05-08
17/11-2	338	17/11-2	EXPLORATION	2013-05-08
17/12-1	339	17/12-1	EXPLORATION	2013-05-08
17/12-2	340	17/12-2	EXPLORATION	2013-05-08
17/12-3	341	17/12-3	EXPLORATION	2013-05-08
18/10-1	342	18/10-1	EXPLORATION	2013-05-08
18/11-1	343	18/11-1	EXPLORATION	2013-05-08
24/9-1	344	24/9-1	EXPLORATION	2013-05-08
24/9-2	345	24/9-2	EXPLORATION	2013-05-08
24/9-3	346	24/9-3	EXPLORATION	2013-05-08
24/12-1	347	24/12-1	EXPLORATION	2013-05-08
24/12-2	348	24/12-2	EXPLORATION	2013-05-08
25/1-3	349	25/1-3	EXPLORATION	2013-05-08
25/1-4	350	25/1-4	EXPLORATION	2013-05-08
25/1-5	351	25/1-5	EXPLORATION	2013-05-08
25/1-6	352	25/1-6	EXPLORATION	2013-05-08
25/2-1	353	25/2-1	EXPLORATION	2013-05-08
25/2-2	354	25/2-2	EXPLORATION	2013-05-08
25/2-3	355	25/2-3	EXPLORATION	2013-05-08
25/2-4	356	25/2-4	EXPLORATION	2013-05-08
25/2-5	357	25/2-5	EXPLORATION	2013-05-08
25/2-6	358	25/2-6	EXPLORATION	2013-05-08
25/4-1	359	25/4-1	EXPLORATION	2013-05-08
25/4-2	360	25/4-2	EXPLORATION	2013-05-08
25/4-3	361	25/4-3	EXPLORATION	2013-05-08
25/4-4	362	25/4-4	EXPLORATION	2013-05-08
25/8-2	363	25/8-2	EXPLORATION	2013-05-08
25/8-3	364	25/8-3	EXPLORATION	2013-05-08
25/10-5	365	25/10-5	EXPLORATION	2013-05-08
25/11-5	366	25/11-5	EXPLORATION	2013-05-08
25/11-6	367	25/11-6	EXPLORATION	2013-05-08
25/11-7	368	25/11-7	EXPLORATION	2013-05-08
25/11-8	369	25/11-8	EXPLORATION	2013-05-08
25/11-10	370	25/11-10	EXPLORATION	2013-05-08
25/11-11	371	25/11-11	EXPLORATION	2013-05-08
25/11-12	372	25/11-12	EXPLORATION	2013-05-08
25/11-13	373	25/11-13	EXPLORATION	2013-05-08
25/12-1	374	25/12-1	EXPLORATION	2013-05-08
29/6-1	375	29/6-1	EXPLORATION	2013-05-08
30/3-1	376	30/3-1	EXPLORATION	2013-05-08
30/4-1	377	30/4-1	EXPLORATION	2013-05-08
30/4-2	378	30/4-2	EXPLORATION	2013-05-08
30/5-1	379	30/5-1	EXPLORATION	2013-05-08
30/6-1	380	30/6-1	EXPLORATION	2013-05-08
30/6-2	381	30/6-2	EXPLORATION	2013-05-08
30/6-3	382	30/6-3	EXPLORATION	2013-05-08
30/6-4	383	30/6-4	EXPLORATION	2013-05-08
30/7-1	384	30/7-1	EXPLORATION	2013-05-08
30/7-2	385	30/7-2	EXPLORATION	2013-05-08
30/7-3	386	30/7-3	EXPLORATION	2013-05-08
30/7-4	387	30/7-4	EXPLORATION	2013-05-08
30/7-5	388	30/7-5	EXPLORATION	2013-05-08
30/7-6	389	30/7-6	EXPLORATION	2013-05-08
30/7-7	390	30/7-7	EXPLORATION	2013-05-08
30/10-1	391	30/10-1	EXPLORATION	2013-05-08
30/10-2	392	30/10-2	EXPLORATION	2013-05-08
30/10-3	393	30/10-3	EXPLORATION	2013-05-08
30/10-4	394	30/10-4	EXPLORATION	2013-05-08
30/10-5	395	30/10-5	EXPLORATION	2013-05-08
30/11-1	396	30/11-1	EXPLORATION	2013-05-08
30/11-2	397	30/11-2	EXPLORATION	2013-05-08
31/2-1	398	31/2-1	EXPLORATION	2013-05-08
31/2-6	399	31/2-6	EXPLORATION	2013-05-08
31/4-1	400	31/4-1	EXPLORATION	2013-05-08
31/4-2	401	31/4-2	EXPLORATION	2013-05-08
31/4-3	402	31/4-3	EXPLORATION	2013-05-08
31/4-5	403	31/4-5	EXPLORATION	2013-05-08
31/6-4	404	31/6-4	EXPLORATION	2013-05-08
33/5-2	405	33/5-2	EXPLORATION	2013-05-08
33/6-1	406	33/6-1	EXPLORATION	2013-05-08
33/9-1	407	33/9-1	EXPLORATION	2013-05-08
33/9-2	408	33/9-2	EXPLORATION	2013-05-08
33/9-4	409	33/9-4	EXPLORATION	2013-05-08
33/9-5	410	33/9-5	EXPLORATION	2013-05-08
33/9-6	411	33/9-6	EXPLORATION	2013-05-08
33/9-7	412	33/9-7	EXPLORATION	2013-05-08
33/9-8	413	33/9-8	EXPLORATION	2013-05-08
33/9-9	414	33/9-9	EXPLORATION	2013-05-08
33/9-10	415	33/9-10	EXPLORATION	2013-05-08
33/9-11	416	33/9-11	EXPLORATION	2013-05-08
33/12-1	417	33/12-1	EXPLORATION	2013-05-08
33/12-2	418	33/12-2	EXPLORATION	2013-05-08
34/10-A-2 H	419	34/10-A-2	DEVELOPMENT	2013-05-08
34/2-1	420	34/2-1	EXPLORATION	2013-05-08
34/2-3	421	34/2-3	EXPLORATION	2013-05-08
34/4-1	422	34/4-1	EXPLORATION	2013-05-08
34/4-3	423	34/4-3	EXPLORATION	2013-05-08
34/10-1	424	34/10-1	EXPLORATION	2013-05-08
34/10-2	425	34/10-2	EXPLORATION	2013-05-08
34/10-3	426	34/10-3	EXPLORATION	2013-05-08
34/10-4	427	34/10-4	EXPLORATION	2013-05-08
34/10-5	428	34/10-5	EXPLORATION	2013-05-08
34/10-6	429	34/10-6	EXPLORATION	2013-05-08
34/10-10	430	34/10-10	EXPLORATION	2013-05-08
34/10-13	431	34/10-13	EXPLORATION	2013-05-08
35/3-1	432	35/3-1	EXPLORATION	2013-05-08
35/3-5	433	35/3-5	EXPLORATION	2013-05-08
35/8-2	434	35/8-2	EXPLORATION	2013-05-08
36/1-1	435	36/1-1	EXPLORATION	2013-05-08
36/1-2	436	36/1-2	EXPLORATION	2013-05-08
6507/12-2	437	6507/12-2	EXPLORATION	2013-05-08
15/12-4	438	15/12-4	EXPLORATION	2013-05-08
31/2-15	439	31/2-15	EXPLORATION	2013-05-08
25/4-A-10	440	25/4-A-10	DEVELOPMENT	2013-05-08
25/10-1	441	25/10-1	EXPLORATION	2013-05-08
34/7-3	442	34/7-3	EXPLORATION	2013-05-08
24/6-1	443	24/6-1	EXPLORATION	2013-05-08
6407/6-1	444	6407/6-1	EXPLORATION	2013-05-08
6609/5-1	445	6609/5-1	EXPLORATION	2013-05-08
34/10-22	446	34/10-22	EXPLORATION	2013-05-08
31/3-3	447	31/3-3	EXPLORATION	2013-05-08
7/8-4	448	7/8-4	EXPLORATION	2013-05-08
6407/9-2	449	6407/9-2	EXPLORATION	2013-05-08
6/3-1	450	6/3-1	EXPLORATION	2013-05-08
16/3-1	451	16/3-1	EXPLORATION	2013-05-08
30/9-4 S	452	30/9-4	EXPLORATION	2013-05-08
34/10-29	453	34/10-29	EXPLORATION	2013-05-08
7/12-2 R	454	7/12-2	EXPLORATION	2013-05-08
34/7-4	455	34/7-4	EXPLORATION	2013-05-08
7120/6-1	456	7120/6-1	EXPLORATION	2013-05-08
30/2-2	457	30/2-2	EXPLORATION	2013-05-08
34/7-5	458	34/7-5	EXPLORATION	2013-05-08
2/1-8	459	2/1-8	EXPLORATION	2013-05-08
30/3-4	460	30/3-4	EXPLORATION	2013-05-08
7121/4-2	461	7121/4-2	EXPLORATION	2013-05-08
6506/12-2	462	6506/12-2	EXPLORATION	2013-05-08
25/1-7	463	25/1-7	EXPLORATION	2013-05-08
6507/7-2	464	6507/7-2	EXPLORATION	2013-05-08
34/7-6	465	34/7-6	EXPLORATION	2013-05-08
31/6-8	466	31/6-8	EXPLORATION	2013-05-08
34/2-4	467	34/2-4	EXPLORATION	2013-05-08
6506/12-3	468	6506/12-3	EXPLORATION	2013-05-08
6407/9-3	469	6407/9-3	EXPLORATION	2013-05-08
6507/11-3	470	6507/11-3	EXPLORATION	2013-05-08
7120/5-1	471	7120/5-1	EXPLORATION	2013-05-08
25/1-8 S	472	25/1-8	EXPLORATION	2013-05-08
7120/2-1	473	7120/2-1	EXPLORATION	2013-05-08
6407/7-1 S	474	6407/7-1	EXPLORATION	2013-05-08
6506/12-4	475	6506/12-4	EXPLORATION	2013-05-08
34/10-23	476	34/10-23	EXPLORATION	2013-05-08
25/2-9	477	25/2-9	EXPLORATION	2013-05-08
30/9-5 S	478	30/9-5	EXPLORATION	2013-05-08
7121/5-1	479	7121/5-1	EXPLORATION	2013-05-08
6407/9-4	480	6407/9-4	EXPLORATION	2013-05-08
33/9-A-17	481	33/9-A-17	DEVELOPMENT	2013-05-08
6507/7-3	482	6507/7-3	EXPLORATION	2013-05-08
34/10-24	483	34/10-24	EXPLORATION	2013-05-08
7120/1-1	484	7120/1-1	EXPLORATION	2013-05-08
6507/12-3	485	6507/12-3	EXPLORATION	2013-05-08
6406/6-1	486	6406/6-1	EXPLORATION	2013-05-08
30/6-17	487	30/6-17	EXPLORATION	2013-05-08
30/6-18	488	30/6-18	EXPLORATION	2013-05-08
30/6-19	489	30/6-19	EXPLORATION	2013-05-08
6407/4-1	490	6407/4-1	EXPLORATION	2013-05-08
35/3-3	491	35/3-3	EXPLORATION	2013-05-08
6407/9-5	492	6407/9-5	EXPLORATION	2013-05-08
31/6-8 R	493	31/6-8	EXPLORATION	2013-05-08
34/10-16 R	494	34/10-16	EXPLORATION	2013-05-08
34/10-9 R	495	34/10-9	EXPLORATION	2013-05-08
34/10-7 R	496	34/10-7	EXPLORATION	2013-05-08
34/2-2 R	497	34/2-2	EXPLORATION	2013-05-08
31/6-2 R	498	31/6-2	EXPLORATION	2013-05-08
31/5-2 R	499	31/5-2	EXPLORATION	2013-05-08
31/2-5 R	500	31/2-5	EXPLORATION	2013-05-08
31/2-5 R2	501	31/2-5	EXPLORATION	2013-05-08
31/2-4 R	502	31/2-4	EXPLORATION	2013-05-08
31/2-4 R2	503	31/2-4	EXPLORATION	2013-05-08
31/2-2 R	504	31/2-2	EXPLORATION	2013-05-08
31/2-1 R	505	31/2-1	EXPLORATION	2013-05-08
30/7-8 R	506	30/7-8	EXPLORATION	2013-05-08
30/7-6 R	507	30/7-6	EXPLORATION	2013-05-08
30/3-2 R	508	30/3-2	EXPLORATION	2013-05-08
30/3-1 R	509	30/3-1	EXPLORATION	2013-05-08
25/10-4 R	510	25/10-4	EXPLORATION	2013-05-08
25/10-2 R	511	25/10-2	EXPLORATION	2013-05-08
25/10-1 R	512	25/10-1	EXPLORATION	2013-05-08
24/12-1 R	513	24/12-1	EXPLORATION	2013-05-08
17/12-1 R	514	17/12-1	EXPLORATION	2013-05-08
17/9-1 R	515	17/9-1	EXPLORATION	2013-05-08
15/9-12 R	516	15/9-12	EXPLORATION	2013-05-08
15/6-2 R	517	15/6-2	EXPLORATION	2013-05-08
7/12-4 R	518	7/12-4	EXPLORATION	2013-05-08
7/11-7 R	519	7/11-7	EXPLORATION	2013-05-08
34/10-A-12	520	34/10-A-12	DEVELOPMENT	2013-05-08
7121/1-1	521	7121/1-1	EXPLORATION	2013-05-08
6407/6-2	522	6407/6-2	EXPLORATION	2013-05-08
34/10-25	523	34/10-25	EXPLORATION	2013-05-08
25/6-1	524	25/6-1	EXPLORATION	2013-05-08
34/7-7	525	34/7-7	EXPLORATION	2013-05-08
1/6-A-1	526	1/6-A-1	DEVELOPMENT	2013-05-08
1/6-A-3	527	1/6-A-3	DEVELOPMENT	2013-05-08
1/6-A-4	528	1/6-A-4	DEVELOPMENT	2013-05-08
1/6-A-8	529	1/6-A-8	DEVELOPMENT	2013-05-08
1/6-A-10	530	1/6-A-10	DEVELOPMENT	2013-05-08
1/6-A-13	531	1/6-A-13	DEVELOPMENT	2013-05-08
1/6-A-15	532	1/6-A-15	DEVELOPMENT	2013-05-08
1/6-A-16	533	1/6-A-16	DEVELOPMENT	2013-05-08
1/6-A-19	534	1/6-A-19	DEVELOPMENT	2013-05-08
1/6-A-20	535	1/6-A-20	DEVELOPMENT	2013-05-08
10/1-A-1	536	10/1-A-1	DEVELOPMENT	2013-05-08
10/1-A-2	537	10/1-A-2	DEVELOPMENT	2013-05-08
10/1-A-3	538	10/1-A-3	DEVELOPMENT	2013-05-08
10/1-A-4	539	10/1-A-4	DEVELOPMENT	2013-05-08
10/1-A-5	540	10/1-A-5	DEVELOPMENT	2013-05-08
10/1-A-6	541	10/1-A-6	DEVELOPMENT	2013-05-08
10/1-A-7	542	10/1-A-7	DEVELOPMENT	2013-05-08
10/1-A-8	543	10/1-A-8	DEVELOPMENT	2013-05-08
10/1-A-9	544	10/1-A-9	DEVELOPMENT	2013-05-08
10/1-A-10	545	10/1-A-10	DEVELOPMENT	2013-05-08
10/1-A-11	546	10/1-A-11	DEVELOPMENT	2013-05-08
10/1-A-12	547	10/1-A-12	DEVELOPMENT	2013-05-08
10/1-A-13	548	10/1-A-13	DEVELOPMENT	2013-05-08
10/1-A-14	549	10/1-A-14	DEVELOPMENT	2013-05-08
10/1-A-15	550	10/1-A-15	DEVELOPMENT	2013-05-08
10/1-A-16	551	10/1-A-16	DEVELOPMENT	2013-05-08
10/1-A-17	552	10/1-A-17	DEVELOPMENT	2013-05-08
10/1-A-18	553	10/1-A-18	DEVELOPMENT	2013-05-08
10/1-A-19	554	10/1-A-19	DEVELOPMENT	2013-05-08
2/4-A-1	555	2/4-A-1	DEVELOPMENT	2013-05-08
10/1-A-20	556	10/1-A-20	DEVELOPMENT	2013-05-08
2/4-A-2	557	2/4-A-2	DEVELOPMENT	2013-05-08
10/1-A-21	558	10/1-A-21	DEVELOPMENT	2013-05-08
2/4-A-3	559	2/4-A-3	DEVELOPMENT	2013-05-08
10/1-A-22	560	10/1-A-22	DEVELOPMENT	2013-05-08
2/4-A-4	561	2/4-A-4	DEVELOPMENT	2013-05-08
10/1-A-23	562	10/1-A-23	DEVELOPMENT	2013-05-08
10/1-A-24	563	10/1-A-24	DEVELOPMENT	2013-05-08
25/1-A-1	564	25/1-A-1	DEVELOPMENT	2013-05-08
25/1-A-2	565	25/1-A-2	DEVELOPMENT	2013-05-08
25/1-A-3	566	25/1-A-3	DEVELOPMENT	2013-05-08
25/1-A-4	567	25/1-A-4	DEVELOPMENT	2013-05-08
25/1-A-5	568	25/1-A-5	DEVELOPMENT	2013-05-08
25/1-A-6	569	25/1-A-6	DEVELOPMENT	2013-05-08
25/1-A-7	570	25/1-A-7	DEVELOPMENT	2013-05-08
25/1-A-8	571	25/1-A-8	DEVELOPMENT	2013-05-08
25/1-A-9	572	25/1-A-9	DEVELOPMENT	2013-05-08
25/1-A-10	573	25/1-A-10	DEVELOPMENT	2013-05-08
25/1-A-11	574	25/1-A-11	DEVELOPMENT	2013-05-08
25/1-A-12	575	25/1-A-12	DEVELOPMENT	2013-05-08
2/4-A-5	576	2/4-A-5	DEVELOPMENT	2013-05-08
2/4-A-6	577	2/4-A-6	DEVELOPMENT	2013-05-08
25/1-A-13	578	25/1-A-13	DEVELOPMENT	2013-05-08
2/4-A-7	579	2/4-A-7	DEVELOPMENT	2013-05-08
25/1-A-14	580	25/1-A-14	DEVELOPMENT	2013-05-08
2/4-A-8	581	2/4-A-8	DEVELOPMENT	2013-05-08
25/1-A-15	582	25/1-A-15	DEVELOPMENT	2013-05-08
2/4-A-9	583	2/4-A-9	DEVELOPMENT	2013-05-08
25/1-A-16	584	25/1-A-16	DEVELOPMENT	2013-05-08
2/4-A-10	585	2/4-A-10	DEVELOPMENT	2013-05-08
25/1-A-17	586	25/1-A-17	DEVELOPMENT	2013-05-08
2/4-A-11	587	2/4-A-11	DEVELOPMENT	2013-05-08
2/4-A-12	588	2/4-A-12	DEVELOPMENT	2013-05-08
25/1-A-18	589	25/1-A-18	DEVELOPMENT	2013-05-08
2/4-A-13	590	2/4-A-13	DEVELOPMENT	2013-05-08
25/1-A-19	591	25/1-A-19	DEVELOPMENT	2013-05-08
2/4-A-14	592	2/4-A-14	DEVELOPMENT	2013-05-08
25/1-A-20	593	25/1-A-20	DEVELOPMENT	2013-05-08
25/1-A-21	594	25/1-A-21	DEVELOPMENT	2013-05-08
2/4-A-15	595	2/4-A-15	DEVELOPMENT	2013-05-08
25/1-A-22	596	25/1-A-22	DEVELOPMENT	2013-05-08
25/1-A-23	597	25/1-A-23	DEVELOPMENT	2013-05-08
25/1-A-24	598	25/1-A-24	DEVELOPMENT	2013-05-08
2/4-B-1	599	2/4-B-1	DEVELOPMENT	2013-05-08
2/4-B-2	600	2/4-B-2	DEVELOPMENT	2013-05-08
2/4-B-3	601	2/4-B-3	DEVELOPMENT	2013-05-08
2/4-B-5	602	2/4-B-5	DEVELOPMENT	2013-05-08
2/4-B-6	603	2/4-B-6	DEVELOPMENT	2013-05-08
25/1-B-1 H	604	25/1-B-1	DEVELOPMENT	2013-05-08
25/1-B-2 H	605	25/1-B-2	DEVELOPMENT	2013-05-08
2/4-B-7	606	2/4-B-7	DEVELOPMENT	2013-05-08
25/1-B-3 H	607	25/1-B-3	DEVELOPMENT	2013-05-08
2/4-B-8	608	2/4-B-8	DEVELOPMENT	2013-05-08
25/1-B-4 H	609	25/1-B-4	DEVELOPMENT	2013-05-08
25/1-B-5 H	610	25/1-B-5	DEVELOPMENT	2013-05-08
2/4-B-9	611	2/4-B-9	DEVELOPMENT	2013-05-08
25/1-B-6 H	612	25/1-B-6	DEVELOPMENT	2013-05-08
2/4-B-9 A	613	2/4-B-9	DEVELOPMENT	2013-05-08
25/1-B-7 H	614	25/1-B-7	DEVELOPMENT	2013-05-08
2/4-B-10	615	2/4-B-10	DEVELOPMENT	2013-05-08
2/4-B-12	616	2/4-B-12	DEVELOPMENT	2013-05-08
2/4-B-14	617	2/4-B-14	DEVELOPMENT	2013-05-08
2/4-B-15	618	2/4-B-15	DEVELOPMENT	2013-05-08
2/8-A-1	619	2/8-A-1	DEVELOPMENT	2013-05-08
2/4-B-16	620	2/4-B-16	DEVELOPMENT	2013-05-08
2/8-A-2	621	2/8-A-2	DEVELOPMENT	2013-05-08
2/4-B-17	622	2/4-B-17	DEVELOPMENT	2013-05-08
2/8-A-3	623	2/8-A-3	DEVELOPMENT	2013-05-08
2/4-B-18	624	2/4-B-18	DEVELOPMENT	2013-05-08
2/4-B-19	625	2/4-B-19	DEVELOPMENT	2013-05-08
2/8-A-4	626	2/8-A-4	DEVELOPMENT	2013-05-08
2/4-B-20	627	2/4-B-20	DEVELOPMENT	2013-05-08
2/8-A-5	628	2/8-A-5	DEVELOPMENT	2013-05-08
2/4-B-21	629	2/4-B-21	DEVELOPMENT	2013-05-08
2/8-A-6	630	2/8-A-6	DEVELOPMENT	2013-05-08
2/4-B-22	631	2/4-B-22	DEVELOPMENT	2013-05-08
2/8-A-7	632	2/8-A-7	DEVELOPMENT	2013-05-08
2/4-B-23	633	2/4-B-23	DEVELOPMENT	2013-05-08
2/8-A-8	634	2/8-A-8	DEVELOPMENT	2013-05-08
2/8-A-9	635	2/8-A-9	DEVELOPMENT	2013-05-08
2/8-A-10	636	2/8-A-10	DEVELOPMENT	2013-05-08
2/8-A-11	637	2/8-A-11	DEVELOPMENT	2013-05-08
2/8-A-12	638	2/8-A-12	DEVELOPMENT	2013-05-08
2/4-B-24	639	2/4-B-24	DEVELOPMENT	2013-05-08
2/8-A-12 A	640	2/8-A-12	DEVELOPMENT	2013-05-08
2/8-A-13	641	2/8-A-13	DEVELOPMENT	2013-05-08
2/8-A-14	642	2/8-A-14	DEVELOPMENT	2013-05-08
2/8-A-15	643	2/8-A-15	DEVELOPMENT	2013-05-08
2/8-A-16	644	2/8-A-16	DEVELOPMENT	2013-05-08
2/8-A-17	645	2/8-A-17	DEVELOPMENT	2013-05-08
2/8-A-18	646	2/8-A-18	DEVELOPMENT	2013-05-08
2/4-C-1	647	2/4-C-1	DEVELOPMENT	2013-05-08
2/4-C-2	648	2/4-C-2	DEVELOPMENT	2013-05-08
2/4-C-3	649	2/4-C-3	DEVELOPMENT	2013-05-08
2/4-C-5	650	2/4-C-5	DEVELOPMENT	2013-05-08
2/4-C-6	651	2/4-C-6	DEVELOPMENT	2013-05-08
2/4-C-8	652	2/4-C-8	DEVELOPMENT	2013-05-08
2/4-C-9	653	2/4-C-9	DEVELOPMENT	2013-05-08
2/8-A-19	654	2/8-A-19	DEVELOPMENT	2013-05-08
2/4-C-10	655	2/4-C-10	DEVELOPMENT	2013-05-08
30/10-A-1	656	30/10-A-1	DEVELOPMENT	2013-05-08
30/10-A-2	657	30/10-A-2	DEVELOPMENT	2013-05-08
30/10-A-3	658	30/10-A-3	DEVELOPMENT	2013-05-08
2/4-C-12	659	2/4-C-12	DEVELOPMENT	2013-05-08
30/10-A-4	660	30/10-A-4	DEVELOPMENT	2013-05-08
2/4-C-13	661	2/4-C-13	DEVELOPMENT	2013-05-08
30/10-A-5	662	30/10-A-5	DEVELOPMENT	2013-05-08
2/4-C-14	663	2/4-C-14	DEVELOPMENT	2013-05-08
30/10-A-7	664	30/10-A-7	DEVELOPMENT	2013-05-08
2/4-C-15	665	2/4-C-15	DEVELOPMENT	2013-05-08
30/10-A-8	666	30/10-A-8	DEVELOPMENT	2013-05-08
30/10-A-9	667	30/10-A-9	DEVELOPMENT	2013-05-08
30/10-A-10	668	30/10-A-10	DEVELOPMENT	2013-05-08
30/10-A-11	669	30/10-A-11	DEVELOPMENT	2013-05-08
2/4-K-4	670	2/4-K-4	DEVELOPMENT	2013-05-08
30/10-A-12	671	30/10-A-12	DEVELOPMENT	2013-05-08
2/4-K-13	672	2/4-K-13	DEVELOPMENT	2013-05-08
2/4-K-22	673	2/4-K-22	DEVELOPMENT	2013-05-08
25/4-A-1	674	25/4-A-1	DEVELOPMENT	2013-05-08
25/4-A-2	675	25/4-A-2	DEVELOPMENT	2013-05-08
25/4-A-3	676	25/4-A-3	DEVELOPMENT	2013-05-08
25/4-A-4	677	25/4-A-4	DEVELOPMENT	2013-05-08
25/4-A-6	678	25/4-A-6	DEVELOPMENT	2013-05-08
2/4-D-1	679	2/4-D-1	DEVELOPMENT	2013-05-08
33/9-A-1	680	33/9-A-1	DEVELOPMENT	2013-05-08
2/4-D-4	681	2/4-D-4	DEVELOPMENT	2013-05-08
33/9-A-2	682	33/9-A-2	DEVELOPMENT	2013-05-08
2/4-D-5	683	2/4-D-5	DEVELOPMENT	2013-05-08
33/9-A-3	684	33/9-A-3	DEVELOPMENT	2013-05-08
2/4-D-6	685	2/4-D-6	DEVELOPMENT	2013-05-08
33/9-A-4	686	33/9-A-4	DEVELOPMENT	2013-05-08
33/9-A-6	687	33/9-A-6	DEVELOPMENT	2013-05-08
2/4-D-7	688	2/4-D-7	DEVELOPMENT	2013-05-08
33/9-A-7	689	33/9-A-7	DEVELOPMENT	2013-05-08
2/4-D-8	690	2/4-D-8	DEVELOPMENT	2013-05-08
33/9-A-8	691	33/9-A-8	DEVELOPMENT	2013-05-08
2/4-D-9	692	2/4-D-9	DEVELOPMENT	2013-05-08
2/4-D-10	693	2/4-D-10	DEVELOPMENT	2013-05-08
25/2-11	1036	25/2-11	EXPLORATION	2013-05-08
33/9-A-8 A	694	33/9-A-8	DEVELOPMENT	2013-05-08
33/9-A-8 B	695	33/9-A-8	DEVELOPMENT	2013-05-08
2/4-D-11	696	2/4-D-11	DEVELOPMENT	2013-05-08
2/4-D-12	697	2/4-D-12	DEVELOPMENT	2013-05-08
33/9-A-9	698	33/9-A-9	DEVELOPMENT	2013-05-08
33/9-A-11	699	33/9-A-11	DEVELOPMENT	2013-05-08
2/4-D-13	700	2/4-D-13	DEVELOPMENT	2013-05-08
33/9-A-12	701	33/9-A-12	DEVELOPMENT	2013-05-08
2/4-D-14	702	2/4-D-14	DEVELOPMENT	2013-05-08
33/9-A-13	703	33/9-A-13	DEVELOPMENT	2013-05-08
33/9-A-14	704	33/9-A-14	DEVELOPMENT	2013-05-08
33/9-A-16	705	33/9-A-16	DEVELOPMENT	2013-05-08
33/9-A-18	706	33/9-A-18	DEVELOPMENT	2013-05-08
33/9-A-19	707	33/9-A-19	DEVELOPMENT	2013-05-08
33/9-A-20	708	33/9-A-20	DEVELOPMENT	2013-05-08
33/9-A-22	709	33/9-A-22	DEVELOPMENT	2013-05-08
33/9-A-23	710	33/9-A-23	DEVELOPMENT	2013-05-08
33/9-A-25	711	33/9-A-25	DEVELOPMENT	2013-05-08
33/9-A-28	712	33/9-A-28	DEVELOPMENT	2013-05-08
33/9-A-29	713	33/9-A-29	DEVELOPMENT	2013-05-08
33/9-A-30	714	33/9-A-30	DEVELOPMENT	2013-05-08
33/9-A-31	715	33/9-A-31	DEVELOPMENT	2013-05-08
2/4-E-1	716	2/4-E-1	DEVELOPMENT	2013-05-08
33/9-A-32	717	33/9-A-32	DEVELOPMENT	2013-05-08
2/4-E-2	718	2/4-E-2	DEVELOPMENT	2013-05-08
33/9-A-33	719	33/9-A-33	DEVELOPMENT	2013-05-08
2/4-E-3	720	2/4-E-3	DEVELOPMENT	2013-05-08
33/9-A-34	721	33/9-A-34	DEVELOPMENT	2013-05-08
33/9-A-36	722	33/9-A-36	DEVELOPMENT	2013-05-08
2/4-E-5	723	2/4-E-5	DEVELOPMENT	2013-05-08
33/9-A-37	724	33/9-A-37	DEVELOPMENT	2013-05-08
33/9-A-38	725	33/9-A-38	DEVELOPMENT	2013-05-08
33/9-A-39	726	33/9-A-39	DEVELOPMENT	2013-05-08
33/9-A-41	727	33/9-A-41	DEVELOPMENT	2013-05-08
33/9-A-42	728	33/9-A-42	DEVELOPMENT	2013-05-08
2/4-E-7	729	2/4-E-7	DEVELOPMENT	2013-05-08
2/4-E-8	730	2/4-E-8	DEVELOPMENT	2013-05-08
33/12-B-1	731	33/12-B-1	DEVELOPMENT	2013-05-08
33/12-B-3	732	33/12-B-3	DEVELOPMENT	2013-05-08
2/4-E-9	733	2/4-E-9	DEVELOPMENT	2013-05-08
2/4-E-10	734	2/4-E-10	DEVELOPMENT	2013-05-08
33/12-B-4	735	33/12-B-4	DEVELOPMENT	2013-05-08
2/4-E-12	736	2/4-E-12	DEVELOPMENT	2013-05-08
2/4-E-13	737	2/4-E-13	DEVELOPMENT	2013-05-08
2/4-E-14	738	2/4-E-14	DEVELOPMENT	2013-05-08
33/12-B-7	739	33/12-B-7	DEVELOPMENT	2013-05-08
2/4-E-15	740	2/4-E-15	DEVELOPMENT	2013-05-08
33/12-B-8	741	33/12-B-8	DEVELOPMENT	2013-05-08
2/4-E-16	742	2/4-E-16	DEVELOPMENT	2013-05-08
33/12-B-9	743	33/12-B-9	DEVELOPMENT	2013-05-08
2/4-E-17	744	2/4-E-17	DEVELOPMENT	2013-05-08
33/12-B-10	745	33/12-B-10	DEVELOPMENT	2013-05-08
33/12-B-17	746	33/12-B-17	DEVELOPMENT	2013-05-08
33/12-B-18	747	33/12-B-18	DEVELOPMENT	2013-05-08
33/12-B-21	748	33/12-B-21	DEVELOPMENT	2013-05-08
33/12-B-23	749	33/12-B-23	DEVELOPMENT	2013-05-08
33/12-B-24	750	33/12-B-24	DEVELOPMENT	2013-05-08
33/12-B-25	751	33/12-B-25	DEVELOPMENT	2013-05-08
33/12-B-26	752	33/12-B-26	DEVELOPMENT	2013-05-08
2/4-F-1	753	2/4-F-1	DEVELOPMENT	2013-05-08
33/12-B-30	754	33/12-B-30	DEVELOPMENT	2013-05-08
33/12-B-31	755	33/12-B-31	DEVELOPMENT	2013-05-08
33/12-B-32	756	33/12-B-32	DEVELOPMENT	2013-05-08
33/12-B-34	757	33/12-B-34	DEVELOPMENT	2013-05-08
33/12-B-37	758	33/12-B-37	DEVELOPMENT	2013-05-08
33/12-B-38	759	33/12-B-38	DEVELOPMENT	2013-05-08
2/4-F-2	760	2/4-F-2	DEVELOPMENT	2013-05-08
2/4-F-3	761	2/4-F-3	DEVELOPMENT	2013-05-08
33/12-B-39	762	33/12-B-39	DEVELOPMENT	2013-05-08
33/12-B-41	763	33/12-B-41	DEVELOPMENT	2013-05-08
2/4-F-5	764	2/4-F-5	DEVELOPMENT	2013-05-08
2/4-F-6	765	2/4-F-6	DEVELOPMENT	2013-05-08
2/4-F-8	766	2/4-F-8	DEVELOPMENT	2013-05-08
33/9-C-12	767	33/9-C-12	DEVELOPMENT	2013-05-08
33/9-C-13	768	33/9-C-13	DEVELOPMENT	2013-05-08
2/4-F-9	769	2/4-F-9	DEVELOPMENT	2013-05-08
33/9-C-21	770	33/9-C-21	DEVELOPMENT	2013-05-08
2/4-F-10	771	2/4-F-10	DEVELOPMENT	2013-05-08
33/9-C-33	772	33/9-C-33	DEVELOPMENT	2013-05-08
2/4-F-12	773	2/4-F-12	DEVELOPMENT	2013-05-08
33/9-C-34	774	33/9-C-34	DEVELOPMENT	2013-05-08
2/4-F-15	775	2/4-F-15	DEVELOPMENT	2013-05-08
33/9-C-38	776	33/9-C-38	DEVELOPMENT	2013-05-08
2/4-F-16	777	2/4-F-16	DEVELOPMENT	2013-05-08
33/9-C-42	778	33/9-C-42	DEVELOPMENT	2013-05-08
2/4-F-18	779	2/4-F-18	DEVELOPMENT	2013-05-08
2/4-F-20	780	2/4-F-20	DEVELOPMENT	2013-05-08
2/7-A-2	781	2/7-A-2	DEVELOPMENT	2013-05-08
2/7-A-3	782	2/7-A-3	DEVELOPMENT	2013-05-08
2/7-A-5	783	2/7-A-5	DEVELOPMENT	2013-05-08
2/7-A-6	784	2/7-A-6	DEVELOPMENT	2013-05-08
2/7-A-7	785	2/7-A-7	DEVELOPMENT	2013-05-08
2/7-A-9	786	2/7-A-9	DEVELOPMENT	2013-05-08
2/7-A-10	787	2/7-A-10	DEVELOPMENT	2013-05-08
2/7-A-11	788	2/7-A-11	DEVELOPMENT	2013-05-08
2/7-A-12	789	2/7-A-12	DEVELOPMENT	2013-05-08
2/7-A-14	790	2/7-A-14	DEVELOPMENT	2013-05-08
2/7-A-15	791	2/7-A-15	DEVELOPMENT	2013-05-08
2/7-A-16	792	2/7-A-16	DEVELOPMENT	2013-05-08
2/7-A-18	793	2/7-A-18	DEVELOPMENT	2013-05-08
2/7-A-19	794	2/7-A-19	DEVELOPMENT	2013-05-08
2/7-A-20	795	2/7-A-20	DEVELOPMENT	2013-05-08
2/7-A-21	796	2/7-A-21	DEVELOPMENT	2013-05-08
2/7-A-21 A	797	2/7-A-21	DEVELOPMENT	2013-05-08
2/7-A-22	798	2/7-A-22	DEVELOPMENT	2013-05-08
2/7-A-23	799	2/7-A-23	DEVELOPMENT	2013-05-08
2/7-A-24	800	2/7-A-24	DEVELOPMENT	2013-05-08
2/7-A-25	801	2/7-A-25	DEVELOPMENT	2013-05-08
2/7-A-26	802	2/7-A-26	DEVELOPMENT	2013-05-08
2/7-A-27	803	2/7-A-27	DEVELOPMENT	2013-05-08
2/7-A-28	804	2/7-A-28	DEVELOPMENT	2013-05-08
2/7-A-29	805	2/7-A-29	DEVELOPMENT	2013-05-08
2/7-A-30	806	2/7-A-30	DEVELOPMENT	2013-05-08
2/7-B-1	807	2/7-B-1	DEVELOPMENT	2013-05-08
2/7-B-3	808	2/7-B-3	DEVELOPMENT	2013-05-08
2/7-B-5	809	2/7-B-5	DEVELOPMENT	2013-05-08
2/7-B-6	810	2/7-B-6	DEVELOPMENT	2013-05-08
2/7-B-7	811	2/7-B-7	DEVELOPMENT	2013-05-08
2/7-B-9	812	2/7-B-9	DEVELOPMENT	2013-05-08
2/7-B-10	813	2/7-B-10	DEVELOPMENT	2013-05-08
2/7-B-11	814	2/7-B-11	DEVELOPMENT	2013-05-08
2/7-B-12	815	2/7-B-12	DEVELOPMENT	2013-05-08
2/7-B-13	816	2/7-B-13	DEVELOPMENT	2013-05-08
2/7-B-14	817	2/7-B-14	DEVELOPMENT	2013-05-08
2/7-B-17	818	2/7-B-17	DEVELOPMENT	2013-05-08
2/7-B-18	819	2/7-B-18	DEVELOPMENT	2013-05-08
2/7-B-19	820	2/7-B-19	DEVELOPMENT	2013-05-08
2/7-B-20	821	2/7-B-20	DEVELOPMENT	2013-05-08
2/7-C-2	822	2/7-C-2	DEVELOPMENT	2013-05-08
2/7-C-3	823	2/7-C-3	DEVELOPMENT	2013-05-08
2/7-C-5	824	2/7-C-5	DEVELOPMENT	2013-05-08
2/7-C-6	825	2/7-C-6	DEVELOPMENT	2013-05-08
2/7-C-8	826	2/7-C-8	DEVELOPMENT	2013-05-08
2/7-C-9	827	2/7-C-9	DEVELOPMENT	2013-05-08
2/7-C-10	828	2/7-C-10	DEVELOPMENT	2013-05-08
2/7-C-11	829	2/7-C-11	DEVELOPMENT	2013-05-08
2/7-C-14	830	2/7-C-14	DEVELOPMENT	2013-05-08
2/7-C-15	831	2/7-C-15	DEVELOPMENT	2013-05-08
7/11-A-1	832	7/11-A-1	DEVELOPMENT	2013-05-08
7/11-A-2	833	7/11-A-2	DEVELOPMENT	2013-05-08
7/11-A-3	834	7/11-A-3	DEVELOPMENT	2013-05-08
7/11-A-4	835	7/11-A-4	DEVELOPMENT	2013-05-08
7/11-A-5	836	7/11-A-5	DEVELOPMENT	2013-05-08
7/11-A-6	837	7/11-A-6	DEVELOPMENT	2013-05-08
7/11-A-7	838	7/11-A-7	DEVELOPMENT	2013-05-08
7/11-A-8	839	7/11-A-8	DEVELOPMENT	2013-05-08
7/11-A-9	840	7/11-A-9	DEVELOPMENT	2013-05-08
33/12-3	841	33/12-3	EXPLORATION	2013-05-08
33/12-B-5	842	33/12-B-5	DEVELOPMENT	2013-05-08
33/12-B-13	843	33/12-B-13	DEVELOPMENT	2013-05-08
33/9-A-26	844	33/9-A-26	DEVELOPMENT	2013-05-08
33/9-A-15	845	33/9-A-15	DEVELOPMENT	2013-05-08
33/9-C-28	846	33/9-C-28	DEVELOPMENT	2013-05-08
30/9-B-21	847	30/9-B-21	DEVELOPMENT	2013-05-08
33/9-C-7	848	33/9-C-7	DEVELOPMENT	2013-05-08
30/6-17 R	849	30/6-17	EXPLORATION	2013-05-08
34/10-A-1 H	850	34/10-A-1	DEVELOPMENT	2013-05-08
30/9-B-27	851	30/9-B-27	DEVELOPMENT	2013-05-08
6506/12-5	852	6506/12-5	EXPLORATION	2013-05-08
6507/7-4	853	6507/7-4	EXPLORATION	2013-05-08
34/8-1	854	34/8-1	EXPLORATION	2013-05-08
25/2-10 S	855	25/2-10	EXPLORATION	2013-05-08
7/11-9	856	7/11-9	EXPLORATION	2013-05-08
34/10-A-3 H	857	34/10-A-3	DEVELOPMENT	2013-05-08
34/10-26	858	34/10-26	EXPLORATION	2013-05-08
34/10-10 R	859	34/10-10	EXPLORATION	2013-05-08
6507/7-5 A	860	6507/7-5	EXPLORATION	2013-05-08
34/10-A-4 H	861	34/10-A-4	DEVELOPMENT	2013-05-08
6/3-2	862	6/3-2	EXPLORATION	2013-05-08
6406/3-2	863	6406/3-2	EXPLORATION	2013-05-08
2/4-K-2	864	2/4-K-2	DEVELOPMENT	2013-05-08
2/4-K-3	865	2/4-K-3	DEVELOPMENT	2013-05-08
33/12-B-35	866	33/12-B-35	DEVELOPMENT	2013-05-08
34/10-27	867	34/10-27	EXPLORATION	2013-05-08
2/8-A-21	868	2/8-A-21	DEVELOPMENT	2013-05-08
33/9-C-35	869	33/9-C-35	DEVELOPMENT	2013-05-08
33/9-C-14	870	33/9-C-14	DEVELOPMENT	2013-05-08
6407/9-6	871	6407/9-6	EXPLORATION	2013-05-08
34/10-28	872	34/10-28	EXPLORATION	2013-05-08
30/9-B-29	873	30/9-B-29	DEVELOPMENT	2013-05-08
7120/1-1 R	874	7120/1-1	EXPLORATION	2013-05-08
34/4-6	875	34/4-6	EXPLORATION	2013-05-08
2/4-K-12	876	2/4-K-12	DEVELOPMENT	2013-05-08
34/10-30	877	34/10-30	EXPLORATION	2013-05-08
34/7-8	878	34/7-8	EXPLORATION	2013-05-08
6507/7-5	879	6507/7-5	EXPLORATION	2013-05-08
33/12-B-22	880	33/12-B-22	DEVELOPMENT	2013-05-08
7121/7-2	881	7121/7-2	EXPLORATION	2013-05-08
25/4-A-11	882	25/4-A-11	DEVELOPMENT	2013-05-08
33/9-A-40	883	33/9-A-40	DEVELOPMENT	2013-05-08
25/5-1	884	25/5-1	EXPLORATION	2013-05-08
25/4-A-9	885	25/4-A-9	DEVELOPMENT	2013-05-08
33/12-B-14	886	33/12-B-14	DEVELOPMENT	2013-05-08
34/10-31	887	34/10-31	EXPLORATION	2013-05-08
34/10-27 R	888	34/10-27	EXPLORATION	2013-05-08
34/7-9	889	34/7-9	EXPLORATION	2013-05-08
25/4-A-7	890	25/4-A-7	DEVELOPMENT	2013-05-08
25/4-A-5	891	25/4-A-5	DEVELOPMENT	2013-05-08
30/6-20	892	30/6-20	EXPLORATION	2013-05-08
35/11-2	893	35/11-2	EXPLORATION	2013-05-08
30/6-17 A	894	30/6-17	EXPLORATION	2013-05-08
2/4-1	895	2/4-1	EXPLORATION	2013-05-08
7121/1-1 R	896	7121/1-1	EXPLORATION	2013-05-08
7120/1-1 R2	897	7120/1-1	EXPLORATION	2013-05-08
25/7-1 S	898	25/7-1	EXPLORATION	2013-05-08
33/12-B-6	899	33/12-B-6	DEVELOPMENT	2013-05-08
2/4-D-3	900	2/4-D-3	DEVELOPMENT	2013-05-08
16/10-1	901	16/10-1	EXPLORATION	2013-05-08
2/11-7	902	2/11-7	EXPLORATION	2013-05-08
1/6-A-7	903	1/6-A-7	DEVELOPMENT	2013-05-08
29/3-1	904	29/3-1	EXPLORATION	2013-05-08
25/4-A-8	905	25/4-A-8	DEVELOPMENT	2013-05-08
17/11-1	906	17/11-1	EXPLORATION	2013-05-08
7121/5-2	907	7121/5-2	EXPLORATION	2013-05-08
30/9-B-25	908	30/9-B-25	DEVELOPMENT	2013-05-08
33/9-C-32	909	33/9-C-32	DEVELOPMENT	2013-05-08
6507/6-1	910	6507/6-1	EXPLORATION	2013-05-08
6507/2-1	911	6507/2-1	EXPLORATION	2013-05-08
6407/6-2 R	912	6407/6-2	EXPLORATION	2013-05-08
7/12-A-18	913	7/12-A-18	DEVELOPMENT	2013-05-08
33/9-C-9	914	33/9-C-9	DEVELOPMENT	2013-05-08
34/8-2	915	34/8-2	EXPLORATION	2013-05-08
7126/6-U-1	916	7126/6-U-1	SHALLOW	2013-05-08
33/12-B-20	917	33/12-B-20	DEVELOPMENT	2013-05-08
7222/9-U-1	919	7222/9-U-1	SHALLOW	2013-05-08
7220/2-U-1	920	7220/2-U-1	SHALLOW	2013-05-08
9/3-1	921	9/3-1	EXPLORATION	2013-05-08
6507/7-6	922	6507/7-6	EXPLORATION	2013-05-08
34/10-A-2 AH	923	34/10-A-2	DEVELOPMENT	2013-05-08
2/8-A-11 A	924	2/8-A-11	DEVELOPMENT	2013-05-08
6607/12-1	925	6607/12-1	EXPLORATION	2013-05-08
33/12-B-40	927	33/12-B-40	DEVELOPMENT	2013-05-08
6407/6-2 R2	928	6407/6-2	EXPLORATION	2013-05-08
30/9-B-49 H	929	30/9-B-49	DEVELOPMENT	2013-05-08
34/10-B-2	930	34/10-B-2	DEVELOPMENT	2013-05-08
33/9-C-37	931	33/9-C-37	DEVELOPMENT	2013-05-08
2/4-K-23	932	2/4-K-23	DEVELOPMENT	2013-05-08
6507/8-1	933	6507/8-1	EXPLORATION	2013-05-08
30/9-B-20	934	30/9-B-20	DEVELOPMENT	2013-05-08
6407/2-3	935	6407/2-3	EXPLORATION	2013-05-08
6608/11-1	936	6608/11-1	EXPLORATION	2013-05-08
30/9-2 R	937	30/9-2	EXPLORATION	2013-05-08
34/10-U-6	938	34/10-U-6	SHALLOW	2013-05-08
2/8-A-16 A	939	2/8-A-16	DEVELOPMENT	2013-05-08
34/8-3	940	34/8-3	EXPLORATION	2013-05-08
2/8-A-18 A	941	2/8-A-18	DEVELOPMENT	2013-05-08
34/10-A-5 H	942	34/10-A-5	DEVELOPMENT	2013-05-08
34/4-7	943	34/4-7	EXPLORATION	2013-05-08
2/4-C-11	945	2/4-C-11	DEVELOPMENT	2013-05-08
30/9-B-26	946	30/9-B-26	DEVELOPMENT	2013-05-08
34/7-10	947	34/7-10	EXPLORATION	2013-05-08
33/9-C-19	948	33/9-C-19	DEVELOPMENT	2013-05-08
6406/3-3	949	6406/3-3	EXPLORATION	2013-05-08
7/12-A-10	950	7/12-A-10	DEVELOPMENT	2013-05-08
30/9-B-23	951	30/9-B-23	DEVELOPMENT	2013-05-08
7/12-A-6	952	7/12-A-6	DEVELOPMENT	2013-05-08
7317/2-U-1	953	7317/2-U-1	SHALLOW	2013-05-08
7317/2-U-2	954	7317/2-U-2	SHALLOW	2013-05-08
7320/3-U-1	955	7320/3-U-1	SHALLOW	2013-05-08
34/10-U-1	956	34/10-U-1	SHALLOW	2013-05-08
7524/12-U-1	957	7524/12-U-1	SHALLOW	2013-05-08
7425/9-U-1	958	7425/9-U-1	SHALLOW	2013-05-08
34/10-U-2	959	34/10-U-2	SHALLOW	2013-05-08
34/10-U-3	960	34/10-U-3	SHALLOW	2013-05-08
34/10-U-4	961	34/10-U-4	SHALLOW	2013-05-08
34/10-U-5	963	34/10-U-5	SHALLOW	2013-05-08
25/2-U-1	964	25/2-U-1	SHALLOW	2013-05-08
25/2-U-2	965	25/2-U-2	SHALLOW	2013-05-08
25/2-U-3	966	25/2-U-3	SHALLOW	2013-05-08
25/2-U-4	967	25/2-U-4	SHALLOW	2013-05-08
25/2-U-5	968	25/2-U-5	SHALLOW	2013-05-08
25/2-U-6	969	25/2-U-6	SHALLOW	2013-05-08
6506/12-U-1	970	6506/12-U-1	SHALLOW	2013-05-08
6506/12-U-2	971	6506/12-U-2	SHALLOW	2013-05-08
6506/12-U-3	972	6506/12-U-3	SHALLOW	2013-05-08
6407/9-U-1	973	6407/9-U-1	SHALLOW	2013-05-08
6407/9-U-2	974	6407/9-U-2	SHALLOW	2013-05-08
6407/9-U-3	975	6407/9-U-3	SHALLOW	2013-05-08
6507/7-U-3	976	6507/7-U-3	SHALLOW	2013-05-08
6506/12-U-4	977	6506/12-U-4	SHALLOW	2013-05-08
6506/12-U-5	978	6506/12-U-5	SHALLOW	2013-05-08
6506/12-U-6	979	6506/12-U-6	SHALLOW	2013-05-08
1/9-U-1	980	1/9-U-1	SHALLOW	2013-05-08
6308/7-U-1	981	6308/7-U-1	SHALLOW	2013-05-08
7323/7-U-1	982	7323/7-U-1	SHALLOW	2013-05-08
7323/7-U-2	983	7323/7-U-2	SHALLOW	2013-05-08
7323/7-U-3	984	7323/7-U-3	SHALLOW	2013-05-08
7323/7-U-4	985	7323/7-U-4	SHALLOW	2013-05-08
7323/7-U-5	986	7323/7-U-5	SHALLOW	2013-05-08
7323/7-U-6	987	7323/7-U-6	SHALLOW	2013-05-08
7323/7-U-7	988	7323/7-U-7	SHALLOW	2013-05-08
7323/7-U-8	989	7323/7-U-8	SHALLOW	2013-05-08
7323/7-U-9	990	7323/7-U-9	SHALLOW	2013-05-08
7228/3-U-1	991	7228/3-U-1	SHALLOW	2013-05-08
7227/8-U-1	993	7227/8-U-1	SHALLOW	2013-05-08
2/1-U-1	994	2/1-U-1	SHALLOW	2013-05-08
7227/8-U-2	995	7227/8-U-2	SHALLOW	2013-05-08
6507/7-U-1	996	6507/7-U-1	SHALLOW	2013-05-08
6507/7-U-2	997	6507/7-U-2	SHALLOW	2013-05-08
34/3-U-1	998	34/3-U-1	SHALLOW	2013-05-08
34/3-U-2	999	34/3-U-2	SHALLOW	2013-05-08
34/10-U-7	1000	34/10-U-7	SHALLOW	2013-05-08
25/1-9	1001	25/1-9	EXPLORATION	2013-05-08
7227/8-U-3	1002	7227/8-U-3	SHALLOW	2013-05-08
6506/12-1	1004	6506/12-1	EXPLORATION	2013-05-08
30/6-13 R	1005	30/6-13	EXPLORATION	2013-05-08
1/9-A-1 H	1006	1/9-A-1	DEVELOPMENT	2013-05-08
2/8-A-21 A	1007	2/8-A-21	DEVELOPMENT	2013-05-08
30/9-B-19	1008	30/9-B-19	DEVELOPMENT	2013-05-08
33/9-C-25	1009	33/9-C-25	DEVELOPMENT	2013-05-08
7/12-A-2	1010	7/12-A-2	DEVELOPMENT	2013-05-08
2/7-A-17	1011	2/7-A-17	DEVELOPMENT	2013-05-08
30/9-B-24	1013	30/9-B-24	DEVELOPMENT	2013-05-08
2/12-1	1014	2/12-1	EXPLORATION	2013-05-08
33/9-C-5	1015	33/9-C-5	DEVELOPMENT	2013-05-08
1/9-A-2 H	1016	1/9-A-2	DEVELOPMENT	2013-05-08
6407/7-2	1017	6407/7-2	EXPLORATION	2013-05-08
33/9-C-4	1018	33/9-C-4	DEVELOPMENT	2013-05-08
7/12-A-3 A	1019	7/12-A-3	DEVELOPMENT	2013-05-08
33/9-C-31	1020	33/9-C-31	DEVELOPMENT	2013-05-08
1/9-A-3 H	1021	1/9-A-3	DEVELOPMENT	2013-05-08
34/10-A-6	1022	34/10-A-6	DEVELOPMENT	2013-05-08
2/7-B-18 A	1023	2/7-B-18	DEVELOPMENT	2013-05-08
6407/6-3	1024	6407/6-3	EXPLORATION	2013-05-08
2/4-B-10 A	1025	2/4-B-10	DEVELOPMENT	2013-05-08
31/4-9	1026	31/4-9	EXPLORATION	2013-05-08
30/9-6	1027	30/9-6	EXPLORATION	2013-05-08
33/9-13 S	1028	33/9-13	EXPLORATION	2013-05-08
2/8-A-13 A	1029	2/8-A-13	DEVELOPMENT	2013-05-08
25/1-8 SR	1030	25/1-8	EXPLORATION	2013-05-08
25/1-7 R	1031	25/1-7	EXPLORATION	2013-05-08
2/7-B-5 A	1032	2/7-B-5	DEVELOPMENT	2013-05-08
2/7-B-10 A	1033	2/7-B-10	DEVELOPMENT	2013-05-08
2/7-A-23 A	1034	2/7-A-23	DEVELOPMENT	2013-05-08
1/9-A-4 H	1035	1/9-A-4	DEVELOPMENT	2013-05-08
30/6-21	1037	30/6-21	EXPLORATION	2013-05-08
9/2-1	1038	9/2-1	EXPLORATION	2013-05-08
2/8-A-15 A	1039	2/8-A-15	DEVELOPMENT	2013-05-08
2/8-A-3 A	1040	2/8-A-3	DEVELOPMENT	2013-05-08
2/8-A-26	1041	2/8-A-26	DEVELOPMENT	2013-05-08
7/12-A-7	1042	7/12-A-7	DEVELOPMENT	2013-05-08
33/9-C-30	1043	33/9-C-30	DEVELOPMENT	2013-05-08
6508/5-1	1044	6508/5-1	EXPLORATION	2013-05-08
34/10-C-7	1045	34/10-C-7	DEVELOPMENT	2013-05-08
26/4-1	1046	26/4-1	EXPLORATION	2013-05-08
2/4-D-11 A	1047	2/4-D-11	DEVELOPMENT	2013-05-08
34/10-A-7	1048	34/10-A-7	DEVELOPMENT	2013-05-08
2/4-A-12 A	1049	2/4-A-12	DEVELOPMENT	2013-05-08
33/9-C-15	1050	33/9-C-15	DEVELOPMENT	2013-05-08
34/10-32	1051	34/10-32	EXPLORATION	2013-05-08
34/10-A-9 H	1052	34/10-A-9	DEVELOPMENT	2013-05-08
34/10-A-8	1053	34/10-A-8	DEVELOPMENT	2013-05-08
6407/10-1	1054	6407/10-1	EXPLORATION	2013-05-08
6507/11-4	1055	6507/11-4	EXPLORATION	2013-05-08
6507/7-7	1056	6507/7-7	EXPLORATION	2013-05-08
6407/9-7	1057	6407/9-7	EXPLORATION	2013-05-08
2/8-A-13 B	1058	2/8-A-13	DEVELOPMENT	2013-05-08
1/9-A-5 H	1059	1/9-A-5	DEVELOPMENT	2013-05-08
2/8-A-20	1060	2/8-A-20	DEVELOPMENT	2013-05-08
2/8-A-28	1061	2/8-A-28	DEVELOPMENT	2013-05-08
2/7-20	1062	2/7-20	EXPLORATION	2013-05-08
30/9-B-50 H	1063	30/9-B-50	DEVELOPMENT	2013-05-08
6607/5-1	1064	6607/5-1	EXPLORATION	2013-05-08
34/10-A-10	1065	34/10-A-10	DEVELOPMENT	2013-05-08
7124/3-1	1066	7124/3-1	EXPLORATION	2013-05-08
2/8-A-25	1067	2/8-A-25	DEVELOPMENT	2013-05-08
6506/12-8	1068	6506/12-8	EXPLORATION	2013-05-08
33/9-12	1069	33/9-12	EXPLORATION	2013-05-08
7321/8-1	1070	7321/8-1	EXPLORATION	2013-05-08
6507/7-8	1071	6507/7-8	EXPLORATION	2013-05-08
25/2-A-2 H	1072	25/2-A-2	DEVELOPMENT	2013-05-08
25/2-B-1 H	1073	25/2-B-1	DEVELOPMENT	2013-05-08
25/2-B-2 H	1074	25/2-B-2	DEVELOPMENT	2013-05-08
2/7-B-10 B	1075	2/7-B-10	DEVELOPMENT	2013-05-08
6507/8-2	1076	6507/8-2	EXPLORATION	2013-05-08
1/9-A-1 AH	1077	1/9-A-1	DEVELOPMENT	2013-05-08
6507/7-9	1078	6507/7-9	EXPLORATION	2013-05-08
2/4-A-15 A	1079	2/4-A-15	DEVELOPMENT	2013-05-08
30/3-A-1	1080	30/3-A-1	DEVELOPMENT	2013-05-08
6407/9-U-5	1081	6407/9-U-5	SHALLOW	2013-05-08
6407/9-U-6	1082	6407/9-U-6	SHALLOW	2013-05-08
6407/9-U-7	1083	6407/9-U-7	SHALLOW	2013-05-08
30/3-U-1	1084	30/3-U-1	SHALLOW	2013-05-08
30/3-U-2	1085	30/3-U-2	SHALLOW	2013-05-08
30/3-U-3	1086	30/3-U-3	SHALLOW	2013-05-08
30/3-U-4	1087	30/3-U-4	SHALLOW	2013-05-08
30/3-U-5	1088	30/3-U-5	SHALLOW	2013-05-08
30/3-U-6	1089	30/3-U-6	SHALLOW	2013-05-08
30/3-U-7	1090	30/3-U-7	SHALLOW	2013-05-08
30/6-U-1	1091	30/6-U-1	SHALLOW	2013-05-08
30/3-U-8	1092	30/3-U-8	SHALLOW	2013-05-08
30/6-U-2	1093	30/6-U-2	SHALLOW	2013-05-08
2/1-U-2	1094	2/1-U-2	SHALLOW	2013-05-08
2/1-U-3	1095	2/1-U-3	SHALLOW	2013-05-08
2/1-U-4	1096	2/1-U-4	SHALLOW	2013-05-08
2/1-U-5	1097	2/1-U-5	SHALLOW	2013-05-08
2/1-U-6	1098	2/1-U-6	SHALLOW	2013-05-08
2/1-U-7	1099	2/1-U-7	SHALLOW	2013-05-08
2/1-U-8	1100	2/1-U-8	SHALLOW	2013-05-08
2/1-U-9	1101	2/1-U-9	SHALLOW	2013-05-08
2/1-U-10	1102	2/1-U-10	SHALLOW	2013-05-08
2/1-U-11	1103	2/1-U-11	SHALLOW	2013-05-08
30/6-U-3	1104	30/6-U-3	SHALLOW	2013-05-08
30/6-U-4	1105	30/6-U-4	SHALLOW	2013-05-08
30/6-U-5	1106	30/6-U-5	SHALLOW	2013-05-08
30/6-U-6	1107	30/6-U-6	SHALLOW	2013-05-08
30/6-U-7	1108	30/6-U-7	SHALLOW	2013-05-08
30/6-U-8	1109	30/6-U-8	SHALLOW	2013-05-08
30/6-U-9	1110	30/6-U-9	SHALLOW	2013-05-08
6507/7-U-4	1111	6507/7-U-4	SHALLOW	2013-05-08
6507/7-U-5	1112	6507/7-U-5	SHALLOW	2013-05-08
6507/7-U-6	1113	6507/7-U-6	SHALLOW	2013-05-08
6507/7-U-7	1114	6507/7-U-7	SHALLOW	2013-05-08
6702/9-U-1	1115	6702/9-U-1	SHALLOW	2013-05-08
6702/9-U-2	1116	6702/9-U-2	SHALLOW	2013-05-08
6701/1-U-1	1117	6701/1-U-1	SHALLOW	2013-05-08
6702/9-U-3	1118	6702/9-U-3	SHALLOW	2013-05-08
6602/3-U-1	1119	6602/3-U-1	SHALLOW	2013-05-08
6705/2-U-1	1120	6705/2-U-1	SHALLOW	2013-05-08
6706/10-U-1	1121	6706/10-U-1	SHALLOW	2013-05-08
6706/10-U-2	1122	6706/10-U-2	SHALLOW	2013-05-08
6706/7-U-1	1123	6706/7-U-1	SHALLOW	2013-05-08
34/10-B-5	1124	34/10-B-5	DEVELOPMENT	2013-05-08
6805/6-U-1	1125	6805/6-U-1	SHALLOW	2013-05-08
33/9-C-26	1126	33/9-C-26	DEVELOPMENT	2013-05-08
25/2-A-1 H	1127	25/2-A-1	DEVELOPMENT	2013-05-08
34/10-32 R	1128	34/10-32	EXPLORATION	2013-05-08
2/4-B-20 A	1129	2/4-B-20	DEVELOPMENT	2013-05-08
2/4-K-30	1130	2/4-K-30	DEVELOPMENT	2013-05-08
25/5-1 A	1131	25/5-1	EXPLORATION	2013-05-08
34/10-A-11	1132	34/10-A-11	DEVELOPMENT	2013-05-08
2/7-B-14 A	1133	2/7-B-14	DEVELOPMENT	2013-05-08
6201/11-1	1134	6201/11-1	EXPLORATION	2013-05-08
9/2-2	1135	9/2-2	EXPLORATION	2013-05-08
6406/8-1	1136	6406/8-1	EXPLORATION	2013-05-08
33/9-C-6	1137	33/9-C-6	DEVELOPMENT	2013-05-08
7219/9-1	1138	7219/9-1	EXPLORATION	2013-05-08
7/12-A-3	1139	7/12-A-3	DEVELOPMENT	2013-05-08
7122/6-1	1140	7122/6-1	EXPLORATION	2013-05-08
7030/3-U-1	1141	7030/3-U-1	SHALLOW	2013-05-08
7129/10-U-2	1142	7129/10-U-2	SHALLOW	2013-05-08
7129/10-U-1	1145	7129/10-U-1	SHALLOW	2013-05-08
7128/9-U-1	1146	7128/9-U-1	SHALLOW	2013-05-08
7230/5-U-2	1148	7230/5-U-2	SHALLOW	2013-05-08
7230/5-U-3	1149	7230/5-U-3	SHALLOW	2013-05-08
7230/5-U-4	1150	7230/5-U-4	SHALLOW	2013-05-08
7230/5-U-5	1151	7230/5-U-5	SHALLOW	2013-05-08
7230/5-U-6	1152	7230/5-U-6	SHALLOW	2013-05-08
7231/1-U-1	1153	7231/1-U-1	SHALLOW	2013-05-08
7231/4-U-1	1154	7231/4-U-1	SHALLOW	2013-05-08
7230/5-U-9	1161	7230/5-U-9	SHALLOW	2013-05-08
7324/7-U-1	1162	7324/7-U-1	SHALLOW	2013-05-08
7323/12-U-1	1163	7323/12-U-1	SHALLOW	2013-05-08
31/5-U-1	1164	31/5-U-1	SHALLOW	2013-05-08
34/7-U-1	1165	34/7-U-1	SHALLOW	2013-05-08
34/7-U-2	1166	34/7-U-2	SHALLOW	2013-05-08
34/7-U-3	1167	34/7-U-3	SHALLOW	2013-05-08
34/7-U-4 A	1168	34/7-U-4	SHALLOW	2013-05-08
34/7-U-5	1169	34/7-U-5	SHALLOW	2013-05-08
34/7-U-6 B	1170	34/7-U-6	SHALLOW	2013-05-08
34/7-U-7 A	1171	34/7-U-7	SHALLOW	2013-05-08
34/7-U-8	1172	34/7-U-8	SHALLOW	2013-05-08
6406/3-4	1173	6406/3-4	EXPLORATION	2013-05-08
6407/5-1	1174	6407/5-1	EXPLORATION	2013-05-08
30/3-A-2	1175	30/3-A-2	DEVELOPMENT	2013-05-08
34/7-11	1176	34/7-11	EXPLORATION	2013-05-08
7226/11-1	1177	7226/11-1	EXPLORATION	2013-05-08
25/2-10 SR	1178	25/2-10	EXPLORATION	2013-05-08
2/4-K-20	1179	2/4-K-20	DEVELOPMENT	2013-05-08
2/4-K-28	1180	2/4-K-28	DEVELOPMENT	2013-05-08
25/1-A-22 A	1181	25/1-A-22	DEVELOPMENT	2013-05-08
25/1-A-3 A	1182	25/1-A-3	DEVELOPMENT	2013-05-08
2/7-A-8	1183	2/7-A-8	DEVELOPMENT	2013-05-08
33/9-C-1	1184	33/9-C-1	DEVELOPMENT	2013-05-08
34/10-B-1	1185	34/10-B-1	DEVELOPMENT	2013-05-08
34/10-3 R	1186	34/10-3	EXPLORATION	2013-05-08
34/7-12	1187	34/7-12	EXPLORATION	2013-05-08
2/2-4	1188	2/2-4	EXPLORATION	2013-05-08
2/4-K-9	1189	2/4-K-9	DEVELOPMENT	2013-05-08
31/4-U-1	1190	31/4-U-1	SHALLOW	2013-05-08
31/4-U-2	1191	31/4-U-2	SHALLOW	2013-05-08
31/4-U-3	1192	31/4-U-3	SHALLOW	2013-05-08
31/4-U-4	1193	31/4-U-4	SHALLOW	2013-05-08
31/4-U-5	1194	31/4-U-5	SHALLOW	2013-05-08
31/4-U-6	1195	31/4-U-6	SHALLOW	2013-05-08
31/4-U-7	1196	31/4-U-7	SHALLOW	2013-05-08
31/4-U-8	1197	31/4-U-8	SHALLOW	2013-05-08
31/4-U-9	1198	31/4-U-9	SHALLOW	2013-05-08
30/6-U-10	1199	30/6-U-10	SHALLOW	2013-05-08
31/6-U-9	1200	31/6-U-9	SHALLOW	2013-05-08
31/6-U-1	1201	31/6-U-1	SHALLOW	2013-05-08
31/6-U-2	1202	31/6-U-2	SHALLOW	2013-05-08
31/6-U-3	1203	31/6-U-3	SHALLOW	2013-05-08
31/6-U-4	1204	31/6-U-4	SHALLOW	2013-05-08
31/6-U-5	1205	31/6-U-5	SHALLOW	2013-05-08
31/6-U-6	1206	31/6-U-6	SHALLOW	2013-05-08
31/6-U-7	1207	31/6-U-7	SHALLOW	2013-05-08
31/6-U-8	1208	31/6-U-8	SHALLOW	2013-05-08
30/3-A-3	1209	30/3-A-3	DEVELOPMENT	2013-05-08
2/1-A-8	1210	2/1-A-8	DEVELOPMENT	2013-05-08
31/6-U-10	1211	31/6-U-10	SHALLOW	2013-05-08
31/6-U-11	1212	31/6-U-11	SHALLOW	2013-05-08
31/6-U-12	1213	31/6-U-12	SHALLOW	2013-05-08
31/6-U-13	1214	31/6-U-13	SHALLOW	2013-05-08
2/7-B-2	1215	2/7-B-2	DEVELOPMENT	2013-05-08
6506/11-1	1216	6506/11-1	EXPLORATION	2013-05-08
2/4-A-1 A	1217	2/4-A-1	DEVELOPMENT	2013-05-08
2/4-K-27	1218	2/4-K-27	DEVELOPMENT	2013-05-08
25/1-10	1219	25/1-10	EXPLORATION	2013-05-08
34/10-A-13	1220	34/10-A-13	DEVELOPMENT	2013-05-08
2/4-D-8 A	1221	2/4-D-8	DEVELOPMENT	2013-05-08
2/1-A-7	1222	2/1-A-7	DEVELOPMENT	2013-05-08
30/6-U-11	1223	30/6-U-11	SHALLOW	2013-05-08
2/8-11	1224	2/8-11	EXPLORATION	2013-05-08
30/6-22	1225	30/6-22	EXPLORATION	2013-05-08
33/9-14	1226	33/9-14	EXPLORATION	2013-05-08
6406/3-5	1227	6406/3-5	EXPLORATION	2013-05-08
2/8-A-10 A	1228	2/8-A-10	DEVELOPMENT	2013-05-08
6407/7-3	1229	6407/7-3	EXPLORATION	2013-05-08
31/5-U-2	1230	31/5-U-2	SHALLOW	2013-05-08
2/7-B-4	1231	2/7-B-4	DEVELOPMENT	2013-05-08
25/2-A-3 H	1232	25/2-A-3	DEVELOPMENT	2013-05-08
34/7-13	1233	34/7-13	EXPLORATION	2013-05-08
30/3-A-4	1234	30/3-A-4	DEVELOPMENT	2013-05-08
30/6-U-12	1235	30/6-U-12	SHALLOW	2013-05-08
30/6-U-13	1236	30/6-U-13	SHALLOW	2013-05-08
30/6-U-14	1237	30/6-U-14	SHALLOW	2013-05-08
30/6-U-15	1238	30/6-U-15	SHALLOW	2013-05-08
30/6-U-16	1239	30/6-U-16	SHALLOW	2013-05-08
30/6-U-17	1240	30/6-U-17	SHALLOW	2013-05-08
30/6-U-19	1241	30/6-U-19	SHALLOW	2013-05-08
30/6-U-18	1242	30/6-U-18	SHALLOW	2013-05-08
30/6-U-20	1243	30/6-U-20	SHALLOW	2013-05-08
1/9-A-6 H	1244	1/9-A-6	DEVELOPMENT	2013-05-08
7224/7-1	1245	7224/7-1	EXPLORATION	2013-05-08
6408/4-1	1246	6408/4-1	EXPLORATION	2013-05-08
7/12-A-1	1247	7/12-A-1	DEVELOPMENT	2013-05-08
2/8-A-23	1248	2/8-A-23	DEVELOPMENT	2013-05-08
2/4-C-4	1249	2/4-C-4	DEVELOPMENT	2013-05-08
15/5-2 R	1250	15/5-2	EXPLORATION	2013-05-08
34/10-A-14	1251	34/10-A-14	DEVELOPMENT	2013-05-08
2/1-A-5	1252	2/1-A-5	DEVELOPMENT	2013-05-08
34/10-A-15	1253	34/10-A-15	DEVELOPMENT	2013-05-08
2/4-E-2 A	1254	2/4-E-2	DEVELOPMENT	2013-05-08
2/7-B-13 A	1255	2/7-B-13	DEVELOPMENT	2013-05-08
6407/9-U-8	1256	6407/9-U-8	SHALLOW	2013-05-08
6407/9-U-9	1257	6407/9-U-9	SHALLOW	2013-05-08
6407/9-U-10	1258	6407/9-U-10	SHALLOW	2013-05-08
6407/9-U-11	1259	6407/9-U-11	SHALLOW	2013-05-08
6407/9-U-12	1260	6407/9-U-12	SHALLOW	2013-05-08
6407/9-U-13	1261	6407/9-U-13	SHALLOW	2013-05-08
2/7-A-4	1262	2/7-A-4	DEVELOPMENT	2013-05-08
2/1-A-4	1263	2/1-A-4	DEVELOPMENT	2013-05-08
2/4-C-7	1265	2/4-C-7	DEVELOPMENT	2013-05-08
7/12-A-5	1266	7/12-A-5	DEVELOPMENT	2013-05-08
6408/12-U-1	1267	6408/12-U-1	SHALLOW	2013-05-08
6307/7-U-2	1269	6307/7-U-2	SHALLOW	2013-05-08
6307/7-U-3	1270	6307/7-U-3	SHALLOW	2013-05-08
6206/2-U-1	1273	6206/2-U-1	SHALLOW	2013-05-08
6206/2-U-2	1274	6206/2-U-2	SHALLOW	2013-05-08
6206/2-U-3	1275	6206/2-U-3	SHALLOW	2013-05-08
34/7-14	1278	34/7-14	EXPLORATION	2013-05-08
25/1-7 R2	1279	25/1-7	EXPLORATION	2013-05-08
2/7-B-16	1280	2/7-B-16	DEVELOPMENT	2013-05-08
2/4-K-21	1281	2/4-K-21	DEVELOPMENT	2013-05-08
7/12-A-12	1282	7/12-A-12	DEVELOPMENT	2013-05-08
34/10-B-3	1283	34/10-B-3	DEVELOPMENT	2013-05-08
7321/7-1	1284	7321/7-1	EXPLORATION	2013-05-08
34/10-A-16	1285	34/10-A-16	DEVELOPMENT	2013-05-08
25/1-8 SR2	1286	25/1-8	EXPLORATION	2013-05-08
7/12-7	1287	7/12-7	EXPLORATION	2013-05-08
35/8-3	1288	35/8-3	EXPLORATION	2013-05-08
2/4-D-15	1289	2/4-D-15	DEVELOPMENT	2013-05-08
25/2-12	1290	25/2-12	EXPLORATION	2013-05-08
2/4-K-11	1291	2/4-K-11	DEVELOPMENT	2013-05-08
2/7-A-13	1292	2/7-A-13	DEVELOPMENT	2013-05-08
2/4-B-2 A	1293	2/4-B-2	DEVELOPMENT	2013-05-08
9/2-3	1294	9/2-3	EXPLORATION	2013-05-08
2/4-K-1	1295	2/4-K-1	DEVELOPMENT	2013-05-08
30/9-B-4	1296	30/9-B-4	DEVELOPMENT	2013-05-08
30/9-B-7	1297	30/9-B-7	DEVELOPMENT	2013-05-08
30/9-B-42	1298	30/9-B-42	DEVELOPMENT	2013-05-08
2/1-A-6	1300	2/1-A-6	DEVELOPMENT	2013-05-08
2/8-A-24	1301	2/8-A-24	DEVELOPMENT	2013-05-08
34/10-33	1302	34/10-33	EXPLORATION	2013-05-08
34/10-A-17	1303	34/10-A-17	DEVELOPMENT	2013-05-08
34/10-B-4	1304	34/10-B-4	DEVELOPMENT	2013-05-08
6206/2-U-8	1305	6206/2-U-8	SHALLOW	2013-05-08
30/9-7	1306	30/9-7	EXPLORATION	2013-05-08
30/3-A-5	1307	30/3-A-5	DEVELOPMENT	2013-05-08
2/5-8	1308	2/5-8	EXPLORATION	2013-05-08
6507/8-3	1309	6507/8-3	EXPLORATION	2013-05-08
2/4-K-24	1310	2/4-K-24	DEVELOPMENT	2013-05-08
7/12-8	1311	7/12-8	EXPLORATION	2013-05-08
7/12-A-4	1312	7/12-A-4	DEVELOPMENT	2013-05-08
2/4-13	1313	2/4-13	EXPLORATION	2013-05-08
2/4-C-15 A	1314	2/4-C-15	DEVELOPMENT	2013-05-08
6407/9-U-14	1315	6407/9-U-14	SHALLOW	2013-05-08
34/10-B-7	1316	34/10-B-7	DEVELOPMENT	2013-05-08
30/9-U-1	1320	30/9-U-1	SHALLOW	2013-05-08
31/6-U-14	1321	31/6-U-14	SHALLOW	2013-05-08
31/6-U-15	1322	31/6-U-15	SHALLOW	2013-05-08
31/6-U-16	1323	31/6-U-16	SHALLOW	2013-05-08
31/6-U-17	1324	31/6-U-17	SHALLOW	2013-05-08
7430/10-U-1	1325	7430/10-U-1	SHALLOW	2013-05-08
7430/7-U-1	1326	7430/7-U-1	SHALLOW	2013-05-08
7127/10-U-2	1327	7127/10-U-2	SHALLOW	2013-05-08
7029/3-U-1	1328	7029/3-U-1	SHALLOW	2013-05-08
7127/10-U-3	1329	7127/10-U-3	SHALLOW	2013-05-08
7128/12-U-1	1330	7128/12-U-1	SHALLOW	2013-05-08
7029/3-U-2	1332	7029/3-U-2	SHALLOW	2013-05-08
2/8-A-7 A	1336	2/8-A-7	DEVELOPMENT	2013-05-08
34/10-A-18	1337	34/10-A-18	DEVELOPMENT	2013-05-08
34/8-3 A	1338	34/8-3	EXPLORATION	2013-05-08
7321/9-1	1339	7321/9-1	EXPLORATION	2013-05-08
6507/8-4	1340	6507/8-4	EXPLORATION	2013-05-08
30/6-C-11	1341	30/6-C-11	DEVELOPMENT	2013-05-08
6506/12-6	1342	6506/12-6	EXPLORATION	2013-05-08
2/4-14	1343	2/4-14	EXPLORATION	2013-05-08
2/4-B-3 A	1344	2/4-B-3	DEVELOPMENT	2013-05-08
2/4-K-5	1345	2/4-K-5	DEVELOPMENT	2013-05-08
25/5-2	1346	25/5-2	EXPLORATION	2013-05-08
30/3-A-6	1347	30/3-A-6	DEVELOPMENT	2013-05-08
2/8-A-18 B	1348	2/8-A-18	DEVELOPMENT	2013-05-08
34/10-A-16 A	1349	34/10-A-16	DEVELOPMENT	2013-05-08
7125/1-1	1350	7125/1-1	EXPLORATION	2013-05-08
2/8-12 S	1351	2/8-12	EXPLORATION	2013-05-08
34/10-A-19	1352	34/10-A-19	DEVELOPMENT	2013-05-08
2/4-K-7	1353	2/4-K-7	DEVELOPMENT	2013-05-08
7/12-A-8	1354	7/12-A-8	DEVELOPMENT	2013-05-08
25/2-12 A	1355	25/2-12	EXPLORATION	2013-05-08
35/11-3 S	1356	35/11-3	EXPLORATION	2013-05-08
2/4-C-6 A	1357	2/4-C-6	DEVELOPMENT	2013-05-08
33/12-7	1358	33/12-7	EXPLORATION	2013-05-08
2/7-A-2 A	1359	2/7-A-2	DEVELOPMENT	2013-05-08
6407/7-4	1360	6407/7-4	EXPLORATION	2013-05-08
2/4-K-10	1361	2/4-K-10	DEVELOPMENT	2013-05-08
30/6-C-10	1362	30/6-C-10	DEVELOPMENT	2013-05-08
34/10-A-20	1363	34/10-A-20	DEVELOPMENT	2013-05-08
34/10-B-6	1364	34/10-B-6	DEVELOPMENT	2013-05-08
34/10-33 A	1365	34/10-33	EXPLORATION	2013-05-08
7120/1-2	1366	7120/1-2	EXPLORATION	2013-05-08
2/7-19	1367	2/7-19	EXPLORATION	2013-05-08
2/1-A-2	1368	2/1-A-2	DEVELOPMENT	2013-05-08
2/8-A-14 A	1369	2/8-A-14	DEVELOPMENT	2013-05-08
34/10-A-21	1370	34/10-A-21	DEVELOPMENT	2013-05-08
2/4-15 S	1371	2/4-15	EXPLORATION	2013-05-08
2/4-B-6 A	1372	2/4-B-6	DEVELOPMENT	2013-05-08
2/4-K-29	1373	2/4-K-29	DEVELOPMENT	2013-05-08
30/6-C-12	1374	30/6-C-12	DEVELOPMENT	2013-05-08
35/9-1	1375	35/9-1	EXPLORATION	2013-05-08
2/4-A-4 A	1376	2/4-A-4	DEVELOPMENT	2013-05-08
2/4-K-19	1377	2/4-K-19	DEVELOPMENT	2013-05-08
2/4-C-19	1378	2/4-C-19	DEVELOPMENT	2013-05-08
34/10-A-22	1379	34/10-A-22	DEVELOPMENT	2013-05-08
2/7-B-1 A	1380	2/7-B-1	DEVELOPMENT	2013-05-08
2/8-A-22	1381	2/8-A-22	DEVELOPMENT	2013-05-08
1/2-1	1382	1/2-1	EXPLORATION	2013-05-08
2/8-13	1383	2/8-13	EXPLORATION	2013-05-08
34/10-33 C	1384	34/10-33	EXPLORATION	2013-05-08
2/1-A-1	1385	2/1-A-1	DEVELOPMENT	2013-05-08
34/10-A-23	1386	34/10-A-23	DEVELOPMENT	2013-05-08
7/12-A-13	1387	7/12-A-13	DEVELOPMENT	2013-05-08
33/9-C-36	1388	33/9-C-36	DEVELOPMENT	2013-05-08
30/9-B-3	1389	30/9-B-3	DEVELOPMENT	2013-05-08
2/4-K-17	1390	2/4-K-17	DEVELOPMENT	2013-05-08
6608/10-1	1391	6608/10-1	EXPLORATION	2013-05-08
34/10-B-8	1392	34/10-B-8	DEVELOPMENT	2013-05-08
2/4-E-14 A	1393	2/4-E-14	DEVELOPMENT	2013-05-08
2/7-21 S	1394	2/7-21	EXPLORATION	2013-05-08
25/1-7 R3	1395	25/1-7	EXPLORATION	2013-05-08
25/1-8 SR3	1396	25/1-8	EXPLORATION	2013-05-08
13/1-U-1	1397	13/1-U-1	SHALLOW	2013-05-08
13/1-U-2	1398	13/1-U-2	SHALLOW	2013-05-08
13/2-U-1	1402	13/2-U-1	SHALLOW	2013-05-08
13/2-U-2	1403	13/2-U-2	SHALLOW	2013-05-08
27/9-U-2	1405	27/9-U-2	SHALLOW	2013-05-08
27/9-U-1	1406	27/9-U-1	SHALLOW	2013-05-08
34/10-33 B	1407	34/10-33	EXPLORATION	2013-05-08
34/10-A-24	1408	34/10-A-24	DEVELOPMENT	2013-05-08
2/4-B-4	1409	2/4-B-4	DEVELOPMENT	2013-05-08
34/10-B-9	1410	34/10-B-9	DEVELOPMENT	2013-05-08
7324/10-1	1411	7324/10-1	EXPLORATION	2013-05-08
25/1-A-17 A	1412	25/1-A-17	DEVELOPMENT	2013-05-08
7/12-7 R	1413	7/12-7	EXPLORATION	2013-05-08
2/8-A-20 A	1414	2/8-A-20	DEVELOPMENT	2013-05-08
16/3-3	1415	16/3-3	EXPLORATION	2013-05-08
2/12-2 S	1416	2/12-2	EXPLORATION	2013-05-08
15/9-U-1	1417	15/9-U-1	SHALLOW	2013-05-08
15/9-U-2	1418	15/9-U-2	SHALLOW	2013-05-08
25/3-1	1419	25/3-1	EXPLORATION	2013-05-08
30/9-B-31	1420	30/9-B-31	DEVELOPMENT	2013-05-08
30/9-8	1421	30/9-8	EXPLORATION	2013-05-08
34/10-U-8	1422	34/10-U-8	SHALLOW	2013-05-08
34/10-U-9	1423	34/10-U-9	SHALLOW	2013-05-08
34/10-U-10	1424	34/10-U-10	SHALLOW	2013-05-08
34/10-U-11	1425	34/10-U-11	SHALLOW	2013-05-08
2/7-B-15	1426	2/7-B-15	DEVELOPMENT	2013-05-08
31/6-U-18	1427	31/6-U-18	SHALLOW	2013-05-08
33/9-C-40	1428	33/9-C-40	DEVELOPMENT	2013-05-08
2/7-A-7 A	1429	2/7-A-7	DEVELOPMENT	2013-05-08
34/10-B-10	1430	34/10-B-10	DEVELOPMENT	2013-05-08
6307/7-U-3 A	1431	6307/7-U-3	SHALLOW	2013-05-08
2/4-E-11	1432	2/4-E-11	DEVELOPMENT	2013-05-08
7/12-A-15	1433	7/12-A-15	DEVELOPMENT	2013-05-08
31/6-U-19	1434	31/6-U-19	SHALLOW	2013-05-08
31/6-U-20	1435	31/6-U-20	SHALLOW	2013-05-08
31/6-U-21	1436	31/6-U-21	SHALLOW	2013-05-08
31/6-U-22	1437	31/6-U-22	SHALLOW	2013-05-08
30/9-B-41	1438	30/9-B-41	DEVELOPMENT	2013-05-08
34/10-A-25	1439	34/10-A-25	DEVELOPMENT	2013-05-08
2/4-14 R	1440	2/4-14	EXPLORATION	2013-05-08
35/9-1 R	1441	35/9-1	EXPLORATION	2013-05-08
30/9-9	1442	30/9-9	EXPLORATION	2013-05-08
2/9-3	1443	2/9-3	EXPLORATION	2013-05-08
1/9-1 R	1444	1/9-1	EXPLORATION	2013-05-08
2/4-B-15 A	1445	2/4-B-15	DEVELOPMENT	2013-05-08
7316/3-U-1	1446	7316/3-U-1	SHALLOW	2013-05-08
7316/6-U-1	1447	7316/6-U-1	SHALLOW	2013-05-08
7316/6-U-2	1448	7316/6-U-2	SHALLOW	2013-05-08
7317/10-U-1	1449	7317/10-U-1	SHALLOW	2013-05-08
34/10-B-11	1452	34/10-B-11	DEVELOPMENT	2013-05-08
31/2-16 S	1453	31/2-16	EXPLORATION	2013-05-08
2/8-A-4 A	1454	2/8-A-4	DEVELOPMENT	2013-05-08
30/6-C-8	1455	30/6-C-8	DEVELOPMENT	2013-05-08
34/10-B-12	1457	34/10-B-12	DEVELOPMENT	2013-05-08
7/12-A-9	1458	7/12-A-9	DEVELOPMENT	2013-05-08
25/2-13	1459	25/2-13	EXPLORATION	2013-05-08
7228/2-1 S	1460	7228/2-1	EXPLORATION	2013-05-08
30/9-8 R	1461	30/9-8	EXPLORATION	2013-05-08
2/7-A-1	1462	2/7-A-1	DEVELOPMENT	2013-05-08
2/4-B-23 A	1463	2/4-B-23	DEVELOPMENT	2013-05-08
34/10-B-10 A	1464	34/10-B-10	DEVELOPMENT	2013-05-08
33/12-B-28	1465	33/12-B-28	DEVELOPMENT	2013-05-08
30/9-B-13	1466	30/9-B-13	DEVELOPMENT	2013-05-08
3/7-4	1467	3/7-4	EXPLORATION	2013-05-08
2/7-U-2	1468	2/7-U-2	SHALLOW	2013-05-08
34/10-A-25 A	1469	34/10-A-25	DEVELOPMENT	2013-05-08
7/12-9	1470	7/12-9	EXPLORATION	2013-05-08
34/10-A-26	1471	34/10-A-26	DEVELOPMENT	2013-05-08
34/10-C-1	1472	34/10-C-1	DEVELOPMENT	2013-05-08
25/1-A-4 A	1473	25/1-A-4	DEVELOPMENT	2013-05-08
2/4-U-1	1474	2/4-U-1	SHALLOW	2013-05-08
2/4-U-2	1475	2/4-U-2	SHALLOW	2013-05-08
2/4-U-3	1476	2/4-U-3	SHALLOW	2013-05-08
2/7-14 R	1477	2/7-14	EXPLORATION	2013-05-08
2/7-B-8	1478	2/7-B-8	DEVELOPMENT	2013-05-08
6205/3-1	1479	6205/3-1	EXPLORATION	2013-05-08
33/9-C-10	1480	33/9-C-10	DEVELOPMENT	2013-05-08
30/6-C-5	1481	30/6-C-5	DEVELOPMENT	2013-05-08
2/4-K-8	1482	2/4-K-8	DEVELOPMENT	2013-05-08
2/7-A-18 A	1483	2/7-A-18	DEVELOPMENT	2013-05-08
31/5-B-6 H	1484	31/5-B-6	DEVELOPMENT	2013-05-08
7/12-A-13 A	1485	7/12-A-13	DEVELOPMENT	2013-05-08
7228/9-1 S	1486	7228/9-1	EXPLORATION	2013-05-08
2/7-A-8 A	1487	2/7-A-8	DEVELOPMENT	2013-05-08
25/5-3	1488	25/5-3	EXPLORATION	2013-05-08
30/6-C-9	1489	30/6-C-9	DEVELOPMENT	2013-05-08
34/10-A-27	1490	34/10-A-27	DEVELOPMENT	2013-05-08
34/10-C-2	1491	34/10-C-2	DEVELOPMENT	2013-05-08
7/7-1	1492	7/7-1	EXPLORATION	2013-05-08
2/4-K-26	1493	2/4-K-26	DEVELOPMENT	2013-05-08
25/7-2	1494	25/7-2	EXPLORATION	2013-05-08
2/7-22	1495	2/7-22	EXPLORATION	2013-05-08
2/4-A-12 B	1496	2/4-A-12	DEVELOPMENT	2013-05-08
6407/10-2	1497	6407/10-2	EXPLORATION	2013-05-08
31/5-B-4 H	1498	31/5-B-4	DEVELOPMENT	2013-05-08
31/5-B-2 H	1499	31/5-B-2	DEVELOPMENT	2013-05-08
31/5-B-3 H	1500	31/5-B-3	DEVELOPMENT	2013-05-08
31/5-B-5 H	1501	31/5-B-5	DEVELOPMENT	2013-05-08
34/10-A-28	1502	34/10-A-28	DEVELOPMENT	2013-05-08
2/4-W-8	1503	2/4-W-8	DEVELOPMENT	2013-05-08
30/9-B-40	1504	30/9-B-40	DEVELOPMENT	2013-05-08
30/6-C-7	1505	30/6-C-7	DEVELOPMENT	2013-05-08
2/8-A-27	1506	2/8-A-27	DEVELOPMENT	2013-05-08
2/8-A-30	1507	2/8-A-30	DEVELOPMENT	2013-05-08
1/6-5	1508	1/6-5	EXPLORATION	2013-05-08
2/4-C-16	1509	2/4-C-16	DEVELOPMENT	2013-05-08
6205/3-1 R	1510	6205/3-1	EXPLORATION	2013-05-08
2/7-19 R	1512	2/7-19	EXPLORATION	2013-05-08
6407/7-2 R	1513	6407/7-2	EXPLORATION	2013-05-08
30/9-10	1514	30/9-10	EXPLORATION	2013-05-08
34/10-B-13	1515	34/10-B-13	DEVELOPMENT	2013-05-08
30/9-B-39	1516	30/9-B-39	DEVELOPMENT	2013-05-08
30/9-B-12 A	1517	30/9-B-12	DEVELOPMENT	2013-05-08
34/10-C-3	1518	34/10-C-3	DEVELOPMENT	2013-05-08
2/4-B-16 B	1519	2/4-B-16	DEVELOPMENT	2013-05-08
6507/6-2	1520	6507/6-2	EXPLORATION	2013-05-08
1/3-6	1521	1/3-6	EXPLORATION	2013-05-08
33/9-U-1	1522	33/9-U-1	SHALLOW	2013-05-08
35/11-4	1523	35/11-4	EXPLORATION	2013-05-08
15/12-6 S	1524	15/12-6	EXPLORATION	2013-05-08
2/4-A-20	1526	2/4-A-20	DEVELOPMENT	2013-05-08
2/6-4 S	1527	2/6-4	EXPLORATION	2013-05-08
30/6-C-6	1528	30/6-C-6	DEVELOPMENT	2013-05-08
7/12-A-12 A	1529	7/12-A-12	DEVELOPMENT	2013-05-08
34/10-33 CR	1530	34/10-33	EXPLORATION	2013-05-08
33/12-B-28 A	1531	33/12-B-28	DEVELOPMENT	2013-05-08
33/9-A-37 A	1532	33/9-A-37	DEVELOPMENT	2013-05-08
6507/3-1	1533	6507/3-1	EXPLORATION	2013-05-08
25/1-7 R4	1534	25/1-7	EXPLORATION	2013-05-08
2/4-K-15	1535	2/4-K-15	DEVELOPMENT	2013-05-08
34/7-17 A	1536	34/7-17	EXPLORATION	2013-05-08
34/10-B-14	1538	34/10-B-14	DEVELOPMENT	2013-05-08
6406/11-1 S	1539	6406/11-1	EXPLORATION	2013-05-08
34/10-A-27 A	1541	34/10-A-27	DEVELOPMENT	2013-05-08
30/3-A-7	1542	30/3-A-7	DEVELOPMENT	2013-05-08
2/4-C-1 A	1543	2/4-C-1	DEVELOPMENT	2013-05-08
34/7-15 S	1544	34/7-15	EXPLORATION	2013-05-08
30/6-23	1545	30/6-23	EXPLORATION	2013-05-08
30/9-B-15	1546	30/9-B-15	DEVELOPMENT	2013-05-08
2/7-23 S	1547	2/7-23	EXPLORATION	2013-05-08
2/4-14 R2	1548	2/4-14	EXPLORATION	2013-05-08
6201/11-2	1549	6201/11-2	EXPLORATION	2013-05-08
34/7-16	1550	34/7-16	EXPLORATION	2013-05-08
6306/10-1	1551	6306/10-1	EXPLORATION	2013-05-08
2/8-14	1552	2/8-14	EXPLORATION	2013-05-08
2/7-U-1	1553	2/7-U-1	SHALLOW	2013-05-08
33/9-U-2	1554	33/9-U-2	SHALLOW	2013-05-08
33/9-U-3	1555	33/9-U-3	SHALLOW	2013-05-08
33/9-U-0	1556	33/9-U-0	SHALLOW	2013-05-08
7/12-10	1557	7/12-10	EXPLORATION	2013-05-08
1/9-6 SR	1558	1/9-6	EXPLORATION	2013-05-08
16/4-2	1560	16/4-2	EXPLORATION	2013-05-08
7120/10-2	1561	7120/10-2	EXPLORATION	2013-05-08
30/6-9 R	1562	30/6-9	EXPLORATION	2013-05-08
7/11-10 S	1563	7/11-10	EXPLORATION	2013-05-08
2/4-W-6	1564	2/4-W-6	DEVELOPMENT	2013-05-08
2/4-A-21	1565	2/4-A-21	DEVELOPMENT	2013-05-08
2/4-A-22	1566	2/4-A-22	DEVELOPMENT	2013-05-08
2/4-A-18	1567	2/4-A-18	DEVELOPMENT	2013-05-08
2/4-A-19	1568	2/4-A-19	DEVELOPMENT	2013-05-08
2/4-A-23	1569	2/4-A-23	DEVELOPMENT	2013-05-08
2/4-C-20	1570	2/4-C-20	DEVELOPMENT	2013-05-08
2/4-C-21	1571	2/4-C-21	DEVELOPMENT	2013-05-08
2/4-C-17	1572	2/4-C-17	DEVELOPMENT	2013-05-08
2/4-C-18	1573	2/4-C-18	DEVELOPMENT	2013-05-08
2/4-C-22	1574	2/4-C-22	DEVELOPMENT	2013-05-08
2/4-C-23	1575	2/4-C-23	DEVELOPMENT	2013-05-08
2/4-W-1	1576	2/4-W-1	DEVELOPMENT	2013-05-08
2/4-W-2	1577	2/4-W-2	DEVELOPMENT	2013-05-08
2/4-W-3	1578	2/4-W-3	DEVELOPMENT	2013-05-08
2/4-W-4	1579	2/4-W-4	DEVELOPMENT	2013-05-08
2/4-W-5	1580	2/4-W-5	DEVELOPMENT	2013-05-08
2/4-W-7	1581	2/4-W-7	DEVELOPMENT	2013-05-08
2/8-A-16 B	1582	2/8-A-16	DEVELOPMENT	2013-05-08
34/10-A-24 A	1583	34/10-A-24	DEVELOPMENT	2013-05-08
34/10-B-15	1585	34/10-B-15	DEVELOPMENT	2013-05-08
33/9-A-20 A	1586	33/9-A-20	DEVELOPMENT	2013-05-08
7018/7-U-1	1590	7018/7-U-1	SHALLOW	2013-05-08
7018/5-U-1	1591	7018/5-U-1	SHALLOW	2013-05-08
7018/5-U-2	1592	7018/5-U-2	SHALLOW	2013-05-08
34/10-C-4	1598	34/10-C-4	DEVELOPMENT	2013-05-08
33/9-C-11	1599	33/9-C-11	DEVELOPMENT	2013-05-08
35/9-2	1600	35/9-2	EXPLORATION	2013-05-08
7018/4-U-2	1601	7018/4-U-2	SHALLOW	2013-05-08
7018/5-U-6	1602	7018/5-U-6	SHALLOW	2013-05-08
30/9-B-12	1603	30/9-B-12	DEVELOPMENT	2013-05-08
6407/6-4	1604	6407/6-4	EXPLORATION	2013-05-08
2/4-A-17	1605	2/4-A-17	DEVELOPMENT	2013-05-08
2/4-A-16	1606	2/4-A-16	DEVELOPMENT	2013-05-08
2/7-A-19 A	1607	2/7-A-19	DEVELOPMENT	2013-05-08
2/11-A-3	1608	2/11-A-3	DEVELOPMENT	2013-05-08
2/11-A-4	1609	2/11-A-4	DEVELOPMENT	2013-05-08
2/11-A-6	1610	2/11-A-6	DEVELOPMENT	2013-05-08
2/7-24	1613	2/7-24	EXPLORATION	2013-05-08
30/3-A-8	1614	30/3-A-8	DEVELOPMENT	2013-05-08
2/11-A-1	1615	2/11-A-1	DEVELOPMENT	2013-05-08
2/11-A-2	1616	2/11-A-2	DEVELOPMENT	2013-05-08
2/4-B-17 A	1617	2/4-B-17	DEVELOPMENT	2013-05-08
2/4-B-16 A	1624	2/4-B-16	DEVELOPMENT	2013-05-08
2/4-B-18 A	1625	2/4-B-18	DEVELOPMENT	2013-05-08
2/4-B-19 A	1626	2/4-B-19	DEVELOPMENT	2013-05-08
7229/11-1	1643	7229/11-1	EXPLORATION	2013-05-08
25/1-8 SR4	1644	25/1-8	EXPLORATION	2013-05-08
2/7-A-3 A	1646	2/7-A-3	DEVELOPMENT	2013-05-08
2/7-A-29 A	1653	2/7-A-29	DEVELOPMENT	2013-05-08
7427/3-U-1	1661	7427/3-U-1	SHALLOW	2013-05-08
7532/2-U-1	1662	7532/2-U-1	SHALLOW	2013-05-08
7533/3-U-1	1663	7533/3-U-1	SHALLOW	2013-05-08
34/10-A-29	1666	34/10-A-29	DEVELOPMENT	2013-05-08
2/1-9	1667	2/1-9	EXPLORATION	2013-05-08
2/11-6 SR	1668	2/11-6	EXPLORATION	2013-05-08
31/5-4 S	1669	31/5-4	EXPLORATION	2013-05-08
34/10-C-5	1670	34/10-C-5	DEVELOPMENT	2013-05-08
2/8-A-29	1671	2/8-A-29	DEVELOPMENT	2013-05-08
25/11-14 S	1672	25/11-14	EXPLORATION	2013-05-08
30/9-11	1673	30/9-11	EXPLORATION	2013-05-08
2/1-A-13	1674	2/1-A-13	DEVELOPMENT	2013-05-08
2/1-A-17	1675	2/1-A-17	DEVELOPMENT	2013-05-08
2/1-A-23	1676	2/1-A-23	DEVELOPMENT	2013-05-08
34/7-16 R	1677	34/7-16	EXPLORATION	2013-05-08
34/7-P-28	1678	34/7-P-28	DEVELOPMENT	2013-05-08
2/7-25 S	1679	2/7-25	EXPLORATION	2013-05-08
15/12-7 S	1680	15/12-7	EXPLORATION	2013-05-08
7/11-10 SR	1681	7/11-10	EXPLORATION	2013-05-08
34/10-A-30	1682	34/10-A-30	DEVELOPMENT	2013-05-08
34/8-4 S	1683	34/8-4	EXPLORATION	2013-05-08
30/3-A-9	1684	30/3-A-9	DEVELOPMENT	2013-05-08
2/1-A-6 A	1685	2/1-A-6	DEVELOPMENT	2013-05-08
34/7-P-29	1686	34/7-P-29	DEVELOPMENT	2013-05-08
33/9-A-27	1687	33/9-A-27	DEVELOPMENT	2013-05-08
33/9-C-3	1688	33/9-C-3	DEVELOPMENT	2013-05-08
31/5-4 A	1689	31/5-4	EXPLORATION	2013-05-08
7120/2-2	1690	7120/2-2	EXPLORATION	2013-05-08
25/5-4	1691	25/5-4	EXPLORATION	2013-05-08
15/9-U-3	1692	15/9-U-3	SHALLOW	2013-05-08
34/7-U-10	1693	34/7-U-10	SHALLOW	2013-05-08
34/7-U-11	1694	34/7-U-11	SHALLOW	2013-05-08
34/7-U-12	1695	34/7-U-12	SHALLOW	2013-05-08
34/7-U-13	1696	34/7-U-13	SHALLOW	2013-05-08
34/7-U-14	1697	34/7-U-14	SHALLOW	2013-05-08
30/9-B-2	1698	30/9-B-2	DEVELOPMENT	2013-05-08
6407/7-5	1699	6407/7-5	EXPLORATION	2013-05-08
30/3-A-10	1700	30/3-A-10	DEVELOPMENT	2013-05-08
2/8-A-12 B	1701	2/8-A-12	DEVELOPMENT	2013-05-08
2/4-16	1702	2/4-16	EXPLORATION	2013-05-08
25/4-6 S	1703	25/4-6	EXPLORATION	2013-05-08
2/4-K-16	1704	2/4-K-16	DEVELOPMENT	2013-05-08
30/9-11 A	1705	30/9-11	EXPLORATION	2013-05-08
2/7-A-23 B	1706	2/7-A-23	DEVELOPMENT	2013-05-08
34/10-A-31	1707	34/10-A-31	DEVELOPMENT	2013-05-08
34/10-B-14 A	1708	34/10-B-14	DEVELOPMENT	2013-05-08
34/10-B-16	1709	34/10-B-16	DEVELOPMENT	2013-05-08
34/10-B-18	1710	34/10-B-18	DEVELOPMENT	2013-05-08
6406/12-1 S	1711	6406/12-1	EXPLORATION	2013-05-08
25/2-14	1712	25/2-14	EXPLORATION	2013-05-08
34/7-17	1713	34/7-17	EXPLORATION	2013-05-08
24/9-4	1714	24/9-4	EXPLORATION	2013-05-08
2/11-8	1715	2/11-8	EXPLORATION	2013-05-08
34/10-C-6	1716	34/10-C-6	DEVELOPMENT	2013-05-08
30/9-12	1717	30/9-12	EXPLORATION	2013-05-08
34/10-A-20 A	1718	34/10-A-20	DEVELOPMENT	2013-05-08
34/8-5	1719	34/8-5	EXPLORATION	2013-05-08
34/7-P-7	1720	34/7-P-7	DEVELOPMENT	2013-05-08
7/12-A-17	1722	7/12-A-17	DEVELOPMENT	2013-05-08
30/9-B-8	1723	30/9-B-8	DEVELOPMENT	2013-05-08
33/9-A-10	1724	33/9-A-10	DEVELOPMENT	2013-05-08
2/4-K-25	1726	2/4-K-25	DEVELOPMENT	2013-05-08
1/9-4 R	1727	1/9-4	EXPLORATION	2013-05-08
6507/7-A-52	1731	6507/7-A-52	DEVELOPMENT	2013-05-08
6608/10-3	1732	6608/10-3	EXPLORATION	2013-05-08
2/7-A-9 A	1741	2/7-A-9	DEVELOPMENT	2013-05-08
2/4-B-16 C	1745	2/4-B-16	DEVELOPMENT	2013-05-08
34/7-P-25	1746	34/7-P-25	DEVELOPMENT	2013-05-08
34/10-34	1747	34/10-34	EXPLORATION	2013-05-08
6507/8-5	1749	6507/8-5	EXPLORATION	2013-05-08
2/11-A-1 A	1751	2/11-A-1	DEVELOPMENT	2013-05-08
33/9-U-4	1752	33/9-U-4	SHALLOW	2013-05-08
15/9-U-4	1753	15/9-U-4	SHALLOW	2013-05-08
6506/11-2	1754	6506/11-2	EXPLORATION	2013-05-08
30/6-C-27 H	1755	30/6-C-27	DEVELOPMENT	2013-05-08
2/7-26 S	1756	2/7-26	EXPLORATION	2013-05-08
2/7-B-11 A	1757	2/7-B-11	DEVELOPMENT	2013-05-08
2/7-A-20 A	1758	2/7-A-20	DEVELOPMENT	2013-05-08
3/7-5	1759	3/7-5	EXPLORATION	2013-05-08
30/3-A-11	1760	30/3-A-11	DEVELOPMENT	2013-05-08
34/10-A-32	1761	34/10-A-32	DEVELOPMENT	2013-05-08
15/5-4	1762	15/5-4	EXPLORATION	2013-05-08
34/7-A-1 H	1763	34/7-A-1	DEVELOPMENT	2013-05-08
30/3-A-12	1765	30/3-A-12	DEVELOPMENT	2013-05-08
34/10-A-33	1766	34/10-A-33	DEVELOPMENT	2013-05-08
16/10-2	1767	16/10-2	EXPLORATION	2013-05-08
15/9-17 R	1768	15/9-17	EXPLORATION	2013-05-08
2/4-B-5 A	1769	2/4-B-5	DEVELOPMENT	2013-05-08
30/9-12 A	1770	30/9-12	EXPLORATION	2013-05-08
6506/12-U-7	1771	6506/12-U-7	SHALLOW	2013-05-08
6506/12-U-8	1772	6506/12-U-8	SHALLOW	2013-05-08
6506/12-U-9	1773	6506/12-U-9	SHALLOW	2013-05-08
6506/12-U-10	1774	6506/12-U-10	SHALLOW	2013-05-08
6506/12-U-11	1775	6506/12-U-11	SHALLOW	2013-05-08
6506/12-U-12	1776	6506/12-U-12	SHALLOW	2013-05-08
6506/12-U-13	1777	6506/12-U-13	SHALLOW	2013-05-08
15/12-8	1778	15/12-8	EXPLORATION	2013-05-08
35/11-5	1780	35/11-5	EXPLORATION	2013-05-08
33/9-C-39	1781	33/9-C-39	DEVELOPMENT	2013-05-08
6608/10-2	1782	6608/10-2	EXPLORATION	2013-05-08
2/4-E-6	1786	2/4-E-6	DEVELOPMENT	2013-05-08
7/12-11	1787	7/12-11	EXPLORATION	2013-05-08
34/10-C-8	1788	34/10-C-8	DEVELOPMENT	2013-05-08
6607/5-2	1789	6607/5-2	EXPLORATION	2013-05-08
2/4-17	1792	2/4-17	EXPLORATION	2013-05-08
34/10-B-17	1793	34/10-B-17	DEVELOPMENT	2013-05-08
36/7-1	1794	36/7-1	EXPLORATION	2013-05-08
2/1-A-27	1795	2/1-A-27	DEVELOPMENT	2013-05-08
2/1-A-22	1796	2/1-A-22	DEVELOPMENT	2013-05-08
2/1-A-9	1797	2/1-A-9	DEVELOPMENT	2013-05-08
33/9-A-24	1798	33/9-A-24	DEVELOPMENT	2013-05-08
2/4-E-6 A	1799	2/4-E-6	DEVELOPMENT	2013-05-08
6814/4-U-1	1800	6814/4-U-1	SHALLOW	2013-05-08
33/9-16	1801	33/9-16	EXPLORATION	2013-05-08
6814/4-U-2	1802	6814/4-U-2	SHALLOW	2013-05-08
6710/3-U-1	1803	6710/3-U-1	SHALLOW	2013-05-08
6710/3-U-2	1804	6710/3-U-2	SHALLOW	2013-05-08
6711/4-U-1	1805	6711/4-U-1	SHALLOW	2013-05-08
6710/3-U-3	1806	6710/3-U-3	SHALLOW	2013-05-08
6305/12-1	1808	6305/12-1	EXPLORATION	2013-05-08
33/12-B-2	1809	33/12-B-2	DEVELOPMENT	2013-05-08
33/9-15	1810	33/9-15	EXPLORATION	2013-05-08
30/9-13 S	1811	30/9-13	EXPLORATION	2013-05-08
34/7-P-13	1812	34/7-P-13	DEVELOPMENT	2013-05-08
34/7-P-18	1813	34/7-P-18	DEVELOPMENT	2013-05-08
34/7-P-34	1814	34/7-P-34	DEVELOPMENT	2013-05-08
34/7-P-33	1815	34/7-P-33	DEVELOPMENT	2013-05-08
30/10-6	1816	30/10-6	EXPLORATION	2013-05-08
34/7-18	1819	34/7-18	EXPLORATION	2013-05-08
31/2-16 SR	1820	31/2-16	EXPLORATION	2013-05-08
34/10-A-34	1821	34/10-A-34	DEVELOPMENT	2013-05-08
35/10-1	1822	35/10-1	EXPLORATION	2013-05-08
2/7-B-3 A	1824	2/7-B-3	DEVELOPMENT	2013-05-08
6507/11-U-1	1825	6507/11-U-1	SHALLOW	2013-05-08
6507/11-U-2	1826	6507/11-U-2	SHALLOW	2013-05-08
30/6-U-21	1827	30/6-U-21	SHALLOW	2013-05-08
30/6-U-22	1828	30/6-U-22	SHALLOW	2013-05-08
30/6-U-23	1829	30/6-U-23	SHALLOW	2013-05-08
30/6-U-25	1830	30/6-U-25	SHALLOW	2013-05-08
30/6-U-24	1831	30/6-U-24	SHALLOW	2013-05-08
31/5-4 AR	1832	31/5-4	EXPLORATION	2013-05-08
34/10-A-34 A	1833	34/10-A-34	DEVELOPMENT	2013-05-08
2/5-9	1834	2/5-9	EXPLORATION	2013-05-08
15/12-8 A	1835	15/12-8	EXPLORATION	2013-05-08
7128/6-1	1836	7128/6-1	EXPLORATION	2013-05-08
34/7-19	1838	34/7-19	EXPLORATION	2013-05-08
1/6-6	1839	1/6-6	EXPLORATION	2013-05-08
6507/2-2	1840	6507/2-2	EXPLORATION	2013-05-08
34/10-C-9	1841	34/10-C-9	DEVELOPMENT	2013-05-08
34/8-6	1842	34/8-6	EXPLORATION	2013-05-08
6507/7-U-8	1845	6507/7-U-8	SHALLOW	2013-05-08
2/2-5	1846	2/2-5	EXPLORATION	2013-05-08
6507/7-U-9	1847	6507/7-U-9	SHALLOW	2013-05-08
2/4-B-13	1848	2/4-B-13	DEVELOPMENT	2013-05-08
2/1-A-26	1851	2/1-A-26	DEVELOPMENT	2013-05-08
2/1-A-10	1852	2/1-A-10	DEVELOPMENT	2013-05-08
30/6-24 S	1855	30/6-24	EXPLORATION	2013-05-08
7/12-A-1 A	1856	7/12-A-1	DEVELOPMENT	2013-05-08
30/9-B-46	1857	30/9-B-46	DEVELOPMENT	2013-05-08
2/8-A-16 C	1858	2/8-A-16	DEVELOPMENT	2013-05-08
6407/8-1	1859	6407/8-1	EXPLORATION	2013-05-08
2/7-21 SR	1861	2/7-21	EXPLORATION	2013-05-08
34/10-B-19	1862	34/10-B-19	DEVELOPMENT	2013-05-08
2/1-A-16	1863	2/1-A-16	DEVELOPMENT	2013-05-08
6610/3-1	1864	6610/3-1	EXPLORATION	2013-05-08
2/1-10	1865	2/1-10	EXPLORATION	2013-05-08
2/1-9 A	1867	2/1-9	EXPLORATION	2013-05-08
7/7-2	1868	7/7-2	EXPLORATION	2013-05-08
7122/4-1	1869	7122/4-1	EXPLORATION	2013-05-08
2/8-A-5 A	1870	2/8-A-5	DEVELOPMENT	2013-05-08
34/10-B-20	1871	34/10-B-20	DEVELOPMENT	2013-05-08
25/11-15	1872	25/11-15	EXPLORATION	2013-05-08
33/9-C-27	1873	33/9-C-27	DEVELOPMENT	2013-05-08
34/10-35	1874	34/10-35	EXPLORATION	2013-05-08
2/7-20 R	1875	2/7-20	EXPLORATION	2013-05-08
34/10-A-35	1876	34/10-A-35	DEVELOPMENT	2013-05-08
34/10-C-10	1877	34/10-C-10	DEVELOPMENT	2013-05-08
2/7-27 S	1878	2/7-27	EXPLORATION	2013-05-08
35/11-6	1879	35/11-6	EXPLORATION	2013-05-08
30/9-B-11 A	1880	30/9-B-11	DEVELOPMENT	2013-05-08
35/12-1	1881	35/12-1	EXPLORATION	2013-05-08
2/7-B-7 B	1882	2/7-B-7	DEVELOPMENT	2013-05-08
35/11-4 R	1883	35/11-4	EXPLORATION	2013-05-08
33/9-A-3 A	1884	33/9-A-3	DEVELOPMENT	2013-05-08
31/2-17 S	1885	31/2-17	EXPLORATION	2013-05-08
15/9-U-5	1886	15/9-U-5	SHALLOW	2013-05-08
15/9-U-6	1887	15/9-U-6	SHALLOW	2013-05-08
15/9-U-7	1888	15/9-U-7	SHALLOW	2013-05-08
15/9-U-8	1889	15/9-U-8	SHALLOW	2013-05-08
15/9-U-9	1890	15/9-U-9	SHALLOW	2013-05-08
15/9-U-10	1891	15/9-U-10	SHALLOW	2013-05-08
15/9-U-11	1892	15/9-U-11	SHALLOW	2013-05-08
16/11-U-1	1893	16/11-U-1	SHALLOW	2013-05-08
16/11-U-2	1894	16/11-U-2	SHALLOW	2013-05-08
2/7-B-7 A	1897	2/7-B-7	DEVELOPMENT	2013-05-08
31/2-17 A	1898	31/2-17	EXPLORATION	2013-05-08
31/2-17 B	1899	31/2-17	EXPLORATION	2013-05-08
31/4-A-1	1900	31/4-A-1	DEVELOPMENT	2013-05-08
31/4-A-2	1901	31/4-A-2	DEVELOPMENT	2013-05-08
31/4-A-3	1902	31/4-A-3	DEVELOPMENT	2013-05-08
31/4-A-4	1903	31/4-A-4	DEVELOPMENT	2013-05-08
31/4-A-5	1904	31/4-A-5	DEVELOPMENT	2013-05-08
31/4-A-6	1905	31/4-A-6	DEVELOPMENT	2013-05-08
2/7-28	1906	2/7-28	EXPLORATION	2013-05-08
25/11-14 SR	1907	25/11-14	EXPLORATION	2013-05-08
34/4-8	1908	34/4-8	EXPLORATION	2013-05-08
34/8-4 A	1909	34/8-4	EXPLORATION	2013-05-08
2/1-A-19	1910	2/1-A-19	DEVELOPMENT	2013-05-08
30/6-C-14	1912	30/6-C-14	DEVELOPMENT	2013-05-08
34/10-C-11	1913	34/10-C-11	DEVELOPMENT	2013-05-08
30/9-B-38	1915	30/9-B-38	DEVELOPMENT	2013-05-08
34/10-A-36	1916	34/10-A-36	DEVELOPMENT	2013-05-08
2/4-K-18	1917	2/4-K-18	DEVELOPMENT	2013-05-08
2/4-D-7 A	1918	2/4-D-7	DEVELOPMENT	2013-05-08
33/12-B-12	1919	33/12-B-12	DEVELOPMENT	2013-05-08
25/11-16	1920	25/11-16	EXPLORATION	2013-05-08
25/11-17	1921	25/11-17	EXPLORATION	2013-05-08
25/2-C-1 H	1922	25/2-C-1	DEVELOPMENT	2013-05-08
30/3-A-13	1925	30/3-A-13	DEVELOPMENT	2013-05-08
2/7-A-29 B	1926	2/7-A-29	DEVELOPMENT	2013-05-08
6407/10-3	1927	6407/10-3	EXPLORATION	2013-05-08
1/6-7	1928	1/6-7	EXPLORATION	2013-05-08
33/12-B-11	1932	33/12-B-11	DEVELOPMENT	2013-05-08
34/10-B-21	1933	34/10-B-21	DEVELOPMENT	2013-05-08
33/12-B-2 A	1934	33/12-B-2	DEVELOPMENT	2013-05-08
33/9-A-21	1935	33/9-A-21	DEVELOPMENT	2013-05-08
30/6-C-25	1936	30/6-C-25	DEVELOPMENT	2013-05-08
33/9-C-20	1937	33/9-C-20	DEVELOPMENT	2013-05-08
25/2-15	1938	25/2-15	EXPLORATION	2013-05-08
33/9-A-35	1939	33/9-A-35	DEVELOPMENT	2013-05-08
34/10-36	1940	34/10-36	EXPLORATION	2013-05-08
34/8-7	1941	34/8-7	EXPLORATION	2013-05-08
30/3-A-14	1943	30/3-A-14	DEVELOPMENT	2013-05-08
34/10-B-19 A	1944	34/10-B-19	DEVELOPMENT	2013-05-08
34/10-C-12	1945	34/10-C-12	DEVELOPMENT	2013-05-08
2/8-A-14 B	1946	2/8-A-14	DEVELOPMENT	2013-05-08
34/10-A-37	1947	34/10-A-37	DEVELOPMENT	2013-05-08
6407/9-U-15	1948	6407/9-U-15	SHALLOW	2013-05-08
25/6-2	1949	25/6-2	EXPLORATION	2013-05-08
30/3-5 S	1950	30/3-5	EXPLORATION	2013-05-08
30/9-B-1	1951	30/9-B-1	DEVELOPMENT	2013-05-08
30/9-B-1 A	1952	30/9-B-1	DEVELOPMENT	2013-05-08
30/6-C-3	1954	30/6-C-3	DEVELOPMENT	2013-05-08
34/10-B-22	1955	34/10-B-22	DEVELOPMENT	2013-05-08
2/4-16 R	1956	2/4-16	EXPLORATION	2013-05-08
2/4-C-14 A	1958	2/4-C-14	DEVELOPMENT	2013-05-08
25/5-U-1	1959	25/5-U-1	SHALLOW	2013-05-08
25/5-U-2	1960	25/5-U-2	SHALLOW	2013-05-08
25/5-U-3	1961	25/5-U-3	SHALLOW	2013-05-08
25/5-U-4	1962	25/5-U-4	SHALLOW	2013-05-08
25/5-U-5	1963	25/5-U-5	SHALLOW	2013-05-08
25/5-U-6	1964	25/5-U-6	SHALLOW	2013-05-08
25/2-C-2 H	1965	25/2-C-2	DEVELOPMENT	2013-05-08
25/2-C-3 H	1966	25/2-C-3	DEVELOPMENT	2013-05-08
34/7-20	1967	34/7-20	EXPLORATION	2013-05-08
34/10-C-13	1968	34/10-C-13	DEVELOPMENT	2013-05-08
34/8-8	1969	34/8-8	EXPLORATION	2013-05-08
30/2-3	1970	30/2-3	EXPLORATION	2013-05-08
33/9-C-24	1971	33/9-C-24	DEVELOPMENT	2013-05-08
10/7-1	1972	10/7-1	EXPLORATION	2013-05-08
6506/11-3	1973	6506/11-3	EXPLORATION	2013-05-08
6407/9-8	1974	6407/9-8	EXPLORATION	2013-05-08
30/6-C-1	1975	30/6-C-1	DEVELOPMENT	2013-05-08
15/12-9 S	1978	15/12-9	EXPLORATION	2013-05-08
35/11-7	1979	35/11-7	EXPLORATION	2013-05-08
2/1-A-15	1980	2/1-A-15	DEVELOPMENT	2013-05-08
25/2-C-1 AH	1981	25/2-C-1	DEVELOPMENT	2013-05-08
34/10-B-23	1982	34/10-B-23	DEVELOPMENT	2013-05-08
2/4-D-13 A	1983	2/4-D-13	DEVELOPMENT	2013-05-08
30/3-A-15	1984	30/3-A-15	DEVELOPMENT	2013-05-08
34/10-B-22 A	1985	34/10-B-22	DEVELOPMENT	2013-05-08
25/8-4	1986	25/8-4	EXPLORATION	2013-05-08
7316/5-1	1987	7316/5-1	EXPLORATION	2013-05-08
31/2-18	1988	31/2-18	EXPLORATION	2013-05-08
30/9-B-18	1989	30/9-B-18	DEVELOPMENT	2013-05-08
6407/9-9	1990	6407/9-9	EXPLORATION	2013-05-08
31/2-U-1	1991	31/2-U-1	SHALLOW	2013-05-08
31/2-U-2	1992	31/2-U-2	SHALLOW	2013-05-08
31/2-U-3	1993	31/2-U-3	SHALLOW	2013-05-08
31/2-U-4	1994	31/2-U-4	SHALLOW	2013-05-08
31/2-U-5	1995	31/2-U-5	SHALLOW	2013-05-08
31/2-U-6	1996	31/2-U-6	SHALLOW	2013-05-08
31/2-U-7	1997	31/2-U-7	SHALLOW	2013-05-08
31/2-U-8	1998	31/2-U-8	SHALLOW	2013-05-08
31/2-U-9	1999	31/2-U-9	SHALLOW	2013-05-08
31/2-U-10	2000	31/2-U-10	SHALLOW	2013-05-08
34/7-A-2 H	2001	34/7-A-2	DEVELOPMENT	2013-05-08
34/7-A-3 H	2002	34/7-A-3	DEVELOPMENT	2013-05-08
34/7-A-4 H	2003	34/7-A-4	DEVELOPMENT	2013-05-08
6507/7-A-20	2004	6507/7-A-20	DEVELOPMENT	2013-05-08
34/7-A-6 H	2005	34/7-A-6	DEVELOPMENT	2013-05-08
34/7-A-7 H	2006	34/7-A-7	DEVELOPMENT	2013-05-08
34/7-A-8 H	2007	34/7-A-8	DEVELOPMENT	2013-05-08
34/7-A-9 H	2008	34/7-A-9	DEVELOPMENT	2013-05-08
34/7-A-10 H	2009	34/7-A-10	DEVELOPMENT	2013-05-08
34/10-A-38	2011	34/10-A-38	DEVELOPMENT	2013-05-08
30/6-C-15	2012	30/6-C-15	DEVELOPMENT	2013-05-08
30/6-C-15 A	2013	30/6-C-15	DEVELOPMENT	2013-05-08
2/7-B-2 A	2014	2/7-B-2	DEVELOPMENT	2013-05-08
30/10-7	2015	30/10-7	EXPLORATION	2013-05-08
30/9-B-18 A	2016	30/9-B-18	DEVELOPMENT	2013-05-08
34/10-C-14	2017	34/10-C-14	DEVELOPMENT	2013-05-08
7122/2-1	2018	7122/2-1	EXPLORATION	2013-05-08
15/9-U-12	2019	15/9-U-12	SHALLOW	2013-05-08
6611/9-U-1	2020	6611/9-U-1	SHALLOW	2013-05-08
6611/9-U-2	2021	6611/9-U-2	SHALLOW	2013-05-08
34/10-B-24	2023	34/10-B-24	DEVELOPMENT	2013-05-08
15/9-C-2 H	2024	15/9-C-2	DEVELOPMENT	2013-05-08
34/7-21	2026	34/7-21	EXPLORATION	2013-05-08
2/4-D-1 A	2027	2/4-D-1	DEVELOPMENT	2013-05-08
2/1-A-24	2028	2/1-A-24	DEVELOPMENT	2013-05-08
34/8-9 S	2029	34/8-9	EXPLORATION	2013-05-08
34/7-A-5 H	2030	34/7-A-5	DEVELOPMENT	2013-05-08
7219/8-1 S	2031	7219/8-1	EXPLORATION	2013-05-08
34/10-B-25	2032	34/10-B-25	DEVELOPMENT	2013-05-08
34/10-A-39	2034	34/10-A-39	DEVELOPMENT	2013-05-08
33/9-C-2	2035	33/9-C-2	DEVELOPMENT	2013-05-08
30/9-B-5	2036	30/9-B-5	DEVELOPMENT	2013-05-08
34/10-C-15	2037	34/10-C-15	DEVELOPMENT	2013-05-08
31/2-18 A	2038	31/2-18	EXPLORATION	2013-05-08
30/9-B-32	2041	30/9-B-32	DEVELOPMENT	2013-05-08
30/9-B-32 A	2042	30/9-B-32	DEVELOPMENT	2013-05-08
15/9-19 S	2043	15/9-19	EXPLORATION	2013-05-08
2/5-10	2044	2/5-10	EXPLORATION	2013-05-08
30/6-C-4	2045	30/6-C-4	DEVELOPMENT	2013-05-08
31/4-A-4 A	2046	31/4-A-4	DEVELOPMENT	2013-05-08
2/1-A-14	2047	2/1-A-14	DEVELOPMENT	2013-05-08
2/1-A-16 AY2	2048	2/1-A-16	DEVELOPMENT	2013-05-08
7128/4-1	2049	7128/4-1	EXPLORATION	2013-05-08
2/10-2	2050	2/10-2	EXPLORATION	2013-05-08
33/12-B-29	2052	33/12-B-29	DEVELOPMENT	2013-05-08
2/4-A-13 A	2053	2/4-A-13	DEVELOPMENT	2013-05-08
34/10-C-15 A	2054	34/10-C-15	DEVELOPMENT	2013-05-08
34/8-7 R	2057	34/8-7	EXPLORATION	2013-05-08
33/9-A-23 A	2058	33/9-A-23	DEVELOPMENT	2013-05-08
31/5-5	2059	31/5-5	EXPLORATION	2013-05-08
7/12-A-14	2060	7/12-A-14	DEVELOPMENT	2013-05-08
2/7-B-10 C	2061	2/7-B-10	DEVELOPMENT	2013-05-08
34/7-P-17	2062	34/7-P-17	DEVELOPMENT	2013-05-08
34/7-P-40	2063	34/7-P-40	DEVELOPMENT	2013-05-08
34/7-P-37	2064	34/7-P-37	DEVELOPMENT	2013-05-08
34/7-P-8	2065	34/7-P-8	DEVELOPMENT	2013-05-08
34/10-B-26	2066	34/10-B-26	DEVELOPMENT	2013-05-08
34/7-21 A	2068	34/7-21	EXPLORATION	2013-05-08
34/10-A-40	2070	34/10-A-40	DEVELOPMENT	2013-05-08
34/10-A-41	2071	34/10-A-41	DEVELOPMENT	2013-05-08
16/1-4	2072	16/1-4	EXPLORATION	2013-05-08
2/1-A-24 A	2073	2/1-A-24	DEVELOPMENT	2013-05-08
34/10-C-16	2074	34/10-C-16	DEVELOPMENT	2013-05-08
30/9-14	2076	30/9-14	EXPLORATION	2013-05-08
30/6-C-20	2077	30/6-C-20	DEVELOPMENT	2013-05-08
30/6-C-20 A	2078	30/6-C-20	DEVELOPMENT	2013-05-08
6507/7-A-33	2079	6507/7-A-33	DEVELOPMENT	2013-05-08
34/8-8 R	2080	34/8-8	EXPLORATION	2013-05-08
6407/9-A-53 H	2081	6407/9-A-53	DEVELOPMENT	2013-05-08
15/9-D-1 H	2082	15/9-D-1	DEVELOPMENT	2013-05-08
15/9-D-3 H	2083	15/9-D-3	DEVELOPMENT	2013-05-08
15/6-7	2084	15/6-7	EXPLORATION	2013-05-08
7/12-A-16	2085	7/12-A-16	DEVELOPMENT	2013-05-08
2/8-A-24 A	2086	2/8-A-24	DEVELOPMENT	2013-05-08
30/9-B-9	2087	30/9-B-9	DEVELOPMENT	2013-05-08
34/10-A-39 A	2088	34/10-A-39	DEVELOPMENT	2013-05-08
2/1-A-31	2089	2/1-A-31	DEVELOPMENT	2013-05-08
30/3-A-16	2090	30/3-A-16	DEVELOPMENT	2013-05-08
7323/7-U-10	2093	7323/7-U-10	SHALLOW	2013-05-08
33/9-A-32 A	2094	33/9-A-32	DEVELOPMENT	2013-05-08
25/2-15 R	2095	25/2-15	EXPLORATION	2013-05-08
2/7-D-27	2096	2/7-D-27	DEVELOPMENT	2013-05-08
7323/7-U-11	2097	7323/7-U-11	SHALLOW	2013-05-08
7323/11-U-1	2098	7323/11-U-1	SHALLOW	2013-05-08
30/9-B-9 A	2099	30/9-B-9	DEVELOPMENT	2013-05-08
7323/7-U-12	2100	7323/7-U-12	SHALLOW	2013-05-08
30/9-B-5 A	2103	30/9-B-5	DEVELOPMENT	2013-05-08
15/9-19 SR	2105	15/9-19	EXPLORATION	2013-05-08
31/2-17 BR	2106	31/2-17	EXPLORATION	2013-05-08
30/9-B-17	2107	30/9-B-17	DEVELOPMENT	2013-05-08
6507/7-A-53	2108	6507/7-A-53	DEVELOPMENT	2013-05-08
33/12-B-27	2109	33/12-B-27	DEVELOPMENT	2013-05-08
30/3-A-17	2110	30/3-A-17	DEVELOPMENT	2013-05-08
2/7-D-21	2111	2/7-D-21	DEVELOPMENT	2013-05-08
7/7-3	2113	7/7-3	EXPLORATION	2013-05-08
33/9-17	2114	33/9-17	EXPLORATION	2013-05-08
34/10-C-17	2115	34/10-C-17	DEVELOPMENT	2013-05-08
25/2-15 R2	2116	25/2-15	EXPLORATION	2013-05-08
6407/9-A-55 H	2117	6407/9-A-55	DEVELOPMENT	2013-05-08
34/10-A-32 A	2118	34/10-A-32	DEVELOPMENT	2013-05-08
34/10-B-27	2119	34/10-B-27	DEVELOPMENT	2013-05-08
2/7-D-26	2120	2/7-D-26	DEVELOPMENT	2013-05-08
2/7-D-20	2121	2/7-D-20	DEVELOPMENT	2013-05-08
2/4-A-11 A	2122	2/4-A-11	DEVELOPMENT	2013-05-08
2/7-29	2124	2/7-29	EXPLORATION	2013-05-08
2/7-B-9 A	2125	2/7-B-9	DEVELOPMENT	2013-05-08
2/4-D-15 A	2126	2/4-D-15	DEVELOPMENT	2013-05-08
2/1-A-20	2127	2/1-A-20	DEVELOPMENT	2013-05-08
6506/12-9 S	2128	6506/12-9	EXPLORATION	2013-05-08
6407/9-A-55 AH	2129	6407/9-A-55	DEVELOPMENT	2013-05-08
25/4-A-12	2130	25/4-A-12	DEVELOPMENT	2013-05-08
7/12-A-11	2132	7/12-A-11	DEVELOPMENT	2013-05-08
30/6-C-21	2133	30/6-C-21	DEVELOPMENT	2013-05-08
2/4-18	2134	2/4-18	EXPLORATION	2013-05-08
7/4-1	2136	7/4-1	EXPLORATION	2013-05-08
30/6-C-20 B	2137	30/6-C-20	DEVELOPMENT	2013-05-08
25/5-A-1	2138	25/5-A-1	DEVELOPMENT	2013-05-08
2/1-A-18	2140	2/1-A-18	DEVELOPMENT	2013-05-08
30/6-23 R	2141	30/6-23	EXPLORATION	2013-05-08
6407/9-B-1 H	2142	6407/9-B-1	DEVELOPMENT	2013-05-08
6407/9-B-2 H	2143	6407/9-B-2	DEVELOPMENT	2013-05-08
6407/9-B-5 H	2144	6407/9-B-5	DEVELOPMENT	2013-05-08
30/6-C-2	2146	30/6-C-2	DEVELOPMENT	2013-05-08
6407/9-6 R	2147	6407/9-6	EXPLORATION	2013-05-08
30/9-B-14	2148	30/9-B-14	DEVELOPMENT	2013-05-08
2/8-A-10 B	2150	2/8-A-10	DEVELOPMENT	2013-05-08
6407/9-A-58 H	2151	6407/9-A-58	DEVELOPMENT	2013-05-08
2/4-B-1 A	2152	2/4-B-1	DEVELOPMENT	2013-05-08
2/11-9	2153	2/11-9	EXPLORATION	2013-05-08
33/9-M-1 H	2154	33/9-M-1	DEVELOPMENT	2013-05-08
33/9-M-2 H	2155	33/9-M-2	DEVELOPMENT	2013-05-08
33/9-M-4 H	2156	33/9-M-4	DEVELOPMENT	2013-05-08
34/10-B-28	2157	34/10-B-28	DEVELOPMENT	2013-05-08
25/5-A-2	2158	25/5-A-2	DEVELOPMENT	2013-05-08
9/2-U-1	2159	9/2-U-1	SHALLOW	2013-05-08
9/2-U-2	2160	9/2-U-2	SHALLOW	2013-05-08
9/2-U-3	2161	9/2-U-3	SHALLOW	2013-05-08
9/2-U-4	2162	9/2-U-4	SHALLOW	2013-05-08
9/2-U-5	2163	9/2-U-5	SHALLOW	2013-05-08
9/2-U-6	2164	9/2-U-6	SHALLOW	2013-05-08
30/9-B-11	2165	30/9-B-11	DEVELOPMENT	2013-05-08
2/1-A-30	2166	2/1-A-30	DEVELOPMENT	2013-05-08
34/7-22	2167	34/7-22	EXPLORATION	2013-05-08
30/9-B-5 B	2168	30/9-B-5	DEVELOPMENT	2013-05-08
34/10-B-29	2169	34/10-B-29	DEVELOPMENT	2013-05-08
34/10-B-29 A	2170	34/10-B-29	DEVELOPMENT	2013-05-08
34/7-I-5 H	2171	34/7-I-5	DEVELOPMENT	2013-05-08
30/9-B-5 C	2172	30/9-B-5	DEVELOPMENT	2013-05-08
34/7-I-1 H	2173	34/7-I-1	DEVELOPMENT	2013-05-08
15/9-A-10	2174	15/9-A-10	DEVELOPMENT	2013-05-08
34/10-C-19	2175	34/10-C-19	DEVELOPMENT	2013-05-08
2/4-A-21 A	2176	2/4-A-21	DEVELOPMENT	2013-05-08
2/7-B-12 A	2178	2/7-B-12	DEVELOPMENT	2013-05-08
34/8-10 S	2179	34/8-10	EXPLORATION	2013-05-08
34/8-11	2180	34/8-11	EXPLORATION	2013-05-08
6707/9-U-1	2181	6707/9-U-1	SHALLOW	2013-05-08
6507/7-10	2182	6507/7-10	EXPLORATION	2013-05-08
6507/8-6	2183	6507/8-6	EXPLORATION	2013-05-08
34/10-C-18	2184	34/10-C-18	DEVELOPMENT	2013-05-08
7418/1-U-1	2185	7418/1-U-1	SHALLOW	2013-05-08
7517/12-U-1	2186	7517/12-U-1	SHALLOW	2013-05-08
6610/3-1 R	2193	6610/3-1	EXPLORATION	2013-05-08
2/5-10 A	2194	2/5-10	EXPLORATION	2013-05-08
30/6-C-18	2196	30/6-C-18	DEVELOPMENT	2013-05-08
30/6-C-18 A	2197	30/6-C-18	DEVELOPMENT	2013-05-08
25/5-A-3	2198	25/5-A-3	DEVELOPMENT	2013-05-08
15/9-A-6	2199	15/9-A-6	DEVELOPMENT	2013-05-08
30/3-A-18	2200	30/3-A-18	DEVELOPMENT	2013-05-08
33/9-A-27 A	2201	33/9-A-27	DEVELOPMENT	2013-05-08
6507/7-A-29	2202	6507/7-A-29	DEVELOPMENT	2013-05-08
6407/9-C-2 H	2203	6407/9-C-2	DEVELOPMENT	2013-05-08
2/4-C-13 A	2204	2/4-C-13	DEVELOPMENT	2013-05-08
6204/11-1	2205	6204/11-1	EXPLORATION	2013-05-08
33/9-L-3 H	2206	33/9-L-3	DEVELOPMENT	2013-05-08
6305/12-2	2207	6305/12-2	EXPLORATION	2013-05-08
2/8-A-1 A	2208	2/8-A-1	DEVELOPMENT	2013-05-08
33/9-L-2 H	2209	33/9-L-2	DEVELOPMENT	2013-05-08
33/9-L-4 H	2210	33/9-L-4	DEVELOPMENT	2013-05-08
33/12-B-16	2211	33/12-B-16	DEVELOPMENT	2013-05-08
30/9-B-35	2212	30/9-B-35	DEVELOPMENT	2013-05-08
2/4-B-21 A	2213	2/4-B-21	DEVELOPMENT	2013-05-08
2/1-A-11	2214	2/1-A-11	DEVELOPMENT	2013-05-08
34/10-B-30	2215	34/10-B-30	DEVELOPMENT	2013-05-08
34/10-A-32 B	2216	34/10-A-32	DEVELOPMENT	2013-05-08
34/10-A-29 A	2217	34/10-A-29	DEVELOPMENT	2013-05-08
15/9-A-28	2218	15/9-A-28	DEVELOPMENT	2013-05-08
6407/9-C-1 H	2219	6407/9-C-1	DEVELOPMENT	2013-05-08
30/3-A-19	2221	30/3-A-19	DEVELOPMENT	2013-05-08
3/4-1	2222	3/4-1	EXPLORATION	2013-05-08
30/9-15	2223	30/9-15	EXPLORATION	2013-05-08
7801/8-U-1	2226	7801/8-U-1	SHALLOW	2013-05-08
7801/8-U-2	2227	7801/8-U-2	SHALLOW	2013-05-08
7803/4-U-1	2228	7803/4-U-1	SHALLOW	2013-05-08
7803/4-U-2	2229	7803/4-U-2	SHALLOW	2013-05-08
7803/4-U-3	2230	7803/4-U-3	SHALLOW	2013-05-08
8006/8-U-1	2231	8006/8-U-1	SHALLOW	2013-05-08
8006/8-U-2	2232	8006/8-U-2	SHALLOW	2013-05-08
8006/8-U-3	2233	8006/8-U-3	SHALLOW	2013-05-08
8006/8-U-4	2234	8006/8-U-4	SHALLOW	2013-05-08
8008/7-U-1	2235	8008/7-U-1	SHALLOW	2013-05-08
8008/7-U-2	2236	8008/7-U-2	SHALLOW	2013-05-08
8008/7-U-3	2237	8008/7-U-3	SHALLOW	2013-05-08
7905/2-U-1	2238	7905/2-U-1	SHALLOW	2013-05-08
7905/2-U-2	2239	7905/2-U-2	SHALLOW	2013-05-08
7905/2-U-3	2240	7905/2-U-3	SHALLOW	2013-05-08
7506/7-U-1 W	2241	7506/7-U-1	SHALLOW	2013-05-08
7506/7-U-2 W	2242	7506/7-U-2	SHALLOW	2013-05-08
25/5-A-4	2243	25/5-A-4	DEVELOPMENT	2013-05-08
24/9-5	2244	24/9-5	EXPLORATION	2013-05-08
34/7-P-12	2246	34/7-P-12	DEVELOPMENT	2013-05-08
34/7-I-3 H	2247	34/7-I-3	DEVELOPMENT	2013-05-08
30/12-1	2248	30/12-1	EXPLORATION	2013-05-08
33/12-B-15	2249	33/12-B-15	DEVELOPMENT	2013-05-08
33/12-B-16 A	2251	33/12-B-16	DEVELOPMENT	2013-05-08
6507/7-A-35	2252	6507/7-A-35	DEVELOPMENT	2013-05-08
2/4-18 R	2253	2/4-18	EXPLORATION	2013-05-08
6407/9-A-1	2254	6407/9-A-1	DEVELOPMENT	2013-05-08
6608/10-4	2256	6608/10-4	EXPLORATION	2013-05-08
30/6-C-22	2257	30/6-C-22	DEVELOPMENT	2013-05-08
9/2-4 S	2258	9/2-4	EXPLORATION	2013-05-08
2/7-B-19 A	2259	2/7-B-19	DEVELOPMENT	2013-05-08
33/9-K-3 H	2260	33/9-K-3	DEVELOPMENT	2013-05-08
33/9-K-2 H	2261	33/9-K-2	DEVELOPMENT	2013-05-08
33/9-K-1 H	2262	33/9-K-1	DEVELOPMENT	2013-05-08
2/1-A-30 A	2264	2/1-A-30	DEVELOPMENT	2013-05-08
15/9-A-26	2265	15/9-A-26	DEVELOPMENT	2013-05-08
34/10-C-20	2266	34/10-C-20	DEVELOPMENT	2013-05-08
30/9-B-30	2267	30/9-B-30	DEVELOPMENT	2013-05-08
30/9-B-48	2268	30/9-B-48	DEVELOPMENT	2013-05-08
30/3-6 S	2269	30/3-6	EXPLORATION	2013-05-08
30/9-B-6	2270	30/9-B-6	DEVELOPMENT	2013-05-08
31/4-A-23	2273	31/4-A-23	DEVELOPMENT	2013-05-08
2/4-C-12 A	2274	2/4-C-12	DEVELOPMENT	2013-05-08
34/10-B-29 B	2275	34/10-B-29	DEVELOPMENT	2013-05-08
30/6-C-24	2276	30/6-C-24	DEVELOPMENT	2013-05-08
30/6-C-24 A	2277	30/6-C-24	DEVELOPMENT	2013-05-08
6507/7-A-17	2278	6507/7-A-17	DEVELOPMENT	2013-05-08
2/4-B-24 A	2279	2/4-B-24	DEVELOPMENT	2013-05-08
2/8-A-7 B	2283	2/8-A-7	DEVELOPMENT	2013-05-08
15/12-10 S	2285	15/12-10	EXPLORATION	2013-05-08
15/9-A-22	2286	15/9-A-22	DEVELOPMENT	2013-05-08
24/9-6	2288	24/9-6	EXPLORATION	2013-05-08
34/7-I-4 H	2289	34/7-I-4	DEVELOPMENT	2013-05-08
6507/7-A-50	2290	6507/7-A-50	DEVELOPMENT	2013-05-08
30/3-A-20	2291	30/3-A-20	DEVELOPMENT	2013-05-08
30/3-A-21	2292	30/3-A-21	DEVELOPMENT	2013-05-08
31/4-A-7	2294	31/4-A-7	DEVELOPMENT	2013-05-08
34/7-23 S	2296	34/7-23	EXPLORATION	2013-05-08
2/11-10 S	2297	2/11-10	EXPLORATION	2013-05-08
34/7-I-2 H	2298	34/7-I-2	DEVELOPMENT	2013-05-08
6507/2-3	2299	6507/2-3	EXPLORATION	2013-05-08
34/10-A-42	2301	34/10-A-42	DEVELOPMENT	2013-05-08
33/9-A-2 A	2302	33/9-A-2	DEVELOPMENT	2013-05-08
34/10-C-21	2303	34/10-C-21	DEVELOPMENT	2013-05-08
6507/7-A-38	2305	6507/7-A-38	DEVELOPMENT	2013-05-08
2/4-A-6 A	2306	2/4-A-6	DEVELOPMENT	2013-05-08
31/2-G-4 H	2307	31/2-G-4	DEVELOPMENT	2013-05-08
2/4-C-8 A	2308	2/4-C-8	DEVELOPMENT	2013-05-08
31/2-G-4 AH	2309	31/2-G-4	DEVELOPMENT	2013-05-08
34/10-C-22	2312	34/10-C-22	DEVELOPMENT	2013-05-08
7/12-A-8 A	2313	7/12-A-8	DEVELOPMENT	2013-05-08
34/10-B-31	2314	34/10-B-31	DEVELOPMENT	2013-05-08
15/9-A-24	2316	15/9-A-24	DEVELOPMENT	2013-05-08
2/4-B-22 A	2318	2/4-B-22	DEVELOPMENT	2013-05-08
15/9-20 S	2319	15/9-20	EXPLORATION	2013-05-08
2/11-A-7	2321	2/11-A-7	DEVELOPMENT	2013-05-08
2/11-A-7 A	2322	2/11-A-7	DEVELOPMENT	2013-05-08
31/2-F-6 H	2324	31/2-F-6	DEVELOPMENT	2013-05-08
31/2-F-6 AH	2325	31/2-F-6	DEVELOPMENT	2013-05-08
34/7-23 A	2326	34/7-23	EXPLORATION	2013-05-08
31/4-A-13	2328	31/4-A-13	DEVELOPMENT	2013-05-08
30/6-C-23	2329	30/6-C-23	DEVELOPMENT	2013-05-08
2/11-A-1 B	2330	2/11-A-1	DEVELOPMENT	2013-05-08
15/12-U-1	2331	15/12-U-1	SHALLOW	2013-05-08
15/12-U-2	2332	15/12-U-2	SHALLOW	2013-05-08
15/12-U-3	2333	15/12-U-3	SHALLOW	2013-05-08
15/12-U-4	2334	15/12-U-4	SHALLOW	2013-05-08
15/12-U-5	2335	15/12-U-5	SHALLOW	2013-05-08
15/12-U-6	2336	15/12-U-6	SHALLOW	2013-05-08
15/12-U-7	2337	15/12-U-7	SHALLOW	2013-05-08
15/12-U-8	2338	15/12-U-8	SHALLOW	2013-05-08
15/12-U-9	2339	15/12-U-9	SHALLOW	2013-05-08
2/8-A-30 A	2340	2/8-A-30	DEVELOPMENT	2013-05-08
2/8-A-30 B	2341	2/8-A-30	DEVELOPMENT	2013-05-08
2/4-C-11 A	2343	2/4-C-11	DEVELOPMENT	2013-05-08
2/7-B-8 A	2344	2/7-B-8	DEVELOPMENT	2013-05-08
6707/4-U-1	2345	6707/4-U-1	SHALLOW	2013-05-08
6707/7-U-1	2346	6707/7-U-1	SHALLOW	2013-05-08
6707/8-U-1	2349	6707/8-U-1	SHALLOW	2013-05-08
15/9-A-9	2350	15/9-A-9	DEVELOPMENT	2013-05-08
33/9-K-1 AH	2351	33/9-K-1	DEVELOPMENT	2013-05-08
34/7-P-14	2352	34/7-P-14	DEVELOPMENT	2013-05-08
2/1-A-32	2353	2/1-A-32	DEVELOPMENT	2013-05-08
31/2-G-3 H	2354	31/2-G-3	DEVELOPMENT	2013-05-08
30/9-17	2355	30/9-17	EXPLORATION	2013-05-08
6407/9-A-2 A	2356	6407/9-A-2	DEVELOPMENT	2013-05-08
6407/9-A-2	2357	6407/9-A-2	DEVELOPMENT	2013-05-08
25/11-18	2358	25/11-18	EXPLORATION	2013-05-08
34/7-I-5 AH	2359	34/7-I-5	DEVELOPMENT	2013-05-08
30/9-16	2361	30/9-16	EXPLORATION	2013-05-08
31/4-A-8 A	2362	31/4-A-8	DEVELOPMENT	2013-05-08
6507/7-C-2 H	2363	6507/7-C-2	DEVELOPMENT	2013-05-08
6407/9-A-6	2365	6407/9-A-6	DEVELOPMENT	2013-05-08
30/6-19 R	2366	30/6-19	EXPLORATION	2013-05-08
2/8-A-16 D	2367	2/8-A-16	DEVELOPMENT	2013-05-08
34/10-C-23	2369	34/10-C-23	DEVELOPMENT	2013-05-08
30/6-C-17	2370	30/6-C-17	DEVELOPMENT	2013-05-08
31/4-A-8	2371	31/4-A-8	DEVELOPMENT	2013-05-08
33/9-A-31 A	2372	33/9-A-31	DEVELOPMENT	2013-05-08
30/6-22 R	2373	30/6-22	EXPLORATION	2013-05-08
2/4-C-9 A	2374	2/4-C-9	DEVELOPMENT	2013-05-08
30/6-21 R	2375	30/6-21	EXPLORATION	2013-05-08
2/11-A-5	2376	2/11-A-5	DEVELOPMENT	2013-05-08
34/11-1	2377	34/11-1	EXPLORATION	2013-05-08
6507/7-C-3 H	2378	6507/7-C-3	DEVELOPMENT	2013-05-08
33/12-B-42	2382	33/12-B-42	DEVELOPMENT	2013-05-08
6306/6-1	2384	6306/6-1	EXPLORATION	2013-05-08
2/4-A-11 B	2385	2/4-A-11	DEVELOPMENT	2013-05-08
15/9-A-27	2386	15/9-A-27	DEVELOPMENT	2013-05-08
34/7-16 R2	2389	34/7-16	EXPLORATION	2013-05-08
25/8-5 S	2390	25/8-5	EXPLORATION	2013-05-08
34/10-C-24	2391	34/10-C-24	DEVELOPMENT	2013-05-08
34/10-C-25	2392	34/10-C-25	DEVELOPMENT	2013-05-08
6507/7-C-1 H	2393	6507/7-C-1	DEVELOPMENT	2013-05-08
2/7-30	2394	2/7-30	EXPLORATION	2013-05-08
34/7-P-38	2395	34/7-P-38	DEVELOPMENT	2013-05-08
30/6-C-17 A	2396	30/6-C-17	DEVELOPMENT	2013-05-08
15/9-A-5	2397	15/9-A-5	DEVELOPMENT	2013-05-08
2/7-B-15 A	2398	2/7-B-15	DEVELOPMENT	2013-05-08
15/9-A-21	2399	15/9-A-21	DEVELOPMENT	2013-05-08
34/7-19 R	2401	34/7-19	EXPLORATION	2013-05-08
31/4-A-26	2403	31/4-A-26	DEVELOPMENT	2013-05-08
30/6-C-17 B	2404	30/6-C-17	DEVELOPMENT	2013-05-08
30/9-B-6 A	2406	30/9-B-6	DEVELOPMENT	2013-05-08
2/11-A-5 A	2408	2/11-A-5	DEVELOPMENT	2013-05-08
34/10-B-32	2409	34/10-B-32	DEVELOPMENT	2013-05-08
2/4-A-15 B	2412	2/4-A-15	DEVELOPMENT	2013-05-08
2/4-B-18 B	2414	2/4-B-18	DEVELOPMENT	2013-05-08
2/7-A-13 A	2416	2/7-A-13	DEVELOPMENT	2013-05-08
33/9-E-1 H	2417	33/9-E-1	DEVELOPMENT	2013-05-08
33/9-E-3 H	2418	33/9-E-3	DEVELOPMENT	2013-05-08
33/9-E-4 H	2419	33/9-E-4	DEVELOPMENT	2013-05-08
31/2-B-3 H	2420	31/2-B-3	DEVELOPMENT	2013-05-08
2/4-A-2 A	2423	2/4-A-2	DEVELOPMENT	2013-05-08
25/5-A-5	2424	25/5-A-5	DEVELOPMENT	2013-05-08
2/4-C-6 B	2425	2/4-C-6	DEVELOPMENT	2013-05-08
7/12-A-2 A	2426	7/12-A-2	DEVELOPMENT	2013-05-08
33/9-E-2 H	2427	33/9-E-2	DEVELOPMENT	2013-05-08
30/6-C-26	2428	30/6-C-26	DEVELOPMENT	2013-05-08
30/6-C-26 A	2429	30/6-C-26	DEVELOPMENT	2013-05-08
30/8-1 S	2430	30/8-1	EXPLORATION	2013-05-08
34/10-37	2431	34/10-37	EXPLORATION	2013-05-08
31/2-E-6 H	2433	31/2-E-6	DEVELOPMENT	2013-05-08
6407/8-2	2434	6407/8-2	EXPLORATION	2013-05-08
31/4-A-25	2435	31/4-A-25	DEVELOPMENT	2013-05-08
34/7-P-14 AY1	2436	34/7-P-14	DEVELOPMENT	2013-05-08
34/7-P-31	2437	34/7-P-31	DEVELOPMENT	2013-05-08
34/7-P-11	2438	34/7-P-11	DEVELOPMENT	2013-05-08
31/2-D-6 H	2441	31/2-D-6	DEVELOPMENT	2013-05-08
30/6-C-19	2442	30/6-C-19	DEVELOPMENT	2013-05-08
31/4-A-14	2443	31/4-A-14	DEVELOPMENT	2013-05-08
6406/2-1	2444	6406/2-1	EXPLORATION	2013-05-08
6506/12-10	2445	6506/12-10	EXPLORATION	2013-05-08
25/5-A-6	2446	25/5-A-6	DEVELOPMENT	2013-05-08
30/3-A-6 A	2447	30/3-A-6	DEVELOPMENT	2013-05-08
34/10-C-26	2450	34/10-C-26	DEVELOPMENT	2013-05-08
34/10-C-23 A	2453	34/10-C-23	DEVELOPMENT	2013-05-08
33/9-18	2454	33/9-18	EXPLORATION	2013-05-08
33/9-18 A	2455	33/9-18	EXPLORATION	2013-05-08
34/10-B-33	2456	34/10-B-33	DEVELOPMENT	2013-05-08
6507/7-A-14	2457	6507/7-A-14	DEVELOPMENT	2013-05-08
33/12-B-33	2459	33/12-B-33	DEVELOPMENT	2013-05-08
34/7-24 S	2460	34/7-24	EXPLORATION	2013-05-08
15/9-A-23	2461	15/9-A-23	DEVELOPMENT	2013-05-08
31/4-A-18	2462	31/4-A-18	DEVELOPMENT	2013-05-08
2/4-K-6	2463	2/4-K-6	DEVELOPMENT	2013-05-08
2/8-A-4 B	2469	2/8-A-4	DEVELOPMENT	2013-05-08
31/2-D-8 H	2472	31/2-D-8	DEVELOPMENT	2013-05-08
2/7-A-7 B	2473	2/7-A-7	DEVELOPMENT	2013-05-08
25/9-1	2476	25/9-1	EXPLORATION	2013-05-08
33/9-F-1 H	2477	33/9-F-1	DEVELOPMENT	2013-05-08
33/9-F-2 H	2478	33/9-F-2	DEVELOPMENT	2013-05-08
33/9-F-3 H	2479	33/9-F-3	DEVELOPMENT	2013-05-08
33/9-F-4 H	2480	33/9-F-4	DEVELOPMENT	2013-05-08
15/9-A-15	2481	15/9-A-15	DEVELOPMENT	2013-05-08
34/7-P-31 A	2482	34/7-P-31	DEVELOPMENT	2013-05-08
25/5-A-7	2483	25/5-A-7	DEVELOPMENT	2013-05-08
30/9-B-34	2484	30/9-B-34	DEVELOPMENT	2013-05-08
31/4-A-12	2485	31/4-A-12	DEVELOPMENT	2013-05-08
7618/10-U-1	2486	7618/10-U-1	SHALLOW	2013-05-08
7618/10-U-2	2487	7618/10-U-2	SHALLOW	2013-05-08
7618/10-U-3	2488	7618/10-U-3	SHALLOW	2013-05-08
7617/11-U-1	2489	7617/11-U-1	SHALLOW	2013-05-08
7616/11-U-2	2490	7616/11-U-2	SHALLOW	2013-05-08
7616/11-U-1	2491	7616/11-U-1	SHALLOW	2013-05-08
7617/11-U-2	2492	7617/11-U-2	SHALLOW	2013-05-08
25/5-A-6 A	2494	25/5-A-6	DEVELOPMENT	2013-05-08
31/4-A-12 A	2495	31/4-A-12	DEVELOPMENT	2013-05-08
34/10-A-43	2496	34/10-A-43	DEVELOPMENT	2013-05-08
6507/7-B-3 H	2497	6507/7-B-3	DEVELOPMENT	2013-05-08
33/9-A-15 A	2498	33/9-A-15	DEVELOPMENT	2013-05-08
30/6-C-6 A	2499	30/6-C-6	DEVELOPMENT	2013-05-08
30/6-C-6 B	2500	30/6-C-6	DEVELOPMENT	2013-05-08
34/7-I-4 AH	2501	34/7-I-4	DEVELOPMENT	2013-05-08
34/7-I-2 AH	2502	34/7-I-2	DEVELOPMENT	2013-05-08
2/8-A-25 B	2503	2/8-A-25	DEVELOPMENT	2013-05-08
2/8-A-25 A	2504	2/8-A-25	DEVELOPMENT	2013-05-08
1/3-7	2505	1/3-7	EXPLORATION	2013-05-08
33/9-C-18	2507	33/9-C-18	DEVELOPMENT	2013-05-08
9/2-A-5	2508	9/2-A-5	DEVELOPMENT	2013-05-08
31/2-D-8 AH	2509	31/2-D-8	DEVELOPMENT	2013-05-08
6507/7-B-2 H	2511	6507/7-B-2	DEVELOPMENT	2013-05-08
2/4-K-14	2513	2/4-K-14	DEVELOPMENT	2013-05-08
31/4-A-21	2514	31/4-A-21	DEVELOPMENT	2013-05-08
34/10-C-27	2515	34/10-C-27	DEVELOPMENT	2013-05-08
15/9-A-20	2516	15/9-A-20	DEVELOPMENT	2013-05-08
34/10-38 S	2517	34/10-38	EXPLORATION	2013-05-08
33/12-B-36	2522	33/12-B-36	DEVELOPMENT	2013-05-08
33/9-D-1 H	2523	33/9-D-1	DEVELOPMENT	2013-05-08
33/9-D-2 H	2524	33/9-D-2	DEVELOPMENT	2013-05-08
33/9-D-3 H	2525	33/9-D-3	DEVELOPMENT	2013-05-08
33/9-D-4 H	2526	33/9-D-4	DEVELOPMENT	2013-05-08
31/2-E-4 H	2527	31/2-E-4	DEVELOPMENT	2013-05-08
6511/2-U-1	2529	6511/2-U-1	SHALLOW	2013-05-08
34/10-37 A	2530	34/10-37	EXPLORATION	2013-05-08
6511/4-U-1	2531	6511/4-U-1	SHALLOW	2013-05-08
6510/11-U-2	2532	6510/11-U-2	SHALLOW	2013-05-08
6510/11-U-1	2533	6510/11-U-1	SHALLOW	2013-05-08
6511/4-U-2	2534	6511/4-U-2	SHALLOW	2013-05-08
6510/6-U-1	2535	6510/6-U-1	SHALLOW	2013-05-08
6510/6-U-2	2536	6510/6-U-2	SHALLOW	2013-05-08
6510/6-U-3	2537	6510/6-U-3	SHALLOW	2013-05-08
6510/6-U-4	2538	6510/6-U-4	SHALLOW	2013-05-08
6510/10-U-3	2539	6510/10-U-3	SHALLOW	2013-05-08
6510/10-U-2	2540	6510/10-U-2	SHALLOW	2013-05-08
6510/10-U-4	2541	6510/10-U-4	SHALLOW	2013-05-08
6507/7-B-1 H	2542	6507/7-B-1	DEVELOPMENT	2013-05-08
6510/10-U-1	2543	6510/10-U-1	SHALLOW	2013-05-08
6510/10-U-5	2544	6510/10-U-5	SHALLOW	2013-05-08
7/12-A-5 A	2545	7/12-A-5	DEVELOPMENT	2013-05-08
31/4-A-28	2546	31/4-A-28	DEVELOPMENT	2013-05-08
25/5-A-8	2548	25/5-A-8	DEVELOPMENT	2013-05-08
25/5-A-9	2549	25/5-A-9	DEVELOPMENT	2013-05-08
31/4-A-28 A	2550	31/4-A-28	DEVELOPMENT	2013-05-08
30/9-B-16	2551	30/9-B-16	DEVELOPMENT	2013-05-08
30/9-18	2552	30/9-18	EXPLORATION	2013-05-08
34/10-C-28	2553	34/10-C-28	DEVELOPMENT	2013-05-08
2/7-A-5 A	2554	2/7-A-5	DEVELOPMENT	2013-05-08
30/6-B-51 H	2561	30/6-B-51	DEVELOPMENT	2013-05-08
25/11-19 S	2562	25/11-19	EXPLORATION	2013-05-08
2/1-A-28	2563	2/1-A-28	DEVELOPMENT	2013-05-08
15/9-A-8	2567	15/9-A-8	DEVELOPMENT	2013-05-08
30/9-17 R	2569	30/9-17	EXPLORATION	2013-05-08
30/6-C-16	2571	30/6-C-16	DEVELOPMENT	2013-05-08
30/6-C-16 A	2572	30/6-C-16	DEVELOPMENT	2013-05-08
25/8-6	2573	25/8-6	EXPLORATION	2013-05-08
34/10-39 S	2574	34/10-39	EXPLORATION	2013-05-08
31/5-H-5 H	2575	31/5-H-5	DEVELOPMENT	2013-05-08
17/3-1	2576	17/3-1	EXPLORATION	2013-05-08
15/9-A-12	2577	15/9-A-12	DEVELOPMENT	2013-05-08
6608/10-5	2578	6608/10-5	EXPLORATION	2013-05-08
34/10-B-34	2579	34/10-B-34	DEVELOPMENT	2013-05-08
30/6-C-6 C	2580	30/6-C-6	DEVELOPMENT	2013-05-08
33/9-C-22	2582	33/9-C-22	DEVELOPMENT	2013-05-08
15/9-A-19	2583	15/9-A-19	DEVELOPMENT	2013-05-08
2/7-A-4 A	2584	2/7-A-4	DEVELOPMENT	2013-05-08
31/6-A-30	2585	31/6-A-30	DEVELOPMENT	2013-05-08
31/6-A-15	2586	31/6-A-15	DEVELOPMENT	2013-05-08
31/6-A-11	2587	31/6-A-11	DEVELOPMENT	2013-05-08
31/6-A-6	2588	31/6-A-6	DEVELOPMENT	2013-05-08
31/6-A-7	2589	31/6-A-7	DEVELOPMENT	2013-05-08
31/6-A-35	2590	31/6-A-35	DEVELOPMENT	2013-05-08
30/3-A-22	2592	30/3-A-22	DEVELOPMENT	2013-05-08
30/3-A-22 A	2593	30/3-A-22	DEVELOPMENT	2013-05-08
31/2-E-1 H	2594	31/2-E-1	DEVELOPMENT	2013-05-08
2/4-K-8 A	2595	2/4-K-8	DEVELOPMENT	2013-05-08
2/8-A-2 A	2596	2/8-A-2	DEVELOPMENT	2013-05-08
7/12-A-16 A	2597	7/12-A-16	DEVELOPMENT	2013-05-08
9/2-5	2599	9/2-5	EXPLORATION	2013-05-08
31/5-H-6 H	2600	31/5-H-6	DEVELOPMENT	2013-05-08
31/5-H-6 AH	2601	31/5-H-6	DEVELOPMENT	2013-05-08
31/2-E-1 AH	2603	31/2-E-1	DEVELOPMENT	2013-05-08
34/10-B-35	2607	34/10-B-35	DEVELOPMENT	2013-05-08
34/10-B-35 A	2608	34/10-B-35	DEVELOPMENT	2013-05-08
34/10-B-37	2609	34/10-B-37	DEVELOPMENT	2013-05-08
6506/12-10 A	2610	6506/12-10	EXPLORATION	2013-05-08
25/8-7	2612	25/8-7	EXPLORATION	2013-05-08
2/11-A-8	2613	2/11-A-8	DEVELOPMENT	2013-05-08
2/11-A-8 A	2614	2/11-A-8	DEVELOPMENT	2013-05-08
2/8-A-8 A	2615	2/8-A-8	DEVELOPMENT	2013-05-08
31/2-F-5 H	2616	31/2-F-5	DEVELOPMENT	2013-05-08
31/4-10	2617	31/4-10	EXPLORATION	2013-05-08
31/4-A-24	2621	31/4-A-24	DEVELOPMENT	2013-05-08
34/10-C-29	2622	34/10-C-29	DEVELOPMENT	2013-05-08
25/7-3	2623	25/7-3	EXPLORATION	2013-05-08
33/12-B-10 A	2631	33/12-B-10	DEVELOPMENT	2013-05-08
30/3-7 S	2632	30/3-7	EXPLORATION	2013-05-08
31/4-A-27	2633	31/4-A-27	DEVELOPMENT	2013-05-08
34/10-40 S	2634	34/10-40	EXPLORATION	2013-05-08
15/5-5	2635	15/5-5	EXPLORATION	2013-05-08
2/8-15	2636	2/8-15	EXPLORATION	2013-05-08
34/7-P-24	2637	34/7-P-24	DEVELOPMENT	2013-05-08
2/1-A-24 B	2638	2/1-A-24	DEVELOPMENT	2013-05-08
2/8-A-20 B	2639	2/8-A-20	DEVELOPMENT	2013-05-08
6406/12-2	2640	6406/12-2	EXPLORATION	2013-05-08
33/9-A-6 A	2641	33/9-A-6	DEVELOPMENT	2013-05-08
6406/2-1 R	2642	6406/2-1	EXPLORATION	2013-05-08
6406/2-2	2644	6406/2-2	EXPLORATION	2013-05-08
6608/10-3 R	2645	6608/10-3	EXPLORATION	2013-05-08
25/8-8 S	2646	25/8-8	EXPLORATION	2013-05-08
31/2-G-6 H	2649	31/2-G-6	DEVELOPMENT	2013-05-08
33/9-A-30 A	2650	33/9-A-30	DEVELOPMENT	2013-05-08
15/9-A-2	2651	15/9-A-2	DEVELOPMENT	2013-05-08
15/9-B-10	2652	15/9-B-10	DEVELOPMENT	2013-05-08
34/7-P-9	2653	34/7-P-9	DEVELOPMENT	2013-05-08
34/7-P-32	2654	34/7-P-32	DEVELOPMENT	2013-05-08
25/5-A-2 A	2655	25/5-A-2	DEVELOPMENT	2013-05-08
25/5-5	2661	25/5-5	EXPLORATION	2013-05-08
9/2-A-1	2662	9/2-A-1	DEVELOPMENT	2013-05-08
30/6-C-10 A	2663	30/6-C-10	DEVELOPMENT	2013-05-08
25/7-4 S	3114	25/7-4	EXPLORATION	2013-05-08
6204/10-1	2666	6204/10-1	EXPLORATION	2013-05-08
25/11-20	2667	25/11-20	EXPLORATION	2013-05-08
34/10-C-30	2674	34/10-C-30	DEVELOPMENT	2013-05-08
7534/4-U-1	2675	7534/4-U-1	SHALLOW	2013-05-08
7618/12-U-1	2677	7618/12-U-1	SHALLOW	2013-05-08
7618/9-U-1	2678	7618/9-U-1	SHALLOW	2013-05-08
7619/8-U-1	2679	7619/8-U-1	SHALLOW	2013-05-08
7534/6-U-1	2680	7534/6-U-1	SHALLOW	2013-05-08
34/10-B-36	2684	34/10-B-36	DEVELOPMENT	2013-05-08
33/9-C-28 A	2685	33/9-C-28	DEVELOPMENT	2013-05-08
33/9-C-28 B	2686	33/9-C-28	DEVELOPMENT	2013-05-08
33/9-A-35 A	2687	33/9-A-35	DEVELOPMENT	2013-05-08
6407/9-A-5	2688	6407/9-A-5	DEVELOPMENT	2013-05-08
31/2-D-9	2689	31/2-D-9	DEVELOPMENT	2013-05-08
25/8-8 A	2690	25/8-8	EXPLORATION	2013-05-08
31/6-A-12	2691	31/6-A-12	DEVELOPMENT	2013-05-08
15/9-B-14	2692	15/9-B-14	DEVELOPMENT	2013-05-08
30/6-C-10 B	2693	30/6-C-10	DEVELOPMENT	2013-05-08
30/6-C-10 C	2694	30/6-C-10	DEVELOPMENT	2013-05-08
7/12-12 S	2695	7/12-12	EXPLORATION	2013-05-08
25/8-8 B	2696	25/8-8	EXPLORATION	2013-05-08
34/7-C-2 H	2698	34/7-C-2	DEVELOPMENT	2013-05-08
2/1-11	2699	2/1-11	EXPLORATION	2013-05-08
33/9-C-41	2700	33/9-C-41	DEVELOPMENT	2013-05-08
25/11-21 S	2701	25/11-21	EXPLORATION	2013-05-08
2/8-F-1	2702	2/8-F-1	DEVELOPMENT	2013-05-08
16/10-3	2703	16/10-3	EXPLORATION	2013-05-08
6407/9-A-3	2707	6407/9-A-3	DEVELOPMENT	2013-05-08
31/5-H-5 AH	2711	31/5-H-5	DEVELOPMENT	2013-05-08
34/10-A-17 A	2712	34/10-A-17	DEVELOPMENT	2013-05-08
31/4-A-40	2714	31/4-A-40	DEVELOPMENT	2013-05-08
15/9-B-5	2715	15/9-B-5	DEVELOPMENT	2013-05-08
2/8-F-2	2716	2/8-F-2	DEVELOPMENT	2013-05-08
2/8-F-3	2717	2/8-F-3	DEVELOPMENT	2013-05-08
2/8-F-4	2718	2/8-F-4	DEVELOPMENT	2013-05-08
30/8-1 SR	2719	30/8-1	EXPLORATION	2013-05-08
34/10-C-31	2720	34/10-C-31	DEVELOPMENT	2013-05-08
25/5-A-10	2721	25/5-A-10	DEVELOPMENT	2013-05-08
2/1-A-21	2722	2/1-A-21	DEVELOPMENT	2013-05-08
30/8-2	2723	30/8-2	EXPLORATION	2013-05-08
30/3-A-7 A	2724	30/3-A-7	DEVELOPMENT	2013-05-08
34/10-A-44	2726	34/10-A-44	DEVELOPMENT	2013-05-08
30/6-C-7 A	2727	30/6-C-7	DEVELOPMENT	2013-05-08
25/10-6 S	2728	25/10-6	EXPLORATION	2013-05-08
33/12-B-2 B	2731	33/12-B-2	DEVELOPMENT	2013-05-08
30/6-B-51 AH	2732	30/6-B-51	DEVELOPMENT	2013-05-08
34/11-2 S	2733	34/11-2	EXPLORATION	2013-05-08
34/7-C-1 H	2734	34/7-C-1	DEVELOPMENT	2013-05-08
31/2-D-2 H	2735	31/2-D-2	DEVELOPMENT	2013-05-08
6506/11-4 S	2736	6506/11-4	EXPLORATION	2013-05-08
30/9-B-16 A	2737	30/9-B-16	DEVELOPMENT	2013-05-08
30/9-B-30 A	2738	30/9-B-30	DEVELOPMENT	2013-05-08
30/9-B-23 A	2739	30/9-B-23	DEVELOPMENT	2013-05-08
30/9-B-23 B	2740	30/9-B-23	DEVELOPMENT	2013-05-08
30/9-B-24 B	2742	30/9-B-24	DEVELOPMENT	2013-05-08
30/9-B-36	2744	30/9-B-36	DEVELOPMENT	2013-05-08
30/9-B-16 B	2745	30/9-B-16	DEVELOPMENT	2013-05-08
30/9-B-24 A	2746	30/9-B-24	DEVELOPMENT	2013-05-08
34/10-C-32	2747	34/10-C-32	DEVELOPMENT	2013-05-08
9/2-B-1 H	2748	9/2-B-1	DEVELOPMENT	2013-05-08
15/9-B-6	2749	15/9-B-6	DEVELOPMENT	2013-05-08
30/6-C-12 A	2750	30/6-C-12	DEVELOPMENT	2013-05-08
30/6-C-12 B	2751	30/6-C-12	DEVELOPMENT	2013-05-08
30/6-C-12 C	2752	30/6-C-12	DEVELOPMENT	2013-05-08
33/9-C-17	2753	33/9-C-17	DEVELOPMENT	2013-05-08
30/9-B-36 A	2754	30/9-B-36	DEVELOPMENT	2013-05-08
30/3-A-7 B	2755	30/3-A-7	DEVELOPMENT	2013-05-08
2/1-A-25	2756	2/1-A-25	DEVELOPMENT	2013-05-08
31/4-A-17	2757	31/4-A-17	DEVELOPMENT	2013-05-08
31/2-E-5 H	2760	31/2-E-5	DEVELOPMENT	2013-05-08
34/7-C-3 H	2761	34/7-C-3	DEVELOPMENT	2013-05-08
31/2-E-5 AH	2762	31/2-E-5	DEVELOPMENT	2013-05-08
15/9-A-16	2763	15/9-A-16	DEVELOPMENT	2013-05-08
31/4-A-17 A	2765	31/4-A-17	DEVELOPMENT	2013-05-08
6507/7-A-51	2766	6507/7-A-51	DEVELOPMENT	2013-05-08
30/3-A-17 A	2767	30/3-A-17	DEVELOPMENT	2013-05-08
34/7-C-4 H	2768	34/7-C-4	DEVELOPMENT	2013-05-08
25/10-7 S	2769	25/10-7	EXPLORATION	2013-05-08
35/11-8 S	2772	35/11-8	EXPLORATION	2013-05-08
2/8-F-2 A	2773	2/8-F-2	DEVELOPMENT	2013-05-08
31/2-D-7 H	2774	31/2-D-7	DEVELOPMENT	2013-05-08
7709/7-U-1	2775	7709/7-U-1	SHALLOW	2013-05-08
7709/7-U-2	2776	7709/7-U-2	SHALLOW	2013-05-08
7709/7-U-3	2777	7709/7-U-3	SHALLOW	2013-05-08
7709/7-U-4	2778	7709/7-U-4	SHALLOW	2013-05-08
33/9-C-1 A	2779	33/9-C-1	DEVELOPMENT	2013-05-08
15/9-B-7	2780	15/9-B-7	DEVELOPMENT	2013-05-08
9/2-B-2 H	2781	9/2-B-2	DEVELOPMENT	2013-05-08
35/10-2	2783	35/10-2	EXPLORATION	2013-05-08
2/1-A-14 A	2784	2/1-A-14	DEVELOPMENT	2013-05-08
2/8-A-26 A	2785	2/8-A-26	DEVELOPMENT	2013-05-08
34/10-C-33	2787	34/10-C-33	DEVELOPMENT	2013-05-08
9/2-A-8	2790	9/2-A-8	DEVELOPMENT	2013-05-08
6506/11-5 S	2794	6506/11-5	EXPLORATION	2013-05-08
6506/12-11 S	2795	6506/12-11	EXPLORATION	2013-05-08
6407/1-4	2796	6407/1-4	EXPLORATION	2013-05-08
31/2-19 S	2798	31/2-19	EXPLORATION	2013-05-08
31/4-A-15	2801	31/4-A-15	DEVELOPMENT	2013-05-08
34/7-I-3 AH	2802	34/7-I-3	DEVELOPMENT	2013-05-08
31/6-A-10	2803	31/6-A-10	DEVELOPMENT	2013-05-08
31/5-H-1 H	2804	31/5-H-1	DEVELOPMENT	2013-05-08
6507/7-A-9	2805	6507/7-A-9	DEVELOPMENT	2013-05-08
34/10-A-6 A	2806	34/10-A-6	DEVELOPMENT	2013-05-08
34/10-C-20 AY1	2807	34/10-C-20	DEVELOPMENT	2013-05-08
33/9-A-16 A	2808	33/9-A-16	DEVELOPMENT	2013-05-08
2/7-B-17 A	2809	2/7-B-17	DEVELOPMENT	2013-05-08
25/11-21 A	2812	25/11-21	EXPLORATION	2013-05-08
33/9-M-4 AH	2813	33/9-M-4	DEVELOPMENT	2013-05-08
31/6-A-16	2814	31/6-A-16	DEVELOPMENT	2013-05-08
34/10-C-34	2815	34/10-C-34	DEVELOPMENT	2013-05-08
15/9-B-13	2816	15/9-B-13	DEVELOPMENT	2013-05-08
2/7-A-12 A	2817	2/7-A-12	DEVELOPMENT	2013-05-08
2/1-A-12	2818	2/1-A-12	DEVELOPMENT	2013-05-08
33/12-B-41 A	2819	33/12-B-41	DEVELOPMENT	2013-05-08
31/5-H-1 AH	2820	31/5-H-1	DEVELOPMENT	2013-05-08
25/11-D-1 H	2821	25/11-D-1	DEVELOPMENT	2013-05-08
7/12-A-7 A	2822	7/12-A-7	DEVELOPMENT	2013-05-08
24/12-3 S	2823	24/12-3	EXPLORATION	2013-05-08
30/9-B-14 A	2824	30/9-B-14	DEVELOPMENT	2013-05-08
34/7-P-39	2827	34/7-P-39	DEVELOPMENT	2013-05-08
9/2-A-4	2828	9/2-A-4	DEVELOPMENT	2013-05-08
1/3-8	2829	1/3-8	EXPLORATION	2013-05-08
33/9-19 S	2830	33/9-19	EXPLORATION	2013-05-08
31/5-H-4 H	2834	31/5-H-4	DEVELOPMENT	2013-05-08
33/12-B-6 A	2835	33/12-B-6	DEVELOPMENT	2013-05-08
31/6-A-27	2836	31/6-A-27	DEVELOPMENT	2013-05-08
31/6-A-29	2837	31/6-A-29	DEVELOPMENT	2013-05-08
31/6-A-31	2838	31/6-A-31	DEVELOPMENT	2013-05-08
34/10-C-34 A	2840	34/10-C-34	DEVELOPMENT	2013-05-08
34/10-B-36 A	2841	34/10-B-36	DEVELOPMENT	2013-05-08
31/4-A-9	2845	31/4-A-9	DEVELOPMENT	2013-05-08
34/10-B-5 A	2846	34/10-B-5	DEVELOPMENT	2013-05-08
36/4-1	2847	36/4-1	EXPLORATION	2013-05-08
6507/7-A-25	2848	6507/7-A-25	DEVELOPMENT	2013-05-08
6406/2-3	2849	6406/2-3	EXPLORATION	2013-05-08
31/6-A-3	2850	31/6-A-3	DEVELOPMENT	2013-05-08
31/6-A-17	2851	31/6-A-17	DEVELOPMENT	2013-05-08
31/6-A-2	2852	31/6-A-2	DEVELOPMENT	2013-05-08
31/6-A-25	2853	31/6-A-25	DEVELOPMENT	2013-05-08
31/6-A-26	2854	31/6-A-26	DEVELOPMENT	2013-05-08
31/6-A-34	2855	31/6-A-34	DEVELOPMENT	2013-05-08
31/6-A-36	2856	31/6-A-36	DEVELOPMENT	2013-05-08
34/7-I-3 BH	2857	34/7-I-3	DEVELOPMENT	2013-05-08
30/6-C-7 C	2859	30/6-C-7	DEVELOPMENT	2013-05-08
33/9-A-34 A	2861	33/9-A-34	DEVELOPMENT	2013-05-08
33/12-B-23 A	2862	33/12-B-23	DEVELOPMENT	2013-05-08
34/7-25 S	2863	34/7-25	EXPLORATION	2013-05-08
34/11-3	2866	34/11-3	EXPLORATION	2013-05-08
9/2-6 S	2867	9/2-6	EXPLORATION	2013-05-08
34/10-C-35	2868	34/10-C-35	DEVELOPMENT	2013-05-08
34/7-A-17 H	2869	34/7-A-17	DEVELOPMENT	2013-05-08
2/7-B-17 B	2870	2/7-B-17	DEVELOPMENT	2013-05-08
30/9-B-10	2871	30/9-B-10	DEVELOPMENT	2013-05-08
33/9-19 A	2872	33/9-19	EXPLORATION	2013-05-08
33/6-2	2873	33/6-2	EXPLORATION	2013-05-08
6610/2-1 S	2874	6610/2-1	EXPLORATION	2013-05-08
31/2-F-1 H	2875	31/2-F-1	DEVELOPMENT	2013-05-08
25/11-D-2 H	2876	25/11-D-2	DEVELOPMENT	2013-05-08
34/7-P-22	2877	34/7-P-22	DEVELOPMENT	2013-05-08
6407/7-A-14 H	2880	6407/7-A-14	DEVELOPMENT	2013-05-08
34/10-A-45	2881	34/10-A-45	DEVELOPMENT	2013-05-08
25/11-D-2 AH	2882	25/11-D-2	DEVELOPMENT	2013-05-08
25/11-C-3 H	2884	25/11-C-3	DEVELOPMENT	2013-05-08
2/6-5	2885	2/6-5	EXPLORATION	2013-05-08
30/5-2	2886	30/5-2	EXPLORATION	2013-05-08
31/2-F-1 AH	2887	31/2-F-1	DEVELOPMENT	2013-05-08
30/6-C-7 B	2888	30/6-C-7	DEVELOPMENT	2013-05-08
30/3-A-24	2889	30/3-A-24	DEVELOPMENT	2013-05-08
34/7-J-7 H	2890	34/7-J-7	DEVELOPMENT	2013-05-08
3/7-6	2891	3/7-6	EXPLORATION	2013-05-08
2/8-F-10	2892	2/8-F-10	DEVELOPMENT	2013-05-08
2/8-F-11	2893	2/8-F-11	DEVELOPMENT	2013-05-08
2/8-F-12	2894	2/8-F-12	DEVELOPMENT	2013-05-08
2/8-F-13	2895	2/8-F-13	DEVELOPMENT	2013-05-08
2/8-F-5	2897	2/8-F-5	DEVELOPMENT	2013-05-08
2/8-F-6	2898	2/8-F-6	DEVELOPMENT	2013-05-08
2/8-F-7	2899	2/8-F-7	DEVELOPMENT	2013-05-08
2/8-F-8	2900	2/8-F-8	DEVELOPMENT	2013-05-08
9/2-B-3 H	2901	9/2-B-3	DEVELOPMENT	2013-05-08
33/12-B-28 B	2902	33/12-B-28	DEVELOPMENT	2013-05-08
2/8-F-9	2903	2/8-F-9	DEVELOPMENT	2013-05-08
6608/10-B-1 H	2904	6608/10-B-1	DEVELOPMENT	2013-05-08
6608/10-B-2 H	2905	6608/10-B-2	DEVELOPMENT	2013-05-08
6608/10-B-3 H	2906	6608/10-B-3	DEVELOPMENT	2013-05-08
6608/10-B-4 H	2907	6608/10-B-4	DEVELOPMENT	2013-05-08
6608/10-C-1 H	2908	6608/10-C-1	DEVELOPMENT	2013-05-08
6608/10-C-2 H	2909	6608/10-C-2	DEVELOPMENT	2013-05-08
6608/10-C-3 H	2910	6608/10-C-3	DEVELOPMENT	2013-05-08
6608/10-C-4 H	2911	6608/10-C-4	DEVELOPMENT	2013-05-08
6608/10-D-1 H	2912	6608/10-D-1	DEVELOPMENT	2013-05-08
6608/10-D-2 H	2913	6608/10-D-2	DEVELOPMENT	2013-05-08
6608/10-D-3 H	2914	6608/10-D-3	DEVELOPMENT	2013-05-08
6608/10-D-4 H	2915	6608/10-D-4	DEVELOPMENT	2013-05-08
33/9-A-40 A	2916	33/9-A-40	DEVELOPMENT	2013-05-08
2/7-B-6 A	2917	2/7-B-6	DEVELOPMENT	2013-05-08
32/4-1	2918	32/4-1	EXPLORATION	2013-05-08
6407/7-A-15 H	2921	6407/7-A-15	DEVELOPMENT	2013-05-08
25/11-A-5 H	2922	25/11-A-5	DEVELOPMENT	2013-05-08
2/7-A-14 A	2923	2/7-A-14	DEVELOPMENT	2013-05-08
30/6-C-13	2924	30/6-C-13	DEVELOPMENT	2013-05-08
31/4-A-32	2929	31/4-A-32	DEVELOPMENT	2013-05-08
34/10-C-36	2930	34/10-C-36	DEVELOPMENT	2013-05-08
34/4-9 S	2931	34/4-9	EXPLORATION	2013-05-08
6610/3-1 R2	2932	6610/3-1	EXPLORATION	2013-05-08
33/9-C-29	2933	33/9-C-29	DEVELOPMENT	2013-05-08
31/2-G-1 H	2936	31/2-G-1	DEVELOPMENT	2013-05-08
25/11-A-6 H	2937	25/11-A-6	DEVELOPMENT	2013-05-08
30/9-B-10 A	2938	30/9-B-10	DEVELOPMENT	2013-05-08
2/7-B-1 B	2941	2/7-B-1	DEVELOPMENT	2013-05-08
31/6-A-14	2942	31/6-A-14	DEVELOPMENT	2013-05-08
31/6-A-5	2943	31/6-A-5	DEVELOPMENT	2013-05-08
31/6-A-1	2944	31/6-A-1	DEVELOPMENT	2013-05-08
31/6-A-32	2945	31/6-A-32	DEVELOPMENT	2013-05-08
31/6-A-38	2946	31/6-A-38	DEVELOPMENT	2013-05-08
31/6-A-39	2947	31/6-A-39	DEVELOPMENT	2013-05-08
31/6-A-40	2948	31/6-A-40	DEVELOPMENT	2013-05-08
31/6-A-20	2949	31/6-A-20	DEVELOPMENT	2013-05-08
31/6-A-19	2950	31/6-A-19	DEVELOPMENT	2013-05-08
31/6-A-18	2951	31/6-A-18	DEVELOPMENT	2013-05-08
35/2-U-1	5537	35/2-U-1	SHALLOW	2013-05-08
6204/10-2	2952	6204/10-2	EXPLORATION	2013-05-08
30/6-C-13 A	2953	30/6-C-13	DEVELOPMENT	2013-05-08
6507/3-2	2954	6507/3-2	EXPLORATION	2013-05-08
25/10-8	2955	25/10-8	EXPLORATION	2013-05-08
31/2-G-1 AH	2956	31/2-G-1	DEVELOPMENT	2013-05-08
6407/7-A-15 AH	2957	6407/7-A-15	DEVELOPMENT	2013-05-08
2/4-X-38	2959	2/4-X-38	DEVELOPMENT	2013-05-08
33/9-G-3 H	2961	33/9-G-3	DEVELOPMENT	2013-05-08
25/11-A-5 AH	2963	25/11-A-5	DEVELOPMENT	2013-05-08
7/12-A-6 A	2964	7/12-A-6	DEVELOPMENT	2013-05-08
6507/7-A-46	2965	6507/7-A-46	DEVELOPMENT	2013-05-08
31/4-A-29	2971	31/4-A-29	DEVELOPMENT	2013-05-08
34/10-A-7 A	2972	34/10-A-7	DEVELOPMENT	2013-05-08
6608/8-1	2974	6608/8-1	EXPLORATION	2013-05-08
25/11-A-4 H	2975	25/11-A-4	DEVELOPMENT	2013-05-08
6506/12-11 SR	2977	6506/12-11	EXPLORATION	2013-05-08
34/7-P-4	2978	34/7-P-4	DEVELOPMENT	2013-05-08
34/7-P-23	2979	34/7-P-23	DEVELOPMENT	2013-05-08
34/7-P-27	2980	34/7-P-27	DEVELOPMENT	2013-05-08
2/8-A-3 B	2981	2/8-A-3	DEVELOPMENT	2013-05-08
2/4-X-8	2982	2/4-X-8	DEVELOPMENT	2013-05-08
6407/7-A-8 H	2983	6407/7-A-8	DEVELOPMENT	2013-05-08
25/11-D-10 H	2985	25/11-D-10	DEVELOPMENT	2013-05-08
30/11-5	2986	30/11-5	EXPLORATION	2013-05-08
31/5-H-2 H	2987	31/5-H-2	DEVELOPMENT	2013-05-08
25/8-9	2988	25/8-9	EXPLORATION	2013-05-08
6608/8-2	2989	6608/8-2	EXPLORATION	2013-05-08
36/7-2	2990	36/7-2	EXPLORATION	2013-05-08
35/4-1	2993	35/4-1	EXPLORATION	2013-05-08
2/4-X-46	2995	2/4-X-46	DEVELOPMENT	2013-05-08
25/11-C-3 AH	2997	25/11-C-3	DEVELOPMENT	2013-05-08
25/11-A-4 AH	2998	25/11-A-4	DEVELOPMENT	2013-05-08
25/11-A-8 H	3000	25/11-A-8	DEVELOPMENT	2013-05-08
9/2-A-2	3001	9/2-A-2	DEVELOPMENT	2013-05-08
31/4-A-16	3005	31/4-A-16	DEVELOPMENT	2013-05-08
15/9-B-24	3006	15/9-B-24	DEVELOPMENT	2013-05-08
25/11-B-7 H	3007	25/11-B-7	DEVELOPMENT	2013-05-08
2/8-16 S	3008	2/8-16	EXPLORATION	2013-05-08
35/11-9	3009	35/11-9	EXPLORATION	2013-05-08
6507/7-A-36	3010	6507/7-A-36	DEVELOPMENT	2013-05-08
31/2-E-6 AH	3011	31/2-E-6	DEVELOPMENT	2013-05-08
6406/2-4 S	3012	6406/2-4	EXPLORATION	2013-05-08
15/6-8 S	3014	15/6-8	EXPLORATION	2013-05-08
7228/7-1 S	3015	7228/7-1	EXPLORATION	2013-05-08
25/11-B-7 AH	3016	25/11-B-7	DEVELOPMENT	2013-05-08
2/4-X-6	3017	2/4-X-6	DEVELOPMENT	2013-05-08
2/4-X-45	3018	2/4-X-45	DEVELOPMENT	2013-05-08
34/7-P-25 A	3019	34/7-P-25	DEVELOPMENT	2013-05-08
33/9-C-11 A	3020	33/9-C-11	DEVELOPMENT	2013-05-08
6506/12-R-1 H	3021	6506/12-R-1	DEVELOPMENT	2013-05-08
31/2-E-6 BH	3022	31/2-E-6	DEVELOPMENT	2013-05-08
6407/7-A-10 H	3023	6407/7-A-10	DEVELOPMENT	2013-05-08
34/7-B-1 H	3024	34/7-B-1	DEVELOPMENT	2013-05-08
25/8-9 A	3025	25/8-9	EXPLORATION	2013-05-08
34/10-A-10 A	3026	34/10-A-10	DEVELOPMENT	2013-05-08
31/2-F-4 H	3027	31/2-F-4	DEVELOPMENT	2013-05-08
33/12-B-28 C	3038	33/12-B-28	DEVELOPMENT	2013-05-08
30/3-A-2 A	3039	30/3-A-2	DEVELOPMENT	2013-05-08
7/12-A-10 A	3040	7/12-A-10	DEVELOPMENT	2013-05-08
31/6-A-13	3041	31/6-A-13	DEVELOPMENT	2013-05-08
35/11-10	3042	35/11-10	EXPLORATION	2013-05-08
2/7-B-14 B	3044	2/7-B-14	DEVELOPMENT	2013-05-08
9/2-A-2 A	3045	9/2-A-2	DEVELOPMENT	2013-05-08
34/10-G-2 H	3046	34/10-G-2	DEVELOPMENT	2013-05-08
33/9-C-8	3047	33/9-C-8	DEVELOPMENT	2013-05-08
31/2-F-4 AH	3049	31/2-F-4	DEVELOPMENT	2013-05-08
2/4-X-4	3050	2/4-X-4	DEVELOPMENT	2013-05-08
6407/7-A-10 AH	3051	6407/7-A-10	DEVELOPMENT	2013-05-08
34/10-A-21 A	3052	34/10-A-21	DEVELOPMENT	2013-05-08
34/10-C-36 A	3054	34/10-C-36	DEVELOPMENT	2013-05-08
2/7-B-14 C	3055	2/7-B-14	DEVELOPMENT	2013-05-08
31/4-A-19	3056	31/4-A-19	DEVELOPMENT	2013-05-08
15/9-B-17	3057	15/9-B-17	DEVELOPMENT	2013-05-08
33/12-B-14 A	3058	33/12-B-14	DEVELOPMENT	2013-05-08
34/10-J-1 H	3059	34/10-J-1	DEVELOPMENT	2013-05-08
6306/5-1	3060	6306/5-1	EXPLORATION	2013-05-08
25/8-10 S	3062	25/8-10	EXPLORATION	2013-05-08
9/2-A-6	3063	9/2-A-6	DEVELOPMENT	2013-05-08
34/7-B-2 H	3064	34/7-B-2	DEVELOPMENT	2013-05-08
2/4-X-35	3066	2/4-X-35	DEVELOPMENT	2013-05-08
16/7-6	3067	16/7-6	EXPLORATION	2013-05-08
30/9-B-27 A	3070	30/9-B-27	DEVELOPMENT	2013-05-08
30/9-B-27 B	3071	30/9-B-27	DEVELOPMENT	2013-05-08
31/2-M-41	3072	31/2-M-41	DEVELOPMENT	2013-05-08
15/12-11 S	3074	15/12-11	EXPLORATION	2013-05-08
6707/10-1	3075	6707/10-1	EXPLORATION	2013-05-08
15/6-8 A	3077	15/6-8	EXPLORATION	2013-05-08
6506/12-L-1 H	3079	6506/12-L-1	DEVELOPMENT	2013-05-08
6506/11-G-3 H	3082	6506/11-G-3	DEVELOPMENT	2013-05-08
25/11-A-6 AH	3083	25/11-A-6	DEVELOPMENT	2013-05-08
2/5-11	3084	2/5-11	EXPLORATION	2013-05-08
34/10-41 S	3085	34/10-41	EXPLORATION	2013-05-08
2/8-A-20 C	3086	2/8-A-20	DEVELOPMENT	2013-05-08
9/2-7 S	3087	9/2-7	EXPLORATION	2013-05-08
31/5-H-3 H	3089	31/5-H-3	DEVELOPMENT	2013-05-08
31/5-H-3 AH	3090	31/5-H-3	DEVELOPMENT	2013-05-08
31/5-H-3 BH	3091	31/5-H-3	DEVELOPMENT	2013-05-08
6407/8-3	3092	6407/8-3	EXPLORATION	2013-05-08
2/4-X-9	3093	2/4-X-9	DEVELOPMENT	2013-05-08
31/6-A-33	3097	31/6-A-33	DEVELOPMENT	2013-05-08
25/10-8 A	3098	25/10-8	EXPLORATION	2013-05-08
33/9-C-23	3099	33/9-C-23	DEVELOPMENT	2013-05-08
33/9-C-23 A	3100	33/9-C-23	DEVELOPMENT	2013-05-08
2/4-X-42	3101	2/4-X-42	DEVELOPMENT	2013-05-08
25/11-C-13 H	3102	25/11-C-13	DEVELOPMENT	2013-05-08
6506/12-L-3 H	3107	6506/12-L-3	DEVELOPMENT	2013-05-08
34/10-B-38	3108	34/10-B-38	DEVELOPMENT	2013-05-08
34/10-B-13 A	3111	34/10-B-13	DEVELOPMENT	2013-05-08
6507/7-A-7	3112	6507/7-A-7	DEVELOPMENT	2013-05-08
15/5-6	3113	15/5-6	EXPLORATION	2013-05-08
34/7-B-1 AH	3115	34/7-B-1	DEVELOPMENT	2013-05-08
30/3-A-8 A	3116	30/3-A-8	DEVELOPMENT	2013-05-08
25/11-19 SR	3117	25/11-19	EXPLORATION	2013-05-08
33/12-B-22 A	3118	33/12-B-22	DEVELOPMENT	2013-05-08
25/11-D-10 BH	3119	25/11-D-10	DEVELOPMENT	2013-05-08
31/6-A-28	3120	31/6-A-28	DEVELOPMENT	2013-05-08
2/4-X-3	3121	2/4-X-3	DEVELOPMENT	2013-05-08
6506/12-K-3 H	3124	6506/12-K-3	DEVELOPMENT	2013-05-08
6406/2-5	3125	6406/2-5	EXPLORATION	2013-05-08
9/2-8 S	3126	9/2-8	EXPLORATION	2013-05-08
2/8-A-9 A	3127	2/8-A-9	DEVELOPMENT	2013-05-08
31/6-A-37	3130	31/6-A-37	DEVELOPMENT	2013-05-08
6507/7-11 S	3131	6507/7-11	EXPLORATION	2013-05-08
25/7-5	3132	25/7-5	EXPLORATION	2013-05-08
34/7-P-18 A	3133	34/7-P-18	DEVELOPMENT	2013-05-08
34/10-C-37	3134	34/10-C-37	DEVELOPMENT	2013-05-08
2/7-A-14 B	3135	2/7-A-14	DEVELOPMENT	2013-05-08
2/7-A-15 A	3136	2/7-A-15	DEVELOPMENT	2013-05-08
34/8-A-1 H	3140	34/8-A-1	DEVELOPMENT	2013-05-08
34/8-A-1 AH	3141	34/8-A-1	DEVELOPMENT	2013-05-08
33/12-B-38 A	3142	33/12-B-38	DEVELOPMENT	2013-05-08
34/4-10	3143	34/4-10	EXPLORATION	2013-05-08
6305/5-1	3144	6305/5-1	EXPLORATION	2013-05-08
15/9-19 A	3145	15/9-19	EXPLORATION	2013-05-08
6506/12-P-3 H	3149	6506/12-P-3	DEVELOPMENT	2013-05-08
6506/12-P-3 AH	3150	6506/12-P-3	DEVELOPMENT	2013-05-08
35/11-10 A	3151	35/11-10	EXPLORATION	2013-05-08
6506/12-K-1 H	3155	6506/12-K-1	DEVELOPMENT	2013-05-08
6506/12-L-2 H	3156	6506/12-L-2	DEVELOPMENT	2013-05-08
2/4-X-47	3157	2/4-X-47	DEVELOPMENT	2013-05-08
31/5-J-41	3158	31/5-J-41	DEVELOPMENT	2013-05-08
6507/7-A-28	3159	6507/7-A-28	DEVELOPMENT	2013-05-08
31/4-A-37	3160	31/4-A-37	DEVELOPMENT	2013-05-08
31/4-A-37 A	3161	31/4-A-37	DEVELOPMENT	2013-05-08
31/4-A-37 B	3162	31/4-A-37	DEVELOPMENT	2013-05-08
34/10-F-4 H	3163	34/10-F-4	DEVELOPMENT	2013-05-08
34/10-F-4 AH	3164	34/10-F-4	DEVELOPMENT	2013-05-08
6506/12-K-2 H	3165	6506/12-K-2	DEVELOPMENT	2013-05-08
6510/2-1	3166	6510/2-1	EXPLORATION	2013-05-08
2/8-A-20 D	3167	2/8-A-20	DEVELOPMENT	2013-05-08
34/7-26 S	3168	34/7-26	EXPLORATION	2013-05-08
34/7-P-35	3169	34/7-P-35	DEVELOPMENT	2013-05-08
15/9-B-4	3170	15/9-B-4	DEVELOPMENT	2013-05-08
31/4-A-11	3171	31/4-A-11	DEVELOPMENT	2013-05-08
6506/11-G-4 H	3172	6506/11-G-4	DEVELOPMENT	2013-05-08
30/9-B-26 B	3173	30/9-B-26	DEVELOPMENT	2013-05-08
30/9-B-26 C	3174	30/9-B-26	DEVELOPMENT	2013-05-08
33/9-C-42 A	3175	33/9-C-42	DEVELOPMENT	2013-05-08
30/3-7 A	3176	30/3-7	EXPLORATION	2013-05-08
34/8-A-1 BH	3177	34/8-A-1	DEVELOPMENT	2013-05-08
2/1-A-29	3178	2/1-A-29	DEVELOPMENT	2013-05-08
30/9-B-26 A	3179	30/9-B-26	DEVELOPMENT	2013-05-08
15/9-19 SR2	3180	15/9-19	EXPLORATION	2013-05-08
34/7-J-7 AH	3181	34/7-J-7	DEVELOPMENT	2013-05-08
2/4-X-1	3182	2/4-X-1	DEVELOPMENT	2013-05-08
31/2-D-5 H	3183	31/2-D-5	DEVELOPMENT	2013-05-08
31/2-D-5 AH	3184	31/2-D-5	DEVELOPMENT	2013-05-08
15/9-C-2 AH	3185	15/9-C-2	DEVELOPMENT	2013-05-08
2/7-B-5 B	3186	2/7-B-5	DEVELOPMENT	2013-05-08
33/9-A-38 A	3187	33/9-A-38	DEVELOPMENT	2013-05-08
6506/12-S-1 H	3188	6506/12-S-1	DEVELOPMENT	2013-05-08
6506/12-S-1 AH	3189	6506/12-S-1	DEVELOPMENT	2013-05-08
2/4-X-40	3191	2/4-X-40	DEVELOPMENT	2013-05-08
25/8-5 SR	3192	25/8-5	EXPLORATION	2013-05-08
6507/11-5 S	3193	6507/11-5	EXPLORATION	2013-05-08
6506/12-I-1 H	3194	6506/12-I-1	DEVELOPMENT	2013-05-08
34/7-P-26	3195	34/7-P-26	DEVELOPMENT	2013-05-08
2/8-A-5 B	3198	2/8-A-5	DEVELOPMENT	2013-05-08
25/11-A-5 BH	3199	25/11-A-5	DEVELOPMENT	2013-05-08
34/8-A-7 H	3200	34/8-A-7	DEVELOPMENT	2013-05-08
34/8-A-7 AH	3201	34/8-A-7	DEVELOPMENT	2013-05-08
6706/11-1	3202	6706/11-1	EXPLORATION	2013-05-08
31/6-A-4	3203	31/6-A-4	DEVELOPMENT	2013-05-08
31/6-A-9	3204	31/6-A-9	DEVELOPMENT	2013-05-08
31/6-A-8	3205	31/6-A-8	DEVELOPMENT	2013-05-08
35/9-3	3206	35/9-3	EXPLORATION	2013-05-08
25/8-11	3209	25/8-11	EXPLORATION	2013-05-08
2/8-17 S	3210	2/8-17	EXPLORATION	2013-05-08
2/8-F-17	3211	2/8-F-17	DEVELOPMENT	2013-05-08
33/9-A-41 A	3212	33/9-A-41	DEVELOPMENT	2013-05-08
6406/2-5 A	3213	6406/2-5	EXPLORATION	2013-05-08
34/7-27	3214	34/7-27	EXPLORATION	2013-05-08
31/2-D-10 H	3218	31/2-D-10	DEVELOPMENT	2013-05-08
15/12-A-8	3221	15/12-A-8	DEVELOPMENT	2013-05-08
30/3-7 B	3229	30/3-7	EXPLORATION	2013-05-08
31/4-A-11 A	3235	31/4-A-11	DEVELOPMENT	2013-05-08
2/8-F-18	3236	2/8-F-18	DEVELOPMENT	2013-05-08
2/8-F-19	3237	2/8-F-19	DEVELOPMENT	2013-05-08
2/8-F-14	3238	2/8-F-14	DEVELOPMENT	2013-05-08
2/8-F-15	3239	2/8-F-15	DEVELOPMENT	2013-05-08
2/8-F-16	3240	2/8-F-16	DEVELOPMENT	2013-05-08
2/8-A-19 A	3242	2/8-A-19	DEVELOPMENT	2013-05-08
25/11-22	3243	25/11-22	EXPLORATION	2013-05-08
16/7-7 S	3244	16/7-7	EXPLORATION	2013-05-08
30/8-3	3246	30/8-3	EXPLORATION	2013-05-08
31/2-P-41	3247	31/2-P-41	DEVELOPMENT	2013-05-08
2/4-X-31	3248	2/4-X-31	DEVELOPMENT	2013-05-08
6204/11-2	3249	6204/11-2	EXPLORATION	2013-05-08
15/3-6	3250	15/3-6	EXPLORATION	2013-05-08
15/9-19 B	3251	15/9-19	EXPLORATION	2013-05-08
31/6-A-24	3253	31/6-A-24	DEVELOPMENT	2013-05-08
31/6-A-21	3254	31/6-A-21	DEVELOPMENT	2013-05-08
31/6-A-22	3255	31/6-A-22	DEVELOPMENT	2013-05-08
31/6-A-23	3256	31/6-A-23	DEVELOPMENT	2013-05-08
1/5-3 S	3257	1/5-3	EXPLORATION	2013-05-08
6204/10-2 R	3258	6204/10-2	EXPLORATION	2013-05-08
6505/10-1	3259	6505/10-1	EXPLORATION	2013-05-08
6608/10-6	3260	6608/10-6	EXPLORATION	2013-05-08
15/9-B-11	3261	15/9-B-11	DEVELOPMENT	2013-05-08
35/2-U-2	5538	35/2-U-2	SHALLOW	2013-05-08
6510/2-1 R	3263	6510/2-1	EXPLORATION	2013-05-08
34/10-A-19 A	3265	34/10-A-19	DEVELOPMENT	2013-05-08
25/8-U-1	3266	25/8-U-1	SHALLOW	2013-05-08
33/9-C-19 A	3267	33/9-C-19	DEVELOPMENT	2013-05-08
31/5-I-21 H	3268	31/5-I-21	DEVELOPMENT	2013-05-08
31/5-I-21 AH	3269	31/5-I-21	DEVELOPMENT	2013-05-08
34/8-A-2 H	3270	34/8-A-2	DEVELOPMENT	2013-05-08
6506/12-R-4 H	3271	6506/12-R-4	DEVELOPMENT	2013-05-08
25/8-U-2	3272	25/8-U-2	SHALLOW	2013-05-08
25/8-U-3	3273	25/8-U-3	SHALLOW	2013-05-08
25/8-U-4	3274	25/8-U-4	SHALLOW	2013-05-08
25/8-U-5	3275	25/8-U-5	SHALLOW	2013-05-08
25/8-U-6	3276	25/8-U-6	SHALLOW	2013-05-08
25/8-U-7	3277	25/8-U-7	SHALLOW	2013-05-08
25/11-C-3 BH	3278	25/11-C-3	DEVELOPMENT	2013-05-08
16/1-5	3279	16/1-5	EXPLORATION	2013-05-08
6204/10-2 A	3280	6204/10-2	EXPLORATION	2013-05-08
30/9-B-20 A	3281	30/9-B-20	DEVELOPMENT	2013-05-08
34/7-28	3282	34/7-28	EXPLORATION	2013-05-08
6508/1-1 S	3284	6508/1-1	EXPLORATION	2013-05-08
6507/7-A-22	3285	6507/7-A-22	DEVELOPMENT	2013-05-08
31/4-A-20	3286	31/4-A-20	DEVELOPMENT	2013-05-08
15/9-B-22	3287	15/9-B-22	DEVELOPMENT	2013-05-08
15/9-B-22 A	3288	15/9-B-22	DEVELOPMENT	2013-05-08
30/9-B-46 A	3290	30/9-B-46	DEVELOPMENT	2013-05-08
15/12-A-5	3291	15/12-A-5	DEVELOPMENT	2013-05-08
15/12-A-14	3292	15/12-A-14	DEVELOPMENT	2013-05-08
15/12-A-6	3293	15/12-A-6	DEVELOPMENT	2013-05-08
15/12-A-12	3294	15/12-A-12	DEVELOPMENT	2013-05-08
15/12-A-13	3295	15/12-A-13	DEVELOPMENT	2013-05-08
15/12-A-15	3296	15/12-A-15	DEVELOPMENT	2013-05-08
31/5-I-22 H	3298	31/5-I-22	DEVELOPMENT	2013-05-08
31/5-I-22 AH	3299	31/5-I-22	DEVELOPMENT	2013-05-08
30/3-A-10 A	3302	30/3-A-10	DEVELOPMENT	2013-05-08
30/3-A-10 B	3303	30/3-A-10	DEVELOPMENT	2013-05-08
2/4-X-10	3304	2/4-X-10	DEVELOPMENT	2013-05-08
6704/12-U-1	3305	6704/12-U-1	SHALLOW	2013-05-08
6506/11-6	3306	6506/11-6	EXPLORATION	2013-05-08
31/2-L-41	3308	31/2-L-41	DEVELOPMENT	2013-05-08
31/5-I-14 H	3309	31/5-I-14	DEVELOPMENT	2013-05-08
2/4-X-5	3310	2/4-X-5	DEVELOPMENT	2013-05-08
30/9-B-30 B	3311	30/9-B-30	DEVELOPMENT	2013-05-08
2/4-X-36	3312	2/4-X-36	DEVELOPMENT	2013-05-08
34/7-29 S	3313	34/7-29	EXPLORATION	2013-05-08
34/11-4	3314	34/11-4	EXPLORATION	2013-05-08
34/7-26 SR	3315	34/7-26	EXPLORATION	2013-05-08
25/11-B-11 H	3316	25/11-B-11	DEVELOPMENT	2013-05-08
25/11-B-14 H	3317	25/11-B-14	DEVELOPMENT	2013-05-08
25/11-B-14 AH	3318	25/11-B-14	DEVELOPMENT	2013-05-08
34/10-A-14 A	3319	34/10-A-14	DEVELOPMENT	2013-05-08
34/8-A-1 CH	3320	34/8-A-1	DEVELOPMENT	2013-05-08
2/8-A-6 A	3321	2/8-A-6	DEVELOPMENT	2013-05-08
6506/11-7	3322	6506/11-7	EXPLORATION	2013-05-08
33/9-A-11 AY1	3324	33/9-A-11	DEVELOPMENT	2013-05-08
33/9-A-11 AY2	3325	33/9-A-11	DEVELOPMENT	2013-05-08
2/8-17 A	3328	2/8-17	EXPLORATION	2013-05-08
34/7-26 A	3329	34/7-26	EXPLORATION	2013-05-08
31/2-P-13 H	3330	31/2-P-13	DEVELOPMENT	2013-05-08
31/5-I-23 H	3331	31/5-I-23	DEVELOPMENT	2013-05-08
31/5-I-14 AH	3332	31/5-I-14	DEVELOPMENT	2013-05-08
31/5-I-23 AH	3333	31/5-I-23	DEVELOPMENT	2013-05-08
15/9-21 S	3334	15/9-21	EXPLORATION	2013-05-08
6407/7-A-7 H	3335	6407/7-A-7	DEVELOPMENT	2013-05-08
31/4-A-36	3336	31/4-A-36	DEVELOPMENT	2013-05-08
6506/12-P-2 H	3342	6506/12-P-2	DEVELOPMENT	2013-05-08
31/2-P-13 AH	3348	31/2-P-13	DEVELOPMENT	2013-05-08
9/2-A-3	3349	9/2-A-3	DEVELOPMENT	2013-05-08
31/2-M-42 H	3350	31/2-M-42	DEVELOPMENT	2013-05-08
2/7-B-5 C	3352	2/7-B-5	DEVELOPMENT	2013-05-08
34/7-P-21	3354	34/7-P-21	DEVELOPMENT	2013-05-08
35/11-11	3356	35/11-11	EXPLORATION	2013-05-08
6407/7-A-6 H	3357	6407/7-A-6	DEVELOPMENT	2013-05-08
6407/7-A-11 H	3358	6407/7-A-11	DEVELOPMENT	2013-05-08
6407/7-A-17 H	3359	6407/7-A-17	DEVELOPMENT	2013-05-08
34/10-K-2 H	3360	34/10-K-2	DEVELOPMENT	2013-05-08
1/3-9 S	3362	1/3-9	EXPLORATION	2013-05-08
6506/12-S-2 H	3363	6506/12-S-2	DEVELOPMENT	2013-05-08
2/4-X-12	3364	2/4-X-12	DEVELOPMENT	2013-05-08
2/4-K-11 A	3365	2/4-K-11	DEVELOPMENT	2013-05-08
6507/7-A-18	3366	6507/7-A-18	DEVELOPMENT	2013-05-08
34/10-C-38	3367	34/10-C-38	DEVELOPMENT	2013-05-08
7/12-A-7 B	3368	7/12-A-7	DEVELOPMENT	2013-05-08
2/7-B-2 B	3369	2/7-B-2	DEVELOPMENT	2013-05-08
2/4-X-39	3370	2/4-X-39	DEVELOPMENT	2013-05-08
31/2-P-14 H	3371	31/2-P-14	DEVELOPMENT	2013-05-08
31/2-P-14 AH	3372	31/2-P-14	DEVELOPMENT	2013-05-08
7/12-A-7 C	3373	7/12-A-7	DEVELOPMENT	2013-05-08
34/7-E-2 H	3378	34/7-E-2	DEVELOPMENT	2013-05-08
34/10-H-2 H	3379	34/10-H-2	DEVELOPMENT	2013-05-08
25/11-C-12 H	3381	25/11-C-12	DEVELOPMENT	2013-05-08
34/10-H-2 AH	3382	34/10-H-2	DEVELOPMENT	2013-05-08
6407/7-A-16 H	3383	6407/7-A-16	DEVELOPMENT	2013-05-08
2/4-X-2	3386	2/4-X-2	DEVELOPMENT	2013-05-08
2/4-X-2 A	3387	2/4-X-2	DEVELOPMENT	2013-05-08
30/9-B-21 A	3388	30/9-B-21	DEVELOPMENT	2013-05-08
30/9-B-21 B	3389	30/9-B-21	DEVELOPMENT	2013-05-08
6507/7-A-40	3390	6507/7-A-40	DEVELOPMENT	2013-05-08
15/12-12	3391	15/12-12	EXPLORATION	2013-05-08
6506/12-I-3 H	3393	6506/12-I-3	DEVELOPMENT	2013-05-08
33/12-B-39 A	3394	33/12-B-39	DEVELOPMENT	2013-05-08
33/12-B-39 B	3395	33/12-B-39	DEVELOPMENT	2013-05-08
31/3-S-41	3396	31/3-S-41	DEVELOPMENT	2013-05-08
24/6-2	3397	24/6-2	EXPLORATION	2013-05-08
2/4-K-10 A	3398	2/4-K-10	DEVELOPMENT	2013-05-08
34/10-B-39	3399	34/10-B-39	DEVELOPMENT	2013-05-08
6404/5-U-1	3400	6404/5-U-1	SHALLOW	2013-05-08
6405/2-U-1	3401	6405/2-U-1	SHALLOW	2013-05-08
6606/3-U-1	3402	6606/3-U-1	SHALLOW	2013-05-08
2/8-A-3 C	3403	2/8-A-3	DEVELOPMENT	2013-05-08
6406/2-6	3407	6406/2-6	EXPLORATION	2013-05-08
31/2-Q-13 H	3408	31/2-Q-13	DEVELOPMENT	2013-05-08
31/2-Q-13 AH	3409	31/2-Q-13	DEVELOPMENT	2013-05-08
2/4-X-7	3410	2/4-X-7	DEVELOPMENT	2013-05-08
34/7-P-14 AY2	3412	34/7-P-14	DEVELOPMENT	2013-05-08
2/4-X-34	3413	2/4-X-34	DEVELOPMENT	2013-05-08
34/10-C-39	3419	34/10-C-39	DEVELOPMENT	2013-05-08
6506/12-R-2 H	3504	6506/12-R-2	DEVELOPMENT	2013-05-08
35/9-4 S	3524	35/9-4	EXPLORATION	2013-05-08
34/10-D-4 H	3526	34/10-D-4	DEVELOPMENT	2013-05-08
31/2-D-1 H	3529	31/2-D-1	DEVELOPMENT	2013-05-08
31/2-D-1 AH	3530	31/2-D-1	DEVELOPMENT	2013-05-08
16/10-4	3531	16/10-4	EXPLORATION	2013-05-08
31/2-Q-11 H	3532	31/2-Q-11	DEVELOPMENT	2013-05-08
31/2-Q-11 AH	3533	31/2-Q-11	DEVELOPMENT	2013-05-08
31/2-Q-14 H	3534	31/2-Q-14	DEVELOPMENT	2013-05-08
6305/7-1	3535	6305/7-1	EXPLORATION	2013-05-08
34/7-P-42	3537	34/7-P-42	DEVELOPMENT	2013-05-08
31/2-S-14 H	3538	31/2-S-14	DEVELOPMENT	2013-05-08
31/2-S-14 AH	3539	31/2-S-14	DEVELOPMENT	2013-05-08
30/9-B-41 A	3540	30/9-B-41	DEVELOPMENT	2013-05-08
30/3-A-9 A	3541	30/3-A-9	DEVELOPMENT	2013-05-08
31/4-A-35	3542	31/4-A-35	DEVELOPMENT	2013-05-08
34/10-C-40	3549	34/10-C-40	DEVELOPMENT	2013-05-08
34/10-B-40	3550	34/10-B-40	DEVELOPMENT	2013-05-08
25/11-D-10 AH	3551	25/11-D-10	DEVELOPMENT	2013-05-08
6506/12-P-1 H	3552	6506/12-P-1	DEVELOPMENT	2013-05-08
6507/7-A-37	3553	6507/7-A-37	DEVELOPMENT	2013-05-08
33/9-C-12 A	3554	33/9-C-12	DEVELOPMENT	2013-05-08
6305/1-1	3555	6305/1-1	EXPLORATION	2013-05-08
33/12-B-24 A	3556	33/12-B-24	DEVELOPMENT	2013-05-08
6608/10-E-3 H	3557	6608/10-E-3	DEVELOPMENT	2013-05-08
7120/6-2 S	3558	7120/6-2	EXPLORATION	2013-05-08
6506/12-S-3 H	3559	6506/12-S-3	DEVELOPMENT	2013-05-08
31/4-A-34	3560	31/4-A-34	DEVELOPMENT	2013-05-08
30/9-19	3561	30/9-19	EXPLORATION	2013-05-08
30/6-E-9	3562	30/6-E-9	DEVELOPMENT	2013-05-08
25/11-C-17 H	3563	25/11-C-17	DEVELOPMENT	2013-05-08
25/11-C-17 AH	3564	25/11-C-17	DEVELOPMENT	2013-05-08
34/7-J-1 H	3565	34/7-J-1	DEVELOPMENT	2013-05-08
6507/11-Y-1 H	3566	6507/11-Y-1	DEVELOPMENT	2013-05-08
34/7-P-42 A	3567	34/7-P-42	DEVELOPMENT	2013-05-08
34/10-K-2 AH	3568	34/10-K-2	DEVELOPMENT	2013-05-08
33/12-B-35 A	3569	33/12-B-35	DEVELOPMENT	2013-05-08
30/6-E-2	3572	30/6-E-2	DEVELOPMENT	2013-05-08
2/7-31	3573	2/7-31	EXPLORATION	2013-05-08
34/7-P-14 B	3574	34/7-P-14	DEVELOPMENT	2013-05-08
2/4-X-27	3575	2/4-X-27	DEVELOPMENT	2013-05-08
15/12-A-2	3576	15/12-A-2	DEVELOPMENT	2013-05-08
15/12-A-11	3577	15/12-A-11	DEVELOPMENT	2013-05-08
30/6-25 S	3578	30/6-25	EXPLORATION	2013-05-08
34/7-P-36	3583	34/7-P-36	DEVELOPMENT	2013-05-08
34/10-E-4 H	3585	34/10-E-4	DEVELOPMENT	2013-05-08
31/4-A-33	3586	31/4-A-33	DEVELOPMENT	2013-05-08
31/4-A-33 A	3587	31/4-A-33	DEVELOPMENT	2013-05-08
34/10-E-3 H	3589	34/10-E-3	DEVELOPMENT	2013-05-08
31/2-S-13 H	3591	31/2-S-13	DEVELOPMENT	2013-05-08
31/2-S-13 AH	3592	31/2-S-13	DEVELOPMENT	2013-05-08
30/9-19 A	3593	30/9-19	EXPLORATION	2013-05-08
33/12-B-16 B	3594	33/12-B-16	DEVELOPMENT	2013-05-08
2/4-X-48	3595	2/4-X-48	DEVELOPMENT	2013-05-08
33/9-A-25 A	3602	33/9-A-25	DEVELOPMENT	2013-05-08
6507/11-Y-4 H	3603	6507/11-Y-4	DEVELOPMENT	2013-05-08
6507/11-Y-2 H	3604	6507/11-Y-2	DEVELOPMENT	2013-05-08
31/6-A-21 A	3605	31/6-A-21	DEVELOPMENT	2013-05-08
7533/3-U-7	3607	7533/3-U-7	SHALLOW	2013-05-08
7634/6-U-3	3608	7634/6-U-3	SHALLOW	2013-05-08
7533/2-U-1	3609	7533/2-U-1	SHALLOW	2013-05-08
7634/6-U-1	3610	7634/6-U-1	SHALLOW	2013-05-08
7533/2-U-2	3611	7533/2-U-2	SHALLOW	2013-05-08
7533/2-U-3	3613	7533/2-U-3	SHALLOW	2013-05-08
34/10-H-1 H	3617	34/10-H-1	DEVELOPMENT	2013-05-08
34/10-H-1 AH	3618	34/10-H-1	DEVELOPMENT	2013-05-08
30/9-B-13 A	3619	30/9-B-13	DEVELOPMENT	2013-05-08
6506/11-F-4 H	3620	6506/11-F-4	DEVELOPMENT	2013-05-08
6506/12-I-4 H	3621	6506/12-I-4	DEVELOPMENT	2013-05-08
6506/11-G-1 H	3622	6506/11-G-1	DEVELOPMENT	2013-05-08
6507/11-Y-3 H	3623	6507/11-Y-3	DEVELOPMENT	2013-05-08
31/5-I-11 H	3624	31/5-I-11	DEVELOPMENT	2013-05-08
31/5-I-11 AH	3625	31/5-I-11	DEVELOPMENT	2013-05-08
16/1-5 A	3626	16/1-5	EXPLORATION	2013-05-08
6406/2-4 SR	3627	6406/2-4	EXPLORATION	2013-05-08
34/10-B-40 A	3628	34/10-B-40	DEVELOPMENT	2013-05-08
2/8-A-22 A	3630	2/8-A-22	DEVELOPMENT	2013-05-08
34/7-P-10	3631	34/7-P-10	DEVELOPMENT	2013-05-08
33/9-A-11 AY3	3632	33/9-A-11	DEVELOPMENT	2013-05-08
34/7-P-20	3635	34/7-P-20	DEVELOPMENT	2013-05-08
30/6-C-27 AH	3636	30/6-C-27	DEVELOPMENT	2013-05-08
34/7-E-3 H	3638	34/7-E-3	DEVELOPMENT	2013-05-08
33/9-C-30 A	3639	33/9-C-30	DEVELOPMENT	2013-05-08
34/7-I-11 H	3640	34/7-I-11	DEVELOPMENT	2013-05-08
6507/7-A-44	3641	6507/7-A-44	DEVELOPMENT	2013-05-08
6608/10-E-1 H	3643	6608/10-E-1	DEVELOPMENT	2013-05-08
6608/10-E-2 H	3644	6608/10-E-2	DEVELOPMENT	2013-05-08
6608/10-E-4 H	3645	6608/10-E-4	DEVELOPMENT	2013-05-08
2/1-12	3648	2/1-12	EXPLORATION	2013-05-08
30/9-F-20	3649	30/9-F-20	DEVELOPMENT	2013-05-08
34/10-B-39 A	3650	34/10-B-39	DEVELOPMENT	2013-05-08
31/4-A-38	3651	31/4-A-38	DEVELOPMENT	2013-05-08
31/5-J-11 H	3653	31/5-J-11	DEVELOPMENT	2013-05-08
31/5-J-11 AH	3654	31/5-J-11	DEVELOPMENT	2013-05-08
6506/12-L-4 H	3656	6506/12-L-4	DEVELOPMENT	2013-05-08
34/8-A-3 H	3662	34/8-A-3	DEVELOPMENT	2013-05-08
31/2-S-12 H	3666	31/2-S-12	DEVELOPMENT	2013-05-08
6507/3-3	3668	6507/3-3	EXPLORATION	2013-05-08
33/9-G-4 H	3669	33/9-G-4	DEVELOPMENT	2013-05-08
33/9-G-4 AH	3670	33/9-G-4	DEVELOPMENT	2013-05-08
30/9-F-19	3672	30/9-F-19	DEVELOPMENT	2013-05-08
30/9-F-19 A	3673	30/9-F-19	DEVELOPMENT	2013-05-08
6506/12-L-2 AH	3674	6506/12-L-2	DEVELOPMENT	2013-05-08
25/8-B-17	3678	25/8-B-17	DEVELOPMENT	2013-05-08
33/9-C-12 B	3681	33/9-C-12	DEVELOPMENT	2013-05-08
6507/5-1	3683	6507/5-1	EXPLORATION	2013-05-08
34/10-D-1 H	3686	34/10-D-1	DEVELOPMENT	2013-05-08
34/10-D-3 H	3687	34/10-D-3	DEVELOPMENT	2013-05-08
34/7-P-36 A	3689	34/7-P-36	DEVELOPMENT	2013-05-08
34/10-D-2 H	3690	34/10-D-2	DEVELOPMENT	2013-05-08
33/9-C-19 B	3691	33/9-C-19	DEVELOPMENT	2013-05-08
30/3-A-18 A	3693	30/3-A-18	DEVELOPMENT	2013-05-08
33/9-A-14 A	3694	33/9-A-14	DEVELOPMENT	2013-05-08
6507/7-C-4 H	3698	6507/7-C-4	DEVELOPMENT	2013-05-08
34/7-29 SR	3702	34/7-29	EXPLORATION	2013-05-08
9/2-9 S	3703	9/2-9	EXPLORATION	2013-05-08
34/7-A-2 AH	3704	34/7-A-2	DEVELOPMENT	2013-05-08
6407/7-A-13 H	3705	6407/7-A-13	DEVELOPMENT	2013-05-08
30/3-A-5 A	3706	30/3-A-5	DEVELOPMENT	2013-05-08
34/10-B-4 A	3707	34/10-B-4	DEVELOPMENT	2013-05-08
30/9-F-14	3708	30/9-F-14	DEVELOPMENT	2013-05-08
30/9-F-14 A	3709	30/9-F-14	DEVELOPMENT	2013-05-08
2/4-X-16	3710	2/4-X-16	DEVELOPMENT	2013-05-08
33/9-L-1 H	3713	33/9-L-1	DEVELOPMENT	2013-05-08
2/7-D-9	3714	2/7-D-9	DEVELOPMENT	2013-05-08
6506/12-I-2 H	3715	6506/12-I-2	DEVELOPMENT	2013-05-08
30/9-B-29 A	3716	30/9-B-29	DEVELOPMENT	2013-05-08
30/9-B-29 B	3717	30/9-B-29	DEVELOPMENT	2013-05-08
6507/3-3 A	3718	6507/3-3	EXPLORATION	2013-05-08
35/10-3	3719	35/10-3	EXPLORATION	2013-05-08
34/7-E-1 H	3720	34/7-E-1	DEVELOPMENT	2013-05-08
34/7-E-4 H	3721	34/7-E-4	DEVELOPMENT	2013-05-08
25/8-B-2	3731	25/8-B-2	DEVELOPMENT	2013-05-08
25/8-B-2 A	3732	25/8-B-2	DEVELOPMENT	2013-05-08
6507/7-A-48	3733	6507/7-A-48	DEVELOPMENT	2013-05-08
6507/7-B-4 H	3735	6507/7-B-4	DEVELOPMENT	2013-05-08
34/10-C-41	3738	34/10-C-41	DEVELOPMENT	2013-05-08
30/9-B-12 B	3739	30/9-B-12	DEVELOPMENT	2013-05-08
9/2-A-4 A	3740	9/2-A-4	DEVELOPMENT	2013-05-08
31/5-J-13 H	3743	31/5-J-13	DEVELOPMENT	2013-05-08
31/5-J-13 AY1H	3744	31/5-J-13	DEVELOPMENT	2013-05-08
33/9-C-18 A	3745	33/9-C-18	DEVELOPMENT	2013-05-08
6608/10-F-1 H	3751	6608/10-F-1	DEVELOPMENT	2013-05-08
34/7-I-10 H	3752	34/7-I-10	DEVELOPMENT	2013-05-08
31/2-P-12 H	3753	31/2-P-12	DEVELOPMENT	2013-05-08
6507/7-A-46 A	3754	6507/7-A-46	DEVELOPMENT	2013-05-08
25/11-23	3755	25/11-23	EXPLORATION	2013-05-08
6507/5-2	3756	6507/5-2	EXPLORATION	2013-05-08
34/7-30 S	3757	34/7-30	EXPLORATION	2013-05-08
6506/12-J-1 H	3758	6506/12-J-1	DEVELOPMENT	2013-05-08
6704/12-1	3759	6704/12-1	EXPLORATION	2013-05-08
31/2-K-23 H	3760	31/2-K-23	DEVELOPMENT	2013-05-08
31/2-K-23 AH	3761	31/2-K-23	DEVELOPMENT	2013-05-08
30/9-F-18	3762	30/9-F-18	DEVELOPMENT	2013-05-08
30/9-F-18 A	3763	30/9-F-18	DEVELOPMENT	2013-05-08
25/8-12 S	3771	25/8-12	EXPLORATION	2013-05-08
25/8-12 A	3772	25/8-12	EXPLORATION	2013-05-08
6507/3-3 B	3773	6507/3-3	EXPLORATION	2013-05-08
6608/10-F-2 H	3777	6608/10-F-2	DEVELOPMENT	2013-05-08
6608/10-F-3 H	3778	6608/10-F-3	DEVELOPMENT	2013-05-08
6608/10-F-4 H	3779	6608/10-F-4	DEVELOPMENT	2013-05-08
6407/12-1	3781	6407/12-1	EXPLORATION	2013-05-08
31/2-K-13 H	3784	31/2-K-13	DEVELOPMENT	2013-05-08
31/2-K-13 AH	3786	31/2-K-13	DEVELOPMENT	2013-05-08
34/7-P-45	3789	34/7-P-45	DEVELOPMENT	2013-05-08
33/9-C-40 A	3790	33/9-C-40	DEVELOPMENT	2013-05-08
35/8-4	3791	35/8-4	EXPLORATION	2013-05-08
6506/11-F-2 H	3792	6506/11-F-2	DEVELOPMENT	2013-05-08
34/10-H-3 H	3793	34/10-H-3	DEVELOPMENT	2013-05-08
30/6-E-4	3794	30/6-E-4	DEVELOPMENT	2013-05-08
30/6-E-4 A	3795	30/6-E-4	DEVELOPMENT	2013-05-08
33/12-B-6 B	3796	33/12-B-6	DEVELOPMENT	2013-05-08
30/9-K-12 H	3797	30/9-K-12	DEVELOPMENT	2013-05-08
6407/7-A-5 H	3801	6407/7-A-5	DEVELOPMENT	2013-05-08
6407/9-A-4	3803	6407/9-A-4	DEVELOPMENT	2013-05-08
6407/9-A-4 A	3804	6407/9-A-4	DEVELOPMENT	2013-05-08
34/10-D-3 AH	3805	34/10-D-3	DEVELOPMENT	2013-05-08
25/8-B-1	3810	25/8-B-1	DEVELOPMENT	2013-05-08
6507/7-12	3812	6507/7-12	EXPLORATION	2013-05-08
6507/7-A-13	3813	6507/7-A-13	DEVELOPMENT	2013-05-08
34/10-K-4 H	3814	34/10-K-4	DEVELOPMENT	2013-05-08
33/9-C-23 B	3815	33/9-C-23	DEVELOPMENT	2013-05-08
34/10-42 S	3816	34/10-42	EXPLORATION	2013-05-08
6407/7-A-18 H	3825	6407/7-A-18	DEVELOPMENT	2013-05-08
9/2-A-6 A	3830	9/2-A-6	DEVELOPMENT	2013-05-08
25/8-B-3	3831	25/8-B-3	DEVELOPMENT	2013-05-08
30/9-B-33	3839	30/9-B-33	DEVELOPMENT	2013-05-08
30/9-B-33 A	3840	30/9-B-33	DEVELOPMENT	2013-05-08
2/7-A-16 A	3841	2/7-A-16	DEVELOPMENT	2013-05-08
6508/1-1 A	3849	6508/1-1	EXPLORATION	2013-05-08
34/10-C-42	3853	34/10-C-42	DEVELOPMENT	2013-05-08
33/9-C-5 A	3854	33/9-C-5	DEVELOPMENT	2013-05-08
33/9-C-5 B	3855	33/9-C-5	DEVELOPMENT	2013-05-08
31/2-K-22 H	3856	31/2-K-22	DEVELOPMENT	2013-05-08
31/2-K-22 AH	3857	31/2-K-22	DEVELOPMENT	2013-05-08
34/7-B-3 H	3858	34/7-B-3	DEVELOPMENT	2013-05-08
2/7-D-6	3860	2/7-D-6	DEVELOPMENT	2013-05-08
31/2-O-11 H	3862	31/2-O-11	DEVELOPMENT	2013-05-08
6506/12-J-2 H	3863	6506/12-J-2	DEVELOPMENT	2013-05-08
6506/12-J-3 H	3864	6506/12-J-3	DEVELOPMENT	2013-05-08
33/9-A-22 A	3865	33/9-A-22	DEVELOPMENT	2013-05-08
15/9-B-20	3868	15/9-B-20	DEVELOPMENT	2013-05-08
6507/7-A-43	3870	6507/7-A-43	DEVELOPMENT	2013-05-08
33/9-C-1 B	3871	33/9-C-1	DEVELOPMENT	2013-05-08
30/9-K-13 H	3872	30/9-K-13	DEVELOPMENT	2013-05-08
30/6-E-13	3873	30/6-E-13	DEVELOPMENT	2013-05-08
6507/8-D-2 H	3874	6507/8-D-2	DEVELOPMENT	2013-05-08
34/8-A-9 H	3875	34/8-A-9	DEVELOPMENT	2013-05-08
31/5-J-23 H	3876	31/5-J-23	DEVELOPMENT	2013-05-08
31/5-J-23 AH	3877	31/5-J-23	DEVELOPMENT	2013-05-08
6406/2-7	3878	6406/2-7	EXPLORATION	2013-05-08
30/6-E-6	3883	30/6-E-6	DEVELOPMENT	2013-05-08
25/6-3	3885	25/6-3	EXPLORATION	2013-05-08
34/7-30 SR	3886	34/7-30	EXPLORATION	2013-05-08
34/4-C-6 H	3887	34/4-C-6	DEVELOPMENT	2013-05-08
33/9-C-32 A	3888	33/9-C-32	DEVELOPMENT	2013-05-08
6507/7-A-26	3889	6507/7-A-26	DEVELOPMENT	2013-05-08
2/4-W-4 A	3890	2/4-W-4	DEVELOPMENT	2013-05-08
25/8-B-15	3892	25/8-B-15	DEVELOPMENT	2013-05-08
34/10-L-4 H	3893	34/10-L-4	DEVELOPMENT	2013-05-08
30/9-K-14 H	3894	30/9-K-14	DEVELOPMENT	2013-05-08
34/7-P-19	3895	34/7-P-19	DEVELOPMENT	2013-05-08
33/9-A-17 A	3896	33/9-A-17	DEVELOPMENT	2013-05-08
31/2-K-12 H	3897	31/2-K-12	DEVELOPMENT	2013-05-08
31/2-K-12 AH	3898	31/2-K-12	DEVELOPMENT	2013-05-08
30/3-8 S	3899	30/3-8	EXPLORATION	2013-05-08
9/2-B-4 H	3911	9/2-B-4	DEVELOPMENT	2013-05-08
25/8-B-4 A	3916	25/8-B-4	DEVELOPMENT	2013-05-08
33/9-A-13 A	3920	33/9-A-13	DEVELOPMENT	2013-05-08
6407/6-5	3921	6407/6-5	EXPLORATION	2013-05-08
33/9-C-37 A	3923	33/9-C-37	DEVELOPMENT	2013-05-08
30/6-E-1	3925	30/6-E-1	DEVELOPMENT	2013-05-08
30/6-E-3	3926	30/6-E-3	DEVELOPMENT	2013-05-08
30/6-E-5	3927	30/6-E-5	DEVELOPMENT	2013-05-08
30/6-E-7	3928	30/6-E-7	DEVELOPMENT	2013-05-08
30/6-E-8	3929	30/6-E-8	DEVELOPMENT	2013-05-08
30/6-E-10	3930	30/6-E-10	DEVELOPMENT	2013-05-08
30/6-E-11	3931	30/6-E-11	DEVELOPMENT	2013-05-08
30/6-E-12	3932	30/6-E-12	DEVELOPMENT	2013-05-08
30/6-E-14	3933	30/6-E-14	DEVELOPMENT	2013-05-08
30/6-E-15	3934	30/6-E-15	DEVELOPMENT	2013-05-08
6710/10-1	3941	6710/10-1	EXPLORATION	2013-05-08
6507/11-X-1 H	3943	6507/11-X-1	DEVELOPMENT	2013-05-08
6507/11-X-2 H	3944	6507/11-X-2	DEVELOPMENT	2013-05-08
31/2-N-14 H	3945	31/2-N-14	DEVELOPMENT	2013-05-08
31/2-N-14 AH	3946	31/2-N-14	DEVELOPMENT	2013-05-08
34/4-C-5 H	3947	34/4-C-5	DEVELOPMENT	2013-05-08
31/2-O-13 H	3948	31/2-O-13	DEVELOPMENT	2013-05-08
31/2-O-13 AH	3949	31/2-O-13	DEVELOPMENT	2013-05-08
6407/7-A-19 H	3950	6407/7-A-19	DEVELOPMENT	2013-05-08
25/8-B-11	3953	25/8-B-11	DEVELOPMENT	2013-05-08
33/9-N-1 H	3954	33/9-N-1	DEVELOPMENT	2013-05-08
2/8-A-3 D	3955	2/8-A-3	DEVELOPMENT	2013-05-08
34/4-C-7 H	3957	34/4-C-7	DEVELOPMENT	2013-05-08
34/4-C-2 H	3958	34/4-C-2	DEVELOPMENT	2013-05-08
31/5-J-24 H	3962	31/5-J-24	DEVELOPMENT	2013-05-08
31/2-Q-12 H	3963	31/2-Q-12	DEVELOPMENT	2013-05-08
31/2-Q-12 AH	3964	31/2-Q-12	DEVELOPMENT	2013-05-08
34/8-B-1 H	3965	34/8-B-1	DEVELOPMENT	2013-05-08
34/8-B-1 AH	3966	34/8-B-1	DEVELOPMENT	2013-05-08
33/9-A-27 B	3967	33/9-A-27	DEVELOPMENT	2013-05-08
33/9-A-27 C	3968	33/9-A-27	DEVELOPMENT	2013-05-08
6507/8-D-3 H	3969	6507/8-D-3	DEVELOPMENT	2013-05-08
34/8-A-11 H	3977	34/8-A-11	DEVELOPMENT	2013-05-08
15/9-A-4	3979	15/9-A-4	DEVELOPMENT	2013-05-08
6407/7-A-12 H	3985	6407/7-A-12	DEVELOPMENT	2013-05-08
30/9-B-38 A	3986	30/9-B-38	DEVELOPMENT	2013-05-08
34/4-C-6 AH	3987	34/4-C-6	DEVELOPMENT	2013-05-08
15/9-B-3	3988	15/9-B-3	DEVELOPMENT	2013-05-08
30/9-F-16	3989	30/9-F-16	DEVELOPMENT	2013-05-08
34/10-L-2 H	3990	34/10-L-2	DEVELOPMENT	2013-05-08
6507/11-X-3 H	3991	6507/11-X-3	DEVELOPMENT	2013-05-08
6507/11-X-4 H	3992	6507/11-X-4	DEVELOPMENT	2013-05-08
33/12-B-1 A	3993	33/12-B-1	DEVELOPMENT	2013-05-08
33/12-B-1 B	3994	33/12-B-1	DEVELOPMENT	2013-05-08
30/3-8 A	3995	30/3-8	EXPLORATION	2013-05-08
34/10-A-46	3996	34/10-A-46	DEVELOPMENT	2013-05-08
31/5-J-14 H	3997	31/5-J-14	DEVELOPMENT	2013-05-08
33/9-A-7 A	3998	33/9-A-7	DEVELOPMENT	2013-05-08
31/2-Y-24 H	4001	31/2-Y-24	DEVELOPMENT	2013-05-08
31/2-Y-24 AH	4002	31/2-Y-24	DEVELOPMENT	2013-05-08
34/7-K-4 H	4003	34/7-K-4	DEVELOPMENT	2013-05-08
31/2-K-14 H	4004	31/2-K-14	DEVELOPMENT	2013-05-08
31/2-K-14 AY1H	4005	31/2-K-14	DEVELOPMENT	2013-05-08
31/2-K-14 AY2H	4006	31/2-K-14	DEVELOPMENT	2013-05-08
2/4-W-6 A	4007	2/4-W-6	DEVELOPMENT	2013-05-08
2/7-A-19 B	4008	2/7-A-19	DEVELOPMENT	2013-05-08
2/7-B-13 B	4009	2/7-B-13	DEVELOPMENT	2013-05-08
34/10-J-2 H	4010	34/10-J-2	DEVELOPMENT	2013-05-08
34/7-A-5 AH	4013	34/7-A-5	DEVELOPMENT	2013-05-08
6608/10-E-4 AH	4015	6608/10-E-4	DEVELOPMENT	2013-05-08
31/2-O-41	4016	31/2-O-41	DEVELOPMENT	2013-05-08
6507/7-A-9 A	4018	6507/7-A-9	DEVELOPMENT	2013-05-08
25/8-B-4	4019	25/8-B-4	DEVELOPMENT	2013-05-08
31/2-M-11 H	4021	31/2-M-11	DEVELOPMENT	2013-05-08
31/2-M-12 H	4022	31/2-M-12	DEVELOPMENT	2013-05-08
31/2-M-14 H	4024	31/2-M-14	DEVELOPMENT	2013-05-08
34/7-P-44	4025	34/7-P-44	DEVELOPMENT	2013-05-08
25/8-B-10	4026	25/8-B-10	DEVELOPMENT	2013-05-08
34/7-B-4 H	4027	34/7-B-4	DEVELOPMENT	2013-05-08
2/8-F-3 A	4029	2/8-F-3	DEVELOPMENT	2013-05-08
6507/8-D-1 H	4030	6507/8-D-1	DEVELOPMENT	2013-05-08
31/2-S-31 H	4031	31/2-S-31	DEVELOPMENT	2013-05-08
9/2-A-2 B	4032	9/2-A-2	DEVELOPMENT	2013-05-08
34/10-L-1 H	4033	34/10-L-1	DEVELOPMENT	2013-05-08
25/8-B-8	4036	25/8-B-8	DEVELOPMENT	2013-05-08
33/9-A-18 A	4037	33/9-A-18	DEVELOPMENT	2013-05-08
15/9-B-21	4040	15/9-B-21	DEVELOPMENT	2013-05-08
31/3-S-22 H	4042	31/3-S-22	DEVELOPMENT	2013-05-08
31/3-S-23 H	4043	31/3-S-23	DEVELOPMENT	2013-05-08
15/9-A-3	4046	15/9-A-3	DEVELOPMENT	2013-05-08
30/9-B-7 A	4047	30/9-B-7	DEVELOPMENT	2013-05-08
30/9-B-7 B	4048	30/9-B-7	DEVELOPMENT	2013-05-08
30/9-B-38 B	4049	30/9-B-38	DEVELOPMENT	2013-05-08
34/4-10 R	4051	34/4-10	EXPLORATION	2013-05-08
34/7-J-3 H	4052	34/7-J-3	DEVELOPMENT	2013-05-08
30/3-9	4053	30/3-9	EXPLORATION	2013-05-08
35/11-12	4054	35/11-12	EXPLORATION	2013-05-08
15/3-7	4055	15/3-7	EXPLORATION	2013-05-08
34/7-K-1 H	4056	34/7-K-1	DEVELOPMENT	2013-05-08
34/7-K-3 H	4058	34/7-K-3	DEVELOPMENT	2013-05-08
6507/5-3	4059	6507/5-3	EXPLORATION	2013-05-08
34/8-A-10 H	4060	34/8-A-10	DEVELOPMENT	2013-05-08
30/6-E-1 A	4061	30/6-E-1	DEVELOPMENT	2013-05-08
6507/7-A-9 B	4065	6507/7-A-9	DEVELOPMENT	2013-05-08
34/10-F-3 H	4067	34/10-F-3	DEVELOPMENT	2013-05-08
31/2-Y-11 H	4068	31/2-Y-11	DEVELOPMENT	2013-05-08
31/2-Y-11 AH	4069	31/2-Y-11	DEVELOPMENT	2013-05-08
6407/7-A-6 AH	4070	6407/7-A-6	DEVELOPMENT	2013-05-08
34/10-I-4 H	4071	34/10-I-4	DEVELOPMENT	2013-05-08
33/9-A-26 A	4074	33/9-A-26	DEVELOPMENT	2013-05-08
9/2-A-1 A	4075	9/2-A-1	DEVELOPMENT	2013-05-08
33/12-B-11 A	4076	33/12-B-11	DEVELOPMENT	2013-05-08
34/7-P-30	4077	34/7-P-30	DEVELOPMENT	2013-05-08
6406/2-2 R	4078	6406/2-2	EXPLORATION	2013-05-08
6608/10-D-3 AH	4079	6608/10-D-3	DEVELOPMENT	2013-05-08
6506/12-M-3 H	4080	6506/12-M-3	DEVELOPMENT	2013-05-08
6507/8-D-4 H	4081	6507/8-D-4	DEVELOPMENT	2013-05-08
25/8-B-7	4085	25/8-B-7	DEVELOPMENT	2013-05-08
33/12-B-40 A	4086	33/12-B-40	DEVELOPMENT	2013-05-08
31/2-M-23 H	4087	31/2-M-23	DEVELOPMENT	2013-05-08
31/2-M-23 AH	4088	31/2-M-23	DEVELOPMENT	2013-05-08
34/8-A-5 H	4089	34/8-A-5	DEVELOPMENT	2013-05-08
34/8-A-5 AH	4090	34/8-A-5	DEVELOPMENT	2013-05-08
6506/12-N-4 H	4091	6506/12-N-4	DEVELOPMENT	2013-05-08
34/7-B-4 AH	4092	34/7-B-4	DEVELOPMENT	2013-05-08
30/9-F-16 A	4093	30/9-F-16	DEVELOPMENT	2013-05-08
6406/2-6 A	4094	6406/2-6	EXPLORATION	2013-05-08
15/9-B-12	4095	15/9-B-12	DEVELOPMENT	2013-05-08
31/4-A-30	4096	31/4-A-30	DEVELOPMENT	2013-05-08
31/4-A-30 A	4097	31/4-A-30	DEVELOPMENT	2013-05-08
34/10-I-2 H	4098	34/10-I-2	DEVELOPMENT	2013-05-08
6608/10-B-4 AH	4099	6608/10-B-4	DEVELOPMENT	2013-05-08
34/10-B-41	4100	34/10-B-41	DEVELOPMENT	2013-05-08
34/10-B-41 A	4101	34/10-B-41	DEVELOPMENT	2013-05-08
6507/8-F-2 H	4102	6507/8-F-2	DEVELOPMENT	2013-05-08
6507/8-F-4 H	4103	6507/8-F-4	DEVELOPMENT	2013-05-08
15/9-B-23	4104	15/9-B-23	DEVELOPMENT	2013-05-08
34/10-E-2 H	4107	34/10-E-2	DEVELOPMENT	2013-05-08
6406/2-6 R	4108	6406/2-6	EXPLORATION	2013-05-08
6305/8-1	4109	6305/8-1	EXPLORATION	2013-05-08
6608/10-E-3 AH	4112	6608/10-E-3	DEVELOPMENT	2013-05-08
31/5-J-21 Y1H	4113	31/5-J-21	DEVELOPMENT	2013-05-08
31/5-J-21 Y2H	4114	31/5-J-21	DEVELOPMENT	2013-05-08
25/8-B-20	4116	25/8-B-20	DEVELOPMENT	2013-05-08
3/6-1	4117	3/6-1	EXPLORATION	2013-05-08
30/9-B-43	4118	30/9-B-43	DEVELOPMENT	2013-05-08
30/9-B-43 A	4119	30/9-B-43	DEVELOPMENT	2013-05-08
33/12-B-21 A	4120	33/12-B-21	DEVELOPMENT	2013-05-08
30/2-A-4	4121	30/2-A-4	DEVELOPMENT	2013-05-08
6506/6-1	4122	6506/6-1	EXPLORATION	2013-05-08
33/9-A-15 B	4123	33/9-A-15	DEVELOPMENT	2013-05-08
30/3-A-20 A	4124	30/3-A-20	DEVELOPMENT	2013-05-08
6507/7-A-23	4125	6507/7-A-23	DEVELOPMENT	2013-05-08
6407/7-A-9 H	4126	6407/7-A-9	DEVELOPMENT	2013-05-08
6507/11-X-4 AH	4127	6507/11-X-4	DEVELOPMENT	2013-05-08
31/5-6	4128	31/5-6	EXPLORATION	2013-05-08
7216/11-1 S	4129	7216/11-1	EXPLORATION	2013-05-08
31/2-M-14 AH	4130	31/2-M-14	DEVELOPMENT	2013-05-08
34/10-J-3 H	4131	34/10-J-3	DEVELOPMENT	2013-05-08
31/4-A-32 A	4132	31/4-A-32	DEVELOPMENT	2013-05-08
33/9-N-3 H	4133	33/9-N-3	DEVELOPMENT	2013-05-08
25/8-B-12	4134	25/8-B-12	DEVELOPMENT	2013-05-08
34/8-A-5 BH	4135	34/8-A-5	DEVELOPMENT	2013-05-08
6506/11-E-3 H	4136	6506/11-E-3	DEVELOPMENT	2013-05-08
33/9-A-42 A	4137	33/9-A-42	DEVELOPMENT	2013-05-08
33/12-B-19 A	4138	33/12-B-19	DEVELOPMENT	2013-05-08
2/7-A-22 A	4139	2/7-A-22	DEVELOPMENT	2013-05-08
34/7-J-4 H	4140	34/7-J-4	DEVELOPMENT	2013-05-08
25/7-6	4141	25/7-6	EXPLORATION	2013-05-08
33/9-20 S	4143	33/9-20	EXPLORATION	2013-05-08
34/8-A-5 CH	4144	34/8-A-5	DEVELOPMENT	2013-05-08
7019/1-1	4145	7019/1-1	EXPLORATION	2013-05-08
31/4-11	4147	31/4-11	EXPLORATION	2013-05-08
6507/8-E-1 H	4148	6507/8-E-1	DEVELOPMENT	2013-05-08
6507/8-E-3 H	4149	6507/8-E-3	DEVELOPMENT	2013-05-08
34/10-I-1 H	4150	34/10-I-1	DEVELOPMENT	2013-05-08
34/10-I-1 AH	4151	34/10-I-1	DEVELOPMENT	2013-05-08
31/5-J-12 H	4152	31/5-J-12	DEVELOPMENT	2013-05-08
25/8-B-22	4153	25/8-B-22	DEVELOPMENT	2013-05-08
9/2-A-4 B	4154	9/2-A-4	DEVELOPMENT	2013-05-08
34/10-A-41 A	4155	34/10-A-41	DEVELOPMENT	2013-05-08
33/9-A-8 C	4156	33/9-A-8	DEVELOPMENT	2013-05-08
6507/8-E-3 AH	4157	6507/8-E-3	DEVELOPMENT	2013-05-08
31/2-Y-23 H	4158	31/2-Y-23	DEVELOPMENT	2013-05-08
31/2-Y-23 AH	4159	31/2-Y-23	DEVELOPMENT	2013-05-08
31/2-Y-22 Y1H	4160	31/2-Y-22	DEVELOPMENT	2013-05-08
31/2-Y-22 Y2H	4161	31/2-Y-22	DEVELOPMENT	2013-05-08
6506/12-H-3 H	4163	6506/12-H-3	DEVELOPMENT	2013-05-08
6507/7-A-45	4164	6507/7-A-45	DEVELOPMENT	2013-05-08
31/2-Y-13 H	4165	31/2-Y-13	DEVELOPMENT	2013-05-08
31/2-Y-13 AH	4166	31/2-Y-13	DEVELOPMENT	2013-05-08
34/7-P-43	4167	34/7-P-43	DEVELOPMENT	2013-05-08
34/7-A-1 AH	4168	34/7-A-1	DEVELOPMENT	2013-05-08
34/10-L-3 H	4169	34/10-L-3	DEVELOPMENT	2013-05-08
30/9-B-40 A	4170	30/9-B-40	DEVELOPMENT	2013-05-08
34/10-A-47	4171	34/10-A-47	DEVELOPMENT	2013-05-08
6407/7-6	4172	6407/7-6	EXPLORATION	2013-05-08
7122/7-1	4173	7122/7-1	EXPLORATION	2013-05-08
33/12-B-21 B	4174	33/12-B-21	DEVELOPMENT	2013-05-08
2/7-B-11 B	4175	2/7-B-11	DEVELOPMENT	2013-05-08
34/7-P-41	4176	34/7-P-41	DEVELOPMENT	2013-05-08
7/12-A-1 B	4177	7/12-A-1	DEVELOPMENT	2013-05-08
31/5-J-22 Y1H	4178	31/5-J-22	DEVELOPMENT	2013-05-08
31/5-J-22 Y2H	4179	31/5-J-22	DEVELOPMENT	2013-05-08
6507/8-E-1 AH	4180	6507/8-E-1	DEVELOPMENT	2013-05-08
2/4-X-20	4181	2/4-X-20	DEVELOPMENT	2013-05-08
6507/8-E-3 BH	4182	6507/8-E-3	DEVELOPMENT	2013-05-08
34/4-K-2 H	4183	34/4-K-2	DEVELOPMENT	2013-05-08
34/8-A-10 AH	4184	34/8-A-10	DEVELOPMENT	2013-05-08
31/2-L-11 H	4185	31/2-L-11	DEVELOPMENT	2013-05-08
31/2-L-11 AH	4186	31/2-L-11	DEVELOPMENT	2013-05-08
33/9-A-7 B	4187	33/9-A-7	DEVELOPMENT	2013-05-08
6407/7-A-5 AH	4188	6407/7-A-5	DEVELOPMENT	2013-05-08
6608/11-2	4189	6608/11-2	EXPLORATION	2013-05-08
2/7-A-28 A	4190	2/7-A-28	DEVELOPMENT	2013-05-08
31/2-M-22 H	4191	31/2-M-22	DEVELOPMENT	2013-05-08
2/4-B-16 D	4192	2/4-B-16	DEVELOPMENT	2013-05-08
30/6-E-9 A	4193	30/6-E-9	DEVELOPMENT	2013-05-08
16/4-3	4194	16/4-3	EXPLORATION	2013-05-08
31/4-A-39	4195	31/4-A-39	DEVELOPMENT	2013-05-08
30/2-A-8	4196	30/2-A-8	DEVELOPMENT	2013-05-08
6506/12-H-1 H	4197	6506/12-H-1	DEVELOPMENT	2013-05-08
6506/12-J-4 H	4198	6506/12-J-4	DEVELOPMENT	2013-05-08
31/2-L-13 H	4199	31/2-L-13	DEVELOPMENT	2013-05-08
25/11-C-3 CH	4200	25/11-C-3	DEVELOPMENT	2013-05-08
25/11-C-3 DH	4201	25/11-C-3	DEVELOPMENT	2013-05-08
15/6-A-3 H	4202	15/6-A-3	DEVELOPMENT	2013-05-08
15/6-A-2 H	4203	15/6-A-2	DEVELOPMENT	2013-05-08
15/6-A-2 AH	4204	15/6-A-2	DEVELOPMENT	2013-05-08
25/8-B-18	4205	25/8-B-18	DEVELOPMENT	2013-05-08
33/9-C-15 A	4206	33/9-C-15	DEVELOPMENT	2013-05-08
31/2-N-13 H	4207	31/2-N-13	DEVELOPMENT	2013-05-08
30/6-E-5 A	4208	30/6-E-5	DEVELOPMENT	2013-05-08
6507/5-4	4209	6507/5-4	EXPLORATION	2013-05-08
6507/7-A-19	4210	6507/7-A-19	DEVELOPMENT	2013-05-08
6507/8-E-3 CH	4211	6507/8-E-3	DEVELOPMENT	2013-05-08
34/8-B-2 H	4212	34/8-B-2	DEVELOPMENT	2013-05-08
6507/7-13	4213	6507/7-13	EXPLORATION	2013-05-08
34/7-31	4214	34/7-31	EXPLORATION	2013-05-08
34/10-I-3 H	4215	34/10-I-3	DEVELOPMENT	2013-05-08
30/9-B-37	4216	30/9-B-37	DEVELOPMENT	2013-05-08
6608/10-6 R	4217	6608/10-6	EXPLORATION	2013-05-08
34/10-M-1 H	4218	34/10-M-1	DEVELOPMENT	2013-05-08
34/10-M-1 AH	4219	34/10-M-1	DEVELOPMENT	2013-05-08
33/12-B-11 B	4220	33/12-B-11	DEVELOPMENT	2013-05-08
2/8-F-9 A	4221	2/8-F-9	DEVELOPMENT	2013-05-08
33/9-M-2 AH	4222	33/9-M-2	DEVELOPMENT	2013-05-08
30/9-F-15	4223	30/9-F-15	DEVELOPMENT	2013-05-08
2/4-X-33	4224	2/4-X-33	DEVELOPMENT	2013-05-08
34/7-I-5 BH	4225	34/7-I-5	DEVELOPMENT	2013-05-08
25/8-B-25	4226	25/8-B-25	DEVELOPMENT	2013-05-08
34/10-C-44	4227	34/10-C-44	DEVELOPMENT	2013-05-08
34/10-C-44 A	4228	34/10-C-44	DEVELOPMENT	2013-05-08
31/2-X-24 H	4229	31/2-X-24	DEVELOPMENT	2013-05-08
31/2-X-24 AH	4230	31/2-X-24	DEVELOPMENT	2013-05-08
34/8-A-23 H	4231	34/8-A-23	DEVELOPMENT	2013-05-08
15/6-A-1 H	4232	15/6-A-1	DEVELOPMENT	2013-05-08
34/7-P-21 A	4233	34/7-P-21	DEVELOPMENT	2013-05-08
25/8-B-12 A	4234	25/8-B-12	DEVELOPMENT	2013-05-08
25/8-B-12 B	4235	25/8-B-12	DEVELOPMENT	2013-05-08
25/8-B-22 A	4236	25/8-B-22	DEVELOPMENT	2013-05-08
31/2-X-11 H	4237	31/2-X-11	DEVELOPMENT	2013-05-08
31/2-X-11 AH	4238	31/2-X-11	DEVELOPMENT	2013-05-08
30/6-E-7 A	4239	30/6-E-7	DEVELOPMENT	2013-05-08
25/11-B-18 H	4240	25/11-B-18	DEVELOPMENT	2013-05-08
30/2-A-5	4241	30/2-A-5	DEVELOPMENT	2013-05-08
6506/12-M-1 H	4242	6506/12-M-1	DEVELOPMENT	2013-05-08
30/9-F-2	4243	30/9-F-2	DEVELOPMENT	2013-05-08
7121/5-3	4244	7121/5-3	EXPLORATION	2013-05-08
15/6-A-4 H	4245	15/6-A-4	DEVELOPMENT	2013-05-08
6507/7-A-47	4246	6507/7-A-47	DEVELOPMENT	2013-05-08
34/10-43 S	4247	34/10-43	EXPLORATION	2013-05-08
30/9-B-40 B	4248	30/9-B-40	DEVELOPMENT	2013-05-08
30/9-F-17	4249	30/9-F-17	DEVELOPMENT	2013-05-08
30/9-F-17 A	4250	30/9-F-17	DEVELOPMENT	2013-05-08
33/9-C-4 A	4251	33/9-C-4	DEVELOPMENT	2013-05-08
31/2-M-21 H	4252	31/2-M-21	DEVELOPMENT	2013-05-08
2/4-X-32	4254	2/4-X-32	DEVELOPMENT	2013-05-08
31/4-A-23 A	4255	31/4-A-23	DEVELOPMENT	2013-05-08
31/4-A-23 B	4256	31/4-A-23	DEVELOPMENT	2013-05-08
7228/7-1 A	4257	7228/7-1	EXPLORATION	2013-05-08
6507/8-E-2 H	4258	6507/8-E-2	DEVELOPMENT	2013-05-08
6507/8-E-4 H	4259	6507/8-E-4	DEVELOPMENT	2013-05-08
2/7-A-18 B	4260	2/7-A-18	DEVELOPMENT	2013-05-08
7228/7-1 B	4261	7228/7-1	EXPLORATION	2013-05-08
6406/1-1	4262	6406/1-1	EXPLORATION	2013-05-08
30/6-E-11 A	4263	30/6-E-11	DEVELOPMENT	2013-05-08
31/2-N-12 H	4264	31/2-N-12	DEVELOPMENT	2013-05-08
25/11-A-19 H	4265	25/11-A-19	DEVELOPMENT	2013-05-08
25/11-A-19 AH	4266	25/11-A-19	DEVELOPMENT	2013-05-08
31/2-M-13 Y1H	4267	31/2-M-13	DEVELOPMENT	2013-05-08
31/2-M-13 Y2H	4268	31/2-M-13	DEVELOPMENT	2013-05-08
6506/12-S-4 H	4269	6506/12-S-4	DEVELOPMENT	2013-05-08
6506/12-S-4 AH	4270	6506/12-S-4	DEVELOPMENT	2013-05-08
30/9-F-10	4271	30/9-F-10	DEVELOPMENT	2013-05-08
15/5-B-1 H	4272	15/5-B-1	DEVELOPMENT	2013-05-08
6608/10-7	4273	6608/10-7	EXPLORATION	2013-05-08
6507/7-13 A	4275	6507/7-13	EXPLORATION	2013-05-08
34/10-L-4 AH	4276	34/10-L-4	DEVELOPMENT	2013-05-08
6507/8-E-3 DH	4277	6507/8-E-3	DEVELOPMENT	2013-05-08
25/4-9 S	4278	25/4-9	EXPLORATION	2013-05-08
6507/8-F-3 H	4284	6507/8-F-3	DEVELOPMENT	2013-05-08
6507/8-F-1 H	4285	6507/8-F-1	DEVELOPMENT	2013-05-08
6407/9-D-1 H	4286	6407/9-D-1	DEVELOPMENT	2013-05-08
6407/9-D-1 AH	4287	6407/9-D-1	DEVELOPMENT	2013-05-08
34/10-L-1 AH	4288	34/10-L-1	DEVELOPMENT	2013-05-08
2/7-B-12 B	4289	2/7-B-12	DEVELOPMENT	2013-05-08
6407/9-D-2 H	4290	6407/9-D-2	DEVELOPMENT	2013-05-08
6507/7-A-6	4291	6507/7-A-6	DEVELOPMENT	2013-05-08
33/12-B-2 C	4292	33/12-B-2	DEVELOPMENT	2013-05-08
31/2-L-14 Y1H	4293	31/2-L-14	DEVELOPMENT	2013-05-08
31/2-L-14 Y2H	4294	31/2-L-14	DEVELOPMENT	2013-05-08
31/3-Q-21 H	4296	31/3-Q-21	DEVELOPMENT	2013-05-08
35/2-U-3	5539	35/2-U-3	SHALLOW	2013-05-08
6305/9-1	4297	6305/9-1	EXPLORATION	2013-05-08
30/6-E-15 A	4298	30/6-E-15	DEVELOPMENT	2013-05-08
34/10-G-3 H	4299	34/10-G-3	DEVELOPMENT	2013-05-08
31/4-A-22	4300	31/4-A-22	DEVELOPMENT	2013-05-08
34/7-31 A	4301	34/7-31	EXPLORATION	2013-05-08
2/7-A-17 A	4302	2/7-A-17	DEVELOPMENT	2013-05-08
33/9-C-26 A	4303	33/9-C-26	DEVELOPMENT	2013-05-08
2/4-X-17	4304	2/4-X-17	DEVELOPMENT	2013-05-08
34/7-P-11 A	4305	34/7-P-11	DEVELOPMENT	2013-05-08
6507/5-4 A	4306	6507/5-4	EXPLORATION	2013-05-08
30/2-A-9	4307	30/2-A-9	DEVELOPMENT	2013-05-08
6506/12-N-3 H	4308	6506/12-N-3	DEVELOPMENT	2013-05-08
25/4-C-1 H	4309	25/4-C-1	DEVELOPMENT	2013-05-08
31/2-K-21 H	4310	31/2-K-21	DEVELOPMENT	2013-05-08
31/2-K-21 AY1H	4311	31/2-K-21	DEVELOPMENT	2013-05-08
31/2-K-21 AY2H	4312	31/2-K-21	DEVELOPMENT	2013-05-08
33/12-B-36 A	4313	33/12-B-36	DEVELOPMENT	2013-05-08
34/10-J-4 H	4314	34/10-J-4	DEVELOPMENT	2013-05-08
30/9-K-11 H	4315	30/9-K-11	DEVELOPMENT	2013-05-08
34/10-B-31 A	4316	34/10-B-31	DEVELOPMENT	2013-05-08
34/10-B-21 A	4317	34/10-B-21	DEVELOPMENT	2013-05-08
7/12-A-14 A	4318	7/12-A-14	DEVELOPMENT	2013-05-08
34/7-A-16 H	4319	34/7-A-16	DEVELOPMENT	2013-05-08
1/3-K-1	4320	1/3-K-1	DEVELOPMENT	2013-05-08
6507/11-6	4321	6507/11-6	EXPLORATION	2013-05-08
31/2-Y-14 H	4322	31/2-Y-14	DEVELOPMENT	2013-05-08
31/2-Y-14 AY1H	4323	31/2-Y-14	DEVELOPMENT	2013-05-08
31/2-Y-14 AY2H	4324	31/2-Y-14	DEVELOPMENT	2013-05-08
1/3-K-6	4325	1/3-K-6	DEVELOPMENT	2013-05-08
30/9-F-17 B	4326	30/9-F-17	DEVELOPMENT	2013-05-08
33/9-A-7 C	4327	33/9-A-7	DEVELOPMENT	2013-05-08
30/6-C-14 A	4328	30/6-C-14	DEVELOPMENT	2013-05-08
2/7-B-1 C	4329	2/7-B-1	DEVELOPMENT	2013-05-08
15/9-A-25	4330	15/9-A-25	DEVELOPMENT	2013-05-08
34/10-A-41 B	4331	34/10-A-41	DEVELOPMENT	2013-05-08
6608/10-B-4 BH	4332	6608/10-B-4	DEVELOPMENT	2013-05-08
25/11-A-20 H	4333	25/11-A-20	DEVELOPMENT	2013-05-08
2/7-B-20 A	4334	2/7-B-20	DEVELOPMENT	2013-05-08
6507/7-A-35 A	4335	6507/7-A-35	DEVELOPMENT	2013-05-08
2/8-A-16 E	4336	2/8-A-16	DEVELOPMENT	2013-05-08
31/2-X-22 H	4337	31/2-X-22	DEVELOPMENT	2013-05-08
25/11-G-24	4338	25/11-G-24	DEVELOPMENT	2013-05-08
25/11-G-24 A	4339	25/11-G-24	DEVELOPMENT	2013-05-08
6507/8-E-2 AH	4340	6507/8-E-2	DEVELOPMENT	2013-05-08
34/7-C-2 AH	4341	34/7-C-2	DEVELOPMENT	2013-05-08
33/9-A-23 B	4342	33/9-A-23	DEVELOPMENT	2013-05-08
34/10-H-4 H	4343	34/10-H-4	DEVELOPMENT	2013-05-08
6506/3-1	4344	6506/3-1	EXPLORATION	2013-05-08
34/4-K-4 H	4345	34/4-K-4	DEVELOPMENT	2013-05-08
6407/2-Z-3 H	4346	6407/2-Z-3	DEVELOPMENT	2013-05-08
30/8-A-12 H	4347	30/8-A-12	DEVELOPMENT	2013-05-08
30/8-A-13 H	4348	30/8-A-13	DEVELOPMENT	2013-05-08
30/8-A-13 AH	4349	30/8-A-13	DEVELOPMENT	2013-05-08
30/9-B-42 A	4350	30/9-B-42	DEVELOPMENT	2013-05-08
30/2-A-6	4351	30/2-A-6	DEVELOPMENT	2013-05-08
6305/9-U-1	4352	6305/9-U-1	SHALLOW	2013-05-08
6305/5-U-1	4353	6305/5-U-1	SHALLOW	2013-05-08
6305/5-U-2	4354	6305/5-U-2	SHALLOW	2013-05-08
6305/5-U-3	4355	6305/5-U-3	SHALLOW	2013-05-08
25/11-A-4 BH	4356	25/11-A-4	DEVELOPMENT	2013-05-08
6305/5-U-4	4357	6305/5-U-4	SHALLOW	2013-05-08
25/11-A-4 CH	4358	25/11-A-4	DEVELOPMENT	2013-05-08
6305/4-U-1	4359	6305/4-U-1	SHALLOW	2013-05-08
31/2-O-12 H	4360	31/2-O-12	DEVELOPMENT	2013-05-08
6305/4-U-2	4361	6305/4-U-2	SHALLOW	2013-05-08
31/2-O-12 AH	4362	31/2-O-12	DEVELOPMENT	2013-05-08
6403/6-U-1	4363	6403/6-U-1	SHALLOW	2013-05-08
6403/5-U-1	4364	6403/5-U-1	SHALLOW	2013-05-08
6403/5-U-2	4365	6403/5-U-2	SHALLOW	2013-05-08
25/11-A-20 AH	4366	25/11-A-20	DEVELOPMENT	2013-05-08
33/9-A-40 B	4367	33/9-A-40	DEVELOPMENT	2013-05-08
30/6-E-6 A	4368	30/6-E-6	DEVELOPMENT	2013-05-08
30/6-E-6 B	4369	30/6-E-6	DEVELOPMENT	2013-05-08
30/9-B-44	4370	30/9-B-44	DEVELOPMENT	2013-05-08
30/9-B-44 A	4371	30/9-B-44	DEVELOPMENT	2013-05-08
6506/12-H-4 H	4372	6506/12-H-4	DEVELOPMENT	2013-05-08
34/10-M-3 H	4373	34/10-M-3	DEVELOPMENT	2013-05-08
34/10-M-3 AH	4374	34/10-M-3	DEVELOPMENT	2013-05-08
31/2-L-21 H	4375	31/2-L-21	DEVELOPMENT	2013-05-08
31/2-L-21 AY1H	4376	31/2-L-21	DEVELOPMENT	2013-05-08
31/2-L-21 AY2H	4377	31/2-L-21	DEVELOPMENT	2013-05-08
6507/7-A-41	4378	6507/7-A-41	DEVELOPMENT	2013-05-08
31/2-X-14 H	4379	31/2-X-14	DEVELOPMENT	2013-05-08
31/2-X-14 AY1H	4380	31/2-X-14	DEVELOPMENT	2013-05-08
31/2-X-14 AY2H	4381	31/2-X-14	DEVELOPMENT	2013-05-08
6506/12-N-2 H	4382	6506/12-N-2	DEVELOPMENT	2013-05-08
24/12-4	4383	24/12-4	EXPLORATION	2013-05-08
25/2-16 S	4385	25/2-16	EXPLORATION	2013-05-08
6608/10-6 R2	4386	6608/10-6	EXPLORATION	2013-05-08
31/2-N-23 AY2H	4387	31/2-N-23	DEVELOPMENT	2013-05-08
31/2-N-23 AY1H	4388	31/2-N-23	DEVELOPMENT	2013-05-08
31/2-N-23 H	4389	31/2-N-23	DEVELOPMENT	2013-05-08
6507/8-E-2 BH	4390	6507/8-E-2	DEVELOPMENT	2013-05-08
7122/7-2	4391	7122/7-2	EXPLORATION	2013-05-08
25/11-G-21	4392	25/11-G-21	DEVELOPMENT	2013-05-08
31/2-L-24 H	4393	31/2-L-24	DEVELOPMENT	2013-05-08
31/2-L-24 AY1H	4394	31/2-L-24	DEVELOPMENT	2013-05-08
31/2-L-24 AY2H	4395	31/2-L-24	DEVELOPMENT	2013-05-08
1/3-K-3	4396	1/3-K-3	DEVELOPMENT	2013-05-08
2/4-W-5 A	4397	2/4-W-5	DEVELOPMENT	2013-05-08
33/9-A-37 B	4398	33/9-A-37	DEVELOPMENT	2013-05-08
6506/12-P-4 H	4399	6506/12-P-4	DEVELOPMENT	2013-05-08
6507/8-D-3 AH	4400	6507/8-D-3	DEVELOPMENT	2013-05-08
6507/7-A-55	4401	6507/7-A-55	DEVELOPMENT	2013-05-08
30/9-F-1	4402	30/9-F-1	DEVELOPMENT	2013-05-08
30/9-F-1 A	4403	30/9-F-1	DEVELOPMENT	2013-05-08
25/11-C-3 EH	4404	25/11-C-3	DEVELOPMENT	2013-05-08
25/11-C-3 FH	4405	25/11-C-3	DEVELOPMENT	2013-05-08
2/4-B-17 B	4406	2/4-B-17	DEVELOPMENT	2013-05-08
6506/12-M-2 H	4407	6506/12-M-2	DEVELOPMENT	2013-05-08
16/2-2	4408	16/2-2	EXPLORATION	2013-05-08
2/4-X-19	4409	2/4-X-19	DEVELOPMENT	2013-05-08
2/4-X-37	4410	2/4-X-37	DEVELOPMENT	2013-05-08
2/8-F-13 A	4411	2/8-F-13	DEVELOPMENT	2013-05-08
30/6-C-3 A	4412	30/6-C-3	DEVELOPMENT	2013-05-08
33/12-B-14 B	4413	33/12-B-14	DEVELOPMENT	2013-05-08
33/12-B-14 C	4414	33/12-B-14	DEVELOPMENT	2013-05-08
31/4-A-10	4415	31/4-A-10	DEVELOPMENT	2013-05-08
30/6-26	4416	30/6-26	EXPLORATION	2013-05-08
34/7-J-2 H	4417	34/7-J-2	DEVELOPMENT	2013-05-08
34/7-J-2 AH	4418	34/7-J-2	DEVELOPMENT	2013-05-08
34/10-B-42	4419	34/10-B-42	DEVELOPMENT	2013-05-08
34/10-B-42 A	4420	34/10-B-42	DEVELOPMENT	2013-05-08
6507/7-A-16	4421	6507/7-A-16	DEVELOPMENT	2013-05-08
34/10-44 S	4422	34/10-44	EXPLORATION	2013-05-08
34/7-32	4423	34/7-32	EXPLORATION	2013-05-08
34/8-12 S	4424	34/8-12	EXPLORATION	2013-05-08
30/6-27	4425	30/6-27	EXPLORATION	2013-05-08
34/10-34 R	4426	34/10-34	EXPLORATION	2013-05-08
36/7-3	4427	36/7-3	EXPLORATION	2013-05-08
6507/5-5	4428	6507/5-5	EXPLORATION	2013-05-08
33/9-C-19 C	4429	33/9-C-19	DEVELOPMENT	2013-05-08
30/9-B-5 D	4430	30/9-B-5	DEVELOPMENT	2013-05-08
2/4-X-18	4431	2/4-X-18	DEVELOPMENT	2013-05-08
34/10-37 AR	4432	34/10-37	EXPLORATION	2013-05-08
2/5-12	4433	2/5-12	EXPLORATION	2013-05-08
30/6-C-17 C	4434	30/6-C-17	DEVELOPMENT	2013-05-08
30/6-C-17 D	4435	30/6-C-17	DEVELOPMENT	2013-05-08
33/12-B-40 B	4436	33/12-B-40	DEVELOPMENT	2013-05-08
33/12-B-40 C	4437	33/12-B-40	DEVELOPMENT	2013-05-08
25/8-13	4438	25/8-13	EXPLORATION	2013-05-08
6608/10-8	4439	6608/10-8	EXPLORATION	2013-05-08
31/4-A-10 A	4440	31/4-A-10	DEVELOPMENT	2013-05-08
6305/4-1	4441	6305/4-1	EXPLORATION	2013-05-08
15/6-A-4 AH	4442	15/6-A-4	DEVELOPMENT	2013-05-08
6507/8-D-4 AH	4443	6507/8-D-4	DEVELOPMENT	2013-05-08
2/7-B-4 A	4444	2/7-B-4	DEVELOPMENT	2013-05-08
33/9-M-3 H	4445	33/9-M-3	DEVELOPMENT	2013-05-08
34/8-A-8 H	4446	34/8-A-8	DEVELOPMENT	2013-05-08
30/3-A-4 A	4447	30/3-A-4	DEVELOPMENT	2013-05-08
15/9-A-22 A	4448	15/9-A-22	DEVELOPMENT	2013-05-08
16/7-A-1 H	4449	16/7-A-1	DEVELOPMENT	2013-05-08
34/10-45 S	4450	34/10-45	EXPLORATION	2013-05-08
6406/5-1	4451	6406/5-1	EXPLORATION	2013-05-08
34/7-P-16	4452	34/7-P-16	DEVELOPMENT	2013-05-08
30/3-7 BR	4453	30/3-7	EXPLORATION	2013-05-08
30/3-4 R	4454	30/3-4	EXPLORATION	2013-05-08
25/11-G-27	4455	25/11-G-27	DEVELOPMENT	2013-05-08
25/11-G-27 A	4456	25/11-G-27	DEVELOPMENT	2013-05-08
30/8-A-14 H	4457	30/8-A-14	DEVELOPMENT	2013-05-08
7/12-A-16 B	4458	7/12-A-16	DEVELOPMENT	2013-05-08
16/7-A-3 H	4460	16/7-A-3	DEVELOPMENT	2013-05-08
16/7-A-2 H	4461	16/7-A-2	DEVELOPMENT	2013-05-08
15/9-A-7	4462	15/9-A-7	DEVELOPMENT	2013-05-08
30/9-20 S	4463	30/9-20	EXPLORATION	2013-05-08
33/12-B-3 A	4464	33/12-B-3	DEVELOPMENT	2013-05-08
6404/11-1	4465	6404/11-1	EXPLORATION	2013-05-08
34/7-C-3 AH	4466	34/7-C-3	DEVELOPMENT	2013-05-08
6507/8-D-4 BH	4467	6507/8-D-4	DEVELOPMENT	2013-05-08
33/9-C-27 A	4468	33/9-C-27	DEVELOPMENT	2013-05-08
34/10-D-3 BH	4469	34/10-D-3	DEVELOPMENT	2013-05-08
6507/7-A-32	4471	6507/7-A-32	DEVELOPMENT	2013-05-08
31/4-A-33 B	4472	31/4-A-33	DEVELOPMENT	2013-05-08
31/4-A-33 C	4473	31/4-A-33	DEVELOPMENT	2013-05-08
31/4-A-33 D	4474	31/4-A-33	DEVELOPMENT	2013-05-08
31/5-I-12 Y1H	4475	31/5-I-12	DEVELOPMENT	2013-05-08
31/5-I-12 Y2H	4476	31/5-I-12	DEVELOPMENT	2013-05-08
30/6-E-3 A	4477	30/6-E-3	DEVELOPMENT	2013-05-08
31/2-P-11 Y1H	4478	31/2-P-11	DEVELOPMENT	2013-05-08
31/2-P-11 Y2H	4479	31/2-P-11	DEVELOPMENT	2013-05-08
30/9-B-1 B	4480	30/9-B-1	DEVELOPMENT	2013-05-08
30/9-B-1 C	4481	30/9-B-1	DEVELOPMENT	2013-05-08
2/4-X-13	4482	2/4-X-13	DEVELOPMENT	2013-05-08
31/2-P-21 H	4483	31/2-P-21	DEVELOPMENT	2013-05-08
31/2-P-21 AY1H	4484	31/2-P-21	DEVELOPMENT	2013-05-08
31/2-P-21 AY2H	4485	31/2-P-21	DEVELOPMENT	2013-05-08
30/8-A-11 H	4486	30/8-A-11	DEVELOPMENT	2013-05-08
30/8-A-11 AH	4487	30/8-A-11	DEVELOPMENT	2013-05-08
25/11-G-17	4488	25/11-G-17	DEVELOPMENT	2013-05-08
34/10-46 S	4489	34/10-46	EXPLORATION	2013-05-08
33/12-B-15 A	4490	33/12-B-15	DEVELOPMENT	2013-05-08
34/4-K-6 H	4491	34/4-K-6	DEVELOPMENT	2013-05-08
35/3-6	4492	35/3-6	EXPLORATION	2013-05-08
33/12-8 S	4493	33/12-8	EXPLORATION	2013-05-08
6506/12-M-4 H	4494	6506/12-M-4	DEVELOPMENT	2013-05-08
30/2-A-11	4495	30/2-A-11	DEVELOPMENT	2013-05-08
6507/7-A-24	4496	6507/7-A-24	DEVELOPMENT	2013-05-08
33/9-A-36 A	4497	33/9-A-36	DEVELOPMENT	2013-05-08
25/11-G-26	4498	25/11-G-26	DEVELOPMENT	2013-05-08
34/8-A-30 H	4499	34/8-A-30	DEVELOPMENT	2013-05-08
34/10-46 A	4500	34/10-46	EXPLORATION	2013-05-08
34/10-45 A	4501	34/10-45	EXPLORATION	2013-05-08
6608/10-D-1 AH	4502	6608/10-D-1	DEVELOPMENT	2013-05-08
6608/10-D-1 BH	4503	6608/10-D-1	DEVELOPMENT	2013-05-08
33/9-C-34 A	4504	33/9-C-34	DEVELOPMENT	2013-05-08
31/2-X-13 Y1H	4505	31/2-X-13	DEVELOPMENT	2013-05-08
31/2-X-13 Y2H	4506	31/2-X-13	DEVELOPMENT	2013-05-08
31/2-X-13 Y3H	4507	31/2-X-13	DEVELOPMENT	2013-05-08
34/10-E-4 AH	4508	34/10-E-4	DEVELOPMENT	2013-05-08
34/10-C-43	4509	34/10-C-43	DEVELOPMENT	2013-05-08
31/2-N-21 Y1H	4510	31/2-N-21	DEVELOPMENT	2013-05-08
31/2-N-21 Y2H	4511	31/2-N-21	DEVELOPMENT	2013-05-08
34/4-C-4 H	4512	34/4-C-4	DEVELOPMENT	2013-05-08
30/9-B-45	4513	30/9-B-45	DEVELOPMENT	2013-05-08
30/9-F-6	4515	30/9-F-6	DEVELOPMENT	2013-05-08
33/9-A-13 B	4516	33/9-A-13	DEVELOPMENT	2013-05-08
25/11-G-20	4517	25/11-G-20	DEVELOPMENT	2013-05-08
35/2-U-4	5540	35/2-U-4	SHALLOW	2013-05-08
25/11-G-20 A	4518	25/11-G-20	DEVELOPMENT	2013-05-08
25/11-G-20 B	4519	25/11-G-20	DEVELOPMENT	2013-05-08
33/9-C-38 A	4520	33/9-C-38	DEVELOPMENT	2013-05-08
1/5-4 S	4521	1/5-4	EXPLORATION	2013-05-08
2/4-B-11	4522	2/4-B-11	DEVELOPMENT	2013-05-08
34/10-J-5 H	4523	34/10-J-5	DEVELOPMENT	2013-05-08
30/6-C-6 D	4524	30/6-C-6	DEVELOPMENT	2013-05-08
34/8-A-4 H	4525	34/8-A-4	DEVELOPMENT	2013-05-08
34/8-A-4 AH	4526	34/8-A-4	DEVELOPMENT	2013-05-08
34/10-46 B	4527	34/10-46	EXPLORATION	2013-05-08
6507/7-A-31	4528	6507/7-A-31	DEVELOPMENT	2013-05-08
31/4-A-11 B	4529	31/4-A-11	DEVELOPMENT	2013-05-08
6608/10-8 A	4530	6608/10-8	EXPLORATION	2013-05-08
33/9-C-40 B	4531	33/9-C-40	DEVELOPMENT	2013-05-08
33/12-8 A	4532	33/12-8	EXPLORATION	2013-05-08
2/4-B-10 B	4533	2/4-B-10	DEVELOPMENT	2013-05-08
2/4-X-15	4534	2/4-X-15	DEVELOPMENT	2013-05-08
6407/9-E-1 H	4535	6407/9-E-1	DEVELOPMENT	2013-05-08
6407/9-E-2 H	4536	6407/9-E-2	DEVELOPMENT	2013-05-08
6305/4-U-3	4537	6305/4-U-3	SHALLOW	2013-05-08
2/4-X-44	4539	2/4-X-44	DEVELOPMENT	2013-05-08
25/11-G-19	4540	25/11-G-19	DEVELOPMENT	2013-05-08
35/1-1	4541	35/1-1	EXPLORATION	2013-05-08
30/3-A-18 B	4542	30/3-A-18	DEVELOPMENT	2013-05-08
30/9-F-24	4543	30/9-F-24	DEVELOPMENT	2013-05-08
30/9-F-24 A	4544	30/9-F-24	DEVELOPMENT	2013-05-08
30/6-E-11 B	4545	30/6-E-11	DEVELOPMENT	2013-05-08
30/6-E-11 C	4546	30/6-E-11	DEVELOPMENT	2013-05-08
25/8-B-23	4547	25/8-B-23	DEVELOPMENT	2013-05-08
25/8-B-23 A	4548	25/8-B-23	DEVELOPMENT	2013-05-08
2/4-B-9 B	4549	2/4-B-9	DEVELOPMENT	2013-05-08
34/10-A-48 B	4550	34/10-A-48	DEVELOPMENT	2013-05-08
34/10-M-4 H	4551	34/10-M-4	DEVELOPMENT	2013-05-08
34/10-M-4 AH	4552	34/10-M-4	DEVELOPMENT	2013-05-08
2/1-A-14 B	4553	2/1-A-14	DEVELOPMENT	2013-05-08
31/2-S-11 H	4555	31/2-S-11	DEVELOPMENT	2013-05-08
2/7-A-24 A	4557	2/7-A-24	DEVELOPMENT	2013-05-08
31/2-X-21 H	4558	31/2-X-21	DEVELOPMENT	2013-05-08
34/7-P-15	4559	34/7-P-15	DEVELOPMENT	2013-05-08
34/6-1 S	4561	34/6-1	EXPLORATION	2013-05-08
31/2-P-22 H	4562	31/2-P-22	DEVELOPMENT	2013-05-08
31/2-P-22 AY1H	4563	31/2-P-22	DEVELOPMENT	2013-05-08
31/2-P-22 AY2H	4564	31/2-P-22	DEVELOPMENT	2013-05-08
15/9-A-11	4565	15/9-A-11	DEVELOPMENT	2013-05-08
25/8-B-21	4566	25/8-B-21	DEVELOPMENT	2013-05-08
25/11-G-25	4567	25/11-G-25	DEVELOPMENT	2013-05-08
33/9-A-15 C	4568	33/9-A-15	DEVELOPMENT	2013-05-08
30/9-F-5	4569	30/9-F-5	DEVELOPMENT	2013-05-08
30/9-F-5 A	4570	30/9-F-5	DEVELOPMENT	2013-05-08
2/8-A-13 C	4571	2/8-A-13	DEVELOPMENT	2013-05-08
34/7-A-4 AH	4572	34/7-A-4	DEVELOPMENT	2013-05-08
2/8-A-11 B	4573	2/8-A-11	DEVELOPMENT	2013-05-08
31/2-E-6 CH	4574	31/2-E-6	DEVELOPMENT	2013-05-08
31/2-E-6 DY1H	4575	31/2-E-6	DEVELOPMENT	2013-05-08
31/2-E-6 DY2H	4576	31/2-E-6	DEVELOPMENT	2013-05-08
25/11-G-22	4577	25/11-G-22	DEVELOPMENT	2013-05-08
33/12-B-26 A	4578	33/12-B-26	DEVELOPMENT	2013-05-08
35/11-A-12 H	4579	35/11-A-12	DEVELOPMENT	2013-05-08
35/11-A-12 AH	4580	35/11-A-12	DEVELOPMENT	2013-05-08
34/10-C-45	4581	34/10-C-45	DEVELOPMENT	2013-05-08
2/4-X-49	4582	2/4-X-49	DEVELOPMENT	2013-05-08
34/7-J-3 AH	4583	34/7-J-3	DEVELOPMENT	2013-05-08
30/9-12 AR	4584	30/9-12	EXPLORATION	2013-05-08
33/12-B-4 A	4585	33/12-B-4	DEVELOPMENT	2013-05-08
30/9-13 SR	4586	30/9-13	EXPLORATION	2013-05-08
30/9-B-14 B	4587	30/9-B-14	DEVELOPMENT	2013-05-08
25/8-B-21 A	4588	25/8-B-21	DEVELOPMENT	2013-05-08
6406/3-6	4589	6406/3-6	EXPLORATION	2013-05-08
33/9-C-11 B	4590	33/9-C-11	DEVELOPMENT	2013-05-08
6507/7-A-42	4591	6507/7-A-42	DEVELOPMENT	2013-05-08
6507/7-A-42 A	4592	6507/7-A-42	DEVELOPMENT	2013-05-08
31/5-5 R	4593	31/5-5	EXPLORATION	2013-05-08
25/8-B-29	4594	25/8-B-29	DEVELOPMENT	2013-05-08
25/8-B-29 A	4595	25/8-B-29	DEVELOPMENT	2013-05-08
31/2-X-12 H	4596	31/2-X-12	DEVELOPMENT	2013-05-08
34/10-C-5 A	4597	34/10-C-5	DEVELOPMENT	2013-05-08
6507/8-E-1 BH	4598	6507/8-E-1	DEVELOPMENT	2013-05-08
2/7-A-21 B	4599	2/7-A-21	DEVELOPMENT	2013-05-08
30/6-C-15 B	4600	30/6-C-15	DEVELOPMENT	2013-05-08
34/7-P-2	4601	34/7-P-2	DEVELOPMENT	2013-05-08
6403/10-1	4602	6403/10-1	EXPLORATION	2013-05-08
31/4-A-24 A	4603	31/4-A-24	DEVELOPMENT	2013-05-08
31/4-A-29 A	4604	31/4-A-29	DEVELOPMENT	2013-05-08
34/10-B-7 A	4605	34/10-B-7	DEVELOPMENT	2013-05-08
35/11-A-11 H	4606	35/11-A-11	DEVELOPMENT	2013-05-08
6507/7-A-30	4607	6507/7-A-30	DEVELOPMENT	2013-05-08
6507/7-A-30 A	4608	6507/7-A-30	DEVELOPMENT	2013-05-08
34/10-47 S	4609	34/10-47	EXPLORATION	2013-05-08
25/11-G-28	4610	25/11-G-28	DEVELOPMENT	2013-05-08
2/7-A-2 B	4611	2/7-A-2	DEVELOPMENT	2013-05-08
16/7-8 S	4612	16/7-8	EXPLORATION	2013-05-08
31/2-L-22 H	4613	31/2-L-22	DEVELOPMENT	2013-05-08
31/2-L-22 AY1H	4614	31/2-L-22	DEVELOPMENT	2013-05-08
6507/7-A-24 A	4615	6507/7-A-24	DEVELOPMENT	2013-05-08
34/8-A-21 H	4616	34/8-A-21	DEVELOPMENT	2013-05-08
2/4-B-2 B	4617	2/4-B-2	DEVELOPMENT	2013-05-08
33/9-C-41 A	4618	33/9-C-41	DEVELOPMENT	2013-05-08
25/8-C-15	4619	25/8-C-15	DEVELOPMENT	2013-05-08
2/1-A-8 A	4620	2/1-A-8	DEVELOPMENT	2013-05-08
6407/5-B-3 H	4621	6407/5-B-3	DEVELOPMENT	2013-05-08
6407/6-A-1 H	4622	6407/6-A-1	DEVELOPMENT	2013-05-08
6407/6-A-3 H	4623	6407/6-A-3	DEVELOPMENT	2013-05-08
31/2-E-3 Y1H	4624	31/2-E-3	DEVELOPMENT	2013-05-08
31/2-E-3 Y2H	4625	31/2-E-3	DEVELOPMENT	2013-05-08
31/2-E-3 Y3H	4626	31/2-E-3	DEVELOPMENT	2013-05-08
2/4-X-29	4627	2/4-X-29	DEVELOPMENT	2013-05-08
25/11-G-18	4628	25/11-G-18	DEVELOPMENT	2013-05-08
31/3-S-22 AH	4629	31/3-S-22	DEVELOPMENT	2013-05-08
6608/11-3	4630	6608/11-3	EXPLORATION	2013-05-08
30/9-F-22	4631	30/9-F-22	DEVELOPMENT	2013-05-08
6403/10-U-1	4632	6403/10-U-1	SHALLOW	2013-05-08
33/9-M-1 AH	4633	33/9-M-1	DEVELOPMENT	2013-05-08
31/2-L-22 AY2H	4634	31/2-L-22	DEVELOPMENT	2013-05-08
33/12-B-37 A	4635	33/12-B-37	DEVELOPMENT	2013-05-08
31/2-20 S	4636	31/2-20	EXPLORATION	2013-05-08
33/9-C-14 A	4637	33/9-C-14	DEVELOPMENT	2013-05-08
34/10-47 A	4640	34/10-47	EXPLORATION	2013-05-08
34/10-J-5 AH	4642	34/10-J-5	DEVELOPMENT	2013-05-08
35/11-A-14 H	4643	35/11-A-14	DEVELOPMENT	2013-05-08
15/12-A-15 A	4644	15/12-A-15	DEVELOPMENT	2013-05-08
30/3-A-23	4645	30/3-A-23	DEVELOPMENT	2013-05-08
25/8-C-6	4646	25/8-C-6	DEVELOPMENT	2013-05-08
6407/7-A-10 BY1H	4648	6407/7-A-10	DEVELOPMENT	2013-05-08
6407/7-A-10 BY2H	4649	6407/7-A-10	DEVELOPMENT	2013-05-08
6407/7-A-10 BY3H	4650	6407/7-A-10	DEVELOPMENT	2013-05-08
34/4-K-3 H	4651	34/4-K-3	DEVELOPMENT	2013-05-08
1/9-7	4652	1/9-7	EXPLORATION	2013-05-08
33/9-N-2 H	4653	33/9-N-2	DEVELOPMENT	2013-05-08
2/11-S-13	4654	2/11-S-13	DEVELOPMENT	2013-05-08
30/3-A-19 A	4655	30/3-A-19	DEVELOPMENT	2013-05-08
2/4-B-17 C	4656	2/4-B-17	DEVELOPMENT	2013-05-08
25/8-B-21 B	4657	25/8-B-21	DEVELOPMENT	2013-05-08
25/8-B-21 C	4658	25/8-B-21	DEVELOPMENT	2013-05-08
33/9-C-7 A	4659	33/9-C-7	DEVELOPMENT	2013-05-08
25/11-G-23	4660	25/11-G-23	DEVELOPMENT	2013-05-08
34/10-B-1 A	4661	34/10-B-1	DEVELOPMENT	2013-05-08
6608/10-D-4 AH	4662	6608/10-D-4	DEVELOPMENT	2013-05-08
6507/7-A-10	4663	6507/7-A-10	DEVELOPMENT	2013-05-08
34/10-M-2 H	4664	34/10-M-2	DEVELOPMENT	2013-05-08
35/11-A-24 H	4665	35/11-A-24	DEVELOPMENT	2013-05-08
35/11-A-24 AH	4666	35/11-A-24	DEVELOPMENT	2013-05-08
34/4-D-4 H	4667	34/4-D-4	DEVELOPMENT	2013-05-08
6608/10-9	4668	6608/10-9	EXPLORATION	2013-05-08
25/8-C-4	4669	25/8-C-4	DEVELOPMENT	2013-05-08
34/8-A-25 H	4670	34/8-A-25	DEVELOPMENT	2013-05-08
2/11-S-11	4671	2/11-S-11	DEVELOPMENT	2013-05-08
2/11-S-11 A	4672	2/11-S-11	DEVELOPMENT	2013-05-08
31/5-I-32 Y1H	4673	31/5-I-32	DEVELOPMENT	2013-05-08
31/5-I-32 Y2H	4674	31/5-I-32	DEVELOPMENT	2013-05-08
2/4-X-11	4675	2/4-X-11	DEVELOPMENT	2013-05-08
33/9-A-10 A	4676	33/9-A-10	DEVELOPMENT	2013-05-08
34/10-B-42 B	4677	34/10-B-42	DEVELOPMENT	2013-05-08
34/10-B-42 C	4678	34/10-B-42	DEVELOPMENT	2013-05-08
31/2-P-23 Y1H	4679	31/2-P-23	DEVELOPMENT	2013-05-08
31/2-P-23 Y2H	4680	31/2-P-23	DEVELOPMENT	2013-05-08
6507/7-A-35 B	4681	6507/7-A-35	DEVELOPMENT	2013-05-08
30/9-B-9 B	4682	30/9-B-9	DEVELOPMENT	2013-05-08
34/10-C-41 A	4683	34/10-C-41	DEVELOPMENT	2013-05-08
34/10-C-26 A	4684	34/10-C-26	DEVELOPMENT	2013-05-08
25/8-B-28	4685	25/8-B-28	DEVELOPMENT	2013-05-08
25/8-B-28 A	4686	25/8-B-28	DEVELOPMENT	2013-05-08
34/7-P-37 A	4687	34/7-P-37	DEVELOPMENT	2013-05-08
34/10-M-3 BH	4688	34/10-M-3	DEVELOPMENT	2013-05-08
34/10-M-3 CH	4689	34/10-M-3	DEVELOPMENT	2013-05-08
33/12-B-23 B	4690	33/12-B-23	DEVELOPMENT	2013-05-08
33/12-B-23 C	4691	33/12-B-23	DEVELOPMENT	2013-05-08
35/11-A-21 Y1H	4692	35/11-A-21	DEVELOPMENT	2013-05-08
35/11-A-21 Y2H	4693	35/11-A-21	DEVELOPMENT	2013-05-08
33/9-A-18 B	4694	33/9-A-18	DEVELOPMENT	2013-05-08
2/8-A-12 C	4695	2/8-A-12	DEVELOPMENT	2013-05-08
33/9-E-2 AH	4696	33/9-E-2	DEVELOPMENT	2013-05-08
6507/7-A-56	4697	6507/7-A-56	DEVELOPMENT	2013-05-08
34/10-C-15 B	4698	34/10-C-15	DEVELOPMENT	2013-05-08
6608/10-10	4699	6608/10-10	EXPLORATION	2013-05-08
34/10-B-15 A	4700	34/10-B-15	DEVELOPMENT	2013-05-08
30/9-F-11	4701	30/9-F-11	DEVELOPMENT	2013-05-08
34/10-B-42 D	4702	34/10-B-42	DEVELOPMENT	2013-05-08
34/7-D-3 H	4703	34/7-D-3	DEVELOPMENT	2013-05-08
33/9-C-8 A	4704	33/9-C-8	DEVELOPMENT	2013-05-08
6706/6-1	4705	6706/6-1	EXPLORATION	2013-05-08
31/2-L-12 Y1H	4706	31/2-L-12	DEVELOPMENT	2013-05-08
31/2-L-12 Y2H	4707	31/2-L-12	DEVELOPMENT	2013-05-08
33/9-A-34 B	4708	33/9-A-34	DEVELOPMENT	2013-05-08
34/8-4 AR	4709	34/8-4	EXPLORATION	2013-05-08
6407/9-10	4710	6407/9-10	EXPLORATION	2013-05-08
16/1-6 S	4711	16/1-6	EXPLORATION	2013-05-08
2/11-S-14	4712	2/11-S-14	DEVELOPMENT	2013-05-08
2/11-S-14 A	4713	2/11-S-14	DEVELOPMENT	2013-05-08
25/8-C-16	4714	25/8-C-16	DEVELOPMENT	2013-05-08
6507/7-A-54	4715	6507/7-A-54	DEVELOPMENT	2013-05-08
25/4-7	4716	25/4-7	EXPLORATION	2013-05-08
25/5-C-1 H	4717	25/5-C-1	DEVELOPMENT	2013-05-08
25/5-C-1 AH	4718	25/5-C-1	DEVELOPMENT	2013-05-08
2/4-X-14	4719	2/4-X-14	DEVELOPMENT	2013-05-08
2/7-A-3 B	4720	2/7-A-3	DEVELOPMENT	2013-05-08
2/7-A-6 A	4721	2/7-A-6	DEVELOPMENT	2013-05-08
15/9-E-3 H	4722	15/9-E-3	DEVELOPMENT	2013-05-08
25/8-B-24	4723	25/8-B-24	DEVELOPMENT	2013-05-08
25/8-B-24 A	4724	25/8-B-24	DEVELOPMENT	2013-05-08
2/8-F-3 B	4725	2/8-F-3	DEVELOPMENT	2013-05-08
2/8-F-3 C	4726	2/8-F-3	DEVELOPMENT	2013-05-08
25/8-C-20	4727	25/8-C-20	DEVELOPMENT	2013-05-08
24/6-3	4728	24/6-3	EXPLORATION	2013-05-08
30/3-A-3 A	4729	30/3-A-3	DEVELOPMENT	2013-05-08
33/9-F-4 AH	4730	33/9-F-4	DEVELOPMENT	2013-05-08
31/2-D-4 Y1H	4731	31/2-D-4	DEVELOPMENT	2013-05-08
31/2-D-4 Y2H	4732	31/2-D-4	DEVELOPMENT	2013-05-08
15/12-13	4733	15/12-13	EXPLORATION	2013-05-08
33/9-C-26 B	4734	33/9-C-26	DEVELOPMENT	2013-05-08
25/9-2 S	4735	25/9-2	EXPLORATION	2013-05-08
34/7-D-1 H	4738	34/7-D-1	DEVELOPMENT	2013-05-08
25/8-B-28 B	4739	25/8-B-28	DEVELOPMENT	2013-05-08
31/2-P-23 Y3H	4740	31/2-P-23	DEVELOPMENT	2013-05-08
34/10-C-15 C	4741	34/10-C-15	DEVELOPMENT	2013-05-08
34/10-C-23 B	4742	34/10-C-23	DEVELOPMENT	2013-05-08
25/5-B-1 H	4743	25/5-B-1	DEVELOPMENT	2013-05-08
25/8-C-18	4744	25/8-C-18	DEVELOPMENT	2013-05-08
24/6-4	4745	24/6-4	EXPLORATION	2013-05-08
7/12-A-17 A	4746	7/12-A-17	DEVELOPMENT	2013-05-08
34/7-P-1	4747	34/7-P-1	DEVELOPMENT	2013-05-08
6506/12-M-2 AH	4748	6506/12-M-2	DEVELOPMENT	2013-05-08
6405/7-1	4749	6405/7-1	EXPLORATION	2013-05-08
25/8-C-18 A	4750	25/8-C-18	DEVELOPMENT	2013-05-08
2/11-S-12	4751	2/11-S-12	DEVELOPMENT	2013-05-08
2/4-X-50	4752	2/4-X-50	DEVELOPMENT	2013-05-08
30/9-F-12	4753	30/9-F-12	DEVELOPMENT	2013-05-08
15/12-13 A	4754	15/12-13	EXPLORATION	2013-05-08
30/3-A-3 B	4755	30/3-A-3	DEVELOPMENT	2013-05-08
34/10-B-21 B	4756	34/10-B-21	DEVELOPMENT	2013-05-08
33/9-A-38 B	4757	33/9-A-38	DEVELOPMENT	2013-05-08
34/10-B-9 A	4758	34/10-B-9	DEVELOPMENT	2013-05-08
15/12-13 B	4759	15/12-13	EXPLORATION	2013-05-08
34/7-F-3 H	4760	34/7-F-3	DEVELOPMENT	2013-05-08
35/8-5 S	4761	35/8-5	EXPLORATION	2013-05-08
6406/1-2	4762	6406/1-2	EXPLORATION	2013-05-08
34/10-C-23 C	4763	34/10-C-23	DEVELOPMENT	2013-05-08
34/8-A-25 AH	4764	34/8-A-25	DEVELOPMENT	2013-05-08
25/4-8	4765	25/4-8	EXPLORATION	2013-05-08
33/9-C-4 B	4766	33/9-C-4	DEVELOPMENT	2013-05-08
16/1-6 A	4767	16/1-6	EXPLORATION	2013-05-08
6507/7-A-34	4768	6507/7-A-34	DEVELOPMENT	2013-05-08
6507/7-A-34 A	4769	6507/7-A-34	DEVELOPMENT	2013-05-08
31/2-Q-11 BY1H	4770	31/2-Q-11	DEVELOPMENT	2013-05-08
31/2-Q-11 BY2H	4771	31/2-Q-11	DEVELOPMENT	2013-05-08
15/5-A-5 H	4772	15/5-A-5	DEVELOPMENT	2013-05-08
2/11-S-15	4773	2/11-S-15	DEVELOPMENT	2013-05-08
31/5-I-13 Y1H	4774	31/5-I-13	DEVELOPMENT	2013-05-08
31/5-I-13 Y2H	4775	31/5-I-13	DEVELOPMENT	2013-05-08
31/5-I-13 Y3H	4776	31/5-I-13	DEVELOPMENT	2013-05-08
31/5-I-13 Y4H	4777	31/5-I-13	DEVELOPMENT	2013-05-08
34/7-F-3 AH	4778	34/7-F-3	DEVELOPMENT	2013-05-08
33/9-A-29 A	4779	33/9-A-29	DEVELOPMENT	2013-05-08
6406/2-S-3 H	4780	6406/2-S-3	DEVELOPMENT	2013-05-08
30/9-B-47	4781	30/9-B-47	DEVELOPMENT	2013-05-08
34/10-B-39 B	4782	34/10-B-39	DEVELOPMENT	2013-05-08
25/8-C-8	4783	25/8-C-8	DEVELOPMENT	2013-05-08
25/8-C-8 A	4784	25/8-C-8	DEVELOPMENT	2013-05-08
15/9-E-1 H	4785	15/9-E-1	DEVELOPMENT	2013-05-08
6305/8-U-3	4786	6305/8-U-3	SHALLOW	2013-05-08
6305/8-U-2	4787	6305/8-U-2	SHALLOW	2013-05-08
6305/8-U-1	4788	6305/8-U-1	SHALLOW	2013-05-08
6305/8-U-4	4789	6305/8-U-4	SHALLOW	2013-05-08
6305/8-U-5	4790	6305/8-U-5	SHALLOW	2013-05-08
6305/8-U-6	4791	6305/8-U-6	SHALLOW	2013-05-08
6305/5-U-5	4792	6305/5-U-5	SHALLOW	2013-05-08
30/9-F-26	4793	30/9-F-26	DEVELOPMENT	2013-05-08
34/4-D-1 H	4794	34/4-D-1	DEVELOPMENT	2013-05-08
34/8-A-22 H	4795	34/8-A-22	DEVELOPMENT	2013-05-08
34/10-B-3 A	4796	34/10-B-3	DEVELOPMENT	2013-05-08
6407/7-A-4 H	4797	6407/7-A-4	DEVELOPMENT	2013-05-08
2/4-X-41	4798	2/4-X-41	DEVELOPMENT	2013-05-08
2/7-B-12 C	4799	2/7-B-12	DEVELOPMENT	2013-05-08
31/2-Q-11 BY3H	4800	31/2-Q-11	DEVELOPMENT	2013-05-08
31/2-K-11 Y1H	4802	31/2-K-11	DEVELOPMENT	2013-05-08
31/2-K-11 Y2H	4803	31/2-K-11	DEVELOPMENT	2013-05-08
31/2-K-11 Y3H	4804	31/2-K-11	DEVELOPMENT	2013-05-08
25/8-14 S	4805	25/8-14	EXPLORATION	2013-05-08
25/8-C-13	4806	25/8-C-13	DEVELOPMENT	2013-05-08
25/8-C-13 A	4807	25/8-C-13	DEVELOPMENT	2013-05-08
33/9-C-31 A	4810	33/9-C-31	DEVELOPMENT	2013-05-08
31/4-A-17 BY1	4811	31/4-A-17	DEVELOPMENT	2013-05-08
31/4-A-17 BY2	4812	31/4-A-17	DEVELOPMENT	2013-05-08
30/9-F-21	4813	30/9-F-21	DEVELOPMENT	2013-05-08
33/12-B-16 C	4814	33/12-B-16	DEVELOPMENT	2013-05-08
2/4-X-22	4815	2/4-X-22	DEVELOPMENT	2013-05-08
34/10-A-48	4816	34/10-A-48	DEVELOPMENT	2013-05-08
34/10-A-48 A	4817	34/10-A-48	DEVELOPMENT	2013-05-08
6608/10-D-1 CH	4818	6608/10-D-1	DEVELOPMENT	2013-05-08
25/4-6 SR	4819	25/4-6	EXPLORATION	2013-05-08
6507/7-A-50 A	4820	6507/7-A-50	DEVELOPMENT	2013-05-08
2/8-N-13	4821	2/8-N-13	DEVELOPMENT	2013-05-08
34/10-A-30 A	4822	34/10-A-30	DEVELOPMENT	2013-05-08
34/10-G-1 H	4823	34/10-G-1	DEVELOPMENT	2013-05-08
34/10-45 B	4824	34/10-45	EXPLORATION	2013-05-08
2/8-N-15	4825	2/8-N-15	DEVELOPMENT	2013-05-08
6608/10-C-4 AH	4826	6608/10-C-4	DEVELOPMENT	2013-05-08
33/12-B-18 A	4827	33/12-B-18	DEVELOPMENT	2013-05-08
2/8-A-8 B	4828	2/8-A-8	DEVELOPMENT	2013-05-08
15/9-E-2 H	4829	15/9-E-2	DEVELOPMENT	2013-05-08
31/2-N-24 Y1H	4830	31/2-N-24	DEVELOPMENT	2013-05-08
31/2-N-24 Y2H	4831	31/2-N-24	DEVELOPMENT	2013-05-08
31/2-N-24 Y3H	4832	31/2-N-24	DEVELOPMENT	2013-05-08
2/7-A-18 C	4834	2/7-A-18	DEVELOPMENT	2013-05-08
2/4-X-23	4835	2/4-X-23	DEVELOPMENT	2013-05-08
2/8-N-10	4836	2/8-N-10	DEVELOPMENT	2013-05-08
31/2-Y-21 Y1H	4837	31/2-Y-21	DEVELOPMENT	2013-05-08
31/2-Y-21 Y2H	4838	31/2-Y-21	DEVELOPMENT	2013-05-08
31/2-Y-21 Y3H	4839	31/2-Y-21	DEVELOPMENT	2013-05-08
34/7-P-3	4840	34/7-P-3	DEVELOPMENT	2013-05-08
2/4-15 SR	4842	2/4-15	EXPLORATION	2013-05-08
33/12-B-31 A	4843	33/12-B-31	DEVELOPMENT	2013-05-08
33/9-C-23 C	4844	33/9-C-23	DEVELOPMENT	2013-05-08
15/12-14	4845	15/12-14	EXPLORATION	2013-05-08
25/8-C-11	4846	25/8-C-11	DEVELOPMENT	2013-05-08
25/8-C-11 A	4847	25/8-C-11	DEVELOPMENT	2013-05-08
6507/7-C-4 AH	4848	6507/7-C-4	DEVELOPMENT	2013-05-08
2/4-B-18 C	4850	2/4-B-18	DEVELOPMENT	2013-05-08
30/3-A-11 A	4851	30/3-A-11	DEVELOPMENT	2013-05-08
33/9-A-35 B	4852	33/9-A-35	DEVELOPMENT	2013-05-08
34/7-F-1 H	4853	34/7-F-1	DEVELOPMENT	2013-05-08
6507/8-7	4854	6507/8-7	EXPLORATION	2013-05-08
34/10-A-15 A	4855	34/10-A-15	DEVELOPMENT	2013-05-08
31/2-N-24 Y4H	4856	31/2-N-24	DEVELOPMENT	2013-05-08
31/2-N-24 Y5H	4857	31/2-N-24	DEVELOPMENT	2013-05-08
30/9-F-28	4858	30/9-F-28	DEVELOPMENT	2013-05-08
30/9-F-28 A	4859	30/9-F-28	DEVELOPMENT	2013-05-08
6506/12-N-1 H	4860	6506/12-N-1	DEVELOPMENT	2013-05-08
2/8-N-12	4861	2/8-N-12	DEVELOPMENT	2013-05-08
2/8-N-12 A	4862	2/8-N-12	DEVELOPMENT	2013-05-08
2/4-X-25	4863	2/4-X-25	DEVELOPMENT	2013-05-08
2/4-X-24	4864	2/4-X-24	DEVELOPMENT	2013-05-08
33/12-B-30 A	4865	33/12-B-30	DEVELOPMENT	2013-05-08
6406/2-R-3 H	4866	6406/2-R-3	DEVELOPMENT	2013-05-08
30/3-A-11 B	4867	30/3-A-11	DEVELOPMENT	2013-05-08
31/4-A-17 BY3	4869	31/4-A-17	DEVELOPMENT	2013-05-08
15/12-A-6 A	4870	15/12-A-6	DEVELOPMENT	2013-05-08
33/9-C-12 C	4871	33/9-C-12	DEVELOPMENT	2013-05-08
6507/7-A-29 AY1	4872	6507/7-A-29	DEVELOPMENT	2013-05-08
25/8-C-10	4873	25/8-C-10	DEVELOPMENT	2013-05-08
25/8-C-10 A	4874	25/8-C-10	DEVELOPMENT	2013-05-08
15/12-A-12 A	4875	15/12-A-12	DEVELOPMENT	2013-05-08
2/1-A-17 A	4876	2/1-A-17	DEVELOPMENT	2013-05-08
2/7-B-18 B	4877	2/7-B-18	DEVELOPMENT	2013-05-08
34/8-A-19 H	4878	34/8-A-19	DEVELOPMENT	2013-05-08
34/8-A-19 AH	4879	34/8-A-19	DEVELOPMENT	2013-05-08
2/4-B-3 B	4880	2/4-B-3	DEVELOPMENT	2013-05-08
2/8-A-8 C	4881	2/8-A-8	DEVELOPMENT	2013-05-08
6506/11-N-3 H	4882	6506/11-N-3	DEVELOPMENT	2013-05-08
6406/2-R-4 H	4883	6406/2-R-4	DEVELOPMENT	2013-05-08
34/4-D-2 H	4884	34/4-D-2	DEVELOPMENT	2013-05-08
34/4-D-2 AH	4885	34/4-D-2	DEVELOPMENT	2013-05-08
34/11-A-14	4886	34/11-A-14	DEVELOPMENT	2013-05-08
6507/7-A-39	4887	6507/7-A-39	DEVELOPMENT	2013-05-08
6507/7-A-39 AY1	4888	6507/7-A-39	DEVELOPMENT	2013-05-08
6507/7-A-39 AY2	4889	6507/7-A-39	DEVELOPMENT	2013-05-08
31/4-A-30 B	4890	31/4-A-30	DEVELOPMENT	2013-05-08
15/9-E-4 H	4891	15/9-E-4	DEVELOPMENT	2013-05-08
31/2-Y-21 Y4H	4892	31/2-Y-21	DEVELOPMENT	2013-05-08
2/8-N-14	4893	2/8-N-14	DEVELOPMENT	2013-05-08
33/9-A-12 A	4894	33/9-A-12	DEVELOPMENT	2013-05-08
30/3-A-14 A	4895	30/3-A-14	DEVELOPMENT	2013-05-08
25/11-G-14	4896	25/11-G-14	DEVELOPMENT	2013-05-08
31/3-Q-21 AY1H	4897	31/3-Q-21	DEVELOPMENT	2013-05-08
31/3-Q-21 AY2H	4898	31/3-Q-21	DEVELOPMENT	2013-05-08
34/7-C-5 H	4899	34/7-C-5	DEVELOPMENT	2013-05-08
34/7-C-5 AH	4900	34/7-C-5	DEVELOPMENT	2013-05-08
31/2-P-24 Y1H	4901	31/2-P-24	DEVELOPMENT	2013-05-08
34/10-48 S	4902	34/10-48	EXPLORATION	2013-05-08
6406/2-R-1 H	4903	6406/2-R-1	DEVELOPMENT	2013-05-08
15/12-A-1	4904	15/12-A-1	DEVELOPMENT	2013-05-08
6507/3-4	4905	6507/3-4	EXPLORATION	2013-05-08
31/2-F-5 AH	4906	31/2-F-5	DEVELOPMENT	2013-05-08
31/2-F-5 BY1H	4907	31/2-F-5	DEVELOPMENT	2013-05-08
31/2-F-5 BY2H	4908	31/2-F-5	DEVELOPMENT	2013-05-08
31/2-O-14 Y1H	4909	31/2-O-14	DEVELOPMENT	2013-05-08
24/9-7	4910	24/9-7	EXPLORATION	2013-05-08
2/8-G-10	4911	2/8-G-10	DEVELOPMENT	2013-05-08
25/11-G-9	4912	25/11-G-9	DEVELOPMENT	2013-05-08
31/4-A-31	4913	31/4-A-31	DEVELOPMENT	2013-05-08
34/7-J-1 AH	4915	34/7-J-1	DEVELOPMENT	2013-05-08
2/4-X-13 A	4916	2/4-X-13	DEVELOPMENT	2013-05-08
33/9-A-26 B	4917	33/9-A-26	DEVELOPMENT	2013-05-08
2/4-B-19 B	4918	2/4-B-19	DEVELOPMENT	2013-05-08
24/9-7 A	4919	24/9-7	EXPLORATION	2013-05-08
2/8-N-11	4920	2/8-N-11	DEVELOPMENT	2013-05-08
25/8-C-9	4921	25/8-C-9	DEVELOPMENT	2013-05-08
15/6-A-6 Y1H	4922	15/6-A-6	DEVELOPMENT	2013-05-08
15/6-A-6 Y2H	4923	15/6-A-6	DEVELOPMENT	2013-05-08
34/11-A-4	4924	34/11-A-4	DEVELOPMENT	2013-05-08
26/4-2	4925	26/4-2	EXPLORATION	2013-05-08
24/9-7 B	4926	24/9-7	EXPLORATION	2013-05-08
6406/9-1	4927	6406/9-1	EXPLORATION	2013-05-08
16/1-7	4928	16/1-7	EXPLORATION	2013-05-08
2/7-B-20 B	4929	2/7-B-20	DEVELOPMENT	2013-05-08
24/9-7 C	4930	24/9-7	EXPLORATION	2013-05-08
6608/10-B-4 CH	4931	6608/10-B-4	DEVELOPMENT	2013-05-08
6608/10-B-4 DH	4932	6608/10-B-4	DEVELOPMENT	2013-05-08
6506/12-Q-2 H	4933	6506/12-Q-2	DEVELOPMENT	2013-05-08
6506/12-Q-2 AH	4934	6506/12-Q-2	DEVELOPMENT	2013-05-08
34/4-I-1 H	4935	34/4-I-1	DEVELOPMENT	2013-05-08
31/2-O-14 Y2H	4936	31/2-O-14	DEVELOPMENT	2013-05-08
31/2-O-14 Y3H	4937	31/2-O-14	DEVELOPMENT	2013-05-08
15/9-U-13	4938	15/9-U-13	SHALLOW	2013-05-08
6608/11-4	4939	6608/11-4	EXPLORATION	2013-05-08
2/8-N-7	4940	2/8-N-7	DEVELOPMENT	2013-05-08
34/10-B-42 E	4941	34/10-B-42	DEVELOPMENT	2013-05-08
34/10-B-42 F	4942	34/10-B-42	DEVELOPMENT	2013-05-08
25/8-C-14	4943	25/8-C-14	DEVELOPMENT	2013-05-08
25/8-C-14 A	4944	25/8-C-14	DEVELOPMENT	2013-05-08
6507/7-A-49	4945	6507/7-A-49	DEVELOPMENT	2013-05-08
31/2-O-14 Y4H	4946	31/2-O-14	DEVELOPMENT	2013-05-08
15/12-A-10	4947	15/12-A-10	DEVELOPMENT	2013-05-08
34/10-G-2 Y2H	4948	34/10-G-2	DEVELOPMENT	2013-05-08
33/9-C-38 B	4949	33/9-C-38	DEVELOPMENT	2013-05-08
30/11-6 S	4950	30/11-6	EXPLORATION	2013-05-08
34/10-B-27 A	4951	34/10-B-27	DEVELOPMENT	2013-05-08
2/8-N-5	4952	2/8-N-5	DEVELOPMENT	2013-05-08
34/7-E-5 H	4953	34/7-E-5	DEVELOPMENT	2013-05-08
25/11-G-6	4954	25/11-G-6	DEVELOPMENT	2013-05-08
6507/1-1	4955	6507/1-1	EXPLORATION	2013-05-08
2/4-B-20 B	4956	2/4-B-20	DEVELOPMENT	2013-05-08
30/9-F-12 A	4957	30/9-F-12	DEVELOPMENT	2013-05-08
33/12-B-27 A	4958	33/12-B-27	DEVELOPMENT	2013-05-08
2/4-X-21 Y1	4959	2/4-X-21	DEVELOPMENT	2013-05-08
2/4-X-21 Y2	4960	2/4-X-21	DEVELOPMENT	2013-05-08
2/1-A-16 AY1	4961	2/1-A-16	DEVELOPMENT	2013-05-08
30/3-A-23 A	4962	30/3-A-23	DEVELOPMENT	2013-05-08
34/10-B-26 A	4963	34/10-B-26	DEVELOPMENT	2013-05-08
15/12-A-9	4964	15/12-A-9	DEVELOPMENT	2013-05-08
34/11-A-5	4965	34/11-A-5	DEVELOPMENT	2013-05-08
2/4-X-43	4966	2/4-X-43	DEVELOPMENT	2013-05-08
25/8-C-3	4968	25/8-C-3	DEVELOPMENT	2013-05-08
25/8-C-3 A	4969	25/8-C-3	DEVELOPMENT	2013-05-08
6507/7-A-40 A	4970	6507/7-A-40	DEVELOPMENT	2013-05-08
30/9-J-12 H	4971	30/9-J-12	DEVELOPMENT	2013-05-08
30/9-F-25	4972	30/9-F-25	DEVELOPMENT	2013-05-08
34/10-F-2 Y1H	4973	34/10-F-2	DEVELOPMENT	2013-05-08
34/10-F-2 Y2H	4974	34/10-F-2	DEVELOPMENT	2013-05-08
34/4-K-7 H	4975	34/4-K-7	DEVELOPMENT	2013-05-08
30/9-F-12 B	4976	30/9-F-12	DEVELOPMENT	2013-05-08
34/8-A-6 H	4977	34/8-A-6	DEVELOPMENT	2013-05-08
25/8-C-1	4978	25/8-C-1	DEVELOPMENT	2013-05-08
25/8-C-1 A	4979	25/8-C-1	DEVELOPMENT	2013-05-08
2/4-B-12 A	4980	2/4-B-12	DEVELOPMENT	2013-05-08
25/4-C-1 AH	4981	25/4-C-1	DEVELOPMENT	2013-05-08
6605/8-1	4984	6605/8-1	EXPLORATION	2013-05-08
34/7-A-3 AH	4985	34/7-A-3	DEVELOPMENT	2013-05-08
6406/1-3	4986	6406/1-3	EXPLORATION	2013-05-08
31/2-K-24 Y1H	4987	31/2-K-24	DEVELOPMENT	2013-05-08
31/2-K-24 Y2H	4988	31/2-K-24	DEVELOPMENT	2013-05-08
31/2-K-24 Y3H	4989	31/2-K-24	DEVELOPMENT	2013-05-08
31/2-K-24 Y4H	4990	31/2-K-24	DEVELOPMENT	2013-05-08
25/11-G-11	4991	25/11-G-11	DEVELOPMENT	2013-05-08
31/6-U-23	4992	31/6-U-23	SHALLOW	2013-05-08
6506/11-P-3 H	4993	6506/11-P-3	DEVELOPMENT	2013-05-08
6506/11-P-2 H	4994	6506/11-P-2	DEVELOPMENT	2013-05-08
34/10-C-5 B	4995	34/10-C-5	DEVELOPMENT	2013-05-08
31/6-U-24	4996	31/6-U-24	SHALLOW	2013-05-08
25/8-C-7	4997	25/8-C-7	DEVELOPMENT	2013-05-08
7121/4-F-2 H	4998	7121/4-F-2	DEVELOPMENT	2013-05-08
34/10-A-25 B	4999	34/10-A-25	DEVELOPMENT	2013-05-08
25/8-15 S	5000	25/8-15	EXPLORATION	2013-05-08
34/11-A-11	5001	34/11-A-11	DEVELOPMENT	2013-05-08
6608/10-H-3 H	5002	6608/10-H-3	DEVELOPMENT	2013-05-08
31/4-A-11 C	5003	31/4-A-11	DEVELOPMENT	2013-05-08
25/11-G-5	5004	25/11-G-5	DEVELOPMENT	2013-05-08
6507/7-A-12	5005	6507/7-A-12	DEVELOPMENT	2013-05-08
7227/11-1 S	5006	7227/11-1	EXPLORATION	2013-05-08
30/9-N-11 H	5007	30/9-N-11	DEVELOPMENT	2013-05-08
30/9-N-11 AH	5008	30/9-N-11	DEVELOPMENT	2013-05-08
30/9-B-4 A	5009	30/9-B-4	DEVELOPMENT	2013-05-08
34/10-B-1 B	5011	34/10-B-1	DEVELOPMENT	2013-05-08
30/3-A-8 B	5012	30/3-A-8	DEVELOPMENT	2013-05-08
31/2-L-23 Y1H	5013	31/2-L-23	DEVELOPMENT	2013-05-08
25/8-C-21	5014	25/8-C-21	DEVELOPMENT	2013-05-08
6608/10-H-1 H	5015	6608/10-H-1	DEVELOPMENT	2013-05-08
6507/7-A-12 A	5016	6507/7-A-12	DEVELOPMENT	2013-05-08
15/12-15	5017	15/12-15	EXPLORATION	2013-05-08
33/9-C-38 C	5018	33/9-C-38	DEVELOPMENT	2013-05-08
31/2-P-24 Y2H	5019	31/2-P-24	DEVELOPMENT	2013-05-08
31/2-P-24 Y3H	5020	31/2-P-24	DEVELOPMENT	2013-05-08
31/2-P-24 Y4H	5021	31/2-P-24	DEVELOPMENT	2013-05-08
6608/10-G-4 H	5022	6608/10-G-4	DEVELOPMENT	2013-05-08
6407/7-A-13 AH	5023	6407/7-A-13	DEVELOPMENT	2013-05-08
30/9-J-14 H	5024	30/9-J-14	DEVELOPMENT	2013-05-08
2/4-M-18	5025	2/4-M-18	DEVELOPMENT	2013-05-08
34/10-A-32 C	5026	34/10-A-32	DEVELOPMENT	2013-05-08
2/4-X-30	5027	2/4-X-30	DEVELOPMENT	2013-05-08
30/6-G-44 H	5028	30/6-G-44	DEVELOPMENT	2013-05-08
30/6-G-44 AH	5029	30/6-G-44	DEVELOPMENT	2013-05-08
34/10-B-20 A	5030	34/10-B-20	DEVELOPMENT	2013-05-08
6507/7-A-28 A	5031	6507/7-A-28	DEVELOPMENT	2013-05-08
6608/10-G-1 H	5032	6608/10-G-1	DEVELOPMENT	2013-05-08
2/11-S-10	5033	2/11-S-10	DEVELOPMENT	2013-05-08
7121/4-D-1 H	5034	7121/4-D-1	DEVELOPMENT	2013-05-08
7121/4-D-2 H	5035	7121/4-D-2	DEVELOPMENT	2013-05-08
7121/4-D-4 H	5036	7121/4-D-4	DEVELOPMENT	2013-05-08
2/11-S-3	5037	2/11-S-3	DEVELOPMENT	2013-05-08
6406/2-S-1 H	5038	6406/2-S-1	DEVELOPMENT	2013-05-08
7220/6-1	5039	7220/6-1	EXPLORATION	2013-05-08
33/12-B-40 D	5040	33/12-B-40	DEVELOPMENT	2013-05-08
30/9-F-30	5041	30/9-F-30	DEVELOPMENT	2013-05-08
30/9-F-30 A	5042	30/9-F-30	DEVELOPMENT	2013-05-08
30/9-F-15 A	5043	30/9-F-15	DEVELOPMENT	2013-05-08
30/9-F-26 A	5044	30/9-F-26	DEVELOPMENT	2013-05-08
2/1-A-31 A	5045	2/1-A-31	DEVELOPMENT	2013-05-08
34/10-48 A	5046	34/10-48	EXPLORATION	2013-05-08
25/11-G-40	5047	25/11-G-40	DEVELOPMENT	2013-05-08
25/11-G-40 A	5048	25/11-G-40	DEVELOPMENT	2013-05-08
6406/2-S-2 H	5049	6406/2-S-2	DEVELOPMENT	2013-05-08
2/4-M-17	5050	2/4-M-17	DEVELOPMENT	2013-05-08
31/4-12	5051	31/4-12	EXPLORATION	2013-05-08
30/6-G-41 H	5052	30/6-G-41	DEVELOPMENT	2013-05-08
34/7-D-4 H	5053	34/7-D-4	DEVELOPMENT	2013-05-08
6406/2-R-4 AH	5055	6406/2-R-4	DEVELOPMENT	2013-05-08
6406/1-3 R	5056	6406/1-3	EXPLORATION	2013-05-08
34/11-A-8	5057	34/11-A-8	DEVELOPMENT	2013-05-08
34/10-D-3 CH	5058	34/10-D-3	DEVELOPMENT	2013-05-08
6507/8-D-3 BH	5059	6507/8-D-3	DEVELOPMENT	2013-05-08
6406/1-3 R2	5060	6406/1-3	EXPLORATION	2013-05-08
33/9-C-33 A	5061	33/9-C-33	DEVELOPMENT	2013-05-08
2/4-M-23	5062	2/4-M-23	DEVELOPMENT	2013-05-08
35/11-13	5063	35/11-13	EXPLORATION	2013-05-08
6406/2-R-2 H	5064	6406/2-R-2	DEVELOPMENT	2013-05-08
25/8-C-2	5065	25/8-C-2	DEVELOPMENT	2013-05-08
34/10-A-7 B	5068	34/10-A-7	DEVELOPMENT	2013-05-08
2/4-X-4 A	5069	2/4-X-4	DEVELOPMENT	2013-05-08
6608/10-E-3 BH	5070	6608/10-E-3	DEVELOPMENT	2013-05-08
2/8-G-11	5072	2/8-G-11	DEVELOPMENT	2013-05-08
15/12-A-16	5073	15/12-A-16	DEVELOPMENT	2013-05-08
33/12-B-13 A	5074	33/12-B-13	DEVELOPMENT	2013-05-08
30/9-B-10 BY1	5075	30/9-B-10	DEVELOPMENT	2013-05-08
30/9-B-10 BY2	5076	30/9-B-10	DEVELOPMENT	2013-05-08
6507/7-A-35 C	5077	6507/7-A-35	DEVELOPMENT	2013-05-08
2/11-S-7	5078	2/11-S-7	DEVELOPMENT	2013-05-08
30/3-A-16 A	5079	30/3-A-16	DEVELOPMENT	2013-05-08
31/5-I-14 BY1H	5080	31/5-I-14	DEVELOPMENT	2013-05-08
31/5-I-14 BY2H	5081	31/5-I-14	DEVELOPMENT	2013-05-08
31/5-I-14 BY3H	5082	31/5-I-14	DEVELOPMENT	2013-05-08
31/5-I-14 BY4H	5083	31/5-I-14	DEVELOPMENT	2013-05-08
31/5-I-14 BY5H	5084	31/5-I-14	DEVELOPMENT	2013-05-08
6302/6-1	5086	6302/6-1	EXPLORATION	2013-05-08
34/10-C-9 A	5087	34/10-C-9	DEVELOPMENT	2013-05-08
6406/2-S-4 H	5088	6406/2-S-4	DEVELOPMENT	2013-05-08
2/4-M-22	5089	2/4-M-22	DEVELOPMENT	2013-05-08
25/11-G-34	5090	25/11-G-34	DEVELOPMENT	2013-05-08
15/9-A-23 A	5091	15/9-A-23	DEVELOPMENT	2013-05-08
34/11-A-15	5092	34/11-A-15	DEVELOPMENT	2013-05-08
7131/4-1	5093	7131/4-1	EXPLORATION	2013-05-08
2/7-B-4 B	5094	2/7-B-4	DEVELOPMENT	2013-05-08
6407/9-F-1 H	5095	6407/9-F-1	DEVELOPMENT	2013-05-08
6507/7-A-35 D	5096	6507/7-A-35	DEVELOPMENT	2013-05-08
2/4-B-21 B	5097	2/4-B-21	DEVELOPMENT	2013-05-08
6608/10-E-3 CH	5098	6608/10-E-3	DEVELOPMENT	2013-05-08
34/8-A-3 AH	5100	34/8-A-3	DEVELOPMENT	2013-05-08
25/8-C-12	5101	25/8-C-12	DEVELOPMENT	2013-05-08
31/2-N-11 H	5102	31/2-N-11	DEVELOPMENT	2013-05-08
31/2-N-11 BY1H	5103	31/2-N-11	DEVELOPMENT	2013-05-08
31/2-N-11 BY2H	5104	31/2-N-11	DEVELOPMENT	2013-05-08
31/2-N-11 BY3H	5105	31/2-N-11	DEVELOPMENT	2013-05-08
31/2-N-11 BY4H	5106	31/2-N-11	DEVELOPMENT	2013-05-08
31/2-N-11 BY5H	5107	31/2-N-11	DEVELOPMENT	2013-05-08
31/2-N-11 BY6H	5108	31/2-N-11	DEVELOPMENT	2013-05-08
2/4-B-12 B	5109	2/4-B-12	DEVELOPMENT	2013-05-08
6507/7-A-35 E	5110	6507/7-A-35	DEVELOPMENT	2013-05-08
6407/7-A-9 AH	5111	6407/7-A-9	DEVELOPMENT	2013-05-08
2/7-D-7	5112	2/7-D-7	DEVELOPMENT	2013-05-08
6507/7-A-27	5113	6507/7-A-27	DEVELOPMENT	2013-05-08
2/4-M-24	5114	2/4-M-24	DEVELOPMENT	2013-05-08
7121/4-E-2 H	5115	7121/4-E-2	DEVELOPMENT	2013-05-08
7121/4-E-3 H	5116	7121/4-E-3	DEVELOPMENT	2013-05-08
7121/4-E-4 H	5117	7121/4-E-4	DEVELOPMENT	2013-05-08
7/12-A-5 B	5118	7/12-A-5	DEVELOPMENT	2013-05-08
15/12-A-3	5119	15/12-A-3	DEVELOPMENT	2013-05-08
30/6-C-10 D	5120	30/6-C-10	DEVELOPMENT	2013-05-08
30/9-F-29 Y1	5121	30/9-F-29	DEVELOPMENT	2013-05-08
30/9-F-29 Y2	5122	30/9-F-29	DEVELOPMENT	2013-05-08
34/8-A-6 AH	5123	34/8-A-6	DEVELOPMENT	2013-05-08
6506/11-P-1 H	5124	6506/11-P-1	DEVELOPMENT	2013-05-08
2/4-K-15 A	5125	2/4-K-15	DEVELOPMENT	2013-05-08
2/4-K-27 A	5126	2/4-K-27	DEVELOPMENT	2013-05-08
33/9-A-40 C	5127	33/9-A-40	DEVELOPMENT	2013-05-08
2/8-G-18	5128	2/8-G-18	DEVELOPMENT	2013-05-08
2/4-K-26 A	5129	2/4-K-26	DEVELOPMENT	2013-05-08
31/3-S-21 H	5130	31/3-S-21	DEVELOPMENT	2013-05-08
15/9-A-19 A	5131	15/9-A-19	DEVELOPMENT	2013-05-08
31/3-S-21 AH	5132	31/3-S-21	DEVELOPMENT	2013-05-08
9/4-5	5134	9/4-5	EXPLORATION	2013-05-08
35/2-1	5135	35/2-1	EXPLORATION	2013-05-08
6608/10-D-3 BY2H	5136	6608/10-D-3	DEVELOPMENT	2013-05-08
6608/10-D-3 BY1H	5137	6608/10-D-3	DEVELOPMENT	2013-05-08
30/9-J-13 H	5138	30/9-J-13	DEVELOPMENT	2013-05-08
30/9-J-13 AH	5139	30/9-J-13	DEVELOPMENT	2013-05-08
34/10-49 S	5140	34/10-49	EXPLORATION	2013-05-08
15/12-A-7	5141	15/12-A-7	DEVELOPMENT	2013-05-08
24/9-U-1	5142	24/9-U-1	SHALLOW	2013-05-08
24/9-U-2	5143	24/9-U-2	SHALLOW	2013-05-08
2/1-A-7 A	5144	2/1-A-7	DEVELOPMENT	2013-05-08
2/4-B-13 A	5145	2/4-B-13	DEVELOPMENT	2013-05-08
2/4-B-13 B	5146	2/4-B-13	DEVELOPMENT	2013-05-08
2/4-X-28	5147	2/4-X-28	DEVELOPMENT	2013-05-08
2/11-S-5	5148	2/11-S-5	DEVELOPMENT	2013-05-08
34/10-G-3 Y2H	5149	34/10-G-3	DEVELOPMENT	2013-05-08
34/10-G-3 Y3H	5150	34/10-G-3	DEVELOPMENT	2013-05-08
6302/6-U-1	5151	6302/6-U-1	SHALLOW	2013-05-08
24/9-U-3	5152	24/9-U-3	SHALLOW	2013-05-08
24/9-U-4	5153	24/9-U-4	SHALLOW	2013-05-08
24/9-U-5	5154	24/9-U-5	SHALLOW	2013-05-08
24/9-U-6	5155	24/9-U-6	SHALLOW	2013-05-08
7/12-A-2 B	5156	7/12-A-2	DEVELOPMENT	2013-05-08
31/3-S-21 BY1H	5157	31/3-S-21	DEVELOPMENT	2013-05-08
31/3-S-21 BY2H	5158	31/3-S-21	DEVELOPMENT	2013-05-08
31/3-S-21 BY3H	5159	31/3-S-21	DEVELOPMENT	2013-05-08
34/7-P-29 A	5161	34/7-P-29	DEVELOPMENT	2013-05-08
7122/7-U-1	5162	7122/7-U-1	SHALLOW	2013-05-08
7122/7-U-2	5163	7122/7-U-2	SHALLOW	2013-05-08
7122/7-U-3	5164	7122/7-U-3	SHALLOW	2013-05-08
31/2-L-23 Y2H	5165	31/2-L-23	DEVELOPMENT	2013-05-08
31/2-L-23 Y3H	5166	31/2-L-23	DEVELOPMENT	2013-05-08
31/2-L-23 Y4H	5167	31/2-L-23	DEVELOPMENT	2013-05-08
31/2-L-23 Y5H	5168	31/2-L-23	DEVELOPMENT	2013-05-08
31/2-L-23 Y6H	5169	31/2-L-23	DEVELOPMENT	2013-05-08
34/4-K-1 H	5170	34/4-K-1	DEVELOPMENT	2013-05-08
34/11-A-10	5171	34/11-A-10	DEVELOPMENT	2013-05-08
6608/10-E-2 AH	5172	6608/10-E-2	DEVELOPMENT	2013-05-08
9/3-2	5173	9/3-2	EXPLORATION	2013-05-08
15/9-22	5174	15/9-22	EXPLORATION	2013-05-08
15/3-8	5175	15/3-8	EXPLORATION	2013-05-08
31/5-H-2 AH	5176	31/5-H-2	DEVELOPMENT	2013-05-08
31/5-H-2 BY1H	5177	31/5-H-2	DEVELOPMENT	2013-05-08
31/5-H-2 BY2H	5178	31/5-H-2	DEVELOPMENT	2013-05-08
31/5-H-2 BY3H	5179	31/5-H-2	DEVELOPMENT	2013-05-08
2/4-B-4 A	5180	2/4-B-4	DEVELOPMENT	2013-05-08
6506/12-Q-3 H	5181	6506/12-Q-3	DEVELOPMENT	2013-05-08
6506/12-Q-3 AH	5182	6506/12-Q-3	DEVELOPMENT	2013-05-08
6406/1-4	5183	6406/1-4	EXPLORATION	2013-05-08
25/8-C-18 B	5184	25/8-C-18	DEVELOPMENT	2013-05-08
25/11-G-8	5185	25/11-G-8	DEVELOPMENT	2013-05-08
2/11-S-2	5186	2/11-S-2	DEVELOPMENT	2013-05-08
30/6-C-8 A	5187	30/6-C-8	DEVELOPMENT	2013-05-08
30/6-C-8 B	5188	30/6-C-8	DEVELOPMENT	2013-05-08
30/6-C-8 C	5189	30/6-C-8	DEVELOPMENT	2013-05-08
2/8-G-24	5190	2/8-G-24	DEVELOPMENT	2013-05-08
6407/7-A-15 BH	5191	6407/7-A-15	DEVELOPMENT	2013-05-08
1/2-2	5192	1/2-2	EXPLORATION	2013-05-08
33/12-B-22 B	5193	33/12-B-22	DEVELOPMENT	2013-05-08
33/9-C-29 A	5194	33/9-C-29	DEVELOPMENT	2013-05-08
6507/7-A-29 AY2	5195	6507/7-A-29	DEVELOPMENT	2013-05-08
6305/8-A-2 H	5196	6305/8-A-2	DEVELOPMENT	2013-05-08
6305/8-A-2 AH	5197	6305/8-A-2	DEVELOPMENT	2013-05-08
2/7-A-30 A	5198	2/7-A-30	DEVELOPMENT	2013-05-08
15/12-A-5 A	5199	15/12-A-5	DEVELOPMENT	2013-05-08
2/4-X-4 B	5200	2/4-X-4	DEVELOPMENT	2013-05-08
30/9-J-16 H	5201	30/9-J-16	DEVELOPMENT	2013-05-08
2/8-G-13	5202	2/8-G-13	DEVELOPMENT	2013-05-08
34/11-A-6	5203	34/11-A-6	DEVELOPMENT	2013-05-08
30/3-A-19 B	5204	30/3-A-19	DEVELOPMENT	2013-05-08
2/8-G-15	5205	2/8-G-15	DEVELOPMENT	2013-05-08
2/7-A-20 B	5206	2/7-A-20	DEVELOPMENT	2013-05-08
6305/8-A-3 H	5207	6305/8-A-3	DEVELOPMENT	2013-05-08
6305/8-A-6 H	5208	6305/8-A-6	DEVELOPMENT	2013-05-08
6305/8-A-7 H	5209	6305/8-A-7	DEVELOPMENT	2013-05-08
6305/5-B-2 H	5210	6305/5-B-2	DEVELOPMENT	2013-05-08
6305/5-B-3 H	5211	6305/5-B-3	DEVELOPMENT	2013-05-08
6305/5-B-6 H	5212	6305/5-B-6	DEVELOPMENT	2013-05-08
6305/5-B-7 H	5213	6305/5-B-7	DEVELOPMENT	2013-05-08
7122/7-3	5214	7122/7-3	EXPLORATION	2013-05-08
7121/7-N-2 H	5216	7121/7-N-2	DEVELOPMENT	2013-05-08
7121/7-N-3 H	5217	7121/7-N-3	DEVELOPMENT	2013-05-08
7121/7-N-4 H	5218	7121/7-N-4	DEVELOPMENT	2013-05-08
25/8-C-5	5219	25/8-C-5	DEVELOPMENT	2013-05-08
6608/10-B-1 AH	5220	6608/10-B-1	DEVELOPMENT	2013-05-08
6608/10-B-1 BH	5221	6608/10-B-1	DEVELOPMENT	2013-05-08
34/7-D-4 AH	5222	34/7-D-4	DEVELOPMENT	2013-05-08
34/10-C-47	5223	34/10-C-47	DEVELOPMENT	2013-05-08
6406/2-R-4 BH	5224	6406/2-R-4	DEVELOPMENT	2013-05-08
30/9-F-27	5225	30/9-F-27	DEVELOPMENT	2013-05-08
2/11-S-1	5226	2/11-S-1	DEVELOPMENT	2013-05-08
2/11-S-1 A	5227	2/11-S-1	DEVELOPMENT	2013-05-08
2/4-M-2	5229	2/4-M-2	DEVELOPMENT	2013-05-08
2/4-M-4	5230	2/4-M-4	DEVELOPMENT	2013-05-08
2/4-M-7	5231	2/4-M-7	DEVELOPMENT	2013-05-08
2/4-M-10	5232	2/4-M-10	DEVELOPMENT	2013-05-08
2/4-M-13	5233	2/4-M-13	DEVELOPMENT	2013-05-08
2/4-M-16	5234	2/4-M-16	DEVELOPMENT	2013-05-08
2/4-M-20	5235	2/4-M-20	DEVELOPMENT	2013-05-08
2/4-M-27	5236	2/4-M-27	DEVELOPMENT	2013-05-08
2/4-M-30	5237	2/4-M-30	DEVELOPMENT	2013-05-08
6608/10-J-2 H	5238	6608/10-J-2	DEVELOPMENT	2013-05-08
2/4-M-21	5239	2/4-M-21	DEVELOPMENT	2013-05-08
25/11-G-10 Y1	5240	25/11-G-10	DEVELOPMENT	2013-05-08
25/11-G-10 Y2	5241	25/11-G-10	DEVELOPMENT	2013-05-08
2/7-B-19 B	5242	2/7-B-19	DEVELOPMENT	2013-05-08
31/2-N-11 AH	5243	31/2-N-11	DEVELOPMENT	2013-05-08
33/9-C-6 A	5244	33/9-C-6	DEVELOPMENT	2013-05-08
25/8-C-14 B	5245	25/8-C-14	DEVELOPMENT	2013-05-08
2/11-S-4 Y1	5246	2/11-S-4	DEVELOPMENT	2013-05-08
2/11-S-4 Y2	5247	2/11-S-4	DEVELOPMENT	2013-05-08
34/11-5 S	5248	34/11-5	EXPLORATION	2013-05-08
31/2-O-13 BY1H	5249	31/2-O-13	DEVELOPMENT	2013-05-08
31/2-O-13 BY2H	5250	31/2-O-13	DEVELOPMENT	2013-05-08
33/12-N-1 H	5251	33/12-N-1	DEVELOPMENT	2013-05-08
33/12-N-2 H	5253	33/12-N-2	DEVELOPMENT	2013-05-08
33/12-N-3 H	5254	33/12-N-3	DEVELOPMENT	2013-05-08
33/12-N-4 H	5255	33/12-N-4	DEVELOPMENT	2013-05-08
33/12-B-20 A	5256	33/12-B-20	DEVELOPMENT	2013-05-08
7/12-A-9 A	5257	7/12-A-9	DEVELOPMENT	2013-05-08
6407/7-A-9 BH	5258	6407/7-A-9	DEVELOPMENT	2013-05-08
6507/7-A-15	5259	6507/7-A-15	DEVELOPMENT	2013-05-08
6507/7-A-15 A	5260	6507/7-A-15	DEVELOPMENT	2013-05-08
30/3-A-17 B	5261	30/3-A-17	DEVELOPMENT	2013-05-08
6608/10-J-1 H	5262	6608/10-J-1	DEVELOPMENT	2013-05-08
6608/10-J-3 H	5263	6608/10-J-3	DEVELOPMENT	2013-05-08
31/2-X-23 Y1H	5264	31/2-X-23	DEVELOPMENT	2013-05-08
31/2-X-23 Y2H	5265	31/2-X-23	DEVELOPMENT	2013-05-08
31/2-X-23 Y3H	5266	31/2-X-23	DEVELOPMENT	2013-05-08
31/2-X-23 Y4H	5267	31/2-X-23	DEVELOPMENT	2013-05-08
25/4-E-1 H	5269	25/4-E-1	DEVELOPMENT	2013-05-08
6608/10-J-3 AH	5270	6608/10-J-3	DEVELOPMENT	2013-05-08
15/12-16 S	5271	15/12-16	EXPLORATION	2013-05-08
30/9-J-11 H	5272	30/9-J-11	DEVELOPMENT	2013-05-08
25/4-D-1 H	5273	25/4-D-1	DEVELOPMENT	2013-05-08
6506/11-N-3 AH	5274	6506/11-N-3	DEVELOPMENT	2013-05-08
30/6-G-43 Y1H	5275	30/6-G-43	DEVELOPMENT	2013-05-08
30/6-G-43 Y2H	5276	30/6-G-43	DEVELOPMENT	2013-05-08
25/11-G-35	5277	25/11-G-35	DEVELOPMENT	2013-05-08
25/11-G-35 A	5278	25/11-G-35	DEVELOPMENT	2013-05-08
34/4-D-6 H	5279	34/4-D-6	DEVELOPMENT	2013-05-08
33/9-C-40 C	5280	33/9-C-40	DEVELOPMENT	2013-05-08
7/12-A-9 B	5281	7/12-A-9	DEVELOPMENT	2013-05-08
34/10-49 A	5282	34/10-49	EXPLORATION	2013-05-08
2/11-S-8 Y1	5283	2/11-S-8	DEVELOPMENT	2013-05-08
2/11-S-8 Y2	5284	2/11-S-8	DEVELOPMENT	2013-05-08
35/11-B-21 H	5285	35/11-B-21	DEVELOPMENT	2013-05-08
35/11-B-21 AH	5286	35/11-B-21	DEVELOPMENT	2013-05-08
7227/11-1 A	5287	7227/11-1	EXPLORATION	2013-05-08
6507/8-E-4 AH	5288	6507/8-E-4	DEVELOPMENT	2013-05-08
34/8-A-4 BH	5289	34/8-A-4	DEVELOPMENT	2013-05-08
30/9-B-19 A	5290	30/9-B-19	DEVELOPMENT	2013-05-08
30/9-B-19 B	5291	30/9-B-19	DEVELOPMENT	2013-05-08
25/11-G-39	5292	25/11-G-39	DEVELOPMENT	2013-05-08
25/11-G-39 AY1	5293	25/11-G-39	DEVELOPMENT	2013-05-08
6506/11-8	5295	6506/11-8	EXPLORATION	2013-05-08
6403/6-1	5296	6403/6-1	EXPLORATION	2013-05-08
2/4-E-18	5297	2/4-E-18	DEVELOPMENT	2013-05-08
2/4-E-18 A	5298	2/4-E-18	DEVELOPMENT	2013-05-08
7830/6-U-1	5299	7830/6-U-1	SHALLOW	2013-05-08
7831/2-U-1	5300	7831/2-U-1	SHALLOW	2013-05-08
7831/2-U-2	5301	7831/2-U-2	SHALLOW	2013-05-08
7830/5-U-1	5302	7830/5-U-1	SHALLOW	2013-05-08
7830/3-U-1	5303	7830/3-U-1	SHALLOW	2013-05-08
7/8-5 S	5304	7/8-5	EXPLORATION	2013-05-08
6507/7-A-11	5305	6507/7-A-11	DEVELOPMENT	2013-05-08
6507/7-A-11 A	5306	6507/7-A-11	DEVELOPMENT	2013-05-08
6507/3-5 S	5307	6507/3-5	EXPLORATION	2013-05-08
25/8-C-17	5308	25/8-C-17	DEVELOPMENT	2013-05-08
33/12-B-42 A	5309	33/12-B-42	DEVELOPMENT	2013-05-08
25/4-K-1 H	5310	25/4-K-1	DEVELOPMENT	2013-05-08
25/4-K-2 H	5311	25/4-K-2	DEVELOPMENT	2013-05-08
25/4-K-3 H	5312	25/4-K-3	DEVELOPMENT	2013-05-08
25/4-K-3 AH	5313	25/4-K-3	DEVELOPMENT	2013-05-08
2/7-A-30 B	5314	2/7-A-30	DEVELOPMENT	2013-05-08
6608/11-5	5316	6608/11-5	EXPLORATION	2013-05-08
6506/12-Q-1 H	5317	6506/12-Q-1	DEVELOPMENT	2013-05-08
6506/12-Q-1 AY1H	5318	6506/12-Q-1	DEVELOPMENT	2013-05-08
6506/12-Q-1 AY2H	5319	6506/12-Q-1	DEVELOPMENT	2013-05-08
31/2-L-13 AY1H	5320	31/2-L-13	DEVELOPMENT	2013-05-08
31/2-L-13 AY2H	5321	31/2-L-13	DEVELOPMENT	2013-05-08
31/2-L-13 AY3H	5322	31/2-L-13	DEVELOPMENT	2013-05-08
30/3-A-5 B	5323	30/3-A-5	DEVELOPMENT	2013-05-08
2/1-A-32 A	5324	2/1-A-32	DEVELOPMENT	2013-05-08
34/10-E-4 BH	5325	34/10-E-4	DEVELOPMENT	2013-05-08
6507/8-D-5 H	5326	6507/8-D-5	DEVELOPMENT	2013-05-08
7122/6-2	5327	7122/6-2	EXPLORATION	2013-05-08
34/10-49 B	5328	34/10-49	EXPLORATION	2013-05-08
6407/7-A-5 BH	5329	6407/7-A-5	DEVELOPMENT	2013-05-08
2/8-N-3	5330	2/8-N-3	DEVELOPMENT	2013-05-08
2/8-N-3 AY1	5331	2/8-N-3	DEVELOPMENT	2013-05-08
30/9-F-31	5333	30/9-F-31	DEVELOPMENT	2013-05-08
33/12-N-3 AH	5334	33/12-N-3	DEVELOPMENT	2013-05-08
31/5-4 AR2	5335	31/5-4	EXPLORATION	2013-05-08
31/2-M-24 Y1H	5336	31/2-M-24	DEVELOPMENT	2013-05-08
31/2-M-24 Y2H	5337	31/2-M-24	DEVELOPMENT	2013-05-08
31/2-M-24 Y3H	5338	31/2-M-24	DEVELOPMENT	2013-05-08
31/2-M-24 Y4H	5339	31/2-M-24	DEVELOPMENT	2013-05-08
6608/10-G-2 H	5340	6608/10-G-2	DEVELOPMENT	2013-05-08
7120/8-U-4	5341	7120/8-U-4	SHALLOW	2013-05-08
34/11-A-2	5342	34/11-A-2	DEVELOPMENT	2013-05-08
2/8-N-6	5343	2/8-N-6	DEVELOPMENT	2013-05-08
2/8-N-8	5344	2/8-N-8	DEVELOPMENT	2013-05-08
2/8-G-6	5345	2/8-G-6	DEVELOPMENT	2013-05-08
2/8-G-7	5346	2/8-G-7	DEVELOPMENT	2013-05-08
2/8-G-8	5347	2/8-G-8	DEVELOPMENT	2013-05-08
2/8-G-12	5348	2/8-G-12	DEVELOPMENT	2013-05-08
2/8-G-14	5349	2/8-G-14	DEVELOPMENT	2013-05-08
2/8-G-16	5350	2/8-G-16	DEVELOPMENT	2013-05-08
15/9-F-14	5351	15/9-F-14	DEVELOPMENT	2013-05-08
2/8-G-22	5352	2/8-G-22	DEVELOPMENT	2013-05-08
2/8-G-23	5353	2/8-G-23	DEVELOPMENT	2013-05-08
6607/2-U-1	5354	6607/2-U-1	SHALLOW	2013-05-08
6607/2-U-2	5355	6607/2-U-2	SHALLOW	2013-05-08
6607/2-U-3	5356	6607/2-U-3	SHALLOW	2013-05-08
6607/1-U-1	5357	6607/1-U-1	SHALLOW	2013-05-08
6607/2-U-4	5358	6607/2-U-4	SHALLOW	2013-05-08
6406/6-2	5359	6406/6-2	EXPLORATION	2013-05-08
15/12-A-9 A	5360	15/12-A-9	DEVELOPMENT	2013-05-08
6507/7-A-11 B	5361	6507/7-A-11	DEVELOPMENT	2013-05-08
34/10-E-1 Y1H	5362	34/10-E-1	DEVELOPMENT	2013-05-08
34/10-E-1 Y2H	5363	34/10-E-1	DEVELOPMENT	2013-05-08
33/9-A-16 B	5364	33/9-A-16	DEVELOPMENT	2013-05-08
35/11-14 S	5365	35/11-14	EXPLORATION	2013-05-08
34/4-C-7 AH	5366	34/4-C-7	DEVELOPMENT	2013-05-08
6504/4-U-1	5367	6504/4-U-1	SHALLOW	2013-05-08
6504/4-U-2	5368	6504/4-U-2	SHALLOW	2013-05-08
6504/5-U-1	5369	6504/5-U-1	SHALLOW	2013-05-08
6504/5-U-2	5370	6504/5-U-2	SHALLOW	2013-05-08
6504/5-U-3	5371	6504/5-U-3	SHALLOW	2013-05-08
6504/5-U-4	5372	6504/5-U-4	SHALLOW	2013-05-08
6504/5-U-5	5373	6504/5-U-5	SHALLOW	2013-05-08
30/9-F-2 A	5374	30/9-F-2	DEVELOPMENT	2013-05-08
6406/3-7	5375	6406/3-7	EXPLORATION	2013-05-08
35/2-1 R	5376	35/2-1	EXPLORATION	2013-05-08
2/4-K-19 A	5377	2/4-K-19	DEVELOPMENT	2013-05-08
2/7-B-16 A	5378	2/7-B-16	DEVELOPMENT	2013-05-08
25/11-G-12 Y1	5379	25/11-G-12	DEVELOPMENT	2013-05-08
25/11-G-12 Y2	5380	25/11-G-12	DEVELOPMENT	2013-05-08
31/3-S-24 Y1H	5381	31/3-S-24	DEVELOPMENT	2013-05-08
31/3-S-24 Y2H	5382	31/3-S-24	DEVELOPMENT	2013-05-08
31/3-S-24 Y3H	5383	31/3-S-24	DEVELOPMENT	2013-05-08
6608/10-11 S	5386	6608/10-11	EXPLORATION	2013-05-08
2/4-X-1 A	5387	2/4-X-1	DEVELOPMENT	2013-05-08
30/3-A-15 A	5388	30/3-A-15	DEVELOPMENT	2013-05-08
25/8-B-30	5389	25/8-B-30	DEVELOPMENT	2013-05-08
6608/10-K-3 H	5390	6608/10-K-3	DEVELOPMENT	2013-05-08
2/8-N-2	5392	2/8-N-2	DEVELOPMENT	2013-05-08
15/12-A-4	5393	15/12-A-4	DEVELOPMENT	2013-05-08
25/4-J-1 H	5394	25/4-J-1	DEVELOPMENT	2013-05-08
25/4-J-2 H	5395	25/4-J-2	DEVELOPMENT	2013-05-08
25/4-J-1 AH	5397	25/4-J-1	DEVELOPMENT	2013-05-08
6305/5-M-2	5398	6305/5-M-2	DEVELOPMENT	2013-05-08
31/2-G-1 BY1H	5399	31/2-G-1	DEVELOPMENT	2013-05-08
31/2-G-1 BY2H	5400	31/2-G-1	DEVELOPMENT	2013-05-08
24/6-B-1 H	5401	24/6-B-1	DEVELOPMENT	2013-05-08
24/6-B-1 AH	5402	24/6-B-1	DEVELOPMENT	2013-05-08
24/6-B-1 BH	5403	24/6-B-1	DEVELOPMENT	2013-05-08
34/10-C-46	5404	34/10-C-46	DEVELOPMENT	2013-05-08
34/10-E-1 Y3H	5405	34/10-E-1	DEVELOPMENT	2013-05-08
7122/7-4 S	5406	7122/7-4	EXPLORATION	2013-05-08
2/4-M-25	5407	2/4-M-25	DEVELOPMENT	2013-05-08
2/4-M-26	5408	2/4-M-26	DEVELOPMENT	2013-05-08
2/4-M-29	5409	2/4-M-29	DEVELOPMENT	2013-05-08
2/4-M-6	5410	2/4-M-6	DEVELOPMENT	2013-05-08
2/4-M-8	5411	2/4-M-8	DEVELOPMENT	2013-05-08
2/4-M-11	5412	2/4-M-11	DEVELOPMENT	2013-05-08
2/4-M-14	5413	2/4-M-14	DEVELOPMENT	2013-05-08
2/4-M-15	5414	2/4-M-15	DEVELOPMENT	2013-05-08
33/12-B-17 A	5415	33/12-B-17	DEVELOPMENT	2013-05-08
34/10-B-7 B	5416	34/10-B-7	DEVELOPMENT	2013-05-08
15/12-A-12 B	5417	15/12-A-12	DEVELOPMENT	2013-05-08
25/8-B-32	5418	25/8-B-32	DEVELOPMENT	2013-05-08
2/7-A-5 B	5419	2/7-A-5	DEVELOPMENT	2013-05-08
2/4-M-10 A	5420	2/4-M-10	DEVELOPMENT	2013-05-08
31/4-A-16 A	5421	31/4-A-16	DEVELOPMENT	2013-05-08
31/4-A-16 B	5422	31/4-A-16	DEVELOPMENT	2013-05-08
30/9-J-11 AH	5423	30/9-J-11	DEVELOPMENT	2013-05-08
35/11-B-24 H	5424	35/11-B-24	DEVELOPMENT	2013-05-08
6608/10-K-1 H	5425	6608/10-K-1	DEVELOPMENT	2013-05-08
30/9-J-11 BH	5426	30/9-J-11	DEVELOPMENT	2013-05-08
34/10-A-24 B	5427	34/10-A-24	DEVELOPMENT	2013-05-08
2/11-S-7 F2	5428	2/11-S-7	DEVELOPMENT	2013-05-08
2/11-S-1 AF2	5429	2/11-S-1	DEVELOPMENT	2013-05-08
6507/11-7	5430	6507/11-7	EXPLORATION	2013-05-08
31/2-N-22 Y1H	5431	31/2-N-22	DEVELOPMENT	2013-05-08
31/2-N-22 Y2H	5432	31/2-N-22	DEVELOPMENT	2013-05-08
31/2-N-22 Y3H	5433	31/2-N-22	DEVELOPMENT	2013-05-08
33/9-A-32 B	5434	33/9-A-32	DEVELOPMENT	2013-05-08
6406/8-2	5435	6406/8-2	EXPLORATION	2013-05-08
25/8-B-31	5436	25/8-B-31	DEVELOPMENT	2013-05-08
34/10-B-17 A	5437	34/10-B-17	DEVELOPMENT	2013-05-08
34/10-B-7 C	5438	34/10-B-7	DEVELOPMENT	2013-05-08
7122/7-5	5439	7122/7-5	EXPLORATION	2013-05-08
2/4-X-26	5440	2/4-X-26	DEVELOPMENT	2013-05-08
16/4-4	5441	16/4-4	EXPLORATION	2013-05-08
15/12-17 S	5442	15/12-17	EXPLORATION	2013-05-08
6506/12-Q-4 H	5444	6506/12-Q-4	DEVELOPMENT	2013-05-08
6506/12-Q-4 AY1H	5445	6506/12-Q-4	DEVELOPMENT	2013-05-08
6506/12-Q-4 AY2H	5446	6506/12-Q-4	DEVELOPMENT	2013-05-08
6506/12-Q-5 Y1H	5447	6506/12-Q-5	DEVELOPMENT	2013-05-08
2/4-X-1 B	5448	2/4-X-1	DEVELOPMENT	2013-05-08
2/4-K-6 A	5449	2/4-K-6	DEVELOPMENT	2013-05-08
7125/4-1	5450	7125/4-1	EXPLORATION	2013-05-08
34/11-A-13	5451	34/11-A-13	DEVELOPMENT	2013-05-08
25/11-G-30 Y1	5452	25/11-G-30	DEVELOPMENT	2013-05-08
25/11-G-30 Y2	5453	25/11-G-30	DEVELOPMENT	2013-05-08
6406/9-2	5454	6406/9-2	EXPLORATION	2013-05-08
34/10-A-6 B	5455	34/10-A-6	DEVELOPMENT	2013-05-08
2/4-M-15 A	5456	2/4-M-15	DEVELOPMENT	2013-05-08
6507/3-U-1	5457	6507/3-U-1	SHALLOW	2013-05-08
16/4-U-1	5458	16/4-U-1	SHALLOW	2013-05-08
15/6-U-1	5459	15/6-U-1	SHALLOW	2013-05-08
16/2-U-1	5460	16/2-U-1	SHALLOW	2013-05-08
16/2-U-2	5461	16/2-U-2	SHALLOW	2013-05-08
35/9-U-1	5462	35/9-U-1	SHALLOW	2013-05-08
30/6-G-44 BH	5463	30/6-G-44	DEVELOPMENT	2013-05-08
33/9-A-40 D	5464	33/9-A-40	DEVELOPMENT	2013-05-08
7122/7-5 A	5465	7122/7-5	EXPLORATION	2013-05-08
30/9-F-13	5466	30/9-F-13	DEVELOPMENT	2013-05-08
30/9-F-13 A	5467	30/9-F-13	DEVELOPMENT	2013-05-08
33/12-N-5 H	5468	33/12-N-5	DEVELOPMENT	2013-05-08
6507/7-A-44 A	5469	6507/7-A-44	DEVELOPMENT	2013-05-08
25/11-24	5470	25/11-24	EXPLORATION	2013-05-08
6607/2-1	5471	6607/2-1	EXPLORATION	2013-05-08
25/8-C-24	5472	25/8-C-24	DEVELOPMENT	2013-05-08
25/8-C-24 A	5473	25/8-C-24	DEVELOPMENT	2013-05-08
7/11-11 S	5474	7/11-11	EXPLORATION	2013-05-08
24/6-B-1 CH	5475	24/6-B-1	DEVELOPMENT	2013-05-08
35/11-B-31 H	5476	35/11-B-31	DEVELOPMENT	2013-05-08
34/7-F-2 H	5477	34/7-F-2	DEVELOPMENT	2013-05-08
34/10-C-20 AY2	5478	34/10-C-20	DEVELOPMENT	2013-05-08
34/7-F-4 H	5479	34/7-F-4	DEVELOPMENT	2013-05-08
2/4-M-25 A	5480	2/4-M-25	DEVELOPMENT	2013-05-08
30/3-A-2 B	5481	30/3-A-2	DEVELOPMENT	2013-05-08
2/4-K-9 A	5482	2/4-K-9	DEVELOPMENT	2013-05-08
34/8-A-25 BH	5483	34/8-A-25	DEVELOPMENT	2013-05-08
15/12-17 A	5484	15/12-17	EXPLORATION	2013-05-08
1/3-K-5	5485	1/3-K-5	DEVELOPMENT	2013-05-08
1/3-K-5 A	5486	1/3-K-5	DEVELOPMENT	2013-05-08
31/2-D-7 AY1H	5487	31/2-D-7	DEVELOPMENT	2013-05-08
31/2-D-7 AY2H	5488	31/2-D-7	DEVELOPMENT	2013-05-08
31/2-D-7 AY3H	5489	31/2-D-7	DEVELOPMENT	2013-05-08
31/2-D-7 AY5H	5490	31/2-D-7	DEVELOPMENT	2013-05-08
35/11-B-11 H	5491	35/11-B-11	DEVELOPMENT	2013-05-08
31/2-D-7 AY6H	5492	31/2-D-7	DEVELOPMENT	2013-05-08
31/2-D-7 AY7H	5493	31/2-D-7	DEVELOPMENT	2013-05-08
15/6-9 S	5494	15/6-9	EXPLORATION	2013-05-08
34/10-C-50	5495	34/10-C-50	DEVELOPMENT	2013-05-08
25/11-G-2 Y1	5496	25/11-G-2	DEVELOPMENT	2013-05-08
25/11-G-2 Y2	5497	25/11-G-2	DEVELOPMENT	2013-05-08
25/11-G-2 Y3	5498	25/11-G-2	DEVELOPMENT	2013-05-08
1/3-U-10	5499	1/3-U-10	SHALLOW	2013-05-08
1/3-U-11	5500	1/3-U-11	SHALLOW	2013-05-08
3/7-U-7	5501	3/7-U-7	SHALLOW	2013-05-08
15/9-A-18	5502	15/9-A-18	DEVELOPMENT	2013-05-08
2/1-A-2 A	5503	2/1-A-2	DEVELOPMENT	2013-05-08
2/4-M-19	5504	2/4-M-19	DEVELOPMENT	2013-05-08
6305/5-B-1 H	5505	6305/5-B-1	DEVELOPMENT	2013-05-08
6305/5-B-4 H	5506	6305/5-B-4	DEVELOPMENT	2013-05-08
6305/5-B-5 H	5507	6305/5-B-5	DEVELOPMENT	2013-05-08
6305/5-B-8 H	5508	6305/5-B-8	DEVELOPMENT	2013-05-08
6305/8-A-1 H	5509	6305/8-A-1	DEVELOPMENT	2013-05-08
6305/8-A-4 H	5510	6305/8-A-4	DEVELOPMENT	2013-05-08
6305/8-A-5 H	5511	6305/8-A-5	DEVELOPMENT	2013-05-08
6305/8-A-8 H	5512	6305/8-A-8	DEVELOPMENT	2013-05-08
2/4-B-8 A	5513	2/4-B-8	DEVELOPMENT	2013-05-08
33/12-B-11 C	5514	33/12-B-11	DEVELOPMENT	2013-05-08
34/7-P-32 A	5515	34/7-P-32	DEVELOPMENT	2013-05-08
2/11-S-6	5516	2/11-S-6	DEVELOPMENT	2013-05-08
35/11-15 S	5517	35/11-15	EXPLORATION	2013-05-08
6504/5-1 S	5518	6504/5-1	EXPLORATION	2013-05-08
6507/7-A-17 A	5519	6507/7-A-17	DEVELOPMENT	2013-05-08
6507/7-A-17 B	5520	6507/7-A-17	DEVELOPMENT	2013-05-08
6608/10-K-4 H	5521	6608/10-K-4	DEVELOPMENT	2013-05-08
24/6-B-2 H	5522	24/6-B-2	DEVELOPMENT	2013-05-08
24/6-B-3 H	5523	24/6-B-3	DEVELOPMENT	2013-05-08
2/4-X-34 A	5524	2/4-X-34	DEVELOPMENT	2013-05-08
30/6-C-15 C	5525	30/6-C-15	DEVELOPMENT	2013-05-08
25/8-C-23	5526	25/8-C-23	DEVELOPMENT	2013-05-08
31/4-A-40 A	5527	31/4-A-40	DEVELOPMENT	2013-05-08
34/7-G-1 H	5528	34/7-G-1	DEVELOPMENT	2013-05-08
34/7-G-2 H	5529	34/7-G-2	DEVELOPMENT	2013-05-08
34/7-G-3 H	5530	34/7-G-3	DEVELOPMENT	2013-05-08
34/7-G-4 H	5531	34/7-G-4	DEVELOPMENT	2013-05-08
24/6-B-3 AY1H	5532	24/6-B-3	DEVELOPMENT	2013-05-08
24/6-B-3 AY2H	5533	24/6-B-3	DEVELOPMENT	2013-05-08
34/7-U-15	5534	34/7-U-15	SHALLOW	2013-05-08
2/1-A-14 C	5535	2/1-A-14	DEVELOPMENT	2013-05-08
6608/10-H-1 AH	5536	6608/10-H-1	DEVELOPMENT	2013-05-08
31/5-J-24 AY1H	5541	31/5-J-24	DEVELOPMENT	2013-05-08
31/5-J-24 AY2H	5542	31/5-J-24	DEVELOPMENT	2013-05-08
31/5-J-24 AY3H	5543	31/5-J-24	DEVELOPMENT	2013-05-08
34/7-U-16	5544	34/7-U-16	SHALLOW	2013-05-08
34/7-R-1 H	5545	34/7-R-1	DEVELOPMENT	2013-05-08
15/12-U-10	5546	15/12-U-10	SHALLOW	2013-05-08
15/12-U-11	5547	15/12-U-11	SHALLOW	2013-05-08
15/12-U-12	5548	15/12-U-12	SHALLOW	2013-05-08
34/4-C-4 AH	5549	34/4-C-4	DEVELOPMENT	2013-05-08
6407/7-7 S	5550	6407/7-7	EXPLORATION	2013-05-08
16/2-3	5551	16/2-3	EXPLORATION	2013-05-08
34/8-A-25 CH	5552	34/8-A-25	DEVELOPMENT	2013-05-08
31/2-D-7 AY4H	5553	31/2-D-7	DEVELOPMENT	2013-05-08
6407/7-B-1 Y1H	5554	6407/7-B-1	DEVELOPMENT	2013-05-08
25/4-D-1 AH	5555	25/4-D-1	DEVELOPMENT	2013-05-08
2/4-20	5556	2/4-20	EXPLORATION	2013-05-08
34/10-C-51	5557	34/10-C-51	DEVELOPMENT	2013-05-08
34/10-B-4 B	5558	34/10-B-4	DEVELOPMENT	2013-05-08
34/8-A-25 DH	5559	34/8-A-25	DEVELOPMENT	2013-05-08
34/11-A-12	5560	34/11-A-12	DEVELOPMENT	2013-05-08
15/5-A-7 H	5561	15/5-A-7	DEVELOPMENT	2013-05-08
6507/11-8	5562	6507/11-8	EXPLORATION	2013-05-08
24/9-8	5563	24/9-8	EXPLORATION	2013-05-08
6405/10-U-1	5564	6405/10-U-1	SHALLOW	2013-05-08
6405/10-1	5565	6405/10-1	EXPLORATION	2013-05-08
15/6-9 A	5566	15/6-9	EXPLORATION	2013-05-08
33/9-A-2 B	5567	33/9-A-2	DEVELOPMENT	2013-05-08
35/11-B-12 H	5568	35/11-B-12	DEVELOPMENT	2013-05-08
35/11-B-12 AH	5569	35/11-B-12	DEVELOPMENT	2013-05-08
7/7-4	5570	7/7-4	EXPLORATION	2013-05-08
15/6-9 B	5571	15/6-9	EXPLORATION	2013-05-08
7120/8-4	5572	7120/8-4	EXPLORATION	2013-05-08
34/10-A-38 A	5573	34/10-A-38	DEVELOPMENT	2013-05-08
34/10-B-26 AY2	5574	34/10-B-26	DEVELOPMENT	2013-05-08
6507/7-A-30 B	5575	6507/7-A-30	DEVELOPMENT	2013-05-08
6507/7-A-30 C	5576	6507/7-A-30	DEVELOPMENT	2013-05-08
6506/12-R-3 Y1H	5577	6506/12-R-3	DEVELOPMENT	2013-05-08
33/9-M-2 BH	5578	33/9-M-2	DEVELOPMENT	2013-05-08
25/4-E-1 AH	5579	25/4-E-1	DEVELOPMENT	2013-05-08
24/6-A-1 H	5580	24/6-A-1	DEVELOPMENT	2013-05-08
24/6-A-1 AY1H	5581	24/6-A-1	DEVELOPMENT	2013-05-08
24/6-A-1 AY2H	5582	24/6-A-1	DEVELOPMENT	2013-05-08
24/6-A-4 H	5583	24/6-A-4	DEVELOPMENT	2013-05-08
25/11-G-39 BY1	5584	25/11-G-39	DEVELOPMENT	2013-05-08
25/11-G-39 BY2	5585	25/11-G-39	DEVELOPMENT	2013-05-08
25/11-G-39 BY3	5586	25/11-G-39	DEVELOPMENT	2013-05-08
6506/11-N-2 H	5587	6506/11-N-2	DEVELOPMENT	2013-05-08
2/4-M-1	5588	2/4-M-1	DEVELOPMENT	2013-05-08
2/4-M-3	5589	2/4-M-3	DEVELOPMENT	2013-05-08
2/4-M-5	5590	2/4-M-5	DEVELOPMENT	2013-05-08
2/4-M-9	5591	2/4-M-9	DEVELOPMENT	2013-05-08
2/4-M-12	5592	2/4-M-12	DEVELOPMENT	2013-05-08
2/4-M-28	5593	2/4-M-28	DEVELOPMENT	2013-05-08
33/9-C-12 D	5594	33/9-C-12	DEVELOPMENT	2013-05-08
15/9-A-14	5595	15/9-A-14	DEVELOPMENT	2013-05-08
11/5-1	5596	11/5-1	EXPLORATION	2013-05-08
30/9-B-28	5597	30/9-B-28	DEVELOPMENT	2013-05-08
31/2-X-12 AH	5598	31/2-X-12	DEVELOPMENT	2013-05-08
15/9-F-12	5599	15/9-F-12	DEVELOPMENT	2013-05-08
34/4-C-1 H	5600	34/4-C-1	DEVELOPMENT	2013-05-08
30/3-A-22 B	5601	30/3-A-22	DEVELOPMENT	2013-05-08
31/3-Q-21 BY1H	5602	31/3-Q-21	DEVELOPMENT	2013-05-08
31/3-Q-21 BY2H	5603	31/3-Q-21	DEVELOPMENT	2013-05-08
31/2-L-11 BY1H	5604	31/2-L-11	DEVELOPMENT	2013-05-08
31/2-L-11 BY2H	5605	31/2-L-11	DEVELOPMENT	2013-05-08
31/4-A-40 B	5606	31/4-A-40	DEVELOPMENT	2013-05-08
15/12-18 S	5607	15/12-18	EXPLORATION	2013-05-08
15/12-18 A	5608	15/12-18	EXPLORATION	2013-05-08
34/10-B-30 A	5609	34/10-B-30	DEVELOPMENT	2013-05-08
15/9-F-7	5610	15/9-F-7	DEVELOPMENT	2013-05-08
2/4-X-40 A	5611	2/4-X-40	DEVELOPMENT	2013-05-08
16/1-8	5612	16/1-8	EXPLORATION	2013-05-08
1/3-10	5614	1/3-10	EXPLORATION	2013-05-08
25/4-E-1 BY1H	5616	25/4-E-1	DEVELOPMENT	2013-05-08
25/4-E-1 BY2H	5617	25/4-E-1	DEVELOPMENT	2013-05-08
31/2-P-14 BY1H	5618	31/2-P-14	DEVELOPMENT	2013-05-08
31/2-P-14 BY2H	5619	31/2-P-14	DEVELOPMENT	2013-05-08
31/2-P-14 BY3H	5620	31/2-P-14	DEVELOPMENT	2013-05-08
31/4-A-28 B	5621	31/4-A-28	DEVELOPMENT	2013-05-08
6506/12-I-1 AH	5622	6506/12-I-1	DEVELOPMENT	2013-05-08
6407/9-E-3 H	5623	6407/9-E-3	DEVELOPMENT	2013-05-08
6608/10-F-4 AH	5624	6608/10-F-4	DEVELOPMENT	2013-05-08
16/2-4	5625	16/2-4	EXPLORATION	2013-05-08
6609/6-1	5626	6609/6-1	EXPLORATION	2013-05-08
30/6-C-21 A	5627	30/6-C-21	DEVELOPMENT	2013-05-08
33/12-B-1 C	5628	33/12-B-1	DEVELOPMENT	2013-05-08
2/4-X-1 C	5629	2/4-X-1	DEVELOPMENT	2013-05-08
17/12-U-1	5630	17/12-U-1	SHALLOW	2013-05-08
2/9-U-1	5631	2/9-U-1	SHALLOW	2013-05-08
2/9-U-2	5632	2/9-U-2	SHALLOW	2013-05-08
2/9-U-3	5633	2/9-U-3	SHALLOW	2013-05-08
6407/9-D-3 H	5634	6407/9-D-3	DEVELOPMENT	2013-05-08
2/1-A-9 A	5635	2/1-A-9	DEVELOPMENT	2013-05-08
6407/6-6	5636	6407/6-6	EXPLORATION	2013-05-08
6407/6-U-6	5637	6407/6-U-6	SHALLOW	2013-05-08
24/12-5 S	5638	24/12-5	EXPLORATION	2013-05-08
2/4-K-16 A	5639	2/4-K-16	DEVELOPMENT	2013-05-08
25/11-G-31	5640	25/11-G-31	DEVELOPMENT	2013-05-08
35/11-B-23 H	5641	35/11-B-23	DEVELOPMENT	2013-05-08
25/11-25 S	5642	25/11-25	EXPLORATION	2013-05-08
25/11-25 A	5643	25/11-25	EXPLORATION	2013-05-08
35/11-B-23 AY1H	5644	35/11-B-23	DEVELOPMENT	2013-05-08
35/11-B-23 AY2H	5645	35/11-B-23	DEVELOPMENT	2013-05-08
17/12-U-2	5646	17/12-U-2	SHALLOW	2013-05-08
17/12-U-3	5647	17/12-U-3	SHALLOW	2013-05-08
15/6-U-2	5648	15/6-U-2	SHALLOW	2013-05-08
9/4-U-1	5649	9/4-U-1	SHALLOW	2013-05-08
9/4-U-2	5650	9/4-U-2	SHALLOW	2013-05-08
9/4-U-3	5651	9/4-U-3	SHALLOW	2013-05-08
9/4-U-4	5652	9/4-U-4	SHALLOW	2013-05-08
9/4-U-5	5653	9/4-U-5	SHALLOW	2013-05-08
25/8-U-8	5654	25/8-U-8	SHALLOW	2013-05-08
25/8-U-9	5655	25/8-U-9	SHALLOW	2013-05-08
25/8-U-10	5656	25/8-U-10	SHALLOW	2013-05-08
25/8-U-11	5657	25/8-U-11	SHALLOW	2013-05-08
25/8-U-12	5658	25/8-U-12	SHALLOW	2013-05-08
25/8-U-13	5659	25/8-U-13	SHALLOW	2013-05-08
25/8-U-14	5660	25/8-U-14	SHALLOW	2013-05-08
25/8-U-15	5661	25/8-U-15	SHALLOW	2013-05-08
25/8-U-16	5662	25/8-U-16	SHALLOW	2013-05-08
25/8-U-17	5663	25/8-U-17	SHALLOW	2013-05-08
25/8-U-18	5664	25/8-U-18	SHALLOW	2013-05-08
25/8-U-19	5665	25/8-U-19	SHALLOW	2013-05-08
25/8-U-20	5666	25/8-U-20	SHALLOW	2013-05-08
25/11-U-1	5667	25/11-U-1	SHALLOW	2013-05-08
25/11-U-2	5668	25/11-U-2	SHALLOW	2013-05-08
25/11-U-3	5669	25/11-U-3	SHALLOW	2013-05-08
25/11-U-4	5670	25/11-U-4	SHALLOW	2013-05-08
25/11-U-5	5671	25/11-U-5	SHALLOW	2013-05-08
25/11-U-6	5672	25/11-U-6	SHALLOW	2013-05-08
25/11-U-7	5673	25/11-U-7	SHALLOW	2013-05-08
25/11-U-8	5674	25/11-U-8	SHALLOW	2013-05-08
25/11-U-9	5675	25/11-U-9	SHALLOW	2013-05-08
25/11-U-10	5676	25/11-U-10	SHALLOW	2013-05-08
25/11-U-11	5677	25/11-U-11	SHALLOW	2013-05-08
25/11-U-12	5678	25/11-U-12	SHALLOW	2013-05-08
25/11-U-13	5679	25/11-U-13	SHALLOW	2013-05-08
25/11-U-14	5680	25/11-U-14	SHALLOW	2013-05-08
25/11-U-15	5681	25/11-U-15	SHALLOW	2013-05-08
25/11-U-16	5682	25/11-U-16	SHALLOW	2013-05-08
7/4-2	5683	7/4-2	EXPLORATION	2013-05-08
34/12-1	5684	34/12-1	EXPLORATION	2013-05-08
6507/2-4	5685	6507/2-4	EXPLORATION	2013-05-08
1/3-U-1	5686	1/3-U-1	SHALLOW	2013-05-08
1/3-U-2	5687	1/3-U-2	SHALLOW	2013-05-08
1/3-U-3	5688	1/3-U-3	SHALLOW	2013-05-08
2/1-A-27 A	5689	2/1-A-27	DEVELOPMENT	2013-05-08
1/3-U-4	5690	1/3-U-4	SHALLOW	2013-05-08
1/3-U-5	5691	1/3-U-5	SHALLOW	2013-05-08
1/6-U-1	5692	1/6-U-1	SHALLOW	2013-05-08
15/9-F-4	5693	15/9-F-4	DEVELOPMENT	2013-05-08
34/10-A-45 A	5694	34/10-A-45	DEVELOPMENT	2013-05-08
31/2-E-1 BY1H	5695	31/2-E-1	DEVELOPMENT	2013-05-08
31/2-E-1 BY2H	5696	31/2-E-1	DEVELOPMENT	2013-05-08
30/9-L-53 H	5697	30/9-L-53	DEVELOPMENT	2013-05-08
30/9-L-53 AH	5698	30/9-L-53	DEVELOPMENT	2013-05-08
6608/10-E-2 BH	5699	6608/10-E-2	DEVELOPMENT	2013-05-08
6608/10-E-2 CH	5700	6608/10-E-2	DEVELOPMENT	2013-05-08
33/12-B-40 E	5701	33/12-B-40	DEVELOPMENT	2013-05-08
33/9-C-27 B	5702	33/9-C-27	DEVELOPMENT	2013-05-08
30/9-F-14 B	5703	30/9-F-14	DEVELOPMENT	2013-05-08
25/4-K-4 H	5704	25/4-K-4	DEVELOPMENT	2013-05-08
15/12-19	5705	15/12-19	EXPLORATION	2013-05-08
25/11-U-17	5706	25/11-U-17	SHALLOW	2013-05-08
25/11-U-18	5707	25/11-U-18	SHALLOW	2013-05-08
25/11-U-19	5708	25/11-U-19	SHALLOW	2013-05-08
25/11-U-20	5709	25/11-U-20	SHALLOW	2013-05-08
25/11-U-21	5710	25/11-U-21	SHALLOW	2013-05-08
25/11-U-22	5711	25/11-U-22	SHALLOW	2013-05-08
25/11-U-23	5712	25/11-U-23	SHALLOW	2013-05-08
25/11-U-24	5713	25/11-U-24	SHALLOW	2013-05-08
25/11-U-25	5714	25/11-U-25	SHALLOW	2013-05-08
25/11-U-26	5715	25/11-U-26	SHALLOW	2013-05-08
25/11-U-27	5716	25/11-U-27	SHALLOW	2013-05-08
25/11-U-28	5717	25/11-U-28	SHALLOW	2013-05-08
25/11-U-29	5718	25/11-U-29	SHALLOW	2013-05-08
25/11-U-30	5719	25/11-U-30	SHALLOW	2013-05-08
25/11-U-31	5720	25/11-U-31	SHALLOW	2013-05-08
25/11-U-32	5721	25/11-U-32	SHALLOW	2013-05-08
25/11-U-33	5722	25/11-U-33	SHALLOW	2013-05-08
25/11-U-34	5723	25/11-U-34	SHALLOW	2013-05-08
25/11-U-35	5724	25/11-U-35	SHALLOW	2013-05-08
25/11-U-36	5725	25/11-U-36	SHALLOW	2013-05-08
25/11-U-37	5726	25/11-U-37	SHALLOW	2013-05-08
25/11-U-38	5727	25/11-U-38	SHALLOW	2013-05-08
25/11-U-39	5728	25/11-U-39	SHALLOW	2013-05-08
25/11-U-40	5729	25/11-U-40	SHALLOW	2013-05-08
25/11-U-41	5730	25/11-U-41	SHALLOW	2013-05-08
25/11-U-42	5731	25/11-U-42	SHALLOW	2013-05-08
25/11-U-43	5732	25/11-U-43	SHALLOW	2013-05-08
25/11-U-44	5733	25/11-U-44	SHALLOW	2013-05-08
25/11-U-45	5734	25/11-U-45	SHALLOW	2013-05-08
2/5-U-1	5735	2/5-U-1	SHALLOW	2013-05-08
2/5-U-2	5736	2/5-U-2	SHALLOW	2013-05-08
2/5-U-3	5737	2/5-U-3	SHALLOW	2013-05-08
25/5-U-7	5738	25/5-U-7	SHALLOW	2013-05-08
25/5-U-8	5739	25/5-U-8	SHALLOW	2013-05-08
25/5-U-9	5740	25/5-U-9	SHALLOW	2013-05-08
25/10-U-1	5741	25/10-U-1	SHALLOW	2013-05-08
25/10-U-2	5742	25/10-U-2	SHALLOW	2013-05-08
25/10-U-3	5743	25/10-U-3	SHALLOW	2013-05-08
25/11-G-1 Y1	5744	25/11-G-1	DEVELOPMENT	2013-05-08
25/11-G-1 Y2	5745	25/11-G-1	DEVELOPMENT	2013-05-08
25/11-G-1 Y3	5746	25/11-G-1	DEVELOPMENT	2013-05-08
25/11-G-1 Y4	5747	25/11-G-1	DEVELOPMENT	2013-05-08
30/10-U-1	5748	30/10-U-1	SHALLOW	2013-05-08
30/10-U-2	5749	30/10-U-2	SHALLOW	2013-05-08
30/10-U-3	5750	30/10-U-3	SHALLOW	2013-05-08
30/10-U-4	5751	30/10-U-4	SHALLOW	2013-05-08
30/10-U-5	5752	30/10-U-5	SHALLOW	2013-05-08
30/10-U-6	5753	30/10-U-6	SHALLOW	2013-05-08
6704/3-U-1	5754	6704/3-U-1	SHALLOW	2013-05-08
7222/6-1 S	5755	7222/6-1	EXPLORATION	2013-05-08
31/2-Q-14 AY1H	5756	31/2-Q-14	DEVELOPMENT	2013-05-08
31/2-Q-14 AY2H	5757	31/2-Q-14	DEVELOPMENT	2013-05-08
34/8-A-9 AH	5758	34/8-A-9	DEVELOPMENT	2013-05-08
34/10-B-12 A	5759	34/10-B-12	DEVELOPMENT	2013-05-08
7607/12-U-1	5760	7607/12-U-1	SHALLOW	2013-05-08
6901/3-U-1	5761	6901/3-U-1	SHALLOW	2013-05-08
6908/1-U-1	5762	6908/1-U-1	SHALLOW	2013-05-08
6908/1-U-2	5763	6908/1-U-2	SHALLOW	2013-05-08
6908/12-U-1	5764	6908/12-U-1	SHALLOW	2013-05-08
31/1-1	5765	31/1-1	EXPLORATION	2013-05-08
6507/11-9	5766	6507/11-9	EXPLORATION	2013-05-08
31/2-P-14 BY4H	5767	31/2-P-14	DEVELOPMENT	2013-05-08
25/4-K-5 H	5768	25/4-K-5	DEVELOPMENT	2013-05-08
15/9-F-5	5769	15/9-F-5	DEVELOPMENT	2013-05-08
25/5-U-10	5770	25/5-U-10	SHALLOW	2013-05-08
33/9-C-31 B	5771	33/9-C-31	DEVELOPMENT	2013-05-08
34/11-A-3	5772	34/11-A-3	DEVELOPMENT	2013-05-08
16/1-9	5773	16/1-9	EXPLORATION	2013-05-08
34/10-C-52	5774	34/10-C-52	DEVELOPMENT	2013-05-08
34/10-C-52 A	5775	34/10-C-52	DEVELOPMENT	2013-05-08
31/2-D-1 BY1H	5776	31/2-D-1	DEVELOPMENT	2013-05-08
31/2-D-1 BY2H	5777	31/2-D-1	DEVELOPMENT	2013-05-08
31/2-D-1 BY3H	5778	31/2-D-1	DEVELOPMENT	2013-05-08
1/3-10 A	5779	1/3-10	EXPLORATION	2013-05-08
34/4-K-8 H	5780	34/4-K-8	DEVELOPMENT	2013-05-08
25/5-U-11	5781	25/5-U-11	SHALLOW	2013-05-08
25/5-U-12	5782	25/5-U-12	SHALLOW	2013-05-08
31/4-A-35 A	5783	31/4-A-35	DEVELOPMENT	2013-05-08
30/2-4 S	5784	30/2-4	EXPLORATION	2013-05-08
15/9-F-15 A	5785	15/9-F-15	DEVELOPMENT	2013-05-08
7123/4-1 S	5786	7123/4-1	EXPLORATION	2013-05-08
2/4-X-12 A	5787	2/4-X-12	DEVELOPMENT	2013-05-08
30/9-L-51 H	5788	30/9-L-51	DEVELOPMENT	2013-05-08
30/9-L-51 AH	5789	30/9-L-51	DEVELOPMENT	2013-05-08
30/3-A-21 A	5790	30/3-A-21	DEVELOPMENT	2013-05-08
33/9-21 S	5791	33/9-21	EXPLORATION	2013-05-08
6305/5-B-2 AH	5792	6305/5-B-2	DEVELOPMENT	2013-05-08
7/1-2 S	5793	7/1-2	EXPLORATION	2013-05-08
15/9-F-15 C	5794	15/9-F-15	DEVELOPMENT	2013-05-08
24/6-B-2 AY1H	5795	24/6-B-2	DEVELOPMENT	2013-05-08
24/6-B-2 AY2H	5796	24/6-B-2	DEVELOPMENT	2013-05-08
6608/10-H-2 H	5797	6608/10-H-2	DEVELOPMENT	2013-05-08
33/12-B-12 A	5798	33/12-B-12	DEVELOPMENT	2013-05-08
6507/7-A-41 A	5799	6507/7-A-41	DEVELOPMENT	2013-05-08
30/9-21 S	5800	30/9-21	EXPLORATION	2013-05-08
2/9-4	5801	2/9-4	EXPLORATION	2013-05-08
6407/1-B-3 H	5802	6407/1-B-3	DEVELOPMENT	2013-05-08
30/6-E-4 B	5803	30/6-E-4	DEVELOPMENT	2013-05-08
6506/11-U-1	5804	6506/11-U-1	SHALLOW	2013-05-08
30/9-21 A	5805	30/9-21	EXPLORATION	2013-05-08
1/3-11	5806	1/3-11	EXPLORATION	2013-05-08
7226/2-1	5807	7226/2-1	EXPLORATION	2013-05-08
7123/4-1 A	5808	7123/4-1	EXPLORATION	2013-05-08
6506/11-U-2	5809	6506/11-U-2	SHALLOW	2013-05-08
33/9-A-34 C	5810	33/9-A-34	DEVELOPMENT	2013-05-08
34/3-1 S	5811	34/3-1	EXPLORATION	2013-05-08
6605/8-2	5812	6605/8-2	EXPLORATION	2013-05-08
6407/8-4 S	5813	6407/8-4	EXPLORATION	2013-05-08
6407/8-4 A	5814	6407/8-4	EXPLORATION	2013-05-08
31/2-Y-12 Y1H	5815	31/2-Y-12	DEVELOPMENT	2013-05-08
31/2-Y-12 Y2H	5816	31/2-Y-12	DEVELOPMENT	2013-05-08
30/6-C-24 BY1	5817	30/6-C-24	DEVELOPMENT	2013-05-08
30/6-C-24 BY2	5818	30/6-C-24	DEVELOPMENT	2013-05-08
34/10-C-52 B	5819	34/10-C-52	DEVELOPMENT	2013-05-08
33/9-C-10 A	5820	33/9-C-10	DEVELOPMENT	2013-05-08
35/11-B-13 H	5821	35/11-B-13	DEVELOPMENT	2013-05-08
31/2-O-11 AY1H	5822	31/2-O-11	DEVELOPMENT	2013-05-08
31/2-O-11 AY2H	5823	31/2-O-11	DEVELOPMENT	2013-05-08
15/12-20 S	5824	15/12-20	EXPLORATION	2013-05-08
2/7-A-22 B	5825	2/7-A-22	DEVELOPMENT	2013-05-08
6407/1-B-1 H	5826	6407/1-B-1	DEVELOPMENT	2013-05-08
6407/1-B-1 AH	5827	6407/1-B-1	DEVELOPMENT	2013-05-08
15/9-A-14 A	5828	15/9-A-14	DEVELOPMENT	2013-05-08
25/11-G-3	5829	25/11-G-3	DEVELOPMENT	2013-05-08
25/11-G-15	5830	25/11-G-15	DEVELOPMENT	2013-05-08
25/11-G-16 Y1	5831	25/11-G-16	DEVELOPMENT	2013-05-08
2/1-A-32 B	5832	2/1-A-32	DEVELOPMENT	2013-05-08
6406/2-Q-1 H	5833	6406/2-Q-1	DEVELOPMENT	2013-05-08
34/8-A-33 H	5834	34/8-A-33	DEVELOPMENT	2013-05-08
7224/6-1	5835	7224/6-1	EXPLORATION	2013-05-08
33/9-A-17 B	5836	33/9-A-17	DEVELOPMENT	2013-05-08
33/9-C-5 C	5837	33/9-C-5	DEVELOPMENT	2013-05-08
34/7-P-10 A	5838	34/7-P-10	DEVELOPMENT	2013-05-08
32/2-1	5839	32/2-1	EXPLORATION	2013-05-08
33/9-N-4 H	5840	33/9-N-4	DEVELOPMENT	2013-05-08
2/4-M-1 A	5841	2/4-M-1	DEVELOPMENT	2013-05-08
15/5-7	5842	15/5-7	EXPLORATION	2013-05-08
31/4-A-1 A	5843	31/4-A-1	DEVELOPMENT	2013-05-08
6407/7-8	5844	6407/7-8	EXPLORATION	2013-05-08
31/2-G-6 AY1H	5845	31/2-G-6	DEVELOPMENT	2013-05-08
31/2-G-6 AY2H	5846	31/2-G-6	DEVELOPMENT	2013-05-08
34/11-A-1	5847	34/11-A-1	DEVELOPMENT	2013-05-08
34/11-A-7	5848	34/11-A-7	DEVELOPMENT	2013-05-08
34/11-A-9	5849	34/11-A-9	DEVELOPMENT	2013-05-08
34/11-A-16	5850	34/11-A-16	DEVELOPMENT	2013-05-08
25/11-G-13 Y1	5851	25/11-G-13	DEVELOPMENT	2013-05-08
24/6-A-2 H	5852	24/6-A-2	DEVELOPMENT	2013-05-08
24/6-A-3 H	5853	24/6-A-3	DEVELOPMENT	2013-05-08
24/6-A-3 AY1H	5854	24/6-A-3	DEVELOPMENT	2013-05-08
24/6-A-3 AY2H	5855	24/6-A-3	DEVELOPMENT	2013-05-08
24/6-A-3 AY3H	5856	24/6-A-3	DEVELOPMENT	2013-05-08
30/9-F-9	5857	30/9-F-9	DEVELOPMENT	2013-05-08
30/9-F-9 AY1	5858	30/9-F-9	DEVELOPMENT	2013-05-08
30/9-F-9 AY2	5859	30/9-F-9	DEVELOPMENT	2013-05-08
25/11-G-16 Y2	5860	25/11-G-16	DEVELOPMENT	2013-05-08
25/11-G-16 Y3	5861	25/11-G-16	DEVELOPMENT	2013-05-08
34/7-D-2 H	5862	34/7-D-2	DEVELOPMENT	2013-05-08
30/3-A-7 C	5863	30/3-A-7	DEVELOPMENT	2013-05-08
15/9-A-1	5864	15/9-A-1	DEVELOPMENT	2013-05-08
15/9-A-13	5865	15/9-A-13	DEVELOPMENT	2013-05-08
15/9-A-17	5866	15/9-A-17	DEVELOPMENT	2013-05-08
6706/12-1	5867	6706/12-1	EXPLORATION	2013-05-08
6608/11-6	5868	6608/11-6	EXPLORATION	2013-05-08
6506/12-R-3 Y2H	5869	6506/12-R-3	DEVELOPMENT	2013-05-08
15/9-B-1	5870	15/9-B-1	DEVELOPMENT	2013-05-08
15/9-B-2	5871	15/9-B-2	DEVELOPMENT	2013-05-08
15/9-B-8	5872	15/9-B-8	DEVELOPMENT	2013-05-08
15/9-B-9	5873	15/9-B-9	DEVELOPMENT	2013-05-08
15/9-B-15	5874	15/9-B-15	DEVELOPMENT	2013-05-08
15/9-B-18	5875	15/9-B-18	DEVELOPMENT	2013-05-08
15/9-B-19	5876	15/9-B-19	DEVELOPMENT	2013-05-08
15/12-A-8 A	5877	15/12-A-8	DEVELOPMENT	2013-05-08
30/9-B-30 C	5878	30/9-B-30	DEVELOPMENT	2013-05-08
16/1-10	5879	16/1-10	EXPLORATION	2013-05-08
31/2-F-6 BY1H	5880	31/2-F-6	DEVELOPMENT	2013-05-08
31/2-F-6 BY2H	5881	31/2-F-6	DEVELOPMENT	2013-05-08
34/7-D-2 AH	5882	34/7-D-2	DEVELOPMENT	2013-05-08
6507/7-A-36 A	5883	6507/7-A-36	DEVELOPMENT	2013-05-08
2/1-A-28 A	5884	2/1-A-28	DEVELOPMENT	2013-05-08
35/11-B-14 Y1H	5885	35/11-B-14	DEVELOPMENT	2013-05-08
35/11-B-14 Y2H	5886	35/11-B-14	DEVELOPMENT	2013-05-08
6407/7-A-18 AH	5887	6407/7-A-18	DEVELOPMENT	2013-05-08
6407/7-A-18 BH	5888	6407/7-A-18	DEVELOPMENT	2013-05-08
2/4-U-11	5889	2/4-U-11	SHALLOW	2013-05-08
2/4-U-12	5890	2/4-U-12	SHALLOW	2013-05-08
2/4-U-13	5891	2/4-U-13	SHALLOW	2013-05-08
2/4-U-14	5892	2/4-U-14	SHALLOW	2013-05-08
2/4-U-15	5893	2/4-U-15	SHALLOW	2013-05-08
2/4-U-16	5894	2/4-U-16	SHALLOW	2013-05-08
2/4-U-17	5895	2/4-U-17	SHALLOW	2013-05-08
2/4-U-18	5896	2/4-U-18	SHALLOW	2013-05-08
2/4-U-19	5897	2/4-U-19	SHALLOW	2013-05-08
2/4-U-20	5898	2/4-U-20	SHALLOW	2013-05-08
2/4-U-21	5899	2/4-U-21	SHALLOW	2013-05-08
2/4-U-22	5900	2/4-U-22	SHALLOW	2013-05-08
2/4-U-23	5901	2/4-U-23	SHALLOW	2013-05-08
2/4-U-24	5902	2/4-U-24	SHALLOW	2013-05-08
2/4-U-25	5903	2/4-U-25	SHALLOW	2013-05-08
2/4-U-26	5904	2/4-U-26	SHALLOW	2013-05-08
2/7-U-11	5905	2/7-U-11	SHALLOW	2013-05-08
2/7-U-12	5906	2/7-U-12	SHALLOW	2013-05-08
2/7-U-13	5907	2/7-U-13	SHALLOW	2013-05-08
2/7-U-14	5908	2/7-U-14	SHALLOW	2013-05-08
2/7-U-15	5909	2/7-U-15	SHALLOW	2013-05-08
2/7-U-16	5910	2/7-U-16	SHALLOW	2013-05-08
2/7-U-17	5911	2/7-U-17	SHALLOW	2013-05-08
2/7-U-18	5912	2/7-U-18	SHALLOW	2013-05-08
2/7-U-19	5913	2/7-U-19	SHALLOW	2013-05-08
2/7-B-8 B	5914	2/7-B-8	DEVELOPMENT	2013-05-08
2/4-K-21 A	5915	2/4-K-21	DEVELOPMENT	2013-05-08
7222/11-1	5916	7222/11-1	EXPLORATION	2013-05-08
34/7-33	5917	34/7-33	EXPLORATION	2013-05-08
6707/10-2 S	5918	6707/10-2	EXPLORATION	2013-05-08
30/11-7	5919	30/11-7	EXPLORATION	2013-05-08
2/4-X-35 A	5920	2/4-X-35	DEVELOPMENT	2013-05-08
34/3-1 A	5921	34/3-1	EXPLORATION	2013-05-08
6507/6-3	5922	6507/6-3	EXPLORATION	2013-05-08
2/4-X-16 A	5923	2/4-X-16	DEVELOPMENT	2013-05-08
31/2-Y-11 BY1H	5924	31/2-Y-11	DEVELOPMENT	2013-05-08
31/2-Y-11 BY2H	5925	31/2-Y-11	DEVELOPMENT	2013-05-08
34/7-U-17	5926	34/7-U-17	SHALLOW	2013-05-08
15/9-F-9	5927	15/9-F-9	DEVELOPMENT	2013-05-08
1/3-U-12	5928	1/3-U-12	SHALLOW	2013-05-08
1/3-U-13	5929	1/3-U-13	SHALLOW	2013-05-08
1/3-U-14	5930	1/3-U-14	SHALLOW	2013-05-08
6707/10-2 A	5931	6707/10-2	EXPLORATION	2013-05-08
3/7-7	5932	3/7-7	EXPLORATION	2013-05-08
33/9-A-15 D	5933	33/9-A-15	DEVELOPMENT	2013-05-08
30/9-F-15 B	5934	30/9-F-15	DEVELOPMENT	2013-05-08
15/12-C-1 H	5935	15/12-C-1	DEVELOPMENT	2013-05-08
15/12-C-2 H	5936	15/12-C-2	DEVELOPMENT	2013-05-08
15/12-D-1 H	5937	15/12-D-1	DEVELOPMENT	2013-05-08
2/4-U-27	5938	2/4-U-27	SHALLOW	2013-05-08
2/4-U-28	5939	2/4-U-28	SHALLOW	2013-05-08
2/4-U-29	5940	2/4-U-29	SHALLOW	2013-05-08
2/4-U-30	5941	2/4-U-30	SHALLOW	2013-05-08
33/9-C-37 B	5942	33/9-C-37	DEVELOPMENT	2013-05-08
34/8-14 S	5943	34/8-14	EXPLORATION	2013-05-08
7125/4-2	5944	7125/4-2	EXPLORATION	2013-05-08
2/4-M-8 A	5945	2/4-M-8	DEVELOPMENT	2013-05-08
15/5-7 A	5946	15/5-7	EXPLORATION	2013-05-08
6507/11-V-1 H	5947	6507/11-V-1	DEVELOPMENT	2013-05-08
2/5-13	5948	2/5-13	EXPLORATION	2013-05-08
6608/10-12	5949	6608/10-12	EXPLORATION	2013-05-08
8/10-U-1	5950	8/10-U-1	SHALLOW	2013-05-08
8/10-U-2	5951	8/10-U-2	SHALLOW	2013-05-08
8/10-U-3	5952	8/10-U-3	SHALLOW	2013-05-08
6407/7-8 A	5953	6407/7-8	EXPLORATION	2013-05-08
34/8-14 A	5954	34/8-14	EXPLORATION	2013-05-08
2/7-B-21	5955	2/7-B-21	DEVELOPMENT	2013-05-08
2/7-B-22	5956	2/7-B-22	DEVELOPMENT	2013-05-08
34/10-A-48 C	5957	34/10-A-48	DEVELOPMENT	2013-05-08
2/5-14 S	5958	2/5-14	EXPLORATION	2013-05-08
7223/5-1	5960	7223/5-1	EXPLORATION	2013-05-08
2/7-A-13 B	5961	2/7-A-13	DEVELOPMENT	2013-05-08
34/4-L-1 H	5962	34/4-L-1	DEVELOPMENT	2013-05-08
34/4-L-2 H	5963	34/4-L-2	DEVELOPMENT	2013-05-08
34/4-L-3 H	5964	34/4-L-3	DEVELOPMENT	2013-05-08
31/3-S-23 AY1H	5965	31/3-S-23	DEVELOPMENT	2013-05-08
31/3-S-23 AY2H	5966	31/3-S-23	DEVELOPMENT	2013-05-08
33/9-A-24 A	5967	33/9-A-24	DEVELOPMENT	2013-05-08
34/7-U-18	5968	34/7-U-18	SHALLOW	2013-05-08
2/4-M-13 A	5969	2/4-M-13	DEVELOPMENT	2013-05-08
2/4-K-6 B	5970	2/4-K-6	DEVELOPMENT	2013-05-08
34/8-A-14 H	5971	34/8-A-14	DEVELOPMENT	2013-05-08
34/8-A-26 H	5972	34/8-A-26	DEVELOPMENT	2013-05-08
34/7-34	5973	34/7-34	EXPLORATION	2013-05-08
30/8-4 S	5974	30/8-4	EXPLORATION	2013-05-08
2/1-13 S	5975	2/1-13	EXPLORATION	2013-05-08
6407/1-A-4 H	5976	6407/1-A-4	DEVELOPMENT	2013-05-08
6407/1-A-4 AY1H	5977	6407/1-A-4	DEVELOPMENT	2013-05-08
6407/1-A-4 AY2H	5978	6407/1-A-4	DEVELOPMENT	2013-05-08
6605/1-1	5979	6605/1-1	EXPLORATION	2013-05-08
6506/9-1	5980	6506/9-1	EXPLORATION	2013-05-08
25/11-G-15 AY1	5981	25/11-G-15	DEVELOPMENT	2013-05-08
25/11-G-15 AY2	5982	25/11-G-15	DEVELOPMENT	2013-05-08
35/11-B-24 AH	5983	35/11-B-24	DEVELOPMENT	2013-05-08
6603/12-1	5985	6603/12-1	EXPLORATION	2013-05-08
6603/12-U-1	5986	6603/12-U-1	SHALLOW	2013-05-08
30/9-F-2 B	5987	30/9-F-2	DEVELOPMENT	2013-05-08
34/10-C-1 A	5988	34/10-C-1	DEVELOPMENT	2013-05-08
15/9-A-13 A	5989	15/9-A-13	DEVELOPMENT	2013-05-08
30/8-A-21 H	5990	30/8-A-21	DEVELOPMENT	2013-05-08
30/8-A-21 AH	5991	30/8-A-21	DEVELOPMENT	2013-05-08
33/9-C-3 A	5992	33/9-C-3	DEVELOPMENT	2013-05-08
2/4-M-29 A	5993	2/4-M-29	DEVELOPMENT	2013-05-08
30/9-B-21 C	5994	30/9-B-21	DEVELOPMENT	2013-05-08
2/1-14 S	5995	2/1-14	EXPLORATION	2013-05-08
34/7-P-22 A	5996	34/7-P-22	DEVELOPMENT	2013-05-08
34/8-14 B	5997	34/8-14	EXPLORATION	2013-05-08
16/2-U-3	5998	16/2-U-3	SHALLOW	2013-05-08
16/2-U-4	5999	16/2-U-4	SHALLOW	2013-05-08
35/6-1 S	6000	35/6-1	EXPLORATION	2013-05-08
16/2-U-5	6001	16/2-U-5	SHALLOW	2013-05-08
6507/3-L-2 H	6002	6507/3-L-2	DEVELOPMENT	2013-05-08
6407/7-U-1	6003	6407/7-U-1	SHALLOW	2013-05-08
34/10-A-28 A	6004	34/10-A-28	DEVELOPMENT	2013-05-08
35/9-U-2	6005	35/9-U-2	SHALLOW	2013-05-08
35/9-F-1 H	6006	35/9-F-1	DEVELOPMENT	2013-05-08
9/2-C-1	6007	9/2-C-1	DEVELOPMENT	2013-05-08
9/2-C-2	6008	9/2-C-2	DEVELOPMENT	2013-05-08
9/2-C-3	6009	9/2-C-3	DEVELOPMENT	2013-05-08
9/2-C-4	6010	9/2-C-4	DEVELOPMENT	2013-05-08
9/2-C-5	6012	9/2-C-5	DEVELOPMENT	2013-05-08
9/2-C-6	6013	9/2-C-6	DEVELOPMENT	2013-05-08
9/2-D-1 H	6014	9/2-D-1	DEVELOPMENT	2013-05-08
9/2-D-2 H	6015	9/2-D-2	DEVELOPMENT	2013-05-08
9/2-D-3 H	6016	9/2-D-3	DEVELOPMENT	2013-05-08
9/2-C-8	6018	9/2-C-8	DEVELOPMENT	2013-05-08
9/2-C-9	6019	9/2-C-9	DEVELOPMENT	2013-05-08
34/10-B-2 A	6020	34/10-B-2	DEVELOPMENT	2013-05-08
34/8-14 C	6021	34/8-14	EXPLORATION	2013-05-08
34/8-U-1	6022	34/8-U-1	SHALLOW	2013-05-08
6506/12-U-14	6023	6506/12-U-14	SHALLOW	2013-05-08
34/8-13 A	6024	34/8-13	EXPLORATION	2013-05-08
34/8-13 S	6025	34/8-13	EXPLORATION	2013-05-08
3/7-U-8	6026	3/7-U-8	SHALLOW	2013-05-08
6507/8-D-2 AH	6027	6507/8-D-2	DEVELOPMENT	2013-05-08
6507/8-D-2 BH	6028	6507/8-D-2	DEVELOPMENT	2013-05-08
6608/10-12 A	6029	6608/10-12	EXPLORATION	2013-05-08
15/6-10	6030	15/6-10	EXPLORATION	2013-05-08
33/9-A-18 C	6031	33/9-A-18	DEVELOPMENT	2013-05-08
24/9-P-4 H	6032	24/9-P-4	DEVELOPMENT	2013-05-08
24/9-P-4 AH	6033	24/9-P-4	DEVELOPMENT	2013-05-08
30/9-22	6034	30/9-22	EXPLORATION	2013-05-08
30/9-J-15 H	6035	30/9-J-15	DEVELOPMENT	2013-05-08
34/8-14 D	6036	34/8-14	EXPLORATION	2013-05-08
31/5-J-13 AY3H	6037	31/5-J-13	DEVELOPMENT	2013-05-08
31/2-Y-13 BY1H	6038	31/2-Y-13	DEVELOPMENT	2013-05-08
31/2-Y-13 BY2H	6039	31/2-Y-13	DEVELOPMENT	2013-05-08
24/9-P-1 H	6040	24/9-P-1	DEVELOPMENT	2013-05-08
24/9-P-1 AH	6041	24/9-P-1	DEVELOPMENT	2013-05-08
16/2-5	6042	16/2-5	EXPLORATION	2013-05-08
30/5-3 S	6043	30/5-3	EXPLORATION	2013-05-08
6705/10-1	6044	6705/10-1	EXPLORATION	2013-05-08
30/3-10 S	6045	30/3-10	EXPLORATION	2013-05-08
15/9-F-15 B	6046	15/9-F-15	DEVELOPMENT	2013-05-08
15/12-21	6047	15/12-21	EXPLORATION	2013-05-08
33/9-A-18 D	6048	33/9-A-18	DEVELOPMENT	2013-05-08
6407/7-A-11 AH	6049	6407/7-A-11	DEVELOPMENT	2013-05-08
6507/7-A-26 A	6050	6507/7-A-26	DEVELOPMENT	2013-05-08
2/1-A-16 B	6051	2/1-A-16	DEVELOPMENT	2013-05-08
25/11-G-15 AY3	6052	25/11-G-15	DEVELOPMENT	2013-05-08
2/4-K-29 A	6053	2/4-K-29	DEVELOPMENT	2013-05-08
33/9-C-15 B	6054	33/9-C-15	DEVELOPMENT	2013-05-08
30/5-3 A	6055	30/5-3	EXPLORATION	2013-05-08
31/4-A-22 A	6056	31/4-A-22	DEVELOPMENT	2013-05-08
25/11-G-13 Y2	6057	25/11-G-13	DEVELOPMENT	2013-05-08
25/11-G-13 Y3	6058	25/11-G-13	DEVELOPMENT	2013-05-08
25/11-G-13 Y4	6059	25/11-G-13	DEVELOPMENT	2013-05-08
31/5-J-13 AY2H	6060	31/5-J-13	DEVELOPMENT	2013-05-08
7323/7-U-14	6061	7323/7-U-14	SHALLOW	2013-05-08
7323/11-U-2	6062	7323/11-U-2	SHALLOW	2013-05-08
35/6-2 S	6063	35/6-2	EXPLORATION	2013-05-08
35/6-U-1	6064	35/6-U-1	SHALLOW	2013-05-08
33/9-A-28 A	6065	33/9-A-28	DEVELOPMENT	2013-05-08
24/9-P-5 H	6066	24/9-P-5	DEVELOPMENT	2013-05-08
34/4-L-2 AH	6067	34/4-L-2	DEVELOPMENT	2013-05-08
36/7-E-1 H	6068	36/7-E-1	DEVELOPMENT	2013-05-08
36/7-E-2 H	6069	36/7-E-2	DEVELOPMENT	2013-05-08
36/7-E-3 H	6070	36/7-E-3	DEVELOPMENT	2013-05-08
36/7-E-4 H	6071	36/7-E-4	DEVELOPMENT	2013-05-08
15/9-A-23 B	6072	15/9-A-23	DEVELOPMENT	2013-05-08
6507/3-6	6073	6507/3-6	EXPLORATION	2013-05-08
34/7-G-4 AH	6074	34/7-G-4	DEVELOPMENT	2013-05-08
34/7-G-4 BH	6075	34/7-G-4	DEVELOPMENT	2013-05-08
6407/1-C-2 H	6076	6407/1-C-2	DEVELOPMENT	2013-05-08
6407/1-C-2 AY1H	6077	6407/1-C-2	DEVELOPMENT	2013-05-08
6407/1-C-2 AY2H	6078	6407/1-C-2	DEVELOPMENT	2013-05-08
30/9-F-26 B	6079	30/9-F-26	DEVELOPMENT	2013-05-08
34/7-34 A	6080	34/7-34	EXPLORATION	2013-05-08
6507/8-D-2 CH	6081	6507/8-D-2	DEVELOPMENT	2013-05-08
25/8-16 S	6082	25/8-16	EXPLORATION	2013-05-08
6406/3-U-1	6083	6406/3-U-1	SHALLOW	2013-05-08
35/2-2	6084	35/2-2	EXPLORATION	2013-05-08
30/11-7 A	6085	30/11-7	EXPLORATION	2013-05-08
33/9-C-32 B	6086	33/9-C-32	DEVELOPMENT	2013-05-08
6407/7-U-2	6087	6407/7-U-2	SHALLOW	2013-05-08
30/3-A-3 C	6088	30/3-A-3	DEVELOPMENT	2013-05-08
15/12-A-7 A	6089	15/12-A-7	DEVELOPMENT	2013-05-08
36/7-E-4 AY1H	6090	36/7-E-4	DEVELOPMENT	2013-05-08
36/7-E-4 AY2H	6091	36/7-E-4	DEVELOPMENT	2013-05-08
31/5-H-6 BY1H	6092	31/5-H-6	DEVELOPMENT	2013-05-08
31/5-H-6 BY2H	6093	31/5-H-6	DEVELOPMENT	2013-05-08
2/8-G-19	6094	2/8-G-19	DEVELOPMENT	2013-05-08
35/12-2	6095	35/12-2	EXPLORATION	2013-05-08
6407/6-U-2	6096	6407/6-U-2	SHALLOW	2013-05-08
36/7-E-3 AH	6097	36/7-E-3	DEVELOPMENT	2013-05-08
8/10-3	6098	8/10-3	EXPLORATION	2013-05-08
15/9-F-10	6099	15/9-F-10	DEVELOPMENT	2013-05-08
6407/6-7 S	6100	6407/6-7	EXPLORATION	2013-05-08
15/9-F-10 A	6101	15/9-F-10	DEVELOPMENT	2013-05-08
15/9-F-10 B	6102	15/9-F-10	DEVELOPMENT	2013-05-08
34/7-P-27 A	6103	34/7-P-27	DEVELOPMENT	2013-05-08
6506/11-A-1 H	6104	6506/11-A-1	DEVELOPMENT	2013-05-08
6506/11-A-3 H	6105	6506/11-A-3	DEVELOPMENT	2013-05-08
6407/2-4	6106	6407/2-4	EXPLORATION	2013-05-08
31/2-X-22 AY1H	6107	31/2-X-22	DEVELOPMENT	2013-05-08
31/2-X-22 AY2H	6108	31/2-X-22	DEVELOPMENT	2013-05-08
33/9-21 A	6109	33/9-21	EXPLORATION	2013-05-08
6407/8-5 S	6110	6407/8-5	EXPLORATION	2013-05-08
2/11-S-4 Y1F2	6111	2/11-S-4	DEVELOPMENT	2013-05-08
2/11-S-4 Y2F2	6112	2/11-S-4	DEVELOPMENT	2013-05-08
34/11-U-1	6113	34/11-U-1	SHALLOW	2013-05-08
34/11-U-2	6114	34/11-U-2	SHALLOW	2013-05-08
7222/11-U-1	6115	7222/11-U-1	SHALLOW	2013-05-08
6608/10-M-2 H	6116	6608/10-M-2	DEVELOPMENT	2013-05-08
6608/10-M-4 H	6117	6608/10-M-4	DEVELOPMENT	2013-05-08
6305/5-3 S	6118	6305/5-3	EXPLORATION	2013-05-08
2/4-VA-4 H	6119	2/4-VA-4	DEVELOPMENT	2013-05-08
25/10-9	6120	25/10-9	EXPLORATION	2013-05-08
6507/7-A-2	6121	6507/7-A-2	DEVELOPMENT	2013-05-08
6507/11-10	6122	6507/11-10	EXPLORATION	2013-05-08
6507/3-7	6123	6507/3-7	EXPLORATION	2013-05-08
24/9-P-5 AH	6124	24/9-P-5	DEVELOPMENT	2013-05-08
6507/3-U-2	6125	6507/3-U-2	SHALLOW	2013-05-08
25/11-G-7	6126	25/11-G-7	DEVELOPMENT	2013-05-08
25/11-G-32	6127	25/11-G-32	DEVELOPMENT	2013-05-08
25/8-16 A	6128	25/8-16	EXPLORATION	2013-05-08
2/7-U-20	6129	2/7-U-20	SHALLOW	2013-05-08
2/7-U-23	6130	2/7-U-23	SHALLOW	2013-05-08
2/7-U-24	6131	2/7-U-24	SHALLOW	2013-05-08
2/7-U-25	6132	2/7-U-25	SHALLOW	2013-05-08
2/7-U-26	6133	2/7-U-26	SHALLOW	2013-05-08
2/7-U-27	6134	2/7-U-27	SHALLOW	2013-05-08
2/7-U-28	6135	2/7-U-28	SHALLOW	2013-05-08
2/7-U-29	6136	2/7-U-29	SHALLOW	2013-05-08
17/12-4	6137	17/12-4	EXPLORATION	2013-05-08
6506/12-P-4 AH	6138	6506/12-P-4	DEVELOPMENT	2013-05-08
15/12-21 A	6139	15/12-21	EXPLORATION	2013-05-08
33/9-C-28 C	6140	33/9-C-28	DEVELOPMENT	2013-05-08
30/9-J-13 BH	6141	30/9-J-13	DEVELOPMENT	2013-05-08
33/9-21 B	6142	33/9-21	EXPLORATION	2013-05-08
6306/6-2	6143	6306/6-2	EXPLORATION	2013-05-08
6506/12-12 S	6144	6506/12-12	EXPLORATION	2013-05-08
25/11-G-37	6145	25/11-G-37	DEVELOPMENT	2013-05-08
6506/12-U-15	6146	6506/12-U-15	SHALLOW	2013-05-08
34/10-52 S	6147	34/10-52	EXPLORATION	2013-05-08
1/2-U-1	6148	1/2-U-1	SHALLOW	2013-05-08
1/2-U-2	6149	1/2-U-2	SHALLOW	2013-05-08
1/2-U-3	6150	1/2-U-3	SHALLOW	2013-05-08
6407/2-5 S	6151	6407/2-5	EXPLORATION	2013-05-08
6407/2-U-1	6152	6407/2-U-1	SHALLOW	2013-05-08
6407/8-5 A	6153	6407/8-5	EXPLORATION	2013-05-08
35/3-7 S	6154	35/3-7	EXPLORATION	2013-05-08
2/7-U-30	6155	2/7-U-30	SHALLOW	2013-05-08
2/7-U-21	6156	2/7-U-21	SHALLOW	2013-05-08
16/1-11	6157	16/1-11	EXPLORATION	2013-05-08
30/6-C-20 CY1	6158	30/6-C-20	DEVELOPMENT	2013-05-08
30/6-C-20 CY2	6159	30/6-C-20	DEVELOPMENT	2013-05-08
2/8-G-16 A	6160	2/8-G-16	DEVELOPMENT	2013-05-08
2/8-G-16 B	6161	2/8-G-16	DEVELOPMENT	2013-05-08
34/4-K-5 H	6162	34/4-K-5	DEVELOPMENT	2013-05-08
15/9-F-9 A	6163	15/9-F-9	DEVELOPMENT	2013-05-08
7/12-A-15 A	6164	7/12-A-15	DEVELOPMENT	2013-05-08
31/4-A-13 A	6165	31/4-A-13	DEVELOPMENT	2013-05-08
16/1-12	6166	16/1-12	EXPLORATION	2013-05-08
25/5-6	6167	25/5-6	EXPLORATION	2013-05-08
2/4-VA-1 H	6169	2/4-VA-1	DEVELOPMENT	2013-05-08
2/4-VA-2 H	6170	2/4-VA-2	DEVELOPMENT	2013-05-08
2/4-VA-3 H	6171	2/4-VA-3	DEVELOPMENT	2013-05-08
2/4-X-8 A	6172	2/4-X-8	DEVELOPMENT	2013-05-08
25/11-G-13 A	6173	25/11-G-13	DEVELOPMENT	2013-05-08
25/11-G-13 B	6174	25/11-G-13	DEVELOPMENT	2013-05-08
35/11-R-14 H	6175	35/11-R-14	DEVELOPMENT	2013-05-08
35/11-R-14 AH	6176	35/11-R-14	DEVELOPMENT	2013-05-08
35/11-R-12 H	6177	35/11-R-12	DEVELOPMENT	2013-05-08
17/12-4 A	6178	17/12-4	EXPLORATION	2013-05-08
31/2-F-1 BY1H	6179	31/2-F-1	DEVELOPMENT	2013-05-08
31/2-F-1 BY2H	6180	31/2-F-1	DEVELOPMENT	2013-05-08
35/9-F-1 AH	6181	35/9-F-1	DEVELOPMENT	2013-05-08
30/9-23	6182	30/9-23	EXPLORATION	2013-05-08
6507/8-E-3 EH	6183	6507/8-E-3	DEVELOPMENT	2013-05-08
15/9-F-15	6184	15/9-F-15	DEVELOPMENT	2013-05-08
25/8-17	6185	25/8-17	EXPLORATION	2013-05-08
15/9-23	6186	15/9-23	EXPLORATION	2013-05-08
25/1-11	6187	25/1-11	EXPLORATION	2013-05-08
6609/10-2	6188	6609/10-2	EXPLORATION	2013-05-08
25/9-3	6189	25/9-3	EXPLORATION	2013-05-08
15/12-A-3 A	6190	15/12-A-3	DEVELOPMENT	2013-05-08
6407/12-2	6191	6407/12-2	EXPLORATION	2013-05-08
6608/10-E-1 Y2H	6192	6608/10-E-1	DEVELOPMENT	2013-05-08
25/11-G-3 AY1	6193	25/11-G-3	DEVELOPMENT	2013-05-08
25/11-G-3 AY2	6194	25/11-G-3	DEVELOPMENT	2013-05-08
25/11-G-3 AY3	6195	25/11-G-3	DEVELOPMENT	2013-05-08
30/9-U-2	6196	30/9-U-2	SHALLOW	2013-05-08
33/12-B-31 B	6197	33/12-B-31	DEVELOPMENT	2013-05-08
30/6-C-10 E	6198	30/6-C-10	DEVELOPMENT	2013-05-08
31/2-M-24 AH	6200	31/2-M-24	DEVELOPMENT	2013-05-08
31/5-H-3 CY1H	6201	31/5-H-3	DEVELOPMENT	2013-05-08
31/5-H-3 CY2H	6202	31/5-H-3	DEVELOPMENT	2013-05-08
30/9-B-46 B	6203	30/9-B-46	DEVELOPMENT	2013-05-08
30/9-B-46 C	6204	30/9-B-46	DEVELOPMENT	2013-05-08
30/9-B-46 D	6205	30/9-B-46	DEVELOPMENT	2013-05-08
6407/1-C-3 Y1H	6206	6407/1-C-3	DEVELOPMENT	2013-05-08
6407/1-C-3 AY1H	6207	6407/1-C-3	DEVELOPMENT	2013-05-08
6506/12-12 A	6208	6506/12-12	EXPLORATION	2013-05-08
6507/8-E-3 FH	6209	6507/8-E-3	DEVELOPMENT	2013-05-08
30/9-24	6210	30/9-24	EXPLORATION	2013-05-08
17/12-4 B	6211	17/12-4	EXPLORATION	2013-05-08
34/10-53 S	6212	34/10-53	EXPLORATION	2013-05-08
31/5-I-21 BY1H	6213	31/5-I-21	DEVELOPMENT	2013-05-08
31/5-I-21 BY2H	6214	31/5-I-21	DEVELOPMENT	2013-05-08
25/2-17	6215	25/2-17	EXPLORATION	2013-05-08
16/4-5	6216	16/4-5	EXPLORATION	2013-05-08
6506/12-Q-5 Y2H	6217	6506/12-Q-5	DEVELOPMENT	2013-05-08
33/9-C-21 A	6218	33/9-C-21	DEVELOPMENT	2013-05-08
31/4-A-13 B	6219	31/4-A-13	DEVELOPMENT	2013-05-08
2/4-K-30 A	6220	2/4-K-30	DEVELOPMENT	2013-05-08
2/7-A-18 D	6221	2/7-A-18	DEVELOPMENT	2013-05-08
24/9-9 S	6222	24/9-9	EXPLORATION	2013-05-08
16/1-U-2	6670	16/1-U-2	SHALLOW	2013-05-08
2/4-VA-5 H	6223	2/4-VA-5	DEVELOPMENT	2013-05-08
2/4-VA-6 H	6224	2/4-VA-6	DEVELOPMENT	2013-05-08
2/4-VA-8 H	6225	2/4-VA-8	DEVELOPMENT	2013-05-08
16/1-8 R	6226	16/1-8	EXPLORATION	2013-05-08
34/4-11	6227	34/4-11	EXPLORATION	2013-05-08
30/4-D-1 H	6228	30/4-D-1	DEVELOPMENT	2013-05-08
30/4-D-1 AH	6229	30/4-D-1	DEVELOPMENT	2013-05-08
34/10-A-36 A	6230	34/10-A-36	DEVELOPMENT	2013-05-08
34/10-A-36 B	6231	34/10-A-36	DEVELOPMENT	2013-05-08
16/1-13	6232	16/1-13	EXPLORATION	2013-05-08
34/8-A-8 AH	6233	34/8-A-8	DEVELOPMENT	2013-05-08
34/8-A-8 BH	6234	34/8-A-8	DEVELOPMENT	2013-05-08
6608/10-13	6235	6608/10-13	EXPLORATION	2013-05-08
15/12-A-10 A	6236	15/12-A-10	DEVELOPMENT	2013-05-08
2/4-VA-7 H	6237	2/4-VA-7	DEVELOPMENT	2013-05-08
6506/11-B-3 H	6238	6506/11-B-3	DEVELOPMENT	2013-05-08
24/9-9 A	6239	24/9-9	EXPLORATION	2013-05-08
24/9-P-3 H	6240	24/9-P-3	DEVELOPMENT	2013-05-08
24/9-P-3 AH	6241	24/9-P-3	DEVELOPMENT	2013-05-08
34/10-C-6 A	6242	34/10-C-6	DEVELOPMENT	2013-05-08
6305/7-D-3 H	6243	6305/7-D-3	DEVELOPMENT	2013-05-08
6305/7-D-6 H	6244	6305/7-D-6	DEVELOPMENT	2013-05-08
6305/7-D-7 H	6245	6305/7-D-7	DEVELOPMENT	2013-05-08
6305/7-D-7 AH	6246	6305/7-D-7	DEVELOPMENT	2013-05-08
30/3-A-1 A	6247	30/3-A-1	DEVELOPMENT	2013-05-08
30/3-A-1 B	6248	30/3-A-1	DEVELOPMENT	2013-05-08
34/3-2 S	6249	34/3-2	EXPLORATION	2013-05-08
24/9-P-2 H	6250	24/9-P-2	DEVELOPMENT	2013-05-08
24/9-P-2 AY1H	6251	24/9-P-2	DEVELOPMENT	2013-05-08
24/9-P-2 AY2H	6252	24/9-P-2	DEVELOPMENT	2013-05-08
25/4-10 S	6253	25/4-10	EXPLORATION	2013-05-08
24/9-9 B	6254	24/9-9	EXPLORATION	2013-05-08
25/4-10 A	6255	25/4-10	EXPLORATION	2013-05-08
35/8-P-13 H	6256	35/8-P-13	DEVELOPMENT	2013-05-08
6407/7-A-19 AH	6257	6407/7-A-19	DEVELOPMENT	2013-05-08
6507/3-8	6258	6507/3-8	EXPLORATION	2013-05-08
7223/5-U-1	6259	7223/5-U-1	SHALLOW	2013-05-08
1/3-12 S	6260	1/3-12	EXPLORATION	2013-05-08
25/8-17 A	6261	25/8-17	EXPLORATION	2013-05-08
35/9-C-1 Y1H	6262	35/9-C-1	DEVELOPMENT	2013-05-08
35/9-C-2 H	6263	35/9-C-2	DEVELOPMENT	2013-05-08
35/9-C-3 Y1H	6264	35/9-C-3	DEVELOPMENT	2013-05-08
35/9-C-4 Y1H	6265	35/9-C-4	DEVELOPMENT	2013-05-08
33/9-C-19 D	6266	33/9-C-19	DEVELOPMENT	2013-05-08
7/12-A-17 B	6267	7/12-A-17	DEVELOPMENT	2013-05-08
31/4-A-34 A	6268	31/4-A-34	DEVELOPMENT	2013-05-08
31/4-A-34 B	6269	31/4-A-34	DEVELOPMENT	2013-05-08
34/10-A-36 C	6270	34/10-A-36	DEVELOPMENT	2013-05-08
34/11-U-11	6271	34/11-U-11	SHALLOW	2013-05-08
33/12-B-25 A	6272	33/12-B-25	DEVELOPMENT	2013-05-08
30/9-B-27 C	6273	30/9-B-27	DEVELOPMENT	2013-05-08
34/11-U-3	6274	34/11-U-3	SHALLOW	2013-05-08
34/11-U-4	6275	34/11-U-4	SHALLOW	2013-05-08
34/11-U-5	6276	34/11-U-5	SHALLOW	2013-05-08
34/11-U-6	6277	34/11-U-6	SHALLOW	2013-05-08
34/11-U-7	6278	34/11-U-7	SHALLOW	2013-05-08
34/11-U-8	6279	34/11-U-8	SHALLOW	2013-05-08
34/11-U-9	6280	34/11-U-9	SHALLOW	2013-05-08
34/11-U-10	6281	34/11-U-10	SHALLOW	2013-05-08
15/12-A-9 B	6282	15/12-A-9	DEVELOPMENT	2013-05-08
34/4-12 S	6283	34/4-12	EXPLORATION	2013-05-08
6507/2-U-1	6284	6507/2-U-1	SHALLOW	2013-05-08
6506/11-A-2 H	6285	6506/11-A-2	DEVELOPMENT	2013-05-08
15/3-U-1	6286	15/3-U-1	SHALLOW	2013-05-08
15/3-U-2	6287	15/3-U-2	SHALLOW	2013-05-08
15/3-U-3	6288	15/3-U-3	SHALLOW	2013-05-08
15/3-U-4	6289	15/3-U-4	SHALLOW	2013-05-08
15/3-U-5	6290	15/3-U-5	SHALLOW	2013-05-08
31/2-O-26 Y1H	6291	31/2-O-26	DEVELOPMENT	2013-05-08
31/2-O-26 Y2H	6292	31/2-O-26	DEVELOPMENT	2013-05-08
35/9-5	6293	35/9-5	EXPLORATION	2013-05-08
2/7-A-18 E	6294	2/7-A-18	DEVELOPMENT	2013-05-08
34/8-U-2	6295	34/8-U-2	SHALLOW	2013-05-08
6506/11-A-4 H	6296	6506/11-A-4	DEVELOPMENT	2013-05-08
6305/7-D-2 H	6297	6305/7-D-2	DEVELOPMENT	2013-05-08
31/2-U-11	6298	31/2-U-11	SHALLOW	2013-05-08
31/2-O-21 Y1H	6299	31/2-O-21	DEVELOPMENT	2013-05-08
31/2-O-21 Y2H	6300	31/2-O-21	DEVELOPMENT	2013-05-08
31/2-O-23 Y1H	6301	31/2-O-23	DEVELOPMENT	2013-05-08
31/2-O-25 Y1H	6302	31/2-O-25	DEVELOPMENT	2013-05-08
2/4-K-28 A	6303	2/4-K-28	DEVELOPMENT	2013-05-08
31/2-Y-23 BY1H	6304	31/2-Y-23	DEVELOPMENT	2013-05-08
6608/10-14 S	6306	6608/10-14	EXPLORATION	2013-05-08
34/5-1 S	6307	34/5-1	EXPLORATION	2013-05-08
31/2-U-12	6308	31/2-U-12	SHALLOW	2013-05-08
6507/5-U-2	6309	6507/5-U-2	SHALLOW	2013-05-08
2/4-X-43 A	6310	2/4-X-43	DEVELOPMENT	2013-05-08
7/12-A-3 B	6311	7/12-A-3	DEVELOPMENT	2013-05-08
35/9-C-4 Y2H	6312	35/9-C-4	DEVELOPMENT	2013-05-08
34/11-U-12	6313	34/11-U-12	SHALLOW	2013-05-08
31/2-M-14 BY1H	6314	31/2-M-14	DEVELOPMENT	2013-05-08
31/2-M-14 BY2H	6315	31/2-M-14	DEVELOPMENT	2013-05-08
34/4-12 A	6316	34/4-12	EXPLORATION	2013-05-08
15/12-A-7 B	6317	15/12-A-7	DEVELOPMENT	2013-05-08
6507/5-U-1	6318	6507/5-U-1	SHALLOW	2013-05-08
9/2-C-7	6319	9/2-C-7	DEVELOPMENT	2013-05-08
31/4-A-34 C	6320	31/4-A-34	DEVELOPMENT	2013-05-08
6507/5-6 S	6321	6507/5-6	EXPLORATION	2013-05-08
6407/7-A-5 CH	6322	6407/7-A-5	DEVELOPMENT	2013-05-08
6507/5-A-3 H	6323	6507/5-A-3	DEVELOPMENT	2013-05-08
6507/5-A-4 H	6324	6507/5-A-4	DEVELOPMENT	2013-05-08
6507/5-A-6 H	6325	6507/5-A-6	DEVELOPMENT	2013-05-08
15/12-22	6326	15/12-22	EXPLORATION	2013-05-08
15/12-23	6327	15/12-23	EXPLORATION	2013-05-08
24/12-6 S	6328	24/12-6	EXPLORATION	2013-05-08
35/8-P-11 H	6330	35/8-P-11	DEVELOPMENT	2013-05-08
31/4-A-32 B	6331	31/4-A-32	DEVELOPMENT	2013-05-08
6506/9-2 S	6332	6506/9-2	EXPLORATION	2013-05-08
25/11-G-4	6333	25/11-G-4	DEVELOPMENT	2013-05-08
25/11-G-29	6334	25/11-G-29	DEVELOPMENT	2013-05-08
25/11-G-33	6335	25/11-G-33	DEVELOPMENT	2013-05-08
25/11-G-36	6336	25/11-G-36	DEVELOPMENT	2013-05-08
25/11-G-38	6337	25/11-G-38	DEVELOPMENT	2013-05-08
6608/10-K-2 H	6338	6608/10-K-2	DEVELOPMENT	2013-05-08
6608/10-K-2 AH	6339	6608/10-K-2	DEVELOPMENT	2013-05-08
15/12-A-7 C	6340	15/12-A-7	DEVELOPMENT	2013-05-08
9/2-11	6341	9/2-11	EXPLORATION	2013-05-08
34/10-A-18 A	6342	34/10-A-18	DEVELOPMENT	2013-05-08
31/2-M-14 BY3H	6343	31/2-M-14	DEVELOPMENT	2013-05-08
6407/1-C-3 AY2H	6344	6407/1-C-3	DEVELOPMENT	2013-05-08
25/10-10	6345	25/10-10	EXPLORATION	2013-05-08
2/2-6	6346	2/2-6	EXPLORATION	2013-05-08
34/4-D-7 H	6347	34/4-D-7	DEVELOPMENT	2013-05-08
6603/5-1 S	6348	6603/5-1	EXPLORATION	2013-05-08
34/10-B-24 A	6349	34/10-B-24	DEVELOPMENT	2013-05-08
6406/3-8	6350	6406/3-8	EXPLORATION	2013-05-08
6407/2-6 S	6351	6407/2-6	EXPLORATION	2013-05-08
34/5-1 A	6352	34/5-1	EXPLORATION	2013-05-08
25/11-G-41	6353	25/11-G-41	DEVELOPMENT	2013-05-08
15/3-9	6354	15/3-9	EXPLORATION	2013-05-08
15/3-U-6	6355	15/3-U-6	SHALLOW	2013-05-08
6604/10-1	6356	6604/10-1	EXPLORATION	2013-05-08
31/4-A-32 C	6357	31/4-A-32	DEVELOPMENT	2013-05-08
15/9-B-8 A	6358	15/9-B-8	DEVELOPMENT	2013-05-08
34/7-P-35 A	6359	34/7-P-35	DEVELOPMENT	2013-05-08
6407/1-A-1 H	6360	6407/1-A-1	DEVELOPMENT	2013-05-08
6407/1-A-1 AY1H	6361	6407/1-A-1	DEVELOPMENT	2013-05-08
6407/1-A-1 AY2H	6362	6407/1-A-1	DEVELOPMENT	2013-05-08
6407/1-A-1 AY3H	6363	6407/1-A-1	DEVELOPMENT	2013-05-08
16/1-11 A	6364	16/1-11	EXPLORATION	2013-05-08
31/2-P-13 BY1H	6365	31/2-P-13	DEVELOPMENT	2013-05-08
31/2-P-13 BY2H	6366	31/2-P-13	DEVELOPMENT	2013-05-08
6507/7-14 S	6367	6507/7-14	EXPLORATION	2013-05-08
25/1-11 R	6368	25/1-11	EXPLORATION	2013-05-08
35/9-C-2 AH	6369	35/9-C-2	DEVELOPMENT	2013-05-08
6407/12-3	6370	6407/12-3	EXPLORATION	2013-05-08
6507/5-A-1 H	6371	6507/5-A-1	DEVELOPMENT	2013-05-08
31/4-A-19 A	6372	31/4-A-19	DEVELOPMENT	2013-05-08
31/4-A-19 B	6373	31/4-A-19	DEVELOPMENT	2013-05-08
16/2-6	6374	16/2-6	EXPLORATION	2013-05-08
33/12-B-26 B	6375	33/12-B-26	DEVELOPMENT	2013-05-08
25/1-11 A	6376	25/1-11	EXPLORATION	2013-05-08
9/2-C-2 A	6377	9/2-C-2	DEVELOPMENT	2013-05-08
6507/3-U-3	6378	6507/3-U-3	SHALLOW	2013-05-08
6507/3-D-2 H	6379	6507/3-D-2	DEVELOPMENT	2013-05-08
6507/3-D-3 H	6380	6507/3-D-3	DEVELOPMENT	2013-05-08
15/9-24	6381	15/9-24	EXPLORATION	2013-05-08
16/7-9	6382	16/7-9	EXPLORATION	2013-05-08
34/10-U-12	6383	34/10-U-12	SHALLOW	2013-05-08
25/5-U-21	6384	25/5-U-21	SHALLOW	2013-05-08
25/5-U-22	6385	25/5-U-22	SHALLOW	2013-05-08
25/5-U-23	6386	25/5-U-23	SHALLOW	2013-05-08
25/5-U-24	6387	25/5-U-24	SHALLOW	2013-05-08
25/5-U-25	6388	25/5-U-25	SHALLOW	2013-05-08
6507/3-L-4 H	6389	6507/3-L-4	DEVELOPMENT	2013-05-08
6507/3-L-4 AH	6390	6507/3-L-4	DEVELOPMENT	2013-05-08
34/10-A-43 A	6391	34/10-A-43	DEVELOPMENT	2013-05-08
34/10-A-43 B	6392	34/10-A-43	DEVELOPMENT	2013-05-08
7122/7-U-4	6393	7122/7-U-4	SHALLOW	2013-05-08
7122/7-U-5	6394	7122/7-U-5	SHALLOW	2013-05-08
7122/7-U-6	6395	7122/7-U-6	SHALLOW	2013-05-08
7122/7-U-7	6396	7122/7-U-7	SHALLOW	2013-05-08
7122/10-U-1	6397	7122/10-U-1	SHALLOW	2013-05-08
9/1-1 S	6398	9/1-1	EXPLORATION	2013-05-08
16/1-14	6399	16/1-14	EXPLORATION	2013-05-08
7224/6-U-1	6400	7224/6-U-1	SHALLOW	2013-05-08
7226/2-U-1	6401	7226/2-U-1	SHALLOW	2013-05-08
31/2-Y-23 CY1H	6402	31/2-Y-23	DEVELOPMENT	2013-05-08
31/2-Y-23 CY2H	6403	31/2-Y-23	DEVELOPMENT	2013-05-08
15/12-23 A	6404	15/12-23	EXPLORATION	2013-05-08
6507/5-J-1 H	6405	6507/5-J-1	DEVELOPMENT	2013-05-08
6507/5-J-2 H	6406	6507/5-J-2	DEVELOPMENT	2013-05-08
6507/5-J-3 H	6407	6507/5-J-3	DEVELOPMENT	2013-05-08
6507/5-J-4 H	6408	6507/5-J-4	DEVELOPMENT	2013-05-08
30/3-A-19 C	6409	30/3-A-19	DEVELOPMENT	2013-05-08
33/12-B-37 B	6410	33/12-B-37	DEVELOPMENT	2013-05-08
24/6-B-4 H	6411	24/6-B-4	DEVELOPMENT	2013-05-08
24/6-B-4 AY1H	6412	24/6-B-4	DEVELOPMENT	2013-05-08
24/6-B-4 AY2H	6413	24/6-B-4	DEVELOPMENT	2013-05-08
34/4-D-3 H	6414	34/4-D-3	DEVELOPMENT	2013-05-08
34/4-D-5 H	6415	34/4-D-5	DEVELOPMENT	2013-05-08
25/11-G-7 AY1	6416	25/11-G-7	DEVELOPMENT	2013-05-08
25/11-G-7 AY2	6417	25/11-G-7	DEVELOPMENT	2013-05-08
25/11-G-7 AY3	6418	25/11-G-7	DEVELOPMENT	2013-05-08
30/6-C-4 A	6419	30/6-C-4	DEVELOPMENT	2013-05-08
2/7-B-1 D	6420	2/7-B-1	DEVELOPMENT	2013-05-08
35/9-C-3 Y2H	6421	35/9-C-3	DEVELOPMENT	2013-05-08
15/9-B-8 B	6422	15/9-B-8	DEVELOPMENT	2013-05-08
25/5-7	6423	25/5-7	EXPLORATION	2013-05-08
34/7-P-6	6424	34/7-P-6	DEVELOPMENT	2013-05-08
31/5-U-3	6425	31/5-U-3	SHALLOW	2013-05-08
15/3-U-7	6426	15/3-U-7	SHALLOW	2013-05-08
35/1-2 S	6427	35/1-2	EXPLORATION	2013-05-08
35/1-U-1	6428	35/1-U-1	SHALLOW	2013-05-08
35/9-6 S	6429	35/9-6	EXPLORATION	2013-05-08
3/7-A-1 H	6430	3/7-A-1	DEVELOPMENT	2013-05-08
3/8-U-1	6431	3/8-U-1	SHALLOW	2013-05-08
3/8-U-2	6432	3/8-U-2	SHALLOW	2013-05-08
3/8-U-3	6433	3/8-U-3	SHALLOW	2013-05-08
35/8-Q-12 H	6434	35/8-Q-12	DEVELOPMENT	2013-05-08
35/8-Q-14 H	6435	35/8-Q-14	DEVELOPMENT	2013-05-08
30/9-B-44 B	6436	30/9-B-44	DEVELOPMENT	2013-05-08
30/9-B-44 C	6437	30/9-B-44	DEVELOPMENT	2013-05-08
33/12-B-2 D	6438	33/12-B-2	DEVELOPMENT	2013-05-08
3/7-A-2 H	6439	3/7-A-2	DEVELOPMENT	2013-05-08
25/1-12	6440	25/1-12	EXPLORATION	2013-05-08
6305/4-2 S	6441	6305/4-2	EXPLORATION	2013-05-08
34/4-13 S	6442	34/4-13	EXPLORATION	2013-05-08
2/4-X-9 A	6443	2/4-X-9	DEVELOPMENT	2013-05-08
6507/5-U-3	6444	6507/5-U-3	SHALLOW	2013-05-08
6507/5-B-2 H	6445	6507/5-B-2	DEVELOPMENT	2013-05-08
6507/5-B-3 H	6446	6507/5-B-3	DEVELOPMENT	2013-05-08
6507/5-B-5 H	6447	6507/5-B-5	DEVELOPMENT	2013-05-08
6507/5-B-5 AH	6448	6507/5-B-5	DEVELOPMENT	2013-05-08
6507/5-B-6 H	6449	6507/5-B-6	DEVELOPMENT	2013-05-08
6507/5-B-8 H	6450	6507/5-B-8	DEVELOPMENT	2013-05-08
6507/5-B-9 H	6451	6507/5-B-9	DEVELOPMENT	2013-05-08
6507/5-B-10 H	6452	6507/5-B-10	DEVELOPMENT	2013-05-08
6507/5-B-10 AH	6453	6507/5-B-10	DEVELOPMENT	2013-05-08
6406/3-D-2 H	6454	6406/3-D-2	DEVELOPMENT	2013-05-08
31/5-Z-1 H	6455	31/5-Z-1	DEVELOPMENT	2013-05-08
31/5-Z-2 H	6456	31/5-Z-2	DEVELOPMENT	2013-05-08
35/9-B-1 H	6457	35/9-B-1	DEVELOPMENT	2013-05-08
35/9-B-2 H	6458	35/9-B-2	DEVELOPMENT	2013-05-08
35/9-B-3 H	6459	35/9-B-3	DEVELOPMENT	2013-05-08
35/9-D-1 Y1H	6460	35/9-D-1	DEVELOPMENT	2013-05-08
35/9-D-3 H	6461	35/9-D-3	DEVELOPMENT	2013-05-08
34/8-A-30 AH	6462	34/8-A-30	DEVELOPMENT	2013-05-08
2/4-K-14 A	6463	2/4-K-14	DEVELOPMENT	2013-05-08
30/3-A-13 A	6464	30/3-A-13	DEVELOPMENT	2013-05-08
30/3-A-13 BY1	6465	30/3-A-13	DEVELOPMENT	2013-05-08
6407/7-A-8 AH	6466	6407/7-A-8	DEVELOPMENT	2013-05-08
7119/12-U-1	6467	7119/12-U-1	SHALLOW	2013-05-08
7119/12-4	6468	7119/12-4	EXPLORATION	2013-05-08
3/7-A-1 AH	6469	3/7-A-1	DEVELOPMENT	2013-05-08
2/4-B-2 C	6470	2/4-B-2	DEVELOPMENT	2013-05-08
2/8-G-8 A	6471	2/8-G-8	DEVELOPMENT	2013-05-08
6305/9-U-2	6472	6305/9-U-2	SHALLOW	2013-05-08
7/12-U-1	6473	7/12-U-1	SHALLOW	2013-05-08
7/12-U-2	6474	7/12-U-2	SHALLOW	2013-05-08
7/12-U-3	6475	7/12-U-3	SHALLOW	2013-05-08
3/8-1	6476	3/8-1	EXPLORATION	2013-05-08
35/1-U-2	6477	35/1-U-2	SHALLOW	2013-05-08
7120/12-5	6478	7120/12-5	EXPLORATION	2013-05-08
25/8-C-23 A	6479	25/8-C-23	DEVELOPMENT	2013-05-08
25/8-C-23 B	6480	25/8-C-23	DEVELOPMENT	2013-05-08
34/11-A-1 A	6481	34/11-A-1	DEVELOPMENT	2013-05-08
2/1-A-25 A	6482	2/1-A-25	DEVELOPMENT	2013-05-08
31/2-O-23 Y2H	6483	31/2-O-23	DEVELOPMENT	2013-05-08
7220/8-1	6484	7220/8-1	EXPLORATION	2013-05-08
31/5-J-14 AY1H	6485	31/5-J-14	DEVELOPMENT	2013-05-08
31/5-J-14 AY2H	6486	31/5-J-14	DEVELOPMENT	2013-05-08
7220/8-U-1	6487	7220/8-U-1	SHALLOW	2013-05-08
15/6-11 S	6488	15/6-11	EXPLORATION	2013-05-08
25/4-L-1 H	6489	25/4-L-1	DEVELOPMENT	2013-05-08
25/4-L-1 BY1H	6490	25/4-L-1	DEVELOPMENT	2013-05-08
25/4-L-1 BY2H	6491	25/4-L-1	DEVELOPMENT	2013-05-08
25/4-L-2 Y1H	6492	25/4-L-2	DEVELOPMENT	2013-05-08
25/4-L-2 Y2H	6493	25/4-L-2	DEVELOPMENT	2013-05-08
25/4-L-3 H	6494	25/4-L-3	DEVELOPMENT	2013-05-08
34/10-53 A	6495	34/10-53	EXPLORATION	2013-05-08
2/1-A-19 A	6496	2/1-A-19	DEVELOPMENT	2013-05-08
31/4-A-33 E	6497	31/4-A-33	DEVELOPMENT	2013-05-08
6507/8-D-1 AH	6498	6507/8-D-1	DEVELOPMENT	2013-05-08
2/4-X-6 A	6499	2/4-X-6	DEVELOPMENT	2013-05-08
34/8-A-17 H	6500	34/8-A-17	DEVELOPMENT	2013-05-08
17/6-1	6501	17/6-1	EXPLORATION	2013-05-08
6305/9-2	6502	6305/9-2	EXPLORATION	2013-05-08
6608/10-M-3 H	6503	6608/10-M-3	DEVELOPMENT	2013-05-08
6407/1-W-2 H	6504	6407/1-W-2	DEVELOPMENT	2013-05-08
6507/7-A-45 A	6505	6507/7-A-45	DEVELOPMENT	2013-05-08
34/10-C-38 A	6506	34/10-C-38	DEVELOPMENT	2013-05-08
25/6-4 S	6507	25/6-4	EXPLORATION	2013-05-08
35/9-B-1 AH	6508	35/9-B-1	DEVELOPMENT	2013-05-08
25/4-L-1 AH	6509	25/4-L-1	DEVELOPMENT	2013-05-08
31/4-A-14 A	6510	31/4-A-14	DEVELOPMENT	2013-05-08
31/4-A-14 B	6511	31/4-A-14	DEVELOPMENT	2013-05-08
31/2-G-3 AY1H	6512	31/2-G-3	DEVELOPMENT	2013-05-08
31/2-G-3 AY2H	6513	31/2-G-3	DEVELOPMENT	2013-05-08
31/2-G-3 AY3H	6514	31/2-G-3	DEVELOPMENT	2013-05-08
15/12-A-1 A	6515	15/12-A-1	DEVELOPMENT	2013-05-08
35/12-3 S	6516	35/12-3	EXPLORATION	2013-05-08
16/1-15	6517	16/1-15	EXPLORATION	2013-05-08
15/6-12	6518	15/6-12	EXPLORATION	2013-05-08
15/9-B-8 C	6519	15/9-B-8	DEVELOPMENT	2013-05-08
1/3-U-15	6520	1/3-U-15	SHALLOW	2013-05-08
1/3-U-16	6521	1/3-U-16	SHALLOW	2013-05-08
25/11-G-38 AY1	6522	25/11-G-38	DEVELOPMENT	2013-05-08
25/11-G-38 AY2	6523	25/11-G-38	DEVELOPMENT	2013-05-08
25/11-G-38 AY3	6524	25/11-G-38	DEVELOPMENT	2013-05-08
25/11-G-38 AY4	6525	25/11-G-38	DEVELOPMENT	2013-05-08
15/6-11 A	6526	15/6-11	EXPLORATION	2013-05-08
35/9-D-1 Y2H	6527	35/9-D-1	DEVELOPMENT	2013-05-08
6406/3-U-2	6528	6406/3-U-2	SHALLOW	2013-05-08
6406/3-U-3	6529	6406/3-U-3	SHALLOW	2013-05-08
2/4-E-4	6530	2/4-E-4	DEVELOPMENT	2013-05-08
24/9-10 S	6531	24/9-10	EXPLORATION	2013-05-08
25/4-L-3 AY1H	6532	25/4-L-3	DEVELOPMENT	2013-05-08
25/4-L-3 AY2H	6533	25/4-L-3	DEVELOPMENT	2013-05-08
2/4-K-20 A	6534	2/4-K-20	DEVELOPMENT	2013-05-08
6305/7-D-1 H	6535	6305/7-D-1	DEVELOPMENT	2013-05-08
6305/7-D-5 H	6536	6305/7-D-5	DEVELOPMENT	2013-05-08
6305/7-D-8 H	6537	6305/7-D-8	DEVELOPMENT	2013-05-08
6507/8-8	6538	6507/8-8	EXPLORATION	2013-05-08
6407/7-A-4 AH	6539	6407/7-A-4	DEVELOPMENT	2013-05-08
30/11-8 S	6540	30/11-8	EXPLORATION	2013-05-08
6406/3-D-4 H	6541	6406/3-D-4	DEVELOPMENT	2013-05-08
6406/3-D-4 AY1H	6542	6406/3-D-4	DEVELOPMENT	2013-05-08
6406/3-D-4 AY2H	6543	6406/3-D-4	DEVELOPMENT	2013-05-08
15/9-B-8 D	6544	15/9-B-8	DEVELOPMENT	2013-05-08
34/7-P-17 A	6545	34/7-P-17	DEVELOPMENT	2013-05-08
34/4-C-8 H	6546	34/4-C-8	DEVELOPMENT	2013-05-08
2/7-A-27 A	6547	2/7-A-27	DEVELOPMENT	2013-05-08
33/9-A-20 B	6548	33/9-A-20	DEVELOPMENT	2013-05-08
7/11-12 S	6549	7/11-12	EXPLORATION	2013-05-08
30/3-A-13 BY2	6550	30/3-A-13	DEVELOPMENT	2013-05-08
6508/1-2	6551	6508/1-2	EXPLORATION	2013-05-08
6508/1-U-2	6552	6508/1-U-2	SHALLOW	2013-05-08
16/3-4	6553	16/3-4	EXPLORATION	2013-05-08
31/2-P-21 BY1H	6554	31/2-P-21	DEVELOPMENT	2013-05-08
31/2-P-21 BY2H	6555	31/2-P-21	DEVELOPMENT	2013-05-08
30/9-B-12 C	6556	30/9-B-12	DEVELOPMENT	2013-05-08
6407/4-2	6557	6407/4-2	EXPLORATION	2013-05-08
34/10-B-11 A	6558	34/10-B-11	DEVELOPMENT	2013-05-08
6506/12-K-4 H	6559	6506/12-K-4	DEVELOPMENT	2013-05-08
24/9-10 A	6560	24/9-10	EXPLORATION	2013-05-08
16/2-7	6561	16/2-7	EXPLORATION	2013-05-08
16/2-8	6562	16/2-8	EXPLORATION	2013-05-08
25/10-11	6563	25/10-11	EXPLORATION	2013-05-08
31/4-A-14 C	6564	31/4-A-14	DEVELOPMENT	2013-05-08
6507/8-D-3 CH	6565	6507/8-D-3	DEVELOPMENT	2013-05-08
31/2-S-14 BY1H	6566	31/2-S-14	DEVELOPMENT	2013-05-08
31/2-S-14 BY2H	6567	31/2-S-14	DEVELOPMENT	2013-05-08
6604/2-1	6568	6604/2-1	EXPLORATION	2013-05-08
2/8-G-1	6569	2/8-G-1	DEVELOPMENT	2013-05-08
2/8-G-2	6570	2/8-G-2	DEVELOPMENT	2013-05-08
2/8-G-3	6571	2/8-G-3	DEVELOPMENT	2013-05-08
2/8-G-4	6572	2/8-G-4	DEVELOPMENT	2013-05-08
2/8-G-5	6573	2/8-G-5	DEVELOPMENT	2013-05-08
2/8-G-9	6574	2/8-G-9	DEVELOPMENT	2013-05-08
2/8-G-17	6575	2/8-G-17	DEVELOPMENT	2013-05-08
2/8-G-20	6576	2/8-G-20	DEVELOPMENT	2013-05-08
2/8-G-21	6577	2/8-G-21	DEVELOPMENT	2013-05-08
6507/8-U-1	6578	6507/8-U-1	SHALLOW	2013-05-08
2/8-G-21 A	6579	2/8-G-21	DEVELOPMENT	2013-05-08
15/12-A-12 C	6580	15/12-A-12	DEVELOPMENT	2013-05-08
31/2-P-21 BY3H	6581	31/2-P-21	DEVELOPMENT	2013-05-08
6407/3-1 S	6582	6407/3-1	EXPLORATION	2013-05-08
2/4-U-4	6583	2/4-U-4	SHALLOW	2013-05-08
2/4-U-5	6584	2/4-U-5	SHALLOW	2013-05-08
2/4-U-6	6585	2/4-U-6	SHALLOW	2013-05-08
35/8-Q-12 AH	6586	35/8-Q-12	DEVELOPMENT	2013-05-08
7225/3-1	6587	7225/3-1	EXPLORATION	2013-05-08
34/3-3 S	6588	34/3-3	EXPLORATION	2013-05-08
35/12-4 S	6589	35/12-4	EXPLORATION	2013-05-08
31/4-A-14 D	6590	31/4-A-14	DEVELOPMENT	2013-05-08
6/3-A-1 H	6591	6/3-A-1	DEVELOPMENT	2013-05-08
7120/2-3 S	6592	7120/2-3	EXPLORATION	2013-05-08
16/1-15 A	6593	16/1-15	EXPLORATION	2013-05-08
6406/3-9	6594	6406/3-9	EXPLORATION	2013-05-08
15/12-A-12 D	6595	15/12-A-12	DEVELOPMENT	2013-05-08
31/2-K-12 BY1H	6596	31/2-K-12	DEVELOPMENT	2013-05-08
31/2-K-12 BY2H	6597	31/2-K-12	DEVELOPMENT	2013-05-08
2/1-A-32 C	6598	2/1-A-32	DEVELOPMENT	2013-05-08
35/7-1 S	6599	35/7-1	EXPLORATION	2013-05-08
25/8-C-19	6600	25/8-C-19	DEVELOPMENT	2013-05-08
25/8-C-19 A	6601	25/8-C-19	DEVELOPMENT	2013-05-08
25/8-C-19 B	6602	25/8-C-19	DEVELOPMENT	2013-05-08
7120/2-U-1	6603	7120/2-U-1	SHALLOW	2013-05-08
31/8-1	6604	31/8-1	EXPLORATION	2013-05-08
16/7-U-1	6605	16/7-U-1	SHALLOW	2013-05-08
25/11-G-23 A	6606	25/11-G-23	DEVELOPMENT	2013-05-08
16/7-10	6607	16/7-10	EXPLORATION	2013-05-08
15/12-E-1 H	6608	15/12-E-1	DEVELOPMENT	2013-05-08
2/4-K-8 B	6609	2/4-K-8	DEVELOPMENT	2013-05-08
33/9-A-37 C	6610	33/9-A-37	DEVELOPMENT	2013-05-08
30/11-8 A	6611	30/11-8	EXPLORATION	2013-05-08
1/3-A-1 H	6612	1/3-A-1	DEVELOPMENT	2013-05-08
1/3-A-2 H	6613	1/3-A-2	DEVELOPMENT	2013-05-08
1/3-A-3 H	6614	1/3-A-3	DEVELOPMENT	2013-05-08
16/2-9 S	6615	16/2-9	EXPLORATION	2013-05-08
6507/7-A-3	6616	6507/7-A-3	DEVELOPMENT	2013-05-08
35/12-4 A	6617	35/12-4	EXPLORATION	2013-05-08
2/4-B-18 D	6618	2/4-B-18	DEVELOPMENT	2013-05-08
31/2-D-2 AY1H	6619	31/2-D-2	DEVELOPMENT	2013-05-08
31/2-D-2 AY2H	6620	31/2-D-2	DEVELOPMENT	2013-05-08
31/2-D-2 AY3H	6621	31/2-D-2	DEVELOPMENT	2013-05-08
3/4-2 S	6622	3/4-2	EXPLORATION	2013-05-08
31/4-A-14 E	6623	31/4-A-14	DEVELOPMENT	2013-05-08
2/8-G-20 A	6624	2/8-G-20	DEVELOPMENT	2013-05-08
6608/10-H-4 H	6625	6608/10-H-4	DEVELOPMENT	2013-05-08
6608/10-H-4 AH	6626	6608/10-H-4	DEVELOPMENT	2013-05-08
30/9-F-7	6627	30/9-F-7	DEVELOPMENT	2013-05-08
30/9-F-7 A	6628	30/9-F-7	DEVELOPMENT	2013-05-08
16/3-4 A	6629	16/3-4	EXPLORATION	2013-05-08
8/10-4 S	6630	8/10-4	EXPLORATION	2013-05-08
2/4-U-31	6631	2/4-U-31	SHALLOW	2013-05-08
2/4-U-32	6632	2/4-U-32	SHALLOW	2013-05-08
2/4-U-33	6633	2/4-U-33	SHALLOW	2013-05-08
2/4-U-34	6634	2/4-U-34	SHALLOW	2013-05-08
2/4-U-35	6635	2/4-U-35	SHALLOW	2013-05-08
2/4-U-36	6636	2/4-U-36	SHALLOW	2013-05-08
25/8-U-21	6637	25/8-U-21	SHALLOW	2013-05-08
25/8-U-22	6638	25/8-U-22	SHALLOW	2013-05-08
25/8-U-23	6639	25/8-U-23	SHALLOW	2013-05-08
25/8-U-24	6640	25/8-U-24	SHALLOW	2013-05-08
30/3-A-20 B	6641	30/3-A-20	DEVELOPMENT	2013-05-08
6607/12-2 S	6642	6607/12-2	EXPLORATION	2013-05-08
6506/12-P-1 AH	6643	6506/12-P-1	DEVELOPMENT	2013-05-08
6506/12-P-1 BH	6644	6506/12-P-1	DEVELOPMENT	2013-05-08
6406/3-D-1 H	6645	6406/3-D-1	DEVELOPMENT	2013-05-08
6406/3-D-1 AY1H	6646	6406/3-D-1	DEVELOPMENT	2013-05-08
6406/3-D-1 AY2H	6647	6406/3-D-1	DEVELOPMENT	2013-05-08
6407/5-2 S	6648	6407/5-2	EXPLORATION	2013-05-08
30/9-F-23	6649	30/9-F-23	DEVELOPMENT	2013-05-08
35/9-C-1 AY1H	6650	35/9-C-1	DEVELOPMENT	2013-05-08
35/9-C-1 AY2H	6651	35/9-C-1	DEVELOPMENT	2013-05-08
31/2-X-11 BY1H	6652	31/2-X-11	DEVELOPMENT	2013-05-08
31/2-X-11 BY2H	6653	31/2-X-11	DEVELOPMENT	2013-05-08
31/2-Q-12 BH	6654	31/2-Q-12	DEVELOPMENT	2013-05-08
7/11-12 A	6655	7/11-12	EXPLORATION	2013-05-08
25/11-G-5 A	6656	25/11-G-5	DEVELOPMENT	2013-05-08
34/10-52 A	6657	34/10-52	EXPLORATION	2013-05-08
34/10-52 B	6658	34/10-52	EXPLORATION	2013-05-08
6305/5-C-2 H	6659	6305/5-C-2	DEVELOPMENT	2013-05-08
6305/5-C-2 AH	6660	6305/5-C-2	DEVELOPMENT	2013-05-08
6305/5-C-3 H	6661	6305/5-C-3	DEVELOPMENT	2013-05-08
6305/5-C-7 H	6662	6305/5-C-7	DEVELOPMENT	2013-05-08
34/8-U-3	6663	34/8-U-3	SHALLOW	2013-05-08
6507/7-A-21	6664	6507/7-A-21	DEVELOPMENT	2013-05-08
34/8-V-4 H	6665	34/8-V-4	DEVELOPMENT	2013-05-08
34/8-V-4 AH	6666	34/8-V-4	DEVELOPMENT	2013-05-08
34/8-V-4 BY1H	6667	34/8-V-4	DEVELOPMENT	2013-05-08
34/8-V-4 BY2H	6668	34/8-V-4	DEVELOPMENT	2013-05-08
16/1-U-1	6669	16/1-U-1	SHALLOW	2013-05-08
16/1-U-3	6671	16/1-U-3	SHALLOW	2013-05-08
16/1-U-4	6672	16/1-U-4	SHALLOW	2013-05-08
16/1-U-5	6673	16/1-U-5	SHALLOW	2013-05-08
16/1-U-6	6674	16/1-U-6	SHALLOW	2013-05-08
31/5-J-22 AY1H	6675	31/5-J-22	DEVELOPMENT	2013-05-08
31/5-J-22 AY2H	6676	31/5-J-22	DEVELOPMENT	2013-05-08
31/5-J-22 AY3H	6677	31/5-J-22	DEVELOPMENT	2013-05-08
7124/4-1 S	6678	7124/4-1	EXPLORATION	2013-05-08
31/2-G-4 BY1H	6679	31/2-G-4	DEVELOPMENT	2013-05-08
31/2-G-4 BY2H	6680	31/2-G-4	DEVELOPMENT	2013-05-08
15/8-2	6681	15/8-2	EXPLORATION	2013-05-08
34/10-F-3 AH	6682	34/10-F-3	DEVELOPMENT	2013-05-08
34/3-U-3	6683	34/3-U-3	SHALLOW	2013-05-08
34/3-U-4	6684	34/3-U-4	SHALLOW	2013-05-08
34/3-U-5	6685	34/3-U-5	SHALLOW	2013-05-08
34/3-U-6	6686	34/3-U-6	SHALLOW	2013-05-08
34/3-U-7	6687	34/3-U-7	SHALLOW	2013-05-08
34/3-U-8	6688	34/3-U-8	SHALLOW	2013-05-08
34/3-U-9	6689	34/3-U-9	SHALLOW	2013-05-08
34/3-U-10	6690	34/3-U-10	SHALLOW	2013-05-08
34/3-U-11	6691	34/3-U-11	SHALLOW	2013-05-08
34/3-U-12	6692	34/3-U-12	SHALLOW	2013-05-08
34/3-U-13	6693	34/3-U-13	SHALLOW	2013-05-08
34/3-U-14	6694	34/3-U-14	SHALLOW	2013-05-08
34/3-U-15	6695	34/3-U-15	SHALLOW	2013-05-08
34/6-U-1	6696	34/6-U-1	SHALLOW	2013-05-08
34/6-U-2	6697	34/6-U-2	SHALLOW	2013-05-08
34/6-U-3	6698	34/6-U-3	SHALLOW	2013-05-08
34/6-U-4	6699	34/6-U-4	SHALLOW	2013-05-08
34/6-U-5	6700	34/6-U-5	SHALLOW	2013-05-08
6608/11-7 S	6701	6608/11-7	EXPLORATION	2013-05-08
6507/2-N-2 H	6702	6507/2-N-2	DEVELOPMENT	2013-05-08
6507/2-N-2 AH	6703	6507/2-N-2	DEVELOPMENT	2013-05-08
6507/2-N-4 H	6704	6507/2-N-4	DEVELOPMENT	2013-05-08
15/3-A-5	6705	15/3-A-5	DEVELOPMENT	2013-05-08
15/3-A-6	6706	15/3-A-6	DEVELOPMENT	2013-05-08
15/3-A-7	6707	15/3-A-7	DEVELOPMENT	2013-05-08
15/3-A-12	6708	15/3-A-12	DEVELOPMENT	2013-05-08
15/3-A-13	6709	15/3-A-13	DEVELOPMENT	2013-05-08
15/3-A-16	6710	15/3-A-16	DEVELOPMENT	2013-05-08
16/2-7 A	6711	16/2-7	EXPLORATION	2013-05-08
6407/7-A-2 H	6712	6407/7-A-2	\N	2013-05-08
6407/7-A-3 H	6713	6407/7-A-3	DEVELOPMENT	2013-05-08
15/3-A-9	6714	15/3-A-9	DEVELOPMENT	2013-05-08
16/2-10	6715	16/2-10	EXPLORATION	2013-05-08
16/2-U-6	6716	16/2-U-6	SHALLOW	2013-05-08
6305/5-C-5 H	6717	6305/5-C-5	DEVELOPMENT	2013-05-08
6305/5-C-6 H	6718	6305/5-C-6	DEVELOPMENT	2013-05-08
34/10-E-2 AH	6719	34/10-E-2	DEVELOPMENT	2013-05-08
16/5-2 S	6720	16/5-2	EXPLORATION	2013-05-08
25/11-G-5 BY1	6721	25/11-G-5	DEVELOPMENT	2013-05-08
25/11-G-5 BY2	6722	25/11-G-5	DEVELOPMENT	2013-05-08
25/11-G-5 BY3	6723	25/11-G-5	DEVELOPMENT	2013-05-08
25/11-G-5 BY4	6724	25/11-G-5	DEVELOPMENT	2013-05-08
6507/6-4 S	6725	6507/6-4	EXPLORATION	2013-05-08
2/7-A-15 B	6726	2/7-A-15	DEVELOPMENT	2013-05-08
7/12-13 S	6727	7/12-13	EXPLORATION	2013-05-08
7121/9-1	6728	7121/9-1	EXPLORATION	2013-05-08
33/12-9 S	6729	33/12-9	EXPLORATION	2013-05-08
6507/7-15 S	6730	6507/7-15	EXPLORATION	2013-05-08
6506/12-NB-1 H	6731	6506/12-NB-1	DEVELOPMENT	2013-05-08
31/2-P-11 AY1H	6732	31/2-P-11	DEVELOPMENT	2013-05-08
31/2-P-11 AY2H	6733	31/2-P-11	DEVELOPMENT	2013-05-08
33/9-C-1 C	6734	33/9-C-1	DEVELOPMENT	2013-05-08
6608/10-M-4 AH	6735	6608/10-M-4	DEVELOPMENT	2013-05-08
2/4-21	6736	2/4-21	EXPLORATION	2013-05-08
8/10-4 A	6737	8/10-4	EXPLORATION	2013-05-08
7/8-U-1	6738	7/8-U-1	SHALLOW	2013-05-08
7/8-U-2	6739	7/8-U-2	SHALLOW	2013-05-08
7/8-U-3	6740	7/8-U-3	SHALLOW	2013-05-08
31/4-A-23 C	6741	31/4-A-23	DEVELOPMENT	2013-05-08
16/2-11	6742	16/2-11	EXPLORATION	2013-05-08
31/2-N-13 AY1H	6743	31/2-N-13	DEVELOPMENT	2013-05-08
31/2-N-13 AY2H	6744	31/2-N-13	DEVELOPMENT	2013-05-08
34/3-3 A	6745	34/3-3	EXPLORATION	2013-05-08
33/9-A-33 A	6746	33/9-A-33	DEVELOPMENT	2013-05-08
2/8-18 S	6747	2/8-18	EXPLORATION	2013-05-08
31/2-D-8 BY1H	6748	31/2-D-8	DEVELOPMENT	2013-05-08
31/2-D-8 BY2H	6749	31/2-D-8	DEVELOPMENT	2013-05-08
31/2-D-8 BY3H	6750	31/2-D-8	DEVELOPMENT	2013-05-08
31/2-D-8 BY4H	6751	31/2-D-8	DEVELOPMENT	2013-05-08
2/4-B-9 C	6752	2/4-B-9	DEVELOPMENT	2013-05-08
6507/6-4 A	6753	6507/6-4	EXPLORATION	2013-05-08
7220/7-U-1	6754	7220/7-U-1	SHALLOW	2013-05-08
8/10-4 B	6755	8/10-4	EXPLORATION	2013-05-08
7220/7-1	6756	7220/7-1	EXPLORATION	2013-05-08
6407/1-B-4 H	6757	6407/1-B-4	DEVELOPMENT	2013-05-08
6407/1-B-4 AY1H	6758	6407/1-B-4	DEVELOPMENT	2013-05-08
6407/1-B-4 AY2H	6759	6407/1-B-4	DEVELOPMENT	2013-05-08
34/10-K-4 AH	6760	34/10-K-4	DEVELOPMENT	2013-05-08
34/8-V-3 H	6761	34/8-V-3	DEVELOPMENT	2013-05-08
30/6-U-26	6762	30/6-U-26	SHALLOW	2013-05-08
2/8-N-1	6763	2/8-N-1	DEVELOPMENT	2013-05-08
2/8-N-1 A	6764	2/8-N-1	DEVELOPMENT	2013-05-08
2/8-N-4	6765	2/8-N-4	DEVELOPMENT	2013-05-08
2/8-N-9	6766	2/8-N-9	DEVELOPMENT	2013-05-08
2/8-N-16	6767	2/8-N-16	DEVELOPMENT	2013-05-08
30/6-28 S	6768	30/6-28	EXPLORATION	2013-05-08
2/4-K-5 A	6769	2/4-K-5	DEVELOPMENT	2013-05-08
34/10-H-2 BH	6770	34/10-H-2	DEVELOPMENT	2013-05-08
2/4-X-42 A	6771	2/4-X-42	DEVELOPMENT	2013-05-08
7120/6-3 S	6772	7120/6-3	EXPLORATION	2013-05-08
34/7-G-4 CH	6773	34/7-G-4	DEVELOPMENT	2013-05-08
6407/1-5 S	6774	6407/1-5	EXPLORATION	2013-05-08
7220/5-1	6775	7220/5-1	EXPLORATION	2013-05-08
35/9-7	6776	35/9-7	EXPLORATION	2013-05-08
7220/5-U-1	6777	7220/5-U-1	SHALLOW	2013-05-08
2/4-U-7	6778	2/4-U-7	SHALLOW	2013-05-08
2/4-U-8	6779	2/4-U-8	SHALLOW	2013-05-08
2/4-U-9	6780	2/4-U-9	SHALLOW	2013-05-08
2/4-U-10	6781	2/4-U-10	SHALLOW	2013-05-08
30/9-F-8 Y1	6782	30/9-F-8	DEVELOPMENT	2013-05-08
30/9-F-8 Y2	6783	30/9-F-8	DEVELOPMENT	2013-05-08
31/5-I-12 AY1H	6784	31/5-I-12	DEVELOPMENT	2013-05-08
31/5-I-12 AY2H	6785	31/5-I-12	DEVELOPMENT	2013-05-08
6506/11-F-3 H	6786	6506/11-F-3	DEVELOPMENT	2013-05-08
34/8-A-18 H	6787	34/8-A-18	DEVELOPMENT	2013-05-08
16/1-U-7	6788	16/1-U-7	SHALLOW	2013-05-08
31/2-Y-24 BY1H	6789	31/2-Y-24	DEVELOPMENT	2013-05-08
31/2-Y-24 BY2H	6790	31/2-Y-24	DEVELOPMENT	2013-05-08
24/6-B-5 H	6791	24/6-B-5	DEVELOPMENT	2013-05-08
24/6-B-5 AY1H	6792	24/6-B-5	DEVELOPMENT	2013-05-08
24/6-B-5 AY2H	6793	24/6-B-5	DEVELOPMENT	2013-05-08
24/6-B-5 AY3H	6794	24/6-B-5	DEVELOPMENT	2013-05-08
34/10-C-18 A	6795	34/10-C-18	DEVELOPMENT	2013-05-08
34/10-C-18 B	6796	34/10-C-18	DEVELOPMENT	2013-05-08
31/2-K-14 BY1H	6797	31/2-K-14	DEVELOPMENT	2013-05-08
31/2-K-14 BY2H	6798	31/2-K-14	DEVELOPMENT	2013-05-08
34/10-F-1 H	6799	34/10-F-1	DEVELOPMENT	2013-05-08
15/5-A-7 AH	6800	15/5-A-7	DEVELOPMENT	2013-05-08
25/8-C-13 B	6801	25/8-C-13	DEVELOPMENT	2013-05-08
25/8-C-13 C	6802	25/8-C-13	DEVELOPMENT	2013-05-08
25/11-G-21 A	6803	25/11-G-21	DEVELOPMENT	2013-05-08
25/11-G-21 BY1	6804	25/11-G-21	DEVELOPMENT	2013-05-08
25/11-G-21 BY2	6805	25/11-G-21	DEVELOPMENT	2013-05-08
25/11-G-21 BY3	6806	25/11-G-21	DEVELOPMENT	2013-05-08
33/12-B-8 A	6807	33/12-B-8	DEVELOPMENT	2013-05-08
6608/10-R-1 H	6808	6608/10-R-1	DEVELOPMENT	2013-05-08
6608/10-P-2 H	6809	6608/10-P-2	DEVELOPMENT	2013-05-08
34/7-H-1 H	6810	34/7-H-1	DEVELOPMENT	2013-05-08
34/7-H-2 H	6811	34/7-H-2	DEVELOPMENT	2013-05-08
34/7-H-3 H	6812	34/7-H-3	DEVELOPMENT	2013-05-08
34/7-H-4 H	6813	34/7-H-4	DEVELOPMENT	2013-05-08
7/1-U-1	6814	7/1-U-1	SHALLOW	2013-05-08
16/10-U-1	6815	16/10-U-1	SHALLOW	2013-05-08
16/10-U-2	6816	16/10-U-2	SHALLOW	2013-05-08
2/1-U-12	6817	2/1-U-12	SHALLOW	2013-05-08
2/1-U-13	6818	2/1-U-13	SHALLOW	2013-05-08
2/1-U-14	6819	2/1-U-14	SHALLOW	2013-05-08
7228/1-1	6820	7228/1-1	EXPLORATION	2013-05-08
6201/11-3	6821	6201/11-3	EXPLORATION	2013-05-08
33/6-4	6822	33/6-4	EXPLORATION	2013-05-08
16/1-16	6823	16/1-16	EXPLORATION	2013-05-08
2/7-U-31	6824	2/7-U-31	SHALLOW	2013-05-08
2/7-U-32	6825	2/7-U-32	SHALLOW	2013-05-08
2/7-U-33	6826	2/7-U-33	SHALLOW	2013-05-08
7/11-U-1	6827	7/11-U-1	SHALLOW	2013-05-08
7/11-U-2	6828	7/11-U-2	SHALLOW	2013-05-08
7/11-U-3	6829	7/11-U-3	SHALLOW	2013-05-08
7/11-U-4	6830	7/11-U-4	SHALLOW	2013-05-08
7/11-U-5	6831	7/11-U-5	SHALLOW	2013-05-08
2/4-B-19 C	6832	2/4-B-19	DEVELOPMENT	2013-05-08
2/4-K-12 A	6833	2/4-K-12	DEVELOPMENT	2013-05-08
25/5-D-1 H	6834	25/5-D-1	DEVELOPMENT	2013-05-08
33/6-3 S	6835	33/6-3	EXPLORATION	2013-05-08
2/7-U-22	6836	2/7-U-22	SHALLOW	2013-05-08
2/7-U-34	6837	2/7-U-34	SHALLOW	2013-05-08
2/7-U-35	6838	2/7-U-35	SHALLOW	2013-05-08
2/7-U-36	6839	2/7-U-36	SHALLOW	2013-05-08
2/7-U-37	6840	2/7-U-37	SHALLOW	2013-05-08
30/9-M-11 H	6841	30/9-M-11	DEVELOPMENT	2013-05-08
30/9-M-12 H	6842	30/9-M-12	DEVELOPMENT	2013-05-08
30/9-M-12 AH	6843	30/9-M-12	DEVELOPMENT	2013-05-08
30/9-M-13 H	6844	30/9-M-13	DEVELOPMENT	2013-05-08
30/9-M-14 H	6845	30/9-M-14	DEVELOPMENT	2013-05-08
30/9-M-14 AH	6846	30/9-M-14	DEVELOPMENT	2013-05-08
31/5-H-5 BY1H	6847	31/5-H-5	DEVELOPMENT	2013-05-08
31/5-H-5 BY2H	6848	31/5-H-5	DEVELOPMENT	2013-05-08
16/2-11 A	6849	16/2-11	EXPLORATION	2013-05-08
31/2-O-25 Y2H	6850	31/2-O-25	DEVELOPMENT	2013-05-08
6506/11-9 S	6852	6506/11-9	EXPLORATION	2013-05-08
6407/8-C-2 H	6853	6407/8-C-2	DEVELOPMENT	2013-05-08
6407/8-C-2 AY1H	6854	6407/8-C-2	DEVELOPMENT	2013-05-08
6407/8-C-2 AY2H	6855	6407/8-C-2	DEVELOPMENT	2013-05-08
6407/8-C-4 H	6856	6407/8-C-4	DEVELOPMENT	2013-05-08
33/9-A-17 C	6857	33/9-A-17	DEVELOPMENT	2013-05-08
6608/10-P-2 AH	6858	6608/10-P-2	DEVELOPMENT	2013-05-08
6506/12-P-2 Y2H	6859	6506/12-P-2	DEVELOPMENT	2013-05-08
2/4-U-37	6860	2/4-U-37	SHALLOW	2013-05-08
2/4-U-38	6861	2/4-U-38	SHALLOW	2013-05-08
2/4-U-39	6862	2/4-U-39	SHALLOW	2013-05-08
2/4-U-40	6863	2/4-U-40	SHALLOW	2013-05-08
2/4-U-41	6864	2/4-U-41	SHALLOW	2013-05-08
2/4-U-42	6865	2/4-U-42	SHALLOW	2013-05-08
2/4-U-43	6866	2/4-U-43	SHALLOW	2013-05-08
2/4-U-44	6867	2/4-U-44	SHALLOW	2013-05-08
2/4-U-45	6868	2/4-U-45	SHALLOW	2013-05-08
2/4-U-46	6869	2/4-U-46	SHALLOW	2013-05-08
2/4-U-47	6870	2/4-U-47	SHALLOW	2013-05-08
2/4-U-48	6871	2/4-U-48	SHALLOW	2013-05-08
2/4-U-49	6872	2/4-U-49	SHALLOW	2013-05-08
2/4-U-50	6873	2/4-U-50	SHALLOW	2013-05-08
2/4-U-51	6874	2/4-U-51	SHALLOW	2013-05-08
2/4-U-52	6875	2/4-U-52	SHALLOW	2013-05-08
2/4-U-53	6876	2/4-U-53	SHALLOW	2013-05-08
2/4-U-54	6877	2/4-U-54	SHALLOW	2013-05-08
2/4-U-55	6878	2/4-U-55	SHALLOW	2013-05-08
2/4-U-56	6879	2/4-U-56	SHALLOW	2013-05-08
2/4-U-57	6880	2/4-U-57	SHALLOW	2013-05-08
34/7-35 S	6881	34/7-35	EXPLORATION	2013-05-08
34/7-U-19	6882	34/7-U-19	SHALLOW	2013-05-08
2/4-X-38 A	6883	2/4-X-38	DEVELOPMENT	2013-05-08
25/8-U-25	6884	25/8-U-25	SHALLOW	2013-05-08
25/8-D-1 H	6885	25/8-D-1	DEVELOPMENT	2013-05-08
25/8-D-1 AH	6886	25/8-D-1	DEVELOPMENT	2013-05-08
25/8-E-1 H	6887	25/8-E-1	DEVELOPMENT	2013-05-08
16/2-13 S	6888	16/2-13	EXPLORATION	2013-05-08
34/3-U-16	6889	34/3-U-16	SHALLOW	2013-05-08
34/3-U-17	6890	34/3-U-17	SHALLOW	2013-05-08
34/3-U-18	6891	34/3-U-18	SHALLOW	2013-05-08
34/3-U-19	6892	34/3-U-19	SHALLOW	2013-05-08
34/3-U-20	6893	34/3-U-20	SHALLOW	2013-05-08
34/3-U-21	6894	34/3-U-21	SHALLOW	2013-05-08
34/3-U-22	6895	34/3-U-22	SHALLOW	2013-05-08
16/10-U-3	6896	16/10-U-3	SHALLOW	2013-05-08
16/10-U-4	6897	16/10-U-4	SHALLOW	2013-05-08
16/2-14	6898	16/2-14	EXPLORATION	2013-05-08
17/12-U-4	6899	17/12-U-4	SHALLOW	2013-05-08
17/12-U-5	6900	17/12-U-5	SHALLOW	2013-05-08
17/12-U-6	6901	17/12-U-6	SHALLOW	2013-05-08
17/12-U-7	6902	17/12-U-7	SHALLOW	2013-05-08
17/12-U-8	6903	17/12-U-8	SHALLOW	2013-05-08
17/12-U-9	6904	17/12-U-9	SHALLOW	2013-05-08
17/12-U-10	6905	17/12-U-10	SHALLOW	2013-05-08
17/12-U-11	6906	17/12-U-11	SHALLOW	2013-05-08
17/12-U-12	6907	17/12-U-12	SHALLOW	2013-05-08
17/12-U-13	6908	17/12-U-13	SHALLOW	2013-05-08
17/12-U-14	6909	17/12-U-14	SHALLOW	2013-05-08
17/12-U-15	6910	17/12-U-15	SHALLOW	2013-05-08
17/12-U-16	6911	17/12-U-16	SHALLOW	2013-05-08
17/12-U-17	6912	17/12-U-17	SHALLOW	2013-05-08
17/12-U-18	6913	17/12-U-18	SHALLOW	2013-05-08
17/12-U-19	6914	17/12-U-19	SHALLOW	2013-05-08
17/12-U-20	6915	17/12-U-20	SHALLOW	2013-05-08
17/12-U-21	6916	17/12-U-21	SHALLOW	2013-05-08
17/12-U-22	6917	17/12-U-22	SHALLOW	2013-05-08
17/12-U-23	6918	17/12-U-23	SHALLOW	2013-05-08
17/12-U-24	6919	17/12-U-24	SHALLOW	2013-05-08
17/12-U-25	6920	17/12-U-25	SHALLOW	2013-05-08
35/2-3	6921	35/2-3	EXPLORATION	2013-05-08
35/2-U-5	6922	35/2-U-5	SHALLOW	2013-05-08
34/10-B-35 B	6923	34/10-B-35	DEVELOPMENT	2013-05-08
31/2-N-24 AY1H	6924	31/2-N-24	DEVELOPMENT	2013-05-08
31/2-N-24 AY2H	6925	31/2-N-24	DEVELOPMENT	2013-05-08
31/2-N-24 AY3H	6926	31/2-N-24	DEVELOPMENT	2013-05-08
6507/7-A-19 A	6927	6507/7-A-19	DEVELOPMENT	2013-05-08
6507/7-A-9 C	6928	6507/7-A-9	DEVELOPMENT	2013-05-08
6507/7-A-33 A	6929	6507/7-A-33	DEVELOPMENT	2013-05-08
31/2-D-6 AY1H	6930	31/2-D-6	DEVELOPMENT	2013-05-08
31/2-D-6 AY2H	6931	31/2-D-6	DEVELOPMENT	2013-05-08
31/2-D-6 AY3H	6932	31/2-D-6	DEVELOPMENT	2013-05-08
2/4-21 A	6933	2/4-21	EXPLORATION	2013-05-08
2/4-A-92	6934	2/4-A-92	DEVELOPMENT	2013-05-08
2/4-A-93	6935	2/4-A-93	DEVELOPMENT	2013-05-08
2/4-A-94	6936	2/4-A-94	DEVELOPMENT	2013-05-08
2/4-A-95	6937	2/4-A-95	DEVELOPMENT	2013-05-08
30/6-E-14 A	6938	30/6-E-14	DEVELOPMENT	2013-05-08
30/6-E-14 B	6939	30/6-E-14	DEVELOPMENT	2013-05-08
15/12-C-1 AH	6940	15/12-C-1	DEVELOPMENT	2013-05-08
2/11-U-1	6941	2/11-U-1	SHALLOW	2013-05-08
2/11-U-2	6942	2/11-U-2	SHALLOW	2013-05-08
2/11-U-3	6943	2/11-U-3	SHALLOW	2013-05-08
2/11-U-4	6944	2/11-U-4	SHALLOW	2013-05-08
2/11-U-5	6945	2/11-U-5	SHALLOW	2013-05-08
2/11-U-6	6946	2/11-U-6	SHALLOW	2013-05-08
2/11-U-7	6947	2/11-U-7	SHALLOW	2013-05-08
2/11-U-8	6948	2/11-U-8	SHALLOW	2013-05-08
2/11-U-9	6949	2/11-U-9	SHALLOW	2013-05-08
6507/7-A-43 A	6950	6507/7-A-43	DEVELOPMENT	2013-05-08
6507/3-9 S	6951	6507/3-9	EXPLORATION	2013-05-08
16/2-12	6952	16/2-12	EXPLORATION	2013-05-08
34/10-G-4 H	6953	34/10-G-4	DEVELOPMENT	2013-05-08
34/10-G-4 AH	6954	34/10-G-4	DEVELOPMENT	2013-05-08
7/11-13	6955	7/11-13	EXPLORATION	2013-05-08
33/9-C-23 D	6956	33/9-C-23	DEVELOPMENT	2013-05-08
2/8-N-1 B	6957	2/8-N-1	DEVELOPMENT	2013-05-08
35/2-U-6	6958	35/2-U-6	SHALLOW	2013-05-08
2/4-X-38 B	6959	2/4-X-38	DEVELOPMENT	2013-05-08
6506/6-2	6960	6506/6-2	EXPLORATION	2013-05-08
31/2-K-13 BY1H	6961	31/2-K-13	DEVELOPMENT	2013-05-08
31/2-K-13 BY2H	6962	31/2-K-13	DEVELOPMENT	2013-05-08
31/2-K-13 BY3H	6963	31/2-K-13	DEVELOPMENT	2013-05-08
24/9-P-6 H	6964	24/9-P-6	DEVELOPMENT	2013-05-08
24/9-P-6 AH	6965	24/9-P-6	DEVELOPMENT	2013-05-08
2/11-U-10	6966	2/11-U-10	SHALLOW	2013-05-08
2/11-U-11	6967	2/11-U-11	SHALLOW	2013-05-08
2/11-U-12	6968	2/11-U-12	SHALLOW	2013-05-08
2/11-U-13	6969	2/11-U-13	SHALLOW	2013-05-08
2/11-U-14	6970	2/11-U-14	SHALLOW	2013-05-08
34/6-2 S	6971	34/6-2	EXPLORATION	2013-05-08
2/4-VB-1 H	6972	2/4-VB-1	DEVELOPMENT	2013-05-08
2/4-VB-2 H	6973	2/4-VB-2	DEVELOPMENT	2013-05-08
2/4-VB-3 H	6974	2/4-VB-3	DEVELOPMENT	2013-05-08
2/4-VB-4 H	6975	2/4-VB-4	DEVELOPMENT	2013-05-08
2/4-VB-5 H	6976	2/4-VB-5	DEVELOPMENT	2013-05-08
2/4-VB-6 H	6977	2/4-VB-6	DEVELOPMENT	2013-05-08
2/4-VB-7 H	6978	2/4-VB-7	DEVELOPMENT	2013-05-08
16/2-15	6979	16/2-15	EXPLORATION	2013-05-08
2/4-VB-8 H	6980	2/4-VB-8	DEVELOPMENT	2013-05-08
2/4-K-1 A	6981	2/4-K-1	DEVELOPMENT	2013-05-08
33/12-B-7 A	6982	33/12-B-7	DEVELOPMENT	2013-05-08
25/11-G-17 A	6983	25/11-G-17	DEVELOPMENT	2013-05-08
25/11-G-17 B	6984	25/11-G-17	DEVELOPMENT	2013-05-08
6507/11-Y-1 AH	6986	6507/11-Y-1	DEVELOPMENT	2013-05-08
31/2-K-23 BY1H	6987	31/2-K-23	DEVELOPMENT	2013-05-08
31/2-K-23 BY2H	6988	31/2-K-23	DEVELOPMENT	2013-05-08
6406/3-D-3 H	6989	6406/3-D-3	DEVELOPMENT	2013-05-08
6406/3-D-3 AY1H	6990	6406/3-D-3	DEVELOPMENT	2013-05-08
6406/3-D-3 AY2H	6991	6406/3-D-3	DEVELOPMENT	2013-05-08
7016/2-U-1	6992	7016/2-U-1	SHALLOW	2013-05-08
16/2-U-14	6993	16/2-U-14	SHALLOW	2013-05-08
31/2-P-24 AH	6994	31/2-P-24	DEVELOPMENT	2013-05-08
31/2-P-24 BY1H	6995	31/2-P-24	DEVELOPMENT	2013-05-08
31/2-P-24 BY2H	6996	31/2-P-24	DEVELOPMENT	2013-05-08
31/2-P-24 BY3H	6997	31/2-P-24	DEVELOPMENT	2013-05-08
15/12-A-3 B	6998	15/12-A-3	DEVELOPMENT	2013-05-08
34/11-B-2	6999	34/11-B-2	DEVELOPMENT	2013-05-08
34/11-B-3	7000	34/11-B-3	DEVELOPMENT	2013-05-08
34/11-B-7	7001	34/11-B-7	DEVELOPMENT	2013-05-08
34/11-B-8	7002	34/11-B-8	DEVELOPMENT	2013-05-08
34/11-B-9	7003	34/11-B-9	DEVELOPMENT	2013-05-08
34/11-B-10	7004	34/11-B-10	DEVELOPMENT	2013-05-08
34/11-B-12	7005	34/11-B-12	DEVELOPMENT	2013-05-08
34/11-B-13	7006	34/11-B-13	DEVELOPMENT	2013-05-08
34/11-B-14	7007	34/11-B-14	DEVELOPMENT	2013-05-08
34/11-B-17	7008	34/11-B-17	DEVELOPMENT	2013-05-08
34/11-B-18	7009	34/11-B-18	DEVELOPMENT	2013-05-08
34/11-B-19	7010	34/11-B-19	DEVELOPMENT	2013-05-08
34/11-B-20	7011	34/11-B-20	DEVELOPMENT	2013-05-08
33/9-C-13 A	7012	33/9-C-13	DEVELOPMENT	2013-05-08
16/2-U-13	7013	16/2-U-13	SHALLOW	2013-05-08
7220/10-U-1	7014	7220/10-U-1	SHALLOW	2013-05-08
7220/10-1	7015	7220/10-1	EXPLORATION	2013-05-08
34/7-U-20	7016	34/7-U-20	SHALLOW	2013-05-08
34/7-P-25 B	7017	34/7-P-25	DEVELOPMENT	2013-05-08
31/2-E-5 BY1H	7018	31/2-E-5	DEVELOPMENT	2013-05-08
31/2-E-5 BY2H	7019	31/2-E-5	DEVELOPMENT	2013-05-08
31/2-E-5 BY3H	7020	31/2-E-5	DEVELOPMENT	2013-05-08
16/10-5	7021	16/10-5	EXPLORATION	2013-05-08
2/4-Z-9	7022	2/4-Z-9	DEVELOPMENT	2013-05-08
2/4-Z-10	7023	2/4-Z-10	DEVELOPMENT	2013-05-08
2/4-Z-11	7024	2/4-Z-11	DEVELOPMENT	2013-05-08
2/4-Z-15	7025	2/4-Z-15	DEVELOPMENT	2013-05-08
2/4-Z-16	7026	2/4-Z-16	DEVELOPMENT	2013-05-08
2/4-Z-17	7027	2/4-Z-17	DEVELOPMENT	2013-05-08
16/2-13 A	7028	16/2-13	EXPLORATION	2013-05-08
25/11-G-17 CY1	7029	25/11-G-17	DEVELOPMENT	2013-05-08
25/11-G-17 CY2	7030	25/11-G-17	DEVELOPMENT	2013-05-08
2/1-U-15	7031	2/1-U-15	SHALLOW	2013-05-08
2/1-U-16	7032	2/1-U-16	SHALLOW	2013-05-08
2/1-U-17	7033	2/1-U-17	SHALLOW	2013-05-08
6507/7-A-51 A	7034	6507/7-A-51	DEVELOPMENT	2013-05-08
30/6-C-14 B	7035	30/6-C-14	DEVELOPMENT	2013-05-08
25/8-C-15 A	7036	25/8-C-15	DEVELOPMENT	2013-05-08
25/8-C-15 B	7037	25/8-C-15	DEVELOPMENT	2013-05-08
34/11-B-19 A	7038	34/11-B-19	DEVELOPMENT	2013-05-08
6607/12-3	7039	6607/12-3	EXPLORATION	2013-05-08
33/9-C-39 A	7040	33/9-C-39	DEVELOPMENT	2013-05-08
25/11-G-11 A	7041	25/11-G-11	DEVELOPMENT	2013-05-08
25/11-G-11 BY1	7042	25/11-G-11	DEVELOPMENT	2013-05-08
25/11-G-11 BY2	7043	25/11-G-11	DEVELOPMENT	2013-05-08
25/11-G-11 BY3	7044	25/11-G-11	DEVELOPMENT	2013-05-08
25/11-G-11 BY4	7045	25/11-G-11	DEVELOPMENT	2013-05-08
16/3-5	7046	16/3-5	EXPLORATION	2013-05-08
16/2-16	7047	16/2-16	EXPLORATION	2013-05-08
25/11-U-46	7048	25/11-U-46	SHALLOW	2013-05-08
25/11-U-47	7049	25/11-U-47	SHALLOW	2013-05-08
35/11-U-1	7050	35/11-U-1	SHALLOW	2013-05-08
7122/7-6	7051	7122/7-6	EXPLORATION	2013-05-08
7122/7-U-8	7052	7122/7-U-8	SHALLOW	2013-05-08
7/8-6 S	7053	7/8-6	EXPLORATION	2013-05-08
6507/7-A-8	7054	6507/7-A-8	DEVELOPMENT	2013-05-08
33/12-B-8 B	7055	33/12-B-8	DEVELOPMENT	2013-05-08
34/10-E-4 CH	7056	34/10-E-4	DEVELOPMENT	2013-05-08
33/9-C-9 A	7057	33/9-C-9	DEVELOPMENT	2013-05-08
3/7-8 S	7058	3/7-8	EXPLORATION	2013-05-08
34/6-2 A	7059	34/6-2	EXPLORATION	2013-05-08
6608/10-G-3 H	7060	6608/10-G-3	DEVELOPMENT	2013-05-08
34/10-C-30 A	7061	34/10-C-30	DEVELOPMENT	2013-05-08
2/4-X-27 A	7062	2/4-X-27	DEVELOPMENT	2013-05-08
2/4-K-13 A	7063	2/4-K-13	DEVELOPMENT	2013-05-08
15/12-A-12 E	7064	15/12-A-12	DEVELOPMENT	2013-05-08
2/7-U-38	7065	2/7-U-38	SHALLOW	2013-05-08
2/7-U-39	7066	2/7-U-39	SHALLOW	2013-05-08
2/7-U-40	7067	2/7-U-40	SHALLOW	2013-05-08
2/7-U-41	7068	2/7-U-41	SHALLOW	2013-05-08
2/7-U-42	7069	2/7-U-42	SHALLOW	2013-05-08
2/7-U-43	7070	2/7-U-43	SHALLOW	2013-05-08
34/8-U-4	7071	34/8-U-4	SHALLOW	2013-05-08
34/8-15 S	7072	34/8-15	EXPLORATION	2013-05-08
34/8-C-4 H	7073	34/8-C-4	DEVELOPMENT	2013-05-08
34/8-C-4 AH	7074	34/8-C-4	DEVELOPMENT	2013-05-08
34/8-C-3 H	7075	34/8-C-3	DEVELOPMENT	2013-05-08
2/1-A-32 D	7076	2/1-A-32	DEVELOPMENT	2013-05-08
33/12-B-30 B	7077	33/12-B-30	DEVELOPMENT	2013-05-08
15/9-F-11	7078	15/9-F-11	DEVELOPMENT	2013-05-08
15/9-F-11 A	7079	15/9-F-11	DEVELOPMENT	2013-05-08
15/9-F-11 B	7080	15/9-F-11	DEVELOPMENT	2013-05-08
2/7-U-44	7081	2/7-U-44	SHALLOW	2013-05-08
2/7-U-45	7082	2/7-U-45	SHALLOW	2013-05-08
2/7-U-46	7083	2/7-U-46	SHALLOW	2013-05-08
2/7-U-47	7084	2/7-U-47	SHALLOW	2013-05-08
16/2-17 S	7085	16/2-17	EXPLORATION	2013-05-08
6407/1-6 S	7086	6407/1-6	EXPLORATION	2013-05-08
30/9-J-14 AH	7087	30/9-J-14	DEVELOPMENT	2013-05-08
31/2-N-14 BY1H	7088	31/2-N-14	DEVELOPMENT	2013-05-08
31/2-N-14 BY2H	7089	31/2-N-14	DEVELOPMENT	2013-05-08
31/2-N-14 BY3H	7090	31/2-N-14	DEVELOPMENT	2013-05-08
6610/10-1	7091	6610/10-1	EXPLORATION	2013-05-08
6407/1-A-2 H	7092	6407/1-A-2	DEVELOPMENT	2013-05-08
6407/1-A-2 AY1H	7093	6407/1-A-2	DEVELOPMENT	2013-05-08
6407/1-A-2 AY3H	7094	6407/1-A-2	DEVELOPMENT	2013-05-08
16/1-16 A	7095	16/1-16	EXPLORATION	2013-05-08
6608/10-P-1 H	7096	6608/10-P-1	DEVELOPMENT	2013-05-08
6608/10-R-4 H	7097	6608/10-R-4	DEVELOPMENT	2013-05-08
16/4-6 S	7098	16/4-6	EXPLORATION	2013-05-08
6608/10-P-4 H	7099	6608/10-P-4	DEVELOPMENT	2013-05-08
4/4-U-1	7100	4/4-U-1	SHALLOW	2013-05-08
4/4-U-2	7101	4/4-U-2	SHALLOW	2013-05-08
4/4-U-3	7102	4/4-U-3	SHALLOW	2013-05-08
4/4-U-4	7103	4/4-U-4	SHALLOW	2013-05-08
2/7-U-48	7104	2/7-U-48	SHALLOW	2013-05-08
25/11-26	7105	25/11-26	EXPLORATION	2013-05-08
7122/7-H-1 H	7106	7122/7-H-1	DEVELOPMENT	2013-05-08
16/2-16 A	7107	16/2-16	EXPLORATION	2013-05-08
7122/7-H-1 AH	7108	7122/7-H-1	DEVELOPMENT	2013-05-08
34/7-P-12 A	7109	34/7-P-12	DEVELOPMENT	2013-05-08
6201/11-3 R	7110	6201/11-3	EXPLORATION	2013-05-08
6506/6-U-1	7111	6506/6-U-1	SHALLOW	2013-05-08
8/5-1	7112	8/5-1	EXPLORATION	2013-05-08
16/1-17	7113	16/1-17	EXPLORATION	2013-05-08
7218/11-1	7114	7218/11-1	EXPLORATION	2013-05-08
16/8-3 S	7115	16/8-3	EXPLORATION	2013-05-08
6608/10-G-3 AH	7116	6608/10-G-3	DEVELOPMENT	2013-05-08
7122/7-H-3 H	7117	7122/7-H-3	DEVELOPMENT	2013-05-08
7122/7-H-4 H	7118	7122/7-H-4	DEVELOPMENT	2013-05-08
7218/11-U-1	7119	7218/11-U-1	SHALLOW	2013-05-08
35/9-8	7120	35/9-8	EXPLORATION	2013-05-08
7/4-3	7121	7/4-3	EXPLORATION	2013-05-08
15/12-A-1 B	7122	15/12-A-1	DEVELOPMENT	2013-05-08
16/5-3	7123	16/5-3	EXPLORATION	2013-05-08
6507/7-A-28 B	7124	6507/7-A-28	DEVELOPMENT	2013-05-08
6507/7-A-28 C	7125	6507/7-A-28	DEVELOPMENT	2013-05-08
25/11-A-21 H	7126	25/11-A-21	DEVELOPMENT	2013-05-08
25/11-A-21 AH	7127	25/11-A-21	DEVELOPMENT	2013-05-08
25/11-A-22 H	7128	25/11-A-22	DEVELOPMENT	2013-05-08
25/11-A-23 H	7129	25/11-A-23	DEVELOPMENT	2013-05-08
16/5-U-1	7130	16/5-U-1	SHALLOW	2013-05-08
6608/10-M-4 BH	7131	6608/10-M-4	DEVELOPMENT	2013-05-08
25/4-F-1 H	7132	25/4-F-1	DEVELOPMENT	2013-05-08
25/11-A-22 AH	7133	25/11-A-22	DEVELOPMENT	2013-05-08
2/4-X-27 B	7134	2/4-X-27	DEVELOPMENT	2013-05-08
33/12-B-5 A	7135	33/12-B-5	DEVELOPMENT	2013-05-08
2/11-A-3 A	7136	2/11-A-3	DEVELOPMENT	2013-05-08
3/7-9 S	7137	3/7-9	EXPLORATION	2013-05-08
25/4-F-1 AH	7138	25/4-F-1	DEVELOPMENT	2013-05-08
30/9-J-14 BH	7139	30/9-J-14	DEVELOPMENT	2013-05-08
16/2-17 A	7140	16/2-17	EXPLORATION	2013-05-08
6406/9-3	7141	6406/9-3	EXPLORATION	2013-05-08
26/5-1	7142	26/5-1	EXPLORATION	2013-05-08
2/4-K-18 A	7143	2/4-K-18	DEVELOPMENT	2013-05-08
16/2-U-17	7144	16/2-U-17	SHALLOW	2013-05-08
2/4-B-7 A	7145	2/4-B-7	DEVELOPMENT	2013-05-08
34/8-C-3 AH	7146	34/8-C-3	DEVELOPMENT	2013-05-08
33/9-C-30 B	7147	33/9-C-30	DEVELOPMENT	2013-05-08
34/10-H-4 AH	7148	34/10-H-4	DEVELOPMENT	2013-05-08
7225/3-2	7149	7225/3-2	EXPLORATION	2013-05-08
31/2-O-22 Y1H	7150	31/2-O-22	DEVELOPMENT	2013-05-08
31/2-O-22 Y2H	7151	31/2-O-22	DEVELOPMENT	2013-05-08
31/2-O-22 Y3H	7152	31/2-O-22	DEVELOPMENT	2013-05-08
31/2-O-22 Y4H	7153	31/2-O-22	DEVELOPMENT	2013-05-08
31/2-O-22 Y5H	7154	31/2-O-22	DEVELOPMENT	2013-05-08
31/2-O-24 Y1H	7155	31/2-O-24	DEVELOPMENT	2013-05-08
6406/6-3	7156	6406/6-3	EXPLORATION	2013-05-08
31/2-K-22 BY1H	7157	31/2-K-22	DEVELOPMENT	2013-05-08
31/2-K-22 BY2H	7158	31/2-K-22	DEVELOPMENT	2013-05-08
6407/1-A-2 AY2H	7159	6407/1-A-2	DEVELOPMENT	2013-05-08
34/7-H-2 AH	7160	34/7-H-2	DEVELOPMENT	2013-05-08
34/7-H-2 BH	7161	34/7-H-2	DEVELOPMENT	2013-05-08
31/2-L-24 BY1H	7162	31/2-L-24	DEVELOPMENT	2013-05-08
31/2-L-24 BY2H	7163	31/2-L-24	DEVELOPMENT	2013-05-08
31/2-L-24 BY3H	7164	31/2-L-24	DEVELOPMENT	2013-05-08
35/11-R-14 BH	7165	35/11-R-14	DEVELOPMENT	2013-05-08
7220/5-2	7166	7220/5-2	EXPLORATION	2013-05-08
6407/7-A-20 H	7167	6407/7-A-20	DEVELOPMENT	2013-05-08
6407/7-A-20 AY2H	7168	6407/7-A-20	DEVELOPMENT	2013-05-08
16/2-21	7169	16/2-21	EXPLORATION	2013-05-08
31/2-X-21 AY1H	7170	31/2-X-21	DEVELOPMENT	2013-05-08
31/2-X-21 AY2H	7171	31/2-X-21	DEVELOPMENT	2013-05-08
34/10-B-14 B	7172	34/10-B-14	DEVELOPMENT	2013-05-08
6407/7-A-20 AY1H	7173	6407/7-A-20	DEVELOPMENT	2013-05-08
6608/10-P-1 AH	7174	6608/10-P-1	DEVELOPMENT	2013-05-08
16/2-17 B	7175	16/2-17	EXPLORATION	2013-05-08
34/8-V-1 H	7176	34/8-V-1	DEVELOPMENT	2013-05-08
34/8-V-2 H	7177	34/8-V-2	DEVELOPMENT	2013-05-08
34/8-V-2 AH	7178	34/8-V-2	DEVELOPMENT	2013-05-08
25/11-27	7179	25/11-27	EXPLORATION	2013-05-08
2/1-16 S	7180	2/1-16	EXPLORATION	2013-05-08
16/2-20	7181	16/2-20	EXPLORATION	2013-05-08
16/3-6	7182	16/3-6	EXPLORATION	2013-05-08
34/10-A-20 B	7183	34/10-A-20	DEVELOPMENT	2013-05-08
34/10-A-20 C	7184	34/10-A-20	DEVELOPMENT	2013-05-08
31/3-U-1	7185	31/3-U-1	SHALLOW	2013-05-08
25/11-G-37 A	7186	25/11-G-37	DEVELOPMENT	2013-05-08
25/11-G-37 B	7187	25/11-G-37	DEVELOPMENT	2013-05-08
25/11-G-37 CY1	7188	25/11-G-37	DEVELOPMENT	2013-05-08
25/11-G-37 CY2	7189	25/11-G-37	DEVELOPMENT	2013-05-08
34/10-D-2 AH	7190	34/10-D-2	DEVELOPMENT	2013-05-08
6407/9-E-4 H	7191	6407/9-E-4	DEVELOPMENT	2013-05-08
6608/2-1 S	7192	6608/2-1	EXPLORATION	2013-05-08
\.



COPY wellbore_oil_sample (wlbname, wlboilsampletesttype, wlboilsampletestnumber, wlboilsampletopdepth, wlboilsamplebottomdepth, wlboilsamplefluidtype, wlboilsampletestdate, wlboilsampledatereceiveddate, wlbnpdidwellbore, wlboilsampledateupdated, datesyncnpd, wellbore_oil_sample_id) FROM stdin;
1/2-1	DST	DST1	3122.300000	3137.000000	\N	1989-05-27	1991-09-09	1382	9999-12-31	2013-05-08	1
1/3-10	DST	\N	0.000000	0.000000	\N	9999-12-31	2011-08-06	5614	9999-12-31	2013-05-08	2
1/3-11	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	5806	9999-12-31	2013-05-08	3
1/3-3	DST	DST3A	4202.000000	4208.000000	WATER	1983-03-06	1991-10-28	87	9999-12-31	2013-05-08	4
1/3-3	DST	DST0,1    	0.000000	0.000000	\N	1983-02-20	1991-10-28	87	9999-12-31	2013-05-08	5
1/3-3	DST	TEST1	4529.000000	4552.000000	\N	1983-08-02	1995-08-09	87	9999-12-31	2013-05-08	6
1/3-3	DST	DST0,2    	4240.000000	4233.000000	\N	1983-02-25	1991-10-28	87	9999-12-31	2013-05-08	7
1/3-3	DST	DST2	4233.000000	4240.000000	\N	1983-02-27	1991-10-28	87	9999-12-31	2013-05-08	8
1/3-3	DST	DST0,3    	0.000000	0.000000	WATER	1983-03-06	1991-10-28	87	9999-12-31	2013-05-08	9
1/3-3	DST	TEST3C	0.000000	0.000000	WATER	1983-03-06	1995-08-09	87	9999-12-31	2013-05-08	10
1/3-3	DST	3B	0.000000	0.000000	\N	1983-03-13	9999-12-31	87	9999-12-31	2013-05-08	11
1/3-3	DST	\N	4211.000000	4214.000000	\N	9999-12-31	9999-12-31	87	9999-12-31	2013-05-08	12
1/3-3	DST	\N	0.000000	0.000000	\N	9999-12-31	1995-08-09	87	9999-12-31	2013-05-08	13
1/6-1	DST	DST4	3153.000000	3159.000000	\N	1972-11-20	1991-02-06	239	9999-12-31	2013-05-08	14
1/6-3	DST	TEST1	3228.000000	3266.000000	\N	1974-07-20	1991-03-06	241	9999-12-31	2013-05-08	15
1/6-3	DST	TEST1,1   	0.000000	0.000000	\N	1974-07-23	1991-03-06	241	9999-12-31	2013-05-08	16
1/9-1	DST	DST 1	3298.000000	3302.000000	\N	1976-12-23	1980-01-01	243	9999-12-31	2013-05-08	17
1/9-1	DST	TEST1A	0.000000	0.000000	\N	1976-12-25	1991-10-01	243	9999-12-31	2013-05-08	18
1/9-1	DST	TEST1B	3312.000000	3306.000000	\N	1976-12-25	1980-01-01	243	9999-12-31	2013-05-08	19
1/9-1	DST	TEST4	3148.000000	3157.000000	\N	1977-01-11	1980-01-01	243	9999-12-31	2013-05-08	20
1/9-1	DST	TEST5	3120.000000	3133.000000	\N	1977-01-17	1980-01-01	243	9999-12-31	2013-05-08	21
1/9-1	DST	DST6	3105.000000	3109.000000	\N	1977-01-26	1980-01-01	243	9999-12-31	2013-05-08	22
1/9-1	DST	DST 8	3055.000000	3068.000000	\N	1977-01-31	1980-01-01	243	9999-12-31	2013-05-08	23
1/9-2	DST	DST 1	3197.000000	3209.000000	\N	1977-07-27	1980-01-01	244	9999-12-31	2013-05-08	24
1/9-2	DST	TEST2	3130.000000	3154.000000	\N	1977-08-02	1991-10-01	244	9999-12-31	2013-05-08	25
1/9-3	DST	TEST3	3126.000000	3125.000000	\N	1978-09-14	1980-01-01	245	9999-12-31	2013-05-08	26
1/9-3	DST	TEST4	3094.000000	3112.000000	\N	1978-09-19	1980-01-01	245	9999-12-31	2013-05-08	27
1/9-4	DST	TEST1	3292.000000	3296.000000	\N	1977-12-01	1991-10-01	247	9999-12-31	2013-05-08	28
1/9-4	DST	TEST2	3235.000000	3255.000000	\N	1977-12-15	1980-01-01	247	9999-12-31	2013-05-08	29
1/9-4	DST	TEST3	3176.000000	3198.000000	\N	1977-12-24	1980-01-01	247	9999-12-31	2013-05-08	30
1/9-4	DST	TEST4	3137.000000	3127.000000	\N	1977-12-29	1980-01-01	247	9999-12-31	2013-05-08	31
1/9-6 S	DST	TEST2A	3636.000000	3655.000000	\N	1982-09-17	1991-10-01	44	2012-10-12	2013-05-08	32
1/9-6 S	DST	TEST2B	3655.000000	3636.000000	\N	1982-09-17	1991-10-01	44	2012-10-12	2013-05-08	33
1/9-6 S	DST	TEST3	3523.000000	3587.000000	\N	1982-10-03	1991-10-01	44	2012-10-12	2013-05-08	34
1/9-6 S	DST	TEST4	3417.000000	3459.000000	\N	1982-11-25	1991-10-01	44	2012-10-12	2013-05-08	35
1/9-A-4 H	DST	\N	3135.400000	3307.000000	\N	1988-06-28	1991-10-01	1035	9999-12-31	2013-05-08	36
1/9-A-6 H	DST	TEST1	3361.000000	3410.000000	\N	1988-05-09	1991-10-01	1244	9999-12-31	2013-05-08	37
15/12-18 S	DST	\N	0.000000	0.000000	OIL	9999-12-31	9999-12-31	5607	9999-12-31	2013-05-08	38
15/12-18 S	MDT	\N	0.000000	2683.600000	OIL	9999-12-31	2011-08-06	5607	9999-12-31	2013-05-08	39
15/12-19	DST	\N	0.000000	0.000000	OIL	9999-12-31	2011-06-17	5705	9999-12-31	2013-05-08	40
15/12-19	DST	\N	0.000000	0.000000	WATER	9999-12-31	2011-06-17	5705	9999-12-31	2013-05-08	41
15/12-5	DST	FMT2	2935.000000	2935.000000	\N	1986-04-20	1991-10-01	113	9999-12-31	2013-05-08	42
15/12-6 S	DST	TEST1	2922.000000	2930.000000	\N	1990-10-13	1991-10-01	1524	9999-12-31	2013-05-08	43
15/12-6 S	DST	TEST2	2875.000000	2895.000000	\N	1990-10-24	1991-10-01	1524	9999-12-31	2013-05-08	44
15/12-8	DST	TEST1	2838.000000	2869.000000	\N	1991-07-09	1991-10-01	1778	9999-12-31	2013-05-08	45
15/12-9 S	DST	DST2	0.000000	3385.000000	\N	1992-09-28	1992-10-12	1978	9999-12-31	2013-05-08	46
15/3-2	DST	\N	0.000000	0.000000	\N	9999-12-31	1991-10-28	310	9999-12-31	2013-05-08	47
15/3-2	DST	\N	0.000000	0.000000	\N	9999-12-31	1995-08-09	310	9999-12-31	2013-05-08	48
15/3-2	DST	\N	0.000000	0.000000	\N	9999-12-31	1995-08-09	310	9999-12-31	2013-05-08	49
15/3-3	DST	\N	4615.000000	4632.000000	OIL	9999-12-31	1991-10-28	313	9999-12-31	2013-05-08	50
15/3-3	DST	\N	4967.000000	4990.000000	\N	9999-12-31	1995-08-09	313	9999-12-31	2013-05-08	51
15/3-5	DST	\N	0.000000	0.000000	\N	9999-12-31	1991-10-28	52	9999-12-31	2013-05-08	52
15/3-8	DST	\N	4141.000000	4183.000000	OIL	2006-03-04	2006-03-20	5175	9999-12-31	2013-05-08	53
15/3-8	DST	\N	0.000000	4128.000000	OIL	9999-12-31	2010-12-09	5175	9999-12-31	2013-05-08	54
15/3-8	DST	\N	0.000000	4510.000000	OIL	9999-12-31	9999-12-31	5175	9999-12-31	2013-05-08	55
15/3-8	FMT	\N	0.000000	4508.700000	CONDENSATE	9999-12-31	9999-12-31	5175	9999-12-31	2013-05-08	56
15/5-5	DST	TEST1	2183.500000	2154.000000	\N	1995-09-25	1995-10-03	2635	9999-12-31	2013-05-08	57
15/5-7	DST	\N	0.000000	0.000000	OIL	9999-12-31	2011-03-10	5842	9999-12-31	2013-05-08	58
15/6-11 A	DST	\N	4158.000000	4139.580000	OIL	2011-02-25	2011-02-25	6526	9999-12-31	2013-05-08	59
15/6-12	DST	1A-1B	0.000000	0.000000	OIL	2011-01-29	2011-03-21	6518	9999-12-31	2013-05-08	60
15/6-12	MDT	\N	0.000000	3806.000000	OIL	9999-12-31	9999-12-31	6518	9999-12-31	2013-05-08	61
15/6-2	DST	DST7	3582.600000	0.000000	\N	1974-07-28	1991-06-21	317	9999-12-31	2013-05-08	62
15/6-3	DST	TEST2	3490.800000	3496.800000	\N	1974-12-15	1991-06-21	318	9999-12-31	2013-05-08	63
15/8-1	DST	TEST2	3911.000000	3926.000000	\N	1981-12-17	1991-10-01	321	9999-12-31	2013-05-08	64
15/8-1	DST	TEST3	3688.000000	3697.000000	\N	1981-12-24	1991-10-01	321	9999-12-31	2013-05-08	65
15/8-1	DST	TEST4	3643.000000	3653.000000	\N	1981-12-29	1991-10-01	321	9999-12-31	2013-05-08	66
15/9-1	DST	TEST1	0.000000	0.000000	\N	1977-05-17	1991-10-01	322	9999-12-31	2013-05-08	67
15/9-1	DST	TEST2	0.000000	0.000000	\N	1977-05-23	1991-10-01	322	9999-12-31	2013-05-08	68
15/9-10	DST	\N	0.000000	0.000000	\N	1993-09-27	9999-12-31	69	9999-12-31	2013-05-08	69
15/9-11	DST	TEST1	2797.000000	2807.000000	\N	1981-12-01	1991-10-01	329	9999-12-31	2013-05-08	70
15/9-11	DST	TEST2	2410.000000	2432.000000	\N	1980-12-08	1991-10-01	329	9999-12-31	2013-05-08	71
15/9-11	DST	TEST3	2395.000000	2415.000000	\N	1981-12-15	1991-10-01	329	9999-12-31	2013-05-08	72
15/9-12	DST	TEST1B	3585.000000	3595.000000	\N	1982-04-14	1991-10-01	330	9999-12-31	2013-05-08	73
15/9-12	DST	TEST2	3512.000000	3522.000000	\N	1982-04-20	1991-10-01	330	9999-12-31	2013-05-08	74
15/9-13	DST	TEST1	2765.000000	2769.000000	\N	1982-05-16	1991-10-01	45	9999-12-31	2013-05-08	75
15/9-13	DST	TEST2	2422.000000	2427.000000	\N	1982-05-20	1991-10-01	45	9999-12-31	2013-05-08	76
15/9-15	DST	TEST1	2880.000000	2890.000000	\N	1982-07-20	1991-10-01	74	9999-12-31	2013-05-08	77
15/9-15	DST	TEST2	2830.000000	2850.000000	\N	1982-07-25	1991-10-01	74	9999-12-31	2013-05-08	78
15/9-17	DST	TEST1	2803.000000	2813.000000	\N	1983-08-13	1991-10-01	60	9999-12-31	2013-05-08	79
15/9-17	DST	TEST2	2776.000000	2741.000000	\N	1983-03-18	1991-10-01	60	9999-12-31	2013-05-08	80
15/9-17	DST	TEST3	2385.000000	2405.000000	\N	1983-03-24	1991-10-01	60	9999-12-31	2013-05-08	81
15/9-19 A	DST	TEST1A	3885.000000	3889.000000	\N	1997-10-27	1997-11-10	3145	9999-12-31	2013-05-08	82
15/9-19 A	DST	TEST2B	3865.000000	3826.000000	\N	1997-10-30	1997-11-07	3145	9999-12-31	2013-05-08	83
15/9-19 SR	DST	TEST1	4338.000000	4316.000000	\N	1993-04-19	1993-05-10	2105	9999-12-31	2013-05-08	84
15/9-5	DST	TEST2	3588.000000	3593.000000	\N	1980-03-21	1991-10-01	326	9999-12-31	2013-05-08	85
15/9-7	DST	TEST3	3555.000000	3565.000000	\N	1981-04-19	1991-10-01	218	9999-12-31	2013-05-08	86
15/9-8	DST	TEST1	3450.000000	3460.000000	\N	1981-05-15	1991-10-01	327	9999-12-31	2013-05-08	87
15/9-9	DST	TEST2	2386.000000	2392.000000	\N	1981-07-02	1991-10-01	328	9999-12-31	2013-05-08	88
15/9-9	DST	TEST3	2323.000000	2333.000000	\N	1981-07-06	1991-10-01	328	9999-12-31	2013-05-08	89
15/9-A-10	DST	\N	2366.300000	2297.300000	CONDENSATE	1993-09-27	1993-10-01	2174	9999-12-31	2013-05-08	90
15/9-B-13	DST	\N	0.000000	0.000000	\N	9999-12-31	1997-01-27	2816	9999-12-31	2013-05-08	91
15/9-B-24	DST	\N	0.000000	0.000000	\N	1997-05-03	1997-05-29	3006	9999-12-31	2013-05-08	92
15/9-B-4	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	3170	9999-12-31	2013-05-08	93
15/9-C-2 AH	DST	\N	0.000000	0.000000	\N	1998-06-25	1998-07-07	3185	9999-12-31	2013-05-08	94
15/9-C-2 H	DST	\N	0.000000	0.000000	\N	9999-12-31	1993-07-14	2024	9999-12-31	2013-05-08	95
15/9-D-1 H	DST	\N	0.000000	0.000000	\N	1993-06-03	1993-07-16	2082	9999-12-31	2013-05-08	96
15/9-D-3 H	DST	\N	0.000000	0.000000	\N	1993-05-16	1993-06-09	2083	9999-12-31	2013-05-08	97
16/1-10	DST	\N	0.000000	0.000000	\N	9999-12-31	2011-08-06	5879	9999-12-31	2013-05-08	98
16/1-11	DST	\N	2445.000000	2415.000000	OIL	2010-04-16	9999-12-31	6157	9999-12-31	2013-05-08	99
16/1-13	DST	\N	0.000000	1924.500000	\N	9999-12-31	2011-08-06	6232	9999-12-31	2013-05-08	100
16/1-13	DST	\N	0.000000	1965.000000	\N	9999-12-31	2011-08-06	6232	9999-12-31	2013-05-08	101
16/1-15	DST	\N	0.000000	0.000000	\N	9999-12-31	2011-08-06	6517	9999-12-31	2013-05-08	102
16/1-15	MDT	\N	0.000000	2067.800000	OIL	2011-05-07	2012-01-30	6517	9999-12-31	2013-05-08	103
16/2-3	DST	\N	0.000000	1720.500000	OIL	9999-12-31	2011-03-10	5551	9999-12-31	2013-05-08	104
16/2-4	MDT	\N	0.000000	1858.000000	OIL	9999-12-31	9999-12-31	5625	9999-12-31	2013-05-08	105
16/2-6	DST	\N	0.000000	0.000000	\N	2010-09-11	9999-12-31	6374	2012-10-16	2013-05-08	106
16/4-4	DST	\N	0.000000	0.000000	CONDENSATE	9999-12-31	2011-03-10	5441	9999-12-31	2013-05-08	107
16/7-4	DST	DST 1	2590.000000	2597.000000	CONDENSATE	1982-11-28	1991-06-21	91	9999-12-31	2013-05-08	108
16/7-4	DST	DST 1,1   	2565.000000	2572.000000	\N	1982-11-28	1980-01-01	91	9999-12-31	2013-05-08	109
16/7-4	DST	DST2	2525.000000	2535.000000	CONDENSATE	1982-11-30	1991-06-21	91	9999-12-31	2013-05-08	110
16/7-4	DST	DST 2,1   	2500.000000	2535.000000	CONDENSATE	1982-11-30	1980-01-01	91	9999-12-31	2013-05-08	111
16/7-7 S	DST	DST1	2852.000000	2785.000000	OIL	1997-12-09	1997-12-16	3244	9999-12-31	2013-05-08	112
16/7-7 S	DST	\N	0.000000	0.000000	\N	1997-12-13	9999-12-31	3244	9999-12-31	2013-05-08	113
17/12-4	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	6137	9999-12-31	2013-05-08	114
17/12-4 A	DST	\N	0.000000	0.000000	OIL	9999-12-31	2011-06-17	6178	9999-12-31	2013-05-08	115
18/10-1	DST	\N	2389.500000	2402.000000	\N	9999-12-31	1991-10-28	342	9999-12-31	2013-05-08	116
2/11-A-1	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	1615	9999-12-31	2013-05-08	117
2/12-1	DST	DST1	4630.000000	4647.000000	\N	1986-12-22	1991-02-28	1014	9999-12-31	2013-05-08	118
2/12-1	DST	DST2	4600.000000	4612.000000	\N	1986-12-18	1991-02-28	1014	9999-12-31	2013-05-08	119
2/1-9	DST	\N	0.000000	0.000000	\N	9999-12-31	1991-07-22	1667	9999-12-31	2013-05-08	120
2/1-9	DST	DST1	4108.000000	4078.000000	\N	1991-06-14	9999-12-31	1667	9999-12-31	2013-05-08	121
2/2-1	DST	DST1	3715.000000	3730.000000	\N	9999-12-31	1991-02-20	46	9999-12-31	2013-05-08	122
2/2-5	DST	TEST-1	0.000000	0.000000	\N	1992-02-12	1992-03-24	1846	9999-12-31	2013-05-08	123
2/4-17	DST	\N	4340.900000	4387.500000	\N	1992-01-19	1992-02-10	1792	9999-12-31	2013-05-08	124
2/4-A-14	PROD	\N	3679.000000	3482.000000	OIL	1984-07-08	2000-10-02	592	9999-12-31	2013-05-08	125
2/4-A-3	DST	\N	0.000000	0.000000	\N	1996-03-11	1996-04-15	559	9999-12-31	2013-05-08	126
2/4-A-5	DST	\N	0.000000	0.000000	\N	1996-03-11	1996-04-15	576	9999-12-31	2013-05-08	127
2/4-A-7	DST	\N	0.000000	0.000000	\N	1996-03-10	1996-04-15	579	9999-12-31	2013-05-08	128
2/4-A-9	DST	\N	0.000000	0.000000	\N	1996-03-12	1996-04-15	583	9999-12-31	2013-05-08	129
2/4-B-10	PROD	\N	4173.000000	4123.000000	OIL	1988-07-17	2000-10-02	615	9999-12-31	2013-05-08	130
2/4-B-12	DST	\N	0.000000	0.000000	\N	1996-02-22	1996-04-15	616	9999-12-31	2013-05-08	131
2/4-B-13	DST	\N	2956.000000	0.000000	\N	1996-02-21	1996-04-15	1848	9999-12-31	2013-05-08	132
2/4-B-16	DST	\N	0.000000	0.000000	\N	1996-02-23	1996-04-15	620	9999-12-31	2013-05-08	133
2/4-B-18	DST	\N	3278.000000	0.000000	\N	1996-03-13	1996-04-15	624	9999-12-31	2013-05-08	134
2/4-B-19	DST	\N	3091.000000	0.000000	\N	1996-03-13	1996-04-15	625	9999-12-31	2013-05-08	135
2/4-B-21	DST	\N	3381.000000	0.000000	\N	1996-03-08	1996-04-15	629	9999-12-31	2013-05-08	136
2/4-B-23	DST	\N	3401.000000	0.000000	\N	1996-03-13	1996-04-15	633	9999-12-31	2013-05-08	137
2/4-B-7	DST	\N	3685.000000	0.000000	\N	1996-03-04	1996-04-15	606	9999-12-31	2013-05-08	138
2/4-B-8	DST	\N	2935.000000	0.000000	\N	1996-03-09	1996-04-15	608	9999-12-31	2013-05-08	139
2/4-B-9	PROD	\N	4447.000000	4233.000000	OIL	1984-01-04	2000-10-02	611	9999-12-31	2013-05-08	140
2/4-C-14	DST	\N	0.000000	0.000000	\N	1996-02-28	1996-04-15	663	9999-12-31	2013-05-08	141
2/4-C-17	DST	\N	0.000000	0.000000	\N	1996-03-09	1996-04-15	1572	9999-12-31	2013-05-08	142
2/4-C-8	DST	\N	0.000000	0.000000	\N	1996-03-02	1996-04-15	652	9999-12-31	2013-05-08	143
2/4-E-13	DST	\N	0.000000	0.000000	\N	1996-04-08	1995-04-17	737	9999-12-31	2013-05-08	144
2/4-E-6	DST	\N	0.000000	0.000000	\N	1996-04-06	1996-04-17	1786	9999-12-31	2013-05-08	145
2/4-X-47	PROD	\N	4581.000000	4002.000000	OIL	1997-08-12	2000-10-02	3157	9999-12-31	2013-05-08	146
2/5-11	DST	DST1	3381.000000	3363.000000	\N	1997-10-28	1997-12-23	3084	9999-12-31	2013-05-08	147
2/5-11	DST	DST2	0.000000	0.000000	\N	1997-11-03	1997-12-23	3084	9999-12-31	2013-05-08	148
2/5-7	DST	PT-2	3263.000000	3287.000000	\N	9999-12-31	1991-03-06	25	9999-12-31	2013-05-08	149
2/6-5	DST	DST1	0.000000	0.000000	\N	1997-01-04	2000-04-11	2885	9999-12-31	2013-05-08	150
2/7-19	DST	\N	0.000000	0.000000	\N	2000-10-30	2000-10-02	1367	9999-12-31	2013-05-08	151
2/7-19 R	DST	DST1	4711.600000	4838.400000	\N	1990-02-16	1991-09-09	1512	9999-12-31	2013-05-08	152
2/7-20	DST	DST 1	4099.500000	4258.000000	\N	1988-06-07	1991-09-09	1062	2012-10-16	2013-05-08	153
2/7-21 S	DST	DST1	4578.400000	4613.400000	\N	1989-11-28	1992-08-07	1394	9999-12-31	2013-05-08	154
2/7-21 S	DST	\N	4446.400000	4518.600000	\N	1989-12-10	1991-09-09	1394	9999-12-31	2013-05-08	155
2/7-21 S	DST	DST3	4308.300000	4337.600000	\N	1989-12-30	1991-09-09	1394	9999-12-31	2013-05-08	156
2/7-22	DST	DST1	4489.000000	4496.000000	\N	1990-09-30	1996-04-15	1495	9999-12-31	2013-05-08	157
2/7-26 S	DST	DST 1	4605.500000	4696.900000	\N	1991-08-24	1991-09-26	1756	9999-12-31	2013-05-08	158
2/7-26 S	DST	DST 2	4309.800000	4538.400000	\N	1991-09-03	1991-09-26	1756	9999-12-31	2013-05-08	159
2/7-27 S	DST	DST1	4484.800000	4742.100000	\N	1992-06-01	1992-08-07	1878	2012-12-05	2013-05-08	160
2/7-31	DST	DST1	0.000000	0.000000	\N	1999-05-23	2000-02-14	3573	9999-12-31	2013-05-08	161
2/7-A-10	DST	\N	0.000000	0.000000	\N	1996-04-04	1996-04-17	787	9999-12-31	2013-05-08	162
2/7-A-14	DST	\N	0.000000	0.000000	\N	1996-03-20	1996-04-17	790	9999-12-31	2013-05-08	163
2/7-B-13	DST	\N	0.000000	0.000000	\N	1996-03-03	1996-04-15	816	9999-12-31	2013-05-08	164
2/7-B-15	DST	\N	0.000000	0.000000	\N	1996-03-10	1996-04-15	1426	9999-12-31	2013-05-08	165
2/7-D-20	DST	\N	4090.000000	4283.000000	\N	1996-02-23	1996-04-15	2121	9999-12-31	2013-05-08	166
2/7-D-21	DST	\N	4337.000000	4548.000000	\N	9999-12-31	1996-04-15	2111	9999-12-31	2013-05-08	167
2/7-D-26	DST	\N	4331.000000	4560.000000	\N	9999-12-31	1996-04-15	2120	9999-12-31	2013-05-08	168
2/7-D-27	DST	\N	4505.000000	4762.000000	\N	9999-12-31	1996-04-15	2096	9999-12-31	2013-05-08	169
2/8-14	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	1552	2012-10-16	2013-05-08	170
24/6-2	DST	TEST1	2165.750000	2156.750000	\N	1998-06-30	1998-07-13	3397	9999-12-31	2013-05-08	171
24/6-4	DST	\N	0.000000	0.000000	\N	9999-12-31	2011-08-06	4745	9999-12-31	2013-05-08	172
24/9-3	DST	1	1796.000000	1805.000000	OIL	1981-03-21	1991-07-22	346	9999-12-31	2013-05-08	173
24/9-3	DST	\N	1764.400000	1782.200000	\N	1981-04-01	1991-07-22	346	9999-12-31	2013-05-08	174
24/9-7	DST	\N	0.000000	0.000000	\N	9999-12-31	2011-08-06	4910	9999-12-31	2013-05-08	175
24/9-7 A	DST	\N	0.000000	1996.000000	OIL	2005-02-09	2011-08-06	4919	9999-12-31	2013-05-08	176
25/10-2 R	FIT	FIT-1	0.000000	2697.500000	\N	1972-07-02	9999-12-31	511	9999-12-31	2013-05-08	177
25/10-5	DST	DST1	1763.000000	1756.000000	\N	1981-07-11	1991-06-21	365	9999-12-31	2013-05-08	178
25/10-5	DST	DST2	1740.000000	1732.000000	\N	1981-07-12	1991-06-21	365	9999-12-31	2013-05-08	179
25/10-8	DST	DST1	2392.000000	2398.000000	\N	1997-03-30	1997-11-13	2955	9999-12-31	2013-05-08	180
25/1-1	DST	\N	0.000000	0.000000	\N	1971-07-06	1995-08-09	190	9999-12-31	2013-05-08	181
25/1-11	DST	\N	0.000000	2119.900000	CONDENSATE	9999-12-31	2010-04-23	6187	9999-12-31	2013-05-08	182
25/1-11	FMT	\N	0.000000	2158.000000	OIL	9999-12-31	2011-12-13	6187	9999-12-31	2013-05-08	183
25/11-14 S	DST	TEST1	1992.200000	2015.200000	\N	1990-11-23	1990-12-04	1672	9999-12-31	2013-05-08	184
25/11-15	DST	DST1	1736.000000	1775.000000	\N	1991-12-18	1992-01-10	1872	9999-12-31	2013-05-08	185
25/11-18	DST	\N	0.000000	0.000000	\N	1994-10-14	1994-10-18	2358	9999-12-31	2013-05-08	186
25/11-21 A	DST	\N	0.000000	0.000000	\N	1996-05-01	1996-08-19	2812	9999-12-31	2013-05-08	187
25/11-25 S	DST	\N	0.000000	0.000000	CONDENSATE	9999-12-31	2011-03-10	5642	9999-12-31	2013-05-08	188
25/11-5	DST	DST1	1750.000000	1765.000000	\N	1974-04-30	1991-06-21	366	9999-12-31	2013-05-08	189
25/11-6	DST	DST1	1725.000000	1740.000000	\N	1978-09-21	1991-06-21	367	9999-12-31	2013-05-08	190
25/11-8	DST	DST1	1720.000000	1735.000000	\N	1979-09-11	1991-06-21	369	9999-12-31	2013-05-08	191
25/2-10 S	RFT	RFT-5	0.000000	2252.000000	\N	1986-02-14	1995-08-09	855	9999-12-31	2013-05-08	192
25/2-13	DST	\N	2252.000000	0.000000	\N	1986-02-14	1995-08-09	1459	9999-12-31	2013-05-08	193
25/2-13	DST	DST2B	2706.000000	2713.000000	\N	1989-12-20	9999-12-31	1459	9999-12-31	2013-05-08	194
25/2-13	DST	DST3B	0.000000	3396.960000	WATER	1990-01-01	1995-08-09	1459	9999-12-31	2013-05-08	195
25/2-13	DST	DST4	3403.000000	3411.000000	WATER	1990-01-07	1991-10-28	1459	9999-12-31	2013-05-08	196
25/2-13	DST	DST5	3343.000000	3382.000000	OIL	1990-01-15	1991-10-28	1459	9999-12-31	2013-05-08	197
25/2-13	DST	DST5	3343.000000	3382.000000	\N	1990-01-15	1991-10-28	1459	9999-12-31	2013-05-08	198
25/2-13	DST	DST5	3343.000000	3382.000000	\N	1990-01-15	1991-10-28	1459	9999-12-31	2013-05-08	199
25/2-6	DST	\N	3561.000000	0.000000	\N	9999-12-31	1995-08-09	358	9999-12-31	2013-05-08	200
25/2-6	DST	\N	3267.000000	0.000000	\N	9999-12-31	1995-08-09	358	9999-12-31	2013-05-08	201
25/2-6	RFT	\N	3561.000000	0.000000	\N	9999-12-31	9999-12-31	358	9999-12-31	2013-05-08	202
25/2-6	RFT	\N	3267.500000	0.000000	\N	9999-12-31	9999-12-31	358	9999-12-31	2013-05-08	203
25/4-1	DST	\N	0.000000	0.000000	\N	9999-12-31	1995-08-09	359	9999-12-31	2013-05-08	204
25/4-5	DST	TEST1	4154.000000	4176.000000	\N	1981-03-15	1995-08-09	201	9999-12-31	2013-05-08	205
25/4-5	DST	DST2	4065.000000	4088.000000	\N	1981-03-09	1995-08-09	201	9999-12-31	2013-05-08	206
25/4-6 S	DST	DST1	3802.000000	3819.000000	\N	1991-08-14	1992-04-01	1703	9999-12-31	2013-05-08	207
25/4-7	MDT	\N	0.000000	2110.000000	OIL	2003-04-14	2011-08-06	4716	9999-12-31	2013-05-08	208
25/4-8	DST	\N	0.000000	2120.000000	OIL	9999-12-31	2003-06-16	4765	9999-12-31	2013-05-08	209
25/5-1	DST	\N	0.000000	0.000000	\N	9999-12-31	1991-10-28	884	9999-12-31	2013-05-08	210
25/5-1	DST	DST3	3002.000000	2987.000000	\N	9999-12-31	1991-10-28	884	9999-12-31	2013-05-08	211
25/5-1	DST	DST3B	3002.000000	2987.000000	\N	1987-07-31	1991-10-28	884	9999-12-31	2013-05-08	212
25/5-2	DST	DST2	3196.000000	3201.000000	\N	1989-06-27	1991-10-28	1346	9999-12-31	2013-05-08	213
25/5-3	DST	DST1	2386.000000	2405.000000	\N	1990-03-08	1991-10-28	1488	9999-12-31	2013-05-08	214
25/5-5	DST	\N	2169.500000	2158.800000	\N	1995-11-15	9999-12-31	2661	9999-12-31	2013-05-08	215
25/6-1	DST	DST1	2277.000000	2280.000000	OIL	1986-01-30	1991-02-20	524	9999-12-31	2013-05-08	216
25/7-2	DST	\N	4148.000000	4273.000000	\N	1990-07-11	1991-07-22	1494	9999-12-31	2013-05-08	217
25/7-3	DST	DST1	2107.400000	2096.400000	OIL	1995-08-22	1996-04-15	2623	9999-12-31	2013-05-08	218
25/7-5	DST	DST1	2043.000000	2052.000000	\N	1997-08-18	1997-08-28	3132	9999-12-31	2013-05-08	219
25/8-1	DST	TEST1	1762.000000	1755.000000	\N	1970-06-30	1991-06-21	173	9999-12-31	2013-05-08	220
25/8-11	DST	DST1	1910.000000	1893.000000	\N	1997-11-15	1997-12-03	3209	9999-12-31	2013-05-08	221
25/8-11	DST	\N	1910.000000	1893.000000	\N	1997-11-15	1997-12-03	3209	9999-12-31	2013-05-08	222
25/8-14 S	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	4805	9999-12-31	2013-05-08	223
25/8-5 S	DST	DST1	2149.000000	2118.000000	\N	1994-09-15	1994-09-26	2390	9999-12-31	2013-05-08	224
29/3-1	DST	DST1B	3807.000000	3810.000000	\N	1986-08-24	1990-11-30	904	9999-12-31	2013-05-08	225
29/3-1	DST	DST2B	3725.000000	3682.000000	\N	1986-09-02	1990-11-30	904	9999-12-31	2013-05-08	226
29/3-1	DST	DST2C	3699.000000	3682.000000	\N	1986-09-05	1990-11-30	904	9999-12-31	2013-05-08	227
3/7-2	RFT	\N	2909.000000	0.000000	WATER	9999-12-31	1995-08-09	220	9999-12-31	2013-05-08	228
3/7-4	DST	DST1A	3440.000000	3537.000000	\N	1990-01-01	1991-03-06	1467	9999-12-31	2013-05-08	229
3/7-4	DST	DST1B	3470.000000	3440.000000	\N	1990-01-03	1991-03-06	1467	9999-12-31	2013-05-08	230
3/7-A-1 AH	DST	PROD TEST	4934.000000	4254.000000	CONDENSATE	2011-01-27	2011-01-30	6469	9999-12-31	2013-05-08	231
3/7-A-1 AH	DST	\N	4394.000000	4254.000000	OIL	9999-12-31	2012-10-25	6469	9999-12-31	2013-05-08	232
3/7-A-1 AH	DST	\N	4394.000000	4254.000000	OIL	9999-12-31	2012-10-25	6469	9999-12-31	2013-05-08	233
3/7-A-1 AH	DST	\N	4394.000000	4254.000000	OIL	9999-12-31	2012-10-25	6469	9999-12-31	2013-05-08	234
3/7-A-1 AH	DST	\N	4394.000000	4254.000000	OIL	9999-12-31	2012-10-25	6469	9999-12-31	2013-05-08	235
3/7-A-1 AH	DST	\N	4394.000000	4254.000000	OIL	9999-12-31	2012-10-25	6469	9999-12-31	2013-05-08	236
3/7-A-1 AH	DST	\N	4394.000000	4254.000000	OIL	9999-12-31	2012-10-25	6469	9999-12-31	2013-05-08	237
3/7-A-1 AH	DST	\N	4394.000000	4254.000000	OIL	9999-12-31	2012-10-25	6469	9999-12-31	2013-05-08	238
3/7-A-1 AH	DST	\N	4394.000000	4254.000000	OIL	9999-12-31	2012-10-25	6469	9999-12-31	2013-05-08	239
3/7-A-1 AH	DST	\N	4394.000000	4254.000000	OIL	9999-12-31	2012-10-25	6469	9999-12-31	2013-05-08	240
3/7-A-1 AH	DST	\N	4394.000000	4254.000000	OIL	9999-12-31	2012-10-25	6469	9999-12-31	2013-05-08	241
3/7-A-1 AH	DST	\N	4394.000000	4254.000000	OIL	9999-12-31	2012-10-25	6469	9999-12-31	2013-05-08	242
3/7-A-1 AH	PROD	PROD TEST	4934.000000	4254.000000	CONDENSATE	2011-01-29	2011-01-30	6469	9999-12-31	2013-05-08	243
30/2-1	DST	DST1	3785.000000	3792.000000	\N	1982-09-23	1991-10-01	72	9999-12-31	2013-05-08	244
30/2-1	DST	DST2	3761.000000	3771.000000	\N	1982-09-30	1991-10-01	72	9999-12-31	2013-05-08	245
30/2-1	DST	DST2B	0.000000	0.000000	OIL	1982-09-25	1991-10-01	72	9999-12-31	2013-05-08	246
30/2-1	DST	DST3	3720.000000	3728.000000	\N	1982-10-07	1991-10-01	72	9999-12-31	2013-05-08	247
30/2-2	DST	TEST3	3935.000000	3974.000000	\N	1985-04-23	1991-10-01	457	9999-12-31	2013-05-08	248
30/2-3	DST	DST1	3895.000000	0.000000	\N	1992-09-09	1992-10-12	1970	9999-12-31	2013-05-08	249
30/2-3	DST	DST2	3874.000000	0.000000	\N	1992-09-15	1992-10-12	1970	9999-12-31	2013-05-08	250
30/2-3	DST	DST3	3794.000000	0.000000	\N	1992-09-23	1992-10-12	1970	9999-12-31	2013-05-08	251
30/3-2	DST	TEST1	2916.000000	2923.000000	\N	1980-12-23	1991-10-01	203	9999-12-31	2013-05-08	252
30/3-2	DST	TEST2C	2870.000000	2874.000000	\N	1981-01-24	1991-10-01	203	9999-12-31	2013-05-08	253
30/3-4	DST	TEST1	3079.000000	3096.000000	\N	1985-05-01	1991-10-01	460	9999-12-31	2013-05-08	254
30/3-4	DST	TEST3	2903.000000	2923.000000	\N	1985-05-21	1991-10-01	460	9999-12-31	2013-05-08	255
30/3-4	DST	TEST4	2866.000000	2882.000000	OIL	1985-05-24	1991-10-01	460	9999-12-31	2013-05-08	256
30/3-4	DST	TEST5	2850.000000	2857.000000	OIL	1985-06-02	1991-11-05	460	9999-12-31	2013-05-08	257
30/3-9	DST	\N	0.000000	0.000000	CONDENSATE	9999-12-31	2011-03-10	4053	9999-12-31	2013-05-08	258
30/3-A-1	DST	\N	2876.500000	0.000000	\N	9999-12-31	1991-11-05	1080	9999-12-31	2013-05-08	259
30/3-A-1	DST	TEST1,1   	3234.000000	3250.000000	\N	1987-09-08	1991-11-05	1080	9999-12-31	2013-05-08	260
30/3-A-1	DST	TEST2	3071.000000	3088.000000	\N	1987-09-14	1991-11-05	1080	9999-12-31	2013-05-08	261
30/3-A-13	DST	PRODTEST	5028.500000	5026.500000	\N	1992-06-01	1992-07-02	1925	9999-12-31	2013-05-08	262
30/3-A-14	DST	\N	0.000000	0.000000	\N	1993-01-27	1993-02-09	1943	9999-12-31	2013-05-08	263
30/3-A-2	DST	\N	3498.000000	0.000000	\N	9999-12-31	1991-11-05	1175	9999-12-31	2013-05-08	264
30/3-A-3	DST	\N	3194.000000	0.000000	\N	1988-07-12	1991-11-05	1209	9999-12-31	2013-05-08	265
30/3-A-4	DST	\N	3580.000000	0.000000	\N	1988-08-07	1991-11-05	1234	9999-12-31	2013-05-08	266
30/3-A-5	DST	\N	0.000000	0.000000	\N	9999-12-31	1991-11-05	1307	9999-12-31	2013-05-08	267
30/5-2	DST	DST1B	3601.300000	3627.800000	\N	1996-12-04	1996-12-17	2886	9999-12-31	2013-05-08	268
30/5-2	DST	DST2	3529.000000	3591.000000	\N	1996-12-10	1996-12-17	2886	9999-12-31	2013-05-08	269
30/6-1	DST	DST1	2320.000000	2330.000000	\N	1979-09-09	1980-01-01	380	9999-12-31	2013-05-08	270
30/6-1	DST	DST2	2301.000000	2305.000000	CONDENSATE	1980-09-15	1980-01-01	380	9999-12-31	2013-05-08	271
30/6-10	DST	RFT2	0.000000	2467.500000	\N	9999-12-31	1991-02-28	92	9999-12-31	2013-05-08	272
30/6-10 A	DST	TEST1	2600.000000	2602.000000	\N	1983-02-07	1991-02-28	56	9999-12-31	2013-05-08	273
30/6-10 A	DST	DST3	2446.000000	2555.000000	\N	1983-02-18	1991-02-28	56	9999-12-31	2013-05-08	274
30/6-10 A	DST	DST4	2480.000000	2487.000000	\N	1983-02-22	1991-02-28	56	9999-12-31	2013-05-08	275
30/6-13	DST	DST1	2640.000000	2650.000000	\N	1983-04-27	1991-02-28	7	9999-12-31	2013-05-08	276
30/6-14	DST	DST1A	2783.000000	2788.000000	\N	1984-01-29	1991-02-28	53	9999-12-31	2013-05-08	277
30/6-15	DST	DST2	3323.800000	3330.400000	\N	1984-08-14	1991-02-28	110	9999-12-31	2013-05-08	278
30/6-15	DST	DST3	3265.000000	3250.000000	\N	1984-08-28	1991-02-28	110	9999-12-31	2013-05-08	279
30/6-16	DST	DST1	2944.000000	2920.000000	\N	1985-01-14	1991-02-28	333	9999-12-31	2013-05-08	280
30/6-16	DST	DST2	2855.000000	2868.000000	\N	1985-01-18	1991-02-28	333	9999-12-31	2013-05-08	281
30/6-17	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	487	9999-12-31	2013-05-08	282
30/6-17 R	DST	DST1	2401.000000	2414.000000	\N	1986-10-28	1991-02-28	849	9999-12-31	2013-05-08	283
30/6-18	DST	DST1A	3307.000000	3324.000000	\N	1985-10-20	1991-02-28	488	9999-12-31	2013-05-08	284
30/6-19	DST	DST1	2945.000000	2954.000000	OIL	1986-06-06	1991-02-28	489	9999-12-31	2013-05-08	285
30/6-19	DST	DST2	2907.000000	2932.300000	OIL	1986-06-11	1991-02-28	489	9999-12-31	2013-05-08	286
30/6-19	DST	DST3	2876.000000	2784.000000	\N	1986-06-15	1991-02-28	489	9999-12-31	2013-05-08	287
30/6-2	DST	DST1A	2212.000000	2222.000000	CONDENSATE	1979-12-01	1980-01-01	381	9999-12-31	2013-05-08	288
30/6-21	DST	DST1	2645.500000	2657.500000	\N	9999-12-31	1991-02-28	1037	9999-12-31	2013-05-08	289
30/6-22	DST	DST1	2917.000000	2936.000000	OIL	1988-07-08	1991-02-28	1225	9999-12-31	2013-05-08	290
30/6-22	DST	DST2	2908.750000	2912.250000	OIL	1988-07-07	1991-02-28	1225	9999-12-31	2013-05-08	291
30/6-23	DST	\N	2860.000000	2881.000000	\N	9999-12-31	9999-12-31	1545	9999-12-31	2013-05-08	292
30/6-23	DST	DST2	2827.000000	2853.000000	\N	1990-06-18	9999-12-31	1545	9999-12-31	2013-05-08	293
30/6-23	DST	DST3	2803.000000	2812.000000	\N	1990-06-21	9999-12-31	1545	9999-12-31	2013-05-08	294
30/6-3	DST	TEST1	2476.000000	2486.000000	CONDENSATE	1980-02-18	1991-11-05	382	9999-12-31	2013-05-08	295
30/6-4	DST	DST 1	2655.000000	2665.000000	\N	1981-04-25	1981-01-01	383	9999-12-31	2013-05-08	296
30/6-4	DST	DST 2	2630.500000	2638.000000	\N	1981-05-04	1981-01-01	383	9999-12-31	2013-05-08	297
30/6-9	DST	DST5	2460.000000	2463.000000	\N	1982-12-10	1991-02-28	83	9999-12-31	2013-05-08	298
30/8-1 SR	DST	TEST1B	4796.390000	4700.000000	\N	1996-02-17	1996-05-15	2719	9999-12-31	2013-05-08	299
30/8-4 S	DST	\N	0.000000	0.000000	OIL	2009-01-19	9999-12-31	5974	9999-12-31	2013-05-08	300
30/9-1	DST	DST2A	2727.000000	2733.000000	\N	1983-01-15	1991-02-28	65	9999-12-31	2013-05-08	301
30/9-1	DST	DST3	2689.000000	2692.000000	\N	1983-01-21	1991-02-28	65	9999-12-31	2013-05-08	302
30/9-10	DST	DST1A	2757.000000	2776.000000	\N	1990-12-10	1991-02-28	1514	9999-12-31	2013-05-08	303
30/9-10	DST	DST1B	2779.700000	2824.700000	\N	1990-12-10	1991-02-28	1514	9999-12-31	2013-05-08	304
30/9-13 S	DST	TEST1	3086.500000	3094.500000	OIL	1991-09-14	1991-10-01	1811	9999-12-31	2013-05-08	305
30/9-13 S	DST	TEST2	3023.900000	3072.900000	\N	1991-09-29	1991-10-14	1811	9999-12-31	2013-05-08	306
30/9-13 S	DST	DST3	2958.100000	2986.100000	CONDENSATE	1991-10-04	1991-10-14	1811	9999-12-31	2013-05-08	307
30/9-14	DST	TEST2	3127.000000	3084.000000	OIL	1993-05-04	1993-05-26	2076	9999-12-31	2013-05-08	308
30/9-16	DST	DST1	2753.000000	2722.000000	OIL	1994-04-23	9999-12-31	2361	9999-12-31	2013-05-08	309
30/9-16	DST	DST2	2694.100000	2685.100000	OIL	1994-08-02	9999-12-31	2361	9999-12-31	2013-05-08	310
30/9-19 A	DST	TEST1	3347.000000	3363.000000	OIL	1998-12-05	1999-01-19	3593	9999-12-31	2013-05-08	311
30/9-3	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	55	9999-12-31	2013-05-08	312
30/9-3 A	DST	DST1	2916.000000	2910.000000	OIL	1984-05-11	1991-02-28	102	9999-12-31	2013-05-08	313
30/9-4 S	DST	DST1	3422.000000	3416.000000	OIL	1985-03-11	1991-02-28	452	9999-12-31	2013-05-08	314
30/9-4 S	DST	DST2	3324.000000	3311.000000	CONDENSATE	1985-03-20	1991-02-28	452	9999-12-31	2013-05-08	315
30/9-6	DST	DST1	2637.900000	2645.500000	OIL	1987-04-08	1991-02-28	1027	9999-12-31	2013-05-08	316
30/9-6	DST	DST2	2591.500000	2596.500000	OIL	1987-04-12	1991-02-28	1027	9999-12-31	2013-05-08	317
30/9-7	DST	TEST1	2811.000000	2822.000000	\N	1989-01-01	1991-02-28	1306	9999-12-31	2013-05-08	318
30/9-8	DST	DST2A	2837.000000	2848.000000	\N	1989-09-19	1991-02-28	1421	9999-12-31	2013-05-08	319
30/9-8	DST	DST2B	2825.000000	2848.000000	\N	1989-09-21	1991-02-28	1421	9999-12-31	2013-05-08	320
30/9-9	DST	TEST1	2394.400000	2409.400000	OIL	1989-10-26	1991-02-28	1442	9999-12-31	2013-05-08	321
30/9-9	DST	\N	2294.600000	2310.600000	\N	1989-10-31	1991-02-28	1442	9999-12-31	2013-05-08	322
31/2-11	DST	\N	1576.000000	1582.000000	\N	1983-05-08	1991-11-05	6	9999-12-31	2013-05-08	323
31/2-12	DST	DST1	1428.000000	1452.000000	CONDENSATE	1983-07-30	1991-03-06	14	9999-12-31	2013-05-08	324
31/2-13 S	DST	DST1	1801.000000	1806.000000	OIL	1984-03-03	1991-03-06	93	9999-12-31	2013-05-08	325
31/2-14	DST	TEST-1	1590.000000	1583.000000	OIL	1984-06-10	1991-03-06	106	9999-12-31	2013-05-08	326
31/2-15	DST	TEST1	1572.000000	1584.000000	\N	1984-10-18	1991-03-06	439	9999-12-31	2013-05-08	327
31/2-2	DST	\N	0.000000	0.000000	\N	1980-07-02	1991-11-05	227	9999-12-31	2013-05-08	328
31/2-3	DST	DST1	1577.000000	1582.000000	WATER	1980-06-06	1991-11-05	236	9999-12-31	2013-05-08	329
31/2-5	\N	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	210	9999-12-31	2013-05-08	330
31/2-5	DST	\N	0.000000	0.000000	OIL	1984-04-13	1991-03-06	210	9999-12-31	2013-05-08	331
31/2-5 R2	DST	\N	1591.000000	1594.000000	OIL	1984-04-13	9999-12-31	501	9999-12-31	2013-05-08	332
31/2-6	DST	TEST1	1576.000000	1579.000000	\N	1981-09-20	1991-03-06	399	9999-12-31	2013-05-08	333
31/2-6	DST	TEST2	1518.000000	1536.000000	\N	1981-10-06	1991-03-06	399	9999-12-31	2013-05-08	334
31/2-7	DST	DST1	1584.000000	1590.000000	\N	1982-06-06	1991-03-06	70	9999-12-31	2013-05-08	335
31/3-1	DST	TEST1	1519.000000	1529.000000	OIL	1983-09-22	1991-11-05	20	9999-12-31	2013-05-08	336
31/3-1	DST	TEST2	1373.000000	1383.000000	\N	1983-10-04	1991-11-05	20	9999-12-31	2013-05-08	337
31/4-6	DST	DST1	2159.000000	2163.000000	\N	1982-04-14	1991-02-28	43	9999-12-31	2013-05-08	338
31/4-6	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	43	9999-12-31	2013-05-08	339
31/4-7	DST	DST1	2398.000000	2390.000000	\N	1984-08-31	1991-02-28	235	9999-12-31	2013-05-08	340
31/4-7	DST	DST2	2039.000000	2028.000000	CONDENSATE	1984-09-06	1991-02-28	235	9999-12-31	2013-05-08	341
31/4-9	DST	DST2	2169.600000	2171.600000	OIL	1987-03-01	1991-11-05	1026	9999-12-31	2013-05-08	342
31/5-2	DST	DST1	1577.000000	1581.000000	OIL	1984-07-01	1991-02-20	32	9999-12-31	2013-05-08	343
31/5-2	DST	DST2	1574.000000	1576.000000	OIL	1984-08-09	1991-02-20	32	9999-12-31	2013-05-08	344
31/5-2	DST	DST2,1    	0.000000	0.000000	OIL	1984-08-02	1991-02-20	32	9999-12-31	2013-05-08	345
31/5-2	DST	DST3	1546.500000	1554.500000	\N	1984-08-24	1991-02-20	32	9999-12-31	2013-05-08	346
31/5-2	DST	DST3B	0.000000	0.000000	CONDENSATE	1984-08-25	1991-02-20	32	9999-12-31	2013-05-08	347
31/5-3	DST	DST2	1582.300000	1586.300000	OIL	1984-06-02	1991-02-20	101	9999-12-31	2013-05-08	348
31/6-1	DST	DST1	1562.500000	1567.500000	WATER	1983-09-29	1991-02-28	22	9999-12-31	2013-05-08	349
31/6-1	DST	DST2	1435.000000	1441.000000	CONDENSATE	1983-10-18	1991-02-28	22	9999-12-31	2013-05-08	350
31/6-1	DST	DST3	0.000000	0.000000	CONDENSATE	1983-10-18	1991-02-28	22	9999-12-31	2013-05-08	351
31/6-2	DST	TEST1	1510.000000	1506.000000	\N	1984-08-06	1991-11-05	34	9999-12-31	2013-05-08	352
31/6-2	PROD	TEST1	0.000000	0.000000	\N	1984-08-06	9999-12-31	34	9999-12-31	2013-05-08	353
31/6-5	DST	TEST1A	1568.000000	1558.000000	\N	1984-05-15	1991-11-05	105	9999-12-31	2013-05-08	354
31/6-6	DST	DST1A	0.000000	0.000000	\N	1984-07-15	1991-11-05	127	9999-12-31	2013-05-08	355
31/6-6	PROD	TEST1A	0.000000	0.000000	CONDENSATE	1984-07-15	9999-12-31	127	9999-12-31	2013-05-08	356
33/12-8 A	DST	\N	0.000000	0.000000	CONDENSATE	9999-12-31	2011-03-10	4532	9999-12-31	2013-05-08	357
33/12-8 S	DST	\N	0.000000	2914.000000	OIL	2002-04-21	2011-03-10	4493	9999-12-31	2013-05-08	358
33/9-12	DST	TEST2	2505.000000	2508.000000	\N	1987-07-25	1991-11-05	1069	9999-12-31	2013-05-08	359
33/9-12	DST	TEST3	2463.000000	2489.000000	\N	1987-07-29	1991-11-05	1069	9999-12-31	2013-05-08	360
33/9-13 S	DST	TEST1,1   	2758.000000	2787.000000	\N	1987-11-26	1991-11-05	1028	9999-12-31	2013-05-08	361
33/9-13 S	DST	TEST1,2   	2758.000000	2787.000000	OIL	1987-11-28	1991-11-05	1028	9999-12-31	2013-05-08	362
33/9-13 S	DST	TEST2	2727.000000	2740.700000	\N	1987-12-13	1991-11-05	1028	9999-12-31	2013-05-08	363
33/9-14	DST	TEST1	2746.800000	2759.800000	OIL	1988-03-23	1991-11-05	1226	9999-12-31	2013-05-08	364
33/9-14	DST	TEST2,1   	2718.000000	2732.000000	OIL	1988-03-28	1991-11-05	1226	9999-12-31	2013-05-08	365
33/9-14	DST	TEST2,2   	2675.000000	2705.000000	OIL	1988-03-31	1991-11-05	1226	9999-12-31	2013-05-08	366
33/9-C-32	DST	\N	0.000000	0.000000	\N	1991-04-24	1991-11-05	909	9999-12-31	2013-05-08	367
33/9-C-36	DST	\N	0.000000	0.000000	\N	1989-08-13	1991-11-05	1388	9999-12-31	2013-05-08	368
33/9-M-2 H	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	2155	9999-12-31	2013-05-08	369
33/9-M-2 H	PROD	TEST1	0.000000	0.000000	OIL	1994-07-27	1994-09-22	2155	9999-12-31	2013-05-08	370
34/10-1	DST	DST1	1930.000000	1935.000000	\N	1978-08-21	1980-01-01	424	2012-12-05	2013-05-08	371
34/10-1	DST	DST3	1788.000000	1792.000000	\N	1978-08-29	1980-01-01	424	2012-12-05	2013-05-08	372
34/10-11	DST	TEST2	1891.000000	1896.000000	\N	1981-02-23	1991-12-05	211	9999-12-31	2013-05-08	373
34/10-13	DST	TEST2	2003.000000	2009.000000	\N	1981-12-23	1991-12-05	431	9999-12-31	2013-05-08	374
34/10-16	DST	TEST1	3397.000000	3407.000000	OIL	1983-09-10	1991-12-05	59	9999-12-31	2013-05-08	375
34/10-16	DST	TEST2	3177.000000	3187.000000	\N	1983-09-17	1991-12-05	59	9999-12-31	2013-05-08	376
34/10-17	DST	TEST2	2880.000000	2895.000000	\N	1983-08-07	1991-12-05	5	9999-12-31	2013-05-08	377
34/10-17	DST	TEST3	2835.000000	2845.000000	\N	1983-06-22	1991-12-05	5	9999-12-31	2013-05-08	378
34/10-17	DST	TEST4	2754.000000	2790.000000	CONDENSATE	1983-06-28	1991-12-05	5	9999-12-31	2013-05-08	379
34/10-2	DST	TEST2	3353.000000	3365.000000	\N	1979-07-22	1991-11-05	425	2012-12-05	2013-05-08	380
34/10-2	DST	TEST3	3335.000000	3345.000000	\N	1979-07-26	1980-01-01	425	2012-12-05	2013-05-08	381
34/10-2	DST	TEST3A	3335.000000	0.000000	\N	1979-07-28	1991-11-05	425	2012-12-05	2013-05-08	382
34/10-2	DST	TEST4	3110.000000	3115.000000	\N	1979-08-02	1980-01-01	425	2012-12-05	2013-05-08	383
34/10-2	DST	DST5	3018.000000	3028.000000	\N	1979-08-05	1980-01-01	425	2012-12-05	2013-05-08	384
34/10-21	DST	TEST2	3290.000000	3312.000000	CONDENSATE	1984-10-13	1991-12-05	221	9999-12-31	2013-05-08	385
34/10-23	DST	TEST1	4085.000000	4095.000000	CONDENSATE	1985-09-28	1991-12-05	476	9999-12-31	2013-05-08	386
34/10-3	DST	DST 2	1940.000000	1935.000000	\N	1979-06-01	1980-01-01	426	2012-12-05	2013-05-08	387
34/10-30	DST	TEST1	3460.000000	3473.000000	\N	1986-04-15	1991-12-05	877	9999-12-31	2013-05-08	388
34/10-30	DST	TEST2	3297.000000	3318.000000	\N	1986-04-21	1991-12-05	877	9999-12-31	2013-05-08	389
34/10-30	DST	TEST3	3125.000000	3155.000000	\N	1986-04-30	1991-12-05	877	9999-12-31	2013-05-08	390
34/10-32 R	DST	TEST2	3368.000000	3374.000000	OIL	1987-08-02	1991-12-05	1128	9999-12-31	2013-05-08	391
34/10-33	DST	TEST1,1   	3378.000000	3394.000000	\N	1988-11-29	1991-12-05	1302	9999-12-31	2013-05-08	392
34/10-33	DST	TEST2	0.000000	0.000000	\N	1988-12-08	1991-12-05	1302	9999-12-31	2013-05-08	393
34/10-33	DST	TEST2,1   	3279.000000	3307.000000	OIL	1988-12-08	1991-12-05	1302	9999-12-31	2013-05-08	394
34/10-33 C	DST	DST 1B	0.000000	0.000000	\N	1990-04-11	1991-12-05	1384	9999-12-31	2013-05-08	395
34/10-34	DST	TEST1	2001.000000	1994.000000	\N	1991-05-23	1991-12-05	1747	9999-12-31	2013-05-08	396
34/10-35	DST	TEST1	4015.000000	4025.000000	\N	1992-06-01	1992-07-02	1874	2013-03-12	2013-05-08	397
34/10-35	DST	TEST2	3995.000000	3984.000000	\N	1992-06-09	1992-07-02	1874	2013-03-12	2013-05-08	398
34/10-35	DST	TEST3	3929.000000	3920.000000	\N	1992-06-15	1992-07-02	1874	2013-03-12	2013-05-08	399
34/10-36	DST	TEST1	3371.200000	3373.200000	\N	1992-06-28	1992-07-23	1940	9999-12-31	2013-05-08	400
34/10-38 S	DST	TEST1B	0.000000	0.000000	\N	1995-05-23	1995-07-17	2517	9999-12-31	2013-05-08	401
34/10-4	DST	DST1A	1880.000000	1885.000000	\N	1979-10-05	1980-01-01	427	2012-12-06	2013-05-08	402
34/10-4	DST	DST 2	1824.000000	1826.000000	\N	1979-10-12	1980-01-01	427	2012-12-06	2013-05-08	403
34/10-47 S	DST	\N	0.000000	0.000000	OIL	9999-12-31	2011-03-10	4609	9999-12-31	2013-05-08	404
34/10-6	DST	\N	3037.500000	0.000000	\N	1991-04-06	1991-12-05	429	2012-12-06	2013-05-08	405
34/10-7	DST	\N	1833.000000	1840.000000	\N	9999-12-31	1980-01-01	222	2012-11-15	2013-05-08	406
34/10-7	DST	DST 1	1558.000000	1865.000000	\N	1980-03-17	1991-12-05	222	2012-11-15	2013-05-08	407
34/10-7	DST	TEST2	1835.000000	1865.000000	OIL	1983-07-01	1991-12-05	222	2012-11-15	2013-05-08	408
34/10-8	DST	DST 1	1845.000000	1848.000000	\N	1980-05-17	1980-01-01	230	2012-11-15	2013-05-08	409
34/10-9	DST	\N	2078.000000	2084.000000	\N	9999-12-31	9999-12-31	140	2012-11-16	2013-05-08	410
34/10-9	DST	DST 2A	2084.000000	2090.000000	\N	1980-06-21	1980-01-01	140	2012-11-16	2013-05-08	411
34/10-9	DST	DST 3	1906.000000	1910.000000	\N	1980-06-24	1980-01-01	140	2012-11-16	2013-05-08	412
34/10-A-16	DST	\N	0.000000	0.000000	\N	1990-07-31	1991-12-05	1285	9999-12-31	2013-05-08	413
34/10-A-22	DST	TEST4C	2195.000000	0.000000	CONDENSATE	1989-03-23	1991-12-05	1379	9999-12-31	2013-05-08	414
34/10-A-30	DST	\N	0.000000	0.000000	\N	1993-01-28	1993-02-09	1682	9999-12-31	2013-05-08	415
34/10-A-37	DST	\N	0.000000	0.000000	\N	1995-03-22	1995-04-24	1947	9999-12-31	2013-05-08	416
34/10-A-37	DST	\N	0.000000	0.000000	\N	1993-01-28	1993-02-09	1947	9999-12-31	2013-05-08	417
34/10-A-5 H	PROD	PROD 1	1933.000000	1886.000000	\N	1987-03-24	1991-12-05	942	9999-12-31	2013-05-08	418
34/10-B-23	DST	\N	0.000000	0.000000	\N	1993-01-26	1993-02-09	1982	9999-12-31	2013-05-08	419
34/10-B-5	DST	\N	0.000000	0.000000	\N	9999-12-31	1991-12-05	1124	9999-12-31	2013-05-08	420
34/10-C-1	DST	\N	0.000000	0.000000	\N	1993-01-24	1993-02-09	1472	9999-12-31	2013-05-08	421
34/10-C-14	DST	\N	0.000000	0.000000	\N	1993-01-25	1993-02-09	2017	9999-12-31	2013-05-08	422
34/10-C-2	DST	\N	0.000000	0.000000	\N	1990-07-28	1991-12-05	1491	9999-12-31	2013-05-08	423
34/10-C-6	DST	RFT	3037.500000	0.000000	\N	1991-04-06	1992-04-01	1716	9999-12-31	2013-05-08	424
34/10-C-7	DST	TEST2	3341.000000	3099.000000	\N	1991-10-15	1992-04-01	1045	9999-12-31	2013-05-08	425
34/11-1	DST	DST1	4114.000000	4093.500000	CONDENSATE	1994-10-11	1994-10-20	2377	2012-11-16	2013-05-08	426
34/11-2 S	DST	TEST1B	4260.000000	4185.000000	CONDENSATE	1996-05-01	1996-08-19	2733	2012-11-16	2013-05-08	427
34/3-1 S	DST	\N	0.000000	0.000000	OIL	9999-12-31	2011-06-17	5811	9999-12-31	2013-05-08	428
34/3-2 S	DST	\N	0.000000	0.000000	WATER	9999-12-31	2011-06-17	6249	9999-12-31	2013-05-08	429
34/4-10 R	DST	\N	0.000000	3966.500000	OIL	2000-04-09	9999-12-31	4051	9999-12-31	2013-05-08	430
34/4-13 S	DST	\N	4813.710000	4803.000000	OIL	2010-12-12	2010-11-19	6442	2013-01-15	2013-05-08	431
34/4-4	DST	DST2	2572.000000	2578.000000	\N	1982-12-31	1991-02-20	41	2012-12-22	2013-05-08	432
34/4-4	DST	DST4	2429.000000	2437.000000	OIL	1983-01-22	1991-02-20	41	2012-12-22	2013-05-08	433
34/4-5	DST	DST2	3462.700000	3480.700000	\N	1984-03-30	1991-02-20	37	9999-12-31	2013-05-08	434
34/4-6	DST	DST1	0.000000	0.000000	OIL	1986-03-18	1991-02-20	875	9999-12-31	2013-05-08	435
34/4-7	DST	DST1	2579.000000	2596.000000	\N	1987-04-02	1991-02-20	943	9999-12-31	2013-05-08	436
34/4-7	DST	DST2	2506.000000	2566.000000	\N	1987-04-19	1991-02-20	943	9999-12-31	2013-05-08	437
34/7-1	DST	DST1	2574.000000	2581.000000	OIL	1984-07-01	1991-02-20	111	9999-12-31	2013-05-08	438
34/7-1	DST	DST2	2467.000000	2455.000000	OIL	1984-07-09	1991-02-20	111	9999-12-31	2013-05-08	439
34/7-1	DST	DST3	2416.000000	2409.000000	\N	1984-07-15	1990-02-20	111	9999-12-31	2013-05-08	440
34/7-10	DST	TEST1	2606.700000	2610.700000	\N	1986-10-07	1991-02-20	947	9999-12-31	2013-05-08	441
34/7-10	DST	TEST2	2583.400000	2588.900000	OIL	1986-10-11	1991-02-20	947	9999-12-31	2013-05-08	442
34/7-10	DST	TEST3	2535.000000	2544.500000	\N	1986-10-17	1991-02-20	947	9999-12-31	2013-05-08	443
34/7-10	DST	DST4	2549.000000	2551.500000	\N	1986-10-22	1991-02-20	947	9999-12-31	2013-05-08	444
34/7-12	DST	DST2	2229.000000	2235.000000	\N	1987-12-03	1991-02-20	1187	9999-12-31	2013-05-08	445
34/7-12	DST	DST3	2205.500000	2209.500000	\N	1987-12-10	1991-02-20	1187	9999-12-31	2013-05-08	446
34/7-13	DST	DST1,1    	2504.000000	2500.000000	\N	1988-04-05	1991-02-20	1233	9999-12-31	2013-05-08	447
34/7-14	DST	DST1	2207.300000	2216.300000	OIL	1989-11-19	1991-02-20	1278	9999-12-31	2013-05-08	448
34/7-14	DST	DST2	2179.700000	2185.700000	OIL	1989-11-25	1991-02-20	1278	9999-12-31	2013-05-08	449
34/7-16	DST	DST3	2401.000000	2414.000000	OIL	1990-10-06	1991-02-20	1550	9999-12-31	2013-05-08	450
34/7-16 R	DST	DST2	2454.000000	2458.000000	OIL	1990-09-30	1991-02-20	1677	9999-12-31	2013-05-08	451
34/7-17 A	DST	DST1	2495.000000	2499.000000	\N	9999-12-31	1991-09-09	1536	9999-12-31	2013-05-08	452
34/7-19	DST	TEST2	2455.300000	2468.300000	\N	1991-12-10	1992-03-25	1838	9999-12-31	2013-05-08	453
34/7-21	DST	TEST1	0.000000	0.000000	OIL	1992-12-03	1993-02-09	2026	9999-12-31	2013-05-08	454
34/7-21	DST	TEST2	0.000000	0.000000	OIL	1992-12-05	1993-02-09	2026	9999-12-31	2013-05-08	455
34/7-3	DST	DST1	2601.000000	2607.500000	\N	1984-12-05	1991-02-20	442	9999-12-31	2013-05-08	456
34/7-3	DST	DST3B	2440.900000	2449.400000	OIL	1984-12-25	1991-02-20	442	9999-12-31	2013-05-08	457
34/7-4	DST	\N	2563.000000	2547.000000	\N	9999-12-31	1991-02-20	455	9999-12-31	2013-05-08	458
34/7-4	DST	DST1	0.000000	0.000000	\N	9999-12-31	1995-08-09	455	9999-12-31	2013-05-08	459
34/7-5	DST	DST1A	2502.500000	2512.500000	\N	1985-03-08	1991-02-20	458	9999-12-31	2013-05-08	460
34/7-6	DST	DST2	2572.000000	2549.000000	OIL	1985-05-16	1991-02-20	465	9999-12-31	2013-05-08	461
34/7-6	DST	TEST3,2   	2518.500000	2522.500000	OIL	1985-05-26	1991-02-20	465	9999-12-31	2013-05-08	462
34/7-7	DST	DST1	2561.500000	2569.500000	OIL	1985-11-13	1991-02-20	525	9999-12-31	2013-05-08	463
34/7-7	DST	DST1,1    	0.000000	0.000000	OIL	1985-11-23	1991-02-20	525	9999-12-31	2013-05-08	464
34/7-7	DST	TEST2	2611.000000	2614.000000	OIL	1985-12-08	1991-02-20	525	9999-12-31	2013-05-08	465
34/7-8	DST	TEST1	2359.000000	2374.000000	OIL	1986-03-22	1991-02-20	878	9999-12-31	2013-05-08	466
34/7-8	DST	TEST1,1   	2333.000000	2348.000000	OIL	1986-03-22	1991-02-20	878	9999-12-31	2013-05-08	467
34/7-8	DST	TEST1,2   	2333.000000	2348.000000	OIL	1986-03-26	1991-02-20	878	9999-12-31	2013-05-08	468
34/7-8	DST	TEST2,0   	2303.000000	2308.000000	\N	1986-03-31	1991-02-20	878	9999-12-31	2013-05-08	469
34/7-8	DST	TEST3	2250.000000	2258.000000	OIL	1986-04-04	1991-02-20	878	9999-12-31	2013-05-08	470
34/7-9	DST	DST1B	2524.000000	2527.000000	OIL	1986-05-24	1991-02-20	889	9999-12-31	2013-05-08	471
34/8-1	DST	DST1	2880.000000	2900.000000	\N	1986-02-18	1995-08-09	854	9999-12-31	2013-05-08	472
34/8-1	DST	DST2	2811.400000	2814.400000	OIL	1986-02-24	1991-02-28	854	9999-12-31	2013-05-08	473
34/8-1	DST	DST3	2726.800000	2765.200000	CONDENSATE	1986-03-01	1991-02-28	854	9999-12-31	2013-05-08	474
34/8-10 S	DST	DST1	0.000000	0.000000	\N	1993-11-24	1993-12-29	2179	9999-12-31	2013-05-08	475
34/8-11	DST	DST1	2950.100000	2936.100000	\N	1994-01-13	1994-01-20	2180	2012-12-22	2013-05-08	476
34/8-3	DST	\N	0.000000	0.000000	\N	9999-12-31	1991-10-28	940	2012-12-22	2013-05-08	477
34/8-3	DST	TEST1	2935.000000	2947.000000	\N	1988-08-18	1991-02-28	940	2012-12-22	2013-05-08	478
34/8-3	DST	DST2	2905.000000	2921.000000	\N	1988-08-30	1991-02-28	940	2012-12-22	2013-05-08	479
34/8-3	DST	DST3	2868.000000	2880.000000	CONDENSATE	1988-09-08	1991-02-28	940	2012-12-22	2013-05-08	480
34/8-3 A	DST	\N	3071.000000	3093.000000	\N	1988-10-20	1991-02-28	1338	2012-12-22	2013-05-08	481
34/8-3 A	DST	DST1B	3071.500000	3078.500000	\N	1988-10-23	1991-02-28	1338	2012-12-22	2013-05-08	482
34/8-4 A	DST	DST1	3322.900000	3340.900000	OIL	1992-04-09	1992-04-27	1909	9999-12-31	2013-05-08	483
34/8-4 A	DST	DST2	0.000000	0.000000	OIL	1992-04-22	1995-08-09	1909	9999-12-31	2013-05-08	484
34/8-4 A	DST	DST4	0.000000	0.000000	OIL	1992-05-12	9999-12-31	1909	9999-12-31	2013-05-08	485
34/8-4 S	DST	TEST1	3062.100000	3079.700000	\N	1991-04-13	1991-11-05	1683	9999-12-31	2013-05-08	486
34/8-4 S	DST	TEST2A	2994.400000	3002.200000	\N	1991-04-27	1991-05-28	1683	9999-12-31	2013-05-08	487
34/8-4 S	DST	TEST2B	2943.200000	3002.200000	\N	1991-05-13	1991-05-08	1683	9999-12-31	2013-05-08	488
34/8-4 S	DST	DST4	0.000000	0.000000	\N	1991-06-01	1995-08-09	1683	9999-12-31	2013-05-08	489
34/8-5	DST	\N	0.000000	0.000000	\N	1991-04-13	1991-05-28	1719	2012-12-22	2013-05-08	490
34/8-8 R	DST	TEST1	2973.200000	2960.200000	\N	1993-02-21	1993-03-15	2080	9999-12-31	2013-05-08	491
34/8-8 R	DST	TEST2	2950.000000	2921.000000	\N	1993-02-26	1993-03-15	2080	9999-12-31	2013-05-08	492
35/11-13	DST	TEST 1	0.000000	0.000000	OIL	2005-05-12	9999-12-31	5063	9999-12-31	2013-05-08	493
35/11-15 S	MDT	\N	0.000000	2941.000000	OIL	2007-05-10	2011-03-10	5517	9999-12-31	2013-05-08	494
35/11-2	DST	DST1	0.000000	0.000000	\N	9999-12-31	9999-12-31	893	9999-12-31	2013-05-08	495
35/11-2	DST	DST2	3524.000000	3542.000000	\N	1987-11-03	1991-07-09	893	9999-12-31	2013-05-08	496
35/11-2	DST	\N	3524.000000	3542.000000	\N	1987-11-09	1991-02-28	893	9999-12-31	2013-05-08	497
35/11-2	DST	DST2B	0.000000	0.000000	\N	1987-11-09	1991-12-05	893	9999-12-31	2013-05-08	498
35/11-2	DST	DST3	3477.000000	3486.500000	\N	1987-11-12	1991-02-28	893	9999-12-31	2013-05-08	499
35/11-2	DST	DST4	3370.000000	3378.000000	\N	1987-11-14	1991-02-28	893	9999-12-31	2013-05-08	500
35/11-2	DST	DST4	0.000000	0.000000	\N	1987-11-14	1991-12-05	893	9999-12-31	2013-05-08	501
35/11-2	DST	DST4	3427.000000	3432.000000	\N	1987-11-14	1991-07-09	893	9999-12-31	2013-05-08	502
35/11-2	DST	\N	3374.000000	3378.000000	\N	1987-11-19	1991-02-28	893	9999-12-31	2013-05-08	503
35/11-2	DST	DST 5	3378.000000	3374.000000	\N	1987-11-19	1991-12-05	893	9999-12-31	2013-05-08	504
35/11-2	DST	DST51	3374.000000	3378.000000	\N	1987-11-14	1991-07-09	893	9999-12-31	2013-05-08	505
35/11-4	DST	DST1	2674.500000	2682.000000	\N	1991-12-07	1992-03-16	1523	9999-12-31	2013-05-08	506
35/11-4	DST	DST2	2284.000000	2291.000000	OIL	1991-12-16	1992-01-10	1523	9999-12-31	2013-05-08	507
35/11-4	DST	DST 2B	0.000000	0.000000	OIL	1991-12-16	1992-03-16	1523	9999-12-31	2013-05-08	508
35/11-4	DST	DST 3	2034.000000	2046.000000	\N	1991-12-31	1992-01-10	1523	9999-12-31	2013-05-08	509
35/11-4	DST	DST3	2034.000000	2046.000000	\N	1991-12-31	1992-03-16	1523	9999-12-31	2013-05-08	510
35/11-4	DST	DST 4B	2000.000000	2003.000000	\N	1992-01-16	1992-01-25	1523	9999-12-31	2013-05-08	511
35/11-4	DST	DST4B	0.000000	0.000000	OIL	9999-12-31	9999-12-31	1523	9999-12-31	2013-05-08	512
35/11-4 R	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	1883	9999-12-31	2013-05-08	513
35/11-4 R	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	1883	9999-12-31	2013-05-08	514
35/11-7	DST	DST1	2476.000000	2491.000000	\N	1992-09-12	1992-10-01	1979	9999-12-31	2013-05-08	515
35/11-7	DST	DST2	2476.000000	2499.000000	OIL	1992-09-21	1992-10-01	1979	9999-12-31	2013-05-08	516
35/11-8 S	DST	TEST 1B	2931.000000	2910.000000	\N	1996-04-21	1996-05-06	2772	9999-12-31	2013-05-08	517
35/11-8 S	DST	TEST2	2892.000000	2885.000000	\N	1996-04-27	1996-07-05	2772	9999-12-31	2013-05-08	518
35/3-4	DST	DST2A	3445.000000	3471.500000	\N	1981-05-25	1991-02-20	219	9999-12-31	2013-05-08	519
35/9-1	DST	TEST1	2285.000000	2291.800000	\N	1989-07-12	1991-02-28	1375	9999-12-31	2013-05-08	520
35/9-1	DST	DST1	0.000000	0.000000	\N	1989-07-12	1991-12-05	1375	9999-12-31	2013-05-08	521
35/9-1	DST	\N	2225.400000	2249.400000	\N	9999-12-31	1991-02-28	1375	9999-12-31	2013-05-08	522
35/9-1	DST	DST2	0.000000	0.000000	CONDENSATE	1989-07-15	1991-12-05	1375	9999-12-31	2013-05-08	523
35/9-1	DST	\N	2100.300000	2138.300000	\N	9999-12-31	1991-02-28	1375	9999-12-31	2013-05-08	524
35/9-1	DST	TEST3	0.000000	0.000000	CONDENSATE	1989-07-20	1991-12-05	1375	9999-12-31	2013-05-08	525
35/9-2	DST	TEST-1	2342.000000	2330.000000	\N	1991-02-23	1991-05-28	1600	9999-12-31	2013-05-08	526
35/9-2	DST	TEST-2	2295.500000	2310.500000	\N	1991-03-11	1991-05-28	1600	9999-12-31	2013-05-08	527
35/9-2	DST	TEST-3	2187.200000	2211.200000	CONDENSATE	1991-03-19	1991-05-28	1600	9999-12-31	2013-05-08	528
35/9-2	DST	TEST- 4	2130.000000	2100.000000	CONDENSATE	1991-03-27	1991-05-28	1600	9999-12-31	2013-05-08	529
36/7-1	DST	DST1	2368.000000	2363.000000	\N	1996-05-01	1996-08-19	1794	9999-12-31	2013-05-08	530
6/3-1	DST	TEST1	3023.000000	3015.000000	\N	1985-01-08	1991-10-01	450	9999-12-31	2013-05-08	531
6/3-1	DST	TEST2	2993.000000	2978.000000	\N	1985-01-15	1991-10-01	450	9999-12-31	2013-05-08	532
6/3-1	DST	TEST3	2921.000000	2902.000000	\N	1985-01-21	1991-10-01	450	9999-12-31	2013-05-08	533
6201/11-1	DST	TEST3	2712.600000	2716.700000	\N	1987-10-30	1991-12-05	1134	9999-12-31	2013-05-08	534
6305/5-1	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	3144	9999-12-31	2013-05-08	535
6305/7-1	DST	DST 1	2931.000000	2915.000000	CONDENSATE	1998-08-23	2000-01-04	3535	9999-12-31	2013-05-08	536
6305/8-1	MDT	MDT-1	0.000000	2942.000000	WATER	2000-08-12	2000-10-02	4109	9999-12-31	2013-05-08	537
6306/10-1	DST	DST2	2716.000000	2827.000000	\N	1990-12-11	1991-03-06	1551	9999-12-31	2013-05-08	538
6405/7-1	DST	\N	2811.700000	2758.000000	OIL	2003-10-02	2004-06-15	4749	9999-12-31	2013-05-08	539
6406/3-2	DST	TEST2	3937.000000	3995.000000	\N	1986-11-09	1991-12-05	863	9999-12-31	2013-05-08	540
6406/3-3	DST	RFT2D	3994.500000	0.000000	\N	1986-09-29	1991-12-05	949	9999-12-31	2013-05-08	541
6406/3-9	MDT	\N	0.000000	4102.150000	OIL	2012-03-02	2012-07-19	6594	9999-12-31	2013-05-08	542
6406/3-9	MDT	\N	0.000000	3457.500000	OIL	2012-01-22	2012-07-19	6594	9999-12-31	2013-05-08	543
6406/3-D-2 H	DST	\N	0.000000	4189.200000	OIL	2010-10-21	2011-02-10	6454	9999-12-31	2013-05-08	544
6406/8-1	DST	DST2C	0.000000	0.000000	\N	9999-12-31	9999-12-31	1136	9999-12-31	2013-05-08	545
6406/8-1	DST	DST2C	4453.500000	4413.500000	WATER	1988-03-26	1995-08-09	1136	9999-12-31	2013-05-08	546
6406/9-1	DST	\N	0.000000	0.000000	CONDENSATE	2005-04-30	2005-10-11	4927	9999-12-31	2013-05-08	547
6407/1-2	DST	TEST1	3659.000000	3669.000000	\N	1983-05-06	1991-12-05	61	9999-12-31	2013-05-08	548
6407/1-3	DST	TEST1	3697.500000	3702.500000	\N	1983-12-22	1991-12-05	29	9999-12-31	2013-05-08	549
6407/1-3	DST	TEST2	3665.000000	3670.000000	\N	1984-01-04	1991-12-05	29	9999-12-31	2013-05-08	550
6407/1-4	DST	DST1	0.000000	0.000000	OIL	1996-08-03	1996-08-19	2796	9999-12-31	2013-05-08	551
6407/2-2	DST	DST1	2476.000000	2484.000000	CONDENSATE	1983-06-25	1991-02-20	16	9999-12-31	2013-05-08	552
6407/2-3	DST	DST1	2518.200000	2508.700000	\N	1987-01-06	1991-02-20	935	9999-12-31	2013-05-08	553
6407/2-3	DST	DST 2	2427.800000	2435.800000	\N	1987-01-13	1991-02-20	935	9999-12-31	2013-05-08	554
6407/2-6 S	DST	\N	0.000000	2940.000000	\N	9999-12-31	2011-03-10	6351	9999-12-31	2013-05-08	555
6407/4-1	DST	TEST2	3889.000000	3919.000000	\N	1985-11-04	1991-12-05	490	9999-12-31	2013-05-08	556
6407/6-3	DST	TEST1	2581.200000	2574.200000	\N	1987-01-31	1991-12-05	1024	9999-12-31	2013-05-08	557
6407/6-3	DST	TEST2	2559.200000	2550.200000	\N	1987-02-05	1991-12-05	1024	9999-12-31	2013-05-08	558
6407/6-3	DST	TEST3	2493.000000	2483.000000	\N	1987-02-10	1991-12-05	1024	9999-12-31	2013-05-08	559
6407/7-1 S	DST	DST2	3022.900000	3034.400000	OIL	1986-03-08	1991-02-28	474	9999-12-31	2013-05-08	560
6407/7-1 S	DST	DST3	2946.500000	2973.000000	OIL	1986-03-16	1991-02-28	474	9999-12-31	2013-05-08	561
6407/7-1 S	DST	DST4	2840.000000	2886.000000	\N	1986-03-23	1991-02-28	474	9999-12-31	2013-05-08	562
6407/7-1 S	DST	DST5	2758.000000	2781.000000	\N	1986-03-30	1991-02-28	474	9999-12-31	2013-05-08	563
6407/7-2	DST	\N	2869.000000	2878.000000	\N	1987-01-06	1991-02-28	1017	9999-12-31	2013-05-08	564
6407/7-2	DST	DST2	2801.500000	2819.500000	OIL	1987-01-12	1991-02-28	1017	9999-12-31	2013-05-08	565
6407/7-2 R	DST	DST1	0.000000	0.000000	\N	9999-12-31	1991-02-28	1513	9999-12-31	2013-05-08	566
6407/7-2 R	DST	\N	2772.600000	2878.000000	\N	1990-03-24	1991-12-05	1513	9999-12-31	2013-05-08	567
6407/7-3	DST	DST2A	2990.000000	3014.000000	\N	1988-05-08	1991-02-28	1229	9999-12-31	2013-05-08	568
6407/7-3	DST	DST3	2852.000000	2867.000000	\N	1988-05-11	1991-02-28	1229	9999-12-31	2013-05-08	569
6407/7-4	DST	DST2A	2999.000000	3008.000000	\N	1989-03-21	1991-12-05	1360	9999-12-31	2013-05-08	570
6407/7-4	DST	DST 2B	2999.000000	3008.000000	\N	1989-03-25	1991-02-28	1360	9999-12-31	2013-05-08	571
6407/7-6	DST	DST 1	0.000000	3726.000000	\N	2000-12-01	2001-02-28	4172	9999-12-31	2013-05-08	572
6407/7-7 S	DST	\N	0.000000	3623.000000	CONDENSATE	2010-05-19	2011-03-10	5550	9999-12-31	2013-05-08	573
6407/9-1	DST	DST1	1638.000000	1632.000000	\N	1984-08-29	1991-12-05	133	9999-12-31	2013-05-08	574
6407/9-1	DST	TEST1	1632.000000	1638.000000	\N	1984-08-29	1991-03-06	133	9999-12-31	2013-05-08	575
6407/9-2	DST	DST2	1651.000000	1657.000000	\N	1985-01-16	1991-03-06	449	9999-12-31	2013-05-08	576
6407/9-3	DST	TEST1E	1631.000000	1643.000000	\N	1985-07-20	1991-03-16	469	9999-12-31	2013-05-08	577
6407/9-4	DST	TEST2A	1662.000000	1667.000000	\N	1985-08-16	1991-03-06	480	9999-12-31	2013-05-08	578
6407/9-5	DST	DST1	1654.000000	1661.000000	\N	1985-10-30	1991-03-06	492	9999-12-31	2013-05-08	579
6407/9-6	DST	SAMPLE8	1637.000000	1646.000000	\N	1986-02-18	1991-03-06	871	9999-12-31	2013-05-08	580
6506/11-2	DST	DST1A	4668.000000	4704.000000	\N	1991-08-29	1992-04-01	1754	9999-12-31	2013-05-08	581
6506/11-2	DST	DST2	4553.200000	4597.000000	\N	1991-09-10	1992-04-01	1754	9999-12-31	2013-05-08	582
6506/11-2	DST	DST4	4420.000000	4371.000000	\N	1991-09-22	1992-04-01	1754	9999-12-31	2013-05-08	583
6506/11-2	DST	TEST5	4048.000000	4005.000000	\N	1991-10-03	1992-04-01	1754	9999-12-31	2013-05-08	584
6506/11-2	DST	TEST6	3373.500000	3398.500000	\N	1991-10-10	1992-04-01	1754	9999-12-31	2013-05-08	585
6506/11-6	DST	DST1	4849.000000	4839.000000	\N	1998-07-06	1998-07-21	3306	9999-12-31	2013-05-08	586
6506/11-6	DST	TEST2	4737.000000	4695.000000	CONDENSATE	1998-07-21	1998-09-16	3306	9999-12-31	2013-05-08	587
6506/11-6	DST	TEST3	4669.000000	4651.000000	CONDENSATE	9999-12-31	1998-09-16	3306	9999-12-31	2013-05-08	588
6506/11-7	DST	\N	0.000000	0.000000	CONDENSATE	2001-06-22	2011-03-10	3322	9999-12-31	2013-05-08	589
6506/11-7	DST	\N	0.000000	0.000000	CONDENSATE	2001-07-14	2011-03-10	3322	9999-12-31	2013-05-08	590
6506/11-8	DST	2C	0.000000	4773.000000	CONDENSATE	9999-12-31	2011-03-10	5295	9999-12-31	2013-05-08	591
6506/11-8	DST	2B	0.000000	4578.000000	CONDENSATE	9999-12-31	2011-03-10	5295	9999-12-31	2013-05-08	592
6506/12-1	DST	DST2	4351.000000	4374.000000	\N	1984-12-11	1991-12-05	1004	9999-12-31	2013-05-08	593
6506/12-1	DST	DST2C	4373.000000	4351.000000	\N	1984-12-12	1991-12-05	1004	9999-12-31	2013-05-08	594
6506/12-1	DST	DST3	4374.000000	4351.000000	\N	1984-12-22	1991-12-05	1004	9999-12-31	2013-05-08	595
6506/12-1	DST	DST4	4251.000000	4261.000000	\N	1984-12-26	1991-12-05	1004	9999-12-31	2013-05-08	596
6506/12-1	DST	DST4B	4251.000000	4261.000000	\N	1984-12-30	1991-12-05	1004	9999-12-31	2013-05-08	597
6506/12-1	DST	DST5B	4203.000000	4218.000000	\N	1985-01-08	1991-12-05	1004	9999-12-31	2013-05-08	598
6506/12-1	DST	DST5D	4203.000000	4218.000000	\N	1985-01-14	1992-04-01	1004	9999-12-31	2013-05-08	599
6506/12-1	DST	DST7	3993.000000	4011.000000	\N	1985-01-27	1992-04-01	1004	9999-12-31	2013-05-08	600
6506/12-10 A	DST	TEST1	0.000000	0.000000	\N	1995-10-28	1996-04-15	2610	9999-12-31	2013-05-08	601
6506/12-11 S	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	2795	9999-12-31	2013-05-08	602
6506/12-11 S	DST	DST1	0.000000	0.000000	\N	1996-08-23	1996-11-29	2795	9999-12-31	2013-05-08	603
6506/12-11 S	DST	DST2	0.000000	0.000000	\N	1996-09-03	1996-11-29	2795	9999-12-31	2013-05-08	604
6506/12-3	DST	DST1	4222.000000	4241.000000	\N	1985-05-21	1992-04-01	468	9999-12-31	2013-05-08	605
6506/12-3	DST	DST2	4143.000000	4148.000000	\N	1985-05-28	1992-04-01	468	9999-12-31	2013-05-08	606
6506/12-3	DST	DST3	3960.000000	3980.000000	\N	1985-06-04	1992-04-01	468	9999-12-31	2013-05-08	607
6506/12-3	DST	DST4	3880.000000	3890.000000	\N	1985-06-10	1992-04-01	468	9999-12-31	2013-05-08	608
6506/12-3	DST	DST5	3822.000000	3836.000000	\N	1985-07-03	1992-04-01	468	9999-12-31	2013-05-08	609
6506/12-3	DST	DST6	3162.000000	3173.000000	\N	1985-07-08	1992-04-01	468	9999-12-31	2013-05-08	610
6506/12-5	DST	DST2	4004.000000	4009.500000	\N	1986-02-21	1992-01-17	852	9999-12-31	2013-05-08	611
6506/12-5	DST	DST2B	0.000000	0.000000	\N	1986-02-23	1992-04-01	852	9999-12-31	2013-05-08	612
6506/12-5	DST	DST4	3145.000000	3148.500000	\N	1986-03-12	1992-04-01	852	9999-12-31	2013-05-08	613
6506/12-6	DST	TEST1	4485.000000	4496.000000	\N	1986-07-02	1992-04-01	1342	9999-12-31	2013-05-08	614
6506/12-6	DST	TEST3	4283.000000	4323.000000	\N	1986-07-16	1992-04-01	1342	9999-12-31	2013-05-08	615
6506/12-7	DST	TEST1	4741.000000	4748.000000	\N	1982-07-18	1992-04-01	300	9999-12-31	2013-05-08	616
6506/12-7	DST	TEST2	4702.000000	4707.000000	\N	1982-07-24	1992-04-01	300	9999-12-31	2013-05-08	617
6506/12-7	DST	TEST3	4474.000000	4512.000000	\N	1982-07-30	1992-04-01	300	9999-12-31	2013-05-08	618
6506/12-8	DST	TEST1	4237.000000	4277.000000	\N	1988-08-16	1992-05-02	1068	9999-12-31	2013-05-08	619
6506/12-8	DST	TEST2	3915.000000	3923.000000	\N	1988-08-25	1992-05-02	1068	9999-12-31	2013-05-08	620
6506/12-9 S	DST	DST5	0.000000	0.000000	OIL	1993-08-29	1993-10-01	2128	9999-12-31	2013-05-08	621
6506/12-K-3 H	DST	\N	0.000000	0.000000	\N	1998-06-06	1998-07-23	3124	9999-12-31	2013-05-08	622
6507/11-3	DST	DST1	2519.000000	2521.000000	\N	1985-08-01	1991-02-20	470	9999-12-31	2013-05-08	623
6507/11-3	DST	DST2	2495.000000	2508.000000	\N	1985-08-05	1991-02-20	470	9999-12-31	2013-05-08	624
6507/11-3	DST	DST3	2412.500000	2419.500000	\N	1985-08-10	1991-02-20	470	9999-12-31	2013-05-08	625
6507/11-9	DST	2A	0.000000	0.000000	WATER	9999-12-31	9999-12-31	5766	9999-12-31	2013-05-08	626
6507/2-2	DST	TEST1A	3294.000000	3285.000000	CONDENSATE	1992-02-16	9999-12-31	1840	9999-12-31	2013-05-08	627
6507/2-2	DST	TEST2	2831.000000	2820.000000	\N	1992-03-02	1992-03-27	1840	9999-12-31	2013-05-08	628
6507/2-4	DST	\N	0.000000	0.000000	\N	9999-12-31	2011-08-06	5685	9999-12-31	2013-05-08	629
6507/3-1	DST	TEST3	3611.000000	3636.000000	\N	1990-10-10	1992-05-02	1533	9999-12-31	2013-05-08	630
6507/5-1	DST	DST1	3607.000000	3653.000000	OIL	1998-04-02	1998-04-28	3683	9999-12-31	2013-05-08	631
6507/5-1	DST	DST2	3430.000000	3442.000000	CONDENSATE	1998-04-13	1998-04-28	3683	9999-12-31	2013-05-08	632
6507/5-1	DST	DST2A	3494.000000	3514.000000	CONDENSATE	1998-04-15	1998-04-28	3683	9999-12-31	2013-05-08	633
6507/5-1	DST	DST3	2993.000000	3001.000000	OIL	1998-04-26	1998-04-28	3683	9999-12-31	2013-05-08	634
6507/5-5	DST	\N	0.000000	0.000000	\N	9999-12-31	2011-08-06	4428	9999-12-31	2013-05-08	635
6507/6-2	RFT	RFT-2A	2754.500000	2886.500000	\N	1991-06-08	1991-07-22	1520	9999-12-31	2013-05-08	636
6507/7-2	DST	\N	2417.000000	2439.000000	\N	1985-04-29	1991-07-22	464	9999-12-31	2013-05-08	637
6507/7-2	DST	\N	2365.000000	2376.000000	\N	1985-04-30	1991-07-22	464	9999-12-31	2013-05-08	638
6507/7-2	DST	DST4A	2330.000000	2340.000000	\N	1985-05-24	1991-07-22	464	9999-12-31	2013-05-08	639
6507/7-2	DST	DST5	2290.000000	2310.000000	\N	1985-05-29	1991-07-22	464	9999-12-31	2013-05-08	640
6507/7-2	DST	DST6	2232.000000	2245.000000	\N	1985-06-01	1991-07-22	464	9999-12-31	2013-05-08	641
6507/7-2	DST	DST7	2203.000000	2222.000000	\N	1985-06-05	1991-07-22	464	9999-12-31	2013-05-08	642
6507/7-3	DST	DST1	2413.000000	2430.000000	\N	1985-09-03	1991-07-22	482	9999-12-31	2013-05-08	643
6507/7-3	DST	DST2	2385.000000	2400.000000	\N	1985-09-08	1991-07-22	482	9999-12-31	2013-05-08	644
6507/7-3	DST	DST3	2368.000000	2380.000000	\N	1985-09-12	1991-07-22	482	9999-12-31	2013-05-08	645
6507/7-4	DST	DST1	2494.000000	2499.000000	\N	1985-12-18	1991-07-22	853	9999-12-31	2013-05-08	646
6507/7-4	DST	DST2	2470.000000	2477.000000	\N	1985-12-24	1991-07-22	853	9999-12-31	2013-05-08	647
6507/7-4	DST	DST3	2418.000000	2424.000000	\N	1985-12-31	1991-07-22	853	9999-12-31	2013-05-08	648
6507/7-5	DST	\N	2418.000000	2424.000000	\N	1986-02-21	1991-07-22	879	9999-12-31	2013-05-08	649
6507/7-5	DST	TEST1	0.000000	0.000000	\N	1987-01-20	1992-05-02	879	9999-12-31	2013-05-08	650
6507/7-5	DST	DST2	2355.000000	2375.000000	\N	1986-02-25	1991-07-22	879	9999-12-31	2013-05-08	651
6507/7-5	DST	\N	2355.000000	2375.000000	\N	1986-03-02	1991-07-22	879	9999-12-31	2013-05-08	652
6507/7-5	DST	TEST2A	2355.000000	2375.000000	\N	1986-03-02	1992-05-02	879	9999-12-31	2013-05-08	653
6507/7-6	DST	DST1	2411.500000	2424.000000	\N	1986-08-24	1991-07-22	922	9999-12-31	2013-05-08	654
6507/7-6	DST	DST2	2348.500000	2365.000000	\N	1984-08-30	1991-07-22	922	9999-12-31	2013-05-08	655
6507/7-6	DST	TEST2	0.000000	0.000000	\N	1986-08-30	1992-05-02	922	9999-12-31	2013-05-08	656
6507/7-8	DST	DST1	2473.000000	2480.000000	\N	1987-07-19	1991-07-22	1071	9999-12-31	2013-05-08	657
6507/7-8	DST	DST2	2438.000000	2441.000000	\N	1987-07-21	1991-07-22	1071	9999-12-31	2013-05-08	658
6507/8-1	DST	DST1	2444.000000	2462.500000	\N	1986-11-30	1991-07-22	933	9999-12-31	2013-05-08	659
6507/8-1	DST	DST2	2386.000000	2406.000000	\N	1986-12-04	1991-07-22	933	9999-12-31	2013-05-08	660
6507/8-4	DST	TEST2	2200.000000	2221.000000	\N	1990-07-25	1992-05-02	1340	9999-12-31	2013-05-08	661
6507/8-4	DST	TEST3	2163.500000	2168.000000	\N	1990-07-30	1992-05-02	1340	9999-12-31	2013-05-08	662
6507/8-4	DST	TEST4	2126.000000	2135.000000	\N	1990-08-07	1992-05-02	1340	9999-12-31	2013-05-08	663
6604/2-1	DST	\N	0.000000	3115.000000	WATER	2011-04-19	2011-05-24	6568	9999-12-31	2013-05-08	664
6605/8-1	\N	\N	0.000000	0.000000	CONDENSATE	2005-09-22	2005-10-25	4984	9999-12-31	2013-05-08	665
6605/8-1	DST	\N	0.000000	0.000000	\N	9999-12-31	9999-12-31	4984	9999-12-31	2013-05-08	666
6608/10-14 S	DST	3C	0.000000	2568.100000	OIL	9999-12-31	2011-03-10	6306	9999-12-31	2013-05-08	667
6608/10-14 S	DST	1A	0.000000	2692.400000	OIL	9999-12-31	2011-03-10	6306	9999-12-31	2013-05-08	668
6608/10-2	DST	DST2	2673.000000	2695.000000	\N	1992-01-04	1992-02-10	1782	9999-12-31	2013-05-08	669
6608/10-2	DST	DST3A	2603.000000	2606.000000	\N	1992-01-10	1992-02-10	1782	9999-12-31	2013-05-08	670
6608/10-2	DST	DST3B	2603.000000	2606.000000	\N	1992-01-13	1992-02-10	1782	9999-12-31	2013-05-08	671
6608/10-4	DST	DST2	2582.200000	2466.200000	OIL	1994-02-16	1994-03-11	2256	9999-12-31	2013-05-08	672
6608/10-4	DST	DST3AB	2514.000000	2484.500000	\N	1994-02-23	1994-03-11	2256	9999-12-31	2013-05-08	673
6608/10-6	DST	\N	0.000000	0.000000	OIL	9999-12-31	9999-12-31	3260	9999-12-31	2013-05-08	674
6608/10-6	MDT	\N	0.000000	1910.500000	OIL	2000-01-01	9999-12-31	3260	9999-12-31	2013-05-08	675
6608/10-7	MDT	\N	0.000000	0.000000	OIL	2001-04-30	2011-03-10	4273	9999-12-31	2013-05-08	676
6608/10-9	DST	\N	0.000000	2169.000000	OIL	9999-12-31	9999-12-31	4668	9999-12-31	2013-05-08	677
6608/11-4	DST	\N	0.000000	1657.600000	WATER	2004-05-16	2011-03-10	4939	9999-12-31	2013-05-08	678
6610/7-2	MUD	\N	0.000000	0.000000	BASE OIL	9999-12-31	1992-05-02	26	9999-12-31	2013-05-08	679
7/11-9	DST	DST1	4169.000000	4182.500000	\N	1986-03-03	1991-02-28	856	9999-12-31	2013-05-08	680
7/11-A-1	DST	\N	0.000000	0.000000	\N	1996-03-06	1996-04-15	832	9999-12-31	2013-05-08	681
7/11-A-8	DST	\N	0.000000	0.000000	\N	1996-03-05	1996-04-15	839	9999-12-31	2013-05-08	682
7/11-A-9	DST	\N	0.000000	0.000000	\N	1996-03-05	1996-04-15	840	9999-12-31	2013-05-08	683
7/12-2	DST	DST1A	3640.200000	3666.000000	\N	1976-09-08	1991-07-22	295	9999-12-31	2013-05-08	684
7/12-2	DST	DST2	3525.000000	3532.000000	\N	1976-09-11	1991-07-22	295	9999-12-31	2013-05-08	685
7/12-2	DST	DST3	3426.500000	3437.700000	\N	1976-09-14	1991-07-22	295	9999-12-31	2013-05-08	686
7/12-2	DST	DST4	3383.700000	3393.000000	\N	1976-09-18	1991-07-22	295	9999-12-31	2013-05-08	687
7/12-6	DST	TEST2	0.000000	3511.000000	\N	1981-07-16	1997-04-01	281	9999-12-31	2013-05-08	688
7/12-6	DST	\N	0.000000	0.000000	\N	1983-06-29	1991-10-01	281	9999-12-31	2013-05-08	689
7/4-2	DST	\N	0.000000	3389.000000	\N	9999-12-31	2011-08-06	5683	9999-12-31	2013-05-08	690
7/7-2	DST	TEST2	3333.000000	3342.000000	\N	1992-04-15	1992-05-02	1868	9999-12-31	2013-05-08	691
7/8-3	DST	DST1	3762.000000	3767.000000	\N	1983-12-02	1991-07-22	28	9999-12-31	2013-05-08	692
7/8-3	DST	DST2	3734.500000	3740.500000	\N	1983-12-05	1991-07-22	28	9999-12-31	2013-05-08	693
7119/12-3	DST	TEST1	3185.000000	3195.000000	\N	1983-09-03	1992-04-01	17	9999-12-31	2013-05-08	694
7119/9-1	RFT	RFT 1	2748.000000	0.000000	\N	1984-09-14	1995-08-09	132	9999-12-31	2013-05-08	695
7119/9-1	RFT	RFT 2	3096.000000	0.000000	\N	1985-09-15	1995-08-09	132	9999-12-31	2013-05-08	696
7120/1-2	DST	TEST3A	1879.000000	1971.000000	\N	1989-03-21	1992-04-01	1366	9999-12-31	2013-05-08	697
7120/1-2	DST	\N	1888.000000	1896.000000	\N	1989-03-21	1991-03-06	1366	9999-12-31	2013-05-08	698
7120/1-2	DST	DST3B	1944.000000	1971.000000	\N	1989-03-22	1991-03-06	1366	9999-12-31	2013-05-08	699
7120/12-2	DST	\N	1985.000000	1991.000000	CONDENSATE	1981-09-03	1991-02-28	122	2012-11-07	2013-05-08	700
7120/2-1	DST	\N	0.000000	0.000000	\N	9999-12-31	1991-02-28	473	9999-12-31	2013-05-08	701
7120/2-1	DST	\N	0.000000	0.000000	\N	1986-08-07	1992-04-01	473	9999-12-31	2013-05-08	702
7120/6-1	DST	DST2	2432.050000	2436.050000	OIL	1985-04-13	1991-02-28	456	9999-12-31	2013-05-08	703
7120/6-1	DST	DST4	2386.000000	2401.000000	CONDENSATE	1985-04-25	1991-02-28	456	9999-12-31	2013-05-08	704
7120/6-2 S	DST	0	0.000000	2630.000000	OIL	9999-12-31	2011-03-10	3558	9999-12-31	2013-05-08	705
7120/6-2 S	MDT	\N	0.000000	2632.000000	OIL	2007-07-11	9999-12-31	3558	9999-12-31	2013-05-08	706
7120/7-1	DST	TEST2	2415.000000	2435.000000	\N	1982-09-29	1992-04-01	85	9999-12-31	2013-05-08	707
7120/7-2	DST	TEST1	2153.000000	2180.000000	\N	1983-08-11	1992-04-01	18	9999-12-31	2013-05-08	708
7120/8-1	DST	DST1	2165.000000	2172.000000	\N	1981-08-20	1992-04-01	120	9999-12-31	2013-05-08	709
7120/8-1	DST	DST2	2133.000000	2138.000000	\N	1981-08-26	1992-04-01	120	9999-12-31	2013-05-08	710
7120/8-1	DST	DST3	2093.000000	2110.000000	\N	1981-08-31	1992-04-01	120	9999-12-31	2013-05-08	711
7120/8-2	DST	DST1	2092.000000	2097.000000	\N	1982-07-20	1992-04-01	50	9999-12-31	2013-05-08	712
7120/9-1	DST	DST2A	1869.000000	1874.000000	\N	1982-09-17	1991-02-28	82	9999-12-31	2013-05-08	713
7121/4-1	DST	DST1	2497.000000	2504.000000	WATER	1985-04-07	1992-04-01	135	9999-12-31	2013-05-08	714
7121/4-1	DST	DST2	2471.000000	2465.000000	CONDENSATE	1984-10-05	1991-02-28	135	9999-12-31	2013-05-08	715
7121/4-1	DST	DST3	2419.800000	2434.800000	OIL	1984-10-10	1992-04-01	135	9999-12-31	2013-05-08	716
7121/4-1	DST	DST4	2353.000000	2385.000000	CONDENSATE	1984-10-17	1992-04-01	135	9999-12-31	2013-05-08	717
7121/5-1	DST	DST1	2436.000000	2439.000000	\N	1985-09-04	1992-04-01	479	9999-12-31	2013-05-08	718
7121/7-1	DST	DST2	1866.000000	1871.000000	\N	1984-07-23	1992-04-01	130	9999-12-31	2013-05-08	719
7121/7-2	DST	DST1	1881.000000	1898.000000	\N	1986-08-07	9999-12-31	881	9999-12-31	2013-05-08	720
7121/7-2	FMT	\N	0.000000	1899.000000	\N	1986-08-01	9999-12-31	881	9999-12-31	2013-05-08	721
7122/6-1	DST	\N	2424.000000	2434.000000	\N	1987-11-03	1990-11-30	1140	9999-12-31	2013-05-08	722
7122/7-1	DST	MDT-1	0.000000	1114.400000	OIL	2000-09-30	2000-10-24	4173	9999-12-31	2013-05-08	723
7122/7-2	DST	\N	0.000000	0.000000	OIL	9999-12-31	2011-08-06	4391	9999-12-31	2013-05-08	724
7122/7-3	MDT	\N	0.000000	1195.600000	\N	2005-11-30	2006-01-03	5214	9999-12-31	2013-05-08	725
7122/7-3	MDT	\N	0.000000	1812.000000	\N	2005-12-17	2006-01-03	5214	9999-12-31	2013-05-08	726
7122/7-4 S	DST	\N	0.000000	0.000000	\N	9999-12-31	2011-08-06	5406	9999-12-31	2013-05-08	727
7128/4-1	DST	DST1-1A	1610.000000	1595.000000	\N	1994-02-09	1994-12-07	2049	9999-12-31	2013-05-08	728
7128/4-1	DST	DST1A-1B	1610.000000	1577.000000	\N	1994-02-10	9999-12-31	2049	9999-12-31	2013-05-08	729
7128/4-1	DST	DST2	1577.000000	0.000000	\N	1994-02-17	1994-03-11	2049	9999-12-31	2013-05-08	730
7220/8-1	DST	\N	0.000000	0.000000	\N	2011-04-13	2011-08-06	6484	9999-12-31	2013-05-08	731
7222/6-1 S	DST	1,01      	0.000000	1633.800000	OIL	2008-02-22	2011-03-10	5755	9999-12-31	2013-05-08	732
7224/7-1	RFT	RFT	0.000000	902.000000	\N	9999-12-31	9999-12-31	1245	9999-12-31	2013-05-08	733
7228/7-1 A	DST	\N	0.000000	0.000000	CONDENSATE	2001-07-23	2011-03-10	4257	9999-12-31	2013-05-08	734
9/2-1	DST	TEST3	3177.000000	3210.000000	\N	1987-04-20	1991-10-01	1038	9999-12-31	2013-05-08	735
9/2-3	DST	TEST1	3258.000000	3268.000000	\N	1990-01-29	1991-10-01	1294	9999-12-31	2013-05-08	736
\.



COPY wellbore_shallow_all (wlbwellborename, wlbnpdidwellbore, wlbwell, wlbdrillingoperator, wlbproductionlicence, wlbdrillingfacility, wlbentrydate, wlbcompletiondate, wlbdrillpermit, wlbtotaldepth, wlbwaterdepth, wlbmainarea, wlbentryyear, wlbcompletionyear, wlbseismiclocation, wlbgeodeticdatum, wlbnsdeg, wlbnsmin, wlbnssec, wlbnscode, wlbewdeg, wlbewmin, wlbewsec, wlbewcode, wlbnsdecdeg, wlbewdesdeg, wlbnsutm, wlbewutm, wlbutmzone, wlbnamepart1, wlbnamepart2, wlbnamepart3, wlbnamepart4, wlbnamepart5, wlbnamepart6, wlbdateupdated, wlbdateupdatedmax, datesyncnpd) FROM stdin;
6407/9-U-4	139	6407/9-U-4	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	45-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6407	9	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
7126/6-U-1	916	7126/6-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1985-07-28	1985-07-31	2-G	0.000000	369.000000	BARENTS SEA	1985	1985	\N	ED50	71	38	49.80	N	26	52	43.30	E	71.647200	26.878700	7949797.520000	495736.740000	35	7126	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7222/9-U-1	919	7222/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1985-08-01	1985-08-04	3-G	0.000000	323.000000	BARENTS SEA	1985	1985	\N	ED50	72	24	19.74	N	22	47	39.79	E	72.405500	22.794400	8039344.730000	358204.300000	35	7222	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7220/2-U-1	920	7220/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1985-08-04	1985-08-05	4-G	0.000000	429.000000	BARENTS SEA	1985	1985	\N	ED50	72	45	3.10	N	20	34	45.64	E	72.750900	20.579300	8081493.510000	684430.040000	33	7220	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-6	938	34/10-U-6	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	28-G	0.000000	133.400000	NORTH SEA	0	0	\N	ED50	61	10	33.99	N	2	11	20.93	E	61.176100	2.189100	6782834.920000	456385.940000	31	34	10	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
7317/2-U-1	953	7317/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1985-08-06	1985-08-08	5-G	0.000000	296.000000	BARENTS SEA	1985	1985	\N	ED50	73	49	10.92	N	17	22	4.53	E	73.819700	17.367900	8193612.660000	573638.470000	33	7317	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7317/2-U-2	954	7317/2-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1985-08-05	1985-08-06	6-G	0.000000	324.000000	BARENTS SEA	1985	1985	\N	ED50	73	47	8.06	N	17	23	35.51	E	73.785600	17.393200	8189839.290000	574576.710000	33	7317	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7320/3-U-1	955	7320/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1985-08-08	1985-08-11	7-G	0.000000	419.000000	BARENTS SEA	1985	1985	\N	ED50	73	51	15.18	N	20	55	0.80	E	73.854200	20.916900	8205107.160000	683391.520000	33	7320	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-1	956	34/10-U-1	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	8-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	12	53.89	N	2	16	25.87	E	61.215000	2.273900	6787110.030000	460990.010000	31	34	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7524/12-U-1	957	7524/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1985-08-12	1985-08-13	9-G	0.000000	108.000000	UNOPENEDAREA	1985	1985	\N	ED50	75	12	20.54	N	24	43	21.61	E	75.205700	24.722700	8348041.060000	435099.940000	35	7524	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7425/9-U-1	958	7425/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1985-08-14	1985-08-18	10-G	0.000000	334.000000	UNOPENEDAREA	1985	1985	\N	ED50	74	29	25.30	N	25	46	19.26	E	74.490400	25.772000	8267355.720000	463347.770000	35	7425	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-2	959	34/10-U-2	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	11-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	6	1.00	N	2	14	5.77	E	61.100300	2.234900	6774358.750000	458749.970000	31	34	10	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-3	960	34/10-U-3	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	12-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	5	11.70	N	2	10	46.70	E	61.086600	2.179600	6772869.510000	455749.490000	31	34	10	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-4	961	34/10-U-4	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	13-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	7	2.50	N	2	11	24.60	E	61.117400	2.190200	6776290.630000	456359.760000	31	34	10	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-5	963	34/10-U-5	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	15-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	5	44.20	N	2	11	32.30	E	61.095600	2.192300	6773866.570000	456445.120000	31	34	10	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/2-U-1	964	25/2-U-1	Elf Petroleum Norge AS	026	\N	1985-09-04	1985-09-05	16-G1	148.000000	114.000000	NORTH SEA	1985	1985	\N	ED50	59	55	9.49	N	2	21	50.36	E	59.919300	2.364000	6642750.110000	464437.000000	31	25	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/2-U-2	965	25/2-U-2	Elf Petroleum Norge AS	026	\N	1985-09-05	1985-09-05	16-G2	148.000000	114.000000	NORTH SEA	1985	1985	\N	ED50	59	55	9.39	N	2	21	49.78	E	59.919300	2.363800	6642747.110000	464427.960000	31	25	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/2-U-3	966	25/2-U-3	Elf Petroleum Norge AS	026	\N	1985-09-06	1985-09-06	16-G3	141.000000	113.400000	NORTH SEA	1985	1985	\N	ED50	59	54	15.61	N	2	21	19.92	E	59.904300	2.355500	6641087.880000	463947.990000	31	25	2	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/2-U-4	967	25/2-U-4	Elf Petroleum Norge AS	026	\N	1985-09-06	1985-09-06	16-G4	147.000000	113.400000	NORTH SEA	1985	1985	\N	ED50	59	54	15.45	N	2	21	19.28	E	59.904300	2.355400	6641083.030000	463938.000000	31	25	2	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/2-U-5	968	25/2-U-5	Elf Petroleum Norge AS	026	\N	1985-09-06	1985-09-07	16-G5	148.000000	112.600000	NORTH SEA	1985	1985	\N	ED50	59	53	27.43	N	2	21	23.62	E	59.891000	2.356600	6639596.860000	463991.000000	31	25	2	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/2-U-6	969	25/2-U-6	Elf Petroleum Norge AS	026	\N	1985-09-07	1985-09-07	16-G6	147.000000	112.600000	NORTH SEA	1985	1985	\N	ED50	59	53	27.24	N	2	21	23.04	E	59.890900	2.356400	6639591.070000	463981.930000	31	25	2	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-1	970	6506/12-U-1	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	17-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	1	14.70	N	6	54	27.70	E	65.020800	6.907700	7212579.340000	401419.460000	32	6506	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-2	971	6506/12-U-2	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	18-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	1	2.50	N	6	55	42.40	E	65.017400	6.928400	7212169.590000	402384.460000	32	6506	12	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-3	972	6506/12-U-3	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	19-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	1	12.30	N	6	54	42.50	E	65.020100	6.911800	7212498.660000	401610.650000	32	6506	12	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-1	973	6407/9-U-1	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	20-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	64	22	1.10	N	7	46	48.70	E	64.367000	7.780200	7138650.070000	441120.170000	32	6407	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-2	974	6407/9-U-2	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	21-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	64	22	43.40	N	7	47	28.60	E	64.378700	7.791300	7139949.130000	441680.020000	32	6407	9	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-3	975	6407/9-U-3	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	22-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	64	21	0.50	N	7	46	44.30	E	64.350100	7.779000	7136775.510000	441025.130000	32	6407	9	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/7-U-3	976	6507/7-U-3	Norske Conoco A/S	\N	\N	1986-04-06	1986-04-08	23-G	433.000000	331.000000	NORWEGIAN SEA	1986	1986	\N	ED50	65	21	29.94	N	7	17	31.31	E	65.358300	7.292000	7249647.890000	420541.950000	32	6507	7	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-4	977	6506/12-U-4	Den norske stats oljeselskap a.s	\N	\N	1986-04-22	1986-04-22	24-G	0.000000	0.000000	NORWEGIAN SEA	1986	1986	\N	ED50	65	9	3.39	N	6	44	33.98	E	65.150900	6.742800	7227349.910000	394169.990000	32	6506	12	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-5	978	6506/12-U-5	Den norske stats oljeselskap a.s	\N	\N	1986-04-16	1986-04-21	25-G	0.000000	0.000000	NORWEGIAN SEA	1986	1986	\N	ED50	65	9	15.99	N	6	44	3.49	E	65.154400	6.734300	7227754.030000	393787.030000	32	6506	12	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-6	979	6506/12-U-6	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	26-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	9	15.20	N	6	44	45.27	E	65.154200	6.745900	7227710.110000	394330.030000	32	6506	12	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/9-U-1	980	1/9-U-1	Den norske stats oljeselskap a.s	\N	\N	1986-05-06	1986-05-07	27-G	0.000000	0.000000	NORTH SEA	1986	1986	\N	ED50	56	29	31.72	N	2	55	26.74	E	56.492100	2.924100	6260997.940000	495326.040000	31	1	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6308/7-U-1	981	6308/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-06-26	1986-06-29	29-G	0.000000	0.000000	NORWEGIAN SEA	1986	1986	\N	ED50	63	16	20.00	N	8	9	40.00	E	63.272200	8.161100	7016366.780000	457903.060000	32	6308	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-1	982	7323/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-07-02	1986-07-06	30-G	553.000000	426.000000	BARENTS SEA	1986	1986	\N	ED50	73	16	42.64	N	23	2	32.20	E	73.278500	23.042300	8135977.130000	372976.430000	35	7323	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-2	983	7323/7-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-06-28	1986-07-29	31-G	535.000000	422.000000	BARENTS SEA	1986	1986	D86-144 FP. 383.4	ED50	73	17	0.29	N	23	0	48.15	E	73.283400	23.013400	8136584.590000	372086.470000	35	7323	7	U	2	\N	\N	2012-07-25	2012-10-03	2013-05-08
7323/7-U-3	984	7323/7-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-06-28	1986-07-29	32-G	551.000000	419.000000	BARENTS SEA	1986	1986	D86-144 FP. 421.6	ED50	73	16	33.70	N	23	3	26.43	E	73.276000	23.057300	8135668.700000	373441.020000	35	7323	7	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-4	985	7323/7-U-4	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-06-28	1986-07-29	33-G	558.000000	420.000000	BARENTS SEA	1986	1986	D86-144 FP. 414.9	ED50	73	16	37.70	N	23	2	59.89	E	73.277100	23.050000	8135808.020000	373212.870000	35	7323	7	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-5	986	7323/7-U-5	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-06-28	1986-07-29	34-G	560.000000	422.000000	BARENTS SEA	1986	1986	D86-144 FP. 389.0	ED50	73	16	56.69	N	23	1	9.24	E	73.282400	23.019200	8136460.730000	372266.770000	35	7323	7	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-6	987	7323/7-U-6	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-06-28	1986-07-29	35-G	554.000000	420.000000	BARENTS SEA	1986	1986	D86-144 FP. 430.1	ED50	73	16	26.58	N	23	4	0.53	E	73.274100	23.066800	8135428.470000	373730.180000	35	7323	7	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-7	988	7323/7-U-7	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-06-28	1986-07-29	36-G	521.000000	420.000000	BARENTS SEA	1986	1986	D86-144 FP. 401.5	ED50	73	16	47.63	N	23	2	3.49	E	73.279900	23.034300	8136148.410000	372731.060000	35	7323	7	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-8	989	7323/7-U-8	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-06-28	1986-07-29	37-G	554.000000	417.000000	BARENTS SEA	1986	1986	D86-144 FP. 435.7	ED50	73	16	22.78	N	23	4	24.40	E	73.273000	23.073400	8135296.950000	373935.040000	35	7323	7	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-9	990	7323/7-U-9	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-06-28	1986-07-29	38-G	543.000000	420.000000	BARENTS SEA	1986	1986	D86-144 FP. 396.9	ED50	73	16	51.01	N	23	1	43.14	E	73.280800	23.028700	8136264.980000	372556.840000	35	7323	7	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
7228/3-U-1	991	7228/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-07-01	1986-08-31	39-G	381.000000	294.000000	BARENTS SEA	1986	1986	D86-16 FP. 670.0	ED50	72	49	3.74	N	28	52	14.82	E	72.817700	28.870800	8081328.710000	561679.410000	35	7228	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7227/8-U-1	993	7227/8-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-07-01	1986-08-31	41-G	348.000000	277.000000	BARENTS SEA	1986	1986	C86-10 FP. 1708.1	ED50	72	19	8.87	N	27	33	21.34	E	72.319100	27.555900	8024835.850000	518846.160000	35	7227	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-1	994	2/1-U-1	BP Petroleum Dev. of Norway AS	019	PHOLAS	1986-08-01	1986-08-02	42-G	0.000000	66.000000	NORTH SEA	1986	1986	\N	ED50	56	54	18.84	N	3	5	3.60	E	56.905200	3.084300	6306981.280000	505136.340000	31	2	1	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7227/8-U-2	995	7227/8-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-07-01	1986-08-31	43-G	332.000000	280.000000	BARENTS SEA	1986	1986	C86-10 FP. 1734.8	ED50	72	19	1.82	N	27	33	57.33	E	72.317200	27.565900	8024620.570000	519187.110000	35	7227	8	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/7-U-1	996	6507/7-U-1	Norske Conoco A/S	\N	BUCENTAUR	1985-07-16	1985-07-18	6-G1	373.000000	339.000000	NORWEGIAN SEA	1985	1985	\N	ED50	65	20	55.11	N	7	19	0.15	E	65.348600	7.316700	7248538.950000	421661.000000	32	6507	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/7-U-2	997	6507/7-U-2	Norske Conoco A/S	\N	BUCENTAUR	1985-07-14	1985-07-15	7-G1	358.000000	340.000000	NORWEGIAN SEA	1985	1985	\N	ED50	65	18	15.14	N	7	18	21.24	E	65.304200	7.305900	7243601.070000	421025.010000	32	6507	7	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-1	998	34/3-U-1	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	8-G1	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	46	11.87	N	2	53	5.02	E	61.770000	2.884700	6848723.790000	493916.580000	31	34	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-2	999	34/3-U-2	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	9-G1	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	48	41.10	N	2	44	15.20	E	61.811400	2.737600	6853364.270000	486168.310000	31	34	3	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-7	1000	34/10-U-7	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	10-G1	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	11	2.50	N	2	12	28.80	E	61.184000	2.208000	6783704.610000	457410.640000	31	34	10	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
7227/8-U-3	1002	7227/8-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1986-07-01	1986-08-31	44-G	334.000000	283.000000	BARENTS SEA	1986	1986	C86-10 FP. 1720.3	ED50	72	19	5.66	N	27	33	37.64	E	72.318200	27.560500	8024737.820000	519000.570000	35	7227	8	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-5	1081	6407/9-U-5	A/S Norske Shell	\N	\N	1986-08-29	1986-08-29	47-G	0.000000	0.000000	NORWEGIAN SEA	1986	1986	\N	ED50	64	21	40.60	N	7	46	29.10	E	64.361300	7.774800	7138020.610000	440845.150000	32	6407	9	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-6	1082	6407/9-U-6	A/S Norske Shell	\N	\N	1986-08-25	1986-08-25	48-G	0.000000	0.000000	NORWEGIAN SEA	1986	1986	\N	ED50	64	22	1.10	N	7	46	48.70	E	64.367000	7.780200	7138650.070000	441120.170000	32	6407	9	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-7	1083	6407/9-U-7	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	49-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6407	9	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/3-U-1	1084	30/3-U-1	Den norske stats oljeselskap a.s	\N	\N	1987-02-24	1987-02-24	50-G	0.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	47	0.71	N	2	53	57.93	E	60.783500	2.899400	6738839.860000	494523.070000	31	30	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/3-U-2	1085	30/3-U-2	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	51-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	46	58.70	N	2	53	54.60	E	60.783000	2.898500	6738777.750000	494472.600000	31	30	3	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/3-U-3	1086	30/3-U-3	Den norske stats oljeselskap a.s	\N	\N	1987-03-09	1987-03-09	52-G	110.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	30	3	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/3-U-4	1087	30/3-U-4	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	53-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	30	3	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/3-U-5	1088	30/3-U-5	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	54-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	30	3	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/3-U-6	1089	30/3-U-6	Den norske stats oljeselskap a.s	\N	\N	1995-10-05	1995-10-05	55-G	60.000000	0.000000	NORTH SEA	1995	1995	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	30	3	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/3-U-7	1090	30/3-U-7	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	56-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	30	3	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-1	1091	30/6-U-1	Norsk Hydro Produksjon AS	\N	\N	1987-09-18	1987-09-18	58-G	112.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	35	41.40	N	2	45	11.50	E	60.594800	2.753200	6717843.150000	486480.970000	31	30	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/3-U-8	1092	30/3-U-8	Den norske stats oljeselskap a.s	\N	\N	1987-03-09	1987-03-10	57-G	60.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	30	3	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-2	1093	30/6-U-2	Norsk Hydro Produksjon AS	\N	\N	1987-09-10	1987-09-10	59-G	92.900000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	35	44.31	N	2	45	13.85	E	60.595600	2.753800	6717933.050000	486517.070000	31	30	6	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-2	1094	2/1-U-2	BP Petroleum Dev. of Norway AS	019	BUCENTAUR	1987-04-07	1987-04-08	60-G	122.000000	66.800000	NORTH SEA	1987	1987	\N	ED50	56	54	19.25	N	3	5	0.57	E	56.905300	3.083500	6306993.900000	505085.060000	31	2	1	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-3	1095	2/1-U-3	BP Petroleum Dev. of Norway AS	019	BUCENTAUR	1987-04-09	1987-04-10	61-G	80.800000	66.900000	NORTH SEA	1987	1987	\N	ED50	56	54	19.25	N	3	5	1.44	E	56.905300	3.083700	6306993.920000	505099.780000	31	2	1	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-4	1096	2/1-U-4	BP Petroleum Dev. of Norway AS	019	BUCENTAUR	1987-04-11	1987-04-12	62-G	84.200000	66.900000	NORTH SEA	1987	1987	\N	ED50	56	54	18.64	N	3	5	1.81	E	56.905200	3.083800	6306975.060000	505106.060000	31	2	1	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-5	1097	2/1-U-5	BP Petroleum Dev. of Norway AS	019	BUCENTAUR	1987-04-14	1987-04-15	63-G	62.000000	67.100000	NORTH SEA	1987	1987	\N	ED50	56	53	48.17	N	3	5	3.98	E	56.896700	3.084400	6306032.920000	505143.940000	31	2	1	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-6	1098	2/1-U-6	BP Petroleum Dev. of Norway AS	019	BUCENTAUR	1987-04-15	1987-04-16	64-G	75.600000	67.300000	NORTH SEA	1987	1987	\N	ED50	56	54	16.70	N	3	5	5.29	E	56.904600	3.084800	6306915.150000	505165.010000	31	2	1	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-7	1099	2/1-U-7	BP Petroleum Dev. of Norway AS	019	BUCENTAUR	1987-04-17	1987-04-18	65-G	77.500000	67.200000	NORTH SEA	1987	1987	\N	ED50	56	53	48.07	N	3	5	5.52	E	56.896700	3.084900	6306029.860000	505170.000000	31	2	1	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-8	1100	2/1-U-8	BP Petroleum Dev. of Norway AS	019	BUCENTAUR	1987-04-19	1987-04-20	66-G	170.600000	67.100000	NORTH SEA	1987	1987	\N	ED50	56	54	17.66	N	3	5	7.06	E	56.904900	3.085300	6306944.870000	505194.920000	31	2	1	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-9	1101	2/1-U-9	BP Petroleum Dev. of Norway AS	019	BUCENTAUR	1987-04-26	1987-04-27	67-G	129.000000	67.100000	NORTH SEA	1987	1987	\N	ED50	56	53	46.72	N	3	5	4.63	E	56.896300	3.084600	6305988.100000	505154.990000	31	2	1	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-10	1102	2/1-U-10	BP Petroleum Dev. of Norway AS	019	BUCENTAUR	1987-04-26	1987-04-27	68-G	98.000000	67.100000	NORTH SEA	1987	1987	\N	ED50	56	54	17.66	N	3	5	6.06	E	56.904900	3.085000	6306944.850000	505178.000000	31	2	1	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-11	1103	2/1-U-11	BP Petroleum Dev. of Norway AS	019	BUCENTAUR	1987-04-26	1987-04-27	69-G	103.000000	67.100000	NORTH SEA	1987	1987	\N	ED50	56	54	16.24	N	3	5	4.70	E	56.904500	3.084600	6306900.910000	505155.050000	31	2	1	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-3	1104	30/6-U-3	Norsk Hydro Produksjon AS	\N	\N	1987-10-01	1987-10-01	70-G	151.600000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	35	43.49	N	2	45	8.40	E	60.595400	2.752300	6717907.990000	486434.050000	31	30	6	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-4	1105	30/6-U-4	Norsk Hydro Produksjon AS	\N	\N	1987-09-11	1987-09-11	71-G	60.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	35	41.81	N	2	45	8.74	E	60.594900	2.752400	6717855.990000	486439.030000	31	30	6	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-5	1106	30/6-U-5	Norsk Hydro Produksjon AS	\N	\N	1987-10-03	1987-10-03	72-G	40.900000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	35	44.59	N	2	45	10.69	E	60.595700	2.753000	6717941.890000	486469.020000	31	30	6	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-6	1107	30/6-U-6	Norsk Hydro Produksjon AS	\N	\N	1987-10-04	1987-10-04	73-G	41.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	36	31.82	N	2	46	24.56	E	60.608800	2.773500	6719399.120000	487597.990000	31	30	6	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-7	1108	30/6-U-7	Norsk Hydro Produksjon AS	\N	\N	1987-09-24	1987-09-24	74-G	42.400000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	35	43.88	N	2	45	10.76	E	60.595500	2.753000	6717919.920000	486470.000000	31	30	6	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-8	1109	30/6-U-8	Norsk Hydro Produksjon AS	\N	\N	1987-09-23	1987-09-23	75-G	42.400000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	35	43.69	N	2	45	12.67	E	60.595500	2.753500	6717913.930000	486499.040000	31	30	6	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-9	1110	30/6-U-9	Norsk Hydro Produksjon AS	\N	\N	1987-09-23	1987-09-23	76-G	40.400000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	35	42.75	N	2	45	11.36	E	60.595200	2.753200	6717884.930000	486479.000000	31	30	6	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/7-U-4	1111	6507/7-U-4	Norske Conoco A/S	\N	BUCENTAUR	1987-06-13	1987-06-17	77-G	422.500000	345.000000	NORWEGIAN SEA	1987	1987	\N	ED50	65	19	32.58	N	7	19	4.73	E	65.325700	7.318000	7245982.900000	421652.020000	32	6507	7	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/7-U-5	1112	6507/7-U-5	Norske Conoco A/S	\N	BUCENTAUR	1987-06-18	1987-06-23	78-G	448.500000	345.000000	NORWEGIAN SEA	1987	1987	\N	ED50	65	19	34.50	N	7	19	5.46	E	65.326300	7.318200	7246042.080000	421663.050000	32	6507	7	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/7-U-6	1113	6507/7-U-6	Norske Conoco A/S	\N	BUCENTAUR	1987-06-24	1987-06-25	79-G	375.500000	345.000000	NORWEGIAN SEA	1987	1987	\N	ED50	65	19	32.79	N	7	18	57.37	E	65.325800	7.315900	7245991.950000	421556.980000	32	6507	7	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/7-U-7	1114	6507/7-U-7	Norske Conoco A/S	\N	BUCENTAUR	1987-06-25	1987-06-26	80-G	374.700000	345.000000	NORWEGIAN SEA	1987	1987	\N	ED50	65	19	32.80	N	7	19	12.52	E	65.325800	7.320100	7245987.030000	421752.980000	32	6507	7	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
6702/9-U-1	1115	6702/9-U-1	NATIONAL SCIENCE FOUNDATION	\N	\N	9999-12-31	9999-12-31	1-G1	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6702	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6702/9-U-2	1116	6702/9-U-2	NATIONAL SCIENCE FOUNDATION	\N	\N	9999-12-31	9999-12-31	2-G1	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6702	9	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6701/1-U-1	1117	6701/1-U-1	NATIONAL SCIENCE FOUNDATION	\N	\N	9999-12-31	9999-12-31	3-G1	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6701	1	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6702/9-U-3	1118	6702/9-U-3	NATIONAL SCIENCE FOUNDATION	\N	\N	9999-12-31	9999-12-31	4-G1	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6702	9	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6602/3-U-1	1119	6602/3-U-1	NATIONAL SCIENCE FOUNDATION	\N	\N	9999-12-31	9999-12-31	5-G1	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6602	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6705/2-U-1	1120	6705/2-U-1	NATIONAL SCIENCE FOUNDATION	\N	GLOMAR CHALLENGE	1974-08-13	1974-08-16	0-G1	1734.000000	1297.000000	NORWEGIAN SEA	1974	1974	\N	ED50	67	47	6.60	N	5	23	15.60	E	67.785200	5.387700	7521050.680000	600725.050000	31	6705	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6706/10-U-1	1121	6706/10-U-1	NATIONAL SCIENCE FOUNDATION	\N	GLOMAR CHALLENGE	1974-08-16	1974-08-17	0-G4	1370.000000	1262.000000	NORWEGIAN SEA	1974	1974	\N	ED50	67	12	39.00	N	6	17	3.00	E	67.210800	6.284200	7457640.330000	382634.100000	32	6706	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6706/10-U-2	1122	6706/10-U-2	NATIONAL SCIENCE FOUNDATION	\N	GLOMAR CHALLENGE	1974-08-17	1974-08-18	0-G5	1322.000000	1217.000000	NORWEGIAN SEA	1974	1974	\N	ED50	67	12	28.20	N	6	18	22.80	E	67.207800	6.306300	7457264.430000	383577.050000	32	6706	10	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6706/7-U-1	1123	6706/7-U-1	NATIONAL SCIENCE FOUNDATION	\N	GLOMAR CHALLENGE	1974-08-18	1974-08-20	0-G3	1895.000000	1439.000000	NORWEGIAN SEA	1974	1974	\N	ED50	67	20	6.00	N	6	6	38.40	E	67.335000	6.110700	7471809.060000	375784.380000	32	6706	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6805/6-U-1	1125	6805/6-U-1	NATIONAL SCIENCE FOUNDATION	\N	GLOMAR CHALLENGE	1974-08-22	1974-08-24	0-G6	0.000000	3131.000000	NORWEGIAN SEA	1974	1974	\N	ED50	68	42	54.60	N	5	45	43.80	E	68.715200	5.762200	7625315.480000	611872.620000	31	6805	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7030/3-U-1	1141	7030/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-07-22	1987-09-09	81-G	482.000000	308.000000	BARENTS SEA	1987	1987	\N	ED50	70	49	36.18	N	30	44	31.07	E	70.826700	30.742000	7859822.320000	417243.640000	36	7030	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7129/10-U-2	1142	7129/10-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-07-22	1987-09-09	82-G	456.000000	336.000000	BARENTS SEA	1987	1987	\N	ED50	71	7	13.47	N	29	13	23.12	E	71.120400	29.223100	7892512.460000	580274.640000	35	7129	10	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7129/10-U-1	1145	7129/10-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-07-22	1987-09-09	85-G	475.000000	382.000000	BARENTS SEA	1987	1987	\N	ED50	71	9	35.45	N	29	16	42.77	E	71.159800	29.278500	7896983.050000	582110.860000	35	7129	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7128/9-U-1	1146	7128/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-07-20	1988-08-28	86-G	496.000000	408.000000	BARENTS SEA	1988	1988	\N	ED50	71	15	30.24	N	28	51	16.04	E	71.258400	28.854500	7907449.100000	566495.990000	35	7128	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7230/5-U-2	1148	7230/5-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-07-22	1987-09-09	88-G	412.000000	286.000000	BARENTS SEA	1987	1987	\N	ED50	72	40	51.10	N	30	22	29.51	E	72.680900	30.374900	8068253.420000	612090.400000	35	7230	5	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7230/5-U-3	1149	7230/5-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-07-22	1987-09-09	89-G	404.000000	288.000000	BARENTS SEA	1987	1987	\N	ED50	72	41	10.05	N	30	22	26.70	E	72.686100	30.374100	8068838.340000	612031.500000	35	7230	5	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7230/5-U-4	1150	7230/5-U-4	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-07-22	1987-09-09	90-G	362.000000	283.000000	BARENTS SEA	1987	1987	\N	ED50	72	41	39.74	N	30	22	26.63	E	72.694400	30.374100	8069757.010000	611979.140000	35	7230	5	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
7230/5-U-5	1151	7230/5-U-5	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-07-22	1987-09-09	91-G	335.000000	286.000000	BARENTS SEA	1987	1987	\N	ED50	72	42	6.00	N	30	22	31.64	E	72.701700	30.375500	8070572.180000	611979.530000	35	7230	5	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
7230/5-U-6	1152	7230/5-U-6	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-07-22	1987-09-09	92-G	383.000000	286.000000	BARENTS SEA	1987	1987	\N	ED50	72	42	21.21	N	30	22	28.86	E	72.705900	30.374700	8071041.380000	611927.440000	35	7230	5	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
7231/1-U-1	1153	7231/1-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-08-22	1987-08-28	93-G	371.000000	278.000000	BARENTS SEA	1987	1987	\N	ED50	72	45	12.45	N	31	7	30.21	E	72.753500	31.125100	8077891.780000	636418.110000	35	7231	1	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7231/4-U-1	1154	7231/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-08-22	1987-08-28	94-G	378.000000	280.000000	BARENTS SEA	1987	1987	\N	ED50	72	44	16.31	N	31	7	28.94	E	72.737900	31.124700	8076155.040000	636526.010000	35	7231	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7230/5-U-9	1161	7230/5-U-9	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-08-22	1987-08-28	109-G	369.000000	294.000000	BARENTS SEA	1987	1987	\N	ED50	72	37	22.44	N	30	22	31.41	E	72.622900	30.375400	8061797.810000	612471.400000	35	7230	5	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
7324/7-U-1	1162	7324/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-08-29	1987-09-05	110-G	526.000000	402.000000	BARENTS SEA	1987	1987	\N	ED50	73	18	56.92	N	24	8	21.22	E	73.315800	24.139200	8138127.020000	408353.020000	35	7324	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/12-U-1	1163	7323/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1987-08-29	1987-09-05	111-G	532.000000	402.000000	BARENTS SEA	1987	1987	\N	ED50	73	14	17.81	N	23	57	0.65	E	73.238300	23.950200	8129787.090000	401860.550000	35	7323	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/5-U-1	1164	31/5-U-1	Norsk Hydro Produksjon AS	\N	\N	1987-09-20	1987-09-23	112-G	70.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	34	27.00	N	3	39	27.48	E	60.574200	3.657600	6715696.060000	536045.200000	31	31	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-1	1165	34/7-U-1	Saga Petroleum ASA	\N	\N	1984-05-09	1984-07-24	101-G	623.000000	328.000000	NORTH SEA	1984	1984	\N	ED50	61	28	21.80	N	2	13	25.56	E	61.472700	2.223800	6815851.930000	458640.730000	31	34	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-2	1166	34/7-U-2	Saga Petroleum ASA	\N	\N	1987-07-31	1987-07-31	102-G	398.000000	310.000000	NORTH SEA	1987	1987	\N	ED50	61	27	0.80	N	2	8	46.26	E	61.450200	2.146200	6813397.310000	454474.280000	31	34	7	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-3	1167	34/7-U-3	Saga Petroleum ASA	\N	\N	1987-08-02	1987-08-02	103-G	394.000000	309.000000	NORTH SEA	1987	1987	\N	ED50	61	20	48.00	N	2	7	9.00	E	61.346700	2.119200	6801881.530000	452878.100000	31	34	7	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-4 A	1168	34/7-U-4	Saga Petroleum ASA	\N	\N	1987-08-09	1987-08-09	104-G	415.000000	309.000000	NORTH SEA	1987	1987	\N	ED50	61	26	57.50	N	2	8	31.28	E	61.449300	2.142000	6813298.110000	454251.070000	31	34	7	U	4	A	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-5	1169	34/7-U-5	Saga Petroleum ASA	\N	\N	1987-08-13	1987-08-13	105-G	371.000000	310.000000	NORTH SEA	1987	1987	\N	ED50	61	27	0.20	N	2	8	36.13	E	61.450100	2.143400	6813380.710000	454324.000000	31	34	7	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-6 B	1170	34/7-U-6	Saga Petroleum ASA	\N	\N	1987-08-19	1987-08-19	106-G	329.000000	309.000000	NORTH SEA	1987	1987	\N	ED50	61	26	57.79	N	2	8	36.47	E	61.449400	2.143500	6813306.080000	454328.060000	31	34	7	U	6	B	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-7 A	1171	34/7-U-7	Saga Petroleum ASA	\N	\N	1987-08-17	1987-08-17	107-G	389.000000	337.000000	NORTH SEA	1987	1987	\N	ED50	61	29	20.30	N	2	13	32.17	E	61.489000	2.225600	6817660.880000	458760.050000	31	34	7	U	7	A	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-8	1172	34/7-U-8	Saga Petroleum ASA	\N	\N	1987-08-03	1987-08-03	108-G	409.000000	336.000000	NORTH SEA	1987	1987	\N	ED50	61	29	22.79	N	2	13	37.38	E	61.489700	2.227100	6817737.010000	458838.030000	31	34	7	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/4-U-1	1190	31/4-U-1	Norsk Hydro Produksjon AS	\N	\N	1987-10-14	1987-10-14	113-G	49.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	32	33.40	N	3	2	50.52	E	60.542600	3.047400	6712002.100000	502598.750000	31	31	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/4-U-2	1191	31/4-U-2	Norsk Hydro Produksjon AS	\N	\N	1987-09-29	1987-09-30	114-G	94.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	32	34.37	N	3	2	48.70	E	60.542900	3.046900	6712032.090000	502570.990000	31	31	4	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/4-U-3	1192	31/4-U-3	Norsk Hydro Produksjon AS	\N	\N	1987-10-02	1987-10-03	115-G	128.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	32	32.49	N	3	2	52.56	E	60.542400	3.047900	6711973.960000	502629.860000	31	31	4	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/4-U-4	1193	31/4-U-4	Norsk Hydro Produksjon AS	\N	\N	1987-10-02	1987-10-03	116-G	91.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	32	32.43	N	3	2	48.25	E	60.542300	3.046700	6711972.060000	502564.180000	31	31	4	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/4-U-5	1194	31/4-U-5	Norsk Hydro Produksjon AS	\N	\N	1987-10-13	1987-10-14	117-G	86.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	32	34.24	N	3	2	52.98	E	60.542800	3.048100	6712028.110000	502636.220000	31	31	4	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/4-U-6	1195	31/4-U-6	Norsk Hydro Produksjon AS	\N	\N	1987-10-03	1987-10-04	118-G	76.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	32	33.14	N	3	2	55.87	E	60.542500	3.048900	6711994.110000	502680.290000	31	31	4	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/4-U-7	1196	31/4-U-7	Norsk Hydro Produksjon AS	\N	\N	1987-10-08	1987-10-09	119-G	34.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	32	35.63	N	3	2	50.55	E	60.543200	3.047400	6712071.090000	502599.160000	31	31	4	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/4-U-8	1197	31/4-U-8	Norsk Hydro Produksjon AS	\N	\N	1987-10-15	1987-10-16	120-G	49.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	32	31.07	N	3	2	50.68	E	60.542000	3.047400	6711930.010000	502601.240000	31	31	4	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/4-U-9	1198	31/4-U-9	Norsk Hydro Produksjon AS	\N	\N	1987-10-10	1987-10-11	121-G	26.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	32	34.33	N	3	2	53.49	E	60.542900	3.048200	6712030.900000	502643.990000	31	31	4	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-10	1199	30/6-U-10	Norsk Hydro Produksjon AS	\N	\N	1987-10-02	1987-10-02	122-G	41.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	35	42.91	N	2	45	9.26	E	60.595300	2.752600	6717890.000000	486447.070000	31	30	6	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-9	1200	31/6-U-9	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	131-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	31	6	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-1	1201	31/6-U-1	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	123-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	39	1.04	N	3	41	44.26	E	60.650300	3.695600	6724195.870000	538037.940000	31	31	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-2	1202	31/6-U-2	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	124-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	39	2.97	N	3	41	46.61	E	60.650800	3.696300	6724255.960000	538073.010000	31	31	6	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-3	1203	31/6-U-3	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	125-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	39	1.07	N	3	41	39.66	E	60.650300	3.694400	6724196.060000	537968.070000	31	31	6	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-4	1204	31/6-U-4	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	126-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	38	59.09	N	3	41	46.53	E	60.649700	3.696300	6724135.900000	538073.060000	31	31	6	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-5	1205	31/6-U-5	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	127-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	39	1.01	N	3	41	50.85	E	60.650300	3.697500	6724196.000000	538138.050000	31	31	6	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-6	1206	31/6-U-6	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	128-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	39	3.84	N	3	41	41.03	E	60.651100	3.694700	6724281.980000	537987.970000	31	31	6	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-7	1207	31/6-U-7	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	129-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	38	57.94	N	3	42	46.74	E	60.649400	3.713000	6724110.130000	538987.990000	31	31	6	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-8	1208	31/6-U-8	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	130-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	39	2.81	N	3	41	46.28	E	60.650800	3.696200	6724250.950000	538068.050000	31	31	6	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-10	1211	31/6-U-10	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	132-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	31	6	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-11	1212	31/6-U-11	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	133-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	31	6	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-12	1213	31/6-U-12	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	134-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	31	6	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-13	1214	31/6-U-13	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	135-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	31	6	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-11	1223	30/6-U-11	Norsk Hydro Produksjon AS	\N	\N	1987-10-02	1987-10-02	136-G	25.300000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	35	42.23	N	2	45	3.52	E	60.595100	2.751000	6717869.290000	486359.650000	31	30	6	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/5-U-2	1230	31/5-U-2	Norsk Hydro Produksjon AS	\N	\N	1987-09-24	1987-09-25	112-G1	115.000000	0.000000	NORTH SEA	1987	1987	\N	ED50	60	34	26.65	N	3	39	26.16	E	60.574100	3.657300	6715685.030000	536025.210000	31	31	5	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-12	1235	30/6-U-12	Norsk Hydro Produksjon AS	\N	\N	1988-01-15	1988-01-15	137-G	47.600000	0.000000	NORTH SEA	1988	1988	\N	ED50	60	36	28.21	N	2	46	32.06	E	60.607800	2.775600	6719287.040000	487711.680000	31	30	6	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-13	1236	30/6-U-13	Norsk Hydro Produksjon AS	\N	\N	1988-01-06	1988-01-06	138-G	50.000000	0.000000	NORTH SEA	1988	1988	\N	ED50	60	36	29.46	N	2	46	28.50	E	60.608200	2.774600	6719325.900000	487657.670000	31	30	6	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-14	1237	30/6-U-14	Norsk Hydro Produksjon AS	\N	\N	1988-01-19	1988-01-19	139-G	45.200000	0.000000	NORTH SEA	1988	1988	\N	ED50	60	36	31.66	N	2	46	32.10	E	60.608800	2.775600	6719393.780000	487712.650000	31	30	6	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-15	1238	30/6-U-15	Norsk Hydro Produksjon AS	\N	\N	1988-01-17	1988-01-17	140-G	56.500000	0.000000	NORTH SEA	1988	1988	\N	ED50	60	36	29.96	N	2	46	35.57	E	60.608300	2.776500	6719341.000000	487765.250000	31	30	6	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-16	1239	30/6-U-16	Norsk Hydro Produksjon AS	\N	\N	1988-01-07	1988-01-07	141-G	26.100000	0.000000	NORTH SEA	1988	1988	\N	ED50	60	36	30.73	N	2	46	31.62	E	60.608500	2.775500	6719365.030000	487705.250000	31	30	6	U	16	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-17	1240	30/6-U-17	Norsk Hydro Produksjon AS	\N	\N	1988-01-08	1988-01-08	142-G	26.700000	0.000000	NORTH SEA	1988	1988	\N	ED50	60	36	29.23	N	2	46	32.48	E	60.608100	2.775700	6719318.570000	487718.180000	31	30	6	U	17	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-19	1241	30/6-U-19	Norsk Hydro Produksjon AS	\N	\N	1988-01-12	1988-01-12	144-G	26.100000	0.000000	NORTH SEA	1988	1988	\N	ED50	60	36	30.00	N	2	46	30.78	E	60.608300	2.775200	6719342.490000	487692.400000	31	30	6	U	19	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-18	1242	30/6-U-18	Norsk Hydro Produksjon AS	\N	\N	1988-01-24	1988-01-24	143-G	26.500000	0.000000	NORTH SEA	1988	1988	\N	ED50	60	36	30.05	N	2	46	33.58	E	60.608300	2.776000	6719343.890000	487734.990000	31	30	6	U	18	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-20	1243	30/6-U-20	Norsk Hydro Produksjon AS	\N	\N	1988-01-21	1988-01-21	145-G	103.600000	0.000000	NORTH SEA	1988	1988	\N	ED50	60	36	29.99	N	2	46	32.30	E	60.608300	2.775600	6719342.100000	487715.520000	31	30	6	U	20	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-8	1256	6407/9-U-8	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	146-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	64	21	15.00	N	7	46	59.00	E	64.354200	7.783100	7137220.530000	441230.930000	32	6407	9	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-9	1257	6407/9-U-9	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	147-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	64	21	15.00	N	7	46	59.00	E	64.354200	7.783100	7137220.530000	441230.930000	32	6407	9	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-10	1258	6407/9-U-10	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	148-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	64	21	15.00	N	7	46	59.00	E	64.354200	7.783100	7137220.530000	441230.930000	32	6407	9	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-11	1259	6407/9-U-11	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	149-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	64	21	15.00	N	7	46	59.00	E	64.354200	7.783100	7137220.530000	441230.930000	32	6407	9	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-12	1260	6407/9-U-12	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	150-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	64	21	15.00	N	7	46	59.00	E	64.354200	7.783100	7137220.530000	441230.930000	32	6407	9	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-13	1261	6407/9-U-13	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	151-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	64	21	15.00	N	7	46	59.00	E	64.354200	7.783100	7137220.530000	441230.930000	32	6407	9	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
6408/12-U-1	1267	6408/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-05-20	1988-06-12	153-G	0.000000	291.000000	NORWEGIAN SEA	1988	1988	\N	ED50	64	10	13.29	N	8	44	53.49	E	64.170400	8.748200	7116198.130000	487757.950000	32	6408	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6307/7-U-2	1269	6307/7-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-05-20	1988-06-12	155-G	0.000000	290.000000	NORWEGIAN SEA	1988	1988	\N	ED50	63	27	54.35	N	7	14	44.26	E	63.465100	7.245600	7038781.020000	412557.050000	32	6307	7	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6307/7-U-3	1270	6307/7-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-05-20	1988-06-12	156-G	0.000000	241.000000	NORWEGIAN SEA	1988	1988	\N	ED50	63	27	19.20	N	7	16	36.97	E	63.455300	7.276900	7037650.960000	414087.990000	32	6307	7	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6206/2-U-1	1273	6206/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-05-20	1988-06-12	159-G	0.000000	204.000000	NORWEGIAN SEA	1988	1988	\N	ED50	62	56	27.90	N	6	35	48.17	E	62.941100	6.596700	6981473.150000	378036.940000	32	6206	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6206/2-U-2	1274	6206/2-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-05-20	1988-06-12	160-G	0.000000	216.000000	NORWEGIAN SEA	1988	1988	\N	ED50	62	56	14.68	N	6	36	38.00	E	62.937400	6.610600	6981038.030000	378723.940000	32	6206	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6206/2-U-3	1275	6206/2-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-05-20	1988-06-12	161-G	0.000000	218.000000	NORWEGIAN SEA	1988	1988	\N	ED50	62	56	3.01	N	6	37	28.12	E	62.934200	6.624500	6980650.850000	379416.990000	32	6206	2	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6206/2-U-8	1305	6206/2-U-8	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-05-20	1988-06-12	167-G	0.000000	210.000000	NORWEGIAN SEA	1988	1988	\N	ED50	62	56	21.43	N	6	36	12.69	E	62.939300	6.603500	6981260.110000	378375.010000	32	6206	2	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-14	1315	6407/9-U-14	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	164-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	64	18	37.91	N	7	44	19.87	E	64.310500	7.738900	7132399.940000	439000.010000	32	6407	9	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/9-U-1	1320	30/9-U-1	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	169-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	29	30.71	N	2	49	38.33	E	60.491900	2.827300	6706361.320000	490510.840000	31	30	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-14	1321	31/6-U-14	Den norske stats oljeselskap a.s	\N	\N	1988-06-24	1988-06-24	170-G	0.000000	0.000000	NORTH SEA	1988	1988	\N	ED50	60	39	0.96	N	3	41	47.32	E	60.650300	3.696500	6724193.880000	538084.450000	31	31	6	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-15	1322	31/6-U-15	Den norske stats oljeselskap a.s	\N	\N	1988-07-05	1988-07-05	171-G	83.700000	0.000000	NORTH SEA	1988	1988	\N	ED50	60	39	1.18	N	3	41	41.79	E	60.650300	3.694900	6724199.800000	538000.380000	31	31	6	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-16	1323	31/6-U-16	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	172-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	39	1.04	N	3	41	46.46	E	60.650300	3.696200	6724196.220000	538071.360000	31	31	6	U	16	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-17	1324	31/6-U-17	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	173-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	39	1.04	N	3	41	46.46	E	60.650300	3.696200	6724196.220000	538071.360000	31	31	6	U	17	\N	\N	2012-07-25	2012-07-25	2013-05-08
7430/10-U-1	1325	7430/10-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-07-27	1988-07-29	174-G	403.000000	335.000000	UNOPENEDAREA	1988	1988	\N	ED50	74	12	47.80	N	30	14	44.18	E	74.213300	30.245600	8238748.260000	598520.960000	35	7430	10	U	1	\N	\N	2012-09-21	2012-09-21	2013-05-08
7430/7-U-1	1326	7430/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-07-29	1988-08-28	175-G	460.000000	343.000000	UNOPENEDAREA	1988	1988	\N	ED50	74	26	34.70	N	30	14	56.15	E	74.443000	30.248900	8264346.190000	597223.050000	35	7430	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7127/10-U-2	1327	7127/10-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-08-03	1988-08-07	176-G	479.000000	279.000000	BARENTS SEA	1988	1988	\N	ED50	71	9	39.46	N	27	5	26.82	E	71.161000	27.090800	7895564.270000	503272.010000	35	7127	10	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7029/3-U-1	1328	7029/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-08-19	1988-08-23	177-G	530.000000	366.000000	BARENTS SEA	1988	1988	\N	ED50	70	54	10.17	N	29	54	15.07	E	70.902800	29.904200	7869310.110000	606017.000000	35	7029	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7127/10-U-3	1329	7127/10-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-08-07	1988-08-10	178-G	418.000000	264.000000	BARENTS SEA	1988	1988	\N	ED50	71	10	55.01	N	27	11	2.44	E	71.181900	27.184000	7897912.620000	506625.000000	35	7127	10	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7128/12-U-1	1330	7128/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-08-10	1988-08-14	179-G	570.000000	409.000000	BARENTS SEA	1988	1988	\N	ED50	71	14	25.65	N	28	50	28.85	E	71.240500	28.841300	7905434.380000	566086.980000	35	7128	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7029/3-U-2	1332	7029/3-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-08-23	1988-08-27	181-G	509.000000	308.000000	BARENTS SEA	1988	1988	\N	ED50	70	56	7.01	N	29	58	53.56	E	70.935300	29.981500	7873063.250000	608660.980000	35	7029	3	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
13/1-U-1	1397	13/1-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1989-05-12	1989-05-21	185-G	820.400000	525.000000	NORTH SEA	1989	1989	\N	ED50	57	51	3.75	N	8	12	13.28	E	57.851000	8.203700	6412549.890000	452733.690000	32	13	1	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
13/1-U-2	1398	13/1-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1989-05-21	1989-05-27	186-G	716.100000	505.000000	NORTH SEA	1989	1989	\N	ED50	57	48	42.78	N	8	12	13.97	E	57.811900	8.203900	6408190.260000	452693.790000	32	13	1	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
13/2-U-1	1402	13/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1989-05-27	1989-05-29	190-G	606.600000	514.000000	NORTH SEA	1989	1989	\N	ED50	57	59	5.13	N	8	22	0.52	E	57.984800	8.366800	6427334.740000	462555.280000	32	13	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
13/2-U-2	1403	13/2-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1989-05-29	1989-06-01	191-G	629.200000	522.000000	NORTH SEA	1989	1989	\N	ED50	57	59	40.76	N	8	22	0.62	E	57.994700	8.366800	6428436.630000	462567.250000	32	13	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
27/9-U-2	1405	27/9-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1989-05-07	1989-05-10	193-G	334.400000	155.000000	NORTH SEA	1989	1989	\N	ED50	59	24	13.14	N	4	52	4.33	E	59.403700	4.867900	6586640.950000	606050.980000	31	27	9	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
27/9-U-1	1406	27/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1989-05-04	1989-05-07	194-G	334.900000	155.000000	NORTH SEA	1989	1989	\N	ED50	59	24	13.94	N	4	52	5.14	E	59.403900	4.868100	6586666.050000	606063.060000	31	27	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-1	1417	15/9-U-1	Den norske stats oljeselskap a.s	046	\N	1989-06-10	1989-06-10	200-G	0.000000	0.000000	NORTH SEA	1989	1989	\N	ED50	58	22	7.53	N	1	54	38.89	E	58.368800	1.910800	6470429.900000	436280.190000	31	15	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-2	1418	15/9-U-2	Den norske stats oljeselskap a.s	046	\N	1989-06-10	1989-06-10	201-G	0.000000	0.000000	NORTH SEA	1989	1989	\N	ED50	58	22	6.71	N	1	54	37.83	E	58.368500	1.910500	6470404.820000	436262.550000	31	15	9	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-8	1422	34/10-U-8	Den norske stats oljeselskap a.s	\N	\N	1989-05-17	1989-05-17	196-G	0.000000	0.000000	NORTH SEA	1989	1989	\N	ED50	61	12	56.13	N	2	16	27.57	E	61.215600	2.274300	6787179.060000	461016.150000	31	34	10	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-9	1423	34/10-U-9	Den norske stats oljeselskap a.s	\N	\N	1989-05-17	1989-05-18	197-G	0.000000	0.000000	NORTH SEA	1989	1989	\N	ED50	61	12	52.77	N	2	16	22.12	E	61.214700	2.272800	6787076.000000	460933.670000	31	34	10	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-10	1424	34/10-U-10	Den norske stats oljeselskap a.s	\N	\N	1989-05-17	1989-05-17	198-G	0.000000	0.000000	NORTH SEA	1989	1989	\N	ED50	61	12	53.02	N	2	16	23.24	E	61.214700	2.273100	6787083.550000	460950.470000	31	34	10	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-11	1425	34/10-U-11	Den norske stats oljeselskap a.s	\N	\N	1989-05-17	1989-05-17	199-G	0.000000	0.000000	NORTH SEA	1989	1989	\N	ED50	61	12	54.07	N	2	16	26.54	E	61.215000	2.274000	6787115.490000	461000.070000	31	34	10	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-18	1427	31/6-U-18	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	195-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	38	44.87	N	3	43	35.36	E	60.645800	3.726500	6723713.850000	539730.960000	31	31	6	U	18	\N	\N	2012-07-25	2012-07-25	2013-05-08
6307/7-U-3 A	1431	6307/7-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1988-05-20	1988-06-12	156-G1	0.000000	241.000000	NORWEGIAN SEA	1988	1988	\N	ED50	63	27	19.02	N	7	16	37.70	E	63.455300	7.277100	7037645.120000	414097.950000	32	6307	7	U	3	A	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-19	1434	31/6-U-19	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	202-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	38	43.33	N	3	43	34.27	E	60.645400	3.726200	6723666.020000	539714.930000	31	31	6	U	19	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-20	1435	31/6-U-20	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	203-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	38	43.45	N	3	43	36.25	E	60.645400	3.726700	6723670.060000	539744.960000	31	31	6	U	20	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-21	1436	31/6-U-21	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	204-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	38	44.40	N	3	43	33.64	E	60.645700	3.726000	6723699.020000	539704.990000	31	31	6	U	21	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-22	1437	31/6-U-22	A/S Norske Shell	\N	\N	9999-12-31	9999-12-31	205-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	31	6	U	22	\N	\N	2012-07-25	2012-07-25	2013-05-08
7316/3-U-1	1446	7316/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1989-08-08	1989-08-09	206-G	490.000000	297.000000	BARENTS SEA	1989	1989	\N	ED50	73	52	55.80	N	16	54	28.90	E	73.882200	16.908000	8200066.060000	559118.540000	33	7316	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7316/6-U-1	1447	7316/6-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1989-08-04	1989-08-28	207-G	436.000000	328.000000	BARENTS SEA	1989	1989	\N	ED50	73	33	16.50	N	16	49	59.60	E	73.554600	16.833200	8163461.880000	557923.800000	33	7316	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7316/6-U-2	1448	7316/6-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1989-08-04	1989-08-28	208-G	621.000000	421.000000	BARENTS SEA	1989	1989	\N	ED50	73	34	7.70	N	16	50	0.90	E	73.568800	16.833600	8165048.240000	557886.510000	33	7316	6	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7317/10-U-1	1449	7317/10-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1989-08-04	1989-08-28	209-G	689.000000	465.000000	BARENTS SEA	1989	1989	\N	ED50	73	8	58.50	N	17	16	13.00	E	73.149600	17.270300	8118783.090000	573442.870000	33	7317	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-2	1468	2/7-U-2	Phillips Petroleum Company Norway	018	BUCENTAUR	1990-04-24	1990-04-25	216-G	165.000000	71.200000	NORTH SEA	1990	1990	\N	ED50	56	19	59.33	N	3	14	52.47	E	56.333100	3.247900	6243325.090000	515328.970000	31	2	7	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-1	1474	2/4-U-1	Phillips Petroleum Company Norway	018	BUCENTAUR	1989-09-08	1989-09-10	212-G	161.500000	74.500000	NORTH SEA	1989	1989	\N	ED50	56	32	48.47	N	3	13	5.43	E	56.546800	3.218200	6267100.130000	513415.000000	31	2	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-2	1475	2/4-U-2	Phillips Petroleum Company Norway	018	BUCENTAUR	1989-09-07	1989-09-08	213-G	161.400000	74.500000	NORTH SEA	1989	1989	\N	ED50	56	32	47.04	N	3	13	5.71	E	56.546400	3.218300	6267055.930000	513419.930000	31	2	4	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-3	1476	2/4-U-3	Phillips Petroleum Company Norway	018	BUCENTAUR	1989-09-04	1989-09-10	214-G	142.500000	74.500000	NORTH SEA	1989	1989	\N	ED50	56	32	39.66	N	3	13	7.66	E	56.544400	3.218800	6266827.850000	513453.960000	31	2	4	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
33/9-U-1	1522	33/9-U-1	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	217-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	26	37.06	N	1	55	45.56	E	61.443600	1.929300	6812833.370000	442899.790000	31	33	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-1	1553	2/7-U-1	Phillips Petroleum Company Norway	018	BUCENTAUR	1990-04-22	1990-04-23	215-G	163.000000	70.300000	NORTH SEA	1990	1990	\N	ED50	56	20	0.68	N	3	14	54.11	E	56.333500	3.248400	6243366.930000	515356.990000	31	2	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
33/9-U-2	1554	33/9-U-2	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	218-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	26	37.06	N	1	55	45.56	E	61.443600	1.929300	6812833.370000	442899.790000	31	33	9	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
33/9-U-3	1555	33/9-U-3	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	219-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	26	37.06	N	1	55	45.56	E	61.443600	1.929300	6812833.370000	442899.790000	31	33	9	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
33/9-U-0	1556	33/9-U-0	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	220-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	20	18.00	N	1	59	40.55	E	61.338300	1.994600	6801049.580000	446200.060000	31	33	9	U	0	\N	\N	2012-07-25	2012-07-25	2013-05-08
7018/7-U-1	1590	7018/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1990-06-23	1990-07-25	225-G	429.000000	189.000000	BARENTS SEA	1990	1990	\N	ED50	70	29	28.25	N	18	19	59.29	E	70.491200	18.333100	7823039.560000	400624.710000	34	7018	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7018/5-U-1	1591	7018/5-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1990-06-23	1990-07-25	226-G	481.000000	207.000000	BARENTS SEA	1990	1990	\N	ED50	70	30	18.18	N	18	22	28.22	E	70.505100	18.374500	7824518.020000	402232.220000	34	7018	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7018/5-U-2	1592	7018/5-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1990-06-23	1990-07-25	227-G	523.000000	225.000000	BARENTS SEA	1990	1990	\N	ED50	70	30	56.83	N	18	23	53.86	E	70.515800	18.398300	7825676.350000	403168.840000	34	7018	5	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7018/4-U-2	1601	7018/4-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1990-06-23	1990-07-25	233-G	360.000000	223.000000	BARENTS SEA	1990	1990	\N	ED50	70	30	36.36	N	18	13	0.71	E	70.510100	18.216900	7825341.950000	396391.260000	34	7018	4	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7018/5-U-6	1602	7018/5-U-6	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1990-06-23	1990-07-25	234-G	476.000000	230.000000	BARENTS SEA	1990	1990	\N	ED50	70	31	46.48	N	18	24	23.12	E	70.529600	18.406400	7827200.370000	403536.820000	34	7018	5	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
7427/3-U-1	1661	7427/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1990-07-27	1990-07-30	235-G	431.000000	340.000000	UNOPENEDAREA	1990	1990	D-10-82   SP 5349.5 / D-10-87  SP 2215	ED50	74	54	55.94	N	27	45	42.31	E	74.915500	27.761800	8314559.090000	522128.970000	35	7427	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7532/2-U-1	1662	7532/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1990-07-30	1990-07-31	236-G	326.000000	306.000000	UNOPENEDAREA	1990	1990	7545-87      SP  6103	ED50	75	45	1.00	N	32	32	28.40	E	75.750300	32.541200	8414692.190000	652053.980000	35	7532	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7533/3-U-1	1663	7533/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1990-07-31	1990-08-03	237-G	384.000000	263.000000	UNOPENEDAREA	1990	1990	3345-87     SP  10287	ED50	75	56	16.88	N	33	44	59.09	E	75.938000	33.749700	8434835.600000	357769.930000	37	7533	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-3	1692	15/9-U-3	Den norske stats oljeselskap a.s	046	\N	9999-12-31	9999-12-31	221-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	58	22	1.96	N	1	54	30.43	E	58.367200	1.908500	6470259.860000	436139.920000	31	15	9	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-10	1693	34/7-U-10	StatoilHydro ASA	\N	\N	9999-12-31	9999-12-31	240-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	16	7.04	N	2	6	11.21	E	61.268600	2.103100	6793200.070000	451899.980000	31	34	7	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-11	1694	34/7-U-11	StatoilHydro ASA	\N	\N	9999-12-31	9999-12-31	241-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	16	11.95	N	2	6	20.47	E	61.270000	2.105700	6793350.100000	452040.000000	31	34	7	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-12	1695	34/7-U-12	StatoilHydro ASA	\N	\N	9999-12-31	9999-12-31	242-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	16	23.37	N	2	6	37.60	E	61.273200	2.110400	6793699.960000	452299.980000	31	34	7	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-13	1696	34/7-U-13	StatoilHydro ASA	\N	\N	9999-12-31	9999-12-31	243-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	18	21.32	N	2	6	34.26	E	61.305900	2.109500	6797350.110000	452299.980000	31	34	7	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-14	1697	34/7-U-14	StatoilHydro ASA	\N	\N	9999-12-31	9999-12-31	244-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	61	16	33.24	N	2	7	4.18	E	61.275900	2.117800	6793999.970000	452700.000000	31	34	7	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
33/9-U-4	1752	33/9-U-4	Den norske stats oljeselskap a.s	\N	\N	1991-02-21	1991-02-21	246-G	208.000000	156.000000	NORTH SEA	1991	1991	\N	ED50	61	20	38.02	N	1	58	22.18	E	61.343900	1.972800	6801687.130000	445044.970000	31	33	9	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-4	1753	15/9-U-4	Den norske stats oljeselskap a.s	046	\N	1991-02-23	1991-02-23	245-G	138.900000	86.000000	NORTH SEA	1991	1991	\N	ED50	58	26	8.74	N	1	55	46.71	E	58.435800	1.929600	6477872.040000	437500.950000	31	15	9	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-7	1771	6506/12-U-7	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	247-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	1	51.00	N	6	54	44.00	E	65.030800	6.912200	7213695.630000	401669.850000	32	6506	12	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-8	1772	6506/12-U-8	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	248-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	2	7.00	N	6	56	44.00	E	65.035300	6.945600	7214139.320000	403255.450000	32	6506	12	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-9	1773	6506/12-U-9	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	249-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	2	25.00	N	6	56	15.00	E	65.040300	6.937500	7214708.710000	402894.410000	32	6506	12	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-10	1774	6506/12-U-10	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	250-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	1	27.00	N	6	56	3.00	E	65.024200	6.934200	7212918.950000	402678.820000	32	6506	12	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-11	1775	6506/12-U-11	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	251-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	1	6.00	N	6	56	3.00	E	65.018300	6.934200	7212269.070000	402657.570000	32	6506	12	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-12	1776	6506/12-U-12	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	252-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	0	59.00	N	6	54	53.00	E	65.016400	6.914700	7212082.540000	401734.450000	32	6506	12	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-13	1777	6506/12-U-13	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	253-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	1	43.00	N	6	53	8.00	E	65.028600	6.885600	7213489.820000	400405.990000	32	6506	12	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
6814/4-U-1	1800	6814/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1991-06-10	1991-07-07	254-G	422.400000	241.000000	NORWEGIAN SEA	1991	1991	IKU-L04087-90  SP. 170	ED50	68	39	10.90	N	14	11	8.90	E	68.653000	14.185800	7616092.240000	466923.370000	33	6814	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6814/4-U-2	1802	6814/4-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1991-06-10	1991-07-07	255-G	427.100000	233.000000	NORWEGIAN SEA	1991	1991	IKU-L04087-90  SP 265	ED50	68	39	45.80	N	14	9	47.10	E	68.662700	14.163100	7617185.520000	466015.040000	33	6814	4	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6710/3-U-1	1803	6710/3-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1991-06-10	1991-07-07	256-G	437.300000	241.000000	NORWEGIAN SEA	1991	1991	IKU-TB2187-90   SP. 2899	ED50	67	48	16.40	N	10	57	25.30	E	67.804600	10.957000	7522573.750000	582495.550000	32	6710	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6710/3-U-2	1804	6710/3-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1991-06-10	1991-07-07	257-G	394.400000	193.000000	NORWEGIAN SEA	1991	1991	IKU-11-90  SP. 637	ED50	67	53	34.70	N	10	48	6.40	E	67.893000	10.801800	7532229.440000	575665.710000	32	6710	3	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6711/4-U-1	1805	6711/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1991-06-10	1991-07-07	258-G	406.100000	232.000000	NORWEGIAN SEA	1991	1991	IKU-06-90  SP. 1580	ED50	67	44	12.20	N	11	6	34.30	E	67.736700	11.109500	7515225.700000	589179.700000	32	6711	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6710/3-U-3	1806	6710/3-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1991-07-05	1991-07-06	259-G	368.000000	191.000000	NORWEGIAN SEA	1991	1991	IKU-08-90   SP  1997	ED50	67	51	8.00	N	10	59	57.60	E	67.852200	10.999300	7527943.000000	584106.630000	32	6710	3	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/11-U-1	1825	6507/11-U-1	Saga Petroleum ASA	\N	\N	9999-12-31	9999-12-31	261-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	0	13.34	N	7	33	6.60	E	65.003700	7.551800	7209829.970000	431719.940000	32	6507	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/11-U-2	1826	6507/11-U-2	Saga Petroleum ASA	\N	\N	9999-12-31	9999-12-31	262-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	65	0	39.50	N	7	33	5.95	E	65.011000	7.551700	7210639.890000	431729.990000	32	6507	11	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-21	1827	30/6-U-21	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	263-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	42	4.10	N	2	56	11.85	E	60.701100	2.936600	6729660.140000	496539.980000	31	30	6	U	21	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-22	1828	30/6-U-22	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	264-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	42	4.10	N	2	56	11.85	E	60.701100	2.936600	6729660.140000	496539.980000	31	30	6	U	22	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-23	1829	30/6-U-23	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	265-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	42	4.10	N	2	56	11.85	E	60.701100	2.936600	6729660.140000	496539.980000	31	30	6	U	23	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-25	1830	30/6-U-25	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	267-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	42	4.10	N	2	56	11.85	E	60.701100	2.936600	6729660.140000	496539.980000	31	30	6	U	25	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-24	1831	30/6-U-24	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	266-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	42	4.10	N	2	56	11.85	E	60.701100	2.936600	6729660.140000	496539.980000	31	30	6	U	24	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/7-U-8	1845	6507/7-U-8	Norske Conoco A/S	\N	BUCENTAUR	1991-09-07	1991-09-08	268-G	375.800000	339.000000	NORWEGIAN SEA	1991	1991	\N	ED50	65	18	45.77	N	7	15	45.36	E	65.312700	7.262600	7244604.030000	419032.990000	32	6507	7	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/7-U-9	1847	6507/7-U-9	Norske Conoco A/S	\N	BUCENTAUR	1991-09-09	1991-09-10	269-G	361.500000	330.000000	NORWEGIAN SEA	1991	1991	\N	ED50	65	16	46.79	N	7	18	45.97	E	65.279700	7.312800	7240857.900000	421272.010000	32	6507	7	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-5	1886	15/9-U-5	Den norske stats oljeselskap a.s	046	\N	9999-12-31	9999-12-31	270-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	58	25	4.00	N	1	43	4.00	E	58.417800	1.717800	6476086.320000	425092.730000	31	15	9	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-6	1887	15/9-U-6	Den norske stats oljeselskap a.s	046	\N	9999-12-31	9999-12-31	271-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	58	25	8.00	N	1	43	4.00	E	58.418900	1.717800	6476210.020000	425095.090000	31	15	9	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-7	1888	15/9-U-7	Den norske stats oljeselskap a.s	046	\N	9999-12-31	9999-12-31	272-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	58	25	4.00	N	1	42	57.00	E	58.417800	1.715800	6476088.490000	424979.140000	31	15	9	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-8	1889	15/9-U-8	Den norske stats oljeselskap a.s	046	\N	9999-12-31	9999-12-31	273-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	58	25	1.00	N	1	43	6.00	E	58.416900	1.718300	6475992.920000	425123.410000	31	15	9	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-9	1890	15/9-U-9	Den norske stats oljeselskap a.s	046	\N	9999-12-31	9999-12-31	274-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	58	25	4.00	N	1	43	12.00	E	58.417800	1.720000	6476083.850000	425222.540000	31	15	9	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-10	1891	15/9-U-10	Den norske stats oljeselskap a.s	046	\N	9999-12-31	9999-12-31	275-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	58	25	4.00	N	1	43	6.00	E	58.417800	1.718300	6476085.700000	425125.180000	31	15	9	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-11	1892	15/9-U-11	Den norske stats oljeselskap a.s	046	\N	9999-12-31	9999-12-31	276-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	58	25	6.00	N	1	54	24.00	E	58.418300	1.906700	6475953.280000	436127.940000	31	15	9	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/11-U-1	1893	16/11-U-1	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	277-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	58	11	23.61	N	2	28	31.38	E	58.189900	2.475400	6450118.710000	469153.320000	31	16	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/11-U-2	1894	16/11-U-2	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	278-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	58	11	23.61	N	2	28	31.38	E	58.189900	2.475400	6450118.710000	469153.320000	31	16	11	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/9-U-15	1948	6407/9-U-15	A/S Norske Shell	\N	\N	1992-03-17	1992-03-24	279-G	893.000000	256.000000	NORWEGIAN SEA	1992	1992	SH91 52U-53A  X  52U-11A	ED50	64	21	7.94	N	7	46	52.11	E	64.352200	7.781100	7137003.780000	441134.320000	32	6407	9	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-1	1959	25/5-U-1	Elf Petroleum Norge AS	\N	\N	9999-12-31	9999-12-31	280-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	59	44	3.56	N	2	33	28.00	E	59.734300	2.557800	6622060.990000	475135.250000	31	25	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-2	1960	25/5-U-2	Elf Petroleum Norge AS	\N	\N	9999-12-31	9999-12-31	281-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	59	44	3.56	N	2	33	28.00	E	59.734300	2.557800	6622060.990000	475135.250000	31	25	5	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-3	1961	25/5-U-3	Elf Petroleum Norge AS	\N	\N	9999-12-31	9999-12-31	282-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	59	44	3.56	N	2	33	28.00	E	59.734300	2.557800	6622060.990000	475135.250000	31	25	5	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-4	1962	25/5-U-4	Elf Petroleum Norge AS	\N	\N	9999-12-31	9999-12-31	283-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	59	44	3.56	N	2	33	28.00	E	59.734300	2.557800	6622060.990000	475135.250000	31	25	5	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-5	1963	25/5-U-5	Elf Petroleum Norge AS	\N	\N	9999-12-31	9999-12-31	284-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	59	44	3.56	N	2	33	28.00	E	59.734300	2.557800	6622060.990000	475135.250000	31	25	5	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-6	1964	25/5-U-6	Elf Petroleum Norge AS	\N	\N	9999-12-31	9999-12-31	285-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	59	44	3.56	N	2	33	28.00	E	59.734300	2.557800	6622060.990000	475135.250000	31	25	5	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-1	1991	31/2-U-1	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	286-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	50	5.00	N	3	30	49.00	E	60.834700	3.513600	6744647.010000	527924.510000	31	31	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-2	1992	31/2-U-2	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	287-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	50	5.00	N	3	30	49.00	E	60.834700	3.513600	6744647.010000	527924.510000	31	31	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-3	1993	31/2-U-3	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	288-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	50	5.00	N	3	30	49.00	E	60.834700	3.513600	6744647.010000	527924.510000	31	31	2	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-4	1994	31/2-U-4	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	289-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	50	5.00	N	3	30	49.00	E	60.834700	3.513600	6744647.010000	527924.510000	31	31	2	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-5	1995	31/2-U-5	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	290-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	50	5.00	N	3	30	49.00	E	60.834700	3.513600	6744647.010000	527924.510000	31	31	2	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-6	1996	31/2-U-6	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	291-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	50	5.00	N	3	30	49.00	E	60.834700	3.513600	6744647.010000	527924.510000	31	31	2	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-7	1997	31/2-U-7	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	292-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	50	5.00	N	3	30	49.00	E	60.834700	3.513600	6744647.010000	527924.510000	31	31	2	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-8	1998	31/2-U-8	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	293-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	50	5.00	N	3	30	49.00	E	60.834700	3.513600	6744647.010000	527924.510000	31	31	2	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-9	1999	31/2-U-9	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	294-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	50	5.00	N	3	30	49.00	E	60.834700	3.513600	6744647.010000	527924.510000	31	31	2	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-10	2000	31/2-U-10	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	295-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	60	50	5.00	N	3	30	49.00	E	60.834700	3.513600	6744647.010000	527924.510000	31	31	2	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-12	2019	15/9-U-12	Den norske stats oljeselskap a.s	046	\N	9999-12-31	9999-12-31	296-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	58	22	10.00	N	1	54	43.60	E	58.369400	1.912100	6470505.050000	436357.960000	31	15	9	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
6611/9-U-1	2020	6611/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	9999-12-31	9999-12-31	297-G	0.000000	352.000000	NORWEGIAN SEA	0	0	\N	ED50	66	20	24.89	N	11	48	46.59	E	66.340200	11.812900	7360855.370000	625938.690000	32	6611	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6611/9-U-2	2021	6611/9-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	9999-12-31	9999-12-31	298-G	0.000000	355.000000	NORWEGIAN SEA	0	0	\N	ED50	66	20	49.85	N	11	47	32.97	E	66.347200	11.792500	7361586.590000	624989.110000	32	6611	9	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-10	2093	7323/7-U-10	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1985-08-18	1985-08-25	30-G5	544.200000	420.000000	BARENTS SEA	1985	1985	\N	ED50	73	16	51.54	N	23	1	25.83	E	73.281000	23.023800	8136291.620000	372403.840000	35	7323	7	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-11	2097	7323/7-U-11	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1984-08-20	1984-08-26	30-GB	519.000000	418.000000	BARENTS SEA	1984	1984	\N	ED50	73	16	45.65	N	23	9	29.57	E	73.279300	23.158200	8135827.610000	376698.670000	35	7323	7	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/11-U-1	2098	7323/11-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1984-08-28	1984-08-30	30-G3	406.000000	380.000000	BARENTS SEA	1984	1984	\N	ED50	73	13	59.67	N	23	26	59.32	E	73.233200	23.449800	8130113.910000	385741.910000	35	7323	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-12	2100	7323/7-U-12	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1984-08-30	1984-08-31	30-G4	499.000000	421.000000	BARENTS SEA	1984	1984	\N	ED50	73	19	5.58	N	23	16	21.46	E	73.318200	23.272600	8139923.930000	380636.480000	35	7323	7	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
9/2-U-1	2159	9/2-U-1	Statoil ASA (old)	114	\N	9999-12-31	9999-12-31	300-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	N	0	0	0.00	E	0.000000	0.000000	0.000000	0.000000	0	9	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
9/2-U-2	2160	9/2-U-2	Statoil ASA (old)	114	\N	9999-12-31	9999-12-31	301-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	N	0	0	0.00	E	0.000000	0.000000	0.000000	0.000000	0	9	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
9/2-U-3	2161	9/2-U-3	Statoil ASA (old)	114	\N	9999-12-31	9999-12-31	302-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	0	0	0.00	N	0	0	0.00	E	0.000000	0.000000	0.000000	0.000000	0	9	2	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
9/2-U-4	2162	9/2-U-4	Statoil ASA (old)	114	\N	9999-12-31	9999-12-31	303-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	57	49	7.80	N	4	31	10.80	E	57.818800	4.519700	6409699.290000	590279.410000	31	9	2	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
9/2-U-5	2163	9/2-U-5	Statoil ASA (old)	114	\N	9999-12-31	9999-12-31	304-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	57	49	7.80	N	4	31	7.80	E	57.818800	4.518800	6409698.180000	590229.910000	31	9	2	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
9/2-U-6	2164	9/2-U-6	Statoil ASA (old)	114	\N	9999-12-31	9999-12-31	305-G	0.000000	0.000000	NORTH SEA	0	0	\N	ED50	57	49	9.50	N	4	31	10.80	E	57.819300	4.519700	6409751.860000	590278.230000	31	9	2	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
6707/9-U-1	2181	6707/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	9999-12-31	9999-12-31	312-G	0.000000	1474.000000	NORWEGIAN SEA	0	0	\N	ED50	67	17	44.80	N	7	41	25.25	E	67.295800	7.690300	7465140.140000	443591.030000	32	6707	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7418/1-U-1	2185	7418/1-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1994-08-23	1994-08-28	313-G	311.000000	182.000000	UNOPENEDAREA	1994	1994	OD 745230-91 SP 3633	ED50	74	52	33.30	N	18	5	48.80	E	74.875900	18.096900	8312348.940000	590159.900000	33	7418	1	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7517/12-U-1	2186	7517/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1994-07-29	1994-08-04	314-G	359.000000	156.000000	UNOPENEDAREA	1994	1994	OD 1745-91 SP 875	ED50	75	14	16.40	N	17	44	59.20	E	75.237900	17.749800	8352199.630000	578189.180000	33	7517	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7801/8-U-1	2226	7801/8-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-08-11	1993-08-15	320-GB	1618.000000	1274.000000	UNOPENEDAREA	1993	1993	\N	ED50	78	23	6.72	N	1	21	38.22	E	78.385200	1.360600	8702128.740000	463156.890000	31	7801	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7801/8-U-2	2227	7801/8-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-12-14	1993-08-11	320-GC	1356.000000	1273.000000	UNOPENEDAREA	1993	1993	\N	ED50	78	23	7.50	N	1	21	38.64	E	78.385400	1.360700	8702152.840000	463160.190000	31	7801	8	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7803/4-U-1	2228	7803/4-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-08-15	1993-08-17	320-GD	2612.000000	2519.000000	UNOPENEDAREA	1993	1993	\N	ED50	78	35	3.90	N	3	4	22.68	E	78.584400	3.073000	8723848.010000	501612.290000	31	7803	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7803/4-U-2	2229	7803/4-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-08-15	1993-08-17	320-GE	2654.000000	2519.000000	UNOPENEDAREA	1993	1993	\N	ED50	78	35	4.44	N	3	4	22.80	E	78.584600	3.073000	8723864.750000	501613.010000	31	7803	4	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7803/4-U-3	2230	7803/4-U-3	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-08-31	1993-09-11	320-GF	3580.000000	2518.000000	UNOPENEDAREA	1993	1993	\N	ED50	78	35	5.76	N	3	4	13.32	E	78.584900	3.070400	8723905.600000	501554.780000	31	7803	4	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
8006/8-U-1	2231	8006/8-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-08-17	1993-08-20	320-GG	590.000000	556.000000	UNOPENEDAREA	1993	1993	\N	ED50	80	15	52.92	N	6	35	24.30	E	80.264700	6.590100	8913487.490000	567734.320000	31	8006	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
8006/8-U-2	2232	8006/8-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-08-17	1993-08-20	320-GH	572.000000	557.000000	UNOPENEDAREA	1993	1993	\N	ED50	80	15	52.56	N	6	35	27.06	E	80.264600	6.590900	8913477.240000	567749.460000	31	8006	8	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
8006/8-U-3	2233	8006/8-U-3	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-08-17	1993-08-20	320-GI	1064.000000	556.000000	UNOPENEDAREA	1993	1993	\N	ED50	80	15	53.76	N	6	35	25.80	E	80.264900	6.590500	8913513.980000	567740.570000	31	8006	8	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
8006/8-U-4	2234	8006/8-U-4	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-08-29	1993-08-30	320-GJ	717.000000	557.000000	UNOPENEDAREA	1993	1993	\N	ED50	80	15	52.86	N	6	35	25.44	E	80.264700	6.590400	8913486.000000	567740.400000	31	8006	8	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
8008/7-U-1	2235	8008/7-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	\N	1993-08-22	1993-08-24	320-GK	1407.000000	902.000000	UNOPENEDAREA	1993	1993	\N	ED50	80	28	27.96	N	8	13	38.40	E	80.474400	8.227300	8939148.850000	596452.880000	31	8008	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
8008/7-U-2	2236	8008/7-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	\N	1993-08-22	1993-08-24	320-GL	1013.000000	901.000000	UNOPENEDAREA	1993	1993	\N	ED50	80	28	28.56	N	8	13	38.16	E	80.474600	8.227300	8939167.270000	596449.980000	31	8008	7	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
8008/7-U-3	2237	8008/7-U-3	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	\N	1993-08-22	1993-08-24	320-GM	1030.000000	902.000000	UNOPENEDAREA	1993	1993	\N	ED50	80	28	29.10	N	8	13	38.22	E	80.474800	8.227300	8939183.970000	596448.780000	31	8008	7	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7905/2-U-1	2238	7905/2-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-08-25	1993-08-28	320-GN	1182.000000	1037.000000	UNOPENEDAREA	1993	1993	\N	ED50	79	57	33.42	N	5	27	21.60	E	79.959300	5.456000	8878312.860000	547791.970000	31	7905	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7905/2-U-2	2239	7905/2-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-08-25	1993-08-28	320-GO	1078.000000	1037.000000	UNOPENEDAREA	1993	1993	\N	ED50	79	57	31.98	N	5	27	23.82	E	79.958900	5.456600	8878268.760000	547805.850000	31	7905	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7905/2-U-3	2240	7905/2-U-3	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-08-25	1993-08-28	320-GP	1246.000000	1037.000000	UNOPENEDAREA	1993	1993	\N	ED50	79	57	31.38	N	5	27	21.78	E	79.958700	5.456100	8878249.700000	547795.620000	31	7905	2	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7506/7-U-1 W	2241	7506/7-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-09-12	1993-09-14	320-GQ	3422.000000	3319.000000	UNOPENEDAREA	1993	1993	\N	ED50	75	29	20.64	N	6	56	49.80	W	75.489100	6.947200	8401756.900000	222990.910000	31	7506	7	U	1	W	\N	2012-07-25	2012-07-25	2013-05-08
7506/7-U-2 W	2242	7506/7-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1993-09-12	1993-09-14	320-GR	4089.000000	3318.000000	UNOPENEDAREA	1993	1993	\N	ED50	75	29	21.36	N	6	56	48.60	W	75.489300	6.946800	8401777.360000	223003.850000	31	7506	7	U	2	W	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-1	2331	15/12-U-1	Den norske stats oljeselskap a.s	038	\N	1994-03-15	1994-04-07	321-G	0.000000	0.000000	NORTH SEA	1994	1994	\N	ED50	58	5	0.00	N	1	54	0.00	E	58.083300	1.900000	6438663.070000	435129.530000	31	15	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-2	2332	15/12-U-2	Den norske stats oljeselskap a.s	038	\N	1994-03-15	1994-04-07	322-G	0.000000	0.000000	NORTH SEA	1994	1994	\N	ED50	58	5	0.00	N	1	54	0.00	E	58.083300	1.900000	6438663.070000	435129.530000	31	15	12	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-3	2333	15/12-U-3	Den norske stats oljeselskap a.s	038	\N	1994-03-15	1994-04-07	323-G	0.000000	0.000000	NORTH SEA	1994	1994	\N	ED50	58	5	0.00	N	1	54	0.00	E	58.083300	1.900000	6438663.070000	435129.530000	31	15	12	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-4	2334	15/12-U-4	Den norske stats oljeselskap a.s	038	\N	1994-03-15	1994-04-07	324-G	0.000000	0.000000	NORTH SEA	1994	1994	\N	ED50	58	5	0.00	N	1	54	0.00	E	58.083300	1.900000	6438663.070000	435129.530000	31	15	12	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-5	2335	15/12-U-5	Den norske stats oljeselskap a.s	038	\N	1994-03-15	1994-04-07	325-G	0.000000	0.000000	NORTH SEA	1994	1994	\N	ED50	58	5	0.00	N	1	54	0.00	E	58.083300	1.900000	6438663.070000	435129.530000	31	15	12	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-6	2336	15/12-U-6	Den norske stats oljeselskap a.s	038	\N	1994-03-15	1994-04-07	326-G	0.000000	0.000000	NORTH SEA	1994	1994	\N	ED50	58	5	0.00	N	1	54	0.00	E	58.083300	1.900000	6438663.070000	435129.530000	31	15	12	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-7	2337	15/12-U-7	Den norske stats oljeselskap a.s	038	\N	1994-03-15	1994-04-07	327-G	0.000000	0.000000	NORTH SEA	1994	1994	\N	ED50	58	5	0.00	N	1	54	0.00	E	58.083300	1.900000	6438663.070000	435129.530000	31	15	12	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-8	2338	15/12-U-8	Den norske stats oljeselskap a.s	038	\N	1994-03-15	1994-04-07	328-G	0.000000	0.000000	NORTH SEA	1994	1994	\N	ED50	58	5	0.00	N	1	54	0.00	E	58.083300	1.900000	6438663.070000	435129.530000	31	15	12	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-9	2339	15/12-U-9	Den norske stats oljeselskap a.s	038	\N	1994-03-15	1994-04-07	329-G	0.000000	0.000000	NORTH SEA	1994	1994	\N	ED50	58	5	0.00	N	1	54	0.00	E	58.083300	1.900000	6438663.070000	435129.530000	31	15	12	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
6707/4-U-1	2345	6707/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	9999-12-31	9999-12-31	306-G	0.000000	1446.000000	NORWEGIAN SEA	0	0	\N	ED50	67	42	20.95	N	7	15	0.00	E	67.705800	7.250000	7511307.600000	425918.140000	32	6707	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6707/7-U-1	2346	6707/7-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	9999-12-31	9999-12-31	307-G	0.000000	0.000000	NORWEGIAN SEA	0	0	\N	ED50	67	24	47.28	N	7	15	12.17	E	67.413100	7.253400	7478682.640000	425141.810000	32	6707	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6707/8-U-1	2349	6707/8-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	9999-12-31	9999-12-31	311-G	0.000000	1480.000000	NORWEGIAN SEA	0	0	\N	ED50	67	15	19.33	N	7	34	18.60	E	67.255400	7.571800	7460748.660000	438383.580000	32	6707	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7618/10-U-1	2486	7618/10-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1994-08-05	1994-08-05	330-G	258.000000	227.000000	UNOPENEDAREA	1994	1994	\N	ED50	76	7	30.80	N	18	17	24.20	E	76.125200	18.290100	8451853.350000	588031.320000	33	7618	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7618/10-U-2	2487	7618/10-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1994-08-06	1994-08-07	331-G	242.000000	226.000000	UNOPENEDAREA	1994	1994	\N	ED50	76	7	30.60	N	18	17	25.00	E	76.125200	18.290300	8451847.490000	588037.600000	33	7618	10	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7618/10-U-3	2488	7618/10-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1994-08-08	1994-08-09	332-G	251.000000	226.000000	UNOPENEDAREA	1994	1994	\N	ED50	76	7	30.60	N	18	17	27.40	E	76.125200	18.290900	8451848.490000	588055.420000	33	7618	10	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7617/11-U-1	2489	7617/11-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1994-08-11	1994-08-12	333-G	337.000000	304.000000	UNOPENEDAREA	1994	1994	\N	ED50	76	7	29.60	N	17	32	51.20	E	76.124900	17.547600	8450833.450000	568179.290000	33	7617	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7616/11-U-2	2490	7616/11-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1994-08-21	1994-08-22	336-G	376.000000	326.000000	UNOPENEDAREA	1994	1994	\N	ED50	76	7	40.50	N	16	29	7.70	E	76.127900	16.485500	8450199.880000	539754.290000	33	7616	11	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7616/11-U-1	2491	7616/11-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1994-08-19	1994-08-19	335-G	401.000000	329.000000	UNOPENEDAREA	1994	1994	\N	ED50	76	7	23.30	N	16	26	9.00	E	76.123100	16.435800	8449634.000000	538439.080000	33	7616	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7617/11-U-2	2492	7617/11-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1994-08-13	1994-08-18	334-G	461.000000	304.000000	UNOPENEDAREA	1994	1994	\N	ED50	76	7	29.60	N	17	33	5.70	E	76.124900	17.551600	8450838.110000	568287.020000	33	7617	11	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6511/2-U-1	2529	6511/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-G2	0.000000	173.200000	NORWEGIAN SEA	1982	1982	\N	ED50	65	59	16.00	N	11	23	41.60	E	65.987800	11.394900	7320809.240000	608732.200000	32	6511	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6511/4-U-1	2531	6511/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-G3	0.000000	298.000000	NORWEGIAN SEA	1982	1982	B82 109	ED50	65	38	30.10	N	11	2	49.30	E	65.641700	11.047000	7281689.990000	594200.820000	32	6511	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6510/11-U-2	2532	6510/11-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-G4	0.000000	249.000000	NORWEGIAN SEA	1982	1982	B82 103	ED50	65	5	59.90	N	10	32	8.00	E	65.100000	10.535600	7220654.030000	572139.040000	32	6510	11	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6510/11-U-1	2533	6510/11-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-G5	0.000000	241.000000	NORWEGIAN SEA	1982	1982	B82 103	ED50	65	5	57.30	N	10	31	38.90	E	65.099300	10.527500	7220564.340000	571761.300000	32	6510	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6511/4-U-2	2534	6511/4-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-G6	0.000000	305.000000	NORWEGIAN SEA	1982	1982	B82 109	ED50	65	38	25.50	N	11	1	18.40	E	65.640400	11.021800	7281510.030000	593043.750000	32	6511	4	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6510/6-U-1	2535	6510/6-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-G7	0.000000	349.000000	NORWEGIAN SEA	1982	1982	B82 109	ED50	65	38	32.60	N	10	59	20.00	E	65.642400	10.988900	7281681.510000	591523.640000	32	6510	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6510/6-U-2	2536	6510/6-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-G8	0.000000	382.000000	NORWEGIAN SEA	1982	1982	B82 109	ED50	65	38	39.20	N	10	57	32.70	E	65.644200	10.959100	7281842.720000	590146.050000	32	6510	6	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6510/6-U-3	2537	6510/6-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-G9	0.000000	387.000000	NORWEGIAN SEA	1982	1982	B82 109	ED50	65	38	38.10	N	10	56	32.70	E	65.643900	10.942400	7281784.890000	589380.390000	32	6510	6	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6510/6-U-4	2538	6510/6-U-4	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-GJ	0.000000	383.000000	NORWEGIAN SEA	1982	1982	B82 109	ED50	65	38	40.10	N	10	54	53.80	E	65.644500	10.914900	7281808.020000	588114.680000	32	6510	6	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
6510/10-U-3	2539	6510/10-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-GK	0.000000	0.000000	NORWEGIAN SEA	1982	1982	B82 103	ED50	65	5	57.80	N	10	17	34.10	E	65.099400	10.292800	7220333.690000	560737.560000	32	6510	10	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6510/10-U-2	2540	6510/10-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-GL	0.000000	0.000000	NORWEGIAN SEA	1982	1982	B82 103	ED50	65	5	57.50	N	10	17	32.80	E	65.099300	10.292400	7220324.050000	560720.790000	32	6510	10	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6510/10-U-4	2541	6510/10-U-4	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-GM	0.000000	258.000000	NORWEGIAN SEA	1982	1982	B82 103	ED50	65	5	59.40	N	10	13	6.60	E	65.099800	10.218500	7220313.820000	557245.990000	32	6510	10	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
6510/10-U-1	2543	6510/10-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-GN	0.000000	208.000000	NORWEGIAN SEA	1982	1982	\N	ED50	65	11	16.00	N	10	19	15.00	E	65.187800	10.320800	7230210.650000	561848.120000	32	6510	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6510/10-U-5	2544	6510/10-U-5	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1982-05-15	1982-06-15	1-GO	0.000000	255.000000	NORWEGIAN SEA	1982	1982	B82 103	ED50	65	6	13.10	N	10	9	43.60	E	65.103600	10.162100	7220687.990000	554589.240000	32	6510	10	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
7534/4-U-1	2675	7534/4-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1995-07-30	1995-08-05	337-G	0.000000	202.000000	UNOPENEDAREA	1995	1995	\N	ED50	75	44	17.33	N	34	12	21.32	E	75.738100	34.205900	8411549.610000	368292.970000	37	7534	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7618/12-U-1	2677	7618/12-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1995-08-10	1995-08-16	339-G	0.000000	235.000000	UNOPENEDAREA	1995	1995	\N	ED50	76	11	8.11	N	18	39	59.95	E	76.185600	18.666700	8459171.100000	597677.930000	33	7618	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7618/9-U-1	2678	7618/9-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1995-08-16	1995-08-21	340-G	0.000000	270.000000	UNOPENEDAREA	1995	1995	\N	ED50	76	19	28.88	N	18	55	37.64	E	76.324700	18.927100	8475108.000000	603574.470000	33	7618	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7619/8-U-1	2679	7619/8-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1995-08-22	1995-08-25	341-G	0.000000	246.000000	UNOPENEDAREA	1995	1995	\N	ED50	76	29	57.65	N	19	28	20.47	E	76.499300	19.472400	8495570.040000	616452.280000	33	7619	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7534/6-U-1	2680	7534/6-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1995-08-06	1995-08-10	338-G	0.000000	167.000000	UNOPENEDAREA	1995	1995	\N	ED50	75	33	33.72	N	34	55	43.20	E	75.559400	34.928700	8390155.050000	386744.230000	37	7534	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7709/7-U-1	2775	7709/7-U-1	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1995-08-10	1995-08-11	342-GA	2258.000000	2052.000000	UNOPENEDAREA	1995	1995	\N	ED50	77	20	26.28	N	9	4	39.66	E	77.340600	9.077700	8592335.100000	355339.220000	33	7709	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7709/7-U-2	2776	7709/7-U-2	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1995-08-11	1995-08-11	342-GB	2069.000000	2053.000000	UNOPENEDAREA	1995	1995	\N	ED50	77	20	25.86	N	9	4	39.86	E	77.340500	9.077700	8592322.000000	355339.260000	33	7709	7	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7709/7-U-3	2777	7709/7-U-3	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	\N	JOIDES RESOLUTION	1995-08-11	1995-08-13	342-GC	2460.000000	2052.000000	UNOPENEDAREA	1995	1995	\N	ED50	77	20	25.86	N	9	4	39.84	E	77.340500	9.077700	8592322.020000	355339.130000	33	7709	7	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7709/7-U-4	2778	7709/7-U-4	Ocean Drilling Program, Texas A & M University	\N	JOIDES RESOLUTION	1995-08-15	1995-08-19	342-GD	3009.000000	2052.000000	UNOPENEDAREA	1995	1995	\N	ED50	77	20	24.48	N	9	4	39.24	E	77.340100	9.077600	8592279.860000	355330.760000	33	7709	7	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-1	3266	25/8-U-1	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-22	1996-08-23	343-G1	248.000000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	27	4.70	N	2	22	0.73	E	59.451300	2.366900	6590630.630000	464100.880000	31	25	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-2	3272	25/8-U-2	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-24	1996-08-24	343-G2	189.000000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	27	2.49	N	2	22	0.61	E	59.450700	2.366800	6590562.290000	464098.340000	31	25	8	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-3	3273	25/8-U-3	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-26	1996-08-26	343-G3	170.000000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	28	3.59	N	2	22	33.65	E	59.467700	2.376000	6592447.400000	464636.460000	31	25	8	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-4	3274	25/8-U-4	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-25	1996-08-25	343-G4	169.000000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	27	57.66	N	2	24	8.20	E	59.466000	2.402300	6592250.290000	466123.250000	31	25	8	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-5	3275	25/8-U-5	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-25	1996-08-25	343-G5	172.000000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	27	13.06	N	2	24	45.49	E	59.453600	2.412600	6590865.430000	466698.130000	31	25	8	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-6	3276	25/8-U-6	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-25	1996-08-26	343-G6	169.000000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	26	34.37	N	2	23	48.08	E	59.442900	2.396700	6589676.710000	465783.130000	31	25	8	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-7	3277	25/8-U-7	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-27	1996-08-27	343-G7	170.000000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	27	3.79	N	2	21	58.54	E	59.451100	2.366300	6590602.810000	464066.120000	31	25	8	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
6704/12-U-1	3305	6704/12-U-1	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	344-G	1511.200000	160.200000	NORWEGIAN SEA	0	0	\N	ED50	67	1	35.20	N	4	57	25.60	E	67.026400	4.957100	7435859.260000	585234.960000	31	6704	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6404/5-U-1	3400	6404/5-U-1	Den norske stats oljeselskap a.s	\N	\N	1997-08-11	1997-08-11	345-G	1276.000000	966.000000	NORWEGIAN SEA	1997	1997	\N	ED50	64	42	6.70	N	4	34	27.27	E	64.701900	4.574200	7176339.360000	575060.190000	31	6404	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6405/2-U-1	3401	6405/2-U-1	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	346-G	656.000000	532.000000	NORWEGIAN SEA	0	0	\N	ED50	64	56	13.20	N	5	42	22.56	E	64.937000	5.706300	7204350.070000	627895.020000	31	6405	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6606/3-U-1	3402	6606/3-U-1	Den norske stats oljeselskap a.s	\N	\N	9999-12-31	9999-12-31	347-G	954.000000	106.000000	NORWEGIAN SEA	0	0	\N	ED50	66	45	33.84	N	6	55	53.25	E	66.759400	6.931500	7406259.310000	408924.960000	32	6606	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7533/3-U-7	3607	7533/3-U-7	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1998-08-10	1998-08-16	348-GA	436.000000	232.000000	UNOPENEDAREA	1998	1998	SENT-J-93 sp 1689	\N	75	48	27.65	N	33	55	22.24	E	75.807700	33.922800	8419931.270000	361199.320000	37	7533	3	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
7634/6-U-3	3608	7634/6-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1998-08-10	1998-08-16	351-GE	239.000000	196.000000	UNOPENEDAREA	1998	1998	NPD SB-3-89 sp 13121	ED50	76	37	51.39	N	34	43	49.18	E	76.630900	34.730300	8509827.250000	389879.970000	37	7634	6	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7533/2-U-1	3609	7533/2-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1998-08-12	1998-08-18	348-GB	478.000000	275.000000	UNOPENEDAREA	1998	1998	SENT-3-93 sp 2452	\N	75	55	41.93	N	33	25	37.60	E	75.928300	33.427100	8434557.770000	348951.200000	37	7533	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7634/6-U-1	3610	7634/6-U-1	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1998-08-18	1998-08-21	351-GA	312.000000	187.000000	UNOPENEDAREA	1998	1998	NPD SB-3-93 sp 13166	\N	76	37	29.83	N	34	45	52.36	E	76.625000	34.764500	8509096.820000	390712.980000	37	7634	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7533/2-U-2	3611	7533/2-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1998-08-10	1998-08-10	348-GC	358.000000	268.000000	UNOPENEDAREA	1998	1998	SENT-3-93 sp = 2425	ED50	75	55	26.66	N	33	26	40.70	E	75.924100	33.444600	8434041.650000	349380.490000	37	7533	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7533/2-U-3	3613	7533/2-U-3	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1998-08-21	1998-08-25	348-GD	286.000000	256.000000	UNOPENEDAREA	1998	1998	SENT-3-93 sp = 2351	\N	75	54	44.32	N	33	29	33.29	E	75.912300	33.492600	8432612.830000	350554.510000	37	7533	2	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/9-U-1	4352	6305/9-U-1	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	352-G	0.000000	270.000000	NORWEGIAN SEA	0	0	NH9753-302   NH9956-404	ED50	63	28	57.34	N	5	43	44.26	E	63.482600	5.729000	7042429.980000	635918.030000	31	6305	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/5-U-1	4353	6305/5-U-1	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	353-G	0.000000	489.000000	NORWEGIAN SEA	0	0	NH9956-103    NH9956-202	ED50	63	43	0.80	N	5	34	36.92	E	63.716900	5.576900	7068207.970000	627296.950000	31	6305	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/5-U-2	4354	6305/5-U-2	Norsk Hydro Produksjon AS	\N	WEST NAVIGATOR	2006-06-16	2006-06-16	354-G	0.000000	937.000000	NORWEGIAN SEA	2006	2006	NH97544-103   3D OL00M1	ED50	63	34	3.07	N	5	20	58.55	E	63.567500	5.349600	7051138.900000	616683.010000	31	6305	5	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/5-U-3	4355	6305/5-U-3	Norsk Hydro Produksjon AS	\N	SCARABEO 5	9999-12-31	9999-12-31	355-G	0.000000	920.000000	NORWEGIAN SEA	0	0	NH9754-103   3D OL00M1	ED50	63	34	31.75	N	5	21	41.24	E	63.575500	5.361500	7052047.860000	617238.940000	31	6305	5	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/5-U-4	4357	6305/5-U-4	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	356-G	0.000000	947.000000	NORWEGIAN SEA	0	0	NH9754-103  3D OL00M1	ED50	63	34	46.44	N	5	20	5.68	E	63.579600	5.334900	7052453.960000	615904.940000	31	6305	5	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/4-U-1	4359	6305/4-U-1	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	357-G	0.000000	1121.000000	NORWEGIAN SEA	0	0	NH9651-102   NH9651-301	ED50	63	32	15.05	N	5	14	57.96	E	63.537500	5.249400	7047618.110000	611827.900000	31	6305	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/4-U-2	4361	6305/4-U-2	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	358-G	0.000000	1102.000000	NORWEGIAN SEA	0	0	NH9956-102    NH9956-301	ED50	63	30	8.88	N	5	6	4.62	E	63.502500	5.101300	7043463.980000	604593.070000	31	6305	4	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6403/6-U-1	4363	6403/6-U-1	Statoil ASA (old)	\N	EIRIK RAUDE	2006-04-06	2006-04-09	359-G	0.000000	1721.000000	NORWEGIAN SEA	2006	2006	3D survey MC3DMGS2002 3D-inline 3428 & xline 4338	ED50	64	36	31.70	N	3	43	8.60	E	64.608800	3.719100	7165231.190000	534404.520000	31	6403	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6403/5-U-1	4364	6403/5-U-1	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	360-G	1745.000000	1619.000000	NORWEGIAN SEA	0	0	NH163-3206   SP3496/ 1412 SP184	ED50	64	40	47.60	N	3	39	12.80	E	64.679900	3.653600	7173119.030000	531188.980000	31	6403	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6403/5-U-2	4365	6403/5-U-2	Norsk Hydro Produksjon AS	\N	\N	9999-12-31	9999-12-31	361-G	1765.000000	1630.000000	NORWEGIAN SEA	0	0	NH163-3206   SP3506/ 1411 SP2186	ED50	64	40	41.97	N	3	38	59.46	E	64.678300	3.649900	7172942.920000	531013.940000	31	6403	5	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/4-U-3	4537	6305/4-U-3	Norsk Hydro Produksjon AS	\N	SCARABEO 5	2002-03-16	2002-03-18	362-G	1751.000000	1003.000000	NORWEGIAN SEA	2002	2002	\N	ED50	63	34	17.00	N	5	18	25.29	E	63.571400	5.307000	7051492.920000	614553.990000	31	6305	4	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6403/10-U-1	4632	6403/10-U-1	Norsk Hydro Produksjon AS	\N	SCARABEO 5	9999-12-31	9999-12-31	363-G	2207.000000	1720.000000	NORWEGIAN SEA	0	0	\N	ED50	64	3	39.44	N	3	0	15.41	E	64.061000	3.004300	7103982.130000	500208.930000	31	6403	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/8-U-3	4786	6305/8-U-3	Norsk Hydro Produksjon AS	\N	\N	2002-06-18	2002-06-18	366-G	442.000000	427.000000	NORWEGIAN SEA	2002	2002	\N	ED50	63	24	10.80	N	5	38	6.60	E	63.403000	5.635200	7033370.740000	631613.440000	31	6305	8	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/8-U-2	4787	6305/8-U-2	Norsk Hydro Produksjon AS	\N	\N	2002-08-18	2002-08-18	365-G	563.000000	419.000000	NORWEGIAN SEA	2002	2002	NH0169-402	ED50	63	24	39.40	N	5	38	50.10	E	63.410900	5.647300	7034280.300000	632180.110000	31	6305	8	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/8-U-1	4788	6305/8-U-1	Norsk Hydro Produksjon AS	\N	\N	2000-06-20	2000-06-20	364-G	240.000000	268.000000	NORWEGIAN SEA	2000	2000	NH9651 SP64	ED50	63	24	31.80	N	5	39	38.00	E	63.408800	5.660600	7034072.740000	632853.960000	31	6305	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/8-U-4	4789	6305/8-U-4	Norsk Hydro Produksjon AS	\N	\N	2003-06-05	2003-06-05	367-G	948.000000	848.000000	NORWEGIAN SEA	2003	2003	OL00M! NH 9602 Crossl.4361 Inl. 4506	ED50	63	29	47.20	N	5	23	12.10	E	63.496400	5.386700	7043291.320000	618820.000000	31	6305	8	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/8-U-5	4790	6305/8-U-5	Norsk Hydro Produksjon AS	\N	\N	2003-06-15	2003-06-15	368-G	356.000000	256.000000	NORWEGIAN SEA	2003	2003	NH9753-105 SP 53	ED50	63	23	24.90	N	5	39	34.30	E	63.390300	5.659500	7032001.230000	632888.610000	31	6305	8	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/8-U-6	4791	6305/8-U-6	Norsk Hydro Produksjon AS	\N	\N	2003-06-15	2003-06-15	369-G	359.000000	259.000000	NORWEGIAN SEA	2003	2003	NH9753-105 SP 38	ED50	63	23	24.60	N	5	39	59.00	E	63.390200	5.666400	7032006.200000	633231.670000	31	6305	8	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/5-U-5	4792	6305/5-U-5	Norsk Hydro Produksjon AS	\N	\N	2003-06-10	2003-06-10	370-G	948.000000	848.000000	NORWEGIAN SEA	2003	2003	OL00M1 NH9602 Crossl. 4632 Inl. 4511	ED50	63	31	36.80	N	5	23	18.70	E	63.526900	5.388500	7046685.380000	618784.660000	31	6305	5	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/9-U-13	4938	15/9-U-13	StatoilHydro ASA	046	TRANSOCEAN SEARCHER	2003-08-18	2003-08-20	371-G	814.000000	111.000000	NORTH SEA	2003	2003	\N	ED50	58	29	49.26	N	1	43	21.79	E	58.497000	1.722700	6484902.750000	425549.030000	31	15	9	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-23	4992	31/6-U-23	Statoil ASA (old)	\N	BUCENTAUR	9999-12-31	9999-12-31	372-G	0.000000	0.000000	NORTH SEA	0	0	ST0490-linje05002SP1316 linje07002SP1319	ED50	60	38	40.00	N	3	43	26.00	E	60.644400	3.723900	6723561.610000	539590.430000	31	31	6	U	23	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/6-U-24	4996	31/6-U-24	Statoil ASA (old)	\N	BUCENTAUR	9999-12-31	9999-12-31	373-G	0.000000	0.000000	NORTH SEA	0	0	ST0494-L05001SP1646-L07012SP2216	ED50	60	37	55.20	N	3	44	36.20	E	60.632000	3.743400	6722187.470000	540672.550000	31	31	6	U	24	\N	\N	2012-07-25	2012-07-25	2013-05-08
24/9-U-1	5142	24/9-U-1	Det Norske Oljeselskap AS	305	BUCENTAUR	2005-08-15	2005-08-15	374-G	155.000000	122.500000	NORTH SEA	2005	2005	DNO-05-SW	ED50	59	19	28.97	N	1	59	20.58	E	59.324700	1.989100	6576798.890000	442464.940000	31	24	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
24/9-U-2	5143	24/9-U-2	Det Norske Oljeselskap AS	305	BUCENTAUR	2005-08-16	2005-08-16	375-G	156.000000	122.900000	NORTH SEA	2005	2005	DNO-05-SW	ED50	59	22	0.02	N	1	57	13.22	E	59.366700	1.953700	6581502.140000	440525.040000	31	24	9	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6302/6-U-1	5151	6302/6-U-1	Statoil ASA (old)	\N	EIRIK RAUDE	2005-06-01	2005-06-10	376-G	2122.000000	1262.000000	NORWEGIAN SEA	2005	2005	\N	ED50	63	31	40.27	N	2	45	53.55	E	63.527900	2.764900	7044598.440000	488304.610000	31	6302	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
24/9-U-3	5152	24/9-U-3	Det Norske Oljeselskap AS	305	BUCENTAUR	2005-08-15	2005-08-15	374-G1	156.000000	122.900000	NORTH SEA	2005	2005	DNO-05-SW	ED50	59	20	57.90	N	1	59	19.52	E	59.349400	1.988800	6579549.870000	442489.950000	31	24	9	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
24/9-U-4	5153	24/9-U-4	Det Norske Oljeselskap AS	305	BUCENTAUR	2005-08-15	2005-08-15	374-G2	156.000000	122.700000	NORTH SEA	2005	2005	DNO-05-SW	ED50	59	19	30.00	N	1	59	23.91	E	59.325000	1.990000	6576829.950000	442518.060000	31	24	9	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
24/9-U-5	5154	24/9-U-5	Det Norske Oljeselskap AS	305	BUCENTAUR	2005-08-16	2005-08-16	375-G1	156.000000	123.200000	NORTH SEA	2005	2005	DNO-05-SW	ED50	59	21	58.98	N	1	57	16.54	E	59.366400	1.954600	6581469.150000	440576.950000	31	24	9	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
24/9-U-6	5155	24/9-U-6	Det Norske Oljeselskap AS	305	BUCENTAUR	2005-08-17	2005-08-17	375-G2	156.000000	122.900000	NORTH SEA	2005	2005	DNO-05-SW	ED50	59	22	1.04	N	1	57	16.61	E	59.367000	1.954600	6581532.850000	440579.050000	31	24	9	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
7122/7-U-1	5162	7122/7-U-1	Eni Norge AS	229	BUCENTAUR	2005-08-20	2005-08-21	377-G1	0.000000	0.000000	BARENTS SEA	2005	2005	NA0101	ED50	71	19	52.10	N	22	18	18.20	E	71.331100	22.305100	7915046.220000	546624.170000	34	7122	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7122/7-U-2	5163	7122/7-U-2	Eni Norge AS	229	BUCENTAUR	2005-08-22	2005-08-23	377-G2	0.000000	0.000000	BARENTS SEA	2005	2005	NA0101	ED50	71	17	7.70	N	22	14	13.80	E	71.285500	22.237200	7909902.580000	544303.270000	34	7122	7	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7122/7-U-3	5164	7122/7-U-3	Eni Norge AS	229	BUCENTAUR	2005-08-24	2008-08-25	377-G3	0.000000	0.000000	BARENTS SEA	2005	2008	NA0101	ED50	71	15	17.60	N	22	16	4.40	E	71.254900	22.267900	7906514.800000	545474.780000	34	7122	7	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7830/6-U-1	5299	7830/6-U-1	SINTEF Petroleumsforskning AS	\N	BUCENTAUR	2005-09-16	2005-09-19	379-GA	251.000000	195.000000	UNOPENEDAREA	2005	2005	7845-90 SP 1286	ED50	78	44	59.90	N	30	57	5.90	E	78.750000	30.951600	8745234.980000	586004.110000	35	7830	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7831/2-U-1	5300	7831/2-U-1	SINTEF Petroleumsforskning AS	\N	BUCENTAUR	2005-09-19	2005-09-21	379-GB	163.000000	132.000000	UNOPENEDAREA	2005	2005	\N	ED50	78	54	59.90	N	31	34	20.80	E	78.916600	31.572400	8764768.090000	598035.480000	35	7831	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7831/2-U-2	5301	7831/2-U-2	SINTEF Petroleumsforskning AS	\N	BUCENTAUR	2005-09-22	2005-09-29	379-GC	152.000000	130.000000	UNOPENEDAREA	2005	2005	7855-90	ED50	78	54	59.80	N	31	34	55.50	E	78.916600	31.582100	8764781.210000	598241.980000	35	7831	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7830/5-U-1	5302	7830/5-U-1	SINTEF Petroleumsforskning AS	\N	BUCENTAUR	2005-09-22	2005-09-23	379-GD	400.000000	252.000000	UNOPENEDAREA	2005	2005	3030-90 SP 4481	ED50	78	40	53.80	N	30	30	2.70	E	78.681600	30.500800	8736992.160000	576659.860000	35	7830	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7830/3-U-1	5303	7830/3-U-1	SINTEF Petroleumsforskning AS	\N	BUCENTAUR	2005-09-29	2005-10-05	379-GE	411.000000	209.000000	UNOPENEDAREA	2005	2005	7845-90 SP 1231	ED50	78	45	0.30	N	30	53	19.40	E	78.750100	30.888700	8745155.450000	584635.920000	35	7830	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7120/8-U-4	5341	7120/8-U-4	Statoil ASA (old)	064	POLAR PIONEER	2007-11-15	2007-11-15	380-G	0.000000	275.000000	BARENTS SEA	2007	2007	ST8320R00. Inline 304. Crossline 1919.	ED50	71	28	37.02	N	20	26	45.31	E	71.477000	20.445900	7930897.010000	480352.980000	34	7120	8	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
6607/2-U-1	5354	6607/2-U-1	Eni Norge AS	329	FUGRO EXPLORER	9999-12-31	9999-12-31	381-G1	0.000000	0.000000	NORWEGIAN SEA	0	0	3D VGUH0201 LINJE 5534 TRASE 2250	\N	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6607	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6607/2-U-2	5355	6607/2-U-2	Eni Norge AS	329	FUGRO EXPLORER	9999-12-31	9999-12-31	381-G2	0.000000	0.000000	NORWEGIAN SEA	0	0	3D VGUH0201 LINJE 5200 TRASE 2474	\N	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6607	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6607/2-U-3	5356	6607/2-U-3	Eni Norge AS	329	FUGRO EXPLORER	9999-12-31	9999-12-31	381-G3	0.000000	0.000000	NORWEGIAN SEA	0	0	3D VGUH0201 LINJE 5084 TRASE 2180	\N	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6607	2	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6607/1-U-1	5357	6607/1-U-1	Eni Norge AS	329	FUGRO EXPLORER	9999-12-31	9999-12-31	381-G5	0.000000	0.000000	NORWEGIAN SEA	0	0	3D VGUH0201 LINJE 5272 TRASE 2008	\N	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6607	1	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6607/2-U-4	5358	6607/2-U-4	Eni Norge AS	329	FUGRO EXPLORER	9999-12-31	9999-12-31	381-G4	0.000000	0.000000	NORWEGIAN SEA	0	0	3D VGUH0201 LINJE 5290 TRASE 2250	\N	0	0	0.00	\N	0	0	0.00	\N	0.000000	0.000000	0.000000	0.000000	0	6607	2	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
6504/4-U-1	5367	6504/4-U-1	Eni Norge AS	324	FUGRO EXPLORER	2006-06-23	2006-06-23	382-G1	0.000000	1215.000000	NORWEGIAN SEA	2006	2006	WHH2002-2857 trase 4024	ED50	65	42	44.37	N	4	19	39.66	E	65.712300	4.327700	7288673.070000	560936.510000	31	6504	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6504/4-U-2	5368	6504/4-U-2	Eni Norge AS	324	FUGRO EXPLORER	2006-06-24	2006-06-24	382-G2	0.000000	1168.000000	NORWEGIAN SEA	2006	2006	WHH2002-3003 trase 3738	ED50	65	40	34.90	N	4	19	39.50	E	65.676400	4.327600	7284665.080000	561019.130000	31	6504	4	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6504/5-U-1	5369	6504/5-U-1	Eni Norge AS	324	FUGRO EXPLORER	2006-06-22	2006-06-22	382-G3	0.000000	1168.000000	NORWEGIAN SEA	2006	2006	WHH2002-3253 trase 4140	ED50	65	42	13.04	N	4	26	16.63	E	65.703600	4.438000	7287814.570000	566019.050000	31	6504	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6504/5-U-2	5370	6504/5-U-2	Eni Norge AS	324	FUGRO EXPLORER	2006-06-25	2006-06-25	382-G4	0.000000	1151.000000	NORWEGIAN SEA	2006	2006	WHH2002-3339 trase 3894.	ED50	65	40	29.08	N	4	25	41.60	E	65.674700	4.428200	7284586.230000	565645.490000	31	6504	5	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6504/5-U-3	5371	6504/5-U-3	Eni Norge AS	324	FUGRO EXPLORER	2006-06-26	2006-06-26	382-G5	0.000000	1143.000000	NORWEGIAN SEA	2006	2006	WHH2002-3305. TRASE 3828.	ED50	65	40	11.72	N	4	24	41.88	E	65.669900	4.411600	7284031.620000	564895.180000	31	6504	5	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6504/5-U-4	5372	6504/5-U-4	Eni Norge AS	324	FUGRO EXPLORER	2006-06-27	2006-06-27	382-G6	0.000000	1160.000000	NORWEGIAN SEA	2006	2006	WHH2002-3248 trase 3737	ED50	65	39	49.58	N	4	23	11.67	E	65.663800	4.386600	7283320.620000	563758.470000	31	6504	5	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
6504/5-U-5	5373	6504/5-U-5	Eni Norge AS	324	FUGRO EXPLORER	2006-06-23	2006-06-23	382-G7	1609.000000	1188.000000	NORWEGIAN SEA	2006	2006	WHH2002-3099 trase 3964	ED50	65	41	38.46	N	4	22	43.92	E	65.694000	4.378900	7286683.330000	563330.140000	31	6504	5	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/3-U-1	5457	6507/3-U-1	Statoil ASA (old)	158	BUCENTAUR	2006-10-06	2006-10-08	383-G	0.000000	367.000000	NORWEGIAN SEA	2006	2006	\N	ED50	65	58	6.46	N	7	48	5.20	E	65.968500	7.801400	7317100.210000	445534.370000	32	6507	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/4-U-1	5458	16/4-U-1	Statoil ASA (old)	339	BUCENTAUR	2006-09-15	2006-09-16	384-G	126.000000	91.400000	NORTH SEA	2006	2006	\N	ED50	58	31	46.15	N	2	9	2.55	E	58.529500	2.150700	6488123.180000	450540.590000	31	16	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/6-U-1	5459	15/6-U-1	Statoil ASA (old)	303	BUCENTAUR	2006-09-16	2006-09-17	385-G	149.000000	113.700000	NORTH SEA	2006	2006	\N	ED50	58	35	11.52	N	1	44	37.79	E	58.586500	1.743800	6494845.900000	426965.900000	31	15	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/2-U-1	5460	16/2-U-1	Statoil ASA (old)	265	BUCENTAUR	2006-09-17	2006-09-18	386-G	150.000000	113.900000	NORTH SEA	2006	2006	\N	ED50	58	52	58.42	N	2	22	27.03	E	58.882900	2.374200	6527331.280000	463921.440000	31	16	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/2-U-2	5461	16/2-U-2	Statoil ASA (old)	265	BUCENTAUR	2006-09-18	2006-09-19	387-G	149.000000	113.900000	NORTH SEA	2006	2006	\N	ED50	58	52	19.39	N	2	23	27.49	E	58.872100	2.391000	6526115.130000	464878.630000	31	16	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
35/9-U-1	5462	35/9-U-1	Statoil ASA (old)	153	BUCENTAUR	2006-09-25	2006-09-26	388-G	413.000000	363.300000	NORTH SEA	2006	2006	\N	ED50	61	20	27.28	N	3	57	31.54	E	61.340900	3.958800	6801299.170000	551300.010000	31	35	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-10	5499	1/3-U-10	DONG E&P Norge AS	274	BUCENTAUR	2007-03-01	2007-03-01	389-G	106.000000	72.000000	NORTH SEA	2007	2007	BP9202	ED50	56	55	39.83	N	2	42	20.61	E	56.927700	2.705700	6309521.020000	482087.930000	31	1	3	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-11	5500	1/3-U-11	DONG E&P Norge AS	274	BUCENTAUR	2007-03-02	2007-03-03	390-G	106.000000	71.600000	NORTH SEA	2007	2007	VGCNS04	ED50	56	50	58.34	N	2	43	15.35	E	56.849500	2.720900	6300813.050000	482977.950000	31	1	3	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
3/7-U-7	5501	3/7-U-7	DONG Norge AS	289	BUCENTAUR	2007-03-04	2007-03-04	391-G	108.000000	65.000000	NORTH SEA	2007	2007	DG04M01	ED50	56	24	10.32	N	4	18	2.92	E	56.402900	4.300800	6251817.030000	580284.060000	31	3	7	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-15	5534	34/7-U-15	StatoilHydro ASA	\N	BORGLAND DOLPHIN	2007-03-30	2007-04-01	392-G	740.000000	291.000000	NORTH SEA	2007	2007	\N	ED50	61	22	43.24	N	2	6	21.71	E	61.378700	2.106000	6805456.730000	452224.220000	31	34	7	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
35/2-U-1	5537	35/2-U-1	Statoil Petroleum AS	318	BUCENTAUR	9999-12-31	9999-12-31	393-G	510.000000	370.000000	NORTH SEA	0	0	NH0692 311 og cross line 4339	ED50	61	52	34.71	N	3	24	51.01	E	61.876300	3.414200	6860634.930000	521781.960000	31	35	2	U	1	\N	\N	2013-04-26	2013-04-26	2013-05-08
35/2-U-2	5538	35/2-U-2	Statoil Petroleum AS	318	BUCENTAUR	9999-12-31	9999-12-31	394-G	510.000000	370.000000	NORTH SEA	0	0	NH0692 311 og cross line 4339	ED50	61	52	34.71	N	3	24	52.31	E	61.876300	3.414500	6860635.050000	521800.950000	31	35	2	U	2	\N	\N	2013-04-26	2013-04-26	2013-05-08
35/2-U-3	5539	35/2-U-3	Statoil Petroleum AS	318	BUCENTAUR	9999-12-31	9999-12-31	395-G	510.000000	370.000000	NORTH SEA	0	0	NH0692 311 og cross line 4339	ED50	61	52	34.06	N	3	24	52.37	E	61.876100	3.414500	6860614.940000	521801.960000	31	35	2	U	3	\N	\N	2013-04-26	2013-04-26	2013-05-08
35/2-U-4	5540	35/2-U-4	Statoil Petroleum AS	318	BUCENTAUR	9999-12-31	9999-12-31	396-G	510.000000	370.000000	NORTH SEA	0	0	NH0692 311 og cross line 4339	ED50	61	52	34.06	N	3	24	51.01	E	61.876100	3.414200	6860614.810000	521782.090000	31	35	2	U	4	\N	\N	2013-04-26	2013-04-26	2013-05-08
34/7-U-16	5544	34/7-U-16	StatoilHydro ASA	\N	BORGLAND DOLPHIN	2007-05-11	2007-05-13	397-G	383.000000	198.500000	NORTH SEA	2007	2007	\N	ED50	61	16	31.53	N	2	6	53.26	E	61.275400	2.114800	6793949.270000	452536.650000	31	34	7	U	16	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-10	5546	15/12-U-10	Pertra ASA	337	BUCENTAUR	2007-04-20	2007-04-20	398-G1	135.000000	91.400000	NORTH SEA	2007	2007	\N	ED50	58	12	51.44	N	1	46	37.16	E	58.214300	1.777000	6453367.080000	428140.020000	31	15	12	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-11	5547	15/12-U-11	Pertra ASA	337	BUCENTAUR	2007-04-21	2007-04-21	398-G2	137.000000	91.200000	NORTH SEA	2007	2007	\N	ED50	58	12	51.96	N	1	46	40.94	E	58.214400	1.778000	6453382.040000	428202.000000	31	15	12	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/12-U-12	5548	15/12-U-12	Pertra ASA	337	BUCENTAUR	2007-04-22	2007-04-22	398-G3	134.000000	91.500000	NORTH SEA	2007	2007	\N	ED50	58	12	53.45	N	1	46	38.07	E	58.214800	1.777200	6453428.970000	428156.000000	31	15	12	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
6405/10-U-1	5564	6405/10-U-1	Statoil ASA (old)	\N	TRANSOCEAN LEADER	2007-07-02	2007-07-05	399-G	0.000000	928.000000	NORWEGIAN SEA	2007	2007	ST04M01. Inline 2913	ED50	64	0	50.57	N	5	16	46.05	E	64.014000	5.279500	7100747.480000	611424.830000	31	6405	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-1	5630	17/12-U-1	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	400-G1	144.000000	109.000000	NORTH SEA	0	0	\N	ED50	58	10	32.62	N	3	55	8.79	E	58.175700	3.919100	6448790.130000	554063.010000	31	17	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/9-U-1	5631	2/9-U-1	ConocoPhillips Skandinavia AS	273	BUCENTAUR	2007-10-13	2007-10-13	401-G1	110.000000	69.800000	NORTH SEA	2007	2007	\N	ED50	56	16	27.76	N	3	48	45.14	E	56.274400	3.812500	6237052.780000	550318.490000	31	2	9	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/9-U-2	5632	2/9-U-2	ConocoPhillips Skandinavia AS	273	BUCENTAUR	2007-10-14	2007-10-14	401-G2	105.000000	70.100000	NORTH SEA	2007	2007	\N	ED50	56	16	28.29	N	3	48	41.69	E	56.274500	3.811600	6237068.470000	550258.950000	31	2	9	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/9-U-3	5633	2/9-U-3	ConocoPhillips Skandinavia AS	273	BUCENTAUR	2007-10-14	2007-10-15	401-G3	105.000000	70.200000	NORTH SEA	2007	2007	\N	ED50	56	16	29.68	N	3	48	44.26	E	56.274900	3.812300	6237111.960000	550302.650000	31	2	9	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/6-U-6	5637	6407/6-U-6	StatoilHydro Petroleum AS	312	OCEAN VANGUARD	2008-01-02	2008-01-04	402-G	773.000000	226.000000	NORWEGIAN SEA	2008	2008	2 D line ST0794-06020 (SP1477)	ED50	64	35	28.60	N	7	44	31.20	E	64.591300	7.742000	7163680.000000	439772.020000	32	6407	6	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-2	5646	17/12-U-2	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	400-G2	147.000000	109.000000	NORTH SEA	0	0	\N	ED50	58	10	31.55	N	3	55	7.80	E	58.175400	3.918800	6448756.820000	554047.290000	31	17	12	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-3	5647	17/12-U-3	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	400-G3	147.000000	109.000000	NORTH SEA	0	0	\N	ED50	58	10	32.65	N	3	55	4.30	E	58.175700	3.917900	6448790.060000	553989.640000	31	17	12	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/6-U-2	5648	15/6-U-2	Esso Exploration and Production Norway A/S	\N	MARINER	1974-10-11	1974-10-16	403-G	222.000000	113.000000	NORTH SEA	1974	1974	\N	ED50	58	28	59.00	N	1	43	8.00	E	58.483100	1.718900	6483352.660000	425296.140000	31	15	6	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
9/4-U-1	5649	9/4-U-1	ExxonMobil Exploration & Production Norway AS	315	BUCENTAUR	2005-01-23	2005-01-23	404-G1	84.100000	77.100000	NORTH SEA	2005	2005	\N	ED50	57	40	38.75	N	4	16	3.51	E	57.677400	4.267600	6393649.850000	575603.010000	31	9	4	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
9/4-U-2	5650	9/4-U-2	ExxonMobil Exploration & Production Norway AS	315	BUCENTAUR	2005-01-25	2005-01-25	404-G2	103.100000	77.100000	NORTH SEA	2005	2005	\N	ED50	57	40	38.82	N	4	16	3.39	E	57.677500	4.267600	6393651.970000	575600.980000	31	9	4	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
9/4-U-3	5651	9/4-U-3	ExxonMobil Exploration & Production Norway AS	315	BUCENTAUR	2005-01-27	2007-01-27	404-G3	154.600000	77.100000	NORTH SEA	2005	2007	\N	ED50	57	40	38.82	N	4	16	3.57	E	57.677500	4.267700	6393652.030000	575603.960000	31	9	4	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
9/4-U-4	5652	9/4-U-4	ExxonMobil Exploration & Production Norway AS	315	BUCENTAUR	2005-01-29	2005-01-29	404-G4	110.200000	77.200000	NORTH SEA	2005	2005	\N	ED50	57	40	39.86	N	4	16	6.63	E	57.677700	4.268500	6393685.140000	575654.050000	31	9	4	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
9/4-U-5	5653	9/4-U-5	ExxonMobil Exploration & Production Norway AS	315	BUCENTAUR	2005-01-30	2005-01-30	404-G5	111.600000	77.100000	NORTH SEA	2005	2005	\N	ED50	57	40	37.82	N	4	16	16.68	E	57.677200	4.271300	6393625.170000	575821.720000	31	9	4	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-8	5654	25/8-U-8	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-28	1996-08-28	343-G8	134.900000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	27	3.67	N	2	22	3.13	E	59.451000	2.367500	6590598.410000	464138.380000	31	25	8	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-9	5655	25/8-U-9	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-28	1996-08-28	343-G9	134.900000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	27	11.66	N	2	22	21.44	E	59.453200	2.372600	6590842.840000	464429.090000	31	25	8	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-10	5656	25/8-U-10	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-28	1996-08-28	405-G1	134.700000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	27	5.71	N	2	22	26.46	E	59.451600	2.374000	6590658.040000	464506.420000	31	25	8	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-11	5657	25/8-U-11	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-28	1996-08-28	405-G2	134.600000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	27	10.73	N	2	22	50.02	E	59.453000	2.380600	6590809.850000	464878.930000	31	25	8	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-12	5658	25/8-U-12	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-28	1996-08-28	405-G3	134.300000	126.000000	NORTH SEA	1996	1996	\N	ED50	59	27	16.72	N	2	22	45.17	E	59.454600	2.379200	6590995.850000	464804.280000	31	25	8	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-13	5659	25/8-U-13	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1996-08-28	1966-08-28	405-G4	141.800000	126.000000	NORTH SEA	1996	1966	\N	ED50	59	27	18.93	N	2	23	10.94	E	59.455300	2.386400	6591060.450000	465210.740000	31	25	8	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-14	5660	25/8-U-14	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1997-07-02	1997-07-02	406-G1	151.300000	124.000000	NORTH SEA	1997	1997	\N	ED50	59	28	35.02	N	2	14	0.34	E	59.476400	2.233400	6593504.090000	456567.000000	31	25	8	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-15	5661	25/8-U-15	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1997-07-03	1997-07-03	406-G2	159.200000	127.200000	NORTH SEA	1997	1997	\N	ED50	59	27	17.21	N	2	23	5.72	E	59.454800	2.384900	6591008.000000	465128.050000	31	25	8	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-16	5662	25/8-U-16	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1997-07-03	1997-07-03	406-G3	159.400000	127.400000	NORTH SEA	1997	1997	\N	ED50	59	27	15.93	N	2	23	8.09	E	59.454400	2.385600	6590968.060000	465165.010000	31	25	8	U	16	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-17	5663	25/8-U-17	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1997-07-04	1997-07-04	406-G4	146.000000	128.000000	NORTH SEA	1997	1997	\N	ED50	59	27	23.60	N	2	23	3.31	E	59.456600	2.384300	6591206.020000	465091.920000	31	25	8	U	17	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-18	5664	25/8-U-18	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1997-07-03	1997-07-03	406-G5	164.500000	126.500000	NORTH SEA	1997	1997	\N	ED50	59	27	46.55	N	2	24	19.30	E	59.462900	2.405400	6591905.060000	466294.930000	31	25	8	U	18	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-19	5665	25/8-U-19	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1997-07-04	1997-07-04	406-G6	174.200000	127.200000	NORTH SEA	1997	1997	\N	ED50	59	26	35.04	N	2	23	23.75	E	59.443100	2.389900	6589700.930000	465400.030000	31	25	8	U	19	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-20	5666	25/8-U-20	Esso Exploration and Production Norway A/S	\N	BUCENTAUR	1997-07-04	1997-07-04	406-G7	167.000000	127.500000	NORTH SEA	1997	1997	\N	ED50	59	27	30.76	N	2	21	46.72	E	59.458500	2.363000	6591438.860000	463887.940000	31	25	8	U	20	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-1	5667	25/11-U-1	Esso Exploration and Production Norway A/S	001	MARINER	1974-10-02	1974-10-02	407-G1	0.000000	0.000000	NORTH SEA	1974	1974	\N	ED50	59	12	10.00	N	2	22	45.00	E	59.202800	2.379200	6562948.550000	464540.200000	31	25	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-2	5668	25/11-U-2	Esso Exploration and Production Norway A/S	001	MARINER	1974-10-07	1974-10-07	407-G2	0.000000	0.000000	NORTH SEA	1974	1974	\N	ED50	59	12	10.00	N	2	22	45.00	E	59.202800	2.379200	6562948.550000	464540.200000	31	25	11	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-3	5669	25/11-U-3	Esso Exploration and Production Norway A/S	001	NORSKALD	1978-10-27	1978-10-27	408-G1	157.500000	124.000000	NORTH SEA	1978	1978	\N	ED50	59	10	33.54	N	2	23	47.08	E	59.176000	2.396400	6559955.800000	465498.120000	31	25	11	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-4	5670	25/11-U-4	Esso Exploration and Production Norway A/S	001	NORSKALD	1978-10-28	1978-10-28	408-G2	158.500000	123.000000	NORTH SEA	1978	1978	\N	ED50	59	10	33.54	N	2	23	47.08	E	59.176000	2.396400	6559955.800000	465498.120000	31	25	11	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-5	5671	25/11-U-5	Esso Exploration and Production Norway A/S	001	FUGRO I	1999-08-19	1999-09-04	409-G1	234.900000	129.000000	NORTH SEA	1999	1999	\N	ED50	59	15	58.19	N	2	26	57.53	E	59.266200	2.449300	6569971.850000	468604.990000	31	25	11	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-6	5672	25/11-U-6	Esso Exploration and Production Norway A/S	001	FUGRO I	1999-08-19	1999-09-04	409-G2	150.400000	129.400000	NORTH SEA	1999	1999	\N	ED50	59	15	58.79	N	2	27	0.24	E	59.266300	2.450100	6569990.050000	468648.060000	31	25	11	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-7	5673	25/11-U-7	Esso Exploration and Production Norway A/S	001	FUGRO I	1999-08-19	1999-09-04	409-G3	146.300000	128.700000	NORTH SEA	1999	1999	\N	ED50	59	15	56.78	N	2	26	58.63	E	59.265800	2.449600	6569928.090000	468622.050000	31	25	11	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-8	5674	25/11-U-8	Esso Exploration and Production Norway A/S	001	FUGRO I	1999-08-19	1999-09-04	409-G4	201.300000	128.900000	NORTH SEA	1999	1999	\N	ED50	59	15	57.40	N	2	27	1.46	E	59.265900	2.450400	6569946.900000	468667.020000	31	25	11	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-9	5675	25/11-U-9	Esso Exploration and Production Norway A/S	001	FUGRO I	1999-08-19	1999-09-04	409-G5	146.200000	125.200000	NORTH SEA	1999	1999	\N	ED50	59	11	41.51	N	2	19	14.34	E	59.194900	2.320700	6562099.880000	461189.030000	31	25	11	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-10	5676	25/11-U-10	Esso Exploration and Production Norway A/S	001	FUGRO I	1999-08-19	1999-09-04	409-G6	145.500000	125.600000	NORTH SEA	1999	1999	\N	ED50	59	11	41.49	N	2	19	15.73	E	59.194900	2.321000	6562099.030000	461211.080000	31	25	11	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-11	5677	25/11-U-11	Esso Exploration and Production Norway A/S	001	FUGRO I	1999-08-19	1999-09-04	409-G7	132.600000	129.600000	NORTH SEA	1999	1999	\N	ED50	59	15	55.98	N	2	27	56.04	E	59.265600	2.465600	6569895.940000	469531.010000	31	25	11	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-12	5678	25/11-U-12	Esso Exploration and Production Norway A/S	001	FUGRO I	1999-08-19	1999-09-04	409-G8	132.600000	129.600000	NORTH SEA	1999	1999	\N	ED50	59	15	29.60	N	2	26	53.95	E	59.258200	2.448300	6569087.950000	468540.980000	31	25	11	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-13	5679	25/11-U-13	Esso Exploration and Production Norway A/S	001	FUGRO I	1999-08-19	1999-09-04	409-G9	132.500000	129.700000	NORTH SEA	1999	1999	\N	ED50	59	15	29.44	N	2	26	54.14	E	59.258200	2.448400	6569082.980000	468543.950000	31	25	11	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-14	5680	25/11-U-14	Esso Exploration and Production Norway A/S	001	FUGRO I	1999-08-19	1999-09-04	410-G1	131.800000	128.800000	NORTH SEA	1999	1999	\N	ED50	59	15	2.30	N	2	26	20.12	E	59.250600	2.438900	6568247.970000	467998.010000	31	25	11	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-15	5681	25/11-U-15	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	410-G2	131.600000	128.600000	NORTH SEA	1999	1999	\N	ED50	59	14	48.55	N	2	26	3.31	E	59.246800	2.434300	6567824.900000	467728.080000	31	25	11	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-16	5682	25/11-U-16	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	410-G3	130.700000	128.700000	NORTH SEA	1999	1999	\N	ED50	59	14	48.49	N	2	26	3.50	E	59.246800	2.434300	6567823.010000	467731.070000	31	25	11	U	16	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-1	5686	1/3-U-1	BG Norge AS	274 BS	BUCENTAUR	2007-10-10	2007-10-10	411-G1	112.000000	69.000000	NORTH SEA	2007	2007	\N	ED50	56	45	10.48	N	2	49	41.90	E	56.752900	2.828300	6290035.250000	489500.390000	31	1	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-2	5687	1/3-U-2	BG Norge AS	274 BS	BUCENTAUR	2007-10-10	2007-10-10	411-G2	107.000000	69.000000	NORTH SEA	2007	2007	\N	ED50	56	45	8.33	N	2	49	41.91	E	56.752300	2.828300	6289968.770000	489500.390000	31	1	3	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-3	5688	1/3-U-3	BG Norge AS	274 BS	BUCENTAUR	2007-10-10	2007-10-10	411-G3	107.000000	69.000000	NORTH SEA	2007	2007	\N	ED50	56	45	9.40	N	2	49	38.51	E	56.752600	2.827400	6290002.000000	489442.720000	31	1	3	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-4	5690	1/3-U-4	BG Norge AS	274 BS	BUCENTAUR	2007-10-11	2007-10-11	411-G4	104.000000	69.000000	NORTH SEA	2007	2007	\N	ED50	56	45	12.43	N	2	49	43.54	E	56.753500	2.828800	6290095.480000	489528.400000	31	1	3	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-5	5691	1/3-U-5	BG Norge AS	274 BS	BUCENTAUR	2007-10-11	2007-10-11	411-G5	92.000000	69.000000	NORTH SEA	2007	2007	\N	ED50	56	45	12.24	N	2	49	39.64	E	56.753400	2.827700	6290089.770000	489462.140000	31	1	3	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/6-U-1	5692	1/6-U-1	BG Norge AS	297	BUCENTAUR	2007-10-12	2007-10-12	412-G1	107.000000	69.000000	NORTH SEA	2007	2007	\N	ED50	56	45	0.11	N	2	49	33.85	E	56.750000	2.826100	6289714.950000	489362.830000	31	1	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-17	5706	25/11-U-17	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	410-G4	130.700000	128.700000	NORTH SEA	1999	1999	\N	ED50	59	14	35.03	N	2	25	46.36	E	59.243100	2.429500	6567408.980000	467455.920000	31	25	11	U	17	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-18	5707	25/11-U-18	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	410-G5	131.900000	128.900000	NORTH SEA	1999	1999	\N	ED50	59	14	7.69	N	2	25	12.56	E	59.235500	2.420200	6566567.910000	466912.950000	31	25	11	U	18	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-19	5708	25/11-U-19	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	410-G6	132.000000	129.100000	NORTH SEA	1999	1999	\N	ED50	59	14	7.53	N	2	25	12.69	E	59.235400	2.420200	6566562.940000	466914.970000	31	25	11	U	19	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-20	5709	25/11-U-20	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	410-G7	132.500000	129.500000	NORTH SEA	1999	1999	\N	ED50	59	13	40.38	N	2	24	38.71	E	59.227900	2.410800	6565727.850000	466368.950000	31	25	11	U	20	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-21	5710	25/11-U-21	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	410-G8	132.200000	129.200000	NORTH SEA	1999	1999	\N	ED50	59	13	13.07	N	2	24	4.94	E	59.220300	2.401400	6564887.850000	465825.990000	31	25	11	U	21	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-22	5711	25/11-U-22	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	410-G9	131.800000	129.000000	NORTH SEA	1999	1999	\N	ED50	59	13	12.95	N	2	24	5.32	E	59.220300	2.401500	6564884.090000	465831.980000	31	25	11	U	22	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-23	5712	25/11-U-23	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	413-G1	131.200000	128.200000	NORTH SEA	1999	1999	\N	ED50	59	12	28.27	N	2	23	31.37	E	59.207900	2.392000	6563506.910000	465281.020000	31	25	11	U	23	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-24	5713	25/11-U-24	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	413-G2	130.900000	127.900000	NORTH SEA	1999	1999	\N	ED50	59	12	28.28	N	2	23	9.49	E	59.207900	2.386000	6563510.400000	464933.940000	31	25	11	U	24	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-25	5714	25/11-U-25	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	413-G3	131.000000	128.000000	NORTH SEA	1999	1999	\N	ED50	59	12	28.14	N	2	23	9.81	E	59.207800	2.386100	6563506.020000	464938.980000	31	25	11	U	25	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-26	5715	25/11-U-26	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	413-G4	130.600000	127.700000	NORTH SEA	1999	1999	\N	ED50	59	12	24.37	N	2	23	6.16	E	59.206800	2.385000	6563389.940000	464880.010000	31	25	11	U	26	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-27	5716	25/11-U-27	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	413-G5	128.100000	126.100000	NORTH SEA	1999	1999	\N	ED50	59	11	37.46	N	2	20	1.99	E	59.193700	2.333900	6561966.980000	461943.930000	31	25	11	U	27	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-28	5717	25/11-U-28	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	413-G6	129.000000	126.000000	NORTH SEA	1999	1999	\N	ED50	59	11	37.43	N	2	20	1.93	E	59.193700	2.333900	6561966.060000	461942.970000	31	25	11	U	28	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-29	5718	25/11-U-29	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	413-G7	128.900000	126.100000	NORTH SEA	1999	1999	\N	ED50	59	11	37.33	N	2	20	1.93	E	59.193700	2.333900	6561962.960000	461942.940000	31	25	11	U	29	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-30	5719	25/11-U-30	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	413-G8	130.300000	127.400000	NORTH SEA	1999	1999	\N	ED50	59	11	33.17	N	2	22	48.77	E	59.192500	2.380200	6561808.770000	464589.420000	31	25	11	U	30	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-31	5720	25/11-U-31	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	413-G9	130.200000	127.400000	NORTH SEA	1999	1999	\N	ED50	59	11	33.17	N	2	20	48.76	E	59.192500	2.346900	6561826.940000	462684.850000	31	25	11	U	31	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-32	5721	25/11-U-32	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	414-G1	132.400000	129.500000	NORTH SEA	1999	1999	\N	ED50	59	14	23.73	N	2	26	12.11	E	59.239900	2.436700	6567055.970000	467861.030000	31	25	11	U	32	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-33	5722	25/11-U-33	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	414-G2	132.300000	129.400000	NORTH SEA	1999	1999	\N	ED50	59	14	23.57	N	2	26	12.36	E	59.239900	2.436800	6567050.990000	467864.950000	31	25	11	U	33	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-34	5723	25/11-U-34	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	414-G3	132.300000	129.400000	NORTH SEA	1999	1999	\N	ED50	59	13	52.56	N	2	25	56.60	E	59.231300	2.432400	6566093.890000	467607.010000	31	25	11	U	34	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-35	5724	25/11-U-35	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	414-G4	132.300000	129.300000	NORTH SEA	1999	1999	\N	ED50	59	13	21.20	N	2	25	40.78	E	59.222600	2.428000	6565125.990000	467347.910000	31	25	11	U	35	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-36	5725	25/11-U-36	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	414-G5	132.100000	129.300000	NORTH SEA	1999	1999	\N	ED50	59	13	21.10	N	2	25	40.91	E	59.222500	2.428000	6565122.880000	467349.940000	31	25	11	U	36	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-37	5726	25/11-U-37	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	414-G6	130.900000	128.900000	NORTH SEA	1999	1999	\N	ED50	59	12	50.13	N	2	25	24.85	E	59.213900	2.423600	6564167.100000	467087.010000	31	25	11	U	37	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-38	5727	25/11-U-38	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	414-G7	131.800000	128.900000	NORTH SEA	1999	1999	\N	ED50	59	12	24.85	N	2	25	12.41	E	59.206900	2.420100	6563386.840000	466882.910000	31	25	11	U	38	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-39	5728	25/11-U-39	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	414-G8	131.800000	129.000000	NORTH SEA	1999	1999	\N	ED50	59	12	24.69	N	2	25	12.54	E	59.206900	2.420200	6563381.880000	466884.930000	31	25	11	U	39	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-40	5729	25/11-U-40	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	414-G9	149.000000	129.000000	NORTH SEA	1999	1999	\N	ED50	59	16	22.92	N	2	28	30.23	E	59.273000	2.475100	6570724.970000	470079.020000	31	25	11	U	40	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-41	5730	25/11-U-41	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	415-G1	148.900000	129.100000	NORTH SEA	1999	1999	\N	ED50	59	16	23.42	N	2	28	32.94	E	59.273200	2.475800	6570740.100000	470122.050000	31	25	11	U	41	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-42	5731	25/11-U-42	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	415-G2	149.800000	128.900000	NORTH SEA	1999	1999	\N	ED50	59	16	21.41	N	2	28	31.52	E	59.272600	2.475400	6570678.100000	470099.080000	31	25	11	U	42	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-43	5732	25/11-U-43	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	415-G3	209.400000	129.000000	NORTH SEA	1999	1999	\N	ED50	59	16	22.03	N	2	28	34.28	E	59.272800	2.476200	6570696.930000	470142.930000	31	25	11	U	43	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-44	5733	25/11-U-44	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	415-G4	149.100000	128.200000	NORTH SEA	1999	1999	\N	ED50	59	14	0.49	N	2	23	34.14	E	59.233500	2.392800	6566359.080000	465350.940000	31	25	11	U	44	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/11-U-45	5734	25/11-U-45	Esso Exploration and Production Norway A/S	001	\N	1999-08-19	1999-09-04	415-G5	148.400000	19.900000	NORTH SEA	1999	1999	\N	ED50	59	14	0.56	N	2	23	35.21	E	59.233500	2.393100	6566361.090000	465367.920000	31	25	11	U	45	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/5-U-1	5735	2/5-U-1	Lundin Norway AS	006 C	BUCENTAUR	2008-01-22	2008-01-22	417-G1	110.000000	67.700000	NORTH SEA	2008	2008	\N	ED50	56	36	24.57	N	3	26	1.98	E	56.606800	3.433900	6273844.850000	526636.030000	31	2	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/5-U-2	5736	2/5-U-2	Lundin Norway AS	006 C	BUCENTAUR	2008-01-23	2008-01-23	417-G2	104.000000	67.200000	NORTH SEA	2008	2008	\N	ED50	56	36	24.32	N	3	25	58.34	E	56.606800	3.432900	6273836.730000	526574.010000	31	2	5	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/5-U-3	5737	2/5-U-3	Lundin Norway AS	006 C	BUCENTAUR	2008-01-23	2008-01-23	417-G3	107.000000	67.700000	NORTH SEA	2008	2008	\N	ED50	56	36	26.16	N	3	25	59.77	E	56.607300	3.433300	6273893.780000	526598.040000	31	2	5	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-7	5738	25/5-U-7	Lundin Norway AS	363	BUCENTAUR	2008-01-28	2008-01-28	418-G1	164.300000	119.300000	NORTH SEA	2008	2008	\N	ED50	59	44	40.90	N	2	23	42.79	E	59.744700	2.395200	6623288.220000	466005.780000	31	25	5	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-8	5739	25/5-U-8	Lundin Norway AS	363	BUCENTAUR	2008-01-29	2008-01-29	418-G2	151.600000	119.500000	NORTH SEA	2008	2008	\N	ED50	59	44	40.69	N	2	23	38.97	E	59.744600	2.394200	6623282.270000	465946.080000	31	25	5	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-9	5740	25/5-U-9	Lundin Norway AS	363	BUCENTAUR	2008-01-30	2008-01-30	418-G3	151.300000	119.300000	NORTH SEA	2008	2008	\N	ED50	59	44	42.59	N	2	23	40.40	E	59.745200	2.394600	6623340.840000	465968.940000	31	25	5	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/10-U-1	5741	25/10-U-1	Lundin Norway AS	304	BUCENTAUR	9999-12-31	9999-12-31	419-G1	40.000000	0.000000	NORTH SEA	0	0	\N	ED50	59	6	34.80	N	2	9	58.80	E	59.109700	2.166300	6552712.950000	452254.730000	31	25	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/10-U-2	5742	25/10-U-2	Lundin Norway AS	304	BUCENTAUR	9999-12-31	9999-12-31	419-G2	40.000000	0.000000	NORTH SEA	0	0	\N	ED50	59	6	34.80	N	2	9	58.80	E	59.109700	2.166300	6552712.950000	452254.730000	31	25	10	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/10-U-3	5743	25/10-U-3	Lundin Norway AS	304	BUCENTAUR	9999-12-31	9999-12-31	419-G3	40.000000	0.000000	NORTH SEA	0	0	\N	ED50	59	6	34.80	N	2	9	58.80	E	59.109700	2.166300	6552712.950000	452254.730000	31	25	10	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/10-U-1	5748	30/10-U-1	Esso Exploration and Production Norway A/S	\N	FERDER	1980-04-09	1980-04-30	420-G1	191.800000	85.000000	NORTH SEA	1980	1980	\N	ED50	60	4	40.93	N	2	9	49.99	E	60.078000	2.163900	6660552.080000	453471.880000	31	30	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/10-U-2	5749	30/10-U-2	Esso Exploration and Production Norway A/S	\N	FERDER	1980-04-09	1980-04-30	420-G2	156.900000	50.500000	NORTH SEA	1980	1980	\N	ED50	60	4	41.00	N	2	10	2.22	E	60.078100	2.167300	6660551.860000	453660.950000	31	30	10	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/10-U-3	5750	30/10-U-3	Esso Exploration and Production Norway A/S	\N	FERDER	1980-04-09	1980-04-30	420-G3	153.600000	46.000000	NORTH SEA	1980	1980	\N	ED50	60	4	38.11	N	2	9	55.05	E	60.077300	2.165300	6660463.850000	453548.990000	31	30	10	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/10-U-4	5751	30/10-U-4	Esso Exploration and Production Norway A/S	\N	FERDER	1980-04-09	1980-04-30	420-G4	191.400000	85.300000	NORTH SEA	1980	1980	\N	ED50	60	4	34.55	N	2	10	3.09	E	60.076300	2.167500	6660352.160000	453671.890000	31	30	10	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/10-U-5	5752	30/10-U-5	Esso Exploration and Production Norway A/S	\N	FERDER	1980-04-09	1980-04-30	420-G5	158.300000	50.700000	NORTH SEA	1980	1980	\N	ED50	60	4	35.14	N	2	9	50.21	E	60.076400	2.163900	6660372.920000	453473.020000	31	30	10	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/10-U-6	5753	30/10-U-6	Esso Exploration and Production Norway A/S	\N	FERDER	1980-04-09	1980-04-30	420-G6	178.500000	72.100000	NORTH SEA	1980	1980	\N	ED50	60	4	37.19	N	2	9	57.14	E	60.077000	2.165900	6660434.980000	453580.940000	31	30	10	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
6704/3-U-1	5754	6704/3-U-1	NATIONAL SCIENCE FOUNDATION	\N	GLOMAR CHALLENGE	1974-08-20	1974-08-22	421-G	1473.500000	1303.000000	NORWEGIAN SEA	1974	1974	\N	ED50	67	57	0.00	N	4	56	0.00	E	67.950000	4.933300	7538752.020000	580990.130000	31	6704	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7607/12-U-1	5760	7607/12-U-1	NATIONAL SCIENCE FOUNDATION	\N	GLOMAR CHALLENGE	1974-08-26	1974-08-30	422-G	2570.000000	2156.000000	UNOPENEDAREA	1974	1974	\N	ED50	76	9	0.00	N	7	52	0.50	E	76.150000	7.866800	8457524.680000	629916.950000	31	7607	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6901/3-U-1	5761	6901/3-U-1	NATIONAL SCIENCE FOUNDATION	\N	GLOMAR CHALLENGE	1974-09-01	1974-09-05	423-G	3997.000000	3195.000000	NORWEGIAN SEA	1974	1974	\N	ED50	69	50	0.20	N	1	14	0.30	E	69.833400	1.233400	7748482.640000	432033.930000	31	6901	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6908/1-U-1	5762	6908/1-U-1	ExxonMobil Exploration & Production Norway AS	\N	GLOMAR CHALLENGE	1974-09-06	1974-09-07	424-G1	919.000000	732.000000	NORWEGIAN SEA	1974	1974	\N	ED50	69	53	0.35	N	8	41	0.10	E	69.883400	8.683400	7753111.220000	487845.430000	32	6908	1	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6908/1-U-2	5763	6908/1-U-2	NATIONAL SCIENCE FOUNDATION	\N	GLOMAR CHALLENGE	1974-09-07	1974-09-08	424-G2	935.000000	745.000000	NORWEGIAN SEA	1974	1974	\N	ED50	69	52	0.30	N	8	41	0.80	E	69.866800	8.683600	7751250.970000	487843.240000	32	6908	1	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6908/12-U-1	5764	6908/12-U-1	NATIONAL SCIENCE FOUNDATION	\N	GLOMAR CHALLENGE	1974-09-13	1974-09-14	425-G	1234.000000	915.000000	NORWEGIAN SEA	1974	1974	\N	ED50	69	12	0.41	N	8	5	0.80	E	69.200100	8.083600	7677149.850000	463680.220000	32	6908	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-10	5770	25/5-U-10	Det norske oljeselskap ASA (old)	414	BUCENTAUR	2008-01-10	2008-01-14	427-G1	160.000000	119.500000	NORTH SEA	2008	2008	\N	ED50	59	44	20.34	N	2	34	2.28	E	59.739000	2.567300	6622576.550000	475674.030000	31	25	5	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-11	5781	25/5-U-11	Det norske oljeselskap ASA (old)	414	BUCENTAUR	2008-01-10	2008-01-14	427-G2	155.000000	119.500000	NORTH SEA	2008	2008	\N	ED50	59	44	23.40	N	2	33	59.71	E	59.739800	2.566600	6622671.470000	475634.520000	31	25	5	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-12	5782	25/5-U-12	Det norske oljeselskap ASA (old)	414	BUCENTAUR	2008-01-10	2008-01-14	427-G3	142.000000	119.500000	NORTH SEA	2008	2008	\N	ED50	59	44	20.11	N	2	33	53.72	E	59.738900	2.564900	6622570.310000	475540.310000	31	25	5	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/11-U-1	5804	6506/11-U-1	StatoilHydro ASA	\N	BUCENTAUR	2007-09-07	2007-09-10	428-G	390.000000	340.400000	NORWEGIAN SEA	2007	2007	ST0796-08022. -18023. -08013. -16017.	ED50	65	9	46.66	N	6	29	49.93	E	65.163000	6.497200	7229122.780000	382714.080000	32	6506	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/11-U-2	5809	6506/11-U-2	StatoilHydro ASA	\N	BUCENTAUR	2007-09-23	2007-09-26	429-G	403.000000	357.800000	NORWEGIAN SEA	2007	2007	ST9998-610. ST0796-06012. ST0796-08009.	ED50	65	9	29.55	N	6	27	42.23	E	65.158200	6.461700	7228659.770000	381031.190000	32	6506	11	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-11	5889	2/4-U-11	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-23	2008-08-25	430-G	143.000000	79.200000	NORTH SEA	2008	2008	\N	ED50	56	32	35.06	N	3	13	32.16	E	56.543100	3.225600	6266686.970000	513872.910000	31	2	4	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-12	5890	2/4-U-12	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-22	2008-08-23	431-G	142.000000	79.200000	NORTH SEA	2008	2008	\N	ED50	56	32	35.61	N	3	13	30.04	E	56.543200	3.225000	6266703.860000	513836.640000	31	2	4	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-13	5891	2/4-U-13	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-06	2008-08-08	432-G	159.000000	79.300000	NORTH SEA	2008	2008	\N	ED50	56	32	33.89	N	3	13	31.15	E	56.542700	3.225300	6266650.740000	513855.780000	31	2	4	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-14	5892	2/4-U-14	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-07-30	2008-07-31	433-G	141.000000	78.000000	NORTH SEA	2008	2008	\N	ED50	56	32	34.45	N	3	13	29.04	E	56.542900	3.224700	6266667.940000	513819.680000	31	2	4	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-15	5893	2/4-U-15	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-15	2008-08-15	434-G	144.000000	80.000000	NORTH SEA	2008	2008	\N	ED50	56	32	39.50	N	3	13	27.57	E	56.544300	3.224300	6266824.000000	513794.060000	31	2	4	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-16	5894	2/4-U-16	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-11	2008-08-11	435-G	126.000000	80.000000	NORTH SEA	2008	2008	\N	ED50	56	32	40.15	N	3	13	26.63	E	56.544500	3.224100	6266844.050000	513777.930000	31	2	4	U	16	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-17	5895	2/4-U-17	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-14	2008-08-14	436-G	143.000000	80.000000	NORTH SEA	2008	2008	\N	ED50	56	32	39.11	N	3	13	26.28	E	56.544200	3.224000	6266811.870000	513772.060000	31	2	4	U	17	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-18	5896	2/4-U-18	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-08	2008-08-08	437-G	128.000000	80.000000	NORTH SEA	2008	2008	\N	ED50	56	32	39.67	N	3	13	25.46	E	56.544400	3.223700	6266829.140000	513758.000000	31	2	4	U	18	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-19	5897	2/4-U-19	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-27	2008-08-27	438-G	143.000000	79.000000	NORTH SEA	2008	2008	\N	ED50	56	32	39.74	N	3	13	37.52	E	56.544400	3.227100	6266831.980000	513963.990000	31	2	4	U	19	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-20	5898	2/4-U-20	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-28	2008-08-28	439-G	143.000000	79.500000	NORTH SEA	2008	2008	\N	ED50	56	32	40.55	N	3	13	35.42	E	56.544600	3.226500	6266856.910000	513928.030000	31	2	4	U	20	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-21	5899	2/4-U-21	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-17	2008-08-17	440-G	144.000000	80.000000	NORTH SEA	2008	2008	\N	ED50	56	32	38.74	N	3	13	36.40	E	56.544100	3.226800	6266801.000000	513944.960000	31	2	4	U	21	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-22	5900	2/4-U-22	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-25	2008-08-25	441-G	143.000000	79.000000	NORTH SEA	2008	2008	\N	ED50	56	32	39.49	N	3	13	34.12	E	56.544300	3.226100	6266824.060000	513905.940000	31	2	4	U	22	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-23	5901	2/4-U-23	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-07-25	2008-07-25	442-G	128.000000	79.000000	NORTH SEA	2008	2008	\N	ED50	56	32	42.65	N	3	13	38.93	E	56.545200	3.227500	6266922.040000	513987.770000	31	2	4	U	23	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-24	5902	2/4-U-24	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-07-26	2008-07-26	443-G	127.000000	79.000000	NORTH SEA	2008	2008	\N	ED50	56	32	41.53	N	3	13	35.37	E	56.544900	3.226500	6266887.200000	513927.080000	31	2	4	U	24	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-25	5903	2/4-U-25	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-07-29	2008-07-29	444-G	127.000000	79.000000	NORTH SEA	2008	2008	\N	ED50	56	32	40.39	N	3	13	38.92	E	56.544600	3.227500	6266852.160000	513987.830000	31	2	4	U	25	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-26	5904	2/4-U-26	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-07	2008-08-07	445-G	127.000000	79.000000	NORTH SEA	2008	2008	\N	ED50	56	32	44.05	N	3	13	40.40	E	56.545600	3.227900	6266965.410000	514012.740000	31	2	4	U	26	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-11	5905	2/7-U-11	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-01	2008-08-01	446-G	138.000000	74.100000	NORTH SEA	2008	2008	\N	ED50	56	25	5.34	N	3	13	16.95	E	56.418200	3.221400	6252781.010000	513657.890000	31	2	7	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-12	5906	2/7-U-12	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-07-18	2008-07-18	447-G	139.000000	74.000000	NORTH SEA	2008	2008	\N	ED50	56	25	4.85	N	3	13	15.40	E	56.418000	3.220900	6252765.780000	513631.380000	31	2	7	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-13	5907	2/7-U-13	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-02	2008-08-02	448-G	138.000000	73.900000	NORTH SEA	2008	2008	\N	ED50	56	25	3.66	N	3	13	15.68	E	56.417700	3.221000	6252729.000000	513636.290000	31	2	7	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-14	5908	2/7-U-14	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-10	2008-08-10	449-G	139.000000	74.100000	NORTH SEA	2008	2008	\N	ED50	56	25	4.15	N	3	13	17.83	E	56.417800	3.221600	6252744.270000	513673.090000	31	2	7	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-15	5909	2/7-U-15	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-07-22	2008-07-22	450-G	106.000000	73.900000	NORTH SEA	2008	2008	\N	ED50	56	25	5.80	N	3	13	22.02	E	56.418300	3.222800	6252795.520000	513744.730000	31	2	7	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-16	5910	2/7-U-16	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-07-15	2008-07-15	451-G	123.000000	73.800000	NORTH SEA	2008	2008	\N	ED50	56	25	4.01	N	3	13	19.53	E	56.417800	3.222100	6252740.030000	513702.240000	31	2	7	U	16	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-17	5911	2/7-U-17	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-07-19	2008-07-19	452-G	102.000000	73.900000	NORTH SEA	2008	2008	\N	ED50	56	25	6.10	N	3	13	17.98	E	56.418400	3.221700	6252804.570000	513675.470000	31	2	7	U	17	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-18	5912	2/7-U-18	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-07-14	2008-07-14	453-G	122.000000	73.700000	NORTH SEA	2008	2008	\N	ED50	56	25	6.43	N	3	13	24.71	E	56.418500	3.223500	6252815.140000	513790.770000	31	2	7	U	18	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-19	5913	2/7-U-19	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-07-16	2008-07-16	454-G	137.000000	73.500000	NORTH SEA	2008	2008	\N	ED50	56	25	8.27	N	3	13	13.65	E	56.419000	3.220500	6252871.420000	513601.050000	31	2	7	U	19	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-17	5926	34/7-U-17	StatoilHydro ASA	089	OCEAN VANGUARD	2008-08-12	2008-08-15	455-G	1110.000000	233.000000	NORTH SEA	2008	2008	\N	ED50	61	19	2.50	N	2	5	46.40	E	61.317400	2.096200	6798634.030000	451605.510000	31	34	7	U	17	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-12	5928	1/3-U-12	DONG E&P Norge AS	274	BUCENTAUR	2008-09-15	2008-09-15	456-G1	108.000000	72.100000	NORTH SEA	2008	2008	BP9202	ED50	56	55	55.01	N	2	40	16.99	E	56.931900	2.671400	6309999.930000	480000.040000	31	1	3	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-13	5929	1/3-U-13	DONG E&P Norge AS	274	BUCENTAUR	2008-09-15	2008-09-15	456-G2	108.000000	72.100000	NORTH SEA	2008	2008	BP9202	ED50	56	55	55.01	N	2	40	16.99	E	56.931900	2.671400	6309999.930000	480000.040000	31	1	3	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-14	5930	1/3-U-14	DONG E&P Norge AS	274	BUCENTAUR	2008-09-15	2008-09-15	456-G3	108.000000	72.100000	NORTH SEA	2008	2008	BP9202	ED50	56	55	55.01	N	2	40	16.99	E	56.931900	2.671400	6309999.930000	480000.040000	31	1	3	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-27	5938	2/4-U-27	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-29	2008-08-29	457-G1	127.000000	78.800000	NORTH SEA	2008	2008	\N	ED50	56	32	10.79	N	3	12	39.17	E	56.536300	3.210900	6265933.670000	512970.070000	31	2	4	U	27	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-28	5939	2/4-U-28	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-30	2008-08-30	457-G2	117.000000	78.800000	NORTH SEA	2008	2008	\N	ED50	56	32	10.78	N	3	12	43.26	E	56.536300	3.212000	6265933.580000	513039.940000	31	2	4	U	28	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-29	5940	2/4-U-29	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-31	2008-08-31	457-G3	119.000000	78.000000	NORTH SEA	2008	2008	\N	ED50	56	32	12.61	N	3	12	41.23	E	56.536800	3.211500	6265990.050000	513005.090000	31	2	4	U	29	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-30	5941	2/4-U-30	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2008-08-31	2008-08-31	457-G4	119.000000	78.700000	NORTH SEA	2008	2008	\N	ED50	56	32	9.82	N	3	12	36.12	E	56.536100	3.210000	6265903.520000	512918.050000	31	2	4	U	30	\N	\N	2012-07-25	2012-07-25	2013-05-08
8/10-U-1	5950	8/10-U-1	ConocoPhillips Skandinavia AS	331	BUCENTAUR	2008-09-04	2008-09-04	458-G1	102.000000	67.500000	NORTH SEA	2008	2008	\N	ED50	57	2	22.97	N	3	16	57.49	E	57.039700	3.282600	6321983.910000	517152.070000	31	8	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
8/10-U-2	5951	8/10-U-2	ConocoPhillips Skandinavia AS	331	BUCENTAUR	2008-09-05	2008-09-05	458-G2	107.000000	67.500000	NORTH SEA	2008	2008	\N	ED50	57	2	22.36	N	3	17	0.99	E	57.039500	3.283600	6321965.290000	517211.150000	31	8	10	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
8/10-U-3	5952	8/10-U-3	ConocoPhillips Skandinavia AS	331	BUCENTAUR	2008-09-06	2008-09-06	458-G3	101.000000	67.700000	NORTH SEA	2008	2008	\N	ED50	57	2	24.32	N	3	17	0.21	E	57.040100	3.283400	6322025.840000	517197.750000	31	8	10	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-18	5968	34/7-U-18	Statoil Petroleum AS	\N	BORGLAND DOLPHIN	2009-02-12	2009-02-13	459-G	630.000000	292.000000	NORTH SEA	2009	2009	\N	ED50	61	23	23.50	N	2	8	33.10	E	61.389900	2.142500	6806676.270000	454191.000000	31	34	7	U	18	\N	\N	2012-07-25	2012-07-25	2013-05-08
6603/12-U-1	5986	6603/12-U-1	A/S Norske Shell	326	LEIV EIRIKSSON	2009-03-23	2009-03-24	460-G	0.000000	1371.000000	NORWEGIAN SEA	2009	2009	SH0402. Line 1849. Trace 2988	ED50	66	8	50.73	N	3	56	26.70	E	66.147400	3.940800	7336847.540000	542451.680000	31	6603	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/2-U-3	5998	16/2-U-3	StatoilHydro ASA	265	BUCENTAUR	2008-09-26	2008-09-26	461-G1	139.000000	109.200000	NORTH SEA	2008	2008	\N	ED50	58	48	48.92	N	2	22	14.30	E	58.813600	2.370600	6519616.060000	463645.040000	31	16	2	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/2-U-4	5999	16/2-U-4	StatoilHydro ASA	265	BUCENTAUR	2008-09-27	2008-09-27	461-G2	151.000000	108.700000	NORTH SEA	2008	2008	\N	ED50	58	48	49.56	N	2	22	10.53	E	58.813800	2.369600	6519636.420000	463584.730000	31	16	2	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/2-U-5	6001	16/2-U-5	StatoilHydro ASA	265	BUCENTAUR	2008-09-27	2008-09-27	461-G3	139.000000	109.000000	NORTH SEA	2008	2008	\N	ED50	58	48	50.88	N	2	22	13.57	E	58.814100	2.370400	6519676.790000	463633.890000	31	16	2	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/7-U-1	6003	6407/7-U-1	StatoilHydro Petroleum AS	107	WEST ALPHA	2008-06-16	2008-06-17	462-G	0.000000	293.000000	NORWEGIAN SEA	2008	2008	\N	ED50	64	25	49.30	N	7	7	38.40	E	64.430400	7.127300	7146478.820000	409820.680000	32	6407	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
35/9-U-2	6005	35/9-U-2	Statoil ASA (old)	153	TRANSOCEAN SEARCHER	2009-01-03	2009-01-07	463-G	924.000000	360.300000	NORTH SEA	2009	2009	\N	ED50	61	23	18.66	N	3	58	54.62	E	61.388500	3.981800	6806620.140000	552455.000000	31	35	9	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/8-U-1	6022	34/8-U-1	StatoilHydro ASA	120	SCARABEO 5	2009-03-14	2009-03-16	464-G	633.000000	381.000000	NORTH SEA	2009	2009	\N	ED50	61	24	14.80	N	2	34	50.00	E	61.404100	2.580600	6808034.710000	477601.750000	31	34	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-14	6023	6506/12-U-14	StatoilHydro ASA	094	BUCENTAUR	2008-10-06	2008-10-06	465-G	351.000000	301.000000	NORWEGIAN SEA	2008	2008	\N	ED50	65	13	1.10	N	6	54	28.50	E	65.217000	6.907900	7234439.510000	402154.370000	32	6506	12	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
3/7-U-8	6026	3/7-U-8	DONG E&P Norge AS	289	BUCENTAUR	9999-12-31	9999-12-31	466-G	0.000000	65.000000	NORTH SEA	0	0	sURVEY: SH9302:	ED50	56	22	54.80	N	4	14	15.07	E	56.381900	4.237500	6249410.140000	576420.050000	31	3	7	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/7-U-14	6061	7323/7-U-14	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1984-08-15	1984-08-19	467-G	383.000000	366.000000	BARENTS SEA	1984	1984	\N	ED50	73	15	41.22	N	23	16	7.01	E	73.261500	23.268600	8133610.180000	380113.210000	35	7323	7	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
7323/11-U-2	6062	7323/11-U-2	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	\N	\N	1984-08-27	1984-08-28	468-G	0.000000	380.000000	BARENTS SEA	1984	1984	\N	ED50	73	13	59.95	N	23	27	0.04	E	73.233300	23.450000	8130122.190000	385748.860000	35	7323	11	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
35/6-U-1	6064	35/6-U-1	StatoilHydro ASA	376	OCEAN VANGUARD	2009-02-10	2009-02-11	469-G1	0.000000	344.000000	NORTH SEA	2009	2009	30 m sør for 3d survey ST98M08. Inline 2286. X-line 3024	ED50	61	32	1.90	N	3	54	40.73	E	61.533900	3.911300	6822755.320000	548461.130000	31	35	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6406/3-U-1	6083	6406/3-U-1	StatoilHydro Petroleum AS	091	BUCENTAUR	9999-12-31	9999-12-31	470-G	0.000000	297.000000	NORWEGIAN SEA	0	0	\N	ED50	64	50	10.15	N	6	47	13.67	E	64.836200	6.787100	7192208.920000	395021.030000	32	6406	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/7-U-2	6087	6407/7-U-2	StatoilHydro Petroleum AS	107	BUCENTAUR	9999-12-31	9999-12-31	471-G	0.000000	331.000000	NORWEGIAN SEA	0	0	ST0871-08006 ligger på NNWF 1001 og NH0063-401 ligger ca 70 m NØ for NNWF 1001	ED50	64	16	21.13	N	7	6	26.82	E	64.272500	7.107500	7128924.670000	408339.670000	32	6407	7	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/6-U-2	6096	6407/6-U-2	StatoilHydro Petroleum AS	312	OCEAN VANGUARD	2009-04-10	2009-04-11	472-G	437.000000	247.000000	NORWEGIAN SEA	2009	2009	ST04M8. Inline 2154. Crossline 5680	ED50	64	33	53.11	N	7	40	25.72	E	64.564800	7.673800	7160790.880000	436445.970000	32	6407	6	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-1	6113	34/11-U-1	StatoilHydro ASA	\N	BUCENTAUR	2008-11-13	2008-11-16	473-G	192.000000	134.000000	NORTH SEA	2008	2008	\N	ED50	61	2	27.22	N	2	20	21.80	E	61.040900	2.339400	6767682.900000	464314.870000	31	34	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-2	6114	34/11-U-2	StatoilHydro Petroleum AS	\N	BUCENTAUR	2008-11-17	2008-11-19	474-G	186.000000	133.000000	NORTH SEA	2008	2008	\N	ED50	61	2	26.98	N	2	20	21.65	E	61.040800	2.339300	6767675.490000	464312.540000	31	34	11	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7222/11-U-1	6115	7222/11-U-1	StatoilHydro Petroleum AS	228	POLAR PIONEER	2008-08-03	2008-08-06	475-G	0.000000	357.000000	BARENTS SEA	2008	2008	\N	ED50	72	4	20.70	N	22	28	27.40	E	72.072400	22.474300	8003069.660000	344635.760000	35	7222	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/3-U-2	6125	6507/3-U-2	Statoil ASA (old)	159 D	OCEAN VANGUARD	2009-06-01	2009-06-02	476-G	0.000000	377.000000	NORWEGIAN SEA	2009	2009	BPN0501. Inline 1002. Crossline 612.	ED50	65	49	24.26	N	7	43	8.34	E	65.823400	7.719000	7301008.120000	441457.540000	32	6507	3	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-20	6129	2/7-U-20	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-06	2009-06-06	477-G	136.000000	73.000000	NORTH SEA	2009	2009	\N	ED50	56	22	29.00	N	3	15	48.99	E	56.374700	3.263600	6247956.320000	516282.020000	31	2	7	U	20	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-23	6130	2/7-U-23	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-06	2009-06-06	477-G2	136.000000	72.800000	NORTH SEA	2009	2009	\N	ED50	56	22	27.09	N	3	15	45.87	E	56.374200	3.262700	6247897.060000	516228.720000	31	2	7	U	23	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-24	6131	2/7-U-24	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-02	2009-06-02	477-G3	136.000000	73.000000	NORTH SEA	2009	2009	\N	ED50	56	22	26.07	N	3	15	43.40	E	56.373900	3.262100	6247865.360000	516186.460000	31	2	7	U	24	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-25	6132	2/7-U-25	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-02	2009-06-04	477-G4	136.000000	73.000000	NORTH SEA	2009	2009	\N	ED50	56	22	24.02	N	3	15	46.28	E	56.373300	3.262900	6247802.160000	516236.120000	31	2	7	U	25	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-26	6133	2/7-U-26	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-07	2009-06-07	477-G5	139.000000	73.000000	NORTH SEA	2009	2009	\N	ED50	56	22	25.11	N	3	15	48.79	E	56.373600	3.263600	6247836.030000	516279.050000	31	2	7	U	26	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-27	6134	2/7-U-27	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-08	2009-06-08	477-G6	112.000000	73.000000	NORTH SEA	2009	2009	\N	ED50	56	22	24.61	N	3	15	50.04	E	56.373500	3.263900	6247820.650000	516300.560000	31	2	7	U	27	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-28	6135	2/7-U-28	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-09	2009-06-09	477-G7	111.000000	73.000000	NORTH SEA	2009	2009	\N	ED50	56	22	23.22	N	3	15	46.83	E	56.373100	3.263000	6247777.460000	516245.650000	31	2	7	U	28	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-29	6136	2/7-U-29	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-09	2009-06-09	477-G8	121.000000	73.000000	NORTH SEA	2009	2009	\N	ED50	56	22	22.37	N	3	15	50.62	E	56.372900	3.264100	6247751.430000	516310.780000	31	2	7	U	29	\N	\N	2012-07-25	2012-07-25	2013-05-08
6506/12-U-15	6146	6506/12-U-15	StatoilHydro ASA	094	TRANSOCEAN LEADER	9999-12-31	9999-12-31	478-G	0.000000	301.000000	NORWEGIAN SEA	0	0	\N	ED50	65	13	1.86	N	6	54	28.09	E	65.217200	6.907800	7234463.200000	402149.830000	32	6506	12	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/2-U-1	6148	1/2-U-1	ConocoPhillips Skandinavia AS	143	BUCENTAUR	2009-05-09	2009-05-09	479-G1	111.000000	74.000000	NORTH SEA	2009	2009	\N	ED50	56	56	55.58	N	2	27	5.01	E	56.948800	2.451400	6311958.730000	466625.990000	31	1	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/2-U-2	6149	1/2-U-2	ConocoPhillips Skandinavia AS	143	BUCENTAUR	2009-05-12	2009-05-12	479-G2	108.000000	74.000000	NORTH SEA	2009	2009	\N	ED50	56	56	56.95	N	2	27	7.69	E	56.949200	2.452100	6312000.730000	466671.620000	31	1	2	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/2-U-3	6150	1/2-U-3	ConocoPhillips Skandinavia AS	143	BUCENTAUR	2009-05-12	2009-05-12	479-G3	107.000000	74.000000	NORTH SEA	2009	2009	\N	ED50	56	56	54.99	N	2	27	8.52	E	56.948600	2.452400	6311940.010000	466685.160000	31	1	2	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6407/2-U-1	6152	6407/2-U-1	StatoilHydro Petroleum AS	074 B	OCEAN VANGUARD	9999-12-31	9999-12-31	480-G	0.000000	250.000000	NORWEGIAN SEA	0	0	3DSurvey: ST04m8. Inline: 2474. X-line:3163	ED50	64	50	55.69	N	7	38	5.70	E	64.848800	7.634900	7192481.710000	435264.210000	32	6407	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-30	6155	2/7-U-30	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-10	2009-06-10	477-G9	111.000000	73.000000	NORTH SEA	2009	2009	\N	ED50	56	22	21.09	N	3	15	52.40	E	56.372500	3.264600	6247711.970000	516341.470000	31	2	7	U	30	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-21	6156	2/7-U-21	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-02	2009-06-02	477-G1	158.000000	73.700000	NORTH SEA	2009	2009	\N	ED50	56	22	27.33	N	3	15	45.17	E	56.374300	3.262500	6247904.430000	516216.680000	31	2	7	U	21	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/9-U-2	6196	30/9-U-2	StatoilHydro Petroleum AS	079	TRANSOCEAN LEADER	2009-09-09	2009-09-11	481-G	0.000000	107.000000	NORTH SEA	2009	2009	ST09304-08004. SP1201	ED50	60	29	5.80	N	2	42	40.90	E	60.484900	2.711400	6705612.950000	484135.830000	31	30	9	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7223/5-U-1	6259	7223/5-U-1	StatoilHydro Petroleum AS	228	POLAR PIONEER	2008-11-01	2008-11-02	482-G	0.000000	332.000000	BARENTS SEA	2008	2008	\N	ED50	72	32	6.07	N	23	20	7.80	E	72.535000	23.335500	8052575.780000	377307.540000	35	7223	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-11	6271	34/11-U-11	StatoilHydro Petroleum AS	193	BORGLAND DOLPHIN	2009-12-17	2009-12-20	483-G	221.000000	133.400000	NORTH SEA	2009	2009	\N	ED50	61	2	24.76	N	2	20	17.53	E	61.040200	2.338200	6767607.430000	464250.030000	31	34	11	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-3	6274	34/11-U-3	StatoilHydro Petroleum AS	193	BUCENTAUR	2009-06-27	2009-06-27	484-G	0.000000	135.000000	NORTH SEA	2009	2009	\N	ED50	61	2	26.01	N	2	20	18.77	E	61.040600	2.338500	6767645.920000	464269.020000	31	34	11	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-4	6275	34/11-U-4	StatoilHydro Petroleum AS	193	BUCENTAUR	2009-06-21	2009-06-21	485-G	0.000000	134.000000	NORTH SEA	2009	2009	\N	ED50	61	2	25.55	N	2	20	22.91	E	61.040400	2.339700	6767631.060000	464331.000000	31	34	11	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-5	6276	34/11-U-5	StatoilHydro Petroleum AS	193	BUCENTAUR	2009-06-29	2009-06-29	486-G	0.000000	134.600000	NORTH SEA	2009	2009	\N	ED50	61	2	25.49	N	2	20	23.31	E	61.040400	2.339800	6767629.140000	464336.980000	31	34	11	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-6	6277	34/11-U-6	StatoilHydro Petroleum AS	193	BUCENTAUR	2009-06-25	2009-06-25	487-G	0.000000	134.000000	NORTH SEA	2009	2009	\N	ED50	61	2	24.76	N	2	20	20.26	E	61.040200	2.339000	6767607.020000	464290.990000	31	34	11	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-7	6278	34/11-U-7	StatoilHydro Petroleum AS	193	BUCENTAUR	2009-06-23	2009-06-23	488-G	0.000000	133.000000	NORTH SEA	2009	2009	\N	ED50	61	2	25.10	N	2	20	24.19	E	61.040300	2.340100	6767616.940000	464350.070000	31	34	11	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-8	6279	34/11-U-8	StatoilHydro Petroleum AS	193	BUCENTAUR	2009-06-20	2009-06-20	489-G	0.000000	133.000000	NORTH SEA	2009	2009	\N	ED50	61	2	22.97	N	2	20	24.23	E	61.039700	2.340100	6767551.030000	464350.000000	31	34	11	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-9	6280	34/11-U-9	StatoilHydro Petroleum AS	193	BUCENTAUR	2009-06-22	2009-06-22	490-G	0.000000	134.000000	NORTH SEA	2009	2009	\N	ED50	61	2	24.02	N	2	20	20.48	E	61.040000	2.339000	6767584.090000	464294.060000	31	34	11	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-10	6281	34/11-U-10	StatoilHydro Petroleum AS	193	BUCENTAUR	2009-07-01	2009-07-01	491-G	0.000000	134.000000	NORTH SEA	2009	2009	\N	ED50	61	2	28.59	N	2	20	17.58	E	61.041300	2.338200	6767725.930000	464251.970000	31	34	11	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/2-U-1	6284	6507/2-U-1	StatoilHydro ASA	122	BUCENTAUR	2009-07-12	2009-07-13	492-G	0.000000	366.000000	NORWEGIAN SEA	2009	2009	\N	ED50	65	56	0.49	N	7	32	39.40	E	65.933500	7.544300	7313447.860000	433759.050000	32	6507	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/3-U-1	6286	15/3-U-1	Statoil ASA (old)	025	BUCENTAUR	2008-10-20	2008-10-21	493-G	0.000000	109.000000	NORTH SEA	2008	2008	\N	ED50	58	50	43.13	N	1	44	34.80	E	58.845300	1.743000	6523658.910000	427457.900000	31	15	3	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/3-U-2	6287	15/3-U-2	Statoil ASA (old)	025	BUCENTAUR	2008-10-22	2008-10-23	494-G	0.000000	109.000000	NORTH SEA	2008	2008	\N	ED50	58	50	44.25	N	1	44	38.11	E	58.845600	1.743900	6523692.550000	427511.610000	31	15	3	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/3-U-3	6288	15/3-U-3	Statoil ASA (old)	025	BUCENTAUR	2008-10-24	2008-10-25	495-G	0.000000	109.000000	NORTH SEA	2008	2008	\N	ED50	58	50	41.49	N	1	44	36.83	E	58.844900	1.743600	6523607.580000	427489.490000	31	15	3	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/3-U-4	6289	15/3-U-4	Statoil ASA (old)	025	BUCENTAUR	2008-10-28	2008-10-29	496-G	0.000000	109.000000	NORTH SEA	2008	2008	\N	ED50	58	50	43.60	N	1	44	40.06	E	58.845400	1.744500	6523671.860000	427542.490000	31	15	3	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/3-U-5	6290	15/3-U-5	Statoil ASA (old)	025	BUCENTAUR	2008-11-01	2008-11-02	497-G	0.000000	109.000000	NORTH SEA	2008	2008	\N	ED50	58	50	40.06	N	1	44	40.65	E	58.844500	1.744600	6523562.200000	427549.890000	31	15	3	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/8-U-2	6295	34/8-U-2	StatoilHydro ASA	120	BUCENTAUR	2009-10-02	2009-10-03	498-G	0.000000	291.000000	NORTH SEA	2009	2009	\N	ED50	61	18	2.22	N	2	21	50.55	E	61.300600	2.364000	6796599.800000	465927.860000	31	34	8	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-11	6298	31/2-U-11	Statoil Petroleum AS	054	SONGA TRYM	2009-12-05	2009-12-06	499-G	644.000000	338.300000	NORTH SEA	2009	2009	NH9157 og NH0502	ED50	60	54	53.90	N	3	31	25.50	E	60.915000	3.523800	6753590.000000	528404.360000	31	31	2	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/2-U-12	6308	31/2-U-12	Statoil Petroleum AS	054	DEEPSEA ATLANTIC	2010-01-25	2010-01-27	500-G	679.000000	334.000000	NORTH SEA	2010	2010	NH9157-314. SP 2376	ED50	60	50	2.82	N	3	30	53.96	E	60.834100	3.515000	6744580.140000	527999.950000	31	31	2	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/5-U-2	6309	6507/5-U-2	BP Norge AS	212	BORGLAND DOLPHIN	2010-01-09	2010-01-11	501-G	1130.000000	325.000000	NORWEGIAN SEA	2010	2010	\N	ED50	65	44	19.85	N	7	39	20.12	E	65.738800	7.655600	7291645.130000	438359.060000	32	6507	5	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/11-U-12	6313	34/11-U-12	Statoil Petroleum AS	193	BORGLAND DOLPHIN	2009-12-21	2009-12-28	502-G	1250.000000	133.400000	NORTH SEA	2009	2009	3D inline 1150 and crossline 3292. 3D cube ST06M06	ED50	61	2	24.76	N	2	20	17.53	E	61.040200	2.338200	6767607.430000	464250.030000	31	34	11	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/5-U-1	6318	6507/5-U-1	BP Norge AS	212	BORGLAND DOLPHIN	2010-01-06	2010-01-08	503-G	1130.000000	323.000000	NORWEGIAN SEA	2010	2010	\N	ED50	65	44	16.79	N	7	39	7.16	E	65.738000	7.652000	7291553.940000	438191.990000	32	6507	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/3-U-6	6355	15/3-U-6	Statoil Petroleum AS	187	TRANSOCEAN LEADER	2010-05-18	2010-05-19	504-G	921.000000	108.000000	NORTH SEA	2010	2010	\N	ED50	58	49	14.50	N	1	46	20.70	E	58.820700	1.772400	6520886.260000	429105.170000	31	15	3	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/3-U-3	6378	6507/3-U-3	BP Norge AS	159	BORGLAND DOLPHIN	2010-07-04	2010-07-06	505-G	1097.000000	392.000000	NORWEGIAN SEA	2010	2010	\N	ED50	65	47	54.06	N	7	42	52.16	E	65.798400	7.714500	7298219.970000	441195.000000	32	6507	3	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/10-U-12	6383	34/10-U-12	Statoil Petroleum AS	050	BUCENTAUR	2010-04-21	2010-04-22	506-G	181.000000	134.000000	NORTH SEA	2010	2010	GFS1015	ED50	61	4	14.49	N	2	11	32.08	E	61.070700	2.192200	6771090.960000	456407.570000	31	34	10	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-21	6384	25/5-U-21	Det norske oljeselskap ASA	364	BUCENTAUR	9999-12-31	9999-12-31	507-G	0.000000	120.000000	NORTH SEA	0	0	\N	ED50	59	44	21.42	N	2	34	1.37	E	59.739300	2.567000	6622610.050000	475660.040000	31	25	5	U	21	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-22	6385	25/5-U-22	Det norske oljeselskap ASA	364	BUCENTAUR	9999-12-31	9999-12-31	508-G	0.000000	120.000000	NORTH SEA	0	0	\N	ED50	59	44	20.48	N	2	34	1.38	E	59.739000	2.567100	6622580.970000	475660.010000	31	25	5	U	22	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-23	6386	25/5-U-23	Det norske oljeselskap ASA	364	BUCENTAUR	9999-12-31	9999-12-31	509-G	0.000000	120.000000	NORTH SEA	0	0	\N	ED50	59	44	21.42	N	2	34	3.22	E	59.739300	2.567600	6622609.860000	475688.930000	31	25	5	U	23	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-24	6387	25/5-U-24	Det norske oljeselskap ASA	364	BUCENTAUR	9999-12-31	9999-12-31	510-G	0.000000	120.000000	NORTH SEA	0	0	\N	ED50	59	44	22.36	N	2	34	1.36	E	59.739500	2.567000	6622639.130000	475660.070000	31	25	5	U	24	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/5-U-25	6388	25/5-U-25	Det norske oljeselskap ASA	364	BUCENTAUR	9999-12-31	9999-12-31	511-G	0.000000	120.000000	NORTH SEA	0	0	\N	ED50	59	44	21.41	N	2	33	59.51	E	59.739300	2.566500	6622609.930000	475630.990000	31	25	5	U	25	\N	\N	2012-07-25	2012-07-25	2013-05-08
7122/7-U-4	6393	7122/7-U-4	Eni Norge AS	229	BUCENTAUR	2010-06-13	2010-06-15	512-G	0.000000	373.500000	BARENTS SEA	2010	2010	NA0101-301. SP 668	ED50	71	16	37.69	N	22	16	44.52	E	71.277100	22.279000	7909004.140000	545821.990000	34	7122	7	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
7122/7-U-5	6394	7122/7-U-5	Eni Norge AS	229	BUCENTAUR	2010-06-11	2010-06-13	513-G	0.000000	348.000000	BARENTS SEA	2010	2010	NA01401-112. SP 916	ED50	71	15	33.78	N	22	15	42.68	E	71.259400	22.261900	7907011.480000	545247.960000	34	7122	7	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
7122/7-U-6	6395	7122/7-U-6	Eni Norge AS	229	BUCENTAUR	2010-06-15	2010-06-17	514-G	0.000000	383.000000	BARENTS SEA	2010	2010	EN0901. Az127.Inline 3285. Xline 1631	ED50	71	17	12.19	N	22	17	14.34	E	71.286700	22.287300	7910079.140000	546095.960000	34	7122	7	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
7122/7-U-7	6396	7122/7-U-7	Eni Norge AS	229	BUCENTAUR	2010-06-17	2010-06-18	515-G	0.000000	391.000000	BARENTS SEA	2010	2010	EN0901. Az127. Inline 3450. Xline 1588	ED50	71	18	14.84	N	22	18	40.42	E	71.304100	22.311200	7912038.210000	546909.970000	34	7122	7	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
7122/10-U-1	6397	7122/10-U-1	Eni Norge AS	229	BUCENTAUR	2010-06-18	2010-06-20	516-G	0.000000	323.000000	BARENTS SEA	2010	2010	EN0901. Az127. Inline 2916. Xline 1792	ED50	71	14	34.70	N	22	15	6.74	E	71.243000	22.251900	7905173.920000	544927.890000	34	7122	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7224/6-U-1	6400	7224/6-U-1	Statoil Petroleum AS	394	POLAR PIONEER	2008-07-14	2008-07-16	517-G	967.000000	267.000000	BARENTS SEA	2008	2008	NH0608. Inline 2657. X-line 2114.	ED50	72	37	29.40	N	24	54	43.40	E	72.624800	24.912100	8060060.860000	430414.690000	35	7224	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7226/2-U-1	6401	7226/2-U-1	Statoil Petroleum AS	395	POLAR PIONEER	2008-05-12	2008-05-14	518-G	1121.000000	347.000000	BARENTS SEA	2008	2008	ST0615R7. Inline 3566. X-line 2420.	ED50	72	53	31.90	N	26	35	39.00	E	72.892200	26.594200	8088721.450000	486674.120000	35	7226	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
31/5-U-3	6425	31/5-U-3	Statoil Petroleum AS	054	WEST VENTURE	9999-12-31	9999-12-31	519-G	0.000000	321.000000	NORTH SEA	0	0	\N	ED50	60	44	25.85	N	3	30	39.64	E	60.740500	3.511000	6734152.650000	527864.840000	31	31	5	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
15/3-U-7	6426	15/3-U-7	Statoil Petroleum AS	025	TRANSOCEAN LEADER	2010-08-15	2010-08-19	520-G	1020.000000	109.000000	NORTH SEA	2010	2010	\N	ED50	58	50	42.60	N	1	44	41.60	E	58.845200	1.744900	6523640.470000	427566.590000	31	15	3	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
35/1-U-1	6428	35/1-U-1	Statoil Petroleum AS	269	TRANSOCEAN LEADER	2010-08-24	2010-08-27	521-G	1458.000000	409.000000	NORTH SEA	2010	2010	\N	ED50	61	51	56.35	N	3	3	19.90	E	61.865700	3.055500	6859379.670000	502921.340000	31	35	1	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
3/8-U-1	6431	3/8-U-1	Lundin Norway AS	400	BUCENTAUR	2009-09-23	2009-09-24	522-G1	0.000000	65.300000	NORTH SEA	2009	2009	\N	ED50	56	27	15.69	N	4	25	6.14	E	56.454400	4.418400	6257691.290000	587420.980000	31	3	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
3/8-U-2	6432	3/8-U-2	Lundin Norway AS	400	BUCENTAUR	9999-12-31	9999-12-31	522-G2	0.000000	65.700000	NORTH SEA	0	0	\N	ED50	56	27	16.21	N	4	25	2.49	E	56.454500	4.417400	6257706.070000	587358.160000	31	3	8	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
3/8-U-3	6433	3/8-U-3	Lundin Norway AS	400	BUCENTAUR	9999-12-31	9999-12-31	522-G3	0.000000	65.900000	NORTH SEA	0	0	\N	ED50	56	27	17.73	N	4	25	5.10	E	56.454900	4.418100	6257753.990000	587401.870000	31	3	8	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/5-U-3	6444	6507/5-U-3	BP Norge AS	212	BORGLAND DOLPHIN	2010-08-26	2010-08-28	523-G	1228.000000	376.000000	NORWEGIAN SEA	2010	2010	\N	ED50	65	42	14.16	N	7	35	20.12	E	65.703900	7.588900	7287821.280000	435215.440000	32	6507	5	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7119/12-U-1	6467	7119/12-U-1	Statoil Petroleum AS	488	POLAR PIONEER	2011-01-06	2011-01-10	524-G	1150.000000	192.000000	BARENTS SEA	2011	2011	3D Survey: ST09M03. Inline: 6640. X-line: 7290	ED50	71	1	42.96	N	19	49	20.51	E	71.028600	19.822400	7881214.020000	457270.990000	34	7119	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
6305/9-U-2	6472	6305/9-U-2	Det norske oljeselskap AS	468	ISLAND ENFORCER	9999-12-31	9999-12-31	525-G	0.000000	274.000000	NORWEGIAN SEA	0	0	2D Seismic line 20a. SP1342. Inline 1159. Crossline 3357	ED50	63	26	51.86	N	5	54	53.37	E	63.447700	5.914800	7038957.150000	645347.270000	31	6305	9	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/12-U-1	6473	7/12-U-1	Det norske oljeselskap ASA	450	BUCENTAUR	9999-12-31	9999-12-31	526-G1	0.000000	70.000000	NORTH SEA	0	0	\N	ED50	57	1	18.70	N	2	51	27.70	E	57.021900	2.857700	6319970.030000	491359.890000	31	7	12	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/12-U-2	6474	7/12-U-2	Det norske oljeselskap ASA	450	BUCENTAUR	9999-12-31	9999-12-31	526-G2	0.000000	70.000000	NORTH SEA	0	0	\N	ED50	57	1	20.70	N	2	51	26.60	E	57.022400	2.857400	6320031.910000	491341.460000	31	7	12	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/12-U-3	6475	7/12-U-3	Det norske oljeselskap ASA	450	BUCENTAUR	9999-12-31	9999-12-31	526-G3	0.000000	70.000000	NORTH SEA	0	0	\N	ED50	57	1	19.20	N	2	51	23.90	E	57.022000	2.856600	6319985.630000	491295.830000	31	7	12	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
35/1-U-2	6477	35/1-U-2	Statoil Petroleum AS	269	TRANSOCEAN LEADER	2010-08-24	2010-09-12	527-G	434.000000	409.000000	NORTH SEA	2010	2010	\N	ED50	61	51	56.35	N	3	3	19.90	E	61.865700	3.055500	6859379.670000	502921.340000	31	35	1	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7220/8-U-1	6487	7220/8-U-1	Statoil Petroleum AS	532	POLAR PIONEER	2011-02-22	2011-02-26	528-G	955.000000	374.000000	BARENTS SEA	2011	2011	3D Survey WG08. inline 1530. crossline 3470.	ED50	72	29	29.26	N	20	20	1.10	E	72.491500	20.333600	8051920.260000	678896.900000	33	7220	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-15	6520	1/3-U-15	DONG E&P Norge AS	274	BUCENTAUR	2010-12-29	2010-12-30	529-G1	108.000000	71.900000	NORTH SEA	2010	2010	DG0902-108-1213 SP320; DG0902-108-411 SP370	ED50	56	55	53.62	N	2	40	16.30	E	56.931600	2.671200	6309957.000000	479988.170000	31	1	3	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
1/3-U-16	6521	1/3-U-16	DONG E&P Norge AS	274	BUCENTAUR	2010-12-30	2010-12-31	529-G2	108.000000	72.200000	NORTH SEA	2010	2010	DG0902-108-1213 SP320; DG0902-108-411 SP370	ED50	56	55	53.46	N	2	40	16.36	E	56.931500	2.671200	6309952.050000	479989.160000	31	1	3	U	16	\N	\N	2012-07-25	2012-07-25	2013-05-08
6406/3-U-2	6528	6406/3-U-2	Wintershall Norge ASA	475 BS	SONGA DELTA	2010-05-16	2010-05-17	530-G1	1033.000000	302.000000	NORWEGIAN SEA	2010	2010	\N	ED50	64	56	8.82	N	6	56	35.19	E	64.935800	6.943100	7203058.710000	402779.490000	32	6406	3	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6406/3-U-3	6529	6406/3-U-3	Wintershall Norge ASA	475 BS	SONGA DELTA	2010-05-19	2010-05-20	530-G2	570.000000	302.000000	NORWEGIAN SEA	2010	2010	\N	ED50	64	56	9.57	N	6	56	32.17	E	64.936000	6.942300	7203083.210000	402740.610000	32	6406	3	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
6508/1-U-2	6552	6508/1-U-2	Det norske oljeselskap ASA	482	AKER BARENTS	2011-08-18	2011-08-20	531-G	1305.000000	393.000000	NORWEGIAN SEA	2011	2011	x-line 2502. Inline 4866. EN0804	ED50	65	55	49.87	N	8	1	53.14	E	65.930500	8.031400	7312690.830000	455919.410000	32	6508	1	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
6507/8-U-1	6578	6507/8-U-1	Nexen Exploration Norge AS	434	SONGA DELTA	9999-12-31	9999-12-31	532-G	587.000000	329.000000	NORWEGIAN SEA	0	0	ST08M07 Inline: 10376 Xline: 10706	ED50	65	16	52.21	N	7	25	29.88	E	65.281200	7.425000	7240890.270000	426510.550000	32	6507	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-4	6583	2/4-U-4	Statoil Petroleum AS	146	BUCENTAUR	2010-04-24	2010-04-24	533-G	254.000000	68.000000	NORTH SEA	2010	2010	\N	ED50	56	42	0.90	N	3	8	36.80	E	56.700300	3.143600	6284169.330000	508791.120000	31	2	4	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-5	6584	2/4-U-5	Statoil Petroleum AS	146	BUCENTAUR	2010-04-28	2010-04-28	534-G	96.000000	29.200000	NORTH SEA	2010	2010	\N	ED50	56	41	58.90	N	3	8	37.20	E	56.699700	3.143700	6284107.500000	508798.050000	31	2	4	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-6	6585	2/4-U-6	Statoil Petroleum AS	146	BUCENTAUR	2010-04-28	2010-04-28	535-G	95.000000	68.000000	NORTH SEA	2010	2010	\N	ED50	56	41	59.60	N	3	8	33.80	E	56.699900	3.142700	6284129.030000	508740.170000	31	2	4	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
7120/2-U-1	6603	7120/2-U-1	Lundin Norway AS	438	TRANSOCEAN LEADER	2011-05-15	2011-05-16	536-G	655.000000	312.000000	BARENTS SEA	2011	2011	\N	ED50	71	47	20.65	N	20	21	45.27	E	71.789100	20.362600	7965739.110000	477765.360000	34	7120	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/7-U-1	6605	16/7-U-1	Statoil Petroleum AS	569	OCEAN VANGUARD	2011-07-07	2011-07-09	537-G	535.000000	85.000000	NORTH SEA	2011	2011	\N	ED50	58	29	56.75	N	2	1	32.27	E	58.499100	2.025600	6484838.570000	443207.780000	31	16	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-31	6631	2/4-U-31	Statoil Petroleum AS	146	BUCENTAUR	2011-06-07	2011-06-07	538-G	35.000000	68.000000	NORTH SEA	2011	2011	\N	ED50	56	42	15.60	N	3	7	56.70	E	56.704300	3.132400	6284622.490000	508108.110000	31	2	4	U	31	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-32	6632	2/4-U-32	Statoil Petroleum AS	146	BUCENTAUR	2011-06-07	2011-06-07	539-G	23.000000	68.000000	NORTH SEA	2011	2011	\N	ED50	56	42	16.40	N	3	7	53.40	E	56.704600	3.131500	6284647.120000	508051.940000	31	2	4	U	32	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-33	6633	2/4-U-33	Statoil Petroleum AS	146	BUCENTAUR	2011-06-06	2011-06-06	540-G	35.000000	68.000000	NORTH SEA	2011	2011	\N	ED50	56	42	17.60	N	3	7	56.40	E	56.704900	3.132300	6284684.320000	508102.890000	31	2	4	U	33	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-34	6634	2/4-U-34	Statoil Petroleum AS	146	BUCENTAUR	2011-06-07	2011-06-07	541-G	33.000000	67.800000	NORTH SEA	2011	2011	\N	ED50	56	41	42.20	N	3	8	25.50	E	56.695100	3.140400	6283590.720000	508600.080000	31	2	4	U	34	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-35	6635	2/4-U-35	Statoil Petroleum AS	146	BUCENTAUR	2011-06-08	2011-06-08	542-G	34.000000	68.000000	NORTH SEA	2011	2011	\N	ED50	56	41	43.00	N	3	8	25.10	E	56.695300	3.140300	6283615.440000	508593.230000	31	2	4	U	35	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-36	6636	2/4-U-36	Statoil Petroleum AS	146	BUCENTAUR	2011-06-08	2011-06-08	543-G	33.000000	67.800000	NORTH SEA	2011	2011	\N	ED50	56	41	44.20	N	3	8	28.10	E	56.695600	3.141100	6283652.650000	508644.190000	31	2	4	U	36	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-21	6637	25/8-U-21	Det norske oljeselskap ASA	169 C	BUCENTAUR	9999-12-31	9999-12-31	544-G	0.000000	126.000000	NORTH SEA	0	0	\N	ED50	59	24	14.00	N	2	22	6.00	E	59.403900	2.368300	6585349.550000	464133.760000	31	25	8	U	21	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-22	6638	25/8-U-22	Det norske oljeselskap ASA	169 C	BUCENTAUR	9999-12-31	9999-12-31	545-G	0.000000	126.000000	NORTH SEA	0	0	\N	ED50	59	24	13.00	N	2	22	7.00	E	59.403600	2.368600	6585318.470000	464149.240000	31	25	8	U	22	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-23	6639	25/8-U-23	Det norske oljeselskap ASA	169 C	BUCENTAUR	9999-12-31	9999-12-31	546-G	0.000000	126.000000	NORTH SEA	0	0	\N	ED50	59	24	13.00	N	2	22	6.00	E	59.403600	2.368300	6585318.620000	464133.460000	31	25	8	U	23	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-24	6640	25/8-U-24	Det norske oljeselskap ASA	169 C	BUCENTAUR	9999-12-31	9999-12-31	547-G	0.000000	126.000000	NORTH SEA	0	0	\N	ED50	59	24	12.00	N	2	22	8.00	E	59.403300	2.368900	6585287.380000	464164.720000	31	25	8	U	24	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/8-U-3	6663	34/8-U-3	Statoil Petroleum AS	120	OCEAN VANGUARD	2011-09-20	2011-09-22	548-G	0.000000	291.000000	NORTH SEA	2011	2011	\N	ED50	61	18	3.15	N	2	21	46.98	E	61.300900	2.363100	6796629.090000	465875.020000	31	34	8	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/1-U-1	6669	16/1-U-1	Lundin Norway AS	338	BUCENTAUR	2011-06-10	2011-06-10	549-G	189.000000	109.000000	NORTH SEA	2011	2011	\N	ED50	58	50	33.39	N	2	14	56.77	E	58.842600	2.249100	6522919.650000	456660.930000	31	16	1	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/1-U-2	6670	16/1-U-2	Lundin Norway AS	338	BUCENTAUR	2011-06-10	2011-06-10	550-G	165.000000	109.200000	NORTH SEA	2011	2011	\N	ED50	58	50	34.36	N	2	14	53.26	E	58.842900	2.248100	6522950.290000	456604.990000	31	16	1	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/1-U-3	6671	16/1-U-3	Lundin Norway AS	338	BUCENTAUR	2011-06-10	2011-06-10	551-G	150.000000	109.000000	NORTH SEA	2011	2011	\N	ED50	58	50	32.32	N	2	14	53.26	E	58.842300	2.248100	6522887.190000	456604.280000	31	16	1	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/1-U-4	6672	16/1-U-4	Lundin Norway AS	338	BUCENTAUR	2011-06-10	2011-06-10	552-G	185.000000	109.000000	NORTH SEA	2011	2011	\N	ED50	58	50	36.12	N	2	14	54.89	E	58.843400	2.248600	6523004.430000	456631.730000	31	16	1	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/1-U-5	6673	16/1-U-5	Lundin Norway AS	338	BUCENTAUR	2011-06-10	2011-06-10	553-G	169.000000	109.000000	NORTH SEA	2011	2011	\N	ED50	58	50	35.01	N	2	14	58.77	E	58.843100	2.249700	6522969.400000	456693.550000	31	16	1	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/1-U-6	6674	16/1-U-6	Lundin Norway AS	338	TRANSOCEAN WINNER	2010-09-24	2010-09-24	554-G	606.000000	110.000000	NORTH SEA	2010	2010	\N	ED50	58	53	9.32	N	2	12	11.50	E	58.885900	2.203200	6527773.190000	454068.750000	31	16	1	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-3	6683	34/3-U-3	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	555-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	46	8.30	N	2	47	32.28	E	61.769000	2.792300	6848625.430000	489038.410000	31	34	3	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-4	6684	34/3-U-4	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	556-G	0.000000	30.000000	NORTH SEA	0	0	\N	ED50	61	46	4.27	N	2	47	38.27	E	61.767900	2.794000	6848500.450000	489125.830000	31	34	3	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-5	6685	34/3-U-5	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	557-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	46	0.00	N	2	47	43.51	E	61.766700	2.795400	6848368.070000	489202.240000	31	34	3	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-6	6686	34/3-U-6	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	558-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	45	55.54	N	2	47	47.94	E	61.765400	2.796700	6848229.850000	489266.750000	31	34	3	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-7	6687	34/3-U-7	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	559-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	45	55.16	N	2	44	7.40	E	61.765300	2.735400	6848229.730000	486033.220000	31	34	3	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-8	6688	34/3-U-8	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	560-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	45	59.64	N	2	44	11.76	E	61.766600	2.736600	6848368.100000	486097.710000	31	34	3	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-9	6689	34/3-U-9	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	561-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	46	3.92	N	2	44	16.93	E	61.767800	2.738000	6848500.240000	486174.040000	31	34	3	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-10	6690	34/3-U-10	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	562-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	46	7.97	N	2	44	22.87	E	61.768900	2.739700	6848625.210000	486261.630000	31	34	3	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-11	6691	34/3-U-11	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	563-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	46	1.67	N	2	47	39.22	E	61.767100	2.794200	6848419.950000	489139.500000	31	34	3	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-12	6692	34/3-U-12	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	564-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	46	1.33	N	2	44	16.02	E	61.767000	2.737800	6848420.140000	486160.380000	31	34	3	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-13	6693	34/3-U-13	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	565-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	47	41.45	N	2	42	58.68	E	61.794800	2.716300	6851523.100000	485040.020000	31	34	3	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-14	6694	34/3-U-14	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	566-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	48	2.87	N	2	46	58.21	E	61.800800	2.782800	6852172.430000	488550.790000	31	34	3	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-15	6695	34/3-U-15	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	567-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	45	48.26	N	2	45	55.00	E	61.763400	2.765300	6848010.150000	487610.050000	31	34	3	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/6-U-1	6696	34/6-U-1	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	568-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	44	37.68	N	2	46	13.83	E	61.743800	2.770500	6845825.080000	487878.440000	31	34	6	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/6-U-2	6697	34/6-U-2	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	569-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	44	37.23	N	2	46	3.46	E	61.743700	2.767600	6845811.690000	487726.240000	31	34	6	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/6-U-3	6698	34/6-U-3	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	570-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	44	37.21	N	2	45	53.06	E	61.743700	2.764700	6845811.620000	487573.650000	31	34	6	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/6-U-4	6699	34/6-U-4	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	571-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	44	37.62	N	2	45	42.69	E	61.743800	2.761900	6845824.860000	487421.550000	31	34	6	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/6-U-5	6700	34/6-U-5	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	572-G	0.000000	388.000000	NORTH SEA	0	0	\N	ED50	61	44	38.14	N	2	45	58.26	E	61.743900	2.766200	6845840.130000	487650.050000	31	34	6	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/2-U-6	6716	16/2-U-6	Statoil Petroleum AS	265	TRANSOCEAN LEADER	2011-09-26	2011-09-27	573-G	460.000000	115.000000	NORTH SEA	2011	2011	3D SURVEY: ST09M05. inline 4512. x line 3488	ED50	58	51	16.10	N	2	32	36.20	E	58.854500	2.543400	6524087.540000	473654.850000	31	16	2	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/8-U-1	6738	7/8-U-1	Lotos Exploration and Production Norge AS	498	BUCENTAUR	9999-12-31	9999-12-31	574-G	0.000000	81.900000	NORTH SEA	0	0	LO1102-1010 & LO1102-3019	ED50	57	17	54.97	N	2	27	16.69	E	57.298600	2.454600	6350900.300000	467134.680000	31	7	8	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/8-U-2	6739	7/8-U-2	Lotos Exploration and Production Norge AS	498	BUCENTAUR	9999-12-31	9999-12-31	575-G	0.000000	82.000000	NORTH SEA	0	0	LO1102-1011 & LO1102-3018	ED50	57	17	57.04	N	2	27	15.63	E	57.299200	2.454300	6350964.450000	467117.450000	31	7	8	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/8-U-3	6740	7/8-U-3	Lotos Exploration and Production Norge AS	498	BUCENTAUR	9999-12-31	9999-12-31	576-G	0.000000	2.800000	NORTH SEA	0	0	\N	ED50	57	17	56.47	N	2	27	19.45	E	57.299000	2.455400	6350946.310000	467181.250000	31	7	8	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7220/7-U-1	6754	7220/7-U-1	Statoil Petroleum AS	532	TRANSOCEAN BARENTS	2011-12-06	2011-12-06	577-G	1050.000000	367.000000	BARENTS SEA	2011	2011	ST11305 Inline 08012	ED50	72	27	45.00	N	20	9	5.00	E	72.462500	20.151400	8048166.570000	673074.570000	33	7220	7	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
30/6-U-26	6762	30/6-U-26	Statoil Petroleum AS	053	COSLPioneer	9999-12-31	9999-12-31	578-G	0.000000	110.000000	NORTH SEA	0	0	\N	ED50	60	33	58.85	N	2	44	40.70	E	60.566300	2.744600	6714672.110000	486000.020000	31	30	6	U	26	\N	\N	2012-11-14	2012-11-14	2013-05-08
7220/5-U-1	6777	7220/5-U-1	Statoil Petroleum AS	532	TRANSOCEAN BARENTS	2012-01-26	2012-01-27	579-G	0.000000	388.000000	BARENTS SEA	2012	2012	\N	ED50	72	31	1.06	N	20	20	25.47	E	72.517000	20.340400	8054774.910000	678870.710000	33	7220	5	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-7	6778	2/4-U-7	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-11	2009-06-11	580-G	123.000000	74.500000	NORTH SEA	2009	2009	\N	ED50	56	31	12.00	N	3	14	17.23	E	56.520000	3.238100	6264121.380000	514651.670000	31	2	4	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-8	6779	2/4-U-8	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-11	2009-06-11	581-G	111.000000	73.200000	NORTH SEA	2009	2009	\N	ED50	56	31	14.05	N	3	14	18.97	E	56.520600	3.238600	6264184.870000	514681.190000	31	2	4	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-9	6780	2/4-U-9	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-10	2009-06-10	582-G	114.000000	73.900000	NORTH SEA	2009	2009	\N	ED50	56	31	12.19	N	3	14	21.31	E	56.520100	3.239300	6264127.500000	514721.390000	31	2	4	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-10	6781	2/4-U-10	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-11	2009-06-11	583-G	112.000000	74.400000	NORTH SEA	2009	2009	\N	ED50	56	31	10.86	N	3	14	14.32	E	56.519700	3.237300	6264085.960000	514602.060000	31	2	4	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/1-U-7	6788	16/1-U-7	Det norske oljeselskap ASA	001 B	TRANSOCEAN BARENTS	9999-12-31	9999-12-31	584-G	0.000000	112.000000	NORTH SEA	0	0	\N	ED50	58	55	20.17	N	2	11	53.25	E	58.922300	2.198100	6531823.890000	453825.040000	31	16	1	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/1-U-1	6814	7/1-U-1	Talisman Energy Norge AS	568	BUCENTAUR	9999-12-31	9999-12-31	585-G	0.000000	83.000000	NORTH SEA	0	0	\N	ED50	58	0	3.18	N	2	7	56.49	E	58.000900	2.132400	6429283.950000	448713.970000	31	7	1	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/10-U-1	6815	16/10-U-1	Talisman Energy Norge AS	568	BUCENTAUR	2012-03-27	2012-03-27	586-G	40.000000	83.000000	NORTH SEA	2012	2012	\N	ED50	58	0	0.11	N	2	8	0.65	E	58.000000	2.133500	6429188.130000	448781.050000	31	16	10	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/10-U-2	6816	16/10-U-2	Talisman Energy Norge AS	568	BUCENTAUR	2012-03-27	2012-03-27	587-G	40.000000	83.000000	NORTH SEA	2012	2012	\N	ED50	58	0	1.46	N	2	7	57.53	E	58.000400	2.132600	6429230.540000	448730.360000	31	16	10	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-12	6817	2/1-U-12	Talisman Energy Norge AS	299	BUCENTAUR	9999-12-31	9999-12-31	588-G	0.000000	67.000000	NORTH SEA	0	0	\N	ED50	56	51	3.57	N	3	18	49.36	E	56.851000	3.313700	6300983.920000	519134.290000	31	2	1	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-13	6818	2/1-U-13	Talisman Energy Norge AS	299	BUCENTAUR	9999-12-31	9999-12-31	589-G	0.000000	67.000000	NORTH SEA	0	0	\N	ED50	56	51	1.51	N	3	18	50.33	E	56.850400	3.314000	6300920.300000	519151.020000	31	2	1	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/1-U-14	6819	2/1-U-14	Talisman Energy Norge AS	299	BUCENTAUR	9999-12-31	9999-12-31	590-G	0.000000	67.000000	NORTH SEA	0	0	\N	ED50	56	51	3.01	N	3	18	53.10	E	56.850800	3.314800	6300966.890000	519197.730000	31	2	1	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-31	6824	2/7-U-31	Phillips Petroleum Company Norway	018	BUCENTAUR	1998-06-20	1998-06-21	591-G1	106.000000	72.000000	NORTH SEA	1998	1998	\N	ED50	56	20	12.06	N	3	5	13.55	E	56.336700	3.087100	6243694.490000	505385.010000	31	2	7	U	31	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-32	6825	2/7-U-32	Phillips Petroleum Company Norway	018	BUCENTAUR	1998-06-21	1998-06-21	591-G2	105.000000	72.000000	NORTH SEA	1998	1998	\N	ED50	56	20	14.44	N	3	5	12.01	E	56.337300	3.086700	6243768.050000	505358.470000	31	2	7	U	32	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-33	6826	2/7-U-33	Phillips Petroleum Company Norway	018	BUCENTAUR	1998-06-21	1998-06-21	591-G3	106.000000	72.000000	NORTH SEA	1998	1998	\N	ED50	56	20	13.57	N	3	5	16.26	E	56.337100	3.087900	6243741.240000	505431.490000	31	2	7	U	33	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/11-U-1	6827	7/11-U-1	ConocoPhillips Skandinavia AS	301 CS	BUCENTAUR	2010-09-09	2010-09-09	592-G	113.000000	71.000000	NORTH SEA	2010	2010	\N	ED50	57	1	0.09	N	2	35	26.11	E	57.016700	2.590600	6319460.080000	475138.970000	31	7	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/11-U-2	6828	7/11-U-2	ConocoPhillips Skandinavia AS	301 CS	BUCENTAUR	2010-09-10	2010-09-10	593-G	116.000000	72.000000	NORTH SEA	2010	2010	\N	ED50	57	1	1.49	N	2	35	28.76	E	57.017100	2.591300	6319503.100000	475183.930000	31	7	11	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/11-U-3	6829	7/11-U-3	ConocoPhillips Skandinavia AS	301 CS	BUCENTAUR	2010-09-10	2010-09-10	594-G	114.000000	71.000000	NORTH SEA	2010	2010	\N	ED50	57	0	59.58	N	2	35	29.67	E	57.016600	2.591600	6319443.950000	475198.920000	31	7	11	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/11-U-4	6830	7/11-U-4	ConocoPhillips Skandinavia AS	301 CS	BUCENTAUR	2010-09-10	2010-09-11	595-G	111.000000	72.000000	NORTH SEA	2010	2010	\N	ED50	57	0	54.38	N	2	36	12.18	E	57.015100	2.603400	6319278.930000	475915.030000	31	7	11	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
7/11-U-5	6831	7/11-U-5	ConocoPhillips Skandinavia AS	301 CS	BUCENTAUR	2010-09-11	2010-09-11	596-G	109.000000	71.000000	NORTH SEA	2010	2010	\N	ED50	57	0	55.81	N	2	36	14.77	E	57.015500	2.604100	6319322.890000	475958.980000	31	7	11	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-22	6836	2/7-U-22	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2009-06-01	2009-06-01	597-G	136.000000	73.000000	NORTH SEA	2009	2009	\N	ED50	56	22	27.00	N	3	15	43.26	E	56.374200	3.262000	6247894.100000	516183.950000	31	2	7	U	22	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-34	6837	2/7-U-34	Phillips Petroleum Company Norway	018	DYVI STENA	1988-06-25	1988-06-26	598-G	131.000000	70.000000	NORTH SEA	1988	1988	\N	ED50	56	20	0.00	N	3	14	54.69	E	56.333300	3.248500	6243345.940000	515367.020000	31	2	7	U	34	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-35	6838	2/7-U-35	Phillips Petroleum Company Norway	018	DYVI STENA	1988-06-27	1988-06-28	599-G	145.000000	70.000000	NORTH SEA	1988	1988	\N	ED50	56	19	59.97	N	3	14	53.82	E	56.333300	3.248300	6243344.960000	515352.090000	31	2	7	U	35	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-36	6839	2/7-U-36	Phillips Petroleum Company Norway	018	BUCENTAUR	1997-10-18	1997-10-18	600-G	176.000000	72.000000	NORTH SEA	1997	1997	\N	ED50	56	22	30.60	N	3	15	53.08	E	56.375200	3.264700	6248006.060000	516352.010000	31	2	7	U	36	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/7-U-37	6840	2/7-U-37	Phillips Petroleum Company Norway	018	BUCENTAUR	1997-10-18	1997-10-19	601-G	153.000000	72.000000	NORTH SEA	1997	1997	\N	ED50	56	22	29.50	N	3	15	54.59	E	56.374900	3.265200	6247972.150000	516378.040000	31	2	7	U	37	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-37	6860	2/4-U-37	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-06-21	1994-06-22	602-G	140.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	51.47	N	3	13	6.56	E	56.547600	3.218500	6267192.950000	513434.010000	31	2	4	U	37	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-38	6861	2/4-U-38	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-06-23	1994-06-25	603-G	180.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	51.47	N	3	13	9.72	E	56.547600	3.219400	6267193.130000	513487.980000	31	2	4	U	38	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-39	6862	2/4-U-39	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-06-29	1994-06-30	604-G	180.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	56.15	N	3	13	12.91	E	56.548900	3.220300	6267338.000000	513542.000000	31	2	4	U	39	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-40	6863	2/4-U-40	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-07-02	1994-07-04	605-G	168.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	53.95	N	3	13	13.01	E	56.548300	3.220300	6267269.990000	513543.930000	31	2	4	U	40	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-41	6864	2/4-U-41	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-07-05	1994-07-06	606-G	163.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	55.28	N	3	13	11.09	E	56.548700	3.219700	6267311.000000	513511.000000	31	2	4	U	41	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-42	6865	2/4-U-42	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-07-07	1994-07-08	607-G	110.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	50.40	N	3	13	6.26	E	56.547300	3.218400	6267159.850000	513428.990000	31	2	4	U	42	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-43	6866	2/4-U-43	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-07-08	1994-07-09	608-G	167.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	50.34	N	3	13	6.85	E	56.547300	3.218600	6267158.030000	513439.070000	31	2	4	U	43	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-44	6867	2/4-U-44	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-06-28	1994-06-28	609-G	121.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	50.05	N	3	13	26.28	E	56.547200	3.224000	6267150.130000	513770.960000	31	2	4	U	44	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-45	6868	2/4-U-45	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-07-04	1994-07-05	610-G	140.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	48.11	N	3	13	25.22	E	56.546700	3.223700	6267090.090000	513753.050000	31	2	4	U	45	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-46	6869	2/4-U-46	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-06-25	1994-06-26	611-G	180.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	49.52	N	3	13	15.16	E	56.547100	3.220900	6267133.130000	513581.090000	31	2	4	U	46	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-47	6870	2/4-U-47	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-06-26	1994-06-28	612-G	181.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	49.57	N	3	13	20.19	E	56.547100	3.222300	6267134.950000	513666.990000	31	2	4	U	47	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-48	6871	2/4-U-48	Phillips Petroleum Company Norway	018	BUCENTAUR	1994-07-01	1994-07-02	613-G	165.000000	77.000000	NORTH SEA	1994	1994	\N	ED50	56	32	46.99	N	3	13	16.90	E	56.546400	3.221400	6267055.000000	513611.060000	31	2	4	U	48	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-49	6872	2/4-U-49	Phillips Petroleum Company Norway	018	BUCENTAUR	1996-02-11	1996-02-12	614-G	71.000000	102.000000	NORTH SEA	1996	1996	\N	ED50	56	29	25.54	N	3	19	48.70	E	56.490400	3.330200	6260853.120000	520332.920000	31	2	4	U	49	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-50	6873	2/4-U-50	Phillips Petroleum Company Norway	018	BUCENTAUR	2001-07-01	2001-07-01	615-G	104.000000	75.000000	NORTH SEA	2001	2001	\N	ED50	56	33	51.99	N	3	12	7.63	E	56.564400	3.202100	6269061.140000	512422.010000	31	2	4	U	50	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-51	6874	2/4-U-51	Phillips Petroleum Company Norway	018	BUCENTAUR	2001-07-03	2001-07-03	616-G	105.000000	76.000000	NORTH SEA	2001	2001	\N	ED50	56	33	47.26	N	3	12	12.00	E	56.563100	3.203300	6268915.110000	512497.050000	31	2	4	U	51	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-52	6875	2/4-U-52	Phillips Petroleum Company Norway	018	BUCENTAUR	2002-09-13	2002-09-14	617-G	142.000000	79.000000	NORTH SEA	2002	2002	\N	ED50	56	32	45.27	N	3	13	19.58	E	56.545900	3.222100	6267001.960000	513657.000000	31	2	4	U	52	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-53	6876	2/4-U-53	Phillips Petroleum Company Norway	018	BUCENTAUR	2002-09-13	2002-09-13	618-G	109.000000	79.000000	NORTH SEA	2002	2002	\N	ED50	56	32	43.16	N	3	13	24.95	E	56.545300	3.223600	6266937.020000	513748.940000	31	2	4	U	53	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-54	6877	2/4-U-54	Phillips Petroleum Company Norway	018	BUCENTAUR	2002-09-12	2002-09-12	619-G	143.000000	79.000000	NORTH SEA	2002	2002	\N	ED50	56	32	42.13	N	3	13	22.20	E	56.545000	3.222800	6266905.020000	513702.070000	31	2	4	U	54	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-55	6878	2/4-U-55	ConocoPhillips Skandinavia AS	018	FUGRO EXPLORER	2006-10-23	2006-10-23	620-G	98.000000	68.000000	NORTH SEA	2006	2006	\N	ED50	56	36	42.10	N	3	8	39.16	E	56.611700	3.144200	6274311.980000	508851.990000	31	2	4	U	55	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-56	6879	2/4-U-56	ConocoPhillips Skandinavia AS	018	FUGRO EXPLORER	2006-10-24	2006-10-24	621-G	99.000000	68.000000	NORTH SEA	2006	2006	\N	ED50	56	36	44.07	N	3	8	38.35	E	56.612200	3.144000	6274372.870000	508838.050000	31	2	4	U	56	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/4-U-57	6880	2/4-U-57	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2011-02-10	2011-02-11	622-G	117.000000	76.000000	NORTH SEA	2011	2011	\N	ED50	56	31	12.83	N	3	13	24.42	E	56.520200	3.223500	6264144.010000	513748.970000	31	2	4	U	57	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/7-U-19	6882	34/7-U-19	Statoil Petroleum AS	552	OCEAN VANGUARD	2012-05-06	2012-05-08	623-G	1120.000000	261.000000	NORTH SEA	2012	2012	3D survey: ST08M08-BIN. In-line 1632. X-line 5268	ED50	61	18	3.72	N	2	12	20.23	E	61.301000	2.205600	6796739.140000	457441.050000	31	34	7	U	19	\N	\N	2012-07-25	2012-07-25	2013-05-08
25/8-U-25	6884	25/8-U-25	Det norske oljeselskap ASA	169 C	TRANSOCEAN BARENTS	2012-05-07	2012-05-07	624-G	521.000000	127.000000	NORTH SEA	2012	2012	\N	ED50	59	24	13.06	N	2	22	6.39	E	59.403600	2.368400	6585320.410000	464139.630000	31	25	8	U	25	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-16	6889	34/3-U-16	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	625-G	0.000000	408.000000	NORTH SEA	0	0	\N	ED50	61	47	27.36	N	2	51	40.48	E	61.790900	2.861200	6851062.260000	492682.240000	31	34	3	U	16	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-17	6890	34/3-U-17	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	626-G	0.000000	408.000000	NORTH SEA	0	0	\N	ED50	61	45	58.49	N	2	50	23.40	E	61.766200	2.839800	6848314.770000	491546.280000	31	34	3	U	17	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-18	6891	34/3-U-18	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	627-G	0.000000	408.000000	NORTH SEA	0	0	\N	ED50	61	47	14.50	N	2	48	19.43	E	61.787400	2.805400	6850671.850000	489735.760000	31	34	3	U	18	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-19	6892	34/3-U-19	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	628-G	0.000000	410.000000	NORTH SEA	0	0	\N	ED50	61	48	43.21	N	2	46	24.65	E	61.812000	2.773500	6853422.430000	488063.660000	31	34	3	U	19	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-20	6893	34/3-U-20	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	629-G	0.000000	403.000000	NORTH SEA	0	0	\N	ED50	61	47	45.71	N	2	44	48.81	E	61.796000	2.746900	6851648.270000	486653.680000	31	34	3	U	20	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-21	6894	34/3-U-21	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	630-G	0.000000	410.000000	NORTH SEA	0	0	\N	ED50	61	48	42.13	N	2	46	38.65	E	61.811700	2.777400	6853388.300000	488268.500000	31	34	3	U	21	\N	\N	2012-07-25	2012-07-25	2013-05-08
34/3-U-22	6895	34/3-U-22	BG Norge AS	373 S	BUCENTAUR	9999-12-31	9999-12-31	631-G	0.000000	410.000000	NORTH SEA	0	0	\N	ED50	61	47	10.62	N	2	50	3.76	E	61.786300	2.834400	6850547.550000	491264.020000	31	34	3	U	22	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/10-U-3	6896	16/10-U-3	Talisman Energy Norge AS	568	BUCENTAUR	2012-05-04	2012-05-04	632-G	0.000000	83.000000	NORTH SEA	2012	2012	\N	ED50	58	0	5.16	N	2	7	54.85	E	58.001400	2.131900	6429345.530000	448687.830000	31	16	10	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/10-U-4	6897	16/10-U-4	Talisman Energy Norge AS	568	BUCENTAUR	2012-05-04	2012-05-04	633-G	0.000000	83.000000	NORTH SEA	2012	2012	\N	ED50	58	0	3.40	N	2	7	52.61	E	58.000900	2.131300	6429291.570000	448650.350000	31	16	10	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-4	6899	17/12-U-4	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	634-G	0.000000	118.000000	NORTH SEA	0	0	\N	ED50	58	11	47.73	N	3	57	19.78	E	58.196600	3.955500	6451142.740000	556170.280000	31	17	12	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-5	6900	17/12-U-5	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	635-G	0.000000	115.000000	NORTH SEA	0	0	\N	ED50	58	11	43.24	N	3	53	55.59	E	58.195300	3.898800	6450958.030000	552837.910000	31	17	12	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-6	6901	17/12-U-6	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	636-G	0.000000	115.000000	NORTH SEA	0	0	\N	ED50	58	11	42.63	N	3	53	59.72	E	58.195200	3.899900	6450940.060000	552905.600000	31	17	12	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-7	6902	17/12-U-7	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	637-G	0.000000	114.000000	NORTH SEA	0	0	\N	ED50	58	11	41.05	N	3	53	56.65	E	58.194700	3.899100	6450890.530000	552856.120000	31	17	12	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-8	6903	17/12-U-8	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	638-G	0.000000	114.000000	NORTH SEA	0	0	\N	ED50	58	11	40.15	N	3	53	49.58	E	58.194500	3.897100	6450861.160000	552741.040000	31	17	12	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-9	6904	17/12-U-9	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	639-G	0.000000	114.000000	NORTH SEA	0	0	\N	ED50	58	11	39.53	N	3	53	53.70	E	58.194300	3.898300	6450842.880000	552808.580000	31	17	12	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-10	6905	17/12-U-10	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	640-G	0.000000	114.000000	NORTH SEA	0	0	\N	ED50	58	11	37.95	N	3	53	50.63	E	58.193900	3.897400	6450793.350000	552759.090000	31	17	12	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-11	6906	17/12-U-11	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	641-G	0.000000	110.000000	NORTH SEA	0	0	\N	ED50	58	9	58.50	N	3	55	12.76	E	58.166300	3.920200	6447735.810000	554142.270000	31	17	12	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-12	6907	17/12-U-12	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	642-G	0.000000	116.000000	NORTH SEA	0	0	\N	ED50	58	12	31.95	N	3	54	34.98	E	58.208900	3.909700	6452473.080000	553460.800000	31	17	12	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-13	6908	17/12-U-13	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	643-G	0.000000	115.000000	NORTH SEA	0	0	\N	ED50	58	11	39.36	N	3	52	33.03	E	58.194300	3.875800	6450820.290000	551491.290000	31	17	12	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-14	6909	17/12-U-14	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	644-G	0.000000	115.000000	NORTH SEA	0	0	\N	ED50	58	10	22.95	N	3	54	21.03	E	58.173000	3.905800	6448480.510000	553286.700000	31	17	12	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-15	6910	17/12-U-15	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	645-G	0.000000	111.000000	NORTH SEA	0	0	\N	ED50	58	11	20.77	N	3	56	35.16	E	58.189100	3.943100	6450298.710000	555453.340000	31	17	12	U	15	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-16	6911	17/12-U-16	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	646-G	0.000000	113.000000	NORTH SEA	0	0	\N	ED50	58	11	22.70	N	3	54	49.48	E	58.189600	3.913700	6450334.630000	553726.520000	31	17	12	U	16	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-17	6912	17/12-U-17	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	647-G	0.000000	114.000000	NORTH SEA	0	0	\N	ED50	58	11	39.06	N	3	53	57.45	E	58.194200	3.899300	6450829.160000	552870.010000	31	17	12	U	17	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-18	6913	17/12-U-18	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	648-G	0.000000	114.000000	NORTH SEA	0	0	\N	ED50	58	11	28.46	N	3	54	28.59	E	58.191200	3.907900	6450508.160000	553382.940000	31	17	12	U	18	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-19	6914	17/12-U-19	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	649-G	0.000000	115.000000	NORTH SEA	0	0	\N	ED50	58	11	25.90	N	3	54	38.20	E	58.190500	3.910600	6450431.100000	553540.960000	31	17	12	U	19	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-20	6915	17/12-U-20	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	650-G	0.000000	113.000000	NORTH SEA	0	0	\N	ED50	58	11	18.18	N	3	55	1.62	E	58.188400	3.917100	6450197.530000	553926.700000	31	17	12	U	20	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-21	6916	17/12-U-21	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	651-G	0.000000	114.000000	NORTH SEA	0	0	\N	ED50	58	11	8.90	N	3	55	39.82	E	58.185800	3.927700	6449919.080000	554554.560000	31	17	12	U	21	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-22	6917	17/12-U-22	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	652-G	0.000000	116.000000	NORTH SEA	0	0	\N	ED50	58	11	26.36	N	3	56	56.74	E	58.190700	3.949100	6450476.530000	555803.360000	31	17	12	U	22	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-23	6918	17/12-U-23	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	653-G	0.000000	110.000000	NORTH SEA	0	0	\N	ED50	58	10	22.82	N	3	56	16.82	E	58.173000	3.938000	6448502.360000	555178.740000	31	17	12	U	23	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-24	6919	17/12-U-24	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	654-G	0.000000	106.000000	NORTH SEA	0	0	\N	ED50	58	10	4.15	N	3	55	38.15	E	58.167800	3.927300	6447916.230000	554554.820000	31	17	12	U	24	\N	\N	2012-07-25	2012-07-25	2013-05-08
17/12-U-25	6920	17/12-U-25	BG Norge AS	407	BUCENTAUR	9999-12-31	9999-12-31	655-G	0.000000	114.000000	NORTH SEA	0	0	\N	ED50	58	11	31.40	N	3	54	23.93	E	58.192100	3.906600	6450598.050000	553305.620000	31	17	12	U	25	\N	\N	2012-07-25	2012-07-25	2013-05-08
35/2-U-5	6922	35/2-U-5	Statoil Petroleum AS	318	SCARABEO 8	2012-05-19	2012-05-20	656-G	0.000000	351.000000	NORTH SEA	2012	2012	\N	ED50	61	49	1.94	N	3	35	13.28	E	61.817200	3.587000	6854120.920000	530931.940000	31	35	2	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-1	6941	2/11-U-1	BP Norge AS	033	BUCENTAUR	2012-06-09	2012-06-09	657-G	108.500000	71.500000	NORTH SEA	2012	2012	\N	ED50	56	11	34.17	N	3	28	9.57	E	56.192800	3.469300	6227777.830000	529126.180000	31	2	11	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-2	6942	2/11-U-2	BP Norge AS	033	BUCENTAUR	2012-06-14	2012-06-14	658-G	107.600000	71.500000	NORTH SEA	2012	2012	\N	ED50	56	11	34.77	N	3	28	6.51	E	56.193000	3.468500	6227796.020000	529073.300000	31	2	11	U	2	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-3	6943	2/11-U-3	BP Norge AS	033	BUCENTAUR	2012-06-14	2012-06-15	659-G	108.200000	71.500000	NORTH SEA	2012	2012	\N	ED50	56	11	35.89	N	3	28	8.59	E	56.193300	3.469100	6227830.890000	529108.920000	31	2	11	U	3	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-4	6944	2/11-U-4	BP Norge AS	033	BUCENTAUR	2012-06-11	2012-06-12	660-G	169.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	11	37.45	N	3	28	1.74	E	56.193700	3.467200	6227878.320000	528990.510000	31	2	11	U	4	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-5	6945	2/11-U-5	BP Norge AS	033	BUCENTAUR	2012-06-11	2012-06-11	661-G	75.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	11	37.60	N	3	28	1.77	E	56.193800	3.467200	6227882.960000	528991.000000	31	2	11	U	5	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-6	6946	2/11-U-6	BP Norge AS	033	BUCENTAUR	2012-06-09	2012-06-11	662-G	170.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	11	38.55	N	3	28	3.53	E	56.194000	3.467600	6227912.540000	529021.140000	31	2	11	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-7	6947	2/11-U-7	BP Norge AS	033	BUCENTAUR	2012-06-07	2012-06-09	663-G	173.000000	71.500000	NORTH SEA	2012	2012	\N	ED50	56	11	38.54	N	3	28	0.19	E	56.194000	3.466700	6227911.840000	528963.560000	31	2	11	U	7	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-8	6948	2/11-U-8	BP Norge AS	033	BUCENTAUR	2012-06-12	2012-06-14	664-G	168.500000	71.500000	NORTH SEA	2012	2012	\N	ED50	56	11	39.68	N	3	28	1.83	E	56.194400	3.467200	6227947.280000	528991.600000	31	2	11	U	8	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-9	6949	2/11-U-9	BP Norge AS	033	BUCENTAUR	2012-06-12	2012-06-12	665-G	74.500000	71.500000	NORTH SEA	2012	2012	\N	ED50	56	11	39.49	N	3	28	1.84	E	56.194300	3.467200	6227941.410000	528991.810000	31	2	11	U	9	\N	\N	2012-07-25	2012-07-25	2013-05-08
35/2-U-6	6958	35/2-U-6	Statoil Petroleum AS	318	SCARABEO 8	2012-05-30	2012-06-12	666-G	864.000000	351.000000	NORTH SEA	2012	2012	\N	ED50	61	49	0.70	N	3	35	13.30	E	61.816900	3.587000	6854082.550000	530932.580000	31	35	2	U	6	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-10	6966	2/11-U-10	BP Norge AS	033	BUCENTAUR	2012-06-14	2012-06-14	667-G	84.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	11	37.28	N	3	28	4.03	E	56.193700	3.467800	6227873.330000	529030.020000	31	2	11	U	10	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-11	6967	2/11-U-11	BP Norge AS	033	BUCENTAUR	2012-06-14	2012-06-14	668-G	99.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	11	37.42	N	3	28	3.84	E	56.193700	3.467700	6227877.640000	529026.720000	31	2	11	U	11	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-12	6968	2/11-U-12	BP Norge AS	033	BUCENTAUR	2012-06-07	2012-06-07	669-G	110.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	11	37.01	N	3	28	2.42	E	56.193600	3.467300	6227864.800000	529002.330000	31	2	11	U	12	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-13	6969	2/11-U-13	BP Norge AS	033	BUCENTAUR	2012-06-07	2012-06-07	670-G	109.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	11	38.16	N	3	28	4.56	E	56.193900	3.467900	6227900.600000	529038.970000	31	2	11	U	13	\N	\N	2012-07-25	2012-07-25	2013-05-08
2/11-U-14	6970	2/11-U-14	BP Norge AS	033	BUCENTAUR	2012-06-06	2012-06-07	671-G	113.500000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	11	36.48	N	3	28	5.39	E	56.193500	3.468200	6227848.760000	529053.630000	31	2	11	U	14	\N	\N	2012-07-25	2012-07-25	2013-05-08
7016/2-U-1	6992	7016/2-U-1	Eni Norge AS	529	SCARABEO 8	9999-12-31	9999-12-31	672-G	0.000000	1369.000000	BARENTS SEA	0	0	MC3D Troms III. Inline: Sitesurvey line 105	ED50	70	50	48.79	N	16	33	28.64	E	70.846900	16.558000	7861264.090000	557046.910000	33	7016	2	U	1	\N	\N	2012-07-25	2012-07-25	2013-05-08
16/2-U-14	6993	16/2-U-14	Statoil Petroleum AS	265	OCEAN VANGUARD	2012-09-10	2012-09-12	673-G	1050.000000	113.000000	NORTH SEA	2012	2012	Inline: 4389. Xline: 3363	ED50	58	50	25.00	N	2	31	2.22	E	58.840300	2.517300	6522517.550000	472137.250000	31	16	2	U	14	\N	\N	2013-05-01	2013-05-01	2013-05-08
16/2-U-13	7013	16/2-U-13	Lundin Norway AS	501	TRANSOCEAN ARCTIC	2012-07-23	2012-07-24	674-G	382.000000	116.000000	NORTH SEA	2012	2012	\N	ED50	58	49	59.50	N	2	39	12.25	E	58.833200	2.653400	6521680.150000	479990.030000	31	16	2	U	13	\N	\N	2012-08-21	2012-08-21	2013-05-08
7220/10-U-1	7014	7220/10-U-1	Eni Norge AS	533	SCARABEO 8	9999-12-31	9999-12-31	675-G	0.000000	341.000000	BARENTS SEA	0	0	Line EN1002-111 Shotpoint 350	ED50	72	0	57.37	N	20	3	30.27	E	72.015900	20.058400	7998244.960000	674143.220000	33	7220	10	U	1	\N	\N	2012-07-28	2012-07-28	2013-05-08
34/7-U-20	7016	34/7-U-20	Statoil Petroleum AS	089	BIDEFORD DOLPHIN	9999-12-31	9999-12-31	676-G	0.000000	202.000000	NORTH SEA	0	0	\N	ED50	61	16	34.56	N	2	7	15.37	E	61.276300	2.120900	6794038.570000	452867.200000	31	34	7	U	20	\N	\N	2012-08-21	2012-08-21	2013-05-08
2/1-U-15	7031	2/1-U-15	Det norske oljeselskap ASA	542	BUCENTAUR	9999-12-31	9999-12-31	677-G	0.000000	70.000000	NORTH SEA	0	0	\N	ED50	56	52	58.00	N	3	12	45.10	E	56.882800	3.212500	6304498.530000	512951.800000	31	2	1	U	15	\N	\N	2012-09-04	2012-09-04	2013-05-08
2/1-U-16	7032	2/1-U-16	Det norske oljeselskap ASA	542	BUCENTAUR	9999-12-31	9999-12-31	678-G	0.000000	70.000000	NORTH SEA	0	0	\N	ED50	56	52	59.50	N	3	12	47.90	E	56.883200	3.213300	6304545.060000	512999.060000	31	2	1	U	16	\N	\N	2012-09-04	2012-09-04	2013-05-08
2/1-U-17	7033	2/1-U-17	Det norske oljeselskap ASA	542	BUCENTAUR	9999-12-31	9999-12-31	679-G	0.000000	70.000000	NORTH SEA	0	0	\N	ED50	56	53	0.00	N	3	12	44.10	E	56.883300	3.212300	6304560.320000	512934.680000	31	2	1	U	17	\N	\N	2012-09-04	2012-09-04	2013-05-08
25/11-U-46	7048	25/11-U-46	Statoil Petroleum AS	169	BUCENTAUR	2011-10-13	2011-10-13	680-G	180.000000	125.800000	NORTH SEA	2011	2011	\N	ED50	59	8	35.57	N	2	24	28.61	E	59.143200	2.407900	6556300.840000	466125.150000	31	25	11	U	46	\N	\N	2012-09-22	2012-09-22	2013-05-08
25/11-U-47	7049	25/11-U-47	Statoil Petroleum AS	169	BUCENTAUR	2011-10-14	2011-10-14	681-G	158.000000	126.000000	NORTH SEA	2011	2011	\N	ED50	59	8	36.32	N	2	24	30.06	E	59.143400	2.408400	6556323.840000	466148.400000	31	25	11	U	47	\N	\N	2012-09-22	2012-09-22	2013-05-08
35/11-U-1	7050	35/11-U-1	Statoil Petroleum AS	090	BUCENTAUR	2012-01-30	2012-01-30	682-G	388.000000	360.800000	NORTH SEA	2012	2012	\N	ED50	61	7	39.03	N	3	32	47.67	E	61.127500	3.546600	6777273.870000	529444.640000	31	35	11	U	1	\N	\N	2012-09-22	2012-09-22	2013-05-08
7122/7-U-8	7052	7122/7-U-8	Eni Norge AS	229	SCARABEO 8	9999-12-31	9999-12-31	683-G	0.000000	382.000000	BARENTS SEA	0	0	EN0901. xline 1875. inline 2787.	ED50	71	16	12.67	N	22	19	23.62	E	71.270200	22.323200	7908263.170000	547422.010000	34	7122	7	U	8	\N	\N	2012-10-09	2012-10-09	2013-05-08
2/7-U-38	7065	2/7-U-38	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2012-11-21	2012-11-22	684-G	113.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	22	4.00	N	3	16	43.40	E	56.367800	3.278700	6247187.020000	517218.680000	31	2	7	U	38	\N	\N	2013-04-27	2013-04-27	2013-05-08
2/7-U-39	7066	2/7-U-39	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2012-11-23	2012-11-24	685-G	113.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	22	3.79	N	3	16	39.38	E	56.367700	3.277600	6247180.250000	517149.720000	31	2	7	U	39	\N	\N	2013-04-27	2013-04-27	2013-05-08
2/7-U-40	7067	2/7-U-40	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2012-11-24	2012-11-24	686-G	114.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	22	5.82	N	3	16	41.03	E	56.368300	3.278100	6247243.130000	517177.780000	31	2	7	U	40	\N	\N	2013-04-27	2013-04-27	2013-05-08
2/7-U-41	7068	2/7-U-41	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2012-11-24	2012-11-25	687-G	112.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	22	25.92	N	3	14	31.47	E	56.373900	3.242100	6247856.200000	514952.330000	31	2	7	U	41	\N	\N	2013-04-27	2013-04-27	2013-05-08
2/7-U-42	7069	2/7-U-42	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2012-11-26	2012-11-26	688-G	111.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	22	25.80	N	3	14	27.38	E	56.373800	3.240900	6247852.240000	514882.170000	31	2	7	U	42	\N	\N	2013-04-27	2013-04-27	2013-05-08
2/7-U-43	7070	2/7-U-43	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2012-11-26	2012-11-27	689-G	112.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	22	27.88	N	3	14	29.07	E	56.374400	3.241400	6247916.660000	514910.940000	31	2	7	U	43	\N	\N	2013-04-27	2013-04-27	2013-05-08
34/8-U-4	7071	34/8-U-4	Statoil Petroleum AS	120	COSLPioneer	9999-12-31	9999-12-31	690-G	0.000000	378.000000	NORTH SEA	0	0	IL/XL 2383/1609	ED50	61	26	7.37	N	2	35	22.79	E	61.435400	2.589700	6811514.870000	478110.040000	31	34	8	U	4	\N	\N	2012-11-17	2012-11-17	2013-05-08
2/7-U-44	7081	2/7-U-44	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2012-11-27	2012-11-28	691-G	113.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	22	26.11	N	3	15	36.50	E	56.373900	3.260100	6247866.150000	516068.070000	31	2	7	U	44	\N	\N	2013-04-27	2013-04-27	2013-05-08
2/7-U-45	7082	2/7-U-45	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2012-11-28	2012-11-28	692-G	112.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	22	26.27	N	3	15	40.35	E	56.374000	3.261200	6247871.340000	516134.110000	31	2	7	U	45	\N	\N	2013-04-27	2013-04-27	2013-05-08
2/7-U-46	7083	2/7-U-46	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2012-11-28	2012-11-29	693-G	113.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	22	25.19	N	3	15	40.42	E	56.373700	3.261200	6247837.960000	516135.430000	31	2	7	U	46	\N	\N	2013-04-27	2013-04-27	2013-05-08
2/7-U-47	7084	2/7-U-47	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2012-11-29	2012-11-29	694-G	113.000000	72.000000	NORTH SEA	2012	2012	\N	ED50	56	22	24.95	N	3	15	36.70	E	56.373600	3.260200	6247830.290000	516071.640000	31	2	7	U	47	\N	\N	2013-04-27	2013-04-27	2013-05-08
4/4-U-1	7100	4/4-U-1	Repsol Exploration Norge AS	541	BUCENTAUR	2012-12-11	2012-12-12	695-G	124.000000	61.900000	NORTH SEA	2012	2012	RE12300-D-007	ED50	56	38	8.65	N	5	8	11.57	E	56.635700	5.136500	6279019.940000	631050.610000	31	4	4	U	1	\N	\N	2013-01-09	2013-01-09	2013-05-08
4/4-U-2	7101	4/4-U-2	Repsol Exploration Norge AS	541	BUCENTAUR	2012-12-11	2012-12-11	696-G	108.000000	62.100000	NORTH SEA	2012	2012	RE12300-D-026	ED50	56	38	10.02	N	5	8	12.12	E	56.636100	5.136700	6279062.580000	631058.660000	31	4	4	U	2	\N	\N	2013-01-09	2013-01-09	2013-05-08
4/4-U-3	7102	4/4-U-3	Repsol Exploration Norge AS	541	BUCENTAUR	2012-12-06	2012-12-06	697-G	85.000000	61.800000	NORTH SEA	2012	2012	RE12300-D-024	ED50	56	38	8.47	N	5	8	9.13	E	56.635700	5.135900	6279013.080000	631009.220000	31	4	4	U	3	\N	\N	2013-01-09	2013-01-09	2013-05-08
4/4-U-4	7103	4/4-U-4	Repsol Exploration Norge AS	541	BUCENTAUR	2012-12-12	2012-12-13	698-G	94.000000	61.900000	NORTH SEA	2012	2012	RE12300-D-009	ED50	56	38	10.58	N	5	8	8.30	E	56.636300	5.135600	6279077.860000	630993.050000	31	4	4	U	4	\N	\N	2013-01-09	2013-01-09	2013-05-08
2/7-U-48	7104	2/7-U-48	ConocoPhillips Skandinavia AS	018	BUCENTAUR	2012-11-29	2012-11-29	699-G	98.000000	73.000000	NORTH SEA	2012	2012	\N	ED50	56	22	25.88	N	3	15	36.08	E	56.373900	3.260000	6247859.010000	516060.890000	31	2	7	U	48	\N	\N	2013-04-27	2013-04-27	2013-05-08
6506/6-U-1	7111	6506/6-U-1	Maersk Oil Norway AS	513	TRANSOCEAN BARENTS	2012-12-06	2012-12-08	700-G	1274.000000	449.000000	NORWEGIAN SEA	2012	2012	\N	ED50	65	38	18.57	N	6	51	55.59	E	65.638500	6.865400	7281467.080000	401760.260000	32	6506	6	U	1	\N	\N	2012-12-16	2012-12-16	2013-05-08
7218/11-U-1	7119	7218/11-U-1	Repsol Exploration Norge AS	531	TRANSOCEAN BARENTS	2013-03-02	2013-03-04	701-G	0.000000	325.000000	BARENTS SEA	2013	2013	EL0001 PSTM 3D. X-line 3372. In-line 1011	ED50	72	5	28.80	N	18	26	0.30	E	72.091300	18.433400	8002697.470000	617788.240000	33	7218	11	U	1	\N	\N	2013-03-07	2013-03-07	2013-05-08
16/5-U-1	7130	16/5-U-1	Statoil Petroleum AS	502	OCEAN VANGUARD	9999-12-31	9999-12-31	702-G	0.000000	108.000000	NORTH SEA	0	0	LN0902STR11: INLINE 4835 XLINE 2875	ED50	58	43	53.95	N	2	33	27.19	E	58.731700	2.557600	6510406.090000	474381.730000	31	16	5	U	1	\N	\N	2013-01-26	2013-01-26	2013-05-08
16/2-U-17	7144	16/2-U-17	Statoil Petroleum AS	265	OCEAN VANGUARD	2013-03-22	2013-03-24	703-G	409.000000	111.000000	NORTH SEA	2013	2013	\N	ED50	58	48	16.00	N	2	31	47.30	E	58.804400	2.529800	6518522.350000	472832.020000	31	16	2	U	17	\N	\N	2013-05-01	2013-05-01	2013-05-08
31/3-U-1	7185	31/3-U-1	Tullow Oil Norge AS	551	TRANSOCEAN BARENTS	9999-12-31	9999-12-31	704-G	0.000000	348.000000	NORTH SEA	0	0	NH9401 WIM11: IL 3674.  XL 4904	ED50	60	57	50.97	N	3	41	17.51	E	60.964200	3.688200	6759150.980000	537265.050000	31	31	3	U	1	\N	\N	2013-04-27	2013-04-27	2013-05-08
\.



COPY wlbpoint (wlbnpdidwellbore, wlbwellname, wlbwellborename, wlbfield, wlbproductionlicence, wlbwelltype, wlbdrillingoperator, wlbmultilateral, wlbdrillingfacility, wlbproductionfacility, wlbentrydate, wlbcompletiondate, wlbcontent, wlbstatus, wlbsymbol, wlbpurpose, wlbwaterdepth, wlbfactpageurl, wlbfactmapurl, wlbdiscoverywellbore) FROM stdin;
2	1/3-4	1/3-4	\N	065	EXPLORATION	Elf Petroleum Norge AS	NO	DYVI ALPHA	\N	1983-02-15	1983-05-08	OIL SHOWS	P&A	12	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2	http://www.npd.no/FactMapSearch?NPDID_wellbore=2	NO
3	2/2-3	2/2-3	\N	066	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1983-02-04	1983-05-11	DRY	P&A	1	WILDCAT	65.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3	http://www.npd.no/FactMapSearch?NPDID_wellbore=3	NO
4	30/6-12	30/6-12	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1983-02-20	1983-03-09	DRY	JUNKED	1	APPRAISAL	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4	http://www.npd.no/FactMapSearch?NPDID_wellbore=4	NO
5	34/10-17	34/10-17	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1983-02-22	1983-07-08	OIL/GAS	P&A	13	WILDCAT	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5	http://www.npd.no/FactMapSearch?NPDID_wellbore=5	YES
6	31/2-11	31/2-11	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1983-03-17	1983-05-25	OIL/GAS	P&A	13	APPRAISAL	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6	http://www.npd.no/FactMapSearch?NPDID_wellbore=6	NO
7	30/6-13	30/6-13	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1983-03-11	1983-05-14	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7	http://www.npd.no/FactMapSearch?NPDID_wellbore=7	NO
8	7120/12-3	7120/12-3	\N	061	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1983-03-16	1983-05-05	GAS	P&A	9	WILDCAT	185.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=8	http://www.npd.no/FactMapSearch?NPDID_wellbore=8	YES
9	7120/8-3	7120/8-3	SNØHVIT	064	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1983-04-07	1983-05-24	SHOWS	P&A	12	APPRAISAL	280.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=9	http://www.npd.no/FactMapSearch?NPDID_wellbore=9	NO
10	30/3-3	30/3-3	\N	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1983-04-01	1983-05-30	DRY	P&A	1	WILDCAT	186.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=10	http://www.npd.no/FactMapSearch?NPDID_wellbore=10	NO
11	30/9-2	30/9-2	OSEBERG	079	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1983-04-01	1983-07-12	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=11	http://www.npd.no/FactMapSearch?NPDID_wellbore=11	NO
12	6610/7-1	6610/7-1	\N	084	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORDRAUG	\N	1983-04-18	1983-06-19	SHOWS	P&A	12	WILDCAT	265.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=12	http://www.npd.no/FactMapSearch?NPDID_wellbore=12	NO
13	7117/9-2	7117/9-2	\N	063	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1983-05-07	1983-09-09	DRY	P&A	1	WILDCAT	271.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=13	http://www.npd.no/FactMapSearch?NPDID_wellbore=13	NO
14	31/2-12	31/2-12	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1983-05-26	1983-09-08	OIL/GAS	P&A	13	APPRAISAL	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=14	http://www.npd.no/FactMapSearch?NPDID_wellbore=14	NO
15	6609/11-1	6609/11-1	\N	083	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1983-05-19	1983-07-07	DRY	P&A	1	WILDCAT	238.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=15	http://www.npd.no/FactMapSearch?NPDID_wellbore=15	NO
16	6407/2-2	6407/2-2	ÅSGARD	074	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1983-05-17	1983-07-31	GAS/CONDENSATE	P&A	17	APPRAISAL	258.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=16	http://www.npd.no/FactMapSearch?NPDID_wellbore=16	NO
17	7119/12-3	7119/12-3	\N	060	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1983-05-20	1983-09-12	GAS/CONDENSATE	P&A	17	WILDCAT	211.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=17	http://www.npd.no/FactMapSearch?NPDID_wellbore=17	YES
18	7120/7-2	7120/7-2	SNØHVIT	077	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1983-05-26	1983-08-21	GAS/CONDENSATE	P&A	17	WILDCAT	241.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=18	http://www.npd.no/FactMapSearch?NPDID_wellbore=18	YES
19	6609/7-1	6609/7-1	\N	081	EXPLORATION	Phillips Petroleum Company Norway	NO	NORDRAUG	\N	1983-06-21	1983-08-03	DRY	P&A	1	WILDCAT	250.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=19	http://www.npd.no/FactMapSearch?NPDID_wellbore=19	NO
20	31/3-1	31/3-1	TROLL	085	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1983-07-17	1983-10-13	GAS	P&A	9	APPRAISAL	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=20	http://www.npd.no/FactMapSearch?NPDID_wellbore=20	NO
21	7119/7-1	7119/7-1	\N	076	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1983-07-12	1983-09-11	DRY	P&A	1	WILDCAT	238.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=21	http://www.npd.no/FactMapSearch?NPDID_wellbore=21	NO
22	31/6-1	31/6-1	TROLL	085	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1983-07-15	1983-10-28	OIL/GAS	P&A	13	WILDCAT	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=22	http://www.npd.no/FactMapSearch?NPDID_wellbore=22	YES
23	34/10-18	34/10-18	\N	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1983-07-16	1983-08-30	SHOWS	P&A	12	WILDCAT	141.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=23	http://www.npd.no/FactMapSearch?NPDID_wellbore=23	NO
24	6609/10-1	6609/10-1	\N	082	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1983-08-02	1983-08-29	DRY	P&A	1	WILDCAT	262.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=24	http://www.npd.no/FactMapSearch?NPDID_wellbore=24	NO
25	2/5-7	2/5-7	\N	067	EXPLORATION	A/S Norske Shell	NO	NEDDRILL TRIGON	\N	1983-08-11	1984-02-24	OIL	P&A	5	WILDCAT	65.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=25	http://www.npd.no/FactMapSearch?NPDID_wellbore=25	YES
26	6610/7-2	6610/7-2	\N	084	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1983-08-28	1984-03-14	DRY	P&A	1	WILDCAT	235.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=26	http://www.npd.no/FactMapSearch?NPDID_wellbore=26	NO
305	9/4-4	9/4-4	\N	013	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA SAGA	\N	1977-07-19	1977-08-20	DRY	P&A	1	WILDCAT	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=305	http://www.npd.no/FactMapSearch?NPDID_wellbore=305	NO
27	31/5-1	31/5-1	TROLL	085	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1983-09-05	1983-09-30	DRY	JUNKED	1	APPRAISAL	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=27	http://www.npd.no/FactMapSearch?NPDID_wellbore=27	NO
28	7/8-3	7/8-3	\N	069	EXPLORATION	Conoco Norway Inc.	NO	BORGNY DOLPHIN	\N	1983-09-12	1983-12-12	OIL	P&A	5	WILDCAT	81.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=28	http://www.npd.no/FactMapSearch?NPDID_wellbore=28	YES
29	6407/1-3	6407/1-3	TYRIHANS	073	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1983-09-17	1984-01-16	OIL/GAS	P&A	13	WILDCAT	286.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=29	http://www.npd.no/FactMapSearch?NPDID_wellbore=29	YES
30	7/11-8	7/11-8	\N	070	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1983-09-22	1983-12-12	DRY	P&A	1	WILDCAT	79.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=30	http://www.npd.no/FactMapSearch?NPDID_wellbore=30	NO
31	29/9-1	29/9-1	MARTIN LINGE	040	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1983-09-23	1984-02-24	OIL/GAS	P&A	13	APPRAISAL	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=31	http://www.npd.no/FactMapSearch?NPDID_wellbore=31	NO
32	31/5-2	31/5-2	TROLL	085	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1983-10-05	1983-11-11	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=32	http://www.npd.no/FactMapSearch?NPDID_wellbore=32	NO
33	34/10-19	34/10-19	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1983-10-05	1983-12-06	DRY	P&A	1	APPRAISAL	193.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=33	http://www.npd.no/FactMapSearch?NPDID_wellbore=33	NO
34	31/6-2	31/6-2	TROLL	085	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1983-10-18	1983-12-11	GAS	SUSP.REENTERED LATER	9	APPRAISAL	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=34	http://www.npd.no/FactMapSearch?NPDID_wellbore=34	NO
35	31/6-3	31/6-3	\N	085	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1983-11-01	1983-12-26	DRY	P&A	1	WILDCAT	301.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=35	http://www.npd.no/FactMapSearch?NPDID_wellbore=35	NO
36	15/9-18	15/9-18	\N	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1983-12-16	1984-03-02	SHOWS	P&A	12	WILDCAT	97.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=36	http://www.npd.no/FactMapSearch?NPDID_wellbore=36	NO
37	34/4-5	34/4-5	\N	057	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1983-11-13	1984-04-06	OIL	P&A	5	WILDCAT	379.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=37	http://www.npd.no/FactMapSearch?NPDID_wellbore=37	YES
38	15/6-6	15/6-6	SLEIPNER VEST	029	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1982-04-01	1982-06-09	GAS/CONDENSATE	P&A	17	APPRAISAL	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=38	http://www.npd.no/FactMapSearch?NPDID_wellbore=38	NO
39	30/6-6	30/6-6	OSEBERG	053	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1982-01-09	1982-03-24	DRY	P&A	1	APPRAISAL	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=39	http://www.npd.no/FactMapSearch?NPDID_wellbore=39	NO
40	16/7-2	16/7-2	\N	072	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1982-01-11	1982-03-30	GAS	P&A	9	WILDCAT	83.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=40	http://www.npd.no/FactMapSearch?NPDID_wellbore=40	YES
41	34/4-4	34/4-4	SNORRE	057	EXPLORATION	Saga Petroleum ASA	NO	DYVI ALPHA	\N	1982-09-11	1983-02-03	OIL	P&A	5	APPRAISAL	345.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=41	http://www.npd.no/FactMapSearch?NPDID_wellbore=41	NO
42	7/11-5	7/11-5	MIME	070	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1982-02-09	1982-06-10	OIL	P&A	5	WILDCAT	80.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=42	http://www.npd.no/FactMapSearch?NPDID_wellbore=42	YES
43	31/4-6	31/4-6	BRAGE	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1982-02-28	1982-04-20	OIL/GAS	P&A	13	APPRAISAL	130.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=43	http://www.npd.no/FactMapSearch?NPDID_wellbore=43	NO
44	1/9-6	1/9-6 S	TOMMELITEN GAMMA	044	EXPLORATION	Den norske stats oljeselskap a.s	NO	SEDCO 703	\N	1982-03-21	1982-12-01	GAS/CONDENSATE	SUSP.REENTERED LATER	17	APPRAISAL	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=44	http://www.npd.no/FactMapSearch?NPDID_wellbore=44	NO
45	15/9-13	15/9-13	SLEIPNER ØST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1982-03-21	1982-05-27	GAS/CONDENSATE	P&A	17	APPRAISAL	81.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=45	http://www.npd.no/FactMapSearch?NPDID_wellbore=45	NO
46	2/2-1	2/2-1	\N	066	EXPLORATION	Saga Petroleum ASA	NO	DYVI ALPHA	\N	1982-04-09	1982-07-03	OIL/GAS	P&A	13	WILDCAT	59.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=46	http://www.npd.no/FactMapSearch?NPDID_wellbore=46	YES
47	25/2-7	25/2-7	\N	026	EXPLORATION	Elf Petroleum Norge AS	NO	BORGSTEN DOLPHIN	\N	1982-04-01	1982-07-12	SHOWS	P&A	12	WILDCAT	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=47	http://www.npd.no/FactMapSearch?NPDID_wellbore=47	NO
48	2/1-4	2/1-4	GYDA	019 B	EXPLORATION	BP Petroleum Dev. of Norway AS	NO	ALADDIN	\N	1982-04-05	1982-08-03	OIL	P&A	5	APPRAISAL	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=48	http://www.npd.no/FactMapSearch?NPDID_wellbore=48	NO
49	7117/9-1	7117/9-1	\N	063	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1982-04-20	1982-07-16	DRY	P&A	1	WILDCAT	261.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=49	http://www.npd.no/FactMapSearch?NPDID_wellbore=49	NO
50	7120/8-2	7120/8-2	SNØHVIT	064	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORDRAUG	\N	1982-04-15	1982-07-29	GAS	P&A	9	APPRAISAL	245.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=50	http://www.npd.no/FactMapSearch?NPDID_wellbore=50	NO
51	6507/11-2	6507/11-2	\N	062	EXPLORATION	Saga Petroleum ASA	NO	WEST VENTURE OLD	\N	1982-04-18	1982-05-30	DRY	P&A	1	WILDCAT	243.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=51	http://www.npd.no/FactMapSearch?NPDID_wellbore=51	NO
998	34/3-U-1	34/3-U-1	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=998	\N	NO
52	15/3-5	15/3-5	\N	025	EXPLORATION	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	\N	1983-12-28	1984-05-13	OIL	P&A	5	APPRAISAL	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=52	http://www.npd.no/FactMapSearch?NPDID_wellbore=52	NO
53	30/6-14	30/6-14	OSEBERG ØST	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1983-12-17	1984-02-08	OIL	P&A	5	WILDCAT	148.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=53	http://www.npd.no/FactMapSearch?NPDID_wellbore=53	YES
54	2/1-A-3	2/1-A-3	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	VILDKAT EXPLORER	GYDA	1988-09-26	1990-09-19	WATER	INJECTING	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=54	http://www.npd.no/FactMapSearch?NPDID_wellbore=54	NO
55	30/9-3	30/9-3	OSEBERG SØR	079	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1983-12-31	1984-02-26	OIL	P&A	5	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=55	http://www.npd.no/FactMapSearch?NPDID_wellbore=55	YES
56	30/6-10	30/6-10 A	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1982-12-02	1983-03-04	OIL/GAS	P&A	13	APPRAISAL	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=56	http://www.npd.no/FactMapSearch?NPDID_wellbore=56	NO
57	7/11-7	7/11-7	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	COD	\N	1982-12-29	1983-12-25	OIL	SUSP.REENTERED LATER	5	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=57	http://www.npd.no/FactMapSearch?NPDID_wellbore=57	YES
58	30/6-11	30/6-11	\N	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1982-12-20	1983-03-30	SHOWS	P&A	12	WILDCAT	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=58	http://www.npd.no/FactMapSearch?NPDID_wellbore=58	NO
59	34/10-16	34/10-16	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORDRAUG	\N	1982-12-14	1983-04-11	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	138.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=59	http://www.npd.no/FactMapSearch?NPDID_wellbore=59	NO
60	15/9-17	15/9-17	SLEIPNER ØST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1982-12-09	1983-03-30	GAS/CONDENSATE	P&A	17	WILDCAT	86.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=60	http://www.npd.no/FactMapSearch?NPDID_wellbore=60	YES
61	6407/1-2	6407/1-2	TYRIHANS	073	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1982-11-13	1983-05-15	GAS/CONDENSATE	P&A	17	WILDCAT	273.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=61	http://www.npd.no/FactMapSearch?NPDID_wellbore=61	YES
62	30/11-3	30/11-3	\N	035	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1982-11-17	1983-03-14	OIL SHOWS	P&A	12	WILDCAT	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=62	http://www.npd.no/FactMapSearch?NPDID_wellbore=62	NO
63	2/1-5	2/1-5	\N	019 B	EXPLORATION	BP Norway Limited  U.A.	NO	SEDCO 707	\N	1982-11-13	1983-04-05	OIL	P&A	5	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=63	http://www.npd.no/FactMapSearch?NPDID_wellbore=63	NO
64	2/6-3	2/6-3	\N	008	EXPLORATION	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	\N	1982-11-09	1983-02-25	DRY	P&A	1	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=64	http://www.npd.no/FactMapSearch?NPDID_wellbore=64	NO
65	30/9-1	30/9-1	OSEBERG	079	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1982-10-24	1983-01-29	OIL/GAS	P&A	13	APPRAISAL	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=65	http://www.npd.no/FactMapSearch?NPDID_wellbore=65	NO
66	6407/1-1	6407/1-1	\N	073	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1982-10-19	1982-11-13	DRY	JUNKED	1	WILDCAT	273.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=66	http://www.npd.no/FactMapSearch?NPDID_wellbore=66	NO
67	34/10-15	34/10-15	\N	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORDRAUG	\N	1982-10-16	1982-12-12	DRY	P&A	1	WILDCAT	164.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=67	http://www.npd.no/FactMapSearch?NPDID_wellbore=67	NO
68	6507/11-1	6507/11-1	ÅSGARD	062	EXPLORATION	Saga Petroleum ASA	NO	WEST VENTURE OLD	\N	1981-09-13	1981-12-10	GAS/CONDENSATE	P&A	17	WILDCAT	298.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=68	http://www.npd.no/FactMapSearch?NPDID_wellbore=68	YES
69	15/9-10	15/9-10	\N	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORDRAUG	\N	1981-09-15	1981-11-07	DRY	P&A	1	WILDCAT	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=69	http://www.npd.no/FactMapSearch?NPDID_wellbore=69	NO
70	31/2-7	31/2-7	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1982-04-22	1982-06-14	OIL/GAS	P&A	13	APPRAISAL	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=70	http://www.npd.no/FactMapSearch?NPDID_wellbore=70	NO
71	15/9-14	15/9-14	\N	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1982-05-01	1982-06-27	DRY	P&A	1	WILDCAT	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=71	http://www.npd.no/FactMapSearch?NPDID_wellbore=71	NO
72	30/2-1	30/2-1	HULDRA	051	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1982-05-17	1982-10-12	GAS/CONDENSATE	SUSP.REENTERED LATER	17	WILDCAT	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=72	http://www.npd.no/FactMapSearch?NPDID_wellbore=72	YES
73	30/6-7	30/6-7	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1982-05-20	1982-08-24	OIL/GAS	P&A	13	APPRAISAL	114.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=73	http://www.npd.no/FactMapSearch?NPDID_wellbore=73	NO
74	15/9-15	15/9-15	GUNGNE	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1982-05-28	1982-08-01	GAS/CONDENSATE	P&A	17	WILDCAT	83.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=74	http://www.npd.no/FactMapSearch?NPDID_wellbore=74	YES
75	16/7-3	16/7-3	\N	072	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1982-06-11	1982-07-27	DRY	P&A	1	WILDCAT	85.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=75	http://www.npd.no/FactMapSearch?NPDID_wellbore=75	NO
76	6407/2-1	6407/2-1	\N	074	EXPLORATION	Saga Petroleum ASA	NO	WEST VENTURE OLD	\N	1982-06-03	1982-08-06	SHOWS	P&A	12	WILDCAT	266.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=76	http://www.npd.no/FactMapSearch?NPDID_wellbore=76	NO
999	34/3-U-2	34/3-U-2	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=999	\N	NO
77	30/6-8	30/6-8	\N	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1982-06-15	1982-08-06	DRY	P&A	1	WILDCAT	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=77	http://www.npd.no/FactMapSearch?NPDID_wellbore=77	NO
78	31/2-8	31/2-8	\N	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1982-06-16	1982-08-18	OIL SHOWS	P&A	12	WILDCAT	345.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=78	http://www.npd.no/FactMapSearch?NPDID_wellbore=78	NO
79	15/9-16	15/9-16	SLEIPNER ØST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1982-06-28	1982-08-24	GAS/CONDENSATE	P&A	17	APPRAISAL	85.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=79	http://www.npd.no/FactMapSearch?NPDID_wellbore=79	NO
80	2/2-2	2/2-2	\N	066	EXPLORATION	Saga Petroleum ASA	NO	DYVI ALPHA	\N	1982-07-04	1982-08-27	GAS	P&A	9	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=80	http://www.npd.no/FactMapSearch?NPDID_wellbore=80	YES
81	6507/10-1	6507/10-1	\N	075	EXPLORATION	BP Norway Limited  U.A.	NO	SEDCO 707	\N	1982-07-10	1982-10-31	DRY	P&A	1	WILDCAT	297.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=81	http://www.npd.no/FactMapSearch?NPDID_wellbore=81	NO
82	7120/9-1	7120/9-1	SNØHVIT	078	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1982-07-25	1982-09-26	GAS	P&A	9	WILDCAT	320.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=82	http://www.npd.no/FactMapSearch?NPDID_wellbore=82	YES
83	30/6-9	30/6-9	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1982-08-28	1982-12-16	OIL/GAS	SUSP.REENTERED LATER	13	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=83	http://www.npd.no/FactMapSearch?NPDID_wellbore=83	YES
84	16/1-3	16/1-3	\N	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1982-07-29	1982-09-27	OIL SHOWS	P&A	12	WILDCAT	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=84	http://www.npd.no/FactMapSearch?NPDID_wellbore=84	NO
85	7120/7-1	7120/7-1	SNØHVIT	077	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORDRAUG	\N	1982-07-31	1982-10-08	GAS	P&A	9	WILDCAT	233.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=85	http://www.npd.no/FactMapSearch?NPDID_wellbore=85	YES
86	7/11-6	7/11-6	\N	070	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1982-08-09	1982-10-20	SHOWS	P&A	12	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=86	http://www.npd.no/FactMapSearch?NPDID_wellbore=86	NO
87	1/3-3	1/3-3	TAMBAR	065	EXPLORATION	Elf Petroleum Norge AS	NO	BORGSTEN DOLPHIN	\N	1982-08-22	1983-03-24	OIL	P&A	5	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=87	http://www.npd.no/FactMapSearch?NPDID_wellbore=87	YES
88	31/2-9	31/2-9	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1982-08-29	1982-10-01	OIL/GAS	P&A	13	APPRAISAL	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=88	http://www.npd.no/FactMapSearch?NPDID_wellbore=88	NO
89	8/3-2	8/3-2	\N	071	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1982-10-04	1982-12-04	DRY	P&A	1	WILDCAT	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=89	http://www.npd.no/FactMapSearch?NPDID_wellbore=89	NO
90	31/2-10	31/2-10	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1982-10-02	1982-10-31	DRY	P&A	1	APPRAISAL	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=90	http://www.npd.no/FactMapSearch?NPDID_wellbore=90	NO
91	16/7-4	16/7-4	SIGYN	072	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1982-10-15	1982-12-06	GAS/CONDENSATE	P&A	17	WILDCAT	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=91	http://www.npd.no/FactMapSearch?NPDID_wellbore=91	YES
92	30/6-10	30/6-10	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1982-10-04	1982-12-02	OIL/GAS	P&A	13	APPRAISAL	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=92	http://www.npd.no/FactMapSearch?NPDID_wellbore=92	NO
93	31/2-13	31/2-13 S	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1984-01-02	1984-03-15	OIL/GAS	P&A	13	APPRAISAL	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=93	http://www.npd.no/FactMapSearch?NPDID_wellbore=93	NO
94	15/12-1	15/12-1	\N	038	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1975-07-07	1975-09-06	OIL SHOWS	P&A	12	WILDCAT	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=94	http://www.npd.no/FactMapSearch?NPDID_wellbore=94	NO
95	34/10-14	34/10-14	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1981-12-24	1982-03-19	OIL	P&A	5	APPRAISAL	224.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=95	http://www.npd.no/FactMapSearch?NPDID_wellbore=95	NO
96	2/11-4	2/11-4	VALHALL	033	EXPLORATION	Amoco Norway Oil Company	NO	DYVI BETA	\N	1978-03-20	1978-05-18	OIL	P&A	5	APPRAISAL	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=96	http://www.npd.no/FactMapSearch?NPDID_wellbore=96	NO
97	2/4-3	2/4-3	EKOFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1970-01-27	1970-05-31	OIL	P&A	5	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=97	http://www.npd.no/FactMapSearch?NPDID_wellbore=97	NO
98	30/11-4	30/11-4	\N	035	EXPLORATION	A/S Norske Shell	NO	DYVI DELTA	\N	1984-01-25	1984-07-24	OIL SHOWS	P&A	12	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=98	http://www.npd.no/FactMapSearch?NPDID_wellbore=98	NO
99	7120/12-4	7120/12-4	\N	061	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1984-02-18	1984-04-16	DRY	P&A	1	WILDCAT	152.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=99	http://www.npd.no/FactMapSearch?NPDID_wellbore=99	NO
100	31/3-2	31/3-2	TROLL	085	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1984-03-05	1984-04-30	OIL/GAS	P&A	13	APPRAISAL	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=100	http://www.npd.no/FactMapSearch?NPDID_wellbore=100	NO
101	31/5-3	31/5-3	TROLL	085	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1984-04-10	1984-06-09	OIL/GAS	P&A	13	APPRAISAL	327.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=101	http://www.npd.no/FactMapSearch?NPDID_wellbore=101	NO
306	10/5-1	10/5-1	\N	015	EXPLORATION	Conoco Norway Inc.	NO	NORJARL	\N	1976-05-31	1976-06-26	DRY	P&A	1	WILDCAT	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=306	http://www.npd.no/FactMapSearch?NPDID_wellbore=306	NO
102	30/9-3	30/9-3 A	OSEBERG SØR	079	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1984-02-26	1984-05-20	OIL/GAS	P&A	13	APPRAISAL	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=102	http://www.npd.no/FactMapSearch?NPDID_wellbore=102	NO
103	33/5-1	33/5-1	\N	047	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1979-07-19	1979-10-18	SHOWS	P&A	12	WILDCAT	339.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=103	http://www.npd.no/FactMapSearch?NPDID_wellbore=103	NO
104	7120/7-3	7120/7-3	\N	077	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1984-03-18	1984-06-09	SHOWS	P&A	12	WILDCAT	259.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=104	http://www.npd.no/FactMapSearch?NPDID_wellbore=104	NO
105	31/6-5	31/6-5	TROLL	085	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1984-03-16	1984-05-21	OIL/GAS	P&A	13	APPRAISAL	304.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=105	http://www.npd.no/FactMapSearch?NPDID_wellbore=105	NO
106	31/2-14	31/2-14	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1984-04-23	1984-06-21	OIL/GAS	P&A	13	APPRAISAL	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=106	http://www.npd.no/FactMapSearch?NPDID_wellbore=106	NO
107	7120/9-2	7120/9-2	SNØHVIT	078	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1984-04-18	1984-10-20	GAS	P&A	9	APPRAISAL	293.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=107	http://www.npd.no/FactMapSearch?NPDID_wellbore=107	NO
108	6406/3-1	6406/3-1	\N	091	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1984-04-27	1984-08-14	GAS SHOWS	P&A	12	WILDCAT	256.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=108	http://www.npd.no/FactMapSearch?NPDID_wellbore=108	NO
109	2/1-6	2/1-6	GYDA	019 B	EXPLORATION	BP Norway Limited  U.A.	NO	DYVI ALPHA	\N	1984-04-30	1984-08-12	DRY	P&A	1	APPRAISAL	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=109	http://www.npd.no/FactMapSearch?NPDID_wellbore=109	NO
110	30/6-15	30/6-15	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1984-05-02	1984-09-05	OIL/GAS	P&A	13	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=110	http://www.npd.no/FactMapSearch?NPDID_wellbore=110	YES
111	34/7-1	34/7-1	SNORRE	089	EXPLORATION	Saga Petroleum ASA	NO	VILDKAT EXPLORER	\N	1984-05-09	1984-07-24	OIL	P&A	5	APPRAISAL	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=111	http://www.npd.no/FactMapSearch?NPDID_wellbore=111	NO
112	16/11-1	16/11-1 S	\N	016	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1967-07-14	1967-10-31	DRY	P&A	1	WILDCAT	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=112	http://www.npd.no/FactMapSearch?NPDID_wellbore=112	NO
113	15/12-5	15/12-5	VARG	038	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1986-03-12	1986-05-04	OIL	P&A	5	APPRAISAL	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=113	http://www.npd.no/FactMapSearch?NPDID_wellbore=113	NO
114	7119/12-2	7119/12-2	\N	060	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1981-04-16	1981-06-26	SHOWS	P&A	12	WILDCAT	180.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=114	http://www.npd.no/FactMapSearch?NPDID_wellbore=114	NO
115	33/12-5	33/12-5	STATFJORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	NORSKALD	\N	1975-10-09	1976-02-21	DRY	P&A	1	APPRAISAL	143.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=115	http://www.npd.no/FactMapSearch?NPDID_wellbore=115	NO
116	2/7-14	2/7-14	EKOFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	HAAKON MAGNUS	\N	1979-08-09	1980-01-20	OIL	SUSP.REENTERED LATER	5	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=116	http://www.npd.no/FactMapSearch?NPDID_wellbore=116	NO
117	2/8-3	2/8-3	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	ZAPATA EXPLORER	\N	1972-06-16	1972-09-03	OIL/GAS SHOWS	P&A	12	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=117	http://www.npd.no/FactMapSearch?NPDID_wellbore=117	NO
118	30/6-5	30/6-5	OSEBERG ØST	053	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1981-06-11	1981-08-15	OIL	P&A	5	WILDCAT	156.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=118	http://www.npd.no/FactMapSearch?NPDID_wellbore=118	YES
119	33/12-6	33/12-6	\N	037	EXPLORATION	Mobil Exploration Norway INC	NO	NORSKALD	\N	1976-03-02	1976-06-20	DRY	P&A	1	WILDCAT	138.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=119	http://www.npd.no/FactMapSearch?NPDID_wellbore=119	NO
120	7120/8-1	7120/8-1	SNØHVIT	064	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1981-06-28	1981-09-10	GAS/CONDENSATE	P&A	17	WILDCAT	270.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=120	http://www.npd.no/FactMapSearch?NPDID_wellbore=120	YES
121	7119/12-1	7119/12-1	\N	060	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1980-06-14	1980-10-10	OIL SHOWS	P&A	12	WILDCAT	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=121	http://www.npd.no/FactMapSearch?NPDID_wellbore=121	NO
122	7120/12-2	7120/12-2	\N	061	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1981-04-15	1981-09-11	GAS/CONDENSATE	P&A	17	WILDCAT	164.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=122	http://www.npd.no/FactMapSearch?NPDID_wellbore=122	YES
123	7120/12-1	7120/12-1	\N	061	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1980-06-01	1980-10-12	SHOWS	P&A	12	WILDCAT	167.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=123	http://www.npd.no/FactMapSearch?NPDID_wellbore=123	NO
124	2/8-1	2/8-1	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	DRILLSHIP	\N	1967-11-28	1968-07-02	OIL SHOWS	P&A	12	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=124	http://www.npd.no/FactMapSearch?NPDID_wellbore=124	NO
125	33/9-3	33/9-3	STATFJORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	NORSKALD	\N	1974-09-15	1974-11-14	OIL	P&A	5	APPRAISAL	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=125	http://www.npd.no/FactMapSearch?NPDID_wellbore=125	NO
126	33/12-4	33/12-4	STATFJORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	NORSKALD	\N	1975-05-17	1975-07-17	OIL	P&A	5	APPRAISAL	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=126	http://www.npd.no/FactMapSearch?NPDID_wellbore=126	NO
127	31/6-6	31/6-6	TROLL	085	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1984-05-22	1984-07-29	GAS	P&A	9	APPRAISAL	313.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=127	http://www.npd.no/FactMapSearch?NPDID_wellbore=127	NO
128	35/11-1	35/11-1	\N	090	EXPLORATION	Mobil Exploration Norway INC	NO	NORTRYM	\N	1984-05-23	1984-08-06	DRY	P&A	1	WILDCAT	365.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=128	http://www.npd.no/FactMapSearch?NPDID_wellbore=128	NO
129	2/3-4	2/3-4	\N	022	EXPLORATION	Norwegian Gulf Exploration Company AS	NO	GLOMAR MORAY F.I	\N	1984-05-28	1984-07-24	DRY	P&A	1	WILDCAT	56.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=129	http://www.npd.no/FactMapSearch?NPDID_wellbore=129	NO
130	7121/7-1	7121/7-1	SNØHVIT	100	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1984-06-11	1984-08-05	GAS/CONDENSATE	P&A	17	APPRAISAL	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=130	http://www.npd.no/FactMapSearch?NPDID_wellbore=130	NO
131	25/2-8	25/2-8	ØST FRIGG	026	EXPLORATION	Elf Petroleum Norge AS	NO	LE PELERIN	\N	1984-06-18	1984-08-01	OIL/GAS	P&A	13	APPRAISAL	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=131	http://www.npd.no/FactMapSearch?NPDID_wellbore=131	NO
132	7119/9-1	7119/9-1	\N	096	EXPLORATION	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	\N	1984-06-28	1984-09-25	DRY	P&A	1	WILDCAT	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=132	http://www.npd.no/FactMapSearch?NPDID_wellbore=132	NO
133	6407/9-1	6407/9-1	DRAUGEN	093	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1984-06-26	1984-09-07	OIL	P&A	5	WILDCAT	248.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=133	http://www.npd.no/FactMapSearch?NPDID_wellbore=133	YES
134	16/7-5	16/7-5	\N	072	EXPLORATION	Esso Exploration and Production Norway A/S	NO	ZAPATA UGLAND	\N	1984-07-02	1984-08-03	DRY	P&A	1	WILDCAT	80.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=134	http://www.npd.no/FactMapSearch?NPDID_wellbore=134	NO
135	7121/4-1	7121/4-1	SNØHVIT	099	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1984-08-06	1984-10-27	OIL/GAS	P&A	13	WILDCAT	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=135	http://www.npd.no/FactMapSearch?NPDID_wellbore=135	YES
136	35/3-2	35/3-2	\N	041	EXPLORATION	Saga Petroleum ASA	NO	SEDCO 707	\N	1980-05-19	1980-10-26	GAS/CONDENSATE	P&A	17	WILDCAT	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=136	http://www.npd.no/FactMapSearch?NPDID_wellbore=136	YES
137	2/1-7	2/1-7	\N	019 B	EXPLORATION	BP Petroleum Dev. of Norway AS	NO	GLOMAR MORAY F.I	\N	1984-09-06	1985-03-06	DRY	P&A	1	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=137	http://www.npd.no/FactMapSearch?NPDID_wellbore=137	NO
138	6507/7-1	6507/7-1	\N	095	EXPLORATION	Conoco Norway Inc.	NO	NORTRYM	\N	1984-08-10	1984-12-01	GAS SHOWS	P&A	12	WILDCAT	367.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=138	http://www.npd.no/FactMapSearch?NPDID_wellbore=138	NO
140	34/10-9	34/10-9	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1980-03-24	1980-05-09	OIL	SUSP.REENTERED LATER	5	APPRAISAL	202.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=140	http://www.npd.no/FactMapSearch?NPDID_wellbore=140	NO
141	31/6-7	31/6-7	TROLL	085	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1985-04-01	1985-04-13	DRY	JUNKED	1	APPRAISAL	300.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=141	http://www.npd.no/FactMapSearch?NPDID_wellbore=141	NO
142	8/3-1	8/3-1	\N	003	EXPLORATION	Esso Exploration and Production Norway A/S	NO	OCEAN TRAVELER	\N	1966-07-19	1966-10-10	DRY	P&A	1	WILDCAT	94.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=142	http://www.npd.no/FactMapSearch?NPDID_wellbore=142	NO
143	25/11-1	25/11-1	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	OCEAN TRAVELER	\N	1966-10-18	1967-07-09	OIL	P&A	5	WILDCAT	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=143	http://www.npd.no/FactMapSearch?NPDID_wellbore=143	YES
144	16/2-1	16/2-1	\N	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	OCEAN TRAVELER	\N	1967-07-11	1967-08-09	OIL SHOWS	P&A	12	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=144	http://www.npd.no/FactMapSearch?NPDID_wellbore=144	NO
145	9/8-1	9/8-1	\N	003	EXPLORATION	Esso Exploration and Production Norway A/S	NO	ENDEAVOUR	\N	1968-05-23	1968-06-29	OIL SHOWS	P&A	12	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=145	http://www.npd.no/FactMapSearch?NPDID_wellbore=145	NO
146	16/7-1	16/7-1	\N	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	OCEAN TRAVELER	\N	1967-08-11	1967-09-24	DRY	P&A	1	WILDCAT	80.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=146	http://www.npd.no/FactMapSearch?NPDID_wellbore=146	NO
147	16/1-1	16/1-1	\N	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	OCEAN TRAVELER	\N	1967-09-26	1967-12-10	OIL SHOWS	P&A	12	WILDCAT	114.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=147	http://www.npd.no/FactMapSearch?NPDID_wellbore=147	NO
148	16/6-1	16/6-1	\N	007	EXPLORATION	Elf Petroleum Norge AS	NO	OCEAN VIKING	\N	1967-11-07	1968-01-19	DRY	P&A	1	WILDCAT	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=148	http://www.npd.no/FactMapSearch?NPDID_wellbore=148	NO
149	7/11-1	7/11-1	COD	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1968-02-26	1968-06-15	GAS/CONDENSATE	P&A	17	WILDCAT	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=149	http://www.npd.no/FactMapSearch?NPDID_wellbore=149	YES
150	9/4-1	9/4-1	\N	013	EXPLORATION	Conoco Norway Inc.	NO	ENDEAVOUR	\N	1968-03-31	1968-05-19	SHOWS	P&A	12	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=150	http://www.npd.no/FactMapSearch?NPDID_wellbore=150	NO
151	16/9-1	16/9-1	\N	002	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1968-05-08	1968-07-12	DRY	P&A	1	WILDCAT	89.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=151	http://www.npd.no/FactMapSearch?NPDID_wellbore=151	NO
152	9/4-3	9/4-3	\N	013	EXPLORATION	Conoco Norway Inc.	NO	OCEAN TIDE	\N	1972-07-14	1972-08-19	DRY	P&A	1	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=152	http://www.npd.no/FactMapSearch?NPDID_wellbore=152	NO
153	17/4-1	17/4-1	\N	007	EXPLORATION	Elf Petroleum Norge AS	NO	OCEAN VIKING	\N	1968-06-17	1968-08-26	DRY	P&A	1	WILDCAT	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=153	http://www.npd.no/FactMapSearch?NPDID_wellbore=153	NO
154	1/3-1	1/3-1	\N	011	EXPLORATION	A/S Norske Shell	NO	ORION	\N	1968-07-06	1968-11-11	GAS	P&A	9	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=154	http://www.npd.no/FactMapSearch?NPDID_wellbore=154	YES
155	2/8-2	2/8-2	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	ORION	\N	1970-06-28	1970-07-30	SHOWS	P&A	12	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=155	http://www.npd.no/FactMapSearch?NPDID_wellbore=155	NO
156	7/11-2	7/11-2	COD	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN TRAVELER	\N	1968-07-21	1968-10-14	GAS/CONDENSATE	P&A	17	APPRAISAL	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=156	http://www.npd.no/FactMapSearch?NPDID_wellbore=156	NO
157	7/12-1	7/12-1 S	\N	019	EXPLORATION	Norwegian Gulf Exploration Company AS	NO	GULFTIDE	\N	1968-08-31	1968-10-18	DRY	P&A	1	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=157	http://www.npd.no/FactMapSearch?NPDID_wellbore=157	NO
158	7/8-1	7/8-1	\N	016	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1968-08-31	1969-02-05	DRY	P&A	1	WILDCAT	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=158	http://www.npd.no/FactMapSearch?NPDID_wellbore=158	NO
159	7/11-3	7/11-3	COD	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN TRAVELER	\N	1968-10-17	1969-02-07	OIL SHOWS	P&A	12	APPRAISAL	79.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=159	http://www.npd.no/FactMapSearch?NPDID_wellbore=159	NO
160	2/6-1	2/6-1	\N	008	EXPLORATION	Elf Petroleum Norge AS	NO	OCEAN VIKING	\N	1969-04-21	1969-05-30	DRY	P&A	1	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=160	http://www.npd.no/FactMapSearch?NPDID_wellbore=160	NO
161	17/10-1	17/10-1	\N	010	EXPLORATION	A/S Norske Shell	NO	SEDNETH I	\N	1968-12-30	1969-03-24	DRY	P&A	1	WILDCAT	88.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=161	http://www.npd.no/FactMapSearch?NPDID_wellbore=161	NO
162	2/3-1	2/3-1	\N	022	EXPLORATION	NORSKE MURPHY OIL COMPANY	NO	OCEAN TRAVELER	\N	1969-02-10	1969-04-03	GAS	P&A	9	WILDCAT	59.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=162	http://www.npd.no/FactMapSearch?NPDID_wellbore=162	YES
163	9/12-1	9/12-1	\N	012	EXPLORATION	A/S Norske Shell	NO	SEDNETH I	\N	1969-03-28	1969-05-06	DRY	P&A	1	WILDCAT	61.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=163	http://www.npd.no/FactMapSearch?NPDID_wellbore=163	NO
164	7/3-1	7/3-1	\N	005	EXPLORATION	Amoco Norway Oil Company	NO	ORION	\N	1969-04-07	1969-06-10	DRY	P&A	1	WILDCAT	64.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=164	http://www.npd.no/FactMapSearch?NPDID_wellbore=164	NO
165	1/3-2	1/3-2	\N	011	EXPLORATION	A/S Norske Shell	NO	SEDNETH I	\N	1969-05-14	1969-07-27	DRY	P&A	1	WILDCAT	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=165	http://www.npd.no/FactMapSearch?NPDID_wellbore=165	NO
166	8/10-1	8/10-1	\N	017	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1969-05-30	1969-07-01	DRY	P&A	1	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=166	http://www.npd.no/FactMapSearch?NPDID_wellbore=166	NO
167	7/11-4	7/11-4	MIME	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1969-07-02	1969-07-31	DRY	P&A	1	WILDCAT	79.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=167	http://www.npd.no/FactMapSearch?NPDID_wellbore=167	NO
168	2/11-1	2/11-1	VALHALL	033	EXPLORATION	Amoco Norway Oil Company	NO	ORION	\N	1969-07-14	1969-10-03	OIL	P&A	5	APPRAISAL	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=168	http://www.npd.no/FactMapSearch?NPDID_wellbore=168	NO
169	2/3-2	2/3-2	\N	022	EXPLORATION	NORSKE MURPHY OIL COMPANY	NO	OCEAN TRAVELER	\N	1969-07-26	1969-08-13	DRY	P&A	1	APPRAISAL	58.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=169	http://www.npd.no/FactMapSearch?NPDID_wellbore=169	NO
170	11/10-1	11/10-1	\N	021	EXPLORATION	Syracuse Oils Norge A/S	NO	OCEAN VIKING	\N	1969-08-02	1969-08-19	DRY	P&A	1	WILDCAT	63.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=170	http://www.npd.no/FactMapSearch?NPDID_wellbore=170	NO
171	33/9-C-16	33/9-C-16	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1986-03-23	1986-05-07	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=171	http://www.npd.no/FactMapSearch?NPDID_wellbore=171	NO
172	2/4-2	2/4-2	EKOFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1969-09-18	1969-12-24	OIL	P&A	5	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=172	http://www.npd.no/FactMapSearch?NPDID_wellbore=172	YES
173	25/8-1	25/8-1	BALDER	027	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1970-04-28	1970-07-04	OIL	P&A	5	WILDCAT	129.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=173	http://www.npd.no/FactMapSearch?NPDID_wellbore=173	YES
174	2/4-4	2/4-4	EKOFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1970-06-02	1970-08-01	OIL	P&A	5	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=174	http://www.npd.no/FactMapSearch?NPDID_wellbore=174	NO
175	10/8-1	10/8-1	\N	009	EXPLORATION	Elf Petroleum Norge AS	NO	PENTAGONE 81	\N	1970-12-12	1971-01-17	DRY	P&A	1	WILDCAT	81.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=175	http://www.npd.no/FactMapSearch?NPDID_wellbore=175	NO
176	9/4-2	9/4-2	\N	013	EXPLORATION	Texaco Exploration Norway AS	NO	GULFTIDE	\N	1970-07-19	1970-08-29	DRY	P&A	1	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=176	http://www.npd.no/FactMapSearch?NPDID_wellbore=176	NO
177	2/4-5	2/4-5	EKOFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	PENTAGONE 81	\N	1970-06-21	1970-08-27	OIL	P&A	5	APPRAISAL	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=177	http://www.npd.no/FactMapSearch?NPDID_wellbore=177	NO
178	2/5-1	2/5-1	TOR	006	EXPLORATION	Amoco Norway Oil Company	NO	ORION	\N	1970-08-01	1970-11-22	OIL	P&A	5	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=178	http://www.npd.no/FactMapSearch?NPDID_wellbore=178	YES
179	2/7-1	2/7-1	ELDFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1970-08-03	1970-12-11	OIL	P&A	5	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=179	http://www.npd.no/FactMapSearch?NPDID_wellbore=179	YES
180	25/10-2	25/10-2	\N	028	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1970-08-05	1970-08-25	OIL SHOWS	SUSP.REENTERED LATER	12	WILDCAT	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=180	http://www.npd.no/FactMapSearch?NPDID_wellbore=180	NO
181	2/4-6	2/4-6	VEST EKOFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	PENTAGONE 81	\N	1970-08-28	1970-12-10	GAS/CONDENSATE	P&A	17	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=181	http://www.npd.no/FactMapSearch?NPDID_wellbore=181	YES
182	25/10-3	25/10-3	BALDER	028	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1970-08-27	1970-09-13	OIL	P&A	5	APPRAISAL	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=182	http://www.npd.no/FactMapSearch?NPDID_wellbore=182	NO
183	9/10-1	9/10-1	\N	022	EXPLORATION	NORSKE MURPHY OIL COMPANY	NO	GULFTIDE	\N	1970-08-30	1970-09-18	DRY	P&A	1	WILDCAT	59.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=183	http://www.npd.no/FactMapSearch?NPDID_wellbore=183	NO
184	25/11-2	25/11-2	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1970-09-13	1970-09-24	SHOWS	P&A	12	APPRAISAL	130.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=184	http://www.npd.no/FactMapSearch?NPDID_wellbore=184	NO
185	25/11-3	25/11-3	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1970-09-25	1970-10-14	DRY	P&A	1	APPRAISAL	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=185	http://www.npd.no/FactMapSearch?NPDID_wellbore=185	NO
186	25/11-4	25/11-4	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1970-10-15	1970-11-20	SHOWS	P&A	12	APPRAISAL	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=186	http://www.npd.no/FactMapSearch?NPDID_wellbore=186	NO
187	2/7-2	2/7-2	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1970-12-13	1971-03-02	OIL	P&A	5	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=187	http://www.npd.no/FactMapSearch?NPDID_wellbore=187	YES
188	2/5-2	2/5-2	TOR	006	EXPLORATION	Amoco Norway Oil Company	NO	MÆRSK EXPLORER	\N	1971-01-15	1971-04-20	OIL	P&A	5	APPRAISAL	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=188	http://www.npd.no/FactMapSearch?NPDID_wellbore=188	NO
189	16/5-1	16/5-1	\N	007	EXPLORATION	Elf Petroleum Norge AS	NO	PENTAGONE 81	\N	1971-01-17	1971-02-08	DRY	P&A	1	WILDCAT	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=189	http://www.npd.no/FactMapSearch?NPDID_wellbore=189	NO
190	25/1-1	25/1-1	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	PENTAGONE 81	\N	1971-03-30	1971-07-22	OIL/GAS	P&A	13	WILDCAT	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=190	http://www.npd.no/FactMapSearch?NPDID_wellbore=190	YES
191	7/9-1	7/9-1	\N	020	EXPLORATION	Conoco Norway Inc.	NO	MÆRSK EXPLORER	\N	1971-04-22	1971-05-29	DRY	P&A	1	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=191	http://www.npd.no/FactMapSearch?NPDID_wellbore=191	NO
192	7/1-1	7/1-1	\N	004	EXPLORATION	Amoco Norway Oil Company	NO	MÆRSK EXPLORER	\N	1971-07-03	1971-08-05	DRY	P&A	1	WILDCAT	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=192	http://www.npd.no/FactMapSearch?NPDID_wellbore=192	NO
193	8/12-1	8/12-1	\N	014	EXPLORATION	Conoco Norway Inc.	NO	MÆRSK EXPLORER	\N	1971-05-31	1971-07-23	DRY	P&A	1	WILDCAT	62.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=193	http://www.npd.no/FactMapSearch?NPDID_wellbore=193	NO
194	9/11-1	9/11-1	\N	014	EXPLORATION	Conoco Norway Inc.	NO	TRANSWORLD RIG61	\N	1971-07-03	1971-08-19	SHOWS	P&A	12	WILDCAT	65.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=194	http://www.npd.no/FactMapSearch?NPDID_wellbore=194	NO
195	25/1-2	25/1-2	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	PENTAGONE 81	\N	1971-07-22	1971-08-25	OIL/GAS	P&A	13	APPRAISAL	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=195	http://www.npd.no/FactMapSearch?NPDID_wellbore=195	NO
196	2/4-7	2/4-7	TOR	018	EXPLORATION	Phillips Petroleum Company Norway	NO	MÆRSK EXPLORER	\N	1971-07-24	1971-10-08	OIL	P&A	5	APPRAISAL	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=196	http://www.npd.no/FactMapSearch?NPDID_wellbore=196	NO
197	15/6-1	15/6-1	\N	029	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1971-08-07	1971-09-08	DRY	P&A	1	WILDCAT	115.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=197	http://www.npd.no/FactMapSearch?NPDID_wellbore=197	NO
198	2/3-3	2/3-3	\N	022	EXPLORATION	NORSKE MURPHY OIL COMPANY	NO	OCEAN TIDE	\N	1971-10-08	1971-11-20	DRY	P&A	1	WILDCAT	56.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=198	http://www.npd.no/FactMapSearch?NPDID_wellbore=198	NO
199	15/12-3	15/12-3	\N	038	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORDRAUG	\N	1980-06-21	1980-12-22	DRY	P&A	1	WILDCAT	86.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=199	http://www.npd.no/FactMapSearch?NPDID_wellbore=199	NO
200	2/7-17	2/7-17	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	BORGSTEN DOLPHIN	\N	1980-06-24	1980-07-12	DRY	JUNKED	1	WILDCAT	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=200	http://www.npd.no/FactMapSearch?NPDID_wellbore=200	NO
201	25/4-5	25/4-5	HEIMDAL	036	EXPLORATION	Elf Petroleum Norge AS	NO	DYVI ALPHA	\N	1980-06-26	1981-03-26	OIL/GAS	P&A	13	APPRAISAL	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=201	http://www.npd.no/FactMapSearch?NPDID_wellbore=201	NO
202	6507/12-1	6507/12-1	\N	059	EXPLORATION	Saga Petroleum ASA	NO	BYFORD DOLPHIN	\N	1980-07-01	1980-10-26	DRY	P&A	1	WILDCAT	225.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=202	http://www.npd.no/FactMapSearch?NPDID_wellbore=202	NO
203	30/3-2	30/3-2	\N	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1980-07-04	1980-08-15	DRY	SUSP.REENTERED LATER	1	WILDCAT	186.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=203	http://www.npd.no/FactMapSearch?NPDID_wellbore=203	NO
986	7323/7-U-5	7323/7-U-5	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-06-28	1986-07-29	\N	P&A	0	\N	422.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=986	\N	NO
204	34/10-12	34/10-12	\N	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORDRAUG	\N	1981-07-16	1981-09-12	DRY	P&A	1	WILDCAT	138.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=204	http://www.npd.no/FactMapSearch?NPDID_wellbore=204	NO
205	35/8-1	35/8-1	VEGA	058	EXPLORATION	Norwegian Gulf Exploration Company AS	NO	SEDCO 704	\N	1980-07-27	1981-01-24	GAS/CONDENSATE	P&A	17	WILDCAT	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=205	http://www.npd.no/FactMapSearch?NPDID_wellbore=205	YES
206	2/7-18	2/7-18	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	BORGSTEN DOLPHIN	\N	1980-08-20	1980-08-31	DRY	JUNKED	1	WILDCAT	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=206	http://www.npd.no/FactMapSearch?NPDID_wellbore=206	NO
207	15/5-3	15/5-3	\N	048	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1980-08-21	1980-12-06	DRY	P&A	1	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=207	http://www.npd.no/FactMapSearch?NPDID_wellbore=207	NO
208	31/2-4	31/2-4	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1980-09-01	1980-09-13	DRY	SUSP.REENTERED LATER	1	APPRAISAL	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=208	http://www.npd.no/FactMapSearch?NPDID_wellbore=208	NO
209	33/12-B-19	33/12-B-19	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1989-12-28	1990-02-19	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=209	http://www.npd.no/FactMapSearch?NPDID_wellbore=209	NO
210	31/2-5	31/2-5	TROLL	054	EXPLORATION	A/S Norske Shell	NO	WEST VENTURE OLD	\N	1980-10-26	1980-12-21	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=210	http://www.npd.no/FactMapSearch?NPDID_wellbore=210	NO
211	34/10-11	34/10-11	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1980-10-24	1981-03-04	OIL	P&A	5	APPRAISAL	229.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=211	http://www.npd.no/FactMapSearch?NPDID_wellbore=211	NO
212	34/10-20	34/10-20	\N	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1983-12-23	1984-04-23	DRY	JUNKED	1	WILDCAT	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=212	http://www.npd.no/FactMapSearch?NPDID_wellbore=212	NO
213	25/11-9	25/11-9	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	NORSKALD	\N	1980-11-04	1980-12-07	OIL/GAS	P&A	13	APPRAISAL	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=213	http://www.npd.no/FactMapSearch?NPDID_wellbore=213	NO
214	31/4-4	31/4-4	\N	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1980-12-17	1981-02-17	DRY	P&A	1	WILDCAT	214.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=214	http://www.npd.no/FactMapSearch?NPDID_wellbore=214	NO
215	34/2-2	34/2-2	\N	056	EXPLORATION	Amoco Norway Oil Company	NO	SEDCO 703	\N	1980-11-27	1980-12-12	DRY	SUSP.REENTERED LATER	1	WILDCAT	386.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=215	http://www.npd.no/FactMapSearch?NPDID_wellbore=215	NO
216	30/7-8	30/7-8	MARTIN LINGE	040	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1980-11-19	1981-04-04	GAS/CONDENSATE	SUSP.REENTERED LATER	17	APPRAISAL	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=216	http://www.npd.no/FactMapSearch?NPDID_wellbore=216	NO
217	25/10-4	25/10-4	BALDER	028	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1980-12-08	1981-01-18	OIL	SUSP.REENTERED LATER	5	APPRAISAL	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=217	http://www.npd.no/FactMapSearch?NPDID_wellbore=217	NO
218	15/9-7	15/9-7	SLEIPNER VEST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORDRAUG	\N	1980-12-26	1981-04-29	GAS/CONDENSATE	P&A	17	APPRAISAL	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=218	http://www.npd.no/FactMapSearch?NPDID_wellbore=218	NO
219	35/3-4	35/3-4	\N	041	EXPLORATION	Saga Petroleum ASA	NO	BYFORD DOLPHIN	\N	1980-11-30	1981-06-06	GAS/CONDENSATE	P&A	17	APPRAISAL	258.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=219	http://www.npd.no/FactMapSearch?NPDID_wellbore=219	NO
220	3/7-2	3/7-2	\N	023	EXPLORATION	Elf Petroleum Norge AS	NO	DYVI ALPHA	\N	1981-03-30	1981-06-20	DRY	P&A	1	WILDCAT	52.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=220	http://www.npd.no/FactMapSearch?NPDID_wellbore=220	NO
221	34/10-21	34/10-21	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1984-07-26	1984-10-22	GAS	P&A	9	APPRAISAL	136.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=221	http://www.npd.no/FactMapSearch?NPDID_wellbore=221	NO
222	34/10-7	34/10-7	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1980-01-07	1980-03-23	OIL	SUSP.REENTERED LATER	5	APPRAISAL	204.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=222	http://www.npd.no/FactMapSearch?NPDID_wellbore=222	NO
223	1/3-5	1/3-5	\N	011	EXPLORATION	A/S Norske Shell	NO	NEDDRILL TRIGON	\N	1984-10-01	1985-02-11	DRY	P&A	1	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=223	http://www.npd.no/FactMapSearch?NPDID_wellbore=223	NO
224	2/6-2	2/6-2	\N	008	EXPLORATION	Elf Petroleum Norge AS	NO	DYVI ALPHA	\N	1980-01-03	1980-05-25	OIL SHOWS	P&A	12	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=224	http://www.npd.no/FactMapSearch?NPDID_wellbore=224	NO
225	2/7-15	2/7-15	ELDFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	HAAKON MAGNUS	\N	1980-01-29	1980-06-02	OIL	P&A	5	APPRAISAL	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=225	http://www.npd.no/FactMapSearch?NPDID_wellbore=225	NO
226	8/10-2	8/10-2	\N	017	EXPLORATION	Phillips Petroleum Company Norway	NO	NORTRYM	\N	1980-02-05	1980-03-17	DRY	P&A	1	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=226	http://www.npd.no/FactMapSearch?NPDID_wellbore=226	NO
227	31/2-2	31/2-2	TROLL	054	EXPLORATION	A/S Norske Shell	NO	WEST VENTURE OLD	\N	1980-02-27	1980-04-23	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	323.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=227	http://www.npd.no/FactMapSearch?NPDID_wellbore=227	NO
228	34/4-2	34/4-2	\N	057	EXPLORATION	Saga Petroleum ASA	NO	BYFORD DOLPHIN	\N	1980-03-06	1980-05-24	DRY	P&A	1	WILDCAT	322.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=228	http://www.npd.no/FactMapSearch?NPDID_wellbore=228	NO
229	16/4-1	16/4-1	\N	087	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1984-09-08	1984-11-18	DRY	P&A	1	WILDCAT	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=229	http://www.npd.no/FactMapSearch?NPDID_wellbore=229	NO
230	34/10-8	34/10-8	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1980-03-03	1980-05-25	OIL	P&A	5	APPRAISAL	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=230	http://www.npd.no/FactMapSearch?NPDID_wellbore=230	NO
231	15/9-6	15/9-6	SLEIPNER VEST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORSKALD	\N	1980-05-06	1980-09-07	DRY	P&A	1	APPRAISAL	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=231	http://www.npd.no/FactMapSearch?NPDID_wellbore=231	NO
232	2/7-16	2/7-16	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	NORTRYM	\N	1980-03-20	1980-07-12	SHOWS	P&A	12	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=232	http://www.npd.no/FactMapSearch?NPDID_wellbore=232	NO
233	34/7-2	34/7-2	\N	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1984-09-02	1984-10-10	DRY	P&A	1	WILDCAT	245.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=233	http://www.npd.no/FactMapSearch?NPDID_wellbore=233	NO
234	16/8-2	16/8-2	\N	020	EXPLORATION	BP Norway Limited  U.A.	NO	SEDCO H	\N	1980-04-03	1980-08-13	DRY	P&A	1	WILDCAT	72.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=234	http://www.npd.no/FactMapSearch?NPDID_wellbore=234	NO
235	31/4-7	31/4-7	BRAGE	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1984-07-26	1984-09-11	OIL/GAS	P&A	13	APPRAISAL	139.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=235	http://www.npd.no/FactMapSearch?NPDID_wellbore=235	NO
236	31/2-3	31/2-3	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1980-03-28	1980-07-20	OIL/GAS	P&A	13	APPRAISAL	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=236	http://www.npd.no/FactMapSearch?NPDID_wellbore=236	NO
237	1/5-1	1/5-1	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1973-10-12	1973-10-19	DRY	JUNKED	1	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=237	http://www.npd.no/FactMapSearch?NPDID_wellbore=237	NO
238	1/5-2	1/5-2	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1973-10-19	1974-04-15	OIL	P&A	5	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=238	http://www.npd.no/FactMapSearch?NPDID_wellbore=238	YES
239	1/6-1	1/6-1	ALBUSKJELL	011	EXPLORATION	A/S Norske Shell	NO	ZAPATA NORDIC	\N	1972-07-10	1972-11-26	GAS/CONDENSATE	P&A	17	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=239	http://www.npd.no/FactMapSearch?NPDID_wellbore=239	YES
240	1/6-2	1/6-2	\N	011	EXPLORATION	A/S Norske Shell	NO	ZAPATA NORDIC	\N	1972-11-28	1973-01-12	SHOWS	P&A	12	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=240	http://www.npd.no/FactMapSearch?NPDID_wellbore=240	NO
241	1/6-3	1/6-3	ALBUSKJELL	011	EXPLORATION	A/S Norske Shell	NO	ZAPATA NORDIC	\N	1974-04-12	1974-09-11	GAS/CONDENSATE	P&A	17	APPRAISAL	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=241	http://www.npd.no/FactMapSearch?NPDID_wellbore=241	NO
242	1/6-4	1/6-4	\N	011	EXPLORATION	A/S Norske Shell	NO	CHRIS CHENERY	\N	1975-12-29	1976-04-09	DRY	P&A	1	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=242	http://www.npd.no/FactMapSearch?NPDID_wellbore=242	NO
243	1/9-1	1/9-1	\N	044	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1976-10-14	1977-02-17	GAS/CONDENSATE	SUSP.REENTERED LATER	17	WILDCAT	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=243	http://www.npd.no/FactMapSearch?NPDID_wellbore=243	YES
244	1/9-2	1/9-2	\N	044	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1977-06-01	1977-08-12	OIL SHOWS	P&A	12	APPRAISAL	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=244	http://www.npd.no/FactMapSearch?NPDID_wellbore=244	NO
245	1/9-3	1/9-3	\N	044	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI GAMMA	\N	1977-08-13	1977-11-27	DRY	SUSP.REENTERED LATER	1	APPRAISAL	76.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=245	http://www.npd.no/FactMapSearch?NPDID_wellbore=245	NO
246	1/9-3	1/9-3 R	\N	044	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI BETA	\N	1978-05-27	1978-09-30	GAS/CONDENSATE	P&A	17	APPRAISAL	76.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=246	http://www.npd.no/FactMapSearch?NPDID_wellbore=246	NO
247	1/9-4	1/9-4	TOMMELITEN GAMMA	044	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1977-08-13	1978-01-12	GAS/CONDENSATE	SUSP.REENTERED LATER	17	WILDCAT	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=247	http://www.npd.no/FactMapSearch?NPDID_wellbore=247	YES
248	1/9-5	1/9-5	TOMMELITEN GAMMA	044	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI BETA	\N	1978-10-03	1978-12-16	DRY	P&A	1	APPRAISAL	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=248	http://www.npd.no/FactMapSearch?NPDID_wellbore=248	NO
249	2/1-1	2/1-1	\N	019	EXPLORATION	Conoco Norway Inc.	NO	OCEAN TIDE	\N	1972-08-28	1972-11-14	GAS SHOWS	P&A	12	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=249	http://www.npd.no/FactMapSearch?NPDID_wellbore=249	NO
250	2/1-2	2/1-2	\N	019 B	EXPLORATION	BP Norway Limited  U.A.	NO	NORSKALD	\N	1977-12-14	1978-02-26	DRY	P&A	1	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=250	http://www.npd.no/FactMapSearch?NPDID_wellbore=250	NO
251	2/1-3	2/1-3	GYDA	019 B	EXPLORATION	BP Norway Limited  U.A.	NO	SEDCO H	\N	1979-11-03	1980-03-29	OIL	P&A	5	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=251	http://www.npd.no/FactMapSearch?NPDID_wellbore=251	YES
252	2/4-8	2/4-8	TOR	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ZAPATA EXPLORER	\N	1971-11-25	1972-03-29	OIL	P&A	5	APPRAISAL	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=252	http://www.npd.no/FactMapSearch?NPDID_wellbore=252	NO
253	2/4-9	2/4-9	ALBUSKJELL	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ZAPATA EXPLORER	\N	1973-08-13	1973-10-09	GAS/CONDENSATE	P&A	17	APPRAISAL	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=253	http://www.npd.no/FactMapSearch?NPDID_wellbore=253	NO
987	7323/7-U-6	7323/7-U-6	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-06-28	1986-07-29	\N	P&A	0	\N	420.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=987	\N	NO
254	2/4-10	2/4-10	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ZAPATA EXPLORER	\N	1973-10-13	1973-12-20	OIL	P&A	5	WILDCAT	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=254	http://www.npd.no/FactMapSearch?NPDID_wellbore=254	YES
255	2/4-11	2/4-11	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ZAPATA EXPLORER	\N	1973-12-25	1974-04-09	OIL	P&A	5	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=255	http://www.npd.no/FactMapSearch?NPDID_wellbore=255	YES
256	2/4-12	2/4-12	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1975-07-28	1975-09-08	DRY	P&A	1	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=256	http://www.npd.no/FactMapSearch?NPDID_wellbore=256	NO
257	2/4-19	2/4-19 B	EKOFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	EKOFISK B	\N	1975-12-16	1976-03-15	GAS/CONDENSATE	RE-CLASS TO DEV	17	APPRAISAL	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=257	http://www.npd.no/FactMapSearch?NPDID_wellbore=257	NO
258	2/5-3	2/5-3	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	ZAPATA EXPLORER	\N	1972-04-02	1972-06-15	OIL	P&A	5	WILDCAT	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=258	http://www.npd.no/FactMapSearch?NPDID_wellbore=258	YES
259	2/5-4	2/5-4	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	ZAPATA EXPLORER	\N	1972-09-03	1972-10-31	OIL	P&A	5	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=259	http://www.npd.no/FactMapSearch?NPDID_wellbore=259	YES
260	2/5-5	2/5-5	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	ZAPATA EXPLORER	\N	1972-12-09	1973-02-09	OIL	P&A	5	APPRAISAL	65.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=260	http://www.npd.no/FactMapSearch?NPDID_wellbore=260	NO
261	2/5-6	2/5-6	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	NORSKALD	\N	1978-05-14	1978-08-16	OIL/GAS SHOWS	P&A	12	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=261	http://www.npd.no/FactMapSearch?NPDID_wellbore=261	NO
262	2/7-3	2/7-3	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ORION	\N	1972-04-14	1972-10-11	OIL/GAS	P&A	13	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=262	http://www.npd.no/FactMapSearch?NPDID_wellbore=262	NO
263	2/7-4	2/7-4	EDDA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1972-06-23	1972-09-03	OIL	P&A	5	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=263	http://www.npd.no/FactMapSearch?NPDID_wellbore=263	YES
264	2/7-5	2/7-5	EDDA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1972-09-03	1973-01-01	SHOWS	P&A	12	APPRAISAL	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=264	http://www.npd.no/FactMapSearch?NPDID_wellbore=264	NO
265	2/7-6	2/7-6	ELDFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1973-03-31	1973-06-08	OIL	P&A	5	APPRAISAL	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=265	http://www.npd.no/FactMapSearch?NPDID_wellbore=265	NO
266	2/7-7	2/7-7	ELDFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1973-01-02	1973-03-29	OIL	P&A	5	APPRAISAL	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=266	http://www.npd.no/FactMapSearch?NPDID_wellbore=266	NO
267	2/7-8	2/7-8	ELDFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ZAPATA EXPLORER	\N	1973-06-08	1973-08-12	OIL	P&A	5	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=267	http://www.npd.no/FactMapSearch?NPDID_wellbore=267	YES
268	2/7-9	2/7-9	EMBLA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ZAPATA NORDIC	\N	1973-12-25	1974-04-10	OIL	P&A	5	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=268	http://www.npd.no/FactMapSearch?NPDID_wellbore=268	NO
269	2/7-10	2/7-10	EDDA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ZAPATA NORDIC	\N	1973-10-06	1973-12-05	OIL	P&A	5	APPRAISAL	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=269	http://www.npd.no/FactMapSearch?NPDID_wellbore=269	NO
270	2/7-11	2/7-11	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1975-02-24	1975-03-30	DRY	P&A	1	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=270	http://www.npd.no/FactMapSearch?NPDID_wellbore=270	NO
271	2/7-12	2/7-12	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	DYVI BETA	\N	1978-12-17	1979-01-30	SHOWS	P&A	12	WILDCAT	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=271	http://www.npd.no/FactMapSearch?NPDID_wellbore=271	NO
272	2/7-13	2/7-13	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	DYVI BETA	\N	1979-02-01	1979-04-21	SHOWS	P&A	12	WILDCAT	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=272	http://www.npd.no/FactMapSearch?NPDID_wellbore=272	NO
273	2/8-4	2/8-4	VALHALL	006	EXPLORATION	Amoco Norway Oil Company	NO	ZAPATA EXPLORER	\N	1973-04-28	1973-06-07	OIL	P&A	5	APPRAISAL	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=273	http://www.npd.no/FactMapSearch?NPDID_wellbore=273	NO
274	7120/10-1	7120/10-1	\N	098	EXPLORATION	Esso Exploration and Production Norway A/S	NO	ZAPATA UGLAND	\N	1984-08-10	1984-09-08	DRY	P&A	1	WILDCAT	183.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=274	http://www.npd.no/FactMapSearch?NPDID_wellbore=274	NO
275	2/8-5	2/8-5	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	ZAPATA EXPLORER	\N	1974-04-11	1974-05-23	OIL SHOWS	P&A	12	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=275	http://www.npd.no/FactMapSearch?NPDID_wellbore=275	NO
276	2/8-6	2/8-6	VALHALL	006	EXPLORATION	Amoco Norway Oil Company	NO	WAAGE DRILL I	\N	1975-04-07	1975-06-30	OIL	P&A	5	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=276	http://www.npd.no/FactMapSearch?NPDID_wellbore=276	YES
277	2/8-7	2/8-7	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	ZAPATA EXPLORER	\N	1975-07-23	1975-08-24	OIL SHOWS	P&A	12	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=277	http://www.npd.no/FactMapSearch?NPDID_wellbore=277	NO
278	2/8-8	2/8-8	VALHALL	006	EXPLORATION	Amoco Norway Oil Company	NO	DEEPSEA SAGA	\N	1975-11-10	1976-03-15	OIL	P&A	5	APPRAISAL	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=278	http://www.npd.no/FactMapSearch?NPDID_wellbore=278	NO
988	7323/7-U-7	7323/7-U-7	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-06-28	1986-07-29	\N	P&A	0	\N	420.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=988	\N	NO
279	2/8-9	2/8-9	VALHALL	006	EXPLORATION	Amoco Norway Oil Company	NO	SEDCO 135 G	\N	1976-04-09	1976-06-27	OIL	P&A	5	APPRAISAL	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=279	http://www.npd.no/FactMapSearch?NPDID_wellbore=279	NO
280	2/8-10	2/8-10	VALHALL	006	EXPLORATION	Amoco Norway Oil Company	NO	SEDCO 135 G	\N	1976-06-30	1976-08-29	OIL	P&A	5	APPRAISAL	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=280	http://www.npd.no/FactMapSearch?NPDID_wellbore=280	NO
281	7/12-6	7/12-6	ULA	019	EXPLORATION	BP Norway Limited  U.A.	NO	SEDCO 707	\N	1981-04-10	1981-07-24	OIL	P&A	5	APPRAISAL	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=281	http://www.npd.no/FactMapSearch?NPDID_wellbore=281	NO
282	2/9-1	2/9-1	\N	032	EXPLORATION	Amoco Norway Oil Company	NO	ZAPATA EXPLORER	\N	1972-11-03	1972-12-07	DRY	P&A	1	WILDCAT	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=282	http://www.npd.no/FactMapSearch?NPDID_wellbore=282	NO
283	2/9-2	2/9-2	\N	032	EXPLORATION	Amoco Norway Oil Company	NO	DYVI ALPHA	\N	1979-07-07	1979-09-04	DRY	P&A	1	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=283	http://www.npd.no/FactMapSearch?NPDID_wellbore=283	NO
284	2/10-1	2/10-1 S	\N	031	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1975-09-16	1976-04-23	GAS SHOWS	P&A	12	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=284	http://www.npd.no/FactMapSearch?NPDID_wellbore=284	NO
285	2/11-2	2/11-2	HOD	033	EXPLORATION	Amoco Norway Oil Company	NO	ZAPATA EXPLORER	\N	1974-11-06	1974-12-29	OIL	P&A	5	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=285	http://www.npd.no/FactMapSearch?NPDID_wellbore=285	YES
286	2/11-3	2/11-3	HOD	033	EXPLORATION	Amoco Norway Oil Company	NO	DYVI BETA	\N	1977-10-10	1977-12-03	OIL SHOWS	P&A	12	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=286	http://www.npd.no/FactMapSearch?NPDID_wellbore=286	NO
287	2/11-3	2/11-3 A	HOD	033	EXPLORATION	Amoco Norway Oil Company	NO	DYVI BETA	\N	1977-12-03	1978-03-13	OIL	P&A	5	APPRAISAL	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=287	http://www.npd.no/FactMapSearch?NPDID_wellbore=287	NO
288	2/11-5	2/11-5	HOD	033	EXPLORATION	Amoco Norway Oil Company	NO	DYVI ALPHA	\N	1979-05-18	1979-07-05	OIL SHOWS	P&A	12	APPRAISAL	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=288	http://www.npd.no/FactMapSearch?NPDID_wellbore=288	NO
289	2/11-6	2/11-6 S	HOD	033	EXPLORATION	Amoco Norway Oil Company	NO	SEDCO 703	\N	1981-09-02	1982-02-25	OIL	SUSP.REENTERED LATER	5	APPRAISAL	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=289	http://www.npd.no/FactMapSearch?NPDID_wellbore=289	NO
290	3/5-1	3/5-1	\N	022	EXPLORATION	Norwegian Gulf Exploration Company AS	NO	ODIN DRILL	\N	1978-05-03	1978-06-28	DRY	P&A	1	WILDCAT	63.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=290	http://www.npd.no/FactMapSearch?NPDID_wellbore=290	NO
291	3/5-2	3/5-2	\N	022	EXPLORATION	Norwegian Gulf Exploration Company AS	NO	ODIN DRILL	\N	1978-06-29	1978-08-20	DRY	P&A	1	WILDCAT	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=291	http://www.npd.no/FactMapSearch?NPDID_wellbore=291	NO
292	3/7-1	3/7-1	\N	023	EXPLORATION	Elf Petroleum Norge AS	NO	OCEAN TIDE	\N	1973-08-01	1973-09-13	DRY	P&A	1	WILDCAT	63.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=292	http://www.npd.no/FactMapSearch?NPDID_wellbore=292	NO
293	3/7-3	3/7-3	\N	023	EXPLORATION	Elf Petroleum Norge AS	NO	DYVI ALPHA	\N	1981-06-21	1981-08-31	DRY	P&A	1	WILDCAT	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=293	http://www.npd.no/FactMapSearch?NPDID_wellbore=293	NO
294	7/8-2	7/8-2	\N	016	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1973-07-24	1973-08-29	DRY	P&A	1	WILDCAT	81.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=294	http://www.npd.no/FactMapSearch?NPDID_wellbore=294	NO
295	7/12-2	7/12-2	ULA	019	EXPLORATION	BP Norway Limited  U.A.	NO	NORSKALD	\N	1976-07-04	1976-09-24	OIL	SUSP.REENTERED LATER	5	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=295	http://www.npd.no/FactMapSearch?NPDID_wellbore=295	YES
296	7/12-3	7/12-3	ULA	019	EXPLORATION	BP Norway Limited  U.A.	NO	NORSKALD	\N	1977-04-05	1977-06-03	DRY	P&A	1	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=296	http://www.npd.no/FactMapSearch?NPDID_wellbore=296	NO
297	7/12-3	7/12-3 A	ULA	019	EXPLORATION	BP Norway Limited  U.A.	NO	NORSKALD	\N	1977-06-04	1977-09-06	OIL SHOWS	P&A	12	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=297	http://www.npd.no/FactMapSearch?NPDID_wellbore=297	NO
298	7/12-4	7/12-4	ULA	019	EXPLORATION	BP Norway Limited  U.A.	NO	NORSKALD	\N	1977-09-11	1977-12-12	OIL	SUSP.REENTERED LATER	5	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=298	http://www.npd.no/FactMapSearch?NPDID_wellbore=298	NO
299	7/12-5	7/12-5	\N	019	EXPLORATION	BP Norway Limited  U.A.	NO	BORGSTEN DOLPHIN	\N	1981-02-06	1981-06-07	OIL	P&A	5	WILDCAT	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=299	http://www.npd.no/FactMapSearch?NPDID_wellbore=299	YES
300	6506/12-7	6506/12-7	ÅSGARD	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1987-05-04	1987-08-12	GAS/CONDENSATE	P&A	17	APPRAISAL	267.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=300	http://www.npd.no/FactMapSearch?NPDID_wellbore=300	NO
301	8/1-1	8/1-1	\N	016	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN TIDE	\N	1971-12-02	1972-02-07	DRY	P&A	1	WILDCAT	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=301	http://www.npd.no/FactMapSearch?NPDID_wellbore=301	NO
302	8/4-1	8/4-1	\N	005	EXPLORATION	Unocal Norge A/S	NO	NORJARL	\N	1977-06-21	1977-07-25	DRY	P&A	1	WILDCAT	63.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=302	http://www.npd.no/FactMapSearch?NPDID_wellbore=302	NO
303	8/9-1	8/9-1	\N	013	EXPLORATION	Conoco Norway Inc.	NO	OCEAN VICTORY	\N	1975-12-22	1976-02-10	DRY	P&A	1	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=303	http://www.npd.no/FactMapSearch?NPDID_wellbore=303	NO
304	8/11-1	8/11-1	\N	017	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1975-04-24	1975-06-29	DRY	P&A	1	WILDCAT	64.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=304	http://www.npd.no/FactMapSearch?NPDID_wellbore=304	NO
307	11/9-1	11/9-1	\N	009	EXPLORATION	Elf Petroleum Norge AS	NO	DEEPSEA DRILLER	\N	1976-01-16	1976-02-28	DRY	P&A	1	WILDCAT	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=307	http://www.npd.no/FactMapSearch?NPDID_wellbore=307	NO
308	15/2-1	15/2-1	\N	048	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1981-11-26	1982-02-24	OIL/GAS SHOWS	P&A	12	WILDCAT	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=308	http://www.npd.no/FactMapSearch?NPDID_wellbore=308	NO
309	15/3-1	15/3-1 S	GUDRUN	025	EXPLORATION	Elf Petroleum Norge AS	NO	DEEPSEA DRILLER	\N	1974-11-27	1975-07-06	GAS/CONDENSATE	P&A	17	WILDCAT	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=309	http://www.npd.no/FactMapSearch?NPDID_wellbore=309	YES
310	15/3-2	15/3-2	\N	025	EXPLORATION	Elf Petroleum Norge AS	NO	POLYGLOMAR DRILLER	\N	1976-10-29	1977-01-24	DRY	SUSP.REENTERED LATER	1	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=310	http://www.npd.no/FactMapSearch?NPDID_wellbore=310	NO
311	15/3-2	15/3-2 R	\N	025	EXPLORATION	Elf Petroleum Norge AS	NO	PENTAGONE 84	\N	1977-07-26	1977-11-27	SHOWS	P&A	12	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=311	http://www.npd.no/FactMapSearch?NPDID_wellbore=311	NO
312	31/4-8	31/4-8	BRAGE	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE HUNTER	\N	1986-03-21	1986-05-11	OIL/GAS	P&A	13	APPRAISAL	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=312	http://www.npd.no/FactMapSearch?NPDID_wellbore=312	NO
313	15/3-3	15/3-3	GUDRUN	025	EXPLORATION	Elf Petroleum Norge AS	NO	PENTAGONE 84	\N	1979-01-05	1979-08-09	GAS/CONDENSATE	P&A	17	APPRAISAL	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=313	http://www.npd.no/FactMapSearch?NPDID_wellbore=313	NO
314	15/3-4	15/3-4	\N	025	EXPLORATION	Elf Petroleum Norge AS	NO	BORGSTEN DOLPHIN	\N	1981-10-03	1982-03-30	OIL/GAS	P&A	13	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=314	http://www.npd.no/FactMapSearch?NPDID_wellbore=314	YES
315	15/5-1	15/5-1	\N	048	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1977-11-26	1978-04-07	GAS/CONDENSATE	P&A	17	WILDCAT	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=315	http://www.npd.no/FactMapSearch?NPDID_wellbore=315	YES
316	15/5-2	15/5-2	\N	048	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1978-08-16	1978-12-10	GAS	SUSP.REENTERED LATER	9	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=316	http://www.npd.no/FactMapSearch?NPDID_wellbore=316	YES
317	15/6-2	15/6-2	\N	029	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1971-09-09	1971-10-26	SHOWS	SUSP.REENTERED LATER	12	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=317	http://www.npd.no/FactMapSearch?NPDID_wellbore=317	NO
318	15/6-3	15/6-3	SLEIPNER VEST	029	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DRILLMASTER	\N	1974-09-05	1974-12-19	GAS/CONDENSATE	P&A	17	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=318	http://www.npd.no/FactMapSearch?NPDID_wellbore=318	YES
319	15/6-4	15/6-4	\N	029	EXPLORATION	Esso Exploration and Production Norway A/S	NO	NORJARL	\N	1976-06-28	1976-08-16	DRY	P&A	1	WILDCAT	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=319	http://www.npd.no/FactMapSearch?NPDID_wellbore=319	NO
320	15/6-5	15/6-5	SLEIPNER VEST	029	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DRILLMASTER	\N	1977-10-10	1977-11-29	SHOWS	P&A	12	APPRAISAL	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=320	http://www.npd.no/FactMapSearch?NPDID_wellbore=320	NO
321	15/8-1	15/8-1	\N	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	GLOMAR BISCAY II	\N	1981-07-18	1982-01-07	GAS/CONDENSATE	P&A	17	WILDCAT	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=321	http://www.npd.no/FactMapSearch?NPDID_wellbore=321	YES
322	15/9-1	15/9-1	SLEIPNER VEST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1977-02-24	1977-05-30	OIL/GAS	P&A	13	APPRAISAL	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=322	http://www.npd.no/FactMapSearch?NPDID_wellbore=322	NO
323	15/9-2	15/9-2	SLEIPNER VEST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1978-04-11	1978-06-17	GAS/CONDENSATE	P&A	17	APPRAISAL	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=323	http://www.npd.no/FactMapSearch?NPDID_wellbore=323	NO
324	15/9-3	15/9-3	SLEIPNER VEST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1978-12-16	1979-04-03	SHOWS	P&A	12	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=324	http://www.npd.no/FactMapSearch?NPDID_wellbore=324	NO
325	15/9-4	15/9-4	SLEIPNER VEST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1979-04-05	1979-06-14	GAS/CONDENSATE	P&A	17	APPRAISAL	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=325	http://www.npd.no/FactMapSearch?NPDID_wellbore=325	NO
326	15/9-5	15/9-5	SLEIPNER VEST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORSKALD	\N	1979-11-20	1980-04-09	GAS/CONDENSATE	P&A	17	APPRAISAL	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=326	http://www.npd.no/FactMapSearch?NPDID_wellbore=326	NO
327	15/9-8	15/9-8	SLEIPNER VEST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORTRYM	\N	1981-03-04	1981-05-25	GAS/CONDENSATE	P&A	17	APPRAISAL	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=327	http://www.npd.no/FactMapSearch?NPDID_wellbore=327	NO
328	15/9-9	15/9-9	SLEIPNER ØST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORDRAUG	\N	1981-05-04	1981-07-14	GAS/CONDENSATE	P&A	17	WILDCAT	83.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=328	http://www.npd.no/FactMapSearch?NPDID_wellbore=328	YES
329	15/9-11	15/9-11	SLEIPNER ØST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1981-09-18	1981-12-23	GAS/CONDENSATE	P&A	17	APPRAISAL	88.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=329	http://www.npd.no/FactMapSearch?NPDID_wellbore=329	NO
330	15/9-12	15/9-12	SLEIPNER VEST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORDRAUG	\N	1981-11-26	1982-02-23	GAS/CONDENSATE	SUSP.REENTERED LATER	17	APPRAISAL	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=330	http://www.npd.no/FactMapSearch?NPDID_wellbore=330	NO
989	7323/7-U-8	7323/7-U-8	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-06-28	1986-07-29	\N	P&A	0	\N	417.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=989	\N	NO
331	15/12-2	15/12-2	\N	038	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1976-01-07	1976-02-27	DRY	P&A	1	WILDCAT	86.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=331	http://www.npd.no/FactMapSearch?NPDID_wellbore=331	NO
332	16/1-2	16/1-2	\N	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	ROSS RIG	\N	1976-07-04	1976-08-07	SHOWS	P&A	12	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=332	http://www.npd.no/FactMapSearch?NPDID_wellbore=332	NO
333	30/6-16	30/6-16	\N	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1984-11-09	1985-01-21	OIL/GAS	P&A	13	WILDCAT	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=333	http://www.npd.no/FactMapSearch?NPDID_wellbore=333	YES
334	16/3-2	16/3-2	\N	007	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLYGLOMAR DRILLER	\N	1976-02-11	1976-03-08	DRY	P&A	1	WILDCAT	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=334	http://www.npd.no/FactMapSearch?NPDID_wellbore=334	NO
335	16/8-1	16/8-1	\N	020	EXPLORATION	Conoco Norway Inc.	NO	NORSKALD	\N	1976-09-25	1976-10-29	DRY	P&A	1	WILDCAT	81.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=335	http://www.npd.no/FactMapSearch?NPDID_wellbore=335	NO
336	16/11-2	16/11-2	\N	016	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1973-06-16	1973-07-23	DRY	P&A	1	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=336	http://www.npd.no/FactMapSearch?NPDID_wellbore=336	NO
337	17/9-1	17/9-1	\N	002	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1973-09-16	1973-10-23	DRY	SUSP.REENTERED LATER	1	WILDCAT	159.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=337	http://www.npd.no/FactMapSearch?NPDID_wellbore=337	NO
338	17/11-2	17/11-2	\N	010	EXPLORATION	A/S Norske Shell	NO	CHRIS CHENERY	\N	1976-04-12	1976-05-17	DRY	P&A	1	WILDCAT	79.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=338	http://www.npd.no/FactMapSearch?NPDID_wellbore=338	NO
339	17/12-1	17/12-1	\N	016	EXPLORATION	Phillips Petroleum Company Norway	NO	MÆRSK EXPLORER	\N	1971-10-27	1971-11-01	DRY	SUSP.REENTERED LATER	1	WILDCAT	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=339	http://www.npd.no/FactMapSearch?NPDID_wellbore=339	NO
340	17/12-2	17/12-2	\N	016	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1973-08-31	1973-10-09	OIL	P&A	5	WILDCAT	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=340	http://www.npd.no/FactMapSearch?NPDID_wellbore=340	YES
341	17/12-3	17/12-3	\N	016	EXPLORATION	Phillips Petroleum Company Norway	NO	NORTRYM	\N	1979-12-12	1980-02-03	DRY	P&A	1	APPRAISAL	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=341	http://www.npd.no/FactMapSearch?NPDID_wellbore=341	NO
342	18/10-1	18/10-1	\N	008	EXPLORATION	Elf Petroleum Norge AS	NO	DYVI ALPHA	\N	1979-10-19	1980-01-01	OIL	P&A	5	WILDCAT	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=342	http://www.npd.no/FactMapSearch?NPDID_wellbore=342	YES
343	18/11-1	18/11-1	\N	008	EXPLORATION	Elf Petroleum Norge AS	NO	DEEPSEA DRILLER	\N	1974-02-17	1974-03-31	DRY	P&A	1	WILDCAT	116.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=343	http://www.npd.no/FactMapSearch?NPDID_wellbore=343	NO
344	24/9-1	24/9-1	\N	039	EXPLORATION	Conoco Norway Inc.	NO	ROSS RIG	\N	1976-02-29	1976-07-03	DRY	P&A	1	WILDCAT	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=344	http://www.npd.no/FactMapSearch?NPDID_wellbore=344	NO
345	24/9-2	24/9-2	\N	039	EXPLORATION	Conoco Norway Inc.	NO	FERNSTAR	\N	1977-06-13	1977-07-22	DRY	P&A	1	WILDCAT	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=345	http://www.npd.no/FactMapSearch?NPDID_wellbore=345	NO
346	24/9-3	24/9-3	\N	039	EXPLORATION	Conoco Norway Inc.	NO	SEDCO 704	\N	1981-01-28	1981-04-15	OIL	P&A	5	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=346	http://www.npd.no/FactMapSearch?NPDID_wellbore=346	YES
347	24/12-1	24/12-1	\N	045	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1978-01-16	1978-04-09	DRY	SUSP.REENTERED LATER	1	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=347	http://www.npd.no/FactMapSearch?NPDID_wellbore=347	NO
348	24/12-2	24/12-2	\N	045	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1981-06-23	1982-01-21	SHOWS	P&A	12	WILDCAT	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=348	http://www.npd.no/FactMapSearch?NPDID_wellbore=348	NO
349	25/1-3	25/1-3	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	PENTAGONE 81	\N	1971-11-14	1972-01-27	GAS	P&A	9	APPRAISAL	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=349	http://www.npd.no/FactMapSearch?NPDID_wellbore=349	NO
350	25/1-4	25/1-4	NORDØST FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	DEEPSEA DRILLER	\N	1974-04-01	1974-05-30	OIL/GAS	P&A	13	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=350	http://www.npd.no/FactMapSearch?NPDID_wellbore=350	YES
351	25/1-5	25/1-5	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	DEEPSEA DRILLER	\N	1975-07-24	1975-09-12	OIL/GAS	P&A	13	APPRAISAL	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=351	http://www.npd.no/FactMapSearch?NPDID_wellbore=351	NO
352	25/1-6	25/1-6	\N	024	EXPLORATION	Elf Petroleum Norge AS	NO	PENTAGONE 84	\N	1978-01-26	1978-03-18	DRY	P&A	1	WILDCAT	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=352	http://www.npd.no/FactMapSearch?NPDID_wellbore=352	NO
353	25/2-1	25/2-1	ØST FRIGG	026	EXPLORATION	Elf Petroleum Norge AS	NO	NEPTUNE 7	\N	1973-08-04	1973-09-21	GAS	P&A	9	WILDCAT	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=353	http://www.npd.no/FactMapSearch?NPDID_wellbore=353	YES
354	25/2-2	25/2-2	ØST FRIGG	026	EXPLORATION	Elf Petroleum Norge AS	NO	DEEPSEA DRILLER	\N	1974-05-31	1974-07-11	OIL/GAS	P&A	13	APPRAISAL	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=354	http://www.npd.no/FactMapSearch?NPDID_wellbore=354	NO
355	25/2-3	25/2-3	\N	026	EXPLORATION	Elf Petroleum Norge AS	NO	DEEPSEA DRILLER	\N	1974-09-01	1974-10-09	DRY	P&A	1	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=355	http://www.npd.no/FactMapSearch?NPDID_wellbore=355	NO
356	25/2-4	25/2-4	LILLE-FRIGG	026	EXPLORATION	Elf Petroleum Norge AS	NO	NEPTUNE 7	\N	1975-05-14	1975-10-20	GAS/CONDENSATE	P&A	17	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=356	http://www.npd.no/FactMapSearch?NPDID_wellbore=356	YES
357	25/2-5	25/2-5	\N	026	EXPLORATION	Elf Petroleum Norge AS	NO	POLYGLOMAR DRILLER	\N	1976-03-08	1976-08-04	OIL/GAS	P&A	13	WILDCAT	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=357	http://www.npd.no/FactMapSearch?NPDID_wellbore=357	YES
358	25/2-6	25/2-6	FRØY	026	EXPLORATION	Elf Petroleum Norge AS	NO	POLYGLOMAR DRILLER	\N	1977-08-01	1977-11-15	OIL SHOWS	P&A	12	APPRAISAL	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=358	http://www.npd.no/FactMapSearch?NPDID_wellbore=358	NO
359	25/4-1	25/4-1	HEIMDAL	036	EXPLORATION	Elf Petroleum Norge AS	NO	NEPTUNE 7	\N	1972-07-01	1972-12-09	OIL/GAS	P&A	13	WILDCAT	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=359	http://www.npd.no/FactMapSearch?NPDID_wellbore=359	YES
360	25/4-2	25/4-2	\N	036	EXPLORATION	Elf Petroleum Norge AS	NO	NEPTUNE 7	\N	1973-10-18	1973-12-06	OIL	P&A	5	WILDCAT	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=360	http://www.npd.no/FactMapSearch?NPDID_wellbore=360	YES
361	25/4-3	25/4-3	\N	036	EXPLORATION	Elf Petroleum Norge AS	NO	DEEPSEA DRILLER	\N	1974-10-13	1974-11-22	OIL/GAS	P&A	13	WILDCAT	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=361	http://www.npd.no/FactMapSearch?NPDID_wellbore=361	YES
362	25/4-4	25/4-4	HEIMDAL	036	EXPLORATION	Elf Petroleum Norge AS	NO	ODIN DRILL	\N	1975-05-16	1975-07-07	OIL/GAS	P&A	13	APPRAISAL	116.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=362	http://www.npd.no/FactMapSearch?NPDID_wellbore=362	NO
363	25/8-2	25/8-2	\N	027	EXPLORATION	Esso Exploration and Production Norway A/S	NO	ROSS RIG	\N	1975-09-09	1975-10-01	DRY	P&A	1	WILDCAT	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=363	http://www.npd.no/FactMapSearch?NPDID_wellbore=363	NO
364	25/8-3	25/8-3	BALDER	027	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1981-03-20	1981-04-17	OIL	P&A	5	APPRAISAL	130.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=364	http://www.npd.no/FactMapSearch?NPDID_wellbore=364	NO
365	25/10-5	25/10-5	BALDER	028	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1981-06-15	1981-07-17	OIL	P&A	5	APPRAISAL	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=365	http://www.npd.no/FactMapSearch?NPDID_wellbore=365	NO
366	25/11-5	25/11-5	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DRILLMASTER	\N	1974-04-03	1974-05-08	OIL	P&A	5	APPRAISAL	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=366	http://www.npd.no/FactMapSearch?NPDID_wellbore=366	NO
367	25/11-6	25/11-6	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	NORSKALD	\N	1978-08-20	1978-10-01	OIL	P&A	5	APPRAISAL	125.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=367	http://www.npd.no/FactMapSearch?NPDID_wellbore=367	NO
368	25/11-7	25/11-7	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	NORSKALD	\N	1978-10-03	1978-10-27	OIL	P&A	5	APPRAISAL	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=368	http://www.npd.no/FactMapSearch?NPDID_wellbore=368	NO
369	25/11-8	25/11-8	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DYVI ALPHA	\N	1979-09-08	1979-10-16	OIL	P&A	5	APPRAISAL	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=369	http://www.npd.no/FactMapSearch?NPDID_wellbore=369	NO
370	25/11-10	25/11-10	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1981-01-20	1981-02-17	SHOWS	P&A	12	APPRAISAL	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=370	http://www.npd.no/FactMapSearch?NPDID_wellbore=370	NO
371	25/11-11	25/11-11	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1981-02-18	1981-03-18	OIL	P&A	5	APPRAISAL	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=371	http://www.npd.no/FactMapSearch?NPDID_wellbore=371	NO
372	25/11-12	25/11-12	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1981-04-18	1981-05-07	SHOWS	P&A	12	APPRAISAL	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=372	http://www.npd.no/FactMapSearch?NPDID_wellbore=372	NO
373	25/11-13	25/11-13	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1981-05-10	1981-05-29	OIL	P&A	5	APPRAISAL	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=373	http://www.npd.no/FactMapSearch?NPDID_wellbore=373	NO
374	25/12-1	25/12-1	\N	010	EXPLORATION	A/S Norske Shell	NO	SEDCO 135 G	\N	1973-10-03	1973-12-23	DRY	P&A	1	WILDCAT	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=374	http://www.npd.no/FactMapSearch?NPDID_wellbore=374	NO
375	29/6-1	29/6-1	MARTIN LINGE	043	EXPLORATION	BP Norway Limited  U.A.	NO	SEDCO 707	\N	1981-10-12	1982-05-09	GAS/CONDENSATE	P&A	17	WILDCAT	124.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=375	http://www.npd.no/FactMapSearch?NPDID_wellbore=375	YES
376	30/3-1	30/3-1	HULDRA	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORSKALD	\N	1979-06-11	1979-09-07	SHOWS	SUSP.REENTERED LATER	12	APPRAISAL	138.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=376	http://www.npd.no/FactMapSearch?NPDID_wellbore=376	NO
377	30/4-1	30/4-1	\N	043	EXPLORATION	BP Norway Limited  U.A.	NO	SEDCO 707	\N	1978-11-01	1979-05-14	DRY	P&A	1	WILDCAT	120.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=377	http://www.npd.no/FactMapSearch?NPDID_wellbore=377	NO
378	30/4-2	30/4-2	MARTIN LINGE	043	EXPLORATION	BP Norway Limited  U.A.	NO	SEDCO 707	\N	1979-11-16	1980-05-15	GAS/CONDENSATE	P&A	17	APPRAISAL	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=378	http://www.npd.no/FactMapSearch?NPDID_wellbore=378	NO
379	30/5-1	30/5-1	\N	034	EXPLORATION	A/S Norske Shell	NO	TRANSWORLD RIG61	\N	1972-05-17	1972-07-29	GAS SHOWS	P&A	12	WILDCAT	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=379	http://www.npd.no/FactMapSearch?NPDID_wellbore=379	NO
380	30/6-1	30/6-1	OSEBERG	053	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1979-06-19	1979-09-22	GAS	P&A	9	WILDCAT	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=380	http://www.npd.no/FactMapSearch?NPDID_wellbore=380	YES
381	30/6-2	30/6-2	OSEBERG	053	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1979-09-24	1979-12-10	OIL/GAS	P&A	13	APPRAISAL	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=381	http://www.npd.no/FactMapSearch?NPDID_wellbore=381	NO
382	30/6-3	30/6-3	OSEBERG	053	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1979-12-16	1980-03-07	OIL/GAS	P&A	13	APPRAISAL	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=382	http://www.npd.no/FactMapSearch?NPDID_wellbore=382	NO
383	30/6-4	30/6-4	OSEBERG	053	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1981-02-17	1981-05-11	OIL/GAS	P&A	13	APPRAISAL	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=383	http://www.npd.no/FactMapSearch?NPDID_wellbore=383	NO
384	30/7-1	30/7-1	\N	040	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLYGLOMAR DRILLER	\N	1975-07-05	1975-08-05	DRY	JUNKED	1	WILDCAT	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=384	http://www.npd.no/FactMapSearch?NPDID_wellbore=384	NO
385	30/7-2	30/7-2	MARTIN LINGE	040	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLYGLOMAR DRILLER	\N	1975-08-06	1975-11-09	OIL/GAS	P&A	13	WILDCAT	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=385	http://www.npd.no/FactMapSearch?NPDID_wellbore=385	YES
386	30/7-3	30/7-3	\N	040	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLYGLOMAR DRILLER	\N	1976-08-06	1976-10-25	DRY	P&A	1	WILDCAT	99.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=386	http://www.npd.no/FactMapSearch?NPDID_wellbore=386	NO
387	30/7-4	30/7-4	\N	040	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLYGLOMAR DRILLER	\N	1977-01-25	1977-02-05	DRY	JUNKED	1	WILDCAT	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=387	http://www.npd.no/FactMapSearch?NPDID_wellbore=387	NO
388	30/7-5	30/7-5	\N	040	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLYGLOMAR DRILLER	\N	1977-02-05	1977-02-13	DRY	JUNKED	1	WILDCAT	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=388	http://www.npd.no/FactMapSearch?NPDID_wellbore=388	NO
389	30/7-6	30/7-6	\N	040	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLYGLOMAR DRILLER	\N	1977-02-14	1977-07-29	DRY	SUSP.REENTERED LATER	1	WILDCAT	116.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=389	http://www.npd.no/FactMapSearch?NPDID_wellbore=389	NO
390	30/7-7	30/7-7	\N	040	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1978-12-18	1979-07-01	GAS SHOWS	P&A	12	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=390	http://www.npd.no/FactMapSearch?NPDID_wellbore=390	NO
391	30/10-1	30/10-1	FRIGG	030	EXPLORATION	Esso Exploration and Production Norway A/S	NO	SAIPEM II	\N	1973-05-05	1973-07-18	OIL/GAS	JUNKED	13	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=391	http://www.npd.no/FactMapSearch?NPDID_wellbore=391	NO
392	30/10-2	30/10-2	ODIN	030	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DRILLMASTER	\N	1973-12-24	1974-03-28	GAS	P&A	9	WILDCAT	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=392	http://www.npd.no/FactMapSearch?NPDID_wellbore=392	YES
393	30/10-3	30/10-3	ODIN	030	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DRILLMASTER	\N	1974-08-08	1974-08-31	GAS	P&A	9	APPRAISAL	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=393	http://www.npd.no/FactMapSearch?NPDID_wellbore=393	NO
394	30/10-4	30/10-4	FRIGG	030	EXPLORATION	Esso Exploration and Production Norway A/S	NO	NEPTUNE 7	\N	1974-09-11	1974-09-25	DRY	JUNKED	1	APPRAISAL	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=394	http://www.npd.no/FactMapSearch?NPDID_wellbore=394	NO
395	30/10-5	30/10-5	FRIGG	030	EXPLORATION	Esso Exploration and Production Norway A/S	NO	NEPTUNE 7	\N	1974-08-25	1975-05-01	OIL/GAS	P&A	13	APPRAISAL	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=395	http://www.npd.no/FactMapSearch?NPDID_wellbore=395	NO
396	30/11-1	30/11-1	\N	035	EXPLORATION	A/S Norske Shell	NO	OCEAN VOYAGER	\N	1975-02-05	1975-03-14	DRY	P&A	1	WILDCAT	114.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=396	http://www.npd.no/FactMapSearch?NPDID_wellbore=396	NO
397	30/11-2	30/11-2	\N	035	EXPLORATION	A/S Norske Shell	NO	OCEAN VOYAGER	\N	1975-03-18	1975-04-16	DRY	P&A	1	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=397	http://www.npd.no/FactMapSearch?NPDID_wellbore=397	NO
398	31/2-1	31/2-1	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1979-07-17	1979-11-09	OIL/GAS	SUSP.REENTERED LATER	13	WILDCAT	324.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=398	http://www.npd.no/FactMapSearch?NPDID_wellbore=398	YES
399	31/2-6	31/2-6	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1981-07-21	1981-10-17	OIL/GAS	P&A	13	APPRAISAL	343.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=399	http://www.npd.no/FactMapSearch?NPDID_wellbore=399	NO
400	31/4-1	31/4-1	\N	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORSKALD	\N	1979-09-09	1979-09-25	DRY	JUNKED	1	WILDCAT	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=400	http://www.npd.no/FactMapSearch?NPDID_wellbore=400	NO
401	31/4-2	31/4-2	\N	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORSKALD	\N	1979-09-25	1979-11-15	OIL SHOWS	P&A	12	WILDCAT	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=401	http://www.npd.no/FactMapSearch?NPDID_wellbore=401	NO
402	31/4-3	31/4-3	BRAGE	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1979-12-24	1980-05-11	OIL/GAS	P&A	13	WILDCAT	170.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=402	http://www.npd.no/FactMapSearch?NPDID_wellbore=402	YES
403	31/4-5	31/4-5	BRAGE	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1981-05-27	1981-07-29	OIL	P&A	5	APPRAISAL	148.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=403	http://www.npd.no/FactMapSearch?NPDID_wellbore=403	NO
404	31/6-4	31/6-4	TROLL	085	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1984-03-05	1984-03-16	DRY	JUNKED	1	APPRAISAL	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=404	http://www.npd.no/FactMapSearch?NPDID_wellbore=404	NO
405	33/5-2	33/5-2	\N	047	EXPLORATION	Norsk Hydro Produksjon AS	NO	NORTRYM	\N	1981-07-31	1981-11-18	OIL SHOWS	P&A	12	WILDCAT	309.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=405	http://www.npd.no/FactMapSearch?NPDID_wellbore=405	NO
406	33/6-1	33/6-1	\N	049	EXPLORATION	Norsk Agip  AS	NO	FERNSTAR	\N	1979-04-09	1979-07-06	DRY	P&A	1	WILDCAT	306.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=406	http://www.npd.no/FactMapSearch?NPDID_wellbore=406	NO
990	7323/7-U-9	7323/7-U-9	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-06-28	1986-07-29	\N	P&A	0	\N	420.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=990	\N	NO
407	33/9-1	33/9-1	STATFJORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	NORSKALD	\N	1974-04-02	1974-06-04	OIL	P&A	5	APPRAISAL	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=407	http://www.npd.no/FactMapSearch?NPDID_wellbore=407	NO
408	33/9-2	33/9-2	STATFJORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	NORSKALD	\N	1974-08-25	1974-09-14	DRY	JUNKED	1	APPRAISAL	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=408	http://www.npd.no/FactMapSearch?NPDID_wellbore=408	NO
409	33/9-4	33/9-4	STATFJORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	NORSKALD	\N	1975-07-30	1975-09-17	OIL	P&A	5	APPRAISAL	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=409	http://www.npd.no/FactMapSearch?NPDID_wellbore=409	NO
410	33/9-5	33/9-5	STATFJORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	ROSS RIG	\N	1975-10-27	1976-01-01	OIL	P&A	5	APPRAISAL	152.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=410	http://www.npd.no/FactMapSearch?NPDID_wellbore=410	NO
411	33/9-6	33/9-6	\N	037	EXPLORATION	Mobil Exploration Norway INC	NO	DYVI ALPHA	\N	1976-06-23	1976-08-31	OIL	P&A	5	WILDCAT	153.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=411	http://www.npd.no/FactMapSearch?NPDID_wellbore=411	YES
412	33/9-7	33/9-7	STATFJORD ØST	037	EXPLORATION	Mobil Exploration Norway INC	NO	DYVI ALPHA	\N	1976-09-06	1976-11-07	OIL	P&A	5	WILDCAT	155.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=412	http://www.npd.no/FactMapSearch?NPDID_wellbore=412	YES
413	33/9-8	33/9-8	STATFJORD NORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	DEEPSEA SAGA	\N	1976-11-11	1977-02-18	OIL	P&A	5	WILDCAT	265.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=413	http://www.npd.no/FactMapSearch?NPDID_wellbore=413	YES
414	33/9-9	33/9-9	STATFJORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	BORGNY DOLPHIN	\N	1977-07-27	1977-11-17	OIL/GAS	P&A	13	APPRAISAL	145.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=414	http://www.npd.no/FactMapSearch?NPDID_wellbore=414	NO
415	33/9-10	33/9-10	\N	037	EXPLORATION	Mobil Exploration Norway INC	NO	FERNSTAR	\N	1978-04-08	1978-06-12	DRY	P&A	1	WILDCAT	162.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=415	http://www.npd.no/FactMapSearch?NPDID_wellbore=415	NO
416	33/9-11	33/9-11	\N	037	EXPLORATION	Mobil Exploration Norway INC	NO	FERNSTAR	\N	1978-06-17	1978-08-28	DRY	P&A	1	WILDCAT	287.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=416	http://www.npd.no/FactMapSearch?NPDID_wellbore=416	NO
417	33/12-1	33/12-1	STATFJORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	WAAGE DRILL I	\N	1973-12-01	1974-04-18	OIL	P&A	5	WILDCAT	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=417	http://www.npd.no/FactMapSearch?NPDID_wellbore=417	YES
418	33/12-2	33/12-2	STATFJORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	NORSKALD	\N	1974-06-06	1974-08-23	OIL	P&A	5	APPRAISAL	147.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=418	http://www.npd.no/FactMapSearch?NPDID_wellbore=418	NO
419	34/10-A-2	34/10-A-2 H	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	GULLFAKS A	1985-10-28	1985-11-26	NOT AVAILABLE	PLUGGED	71	PRODUCTION	139.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=419	http://www.npd.no/FactMapSearch?NPDID_wellbore=419	NO
420	34/2-1	34/2-1	\N	056	EXPLORATION	Amoco Norway Oil Company	NO	BYFORD DOLPHIN	\N	1979-12-29	1980-02-23	DRY	JUNKED	1	WILDCAT	389.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=420	http://www.npd.no/FactMapSearch?NPDID_wellbore=420	NO
421	34/2-3	34/2-3	\N	056	EXPLORATION	Amoco Norway Oil Company	NO	SEDCO 703	\N	1981-05-15	1981-08-13	SHOWS	P&A	12	WILDCAT	388.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=421	http://www.npd.no/FactMapSearch?NPDID_wellbore=421	NO
422	34/4-1	34/4-1	SNORRE	057	EXPLORATION	Saga Petroleum ASA	NO	BYFORD DOLPHIN	\N	1979-07-11	1979-12-16	OIL	P&A	5	WILDCAT	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=422	http://www.npd.no/FactMapSearch?NPDID_wellbore=422	YES
423	34/4-3	34/4-3	\N	057	EXPLORATION	Saga Petroleum ASA	NO	DYVI ALPHA	\N	1981-10-16	1982-03-30	DRY	P&A	1	WILDCAT	366.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=423	http://www.npd.no/FactMapSearch?NPDID_wellbore=423	NO
424	34/10-1	34/10-1	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1978-06-20	1978-09-08	OIL	P&A	5	WILDCAT	138.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=424	http://www.npd.no/FactMapSearch?NPDID_wellbore=424	YES
425	34/10-2	34/10-2	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1978-09-09	1978-12-08	OIL/GAS	P&A	13	WILDCAT	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=425	http://www.npd.no/FactMapSearch?NPDID_wellbore=425	YES
426	34/10-3	34/10-3	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORSKALD	\N	1979-03-14	1979-06-07	OIL	SUSP.REENTERED LATER	5	APPRAISAL	140.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=426	http://www.npd.no/FactMapSearch?NPDID_wellbore=426	NO
427	34/10-4	34/10-4	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1979-08-12	1979-10-15	OIL	P&A	5	APPRAISAL	197.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=427	http://www.npd.no/FactMapSearch?NPDID_wellbore=427	NO
428	34/10-5	34/10-5	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1979-10-18	1980-01-02	OIL	P&A	5	APPRAISAL	136.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=428	http://www.npd.no/FactMapSearch?NPDID_wellbore=428	NO
429	34/10-6	34/10-6	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	BORGNY DOLPHIN	\N	1979-11-13	1980-01-22	DRY	P&A	1	APPRAISAL	222.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=429	http://www.npd.no/FactMapSearch?NPDID_wellbore=429	NO
430	34/10-10	34/10-10	\N	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	NORSKALD	\N	1980-08-15	1980-08-21	DRY	SUSP.REENTERED LATER	1	WILDCAT	154.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=430	http://www.npd.no/FactMapSearch?NPDID_wellbore=430	NO
431	34/10-13	34/10-13	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1981-08-24	1982-01-05	OIL	P&A	5	APPRAISAL	214.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=431	http://www.npd.no/FactMapSearch?NPDID_wellbore=431	NO
432	35/3-1	35/3-1	\N	041	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA SAGA	\N	1976-07-19	1976-10-26	DRY	P&A	1	WILDCAT	304.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=432	http://www.npd.no/FactMapSearch?NPDID_wellbore=432	NO
433	35/3-5	35/3-5	\N	041	EXPLORATION	Saga Petroleum ASA	NO	WEST VENTURE OLD	\N	1981-12-22	1982-03-31	DRY	P&A	1	WILDCAT	262.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=433	http://www.npd.no/FactMapSearch?NPDID_wellbore=433	NO
434	35/8-2	35/8-2	VEGA	058	EXPLORATION	Norwegian Gulf Exploration Company AS	NO	SEDCO 704	\N	1981-08-30	1982-05-21	GAS/CONDENSATE	P&A	17	WILDCAT	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=434	http://www.npd.no/FactMapSearch?NPDID_wellbore=434	YES
435	36/1-1	36/1-1	\N	042	EXPLORATION	Amoco Norway Oil Company	NO	DYVI ALPHA	\N	1975-05-09	1975-06-14	DRY	P&A	1	WILDCAT	165.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=435	http://www.npd.no/FactMapSearch?NPDID_wellbore=435	NO
436	36/1-2	36/1-2	\N	042	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA SAGA	\N	1975-08-26	1975-10-27	SHOWS	P&A	12	WILDCAT	226.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=436	http://www.npd.no/FactMapSearch?NPDID_wellbore=436	NO
437	6507/12-2	6507/12-2	\N	059	EXPLORATION	Saga Petroleum ASA	NO	BYFORD DOLPHIN	\N	1981-06-09	1981-11-24	SHOWS	P&A	12	WILDCAT	261.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=437	http://www.npd.no/FactMapSearch?NPDID_wellbore=437	NO
438	15/12-4	15/12-4	VARG	038	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1984-09-13	1984-10-31	OIL	P&A	5	WILDCAT	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=438	http://www.npd.no/FactMapSearch?NPDID_wellbore=438	YES
439	31/2-15	31/2-15	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1984-09-10	1984-11-15	OIL/GAS	P&A	13	APPRAISAL	343.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=439	http://www.npd.no/FactMapSearch?NPDID_wellbore=439	NO
440	25/4-A-10	25/4-A-10	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1985-11-21	1986-04-06	GAS	CLOSED	90	PRODUCTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=440	http://www.npd.no/FactMapSearch?NPDID_wellbore=440	NO
441	25/10-1	25/10-1	BALDER	028	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1969-08-04	1969-10-16	SHOWS	SUSP.REENTERED LATER	12	APPRAISAL	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=441	http://www.npd.no/FactMapSearch?NPDID_wellbore=441	NO
442	34/7-3	34/7-3	SNORRE	089	EXPLORATION	Saga Petroleum ASA	NO	VILDKAT EXPLORER	\N	1984-09-14	1985-01-02	OIL	P&A	5	APPRAISAL	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=442	http://www.npd.no/FactMapSearch?NPDID_wellbore=442	NO
443	24/6-1	24/6-1	\N	088	EXPLORATION	Total Norge AS	NO	ZAPATA UGLAND	\N	1985-02-09	1985-08-25	GAS/CONDENSATE	P&A	17	WILDCAT	122.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=443	http://www.npd.no/FactMapSearch?NPDID_wellbore=443	YES
444	6407/6-1	6407/6-1	\N	092	EXPLORATION	Den norske stats oljeselskap a.s	NO	ZAPATA UGLAND	\N	1984-09-16	1984-10-26	DRY	P&A	1	WILDCAT	226.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=444	http://www.npd.no/FactMapSearch?NPDID_wellbore=444	NO
445	6609/5-1	6609/5-1	\N	080	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1984-11-03	1985-01-05	SHOWS	P&A	12	WILDCAT	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=445	http://www.npd.no/FactMapSearch?NPDID_wellbore=445	NO
446	34/10-22	34/10-22	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1984-10-25	1984-11-05	GAS	P&A	9	APPRAISAL	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=446	http://www.npd.no/FactMapSearch?NPDID_wellbore=446	NO
447	31/3-3	31/3-3	\N	085	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1984-10-13	1984-11-18	DRY	P&A	1	WILDCAT	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=447	http://www.npd.no/FactMapSearch?NPDID_wellbore=447	NO
448	7/8-4	7/8-4	\N	069	EXPLORATION	Conoco Norway Inc.	NO	NORTRYM	\N	1984-12-11	1985-02-20	DRY	P&A	1	WILDCAT	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=448	http://www.npd.no/FactMapSearch?NPDID_wellbore=448	NO
449	6407/9-2	6407/9-2	DRAUGEN	093	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1984-11-18	1985-02-02	OIL	P&A	5	APPRAISAL	247.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=449	http://www.npd.no/FactMapSearch?NPDID_wellbore=449	NO
450	6/3-1	6/3-1	GAUPE	086	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1984-11-02	1985-02-01	OIL/GAS	P&A	13	WILDCAT	86.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=450	http://www.npd.no/FactMapSearch?NPDID_wellbore=450	YES
451	16/3-1	16/3-1	\N	007	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLYGLOMAR DRILLER	\N	1976-01-31	1976-02-10	DRY	JUNKED	1	WILDCAT	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=451	http://www.npd.no/FactMapSearch?NPDID_wellbore=451	NO
452	30/9-4	30/9-4 S	OSEBERG SØR	079	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1984-11-22	1985-03-30	OIL/GAS	P&A	13	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=452	http://www.npd.no/FactMapSearch?NPDID_wellbore=452	YES
453	34/10-29	34/10-29	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VENTURE OLD	\N	1985-12-27	1986-01-26	GAS	P&A	9	APPRAISAL	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=453	http://www.npd.no/FactMapSearch?NPDID_wellbore=453	NO
454	7/12-2	7/12-2 R	ULA	019	EXPLORATION	BP Norway Limited  U.A.	NO	DYVI ALPHA	\N	1984-03-24	1984-04-29	OIL	P&A	5	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=454	http://www.npd.no/FactMapSearch?NPDID_wellbore=454	NO
455	34/7-4	34/7-4	SNORRE	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1984-11-19	1985-01-16	OIL	P&A	5	APPRAISAL	319.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=455	http://www.npd.no/FactMapSearch?NPDID_wellbore=455	NO
456	7120/6-1	7120/6-1	SNØHVIT	097	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1985-02-02	1985-05-02	OIL/GAS	P&A	13	APPRAISAL	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=456	http://www.npd.no/FactMapSearch?NPDID_wellbore=456	NO
991	7228/3-U-1	7228/3-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-07-01	1986-08-31	\N	P&A	0	\N	294.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=991	\N	NO
457	30/2-2	30/2-2	HULDRA	051	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1984-12-19	1985-05-04	GAS/CONDENSATE	P&A	17	APPRAISAL	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=457	http://www.npd.no/FactMapSearch?NPDID_wellbore=457	NO
458	34/7-5	34/7-5	STATFJORD ØST	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1985-01-17	1985-03-16	OIL	P&A	5	APPRAISAL	244.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=458	http://www.npd.no/FactMapSearch?NPDID_wellbore=458	NO
459	2/1-8	2/1-8	GYDA	019 B	EXPLORATION	BP Norway Limited  U.A.	NO	NEDDRILL TRIGON	\N	1985-07-28	1985-11-23	OIL	P&A	5	APPRAISAL	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=459	http://www.npd.no/FactMapSearch?NPDID_wellbore=459	NO
460	30/3-4	30/3-4	VESLEFRIKK	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1985-02-05	1985-06-12	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	164.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=460	http://www.npd.no/FactMapSearch?NPDID_wellbore=460	NO
461	7121/4-2	7121/4-2	SNØHVIT	099	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1985-01-29	1985-04-14	GAS/CONDENSATE	P&A	17	WILDCAT	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=461	http://www.npd.no/FactMapSearch?NPDID_wellbore=461	YES
462	6506/12-2	6506/12-2	\N	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1985-02-12	1985-02-28	DRY	JUNKED	1	WILDCAT	310.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=462	http://www.npd.no/FactMapSearch?NPDID_wellbore=462	NO
463	25/1-7	25/1-7	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	\N	1985-03-08	1985-05-26	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=463	http://www.npd.no/FactMapSearch?NPDID_wellbore=463	NO
464	6507/7-2	6507/7-2	HEIDRUN	095	EXPLORATION	Conoco Norway Inc.	NO	NORTRYM	\N	1985-02-25	1985-06-10	OIL/GAS	P&A	13	WILDCAT	351.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=464	http://www.npd.no/FactMapSearch?NPDID_wellbore=464	YES
465	34/7-6	34/7-6	SNORRE	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1985-03-17	1985-05-30	OIL	P&A	5	APPRAISAL	307.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=465	http://www.npd.no/FactMapSearch?NPDID_wellbore=465	NO
466	31/6-8	31/6-8	TROLL	085	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1985-04-14	1985-05-25	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	300.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=466	http://www.npd.no/FactMapSearch?NPDID_wellbore=466	NO
467	34/2-4	34/2-4	\N	056	EXPLORATION	Amoco Norway Oil Company	NO	WEST VENTURE OLD	\N	1985-03-22	1985-06-11	OIL SHOWS	P&A	12	WILDCAT	391.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=467	http://www.npd.no/FactMapSearch?NPDID_wellbore=467	NO
468	6506/12-3	6506/12-3	ÅSGARD	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1985-03-02	1985-07-17	OIL/GAS	P&A	13	WILDCAT	301.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=468	http://www.npd.no/FactMapSearch?NPDID_wellbore=468	YES
469	6407/9-3	6407/9-3	DRAUGEN	093	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1985-05-03	1985-07-28	OIL	RE-CLASS TO DEV	5	APPRAISAL	279.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=469	http://www.npd.no/FactMapSearch?NPDID_wellbore=469	NO
470	6507/11-3	6507/11-3	ÅSGARD	062	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1985-06-03	1985-08-15	OIL/GAS	P&A	13	APPRAISAL	290.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=470	http://www.npd.no/FactMapSearch?NPDID_wellbore=470	NO
471	7120/5-1	7120/5-1	\N	110	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1985-04-17	1985-06-06	SHOWS	P&A	12	WILDCAT	296.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=471	http://www.npd.no/FactMapSearch?NPDID_wellbore=471	NO
472	25/1-8	25/1-8 S	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	\N	1985-05-28	1985-07-25	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=472	http://www.npd.no/FactMapSearch?NPDID_wellbore=472	NO
473	7120/2-1	7120/2-1	\N	109	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1985-05-05	1985-10-29	OIL SHOWS	P&A	12	WILDCAT	387.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=473	http://www.npd.no/FactMapSearch?NPDID_wellbore=473	NO
474	6407/7-1	6407/7-1 S	NJORD	107	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1985-10-19	1986-04-07	OIL/GAS	P&A	13	WILDCAT	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=474	http://www.npd.no/FactMapSearch?NPDID_wellbore=474	YES
475	6506/12-4	6506/12-4	\N	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI STENA	\N	1985-03-24	1985-08-13	SHOWS	P&A	12	WILDCAT	257.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=475	http://www.npd.no/FactMapSearch?NPDID_wellbore=475	NO
476	34/10-23	34/10-23	VALEMON	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1985-05-06	1985-10-13	GAS	P&A	9	WILDCAT	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=476	http://www.npd.no/FactMapSearch?NPDID_wellbore=476	YES
477	25/2-9	25/2-9	ØST FRIGG	026	EXPLORATION	Elf Petroleum Norge AS	NO	NORTRYM	\N	1985-06-15	1985-07-24	OIL/GAS	P&A	13	APPRAISAL	112.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=477	http://www.npd.no/FactMapSearch?NPDID_wellbore=477	NO
478	30/9-5	30/9-5 S	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1985-05-27	1985-07-19	GAS	P&A	9	WILDCAT	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=478	http://www.npd.no/FactMapSearch?NPDID_wellbore=478	YES
479	7121/5-1	7121/5-1	SNØHVIT	110	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1985-06-07	1985-09-28	OIL/GAS	P&A	13	APPRAISAL	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=479	http://www.npd.no/FactMapSearch?NPDID_wellbore=479	NO
480	6407/9-4	6407/9-4	DRAUGEN	093	EXPLORATION	A/S Norske Shell	NO	WEST VENTURE OLD	\N	1985-07-04	1985-09-10	OIL	P&A	5	APPRAISAL	244.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=480	http://www.npd.no/FactMapSearch?NPDID_wellbore=480	NO
481	33/9-A-17	33/9-A-17	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1985-05-13	1985-07-19	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=481	http://www.npd.no/FactMapSearch?NPDID_wellbore=481	NO
482	6507/7-3	6507/7-3	HEIDRUN	095	EXPLORATION	Conoco Norway Inc.	NO	NORTRYM	\N	1985-07-29	1985-09-18	OIL/GAS	RE-CLASS TO DEV	13	APPRAISAL	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=482	http://www.npd.no/FactMapSearch?NPDID_wellbore=482	NO
483	34/10-24	34/10-24	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1985-06-30	1985-08-05	GAS	P&A	9	APPRAISAL	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=483	http://www.npd.no/FactMapSearch?NPDID_wellbore=483	NO
484	7120/1-1	7120/1-1	\N	108	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1985-08-16	1985-11-15	OIL/GAS SHOWS	SUSP.REENTERED LATER	12	WILDCAT	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=484	http://www.npd.no/FactMapSearch?NPDID_wellbore=484	NO
485	6507/12-3	6507/12-3	\N	059	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1985-08-16	1985-09-13	DRY	P&A	1	WILDCAT	240.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=485	http://www.npd.no/FactMapSearch?NPDID_wellbore=485	NO
486	6406/6-1	6406/6-1	\N	105	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI STENA	\N	1985-08-15	1985-12-30	SHOWS	P&A	12	WILDCAT	243.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=486	http://www.npd.no/FactMapSearch?NPDID_wellbore=486	NO
487	30/6-17	30/6-17	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1985-08-12	1985-08-24	DRY	SUSP.REENTERED LATER	1	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=487	http://www.npd.no/FactMapSearch?NPDID_wellbore=487	NO
488	30/6-18	30/6-18	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	BYFORD DOLPHIN	\N	1985-08-01	1985-11-23	OIL/GAS	P&A	13	WILDCAT	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=488	http://www.npd.no/FactMapSearch?NPDID_wellbore=488	YES
489	30/6-19	30/6-19	OSEBERG ØST	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1986-04-09	1986-06-21	OIL/GAS	SUSP.REENTERED LATER	13	WILDCAT	159.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=489	http://www.npd.no/FactMapSearch?NPDID_wellbore=489	YES
490	6407/4-1	6407/4-1	\N	106	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1985-07-20	1985-11-15	GAS/CONDENSATE	P&A	17	WILDCAT	225.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=490	http://www.npd.no/FactMapSearch?NPDID_wellbore=490	YES
491	35/3-3	35/3-3	\N	041	EXPLORATION	Saga Petroleum ASA	NO	BYFORD DOLPHIN	\N	1980-10-30	1980-11-28	DRY	JUNKED	1	WILDCAT	259.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=491	http://www.npd.no/FactMapSearch?NPDID_wellbore=491	NO
492	6407/9-5	6407/9-5	DRAUGEN	093	EXPLORATION	A/S Norske Shell	NO	WEST VENTURE OLD	\N	1985-09-12	1985-11-13	OIL	\N	5	APPRAISAL	286.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=492	http://www.npd.no/FactMapSearch?NPDID_wellbore=492	NO
493	31/6-8	31/6-8 R	TROLL	085	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1985-07-22	1985-09-22	OIL/GAS	P&A	13	APPRAISAL	300.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=493	http://www.npd.no/FactMapSearch?NPDID_wellbore=493	NO
494	34/10-16	34/10-16 R	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1983-08-31	1983-09-27	OIL/GAS	P&A	13	APPRAISAL	138.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=494	http://www.npd.no/FactMapSearch?NPDID_wellbore=494	NO
495	34/10-9	34/10-9 R	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1980-05-29	1980-07-03	OIL	P&A	5	APPRAISAL	202.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=495	http://www.npd.no/FactMapSearch?NPDID_wellbore=495	NO
496	34/10-7	34/10-7 R	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1983-05-31	1983-07-14	OIL	P&A	5	APPRAISAL	204.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=496	http://www.npd.no/FactMapSearch?NPDID_wellbore=496	NO
497	34/2-2	34/2-2 R	\N	056	EXPLORATION	Amoco Norway Oil Company	NO	SEDCO 703	\N	1980-12-12	1981-05-08	DRY	P&A	1	WILDCAT	386.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=497	http://www.npd.no/FactMapSearch?NPDID_wellbore=497	NO
498	31/6-2	31/6-2 R	TROLL	085	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1984-07-31	1984-09-08	GAS	P&A	9	APPRAISAL	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=498	http://www.npd.no/FactMapSearch?NPDID_wellbore=498	NO
499	31/5-2	31/5-2 R	TROLL	085	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1984-06-13	1984-08-30	OIL/GAS	P&A	13	APPRAISAL	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=499	http://www.npd.no/FactMapSearch?NPDID_wellbore=499	NO
500	31/2-5	31/2-5 R	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1981-06-12	1981-07-20	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=500	http://www.npd.no/FactMapSearch?NPDID_wellbore=500	NO
501	31/2-5	31/2-5 R2	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1984-03-22	1984-04-22	OIL/GAS	P&A	13	APPRAISAL	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=501	http://www.npd.no/FactMapSearch?NPDID_wellbore=501	NO
502	31/2-4	31/2-4 R	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1980-10-09	1981-04-06	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=502	http://www.npd.no/FactMapSearch?NPDID_wellbore=502	NO
503	31/2-4	31/2-4 R2	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1982-11-04	1982-11-12	OIL/GAS	P&A	13	APPRAISAL	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=503	http://www.npd.no/FactMapSearch?NPDID_wellbore=503	NO
504	31/2-2	31/2-2 R	TROLL	054	EXPLORATION	A/S Norske Shell	NO	WEST VENTURE OLD	\N	1980-06-02	1980-10-06	OIL/GAS	P&A	13	APPRAISAL	323.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=504	http://www.npd.no/FactMapSearch?NPDID_wellbore=504	NO
505	31/2-1	31/2-1 R	TROLL	054	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1981-10-26	1981-11-09	OIL/GAS	P&A	13	WILDCAT	324.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=505	http://www.npd.no/FactMapSearch?NPDID_wellbore=505	NO
506	30/7-8	30/7-8 R	MARTIN LINGE	040	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1981-09-23	1982-01-27	GAS/CONDENSATE	P&A	17	APPRAISAL	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=506	http://www.npd.no/FactMapSearch?NPDID_wellbore=506	NO
507	30/7-6	30/7-6 R	MARTIN LINGE	040	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1978-04-18	1978-06-03	GAS/CONDENSATE	P&A	17	WILDCAT	116.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=507	http://www.npd.no/FactMapSearch?NPDID_wellbore=507	YES
508	30/3-2	30/3-2 R	VESLEFRIKK	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1980-09-02	1981-02-16	OIL/GAS	P&A	13	WILDCAT	186.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=508	http://www.npd.no/FactMapSearch?NPDID_wellbore=508	YES
509	30/3-1	30/3-1 R	HULDRA	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1982-02-01	1982-04-26	SHOWS	P&A	12	APPRAISAL	138.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=509	http://www.npd.no/FactMapSearch?NPDID_wellbore=509	NO
510	25/10-4	25/10-4 R	BALDER	028	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR BISCAY II	\N	1981-06-01	1981-06-13	OIL	P&A	5	APPRAISAL	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=510	http://www.npd.no/FactMapSearch?NPDID_wellbore=510	NO
511	25/10-2	25/10-2 R	\N	028	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1972-05-02	1972-07-08	OIL SHOWS	P&A	12	WILDCAT	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=511	http://www.npd.no/FactMapSearch?NPDID_wellbore=511	NO
512	25/10-1	25/10-1 R	BALDER	028	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1970-07-09	1970-08-03	SHOWS	P&A	12	APPRAISAL	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=512	http://www.npd.no/FactMapSearch?NPDID_wellbore=512	NO
513	24/12-1	24/12-1 R	\N	045	EXPLORATION	Den norske stats oljeselskap a.s	NO	TREASURE SEEKER	\N	1978-06-07	1978-08-14	OIL SHOWS	P&A	12	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=513	http://www.npd.no/FactMapSearch?NPDID_wellbore=513	NO
514	17/12-1	17/12-1 R	\N	016	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1972-03-14	1972-06-21	OIL	P&A	5	WILDCAT	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=514	http://www.npd.no/FactMapSearch?NPDID_wellbore=514	YES
515	17/9-1	17/9-1 R	\N	002	EXPLORATION	Esso Exploration and Production Norway A/S	NO	GLOMAR GRAND ISLE	\N	1974-05-18	1974-06-11	DRY	P&A	1	WILDCAT	159.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=515	http://www.npd.no/FactMapSearch?NPDID_wellbore=515	NO
516	15/9-12	15/9-12 R	SLEIPNER VEST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA SAGA	\N	1982-03-26	1982-04-27	GAS/CONDENSATE	P&A	17	APPRAISAL	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=516	http://www.npd.no/FactMapSearch?NPDID_wellbore=516	NO
517	15/6-2	15/6-2 R	\N	029	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DRILLMASTER	\N	1974-05-09	1974-08-01	GAS/CONDENSATE	P&A	17	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=517	http://www.npd.no/FactMapSearch?NPDID_wellbore=517	NO
518	7/12-4	7/12-4 R	ULA	019	EXPLORATION	BP Norway Limited  U.A.	NO	DYVI ALPHA	\N	1984-03-16	1984-03-20	OIL	P&A	5	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=518	http://www.npd.no/FactMapSearch?NPDID_wellbore=518	NO
519	7/11-7	7/11-7 R	COD	018	EXPLORATION	Phillips Petroleum Company Norway	NO	COD	\N	1984-09-29	1984-10-08	OIL	RE-CLASS TO DEV	5	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=519	http://www.npd.no/FactMapSearch?NPDID_wellbore=519	NO
520	34/10-A-12	34/10-A-12	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1987-10-26	1987-12-22	WATER	INJECTING	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=520	http://www.npd.no/FactMapSearch?NPDID_wellbore=520	NO
521	7121/1-1	7121/1-1	\N	111	EXPLORATION	Esso Exploration and Production Norway A/S	NO	ZAPATA UGLAND	\N	1985-10-10	1985-11-13	DRY	SUSP.REENTERED LATER	1	WILDCAT	369.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=521	http://www.npd.no/FactMapSearch?NPDID_wellbore=521	NO
522	6407/6-2	6407/6-2	\N	092	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1985-10-04	1985-10-06	GAS SHOWS	BLOWOUT	12	WILDCAT	221.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=522	http://www.npd.no/FactMapSearch?NPDID_wellbore=522	NO
523	34/10-25	34/10-25	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1985-08-06	1985-08-17	DRY	P&A	1	APPRAISAL	143.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=523	http://www.npd.no/FactMapSearch?NPDID_wellbore=523	NO
524	25/6-1	25/6-1	\N	117	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1985-12-18	1986-02-03	OIL	P&A	5	WILDCAT	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=524	http://www.npd.no/FactMapSearch?NPDID_wellbore=524	YES
525	34/7-7	34/7-7	SNORRE	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1985-09-17	1985-12-16	OIL	P&A	5	APPRAISAL	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=525	http://www.npd.no/FactMapSearch?NPDID_wellbore=525	NO
526	1/6-A-1	1/6-A-1	ALBUSKJELL	011	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL A	ALBUSKJELL A	1978-06-25	1979-03-08	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=526	http://www.npd.no/FactMapSearch?NPDID_wellbore=526	NO
527	1/6-A-3	1/6-A-3	ALBUSKJELL	011	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL A	ALBUSKJELL A	1979-07-26	1979-09-17	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=527	http://www.npd.no/FactMapSearch?NPDID_wellbore=527	NO
528	1/6-A-4	1/6-A-4	ALBUSKJELL	011	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL A	ALBUSKJELL A	1978-09-03	1978-11-23	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=528	http://www.npd.no/FactMapSearch?NPDID_wellbore=528	NO
529	1/6-A-8	1/6-A-8	ALBUSKJELL	011	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL A	ALBUSKJELL A	1979-09-18	1980-01-04	NOT AVAILABLE	JUNKED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=529	http://www.npd.no/FactMapSearch?NPDID_wellbore=529	NO
530	1/6-A-10	1/6-A-10	ALBUSKJELL	011	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL A	ALBUSKJELL A	1981-01-12	1981-05-26	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=530	http://www.npd.no/FactMapSearch?NPDID_wellbore=530	NO
993	7227/8-U-1	7227/8-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-07-01	1986-08-31	\N	P&A	0	\N	277.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=993	\N	NO
531	1/6-A-13	1/6-A-13	ALBUSKJELL	011	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL A	ALBUSKJELL A	1980-01-09	1980-04-16	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=531	http://www.npd.no/FactMapSearch?NPDID_wellbore=531	NO
532	1/6-A-15	1/6-A-15	ALBUSKJELL	011	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL A	ALBUSKJELL A	1979-01-14	1979-07-05	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=532	http://www.npd.no/FactMapSearch?NPDID_wellbore=532	NO
533	1/6-A-16	1/6-A-16	ALBUSKJELL	011	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL A	ALBUSKJELL A	1980-06-25	1981-01-01	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=533	http://www.npd.no/FactMapSearch?NPDID_wellbore=533	NO
534	1/6-A-19	1/6-A-19	ALBUSKJELL	011	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL A	ALBUSKJELL A	1978-11-23	1979-01-14	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=534	http://www.npd.no/FactMapSearch?NPDID_wellbore=534	NO
535	1/6-A-20	1/6-A-20	ALBUSKJELL	011	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL A	ALBUSKJELL A	1980-04-17	1980-06-27	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=535	http://www.npd.no/FactMapSearch?NPDID_wellbore=535	NO
536	10/1-A-1	10/1-A-1	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1977-04-23	1977-05-16	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=536	http://www.npd.no/FactMapSearch?NPDID_wellbore=536	NO
537	10/1-A-2	10/1-A-2	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1977-02-07	1977-05-28	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=537	http://www.npd.no/FactMapSearch?NPDID_wellbore=537	NO
538	10/1-A-3	10/1-A-3	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1977-06-07	1977-09-08	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=538	http://www.npd.no/FactMapSearch?NPDID_wellbore=538	NO
539	10/1-A-4	10/1-A-4	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1977-08-07	1977-10-06	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=539	http://www.npd.no/FactMapSearch?NPDID_wellbore=539	NO
540	10/1-A-5	10/1-A-5	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1977-02-02	1977-05-22	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=540	http://www.npd.no/FactMapSearch?NPDID_wellbore=540	NO
541	10/1-A-6	10/1-A-6	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1977-08-18	1977-10-25	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=541	http://www.npd.no/FactMapSearch?NPDID_wellbore=541	NO
542	10/1-A-7	10/1-A-7	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1977-08-12	1977-11-26	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=542	http://www.npd.no/FactMapSearch?NPDID_wellbore=542	NO
543	10/1-A-8	10/1-A-8	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1977-01-24	1977-03-02	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=543	http://www.npd.no/FactMapSearch?NPDID_wellbore=543	NO
544	10/1-A-9	10/1-A-9	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1977-06-10	1977-12-04	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=544	http://www.npd.no/FactMapSearch?NPDID_wellbore=544	NO
545	10/1-A-10	10/1-A-10	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1977-05-29	1977-08-02	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=545	http://www.npd.no/FactMapSearch?NPDID_wellbore=545	NO
546	10/1-A-11	10/1-A-11	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1976-11-10	1977-04-10	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=546	http://www.npd.no/FactMapSearch?NPDID_wellbore=546	NO
547	10/1-A-12	10/1-A-12	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1977-06-03	1977-12-04	NOT AVAILABLE	P&A	71	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=547	http://www.npd.no/FactMapSearch?NPDID_wellbore=547	NO
548	10/1-A-13	10/1-A-13	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-04-05	1978-08-06	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=548	http://www.npd.no/FactMapSearch?NPDID_wellbore=548	NO
549	10/1-A-14	10/1-A-14	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-03-31	1978-07-28	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=549	http://www.npd.no/FactMapSearch?NPDID_wellbore=549	NO
550	10/1-A-15	10/1-A-15	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-01-04	1978-06-23	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=550	http://www.npd.no/FactMapSearch?NPDID_wellbore=550	NO
551	10/1-A-16	10/1-A-16	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-03-24	1978-06-08	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=551	http://www.npd.no/FactMapSearch?NPDID_wellbore=551	NO
552	10/1-A-17	10/1-A-17	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-04-15	1978-05-27	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=552	http://www.npd.no/FactMapSearch?NPDID_wellbore=552	NO
553	10/1-A-18	10/1-A-18	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-03-28	1978-09-03	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=553	http://www.npd.no/FactMapSearch?NPDID_wellbore=553	NO
554	10/1-A-19	10/1-A-19	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-03-19	1978-06-02	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=554	http://www.npd.no/FactMapSearch?NPDID_wellbore=554	NO
555	2/4-A-1	2/4-A-1	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1978-09-18	1979-02-06	NOT AVAILABLE	JUNKED	71	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=555	http://www.npd.no/FactMapSearch?NPDID_wellbore=555	NO
994	2/1-U-1	2/1-U-1	\N	019	SHALLOW	BP Petroleum Dev. of Norway AS	NO	PHOLAS	\N	1986-08-01	1986-08-02	\N	P&A	0	\N	66.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=994	\N	NO
556	10/1-A-20	10/1-A-20	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-07-03	1978-11-11	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=556	http://www.npd.no/FactMapSearch?NPDID_wellbore=556	NO
557	2/4-A-2	2/4-A-2	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1975-01-08	1975-02-23	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=557	http://www.npd.no/FactMapSearch?NPDID_wellbore=557	NO
558	10/1-A-21	10/1-A-21	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-01-04	1978-10-02	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=558	http://www.npd.no/FactMapSearch?NPDID_wellbore=558	NO
559	2/4-A-3	2/4-A-3	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1975-03-28	1975-07-14	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=559	http://www.npd.no/FactMapSearch?NPDID_wellbore=559	NO
560	10/1-A-22	10/1-A-22	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-01-22	1978-12-01	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=560	http://www.npd.no/FactMapSearch?NPDID_wellbore=560	NO
561	2/4-A-4	2/4-A-4	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1979-11-08	1980-01-22	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=561	http://www.npd.no/FactMapSearch?NPDID_wellbore=561	NO
562	10/1-A-23	10/1-A-23	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-01-23	1978-11-05	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=562	http://www.npd.no/FactMapSearch?NPDID_wellbore=562	NO
563	10/1-A-24	10/1-A-24	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	10/1-CDP1	\N	1978-01-20	1978-10-10	GAS	P&A	90	PRODUCTION	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=563	http://www.npd.no/FactMapSearch?NPDID_wellbore=563	NO
564	25/1-A-1	25/1-A-1	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-09-18	1979-06-22	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=564	http://www.npd.no/FactMapSearch?NPDID_wellbore=564	NO
565	25/1-A-2	25/1-A-2	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-09-22	1979-04-23	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=565	http://www.npd.no/FactMapSearch?NPDID_wellbore=565	NO
566	25/1-A-3	25/1-A-3	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-09-13	1979-04-01	WATER	P&A	172	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=566	http://www.npd.no/FactMapSearch?NPDID_wellbore=566	NO
567	25/1-A-4	25/1-A-4	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-09-28	1979-02-24	NOT AVAILABLE	P&A	71	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=567	http://www.npd.no/FactMapSearch?NPDID_wellbore=567	NO
568	25/1-A-5	25/1-A-5	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-10-12	1979-04-16	NOT AVAILABLE	P&A	71	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=568	http://www.npd.no/FactMapSearch?NPDID_wellbore=568	NO
569	25/1-A-6	25/1-A-6	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-09-08	1979-02-10	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=569	http://www.npd.no/FactMapSearch?NPDID_wellbore=569	NO
570	25/1-A-7	25/1-A-7	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-10-08	1979-05-25	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=570	http://www.npd.no/FactMapSearch?NPDID_wellbore=570	NO
571	25/1-A-8	25/1-A-8	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-10-30	1979-05-20	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=571	http://www.npd.no/FactMapSearch?NPDID_wellbore=571	NO
572	25/1-A-9	25/1-A-9	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-09-01	1980-03-18	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=572	http://www.npd.no/FactMapSearch?NPDID_wellbore=572	NO
573	25/1-A-10	25/1-A-10	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-10-21	1979-03-13	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=573	http://www.npd.no/FactMapSearch?NPDID_wellbore=573	NO
574	25/1-A-11	25/1-A-11	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-10-02	1979-01-01	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=574	http://www.npd.no/FactMapSearch?NPDID_wellbore=574	NO
575	25/1-A-12	25/1-A-12	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-10-24	1979-06-29	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=575	http://www.npd.no/FactMapSearch?NPDID_wellbore=575	NO
576	2/4-A-5	2/4-A-5	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1974-10-26	1974-12-02	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=576	http://www.npd.no/FactMapSearch?NPDID_wellbore=576	NO
577	2/4-A-6	2/4-A-6	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1984-01-18	1984-06-01	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=577	http://www.npd.no/FactMapSearch?NPDID_wellbore=577	NO
578	25/1-A-13	25/1-A-13	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-01-06	1979-07-31	NOT AVAILABLE	P&A	71	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=578	http://www.npd.no/FactMapSearch?NPDID_wellbore=578	NO
579	2/4-A-7	2/4-A-7	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1974-04-25	1974-06-12	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=579	http://www.npd.no/FactMapSearch?NPDID_wellbore=579	NO
580	25/1-A-14	25/1-A-14	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1977-12-28	1978-07-12	NOT AVAILABLE	P&A	71	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=580	http://www.npd.no/FactMapSearch?NPDID_wellbore=580	NO
581	2/4-A-8	2/4-A-8	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1974-06-12	1974-08-02	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=581	http://www.npd.no/FactMapSearch?NPDID_wellbore=581	NO
582	25/1-A-15	25/1-A-15	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-01-11	1979-08-06	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=582	http://www.npd.no/FactMapSearch?NPDID_wellbore=582	NO
583	2/4-A-9	2/4-A-9	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1974-08-03	1974-09-07	OIL	CLOSED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=583	http://www.npd.no/FactMapSearch?NPDID_wellbore=583	NO
584	25/1-A-16	25/1-A-16	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-01-01	1978-08-01	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=584	http://www.npd.no/FactMapSearch?NPDID_wellbore=584	NO
585	2/4-A-10	2/4-A-10	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1979-07-27	1979-11-08	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=585	http://www.npd.no/FactMapSearch?NPDID_wellbore=585	NO
586	25/1-A-17	25/1-A-17	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1977-12-28	1978-07-17	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=586	http://www.npd.no/FactMapSearch?NPDID_wellbore=586	NO
587	2/4-A-11	2/4-A-11	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1975-07-15	1975-08-20	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=587	http://www.npd.no/FactMapSearch?NPDID_wellbore=587	NO
588	2/4-A-12	2/4-A-12	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1975-09-22	1986-08-31	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=588	http://www.npd.no/FactMapSearch?NPDID_wellbore=588	NO
589	25/1-A-18	25/1-A-18	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1977-12-12	1978-08-21	NOT AVAILABLE	P&A	71	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=589	http://www.npd.no/FactMapSearch?NPDID_wellbore=589	NO
590	2/4-A-13	2/4-A-13	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1973-11-13	1974-04-24	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=590	http://www.npd.no/FactMapSearch?NPDID_wellbore=590	NO
591	25/1-A-19	25/1-A-19	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1977-12-17	1978-05-03	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=591	http://www.npd.no/FactMapSearch?NPDID_wellbore=591	NO
592	2/4-A-14	2/4-A-14	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1975-08-17	1975-09-22	OIL	CLOSED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=592	http://www.npd.no/FactMapSearch?NPDID_wellbore=592	NO
593	25/1-A-20	25/1-A-20	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1978-01-16	1978-05-02	NOT AVAILABLE	P&A	71	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=593	http://www.npd.no/FactMapSearch?NPDID_wellbore=593	NO
594	25/1-A-21	25/1-A-21	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1977-11-15	1978-07-10	NOT AVAILABLE	P&A	71	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=594	http://www.npd.no/FactMapSearch?NPDID_wellbore=594	NO
595	2/4-A-15	2/4-A-15	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1974-09-10	1974-10-26	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=595	http://www.npd.no/FactMapSearch?NPDID_wellbore=595	NO
596	25/1-A-22	25/1-A-22	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1977-11-24	1978-09-01	NOT AVAILABLE	P&A	71	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=596	http://www.npd.no/FactMapSearch?NPDID_wellbore=596	NO
597	25/1-A-23	25/1-A-23	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1977-11-10	1978-08-29	NOT AVAILABLE	P&A	71	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=597	http://www.npd.no/FactMapSearch?NPDID_wellbore=597	NO
598	25/1-A-24	25/1-A-24	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1977-12-01	1979-07-09	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=598	http://www.npd.no/FactMapSearch?NPDID_wellbore=598	NO
599	2/4-B-1	2/4-B-1	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1975-05-20	1975-07-12	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=599	http://www.npd.no/FactMapSearch?NPDID_wellbore=599	NO
600	2/4-B-2	2/4-B-2	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1975-03-17	1975-05-20	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=600	http://www.npd.no/FactMapSearch?NPDID_wellbore=600	NO
601	2/4-B-3	2/4-B-3	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1974-06-28	1974-09-17	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=601	http://www.npd.no/FactMapSearch?NPDID_wellbore=601	NO
602	2/4-B-5	2/4-B-5	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1975-05-31	1975-07-18	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=602	http://www.npd.no/FactMapSearch?NPDID_wellbore=602	NO
603	2/4-B-6	2/4-B-6	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1975-03-22	1975-05-31	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=603	http://www.npd.no/FactMapSearch?NPDID_wellbore=603	NO
604	25/1-B-1	25/1-B-1 H	NORDØST FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	NORDØST FRIGG	1982-01-17	1982-02-17	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=604	http://www.npd.no/FactMapSearch?NPDID_wellbore=604	NO
995	7227/8-U-2	7227/8-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-07-01	1986-08-31	\N	P&A	0	\N	280.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=995	\N	NO
605	25/1-B-2	25/1-B-2 H	NORDØST FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	NORDØST FRIGG	1982-05-21	1983-06-30	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=605	http://www.npd.no/FactMapSearch?NPDID_wellbore=605	NO
606	2/4-B-7	2/4-B-7	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1974-02-28	1974-06-10	OIL	CLOSED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=606	http://www.npd.no/FactMapSearch?NPDID_wellbore=606	NO
607	25/1-B-3	25/1-B-3 H	NORDØST FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	NORDØST FRIGG	1982-07-26	1983-04-24	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=607	http://www.npd.no/FactMapSearch?NPDID_wellbore=607	NO
608	2/4-B-8	2/4-B-8	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1979-06-03	1979-08-28	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=608	http://www.npd.no/FactMapSearch?NPDID_wellbore=608	NO
609	25/1-B-4	25/1-B-4 H	NORDØST FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	NORDØST FRIGG	1981-12-23	1982-03-20	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=609	http://www.npd.no/FactMapSearch?NPDID_wellbore=609	NO
610	25/1-B-5	25/1-B-5 H	NORDØST FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	NORDØST FRIGG	1982-08-04	1983-05-30	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=610	http://www.npd.no/FactMapSearch?NPDID_wellbore=610	NO
611	2/4-B-9	2/4-B-9	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1975-07-12	1975-08-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=611	http://www.npd.no/FactMapSearch?NPDID_wellbore=611	NO
612	25/1-B-6	25/1-B-6 H	NORDØST FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	NORDØST FRIGG	1982-03-20	1982-05-21	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=612	http://www.npd.no/FactMapSearch?NPDID_wellbore=612	NO
613	2/4-B-9	2/4-B-9 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1984-04-15	1984-06-19	NOT AVAILABLE	PLUGGED	71	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=613	http://www.npd.no/FactMapSearch?NPDID_wellbore=613	NO
614	25/1-B-7	25/1-B-7 H	NORDØST FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	BYFORD DOLPHIN	NORDØST FRIGG	1982-09-26	1983-05-10	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=614	http://www.npd.no/FactMapSearch?NPDID_wellbore=614	NO
615	2/4-B-10	2/4-B-10	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1974-10-24	1975-02-03	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=615	http://www.npd.no/FactMapSearch?NPDID_wellbore=615	NO
616	2/4-B-12	2/4-B-12	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1983-06-20	1983-10-25	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=616	http://www.npd.no/FactMapSearch?NPDID_wellbore=616	NO
617	2/4-B-14	2/4-B-14	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1975-01-05	1975-02-03	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=617	http://www.npd.no/FactMapSearch?NPDID_wellbore=617	NO
618	2/4-B-15	2/4-B-15	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1974-06-12	1974-10-15	NOT AVAILABLE	JUNKED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=618	http://www.npd.no/FactMapSearch?NPDID_wellbore=618	NO
619	2/8-A-1	2/8-A-1	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1981-12-21	1982-07-30	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=619	http://www.npd.no/FactMapSearch?NPDID_wellbore=619	NO
620	2/4-B-16	2/4-B-16	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1980-06-10	1986-07-22	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=620	http://www.npd.no/FactMapSearch?NPDID_wellbore=620	NO
621	2/8-A-2	2/8-A-2	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1982-04-03	1982-10-13	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=621	http://www.npd.no/FactMapSearch?NPDID_wellbore=621	NO
622	2/4-B-17	2/4-B-17	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1974-01-19	1974-06-26	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=622	http://www.npd.no/FactMapSearch?NPDID_wellbore=622	NO
623	2/8-A-3	2/8-A-3	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1982-10-15	1982-12-14	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=623	http://www.npd.no/FactMapSearch?NPDID_wellbore=623	NO
624	2/4-B-18	2/4-B-18	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1974-09-20	1974-10-24	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=624	http://www.npd.no/FactMapSearch?NPDID_wellbore=624	NO
625	2/4-B-19	2/4-B-19	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1975-12-16	1976-04-16	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=625	http://www.npd.no/FactMapSearch?NPDID_wellbore=625	NO
626	2/8-A-4	2/8-A-4	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1982-12-17	1984-07-12	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=626	http://www.npd.no/FactMapSearch?NPDID_wellbore=626	NO
627	2/4-B-20	2/4-B-20	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1980-01-07	1980-06-06	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=627	http://www.npd.no/FactMapSearch?NPDID_wellbore=627	NO
628	2/8-A-5	2/8-A-5	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1983-04-03	1983-10-04	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=628	http://www.npd.no/FactMapSearch?NPDID_wellbore=628	NO
629	2/4-B-21	2/4-B-21	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1975-07-21	1975-09-08	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=629	http://www.npd.no/FactMapSearch?NPDID_wellbore=629	NO
630	2/8-A-6	2/8-A-6	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1983-07-19	1983-09-05	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=630	http://www.npd.no/FactMapSearch?NPDID_wellbore=630	NO
631	2/4-B-22	2/4-B-22	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1974-11-29	1975-01-05	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=631	http://www.npd.no/FactMapSearch?NPDID_wellbore=631	NO
632	2/8-A-7	2/8-A-7	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1983-08-24	1983-10-21	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=632	http://www.npd.no/FactMapSearch?NPDID_wellbore=632	NO
633	2/4-B-23	2/4-B-23	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1974-10-15	1974-11-29	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=633	http://www.npd.no/FactMapSearch?NPDID_wellbore=633	NO
634	2/8-A-8	2/8-A-8	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1983-10-15	1983-11-24	OIL	PLUGGED	50	PRODUCTION	69.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=634	http://www.npd.no/FactMapSearch?NPDID_wellbore=634	NO
635	2/8-A-9	2/8-A-9	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1983-11-20	1984-01-16	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=635	http://www.npd.no/FactMapSearch?NPDID_wellbore=635	NO
636	2/8-A-10	2/8-A-10	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1984-01-18	1984-08-31	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=636	http://www.npd.no/FactMapSearch?NPDID_wellbore=636	NO
637	2/8-A-11	2/8-A-11	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1984-03-19	1984-05-22	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=637	http://www.npd.no/FactMapSearch?NPDID_wellbore=637	NO
638	2/8-A-12	2/8-A-12	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1984-07-13	1984-09-17	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=638	http://www.npd.no/FactMapSearch?NPDID_wellbore=638	NO
639	2/4-B-24	2/4-B-24	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1979-08-28	1979-11-19	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=639	http://www.npd.no/FactMapSearch?NPDID_wellbore=639	NO
640	2/8-A-12	2/8-A-12 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1984-11-12	1984-12-06	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=640	http://www.npd.no/FactMapSearch?NPDID_wellbore=640	NO
641	2/8-A-13	2/8-A-13	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1984-05-23	1984-06-22	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=641	http://www.npd.no/FactMapSearch?NPDID_wellbore=641	NO
642	2/8-A-14	2/8-A-14	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1984-12-06	1985-03-02	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=642	http://www.npd.no/FactMapSearch?NPDID_wellbore=642	NO
643	2/8-A-15	2/8-A-15	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1985-01-09	1985-02-18	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=643	http://www.npd.no/FactMapSearch?NPDID_wellbore=643	NO
644	2/8-A-16	2/8-A-16	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1985-02-07	1985-03-13	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=644	http://www.npd.no/FactMapSearch?NPDID_wellbore=644	NO
645	2/8-A-17	2/8-A-17	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1985-03-13	1985-05-19	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=645	http://www.npd.no/FactMapSearch?NPDID_wellbore=645	NO
646	2/8-A-18	2/8-A-18	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1985-05-03	1985-07-02	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=646	http://www.npd.no/FactMapSearch?NPDID_wellbore=646	NO
647	2/4-C-1	2/4-C-1	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1975-07-13	1975-09-15	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=647	http://www.npd.no/FactMapSearch?NPDID_wellbore=647	NO
648	2/4-C-2	2/4-C-2	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1974-11-28	1975-01-10	GAS	INJECTING	91	INJECTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=648	http://www.npd.no/FactMapSearch?NPDID_wellbore=648	NO
649	2/4-C-3	2/4-C-3	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1975-01-10	1975-02-10	GAS	INJECTING	91	INJECTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=649	http://www.npd.no/FactMapSearch?NPDID_wellbore=649	NO
650	2/4-C-5	2/4-C-5	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1974-08-14	1974-10-25	GAS	INJECTING	91	INJECTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=650	http://www.npd.no/FactMapSearch?NPDID_wellbore=650	NO
651	2/4-C-6	2/4-C-6	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1975-04-23	1975-06-04	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=651	http://www.npd.no/FactMapSearch?NPDID_wellbore=651	NO
652	2/4-C-8	2/4-C-8	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1974-07-08	1974-08-13	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=652	http://www.npd.no/FactMapSearch?NPDID_wellbore=652	NO
653	2/4-C-9	2/4-C-9	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1974-10-26	1974-11-28	GAS	PLUGGED	91	INJECTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=653	http://www.npd.no/FactMapSearch?NPDID_wellbore=653	NO
654	2/8-A-19	2/8-A-19	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1985-07-10	1985-10-15	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=654	http://www.npd.no/FactMapSearch?NPDID_wellbore=654	NO
655	2/4-C-10	2/4-C-10	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1975-09-15	1975-12-03	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=655	http://www.npd.no/FactMapSearch?NPDID_wellbore=655	NO
656	30/10-A-1	30/10-A-1	ODIN	030	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	ODIN	ODIN	1984-05-15	1984-07-25	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=656	http://www.npd.no/FactMapSearch?NPDID_wellbore=656	NO
657	30/10-A-2	30/10-A-2	ODIN	030	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	ODIN	ODIN	1984-05-11	1984-07-03	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=657	http://www.npd.no/FactMapSearch?NPDID_wellbore=657	NO
658	30/10-A-3	30/10-A-3	ODIN	030	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	ODIN	ODIN	1984-04-09	1984-05-11	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=658	http://www.npd.no/FactMapSearch?NPDID_wellbore=658	NO
659	2/4-C-12	2/4-C-12	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1975-03-21	1975-04-23	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=659	http://www.npd.no/FactMapSearch?NPDID_wellbore=659	NO
660	30/10-A-4	30/10-A-4	ODIN	030	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	ODIN	ODIN	1983-12-17	1984-02-23	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=660	http://www.npd.no/FactMapSearch?NPDID_wellbore=660	NO
661	2/4-C-13	2/4-C-13	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1974-01-12	1974-07-06	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=661	http://www.npd.no/FactMapSearch?NPDID_wellbore=661	NO
662	30/10-A-5	30/10-A-5	ODIN	030	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	ODIN	ODIN	1984-07-27	1984-08-18	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=662	http://www.npd.no/FactMapSearch?NPDID_wellbore=662	NO
663	2/4-C-14	2/4-C-14	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1975-02-10	1975-03-19	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=663	http://www.npd.no/FactMapSearch?NPDID_wellbore=663	NO
664	30/10-A-7	30/10-A-7	ODIN	030	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	ODIN	ODIN	1984-12-05	1984-12-28	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=664	http://www.npd.no/FactMapSearch?NPDID_wellbore=664	NO
665	2/4-C-15	2/4-C-15	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1975-06-04	1975-07-13	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=665	http://www.npd.no/FactMapSearch?NPDID_wellbore=665	NO
666	30/10-A-8	30/10-A-8	ODIN	030	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	ODIN	ODIN	1984-12-01	1984-12-24	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=666	http://www.npd.no/FactMapSearch?NPDID_wellbore=666	NO
667	30/10-A-9	30/10-A-9	ODIN	030	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	ODIN	ODIN	1984-10-25	1985-01-26	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=667	http://www.npd.no/FactMapSearch?NPDID_wellbore=667	NO
668	30/10-A-10	30/10-A-10	ODIN	030	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	ODIN	ODIN	1984-08-20	1984-10-25	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=668	http://www.npd.no/FactMapSearch?NPDID_wellbore=668	NO
669	30/10-A-11	30/10-A-11	ODIN	030	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	ODIN	ODIN	1984-05-15	1984-07-25	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=669	http://www.npd.no/FactMapSearch?NPDID_wellbore=669	NO
670	2/4-K-4	2/4-K-4	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	DYVI BETA	EKOFISK K	1984-04-29	1984-12-06	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=670	http://www.npd.no/FactMapSearch?NPDID_wellbore=670	NO
671	30/10-A-12	30/10-A-12	ODIN	030	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	ODIN	ODIN	1984-02-24	1984-04-08	NOT AVAILABLE	P&A	71	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=671	http://www.npd.no/FactMapSearch?NPDID_wellbore=671	NO
672	2/4-K-13	2/4-K-13	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	DYVI BETA	EKOFISK K	1984-12-05	1988-03-12	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=672	http://www.npd.no/FactMapSearch?NPDID_wellbore=672	NO
673	2/4-K-22	2/4-K-22	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	DYVI BETA	EKOFISK K	1985-07-01	1985-10-14	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=673	http://www.npd.no/FactMapSearch?NPDID_wellbore=673	NO
674	25/4-A-1	25/4-A-1	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1985-06-06	1985-06-09	NOT AVAILABLE	SUSPENDED	71	PRODUCTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=674	http://www.npd.no/FactMapSearch?NPDID_wellbore=674	NO
675	25/4-A-2	25/4-A-2	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1985-06-09	1986-07-03	GAS	PRODUCING	90	PRODUCTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=675	http://www.npd.no/FactMapSearch?NPDID_wellbore=675	NO
676	25/4-A-3	25/4-A-3	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1985-06-28	1986-07-01	GAS	PRODUCING	90	PRODUCTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=676	http://www.npd.no/FactMapSearch?NPDID_wellbore=676	NO
677	25/4-A-4	25/4-A-4	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1985-08-23	1985-12-06	WATER	INJECTING	173	INJECTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=677	http://www.npd.no/FactMapSearch?NPDID_wellbore=677	NO
678	25/4-A-6	25/4-A-6	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1985-06-02	1985-08-23	GAS	PRODUCING	90	PRODUCTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=678	http://www.npd.no/FactMapSearch?NPDID_wellbore=678	NO
679	2/4-D-1	2/4-D-1	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1976-09-01	1976-09-30	NOT AVAILABLE	P&A	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=679	http://www.npd.no/FactMapSearch?NPDID_wellbore=679	NO
680	33/9-A-1	33/9-A-1	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1983-12-31	1984-09-05	WATER	PLUGGED	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=680	http://www.npd.no/FactMapSearch?NPDID_wellbore=680	NO
681	2/4-D-4	2/4-D-4	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1975-04-20	1975-06-07	NOT AVAILABLE	JUNKED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=681	http://www.npd.no/FactMapSearch?NPDID_wellbore=681	NO
682	33/9-A-2	33/9-A-2	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1982-10-03	1983-07-04	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=682	http://www.npd.no/FactMapSearch?NPDID_wellbore=682	NO
683	2/4-D-5	2/4-D-5	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1976-04-16	1976-06-26	NOT AVAILABLE	P&A	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=683	http://www.npd.no/FactMapSearch?NPDID_wellbore=683	NO
684	33/9-A-3	33/9-A-3	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1980-01-18	1980-04-11	GAS	PLUGGED	91	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=684	http://www.npd.no/FactMapSearch?NPDID_wellbore=684	NO
685	2/4-D-6	2/4-D-6	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1975-06-07	1975-08-18	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=685	http://www.npd.no/FactMapSearch?NPDID_wellbore=685	NO
686	33/9-A-4	33/9-A-4	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1983-06-28	1983-12-07	WATER	INJECTING	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=686	http://www.npd.no/FactMapSearch?NPDID_wellbore=686	NO
687	33/9-A-6	33/9-A-6	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1980-08-25	1980-10-14	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=687	http://www.npd.no/FactMapSearch?NPDID_wellbore=687	NO
688	2/4-D-7	2/4-D-7	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1977-08-17	1977-09-20	NOT AVAILABLE	P&A	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=688	http://www.npd.no/FactMapSearch?NPDID_wellbore=688	NO
689	33/9-A-7	33/9-A-7	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1980-04-12	1980-07-03	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=689	http://www.npd.no/FactMapSearch?NPDID_wellbore=689	NO
690	2/4-D-8	2/4-D-8	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1975-08-16	1976-04-14	NOT AVAILABLE	P&A	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=690	http://www.npd.no/FactMapSearch?NPDID_wellbore=690	NO
691	33/9-A-8	33/9-A-8	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1982-10-21	1983-01-16	NOT AVAILABLE	JUNKED	72	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=691	http://www.npd.no/FactMapSearch?NPDID_wellbore=691	NO
692	2/4-D-9	2/4-D-9	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1975-01-21	1975-04-20	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=692	http://www.npd.no/FactMapSearch?NPDID_wellbore=692	NO
693	2/4-D-10	2/4-D-10	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1976-09-30	1976-11-11	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=693	http://www.npd.no/FactMapSearch?NPDID_wellbore=693	NO
694	33/9-A-8	33/9-A-8 A	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1983-01-17	1983-02-03	NOT AVAILABLE	JUNKED	72	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=694	http://www.npd.no/FactMapSearch?NPDID_wellbore=694	NO
695	33/9-A-8	33/9-A-8 B	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1983-02-05	1983-04-22	GAS	PLUGGED	91	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=695	http://www.npd.no/FactMapSearch?NPDID_wellbore=695	NO
696	2/4-D-11	2/4-D-11	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1977-03-26	1977-04-22	NOT AVAILABLE	P&A	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=696	http://www.npd.no/FactMapSearch?NPDID_wellbore=696	NO
697	2/4-D-12	2/4-D-12	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1977-04-22	1977-06-01	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=697	http://www.npd.no/FactMapSearch?NPDID_wellbore=697	NO
698	33/9-A-9	33/9-A-9	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1982-05-30	1982-08-30	WATER	INJECTING	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=698	http://www.npd.no/FactMapSearch?NPDID_wellbore=698	NO
699	33/9-A-11	33/9-A-11	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1984-11-01	1985-03-14	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=699	http://www.npd.no/FactMapSearch?NPDID_wellbore=699	NO
700	2/4-D-13	2/4-D-13	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1977-02-06	1977-07-26	NOT AVAILABLE	P&A	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=700	http://www.npd.no/FactMapSearch?NPDID_wellbore=700	NO
701	33/9-A-12	33/9-A-12	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1980-10-20	1980-12-10	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=701	http://www.npd.no/FactMapSearch?NPDID_wellbore=701	NO
702	2/4-D-14	2/4-D-14	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1976-06-28	1976-09-01	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=702	http://www.npd.no/FactMapSearch?NPDID_wellbore=702	NO
703	33/9-A-13	33/9-A-13	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1984-05-23	1984-08-26	NOT AVAILABLE	PLUGGED	71	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=703	http://www.npd.no/FactMapSearch?NPDID_wellbore=703	NO
704	33/9-A-14	33/9-A-14	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1982-04-20	1982-05-18	NOT AVAILABLE	PLUGGED	72	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=704	http://www.npd.no/FactMapSearch?NPDID_wellbore=704	NO
705	33/9-A-16	33/9-A-16	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1980-12-10	1981-01-21	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=705	http://www.npd.no/FactMapSearch?NPDID_wellbore=705	NO
706	33/9-A-18	33/9-A-18	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1982-01-19	1982-02-25	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=706	http://www.npd.no/FactMapSearch?NPDID_wellbore=706	NO
707	33/9-A-19	33/9-A-19	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1981-10-18	1981-12-08	WATER	INJECTING	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=707	http://www.npd.no/FactMapSearch?NPDID_wellbore=707	NO
708	33/9-A-20	33/9-A-20	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1980-07-03	1980-08-24	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=708	http://www.npd.no/FactMapSearch?NPDID_wellbore=708	NO
709	33/9-A-22	33/9-A-22	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1984-09-07	1984-10-30	NOT AVAILABLE	PLUGGED	72	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=709	http://www.npd.no/FactMapSearch?NPDID_wellbore=709	NO
710	33/9-A-23	33/9-A-23	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1979-03-12	1979-05-01	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=710	http://www.npd.no/FactMapSearch?NPDID_wellbore=710	NO
711	33/9-A-25	33/9-A-25	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1984-02-16	1984-05-01	NOT AVAILABLE	PLUGGED	72	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=711	http://www.npd.no/FactMapSearch?NPDID_wellbore=711	NO
712	33/9-A-28	33/9-A-28	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1985-02-07	1985-03-13	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=712	http://www.npd.no/FactMapSearch?NPDID_wellbore=712	NO
713	33/9-A-29	33/9-A-29	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1979-05-01	1979-06-29	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=713	http://www.npd.no/FactMapSearch?NPDID_wellbore=713	NO
714	33/9-A-30	33/9-A-30	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1983-04-26	1984-01-01	NOT AVAILABLE	PLUGGED	72	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=714	http://www.npd.no/FactMapSearch?NPDID_wellbore=714	NO
715	33/9-A-31	33/9-A-31	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1982-07-25	1982-10-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=715	http://www.npd.no/FactMapSearch?NPDID_wellbore=715	NO
716	2/4-E-1	2/4-E-1	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1979-03-22	1979-06-01	OIL	PRODUCING	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=716	http://www.npd.no/FactMapSearch?NPDID_wellbore=716	NO
717	33/9-A-32	33/9-A-32	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1982-03-24	1982-04-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=717	http://www.npd.no/FactMapSearch?NPDID_wellbore=717	NO
718	2/4-E-2	2/4-E-2	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1979-07-19	1979-09-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=718	http://www.npd.no/FactMapSearch?NPDID_wellbore=718	NO
719	33/9-A-33	33/9-A-33	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1979-01-09	1979-03-10	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=719	http://www.npd.no/FactMapSearch?NPDID_wellbore=719	NO
720	2/4-E-3	2/4-E-3	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1979-06-03	1979-07-17	OIL	PRODUCING	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=720	http://www.npd.no/FactMapSearch?NPDID_wellbore=720	NO
721	33/9-A-34	33/9-A-34	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1983-07-05	1983-10-25	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=721	http://www.npd.no/FactMapSearch?NPDID_wellbore=721	NO
722	33/9-A-36	33/9-A-36	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1985-07-21	1985-09-22	NOT AVAILABLE	PLUGGED	72	INJECTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=722	http://www.npd.no/FactMapSearch?NPDID_wellbore=722	NO
723	2/4-E-5	2/4-E-5	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1978-09-23	1978-11-23	WATER	INJECTING	173	INJECTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=723	http://www.npd.no/FactMapSearch?NPDID_wellbore=723	NO
724	33/9-A-37	33/9-A-37	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1981-11-25	1982-01-10	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=724	http://www.npd.no/FactMapSearch?NPDID_wellbore=724	NO
725	33/9-A-38	33/9-A-38	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1979-06-29	1979-11-19	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=725	http://www.npd.no/FactMapSearch?NPDID_wellbore=725	NO
726	33/9-A-39	33/9-A-39	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1981-07-05	1981-10-19	GAS	INJECTING	91	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=726	http://www.npd.no/FactMapSearch?NPDID_wellbore=726	NO
727	33/9-A-41	33/9-A-41	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1981-04-04	1981-07-02	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=727	http://www.npd.no/FactMapSearch?NPDID_wellbore=727	NO
728	33/9-A-42	33/9-A-42	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1981-01-22	1981-05-26	GAS	PLUGGED	91	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=728	http://www.npd.no/FactMapSearch?NPDID_wellbore=728	NO
729	2/4-E-7	2/4-E-7	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1979-09-13	1980-02-25	OIL	PRODUCING	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=729	http://www.npd.no/FactMapSearch?NPDID_wellbore=729	NO
730	2/4-E-8	2/4-E-8	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1981-09-09	1981-11-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=730	http://www.npd.no/FactMapSearch?NPDID_wellbore=730	NO
731	33/12-B-1	33/12-B-1	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1985-04-06	1985-06-01	WATER	PLUGGED	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=731	http://www.npd.no/FactMapSearch?NPDID_wellbore=731	NO
732	33/12-B-3	33/12-B-3	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1983-11-19	1983-12-27	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=732	http://www.npd.no/FactMapSearch?NPDID_wellbore=732	NO
733	2/4-E-9	2/4-E-9	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1977-05-01	1977-07-25	OIL	PRODUCING	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=733	http://www.npd.no/FactMapSearch?NPDID_wellbore=733	NO
734	2/4-E-10	2/4-E-10	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1977-02-03	1977-04-05	WATER	INJECTING	173	INJECTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=734	http://www.npd.no/FactMapSearch?NPDID_wellbore=734	NO
735	33/12-B-4	33/12-B-4	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1985-01-07	1985-03-03	WATER	PLUGGED	173	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=735	http://www.npd.no/FactMapSearch?NPDID_wellbore=735	NO
736	2/4-E-12	2/4-E-12	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1978-02-06	1979-01-11	OIL	CLOSED	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=736	http://www.npd.no/FactMapSearch?NPDID_wellbore=736	NO
737	2/4-E-13	2/4-E-13	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1977-07-29	1977-11-18	OIL	CLOSED	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=737	http://www.npd.no/FactMapSearch?NPDID_wellbore=737	NO
738	2/4-E-14	2/4-E-14	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1980-04-01	1980-09-11	NOT AVAILABLE	PLUGGED	71	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=738	http://www.npd.no/FactMapSearch?NPDID_wellbore=738	NO
739	33/12-B-7	33/12-B-7	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1984-06-01	1984-07-16	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=739	http://www.npd.no/FactMapSearch?NPDID_wellbore=739	NO
740	2/4-E-15	2/4-E-15	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1977-04-28	1977-04-30	NOT AVAILABLE	JUNKED	71	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=740	http://www.npd.no/FactMapSearch?NPDID_wellbore=740	NO
741	33/12-B-8	33/12-B-8	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1983-09-29	1983-12-31	WATER	PLUGGED	173	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=741	http://www.npd.no/FactMapSearch?NPDID_wellbore=741	NO
742	2/4-E-16	2/4-E-16	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1977-11-25	1978-01-27	OIL	CLOSED	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=742	http://www.npd.no/FactMapSearch?NPDID_wellbore=742	NO
743	33/12-B-9	33/12-B-9	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1984-02-22	1984-04-15	WATER	INJECTING	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=743	http://www.npd.no/FactMapSearch?NPDID_wellbore=743	NO
744	2/4-E-17	2/4-E-17	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1979-01-11	1979-03-22	OIL	CLOSED	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=744	http://www.npd.no/FactMapSearch?NPDID_wellbore=744	NO
745	33/12-B-10	33/12-B-10	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1984-10-20	1984-11-17	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=745	http://www.npd.no/FactMapSearch?NPDID_wellbore=745	NO
746	33/12-B-17	33/12-B-17	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1982-10-21	1982-12-09	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=746	http://www.npd.no/FactMapSearch?NPDID_wellbore=746	NO
747	33/12-B-18	33/12-B-18	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1983-04-09	1983-06-20	GAS	PLUGGED	91	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=747	http://www.npd.no/FactMapSearch?NPDID_wellbore=747	NO
748	33/12-B-21	33/12-B-21	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1983-01-13	1983-03-03	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=748	http://www.npd.no/FactMapSearch?NPDID_wellbore=748	NO
749	33/12-B-23	33/12-B-23	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1982-10-12	1983-01-03	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=749	http://www.npd.no/FactMapSearch?NPDID_wellbore=749	NO
996	6507/7-U-1	6507/7-U-1	\N	\N	SHALLOW	Norske Conoco A/S	NO	BUCENTAUR	\N	1985-07-16	1985-07-18	\N	P&A	0	\N	339.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=996	\N	NO
750	33/12-B-24	33/12-B-24	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1982-04-11	1982-10-31	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=750	http://www.npd.no/FactMapSearch?NPDID_wellbore=750	NO
751	33/12-B-25	33/12-B-25	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1984-01-01	1984-10-20	WATER	PLUGGED	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=751	http://www.npd.no/FactMapSearch?NPDID_wellbore=751	NO
752	33/12-B-26	33/12-B-26	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1984-11-17	1985-01-07	WATER	PLUGGED	173	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=752	http://www.npd.no/FactMapSearch?NPDID_wellbore=752	NO
753	2/4-F-1	2/4-F-1	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1981-08-11	1982-03-31	NOT AVAILABLE	JUNKED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=753	http://www.npd.no/FactMapSearch?NPDID_wellbore=753	NO
754	33/12-B-30	33/12-B-30	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1983-12-17	1984-09-16	WATER	PLUGGED	173	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=754	http://www.npd.no/FactMapSearch?NPDID_wellbore=754	NO
755	33/12-B-31	33/12-B-31	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1985-03-08	1985-04-04	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=755	http://www.npd.no/FactMapSearch?NPDID_wellbore=755	NO
756	33/12-B-32	33/12-B-32	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1983-03-04	1983-04-08	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=756	http://www.npd.no/FactMapSearch?NPDID_wellbore=756	NO
757	33/12-B-34	33/12-B-34	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1982-08-22	1982-11-05	GAS	INJECTING	91	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=757	http://www.npd.no/FactMapSearch?NPDID_wellbore=757	NO
758	33/12-B-37	33/12-B-37	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1983-06-09	1983-08-09	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=758	http://www.npd.no/FactMapSearch?NPDID_wellbore=758	NO
759	33/12-B-38	33/12-B-38	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1982-07-05	1982-10-29	NOT AVAILABLE	PLUGGED	72	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=759	http://www.npd.no/FactMapSearch?NPDID_wellbore=759	NO
760	2/4-F-2	2/4-F-2	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1979-09-07	1979-09-11	NOT AVAILABLE	JUNKED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=760	http://www.npd.no/FactMapSearch?NPDID_wellbore=760	NO
761	2/4-F-3	2/4-F-3	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1979-09-11	1979-12-04	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=761	http://www.npd.no/FactMapSearch?NPDID_wellbore=761	NO
762	33/12-B-39	33/12-B-39	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1985-06-01	1985-07-24	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=762	http://www.npd.no/FactMapSearch?NPDID_wellbore=762	NO
763	33/12-B-41	33/12-B-41	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1983-08-26	1983-11-18	WATER	PLUGGED	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=763	http://www.npd.no/FactMapSearch?NPDID_wellbore=763	NO
764	2/4-F-5	2/4-F-5	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1981-05-11	1981-08-10	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=764	http://www.npd.no/FactMapSearch?NPDID_wellbore=764	NO
765	2/4-F-6	2/4-F-6	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1978-10-16	1979-05-18	NOT AVAILABLE	P&A	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=765	http://www.npd.no/FactMapSearch?NPDID_wellbore=765	NO
766	2/4-F-8	2/4-F-8	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1981-02-24	1981-04-23	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=766	http://www.npd.no/FactMapSearch?NPDID_wellbore=766	NO
767	33/9-C-12	33/9-C-12	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1985-08-08	1985-09-22	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=767	http://www.npd.no/FactMapSearch?NPDID_wellbore=767	NO
768	33/9-C-13	33/9-C-13	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1985-05-13	1985-06-19	WATER/GAS	INJECTING	0	INJECTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=768	http://www.npd.no/FactMapSearch?NPDID_wellbore=768	NO
769	2/4-F-9	2/4-F-9	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1980-08-01	1981-02-16	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=769	http://www.npd.no/FactMapSearch?NPDID_wellbore=769	NO
770	33/9-C-21	33/9-C-21	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1985-04-15	1985-05-13	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=770	http://www.npd.no/FactMapSearch?NPDID_wellbore=770	NO
771	2/4-F-10	2/4-F-10	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1978-04-22	1979-01-25	NOT AVAILABLE	JUNKED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=771	http://www.npd.no/FactMapSearch?NPDID_wellbore=771	NO
772	33/9-C-33	33/9-C-33	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1985-01-04	1985-02-18	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=772	http://www.npd.no/FactMapSearch?NPDID_wellbore=772	NO
773	2/4-F-12	2/4-F-12	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1980-05-06	1980-07-30	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=773	http://www.npd.no/FactMapSearch?NPDID_wellbore=773	NO
774	33/9-C-34	33/9-C-34	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1984-12-21	1985-03-25	GAS	PLUGGED	91	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=774	http://www.npd.no/FactMapSearch?NPDID_wellbore=774	NO
775	2/4-F-15	2/4-F-15	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1978-08-17	1978-10-16	NOT AVAILABLE	JUNKED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=775	http://www.npd.no/FactMapSearch?NPDID_wellbore=775	NO
776	33/9-C-38	33/9-C-38	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1984-12-30	1985-04-15	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=776	http://www.npd.no/FactMapSearch?NPDID_wellbore=776	NO
777	2/4-F-16	2/4-F-16	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1980-02-04	1980-04-28	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=777	http://www.npd.no/FactMapSearch?NPDID_wellbore=777	NO
778	33/9-C-42	33/9-C-42	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1985-06-19	1985-08-07	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=778	http://www.npd.no/FactMapSearch?NPDID_wellbore=778	NO
779	2/4-F-18	2/4-F-18	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1979-12-04	1980-02-01	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=779	http://www.npd.no/FactMapSearch?NPDID_wellbore=779	NO
780	2/4-F-20	2/4-F-20	ALBUSKJELL	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL F	ALBUSKJELL F	1979-01-31	1979-09-07	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=780	http://www.npd.no/FactMapSearch?NPDID_wellbore=780	NO
781	2/7-A-2	2/7-A-2	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-11-05	1978-12-26	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=781	http://www.npd.no/FactMapSearch?NPDID_wellbore=781	NO
782	2/7-A-3	2/7-A-3	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1979-09-01	1979-12-07	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=782	http://www.npd.no/FactMapSearch?NPDID_wellbore=782	NO
783	2/7-A-5	2/7-A-5	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1979-10-20	1980-02-06	NOT AVAILABLE	JUNKED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=783	http://www.npd.no/FactMapSearch?NPDID_wellbore=783	NO
784	2/7-A-6	2/7-A-6	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-05-02	1979-01-04	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=784	http://www.npd.no/FactMapSearch?NPDID_wellbore=784	NO
785	2/7-A-7	2/7-A-7	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1980-09-08	1980-11-14	NOT AVAILABLE	JUNKED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=785	http://www.npd.no/FactMapSearch?NPDID_wellbore=785	NO
786	2/7-A-9	2/7-A-9	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-05-21	1979-01-29	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=786	http://www.npd.no/FactMapSearch?NPDID_wellbore=786	NO
787	2/7-A-10	2/7-A-10	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1980-11-15	1980-12-28	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=787	http://www.npd.no/FactMapSearch?NPDID_wellbore=787	NO
788	2/7-A-11	2/7-A-11	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1979-12-22	1980-06-18	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=788	http://www.npd.no/FactMapSearch?NPDID_wellbore=788	NO
789	2/7-A-12	2/7-A-12	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-05-30	1979-02-19	NOT AVAILABLE	JUNKED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=789	http://www.npd.no/FactMapSearch?NPDID_wellbore=789	NO
790	2/7-A-14	2/7-A-14	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1979-04-05	1979-07-11	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=790	http://www.npd.no/FactMapSearch?NPDID_wellbore=790	NO
791	2/7-A-15	2/7-A-15	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-06-07	1996-05-09	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=791	http://www.npd.no/FactMapSearch?NPDID_wellbore=791	NO
792	2/7-A-16	2/7-A-16	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-05-15	1979-11-05	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=792	http://www.npd.no/FactMapSearch?NPDID_wellbore=792	NO
793	2/7-A-18	2/7-A-18	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1979-05-19	1979-07-23	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=793	http://www.npd.no/FactMapSearch?NPDID_wellbore=793	NO
794	2/7-A-19	2/7-A-19	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-05-01	1979-04-24	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=794	http://www.npd.no/FactMapSearch?NPDID_wellbore=794	NO
795	2/7-A-20	2/7-A-20	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-07-25	1979-05-14	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=795	http://www.npd.no/FactMapSearch?NPDID_wellbore=795	NO
796	2/7-A-21	2/7-A-21	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1979-01-08	1979-05-19	NOT AVAILABLE	JUNKED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=796	http://www.npd.no/FactMapSearch?NPDID_wellbore=796	NO
797	2/7-A-21	2/7-A-21 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1982-11-15	1983-01-14	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=797	http://www.npd.no/FactMapSearch?NPDID_wellbore=797	NO
798	2/7-A-22	2/7-A-22	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-05-29	2000-08-13	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=798	http://www.npd.no/FactMapSearch?NPDID_wellbore=798	NO
799	2/7-A-23	2/7-A-23	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1979-11-19	1980-03-17	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=799	http://www.npd.no/FactMapSearch?NPDID_wellbore=799	NO
800	2/7-A-24	2/7-A-24	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1979-11-26	1980-01-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=800	http://www.npd.no/FactMapSearch?NPDID_wellbore=800	NO
801	2/7-A-25	2/7-A-25	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-06-05	1979-01-08	OIL	CLOSED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=801	http://www.npd.no/FactMapSearch?NPDID_wellbore=801	NO
802	2/7-A-26	2/7-A-26	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-10-08	1978-12-20	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=802	http://www.npd.no/FactMapSearch?NPDID_wellbore=802	NO
803	2/7-A-27	2/7-A-27	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1980-08-22	1980-10-09	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=803	http://www.npd.no/FactMapSearch?NPDID_wellbore=803	NO
804	2/7-A-28	2/7-A-28	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1978-06-13	1980-12-15	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=804	http://www.npd.no/FactMapSearch?NPDID_wellbore=804	NO
805	2/7-A-29	2/7-A-29	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1981-10-01	1982-01-02	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=805	http://www.npd.no/FactMapSearch?NPDID_wellbore=805	NO
806	2/7-A-30	2/7-A-30	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1980-06-18	1980-08-21	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=806	http://www.npd.no/FactMapSearch?NPDID_wellbore=806	NO
807	2/7-B-1	2/7-B-1	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1980-04-04	1980-09-29	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=807	http://www.npd.no/FactMapSearch?NPDID_wellbore=807	NO
808	2/7-B-3	2/7-B-3	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1985-04-18	1985-09-13	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=808	http://www.npd.no/FactMapSearch?NPDID_wellbore=808	NO
809	2/7-B-5	2/7-B-5	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1983-09-13	1984-01-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=809	http://www.npd.no/FactMapSearch?NPDID_wellbore=809	NO
810	2/7-B-6	2/7-B-6	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1980-09-29	1981-04-26	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=810	http://www.npd.no/FactMapSearch?NPDID_wellbore=810	NO
811	2/7-B-7	2/7-B-7	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1981-05-10	1981-07-05	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=811	http://www.npd.no/FactMapSearch?NPDID_wellbore=811	NO
812	2/7-B-9	2/7-B-9	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1981-07-06	1981-08-06	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=812	http://www.npd.no/FactMapSearch?NPDID_wellbore=812	NO
813	2/7-B-10	2/7-B-10	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1979-10-08	1980-01-09	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=813	http://www.npd.no/FactMapSearch?NPDID_wellbore=813	NO
814	2/7-B-11	2/7-B-11	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1979-04-20	1979-07-02	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=814	http://www.npd.no/FactMapSearch?NPDID_wellbore=814	NO
815	2/7-B-12	2/7-B-12	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1981-08-10	1982-09-26	OIL	PLUGGED	50	PRODUCTION	71.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=815	http://www.npd.no/FactMapSearch?NPDID_wellbore=815	NO
816	2/7-B-13	2/7-B-13	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1984-08-18	1984-11-10	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=816	http://www.npd.no/FactMapSearch?NPDID_wellbore=816	NO
817	2/7-B-14	2/7-B-14	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1979-07-02	1979-08-19	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=817	http://www.npd.no/FactMapSearch?NPDID_wellbore=817	NO
818	2/7-B-17	2/7-B-17	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1984-05-24	1984-07-29	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=818	http://www.npd.no/FactMapSearch?NPDID_wellbore=818	NO
819	2/7-B-18	2/7-B-18	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1980-01-28	1980-03-29	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=819	http://www.npd.no/FactMapSearch?NPDID_wellbore=819	NO
820	2/7-B-19	2/7-B-19	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1979-08-19	1979-10-08	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=820	http://www.npd.no/FactMapSearch?NPDID_wellbore=820	NO
821	2/7-B-20	2/7-B-20	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1983-03-04	1983-05-12	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=821	http://www.npd.no/FactMapSearch?NPDID_wellbore=821	NO
822	2/7-C-2	2/7-C-2	EDDA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EDDA	EDDA	1979-03-09	1979-05-20	OIL	P&A	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=822	http://www.npd.no/FactMapSearch?NPDID_wellbore=822	NO
823	2/7-C-3	2/7-C-3	EDDA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EDDA	EDDA	1980-05-28	1980-07-04	NOT AVAILABLE	JUNKED	71	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=823	http://www.npd.no/FactMapSearch?NPDID_wellbore=823	NO
824	2/7-C-5	2/7-C-5	EDDA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EDDA	EDDA	1979-07-02	1979-09-03	OIL	P&A	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=824	http://www.npd.no/FactMapSearch?NPDID_wellbore=824	NO
825	2/7-C-6	2/7-C-6	EDDA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EDDA	EDDA	1980-07-04	1980-09-04	NOT AVAILABLE	JUNKED	71	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=825	http://www.npd.no/FactMapSearch?NPDID_wellbore=825	NO
826	2/7-C-8	2/7-C-8	EDDA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EDDA	EDDA	1980-01-24	1980-03-13	NOT AVAILABLE	JUNKED	71	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=826	http://www.npd.no/FactMapSearch?NPDID_wellbore=826	NO
827	2/7-C-9	2/7-C-9	EDDA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EDDA	EDDA	1979-09-03	1979-10-15	OIL	P&A	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=827	http://www.npd.no/FactMapSearch?NPDID_wellbore=827	NO
828	2/7-C-10	2/7-C-10	EDDA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EDDA	EDDA	1980-09-06	1980-11-03	OIL	P&A	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=828	http://www.npd.no/FactMapSearch?NPDID_wellbore=828	NO
829	2/7-C-11	2/7-C-11	EDDA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EDDA	EDDA	1979-10-15	1980-01-16	OIL	P&A	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=829	http://www.npd.no/FactMapSearch?NPDID_wellbore=829	NO
830	2/7-C-14	2/7-C-14	EDDA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EDDA	EDDA	1979-05-20	1979-07-02	OIL	P&A	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=830	http://www.npd.no/FactMapSearch?NPDID_wellbore=830	NO
831	2/7-C-15	2/7-C-15	EDDA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EDDA	EDDA	1980-03-13	1980-05-19	OIL	P&A	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=831	http://www.npd.no/FactMapSearch?NPDID_wellbore=831	NO
832	7/11-A-1	7/11-A-1	COD	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	COD	COD	1977-05-08	1977-06-06	GAS	P&A	90	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=832	http://www.npd.no/FactMapSearch?NPDID_wellbore=832	NO
833	7/11-A-2	7/11-A-2	COD	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	COD	COD	1977-01-31	1977-03-30	NOT AVAILABLE	JUNKED	71	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=833	http://www.npd.no/FactMapSearch?NPDID_wellbore=833	NO
834	7/11-A-3	7/11-A-3	COD	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	COD	COD	1976-12-12	1977-02-10	GAS	P&A	90	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=834	http://www.npd.no/FactMapSearch?NPDID_wellbore=834	NO
835	7/11-A-4	7/11-A-4	COD	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	COD	COD	1977-09-01	1977-09-30	GAS	P&A	90	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=835	http://www.npd.no/FactMapSearch?NPDID_wellbore=835	NO
836	7/11-A-5	7/11-A-5	COD	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	COD	COD	1976-10-22	1976-12-08	GAS	P&A	90	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=836	http://www.npd.no/FactMapSearch?NPDID_wellbore=836	NO
837	7/11-A-6	7/11-A-6	COD	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	COD	COD	1985-07-07	1985-08-15	NOT AVAILABLE	P&A	71	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=837	http://www.npd.no/FactMapSearch?NPDID_wellbore=837	NO
838	7/11-A-7	7/11-A-7	COD	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	COD	COD	1976-08-23	1976-10-21	NOT AVAILABLE	JUNKED	71	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=838	http://www.npd.no/FactMapSearch?NPDID_wellbore=838	NO
839	7/11-A-8	7/11-A-8	COD	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	COD	COD	1977-07-04	1977-08-22	GAS	P&A	90	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=839	http://www.npd.no/FactMapSearch?NPDID_wellbore=839	NO
840	7/11-A-9	7/11-A-9	COD	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	COD	COD	1977-03-30	1977-05-03	GAS	P&A	90	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=840	http://www.npd.no/FactMapSearch?NPDID_wellbore=840	NO
841	33/12-3	33/12-3	STATFJORD	037	EXPLORATION	Mobil Exploration Norway INC	NO	NORSKALD	\N	1975-04-23	1975-05-16	DRY	JUNKED	1	APPRAISAL	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=841	http://www.npd.no/FactMapSearch?NPDID_wellbore=841	NO
842	33/12-B-5	33/12-B-5	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1985-07-24	1985-09-01	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=842	http://www.npd.no/FactMapSearch?NPDID_wellbore=842	NO
843	33/12-B-13	33/12-B-13	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1985-09-24	1985-11-10	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=843	http://www.npd.no/FactMapSearch?NPDID_wellbore=843	NO
844	33/9-A-26	33/9-A-26	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1985-12-14	1986-01-29	WATER	PLUGGED	173	INJECTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=844	http://www.npd.no/FactMapSearch?NPDID_wellbore=844	NO
845	33/9-A-15	33/9-A-15	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1985-09-11	1985-10-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=845	http://www.npd.no/FactMapSearch?NPDID_wellbore=845	NO
846	33/9-C-28	33/9-C-28	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1985-09-22	1985-10-17	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=846	http://www.npd.no/FactMapSearch?NPDID_wellbore=846	NO
847	30/9-B-21	30/9-B-21	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	OSEBERG B	1985-09-22	1986-01-13	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=847	http://www.npd.no/FactMapSearch?NPDID_wellbore=847	NO
848	33/9-C-7	33/9-C-7	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1985-10-18	1985-11-24	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=848	http://www.npd.no/FactMapSearch?NPDID_wellbore=848	NO
849	30/6-17	30/6-17 R	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE HUNTER	\N	1985-11-14	1986-02-04	OIL/GAS	P&A	13	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=849	http://www.npd.no/FactMapSearch?NPDID_wellbore=849	YES
850	34/10-A-1	34/10-A-1 H	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	GULLFAKS A	1985-08-19	1985-10-17	OIL	PRODUCING	50	PRODUCTION	140.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=850	http://www.npd.no/FactMapSearch?NPDID_wellbore=850	NO
851	30/9-B-27	30/9-B-27	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	OSEBERG B	1986-03-18	1986-05-19	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=851	http://www.npd.no/FactMapSearch?NPDID_wellbore=851	NO
852	6506/12-5	6506/12-5	ÅSGARD	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1985-10-17	1986-03-27	OIL	P&A	5	APPRAISAL	301.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=852	http://www.npd.no/FactMapSearch?NPDID_wellbore=852	NO
853	6507/7-4	6507/7-4	HEIDRUN	095	EXPLORATION	Conoco Norway Inc.	NO	NORTRYM	\N	1985-11-06	1986-01-13	OIL/GAS	P&A	13	APPRAISAL	345.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=853	http://www.npd.no/FactMapSearch?NPDID_wellbore=853	NO
854	34/8-1	34/8-1	VISUND	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1985-11-11	1986-03-08	OIL/GAS	P&A	13	WILDCAT	325.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=854	http://www.npd.no/FactMapSearch?NPDID_wellbore=854	YES
855	25/2-10	25/2-10 S	\N	112	EXPLORATION	Elf Petroleum Norge AS	NO	HENRY GOODRICH	\N	1985-12-02	1986-03-19	OIL/GAS	SUSP.REENTERED LATER	13	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=855	http://www.npd.no/FactMapSearch?NPDID_wellbore=855	YES
856	7/11-9	7/11-9	\N	070	EXPLORATION	Norsk Hydro Produksjon AS	NO	BYFORD DOLPHIN	\N	1985-11-26	1986-03-09	SHOWS	P&A	12	WILDCAT	81.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=856	http://www.npd.no/FactMapSearch?NPDID_wellbore=856	NO
857	34/10-A-3	34/10-A-3 H	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	GULLFAKS A	1985-11-29	1986-12-02	OIL	PLUGGED	50	PRODUCTION	139.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=857	http://www.npd.no/FactMapSearch?NPDID_wellbore=857	NO
858	34/10-26	34/10-26	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1985-10-18	1985-10-26	DRY	P&A	1	APPRAISAL	219.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=858	http://www.npd.no/FactMapSearch?NPDID_wellbore=858	NO
859	34/10-10	34/10-10 R	\N	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	BORGNY DOLPHIN	\N	1980-09-19	1980-10-04	DRY	JUNKED	1	WILDCAT	154.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=859	http://www.npd.no/FactMapSearch?NPDID_wellbore=859	NO
860	6507/7-5	6507/7-5 A	HEIDRUN	095	EXPLORATION	Conoco Norway Inc.	NO	NORTRYM	\N	1986-03-06	1986-04-05	OIL/GAS	P&A	13	APPRAISAL	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=860	http://www.npd.no/FactMapSearch?NPDID_wellbore=860	NO
861	34/10-A-4	34/10-A-4 H	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	GULLFAKS A	1986-01-31	1986-05-02	OIL	PLUGGED	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=861	http://www.npd.no/FactMapSearch?NPDID_wellbore=861	NO
862	6/3-2	6/3-2	\N	086	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1985-11-21	1986-03-10	SHOWS	P&A	12	WILDCAT	89.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=862	http://www.npd.no/FactMapSearch?NPDID_wellbore=862	NO
863	6406/3-2	6406/3-2	\N	091	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VANGUARD	\N	1986-06-28	1986-11-22	OIL	P&A	5	WILDCAT	300.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=863	http://www.npd.no/FactMapSearch?NPDID_wellbore=863	YES
864	2/4-K-2	2/4-K-2	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	DYVI BETA	EKOFISK K	1985-10-15	1990-10-02	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=864	http://www.npd.no/FactMapSearch?NPDID_wellbore=864	NO
865	2/4-K-3	2/4-K-3	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	DYVI BETA	EKOFISK K	1985-11-02	1996-02-10	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=865	http://www.npd.no/FactMapSearch?NPDID_wellbore=865	NO
866	33/12-B-35	33/12-B-35	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1985-12-01	1986-01-12	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=866	http://www.npd.no/FactMapSearch?NPDID_wellbore=866	NO
867	34/10-27	34/10-27	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VENTURE OLD	\N	1985-12-02	1985-12-14	GAS	SUSP.REENTERED LATER	9	APPRAISAL	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=867	http://www.npd.no/FactMapSearch?NPDID_wellbore=867	NO
868	2/8-A-21	2/8-A-21	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1986-02-09	1986-03-21	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=868	http://www.npd.no/FactMapSearch?NPDID_wellbore=868	NO
869	33/9-C-35	33/9-C-35	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1985-11-23	1986-03-21	WATER	INJECTING	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=869	http://www.npd.no/FactMapSearch?NPDID_wellbore=869	NO
870	33/9-C-14	33/9-C-14	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1985-11-29	1986-01-22	WATER	PLUGGED	173	INJECTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=870	http://www.npd.no/FactMapSearch?NPDID_wellbore=870	NO
997	6507/7-U-2	6507/7-U-2	\N	\N	SHALLOW	Norske Conoco A/S	NO	BUCENTAUR	\N	1985-07-14	1985-07-15	\N	P&A	0	\N	340.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=997	\N	NO
871	6407/9-6	6407/9-6	DRAUGEN	093	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1986-01-02	1986-03-13	OIL	SUSP.REENTERED LATER	5	APPRAISAL	276.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=871	http://www.npd.no/FactMapSearch?NPDID_wellbore=871	NO
872	34/10-28	34/10-28	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI STENA	\N	1986-01-02	1986-01-16	GAS	JUNKED	9	APPRAISAL	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=872	http://www.npd.no/FactMapSearch?NPDID_wellbore=872	NO
873	30/9-B-29	30/9-B-29	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	OSEBERG B	1986-01-13	1986-03-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=873	http://www.npd.no/FactMapSearch?NPDID_wellbore=873	NO
874	7120/1-1	7120/1-1 R	\N	108	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1985-12-02	1985-12-26	OIL/GAS SHOWS	SUSP.REENTERED LATER	12	WILDCAT	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=874	http://www.npd.no/FactMapSearch?NPDID_wellbore=874	NO
875	34/4-6	34/4-6	SNORRE	057	EXPLORATION	Saga Petroleum ASA	NO	VINNI	\N	1985-12-31	1986-03-27	OIL	P&A	5	APPRAISAL	373.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=875	http://www.npd.no/FactMapSearch?NPDID_wellbore=875	NO
876	2/4-K-12	2/4-K-12	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	DYVI BETA	EKOFISK K	1985-11-23	1986-03-04	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=876	http://www.npd.no/FactMapSearch?NPDID_wellbore=876	NO
877	34/10-30	34/10-30	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI STENA	\N	1986-01-16	1986-05-12	OIL/GAS	P&A	13	APPRAISAL	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=877	http://www.npd.no/FactMapSearch?NPDID_wellbore=877	NO
878	34/7-8	34/7-8	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1986-02-05	1986-04-11	OIL	P&A	5	WILDCAT	286.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=878	http://www.npd.no/FactMapSearch?NPDID_wellbore=878	YES
879	6507/7-5	6507/7-5	HEIDRUN	095	EXPLORATION	Conoco Norway Inc.	NO	NORTRYM	\N	1986-01-16	1986-03-06	OIL/GAS	P&A	13	APPRAISAL	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=879	http://www.npd.no/FactMapSearch?NPDID_wellbore=879	NO
880	33/12-B-22	33/12-B-22	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1986-03-04	1986-04-29	OIL	PLUGGED	50	PRODUCTION	145.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=880	http://www.npd.no/FactMapSearch?NPDID_wellbore=880	NO
881	7121/7-2	7121/7-2	SNØHVIT	100	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1986-07-07	1986-08-12	GAS	P&A	9	WILDCAT	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=881	http://www.npd.no/FactMapSearch?NPDID_wellbore=881	YES
882	25/4-A-11	25/4-A-11	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1985-11-23	1986-02-16	GAS	PLUGGED	90	PRODUCTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=882	http://www.npd.no/FactMapSearch?NPDID_wellbore=882	NO
883	33/9-A-40	33/9-A-40	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1986-02-01	1986-05-09	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=883	http://www.npd.no/FactMapSearch?NPDID_wellbore=883	NO
884	25/5-1	25/5-1	FRØY	102	EXPLORATION	Elf Petroleum Norge AS	NO	NORTRYM	\N	1987-05-12	1987-08-01	OIL/GAS	P&A	13	WILDCAT	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=884	http://www.npd.no/FactMapSearch?NPDID_wellbore=884	YES
885	25/4-A-9	25/4-A-9	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1985-12-09	1986-01-03	GAS	PRODUCING	90	PRODUCTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=885	http://www.npd.no/FactMapSearch?NPDID_wellbore=885	NO
886	33/12-B-14	33/12-B-14	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1986-01-13	1986-03-04	WATER	PLUGGED	173	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=886	http://www.npd.no/FactMapSearch?NPDID_wellbore=886	NO
887	34/10-31	34/10-31	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VENTURE OLD	\N	1986-02-01	1986-04-08	GAS	P&A	9	APPRAISAL	132.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=887	http://www.npd.no/FactMapSearch?NPDID_wellbore=887	NO
888	34/10-27	34/10-27 R	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VENTURE OLD	\N	1986-01-27	1986-01-31	GAS	P&A	9	APPRAISAL	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=888	http://www.npd.no/FactMapSearch?NPDID_wellbore=888	NO
889	34/7-9	34/7-9	SNORRE	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1986-04-13	1986-06-12	OIL	P&A	5	APPRAISAL	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=889	http://www.npd.no/FactMapSearch?NPDID_wellbore=889	NO
890	25/4-A-7	25/4-A-7	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1985-11-16	1986-03-10	GAS	PRODUCING	90	PRODUCTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=890	http://www.npd.no/FactMapSearch?NPDID_wellbore=890	NO
891	25/4-A-5	25/4-A-5	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1985-11-13	1986-01-27	GAS	CLOSED	90	PRODUCTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=891	http://www.npd.no/FactMapSearch?NPDID_wellbore=891	NO
892	30/6-20	30/6-20	\N	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1986-03-10	1986-04-13	SHOWS	P&A	12	WILDCAT	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=892	http://www.npd.no/FactMapSearch?NPDID_wellbore=892	NO
893	35/11-2	35/11-2	VEGA	090	EXPLORATION	Mobil Exploration Norway INC	NO	TREASURE SCOUT	\N	1987-07-20	1987-12-04	GAS/CONDENSATE	P&A	17	WILDCAT	372.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=893	http://www.npd.no/FactMapSearch?NPDID_wellbore=893	YES
894	30/6-17	30/6-17 A	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE HUNTER	\N	1986-02-04	1986-03-18	OIL/GAS	P&A	13	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=894	http://www.npd.no/FactMapSearch?NPDID_wellbore=894	NO
895	2/4-1	2/4-1	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	OCEAN VIKING	\N	1969-08-25	1969-09-16	OIL/GAS SHOWS	JUNKED	12	WILDCAT	70.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=895	http://www.npd.no/FactMapSearch?NPDID_wellbore=895	NO
896	7121/1-1	7121/1-1 R	\N	111	EXPLORATION	Esso Exploration and Production Norway A/S	NO	ZAPATA UGLAND	\N	1986-03-18	1986-08-23	SHOWS	P&A	12	WILDCAT	369.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=896	http://www.npd.no/FactMapSearch?NPDID_wellbore=896	NO
897	7120/1-1	7120/1-1 R2	\N	108	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1986-03-13	1986-07-21	OIL/GAS SHOWS	P&A	12	WILDCAT	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=897	http://www.npd.no/FactMapSearch?NPDID_wellbore=897	NO
898	25/7-1	25/7-1 S	\N	103	EXPLORATION	Conoco Norway Inc.	NO	NORTRYM	\N	1986-04-14	1986-07-19	DRY	P&A	1	WILDCAT	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=898	http://www.npd.no/FactMapSearch?NPDID_wellbore=898	NO
899	33/12-B-6	33/12-B-6	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1986-04-29	1986-06-03	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=899	http://www.npd.no/FactMapSearch?NPDID_wellbore=899	NO
900	2/4-D-3	2/4-D-3	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1986-11-13	1987-02-06	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=900	http://www.npd.no/FactMapSearch?NPDID_wellbore=900	NO
901	16/10-1	16/10-1	\N	101	EXPLORATION	Norsk Agip  AS	NO	DYVI STENA	\N	1986-05-25	1986-07-14	DRY	P&A	1	WILDCAT	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=901	http://www.npd.no/FactMapSearch?NPDID_wellbore=901	NO
902	2/11-7	2/11-7	\N	068	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1986-04-16	1986-09-06	SHOWS	P&A	12	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=902	http://www.npd.no/FactMapSearch?NPDID_wellbore=902	NO
903	1/6-A-7	1/6-A-7	ALBUSKJELL	011	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ALBUSKJELL A	ALBUSKJELL A	1986-02-19	1986-06-28	GAS	P&A	90	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=903	http://www.npd.no/FactMapSearch?NPDID_wellbore=903	NO
904	29/3-1	29/3-1	\N	119	EXPLORATION	Total Norge AS	NO	BYFORD DOLPHIN	\N	1986-05-20	1986-09-15	OIL/GAS	P&A	13	WILDCAT	131.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=904	http://www.npd.no/FactMapSearch?NPDID_wellbore=904	YES
905	25/4-A-8	25/4-A-8	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1985-11-25	1986-07-01	GAS	CLOSED	90	PRODUCTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=905	http://www.npd.no/FactMapSearch?NPDID_wellbore=905	NO
906	17/11-1	17/11-1	\N	010	EXPLORATION	A/S Norske Shell	NO	ORION	\N	1968-05-24	1968-06-30	DRY	P&A	1	WILDCAT	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=906	http://www.npd.no/FactMapSearch?NPDID_wellbore=906	NO
907	7121/5-2	7121/5-2	SNØHVIT	110	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1986-05-26	1986-07-06	OIL/GAS	P&A	13	WILDCAT	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=907	http://www.npd.no/FactMapSearch?NPDID_wellbore=907	YES
908	30/9-B-25	30/9-B-25	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	OSEBERG B	1986-05-19	1986-07-08	GAS	INJECTING	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=908	http://www.npd.no/FactMapSearch?NPDID_wellbore=908	NO
909	33/9-C-32	33/9-C-32	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1986-05-08	1986-06-07	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=909	http://www.npd.no/FactMapSearch?NPDID_wellbore=909	NO
910	6507/6-1	6507/6-1	\N	123	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1986-06-15	1986-08-23	GAS SHOWS	P&A	12	WILDCAT	419.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=910	http://www.npd.no/FactMapSearch?NPDID_wellbore=910	NO
911	6507/2-1	6507/2-1	\N	122	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1986-06-24	1986-09-29	SHOWS	P&A	12	WILDCAT	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=911	http://www.npd.no/FactMapSearch?NPDID_wellbore=911	NO
912	6407/6-2	6407/6-2 R	\N	092	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1986-05-08	1986-05-20	GAS SHOWS	SUSP.REENTERED LATER	12	WILDCAT	221.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=912	http://www.npd.no/FactMapSearch?NPDID_wellbore=912	NO
913	7/12-A-18	7/12-A-18	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1987-01-11	1987-04-19	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=913	http://www.npd.no/FactMapSearch?NPDID_wellbore=913	NO
914	33/9-C-9	33/9-C-9	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1986-06-08	1986-07-08	WATER	PLUGGED	173	INJECTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=914	http://www.npd.no/FactMapSearch?NPDID_wellbore=914	NO
915	34/8-2	34/8-2	\N	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1986-10-04	1986-11-17	DRY	P&A	1	WILDCAT	353.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=915	http://www.npd.no/FactMapSearch?NPDID_wellbore=915	NO
916	7126/6-U-1	7126/6-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1985-07-28	1985-07-31	\N	P&A	0	\N	369.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=916	\N	NO
917	33/12-B-20	33/12-B-20	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD B	STATFJORD B	1986-06-16	1986-07-13	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=917	http://www.npd.no/FactMapSearch?NPDID_wellbore=917	NO
919	7222/9-U-1	7222/9-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1985-08-01	1985-08-04	\N	P&A	0	\N	323.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=919	\N	NO
920	7220/2-U-1	7220/2-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1985-08-04	1985-08-05	\N	P&A	0	\N	429.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=920	\N	NO
921	9/3-1	9/3-1	\N	115	EXPLORATION	A/S Norske Shell	NO	BORGNY DOLPHIN	\N	1986-07-29	1986-09-04	DRY	P&A	1	WILDCAT	99.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=921	http://www.npd.no/FactMapSearch?NPDID_wellbore=921	NO
922	6507/7-6	6507/7-6	HEIDRUN	095	EXPLORATION	Conoco Norway Inc.	NO	NORTRYM	\N	1986-07-23	1986-09-06	OIL/GAS	P&A	13	APPRAISAL	350.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=922	http://www.npd.no/FactMapSearch?NPDID_wellbore=922	NO
923	34/10-A-2	34/10-A-2 AH	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	GULLFAKS A	1986-05-10	1986-10-17	OIL	PLUGGED	50	PRODUCTION	138.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=923	http://www.npd.no/FactMapSearch?NPDID_wellbore=923	NO
924	2/8-A-11	2/8-A-11 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1986-06-17	1986-08-03	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=924	http://www.npd.no/FactMapSearch?NPDID_wellbore=924	NO
925	6607/12-1	6607/12-1	\N	127	EXPLORATION	Elf Petroleum Norge AS	NO	HENRY GOODRICH	\N	1986-07-19	1986-10-01	DRY	P&A	1	WILDCAT	369.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=925	http://www.npd.no/FactMapSearch?NPDID_wellbore=925	NO
927	33/12-B-40	33/12-B-40	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1988-07-02	1988-10-25	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=927	http://www.npd.no/FactMapSearch?NPDID_wellbore=927	NO
928	6407/6-2	6407/6-2 R2	\N	092	EXPLORATION	Den norske stats oljeselskap a.s	NO	BUCENTAUR	\N	1986-06-13	1986-06-24	GAS SHOWS	P&A	12	WILDCAT	221.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=928	http://www.npd.no/FactMapSearch?NPDID_wellbore=928	NO
929	30/9-B-49	30/9-B-49 H	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TREASURE HUNTER	OSEBERG B	1986-07-09	1986-09-07	OIL	PLUGGED	50	PRODUCTION	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=929	http://www.npd.no/FactMapSearch?NPDID_wellbore=929	NO
930	34/10-B-2	34/10-B-2	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1988-03-25	1988-06-15	OIL	PLUGGED	50	PRODUCTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=930	http://www.npd.no/FactMapSearch?NPDID_wellbore=930	NO
931	33/9-C-37	33/9-C-37	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1986-07-08	1986-08-16	NOT AVAILABLE	PLUGGED	71	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=931	http://www.npd.no/FactMapSearch?NPDID_wellbore=931	NO
932	2/4-K-23	2/4-K-23	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	DYVI BETA	EKOFISK K	1986-03-04	1987-09-29	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=932	http://www.npd.no/FactMapSearch?NPDID_wellbore=932	NO
933	6507/8-1	6507/8-1	HEIDRUN	124	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1986-10-28	1986-12-09	OIL/GAS	P&A	13	APPRAISAL	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=933	http://www.npd.no/FactMapSearch?NPDID_wellbore=933	NO
934	30/9-B-20	30/9-B-20	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	OSEBERG B	1986-07-09	1986-08-26	GAS	PLUGGED	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=934	http://www.npd.no/FactMapSearch?NPDID_wellbore=934	NO
935	6407/2-3	6407/2-3	ÅSGARD	074	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1986-11-07	1987-01-23	GAS/CONDENSATE	P&A	17	APPRAISAL	250.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=935	http://www.npd.no/FactMapSearch?NPDID_wellbore=935	NO
936	6608/11-1	6608/11-1	\N	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI STENA	\N	1986-07-19	1986-08-13	DRY	P&A	1	WILDCAT	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=936	http://www.npd.no/FactMapSearch?NPDID_wellbore=936	NO
937	30/9-2	30/9-2 R	OSEBERG	079	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE HUNTER	\N	1986-06-01	1986-07-07	OIL/GAS	P&A	13	APPRAISAL	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=937	http://www.npd.no/FactMapSearch?NPDID_wellbore=937	NO
938	34/10-U-6	34/10-U-6	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	133.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=938	\N	NO
939	2/8-A-16	2/8-A-16 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1986-04-04	1986-06-17	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=939	http://www.npd.no/FactMapSearch?NPDID_wellbore=939	NO
940	34/8-3	34/8-3	VISUND	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1988-07-14	1988-09-14	OIL/GAS	P&A	13	APPRAISAL	382.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=940	http://www.npd.no/FactMapSearch?NPDID_wellbore=940	NO
941	2/8-A-18	2/8-A-18 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1986-08-13	1986-10-05	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=941	http://www.npd.no/FactMapSearch?NPDID_wellbore=941	NO
942	34/10-A-5	34/10-A-5 H	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	GULLFAKS A	1986-12-04	1987-03-18	WATER	PLUGGED	173	INJECTION	136.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=942	http://www.npd.no/FactMapSearch?NPDID_wellbore=942	NO
943	34/4-7	34/4-7	SNORRE	057	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1987-02-17	1987-05-12	OIL	P&A	5	APPRAISAL	354.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=943	http://www.npd.no/FactMapSearch?NPDID_wellbore=943	NO
945	2/4-C-11	2/4-C-11	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1986-06-16	1986-10-15	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=945	http://www.npd.no/FactMapSearch?NPDID_wellbore=945	NO
946	30/9-B-26	30/9-B-26	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	OSEBERG B	1986-12-21	1987-02-20	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=946	http://www.npd.no/FactMapSearch?NPDID_wellbore=946	NO
947	34/7-10	34/7-10	SNORRE	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1986-08-26	1986-10-29	OIL	P&A	5	APPRAISAL	300.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=947	http://www.npd.no/FactMapSearch?NPDID_wellbore=947	NO
948	33/9-C-19	33/9-C-19	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1986-08-16	1986-10-15	NOT AVAILABLE	PLUGGED	72	INJECTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=948	http://www.npd.no/FactMapSearch?NPDID_wellbore=948	NO
949	6406/3-3	6406/3-3	ÅSGARD	091	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1986-08-04	1986-10-26	SHOWS	P&A	12	APPRAISAL	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=949	http://www.npd.no/FactMapSearch?NPDID_wellbore=949	NO
950	7/12-A-10	7/12-A-10	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1986-07-09	1986-10-04	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=950	http://www.npd.no/FactMapSearch?NPDID_wellbore=950	NO
951	30/9-B-23	30/9-B-23	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	OSEBERG B	1986-08-29	1986-11-13	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=951	http://www.npd.no/FactMapSearch?NPDID_wellbore=951	NO
952	7/12-A-6	7/12-A-6	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1986-10-05	1986-10-28	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=952	http://www.npd.no/FactMapSearch?NPDID_wellbore=952	NO
953	7317/2-U-1	7317/2-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1985-08-06	1985-08-08	\N	P&A	0	\N	296.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=953	\N	NO
954	7317/2-U-2	7317/2-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1985-08-05	1985-08-06	\N	P&A	0	\N	324.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=954	\N	NO
955	7320/3-U-1	7320/3-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1985-08-08	1985-08-11	\N	P&A	0	\N	419.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=955	\N	NO
956	34/10-U-1	34/10-U-1	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=956	\N	NO
957	7524/12-U-1	7524/12-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1985-08-12	1985-08-13	\N	P&A	0	\N	108.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=957	\N	NO
958	7425/9-U-1	7425/9-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1985-08-14	1985-08-18	\N	P&A	0	\N	334.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=958	\N	NO
959	34/10-U-2	34/10-U-2	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=959	\N	NO
960	34/10-U-3	34/10-U-3	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=960	\N	NO
961	34/10-U-4	34/10-U-4	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=961	\N	NO
963	34/10-U-5	34/10-U-5	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=963	\N	NO
964	25/2-U-1	25/2-U-1	\N	026	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	1985-09-04	1985-09-05	\N	P&A	0	\N	114.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=964	\N	NO
965	25/2-U-2	25/2-U-2	\N	026	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	1985-09-05	1985-09-05	\N	P&A	0	\N	114.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=965	\N	NO
966	25/2-U-3	25/2-U-3	\N	026	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	1985-09-06	1985-09-06	\N	P&A	0	\N	113.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=966	\N	NO
967	25/2-U-4	25/2-U-4	\N	026	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	1985-09-06	1985-09-06	\N	P&A	0	\N	113.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=967	\N	NO
968	25/2-U-5	25/2-U-5	\N	026	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	1985-09-06	1985-09-07	\N	P&A	0	\N	112.600000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=968	\N	NO
969	25/2-U-6	25/2-U-6	\N	026	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	1985-09-07	1985-09-07	\N	P&A	0	\N	112.600000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=969	\N	NO
970	6506/12-U-1	6506/12-U-1	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=970	\N	NO
971	6506/12-U-2	6506/12-U-2	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=971	\N	NO
972	6506/12-U-3	6506/12-U-3	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=972	\N	NO
973	6407/9-U-1	6407/9-U-1	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=973	\N	NO
974	6407/9-U-2	6407/9-U-2	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=974	\N	NO
975	6407/9-U-3	6407/9-U-3	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=975	\N	NO
976	6507/7-U-3	6507/7-U-3	\N	\N	SHALLOW	Norske Conoco A/S	NO	\N	\N	1986-04-06	1986-04-08	\N	P&A	0	\N	331.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=976	\N	NO
977	6506/12-U-4	6506/12-U-4	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1986-04-22	1986-04-22	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=977	\N	NO
978	6506/12-U-5	6506/12-U-5	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1986-04-16	1986-04-21	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=978	\N	NO
979	6506/12-U-6	6506/12-U-6	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=979	\N	NO
980	1/9-U-1	1/9-U-1	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1986-05-06	1986-05-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=980	\N	NO
981	6308/7-U-1	6308/7-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-06-26	1986-06-29	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=981	\N	NO
982	7323/7-U-1	7323/7-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-07-02	1986-07-06	\N	P&A	0	\N	426.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=982	\N	NO
983	7323/7-U-2	7323/7-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-06-28	1986-07-29	\N	P&A	0	\N	422.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=983	\N	NO
984	7323/7-U-3	7323/7-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-06-28	1986-07-29	\N	P&A	0	\N	419.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=984	\N	NO
985	7323/7-U-4	7323/7-U-4	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-06-28	1986-07-29	\N	P&A	0	\N	420.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=985	\N	NO
1000	34/10-U-7	34/10-U-7	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1000	\N	NO
1001	25/1-9	25/1-9	\N	129	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1986-09-09	1986-10-12	OIL/GAS	P&A	13	WILDCAT	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1001	http://www.npd.no/FactMapSearch?NPDID_wellbore=1001	YES
1002	7227/8-U-3	7227/8-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1986-07-01	1986-08-31	\N	P&A	0	\N	283.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1002	\N	NO
1004	6506/12-1	6506/12-1	ÅSGARD	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1984-08-16	1985-02-06	GAS/CONDENSATE	P&A	17	WILDCAT	250.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1004	http://www.npd.no/FactMapSearch?NPDID_wellbore=1004	YES
1005	30/6-13	30/6-13 R	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE HUNTER	\N	1986-09-08	1986-09-11	OIL/GAS	P&A	13	APPRAISAL	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1005	http://www.npd.no/FactMapSearch?NPDID_wellbore=1005	NO
1006	1/9-A-1	1/9-A-1 H	TOMMELITEN GAMMA	044	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	ROSS ISLE	TOMMELITEN	1986-09-22	1986-11-24	GAS	P&A	90	PRODUCTION	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1006	http://www.npd.no/FactMapSearch?NPDID_wellbore=1006	NO
1007	2/8-A-21	2/8-A-21 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1986-10-07	1986-12-06	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1007	http://www.npd.no/FactMapSearch?NPDID_wellbore=1007	NO
1008	30/9-B-19	30/9-B-19	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	OSEBERG B	1987-04-09	1987-05-22	NOT AVAILABLE	PLUGGED	72	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1008	http://www.npd.no/FactMapSearch?NPDID_wellbore=1008	NO
1009	33/9-C-25	33/9-C-25	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1986-10-06	1986-11-22	WATER	INJECTING	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1009	http://www.npd.no/FactMapSearch?NPDID_wellbore=1009	NO
1010	7/12-A-2	7/12-A-2	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1986-10-29	1987-01-09	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1010	http://www.npd.no/FactMapSearch?NPDID_wellbore=1010	NO
1011	2/7-A-17	2/7-A-17	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1986-09-02	1986-11-10	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1011	http://www.npd.no/FactMapSearch?NPDID_wellbore=1011	NO
1013	30/9-B-24	30/9-B-24	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	OSEBERG B	1986-11-14	1986-12-20	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1013	http://www.npd.no/FactMapSearch?NPDID_wellbore=1013	NO
1014	2/12-1	2/12-1	\N	113	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SCOUT	\N	1986-10-14	1987-03-12	OIL	P&A	5	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1014	http://www.npd.no/FactMapSearch?NPDID_wellbore=1014	YES
1015	33/9-C-5	33/9-C-5	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1986-11-20	1986-11-25	NOT AVAILABLE	PLUGGED	71	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1015	http://www.npd.no/FactMapSearch?NPDID_wellbore=1015	NO
1016	1/9-A-2	1/9-A-2 H	TOMMELITEN GAMMA	044	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	ROSS ISLE	TOMMELITEN	1986-11-19	1987-01-04	GAS	P&A	90	PRODUCTION	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1016	http://www.npd.no/FactMapSearch?NPDID_wellbore=1016	NO
1017	6407/7-2	6407/7-2	NJORD	107	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1986-11-19	1987-01-21	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1017	http://www.npd.no/FactMapSearch?NPDID_wellbore=1017	NO
1018	33/9-C-4	33/9-C-4	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1986-11-14	1986-11-20	NOT AVAILABLE	PLUGGED	72	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1018	http://www.npd.no/FactMapSearch?NPDID_wellbore=1018	NO
1019	7/12-A-3	7/12-A-3 A	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1990-01-28	1990-03-28	WATER	PLUGGED	173	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1019	http://www.npd.no/FactMapSearch?NPDID_wellbore=1019	NO
1020	33/9-C-31	33/9-C-31	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1986-11-26	1987-01-14	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1020	http://www.npd.no/FactMapSearch?NPDID_wellbore=1020	NO
1021	1/9-A-3	1/9-A-3 H	TOMMELITEN GAMMA	044	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	ROSS ISLE	TOMMELITEN	1987-01-04	1987-02-19	GAS	P&A	90	PRODUCTION	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1021	http://www.npd.no/FactMapSearch?NPDID_wellbore=1021	NO
1022	34/10-A-6	34/10-A-6	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1987-02-10	1987-03-08	GAS	PLUGGED	90	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1022	http://www.npd.no/FactMapSearch?NPDID_wellbore=1022	NO
1023	2/7-B-18	2/7-B-18 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1986-12-01	1987-01-23	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1023	http://www.npd.no/FactMapSearch?NPDID_wellbore=1023	NO
1024	6407/6-3	6407/6-3	MIKKEL	092	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1986-12-13	1987-02-16	GAS/CONDENSATE	P&A	17	WILDCAT	222.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1024	http://www.npd.no/FactMapSearch?NPDID_wellbore=1024	YES
1025	2/4-B-10	2/4-B-10 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1986-12-17	1987-03-21	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1025	http://www.npd.no/FactMapSearch?NPDID_wellbore=1025	NO
1026	31/4-9	31/4-9	BRAGE	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1987-01-23	1987-03-07	OIL	P&A	5	APPRAISAL	147.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1026	http://www.npd.no/FactMapSearch?NPDID_wellbore=1026	NO
1027	30/9-6	30/9-6	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1987-03-08	1987-04-21	OIL	P&A	5	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1027	http://www.npd.no/FactMapSearch?NPDID_wellbore=1027	YES
1028	33/9-13	33/9-13 S	STATFJORD NORD	037	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1987-10-14	1987-12-24	OIL	P&A	5	APPRAISAL	291.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1028	http://www.npd.no/FactMapSearch?NPDID_wellbore=1028	NO
1029	2/8-A-13	2/8-A-13 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1987-01-14	1987-02-25	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1029	http://www.npd.no/FactMapSearch?NPDID_wellbore=1029	NO
1030	25/1-8	25/1-8 SR	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	NORTRYM	\N	1987-02-14	1987-02-18	GAS	SUSP.REENTERED LATER	9	APPRAISAL	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1030	http://www.npd.no/FactMapSearch?NPDID_wellbore=1030	NO
1031	25/1-7	25/1-7 R	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	NORTRYM	\N	1987-02-10	1987-02-14	GAS	SUSP.REENTERED LATER	9	APPRAISAL	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1031	http://www.npd.no/FactMapSearch?NPDID_wellbore=1031	NO
1032	2/7-B-5	2/7-B-5 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1986-07-06	1986-08-22	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1032	http://www.npd.no/FactMapSearch?NPDID_wellbore=1032	NO
1033	2/7-B-10	2/7-B-10 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1986-08-27	1986-10-27	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1033	http://www.npd.no/FactMapSearch?NPDID_wellbore=1033	NO
1034	2/7-A-23	2/7-A-23 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1986-08-24	1986-09-23	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1034	http://www.npd.no/FactMapSearch?NPDID_wellbore=1034	NO
1035	1/9-A-4	1/9-A-4 H	TOMMELITEN GAMMA	044	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	ROSS ISLE	TOMMELITEN	1987-02-21	1987-03-31	GAS	P&A	90	PRODUCTION	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1035	http://www.npd.no/FactMapSearch?NPDID_wellbore=1035	NO
1036	25/2-11	25/2-11	\N	112	EXPLORATION	Elf Petroleum Norge AS	NO	NORTRYM	\N	1987-02-20	1987-05-10	OIL/GAS	P&A	13	APPRAISAL	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1036	http://www.npd.no/FactMapSearch?NPDID_wellbore=1036	NO
1037	30/6-21	30/6-21	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1987-02-20	1987-04-09	OIL	SUSP.REENTERED LATER	5	APPRAISAL	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1037	http://www.npd.no/FactMapSearch?NPDID_wellbore=1037	NO
1038	9/2-1	9/2-1	YME	114	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1987-02-21	1987-04-28	OIL	P&A	5	WILDCAT	99.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1038	http://www.npd.no/FactMapSearch?NPDID_wellbore=1038	YES
1039	2/8-A-15	2/8-A-15 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1987-02-10	1987-03-18	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1039	http://www.npd.no/FactMapSearch?NPDID_wellbore=1039	NO
1040	2/8-A-3	2/8-A-3 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1986-12-07	1987-01-13	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1040	http://www.npd.no/FactMapSearch?NPDID_wellbore=1040	NO
1041	2/8-A-26	2/8-A-26	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1992-02-01	1992-04-01	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1041	http://www.npd.no/FactMapSearch?NPDID_wellbore=1041	NO
1042	7/12-A-7	7/12-A-7	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1987-04-19	1987-11-11	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1042	http://www.npd.no/FactMapSearch?NPDID_wellbore=1042	NO
1043	33/9-C-30	33/9-C-30	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD C	STATFJORD C	1987-03-18	1987-05-20	WATER	PLUGGED	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1043	http://www.npd.no/FactMapSearch?NPDID_wellbore=1043	NO
1044	6508/5-1	6508/5-1	\N	125	EXPLORATION	A/S Norske Shell	NO	WEST VANGUARD	\N	1987-04-22	1987-05-24	DRY	P&A	1	WILDCAT	411.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1044	http://www.npd.no/FactMapSearch?NPDID_wellbore=1044	NO
1045	34/10-C-7	34/10-C-7	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1991-04-18	1991-06-26	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1045	http://www.npd.no/FactMapSearch?NPDID_wellbore=1045	NO
1046	26/4-1	26/4-1	\N	118	EXPLORATION	BP Norway Limited  U.A.	NO	TREASURE SCOUT	\N	1987-05-08	1987-07-17	DRY	P&A	1	WILDCAT	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1046	http://www.npd.no/FactMapSearch?NPDID_wellbore=1046	NO
1047	2/4-D-11	2/4-D-11 A	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1987-04-06	1987-06-15	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1047	http://www.npd.no/FactMapSearch?NPDID_wellbore=1047	NO
1048	34/10-A-7	34/10-A-7	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1987-03-08	1987-04-09	NOT AVAILABLE	PLUGGED	71	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1048	http://www.npd.no/FactMapSearch?NPDID_wellbore=1048	NO
1049	2/4-A-12	2/4-A-12 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1986-12-03	1987-02-24	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1049	http://www.npd.no/FactMapSearch?NPDID_wellbore=1049	NO
1050	33/9-C-15	33/9-C-15	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1988-10-25	1988-12-18	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1050	http://www.npd.no/FactMapSearch?NPDID_wellbore=1050	NO
1120	6705/2-U-1	6705/2-U-1	\N	\N	SHALLOW	NATIONAL SCIENCE FOUNDATION	NO	GLOMAR CHALLENGE	\N	1974-08-13	1974-08-16	\N	P&A	0	\N	1297.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1120	\N	NO
1051	34/10-32	34/10-32	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST VISION	\N	1987-04-09	1987-07-13	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	136.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1051	http://www.npd.no/FactMapSearch?NPDID_wellbore=1051	NO
1052	34/10-A-9	34/10-A-9 H	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	GULLFAKS A	1987-03-22	1987-05-31	OIL	PLUGGED	50	PRODUCTION	136.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1052	http://www.npd.no/FactMapSearch?NPDID_wellbore=1052	NO
1053	34/10-A-8	34/10-A-8	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1987-04-09	1987-06-06	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1053	http://www.npd.no/FactMapSearch?NPDID_wellbore=1053	NO
1054	6407/10-1	6407/10-1	\N	132	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1987-05-07	1987-06-19	GAS SHOWS	P&A	12	WILDCAT	343.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1054	http://www.npd.no/FactMapSearch?NPDID_wellbore=1054	NO
1055	6507/11-4	6507/11-4	\N	062	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1987-05-16	1987-06-22	DRY	P&A	1	WILDCAT	288.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1055	http://www.npd.no/FactMapSearch?NPDID_wellbore=1055	NO
1056	6507/7-7	6507/7-7	HEIDRUN	095	EXPLORATION	Conoco Norway Inc.	NO	TREASURE HUNTER	\N	1987-05-11	1987-06-07	DRY	JUNKED	1	APPRAISAL	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1056	http://www.npd.no/FactMapSearch?NPDID_wellbore=1056	NO
1057	6407/9-7	6407/9-7	\N	093	EXPLORATION	A/S Norske Shell	NO	TREASURE SCOUT	\N	1988-04-26	1988-05-25	DRY	P&A	1	WILDCAT	241.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1057	http://www.npd.no/FactMapSearch?NPDID_wellbore=1057	NO
1058	2/8-A-13	2/8-A-13 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1987-05-16	1987-06-08	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1058	http://www.npd.no/FactMapSearch?NPDID_wellbore=1058	NO
1059	1/9-A-5	1/9-A-5 H	TOMMELITEN GAMMA	044	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	ROSS ISLE	TOMMELITEN	1987-12-31	1988-02-19	GAS	P&A	90	PRODUCTION	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1059	http://www.npd.no/FactMapSearch?NPDID_wellbore=1059	NO
1060	2/8-A-20	2/8-A-20	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1988-06-16	1988-08-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1060	http://www.npd.no/FactMapSearch?NPDID_wellbore=1060	NO
1061	2/8-A-28	2/8-A-28	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1992-07-26	1992-10-06	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1061	http://www.npd.no/FactMapSearch?NPDID_wellbore=1061	NO
1062	2/7-20	2/7-20	EMBLA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	DYVI STENA	\N	1987-10-15	1988-06-25	OIL	SUSP.REENTERED LATER	5	WILDCAT	70.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1062	http://www.npd.no/FactMapSearch?NPDID_wellbore=1062	YES
1063	30/9-B-50	30/9-B-50 H	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	OSEBERG B	1987-05-23	1987-06-27	OIL	PRODUCING	50	PRODUCTION	103.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1063	http://www.npd.no/FactMapSearch?NPDID_wellbore=1063	NO
1064	6607/5-1	6607/5-1	\N	126	EXPLORATION	Esso Exploration and Production Norway A/S	NO	VINNI	\N	1987-06-09	1987-09-11	DRY	P&A	1	WILDCAT	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1064	http://www.npd.no/FactMapSearch?NPDID_wellbore=1064	NO
1065	34/10-A-10	34/10-A-10	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1987-06-07	1987-08-03	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1065	http://www.npd.no/FactMapSearch?NPDID_wellbore=1065	NO
1066	7124/3-1	7124/3-1	\N	135	EXPLORATION	Saga Petroleum ASA	NO	ROSS RIG	\N	1987-05-29	1987-10-20	OIL/GAS	P&A	13	WILDCAT	273.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1066	http://www.npd.no/FactMapSearch?NPDID_wellbore=1066	YES
1067	2/8-A-25	2/8-A-25	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1991-04-17	1991-07-17	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1067	http://www.npd.no/FactMapSearch?NPDID_wellbore=1067	NO
1068	6506/12-8	6506/12-8	ÅSGARD	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST DELTA	\N	1988-06-04	1988-08-30	OIL/GAS	P&A	13	APPRAISAL	296.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1068	http://www.npd.no/FactMapSearch?NPDID_wellbore=1068	NO
1069	33/9-12	33/9-12	STATFJORD ØST	037	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1987-06-19	1987-08-03	OIL	P&A	5	APPRAISAL	148.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1069	http://www.npd.no/FactMapSearch?NPDID_wellbore=1069	NO
1070	7321/8-1	7321/8-1	\N	141	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1987-06-23	1987-09-03	SHOWS	P&A	12	WILDCAT	468.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1070	http://www.npd.no/FactMapSearch?NPDID_wellbore=1070	NO
1071	6507/7-8	6507/7-8	HEIDRUN	095	EXPLORATION	Conoco Norway Inc.	NO	TREASURE HUNTER	\N	1987-06-09	1987-08-02	OIL/GAS	P&A	13	APPRAISAL	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1071	http://www.npd.no/FactMapSearch?NPDID_wellbore=1071	NO
1072	25/2-A-2	25/2-A-2 H	ØST FRIGG	026	DEVELOPMENT	Elf Petroleum Norge AS	NO	WEST VANGUARD	NORDØST FRIGG A	1987-09-09	1987-10-01	GAS	P&A	90	PRODUCTION	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1072	http://www.npd.no/FactMapSearch?NPDID_wellbore=1072	NO
1073	25/2-B-1	25/2-B-1 H	ØST FRIGG	026	DEVELOPMENT	Elf Petroleum Norge AS	NO	WEST VANGUARD	ØST FRIGG B	1987-07-12	1987-08-10	GAS	P&A	90	PRODUCTION	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1073	http://www.npd.no/FactMapSearch?NPDID_wellbore=1073	NO
1074	25/2-B-2	25/2-B-2 H	ØST FRIGG	026	DEVELOPMENT	Elf Petroleum Norge AS	NO	WEST VANGUARD	ØST FRIGG B	1987-08-12	1987-09-08	GAS	P&A	90	PRODUCTION	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1074	http://www.npd.no/FactMapSearch?NPDID_wellbore=1074	NO
1121	6706/10-U-1	6706/10-U-1	\N	\N	SHALLOW	NATIONAL SCIENCE FOUNDATION	NO	GLOMAR CHALLENGE	\N	1974-08-16	1974-08-17	\N	P&A	0	\N	1262.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1121	\N	NO
1075	2/7-B-10	2/7-B-10 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1987-03-11	1987-06-17	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1075	http://www.npd.no/FactMapSearch?NPDID_wellbore=1075	NO
1076	6507/8-2	6507/8-2	\N	124	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1987-08-15	1987-09-09	DRY	P&A	1	WILDCAT	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1076	http://www.npd.no/FactMapSearch?NPDID_wellbore=1076	NO
1077	1/9-A-1	1/9-A-1 AH	TOMMELITEN GAMMA	044	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	ROSS ISLE	TOMMELITEN	1987-04-05	1987-05-06	GAS	P&A	90	PRODUCTION	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1077	http://www.npd.no/FactMapSearch?NPDID_wellbore=1077	NO
1078	6507/7-9	6507/7-9	HEIDRUN	095	EXPLORATION	Conoco Norway Inc.	NO	TREASURE HUNTER	\N	1987-08-04	1987-08-08	DRY	P&A	1	APPRAISAL	345.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1078	http://www.npd.no/FactMapSearch?NPDID_wellbore=1078	NO
1079	2/4-A-15	2/4-A-15 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1987-04-10	1987-07-02	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1079	http://www.npd.no/FactMapSearch?NPDID_wellbore=1079	NO
1080	30/3-A-1	30/3-A-1	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST VISION	VESLEFRIKK A	1987-07-15	1987-09-23	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1080	http://www.npd.no/FactMapSearch?NPDID_wellbore=1080	NO
1081	6407/9-U-5	6407/9-U-5	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	1986-08-29	1986-08-29	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1081	\N	NO
1082	6407/9-U-6	6407/9-U-6	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	1986-08-25	1986-08-25	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1082	\N	NO
1084	30/3-U-1	30/3-U-1	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1987-02-24	1987-02-24	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1084	\N	NO
1085	30/3-U-2	30/3-U-2	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1085	\N	NO
1091	30/6-U-1	30/6-U-1	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-09-18	1987-09-18	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1091	\N	NO
1093	30/6-U-2	30/6-U-2	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-09-10	1987-09-10	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1093	\N	NO
1094	2/1-U-2	2/1-U-2	\N	019	SHALLOW	BP Petroleum Dev. of Norway AS	NO	BUCENTAUR	\N	1987-04-07	1987-04-08	\N	P&A	0	\N	66.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1094	\N	NO
1095	2/1-U-3	2/1-U-3	\N	019	SHALLOW	BP Petroleum Dev. of Norway AS	NO	BUCENTAUR	\N	1987-04-09	1987-04-10	\N	P&A	0	\N	66.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1095	\N	NO
1096	2/1-U-4	2/1-U-4	\N	019	SHALLOW	BP Petroleum Dev. of Norway AS	NO	BUCENTAUR	\N	1987-04-11	1987-04-12	\N	P&A	0	\N	66.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1096	\N	NO
1097	2/1-U-5	2/1-U-5	\N	019	SHALLOW	BP Petroleum Dev. of Norway AS	NO	BUCENTAUR	\N	1987-04-14	1987-04-15	\N	P&A	0	\N	67.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1097	\N	NO
1098	2/1-U-6	2/1-U-6	\N	019	SHALLOW	BP Petroleum Dev. of Norway AS	NO	BUCENTAUR	\N	1987-04-15	1987-04-16	\N	P&A	0	\N	67.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1098	\N	NO
1099	2/1-U-7	2/1-U-7	\N	019	SHALLOW	BP Petroleum Dev. of Norway AS	NO	BUCENTAUR	\N	1987-04-17	1987-04-18	\N	P&A	0	\N	67.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1099	\N	NO
1100	2/1-U-8	2/1-U-8	\N	019	SHALLOW	BP Petroleum Dev. of Norway AS	NO	BUCENTAUR	\N	1987-04-19	1987-04-20	\N	P&A	0	\N	67.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1100	\N	NO
1101	2/1-U-9	2/1-U-9	\N	019	SHALLOW	BP Petroleum Dev. of Norway AS	NO	BUCENTAUR	\N	1987-04-26	1987-04-27	\N	P&A	0	\N	67.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1101	\N	NO
1102	2/1-U-10	2/1-U-10	\N	019	SHALLOW	BP Petroleum Dev. of Norway AS	NO	BUCENTAUR	\N	1987-04-26	1987-04-27	\N	P&A	0	\N	67.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1102	\N	NO
1103	2/1-U-11	2/1-U-11	\N	019	SHALLOW	BP Petroleum Dev. of Norway AS	NO	BUCENTAUR	\N	1987-04-26	1987-04-27	\N	P&A	0	\N	67.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1103	\N	NO
1104	30/6-U-3	30/6-U-3	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-01	1987-10-01	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1104	\N	NO
1105	30/6-U-4	30/6-U-4	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-09-11	1987-09-11	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1105	\N	NO
1106	30/6-U-5	30/6-U-5	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-03	1987-10-03	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1106	\N	NO
1107	30/6-U-6	30/6-U-6	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-04	1987-10-04	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1107	\N	NO
1108	30/6-U-7	30/6-U-7	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-09-24	1987-09-24	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1108	\N	NO
1109	30/6-U-8	30/6-U-8	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-09-23	1987-09-23	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1109	\N	NO
1110	30/6-U-9	30/6-U-9	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-09-23	1987-09-23	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1110	\N	NO
1111	6507/7-U-4	6507/7-U-4	\N	\N	SHALLOW	Norske Conoco A/S	NO	BUCENTAUR	\N	1987-06-13	1987-06-17	\N	P&A	0	\N	345.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1111	\N	NO
1112	6507/7-U-5	6507/7-U-5	\N	\N	SHALLOW	Norske Conoco A/S	NO	BUCENTAUR	\N	1987-06-18	1987-06-23	\N	P&A	0	\N	345.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1112	\N	NO
1113	6507/7-U-6	6507/7-U-6	\N	\N	SHALLOW	Norske Conoco A/S	NO	BUCENTAUR	\N	1987-06-24	1987-06-25	\N	P&A	0	\N	345.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1113	\N	NO
1114	6507/7-U-7	6507/7-U-7	\N	\N	SHALLOW	Norske Conoco A/S	NO	BUCENTAUR	\N	1987-06-25	1987-06-26	\N	P&A	0	\N	345.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1114	\N	NO
1122	6706/10-U-2	6706/10-U-2	\N	\N	SHALLOW	NATIONAL SCIENCE FOUNDATION	NO	GLOMAR CHALLENGE	\N	1974-08-17	1974-08-18	\N	P&A	0	\N	1217.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1122	\N	NO
1123	6706/7-U-1	6706/7-U-1	\N	\N	SHALLOW	NATIONAL SCIENCE FOUNDATION	NO	GLOMAR CHALLENGE	\N	1974-08-18	1974-08-20	\N	P&A	0	\N	1439.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1123	\N	NO
1124	34/10-B-5	34/10-B-5	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1988-10-25	1989-02-15	OIL	PLUGGED	50	PRODUCTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1124	http://www.npd.no/FactMapSearch?NPDID_wellbore=1124	NO
1125	6805/6-U-1	6805/6-U-1	\N	\N	SHALLOW	NATIONAL SCIENCE FOUNDATION	NO	GLOMAR CHALLENGE	\N	1974-08-22	1974-08-24	\N	P&A	0	\N	3131.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1125	\N	NO
1126	33/9-C-26	33/9-C-26	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1987-07-30	1987-08-28	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1126	http://www.npd.no/FactMapSearch?NPDID_wellbore=1126	NO
1127	25/2-A-1	25/2-A-1 H	ØST FRIGG	026	DEVELOPMENT	Elf Petroleum Norge AS	NO	WEST VANGUARD	NORDØST FRIGG A	1987-10-02	1987-12-04	GAS	P&A	90	PRODUCTION	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1127	http://www.npd.no/FactMapSearch?NPDID_wellbore=1127	NO
1128	34/10-32	34/10-32 R	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1987-07-15	1987-08-10	OIL/GAS	P&A	13	APPRAISAL	136.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1128	http://www.npd.no/FactMapSearch?NPDID_wellbore=1128	NO
1129	2/4-B-20	2/4-B-20 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1987-06-20	1987-10-21	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1129	http://www.npd.no/FactMapSearch?NPDID_wellbore=1129	NO
1130	2/4-K-30	2/4-K-30	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1987-07-24	1987-12-26	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1130	http://www.npd.no/FactMapSearch?NPDID_wellbore=1130	NO
1131	25/5-1	25/5-1 A	FRØY	102	EXPLORATION	Elf Petroleum Norge AS	NO	NORTRYM	\N	1987-08-01	1987-09-16	OIL	P&A	5	APPRAISAL	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1131	http://www.npd.no/FactMapSearch?NPDID_wellbore=1131	NO
1132	34/10-A-11	34/10-A-11	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1987-08-05	1987-10-20	WATER	INJECTING	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1132	http://www.npd.no/FactMapSearch?NPDID_wellbore=1132	NO
1133	2/7-B-14	2/7-B-14 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1987-07-23	1987-10-01	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1133	http://www.npd.no/FactMapSearch?NPDID_wellbore=1133	NO
1134	6201/11-1	6201/11-1	\N	130	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1987-08-13	1987-11-06	OIL	P&A	5	WILDCAT	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1134	http://www.npd.no/FactMapSearch?NPDID_wellbore=1134	YES
1135	9/2-2	9/2-2	\N	114	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1987-08-08	1987-09-21	OIL SHOWS	P&A	12	WILDCAT	99.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1135	http://www.npd.no/FactMapSearch?NPDID_wellbore=1135	NO
1136	6406/8-1	6406/8-1	\N	131	EXPLORATION	Elf Petroleum Norge AS	NO	VINNI	\N	1987-09-15	1988-04-11	GAS SHOWS	P&A	12	WILDCAT	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1136	http://www.npd.no/FactMapSearch?NPDID_wellbore=1136	NO
1137	33/9-C-6	33/9-C-6	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1987-08-29	1987-11-01	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1137	http://www.npd.no/FactMapSearch?NPDID_wellbore=1137	NO
1138	7219/9-1	7219/9-1	\N	136	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1987-11-17	1988-02-25	SHOWS	P&A	12	WILDCAT	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1138	http://www.npd.no/FactMapSearch?NPDID_wellbore=1138	NO
1139	7/12-A-3	7/12-A-3	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1987-11-15	1988-01-29	NOT AVAILABLE	PLUGGED	72	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1139	http://www.npd.no/FactMapSearch?NPDID_wellbore=1139	NO
1140	7122/6-1	7122/6-1	\N	138	EXPLORATION	Total Norge AS	NO	POLAR PIONEER	\N	1987-09-06	1987-11-11	GAS	P&A	9	WILDCAT	401.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1140	http://www.npd.no/FactMapSearch?NPDID_wellbore=1140	YES
1141	7030/3-U-1	7030/3-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-07-22	1987-09-09	\N	P&A	0	\N	308.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1141	\N	NO
1142	7129/10-U-2	7129/10-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-07-22	1987-09-09	\N	P&A	0	\N	336.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1142	\N	NO
1145	7129/10-U-1	7129/10-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-07-22	1987-09-09	\N	P&A	0	\N	382.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1145	\N	NO
1146	7128/9-U-1	7128/9-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-07-20	1988-08-28	\N	P&A	0	\N	408.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1146	\N	NO
1148	7230/5-U-2	7230/5-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-07-22	1987-09-09	\N	P&A	0	\N	286.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1148	\N	NO
1149	7230/5-U-3	7230/5-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-07-22	1987-09-09	\N	P&A	0	\N	288.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1149	\N	NO
1150	7230/5-U-4	7230/5-U-4	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-07-22	1987-09-09	\N	P&A	0	\N	283.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1150	\N	NO
1151	7230/5-U-5	7230/5-U-5	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-07-22	1987-09-09	\N	P&A	0	\N	286.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1151	\N	NO
1152	7230/5-U-6	7230/5-U-6	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-07-22	1987-09-09	\N	P&A	0	\N	286.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1152	\N	NO
1153	7231/1-U-1	7231/1-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-08-22	1987-08-28	\N	P&A	0	\N	278.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1153	\N	NO
1154	7231/4-U-1	7231/4-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-08-22	1987-08-28	\N	P&A	0	\N	280.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1154	\N	NO
1161	7230/5-U-9	7230/5-U-9	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-08-22	1987-08-28	\N	P&A	0	\N	294.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1161	\N	NO
1162	7324/7-U-1	7324/7-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-08-29	1987-09-05	\N	P&A	0	\N	402.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1162	\N	NO
1163	7323/12-U-1	7323/12-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1987-08-29	1987-09-05	\N	P&A	0	\N	402.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1163	\N	NO
1164	31/5-U-1	31/5-U-1	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-09-20	1987-09-23	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1164	\N	NO
1165	34/7-U-1	34/7-U-1	\N	\N	SHALLOW	Saga Petroleum ASA	NO	\N	\N	1984-05-09	1984-07-24	\N	P&A	0	\N	328.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1165	\N	NO
1166	34/7-U-2	34/7-U-2	\N	\N	SHALLOW	Saga Petroleum ASA	NO	\N	\N	1987-07-31	1987-07-31	\N	P&A	0	\N	310.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1166	\N	NO
1167	34/7-U-3	34/7-U-3	\N	\N	SHALLOW	Saga Petroleum ASA	NO	\N	\N	1987-08-02	1987-08-02	\N	P&A	0	\N	309.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1167	\N	NO
1168	34/7-U-4	34/7-U-4 A	\N	\N	SHALLOW	Saga Petroleum ASA	NO	\N	\N	1987-08-09	1987-08-09	\N	P&A	0	\N	309.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1168	\N	NO
1169	34/7-U-5	34/7-U-5	\N	\N	SHALLOW	Saga Petroleum ASA	NO	\N	\N	1987-08-13	1987-08-13	\N	P&A	0	\N	310.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1169	\N	NO
1170	34/7-U-6	34/7-U-6 B	\N	\N	SHALLOW	Saga Petroleum ASA	NO	\N	\N	1987-08-19	1987-08-19	\N	P&A	0	\N	309.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1170	\N	NO
1171	34/7-U-7	34/7-U-7 A	\N	\N	SHALLOW	Saga Petroleum ASA	NO	\N	\N	1987-08-17	1987-08-17	\N	P&A	0	\N	337.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1171	\N	NO
1172	34/7-U-8	34/7-U-8	\N	\N	SHALLOW	Saga Petroleum ASA	NO	\N	\N	1987-08-03	1987-08-03	\N	P&A	0	\N	336.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1172	\N	NO
1173	6406/3-4	6406/3-4	\N	091	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1987-09-25	1987-12-29	OIL SHOWS	P&A	12	APPRAISAL	295.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1173	http://www.npd.no/FactMapSearch?NPDID_wellbore=1173	NO
1174	6407/5-1	6407/5-1	\N	121	EXPLORATION	Mobil Exploration Norway INC	NO	TREASURE SCOUT	\N	1987-12-11	1988-03-04	SHOWS	P&A	12	WILDCAT	221.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1174	http://www.npd.no/FactMapSearch?NPDID_wellbore=1174	NO
1175	30/3-A-2	30/3-A-2	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST VISION	VESLEFRIKK A	1987-09-25	1987-11-18	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1175	http://www.npd.no/FactMapSearch?NPDID_wellbore=1175	NO
1176	34/7-11	34/7-11	\N	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1987-10-02	1987-10-11	DRY	JUNKED	1	WILDCAT	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1176	http://www.npd.no/FactMapSearch?NPDID_wellbore=1176	NO
1177	7226/11-1	7226/11-1	\N	139	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1987-10-22	1988-04-11	GAS	P&A	9	WILDCAT	237.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1177	http://www.npd.no/FactMapSearch?NPDID_wellbore=1177	YES
1178	25/2-10	25/2-10 SR	\N	112	EXPLORATION	Elf Petroleum Norge AS	NO	NORTRYM	\N	1987-09-16	1987-09-22	OIL/GAS	P&A	13	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1178	http://www.npd.no/FactMapSearch?NPDID_wellbore=1178	NO
1179	2/4-K-20	2/4-K-20	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1987-09-16	1988-12-12	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1179	http://www.npd.no/FactMapSearch?NPDID_wellbore=1179	NO
1180	2/4-K-28	2/4-K-28	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1987-09-07	1987-11-17	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1180	http://www.npd.no/FactMapSearch?NPDID_wellbore=1180	NO
1181	25/1-A-22	25/1-A-22 A	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1987-10-06	1987-11-01	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1181	http://www.npd.no/FactMapSearch?NPDID_wellbore=1181	NO
1182	25/1-A-3	25/1-A-3 A	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1987-09-05	1987-09-28	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1182	http://www.npd.no/FactMapSearch?NPDID_wellbore=1182	NO
1183	2/7-A-8	2/7-A-8	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1987-10-27	1988-02-25	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1183	http://www.npd.no/FactMapSearch?NPDID_wellbore=1183	NO
1184	33/9-C-1	33/9-C-1	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1987-11-03	1987-11-08	NOT AVAILABLE	PLUGGED	72	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1184	http://www.npd.no/FactMapSearch?NPDID_wellbore=1184	NO
1185	34/10-B-1	34/10-B-1	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1987-11-23	1988-02-17	OIL	PLUGGED	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1185	http://www.npd.no/FactMapSearch?NPDID_wellbore=1185	NO
1186	34/10-3	34/10-3 R	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1987-10-03	1987-10-10	OIL	P&A	5	APPRAISAL	140.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1186	http://www.npd.no/FactMapSearch?NPDID_wellbore=1186	NO
1187	34/7-12	34/7-12	TORDIS	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1987-10-11	1987-12-17	OIL	P&A	5	WILDCAT	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1187	http://www.npd.no/FactMapSearch?NPDID_wellbore=1187	YES
1188	2/2-4	2/2-4	\N	066	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1988-04-16	1988-06-07	GAS	P&A	9	APPRAISAL	59.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1188	http://www.npd.no/FactMapSearch?NPDID_wellbore=1188	NO
1189	2/4-K-9	2/4-K-9	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1987-11-17	1987-11-30	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1189	http://www.npd.no/FactMapSearch?NPDID_wellbore=1189	NO
1190	31/4-U-1	31/4-U-1	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-14	1987-10-14	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1190	\N	NO
1191	31/4-U-2	31/4-U-2	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-09-29	1987-09-30	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1191	\N	NO
1192	31/4-U-3	31/4-U-3	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-02	1987-10-03	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1192	\N	NO
1193	31/4-U-4	31/4-U-4	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-02	1987-10-03	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1193	\N	NO
1194	31/4-U-5	31/4-U-5	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-13	1987-10-14	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1194	\N	NO
1195	31/4-U-6	31/4-U-6	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-03	1987-10-04	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1195	\N	NO
1196	31/4-U-7	31/4-U-7	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-08	1987-10-09	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1196	\N	NO
1197	31/4-U-8	31/4-U-8	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-15	1987-10-16	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1197	\N	NO
1198	31/4-U-9	31/4-U-9	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-10	1987-10-11	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1198	\N	NO
1199	30/6-U-10	30/6-U-10	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-02	1987-10-02	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1199	\N	NO
1201	31/6-U-1	31/6-U-1	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1201	\N	NO
1202	31/6-U-2	31/6-U-2	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1202	\N	NO
1203	31/6-U-3	31/6-U-3	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1203	\N	NO
1204	31/6-U-4	31/6-U-4	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1204	\N	NO
1205	31/6-U-5	31/6-U-5	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1205	\N	NO
1206	31/6-U-6	31/6-U-6	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1206	\N	NO
1207	31/6-U-7	31/6-U-7	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1207	\N	NO
1208	31/6-U-8	31/6-U-8	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1208	\N	NO
1209	30/3-A-3	30/3-A-3	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST VISION	VESLEFRIKK A	1987-11-18	1987-12-19	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1209	http://www.npd.no/FactMapSearch?NPDID_wellbore=1209	NO
1210	2/1-A-8	2/1-A-8	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	VILDKAT EXPLORER	GYDA	1987-11-18	1990-11-09	NOT AVAILABLE	PLUGGED	71	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1210	http://www.npd.no/FactMapSearch?NPDID_wellbore=1210	NO
1215	2/7-B-2	2/7-B-2	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1987-11-20	1988-02-09	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1215	http://www.npd.no/FactMapSearch?NPDID_wellbore=1215	NO
1216	6506/11-1	6506/11-1	\N	134	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1987-12-30	1988-03-31	GAS SHOWS	P&A	12	WILDCAT	246.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1216	http://www.npd.no/FactMapSearch?NPDID_wellbore=1216	NO
1217	2/4-A-1	2/4-A-1 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1987-11-07	1988-02-15	OIL	CLOSED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1217	http://www.npd.no/FactMapSearch?NPDID_wellbore=1217	NO
1218	2/4-K-27	2/4-K-27	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1988-01-08	1988-07-14	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1218	http://www.npd.no/FactMapSearch?NPDID_wellbore=1218	NO
1219	25/1-10	25/1-10	\N	024	EXPLORATION	Elf Petroleum Norge AS	NO	VINNI	\N	1988-04-19	1988-09-14	DRY	P&A	1	WILDCAT	99.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1219	http://www.npd.no/FactMapSearch?NPDID_wellbore=1219	NO
1220	34/10-A-13	34/10-A-13	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1987-12-23	1988-02-15	GAS	INJECTING	91	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1220	http://www.npd.no/FactMapSearch?NPDID_wellbore=1220	NO
1221	2/4-D-8	2/4-D-8 A	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1988-03-18	1988-04-15	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1221	http://www.npd.no/FactMapSearch?NPDID_wellbore=1221	NO
1222	2/1-A-7	2/1-A-7	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	VILDKAT EXPLORER	GYDA	1988-01-13	1990-09-30	OIL	PLUGGED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1222	http://www.npd.no/FactMapSearch?NPDID_wellbore=1222	NO
1223	30/6-U-11	30/6-U-11	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-10-02	1987-10-02	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1223	\N	NO
1590	7018/7-U-1	7018/7-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1990-06-23	1990-07-25	\N	P&A	0	\N	189.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1590	\N	NO
1224	2/8-11	2/8-11	VALHALL	006	EXPLORATION	Amoco Norway Oil Company	NO	ROSS RIG	\N	1976-08-10	1976-10-11	OIL	P&A	5	APPRAISAL	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1224	http://www.npd.no/FactMapSearch?NPDID_wellbore=1224	NO
1225	30/6-22	30/6-22	OSEBERG ØST	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1988-05-21	1988-07-13	OIL	SUSP.REENTERED LATER	5	APPRAISAL	179.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1225	http://www.npd.no/FactMapSearch?NPDID_wellbore=1225	NO
1226	33/9-14	33/9-14	STATFJORD NORD	037	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1988-02-17	1988-04-09	OIL	P&A	5	APPRAISAL	248.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1226	http://www.npd.no/FactMapSearch?NPDID_wellbore=1226	NO
1227	6406/3-5	6406/3-5	\N	091	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST DELTA	\N	1988-04-03	1988-06-01	SHOWS	P&A	12	WILDCAT	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1227	http://www.npd.no/FactMapSearch?NPDID_wellbore=1227	NO
1228	2/8-A-10	2/8-A-10 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1988-02-13	1988-03-23	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1228	http://www.npd.no/FactMapSearch?NPDID_wellbore=1228	NO
1229	6407/7-3	6407/7-3	NJORD	107	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1988-03-03	1988-05-18	OIL	P&A	5	APPRAISAL	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1229	http://www.npd.no/FactMapSearch?NPDID_wellbore=1229	NO
1230	31/5-U-2	31/5-U-2	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1987-09-24	1987-09-25	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1230	\N	NO
1231	2/7-B-4	2/7-B-4	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1988-11-07	1988-12-29	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1231	http://www.npd.no/FactMapSearch?NPDID_wellbore=1231	NO
1232	25/2-A-3	25/2-A-3 H	ØST FRIGG	026	DEVELOPMENT	Elf Petroleum Norge AS	NO	WEST VANGUARD	NORDØST FRIGG A	1988-03-06	1988-04-12	GAS	P&A	90	PRODUCTION	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1232	http://www.npd.no/FactMapSearch?NPDID_wellbore=1232	NO
1233	34/7-13	34/7-13	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1988-02-19	1988-04-13	OIL	P&A	5	APPRAISAL	282.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1233	http://www.npd.no/FactMapSearch?NPDID_wellbore=1233	NO
1234	30/3-A-4	30/3-A-4	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST VISION	VESLEFRIKK A	1987-12-19	1988-08-15	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1234	http://www.npd.no/FactMapSearch?NPDID_wellbore=1234	NO
1235	30/6-U-12	30/6-U-12	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1988-01-15	1988-01-15	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1235	\N	NO
1236	30/6-U-13	30/6-U-13	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1988-01-06	1988-01-06	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1236	\N	NO
1237	30/6-U-14	30/6-U-14	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1988-01-19	1988-01-19	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1237	\N	NO
1238	30/6-U-15	30/6-U-15	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1988-01-17	1988-01-17	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1238	\N	NO
1239	30/6-U-16	30/6-U-16	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1988-01-07	1988-01-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1239	\N	NO
1240	30/6-U-17	30/6-U-17	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1988-01-08	1988-01-08	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1240	\N	NO
1241	30/6-U-19	30/6-U-19	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1988-01-12	1988-01-12	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1241	\N	NO
1242	30/6-U-18	30/6-U-18	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1988-01-24	1988-01-24	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1242	\N	NO
1243	30/6-U-20	30/6-U-20	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	1988-01-21	1988-01-21	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1243	\N	NO
1244	1/9-A-6	1/9-A-6 H	TOMMELITEN GAMMA	044	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	ROSS ISLE	TOMMELITEN	1988-02-20	1988-04-18	GAS	P&A	90	PRODUCTION	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1244	http://www.npd.no/FactMapSearch?NPDID_wellbore=1244	NO
1245	7224/7-1	7224/7-1	\N	137	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1988-04-13	1988-06-19	SHOWS	P&A	12	WILDCAT	269.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1245	http://www.npd.no/FactMapSearch?NPDID_wellbore=1245	NO
1246	6408/4-1	6408/4-1	\N	133	EXPLORATION	Conoco Norway Inc.	NO	VINNI	\N	1988-09-18	1988-10-18	DRY	P&A	1	WILDCAT	209.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1246	http://www.npd.no/FactMapSearch?NPDID_wellbore=1246	NO
1247	7/12-A-1	7/12-A-1	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1988-02-27	1988-05-13	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1247	http://www.npd.no/FactMapSearch?NPDID_wellbore=1247	NO
1248	2/8-A-23	2/8-A-23	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1988-03-23	1988-07-05	OIL	CLOSED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1248	http://www.npd.no/FactMapSearch?NPDID_wellbore=1248	NO
1249	2/4-C-4	2/4-C-4	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1988-02-15	1988-04-20	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1249	http://www.npd.no/FactMapSearch?NPDID_wellbore=1249	NO
1250	15/5-2	15/5-2 R	\N	048	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SEEKER	\N	1979-11-02	1979-12-07	GAS	P&A	9	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1250	http://www.npd.no/FactMapSearch?NPDID_wellbore=1250	NO
1251	34/10-A-14	34/10-A-14	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1988-02-25	1988-04-14	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1251	http://www.npd.no/FactMapSearch?NPDID_wellbore=1251	NO
1252	2/1-A-5	2/1-A-5	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	VILDKAT EXPLORER	GYDA	1988-03-18	1988-05-05	WATER	INJECTING	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1252	http://www.npd.no/FactMapSearch?NPDID_wellbore=1252	NO
1253	34/10-A-15	34/10-A-15	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1988-04-17	1988-05-31	WATER	PLUGGED	173	INJECTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1253	http://www.npd.no/FactMapSearch?NPDID_wellbore=1253	NO
1254	2/4-E-2	2/4-E-2 A	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1988-03-17	1988-05-17	OIL	PRODUCING	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1254	http://www.npd.no/FactMapSearch?NPDID_wellbore=1254	NO
1255	2/7-B-13	2/7-B-13 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1988-04-04	1988-06-30	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1255	http://www.npd.no/FactMapSearch?NPDID_wellbore=1255	NO
1256	6407/9-U-8	6407/9-U-8	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1256	\N	NO
1257	6407/9-U-9	6407/9-U-9	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1257	\N	NO
1258	6407/9-U-10	6407/9-U-10	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1258	\N	NO
1259	6407/9-U-11	6407/9-U-11	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1259	\N	NO
1260	6407/9-U-12	6407/9-U-12	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1260	\N	NO
1261	6407/9-U-13	6407/9-U-13	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1261	\N	NO
1262	2/7-A-4	2/7-A-4	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1988-05-07	1988-06-24	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1262	http://www.npd.no/FactMapSearch?NPDID_wellbore=1262	NO
1263	2/1-A-4	2/1-A-4	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	VILDKAT EXPLORER	GYDA	1988-05-05	1988-06-18	OIL	PRODUCING	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1263	http://www.npd.no/FactMapSearch?NPDID_wellbore=1263	NO
1265	2/4-C-7	2/4-C-7	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1988-04-24	1988-07-15	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1265	http://www.npd.no/FactMapSearch?NPDID_wellbore=1265	NO
1266	7/12-A-5	7/12-A-5	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1988-05-15	1989-02-03	WATER	PLUGGED	173	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1266	http://www.npd.no/FactMapSearch?NPDID_wellbore=1266	NO
1267	6408/12-U-1	6408/12-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-05-20	1988-06-12	\N	P&A	0	\N	291.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1267	\N	NO
1269	6307/7-U-2	6307/7-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-05-20	1988-06-12	\N	P&A	0	\N	290.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1269	\N	NO
1270	6307/7-U-3	6307/7-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-05-20	1988-06-12	\N	P&A	0	\N	241.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1270	\N	NO
1273	6206/2-U-1	6206/2-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-05-20	1988-06-12	\N	P&A	0	\N	204.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1273	\N	NO
1274	6206/2-U-2	6206/2-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-05-20	1988-06-12	\N	P&A	0	\N	216.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1274	\N	NO
1275	6206/2-U-3	6206/2-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-05-20	1988-06-12	\N	P&A	0	\N	218.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1275	\N	NO
1278	34/7-14	34/7-14	TORDIS	089	EXPLORATION	Saga Petroleum ASA	NO	VILDKAT EXPLORER	\N	1989-09-28	1989-12-02	OIL	P&A	5	APPRAISAL	148.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1278	http://www.npd.no/FactMapSearch?NPDID_wellbore=1278	NO
1279	25/1-7	25/1-7 R2	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1988-05-07	1988-05-10	GAS	SUSP.REENTERED LATER	9	APPRAISAL	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1279	http://www.npd.no/FactMapSearch?NPDID_wellbore=1279	NO
1280	2/7-B-16	2/7-B-16	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1988-08-31	1988-11-05	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1280	http://www.npd.no/FactMapSearch?NPDID_wellbore=1280	NO
1281	2/4-K-21	2/4-K-21	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1988-05-26	1988-07-03	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1281	http://www.npd.no/FactMapSearch?NPDID_wellbore=1281	NO
1282	7/12-A-12	7/12-A-12	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1988-05-21	1988-07-24	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1282	http://www.npd.no/FactMapSearch?NPDID_wellbore=1282	NO
1283	34/10-B-3	34/10-B-3	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1988-06-03	1988-07-30	OIL	PLUGGED	50	PRODUCTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1283	http://www.npd.no/FactMapSearch?NPDID_wellbore=1283	NO
1284	7321/7-1	7321/7-1	\N	140	EXPLORATION	Mobil Exploration Norway INC	NO	ROSS RIG	\N	1988-06-26	1988-10-22	GAS SHOWS	P&A	12	WILDCAT	475.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1284	http://www.npd.no/FactMapSearch?NPDID_wellbore=1284	NO
1285	34/10-A-16	34/10-A-16	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1988-06-08	1988-07-17	NOT AVAILABLE	PLUGGED	71	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1285	http://www.npd.no/FactMapSearch?NPDID_wellbore=1285	NO
5928	1/3-U-12	1/3-U-12	\N	274	SHALLOW	DONG E&P Norge AS	NO	BUCENTAUR	\N	2008-09-15	2008-09-15	\N	P&A	0	\N	72.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5928	\N	NO
1286	25/1-8	25/1-8 SR2	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1988-05-12	1988-05-15	GAS	SUSP.REENTERED LATER	9	APPRAISAL	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1286	http://www.npd.no/FactMapSearch?NPDID_wellbore=1286	NO
1287	7/12-7	7/12-7	ULA	019	EXPLORATION	BP Norway Limited  U.A.	NO	VILDKAT EXPLORER	\N	1988-06-20	1988-07-26	OIL	SUSP.REENTERED LATER	5	APPRAISAL	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1287	http://www.npd.no/FactMapSearch?NPDID_wellbore=1287	NO
1288	35/8-3	35/8-3	\N	058	EXPLORATION	Norwegian Gulf Exploration Company AS	NO	TREASURE SCOUT	\N	1988-07-06	1988-10-15	GAS	P&A	9	WILDCAT	373.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1288	http://www.npd.no/FactMapSearch?NPDID_wellbore=1288	YES
1289	2/4-D-15	2/4-D-15	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1988-06-23	1988-09-01	NOT AVAILABLE	P&A	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1289	http://www.npd.no/FactMapSearch?NPDID_wellbore=1289	NO
1290	25/2-12	25/2-12	LILLE-FRIGG	026	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1988-07-17	1988-11-12	GAS/CONDENSATE	P&A	17	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1290	http://www.npd.no/FactMapSearch?NPDID_wellbore=1290	NO
1291	2/4-K-11	2/4-K-11	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1988-07-04	1988-10-11	NOT AVAILABLE	PLUGGED	72	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1291	http://www.npd.no/FactMapSearch?NPDID_wellbore=1291	NO
1292	2/7-A-13	2/7-A-13	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1988-06-27	1989-01-31	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1292	http://www.npd.no/FactMapSearch?NPDID_wellbore=1292	NO
1293	2/4-B-2	2/4-B-2 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1988-05-24	1988-08-21	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1293	http://www.npd.no/FactMapSearch?NPDID_wellbore=1293	NO
1294	9/2-3	9/2-3	YME	114	EXPLORATION	Den norske stats oljeselskap a.s	NO	VILDKAT EXPLORER	\N	1989-12-04	1990-02-08	OIL	P&A	5	WILDCAT	79.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1294	http://www.npd.no/FactMapSearch?NPDID_wellbore=1294	YES
1295	2/4-K-1	2/4-K-1	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1989-06-18	1989-08-08	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1295	http://www.npd.no/FactMapSearch?NPDID_wellbore=1295	NO
1296	30/9-B-4	30/9-B-4	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1992-06-27	1992-08-04	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1296	http://www.npd.no/FactMapSearch?NPDID_wellbore=1296	NO
1297	30/9-B-7	30/9-B-7	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1988-07-21	1990-11-07	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1297	http://www.npd.no/FactMapSearch?NPDID_wellbore=1297	NO
1298	30/9-B-42	30/9-B-42	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1988-08-06	1989-05-23	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1298	http://www.npd.no/FactMapSearch?NPDID_wellbore=1298	NO
1300	2/1-A-6	2/1-A-6	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	VILDKAT EXPLORER	GYDA	1988-07-28	1988-09-25	OIL	PLUGGED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1300	http://www.npd.no/FactMapSearch?NPDID_wellbore=1300	NO
1301	2/8-A-24	2/8-A-24	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1988-09-15	1988-11-07	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1301	http://www.npd.no/FactMapSearch?NPDID_wellbore=1301	NO
1302	34/10-33	34/10-33	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST DELTA	\N	1988-09-25	1988-12-15	OIL/GAS	P&A	13	APPRAISAL	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1302	http://www.npd.no/FactMapSearch?NPDID_wellbore=1302	NO
1303	34/10-A-17	34/10-A-17	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1988-07-23	1988-10-08	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1303	http://www.npd.no/FactMapSearch?NPDID_wellbore=1303	NO
1304	34/10-B-4	34/10-B-4	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1988-07-25	1988-09-13	OIL	PLUGGED	50	PRODUCTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1304	http://www.npd.no/FactMapSearch?NPDID_wellbore=1304	NO
1305	6206/2-U-8	6206/2-U-8	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-05-20	1988-06-12	\N	P&A	0	\N	210.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1305	\N	NO
1306	30/9-7	30/9-7	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1988-11-02	1988-12-23	OIL	P&A	5	WILDCAT	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1306	http://www.npd.no/FactMapSearch?NPDID_wellbore=1306	YES
1307	30/3-A-5	30/3-A-5	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	VESLEFRIKK A	1988-08-15	1988-11-27	NOT AVAILABLE	PLUGGED	71	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1307	http://www.npd.no/FactMapSearch?NPDID_wellbore=1307	NO
1308	2/5-8	2/5-8	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	DYVI STENA	\N	1988-09-18	1988-11-05	OIL SHOWS	P&A	12	APPRAISAL	66.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1308	http://www.npd.no/FactMapSearch?NPDID_wellbore=1308	NO
1309	6507/8-3	6507/8-3	\N	124	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST DELTA	\N	1988-09-03	1988-09-20	GAS SHOWS	P&A	12	WILDCAT	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1309	http://www.npd.no/FactMapSearch?NPDID_wellbore=1309	NO
1310	2/4-K-24	2/4-K-24	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1988-08-03	1988-08-31	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1310	http://www.npd.no/FactMapSearch?NPDID_wellbore=1310	NO
1591	7018/5-U-1	7018/5-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1990-06-23	1990-07-25	\N	P&A	0	\N	207.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1591	\N	NO
1311	7/12-8	7/12-8	ULA	019	EXPLORATION	BP Norway Limited  U.A.	NO	VILDKAT EXPLORER	\N	1988-10-03	1988-12-27	OIL	SUSPENDED	5	APPRAISAL	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1311	http://www.npd.no/FactMapSearch?NPDID_wellbore=1311	NO
1312	7/12-A-4	7/12-A-4	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1988-09-01	1988-11-11	WATER	INJECTING	173	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1312	http://www.npd.no/FactMapSearch?NPDID_wellbore=1312	NO
1313	2/4-13	2/4-13	\N	146	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1988-09-03	1988-10-06	GAS SHOWS	JUNKED	12	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1313	http://www.npd.no/FactMapSearch?NPDID_wellbore=1313	NO
1314	2/4-C-15	2/4-C-15 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1988-07-16	1988-11-23	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1314	http://www.npd.no/FactMapSearch?NPDID_wellbore=1314	NO
1315	6407/9-U-14	6407/9-U-14	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1315	\N	NO
1316	34/10-B-7	34/10-B-7	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1989-03-19	1989-04-26	WATER	INJECTING	173	INJECTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1316	http://www.npd.no/FactMapSearch?NPDID_wellbore=1316	NO
1320	30/9-U-1	30/9-U-1	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1320	\N	NO
1321	31/6-U-14	31/6-U-14	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1988-06-24	1988-06-24	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1321	\N	NO
1322	31/6-U-15	31/6-U-15	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1988-07-05	1988-07-05	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1322	\N	NO
1323	31/6-U-16	31/6-U-16	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1323	\N	NO
1324	31/6-U-17	31/6-U-17	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1324	\N	NO
1325	7430/10-U-1	7430/10-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-07-27	1988-07-29	\N	P&A	0	\N	335.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1325	\N	NO
1326	7430/7-U-1	7430/7-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-07-29	1988-08-28	\N	P&A	0	\N	343.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1326	\N	NO
1327	7127/10-U-2	7127/10-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-08-03	1988-08-07	\N	P&A	0	\N	279.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1327	\N	NO
1328	7029/3-U-1	7029/3-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-08-19	1988-08-23	\N	P&A	0	\N	366.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1328	\N	NO
1329	7127/10-U-3	7127/10-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-08-07	1988-08-10	\N	P&A	0	\N	264.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1329	\N	NO
1330	7128/12-U-1	7128/12-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-08-10	1988-08-14	\N	P&A	0	\N	409.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1330	\N	NO
1332	7029/3-U-2	7029/3-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-08-23	1988-08-27	\N	P&A	0	\N	308.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1332	\N	NO
1336	2/8-A-7	2/8-A-7 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1988-11-07	1989-01-08	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1336	http://www.npd.no/FactMapSearch?NPDID_wellbore=1336	NO
1337	34/10-A-18	34/10-A-18	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1988-09-27	1988-11-16	WATER	INJECTING	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1337	http://www.npd.no/FactMapSearch?NPDID_wellbore=1337	NO
1338	34/8-3	34/8-3 A	VISUND	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1988-09-14	1988-10-31	OIL/GAS	P&A	13	APPRAISAL	382.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1338	http://www.npd.no/FactMapSearch?NPDID_wellbore=1338	NO
1339	7321/9-1	7321/9-1	\N	141	EXPLORATION	Norsk Hydro Produksjon AS	NO	ROSS RIG	\N	1988-10-25	1988-11-28	SHOWS	P&A	12	WILDCAT	459.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1339	http://www.npd.no/FactMapSearch?NPDID_wellbore=1339	NO
1340	6507/8-4	6507/8-4	HEIDRUN	124	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1990-06-14	1990-08-13	OIL/GAS	P&A	13	WILDCAT	354.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1340	http://www.npd.no/FactMapSearch?NPDID_wellbore=1340	YES
1341	30/6-C-11	30/6-C-11	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	OSEBERG C	1988-10-14	1991-09-15	GAS	INJECTING	91	INJECTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1341	http://www.npd.no/FactMapSearch?NPDID_wellbore=1341	NO
1342	6506/12-6	6506/12-6	ÅSGARD	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	DYVI DELTA	\N	1986-03-31	1986-08-02	GAS/CONDENSATE	P&A	17	APPRAISAL	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1342	http://www.npd.no/FactMapSearch?NPDID_wellbore=1342	NO
1343	2/4-14	2/4-14	\N	146	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1988-10-06	1989-01-31	OIL/GAS	SUSP.REENTERED LATER	13	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1343	http://www.npd.no/FactMapSearch?NPDID_wellbore=1343	YES
1344	2/4-B-3	2/4-B-3 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1988-10-06	1988-11-12	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1344	http://www.npd.no/FactMapSearch?NPDID_wellbore=1344	NO
1345	2/4-K-5	2/4-K-5	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1988-10-12	1988-11-28	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1345	http://www.npd.no/FactMapSearch?NPDID_wellbore=1345	NO
1592	7018/5-U-2	7018/5-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1990-06-23	1990-07-25	\N	P&A	0	\N	225.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1592	\N	NO
1346	25/5-2	25/5-2	FRØY	102	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1989-04-18	1989-07-04	OIL	P&A	5	APPRAISAL	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1346	http://www.npd.no/FactMapSearch?NPDID_wellbore=1346	NO
1347	30/3-A-6	30/3-A-6	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	VESLEFRIKK A	1988-11-27	1989-01-30	NOT AVAILABLE	PLUGGED	71	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1347	http://www.npd.no/FactMapSearch?NPDID_wellbore=1347	NO
1348	2/8-A-18	2/8-A-18 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1989-02-15	1989-03-24	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1348	http://www.npd.no/FactMapSearch?NPDID_wellbore=1348	NO
1349	34/10-A-16	34/10-A-16 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1989-10-19	1989-11-13	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1349	http://www.npd.no/FactMapSearch?NPDID_wellbore=1349	NO
1350	7125/1-1	7125/1-1	\N	135	EXPLORATION	Saga Petroleum ASA	NO	ROSS RIG	\N	1988-11-30	1988-12-30	OIL/GAS	P&A	13	WILDCAT	252.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1350	http://www.npd.no/FactMapSearch?NPDID_wellbore=1350	YES
1351	2/8-12	2/8-12 S	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	DYVI STENA	\N	1988-11-07	1989-04-27	SHOWS	P&A	12	WILDCAT	68.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1351	http://www.npd.no/FactMapSearch?NPDID_wellbore=1351	NO
1352	34/10-A-19	34/10-A-19	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1988-11-04	1988-12-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1352	http://www.npd.no/FactMapSearch?NPDID_wellbore=1352	NO
1353	2/4-K-7	2/4-K-7	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1990-09-23	1991-04-20	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1353	http://www.npd.no/FactMapSearch?NPDID_wellbore=1353	NO
1354	7/12-A-8	7/12-A-8	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1989-02-09	1989-04-02	NOT AVAILABLE	PLUGGED	72	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1354	http://www.npd.no/FactMapSearch?NPDID_wellbore=1354	NO
1355	25/2-12	25/2-12 A	LILLE-FRIGG	026	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1988-11-12	1989-04-06	GAS/CONDENSATE	P&A	17	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1355	http://www.npd.no/FactMapSearch?NPDID_wellbore=1355	NO
1356	35/11-3	35/11-3 S	\N	090	EXPLORATION	Mobil Exploration Norway INC	NO	DYVI STENA	\N	1989-06-27	1989-09-09	OIL SHOWS	P&A	12	WILDCAT	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1356	http://www.npd.no/FactMapSearch?NPDID_wellbore=1356	NO
1357	2/4-C-6	2/4-C-6 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1988-12-28	1989-02-11	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1357	http://www.npd.no/FactMapSearch?NPDID_wellbore=1357	NO
1358	33/12-7	33/12-7	\N	152	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1989-02-22	1989-04-27	DRY	P&A	1	WILDCAT	140.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1358	http://www.npd.no/FactMapSearch?NPDID_wellbore=1358	NO
1359	2/7-A-2	2/7-A-2 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1989-04-04	1989-06-01	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1359	http://www.npd.no/FactMapSearch?NPDID_wellbore=1359	NO
1360	6407/7-4	6407/7-4	NJORD	107	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1989-01-13	1989-03-28	OIL	P&A	5	APPRAISAL	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1360	http://www.npd.no/FactMapSearch?NPDID_wellbore=1360	NO
1361	2/4-K-10	2/4-K-10	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1988-12-11	1989-01-18	NOT AVAILABLE	PLUGGED	72	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1361	http://www.npd.no/FactMapSearch?NPDID_wellbore=1361	NO
1362	30/6-C-10	30/6-C-10	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	OSEBERG C	1988-12-27	1989-02-22	OIL	PLUGGED	50	PRODUCTION	108.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1362	http://www.npd.no/FactMapSearch?NPDID_wellbore=1362	NO
1363	34/10-A-20	34/10-A-20	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1988-12-09	1989-03-09	WATER	PLUGGED	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1363	http://www.npd.no/FactMapSearch?NPDID_wellbore=1363	NO
1364	34/10-B-6	34/10-B-6	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1989-02-05	1989-03-17	OIL	PRODUCING	50	PRODUCTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1364	http://www.npd.no/FactMapSearch?NPDID_wellbore=1364	NO
1365	34/10-33	34/10-33 A	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST DELTA	\N	1988-12-15	1989-02-03	OIL/GAS	P&A	13	APPRAISAL	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1365	http://www.npd.no/FactMapSearch?NPDID_wellbore=1365	NO
1366	7120/1-2	7120/1-2	\N	108	EXPLORATION	A/S Norske Shell	NO	ROSS RIG	\N	1989-01-01	1989-03-28	OIL	P&A	5	WILDCAT	304.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1366	http://www.npd.no/FactMapSearch?NPDID_wellbore=1366	YES
1367	2/7-19	2/7-19	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	BORGSTEN DOLPHIN	\N	1980-09-02	1981-02-02	OIL	SUSP.REENTERED LATER	5	WILDCAT	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1367	http://www.npd.no/FactMapSearch?NPDID_wellbore=1367	YES
1368	2/1-A-2	2/1-A-2	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	VILDKAT EXPLORER	GYDA	1989-02-21	1990-08-29	OIL	PLUGGED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1368	http://www.npd.no/FactMapSearch?NPDID_wellbore=1368	NO
1369	2/8-A-14	2/8-A-14 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1989-01-15	1989-02-15	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1369	http://www.npd.no/FactMapSearch?NPDID_wellbore=1369	NO
1661	7427/3-U-1	7427/3-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1990-07-27	1990-07-30	\N	P&A	0	\N	340.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1661	\N	NO
1370	34/10-A-21	34/10-A-21	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1989-01-15	1989-03-13	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1370	http://www.npd.no/FactMapSearch?NPDID_wellbore=1370	NO
1371	2/4-15	2/4-15 S	\N	146	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1989-01-31	1990-03-16	DRY	SUSP.REENTERED LATER	1	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1371	http://www.npd.no/FactMapSearch?NPDID_wellbore=1371	NO
1372	2/4-B-6	2/4-B-6 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1989-01-29	1989-03-12	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1372	http://www.npd.no/FactMapSearch?NPDID_wellbore=1372	NO
1373	2/4-K-29	2/4-K-29	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1989-01-19	1989-08-31	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1373	http://www.npd.no/FactMapSearch?NPDID_wellbore=1373	NO
1374	30/6-C-12	30/6-C-12	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	OSEBERG C	1989-02-22	1989-08-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1374	http://www.npd.no/FactMapSearch?NPDID_wellbore=1374	NO
1375	35/9-1	35/9-1	GJØA	153	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1989-04-01	1989-05-07	OIL/GAS	SUSP.REENTERED LATER	13	WILDCAT	361.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1375	http://www.npd.no/FactMapSearch?NPDID_wellbore=1375	YES
1376	2/4-A-4	2/4-A-4 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1989-02-11	1989-04-04	OIL	CLOSED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1376	http://www.npd.no/FactMapSearch?NPDID_wellbore=1376	NO
1377	2/4-K-19	2/4-K-19	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1989-02-15	1989-07-11	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1377	http://www.npd.no/FactMapSearch?NPDID_wellbore=1377	NO
1378	2/4-C-19	2/4-C-19	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1989-11-18	1990-03-14	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1378	http://www.npd.no/FactMapSearch?NPDID_wellbore=1378	NO
1379	34/10-A-22	34/10-A-22	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1989-02-27	1989-04-06	GAS	INJECTING	91	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1379	http://www.npd.no/FactMapSearch?NPDID_wellbore=1379	NO
1380	2/7-B-1	2/7-B-1 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1989-02-28	1989-03-29	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1380	http://www.npd.no/FactMapSearch?NPDID_wellbore=1380	NO
1381	2/8-A-22	2/8-A-22	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1989-04-09	1989-05-17	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1381	http://www.npd.no/FactMapSearch?NPDID_wellbore=1381	NO
1382	1/2-1	1/2-1	BLANE	143	EXPLORATION	PHILLIPS PETROLEUM COMPANY NORWAY	NO	ROSS ISLE	\N	1989-03-20	1989-06-04	OIL	P&A	5	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1382	http://www.npd.no/FactMapSearch?NPDID_wellbore=1382	YES
1383	2/8-13	2/8-13	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	DYVI STENA	\N	1989-04-29	1989-06-22	SHOWS	P&A	12	WILDCAT	68.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1383	http://www.npd.no/FactMapSearch?NPDID_wellbore=1383	NO
1384	34/10-33	34/10-33 C	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1989-07-10	1989-08-01	OIL/GAS	RE-CLASS TO TEST	13	APPRAISAL	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1384	http://www.npd.no/FactMapSearch?NPDID_wellbore=1384	NO
1385	2/1-A-1	2/1-A-1	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	VILDKAT EXPLORER	GYDA	1989-05-08	1990-10-13	OIL	PRODUCING	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1385	http://www.npd.no/FactMapSearch?NPDID_wellbore=1385	NO
1386	34/10-A-23	34/10-A-23	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1989-03-31	1989-06-16	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1386	http://www.npd.no/FactMapSearch?NPDID_wellbore=1386	NO
1387	7/12-A-13	7/12-A-13	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1989-04-08	1989-07-02	NOT AVAILABLE	PLUGGED	72	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1387	http://www.npd.no/FactMapSearch?NPDID_wellbore=1387	NO
1388	33/9-C-36	33/9-C-36	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1989-04-20	1989-07-07	OIL	PRODUCING	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1388	http://www.npd.no/FactMapSearch?NPDID_wellbore=1388	NO
1389	30/9-B-3	30/9-B-3	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1989-05-23	1989-07-09	GAS	INJECTING	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1389	http://www.npd.no/FactMapSearch?NPDID_wellbore=1389	NO
1390	2/4-K-17	2/4-K-17	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1989-03-22	1989-08-09	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1390	http://www.npd.no/FactMapSearch?NPDID_wellbore=1390	NO
1391	6608/10-1	6608/10-1	\N	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1989-04-15	1989-05-29	DRY	P&A	1	WILDCAT	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1391	http://www.npd.no/FactMapSearch?NPDID_wellbore=1391	NO
1392	34/10-B-8	34/10-B-8	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1989-04-17	1989-05-17	WATER	INJECTING	173	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1392	http://www.npd.no/FactMapSearch?NPDID_wellbore=1392	NO
1393	2/4-E-14	2/4-E-14 A	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1989-04-29	1989-06-06	OIL	PRODUCING	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1393	http://www.npd.no/FactMapSearch?NPDID_wellbore=1393	NO
1394	2/7-21	2/7-21 S	EMBLA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ROSS ISLE	\N	1989-06-21	1990-01-09	OIL	SUSP.REENTERED LATER	5	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1394	http://www.npd.no/FactMapSearch?NPDID_wellbore=1394	NO
1395	25/1-7	25/1-7 R3	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1989-04-15	1989-04-16	GAS	SUSP.REENTERED LATER	9	APPRAISAL	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1395	http://www.npd.no/FactMapSearch?NPDID_wellbore=1395	NO
1396	25/1-8	25/1-8 SR3	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1989-04-01	1989-04-06	GAS	SUSP.REENTERED LATER	9	APPRAISAL	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1396	http://www.npd.no/FactMapSearch?NPDID_wellbore=1396	NO
1397	13/1-U-1	13/1-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1989-05-12	1989-05-21	\N	P&A	0	\N	525.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1397	\N	NO
1398	13/1-U-2	13/1-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1989-05-21	1989-05-27	\N	P&A	0	\N	505.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1398	\N	NO
1402	13/2-U-1	13/2-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1989-05-27	1989-05-29	\N	P&A	0	\N	514.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1402	\N	NO
1403	13/2-U-2	13/2-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1989-05-29	1989-06-01	\N	P&A	0	\N	522.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1403	\N	NO
1405	27/9-U-2	27/9-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1989-05-07	1989-05-10	\N	P&A	0	\N	155.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1405	\N	NO
1406	27/9-U-1	27/9-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1989-05-04	1989-05-07	\N	P&A	0	\N	155.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1406	\N	NO
1407	34/10-33	34/10-33 B	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1989-04-27	1989-07-10	OIL/GAS	P&A	13	APPRAISAL	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1407	http://www.npd.no/FactMapSearch?NPDID_wellbore=1407	NO
1408	34/10-A-24	34/10-A-24	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1989-06-06	1989-07-24	WATER	PLUGGED	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1408	http://www.npd.no/FactMapSearch?NPDID_wellbore=1408	NO
1409	2/4-B-4	2/4-B-4	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1989-06-17	1989-08-06	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1409	http://www.npd.no/FactMapSearch?NPDID_wellbore=1409	NO
1410	34/10-B-9	34/10-B-9	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1989-05-19	1989-07-03	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1410	http://www.npd.no/FactMapSearch?NPDID_wellbore=1410	NO
1411	7324/10-1	7324/10-1	\N	162	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1989-06-03	1989-08-19	SHOWS	P&A	12	WILDCAT	408.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1411	http://www.npd.no/FactMapSearch?NPDID_wellbore=1411	NO
1412	25/1-A-17	25/1-A-17 A	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1989-08-05	1989-10-01	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1412	http://www.npd.no/FactMapSearch?NPDID_wellbore=1412	NO
1413	7/12-7	7/12-7 R	ULA	019	EXPLORATION	BP Norway Limited  U.A.	NO	VILDKAT EXPLORER	\N	1989-05-14	1989-05-22	OIL	P&A	5	APPRAISAL	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1413	http://www.npd.no/FactMapSearch?NPDID_wellbore=1413	NO
1414	2/8-A-20	2/8-A-20 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1989-05-26	1989-07-04	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1414	http://www.npd.no/FactMapSearch?NPDID_wellbore=1414	NO
1415	16/3-3	16/3-3	\N	149	EXPLORATION	Esso Exploration and Production Norway A/S	NO	VILDKAT EXPLORER	\N	1989-07-24	1989-08-06	DRY	P&A	1	WILDCAT	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1415	http://www.npd.no/FactMapSearch?NPDID_wellbore=1415	NO
1416	2/12-2	2/12-2 S	\N	113	EXPLORATION	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	\N	1990-02-15	1990-09-14	SHOWS	P&A	12	APPRAISAL	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1416	http://www.npd.no/FactMapSearch?NPDID_wellbore=1416	NO
1417	15/9-U-1	15/9-U-1	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1989-06-10	1989-06-10	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1417	\N	NO
1418	15/9-U-2	15/9-U-2	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1989-06-10	1989-06-10	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1418	\N	NO
1419	25/3-1	25/3-1	\N	151	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1989-07-05	1989-09-05	DRY	P&A	1	WILDCAT	114.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1419	http://www.npd.no/FactMapSearch?NPDID_wellbore=1419	NO
1420	30/9-B-31	30/9-B-31	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1989-08-15	1990-02-05	GAS	INJECTING	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1420	http://www.npd.no/FactMapSearch?NPDID_wellbore=1420	NO
1421	30/9-8	30/9-8	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1989-07-29	1989-08-02	DRY	SUSP.REENTERED LATER	1	APPRAISAL	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1421	http://www.npd.no/FactMapSearch?NPDID_wellbore=1421	NO
1422	34/10-U-8	34/10-U-8	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1989-05-17	1989-05-17	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1422	\N	NO
1423	34/10-U-9	34/10-U-9	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1989-05-17	1989-05-18	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1423	\N	NO
1424	34/10-U-10	34/10-U-10	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1989-05-17	1989-05-17	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1424	\N	NO
1425	34/10-U-11	34/10-U-11	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1989-05-17	1989-05-17	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1425	\N	NO
1426	2/7-B-15	2/7-B-15	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1989-07-04	1989-10-17	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1426	http://www.npd.no/FactMapSearch?NPDID_wellbore=1426	NO
1427	31/6-U-18	31/6-U-18	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1427	\N	NO
1428	33/9-C-40	33/9-C-40	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1989-06-29	1989-10-23	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1428	http://www.npd.no/FactMapSearch?NPDID_wellbore=1428	NO
1429	2/7-A-7	2/7-A-7 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1989-07-10	1989-09-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1429	http://www.npd.no/FactMapSearch?NPDID_wellbore=1429	NO
1430	34/10-B-10	34/10-B-10	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1989-06-29	1989-08-21	NOT AVAILABLE	PLUGGED	71	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1430	http://www.npd.no/FactMapSearch?NPDID_wellbore=1430	NO
1431	6307/7-U-3	6307/7-U-3 A	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1988-05-20	1988-06-12	\N	P&A	0	\N	241.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1431	\N	NO
1432	2/4-E-11	2/4-E-11	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1989-06-27	1989-08-27	OIL	PRODUCING	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1432	http://www.npd.no/FactMapSearch?NPDID_wellbore=1432	NO
1433	7/12-A-15	7/12-A-15	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1989-07-02	1989-08-29	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1433	http://www.npd.no/FactMapSearch?NPDID_wellbore=1433	NO
1434	31/6-U-19	31/6-U-19	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1434	\N	NO
1435	31/6-U-20	31/6-U-20	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1435	\N	NO
1436	31/6-U-21	31/6-U-21	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1436	\N	NO
1438	30/9-B-41	30/9-B-41	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1998-06-25	1998-07-29	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1438	http://www.npd.no/FactMapSearch?NPDID_wellbore=1438	NO
1439	34/10-A-25	34/10-A-25	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1989-07-22	1989-08-26	WATER	PLUGGED	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1439	http://www.npd.no/FactMapSearch?NPDID_wellbore=1439	NO
1440	2/4-14	2/4-14 R	\N	146	EXPLORATION	Saga Petroleum ASA	NO	NEDDRILL TRIGON	\N	1989-05-01	1990-04-06	OIL/GAS	SUSP.REENTERED LATER	13	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1440	http://www.npd.no/FactMapSearch?NPDID_wellbore=1440	NO
1441	35/9-1	35/9-1 R	GJØA	153	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1989-07-03	1989-07-27	OIL/GAS	P&A	13	WILDCAT	361.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1441	http://www.npd.no/FactMapSearch?NPDID_wellbore=1441	NO
1442	30/9-9	30/9-9	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1989-09-27	1989-11-06	OIL	P&A	5	WILDCAT	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1442	http://www.npd.no/FactMapSearch?NPDID_wellbore=1442	YES
1443	2/9-3	2/9-3	\N	032	EXPLORATION	Amoco Norway Oil Company	NO	DYVI STENA	\N	1989-09-13	1989-12-14	OIL SHOWS	P&A	12	WILDCAT	67.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1443	http://www.npd.no/FactMapSearch?NPDID_wellbore=1443	NO
1444	1/9-1	1/9-1 R	\N	044	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1987-05-08	1987-05-17	GAS/CONDENSATE	P&A	17	WILDCAT	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1444	http://www.npd.no/FactMapSearch?NPDID_wellbore=1444	NO
1445	2/4-B-15	2/4-B-15 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1989-09-06	1989-11-06	OIL	CLOSED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1445	http://www.npd.no/FactMapSearch?NPDID_wellbore=1445	NO
1446	7316/3-U-1	7316/3-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1989-08-08	1989-08-09	\N	P&A	0	\N	297.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1446	\N	NO
1447	7316/6-U-1	7316/6-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1989-08-04	1989-08-28	\N	P&A	0	\N	328.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1447	\N	NO
1448	7316/6-U-2	7316/6-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1989-08-04	1989-08-28	\N	P&A	0	\N	421.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1448	\N	NO
1449	7317/10-U-1	7317/10-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1989-08-04	1989-08-28	\N	P&A	0	\N	465.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1449	\N	NO
1452	34/10-B-11	34/10-B-11	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1989-09-24	1989-11-06	OIL	PLUGGED	50	PRODUCTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1452	http://www.npd.no/FactMapSearch?NPDID_wellbore=1452	NO
1453	31/2-16	31/2-16 S	TROLL	054	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA BERGEN	\N	1989-09-27	1989-12-27	OIL/GAS	P&A	13	APPRAISAL	354.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1453	http://www.npd.no/FactMapSearch?NPDID_wellbore=1453	NO
1454	2/8-A-4	2/8-A-4 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1989-09-12	1989-11-07	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1454	http://www.npd.no/FactMapSearch?NPDID_wellbore=1454	NO
1455	30/6-C-8	30/6-C-8	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	OSEBERG C	1989-08-15	1989-10-12	WATER	PLUGGED	173	INJECTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1455	http://www.npd.no/FactMapSearch?NPDID_wellbore=1455	NO
1457	34/10-B-12	34/10-B-12	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1989-11-07	1990-01-14	WATER	INJECTING	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1457	http://www.npd.no/FactMapSearch?NPDID_wellbore=1457	NO
1458	7/12-A-9	7/12-A-9	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1989-08-30	1989-10-15	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1458	http://www.npd.no/FactMapSearch?NPDID_wellbore=1458	NO
1459	25/2-13	25/2-13	\N	026	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1989-09-06	1990-01-25	OIL/GAS	SUSPENDED	13	APPRAISAL	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1459	http://www.npd.no/FactMapSearch?NPDID_wellbore=1459	NO
1460	7228/2-1	7228/2-1 S	\N	160	EXPLORATION	Mobil Exploration Norway INC	NO	ROSS RIG	\N	1989-08-21	1989-12-20	SHOWS	P&A	12	WILDCAT	349.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1460	http://www.npd.no/FactMapSearch?NPDID_wellbore=1460	NO
1461	30/9-8	30/9-8 R	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1989-08-15	1989-09-25	OIL	P&A	5	APPRAISAL	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1461	http://www.npd.no/FactMapSearch?NPDID_wellbore=1461	NO
1462	2/7-A-1	2/7-A-1	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1990-05-10	1990-08-16	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1462	http://www.npd.no/FactMapSearch?NPDID_wellbore=1462	NO
1463	2/4-B-23	2/4-B-23 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1989-11-28	1990-02-02	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1463	http://www.npd.no/FactMapSearch?NPDID_wellbore=1463	NO
1464	34/10-B-10	34/10-B-10 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1989-08-21	1989-09-24	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1464	http://www.npd.no/FactMapSearch?NPDID_wellbore=1464	NO
1465	33/12-B-28	33/12-B-28	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1989-09-18	1989-11-08	NOT AVAILABLE	PLUGGED	71	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1465	http://www.npd.no/FactMapSearch?NPDID_wellbore=1465	NO
1466	30/9-B-13	30/9-B-13	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1989-08-28	1989-10-31	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1466	http://www.npd.no/FactMapSearch?NPDID_wellbore=1466	NO
1467	3/7-4	3/7-4	TRYM	147	EXPLORATION	A/S Norske Shell	NO	HUNTER	\N	1989-09-20	1990-01-23	GAS/CONDENSATE	P&A	17	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1467	http://www.npd.no/FactMapSearch?NPDID_wellbore=1467	YES
1468	2/7-U-2	2/7-U-2	EMBLA	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1990-04-24	1990-04-25	\N	P&A	0	\N	71.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1468	\N	NO
1469	34/10-A-25	34/10-A-25 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1989-08-26	1989-09-24	WATER	PLUGGED	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1469	http://www.npd.no/FactMapSearch?NPDID_wellbore=1469	NO
1470	7/12-9	7/12-9	ULA	019	EXPLORATION	BP Norway Limited  U.A.	NO	ROSS ISLE	\N	1990-03-18	1990-05-14	OIL	SUSPENDED	5	APPRAISAL	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1470	http://www.npd.no/FactMapSearch?NPDID_wellbore=1470	NO
1471	34/10-A-26	34/10-A-26	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1989-10-05	1989-12-03	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1471	http://www.npd.no/FactMapSearch?NPDID_wellbore=1471	NO
1472	34/10-C-1	34/10-C-1	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1989-10-01	1990-01-08	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1472	http://www.npd.no/FactMapSearch?NPDID_wellbore=1472	NO
1473	25/1-A-4	25/1-A-4 A	FRIGG	024	DEVELOPMENT	Elf Petroleum Norge AS	NO	FRIGG DP2	FRIGG DP2	1989-10-23	1989-12-17	GAS	P&A	90	PRODUCTION	98.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1473	http://www.npd.no/FactMapSearch?NPDID_wellbore=1473	NO
1474	2/4-U-1	2/4-U-1	EKOFISK	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1989-09-08	1989-09-10	\N	P&A	0	\N	74.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1474	\N	NO
1475	2/4-U-2	2/4-U-2	EKOFISK	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1989-09-07	1989-09-08	\N	P&A	0	\N	74.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1475	\N	NO
1476	2/4-U-3	2/4-U-3	EKOFISK	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1989-09-04	1989-09-10	\N	P&A	0	\N	74.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1476	\N	NO
1477	2/7-14	2/7-14 R	EKOFISK	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ROSS ISLE	\N	1989-06-07	1989-06-19	OIL	P&A	5	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1477	http://www.npd.no/FactMapSearch?NPDID_wellbore=1477	NO
1478	2/7-B-8	2/7-B-8	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1989-10-23	1989-12-20	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1478	http://www.npd.no/FactMapSearch?NPDID_wellbore=1478	NO
1479	6205/3-1	6205/3-1	\N	154	EXPLORATION	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	\N	1989-10-24	1990-02-11	DRY	SUSP.REENTERED LATER	1	WILDCAT	159.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1479	http://www.npd.no/FactMapSearch?NPDID_wellbore=1479	NO
1480	33/9-C-10	33/9-C-10	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1989-10-18	1989-12-30	WATER/GAS	PLUGGED	0	INJECTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1480	http://www.npd.no/FactMapSearch?NPDID_wellbore=1480	NO
1481	30/6-C-5	30/6-C-5	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	OSEBERG C	1989-10-14	1989-12-09	GAS	INJECTING	91	INJECTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1481	http://www.npd.no/FactMapSearch?NPDID_wellbore=1481	NO
1662	7532/2-U-1	7532/2-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1990-07-30	1990-07-31	\N	P&A	0	\N	306.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1662	\N	NO
1482	2/4-K-8	2/4-K-8	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1989-10-22	1989-12-25	NOT AVAILABLE	PLUGGED	72	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1482	http://www.npd.no/FactMapSearch?NPDID_wellbore=1482	NO
1483	2/7-A-18	2/7-A-18 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1990-02-21	1990-05-14	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1483	http://www.npd.no/FactMapSearch?NPDID_wellbore=1483	NO
1484	31/5-B-6	31/5-B-6 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TOGI	1989-11-19	1991-10-15	GAS	PLUGGED	90	PRODUCTION	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1484	http://www.npd.no/FactMapSearch?NPDID_wellbore=1484	NO
1485	7/12-A-13	7/12-A-13 A	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1989-11-04	1989-12-19	WATER	INJECTING	173	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1485	http://www.npd.no/FactMapSearch?NPDID_wellbore=1485	NO
1486	7228/9-1	7228/9-1 S	\N	161	EXPLORATION	Norsk Hydro Produksjon AS	NO	ROSS RIG	\N	1989-12-22	1990-05-07	OIL/GAS SHOWS	P&A	12	WILDCAT	278.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1486	http://www.npd.no/FactMapSearch?NPDID_wellbore=1486	NO
1487	2/7-A-8	2/7-A-8 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1989-11-22	1990-01-17	CUTTINGS	INJECTING	171	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1487	http://www.npd.no/FactMapSearch?NPDID_wellbore=1487	NO
1488	25/5-3	25/5-3	SKIRNE	102	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1990-01-27	1990-03-26	GAS/CONDENSATE	P&A	17	WILDCAT	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1488	http://www.npd.no/FactMapSearch?NPDID_wellbore=1488	YES
1489	30/6-C-9	30/6-C-9	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	OSEBERG C	1989-12-11	1990-02-05	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1489	http://www.npd.no/FactMapSearch?NPDID_wellbore=1489	NO
1490	34/10-A-27	34/10-A-27	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1989-12-04	1990-01-15	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1490	http://www.npd.no/FactMapSearch?NPDID_wellbore=1490	NO
1491	34/10-C-2	34/10-C-2	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1989-12-31	1990-04-25	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1491	http://www.npd.no/FactMapSearch?NPDID_wellbore=1491	NO
1492	7/7-1	7/7-1	\N	148	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1989-12-30	1990-02-20	DRY	P&A	1	WILDCAT	83.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1492	http://www.npd.no/FactMapSearch?NPDID_wellbore=1492	NO
1493	2/4-K-26	2/4-K-26	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1989-12-28	1990-02-22	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1493	http://www.npd.no/FactMapSearch?NPDID_wellbore=1493	NO
1494	25/7-2	25/7-2	\N	103	EXPLORATION	Conoco Norway Inc.	NO	DYVI STENA	\N	1990-02-08	1990-07-18	GAS/CONDENSATE	P&A	17	WILDCAT	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1494	http://www.npd.no/FactMapSearch?NPDID_wellbore=1494	YES
1495	2/7-22	2/7-22	\N	145	EXPLORATION	BP Petroleum Dev. of Norway AS	NO	ROSS ISLE	\N	1990-05-17	1990-10-15	GAS/CONDENSATE	P&A	17	WILDCAT	69.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1495	http://www.npd.no/FactMapSearch?NPDID_wellbore=1495	YES
1496	2/4-A-12	2/4-A-12 B	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1990-02-21	1990-05-13	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1496	http://www.npd.no/FactMapSearch?NPDID_wellbore=1496	NO
1497	6407/10-2	6407/10-2	\N	132	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1990-05-03	1990-06-23	SHOWS	P&A	12	WILDCAT	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1497	http://www.npd.no/FactMapSearch?NPDID_wellbore=1497	NO
1498	31/5-B-4	31/5-B-4 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TOGI	1990-01-15	1991-01-01	GAS	PLUGGED	90	PRODUCTION	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1498	http://www.npd.no/FactMapSearch?NPDID_wellbore=1498	NO
1499	31/5-B-2	31/5-B-2 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TOGI	1990-03-12	1991-01-14	GAS	PLUGGED	90	PRODUCTION	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1499	http://www.npd.no/FactMapSearch?NPDID_wellbore=1499	NO
1500	31/5-B-3	31/5-B-3 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TOGI	1990-03-26	1990-06-24	GAS	PLUGGED	90	PRODUCTION	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1500	http://www.npd.no/FactMapSearch?NPDID_wellbore=1500	NO
1501	31/5-B-5	31/5-B-5 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TOGI	1990-02-26	1990-12-01	GAS	PLUGGED	90	PRODUCTION	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1501	http://www.npd.no/FactMapSearch?NPDID_wellbore=1501	NO
1502	34/10-A-28	34/10-A-28	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1990-01-30	1990-04-11	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1502	http://www.npd.no/FactMapSearch?NPDID_wellbore=1502	NO
1503	2/4-W-8	2/4-W-8	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EKOFISK W	1990-03-19	1990-05-22	WATER	INJECTING	173	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1503	http://www.npd.no/FactMapSearch?NPDID_wellbore=1503	NO
1504	30/9-B-40	30/9-B-40	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1990-02-05	1990-05-03	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1504	http://www.npd.no/FactMapSearch?NPDID_wellbore=1504	NO
1505	30/6-C-7	30/6-C-7	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	OSEBERG C	1990-02-06	1990-03-13	NOT AVAILABLE	PLUGGED	71	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1505	http://www.npd.no/FactMapSearch?NPDID_wellbore=1505	NO
1663	7533/3-U-1	7533/3-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1990-07-31	1990-08-03	\N	P&A	0	\N	263.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1663	\N	NO
1506	2/8-A-27	2/8-A-27	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1991-07-18	1991-09-03	OIL	CLOSED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1506	http://www.npd.no/FactMapSearch?NPDID_wellbore=1506	NO
1507	2/8-A-30	2/8-A-30	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1993-01-28	1993-05-03	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1507	http://www.npd.no/FactMapSearch?NPDID_wellbore=1507	NO
1508	1/6-5	1/6-5	\N	144	EXPLORATION	Conoco Norway Inc.	NO	DYVI STENA	\N	1990-07-20	1990-09-02	SHOWS	P&A	12	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1508	http://www.npd.no/FactMapSearch?NPDID_wellbore=1508	NO
1509	2/4-C-16	2/4-C-16	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1990-07-20	1990-10-19	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1509	http://www.npd.no/FactMapSearch?NPDID_wellbore=1509	NO
1510	6205/3-1	6205/3-1 R	\N	154	EXPLORATION	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	\N	1990-09-20	1990-11-30	SHOWS	P&A	12	WILDCAT	159.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1510	http://www.npd.no/FactMapSearch?NPDID_wellbore=1510	NO
1512	2/7-19	2/7-19 R	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ROSS ISLE	\N	1990-01-15	1990-03-14	OIL	P&A	5	WILDCAT	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1512	http://www.npd.no/FactMapSearch?NPDID_wellbore=1512	NO
1513	6407/7-2	6407/7-2 R	NJORD	107	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1990-03-07	1990-04-30	OIL	SUSPENDED	5	APPRAISAL	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1513	http://www.npd.no/FactMapSearch?NPDID_wellbore=1513	NO
1514	30/9-10	30/9-10	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1990-07-31	1990-09-21	OIL	P&A	5	WILDCAT	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1514	http://www.npd.no/FactMapSearch?NPDID_wellbore=1514	YES
1515	34/10-B-13	34/10-B-13	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1990-02-13	1990-04-17	NOT AVAILABLE	PLUGGED	71	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1515	http://www.npd.no/FactMapSearch?NPDID_wellbore=1515	NO
1516	30/9-B-39	30/9-B-39	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1991-04-27	1991-10-15	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1516	http://www.npd.no/FactMapSearch?NPDID_wellbore=1516	NO
1517	30/9-B-12	30/9-B-12 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1991-01-17	1991-03-13	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1517	http://www.npd.no/FactMapSearch?NPDID_wellbore=1517	NO
1518	34/10-C-3	34/10-C-3	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1990-03-03	1990-06-22	OIL	PRODUCING	50	PRODUCTION	217.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1518	http://www.npd.no/FactMapSearch?NPDID_wellbore=1518	NO
1519	2/4-B-16	2/4-B-16 B	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1991-03-02	1991-04-17	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1519	http://www.npd.no/FactMapSearch?NPDID_wellbore=1519	NO
1520	6507/6-2	6507/6-2	\N	123	EXPLORATION	Saga Petroleum ASA	NO	WEST ALPHA	\N	1991-04-27	1991-07-16	OIL SHOWS	P&A	12	WILDCAT	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1520	http://www.npd.no/FactMapSearch?NPDID_wellbore=1520	NO
1521	1/3-6	1/3-6	OSELVAR	065	EXPLORATION	Elf Petroleum Norge AS	NO	DYVI STENA	\N	1991-03-11	1991-06-22	GAS/CONDENSATE	P&A	17	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1521	http://www.npd.no/FactMapSearch?NPDID_wellbore=1521	YES
1522	33/9-U-1	33/9-U-1	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1522	\N	NO
1523	35/11-4	35/11-4	FRAM	090	EXPLORATION	Mobil Exploration Norway INC	NO	YATZY	\N	1990-08-18	1990-12-29	OIL/GAS	SUSP.REENTERED LATER	13	WILDCAT	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1523	http://www.npd.no/FactMapSearch?NPDID_wellbore=1523	YES
1524	15/12-6	15/12-6 S	VARG	038	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1990-08-19	1990-11-04	OIL	RE-CLASS TO DEV	5	APPRAISAL	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1524	http://www.npd.no/FactMapSearch?NPDID_wellbore=1524	NO
1526	2/4-A-20	2/4-A-20	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1990-06-25	1990-09-23	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1526	http://www.npd.no/FactMapSearch?NPDID_wellbore=1526	NO
1527	2/6-4	2/6-4 S	\N	008	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1990-04-08	1990-06-02	DRY	P&A	1	WILDCAT	55.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1527	http://www.npd.no/FactMapSearch?NPDID_wellbore=1527	NO
1528	30/6-C-6	30/6-C-6	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	OSEBERG C	1990-03-14	1990-04-28	NOT AVAILABLE	PLUGGED	71	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1528	http://www.npd.no/FactMapSearch?NPDID_wellbore=1528	NO
1529	7/12-A-12	7/12-A-12 A	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1990-04-15	1990-06-14	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1529	http://www.npd.no/FactMapSearch?NPDID_wellbore=1529	NO
1530	34/10-33	34/10-33 CR	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1990-02-24	1990-04-27	OIL/GAS	P&A	13	APPRAISAL	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1530	http://www.npd.no/FactMapSearch?NPDID_wellbore=1530	NO
1531	33/12-B-28	33/12-B-28 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1990-05-02	1990-06-23	NOT AVAILABLE	PLUGGED	71	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1531	http://www.npd.no/FactMapSearch?NPDID_wellbore=1531	NO
1532	33/9-A-37	33/9-A-37 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1990-04-21	1990-07-08	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1532	http://www.npd.no/FactMapSearch?NPDID_wellbore=1532	NO
1533	6507/3-1	6507/3-1	ALVE	159	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1990-05-12	1990-10-26	GAS/CONDENSATE	P&A	17	WILDCAT	369.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1533	http://www.npd.no/FactMapSearch?NPDID_wellbore=1533	YES
1534	25/1-7	25/1-7 R4	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1990-03-28	1990-04-05	GAS	P&A	9	APPRAISAL	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1534	http://www.npd.no/FactMapSearch?NPDID_wellbore=1534	NO
1535	2/4-K-15	2/4-K-15	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1990-04-28	1990-07-15	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1535	http://www.npd.no/FactMapSearch?NPDID_wellbore=1535	NO
1536	34/7-17	34/7-17 A	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1991-04-07	1991-05-04	OIL/GAS	P&A	13	APPRAISAL	259.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1536	http://www.npd.no/FactMapSearch?NPDID_wellbore=1536	NO
1538	34/10-B-14	34/10-B-14	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1990-04-20	1990-11-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1538	http://www.npd.no/FactMapSearch?NPDID_wellbore=1538	NO
1539	6406/11-1	6406/11-1 S	\N	156	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1990-10-19	1991-02-18	OIL	P&A	5	WILDCAT	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1539	http://www.npd.no/FactMapSearch?NPDID_wellbore=1539	YES
1541	34/10-A-27	34/10-A-27 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1990-04-12	1990-05-19	WATER	INJECTING	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1541	http://www.npd.no/FactMapSearch?NPDID_wellbore=1541	NO
1542	30/3-A-7	30/3-A-7	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1990-06-03	1990-07-16	NOT AVAILABLE	PLUGGED	72	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1542	http://www.npd.no/FactMapSearch?NPDID_wellbore=1542	NO
1543	2/4-C-1	2/4-C-1 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1990-04-09	1990-06-06	OIL	CLOSED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1543	http://www.npd.no/FactMapSearch?NPDID_wellbore=1543	NO
1544	34/7-15	34/7-15 S	\N	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1990-05-23	1990-09-03	OIL SHOWS	P&A	12	WILDCAT	306.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1544	http://www.npd.no/FactMapSearch?NPDID_wellbore=1544	NO
1545	30/6-23	30/6-23	OSEBERG ØST	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1990-04-29	1990-07-01	OIL	SUSP.REENTERED LATER	5	APPRAISAL	151.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1545	http://www.npd.no/FactMapSearch?NPDID_wellbore=1545	NO
1546	30/9-B-15	30/9-B-15	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1990-05-01	1990-07-15	GAS	INJECTING	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1546	http://www.npd.no/FactMapSearch?NPDID_wellbore=1546	NO
1547	2/7-23	2/7-23 S	EMBLA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	WEST DELTA	\N	1990-05-15	1990-11-21	OIL	SUSPENDED	5	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1547	http://www.npd.no/FactMapSearch?NPDID_wellbore=1547	NO
1548	2/4-14	2/4-14 R2	\N	146	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1990-04-06	1990-04-14	SHOWS	JUNKED	12	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1548	http://www.npd.no/FactMapSearch?NPDID_wellbore=1548	NO
1549	6201/11-2	6201/11-2	\N	130	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1991-01-11	1991-03-11	DRY	P&A	1	WILDCAT	373.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1549	http://www.npd.no/FactMapSearch?NPDID_wellbore=1549	NO
1550	34/7-16	34/7-16	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	SCARABEO 5	\N	1990-06-28	1990-08-13	OIL	SUSP.REENTERED LATER	5	APPRAISAL	286.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1550	http://www.npd.no/FactMapSearch?NPDID_wellbore=1550	NO
1551	6306/10-1	6306/10-1	\N	155	EXPLORATION	A/S Norske Shell	NO	DYVI STENA	\N	1990-09-07	1990-12-17	OIL/GAS SHOWS	P&A	12	WILDCAT	83.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1551	http://www.npd.no/FactMapSearch?NPDID_wellbore=1551	NO
1552	2/8-14	2/8-14	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	WEST VANGUARD	\N	1990-08-14	1991-01-22	OIL SHOWS	P&A	12	WILDCAT	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1552	http://www.npd.no/FactMapSearch?NPDID_wellbore=1552	NO
1553	2/7-U-1	2/7-U-1	EMBLA	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1990-04-22	1990-04-23	\N	P&A	0	\N	70.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1553	\N	NO
1554	33/9-U-2	33/9-U-2	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1554	\N	NO
1555	33/9-U-3	33/9-U-3	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1555	\N	NO
1556	33/9-U-0	33/9-U-0	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1556	\N	NO
1557	7/12-10	7/12-10	\N	019	EXPLORATION	BP Norway Limited  U.A.	NO	ROSS ISLE	\N	1991-07-08	1991-08-29	OIL SHOWS	P&A	12	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1557	http://www.npd.no/FactMapSearch?NPDID_wellbore=1557	NO
1558	1/9-6	1/9-6 SR	TOMMELITEN GAMMA	044	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1991-04-06	1991-04-20	GAS/CONDENSATE	P&A	17	APPRAISAL	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1558	http://www.npd.no/FactMapSearch?NPDID_wellbore=1558	NO
1560	16/4-2	16/4-2	\N	087	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1990-06-29	1990-07-29	DRY	P&A	1	WILDCAT	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1560	http://www.npd.no/FactMapSearch?NPDID_wellbore=1560	NO
1561	7120/10-2	7120/10-2	\N	098	EXPLORATION	Esso Exploration and Production Norway A/S	NO	BYFORD DOLPHIN	\N	1990-07-20	1990-09-05	DRY	P&A	1	WILDCAT	186.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1561	http://www.npd.no/FactMapSearch?NPDID_wellbore=1561	NO
1562	30/6-9	30/6-9 R	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1990-05-09	1990-05-12	OIL/GAS	P&A	13	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1562	http://www.npd.no/FactMapSearch?NPDID_wellbore=1562	NO
1563	7/11-10	7/11-10 S	MIME	070	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1990-07-05	1990-09-10	OIL	SUSP.REENTERED LATER	5	APPRAISAL	78.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1563	http://www.npd.no/FactMapSearch?NPDID_wellbore=1563	NO
1564	2/4-W-6	2/4-W-6	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EKOFISK W	1990-10-12	1990-11-27	WATER	PLUGGED	173	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1564	http://www.npd.no/FactMapSearch?NPDID_wellbore=1564	NO
1565	2/4-A-21	2/4-A-21	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1993-06-27	1993-08-30	NOT APPLICABLE	PLUGGED	99	OBSERVATION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1565	http://www.npd.no/FactMapSearch?NPDID_wellbore=1565	NO
1566	2/4-A-22	2/4-A-22	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1990-09-24	1990-12-05	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1566	http://www.npd.no/FactMapSearch?NPDID_wellbore=1566	NO
1567	2/4-A-18	2/4-A-18	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1991-09-22	1991-11-11	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1567	http://www.npd.no/FactMapSearch?NPDID_wellbore=1567	NO
1568	2/4-A-19	2/4-A-19	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1993-02-09	1993-04-05	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1568	http://www.npd.no/FactMapSearch?NPDID_wellbore=1568	NO
1569	2/4-A-23	2/4-A-23	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1991-05-22	1991-07-22	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1569	http://www.npd.no/FactMapSearch?NPDID_wellbore=1569	NO
1570	2/4-C-20	2/4-C-20	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1992-01-11	1992-03-15	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1570	http://www.npd.no/FactMapSearch?NPDID_wellbore=1570	NO
1571	2/4-C-21	2/4-C-21	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1992-03-16	1992-05-14	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1571	http://www.npd.no/FactMapSearch?NPDID_wellbore=1571	NO
1572	2/4-C-17	2/4-C-17	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1991-03-28	1991-05-18	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1572	http://www.npd.no/FactMapSearch?NPDID_wellbore=1572	NO
1573	2/4-C-18	2/4-C-18	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1990-10-20	1991-01-12	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1573	http://www.npd.no/FactMapSearch?NPDID_wellbore=1573	NO
1574	2/4-C-22	2/4-C-22	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1991-01-16	1991-03-25	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1574	http://www.npd.no/FactMapSearch?NPDID_wellbore=1574	NO
1575	2/4-C-23	2/4-C-23	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1991-05-19	1991-07-10	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1575	http://www.npd.no/FactMapSearch?NPDID_wellbore=1575	NO
1576	2/4-W-1	2/4-W-1	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EKOFISK W	1991-03-19	1991-05-06	WATER	INJECTING	173	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1576	http://www.npd.no/FactMapSearch?NPDID_wellbore=1576	NO
1577	2/4-W-2	2/4-W-2	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EKOFISK W	1990-11-25	1991-01-26	WATER	INJECTING	173	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1577	http://www.npd.no/FactMapSearch?NPDID_wellbore=1577	NO
1578	2/4-W-3	2/4-W-3	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EKOFISK W	1991-05-07	1991-07-07	WATER	INJECTING	173	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1578	http://www.npd.no/FactMapSearch?NPDID_wellbore=1578	NO
1579	2/4-W-4	2/4-W-4	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EKOFISK W	1990-08-05	1990-10-11	NOT AVAILABLE	PLUGGED	72	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1579	http://www.npd.no/FactMapSearch?NPDID_wellbore=1579	NO
1580	2/4-W-5	2/4-W-5	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EKOFISK W	1990-06-15	1990-08-05	WATER	PLUGGED	173	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1580	http://www.npd.no/FactMapSearch?NPDID_wellbore=1580	NO
1581	2/4-W-7	2/4-W-7	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EKOFISK W	1991-01-27	1991-03-22	WATER	INJECTING	173	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1581	http://www.npd.no/FactMapSearch?NPDID_wellbore=1581	NO
1582	2/8-A-16	2/8-A-16 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1990-06-21	1990-07-31	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1582	http://www.npd.no/FactMapSearch?NPDID_wellbore=1582	NO
1583	34/10-A-24	34/10-A-24 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1990-06-04	1990-07-26	WATER	INJECTING	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1583	http://www.npd.no/FactMapSearch?NPDID_wellbore=1583	NO
1585	34/10-B-15	34/10-B-15	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1990-06-06	1990-09-14	OIL	PLUGGED	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1585	http://www.npd.no/FactMapSearch?NPDID_wellbore=1585	NO
1586	33/9-A-20	33/9-A-20 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1990-08-01	1990-08-28	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1586	http://www.npd.no/FactMapSearch?NPDID_wellbore=1586	NO
1598	34/10-C-4	34/10-C-4	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1990-06-22	1991-02-09	WATER	INJECTING	173	INJECTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1598	http://www.npd.no/FactMapSearch?NPDID_wellbore=1598	NO
1599	33/9-C-11	33/9-C-11	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1990-07-23	1990-09-22	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1599	http://www.npd.no/FactMapSearch?NPDID_wellbore=1599	NO
1600	35/9-2	35/9-2	GJØA	153	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1991-01-01	1991-04-03	OIL/GAS	P&A	13	WILDCAT	367.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1600	http://www.npd.no/FactMapSearch?NPDID_wellbore=1600	YES
1601	7018/4-U-2	7018/4-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1990-06-23	1990-07-25	\N	P&A	0	\N	223.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1601	\N	NO
1602	7018/5-U-6	7018/5-U-6	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1990-06-23	1990-07-25	\N	P&A	0	\N	230.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1602	\N	NO
1603	30/9-B-12	30/9-B-12	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1990-07-15	1990-09-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1603	http://www.npd.no/FactMapSearch?NPDID_wellbore=1603	NO
1604	6407/6-4	6407/6-4	MIKKEL	092	EXPLORATION	Mobil Exploration Norway INC	NO	ROSS RIG	\N	1990-10-31	1990-12-13	OIL SHOWS	P&A	12	APPRAISAL	219.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1604	http://www.npd.no/FactMapSearch?NPDID_wellbore=1604	NO
1605	2/4-A-17	2/4-A-17	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1991-03-27	1991-05-20	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1605	http://www.npd.no/FactMapSearch?NPDID_wellbore=1605	NO
1606	2/4-A-16	2/4-A-16	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1991-07-30	1991-09-17	OIL	CLOSED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1606	http://www.npd.no/FactMapSearch?NPDID_wellbore=1606	NO
1607	2/7-A-19	2/7-A-19 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1990-09-14	1990-11-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1607	http://www.npd.no/FactMapSearch?NPDID_wellbore=1607	NO
1608	2/11-A-3	2/11-A-3	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	KOLSKAYA	HOD	1991-04-12	1991-05-14	OIL	PLUGGED	99	OBSERVATION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1608	http://www.npd.no/FactMapSearch?NPDID_wellbore=1608	NO
1609	2/11-A-4	2/11-A-4	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	KOLSKAYA	HOD	1991-07-24	1991-09-09	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1609	http://www.npd.no/FactMapSearch?NPDID_wellbore=1609	NO
1610	2/11-A-6	2/11-A-6	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	KOLSKAYA	HOD	1990-08-13	1990-09-22	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1610	http://www.npd.no/FactMapSearch?NPDID_wellbore=1610	NO
1613	2/7-24	2/7-24	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	ROSS ISLE	\N	1990-11-07	1991-04-13	DRY	P&A	1	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1613	http://www.npd.no/FactMapSearch?NPDID_wellbore=1613	NO
1614	30/3-A-8	30/3-A-8	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1990-07-17	1990-10-22	WATER	PLUGGED	173	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1614	http://www.npd.no/FactMapSearch?NPDID_wellbore=1614	NO
1615	2/11-A-1	2/11-A-1	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	KOLSKAYA	HOD	1991-01-01	1991-03-06	NOT AVAILABLE	PLUGGED	71	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1615	http://www.npd.no/FactMapSearch?NPDID_wellbore=1615	NO
1616	2/11-A-2	2/11-A-2	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	KOLSKAYA	HOD	1990-09-30	1991-01-04	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1616	http://www.npd.no/FactMapSearch?NPDID_wellbore=1616	NO
1617	2/4-B-17	2/4-B-17 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1990-12-17	1991-03-02	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1617	http://www.npd.no/FactMapSearch?NPDID_wellbore=1617	NO
1624	2/4-B-16	2/4-B-16 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1986-05-13	1986-07-04	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1624	http://www.npd.no/FactMapSearch?NPDID_wellbore=1624	NO
1625	2/4-B-18	2/4-B-18 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1986-07-23	1986-10-14	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1625	http://www.npd.no/FactMapSearch?NPDID_wellbore=1625	NO
1626	2/4-B-19	2/4-B-19 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1985-02-12	1985-04-30	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1626	http://www.npd.no/FactMapSearch?NPDID_wellbore=1626	NO
1643	7229/11-1	7229/11-1	\N	183	EXPLORATION	A/S Norske Shell	NO	ROSS RIG	\N	1993-08-09	1993-12-15	DRY	P&A	1	WILDCAT	284.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1643	http://www.npd.no/FactMapSearch?NPDID_wellbore=1643	NO
1644	25/1-8	25/1-8 SR4	FRIGG	024	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1991-04-03	1991-04-14	GAS	P&A	9	APPRAISAL	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1644	http://www.npd.no/FactMapSearch?NPDID_wellbore=1644	NO
1646	2/7-A-3	2/7-A-3 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1982-06-26	1982-07-31	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1646	http://www.npd.no/FactMapSearch?NPDID_wellbore=1646	NO
1653	2/7-A-29	2/7-A-29 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1986-02-23	1986-05-31	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1653	http://www.npd.no/FactMapSearch?NPDID_wellbore=1653	NO
1666	34/10-A-29	34/10-A-29	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1990-08-22	1990-10-01	OIL	PLUGGED	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1666	http://www.npd.no/FactMapSearch?NPDID_wellbore=1666	NO
1667	2/1-9	2/1-9	GYDA	019 B	EXPLORATION	BP Norway Limited  U.A.	NO	ROSS ISLE	\N	1991-04-15	1991-07-06	OIL	P&A	5	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1667	http://www.npd.no/FactMapSearch?NPDID_wellbore=1667	YES
1668	2/11-6	2/11-6 SR	HOD	033	EXPLORATION	Amoco Norway Oil Company	NO	KOLSKAYA	\N	1990-07-19	1990-08-13	OIL	RE-CLASS TO DEV	5	APPRAISAL	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1668	http://www.npd.no/FactMapSearch?NPDID_wellbore=1668	NO
1669	31/5-4	31/5-4 S	TROLL	085	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1990-09-13	1990-10-10	OIL/GAS	P&A	13	APPRAISAL	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1669	http://www.npd.no/FactMapSearch?NPDID_wellbore=1669	NO
1670	34/10-C-5	34/10-C-5	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1990-09-02	1991-01-03	OIL	PLUGGED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1670	http://www.npd.no/FactMapSearch?NPDID_wellbore=1670	NO
1671	2/8-A-29	2/8-A-29	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1992-10-24	1993-01-05	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1671	http://www.npd.no/FactMapSearch?NPDID_wellbore=1671	NO
1672	25/11-14	25/11-14 S	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	BYFORD DOLPHIN	\N	1990-09-13	1990-10-13	OIL	SUSP.REENTERED LATER	5	APPRAISAL	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1672	http://www.npd.no/FactMapSearch?NPDID_wellbore=1672	NO
1673	30/9-11	30/9-11	\N	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1990-10-27	1990-11-19	DRY	P&A	1	WILDCAT	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1673	http://www.npd.no/FactMapSearch?NPDID_wellbore=1673	NO
1674	2/1-A-13	2/1-A-13	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1994-01-31	1995-08-06	OIL	PRODUCING	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1674	http://www.npd.no/FactMapSearch?NPDID_wellbore=1674	NO
1675	2/1-A-17	2/1-A-17	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1990-12-06	1991-02-01	WATER	PLUGGED	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1675	http://www.npd.no/FactMapSearch?NPDID_wellbore=1675	NO
1676	2/1-A-23	2/1-A-23	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1991-04-17	1991-07-08	OIL	CLOSED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1676	http://www.npd.no/FactMapSearch?NPDID_wellbore=1676	NO
1677	34/7-16	34/7-16 R	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1990-09-04	1990-10-15	OIL	SUSP.REENTERED LATER	5	APPRAISAL	286.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1677	http://www.npd.no/FactMapSearch?NPDID_wellbore=1677	NO
1678	34/7-P-28	34/7-P-28	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE A	1990-09-12	1990-12-10	WATER	INJECTING	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1678	http://www.npd.no/FactMapSearch?NPDID_wellbore=1678	NO
1679	2/7-25	2/7-25 S	EMBLA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	WEST DELTA	\N	1990-11-29	1991-03-31	DRY	SUSPENDED	1	APPRAISAL	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1679	http://www.npd.no/FactMapSearch?NPDID_wellbore=1679	NO
1680	15/12-7	15/12-7 S	\N	116	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1990-11-06	1991-01-07	DRY	P&A	1	WILDCAT	85.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1680	http://www.npd.no/FactMapSearch?NPDID_wellbore=1680	NO
1681	7/11-10	7/11-10 SR	MIME	070	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1990-09-25	1990-10-24	OIL	RE-CLASS TO TEST	5	APPRAISAL	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1681	http://www.npd.no/FactMapSearch?NPDID_wellbore=1681	NO
1682	34/10-A-30	34/10-A-30	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1990-10-02	1990-11-05	OIL	PLUGGED	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1682	http://www.npd.no/FactMapSearch?NPDID_wellbore=1682	NO
1683	34/8-4	34/8-4 S	VISUND	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	\N	1990-12-06	1991-06-09	GAS/CONDENSATE	SUSP.REENTERED LATER	17	WILDCAT	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1683	http://www.npd.no/FactMapSearch?NPDID_wellbore=1683	YES
1684	30/3-A-9	30/3-A-9	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1990-10-29	1991-05-22	WATER	PLUGGED	173	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1684	http://www.npd.no/FactMapSearch?NPDID_wellbore=1684	NO
1685	2/1-A-6	2/1-A-6 A	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1990-11-09	1991-04-15	OIL	CLOSED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1685	http://www.npd.no/FactMapSearch?NPDID_wellbore=1685	NO
1686	34/7-P-29	34/7-P-29	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE A	1991-01-01	1991-03-08	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1686	http://www.npd.no/FactMapSearch?NPDID_wellbore=1686	NO
1687	33/9-A-27	33/9-A-27	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1991-01-01	1991-08-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1687	http://www.npd.no/FactMapSearch?NPDID_wellbore=1687	NO
1688	33/9-C-3	33/9-C-3	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1990-11-09	1991-05-04	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1688	http://www.npd.no/FactMapSearch?NPDID_wellbore=1688	NO
1689	31/5-4	31/5-4 A	TROLL	085	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1990-10-10	1990-12-13	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1689	http://www.npd.no/FactMapSearch?NPDID_wellbore=1689	NO
2540	6510/10-U-2	6510/10-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2540	\N	NO
1690	7120/2-2	7120/2-2	\N	109	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1991-01-27	1991-03-23	OIL SHOWS	P&A	12	WILDCAT	336.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1690	http://www.npd.no/FactMapSearch?NPDID_wellbore=1690	NO
1691	25/5-4	25/5-4	SKIRNE	102	EXPLORATION	Elf Petroleum Norge AS	NO	DYVI STENA	\N	1990-12-22	1991-03-07	GAS/CONDENSATE	P&A	17	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1691	http://www.npd.no/FactMapSearch?NPDID_wellbore=1691	YES
1692	15/9-U-3	15/9-U-3	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1692	\N	NO
1693	34/7-U-10	34/7-U-10	\N	\N	SHALLOW	StatoilHydro ASA	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1693	\N	NO
1694	34/7-U-11	34/7-U-11	\N	\N	SHALLOW	StatoilHydro ASA	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1694	\N	NO
1695	34/7-U-12	34/7-U-12	\N	\N	SHALLOW	StatoilHydro ASA	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1695	\N	NO
1696	34/7-U-13	34/7-U-13	\N	\N	SHALLOW	StatoilHydro ASA	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1696	\N	NO
1697	34/7-U-14	34/7-U-14	\N	\N	SHALLOW	StatoilHydro ASA	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1697	\N	NO
1698	30/9-B-2	30/9-B-2	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1990-11-08	1991-01-14	GAS	INJECTING	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1698	http://www.npd.no/FactMapSearch?NPDID_wellbore=1698	NO
1699	6407/7-5	6407/7-5	NJORD	107	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1990-12-17	1991-02-15	SHOWS	P&A	12	APPRAISAL	327.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1699	http://www.npd.no/FactMapSearch?NPDID_wellbore=1699	NO
1700	30/3-A-10	30/3-A-10	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1990-11-13	1991-01-06	NOT AVAILABLE	PLUGGED	72	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1700	http://www.npd.no/FactMapSearch?NPDID_wellbore=1700	NO
1701	2/8-A-12	2/8-A-12 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1990-12-01	1991-03-21	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1701	http://www.npd.no/FactMapSearch?NPDID_wellbore=1701	NO
1702	2/4-16	2/4-16	\N	146	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1991-05-07	1991-11-04	SHOWS	SUSP.REENTERED LATER	12	WILDCAT	67.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1702	http://www.npd.no/FactMapSearch?NPDID_wellbore=1702	NO
1703	25/4-6	25/4-6 S	VALE	036	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1991-04-15	1991-08-24	GAS/CONDENSATE	\N	17	WILDCAT	114.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1703	http://www.npd.no/FactMapSearch?NPDID_wellbore=1703	YES
1704	2/4-K-16	2/4-K-16	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1990-12-26	1992-01-17	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1704	http://www.npd.no/FactMapSearch?NPDID_wellbore=1704	NO
1705	30/9-11	30/9-11 A	\N	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1990-11-20	1990-12-29	SHOWS	P&A	12	WILDCAT	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1705	http://www.npd.no/FactMapSearch?NPDID_wellbore=1705	NO
1706	2/7-A-23	2/7-A-23 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1990-11-23	1991-03-14	GAS	INJECTING	91	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1706	http://www.npd.no/FactMapSearch?NPDID_wellbore=1706	NO
1707	34/10-A-31	34/10-A-31	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1990-12-07	1991-03-17	OIL	PRODUCING	50	PRODUCTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1707	http://www.npd.no/FactMapSearch?NPDID_wellbore=1707	NO
1708	34/10-B-14	34/10-B-14 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1990-12-24	1991-03-08	WATER	PLUGGED	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1708	http://www.npd.no/FactMapSearch?NPDID_wellbore=1708	NO
1709	34/10-B-16	34/10-B-16	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1991-04-26	1991-06-26	WATER	INJECTING	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1709	http://www.npd.no/FactMapSearch?NPDID_wellbore=1709	NO
1710	34/10-B-18	34/10-B-18	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1991-08-11	1991-11-13	WATER	INJECTING	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1710	http://www.npd.no/FactMapSearch?NPDID_wellbore=1710	NO
1711	6406/12-1	6406/12-1 S	\N	157	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1990-12-15	1991-02-28	DRY	P&A	1	WILDCAT	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1711	http://www.npd.no/FactMapSearch?NPDID_wellbore=1711	NO
1712	25/2-14	25/2-14	FRØY	026	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1991-01-25	1991-03-30	DRY	P&A	1	APPRAISAL	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1712	http://www.npd.no/FactMapSearch?NPDID_wellbore=1712	NO
1713	34/7-17	34/7-17	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1991-02-25	1991-04-07	SHOWS	P&A	12	APPRAISAL	259.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1713	http://www.npd.no/FactMapSearch?NPDID_wellbore=1713	NO
1714	24/9-4	24/9-4	\N	150	EXPLORATION	Fina Production Licenses AS	NO	BYFORD DOLPHIN	\N	1991-04-17	1991-06-17	OIL SHOWS	P&A	12	APPRAISAL	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1714	http://www.npd.no/FactMapSearch?NPDID_wellbore=1714	NO
1715	2/11-8	2/11-8	\N	068	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1991-04-03	1991-07-11	DRY	P&A	1	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1715	http://www.npd.no/FactMapSearch?NPDID_wellbore=1715	NO
1716	34/10-C-6	34/10-C-6	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1991-02-11	1991-04-18	OIL	PLUGGED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1716	http://www.npd.no/FactMapSearch?NPDID_wellbore=1716	NO
1717	30/9-12	30/9-12	OSEBERG	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1991-04-07	1991-05-09	OIL	P&A	5	APPRAISAL	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1717	http://www.npd.no/FactMapSearch?NPDID_wellbore=1717	NO
1718	34/10-A-20	34/10-A-20 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1991-01-23	1991-02-24	WATER	CLOSED	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1718	http://www.npd.no/FactMapSearch?NPDID_wellbore=1718	NO
1719	34/8-5	34/8-5	VISUND	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1991-02-18	1991-04-01	SHOWS	P&A	12	APPRAISAL	297.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1719	http://www.npd.no/FactMapSearch?NPDID_wellbore=1719	NO
1720	34/7-P-7	34/7-P-7	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1994-04-11	1994-06-13	WATER/GAS	INJECTING	0	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1720	http://www.npd.no/FactMapSearch?NPDID_wellbore=1720	NO
1722	7/12-A-17	7/12-A-17	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1991-04-05	1991-10-02	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1722	http://www.npd.no/FactMapSearch?NPDID_wellbore=1722	NO
1723	30/9-B-8	30/9-B-8	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1991-02-03	1991-04-27	GAS	INJECTING	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1723	http://www.npd.no/FactMapSearch?NPDID_wellbore=1723	NO
1724	33/9-A-10	33/9-A-10	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1992-09-04	1992-11-17	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1724	http://www.npd.no/FactMapSearch?NPDID_wellbore=1724	NO
1726	2/4-K-25	2/4-K-25	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1992-04-26	1992-07-18	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1726	http://www.npd.no/FactMapSearch?NPDID_wellbore=1726	NO
1727	1/9-4	1/9-4 R	TOMMELITEN GAMMA	044	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1991-04-21	1991-04-26	GAS/CONDENSATE	P&A	17	WILDCAT	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1727	http://www.npd.no/FactMapSearch?NPDID_wellbore=1727	NO
1731	6507/7-A-52	6507/7-A-52	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN	1992-12-18	1993-02-09	OIL	PRODUCING	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1731	http://www.npd.no/FactMapSearch?NPDID_wellbore=1731	NO
1732	6608/10-3	6608/10-3	NORNE	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1993-01-07	1993-03-11	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	382.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1732	http://www.npd.no/FactMapSearch?NPDID_wellbore=1732	NO
1741	2/7-A-9	2/7-A-9 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	ELDFISK A	1996-08-08	1996-09-27	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1741	http://www.npd.no/FactMapSearch?NPDID_wellbore=1741	NO
1745	2/4-B-16	2/4-B-16 C	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1991-04-17	1991-06-05	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1745	http://www.npd.no/FactMapSearch?NPDID_wellbore=1745	NO
1746	34/7-P-25	34/7-P-25	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE A	1991-03-09	1993-02-15	WATER	INJECTING	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1746	http://www.npd.no/FactMapSearch?NPDID_wellbore=1746	NO
1747	34/10-34	34/10-34	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1991-04-10	1991-05-31	OIL	SUSPENDED	5	WILDCAT	139.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1747	http://www.npd.no/FactMapSearch?NPDID_wellbore=1747	YES
1749	6507/8-5	6507/8-5	\N	124	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1991-03-02	1991-03-16	DRY	P&A	1	WILDCAT	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1749	http://www.npd.no/FactMapSearch?NPDID_wellbore=1749	NO
1751	2/11-A-1	2/11-A-1 A	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	KOLSKAYA	HOD	1991-03-06	1991-04-11	NOT AVAILABLE	PLUGGED	71	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1751	http://www.npd.no/FactMapSearch?NPDID_wellbore=1751	NO
1752	33/9-U-4	33/9-U-4	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1991-02-21	1991-02-21	\N	P&A	0	\N	156.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1752	\N	NO
1753	15/9-U-4	15/9-U-4	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1991-02-23	1991-02-23	\N	P&A	0	\N	86.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1753	\N	NO
1754	6506/11-2	6506/11-2	\N	134	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1991-05-08	1991-10-26	OIL/GAS	P&A	13	WILDCAT	297.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1754	http://www.npd.no/FactMapSearch?NPDID_wellbore=1754	YES
1755	30/6-C-27	30/6-C-27 H	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	OSEBERG C	1991-04-02	1991-06-25	OIL	PLUGGED	50	PRODUCTION	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1755	http://www.npd.no/FactMapSearch?NPDID_wellbore=1755	NO
1756	2/7-26	2/7-26 S	EMBLA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	WEST DELTA	\N	1991-03-20	1991-09-13	OIL	RE-CLASS TO DEV	5	APPRAISAL	70.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1756	http://www.npd.no/FactMapSearch?NPDID_wellbore=1756	NO
1757	2/7-B-11	2/7-B-11 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1991-06-10	1991-09-07	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1757	http://www.npd.no/FactMapSearch?NPDID_wellbore=1757	NO
1758	2/7-A-20	2/7-A-20 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1984-06-25	1984-07-15	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1758	http://www.npd.no/FactMapSearch?NPDID_wellbore=1758	NO
1759	3/7-5	3/7-5	\N	147	EXPLORATION	A/S Norske Shell	NO	DYVI STENA	\N	1991-12-06	1992-02-07	SHOWS	P&A	12	WILDCAT	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1759	http://www.npd.no/FactMapSearch?NPDID_wellbore=1759	NO
1760	30/3-A-11	30/3-A-11	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1991-05-25	1991-07-02	WATER	PLUGGED	173	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1760	http://www.npd.no/FactMapSearch?NPDID_wellbore=1760	NO
1761	34/10-A-32	34/10-A-32	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1991-03-17	1991-05-09	OIL	PLUGGED	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1761	http://www.npd.no/FactMapSearch?NPDID_wellbore=1761	NO
1762	15/5-4	15/5-4	ENOCH	048	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1991-06-06	1991-07-03	OIL SHOWS	P&A	12	APPRAISAL	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1762	http://www.npd.no/FactMapSearch?NPDID_wellbore=1762	NO
1763	34/7-A-1	34/7-A-1 H	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1993-04-06	1993-06-14	OIL	PLUGGED	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1763	http://www.npd.no/FactMapSearch?NPDID_wellbore=1763	NO
1765	30/3-A-12	30/3-A-12	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1991-07-03	1991-08-22	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1765	http://www.npd.no/FactMapSearch?NPDID_wellbore=1765	NO
1766	34/10-A-33	34/10-A-33	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1991-05-09	1991-09-13	OIL	PRODUCING	50	PRODUCTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1766	http://www.npd.no/FactMapSearch?NPDID_wellbore=1766	NO
1767	16/10-2	16/10-2	\N	101	EXPLORATION	Norsk Agip  AS	NO	BYFORD DOLPHIN	\N	1991-06-20	1991-08-01	DRY	P&A	1	WILDCAT	79.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1767	http://www.npd.no/FactMapSearch?NPDID_wellbore=1767	NO
1768	15/9-17	15/9-17 R	SLEIPNER ØST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1991-04-28	1991-05-04	GAS/CONDENSATE	P&A	17	WILDCAT	86.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1768	http://www.npd.no/FactMapSearch?NPDID_wellbore=1768	NO
1769	2/4-B-5	2/4-B-5 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1991-06-23	1991-08-28	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1769	http://www.npd.no/FactMapSearch?NPDID_wellbore=1769	NO
1770	30/9-12	30/9-12 A	OSEBERG	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1991-05-09	1991-06-04	OIL	SUSP.REENTERED LATER	5	APPRAISAL	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1770	http://www.npd.no/FactMapSearch?NPDID_wellbore=1770	NO
1771	6506/12-U-7	6506/12-U-7	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1771	\N	NO
1772	6506/12-U-8	6506/12-U-8	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1772	\N	NO
1773	6506/12-U-9	6506/12-U-9	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1773	\N	NO
1774	6506/12-U-10	6506/12-U-10	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1774	\N	NO
1775	6506/12-U-11	6506/12-U-11	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1775	\N	NO
1776	6506/12-U-12	6506/12-U-12	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1776	\N	NO
1777	6506/12-U-13	6506/12-U-13	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1777	\N	NO
1778	15/12-8	15/12-8	\N	038	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1991-06-05	1991-07-14	GAS/CONDENSATE	P&A	17	WILDCAT	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1778	http://www.npd.no/FactMapSearch?NPDID_wellbore=1778	YES
1780	35/11-5	35/11-5	\N	090	EXPLORATION	Mobil Exploration Norway INC	NO	SOVEREIGN EXPLOR	\N	1991-06-27	1991-11-03	OIL/GAS	P&A	13	WILDCAT	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1780	http://www.npd.no/FactMapSearch?NPDID_wellbore=1780	YES
1781	33/9-C-39	33/9-C-39	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1991-06-25	1991-10-01	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1781	http://www.npd.no/FactMapSearch?NPDID_wellbore=1781	NO
1782	6608/10-2	6608/10-2	NORNE	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1991-10-28	1992-01-29	OIL/GAS	P&A	13	WILDCAT	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1782	http://www.npd.no/FactMapSearch?NPDID_wellbore=1782	YES
1786	2/4-E-6	2/4-E-6	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1991-07-10	1991-11-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1786	http://www.npd.no/FactMapSearch?NPDID_wellbore=1786	NO
1787	7/12-11	7/12-11	\N	164	EXPLORATION	BP Norway Limited  U.A.	NO	ROSS ISLE	\N	1991-08-31	1991-11-06	SHOWS	P&A	12	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1787	http://www.npd.no/FactMapSearch?NPDID_wellbore=1787	NO
1788	34/10-C-8	34/10-C-8	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1991-06-26	1991-08-19	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1788	http://www.npd.no/FactMapSearch?NPDID_wellbore=1788	NO
1789	6607/5-2	6607/5-2	\N	126	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DYVI STENA	\N	1991-08-07	1991-11-17	DRY	P&A	1	WILDCAT	523.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1789	http://www.npd.no/FactMapSearch?NPDID_wellbore=1789	NO
1792	2/4-17	2/4-17	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	\N	1991-07-21	1992-02-29	GAS/CONDENSATE	SUSP.REENTERED LATER	17	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1792	http://www.npd.no/FactMapSearch?NPDID_wellbore=1792	YES
2541	6510/10-U-4	6510/10-U-4	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	258.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2541	\N	NO
1793	34/10-B-17	34/10-B-17	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1991-07-02	1991-08-11	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1793	http://www.npd.no/FactMapSearch?NPDID_wellbore=1793	NO
1794	36/7-1	36/7-1	GJØA	153	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1996-03-31	1996-05-07	OIL/GAS	P&A	13	WILDCAT	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1794	http://www.npd.no/FactMapSearch?NPDID_wellbore=1794	YES
1795	2/1-A-27	2/1-A-27	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1992-04-23	1992-06-23	WATER	PLUGGED	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1795	http://www.npd.no/FactMapSearch?NPDID_wellbore=1795	NO
1796	2/1-A-22	2/1-A-22	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1991-09-04	1991-10-24	WATER	INJECTING	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1796	http://www.npd.no/FactMapSearch?NPDID_wellbore=1796	NO
1797	2/1-A-9	2/1-A-9	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1991-07-09	1991-09-03	WATER	PLUGGED	173	INJECTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1797	http://www.npd.no/FactMapSearch?NPDID_wellbore=1797	NO
1798	33/9-A-24	33/9-A-24	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1991-08-14	1992-03-11	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1798	http://www.npd.no/FactMapSearch?NPDID_wellbore=1798	NO
1799	2/4-E-6	2/4-E-6 A	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	1991-11-14	1992-05-01	OIL	PRODUCING	50	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1799	http://www.npd.no/FactMapSearch?NPDID_wellbore=1799	NO
1800	6814/4-U-1	6814/4-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1991-06-10	1991-07-07	\N	P&A	0	\N	241.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1800	\N	NO
1801	33/9-16	33/9-16	\N	172	EXPLORATION	Mobil Exploration Norway INC	NO	ROSS ISLE	\N	1992-11-28	1993-01-20	SHOWS	P&A	12	WILDCAT	227.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1801	http://www.npd.no/FactMapSearch?NPDID_wellbore=1801	NO
1802	6814/4-U-2	6814/4-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1991-06-10	1991-07-07	\N	P&A	0	\N	233.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1802	\N	NO
1803	6710/3-U-1	6710/3-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1991-06-10	1991-07-07	\N	P&A	0	\N	241.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1803	\N	NO
1804	6710/3-U-2	6710/3-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1991-06-10	1991-07-07	\N	P&A	0	\N	193.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1804	\N	NO
1805	6711/4-U-1	6711/4-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1991-06-10	1991-07-07	\N	P&A	0	\N	232.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1805	\N	NO
1806	6710/3-U-3	6710/3-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1991-07-05	1991-07-06	\N	P&A	0	\N	191.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1806	\N	NO
1808	6305/12-1	6305/12-1	\N	154	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1991-07-29	1991-09-18	SHOWS	P&A	12	WILDCAT	176.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1808	http://www.npd.no/FactMapSearch?NPDID_wellbore=1808	NO
1809	33/12-B-2	33/12-B-2	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1991-08-17	1992-02-07	NOT AVAILABLE	PLUGGED	72	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1809	http://www.npd.no/FactMapSearch?NPDID_wellbore=1809	NO
1810	33/9-15	33/9-15	\N	172	EXPLORATION	Mobil Exploration Norway INC	NO	SOVEREIGN EXPLOR	\N	1992-04-23	1992-06-08	SHOWS	P&A	12	WILDCAT	252.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1810	http://www.npd.no/FactMapSearch?NPDID_wellbore=1810	NO
1811	30/9-13	30/9-13 S	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1991-07-05	1991-10-11	OIL/GAS	SUSP.REENTERED LATER	13	WILDCAT	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1811	http://www.npd.no/FactMapSearch?NPDID_wellbore=1811	YES
1812	34/7-P-13	34/7-P-13	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE A	1991-12-29	1992-03-06	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1812	http://www.npd.no/FactMapSearch?NPDID_wellbore=1812	NO
1813	34/7-P-18	34/7-P-18	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE A	1991-09-11	1991-11-09	OIL	PLUGGED	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1813	http://www.npd.no/FactMapSearch?NPDID_wellbore=1813	NO
1814	34/7-P-34	34/7-P-34	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE A	1992-03-06	1992-04-01	WATER	INJECTING	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1814	http://www.npd.no/FactMapSearch?NPDID_wellbore=1814	NO
1815	34/7-P-33	34/7-P-33	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE A	1991-11-10	1991-12-28	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1815	http://www.npd.no/FactMapSearch?NPDID_wellbore=1815	NO
1816	30/10-6	30/10-6	\N	142	EXPLORATION	Elf Petroleum Norge AS	NO	WEST ALPHA	\N	1992-01-13	1992-11-09	GAS	P&A	9	WILDCAT	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1816	http://www.npd.no/FactMapSearch?NPDID_wellbore=1816	YES
1819	34/7-18	34/7-18	\N	089	EXPLORATION	Saga Petroleum ASA	NO	WEST ALPHA	\N	1991-07-20	1991-09-17	OIL SHOWS	P&A	12	WILDCAT	242.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1819	http://www.npd.no/FactMapSearch?NPDID_wellbore=1819	NO
1820	31/2-16	31/2-16 SR	TROLL	054	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1991-06-26	1991-07-08	OIL/GAS	RE-CLASS TO DEV	13	APPRAISAL	354.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1820	http://www.npd.no/FactMapSearch?NPDID_wellbore=1820	NO
1821	34/10-A-34	34/10-A-34	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1991-07-14	1991-10-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1821	http://www.npd.no/FactMapSearch?NPDID_wellbore=1821	NO
5929	1/3-U-13	1/3-U-13	\N	274	SHALLOW	DONG E&P Norge AS	NO	BUCENTAUR	\N	2008-09-15	2008-09-15	\N	P&A	0	\N	72.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5929	\N	NO
1822	35/10-1	35/10-1	\N	173	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1991-08-01	1992-01-16	OIL	P&A	5	WILDCAT	361.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1822	http://www.npd.no/FactMapSearch?NPDID_wellbore=1822	YES
1824	2/7-B-3	2/7-B-3 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1991-09-28	1992-01-06	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1824	http://www.npd.no/FactMapSearch?NPDID_wellbore=1824	NO
1825	6507/11-U-1	6507/11-U-1	\N	\N	SHALLOW	Saga Petroleum ASA	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1825	\N	NO
1826	6507/11-U-2	6507/11-U-2	\N	\N	SHALLOW	Saga Petroleum ASA	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1826	\N	NO
1827	30/6-U-21	30/6-U-21	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1827	\N	NO
1828	30/6-U-22	30/6-U-22	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1828	\N	NO
1829	30/6-U-23	30/6-U-23	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1829	\N	NO
1830	30/6-U-25	30/6-U-25	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1830	\N	NO
1831	30/6-U-24	30/6-U-24	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1831	\N	NO
1832	31/5-4	31/5-4 AR	TROLL	085	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1991-07-09	1991-07-18	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1832	http://www.npd.no/FactMapSearch?NPDID_wellbore=1832	NO
1833	34/10-A-34	34/10-A-34 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1991-10-09	1991-11-16	OIL	PRODUCING	50	PRODUCTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1833	http://www.npd.no/FactMapSearch?NPDID_wellbore=1833	NO
1834	2/5-9	2/5-9	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	WEST VANGUARD	\N	1991-09-10	1992-01-18	OIL SHOWS	P&A	12	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1834	http://www.npd.no/FactMapSearch?NPDID_wellbore=1834	NO
1835	15/12-8	15/12-8 A	\N	038	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1991-07-14	1991-07-29	GAS/CONDENSATE	P&A	17	APPRAISAL	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1835	http://www.npd.no/FactMapSearch?NPDID_wellbore=1835	NO
1836	7128/6-1	7128/6-1	\N	181	EXPLORATION	Conoco Norway Inc.	NO	ARCADE FRONTIER	\N	1991-08-11	1991-11-08	OIL SHOWS	P&A	12	WILDCAT	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1836	http://www.npd.no/FactMapSearch?NPDID_wellbore=1836	NO
1838	34/7-19	34/7-19	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	WEST ALPHA	\N	1991-09-24	1991-12-27	OIL	SUSP.REENTERED LATER	5	APPRAISAL	285.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1838	http://www.npd.no/FactMapSearch?NPDID_wellbore=1838	NO
1839	1/6-6	1/6-6	\N	011	EXPLORATION	A/S Norske Shell	NO	DYVI STENA	\N	1992-02-10	1993-03-08	SHOWS	P&A	12	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1839	http://www.npd.no/FactMapSearch?NPDID_wellbore=1839	NO
1840	6507/2-2	6507/2-2	MARULK	122	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1991-10-21	1992-03-16	GAS/CONDENSATE	P&A	17	WILDCAT	384.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1840	http://www.npd.no/FactMapSearch?NPDID_wellbore=1840	YES
1841	34/10-C-9	34/10-C-9	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1991-08-19	1992-01-17	OIL	PLUGGED	50	PRODUCTION	216.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1841	http://www.npd.no/FactMapSearch?NPDID_wellbore=1841	NO
1842	34/8-6	34/8-6	\N	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1991-09-21	1991-11-03	SHOWS	P&A	12	WILDCAT	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1842	http://www.npd.no/FactMapSearch?NPDID_wellbore=1842	NO
1845	6507/7-U-8	6507/7-U-8	\N	\N	SHALLOW	Norske Conoco A/S	NO	BUCENTAUR	\N	1991-09-07	1991-09-08	\N	P&A	0	\N	339.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1845	\N	NO
1846	2/2-5	2/2-5	\N	066	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1991-11-07	1992-02-19	OIL	P&A	5	WILDCAT	63.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1846	http://www.npd.no/FactMapSearch?NPDID_wellbore=1846	YES
1847	6507/7-U-9	6507/7-U-9	\N	\N	SHALLOW	Norske Conoco A/S	NO	BUCENTAUR	\N	1991-09-09	1991-09-10	\N	P&A	0	\N	330.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1847	\N	NO
1848	2/4-B-13	2/4-B-13	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1991-10-15	1991-12-22	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1848	http://www.npd.no/FactMapSearch?NPDID_wellbore=1848	NO
1851	2/1-A-26	2/1-A-26	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1992-08-03	1992-09-18	OIL	PRODUCING	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1851	http://www.npd.no/FactMapSearch?NPDID_wellbore=1851	NO
1852	2/1-A-10	2/1-A-10	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2008-01-22	2008-05-18	OIL	PRODUCING	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1852	http://www.npd.no/FactMapSearch?NPDID_wellbore=1852	NO
1855	30/6-24	30/6-24 S	\N	170	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1991-10-13	1991-12-07	SHOWS	P&A	12	WILDCAT	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1855	http://www.npd.no/FactMapSearch?NPDID_wellbore=1855	NO
1856	7/12-A-1	7/12-A-1 A	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1991-10-03	1991-11-14	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1856	http://www.npd.no/FactMapSearch?NPDID_wellbore=1856	NO
1857	30/9-B-46	30/9-B-46	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1991-10-16	1992-01-30	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1857	http://www.npd.no/FactMapSearch?NPDID_wellbore=1857	NO
1858	2/8-A-16	2/8-A-16 C	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1991-10-03	1991-12-16	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1858	http://www.npd.no/FactMapSearch?NPDID_wellbore=1858	NO
1859	6407/8-1	6407/8-1	\N	158	EXPLORATION	BP Norway Limited  U.A.	NO	ROSS ISLE	\N	1992-03-27	1992-06-07	SHOWS	P&A	12	WILDCAT	284.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1859	http://www.npd.no/FactMapSearch?NPDID_wellbore=1859	NO
1861	2/7-21	2/7-21 SR	EMBLA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	WEST DELTA	\N	1991-09-13	1991-10-14	OIL	RE-CLASS TO DEV	5	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1861	http://www.npd.no/FactMapSearch?NPDID_wellbore=1861	NO
1862	34/10-B-19	34/10-B-19	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1991-11-22	1992-01-07	NOT AVAILABLE	PLUGGED	71	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1862	http://www.npd.no/FactMapSearch?NPDID_wellbore=1862	NO
1863	2/1-A-16	2/1-A-16	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1991-10-26	1992-01-09	WATER	PLUGGED	173	INJECTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1863	http://www.npd.no/FactMapSearch?NPDID_wellbore=1863	NO
1864	6610/3-1	6610/3-1	\N	177	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1992-10-29	1993-02-17	SHOWS	SUSP.REENTERED LATER	12	WILDCAT	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1864	http://www.npd.no/FactMapSearch?NPDID_wellbore=1864	NO
1865	2/1-10	2/1-10	\N	164	EXPLORATION	BP Norway Limited  U.A.	NO	ROSS ISLE	\N	1991-11-09	1992-01-14	OIL SHOWS	P&A	12	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1865	http://www.npd.no/FactMapSearch?NPDID_wellbore=1865	NO
1867	2/1-9	2/1-9 A	GYDA	019 B	EXPLORATION	BP Norway Limited  U.A.	NO	ROSS ISLE	\N	1992-01-18	1992-03-08	OIL	P&A	5	APPRAISAL	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1867	http://www.npd.no/FactMapSearch?NPDID_wellbore=1867	NO
1868	7/7-2	7/7-2	BRYNHILD	148	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1992-01-20	1992-04-25	OIL	P&A	5	WILDCAT	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1868	http://www.npd.no/FactMapSearch?NPDID_wellbore=1868	YES
1869	7122/4-1	7122/4-1	\N	178	EXPLORATION	Esso Exploration and Production Norway A/S	NO	ARCADE FRONTIER	\N	1991-11-13	1992-01-13	SHOWS	P&A	12	WILDCAT	344.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1869	http://www.npd.no/FactMapSearch?NPDID_wellbore=1869	NO
1870	2/8-A-5	2/8-A-5 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1992-01-03	1992-01-31	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1870	http://www.npd.no/FactMapSearch?NPDID_wellbore=1870	NO
1871	34/10-B-20	34/10-B-20	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1992-01-08	1992-02-28	OIL	PLUGGED	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1871	http://www.npd.no/FactMapSearch?NPDID_wellbore=1871	NO
1872	25/11-15	25/11-15	GRANE	169	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1991-11-10	1991-12-25	OIL	P&A	5	WILDCAT	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1872	http://www.npd.no/FactMapSearch?NPDID_wellbore=1872	YES
1873	33/9-C-27	33/9-C-27	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1991-11-27	1992-04-05	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1873	http://www.npd.no/FactMapSearch?NPDID_wellbore=1873	NO
1874	34/10-35	34/10-35	VALEMON	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1992-02-05	1992-07-01	GAS/CONDENSATE	P&A	17	APPRAISAL	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1874	http://www.npd.no/FactMapSearch?NPDID_wellbore=1874	NO
1875	2/7-20	2/7-20 R	EMBLA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	WEST DELTA	\N	1991-10-14	1991-11-01	OIL	RE-CLASS TO DEV	5	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1875	http://www.npd.no/FactMapSearch?NPDID_wellbore=1875	NO
1876	34/10-A-35	34/10-A-35	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1991-11-17	1992-01-21	WATER	INJECTING	173	INJECTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1876	http://www.npd.no/FactMapSearch?NPDID_wellbore=1876	NO
1877	34/10-C-10	34/10-C-10	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1991-10-22	1992-03-27	WATER	INJECTING	173	INJECTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1877	http://www.npd.no/FactMapSearch?NPDID_wellbore=1877	NO
1878	2/7-27	2/7-27 S	EMBLA	018	EXPLORATION	Phillips Petroleum Company Norway	NO	WEST DELTA	\N	1991-11-09	1992-06-17	OIL	RE-CLASS TO DEV	5	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1878	http://www.npd.no/FactMapSearch?NPDID_wellbore=1878	NO
1879	35/11-6	35/11-6	VEGA	090	EXPLORATION	Mobil Exploration Norway INC	NO	SOVEREIGN EXPLOR	\N	1992-01-30	1992-04-20	OIL SHOWS	P&A	12	APPRAISAL	370.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1879	http://www.npd.no/FactMapSearch?NPDID_wellbore=1879	NO
1880	30/9-B-11	30/9-B-11 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1993-09-20	1993-10-10	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1880	http://www.npd.no/FactMapSearch?NPDID_wellbore=1880	NO
1881	35/12-1	35/12-1	\N	174	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1992-02-27	1992-04-24	OIL SHOWS	P&A	12	WILDCAT	351.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1881	http://www.npd.no/FactMapSearch?NPDID_wellbore=1881	NO
1882	2/7-B-7	2/7-B-7 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	2000-05-19	2000-07-20	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1882	http://www.npd.no/FactMapSearch?NPDID_wellbore=1882	NO
1883	35/11-4	35/11-4 R	FRAM	090	EXPLORATION	Mobil Exploration Norway INC	NO	SOVEREIGN EXPLOR	\N	1991-11-16	1992-01-27	OIL/GAS	P&A	13	APPRAISAL	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1883	http://www.npd.no/FactMapSearch?NPDID_wellbore=1883	NO
3275	25/8-U-5	25/8-U-5	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-25	1996-08-25	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3275	\N	NO
1884	33/9-A-3	33/9-A-3 A	STATFJORD	037	DEVELOPMENT	Mobil Exploration Norway INC	NO	STATFJORD A	STATFJORD A	1980-01-18	1980-04-11	GAS	INJECTING	91	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1884	http://www.npd.no/FactMapSearch?NPDID_wellbore=1884	NO
1885	31/2-17	31/2-17 S	TROLL	054	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1991-12-28	1992-01-20	OIL/GAS	P&A	13	APPRAISAL	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1885	http://www.npd.no/FactMapSearch?NPDID_wellbore=1885	NO
1886	15/9-U-5	15/9-U-5	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1886	\N	NO
1887	15/9-U-6	15/9-U-6	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1887	\N	NO
1888	15/9-U-7	15/9-U-7	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1888	\N	NO
1889	15/9-U-8	15/9-U-8	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1889	\N	NO
1890	15/9-U-9	15/9-U-9	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1890	\N	NO
1891	15/9-U-10	15/9-U-10	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1891	\N	NO
1892	15/9-U-11	15/9-U-11	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1892	\N	NO
1893	16/11-U-1	16/11-U-1	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1893	\N	NO
1894	16/11-U-2	16/11-U-2	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1894	\N	NO
1897	2/7-B-7	2/7-B-7 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1992-02-01	1992-04-09	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1897	http://www.npd.no/FactMapSearch?NPDID_wellbore=1897	NO
1898	31/2-17	31/2-17 A	TROLL	054	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1992-01-20	1992-01-31	OIL/GAS	P&A	13	APPRAISAL	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1898	http://www.npd.no/FactMapSearch?NPDID_wellbore=1898	NO
1899	31/2-17	31/2-17 B	TROLL	054	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1992-02-01	1992-02-14	GAS	SUSP.REENTERED LATER	9	APPRAISAL	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1899	http://www.npd.no/FactMapSearch?NPDID_wellbore=1899	NO
1900	31/4-A-1	31/4-A-1	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	BRAGE	1991-12-30	1992-01-31	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1900	http://www.npd.no/FactMapSearch?NPDID_wellbore=1900	NO
1901	31/4-A-2	31/4-A-2	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	BRAGE	1992-01-31	1992-04-15	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1901	http://www.npd.no/FactMapSearch?NPDID_wellbore=1901	NO
1902	31/4-A-3	31/4-A-3	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	BRAGE	1992-04-17	1992-05-24	WATER	INJECTING	173	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1902	http://www.npd.no/FactMapSearch?NPDID_wellbore=1902	NO
1903	31/4-A-4	31/4-A-4	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	BRAGE	1992-11-20	1993-03-05	OIL	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1903	http://www.npd.no/FactMapSearch?NPDID_wellbore=1903	NO
1904	31/4-A-5	31/4-A-5	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	BRAGE	1992-05-25	1992-06-27	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1904	http://www.npd.no/FactMapSearch?NPDID_wellbore=1904	NO
1905	31/4-A-6	31/4-A-6	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	BRAGE	1992-08-15	1992-11-20	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1905	http://www.npd.no/FactMapSearch?NPDID_wellbore=1905	NO
1906	2/7-28	2/7-28	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	\N	1992-03-08	1992-08-07	SHOWS	P&A	12	APPRAISAL	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1906	http://www.npd.no/FactMapSearch?NPDID_wellbore=1906	NO
1907	25/11-14	25/11-14 SR	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DYVI STENA	\N	1991-10-19	1991-12-02	OIL	RE-CLASS TO TEST	5	APPRAISAL	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1907	http://www.npd.no/FactMapSearch?NPDID_wellbore=1907	NO
1908	34/4-8	34/4-8	\N	057	EXPLORATION	Saga Petroleum ASA	NO	VILDKAT EXPLORER	\N	1994-05-22	1994-06-21	DRY	P&A	1	WILDCAT	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1908	http://www.npd.no/FactMapSearch?NPDID_wellbore=1908	NO
1909	34/8-4	34/8-4 A	VISUND	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1992-02-18	1992-05-27	OIL	SUSP.REENTERED LATER	5	APPRAISAL	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1909	http://www.npd.no/FactMapSearch?NPDID_wellbore=1909	NO
1910	2/1-A-19	2/1-A-19	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1992-01-10	1992-04-09	OIL	PLUGGED	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1910	http://www.npd.no/FactMapSearch?NPDID_wellbore=1910	NO
1912	30/6-C-14	30/6-C-14	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1992-01-01	1992-03-23	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1912	http://www.npd.no/FactMapSearch?NPDID_wellbore=1912	NO
1913	34/10-C-11	34/10-C-11	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1992-01-18	1992-03-05	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1913	http://www.npd.no/FactMapSearch?NPDID_wellbore=1913	NO
3276	25/8-U-6	25/8-U-6	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-25	1996-08-26	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3276	\N	NO
1915	30/9-B-38	30/9-B-38	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1992-02-16	1992-05-05	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1915	http://www.npd.no/FactMapSearch?NPDID_wellbore=1915	NO
1916	34/10-A-36	34/10-A-36	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1992-01-22	1992-06-26	OIL	PLUGGED	50	PRODUCTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1916	http://www.npd.no/FactMapSearch?NPDID_wellbore=1916	NO
1917	2/4-K-18	2/4-K-18	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1992-01-17	1992-04-26	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1917	http://www.npd.no/FactMapSearch?NPDID_wellbore=1917	NO
1918	2/4-D-7	2/4-D-7 A	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1992-05-11	1992-06-29	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1918	http://www.npd.no/FactMapSearch?NPDID_wellbore=1918	NO
1919	33/12-B-12	33/12-B-12	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1994-04-02	1994-05-25	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1919	http://www.npd.no/FactMapSearch?NPDID_wellbore=1919	NO
1920	25/11-16	25/11-16	SVALIN	169	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1992-06-29	1992-07-24	OIL	SUSPENDED	5	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1920	http://www.npd.no/FactMapSearch?NPDID_wellbore=1920	YES
1921	25/11-17	25/11-17	\N	169	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST DELTA	\N	1993-03-01	1993-03-22	DRY	P&A	1	WILDCAT	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1921	http://www.npd.no/FactMapSearch?NPDID_wellbore=1921	NO
1922	25/2-C-1	25/2-C-1 H	LILLE-FRIGG	026	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK JUTLANDER	LILLE-FRIGG	1992-02-25	1992-06-24	GAS	P&A	90	PRODUCTION	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1922	http://www.npd.no/FactMapSearch?NPDID_wellbore=1922	NO
1925	30/3-A-13	30/3-A-13	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1992-01-29	1992-04-28	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1925	http://www.npd.no/FactMapSearch?NPDID_wellbore=1925	NO
1926	2/7-A-29	2/7-A-29 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2004-07-19	2004-08-20	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1926	http://www.npd.no/FactMapSearch?NPDID_wellbore=1926	NO
1927	6407/10-3	6407/10-3	\N	132	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1992-05-29	1992-06-27	SHOWS	P&A	12	WILDCAT	323.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1927	http://www.npd.no/FactMapSearch?NPDID_wellbore=1927	NO
1928	1/6-7	1/6-7	\N	144	EXPLORATION	Conoco Norway Inc.	NO	WEST VANGUARD	\N	1992-03-16	1992-07-12	SHOWS	P&A	12	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1928	http://www.npd.no/FactMapSearch?NPDID_wellbore=1928	NO
1932	33/12-B-11	33/12-B-11	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1992-02-27	1992-06-18	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1932	http://www.npd.no/FactMapSearch?NPDID_wellbore=1932	NO
1933	34/10-B-21	34/10-B-21	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1992-02-28	1992-04-17	OIL	PLUGGED	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1933	http://www.npd.no/FactMapSearch?NPDID_wellbore=1933	NO
1934	33/12-B-2	33/12-B-2 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1992-09-09	1992-11-22	WATER	PLUGGED	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1934	http://www.npd.no/FactMapSearch?NPDID_wellbore=1934	NO
1935	33/9-A-21	33/9-A-21	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1994-12-02	1994-12-21	NOT AVAILABLE	SUSPENDED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1935	http://www.npd.no/FactMapSearch?NPDID_wellbore=1935	NO
1936	30/6-C-25	30/6-C-25	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1992-03-24	1992-05-04	GAS	INJECTING	91	INJECTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1936	http://www.npd.no/FactMapSearch?NPDID_wellbore=1936	NO
1937	33/9-C-20	33/9-C-20	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1992-03-02	1992-05-04	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1937	http://www.npd.no/FactMapSearch?NPDID_wellbore=1937	NO
1938	25/2-15	25/2-15	\N	026	EXPLORATION	Elf Petroleum Norge AS	NO	WEST ALPHA	\N	1992-11-14	1993-01-13	OIL SHOWS	SUSP.REENTERED LATER	12	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1938	http://www.npd.no/FactMapSearch?NPDID_wellbore=1938	NO
1939	33/9-A-35	33/9-A-35	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1992-03-24	1992-08-27	NOT AVAILABLE	PLUGGED	71	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1939	http://www.npd.no/FactMapSearch?NPDID_wellbore=1939	NO
1940	34/10-36	34/10-36	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1992-04-28	1992-07-13	OIL	P&A	5	APPRAISAL	136.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1940	http://www.npd.no/FactMapSearch?NPDID_wellbore=1940	NO
1941	34/8-7	34/8-7	\N	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1992-03-21	1992-07-16	GAS	SUSP.REENTERED LATER	9	WILDCAT	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1941	http://www.npd.no/FactMapSearch?NPDID_wellbore=1941	NO
1943	30/3-A-14	30/3-A-14	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1992-08-15	1992-08-21	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1943	http://www.npd.no/FactMapSearch?NPDID_wellbore=1943	NO
1944	34/10-B-19	34/10-B-19 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1992-04-17	1992-05-13	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1944	http://www.npd.no/FactMapSearch?NPDID_wellbore=1944	NO
1945	34/10-C-12	34/10-C-12	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1992-03-27	1992-05-17	WATER	INJECTING	173	INJECTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1945	http://www.npd.no/FactMapSearch?NPDID_wellbore=1945	NO
1946	2/8-A-14	2/8-A-14 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1992-05-09	1992-07-16	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1946	http://www.npd.no/FactMapSearch?NPDID_wellbore=1946	NO
1947	34/10-A-37	34/10-A-37	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1992-07-01	1992-09-10	OIL	PRODUCING	50	PRODUCTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1947	http://www.npd.no/FactMapSearch?NPDID_wellbore=1947	NO
1948	6407/9-U-15	6407/9-U-15	\N	\N	SHALLOW	A/S Norske Shell	NO	\N	\N	1992-03-17	1992-03-24	\N	P&A	0	\N	256.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1948	\N	NO
1949	25/6-2	25/6-2	\N	117	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1992-04-26	1992-05-29	DRY	P&A	1	WILDCAT	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1949	http://www.npd.no/FactMapSearch?NPDID_wellbore=1949	NO
1950	30/3-5	30/3-5 S	VESLEFRIKK	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	\N	1992-05-01	1992-07-17	OIL	RE-CLASS TO DEV	5	APPRAISAL	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1950	http://www.npd.no/FactMapSearch?NPDID_wellbore=1950	NO
1951	30/9-B-1	30/9-B-1	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1992-05-05	1992-06-01	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1951	http://www.npd.no/FactMapSearch?NPDID_wellbore=1951	NO
1952	30/9-B-1	30/9-B-1 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1992-06-01	1992-07-09	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1952	http://www.npd.no/FactMapSearch?NPDID_wellbore=1952	NO
1954	30/6-C-3	30/6-C-3	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1992-05-04	1992-06-01	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1954	http://www.npd.no/FactMapSearch?NPDID_wellbore=1954	NO
1955	34/10-B-22	34/10-B-22	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1992-05-14	1992-06-12	WATER	PLUGGED	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1955	http://www.npd.no/FactMapSearch?NPDID_wellbore=1955	NO
1956	2/4-16	2/4-16 R	\N	146	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1992-06-04	1992-07-15	SHOWS	JUNKED	12	WILDCAT	67.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1956	http://www.npd.no/FactMapSearch?NPDID_wellbore=1956	NO
1958	2/4-C-14	2/4-C-14 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1992-07-07	1992-09-23	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1958	http://www.npd.no/FactMapSearch?NPDID_wellbore=1958	NO
1959	25/5-U-1	25/5-U-1	FRØY	\N	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1959	\N	NO
1960	25/5-U-2	25/5-U-2	FRØY	\N	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1960	\N	NO
1961	25/5-U-3	25/5-U-3	FRØY	\N	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1961	\N	NO
1962	25/5-U-4	25/5-U-4	FRØY	\N	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1962	\N	NO
1963	25/5-U-5	25/5-U-5	FRØY	\N	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1963	\N	NO
1964	25/5-U-6	25/5-U-6	FRØY	\N	SHALLOW	Elf Petroleum Norge AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1964	\N	NO
1965	25/2-C-2	25/2-C-2 H	LILLE-FRIGG	026	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK JUTLANDER	LILLE-FRIGG	1992-10-19	1994-03-25	GAS	P&A	90	PRODUCTION	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1965	http://www.npd.no/FactMapSearch?NPDID_wellbore=1965	NO
1966	25/2-C-3	25/2-C-3 H	LILLE-FRIGG	026	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK JUTLANDER	LILLE-FRIGG	1993-03-13	1993-11-09	GAS	P&A	90	PRODUCTION	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1966	http://www.npd.no/FactMapSearch?NPDID_wellbore=1966	NO
1967	34/7-20	34/7-20	\N	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1992-07-18	1992-08-27	OIL SHOWS	P&A	12	WILDCAT	295.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1967	http://www.npd.no/FactMapSearch?NPDID_wellbore=1967	NO
1968	34/10-C-13	34/10-C-13	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1992-05-17	1992-06-28	WATER	INJECTING	173	INJECTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1968	http://www.npd.no/FactMapSearch?NPDID_wellbore=1968	NO
1969	34/8-8	34/8-8	VISUND	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	\N	1992-06-30	1992-08-24	OIL	SUSP.REENTERED LATER	5	APPRAISAL	340.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1969	http://www.npd.no/FactMapSearch?NPDID_wellbore=1969	NO
1970	30/2-3	30/2-3	HULDRA	051	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1992-06-11	1992-10-05	GAS/CONDENSATE	P&A	17	APPRAISAL	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1970	http://www.npd.no/FactMapSearch?NPDID_wellbore=1970	NO
1971	33/9-C-24	33/9-C-24	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1992-05-30	1992-10-13	OIL	PRODUCING	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1971	http://www.npd.no/FactMapSearch?NPDID_wellbore=1971	NO
1972	10/7-1	10/7-1	\N	165	EXPLORATION	Esso Exploration and Production Norway A/S	NO	ARCADE FRONTIER	\N	1992-06-28	1992-07-30	DRY	P&A	1	WILDCAT	86.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1972	http://www.npd.no/FactMapSearch?NPDID_wellbore=1972	NO
1973	6506/11-3	6506/11-3	\N	134	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1992-07-08	1992-10-02	SHOWS	P&A	12	WILDCAT	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1973	http://www.npd.no/FactMapSearch?NPDID_wellbore=1973	NO
1974	6407/9-8	6407/9-8	\N	093	EXPLORATION	A/S Norske Shell	NO	WEST VANGUARD	\N	1992-08-14	1992-09-22	DRY	RE-CLASS TO DEV	1	WILDCAT	230.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1974	http://www.npd.no/FactMapSearch?NPDID_wellbore=1974	NO
1975	30/6-C-1	30/6-C-1	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1992-06-01	1992-09-14	WATER	INJECTING	173	INJECTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1975	http://www.npd.no/FactMapSearch?NPDID_wellbore=1975	NO
1978	15/12-9	15/12-9 S	VARG	038	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1992-07-17	1992-10-08	OIL	RE-CLASS TO DEV	5	APPRAISAL	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1978	http://www.npd.no/FactMapSearch?NPDID_wellbore=1978	NO
1979	35/11-7	35/11-7	FRAM	090	EXPLORATION	Mobil Exploration Norway INC	NO	WEST DELTA	\N	1992-07-23	1992-09-29	OIL/GAS	P&A	13	WILDCAT	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1979	http://www.npd.no/FactMapSearch?NPDID_wellbore=1979	YES
1980	2/1-A-15	2/1-A-15	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1992-06-24	1992-08-02	OIL	CLOSED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1980	http://www.npd.no/FactMapSearch?NPDID_wellbore=1980	NO
1981	25/2-C-1	25/2-C-1 AH	LILLE-FRIGG	026	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK JUTLANDER	LILLE-FRIGG	1992-06-26	1992-09-05	GAS	P&A	90	PRODUCTION	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1981	http://www.npd.no/FactMapSearch?NPDID_wellbore=1981	NO
1982	34/10-B-23	34/10-B-23	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1992-06-13	1992-09-10	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1982	http://www.npd.no/FactMapSearch?NPDID_wellbore=1982	NO
1983	2/4-D-13	2/4-D-13 A	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1992-07-23	1992-09-20	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1983	http://www.npd.no/FactMapSearch?NPDID_wellbore=1983	NO
1984	30/3-A-15	30/3-A-15	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1992-12-02	1993-01-30	GAS	PLUGGED	91	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1984	http://www.npd.no/FactMapSearch?NPDID_wellbore=1984	NO
1985	34/10-B-22	34/10-B-22 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1992-06-21	1992-07-15	WATER	INJECTING	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1985	http://www.npd.no/FactMapSearch?NPDID_wellbore=1985	NO
1986	25/8-4	25/8-4	\N	169	EXPLORATION	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	\N	1992-07-25	1992-08-11	OIL	P&A	5	WILDCAT	130.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1986	http://www.npd.no/FactMapSearch?NPDID_wellbore=1986	YES
1987	7316/5-1	7316/5-1	\N	184	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1992-07-21	1992-10-05	GAS	P&A	9	WILDCAT	450.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1987	http://www.npd.no/FactMapSearch?NPDID_wellbore=1987	YES
1988	31/2-18	31/2-18	TROLL	054	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1992-09-15	1992-10-07	OIL/GAS	P&A	13	APPRAISAL	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1988	http://www.npd.no/FactMapSearch?NPDID_wellbore=1988	NO
1989	30/9-B-18	30/9-B-18	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1992-07-10	1992-09-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=1989	http://www.npd.no/FactMapSearch?NPDID_wellbore=1989	NO
1990	6407/9-9	6407/9-9	\N	093	EXPLORATION	A/S Norske Shell	NO	MÆRSK JUTLANDER	\N	1999-06-22	1999-07-06	OIL/GAS	P&A	13	WILDCAT	248.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=1990	http://www.npd.no/FactMapSearch?NPDID_wellbore=1990	YES
1991	31/2-U-1	31/2-U-1	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1991	\N	NO
1992	31/2-U-2	31/2-U-2	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1992	\N	NO
1993	31/2-U-3	31/2-U-3	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1993	\N	NO
1994	31/2-U-4	31/2-U-4	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1994	\N	NO
1995	31/2-U-5	31/2-U-5	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1995	\N	NO
1996	31/2-U-6	31/2-U-6	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1996	\N	NO
1997	31/2-U-7	31/2-U-7	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1997	\N	NO
1998	31/2-U-8	31/2-U-8	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1998	\N	NO
1999	31/2-U-9	31/2-U-9	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=1999	\N	NO
2000	31/2-U-10	31/2-U-10	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2000	\N	NO
2001	34/7-A-2	34/7-A-2 H	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1994-03-24	1994-04-29	WATER	PLUGGED	173	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2001	http://www.npd.no/FactMapSearch?NPDID_wellbore=2001	NO
2002	34/7-A-3	34/7-A-3 H	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1994-01-04	1994-03-23	WATER	INJECTING	173	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2002	http://www.npd.no/FactMapSearch?NPDID_wellbore=2002	NO
2003	34/7-A-4	34/7-A-4 H	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1992-09-01	1993-01-07	OIL	PLUGGED	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2003	http://www.npd.no/FactMapSearch?NPDID_wellbore=2003	NO
2004	6507/7-A-20	6507/7-A-20	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN	1992-11-16	1992-12-17	OIL	PRODUCING	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2004	http://www.npd.no/FactMapSearch?NPDID_wellbore=2004	NO
2005	34/7-A-6	34/7-A-6 H	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1993-08-28	1993-11-08	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2005	http://www.npd.no/FactMapSearch?NPDID_wellbore=2005	NO
2006	34/7-A-7	34/7-A-7 H	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1994-10-26	1994-11-20	WATER	INJECTING	173	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2006	http://www.npd.no/FactMapSearch?NPDID_wellbore=2006	NO
2007	34/7-A-8	34/7-A-8 H	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1994-11-21	1995-05-16	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2007	http://www.npd.no/FactMapSearch?NPDID_wellbore=2007	NO
2008	34/7-A-9	34/7-A-9 H	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1993-06-15	1993-08-27	WATER	INJECTING	173	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2008	http://www.npd.no/FactMapSearch?NPDID_wellbore=2008	NO
2009	34/7-A-10	34/7-A-10 H	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1993-11-09	1994-01-01	WATER	INJECTING	173	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2009	http://www.npd.no/FactMapSearch?NPDID_wellbore=2009	NO
2011	34/10-A-38	34/10-A-38	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1992-09-10	1992-11-16	WATER	PLUGGED	173	INJECTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2011	http://www.npd.no/FactMapSearch?NPDID_wellbore=2011	NO
2012	30/6-C-15	30/6-C-15	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1992-09-19	1992-10-17	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2012	http://www.npd.no/FactMapSearch?NPDID_wellbore=2012	NO
2013	30/6-C-15	30/6-C-15 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1992-10-17	1992-11-19	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2013	http://www.npd.no/FactMapSearch?NPDID_wellbore=2013	NO
2014	2/7-B-2	2/7-B-2 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1992-11-01	1993-01-05	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2014	http://www.npd.no/FactMapSearch?NPDID_wellbore=2014	NO
2015	30/10-7	30/10-7	\N	142	EXPLORATION	Elf Petroleum Norge AS	NO	MÆRSK JUTLANDER	\N	1992-09-08	1992-10-17	DRY	P&A	1	WILDCAT	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2015	http://www.npd.no/FactMapSearch?NPDID_wellbore=2015	NO
2016	30/9-B-18	30/9-B-18 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1992-09-27	1992-11-02	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2016	http://www.npd.no/FactMapSearch?NPDID_wellbore=2016	NO
2017	34/10-C-14	34/10-C-14	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1992-08-11	1992-11-13	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2017	http://www.npd.no/FactMapSearch?NPDID_wellbore=2017	NO
2018	7122/2-1	7122/2-1	\N	179	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1992-10-07	1992-11-11	DRY	P&A	1	WILDCAT	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2018	http://www.npd.no/FactMapSearch?NPDID_wellbore=2018	NO
2019	15/9-U-12	15/9-U-12	\N	046	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2019	\N	NO
2020	6611/9-U-1	6611/9-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	352.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2020	\N	NO
2021	6611/9-U-2	6611/9-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	355.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2021	\N	NO
2023	34/10-B-24	34/10-B-24	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1992-09-10	1992-11-20	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2023	http://www.npd.no/FactMapSearch?NPDID_wellbore=2023	NO
2024	15/9-C-2	15/9-C-2 H	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	SLEIPNER C	1992-10-12	1993-06-29	NOT AVAILABLE	PLUGGED	71	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2024	http://www.npd.no/FactMapSearch?NPDID_wellbore=2024	NO
2026	34/7-21	34/7-21	TORDIS	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1992-10-19	1992-12-11	OIL	P&A	5	WILDCAT	192.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2026	http://www.npd.no/FactMapSearch?NPDID_wellbore=2026	YES
2027	2/4-D-1	2/4-D-1 A	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1992-10-12	1992-11-27	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2027	http://www.npd.no/FactMapSearch?NPDID_wellbore=2027	NO
2028	2/1-A-24	2/1-A-24	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1992-09-18	1992-11-14	WATER	PLUGGED	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2028	http://www.npd.no/FactMapSearch?NPDID_wellbore=2028	NO
2029	34/8-9	34/8-9 S	VISUND	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST DELTA	\N	1992-10-25	1992-12-28	OIL	P&A	5	APPRAISAL	301.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2029	http://www.npd.no/FactMapSearch?NPDID_wellbore=2029	NO
2030	34/7-A-5	34/7-A-5 H	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1992-10-15	1993-03-28	OIL	PLUGGED	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2030	http://www.npd.no/FactMapSearch?NPDID_wellbore=2030	NO
2031	7219/8-1	7219/8-1 S	\N	182	EXPLORATION	Saga Petroleum ASA	NO	ROSS RIG	\N	1992-10-05	1992-12-26	DRY	P&A	1	WILDCAT	369.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2031	http://www.npd.no/FactMapSearch?NPDID_wellbore=2031	NO
2062	34/7-P-17	34/7-P-17	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1993-09-29	1994-01-15	WATER	PLUGGED	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2062	http://www.npd.no/FactMapSearch?NPDID_wellbore=2062	NO
2032	34/10-B-25	34/10-B-25	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1992-11-21	1993-05-20	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2032	http://www.npd.no/FactMapSearch?NPDID_wellbore=2032	NO
2034	34/10-A-39	34/10-A-39	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1992-11-16	1992-12-15	NOT APPLICABLE	PLUGGED	99	OBSERVATION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2034	http://www.npd.no/FactMapSearch?NPDID_wellbore=2034	NO
2035	33/9-C-2	33/9-C-2	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1992-10-29	1993-03-22	WATER	INJECTING	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2035	http://www.npd.no/FactMapSearch?NPDID_wellbore=2035	NO
2036	30/9-B-5	30/9-B-5	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1992-11-02	1992-11-18	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2036	http://www.npd.no/FactMapSearch?NPDID_wellbore=2036	NO
2037	34/10-C-15	34/10-C-15	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1992-11-13	1992-12-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2037	http://www.npd.no/FactMapSearch?NPDID_wellbore=2037	NO
2038	31/2-18	31/2-18 A	TROLL	054	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1992-10-07	1992-10-17	OIL/GAS	P&A	13	APPRAISAL	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2038	http://www.npd.no/FactMapSearch?NPDID_wellbore=2038	NO
2041	30/9-B-32	30/9-B-32	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1992-11-20	1992-12-29	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2041	http://www.npd.no/FactMapSearch?NPDID_wellbore=2041	NO
2042	30/9-B-32	30/9-B-32 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1992-12-29	1993-01-22	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2042	http://www.npd.no/FactMapSearch?NPDID_wellbore=2042	NO
2043	15/9-19	15/9-19 S	VOLVE	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	\N	1992-11-18	1993-01-31	DRY	SUSP.REENTERED LATER	1	WILDCAT	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2043	http://www.npd.no/FactMapSearch?NPDID_wellbore=2043	NO
2044	2/5-10	2/5-10	\N	067	EXPLORATION	Norsk Agip  AS	NO	POLAR PIONEER	\N	1993-05-23	1993-08-26	OIL SHOWS	P&A	12	WILDCAT	65.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2044	http://www.npd.no/FactMapSearch?NPDID_wellbore=2044	NO
2045	30/6-C-4	30/6-C-4	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1992-11-20	1993-01-17	WATER	PLUGGED	173	INJECTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2045	http://www.npd.no/FactMapSearch?NPDID_wellbore=2045	NO
2046	31/4-A-4	31/4-A-4 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VILDKAT EXPLORER	BRAGE	1993-03-05	1993-04-21	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2046	http://www.npd.no/FactMapSearch?NPDID_wellbore=2046	NO
2047	2/1-A-14	2/1-A-14	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1992-11-16	1992-12-19	OIL	PLUGGED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2047	http://www.npd.no/FactMapSearch?NPDID_wellbore=2047	NO
2048	2/1-A-16	2/1-A-16 AY2	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	YES	GYDA	GYDA	2004-12-01	2005-01-02	OIL	PLUGGED	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2048	http://www.npd.no/FactMapSearch?NPDID_wellbore=2048	NO
2049	7128/4-1	7128/4-1	\N	180	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1993-12-17	1994-02-26	OIL/GAS	P&A	13	WILDCAT	370.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2049	http://www.npd.no/FactMapSearch?NPDID_wellbore=2049	YES
2050	2/10-2	2/10-2	\N	163	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1993-02-16	1993-04-25	OIL SHOWS	P&A	12	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2050	http://www.npd.no/FactMapSearch?NPDID_wellbore=2050	NO
2052	33/12-B-29	33/12-B-29	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1992-11-29	1993-03-04	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2052	http://www.npd.no/FactMapSearch?NPDID_wellbore=2052	NO
2053	2/4-A-13	2/4-A-13 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1992-12-27	1993-02-08	OIL	CLOSED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2053	http://www.npd.no/FactMapSearch?NPDID_wellbore=2053	NO
2054	34/10-C-15	34/10-C-15 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1992-12-03	1993-02-19	OIL	PLUGGED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2054	http://www.npd.no/FactMapSearch?NPDID_wellbore=2054	NO
2057	34/8-7	34/8-7 R	\N	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1992-11-19	1993-02-10	GAS	P&A	9	WILDCAT	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2057	http://www.npd.no/FactMapSearch?NPDID_wellbore=2057	YES
2058	33/9-A-23	33/9-A-23 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1992-12-23	1993-03-06	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2058	http://www.npd.no/FactMapSearch?NPDID_wellbore=2058	NO
2059	31/5-5	31/5-5	TROLL	085	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST DELTA	\N	1992-12-30	1993-02-11	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	319.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2059	http://www.npd.no/FactMapSearch?NPDID_wellbore=2059	NO
2060	7/12-A-14	7/12-A-14	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1992-12-08	1993-02-28	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2060	http://www.npd.no/FactMapSearch?NPDID_wellbore=2060	NO
2061	2/7-B-10	2/7-B-10 C	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1993-01-29	1993-04-07	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2061	http://www.npd.no/FactMapSearch?NPDID_wellbore=2061	NO
2181	6707/9-U-1	6707/9-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	1474.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2181	\N	NO
2063	34/7-P-40	34/7-P-40	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1993-02-15	1993-04-22	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2063	http://www.npd.no/FactMapSearch?NPDID_wellbore=2063	NO
2064	34/7-P-37	34/7-P-37	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1993-06-20	1993-08-17	WATER	PLUGGED	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2064	http://www.npd.no/FactMapSearch?NPDID_wellbore=2064	NO
2065	34/7-P-8	34/7-P-8	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1993-04-22	1993-06-18	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2065	http://www.npd.no/FactMapSearch?NPDID_wellbore=2065	NO
2066	34/10-B-26	34/10-B-26	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1992-12-14	1993-02-28	WATER	PLUGGED	173	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2066	http://www.npd.no/FactMapSearch?NPDID_wellbore=2066	NO
2068	34/7-21	34/7-21 A	TORDIS	089	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1992-12-15	1993-02-12	OIL	P&A	5	APPRAISAL	192.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2068	http://www.npd.no/FactMapSearch?NPDID_wellbore=2068	NO
2070	34/10-A-40	34/10-A-40	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1993-02-24	1993-08-01	OIL	PRODUCING	50	PRODUCTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2070	http://www.npd.no/FactMapSearch?NPDID_wellbore=2070	NO
2071	34/10-A-41	34/10-A-41	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1993-03-18	1993-05-24	OIL	PLUGGED	50	PRODUCTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2071	http://www.npd.no/FactMapSearch?NPDID_wellbore=2071	NO
2072	16/1-4	16/1-4	\N	167	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1993-03-17	1993-04-13	GAS/CONDENSATE	P&A	17	WILDCAT	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2072	http://www.npd.no/FactMapSearch?NPDID_wellbore=2072	YES
2073	2/1-A-24	2/1-A-24 A	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1992-12-25	1993-02-06	OIL	PLUGGED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2073	http://www.npd.no/FactMapSearch?NPDID_wellbore=2073	NO
2074	34/10-C-16	34/10-C-16	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1993-02-20	1993-09-30	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2074	http://www.npd.no/FactMapSearch?NPDID_wellbore=2074	NO
2076	30/9-14	30/9-14	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1993-03-16	1993-05-14	OIL/GAS	P&A	13	APPRAISAL	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2076	http://www.npd.no/FactMapSearch?NPDID_wellbore=2076	NO
2077	30/6-C-20	30/6-C-20	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1993-01-20	1993-03-30	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2077	http://www.npd.no/FactMapSearch?NPDID_wellbore=2077	NO
2078	30/6-C-20	30/6-C-20 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1993-03-30	1993-05-07	NOT AVAILABLE	PLUGGED	71	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2078	http://www.npd.no/FactMapSearch?NPDID_wellbore=2078	NO
2079	6507/7-A-33	6507/7-A-33	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN	1993-02-10	1993-03-19	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2079	http://www.npd.no/FactMapSearch?NPDID_wellbore=2079	NO
2080	34/8-8	34/8-8 R	VISUND	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1993-02-16	1993-03-09	OIL	P&A	5	APPRAISAL	340.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2080	http://www.npd.no/FactMapSearch?NPDID_wellbore=2080	NO
2081	6407/9-A-53	6407/9-A-53 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DYVI STENA	6407/9-A-53 H	1993-04-05	1993-11-08	OIL	PRODUCING	50	PRODUCTION	279.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2081	http://www.npd.no/FactMapSearch?NPDID_wellbore=2081	NO
2082	15/9-D-1	15/9-D-1 H	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	SLEIPNER D	1993-04-01	1993-06-07	GAS	PRODUCING	90	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2082	http://www.npd.no/FactMapSearch?NPDID_wellbore=2082	NO
2083	15/9-D-3	15/9-D-3 H	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	SLEIPNER D	1993-03-02	1993-04-01	GAS	PRODUCING	90	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2083	http://www.npd.no/FactMapSearch?NPDID_wellbore=2083	NO
2084	15/6-7	15/6-7	\N	166	EXPLORATION	Deminex Norge AS	NO	VILDKAT EXPLORER	\N	1993-04-24	1993-06-08	DRY	P&A	1	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2084	http://www.npd.no/FactMapSearch?NPDID_wellbore=2084	NO
2085	7/12-A-16	7/12-A-16	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1993-03-01	1993-05-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2085	http://www.npd.no/FactMapSearch?NPDID_wellbore=2085	NO
2086	2/8-A-24	2/8-A-24 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1993-06-10	1993-07-09	OIL	CLOSED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2086	http://www.npd.no/FactMapSearch?NPDID_wellbore=2086	NO
2087	30/9-B-9	30/9-B-9	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1993-01-23	1993-02-11	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2087	http://www.npd.no/FactMapSearch?NPDID_wellbore=2087	NO
2088	34/10-A-39	34/10-A-39 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1992-12-15	1993-02-23	OIL	PRODUCING	50	PRODUCTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2088	http://www.npd.no/FactMapSearch?NPDID_wellbore=2088	NO
2089	2/1-A-31	2/1-A-31	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1993-02-06	1993-03-27	OIL	PLUGGED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2089	http://www.npd.no/FactMapSearch?NPDID_wellbore=2089	NO
3277	25/8-U-7	25/8-U-7	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-27	1996-08-27	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3277	\N	NO
2090	30/3-A-16	30/3-A-16	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1993-01-31	1993-04-26	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2090	http://www.npd.no/FactMapSearch?NPDID_wellbore=2090	NO
2093	7323/7-U-10	7323/7-U-10	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1985-08-18	1985-08-25	\N	P&A	0	\N	420.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2093	\N	NO
2094	33/9-A-32	33/9-A-32 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1993-03-29	1993-07-14	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2094	http://www.npd.no/FactMapSearch?NPDID_wellbore=2094	NO
2095	25/2-15	25/2-15 R	\N	026	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1993-02-06	1993-03-01	OIL SHOWS	SUSP.REENTERED LATER	12	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2095	http://www.npd.no/FactMapSearch?NPDID_wellbore=2095	NO
2096	2/7-D-27	2/7-D-27	EMBLA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EMBLA	1993-03-02	1993-05-07	OIL	PRODUCING	50	PRODUCTION	70.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2096	http://www.npd.no/FactMapSearch?NPDID_wellbore=2096	NO
2097	7323/7-U-11	7323/7-U-11	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1984-08-20	1984-08-26	\N	P&A	0	\N	418.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2097	\N	NO
2098	7323/11-U-1	7323/11-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1984-08-28	1984-08-30	\N	P&A	0	\N	380.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2098	\N	NO
2099	30/9-B-9	30/9-B-9 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1993-02-12	1993-03-12	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2099	http://www.npd.no/FactMapSearch?NPDID_wellbore=2099	NO
2100	7323/7-U-12	7323/7-U-12	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1984-08-30	1984-08-31	\N	P&A	0	\N	421.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2100	\N	NO
2103	30/9-B-5	30/9-B-5 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1993-04-26	1993-07-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2103	http://www.npd.no/FactMapSearch?NPDID_wellbore=2103	NO
2105	15/9-19	15/9-19 SR	VOLVE	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	\N	1993-02-17	1993-03-29	OIL	SUSP.REENTERED LATER	5	WILDCAT	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2105	http://www.npd.no/FactMapSearch?NPDID_wellbore=2105	YES
2106	31/2-17	31/2-17 BR	TROLL	054	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST DELTA	\N	1993-02-14	1993-02-24	GAS	P&A	9	APPRAISAL	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2106	http://www.npd.no/FactMapSearch?NPDID_wellbore=2106	NO
2107	30/9-B-17	30/9-B-17	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1993-03-12	1993-04-21	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2107	http://www.npd.no/FactMapSearch?NPDID_wellbore=2107	NO
2108	6507/7-A-53	6507/7-A-53	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN	1993-03-22	1993-05-16	OIL	PRODUCING	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2108	http://www.npd.no/FactMapSearch?NPDID_wellbore=2108	NO
2109	33/12-B-27	33/12-B-27	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1993-04-07	1993-09-07	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2109	http://www.npd.no/FactMapSearch?NPDID_wellbore=2109	NO
2110	30/3-A-17	30/3-A-17	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1993-04-26	1993-07-01	WATER	PLUGGED	173	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2110	http://www.npd.no/FactMapSearch?NPDID_wellbore=2110	NO
2111	2/7-D-21	2/7-D-21	EMBLA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EMBLA	1993-06-10	1993-07-17	OIL	PRODUCING	50	PRODUCTION	70.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2111	http://www.npd.no/FactMapSearch?NPDID_wellbore=2111	NO
2113	7/7-3	7/7-3	BRYNHILD	148	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1993-04-20	1993-07-04	SHOWS	P&A	12	APPRAISAL	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2113	http://www.npd.no/FactMapSearch?NPDID_wellbore=2113	NO
2114	33/9-17	33/9-17	\N	172	EXPLORATION	Mobil Exploration Norway INC	NO	TREASURE SAGA	\N	1994-04-02	1994-05-04	OIL SHOWS	P&A	12	WILDCAT	228.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2114	http://www.npd.no/FactMapSearch?NPDID_wellbore=2114	NO
2115	34/10-C-17	34/10-C-17	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1993-03-22	1993-06-22	WATER	INJECTING	173	INJECTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2115	http://www.npd.no/FactMapSearch?NPDID_wellbore=2115	NO
2116	25/2-15	25/2-15 R2	\N	026	EXPLORATION	Elf Petroleum Norge AS	NO	WEST VANGUARD	\N	1993-03-06	1993-04-11	OIL SHOWS	P&A	12	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2116	http://www.npd.no/FactMapSearch?NPDID_wellbore=2116	NO
2117	6407/9-A-55	6407/9-A-55 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	WEST DELTA	DRAUGEN	1993-04-08	1993-04-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	287.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2117	http://www.npd.no/FactMapSearch?NPDID_wellbore=2117	NO
2118	34/10-A-32	34/10-A-32 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1993-09-09	1993-10-04	OIL	PLUGGED	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2118	http://www.npd.no/FactMapSearch?NPDID_wellbore=2118	NO
2119	34/10-B-27	34/10-B-27	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1993-05-22	1993-07-01	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2119	http://www.npd.no/FactMapSearch?NPDID_wellbore=2119	NO
2120	2/7-D-26	2/7-D-26	EMBLA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EMBLA	1993-05-07	1993-06-09	OIL	PRODUCING	50	PRODUCTION	70.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2120	http://www.npd.no/FactMapSearch?NPDID_wellbore=2120	NO
2121	2/7-D-20	2/7-D-20	EMBLA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EMBLA	1993-07-18	1993-09-05	OIL	PRODUCING	50	PRODUCTION	70.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2121	http://www.npd.no/FactMapSearch?NPDID_wellbore=2121	NO
2122	2/4-A-11	2/4-A-11 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1993-05-10	1993-06-27	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2122	http://www.npd.no/FactMapSearch?NPDID_wellbore=2122	NO
2124	2/7-29	2/7-29	\N	145	EXPLORATION	BP Norway Limited  U.A.	NO	MÆRSK GUARDIAN	\N	1993-09-18	1994-01-06	OIL	P&A	5	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2124	http://www.npd.no/FactMapSearch?NPDID_wellbore=2124	YES
2125	2/7-B-9	2/7-B-9 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1993-06-21	1993-09-11	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2125	http://www.npd.no/FactMapSearch?NPDID_wellbore=2125	NO
2126	2/4-D-15	2/4-D-15 A	VEST EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	VEST EKOFISK	VEST EKOFISK	1993-04-26	1993-05-30	GAS	P&A	90	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2126	http://www.npd.no/FactMapSearch?NPDID_wellbore=2126	NO
2127	2/1-A-20	2/1-A-20	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1993-04-07	1993-05-22	OIL	PRODUCING	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2127	http://www.npd.no/FactMapSearch?NPDID_wellbore=2127	NO
2128	6506/12-9	6506/12-9 S	ÅSGARD	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1993-04-04	1993-09-10	OIL/GAS	P&A	13	APPRAISAL	294.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2128	http://www.npd.no/FactMapSearch?NPDID_wellbore=2128	NO
2129	6407/9-A-55	6407/9-A-55 AH	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	WEST DELTA	DRAUGEN	1993-04-27	1993-06-07	OIL	PRODUCING	50	PRODUCTION	287.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2129	http://www.npd.no/FactMapSearch?NPDID_wellbore=2129	NO
2130	25/4-A-12	25/4-A-12	HEIMDAL	036	DEVELOPMENT	Elf Petroleum Norge AS	NO	HEIMDAL	HEIMDAL	1993-05-09	1993-11-18	GAS	PLUGGED	90	PRODUCTION	120.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2130	http://www.npd.no/FactMapSearch?NPDID_wellbore=2130	NO
2132	7/12-A-11	7/12-A-11	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1993-06-02	1993-11-13	WATER	INJECTING	173	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2132	http://www.npd.no/FactMapSearch?NPDID_wellbore=2132	NO
2133	30/6-C-21	30/6-C-21	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1993-06-10	1993-09-23	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2133	http://www.npd.no/FactMapSearch?NPDID_wellbore=2133	NO
2134	2/4-18	2/4-18	\N	146	EXPLORATION	Saga Petroleum ASA	NO	TREASURE SAGA	\N	1993-04-26	1993-04-29	DRY	SUSP.REENTERED LATER	1	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2134	http://www.npd.no/FactMapSearch?NPDID_wellbore=2134	NO
2136	7/4-1	7/4-1	\N	148	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1993-07-05	1993-08-21	DRY	P&A	1	WILDCAT	82.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2136	http://www.npd.no/FactMapSearch?NPDID_wellbore=2136	NO
2137	30/6-C-20	30/6-C-20 B	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1993-05-07	1993-07-27	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2137	http://www.npd.no/FactMapSearch?NPDID_wellbore=2137	NO
2138	25/5-A-1	25/5-A-1	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	TREASURE SAGA	FRØY	1993-05-16	1994-03-26	OIL	P&A	50	PRODUCTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2138	http://www.npd.no/FactMapSearch?NPDID_wellbore=2138	NO
2140	2/1-A-18	2/1-A-18	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1993-05-22	1993-09-17	OIL	CLOSED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2140	http://www.npd.no/FactMapSearch?NPDID_wellbore=2140	NO
2141	30/6-23	30/6-23 R	OSEBERG ØST	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1993-05-16	1993-05-21	OIL	P&A	5	APPRAISAL	151.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2141	http://www.npd.no/FactMapSearch?NPDID_wellbore=2141	NO
2142	6407/9-B-1	6407/9-B-1 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DYVI STENA	DRAUGEN B	1993-08-09	1993-08-26	WATER	INJECTING	173	INJECTION	236.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2142	http://www.npd.no/FactMapSearch?NPDID_wellbore=2142	NO
2143	6407/9-B-2	6407/9-B-2 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DYVI STENA	DRAUGEN B	1994-03-22	1994-04-08	WATER	INJECTING	173	INJECTION	236.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2143	http://www.npd.no/FactMapSearch?NPDID_wellbore=2143	NO
2144	6407/9-B-5	6407/9-B-5 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DYVI STENA	DRAUGEN B	1994-04-10	1994-05-15	WATER	INJECTING	173	INJECTION	236.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2144	http://www.npd.no/FactMapSearch?NPDID_wellbore=2144	NO
2146	30/6-C-2	30/6-C-2	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1994-08-30	1994-09-22	WATER	INJECTING	173	INJECTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2146	http://www.npd.no/FactMapSearch?NPDID_wellbore=2146	NO
2147	6407/9-6	6407/9-6 R	DRAUGEN	093	EXPLORATION	A/S Norske Shell	NO	WEST DELTA	\N	1993-05-19	1993-05-30	OIL	P&A	5	APPRAISAL	276.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2147	http://www.npd.no/FactMapSearch?NPDID_wellbore=2147	NO
2148	30/9-B-14	30/9-B-14	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1996-04-24	1996-05-18	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2148	http://www.npd.no/FactMapSearch?NPDID_wellbore=2148	NO
2150	2/8-A-10	2/8-A-10 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1993-09-22	1994-01-07	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2150	http://www.npd.no/FactMapSearch?NPDID_wellbore=2150	NO
2151	6407/9-A-58	6407/9-A-58 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DYVI STENA	6407/9-A-58 H	1993-06-09	1993-06-23	GAS	INJECTING	91	INJECTION	230.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2151	http://www.npd.no/FactMapSearch?NPDID_wellbore=2151	NO
2152	2/4-B-1	2/4-B-1 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1993-08-30	1993-11-04	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2152	http://www.npd.no/FactMapSearch?NPDID_wellbore=2152	NO
2153	2/11-9	2/11-9	\N	033	EXPLORATION	Amoco Norway Oil Company	NO	MÆRSK GALLANT	\N	1993-07-24	1993-12-23	SHOWS	P&A	12	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2153	http://www.npd.no/FactMapSearch?NPDID_wellbore=2153	NO
2154	33/9-M-1	33/9-M-1 H	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD ØST M	1993-07-07	1994-07-05	NOT AVAILABLE	PLUGGED	71	PRODUCTION	196.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2154	http://www.npd.no/FactMapSearch?NPDID_wellbore=2154	NO
2155	33/9-M-2	33/9-M-2 H	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD ØST M	1993-08-13	1994-08-01	NOT AVAILABLE	PLUGGED	71	PRODUCTION	196.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2155	http://www.npd.no/FactMapSearch?NPDID_wellbore=2155	NO
2156	33/9-M-4	33/9-M-4 H	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD ØST M	1996-03-25	1996-04-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	196.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2156	http://www.npd.no/FactMapSearch?NPDID_wellbore=2156	NO
2157	34/10-B-28	34/10-B-28	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1993-07-01	1993-10-19	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2157	http://www.npd.no/FactMapSearch?NPDID_wellbore=2157	NO
2158	25/5-A-2	25/5-A-2	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	TREASURE SAGA	FRØY	1993-07-14	1993-10-01	NOT AVAILABLE	P&A	72	INJECTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2158	http://www.npd.no/FactMapSearch?NPDID_wellbore=2158	NO
2162	9/2-U-4	9/2-U-4	\N	114	SHALLOW	Statoil ASA (old)	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2162	\N	NO
2163	9/2-U-5	9/2-U-5	\N	114	SHALLOW	Statoil ASA (old)	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2163	\N	NO
2164	9/2-U-6	9/2-U-6	\N	114	SHALLOW	Statoil ASA (old)	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2164	\N	NO
2165	30/9-B-11	30/9-B-11	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1993-08-11	1993-09-19	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2165	http://www.npd.no/FactMapSearch?NPDID_wellbore=2165	NO
2166	2/1-A-30	2/1-A-30	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1993-07-22	1993-11-21	OIL	PLUGGED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2166	http://www.npd.no/FactMapSearch?NPDID_wellbore=2166	NO
2167	34/7-22	34/7-22	TORDIS	089	EXPLORATION	Saga Petroleum ASA	NO	WEST DELTA	\N	1993-08-15	1993-10-01	OIL	P&A	5	WILDCAT	226.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2167	http://www.npd.no/FactMapSearch?NPDID_wellbore=2167	YES
2168	30/9-B-5	30/9-B-5 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1993-07-03	1993-07-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2168	http://www.npd.no/FactMapSearch?NPDID_wellbore=2168	NO
2169	34/10-B-29	34/10-B-29	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1993-10-20	1993-12-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2169	http://www.npd.no/FactMapSearch?NPDID_wellbore=2169	NO
2170	34/10-B-29	34/10-B-29 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1993-12-10	1993-12-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2170	http://www.npd.no/FactMapSearch?NPDID_wellbore=2170	NO
2171	34/7-I-5	34/7-I-5 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	VILDKAT EXPLORER	34/7-I-5 H	1993-08-03	1993-10-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2171	http://www.npd.no/FactMapSearch?NPDID_wellbore=2171	NO
2172	30/9-B-5	30/9-B-5 C	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1993-07-10	1993-08-11	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2172	http://www.npd.no/FactMapSearch?NPDID_wellbore=2172	NO
2173	34/7-I-1	34/7-I-1 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	VILDKAT EXPLORER	34/7-I-1 H	1993-10-15	1994-06-01	OIL	PRODUCING	50	PRODUCTION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2173	http://www.npd.no/FactMapSearch?NPDID_wellbore=2173	NO
2174	15/9-A-10	15/9-A-10	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1993-08-05	1993-09-14	GAS	PRODUCING	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2174	http://www.npd.no/FactMapSearch?NPDID_wellbore=2174	NO
2175	34/10-C-19	34/10-C-19	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1993-09-30	1993-12-09	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2175	http://www.npd.no/FactMapSearch?NPDID_wellbore=2175	NO
2176	2/4-A-21	2/4-A-21 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1993-08-31	1993-11-24	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2176	http://www.npd.no/FactMapSearch?NPDID_wellbore=2176	NO
2178	2/7-B-12	2/7-B-12 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1993-09-28	1993-11-19	OIL	PLUGGED	50	PRODUCTION	71.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2178	http://www.npd.no/FactMapSearch?NPDID_wellbore=2178	NO
2179	34/8-10	34/8-10 S	VISUND	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1993-09-28	1993-12-09	OIL	P&A	5	APPRAISAL	326.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2179	http://www.npd.no/FactMapSearch?NPDID_wellbore=2179	NO
2180	34/8-11	34/8-11	VISUND	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	1993-12-10	1994-02-08	OIL	P&A	5	APPRAISAL	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2180	http://www.npd.no/FactMapSearch?NPDID_wellbore=2180	NO
2182	6507/7-10	6507/7-10	\N	095	EXPLORATION	Conoco Norway Inc.	NO	ARCADE FRONTIER	\N	1993-09-28	1993-10-29	SHOWS	P&A	12	WILDCAT	394.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2182	http://www.npd.no/FactMapSearch?NPDID_wellbore=2182	NO
2183	6507/8-6	6507/8-6	\N	124	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1993-08-29	1993-10-09	DRY	P&A	1	WILDCAT	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2183	http://www.npd.no/FactMapSearch?NPDID_wellbore=2183	NO
2184	34/10-C-18	34/10-C-18	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1993-12-15	1994-02-19	WATER	PLUGGED	173	INJECTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2184	http://www.npd.no/FactMapSearch?NPDID_wellbore=2184	NO
2185	7418/1-U-1	7418/1-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1994-08-23	1994-08-28	\N	P&A	0	\N	182.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2185	\N	NO
2186	7517/12-U-1	7517/12-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1994-07-29	1994-08-04	\N	P&A	0	\N	156.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2186	\N	NO
2193	6610/3-1	6610/3-1 R	\N	177	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1993-09-16	1993-12-11	SHOWS	SUSP.REENTERED LATER	12	WILDCAT	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2193	http://www.npd.no/FactMapSearch?NPDID_wellbore=2193	NO
2194	2/5-10	2/5-10 A	\N	067	EXPLORATION	Norsk Agip  AS	NO	POLAR PIONEER	\N	1993-08-27	1993-09-25	OIL SHOWS	P&A	12	WILDCAT	65.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2194	http://www.npd.no/FactMapSearch?NPDID_wellbore=2194	NO
2196	30/6-C-18	30/6-C-18	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1993-09-22	1993-10-28	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2196	http://www.npd.no/FactMapSearch?NPDID_wellbore=2196	NO
2197	30/6-C-18	30/6-C-18 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1993-10-28	1993-12-03	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2197	http://www.npd.no/FactMapSearch?NPDID_wellbore=2197	NO
2198	25/5-A-3	25/5-A-3	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	TREASURE SAGA	FRØY	1993-10-01	1993-12-23	WATER	P&A	173	INJECTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2198	http://www.npd.no/FactMapSearch?NPDID_wellbore=2198	NO
2199	15/9-A-6	15/9-A-6	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1993-09-14	1993-11-05	GAS	PRODUCING	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2199	http://www.npd.no/FactMapSearch?NPDID_wellbore=2199	NO
2200	30/3-A-18	30/3-A-18	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1993-10-03	1993-11-06	NOT AVAILABLE	PLUGGED	72	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2200	http://www.npd.no/FactMapSearch?NPDID_wellbore=2200	NO
2201	33/9-A-27	33/9-A-27 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1993-10-21	1994-03-09	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2201	http://www.npd.no/FactMapSearch?NPDID_wellbore=2201	NO
2202	6507/7-A-29	6507/7-A-29	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN	1993-11-12	1993-12-13	OIL	PLUGGED	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2202	http://www.npd.no/FactMapSearch?NPDID_wellbore=2202	NO
2203	6407/9-C-2	6407/9-C-2 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DYVI STENA	DRAUGEN C	1993-10-24	1994-01-07	WATER	INJECTING	173	INJECTION	276.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2203	http://www.npd.no/FactMapSearch?NPDID_wellbore=2203	NO
2204	2/4-C-13	2/4-C-13 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1993-11-03	1994-01-01	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2204	http://www.npd.no/FactMapSearch?NPDID_wellbore=2204	NO
2205	6204/11-1	6204/11-1	\N	175	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1994-10-12	1994-11-14	GAS	P&A	9	WILDCAT	199.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2205	http://www.npd.no/FactMapSearch?NPDID_wellbore=2205	YES
2206	33/9-L-3	33/9-L-3 H	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD ØST L	1993-10-10	1993-11-20	OIL	PRODUCING	50	PRODUCTION	153.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2206	http://www.npd.no/FactMapSearch?NPDID_wellbore=2206	NO
2207	6305/12-2	6305/12-2	\N	154	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA BERGEN	\N	1993-10-16	1993-12-17	SHOWS	P&A	12	WILDCAT	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2207	http://www.npd.no/FactMapSearch?NPDID_wellbore=2207	NO
2208	2/8-A-1	2/8-A-1 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1993-10-09	1993-11-22	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2208	http://www.npd.no/FactMapSearch?NPDID_wellbore=2208	NO
2209	33/9-L-2	33/9-L-2 H	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD ØST L	1996-07-04	1996-08-12	OIL	PRODUCING	50	PRODUCTION	153.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2209	http://www.npd.no/FactMapSearch?NPDID_wellbore=2209	NO
2210	33/9-L-4	33/9-L-4 H	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD ØST L	1993-11-22	1993-12-15	OIL	PRODUCING	50	PRODUCTION	153.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2210	http://www.npd.no/FactMapSearch?NPDID_wellbore=2210	NO
2211	33/12-B-16	33/12-B-16	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1993-10-13	1993-11-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2211	http://www.npd.no/FactMapSearch?NPDID_wellbore=2211	NO
2212	30/9-B-35	30/9-B-35	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1993-10-11	1993-12-18	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2212	http://www.npd.no/FactMapSearch?NPDID_wellbore=2212	NO
2244	24/9-5	24/9-5	VOLUND	150	EXPLORATION	Fina Production Licenses AS	NO	WEST DELTA	\N	1993-12-07	1994-01-26	OIL	P&A	5	WILDCAT	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2244	http://www.npd.no/FactMapSearch?NPDID_wellbore=2244	YES
2213	2/4-B-21	2/4-B-21 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1993-12-02	1994-01-07	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2213	http://www.npd.no/FactMapSearch?NPDID_wellbore=2213	NO
2214	2/1-A-11	2/1-A-11	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1994-08-25	1994-10-16	WATER	INJECTING	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2214	http://www.npd.no/FactMapSearch?NPDID_wellbore=2214	NO
2215	34/10-B-30	34/10-B-30	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1994-01-07	1994-06-17	OIL	PLUGGED	50	PRODUCTION	143.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2215	http://www.npd.no/FactMapSearch?NPDID_wellbore=2215	NO
2216	34/10-A-32	34/10-A-32 B	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1993-10-04	1993-10-28	OIL	PLUGGED	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2216	http://www.npd.no/FactMapSearch?NPDID_wellbore=2216	NO
2217	34/10-A-29	34/10-A-29 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2003-11-06	2003-11-22	OIL	PRODUCING	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2217	http://www.npd.no/FactMapSearch?NPDID_wellbore=2217	NO
2218	15/9-A-28	15/9-A-28	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1993-11-05	1994-01-01	GAS	INJECTING	91	INJECTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2218	http://www.npd.no/FactMapSearch?NPDID_wellbore=2218	NO
2219	6407/9-C-1	6407/9-C-1 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DYVI STENA	DRAUGEN C	1993-11-11	1994-01-20	WATER	INJECTING	173	INJECTION	276.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2219	http://www.npd.no/FactMapSearch?NPDID_wellbore=2219	NO
2221	30/3-A-19	30/3-A-19	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1993-11-09	1994-01-02	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2221	http://www.npd.no/FactMapSearch?NPDID_wellbore=2221	NO
2222	3/4-1	3/4-1	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	MÆRSK GALLANT	\N	1994-01-11	1994-02-26	DRY	P&A	1	WILDCAT	48.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2222	http://www.npd.no/FactMapSearch?NPDID_wellbore=2222	NO
2223	30/9-15	30/9-15	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1993-12-07	1994-01-05	OIL	P&A	5	WILDCAT	105.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2223	http://www.npd.no/FactMapSearch?NPDID_wellbore=2223	YES
2226	7801/8-U-1	7801/8-U-1	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-08-11	1993-08-15	\N	P&A	0	\N	1274.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2226	\N	NO
2227	7801/8-U-2	7801/8-U-2	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-12-14	1993-08-11	\N	P&A	0	\N	1273.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2227	\N	NO
2228	7803/4-U-1	7803/4-U-1	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-08-15	1993-08-17	\N	P&A	0	\N	2519.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2228	\N	NO
2229	7803/4-U-2	7803/4-U-2	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-08-15	1993-08-17	\N	P&A	0	\N	2519.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2229	\N	NO
2230	7803/4-U-3	7803/4-U-3	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-08-31	1993-09-11	\N	P&A	0	\N	2518.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2230	\N	NO
2231	8006/8-U-1	8006/8-U-1	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-08-17	1993-08-20	\N	P&A	0	\N	556.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2231	\N	NO
2232	8006/8-U-2	8006/8-U-2	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-08-17	1993-08-20	\N	P&A	0	\N	557.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2232	\N	NO
2233	8006/8-U-3	8006/8-U-3	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-08-17	1993-08-20	\N	P&A	0	\N	556.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2233	\N	NO
2234	8006/8-U-4	8006/8-U-4	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-08-29	1993-08-30	\N	P&A	0	\N	557.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2234	\N	NO
2235	8008/7-U-1	8008/7-U-1	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	\N	\N	1993-08-22	1993-08-24	\N	P&A	0	\N	902.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2235	\N	NO
2236	8008/7-U-2	8008/7-U-2	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	\N	\N	1993-08-22	1993-08-24	\N	P&A	0	\N	901.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2236	\N	NO
2237	8008/7-U-3	8008/7-U-3	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	\N	\N	1993-08-22	1993-08-24	\N	P&A	0	\N	902.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2237	\N	NO
2238	7905/2-U-1	7905/2-U-1	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-08-25	1993-08-28	\N	P&A	0	\N	1037.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2238	\N	NO
2239	7905/2-U-2	7905/2-U-2	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-08-25	1993-08-28	\N	P&A	0	\N	1037.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2239	\N	NO
2240	7905/2-U-3	7905/2-U-3	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-08-25	1993-08-28	\N	P&A	0	\N	1037.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2240	\N	NO
2241	7506/7-U-1	7506/7-U-1 W	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-09-12	1993-09-14	\N	P&A	0	\N	3319.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2241	\N	NO
2242	7506/7-U-2	7506/7-U-2 W	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1993-09-12	1993-09-14	\N	P&A	0	\N	3318.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2242	\N	NO
2243	25/5-A-4	25/5-A-4	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	TREASURE SAGA	FRØY	1993-12-23	1994-03-03	OIL	P&A	50	PRODUCTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2243	http://www.npd.no/FactMapSearch?NPDID_wellbore=2243	NO
2246	34/7-P-12	34/7-P-12	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1994-01-18	1994-04-08	WATER	PLUGGED	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2246	http://www.npd.no/FactMapSearch?NPDID_wellbore=2246	NO
2247	34/7-I-3	34/7-I-3 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	VILDKAT EXPLORER	34/7-I-5 H	1993-12-26	1994-07-19	NOT AVAILABLE	PLUGGED	71	PRODUCTION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2247	http://www.npd.no/FactMapSearch?NPDID_wellbore=2247	NO
2248	30/12-1	30/12-1	\N	171	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1994-01-06	1994-03-07	DRY	P&A	1	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2248	http://www.npd.no/FactMapSearch?NPDID_wellbore=2248	NO
2249	33/12-B-15	33/12-B-15	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1994-01-12	1994-03-19	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2249	http://www.npd.no/FactMapSearch?NPDID_wellbore=2249	NO
2251	33/12-B-16	33/12-B-16 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1993-11-20	1994-01-10	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2251	http://www.npd.no/FactMapSearch?NPDID_wellbore=2251	NO
2252	6507/7-A-35	6507/7-A-35	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN	1993-12-13	1994-01-11	OIL	PLUGGED	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2252	http://www.npd.no/FactMapSearch?NPDID_wellbore=2252	NO
2253	2/4-18	2/4-18 R	\N	146	EXPLORATION	Saga Petroleum ASA	NO	MÆRSK GUARDIAN	\N	1994-02-19	1994-07-10	SHOWS	P&A	12	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2253	http://www.npd.no/FactMapSearch?NPDID_wellbore=2253	NO
2254	6407/9-A-1	6407/9-A-1	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DRAUGEN	DRAUGEN	1994-03-07	1994-05-23	OIL	PRODUCING	50	PRODUCTION	253.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2254	http://www.npd.no/FactMapSearch?NPDID_wellbore=2254	NO
2256	6608/10-4	6608/10-4	NORNE	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1993-12-15	1994-03-06	OIL/GAS	P&A	13	WILDCAT	382.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2256	http://www.npd.no/FactMapSearch?NPDID_wellbore=2256	YES
2257	30/6-C-22	30/6-C-22	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1993-12-04	1994-01-19	GAS	INJECTING	91	INJECTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2257	http://www.npd.no/FactMapSearch?NPDID_wellbore=2257	NO
2258	9/2-4	9/2-4 S	YME	114	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1993-12-25	1994-04-11	OIL	RE-CLASS TO DEV	5	APPRAISAL	91.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2258	http://www.npd.no/FactMapSearch?NPDID_wellbore=2258	NO
2259	2/7-B-19	2/7-B-19 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1994-01-23	1994-04-17	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2259	http://www.npd.no/FactMapSearch?NPDID_wellbore=2259	NO
2260	33/9-K-3	33/9-K-3 H	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD ØST K	1994-01-06	1994-04-05	WATER	INJECTING	173	INJECTION	156.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2260	http://www.npd.no/FactMapSearch?NPDID_wellbore=2260	NO
2261	33/9-K-2	33/9-K-2 H	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD ØST K	1994-02-04	1994-03-30	WATER	INJECTING	173	INJECTION	156.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2261	http://www.npd.no/FactMapSearch?NPDID_wellbore=2261	NO
2262	33/9-K-1	33/9-K-1 H	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD ØST K	1994-04-07	1994-04-25	NOT AVAILABLE	PLUGGED	72	INJECTION	156.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2262	http://www.npd.no/FactMapSearch?NPDID_wellbore=2262	NO
2264	2/1-A-30	2/1-A-30 A	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1993-11-21	1994-05-16	OIL	PRODUCING	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2264	http://www.npd.no/FactMapSearch?NPDID_wellbore=2264	NO
2265	15/9-A-26	15/9-A-26	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1994-01-04	1994-02-15	GAS	PRODUCING	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2265	http://www.npd.no/FactMapSearch?NPDID_wellbore=2265	NO
2266	34/10-C-20	34/10-C-20	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1994-04-05	1994-09-26	NOT AVAILABLE	PLUGGED	71	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2266	http://www.npd.no/FactMapSearch?NPDID_wellbore=2266	NO
2267	30/9-B-30	30/9-B-30	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1993-12-03	1994-09-17	NOT AVAILABLE	PLUGGED	72	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2267	http://www.npd.no/FactMapSearch?NPDID_wellbore=2267	NO
2268	30/9-B-48	30/9-B-48	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1993-12-22	1994-06-08	WATER	INJECTING	173	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2268	http://www.npd.no/FactMapSearch?NPDID_wellbore=2268	NO
2269	30/3-6	30/3-6 S	VESLEFRIKK	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	\N	1993-12-26	1994-04-20	OIL	RE-CLASS TO DEV	5	WILDCAT	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2269	http://www.npd.no/FactMapSearch?NPDID_wellbore=2269	YES
2270	30/9-B-6	30/9-B-6	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1994-09-25	1994-11-27	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2270	http://www.npd.no/FactMapSearch?NPDID_wellbore=2270	NO
2273	31/4-A-23	31/4-A-23	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1993-12-26	1994-02-19	NOT AVAILABLE	PLUGGED	71	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2273	http://www.npd.no/FactMapSearch?NPDID_wellbore=2273	NO
2274	2/4-C-12	2/4-C-12 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1994-01-18	1994-03-08	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2274	http://www.npd.no/FactMapSearch?NPDID_wellbore=2274	NO
2275	34/10-B-29	34/10-B-29 B	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1993-12-26	1994-05-03	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2275	http://www.npd.no/FactMapSearch?NPDID_wellbore=2275	NO
2276	30/6-C-24	30/6-C-24	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1994-01-25	1994-03-27	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2276	http://www.npd.no/FactMapSearch?NPDID_wellbore=2276	NO
2277	30/6-C-24	30/6-C-24 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1994-03-28	1994-04-25	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2277	http://www.npd.no/FactMapSearch?NPDID_wellbore=2277	NO
2278	6507/7-A-17	6507/7-A-17	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN	1994-01-11	1994-02-19	OIL	PLUGGED	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2278	http://www.npd.no/FactMapSearch?NPDID_wellbore=2278	NO
2279	2/4-B-24	2/4-B-24 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1994-01-28	1994-05-05	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2279	http://www.npd.no/FactMapSearch?NPDID_wellbore=2279	NO
2283	2/8-A-7	2/8-A-7 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1994-02-04	1994-05-09	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2283	http://www.npd.no/FactMapSearch?NPDID_wellbore=2283	NO
2285	15/12-10	15/12-10 S	VARG	038	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA BERGEN	\N	1996-10-02	1996-11-04	OIL	RE-CLASS TO DEV	5	APPRAISAL	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2285	http://www.npd.no/FactMapSearch?NPDID_wellbore=2285	NO
2286	15/9-A-22	15/9-A-22	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1994-06-01	1994-06-13	GAS	PRODUCING	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2286	http://www.npd.no/FactMapSearch?NPDID_wellbore=2286	NO
2288	24/9-6	24/9-6	VOLUND	150	EXPLORATION	Fina Production Licenses AS	NO	WEST DELTA	\N	1994-02-01	1994-03-07	OIL	P&A	5	APPRAISAL	123.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2288	http://www.npd.no/FactMapSearch?NPDID_wellbore=2288	NO
2289	34/7-I-4	34/7-I-4 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	VILDKAT EXPLORER	34/7-I-4 H	1994-10-21	1994-11-21	NOT APPLICABLE	PLUGGED	99	OBSERVATION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2289	http://www.npd.no/FactMapSearch?NPDID_wellbore=2289	NO
2290	6507/7-A-50	6507/7-A-50	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN	1994-02-19	1994-03-16	OIL	PLUGGED	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2290	http://www.npd.no/FactMapSearch?NPDID_wellbore=2290	NO
2291	30/3-A-20	30/3-A-20	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1995-02-03	1995-02-04	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2291	http://www.npd.no/FactMapSearch?NPDID_wellbore=2291	NO
2292	30/3-A-21	30/3-A-21	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1994-03-19	1994-11-11	WATER	PLUGGED	173	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2292	http://www.npd.no/FactMapSearch?NPDID_wellbore=2292	NO
2294	31/4-A-7	31/4-A-7	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1994-02-19	1994-04-15	WATER	INJECTING	173	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2294	http://www.npd.no/FactMapSearch?NPDID_wellbore=2294	NO
2296	34/7-23	34/7-23 S	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	VILDKAT EXPLORER	\N	1994-02-22	1994-04-03	OIL	P&A	5	WILDCAT	246.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2296	http://www.npd.no/FactMapSearch?NPDID_wellbore=2296	YES
2297	2/11-10	2/11-10 S	HOD	033	EXPLORATION	Amoco Norway Oil Company	NO	MÆRSK GIANT	\N	1994-02-28	1994-06-14	OIL	RE-CLASS TO DEV	5	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2297	http://www.npd.no/FactMapSearch?NPDID_wellbore=2297	YES
2298	34/7-I-2	34/7-I-2 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	VILDKAT EXPLORER	34/7-I-2 H	1994-11-22	1995-02-19	NOT APPLICABLE	PLUGGED	99	OBSERVATION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2298	http://www.npd.no/FactMapSearch?NPDID_wellbore=2298	NO
2299	6507/2-3	6507/2-3	\N	122	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1994-03-14	1994-05-05	OIL SHOWS	P&A	12	WILDCAT	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2299	http://www.npd.no/FactMapSearch?NPDID_wellbore=2299	NO
2301	34/10-A-42	34/10-A-42	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1994-06-06	1994-09-15	GAS	INJECTING	91	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2301	http://www.npd.no/FactMapSearch?NPDID_wellbore=2301	NO
2302	33/9-A-2	33/9-A-2 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1994-03-24	1994-05-27	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2302	http://www.npd.no/FactMapSearch?NPDID_wellbore=2302	NO
2303	34/10-C-21	34/10-C-21	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1994-02-19	1994-07-11	WATER	INJECTING	173	INJECTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2303	http://www.npd.no/FactMapSearch?NPDID_wellbore=2303	NO
2305	6507/7-A-38	6507/7-A-38	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN	1994-03-30	1994-04-27	GAS	INJECTING	91	INJECTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2305	http://www.npd.no/FactMapSearch?NPDID_wellbore=2305	NO
2306	2/4-A-6	2/4-A-6 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1994-04-16	1994-05-20	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2306	http://www.npd.no/FactMapSearch?NPDID_wellbore=2306	NO
2307	31/2-G-4	31/2-G-4 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL G	1994-03-18	1994-04-19	NOT APPLICABLE	PLUGGED	99	OBSERVATION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2307	http://www.npd.no/FactMapSearch?NPDID_wellbore=2307	NO
2308	2/4-C-8	2/4-C-8 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1994-03-28	1994-04-29	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2308	http://www.npd.no/FactMapSearch?NPDID_wellbore=2308	NO
2309	31/2-G-4	31/2-G-4 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL G	1994-08-02	1994-12-20	OIL	PLUGGED	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2309	http://www.npd.no/FactMapSearch?NPDID_wellbore=2309	NO
2312	34/10-C-22	34/10-C-22	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1994-03-01	1994-04-04	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2312	http://www.npd.no/FactMapSearch?NPDID_wellbore=2312	NO
2313	7/12-A-8	7/12-A-8 A	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1994-04-13	1994-06-24	WATER	INJECTING	173	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2313	http://www.npd.no/FactMapSearch?NPDID_wellbore=2313	NO
2314	34/10-B-31	34/10-B-31	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1994-09-15	1994-12-14	OIL	PLUGGED	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2314	http://www.npd.no/FactMapSearch?NPDID_wellbore=2314	NO
2316	15/9-A-24	15/9-A-24	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1994-03-27	1994-05-21	GAS	INJECTING	91	INJECTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2316	http://www.npd.no/FactMapSearch?NPDID_wellbore=2316	NO
2318	2/4-B-22	2/4-B-22 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1994-05-29	1994-07-01	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2318	http://www.npd.no/FactMapSearch?NPDID_wellbore=2318	NO
2319	15/9-20	15/9-20 S	GUNGNE	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	SLEIPNER A	\N	1994-02-16	1994-06-01	GAS	RE-CLASS TO DEV	9	WILDCAT	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2319	http://www.npd.no/FactMapSearch?NPDID_wellbore=2319	YES
2321	2/11-A-7	2/11-A-7	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GIANT	HOD	1994-04-28	1994-06-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2321	http://www.npd.no/FactMapSearch?NPDID_wellbore=2321	NO
2322	2/11-A-7	2/11-A-7 A	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GIANT	HOD	1994-06-14	1994-07-01	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2322	http://www.npd.no/FactMapSearch?NPDID_wellbore=2322	NO
2324	31/2-F-6	31/2-F-6 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL F	1994-04-19	1994-05-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2324	http://www.npd.no/FactMapSearch?NPDID_wellbore=2324	NO
2325	31/2-F-6	31/2-F-6 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL F	1995-05-05	1995-06-02	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2325	http://www.npd.no/FactMapSearch?NPDID_wellbore=2325	NO
2326	34/7-23	34/7-23 A	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	VILDKAT EXPLORER	\N	1994-04-08	1994-05-20	OIL	P&A	5	APPRAISAL	246.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2326	http://www.npd.no/FactMapSearch?NPDID_wellbore=2326	NO
2328	31/4-A-13	31/4-A-13	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1994-04-16	1994-06-12	OIL	PLUGGED	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2328	http://www.npd.no/FactMapSearch?NPDID_wellbore=2328	NO
2329	30/6-C-23	30/6-C-23	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1994-05-02	1994-06-06	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2329	http://www.npd.no/FactMapSearch?NPDID_wellbore=2329	NO
2330	2/11-A-1	2/11-A-1 B	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	HOD	HOD	1994-07-09	1994-07-25	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2330	http://www.npd.no/FactMapSearch?NPDID_wellbore=2330	NO
2331	15/12-U-1	15/12-U-1	\N	038	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1994-03-15	1994-04-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2331	\N	NO
2332	15/12-U-2	15/12-U-2	\N	038	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1994-03-15	1994-04-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2332	\N	NO
2333	15/12-U-3	15/12-U-3	\N	038	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1994-03-15	1994-04-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2333	\N	NO
2334	15/12-U-4	15/12-U-4	\N	038	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1994-03-15	1994-04-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2334	\N	NO
2335	15/12-U-5	15/12-U-5	\N	038	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1994-03-15	1994-04-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2335	\N	NO
2336	15/12-U-6	15/12-U-6	\N	038	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1994-03-15	1994-04-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2336	\N	NO
2337	15/12-U-7	15/12-U-7	\N	038	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1994-03-15	1994-04-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2337	\N	NO
2338	15/12-U-8	15/12-U-8	\N	038	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1994-03-15	1994-04-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2338	\N	NO
2339	15/12-U-9	15/12-U-9	\N	038	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1994-03-15	1994-04-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2339	\N	NO
2340	2/8-A-30	2/8-A-30 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1994-06-21	1994-08-24	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2340	http://www.npd.no/FactMapSearch?NPDID_wellbore=2340	NO
2341	2/8-A-30	2/8-A-30 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1994-08-24	1994-09-27	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2341	http://www.npd.no/FactMapSearch?NPDID_wellbore=2341	NO
2343	2/4-C-11	2/4-C-11 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1994-06-01	1994-06-25	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2343	http://www.npd.no/FactMapSearch?NPDID_wellbore=2343	NO
2344	2/7-B-8	2/7-B-8 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1994-06-10	1994-09-20	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2344	http://www.npd.no/FactMapSearch?NPDID_wellbore=2344	NO
2345	6707/4-U-1	6707/4-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	1446.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2345	\N	NO
2346	6707/7-U-1	6707/7-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2346	\N	NO
2349	6707/8-U-1	6707/8-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	1480.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2349	\N	NO
2350	15/9-A-9	15/9-A-9	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1994-05-23	1994-06-12	GAS	CLOSED	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2350	http://www.npd.no/FactMapSearch?NPDID_wellbore=2350	NO
2351	33/9-K-1	33/9-K-1 AH	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD ØST K	1994-04-25	1994-05-30	WATER	INJECTING	173	INJECTION	156.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2351	http://www.npd.no/FactMapSearch?NPDID_wellbore=2351	NO
2352	34/7-P-14	34/7-P-14	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1994-06-16	1994-07-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2352	http://www.npd.no/FactMapSearch?NPDID_wellbore=2352	NO
2353	2/1-A-32	2/1-A-32	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1994-05-20	1994-08-21	WATER	PLUGGED	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2353	http://www.npd.no/FactMapSearch?NPDID_wellbore=2353	NO
2354	31/2-G-3	31/2-G-3 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL G	1994-05-15	1995-08-16	OIL	PLUGGED	50	PRODUCTION	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2354	http://www.npd.no/FactMapSearch?NPDID_wellbore=2354	NO
2355	30/9-17	30/9-17	\N	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1995-03-03	1995-03-14	DRY	SUSPENDED	1	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2355	http://www.npd.no/FactMapSearch?NPDID_wellbore=2355	NO
2356	6407/9-A-2	6407/9-A-2 A	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DRAUGEN	DRAUGEN	1994-11-05	1994-12-01	OIL	PRODUCING	50	PRODUCTION	253.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2356	http://www.npd.no/FactMapSearch?NPDID_wellbore=2356	NO
2357	6407/9-A-2	6407/9-A-2	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DRAUGEN	DRAUGEN	1994-09-18	1994-11-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	253.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2357	http://www.npd.no/FactMapSearch?NPDID_wellbore=2357	NO
2358	25/11-18	25/11-18	GRANE	169	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1994-08-10	1994-10-24	OIL	P&A	5	APPRAISAL	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2358	http://www.npd.no/FactMapSearch?NPDID_wellbore=2358	NO
2359	34/7-I-5	34/7-I-5 AH	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	34/7-I-5 H	1994-06-18	1994-10-13	NOT AVAILABLE	PLUGGED	71	PRODUCTION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2359	http://www.npd.no/FactMapSearch?NPDID_wellbore=2359	NO
2361	30/9-16	30/9-16	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1994-06-14	1994-08-08	OIL/GAS	P&A	13	WILDCAT	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2361	http://www.npd.no/FactMapSearch?NPDID_wellbore=2361	YES
2362	31/4-A-8	31/4-A-8 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1994-08-07	1994-08-29	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2362	http://www.npd.no/FactMapSearch?NPDID_wellbore=2362	NO
2363	6507/7-C-2	6507/7-C-2 H	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN C	1994-05-27	1994-06-18	WATER	INJECTING	173	INJECTION	327.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2363	http://www.npd.no/FactMapSearch?NPDID_wellbore=2363	NO
2365	6407/9-A-6	6407/9-A-6	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DRAUGEN	DRAUGEN	1994-05-24	1994-07-25	OIL	PRODUCING	50	PRODUCTION	253.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2365	http://www.npd.no/FactMapSearch?NPDID_wellbore=2365	NO
2366	30/6-19	30/6-19 R	OSEBERG ØST	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1994-05-15	1994-05-25	OIL/GAS	P&A	13	WILDCAT	159.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2366	http://www.npd.no/FactMapSearch?NPDID_wellbore=2366	NO
2367	2/8-A-16	2/8-A-16 D	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1994-11-02	1994-12-07	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2367	http://www.npd.no/FactMapSearch?NPDID_wellbore=2367	NO
2369	34/10-C-23	34/10-C-23	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1994-10-05	1994-11-01	NOT AVAILABLE	PLUGGED	71	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2369	http://www.npd.no/FactMapSearch?NPDID_wellbore=2369	NO
2370	30/6-C-17	30/6-C-17	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1994-06-06	1994-07-01	NOT AVAILABLE	PLUGGED	71	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2370	http://www.npd.no/FactMapSearch?NPDID_wellbore=2370	NO
2371	31/4-A-8	31/4-A-8	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1994-06-17	1994-08-07	NOT APPLICABLE	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2371	http://www.npd.no/FactMapSearch?NPDID_wellbore=2371	NO
2372	33/9-A-31	33/9-A-31 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1994-06-23	1994-10-24	OIL	PRODUCING	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2372	http://www.npd.no/FactMapSearch?NPDID_wellbore=2372	NO
5930	1/3-U-14	1/3-U-14	\N	274	SHALLOW	DONG E&P Norge AS	NO	BUCENTAUR	\N	2008-09-15	2008-09-15	\N	P&A	0	\N	72.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5930	\N	NO
2373	30/6-22	30/6-22 R	OSEBERG ØST	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1994-05-27	1994-06-02	OIL	P&A	5	APPRAISAL	179.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2373	http://www.npd.no/FactMapSearch?NPDID_wellbore=2373	NO
2374	2/4-C-9	2/4-C-9 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1994-09-29	1994-11-02	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2374	http://www.npd.no/FactMapSearch?NPDID_wellbore=2374	NO
2375	30/6-21	30/6-21 R	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1994-06-04	1994-06-12	OIL/GAS	P&A	13	APPRAISAL	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2375	http://www.npd.no/FactMapSearch?NPDID_wellbore=2375	NO
2376	2/11-A-5	2/11-A-5	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GIANT	HOD	1994-02-28	1994-08-02	NOT AVAILABLE	PLUGGED	71	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2376	http://www.npd.no/FactMapSearch?NPDID_wellbore=2376	NO
2377	34/11-1	34/11-1	KVITEBJØRN	193	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1994-07-07	1994-10-25	GAS/CONDENSATE	P&A	17	WILDCAT	191.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2377	http://www.npd.no/FactMapSearch?NPDID_wellbore=2377	YES
2378	6507/7-C-3	6507/7-C-3 H	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN C	1994-06-19	1994-07-15	WATER	INJECTING	173	INJECTION	327.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2378	http://www.npd.no/FactMapSearch?NPDID_wellbore=2378	NO
2382	33/12-B-42	33/12-B-42	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1994-08-02	1994-11-02	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2382	http://www.npd.no/FactMapSearch?NPDID_wellbore=2382	NO
2384	6306/6-1	6306/6-1	\N	198	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1994-06-22	1994-07-05	DRY	P&A	1	WILDCAT	284.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2384	http://www.npd.no/FactMapSearch?NPDID_wellbore=2384	NO
2385	2/4-A-11	2/4-A-11 B	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1994-07-12	1994-08-05	OIL	CLOSED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2385	http://www.npd.no/FactMapSearch?NPDID_wellbore=2385	NO
2386	15/9-A-27	15/9-A-27	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1994-07-02	1994-08-27	GAS	PRODUCING	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2386	http://www.npd.no/FactMapSearch?NPDID_wellbore=2386	NO
2389	34/7-16	34/7-16 R2	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	VILDKAT EXPLORER	\N	1994-06-23	1994-07-05	OIL	P&A	5	APPRAISAL	286.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2389	http://www.npd.no/FactMapSearch?NPDID_wellbore=2389	NO
2390	25/8-5	25/8-5 S	JOTUN	027 P	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DYVI STENA	\N	1994-07-21	1994-09-22	OIL	SUSP.REENTERED LATER	5	WILDCAT	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2390	http://www.npd.no/FactMapSearch?NPDID_wellbore=2390	YES
2391	34/10-C-24	34/10-C-24	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1994-11-24	1995-02-02	OIL	CLOSED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2391	http://www.npd.no/FactMapSearch?NPDID_wellbore=2391	NO
2392	34/10-C-25	34/10-C-25	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1995-01-24	1995-03-15	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2392	http://www.npd.no/FactMapSearch?NPDID_wellbore=2392	NO
2393	6507/7-C-1	6507/7-C-1 H	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN C	1994-07-15	1994-07-30	WATER	INJECTING	173	INJECTION	327.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2393	http://www.npd.no/FactMapSearch?NPDID_wellbore=2393	NO
2394	2/7-30	2/7-30	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	\N	1995-02-27	1995-04-10	OIL SHOWS	P&A	12	WILDCAT	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2394	http://www.npd.no/FactMapSearch?NPDID_wellbore=2394	NO
2395	34/7-P-38	34/7-P-38	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1994-07-14	1994-08-26	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2395	http://www.npd.no/FactMapSearch?NPDID_wellbore=2395	NO
2396	30/6-C-17	30/6-C-17 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1994-07-01	1994-07-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2396	http://www.npd.no/FactMapSearch?NPDID_wellbore=2396	NO
2397	15/9-A-5	15/9-A-5	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1994-08-28	1994-11-11	GAS	CLOSED	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2397	http://www.npd.no/FactMapSearch?NPDID_wellbore=2397	NO
2398	2/7-B-15	2/7-B-15 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1994-10-04	1994-12-14	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2398	http://www.npd.no/FactMapSearch?NPDID_wellbore=2398	NO
2399	15/9-A-21	15/9-A-21	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1994-11-11	1995-01-12	GAS	CLOSED	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2399	http://www.npd.no/FactMapSearch?NPDID_wellbore=2399	NO
2401	34/7-19	34/7-19 R	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	VILDKAT EXPLORER	\N	1994-07-06	1994-07-12	OIL	P&A	5	APPRAISAL	285.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2401	http://www.npd.no/FactMapSearch?NPDID_wellbore=2401	NO
2403	31/4-A-26	31/4-A-26	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1994-08-31	1994-09-24	WATER	INJECTING	173	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2403	http://www.npd.no/FactMapSearch?NPDID_wellbore=2403	NO
2404	30/6-C-17	30/6-C-17 B	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1994-07-14	1994-08-29	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2404	http://www.npd.no/FactMapSearch?NPDID_wellbore=2404	NO
2406	30/9-B-6	30/9-B-6 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1994-11-28	1994-12-25	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2406	http://www.npd.no/FactMapSearch?NPDID_wellbore=2406	NO
2408	2/11-A-5	2/11-A-5 A	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GIANT	HOD	1994-08-02	1994-09-16	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2408	http://www.npd.no/FactMapSearch?NPDID_wellbore=2408	NO
2409	34/10-B-32	34/10-B-32	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1994-12-15	1995-03-13	OIL	PRODUCING	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2409	http://www.npd.no/FactMapSearch?NPDID_wellbore=2409	NO
2412	2/4-A-15	2/4-A-15 B	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1994-08-26	1994-09-21	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2412	http://www.npd.no/FactMapSearch?NPDID_wellbore=2412	NO
2414	2/4-B-18	2/4-B-18 B	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK B	EKOFISK B	1994-08-27	1994-09-20	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2414	http://www.npd.no/FactMapSearch?NPDID_wellbore=2414	NO
2416	2/7-A-13	2/7-A-13 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	ELDFISK A	1994-11-02	1994-12-19	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2416	http://www.npd.no/FactMapSearch?NPDID_wellbore=2416	NO
2417	33/9-E-1	33/9-E-1 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD NORD E	1994-09-12	1994-10-27	OIL	PRODUCING	50	PRODUCTION	265.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2417	http://www.npd.no/FactMapSearch?NPDID_wellbore=2417	NO
2418	33/9-E-3	33/9-E-3 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD NORD E	1995-12-22	1996-03-14	OIL	PRODUCING	50	PRODUCTION	265.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2418	http://www.npd.no/FactMapSearch?NPDID_wellbore=2418	NO
2419	33/9-E-4	33/9-E-4 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD NORD E	1996-09-25	1998-02-13	OIL	PRODUCING	50	PRODUCTION	265.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2419	http://www.npd.no/FactMapSearch?NPDID_wellbore=2419	NO
2420	31/2-B-3	31/2-B-3 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL B	1994-09-02	1995-01-13	GAS	INJECTING	91	INJECTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2420	http://www.npd.no/FactMapSearch?NPDID_wellbore=2420	NO
2423	2/4-A-2	2/4-A-2 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK A	EKOFISK A	1994-10-08	1994-12-28	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2423	http://www.npd.no/FactMapSearch?NPDID_wellbore=2423	NO
2424	25/5-A-5	25/5-A-5	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK GALLANT	FRØY	1994-09-28	1994-11-01	OIL	P&A	50	PRODUCTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2424	http://www.npd.no/FactMapSearch?NPDID_wellbore=2424	NO
2425	2/4-C-6	2/4-C-6 B	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK C	EKOFISK C	1994-11-16	1995-01-09	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2425	http://www.npd.no/FactMapSearch?NPDID_wellbore=2425	NO
2426	7/12-A-2	7/12-A-2 A	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1995-12-08	1995-12-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2426	http://www.npd.no/FactMapSearch?NPDID_wellbore=2426	NO
2427	33/9-E-2	33/9-E-2 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD NORD E	1994-10-28	1995-01-12	OIL	PLUGGED	50	PRODUCTION	265.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2427	http://www.npd.no/FactMapSearch?NPDID_wellbore=2427	NO
2428	30/6-C-26	30/6-C-26	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1994-09-30	1994-12-18	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2428	http://www.npd.no/FactMapSearch?NPDID_wellbore=2428	NO
2429	30/6-C-26	30/6-C-26 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1994-12-20	1995-02-01	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2429	http://www.npd.no/FactMapSearch?NPDID_wellbore=2429	NO
2430	30/8-1	30/8-1 S	TUNE	190	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1994-11-01	1995-03-01	GAS/CONDENSATE	SUSPENDED	17	WILDCAT	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2430	http://www.npd.no/FactMapSearch?NPDID_wellbore=2430	YES
2431	34/10-37	34/10-37	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1995-01-26	1995-02-22	OIL	P&A	5	WILDCAT	140.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2431	http://www.npd.no/FactMapSearch?NPDID_wellbore=2431	YES
2433	31/2-E-6	31/2-E-6 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL E	1994-09-29	1994-10-25	NOT APPLICABLE	PLUGGED	99	OBSERVATION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2433	http://www.npd.no/FactMapSearch?NPDID_wellbore=2433	NO
2434	6407/8-2	6407/8-2	\N	158	EXPLORATION	BP Norway Limited  U.A.	NO	DYVI STENA	\N	1994-10-19	1994-11-25	OIL/GAS	P&A	13	WILDCAT	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2434	http://www.npd.no/FactMapSearch?NPDID_wellbore=2434	YES
2435	31/4-A-25	31/4-A-25	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1994-09-25	1994-10-15	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2435	http://www.npd.no/FactMapSearch?NPDID_wellbore=2435	NO
2436	34/7-P-14	34/7-P-14 AY1	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	YES	SNORRE A	SNORRE A	1994-10-09	1994-11-21	OIL	PLUGGED	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2436	http://www.npd.no/FactMapSearch?NPDID_wellbore=2436	NO
2437	34/7-P-31	34/7-P-31	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1994-11-27	1994-12-31	NOT APPLICABLE	PLUGGED	99	OBSERVATION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2437	http://www.npd.no/FactMapSearch?NPDID_wellbore=2437	NO
2438	34/7-P-11	34/7-P-11	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1995-06-07	1995-09-25	OIL	PLUGGED	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2438	http://www.npd.no/FactMapSearch?NPDID_wellbore=2438	NO
2441	31/2-D-6	31/2-D-6 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL D	1994-10-26	1994-12-09	OIL	PLUGGED	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2441	http://www.npd.no/FactMapSearch?NPDID_wellbore=2441	NO
2442	30/6-C-19	30/6-C-19	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1995-02-02	1995-03-19	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2442	http://www.npd.no/FactMapSearch?NPDID_wellbore=2442	NO
2443	31/4-A-14	31/4-A-14	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1994-10-18	1994-11-25	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2443	http://www.npd.no/FactMapSearch?NPDID_wellbore=2443	NO
2444	6406/2-1	6406/2-1	\N	199	EXPLORATION	Saga Petroleum ASA	NO	ROSS RIG	\N	1994-10-30	1995-04-09	GAS/CONDENSATE	SUSPENDED	17	WILDCAT	278.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2444	http://www.npd.no/FactMapSearch?NPDID_wellbore=2444	YES
2445	6506/12-10	6506/12-10	ÅSGARD	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1995-04-21	1995-06-26	SHOWS	P&A	12	APPRAISAL	285.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2445	http://www.npd.no/FactMapSearch?NPDID_wellbore=2445	NO
2446	25/5-A-6	25/5-A-6	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK GALLANT	FRØY	1994-11-02	1994-12-21	NOT AVAILABLE	P&A	71	PRODUCTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2446	http://www.npd.no/FactMapSearch?NPDID_wellbore=2446	NO
2447	30/3-A-6	30/3-A-6 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1994-11-21	1994-12-25	WATER	INJECTING	173	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2447	http://www.npd.no/FactMapSearch?NPDID_wellbore=2447	NO
2450	34/10-C-26	34/10-C-26	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1995-03-15	1995-04-05	OIL	PLUGGED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2450	http://www.npd.no/FactMapSearch?NPDID_wellbore=2450	NO
2453	34/10-C-23	34/10-C-23 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1994-11-02	1994-11-23	OIL	PLUGGED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2453	http://www.npd.no/FactMapSearch?NPDID_wellbore=2453	NO
2454	33/9-18	33/9-18	\N	037	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1994-11-16	1994-12-20	DRY	P&A	1	WILDCAT	145.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2454	http://www.npd.no/FactMapSearch?NPDID_wellbore=2454	NO
2455	33/9-18	33/9-18 A	\N	037	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1994-12-21	1995-01-24	DRY	P&A	1	WILDCAT	145.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2455	http://www.npd.no/FactMapSearch?NPDID_wellbore=2455	NO
2456	34/10-B-33	34/10-B-33	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1995-05-09	1995-06-30	WATER	INJECTING	173	INJECTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2456	http://www.npd.no/FactMapSearch?NPDID_wellbore=2456	NO
2457	6507/7-A-14	6507/7-A-14	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN 8	HEIDRUN	1994-12-15	1995-01-06	OIL	PRODUCING	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2457	http://www.npd.no/FactMapSearch?NPDID_wellbore=2457	NO
2459	33/12-B-33	33/12-B-33	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1994-12-06	1995-02-02	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2459	http://www.npd.no/FactMapSearch?NPDID_wellbore=2459	NO
2460	34/7-24	34/7-24 S	VIGDIS	089	EXPLORATION	Saga Petroleum ASA	NO	VILDKAT EXPLORER	\N	1995-02-25	1995-03-24	SHOWS	P&A	12	APPRAISAL	152.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2460	http://www.npd.no/FactMapSearch?NPDID_wellbore=2460	NO
2461	15/9-A-23	15/9-A-23	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1996-09-25	1996-11-22	GAS	PLUGGED	91	INJECTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2461	http://www.npd.no/FactMapSearch?NPDID_wellbore=2461	NO
2462	31/4-A-18	31/4-A-18	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1994-11-27	1995-01-06	WATER	INJECTING	173	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2462	http://www.npd.no/FactMapSearch?NPDID_wellbore=2462	NO
2463	2/4-K-6	2/4-K-6	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1994-12-19	1995-04-16	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2463	http://www.npd.no/FactMapSearch?NPDID_wellbore=2463	NO
2469	2/8-A-4	2/8-A-4 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1995-05-11	1995-07-05	OIL	CLOSED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2469	http://www.npd.no/FactMapSearch?NPDID_wellbore=2469	NO
2472	31/2-D-8	31/2-D-8 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL D	1995-01-14	1995-01-27	NOT APPLICABLE	PLUGGED	99	OBSERVATION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2472	http://www.npd.no/FactMapSearch?NPDID_wellbore=2472	NO
2473	2/7-A-7	2/7-A-7 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	ELDFISK A	1994-12-27	1995-02-10	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2473	http://www.npd.no/FactMapSearch?NPDID_wellbore=2473	NO
2476	25/9-1	25/9-1	\N	189	EXPLORATION	Amerada Hess Norge AS	NO	VILDKAT EXPLORER	\N	1995-03-28	1995-04-22	DRY	P&A	1	WILDCAT	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2476	http://www.npd.no/FactMapSearch?NPDID_wellbore=2476	NO
2477	33/9-F-1	33/9-F-1 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD NORD F	1995-08-25	1995-10-31	OIL	PRODUCING	50	PRODUCTION	285.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2477	http://www.npd.no/FactMapSearch?NPDID_wellbore=2477	NO
6114	34/11-U-2	34/11-U-2	\N	\N	SHALLOW	StatoilHydro Petroleum AS	NO	BUCENTAUR	\N	2008-11-17	2008-11-19	\N	P&A	0	\N	133.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6114	\N	NO
2478	33/9-F-2	33/9-F-2 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD NORD F	1995-02-19	1995-04-15	OIL	PRODUCING	50	PRODUCTION	285.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2478	http://www.npd.no/FactMapSearch?NPDID_wellbore=2478	NO
2479	33/9-F-3	33/9-F-3 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	STATFJORD NORD F	1997-03-14	1997-05-09	OIL	PRODUCING	50	PRODUCTION	285.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2479	http://www.npd.no/FactMapSearch?NPDID_wellbore=2479	NO
2480	33/9-F-4	33/9-F-4 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST ALPHA	STATFJORD NORD F	1999-02-06	1999-03-20	OIL	PLUGGED	50	PRODUCTION	285.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2480	http://www.npd.no/FactMapSearch?NPDID_wellbore=2480	NO
2481	15/9-A-15	15/9-A-15	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1995-01-12	1995-03-11	GAS	PRODUCING	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2481	http://www.npd.no/FactMapSearch?NPDID_wellbore=2481	NO
2482	34/7-P-31	34/7-P-31 A	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1994-12-31	1995-05-12	WATER/GAS	INJECTING	0	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2482	http://www.npd.no/FactMapSearch?NPDID_wellbore=2482	NO
2483	25/5-A-7	25/5-A-7	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK GALLANT	FRØY	1995-01-26	1995-07-23	WATER	P&A	173	INJECTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2483	http://www.npd.no/FactMapSearch?NPDID_wellbore=2483	NO
2484	30/9-B-34	30/9-B-34	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1994-12-25	1995-04-30	WATER	INJECTING	173	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2484	http://www.npd.no/FactMapSearch?NPDID_wellbore=2484	NO
2485	31/4-A-12	31/4-A-12	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1995-01-06	1995-01-28	NOT APPLICABLE	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2485	http://www.npd.no/FactMapSearch?NPDID_wellbore=2485	NO
2486	7618/10-U-1	7618/10-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1994-08-05	1994-08-05	\N	P&A	0	\N	227.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2486	\N	NO
2487	7618/10-U-2	7618/10-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1994-08-06	1994-08-07	\N	P&A	0	\N	226.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2487	\N	NO
2488	7618/10-U-3	7618/10-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1994-08-08	1994-08-09	\N	P&A	0	\N	226.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2488	\N	NO
2489	7617/11-U-1	7617/11-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1994-08-11	1994-08-12	\N	P&A	0	\N	304.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2489	\N	NO
2490	7616/11-U-2	7616/11-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1994-08-21	1994-08-22	\N	P&A	0	\N	326.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2490	\N	NO
2491	7616/11-U-1	7616/11-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1994-08-19	1994-08-19	\N	P&A	0	\N	329.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2491	\N	NO
2492	7617/11-U-2	7617/11-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1994-08-13	1994-08-18	\N	P&A	0	\N	304.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2492	\N	NO
2494	25/5-A-6	25/5-A-6 A	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK GALLANT	FRØY	1994-12-22	1995-01-25	OIL	P&A	50	PRODUCTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2494	http://www.npd.no/FactMapSearch?NPDID_wellbore=2494	NO
2495	31/4-A-12	31/4-A-12 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1995-01-29	1995-02-16	WATER	INJECTING	173	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2495	http://www.npd.no/FactMapSearch?NPDID_wellbore=2495	NO
2496	34/10-A-43	34/10-A-43	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1995-03-14	1995-05-07	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2496	http://www.npd.no/FactMapSearch?NPDID_wellbore=2496	NO
2497	6507/7-B-3	6507/7-B-3 H	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN B	1995-01-19	1995-02-19	WATER	INJECTING	173	INJECTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2497	http://www.npd.no/FactMapSearch?NPDID_wellbore=2497	NO
2498	33/9-A-15	33/9-A-15 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1995-01-21	1995-04-02	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2498	http://www.npd.no/FactMapSearch?NPDID_wellbore=2498	NO
2499	30/6-C-6	30/6-C-6 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1995-04-03	1995-04-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2499	http://www.npd.no/FactMapSearch?NPDID_wellbore=2499	NO
2500	30/6-C-6	30/6-C-6 B	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1995-04-09	1995-05-05	NOT AVAILABLE	PLUGGED	71	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2500	http://www.npd.no/FactMapSearch?NPDID_wellbore=2500	NO
2501	34/7-I-4	34/7-I-4 AH	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	34/7-I-4 H	1995-09-01	1995-11-24	OIL	PRODUCING	50	PRODUCTION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2501	http://www.npd.no/FactMapSearch?NPDID_wellbore=2501	NO
2502	34/7-I-2	34/7-I-2 AH	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	34/7-I-2 H	1995-06-02	1995-07-20	OIL	PRODUCING	50	PRODUCTION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2502	http://www.npd.no/FactMapSearch?NPDID_wellbore=2502	NO
2503	2/8-A-25	2/8-A-25 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1995-03-30	1995-05-11	CUTTINGS	INJECTING	171	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2503	http://www.npd.no/FactMapSearch?NPDID_wellbore=2503	NO
2504	2/8-A-25	2/8-A-25 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1995-01-18	1995-02-13	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2504	http://www.npd.no/FactMapSearch?NPDID_wellbore=2504	NO
2505	1/3-7	1/3-7	OSELVAR	065	EXPLORATION	Elf Petroleum Norge AS	NO	WEST EPSILON	\N	1995-02-13	1995-05-25	OIL	P&A	5	APPRAISAL	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2505	http://www.npd.no/FactMapSearch?NPDID_wellbore=2505	NO
2507	33/9-C-18	33/9-C-18	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1995-01-25	1995-05-10	NOT AVAILABLE	PLUGGED	71	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2507	http://www.npd.no/FactMapSearch?NPDID_wellbore=2507	NO
2508	9/2-A-5	9/2-A-5	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	MÆRSK GIANT	YME B ØST	1995-03-08	1996-03-21	WATER	P&A	173	INJECTION	92.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2508	http://www.npd.no/FactMapSearch?NPDID_wellbore=2508	NO
2509	31/2-D-8	31/2-D-8 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL D	1995-01-27	1995-03-21	OIL	PLUGGED	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2509	http://www.npd.no/FactMapSearch?NPDID_wellbore=2509	NO
2511	6507/7-B-2	6507/7-B-2 H	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN B	1995-02-19	1995-03-04	WATER	INJECTING	173	INJECTION	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2511	http://www.npd.no/FactMapSearch?NPDID_wellbore=2511	NO
2513	2/4-K-14	2/4-K-14	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1995-04-19	1995-10-30	WATER	INJECTING	173	INJECTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2513	http://www.npd.no/FactMapSearch?NPDID_wellbore=2513	NO
2514	31/4-A-21	31/4-A-21	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1995-02-21	1995-05-05	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2514	http://www.npd.no/FactMapSearch?NPDID_wellbore=2514	NO
2515	34/10-C-27	34/10-C-27	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1995-04-06	1995-05-21	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2515	http://www.npd.no/FactMapSearch?NPDID_wellbore=2515	NO
2516	15/9-A-20	15/9-A-20	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1995-03-12	1995-04-20	GAS	CLOSED	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2516	http://www.npd.no/FactMapSearch?NPDID_wellbore=2516	NO
2517	34/10-38	34/10-38 S	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1995-04-05	1995-05-29	OIL/GAS	P&A	13	APPRAISAL	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2517	http://www.npd.no/FactMapSearch?NPDID_wellbore=2517	NO
2522	33/12-B-36	33/12-B-36	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1995-04-20	1995-06-25	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2522	http://www.npd.no/FactMapSearch?NPDID_wellbore=2522	NO
2523	33/9-D-1	33/9-D-1 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD NORD D	1995-04-20	1995-06-10	WATER	INJECTING	173	INJECTION	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2523	http://www.npd.no/FactMapSearch?NPDID_wellbore=2523	NO
2524	33/9-D-2	33/9-D-2 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD NORD D	1995-11-01	1995-12-19	WATER	INJECTING	173	INJECTION	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2524	http://www.npd.no/FactMapSearch?NPDID_wellbore=2524	NO
2525	33/9-D-3	33/9-D-3 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BORGLAND DOLPHIN	STATFJORD NORD D	2000-04-20	2000-09-18	WATER	INJECTING	173	INJECTION	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2525	http://www.npd.no/FactMapSearch?NPDID_wellbore=2525	NO
2526	33/9-D-4	33/9-D-4 H	STATFJORD NORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST ALPHA	STATFJORD NORD D	1998-12-30	1999-02-18	WATER	INJECTING	173	INJECTION	274.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2526	http://www.npd.no/FactMapSearch?NPDID_wellbore=2526	NO
2527	31/2-E-4	31/2-E-4 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL E	1995-03-23	1995-05-04	OIL	PRODUCING	50	PRODUCTION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2527	http://www.npd.no/FactMapSearch?NPDID_wellbore=2527	NO
2529	6511/2-U-1	6511/2-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	173.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2529	\N	NO
2530	34/10-37	34/10-37 A	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1995-02-22	1995-04-03	OIL	SUSPENDED	5	APPRAISAL	140.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2530	http://www.npd.no/FactMapSearch?NPDID_wellbore=2530	NO
2531	6511/4-U-1	6511/4-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	298.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2531	\N	NO
2532	6510/11-U-2	6510/11-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	249.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2532	\N	NO
2533	6510/11-U-1	6510/11-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	241.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2533	\N	NO
2534	6511/4-U-2	6511/4-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	305.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2534	\N	NO
2535	6510/6-U-1	6510/6-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	349.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2535	\N	NO
2536	6510/6-U-2	6510/6-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	382.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2536	\N	NO
2537	6510/6-U-3	6510/6-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	387.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2537	\N	NO
2538	6510/6-U-4	6510/6-U-4	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	383.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2538	\N	NO
2539	6510/10-U-3	6510/10-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2539	\N	NO
2542	6507/7-B-1	6507/7-B-1 H	HEIDRUN	095	DEVELOPMENT	Conoco Norway Inc.	NO	TRANSOCEAN 8	HEIDRUN B	1995-03-05	1995-03-24	WATER	INJECTING	173	INJECTION	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2542	http://www.npd.no/FactMapSearch?NPDID_wellbore=2542	NO
2543	6510/10-U-1	6510/10-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	208.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2543	\N	NO
2544	6510/10-U-5	6510/10-U-5	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1982-05-15	1982-06-15	\N	P&A	0	\N	255.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2544	\N	NO
2545	7/12-A-5	7/12-A-5 A	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1995-03-23	1995-07-03	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2545	http://www.npd.no/FactMapSearch?NPDID_wellbore=2545	NO
2546	31/4-A-28	31/4-A-28	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1995-03-15	1995-08-21	WATER	PLUGGED	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2546	http://www.npd.no/FactMapSearch?NPDID_wellbore=2546	NO
2548	25/5-A-8	25/5-A-8	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK GALLANT	FRØY	1995-10-10	1995-11-28	OIL	P&A	50	PRODUCTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2548	http://www.npd.no/FactMapSearch?NPDID_wellbore=2548	NO
2549	25/5-A-9	25/5-A-9	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK GALLANT	FRØY	1995-07-24	1995-08-25	WATER	P&A	173	INJECTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2549	http://www.npd.no/FactMapSearch?NPDID_wellbore=2549	NO
2550	31/4-A-28	31/4-A-28 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2007-09-08	2007-12-19	OIL	PLUGGED	99	OBSERVATION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2550	http://www.npd.no/FactMapSearch?NPDID_wellbore=2550	NO
2551	30/9-B-16	30/9-B-16	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1995-04-30	1995-06-07	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2551	http://www.npd.no/FactMapSearch?NPDID_wellbore=2551	NO
2552	30/9-18	30/9-18	\N	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1995-03-14	1995-04-11	DRY	P&A	1	WILDCAT	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2552	http://www.npd.no/FactMapSearch?NPDID_wellbore=2552	NO
2553	34/10-C-28	34/10-C-28	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1995-05-22	1995-06-14	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2553	http://www.npd.no/FactMapSearch?NPDID_wellbore=2553	NO
2554	2/7-A-5	2/7-A-5 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	ELDFISK A	1995-05-01	1995-06-20	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2554	http://www.npd.no/FactMapSearch?NPDID_wellbore=2554	NO
2561	30/6-B-51	30/6-B-51 H	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	30/6-B-51 H	1995-04-17	1995-05-30	NOT APPLICABLE	PLUGGED	99	OBSERVATION	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2561	http://www.npd.no/FactMapSearch?NPDID_wellbore=2561	NO
2562	25/11-19	25/11-19 S	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	VILDKAT EXPLORER	\N	1995-04-24	1995-05-18	OIL/GAS	P&A	13	APPRAISAL	129.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2562	http://www.npd.no/FactMapSearch?NPDID_wellbore=2562	NO
2563	2/1-A-28	2/1-A-28	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1995-10-30	1996-01-19	OIL	PLUGGED	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2563	http://www.npd.no/FactMapSearch?NPDID_wellbore=2563	NO
2567	15/9-A-8	15/9-A-8	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1995-04-20	1995-05-28	GAS	CLOSED	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2567	http://www.npd.no/FactMapSearch?NPDID_wellbore=2567	NO
2569	30/9-17	30/9-17 R	\N	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1995-04-11	1995-04-13	DRY	JUNKED	1	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2569	http://www.npd.no/FactMapSearch?NPDID_wellbore=2569	NO
2571	30/6-C-16	30/6-C-16	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1995-05-18	1995-07-02	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2571	http://www.npd.no/FactMapSearch?NPDID_wellbore=2571	NO
2572	30/6-C-16	30/6-C-16 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1995-07-02	1995-08-18	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2572	http://www.npd.no/FactMapSearch?NPDID_wellbore=2572	NO
2573	25/8-6	25/8-6	JOTUN	027 P	EXPLORATION	Esso Exploration and Production Norway A/S	NO	VILDKAT EXPLORER	\N	1995-05-19	1995-06-27	OIL	P&A	5	APPRAISAL	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2573	http://www.npd.no/FactMapSearch?NPDID_wellbore=2573	NO
2574	34/10-39	34/10-39 S	\N	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1995-05-31	1995-06-20	DRY	P&A	1	WILDCAT	140.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2574	http://www.npd.no/FactMapSearch?NPDID_wellbore=2574	NO
2575	31/5-H-5	31/5-H-5 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	TROLL H	1995-06-02	1995-06-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2575	http://www.npd.no/FactMapSearch?NPDID_wellbore=2575	NO
2576	17/3-1	17/3-1	\N	188	EXPLORATION	Elf Petroleum Norge AS	NO	VILDKAT EXPLORER	\N	1995-06-29	1995-08-20	GAS	P&A	9	WILDCAT	273.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2576	http://www.npd.no/FactMapSearch?NPDID_wellbore=2576	YES
2577	15/9-A-12	15/9-A-12	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1995-07-08	1995-08-06	GAS	PRODUCING	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2577	http://www.npd.no/FactMapSearch?NPDID_wellbore=2577	NO
2578	6608/10-5	6608/10-5	\N	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1995-07-05	1995-08-06	DRY	P&A	1	WILDCAT	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2578	http://www.npd.no/FactMapSearch?NPDID_wellbore=2578	NO
2579	34/10-B-34	34/10-B-34	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	1995-07-05	1995-08-10	OIL	PRODUCING	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2579	http://www.npd.no/FactMapSearch?NPDID_wellbore=2579	NO
2580	30/6-C-6	30/6-C-6 C	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2002-05-13	2002-07-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2580	http://www.npd.no/FactMapSearch?NPDID_wellbore=2580	NO
2582	33/9-C-22	33/9-C-22	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1995-05-28	1995-07-11	OIL	PRODUCING	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2582	http://www.npd.no/FactMapSearch?NPDID_wellbore=2582	NO
2583	15/9-A-19	15/9-A-19	GUNGNE	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1995-05-28	1995-07-08	GAS	PLUGGED	91	INJECTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2583	http://www.npd.no/FactMapSearch?NPDID_wellbore=2583	NO
2584	2/7-A-4	2/7-A-4 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	ELDFISK A	1995-07-12	1995-09-16	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2584	http://www.npd.no/FactMapSearch?NPDID_wellbore=2584	NO
2585	31/6-A-30	31/6-A-30	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-01-28	1996-03-28	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2585	http://www.npd.no/FactMapSearch?NPDID_wellbore=2585	NO
2586	31/6-A-15	31/6-A-15	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1995-10-23	1995-11-08	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2586	http://www.npd.no/FactMapSearch?NPDID_wellbore=2586	NO
2587	31/6-A-11	31/6-A-11	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1995-11-09	1995-11-24	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2587	http://www.npd.no/FactMapSearch?NPDID_wellbore=2587	NO
2588	31/6-A-6	31/6-A-6	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-03-29	1996-06-15	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2588	http://www.npd.no/FactMapSearch?NPDID_wellbore=2588	NO
2589	31/6-A-7	31/6-A-7	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1995-09-24	1995-10-21	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2589	http://www.npd.no/FactMapSearch?NPDID_wellbore=2589	NO
2590	31/6-A-35	31/6-A-35	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-02-21	1996-03-18	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2590	http://www.npd.no/FactMapSearch?NPDID_wellbore=2590	NO
2592	30/3-A-22	30/3-A-22	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	1995-07-08	1995-08-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2592	http://www.npd.no/FactMapSearch?NPDID_wellbore=2592	NO
2593	30/3-A-22	30/3-A-22 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1995-08-24	1995-09-20	GAS	PLUGGED	91	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2593	http://www.npd.no/FactMapSearch?NPDID_wellbore=2593	NO
2594	31/2-E-1	31/2-E-1 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL E	1995-06-02	1995-06-11	NOT APPLICABLE	PLUGGED	99	OBSERVATION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2594	http://www.npd.no/FactMapSearch?NPDID_wellbore=2594	NO
2595	2/4-K-8	2/4-K-8 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1995-08-13	1995-09-10	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2595	http://www.npd.no/FactMapSearch?NPDID_wellbore=2595	NO
2596	2/8-A-2	2/8-A-2 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1995-07-09	1995-07-30	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2596	http://www.npd.no/FactMapSearch?NPDID_wellbore=2596	NO
2597	7/12-A-16	7/12-A-16 A	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1995-08-16	1995-10-01	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2597	http://www.npd.no/FactMapSearch?NPDID_wellbore=2597	NO
2599	9/2-5	9/2-5	YME	114	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1995-06-23	1995-07-21	OIL	RE-CLASS TO DEV	5	APPRAISAL	77.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2599	http://www.npd.no/FactMapSearch?NPDID_wellbore=2599	NO
2600	31/5-H-6	31/5-H-6 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	TROLL H	1995-06-27	1995-07-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2600	http://www.npd.no/FactMapSearch?NPDID_wellbore=2600	NO
2601	31/5-H-6	31/5-H-6 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	TROLL H	1995-07-23	1995-08-28	OIL	PLUGGED	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2601	http://www.npd.no/FactMapSearch?NPDID_wellbore=2601	NO
2603	31/2-E-1	31/2-E-1 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL E	1995-06-12	1995-07-13	OIL	PLUGGED	50	PRODUCTION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2603	http://www.npd.no/FactMapSearch?NPDID_wellbore=2603	NO
2607	34/10-B-35	34/10-B-35	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1995-10-13	1995-10-29	WATER	PLUGGED	173	INJECTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2607	http://www.npd.no/FactMapSearch?NPDID_wellbore=2607	NO
2608	34/10-B-35	34/10-B-35 A	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS B	GULLFAKS B	2012-06-24	2012-07-17	NOT APPLICABLE	PLUGGED	99	OBSERVATION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2608	http://www.npd.no/FactMapSearch?NPDID_wellbore=2608	NO
2609	34/10-B-37	34/10-B-37	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1996-09-15	1997-03-19	OIL	PRODUCING	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2609	http://www.npd.no/FactMapSearch?NPDID_wellbore=2609	NO
2610	6506/12-10	6506/12-10 A	ÅSGARD	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS RIG	\N	1995-06-27	1995-12-11	OIL/GAS	P&A	13	APPRAISAL	285.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2610	http://www.npd.no/FactMapSearch?NPDID_wellbore=2610	NO
2612	25/8-7	25/8-7	\N	189	EXPLORATION	Amerada Hess Norge AS	NO	DYVI STENA	\N	1995-07-21	1995-08-12	OIL SHOWS	P&A	12	WILDCAT	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2612	http://www.npd.no/FactMapSearch?NPDID_wellbore=2612	NO
2613	2/11-A-8	2/11-A-8	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	HOD	1995-09-26	1995-10-26	NOT AVAILABLE	PLUGGED	71	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2613	http://www.npd.no/FactMapSearch?NPDID_wellbore=2613	NO
2614	2/11-A-8	2/11-A-8 A	HOD	033	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	HOD	1995-10-26	1995-11-15	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2614	http://www.npd.no/FactMapSearch?NPDID_wellbore=2614	NO
2615	2/8-A-8	2/8-A-8 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1995-08-27	1995-09-18	OIL	PLUGGED	50	PRODUCTION	69.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2615	http://www.npd.no/FactMapSearch?NPDID_wellbore=2615	NO
2616	31/2-F-5	31/2-F-5 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL F	1995-07-25	1995-08-07	OIL	PLUGGED	50	PRODUCTION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2616	http://www.npd.no/FactMapSearch?NPDID_wellbore=2616	NO
2617	31/4-10	31/4-10	BRAGE	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1995-11-14	1995-12-13	OIL/GAS	P&A	13	APPRAISAL	234.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2617	http://www.npd.no/FactMapSearch?NPDID_wellbore=2617	NO
2621	31/4-A-24	31/4-A-24	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1996-11-12	1996-11-22	NOT AVAILABLE	PLUGGED	71	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2621	http://www.npd.no/FactMapSearch?NPDID_wellbore=2621	NO
2622	34/10-C-29	34/10-C-29	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1995-08-09	1995-10-13	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2622	http://www.npd.no/FactMapSearch?NPDID_wellbore=2622	NO
2623	25/7-3	25/7-3	JOTUN	103	EXPLORATION	Conoco Norway Inc.	NO	DEEPSEA BERGEN	\N	1995-07-27	1995-08-28	OIL	P&A	5	WILDCAT	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2623	http://www.npd.no/FactMapSearch?NPDID_wellbore=2623	YES
2631	33/12-B-10	33/12-B-10 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1995-08-19	1995-10-23	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2631	http://www.npd.no/FactMapSearch?NPDID_wellbore=2631	NO
2632	30/3-7	30/3-7 S	VESLEFRIKK	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	\N	1995-09-21	1995-12-12	OIL/GAS	P&A	13	WILDCAT	174.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2632	http://www.npd.no/FactMapSearch?NPDID_wellbore=2632	YES
2633	31/4-A-27	31/4-A-27	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1995-09-19	1995-11-01	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2633	http://www.npd.no/FactMapSearch?NPDID_wellbore=2633	NO
2634	34/10-40	34/10-40 S	\N	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	GULLFAKS B	\N	1995-08-13	1995-10-13	GAS	RE-CLASS TO DEV	9	WILDCAT	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2634	http://www.npd.no/FactMapSearch?NPDID_wellbore=2634	YES
2635	15/5-5	15/5-5	GLITNE	048	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1995-08-31	1995-10-05	OIL	P&A	5	WILDCAT	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2635	http://www.npd.no/FactMapSearch?NPDID_wellbore=2635	YES
2636	2/8-15	2/8-15	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	VILDKAT EXPLORER	\N	1995-11-27	1996-01-09	DRY	P&A	1	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2636	http://www.npd.no/FactMapSearch?NPDID_wellbore=2636	NO
2637	34/7-P-24	34/7-P-24	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1995-09-05	1995-12-06	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2637	http://www.npd.no/FactMapSearch?NPDID_wellbore=2637	NO
2638	2/1-A-24	2/1-A-24 B	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1995-08-21	1995-10-29	WATER	INJECTING	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2638	http://www.npd.no/FactMapSearch?NPDID_wellbore=2638	NO
2639	2/8-A-20	2/8-A-20 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1997-03-17	1997-05-04	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2639	http://www.npd.no/FactMapSearch?NPDID_wellbore=2639	NO
2640	6406/12-2	6406/12-2	\N	157	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1995-09-01	1995-10-17	DRY	P&A	1	WILDCAT	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2640	http://www.npd.no/FactMapSearch?NPDID_wellbore=2640	NO
2641	33/9-A-6	33/9-A-6 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1995-08-23	1995-10-01	OIL	PRODUCING	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2641	http://www.npd.no/FactMapSearch?NPDID_wellbore=2641	NO
2642	6406/2-1	6406/2-1 R	\N	199	EXPLORATION	Saga Petroleum ASA	NO	ROSS ISLE	\N	1995-08-21	1996-01-07	GAS/CONDENSATE	P&A	17	WILDCAT	278.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2642	http://www.npd.no/FactMapSearch?NPDID_wellbore=2642	NO
2644	6406/2-2	6406/2-2	\N	199	EXPLORATION	Saga Petroleum ASA	NO	ROSS RIG	\N	1995-12-12	1996-03-27	GAS/CONDENSATE	P&A	17	APPRAISAL	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2644	http://www.npd.no/FactMapSearch?NPDID_wellbore=2644	NO
2645	6608/10-3	6608/10-3 R	NORNE	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	ROSS ISLE	\N	1995-08-08	1995-08-17	OIL/GAS	P&A	13	APPRAISAL	382.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2645	http://www.npd.no/FactMapSearch?NPDID_wellbore=2645	NO
2646	25/8-8	25/8-8 S	JOTUN	027 P	EXPLORATION	Esso Exploration and Production Norway A/S	NO	VILDKAT EXPLORER	\N	1995-08-22	1995-09-24	OIL/GAS	P&A	13	WILDCAT	126.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2646	http://www.npd.no/FactMapSearch?NPDID_wellbore=2646	YES
2649	31/2-G-6	31/2-G-6 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL G	1995-08-24	1995-10-07	OIL	PLUGGED	50	PRODUCTION	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2649	http://www.npd.no/FactMapSearch?NPDID_wellbore=2649	NO
2650	33/9-A-30	33/9-A-30 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2002-05-19	2002-07-07	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2650	http://www.npd.no/FactMapSearch?NPDID_wellbore=2650	NO
2651	15/9-A-2	15/9-A-2	GUNGNE	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1995-08-29	1996-03-04	GAS	PRODUCING	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2651	http://www.npd.no/FactMapSearch?NPDID_wellbore=2651	NO
2652	15/9-B-10	15/9-B-10	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1995-09-02	1995-10-22	GAS	PRODUCING	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2652	http://www.npd.no/FactMapSearch?NPDID_wellbore=2652	NO
2653	34/7-P-9	34/7-P-9	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1996-02-01	1996-06-16	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2653	http://www.npd.no/FactMapSearch?NPDID_wellbore=2653	NO
2654	34/7-P-32	34/7-P-32	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1995-12-06	1996-02-01	GAS	INJECTING	91	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2654	http://www.npd.no/FactMapSearch?NPDID_wellbore=2654	NO
2655	25/5-A-2	25/5-A-2 A	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK GALLANT	FRØY	1995-09-10	1995-10-09	WATER	P&A	173	INJECTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2655	http://www.npd.no/FactMapSearch?NPDID_wellbore=2655	NO
2661	25/5-5	25/5-5	\N	102	EXPLORATION	Elf Petroleum Norge AS	NO	VILDKAT EXPLORER	\N	1995-10-27	1995-11-23	OIL	P&A	5	WILDCAT	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2661	http://www.npd.no/FactMapSearch?NPDID_wellbore=2661	YES
2662	9/2-A-1	9/2-A-1	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME	YME B ØST	1996-02-01	1996-03-08	OIL	P&A	50	PRODUCTION	92.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2662	http://www.npd.no/FactMapSearch?NPDID_wellbore=2662	NO
2663	30/6-C-10	30/6-C-10 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1995-09-14	1995-11-08	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2663	http://www.npd.no/FactMapSearch?NPDID_wellbore=2663	NO
2666	6204/10-1	6204/10-1	\N	175	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1995-10-28	1995-11-23	DRY	P&A	1	WILDCAT	188.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2666	http://www.npd.no/FactMapSearch?NPDID_wellbore=2666	NO
2667	25/11-20	25/11-20	\N	169	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1995-10-08	1995-10-23	DRY	P&A	1	WILDCAT	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2667	http://www.npd.no/FactMapSearch?NPDID_wellbore=2667	NO
2674	34/10-C-30	34/10-C-30	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1995-10-13	1995-11-25	OIL	PLUGGED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2674	http://www.npd.no/FactMapSearch?NPDID_wellbore=2674	NO
2675	7534/4-U-1	7534/4-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1995-07-30	1995-08-05	\N	P&A	0	\N	202.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2675	\N	NO
2677	7618/12-U-1	7618/12-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1995-08-10	1995-08-16	\N	P&A	0	\N	235.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2677	\N	NO
2678	7618/9-U-1	7618/9-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1995-08-16	1995-08-21	\N	P&A	0	\N	270.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2678	\N	NO
2679	7619/8-U-1	7619/8-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1995-08-22	1995-08-25	\N	P&A	0	\N	246.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2679	\N	NO
2680	7534/6-U-1	7534/6-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1995-08-06	1995-08-10	\N	P&A	0	\N	167.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2680	\N	NO
2684	34/10-B-36	34/10-B-36	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1995-10-29	1995-11-18	OIL	PLUGGED	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2684	http://www.npd.no/FactMapSearch?NPDID_wellbore=2684	NO
2685	33/9-C-28	33/9-C-28 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1995-10-25	1995-10-26	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2685	http://www.npd.no/FactMapSearch?NPDID_wellbore=2685	NO
2686	33/9-C-28	33/9-C-28 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1995-10-27	1995-11-14	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2686	http://www.npd.no/FactMapSearch?NPDID_wellbore=2686	NO
2687	33/9-A-35	33/9-A-35 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1995-10-26	1996-01-15	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2687	http://www.npd.no/FactMapSearch?NPDID_wellbore=2687	NO
2688	6407/9-A-5	6407/9-A-5	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DRAUGEN	DRAUGEN	1995-09-20	1995-11-19	OIL	CLOSED	50	PRODUCTION	253.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2688	http://www.npd.no/FactMapSearch?NPDID_wellbore=2688	NO
2689	31/2-D-9	31/2-D-9	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL D	1995-10-11	1995-10-27	NOT APPLICABLE	PLUGGED	99	OBSERVATION	350.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2689	http://www.npd.no/FactMapSearch?NPDID_wellbore=2689	NO
2690	25/8-8	25/8-8 A	JOTUN	027 P	EXPLORATION	Esso Exploration and Production Norway A/S	NO	VILDKAT EXPLORER	\N	1995-09-29	1995-10-11	OIL/GAS	P&A	13	APPRAISAL	126.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2690	http://www.npd.no/FactMapSearch?NPDID_wellbore=2690	NO
2691	31/6-A-12	31/6-A-12	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-05-04	1996-05-20	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2691	http://www.npd.no/FactMapSearch?NPDID_wellbore=2691	NO
2692	15/9-B-14	15/9-B-14	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1995-10-23	1996-07-07	GAS	PRODUCING	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2692	http://www.npd.no/FactMapSearch?NPDID_wellbore=2692	NO
2693	30/6-C-10	30/6-C-10 B	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1995-11-10	1995-12-04	OIL	PLUGGED	50	PRODUCTION	108.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2693	http://www.npd.no/FactMapSearch?NPDID_wellbore=2693	NO
2694	30/6-C-10	30/6-C-10 C	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1996-05-20	1996-09-25	OIL	PLUGGED	50	PRODUCTION	108.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2694	http://www.npd.no/FactMapSearch?NPDID_wellbore=2694	NO
2695	7/12-12	7/12-12 S	\N	019	EXPLORATION	BP Norway Limited  U.A.	NO	ULA DP	\N	1995-11-14	1996-03-17	DRY	P&A	1	WILDCAT	69.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2695	http://www.npd.no/FactMapSearch?NPDID_wellbore=2695	NO
2696	25/8-8	25/8-8 B	JOTUN	027 P	EXPLORATION	Esso Exploration and Production Norway A/S	NO	VILDKAT EXPLORER	\N	1995-10-12	1995-10-24	OIL/GAS	P&A	13	APPRAISAL	126.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2696	http://www.npd.no/FactMapSearch?NPDID_wellbore=2696	NO
2698	34/7-C-2	34/7-C-2 H	VIGDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	VIGDIS C	1995-11-26	1996-12-04	NOT AVAILABLE	PLUGGED	71	PRODUCTION	282.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2698	http://www.npd.no/FactMapSearch?NPDID_wellbore=2698	NO
2699	2/1-11	2/1-11	\N	019 B	EXPLORATION	BP Norway Limited  U.A.	NO	MÆRSK JUTLANDER	\N	1997-01-14	1997-05-07	OIL	SUSPENDED	5	WILDCAT	68.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2699	http://www.npd.no/FactMapSearch?NPDID_wellbore=2699	YES
2700	33/9-C-41	33/9-C-41	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1995-11-14	1996-01-17	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2700	http://www.npd.no/FactMapSearch?NPDID_wellbore=2700	NO
2701	25/11-21	25/11-21 S	GRANE	169	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1995-10-23	1995-11-14	OIL	P&A	5	APPRAISAL	129.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2701	http://www.npd.no/FactMapSearch?NPDID_wellbore=2701	NO
2702	2/8-F-1	2/8-F-1	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1995-12-11	1996-05-28	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2702	http://www.npd.no/FactMapSearch?NPDID_wellbore=2702	NO
2703	16/10-3	16/10-3	\N	101	EXPLORATION	Norsk Agip  AS	NO	TRANSOCEAN NORDIC	\N	1996-10-22	1996-12-01	DRY	P&A	1	WILDCAT	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2703	http://www.npd.no/FactMapSearch?NPDID_wellbore=2703	NO
2707	6407/9-A-3	6407/9-A-3	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DRAUGEN	DRAUGEN	1995-11-11	1995-12-21	OIL	PRODUCING	50	PRODUCTION	253.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2707	http://www.npd.no/FactMapSearch?NPDID_wellbore=2707	NO
2711	31/5-H-5	31/5-H-5 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL H	1995-11-17	1995-12-17	OIL	PLUGGED	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2711	http://www.npd.no/FactMapSearch?NPDID_wellbore=2711	NO
2712	34/10-A-17	34/10-A-17 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1995-12-01	1996-01-12	WATER	INJECTING	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2712	http://www.npd.no/FactMapSearch?NPDID_wellbore=2712	NO
2714	31/4-A-40	31/4-A-40	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1995-11-06	1996-01-11	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2714	http://www.npd.no/FactMapSearch?NPDID_wellbore=2714	NO
2715	15/9-B-5	15/9-B-5	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1995-11-26	1996-08-04	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2715	http://www.npd.no/FactMapSearch?NPDID_wellbore=2715	NO
2716	2/8-F-2	2/8-F-2	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1995-12-08	1996-03-11	OIL	PLUGGED	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2716	http://www.npd.no/FactMapSearch?NPDID_wellbore=2716	NO
2717	2/8-F-3	2/8-F-3	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1995-12-13	1996-10-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2717	http://www.npd.no/FactMapSearch?NPDID_wellbore=2717	NO
2718	2/8-F-4	2/8-F-4	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1996-06-09	1996-12-05	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2718	http://www.npd.no/FactMapSearch?NPDID_wellbore=2718	NO
2719	30/8-1	30/8-1 SR	TUNE	190	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1995-11-14	1996-03-01	GAS/CONDENSATE	P&A	17	WILDCAT	96.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2719	http://www.npd.no/FactMapSearch?NPDID_wellbore=2719	NO
2720	34/10-C-31	34/10-C-31	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1995-11-27	1996-01-17	WATER	INJECTING	173	INJECTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2720	http://www.npd.no/FactMapSearch?NPDID_wellbore=2720	NO
2721	25/5-A-10	25/5-A-10	FRØY	102	DEVELOPMENT	Elf Petroleum Norge AS	NO	MÆRSK GALLANT	FRØY	1995-11-28	1996-02-25	WATER	P&A	173	INJECTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2721	http://www.npd.no/FactMapSearch?NPDID_wellbore=2721	NO
2722	2/1-A-21	2/1-A-21	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1997-11-27	1998-07-23	WATER	INJECTING	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2722	http://www.npd.no/FactMapSearch?NPDID_wellbore=2722	NO
2723	30/8-2	30/8-2	\N	190	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1995-12-15	1996-01-14	OIL SHOWS	P&A	12	WILDCAT	99.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2723	http://www.npd.no/FactMapSearch?NPDID_wellbore=2723	NO
5155	24/9-U-6	24/9-U-6	\N	305	SHALLOW	Det Norske Oljeselskap AS	NO	BUCENTAUR	\N	2005-08-17	2005-08-17	\N	P&A	0	\N	122.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5155	\N	NO
2724	30/3-A-7	30/3-A-7 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1995-12-20	1996-01-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2724	http://www.npd.no/FactMapSearch?NPDID_wellbore=2724	NO
2726	34/10-A-44	34/10-A-44	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1996-01-31	1996-04-18	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2726	http://www.npd.no/FactMapSearch?NPDID_wellbore=2726	NO
2727	30/6-C-7	30/6-C-7 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1996-08-06	1996-09-01	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2727	http://www.npd.no/FactMapSearch?NPDID_wellbore=2727	NO
2728	25/10-6	25/10-6 S	\N	168	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1995-12-26	1996-03-22	SHOWS	P&A	12	WILDCAT	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2728	http://www.npd.no/FactMapSearch?NPDID_wellbore=2728	NO
2731	33/12-B-2	33/12-B-2 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1996-02-08	1996-04-26	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2731	http://www.npd.no/FactMapSearch?NPDID_wellbore=2731	NO
2732	30/6-B-51	30/6-B-51 AH	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	30/6-B-51 H	1996-01-23	1996-08-11	OIL	PRODUCING	50	PRODUCTION	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2732	http://www.npd.no/FactMapSearch?NPDID_wellbore=2732	NO
2733	34/11-2	34/11-2 S	\N	193	EXPLORATION	Den norske stats oljeselskap a.s	NO	VILDKAT EXPLORER	\N	1996-01-16	1996-05-17	GAS/CONDENSATE	SUSP.REENTERED LATER	17	WILDCAT	261.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2733	http://www.npd.no/FactMapSearch?NPDID_wellbore=2733	YES
2734	34/7-C-1	34/7-C-1 H	VIGDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	VIGDIS C	1996-01-17	1996-12-30	OIL	PRODUCING	50	PRODUCTION	283.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2734	http://www.npd.no/FactMapSearch?NPDID_wellbore=2734	NO
2735	31/2-D-2	31/2-D-2 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL D	1995-12-19	1996-01-28	OIL	PLUGGED	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2735	http://www.npd.no/FactMapSearch?NPDID_wellbore=2735	NO
2736	6506/11-4	6506/11-4 S	ÅSGARD	134	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	\N	1996-02-11	1996-06-06	OIL	RE-CLASS TO DEV	5	APPRAISAL	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2736	http://www.npd.no/FactMapSearch?NPDID_wellbore=2736	NO
2737	30/9-B-16	30/9-B-16 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1996-07-08	1996-09-17	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2737	http://www.npd.no/FactMapSearch?NPDID_wellbore=2737	NO
2738	30/9-B-30	30/9-B-30 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1998-01-21	1998-03-08	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2738	http://www.npd.no/FactMapSearch?NPDID_wellbore=2738	NO
2739	30/9-B-23	30/9-B-23 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1999-11-04	1999-12-03	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2739	http://www.npd.no/FactMapSearch?NPDID_wellbore=2739	NO
2740	30/9-B-23	30/9-B-23 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2000-05-22	2000-06-13	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2740	http://www.npd.no/FactMapSearch?NPDID_wellbore=2740	NO
2742	30/9-B-24	30/9-B-24 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2007-04-17	2007-08-25	OIL	CLOSED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2742	http://www.npd.no/FactMapSearch?NPDID_wellbore=2742	NO
2744	30/9-B-36	30/9-B-36	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1996-01-23	1996-02-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2744	http://www.npd.no/FactMapSearch?NPDID_wellbore=2744	NO
2745	30/9-B-16	30/9-B-16 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2005-12-04	2006-02-02	WATER	INJECTING	173	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2745	http://www.npd.no/FactMapSearch?NPDID_wellbore=2745	NO
2746	30/9-B-24	30/9-B-24 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1997-01-07	1997-03-24	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2746	http://www.npd.no/FactMapSearch?NPDID_wellbore=2746	NO
2747	34/10-C-32	34/10-C-32	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1996-01-23	1996-03-17	OIL	CLOSED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2747	http://www.npd.no/FactMapSearch?NPDID_wellbore=2747	NO
2748	9/2-B-1	9/2-B-1 H	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	YME B VEST	1996-04-07	1996-05-08	OIL	P&A	50	PRODUCTION	77.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2748	http://www.npd.no/FactMapSearch?NPDID_wellbore=2748	NO
2749	15/9-B-6	15/9-B-6	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1996-02-05	1996-07-22	GAS	PRODUCING	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2749	http://www.npd.no/FactMapSearch?NPDID_wellbore=2749	NO
2750	30/6-C-12	30/6-C-12 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1996-01-22	1996-02-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2750	http://www.npd.no/FactMapSearch?NPDID_wellbore=2750	NO
2751	30/6-C-12	30/6-C-12 B	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1996-02-13	1996-03-05	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2751	http://www.npd.no/FactMapSearch?NPDID_wellbore=2751	NO
2752	30/6-C-12	30/6-C-12 C	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1996-03-05	1996-04-27	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2752	http://www.npd.no/FactMapSearch?NPDID_wellbore=2752	NO
2753	33/9-C-17	33/9-C-17	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1996-01-20	1996-02-16	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2753	http://www.npd.no/FactMapSearch?NPDID_wellbore=2753	NO
2754	30/9-B-36	30/9-B-36 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1996-02-26	1996-04-23	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2754	http://www.npd.no/FactMapSearch?NPDID_wellbore=2754	NO
2755	30/3-A-7	30/3-A-7 B	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1996-02-02	1996-02-28	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2755	http://www.npd.no/FactMapSearch?NPDID_wellbore=2755	NO
2756	2/1-A-25	2/1-A-25	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1996-01-22	1996-03-12	OIL	PLUGGED	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2756	http://www.npd.no/FactMapSearch?NPDID_wellbore=2756	NO
2757	31/4-A-17	31/4-A-17	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1996-02-02	1996-04-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2757	http://www.npd.no/FactMapSearch?NPDID_wellbore=2757	NO
2760	31/2-E-5	31/2-E-5 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL E	1996-01-29	1996-02-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2760	http://www.npd.no/FactMapSearch?NPDID_wellbore=2760	NO
2761	34/7-C-3	34/7-C-3 H	VIGDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	VIGDIS C	1996-01-23	1996-12-10	NOT AVAILABLE	PLUGGED	71	PRODUCTION	282.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2761	http://www.npd.no/FactMapSearch?NPDID_wellbore=2761	NO
2762	31/2-E-5	31/2-E-5 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL E	1996-02-09	1996-03-02	OIL	PLUGGED	50	PRODUCTION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2762	http://www.npd.no/FactMapSearch?NPDID_wellbore=2762	NO
2763	15/9-A-16	15/9-A-16	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	1996-03-13	1996-04-16	CO2	INJECTING	180	INJECTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2763	http://www.npd.no/FactMapSearch?NPDID_wellbore=2763	NO
2765	31/4-A-17	31/4-A-17 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1996-04-04	1996-05-09	WATER	PLUGGED	173	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2765	http://www.npd.no/FactMapSearch?NPDID_wellbore=2765	NO
2766	6507/7-A-51	6507/7-A-51	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1996-03-08	1996-04-23	WATER	PLUGGED	173	INJECTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2766	http://www.npd.no/FactMapSearch?NPDID_wellbore=2766	NO
2767	30/3-A-17	30/3-A-17 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1996-02-29	1996-04-10	WATER	PLUGGED	173	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2767	http://www.npd.no/FactMapSearch?NPDID_wellbore=2767	NO
2768	34/7-C-4	34/7-C-4 H	VIGDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	BIDEFORD DOLPHIN	VIGDIS C	1999-06-14	1999-08-28	OIL	PRODUCING	50	PRODUCTION	283.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2768	http://www.npd.no/FactMapSearch?NPDID_wellbore=2768	NO
2769	25/10-7	25/10-7 S	\N	028 P	EXPLORATION	Esso Exploration and Production Norway A/S	NO	VILDKAT EXPLORER	\N	1996-05-20	1996-06-08	DRY	P&A	1	WILDCAT	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2769	http://www.npd.no/FactMapSearch?NPDID_wellbore=2769	NO
2772	35/11-8	35/11-8 S	FRAM	090	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1996-03-03	1996-05-11	OIL/GAS	P&A	13	WILDCAT	361.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2772	http://www.npd.no/FactMapSearch?NPDID_wellbore=2772	YES
2773	2/8-F-2	2/8-F-2 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1996-03-12	1996-07-08	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2773	http://www.npd.no/FactMapSearch?NPDID_wellbore=2773	NO
2774	31/2-D-7	31/2-D-7 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL D	1996-03-06	1996-04-07	OIL	PLUGGED	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2774	http://www.npd.no/FactMapSearch?NPDID_wellbore=2774	NO
2775	7709/7-U-1	7709/7-U-1	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1995-08-10	1995-08-11	\N	P&A	0	\N	2052.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2775	\N	NO
2776	7709/7-U-2	7709/7-U-2	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1995-08-11	1995-08-11	\N	P&A	0	\N	2053.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2776	\N	NO
2777	7709/7-U-3	7709/7-U-3	\N	\N	SHALLOW	OCEAN DRILLING PROGRAM, TEXAS A & M UNIVERSITY	NO	JOIDES RESOLUTION	\N	1995-08-11	1995-08-13	\N	P&A	0	\N	2052.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2777	\N	NO
2778	7709/7-U-4	7709/7-U-4	\N	\N	SHALLOW	Ocean Drilling Program, Texas A & M University	NO	JOIDES RESOLUTION	\N	1995-08-15	1995-08-19	\N	P&A	0	\N	2052.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=2778	\N	NO
2779	33/9-C-1	33/9-C-1 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1996-03-09	1996-04-21	WATER	PLUGGED	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2779	http://www.npd.no/FactMapSearch?NPDID_wellbore=2779	NO
2780	15/9-B-7	15/9-B-7	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1996-03-27	1996-08-28	GAS	PRODUCING	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2780	http://www.npd.no/FactMapSearch?NPDID_wellbore=2780	NO
2781	9/2-B-2	9/2-B-2 H	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	YME B VEST	1996-03-25	1996-07-28	OIL	P&A	50	PRODUCTION	77.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2781	http://www.npd.no/FactMapSearch?NPDID_wellbore=2781	NO
2783	35/10-2	35/10-2	\N	173	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	\N	1996-04-16	1996-08-22	GAS	P&A	9	WILDCAT	372.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2783	http://www.npd.no/FactMapSearch?NPDID_wellbore=2783	YES
2784	2/1-A-14	2/1-A-14 A	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1996-03-15	1996-05-08	NOT AVAILABLE	PLUGGED	71	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2784	http://www.npd.no/FactMapSearch?NPDID_wellbore=2784	NO
2785	2/8-A-26	2/8-A-26 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1996-03-18	1996-05-02	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2785	http://www.npd.no/FactMapSearch?NPDID_wellbore=2785	NO
2787	34/10-C-33	34/10-C-33	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1996-03-18	1996-04-04	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2787	http://www.npd.no/FactMapSearch?NPDID_wellbore=2787	NO
2790	9/2-A-8	9/2-A-8	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME	YME B ØST	1996-03-25	1996-06-06	OIL	P&A	50	PRODUCTION	92.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2790	http://www.npd.no/FactMapSearch?NPDID_wellbore=2790	NO
2794	6506/11-5	6506/11-5 S	ÅSGARD	134	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	\N	1996-09-10	1996-11-10	OIL/GAS	RE-CLASS TO DEV	13	APPRAISAL	288.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2794	http://www.npd.no/FactMapSearch?NPDID_wellbore=2794	NO
2795	6506/12-11	6506/12-11 S	ÅSGARD	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	\N	1996-06-08	1996-09-07	OIL	P&A	5	APPRAISAL	289.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2795	http://www.npd.no/FactMapSearch?NPDID_wellbore=2795	NO
2796	6407/1-4	6407/1-4	TYRIHANS	073	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1996-06-08	1996-08-23	OIL/GAS	P&A	13	APPRAISAL	286.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2796	http://www.npd.no/FactMapSearch?NPDID_wellbore=2796	NO
2798	31/2-19	31/2-19 S	\N	191	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1996-05-08	1996-07-13	DRY	P&A	1	WILDCAT	344.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2798	http://www.npd.no/FactMapSearch?NPDID_wellbore=2798	NO
2801	31/4-A-15	31/4-A-15	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1996-05-10	1996-06-25	CUTTINGS	INJECTING	171	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2801	http://www.npd.no/FactMapSearch?NPDID_wellbore=2801	NO
2802	34/7-I-3	34/7-I-3 AH	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	34/7-I-3 H	1996-04-25	1996-07-02	NOT AVAILABLE	PLUGGED	71	PRODUCTION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2802	http://www.npd.no/FactMapSearch?NPDID_wellbore=2802	NO
2803	31/6-A-10	31/6-A-10	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-04-10	1996-06-06	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2803	http://www.npd.no/FactMapSearch?NPDID_wellbore=2803	NO
2804	31/5-H-1	31/5-H-1 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL H	1996-04-14	1996-04-30	NOT APPLICABLE	PLUGGED	99	OBSERVATION	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2804	http://www.npd.no/FactMapSearch?NPDID_wellbore=2804	NO
2805	6507/7-A-9	6507/7-A-9	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1996-04-24	1996-07-04	NOT AVAILABLE	PLUGGED	71	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2805	http://www.npd.no/FactMapSearch?NPDID_wellbore=2805	NO
2806	34/10-A-6	34/10-A-6 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1996-04-25	1996-06-01	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2806	http://www.npd.no/FactMapSearch?NPDID_wellbore=2806	NO
2807	34/10-C-20	34/10-C-20 AY1	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	YES	GULLFAKS C	GULLFAKS C	1996-04-20	1996-05-24	OIL	PLUGGED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2807	http://www.npd.no/FactMapSearch?NPDID_wellbore=2807	NO
2808	33/9-A-16	33/9-A-16 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1996-05-06	1996-07-11	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2808	http://www.npd.no/FactMapSearch?NPDID_wellbore=2808	NO
2809	2/7-B-17	2/7-B-17 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1996-06-13	1996-09-01	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2809	http://www.npd.no/FactMapSearch?NPDID_wellbore=2809	NO
2812	25/11-21	25/11-21 A	GRANE	169	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1996-05-12	1996-10-01	OIL	RE-CLASS TO TEST	5	APPRAISAL	129.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2812	http://www.npd.no/FactMapSearch?NPDID_wellbore=2812	NO
2813	33/9-M-4	33/9-M-4 AH	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TREASURE PROSPEC	STATFJORD ØST M	1996-04-18	1996-05-21	OIL	PRODUCING	50	PRODUCTION	196.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2813	http://www.npd.no/FactMapSearch?NPDID_wellbore=2813	NO
2814	31/6-A-16	31/6-A-16	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-04-20	1996-05-28	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2814	http://www.npd.no/FactMapSearch?NPDID_wellbore=2814	NO
2815	34/10-C-34	34/10-C-34	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1996-05-06	1996-06-20	NOT APPLICABLE	PLUGGED	99	OBSERVATION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2815	http://www.npd.no/FactMapSearch?NPDID_wellbore=2815	NO
2816	15/9-B-13	15/9-B-13	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1996-08-30	1996-12-27	GAS	PRODUCING	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2816	http://www.npd.no/FactMapSearch?NPDID_wellbore=2816	NO
2817	2/7-A-12	2/7-A-12 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	ELDFISK A	1996-05-26	1996-07-23	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2817	http://www.npd.no/FactMapSearch?NPDID_wellbore=2817	NO
2818	2/1-A-12	2/1-A-12	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1996-05-08	1996-08-07	WATER	INJECTING	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2818	http://www.npd.no/FactMapSearch?NPDID_wellbore=2818	NO
2819	33/12-B-41	33/12-B-41 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1996-05-19	1996-06-06	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2819	http://www.npd.no/FactMapSearch?NPDID_wellbore=2819	NO
2820	31/5-H-1	31/5-H-1 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL H	1996-04-30	1996-06-01	OIL	PRODUCING	50	PRODUCTION	315.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2820	http://www.npd.no/FactMapSearch?NPDID_wellbore=2820	NO
2821	25/11-D-1	25/11-D-1 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-D-1 H	1996-05-25	1997-04-30	GAS	INJECTING	91	INJECTION	127.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2821	http://www.npd.no/FactMapSearch?NPDID_wellbore=2821	NO
2822	7/12-A-7	7/12-A-7 A	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1996-10-11	1996-10-23	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2822	http://www.npd.no/FactMapSearch?NPDID_wellbore=2822	NO
2823	24/12-3	24/12-3 S	\N	204	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	\N	1996-06-27	1996-07-29	OIL	P&A	5	WILDCAT	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2823	http://www.npd.no/FactMapSearch?NPDID_wellbore=2823	YES
2824	30/9-B-14	30/9-B-14 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1996-05-18	1996-07-03	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2824	http://www.npd.no/FactMapSearch?NPDID_wellbore=2824	NO
2827	34/7-P-39	34/7-P-39	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1996-06-18	1996-08-12	OIL	PLUGGED	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2827	http://www.npd.no/FactMapSearch?NPDID_wellbore=2827	NO
2828	9/2-A-4	9/2-A-4	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME	YME B ØST	1996-06-08	1996-11-25	OIL	P&A	50	PRODUCTION	92.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2828	http://www.npd.no/FactMapSearch?NPDID_wellbore=2828	NO
2829	1/3-8	1/3-8	\N	011	EXPLORATION	Amoco Norway Oil Company	NO	TRANSOCEAN NORDIC	\N	1996-12-12	1997-05-27	SHOWS	P&A	12	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2829	http://www.npd.no/FactMapSearch?NPDID_wellbore=2829	NO
2830	33/9-19	33/9-19 S	SYGNA	037	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	\N	1996-06-29	1996-07-23	OIL	P&A	5	WILDCAT	304.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2830	http://www.npd.no/FactMapSearch?NPDID_wellbore=2830	YES
2834	31/5-H-4	31/5-H-4 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL H	1996-06-28	1996-08-06	OIL	PRODUCING	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2834	http://www.npd.no/FactMapSearch?NPDID_wellbore=2834	NO
2835	33/12-B-6	33/12-B-6 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1996-06-28	1996-07-08	NOT AVAILABLE	PLUGGED	71	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2835	http://www.npd.no/FactMapSearch?NPDID_wellbore=2835	NO
2836	31/6-A-27	31/6-A-27	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-06-16	1996-08-16	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2836	http://www.npd.no/FactMapSearch?NPDID_wellbore=2836	NO
2837	31/6-A-29	31/6-A-29	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-07-06	1996-07-27	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2837	http://www.npd.no/FactMapSearch?NPDID_wellbore=2837	NO
2838	31/6-A-31	31/6-A-31	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-06-26	1996-08-07	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2838	http://www.npd.no/FactMapSearch?NPDID_wellbore=2838	NO
2840	34/10-C-34	34/10-C-34 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1996-06-20	1996-08-11	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2840	http://www.npd.no/FactMapSearch?NPDID_wellbore=2840	NO
2841	34/10-B-36	34/10-B-36 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1996-10-04	1996-11-19	WATER	INJECTING	173	INJECTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2841	http://www.npd.no/FactMapSearch?NPDID_wellbore=2841	NO
2845	31/4-A-9	31/4-A-9	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1996-06-25	1996-10-06	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2845	http://www.npd.no/FactMapSearch?NPDID_wellbore=2845	NO
2846	34/10-B-5	34/10-B-5 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1996-08-09	1996-12-21	OIL	PRODUCING	50	PRODUCTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2846	http://www.npd.no/FactMapSearch?NPDID_wellbore=2846	NO
2847	36/4-1	36/4-1	\N	196	EXPLORATION	BP Norway Limited  U.A.	NO	MÆRSK JUTLANDER	\N	1996-09-03	1996-10-01	DRY	P&A	1	WILDCAT	261.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2847	http://www.npd.no/FactMapSearch?NPDID_wellbore=2847	NO
2848	6507/7-A-25	6507/7-A-25	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1996-07-04	1996-11-16	WATER	INJECTING	173	INJECTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2848	http://www.npd.no/FactMapSearch?NPDID_wellbore=2848	NO
2849	6406/2-3	6406/2-3	KRISTIN	199	EXPLORATION	Saga Petroleum ASA	NO	TRANSOCEAN ARCTIC	\N	1996-08-24	1997-04-15	GAS/CONDENSATE	P&A	17	WILDCAT	372.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2849	http://www.npd.no/FactMapSearch?NPDID_wellbore=2849	YES
2850	31/6-A-3	31/6-A-3	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-09-01	1996-10-05	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2850	http://www.npd.no/FactMapSearch?NPDID_wellbore=2850	NO
2851	31/6-A-17	31/6-A-17	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-08-17	1996-10-25	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2851	http://www.npd.no/FactMapSearch?NPDID_wellbore=2851	NO
6632	2/4-U-32	2/4-U-32	\N	146	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2011-06-07	2011-06-07	\N	P&A	0	\N	68.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6632	\N	NO
2852	31/6-A-2	31/6-A-2	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-09-07	1996-10-14	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2852	http://www.npd.no/FactMapSearch?NPDID_wellbore=2852	NO
2853	31/6-A-25	31/6-A-25	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-11-08	1997-01-08	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2853	http://www.npd.no/FactMapSearch?NPDID_wellbore=2853	NO
2854	31/6-A-26	31/6-A-26	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-11-19	1996-12-29	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2854	http://www.npd.no/FactMapSearch?NPDID_wellbore=2854	NO
2855	31/6-A-34	31/6-A-34	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-10-28	1997-01-18	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2855	http://www.npd.no/FactMapSearch?NPDID_wellbore=2855	NO
2856	31/6-A-36	31/6-A-36	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1996-11-30	1996-12-20	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2856	http://www.npd.no/FactMapSearch?NPDID_wellbore=2856	NO
2857	34/7-I-3	34/7-I-3 BH	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	34/7-I-3 H	1996-07-02	1996-07-18	OIL	PRODUCING	50	PRODUCTION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2857	http://www.npd.no/FactMapSearch?NPDID_wellbore=2857	NO
2859	30/6-C-7	30/6-C-7 C	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1996-12-18	1997-02-25	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2859	http://www.npd.no/FactMapSearch?NPDID_wellbore=2859	NO
2861	33/9-A-34	33/9-A-34 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1996-07-24	1996-11-11	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2861	http://www.npd.no/FactMapSearch?NPDID_wellbore=2861	NO
2862	33/12-B-23	33/12-B-23 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1996-07-15	1996-09-19	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2862	http://www.npd.no/FactMapSearch?NPDID_wellbore=2862	NO
2863	34/7-25	34/7-25 S	TORDIS	089	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA BERGEN	\N	1996-07-31	1996-09-14	OIL	P&A	5	WILDCAT	187.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2863	http://www.npd.no/FactMapSearch?NPDID_wellbore=2863	YES
2866	34/11-3	34/11-3	KVITEBJØRN	193	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	\N	1996-08-01	1997-01-16	GAS/CONDENSATE	P&A	17	APPRAISAL	208.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2866	http://www.npd.no/FactMapSearch?NPDID_wellbore=2866	NO
2867	9/2-6	9/2-6 S	YME	114	EXPLORATION	Den norske stats oljeselskap a.s	NO	YME	\N	1996-08-19	1996-12-13	OIL	RE-CLASS TO DEV	5	WILDCAT	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2867	http://www.npd.no/FactMapSearch?NPDID_wellbore=2867	YES
2868	34/10-C-35	34/10-C-35	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1996-08-11	1997-03-14	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2868	http://www.npd.no/FactMapSearch?NPDID_wellbore=2868	NO
2869	34/7-A-17	34/7-A-17 H	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1996-08-08	1996-11-14	OIL	PRODUCING	50	PRODUCTION	241.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2869	http://www.npd.no/FactMapSearch?NPDID_wellbore=2869	NO
2870	2/7-B-17	2/7-B-17 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1996-09-02	1996-09-28	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2870	http://www.npd.no/FactMapSearch?NPDID_wellbore=2870	NO
2871	30/9-B-10	30/9-B-10	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1996-09-23	1996-10-28	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2871	http://www.npd.no/FactMapSearch?NPDID_wellbore=2871	NO
2872	33/9-19	33/9-19 A	SYGNA	037	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	\N	1996-07-23	1996-08-09	OIL	P&A	5	APPRAISAL	304.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2872	http://www.npd.no/FactMapSearch?NPDID_wellbore=2872	NO
2873	33/6-2	33/6-2	\N	206	EXPLORATION	Mobil Exploration Norway INC	NO	BYFORD DOLPHIN	\N	1996-10-28	1997-01-02	SHOWS	P&A	12	WILDCAT	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2873	http://www.npd.no/FactMapSearch?NPDID_wellbore=2873	NO
2874	6610/2-1	6610/2-1 S	\N	177	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1996-08-27	1996-09-28	SHOWS	P&A	12	WILDCAT	406.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2874	http://www.npd.no/FactMapSearch?NPDID_wellbore=2874	NO
2875	31/2-F-1	31/2-F-1 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL F	1996-08-25	1996-09-07	NOT APPLICABLE	PLUGGED	99	OBSERVATION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2875	http://www.npd.no/FactMapSearch?NPDID_wellbore=2875	NO
2876	25/11-D-2	25/11-D-2 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-D-2 H	1996-08-02	1996-08-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2876	http://www.npd.no/FactMapSearch?NPDID_wellbore=2876	NO
2877	34/7-P-22	34/7-P-22	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1996-08-18	1996-11-27	WATER	PLUGGED	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2877	http://www.npd.no/FactMapSearch?NPDID_wellbore=2877	NO
2880	6407/7-A-14	6407/7-A-14 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	1999-12-16	2000-02-17	OIL	PRODUCING	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2880	http://www.npd.no/FactMapSearch?NPDID_wellbore=2880	NO
2881	34/10-A-45	34/10-A-45	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1996-08-23	1996-09-30	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2881	http://www.npd.no/FactMapSearch?NPDID_wellbore=2881	NO
2882	25/11-D-2	25/11-D-2 AH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-D-2 H	1996-08-13	1997-04-06	OIL	PRODUCING	50	PRODUCTION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2882	http://www.npd.no/FactMapSearch?NPDID_wellbore=2882	NO
2884	25/11-C-3	25/11-C-3 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-C-3 H	1996-08-29	1996-09-19	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2884	http://www.npd.no/FactMapSearch?NPDID_wellbore=2884	NO
2885	2/6-5	2/6-5	\N	008	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA BERGEN	\N	1996-11-17	1997-01-11	OIL	P&A	5	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2885	http://www.npd.no/FactMapSearch?NPDID_wellbore=2885	YES
2886	30/5-2	30/5-2	TUNE	034	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1996-10-04	1996-12-21	OIL/GAS	P&A	13	APPRAISAL	92.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2886	http://www.npd.no/FactMapSearch?NPDID_wellbore=2886	NO
2887	31/2-F-1	31/2-F-1 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL F	1996-09-08	1996-10-12	OIL	PLUGGED	50	PRODUCTION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2887	http://www.npd.no/FactMapSearch?NPDID_wellbore=2887	NO
2888	30/6-C-7	30/6-C-7 B	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1996-11-06	1996-12-18	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2888	http://www.npd.no/FactMapSearch?NPDID_wellbore=2888	NO
2889	30/3-A-24	30/3-A-24	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2002-03-06	2002-05-12	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2889	http://www.npd.no/FactMapSearch?NPDID_wellbore=2889	NO
2890	34/7-J-7	34/7-J-7 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	TORDIS EXTENSION	1997-07-02	1997-07-19	NOT APPLICABLE	PLUGGED	99	OBSERVATION	241.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2890	http://www.npd.no/FactMapSearch?NPDID_wellbore=2890	NO
2891	3/7-6	3/7-6	\N	147	EXPLORATION	A/S Norske Shell	NO	MÆRSK JUTLANDER	\N	1996-10-08	1996-11-30	SHOWS	P&A	12	WILDCAT	64.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2891	http://www.npd.no/FactMapSearch?NPDID_wellbore=2891	NO
2892	2/8-F-10	2/8-F-10	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1999-02-25	1999-04-18	OIL	PRODUCING	50	PRODUCTION	71.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2892	http://www.npd.no/FactMapSearch?NPDID_wellbore=2892	NO
2893	2/8-F-11	2/8-F-11	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1998-01-07	1998-02-18	OIL	PRODUCING	50	PRODUCTION	71.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2893	http://www.npd.no/FactMapSearch?NPDID_wellbore=2893	NO
2894	2/8-F-12	2/8-F-12	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1998-02-18	1998-04-23	OIL	PRODUCING	50	PRODUCTION	71.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2894	http://www.npd.no/FactMapSearch?NPDID_wellbore=2894	NO
2895	2/8-F-13	2/8-F-13	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1998-06-01	1998-08-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2895	http://www.npd.no/FactMapSearch?NPDID_wellbore=2895	NO
2897	2/8-F-5	2/8-F-5	VALHALL	006 B	DEVELOPMENT	BP Amoco Norge AS	NO	MÆRSK GUARDIAN	VALHALL WP	2001-06-27	2001-08-08	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2897	http://www.npd.no/FactMapSearch?NPDID_wellbore=2897	NO
2898	2/8-F-6	2/8-F-6	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1996-12-06	1997-01-28	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2898	http://www.npd.no/FactMapSearch?NPDID_wellbore=2898	NO
2899	2/8-F-7	2/8-F-7	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1997-05-12	1997-07-07	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2899	http://www.npd.no/FactMapSearch?NPDID_wellbore=2899	NO
2900	2/8-F-8	2/8-F-8	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1997-07-17	1997-08-24	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2900	http://www.npd.no/FactMapSearch?NPDID_wellbore=2900	NO
2901	9/2-B-3	9/2-B-3 H	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	YME B VEST	1999-08-02	1999-08-29	GAS	P&A	91	INJECTION	77.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2901	http://www.npd.no/FactMapSearch?NPDID_wellbore=2901	NO
2902	33/12-B-28	33/12-B-28 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1997-01-30	1997-02-19	NOT APPLICABLE	PLUGGED	99	OBSERVATION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2902	http://www.npd.no/FactMapSearch?NPDID_wellbore=2902	NO
2903	2/8-F-9	2/8-F-9	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1997-01-28	1997-04-13	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2903	http://www.npd.no/FactMapSearch?NPDID_wellbore=2903	NO
2904	6608/10-B-1	6608/10-B-1 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE B	1999-01-26	1999-04-05	OIL	PLUGGED	50	PRODUCTION	372.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2904	http://www.npd.no/FactMapSearch?NPDID_wellbore=2904	NO
2905	6608/10-B-2	6608/10-B-2 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	NORNE B	1996-12-13	1997-12-09	OIL	PRODUCING	50	PRODUCTION	372.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2905	http://www.npd.no/FactMapSearch?NPDID_wellbore=2905	NO
2906	6608/10-B-3	6608/10-B-3 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE B	1999-05-21	1999-07-05	OIL	PRODUCING	50	PRODUCTION	372.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2906	http://www.npd.no/FactMapSearch?NPDID_wellbore=2906	NO
2907	6608/10-B-4	6608/10-B-4 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE B	1998-01-12	1998-02-06	NOT AVAILABLE	PLUGGED	71	PRODUCTION	372.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2907	http://www.npd.no/FactMapSearch?NPDID_wellbore=2907	NO
2908	6608/10-C-1	6608/10-C-1 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE C	1998-02-12	1998-07-20	WATER	INJECTING	173	INJECTION	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2908	http://www.npd.no/FactMapSearch?NPDID_wellbore=2908	NO
2909	6608/10-C-2	6608/10-C-2 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE C	1998-10-01	1998-11-27	WATER	INJECTING	173	INJECTION	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2909	http://www.npd.no/FactMapSearch?NPDID_wellbore=2909	NO
2910	6608/10-C-3	6608/10-C-3 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE C	1999-04-06	1999-05-20	WATER	INJECTING	173	INJECTION	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2910	http://www.npd.no/FactMapSearch?NPDID_wellbore=2910	NO
2911	6608/10-C-4	6608/10-C-4 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	NORNE C	1996-11-18	1997-08-18	GAS	PLUGGED	91	INJECTION	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2911	http://www.npd.no/FactMapSearch?NPDID_wellbore=2911	NO
2912	6608/10-D-1	6608/10-D-1 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	NORNE D	1996-09-28	1996-11-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2912	http://www.npd.no/FactMapSearch?NPDID_wellbore=2912	NO
2913	6608/10-D-2	6608/10-D-2 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	NORNE D	1997-01-09	1998-01-05	OIL	PRODUCING	50	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2913	http://www.npd.no/FactMapSearch?NPDID_wellbore=2913	NO
2914	6608/10-D-3	6608/10-D-3 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE D	2000-07-05	2000-08-04	NOT AVAILABLE	PLUGGED	71	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2914	http://www.npd.no/FactMapSearch?NPDID_wellbore=2914	NO
2915	6608/10-D-4	6608/10-D-4 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE D	1998-01-07	1998-06-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2915	http://www.npd.no/FactMapSearch?NPDID_wellbore=2915	NO
2916	33/9-A-40	33/9-A-40 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1996-11-25	1997-01-20	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2916	http://www.npd.no/FactMapSearch?NPDID_wellbore=2916	NO
2917	2/7-B-6	2/7-B-6 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	2001-01-06	2001-03-09	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2917	http://www.npd.no/FactMapSearch?NPDID_wellbore=2917	NO
2918	32/4-1	32/4-1	\N	205	EXPLORATION	Phillips Petroleum Company Norway	NO	TRANSOCEAN 8	\N	1996-10-21	1996-12-04	DRY	P&A	1	WILDCAT	312.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2918	http://www.npd.no/FactMapSearch?NPDID_wellbore=2918	NO
2921	6407/7-A-15	6407/7-A-15 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	NJORD A	1996-09-21	1996-11-02	OIL	PLUGGED	99	OBSERVATION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2921	http://www.npd.no/FactMapSearch?NPDID_wellbore=2921	NO
2922	25/11-A-5	25/11-A-5 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-A-5 H	1996-09-27	1996-11-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2922	http://www.npd.no/FactMapSearch?NPDID_wellbore=2922	NO
2923	2/7-A-14	2/7-A-14 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	ELDFISK A	1996-10-13	1996-12-01	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2923	http://www.npd.no/FactMapSearch?NPDID_wellbore=2923	NO
2924	30/6-C-13	30/6-C-13	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1996-09-26	1996-10-24	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2924	http://www.npd.no/FactMapSearch?NPDID_wellbore=2924	NO
2929	31/4-A-32	31/4-A-32	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2000-07-21	2000-09-18	NOT APPLICABLE	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2929	http://www.npd.no/FactMapSearch?NPDID_wellbore=2929	NO
2930	34/10-C-36	34/10-C-36	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1996-10-05	1997-05-30	NOT APPLICABLE	PLUGGED	99	OBSERVATION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2930	http://www.npd.no/FactMapSearch?NPDID_wellbore=2930	NO
2931	34/4-9	34/4-9 S	SNORRE	057	EXPLORATION	Saga Petroleum ASA	NO	SCARABEO 5	\N	1997-01-08	1997-02-15	OIL	P&A	5	APPRAISAL	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2931	http://www.npd.no/FactMapSearch?NPDID_wellbore=2931	NO
2932	6610/3-1	6610/3-1 R2	\N	177	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1996-10-01	1996-10-07	SHOWS	P&A	12	WILDCAT	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2932	http://www.npd.no/FactMapSearch?NPDID_wellbore=2932	NO
2933	33/9-C-29	33/9-C-29	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1996-10-13	1997-01-05	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2933	http://www.npd.no/FactMapSearch?NPDID_wellbore=2933	NO
2936	31/2-G-1	31/2-G-1 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL G	1996-10-14	1996-10-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2936	http://www.npd.no/FactMapSearch?NPDID_wellbore=2936	NO
2937	25/11-A-6	25/11-A-6 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-A-6 H	1996-10-07	1998-10-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2937	http://www.npd.no/FactMapSearch?NPDID_wellbore=2937	NO
2938	30/9-B-10	30/9-B-10 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1996-10-28	1996-12-05	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2938	http://www.npd.no/FactMapSearch?NPDID_wellbore=2938	NO
2941	2/7-B-1	2/7-B-1 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1996-12-08	1997-02-14	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2941	http://www.npd.no/FactMapSearch?NPDID_wellbore=2941	NO
2942	31/6-A-14	31/6-A-14	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-01-19	1997-03-30	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2942	http://www.npd.no/FactMapSearch?NPDID_wellbore=2942	NO
2943	31/6-A-5	31/6-A-5	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-01-26	1997-03-20	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2943	http://www.npd.no/FactMapSearch?NPDID_wellbore=2943	NO
2944	31/6-A-1	31/6-A-1	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-02-03	1997-03-11	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2944	http://www.npd.no/FactMapSearch?NPDID_wellbore=2944	NO
2945	31/6-A-32	31/6-A-32	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-04-20	1997-05-25	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2945	http://www.npd.no/FactMapSearch?NPDID_wellbore=2945	NO
2946	31/6-A-38	31/6-A-38	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-04-06	1997-09-05	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2946	http://www.npd.no/FactMapSearch?NPDID_wellbore=2946	NO
2947	31/6-A-39	31/6-A-39	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-04-11	1997-07-09	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2947	http://www.npd.no/FactMapSearch?NPDID_wellbore=2947	NO
2948	31/6-A-40	31/6-A-40	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-04-16	1997-09-23	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2948	http://www.npd.no/FactMapSearch?NPDID_wellbore=2948	NO
2949	31/6-A-20	31/6-A-20	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-07-27	1998-03-07	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2949	http://www.npd.no/FactMapSearch?NPDID_wellbore=2949	NO
2950	31/6-A-19	31/6-A-19	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-07-29	1997-11-29	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2950	http://www.npd.no/FactMapSearch?NPDID_wellbore=2950	NO
2951	31/6-A-18	31/6-A-18	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-08-01	1997-12-09	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2951	http://www.npd.no/FactMapSearch?NPDID_wellbore=2951	NO
2952	6204/10-2	6204/10-2	\N	175	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	\N	1997-01-19	1997-02-12	DRY	SUSPENDED	1	WILDCAT	172.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2952	http://www.npd.no/FactMapSearch?NPDID_wellbore=2952	NO
2953	30/6-C-13	30/6-C-13 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	1997-04-14	1997-06-06	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2953	http://www.npd.no/FactMapSearch?NPDID_wellbore=2953	NO
2954	6507/3-2	6507/3-2	\N	159	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN 8	\N	1997-04-06	1997-04-27	DRY	P&A	1	WILDCAT	410.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2954	http://www.npd.no/FactMapSearch?NPDID_wellbore=2954	NO
2955	25/10-8	25/10-8	\N	028 P	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DEEPSEA TRYM	\N	1997-02-17	1997-04-07	OIL/GAS	P&A	13	WILDCAT	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2955	http://www.npd.no/FactMapSearch?NPDID_wellbore=2955	YES
2956	31/2-G-1	31/2-G-1 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL G	1996-10-23	1997-02-12	OIL	PLUGGED	50	PRODUCTION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2956	http://www.npd.no/FactMapSearch?NPDID_wellbore=2956	NO
2957	6407/7-A-15	6407/7-A-15 AH	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	NJORD A	1996-11-02	1997-05-08	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2957	http://www.npd.no/FactMapSearch?NPDID_wellbore=2957	NO
2959	2/4-X-38	2/4-X-38	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1996-10-26	1996-12-07	CUTTINGS	PLUGGED	171	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2959	http://www.npd.no/FactMapSearch?NPDID_wellbore=2959	NO
2961	33/9-G-3	33/9-G-3 H	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN 8	STATFJORD G	1996-12-09	1999-08-01	OIL	PRODUCING	50	PRODUCTION	157.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2961	http://www.npd.no/FactMapSearch?NPDID_wellbore=2961	NO
2963	25/11-A-5	25/11-A-5 AH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-A-5 H	1996-11-04	1997-08-23	NOT AVAILABLE	PLUGGED	71	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2963	http://www.npd.no/FactMapSearch?NPDID_wellbore=2963	NO
2964	7/12-A-6	7/12-A-6 A	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	9999-12-31	9999-12-31	\N	\N	0	\N	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2964	http://www.npd.no/FactMapSearch?NPDID_wellbore=2964	NO
2965	6507/7-A-46	6507/7-A-46	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1996-11-17	1997-01-12	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2965	http://www.npd.no/FactMapSearch?NPDID_wellbore=2965	NO
2971	31/4-A-29	31/4-A-29	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1996-11-23	1996-12-01	WATER	PLUGGED	172	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2971	http://www.npd.no/FactMapSearch?NPDID_wellbore=2971	NO
2972	34/10-A-7	34/10-A-7 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1996-12-01	1997-02-08	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2972	http://www.npd.no/FactMapSearch?NPDID_wellbore=2972	NO
2974	6608/8-1	6608/8-1	\N	200	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN 8	\N	1997-02-01	1997-03-30	OIL SHOWS	P&A	12	WILDCAT	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2974	http://www.npd.no/FactMapSearch?NPDID_wellbore=2974	NO
6633	2/4-U-33	2/4-U-33	\N	146	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2011-06-06	2011-06-06	\N	P&A	0	\N	68.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6633	\N	NO
2975	25/11-A-4	25/11-A-4 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-A-4 H	1996-11-16	1996-12-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2975	http://www.npd.no/FactMapSearch?NPDID_wellbore=2975	NO
2977	6506/12-11	6506/12-11 SR	ÅSGARD	094	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	\N	1996-11-12	1997-02-01	OIL	RE-CLASS TO DEV	5	APPRAISAL	289.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2977	http://www.npd.no/FactMapSearch?NPDID_wellbore=2977	NO
2978	34/7-P-4	34/7-P-4	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1997-09-07	1998-03-22	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2978	http://www.npd.no/FactMapSearch?NPDID_wellbore=2978	NO
2979	34/7-P-23	34/7-P-23	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1997-02-17	1997-06-13	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2979	http://www.npd.no/FactMapSearch?NPDID_wellbore=2979	NO
2980	34/7-P-27	34/7-P-27	SNORRE	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE A	SNORRE A	2001-07-19	2001-08-22	NOT AVAILABLE	PLUGGED	72	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2980	http://www.npd.no/FactMapSearch?NPDID_wellbore=2980	NO
2981	2/8-A-3	2/8-A-3 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1996-11-29	1997-01-02	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2981	http://www.npd.no/FactMapSearch?NPDID_wellbore=2981	NO
2982	2/4-X-8	2/4-X-8	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1996-12-13	1997-01-22	OIL	PLUGGED	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2982	http://www.npd.no/FactMapSearch?NPDID_wellbore=2982	NO
2983	6407/7-A-8	6407/7-A-8 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	NJORD A	1996-11-27	1997-02-10	GAS	PLUGGED	91	INJECTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2983	http://www.npd.no/FactMapSearch?NPDID_wellbore=2983	NO
2985	25/11-D-10	25/11-D-10 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-D-10 H	1998-06-12	1998-07-15	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2985	http://www.npd.no/FactMapSearch?NPDID_wellbore=2985	NO
2986	30/11-5	30/11-5	\N	035	EXPLORATION	A/S Norske Shell	NO	MÆRSK JUTLANDER	\N	1996-12-05	1997-01-09	OIL	P&A	5	WILDCAT	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2986	http://www.npd.no/FactMapSearch?NPDID_wellbore=2986	YES
2987	31/5-H-2	31/5-H-2 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL H	1996-11-26	1996-12-30	OIL	PLUGGED	50	PRODUCTION	315.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2987	http://www.npd.no/FactMapSearch?NPDID_wellbore=2987	NO
2988	25/8-9	25/8-9	\N	189	EXPLORATION	Amerada Hess Norge AS	NO	BYFORD DOLPHIN	\N	1997-01-05	1997-02-14	OIL	P&A	5	WILDCAT	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2988	http://www.npd.no/FactMapSearch?NPDID_wellbore=2988	YES
2989	6608/8-2	6608/8-2	\N	352	EXPLORATION	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2007-10-14	2007-11-29	DRY	P&A	1	WILDCAT	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2989	http://www.npd.no/FactMapSearch?NPDID_wellbore=2989	NO
2990	36/7-2	36/7-2	\N	153	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1997-09-02	1997-09-22	OIL	P&A	5	WILDCAT	269.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2990	http://www.npd.no/FactMapSearch?NPDID_wellbore=2990	YES
2993	35/4-1	35/4-1	\N	194	EXPLORATION	Norsk Hydro Produksjon AS	NO	TREASURE SAGA	\N	1996-12-23	1997-05-24	SHOWS	P&A	12	WILDCAT	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=2993	http://www.npd.no/FactMapSearch?NPDID_wellbore=2993	NO
2995	2/4-X-46	2/4-X-46	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1996-12-08	1997-02-09	OIL	PRODUCING	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2995	http://www.npd.no/FactMapSearch?NPDID_wellbore=2995	NO
2997	25/11-C-3	25/11-C-3 AH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-C-3 H	1997-12-13	1997-12-20	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2997	http://www.npd.no/FactMapSearch?NPDID_wellbore=2997	NO
2998	25/11-A-4	25/11-A-4 AH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-A-4 H	1996-12-04	1997-08-11	OIL	PLUGGED	50	PRODUCTION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=2998	http://www.npd.no/FactMapSearch?NPDID_wellbore=2998	NO
3000	25/11-A-8	25/11-A-8 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-A-8 H	1996-12-11	1997-09-30	WATER	PRODUCING	172	PRODUCTION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3000	http://www.npd.no/FactMapSearch?NPDID_wellbore=3000	NO
3001	9/2-A-2	9/2-A-2	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME	YME B ØST	1996-12-14	1997-04-17	OIL	P&A	50	PRODUCTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3001	http://www.npd.no/FactMapSearch?NPDID_wellbore=3001	NO
3005	31/4-A-16	31/4-A-16	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1996-12-16	1997-02-01	WATER	PLUGGED	173	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3005	http://www.npd.no/FactMapSearch?NPDID_wellbore=3005	NO
3006	15/9-B-24	15/9-B-24	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1996-12-30	1997-07-12	GAS	PRODUCING	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3006	http://www.npd.no/FactMapSearch?NPDID_wellbore=3006	NO
3007	25/11-B-7	25/11-B-7 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-B-7 H	1996-12-17	1997-01-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3007	http://www.npd.no/FactMapSearch?NPDID_wellbore=3007	NO
3008	2/8-16	2/8-16 S	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	VALHALL	\N	1997-02-08	1997-03-14	GAS SHOWS	JUNKED	12	WILDCAT	69.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3008	http://www.npd.no/FactMapSearch?NPDID_wellbore=3008	NO
3009	35/11-9	35/11-9	FRAM	090	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST DELTA	\N	1997-03-02	1997-05-01	OIL	P&A	5	APPRAISAL	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3009	http://www.npd.no/FactMapSearch?NPDID_wellbore=3009	NO
3010	6507/7-A-36	6507/7-A-36	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1997-01-12	1997-06-10	OIL	PLUGGED	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3010	http://www.npd.no/FactMapSearch?NPDID_wellbore=3010	NO
3011	31/2-E-6	31/2-E-6 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL E	1996-12-31	1997-01-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3011	http://www.npd.no/FactMapSearch?NPDID_wellbore=3011	NO
3012	6406/2-4	6406/2-4 S	\N	199	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA BERGEN	\N	1997-01-18	1997-04-05	SHOWS	SUSP.REENTERED LATER	12	APPRAISAL	273.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3012	http://www.npd.no/FactMapSearch?NPDID_wellbore=3012	NO
3014	15/6-8	15/6-8 S	\N	166	EXPLORATION	Deminex Norge AS	NO	BYFORD DOLPHIN	\N	1997-02-18	1997-04-05	DRY	P&A	1	WILDCAT	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3014	http://www.npd.no/FactMapSearch?NPDID_wellbore=3014	NO
3015	7228/7-1	7228/7-1 S	\N	202	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	\N	2000-12-05	2001-01-08	DRY	P&A	1	WILDCAT	288.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3015	http://www.npd.no/FactMapSearch?NPDID_wellbore=3015	NO
3016	25/11-B-7	25/11-B-7 AH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-B-7 H	1997-01-14	1998-04-18	OIL	PRODUCING	50	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3016	http://www.npd.no/FactMapSearch?NPDID_wellbore=3016	NO
3017	2/4-X-6	2/4-X-6	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1997-01-23	1997-03-09	OIL	PLUGGED	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3017	http://www.npd.no/FactMapSearch?NPDID_wellbore=3017	NO
3018	2/4-X-45	2/4-X-45	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1997-02-09	1997-03-20	OIL	PRODUCING	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3018	http://www.npd.no/FactMapSearch?NPDID_wellbore=3018	NO
3019	34/7-P-25	34/7-P-25 A	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1997-01-16	1997-02-13	WATER	PLUGGED	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3019	http://www.npd.no/FactMapSearch?NPDID_wellbore=3019	NO
3020	33/9-C-11	33/9-C-11 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1997-01-28	1997-02-22	WATER	PLUGGED	173	INJECTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3020	http://www.npd.no/FactMapSearch?NPDID_wellbore=3020	NO
3021	6506/12-R-1	6506/12-R-1 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	ÅSGARD R	1997-02-01	1997-04-03	GAS	INJECTING	91	INJECTION	300.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3021	http://www.npd.no/FactMapSearch?NPDID_wellbore=3021	NO
3022	31/2-E-6	31/2-E-6 BH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL E	1997-01-12	1997-02-01	OIL	PLUGGED	50	PRODUCTION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3022	http://www.npd.no/FactMapSearch?NPDID_wellbore=3022	NO
3023	6407/7-A-10	6407/7-A-10 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	NJORD A	1997-02-11	1997-04-04	OIL	PLUGGED	99	OBSERVATION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3023	http://www.npd.no/FactMapSearch?NPDID_wellbore=3023	NO
3024	34/7-B-1	34/7-B-1 H	VIGDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	VIGDIS B	1997-02-21	1997-04-08	NOT APPLICABLE	PLUGGED	99	OBSERVATION	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3024	http://www.npd.no/FactMapSearch?NPDID_wellbore=3024	NO
3025	25/8-9	25/8-9 A	\N	189	EXPLORATION	Amerada Hess Norge AS	NO	BYFORD DOLPHIN	\N	1997-01-29	1997-02-14	OIL	P&A	5	APPRAISAL	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3025	http://www.npd.no/FactMapSearch?NPDID_wellbore=3025	NO
3026	34/10-A-10	34/10-A-10 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1997-02-27	1997-03-26	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3026	http://www.npd.no/FactMapSearch?NPDID_wellbore=3026	NO
3027	31/2-F-4	31/2-F-4 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL F	1997-02-13	1997-02-25	NOT APPLICABLE	PLUGGED	99	OBSERVATION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3027	http://www.npd.no/FactMapSearch?NPDID_wellbore=3027	NO
3038	33/12-B-28	33/12-B-28 C	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1997-02-20	1997-04-02	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3038	http://www.npd.no/FactMapSearch?NPDID_wellbore=3038	NO
3039	30/3-A-2	30/3-A-2 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1997-07-02	1997-08-28	GAS	PLUGGED	91	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3039	http://www.npd.no/FactMapSearch?NPDID_wellbore=3039	NO
3040	7/12-A-10	7/12-A-10 A	ULA	019	DEVELOPMENT	BP Norway Limited  U.A.	NO	ULA DP	ULA PP	1997-02-21	1997-05-04	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3040	http://www.npd.no/FactMapSearch?NPDID_wellbore=3040	NO
3041	31/6-A-13	31/6-A-13	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-02-08	1997-12-05	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3041	http://www.npd.no/FactMapSearch?NPDID_wellbore=3041	NO
3042	35/11-10	35/11-10	FRAM	090	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1997-05-19	1997-06-23	OIL/GAS	P&A	13	APPRAISAL	353.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3042	http://www.npd.no/FactMapSearch?NPDID_wellbore=3042	NO
3044	2/7-B-14	2/7-B-14 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1997-03-23	1997-08-01	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3044	http://www.npd.no/FactMapSearch?NPDID_wellbore=3044	NO
3045	9/2-A-2	9/2-A-2 A	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME	YME B ØST	1997-04-17	1997-05-30	OIL	P&A	50	PRODUCTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3045	http://www.npd.no/FactMapSearch?NPDID_wellbore=3045	NO
3046	34/10-G-2	34/10-G-2 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	YES	TRANS. WILDCAT	GULLFAKS SØR G	1997-04-09	1998-10-30	OIL	CLOSED	50	PRODUCTION	139.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3046	http://www.npd.no/FactMapSearch?NPDID_wellbore=3046	NO
3047	33/9-C-8	33/9-C-8	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1997-03-13	1997-04-11	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3047	http://www.npd.no/FactMapSearch?NPDID_wellbore=3047	NO
3049	31/2-F-4	31/2-F-4 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL F	1997-02-26	1997-03-17	OIL	PRODUCING	50	PRODUCTION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3049	http://www.npd.no/FactMapSearch?NPDID_wellbore=3049	NO
3050	2/4-X-4	2/4-X-4	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1997-03-10	1997-04-04	NOT AVAILABLE	PLUGGED	71	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3050	http://www.npd.no/FactMapSearch?NPDID_wellbore=3050	NO
3051	6407/7-A-10	6407/7-A-10 AH	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD	NJORD A	1997-12-09	1998-02-13	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3051	http://www.npd.no/FactMapSearch?NPDID_wellbore=3051	NO
3052	34/10-A-21	34/10-A-21 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1999-11-24	2000-01-02	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3052	http://www.npd.no/FactMapSearch?NPDID_wellbore=3052	NO
3054	34/10-C-36	34/10-C-36 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1997-05-30	1998-01-24	OIL	CLOSED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3054	http://www.npd.no/FactMapSearch?NPDID_wellbore=3054	NO
3055	2/7-B-14	2/7-B-14 C	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1997-04-17	1998-08-01	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3055	http://www.npd.no/FactMapSearch?NPDID_wellbore=3055	NO
3056	31/4-A-19	31/4-A-19	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1997-04-14	1997-05-31	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3056	http://www.npd.no/FactMapSearch?NPDID_wellbore=3056	NO
3057	15/9-B-17	15/9-B-17	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1997-04-21	1997-07-04	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3057	http://www.npd.no/FactMapSearch?NPDID_wellbore=3057	NO
3058	33/12-B-14	33/12-B-14 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1997-04-09	1997-05-09	NOT AVAILABLE	PLUGGED	72	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3058	http://www.npd.no/FactMapSearch?NPDID_wellbore=3058	NO
3059	34/10-J-1	34/10-J-1 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR J	1997-06-08	1998-08-11	GAS	INJECTING	91	INJECTION	136.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3059	http://www.npd.no/FactMapSearch?NPDID_wellbore=3059	NO
3060	6306/5-1	6306/5-1	\N	197	EXPLORATION	Amerada Hess Norge AS	NO	DEEPSEA TRYM	\N	1997-06-08	1997-07-10	GAS	P&A	9	WILDCAT	227.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3060	http://www.npd.no/FactMapSearch?NPDID_wellbore=3060	YES
3062	25/8-10	25/8-10 S	BALDER	027	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DEEPSEA TRYM	\N	1997-04-29	1997-06-05	OIL/GAS	P&A	13	WILDCAT	129.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3062	http://www.npd.no/FactMapSearch?NPDID_wellbore=3062	YES
3063	9/2-A-6	9/2-A-6	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME	YME B ØST	1997-03-11	1997-03-29	NOT AVAILABLE	P&A	71	PRODUCTION	92.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3063	http://www.npd.no/FactMapSearch?NPDID_wellbore=3063	NO
3064	34/7-B-2	34/7-B-2 H	VIGDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	VIGDIS B	1997-04-09	1997-10-14	OIL	PRODUCING	50	PRODUCTION	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3064	http://www.npd.no/FactMapSearch?NPDID_wellbore=3064	NO
3066	2/4-X-35	2/4-X-35	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1997-03-20	1997-05-14	OIL	PLUGGED	50	PRODUCTION	76.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3066	http://www.npd.no/FactMapSearch?NPDID_wellbore=3066	NO
3067	16/7-6	16/7-6	\N	072	EXPLORATION	Esso Exploration and Production Norway A/S	NO	STENA DEE	\N	1997-06-27	1997-07-24	DRY	P&A	1	WILDCAT	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3067	http://www.npd.no/FactMapSearch?NPDID_wellbore=3067	NO
3070	30/9-B-27	30/9-B-27 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1997-05-03	1997-05-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3070	http://www.npd.no/FactMapSearch?NPDID_wellbore=3070	NO
3071	30/9-B-27	30/9-B-27 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1997-06-19	1997-08-13	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3071	http://www.npd.no/FactMapSearch?NPDID_wellbore=3071	NO
3072	31/2-M-41	31/2-M-41	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL M1	1997-03-19	1997-04-05	NOT APPLICABLE	PLUGGED	99	OBSERVATION	349.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3072	http://www.npd.no/FactMapSearch?NPDID_wellbore=3072	NO
3074	15/12-11	15/12-11 S	\N	116	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA BERGEN	\N	1997-04-10	1997-05-19	DRY	P&A	1	WILDCAT	99.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3074	http://www.npd.no/FactMapSearch?NPDID_wellbore=3074	NO
3075	6707/10-1	6707/10-1	\N	218	EXPLORATION	BP Norway Limited  U.A.	NO	OCEAN ALLIANCE	\N	1997-04-19	1997-07-23	GAS	P&A	9	WILDCAT	1274.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3075	http://www.npd.no/FactMapSearch?NPDID_wellbore=3075	YES
3077	15/6-8	15/6-8 A	\N	166	EXPLORATION	Deminex Norge AS	NO	BYFORD DOLPHIN	\N	1997-04-05	1997-04-18	DRY	P&A	1	WILDCAT	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3077	http://www.npd.no/FactMapSearch?NPDID_wellbore=3077	NO
3079	6506/12-L-1	6506/12-L-1 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	ÅSGARD L	1997-04-12	1997-06-26	OIL	PRODUCING	50	PRODUCTION	285.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3079	http://www.npd.no/FactMapSearch?NPDID_wellbore=3079	NO
3082	6506/11-G-3	6506/11-G-3 H	ÅSGARD	134	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	ÅSGARD G	1997-04-23	1997-07-10	GAS	INJECTING	91	INJECTION	288.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3082	http://www.npd.no/FactMapSearch?NPDID_wellbore=3082	NO
3083	25/11-A-6	25/11-A-6 AH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-A-6 H	2001-05-20	2001-06-15	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3083	http://www.npd.no/FactMapSearch?NPDID_wellbore=3083	NO
3084	2/5-11	2/5-11	\N	067	EXPLORATION	Norsk Agip  AS	NO	TRANSOCEAN NORDIC	\N	1997-09-06	1997-11-14	OIL	P&A	5	WILDCAT	64.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3084	http://www.npd.no/FactMapSearch?NPDID_wellbore=3084	YES
3085	34/10-41	34/10-41 S	\N	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	\N	1997-07-13	1997-08-28	DRY	P&A	1	WILDCAT	141.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3085	http://www.npd.no/FactMapSearch?NPDID_wellbore=3085	NO
3086	2/8-A-20	2/8-A-20 C	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1997-05-04	1997-05-30	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3086	http://www.npd.no/FactMapSearch?NPDID_wellbore=3086	NO
3087	9/2-7	9/2-7 S	YME	114	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1997-04-22	1997-06-18	OIL	RE-CLASS TO DEV	5	WILDCAT	77.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3087	http://www.npd.no/FactMapSearch?NPDID_wellbore=3087	YES
3089	31/5-H-3	31/5-H-3 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL H	1997-04-07	1997-04-22	NOT APPLICABLE	PLUGGED	99	OBSERVATION	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3089	http://www.npd.no/FactMapSearch?NPDID_wellbore=3089	NO
3090	31/5-H-3	31/5-H-3 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL H	1997-04-23	1997-05-26	NOT AVAILABLE	PLUGGED	71	PRODUCTION	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3090	http://www.npd.no/FactMapSearch?NPDID_wellbore=3090	NO
3091	31/5-H-3	31/5-H-3 BH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL H	1997-05-27	1997-07-10	OIL	PLUGGED	50	PRODUCTION	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3091	http://www.npd.no/FactMapSearch?NPDID_wellbore=3091	NO
3092	6407/8-3	6407/8-3	\N	158	EXPLORATION	BP Norway Limited  U.A.	NO	MÆRSK JUTLANDER	\N	1997-05-13	1997-05-27	SHOWS	P&A	12	WILDCAT	287.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3092	http://www.npd.no/FactMapSearch?NPDID_wellbore=3092	NO
3093	2/4-X-9	2/4-X-9	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1997-04-05	1997-06-22	OIL	PLUGGED	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3093	http://www.npd.no/FactMapSearch?NPDID_wellbore=3093	NO
3097	31/6-A-33	31/6-A-33	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-03-31	1997-06-28	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3097	http://www.npd.no/FactMapSearch?NPDID_wellbore=3097	NO
3098	25/10-8	25/10-8 A	\N	028 P	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DEEPSEA TRYM	\N	1997-04-08	1997-04-27	DRY	P&A	1	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3098	http://www.npd.no/FactMapSearch?NPDID_wellbore=3098	NO
3099	33/9-C-23	33/9-C-23	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1997-05-01	1997-06-11	NOT AVAILABLE	PLUGGED	71	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3099	http://www.npd.no/FactMapSearch?NPDID_wellbore=3099	NO
3100	33/9-C-23	33/9-C-23 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1997-06-11	1997-07-22	NOT AVAILABLE	PLUGGED	71	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3100	http://www.npd.no/FactMapSearch?NPDID_wellbore=3100	NO
3101	2/4-X-42	2/4-X-42	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1997-05-15	1997-07-02	OIL	PLUGGED	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3101	http://www.npd.no/FactMapSearch?NPDID_wellbore=3101	NO
3102	25/11-C-13	25/11-C-13 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-C-13 H	1997-05-07	1998-06-10	OIL	PRODUCING	50	PRODUCTION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3102	http://www.npd.no/FactMapSearch?NPDID_wellbore=3102	NO
3107	6506/12-L-3	6506/12-L-3 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	ÅSGARD L	1998-07-13	1998-08-14	OIL	PRODUCING	50	PRODUCTION	289.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3107	http://www.npd.no/FactMapSearch?NPDID_wellbore=3107	NO
3108	34/10-B-38	34/10-B-38	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1997-06-02	1997-12-11	OIL	PRODUCING	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3108	http://www.npd.no/FactMapSearch?NPDID_wellbore=3108	NO
3111	34/10-B-13	34/10-B-13 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1997-05-12	1997-06-01	OIL	PRODUCING	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3111	http://www.npd.no/FactMapSearch?NPDID_wellbore=3111	NO
3112	6507/7-A-7	6507/7-A-7	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1997-07-12	1998-01-15	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3112	http://www.npd.no/FactMapSearch?NPDID_wellbore=3112	NO
3113	15/5-6	15/5-6	GLITNE	048	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1997-06-20	1997-07-16	OIL	P&A	5	APPRAISAL	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3113	http://www.npd.no/FactMapSearch?NPDID_wellbore=3113	NO
3114	25/7-4	25/7-4 S	\N	103	EXPLORATION	Conoco Norway Inc.	NO	MÆRSK JUTLANDER	\N	1997-06-02	1997-06-21	DRY	P&A	1	WILDCAT	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3114	http://www.npd.no/FactMapSearch?NPDID_wellbore=3114	NO
3115	34/7-B-1	34/7-B-1 AH	VIGDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	VIGDIS B	1997-05-18	1997-06-17	OIL	PRODUCING	50	PRODUCTION	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3115	http://www.npd.no/FactMapSearch?NPDID_wellbore=3115	NO
3116	30/3-A-8	30/3-A-8 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1999-12-18	2000-02-13	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3116	http://www.npd.no/FactMapSearch?NPDID_wellbore=3116	NO
3117	25/11-19	25/11-19 SR	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	\N	1997-05-01	1997-05-06	OIL/GAS	P&A	13	APPRAISAL	129.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3117	http://www.npd.no/FactMapSearch?NPDID_wellbore=3117	NO
3118	33/12-B-22	33/12-B-22 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1997-05-19	1997-06-02	OIL	PLUGGED	50	PRODUCTION	145.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3118	http://www.npd.no/FactMapSearch?NPDID_wellbore=3118	NO
3119	25/11-D-10	25/11-D-10 BH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-D-10 H	1998-07-23	1998-09-19	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3119	http://www.npd.no/FactMapSearch?NPDID_wellbore=3119	NO
3120	31/6-A-28	31/6-A-28	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-05-09	1998-09-26	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3120	http://www.npd.no/FactMapSearch?NPDID_wellbore=3120	NO
3121	2/4-X-3	2/4-X-3	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1997-06-22	1997-10-24	OIL	PRODUCING	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3121	http://www.npd.no/FactMapSearch?NPDID_wellbore=3121	NO
3124	6506/12-K-3	6506/12-K-3 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD K	1997-06-24	1998-06-12	GAS	PRODUCING	90	PRODUCTION	295.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3124	http://www.npd.no/FactMapSearch?NPDID_wellbore=3124	NO
3125	6406/2-5	6406/2-5	KRISTIN	199	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA BERGEN	\N	1997-06-03	1997-09-29	DRY	P&A	1	APPRAISAL	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3125	http://www.npd.no/FactMapSearch?NPDID_wellbore=3125	NO
3126	9/2-8	9/2-8 S	\N	114	EXPLORATION	Den norske stats oljeselskap a.s	NO	YME	\N	1997-06-24	1998-02-02	DRY	RE-CLASS TO DEV	1	WILDCAT	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3126	http://www.npd.no/FactMapSearch?NPDID_wellbore=3126	NO
3127	2/8-A-9	2/8-A-9 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1997-07-28	1997-09-08	OIL	PRODUCING	50	PRODUCTION	69.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3127	http://www.npd.no/FactMapSearch?NPDID_wellbore=3127	NO
3130	31/6-A-37	31/6-A-37	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1998-05-23	1998-06-13	GAS	PRODUCING	90	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3130	http://www.npd.no/FactMapSearch?NPDID_wellbore=3130	NO
3131	6507/7-11	6507/7-11 S	\N	095	EXPLORATION	Conoco Norway Inc.	NO	MÆRSK JUTLANDER	\N	1997-06-25	1997-08-14	DRY	P&A	1	WILDCAT	274.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3131	http://www.npd.no/FactMapSearch?NPDID_wellbore=3131	NO
3132	25/7-5	25/7-5	\N	203	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1997-07-16	1997-08-30	OIL	P&A	5	WILDCAT	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3132	http://www.npd.no/FactMapSearch?NPDID_wellbore=3132	YES
3133	34/7-P-18	34/7-P-18 A	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1997-07-07	1997-08-23	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3133	http://www.npd.no/FactMapSearch?NPDID_wellbore=3133	NO
3134	34/10-C-37	34/10-C-37	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1998-02-05	1998-04-21	WATER	INJECTING	173	INJECTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3134	http://www.npd.no/FactMapSearch?NPDID_wellbore=3134	NO
3135	2/7-A-14	2/7-A-14 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2009-05-16	2009-08-21	OIL	SUSP.AT TD	50	PRODUCTION	70.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3135	http://www.npd.no/FactMapSearch?NPDID_wellbore=3135	NO
3136	2/7-A-15	2/7-A-15 A	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2004-10-19	2005-01-24	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3136	http://www.npd.no/FactMapSearch?NPDID_wellbore=3136	NO
3140	34/8-A-1	34/8-A-1 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	VISUND	1997-07-04	1997-07-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3140	http://www.npd.no/FactMapSearch?NPDID_wellbore=3140	NO
3141	34/8-A-1	34/8-A-1 AH	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	VISUND	1997-07-14	1997-09-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3141	http://www.npd.no/FactMapSearch?NPDID_wellbore=3141	NO
3142	33/12-B-38	33/12-B-38 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1997-06-18	1997-07-20	GAS	INJECTING	91	INJECTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3142	http://www.npd.no/FactMapSearch?NPDID_wellbore=3142	NO
3143	34/4-10	34/4-10	\N	057	EXPLORATION	Saga Petroleum ASA	NO	TRANSOCEAN ARCTIC	\N	2000-02-12	2000-03-05	DRY	SUSPENDED	1	WILDCAT	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3143	http://www.npd.no/FactMapSearch?NPDID_wellbore=3143	NO
3144	6305/5-1	6305/5-1	ORMEN LANGE	209	EXPLORATION	Norsk Hydro Produksjon AS	NO	OCEAN ALLIANCE	\N	1997-07-27	1997-10-07	GAS	P&A	9	WILDCAT	885.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3144	http://www.npd.no/FactMapSearch?NPDID_wellbore=3144	YES
3145	15/9-19	15/9-19 A	VOLVE	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1997-07-25	1997-11-09	OIL	P&A	5	APPRAISAL	85.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3145	http://www.npd.no/FactMapSearch?NPDID_wellbore=3145	NO
3149	6506/12-P-3	6506/12-P-3 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	ÅSGARD P	1997-08-07	1997-11-09	NOT AVAILABLE	PLUGGED	71	PRODUCTION	308.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3149	http://www.npd.no/FactMapSearch?NPDID_wellbore=3149	NO
3150	6506/12-P-3	6506/12-P-3 AH	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	ÅSGARD P	1997-11-09	1997-12-20	OIL	PRODUCING	50	PRODUCTION	308.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3150	http://www.npd.no/FactMapSearch?NPDID_wellbore=3150	NO
3151	35/11-10	35/11-10 A	FRAM	090	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1997-06-23	1997-07-14	OIL SHOWS	P&A	12	APPRAISAL	353.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3151	http://www.npd.no/FactMapSearch?NPDID_wellbore=3151	NO
3155	6506/12-K-1	6506/12-K-1 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD K	1998-07-24	1998-09-05	GAS	INJECTING	91	INJECTION	298.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3155	http://www.npd.no/FactMapSearch?NPDID_wellbore=3155	NO
3156	6506/12-L-2	6506/12-L-2 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	ÅSGARD L	1997-06-28	1998-01-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	288.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3156	http://www.npd.no/FactMapSearch?NPDID_wellbore=3156	NO
3157	2/4-X-47	2/4-X-47	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1997-07-02	1997-09-04	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3157	http://www.npd.no/FactMapSearch?NPDID_wellbore=3157	NO
3158	31/5-J-41	31/5-J-41	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL J1	1997-07-11	1997-07-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	313.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3158	http://www.npd.no/FactMapSearch?NPDID_wellbore=3158	NO
3159	6507/7-A-28	6507/7-A-28	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1997-08-14	1997-10-21	OIL	PLUGGED	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3159	http://www.npd.no/FactMapSearch?NPDID_wellbore=3159	NO
3160	31/4-A-37	31/4-A-37	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1997-07-27	1997-09-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3160	http://www.npd.no/FactMapSearch?NPDID_wellbore=3160	NO
3161	31/4-A-37	31/4-A-37 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1997-09-04	1997-09-17	NOT APPLICABLE	PLUGGED	99	OBSERVATION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3161	http://www.npd.no/FactMapSearch?NPDID_wellbore=3161	NO
3162	31/4-A-37	31/4-A-37 B	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1997-09-18	1997-10-19	OIL	PRODUCING	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3162	http://www.npd.no/FactMapSearch?NPDID_wellbore=3162	NO
3163	34/10-F-4	34/10-F-4 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR F	1997-08-09	1997-10-07	NOT APPLICABLE	PLUGGED	99	OBSERVATION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3163	http://www.npd.no/FactMapSearch?NPDID_wellbore=3163	NO
3164	34/10-F-4	34/10-F-4 AH	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR F	1997-10-07	1998-02-11	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3164	http://www.npd.no/FactMapSearch?NPDID_wellbore=3164	NO
3165	6506/12-K-2	6506/12-K-2 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD K	1997-08-21	1999-07-03	GAS	PRODUCING	90	PRODUCTION	295.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3165	http://www.npd.no/FactMapSearch?NPDID_wellbore=3165	NO
3166	6510/2-1	6510/2-1	\N	214	EXPLORATION	A/S Norske Shell	NO	MÆRSK JUTLANDER	\N	1997-08-16	1997-10-10	SHOWS	SUSPENDED	12	WILDCAT	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3166	http://www.npd.no/FactMapSearch?NPDID_wellbore=3166	NO
3167	2/8-A-20	2/8-A-20 D	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1997-05-31	1997-06-28	CUTTINGS	INJECTING	171	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3167	http://www.npd.no/FactMapSearch?NPDID_wellbore=3167	NO
3168	34/7-26	34/7-26 S	TORDIS	089	EXPLORATION	Saga Petroleum ASA	NO	SCARABEO 5	\N	1997-08-19	1997-09-13	DRY	SUSP.REENTERED LATER	1	APPRAISAL	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3168	http://www.npd.no/FactMapSearch?NPDID_wellbore=3168	NO
3169	34/7-P-35	34/7-P-35	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	2000-10-14	2000-12-20	OIL	PLUGGED	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3169	http://www.npd.no/FactMapSearch?NPDID_wellbore=3169	NO
3170	15/9-B-4	15/9-B-4	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1997-07-01	1997-11-28	GAS	PLUGGED	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3170	http://www.npd.no/FactMapSearch?NPDID_wellbore=3170	NO
3171	31/4-A-11	31/4-A-11	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1997-10-20	1997-11-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3171	http://www.npd.no/FactMapSearch?NPDID_wellbore=3171	NO
3172	6506/11-G-4	6506/11-G-4 H	ÅSGARD	134	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	ÅSGARD G	1997-07-10	1998-11-28	GAS	INJECTING	91	INJECTION	288.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3172	http://www.npd.no/FactMapSearch?NPDID_wellbore=3172	NO
3173	30/9-B-26	30/9-B-26 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1997-09-03	1997-10-08	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3173	http://www.npd.no/FactMapSearch?NPDID_wellbore=3173	NO
3174	30/9-B-26	30/9-B-26 C	OSEBERG	079	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG B	OSEBERG B	2008-04-05	2008-06-17	WATER	INJECTING	173	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3174	http://www.npd.no/FactMapSearch?NPDID_wellbore=3174	NO
3175	33/9-C-42	33/9-C-42 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1998-01-10	1998-04-01	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3175	http://www.npd.no/FactMapSearch?NPDID_wellbore=3175	NO
3176	30/3-7	30/3-7 A	VESLEFRIKK	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	\N	1997-10-13	1998-01-29	GAS/CONDENSATE	P&A	17	WILDCAT	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3176	http://www.npd.no/FactMapSearch?NPDID_wellbore=3176	YES
3177	34/8-A-1	34/8-A-1 BH	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	VISUND	1998-03-09	2001-01-15	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3177	http://www.npd.no/FactMapSearch?NPDID_wellbore=3177	NO
3178	2/1-A-29	2/1-A-29	GYDA	019 B	DEVELOPMENT	BP Norway Limited  U.A.	NO	GYDA	GYDA	1997-08-19	1997-10-24	WATER	INJECTING	173	INJECTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3178	http://www.npd.no/FactMapSearch?NPDID_wellbore=3178	NO
3179	30/9-B-26	30/9-B-26 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1997-08-13	1997-09-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3179	http://www.npd.no/FactMapSearch?NPDID_wellbore=3179	NO
3180	15/9-19	15/9-19 SR2	VOLVE	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1997-07-18	1997-07-25	OIL	P&A	5	WILDCAT	85.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3180	http://www.npd.no/FactMapSearch?NPDID_wellbore=3180	NO
3181	34/7-J-7	34/7-J-7 AH	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	TORDIS EXTENSION	1997-07-19	1997-08-10	NOT APPLICABLE	PLUGGED	99	OBSERVATION	241.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3181	http://www.npd.no/FactMapSearch?NPDID_wellbore=3181	NO
3182	2/4-X-1	2/4-X-1	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1997-10-22	1997-12-13	OIL	PLUGGED	50	PRODUCTION	72.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3182	http://www.npd.no/FactMapSearch?NPDID_wellbore=3182	NO
3183	31/2-D-5	31/2-D-5 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL D	1997-07-26	1997-08-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3183	http://www.npd.no/FactMapSearch?NPDID_wellbore=3183	NO
3184	31/2-D-5	31/2-D-5 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL D	1997-08-09	1997-10-08	OIL	PRODUCING	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3184	http://www.npd.no/FactMapSearch?NPDID_wellbore=3184	NO
3185	15/9-C-2	15/9-C-2 AH	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	SLEIPNER C	1998-03-29	1998-06-06	GAS	PRODUCING	90	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3185	http://www.npd.no/FactMapSearch?NPDID_wellbore=3185	NO
3186	2/7-B-5	2/7-B-5 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1997-09-03	1997-10-31	NOT APPLICABLE	PLUGGED	99	OBSERVATION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3186	http://www.npd.no/FactMapSearch?NPDID_wellbore=3186	NO
3187	33/9-A-38	33/9-A-38 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1997-09-01	1997-10-13	WATER	PLUGGED	173	INJECTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3187	http://www.npd.no/FactMapSearch?NPDID_wellbore=3187	NO
3188	6506/12-S-1	6506/12-S-1 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD S	1997-10-30	1998-01-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	300.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3188	http://www.npd.no/FactMapSearch?NPDID_wellbore=3188	NO
3189	6506/12-S-1	6506/12-S-1 AH	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD S	1998-01-04	1999-05-29	OIL	PRODUCING	50	PRODUCTION	300.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3189	http://www.npd.no/FactMapSearch?NPDID_wellbore=3189	NO
3191	2/4-X-40	2/4-X-40	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1998-02-18	1998-05-01	OIL	PLUGGED	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3191	http://www.npd.no/FactMapSearch?NPDID_wellbore=3191	NO
3192	25/8-5	25/8-5 SR	JOTUN	027 P	EXPLORATION	Esso Exploration and Production Norway A/S	NO	STENA DEE	\N	1997-07-27	1997-08-03	OIL	P&A	5	WILDCAT	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3192	http://www.npd.no/FactMapSearch?NPDID_wellbore=3192	NO
3193	6507/11-5	6507/11-5 S	ÅSGARD	062	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	\N	1997-09-05	1997-10-28	OIL/GAS	RE-CLASS TO DEV	13	APPRAISAL	256.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3193	http://www.npd.no/FactMapSearch?NPDID_wellbore=3193	NO
3194	6506/12-I-1	6506/12-I-1 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	ÅSGARD I	1998-01-18	1998-10-25	OIL	PRODUCING	50	PRODUCTION	289.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3194	http://www.npd.no/FactMapSearch?NPDID_wellbore=3194	NO
3195	34/7-P-26	34/7-P-26	SNORRE	089	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE A	SNORRE A	2004-07-17	2004-10-30	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3195	http://www.npd.no/FactMapSearch?NPDID_wellbore=3195	NO
3198	2/8-A-5	2/8-A-5 B	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1997-10-24	1998-01-07	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3198	http://www.npd.no/FactMapSearch?NPDID_wellbore=3198	NO
3199	25/11-A-5	25/11-A-5 BH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-A-5 H	1997-08-23	1997-09-10	OIL	PRODUCING	50	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3199	http://www.npd.no/FactMapSearch?NPDID_wellbore=3199	NO
3200	34/8-A-7	34/8-A-7 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	VISUND	1997-10-06	1998-07-26	OIL	PLUGGED	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3200	http://www.npd.no/FactMapSearch?NPDID_wellbore=3200	NO
3201	34/8-A-7	34/8-A-7 AH	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	9999-12-31	9999-12-31	\N	\N	0	\N	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3201	http://www.npd.no/FactMapSearch?NPDID_wellbore=3201	NO
3202	6706/11-1	6706/11-1	\N	217	EXPLORATION	Den norske stats oljeselskap a.s	NO	OCEAN ALLIANCE	\N	1997-10-12	1998-03-22	DRY	P&A	1	WILDCAT	1238.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3202	http://www.npd.no/FactMapSearch?NPDID_wellbore=3202	NO
3203	31/6-A-4	31/6-A-4	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-10-09	1997-11-17	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3203	http://www.npd.no/FactMapSearch?NPDID_wellbore=3203	NO
3204	31/6-A-9	31/6-A-9	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-10-20	1998-04-09	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3204	http://www.npd.no/FactMapSearch?NPDID_wellbore=3204	NO
3205	31/6-A-8	31/6-A-8	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-10-26	1997-12-24	NOT APPLICABLE	PLUGGED	99	OBSERVATION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3205	http://www.npd.no/FactMapSearch?NPDID_wellbore=3205	NO
3206	35/9-3	35/9-3	\N	153	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1997-09-23	1997-11-11	OIL/GAS	P&A	13	WILDCAT	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3206	http://www.npd.no/FactMapSearch?NPDID_wellbore=3206	YES
3209	25/8-11	25/8-11	BALDER	027	EXPLORATION	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	\N	1997-10-16	1997-12-02	OIL	P&A	5	WILDCAT	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3209	http://www.npd.no/FactMapSearch?NPDID_wellbore=3209	YES
3210	2/8-17	2/8-17 S	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	TRANSOCEAN NORDIC	\N	1997-12-04	1998-01-17	OIL SHOWS	P&A	12	WILDCAT	68.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3210	http://www.npd.no/FactMapSearch?NPDID_wellbore=3210	NO
3211	2/8-F-17	2/8-F-17	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1997-10-02	1998-01-28	OIL	PRODUCING	50	PRODUCTION	71.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3211	http://www.npd.no/FactMapSearch?NPDID_wellbore=3211	NO
3212	33/9-A-41	33/9-A-41 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1997-12-14	1998-02-17	OIL	PRODUCING	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3212	http://www.npd.no/FactMapSearch?NPDID_wellbore=3212	NO
3213	6406/2-5	6406/2-5 A	KRISTIN	199	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA BERGEN	\N	1997-10-02	1998-02-23	GAS/CONDENSATE	P&A	17	APPRAISAL	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3213	http://www.npd.no/FactMapSearch?NPDID_wellbore=3213	NO
3214	34/7-27	34/7-27	\N	089	EXPLORATION	Mobil Exploration Norway INC	NO	BYFORD DOLPHIN	\N	1998-09-01	1998-10-07	DRY	P&A	1	WILDCAT	311.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3214	http://www.npd.no/FactMapSearch?NPDID_wellbore=3214	NO
3218	31/2-D-10	31/2-D-10 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL D	1997-10-09	1997-10-29	OIL	SUSP.AT TD	50	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3218	http://www.npd.no/FactMapSearch?NPDID_wellbore=3218	NO
3221	15/12-A-8	15/12-A-8	VARG	038	DEVELOPMENT	Saga Petroleum ASA	NO	NOBLE AL WHITE	VARG A	1998-05-15	1998-07-04	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3221	http://www.npd.no/FactMapSearch?NPDID_wellbore=3221	NO
3229	30/3-7	30/3-7 B	VESLEFRIKK	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	\N	1998-05-20	1998-08-04	OIL/GAS	RE-CLASS TO TEST	13	WILDCAT	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3229	http://www.npd.no/FactMapSearch?NPDID_wellbore=3229	YES
3235	31/4-A-11	31/4-A-11 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1997-11-28	1997-12-21	OIL	PLUGGED	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3235	http://www.npd.no/FactMapSearch?NPDID_wellbore=3235	NO
3236	2/8-F-18	2/8-F-18	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1998-08-18	1999-03-24	OIL	PRODUCING	50	PRODUCTION	71.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3236	http://www.npd.no/FactMapSearch?NPDID_wellbore=3236	NO
3237	2/8-F-19	2/8-F-19	VALHALL	006 B	DEVELOPMENT	BP Amoco Norge AS	NO	MÆRSK GUARDIAN	VALHALL WP	2000-05-25	2000-11-07	OIL	PRODUCING	50	PRODUCTION	71.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3237	http://www.npd.no/FactMapSearch?NPDID_wellbore=3237	NO
3238	2/8-F-14	2/8-F-14	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1998-04-24	1998-05-28	OIL	PRODUCING	50	PRODUCTION	71.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3238	http://www.npd.no/FactMapSearch?NPDID_wellbore=3238	NO
3239	2/8-F-15	2/8-F-15	VALHALL	006 B	DEVELOPMENT	BP Amoco Norge AS	NO	MÆRSK GUARDIAN	VALHALL WP	2000-09-01	2001-03-09	OIL	PRODUCING	50	PRODUCTION	71.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3239	http://www.npd.no/FactMapSearch?NPDID_wellbore=3239	NO
3240	2/8-F-16	2/8-F-16	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	MÆRSK GUARDIAN	VALHALL WP	1999-04-24	1999-06-26	OIL	PRODUCING	50	PRODUCTION	71.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3240	http://www.npd.no/FactMapSearch?NPDID_wellbore=3240	NO
3242	2/8-A-19	2/8-A-19 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1998-02-12	1998-05-20	OIL	PRODUCING	50	PRODUCTION	69.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3242	http://www.npd.no/FactMapSearch?NPDID_wellbore=3242	NO
3243	25/11-22	25/11-22	\N	169	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1998-01-07	1998-01-24	DRY	P&A	1	WILDCAT	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3243	http://www.npd.no/FactMapSearch?NPDID_wellbore=3243	NO
3244	16/7-7	16/7-7 S	SIGYN	072	EXPLORATION	Esso Exploration and Production Norway A/S	NO	STENA DEE	\N	1997-10-20	1997-12-29	OIL	P&A	5	WILDCAT	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3244	http://www.npd.no/FactMapSearch?NPDID_wellbore=3244	YES
3246	30/8-3	30/8-3	TUNE	190	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	\N	1997-11-13	1998-01-05	GAS/CONDENSATE	P&A	17	WILDCAT	92.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3246	http://www.npd.no/FactMapSearch?NPDID_wellbore=3246	YES
6634	2/4-U-34	2/4-U-34	\N	146	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2011-06-07	2011-06-07	\N	P&A	0	\N	67.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6634	\N	NO
3247	31/2-P-41	31/2-P-41	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL P1	1997-10-30	1997-11-21	NOT APPLICABLE	PLUGGED	99	OBSERVATION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3247	http://www.npd.no/FactMapSearch?NPDID_wellbore=3247	NO
3248	2/4-X-31	2/4-X-31	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1997-11-25	1998-01-12	OIL	PRODUCING	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3248	http://www.npd.no/FactMapSearch?NPDID_wellbore=3248	NO
3249	6204/11-2	6204/11-2	\N	175	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	\N	1997-12-06	1997-12-28	OIL SHOWS	P&A	12	WILDCAT	197.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3249	http://www.npd.no/FactMapSearch?NPDID_wellbore=3249	NO
3250	15/3-6	15/3-6	\N	187	EXPLORATION	Amoco Norway Oil Company	NO	MÆRSK JUTLANDER	\N	1998-12-14	1999-01-05	DRY	P&A	1	WILDCAT	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3250	http://www.npd.no/FactMapSearch?NPDID_wellbore=3250	NO
3251	15/9-19	15/9-19 B	VOLVE	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1997-11-09	1998-02-02	SHOWS	P&A	12	APPRAISAL	85.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3251	http://www.npd.no/FactMapSearch?NPDID_wellbore=3251	NO
3253	31/6-A-24	31/6-A-24	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1997-12-25	1997-12-30	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3253	http://www.npd.no/FactMapSearch?NPDID_wellbore=3253	NO
3254	31/6-A-21	31/6-A-21	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1998-04-21	1998-05-16	NOT AVAILABLE	PLUGGED	71	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3254	http://www.npd.no/FactMapSearch?NPDID_wellbore=3254	NO
3255	31/6-A-22	31/6-A-22	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1998-01-01	1998-09-18	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3255	http://www.npd.no/FactMapSearch?NPDID_wellbore=3255	NO
3256	31/6-A-23	31/6-A-23	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1998-05-16	1998-10-06	GAS	PRODUCING	90	PRODUCTION	303.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3256	http://www.npd.no/FactMapSearch?NPDID_wellbore=3256	NO
3257	1/5-3	1/5-3 S	\N	144	EXPLORATION	Conoco Norway Inc.	NO	BYFORD DOLPHIN	\N	1998-06-10	1998-08-06	OIL	P&A	5	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3257	http://www.npd.no/FactMapSearch?NPDID_wellbore=3257	YES
3258	6204/10-2	6204/10-2 R	\N	175	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	\N	1997-11-04	1997-11-21	GAS	P&A	9	WILDCAT	172.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3258	http://www.npd.no/FactMapSearch?NPDID_wellbore=3258	YES
3259	6505/10-1	6505/10-1	\N	210	EXPLORATION	A/S Norske Shell	NO	OCEAN ALLIANCE	\N	1998-03-28	1998-07-04	DRY	P&A	1	WILDCAT	684.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3259	http://www.npd.no/FactMapSearch?NPDID_wellbore=3259	NO
3260	6608/10-6	6608/10-6	URD	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST NAVION	\N	2000-02-29	2000-05-14	OIL	SUSP.REENTERED LATER	5	WILDCAT	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3260	http://www.npd.no/FactMapSearch?NPDID_wellbore=3260	YES
3261	15/9-B-11	15/9-B-11	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1998-03-15	1998-07-25	GAS	PRODUCING	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3261	http://www.npd.no/FactMapSearch?NPDID_wellbore=3261	NO
3263	6510/2-1	6510/2-1 R	\N	214	EXPLORATION	A/S Norske Shell	NO	MÆRSK JUTLANDER	\N	1997-11-05	1997-12-19	SHOWS	P&A	12	WILDCAT	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3263	http://www.npd.no/FactMapSearch?NPDID_wellbore=3263	NO
3265	34/10-A-19	34/10-A-19 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	1997-11-30	1998-01-27	OIL	PRODUCING	50	PRODUCTION	133.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3265	http://www.npd.no/FactMapSearch?NPDID_wellbore=3265	NO
3266	25/8-U-1	25/8-U-1	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-22	1996-08-23	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3266	\N	NO
3267	33/9-C-19	33/9-C-19 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1997-11-16	1998-01-07	NOT AVAILABLE	PLUGGED	71	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3267	http://www.npd.no/FactMapSearch?NPDID_wellbore=3267	NO
3268	31/5-I-21	31/5-I-21 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL I2	1997-11-24	1997-12-11	NOT APPLICABLE	PLUGGED	99	OBSERVATION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3268	http://www.npd.no/FactMapSearch?NPDID_wellbore=3268	NO
3269	31/5-I-21	31/5-I-21 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL I2	1998-05-25	1998-07-20	OIL	PLUGGED	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3269	http://www.npd.no/FactMapSearch?NPDID_wellbore=3269	NO
3270	34/8-A-2	34/8-A-2 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	VISUND	1997-11-16	2001-12-02	GAS	INJECTING	91	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3270	http://www.npd.no/FactMapSearch?NPDID_wellbore=3270	NO
3271	6506/12-R-4	6506/12-R-4 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	ÅSGARD R	1997-12-25	1999-04-09	GAS	INJECTING	91	INJECTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3271	http://www.npd.no/FactMapSearch?NPDID_wellbore=3271	NO
3272	25/8-U-2	25/8-U-2	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-24	1996-08-24	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3272	\N	NO
3273	25/8-U-3	25/8-U-3	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-26	1996-08-26	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3273	\N	NO
3274	25/8-U-4	25/8-U-4	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-25	1996-08-25	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3274	\N	NO
6635	2/4-U-35	2/4-U-35	\N	146	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2011-06-08	2011-06-08	\N	P&A	0	\N	68.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6635	\N	NO
3278	25/11-C-3	25/11-C-3 BH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-C-3 H	1997-12-21	1998-01-07	NOT AVAILABLE	PLUGGED	71	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3278	http://www.npd.no/FactMapSearch?NPDID_wellbore=3278	NO
3279	16/1-5	16/1-5	\N	167	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1998-10-12	1998-11-21	SHOWS	P&A	12	WILDCAT	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3279	http://www.npd.no/FactMapSearch?NPDID_wellbore=3279	NO
3280	6204/10-2	6204/10-2 A	\N	175	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	\N	1997-11-22	1997-12-04	DRY	P&A	1	APPRAISAL	172.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3280	http://www.npd.no/FactMapSearch?NPDID_wellbore=3280	NO
3281	30/9-B-20	30/9-B-20 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1997-11-29	1997-12-22	GAS	INJECTING	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3281	http://www.npd.no/FactMapSearch?NPDID_wellbore=3281	NO
3282	34/7-28	34/7-28	\N	089	EXPLORATION	Saga Petroleum ASA	NO	TRANSOCEAN LEADER	\N	1997-12-30	1998-03-02	DRY	P&A	1	WILDCAT	304.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3282	http://www.npd.no/FactMapSearch?NPDID_wellbore=3282	NO
3284	6508/1-1	6508/1-1 S	\N	213	EXPLORATION	Saga Petroleum ASA	NO	SCARABEO 5	\N	1999-07-25	1999-08-29	DRY	P&A	1	WILDCAT	389.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3284	http://www.npd.no/FactMapSearch?NPDID_wellbore=3284	NO
3285	6507/7-A-22	6507/7-A-22	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1998-01-03	1998-03-28	OIL	PRODUCING	50	PRODUCTION	365.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3285	http://www.npd.no/FactMapSearch?NPDID_wellbore=3285	NO
3286	31/4-A-20	31/4-A-20	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1997-12-26	1998-05-23	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3286	http://www.npd.no/FactMapSearch?NPDID_wellbore=3286	NO
3287	15/9-B-22	15/9-B-22	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1997-11-29	1998-10-31	NOT AVAILABLE	PLUGGED	71	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3287	http://www.npd.no/FactMapSearch?NPDID_wellbore=3287	NO
3288	15/9-B-22	15/9-B-22 A	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	1998-11-16	1999-01-27	GAS	PRODUCING	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3288	http://www.npd.no/FactMapSearch?NPDID_wellbore=3288	NO
3290	30/9-B-46	30/9-B-46 A	OSEBERG	079	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG B	OSEBERG B	2009-04-10	2009-07-29	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3290	http://www.npd.no/FactMapSearch?NPDID_wellbore=3290	NO
3291	15/12-A-5	15/12-A-5	VARG	038	DEVELOPMENT	Saga Petroleum ASA	NO	NOBLE AL WHITE	VARG A	1998-10-17	1998-12-04	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3291	http://www.npd.no/FactMapSearch?NPDID_wellbore=3291	NO
3292	15/12-A-14	15/12-A-14	VARG	038	DEVELOPMENT	Saga Petroleum ASA	NO	NOBLE AL WHITE	VARG A	1998-07-10	1998-08-15	GAS	INJECTING	91	INJECTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3292	http://www.npd.no/FactMapSearch?NPDID_wellbore=3292	NO
3293	15/12-A-6	15/12-A-6	VARG	038	DEVELOPMENT	Saga Petroleum ASA	NO	NOBLE AL WHITE	VARG A	1999-05-01	1999-06-20	GAS	PLUGGED	91	INJECTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3293	http://www.npd.no/FactMapSearch?NPDID_wellbore=3293	NO
3294	15/12-A-12	15/12-A-12	VARG	038	DEVELOPMENT	Saga Petroleum ASA	NO	NOBLE AL WHITE	VARG A	1999-03-14	1999-09-21	GAS	PLUGGED	91	INJECTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3294	http://www.npd.no/FactMapSearch?NPDID_wellbore=3294	NO
3295	15/12-A-13	15/12-A-13	VARG	038	DEVELOPMENT	Saga Petroleum ASA	NO	NOBLE AL WHITE	VARG A	1999-07-19	1999-08-25	OIL	PRODUCING	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3295	http://www.npd.no/FactMapSearch?NPDID_wellbore=3295	NO
3296	15/12-A-15	15/12-A-15	VARG	038	DEVELOPMENT	Saga Petroleum ASA	NO	NOBLE AL WHITE	VARG A	1998-12-25	1999-03-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3296	http://www.npd.no/FactMapSearch?NPDID_wellbore=3296	NO
3298	31/5-I-22	31/5-I-22 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL I2	1997-12-11	1997-12-19	NOT APPLICABLE	PLUGGED	99	OBSERVATION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3298	http://www.npd.no/FactMapSearch?NPDID_wellbore=3298	NO
3299	31/5-I-22	31/5-I-22 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL I2	1997-12-19	1998-07-30	OIL	PRODUCING	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3299	http://www.npd.no/FactMapSearch?NPDID_wellbore=3299	NO
3302	30/3-A-10	30/3-A-10 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1998-03-03	1998-03-28	NOT APPLICABLE	PLUGGED	99	OBSERVATION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3302	http://www.npd.no/FactMapSearch?NPDID_wellbore=3302	NO
3303	30/3-A-10	30/3-A-10 B	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1998-03-29	1998-05-11	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3303	http://www.npd.no/FactMapSearch?NPDID_wellbore=3303	NO
3304	2/4-X-10	2/4-X-10	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1997-12-14	1998-02-13	OIL	PRODUCING	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3304	http://www.npd.no/FactMapSearch?NPDID_wellbore=3304	NO
3305	6704/12-U-1	6704/12-U-1	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	160.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3305	\N	NO
3306	6506/11-6	6506/11-6	KRISTIN	134	EXPLORATION	Den norske stats oljeselskap a.s	NO	DEEPSEA BERGEN	\N	1998-02-24	1998-08-22	GAS/CONDENSATE	P&A	17	APPRAISAL	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3306	http://www.npd.no/FactMapSearch?NPDID_wellbore=3306	NO
3335	6407/7-A-7	6407/7-A-7 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD	NJORD A	1998-02-15	1998-05-28	GAS	INJECTING	91	INJECTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3335	http://www.npd.no/FactMapSearch?NPDID_wellbore=3335	NO
3308	31/2-L-41	31/2-L-41	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL L1	1998-01-26	1998-02-11	NOT APPLICABLE	PLUGGED	99	OBSERVATION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3308	http://www.npd.no/FactMapSearch?NPDID_wellbore=3308	NO
3309	31/5-I-14	31/5-I-14 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL I1	1998-01-11	1998-01-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3309	http://www.npd.no/FactMapSearch?NPDID_wellbore=3309	NO
3310	2/4-X-5	2/4-X-5	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1998-02-13	1998-03-16	OIL	PRODUCING	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3310	http://www.npd.no/FactMapSearch?NPDID_wellbore=3310	NO
3311	30/9-B-30	30/9-B-30 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1998-03-09	1998-04-28	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3311	http://www.npd.no/FactMapSearch?NPDID_wellbore=3311	NO
3312	2/4-X-36	2/4-X-36	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1998-01-06	1998-02-19	OIL	CLOSED	50	PRODUCTION	75.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3312	http://www.npd.no/FactMapSearch?NPDID_wellbore=3312	NO
3313	34/7-29	34/7-29 S	\N	089	EXPLORATION	Saga Petroleum ASA	NO	TRANSOCEAN LEADER	\N	1998-03-04	1998-04-14	OIL	SUSP.REENTERED LATER	5	APPRAISAL	250.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3313	http://www.npd.no/FactMapSearch?NPDID_wellbore=3313	NO
3314	34/11-4	34/11-4	VALEMON	193	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	\N	1998-12-09	1999-04-14	GAS/CONDENSATE	P&A	17	APPRAISAL	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3314	http://www.npd.no/FactMapSearch?NPDID_wellbore=3314	NO
3315	34/7-26	34/7-26 SR	TORDIS	089	EXPLORATION	Saga Petroleum ASA	NO	SCARABEO 5	\N	1998-01-08	1998-02-02	OIL	RE-CLASS TO TEST	5	APPRAISAL	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3315	http://www.npd.no/FactMapSearch?NPDID_wellbore=3315	NO
3316	25/11-B-11	25/11-B-11 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-B-11 H	1998-01-23	1998-04-13	OIL	PRODUCING	50	PRODUCTION	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3316	http://www.npd.no/FactMapSearch?NPDID_wellbore=3316	NO
3317	25/11-B-14	25/11-B-14 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-B-14 H	1998-01-17	1998-02-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3317	http://www.npd.no/FactMapSearch?NPDID_wellbore=3317	NO
3318	25/11-B-14	25/11-B-14 AH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-B-14 H	1998-03-20	1998-04-24	WATER	INJECTING	173	INJECTION	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3318	http://www.npd.no/FactMapSearch?NPDID_wellbore=3318	NO
3319	34/10-A-14	34/10-A-14 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	9999-12-31	9999-12-31	\N	\N	0	\N	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3319	http://www.npd.no/FactMapSearch?NPDID_wellbore=3319	NO
3320	34/8-A-1	34/8-A-1 CH	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3320	http://www.npd.no/FactMapSearch?NPDID_wellbore=3320	NO
3321	2/8-A-6	2/8-A-6 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1998-06-09	1998-07-29	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3321	http://www.npd.no/FactMapSearch?NPDID_wellbore=3321	NO
3322	6506/11-7	6506/11-7	MORVIN	134 B	EXPLORATION	StatoilHydro Petroleum AS	NO	SCARABEO 5	\N	2001-01-25	2001-07-27	OIL/GAS	P&A	13	WILDCAT	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3322	http://www.npd.no/FactMapSearch?NPDID_wellbore=3322	YES
3324	33/9-A-11	33/9-A-11 AY1	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	YES	STATFJORD A	STATFJORD A	1998-03-19	1998-08-20	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3324	http://www.npd.no/FactMapSearch?NPDID_wellbore=3324	NO
3325	33/9-A-11	33/9-A-11 AY2	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	YES	STATFJORD A	STATFJORD A	1998-08-23	1998-10-12	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3325	http://www.npd.no/FactMapSearch?NPDID_wellbore=3325	NO
3328	2/8-17	2/8-17 A	\N	006	EXPLORATION	Amoco Norway Oil Company	NO	TRANSOCEAN NORDIC	\N	1998-01-18	1998-02-21	DRY	P&A	1	WILDCAT	68.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3328	http://www.npd.no/FactMapSearch?NPDID_wellbore=3328	NO
3329	34/7-26	34/7-26 A	TORDIS	089	EXPLORATION	Saga Petroleum ASA	NO	SCARABEO 5	\N	1998-02-06	1998-04-22	OIL	RE-CLASS TO TEST	5	APPRAISAL	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3329	http://www.npd.no/FactMapSearch?NPDID_wellbore=3329	NO
3330	31/2-P-13	31/2-P-13 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL P1	1998-02-21	1998-03-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	336.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3330	http://www.npd.no/FactMapSearch?NPDID_wellbore=3330	NO
3331	31/5-I-23	31/5-I-23 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL I2	1998-04-02	1998-04-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3331	http://www.npd.no/FactMapSearch?NPDID_wellbore=3331	NO
3332	31/5-I-14	31/5-I-14 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL I1	1998-01-23	1998-03-30	OIL	PLUGGED	50	PRODUCTION	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3332	http://www.npd.no/FactMapSearch?NPDID_wellbore=3332	NO
3333	31/5-I-23	31/5-I-23 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL I2	1998-04-12	1998-05-23	OIL	PRODUCING	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3333	http://www.npd.no/FactMapSearch?NPDID_wellbore=3333	NO
3334	15/9-21	15/9-21 S	SLEIPNER VEST	046	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST EPSILON	\N	1998-03-23	1998-05-23	SHOWS	P&A	12	APPRAISAL	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3334	http://www.npd.no/FactMapSearch?NPDID_wellbore=3334	NO
3336	31/4-A-36	31/4-A-36	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1998-06-06	1998-07-14	WATER	INJECTING	173	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3336	http://www.npd.no/FactMapSearch?NPDID_wellbore=3336	NO
3342	6506/12-P-2	6506/12-P-2 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	YES	TRANSOCEAN ARCTIC	ÅSGARD P	1998-02-17	1998-04-12	OIL	CLOSED	50	PRODUCTION	310.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3342	http://www.npd.no/FactMapSearch?NPDID_wellbore=3342	NO
3348	31/2-P-13	31/2-P-13 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL P1	1999-03-28	1999-05-05	OIL	PLUGGED	50	PRODUCTION	336.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3348	http://www.npd.no/FactMapSearch?NPDID_wellbore=3348	NO
3349	9/2-A-3	9/2-A-3	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME	YME B ØST	1998-02-02	1998-02-23	GAS	P&A	91	INJECTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3349	http://www.npd.no/FactMapSearch?NPDID_wellbore=3349	NO
3350	31/2-M-42	31/2-M-42 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL M1	1998-03-16	1998-04-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	250.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3350	http://www.npd.no/FactMapSearch?NPDID_wellbore=3350	NO
3352	2/7-B-5	2/7-B-5 C	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	1997-11-01	1997-11-20	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3352	http://www.npd.no/FactMapSearch?NPDID_wellbore=3352	NO
3354	34/7-P-21	34/7-P-21	SNORRE	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE A	SNORRE A	1998-05-16	1998-07-15	WATER	PLUGGED	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3354	http://www.npd.no/FactMapSearch?NPDID_wellbore=3354	NO
3356	35/11-11	35/11-11	FRAM	090	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN LEADER	\N	1998-04-16	1998-05-22	SHOWS	P&A	12	APPRAISAL	359.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3356	http://www.npd.no/FactMapSearch?NPDID_wellbore=3356	NO
3357	6407/7-A-6	6407/7-A-6 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD	NJORD A	1998-10-25	1998-12-28	GAS	PLUGGED	91	INJECTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3357	http://www.npd.no/FactMapSearch?NPDID_wellbore=3357	NO
3358	6407/7-A-11	6407/7-A-11 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	1999-10-17	1999-12-05	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3358	http://www.npd.no/FactMapSearch?NPDID_wellbore=3358	NO
3359	6407/7-A-17	6407/7-A-17 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD	NJORD A	1998-12-30	1999-02-22	OIL	PRODUCING	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3359	http://www.npd.no/FactMapSearch?NPDID_wellbore=3359	NO
3360	34/10-K-2	34/10-K-2 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR K	1998-03-21	1998-06-04	OIL	PLUGGED	50	PRODUCTION	139.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3360	http://www.npd.no/FactMapSearch?NPDID_wellbore=3360	YES
3362	1/3-9	1/3-9 S	TAMBAR	065	EXPLORATION	BP Norway Limited  U.A.	NO	MÆRSK JUTLANDER	\N	1998-05-08	1998-07-31	OIL	RE-CLASS TO DEV	5	APPRAISAL	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3362	http://www.npd.no/FactMapSearch?NPDID_wellbore=3362	NO
3363	6506/12-S-2	6506/12-S-2 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD S	1998-04-08	1999-02-09	OIL	PRODUCING	50	PRODUCTION	303.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3363	http://www.npd.no/FactMapSearch?NPDID_wellbore=3363	NO
3364	2/4-X-12	2/4-X-12	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1998-03-16	1998-04-17	OIL	PLUGGED	50	PRODUCTION	0.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3364	http://www.npd.no/FactMapSearch?NPDID_wellbore=3364	NO
3365	2/4-K-11	2/4-K-11 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1998-02-24	1998-04-03	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3365	http://www.npd.no/FactMapSearch?NPDID_wellbore=3365	NO
3366	6507/7-A-18	6507/7-A-18	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1998-03-29	1998-05-08	OIL	PLUGGED	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3366	http://www.npd.no/FactMapSearch?NPDID_wellbore=3366	NO
3367	34/10-C-38	34/10-C-38	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1998-04-27	1999-06-25	OIL	CLOSED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3367	http://www.npd.no/FactMapSearch?NPDID_wellbore=3367	NO
3368	7/12-A-7	7/12-A-7 B	ULA	019	DEVELOPMENT	BP Amoco Norge AS	NO	ULA DP	ULA PP	2000-08-25	2000-11-22	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3368	http://www.npd.no/FactMapSearch?NPDID_wellbore=3368	NO
3369	2/7-B-2	2/7-B-2 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	2000-07-23	2000-09-25	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3369	http://www.npd.no/FactMapSearch?NPDID_wellbore=3369	NO
3370	2/4-X-39	2/4-X-39	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1998-05-05	1998-08-13	OIL	PLUGGED	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3370	http://www.npd.no/FactMapSearch?NPDID_wellbore=3370	NO
3371	31/2-P-14	31/2-P-14 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL P1	1998-04-16	1998-04-27	NOT APPLICABLE	PLUGGED	99	OBSERVATION	359.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3371	http://www.npd.no/FactMapSearch?NPDID_wellbore=3371	NO
3372	31/2-P-14	31/2-P-14 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL P1	1998-04-28	1998-06-14	OIL	PLUGGED	50	PRODUCTION	359.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3372	http://www.npd.no/FactMapSearch?NPDID_wellbore=3372	NO
3373	7/12-A-7	7/12-A-7 C	ULA	019	DEVELOPMENT	BP Amoco Norge AS	NO	ULA DP	ULA PP	2002-01-30	2002-03-18	GAS	INJECTING	91	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3373	http://www.npd.no/FactMapSearch?NPDID_wellbore=3373	NO
3378	34/7-E-2	34/7-E-2 H	VIGDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	VIGDIS E	1998-04-28	1998-06-22	WATER	INJECTING	173	INJECTION	283.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3378	http://www.npd.no/FactMapSearch?NPDID_wellbore=3378	NO
3379	34/10-H-2	34/10-H-2 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR H	1998-04-19	1998-05-30	NOT APPLICABLE	PLUGGED	99	OBSERVATION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3379	http://www.npd.no/FactMapSearch?NPDID_wellbore=3379	NO
3381	25/11-C-12	25/11-C-12 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-C-12 H	1998-04-28	1998-05-27	WATER	INJECTING	173	INJECTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3381	http://www.npd.no/FactMapSearch?NPDID_wellbore=3381	NO
3382	34/10-H-2	34/10-H-2 AH	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR H	1998-05-30	1999-02-10	OIL	PLUGGED	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3382	http://www.npd.no/FactMapSearch?NPDID_wellbore=3382	NO
3383	6407/7-A-16	6407/7-A-16 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD	NJORD A	1998-09-08	1998-10-14	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3383	http://www.npd.no/FactMapSearch?NPDID_wellbore=3383	NO
3386	2/4-X-2	2/4-X-2	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1998-04-19	1998-05-23	OIL	PLUGGED	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3386	http://www.npd.no/FactMapSearch?NPDID_wellbore=3386	NO
3387	2/4-X-2	2/4-X-2 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1998-05-23	1998-06-01	OIL	PRODUCING	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3387	http://www.npd.no/FactMapSearch?NPDID_wellbore=3387	NO
3388	30/9-B-21	30/9-B-21 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1998-05-14	1998-06-07	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3388	http://www.npd.no/FactMapSearch?NPDID_wellbore=3388	NO
3389	30/9-B-21	30/9-B-21 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1998-06-08	1998-06-22	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3389	http://www.npd.no/FactMapSearch?NPDID_wellbore=3389	NO
3390	6507/7-A-40	6507/7-A-40	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1998-05-14	1998-08-01	OIL	PLUGGED	50	PRODUCTION	345.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3390	http://www.npd.no/FactMapSearch?NPDID_wellbore=3390	NO
3391	15/12-12	15/12-12	REV	038	EXPLORATION	Saga Petroleum ASA	NO	SCARABEO 6	\N	2000-12-25	2001-02-09	OIL/GAS	RE-CLASS TO DEV	13	WILDCAT	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3391	http://www.npd.no/FactMapSearch?NPDID_wellbore=3391	YES
3393	6506/12-I-3	6506/12-I-3 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	ÅSGARD I	1998-05-22	1999-03-02	OIL	PRODUCING	50	PRODUCTION	289.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3393	http://www.npd.no/FactMapSearch?NPDID_wellbore=3393	NO
3394	33/12-B-39	33/12-B-39 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1998-04-11	1998-05-16	NOT AVAILABLE	PLUGGED	71	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3394	http://www.npd.no/FactMapSearch?NPDID_wellbore=3394	NO
3395	33/12-B-39	33/12-B-39 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1998-05-17	1998-07-05	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3395	http://www.npd.no/FactMapSearch?NPDID_wellbore=3395	NO
3396	31/3-S-41	31/3-S-41	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL S1	1998-06-16	1998-07-10	NOT APPLICABLE	PLUGGED	99	OBSERVATION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3396	http://www.npd.no/FactMapSearch?NPDID_wellbore=3396	NO
3397	24/6-2	24/6-2	ALVHEIM	203	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN LEADER	\N	1998-05-25	1998-07-08	OIL/GAS	P&A	13	WILDCAT	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3397	http://www.npd.no/FactMapSearch?NPDID_wellbore=3397	YES
3398	2/4-K-10	2/4-K-10 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK K	EKOFISK K	1998-05-19	1998-07-03	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3398	http://www.npd.no/FactMapSearch?NPDID_wellbore=3398	NO
3399	34/10-B-39	34/10-B-39	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1998-04-03	1998-05-27	OIL	PLUGGED	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3399	http://www.npd.no/FactMapSearch?NPDID_wellbore=3399	NO
3400	6404/5-U-1	6404/5-U-1	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	1997-08-11	1997-08-11	\N	P&A	0	\N	966.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3400	\N	NO
3401	6405/2-U-1	6405/2-U-1	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	532.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3401	\N	NO
3402	6606/3-U-1	6606/3-U-1	\N	\N	SHALLOW	Den norske stats oljeselskap a.s	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	106.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3402	\N	NO
3403	2/8-A-3	2/8-A-3 C	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1998-09-07	1999-04-19	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3403	http://www.npd.no/FactMapSearch?NPDID_wellbore=3403	NO
3407	6406/2-6	6406/2-6	\N	199	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA BERGEN	\N	1998-08-25	1998-11-07	GAS/CONDENSATE	SUSP.REENTERED LATER	17	WILDCAT	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3407	http://www.npd.no/FactMapSearch?NPDID_wellbore=3407	YES
3408	31/2-Q-13	31/2-Q-13 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL Q1	1999-03-05	1999-03-25	NOT APPLICABLE	PLUGGED	99	OBSERVATION	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3408	http://www.npd.no/FactMapSearch?NPDID_wellbore=3408	NO
3409	31/2-Q-13	31/2-Q-13 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL Q1	1999-08-06	1999-09-02	OIL	PRODUCING	50	PRODUCTION	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3409	http://www.npd.no/FactMapSearch?NPDID_wellbore=3409	NO
3410	2/4-X-7	2/4-X-7	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK X	1998-06-01	1998-12-20	OIL	PRODUCING	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3410	http://www.npd.no/FactMapSearch?NPDID_wellbore=3410	NO
3412	34/7-P-14	34/7-P-14 AY2	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	YES	SNORRE A	SNORRE A	1998-07-27	1998-11-12	OIL	PLUGGED	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3412	http://www.npd.no/FactMapSearch?NPDID_wellbore=3412	NO
3413	2/4-X-34	2/4-X-34	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1998-08-16	1998-11-03	OIL	PLUGGED	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3413	http://www.npd.no/FactMapSearch?NPDID_wellbore=3413	NO
3419	34/10-C-39	34/10-C-39	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	2000-01-19	2000-03-30	WATER	INJECTING	172	PRODUCTION	216.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3419	http://www.npd.no/FactMapSearch?NPDID_wellbore=3419	NO
3504	6506/12-R-2	6506/12-R-2 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD R	1998-06-16	1998-07-22	GAS	INJECTING	91	INJECTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3504	http://www.npd.no/FactMapSearch?NPDID_wellbore=3504	NO
3524	35/9-4	35/9-4 S	GJØA	153	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN LEADER	\N	1998-07-13	1998-08-13	DRY	P&A	1	APPRAISAL	364.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3524	http://www.npd.no/FactMapSearch?NPDID_wellbore=3524	NO
3526	34/10-D-4	34/10-D-4 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR D	1998-06-27	1999-03-06	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3526	http://www.npd.no/FactMapSearch?NPDID_wellbore=3526	NO
3529	31/2-D-1	31/2-D-1 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL D	1998-08-01	1998-08-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3529	http://www.npd.no/FactMapSearch?NPDID_wellbore=3529	NO
3530	31/2-D-1	31/2-D-1 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL D	1998-08-14	1998-09-16	OIL	PLUGGED	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3530	http://www.npd.no/FactMapSearch?NPDID_wellbore=3530	NO
3531	16/10-4	16/10-4	\N	101	EXPLORATION	Norsk Agip  AS	NO	TRANSOCEAN NORDIC	\N	1998-07-11	1998-08-10	DRY	P&A	1	WILDCAT	77.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3531	http://www.npd.no/FactMapSearch?NPDID_wellbore=3531	NO
3532	31/2-Q-11	31/2-Q-11 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL Q1	1999-06-27	1999-07-06	NOT APPLICABLE	PLUGGED	99	OBSERVATION	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3532	http://www.npd.no/FactMapSearch?NPDID_wellbore=3532	NO
3533	31/2-Q-11	31/2-Q-11 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL Q1	1999-07-07	1999-08-27	OIL	PLUGGED	50	PRODUCTION	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3533	http://www.npd.no/FactMapSearch?NPDID_wellbore=3533	NO
3534	31/2-Q-14	31/2-Q-14 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL Q1	1999-09-07	1999-10-10	OIL	PRODUCING	50	PRODUCTION	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3534	http://www.npd.no/FactMapSearch?NPDID_wellbore=3534	NO
3535	6305/7-1	6305/7-1	ORMEN LANGE	208	EXPLORATION	BP Norway Limited  U.A.	NO	OCEAN ALLIANCE	\N	1998-07-08	1998-08-30	GAS	P&A	9	APPRAISAL	857.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3535	http://www.npd.no/FactMapSearch?NPDID_wellbore=3535	NO
3537	34/7-P-42	34/7-P-42	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1998-07-31	1998-08-28	NOT AVAILABLE	PLUGGED	71	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3537	http://www.npd.no/FactMapSearch?NPDID_wellbore=3537	NO
3538	31/2-S-14	31/2-S-14 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL S1	1998-07-12	1998-07-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	343.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3538	http://www.npd.no/FactMapSearch?NPDID_wellbore=3538	NO
3539	31/2-S-14	31/2-S-14 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL S1	1998-07-29	1998-10-19	OIL	PLUGGED	50	PRODUCTION	343.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3539	http://www.npd.no/FactMapSearch?NPDID_wellbore=3539	NO
3540	30/9-B-41	30/9-B-41 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1998-09-28	1998-11-13	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3540	http://www.npd.no/FactMapSearch?NPDID_wellbore=3540	NO
3541	30/3-A-9	30/3-A-9 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1998-08-12	1998-11-21	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3541	http://www.npd.no/FactMapSearch?NPDID_wellbore=3541	NO
3542	31/4-A-35	31/4-A-35	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1998-07-25	1998-08-29	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3542	http://www.npd.no/FactMapSearch?NPDID_wellbore=3542	NO
3549	34/10-C-40	34/10-C-40	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1998-07-01	1998-07-16	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3549	http://www.npd.no/FactMapSearch?NPDID_wellbore=3549	NO
3550	34/10-B-40	34/10-B-40	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1998-09-01	1998-11-12	OIL	PLUGGED	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3550	http://www.npd.no/FactMapSearch?NPDID_wellbore=3550	NO
3551	25/11-D-10	25/11-D-10 AH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-D-10 H	1998-07-18	1998-07-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3551	http://www.npd.no/FactMapSearch?NPDID_wellbore=3551	NO
3552	6506/12-P-1	6506/12-P-1 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD P	1998-10-20	1998-11-22	OIL	PLUGGED	50	PRODUCTION	311.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3552	http://www.npd.no/FactMapSearch?NPDID_wellbore=3552	NO
3553	6507/7-A-37	6507/7-A-37	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1998-10-16	1999-02-12	WATER	INJECTING	173	INJECTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3553	http://www.npd.no/FactMapSearch?NPDID_wellbore=3553	NO
3554	33/9-C-12	33/9-C-12 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1998-09-24	1998-10-19	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3554	http://www.npd.no/FactMapSearch?NPDID_wellbore=3554	NO
3555	6305/1-1	6305/1-1	\N	209	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN LEADER	\N	1998-08-18	1998-11-19	DRY	P&A	1	WILDCAT	839.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3555	http://www.npd.no/FactMapSearch?NPDID_wellbore=3555	NO
3556	33/12-B-24	33/12-B-24 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1998-08-13	1998-09-03	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3556	http://www.npd.no/FactMapSearch?NPDID_wellbore=3556	NO
3557	6608/10-E-3	6608/10-E-3 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE E	1998-07-29	1998-09-23	OIL	PLUGGED	50	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3557	http://www.npd.no/FactMapSearch?NPDID_wellbore=3557	NO
3558	7120/6-2	7120/6-2 S	SNØHVIT	097	EXPLORATION	Statoil ASA (old)	NO	POLAR PIONEER	\N	2007-06-14	2007-07-22	OIL/GAS	SUSPENDED	13	APPRAISAL	321.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3558	http://www.npd.no/FactMapSearch?NPDID_wellbore=3558	NO
3559	6506/12-S-3	6506/12-S-3 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	ÅSGARD S	1998-08-17	1998-10-21	OIL	PRODUCING	50	PRODUCTION	304.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3559	http://www.npd.no/FactMapSearch?NPDID_wellbore=3559	NO
3560	31/4-A-34	31/4-A-34	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1998-09-01	1998-10-26	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3560	http://www.npd.no/FactMapSearch?NPDID_wellbore=3560	NO
3561	30/9-19	30/9-19	OSEBERG	079	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST DELTA	\N	1998-09-08	1998-10-30	OIL/GAS	P&A	13	WILDCAT	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3561	http://www.npd.no/FactMapSearch?NPDID_wellbore=3561	YES
3562	30/6-E-9	30/6-E-9	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	1999-05-02	1999-06-07	GAS	PLUGGED	91	INJECTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3562	http://www.npd.no/FactMapSearch?NPDID_wellbore=3562	NO
3563	25/11-C-17	25/11-C-17 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-C-17 H	1998-10-14	1998-11-06	NOT APPLICABLE	PLUGGED	99	OBSERVATION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3563	http://www.npd.no/FactMapSearch?NPDID_wellbore=3563	NO
3564	25/11-C-17	25/11-C-17 AH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	25/11-C-17 H	1998-11-06	1998-12-10	OIL	PRODUCING	50	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3564	http://www.npd.no/FactMapSearch?NPDID_wellbore=3564	NO
3565	34/7-J-1	34/7-J-1 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	TORDIS EXTENSION	1998-09-11	1998-12-21	OIL	PLUGGED	50	PRODUCTION	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3565	http://www.npd.no/FactMapSearch?NPDID_wellbore=3565	NO
3566	6507/11-Y-1	6507/11-Y-1 H	ÅSGARD	062	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD Y	1998-09-08	2000-01-28	GAS	PLUGGED	90	PRODUCTION	256.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3566	http://www.npd.no/FactMapSearch?NPDID_wellbore=3566	NO
3567	34/7-P-42	34/7-P-42 A	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1998-08-28	1998-10-07	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3567	http://www.npd.no/FactMapSearch?NPDID_wellbore=3567	NO
3568	34/10-K-2	34/10-K-2 AH	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR K	1998-08-22	1998-10-04	OIL	PRODUCING	50	PRODUCTION	139.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3568	http://www.npd.no/FactMapSearch?NPDID_wellbore=3568	NO
3569	33/12-B-35	33/12-B-35 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1998-09-16	1998-10-18	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3569	http://www.npd.no/FactMapSearch?NPDID_wellbore=3569	NO
3572	30/6-E-2	30/6-E-2	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	1999-01-13	1999-04-26	OIL	PRODUCING	50	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3572	http://www.npd.no/FactMapSearch?NPDID_wellbore=3572	NO
3573	2/7-31	2/7-31	\N	018	EXPLORATION	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	\N	1999-01-13	1999-06-09	OIL	SUSPENDED	5	WILDCAT	72.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3573	http://www.npd.no/FactMapSearch?NPDID_wellbore=3573	YES
3574	34/7-P-14	34/7-P-14 B	SNORRE	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE A	SNORRE A	2002-04-08	2002-06-08	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3574	http://www.npd.no/FactMapSearch?NPDID_wellbore=3574	NO
3575	2/4-X-27	2/4-X-27	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1998-10-17	1999-10-14	OIL	PLUGGED	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3575	http://www.npd.no/FactMapSearch?NPDID_wellbore=3575	NO
3576	15/12-A-2	15/12-A-2	VARG	038	DEVELOPMENT	Saga Petroleum ASA	NO	NOBLE AL WHITE	VARG A	1998-09-15	1998-10-02	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3576	http://www.npd.no/FactMapSearch?NPDID_wellbore=3576	NO
3577	15/12-A-11	15/12-A-11	VARG	038	DEVELOPMENT	Saga Petroleum ASA	NO	NOBLE AL WHITE	VARG A	1998-08-16	1998-08-31	OIL	PRODUCING	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3577	http://www.npd.no/FactMapSearch?NPDID_wellbore=3577	NO
3578	30/6-25	30/6-25 S	\N	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN LEADER	\N	1998-11-26	1999-01-06	SHOWS	P&A	12	WILDCAT	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3578	http://www.npd.no/FactMapSearch?NPDID_wellbore=3578	NO
3583	34/7-P-36	34/7-P-36	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1998-10-09	1999-01-30	WATER	PLUGGED	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3583	http://www.npd.no/FactMapSearch?NPDID_wellbore=3583	NO
3585	34/10-E-4	34/10-E-4 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR E	1998-12-06	1999-06-08	GAS	INJECTING	91	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3585	http://www.npd.no/FactMapSearch?NPDID_wellbore=3585	NO
3586	31/4-A-33	31/4-A-33	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1998-10-30	1998-12-06	NOT APPLICABLE	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3586	http://www.npd.no/FactMapSearch?NPDID_wellbore=3586	NO
3587	31/4-A-33	31/4-A-33 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1998-12-07	1999-01-22	NOT AVAILABLE	PLUGGED	71	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3587	http://www.npd.no/FactMapSearch?NPDID_wellbore=3587	NO
3589	34/10-E-3	34/10-E-3 H	GULLFAKS SØR	050 	DEVELOPMENT	Statoil Petroleum AS	NO	SONGA DEE	GULLFAKS SØR E	9999-12-31	9999-12-31	\N	\N	0	INJECTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3589	http://www.npd.no/FactMapSearch?NPDID_wellbore=3589	NO
3591	31/2-S-13	31/2-S-13 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL S1	1998-08-07	1998-12-15	NOT APPLICABLE	PLUGGED	99	OBSERVATION	343.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3591	http://www.npd.no/FactMapSearch?NPDID_wellbore=3591	NO
3592	31/2-S-13	31/2-S-13 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL S1	1998-12-15	1999-03-04	OIL	PRODUCING	50	PRODUCTION	343.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3592	http://www.npd.no/FactMapSearch?NPDID_wellbore=3592	NO
3593	30/9-19	30/9-19 A	OSEBERG	079	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST DELTA	\N	1998-10-30	1998-12-21	OIL/GAS	P&A	13	APPRAISAL	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3593	http://www.npd.no/FactMapSearch?NPDID_wellbore=3593	NO
3594	33/12-B-16	33/12-B-16 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1998-10-22	1998-12-06	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3594	http://www.npd.no/FactMapSearch?NPDID_wellbore=3594	NO
3595	2/4-X-48	2/4-X-48	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2001-11-29	2002-02-06	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3595	http://www.npd.no/FactMapSearch?NPDID_wellbore=3595	NO
3602	33/9-A-25	33/9-A-25 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1998-11-30	1999-02-16	WATER	INJECTING	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3602	http://www.npd.no/FactMapSearch?NPDID_wellbore=3602	NO
3603	6507/11-Y-4	6507/11-Y-4 H	ÅSGARD	062	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD Y	1999-11-15	2000-01-03	GAS	PRODUCING	90	PRODUCTION	256.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3603	http://www.npd.no/FactMapSearch?NPDID_wellbore=3603	NO
3604	6507/11-Y-2	6507/11-Y-2 H	ÅSGARD	062	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	ÅSGARD Y	1998-09-26	1998-10-18	GAS	PRODUCING	90	PRODUCTION	256.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3604	http://www.npd.no/FactMapSearch?NPDID_wellbore=3604	NO
3605	31/6-A-21	31/6-A-21 A	TROLL	085	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TROLL A	TROLL A	1998-10-26	1998-12-16	GAS	PRODUCING	90	PRODUCTION	303.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3605	http://www.npd.no/FactMapSearch?NPDID_wellbore=3605	NO
3607	7533/3-U-7	7533/3-U-7	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1998-08-10	1998-08-16	\N	P&A	0	\N	232.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3607	\N	NO
3608	7634/6-U-3	7634/6-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1998-08-10	1998-08-16	\N	P&A	0	\N	196.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3608	\N	NO
3609	7533/2-U-1	7533/2-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1998-08-12	1998-08-18	\N	P&A	0	\N	275.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3609	\N	NO
3610	7634/6-U-1	7634/6-U-1	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1998-08-18	1998-08-21	\N	P&A	0	\N	187.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3610	\N	NO
3611	7533/2-U-2	7533/2-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1998-08-10	1998-08-10	\N	P&A	0	\N	268.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3611	\N	NO
3613	7533/2-U-3	7533/2-U-3	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1998-08-21	1998-08-25	\N	P&A	0	\N	256.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=3613	\N	NO
3617	34/10-H-1	34/10-H-1 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR H	1999-03-03	1999-04-01	NOT APPLICABLE	PLUGGED	99	OBSERVATION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3617	http://www.npd.no/FactMapSearch?NPDID_wellbore=3617	NO
3618	34/10-H-1	34/10-H-1 AH	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR H	1999-04-02	1999-04-23	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3618	http://www.npd.no/FactMapSearch?NPDID_wellbore=3618	NO
3619	30/9-B-13	30/9-B-13 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1998-11-25	1999-02-02	GAS	INJECTING	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3619	http://www.npd.no/FactMapSearch?NPDID_wellbore=3619	NO
3620	6506/11-F-4	6506/11-F-4 H	ÅSGARD	134	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	ÅSGARD F	1996-02-11	1996-06-06	GAS	INJECTING	91	INJECTION	304.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3620	http://www.npd.no/FactMapSearch?NPDID_wellbore=3620	NO
3621	6506/12-I-4	6506/12-I-4 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	ÅSGARD I	1998-10-25	1998-12-02	OIL	PRODUCING	50	PRODUCTION	289.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3621	http://www.npd.no/FactMapSearch?NPDID_wellbore=3621	NO
5648	15/6-U-2	15/6-U-2	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	MARINER	\N	1974-10-11	1974-10-16	\N	P&A	0	\N	113.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5648	\N	NO
3622	6506/11-G-1	6506/11-G-1 H	ÅSGARD	134	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	ÅSGARD G	1996-09-10	1996-11-10	GAS	INJECTING	91	INJECTION	288.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3622	http://www.npd.no/FactMapSearch?NPDID_wellbore=3622	NO
3623	6507/11-Y-3	6507/11-Y-3 H	ÅSGARD	062	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	ÅSGARD Y	2000-01-03	2000-02-19	GAS	PRODUCING	90	PRODUCTION	257.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3623	http://www.npd.no/FactMapSearch?NPDID_wellbore=3623	NO
3624	31/5-I-11	31/5-I-11 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL I1	1998-10-16	1998-10-31	NOT APPLICABLE	PLUGGED	99	OBSERVATION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3624	http://www.npd.no/FactMapSearch?NPDID_wellbore=3624	NO
3625	31/5-I-11	31/5-I-11 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL I1	1998-11-01	1999-01-21	OIL	PRODUCING	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3625	http://www.npd.no/FactMapSearch?NPDID_wellbore=3625	NO
3626	16/1-5	16/1-5 A	\N	167	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1998-11-21	1998-12-06	SHOWS	P&A	12	WILDCAT	105.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3626	http://www.npd.no/FactMapSearch?NPDID_wellbore=3626	NO
3627	6406/2-4	6406/2-4 SR	\N	199	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA BERGEN	\N	1998-11-12	1999-02-15	GAS/CONDENSATE	P&A	17	APPRAISAL	273.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3627	http://www.npd.no/FactMapSearch?NPDID_wellbore=3627	NO
3628	34/10-B-40	34/10-B-40 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	2001-07-09	2001-07-31	WATER	INJECTING	173	INJECTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3628	http://www.npd.no/FactMapSearch?NPDID_wellbore=3628	NO
3630	2/8-A-22	2/8-A-22 A	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL	VALHALL DP	1999-05-14	1999-07-17	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3630	http://www.npd.no/FactMapSearch?NPDID_wellbore=3630	NO
3631	34/7-P-10	34/7-P-10	SNORRE	089	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE A	SNORRE A	2003-01-12	2003-03-31	OIL	PLUGGED	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3631	http://www.npd.no/FactMapSearch?NPDID_wellbore=3631	NO
3632	33/9-A-11	33/9-A-11 AY3	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	YES	STATFJORD A	\N	9999-12-31	9999-12-31	\N	\N	0	\N	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3632	http://www.npd.no/FactMapSearch?NPDID_wellbore=3632	NO
3635	34/7-P-20	34/7-P-20	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1999-03-15	1999-06-05	GAS	INJECTING	91	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3635	http://www.npd.no/FactMapSearch?NPDID_wellbore=3635	NO
3636	30/6-C-27	30/6-C-27 AH	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN 8	OSEBERG C	1991-05-25	1991-07-25	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3636	http://www.npd.no/FactMapSearch?NPDID_wellbore=3636	NO
3638	34/7-E-3	34/7-E-3 H	VIGDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	VIGDIS E	1999-01-07	1999-03-23	WATER	INJECTING	173	INJECTION	283.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3638	http://www.npd.no/FactMapSearch?NPDID_wellbore=3638	NO
3639	33/9-C-30	33/9-C-30 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1999-01-15	1999-02-15	WATER	PLUGGED	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3639	http://www.npd.no/FactMapSearch?NPDID_wellbore=3639	NO
3640	34/7-I-11	34/7-I-11 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	DEEPSEA BERGEN	34/7-I-11 H	1999-03-23	1999-06-07	WATER	INJECTING	173	INJECTION	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3640	http://www.npd.no/FactMapSearch?NPDID_wellbore=3640	NO
3641	6507/7-A-44	6507/7-A-44	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1999-03-01	1999-05-08	OIL	PLUGGED	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3641	http://www.npd.no/FactMapSearch?NPDID_wellbore=3641	NO
3643	6608/10-E-1	6608/10-E-1 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	YES	TRANSOCEAN ARCTIC	NORNE E	1999-05-28	1999-06-19	OIL	SUSP.AT TD	50	PRODUCTION	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3643	http://www.npd.no/FactMapSearch?NPDID_wellbore=3643	NO
3644	6608/10-E-2	6608/10-E-2 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE E	1999-10-16	1999-11-21	OIL	PLUGGED	50	PRODUCTION	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3644	http://www.npd.no/FactMapSearch?NPDID_wellbore=3644	NO
3645	6608/10-E-4	6608/10-E-4 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE E	2000-02-05	2000-03-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3645	http://www.npd.no/FactMapSearch?NPDID_wellbore=3645	NO
3648	2/1-12	2/1-12	\N	019 C	EXPLORATION	BP Norway Limited  U.A.	NO	MÆRSK JUTLANDER	\N	1999-01-08	1999-02-10	DRY	P&A	1	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3648	http://www.npd.no/FactMapSearch?NPDID_wellbore=3648	NO
3649	30/9-F-20	30/9-F-20	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR	1998-12-24	1999-02-13	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3649	http://www.npd.no/FactMapSearch?NPDID_wellbore=3649	NO
3650	34/10-B-39	34/10-B-39 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1998-12-06	1999-03-22	NOT AVAILABLE	PLUGGED	71	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3650	http://www.npd.no/FactMapSearch?NPDID_wellbore=3650	NO
3651	31/4-A-38	31/4-A-38	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	1999-01-29	1999-03-09	OIL	PRODUCING	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3651	http://www.npd.no/FactMapSearch?NPDID_wellbore=3651	NO
3653	31/5-J-11	31/5-J-11 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL J1	1999-01-24	1999-02-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3653	http://www.npd.no/FactMapSearch?NPDID_wellbore=3653	NO
3654	31/5-J-11	31/5-J-11 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL J1	1999-02-12	1999-03-15	OIL	PRODUCING	50	PRODUCTION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3654	http://www.npd.no/FactMapSearch?NPDID_wellbore=3654	NO
3656	6506/12-L-4	6506/12-L-4 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD L	1999-01-04	1999-02-24	OIL	PRODUCING	50	PRODUCTION	289.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3656	http://www.npd.no/FactMapSearch?NPDID_wellbore=3656	NO
3662	34/8-A-3	34/8-A-3 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	1998-12-20	1999-04-09	GAS	PLUGGED	91	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3662	http://www.npd.no/FactMapSearch?NPDID_wellbore=3662	NO
3666	31/2-S-12	31/2-S-12 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	TROLL S1	2001-11-19	2002-01-06	OIL	PRODUCING	50	PRODUCTION	366.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3666	http://www.npd.no/FactMapSearch?NPDID_wellbore=3666	NO
3668	6507/3-3	6507/3-3	SKARV	159	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1998-12-23	1999-03-25	GAS	P&A	9	WILDCAT	391.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3668	http://www.npd.no/FactMapSearch?NPDID_wellbore=3668	YES
3669	33/9-G-4	33/9-G-4 H	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN LEADER	STATFJORD G	1999-01-26	1999-03-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	157.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3669	http://www.npd.no/FactMapSearch?NPDID_wellbore=3669	NO
3670	33/9-G-4	33/9-G-4 AH	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN LEADER	STATFJORD G	1999-03-04	1999-03-16	OIL	PRODUCING	50	PRODUCTION	157.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3670	http://www.npd.no/FactMapSearch?NPDID_wellbore=3670	NO
3672	30/9-F-19	30/9-F-19	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR	1999-02-13	1999-03-22	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3672	http://www.npd.no/FactMapSearch?NPDID_wellbore=3672	NO
3673	30/9-F-19	30/9-F-19 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR	1999-03-22	1999-04-08	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3673	http://www.npd.no/FactMapSearch?NPDID_wellbore=3673	NO
3674	6506/12-L-2	6506/12-L-2 AH	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD L	1999-03-02	1999-04-06	OIL	PRODUCING	50	PRODUCTION	288.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3674	http://www.npd.no/FactMapSearch?NPDID_wellbore=3674	NO
3678	25/8-B-17	25/8-B-17	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2000-09-13	2000-10-13	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3678	http://www.npd.no/FactMapSearch?NPDID_wellbore=3678	NO
3681	33/9-C-12	33/9-C-12 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1998-10-19	1998-12-23	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3681	http://www.npd.no/FactMapSearch?NPDID_wellbore=3681	NO
3683	6507/5-1	6507/5-1	SKARV	212	EXPLORATION	Amoco Norway Oil Company	NO	MÆRSK JUTLANDER	\N	1997-12-24	1998-05-03	OIL/GAS/CONDENSATE	SUSPENDED	0	WILDCAT	323.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3683	http://www.npd.no/FactMapSearch?NPDID_wellbore=3683	YES
3686	34/10-D-1	34/10-D-1 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR D	2000-11-17	2001-08-31	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3686	http://www.npd.no/FactMapSearch?NPDID_wellbore=3686	NO
3687	34/10-D-3	34/10-D-3 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR D	1999-07-31	1999-08-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3687	http://www.npd.no/FactMapSearch?NPDID_wellbore=3687	NO
3689	34/7-P-36	34/7-P-36 A	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1999-02-04	1999-03-14	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3689	http://www.npd.no/FactMapSearch?NPDID_wellbore=3689	NO
3690	34/10-D-2	34/10-D-2 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR D	1999-05-13	1999-07-29	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3690	http://www.npd.no/FactMapSearch?NPDID_wellbore=3690	NO
3691	33/9-C-19	33/9-C-19 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1999-02-23	1999-04-10	NOT AVAILABLE	PLUGGED	71	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3691	http://www.npd.no/FactMapSearch?NPDID_wellbore=3691	NO
3693	30/3-A-18	30/3-A-18 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1999-03-27	1999-04-16	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3693	http://www.npd.no/FactMapSearch?NPDID_wellbore=3693	NO
3694	33/9-A-14	33/9-A-14 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1999-04-18	1999-06-12	WATER	INJECTING	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3694	http://www.npd.no/FactMapSearch?NPDID_wellbore=3694	NO
3698	6507/7-C-4	6507/7-C-4 H	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SCARABEO 6	HEIDRUN C	1999-02-28	1999-08-03	WATER	PLUGGED	173	INJECTION	327.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3698	http://www.npd.no/FactMapSearch?NPDID_wellbore=3698	NO
3702	34/7-29	34/7-29 SR	\N	089	EXPLORATION	Saga Petroleum ASA	NO	DEEPSEA BERGEN	\N	1999-02-18	1999-03-17	OIL	P&A	5	APPRAISAL	250.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3702	http://www.npd.no/FactMapSearch?NPDID_wellbore=3702	NO
3703	9/2-9	9/2-9 S	YME	114	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1999-06-29	1999-10-18	OIL	RE-CLASS TO DEV	5	WILDCAT	77.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3703	http://www.npd.no/FactMapSearch?NPDID_wellbore=3703	YES
3704	34/7-A-2	34/7-A-2 AH	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	1999-04-20	1999-05-25	WATER	INJECTING	173	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3704	http://www.npd.no/FactMapSearch?NPDID_wellbore=3704	NO
3705	6407/7-A-13	6407/7-A-13 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD	NJORD A	1999-03-09	1999-04-27	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3705	http://www.npd.no/FactMapSearch?NPDID_wellbore=3705	NO
3706	30/3-A-5	30/3-A-5 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	1999-03-03	1999-03-27	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3706	http://www.npd.no/FactMapSearch?NPDID_wellbore=3706	NO
3707	34/10-B-4	34/10-B-4 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	1999-04-11	1999-06-19	OIL	PRODUCING	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3707	http://www.npd.no/FactMapSearch?NPDID_wellbore=3707	NO
3708	30/9-F-14	30/9-F-14	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR	1999-04-08	1999-05-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3708	http://www.npd.no/FactMapSearch?NPDID_wellbore=3708	NO
3709	30/9-F-14	30/9-F-14 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR	1999-05-09	1999-05-21	WATER	PLUGGED	173	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3709	http://www.npd.no/FactMapSearch?NPDID_wellbore=3709	NO
3710	2/4-X-16	2/4-X-16	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	1999-04-08	1999-06-15	OIL	PLUGGED	50	PRODUCTION	76.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3710	http://www.npd.no/FactMapSearch?NPDID_wellbore=3710	NO
3713	33/9-L-1	33/9-L-1 H	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST ALPHA	STATFJORD ØST L	1999-03-23	1999-04-22	OIL	PRODUCING	50	PRODUCTION	153.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3713	http://www.npd.no/FactMapSearch?NPDID_wellbore=3713	NO
3714	2/7-D-9	2/7-D-9	EMBLA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EMBLA	1999-06-14	1999-08-25	OIL	PRODUCING	50	PRODUCTION	70.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3714	http://www.npd.no/FactMapSearch?NPDID_wellbore=3714	NO
3715	6506/12-I-2	6506/12-I-2 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD I	1999-04-09	1999-05-19	OIL	PRODUCING	50	PRODUCTION	289.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3715	http://www.npd.no/FactMapSearch?NPDID_wellbore=3715	NO
3716	30/9-B-29	30/9-B-29 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1999-02-24	1999-03-17	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3716	http://www.npd.no/FactMapSearch?NPDID_wellbore=3716	NO
3717	30/9-B-29	30/9-B-29 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1999-03-17	1999-04-24	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3717	http://www.npd.no/FactMapSearch?NPDID_wellbore=3717	NO
3718	6507/3-3	6507/3-3 A	SKARV	159	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1999-03-25	1999-05-06	GAS	P&A	9	APPRAISAL	391.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3718	http://www.npd.no/FactMapSearch?NPDID_wellbore=3718	NO
3719	35/10-3	35/10-3	\N	173	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	\N	1999-06-23	1999-07-14	DRY	P&A	1	WILDCAT	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3719	http://www.npd.no/FactMapSearch?NPDID_wellbore=3719	NO
3720	34/7-E-1	34/7-E-1 H	VIGDIS	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	VIGDIS E	2001-04-10	2001-05-19	WATER	INJECTING	173	INJECTION	283.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3720	http://www.npd.no/FactMapSearch?NPDID_wellbore=3720	NO
3721	34/7-E-4	34/7-E-4 H	VIGDIS	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	VIGDIS E	2002-05-06	2002-06-13	WATER	INJECTING	173	INJECTION	283.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3721	http://www.npd.no/FactMapSearch?NPDID_wellbore=3721	NO
3731	25/8-B-2	25/8-B-2	JOTUN	027 P	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	1999-05-01	1999-06-25	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3731	http://www.npd.no/FactMapSearch?NPDID_wellbore=3731	NO
3732	25/8-B-2	25/8-B-2 A	JOTUN	027 P	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	1999-06-26	1999-07-28	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3732	http://www.npd.no/FactMapSearch?NPDID_wellbore=3732	NO
3733	6507/7-A-48	6507/7-A-48	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1999-05-03	1999-07-06	OIL	PRODUCING	50	PRODUCTION	345.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3733	http://www.npd.no/FactMapSearch?NPDID_wellbore=3733	NO
3735	6507/7-B-4	6507/7-B-4 H	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SCARABEO 6	HEIDRUN B	1999-04-11	1999-07-17	WATER	INJECTING	173	INJECTION	340.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3735	http://www.npd.no/FactMapSearch?NPDID_wellbore=3735	NO
3738	34/10-C-41	34/10-C-41	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1999-06-23	1999-08-23	OIL	PLUGGED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3738	http://www.npd.no/FactMapSearch?NPDID_wellbore=3738	NO
3739	30/9-B-12	30/9-B-12 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1999-05-04	1999-06-02	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3739	http://www.npd.no/FactMapSearch?NPDID_wellbore=3739	NO
3740	9/2-A-4	9/2-A-4 A	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME	YME B ØST	1999-04-21	1999-05-19	OIL	P&A	50	PRODUCTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3740	http://www.npd.no/FactMapSearch?NPDID_wellbore=3740	NO
3743	31/5-J-13	31/5-J-13 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL J1	1999-03-16	1999-04-24	OIL	PLUGGED	50	PRODUCTION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3743	http://www.npd.no/FactMapSearch?NPDID_wellbore=3743	NO
3744	31/5-J-13	31/5-J-13 AY1H	TROLL	085	DEVELOPMENT	StatoilHydro Petroleum AS	YES	SONGA DEE	TROLL J1	2009-01-14	2009-02-08	OIL	SUSP.AT TD	50	PRODUCTION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3744	http://www.npd.no/FactMapSearch?NPDID_wellbore=3744	NO
3745	33/9-C-18	33/9-C-18 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1999-04-21	1999-05-24	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3745	http://www.npd.no/FactMapSearch?NPDID_wellbore=3745	NO
3751	6608/10-F-1	6608/10-F-1 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	NORNE F	1999-04-29	1999-05-27	WATER	INJECTING	173	INJECTION	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3751	http://www.npd.no/FactMapSearch?NPDID_wellbore=3751	NO
3752	34/7-I-10	34/7-I-10 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	DEEPSEA BERGEN	34/7-I-10 H	1999-06-27	1999-09-05	WATER	INJECTING	173	INJECTION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3752	http://www.npd.no/FactMapSearch?NPDID_wellbore=3752	NO
3753	31/2-P-12	31/2-P-12 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL P1	1999-05-20	1999-06-24	OIL	PRODUCING	50	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3753	http://www.npd.no/FactMapSearch?NPDID_wellbore=3753	NO
3754	6507/7-A-46	6507/7-A-46 A	HEIDRUN	095	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	2010-12-02	2011-04-25	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3754	http://www.npd.no/FactMapSearch?NPDID_wellbore=3754	NO
3755	25/11-23	25/11-23	BALDER	001	EXPLORATION	Esso Exploration and Production Norway A/S	NO	MÆRSK JUTLANDER	\N	1999-05-13	1999-05-28	OIL	P&A	5	APPRAISAL	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3755	http://www.npd.no/FactMapSearch?NPDID_wellbore=3755	NO
3756	6507/5-2	6507/5-2	SKARV	212	EXPLORATION	Amoco Norway Oil Company	NO	WEST ALPHA	\N	1999-08-13	1999-09-23	GAS/CONDENSATE	P&A	17	APPRAISAL	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3756	http://www.npd.no/FactMapSearch?NPDID_wellbore=3756	NO
3757	34/7-30	34/7-30 S	TORDIS	089	EXPLORATION	Saga Petroleum ASA	NO	BIDEFORD DOLPHIN	\N	1999-05-26	1999-06-12	DRY	P&A	1	APPRAISAL	213.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3757	http://www.npd.no/FactMapSearch?NPDID_wellbore=3757	NO
3758	6506/12-J-1	6506/12-J-1 H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	OCEAN VANGUARD	ÅSGARD J	2007-04-17	2007-08-01	OIL	PRODUCING	50	PRODUCTION	255.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3758	http://www.npd.no/FactMapSearch?NPDID_wellbore=3758	NO
3759	6704/12-1	6704/12-1	\N	215	EXPLORATION	Saga Petroleum ASA	NO	SCARABEO 5	\N	1999-06-04	1999-07-24	DRY	P&A	1	WILDCAT	1352.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3759	http://www.npd.no/FactMapSearch?NPDID_wellbore=3759	NO
3760	31/2-K-23	31/2-K-23 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL K2	1999-06-01	1999-06-18	NOT APPLICABLE	PLUGGED	99	OBSERVATION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3760	http://www.npd.no/FactMapSearch?NPDID_wellbore=3760	NO
3761	31/2-K-23	31/2-K-23 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL K2	1999-07-27	1999-08-18	OIL	PRODUCING	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3761	http://www.npd.no/FactMapSearch?NPDID_wellbore=3761	NO
3762	30/9-F-18	30/9-F-18	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR	1999-05-21	1999-07-01	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3762	http://www.npd.no/FactMapSearch?NPDID_wellbore=3762	NO
3763	30/9-F-18	30/9-F-18 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR	1999-12-16	2000-01-13	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3763	http://www.npd.no/FactMapSearch?NPDID_wellbore=3763	NO
3771	25/8-12	25/8-12 S	BALDER	027	EXPLORATION	Esso Exploration and Production Norway A/S	NO	MÆRSK JUTLANDER	\N	1999-05-29	1999-06-09	OIL	P&A	5	APPRAISAL	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3771	http://www.npd.no/FactMapSearch?NPDID_wellbore=3771	NO
3772	25/8-12	25/8-12 A	BALDER	027	EXPLORATION	Esso Exploration and Production Norway A/S	NO	MÆRSK JUTLANDER	\N	1999-06-09	1999-06-19	OIL	P&A	5	APPRAISAL	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3772	http://www.npd.no/FactMapSearch?NPDID_wellbore=3772	NO
3773	6507/3-3	6507/3-3 B	SKARV	159	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1999-05-07	1999-06-16	GAS	P&A	9	APPRAISAL	391.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3773	http://www.npd.no/FactMapSearch?NPDID_wellbore=3773	NO
3777	6608/10-F-2	6608/10-F-2 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE F	1999-09-18	1999-10-15	WATER	INJECTING	173	INJECTION	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3777	http://www.npd.no/FactMapSearch?NPDID_wellbore=3777	NO
3778	6608/10-F-3	6608/10-F-3 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE F	1999-12-02	2000-02-05	WATER	INJECTING	173	INJECTION	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3778	http://www.npd.no/FactMapSearch?NPDID_wellbore=3778	NO
3779	6608/10-F-4	6608/10-F-4 H	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	NORNE F	2001-06-10	2001-07-06	WATER	PLUGGED	173	INJECTION	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3779	http://www.npd.no/FactMapSearch?NPDID_wellbore=3779	NO
3781	6407/12-1	6407/12-1	DRAUGEN	176	EXPLORATION	A/S Norske Shell	NO	MÆRSK JUTLANDER	\N	1999-07-07	1999-07-14	OIL	P&A	5	APPRAISAL	289.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3781	http://www.npd.no/FactMapSearch?NPDID_wellbore=3781	NO
3784	31/2-K-13	31/2-K-13 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL K1	1999-06-20	1999-07-01	OIL	PLUGGED	99	OBSERVATION	319.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3784	http://www.npd.no/FactMapSearch?NPDID_wellbore=3784	NO
3786	31/2-K-13	31/2-K-13 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL K1	1999-07-02	1999-07-23	OIL	PLUGGED	50	PRODUCTION	319.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3786	http://www.npd.no/FactMapSearch?NPDID_wellbore=3786	NO
3789	34/7-P-45	34/7-P-45	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1999-06-14	1999-10-04	GAS	INJECTING	91	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3789	http://www.npd.no/FactMapSearch?NPDID_wellbore=3789	NO
3790	33/9-C-40	33/9-C-40 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1999-06-17	1999-07-22	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3790	http://www.npd.no/FactMapSearch?NPDID_wellbore=3790	NO
3791	35/8-4	35/8-4	\N	195	EXPLORATION	BP Norway Limited  U.A.	NO	WEST ALPHA	\N	1999-07-04	1999-08-10	DRY	P&A	1	WILDCAT	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3791	http://www.npd.no/FactMapSearch?NPDID_wellbore=3791	NO
3792	6506/11-F-2	6506/11-F-2 H	ÅSGARD	134	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD F	1999-06-07	1999-07-31	GAS	PRODUCING	90	PRODUCTION	289.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3792	http://www.npd.no/FactMapSearch?NPDID_wellbore=3792	NO
3793	34/10-H-3	34/10-H-3 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR H	1999-06-15	1999-09-18	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3793	http://www.npd.no/FactMapSearch?NPDID_wellbore=3793	NO
3794	30/6-E-4	30/6-E-4	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	1999-07-01	1999-07-30	OIL	PLUGGED	50	PRODUCTION	157.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3794	http://www.npd.no/FactMapSearch?NPDID_wellbore=3794	NO
3795	30/6-E-4	30/6-E-4 A	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	1999-07-30	1999-09-11	OIL	PLUGGED	50	PRODUCTION	157.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3795	http://www.npd.no/FactMapSearch?NPDID_wellbore=3795	NO
3796	33/12-B-6	33/12-B-6 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	1999-07-08	1999-08-13	OIL	PRODUCING	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3796	http://www.npd.no/FactMapSearch?NPDID_wellbore=3796	NO
3797	30/9-K-12	30/9-K-12 H	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR K	1999-07-06	1999-09-15	WATER	INJECTING	173	INJECTION	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3797	http://www.npd.no/FactMapSearch?NPDID_wellbore=3797	NO
3801	6407/7-A-5	6407/7-A-5 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD	NJORD A	1999-07-07	1999-08-11	GAS	PLUGGED	91	INJECTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3801	http://www.npd.no/FactMapSearch?NPDID_wellbore=3801	NO
3803	6407/9-A-4	6407/9-A-4	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DRAUGEN	DRAUGEN	1999-06-03	1999-08-08	NOT APPLICABLE	PLUGGED	99	OBSERVATION	253.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3803	http://www.npd.no/FactMapSearch?NPDID_wellbore=3803	NO
3804	6407/9-A-4	6407/9-A-4 A	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	DRAUGEN	DRAUGEN	1999-08-11	1999-10-12	OIL	PRODUCING	50	PRODUCTION	253.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3804	http://www.npd.no/FactMapSearch?NPDID_wellbore=3804	NO
3805	34/10-D-3	34/10-D-3 AH	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR D	1999-10-09	2000-01-24	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3805	http://www.npd.no/FactMapSearch?NPDID_wellbore=3805	NO
3810	25/8-B-1	25/8-B-1	JOTUN	027 P	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	1999-08-02	1999-08-31	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3810	http://www.npd.no/FactMapSearch?NPDID_wellbore=3810	NO
3812	6507/7-12	6507/7-12	\N	095	EXPLORATION	Conoco Norway Inc.	NO	MÆRSK JUTLANDER	\N	1999-07-17	1999-08-12	OIL SHOWS	P&A	12	WILDCAT	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3812	http://www.npd.no/FactMapSearch?NPDID_wellbore=3812	NO
3813	6507/7-A-13	6507/7-A-13	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1999-07-12	1999-09-04	OIL	CLOSED	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3813	http://www.npd.no/FactMapSearch?NPDID_wellbore=3813	NO
3814	34/10-K-4	34/10-K-4 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR K	2000-01-30	2000-04-05	OIL	PLUGGED	50	PRODUCTION	140.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3814	http://www.npd.no/FactMapSearch?NPDID_wellbore=3814	NO
3815	33/9-C-23	33/9-C-23 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1999-07-31	1999-08-22	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3815	http://www.npd.no/FactMapSearch?NPDID_wellbore=3815	NO
3816	34/10-42	34/10-42 S	VALEMON	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	\N	1999-07-15	1999-09-19	SHOWS	P&A	12	APPRAISAL	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3816	http://www.npd.no/FactMapSearch?NPDID_wellbore=3816	NO
3825	6407/7-A-18	6407/7-A-18 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD	NJORD A	1999-09-02	1999-10-19	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3825	http://www.npd.no/FactMapSearch?NPDID_wellbore=3825	NO
3830	9/2-A-6	9/2-A-6 A	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME	YME B ØST	1999-07-13	1999-08-19	OIL	P&A	50	PRODUCTION	92.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3830	http://www.npd.no/FactMapSearch?NPDID_wellbore=3830	NO
3831	25/8-B-3	25/8-B-3	JOTUN	027 P	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	1999-09-02	1999-10-01	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3831	http://www.npd.no/FactMapSearch?NPDID_wellbore=3831	NO
3839	30/9-B-33	30/9-B-33	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1999-08-13	1999-10-21	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3839	http://www.npd.no/FactMapSearch?NPDID_wellbore=3839	NO
3840	30/9-B-33	30/9-B-33 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	1999-12-06	2000-01-17	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3840	http://www.npd.no/FactMapSearch?NPDID_wellbore=3840	NO
3841	2/7-A-16	2/7-A-16 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	1999-09-26	1999-11-30	OIL	PRODUCING	50	PRODUCTION	75.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3841	http://www.npd.no/FactMapSearch?NPDID_wellbore=3841	NO
3849	6508/1-1	6508/1-1 A	\N	213	EXPLORATION	Saga Petroleum ASA	NO	SCARABEO 5	\N	1999-08-29	1999-09-13	DRY	P&A	1	WILDCAT	389.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3849	http://www.npd.no/FactMapSearch?NPDID_wellbore=3849	NO
3853	34/10-C-42	34/10-C-42	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	1999-09-01	2000-01-12	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3853	http://www.npd.no/FactMapSearch?NPDID_wellbore=3853	NO
3854	33/9-C-5	33/9-C-5 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1999-08-28	1999-09-10	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3854	http://www.npd.no/FactMapSearch?NPDID_wellbore=3854	NO
3855	33/9-C-5	33/9-C-5 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2003-07-19	2003-08-05	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3855	http://www.npd.no/FactMapSearch?NPDID_wellbore=3855	NO
3856	31/2-K-22	31/2-K-22 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL K2	1999-08-19	1999-08-28	NOT APPLICABLE	PLUGGED	99	OBSERVATION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3856	http://www.npd.no/FactMapSearch?NPDID_wellbore=3856	NO
3857	31/2-K-22	31/2-K-22 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL K2	1999-08-28	1999-09-20	OIL	PLUGGED	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3857	http://www.npd.no/FactMapSearch?NPDID_wellbore=3857	NO
3858	34/7-B-3	34/7-B-3 H	VIGDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	BIDEFORD DOLPHIN	VIGDIS B	2000-01-05	2000-05-28	OIL	PRODUCING	50	PRODUCTION	292.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3858	http://www.npd.no/FactMapSearch?NPDID_wellbore=3858	NO
3860	2/7-D-6	2/7-D-6	EMBLA	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EMBLA	1999-08-25	1999-11-21	OIL	PRODUCING	50	PRODUCTION	70.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3860	http://www.npd.no/FactMapSearch?NPDID_wellbore=3860	NO
3862	31/2-O-11	31/2-O-11 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL O1	1999-10-15	1999-11-15	OIL	PLUGGED	50	PRODUCTION	359.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3862	http://www.npd.no/FactMapSearch?NPDID_wellbore=3862	NO
3863	6506/12-J-2	6506/12-J-2 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD J	1999-08-24	1999-09-24	GAS	PRODUCING	90	PRODUCTION	255.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3863	http://www.npd.no/FactMapSearch?NPDID_wellbore=3863	NO
3864	6506/12-J-3	6506/12-J-3 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD J	1999-09-24	1999-11-02	OIL	PRODUCING	50	PRODUCTION	255.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3864	http://www.npd.no/FactMapSearch?NPDID_wellbore=3864	NO
3865	33/9-A-22	33/9-A-22 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1999-09-23	1999-11-01	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3865	http://www.npd.no/FactMapSearch?NPDID_wellbore=3865	NO
3868	15/9-B-20	15/9-B-20	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER VEST	SLEIPNER B	1999-01-28	1999-07-01	GAS	PRODUCING	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3868	http://www.npd.no/FactMapSearch?NPDID_wellbore=3868	NO
3870	6507/7-A-43	6507/7-A-43	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1999-09-13	1999-10-31	WATER	PLUGGED	173	INJECTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3870	http://www.npd.no/FactMapSearch?NPDID_wellbore=3870	NO
3871	33/9-C-1	33/9-C-1 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1999-09-21	1999-10-16	WATER/GAS	PLUGGED	0	INJECTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3871	http://www.npd.no/FactMapSearch?NPDID_wellbore=3871	NO
3872	30/9-K-13	30/9-K-13 H	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR K	1999-09-16	1999-10-26	OIL	PRODUCING	50	PRODUCTION	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3872	http://www.npd.no/FactMapSearch?NPDID_wellbore=3872	NO
3873	30/6-E-13	30/6-E-13	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	1999-09-25	1999-10-04	WATER	PRODUCING	172	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3873	http://www.npd.no/FactMapSearch?NPDID_wellbore=3873	NO
3874	6507/8-D-2	6507/8-D-2 H	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SCARABEO 6	HEIDRUN D	1999-08-17	1999-11-16	OIL	PLUGGED	50	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3874	http://www.npd.no/FactMapSearch?NPDID_wellbore=3874	NO
3875	34/8-A-9	34/8-A-9 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	1999-11-26	2000-03-08	OIL	PLUGGED	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3875	http://www.npd.no/FactMapSearch?NPDID_wellbore=3875	NO
3876	31/5-J-23	31/5-J-23 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL J2	1999-09-23	1999-10-02	NOT APPLICABLE	PLUGGED	99	OBSERVATION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3876	http://www.npd.no/FactMapSearch?NPDID_wellbore=3876	NO
3877	31/5-J-23	31/5-J-23 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL J2	1999-10-03	1999-10-25	OIL	PRODUCING	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3877	http://www.npd.no/FactMapSearch?NPDID_wellbore=3877	NO
3878	6406/2-7	6406/2-7	\N	199	EXPLORATION	Saga Petroleum ASA	NO	TRANSOCEAN ARCTIC	\N	1999-09-22	1999-12-26	GAS/CONDENSATE	P&A	17	WILDCAT	293.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3878	http://www.npd.no/FactMapSearch?NPDID_wellbore=3878	YES
3883	30/6-E-6	30/6-E-6	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	1999-10-06	2000-01-19	NOT AVAILABLE	PLUGGED	72	INJECTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3883	http://www.npd.no/FactMapSearch?NPDID_wellbore=3883	NO
3885	25/6-3	25/6-3	\N	245	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1999-10-21	1999-11-11	DRY	P&A	1	WILDCAT	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3885	http://www.npd.no/FactMapSearch?NPDID_wellbore=3885	NO
3886	34/7-30	34/7-30 SR	TORDIS	089	EXPLORATION	Saga Petroleum ASA	NO	SCARABEO 5	\N	1999-11-12	1999-12-02	DRY	P&A	1	APPRAISAL	213.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3886	http://www.npd.no/FactMapSearch?NPDID_wellbore=3886	NO
3887	34/4-C-6	34/4-C-6 H	SNORRE	057	DEVELOPMENT	Saga Petroleum ASA	NO	WEST ALPHA	34/4-C H	1999-10-11	1999-11-20	NOT APPLICABLE	PLUGGED	99	OBSERVATION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3887	http://www.npd.no/FactMapSearch?NPDID_wellbore=3887	NO
3888	33/9-C-32	33/9-C-32 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1999-10-23	1999-11-10	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3888	http://www.npd.no/FactMapSearch?NPDID_wellbore=3888	NO
3889	6507/7-A-26	6507/7-A-26	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	1999-11-07	1999-12-31	OIL	PLUGGED	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3889	http://www.npd.no/FactMapSearch?NPDID_wellbore=3889	NO
3890	2/4-W-4	2/4-W-4 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EKOFISK W	1999-11-17	2000-01-12	WATER	INJECTING	173	INJECTION	77.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3890	http://www.npd.no/FactMapSearch?NPDID_wellbore=3890	NO
3892	25/8-B-15	25/8-B-15	JOTUN	027 P	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	1999-10-04	1999-11-07	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3892	http://www.npd.no/FactMapSearch?NPDID_wellbore=3892	NO
3893	34/10-L-4	34/10-L-4 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR L	1999-11-14	2000-01-27	GAS	PLUGGED	90	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3893	http://www.npd.no/FactMapSearch?NPDID_wellbore=3893	NO
3894	30/9-K-14	30/9-K-14 H	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR K	1999-10-30	1999-12-08	NOT AVAILABLE	PLUGGED	72	INJECTION	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3894	http://www.npd.no/FactMapSearch?NPDID_wellbore=3894	NO
3895	34/7-P-19	34/7-P-19	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	1999-10-28	2000-01-27	OIL	PLUGGED	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3895	http://www.npd.no/FactMapSearch?NPDID_wellbore=3895	NO
3896	33/9-A-17	33/9-A-17 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1999-11-12	1999-12-16	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3896	http://www.npd.no/FactMapSearch?NPDID_wellbore=3896	NO
3897	31/2-K-12	31/2-K-12 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL K1	1999-10-29	1999-11-10	NOT APPLICABLE	PLUGGED	99	OBSERVATION	319.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3897	http://www.npd.no/FactMapSearch?NPDID_wellbore=3897	NO
3898	31/2-K-12	31/2-K-12 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL K1	1999-11-11	1999-12-05	OIL	PLUGGED	50	PRODUCTION	319.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3898	http://www.npd.no/FactMapSearch?NPDID_wellbore=3898	NO
3899	30/3-8	30/3-8 S	VESLEFRIKK	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	\N	2000-03-26	2000-05-04	OIL SHOWS	P&A	12	APPRAISAL	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3899	http://www.npd.no/FactMapSearch?NPDID_wellbore=3899	NO
3911	9/2-B-4	9/2-B-4 H	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	YME B VEST	1999-10-18	1999-11-12	OIL	P&A	50	PRODUCTION	77.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3911	http://www.npd.no/FactMapSearch?NPDID_wellbore=3911	NO
3916	25/8-B-4	25/8-B-4 A	JOTUN	027 P	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	1999-12-22	2000-01-15	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3916	http://www.npd.no/FactMapSearch?NPDID_wellbore=3916	NO
3920	33/9-A-13	33/9-A-13 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1999-08-29	1999-09-13	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3920	http://www.npd.no/FactMapSearch?NPDID_wellbore=3920	NO
3921	6407/6-5	6407/6-5	MIKKEL	092	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	1999-11-15	1999-12-27	GAS	P&A	9	APPRAISAL	225.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3921	http://www.npd.no/FactMapSearch?NPDID_wellbore=3921	NO
3923	33/9-C-37	33/9-C-37 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1999-11-18	1999-12-03	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3923	http://www.npd.no/FactMapSearch?NPDID_wellbore=3923	NO
3925	30/6-E-1	30/6-E-1	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2000-04-02	2000-05-13	OIL	PLUGGED	50	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3925	http://www.npd.no/FactMapSearch?NPDID_wellbore=3925	NO
3926	30/6-E-3	30/6-E-3	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2002-02-26	2002-04-12	OIL	PLUGGED	50	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3926	http://www.npd.no/FactMapSearch?NPDID_wellbore=3926	NO
3927	30/6-E-5	30/6-E-5	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2000-11-13	2000-11-25	OIL	PLUGGED	50	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3927	http://www.npd.no/FactMapSearch?NPDID_wellbore=3927	NO
3928	30/6-E-7	30/6-E-7	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2001-01-02	2001-01-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3928	http://www.npd.no/FactMapSearch?NPDID_wellbore=3928	NO
3929	30/6-E-8	30/6-E-8	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2000-06-05	2000-08-04	OIL	PRODUCING	50	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3929	http://www.npd.no/FactMapSearch?NPDID_wellbore=3929	NO
3930	30/6-E-10	30/6-E-10	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2000-08-04	2000-08-18	WATER	PRODUCING	172	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3930	http://www.npd.no/FactMapSearch?NPDID_wellbore=3930	NO
3931	30/6-E-11	30/6-E-11	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2001-02-21	2001-03-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3931	http://www.npd.no/FactMapSearch?NPDID_wellbore=3931	NO
3932	30/6-E-12	30/6-E-12	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2000-08-27	2000-09-30	WATER	INJECTING	173	INJECTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3932	http://www.npd.no/FactMapSearch?NPDID_wellbore=3932	NO
3933	30/6-E-14	30/6-E-14	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2000-01-21	2000-03-13	WATER	PLUGGED	173	INJECTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3933	http://www.npd.no/FactMapSearch?NPDID_wellbore=3933	NO
3934	30/6-E-15	30/6-E-15	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2001-04-24	2001-06-15	OIL	PLUGGED	50	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3934	http://www.npd.no/FactMapSearch?NPDID_wellbore=3934	NO
3941	6710/10-1	6710/10-1	\N	220	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST NAVION	\N	2000-10-05	2000-10-26	DRY	P&A	1	WILDCAT	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3941	http://www.npd.no/FactMapSearch?NPDID_wellbore=3941	NO
3943	6507/11-X-1	6507/11-X-1 H	ÅSGARD	062	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD X	1999-12-08	2000-01-05	GAS	PRODUCING	90	PRODUCTION	298.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3943	http://www.npd.no/FactMapSearch?NPDID_wellbore=3943	NO
3944	6507/11-X-2	6507/11-X-2 H	ÅSGARD	062	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD X	2000-01-05	2000-01-29	GAS	PRODUCING	90	PRODUCTION	298.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3944	http://www.npd.no/FactMapSearch?NPDID_wellbore=3944	NO
3945	31/2-N-14	31/2-N-14 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL N1	1999-11-19	1999-12-05	NOT APPLICABLE	PLUGGED	99	OBSERVATION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3945	http://www.npd.no/FactMapSearch?NPDID_wellbore=3945	NO
3946	31/2-N-14	31/2-N-14 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL N1	1999-12-05	2000-01-12	OIL	PRODUCING	50	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3946	http://www.npd.no/FactMapSearch?NPDID_wellbore=3946	NO
3947	34/4-C-5	34/4-C-5 H	SNORRE	057	DEVELOPMENT	Saga Petroleum ASA	NO	WEST ALPHA	34/4-C H	1999-11-22	2000-01-15	OIL	PRODUCING	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3947	http://www.npd.no/FactMapSearch?NPDID_wellbore=3947	NO
3948	31/2-O-13	31/2-O-13 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL O1	2000-01-15	2000-01-28	NOT APPLICABLE	PLUGGED	99	OBSERVATION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3948	http://www.npd.no/FactMapSearch?NPDID_wellbore=3948	NO
3949	31/2-O-13	31/2-O-13 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL O1	2000-01-29	2000-02-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3949	http://www.npd.no/FactMapSearch?NPDID_wellbore=3949	NO
3950	6407/7-A-19	6407/7-A-19 H	NJORD	107	DEVELOPMENT	StatoilHydro Petroleum AS	NO	NJORD A	NJORD A	2009-10-15	2009-11-05	OIL	PLUGGED	99	OBSERVATION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3950	http://www.npd.no/FactMapSearch?NPDID_wellbore=3950	NO
3953	25/8-B-11	25/8-B-11	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2000-01-16	2000-03-06	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3953	http://www.npd.no/FactMapSearch?NPDID_wellbore=3953	NO
3954	33/9-N-1	33/9-N-1 H	SYGNA	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BORGLAND DOLPHIN	SYGNA N	2000-01-23	2000-03-29	OIL	PRODUCING	50	PRODUCTION	299.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3954	http://www.npd.no/FactMapSearch?NPDID_wellbore=3954	NO
3955	2/8-A-3	2/8-A-3 D	VALHALL	006	DEVELOPMENT	Amoco Norway Oil Company	NO	VALHALL DP	VALHALL DP	1999-12-30	2000-02-29	OIL	PRODUCING	50	PRODUCTION	69.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3955	http://www.npd.no/FactMapSearch?NPDID_wellbore=3955	NO
3957	34/4-C-7	34/4-C-7 H	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-C H	2006-07-15	2006-08-11	OIL	PLUGGED	99	OBSERVATION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3957	http://www.npd.no/FactMapSearch?NPDID_wellbore=3957	NO
3958	34/4-C-2	34/4-C-2 H	SNORRE	057	DEVELOPMENT	Saga Petroleum ASA	NO	WEST ALPHA	34/4-C H	2000-03-05	2000-04-20	OIL	PRODUCING	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3958	http://www.npd.no/FactMapSearch?NPDID_wellbore=3958	NO
3962	31/5-J-24	31/5-J-24 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL J2	1999-12-09	2000-01-26	OIL	PLUGGED	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3962	http://www.npd.no/FactMapSearch?NPDID_wellbore=3962	NO
3963	31/2-Q-12	31/2-Q-12 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	TROLL Q1	1999-12-23	2000-01-20	NOT APPLICABLE	PLUGGED	99	OBSERVATION	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3963	http://www.npd.no/FactMapSearch?NPDID_wellbore=3963	NO
3964	31/2-Q-12	31/2-Q-12 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	TROLL Q1	2000-01-21	2000-02-19	OIL	PLUGGED	50	PRODUCTION	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3964	http://www.npd.no/FactMapSearch?NPDID_wellbore=3964	NO
3965	34/8-B-1	34/8-B-1 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	VISUND NORD	1999-12-31	2000-01-30	NOT APPLICABLE	PLUGGED	99	OBSERVATION	405.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3965	http://www.npd.no/FactMapSearch?NPDID_wellbore=3965	NO
3966	34/8-B-1	34/8-B-1 AH	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	VISUND NORD	2002-02-01	2002-04-08	OIL	PLUGGED	50	PRODUCTION	405.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3966	http://www.npd.no/FactMapSearch?NPDID_wellbore=3966	NO
3967	33/9-A-27	33/9-A-27 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	1999-12-29	2000-01-28	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3967	http://www.npd.no/FactMapSearch?NPDID_wellbore=3967	NO
3968	33/9-A-27	33/9-A-27 C	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD A	STATFJORD A	2008-07-08	2008-07-28	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3968	http://www.npd.no/FactMapSearch?NPDID_wellbore=3968	NO
3969	6507/8-D-3	6507/8-D-3 H	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SCARABEO 6	HEIDRUN D	1999-12-23	2000-02-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3969	http://www.npd.no/FactMapSearch?NPDID_wellbore=3969	NO
3977	34/8-A-11	34/8-A-11 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2000-03-09	2000-03-19	GAS	JUNKED	91	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3977	http://www.npd.no/FactMapSearch?NPDID_wellbore=3977	NO
3979	15/9-A-4	15/9-A-4	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	2000-01-15	2000-04-12	GAS	INJECTING	91	INJECTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3979	http://www.npd.no/FactMapSearch?NPDID_wellbore=3979	NO
3985	6407/7-A-12	6407/7-A-12 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	2000-02-22	2000-04-16	OIL	PRODUCING	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3985	http://www.npd.no/FactMapSearch?NPDID_wellbore=3985	NO
3986	30/9-B-38	30/9-B-38 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2000-02-08	2000-03-15	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3986	http://www.npd.no/FactMapSearch?NPDID_wellbore=3986	NO
3987	34/4-C-6	34/4-C-6 AH	SNORRE	057	DEVELOPMENT	Saga Petroleum ASA	NO	WEST ALPHA	34/4-C H	2000-02-02	2000-03-05	OIL	PRODUCING	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3987	http://www.npd.no/FactMapSearch?NPDID_wellbore=3987	NO
3988	15/9-B-3	15/9-B-3	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	2000-01-26	2000-02-28	GAS	PRODUCING	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3988	http://www.npd.no/FactMapSearch?NPDID_wellbore=3988	NO
3989	30/9-F-16	30/9-F-16	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR	2000-01-13	2000-04-19	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3989	http://www.npd.no/FactMapSearch?NPDID_wellbore=3989	NO
3990	34/10-L-2	34/10-L-2 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR L	2000-01-31	2000-03-08	GAS	PRODUCING	90	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3990	http://www.npd.no/FactMapSearch?NPDID_wellbore=3990	NO
3991	6507/11-X-3	6507/11-X-3 H	ÅSGARD	062	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD X	2000-06-30	2000-07-15	GAS	PRODUCING	90	PRODUCTION	298.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3991	http://www.npd.no/FactMapSearch?NPDID_wellbore=3991	NO
3992	6507/11-X-4	6507/11-X-4 H	ÅSGARD	062	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD X	2000-01-31	2000-03-17	GAS	PLUGGED	90	PRODUCTION	298.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3992	http://www.npd.no/FactMapSearch?NPDID_wellbore=3992	NO
3993	33/12-B-1	33/12-B-1 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2000-02-29	2000-03-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3993	http://www.npd.no/FactMapSearch?NPDID_wellbore=3993	NO
3994	33/12-B-1	33/12-B-1 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2000-03-23	2000-04-08	WATER	PLUGGED	173	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3994	http://www.npd.no/FactMapSearch?NPDID_wellbore=3994	NO
3995	30/3-8	30/3-8 A	VESLEFRIKK	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	\N	2000-05-04	2000-05-23	OIL SHOWS	P&A	12	APPRAISAL	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=3995	http://www.npd.no/FactMapSearch?NPDID_wellbore=3995	NO
3996	34/10-A-46	34/10-A-46	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	2000-03-14	2000-05-14	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3996	http://www.npd.no/FactMapSearch?NPDID_wellbore=3996	NO
3997	31/5-J-14	31/5-J-14 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL J1	2000-01-29	2000-03-02	OIL	PLUGGED	50	PRODUCTION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3997	http://www.npd.no/FactMapSearch?NPDID_wellbore=3997	NO
3998	33/9-A-7	33/9-A-7 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	2000-02-13	2000-03-02	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=3998	http://www.npd.no/FactMapSearch?NPDID_wellbore=3998	NO
4001	31/2-Y-24	31/2-Y-24 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	TROLL U2	2000-02-21	2000-03-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4001	http://www.npd.no/FactMapSearch?NPDID_wellbore=4001	NO
4002	31/2-Y-24	31/2-Y-24 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	TROLL U2	2000-03-10	2000-03-31	NOT AVAILABLE	PLUGGED	71	PRODUCTION	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4002	http://www.npd.no/FactMapSearch?NPDID_wellbore=4002	NO
4003	34/7-K-4	34/7-K-4 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	TORDIS ØST K	2000-03-18	2000-04-08	WATER	INJECTING	173	INJECTION	202.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4003	http://www.npd.no/FactMapSearch?NPDID_wellbore=4003	NO
4004	31/2-K-14	31/2-K-14 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL K1	2000-03-27	2000-04-10	NOT APPLICABLE	PLUGGED	99	OBSERVATION	320.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4004	http://www.npd.no/FactMapSearch?NPDID_wellbore=4004	NO
4005	31/2-K-14	31/2-K-14 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL K1	2000-04-10	2000-04-24	OIL	PLUGGED	50	PRODUCTION	320.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4005	http://www.npd.no/FactMapSearch?NPDID_wellbore=4005	NO
4006	31/2-K-14	31/2-K-14 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL K1	2000-04-24	2000-05-26	OIL	PLUGGED	50	PRODUCTION	320.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4006	http://www.npd.no/FactMapSearch?NPDID_wellbore=4006	NO
4007	2/4-W-6	2/4-W-6 A	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GUARDIAN	EKOFISK W	9999-12-31	9999-12-31	\N	\N	0	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4007	http://www.npd.no/FactMapSearch?NPDID_wellbore=4007	NO
4008	2/7-A-19	2/7-A-19 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	2000-01-21	2000-02-20	GAS	INJECTING	91	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4008	http://www.npd.no/FactMapSearch?NPDID_wellbore=4008	NO
4009	2/7-B-13	2/7-B-13 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	2000-02-05	2000-04-04	WATER	INJECTING	173	INJECTION	71.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4009	http://www.npd.no/FactMapSearch?NPDID_wellbore=4009	NO
4010	34/10-J-2	34/10-J-2 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	GULLFAKS SØR J	2000-02-13	2000-05-22	GAS	INJECTING	91	INJECTION	136.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4010	http://www.npd.no/FactMapSearch?NPDID_wellbore=4010	NO
4013	34/7-A-5	34/7-A-5 AH	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	2000-04-25	2000-06-06	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4013	http://www.npd.no/FactMapSearch?NPDID_wellbore=4013	NO
4015	6608/10-E-4	6608/10-E-4 AH	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE E	2000-03-12	2000-06-01	OIL	PRODUCING	50	PRODUCTION	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4015	http://www.npd.no/FactMapSearch?NPDID_wellbore=4015	NO
4016	31/2-O-41	31/2-O-41	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL O1	2000-04-04	2000-05-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4016	http://www.npd.no/FactMapSearch?NPDID_wellbore=4016	NO
4018	6507/7-A-9	6507/7-A-9 A	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	2000-02-10	2000-03-03	NOT AVAILABLE	PLUGGED	71	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4018	http://www.npd.no/FactMapSearch?NPDID_wellbore=4018	NO
4019	25/8-B-4	25/8-B-4	JOTUN	027 P	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	1999-11-18	1999-12-18	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4019	http://www.npd.no/FactMapSearch?NPDID_wellbore=4019	NO
4021	31/2-M-11	31/2-M-11 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL M1	2000-05-08	2000-07-14	OIL	PRODUCING	50	PRODUCTION	382.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4021	http://www.npd.no/FactMapSearch?NPDID_wellbore=4021	NO
4022	31/2-M-12	31/2-M-12 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL M1	2002-05-11	2002-07-17	OIL	PRODUCING	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4022	http://www.npd.no/FactMapSearch?NPDID_wellbore=4022	NO
4024	31/2-M-14	31/2-M-14 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL M1	2000-07-20	2000-07-31	NOT APPLICABLE	PLUGGED	99	OBSERVATION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4024	http://www.npd.no/FactMapSearch?NPDID_wellbore=4024	NO
4025	34/7-P-44	34/7-P-44	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	2000-02-19	2000-05-18	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4025	http://www.npd.no/FactMapSearch?NPDID_wellbore=4025	NO
4026	25/8-B-10	25/8-B-10	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2000-03-09	2000-04-05	WATER	INJECTING	173	INJECTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4026	http://www.npd.no/FactMapSearch?NPDID_wellbore=4026	NO
4027	34/7-B-4	34/7-B-4 H	VIGDIS	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	VIGDIS B	2000-06-04	2000-08-10	NOT APPLICABLE	PLUGGED	99	OBSERVATION	323.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4027	http://www.npd.no/FactMapSearch?NPDID_wellbore=4027	NO
4029	2/8-F-3	2/8-F-3 A	VALHALL	006	DEVELOPMENT	BP Amoco Norge AS	NO	MÆRSK GALLANT	VALHALL WP	2000-03-14	2000-05-17	OIL	PLUGGED	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4029	http://www.npd.no/FactMapSearch?NPDID_wellbore=4029	NO
4030	6507/8-D-1	6507/8-D-1 H	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SCARABEO 6	HEIDRUN D	2000-02-20	2000-03-29	OIL	PLUGGED	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4030	http://www.npd.no/FactMapSearch?NPDID_wellbore=4030	NO
4031	31/2-S-31	31/2-S-31 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL PILOT	2000-02-22	2000-03-31	WATER	INJECTING	173	INJECTION	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4031	http://www.npd.no/FactMapSearch?NPDID_wellbore=4031	NO
4032	9/2-A-2	9/2-A-2 B	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME A	YME B ØST	2000-02-24	2000-04-10	OIL	P&A	50	PRODUCTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4032	http://www.npd.no/FactMapSearch?NPDID_wellbore=4032	NO
4033	34/10-L-1	34/10-L-1 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR L	2000-03-09	2000-03-31	GAS	PLUGGED	90	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4033	http://www.npd.no/FactMapSearch?NPDID_wellbore=4033	NO
4036	25/8-B-8	25/8-B-8	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2000-04-11	2000-05-06	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4036	http://www.npd.no/FactMapSearch?NPDID_wellbore=4036	NO
4037	33/9-A-18	33/9-A-18 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	2000-03-20	2000-04-12	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4037	http://www.npd.no/FactMapSearch?NPDID_wellbore=4037	NO
4040	15/9-B-21	15/9-B-21	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	2000-03-06	2000-04-02	GAS	PRODUCING	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4040	http://www.npd.no/FactMapSearch?NPDID_wellbore=4040	NO
4042	31/3-S-22	31/3-S-22 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL S1	2002-11-09	2002-12-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4042	http://www.npd.no/FactMapSearch?NPDID_wellbore=4042	NO
4043	31/3-S-23	31/3-S-23 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL S1	2000-07-23	2000-08-21	OIL	PLUGGED	50	PRODUCTION	341.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4043	http://www.npd.no/FactMapSearch?NPDID_wellbore=4043	NO
4046	15/9-A-3	15/9-A-3	GUNGNE	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	2000-05-21	2001-02-03	GAS	PRODUCING	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4046	http://www.npd.no/FactMapSearch?NPDID_wellbore=4046	NO
4047	30/9-B-7	30/9-B-7 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2003-06-01	2003-06-21	GAS	INJECTING	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4047	http://www.npd.no/FactMapSearch?NPDID_wellbore=4047	NO
4048	30/9-B-7	30/9-B-7 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	\N	9999-12-31	9999-12-31	\N	\N	0	\N	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4048	http://www.npd.no/FactMapSearch?NPDID_wellbore=4048	NO
4049	30/9-B-38	30/9-B-38 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2000-03-16	2000-05-20	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4049	http://www.npd.no/FactMapSearch?NPDID_wellbore=4049	NO
4051	34/4-10	34/4-10 R	\N	057	EXPLORATION	Saga Petroleum ASA	NO	TRANSOCEAN ARCTIC	\N	2000-03-13	2000-04-18	OIL	P&A	5	WILDCAT	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4051	http://www.npd.no/FactMapSearch?NPDID_wellbore=4051	YES
4052	34/7-J-3	34/7-J-3 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	TORDIS EXTENSION	1998-02-02	1998-04-22	OIL	PLUGGED	50	PRODUCTION	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4052	http://www.npd.no/FactMapSearch?NPDID_wellbore=4052	NO
4053	30/3-9	30/3-9	\N	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST ALPHA	\N	2000-04-24	2000-07-01	GAS/CONDENSATE	P&A	17	WILDCAT	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4053	http://www.npd.no/FactMapSearch?NPDID_wellbore=4053	YES
4054	35/11-12	35/11-12	\N	248	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	\N	2000-04-19	2000-05-14	OIL SHOWS	P&A	12	WILDCAT	364.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4054	http://www.npd.no/FactMapSearch?NPDID_wellbore=4054	NO
4055	15/3-7	15/3-7	GUDRUN	025	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST ALPHA	\N	2001-04-26	2001-09-01	OIL/GAS	P&A	13	APPRAISAL	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4055	http://www.npd.no/FactMapSearch?NPDID_wellbore=4055	NO
4056	34/7-K-1	34/7-K-1 H	TORDIS	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	TORDIS ØST K	2002-10-09	2002-12-05	WATER	INJECTING	173	INJECTION	202.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4056	http://www.npd.no/FactMapSearch?NPDID_wellbore=4056	NO
4058	34/7-K-3	34/7-K-3 H	TORDIS	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	TORDIS ØST K	2002-02-07	2002-04-15	WATER	INJECTING	173	INJECTION	202.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4058	http://www.npd.no/FactMapSearch?NPDID_wellbore=4058	NO
4059	6507/5-3	6507/5-3	SKARV	212	EXPLORATION	BP Amoco Norge AS	NO	WEST NAVION	\N	2000-05-15	2000-06-23	GAS	P&A	9	WILDCAT	417.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4059	http://www.npd.no/FactMapSearch?NPDID_wellbore=4059	YES
4060	34/8-A-10	34/8-A-10 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2000-03-19	2000-05-04	NOT AVAILABLE	PLUGGED	71	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4060	http://www.npd.no/FactMapSearch?NPDID_wellbore=4060	NO
4061	30/6-E-1	30/6-E-1 A	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2000-05-13	2000-06-02	OIL	PRODUCING	50	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4061	http://www.npd.no/FactMapSearch?NPDID_wellbore=4061	NO
4065	6507/7-A-9	6507/7-A-9 B	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	2000-03-05	2000-04-30	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4065	http://www.npd.no/FactMapSearch?NPDID_wellbore=4065	NO
4067	34/10-F-3	34/10-F-3 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR F	2000-04-04	2000-05-25	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4067	http://www.npd.no/FactMapSearch?NPDID_wellbore=4067	NO
4068	31/2-Y-11	31/2-Y-11 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	TROLL U1	2000-04-04	2000-04-17	NOT APPLICABLE	PLUGGED	99	OBSERVATION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4068	http://www.npd.no/FactMapSearch?NPDID_wellbore=4068	NO
4069	31/2-Y-11	31/2-Y-11 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	TROLL U1	2000-04-18	2000-06-03	OIL	PLUGGED	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4069	http://www.npd.no/FactMapSearch?NPDID_wellbore=4069	NO
4070	6407/7-A-6	6407/7-A-6 AH	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	2000-05-08	2000-05-29	GAS	PRODUCING	91	INJECTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4070	http://www.npd.no/FactMapSearch?NPDID_wellbore=4070	NO
4071	34/10-I-4	34/10-I-4 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR I	2000-04-10	2000-05-31	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4071	http://www.npd.no/FactMapSearch?NPDID_wellbore=4071	NO
4074	33/9-A-26	33/9-A-26 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	2000-04-25	2000-05-05	NOT AVAILABLE	PLUGGED	71	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4074	http://www.npd.no/FactMapSearch?NPDID_wellbore=4074	NO
4075	9/2-A-1	9/2-A-1 A	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME A	YME B ØST	2000-05-14	2000-06-27	OIL	P&A	50	PRODUCTION	92.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4075	http://www.npd.no/FactMapSearch?NPDID_wellbore=4075	NO
4076	33/12-B-11	33/12-B-11 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2000-04-30	2000-05-14	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4076	http://www.npd.no/FactMapSearch?NPDID_wellbore=4076	NO
4077	34/7-P-30	34/7-P-30	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SNORRE A	SNORRE A	2000-05-18	2000-08-06	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4077	http://www.npd.no/FactMapSearch?NPDID_wellbore=4077	NO
4078	6406/2-2	6406/2-2 R	\N	199	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST ALPHA	\N	2006-02-24	2006-03-03	GAS/CONDENSATE	P&A	17	APPRAISAL	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4078	http://www.npd.no/FactMapSearch?NPDID_wellbore=4078	NO
4079	6608/10-D-3	6608/10-D-3 AH	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE D	2000-08-05	2000-08-30	OIL	PLUGGED	50	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4079	http://www.npd.no/FactMapSearch?NPDID_wellbore=4079	NO
4080	6506/12-M-3	6506/12-M-3 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD M	2000-04-10	2000-06-10	OIL/GAS	PRODUCING	0	PRODUCTION	273.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4080	http://www.npd.no/FactMapSearch?NPDID_wellbore=4080	NO
4081	6507/8-D-4	6507/8-D-4 H	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN PROSPECT	HEIDRUN D	2001-10-25	2001-12-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4081	http://www.npd.no/FactMapSearch?NPDID_wellbore=4081	NO
4085	25/8-B-7	25/8-B-7	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2000-05-12	2000-06-10	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4085	http://www.npd.no/FactMapSearch?NPDID_wellbore=4085	NO
4086	33/12-B-40	33/12-B-40 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2000-05-24	2000-06-28	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4086	http://www.npd.no/FactMapSearch?NPDID_wellbore=4086	NO
4087	31/2-M-23	31/2-M-23 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL M1	2000-06-04	2000-06-18	NOT APPLICABLE	PLUGGED	99	OBSERVATION	353.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4087	http://www.npd.no/FactMapSearch?NPDID_wellbore=4087	NO
4088	31/2-M-23	31/2-M-23 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL M1	2000-06-19	2000-07-21	OIL	PLUGGED	50	PRODUCTION	353.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4088	http://www.npd.no/FactMapSearch?NPDID_wellbore=4088	NO
4089	34/8-A-5	34/8-A-5 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2000-05-05	2000-06-08	NOT APPLICABLE	PLUGGED	99	OBSERVATION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4089	http://www.npd.no/FactMapSearch?NPDID_wellbore=4089	NO
4090	34/8-A-5	34/8-A-5 AH	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2000-06-09	2000-07-05	NOT AVAILABLE	PLUGGED	71	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4090	http://www.npd.no/FactMapSearch?NPDID_wellbore=4090	NO
4091	6506/12-N-4	6506/12-N-4 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN SEARCHER	ÅSGARD N	2000-05-07	2000-06-17	OIL	PRODUCING	50	PRODUCTION	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4091	http://www.npd.no/FactMapSearch?NPDID_wellbore=4091	NO
4092	34/7-B-4	34/7-B-4 AH	VIGDIS	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	VIGDIS B	2000-08-11	2000-09-28	OIL	PRODUCING	50	PRODUCTION	323.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4092	http://www.npd.no/FactMapSearch?NPDID_wellbore=4092	NO
4093	30/9-F-16	30/9-F-16 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	OSEBERG SØR	2000-04-19	2000-05-06	NOT AVAILABLE	PLUGGED	72	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4093	http://www.npd.no/FactMapSearch?NPDID_wellbore=4093	NO
4094	6406/2-6	6406/2-6 A	\N	199	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	\N	2000-05-24	2000-07-06	GAS/CONDENSATE	P&A	17	APPRAISAL	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4094	http://www.npd.no/FactMapSearch?NPDID_wellbore=4094	NO
4095	15/9-B-12	15/9-B-12	SLEIPNER VEST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	WEST EPSILON	SLEIPNER B	2000-05-13	2000-09-16	NOT AVAILABLE	PLUGGED	71	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4095	http://www.npd.no/FactMapSearch?NPDID_wellbore=4095	NO
4096	31/4-A-30	31/4-A-30	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2000-06-04	2000-07-05	NOT APPLICABLE	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4096	http://www.npd.no/FactMapSearch?NPDID_wellbore=4096	NO
4097	31/4-A-30	31/4-A-30 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2000-07-05	2000-07-20	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4097	http://www.npd.no/FactMapSearch?NPDID_wellbore=4097	NO
4098	34/10-I-2	34/10-I-2 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR I	2000-05-31	2000-07-06	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4098	http://www.npd.no/FactMapSearch?NPDID_wellbore=4098	NO
4099	6608/10-B-4	6608/10-B-4 AH	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BORGLAND DOLPHIN	NORNE B	2001-06-13	2001-07-12	NOT AVAILABLE	PLUGGED	99	OBSERVATION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4099	http://www.npd.no/FactMapSearch?NPDID_wellbore=4099	NO
4100	34/10-B-41	34/10-B-41	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	2000-05-21	2000-10-11	NOT APPLICABLE	PLUGGED	99	OBSERVATION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4100	http://www.npd.no/FactMapSearch?NPDID_wellbore=4100	NO
4101	34/10-B-41	34/10-B-41 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	2000-10-11	2000-12-05	OIL	PRODUCING	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4101	http://www.npd.no/FactMapSearch?NPDID_wellbore=4101	NO
4102	6507/8-F-2	6507/8-F-2 H	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN PROSPECT	HEIDRUN F	2002-04-25	2002-07-08	WATER	INJECTING	173	INJECTION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4102	http://www.npd.no/FactMapSearch?NPDID_wellbore=4102	NO
4132	31/4-A-32	31/4-A-32 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2000-09-18	2000-10-29	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4132	http://www.npd.no/FactMapSearch?NPDID_wellbore=4132	NO
4103	6507/8-F-4	6507/8-F-4 H	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN PROSPECT	HEIDRUN F	2002-03-16	2002-04-24	WATER	INJECTING	173	INJECTION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4103	http://www.npd.no/FactMapSearch?NPDID_wellbore=4103	NO
4104	15/9-B-23	15/9-B-23	SLEIPNER VEST	046	DEVELOPMENT	StatoilHydro ASA	NO	WEST EPSILON	SLEIPNER B	9999-12-31	9999-12-31	\N	\N	0	\N	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4104	http://www.npd.no/FactMapSearch?NPDID_wellbore=4104	NO
4107	34/10-E-2	34/10-E-2 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR E	2000-05-27	2000-07-14	GAS	PLUGGED	91	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4107	http://www.npd.no/FactMapSearch?NPDID_wellbore=4107	NO
4108	6406/2-6	6406/2-6 R	\N	199	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	\N	2000-05-17	2000-05-23	GAS/CONDENSATE	P&A	17	WILDCAT	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4108	http://www.npd.no/FactMapSearch?NPDID_wellbore=4108	NO
4109	6305/8-1	6305/8-1	ORMEN LANGE	250	EXPLORATION	Norsk Hydro Produksjon AS	NO	SCARABEO 5	\N	2000-07-13	2000-09-08	OIL/GAS	P&A	13	APPRAISAL	837.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4109	http://www.npd.no/FactMapSearch?NPDID_wellbore=4109	NO
4112	6608/10-E-3	6608/10-E-3 AH	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	NORNE E	2000-10-02	2000-12-12	OIL	PLUGGED	50	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4112	http://www.npd.no/FactMapSearch?NPDID_wellbore=4112	NO
4113	31/5-J-21	31/5-J-21 Y1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL J2	2000-06-10	2000-07-18	OIL	PRODUCING	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4113	http://www.npd.no/FactMapSearch?NPDID_wellbore=4113	NO
4114	31/5-J-21	31/5-J-21 Y2H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL J2	2000-07-24	2000-08-18	OIL	PLUGGED	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4114	http://www.npd.no/FactMapSearch?NPDID_wellbore=4114	NO
4116	25/8-B-20	25/8-B-20	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2000-06-14	2000-07-18	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4116	http://www.npd.no/FactMapSearch?NPDID_wellbore=4116	NO
4117	3/6-1	3/6-1	\N	238	EXPLORATION	Norsk Agip  AS	NO	TRANSOCEAN NORDIC	\N	2000-06-20	2000-07-10	DRY	P&A	1	WILDCAT	64.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4117	http://www.npd.no/FactMapSearch?NPDID_wellbore=4117	NO
4118	30/9-B-43	30/9-B-43	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2000-06-20	2000-08-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4118	http://www.npd.no/FactMapSearch?NPDID_wellbore=4118	NO
4119	30/9-B-43	30/9-B-43 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2000-08-14	2000-09-14	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4119	http://www.npd.no/FactMapSearch?NPDID_wellbore=4119	NO
4120	33/12-B-21	33/12-B-21 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2000-07-06	2000-07-27	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4120	http://www.npd.no/FactMapSearch?NPDID_wellbore=4120	NO
4121	30/2-A-4	30/2-A-4	HULDRA	051	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	MÆRSK GALLANT	HULDRA	2000-08-10	2000-11-01	GAS	PRODUCING	90	PRODUCTION	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4121	http://www.npd.no/FactMapSearch?NPDID_wellbore=4121	NO
4122	6506/6-1	6506/6-1	\N	211	EXPLORATION	Mobil Exploration Norway INC	NO	WEST ALPHA	\N	2000-07-10	2000-12-07	GAS	P&A	9	WILDCAT	434.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4122	http://www.npd.no/FactMapSearch?NPDID_wellbore=4122	YES
4123	33/9-A-15	33/9-A-15 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	2000-07-05	2000-07-23	NOT AVAILABLE	PLUGGED	71	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4123	http://www.npd.no/FactMapSearch?NPDID_wellbore=4123	NO
4124	30/3-A-20	30/3-A-20 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	2000-10-08	2000-11-12	WATER	PLUGGED	173	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4124	http://www.npd.no/FactMapSearch?NPDID_wellbore=4124	NO
4125	6507/7-A-23	6507/7-A-23	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	2000-07-18	2000-09-06	OIL	PRODUCING	50	PRODUCTION	345.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4125	http://www.npd.no/FactMapSearch?NPDID_wellbore=4125	NO
4126	6407/7-A-9	6407/7-A-9 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	2000-07-10	2000-10-10	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4126	http://www.npd.no/FactMapSearch?NPDID_wellbore=4126	NO
4127	6507/11-X-4	6507/11-X-4 AH	ÅSGARD	062	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD X	2001-01-24	2001-02-23	GAS	PRODUCING	90	PRODUCTION	298.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4127	http://www.npd.no/FactMapSearch?NPDID_wellbore=4127	NO
4128	31/5-6	31/5-6	\N	191	EXPLORATION	Norsk Hydro Produksjon AS	NO	SCARABEO 6	\N	2000-07-05	2000-07-25	OIL SHOWS	P&A	12	WILDCAT	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4128	http://www.npd.no/FactMapSearch?NPDID_wellbore=4128	NO
4129	7216/11-1	7216/11-1 S	\N	221	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	\N	2000-07-24	2000-09-14	DRY	P&A	1	WILDCAT	361.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4129	http://www.npd.no/FactMapSearch?NPDID_wellbore=4129	NO
4130	31/2-M-14	31/2-M-14 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL M1	2000-08-04	2000-09-29	OIL	PLUGGED	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4130	http://www.npd.no/FactMapSearch?NPDID_wellbore=4130	NO
4131	34/10-J-3	34/10-J-3 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR J	2000-07-17	2000-08-11	GAS	INJECTING	91	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4131	http://www.npd.no/FactMapSearch?NPDID_wellbore=4131	NO
4133	33/9-N-3	33/9-N-3 H	SYGNA	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BORGLAND DOLPHIN	SYGNA N	2000-10-07	2000-12-11	OIL	PRODUCING	50	PRODUCTION	299.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4133	http://www.npd.no/FactMapSearch?NPDID_wellbore=4133	NO
4134	25/8-B-12	25/8-B-12	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2000-07-26	2000-08-25	WATER	INJECTING	173	INJECTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4134	http://www.npd.no/FactMapSearch?NPDID_wellbore=4134	NO
4135	34/8-A-5	34/8-A-5 BH	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2000-07-06	2000-07-25	NOT AVAILABLE	PLUGGED	71	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4135	http://www.npd.no/FactMapSearch?NPDID_wellbore=4135	NO
4136	6506/11-E-3	6506/11-E-3 H	ÅSGARD	134	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD E	2000-07-17	2000-09-08	GAS	INJECTING	91	INJECTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4136	http://www.npd.no/FactMapSearch?NPDID_wellbore=4136	NO
4137	33/9-A-42	33/9-A-42 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	2000-07-29	2000-08-24	WATER	INJECTING	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4137	http://www.npd.no/FactMapSearch?NPDID_wellbore=4137	NO
4138	33/12-B-19	33/12-B-19 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2000-08-12	2000-10-26	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4138	http://www.npd.no/FactMapSearch?NPDID_wellbore=4138	NO
4139	2/7-A-22	2/7-A-22 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	2000-08-14	2000-09-30	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4139	http://www.npd.no/FactMapSearch?NPDID_wellbore=4139	NO
4140	34/7-J-4	34/7-J-4 H	TORDIS	089	DEVELOPMENT	Saga Petroleum ASA	NO	WEST DELTA	TORDIS EXTENSION	2000-08-23	2000-11-24	OIL	PRODUCING	50	PRODUCTION	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4140	http://www.npd.no/FactMapSearch?NPDID_wellbore=4140	NO
4141	25/7-6	25/7-6	\N	203	EXPLORATION	Norsk Hydro Produksjon AS	NO	SCARABEO 6	\N	2000-09-13	2000-10-14	OIL SHOWS	P&A	12	APPRAISAL	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4141	http://www.npd.no/FactMapSearch?NPDID_wellbore=4141	NO
4143	33/9-20	33/9-20 S	\N	037 D	EXPLORATION	Statoil ASA (old)	NO	MURCHISON A	\N	2006-07-25	2006-09-09	DRY	P&A	1	APPRAISAL	156.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4143	http://www.npd.no/FactMapSearch?NPDID_wellbore=4143	NO
4144	34/8-A-5	34/8-A-5 CH	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2000-07-26	2000-08-24	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4144	http://www.npd.no/FactMapSearch?NPDID_wellbore=4144	NO
4145	7019/1-1	7019/1-1	\N	201	EXPLORATION	Norsk Agip  AS	NO	TRANSOCEAN ARCTIC	\N	2000-10-06	2000-12-03	GAS	P&A	9	WILDCAT	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4145	http://www.npd.no/FactMapSearch?NPDID_wellbore=4145	YES
4147	31/4-11	31/4-11	BRAGE	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	SCARABEO 6	\N	2000-07-27	2000-09-12	OIL/GAS	P&A	13	WILDCAT	183.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4147	http://www.npd.no/FactMapSearch?NPDID_wellbore=4147	YES
4148	6507/8-E-1	6507/8-E-1 H	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	MÆRSK JUTLANDER	HEIDRUN E	2000-08-04	2000-08-27	NOT APPLICABLE	PLUGGED	99	OBSERVATION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4148	http://www.npd.no/FactMapSearch?NPDID_wellbore=4148	NO
4149	6507/8-E-3	6507/8-E-3 H	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	MÆRSK JUTLANDER	HEIDRUN E	2000-08-28	2000-09-05	NOT APPLICABLE	PLUGGED	99	OBSERVATION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4149	http://www.npd.no/FactMapSearch?NPDID_wellbore=4149	NO
4150	34/10-I-1	34/10-I-1 H	GULLFAKS SØR	050 B	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR I	2000-08-13	2000-09-18	NOT APPLICABLE	PLUGGED	99	OBSERVATION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4150	http://www.npd.no/FactMapSearch?NPDID_wellbore=4150	NO
4151	34/10-I-1	34/10-I-1 AH	GULLFAKS SØR	050 B	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR I	2000-09-18	2000-10-04	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4151	http://www.npd.no/FactMapSearch?NPDID_wellbore=4151	NO
4152	31/5-J-12	31/5-J-12 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL J1	2000-08-19	2000-09-17	OIL	PRODUCING	50	PRODUCTION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4152	http://www.npd.no/FactMapSearch?NPDID_wellbore=4152	NO
4153	25/8-B-22	25/8-B-22	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2000-10-14	2000-11-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4153	http://www.npd.no/FactMapSearch?NPDID_wellbore=4153	NO
4154	9/2-A-4	9/2-A-4 B	YME	114	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	YME A	YME B ØST	2000-08-28	2000-10-15	OIL	P&A	50	PRODUCTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4154	http://www.npd.no/FactMapSearch?NPDID_wellbore=4154	NO
4155	34/10-A-41	34/10-A-41 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	2000-09-18	2000-10-12	WATER	PLUGGED	173	INJECTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4155	http://www.npd.no/FactMapSearch?NPDID_wellbore=4155	NO
4156	33/9-A-8	33/9-A-8 C	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	2000-09-03	2000-09-08	WATER	INJECTING	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4156	http://www.npd.no/FactMapSearch?NPDID_wellbore=4156	NO
4157	6507/8-E-3	6507/8-E-3 AH	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	MÆRSK JUTLANDER	HEIDRUN E	2000-09-06	2000-09-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4157	http://www.npd.no/FactMapSearch?NPDID_wellbore=4157	NO
4158	31/2-Y-23	31/2-Y-23 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL U2	2000-09-07	2000-09-20	NOT APPLICABLE	PLUGGED	99	OBSERVATION	331.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4158	http://www.npd.no/FactMapSearch?NPDID_wellbore=4158	NO
4159	31/2-Y-23	31/2-Y-23 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL U2	2000-09-21	2000-11-07	OIL	PLUGGED	50	PRODUCTION	331.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4159	http://www.npd.no/FactMapSearch?NPDID_wellbore=4159	NO
4160	31/2-Y-22	31/2-Y-22 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VANGUARD	TROLL U2	2000-11-09	2000-12-13	OIL	PRODUCING	50	PRODUCTION	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4160	http://www.npd.no/FactMapSearch?NPDID_wellbore=4160	NO
4161	31/2-Y-22	31/2-Y-22 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VANGUARD	TROLL U2	2000-12-14	2001-01-28	OIL	PRODUCING	50	PRODUCTION	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4161	http://www.npd.no/FactMapSearch?NPDID_wellbore=4161	NO
4163	6506/12-H-3	6506/12-H-3 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD H	2000-09-15	2000-10-28	GAS	PRODUCING	90	PRODUCTION	287.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4163	http://www.npd.no/FactMapSearch?NPDID_wellbore=4163	NO
4164	6507/7-A-45	6507/7-A-45	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	2000-09-18	2000-11-02	OIL	PLUGGED	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4164	http://www.npd.no/FactMapSearch?NPDID_wellbore=4164	NO
4165	31/2-Y-13	31/2-Y-13 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL U1	2000-10-03	2000-10-19	NOT APPLICABLE	PLUGGED	99	OBSERVATION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4165	http://www.npd.no/FactMapSearch?NPDID_wellbore=4165	NO
4166	31/2-Y-13	31/2-Y-13 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL U1	2000-10-19	2000-11-27	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4166	http://www.npd.no/FactMapSearch?NPDID_wellbore=4166	NO
4167	34/7-P-43	34/7-P-43	SNORRE	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE A	SNORRE A	2001-02-01	2001-05-09	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4167	http://www.npd.no/FactMapSearch?NPDID_wellbore=4167	NO
4168	34/7-A-1	34/7-A-1 AH	SNORRE	089	DEVELOPMENT	Saga Petroleum ASA	NO	SCARABEO 5	SNORRE UPA	2000-10-10	2000-12-25	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4168	http://www.npd.no/FactMapSearch?NPDID_wellbore=4168	NO
4169	34/10-L-3	34/10-L-3 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR L	2000-10-09	2000-11-03	GAS	PRODUCING	90	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4169	http://www.npd.no/FactMapSearch?NPDID_wellbore=4169	NO
4170	30/9-B-40	30/9-B-40 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2000-09-25	2000-10-26	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4170	http://www.npd.no/FactMapSearch?NPDID_wellbore=4170	NO
4171	34/10-A-47	34/10-A-47	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	2000-11-27	2001-06-07	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4171	http://www.npd.no/FactMapSearch?NPDID_wellbore=4171	NO
4172	6407/7-6	6407/7-6	NJORD	107	EXPLORATION	Norsk Hydro Produksjon AS	NO	SCARABEO 6	\N	2000-10-18	2000-12-16	GAS/CONDENSATE	P&A	17	WILDCAT	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4172	http://www.npd.no/FactMapSearch?NPDID_wellbore=4172	YES
4173	7122/7-1	7122/7-1	GOLIAT	229	EXPLORATION	Norsk Agip  AS	NO	TRANSOCEAN ARCTIC	\N	2000-09-16	2000-10-05	OIL	P&A	5	WILDCAT	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4173	http://www.npd.no/FactMapSearch?NPDID_wellbore=4173	YES
4174	33/12-B-21	33/12-B-21 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2000-11-19	2000-12-06	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4174	http://www.npd.no/FactMapSearch?NPDID_wellbore=4174	NO
4175	2/7-B-11	2/7-B-11 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	2000-10-07	2000-12-20	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4175	http://www.npd.no/FactMapSearch?NPDID_wellbore=4175	NO
4176	34/7-P-41	34/7-P-41	SNORRE	089	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE A	SNORRE A	2004-02-09	2004-04-07	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4176	http://www.npd.no/FactMapSearch?NPDID_wellbore=4176	NO
4177	7/12-A-1	7/12-A-1 B	ULA	019	DEVELOPMENT	BP Amoco Norge AS	NO	ULA DP	ULA PP	2000-12-23	2001-02-12	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4177	http://www.npd.no/FactMapSearch?NPDID_wellbore=4177	NO
4178	31/5-J-22	31/5-J-22 Y1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL J2	2001-02-05	2001-03-08	OIL	PLUGGED	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4178	http://www.npd.no/FactMapSearch?NPDID_wellbore=4178	NO
4179	31/5-J-22	31/5-J-22 Y2H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL J2	2001-03-09	2001-03-29	OIL	PLUGGED	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4179	http://www.npd.no/FactMapSearch?NPDID_wellbore=4179	NO
4180	6507/8-E-1	6507/8-E-1 AH	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	MÆRSK JUTLANDER	HEIDRUN E	2000-10-14	2000-11-23	NOT AVAILABLE	PLUGGED	71	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4180	http://www.npd.no/FactMapSearch?NPDID_wellbore=4180	NO
4181	2/4-X-20	2/4-X-20	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2000-10-17	2000-12-21	OIL/GAS	PRODUCING	0	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4181	http://www.npd.no/FactMapSearch?NPDID_wellbore=4181	NO
4182	6507/8-E-3	6507/8-E-3 BH	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	MÆRSK JUTLANDER	HEIDRUN E	2000-09-24	2000-10-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4182	http://www.npd.no/FactMapSearch?NPDID_wellbore=4182	NO
4183	34/4-K-2	34/4-K-2 H	SNORRE	057	DEVELOPMENT	Saga Petroleum ASA	NO	WEST ALPHA	34/4-K H	2000-12-20	2001-01-30	WATER	PLUGGED	173	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4183	http://www.npd.no/FactMapSearch?NPDID_wellbore=4183	NO
4184	34/8-A-10	34/8-A-10 AH	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2000-10-13	2000-11-27	WATER/GAS	SUSP.AT TD	0	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4184	http://www.npd.no/FactMapSearch?NPDID_wellbore=4184	NO
4185	31/2-L-11	31/2-L-11 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL L1	2000-10-01	2000-10-11	NOT APPLICABLE	PLUGGED	99	OBSERVATION	326.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4185	http://www.npd.no/FactMapSearch?NPDID_wellbore=4185	NO
4186	31/2-L-11	31/2-L-11 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL L1	2000-10-16	2000-11-11	OIL	PLUGGED	50	PRODUCTION	326.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4186	http://www.npd.no/FactMapSearch?NPDID_wellbore=4186	NO
4187	33/9-A-7	33/9-A-7 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	2000-10-27	2000-11-08	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4187	http://www.npd.no/FactMapSearch?NPDID_wellbore=4187	NO
4188	6407/7-A-5	6407/7-A-5 AH	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	2000-12-11	2001-01-01	GAS	PLUGGED	91	INJECTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4188	http://www.npd.no/FactMapSearch?NPDID_wellbore=4188	NO
4189	6608/11-2	6608/11-2	\N	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST NAVION	\N	2000-10-28	2000-11-24	OIL	P&A	5	WILDCAT	351.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4189	http://www.npd.no/FactMapSearch?NPDID_wellbore=4189	YES
4190	2/7-A-28	2/7-A-28 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	2000-11-08	2001-01-31	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4190	http://www.npd.no/FactMapSearch?NPDID_wellbore=4190	NO
4191	31/2-M-22	31/2-M-22 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL M1	2001-01-28	2001-04-10	OIL	PRODUCING	50	PRODUCTION	353.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4191	http://www.npd.no/FactMapSearch?NPDID_wellbore=4191	NO
4192	2/4-B-16	2/4-B-16 D	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GALLANT	EKOFISK B	2007-03-06	2007-04-25	OIL	PRODUCING	50	PRODUCTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4192	http://www.npd.no/FactMapSearch?NPDID_wellbore=4192	NO
4193	30/6-E-9	30/6-E-9 A	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2000-09-23	2000-11-12	WATER	INJECTING	173	INJECTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4193	http://www.npd.no/FactMapSearch?NPDID_wellbore=4193	NO
4194	16/4-3	16/4-3	\N	243	EXPLORATION	BP Amoco Norge AS	NO	WEST DELTA	\N	2000-12-05	2000-12-24	OIL SHOWS	P&A	12	WILDCAT	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4194	http://www.npd.no/FactMapSearch?NPDID_wellbore=4194	NO
4195	31/4-A-39	31/4-A-39	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2000-12-12	2001-02-06	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4195	http://www.npd.no/FactMapSearch?NPDID_wellbore=4195	NO
4196	30/2-A-8	30/2-A-8	HULDRA	051	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	MÆRSK GALLANT	HULDRA	2000-11-03	2001-01-19	GAS	PRODUCING	90	PRODUCTION	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4196	http://www.npd.no/FactMapSearch?NPDID_wellbore=4196	NO
4197	6506/12-H-1	6506/12-H-1 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD H	2000-10-28	2000-12-04	GAS	PRODUCING	90	PRODUCTION	287.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4197	http://www.npd.no/FactMapSearch?NPDID_wellbore=4197	NO
4198	6506/12-J-4	6506/12-J-4 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD J	2000-12-09	2001-01-17	OIL	PRODUCING	50	PRODUCTION	254.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4198	http://www.npd.no/FactMapSearch?NPDID_wellbore=4198	NO
4199	31/2-L-13	31/2-L-13 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL L1	2000-11-05	2000-12-16	OIL	PLUGGED	50	PRODUCTION	326.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4199	http://www.npd.no/FactMapSearch?NPDID_wellbore=4199	NO
4200	25/11-C-3	25/11-C-3 CH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-C-3 H	2000-12-20	2001-01-08	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4200	http://www.npd.no/FactMapSearch?NPDID_wellbore=4200	NO
4201	25/11-C-3	25/11-C-3 DH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-C-3 H	2001-01-08	2001-01-21	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4201	http://www.npd.no/FactMapSearch?NPDID_wellbore=4201	NO
4202	15/6-A-3	15/6-A-3 H	GLITNE	029	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	PETROJARL 1	2000-10-17	2000-12-04	OIL	PRODUCING	50	PRODUCTION	111.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4202	http://www.npd.no/FactMapSearch?NPDID_wellbore=4202	NO
4203	15/6-A-2	15/6-A-2 H	GLITNE	029	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	PETROJARL 1	2000-10-18	2000-11-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4203	http://www.npd.no/FactMapSearch?NPDID_wellbore=4203	NO
4204	15/6-A-2	15/6-A-2 AH	GLITNE	029	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	PETROJARL 1	2000-11-09	2000-12-21	OIL	PRODUCING	50	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4204	http://www.npd.no/FactMapSearch?NPDID_wellbore=4204	NO
4205	25/8-B-18	25/8-B-18	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2000-11-16	2000-12-17	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4205	http://www.npd.no/FactMapSearch?NPDID_wellbore=4205	NO
4206	33/9-C-15	33/9-C-15 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	2001-01-01	2001-02-03	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4206	http://www.npd.no/FactMapSearch?NPDID_wellbore=4206	NO
4207	31/2-N-13	31/2-N-13 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL N1	2000-11-28	2001-01-14	OIL	PLUGGED	50	PRODUCTION	376.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4207	http://www.npd.no/FactMapSearch?NPDID_wellbore=4207	NO
4208	30/6-E-5	30/6-E-5 A	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2000-11-25	2000-12-07	OIL	PRODUCING	50	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4208	http://www.npd.no/FactMapSearch?NPDID_wellbore=4208	NO
4209	6507/5-4	6507/5-4	SKARV	212	EXPLORATION	BP Amoco Norge AS	NO	STENA DEE	\N	2001-02-10	2001-04-15	OIL/GAS	P&A	13	APPRAISAL	421.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4209	http://www.npd.no/FactMapSearch?NPDID_wellbore=4209	NO
4210	6507/7-A-19	6507/7-A-19	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	2000-11-12	2001-01-03	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4210	http://www.npd.no/FactMapSearch?NPDID_wellbore=4210	NO
4211	6507/8-E-3	6507/8-E-3 CH	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	MÆRSK JUTLANDER	HEIDRUN E	2000-11-25	2000-12-10	NOT AVAILABLE	PLUGGED	71	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4211	http://www.npd.no/FactMapSearch?NPDID_wellbore=4211	NO
4212	34/8-B-2	34/8-B-2 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST DELTA	VISUND NORD	2001-01-08	2001-05-09	OIL	PRODUCING	50	PRODUCTION	382.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4212	http://www.npd.no/FactMapSearch?NPDID_wellbore=4212	NO
4213	6507/7-13	6507/7-13	\N	095	EXPLORATION	Norske Conoco A/S	NO	MÆRSK JUTLANDER	\N	2000-12-12	2001-01-08	OIL	P&A	5	WILDCAT	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4213	http://www.npd.no/FactMapSearch?NPDID_wellbore=4213	YES
4214	34/7-31	34/7-31	\N	089	EXPLORATION	Norsk Hydro Produksjon AS	NO	SCARABEO 6	\N	2001-03-10	2001-04-13	OIL	P&A	5	APPRAISAL	207.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4214	http://www.npd.no/FactMapSearch?NPDID_wellbore=4214	NO
4215	34/10-I-3	34/10-I-3 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	GULLFAKS SØR I	2000-12-19	2001-02-04	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4215	http://www.npd.no/FactMapSearch?NPDID_wellbore=4215	NO
4216	30/9-B-37	30/9-B-37	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2000-12-04	2001-02-06	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4216	http://www.npd.no/FactMapSearch?NPDID_wellbore=4216	NO
4217	6608/10-6	6608/10-6 R	URD	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	WEST NAVION	\N	2000-11-27	2000-12-02	OIL	SUSPENDED	5	WILDCAT	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4217	http://www.npd.no/FactMapSearch?NPDID_wellbore=4217	NO
4218	34/10-M-1	34/10-M-1 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR M	2000-12-19	2001-01-10	NOT APPLICABLE	PLUGGED	99	OBSERVATION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4218	http://www.npd.no/FactMapSearch?NPDID_wellbore=4218	NO
4219	34/10-M-1	34/10-M-1 AH	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR M	2001-01-10	2001-01-28	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4219	http://www.npd.no/FactMapSearch?NPDID_wellbore=4219	NO
4220	33/12-B-11	33/12-B-11 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2001-01-07	2001-02-08	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4220	http://www.npd.no/FactMapSearch?NPDID_wellbore=4220	NO
4221	2/8-F-9	2/8-F-9 A	VALHALL	006 B	DEVELOPMENT	BP Amoco Norge AS	NO	MÆRSK GUARDIAN	VALHALL WP	2001-04-05	2001-06-25	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4221	http://www.npd.no/FactMapSearch?NPDID_wellbore=4221	NO
4222	33/9-M-2	33/9-M-2 AH	STATFJORD ØST	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BORGLAND DOLPHIN	STATFJORD ØST M	2001-01-13	2001-03-15	OIL	PLUGGED	50	PRODUCTION	195.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4222	http://www.npd.no/FactMapSearch?NPDID_wellbore=4222	NO
4223	30/9-F-15	30/9-F-15	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2000-12-19	2001-01-13	WATER	PLUGGED	172	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4223	http://www.npd.no/FactMapSearch?NPDID_wellbore=4223	NO
4224	2/4-X-33	2/4-X-33	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2001-01-16	2001-02-02	OIL/GAS	PRODUCING	0	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4224	http://www.npd.no/FactMapSearch?NPDID_wellbore=4224	NO
4225	34/7-I-5	34/7-I-5 BH	TORDIS	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	34/7-I-5 H	2001-01-12	2001-04-06	OIL	PRODUCING	50	PRODUCTION	200.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4225	http://www.npd.no/FactMapSearch?NPDID_wellbore=4225	NO
4226	25/8-B-25	25/8-B-25	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2000-12-20	2001-01-15	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4226	http://www.npd.no/FactMapSearch?NPDID_wellbore=4226	NO
4227	34/10-C-44	34/10-C-44	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	2000-12-24	2001-02-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	217.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4227	http://www.npd.no/FactMapSearch?NPDID_wellbore=4227	NO
4228	34/10-C-44	34/10-C-44 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS C	GULLFAKS C	2001-02-09	2001-03-09	OIL	PRODUCING	50	PRODUCTION	217.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4228	http://www.npd.no/FactMapSearch?NPDID_wellbore=4228	NO
4229	31/2-X-24	31/2-X-24 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL T2	2001-01-07	2001-01-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4229	http://www.npd.no/FactMapSearch?NPDID_wellbore=4229	NO
4230	31/2-X-24	31/2-X-24 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL T2	2001-01-18	2001-02-03	OIL	PRODUCING	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4230	http://www.npd.no/FactMapSearch?NPDID_wellbore=4230	NO
4231	34/8-A-23	34/8-A-23 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2001-01-18	2001-06-27	GAS	INJECTING	90	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4231	http://www.npd.no/FactMapSearch?NPDID_wellbore=4231	NO
4232	15/6-A-1	15/6-A-1 H	GLITNE	029	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	PETROJARL 1	2000-12-21	2001-01-19	OIL	PRODUCING	50	PRODUCTION	111.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4232	http://www.npd.no/FactMapSearch?NPDID_wellbore=4232	NO
4233	34/7-P-21	34/7-P-21 A	SNORRE	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE A	SNORRE A	2001-02-11	2001-04-01	WATER	INJECTING	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4233	http://www.npd.no/FactMapSearch?NPDID_wellbore=4233	NO
4234	25/8-B-12	25/8-B-12 A	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	9999-12-31	9999-12-31	\N	\N	0	\N	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4234	http://www.npd.no/FactMapSearch?NPDID_wellbore=4234	NO
4235	25/8-B-12	25/8-B-12 B	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	9999-12-31	9999-12-31	\N	\N	0	\N	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4235	http://www.npd.no/FactMapSearch?NPDID_wellbore=4235	NO
4236	25/8-B-22	25/8-B-22 A	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2001-01-28	2001-02-01	WATER	INJECTING	173	INJECTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4236	http://www.npd.no/FactMapSearch?NPDID_wellbore=4236	NO
4237	31/2-X-11	31/2-X-11 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL T1	2001-01-14	2001-02-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4237	http://www.npd.no/FactMapSearch?NPDID_wellbore=4237	NO
4238	31/2-X-11	31/2-X-11 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL T1	2001-02-05	2001-03-09	OIL	PLUGGED	50	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4238	http://www.npd.no/FactMapSearch?NPDID_wellbore=4238	NO
4239	30/6-E-7	30/6-E-7 A	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2001-01-27	2001-02-20	OIL	PLUGGED	50	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4239	http://www.npd.no/FactMapSearch?NPDID_wellbore=4239	NO
4240	25/11-B-18	25/11-B-18 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-B-18 H	2001-01-21	2001-03-03	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4240	http://www.npd.no/FactMapSearch?NPDID_wellbore=4240	NO
4241	30/2-A-5	30/2-A-5	HULDRA	051	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	MÆRSK GALLANT	HULDRA	2001-01-19	2001-02-03	GAS	PRODUCING	90	PRODUCTION	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4241	http://www.npd.no/FactMapSearch?NPDID_wellbore=4241	NO
4242	6506/12-M-1	6506/12-M-1 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD M	2001-01-18	2001-02-23	OIL	PRODUCING	50	PRODUCTION	273.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4242	http://www.npd.no/FactMapSearch?NPDID_wellbore=4242	NO
4243	30/9-F-2	30/9-F-2	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2001-01-17	2001-01-25	CUTTINGS	PLUGGED	171	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4243	http://www.npd.no/FactMapSearch?NPDID_wellbore=4243	NO
4244	7121/5-3	7121/5-3	\N	110	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	\N	2001-02-16	2001-03-09	OIL/GAS SHOWS	P&A	12	WILDCAT	345.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4244	http://www.npd.no/FactMapSearch?NPDID_wellbore=4244	NO
4245	15/6-A-4	15/6-A-4 H	GLITNE	029	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	PETROJARL 1	2001-01-20	2001-02-03	NOT AVAILABLE	PLUGGED	71	PRODUCTION	111.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4245	http://www.npd.no/FactMapSearch?NPDID_wellbore=4245	NO
4246	6507/7-A-47	6507/7-A-47	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	2001-01-19	2001-03-13	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4246	http://www.npd.no/FactMapSearch?NPDID_wellbore=4246	NO
4247	34/10-43	34/10-43 S	GULLFAKS SØR	050 B	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	\N	2001-02-25	2001-04-11	OIL	P&A	5	WILDCAT	139.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4247	http://www.npd.no/FactMapSearch?NPDID_wellbore=4247	YES
4248	30/9-B-40	30/9-B-40 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2001-02-07	2001-02-25	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4248	http://www.npd.no/FactMapSearch?NPDID_wellbore=4248	NO
4249	30/9-F-17	30/9-F-17	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2001-01-28	2001-05-17	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4249	http://www.npd.no/FactMapSearch?NPDID_wellbore=4249	NO
4250	30/9-F-17	30/9-F-17 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2001-05-18	2001-06-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4250	http://www.npd.no/FactMapSearch?NPDID_wellbore=4250	NO
4251	33/9-C-4	33/9-C-4 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	2001-03-28	2001-04-18	WATER	PLUGGED	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4251	http://www.npd.no/FactMapSearch?NPDID_wellbore=4251	NO
4252	31/2-M-21	31/2-M-21 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL M1	2001-07-08	2001-09-06	OIL	PRODUCING	50	PRODUCTION	353.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4252	http://www.npd.no/FactMapSearch?NPDID_wellbore=4252	NO
4254	2/4-X-32	2/4-X-32	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2001-02-19	2001-04-10	OIL	PRODUCING	50	PRODUCTION	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4254	http://www.npd.no/FactMapSearch?NPDID_wellbore=4254	NO
4255	31/4-A-23	31/4-A-23 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2001-03-05	2001-03-31	NOT APPLICABLE	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4255	http://www.npd.no/FactMapSearch?NPDID_wellbore=4255	NO
4256	31/4-A-23	31/4-A-23 B	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2001-03-31	2001-04-12	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4256	http://www.npd.no/FactMapSearch?NPDID_wellbore=4256	NO
4257	7228/7-1	7228/7-1 A	\N	202	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	\N	2001-01-08	2001-02-02	OIL/GAS	P&A	13	WILDCAT	288.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4257	http://www.npd.no/FactMapSearch?NPDID_wellbore=4257	YES
4258	6507/8-E-2	6507/8-E-2 H	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	HEIDRUN E	2001-01-27	2001-03-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4258	http://www.npd.no/FactMapSearch?NPDID_wellbore=4258	NO
4259	6507/8-E-4	6507/8-E-4 H	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	HEIDRUN E	2001-03-15	2001-05-05	OIL	PLUGGED	50	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4259	http://www.npd.no/FactMapSearch?NPDID_wellbore=4259	NO
4260	2/7-A-18	2/7-A-18 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	2001-03-08	2001-04-02	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4260	http://www.npd.no/FactMapSearch?NPDID_wellbore=4260	NO
4261	7228/7-1	7228/7-1 B	\N	202	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	\N	2001-02-02	2001-02-10	OIL/GAS	P&A	13	APPRAISAL	288.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4261	http://www.npd.no/FactMapSearch?NPDID_wellbore=4261	NO
4262	6406/1-1	6406/1-1	\N	257	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANSOCEAN ARCTIC	\N	2001-04-05	2001-06-10	GAS/CONDENSATE	P&A	17	WILDCAT	344.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4262	http://www.npd.no/FactMapSearch?NPDID_wellbore=4262	YES
4263	30/6-E-11	30/6-E-11 A	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2001-03-12	2001-04-22	NOT AVAILABLE	PLUGGED	71	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4263	http://www.npd.no/FactMapSearch?NPDID_wellbore=4263	NO
4264	31/2-N-12	31/2-N-12 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL N1	2001-03-15	2001-05-05	OIL	PRODUCING	50	PRODUCTION	376.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4264	http://www.npd.no/FactMapSearch?NPDID_wellbore=4264	NO
4265	25/11-A-19	25/11-A-19 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-A-19 H	2001-03-12	2001-03-30	NOT APPLICABLE	PLUGGED	99	OBSERVATION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4265	http://www.npd.no/FactMapSearch?NPDID_wellbore=4265	NO
4266	25/11-A-19	25/11-A-19 AH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-A-19 H	2001-04-01	2001-05-03	OIL	PRODUCING	50	PRODUCTION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4266	http://www.npd.no/FactMapSearch?NPDID_wellbore=4266	NO
4267	31/2-M-13	31/2-M-13 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VANGUARD	TROLL M1	2001-04-11	2001-06-02	OIL	PRODUCING	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4267	http://www.npd.no/FactMapSearch?NPDID_wellbore=4267	NO
4268	31/2-M-13	31/2-M-13 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VANGUARD	TROLL M1	2001-06-05	2001-07-06	OIL	PRODUCING	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4268	http://www.npd.no/FactMapSearch?NPDID_wellbore=4268	NO
4269	6506/12-S-4	6506/12-S-4 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD S	2001-02-25	2001-04-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	304.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4269	http://www.npd.no/FactMapSearch?NPDID_wellbore=4269	NO
4270	6506/12-S-4	6506/12-S-4 AH	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD S	2001-04-14	2001-04-29	OIL	PRODUCING	50	PRODUCTION	304.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4270	http://www.npd.no/FactMapSearch?NPDID_wellbore=4270	NO
4271	30/9-F-10	30/9-F-10	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2001-08-13	2001-09-17	WATER	PRODUCING	172	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4271	http://www.npd.no/FactMapSearch?NPDID_wellbore=4271	NO
4272	15/5-B-1	15/5-B-1 H	GLITNE	048 B	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	PETROJARL 1	2001-02-25	2001-03-31	WATER	INJECTING	173	INJECTION	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4272	http://www.npd.no/FactMapSearch?NPDID_wellbore=4272	NO
4273	6608/10-7	6608/10-7	URD	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	BORGLAND DOLPHIN	\N	2001-03-30	2001-05-23	OIL	P&A	5	APPRAISAL	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4273	http://www.npd.no/FactMapSearch?NPDID_wellbore=4273	NO
4275	6507/7-13	6507/7-13 A	\N	095	EXPLORATION	Conoco Norway Inc.	NO	MÆRSK JUTLANDER	\N	2001-01-08	2001-01-21	OIL	P&A	5	APPRAISAL	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4275	http://www.npd.no/FactMapSearch?NPDID_wellbore=4275	NO
4276	34/10-L-4	34/10-L-4 AH	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR L	2001-02-27	2001-03-08	GAS	PRODUCING	90	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4276	http://www.npd.no/FactMapSearch?NPDID_wellbore=4276	NO
4277	6507/8-E-3	6507/8-E-3 DH	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	HEIDRUN E	2001-02-19	2001-02-27	OIL	PLUGGED	50	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4277	http://www.npd.no/FactMapSearch?NPDID_wellbore=4277	NO
4278	25/4-9	25/4-9 S	VILJE	036	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	\N	2003-09-05	2003-09-29	OIL	P&A	5	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4278	http://www.npd.no/FactMapSearch?NPDID_wellbore=4278	YES
4284	6507/8-F-3	6507/8-F-3 H	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	HEIDRUN F	2003-08-05	2003-09-01	WATER	INJECTING	173	INJECTION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4284	http://www.npd.no/FactMapSearch?NPDID_wellbore=4284	NO
4285	6507/8-F-1	6507/8-F-1 H	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	HEIDRUN F	2003-07-06	2003-09-29	WATER	INJECTING	173	INJECTION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4285	http://www.npd.no/FactMapSearch?NPDID_wellbore=4285	NO
4286	6407/9-D-1	6407/9-D-1 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	BYFORD DOLPHIN	6407/9-D-2 H	2001-05-03	2001-05-29	NOT APPLICABLE	PLUGGED	99	OBSERVATION	265.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4286	http://www.npd.no/FactMapSearch?NPDID_wellbore=4286	NO
4287	6407/9-D-1	6407/9-D-1 AH	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	BYFORD DOLPHIN	6407/9-D-2 H	2001-05-29	2001-07-16	OIL	PRODUCING	50	PRODUCTION	265.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4287	http://www.npd.no/FactMapSearch?NPDID_wellbore=4287	NO
4288	34/10-L-1	34/10-L-1 AH	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR L	2001-03-12	2001-04-02	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4288	http://www.npd.no/FactMapSearch?NPDID_wellbore=4288	NO
4289	2/7-B-12	2/7-B-12 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	2001-03-22	2001-05-31	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4289	http://www.npd.no/FactMapSearch?NPDID_wellbore=4289	NO
4290	6407/9-D-2	6407/9-D-2 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	BYFORD DOLPHIN	6407/9-D-2 H	2001-05-16	2001-06-24	OIL	PRODUCING	50	PRODUCTION	265.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4290	http://www.npd.no/FactMapSearch?NPDID_wellbore=4290	NO
4291	6507/7-A-6	6507/7-A-6	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	2001-03-18	2001-05-15	OIL	PRODUCING	50	PRODUCTION	345.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4291	http://www.npd.no/FactMapSearch?NPDID_wellbore=4291	NO
4292	33/12-B-2	33/12-B-2 C	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2001-04-15	2001-05-03	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4292	http://www.npd.no/FactMapSearch?NPDID_wellbore=4292	NO
4293	31/2-L-14	31/2-L-14 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL L1	2001-03-31	2001-05-01	OIL	PRODUCING	50	PRODUCTION	326.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4293	http://www.npd.no/FactMapSearch?NPDID_wellbore=4293	NO
4294	31/2-L-14	31/2-L-14 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL L1	2001-05-02	2001-05-24	OIL	PRODUCING	50	PRODUCTION	326.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4294	http://www.npd.no/FactMapSearch?NPDID_wellbore=4294	NO
4296	31/3-Q-21	31/3-Q-21 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	31/3-Q-21 H	2001-04-27	2001-05-22	NOT APPLICABLE	PLUGGED	99	OBSERVATION	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4296	http://www.npd.no/FactMapSearch?NPDID_wellbore=4296	NO
4297	6305/9-1	6305/9-1	\N	252	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	\N	2001-07-09	2001-07-31	DRY	P&A	1	WILDCAT	187.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4297	http://www.npd.no/FactMapSearch?NPDID_wellbore=4297	NO
4298	30/6-E-15	30/6-E-15 A	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2001-06-27	2001-10-05	OIL	PRODUCING	50	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4298	http://www.npd.no/FactMapSearch?NPDID_wellbore=4298	NO
4299	34/10-G-3	34/10-G-3 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	YES	TRANS. WILDCAT	GULLFAKS SØR G	2001-04-12	2001-07-05	OIL	CLOSED	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4299	http://www.npd.no/FactMapSearch?NPDID_wellbore=4299	NO
4300	31/4-A-22	31/4-A-22	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2001-04-12	2001-08-13	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4300	http://www.npd.no/FactMapSearch?NPDID_wellbore=4300	NO
4301	34/7-31	34/7-31 A	VIGDIS	089	EXPLORATION	Norsk Hydro Produksjon AS	NO	SCARABEO 6	\N	2001-04-13	2001-04-25	OIL	P&A	5	APPRAISAL	207.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4301	http://www.npd.no/FactMapSearch?NPDID_wellbore=4301	NO
4302	2/7-A-17	2/7-A-17 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	2001-04-11	2001-06-07	OIL	PRODUCING	50	PRODUCTION	75.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4302	http://www.npd.no/FactMapSearch?NPDID_wellbore=4302	NO
4303	33/9-C-26	33/9-C-26 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	2001-05-01	2001-05-21	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4303	http://www.npd.no/FactMapSearch?NPDID_wellbore=4303	NO
4304	2/4-X-17	2/4-X-17	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2001-04-14	2001-07-01	OIL	PRODUCING	50	PRODUCTION	76.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4304	http://www.npd.no/FactMapSearch?NPDID_wellbore=4304	NO
4305	34/7-P-11	34/7-P-11 A	SNORRE	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE A	SNORRE A	2001-04-26	2001-06-22	WATER	INJECTING	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4305	http://www.npd.no/FactMapSearch?NPDID_wellbore=4305	NO
4306	6507/5-4	6507/5-4 A	SKARV	212	EXPLORATION	BP Amoco Norge AS	NO	STENA DEE	\N	2001-04-15	2001-06-03	OIL	SUSPENDED	5	APPRAISAL	421.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4306	http://www.npd.no/FactMapSearch?NPDID_wellbore=4306	NO
4307	30/2-A-9	30/2-A-9	HULDRA	051	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	MÆRSK GALLANT	HULDRA	2001-10-01	2002-02-18	GAS	PRODUCING	90	PRODUCTION	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4307	http://www.npd.no/FactMapSearch?NPDID_wellbore=4307	NO
4308	6506/12-N-3	6506/12-N-3 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD N	2001-05-01	2001-06-06	OIL	CLOSED	50	PRODUCTION	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4308	http://www.npd.no/FactMapSearch?NPDID_wellbore=4308	NO
4309	25/4-C-1	25/4-C-1 H	VALE	036	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	VALE	2001-05-25	2001-07-27	GAS	PLUGGED	90	PRODUCTION	116.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4309	http://www.npd.no/FactMapSearch?NPDID_wellbore=4309	NO
4310	31/2-K-21	31/2-K-21 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL K2	2001-05-07	2001-05-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	353.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4310	http://www.npd.no/FactMapSearch?NPDID_wellbore=4310	NO
4311	31/2-K-21	31/2-K-21 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL K2	2001-05-27	2001-06-14	OIL	PRODUCING	50	PRODUCTION	353.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4311	http://www.npd.no/FactMapSearch?NPDID_wellbore=4311	NO
4312	31/2-K-21	31/2-K-21 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL K2	2001-06-18	2001-07-03	OIL	PRODUCING	50	PRODUCTION	353.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4312	http://www.npd.no/FactMapSearch?NPDID_wellbore=4312	NO
4313	33/12-B-36	33/12-B-36 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2001-05-16	2001-08-30	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4313	http://www.npd.no/FactMapSearch?NPDID_wellbore=4313	NO
4314	34/10-J-4	34/10-J-4 H	GULLFAKS SØR	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	DEEPSEA TRYM	GULLFAKS SØR J	2001-09-01	2001-10-14	GAS	INJECTING	91	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4314	http://www.npd.no/FactMapSearch?NPDID_wellbore=4314	NO
4315	30/9-K-11	30/9-K-11 H	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	OSEBERG SØR K	2001-05-23	2001-06-19	OIL	PRODUCING	50	PRODUCTION	136.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4315	http://www.npd.no/FactMapSearch?NPDID_wellbore=4315	NO
4316	34/10-B-31	34/10-B-31 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	2001-05-11	2001-05-28	OIL	PRODUCING	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4316	http://www.npd.no/FactMapSearch?NPDID_wellbore=4316	NO
4317	34/10-B-21	34/10-B-21 A	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	2001-05-30	2001-06-13	OIL	PLUGGED	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4317	http://www.npd.no/FactMapSearch?NPDID_wellbore=4317	NO
4318	7/12-A-14	7/12-A-14 A	ULA	019	DEVELOPMENT	BP Amoco Norge AS	NO	ULA DP	ULA PP	2001-07-04	2001-08-10	OIL	PRODUCING	50	PRODUCTION	70.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4318	http://www.npd.no/FactMapSearch?NPDID_wellbore=4318	NO
4319	34/7-A-16	34/7-A-16 H	SNORRE	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 5	SNORRE UPA	2001-08-13	2001-11-10	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4319	http://www.npd.no/FactMapSearch?NPDID_wellbore=4319	NO
4320	1/3-K-1	1/3-K-1	TAMBAR	065	DEVELOPMENT	BP Amoco Norge AS	NO	TRANSOCEAN NORDIC	TAMBAR	2001-05-18	2001-06-04	OIL	PRODUCING	50	PRODUCTION	67.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4320	http://www.npd.no/FactMapSearch?NPDID_wellbore=4320	NO
4321	6507/11-6	6507/11-6	\N	263	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	\N	2001-06-13	2001-07-08	GAS/CONDENSATE	P&A	17	WILDCAT	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4321	http://www.npd.no/FactMapSearch?NPDID_wellbore=4321	YES
4322	31/2-Y-14	31/2-Y-14 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL U1	2001-05-26	2001-06-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4322	http://www.npd.no/FactMapSearch?NPDID_wellbore=4322	NO
4323	31/2-Y-14	31/2-Y-14 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL U1	2001-06-04	2001-07-03	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4323	http://www.npd.no/FactMapSearch?NPDID_wellbore=4323	NO
4324	31/2-Y-14	31/2-Y-14 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL U1	2001-07-04	2001-08-02	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4324	http://www.npd.no/FactMapSearch?NPDID_wellbore=4324	NO
4325	1/3-K-6	1/3-K-6	TAMBAR	065	DEVELOPMENT	BP Amoco Norge AS	NO	TRANSOCEAN NORDIC	TAMBAR	2001-06-05	2001-09-06	OIL	PRODUCING	50	PRODUCTION	67.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4325	http://www.npd.no/FactMapSearch?NPDID_wellbore=4325	NO
4326	30/9-F-17	30/9-F-17 B	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2001-06-25	2001-08-10	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4326	http://www.npd.no/FactMapSearch?NPDID_wellbore=4326	NO
4327	33/9-A-7	33/9-A-7 C	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	2001-06-10	2001-07-05	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4327	http://www.npd.no/FactMapSearch?NPDID_wellbore=4327	NO
4328	30/6-C-14	30/6-C-14 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2001-06-07	2001-08-20	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4328	http://www.npd.no/FactMapSearch?NPDID_wellbore=4328	NO
4329	2/7-B-1	2/7-B-1 C	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	2001-06-25	2001-07-31	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4329	http://www.npd.no/FactMapSearch?NPDID_wellbore=4329	NO
4330	15/9-A-25	15/9-A-25	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	2001-07-07	2001-09-30	GAS	PRODUCING	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4330	http://www.npd.no/FactMapSearch?NPDID_wellbore=4330	NO
4331	34/10-A-41	34/10-A-41 B	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS A	GULLFAKS A	2001-08-24	2001-10-14	WATER	INJECTING	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4331	http://www.npd.no/FactMapSearch?NPDID_wellbore=4331	NO
4332	6608/10-B-4	6608/10-B-4 BH	NORNE	128	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BORGLAND DOLPHIN	NORNE B	2001-07-13	2001-08-07	OIL	PLUGGED	50	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4332	http://www.npd.no/FactMapSearch?NPDID_wellbore=4332	NO
4333	25/11-A-20	25/11-A-20 H	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-A-20 H	2001-06-16	2001-07-12	NOT AVAILABLE	PLUGGED	72	INJECTION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4333	http://www.npd.no/FactMapSearch?NPDID_wellbore=4333	NO
4334	2/7-B-20	2/7-B-20 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	2001-10-04	2001-11-25	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4334	http://www.npd.no/FactMapSearch?NPDID_wellbore=4334	NO
4335	6507/7-A-35	6507/7-A-35 A	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	2001-06-19	2001-07-12	OIL	PLUGGED	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4335	http://www.npd.no/FactMapSearch?NPDID_wellbore=4335	NO
4336	2/8-A-16	2/8-A-16 E	VALHALL	006 B	DEVELOPMENT	BP Amoco Norge AS	NO	VALHALL DP	VALHALL DP	2001-10-31	2002-02-25	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4336	http://www.npd.no/FactMapSearch?NPDID_wellbore=4336	NO
4337	31/2-X-22	31/2-X-22 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL T2	2001-07-04	2001-08-10	OIL	PLUGGED	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4337	http://www.npd.no/FactMapSearch?NPDID_wellbore=4337	NO
4338	25/11-G-24	25/11-G-24	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2001-09-13	2001-10-16	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4338	http://www.npd.no/FactMapSearch?NPDID_wellbore=4338	NO
4339	25/11-G-24	25/11-G-24 A	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2001-10-17	2001-11-14	GAS	INJECTING	91	INJECTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4339	http://www.npd.no/FactMapSearch?NPDID_wellbore=4339	NO
4340	6507/8-E-2	6507/8-E-2 AH	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	HEIDRUN E	2001-07-02	2001-07-30	NOT AVAILABLE	PLUGGED	71	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4340	http://www.npd.no/FactMapSearch?NPDID_wellbore=4340	NO
4341	34/7-C-2	34/7-C-2 AH	VIGDIS	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	VIGDIS C	2001-07-02	2001-10-16	OIL	PRODUCING	50	PRODUCTION	283.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4341	http://www.npd.no/FactMapSearch?NPDID_wellbore=4341	NO
4342	33/9-A-23	33/9-A-23 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	2001-07-10	2001-07-24	OIL	PRODUCING	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4342	http://www.npd.no/FactMapSearch?NPDID_wellbore=4342	NO
4343	34/10-H-4	34/10-H-4 H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	TRANS. WILDCAT	GULLFAKS SØR H	2001-07-10	2001-12-30	OIL	PLUGGED	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4343	http://www.npd.no/FactMapSearch?NPDID_wellbore=4343	NO
4344	6506/3-1	6506/3-1	\N	259	EXPLORATION	CHEVRON PETROLEUM COMPANY OF NORWAY	NO	BYFORD DOLPHIN	\N	2001-07-22	2001-08-19	DRY	P&A	1	WILDCAT	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4344	http://www.npd.no/FactMapSearch?NPDID_wellbore=4344	NO
4345	34/4-K-4	34/4-K-4 H	SNORRE	057	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE B	34/4-K H	2001-08-20	2002-01-10	WATER	INJECTING	173	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4345	http://www.npd.no/FactMapSearch?NPDID_wellbore=4345	NO
4346	6407/2-Z-3	6407/2-Z-3 H	ÅSGARD	074	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN WINNER	ÅSGARD Z	2001-07-09	2001-07-23	GAS	CLOSED	90	PRODUCTION	247.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4346	http://www.npd.no/FactMapSearch?NPDID_wellbore=4346	NO
4347	30/8-A-12	30/8-A-12 H	TUNE	190	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	TUNE	2001-08-15	2001-11-21	GAS	PRODUCING	90	PRODUCTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4347	http://www.npd.no/FactMapSearch?NPDID_wellbore=4347	NO
4348	30/8-A-13	30/8-A-13 H	TUNE	190	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	TUNE	2001-08-18	2002-01-08	GAS	PRODUCING	90	PRODUCTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4348	http://www.npd.no/FactMapSearch?NPDID_wellbore=4348	NO
4349	30/8-A-13	30/8-A-13 AH	TUNE	190	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	TUNE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4349	http://www.npd.no/FactMapSearch?NPDID_wellbore=4349	NO
4350	30/9-B-42	30/9-B-42 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2001-07-27	2001-08-03	CUTTINGS	INJECTING	171	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4350	http://www.npd.no/FactMapSearch?NPDID_wellbore=4350	NO
4351	30/2-A-6	30/2-A-6	HULDRA	051	DEVELOPMENT	Statoil ASA (old)	NO	MÆRSK GALLANT	HULDRA	2001-07-20	2001-09-24	GAS	PRODUCING	90	PRODUCTION	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4351	http://www.npd.no/FactMapSearch?NPDID_wellbore=4351	NO
4352	6305/9-U-1	6305/9-U-1	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	270.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4352	\N	NO
4353	6305/5-U-1	6305/5-U-1	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	489.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4353	\N	NO
4354	6305/5-U-2	6305/5-U-2	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	WEST NAVIGATOR	\N	2006-06-16	2006-06-16	\N	P&A	0	\N	937.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4354	\N	NO
4355	6305/5-U-3	6305/5-U-3	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	SCARABEO 5	\N	9999-12-31	9999-12-31	\N	\N	0	\N	920.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4355	\N	NO
4356	25/11-A-4	25/11-A-4 BH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-A-4 H	2001-08-29	2001-09-05	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4356	http://www.npd.no/FactMapSearch?NPDID_wellbore=4356	NO
4357	6305/5-U-4	6305/5-U-4	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	947.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4357	\N	NO
4358	25/11-A-4	25/11-A-4 CH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-A-4 H	2001-09-05	2001-10-10	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4358	http://www.npd.no/FactMapSearch?NPDID_wellbore=4358	NO
4359	6305/4-U-1	6305/4-U-1	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	1121.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4359	\N	NO
4360	31/2-O-12	31/2-O-12 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	TROLL O1	2001-09-13	2001-09-29	NOT APPLICABLE	PLUGGED	99	OBSERVATION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4360	http://www.npd.no/FactMapSearch?NPDID_wellbore=4360	NO
4361	6305/4-U-2	6305/4-U-2	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	1102.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4361	\N	NO
4787	6305/8-U-2	6305/8-U-2	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	2002-08-18	2002-08-18	\N	P&A	0	\N	419.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4787	\N	NO
4362	31/2-O-12	31/2-O-12 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	TROLL O1	2001-10-01	2001-11-10	OIL	PRODUCING	50	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4362	http://www.npd.no/FactMapSearch?NPDID_wellbore=4362	NO
4363	6403/6-U-1	6403/6-U-1	\N	\N	SHALLOW	Statoil ASA (old)	NO	EIRIK RAUDE	\N	2006-04-06	2006-04-09	\N	P&A	0	\N	1721.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4363	\N	NO
4364	6403/5-U-1	6403/5-U-1	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	1619.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4364	\N	NO
4365	6403/5-U-2	6403/5-U-2	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	9999-12-31	9999-12-31	\N	\N	0	\N	1630.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4365	\N	NO
4366	25/11-A-20	25/11-A-20 AH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-A-20 H	2001-07-13	2001-08-10	WATER	INJECTING	173	INJECTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4366	http://www.npd.no/FactMapSearch?NPDID_wellbore=4366	NO
4367	33/9-A-40	33/9-A-40 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2001-07-31	2001-09-02	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4367	http://www.npd.no/FactMapSearch?NPDID_wellbore=4367	NO
4368	30/6-E-6	30/6-E-6 A	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2001-10-23	2001-11-15	NOT APPLICABLE	PLUGGED	99	OBSERVATION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4368	http://www.npd.no/FactMapSearch?NPDID_wellbore=4368	NO
4369	30/6-E-6	30/6-E-6 B	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2001-11-15	2001-12-20	WATER/GAS	INJECTING	0	INJECTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4369	http://www.npd.no/FactMapSearch?NPDID_wellbore=4369	NO
4370	30/9-B-44	30/9-B-44	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2001-08-06	2001-09-16	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4370	http://www.npd.no/FactMapSearch?NPDID_wellbore=4370	NO
4371	30/9-B-44	30/9-B-44 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2001-09-16	2001-10-31	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4371	http://www.npd.no/FactMapSearch?NPDID_wellbore=4371	NO
4372	6506/12-H-4	6506/12-H-4 H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN WINNER	ÅSGARD H	2001-07-26	2001-08-21	GAS	PRODUCING	90	PRODUCTION	287.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4372	http://www.npd.no/FactMapSearch?NPDID_wellbore=4372	NO
4373	34/10-M-3	34/10-M-3 H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	TRANS. WILDCAT	GULLFAKS SØR M	2001-07-31	2001-08-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4373	http://www.npd.no/FactMapSearch?NPDID_wellbore=4373	NO
4374	34/10-M-3	34/10-M-3 AH	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	DEEPSEA TRYM	GULLFAKS SØR M	2001-08-25	2001-09-06	NOT AVAILABLE	PLUGGED	71	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4374	http://www.npd.no/FactMapSearch?NPDID_wellbore=4374	NO
4375	31/2-L-21	31/2-L-21 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL L1	2001-08-03	2001-08-19	NOT APPLICABLE	PLUGGED	99	OBSERVATION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4375	http://www.npd.no/FactMapSearch?NPDID_wellbore=4375	NO
4376	31/2-L-21	31/2-L-21 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL L1	2001-08-20	2001-09-19	OIL	PRODUCING	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4376	http://www.npd.no/FactMapSearch?NPDID_wellbore=4376	NO
4377	31/2-L-21	31/2-L-21 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL L1	2001-09-19	2001-10-25	OIL	PRODUCING	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4377	http://www.npd.no/FactMapSearch?NPDID_wellbore=4377	NO
4378	6507/7-A-41	6507/7-A-41	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2001-07-27	2001-08-27	OIL	PLUGGED	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4378	http://www.npd.no/FactMapSearch?NPDID_wellbore=4378	NO
4379	31/2-X-14	31/2-X-14 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL T1	2001-08-11	2001-08-27	NOT APPLICABLE	PLUGGED	99	OBSERVATION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4379	http://www.npd.no/FactMapSearch?NPDID_wellbore=4379	NO
4380	31/2-X-14	31/2-X-14 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL T1	2001-09-15	2001-11-05	OIL	PRODUCING	50	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4380	http://www.npd.no/FactMapSearch?NPDID_wellbore=4380	NO
4381	31/2-X-14	31/2-X-14 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL T1	2001-11-05	2002-01-04	OIL	PRODUCING	50	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4381	http://www.npd.no/FactMapSearch?NPDID_wellbore=4381	NO
4382	6506/12-N-2	6506/12-N-2 H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	ÅSGARD N	2001-08-23	2001-10-11	OIL	PRODUCING	50	PRODUCTION	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4382	http://www.npd.no/FactMapSearch?NPDID_wellbore=4382	NO
4383	24/12-4	24/12-4	\N	204	EXPLORATION	Statoil ASA (old)	NO	BYFORD DOLPHIN	\N	2001-08-31	2001-09-14	DRY	P&A	1	WILDCAT	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4383	http://www.npd.no/FactMapSearch?NPDID_wellbore=4383	NO
4385	25/2-16	25/2-16 S	\N	244	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	\N	2001-08-03	2001-09-13	DRY	P&A	1	WILDCAT	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4385	http://www.npd.no/FactMapSearch?NPDID_wellbore=4385	NO
4386	6608/10-6	6608/10-6 R2	URD	128	EXPLORATION	Den norske stats oljeselskap a.s	NO	BORGLAND DOLPHIN	\N	2001-08-13	2001-08-29	OIL	P&A	5	WILDCAT	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4386	http://www.npd.no/FactMapSearch?NPDID_wellbore=4386	NO
4387	31/2-N-23	31/2-N-23 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VANGUARD	TROLL N2	2001-11-05	2001-12-08	OIL	PRODUCING	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4387	http://www.npd.no/FactMapSearch?NPDID_wellbore=4387	NO
4388	31/2-N-23	31/2-N-23 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VANGUARD	TROLL N2	2001-10-03	2001-11-05	OIL	PRODUCING	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4388	http://www.npd.no/FactMapSearch?NPDID_wellbore=4388	NO
4389	31/2-N-23	31/2-N-23 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL N2	2001-09-14	2001-10-02	NOT APPLICABLE	PLUGGED	99	OBSERVATION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4389	http://www.npd.no/FactMapSearch?NPDID_wellbore=4389	NO
4390	6507/8-E-2	6507/8-E-2 BH	HEIDRUN	124	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN PROSPECT	HEIDRUN E	2001-07-30	2001-08-26	OIL	PRODUCING	50	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4390	http://www.npd.no/FactMapSearch?NPDID_wellbore=4390	NO
4391	7122/7-2	7122/7-2	GOLIAT	229	EXPLORATION	Norsk Agip  AS	NO	WEST ALPHA	\N	2001-09-12	2001-10-19	OIL	P&A	5	APPRAISAL	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4391	http://www.npd.no/FactMapSearch?NPDID_wellbore=4391	NO
4392	25/11-G-21	25/11-G-21	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2001-09-06	2001-12-14	OIL	PLUGGED	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4392	http://www.npd.no/FactMapSearch?NPDID_wellbore=4392	NO
4393	31/2-L-24	31/2-L-24 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL L1	2001-10-25	2001-10-31	NOT APPLICABLE	PLUGGED	99	OBSERVATION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4393	http://www.npd.no/FactMapSearch?NPDID_wellbore=4393	NO
4394	31/2-L-24	31/2-L-24 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL L1	2001-10-31	2001-11-29	OIL	PLUGGED	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4394	http://www.npd.no/FactMapSearch?NPDID_wellbore=4394	NO
4395	31/2-L-24	31/2-L-24 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL L1	2001-11-30	2001-12-31	OIL	PLUGGED	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4395	http://www.npd.no/FactMapSearch?NPDID_wellbore=4395	NO
4396	1/3-K-3	1/3-K-3	TAMBAR	065	DEVELOPMENT	BP Amoco Norge AS	NO	TRANSOCEAN NORDIC	TAMBAR	2001-09-08	2001-11-07	OIL	PRODUCING	50	PRODUCTION	67.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4396	http://www.npd.no/FactMapSearch?NPDID_wellbore=4396	NO
4397	2/4-W-5	2/4-W-5 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GIANT	EKOFISK W	2003-08-21	2003-11-09	WATER	INJECTING	173	INJECTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4397	http://www.npd.no/FactMapSearch?NPDID_wellbore=4397	NO
4398	33/9-A-37	33/9-A-37 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD A	STATFJORD A	2001-10-05	2001-11-12	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4398	http://www.npd.no/FactMapSearch?NPDID_wellbore=4398	NO
4399	6506/12-P-4	6506/12-P-4 H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN WINNER	ÅSGARD P	2001-08-23	2001-09-15	OIL	PLUGGED	50	PRODUCTION	311.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4399	http://www.npd.no/FactMapSearch?NPDID_wellbore=4399	NO
4400	6507/8-D-3	6507/8-D-3 AH	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN PROSPECT	HEIDRUN D	2001-09-05	2001-10-25	OIL	PLUGGED	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4400	http://www.npd.no/FactMapSearch?NPDID_wellbore=4400	NO
4401	6507/7-A-55	6507/7-A-55	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2001-08-29	2001-10-16	WATER	INJECTING	173	INJECTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4401	http://www.npd.no/FactMapSearch?NPDID_wellbore=4401	NO
4402	30/9-F-1	30/9-F-1	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2001-09-18	2002-02-21	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4402	http://www.npd.no/FactMapSearch?NPDID_wellbore=4402	NO
4403	30/9-F-1	30/9-F-1 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2002-02-25	2002-04-02	GAS	INJECTING	91	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4403	http://www.npd.no/FactMapSearch?NPDID_wellbore=4403	NO
4404	25/11-C-3	25/11-C-3 EH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-C-3 H	2001-10-14	2001-10-27	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4404	http://www.npd.no/FactMapSearch?NPDID_wellbore=4404	NO
4405	25/11-C-3	25/11-C-3 FH	BALDER	001	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	25/11-C-3 H	2001-10-27	2001-11-14	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4405	http://www.npd.no/FactMapSearch?NPDID_wellbore=4405	NO
4406	2/4-B-17	2/4-B-17 B	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GIANT	EKOFISK B	2002-09-04	2002-10-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	73.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4406	http://www.npd.no/FactMapSearch?NPDID_wellbore=4406	NO
4407	6506/12-M-2	6506/12-M-2 H	ÅSGARD	094	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	TRANSOCEAN WINNER	ÅSGARD M	2001-09-17	2001-10-20	OIL/GAS	PLUGGED	0	PRODUCTION	273.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4407	http://www.npd.no/FactMapSearch?NPDID_wellbore=4407	NO
4408	16/2-2	16/2-2	\N	265	EXPLORATION	Statoil ASA (old)	NO	BYFORD DOLPHIN	\N	2001-09-17	2001-10-04	DRY	P&A	1	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4408	http://www.npd.no/FactMapSearch?NPDID_wellbore=4408	NO
4409	2/4-X-19	2/4-X-19	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2001-07-03	2001-08-15	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4409	http://www.npd.no/FactMapSearch?NPDID_wellbore=4409	NO
4410	2/4-X-37	2/4-X-37	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2001-09-11	2001-10-14	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4410	http://www.npd.no/FactMapSearch?NPDID_wellbore=4410	NO
4411	2/8-F-13	2/8-F-13 A	VALHALL	006 B	DEVELOPMENT	BP Amoco Norge AS	NO	MÆRSK GUARDIAN	VALHALL WP	2001-10-06	2002-02-08	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4411	http://www.npd.no/FactMapSearch?NPDID_wellbore=4411	NO
4412	30/6-C-3	30/6-C-3 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2001-09-22	2001-10-28	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4412	http://www.npd.no/FactMapSearch?NPDID_wellbore=4412	NO
4413	33/12-B-14	33/12-B-14 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2001-09-27	2001-10-07	NOT APPLICABLE	PLUGGED	99	OBSERVATION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4413	http://www.npd.no/FactMapSearch?NPDID_wellbore=4413	NO
4414	33/12-B-14	33/12-B-14 C	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2001-10-07	2001-11-01	WATER	INJECTING	173	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4414	http://www.npd.no/FactMapSearch?NPDID_wellbore=4414	NO
4415	31/4-A-10	31/4-A-10	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2001-08-21	2001-11-05	NOT APPLICABLE	PLUGGED	99	OBSERVATION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4415	http://www.npd.no/FactMapSearch?NPDID_wellbore=4415	NO
4416	30/6-26	30/6-26	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	\N	2001-09-17	2001-10-07	OIL/GAS	P&A	13	WILDCAT	108.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4416	http://www.npd.no/FactMapSearch?NPDID_wellbore=4416	YES
4417	34/7-J-2	34/7-J-2 H	TORDIS	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	TORDIS EXTENSION	2001-10-19	2001-12-05	OIL	PLUGGED	50	PRODUCTION	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4417	http://www.npd.no/FactMapSearch?NPDID_wellbore=4417	NO
4418	34/7-J-2	34/7-J-2 AH	TORDIS	089	DEVELOPMENT	StatoilHydro ASA	NO	BORGLAND DOLPHIN	TORDIS EXTENSION	2006-06-19	2006-11-24	OIL	PRODUCING	50	PRODUCTION	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4418	http://www.npd.no/FactMapSearch?NPDID_wellbore=4418	NO
4419	34/10-B-42	34/10-B-42	GULLFAKS	050	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	GULLFAKS B	GULLFAKS B	2001-09-25	2001-11-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4419	http://www.npd.no/FactMapSearch?NPDID_wellbore=4419	NO
4420	34/10-B-42	34/10-B-42 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2001-11-03	2002-01-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4420	http://www.npd.no/FactMapSearch?NPDID_wellbore=4420	NO
4421	6507/7-A-16	6507/7-A-16	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	2001-10-25	2001-12-19	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4421	http://www.npd.no/FactMapSearch?NPDID_wellbore=4421	NO
4422	34/10-44	34/10-44 S	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	\N	2001-05-30	2001-07-08	GAS/CONDENSATE	RE-CLASS TO DEV	17	WILDCAT	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4422	http://www.npd.no/FactMapSearch?NPDID_wellbore=4422	YES
4423	34/7-32	34/7-32	\N	089	EXPLORATION	Norsk Hydro Produksjon AS	NO	BYFORD DOLPHIN	\N	2001-10-08	2001-10-27	DRY	P&A	1	WILDCAT	300.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4423	http://www.npd.no/FactMapSearch?NPDID_wellbore=4423	NO
4424	34/8-12	34/8-12 S	GIMLE	120	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	\N	2001-11-06	2001-12-09	OIL	P&A	5	WILDCAT	273.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4424	http://www.npd.no/FactMapSearch?NPDID_wellbore=4424	YES
4425	30/6-27	30/6-27	OSEBERG	053	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	\N	2001-10-08	2001-10-30	OIL/GAS	P&A	13	WILDCAT	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4425	http://www.npd.no/FactMapSearch?NPDID_wellbore=4425	YES
4426	34/10-34	34/10-34 R	GULLFAKS	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	\N	2001-10-06	2001-10-16	OIL	P&A	5	WILDCAT	139.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4426	http://www.npd.no/FactMapSearch?NPDID_wellbore=4426	NO
4427	36/7-3	36/7-3	\N	153	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	\N	2001-12-12	2002-01-06	DRY	P&A	1	WILDCAT	349.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4427	http://www.npd.no/FactMapSearch?NPDID_wellbore=4427	NO
4428	6507/5-5	6507/5-5	SKARV	212	EXPLORATION	BP Amoco Norge AS	NO	WEST ALPHA	\N	2001-11-28	2002-02-14	OIL	P&A	5	APPRAISAL	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4428	http://www.npd.no/FactMapSearch?NPDID_wellbore=4428	NO
4429	33/9-C-19	33/9-C-19 C	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	2001-11-22	2001-12-11	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4429	http://www.npd.no/FactMapSearch?NPDID_wellbore=4429	NO
4430	30/9-B-5	30/9-B-5 D	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2001-11-15	2002-01-13	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4430	http://www.npd.no/FactMapSearch?NPDID_wellbore=4430	NO
4431	2/4-X-18	2/4-X-18	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2001-10-08	2001-11-26	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4431	http://www.npd.no/FactMapSearch?NPDID_wellbore=4431	NO
4432	34/10-37	34/10-37 AR	GULLFAKS SØR	050	EXPLORATION	Den norske stats oljeselskap a.s	NO	TRANS. WILDCAT	\N	2001-10-17	2001-10-25	OIL	P&A	5	APPRAISAL	140.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4432	http://www.npd.no/FactMapSearch?NPDID_wellbore=4432	NO
4433	2/5-12	2/5-12	\N	006 C	EXPLORATION	Amerada Hess Norge AS	NO	TRANSOCEAN NORDIC	\N	2001-11-24	2002-02-22	OIL SHOWS	P&A	12	WILDCAT	58.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4433	http://www.npd.no/FactMapSearch?NPDID_wellbore=4433	NO
4434	30/6-C-17	30/6-C-17 C	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2001-12-04	2002-01-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4434	http://www.npd.no/FactMapSearch?NPDID_wellbore=4434	NO
4435	30/6-C-17	30/6-C-17 D	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2002-01-23	2002-03-25	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4435	http://www.npd.no/FactMapSearch?NPDID_wellbore=4435	NO
4436	33/12-B-40	33/12-B-40 B	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2001-11-08	2001-11-25	NOT APPLICABLE	PLUGGED	99	OBSERVATION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4436	http://www.npd.no/FactMapSearch?NPDID_wellbore=4436	NO
4437	33/12-B-40	33/12-B-40 C	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD B	STATFJORD B	2001-11-26	2001-12-11	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4437	http://www.npd.no/FactMapSearch?NPDID_wellbore=4437	NO
4438	25/8-13	25/8-13	\N	027 B	EXPLORATION	Esso Exploration and Production Norway A/S	NO	WEST ALPHA	\N	2001-10-31	2001-11-20	DRY	P&A	1	WILDCAT	127.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4438	http://www.npd.no/FactMapSearch?NPDID_wellbore=4438	NO
4439	6608/10-8	6608/10-8	URD	128	EXPLORATION	Statoil ASA (old)	NO	STENA DON	\N	2001-12-29	2002-04-12	OIL	P&A	5	WILDCAT	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4439	http://www.npd.no/FactMapSearch?NPDID_wellbore=4439	YES
4440	31/4-A-10	31/4-A-10 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2001-11-15	2001-12-31	OIL	PRODUCING	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4440	http://www.npd.no/FactMapSearch?NPDID_wellbore=4440	NO
4441	6305/4-1	6305/4-1	ORMEN LANGE	209	EXPLORATION	Norsk Hydro Produksjon AS	NO	SCARABEO 5	\N	2002-03-14	2002-06-03	GAS	P&A	9	APPRAISAL	1002.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4441	http://www.npd.no/FactMapSearch?NPDID_wellbore=4441	NO
4442	15/6-A-4	15/6-A-4 AH	GLITNE	029	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	PETROJARL 1	2001-02-03	2001-04-24	OIL	PLUGGED	50	PRODUCTION	111.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4442	http://www.npd.no/FactMapSearch?NPDID_wellbore=4442	NO
4443	6507/8-D-4	6507/8-D-4 AH	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN PROSPECT	HEIDRUN D	2001-12-04	2001-12-20	OIL	PLUGGED	99	OBSERVATION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4443	http://www.npd.no/FactMapSearch?NPDID_wellbore=4443	NO
4444	2/7-B-4	2/7-B-4 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK B	ELDFISK B	2001-12-14	2002-02-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4444	http://www.npd.no/FactMapSearch?NPDID_wellbore=4444	NO
4445	33/9-M-3	33/9-M-3 H	STATFJORD ØST	037	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	STATFJORD ØST M	2001-12-12	2002-03-07	OIL	PRODUCING	50	PRODUCTION	195.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4445	http://www.npd.no/FactMapSearch?NPDID_wellbore=4445	NO
4446	34/8-A-8	34/8-A-8 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2001-12-03	2002-02-23	OIL	PLUGGED	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4446	http://www.npd.no/FactMapSearch?NPDID_wellbore=4446	NO
4447	30/3-A-4	30/3-A-4 A	VESLEFRIKK	052	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	VESLEFRIKK A	2001-12-16	2002-01-06	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4447	http://www.npd.no/FactMapSearch?NPDID_wellbore=4447	NO
4448	15/9-A-22	15/9-A-22 A	SLEIPNER ØST	046	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	SLEIPNER A	SLEIPNER A	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4448	http://www.npd.no/FactMapSearch?NPDID_wellbore=4448	NO
4449	16/7-A-1	16/7-A-1 H	SIGYN	072	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	BYFORD DOLPHIN	SIGYN	2001-12-07	2002-04-15	GAS	PRODUCING	90	PRODUCTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4449	http://www.npd.no/FactMapSearch?NPDID_wellbore=4449	NO
4450	34/10-45	34/10-45 S	GULLFAKS	050	EXPLORATION	Statoil ASA (old)	NO	GULLFAKS B	\N	2001-11-03	2002-01-12	GAS/CONDENSATE	RE-CLASS TO DEV	17	WILDCAT	143.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4450	http://www.npd.no/FactMapSearch?NPDID_wellbore=4450	YES
4451	6406/5-1	6406/5-1	\N	255	EXPLORATION	A/S Norske Shell	NO	TRANSOCEAN WINNER	\N	2001-12-23	2002-04-30	GAS/CONDENSATE	P&A	17	WILDCAT	286.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4451	http://www.npd.no/FactMapSearch?NPDID_wellbore=4451	YES
4452	34/7-P-16	34/7-P-16	SNORRE	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE A	SNORRE A	2001-11-30	2002-02-26	WATER	INJECTING	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4452	http://www.npd.no/FactMapSearch?NPDID_wellbore=4452	NO
4453	30/3-7	30/3-7 BR	VESLEFRIKK	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	VESLEFRIKK A	\N	2001-11-05	2001-11-17	OIL	RE-CLASS TO DEV	5	WILDCAT	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4453	http://www.npd.no/FactMapSearch?NPDID_wellbore=4453	NO
4454	30/3-4	30/3-4 R	VESLEFRIKK	052	EXPLORATION	Den norske stats oljeselskap a.s	NO	BYFORD DOLPHIN	\N	2001-11-02	2001-11-18	OIL/GAS	P&A	13	APPRAISAL	164.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4454	http://www.npd.no/FactMapSearch?NPDID_wellbore=4454	NO
4455	25/11-G-27	25/11-G-27	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2001-12-17	2002-01-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4455	http://www.npd.no/FactMapSearch?NPDID_wellbore=4455	NO
4456	25/11-G-27	25/11-G-27 A	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2002-11-20	2002-12-17	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4456	http://www.npd.no/FactMapSearch?NPDID_wellbore=4456	NO
4457	30/8-A-14	30/8-A-14 H	TUNE	190	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	TUNE	2002-01-09	2002-06-04	GAS	PRODUCING	90	PRODUCTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4457	http://www.npd.no/FactMapSearch?NPDID_wellbore=4457	NO
4458	7/12-A-16	7/12-A-16 B	ULA	019	DEVELOPMENT	BP Amoco Norge AS	NO	ULA DP	ULA PP	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4458	http://www.npd.no/FactMapSearch?NPDID_wellbore=4458	NO
4460	16/7-A-3	16/7-A-3 H	SIGYN	072	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	BYFORD DOLPHIN	SIGYN	2002-01-04	2002-03-28	OIL	PRODUCING	50	PRODUCTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4460	http://www.npd.no/FactMapSearch?NPDID_wellbore=4460	NO
4461	16/7-A-2	16/7-A-2 H	SIGYN	072	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	BYFORD DOLPHIN	SIGYN	2002-01-20	2002-03-14	GAS	PRODUCING	90	PRODUCTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4461	http://www.npd.no/FactMapSearch?NPDID_wellbore=4461	NO
4462	15/9-A-7	15/9-A-7	SLEIPNER ØST	046	DEVELOPMENT	Statoil ASA (old)	NO	SLEIPNER A	SLEIPNER A	2002-01-01	2002-02-09	GAS	CLOSED	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4462	http://www.npd.no/FactMapSearch?NPDID_wellbore=4462	NO
4463	30/9-20	30/9-20 S	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN ARCTIC	\N	2002-01-09	2002-02-11	OIL	P&A	5	WILDCAT	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4463	http://www.npd.no/FactMapSearch?NPDID_wellbore=4463	YES
4464	33/12-B-3	33/12-B-3 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2001-12-19	2002-01-08	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4464	http://www.npd.no/FactMapSearch?NPDID_wellbore=4464	NO
4465	6404/11-1	6404/11-1	\N	254	EXPLORATION	BP Amoco Norge AS	NO	SCARABEO 5	\N	2001-12-01	2002-03-10	DRY	P&A	1	WILDCAT	1495.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4465	http://www.npd.no/FactMapSearch?NPDID_wellbore=4465	NO
4466	34/7-C-3	34/7-C-3 AH	VIGDIS	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	VIGDIS C	2001-12-21	2002-02-01	OIL	PRODUCING	50	PRODUCTION	283.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4466	http://www.npd.no/FactMapSearch?NPDID_wellbore=4466	NO
4467	6507/8-D-4	6507/8-D-4 BH	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN PROSPECT	HEIDRUN D	2001-12-20	2002-03-12	OIL	PRODUCING	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4467	http://www.npd.no/FactMapSearch?NPDID_wellbore=4467	NO
4468	33/9-C-27	33/9-C-27 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2001-12-26	2002-01-30	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4468	http://www.npd.no/FactMapSearch?NPDID_wellbore=4468	NO
4469	34/10-D-3	34/10-D-3 BH	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	DEEPSEA TRYM	GULLFAKS SØR D	2002-01-13	2002-02-06	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4469	http://www.npd.no/FactMapSearch?NPDID_wellbore=4469	NO
4471	6507/7-A-32	6507/7-A-32	HEIDRUN	095	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	HEIDRUN	HEIDRUN	2001-12-26	2002-02-05	OIL	PRODUCING	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4471	http://www.npd.no/FactMapSearch?NPDID_wellbore=4471	NO
4472	31/4-A-33	31/4-A-33 B	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2002-02-02	2002-03-05	NOT APPLICABLE	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4472	http://www.npd.no/FactMapSearch?NPDID_wellbore=4472	NO
4473	31/4-A-33	31/4-A-33 C	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2002-03-16	2002-03-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4473	http://www.npd.no/FactMapSearch?NPDID_wellbore=4473	NO
4474	31/4-A-33	31/4-A-33 D	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2002-03-26	2002-04-30	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4474	http://www.npd.no/FactMapSearch?NPDID_wellbore=4474	NO
4475	31/5-I-12	31/5-I-12 Y1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL I1	2002-01-02	2002-02-05	OIL	PLUGGED	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4475	http://www.npd.no/FactMapSearch?NPDID_wellbore=4475	NO
4476	31/5-I-12	31/5-I-12 Y2H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL I1	2002-02-05	2002-03-17	OIL	PLUGGED	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4476	http://www.npd.no/FactMapSearch?NPDID_wellbore=4476	NO
4477	30/6-E-3	30/6-E-3 A	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2002-04-13	2002-06-06	OIL	CLOSED	50	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4477	http://www.npd.no/FactMapSearch?NPDID_wellbore=4477	NO
4478	31/2-P-11	31/2-P-11 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	MÆRSK JUTLANDER	TROLL P1	2002-01-10	2002-02-26	OIL	PLUGGED	50	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4478	http://www.npd.no/FactMapSearch?NPDID_wellbore=4478	NO
4479	31/2-P-11	31/2-P-11 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	MÆRSK JUTLANDER	TROLL P1	2002-02-27	2002-03-26	OIL	PLUGGED	50	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4479	http://www.npd.no/FactMapSearch?NPDID_wellbore=4479	NO
4480	30/9-B-1	30/9-B-1 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2002-01-19	2002-02-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4480	http://www.npd.no/FactMapSearch?NPDID_wellbore=4480	NO
4481	30/9-B-1	30/9-B-1 C	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2002-02-24	2002-03-20	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4481	http://www.npd.no/FactMapSearch?NPDID_wellbore=4481	NO
4482	2/4-X-13	2/4-X-13	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2002-02-07	2002-03-30	NOT AVAILABLE	PLUGGED	71	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4482	http://www.npd.no/FactMapSearch?NPDID_wellbore=4482	NO
4483	31/2-P-21	31/2-P-21 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL P2	2002-02-01	2002-02-27	NOT APPLICABLE	PLUGGED	99	OBSERVATION	338.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4483	http://www.npd.no/FactMapSearch?NPDID_wellbore=4483	NO
4484	31/2-P-21	31/2-P-21 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL P2	2002-02-27	2002-04-14	OIL	PLUGGED	50	PRODUCTION	338.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4484	http://www.npd.no/FactMapSearch?NPDID_wellbore=4484	NO
4485	31/2-P-21	31/2-P-21 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL P2	2002-04-14	2002-06-06	OIL	PLUGGED	50	PRODUCTION	338.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4485	http://www.npd.no/FactMapSearch?NPDID_wellbore=4485	NO
4486	30/8-A-11	30/8-A-11 H	TUNE	190	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	TUNE	2002-02-15	2002-03-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4486	http://www.npd.no/FactMapSearch?NPDID_wellbore=4486	NO
4487	30/8-A-11	30/8-A-11 AH	TUNE	190	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	TUNE	2002-03-27	2002-04-30	GAS	PRODUCING	90	PRODUCTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4487	http://www.npd.no/FactMapSearch?NPDID_wellbore=4487	NO
4488	25/11-G-17	25/11-G-17	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2001-12-15	2002-02-27	OIL	PLUGGED	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4488	http://www.npd.no/FactMapSearch?NPDID_wellbore=4488	NO
4489	34/10-46	34/10-46 S	GULLFAKS	050	EXPLORATION	Statoil ASA (old)	NO	GULLFAKS A	\N	2001-11-13	2002-02-01	GAS	RE-CLASS TO DEV	9	WILDCAT	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4489	http://www.npd.no/FactMapSearch?NPDID_wellbore=4489	YES
4490	33/12-B-15	33/12-B-15 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2002-01-19	2002-02-23	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4490	http://www.npd.no/FactMapSearch?NPDID_wellbore=4490	NO
4491	34/4-K-6	34/4-K-6 H	SNORRE	057	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE B	34/4-K H	2002-09-09	2002-12-11	WATER	INJECTING	173	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4491	http://www.npd.no/FactMapSearch?NPDID_wellbore=4491	NO
4492	35/3-6	35/3-6	\N	270	EXPLORATION	RWE Dea Norge AS	NO	DEEPSEA BERGEN	\N	2002-02-06	2002-04-02	DRY	P&A	1	WILDCAT	225.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4492	http://www.npd.no/FactMapSearch?NPDID_wellbore=4492	NO
4493	33/12-8	33/12-8 S	GULLFAKS SØR	152	EXPLORATION	Statoil ASA (old)	NO	BORGLAND DOLPHIN	\N	2002-03-26	2002-04-26	OIL/GAS	P&A	13	WILDCAT	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4493	http://www.npd.no/FactMapSearch?NPDID_wellbore=4493	YES
4494	6506/12-M-4	6506/12-M-4 H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	ÅSGARD M	2002-03-15	2002-04-30	OIL/GAS	CLOSED	0	PRODUCTION	273.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4494	http://www.npd.no/FactMapSearch?NPDID_wellbore=4494	NO
4495	30/2-A-11	30/2-A-11	HULDRA	051	DEVELOPMENT	Statoil ASA (old)	NO	MÆRSK GALLANT	HULDRA	2002-02-18	2002-04-13	GAS	PRODUCING	90	PRODUCTION	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4495	http://www.npd.no/FactMapSearch?NPDID_wellbore=4495	NO
4496	6507/7-A-24	6507/7-A-24	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2002-03-17	2002-05-24	NOT AVAILABLE	PLUGGED	71	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4496	http://www.npd.no/FactMapSearch?NPDID_wellbore=4496	NO
4497	33/9-A-36	33/9-A-36 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2002-03-04	2002-03-23	GAS	PLUGGED	91	INJECTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4497	http://www.npd.no/FactMapSearch?NPDID_wellbore=4497	NO
4498	25/11-G-26	25/11-G-26	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2002-03-01	2002-04-10	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4498	http://www.npd.no/FactMapSearch?NPDID_wellbore=4498	NO
4499	34/8-A-30	34/8-A-30 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2002-02-23	2002-04-10	WATER	PLUGGED	173	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4499	http://www.npd.no/FactMapSearch?NPDID_wellbore=4499	NO
4500	34/10-46	34/10-46 A	GULLFAKS	050	EXPLORATION	Statoil ASA (old)	NO	GULLFAKS A	\N	2002-02-01	2002-03-18	OIL/GAS	RE-CLASS TO DEV	13	WILDCAT	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4500	http://www.npd.no/FactMapSearch?NPDID_wellbore=4500	YES
4501	34/10-45	34/10-45 A	GULLFAKS	050	EXPLORATION	Statoil ASA (old)	NO	GULLFAKS B	\N	2002-01-12	2002-02-23	GAS/CONDENSATE	RE-CLASS TO DEV	17	APPRAISAL	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4501	http://www.npd.no/FactMapSearch?NPDID_wellbore=4501	NO
4502	6608/10-D-1	6608/10-D-1 AH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	NORNE D	2002-05-28	2002-06-25	NOT APPLICABLE	PLUGGED	99	OBSERVATION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4502	http://www.npd.no/FactMapSearch?NPDID_wellbore=4502	NO
4503	6608/10-D-1	6608/10-D-1 BH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	NORNE D	2002-06-26	2002-09-05	NOT AVAILABLE	PLUGGED	71	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4503	http://www.npd.no/FactMapSearch?NPDID_wellbore=4503	NO
4504	33/9-C-34	33/9-C-34 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2002-03-15	2002-04-04	WATER	INJECTING	173	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4504	http://www.npd.no/FactMapSearch?NPDID_wellbore=4504	NO
4505	31/2-X-13	31/2-X-13 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL T1	2002-03-19	2002-05-20	OIL	PRODUCING	50	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4505	http://www.npd.no/FactMapSearch?NPDID_wellbore=4505	NO
4506	31/2-X-13	31/2-X-13 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL T1	2002-05-21	2002-06-03	OIL	PRODUCING	50	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4506	http://www.npd.no/FactMapSearch?NPDID_wellbore=4506	NO
4507	31/2-X-13	31/2-X-13 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL T1	2002-06-04	2002-07-03	OIL	PRODUCING	50	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4507	http://www.npd.no/FactMapSearch?NPDID_wellbore=4507	NO
4508	34/10-E-4	34/10-E-4 AH	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	DEEPSEA TRYM	GULLFAKS SØR E	2002-03-26	2002-05-22	NOT AVAILABLE	PLUGGED	72	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4508	http://www.npd.no/FactMapSearch?NPDID_wellbore=4508	NO
4509	34/10-C-43	34/10-C-43	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2002-03-16	2004-03-08	OIL	PRODUCING	50	PRODUCTION	217.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4509	http://www.npd.no/FactMapSearch?NPDID_wellbore=4509	NO
4788	6305/8-U-1	6305/8-U-1	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	2000-06-20	2000-06-20	\N	P&A	0	\N	268.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4788	\N	NO
4510	31/2-N-21	31/2-N-21 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	MÆRSK JUTLANDER	TROLL N2	2002-04-01	2002-05-13	OIL	PRODUCING	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4510	http://www.npd.no/FactMapSearch?NPDID_wellbore=4510	NO
4511	31/2-N-21	31/2-N-21 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	MÆRSK JUTLANDER	TROLL N2	2002-05-14	2002-06-19	OIL	PRODUCING	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4511	http://www.npd.no/FactMapSearch?NPDID_wellbore=4511	NO
4512	34/4-C-4	34/4-C-4 H	SNORRE	057	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE B	34/4-C H	2002-04-17	2002-07-11	OIL	PLUGGED	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4512	http://www.npd.no/FactMapSearch?NPDID_wellbore=4512	NO
4513	30/9-B-45	30/9-B-45	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2002-03-19	2002-08-08	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4513	http://www.npd.no/FactMapSearch?NPDID_wellbore=4513	NO
4515	30/9-F-6	30/9-F-6	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2002-04-02	2002-05-10	WATER	INJECTING	173	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4515	http://www.npd.no/FactMapSearch?NPDID_wellbore=4515	NO
4516	33/9-A-13	33/9-A-13 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2002-04-01	2002-05-09	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4516	http://www.npd.no/FactMapSearch?NPDID_wellbore=4516	NO
4517	25/11-G-20	25/11-G-20	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2002-04-11	2002-04-22	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4517	http://www.npd.no/FactMapSearch?NPDID_wellbore=4517	NO
4518	25/11-G-20	25/11-G-20 A	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2002-04-22	2002-05-28	GAS	INJECTING	91	INJECTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4518	http://www.npd.no/FactMapSearch?NPDID_wellbore=4518	NO
4519	25/11-G-20	25/11-G-20 B	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	9999-12-31	9999-12-31	\N	\N	0	INJECTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4519	http://www.npd.no/FactMapSearch?NPDID_wellbore=4519	NO
4520	33/9-C-38	33/9-C-38 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2002-04-11	2002-04-28	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4520	http://www.npd.no/FactMapSearch?NPDID_wellbore=4520	NO
4521	1/5-4	1/5-4 S	\N	144	EXPLORATION	Amerada Hess Norge AS	NO	DEEPSEA BERGEN	\N	2002-04-15	2002-05-22	OIL SHOWS	P&A	12	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4521	http://www.npd.no/FactMapSearch?NPDID_wellbore=4521	NO
4522	2/4-B-11	2/4-B-11	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GIANT	EKOFISK B	2002-04-18	2002-06-30	OIL	PRODUCING	50	PRODUCTION	73.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4522	http://www.npd.no/FactMapSearch?NPDID_wellbore=4522	NO
4523	34/10-J-5	34/10-J-5 H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	DEEPSEA TRYM	GULLFAKS SØR J	2002-05-25	2002-08-10	NOT AVAILABLE	PLUGGED	72	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4523	http://www.npd.no/FactMapSearch?NPDID_wellbore=4523	NO
4524	30/6-C-6	30/6-C-6 D	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2002-07-20	2002-08-07	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4524	http://www.npd.no/FactMapSearch?NPDID_wellbore=4524	NO
4525	34/8-A-4	34/8-A-4 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2002-05-25	2002-06-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4525	http://www.npd.no/FactMapSearch?NPDID_wellbore=4525	NO
4526	34/8-A-4	34/8-A-4 AH	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2002-06-10	2002-08-15	OIL	PLUGGED	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4526	http://www.npd.no/FactMapSearch?NPDID_wellbore=4526	NO
4527	34/10-46	34/10-46 B	GULLFAKS	050	EXPLORATION	Statoil ASA (old)	NO	GULLFAKS A	\N	2002-03-17	2002-05-12	DRY	RE-CLASS TO DEV	1	APPRAISAL	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4527	http://www.npd.no/FactMapSearch?NPDID_wellbore=4527	NO
4528	6507/7-A-31	6507/7-A-31	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2002-07-03	2002-08-12	OIL	PRODUCING	50	PRODUCTION	345.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4528	http://www.npd.no/FactMapSearch?NPDID_wellbore=4528	NO
4529	31/4-A-11	31/4-A-11 B	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2002-05-28	2002-06-18	OIL	PLUGGED	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4529	http://www.npd.no/FactMapSearch?NPDID_wellbore=4529	NO
4530	6608/10-8	6608/10-8 A	URD	128	EXPLORATION	Statoil ASA (old)	NO	STENA DON	\N	2002-04-12	2002-04-26	OIL	P&A	5	APPRAISAL	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4530	http://www.npd.no/FactMapSearch?NPDID_wellbore=4530	NO
4531	33/9-C-40	33/9-C-40 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2002-05-26	2002-06-27	OIL	PLUGGED	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4531	http://www.npd.no/FactMapSearch?NPDID_wellbore=4531	NO
4532	33/12-8	33/12-8 A	GULLFAKS SØR	152	EXPLORATION	Statoil ASA (old)	NO	BORGLAND DOLPHIN	\N	2002-04-26	2002-05-16	OIL/GAS	SUSP.REENTERED LATER	13	WILDCAT	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4532	http://www.npd.no/FactMapSearch?NPDID_wellbore=4532	YES
4533	2/4-B-10	2/4-B-10 B	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GIANT	EKOFISK B	2002-03-03	2002-04-16	OIL	PRODUCING	50	PRODUCTION	73.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4533	http://www.npd.no/FactMapSearch?NPDID_wellbore=4533	NO
4534	2/4-X-15	2/4-X-15	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2002-04-01	2002-08-15	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4534	http://www.npd.no/FactMapSearch?NPDID_wellbore=4534	NO
4535	6407/9-E-1	6407/9-E-1 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	TRANSOCEAN WINNER	6407/9-E-1 H	2002-05-04	2002-07-13	OIL	PRODUCING	50	PRODUCTION	293.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4535	http://www.npd.no/FactMapSearch?NPDID_wellbore=4535	NO
4536	6407/9-E-2	6407/9-E-2 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	TRANSOCEAN WINNER	6407/9-E-2 H	2002-05-02	2002-06-17	OIL	PRODUCING	50	PRODUCTION	293.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4536	http://www.npd.no/FactMapSearch?NPDID_wellbore=4536	NO
4537	6305/4-U-3	6305/4-U-3	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	SCARABEO 5	\N	2002-03-16	2002-03-18	\N	P&A	0	\N	1003.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4537	\N	NO
4539	2/4-X-44	2/4-X-44	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2002-04-30	2002-06-24	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4539	http://www.npd.no/FactMapSearch?NPDID_wellbore=4539	NO
4540	25/11-G-19	25/11-G-19	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2002-06-01	2002-06-28	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4540	http://www.npd.no/FactMapSearch?NPDID_wellbore=4540	NO
4541	35/1-1	35/1-1	\N	269	EXPLORATION	Phillips Petroleum Company Norway	NO	DEEPSEA BERGEN	\N	2002-05-28	2002-07-18	DRY	P&A	1	WILDCAT	408.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4541	http://www.npd.no/FactMapSearch?NPDID_wellbore=4541	NO
4542	30/3-A-18	30/3-A-18 B	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2002-05-28	2002-06-30	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4542	http://www.npd.no/FactMapSearch?NPDID_wellbore=4542	NO
4543	30/9-F-24	30/9-F-24	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2002-05-11	2002-06-26	OIL/GAS	PRODUCING	0	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4543	http://www.npd.no/FactMapSearch?NPDID_wellbore=4543	NO
4544	30/9-F-24	30/9-F-24 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	9999-12-31	9999-12-31	\N	\N	0	\N	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4544	http://www.npd.no/FactMapSearch?NPDID_wellbore=4544	NO
4545	30/6-E-11	30/6-E-11 B	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2002-06-16	2002-07-02	NOT APPLICABLE	PLUGGED	99	OBSERVATION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4545	http://www.npd.no/FactMapSearch?NPDID_wellbore=4545	NO
4546	30/6-E-11	30/6-E-11 C	OSEBERG ØST	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG ØST	OSEBERG ØST	2002-07-03	2002-08-03	GAS	INJECTING	91	INJECTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4546	http://www.npd.no/FactMapSearch?NPDID_wellbore=4546	NO
4547	25/8-B-23	25/8-B-23	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2002-05-27	2002-06-21	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4547	http://www.npd.no/FactMapSearch?NPDID_wellbore=4547	NO
4548	25/8-B-23	25/8-B-23 A	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2002-06-22	2002-07-18	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4548	http://www.npd.no/FactMapSearch?NPDID_wellbore=4548	NO
4549	2/4-B-9	2/4-B-9 B	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	MÆRSK GIANT	EKOFISK B	2002-07-13	2002-08-21	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4549	http://www.npd.no/FactMapSearch?NPDID_wellbore=4549	NO
4550	34/10-A-48	34/10-A-48 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2002-05-12	2002-05-26	WATER	PLUGGED	173	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4550	http://www.npd.no/FactMapSearch?NPDID_wellbore=4550	NO
4551	34/10-M-4	34/10-M-4 H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	GULLFAKS SØR M	2002-07-07	2002-08-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4551	http://www.npd.no/FactMapSearch?NPDID_wellbore=4551	NO
4552	34/10-M-4	34/10-M-4 AH	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	GULLFAKS SØR M	2002-08-04	2002-09-26	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4552	http://www.npd.no/FactMapSearch?NPDID_wellbore=4552	NO
4553	2/1-A-14	2/1-A-14 B	GYDA	019 B	DEVELOPMENT	BP Norge AS	NO	GYDA	GYDA	2002-06-21	2002-10-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4553	http://www.npd.no/FactMapSearch?NPDID_wellbore=4553	NO
4555	31/2-S-11	31/2-S-11 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL S1	2002-08-07	2002-11-07	OIL	SUSP.AT TD	50	PRODUCTION	343.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4555	http://www.npd.no/FactMapSearch?NPDID_wellbore=4555	NO
4557	2/7-A-24	2/7-A-24 A	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	2002-07-01	2002-08-22	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4557	http://www.npd.no/FactMapSearch?NPDID_wellbore=4557	NO
4558	31/2-X-21	31/2-X-21 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL T2	2002-06-29	2002-08-12	OIL	PRODUCING	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4558	http://www.npd.no/FactMapSearch?NPDID_wellbore=4558	NO
4559	34/7-P-15	34/7-P-15	SNORRE	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE A	SNORRE A	2002-06-14	2002-08-14	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4559	http://www.npd.no/FactMapSearch?NPDID_wellbore=4559	NO
4561	34/6-1	34/6-1 S	\N	268	EXPLORATION	Norske Conoco A/S	NO	TRANSOCEAN WINNER	\N	2002-07-18	2002-08-28	DRY	P&A	1	WILDCAT	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4561	http://www.npd.no/FactMapSearch?NPDID_wellbore=4561	NO
4562	31/2-P-22	31/2-P-22 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	MÆRSK JUTLANDER	TROLL P2	2002-06-22	2002-07-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4562	http://www.npd.no/FactMapSearch?NPDID_wellbore=4562	NO
4789	6305/8-U-4	6305/8-U-4	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	2003-06-05	2003-06-05	\N	P&A	0	\N	848.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4789	\N	NO
4563	31/2-P-22	31/2-P-22 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	MÆRSK JUTLANDER	TROLL P2	2002-07-05	2002-08-29	OIL	PRODUCING	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4563	http://www.npd.no/FactMapSearch?NPDID_wellbore=4563	NO
4564	31/2-P-22	31/2-P-22 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	MÆRSK JUTLANDER	TROLL P2	2002-08-30	2002-09-25	OIL	PRODUCING	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4564	http://www.npd.no/FactMapSearch?NPDID_wellbore=4564	NO
4565	15/9-A-11	15/9-A-11	SLEIPNER ØST	046	DEVELOPMENT	Statoil ASA (old)	NO	SLEIPNER A	SLEIPNER A	2002-07-01	2002-08-18	GAS	PRODUCING	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4565	http://www.npd.no/FactMapSearch?NPDID_wellbore=4565	NO
4566	25/8-B-21	25/8-B-21	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2002-07-20	2002-08-09	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4566	http://www.npd.no/FactMapSearch?NPDID_wellbore=4566	NO
4567	25/11-G-25	25/11-G-25	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2002-06-28	2002-08-06	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4567	http://www.npd.no/FactMapSearch?NPDID_wellbore=4567	NO
4568	33/9-A-15	33/9-A-15 C	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2002-07-24	2003-06-11	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4568	http://www.npd.no/FactMapSearch?NPDID_wellbore=4568	NO
4569	30/9-F-5	30/9-F-5	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2002-08-12	2002-10-10	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4569	http://www.npd.no/FactMapSearch?NPDID_wellbore=4569	NO
4570	30/9-F-5	30/9-F-5 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2002-10-11	2002-11-19	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4570	http://www.npd.no/FactMapSearch?NPDID_wellbore=4570	NO
4571	2/8-A-13	2/8-A-13 C	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL DP	VALHALL DP	2003-09-01	2003-09-23	CUTTINGS	INJECTING	171	INJECTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4571	http://www.npd.no/FactMapSearch?NPDID_wellbore=4571	NO
4572	34/7-A-4	34/7-A-4 AH	SNORRE	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 5	SNORRE UPA	2002-08-09	2002-10-13	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4572	http://www.npd.no/FactMapSearch?NPDID_wellbore=4572	NO
4573	2/8-A-11	2/8-A-11 B	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL DP	VALHALL DP	2002-07-21	2002-11-20	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4573	http://www.npd.no/FactMapSearch?NPDID_wellbore=4573	NO
4574	31/2-E-6	31/2-E-6 CH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL E	2002-08-12	2002-08-22	NOT APPLICABLE	PLUGGED	99	OBSERVATION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4574	http://www.npd.no/FactMapSearch?NPDID_wellbore=4574	NO
4575	31/2-E-6	31/2-E-6 DY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL E	2002-08-22	2002-09-23	OIL	PRODUCING	50	PRODUCTION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4575	http://www.npd.no/FactMapSearch?NPDID_wellbore=4575	NO
4576	31/2-E-6	31/2-E-6 DY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL E	2002-09-23	2002-11-02	OIL	PRODUCING	50	PRODUCTION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4576	http://www.npd.no/FactMapSearch?NPDID_wellbore=4576	NO
4577	25/11-G-22	25/11-G-22	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2002-08-24	2002-09-18	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4577	http://www.npd.no/FactMapSearch?NPDID_wellbore=4577	NO
4578	33/12-B-26	33/12-B-26 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2002-09-30	2002-10-25	WATER	INJECTING	173	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4578	http://www.npd.no/FactMapSearch?NPDID_wellbore=4578	NO
4579	35/11-A-12	35/11-A-12 H	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	FRAM A1	2002-07-25	2002-08-31	NOT APPLICABLE	PLUGGED	99	OBSERVATION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4579	http://www.npd.no/FactMapSearch?NPDID_wellbore=4579	NO
4580	35/11-A-12	35/11-A-12 AH	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	FRAM A1	2002-09-17	2002-10-25	OIL	PRODUCING	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4580	http://www.npd.no/FactMapSearch?NPDID_wellbore=4580	NO
4581	34/10-C-45	34/10-C-45	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2002-11-06	2003-01-26	OIL	PRODUCING	50	PRODUCTION	217.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4581	http://www.npd.no/FactMapSearch?NPDID_wellbore=4581	NO
4582	2/4-X-49	2/4-X-49	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	EKOFISK X	EKOFISK X	2002-08-13	2002-12-12	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4582	http://www.npd.no/FactMapSearch?NPDID_wellbore=4582	NO
4583	34/7-J-3	34/7-J-3 AH	TORDIS	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	TORDIS EXTENSION	2002-09-03	2002-10-02	OIL	PRODUCING	50	PRODUCTION	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4583	http://www.npd.no/FactMapSearch?NPDID_wellbore=4583	NO
4584	30/9-12	30/9-12 AR	OSEBERG	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	\N	2002-07-06	2002-07-11	OIL	P&A	5	APPRAISAL	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4584	http://www.npd.no/FactMapSearch?NPDID_wellbore=4584	NO
4585	33/12-B-4	33/12-B-4 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2002-07-21	2002-08-13	WATER	INJECTING	173	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4585	http://www.npd.no/FactMapSearch?NPDID_wellbore=4585	NO
4586	30/9-13	30/9-13 SR	OSEBERG SØR	104	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	\N	2002-07-12	2002-07-17	OIL/GAS	P&A	13	WILDCAT	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4586	http://www.npd.no/FactMapSearch?NPDID_wellbore=4586	NO
4587	30/9-B-14	30/9-B-14 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2002-08-27	2003-02-06	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4587	http://www.npd.no/FactMapSearch?NPDID_wellbore=4587	NO
4588	25/8-B-21	25/8-B-21 A	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2002-08-09	2002-09-11	NOT AVAILABLE	PLUGGED	71	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4588	http://www.npd.no/FactMapSearch?NPDID_wellbore=4588	NO
4589	6406/3-6	6406/3-6	TYRIHANS	091	EXPLORATION	Statoil ASA (old)	NO	STENA DON	\N	2002-09-21	2002-11-15	OIL/GAS	P&A	13	APPRAISAL	273.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4589	http://www.npd.no/FactMapSearch?NPDID_wellbore=4589	NO
4590	33/9-C-11	33/9-C-11 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2002-09-10	2002-10-03	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4590	http://www.npd.no/FactMapSearch?NPDID_wellbore=4590	NO
4591	6507/7-A-42	6507/7-A-42	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2002-08-10	2002-09-11	OIL	PLUGGED	99	OBSERVATION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4591	http://www.npd.no/FactMapSearch?NPDID_wellbore=4591	NO
4592	6507/7-A-42	6507/7-A-42 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2002-09-12	2002-09-24	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4592	http://www.npd.no/FactMapSearch?NPDID_wellbore=4592	NO
4593	31/5-5	31/5-5 R	TROLL	085	EXPLORATION	Norsk Hydro Produksjon AS	NO	WEST VENTURE	\N	2002-07-18	2002-07-27	OIL/GAS	P&A	13	APPRAISAL	319.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4593	http://www.npd.no/FactMapSearch?NPDID_wellbore=4593	NO
4594	25/8-B-29	25/8-B-29	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2002-07-26	2003-02-01	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4594	http://www.npd.no/FactMapSearch?NPDID_wellbore=4594	NO
4595	25/8-B-29	25/8-B-29 A	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2003-02-02	2003-03-13	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4595	http://www.npd.no/FactMapSearch?NPDID_wellbore=4595	NO
4596	31/2-X-12	31/2-X-12 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL T1	2002-08-18	2002-09-23	OIL	PLUGGED	50	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4596	http://www.npd.no/FactMapSearch?NPDID_wellbore=4596	NO
4597	34/10-C-5	34/10-C-5 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2004-07-21	2004-08-27	OIL	PLUGGED	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4597	http://www.npd.no/FactMapSearch?NPDID_wellbore=4597	NO
4598	6507/8-E-1	6507/8-E-1 BH	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN PROSPECT	HEIDRUN E	2002-08-29	2002-10-11	OIL	PRODUCING	50	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4598	http://www.npd.no/FactMapSearch?NPDID_wellbore=4598	NO
4599	2/7-A-21	2/7-A-21 B	ELDFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	ELDFISK A	ELDFISK A	2002-08-28	2002-11-01	NOT AVAILABLE	PLUGGED	71	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4599	http://www.npd.no/FactMapSearch?NPDID_wellbore=4599	NO
4600	30/6-C-15	30/6-C-15 B	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2002-08-29	2002-11-30	OIL	PLUGGED	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4600	http://www.npd.no/FactMapSearch?NPDID_wellbore=4600	NO
4601	34/7-P-2	34/7-P-2	SNORRE	089	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SNORRE A	SNORRE A	2002-11-12	2003-01-12	WATER	INJECTING	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4601	http://www.npd.no/FactMapSearch?NPDID_wellbore=4601	NO
4602	6403/10-1	6403/10-1	\N	253	EXPLORATION	Norsk Hydro Produksjon AS	NO	SCARABEO 5	\N	2002-10-24	2002-12-30	DRY	P&A	1	WILDCAT	1717.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4602	http://www.npd.no/FactMapSearch?NPDID_wellbore=4602	NO
4603	31/4-A-24	31/4-A-24 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2002-09-03	2002-09-18	WATER	INJECTING	172	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4603	http://www.npd.no/FactMapSearch?NPDID_wellbore=4603	NO
4604	31/4-A-29	31/4-A-29 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2002-08-16	2002-08-28	WATER	INJECTING	172	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4604	http://www.npd.no/FactMapSearch?NPDID_wellbore=4604	NO
4605	34/10-B-7	34/10-B-7 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2002-11-05	2002-12-17	OIL	PLUGGED	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4605	http://www.npd.no/FactMapSearch?NPDID_wellbore=4605	NO
4606	35/11-A-11	35/11-A-11 H	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	FRAM A1	2002-09-02	2002-11-24	OIL	PRODUCING	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4606	http://www.npd.no/FactMapSearch?NPDID_wellbore=4606	NO
4607	6507/7-A-30	6507/7-A-30	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2002-10-18	2002-11-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4607	http://www.npd.no/FactMapSearch?NPDID_wellbore=4607	NO
4608	6507/7-A-30	6507/7-A-30 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2002-12-12	2002-12-27	OIL	PLUGGED	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4608	http://www.npd.no/FactMapSearch?NPDID_wellbore=4608	NO
4609	34/10-47	34/10-47 S	GULLFAKS SØR	050 B	EXPLORATION	Statoil ASA (old)	NO	DEEPSEA TRYM	\N	2002-09-22	2002-11-02	OIL	SUSP.REENTERED LATER	5	WILDCAT	140.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4609	http://www.npd.no/FactMapSearch?NPDID_wellbore=4609	YES
4610	25/11-G-28	25/11-G-28	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2002-09-20	2002-10-25	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4610	http://www.npd.no/FactMapSearch?NPDID_wellbore=4610	NO
4790	6305/8-U-5	6305/8-U-5	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	2003-06-15	2003-06-15	\N	P&A	0	\N	256.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4790	\N	NO
4611	2/7-A-2	2/7-A-2 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Norge	NO	ELDFISK A	ELDFISK A	2003-03-04	2003-04-27	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4611	http://www.npd.no/FactMapSearch?NPDID_wellbore=4611	NO
4612	16/7-8	16/7-8 S	\N	072 B	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DEEPSEA BERGEN	\N	2002-12-17	2003-01-19	DRY	P&A	1	WILDCAT	79.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4612	http://www.npd.no/FactMapSearch?NPDID_wellbore=4612	NO
4613	31/2-L-22	31/2-L-22 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL L1	2002-09-24	2002-10-07	NOT APPLICABLE	PLUGGED	99	OBSERVATION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4613	http://www.npd.no/FactMapSearch?NPDID_wellbore=4613	NO
4614	31/2-L-22	31/2-L-22 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL L1	2002-10-08	2002-11-10	OIL	PRODUCING	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4614	http://www.npd.no/FactMapSearch?NPDID_wellbore=4614	NO
4615	6507/7-A-24	6507/7-A-24 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2002-10-06	2002-10-15	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4615	http://www.npd.no/FactMapSearch?NPDID_wellbore=4615	NO
4616	34/8-A-21	34/8-A-21 H	VISUND	120	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	VISUND	VISUND	2002-10-11	2003-02-09	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4616	http://www.npd.no/FactMapSearch?NPDID_wellbore=4616	NO
4617	2/4-B-2	2/4-B-2 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Norge	NO	MÆRSK GIANT	EKOFISK B	2002-11-25	2003-01-06	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4617	http://www.npd.no/FactMapSearch?NPDID_wellbore=4617	NO
4618	33/9-C-41	33/9-C-41 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2002-10-11	2002-11-01	OIL	PRODUCING	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4618	http://www.npd.no/FactMapSearch?NPDID_wellbore=4618	NO
4619	25/8-C-15	25/8-C-15	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2002-11-01	2002-11-18	NOT AVAILABLE	PLUGGED	72	INJECTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4619	http://www.npd.no/FactMapSearch?NPDID_wellbore=4619	NO
4620	2/1-A-8	2/1-A-8 A	GYDA	019 B	DEVELOPMENT	BP Norge AS	NO	GYDA	GYDA	2002-10-21	2003-01-12	OIL	PRODUCING	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4620	http://www.npd.no/FactMapSearch?NPDID_wellbore=4620	NO
4621	6407/5-B-3	6407/5-B-3 H	MIKKEL	121	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	MIKKEL B	2002-10-16	2002-11-15	GAS	PRODUCING	90	PRODUCTION	228.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4621	http://www.npd.no/FactMapSearch?NPDID_wellbore=4621	NO
4622	6407/6-A-1	6407/6-A-1 H	MIKKEL	092	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	MIKKEL A	2002-11-28	2003-01-10	GAS	PRODUCING	90	PRODUCTION	222.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4622	http://www.npd.no/FactMapSearch?NPDID_wellbore=4622	NO
4623	6407/6-A-3	6407/6-A-3 H	MIKKEL	092	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	MIKKEL A	2002-11-16	2002-12-28	GAS	PRODUCING	90	PRODUCTION	222.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4623	http://www.npd.no/FactMapSearch?NPDID_wellbore=4623	NO
4624	31/2-E-3	31/2-E-3 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL E	2002-11-06	2003-01-31	OIL	PRODUCING	50	PRODUCTION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4624	http://www.npd.no/FactMapSearch?NPDID_wellbore=4624	NO
4625	31/2-E-3	31/2-E-3 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL E	2003-02-01	2003-03-01	OIL	PRODUCING	50	PRODUCTION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4625	http://www.npd.no/FactMapSearch?NPDID_wellbore=4625	NO
4626	31/2-E-3	31/2-E-3 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL E	2003-03-02	2003-04-18	OIL	PRODUCING	50	PRODUCTION	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4626	http://www.npd.no/FactMapSearch?NPDID_wellbore=4626	NO
4627	2/4-X-29	2/4-X-29	EKOFISK	018	DEVELOPMENT	ConocoPhillips Norge	NO	EKOFISK X	EKOFISK X	2002-12-15	2003-01-25	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4627	http://www.npd.no/FactMapSearch?NPDID_wellbore=4627	NO
4628	25/11-G-18	25/11-G-18	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2002-10-28	2002-11-20	OIL	CLOSED	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4628	http://www.npd.no/FactMapSearch?NPDID_wellbore=4628	NO
4629	31/3-S-22	31/3-S-22 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VANGUARD	TROLL S1	2002-12-15	2003-02-04	OIL	PRODUCING	50	PRODUCTION	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4629	http://www.npd.no/FactMapSearch?NPDID_wellbore=4629	NO
4630	6608/11-3	6608/11-3	\N	128	EXPLORATION	Statoil ASA (old)	NO	STENA DON	\N	2002-11-26	2002-12-15	DRY	P&A	1	WILDCAT	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4630	http://www.npd.no/FactMapSearch?NPDID_wellbore=4630	NO
4631	30/9-F-22	30/9-F-22	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2002-11-20	2003-03-26	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4631	http://www.npd.no/FactMapSearch?NPDID_wellbore=4631	NO
4632	6403/10-U-1	6403/10-U-1	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	SCARABEO 5	\N	9999-12-31	9999-12-31	\N	\N	0	\N	1720.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4632	\N	NO
4633	33/9-M-1	33/9-M-1 AH	STATFJORD ØST	037	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	STATFJORD ØST M	2002-10-29	2002-12-15	OIL	PRODUCING	50	PRODUCTION	195.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4633	http://www.npd.no/FactMapSearch?NPDID_wellbore=4633	NO
4634	31/2-L-22	31/2-L-22 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL L1	2002-11-11	2002-12-06	OIL	PRODUCING	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4634	http://www.npd.no/FactMapSearch?NPDID_wellbore=4634	NO
4635	33/12-B-37	33/12-B-37 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2002-11-12	2002-11-29	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4635	http://www.npd.no/FactMapSearch?NPDID_wellbore=4635	NO
4636	31/2-20	31/2-20 S	TROLL	054	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	2002-11-27	2002-12-08	OIL/GAS	P&A	13	WILDCAT	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4636	http://www.npd.no/FactMapSearch?NPDID_wellbore=4636	NO
4637	33/9-C-14	33/9-C-14 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2002-12-08	2002-12-27	WATER/GAS	INJECTING	0	INJECTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4637	http://www.npd.no/FactMapSearch?NPDID_wellbore=4637	NO
4640	34/10-47	34/10-47 A	\N	050 B	EXPLORATION	Statoil ASA (old)	NO	DEEPSEA TRYM	\N	2002-11-02	2002-11-14	DRY	P&A	1	WILDCAT	140.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4640	http://www.npd.no/FactMapSearch?NPDID_wellbore=4640	NO
4642	34/10-J-5	34/10-J-5 AH	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	DEEPSEA TRYM	GULLFAKS SØR J	2002-12-13	2003-01-06	GAS	INJECTING	91	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4642	http://www.npd.no/FactMapSearch?NPDID_wellbore=4642	NO
4643	35/11-A-14	35/11-A-14 H	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	FRAM A1	2002-11-25	2002-12-27	OIL	PRODUCING	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4643	http://www.npd.no/FactMapSearch?NPDID_wellbore=4643	NO
4644	15/12-A-15	15/12-A-15 A	VARG	038	DEVELOPMENT	Pertra AS (OLD)	NO	MÆRSK GALLANT	VARG A	2003-01-23	2003-02-19	OIL	PRODUCING	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4644	http://www.npd.no/FactMapSearch?NPDID_wellbore=4644	NO
4645	30/3-A-23	30/3-A-23	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2001-11-05	2001-11-17	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4645	http://www.npd.no/FactMapSearch?NPDID_wellbore=4645	NO
4646	25/8-C-6	25/8-C-6	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2002-11-18	2003-01-27	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4646	http://www.npd.no/FactMapSearch?NPDID_wellbore=4646	NO
4648	6407/7-A-10	6407/7-A-10 BY1H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	NJORD A	NJORD A	2003-01-01	2003-04-08	OIL	PRODUCING	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4648	http://www.npd.no/FactMapSearch?NPDID_wellbore=4648	NO
4649	6407/7-A-10	6407/7-A-10 BY2H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	NJORD A	NJORD A	2003-04-09	2003-04-15	OIL	PRODUCING	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4649	http://www.npd.no/FactMapSearch?NPDID_wellbore=4649	NO
4650	6407/7-A-10	6407/7-A-10 BY3H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	NJORD A	NJORD A	2003-04-16	2003-05-18	OIL	PRODUCING	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4650	http://www.npd.no/FactMapSearch?NPDID_wellbore=4650	NO
4651	34/4-K-3	34/4-K-3 H	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-K H	2003-01-22	2003-04-30	WATER	INJECTING	173	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4651	http://www.npd.no/FactMapSearch?NPDID_wellbore=4651	NO
4652	1/9-7	1/9-7	\N	044	EXPLORATION	Phillips Petroleum Company Norway	NO	MÆRSK GIANT	\N	2003-03-22	2003-08-02	GAS/CONDENSATE	P&A	17	WILDCAT	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4652	http://www.npd.no/FactMapSearch?NPDID_wellbore=4652	NO
4653	33/9-N-2	33/9-N-2 H	SYGNA	037	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	SYGNA N	2002-12-19	2003-02-19	OIL	PRODUCING	50	PRODUCTION	299.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4653	http://www.npd.no/FactMapSearch?NPDID_wellbore=4653	NO
4654	2/11-S-13	2/11-S-13	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2002-12-06	2003-01-05	CUTTINGS	INJECTING	171	INJECTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4654	http://www.npd.no/FactMapSearch?NPDID_wellbore=4654	NO
4655	30/3-A-19	30/3-A-19 A	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2003-01-08	2003-01-21	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4655	http://www.npd.no/FactMapSearch?NPDID_wellbore=4655	NO
4656	2/4-B-17	2/4-B-17 C	EKOFISK	018	DEVELOPMENT	ConocoPhillips Norge	NO	EKOFISK B	EKOFISK B	2003-01-10	2003-02-27	OIL	PRODUCING	50	PRODUCTION	73.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4656	http://www.npd.no/FactMapSearch?NPDID_wellbore=4656	NO
4657	25/8-B-21	25/8-B-21 B	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2002-12-07	2002-12-24	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4657	http://www.npd.no/FactMapSearch?NPDID_wellbore=4657	NO
4658	25/8-B-21	25/8-B-21 C	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2002-12-24	2003-01-16	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4658	http://www.npd.no/FactMapSearch?NPDID_wellbore=4658	NO
4659	33/9-C-7	33/9-C-7 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2003-01-06	2003-01-21	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4659	http://www.npd.no/FactMapSearch?NPDID_wellbore=4659	NO
4660	25/11-G-23	25/11-G-23	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	SCARABEO 6	GRANE	2002-12-17	2003-10-02	WATER	PLUGGED	173	INJECTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4660	http://www.npd.no/FactMapSearch?NPDID_wellbore=4660	NO
4661	34/10-B-1	34/10-B-1 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2002-12-26	2003-01-12	OIL	PLUGGED	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4661	http://www.npd.no/FactMapSearch?NPDID_wellbore=4661	NO
4662	6608/10-D-4	6608/10-D-4 AH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	NORNE D	2003-01-11	2003-06-09	OIL	PRODUCING	50	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4662	http://www.npd.no/FactMapSearch?NPDID_wellbore=4662	NO
4663	6507/7-A-10	6507/7-A-10	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2003-01-01	2003-02-13	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4663	http://www.npd.no/FactMapSearch?NPDID_wellbore=4663	NO
4791	6305/8-U-6	6305/8-U-6	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	2003-06-15	2003-06-15	\N	P&A	0	\N	259.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4791	\N	NO
4664	34/10-M-2	34/10-M-2 H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	DEEPSEA TRYM	GULLFAKS SØR M	2002-01-19	2003-03-27	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4664	http://www.npd.no/FactMapSearch?NPDID_wellbore=4664	NO
4665	35/11-A-24	35/11-A-24 H	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	FRAM A2	2003-01-04	2003-01-24	NOT APPLICABLE	PLUGGED	99	OBSERVATION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4665	http://www.npd.no/FactMapSearch?NPDID_wellbore=4665	NO
4666	35/11-A-24	35/11-A-24 AH	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	FRAM A2	2003-01-25	2003-02-16	GAS	INJECTING	91	INJECTION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4666	http://www.npd.no/FactMapSearch?NPDID_wellbore=4666	NO
4667	34/4-D-4	34/4-D-4 H	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-D H	2003-06-05	2003-09-29	OIL	PRODUCING	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4667	http://www.npd.no/FactMapSearch?NPDID_wellbore=4667	NO
4668	6608/10-9	6608/10-9	URD	128	EXPLORATION	Statoil ASA (old)	NO	DEEPSEA BERGEN	\N	2003-01-23	2003-02-18	OIL	P&A	5	WILDCAT	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4668	http://www.npd.no/FactMapSearch?NPDID_wellbore=4668	YES
4669	25/8-C-4	25/8-C-4	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2003-02-19	2003-03-23	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4669	http://www.npd.no/FactMapSearch?NPDID_wellbore=4669	NO
4670	34/8-A-25	34/8-A-25 H	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2003-02-17	2003-03-29	NOT AVAILABLE	PLUGGED	71	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4670	http://www.npd.no/FactMapSearch?NPDID_wellbore=4670	NO
4671	2/11-S-11	2/11-S-11	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2003-01-06	2003-02-01	NOT APPLICABLE	PLUGGED	99	OBSERVATION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4671	http://www.npd.no/FactMapSearch?NPDID_wellbore=4671	NO
4672	2/11-S-11	2/11-S-11 A	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2003-02-03	2003-03-08	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4672	http://www.npd.no/FactMapSearch?NPDID_wellbore=4672	NO
4673	31/5-I-32	31/5-I-32 Y1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	31/5-I-32 H	2003-01-25	2003-02-27	OIL	PRODUCING	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4673	http://www.npd.no/FactMapSearch?NPDID_wellbore=4673	NO
4674	31/5-I-32	31/5-I-32 Y2H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	31/5-I-32 H	2003-02-28	2003-03-21	OIL	PRODUCING	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4674	http://www.npd.no/FactMapSearch?NPDID_wellbore=4674	NO
4675	2/4-X-11	2/4-X-11	EKOFISK	018	DEVELOPMENT	ConocoPhillips Norge	NO	EKOFISK X	EKOFISK X	2003-02-16	2003-05-10	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4675	http://www.npd.no/FactMapSearch?NPDID_wellbore=4675	NO
4676	33/9-A-10	33/9-A-10 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2003-01-15	2003-02-27	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4676	http://www.npd.no/FactMapSearch?NPDID_wellbore=4676	NO
4677	34/10-B-42	34/10-B-42 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2002-01-12	2003-02-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4677	http://www.npd.no/FactMapSearch?NPDID_wellbore=4677	NO
4678	34/10-B-42	34/10-B-42 C	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2003-02-21	2003-03-01	NOT AVAILABLE	PLUGGED	71	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4678	http://www.npd.no/FactMapSearch?NPDID_wellbore=4678	NO
4679	31/2-P-23	31/2-P-23 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	OCEAN VANGUARD	TROLL P2	2003-02-06	2003-03-29	OIL	PRODUCING	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4679	http://www.npd.no/FactMapSearch?NPDID_wellbore=4679	NO
4680	31/2-P-23	31/2-P-23 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	OCEAN VANGUARD	TROLL P2	2003-03-30	2003-04-23	OIL	PRODUCING	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4680	http://www.npd.no/FactMapSearch?NPDID_wellbore=4680	NO
4681	6507/7-A-35	6507/7-A-35 B	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2001-07-12	2001-07-19	OIL	PLUGGED	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4681	http://www.npd.no/FactMapSearch?NPDID_wellbore=4681	NO
4682	30/9-B-9	30/9-B-9 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2003-03-11	2003-05-13	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4682	http://www.npd.no/FactMapSearch?NPDID_wellbore=4682	NO
4683	34/10-C-41	34/10-C-41 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2003-03-07	2003-03-16	WATER	INJECTING	173	INJECTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4683	http://www.npd.no/FactMapSearch?NPDID_wellbore=4683	NO
4684	34/10-C-26	34/10-C-26 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2003-03-21	2003-04-03	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4684	http://www.npd.no/FactMapSearch?NPDID_wellbore=4684	NO
4685	25/8-B-28	25/8-B-28	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2003-03-14	2003-04-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4685	http://www.npd.no/FactMapSearch?NPDID_wellbore=4685	NO
4686	25/8-B-28	25/8-B-28 A	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	2003-04-05	2003-04-11	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4686	http://www.npd.no/FactMapSearch?NPDID_wellbore=4686	NO
4687	34/7-P-37	34/7-P-37 A	SNORRE	089	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE A	SNORRE A	2003-03-14	2003-07-06	WATER	INJECTING	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4687	http://www.npd.no/FactMapSearch?NPDID_wellbore=4687	NO
4688	34/10-M-3	34/10-M-3 BH	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	DEEPSEA TRYM	GULLFAKS SØR M	2003-04-02	2003-04-17	NOT APPLICABLE	PLUGGED	99	OBSERVATION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4688	http://www.npd.no/FactMapSearch?NPDID_wellbore=4688	NO
4689	34/10-M-3	34/10-M-3 CH	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	DEEPSEA TRYM	GULLFAKS SØR M	2003-04-18	2003-05-12	GAS	PRODUCING	90	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4689	http://www.npd.no/FactMapSearch?NPDID_wellbore=4689	NO
4690	33/12-B-23	33/12-B-23 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2003-02-17	2003-03-08	OIL	PLUGGED	50	PRODUCTION	144.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4690	http://www.npd.no/FactMapSearch?NPDID_wellbore=4690	NO
4691	33/12-B-23	33/12-B-23 C	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD B	STATFJORD B	2010-03-11	2010-04-11	GAS	SUSP.AT TD	90	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4691	http://www.npd.no/FactMapSearch?NPDID_wellbore=4691	NO
4692	35/11-A-21	35/11-A-21 Y1H	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA DELTA	FRAM A2	2003-02-17	2003-04-24	OIL	PRODUCING	50	PRODUCTION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4692	http://www.npd.no/FactMapSearch?NPDID_wellbore=4692	NO
4693	35/11-A-21	35/11-A-21 Y2H	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA DELTA	FRAM A2	2003-04-25	2003-05-15	OIL	PRODUCING	50	PRODUCTION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4693	http://www.npd.no/FactMapSearch?NPDID_wellbore=4693	NO
4694	33/9-A-18	33/9-A-18 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2003-03-05	2003-03-24	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4694	http://www.npd.no/FactMapSearch?NPDID_wellbore=4694	NO
4695	2/8-A-12	2/8-A-12 C	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL DP	VALHALL DP	2003-03-21	2003-06-07	OIL	PRODUCING	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4695	http://www.npd.no/FactMapSearch?NPDID_wellbore=4695	NO
4696	33/9-E-2	33/9-E-2 AH	STATFJORD NORD	037	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	STATFJORD NORD E	2003-03-08	2003-03-18	OIL	PRODUCING	50	PRODUCTION	265.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4696	http://www.npd.no/FactMapSearch?NPDID_wellbore=4696	NO
4697	6507/7-A-56	6507/7-A-56	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2003-02-22	2003-04-13	WATER	INJECTING	173	INJECTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4697	http://www.npd.no/FactMapSearch?NPDID_wellbore=4697	NO
4698	34/10-C-15	34/10-C-15 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2003-04-09	2003-04-16	NOT AVAILABLE	PLUGGED	71	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4698	http://www.npd.no/FactMapSearch?NPDID_wellbore=4698	NO
4699	6608/10-10	6608/10-10	\N	128	EXPLORATION	Statoil ASA (old)	NO	STENA DON	\N	2003-07-17	2003-08-07	DRY	P&A	1	WILDCAT	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4699	http://www.npd.no/FactMapSearch?NPDID_wellbore=4699	NO
4700	34/10-B-15	34/10-B-15 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2003-03-22	2003-05-01	OIL	PRODUCING	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4700	http://www.npd.no/FactMapSearch?NPDID_wellbore=4700	NO
4701	30/9-F-11	30/9-F-11	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2003-05-02	2003-05-15	WATER	PRODUCING	172	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4701	http://www.npd.no/FactMapSearch?NPDID_wellbore=4701	NO
4702	34/10-B-42	34/10-B-42 D	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2003-03-02	2003-03-15	NOT AVAILABLE	PLUGGED	71	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4702	http://www.npd.no/FactMapSearch?NPDID_wellbore=4702	NO
4703	34/7-D-3	34/7-D-3 H	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BIDEFORD DOLPHIN	VIGDIS D	2003-03-17	2003-05-03	OIL	PRODUCING	50	PRODUCTION	251.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4703	http://www.npd.no/FactMapSearch?NPDID_wellbore=4703	NO
4704	33/9-C-8	33/9-C-8 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2003-03-16	2003-04-26	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4704	http://www.npd.no/FactMapSearch?NPDID_wellbore=4704	NO
4705	6706/6-1	6706/6-1	\N	264	EXPLORATION	Esso Exploration and Production Norway A/S	NO	WEST NAVIGATOR	\N	2003-05-02	2003-06-17	GAS	P&A	9	WILDCAT	1298.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4705	http://www.npd.no/FactMapSearch?NPDID_wellbore=4705	YES
4706	31/2-L-12	31/2-L-12 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL L1	2003-03-23	2003-04-26	OIL	PRODUCING	50	PRODUCTION	324.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4706	http://www.npd.no/FactMapSearch?NPDID_wellbore=4706	NO
4707	31/2-L-12	31/2-L-12 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL L1	2003-04-26	2003-05-29	OIL	PRODUCING	50	PRODUCTION	324.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4707	http://www.npd.no/FactMapSearch?NPDID_wellbore=4707	NO
4708	33/9-A-34	33/9-A-34 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2003-04-01	2003-04-15	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4708	http://www.npd.no/FactMapSearch?NPDID_wellbore=4708	NO
4709	34/8-4	34/8-4 AR	VISUND	120	EXPLORATION	Statoil ASA (old)	NO	BIDEFORD DOLPHIN	\N	2003-02-21	2003-03-07	OIL	P&A	5	APPRAISAL	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4709	http://www.npd.no/FactMapSearch?NPDID_wellbore=4709	NO
4710	6407/9-10	6407/9-10	DRAUGEN	093	EXPLORATION	A/S Norske Shell	NO	STENA DON	\N	2003-06-11	2003-06-23	OIL	RE-CLASS TO DEV	5	APPRAISAL	250.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4710	http://www.npd.no/FactMapSearch?NPDID_wellbore=4710	NO
4711	16/1-6	16/1-6 S	\N	167	EXPLORATION	Statoil ASA (old)	NO	BORGLAND DOLPHIN	\N	2003-05-22	2003-06-07	OIL/GAS	P&A	13	WILDCAT	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4711	http://www.npd.no/FactMapSearch?NPDID_wellbore=4711	YES
4792	6305/5-U-5	6305/5-U-5	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	2003-06-10	2003-06-10	\N	P&A	0	\N	848.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4792	\N	NO
4712	2/11-S-14	2/11-S-14	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2003-03-09	2003-04-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4712	http://www.npd.no/FactMapSearch?NPDID_wellbore=4712	NO
4713	2/11-S-14	2/11-S-14 A	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2003-04-13	2003-05-13	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4713	http://www.npd.no/FactMapSearch?NPDID_wellbore=4713	NO
4714	25/8-C-16	25/8-C-16	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2003-03-23	2003-04-05	WATER	INJECTING	172	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4714	http://www.npd.no/FactMapSearch?NPDID_wellbore=4714	NO
4715	6507/7-A-54	6507/7-A-54	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2003-04-20	2003-06-10	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4715	http://www.npd.no/FactMapSearch?NPDID_wellbore=4715	NO
4716	25/4-7	25/4-7	ALVHEIM	203	EXPLORATION	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	\N	2003-03-21	2003-04-17	OIL	P&A	5	WILDCAT	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4716	http://www.npd.no/FactMapSearch?NPDID_wellbore=4716	YES
4717	25/5-C-1	25/5-C-1 H	SKIRNE	102	DEVELOPMENT	TotalFinaElf Exploration Norge AS	NO	SCARABEO 6	SKIRNE	2003-05-11	2003-06-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4717	http://www.npd.no/FactMapSearch?NPDID_wellbore=4717	NO
4718	25/5-C-1	25/5-C-1 AH	SKIRNE	102	DEVELOPMENT	TotalFinaElf Exploration Norge AS	NO	SCARABEO 6	SKIRNE	2003-05-11	2003-07-21	GAS	PRODUCING	90	PRODUCTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4718	http://www.npd.no/FactMapSearch?NPDID_wellbore=4718	NO
4719	2/4-X-14	2/4-X-14	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2003-05-14	2003-06-16	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4719	http://www.npd.no/FactMapSearch?NPDID_wellbore=4719	NO
4720	2/7-A-3	2/7-A-3 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2003-06-15	2003-07-19	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4720	http://www.npd.no/FactMapSearch?NPDID_wellbore=4720	NO
4721	2/7-A-6	2/7-A-6 A	ELDFISK	018	DEVELOPMENT	ConocoPhillips Norge	NO	ELDFISK A	ELDFISK A	2004-03-17	2004-06-06	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4721	http://www.npd.no/FactMapSearch?NPDID_wellbore=4721	NO
4722	15/9-E-3	15/9-E-3 H	SLEIPNER VEST	046	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	15/9-E H	2003-09-09	2003-11-09	GAS	PRODUCING	90	PRODUCTION	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4722	http://www.npd.no/FactMapSearch?NPDID_wellbore=4722	NO
4723	25/8-B-24	25/8-B-24	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	9999-12-31	9999-12-31	\N	\N	0	\N	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4723	http://www.npd.no/FactMapSearch?NPDID_wellbore=4723	NO
4724	25/8-B-24	25/8-B-24 A	JOTUN	027 B	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	JOTUN B	JOTUN A	9999-12-31	9999-12-31	\N	\N	0	\N	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4724	http://www.npd.no/FactMapSearch?NPDID_wellbore=4724	NO
4725	2/8-F-3	2/8-F-3 B	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	MÆRSK GUARDIAN	VALHALL WP	2002-02-15	2002-03-30	NOT APPLICABLE	PLUGGED	99	OBSERVATION	71.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4725	http://www.npd.no/FactMapSearch?NPDID_wellbore=4725	NO
4726	2/8-F-3	2/8-F-3 C	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	MÆRSK GUARDIAN	VALHALL WP	2002-04-06	2002-05-14	OIL	PRODUCING	50	PRODUCTION	71.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4726	http://www.npd.no/FactMapSearch?NPDID_wellbore=4726	NO
4727	25/8-C-20	25/8-C-20	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2003-04-05	2003-05-02	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4727	http://www.npd.no/FactMapSearch?NPDID_wellbore=4727	YES
4728	24/6-3	24/6-3	ALVHEIM	088 BS	EXPLORATION	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	\N	2003-04-18	2003-04-22	DRY	JUNKED	1	APPRAISAL	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4728	http://www.npd.no/FactMapSearch?NPDID_wellbore=4728	NO
4729	30/3-A-3	30/3-A-3 A	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2003-04-14	2003-09-29	NOT APPLICABLE	PLUGGED	99	OBSERVATION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4729	http://www.npd.no/FactMapSearch?NPDID_wellbore=4729	NO
4730	33/9-F-4	33/9-F-4 AH	STATFJORD NORD	037	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	STATFJORD NORD F	2003-04-19	2003-05-17	OIL	PRODUCING	50	PRODUCTION	285.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4730	http://www.npd.no/FactMapSearch?NPDID_wellbore=4730	NO
4731	31/2-D-4	31/2-D-4 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL D	2003-04-20	2003-06-05	OIL	PRODUCING	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4731	http://www.npd.no/FactMapSearch?NPDID_wellbore=4731	NO
4732	31/2-D-4	31/2-D-4 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL D	2003-06-06	2003-06-26	OIL	PRODUCING	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4732	http://www.npd.no/FactMapSearch?NPDID_wellbore=4732	NO
4733	15/12-13	15/12-13	REV	038	EXPLORATION	Pertra AS (OLD)	NO	WEST ALPHA	\N	2003-04-23	2003-05-11	DRY	P&A	1	APPRAISAL	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4733	http://www.npd.no/FactMapSearch?NPDID_wellbore=4733	NO
4734	33/9-C-26	33/9-C-26 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2003-05-10	2003-06-05	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4734	http://www.npd.no/FactMapSearch?NPDID_wellbore=4734	NO
4735	25/9-2	25/9-2 S	\N	189	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DEEPSEA TRYM	\N	2003-07-18	2003-08-03	DRY	P&A	1	WILDCAT	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4735	http://www.npd.no/FactMapSearch?NPDID_wellbore=4735	NO
5151	6302/6-U-1	6302/6-U-1	\N	\N	SHALLOW	Statoil ASA (old)	NO	EIRIK RAUDE	\N	2005-06-01	2005-06-10	\N	P&A	0	\N	1262.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5151	\N	NO
4738	34/7-D-1	34/7-D-1 H	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BIDEFORD DOLPHIN	VIGDIS D	2003-05-04	2003-06-05	OIL	PRODUCING	50	PRODUCTION	251.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4738	http://www.npd.no/FactMapSearch?NPDID_wellbore=4738	NO
4739	25/8-B-28	25/8-B-28 B	JOTUN	027 B	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	JOTUN B	JOTUN A	2003-04-12	2003-05-09	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4739	http://www.npd.no/FactMapSearch?NPDID_wellbore=4739	NO
4740	31/2-P-23	31/2-P-23 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	OCEAN VANGUARD	TROLL P2	2003-04-24	2003-05-29	OIL	PRODUCING	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4740	http://www.npd.no/FactMapSearch?NPDID_wellbore=4740	NO
4741	34/10-C-15	34/10-C-15 C	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2003-04-17	2003-05-02	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4741	http://www.npd.no/FactMapSearch?NPDID_wellbore=4741	NO
4742	34/10-C-23	34/10-C-23 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2003-05-11	2003-05-28	NOT AVAILABLE	PLUGGED	71	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4742	http://www.npd.no/FactMapSearch?NPDID_wellbore=4742	NO
4743	25/5-B-1	25/5-B-1 H	SKIRNE	102	DEVELOPMENT	TotalFinaElf Exploration Norge AS	NO	SCARABEO 6	SKIRNE	2003-02-06	2003-05-10	GAS	PRODUCING	90	PRODUCTION	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4743	http://www.npd.no/FactMapSearch?NPDID_wellbore=4743	NO
4744	25/8-C-18	25/8-C-18	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2003-05-02	2003-06-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4744	http://www.npd.no/FactMapSearch?NPDID_wellbore=4744	NO
4745	24/6-4	24/6-4	ALVHEIM	088 BS	EXPLORATION	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	\N	2003-04-22	2003-06-02	OIL/GAS	P&A	13	WILDCAT	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4745	http://www.npd.no/FactMapSearch?NPDID_wellbore=4745	YES
4746	7/12-A-17	7/12-A-17 A	ULA	019	DEVELOPMENT	BP Norge AS	NO	ULA DP	ULA PP	2003-06-16	2003-10-12	OIL	PLUGGED	50	PRODUCTION	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4746	http://www.npd.no/FactMapSearch?NPDID_wellbore=4746	NO
4747	34/7-P-1	34/7-P-1	SNORRE	089	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE A	SNORRE A	2003-05-16	2003-08-02	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4747	http://www.npd.no/FactMapSearch?NPDID_wellbore=4747	NO
4748	6506/12-M-2	6506/12-M-2 AH	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	ÅSGARD M	2006-02-03	2006-04-02	OIL/GAS	PRODUCING	0	PRODUCTION	273.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4748	http://www.npd.no/FactMapSearch?NPDID_wellbore=4748	NO
4749	6405/7-1	6405/7-1	\N	281	EXPLORATION	Statoil ASA (old)	NO	WEST NAVIGATOR	\N	2003-06-20	2003-10-10	OIL	P&A	5	WILDCAT	1206.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4749	http://www.npd.no/FactMapSearch?NPDID_wellbore=4749	YES
4750	25/8-C-18	25/8-C-18 A	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2003-06-04	2003-07-14	NOT AVAILABLE	PLUGGED	72	INJECTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4750	http://www.npd.no/FactMapSearch?NPDID_wellbore=4750	NO
4751	2/11-S-12	2/11-S-12	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2003-05-14	2003-06-20	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4751	http://www.npd.no/FactMapSearch?NPDID_wellbore=4751	NO
4752	2/4-X-50	2/4-X-50	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2003-06-17	2003-08-04	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4752	http://www.npd.no/FactMapSearch?NPDID_wellbore=4752	NO
4753	30/9-F-12	30/9-F-12	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2003-05-16	2003-07-16	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4753	http://www.npd.no/FactMapSearch?NPDID_wellbore=4753	NO
4754	15/12-13	15/12-13 A	REV	038	EXPLORATION	Pertra AS (OLD)	NO	WEST ALPHA	\N	2003-05-11	2003-05-17	DRY	JUNKED	1	APPRAISAL	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4754	http://www.npd.no/FactMapSearch?NPDID_wellbore=4754	NO
4755	30/3-A-3	30/3-A-3 B	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2003-09-30	2003-11-03	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4755	http://www.npd.no/FactMapSearch?NPDID_wellbore=4755	NO
4756	34/10-B-21	34/10-B-21 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2001-06-13	2001-06-23	OIL	PRODUCING	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4756	http://www.npd.no/FactMapSearch?NPDID_wellbore=4756	NO
4757	33/9-A-38	33/9-A-38 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2003-06-19	2003-07-08	WATER	INJECTING	173	INJECTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4757	http://www.npd.no/FactMapSearch?NPDID_wellbore=4757	NO
4758	34/10-B-9	34/10-B-9 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2003-06-17	2003-07-09	OIL	PRODUCING	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4758	http://www.npd.no/FactMapSearch?NPDID_wellbore=4758	NO
4759	15/12-13	15/12-13 B	REV	038	EXPLORATION	Pertra AS (OLD)	NO	WEST ALPHA	\N	2003-05-17	2003-06-11	OIL/GAS	P&A	13	APPRAISAL	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4759	http://www.npd.no/FactMapSearch?NPDID_wellbore=4759	NO
4760	34/7-F-3	34/7-F-3 H	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BIDEFORD DOLPHIN	VIGDIS F	2003-06-20	2003-12-31	WATER	INJECTING	173	INJECTION	219.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4760	http://www.npd.no/FactMapSearch?NPDID_wellbore=4760	NO
4761	35/8-5	35/8-5 S	\N	195	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	\N	2003-06-01	2003-07-20	SHOWS	P&A	12	WILDCAT	369.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4761	http://www.npd.no/FactMapSearch?NPDID_wellbore=4761	NO
5152	24/9-U-3	24/9-U-3	\N	305	SHALLOW	Det Norske Oljeselskap AS	NO	BUCENTAUR	\N	2005-08-15	2005-08-15	\N	P&A	0	\N	122.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5152	\N	NO
4762	6406/1-2	6406/1-2	\N	256	EXPLORATION	Norsk Agip  AS	NO	DEEPSEA BERGEN	\N	2003-06-26	2003-09-04	GAS/CONDENSATE	P&A	17	WILDCAT	383.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4762	http://www.npd.no/FactMapSearch?NPDID_wellbore=4762	YES
4763	34/10-C-23	34/10-C-23 C	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2003-05-29	2003-06-21	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4763	http://www.npd.no/FactMapSearch?NPDID_wellbore=4763	NO
4764	34/8-A-25	34/8-A-25 AH	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2003-06-20	2003-08-18	OIL	PLUGGED	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4764	http://www.npd.no/FactMapSearch?NPDID_wellbore=4764	NO
4765	25/4-8	25/4-8	\N	203	EXPLORATION	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	\N	2003-06-03	2003-06-22	OIL/GAS	P&A	13	APPRAISAL	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4765	http://www.npd.no/FactMapSearch?NPDID_wellbore=4765	NO
4766	33/9-C-4	33/9-C-4 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2003-06-15	2003-07-07	WATER/GAS	INJECTING	0	INJECTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4766	http://www.npd.no/FactMapSearch?NPDID_wellbore=4766	NO
4767	16/1-6	16/1-6 A	\N	167	EXPLORATION	Statoil ASA (old)	NO	BORGLAND DOLPHIN	\N	2003-06-08	2003-06-21	DRY	P&A	1	APPRAISAL	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4767	http://www.npd.no/FactMapSearch?NPDID_wellbore=4767	NO
4768	6507/7-A-34	6507/7-A-34	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2003-06-27	2003-07-27	OIL	PLUGGED	99	OBSERVATION	345.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4768	http://www.npd.no/FactMapSearch?NPDID_wellbore=4768	NO
4769	6507/7-A-34	6507/7-A-34 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2003-07-27	2003-08-28	OIL	PRODUCING	50	PRODUCTION	345.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4769	http://www.npd.no/FactMapSearch?NPDID_wellbore=4769	NO
4770	31/2-Q-11	31/2-Q-11 BY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL Q1	2003-06-30	2003-07-28	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4770	http://www.npd.no/FactMapSearch?NPDID_wellbore=4770	NO
4771	31/2-Q-11	31/2-Q-11 BY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL Q1	2003-07-28	2003-08-07	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4771	http://www.npd.no/FactMapSearch?NPDID_wellbore=4771	NO
4772	15/5-A-5	15/5-A-5 H	GLITNE	048 B	DEVELOPMENT	Statoil ASA (old)	NO	MÆRSK INNOVATOR	PETROJARL 1	2003-07-21	2003-09-04	OIL	PRODUCING	50	PRODUCTION	111.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4772	http://www.npd.no/FactMapSearch?NPDID_wellbore=4772	NO
4773	2/11-S-15	2/11-S-15	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2003-06-20	2003-08-02	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4773	http://www.npd.no/FactMapSearch?NPDID_wellbore=4773	NO
4774	31/5-I-13	31/5-I-13 Y1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL I1	2003-07-06	2003-08-29	OIL	PRODUCING	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4774	http://www.npd.no/FactMapSearch?NPDID_wellbore=4774	NO
4775	31/5-I-13	31/5-I-13 Y2H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL I1	2003-08-29	2003-10-01	OIL	PRODUCING	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4775	http://www.npd.no/FactMapSearch?NPDID_wellbore=4775	NO
4776	31/5-I-13	31/5-I-13 Y3H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL I1	2003-10-01	2003-11-07	OIL	PRODUCING	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4776	http://www.npd.no/FactMapSearch?NPDID_wellbore=4776	NO
4777	31/5-I-13	31/5-I-13 Y4H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	\N	9999-12-31	9999-12-31	\N	\N	0	\N	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4777	http://www.npd.no/FactMapSearch?NPDID_wellbore=4777	NO
4778	34/7-F-3	34/7-F-3 AH	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BIDEFORD DOLPHIN	VIGDIS F	9999-12-31	9999-12-31	\N	\N	0	INJECTION	219.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4778	http://www.npd.no/FactMapSearch?NPDID_wellbore=4778	NO
4779	33/9-A-29	33/9-A-29 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2003-07-27	2003-08-27	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4779	http://www.npd.no/FactMapSearch?NPDID_wellbore=4779	NO
4780	6406/2-S-3	6406/2-S-3 H	KRISTIN	199	DEVELOPMENT	Statoil ASA (old)	NO	SCARABEO 5	KRISTIN S	2003-08-03	2004-01-31	GAS	PRODUCING	90	PRODUCTION	365.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4780	http://www.npd.no/FactMapSearch?NPDID_wellbore=4780	NO
4781	30/9-B-47	30/9-B-47	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2003-09-01	2004-12-09	OIL	CLOSED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4781	http://www.npd.no/FactMapSearch?NPDID_wellbore=4781	NO
4782	34/10-B-39	34/10-B-39 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2003-07-18	2003-08-02	OIL	PRODUCING	50	PRODUCTION	142.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4782	http://www.npd.no/FactMapSearch?NPDID_wellbore=4782	NO
4783	25/8-C-8	25/8-C-8	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2003-07-16	2003-08-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4783	http://www.npd.no/FactMapSearch?NPDID_wellbore=4783	NO
4784	25/8-C-8	25/8-C-8 A	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2003-08-12	2003-09-07	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4784	http://www.npd.no/FactMapSearch?NPDID_wellbore=4784	NO
4785	15/9-E-1	15/9-E-1 H	SLEIPNER VEST	046	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	15/9-E H	2003-09-25	2003-10-29	GAS	PRODUCING	90	PRODUCTION	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4785	http://www.npd.no/FactMapSearch?NPDID_wellbore=4785	NO
4786	6305/8-U-3	6305/8-U-3	\N	\N	SHALLOW	Norsk Hydro Produksjon AS	NO	\N	\N	2002-06-18	2002-06-18	\N	P&A	0	\N	427.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4786	\N	NO
4793	30/9-F-26	30/9-F-26	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2003-07-22	2003-09-27	WATER	PLUGGED	173	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4793	http://www.npd.no/FactMapSearch?NPDID_wellbore=4793	NO
4794	34/4-D-1	34/4-D-1 H	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-D H	2003-07-21	2004-05-10	OIL	PRODUCING	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4794	http://www.npd.no/FactMapSearch?NPDID_wellbore=4794	NO
4795	34/8-A-22	34/8-A-22 H	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2003-09-13	2004-01-15	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4795	http://www.npd.no/FactMapSearch?NPDID_wellbore=4795	NO
4796	34/10-B-3	34/10-B-3 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2003-08-16	2003-09-01	WATER	INJECTING	173	INJECTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4796	http://www.npd.no/FactMapSearch?NPDID_wellbore=4796	NO
4797	6407/7-A-4	6407/7-A-4 H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	2003-10-01	2004-02-25	GAS	PLUGGED	91	INJECTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4797	http://www.npd.no/FactMapSearch?NPDID_wellbore=4797	NO
4798	2/4-X-41	2/4-X-41	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2003-09-01	2003-10-19	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4798	http://www.npd.no/FactMapSearch?NPDID_wellbore=4798	NO
4799	2/7-B-12	2/7-B-12 C	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK B	ELDFISK B	2003-11-05	2004-01-16	OIL	PRODUCING	50	PRODUCTION	71.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4799	http://www.npd.no/FactMapSearch?NPDID_wellbore=4799	NO
4800	31/2-Q-11	31/2-Q-11 BY3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL Q1	2003-08-07	2003-08-24	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4800	http://www.npd.no/FactMapSearch?NPDID_wellbore=4800	NO
4802	31/2-K-11	31/2-K-11 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL K1	2003-08-25	2003-09-24	OIL	PRODUCING	50	PRODUCTION	320.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4802	http://www.npd.no/FactMapSearch?NPDID_wellbore=4802	NO
4803	31/2-K-11	31/2-K-11 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL K1	2003-09-24	2003-10-11	OIL	PRODUCING	50	PRODUCTION	320.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4803	http://www.npd.no/FactMapSearch?NPDID_wellbore=4803	NO
4804	31/2-K-11	31/2-K-11 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL K1	2003-10-12	2003-10-27	OIL	PRODUCING	50	PRODUCTION	320.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4804	http://www.npd.no/FactMapSearch?NPDID_wellbore=4804	NO
4805	25/8-14	25/8-14 S	RINGHORNE ØST	027	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DEEPSEA TRYM	\N	2003-08-21	2003-09-22	OIL	P&A	5	WILDCAT	129.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4805	http://www.npd.no/FactMapSearch?NPDID_wellbore=4805	YES
4806	25/8-C-13	25/8-C-13	RINGHORNE ØST	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2003-09-11	2003-10-05	NOT APPLICABLE	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4806	http://www.npd.no/FactMapSearch?NPDID_wellbore=4806	NO
4807	25/8-C-13	25/8-C-13 A	RINGHORNE ØST	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2003-10-05	2003-11-13	OIL	PLUGGED	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4807	http://www.npd.no/FactMapSearch?NPDID_wellbore=4807	NO
4810	33/9-C-31	33/9-C-31 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2003-09-02	2003-09-25	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4810	http://www.npd.no/FactMapSearch?NPDID_wellbore=4810	NO
4811	31/4-A-17	31/4-A-17 BY1	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	BRAGE	BRAGE	2003-11-08	2003-12-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4811	http://www.npd.no/FactMapSearch?NPDID_wellbore=4811	NO
4812	31/4-A-17	31/4-A-17 BY2	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	BRAGE	BRAGE	2003-12-15	2003-12-25	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4812	http://www.npd.no/FactMapSearch?NPDID_wellbore=4812	NO
4813	30/9-F-21	30/9-F-21	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2003-09-29	2004-01-19	WATER/GAS	INJECTING	0	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4813	http://www.npd.no/FactMapSearch?NPDID_wellbore=4813	NO
4814	33/12-B-16	33/12-B-16 C	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2004-10-29	2004-12-10	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4814	http://www.npd.no/FactMapSearch?NPDID_wellbore=4814	NO
4815	2/4-X-22	2/4-X-22	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2003-10-20	2003-12-01	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4815	http://www.npd.no/FactMapSearch?NPDID_wellbore=4815	NO
4816	34/10-A-48	34/10-A-48	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2001-11-13	2002-02-01	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4816	http://www.npd.no/FactMapSearch?NPDID_wellbore=4816	NO
4817	34/10-A-48	34/10-A-48 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2002-02-01	2002-03-18	OIL	PLUGGED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4817	http://www.npd.no/FactMapSearch?NPDID_wellbore=4817	NO
4818	6608/10-D-1	6608/10-D-1 CH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	NORNE D	2003-09-30	2003-11-07	OIL	PRODUCING	50	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4818	http://www.npd.no/FactMapSearch?NPDID_wellbore=4818	NO
4819	25/4-6	25/4-6 SR	VALE	036	EXPLORATION	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	\N	2003-09-09	2003-09-14	GAS/CONDENSATE	P&A	17	WILDCAT	114.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4819	http://www.npd.no/FactMapSearch?NPDID_wellbore=4819	NO
4820	6507/7-A-50	6507/7-A-50 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2003-10-04	2003-12-08	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4820	http://www.npd.no/FactMapSearch?NPDID_wellbore=4820	NO
4821	2/8-N-13	2/8-N-13	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2003-09-16	2003-09-29	CUTTINGS	PLUGGED	171	INJECTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4821	http://www.npd.no/FactMapSearch?NPDID_wellbore=4821	NO
4822	34/10-A-30	34/10-A-30 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2003-09-17	2003-10-03	OIL	PLUGGED	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4822	http://www.npd.no/FactMapSearch?NPDID_wellbore=4822	NO
4823	34/10-G-1	34/10-G-1 H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	GULLFAKS SØR G	2003-11-01	2004-02-05	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4823	http://www.npd.no/FactMapSearch?NPDID_wellbore=4823	NO
4824	34/10-45	34/10-45 B	GULLFAKS	050	EXPLORATION	Statoil ASA (old)	NO	GULLFAKS B	\N	2003-10-10	2003-11-06	GAS/CONDENSATE	RE-CLASS TO DEV	17	WILDCAT	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4824	http://www.npd.no/FactMapSearch?NPDID_wellbore=4824	YES
4825	2/8-N-15	2/8-N-15	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2003-09-30	2003-11-17	OIL	PRODUCING	50	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4825	http://www.npd.no/FactMapSearch?NPDID_wellbore=4825	NO
4826	6608/10-C-4	6608/10-C-4 AH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	NORNE C	2003-11-15	2004-01-13	WATER	INJECTING	173	INJECTION	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4826	http://www.npd.no/FactMapSearch?NPDID_wellbore=4826	NO
4827	33/12-B-18	33/12-B-18 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2003-10-16	2003-11-16	WATER	INJECTING	173	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4827	http://www.npd.no/FactMapSearch?NPDID_wellbore=4827	NO
4828	2/8-A-8	2/8-A-8 B	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL DP	VALHALL DP	2003-11-14	2004-01-27	OIL	PLUGGED	50	PRODUCTION	69.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4828	http://www.npd.no/FactMapSearch?NPDID_wellbore=4828	NO
4829	15/9-E-2	15/9-E-2 H	SLEIPNER VEST	046	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	15/9-E H	2003-11-10	2003-12-19	GAS	PRODUCING	90	PRODUCTION	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4829	http://www.npd.no/FactMapSearch?NPDID_wellbore=4829	NO
4830	31/2-N-24	31/2-N-24 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL N2	2003-11-03	2003-12-13	OIL	PLUGGED	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4830	http://www.npd.no/FactMapSearch?NPDID_wellbore=4830	NO
4831	31/2-N-24	31/2-N-24 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL N2	2003-12-14	2004-01-09	OIL	PLUGGED	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4831	http://www.npd.no/FactMapSearch?NPDID_wellbore=4831	NO
4832	31/2-N-24	31/2-N-24 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL N2	2004-01-12	2004-01-18	OIL	PLUGGED	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4832	http://www.npd.no/FactMapSearch?NPDID_wellbore=4832	NO
4834	2/7-A-18	2/7-A-18 C	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2003-12-06	2004-02-14	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4834	http://www.npd.no/FactMapSearch?NPDID_wellbore=4834	NO
4835	2/4-X-23	2/4-X-23	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2003-12-03	2004-01-20	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4835	http://www.npd.no/FactMapSearch?NPDID_wellbore=4835	NO
4836	2/8-N-10	2/8-N-10	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2003-11-18	2003-12-27	OIL	PRODUCING	50	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4836	http://www.npd.no/FactMapSearch?NPDID_wellbore=4836	NO
4837	31/2-Y-21	31/2-Y-21 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL U1	2003-11-09	2003-12-24	OIL	SUSP.AT TD	50	PRODUCTION	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4837	http://www.npd.no/FactMapSearch?NPDID_wellbore=4837	NO
4838	31/2-Y-21	31/2-Y-21 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL U1	2003-12-25	2004-01-16	OIL	SUSP.AT TD	50	PRODUCTION	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4838	http://www.npd.no/FactMapSearch?NPDID_wellbore=4838	NO
4839	31/2-Y-21	31/2-Y-21 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL U1	2004-01-16	2004-02-01	OIL	SUSP.AT TD	50	PRODUCTION	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4839	http://www.npd.no/FactMapSearch?NPDID_wellbore=4839	NO
4840	34/7-P-3	34/7-P-3	SNORRE	089	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE A	SNORRE A	2003-11-13	2004-02-02	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4840	http://www.npd.no/FactMapSearch?NPDID_wellbore=4840	NO
4842	2/4-15	2/4-15 SR	\N	146	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	\N	2003-10-03	2003-10-27	DRY	P&A	1	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4842	http://www.npd.no/FactMapSearch?NPDID_wellbore=4842	NO
4843	33/12-B-31	33/12-B-31 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2003-11-23	2003-12-08	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4843	http://www.npd.no/FactMapSearch?NPDID_wellbore=4843	NO
4844	33/9-C-23	33/9-C-23 C	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2003-11-21	2003-12-08	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4844	http://www.npd.no/FactMapSearch?NPDID_wellbore=4844	NO
4845	15/12-14	15/12-14	VARG	038	EXPLORATION	Pertra AS (OLD)	NO	MÆRSK GIANT	\N	2003-12-08	2003-12-31	OIL	RE-CLASS TO DEV	5	APPRAISAL	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4845	http://www.npd.no/FactMapSearch?NPDID_wellbore=4845	NO
5153	24/9-U-4	24/9-U-4	\N	305	SHALLOW	Det Norske Oljeselskap AS	NO	BUCENTAUR	\N	2005-08-15	2005-08-15	\N	P&A	0	\N	122.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5153	\N	NO
4846	25/8-C-11	25/8-C-11	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2003-12-08	2003-12-31	NOT APPLICABLE	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4846	http://www.npd.no/FactMapSearch?NPDID_wellbore=4846	NO
4847	25/8-C-11	25/8-C-11 A	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2004-01-01	2004-02-06	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4847	http://www.npd.no/FactMapSearch?NPDID_wellbore=4847	NO
4848	6507/7-C-4	6507/7-C-4 AH	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	HEIDRUN C	2003-11-27	2003-12-31	WATER	INJECTING	173	INJECTION	327.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4848	http://www.npd.no/FactMapSearch?NPDID_wellbore=4848	NO
4850	2/4-B-18	2/4-B-18 C	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK B	2003-12-26	2004-02-22	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4850	http://www.npd.no/FactMapSearch?NPDID_wellbore=4850	NO
4851	30/3-A-11	30/3-A-11 A	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2003-12-14	2003-12-20	NOT AVAILABLE	PLUGGED	72	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4851	http://www.npd.no/FactMapSearch?NPDID_wellbore=4851	NO
4852	33/9-A-35	33/9-A-35 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2004-01-02	2004-02-16	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4852	http://www.npd.no/FactMapSearch?NPDID_wellbore=4852	NO
4853	34/7-F-1	34/7-F-1 H	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BIDEFORD DOLPHIN	VIGDIS F	2004-01-05	2004-02-23	WATER	INJECTING	173	INJECTION	219.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4853	http://www.npd.no/FactMapSearch?NPDID_wellbore=4853	NO
4854	6507/8-7	6507/8-7	\N	124	EXPLORATION	Statoil ASA (old)	NO	DEEPSEA BERGEN	\N	2004-01-05	2004-01-31	DRY	P&A	1	WILDCAT	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4854	http://www.npd.no/FactMapSearch?NPDID_wellbore=4854	NO
4855	34/10-A-15	34/10-A-15 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2004-01-15	2004-03-07	NOT AVAILABLE	PLUGGED	71	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4855	http://www.npd.no/FactMapSearch?NPDID_wellbore=4855	NO
4856	31/2-N-24	31/2-N-24 Y4H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL N2	2004-01-18	2004-02-11	OIL	PLUGGED	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4856	http://www.npd.no/FactMapSearch?NPDID_wellbore=4856	NO
4857	31/2-N-24	31/2-N-24 Y5H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL N2	2004-02-12	2004-03-07	OIL	PLUGGED	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4857	http://www.npd.no/FactMapSearch?NPDID_wellbore=4857	NO
4858	30/9-F-28	30/9-F-28	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2004-03-14	2004-05-01	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4858	http://www.npd.no/FactMapSearch?NPDID_wellbore=4858	NO
4859	30/9-F-28	30/9-F-28 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2004-05-15	2004-06-11	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4859	http://www.npd.no/FactMapSearch?NPDID_wellbore=4859	NO
4860	6506/12-N-1	6506/12-N-1 H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	ÅSGARD N	2004-01-20	2004-05-08	OIL	PRODUCING	50	PRODUCTION	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4860	http://www.npd.no/FactMapSearch?NPDID_wellbore=4860	NO
4861	2/8-N-12	2/8-N-12	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2003-12-27	2004-01-16	NOT APPLICABLE	PLUGGED	99	OBSERVATION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4861	http://www.npd.no/FactMapSearch?NPDID_wellbore=4861	NO
4862	2/8-N-12	2/8-N-12 A	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2004-01-17	2004-02-27	OIL	PRODUCING	50	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4862	http://www.npd.no/FactMapSearch?NPDID_wellbore=4862	NO
4863	2/4-X-25	2/4-X-25	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2004-01-21	2004-03-04	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4863	http://www.npd.no/FactMapSearch?NPDID_wellbore=4863	NO
4864	2/4-X-24	2/4-X-24	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2004-03-08	2004-08-04	CUTTINGS	INJECTING	171	INJECTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4864	http://www.npd.no/FactMapSearch?NPDID_wellbore=4864	NO
4865	33/12-B-30	33/12-B-30 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2003-12-22	2004-03-09	WATER/GAS	PLUGGED	0	INJECTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4865	http://www.npd.no/FactMapSearch?NPDID_wellbore=4865	NO
4866	6406/2-R-3	6406/2-R-3 H	KRISTIN	199	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	KRISTIN R	2004-02-16	2004-10-05	GAS/CONDENSATE	PLUGGED	170	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4866	http://www.npd.no/FactMapSearch?NPDID_wellbore=4866	NO
4867	30/3-A-11	30/3-A-11 B	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2003-12-21	2003-12-30	WATER/GAS	INJECTING	0	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4867	http://www.npd.no/FactMapSearch?NPDID_wellbore=4867	NO
4869	31/4-A-17	31/4-A-17 BY3	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	BRAGE	BRAGE	2003-12-26	2004-01-23	OIL	PRODUCING	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4869	http://www.npd.no/FactMapSearch?NPDID_wellbore=4869	NO
4870	15/12-A-6	15/12-A-6 A	VARG	038	DEVELOPMENT	Pertra AS (OLD)	NO	MÆRSK GIANT	VARG A	2004-02-01	2004-03-15	WATER	INJECTING	173	INJECTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4870	http://www.npd.no/FactMapSearch?NPDID_wellbore=4870	NO
4871	33/9-C-12	33/9-C-12 C	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2004-02-01	2004-02-15	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4871	http://www.npd.no/FactMapSearch?NPDID_wellbore=4871	NO
4872	6507/7-A-29	6507/7-A-29 AY1	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	YES	HEIDRUN	HEIDRUN	2005-08-30	2005-10-30	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4872	http://www.npd.no/FactMapSearch?NPDID_wellbore=4872	NO
4873	25/8-C-10	25/8-C-10	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2004-02-08	2004-03-07	NOT APPLICABLE	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4873	http://www.npd.no/FactMapSearch?NPDID_wellbore=4873	NO
4874	25/8-C-10	25/8-C-10 A	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2004-03-08	2004-04-02	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4874	http://www.npd.no/FactMapSearch?NPDID_wellbore=4874	NO
4875	15/12-A-12	15/12-A-12 A	VARG	038	DEVELOPMENT	Pertra AS (OLD)	NO	MÆRSK GIANT	VARG A	2003-12-08	2003-12-31	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4875	http://www.npd.no/FactMapSearch?NPDID_wellbore=4875	NO
4876	2/1-A-17	2/1-A-17 A	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2004-03-03	2004-06-12	OIL	PRODUCING	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4876	http://www.npd.no/FactMapSearch?NPDID_wellbore=4876	NO
4877	2/7-B-18	2/7-B-18 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK B	ELDFISK B	2004-02-11	2004-04-28	OIL	PRODUCING	50	PRODUCTION	71.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4877	http://www.npd.no/FactMapSearch?NPDID_wellbore=4877	NO
4878	34/8-A-19	34/8-A-19 H	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2004-03-01	2004-04-11	NOT APPLICABLE	PLUGGED	99	OBSERVATION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4878	http://www.npd.no/FactMapSearch?NPDID_wellbore=4878	NO
4879	34/8-A-19	34/8-A-19 AH	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2004-04-13	2004-07-06	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4879	http://www.npd.no/FactMapSearch?NPDID_wellbore=4879	NO
4880	2/4-B-3	2/4-B-3 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK B	2004-03-26	2004-05-05	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4880	http://www.npd.no/FactMapSearch?NPDID_wellbore=4880	NO
4881	2/8-A-8	2/8-A-8 C	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL DP	VALHALL DP	2004-01-28	2004-03-09	NOT AVAILABLE	PLUGGED	71	PRODUCTION	43.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4881	http://www.npd.no/FactMapSearch?NPDID_wellbore=4881	NO
4882	6506/11-N-3	6506/11-N-3 H	KRISTIN	134 B	DEVELOPMENT	Statoil ASA (old)	NO	SCARABEO 5	KRISTIN N	2004-03-06	2004-06-19	NOT AVAILABLE	PLUGGED	71	PRODUCTION	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4882	http://www.npd.no/FactMapSearch?NPDID_wellbore=4882	NO
4883	6406/2-R-4	6406/2-R-4 H	KRISTIN	199	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	KRISTIN R	2004-02-02	2004-09-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4883	http://www.npd.no/FactMapSearch?NPDID_wellbore=4883	NO
4884	34/4-D-2	34/4-D-2 H	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-D H	2004-08-27	2004-09-22	NOT APPLICABLE	PLUGGED	99	OBSERVATION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4884	http://www.npd.no/FactMapSearch?NPDID_wellbore=4884	NO
4885	34/4-D-2	34/4-D-2 AH	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-D H	2004-09-23	2005-02-25	OIL	PRODUCING	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4885	http://www.npd.no/FactMapSearch?NPDID_wellbore=4885	NO
4886	34/11-A-14	34/11-A-14	KVITEBJØRN	193	DEVELOPMENT	Statoil ASA (old)	NO	KVITEBJØRN	KVITEBJØRN	2004-03-01	2005-03-09	GAS	PRODUCING	90	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4886	http://www.npd.no/FactMapSearch?NPDID_wellbore=4886	NO
4887	6507/7-A-39	6507/7-A-39	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2004-02-01	2004-02-23	OIL	PLUGGED	99	OBSERVATION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4887	http://www.npd.no/FactMapSearch?NPDID_wellbore=4887	NO
4888	6507/7-A-39	6507/7-A-39 AY1	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	YES	HEIDRUN	HEIDRUN	2004-02-24	2004-04-11	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4888	http://www.npd.no/FactMapSearch?NPDID_wellbore=4888	NO
4889	6507/7-A-39	6507/7-A-39 AY2	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	YES	HEIDRUN	HEIDRUN	2004-04-12	2004-05-07	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4889	http://www.npd.no/FactMapSearch?NPDID_wellbore=4889	NO
4890	31/4-A-30	31/4-A-30 B	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2004-02-13	2004-04-23	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4890	http://www.npd.no/FactMapSearch?NPDID_wellbore=4890	YES
4891	15/9-E-4	15/9-E-4 H	SLEIPNER VEST	046	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	15/9-E H	2004-02-02	2004-04-11	GAS	PRODUCING	90	PRODUCTION	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4891	http://www.npd.no/FactMapSearch?NPDID_wellbore=4891	NO
4892	31/2-Y-21	31/2-Y-21 Y4H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL U1	2004-02-02	2004-03-18	OIL	SUSP.AT TD	50	PRODUCTION	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4892	http://www.npd.no/FactMapSearch?NPDID_wellbore=4892	NO
4893	2/8-N-14	2/8-N-14	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2004-03-01	2004-03-30	OIL	PRODUCING	50	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4893	http://www.npd.no/FactMapSearch?NPDID_wellbore=4893	NO
4894	33/9-A-12	33/9-A-12 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2004-02-28	2004-03-18	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4894	http://www.npd.no/FactMapSearch?NPDID_wellbore=4894	NO
4895	30/3-A-14	30/3-A-14 A	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2004-04-20	2004-05-14	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4895	http://www.npd.no/FactMapSearch?NPDID_wellbore=4895	NO
4896	25/11-G-14	25/11-G-14	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2004-03-02	2004-04-03	WATER	INJECTING	173	INJECTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4896	http://www.npd.no/FactMapSearch?NPDID_wellbore=4896	NO
4897	31/3-Q-21	31/3-Q-21 AY1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	31/3-Q-21 H	2004-03-21	2004-04-15	OIL	PLUGGED	50	PRODUCTION	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4897	http://www.npd.no/FactMapSearch?NPDID_wellbore=4897	NO
4898	31/3-Q-21	31/3-Q-21 AY2H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	31/3-Q-21 H	2004-04-16	2004-05-13	OIL	PLUGGED	50	PRODUCTION	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4898	http://www.npd.no/FactMapSearch?NPDID_wellbore=4898	NO
4899	34/7-C-5	34/7-C-5 H	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BIDEFORD DOLPHIN	VIGDIS C	2004-03-08	2004-04-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	282.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4899	http://www.npd.no/FactMapSearch?NPDID_wellbore=4899	NO
4900	34/7-C-5	34/7-C-5 AH	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BIDEFORD DOLPHIN	VIGDIS C	2004-04-15	2004-05-18	OIL	SUSP.AT TD	50	PRODUCTION	282.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4900	http://www.npd.no/FactMapSearch?NPDID_wellbore=4900	NO
4901	31/2-P-24	31/2-P-24 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL P2	2005-01-25	2005-04-30	OIL	PLUGGED	50	PRODUCTION	338.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4901	http://www.npd.no/FactMapSearch?NPDID_wellbore=4901	NO
4902	34/10-48	34/10-48 S	GIMLE	050	EXPLORATION	Statoil ASA (old)	NO	GULLFAKS C	\N	2004-03-17	2004-12-22	OIL	RE-CLASS TO DEV	5	WILDCAT	216.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4902	http://www.npd.no/FactMapSearch?NPDID_wellbore=4902	YES
4903	6406/2-R-1	6406/2-R-1 H	KRISTIN	199	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	KRISTIN R	2004-04-20	2005-01-08	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4903	http://www.npd.no/FactMapSearch?NPDID_wellbore=4903	NO
4904	15/12-A-1	15/12-A-1	VARG	038	DEVELOPMENT	Pertra AS (OLD)	NO	MÆRSK GIANT	VARG A	2004-03-26	2004-05-31	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4904	http://www.npd.no/FactMapSearch?NPDID_wellbore=4904	NO
4905	6507/3-4	6507/3-4	ALVE	159	EXPLORATION	Statoil ASA (old)	NO	WEST NAVIGATOR	\N	2004-03-14	2004-04-30	GAS SHOWS	P&A	12	APPRAISAL	372.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4905	http://www.npd.no/FactMapSearch?NPDID_wellbore=4905	NO
4906	31/2-F-5	31/2-F-5 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	TROLL F	2004-04-06	2004-04-21	NOT APPLICABLE	PLUGGED	99	OBSERVATION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4906	http://www.npd.no/FactMapSearch?NPDID_wellbore=4906	NO
4907	31/2-F-5	31/2-F-5 BY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL F	2004-04-26	2004-06-14	OIL	PRODUCING	50	PRODUCTION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4907	http://www.npd.no/FactMapSearch?NPDID_wellbore=4907	NO
4908	31/2-F-5	31/2-F-5 BY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	POLAR PIONEER	TROLL F	2004-06-15	2004-07-29	OIL	PRODUCING	50	PRODUCTION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4908	http://www.npd.no/FactMapSearch?NPDID_wellbore=4908	NO
4909	31/2-O-14	31/2-O-14 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL O2	2004-05-18	2004-06-22	OIL	PRODUCING	50	PRODUCTION	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4909	http://www.npd.no/FactMapSearch?NPDID_wellbore=4909	NO
4910	24/9-7	24/9-7	VOLUND	150	EXPLORATION	Marathon Petroleum Norge AS	NO	DEEPSEA DELTA	\N	2004-03-02	2004-03-25	OIL/GAS	SUSP.REENTERED LATER	13	APPRAISAL	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4910	http://www.npd.no/FactMapSearch?NPDID_wellbore=4910	NO
4911	2/8-G-10	2/8-G-10	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2004-04-08	2005-03-16	NOT APPLICABLE	PLUGGED	99	OBSERVATION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4911	http://www.npd.no/FactMapSearch?NPDID_wellbore=4911	NO
4912	25/11-G-9	25/11-G-9	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2004-05-03	2004-05-24	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4912	http://www.npd.no/FactMapSearch?NPDID_wellbore=4912	NO
4913	31/4-A-31	31/4-A-31	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2004-05-03	2004-11-13	OIL	PRODUCING	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4913	http://www.npd.no/FactMapSearch?NPDID_wellbore=4913	NO
4915	34/7-J-1	34/7-J-1 AH	TORDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	TORDIS EXTENSION	2004-04-16	2004-06-08	OIL	PRODUCING	50	PRODUCTION	201.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4915	http://www.npd.no/FactMapSearch?NPDID_wellbore=4915	NO
4916	2/4-X-13	2/4-X-13 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2004-04-17	2004-05-29	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4916	http://www.npd.no/FactMapSearch?NPDID_wellbore=4916	NO
4917	33/9-A-26	33/9-A-26 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2004-03-24	2004-05-01	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4917	http://www.npd.no/FactMapSearch?NPDID_wellbore=4917	NO
4918	2/4-B-19	2/4-B-19 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK B	2004-06-03	2004-08-03	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4918	http://www.npd.no/FactMapSearch?NPDID_wellbore=4918	NO
4919	24/9-7	24/9-7 A	VOLUND	150	EXPLORATION	Marathon Petroleum Norge AS	NO	DEEPSEA DELTA	\N	2004-03-25	2004-03-29	OIL/GAS	P&A	13	APPRAISAL	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4919	http://www.npd.no/FactMapSearch?NPDID_wellbore=4919	NO
4920	2/8-N-11	2/8-N-11	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2004-04-02	2004-05-07	OIL	PRODUCING	50	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4920	http://www.npd.no/FactMapSearch?NPDID_wellbore=4920	NO
6636	2/4-U-36	2/4-U-36	\N	146	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2011-06-08	2011-06-08	\N	P&A	0	\N	67.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6636	\N	NO
4921	25/8-C-9	25/8-C-9	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2004-04-05	2004-06-07	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4921	http://www.npd.no/FactMapSearch?NPDID_wellbore=4921	NO
4922	15/6-A-6	15/6-A-6 Y1H	GLITNE	048 B	DEVELOPMENT	Statoil ASA (old)	YES	DEEPSEA BERGEN	PETROJARL 1	2004-04-10	2004-05-21	OIL	PRODUCING	50	PRODUCTION	110.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4922	http://www.npd.no/FactMapSearch?NPDID_wellbore=4922	NO
4923	15/6-A-6	15/6-A-6 Y2H	GLITNE	048 B	DEVELOPMENT	Statoil ASA (old)	YES	DEEPSEA BERGEN	PETROJARL 1	2004-05-22	2004-06-27	OIL	PRODUCING	50	PRODUCTION	110.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4923	http://www.npd.no/FactMapSearch?NPDID_wellbore=4923	NO
4924	34/11-A-4	34/11-A-4	KVITEBJØRN	193	DEVELOPMENT	Statoil ASA (old)	NO	KVITEBJØRN	KVITEBJØRN	2004-05-03	2004-07-21	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4924	http://www.npd.no/FactMapSearch?NPDID_wellbore=4924	NO
4925	26/4-2	26/4-2	\N	266	EXPLORATION	A/S Norske Shell	NO	DEEPSEA DELTA	\N	2004-04-13	2004-04-26	DRY	P&A	1	WILDCAT	131.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4925	http://www.npd.no/FactMapSearch?NPDID_wellbore=4925	NO
4926	24/9-7	24/9-7 B	\N	150	EXPLORATION	Marathon Petroleum Norge AS	NO	DEEPSEA DELTA	\N	2004-03-30	2004-04-02	GAS	P&A	9	APPRAISAL	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4926	http://www.npd.no/FactMapSearch?NPDID_wellbore=4926	NO
4927	6406/9-1	6406/9-1	\N	255	EXPLORATION	A/S Norske Shell	NO	TRANSOCEAN LEADER	\N	2004-06-15	2005-06-02	GAS	P&A	9	WILDCAT	308.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4927	http://www.npd.no/FactMapSearch?NPDID_wellbore=4927	YES
4928	16/1-7	16/1-7	\N	001 B	EXPLORATION	Esso Exploration and Production Norway A/S	NO	DEEPSEA DELTA	\N	2004-04-29	2004-05-28	OIL	P&A	5	WILDCAT	112.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4928	http://www.npd.no/FactMapSearch?NPDID_wellbore=4928	YES
4929	2/7-B-20	2/7-B-20 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK B	ELDFISK B	2005-02-04	2005-04-15	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4929	http://www.npd.no/FactMapSearch?NPDID_wellbore=4929	NO
4930	24/9-7	24/9-7 C	VOLUND	150	EXPLORATION	Marathon Petroleum Norge AS	NO	DEEPSEA DELTA	\N	2004-04-05	2004-04-11	OIL	P&A	5	APPRAISAL	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4930	http://www.npd.no/FactMapSearch?NPDID_wellbore=4930	NO
4931	6608/10-B-4	6608/10-B-4 CH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	NORNE B	2004-06-03	2004-06-19	OIL	PLUGGED	99	OBSERVATION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4931	http://www.npd.no/FactMapSearch?NPDID_wellbore=4931	NO
4932	6608/10-B-4	6608/10-B-4 DH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	NORNE B	2004-06-20	2004-07-10	OIL	PRODUCING	50	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4932	http://www.npd.no/FactMapSearch?NPDID_wellbore=4932	NO
4933	6506/12-Q-2	6506/12-Q-2 H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	ÅSGARD Q	2004-05-03	2004-06-30	NOT APPLICABLE	PLUGGED	99	OBSERVATION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4933	http://www.npd.no/FactMapSearch?NPDID_wellbore=4933	NO
4934	6506/12-Q-2	6506/12-Q-2 AH	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	ÅSGARD Q	2004-07-01	2004-07-28	OIL	PRODUCING	50	PRODUCTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4934	http://www.npd.no/FactMapSearch?NPDID_wellbore=4934	NO
4935	34/4-I-1	34/4-I-1 H	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	SNORRE B	2004-07-31	2004-08-08	CUTTINGS	INJECTING	171	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4935	http://www.npd.no/FactMapSearch?NPDID_wellbore=4935	NO
4936	31/2-O-14	31/2-O-14 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL O2	2004-06-23	2004-07-13	OIL	PRODUCING	50	PRODUCTION	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4936	http://www.npd.no/FactMapSearch?NPDID_wellbore=4936	NO
4937	31/2-O-14	31/2-O-14 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL O2	2004-07-16	2004-08-02	OIL	PRODUCING	50	PRODUCTION	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4937	http://www.npd.no/FactMapSearch?NPDID_wellbore=4937	NO
4938	15/9-U-13	15/9-U-13	\N	046	SHALLOW	StatoilHydro ASA	NO	TRANSOCEAN SEARCHER	\N	2003-08-18	2003-08-20	\N	P&A	0	\N	111.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4938	\N	NO
4939	6608/11-4	6608/11-4	\N	128	EXPLORATION	Statoil ASA (old)	NO	WEST NAVIGATOR	\N	2004-05-01	2004-05-23	OIL	P&A	5	WILDCAT	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4939	http://www.npd.no/FactMapSearch?NPDID_wellbore=4939	YES
4940	2/8-N-7	2/8-N-7	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2004-05-20	2004-06-09	OIL	PRODUCING	50	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4940	http://www.npd.no/FactMapSearch?NPDID_wellbore=4940	NO
4941	34/10-B-42	34/10-B-42 E	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2003-10-10	2003-11-06	OIL	PLUGGED	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4941	http://www.npd.no/FactMapSearch?NPDID_wellbore=4941	NO
4942	34/10-B-42	34/10-B-42 F	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2003-12-04	2004-01-27	OIL	PRODUCING	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4942	http://www.npd.no/FactMapSearch?NPDID_wellbore=4942	NO
4943	25/8-C-14	25/8-C-14	RINGHORNE ØST	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2004-06-12	2004-07-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4943	http://www.npd.no/FactMapSearch?NPDID_wellbore=4943	NO
4944	25/8-C-14	25/8-C-14 A	RINGHORNE ØST	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2006-01-04	2006-02-12	OIL	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4944	http://www.npd.no/FactMapSearch?NPDID_wellbore=4944	NO
4945	6507/7-A-49	6507/7-A-49	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2004-05-27	2004-07-12	WATER	INJECTING	173	INJECTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4945	http://www.npd.no/FactMapSearch?NPDID_wellbore=4945	NO
4946	31/2-O-14	31/2-O-14 Y4H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL O2	2004-08-03	2004-09-12	OIL	PRODUCING	50	PRODUCTION	336.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4946	http://www.npd.no/FactMapSearch?NPDID_wellbore=4946	NO
4947	15/12-A-10	15/12-A-10	VARG	038	DEVELOPMENT	Pertra AS (OLD)	NO	MÆRSK GIANT	VARG A	2004-06-01	2004-08-02	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4947	http://www.npd.no/FactMapSearch?NPDID_wellbore=4947	NO
4948	34/10-G-2	34/10-G-2 Y2H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	YES	BORGLAND DOLPHIN	GULLFAKS SØR G	2004-06-20	2004-07-25	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4948	http://www.npd.no/FactMapSearch?NPDID_wellbore=4948	NO
4949	33/9-C-38	33/9-C-38 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2004-06-14	2004-06-28	OIL	PLUGGED	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4949	http://www.npd.no/FactMapSearch?NPDID_wellbore=4949	NO
4950	30/11-6	30/11-6 S	\N	272	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	\N	2004-06-03	2004-07-02	SHOWS	P&A	12	WILDCAT	103.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4950	http://www.npd.no/FactMapSearch?NPDID_wellbore=4950	NO
4951	34/10-B-27	34/10-B-27 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2004-05-30	2004-06-29	OIL	PRODUCING	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4951	http://www.npd.no/FactMapSearch?NPDID_wellbore=4951	NO
4952	2/8-N-5	2/8-N-5	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2004-06-10	2004-08-12	OIL	PRODUCING	50	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4952	http://www.npd.no/FactMapSearch?NPDID_wellbore=4952	NO
4953	34/7-E-5	34/7-E-5 H	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BIDEFORD DOLPHIN	VIGDIS E	2004-07-02	2004-08-26	WATER	INJECTING	173	INJECTION	278.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4953	http://www.npd.no/FactMapSearch?NPDID_wellbore=4953	NO
4954	25/11-G-6	25/11-G-6	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2004-07-30	2004-08-18	OIL	PRODUCING	50	PRODUCTION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4954	http://www.npd.no/FactMapSearch?NPDID_wellbore=4954	NO
4955	6507/1-1	6507/1-1	\N	261 BS	EXPLORATION	Chevron Texaco Norge AS	NO	STENA DEE	\N	2004-09-25	2004-11-02	DRY	P&A	1	WILDCAT	397.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4955	http://www.npd.no/FactMapSearch?NPDID_wellbore=4955	NO
4956	2/4-B-20	2/4-B-20 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK B	2004-09-16	2004-11-04	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4956	http://www.npd.no/FactMapSearch?NPDID_wellbore=4956	NO
4957	30/9-F-12	30/9-F-12 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2004-07-03	2004-07-22	OIL	PLUGGED	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4957	http://www.npd.no/FactMapSearch?NPDID_wellbore=4957	NO
4958	33/12-B-27	33/12-B-27 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2004-07-25	2004-08-23	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4958	http://www.npd.no/FactMapSearch?NPDID_wellbore=4958	NO
4959	2/4-X-21	2/4-X-21 Y1	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	YES	EKOFISK X	EKOFISK X	2004-09-28	2004-11-09	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4959	http://www.npd.no/FactMapSearch?NPDID_wellbore=4959	NO
4960	2/4-X-21	2/4-X-21 Y2	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	YES	EKOFISK X	EKOFISK X	2004-11-10	2004-12-23	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4960	http://www.npd.no/FactMapSearch?NPDID_wellbore=4960	NO
4961	2/1-A-16	2/1-A-16 AY1	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	YES	GYDA	GYDA	2004-07-20	2004-08-13	OIL	PLUGGED	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4961	http://www.npd.no/FactMapSearch?NPDID_wellbore=4961	NO
4962	30/3-A-23	30/3-A-23 A	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2004-08-30	2004-10-22	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4962	http://www.npd.no/FactMapSearch?NPDID_wellbore=4962	NO
4963	34/10-B-26	34/10-B-26 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	YES	GULLFAKS B	GULLFAKS B	2004-07-19	2004-08-31	OIL	PRODUCING	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4963	http://www.npd.no/FactMapSearch?NPDID_wellbore=4963	NO
4964	15/12-A-9	15/12-A-9	VARG	038	DEVELOPMENT	Pertra AS (OLD)	NO	MÆRSK GIANT	VARG A	2004-08-03	2004-11-03	WATER	PLUGGED	173	INJECTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4964	http://www.npd.no/FactMapSearch?NPDID_wellbore=4964	NO
4965	34/11-A-5	34/11-A-5	KVITEBJØRN	193	DEVELOPMENT	Statoil ASA (old)	NO	KVITEBJØRN	KVITEBJØRN	2004-08-01	2004-10-14	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4965	http://www.npd.no/FactMapSearch?NPDID_wellbore=4965	NO
4966	2/4-X-43	2/4-X-43	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2004-12-26	2005-02-15	OIL	PLUGGED	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4966	http://www.npd.no/FactMapSearch?NPDID_wellbore=4966	NO
4968	25/8-C-3	25/8-C-3	RINGHORNE ØST	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2006-03-06	2006-04-10	OIL	PRODUCING	50	PRODUCTION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4968	http://www.npd.no/FactMapSearch?NPDID_wellbore=4968	NO
4969	25/8-C-3	25/8-C-3 A	RINGHORNE ØST	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4969	http://www.npd.no/FactMapSearch?NPDID_wellbore=4969	NO
4970	6507/7-A-40	6507/7-A-40 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2004-08-14	2004-09-26	WATER	INJECTING	173	INJECTION	345.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4970	http://www.npd.no/FactMapSearch?NPDID_wellbore=4970	NO
6696	34/6-U-1	34/6-U-1	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6696	\N	NO
4971	30/9-J-12	30/9-J-12 H	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	OSEBERG SØR	2004-11-10	2005-10-14	OIL	PRODUCING	50	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4971	http://www.npd.no/FactMapSearch?NPDID_wellbore=4971	NO
4972	30/9-F-25	30/9-F-25	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2004-08-20	2005-02-07	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4972	http://www.npd.no/FactMapSearch?NPDID_wellbore=4972	NO
4973	34/10-F-2	34/10-F-2 Y1H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	YES	BORGLAND DOLPHIN	GULLFAKS SØR F	2004-07-26	2004-10-17	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4973	http://www.npd.no/FactMapSearch?NPDID_wellbore=4973	NO
4974	34/10-F-2	34/10-F-2 Y2H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	YES	BORGLAND DOLPHIN	GULLFAKS SØR F	2004-10-18	2004-11-22	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4974	http://www.npd.no/FactMapSearch?NPDID_wellbore=4974	NO
4975	34/4-K-7	34/4-K-7 H	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-K H	2005-03-27	2005-05-25	WATER	INJECTING	173	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4975	http://www.npd.no/FactMapSearch?NPDID_wellbore=4975	NO
4976	30/9-F-12	30/9-F-12 B	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2004-07-23	2004-08-18	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4976	http://www.npd.no/FactMapSearch?NPDID_wellbore=4976	NO
4977	34/8-A-6	34/8-A-6 H	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2005-03-05	2005-05-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4977	http://www.npd.no/FactMapSearch?NPDID_wellbore=4977	NO
4978	25/8-C-1	25/8-C-1	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2004-08-08	2004-09-30	NOT APPLICABLE	PLUGGED	99	OBSERVATION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4978	http://www.npd.no/FactMapSearch?NPDID_wellbore=4978	NO
4979	25/8-C-1	25/8-C-1 A	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2004-10-01	2004-10-31	OIL	PRODUCING	50	PRODUCTION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4979	http://www.npd.no/FactMapSearch?NPDID_wellbore=4979	NO
4980	2/4-B-12	2/4-B-12 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK B	2005-02-24	2005-04-07	OIL	PLUGGED	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4980	http://www.npd.no/FactMapSearch?NPDID_wellbore=4980	NO
4981	25/4-C-1	25/4-C-1 AH	VALE	036	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	VALE	2005-05-23	2005-09-12	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	114.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4981	http://www.npd.no/FactMapSearch?NPDID_wellbore=4981	NO
4984	6605/8-1	6605/8-1	\N	283	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN LEADER	\N	2005-06-14	2005-10-22	GAS	P&A	9	WILDCAT	838.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4984	http://www.npd.no/FactMapSearch?NPDID_wellbore=4984	YES
4985	34/7-A-3	34/7-A-3 AH	SNORRE	089	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	SNORRE UPA	2004-09-22	2005-03-13	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4985	http://www.npd.no/FactMapSearch?NPDID_wellbore=4985	NO
4986	6406/1-3	6406/1-3	\N	256	EXPLORATION	Eni Norge AS	NO	OCEAN VANGUARD	\N	2004-10-16	2004-12-22	DRY	SUSP.REENTERED LATER	1	APPRAISAL	361.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=4986	http://www.npd.no/FactMapSearch?NPDID_wellbore=4986	NO
4987	31/2-K-24	31/2-K-24 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL K2	2004-09-12	2004-10-31	OIL	PRODUCING	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4987	http://www.npd.no/FactMapSearch?NPDID_wellbore=4987	NO
4988	31/2-K-24	31/2-K-24 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL K2	2004-11-01	2004-11-25	OIL	PRODUCING	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4988	http://www.npd.no/FactMapSearch?NPDID_wellbore=4988	NO
4989	31/2-K-24	31/2-K-24 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL K2	2004-11-26	2004-12-13	OIL	PRODUCING	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4989	http://www.npd.no/FactMapSearch?NPDID_wellbore=4989	NO
4990	31/2-K-24	31/2-K-24 Y4H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL K2	2004-12-15	2005-01-28	OIL	PRODUCING	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4990	http://www.npd.no/FactMapSearch?NPDID_wellbore=4990	NO
4991	25/11-G-11	25/11-G-11	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2004-09-14	2004-10-20	OIL	PLUGGED	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4991	http://www.npd.no/FactMapSearch?NPDID_wellbore=4991	NO
4992	31/6-U-23	31/6-U-23	TROLL	\N	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4992	\N	NO
4993	6506/11-P-3	6506/11-P-3 H	KRISTIN	134 B	DEVELOPMENT	Statoil ASA (old)	NO	SCARABEO 5	KRISTIN P	2004-07-16	2005-02-24	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	372.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4993	http://www.npd.no/FactMapSearch?NPDID_wellbore=4993	NO
4994	6506/11-P-2	6506/11-P-2 H	KRISTIN	134 B	DEVELOPMENT	Statoil ASA (old)	NO	SCARABEO 5	KRISTIN P	2004-08-11	2004-11-21	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	372.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4994	http://www.npd.no/FactMapSearch?NPDID_wellbore=4994	NO
4995	34/10-C-5	34/10-C-5 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2004-08-28	2004-09-28	OIL	PRODUCING	50	PRODUCTION	217.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4995	http://www.npd.no/FactMapSearch?NPDID_wellbore=4995	NO
4996	31/6-U-24	31/6-U-24	TROLL	\N	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=4996	\N	NO
4997	25/8-C-7	25/8-C-7	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2004-12-11	2005-01-21	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4997	http://www.npd.no/FactMapSearch?NPDID_wellbore=4997	NO
4998	7121/4-F-2	7121/4-F-2 H	SNØHVIT	099	DEVELOPMENT	Statoil ASA (old)	NO	POLAR PIONEER	SNØHVIT F	2004-12-19	2005-02-10	CO2	INJECTING	180	INJECTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4998	http://www.npd.no/FactMapSearch?NPDID_wellbore=4998	NO
4999	34/10-A-25	34/10-A-25 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2004-12-22	2005-02-02	WATER	INJECTING	173	INJECTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=4999	http://www.npd.no/FactMapSearch?NPDID_wellbore=4999	NO
5000	25/8-15	25/8-15 S	BALDER	027	EXPLORATION	Esso Exploration and Production Norway A/S	NO	RINGHORNE	\N	2004-07-13	2004-08-07	OIL	P&A	5	APPRAISAL	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5000	http://www.npd.no/FactMapSearch?NPDID_wellbore=5000	NO
5001	34/11-A-11	34/11-A-11	KVITEBJØRN	193	DEVELOPMENT	Statoil ASA (old)	NO	KVITEBJØRN	KVITEBJØRN	2004-10-17	2005-01-27	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5001	http://www.npd.no/FactMapSearch?NPDID_wellbore=5001	NO
5002	6608/10-H-3	6608/10-H-3 H	URD	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE H	2004-10-04	2005-06-14	WATER	INJECTING	173	INJECTION	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5002	http://www.npd.no/FactMapSearch?NPDID_wellbore=5002	NO
5003	31/4-A-11	31/4-A-11 C	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2005-01-02	2005-04-01	OIL	SUSP.AT TD	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5003	http://www.npd.no/FactMapSearch?NPDID_wellbore=5003	NO
5004	25/11-G-5	25/11-G-5	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2004-11-07	2005-03-18	OIL	PLUGGED	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5004	http://www.npd.no/FactMapSearch?NPDID_wellbore=5004	NO
5005	6507/7-A-12	6507/7-A-12	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2004-10-07	2004-10-31	NOT APPLICABLE	PLUGGED	99	OBSERVATION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5005	http://www.npd.no/FactMapSearch?NPDID_wellbore=5005	NO
5006	7227/11-1	7227/11-1 S	\N	202	EXPLORATION	Statoil ASA (old)	NO	EIRIK RAUDE	\N	2006-01-13	2006-02-22	DRY	P&A	1	WILDCAT	234.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5006	http://www.npd.no/FactMapSearch?NPDID_wellbore=5006	NO
5007	30/9-N-11	30/9-N-11 H	TUNE	190	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	TUNE	2004-11-24	2005-01-16	NOT APPLICABLE	PLUGGED	99	OBSERVATION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5007	http://www.npd.no/FactMapSearch?NPDID_wellbore=5007	NO
5008	30/9-N-11	30/9-N-11 AH	TUNE	190	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	TUNE	2005-01-17	2005-02-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5008	http://www.npd.no/FactMapSearch?NPDID_wellbore=5008	NO
5009	30/9-B-4	30/9-B-4 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2004-12-23	2005-02-05	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5009	http://www.npd.no/FactMapSearch?NPDID_wellbore=5009	NO
5011	34/10-B-1	34/10-B-1 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2004-11-08	2005-01-08	OIL	PRODUCING	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5011	http://www.npd.no/FactMapSearch?NPDID_wellbore=5011	NO
5012	30/3-A-8	30/3-A-8 B	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2004-12-12	2005-03-12	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5012	http://www.npd.no/FactMapSearch?NPDID_wellbore=5012	NO
5013	31/2-L-23	31/2-L-23 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL L1	2005-08-16	2005-09-21	OIL	PRODUCING	50	PRODUCTION	329.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5013	http://www.npd.no/FactMapSearch?NPDID_wellbore=5013	NO
5014	25/8-C-21	25/8-C-21	BALDER	027	DEVELOPMENT	Esso Exploration and Production Norway A/S	NO	RINGHORNE	RINGHORNE	2004-11-12	2004-12-11	CUTTINGS	INJECTING	171	INJECTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5014	http://www.npd.no/FactMapSearch?NPDID_wellbore=5014	NO
5015	6608/10-H-1	6608/10-H-1 H	URD	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE H	2004-12-09	2005-07-05	WATER	PLUGGED	173	INJECTION	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5015	http://www.npd.no/FactMapSearch?NPDID_wellbore=5015	NO
5016	6507/7-A-12	6507/7-A-12 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2004-11-01	2005-01-14	OIL	PRODUCING	50	PRODUCTION	346.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5016	http://www.npd.no/FactMapSearch?NPDID_wellbore=5016	NO
5017	15/12-15	15/12-15	\N	038	EXPLORATION	Pertra AS (OLD)	NO	DEEPSEA TRYM	\N	2004-11-19	2004-12-21	DRY	P&A	1	WILDCAT	88.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5017	http://www.npd.no/FactMapSearch?NPDID_wellbore=5017	NO
5018	33/9-C-38	33/9-C-38 C	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2005-01-03	2005-02-21	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5018	http://www.npd.no/FactMapSearch?NPDID_wellbore=5018	NO
5019	31/2-P-24	31/2-P-24 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL P2	2005-05-01	2005-06-04	OIL	PLUGGED	50	PRODUCTION	338.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5019	http://www.npd.no/FactMapSearch?NPDID_wellbore=5019	NO
5020	31/2-P-24	31/2-P-24 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL P2	2005-06-05	2005-06-27	OIL	PLUGGED	50	PRODUCTION	338.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5020	http://www.npd.no/FactMapSearch?NPDID_wellbore=5020	NO
5021	31/2-P-24	31/2-P-24 Y4H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL P2	2005-06-28	2005-08-10	OIL	PLUGGED	50	PRODUCTION	338.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5021	http://www.npd.no/FactMapSearch?NPDID_wellbore=5021	NO
5022	6608/10-G-4	6608/10-G-4 H	URD	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE G	2004-11-14	2005-09-09	OIL	PRODUCING	50	PRODUCTION	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5022	http://www.npd.no/FactMapSearch?NPDID_wellbore=5022	NO
6697	34/6-U-2	34/6-U-2	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6697	\N	NO
5023	6407/7-A-13	6407/7-A-13 AH	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	2005-02-09	2005-04-05	OIL	PRODUCING	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5023	http://www.npd.no/FactMapSearch?NPDID_wellbore=5023	NO
5024	30/9-J-14	30/9-J-14 H	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	OSEBERG SØR J	2005-04-14	2005-06-06	OIL	PLUGGED	50	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5024	http://www.npd.no/FactMapSearch?NPDID_wellbore=5024	NO
5025	2/4-M-18	2/4-M-18	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK M	2004-12-12	2005-01-15	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5025	http://www.npd.no/FactMapSearch?NPDID_wellbore=5025	NO
5026	34/10-A-32	34/10-A-32 C	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2005-05-18	2008-03-17	OIL	PRODUCING	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5026	http://www.npd.no/FactMapSearch?NPDID_wellbore=5026	NO
5027	2/4-X-30	2/4-X-30	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2005-02-16	2005-05-06	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5027	http://www.npd.no/FactMapSearch?NPDID_wellbore=5027	NO
5028	30/6-G-44	30/6-G-44 H	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	OSEBERG VESTFLANKE	2005-09-19	2005-10-28	NOT AVAILABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5028	http://www.npd.no/FactMapSearch?NPDID_wellbore=5028	NO
5029	30/6-G-44	30/6-G-44 AH	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	OSEBERG VESTFLANKE	2005-10-29	2007-01-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5029	http://www.npd.no/FactMapSearch?NPDID_wellbore=5029	NO
5030	34/10-B-20	34/10-B-20 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2007-02-17	2007-04-19	WATER	INJECTING	173	INJECTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5030	http://www.npd.no/FactMapSearch?NPDID_wellbore=5030	NO
5031	6507/7-A-28	6507/7-A-28 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2005-01-19	2005-02-07	OIL	PLUGGED	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5031	http://www.npd.no/FactMapSearch?NPDID_wellbore=5031	NO
5032	6608/10-G-1	6608/10-G-1 H	URD	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE G	2004-11-28	2005-10-27	OIL	PRODUCING	50	PRODUCTION	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5032	http://www.npd.no/FactMapSearch?NPDID_wellbore=5032	NO
5033	2/11-S-10	2/11-S-10	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2004-11-28	2005-09-22	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5033	http://www.npd.no/FactMapSearch?NPDID_wellbore=5033	NO
5034	7121/4-D-1	7121/4-D-1 H	SNØHVIT	099	DEVELOPMENT	Statoil ASA (old)	NO	POLAR PIONEER	SNØHVIT D	2005-03-03	2005-03-31	GAS	PRODUCING	90	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5034	http://www.npd.no/FactMapSearch?NPDID_wellbore=5034	NO
5035	7121/4-D-2	7121/4-D-2 H	SNØHVIT	099	DEVELOPMENT	Statoil ASA (old)	NO	POLAR PIONEER	SNØHVIT D	2005-02-16	2005-04-15	GAS	PRODUCING	90	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5035	http://www.npd.no/FactMapSearch?NPDID_wellbore=5035	NO
5036	7121/4-D-4	7121/4-D-4 H	SNØHVIT	099	DEVELOPMENT	Statoil ASA (old)	NO	POLAR PIONEER	SNØHVIT D	2005-02-27	2005-05-07	GAS	PRODUCING	90	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5036	http://www.npd.no/FactMapSearch?NPDID_wellbore=5036	NO
5037	2/11-S-3	2/11-S-3	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2005-01-26	2005-05-03	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5037	http://www.npd.no/FactMapSearch?NPDID_wellbore=5037	NO
5038	6406/2-S-1	6406/2-S-1 H	KRISTIN	199	DEVELOPMENT	Statoil ASA (old)	NO	SCARABEO 5	KRISTIN S	2003-08-12	2005-09-30	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	364.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5038	http://www.npd.no/FactMapSearch?NPDID_wellbore=5038	NO
5039	7220/6-1	7220/6-1	\N	225	EXPLORATION	Norsk Hydro Produksjon AS	NO	EIRIK RAUDE	\N	2005-01-20	2005-03-29	OIL SHOWS	P&A	12	WILDCAT	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5039	http://www.npd.no/FactMapSearch?NPDID_wellbore=5039	NO
5040	33/12-B-40	33/12-B-40 D	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2005-01-20	2005-03-27	OIL	PLUGGED	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5040	http://www.npd.no/FactMapSearch?NPDID_wellbore=5040	NO
5041	30/9-F-30	30/9-F-30	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2005-02-04	2005-04-05	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5041	http://www.npd.no/FactMapSearch?NPDID_wellbore=5041	NO
5042	30/9-F-30	30/9-F-30 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2005-04-08	2005-05-18	WATER/GAS	INJECTING	0	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5042	http://www.npd.no/FactMapSearch?NPDID_wellbore=5042	NO
5043	30/9-F-15	30/9-F-15 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2004-06-15	2004-07-03	WATER	PLUGGED	172	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5043	http://www.npd.no/FactMapSearch?NPDID_wellbore=5043	NO
5044	30/9-F-26	30/9-F-26 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2004-03-02	2004-04-20	WATER	PLUGGED	173	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5044	http://www.npd.no/FactMapSearch?NPDID_wellbore=5044	NO
5045	2/1-A-31	2/1-A-31 A	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2005-01-01	2005-05-25	OIL	PRODUCING	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5045	http://www.npd.no/FactMapSearch?NPDID_wellbore=5045	NO
5046	34/10-48	34/10-48 A	GIMLE	050	EXPLORATION	Statoil ASA (old)	NO	GULLFAKS C	\N	2004-12-23	2005-02-15	OIL	RE-CLASS TO TEST	5	APPRAISAL	217.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5046	http://www.npd.no/FactMapSearch?NPDID_wellbore=5046	NO
5047	25/11-G-40	25/11-G-40	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2005-01-25	2005-02-07	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5047	http://www.npd.no/FactMapSearch?NPDID_wellbore=5047	NO
5048	25/11-G-40	25/11-G-40 A	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2005-03-15	2005-09-04	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5048	http://www.npd.no/FactMapSearch?NPDID_wellbore=5048	NO
5049	6406/2-S-2	6406/2-S-2 H	KRISTIN	199	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	KRISTIN S	2003-08-14	2006-05-02	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	364.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5049	http://www.npd.no/FactMapSearch?NPDID_wellbore=5049	NO
5050	2/4-M-17	2/4-M-17	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK M	2005-01-18	2005-02-25	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5050	http://www.npd.no/FactMapSearch?NPDID_wellbore=5050	NO
5051	31/4-12	31/4-12	\N	055	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA TRYM	\N	2005-02-06	2005-03-14	DRY	P&A	1	WILDCAT	210.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5051	http://www.npd.no/FactMapSearch?NPDID_wellbore=5051	NO
5052	30/6-G-41	30/6-G-41 H	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	OSEBERG VESTFLANKE	2005-11-29	2006-02-05	OIL/GAS	PRODUCING	0	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5052	http://www.npd.no/FactMapSearch?NPDID_wellbore=5052	NO
5053	34/7-D-4	34/7-D-4 H	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	OCEAN VANGUARD	VIGDIS D	2005-06-06	2005-07-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	251.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5053	http://www.npd.no/FactMapSearch?NPDID_wellbore=5053	NO
5055	6406/2-R-4	6406/2-R-4 AH	KRISTIN	199	DEVELOPMENT	Statoil ASA (old)	NO	SCARABEO 5	KRISTIN R	2005-01-22	2005-03-12	GAS/CONDENSATE	PLUGGED	170	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5055	http://www.npd.no/FactMapSearch?NPDID_wellbore=5055	NO
5056	6406/1-3	6406/1-3 R	\N	256	EXPLORATION	Eni Norge AS	NO	TRANSOCEAN ARCTIC	\N	2005-01-25	2005-02-06	DRY	SUSP.REENTERED LATER	1	APPRAISAL	361.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5056	http://www.npd.no/FactMapSearch?NPDID_wellbore=5056	NO
5057	34/11-A-8	34/11-A-8	KVITEBJØRN	193	DEVELOPMENT	Statoil ASA (old)	NO	KVITEBJØRN	KVITEBJØRN	2003-12-17	2004-01-02	WATER	INJECTING	173	INJECTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5057	http://www.npd.no/FactMapSearch?NPDID_wellbore=5057	NO
5058	34/10-D-3	34/10-D-3 CH	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	GULLFAKS SØR D	2005-04-22	2005-05-29	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5058	http://www.npd.no/FactMapSearch?NPDID_wellbore=5058	NO
5059	6507/8-D-3	6507/8-D-3 BH	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	HEIDRUN D	2005-04-10	2005-06-09	OIL	PLUGGED	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5059	http://www.npd.no/FactMapSearch?NPDID_wellbore=5059	NO
5060	6406/1-3	6406/1-3 R2	\N	256	EXPLORATION	Eni Norge AS	NO	OCEAN VANGUARD	\N	2005-02-26	2005-03-14	DRY	P&A	1	APPRAISAL	361.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5060	http://www.npd.no/FactMapSearch?NPDID_wellbore=5060	NO
5061	33/9-C-33	33/9-C-33 A	STATFJORD ØST	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2005-05-11	2006-04-13	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5061	http://www.npd.no/FactMapSearch?NPDID_wellbore=5061	NO
5062	2/4-M-23	2/4-M-23	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK M	2005-02-28	2005-03-28	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5062	http://www.npd.no/FactMapSearch?NPDID_wellbore=5062	NO
5063	35/11-13	35/11-13	\N	090	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA TRYM	\N	2005-03-18	2005-05-28	OIL/GAS	P&A	13	WILDCAT	362.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5063	http://www.npd.no/FactMapSearch?NPDID_wellbore=5063	YES
5064	6406/2-R-2	6406/2-R-2 H	KRISTIN	199	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	KRISTIN R	2005-08-26	2005-11-17	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5064	http://www.npd.no/FactMapSearch?NPDID_wellbore=5064	NO
5065	25/8-C-2	25/8-C-2	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2005-02-10	2005-04-16	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5065	http://www.npd.no/FactMapSearch?NPDID_wellbore=5065	NO
5068	34/10-A-7	34/10-A-7 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2005-02-24	2005-04-06	OIL	PRODUCING	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5068	http://www.npd.no/FactMapSearch?NPDID_wellbore=5068	NO
5069	2/4-X-4	2/4-X-4 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2005-06-23	2005-07-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5069	http://www.npd.no/FactMapSearch?NPDID_wellbore=5069	NO
5070	6608/10-E-3	6608/10-E-3 BH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE E	2005-03-09	2005-04-03	OIL	PLUGGED	99	OBSERVATION	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5070	http://www.npd.no/FactMapSearch?NPDID_wellbore=5070	NO
5072	2/8-G-11	2/8-G-11	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2005-03-21	2005-07-14	OIL/GAS	SUSP.AT TD	0	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5072	http://www.npd.no/FactMapSearch?NPDID_wellbore=5072	NO
5073	15/12-A-16	15/12-A-16	VARG	038	DEVELOPMENT	Pertra AS (OLD)	NO	MÆRSK GIANT	VARG A	2005-03-29	2005-05-14	WATER	INJECTING	173	INJECTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5073	http://www.npd.no/FactMapSearch?NPDID_wellbore=5073	NO
5074	33/12-B-13	33/12-B-13 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2005-04-16	2005-05-15	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5074	http://www.npd.no/FactMapSearch?NPDID_wellbore=5074	NO
6698	34/6-U-3	34/6-U-3	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6698	\N	NO
5075	30/9-B-10	30/9-B-10 BY1	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	OSEBERG B	OSEBERG B	2005-02-27	2005-08-27	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5075	http://www.npd.no/FactMapSearch?NPDID_wellbore=5075	NO
5076	30/9-B-10	30/9-B-10 BY2	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	OSEBERG B	OSEBERG B	2005-08-28	2005-11-24	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5076	http://www.npd.no/FactMapSearch?NPDID_wellbore=5076	NO
5077	6507/7-A-35	6507/7-A-35 C	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2005-03-13	2005-03-21	OIL	PLUGGED	99	OBSERVATION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5077	http://www.npd.no/FactMapSearch?NPDID_wellbore=5077	NO
5078	2/11-S-7	2/11-S-7	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2005-05-04	2005-06-12	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5078	http://www.npd.no/FactMapSearch?NPDID_wellbore=5078	NO
5079	30/3-A-16	30/3-A-16 A	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2005-04-09	2005-05-22	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5079	http://www.npd.no/FactMapSearch?NPDID_wellbore=5079	NO
5080	31/5-I-14	31/5-I-14 BY1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL I1	2005-04-20	2005-05-14	OIL	SUSP.AT TD	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5080	http://www.npd.no/FactMapSearch?NPDID_wellbore=5080	NO
5081	31/5-I-14	31/5-I-14 BY2H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL I1	2005-05-15	2005-05-21	OIL	SUSP.AT TD	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5081	http://www.npd.no/FactMapSearch?NPDID_wellbore=5081	NO
5082	31/5-I-14	31/5-I-14 BY3H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL I1	2005-05-21	2005-05-30	OIL	SUSP.AT TD	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5082	http://www.npd.no/FactMapSearch?NPDID_wellbore=5082	NO
5083	31/5-I-14	31/5-I-14 BY4H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL I1	2005-05-31	2005-06-09	OIL	SUSP.AT TD	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5083	http://www.npd.no/FactMapSearch?NPDID_wellbore=5083	NO
5084	31/5-I-14	31/5-I-14 BY5H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL I1	2005-06-10	2005-07-09	OIL	SUSP.AT TD	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5084	http://www.npd.no/FactMapSearch?NPDID_wellbore=5084	NO
5086	6302/6-1	6302/6-1	\N	251	EXPLORATION	Statoil ASA (old)	NO	EIRIK RAUDE	\N	2005-06-24	2005-10-04	GAS	P&A	9	WILDCAT	1261.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5086	http://www.npd.no/FactMapSearch?NPDID_wellbore=5086	YES
5087	34/10-C-9	34/10-C-9 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2005-05-01	2005-07-26	OIL	PRODUCING	50	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5087	http://www.npd.no/FactMapSearch?NPDID_wellbore=5087	NO
5088	6406/2-S-4	6406/2-S-4 H	KRISTIN	199	DEVELOPMENT	Statoil ASA (old)	NO	SCARABEO 5	KRISTIN S	2005-04-06	2005-06-28	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	364.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5088	http://www.npd.no/FactMapSearch?NPDID_wellbore=5088	NO
5089	2/4-M-22	2/4-M-22	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK M	2005-03-29	2005-05-16	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5089	http://www.npd.no/FactMapSearch?NPDID_wellbore=5089	NO
5090	25/11-G-34	25/11-G-34	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2004-08-19	2005-07-20	OIL	PRODUCING	50	PRODUCTION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5090	http://www.npd.no/FactMapSearch?NPDID_wellbore=5090	NO
5091	15/9-A-23	15/9-A-23 A	SLEIPNER ØST	046	DEVELOPMENT	Statoil ASA (old)	NO	SLEIPNER A	SLEIPNER A	2005-04-14	2005-05-31	GAS	PLUGGED	90	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5091	http://www.npd.no/FactMapSearch?NPDID_wellbore=5091	NO
5092	34/11-A-15	34/11-A-15	KVITEBJØRN	193	DEVELOPMENT	Statoil ASA (old)	NO	KVITEBJØRN	KVITEBJØRN	2005-04-16	2005-07-31	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5092	http://www.npd.no/FactMapSearch?NPDID_wellbore=5092	NO
5093	7131/4-1	7131/4-1	\N	233	EXPLORATION	Statoil ASA (old)	NO	EIRIK RAUDE	\N	2005-04-02	2005-05-13	DRY	P&A	1	WILDCAT	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5093	http://www.npd.no/FactMapSearch?NPDID_wellbore=5093	NO
5094	2/7-B-4	2/7-B-4 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK B	ELDFISK B	2005-05-13	2005-06-29	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5094	http://www.npd.no/FactMapSearch?NPDID_wellbore=5094	NO
5095	6407/9-F-1	6407/9-F-1 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	STENA DON	\N	2003-06-11	2003-06-23	\N	P&A	99	OBSERVATION	244.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5095	http://www.npd.no/FactMapSearch?NPDID_wellbore=5095	NO
5096	6507/7-A-35	6507/7-A-35 D	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2005-03-22	2005-04-03	OIL	PLUGGED	99	OBSERVATION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5096	http://www.npd.no/FactMapSearch?NPDID_wellbore=5096	NO
5097	2/4-B-21	2/4-B-21 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK B	2005-06-05	2005-07-09	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5097	http://www.npd.no/FactMapSearch?NPDID_wellbore=5097	NO
5098	6608/10-E-3	6608/10-E-3 CH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE E	2005-04-04	2005-05-07	OIL	PRODUCING	50	PRODUCTION	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5098	http://www.npd.no/FactMapSearch?NPDID_wellbore=5098	NO
5100	34/8-A-3	34/8-A-3 AH	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2006-02-24	2006-07-22	GAS	PRODUCING	90	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5100	http://www.npd.no/FactMapSearch?NPDID_wellbore=5100	NO
5154	24/9-U-5	24/9-U-5	\N	305	SHALLOW	Det Norske Oljeselskap AS	NO	BUCENTAUR	\N	2005-08-16	2005-08-16	\N	P&A	0	\N	123.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5154	\N	NO
5101	25/8-C-12	25/8-C-12	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2005-04-23	2005-09-09	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5101	http://www.npd.no/FactMapSearch?NPDID_wellbore=5101	NO
5102	31/2-N-11	31/2-N-11 H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL N1	2005-07-11	2005-08-24	OIL/GAS	PLUGGED	99	OBSERVATION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5102	http://www.npd.no/FactMapSearch?NPDID_wellbore=5102	YES
5103	31/2-N-11	31/2-N-11 BY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL N1	2006-02-03	2006-03-15	OIL	PRODUCING	50	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5103	http://www.npd.no/FactMapSearch?NPDID_wellbore=5103	NO
5104	31/2-N-11	31/2-N-11 BY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL N1	2006-03-16	2006-04-06	OIL	PRODUCING	50	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5104	http://www.npd.no/FactMapSearch?NPDID_wellbore=5104	NO
5105	31/2-N-11	31/2-N-11 BY3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL N1	2006-04-07	2006-04-27	OIL	PRODUCING	50	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5105	http://www.npd.no/FactMapSearch?NPDID_wellbore=5105	NO
5106	31/2-N-11	31/2-N-11 BY4H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL N1	2006-04-28	2006-06-17	OIL	PRODUCING	50	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5106	http://www.npd.no/FactMapSearch?NPDID_wellbore=5106	NO
5107	31/2-N-11	31/2-N-11 BY5H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL N1	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5107	http://www.npd.no/FactMapSearch?NPDID_wellbore=5107	NO
5108	31/2-N-11	31/2-N-11 BY6H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL N1	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5108	http://www.npd.no/FactMapSearch?NPDID_wellbore=5108	NO
5109	2/4-B-12	2/4-B-12 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK B	2005-04-08	2005-05-18	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5109	http://www.npd.no/FactMapSearch?NPDID_wellbore=5109	NO
5110	6507/7-A-35	6507/7-A-35 E	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2005-04-04	2005-04-20	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5110	http://www.npd.no/FactMapSearch?NPDID_wellbore=5110	NO
5111	6407/7-A-9	6407/7-A-9 AH	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	2005-05-14	2005-06-06	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5111	http://www.npd.no/FactMapSearch?NPDID_wellbore=5111	NO
5112	2/7-D-7	2/7-D-7	EMBLA	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EMBLA	2005-07-01	2005-11-26	OIL	SUSP.AT TD	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5112	http://www.npd.no/FactMapSearch?NPDID_wellbore=5112	NO
5113	6507/7-A-27	6507/7-A-27	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2005-05-18	2005-07-20	WATER	INJECTING	173	INJECTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5113	http://www.npd.no/FactMapSearch?NPDID_wellbore=5113	NO
5114	2/4-M-24	2/4-M-24	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK M	2005-05-16	2005-06-16	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5114	http://www.npd.no/FactMapSearch?NPDID_wellbore=5114	NO
5115	7121/4-E-2	7121/4-E-2 H	SNØHVIT	099	DEVELOPMENT	Statoil ASA (old)	NO	POLAR PIONEER	SNØHVIT E	2005-07-08	2005-08-21	GAS	PRODUCING	90	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5115	http://www.npd.no/FactMapSearch?NPDID_wellbore=5115	NO
5116	7121/4-E-3	7121/4-E-3 H	SNØHVIT	099	DEVELOPMENT	Statoil ASA (old)	NO	POLAR PIONEER	SNØHVIT E	2005-06-23	2005-08-09	GAS	PRODUCING	90	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5116	http://www.npd.no/FactMapSearch?NPDID_wellbore=5116	NO
5117	7121/4-E-4	7121/4-E-4 H	SNØHVIT	099	DEVELOPMENT	Statoil ASA (old)	NO	POLAR PIONEER	SNØHVIT E	2005-06-01	2005-08-13	GAS	PRODUCING	90	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5117	http://www.npd.no/FactMapSearch?NPDID_wellbore=5117	NO
5118	7/12-A-5	7/12-A-5 B	ULA	019	DEVELOPMENT	BP Norge AS	NO	ULA DP	ULA PP	2005-05-17	2005-08-10	OIL	PRODUCING	50	PRODUCTION	69.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5118	http://www.npd.no/FactMapSearch?NPDID_wellbore=5118	NO
5119	15/12-A-3	15/12-A-3	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	VARG A	2005-05-14	2005-06-22	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5119	http://www.npd.no/FactMapSearch?NPDID_wellbore=5119	NO
5120	30/6-C-10	30/6-C-10 D	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2005-08-10	2005-11-06	OIL	PLUGGED	50	PRODUCTION	108.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5120	http://www.npd.no/FactMapSearch?NPDID_wellbore=5120	NO
5121	30/9-F-29	30/9-F-29 Y1	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	OSEBERG SØR	OSEBERG SØR	2005-07-10	2005-10-13	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5121	http://www.npd.no/FactMapSearch?NPDID_wellbore=5121	NO
5122	30/9-F-29	30/9-F-29 Y2	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	OSEBERG SØR	OSEBERG SØR	2005-10-15	2005-12-12	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5122	http://www.npd.no/FactMapSearch?NPDID_wellbore=5122	NO
5123	34/8-A-6	34/8-A-6 AH	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2005-05-14	2005-07-08	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5123	http://www.npd.no/FactMapSearch?NPDID_wellbore=5123	NO
5124	6506/11-P-1	6506/11-P-1 H	KRISTIN	134 B	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	KRISTIN P	2005-05-31	2005-08-20	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	370.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5124	http://www.npd.no/FactMapSearch?NPDID_wellbore=5124	NO
6699	34/6-U-4	34/6-U-4	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6699	\N	NO
5125	2/4-K-15	2/4-K-15 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2008-01-11	2009-08-20	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5125	http://www.npd.no/FactMapSearch?NPDID_wellbore=5125	NO
5126	2/4-K-27	2/4-K-27 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2008-04-30	2008-07-03	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5126	http://www.npd.no/FactMapSearch?NPDID_wellbore=5126	NO
5127	33/9-A-40	33/9-A-40 C	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2005-06-24	2005-11-03	NOT AVAILABLE	PLUGGED	71	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5127	http://www.npd.no/FactMapSearch?NPDID_wellbore=5127	NO
5128	2/8-G-18	2/8-G-18	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2005-07-25	2005-12-31	WATER	INJECTING	173	INJECTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5128	http://www.npd.no/FactMapSearch?NPDID_wellbore=5128	NO
5129	2/4-K-26	2/4-K-26 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2006-03-16	2006-09-05	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5129	http://www.npd.no/FactMapSearch?NPDID_wellbore=5129	NO
5130	31/3-S-21	31/3-S-21 H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA TRYM	TROLL S1	2005-06-05	2005-07-20	NOT APPLICABLE	PLUGGED	99	OBSERVATION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5130	http://www.npd.no/FactMapSearch?NPDID_wellbore=5130	NO
5131	15/9-A-19	15/9-A-19 A	GUNGNE	046	DEVELOPMENT	Statoil ASA (old)	NO	SLEIPNER A	SLEIPNER A	2005-06-14	2005-10-13	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5131	http://www.npd.no/FactMapSearch?NPDID_wellbore=5131	NO
5132	31/3-S-21	31/3-S-21 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA TRYM	TROLL S1	2005-09-03	2005-11-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5132	http://www.npd.no/FactMapSearch?NPDID_wellbore=5132	NO
5134	9/4-5	9/4-5	\N	315	EXPLORATION	ExxonMobil Exploration & Production Norway AS	NO	MÆRSK GALLANT	\N	2006-01-08	2006-08-01	DRY	P&A	1	WILDCAT	77.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5134	http://www.npd.no/FactMapSearch?NPDID_wellbore=5134	NO
5135	35/2-1	35/2-1	\N	318	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA TRYM	\N	2005-07-21	2005-08-28	GAS	SUSPENDED	9	WILDCAT	384.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5135	http://www.npd.no/FactMapSearch?NPDID_wellbore=5135	YES
5136	6608/10-D-3	6608/10-D-3 BY2H	NORNE	128	DEVELOPMENT	Statoil ASA (old)	YES	STENA DON	NORNE D	2005-08-12	2005-09-25	OIL	PRODUCING	50	PRODUCTION	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5136	http://www.npd.no/FactMapSearch?NPDID_wellbore=5136	NO
5137	6608/10-D-3	6608/10-D-3 BY1H	NORNE	128	DEVELOPMENT	Statoil ASA (old)	YES	STENA DON	NORNE D	2005-07-06	2005-10-07	OIL	PRODUCING	50	PRODUCTION	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5137	http://www.npd.no/FactMapSearch?NPDID_wellbore=5137	NO
5138	30/9-J-13	30/9-J-13 H	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	OSEBERG SØR J	2005-06-09	2005-07-15	NOT APPLICABLE	PLUGGED	99	OBSERVATION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5138	http://www.npd.no/FactMapSearch?NPDID_wellbore=5138	NO
5139	30/9-J-13	30/9-J-13 AH	OSEBERG SØR	104	DEVELOPMENT	StatoilHydro Petroleum AS	NO	BIDEFORD DOLPHIN	OSEBERG SØR J	2009-04-20	2009-05-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5139	http://www.npd.no/FactMapSearch?NPDID_wellbore=5139	NO
5140	34/10-49	34/10-49 S	GULLFAKS SØR	050	EXPLORATION	Statoil ASA (old)	NO	OCEAN VANGUARD	\N	2006-03-20	2006-05-01	OIL	P&A	5	WILDCAT	138.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5140	http://www.npd.no/FactMapSearch?NPDID_wellbore=5140	YES
5141	15/12-A-7	15/12-A-7	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	VARG A	2005-06-23	2005-07-28	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5141	http://www.npd.no/FactMapSearch?NPDID_wellbore=5141	NO
5142	24/9-U-1	24/9-U-1	\N	305	SHALLOW	Det Norske Oljeselskap AS	NO	BUCENTAUR	\N	2005-08-15	2005-08-15	\N	P&A	0	\N	122.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5142	\N	NO
5143	24/9-U-2	24/9-U-2	\N	305	SHALLOW	Det Norske Oljeselskap AS	NO	BUCENTAUR	\N	2005-08-16	2005-08-16	\N	P&A	0	\N	122.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5143	\N	NO
5144	2/1-A-7	2/1-A-7 A	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2005-08-05	2005-10-19	OIL	PRODUCING	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5144	http://www.npd.no/FactMapSearch?NPDID_wellbore=5144	NO
5145	2/4-B-13	2/4-B-13 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK B	2005-07-31	2005-08-25	NOT APPLICABLE	PLUGGED	99	OBSERVATION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5145	http://www.npd.no/FactMapSearch?NPDID_wellbore=5145	NO
5146	2/4-B-13	2/4-B-13 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK B	2005-08-26	2005-09-18	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5146	http://www.npd.no/FactMapSearch?NPDID_wellbore=5146	NO
5147	2/4-X-28	2/4-X-28	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2005-07-22	2005-08-23	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5147	http://www.npd.no/FactMapSearch?NPDID_wellbore=5147	NO
5148	2/11-S-5	2/11-S-5	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2005-06-21	2005-08-15	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5148	http://www.npd.no/FactMapSearch?NPDID_wellbore=5148	NO
5149	34/10-G-3	34/10-G-3 Y2H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	YES	BORGLAND DOLPHIN	GULLFAKS SØR G	2005-07-24	2005-08-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5149	http://www.npd.no/FactMapSearch?NPDID_wellbore=5149	NO
5150	34/10-G-3	34/10-G-3 Y3H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	YES	BORGLAND DOLPHIN	GULLFAKS SØR G	2005-08-19	2006-02-06	OIL	CLOSED	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5150	http://www.npd.no/FactMapSearch?NPDID_wellbore=5150	NO
5156	7/12-A-2	7/12-A-2 B	ULA	019	DEVELOPMENT	BP Norge AS	NO	ULA DP	ULA PP	2005-10-03	2005-12-14	OIL	PRODUCING	50	PRODUCTION	69.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5156	http://www.npd.no/FactMapSearch?NPDID_wellbore=5156	NO
5157	31/3-S-21	31/3-S-21 BY1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL S1	2005-11-07	2005-11-25	OIL	PRODUCING	50	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5157	http://www.npd.no/FactMapSearch?NPDID_wellbore=5157	NO
5158	31/3-S-21	31/3-S-21 BY2H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL S1	2005-11-26	2005-12-28	OIL	PRODUCING	50	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5158	http://www.npd.no/FactMapSearch?NPDID_wellbore=5158	NO
5159	31/3-S-21	31/3-S-21 BY3H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL S1	2006-01-01	2006-02-05	OIL	PRODUCING	50	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5159	http://www.npd.no/FactMapSearch?NPDID_wellbore=5159	NO
5161	34/7-P-29	34/7-P-29 A	SNORRE	089	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE A	SNORRE A	2008-02-07	2008-05-18	WATER/GAS	INJECTING	0	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5161	http://www.npd.no/FactMapSearch?NPDID_wellbore=5161	NO
5162	7122/7-U-1	7122/7-U-1	\N	229	SHALLOW	Eni Norge AS	NO	BUCENTAUR	\N	2005-08-20	2005-08-21	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5162	\N	NO
5163	7122/7-U-2	7122/7-U-2	\N	229	SHALLOW	Eni Norge AS	NO	BUCENTAUR	\N	2005-08-22	2005-08-23	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5163	\N	NO
5164	7122/7-U-3	7122/7-U-3	\N	229	SHALLOW	Eni Norge AS	NO	BUCENTAUR	\N	2005-08-24	2008-08-25	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5164	\N	NO
5165	31/2-L-23	31/2-L-23 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL L1	2005-09-22	2005-10-04	OIL	PRODUCING	50	PRODUCTION	329.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5165	http://www.npd.no/FactMapSearch?NPDID_wellbore=5165	NO
5166	31/2-L-23	31/2-L-23 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL L1	2005-10-05	2005-10-15	OIL	PRODUCING	50	PRODUCTION	329.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5166	http://www.npd.no/FactMapSearch?NPDID_wellbore=5166	NO
5167	31/2-L-23	31/2-L-23 Y4H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL L1	2005-10-16	2005-10-22	OIL	PRODUCING	50	PRODUCTION	329.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5167	http://www.npd.no/FactMapSearch?NPDID_wellbore=5167	NO
5168	31/2-L-23	31/2-L-23 Y5H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL L1	2005-10-23	2005-11-03	OIL	PRODUCING	50	PRODUCTION	329.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5168	http://www.npd.no/FactMapSearch?NPDID_wellbore=5168	NO
5169	31/2-L-23	31/2-L-23 Y6H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL L1	2005-11-04	2005-12-06	OIL	PRODUCING	50	PRODUCTION	329.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5169	http://www.npd.no/FactMapSearch?NPDID_wellbore=5169	NO
5170	34/4-K-1	34/4-K-1 H	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-K H	2005-09-14	2006-03-16	WATER/GAS	INJECTING	0	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5170	http://www.npd.no/FactMapSearch?NPDID_wellbore=5170	NO
5171	34/11-A-10	34/11-A-10	KVITEBJØRN	193	DEVELOPMENT	Statoil ASA (old)	NO	KVITEBJØRN	KVITEBJØRN	2005-07-31	2005-10-06	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5171	http://www.npd.no/FactMapSearch?NPDID_wellbore=5171	NO
5172	6608/10-E-2	6608/10-E-2 AH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE E	2005-07-28	2005-08-15	OIL	PLUGGED	50	PRODUCTION	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5172	http://www.npd.no/FactMapSearch?NPDID_wellbore=5172	NO
5173	9/3-2	9/3-2	\N	316	EXPLORATION	Paladin Resources Norge AS	NO	MÆRSK GIANT	\N	2005-10-23	2005-12-09	DRY	P&A	1	WILDCAT	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5173	http://www.npd.no/FactMapSearch?NPDID_wellbore=5173	NO
5174	15/9-22	15/9-22	\N	241	EXPLORATION	ExxonMobil Exploration & Production Norway AS	NO	OCEAN VANGUARD	\N	2006-01-01	2006-03-13	DRY	P&A	1	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5174	http://www.npd.no/FactMapSearch?NPDID_wellbore=5174	NO
5175	15/3-8	15/3-8	GUDRUN	025	EXPLORATION	Statoil ASA (old)	NO	TRANSOCEAN LEADER	\N	2005-11-03	2006-04-11	OIL/GAS	P&A	13	APPRAISAL	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5175	http://www.npd.no/FactMapSearch?NPDID_wellbore=5175	NO
5176	31/5-H-2	31/5-H-2 AH	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL H	2005-10-07	2005-10-16	NOT AVAILABLE	PLUGGED	99	OBSERVATION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5176	http://www.npd.no/FactMapSearch?NPDID_wellbore=5176	NO
5177	31/5-H-2	31/5-H-2 BY1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL H	2005-10-17	2005-10-28	OIL	SUSP.AT TD	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5177	http://www.npd.no/FactMapSearch?NPDID_wellbore=5177	NO
5178	31/5-H-2	31/5-H-2 BY2H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL H	2005-10-29	2005-11-04	OIL	SUSP.AT TD	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5178	http://www.npd.no/FactMapSearch?NPDID_wellbore=5178	NO
5179	31/5-H-2	31/5-H-2 BY3H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL H	2005-11-05	2005-11-27	OIL	SUSP.AT TD	50	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5179	http://www.npd.no/FactMapSearch?NPDID_wellbore=5179	NO
5180	2/4-B-4	2/4-B-4 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK B	2005-09-29	2005-11-11	OIL	PRODUCING	50	PRODUCTION	73.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5180	http://www.npd.no/FactMapSearch?NPDID_wellbore=5180	NO
5181	6506/12-Q-3	6506/12-Q-3 H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	ÅSGARD Q	2005-08-26	2005-10-16	NOT APPLICABLE	PLUGGED	99	OBSERVATION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5181	http://www.npd.no/FactMapSearch?NPDID_wellbore=5181	NO
6700	34/6-U-5	34/6-U-5	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6700	\N	NO
5182	6506/12-Q-3	6506/12-Q-3 AH	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	ÅSGARD Q	2005-10-17	2005-12-24	OIL	CLOSED	50	PRODUCTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5182	http://www.npd.no/FactMapSearch?NPDID_wellbore=5182	NO
5183	6406/1-4	6406/1-4	\N	256	EXPLORATION	Eni Norge AS	NO	OCEAN VANGUARD	\N	2005-08-16	2005-12-26	SHOWS	P&A	12	APPRAISAL	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5183	http://www.npd.no/FactMapSearch?NPDID_wellbore=5183	NO
5184	25/8-C-18	25/8-C-18 B	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2005-09-22	2005-10-18	WATER	INJECTING	173	INJECTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5184	http://www.npd.no/FactMapSearch?NPDID_wellbore=5184	NO
5185	25/11-G-8	25/11-G-8	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2005-09-10	2005-11-27	OIL	PRODUCING	50	PRODUCTION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5185	http://www.npd.no/FactMapSearch?NPDID_wellbore=5185	NO
5186	2/11-S-2	2/11-S-2	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2005-09-29	2005-11-03	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5186	http://www.npd.no/FactMapSearch?NPDID_wellbore=5186	NO
5187	30/6-C-8	30/6-C-8 A	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2006-02-01	2006-03-26	NOT AVAILABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5187	http://www.npd.no/FactMapSearch?NPDID_wellbore=5187	NO
5188	30/6-C-8	30/6-C-8 B	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2006-03-27	2006-04-11	NOT AVAILABLE	PLUGGED	71	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5188	http://www.npd.no/FactMapSearch?NPDID_wellbore=5188	NO
5189	30/6-C-8	30/6-C-8 C	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2006-04-12	2006-10-13	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5189	http://www.npd.no/FactMapSearch?NPDID_wellbore=5189	NO
5190	2/8-G-24	2/8-G-24	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2006-01-13	2006-03-10	WATER	INJECTING	173	INJECTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5190	http://www.npd.no/FactMapSearch?NPDID_wellbore=5190	NO
5191	6407/7-A-15	6407/7-A-15 BH	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	2005-10-15	2005-12-14	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5191	http://www.npd.no/FactMapSearch?NPDID_wellbore=5191	NO
5192	1/2-2	1/2-2	\N	143 CS	EXPLORATION	Paladin Resources Norge AS	NO	MÆRSK GIANT	\N	2005-12-14	2006-02-02	OIL SHOWS	P&A	12	WILDCAT	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5192	http://www.npd.no/FactMapSearch?NPDID_wellbore=5192	NO
5193	33/12-B-22	33/12-B-22 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2005-11-11	2006-01-27	OIL	PRODUCING	50	PRODUCTION	145.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5193	http://www.npd.no/FactMapSearch?NPDID_wellbore=5193	NO
5194	33/9-C-29	33/9-C-29 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2005-09-21	2005-11-19	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5194	http://www.npd.no/FactMapSearch?NPDID_wellbore=5194	NO
5195	6507/7-A-29	6507/7-A-29 AY2	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	YES	HEIDRUN	HEIDRUN	2005-11-01	2005-12-01	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5195	http://www.npd.no/FactMapSearch?NPDID_wellbore=5195	NO
5196	6305/8-A-2	6305/8-A-2 H	ORMEN LANGE	250	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE A	2006-02-04	2006-03-11	GAS	PLUGGED	99	OBSERVATION	850.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5196	http://www.npd.no/FactMapSearch?NPDID_wellbore=5196	NO
5197	6305/8-A-2	6305/8-A-2 AH	ORMEN LANGE	250	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE A	2006-03-12	2006-03-25	GAS	PRODUCING	90	PRODUCTION	850.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5197	http://www.npd.no/FactMapSearch?NPDID_wellbore=5197	NO
5198	2/7-A-30	2/7-A-30 A	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	1983-05-20	1992-07-22	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5198	http://www.npd.no/FactMapSearch?NPDID_wellbore=5198	NO
5199	15/12-A-5	15/12-A-5 A	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	VARG A	2005-09-25	2005-10-10	OIL	PRODUCING	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5199	http://www.npd.no/FactMapSearch?NPDID_wellbore=5199	NO
5200	2/4-X-4	2/4-X-4 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2006-07-03	2006-09-03	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5200	http://www.npd.no/FactMapSearch?NPDID_wellbore=5200	NO
5201	30/9-J-16	30/9-J-16 H	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	OSEBERG SØR J	2005-10-17	2006-02-01	WATER	INJECTING	173	INJECTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5201	http://www.npd.no/FactMapSearch?NPDID_wellbore=5201	NO
5202	2/8-G-13	2/8-G-13	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2006-07-14	2007-02-27	OIL	PRODUCING	50	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5202	http://www.npd.no/FactMapSearch?NPDID_wellbore=5202	NO
5203	34/11-A-6	34/11-A-6	KVITEBJØRN	193	DEVELOPMENT	Statoil ASA (old)	NO	KVITEBJØRN	KVITEBJØRN	2005-10-15	2006-01-12	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5203	http://www.npd.no/FactMapSearch?NPDID_wellbore=5203	NO
5204	30/3-A-19	30/3-A-19 B	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2005-12-11	2006-01-04	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5204	http://www.npd.no/FactMapSearch?NPDID_wellbore=5204	NO
5205	2/8-G-15	2/8-G-15	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2006-03-26	2006-06-23	NOT AVAILABLE	PLUGGED	71	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5205	http://www.npd.no/FactMapSearch?NPDID_wellbore=5205	NO
5206	2/7-A-20	2/7-A-20 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2006-04-10	2006-05-23	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5206	http://www.npd.no/FactMapSearch?NPDID_wellbore=5206	NO
5207	6305/8-A-3	6305/8-A-3 H	ORMEN LANGE	250	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE A	2006-03-26	2006-04-19	GAS	PRODUCING	90	PRODUCTION	850.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5207	http://www.npd.no/FactMapSearch?NPDID_wellbore=5207	NO
5208	6305/8-A-6	6305/8-A-6 H	ORMEN LANGE	250	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE A	2006-04-20	2007-03-23	GAS	PRODUCING	90	PRODUCTION	850.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5208	http://www.npd.no/FactMapSearch?NPDID_wellbore=5208	NO
5209	6305/8-A-7	6305/8-A-7 H	ORMEN LANGE	250	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE A	2006-07-11	2007-05-05	GAS	PRODUCING	90	PRODUCTION	850.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5209	http://www.npd.no/FactMapSearch?NPDID_wellbore=5209	NO
5210	6305/5-B-2	6305/5-B-2 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE B	2007-02-10	2007-02-27	GAS	PLUGGED	99	OBSERVATION	855.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5210	http://www.npd.no/FactMapSearch?NPDID_wellbore=5210	NO
5211	6305/5-B-3	6305/5-B-3 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE B	2008-07-17	2008-08-14	GAS	PRODUCING	90	PRODUCTION	855.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5211	http://www.npd.no/FactMapSearch?NPDID_wellbore=5211	NO
5212	6305/5-B-6	6305/5-B-6 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE B	2008-12-08	2009-03-12	GAS	PRODUCING	90	PRODUCTION	855.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5212	http://www.npd.no/FactMapSearch?NPDID_wellbore=5212	NO
5213	6305/5-B-7	6305/5-B-7 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	LEIV EIRIKSSON	ORMEN LANGE B	2008-11-08	2008-12-07	GAS	PRODUCING	90	PRODUCTION	855.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5213	http://www.npd.no/FactMapSearch?NPDID_wellbore=5213	NO
5214	7122/7-3	7122/7-3	GOLIAT	229	EXPLORATION	Eni Norge AS	NO	EIRIK RAUDE	\N	2005-10-24	2006-01-08	OIL/GAS	P&A	13	WILDCAT	343.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5214	http://www.npd.no/FactMapSearch?NPDID_wellbore=5214	YES
5216	7121/7-N-2	7121/7-N-2 H	SNØHVIT	100	DEVELOPMENT	Statoil ASA (old)	NO	POLAR PIONEER	SNØHVIT N	2006-01-20	2006-02-17	GAS	PRODUCING	90	PRODUCTION	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5216	http://www.npd.no/FactMapSearch?NPDID_wellbore=5216	NO
5217	7121/7-N-3	7121/7-N-3 H	SNØHVIT	100	DEVELOPMENT	Statoil ASA (old)	NO	POLAR PIONEER	SNØHVIT N	2005-12-04	2005-12-28	GAS	PRODUCING	90	PRODUCTION	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5217	http://www.npd.no/FactMapSearch?NPDID_wellbore=5217	NO
5218	7121/7-N-4	7121/7-N-4 H	SNØHVIT	100	DEVELOPMENT	Statoil ASA (old)	NO	POLAR PIONEER	SNØHVIT N	2005-12-30	2006-01-19	GAS	PRODUCING	90	PRODUCTION	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5218	http://www.npd.no/FactMapSearch?NPDID_wellbore=5218	NO
5219	25/8-C-5	25/8-C-5	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2005-10-21	2005-12-25	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5219	http://www.npd.no/FactMapSearch?NPDID_wellbore=5219	NO
5220	6608/10-B-1	6608/10-B-1 AH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	NORNE B	2005-11-06	2005-12-03	OIL	PLUGGED	99	OBSERVATION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5220	http://www.npd.no/FactMapSearch?NPDID_wellbore=5220	NO
5221	6608/10-B-1	6608/10-B-1 BH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	NORNE B	2005-12-04	2006-01-09	OIL	PRODUCING	50	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5221	http://www.npd.no/FactMapSearch?NPDID_wellbore=5221	NO
5222	34/7-D-4	34/7-D-4 AH	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	OCEAN VANGUARD	VIGDIS D	2005-07-21	2006-03-25	OIL	SUSP.AT TD	50	PRODUCTION	251.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5222	http://www.npd.no/FactMapSearch?NPDID_wellbore=5222	NO
5223	34/10-C-47	34/10-C-47	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2005-11-28	2006-05-02	OIL	PRODUCING	50	PRODUCTION	217.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5223	http://www.npd.no/FactMapSearch?NPDID_wellbore=5223	NO
5224	6406/2-R-4	6406/2-R-4 BH	KRISTIN	199	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	KRISTIN R	2005-11-27	2006-02-23	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5224	http://www.npd.no/FactMapSearch?NPDID_wellbore=5224	NO
5225	30/9-F-27	30/9-F-27	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2005-12-13	2006-03-20	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5225	http://www.npd.no/FactMapSearch?NPDID_wellbore=5225	NO
5226	2/11-S-1	2/11-S-1	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2004-08-30	2004-08-31	NOT APPLICABLE	PLUGGED	99	OBSERVATION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5226	http://www.npd.no/FactMapSearch?NPDID_wellbore=5226	NO
5227	2/11-S-1	2/11-S-1 A	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2005-11-04	2005-12-09	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5227	http://www.npd.no/FactMapSearch?NPDID_wellbore=5227	NO
5229	2/4-M-2	2/4-M-2	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-07-04	2006-08-08	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5229	http://www.npd.no/FactMapSearch?NPDID_wellbore=5229	NO
5230	2/4-M-4	2/4-M-4	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-10-23	2006-11-16	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5230	http://www.npd.no/FactMapSearch?NPDID_wellbore=5230	NO
5231	2/4-M-7	2/4-M-7	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-01-22	2006-03-02	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5231	http://www.npd.no/FactMapSearch?NPDID_wellbore=5231	NO
5232	2/4-M-10	2/4-M-10	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-05-20	2006-06-04	OIL	PLUGGED	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5232	http://www.npd.no/FactMapSearch?NPDID_wellbore=5232	NO
5233	2/4-M-13	2/4-M-13	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-09-27	2006-10-19	OIL	PLUGGED	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5233	http://www.npd.no/FactMapSearch?NPDID_wellbore=5233	NO
5234	2/4-M-16	2/4-M-16	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-03-03	2006-04-03	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5234	http://www.npd.no/FactMapSearch?NPDID_wellbore=5234	NO
5235	2/4-M-20	2/4-M-20	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-04-06	2006-05-20	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5235	http://www.npd.no/FactMapSearch?NPDID_wellbore=5235	NO
5236	2/4-M-27	2/4-M-27	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-08-12	2006-09-07	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5236	http://www.npd.no/FactMapSearch?NPDID_wellbore=5236	NO
5237	2/4-M-30	2/4-M-30	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2007-07-29	2007-09-10	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5237	http://www.npd.no/FactMapSearch?NPDID_wellbore=5237	NO
5238	6608/10-J-2	6608/10-J-2 H	URD	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE J	2005-11-02	2005-12-22	OIL	PRODUCING	50	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5238	http://www.npd.no/FactMapSearch?NPDID_wellbore=5238	NO
5239	2/4-M-21	2/4-M-21	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2005-12-30	2006-01-18	CUTTINGS	INJECTING	171	INJECTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5239	http://www.npd.no/FactMapSearch?NPDID_wellbore=5239	NO
5240	25/11-G-10	25/11-G-10 Y1	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2005-11-29	2006-01-11	OIL	PRODUCING	50	PRODUCTION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5240	http://www.npd.no/FactMapSearch?NPDID_wellbore=5240	NO
5241	25/11-G-10	25/11-G-10 Y2	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2006-01-12	2006-02-20	OIL	PRODUCING	50	PRODUCTION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5241	http://www.npd.no/FactMapSearch?NPDID_wellbore=5241	NO
5242	2/7-B-19	2/7-B-19 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK B	ELDFISK B	2006-01-31	2006-04-08	OIL	PRODUCING	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5242	http://www.npd.no/FactMapSearch?NPDID_wellbore=5242	NO
5243	31/2-N-11	31/2-N-11 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL N1	2005-12-25	2006-02-03	OIL/GAS	PLUGGED	99	OBSERVATION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5243	http://www.npd.no/FactMapSearch?NPDID_wellbore=5243	NO
5244	33/9-C-6	33/9-C-6 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2005-12-22	2006-01-16	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5244	http://www.npd.no/FactMapSearch?NPDID_wellbore=5244	NO
5245	25/8-C-14	25/8-C-14 B	RINGHORNE ØST	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2006-02-13	2006-03-05	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5245	http://www.npd.no/FactMapSearch?NPDID_wellbore=5245	NO
5246	2/11-S-4	2/11-S-4 Y1	VALHALL	033 B	DEVELOPMENT	BP Norge AS	YES	WEST EPSILON	VALHALL FLANKE SØR	2005-12-12	2006-01-17	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5246	http://www.npd.no/FactMapSearch?NPDID_wellbore=5246	NO
5247	2/11-S-4	2/11-S-4 Y2	VALHALL	033 B	DEVELOPMENT	BP Norge AS	YES	WEST EPSILON	VALHALL FLANKE SØR	2006-01-18	2006-02-22	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5247	http://www.npd.no/FactMapSearch?NPDID_wellbore=5247	NO
5248	34/11-5	34/11-5 S	VALEMON	193	EXPLORATION	Statoil ASA (old)	NO	KVITEBJØRN	\N	2006-01-31	2006-06-14	GAS/CONDENSATE	SUSP.REENTERED LATER	17	APPRAISAL	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5248	http://www.npd.no/FactMapSearch?NPDID_wellbore=5248	NO
5249	31/2-O-13	31/2-O-13 BY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL O1	2006-01-05	2006-03-01	OIL	PRODUCING	50	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5249	http://www.npd.no/FactMapSearch?NPDID_wellbore=5249	NO
5250	31/2-O-13	31/2-O-13 BY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL O1	2006-03-02	2006-04-05	OIL	PRODUCING	50	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5250	http://www.npd.no/FactMapSearch?NPDID_wellbore=5250	NO
5251	33/12-N-1	33/12-N-1 H	GULLFAKS SØR	037 B	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	GULLFAKS C	2007-08-21	2007-11-13	OIL	CLOSED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5251	http://www.npd.no/FactMapSearch?NPDID_wellbore=5251	NO
5253	33/12-N-2	33/12-N-2 H	GULLFAKS SØR	037 B	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	GULLFAKS C	2007-06-28	2007-08-20	OIL	CLOSED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5253	http://www.npd.no/FactMapSearch?NPDID_wellbore=5253	NO
5254	33/12-N-3	33/12-N-3 H	GULLFAKS SØR	037 B	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN LEADER	GULLFAKS C	2006-05-13	2006-06-08	OIL	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5254	http://www.npd.no/FactMapSearch?NPDID_wellbore=5254	NO
5255	33/12-N-4	33/12-N-4 H	GULLFAKS SØR	037 B	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	GULLFAKS C	2007-05-11	2007-06-27	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5255	http://www.npd.no/FactMapSearch?NPDID_wellbore=5255	NO
5256	33/12-B-20	33/12-B-20 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2006-02-19	2006-03-20	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5256	http://www.npd.no/FactMapSearch?NPDID_wellbore=5256	NO
5257	7/12-A-9	7/12-A-9 A	ULA	019	DEVELOPMENT	BP Norge AS	NO	ULA DP	ULA PP	2006-01-13	2006-08-30	\N	PLUGGED	99	OBSERVATION	69.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5257	http://www.npd.no/FactMapSearch?NPDID_wellbore=5257	NO
5258	6407/7-A-9	6407/7-A-9 BH	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	2006-01-27	2006-03-23	GAS	INJECTING	91	INJECTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5258	http://www.npd.no/FactMapSearch?NPDID_wellbore=5258	NO
5259	6507/7-A-15	6507/7-A-15	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2006-01-26	2006-02-25	NOT APPLICABLE	PLUGGED	99	OBSERVATION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5259	http://www.npd.no/FactMapSearch?NPDID_wellbore=5259	NO
5260	6507/7-A-15	6507/7-A-15 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2006-02-26	2006-04-10	WATER/GAS	INJECTING	0	INJECTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5260	http://www.npd.no/FactMapSearch?NPDID_wellbore=5260	NO
5261	30/3-A-17	30/3-A-17 B	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2006-01-15	2006-03-01	WATER/GAS	INJECTING	0	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5261	http://www.npd.no/FactMapSearch?NPDID_wellbore=5261	NO
5262	6608/10-J-1	6608/10-J-1 H	URD	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE J	2006-02-13	2006-03-24	WATER	INJECTING	173	INJECTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5262	http://www.npd.no/FactMapSearch?NPDID_wellbore=5262	NO
5263	6608/10-J-3	6608/10-J-3 H	URD	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE J	2005-12-22	2006-02-03	NOT AVAILABLE	PLUGGED	99	OBSERVATION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5263	http://www.npd.no/FactMapSearch?NPDID_wellbore=5263	NO
5264	31/2-X-23	31/2-X-23 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL T2	2006-02-13	2006-04-30	OIL	PRODUCING	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5264	http://www.npd.no/FactMapSearch?NPDID_wellbore=5264	NO
5265	31/2-X-23	31/2-X-23 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL T2	2006-05-01	2006-05-21	OIL	PRODUCING	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5265	http://www.npd.no/FactMapSearch?NPDID_wellbore=5265	NO
5266	31/2-X-23	31/2-X-23 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL T2	2006-05-22	2006-06-06	OIL	PRODUCING	50	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5266	http://www.npd.no/FactMapSearch?NPDID_wellbore=5266	NO
5267	31/2-X-23	31/2-X-23 Y4H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL T2	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5267	http://www.npd.no/FactMapSearch?NPDID_wellbore=5267	NO
5269	25/4-E-1	25/4-E-1 H	VILJE	036	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	ALVHEIM FPSO	2007-06-21	2007-07-20	NOT APPLICABLE	PLUGGED	99	OBSERVATION	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5269	http://www.npd.no/FactMapSearch?NPDID_wellbore=5269	NO
5270	6608/10-J-3	6608/10-J-3 AH	URD	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE J	2006-02-04	2006-04-22	OIL	PRODUCING	50	PRODUCTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5270	http://www.npd.no/FactMapSearch?NPDID_wellbore=5270	NO
5271	15/12-16	15/12-16 S	REV	038	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GIANT	\N	2006-02-06	2006-03-31	GAS/CONDENSATE	P&A	17	APPRAISAL	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5271	http://www.npd.no/FactMapSearch?NPDID_wellbore=5271	NO
5272	30/9-J-11	30/9-J-11 H	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	OSEBERG SØR J	2006-06-29	2006-09-19	NOT AVAILABLE	PLUGGED	71	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5272	http://www.npd.no/FactMapSearch?NPDID_wellbore=5272	NO
5273	25/4-D-1	25/4-D-1 H	VILJE	036	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	ALVHEIM FPSO	2007-05-16	2007-06-05	NOT AVAILABLE	PLUGGED	71	PRODUCTION	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5273	http://www.npd.no/FactMapSearch?NPDID_wellbore=5273	NO
5274	6506/11-N-3	6506/11-N-3 AH	KRISTIN	134 B	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	KRISTIN N	2007-09-28	2007-10-22	NOT AVAILABLE	PLUGGED	71	PRODUCTION	367.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5274	http://www.npd.no/FactMapSearch?NPDID_wellbore=5274	NO
5275	30/6-G-43	30/6-G-43 Y1H	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA DELTA	OSEBERG VESTFLANKE	2006-02-06	2006-04-17	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5275	http://www.npd.no/FactMapSearch?NPDID_wellbore=5275	NO
5276	30/6-G-43	30/6-G-43 Y2H	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA DELTA	OSEBERG VESTFLANKE	2006-04-18	2006-06-30	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5276	http://www.npd.no/FactMapSearch?NPDID_wellbore=5276	NO
5277	25/11-G-35	25/11-G-35	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2006-02-21	2006-03-15	NOT APPLICABLE	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5277	http://www.npd.no/FactMapSearch?NPDID_wellbore=5277	NO
5278	25/11-G-35	25/11-G-35 A	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2006-03-16	2006-04-13	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5278	http://www.npd.no/FactMapSearch?NPDID_wellbore=5278	NO
5279	34/4-D-6	34/4-D-6 H	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-D H	2006-03-19	2006-06-15	OIL	SUSP.AT TD	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5279	http://www.npd.no/FactMapSearch?NPDID_wellbore=5279	NO
5280	33/9-C-40	33/9-C-40 C	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2007-06-27	2007-07-30	OIL/GAS	PRODUCING	0	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5280	http://www.npd.no/FactMapSearch?NPDID_wellbore=5280	NO
5281	7/12-A-9	7/12-A-9 B	ULA	019	DEVELOPMENT	BP Norge AS	NO	ULA DP	ULA PP	9999-12-31	9999-12-31	\N	\N	0	INJECTION	69.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5281	http://www.npd.no/FactMapSearch?NPDID_wellbore=5281	NO
5282	34/10-49	34/10-49 A	\N	050	EXPLORATION	Statoil ASA (old)	NO	OCEAN VANGUARD	\N	2006-05-21	2006-06-02	DRY	P&A	1	WILDCAT	138.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5282	http://www.npd.no/FactMapSearch?NPDID_wellbore=5282	NO
5283	2/11-S-8	2/11-S-8 Y1	VALHALL	033 B	DEVELOPMENT	BP Norge AS	YES	WEST EPSILON	VALHALL FLANKE SØR	2006-03-07	2006-04-06	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5283	http://www.npd.no/FactMapSearch?NPDID_wellbore=5283	NO
5284	2/11-S-8	2/11-S-8 Y2	VALHALL	033 B	DEVELOPMENT	BP Norge AS	YES	WEST EPSILON	VALHALL FLANKE SØR	2006-04-07	2006-04-22	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5284	http://www.npd.no/FactMapSearch?NPDID_wellbore=5284	NO
5285	35/11-B-21	35/11-B-21 H	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	FRAM B2	2006-03-27	2006-05-21	OIL	PLUGGED	99	OBSERVATION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5285	http://www.npd.no/FactMapSearch?NPDID_wellbore=5285	NO
5286	35/11-B-21	35/11-B-21 AH	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	FRAM B2	2006-05-22	2006-06-21	OIL	PRODUCING	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5286	http://www.npd.no/FactMapSearch?NPDID_wellbore=5286	NO
5287	7227/11-1	7227/11-1 A	\N	202	EXPLORATION	Statoil ASA (old)	NO	EIRIK RAUDE	\N	2006-02-24	2006-03-24	SHOWS	P&A	12	WILDCAT	236.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5287	http://www.npd.no/FactMapSearch?NPDID_wellbore=5287	NO
5288	6507/8-E-4	6507/8-E-4 AH	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	HEIDRUN E	2006-04-01	2006-05-20	OIL	PRODUCING	50	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5288	http://www.npd.no/FactMapSearch?NPDID_wellbore=5288	NO
5289	34/8-A-4	34/8-A-4 BH	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2006-04-10	2006-10-15	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5289	http://www.npd.no/FactMapSearch?NPDID_wellbore=5289	NO
5290	30/9-B-19	30/9-B-19 A	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2006-04-02	2006-12-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5290	http://www.npd.no/FactMapSearch?NPDID_wellbore=5290	NO
5291	30/9-B-19	30/9-B-19 B	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2006-12-05	2007-03-10	GAS	INJECTING	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5291	http://www.npd.no/FactMapSearch?NPDID_wellbore=5291	NO
5292	25/11-G-39	25/11-G-39	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2006-04-29	2006-06-08	NOT AVAILABLE	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5292	http://www.npd.no/FactMapSearch?NPDID_wellbore=5292	NO
5293	25/11-G-39	25/11-G-39 AY1	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2006-06-13	2007-06-15	NOT AVAILABLE	PLUGGED	71	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5293	http://www.npd.no/FactMapSearch?NPDID_wellbore=5293	NO
5295	6506/11-8	6506/11-8	MORVIN	134 B	EXPLORATION	Statoil ASA (old)	NO	WEST ALPHA	\N	2006-03-24	2006-07-16	OIL	P&A	5	APPRAISAL	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5295	http://www.npd.no/FactMapSearch?NPDID_wellbore=5295	NO
5296	6403/6-1	6403/6-1	\N	322	EXPLORATION	Statoil ASA (old)	NO	EIRIK RAUDE	\N	2006-04-10	2006-07-23	DRY	P&A	1	WILDCAT	1721.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5296	http://www.npd.no/FactMapSearch?NPDID_wellbore=5296	NO
5297	2/4-E-18	2/4-E-18	TOR	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	TOR	2006-08-16	2006-09-28	NOT APPLICABLE	PLUGGED	99	OBSERVATION	67.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5297	http://www.npd.no/FactMapSearch?NPDID_wellbore=5297	NO
5298	2/4-E-18	2/4-E-18 A	TOR	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	TOR	2006-09-29	2006-10-24	OIL	SUSP.AT TD	50	PRODUCTION	67.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5298	http://www.npd.no/FactMapSearch?NPDID_wellbore=5298	NO
5299	7830/6-U-1	7830/6-U-1	\N	\N	SHALLOW	SINTEF Petroleumsforskning AS	NO	BUCENTAUR	\N	2005-09-16	2005-09-19	\N	P&A	0	\N	195.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5299	\N	NO
5300	7831/2-U-1	7831/2-U-1	\N	\N	SHALLOW	SINTEF Petroleumsforskning AS	NO	BUCENTAUR	\N	2005-09-19	2005-09-21	\N	P&A	0	\N	132.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5300	\N	NO
5301	7831/2-U-2	7831/2-U-2	\N	\N	SHALLOW	SINTEF Petroleumsforskning AS	NO	BUCENTAUR	\N	2005-09-22	2005-09-29	\N	P&A	0	\N	130.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5301	\N	NO
5302	7830/5-U-1	7830/5-U-1	\N	\N	SHALLOW	SINTEF Petroleumsforskning AS	NO	BUCENTAUR	\N	2005-09-22	2005-09-23	\N	P&A	0	\N	252.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5302	\N	NO
5303	7830/3-U-1	7830/3-U-1	\N	\N	SHALLOW	SINTEF Petroleumsforskning AS	NO	BUCENTAUR	\N	2005-09-29	2005-10-05	\N	P&A	0	\N	209.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5303	\N	NO
5304	7/8-5	7/8-5 S	\N	301	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GIANT	\N	2006-04-18	2006-06-03	DRY	P&A	1	APPRAISAL	81.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5304	http://www.npd.no/FactMapSearch?NPDID_wellbore=5304	NO
5305	6507/7-A-11	6507/7-A-11	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2006-04-20	2006-06-13	NOT AVAILABLE	PLUGGED	99	OBSERVATION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5305	http://www.npd.no/FactMapSearch?NPDID_wellbore=5305	NO
5306	6507/7-A-11	6507/7-A-11 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2006-06-14	2006-06-27	NOT AVAILABLE	PLUGGED	99	OBSERVATION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5306	http://www.npd.no/FactMapSearch?NPDID_wellbore=5306	NO
5307	6507/3-5	6507/3-5 S	ALVE	159 B	EXPLORATION	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2008-02-28	2008-05-08	GAS/CONDENSATE	P&A	17	WILDCAT	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5307	http://www.npd.no/FactMapSearch?NPDID_wellbore=5307	YES
5308	25/8-C-17	25/8-C-17	RINGHORNE ØST	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2006-04-10	2006-05-26	OIL	PRODUCING	50	PRODUCTION	128.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5308	http://www.npd.no/FactMapSearch?NPDID_wellbore=5308	NO
5309	33/12-B-42	33/12-B-42 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2006-07-01	2007-01-25	OIL/GAS	PRODUCING	0	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5309	http://www.npd.no/FactMapSearch?NPDID_wellbore=5309	NO
5310	25/4-K-1	25/4-K-1 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	ALVHEIM FPSO	2006-06-28	2006-11-05	OIL	PRODUCING	50	PRODUCTION	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5310	http://www.npd.no/FactMapSearch?NPDID_wellbore=5310	NO
5311	25/4-K-2	25/4-K-2 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	ALVHEIM FPSO	2006-06-24	2006-08-14	OIL	SUSP.AT TD	50	PRODUCTION	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5311	http://www.npd.no/FactMapSearch?NPDID_wellbore=5311	NO
5312	25/4-K-3	25/4-K-3 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	ALVHEIM FPSO	2006-05-10	2006-06-13	OIL	PLUGGED	99	OBSERVATION	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5312	http://www.npd.no/FactMapSearch?NPDID_wellbore=5312	NO
5313	25/4-K-3	25/4-K-3 AH	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	ALVHEIM FPSO	2006-06-14	2006-08-05	OIL	PRODUCING	50	PRODUCTION	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5313	http://www.npd.no/FactMapSearch?NPDID_wellbore=5313	NO
5314	2/7-A-30	2/7-A-30 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2006-09-16	2007-03-01	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5314	http://www.npd.no/FactMapSearch?NPDID_wellbore=5314	NO
5316	6608/11-5	6608/11-5	\N	128	EXPLORATION	Statoil ASA (old)	NO	OCEAN VANGUARD	\N	2006-06-18	2006-07-14	SHOWS	P&A	12	WILDCAT	342.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5316	http://www.npd.no/FactMapSearch?NPDID_wellbore=5316	NO
5317	6506/12-Q-1	6506/12-Q-1 H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	ÅSGARD Q	2006-05-27	2006-07-16	OIL	PLUGGED	99	OBSERVATION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5317	http://www.npd.no/FactMapSearch?NPDID_wellbore=5317	NO
5318	6506/12-Q-1	6506/12-Q-1 AY1H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	YES	TRANSOCEAN SEARCHER	ÅSGARD Q	2006-07-17	2006-08-13	OIL	PRODUCING	50	PRODUCTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5318	http://www.npd.no/FactMapSearch?NPDID_wellbore=5318	NO
5319	6506/12-Q-1	6506/12-Q-1 AY2H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	YES	TRANSOCEAN SEARCHER	ÅSGARD Q	2006-08-15	2006-10-03	OIL	PRODUCING	50	PRODUCTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5319	http://www.npd.no/FactMapSearch?NPDID_wellbore=5319	NO
5320	31/2-L-13	31/2-L-13 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL L1	2006-05-18	2006-06-23	OIL	PRODUCING	50	PRODUCTION	326.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5320	http://www.npd.no/FactMapSearch?NPDID_wellbore=5320	NO
5321	31/2-L-13	31/2-L-13 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	STENA DEE	TROLL L1	2006-06-24	2006-07-09	OIL	PRODUCING	50	PRODUCTION	326.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5321	http://www.npd.no/FactMapSearch?NPDID_wellbore=5321	NO
5322	31/2-L-13	31/2-L-13 AY3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	SONGA DEE	TROLL L1	2006-08-24	2006-09-29	OIL	PRODUCING	50	PRODUCTION	326.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5322	http://www.npd.no/FactMapSearch?NPDID_wellbore=5322	NO
5323	30/3-A-5	30/3-A-5 B	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2006-05-06	2006-06-21	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5323	http://www.npd.no/FactMapSearch?NPDID_wellbore=5323	NO
5324	2/1-A-32	2/1-A-32 A	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2006-10-01	2007-01-31	OIL	PLUGGED	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5324	http://www.npd.no/FactMapSearch?NPDID_wellbore=5324	NO
5325	34/10-E-4	34/10-E-4 BH	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	GULLFAKS SØR E	2006-04-23	2006-05-26	GAS	PLUGGED	91	INJECTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5325	http://www.npd.no/FactMapSearch?NPDID_wellbore=5325	NO
5326	6507/8-D-5	6507/8-D-5 H	HEIDRUN	124	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	HEIDRUN D	2006-06-01	2007-03-04	OIL	PRODUCING	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5326	http://www.npd.no/FactMapSearch?NPDID_wellbore=5326	NO
5327	7122/6-2	7122/6-2	\N	110 B	EXPLORATION	Statoil ASA (old)	NO	POLAR PIONEER	\N	2006-08-10	2006-09-19	GAS	P&A	9	APPRAISAL	408.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5327	http://www.npd.no/FactMapSearch?NPDID_wellbore=5327	NO
5328	34/10-49	34/10-49 B	GULLFAKS SØR	050	EXPLORATION	Statoil ASA (old)	NO	OCEAN VANGUARD	\N	2006-05-01	2006-06-12	OIL	P&A	5	APPRAISAL	138.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5328	http://www.npd.no/FactMapSearch?NPDID_wellbore=5328	NO
5329	6407/7-A-5	6407/7-A-5 BH	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	NJORD A	NJORD A	2006-06-18	2006-08-13	WATER	PLUGGED	173	INJECTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5329	http://www.npd.no/FactMapSearch?NPDID_wellbore=5329	NO
5330	2/8-N-3	2/8-N-3	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2006-05-05	2006-05-11	OIL	PLUGGED	99	OBSERVATION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5330	http://www.npd.no/FactMapSearch?NPDID_wellbore=5330	NO
5331	2/8-N-3	2/8-N-3 AY1	VALHALL	006 B	DEVELOPMENT	BP Norge AS	YES	WEST EPSILON	VALHALL FLANKE NORD	2006-05-24	2006-09-13	OIL	SUSP.AT TD	50	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5331	http://www.npd.no/FactMapSearch?NPDID_wellbore=5331	NO
5333	30/9-F-31	30/9-F-31	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2006-06-13	2007-02-08	WATER	INJECTING	173	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5333	http://www.npd.no/FactMapSearch?NPDID_wellbore=5333	NO
5334	33/12-N-3	33/12-N-3 AH	GULLFAKS SØR	037 B	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN LEADER	GULLFAKS C	2006-06-09	2007-01-20	OIL	CLOSED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5334	http://www.npd.no/FactMapSearch?NPDID_wellbore=5334	NO
5335	31/5-4	31/5-4 AR2	TROLL	085	EXPLORATION	Statoil ASA (old)	NO	BIDEFORD DOLPHIN	\N	2003-08-24	2003-09-05	OIL/GAS	P&A	13	APPRAISAL	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5335	http://www.npd.no/FactMapSearch?NPDID_wellbore=5335	NO
5336	31/2-M-24	31/2-M-24 Y1H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	DEEPSEA TRYM	TROLL M1	2006-07-31	2009-07-22	OIL	SUSP.AT TD	50	PRODUCTION	353.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5336	http://www.npd.no/FactMapSearch?NPDID_wellbore=5336	NO
5337	31/2-M-24	31/2-M-24 Y2H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	SONGA TRYM	TROLL M1	2009-07-23	2009-08-05	OIL	SUSP.AT TD	50	PRODUCTION	353.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5337	http://www.npd.no/FactMapSearch?NPDID_wellbore=5337	NO
5338	31/2-M-24	31/2-M-24 Y3H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	SONGA TRYM	TROLL M1	2009-08-05	2009-08-24	OIL	SUSP.AT TD	50	PRODUCTION	353.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5338	http://www.npd.no/FactMapSearch?NPDID_wellbore=5338	NO
5339	31/2-M-24	31/2-M-24 Y4H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	SONGA TRYM	TROLL M1	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	353.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5339	http://www.npd.no/FactMapSearch?NPDID_wellbore=5339	NO
5340	6608/10-G-2	6608/10-G-2 H	URD	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE G	2006-06-06	2006-07-10	OIL	PRODUCING	50	PRODUCTION	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5340	http://www.npd.no/FactMapSearch?NPDID_wellbore=5340	NO
5341	7120/8-U-4	7120/8-U-4	\N	064	SHALLOW	Statoil ASA (old)	NO	POLAR PIONEER	\N	2007-11-15	2007-11-15	\N	P&A	0	\N	275.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5341	\N	NO
5342	34/11-A-2	34/11-A-2	KVITEBJØRN	193	DEVELOPMENT	Statoil ASA (old)	NO	KVITEBJØRN	KVITEBJØRN	2006-07-09	2006-10-24	NOT AVAILABLE	PLUGGED	71	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5342	http://www.npd.no/FactMapSearch?NPDID_wellbore=5342	NO
5343	2/8-N-6	2/8-N-6	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2006-06-18	2006-09-24	OIL	PRODUCING	50	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5343	http://www.npd.no/FactMapSearch?NPDID_wellbore=5343	NO
5344	2/8-N-8	2/8-N-8	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5344	http://www.npd.no/FactMapSearch?NPDID_wellbore=5344	NO
5345	2/8-G-6	2/8-G-6	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2008-05-05	2008-07-18	OIL	PRODUCING	50	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5345	http://www.npd.no/FactMapSearch?NPDID_wellbore=5345	NO
5346	2/8-G-7	2/8-G-7	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2008-07-23	2009-01-26	OIL	PRODUCING	50	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5346	http://www.npd.no/FactMapSearch?NPDID_wellbore=5346	NO
5347	2/8-G-8	2/8-G-8	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2006-08-01	2006-08-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5347	http://www.npd.no/FactMapSearch?NPDID_wellbore=5347	NO
5348	2/8-G-12	2/8-G-12	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2009-10-13	2009-11-30	WATER	SUSP.AT TD	173	INJECTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5348	http://www.npd.no/FactMapSearch?NPDID_wellbore=5348	NO
5349	2/8-G-14	2/8-G-14	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2007-12-03	2008-03-13	WATER	SUSP.AT TD	173	INJECTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5349	http://www.npd.no/FactMapSearch?NPDID_wellbore=5349	NO
5350	2/8-G-16	2/8-G-16	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2009-02-01	2009-03-24	NOT AVAILABLE	PLUGGED	71	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5350	http://www.npd.no/FactMapSearch?NPDID_wellbore=5350	NO
5351	15/9-F-14	15/9-F-14	VOLVE	046 BS	DEVELOPMENT	StatoilHydro ASA	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2008-05-10	2008-07-03	OIL	PRODUCING	50	PRODUCTION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5351	http://www.npd.no/FactMapSearch?NPDID_wellbore=5351	NO
5352	2/8-G-22	2/8-G-22	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2007-10-06	2007-11-04	WATER	INJECTING	173	INJECTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5352	http://www.npd.no/FactMapSearch?NPDID_wellbore=5352	NO
5353	2/8-G-23	2/8-G-23	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2013-02-27	9999-12-31	\N	\N	0	INJECTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5353	http://www.npd.no/FactMapSearch?NPDID_wellbore=5353	NO
5359	6406/6-2	6406/6-2	\N	255	EXPLORATION	A/S Norske Shell	NO	WEST ALPHA	\N	2006-09-23	2007-01-31	DRY	P&A	1	WILDCAT	253.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5359	http://www.npd.no/FactMapSearch?NPDID_wellbore=5359	NO
5360	15/12-A-9	15/12-A-9 A	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	VARG A	2006-08-11	2006-08-29	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5360	http://www.npd.no/FactMapSearch?NPDID_wellbore=5360	NO
5361	6507/7-A-11	6507/7-A-11 B	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2006-06-28	2006-09-30	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5361	http://www.npd.no/FactMapSearch?NPDID_wellbore=5361	NO
5362	34/10-E-1	34/10-E-1 Y1H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	YES	TRANSOCEAN LEADER	GULLFAKS SØR E	2006-07-04	2006-08-21	GAS	CLOSED	91	INJECTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5362	http://www.npd.no/FactMapSearch?NPDID_wellbore=5362	NO
5363	34/10-E-1	34/10-E-1 Y2H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	YES	TRANSOCEAN LEADER	GULLFAKS SØR E	2006-08-22	2006-09-02	GAS	PLUGGED	91	INJECTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5363	http://www.npd.no/FactMapSearch?NPDID_wellbore=5363	NO
5364	33/9-A-16	33/9-A-16 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2006-07-11	2006-10-21	OIL	PRODUCING	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5364	http://www.npd.no/FactMapSearch?NPDID_wellbore=5364	NO
5365	35/11-14	35/11-14 S	\N	090 B	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN WINNER	\N	2006-08-23	2006-12-07	OIL/GAS	P&A	13	APPRAISAL	361.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5365	http://www.npd.no/FactMapSearch?NPDID_wellbore=5365	NO
5366	34/4-C-7	34/4-C-7 AH	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-C H	2007-08-13	2007-10-06	OIL	PRODUCING	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5366	http://www.npd.no/FactMapSearch?NPDID_wellbore=5366	NO
5367	6504/4-U-1	6504/4-U-1	\N	324	SHALLOW	Eni Norge AS	NO	FUGRO EXPLORER	\N	2006-06-23	2006-06-23	\N	P&A	0	\N	1215.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5367	\N	NO
5368	6504/4-U-2	6504/4-U-2	\N	324	SHALLOW	Eni Norge AS	NO	FUGRO EXPLORER	\N	2006-06-24	2006-06-24	\N	P&A	0	\N	1168.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5368	\N	NO
5369	6504/5-U-1	6504/5-U-1	\N	324	SHALLOW	Eni Norge AS	NO	FUGRO EXPLORER	\N	2006-06-22	2006-06-22	\N	P&A	0	\N	1168.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5369	\N	NO
5370	6504/5-U-2	6504/5-U-2	\N	324	SHALLOW	Eni Norge AS	NO	FUGRO EXPLORER	\N	2006-06-25	2006-06-25	\N	P&A	0	\N	1151.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5370	\N	NO
5371	6504/5-U-3	6504/5-U-3	\N	324	SHALLOW	Eni Norge AS	NO	FUGRO EXPLORER	\N	2006-06-26	2006-06-26	\N	P&A	0	\N	1143.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5371	\N	NO
5372	6504/5-U-4	6504/5-U-4	\N	324	SHALLOW	Eni Norge AS	NO	FUGRO EXPLORER	\N	2006-06-27	2006-06-27	\N	P&A	0	\N	1160.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5372	\N	NO
5373	6504/5-U-5	6504/5-U-5	\N	324	SHALLOW	Eni Norge AS	NO	FUGRO EXPLORER	\N	2006-06-23	2006-06-23	\N	P&A	0	\N	1188.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5373	\N	NO
5374	30/9-F-2	30/9-F-2 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2006-08-15	2006-08-24	CUTTINGS	PLUGGED	171	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5374	http://www.npd.no/FactMapSearch?NPDID_wellbore=5374	NO
5375	6406/3-7	6406/3-7	\N	314	EXPLORATION	Statoil ASA (old)	NO	WEST ALPHA	\N	2006-07-22	2006-09-19	DRY	P&A	1	WILDCAT	275.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5375	http://www.npd.no/FactMapSearch?NPDID_wellbore=5375	NO
5376	35/2-1	35/2-1 R	\N	318	EXPLORATION	Norsk Hydro Produksjon AS	NO	DEEPSEA TRYM	\N	2006-06-15	2006-07-25	GAS	P&A	9	WILDCAT	384.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5376	http://www.npd.no/FactMapSearch?NPDID_wellbore=5376	NO
5377	2/4-K-19	2/4-K-19 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2006-10-03	2006-12-21	WATER	INJECTING	173	INJECTION	71.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5377	http://www.npd.no/FactMapSearch?NPDID_wellbore=5377	NO
5378	2/7-B-16	2/7-B-16 A	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK B	ELDFISK B	2006-10-18	2007-02-07	OIL	PRODUCING	50	PRODUCTION	71.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5378	http://www.npd.no/FactMapSearch?NPDID_wellbore=5378	NO
5379	25/11-G-12	25/11-G-12 Y1	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2006-08-11	2006-10-21	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5379	http://www.npd.no/FactMapSearch?NPDID_wellbore=5379	NO
5380	25/11-G-12	25/11-G-12 Y2	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2006-10-23	2006-12-09	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5380	http://www.npd.no/FactMapSearch?NPDID_wellbore=5380	NO
5381	31/3-S-24	31/3-S-24 Y1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	SONGA DEE	TROLL S1	2006-07-16	2006-11-16	OIL	SUSP.AT TD	50	PRODUCTION	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5381	http://www.npd.no/FactMapSearch?NPDID_wellbore=5381	NO
5382	31/3-S-24	31/3-S-24 Y2H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	SONGA DEE	TROLL S1	2006-11-17	2006-12-30	OIL	SUSP.AT TD	50	PRODUCTION	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5382	http://www.npd.no/FactMapSearch?NPDID_wellbore=5382	NO
5383	31/3-S-24	31/3-S-24 Y3H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	SONGA DEE	TROLL S1	2006-12-31	2007-03-07	OIL	SUSP.AT TD	50	PRODUCTION	342.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5383	http://www.npd.no/FactMapSearch?NPDID_wellbore=5383	NO
5386	6608/10-11	6608/10-11 S	URD	128	EXPLORATION	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	\N	2006-07-12	2006-08-15	GAS	P&A	9	WILDCAT	375.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5386	http://www.npd.no/FactMapSearch?NPDID_wellbore=5386	YES
5387	2/4-X-1	2/4-X-1 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2006-10-17	2006-12-03	NOT AVAILABLE	PLUGGED	71	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5387	http://www.npd.no/FactMapSearch?NPDID_wellbore=5387	NO
5388	30/3-A-15	30/3-A-15 A	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2006-09-01	2006-10-25	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5388	http://www.npd.no/FactMapSearch?NPDID_wellbore=5388	NO
5389	25/8-B-30	25/8-B-30	JOTUN	027 B	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	JOTUN B	JOTUN A	2006-08-14	2006-10-04	OIL	PRODUCING	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5389	http://www.npd.no/FactMapSearch?NPDID_wellbore=5389	NO
5390	6608/10-K-3	6608/10-K-3 H	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE K	2006-09-04	2006-10-17	OIL	PRODUCING	50	PRODUCTION	375.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5390	http://www.npd.no/FactMapSearch?NPDID_wellbore=5390	NO
5392	2/8-N-2	2/8-N-2	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE NORD	2003-08-08	2003-08-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5392	http://www.npd.no/FactMapSearch?NPDID_wellbore=5392	NO
5393	15/12-A-4	15/12-A-4	VARG	038	DEVELOPMENT	Saga Petroleum ASA	NO	DEEPSEA BERGEN	VARG A	1996-10-02	1996-11-04	CUTTINGS	INJECTING	171	INJECTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5393	http://www.npd.no/FactMapSearch?NPDID_wellbore=5393	NO
5649	9/4-U-1	9/4-U-1	\N	315	SHALLOW	ExxonMobil Exploration & Production Norway AS	NO	BUCENTAUR	\N	2005-01-23	2005-01-23	\N	P&A	0	\N	77.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5649	\N	NO
5394	25/4-J-1	25/4-J-1 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	ALVHEIM FPSO	2006-09-06	2006-09-10	WATER	INJECTING	173	INJECTION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5394	http://www.npd.no/FactMapSearch?NPDID_wellbore=5394	NO
5395	25/4-J-2	25/4-J-2 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	ALVHEIM FPSO	2006-08-25	2006-10-13	WATER	INJECTING	173	INJECTION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5395	http://www.npd.no/FactMapSearch?NPDID_wellbore=5395	NO
5397	25/4-J-1	25/4-J-1 AH	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	ALVHEIM FPSO	2006-09-11	2006-09-21	NOT APPLICABLE	PLUGGED	99	OBSERVATION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5397	http://www.npd.no/FactMapSearch?NPDID_wellbore=5397	NO
5398	6305/5-M-2	6305/5-M-2	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE B	2006-08-05	2006-08-30	NOT AVAILABLE	PLUGGED	99	OBSERVATION	1070.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5398	http://www.npd.no/FactMapSearch?NPDID_wellbore=5398	NO
5399	31/2-G-1	31/2-G-1 BY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL G	2006-08-03	2007-03-08	OIL	PRODUCING	50	PRODUCTION	327.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5399	http://www.npd.no/FactMapSearch?NPDID_wellbore=5399	NO
5400	31/2-G-1	31/2-G-1 BY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	WEST VENTURE	TROLL G	2007-03-09	2007-05-07	OIL	PRODUCING	50	PRODUCTION	327.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5400	http://www.npd.no/FactMapSearch?NPDID_wellbore=5400	NO
5401	24/6-B-1	24/6-B-1 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	KNELER B	2006-12-05	2007-01-01	NOT AVAILABLE	PLUGGED	99	OBSERVATION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5401	http://www.npd.no/FactMapSearch?NPDID_wellbore=5401	NO
5402	24/6-B-1	24/6-B-1 AH	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	KNELER B	2007-01-02	2007-01-10	NOT AVAILABLE	PLUGGED	99	OBSERVATION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5402	http://www.npd.no/FactMapSearch?NPDID_wellbore=5402	NO
5403	24/6-B-1	24/6-B-1 BH	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	KNELER B	2007-01-11	2007-01-18	OIL	PLUGGED	99	OBSERVATION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5403	http://www.npd.no/FactMapSearch?NPDID_wellbore=5403	NO
5404	34/10-C-46	34/10-C-46	GIMLE	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2004-03-17	2004-12-22	OIL	PRODUCING	50	PRODUCTION	216.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5404	http://www.npd.no/FactMapSearch?NPDID_wellbore=5404	NO
5405	34/10-E-1	34/10-E-1 Y3H	GULLFAKS SØR	050	DEVELOPMENT	Statoil ASA (old)	YES	TRANSOCEAN LEADER	GULLFAKS SØR E	2006-09-03	2006-10-08	GAS	INJECTING	91	INJECTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5405	http://www.npd.no/FactMapSearch?NPDID_wellbore=5405	NO
5406	7122/7-4	7122/7-4 S	GOLIAT	229	EXPLORATION	Eni Norge AS	NO	POLAR PIONEER	\N	2006-09-21	2006-11-25	OIL/GAS	P&A	13	WILDCAT	372.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5406	http://www.npd.no/FactMapSearch?NPDID_wellbore=5406	YES
5407	2/4-M-25	2/4-M-25	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-12-29	2007-01-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5407	http://www.npd.no/FactMapSearch?NPDID_wellbore=5407	NO
5408	2/4-M-26	2/4-M-26	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2008-03-27	2008-04-30	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5408	http://www.npd.no/FactMapSearch?NPDID_wellbore=5408	NO
5409	2/4-M-29	2/4-M-29	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2007-05-03	2007-06-15	OIL	PLUGGED	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5409	http://www.npd.no/FactMapSearch?NPDID_wellbore=5409	NO
5410	2/4-M-6	2/4-M-6	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2008-02-20	2008-03-23	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5410	http://www.npd.no/FactMapSearch?NPDID_wellbore=5410	NO
5411	2/4-M-8	2/4-M-8	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2007-10-02	2007-11-13	OIL	PLUGGED	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5411	http://www.npd.no/FactMapSearch?NPDID_wellbore=5411	NO
5412	2/4-M-11	2/4-M-11	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2007-06-29	2007-07-25	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5412	http://www.npd.no/FactMapSearch?NPDID_wellbore=5412	NO
5413	2/4-M-14	2/4-M-14	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2007-01-29	2007-03-18	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5413	http://www.npd.no/FactMapSearch?NPDID_wellbore=5413	NO
5414	2/4-M-15	2/4-M-15	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-11-21	2006-12-11	NOT AVAILABLE	PLUGGED	71	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5414	http://www.npd.no/FactMapSearch?NPDID_wellbore=5414	NO
5415	33/12-B-17	33/12-B-17 A	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2006-09-19	2007-02-19	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5415	http://www.npd.no/FactMapSearch?NPDID_wellbore=5415	NO
5416	34/10-B-7	34/10-B-7 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2006-10-15	2006-11-06	OIL	PLUGGED	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5416	http://www.npd.no/FactMapSearch?NPDID_wellbore=5416	NO
5417	15/12-A-12	15/12-A-12 B	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	VARG A	2006-09-14	2006-10-26	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5417	http://www.npd.no/FactMapSearch?NPDID_wellbore=5417	NO
5418	25/8-B-32	25/8-B-32	JOTUN	027 B	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	JOTUN B	JOTUN A	2006-10-05	2006-11-01	NOT AVAILABLE	PLUGGED	71	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5418	http://www.npd.no/FactMapSearch?NPDID_wellbore=5418	NO
5419	2/7-A-5	2/7-A-5 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2008-02-15	2008-04-12	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5419	http://www.npd.no/FactMapSearch?NPDID_wellbore=5419	NO
5420	2/4-M-10	2/4-M-10 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-06-05	2006-08-10	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5420	http://www.npd.no/FactMapSearch?NPDID_wellbore=5420	NO
5421	31/4-A-16	31/4-A-16 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2006-12-05	2007-02-20	OIL	PLUGGED	99	OBSERVATION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5421	http://www.npd.no/FactMapSearch?NPDID_wellbore=5421	NO
5422	31/4-A-16	31/4-A-16 B	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2007-02-21	2007-03-27	OIL	SUSP.AT TD	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5422	http://www.npd.no/FactMapSearch?NPDID_wellbore=5422	NO
5423	30/9-J-11	30/9-J-11 AH	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	OSEBERG SØR J	2006-09-20	2006-09-29	NOT AVAILABLE	PLUGGED	71	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5423	http://www.npd.no/FactMapSearch?NPDID_wellbore=5423	NO
5424	35/11-B-24	35/11-B-24 H	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	FRAM B2	2006-12-26	2007-01-19	WATER	PLUGGED	173	INJECTION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5424	http://www.npd.no/FactMapSearch?NPDID_wellbore=5424	NO
5425	6608/10-K-1	6608/10-K-1 H	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN ARCTIC	NORNE K	2006-10-18	2006-12-20	OIL	PRODUCING	50	PRODUCTION	375.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5425	http://www.npd.no/FactMapSearch?NPDID_wellbore=5425	NO
5426	30/9-J-11	30/9-J-11 BH	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	OSEBERG SØR J	2006-09-30	2006-10-30	OIL	PRODUCING	50	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5426	http://www.npd.no/FactMapSearch?NPDID_wellbore=5426	NO
5427	34/10-A-24	34/10-A-24 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2007-04-12	2007-05-03	OIL	PRODUCING	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5427	http://www.npd.no/FactMapSearch?NPDID_wellbore=5427	NO
5428	2/11-S-7	2/11-S-7 F2	HOD	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2005-05-04	2005-06-12	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5428	http://www.npd.no/FactMapSearch?NPDID_wellbore=5428	NO
5429	2/11-S-1	2/11-S-1 AF2	HOD	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2005-11-01	2005-12-09	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5429	http://www.npd.no/FactMapSearch?NPDID_wellbore=5429	NO
5430	6507/11-7	6507/11-7	\N	263	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN WINNER	\N	2006-12-13	2007-02-12	DRY	P&A	1	WILDCAT	294.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5430	http://www.npd.no/FactMapSearch?NPDID_wellbore=5430	NO
5431	31/2-N-22	31/2-N-22 Y1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL N2	2006-10-20	2007-01-07	OIL	PRODUCING	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5431	http://www.npd.no/FactMapSearch?NPDID_wellbore=5431	NO
5432	31/2-N-22	31/2-N-22 Y2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL N2	2007-01-09	2007-01-18	OIL	PRODUCING	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5432	http://www.npd.no/FactMapSearch?NPDID_wellbore=5432	NO
5433	31/2-N-22	31/2-N-22 Y3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL N2	2007-01-19	2007-02-24	OIL	PRODUCING	50	PRODUCTION	348.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5433	http://www.npd.no/FactMapSearch?NPDID_wellbore=5433	NO
5434	33/9-A-32	33/9-A-32 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2006-11-25	2006-12-31	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5434	http://www.npd.no/FactMapSearch?NPDID_wellbore=5434	NO
5435	6406/8-2	6406/8-2	\N	323	EXPLORATION	Total E&P Norge AS	NO	OCEAN VANGUARD	\N	2006-10-28	2007-04-08	DRY	P&A	1	WILDCAT	363.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5435	http://www.npd.no/FactMapSearch?NPDID_wellbore=5435	NO
5436	25/8-B-31	25/8-B-31	JOTUN	027 B	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	JOTUN B	JOTUN B	2006-11-02	2006-12-03	NOT AVAILABLE	PLUGGED	71	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5436	http://www.npd.no/FactMapSearch?NPDID_wellbore=5436	NO
5437	34/10-B-17	34/10-B-17 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2006-11-23	2007-01-03	OIL	PRODUCING	50	PRODUCTION	142.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5437	http://www.npd.no/FactMapSearch?NPDID_wellbore=5437	NO
5438	34/10-B-7	34/10-B-7 C	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2008-08-21	2008-09-23	WATER	PLUGGED	173	INJECTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5438	http://www.npd.no/FactMapSearch?NPDID_wellbore=5438	NO
5439	7122/7-5	7122/7-5	\N	229	EXPLORATION	Eni Norge AS	NO	POLAR PIONEER	\N	2006-11-28	2006-12-23	DRY	P&A	1	WILDCAT	370.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5439	http://www.npd.no/FactMapSearch?NPDID_wellbore=5439	NO
5440	2/4-X-26	2/4-X-26	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2007-01-01	2007-02-08	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5440	http://www.npd.no/FactMapSearch?NPDID_wellbore=5440	NO
5441	16/4-4	16/4-4	\N	339	EXPLORATION	Statoil ASA (old)	NO	WEST EPSILON	\N	2006-12-28	2007-03-23	GAS/CONDENSATE	P&A	17	WILDCAT	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5441	http://www.npd.no/FactMapSearch?NPDID_wellbore=5441	YES
5442	15/12-17	15/12-17 S	REV	038	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GIANT	\N	2006-12-23	2007-02-04	GAS/CONDENSATE	P&A	17	APPRAISAL	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5442	http://www.npd.no/FactMapSearch?NPDID_wellbore=5442	NO
5444	6506/12-Q-4	6506/12-Q-4 H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	ÅSGARD Q	2006-11-03	2007-01-13	OIL	PLUGGED	99	OBSERVATION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5444	http://www.npd.no/FactMapSearch?NPDID_wellbore=5444	NO
5445	6506/12-Q-4	6506/12-Q-4 AY1H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	YES	TRANSOCEAN SEARCHER	ÅSGARD Q	2007-01-14	2007-03-26	OIL	PRODUCING	50	PRODUCTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5445	http://www.npd.no/FactMapSearch?NPDID_wellbore=5445	NO
5446	6506/12-Q-4	6506/12-Q-4 AY2H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	YES	TRANSOCEAN SEARCHER	ÅSGARD Q	2007-03-27	2007-05-28	OIL	PRODUCING	50	PRODUCTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5446	http://www.npd.no/FactMapSearch?NPDID_wellbore=5446	NO
5447	6506/12-Q-5	6506/12-Q-5 Y1H	ÅSGARD	094	DEVELOPMENT	StatoilHydro Petroleum AS	YES	SCARABEO 5	ÅSGARD Q	2009-08-27	2009-11-11	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5447	http://www.npd.no/FactMapSearch?NPDID_wellbore=5447	NO
5448	2/4-X-1	2/4-X-1 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2006-12-04	2006-12-26	NOT AVAILABLE	PLUGGED	71	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5448	http://www.npd.no/FactMapSearch?NPDID_wellbore=5448	NO
5449	2/4-K-6	2/4-K-6 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2007-09-19	2007-11-08	WATER	PLUGGED	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5449	http://www.npd.no/FactMapSearch?NPDID_wellbore=5449	NO
5450	7125/4-1	7125/4-1	\N	393	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	2007-01-17	2007-03-07	OIL/GAS	P&A	13	WILDCAT	293.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5450	http://www.npd.no/FactMapSearch?NPDID_wellbore=5450	YES
5451	34/11-A-13	34/11-A-13	KVITEBJØRN	193	DEVELOPMENT	Statoil ASA (old)	NO	KVITEBJØRN	KVITEBJØRN	2006-12-07	2007-07-31	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5451	http://www.npd.no/FactMapSearch?NPDID_wellbore=5451	NO
5452	25/11-G-30	25/11-G-30 Y1	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2006-12-08	2007-01-17	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5452	http://www.npd.no/FactMapSearch?NPDID_wellbore=5452	NO
5453	25/11-G-30	25/11-G-30 Y2	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2007-01-18	2007-02-09	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5453	http://www.npd.no/FactMapSearch?NPDID_wellbore=5453	NO
5454	6406/9-2	6406/9-2	\N	255	EXPLORATION	A/S Norske Shell	NO	WEST ALPHA	\N	2007-02-05	2007-07-01	GAS	P&A	9	APPRAISAL	299.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5454	http://www.npd.no/FactMapSearch?NPDID_wellbore=5454	NO
5455	34/10-A-6	34/10-A-6 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2007-02-02	2007-02-27	OIL	PRODUCING	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5455	http://www.npd.no/FactMapSearch?NPDID_wellbore=5455	NO
5456	2/4-M-15	2/4-M-15 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2006-12-12	2006-12-27	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5456	http://www.npd.no/FactMapSearch?NPDID_wellbore=5456	NO
5457	6507/3-U-1	6507/3-U-1	\N	158	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	2006-10-06	2006-10-08	\N	P&A	0	\N	367.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5457	\N	NO
5458	16/4-U-1	16/4-U-1	\N	339	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	2006-09-15	2006-09-16	\N	P&A	0	\N	91.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5458	\N	NO
5459	15/6-U-1	15/6-U-1	\N	303	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	2006-09-16	2006-09-17	\N	P&A	0	\N	113.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5459	\N	NO
5460	16/2-U-1	16/2-U-1	\N	265	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	2006-09-17	2006-09-18	\N	P&A	0	\N	113.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5460	\N	NO
5461	16/2-U-2	16/2-U-2	\N	265	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	2006-09-18	2006-09-19	\N	P&A	0	\N	113.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5461	\N	NO
5462	35/9-U-1	35/9-U-1	GJØA	153	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	2006-09-25	2006-09-26	\N	P&A	0	\N	363.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5462	\N	NO
5463	30/6-G-44	30/6-G-44 BH	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	OSEBERG VESTFLANKE	2007-01-19	2007-03-31	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5463	http://www.npd.no/FactMapSearch?NPDID_wellbore=5463	NO
5464	33/9-A-40	33/9-A-40 D	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2007-01-12	2007-03-11	OIL/GAS	PRODUCING	0	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5464	http://www.npd.no/FactMapSearch?NPDID_wellbore=5464	NO
5465	7122/7-5	7122/7-5 A	GOLIAT	229	EXPLORATION	Eni Norge AS	NO	POLAR PIONEER	\N	2006-12-23	2007-01-13	OIL	P&A	5	APPRAISAL	370.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5465	http://www.npd.no/FactMapSearch?NPDID_wellbore=5465	NO
5466	30/9-F-13	30/9-F-13	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2007-02-16	2007-05-13	OIL	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5466	http://www.npd.no/FactMapSearch?NPDID_wellbore=5466	NO
5467	30/9-F-13	30/9-F-13 A	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2007-08-30	2008-01-20	OIL	PRODUCING	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5467	http://www.npd.no/FactMapSearch?NPDID_wellbore=5467	NO
5468	33/12-N-5	33/12-N-5 H	GULLFAKS SØR	037 B	DEVELOPMENT	StatoilHydro ASA	NO	TRANSOCEAN ARCTIC	GULLFAKS C	2007-02-15	2007-05-03	OIL	PRODUCING	50	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5468	http://www.npd.no/FactMapSearch?NPDID_wellbore=5468	NO
5469	6507/7-A-44	6507/7-A-44 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2007-02-10	2007-03-13	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5469	http://www.npd.no/FactMapSearch?NPDID_wellbore=5469	NO
5470	25/11-24	25/11-24	\N	169	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN WINNER	\N	2007-02-18	2007-03-29	OIL	P&A	5	WILDCAT	114.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5470	http://www.npd.no/FactMapSearch?NPDID_wellbore=5470	YES
5471	6607/2-1	6607/2-1	\N	329	EXPLORATION	Eni Norge AS	NO	TRANSOCEAN LEADER	\N	2007-02-09	2007-03-26	DRY	P&A	1	WILDCAT	860.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5471	http://www.npd.no/FactMapSearch?NPDID_wellbore=5471	NO
5472	25/8-C-24	25/8-C-24	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2007-01-13	2007-02-12	OIL	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5472	http://www.npd.no/FactMapSearch?NPDID_wellbore=5472	NO
5473	25/8-C-24	25/8-C-24 A	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2007-02-12	2007-03-31	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5473	http://www.npd.no/FactMapSearch?NPDID_wellbore=5473	NO
5474	7/11-11	7/11-11 S	MIME	301	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GIANT	\N	2007-03-29	2007-06-10	OIL SHOWS	P&A	12	APPRAISAL	80.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5474	http://www.npd.no/FactMapSearch?NPDID_wellbore=5474	NO
5475	24/6-B-1	24/6-B-1 CH	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	KNELER B	2007-01-19	2007-03-07	OIL	PRODUCING	50	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5475	http://www.npd.no/FactMapSearch?NPDID_wellbore=5475	NO
5476	35/11-B-31	35/11-B-31 H	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	FRAM B1	2007-01-26	2007-02-09	CUTTINGS	SUSP.AT TD	171	INJECTION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5476	http://www.npd.no/FactMapSearch?NPDID_wellbore=5476	NO
5477	34/7-F-2	34/7-F-2 H	VIGDIS	089	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VIGDIS F	2012-06-21	2012-07-27	WATER	SUSP.AT TD	173	INJECTION	219.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5477	http://www.npd.no/FactMapSearch?NPDID_wellbore=5477	NO
5478	34/10-C-20	34/10-C-20 AY2	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	YES	GULLFAKS C	GULLFAKS C	2006-12-20	2007-03-17	WATER	INJECTING	173	INJECTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5478	http://www.npd.no/FactMapSearch?NPDID_wellbore=5478	NO
5479	34/7-F-4	34/7-F-4 H	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	VIGDIS F	2007-01-24	2007-03-27	\N	SUSPENDED	0	INJECTION	219.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5479	http://www.npd.no/FactMapSearch?NPDID_wellbore=5479	NO
5480	2/4-M-25	2/4-M-25 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2007-01-15	2007-01-24	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5480	http://www.npd.no/FactMapSearch?NPDID_wellbore=5480	NO
5481	30/3-A-2	30/3-A-2 B	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2007-02-27	2007-05-25	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5481	http://www.npd.no/FactMapSearch?NPDID_wellbore=5481	NO
5482	2/4-K-9	2/4-K-9 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2007-03-05	2007-05-26	WATER	INJECTING	173	INJECTION	73.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5482	http://www.npd.no/FactMapSearch?NPDID_wellbore=5482	NO
5483	34/8-A-25	34/8-A-25 BH	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2007-03-08	2007-03-19	OIL	PLUGGED	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5483	http://www.npd.no/FactMapSearch?NPDID_wellbore=5483	NO
5484	15/12-17	15/12-17 A	REV	038	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GIANT	\N	2007-02-04	2007-03-23	GAS/CONDENSATE	RE-CLASS TO DEV	17	APPRAISAL	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5484	http://www.npd.no/FactMapSearch?NPDID_wellbore=5484	NO
5485	1/3-K-5	1/3-K-5	TAMBAR ØST	065	DEVELOPMENT	BP Norge AS	NO	MÆRSK GUARDIAN	TAMBAR	2007-04-04	2007-07-01	OIL	PLUGGED	99	OBSERVATION	67.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5485	http://www.npd.no/FactMapSearch?NPDID_wellbore=5485	YES
5486	1/3-K-5	1/3-K-5 A	TAMBAR ØST	065	DEVELOPMENT	BP Norge AS	NO	MÆRSK GUARDIAN	TAMBAR	2007-07-02	2007-08-13	OIL	PRODUCING	50	PRODUCTION	67.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5486	http://www.npd.no/FactMapSearch?NPDID_wellbore=5486	NO
5487	31/2-D-7	31/2-D-7 AY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL D	2007-03-05	2007-04-07	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5487	http://www.npd.no/FactMapSearch?NPDID_wellbore=5487	NO
5488	31/2-D-7	31/2-D-7 AY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL D	2007-04-08	2007-04-14	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5488	http://www.npd.no/FactMapSearch?NPDID_wellbore=5488	NO
5489	31/2-D-7	31/2-D-7 AY3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL D	2007-04-15	2007-04-21	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5489	http://www.npd.no/FactMapSearch?NPDID_wellbore=5489	NO
5490	31/2-D-7	31/2-D-7 AY5H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL D	2007-04-30	2007-05-05	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5490	http://www.npd.no/FactMapSearch?NPDID_wellbore=5490	NO
5491	35/11-B-11	35/11-B-11 H	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	FRAM B1	2007-02-18	2007-06-09	OIL	PRODUCING	50	PRODUCTION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5491	http://www.npd.no/FactMapSearch?NPDID_wellbore=5491	NO
5492	31/2-D-7	31/2-D-7 AY6H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL D	2007-05-06	2007-05-11	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5492	http://www.npd.no/FactMapSearch?NPDID_wellbore=5492	NO
5493	31/2-D-7	31/2-D-7 AY7H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL D	2007-05-12	2007-05-25	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5493	http://www.npd.no/FactMapSearch?NPDID_wellbore=5493	NO
5494	15/6-9	15/6-9 S	\N	303	EXPLORATION	Statoil ASA (old)	NO	WEST EPSILON	\N	2007-03-29	2007-05-27	OIL/GAS	P&A	13	APPRAISAL	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5494	http://www.npd.no/FactMapSearch?NPDID_wellbore=5494	NO
5495	34/10-C-50	34/10-C-50	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS C	GULLFAKS C	9999-12-31	9999-12-31	WATER	PREDRILLED	173	INJECTION	216.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5495	http://www.npd.no/FactMapSearch?NPDID_wellbore=5495	NO
5496	25/11-G-2	25/11-G-2 Y1	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2007-02-10	2007-04-10	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5496	http://www.npd.no/FactMapSearch?NPDID_wellbore=5496	NO
5497	25/11-G-2	25/11-G-2 Y2	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2007-04-13	2007-05-06	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5497	http://www.npd.no/FactMapSearch?NPDID_wellbore=5497	NO
5498	25/11-G-2	25/11-G-2 Y3	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2007-05-07	2007-07-25	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5498	http://www.npd.no/FactMapSearch?NPDID_wellbore=5498	NO
5499	1/3-U-10	1/3-U-10	\N	274	SHALLOW	DONG E&P Norge AS	NO	BUCENTAUR	\N	2007-03-01	2007-03-01	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5499	\N	NO
5500	1/3-U-11	1/3-U-11	\N	274	SHALLOW	DONG E&P Norge AS	NO	BUCENTAUR	\N	2007-03-02	2007-03-03	\N	P&A	0	\N	71.600000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5500	\N	NO
5501	3/7-U-7	3/7-U-7	\N	289	SHALLOW	DONG Norge AS	NO	BUCENTAUR	\N	2007-03-04	2007-03-04	\N	P&A	0	\N	65.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5501	\N	NO
5502	15/9-A-18	15/9-A-18	SLEIPNER ØST	046	DEVELOPMENT	Statoil ASA (old)	NO	SLEIPNER A	SLEIPNER A	2007-03-12	2007-07-07	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5502	http://www.npd.no/FactMapSearch?NPDID_wellbore=5502	NO
5503	2/1-A-2	2/1-A-2 A	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2007-02-17	2007-04-19	OIL	PRODUCING	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5503	http://www.npd.no/FactMapSearch?NPDID_wellbore=5503	NO
5504	2/4-M-19	2/4-M-19	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2007-03-20	2007-04-30	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5504	http://www.npd.no/FactMapSearch?NPDID_wellbore=5504	NO
5505	6305/5-B-1	6305/5-B-1 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE B	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	855.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5505	http://www.npd.no/FactMapSearch?NPDID_wellbore=5505	NO
5506	6305/5-B-4	6305/5-B-4 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE B	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	855.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5506	http://www.npd.no/FactMapSearch?NPDID_wellbore=5506	NO
5507	6305/5-B-5	6305/5-B-5 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE B	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	855.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5507	http://www.npd.no/FactMapSearch?NPDID_wellbore=5507	NO
5508	6305/5-B-8	6305/5-B-8 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE B	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	855.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5508	http://www.npd.no/FactMapSearch?NPDID_wellbore=5508	NO
5509	6305/8-A-1	6305/8-A-1 H	ORMEN LANGE	250	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE A	2006-03-25	2007-06-12	GAS	SUSP.AT TD	90	PRODUCTION	850.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5509	http://www.npd.no/FactMapSearch?NPDID_wellbore=5509	NO
5510	6305/8-A-4	6305/8-A-4 H	ORMEN LANGE	250	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE A	2009-01-25	2009-02-27	GAS	PRODUCING	90	PRODUCTION	850.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5510	http://www.npd.no/FactMapSearch?NPDID_wellbore=5510	NO
5511	6305/8-A-5	6305/8-A-5 H	ORMEN LANGE	250	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE A	2008-12-24	2009-01-22	GAS	PRODUCING	90	PRODUCTION	850.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5511	http://www.npd.no/FactMapSearch?NPDID_wellbore=5511	NO
5512	6305/8-A-8	6305/8-A-8 H	ORMEN LANGE	250	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE A	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	850.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5512	http://www.npd.no/FactMapSearch?NPDID_wellbore=5512	NO
5513	2/4-B-8	2/4-B-8 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK B	2007-06-06	2007-09-05	OIL	PRODUCING	50	PRODUCTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5513	http://www.npd.no/FactMapSearch?NPDID_wellbore=5513	NO
5514	33/12-B-11	33/12-B-11 C	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2007-03-17	2007-05-07	GAS	PRODUCING	90	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5514	http://www.npd.no/FactMapSearch?NPDID_wellbore=5514	NO
5515	34/7-P-32	34/7-P-32 A	SNORRE	089	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE A	SNORRE A	2007-03-20	2007-07-20	WATER/GAS	INJECTING	0	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5515	http://www.npd.no/FactMapSearch?NPDID_wellbore=5515	NO
5516	2/11-S-6	2/11-S-6	VALHALL	033 B	DEVELOPMENT	BP Norge AS	NO	WEST EPSILON	VALHALL FLANKE SØR	2002-11-05	2002-11-11	NOT AVAILABLE	PLUGGED	71	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5516	http://www.npd.no/FactMapSearch?NPDID_wellbore=5516	NO
5517	35/11-15	35/11-15 S	\N	090	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN WINNER	\N	2007-04-01	2007-06-28	OIL/GAS	P&A	13	WILDCAT	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5517	http://www.npd.no/FactMapSearch?NPDID_wellbore=5517	YES
5518	6504/5-1	6504/5-1 S	\N	324	EXPLORATION	Eni Norge AS	NO	TRANSOCEAN LEADER	\N	2007-03-31	2007-06-28	DRY	P&A	1	WILDCAT	1190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5518	http://www.npd.no/FactMapSearch?NPDID_wellbore=5518	NO
5519	6507/7-A-17	6507/7-A-17 A	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2007-04-16	2007-04-25	OIL	PLUGGED	99	OBSERVATION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5519	http://www.npd.no/FactMapSearch?NPDID_wellbore=5519	NO
5520	6507/7-A-17	6507/7-A-17 B	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2007-04-26	2007-05-09	OIL	SUSP.AT TD	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5520	http://www.npd.no/FactMapSearch?NPDID_wellbore=5520	NO
5521	6608/10-K-4	6608/10-K-4 H	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	POLAR PIONEER	NORNE K	2007-03-29	2007-05-29	OIL	PRODUCING	50	PRODUCTION	375.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5521	http://www.npd.no/FactMapSearch?NPDID_wellbore=5521	NO
5522	24/6-B-2	24/6-B-2 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	KNELER B	2008-02-15	2008-03-09	OIL	PLUGGED	50	PRODUCTION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5522	http://www.npd.no/FactMapSearch?NPDID_wellbore=5522	NO
5523	24/6-B-3	24/6-B-3 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	KNELER B	2007-04-09	2007-04-22	OIL	PLUGGED	99	OBSERVATION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5523	http://www.npd.no/FactMapSearch?NPDID_wellbore=5523	NO
5524	2/4-X-34	2/4-X-34 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2007-03-25	2007-05-08	NOT AVAILABLE	PLUGGED	71	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5524	http://www.npd.no/FactMapSearch?NPDID_wellbore=5524	NO
5525	30/6-C-15	30/6-C-15 C	OSEBERG	053	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG C	OSEBERG C	2007-04-05	2007-09-05	OIL	PRODUCING	50	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5525	http://www.npd.no/FactMapSearch?NPDID_wellbore=5525	NO
5526	25/8-C-23	25/8-C-23	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2007-04-03	2007-08-12	OIL	PLUGGED	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5526	http://www.npd.no/FactMapSearch?NPDID_wellbore=5526	NO
5527	31/4-A-40	31/4-A-40 A	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2007-06-12	2007-07-25	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5527	http://www.npd.no/FactMapSearch?NPDID_wellbore=5527	NO
5528	34/7-G-1	34/7-G-1 H	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	VIGDIS G	2007-08-27	2007-09-21	WATER	INJECTING	173	INJECTION	282.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5528	http://www.npd.no/FactMapSearch?NPDID_wellbore=5528	NO
5529	34/7-G-2	34/7-G-2 H	VIGDIS	089	DEVELOPMENT	StatoilHydro ASA	NO	BORGLAND DOLPHIN	VIGDIS G	2008-04-11	2008-06-23	WATER	INJECTING	173	INJECTION	282.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5529	http://www.npd.no/FactMapSearch?NPDID_wellbore=5529	NO
5530	34/7-G-3	34/7-G-3 H	VIGDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	VIGDIS G	2007-04-24	2007-12-23	OIL	PRODUCING	50	PRODUCTION	282.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5530	http://www.npd.no/FactMapSearch?NPDID_wellbore=5530	NO
5531	34/7-G-4	34/7-G-4 H	VIGDIS	089	DEVELOPMENT	StatoilHydro ASA	NO	BORGLAND DOLPHIN	VIGDIS G	2009-03-23	2009-04-14	NOT AVAILABLE	PLUGGED	99	OBSERVATION	282.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5531	http://www.npd.no/FactMapSearch?NPDID_wellbore=5531	NO
5532	24/6-B-3	24/6-B-3 AY1H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	YES	DEEPSEA BERGEN	KNELER B	2008-03-20	2008-04-02	OIL	PRODUCING	50	PRODUCTION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5532	http://www.npd.no/FactMapSearch?NPDID_wellbore=5532	NO
5533	24/6-B-3	24/6-B-3 AY2H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	YES	DEEPSEA BERGEN	KNELER B	2008-04-03	2008-05-02	OIL	PRODUCING	50	PRODUCTION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5533	http://www.npd.no/FactMapSearch?NPDID_wellbore=5533	NO
5534	34/7-U-15	34/7-U-15	VIGDIS	\N	SHALLOW	StatoilHydro ASA	NO	BORGLAND DOLPHIN	\N	2007-03-30	2007-04-01	\N	P&A	0	\N	291.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5534	\N	NO
5535	2/1-A-14	2/1-A-14 C	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2007-04-19	2007-05-21	WATER	INJECTING	173	INJECTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5535	http://www.npd.no/FactMapSearch?NPDID_wellbore=5535	NO
5536	6608/10-H-1	6608/10-H-1 AH	URD	128	DEVELOPMENT	StatoilHydro ASA	NO	STENA DON	NORNE H	2007-05-11	2007-05-29	WATER	INJECTING	173	INJECTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5536	http://www.npd.no/FactMapSearch?NPDID_wellbore=5536	NO
5537	35/2-U-1	35/2-U-1	\N	318	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	370.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5537	\N	NO
5538	35/2-U-2	35/2-U-2	\N	318	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	370.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5538	\N	NO
5539	35/2-U-3	35/2-U-3	\N	318	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	370.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5539	\N	NO
5540	35/2-U-4	35/2-U-4	\N	318	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	370.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5540	\N	NO
5541	31/5-J-24	31/5-J-24 AY1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL J2	2007-05-14	2007-07-19	OIL	SUSP.AT TD	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5541	http://www.npd.no/FactMapSearch?NPDID_wellbore=5541	NO
5542	31/5-J-24	31/5-J-24 AY2H	TROLL	085	DEVELOPMENT	StatoilHydro Petroleum AS	YES	DEEPSEA TRYM	TROLL J2	2007-07-19	2007-07-27	OIL	SUSP.AT TD	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5542	http://www.npd.no/FactMapSearch?NPDID_wellbore=5542	NO
5543	31/5-J-24	31/5-J-24 AY3H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL J2	2007-07-27	2007-08-19	OIL	SUSP.AT TD	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5543	http://www.npd.no/FactMapSearch?NPDID_wellbore=5543	NO
5544	34/7-U-16	34/7-U-16	TORDIS	\N	SHALLOW	StatoilHydro ASA	NO	BORGLAND DOLPHIN	\N	2007-05-11	2007-05-13	\N	P&A	0	\N	198.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5544	\N	NO
5545	34/7-R-1	34/7-R-1 H	TORDIS	089	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	34/7-R-1 H	2007-05-30	2007-06-16	WATER	SUSP.AT TD	173	INJECTION	198.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5545	http://www.npd.no/FactMapSearch?NPDID_wellbore=5545	NO
5546	15/12-U-10	15/12-U-10	\N	337	SHALLOW	Pertra ASA	NO	BUCENTAUR	\N	2007-04-20	2007-04-20	\N	P&A	0	\N	91.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5546	\N	NO
5547	15/12-U-11	15/12-U-11	\N	337	SHALLOW	Pertra ASA	NO	BUCENTAUR	\N	2007-04-21	2007-04-21	\N	P&A	0	\N	91.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5547	\N	NO
5548	15/12-U-12	15/12-U-12	\N	337	SHALLOW	Pertra ASA	NO	BUCENTAUR	\N	2007-04-22	2007-04-22	\N	P&A	0	\N	91.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5548	\N	NO
5549	34/4-C-4	34/4-C-4 AH	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-C H	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5549	http://www.npd.no/FactMapSearch?NPDID_wellbore=5549	NO
5550	6407/7-7	6407/7-7 S	NJORD	107	EXPLORATION	Norsk Hydro Produksjon AS	NO	TRANSOCEAN WINNER	\N	2007-08-03	2007-09-20	GAS/CONDENSATE	P&A	17	WILDCAT	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5550	http://www.npd.no/FactMapSearch?NPDID_wellbore=5550	YES
5551	16/2-3	16/2-3	\N	265	EXPLORATION	Statoil ASA (old)	NO	WEST EPSILON	\N	2007-08-01	2007-09-28	OIL/GAS	P&A	13	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5551	http://www.npd.no/FactMapSearch?NPDID_wellbore=5551	YES
5552	34/8-A-25	34/8-A-25 CH	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2007-04-20	2007-05-15	OIL	PLUGGED	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5552	http://www.npd.no/FactMapSearch?NPDID_wellbore=5552	NO
5553	31/2-D-7	31/2-D-7 AY4H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL D	2007-04-22	2007-04-29	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5553	http://www.npd.no/FactMapSearch?NPDID_wellbore=5553	NO
5554	6407/7-B-1	6407/7-B-1 Y1H	NJORD	107	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	TRANSOCEAN WINNER	NJORD BRAVO	2007-07-06	2008-01-07	NOT AVAILABLE	SUSPENDED	71	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5554	http://www.npd.no/FactMapSearch?NPDID_wellbore=5554	NO
5555	25/4-D-1	25/4-D-1 AH	VILJE	036	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	ALVHEIM FPSO	2007-06-06	2007-06-20	OIL	PRODUCING	50	PRODUCTION	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5555	http://www.npd.no/FactMapSearch?NPDID_wellbore=5555	NO
5556	2/4-20	2/4-20	\N	018	EXPLORATION	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	\N	2007-09-22	2008-03-14	DRY	P&A	1	WILDCAT	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5556	http://www.npd.no/FactMapSearch?NPDID_wellbore=5556	NO
5557	34/10-C-51	34/10-C-51	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS C	GULLFAKS C	2007-05-07	2007-07-31	WATER	INJECTING	173	INJECTION	216.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5557	http://www.npd.no/FactMapSearch?NPDID_wellbore=5557	NO
5558	34/10-B-4	34/10-B-4 B	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2007-05-09	2007-05-31	WATER	INJECTING	173	INJECTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5558	http://www.npd.no/FactMapSearch?NPDID_wellbore=5558	NO
5559	34/8-A-25	34/8-A-25 DH	VISUND	120	DEVELOPMENT	Statoil ASA (old)	NO	VISUND	VISUND	2007-05-16	2007-08-01	OIL	SUSP.AT TD	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5559	http://www.npd.no/FactMapSearch?NPDID_wellbore=5559	NO
5560	34/11-A-12	34/11-A-12	KVITEBJØRN	193	DEVELOPMENT	Statoil ASA (old)	NO	KVITEBJØRN	KVITEBJØRN	2007-08-04	2007-12-22	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5560	http://www.npd.no/FactMapSearch?NPDID_wellbore=5560	NO
5561	15/5-A-7	15/5-A-7 H	GLITNE	048 B	DEVELOPMENT	Statoil ASA (old)	NO	OCEAN VANGUARD	15/5-A-7 H	2007-06-06	2007-09-30	OIL	PLUGGED	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5561	http://www.npd.no/FactMapSearch?NPDID_wellbore=5561	NO
5562	6507/11-8	6507/11-8	YTTERGRYTA	062	EXPLORATION	Statoil ASA (old)	NO	STENA DON	\N	2007-05-31	2007-07-03	GAS	RE-CLASS TO DEV	9	WILDCAT	300.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5562	http://www.npd.no/FactMapSearch?NPDID_wellbore=5562	YES
5563	24/9-8	24/9-8	\N	305	EXPLORATION	Det Norske Oljeselskap AS	NO	BREDFORD DOLPHIN	\N	2007-07-18	2007-09-04	DRY	P&A	1	WILDCAT	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5563	http://www.npd.no/FactMapSearch?NPDID_wellbore=5563	NO
5564	6405/10-U-1	6405/10-U-1	\N	\N	SHALLOW	Statoil ASA (old)	NO	TRANSOCEAN LEADER	\N	2007-07-02	2007-07-05	\N	P&A	0	\N	928.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5564	\N	NO
5565	6405/10-1	6405/10-1	\N	281	EXPLORATION	Statoil ASA (old)	NO	TRANSOCEAN LEADER	\N	2007-07-05	2007-09-07	GAS	P&A	9	WILDCAT	928.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5565	http://www.npd.no/FactMapSearch?NPDID_wellbore=5565	YES
5566	15/6-9	15/6-9 A	\N	303	EXPLORATION	Statoil ASA (old)	NO	WEST EPSILON	\N	2007-05-26	2007-06-13	GAS/CONDENSATE	P&A	17	APPRAISAL	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5566	http://www.npd.no/FactMapSearch?NPDID_wellbore=5566	NO
5567	33/9-A-2	33/9-A-2 B	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2007-06-10	2007-10-31	GAS	PRODUCING	90	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5567	http://www.npd.no/FactMapSearch?NPDID_wellbore=5567	NO
5568	35/11-B-12	35/11-B-12 H	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	FRAM B1	2007-06-26	2007-09-02	OIL	PLUGGED	99	OBSERVATION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5568	http://www.npd.no/FactMapSearch?NPDID_wellbore=5568	NO
5569	35/11-B-12	35/11-B-12 AH	FRAM	090	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BIDEFORD DOLPHIN	FRAM B1	2007-09-03	2007-11-18	OIL	PRODUCING	50	PRODUCTION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5569	http://www.npd.no/FactMapSearch?NPDID_wellbore=5569	NO
5570	7/7-4	7/7-4	\N	335	EXPLORATION	BG Norge AS	NO	MÆRSK GUARDIAN	\N	2007-08-29	2007-10-20	DRY	P&A	1	WILDCAT	81.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5570	http://www.npd.no/FactMapSearch?NPDID_wellbore=5570	NO
5571	15/6-9	15/6-9 B	\N	303	EXPLORATION	Statoil ASA (old)	NO	WEST EPSILON	\N	2007-06-13	2007-07-23	OIL	P&A	5	APPRAISAL	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5571	http://www.npd.no/FactMapSearch?NPDID_wellbore=5571	NO
5572	7120/8-4	7120/8-4	\N	064	EXPLORATION	StatoilHydro ASA	NO	POLAR PIONEER	\N	2007-11-14	2007-12-10	DRY	P&A	1	WILDCAT	275.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5572	http://www.npd.no/FactMapSearch?NPDID_wellbore=5572	NO
5573	34/10-A-38	34/10-A-38 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS A	GULLFAKS A	2007-07-01	2007-07-17	OIL	PRODUCING	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5573	http://www.npd.no/FactMapSearch?NPDID_wellbore=5573	NO
5574	34/10-B-26	34/10-B-26 AY2	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	YES	GULLFAKS B	GULLFAKS B	2007-07-16	2007-08-04	OIL	PRODUCING	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5574	http://www.npd.no/FactMapSearch?NPDID_wellbore=5574	NO
5575	6507/7-A-30	6507/7-A-30 B	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2007-08-08	2007-08-16	OIL	PLUGGED	99	OBSERVATION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5575	http://www.npd.no/FactMapSearch?NPDID_wellbore=5575	NO
5576	6507/7-A-30	6507/7-A-30 C	HEIDRUN	095	DEVELOPMENT	Statoil ASA (old)	NO	HEIDRUN	HEIDRUN	2007-08-17	2007-09-07	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5576	http://www.npd.no/FactMapSearch?NPDID_wellbore=5576	NO
5577	6506/12-R-3	6506/12-R-3 Y1H	ÅSGARD	094	DEVELOPMENT	Statoil ASA (old)	YES	STENA DON	ÅSGARD R	2007-07-06	2008-07-25	GAS	INJECTING	91	INJECTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5577	http://www.npd.no/FactMapSearch?NPDID_wellbore=5577	NO
5578	33/9-M-2	33/9-M-2 BH	STATFJORD ØST	037	DEVELOPMENT	Statoil ASA (old)	NO	BORGLAND DOLPHIN	STATFJORD ØST M	2007-07-10	2007-08-18	OIL	PRODUCING	50	PRODUCTION	194.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5578	http://www.npd.no/FactMapSearch?NPDID_wellbore=5578	NO
5579	25/4-E-1	25/4-E-1 AH	VILJE	036	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	DEEPSEA DELTA	ALVHEIM FPSO	2007-07-23	2007-08-12	NOT AVAILABLE	PLUGGED	71	PRODUCTION	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5579	http://www.npd.no/FactMapSearch?NPDID_wellbore=5579	NO
5580	24/6-A-1	24/6-A-1 H	ALVHEIM	088 BS	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	BOA	2007-07-18	2007-07-30	OIL	PLUGGED	99	OBSERVATION	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5580	http://www.npd.no/FactMapSearch?NPDID_wellbore=5580	NO
5581	24/6-A-1	24/6-A-1 AY1H	ALVHEIM	088 BS	DEVELOPMENT	Marathon Petroleum Norge AS	YES	DEEPSEA BERGEN	BOA	2007-07-31	2007-08-29	OIL	PRODUCING	50	PRODUCTION	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5581	http://www.npd.no/FactMapSearch?NPDID_wellbore=5581	NO
5582	24/6-A-1	24/6-A-1 AY2H	ALVHEIM	088 BS	DEVELOPMENT	Marathon Petroleum Norge AS	YES	DEEPSEA BERGEN	BOA	2007-08-30	2007-12-09	OIL	PRODUCING	50	PRODUCTION	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5582	http://www.npd.no/FactMapSearch?NPDID_wellbore=5582	NO
5583	24/6-A-4	24/6-A-4 H	ALVHEIM	088 BS	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	BOA	2007-07-05	2007-12-09	OIL	PRODUCING	50	PRODUCTION	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5583	http://www.npd.no/FactMapSearch?NPDID_wellbore=5583	NO
5584	25/11-G-39	25/11-G-39 BY1	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2007-07-29	2007-09-18	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5584	http://www.npd.no/FactMapSearch?NPDID_wellbore=5584	NO
5585	25/11-G-39	25/11-G-39 BY2	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2007-09-30	2007-10-21	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5585	http://www.npd.no/FactMapSearch?NPDID_wellbore=5585	NO
5586	25/11-G-39	25/11-G-39 BY3	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	GRANE	GRANE	2007-10-22	2007-11-27	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5586	http://www.npd.no/FactMapSearch?NPDID_wellbore=5586	NO
5587	6506/11-N-2	6506/11-N-2 H	KRISTIN	134 B	DEVELOPMENT	Statoil ASA (old)	NO	WEST ALPHA	KRISTIN N	2007-07-09	2008-05-01	GAS	PRODUCING	90	PRODUCTION	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5587	http://www.npd.no/FactMapSearch?NPDID_wellbore=5587	NO
5588	2/4-M-1	2/4-M-1	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2008-05-02	2008-05-26	NOT AVAILABLE	PLUGGED	71	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5588	http://www.npd.no/FactMapSearch?NPDID_wellbore=5588	NO
5589	2/4-M-3	2/4-M-3	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2008-01-24	2008-02-19	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5589	http://www.npd.no/FactMapSearch?NPDID_wellbore=5589	NO
5590	2/4-M-5	2/4-M-5	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2008-09-05	2008-10-20	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5590	http://www.npd.no/FactMapSearch?NPDID_wellbore=5590	NO
5591	2/4-M-9	2/4-M-9	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2008-06-29	2008-07-30	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5591	http://www.npd.no/FactMapSearch?NPDID_wellbore=5591	NO
5592	2/4-M-12	2/4-M-12	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2007-12-17	2008-01-22	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5592	http://www.npd.no/FactMapSearch?NPDID_wellbore=5592	NO
5593	2/4-M-28	2/4-M-28	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2007-11-17	2007-12-16	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5593	http://www.npd.no/FactMapSearch?NPDID_wellbore=5593	NO
5594	33/9-C-12	33/9-C-12 D	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD C	STATFJORD C	2007-08-07	2007-09-21	GAS	PRODUCING	90	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5594	http://www.npd.no/FactMapSearch?NPDID_wellbore=5594	NO
5595	15/9-A-14	15/9-A-14	SLEIPNER ØST	046	DEVELOPMENT	Statoil ASA (old)	NO	SLEIPNER A	SLEIPNER A	2007-08-10	2008-02-28	GAS/CONDENSATE	PLUGGED	170	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5595	http://www.npd.no/FactMapSearch?NPDID_wellbore=5595	NO
5596	11/5-1	11/5-1	\N	317	EXPLORATION	Norsk Hydro Produksjon AS	NO	POLAR PIONEER	\N	2007-08-07	2007-09-12	DRY	P&A	1	WILDCAT	176.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5596	http://www.npd.no/FactMapSearch?NPDID_wellbore=5596	NO
5597	30/9-B-28	30/9-B-28	OSEBERG	079	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG B	OSEBERG B	2007-09-16	2008-03-14	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5597	http://www.npd.no/FactMapSearch?NPDID_wellbore=5597	NO
5598	31/2-X-12	31/2-X-12 AH	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	WEST VENTURE	TROLL T1	2007-08-25	2007-09-23	OIL	SUSP.AT TD	50	PRODUCTION	334.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5598	http://www.npd.no/FactMapSearch?NPDID_wellbore=5598	NO
5599	15/9-F-12	15/9-F-12	VOLVE	046 BS	DEVELOPMENT	Statoil ASA (old)	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2007-07-22	2007-09-14	OIL	PRODUCING	50	PRODUCTION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5599	http://www.npd.no/FactMapSearch?NPDID_wellbore=5599	NO
5600	34/4-C-1	34/4-C-1 H	SNORRE	057	DEVELOPMENT	Statoil ASA (old)	NO	SNORRE B	34/4-C H	2007-10-10	2008-02-07	OIL	PRODUCING	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5600	http://www.npd.no/FactMapSearch?NPDID_wellbore=5600	NO
5601	30/3-A-22	30/3-A-22 B	VESLEFRIKK	052	DEVELOPMENT	Statoil ASA (old)	NO	VESLEFRIKK A	VESLEFRIKK A	2007-08-20	2008-01-13	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5601	http://www.npd.no/FactMapSearch?NPDID_wellbore=5601	NO
5602	31/3-Q-21	31/3-Q-21 BY1H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	31/3-Q-21 H	2007-08-23	2008-07-24	OIL	PRODUCING	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5602	http://www.npd.no/FactMapSearch?NPDID_wellbore=5602	NO
5603	31/3-Q-21	31/3-Q-21 BY2H	TROLL	085	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	31/3-Q-21 H	2008-07-26	2008-08-20	OIL	PRODUCING	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5603	http://www.npd.no/FactMapSearch?NPDID_wellbore=5603	NO
5604	31/2-L-11	31/2-L-11 BY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	SONGA DEE	TROLL L1	2007-07-13	2007-08-24	OIL	PRODUCING	50	PRODUCTION	349.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5604	http://www.npd.no/FactMapSearch?NPDID_wellbore=5604	NO
5605	31/2-L-11	31/2-L-11 BY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	SONGA DEE	TROLL L1	2007-08-28	2007-10-06	OIL	PRODUCING	50	PRODUCTION	349.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5605	http://www.npd.no/FactMapSearch?NPDID_wellbore=5605	NO
5606	31/4-A-40	31/4-A-40 B	BRAGE	055	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	BRAGE	BRAGE	2007-07-25	2007-08-22	OIL	PRODUCING	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5606	http://www.npd.no/FactMapSearch?NPDID_wellbore=5606	NO
5607	15/12-18	15/12-18 S	\N	337	EXPLORATION	Det norske oljeselskap ASA (old)	NO	MÆRSK GIANT	\N	2007-09-05	2007-11-07	OIL	P&A	5	WILDCAT	90.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5607	http://www.npd.no/FactMapSearch?NPDID_wellbore=5607	YES
5608	15/12-18	15/12-18 A	\N	337	EXPLORATION	Det norske oljeselskap ASA (old)	NO	MÆRSK GIANT	\N	2007-11-08	2007-12-11	OIL	P&A	5	WILDCAT	90.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5608	http://www.npd.no/FactMapSearch?NPDID_wellbore=5608	YES
5609	34/10-B-30	34/10-B-30 A	GULLFAKS	050	DEVELOPMENT	Statoil ASA (old)	NO	GULLFAKS B	GULLFAKS B	2007-08-22	2008-11-28	OIL	PRODUCING	50	PRODUCTION	143.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5609	http://www.npd.no/FactMapSearch?NPDID_wellbore=5609	NO
5610	15/9-F-7	15/9-F-7	VOLVE	046 BS	DEVELOPMENT	Statoil ASA (old)	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2007-09-16	2007-10-11	WATER	SUSP.AT TD	172	PRODUCTION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5610	http://www.npd.no/FactMapSearch?NPDID_wellbore=5610	NO
5611	2/4-X-40	2/4-X-40 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2007-08-09	2007-09-21	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5611	http://www.npd.no/FactMapSearch?NPDID_wellbore=5611	NO
5612	16/1-8	16/1-8	EDVARD GRIEG	338	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2007-09-08	2007-11-13	OIL	SUSPENDED	5	WILDCAT	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5612	http://www.npd.no/FactMapSearch?NPDID_wellbore=5612	YES
5614	1/3-10	1/3-10	OSELVAR	274	EXPLORATION	DONG E&P Norge AS	NO	MÆRSK GUARDIAN	\N	2007-10-25	2008-01-07	OIL/GAS	P&A	13	APPRAISAL	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5614	http://www.npd.no/FactMapSearch?NPDID_wellbore=5614	NO
5616	25/4-E-1	25/4-E-1 BY1H	VILJE	036	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA DELTA	ALVHEIM FPSO	2007-08-13	2007-08-27	OIL	PRODUCING	50	PRODUCTION	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5616	http://www.npd.no/FactMapSearch?NPDID_wellbore=5616	NO
5617	25/4-E-1	25/4-E-1 BY2H	VILJE	036	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA DELTA	ALVHEIM FPSO	2007-08-30	2007-09-19	OIL	PRODUCING	50	PRODUCTION	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5617	http://www.npd.no/FactMapSearch?NPDID_wellbore=5617	NO
5618	31/2-P-14	31/2-P-14 BY1H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL P1	2007-10-15	2007-11-23	OIL	PRODUCING	50	PRODUCTION	336.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5618	http://www.npd.no/FactMapSearch?NPDID_wellbore=5618	NO
5619	31/2-P-14	31/2-P-14 BY2H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL P1	2007-11-24	2007-12-09	OIL	PRODUCING	50	PRODUCTION	336.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5619	http://www.npd.no/FactMapSearch?NPDID_wellbore=5619	NO
5620	31/2-P-14	31/2-P-14 BY3H	TROLL	054	DEVELOPMENT	Norsk Hydro Produksjon AS	YES	DEEPSEA TRYM	TROLL P1	2007-12-10	2007-12-25	OIL	PRODUCING	50	PRODUCTION	336.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5620	http://www.npd.no/FactMapSearch?NPDID_wellbore=5620	NO
5621	31/4-A-28	31/4-A-28 B	BRAGE	055	DEVELOPMENT	StatoilHydro Petroleum AS	NO	BRAGE	BRAGE	2007-12-20	2008-01-31	OIL	PRODUCING	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5621	http://www.npd.no/FactMapSearch?NPDID_wellbore=5621	NO
5622	6506/12-I-1	6506/12-I-1 AH	ÅSGARD	094	DEVELOPMENT	StatoilHydro ASA	NO	STENA DON	ÅSGARD I	2008-06-22	2008-09-16	OIL	PRODUCING	50	PRODUCTION	289.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5622	http://www.npd.no/FactMapSearch?NPDID_wellbore=5622	NO
5623	6407/9-E-3	6407/9-E-3 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	TRANSOCEAN ARCTIC	6407/9-E-3 H	2007-11-22	2008-01-22	OIL	PRODUCING	50	PRODUCTION	293.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5623	http://www.npd.no/FactMapSearch?NPDID_wellbore=5623	NO
5624	6608/10-F-4	6608/10-F-4 AH	NORNE	128	DEVELOPMENT	Statoil ASA (old)	NO	STENA DON	NORNE F	2007-10-01	2007-11-08	WATER	INJECTING	173	INJECTION	381.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5624	http://www.npd.no/FactMapSearch?NPDID_wellbore=5624	NO
5625	16/2-4	16/2-4	\N	265	EXPLORATION	StatoilHydro ASA	NO	WEST EPSILON	\N	2007-10-08	2007-12-15	OIL/GAS	P&A	13	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5625	http://www.npd.no/FactMapSearch?NPDID_wellbore=5625	YES
5626	6609/6-1	6609/6-1	\N	286	EXPLORATION	StatoilHydro Petroleum AS	NO	POLAR PIONEER	\N	2007-09-17	2007-11-07	DRY	P&A	1	WILDCAT	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5626	http://www.npd.no/FactMapSearch?NPDID_wellbore=5626	NO
5627	30/6-C-21	30/6-C-21 A	OSEBERG	053	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG C	OSEBERG C	2007-12-01	2008-06-13	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5627	http://www.npd.no/FactMapSearch?NPDID_wellbore=5627	NO
5628	33/12-B-1	33/12-B-1 C	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD B	STATFJORD B	2007-09-20	2007-11-04	OIL/GAS	PRODUCING	0	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5628	http://www.npd.no/FactMapSearch?NPDID_wellbore=5628	NO
5629	2/4-X-1	2/4-X-1 C	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2007-10-13	2007-12-09	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5629	http://www.npd.no/FactMapSearch?NPDID_wellbore=5629	NO
5630	17/12-U-1	17/12-U-1	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5630	\N	NO
5631	2/9-U-1	2/9-U-1	\N	273	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2007-10-13	2007-10-13	\N	P&A	0	\N	69.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5631	\N	NO
5632	2/9-U-2	2/9-U-2	\N	273	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2007-10-14	2007-10-14	\N	P&A	0	\N	70.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5632	\N	NO
5633	2/9-U-3	2/9-U-3	\N	273	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2007-10-14	2007-10-15	\N	P&A	0	\N	70.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5633	\N	NO
5634	6407/9-D-3	6407/9-D-3 H	DRAUGEN	093	DEVELOPMENT	A/S Norske Shell	NO	TRANSOCEAN ARCTIC	DRAUGEN D	2008-02-14	2008-04-14	OIL	PRODUCING	50	PRODUCTION	254.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5634	http://www.npd.no/FactMapSearch?NPDID_wellbore=5634	NO
5635	2/1-A-9	2/1-A-9 A	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2007-10-19	2007-10-25	WATER	INJECTING	173	INJECTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5635	http://www.npd.no/FactMapSearch?NPDID_wellbore=5635	NO
5636	6407/6-6	6407/6-6	\N	312	EXPLORATION	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2008-01-02	2008-02-05	GAS	P&A	9	WILDCAT	226.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5636	http://www.npd.no/FactMapSearch?NPDID_wellbore=5636	YES
5637	6407/6-U-6	6407/6-U-6	\N	312	SHALLOW	StatoilHydro Petroleum AS	NO	OCEAN VANGUARD	\N	2008-01-02	2008-01-04	\N	P&A	0	\N	226.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5637	\N	NO
5638	24/12-5	24/12-5 S	\N	341	EXPLORATION	Noil Energy ASA	NO	BREDFORD DOLPHIN	\N	2007-11-15	2007-12-21	DRY	P&A	1	APPRAISAL	116.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5638	http://www.npd.no/FactMapSearch?NPDID_wellbore=5638	NO
5639	2/4-K-16	2/4-K-16 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	9999-12-31	9999-12-31	\N	\N	0	INJECTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5639	http://www.npd.no/FactMapSearch?NPDID_wellbore=5639	NO
5640	25/11-G-31	25/11-G-31	GRANE	169 B1	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	GRANE	GRANE	2007-11-30	2007-12-17	\N	SUSPENDED	0	INJECTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5640	http://www.npd.no/FactMapSearch?NPDID_wellbore=5640	NO
5641	35/11-B-23	35/11-B-23 H	FRAM	090	DEVELOPMENT	StatoilHydro Petroleum AS	NO	BIDEFORD DOLPHIN	FRAM B2	2007-11-27	2008-01-13	OIL	PLUGGED	99	OBSERVATION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5641	http://www.npd.no/FactMapSearch?NPDID_wellbore=5641	YES
5642	25/11-25	25/11-25 S	SVALIN	169	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN WINNER	\N	2008-01-20	2008-02-15	OIL	P&A	5	WILDCAT	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5642	http://www.npd.no/FactMapSearch?NPDID_wellbore=5642	YES
5643	25/11-25	25/11-25 A	\N	169	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN WINNER	\N	2008-02-15	2008-03-10	DRY	P&A	1	WILDCAT	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5643	http://www.npd.no/FactMapSearch?NPDID_wellbore=5643	NO
5644	35/11-B-23	35/11-B-23 AY1H	FRAM	090	DEVELOPMENT	StatoilHydro Petroleum AS	YES	BIDEFORD DOLPHIN	FRAM B2	2008-01-14	2008-03-15	OIL	PRODUCING	50	PRODUCTION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5644	http://www.npd.no/FactMapSearch?NPDID_wellbore=5644	NO
5645	35/11-B-23	35/11-B-23 AY2H	FRAM	090	DEVELOPMENT	StatoilHydro Petroleum AS	YES	BIDEFORD DOLPHIN	FRAM B2	2008-03-16	2008-04-26	OIL	PRODUCING	50	PRODUCTION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5645	http://www.npd.no/FactMapSearch?NPDID_wellbore=5645	NO
5646	17/12-U-2	17/12-U-2	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5646	\N	NO
5647	17/12-U-3	17/12-U-3	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5647	\N	NO
5650	9/4-U-2	9/4-U-2	\N	315	SHALLOW	ExxonMobil Exploration & Production Norway AS	NO	BUCENTAUR	\N	2005-01-25	2005-01-25	\N	P&A	0	\N	77.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5650	\N	NO
5651	9/4-U-3	9/4-U-3	\N	315	SHALLOW	ExxonMobil Exploration & Production Norway AS	NO	BUCENTAUR	\N	2005-01-27	2007-01-27	\N	P&A	0	\N	77.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5651	\N	NO
5652	9/4-U-4	9/4-U-4	\N	315	SHALLOW	ExxonMobil Exploration & Production Norway AS	NO	BUCENTAUR	\N	2005-01-29	2005-01-29	\N	P&A	0	\N	77.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5652	\N	NO
5653	9/4-U-5	9/4-U-5	\N	315	SHALLOW	ExxonMobil Exploration & Production Norway AS	NO	BUCENTAUR	\N	2005-01-30	2005-01-30	\N	P&A	0	\N	77.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5653	\N	NO
5654	25/8-U-8	25/8-U-8	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-28	1996-08-28	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5654	\N	NO
5655	25/8-U-9	25/8-U-9	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-28	1996-08-28	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5655	\N	NO
5656	25/8-U-10	25/8-U-10	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-28	1996-08-28	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5656	\N	NO
5657	25/8-U-11	25/8-U-11	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-28	1996-08-28	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5657	\N	NO
5658	25/8-U-12	25/8-U-12	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-28	1996-08-28	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5658	\N	NO
5659	25/8-U-13	25/8-U-13	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1996-08-28	1966-08-28	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5659	\N	NO
5660	25/8-U-14	25/8-U-14	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1997-07-02	1997-07-02	\N	P&A	0	\N	124.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5660	\N	NO
5661	25/8-U-15	25/8-U-15	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1997-07-03	1997-07-03	\N	P&A	0	\N	127.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5661	\N	NO
5662	25/8-U-16	25/8-U-16	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1997-07-03	1997-07-03	\N	P&A	0	\N	127.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5662	\N	NO
5663	25/8-U-17	25/8-U-17	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1997-07-04	1997-07-04	\N	P&A	0	\N	128.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5663	\N	NO
5664	25/8-U-18	25/8-U-18	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1997-07-03	1997-07-03	\N	P&A	0	\N	126.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5664	\N	NO
5665	25/8-U-19	25/8-U-19	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1997-07-04	1997-07-04	\N	P&A	0	\N	127.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5665	\N	NO
5666	25/8-U-20	25/8-U-20	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	BUCENTAUR	\N	1997-07-04	1997-07-04	\N	P&A	0	\N	127.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5666	\N	NO
5667	25/11-U-1	25/11-U-1	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	MARINER	\N	1974-10-02	1974-10-02	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5667	\N	NO
5668	25/11-U-2	25/11-U-2	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	MARINER	\N	1974-10-07	1974-10-07	\N	P&A	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5668	\N	NO
5669	25/11-U-3	25/11-U-3	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	NORSKALD	\N	1978-10-27	1978-10-27	\N	P&A	0	\N	124.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5669	\N	NO
5670	25/11-U-4	25/11-U-4	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	NORSKALD	\N	1978-10-28	1978-10-28	\N	P&A	0	\N	123.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5670	\N	NO
5671	25/11-U-5	25/11-U-5	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	FUGRO I	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5671	\N	NO
5672	25/11-U-6	25/11-U-6	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	FUGRO I	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5672	\N	NO
5673	25/11-U-7	25/11-U-7	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	FUGRO I	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5673	\N	NO
5674	25/11-U-8	25/11-U-8	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	FUGRO I	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5674	\N	NO
5675	25/11-U-9	25/11-U-9	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	FUGRO I	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	125.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5675	\N	NO
5676	25/11-U-10	25/11-U-10	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	FUGRO I	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	125.600000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5676	\N	NO
5677	25/11-U-11	25/11-U-11	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	FUGRO I	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.600000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5677	\N	NO
5678	25/11-U-12	25/11-U-12	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	FUGRO I	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.600000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5678	\N	NO
5679	25/11-U-13	25/11-U-13	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	FUGRO I	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5679	\N	NO
5680	25/11-U-14	25/11-U-14	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	FUGRO I	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5680	\N	NO
5681	25/11-U-15	25/11-U-15	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.600000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5681	\N	NO
5682	25/11-U-16	25/11-U-16	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5682	\N	NO
5683	7/4-2	7/4-2	BRYNHILD	148	EXPLORATION	Lundin Norway AS	NO	MÆRSK GIANT	\N	2007-12-15	2008-03-13	OIL	P&A	5	APPRAISAL	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5683	http://www.npd.no/FactMapSearch?NPDID_wellbore=5683	NO
5684	34/12-1	34/12-1	\N	293	EXPLORATION	Eni Norge AS	NO	TRANSOCEAN LEADER	\N	2007-11-03	2008-04-30	GAS/CONDENSATE	P&A	17	WILDCAT	373.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5684	http://www.npd.no/FactMapSearch?NPDID_wellbore=5684	YES
5685	6507/2-4	6507/2-4	MARULK	122	EXPLORATION	Eni Norge AS	NO	WEST ALPHA	\N	2007-11-17	2008-02-19	GAS/CONDENSATE	P&A	17	APPRAISAL	365.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5685	http://www.npd.no/FactMapSearch?NPDID_wellbore=5685	NO
5686	1/3-U-1	1/3-U-1	\N	274 BS	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	2007-10-10	2007-10-10	\N	P&A	0	\N	69.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5686	\N	NO
5687	1/3-U-2	1/3-U-2	\N	274 BS	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	2007-10-10	2007-10-10	\N	P&A	0	\N	69.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5687	\N	NO
5688	1/3-U-3	1/3-U-3	\N	274 BS	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	2007-10-10	2007-10-10	\N	P&A	0	\N	69.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5688	\N	NO
5689	2/1-A-27	2/1-A-27 A	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2007-11-14	2007-12-24	OIL	PRODUCING	50	PRODUCTION	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5689	http://www.npd.no/FactMapSearch?NPDID_wellbore=5689	NO
5690	1/3-U-4	1/3-U-4	\N	274 BS	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	2007-10-11	2007-10-11	\N	P&A	0	\N	69.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5690	\N	NO
5691	1/3-U-5	1/3-U-5	\N	274 BS	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	2007-10-11	2007-10-11	\N	P&A	0	\N	69.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5691	\N	NO
5692	1/6-U-1	1/6-U-1	\N	297	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	2007-10-12	2007-10-12	\N	P&A	0	\N	69.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5692	\N	NO
5693	15/9-F-4	15/9-F-4	VOLVE	046 BS	DEVELOPMENT	Statoil ASA (old)	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2007-10-13	2007-11-06	WATER	INJECTING	173	INJECTION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5693	http://www.npd.no/FactMapSearch?NPDID_wellbore=5693	NO
5694	34/10-A-45	34/10-A-45 A	GULLFAKS	050	DEVELOPMENT	StatoilHydro ASA	NO	GULLFAKS A	GULLFAKS A	2008-08-12	2008-09-06	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5694	http://www.npd.no/FactMapSearch?NPDID_wellbore=5694	NO
5695	31/2-E-1	31/2-E-1 BY1H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	WEST VENTURE	TROLL E	2007-11-21	2008-01-11	OIL	PRODUCING	50	PRODUCTION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5695	http://www.npd.no/FactMapSearch?NPDID_wellbore=5695	NO
5696	31/2-E-1	31/2-E-1 BY2H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	WEST VENTURE	TROLL E	2008-01-12	2008-03-01	OIL	PRODUCING	50	PRODUCTION	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5696	http://www.npd.no/FactMapSearch?NPDID_wellbore=5696	NO
5697	30/9-L-53	30/9-L-53 H	OSEBERG SØR	079	DEVELOPMENT	StatoilHydro Petroleum AS	NO	DEEPSEA DELTA	OSEBERG DELTA	2007-11-21	2008-01-19	NOT AVAILABLE	PLUGGED	99	OBSERVATION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5697	http://www.npd.no/FactMapSearch?NPDID_wellbore=5697	NO
5698	30/9-L-53	30/9-L-53 AH	OSEBERG SØR	079	DEVELOPMENT	StatoilHydro Petroleum AS	NO	DEEPSEA DELTA	OSEBERG DELTA	2008-01-20	2008-04-10	OIL	PRODUCING	50	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5698	http://www.npd.no/FactMapSearch?NPDID_wellbore=5698	NO
5699	6608/10-E-2	6608/10-E-2 BH	NORNE	128	DEVELOPMENT	StatoilHydro ASA	NO	STENA DON	NORNE E	2007-11-23	2008-02-14	OIL	PLUGGED	99	OBSERVATION	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5699	http://www.npd.no/FactMapSearch?NPDID_wellbore=5699	NO
5700	6608/10-E-2	6608/10-E-2 CH	NORNE	128	DEVELOPMENT	StatoilHydro ASA	NO	STENA DON	NORNE E	2008-02-15	2008-03-09	OIL	PRODUCING	50	PRODUCTION	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5700	http://www.npd.no/FactMapSearch?NPDID_wellbore=5700	NO
5701	33/12-B-40	33/12-B-40 E	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD B	STATFJORD B	2007-11-24	2008-01-21	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5701	http://www.npd.no/FactMapSearch?NPDID_wellbore=5701	NO
5702	33/9-C-27	33/9-C-27 B	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD C	STATFJORD C	2007-11-29	2008-01-10	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5702	http://www.npd.no/FactMapSearch?NPDID_wellbore=5702	NO
5703	30/9-F-14	30/9-F-14 B	OSEBERG SØR	104	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG SØR	OSEBERG SØR	2008-04-11	2008-06-21	WATER/GAS	INJECTING	0	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5703	http://www.npd.no/FactMapSearch?NPDID_wellbore=5703	NO
5704	25/4-K-4	25/4-K-4 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	ALVHEIM FPSO	2007-12-11	2007-12-18	NOT AVAILABLE	P&A	71	PRODUCTION	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5704	http://www.npd.no/FactMapSearch?NPDID_wellbore=5704	NO
5705	15/12-19	15/12-19	GAUPE	292	EXPLORATION	BG Norge AS	NO	MÆRSK GUARDIAN	\N	2008-02-18	2008-05-20	OIL/GAS	P&A	13	WILDCAT	85.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5705	http://www.npd.no/FactMapSearch?NPDID_wellbore=5705	YES
5706	25/11-U-17	25/11-U-17	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5706	\N	NO
5707	25/11-U-18	25/11-U-18	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5707	\N	NO
5708	25/11-U-19	25/11-U-19	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5708	\N	NO
5709	25/11-U-20	25/11-U-20	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5709	\N	NO
5710	25/11-U-21	25/11-U-21	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5710	\N	NO
5711	25/11-U-22	25/11-U-22	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5711	\N	NO
5712	25/11-U-23	25/11-U-23	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5712	\N	NO
5713	25/11-U-24	25/11-U-24	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	127.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5713	\N	NO
5714	25/11-U-25	25/11-U-25	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5714	\N	NO
5715	25/11-U-26	25/11-U-26	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	127.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5715	\N	NO
5716	25/11-U-27	25/11-U-27	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	126.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5716	\N	NO
5717	25/11-U-28	25/11-U-28	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5717	\N	NO
5718	25/11-U-29	25/11-U-29	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	126.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5718	\N	NO
5719	25/11-U-30	25/11-U-30	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	127.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5719	\N	NO
5720	25/11-U-31	25/11-U-31	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	127.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5720	\N	NO
5721	25/11-U-32	25/11-U-32	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5721	\N	NO
5722	25/11-U-33	25/11-U-33	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5722	\N	NO
5723	25/11-U-34	25/11-U-34	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5723	\N	NO
5724	25/11-U-35	25/11-U-35	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5724	\N	NO
5725	25/11-U-36	25/11-U-36	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5725	\N	NO
5726	25/11-U-37	25/11-U-37	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5726	\N	NO
5727	25/11-U-38	25/11-U-38	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5727	\N	NO
5728	25/11-U-39	25/11-U-39	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5728	\N	NO
5729	25/11-U-40	25/11-U-40	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5729	\N	NO
5730	25/11-U-41	25/11-U-41	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5730	\N	NO
5731	25/11-U-42	25/11-U-42	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5731	\N	NO
5732	25/11-U-43	25/11-U-43	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	129.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5732	\N	NO
5733	25/11-U-44	25/11-U-44	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	128.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5733	\N	NO
5734	25/11-U-45	25/11-U-45	\N	001	SHALLOW	Esso Exploration and Production Norway A/S	NO	\N	\N	1999-08-19	1999-09-04	\N	P&A	0	\N	19.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5734	\N	NO
5735	2/5-U-1	2/5-U-1	\N	006 C	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2008-01-22	2008-01-22	\N	P&A	0	\N	67.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5735	\N	NO
5736	2/5-U-2	2/5-U-2	\N	006 C	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2008-01-23	2008-01-23	\N	P&A	0	\N	67.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5736	\N	NO
5737	2/5-U-3	2/5-U-3	\N	006 C	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2008-01-23	2008-01-23	\N	P&A	0	\N	67.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5737	\N	NO
5738	25/5-U-7	25/5-U-7	\N	363	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2008-01-28	2008-01-28	\N	P&A	0	\N	119.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5738	\N	NO
5739	25/5-U-8	25/5-U-8	\N	363	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2008-01-29	2008-01-29	\N	P&A	0	\N	119.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5739	\N	NO
5740	25/5-U-9	25/5-U-9	\N	363	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2008-01-30	2008-01-30	\N	P&A	0	\N	119.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5740	\N	NO
5741	25/10-U-1	25/10-U-1	\N	304	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5741	\N	NO
5742	25/10-U-2	25/10-U-2	\N	304	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5742	\N	NO
5743	25/10-U-3	25/10-U-3	\N	304	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	0.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5743	\N	NO
5744	25/11-G-1	25/11-G-1 Y1	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2007-12-17	2008-02-10	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5744	http://www.npd.no/FactMapSearch?NPDID_wellbore=5744	NO
5745	25/11-G-1	25/11-G-1 Y2	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2008-02-11	2008-03-04	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5745	http://www.npd.no/FactMapSearch?NPDID_wellbore=5745	NO
5746	25/11-G-1	25/11-G-1 Y3	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2008-03-05	2008-03-29	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5746	http://www.npd.no/FactMapSearch?NPDID_wellbore=5746	NO
5747	25/11-G-1	25/11-G-1 Y4	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2008-03-30	2008-04-22	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5747	http://www.npd.no/FactMapSearch?NPDID_wellbore=5747	NO
5748	30/10-U-1	30/10-U-1	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	FERDER	\N	1980-04-09	1980-04-30	\N	P&A	0	\N	85.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5748	\N	NO
5749	30/10-U-2	30/10-U-2	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	FERDER	\N	1980-04-09	1980-04-30	\N	P&A	0	\N	50.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5749	\N	NO
5750	30/10-U-3	30/10-U-3	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	FERDER	\N	1980-04-09	1980-04-30	\N	P&A	0	\N	46.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5750	\N	NO
5751	30/10-U-4	30/10-U-4	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	FERDER	\N	1980-04-09	1980-04-30	\N	P&A	0	\N	85.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5751	\N	NO
5752	30/10-U-5	30/10-U-5	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	FERDER	\N	1980-04-09	1980-04-30	\N	P&A	0	\N	50.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5752	\N	NO
5753	30/10-U-6	30/10-U-6	\N	\N	SHALLOW	Esso Exploration and Production Norway A/S	NO	FERDER	\N	1980-04-09	1980-04-30	\N	P&A	0	\N	72.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5753	\N	NO
5754	6704/3-U-1	6704/3-U-1	\N	\N	SHALLOW	NATIONAL SCIENCE FOUNDATION	NO	GLOMAR CHALLENGE	\N	1974-08-20	1974-08-22	\N	P&A	0	\N	1303.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5754	\N	NO
5755	7222/6-1	7222/6-1 S	\N	228	EXPLORATION	StatoilHydro Petroleum AS	NO	POLAR PIONEER	\N	2008-01-07	2008-03-10	OIL/GAS	P&A	13	WILDCAT	364.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5755	http://www.npd.no/FactMapSearch?NPDID_wellbore=5755	YES
5756	31/2-Q-14	31/2-Q-14 AY1H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	DEEPSEA TRYM	TROLL Q1	2008-03-03	2008-03-31	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5756	http://www.npd.no/FactMapSearch?NPDID_wellbore=5756	NO
5757	31/2-Q-14	31/2-Q-14 AY2H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	DEEPSEA TRYM	TROLL Q1	2008-04-01	2008-04-17	OIL	PRODUCING	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5757	http://www.npd.no/FactMapSearch?NPDID_wellbore=5757	NO
5758	34/8-A-9	34/8-A-9 AH	VISUND	120	DEVELOPMENT	StatoilHydro ASA	NO	VISUND	VISUND	2008-03-03	2008-04-29	OIL	SUSP.AT TD	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5758	http://www.npd.no/FactMapSearch?NPDID_wellbore=5758	NO
5759	34/10-B-12	34/10-B-12 A	GULLFAKS	050	DEVELOPMENT	StatoilHydro ASA	NO	GULLFAKS B	GULLFAKS B	2008-01-27	2008-03-17	OIL	PRODUCING	50	PRODUCTION	142.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5759	http://www.npd.no/FactMapSearch?NPDID_wellbore=5759	NO
5760	7607/12-U-1	7607/12-U-1	\N	\N	SHALLOW	NATIONAL SCIENCE FOUNDATION	NO	GLOMAR CHALLENGE	\N	1974-08-26	1974-08-30	\N	P&A	0	\N	2156.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5760	\N	NO
5761	6901/3-U-1	6901/3-U-1	\N	\N	SHALLOW	NATIONAL SCIENCE FOUNDATION	NO	GLOMAR CHALLENGE	\N	1974-09-01	1974-09-05	\N	P&A	0	\N	3195.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5761	\N	NO
5762	6908/1-U-1	6908/1-U-1	\N	\N	SHALLOW	ExxonMobil Exploration & Production Norway AS	NO	GLOMAR CHALLENGE	\N	1974-09-06	1974-09-07	\N	P&A	0	\N	732.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5762	\N	NO
5763	6908/1-U-2	6908/1-U-2	\N	\N	SHALLOW	NATIONAL SCIENCE FOUNDATION	NO	GLOMAR CHALLENGE	\N	1974-09-07	1974-09-08	\N	P&A	0	\N	745.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5763	\N	NO
5764	6908/12-U-1	6908/12-U-1	\N	\N	SHALLOW	NATIONAL SCIENCE FOUNDATION	NO	GLOMAR CHALLENGE	\N	1974-09-13	1974-09-14	\N	P&A	0	\N	915.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5764	\N	NO
5765	31/1-1	31/1-1	\N	311	EXPLORATION	Marathon Petroleum Norge AS	NO	BREDFORD DOLPHIN	\N	2008-01-02	2008-02-15	DRY	P&A	1	WILDCAT	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5765	http://www.npd.no/FactMapSearch?NPDID_wellbore=5765	NO
5766	6507/11-9	6507/11-9	\N	263	EXPLORATION	StatoilHydro Petroleum AS	NO	WEST ALPHA	\N	2008-03-12	2008-04-18	GAS	P&A	9	WILDCAT	281.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5766	http://www.npd.no/FactMapSearch?NPDID_wellbore=5766	YES
5767	31/2-P-14	31/2-P-14 BY4H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	DEEPSEA TRYM	TROLL P1	2007-12-26	2008-01-18	OIL	PRODUCING	50	PRODUCTION	336.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5767	http://www.npd.no/FactMapSearch?NPDID_wellbore=5767	NO
5768	25/4-K-5	25/4-K-5 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	ALVHEIM FPSO	2007-12-19	2008-02-10	OIL	PRODUCING	50	PRODUCTION	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5768	http://www.npd.no/FactMapSearch?NPDID_wellbore=5768	NO
5769	15/9-F-5	15/9-F-5	VOLVE	046 BS	DEVELOPMENT	StatoilHydro ASA	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2008-07-14	2008-08-23	WATER	INJECTING	173	INJECTION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5769	http://www.npd.no/FactMapSearch?NPDID_wellbore=5769	NO
5770	25/5-U-10	25/5-U-10	FRØY	414	SHALLOW	Det norske oljeselskap ASA (old)	NO	BUCENTAUR	\N	2008-01-10	2008-01-14	\N	P&A	0	\N	119.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5770	\N	NO
5771	33/9-C-31	33/9-C-31 B	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD C	STATFJORD C	2008-01-25	2008-02-23	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5771	http://www.npd.no/FactMapSearch?NPDID_wellbore=5771	NO
5772	34/11-A-3	34/11-A-3	KVITEBJØRN	193	DEVELOPMENT	StatoilHydro ASA	NO	KVITEBJØRN	KVITEBJØRN	2008-05-08	2008-06-20	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5772	http://www.npd.no/FactMapSearch?NPDID_wellbore=5772	NO
5773	16/1-9	16/1-9	\N	001 B	EXPLORATION	Noil Energy ASA	NO	BREDFORD DOLPHIN	\N	2008-02-19	2008-04-22	OIL/GAS	P&A	13	WILDCAT	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5773	http://www.npd.no/FactMapSearch?NPDID_wellbore=5773	YES
5774	34/10-C-52	34/10-C-52	GULLFAKS	050	DEVELOPMENT	StatoilHydro ASA	NO	GULLFAKS C	GULLFAKS C	2007-12-21	2008-03-14	NOT AVAILABLE	PLUGGED	99	OBSERVATION	217.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5774	http://www.npd.no/FactMapSearch?NPDID_wellbore=5774	NO
5775	34/10-C-52	34/10-C-52 A	GULLFAKS	050	DEVELOPMENT	StatoilHydro ASA	NO	GULLFAKS C	GULLFAKS C	2008-03-15	2008-04-07	OIL	PLUGGED	50	PRODUCTION	217.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5775	http://www.npd.no/FactMapSearch?NPDID_wellbore=5775	NO
5776	31/2-D-1	31/2-D-1 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL D	2010-08-26	2010-09-15	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5776	http://www.npd.no/FactMapSearch?NPDID_wellbore=5776	NO
5777	31/2-D-1	31/2-D-1 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL D	2010-09-16	2010-09-27	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5777	http://www.npd.no/FactMapSearch?NPDID_wellbore=5777	NO
5778	31/2-D-1	31/2-D-1 BY3H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL D	2010-09-28	2010-10-10	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5778	http://www.npd.no/FactMapSearch?NPDID_wellbore=5778	NO
5779	1/3-10	1/3-10 A	OSELVAR	274	EXPLORATION	DONG E&P Norge AS	NO	MÆRSK GUARDIAN	\N	2008-01-07	2008-02-13	OIL/GAS	P&A	13	APPRAISAL	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5779	http://www.npd.no/FactMapSearch?NPDID_wellbore=5779	NO
5780	34/4-K-8	34/4-K-8 H	SNORRE	057	DEVELOPMENT	StatoilHydro ASA	NO	SNORRE B	34/4-K H	2008-05-02	2008-07-10	WATER/GAS	INJECTING	0	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5780	http://www.npd.no/FactMapSearch?NPDID_wellbore=5780	NO
5781	25/5-U-11	25/5-U-11	FRØY	414	SHALLOW	Det norske oljeselskap ASA (old)	NO	BUCENTAUR	\N	2008-01-10	2008-01-14	\N	P&A	0	\N	119.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5781	\N	NO
5782	25/5-U-12	25/5-U-12	FRØY	414	SHALLOW	Det norske oljeselskap ASA (old)	NO	BUCENTAUR	\N	2008-01-10	2008-01-14	\N	P&A	0	\N	119.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5782	\N	NO
5783	31/4-A-35	31/4-A-35 A	BRAGE	055	DEVELOPMENT	StatoilHydro ASA	NO	BRAGE	BRAGE	2008-02-26	2008-06-22	GAS	SUSP.AT TD	91	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5783	http://www.npd.no/FactMapSearch?NPDID_wellbore=5783	NO
5784	30/2-4	30/2-4 S	\N	051	EXPLORATION	StatoilHydro ASA	NO	WEST EPSILON	\N	2008-05-01	2008-08-09	DRY	P&A	1	WILDCAT	125.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5784	http://www.npd.no/FactMapSearch?NPDID_wellbore=5784	NO
5785	15/9-F-15	15/9-F-15 A	VOLVE	046 BS	DEVELOPMENT	StatoilHydro ASA	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2008-12-12	2009-01-13	NOT APPLICABLE	PLUGGED	99	OBSERVATION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5785	http://www.npd.no/FactMapSearch?NPDID_wellbore=5785	NO
5786	7123/4-1	7123/4-1 S	\N	110 C	EXPLORATION	StatoilHydro ASA	NO	POLAR PIONEER	\N	2008-03-12	2008-04-21	SHOWS	P&A	12	APPRAISAL	413.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5786	http://www.npd.no/FactMapSearch?NPDID_wellbore=5786	NO
5787	2/4-X-12	2/4-X-12 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2008-09-21	2008-12-02	OIL	SUSP.AT TD	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5787	http://www.npd.no/FactMapSearch?NPDID_wellbore=5787	NO
5788	30/9-L-51	30/9-L-51 H	OSEBERG SØR	079	DEVELOPMENT	StatoilHydro Petroleum AS	NO	DEEPSEA DELTA	OSEBERG DELTA	2008-06-26	2008-07-23	NOT AVAILABLE	PLUGGED	99	OBSERVATION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5788	http://www.npd.no/FactMapSearch?NPDID_wellbore=5788	NO
5789	30/9-L-51	30/9-L-51 AH	OSEBERG SØR	079	DEVELOPMENT	StatoilHydro Petroleum AS	NO	DEEPSEA DELTA	OSEBERG DELTA	2008-07-23	2008-09-17	OIL	PRODUCING	50	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5789	http://www.npd.no/FactMapSearch?NPDID_wellbore=5789	NO
5790	30/3-A-21	30/3-A-21 A	VESLEFRIKK	052	DEVELOPMENT	StatoilHydro ASA	NO	VESLEFRIKK A	VESLEFRIKK A	2008-03-10	2008-05-08	WATER/GAS	INJECTING	0	INJECTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5790	http://www.npd.no/FactMapSearch?NPDID_wellbore=5790	NO
5791	33/9-21	33/9-21 S	\N	037 D	EXPLORATION	Revus Energy ASA	NO	MURCHISON A	\N	2008-12-23	2009-03-19	OIL	P&A	5	APPRAISAL	156.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5791	http://www.npd.no/FactMapSearch?NPDID_wellbore=5791	NO
5792	6305/5-B-2	6305/5-B-2 AH	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE B	2007-02-28	2008-01-23	GAS	PRODUCING	90	PRODUCTION	854.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5792	http://www.npd.no/FactMapSearch?NPDID_wellbore=5792	NO
5793	7/1-2	7/1-2 S	\N	271	EXPLORATION	StatoilHydro Petroleum AS	NO	MÆRSK GIANT	\N	2008-03-20	2008-05-08	DRY	P&A	1	WILDCAT	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5793	http://www.npd.no/FactMapSearch?NPDID_wellbore=5793	NO
5794	15/9-F-15	15/9-F-15 C	VOLVE	046 BS	DEVELOPMENT	StatoilHydro ASA	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2009-01-18	2009-03-06	OIL	SUSP.AT TD	50	PRODUCTION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5794	http://www.npd.no/FactMapSearch?NPDID_wellbore=5794	NO
5795	24/6-B-2	24/6-B-2 AY1H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	YES	DEEPSEA BERGEN	KNELER B	2008-05-05	2008-05-14	OIL	PRODUCING	50	PRODUCTION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5795	http://www.npd.no/FactMapSearch?NPDID_wellbore=5795	NO
5796	24/6-B-2	24/6-B-2 AY2H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	YES	DEEPSEA BERGEN	KNELER B	2008-05-15	2008-05-26	OIL	PRODUCING	50	PRODUCTION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5796	http://www.npd.no/FactMapSearch?NPDID_wellbore=5796	NO
5797	6608/10-H-2	6608/10-H-2 H	URD	128	DEVELOPMENT	StatoilHydro ASA	NO	STENA DON	NORNE H	2008-03-28	2008-05-12	WATER	INJECTING	173	INJECTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5797	http://www.npd.no/FactMapSearch?NPDID_wellbore=5797	NO
5798	33/12-B-12	33/12-B-12 A	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD B	STATFJORD B	2008-03-16	2008-04-24	OIL	PRODUCING	50	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5798	http://www.npd.no/FactMapSearch?NPDID_wellbore=5798	NO
5799	6507/7-A-41	6507/7-A-41 A	HEIDRUN	095	DEVELOPMENT	StatoilHydro ASA	NO	HEIDRUN	HEIDRUN	2008-06-17	2008-08-06	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5799	http://www.npd.no/FactMapSearch?NPDID_wellbore=5799	NO
5800	30/9-21	30/9-21 S	OSEBERG	104	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN WINNER	\N	2008-03-13	2008-04-30	OIL/GAS	P&A	13	WILDCAT	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5800	http://www.npd.no/FactMapSearch?NPDID_wellbore=5800	YES
5801	2/9-4	2/9-4	\N	273	EXPLORATION	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	\N	2008-03-20	2008-07-04	DRY	P&A	1	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5801	http://www.npd.no/FactMapSearch?NPDID_wellbore=5801	NO
5802	6407/1-B-3	6407/1-B-3 H	TYRIHANS	073	DEVELOPMENT	StatoilHydro ASA	NO	TRANSOCEAN ARCTIC	TYRIHANS B	2008-04-30	2008-06-14	OIL	PRODUCING	0	INJECTION	275.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5802	http://www.npd.no/FactMapSearch?NPDID_wellbore=5802	NO
5803	30/6-E-4	30/6-E-4 B	OSEBERG ØST	053	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG ØST	OSEBERG ØST	2008-05-26	2011-12-22	OIL	SUSP.AT TD	50	PRODUCTION	157.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5803	http://www.npd.no/FactMapSearch?NPDID_wellbore=5803	NO
5804	6506/11-U-1	6506/11-U-1	\N	\N	SHALLOW	StatoilHydro ASA	NO	BUCENTAUR	\N	2007-09-07	2007-09-10	\N	P&A	0	\N	340.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5804	\N	NO
5805	30/9-21	30/9-21 A	\N	104	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN WINNER	\N	2008-05-04	2008-06-15	OIL	P&A	5	WILDCAT	106.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5805	http://www.npd.no/FactMapSearch?NPDID_wellbore=5805	YES
5806	1/3-11	1/3-11	\N	274	EXPLORATION	DONG E&P Norge AS	NO	MÆRSK GUARDIAN	\N	2008-05-28	2008-08-30	OIL	P&A	5	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5806	http://www.npd.no/FactMapSearch?NPDID_wellbore=5806	YES
5807	7226/2-1	7226/2-1	\N	395	EXPLORATION	StatoilHydro ASA	NO	POLAR PIONEER	\N	2008-05-18	2008-07-19	GAS	P&A	9	WILDCAT	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5807	http://www.npd.no/FactMapSearch?NPDID_wellbore=5807	YES
5808	7123/4-1	7123/4-1 A	\N	110 C	EXPLORATION	StatoilHydro ASA	NO	POLAR PIONEER	\N	2008-04-21	2008-05-14	SHOWS	P&A	12	APPRAISAL	413.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5808	http://www.npd.no/FactMapSearch?NPDID_wellbore=5808	NO
5809	6506/11-U-2	6506/11-U-2	\N	\N	SHALLOW	StatoilHydro ASA	NO	BUCENTAUR	\N	2007-09-23	2007-09-26	\N	P&A	0	\N	357.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5809	\N	NO
5810	33/9-A-34	33/9-A-34 C	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD A	STATFJORD A	2008-04-21	2008-05-21	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5810	http://www.npd.no/FactMapSearch?NPDID_wellbore=5810	NO
5811	34/3-1	34/3-1 S	KNARR	373 S	EXPLORATION	BG Norge AS	NO	BREDFORD DOLPHIN	\N	2008-04-28	2008-09-10	OIL	P&A	5	WILDCAT	410.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5811	http://www.npd.no/FactMapSearch?NPDID_wellbore=5811	YES
5812	6605/8-2	6605/8-2	\N	283	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN LEADER	\N	2008-05-11	2008-07-10	DRY	P&A	1	WILDCAT	818.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5812	http://www.npd.no/FactMapSearch?NPDID_wellbore=5812	NO
5813	6407/8-4	6407/8-4 S	\N	348	EXPLORATION	StatoilHydro Petroleum AS	NO	WEST ALPHA	\N	2008-04-20	2008-05-21	GAS	P&A	9	WILDCAT	266.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5813	http://www.npd.no/FactMapSearch?NPDID_wellbore=5813	YES
5814	6407/8-4	6407/8-4 A	\N	348	EXPLORATION	StatoilHydro Petroleum AS	NO	WEST ALPHA	\N	2008-05-22	2008-06-16	GAS	P&A	9	WILDCAT	266.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5814	http://www.npd.no/FactMapSearch?NPDID_wellbore=5814	YES
5815	31/2-Y-12	31/2-Y-12 Y1H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	DEEPSEA TRYM	TROLL U1	2008-04-24	2008-05-28	OIL	PRODUCING	50	PRODUCTION	356.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5815	http://www.npd.no/FactMapSearch?NPDID_wellbore=5815	NO
5816	31/2-Y-12	31/2-Y-12 Y2H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	DEEPSEA TRYM	TROLL U1	2008-05-29	2008-06-21	OIL	PRODUCING	50	PRODUCTION	356.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5816	http://www.npd.no/FactMapSearch?NPDID_wellbore=5816	NO
5817	30/6-C-24	30/6-C-24 BY1	OSEBERG	053	DEVELOPMENT	StatoilHydro Petroleum AS	YES	OSEBERG C	OSEBERG C	2008-08-06	2008-12-10	OIL	SUSP.AT TD	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5817	http://www.npd.no/FactMapSearch?NPDID_wellbore=5817	NO
5818	30/6-C-24	30/6-C-24 BY2	OSEBERG	053	DEVELOPMENT	StatoilHydro Petroleum AS	YES	OSEBERG C	OSEBERG C	2008-12-11	2009-02-08	OIL	SUSP.AT TD	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5818	http://www.npd.no/FactMapSearch?NPDID_wellbore=5818	NO
5819	34/10-C-52	34/10-C-52 B	GULLFAKS	050	DEVELOPMENT	StatoilHydro ASA	NO	GULLFAKS C	GULLFAKS C	2008-04-08	2008-06-10	OIL	PRODUCING	50	PRODUCTION	217.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5819	http://www.npd.no/FactMapSearch?NPDID_wellbore=5819	NO
5820	33/9-C-10	33/9-C-10 A	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	1989-12-31	1990-01-25	WATER/GAS	INJECTING	0	INJECTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5820	http://www.npd.no/FactMapSearch?NPDID_wellbore=5820	NO
5821	35/11-B-13	35/11-B-13 H	FRAM	090	DEVELOPMENT	StatoilHydro Petroleum AS	NO	BIDEFORD DOLPHIN	FRAM B1	2008-05-15	2008-07-25	OIL	SUSP.AT TD	50	PRODUCTION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5821	http://www.npd.no/FactMapSearch?NPDID_wellbore=5821	NO
5898	2/4-U-20	2/4-U-20	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-28	2008-08-28	\N	P&A	0	\N	79.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5898	\N	NO
5822	31/2-O-11	31/2-O-11 AY1H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	SONGA DEE	TROLL O1	2008-05-04	2008-05-11	OIL	PRODUCING	50	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5822	http://www.npd.no/FactMapSearch?NPDID_wellbore=5822	NO
5823	31/2-O-11	31/2-O-11 AY2H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	SONGA DEE	TROLL O1	2008-05-12	2008-06-01	OIL	PRODUCING	50	PRODUCTION	337.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5823	http://www.npd.no/FactMapSearch?NPDID_wellbore=5823	NO
5824	15/12-20	15/12-20 S	VARG	038	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GIANT	VARG A	2008-05-28	2008-07-01	OIL	RE-CLASS TO DEV	5	WILDCAT	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5824	http://www.npd.no/FactMapSearch?NPDID_wellbore=5824	YES
5825	2/7-A-22	2/7-A-22 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2008-06-11	2008-07-30	OIL	SUSP.AT TD	50	PRODUCTION	70.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5825	http://www.npd.no/FactMapSearch?NPDID_wellbore=5825	NO
5826	6407/1-B-1	6407/1-B-1 H	TYRIHANS	073	DEVELOPMENT	StatoilHydro ASA	NO	TRANSOCEAN ARCTIC	TYRIHANS B	2008-06-27	2008-07-04	OIL	PLUGGED	99	OBSERVATION	275.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5826	http://www.npd.no/FactMapSearch?NPDID_wellbore=5826	NO
5827	6407/1-B-1	6407/1-B-1 AH	TYRIHANS	073	DEVELOPMENT	StatoilHydro ASA	NO	TRANSOCEAN ARCTIC	TYRIHANS B	2008-08-05	2008-09-27	OIL	PRODUCING	50	PRODUCTION	275.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5827	http://www.npd.no/FactMapSearch?NPDID_wellbore=5827	NO
5828	15/9-A-14	15/9-A-14 A	SLEIPNER ØST	046	DEVELOPMENT	StatoilHydro ASA	NO	SLEIPNER A	SLEIPNER A	2008-05-08	2008-08-10	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5828	http://www.npd.no/FactMapSearch?NPDID_wellbore=5828	NO
5829	25/11-G-3	25/11-G-3	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2009-10-09	2010-01-25	OIL	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5829	http://www.npd.no/FactMapSearch?NPDID_wellbore=5829	NO
5830	25/11-G-15	25/11-G-15	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	NO	GRANE	GRANE	2008-11-10	2008-12-19	OIL	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5830	http://www.npd.no/FactMapSearch?NPDID_wellbore=5830	NO
5831	25/11-G-16	25/11-G-16 Y1	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2008-07-19	2008-09-09	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5831	http://www.npd.no/FactMapSearch?NPDID_wellbore=5831	NO
5832	2/1-A-32	2/1-A-32 B	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2008-06-08	2008-07-08	OIL	PLUGGED	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5832	http://www.npd.no/FactMapSearch?NPDID_wellbore=5832	NO
5833	6406/2-Q-1	6406/2-Q-1 H	KRISTIN	199	DEVELOPMENT	StatoilHydro ASA	NO	SCARABEO 5	KRISTIN Q	2008-05-09	2008-08-22	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	317.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5833	http://www.npd.no/FactMapSearch?NPDID_wellbore=5833	NO
5834	34/8-A-33	34/8-A-33 H	VISUND	120	DEVELOPMENT	StatoilHydro ASA	NO	VISUND	VISUND	2008-07-27	2008-08-21	CUTTINGS	SUSP.AT TD	171	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5834	http://www.npd.no/FactMapSearch?NPDID_wellbore=5834	NO
5835	7224/6-1	7224/6-1	\N	394	EXPLORATION	StatoilHydro Petroleum AS	NO	POLAR PIONEER	\N	2008-07-22	2008-08-21	GAS	P&A	9	WILDCAT	266.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5835	http://www.npd.no/FactMapSearch?NPDID_wellbore=5835	YES
5836	33/9-A-17	33/9-A-17 B	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD A	STATFJORD A	2008-06-01	2008-06-17	OIL	PLUGGED	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5836	http://www.npd.no/FactMapSearch?NPDID_wellbore=5836	NO
5837	33/9-C-5	33/9-C-5 C	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD C	STATFJORD C	2008-06-27	2008-07-29	OIL	PRODUCING	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5837	http://www.npd.no/FactMapSearch?NPDID_wellbore=5837	NO
5838	34/7-P-10	34/7-P-10 A	SNORRE	089	DEVELOPMENT	StatoilHydro ASA	NO	SNORRE A	SNORRE A	2008-07-01	2008-07-17	WATER/GAS	INJECTING	0	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5838	http://www.npd.no/FactMapSearch?NPDID_wellbore=5838	NO
5839	32/2-1	32/2-1	\N	369	EXPLORATION	Talisman Energy Norge AS	NO	TRANSOCEAN WINNER	\N	2008-06-18	2008-07-01	DRY	P&A	1	WILDCAT	351.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5839	http://www.npd.no/FactMapSearch?NPDID_wellbore=5839	NO
5840	33/9-N-4	33/9-N-4 H	SYGNA	037	DEVELOPMENT	StatoilHydro ASA	NO	BORGLAND DOLPHIN	SYGNA N	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	299.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5840	http://www.npd.no/FactMapSearch?NPDID_wellbore=5840	NO
5841	2/4-M-1	2/4-M-1 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2008-05-27	2008-06-20	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5841	http://www.npd.no/FactMapSearch?NPDID_wellbore=5841	NO
5842	15/5-7	15/5-7	\N	048	EXPLORATION	StatoilHydro ASA	NO	TRANSOCEAN WINNER	\N	2008-07-04	2008-09-07	OIL	P&A	5	APPRAISAL	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5842	http://www.npd.no/FactMapSearch?NPDID_wellbore=5842	NO
5843	31/4-A-1	31/4-A-1 A	BRAGE	055	DEVELOPMENT	StatoilHydro Petroleum AS	NO	BRAGE	BRAGE	2008-07-23	2008-11-19	OIL	SUSP.AT TD	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5843	http://www.npd.no/FactMapSearch?NPDID_wellbore=5843	YES
5844	6407/7-8	6407/7-8	\N	107	EXPLORATION	StatoilHydro Petroleum AS	NO	WEST ALPHA	\N	2008-06-18	2008-09-14	GAS/CONDENSATE	P&A	17	WILDCAT	293.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5844	http://www.npd.no/FactMapSearch?NPDID_wellbore=5844	YES
5845	31/2-G-6	31/2-G-6 AY1H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	DEEPSEA TRYM	TROLL G	2008-08-25	2008-09-22	OIL	PRODUCING	50	PRODUCTION	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5845	http://www.npd.no/FactMapSearch?NPDID_wellbore=5845	NO
5846	31/2-G-6	31/2-G-6 AY2H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	DEEPSEA TRYM	TROLL G	2008-09-23	2008-10-07	OIL	PRODUCING	50	PRODUCTION	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5846	http://www.npd.no/FactMapSearch?NPDID_wellbore=5846	NO
5847	34/11-A-1	34/11-A-1	KVITEBJØRN	193	DEVELOPMENT	Statoil Petroleum AS	NO	KVITEBJØRN	KVITEBJØRN	2010-10-12	2012-08-10	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5847	http://www.npd.no/FactMapSearch?NPDID_wellbore=5847	NO
5848	34/11-A-7	34/11-A-7	KVITEBJØRN	193	DEVELOPMENT	Statoil Petroleum AS	NO	KVITEBJØRN	KVITEBJØRN	2010-03-05	2010-06-27	NOT AVAILABLE	PLUGGED	71	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5848	http://www.npd.no/FactMapSearch?NPDID_wellbore=5848	NO
5849	34/11-A-9	34/11-A-9	KVITEBJØRN	193	DEVELOPMENT	StatoilHydro Petroleum AS	NO	KVITEBJØRN	KVITEBJØRN	2008-12-29	2009-12-01	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5849	http://www.npd.no/FactMapSearch?NPDID_wellbore=5849	NO
5850	34/11-A-16	34/11-A-16	KVITEBJØRN	193	DEVELOPMENT	Statoil Petroleum AS	NO	KVITEBJØRN	KVITEBJØRN	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5850	http://www.npd.no/FactMapSearch?NPDID_wellbore=5850	NO
5851	25/11-G-13	25/11-G-13 Y1	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2009-03-09	2009-07-23	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5851	http://www.npd.no/FactMapSearch?NPDID_wellbore=5851	NO
5852	24/6-A-2	24/6-A-2 H	ALVHEIM	088 BS	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	BOA	2008-11-13	2009-01-04	OIL	PRODUCING	50	PRODUCTION	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5852	http://www.npd.no/FactMapSearch?NPDID_wellbore=5852	NO
5853	24/6-A-3	24/6-A-3 H	ALVHEIM	088 BS	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	BOA	2008-07-02	2008-07-15	NOT AVAILABLE	PLUGGED	99	OBSERVATION	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5853	http://www.npd.no/FactMapSearch?NPDID_wellbore=5853	NO
5854	24/6-A-3	24/6-A-3 AY1H	ALVHEIM	088 BS	DEVELOPMENT	Marathon Petroleum Norge AS	YES	DEEPSEA BERGEN	BOA	2008-07-16	2008-08-21	OIL	PRODUCING	50	PRODUCTION	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5854	http://www.npd.no/FactMapSearch?NPDID_wellbore=5854	NO
5855	24/6-A-3	24/6-A-3 AY2H	ALVHEIM	088 BS	DEVELOPMENT	Marathon Petroleum Norge AS	YES	DEEPSEA BERGEN	BOA	2008-08-22	2008-09-26	OIL	PRODUCING	50	PRODUCTION	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5855	http://www.npd.no/FactMapSearch?NPDID_wellbore=5855	NO
5856	24/6-A-3	24/6-A-3 AY3H	ALVHEIM	088 BS	DEVELOPMENT	Marathon Petroleum Norge AS	YES	DEEPSEA BERGEN	BOA	2008-09-28	2008-11-09	OIL	PRODUCING	50	PRODUCTION	121.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5856	http://www.npd.no/FactMapSearch?NPDID_wellbore=5856	NO
5857	30/9-F-9	30/9-F-9	OSEBERG SØR	104	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG SØR	OSEBERG SØR	2008-06-24	2009-03-12	OIL/GAS	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5857	http://www.npd.no/FactMapSearch?NPDID_wellbore=5857	NO
5858	30/9-F-9	30/9-F-9 AY1	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	YES	OSEBERG SØR	OSEBERG SØR	2009-03-13	2010-09-15	OIL/GAS	SUSP.AT TD	0	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5858	http://www.npd.no/FactMapSearch?NPDID_wellbore=5858	NO
5859	30/9-F-9	30/9-F-9 AY2	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	YES	OSEBERG SØR	OSEBERG SØR	2010-09-16	2010-10-30	OIL/GAS	SUSP.AT TD	0	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5859	http://www.npd.no/FactMapSearch?NPDID_wellbore=5859	NO
5860	25/11-G-16	25/11-G-16 Y2	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2008-09-10	2008-10-03	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5860	http://www.npd.no/FactMapSearch?NPDID_wellbore=5860	NO
5861	25/11-G-16	25/11-G-16 Y3	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2008-10-04	2008-10-24	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5861	http://www.npd.no/FactMapSearch?NPDID_wellbore=5861	NO
5862	34/7-D-2	34/7-D-2 H	VIGDIS	089	DEVELOPMENT	StatoilHydro ASA	NO	BORGLAND DOLPHIN	VIGDIS D	2008-07-01	2008-08-06	OIL	PLUGGED	99	OBSERVATION	251.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5862	http://www.npd.no/FactMapSearch?NPDID_wellbore=5862	NO
5863	30/3-A-7	30/3-A-7 C	VESLEFRIKK	052	DEVELOPMENT	StatoilHydro ASA	NO	VESLEFRIKK A	VESLEFRIKK A	2008-07-16	2009-03-12	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5863	http://www.npd.no/FactMapSearch?NPDID_wellbore=5863	NO
5864	15/9-A-1	15/9-A-1	SLEIPNER ØST	046	DEVELOPMENT	StatoilHydro ASA	NO	SLEIPNER A	SLEIPNER A	9999-12-31	9999-12-31	\N	\N	0	\N	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5864	http://www.npd.no/FactMapSearch?NPDID_wellbore=5864	NO
5865	15/9-A-13	15/9-A-13	SLEIPNER ØST	046	DEVELOPMENT	StatoilHydro ASA	NO	SLEIPNER A	SLEIPNER A	2008-11-13	2009-01-06	NOT AVAILABLE	PLUGGED	99	OBSERVATION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5865	http://www.npd.no/FactMapSearch?NPDID_wellbore=5865	NO
5866	15/9-A-17	15/9-A-17	SLEIPNER ØST	046	DEVELOPMENT	StatoilHydro ASA	NO	SLEIPNER A	SLEIPNER A	9999-12-31	9999-12-31	\N	\N	0	\N	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5866	http://www.npd.no/FactMapSearch?NPDID_wellbore=5866	NO
5867	6706/12-1	6706/12-1	\N	218	EXPLORATION	StatoilHydro ASA	NO	TRANSOCEAN LEADER	\N	2008-07-12	2008-08-28	GAS	P&A	9	WILDCAT	1262.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5867	http://www.npd.no/FactMapSearch?NPDID_wellbore=5867	YES
5868	6608/11-6	6608/11-6	\N	128	EXPLORATION	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2008-07-17	2008-08-06	DRY	P&A	1	WILDCAT	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5868	http://www.npd.no/FactMapSearch?NPDID_wellbore=5868	NO
5869	6506/12-R-3	6506/12-R-3 Y2H	ÅSGARD	094	DEVELOPMENT	StatoilHydro ASA	YES	TRANSOCEAN SEARCHER	ÅSGARD R	2008-07-26	2008-09-17	GAS	INJECTING	91	INJECTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5869	http://www.npd.no/FactMapSearch?NPDID_wellbore=5869	NO
5870	15/9-B-1	15/9-B-1	SLEIPNER VEST	046	DEVELOPMENT	StatoilHydro Petroleum AS	NO	WEST EPSILON	SLEIPNER B	2009-07-16	2009-11-19	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5870	http://www.npd.no/FactMapSearch?NPDID_wellbore=5870	YES
5871	15/9-B-2	15/9-B-2	SLEIPNER VEST	046	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	SLEIPNER B	2009-11-24	2010-03-20	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5871	http://www.npd.no/FactMapSearch?NPDID_wellbore=5871	NO
5872	15/9-B-8	15/9-B-8	SLEIPNER VEST	046	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	SLEIPNER B	2010-03-30	2010-06-27	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5872	http://www.npd.no/FactMapSearch?NPDID_wellbore=5872	NO
5873	15/9-B-9	15/9-B-9	SLEIPNER VEST	046	DEVELOPMENT	StatoilHydro ASA	NO	WEST EPSILON	SLEIPNER B	9999-12-31	9999-12-31	\N	\N	0	\N	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5873	http://www.npd.no/FactMapSearch?NPDID_wellbore=5873	NO
5874	15/9-B-15	15/9-B-15	SLEIPNER VEST	046	DEVELOPMENT	StatoilHydro ASA	NO	WEST EPSILON	SLEIPNER B	9999-12-31	9999-12-31	\N	\N	0	\N	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5874	http://www.npd.no/FactMapSearch?NPDID_wellbore=5874	NO
5875	15/9-B-18	15/9-B-18	SLEIPNER VEST	046	DEVELOPMENT	StatoilHydro ASA	NO	WEST EPSILON	SLEIPNER B	9999-12-31	9999-12-31	\N	\N	0	\N	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5875	http://www.npd.no/FactMapSearch?NPDID_wellbore=5875	NO
5876	15/9-B-19	15/9-B-19	SLEIPNER VEST	046	DEVELOPMENT	StatoilHydro ASA	NO	WEST EPSILON	SLEIPNER B	9999-12-31	9999-12-31	\N	\N	0	\N	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5876	http://www.npd.no/FactMapSearch?NPDID_wellbore=5876	NO
5877	15/12-A-8	15/12-A-8 A	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	VARG A	2008-07-30	2008-08-21	OIL	PRODUCING	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5877	http://www.npd.no/FactMapSearch?NPDID_wellbore=5877	NO
5878	30/9-B-30	30/9-B-30 C	OSEBERG	079	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG B	OSEBERG B	2008-08-01	2008-10-17	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5878	http://www.npd.no/FactMapSearch?NPDID_wellbore=5878	NO
5879	16/1-10	16/1-10	EDVARD GRIEG	338	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2008-11-13	2009-02-05	OIL	P&A	5	APPRAISAL	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5879	http://www.npd.no/FactMapSearch?NPDID_wellbore=5879	NO
5880	31/2-F-6	31/2-F-6 BY1H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	WEST VENTURE	TROLL F	2008-08-01	2008-08-26	OIL	PRODUCING	50	PRODUCTION	327.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5880	http://www.npd.no/FactMapSearch?NPDID_wellbore=5880	NO
5881	31/2-F-6	31/2-F-6 BY2H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	WEST VENTURE	TROLL F	2008-08-26	2008-09-27	OIL	PRODUCING	50	PRODUCTION	327.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5881	http://www.npd.no/FactMapSearch?NPDID_wellbore=5881	NO
5882	34/7-D-2	34/7-D-2 AH	VIGDIS	089	DEVELOPMENT	StatoilHydro ASA	NO	BORGLAND DOLPHIN	VIGDIS D	2008-08-07	2008-09-13	OIL	PRODUCING	50	PRODUCTION	251.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5882	http://www.npd.no/FactMapSearch?NPDID_wellbore=5882	NO
5883	6507/7-A-36	6507/7-A-36 A	HEIDRUN	095	DEVELOPMENT	StatoilHydro ASA	NO	HEIDRUN	HEIDRUN	2008-08-30	2008-11-26	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5883	http://www.npd.no/FactMapSearch?NPDID_wellbore=5883	NO
5884	2/1-A-28	2/1-A-28 A	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2008-07-20	2008-08-22	WATER	INJECTING	173	INJECTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5884	http://www.npd.no/FactMapSearch?NPDID_wellbore=5884	NO
5885	35/11-B-14	35/11-B-14 Y1H	FRAM	090	DEVELOPMENT	StatoilHydro Petroleum AS	YES	BIDEFORD DOLPHIN	FRAM B1	2008-08-13	2008-09-20	WATER	SUSP.AT TD	173	INJECTION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5885	http://www.npd.no/FactMapSearch?NPDID_wellbore=5885	NO
5886	35/11-B-14	35/11-B-14 Y2H	FRAM	090	DEVELOPMENT	StatoilHydro Petroleum AS	YES	BIDEFORD DOLPHIN	FRAM B1	2008-09-21	2008-10-20	WATER	SUSP.AT TD	173	INJECTION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5886	http://www.npd.no/FactMapSearch?NPDID_wellbore=5886	NO
5887	6407/7-A-18	6407/7-A-18 AH	NJORD	107	DEVELOPMENT	StatoilHydro Petroleum AS	NO	NJORD A	NJORD A	2008-09-14	2008-10-25	OIL	PLUGGED	99	OBSERVATION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5887	http://www.npd.no/FactMapSearch?NPDID_wellbore=5887	NO
5888	6407/7-A-18	6407/7-A-18 BH	NJORD	107	DEVELOPMENT	StatoilHydro Petroleum AS	NO	NJORD A	NJORD A	2008-10-26	2008-12-10	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5888	http://www.npd.no/FactMapSearch?NPDID_wellbore=5888	NO
5889	2/4-U-11	2/4-U-11	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-23	2008-08-25	\N	P&A	0	\N	79.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5889	\N	NO
5890	2/4-U-12	2/4-U-12	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-22	2008-08-23	\N	P&A	0	\N	79.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5890	\N	NO
5891	2/4-U-13	2/4-U-13	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-06	2008-08-08	\N	P&A	0	\N	79.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5891	\N	NO
5892	2/4-U-14	2/4-U-14	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-07-30	2008-07-31	\N	P&A	0	\N	78.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5892	\N	NO
5893	2/4-U-15	2/4-U-15	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-15	2008-08-15	\N	P&A	0	\N	80.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5893	\N	NO
5894	2/4-U-16	2/4-U-16	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-11	2008-08-11	\N	P&A	0	\N	80.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5894	\N	NO
5895	2/4-U-17	2/4-U-17	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-14	2008-08-14	\N	P&A	0	\N	80.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5895	\N	NO
5896	2/4-U-18	2/4-U-18	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-08	2008-08-08	\N	P&A	0	\N	80.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5896	\N	NO
5897	2/4-U-19	2/4-U-19	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-27	2008-08-27	\N	P&A	0	\N	79.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5897	\N	NO
5899	2/4-U-21	2/4-U-21	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-17	2008-08-17	\N	P&A	0	\N	80.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5899	\N	NO
5900	2/4-U-22	2/4-U-22	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-25	2008-08-25	\N	P&A	0	\N	79.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5900	\N	NO
5901	2/4-U-23	2/4-U-23	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-07-25	2008-07-25	\N	P&A	0	\N	79.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5901	\N	NO
5902	2/4-U-24	2/4-U-24	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-07-26	2008-07-26	\N	P&A	0	\N	79.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5902	\N	NO
5903	2/4-U-25	2/4-U-25	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-07-29	2008-07-29	\N	P&A	0	\N	79.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5903	\N	NO
5904	2/4-U-26	2/4-U-26	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-07	2008-08-07	\N	P&A	0	\N	79.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5904	\N	NO
5905	2/7-U-11	2/7-U-11	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-01	2008-08-01	\N	P&A	0	\N	74.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5905	\N	NO
5906	2/7-U-12	2/7-U-12	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-07-18	2008-07-18	\N	P&A	0	\N	74.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5906	\N	NO
5907	2/7-U-13	2/7-U-13	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-02	2008-08-02	\N	P&A	0	\N	73.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5907	\N	NO
5908	2/7-U-14	2/7-U-14	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-10	2008-08-10	\N	P&A	0	\N	74.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5908	\N	NO
5909	2/7-U-15	2/7-U-15	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-07-22	2008-07-22	\N	P&A	0	\N	73.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5909	\N	NO
5910	2/7-U-16	2/7-U-16	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-07-15	2008-07-15	\N	P&A	0	\N	73.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5910	\N	NO
5911	2/7-U-17	2/7-U-17	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-07-19	2008-07-19	\N	P&A	0	\N	73.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5911	\N	NO
5912	2/7-U-18	2/7-U-18	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-07-14	2008-07-14	\N	P&A	0	\N	73.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5912	\N	NO
5913	2/7-U-19	2/7-U-19	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-07-16	2008-07-16	\N	P&A	0	\N	73.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5913	\N	NO
5914	2/7-B-8	2/7-B-8 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK B	ELDFISK B	2009-10-30	2010-02-07	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5914	http://www.npd.no/FactMapSearch?NPDID_wellbore=5914	NO
5915	2/4-K-21	2/4-K-21 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2008-09-05	2008-10-30	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5915	http://www.npd.no/FactMapSearch?NPDID_wellbore=5915	NO
5916	7222/11-1	7222/11-1	\N	228	EXPLORATION	StatoilHydro Petroleum AS	NO	POLAR PIONEER	\N	2008-08-24	2008-11-04	OIL/GAS	P&A	13	WILDCAT	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5916	http://www.npd.no/FactMapSearch?NPDID_wellbore=5916	YES
5917	34/7-33	34/7-33	\N	089	EXPLORATION	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2008-08-16	2008-10-15	SHOWS	P&A	12	WILDCAT	233.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5917	http://www.npd.no/FactMapSearch?NPDID_wellbore=5917	NO
5918	6707/10-2	6707/10-2 S	\N	218	EXPLORATION	StatoilHydro ASA	NO	TRANSOCEAN LEADER	\N	2008-08-31	2008-10-13	GAS	P&A	9	WILDCAT	1248.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5918	http://www.npd.no/FactMapSearch?NPDID_wellbore=5918	YES
5919	30/11-7	30/11-7	\N	035 B	EXPLORATION	StatoilHydro Petroleum AS	NO	WEST ALPHA	\N	2008-11-12	2009-02-03	GAS/CONDENSATE	SUSP.REENTERED LATER	17	WILDCAT	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5919	http://www.npd.no/FactMapSearch?NPDID_wellbore=5919	YES
5920	2/4-X-35	2/4-X-35 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2009-06-20	2010-12-13	OIL	SUSP.AT TD	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5920	http://www.npd.no/FactMapSearch?NPDID_wellbore=5920	NO
5921	34/3-1	34/3-1 A	KNARR	373 S	EXPLORATION	BG Norge AS	NO	BREDFORD DOLPHIN	\N	2008-09-10	2008-10-30	OIL	P&A	5	APPRAISAL	410.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5921	http://www.npd.no/FactMapSearch?NPDID_wellbore=5921	NO
5922	6507/6-3	6507/6-3	\N	212 C	EXPLORATION	StatoilHydro ASA	NO	TRANSOCEAN WINNER	\N	2008-10-31	2008-11-24	DRY	P&A	1	WILDCAT	400.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5922	http://www.npd.no/FactMapSearch?NPDID_wellbore=5922	NO
5923	2/4-X-16	2/4-X-16 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2009-02-07	2009-05-14	OIL	SUSP.AT TD	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5923	http://www.npd.no/FactMapSearch?NPDID_wellbore=5923	NO
5924	31/2-Y-11	31/2-Y-11 BY1H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	SONGA DEE	TROLL U1	2008-09-23	2008-11-07	OIL	PRODUCING	50	PRODUCTION	359.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5924	http://www.npd.no/FactMapSearch?NPDID_wellbore=5924	NO
5925	31/2-Y-11	31/2-Y-11 BY2H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	SONGA DEE	TROLL U1	2008-11-11	2008-12-15	OIL	PRODUCING	50	PRODUCTION	359.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5925	http://www.npd.no/FactMapSearch?NPDID_wellbore=5925	NO
5926	34/7-U-17	34/7-U-17	\N	089	SHALLOW	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2008-08-12	2008-08-15	\N	P&A	0	NOT AVAILABLE	233.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5926	\N	NO
5927	15/9-F-9	15/9-F-9	VOLVE	046 BS	DEVELOPMENT	StatoilHydro ASA	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2008-08-27	2008-09-06	WATER	PLUGGED	172	PRODUCTION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5927	http://www.npd.no/FactMapSearch?NPDID_wellbore=5927	NO
5931	6707/10-2	6707/10-2 A	\N	218	EXPLORATION	StatoilHydro ASA	NO	TRANSOCEAN LEADER	\N	2008-10-14	2008-12-01	GAS	P&A	9	WILDCAT	1248.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5931	http://www.npd.no/FactMapSearch?NPDID_wellbore=5931	YES
5932	3/7-7	3/7-7	\N	289	EXPLORATION	DONG E&P Norge AS	NO	MÆRSK GUARDIAN	\N	2008-09-03	2008-10-27	SHOWS	P&A	12	WILDCAT	65.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5932	http://www.npd.no/FactMapSearch?NPDID_wellbore=5932	NO
5933	33/9-A-15	33/9-A-15 D	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD A	STATFJORD A	2008-09-03	2008-10-07	GAS	PRODUCING	90	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5933	http://www.npd.no/FactMapSearch?NPDID_wellbore=5933	NO
5934	30/9-F-15	30/9-F-15 B	OSEBERG SØR	104	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG SØR	OSEBERG SØR	2008-10-20	2008-11-12	WATER	SUSP.AT TD	172	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5934	http://www.npd.no/FactMapSearch?NPDID_wellbore=5934	NO
5935	15/12-C-1	15/12-C-1 H	REV	038 C	DEVELOPMENT	Talisman Energy Norge AS	NO	SCARABEO 6	15/12-C	2000-12-25	2001-02-09	GAS	PLUGGED	90	PRODUCTION	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5935	http://www.npd.no/FactMapSearch?NPDID_wellbore=5935	NO
5936	15/12-C-2	15/12-C-2 H	REV	038 C	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	15/12-C	2006-02-06	2006-03-31	GAS	PRODUCING	90	PRODUCTION	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5936	http://www.npd.no/FactMapSearch?NPDID_wellbore=5936	NO
5937	15/12-D-1	15/12-D-1 H	REV	038 C	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	15/12-D	2008-10-10	2008-11-14	GAS	PRODUCING	90	PRODUCTION	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5937	http://www.npd.no/FactMapSearch?NPDID_wellbore=5937	NO
5938	2/4-U-27	2/4-U-27	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-29	2008-08-29	\N	P&A	0	\N	78.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5938	\N	NO
5939	2/4-U-28	2/4-U-28	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-30	2008-08-30	\N	P&A	0	\N	78.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5939	\N	NO
5940	2/4-U-29	2/4-U-29	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-31	2008-08-31	\N	P&A	0	\N	78.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5940	\N	NO
5941	2/4-U-30	2/4-U-30	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-08-31	2008-08-31	\N	P&A	0	\N	78.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5941	\N	NO
5942	33/9-C-37	33/9-C-37 B	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD C	STATFJORD C	2008-10-08	2008-11-05	OIL/GAS	PRODUCING	0	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5942	http://www.npd.no/FactMapSearch?NPDID_wellbore=5942	NO
5943	34/8-14	34/8-14 S	VISUND SØR	120	EXPLORATION	StatoilHydro ASA	NO	BORGLAND DOLPHIN	\N	2008-09-17	2008-10-21	OIL/GAS	P&A	13	WILDCAT	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5943	http://www.npd.no/FactMapSearch?NPDID_wellbore=5943	YES
5944	7125/4-2	7125/4-2	\N	393	EXPLORATION	StatoilHydro Petroleum AS	NO	POLAR PIONEER	\N	2008-11-07	2008-12-01	OIL	P&A	5	APPRAISAL	294.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5944	http://www.npd.no/FactMapSearch?NPDID_wellbore=5944	NO
5945	2/4-M-8	2/4-M-8 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2008-10-20	2009-02-16	OIL	SUSP.AT TD	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5945	http://www.npd.no/FactMapSearch?NPDID_wellbore=5945	NO
5946	15/5-7	15/5-7 A	\N	048	EXPLORATION	StatoilHydro ASA	NO	TRANSOCEAN WINNER	\N	2008-09-09	2008-10-13	DRY	P&A	1	APPRAISAL	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5946	http://www.npd.no/FactMapSearch?NPDID_wellbore=5946	NO
5947	6507/11-V-1	6507/11-V-1 H	YTTERGRYTA	062	DEVELOPMENT	StatoilHydro ASA	NO	TRANSOCEAN SEARCHER	6507/11-8 H	2008-10-01	2008-10-15	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	301.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5947	http://www.npd.no/FactMapSearch?NPDID_wellbore=5947	NO
5948	2/5-13	2/5-13	\N	296	EXPLORATION	StatoilHydro Petroleum AS	NO	WEST EPSILON	\N	2008-09-25	2009-01-21	DRY	P&A	1	WILDCAT	65.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5948	http://www.npd.no/FactMapSearch?NPDID_wellbore=5948	NO
5949	6608/10-12	6608/10-12	SKULD	128	EXPLORATION	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2008-10-19	2008-12-21	OIL	P&A	5	WILDCAT	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5949	http://www.npd.no/FactMapSearch?NPDID_wellbore=5949	YES
5950	8/10-U-1	8/10-U-1	\N	331	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-09-04	2008-09-04	\N	P&A	0	\N	67.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5950	\N	NO
5951	8/10-U-2	8/10-U-2	\N	331	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-09-05	2008-09-05	\N	P&A	0	\N	67.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5951	\N	NO
5952	8/10-U-3	8/10-U-3	\N	331	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2008-09-06	2008-09-06	\N	P&A	0	\N	67.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5952	\N	NO
5953	6407/7-8	6407/7-8 A	\N	107	EXPLORATION	StatoilHydro Petroleum AS	NO	WEST ALPHA	\N	2008-09-14	2008-11-05	GAS/CONDENSATE	P&A	17	APPRAISAL	293.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5953	http://www.npd.no/FactMapSearch?NPDID_wellbore=5953	NO
5954	34/8-14	34/8-14 A	VISUND SØR	120	EXPLORATION	StatoilHydro ASA	NO	BORGLAND DOLPHIN	\N	2008-10-29	2008-12-01	OIL/GAS	P&A	13	APPRAISAL	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5954	http://www.npd.no/FactMapSearch?NPDID_wellbore=5954	NO
5955	2/7-B-21	2/7-B-21	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK B	ELDFISK B	2008-11-27	2009-06-11	OIL	SUSP.AT TD	50	PRODUCTION	71.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5955	http://www.npd.no/FactMapSearch?NPDID_wellbore=5955	NO
5956	2/7-B-22	2/7-B-22	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK B	ELDFISK B	2009-11-12	2010-04-16	WATER	SUSP.AT TD	173	INJECTION	71.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5956	http://www.npd.no/FactMapSearch?NPDID_wellbore=5956	NO
6062	7323/11-U-2	7323/11-U-2	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1984-08-27	1984-08-28	\N	P&A	0	\N	380.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6062	\N	NO
5957	34/10-A-48	34/10-A-48 C	GULLFAKS	050	DEVELOPMENT	StatoilHydro ASA	NO	GULLFAKS A	GULLFAKS A	2009-04-16	2009-08-12	OIL	PRODUCING	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5957	http://www.npd.no/FactMapSearch?NPDID_wellbore=5957	NO
5958	2/5-14	2/5-14 S	\N	006 C	EXPLORATION	Lundin Norway AS	NO	MÆRSK GALLANT	\N	2008-12-30	2009-04-12	SHOWS	P&A	12	WILDCAT	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5958	http://www.npd.no/FactMapSearch?NPDID_wellbore=5958	NO
5960	7223/5-1	7223/5-1	\N	228	EXPLORATION	StatoilHydro Petroleum AS	NO	POLAR PIONEER	\N	2008-12-05	2009-01-14	GAS	P&A	9	WILDCAT	340.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5960	http://www.npd.no/FactMapSearch?NPDID_wellbore=5960	YES
5961	2/7-A-13	2/7-A-13 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2008-10-06	2009-01-01	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5961	http://www.npd.no/FactMapSearch?NPDID_wellbore=5961	NO
5962	34/4-L-1	34/4-L-1 H	SNORRE	057	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE B	34/4-L H	9999-12-31	9999-12-31	\N	PREDRILLED	0	\N	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5962	http://www.npd.no/FactMapSearch?NPDID_wellbore=5962	NO
5963	34/4-L-2	34/4-L-2 H	SNORRE	057	DEVELOPMENT	StatoilHydro ASA	NO	SNORRE B	34/4-L H	2008-11-25	2009-02-12	WATER/GAS	PLUGGED	0	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5963	http://www.npd.no/FactMapSearch?NPDID_wellbore=5963	NO
5964	34/4-L-3	34/4-L-3 H	SNORRE	057	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE B	34/4-L H	2012-10-29	2013-01-27	WATER/GAS	SUSP.AT TD	0	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5964	http://www.npd.no/FactMapSearch?NPDID_wellbore=5964	NO
5965	31/3-S-23	31/3-S-23 AY1H	TROLL	085	DEVELOPMENT	StatoilHydro Petroleum AS	YES	DEEPSEA TRYM	TROLL S1	2008-10-30	2008-12-26	OIL	SUSP.AT TD	50	PRODUCTION	341.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5965	http://www.npd.no/FactMapSearch?NPDID_wellbore=5965	NO
5966	31/3-S-23	31/3-S-23 AY2H	TROLL	085	DEVELOPMENT	StatoilHydro Petroleum AS	YES	DEEPSEA TRYM	TROLL S1	2008-12-29	2009-01-20	OIL	SUSP.AT TD	50	PRODUCTION	341.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5966	http://www.npd.no/FactMapSearch?NPDID_wellbore=5966	NO
5967	33/9-A-24	33/9-A-24 A	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD A	STATFJORD A	2008-10-28	2008-11-26	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5967	http://www.npd.no/FactMapSearch?NPDID_wellbore=5967	NO
5968	34/7-U-18	34/7-U-18	\N	\N	SHALLOW	Statoil Petroleum AS	NO	BORGLAND DOLPHIN	\N	2009-02-12	2009-02-13	\N	P&A	0	\N	292.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5968	\N	NO
5969	2/4-M-13	2/4-M-13 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2009-03-01	2009-03-23	OIL	SUSP.AT TD	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5969	http://www.npd.no/FactMapSearch?NPDID_wellbore=5969	NO
5970	2/4-K-6	2/4-K-6 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2008-11-09	2009-01-01	WATER	SUSP.AT TD	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5970	http://www.npd.no/FactMapSearch?NPDID_wellbore=5970	NO
5971	34/8-A-14	34/8-A-14 H	VISUND	120	DEVELOPMENT	StatoilHydro ASA	NO	VISUND	VISUND	2008-12-27	2009-10-03	WATER	SUSP.AT TD	172	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5971	http://www.npd.no/FactMapSearch?NPDID_wellbore=5971	NO
5972	34/8-A-26	34/8-A-26 H	VISUND	120	DEVELOPMENT	StatoilHydro Petroleum AS	NO	VISUND	VISUND	2009-03-14	2009-05-24	GAS	INJECTING	91	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5972	http://www.npd.no/FactMapSearch?NPDID_wellbore=5972	NO
5973	34/7-34	34/7-34	VIGDIS	089	EXPLORATION	StatoilHydro ASA	NO	BORGLAND DOLPHIN	\N	2009-02-14	2009-03-10	OIL	P&A	5	WILDCAT	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5973	http://www.npd.no/FactMapSearch?NPDID_wellbore=5973	YES
5974	30/8-4	30/8-4 S	\N	190	EXPLORATION	StatoilHydro ASA	NO	TRANSOCEAN WINNER	\N	2008-11-29	2009-02-04	OIL	P&A	5	WILDCAT	93.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5974	http://www.npd.no/FactMapSearch?NPDID_wellbore=5974	YES
5975	2/1-13	2/1-13 S	\N	299	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	\N	2008-11-07	2009-03-07	OIL/GAS SHOWS	P&A	12	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5975	http://www.npd.no/FactMapSearch?NPDID_wellbore=5975	NO
5976	6407/1-A-4	6407/1-A-4 H	TYRIHANS	073	DEVELOPMENT	StatoilHydro ASA	NO	TRANSOCEAN ARCTIC	TYRIHANS A	2008-12-06	2009-01-24	OIL	PLUGGED	50	PRODUCTION	288.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5976	http://www.npd.no/FactMapSearch?NPDID_wellbore=5976	NO
5977	6407/1-A-4	6407/1-A-4 AY1H	TYRIHANS	073	DEVELOPMENT	StatoilHydro ASA	YES	TRANSOCEAN ARCTIC	TYRIHANS A	2009-01-24	2009-02-07	OIL	PRODUCING	50	PRODUCTION	288.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5977	http://www.npd.no/FactMapSearch?NPDID_wellbore=5977	NO
5978	6407/1-A-4	6407/1-A-4 AY2H	TYRIHANS	073	DEVELOPMENT	StatoilHydro ASA	YES	TRANSOCEAN ARCTIC	TYRIHANS A	2009-02-08	2009-03-21	OIL	PRODUCING	50	PRODUCTION	288.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5978	http://www.npd.no/FactMapSearch?NPDID_wellbore=5978	NO
5979	6605/1-1	6605/1-1	\N	328	EXPLORATION	StatoilHydro ASA	NO	TRANSOCEAN LEADER	\N	2008-12-07	2009-02-03	DRY	P&A	1	WILDCAT	1157.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5979	http://www.npd.no/FactMapSearch?NPDID_wellbore=5979	NO
5980	6506/9-1	6506/9-1	\N	211 B	EXPLORATION	Total E&P Norge AS	NO	WEST PHOENIX	\N	2009-01-20	2009-09-15	GAS	P&A	9	APPRAISAL	416.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5980	http://www.npd.no/FactMapSearch?NPDID_wellbore=5980	NO
5981	25/11-G-15	25/11-G-15 AY1	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2008-12-20	2009-01-03	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5981	http://www.npd.no/FactMapSearch?NPDID_wellbore=5981	NO
5982	25/11-G-15	25/11-G-15 AY2	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2009-01-04	2009-01-31	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5982	http://www.npd.no/FactMapSearch?NPDID_wellbore=5982	NO
5983	35/11-B-24	35/11-B-24 AH	FRAM	090	DEVELOPMENT	StatoilHydro Petroleum AS	NO	BIDEFORD DOLPHIN	FRAM B2	2008-12-02	2008-12-30	WATER	SUSP.AT TD	173	INJECTION	356.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5983	http://www.npd.no/FactMapSearch?NPDID_wellbore=5983	NO
5985	6603/12-1	6603/12-1	\N	326	EXPLORATION	A/S Norske Shell	NO	LEIV EIRIKSSON	\N	2009-03-26	2009-06-20	GAS	P&A	9	WILDCAT	1376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5985	http://www.npd.no/FactMapSearch?NPDID_wellbore=5985	YES
5986	6603/12-U-1	6603/12-U-1	\N	326	SHALLOW	A/S Norske Shell	NO	LEIV EIRIKSSON	\N	2009-03-23	2009-03-24	\N	P&A	0	\N	1371.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5986	\N	NO
5987	30/9-F-2	30/9-F-2 B	OSEBERG SØR	104	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG SØR	OSEBERG SØR	2008-12-22	2009-01-08	CUTTINGS	INJECTING	171	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5987	http://www.npd.no/FactMapSearch?NPDID_wellbore=5987	NO
5988	34/10-C-1	34/10-C-1 A	GULLFAKS	050	DEVELOPMENT	StatoilHydro Petroleum AS	NO	GULLFAKS C	GULLFAKS C	2009-03-05	2009-05-04	OIL	PRODUCING	50	PRODUCTION	216.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5988	http://www.npd.no/FactMapSearch?NPDID_wellbore=5988	NO
5989	15/9-A-13	15/9-A-13 A	SLEIPNER ØST	046	DEVELOPMENT	StatoilHydro ASA	NO	SLEIPNER A	SLEIPNER A	2009-01-07	2009-02-12	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5989	http://www.npd.no/FactMapSearch?NPDID_wellbore=5989	NO
5990	30/8-A-21	30/8-A-21 H	TUNE	190	DEVELOPMENT	StatoilHydro Petroleum AS	NO	DEEPSEA DELTA	TUNE	2008-12-30	2009-03-10	NOT APPLICABLE	PLUGGED	99	OBSERVATION	92.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5990	http://www.npd.no/FactMapSearch?NPDID_wellbore=5990	NO
5991	30/8-A-21	30/8-A-21 AH	TUNE	190	DEVELOPMENT	StatoilHydro Petroleum AS	NO	DEEPSEA DELTA	TUNE	2009-03-16	2009-05-15	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	92.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5991	http://www.npd.no/FactMapSearch?NPDID_wellbore=5991	NO
5992	33/9-C-3	33/9-C-3 A	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD C	STATFJORD C	2008-11-25	2009-01-24	OIL	PRODUCING	50	PRODUCTION	146.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5992	http://www.npd.no/FactMapSearch?NPDID_wellbore=5992	NO
5993	2/4-M-29	2/4-M-29 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK M	2009-04-10	2009-06-03	OIL	SUSP.AT TD	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5993	http://www.npd.no/FactMapSearch?NPDID_wellbore=5993	NO
5994	30/9-B-21	30/9-B-21 C	OSEBERG	079	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG B	OSEBERG B	2008-12-07	2009-03-04	GAS	SUSP.AT TD	91	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5994	http://www.npd.no/FactMapSearch?NPDID_wellbore=5994	NO
5995	2/1-14	2/1-14 S	\N	019 B	EXPLORATION	Talisman Energy Norge AS	NO	GYDA	\N	2008-12-07	2009-02-28	DRY	P&A	1	WILDCAT	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5995	http://www.npd.no/FactMapSearch?NPDID_wellbore=5995	NO
5996	34/7-P-22	34/7-P-22 A	SNORRE	089	DEVELOPMENT	StatoilHydro ASA	NO	SNORRE A	SNORRE A	2008-12-06	2009-02-12	WATER	INJECTING	173	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=5996	http://www.npd.no/FactMapSearch?NPDID_wellbore=5996	NO
5997	34/8-14	34/8-14 B	VISUND SØR	120	EXPLORATION	StatoilHydro ASA	NO	BORGLAND DOLPHIN	\N	2008-12-25	2009-01-25	OIL/GAS	P&A	13	APPRAISAL	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=5997	http://www.npd.no/FactMapSearch?NPDID_wellbore=5997	NO
5998	16/2-U-3	16/2-U-3	\N	265	SHALLOW	StatoilHydro ASA	NO	BUCENTAUR	\N	2008-09-26	2008-09-26	\N	P&A	0	\N	109.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5998	\N	NO
5999	16/2-U-4	16/2-U-4	\N	265	SHALLOW	StatoilHydro ASA	NO	BUCENTAUR	\N	2008-09-27	2008-09-27	\N	P&A	0	\N	108.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=5999	\N	NO
6000	35/6-1	35/6-1 S	\N	376	EXPLORATION	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2009-02-04	2009-02-10	DRY	P&A	1	WILDCAT	344.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6000	http://www.npd.no/FactMapSearch?NPDID_wellbore=6000	NO
6001	16/2-U-5	16/2-U-5	\N	265	SHALLOW	StatoilHydro ASA	NO	BUCENTAUR	\N	2008-09-27	2008-09-27	\N	P&A	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6001	\N	NO
6002	6507/3-L-2	6507/3-L-2 H	ALVE	159 B	DEVELOPMENT	StatoilHydro ASA	NO	SCARABEO 5	ALVE	2009-01-07	2009-03-02	GAS	PRODUCING	90	PRODUCTION	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6002	http://www.npd.no/FactMapSearch?NPDID_wellbore=6002	NO
6003	6407/7-U-1	6407/7-U-1	\N	107	SHALLOW	StatoilHydro Petroleum AS	NO	WEST ALPHA	\N	2008-06-16	2008-06-17	\N	P&A	0	\N	293.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6003	\N	NO
6004	34/10-A-28	34/10-A-28 A	GULLFAKS	050	DEVELOPMENT	StatoilHydro ASA	NO	GULLFAKS A	GULLFAKS A	2009-01-06	2009-03-19	OIL	PRODUCING	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6004	http://www.npd.no/FactMapSearch?NPDID_wellbore=6004	NO
6005	35/9-U-2	35/9-U-2	GJØA	153	SHALLOW	Statoil ASA (old)	NO	TRANSOCEAN SEARCHER	\N	2009-01-03	2009-01-07	\N	P&A	0	\N	360.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6005	\N	NO
6006	35/9-F-1	35/9-F-1 H	GJØA	153	DEVELOPMENT	StatoilHydro ASA	NO	TRANSOCEAN SEARCHER	GJØA F	2009-01-08	2009-03-05	NOT APPLICABLE	PLUGGED	99	OBSERVATION	360.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6006	http://www.npd.no/FactMapSearch?NPDID_wellbore=6006	NO
6007	9/2-C-1	9/2-C-1	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	YME MOPUStor	2009-05-30	2009-06-11	NOT AVAILABLE	PLUGGED	71	PRODUCTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6007	http://www.npd.no/FactMapSearch?NPDID_wellbore=6007	NO
6008	9/2-C-2	9/2-C-2	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	YME MOPUStor	2009-01-30	2009-09-26	NOT AVAILABLE	PLUGGED	71	PRODUCTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6008	http://www.npd.no/FactMapSearch?NPDID_wellbore=6008	NO
6009	9/2-C-3	9/2-C-3	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	YME MOPUStor	2009-03-24	2009-04-18	NOT AVAILABLE	PLUGGED	71	PRODUCTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6009	http://www.npd.no/FactMapSearch?NPDID_wellbore=6009	NO
6010	9/2-C-4	9/2-C-4	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	YME MOPUStor	2009-04-21	2009-12-31	OIL	SUSP.AT TD	50	PRODUCTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6010	http://www.npd.no/FactMapSearch?NPDID_wellbore=6010	NO
6012	9/2-C-5	9/2-C-5	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	YME MOPUStor	2009-03-09	2009-03-23	WATER/GAS	SUSP.AT TD	0	INJECTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6012	http://www.npd.no/FactMapSearch?NPDID_wellbore=6012	NO
6013	9/2-C-6	9/2-C-6	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	YME MOPUStor	2009-01-23	2009-08-09	WATER/GAS	SUSP.AT TD	0	INJECTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6013	http://www.npd.no/FactMapSearch?NPDID_wellbore=6013	NO
6014	9/2-D-1	9/2-D-1 H	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	YME BETA	2009-07-20	2010-06-17	OIL	SUSP.AT TD	50	PRODUCTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6014	http://www.npd.no/FactMapSearch?NPDID_wellbore=6014	NO
6015	9/2-D-2	9/2-D-2 H	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	YME BETA	2009-07-29	2010-05-06	OIL	SUSP.AT TD	50	PRODUCTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6015	http://www.npd.no/FactMapSearch?NPDID_wellbore=6015	NO
6016	9/2-D-3	9/2-D-3 H	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	YME BETA	2009-06-26	2010-02-24	WATER	SUSP.AT TD	173	INJECTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6016	http://www.npd.no/FactMapSearch?NPDID_wellbore=6016	NO
6018	9/2-C-8	9/2-C-8	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	YME MOPUStor	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6018	http://www.npd.no/FactMapSearch?NPDID_wellbore=6018	NO
6019	9/2-C-9	9/2-C-9	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	YME MOPUStor	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6019	http://www.npd.no/FactMapSearch?NPDID_wellbore=6019	NO
6020	34/10-B-2	34/10-B-2 A	GULLFAKS	050	DEVELOPMENT	StatoilHydro ASA	NO	GULLFAKS B	GULLFAKS B	2009-01-07	2009-01-25	OIL	PRODUCING	50	PRODUCTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6020	http://www.npd.no/FactMapSearch?NPDID_wellbore=6020	NO
6021	34/8-14	34/8-14 C	VISUND SØR	120	EXPLORATION	StatoilHydro ASA	NO	BORGLAND DOLPHIN	\N	2008-12-02	2008-12-08	OIL/GAS	P&A	13	APPRAISAL	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6021	http://www.npd.no/FactMapSearch?NPDID_wellbore=6021	NO
6022	34/8-U-1	34/8-U-1	VISUND	120	SHALLOW	StatoilHydro ASA	NO	SCARABEO 5	\N	2009-03-14	2009-03-16	\N	P&A	0	\N	381.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6022	\N	NO
6023	6506/12-U-14	6506/12-U-14	ÅSGARD	094	SHALLOW	StatoilHydro ASA	NO	BUCENTAUR	\N	2008-10-06	2008-10-06	\N	P&A	0	\N	301.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6023	\N	NO
6024	34/8-13	34/8-13 A	\N	120	EXPLORATION	StatoilHydro ASA	NO	SCARABEO 5	\N	2009-03-17	2009-05-13	OIL	P&A	5	WILDCAT	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6024	http://www.npd.no/FactMapSearch?NPDID_wellbore=6024	YES
6025	34/8-13	34/8-13 S	\N	120	EXPLORATION	StatoilHydro ASA	NO	SCARABEO 5	\N	2009-05-14	2009-06-26	OIL	P&A	5	WILDCAT	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6025	http://www.npd.no/FactMapSearch?NPDID_wellbore=6025	YES
6026	3/7-U-8	3/7-U-8	\N	289	SHALLOW	DONG E&P Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	65.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6026	\N	NO
6027	6507/8-D-2	6507/8-D-2 AH	HEIDRUN	124	DEVELOPMENT	StatoilHydro ASA	NO	STENA DON	HEIDRUN D	2009-01-27	2009-02-12	OIL	PLUGGED	99	OBSERVATION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6027	http://www.npd.no/FactMapSearch?NPDID_wellbore=6027	NO
6028	6507/8-D-2	6507/8-D-2 BH	HEIDRUN	124	DEVELOPMENT	StatoilHydro ASA	NO	STENA DON	HEIDRUN D	2009-02-16	2009-02-25	OIL	PLUGGED	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6028	http://www.npd.no/FactMapSearch?NPDID_wellbore=6028	NO
6029	6608/10-12	6608/10-12 A	SKULD	128	EXPLORATION	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2008-12-25	2009-01-25	OIL	P&A	5	APPRAISAL	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6029	http://www.npd.no/FactMapSearch?NPDID_wellbore=6029	NO
6030	15/6-10	15/6-10	\N	029 B	EXPLORATION	ExxonMobil Exploration & Production Norway AS	NO	BREDFORD DOLPHIN	\N	2009-02-07	2009-04-06	GAS/CONDENSATE	P&A	17	WILDCAT	111.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6030	http://www.npd.no/FactMapSearch?NPDID_wellbore=6030	YES
6031	33/9-A-18	33/9-A-18 C	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2008-12-23	2009-01-12	GAS	PLUGGED	90	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6031	http://www.npd.no/FactMapSearch?NPDID_wellbore=6031	NO
6032	24/9-P-4	24/9-P-4 H	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	VOLUND	2009-02-21	2009-03-16	NOT AVAILABLE	PLUGGED	99	OBSERVATION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6032	http://www.npd.no/FactMapSearch?NPDID_wellbore=6032	NO
6033	24/9-P-4	24/9-P-4 AH	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	VOLUND	2009-03-17	2009-04-02	WATER	SUSP.AT TD	173	INJECTION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6033	http://www.npd.no/FactMapSearch?NPDID_wellbore=6033	NO
6034	30/9-22	30/9-22	OSEBERG SØR	104	EXPLORATION	StatoilHydro Petroleum AS	NO	POLAR PIONEER	\N	2009-01-29	2009-03-10	OIL/GAS	P&A	13	WILDCAT	95.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6034	http://www.npd.no/FactMapSearch?NPDID_wellbore=6034	YES
6035	30/9-J-15	30/9-J-15 H	OSEBERG SØR	104	DEVELOPMENT	StatoilHydro Petroleum AS	NO	BIDEFORD DOLPHIN	OSEBERG SØR J	2009-01-09	2009-03-23	OIL	PRODUCING	50	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6035	http://www.npd.no/FactMapSearch?NPDID_wellbore=6035	NO
6036	34/8-14	34/8-14 D	VISUND SØR	120	EXPLORATION	StatoilHydro ASA	NO	BORGLAND DOLPHIN	\N	2009-01-26	2009-02-10	OIL/GAS	P&A	13	APPRAISAL	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6036	http://www.npd.no/FactMapSearch?NPDID_wellbore=6036	NO
6113	34/11-U-1	34/11-U-1	\N	\N	SHALLOW	StatoilHydro ASA	NO	BUCENTAUR	\N	2008-11-13	2008-11-16	\N	P&A	0	\N	134.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6113	\N	NO
6037	31/5-J-13	31/5-J-13 AY3H	TROLL	085	DEVELOPMENT	StatoilHydro Petroleum AS	YES	SONGA DEE	TROLL J1	2009-02-15	2009-03-14	OIL	SUSP.AT TD	50	PRODUCTION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6037	http://www.npd.no/FactMapSearch?NPDID_wellbore=6037	NO
6038	31/2-Y-13	31/2-Y-13 BY1H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	DEEPSEA TRYM	TROLL U1	2009-02-13	2009-03-11	OIL	SUSP.AT TD	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6038	http://www.npd.no/FactMapSearch?NPDID_wellbore=6038	NO
6039	31/2-Y-13	31/2-Y-13 BY2H	TROLL	054	DEVELOPMENT	StatoilHydro ASA	YES	DEEPSEA TRYM	TROLL U1	2009-03-12	2009-04-12	OIL	SUSP.AT TD	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6039	http://www.npd.no/FactMapSearch?NPDID_wellbore=6039	NO
6040	24/9-P-1	24/9-P-1 H	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	VOLUND	9999-12-31	9999-12-31	\N	PREDRILLED	99	OBSERVATION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6040	http://www.npd.no/FactMapSearch?NPDID_wellbore=6040	NO
6041	24/9-P-1	24/9-P-1 AH	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	VOLUND	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6041	http://www.npd.no/FactMapSearch?NPDID_wellbore=6041	NO
6042	16/2-5	16/2-5	\N	265	EXPLORATION	StatoilHydro ASA	NO	WEST EPSILON	\N	2009-02-22	2009-05-13	OIL/GAS	P&A	13	WILDCAT	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6042	http://www.npd.no/FactMapSearch?NPDID_wellbore=6042	YES
6043	30/5-3	30/5-3 S	\N	309	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN WINNER	\N	2009-02-06	2009-04-12	GAS	P&A	9	WILDCAT	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6043	http://www.npd.no/FactMapSearch?NPDID_wellbore=6043	YES
6044	6705/10-1	6705/10-1	\N	327 B	EXPLORATION	StatoilHydro ASA	NO	TRANSOCEAN LEADER	\N	2009-02-05	2009-03-19	GAS	P&A	9	WILDCAT	1335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6044	http://www.npd.no/FactMapSearch?NPDID_wellbore=6044	YES
6045	30/3-10	30/3-10 S	\N	052	EXPLORATION	StatoilHydro ASA	NO	WEST ALPHA	\N	2009-02-14	2009-04-29	GAS/CONDENSATE	P&A	17	APPRAISAL	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6045	http://www.npd.no/FactMapSearch?NPDID_wellbore=6045	NO
6046	15/9-F-15	15/9-F-15 B	VOLVE	046 BS	DEVELOPMENT	StatoilHydro ASA	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2009-01-13	2009-01-18	NOT APPLICABLE	PLUGGED	99	OBSERVATION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6046	http://www.npd.no/FactMapSearch?NPDID_wellbore=6046	NO
6047	15/12-21	15/12-21	\N	038	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	\N	2009-03-15	2009-05-21	OIL	P&A	5	WILDCAT	86.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6047	http://www.npd.no/FactMapSearch?NPDID_wellbore=6047	YES
6048	33/9-A-18	33/9-A-18 D	STATFJORD	037	DEVELOPMENT	Statoil ASA (old)	NO	STATFJORD A	STATFJORD A	2009-01-13	2009-02-08	GAS	PRODUCING	90	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6048	http://www.npd.no/FactMapSearch?NPDID_wellbore=6048	NO
6049	6407/7-A-11	6407/7-A-11 AH	NJORD	107	DEVELOPMENT	StatoilHydro Petroleum AS	NO	NJORD A	NJORD A	2009-01-26	2009-04-04	OIL	PLUGGED	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6049	http://www.npd.no/FactMapSearch?NPDID_wellbore=6049	NO
6050	6507/7-A-26	6507/7-A-26 A	HEIDRUN	095	DEVELOPMENT	StatoilHydro ASA	NO	HEIDRUN	HEIDRUN	2009-01-29	2009-04-20	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6050	http://www.npd.no/FactMapSearch?NPDID_wellbore=6050	NO
6051	2/1-A-16	2/1-A-16 B	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2009-02-17	2009-04-16	OIL	CLOSED	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6051	http://www.npd.no/FactMapSearch?NPDID_wellbore=6051	NO
6052	25/11-G-15	25/11-G-15 AY3	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2009-02-01	2009-02-24	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6052	http://www.npd.no/FactMapSearch?NPDID_wellbore=6052	NO
6053	2/4-K-29	2/4-K-29 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2009-03-07	2009-05-31	WATER	INJECTING	173	INJECTION	73.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6053	http://www.npd.no/FactMapSearch?NPDID_wellbore=6053	NO
6054	33/9-C-15	33/9-C-15 B	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD C	STATFJORD C	2009-03-13	2009-04-01	OIL/GAS	SUSP.AT TD	0	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6054	http://www.npd.no/FactMapSearch?NPDID_wellbore=6054	NO
6055	30/5-3	30/5-3 A	\N	309	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN WINNER	\N	2009-04-15	2009-05-30	GAS	P&A	9	WILDCAT	113.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6055	http://www.npd.no/FactMapSearch?NPDID_wellbore=6055	YES
6056	31/4-A-22	31/4-A-22 A	BRAGE	055	DEVELOPMENT	StatoilHydro Petroleum AS	NO	BRAGE	BRAGE	2009-02-13	2009-05-22	WATER	SUSP.AT TD	173	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6056	http://www.npd.no/FactMapSearch?NPDID_wellbore=6056	NO
6057	25/11-G-13	25/11-G-13 Y2	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2009-07-24	2009-08-17	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6057	http://www.npd.no/FactMapSearch?NPDID_wellbore=6057	NO
6058	25/11-G-13	25/11-G-13 Y3	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	2009-08-17	2009-09-19	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6058	http://www.npd.no/FactMapSearch?NPDID_wellbore=6058	NO
6059	25/11-G-13	25/11-G-13 Y4	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	YES	GRANE	GRANE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6059	http://www.npd.no/FactMapSearch?NPDID_wellbore=6059	NO
6060	31/5-J-13	31/5-J-13 AY2H	TROLL	085	DEVELOPMENT	StatoilHydro Petroleum AS	YES	SONGA DEE	TROLL J1	2009-02-09	2009-02-15	OIL	SUSP.AT TD	50	PRODUCTION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6060	http://www.npd.no/FactMapSearch?NPDID_wellbore=6060	NO
6061	7323/7-U-14	7323/7-U-14	\N	\N	SHALLOW	IKU PETROLEUMSFORSKNING SINTEF GRUPPEN	NO	\N	\N	1984-08-15	1984-08-19	\N	P&A	0	\N	366.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6061	\N	NO
6063	35/6-2	35/6-2 S	\N	376	EXPLORATION	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2009-02-11	2009-04-04	DRY	P&A	1	WILDCAT	344.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6063	http://www.npd.no/FactMapSearch?NPDID_wellbore=6063	NO
6064	35/6-U-1	35/6-U-1	\N	376	SHALLOW	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2009-02-10	2009-02-11	\N	P&A	0	\N	344.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6064	\N	NO
6065	33/9-A-28	33/9-A-28 A	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD A	STATFJORD A	2009-03-10	2009-04-05	OIL	PRODUCING	50	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6065	http://www.npd.no/FactMapSearch?NPDID_wellbore=6065	NO
6066	24/9-P-5	24/9-P-5 H	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	VOLUND	2009-04-10	2009-05-03	OIL/GAS	PLUGGED	0	PRODUCTION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6066	http://www.npd.no/FactMapSearch?NPDID_wellbore=6066	NO
6067	34/4-L-2	34/4-L-2 AH	SNORRE	057	DEVELOPMENT	StatoilHydro ASA	NO	SNORRE B	34/4-L H	2009-03-07	2009-03-31	WATER	INJECTING	173	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6067	http://www.npd.no/FactMapSearch?NPDID_wellbore=6067	NO
6068	36/7-E-1	36/7-E-1 H	GJØA	153	DEVELOPMENT	StatoilHydro Petroleum AS	NO	TRANSOCEAN SEARCHER	GJØA E	2009-09-18	2009-11-15	GAS	PRODUCING	90	PRODUCTION	360.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6068	http://www.npd.no/FactMapSearch?NPDID_wellbore=6068	NO
6069	36/7-E-2	36/7-E-2 H	GJØA	153	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SEARCHER	GJØA E	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	360.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6069	http://www.npd.no/FactMapSearch?NPDID_wellbore=6069	NO
6070	36/7-E-3	36/7-E-3 H	GJØA	153	DEVELOPMENT	StatoilHydro Petroleum AS	NO	TRANSOCEAN SEARCHER	GJØA E	2009-05-29	2009-06-21	NOT APPLICABLE	PLUGGED	99	OBSERVATION	360.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6070	http://www.npd.no/FactMapSearch?NPDID_wellbore=6070	NO
6071	36/7-E-4	36/7-E-4 H	GJØA	153	DEVELOPMENT	StatoilHydro Petroleum AS	NO	TRANSOCEAN SEARCHER	GJØA E	2009-03-21	2009-04-26	NOT APPLICABLE	PLUGGED	99	OBSERVATION	360.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6071	http://www.npd.no/FactMapSearch?NPDID_wellbore=6071	NO
6072	15/9-A-23	15/9-A-23 B	SLEIPNER ØST	046	DEVELOPMENT	StatoilHydro Petroleum AS	NO	SLEIPNER A	SLEIPNER A	2009-03-16	2009-04-28	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6072	http://www.npd.no/FactMapSearch?NPDID_wellbore=6072	NO
6073	6507/3-6	6507/3-6	\N	383	EXPLORATION	Det norske oljeselskap ASA (old)	NO	BREDFORD DOLPHIN	\N	2009-05-29	2009-06-23	DRY	P&A	1	WILDCAT	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6073	http://www.npd.no/FactMapSearch?NPDID_wellbore=6073	NO
6074	34/7-G-4	34/7-G-4 AH	VIGDIS	089	DEVELOPMENT	StatoilHydro ASA	NO	BORGLAND DOLPHIN	VIGDIS G	2009-04-15	2009-04-20	NOT AVAILABLE	PLUGGED	99	OBSERVATION	282.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6074	http://www.npd.no/FactMapSearch?NPDID_wellbore=6074	NO
6075	34/7-G-4	34/7-G-4 BH	VIGDIS	089	DEVELOPMENT	StatoilHydro ASA	NO	BORGLAND DOLPHIN	VIGDIS G	2009-04-20	2009-06-13	OIL	PLUGGED	50	PRODUCTION	282.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6075	http://www.npd.no/FactMapSearch?NPDID_wellbore=6075	NO
6076	6407/1-C-2	6407/1-C-2 H	TYRIHANS	073	DEVELOPMENT	StatoilHydro ASA	NO	TRANSOCEAN ARCTIC	TYRIHANS C	2009-04-04	2009-05-16	OIL	PLUGGED	99	OBSERVATION	270.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6076	http://www.npd.no/FactMapSearch?NPDID_wellbore=6076	NO
6077	6407/1-C-2	6407/1-C-2 AY1H	TYRIHANS	073	DEVELOPMENT	StatoilHydro ASA	YES	TRANSOCEAN ARCTIC	TYRIHANS C	2009-05-16	2009-05-30	OIL	PRODUCING	50	PRODUCTION	270.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6077	http://www.npd.no/FactMapSearch?NPDID_wellbore=6077	NO
6078	6407/1-C-2	6407/1-C-2 AY2H	TYRIHANS	073	DEVELOPMENT	StatoilHydro ASA	YES	TRANSOCEAN ARCTIC	TYRIHANS C	2009-05-31	2009-07-15	OIL	PRODUCING	50	PRODUCTION	270.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6078	http://www.npd.no/FactMapSearch?NPDID_wellbore=6078	NO
6079	30/9-F-26	30/9-F-26 B	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG SØR	OSEBERG SØR	2011-01-11	2011-05-09	WATER	SUSP.AT TD	173	INJECTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6079	http://www.npd.no/FactMapSearch?NPDID_wellbore=6079	NO
6080	34/7-34	34/7-34 A	VIGDIS	089	EXPLORATION	StatoilHydro ASA	NO	BORGLAND DOLPHIN	\N	2009-03-10	2009-03-20	OIL	P&A	5	APPRAISAL	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6080	http://www.npd.no/FactMapSearch?NPDID_wellbore=6080	NO
6081	6507/8-D-2	6507/8-D-2 CH	HEIDRUN	124	DEVELOPMENT	StatoilHydro ASA	NO	STENA DON	HEIDRUN D	2009-03-27	2009-04-02	OIL	PRODUCING	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6081	http://www.npd.no/FactMapSearch?NPDID_wellbore=6081	NO
6082	25/8-16	25/8-16 S	\N	027 D	EXPLORATION	ExxonMobil Exploration & Production Norway AS	NO	BREDFORD DOLPHIN	\N	2009-04-10	2009-05-13	OIL	P&A	5	WILDCAT	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6082	http://www.npd.no/FactMapSearch?NPDID_wellbore=6082	YES
6083	6406/3-U-1	6406/3-U-1	\N	091	SHALLOW	StatoilHydro Petroleum AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	297.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6083	\N	NO
6084	35/2-2	35/2-2	\N	318	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN WINNER	\N	2009-06-02	2009-07-26	GAS	P&A	9	APPRAISAL	372.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6084	http://www.npd.no/FactMapSearch?NPDID_wellbore=6084	NO
6085	30/11-7	30/11-7 A	\N	035 B	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN LEADER	\N	2009-04-02	2009-05-25	GAS/CONDENSATE	P&A	17	APPRAISAL	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6085	http://www.npd.no/FactMapSearch?NPDID_wellbore=6085	NO
6086	33/9-C-32	33/9-C-32 B	STATFJORD	037	DEVELOPMENT	StatoilHydro Petroleum AS	NO	STATFJORD C	STATFJORD C	2009-04-13	2009-05-04	OIL/GAS	PRODUCING	0	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6086	http://www.npd.no/FactMapSearch?NPDID_wellbore=6086	NO
6087	6407/7-U-2	6407/7-U-2	\N	107	SHALLOW	StatoilHydro Petroleum AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	331.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6087	\N	NO
6088	30/3-A-3	30/3-A-3 C	VESLEFRIKK	052	DEVELOPMENT	StatoilHydro Petroleum AS	NO	VESLEFRIKK A	VESLEFRIKK A	2009-04-13	2009-05-29	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6088	http://www.npd.no/FactMapSearch?NPDID_wellbore=6088	NO
6089	15/12-A-7	15/12-A-7 A	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	VARG A	2008-05-26	2008-07-01	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6089	http://www.npd.no/FactMapSearch?NPDID_wellbore=6089	NO
6090	36/7-E-4	36/7-E-4 AY1H	GJØA	153	DEVELOPMENT	StatoilHydro Petroleum AS	YES	TRANSOCEAN SEARCHER	GJØA E	2009-04-27	2009-07-19	NOT AVAILABLE	PLUGGED	71	PRODUCTION	360.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6090	http://www.npd.no/FactMapSearch?NPDID_wellbore=6090	NO
6091	36/7-E-4	36/7-E-4 AY2H	GJØA	153	DEVELOPMENT	StatoilHydro Petroleum AS	YES	TRANSOCEAN SEARCHER	GJØA E	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	360.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6091	http://www.npd.no/FactMapSearch?NPDID_wellbore=6091	NO
6092	31/5-H-6	31/5-H-6 BY1H	TROLL	085	DEVELOPMENT	StatoilHydro Petroleum AS	YES	SONGA TRYM	TROLL H	2009-04-27	2009-05-30	OIL	SUSP.AT TD	50	PRODUCTION	315.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6092	http://www.npd.no/FactMapSearch?NPDID_wellbore=6092	NO
6093	31/5-H-6	31/5-H-6 BY2H	TROLL	085	DEVELOPMENT	StatoilHydro Petroleum AS	YES	SONGA TRYM	TROLL H	2009-05-31	2009-06-20	OIL	SUSP.AT TD	50	PRODUCTION	315.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6093	http://www.npd.no/FactMapSearch?NPDID_wellbore=6093	NO
6094	2/8-G-19	2/8-G-19	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2009-08-09	2009-10-09	WATER	INJECTING	173	INJECTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6094	http://www.npd.no/FactMapSearch?NPDID_wellbore=6094	NO
6095	35/12-2	35/12-2	\N	378	EXPLORATION	Wintershall Norge ASA	NO	SONGA DELTA	\N	2009-05-30	2009-07-15	OIL/GAS	P&A	13	WILDCAT	359.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6095	http://www.npd.no/FactMapSearch?NPDID_wellbore=6095	YES
6096	6407/6-U-2	6407/6-U-2	\N	312	SHALLOW	StatoilHydro Petroleum AS	NO	OCEAN VANGUARD	\N	2009-04-10	2009-04-11	\N	P&A	0	\N	247.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6096	\N	NO
6097	36/7-E-3	36/7-E-3 AH	GJØA	153	DEVELOPMENT	StatoilHydro Petroleum AS	NO	TRANSOCEAN SEARCHER	GJØA E	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	360.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6097	http://www.npd.no/FactMapSearch?NPDID_wellbore=6097	NO
6098	8/10-3	8/10-3	\N	331	EXPLORATION	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	\N	2010-06-02	2010-10-06	DRY	P&A	1	WILDCAT	68.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6098	http://www.npd.no/FactMapSearch?NPDID_wellbore=6098	NO
6099	15/9-F-10	15/9-F-10	VOLVE	046 BS	DEVELOPMENT	StatoilHydro Petroleum AS	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2009-04-06	2009-06-14	NOT APPLICABLE	PLUGGED	99	OBSERVATION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6099	http://www.npd.no/FactMapSearch?NPDID_wellbore=6099	NO
6100	6407/6-7	6407/6-7 S	\N	312	EXPLORATION	StatoilHydro ASA	NO	OCEAN VANGUARD	\N	2009-04-12	2009-05-27	GAS	P&A	9	WILDCAT	247.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6100	http://www.npd.no/FactMapSearch?NPDID_wellbore=6100	YES
6101	15/9-F-10	15/9-F-10 A	VOLVE	046 BS	DEVELOPMENT	StatoilHydro Petroleum AS	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	9999-12-31	9999-12-31	\N	\N	99	OBSERVATION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6101	http://www.npd.no/FactMapSearch?NPDID_wellbore=6101	NO
6102	15/9-F-10	15/9-F-10 B	VOLVE	046 BS	DEVELOPMENT	StatoilHydro Petroleum AS	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6102	http://www.npd.no/FactMapSearch?NPDID_wellbore=6102	NO
6103	34/7-P-27	34/7-P-27 A	SNORRE	089	DEVELOPMENT	StatoilHydro Petroleum AS	NO	SNORRE A	SNORRE A	2009-05-25	2009-08-08	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6103	http://www.npd.no/FactMapSearch?NPDID_wellbore=6103	NO
6104	6506/11-A-1	6506/11-A-1 H	MORVIN	134 B	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	MOR-A	2009-12-04	2010-08-20	OIL/GAS/CONDENSATE	PRODUCING	0	PRODUCTION	350.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6104	http://www.npd.no/FactMapSearch?NPDID_wellbore=6104	NO
6105	6506/11-A-3	6506/11-A-3 H	MORVIN	134 B	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	MOR-A	2009-11-27	2010-02-21	NOT AVAILABLE	PLUGGED	71	PRODUCTION	350.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6105	http://www.npd.no/FactMapSearch?NPDID_wellbore=6105	NO
6106	6407/2-4	6407/2-4	\N	380	EXPLORATION	Det norske oljeselskap ASA (old)	NO	SONGA DELTA	\N	2009-07-23	2009-08-31	DRY	P&A	1	WILDCAT	269.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6106	http://www.npd.no/FactMapSearch?NPDID_wellbore=6106	NO
6107	31/2-X-22	31/2-X-22 AY1H	TROLL	054	DEVELOPMENT	StatoilHydro Petroleum AS	YES	WEST VENTURE	TROLL T2	2009-04-30	2009-06-13	OIL	PRODUCING	50	PRODUCTION	327.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6107	http://www.npd.no/FactMapSearch?NPDID_wellbore=6107	NO
6108	31/2-X-22	31/2-X-22 AY2H	TROLL	054	DEVELOPMENT	StatoilHydro Petroleum AS	YES	WEST VENTURE	TROLL T2	2009-06-14	2009-07-20	OIL	PRODUCING	50	PRODUCTION	327.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6108	http://www.npd.no/FactMapSearch?NPDID_wellbore=6108	NO
6109	33/9-21	33/9-21 A	\N	037 D	EXPLORATION	Wintershall Norge ASA	NO	MURCHISON A	\N	2009-04-17	2009-04-30	OIL	P&A	5	APPRAISAL	156.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6109	http://www.npd.no/FactMapSearch?NPDID_wellbore=6109	NO
6110	6407/8-5	6407/8-5 S	HYME	348	EXPLORATION	StatoilHydro Petroleum AS	NO	WEST ALPHA	\N	2009-05-02	2009-05-26	OIL	P&A	5	WILDCAT	252.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6110	http://www.npd.no/FactMapSearch?NPDID_wellbore=6110	YES
6111	2/11-S-4	2/11-S-4 Y1F2	HOD	033 B	DEVELOPMENT	BP Norge AS	YES	WEST EPSILON	VALHALL FLANKE SØR	2005-12-12	2006-01-17	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6111	http://www.npd.no/FactMapSearch?NPDID_wellbore=6111	NO
6112	2/11-S-4	2/11-S-4 Y2F2	HOD	033 B	DEVELOPMENT	BP Norge AS	YES	WEST EPSILON	VALHALL FLANKE SØR	2006-01-10	2006-02-22	OIL	PRODUCING	50	PRODUCTION	66.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6112	http://www.npd.no/FactMapSearch?NPDID_wellbore=6112	NO
6115	7222/11-U-1	7222/11-U-1	\N	228	SHALLOW	StatoilHydro Petroleum AS	NO	POLAR PIONEER	\N	2008-08-03	2008-08-06	\N	P&A	0	\N	357.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6115	\N	NO
6116	6608/10-M-2	6608/10-M-2 H	NORNE	128	DEVELOPMENT	Statoil Petroleum AS	NO	AKER SPITSBERGEN	NORNE M	2010-09-30	2010-11-14	OIL	SUSP.AT TD	50	PRODUCTION	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6116	http://www.npd.no/FactMapSearch?NPDID_wellbore=6116	NO
6117	6608/10-M-4	6608/10-M-4 H	NORNE	128	DEVELOPMENT	Statoil Petroleum AS	NO	AKER SPITSBERGEN	NORNE M	2010-03-20	2010-05-13	OIL	PLUGGED	50	PRODUCTION	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6117	http://www.npd.no/FactMapSearch?NPDID_wellbore=6117	NO
6118	6305/5-3	6305/5-3 S	ORMEN LANGE	209	EXPLORATION	A/S Norske Shell	NO	LEIV EIRIKSSON	\N	2009-08-19	2009-10-27	GAS	SUSPENDED	9	APPRAISAL	832.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6118	http://www.npd.no/FactMapSearch?NPDID_wellbore=6118	NO
6119	2/4-VA-4	2/4-VA-4 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VA	2009-07-11	2009-08-07	WATER	SUSP.AT TD	173	INJECTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6119	http://www.npd.no/FactMapSearch?NPDID_wellbore=6119	NO
6120	25/10-9	25/10-9	\N	304	EXPLORATION	Lundin Norway AS	NO	SONGA DEE	\N	2009-06-09	2009-07-27	DRY	P&A	1	WILDCAT	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6120	http://www.npd.no/FactMapSearch?NPDID_wellbore=6120	NO
6121	6507/7-A-2	6507/7-A-2	HEIDRUN	095	DEVELOPMENT	StatoilHydro Petroleum AS	NO	HEIDRUN	HEIDRUN	2009-05-31	2009-08-30	OIL/GAS	PRODUCING	0	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6121	http://www.npd.no/FactMapSearch?NPDID_wellbore=6121	NO
6122	6507/11-10	6507/11-10	\N	476	EXPLORATION	Det norske oljeselskap ASA	NO	SONGA DELTA	\N	2010-01-16	2010-02-16	DRY	P&A	1	WILDCAT	269.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6122	http://www.npd.no/FactMapSearch?NPDID_wellbore=6122	NO
6123	6507/3-7	6507/3-7	\N	159 D	EXPLORATION	StatoilHydro Petroleum AS	NO	OCEAN VANGUARD	\N	2009-06-02	2009-07-22	GAS	P&A	9	WILDCAT	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6123	http://www.npd.no/FactMapSearch?NPDID_wellbore=6123	YES
6124	24/9-P-5	24/9-P-5 AH	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	NO	DEEPSEA BERGEN	VOLUND	2009-05-04	2009-05-28	OIL/GAS	PRODUCING	0	PRODUCTION	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6124	http://www.npd.no/FactMapSearch?NPDID_wellbore=6124	NO
6125	6507/3-U-2	6507/3-U-2	\N	159 D	SHALLOW	Statoil ASA (old)	NO	OCEAN VANGUARD	\N	2009-06-01	2009-06-02	\N	P&A	0	\N	377.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6125	\N	NO
6126	25/11-G-7	25/11-G-7	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2010-05-13	2010-07-19	OIL	PLUGGED	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6126	http://www.npd.no/FactMapSearch?NPDID_wellbore=6126	NO
6127	25/11-G-32	25/11-G-32	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2010-03-29	2010-12-12	WATER	INJECTING	173	INJECTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6127	http://www.npd.no/FactMapSearch?NPDID_wellbore=6127	NO
6128	25/8-16	25/8-16 A	\N	027 D	EXPLORATION	ExxonMobil Exploration & Production Norway AS	NO	BREDFORD DOLPHIN	\N	2009-05-13	2009-05-23	DRY	P&A	1	APPRAISAL	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6128	http://www.npd.no/FactMapSearch?NPDID_wellbore=6128	NO
6129	2/7-U-20	2/7-U-20	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-06	2009-06-06	\N	P&A	0	\N	73.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6129	\N	NO
6130	2/7-U-23	2/7-U-23	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-06	2009-06-06	\N	P&A	0	\N	72.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6130	\N	NO
6131	2/7-U-24	2/7-U-24	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-02	2009-06-02	\N	P&A	0	\N	73.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6131	\N	NO
6132	2/7-U-25	2/7-U-25	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-02	2009-06-04	\N	P&A	0	\N	73.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6132	\N	NO
6133	2/7-U-26	2/7-U-26	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-07	2009-06-07	\N	P&A	0	\N	73.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6133	\N	NO
6134	2/7-U-27	2/7-U-27	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-08	2009-06-08	\N	P&A	0	\N	73.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6134	\N	NO
6135	2/7-U-28	2/7-U-28	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-09	2009-06-09	\N	P&A	0	\N	73.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6135	\N	NO
6136	2/7-U-29	2/7-U-29	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-09	2009-06-09	\N	P&A	0	\N	73.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6136	\N	NO
6137	17/12-4	17/12-4	\N	407	EXPLORATION	BG Norge AS	NO	WEST ALPHA	\N	2009-06-17	2009-07-10	OIL	P&A	5	APPRAISAL	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6137	http://www.npd.no/FactMapSearch?NPDID_wellbore=6137	NO
6138	6506/12-P-4	6506/12-P-4 AH	ÅSGARD	094	DEVELOPMENT	StatoilHydro Petroleum AS	NO	STENA DON	ÅSGARD P	2009-06-26	2009-08-09	OIL	PRODUCING	50	PRODUCTION	311.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6138	http://www.npd.no/FactMapSearch?NPDID_wellbore=6138	NO
6139	15/12-21	15/12-21 A	\N	038	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	\N	2009-05-23	2009-06-21	OIL	P&A	5	APPRAISAL	86.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6139	http://www.npd.no/FactMapSearch?NPDID_wellbore=6139	NO
6140	33/9-C-28	33/9-C-28 C	STATFJORD	037	DEVELOPMENT	StatoilHydro Petroleum AS	NO	STATFJORD C	STATFJORD C	2009-05-15	2009-06-10	OIL/GAS	SUSP.AT TD	0	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6140	http://www.npd.no/FactMapSearch?NPDID_wellbore=6140	NO
6141	30/9-J-13	30/9-J-13 BH	OSEBERG SØR	104	DEVELOPMENT	StatoilHydro Petroleum AS	NO	BIDEFORD DOLPHIN	OSEBERG SØR J	2009-05-20	2009-06-09	OIL	SUSP.AT TD	50	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6141	http://www.npd.no/FactMapSearch?NPDID_wellbore=6141	NO
6142	33/9-21	33/9-21 B	\N	037 D	EXPLORATION	Wintershall Norge ASA	NO	MURCHISON A	\N	2009-04-30	2009-06-11	OIL	RE-CLASS TO TEST	5	APPRAISAL	156.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6142	http://www.npd.no/FactMapSearch?NPDID_wellbore=6142	NO
6143	6306/6-2	6306/6-2	\N	321	EXPLORATION	Det norske oljeselskap ASA (old)	NO	AKER BARENTS	\N	2009-08-21	2009-11-17	DRY	P&A	1	WILDCAT	224.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6143	http://www.npd.no/FactMapSearch?NPDID_wellbore=6143	NO
6144	6506/12-12	6506/12-12 S	ÅSGARD	094	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN LEADER	\N	2009-06-01	2009-08-06	OIL/GAS	P&A	13	WILDCAT	301.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6144	http://www.npd.no/FactMapSearch?NPDID_wellbore=6144	YES
6145	25/11-G-37	25/11-G-37	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	9999-12-31	9999-12-31	\N	PREDRILLED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6145	http://www.npd.no/FactMapSearch?NPDID_wellbore=6145	NO
6146	6506/12-U-15	6506/12-U-15	ÅSGARD	094	SHALLOW	StatoilHydro ASA	NO	TRANSOCEAN LEADER	\N	9999-12-31	9999-12-31	\N	\N	0	\N	301.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6146	\N	NO
6147	34/10-52	34/10-52 S	GULLFAKS SØR	050	EXPLORATION	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	\N	2009-08-11	2009-11-26	DRY	P&A	1	APPRAISAL	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6147	http://www.npd.no/FactMapSearch?NPDID_wellbore=6147	NO
6148	1/2-U-1	1/2-U-1	\N	143	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-05-09	2009-05-09	\N	P&A	0	\N	74.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6148	\N	NO
6149	1/2-U-2	1/2-U-2	\N	143	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-05-12	2009-05-12	\N	\N	0	\N	74.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6149	\N	NO
6150	1/2-U-3	1/2-U-3	\N	143	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-05-12	2009-05-12	\N	\N	0	\N	74.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6150	\N	NO
6151	6407/2-5	6407/2-5 S	\N	074	EXPLORATION	StatoilHydro Petroleum AS	NO	OCEAN VANGUARD	\N	2009-07-26	2009-09-02	OIL/GAS	P&A	13	WILDCAT	250.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6151	http://www.npd.no/FactMapSearch?NPDID_wellbore=6151	YES
6152	6407/2-U-1	6407/2-U-1	\N	074 B	SHALLOW	StatoilHydro Petroleum AS	NO	OCEAN VANGUARD	\N	9999-12-31	9999-12-31	\N	\N	0	\N	250.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6152	\N	NO
6153	6407/8-5	6407/8-5 A	HYME	348	EXPLORATION	StatoilHydro Petroleum AS	NO	WEST ALPHA	\N	2009-05-30	2009-06-13	OIL	P&A	5	APPRAISAL	252.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6153	http://www.npd.no/FactMapSearch?NPDID_wellbore=6153	NO
6154	35/3-7	35/3-7 S	\N	270	EXPLORATION	VNG Norge AS (old)	NO	BREDFORD DOLPHIN	\N	2009-06-28	2009-10-01	GAS	P&A	9	WILDCAT	257.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6154	http://www.npd.no/FactMapSearch?NPDID_wellbore=6154	YES
6155	2/7-U-30	2/7-U-30	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-10	2009-06-10	\N	P&A	0	\N	73.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6155	\N	NO
6156	2/7-U-21	2/7-U-21	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-02	2009-06-02	\N	P&A	0	\N	73.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6156	\N	NO
6157	16/1-11	16/1-11	\N	001 B	EXPLORATION	Det norske oljeselskap ASA	NO	SONGA DELTA	\N	2010-02-23	2010-04-26	OIL/GAS	P&A	13	APPRAISAL	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6157	http://www.npd.no/FactMapSearch?NPDID_wellbore=6157	NO
6158	30/6-C-20	30/6-C-20 CY1	OSEBERG	053	DEVELOPMENT	Statoil Petroleum AS	YES	OSEBERG C	OSEBERG C	2009-09-09	2011-04-14	OIL	SUSP.AT TD	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6158	http://www.npd.no/FactMapSearch?NPDID_wellbore=6158	NO
6159	30/6-C-20	30/6-C-20 CY2	OSEBERG	053	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG C	OSEBERG C	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6159	http://www.npd.no/FactMapSearch?NPDID_wellbore=6159	NO
6160	2/8-G-16	2/8-G-16 A	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2009-03-25	2009-03-31	NOT AVAILABLE	PLUGGED	71	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6160	http://www.npd.no/FactMapSearch?NPDID_wellbore=6160	NO
6161	2/8-G-16	2/8-G-16 B	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2009-04-01	2009-08-05	OIL	SUSP.AT TD	50	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6161	http://www.npd.no/FactMapSearch?NPDID_wellbore=6161	NO
6162	34/4-K-5	34/4-K-5 H	SNORRE	057	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE B	34/4-K H	2009-06-26	2010-01-31	WATER/GAS	INJECTING	0	INJECTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6162	http://www.npd.no/FactMapSearch?NPDID_wellbore=6162	NO
6163	15/9-F-9	15/9-F-9 A	VOLVE	046 BS	DEVELOPMENT	StatoilHydro ASA	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2009-07-03	2009-07-13	WATER	PRODUCING	172	PRODUCTION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6163	http://www.npd.no/FactMapSearch?NPDID_wellbore=6163	NO
6164	7/12-A-15	7/12-A-15 A	ULA	019	DEVELOPMENT	BP Norge AS	NO	ULA DP	ULA PP	2009-09-12	2009-10-19	OIL	PRODUCING	50	PRODUCTION	69.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6164	http://www.npd.no/FactMapSearch?NPDID_wellbore=6164	NO
6165	31/4-A-13	31/4-A-13 A	BRAGE	055	DEVELOPMENT	StatoilHydro Petroleum AS	NO	BRAGE	BRAGE	2009-06-28	2009-08-25	NOT AVAILABLE	PLUGGED	71	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6165	http://www.npd.no/FactMapSearch?NPDID_wellbore=6165	NO
6166	16/1-12	16/1-12	\N	338	EXPLORATION	Lundin Norway AS	NO	SONGA DEE	\N	2009-07-29	2009-09-08	OIL	P&A	5	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6166	http://www.npd.no/FactMapSearch?NPDID_wellbore=6166	YES
6167	25/5-6	25/5-6	\N	363	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN WINNER	\N	2009-08-27	2009-09-19	DRY	P&A	1	WILDCAT	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6167	http://www.npd.no/FactMapSearch?NPDID_wellbore=6167	NO
6169	2/4-VA-1	2/4-VA-1 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VA	2009-09-06	2009-09-30	WATER	SUSP.AT TD	173	INJECTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6169	http://www.npd.no/FactMapSearch?NPDID_wellbore=6169	NO
6170	2/4-VA-2	2/4-VA-2 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VA	2009-08-10	2009-09-05	WATER	SUSP.AT TD	173	INJECTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6170	http://www.npd.no/FactMapSearch?NPDID_wellbore=6170	NO
6171	2/4-VA-3	2/4-VA-3 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VA	2009-10-02	2009-10-25	WATER	SUSP.AT TD	173	INJECTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6171	http://www.npd.no/FactMapSearch?NPDID_wellbore=6171	NO
6172	2/4-X-8	2/4-X-8 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2009-11-19	2010-01-21	OIL	SUSP.AT TD	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6172	http://www.npd.no/FactMapSearch?NPDID_wellbore=6172	NO
6173	25/11-G-13	25/11-G-13 A	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	NO	GRANE	GRANE	2009-08-31	2009-09-04	NOT AVAILABLE	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6173	http://www.npd.no/FactMapSearch?NPDID_wellbore=6173	NO
6174	25/11-G-13	25/11-G-13 B	GRANE	169 B1	DEVELOPMENT	StatoilHydro Petroleum AS	NO	GRANE	GRANE	2009-08-28	2009-08-30	OIL	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6174	http://www.npd.no/FactMapSearch?NPDID_wellbore=6174	NO
6175	35/11-R-14	35/11-R-14 H	VEGA	090 C	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VEGA SØR	2009-08-14	2009-10-21	GAS	PLUGGED	99	OBSERVATION	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6175	http://www.npd.no/FactMapSearch?NPDID_wellbore=6175	NO
6176	35/11-R-14	35/11-R-14 AH	VEGA	090 C	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VEGA SØR	2009-10-22	2009-11-21	GAS	SUSP.AT TD	90	PRODUCTION	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6176	http://www.npd.no/FactMapSearch?NPDID_wellbore=6176	NO
6177	35/11-R-12	35/11-R-12 H	VEGA	090 C	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VEGA SØR	2009-11-30	2010-01-31	GAS	SUSP.AT TD	90	PRODUCTION	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6177	http://www.npd.no/FactMapSearch?NPDID_wellbore=6177	NO
6178	17/12-4	17/12-4 A	\N	407	EXPLORATION	BG Norge AS	NO	WEST ALPHA	\N	2009-07-10	2009-08-15	OIL	P&A	5	APPRAISAL	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6178	http://www.npd.no/FactMapSearch?NPDID_wellbore=6178	NO
6179	31/2-F-1	31/2-F-1 BY1H	TROLL	054	DEVELOPMENT	StatoilHydro Petroleum AS	YES	SONGA TRYM	TROLL F	2009-09-04	2009-10-16	OIL	SUSP.AT TD	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6179	http://www.npd.no/FactMapSearch?NPDID_wellbore=6179	NO
6180	31/2-F-1	31/2-F-1 BY2H	TROLL	054	DEVELOPMENT	StatoilHydro Petroleum AS	YES	SONGA TRYM	TROLL F	2009-10-17	2009-11-05	OIL	SUSP.AT TD	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6180	http://www.npd.no/FactMapSearch?NPDID_wellbore=6180	NO
6181	35/9-F-1	35/9-F-1 AH	GJØA	153	DEVELOPMENT	StatoilHydro ASA	NO	TRANSOCEAN SEARCHER	GJØA F	2009-07-31	2009-09-04	GAS	PRODUCING	90	PRODUCTION	360.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6181	http://www.npd.no/FactMapSearch?NPDID_wellbore=6181	NO
6182	30/9-23	30/9-23	\N	104	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN WINNER	\N	2009-07-29	2009-08-21	DRY	P&A	1	WILDCAT	114.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6182	http://www.npd.no/FactMapSearch?NPDID_wellbore=6182	NO
6183	6507/8-E-3	6507/8-E-3 EH	HEIDRUN	124	DEVELOPMENT	StatoilHydro Petroleum AS	NO	DEEPSEA BERGEN	HEIDRUN E	2009-07-22	2009-07-28	OIL	PLUGGED	50	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6183	http://www.npd.no/FactMapSearch?NPDID_wellbore=6183	NO
6184	15/9-F-15	15/9-F-15	VOLVE	046 BS	DEVELOPMENT	StatoilHydro ASA	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2008-09-07	2008-12-12	NOT APPLICABLE	PLUGGED	99	OBSERVATION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6184	http://www.npd.no/FactMapSearch?NPDID_wellbore=6184	NO
6185	25/8-17	25/8-17	JETTE	027 D	EXPLORATION	ExxonMobil Exploration & Production Norway AS	NO	BREDFORD DOLPHIN	\N	2009-10-09	2009-10-29	OIL	P&A	5	WILDCAT	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6185	http://www.npd.no/FactMapSearch?NPDID_wellbore=6185	YES
6186	15/9-23	15/9-23	\N	408	EXPLORATION	Det norske oljeselskap ASA	NO	BREDFORD DOLPHIN	\N	2009-11-18	2010-01-03	DRY	P&A	1	WILDCAT	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6186	http://www.npd.no/FactMapSearch?NPDID_wellbore=6186	NO
6187	25/1-11	25/1-11	\N	460	EXPLORATION	Det norske oljeselskap ASA	NO	AKER BARENTS	\N	2010-01-04	2010-01-12	DRY	SUSP.REENTERED LATER	1	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6187	http://www.npd.no/FactMapSearch?NPDID_wellbore=6187	NO
6188	6609/10-2	6609/10-2	\N	483 S	EXPLORATION	Det norske oljeselskap ASA (old)	NO	SONGA DELTA	\N	2009-09-05	2009-10-03	DRY	SUSP.REENTERED LATER	1	WILDCAT	265.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6188	http://www.npd.no/FactMapSearch?NPDID_wellbore=6188	NO
6189	25/9-3	25/9-3	\N	412	EXPLORATION	Norwegian Energy Company ASA	NO	WEST ALPHA	\N	2009-08-28	2009-09-20	DRY	P&A	1	WILDCAT	121.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6189	http://www.npd.no/FactMapSearch?NPDID_wellbore=6189	NO
6190	15/12-A-3	15/12-A-3 A	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	VARG A	2009-09-05	2009-09-29	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6190	http://www.npd.no/FactMapSearch?NPDID_wellbore=6190	NO
6191	6407/12-2	6407/12-2	\N	469	EXPLORATION	GDF SUEZ E&P Norge AS	NO	AKER BARENTS	\N	2009-11-23	2009-12-20	DRY	P&A	1	WILDCAT	308.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6191	http://www.npd.no/FactMapSearch?NPDID_wellbore=6191	NO
6192	6608/10-E-1	6608/10-E-1 Y2H	NORNE	128	DEVELOPMENT	StatoilHydro Petroleum AS	YES	STENA DON	NORNE E	2009-10-26	2009-12-03	OIL	SUSP.AT TD	50	PRODUCTION	380.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6192	http://www.npd.no/FactMapSearch?NPDID_wellbore=6192	NO
6193	25/11-G-3	25/11-G-3 AY1	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2010-01-26	2010-02-11	OIL	PRODUCING	50	PRODUCTION	127.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6193	http://www.npd.no/FactMapSearch?NPDID_wellbore=6193	NO
6637	25/8-U-21	25/8-U-21	\N	169 C	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6637	\N	NO
6194	25/11-G-3	25/11-G-3 AY2	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2010-02-13	2010-02-24	OIL	PRODUCING	50	PRODUCTION	127.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6194	http://www.npd.no/FactMapSearch?NPDID_wellbore=6194	NO
6195	25/11-G-3	25/11-G-3 AY3	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2010-03-05	2010-03-16	OIL	PRODUCING	50	PRODUCTION	127.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6195	http://www.npd.no/FactMapSearch?NPDID_wellbore=6195	NO
6196	30/9-U-2	30/9-U-2	\N	079	SHALLOW	StatoilHydro Petroleum AS	NO	TRANSOCEAN LEADER	\N	2009-09-09	2009-09-11	\N	P&A	0	\N	107.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6196	\N	NO
6197	33/12-B-31	33/12-B-31 B	STATFJORD	037	DEVELOPMENT	StatoilHydro Petroleum AS	NO	STATFJORD B	STATFJORD B	2009-09-19	2009-10-28	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6197	http://www.npd.no/FactMapSearch?NPDID_wellbore=6197	NO
6198	30/6-C-10	30/6-C-10 E	OSEBERG	053	DEVELOPMENT	StatoilHydro Petroleum AS	YES	OSEBERG C	OSEBERG C	2009-08-06	2009-08-29	\N	SUSPENDED	0	PRODUCTION	108.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6198	http://www.npd.no/FactMapSearch?NPDID_wellbore=6198	NO
6200	31/2-M-24	31/2-M-24 AH	TROLL	054	DEVELOPMENT	StatoilHydro Petroleum AS	NO	SONGA TRYM	TROLL M2	2009-07-23	2009-07-25	NOT APPLICABLE	PLUGGED	99	OBSERVATION	354.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6200	http://www.npd.no/FactMapSearch?NPDID_wellbore=6200	NO
6201	31/5-H-3	31/5-H-3 CY1H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE	TROLL H	2009-11-10	2009-12-15	OIL	SUSP.AT TD	50	PRODUCTION	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6201	http://www.npd.no/FactMapSearch?NPDID_wellbore=6201	NO
6202	31/5-H-3	31/5-H-3 CY2H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE	TROLL H	2009-12-15	2010-01-10	OIL	SUSP.AT TD	50	PRODUCTION	316.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6202	http://www.npd.no/FactMapSearch?NPDID_wellbore=6202	NO
6203	30/9-B-46	30/9-B-46 B	OSEBERG	079	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG B	OSEBERG B	2009-07-29	2009-08-01	OIL	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6203	http://www.npd.no/FactMapSearch?NPDID_wellbore=6203	NO
6204	30/9-B-46	30/9-B-46 C	OSEBERG	079	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG B	OSEBERG B	2009-08-01	2009-08-05	OIL	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6204	http://www.npd.no/FactMapSearch?NPDID_wellbore=6204	NO
6205	30/9-B-46	30/9-B-46 D	OSEBERG	079	DEVELOPMENT	StatoilHydro Petroleum AS	NO	OSEBERG B	OSEBERG B	2009-08-06	2009-09-12	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6205	http://www.npd.no/FactMapSearch?NPDID_wellbore=6205	NO
6206	6407/1-C-3	6407/1-C-3 Y1H	TYRIHANS	073	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN ARCTIC	TYRIHANS C	2009-12-17	2010-02-07	OIL	PLUGGED	99	OBSERVATION	270.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6206	http://www.npd.no/FactMapSearch?NPDID_wellbore=6206	NO
6207	6407/1-C-3	6407/1-C-3 AY1H	TYRIHANS	073	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN ARCTIC	TYRIHANS C	2010-02-22	2010-03-25	OIL	PRODUCING	50	PRODUCTION	270.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6207	http://www.npd.no/FactMapSearch?NPDID_wellbore=6207	NO
6208	6506/12-12	6506/12-12 A	ÅSGARD	094	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN LEADER	ÅSGARD NB	2009-08-06	2009-09-02	OIL/GAS	RE-CLASS TO DEV	13	APPRAISAL	301.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6208	http://www.npd.no/FactMapSearch?NPDID_wellbore=6208	NO
6209	6507/8-E-3	6507/8-E-3 FH	HEIDRUN	124	DEVELOPMENT	StatoilHydro Petroleum AS	NO	DEEPSEA BERGEN	HEIDRUN E	2009-08-04	2009-09-10	OIL	PRODUCING	50	PRODUCTION	355.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6209	http://www.npd.no/FactMapSearch?NPDID_wellbore=6209	NO
6210	30/9-24	30/9-24	\N	079	EXPLORATION	StatoilHydro Petroleum AS	NO	TRANSOCEAN LEADER	\N	2009-09-10	2009-10-17	DRY	P&A	1	WILDCAT	107.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6210	http://www.npd.no/FactMapSearch?NPDID_wellbore=6210	NO
6211	17/12-4	17/12-4 B	\N	407	EXPLORATION	BG Norge AS	NO	WEST ALPHA	\N	2009-08-16	2009-08-26	OIL	P&A	5	APPRAISAL	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6211	http://www.npd.no/FactMapSearch?NPDID_wellbore=6211	NO
6212	34/10-53	34/10-53 S	\N	050	EXPLORATION	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	\N	2010-12-06	2011-03-24	GAS/CONDENSATE	P&A	17	WILDCAT	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6212	http://www.npd.no/FactMapSearch?NPDID_wellbore=6212	YES
6213	31/5-I-21	31/5-I-21 BY1H	TROLL	085	DEVELOPMENT	StatoilHydro Petroleum AS	YES	POLAR PIONEER	TROLL I2	2009-10-02	2009-11-12	OIL	SUSP.AT TD	50	PRODUCTION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6213	http://www.npd.no/FactMapSearch?NPDID_wellbore=6213	NO
6214	31/5-I-21	31/5-I-21 BY2H	TROLL	085	DEVELOPMENT	StatoilHydro Petroleum AS	YES	POLAR PIONEER	TROLL I2	2009-11-13	2009-12-04	OIL	SUSP.AT TD	50	PRODUCTION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6214	http://www.npd.no/FactMapSearch?NPDID_wellbore=6214	NO
6215	25/2-17	25/2-17	\N	442	EXPLORATION	StatoilHydro Petroleum AS	NO	OCEAN VANGUARD	\N	2009-09-07	2009-10-11	OIL	P&A	5	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6215	http://www.npd.no/FactMapSearch?NPDID_wellbore=6215	YES
6216	16/4-5	16/4-5	\N	359	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN WINNER	\N	2010-02-04	2010-03-07	OIL SHOWS	P&A	12	WILDCAT	104.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6216	http://www.npd.no/FactMapSearch?NPDID_wellbore=6216	NO
6217	6506/12-Q-5	6506/12-Q-5 Y2H	ÅSGARD	094	DEVELOPMENT	StatoilHydro Petroleum AS	YES	SCARABEO 5	ÅSGARD Q	2009-11-12	2009-12-20	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	305.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6217	http://www.npd.no/FactMapSearch?NPDID_wellbore=6217	NO
6218	33/9-C-21	33/9-C-21 A	STATFJORD	037	DEVELOPMENT	StatoilHydro Petroleum AS	NO	STATFJORD C	STATFJORD C	2009-09-19	2009-10-02	OIL/GAS	SUSP.AT TD	0	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6218	http://www.npd.no/FactMapSearch?NPDID_wellbore=6218	NO
6638	25/8-U-22	25/8-U-22	\N	169 C	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6638	\N	NO
6219	31/4-A-13	31/4-A-13 B	BRAGE	055	DEVELOPMENT	StatoilHydro Petroleum AS	NO	BRAGE	BRAGE	2009-08-28	2009-09-21	OIL	SUSP.AT TD	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6219	http://www.npd.no/FactMapSearch?NPDID_wellbore=6219	NO
6220	2/4-K-30	2/4-K-30 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2009-10-08	2010-01-07	WATER	INJECTING	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6220	http://www.npd.no/FactMapSearch?NPDID_wellbore=6220	NO
6221	2/7-A-18	2/7-A-18 D	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2009-10-01	2009-11-27	WATER	PLUGGED	173	INJECTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6221	http://www.npd.no/FactMapSearch?NPDID_wellbore=6221	NO
6222	24/9-9	24/9-9 S	BØYLA	340	EXPLORATION	Marathon Petroleum Norge AS	NO	SONGA DEE	\N	2009-09-12	2009-10-07	OIL	P&A	5	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6222	http://www.npd.no/FactMapSearch?NPDID_wellbore=6222	YES
6223	2/4-VA-5	2/4-VA-5 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VA	2009-12-25	2010-01-11	WATER	SUSP.AT TD	173	INJECTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6223	http://www.npd.no/FactMapSearch?NPDID_wellbore=6223	NO
6224	2/4-VA-6	2/4-VA-6 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VA	2010-01-12	2010-02-06	WATER	SUSP.AT TD	173	INJECTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6224	http://www.npd.no/FactMapSearch?NPDID_wellbore=6224	NO
6225	2/4-VA-8	2/4-VA-8 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VA	2010-02-07	2010-03-03	WATER	SUSP.AT TD	173	INJECTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6225	http://www.npd.no/FactMapSearch?NPDID_wellbore=6225	NO
6226	16/1-8	16/1-8 R	EDVARD GRIEG	338	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN WINNER	\N	2009-10-02	2009-10-10	OIL	P&A	5	APPRAISAL	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6226	http://www.npd.no/FactMapSearch?NPDID_wellbore=6226	NO
6227	34/4-11	34/4-11	\N	375	EXPLORATION	Petro-Canada Norge AS	NO	SONGA DELTA	\N	2009-10-13	2010-01-10	OIL	P&A	5	WILDCAT	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6227	http://www.npd.no/FactMapSearch?NPDID_wellbore=6227	YES
6228	30/4-D-1	30/4-D-1 H	MARTIN LINGE	043	DEVELOPMENT	Total E&P Norge AS	NO	WEST PHOENIX	30/4-D-1 AH	2009-09-19	2010-02-21	GAS/CONDENSATE	PLUGGED	99	OBSERVATION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6228	http://www.npd.no/FactMapSearch?NPDID_wellbore=6228	NO
6229	30/4-D-1	30/4-D-1 AH	MARTIN LINGE	043	DEVELOPMENT	Total E&P Norge AS	NO	WEST PHOENIX	30/4-D-1 AH	2010-02-22	2010-03-28	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6229	http://www.npd.no/FactMapSearch?NPDID_wellbore=6229	NO
6230	34/10-A-36	34/10-A-36 A	GULLFAKS	050	DEVELOPMENT	StatoilHydro Petroleum AS	NO	GULLFAKS A	GULLFAKS A	2009-10-22	2009-10-29	OIL	PLUGGED	99	OBSERVATION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6230	http://www.npd.no/FactMapSearch?NPDID_wellbore=6230	NO
6231	34/10-A-36	34/10-A-36 B	GULLFAKS	050	DEVELOPMENT	StatoilHydro Petroleum AS	NO	GULLFAKS A	GULLFAKS A	2009-10-30	2009-11-10	OIL	PLUGGED	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6231	http://www.npd.no/FactMapSearch?NPDID_wellbore=6231	NO
6232	16/1-13	16/1-13	EDVARD GRIEG	338	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN WINNER	\N	2009-11-30	2010-01-21	OIL	P&A	5	APPRAISAL	109.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6232	http://www.npd.no/FactMapSearch?NPDID_wellbore=6232	NO
6233	34/8-A-8	34/8-A-8 AH	VISUND	120	DEVELOPMENT	Statoil Petroleum AS	NO	VISUND	VISUND	2009-12-05	2010-01-31	OIL	PLUGGED	99	OBSERVATION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6233	http://www.npd.no/FactMapSearch?NPDID_wellbore=6233	NO
6234	34/8-A-8	34/8-A-8 BH	VISUND	120	DEVELOPMENT	Statoil Petroleum AS	NO	VISUND	VISUND	2010-03-31	2010-05-10	OIL	SUSP.AT TD	50	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6234	http://www.npd.no/FactMapSearch?NPDID_wellbore=6234	NO
6235	6608/10-13	6608/10-13	\N	437	EXPLORATION	StatoilHydro Petroleum AS	NO	OCEAN VANGUARD	\N	2009-10-17	2009-11-07	DRY	P&A	1	WILDCAT	384.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6235	http://www.npd.no/FactMapSearch?NPDID_wellbore=6235	NO
6236	15/12-A-10	15/12-A-10 A	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	VARG A	2009-10-19	2009-11-09	OIL	PRODUCING	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6236	http://www.npd.no/FactMapSearch?NPDID_wellbore=6236	NO
6237	2/4-VA-7	2/4-VA-7 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VA	2010-03-05	2010-04-19	WATER	SUSP.AT TD	173	INJECTION	78.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6237	http://www.npd.no/FactMapSearch?NPDID_wellbore=6237	NO
6238	6506/11-B-3	6506/11-B-3 H	MORVIN	134 B	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	MOR-B	2009-10-22	2010-05-31	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6238	http://www.npd.no/FactMapSearch?NPDID_wellbore=6238	NO
6239	24/9-9	24/9-9 A	BØYLA	340	EXPLORATION	Marathon Petroleum Norge AS	NO	SONGA DEE	\N	2009-10-07	2009-10-15	OIL	P&A	5	APPRAISAL	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6239	http://www.npd.no/FactMapSearch?NPDID_wellbore=6239	NO
6240	24/9-P-3	24/9-P-3 H	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	NO	SONGA DEE	VOLUND	2009-11-10	2009-12-05	OIL/GAS	PLUGGED	99	OBSERVATION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6240	http://www.npd.no/FactMapSearch?NPDID_wellbore=6240	NO
6241	24/9-P-3	24/9-P-3 AH	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	NO	SONGA DEE	VOLUND	2009-12-06	2010-05-22	OIL/GAS	PRODUCING	0	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6241	http://www.npd.no/FactMapSearch?NPDID_wellbore=6241	NO
6242	34/10-C-6	34/10-C-6 A	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS C	GULLFAKS C	2009-12-16	2010-07-25	OIL	SUSP.AT TD	50	PRODUCTION	216.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6242	http://www.npd.no/FactMapSearch?NPDID_wellbore=6242	NO
6243	6305/7-D-3	6305/7-D-3 H	ORMEN LANGE	208	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE D	2010-04-02	2010-04-24	GAS	PRODUCING	90	PRODUCTION	853.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6243	http://www.npd.no/FactMapSearch?NPDID_wellbore=6243	NO
6244	6305/7-D-6	6305/7-D-6 H	ORMEN LANGE	208	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE D	2009-11-15	2009-12-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	853.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6244	http://www.npd.no/FactMapSearch?NPDID_wellbore=6244	NO
6245	6305/7-D-7	6305/7-D-7 H	ORMEN LANGE	208	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE D	2009-12-28	2010-01-24	GAS	PLUGGED	99	OBSERVATION	853.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6245	http://www.npd.no/FactMapSearch?NPDID_wellbore=6245	NO
6246	6305/7-D-7	6305/7-D-7 AH	ORMEN LANGE	208	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE D	2010-03-16	2010-08-09	GAS	PRODUCING	90	PRODUCTION	853.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6246	http://www.npd.no/FactMapSearch?NPDID_wellbore=6246	NO
6247	30/3-A-1	30/3-A-1 A	VESLEFRIKK	052	DEVELOPMENT	Statoil Petroleum AS	NO	VESLEFRIKK A	VESLEFRIKK A	2009-11-14	2010-01-02	OIL	PLUGGED	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6247	http://www.npd.no/FactMapSearch?NPDID_wellbore=6247	NO
6248	30/3-A-1	30/3-A-1 B	VESLEFRIKK	052	DEVELOPMENT	Statoil Petroleum AS	NO	VESLEFRIKK A	VESLEFRIKK A	2010-02-13	2010-03-19	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6248	http://www.npd.no/FactMapSearch?NPDID_wellbore=6248	NO
6249	34/3-2	34/3-2 S	\N	373 S	EXPLORATION	BG Norge AS	NO	WEST ALPHA	\N	2009-10-25	2009-12-30	SHOWS	P&A	12	WILDCAT	409.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6249	http://www.npd.no/FactMapSearch?NPDID_wellbore=6249	NO
6250	24/9-P-2	24/9-P-2 H	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	NO	SONGA DEE	VOLUND	2009-12-29	2010-01-29	OIL/GAS	PLUGGED	99	OBSERVATION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6250	http://www.npd.no/FactMapSearch?NPDID_wellbore=6250	NO
6251	24/9-P-2	24/9-P-2 AY1H	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	YES	SONGA DEE	VOLUND	2010-01-30	2010-02-24	OIL/GAS	PRODUCING	0	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6251	http://www.npd.no/FactMapSearch?NPDID_wellbore=6251	NO
6252	24/9-P-2	24/9-P-2 AY2H	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	YES	SONGA DEE	VOLUND	2010-02-25	2010-04-09	OIL/GAS	PRODUCING	0	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6252	http://www.npd.no/FactMapSearch?NPDID_wellbore=6252	NO
6253	25/4-10	25/4-10 S	ALVHEIM	203	EXPLORATION	Marathon Petroleum Norge AS	NO	TRANSOCEAN WINNER	\N	2009-10-20	2009-11-10	OIL	P&A	5	WILDCAT	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6253	http://www.npd.no/FactMapSearch?NPDID_wellbore=6253	YES
6254	24/9-9	24/9-9 B	BØYLA	340	EXPLORATION	Marathon Petroleum Norge AS	NO	SONGA DEE	\N	2009-10-15	2009-10-25	OIL	P&A	5	APPRAISAL	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6254	http://www.npd.no/FactMapSearch?NPDID_wellbore=6254	NO
6255	25/4-10	25/4-10 A	\N	203	EXPLORATION	Marathon Petroleum Norge AS	NO	TRANSOCEAN WINNER	\N	2009-11-11	2009-11-28	GAS	P&A	9	WILDCAT	123.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6255	http://www.npd.no/FactMapSearch?NPDID_wellbore=6255	YES
6256	35/8-P-13	35/8-P-13 H	VEGA	248	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VEGA NORD	2010-02-19	2010-04-07	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6256	http://www.npd.no/FactMapSearch?NPDID_wellbore=6256	NO
6257	6407/7-A-19	6407/7-A-19 AH	NJORD	107	DEVELOPMENT	StatoilHydro Petroleum AS	NO	NJORD A	NJORD A	2009-11-11	2009-12-03	OIL	PRODUCING	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6257	http://www.npd.no/FactMapSearch?NPDID_wellbore=6257	NO
6258	6507/3-8	6507/3-8	\N	159 B	EXPLORATION	StatoilHydro Petroleum AS	NO	OCEAN VANGUARD	\N	2009-11-09	2009-12-15	OIL/GAS	P&A	13	WILDCAT	379.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6258	http://www.npd.no/FactMapSearch?NPDID_wellbore=6258	YES
6259	7223/5-U-1	7223/5-U-1	\N	228	SHALLOW	StatoilHydro Petroleum AS	NO	POLAR PIONEER	\N	2008-11-01	2008-11-02	\N	P&A	0	\N	332.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6259	\N	NO
6260	1/3-12	1/3-12 S	\N	297	EXPLORATION	BG Norge AS	NO	ROWAN GORILLA VI	\N	2009-12-01	2010-07-22	DRY	P&A	1	WILDCAT	70.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6260	http://www.npd.no/FactMapSearch?NPDID_wellbore=6260	NO
6261	25/8-17	25/8-17 A	JETTE	027 D	EXPLORATION	ExxonMobil Exploration & Production Norway AS	NO	BREDFORD DOLPHIN	\N	2009-10-30	2009-11-15	OIL	P&A	5	APPRAISAL	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6261	http://www.npd.no/FactMapSearch?NPDID_wellbore=6261	NO
6262	35/9-C-1	35/9-C-1 Y1H	GJØA	153	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN SEARCHER	GJØA C	2010-01-26	2010-03-20	OIL	PLUGGED	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6262	http://www.npd.no/FactMapSearch?NPDID_wellbore=6262	NO
6263	35/9-C-2	35/9-C-2 H	GJØA	153	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SEARCHER	GJØA C	2010-05-08	2010-05-25	OIL	PLUGGED	99	OBSERVATION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6263	http://www.npd.no/FactMapSearch?NPDID_wellbore=6263	NO
6264	35/9-C-3	35/9-C-3 Y1H	GJØA	153	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN SEARCHER	GJØA C	2010-07-12	2010-08-17	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6264	http://www.npd.no/FactMapSearch?NPDID_wellbore=6264	NO
6265	35/9-C-4	35/9-C-4 Y1H	GJØA	153	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN SEARCHER	GJØA C	2010-01-01	2010-04-13	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6265	http://www.npd.no/FactMapSearch?NPDID_wellbore=6265	NO
6266	33/9-C-19	33/9-C-19 D	STATFJORD	037	DEVELOPMENT	Den norske stats oljeselskap a.s	NO	STATFJORD C	STATFJORD C	2009-11-11	2009-11-29	OIL/GAS	SUSP.AT TD	0	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6266	http://www.npd.no/FactMapSearch?NPDID_wellbore=6266	NO
6267	7/12-A-17	7/12-A-17 B	ULA	019	DEVELOPMENT	BP Norge AS	NO	ULA PP	ULA PP	2009-12-08	2010-03-04	WATER/GAS	INJECTING	0	INJECTION	69.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6267	http://www.npd.no/FactMapSearch?NPDID_wellbore=6267	NO
6268	31/4-A-34	31/4-A-34 A	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2009-11-23	2009-12-20	NOT AVAILABLE	PLUGGED	99	OBSERVATION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6268	http://www.npd.no/FactMapSearch?NPDID_wellbore=6268	NO
6269	31/4-A-34	31/4-A-34 B	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2009-12-21	2009-12-27	NOT AVAILABLE	PLUGGED	71	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6269	http://www.npd.no/FactMapSearch?NPDID_wellbore=6269	NO
6270	34/10-A-36	34/10-A-36 C	GULLFAKS	050	DEVELOPMENT	StatoilHydro Petroleum AS	NO	GULLFAKS A	GULLFAKS A	2009-11-11	2009-12-02	OIL	PRODUCING	50	PRODUCTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6270	http://www.npd.no/FactMapSearch?NPDID_wellbore=6270	NO
6271	34/11-U-11	34/11-U-11	\N	193	SHALLOW	StatoilHydro Petroleum AS	NO	BORGLAND DOLPHIN	\N	2009-12-17	2009-12-20	\N	P&A	0	\N	133.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6271	\N	NO
6272	33/12-B-25	33/12-B-25 A	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD B	STATFJORD B	2009-12-29	2010-02-18	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6272	http://www.npd.no/FactMapSearch?NPDID_wellbore=6272	NO
6273	30/9-B-27	30/9-B-27 C	OSEBERG	079	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG B	OSEBERG B	2009-12-20	2010-06-23	OIL	SUSP.AT TD	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6273	http://www.npd.no/FactMapSearch?NPDID_wellbore=6273	NO
6274	34/11-U-3	34/11-U-3	\N	193	SHALLOW	StatoilHydro Petroleum AS	NO	BUCENTAUR	\N	2009-06-27	2009-06-27	\N	P&A	0	\N	135.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6274	\N	NO
6275	34/11-U-4	34/11-U-4	\N	193	SHALLOW	StatoilHydro Petroleum AS	NO	BUCENTAUR	\N	2009-06-21	2009-06-21	\N	P&A	0	\N	134.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6275	\N	NO
6276	34/11-U-5	34/11-U-5	\N	193	SHALLOW	StatoilHydro Petroleum AS	NO	BUCENTAUR	\N	2009-06-29	2009-06-29	\N	P&A	0	\N	134.600000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6276	\N	NO
6277	34/11-U-6	34/11-U-6	\N	193	SHALLOW	StatoilHydro Petroleum AS	NO	BUCENTAUR	\N	2009-06-25	2009-06-25	\N	P&A	0	\N	134.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6277	\N	NO
6278	34/11-U-7	34/11-U-7	\N	193	SHALLOW	StatoilHydro Petroleum AS	NO	BUCENTAUR	\N	2009-06-23	2009-06-23	\N	P&A	0	\N	133.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6278	\N	NO
6279	34/11-U-8	34/11-U-8	\N	193	SHALLOW	StatoilHydro Petroleum AS	NO	BUCENTAUR	\N	2009-06-20	2009-06-20	\N	P&A	0	\N	133.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6279	\N	NO
6280	34/11-U-9	34/11-U-9	\N	193	SHALLOW	StatoilHydro Petroleum AS	NO	BUCENTAUR	\N	2009-06-22	2009-06-22	\N	P&A	0	\N	134.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6280	\N	NO
6281	34/11-U-10	34/11-U-10	\N	193	SHALLOW	StatoilHydro Petroleum AS	NO	BUCENTAUR	\N	2009-07-01	2009-07-01	\N	P&A	0	\N	134.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6281	\N	NO
6282	15/12-A-9	15/12-A-9 B	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	VARG A	2009-12-07	2009-12-27	OIL	SUSP.AT TD	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6282	http://www.npd.no/FactMapSearch?NPDID_wellbore=6282	NO
6283	34/4-12	34/4-12 S	\N	057	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2009-12-19	2010-01-25	OIL	P&A	5	WILDCAT	381.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6283	http://www.npd.no/FactMapSearch?NPDID_wellbore=6283	YES
6284	6507/2-U-1	6507/2-U-1	\N	122	SHALLOW	StatoilHydro ASA	NO	BUCENTAUR	\N	2009-07-12	2009-07-13	\N	P&A	0	\N	366.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6284	\N	NO
6285	6506/11-A-2	6506/11-A-2 H	MORVIN	134 B	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	MOR-A	2010-03-12	2011-05-31	OIL	PRODUCING	50	PRODUCTION	350.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6285	http://www.npd.no/FactMapSearch?NPDID_wellbore=6285	NO
6286	15/3-U-1	15/3-U-1	GUDRUN	025	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	2008-10-20	2008-10-21	\N	P&A	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6286	\N	NO
6287	15/3-U-2	15/3-U-2	GUDRUN	025	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	2008-10-22	2008-10-23	\N	P&A	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6287	\N	NO
6288	15/3-U-3	15/3-U-3	GUDRUN	025	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	2008-10-24	2008-10-25	\N	P&A	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6288	\N	NO
6289	15/3-U-4	15/3-U-4	GUDRUN	025	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	2008-10-28	2008-10-29	\N	P&A	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6289	\N	NO
6290	15/3-U-5	15/3-U-5	GUDRUN	025	SHALLOW	Statoil ASA (old)	NO	BUCENTAUR	\N	2008-11-01	2008-11-02	\N	P&A	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6290	\N	NO
6291	31/2-O-26	31/2-O-26 Y1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL O2	2009-12-23	2010-01-24	OIL	SUSP.AT TD	50	PRODUCTION	338.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6291	http://www.npd.no/FactMapSearch?NPDID_wellbore=6291	NO
6292	31/2-O-26	31/2-O-26 Y2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL O2	2010-01-25	2010-02-24	OIL	SUSP.AT TD	50	PRODUCTION	338.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6292	http://www.npd.no/FactMapSearch?NPDID_wellbore=6292	NO
6293	35/9-5	35/9-5	\N	419	EXPLORATION	Nexen Exploration Norge AS	NO	WEST ALPHA	\N	2010-01-01	2010-02-07	DRY	P&A	1	WILDCAT	366.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6293	http://www.npd.no/FactMapSearch?NPDID_wellbore=6293	NO
6294	2/7-A-18	2/7-A-18 E	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2009-11-28	2009-12-24	OIL	PRODUCING	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6294	http://www.npd.no/FactMapSearch?NPDID_wellbore=6294	NO
6295	34/8-U-2	34/8-U-2	\N	120	SHALLOW	StatoilHydro ASA	NO	BUCENTAUR	\N	2009-10-02	2009-10-03	\N	P&A	0	\N	291.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6295	\N	NO
6296	6506/11-A-4	6506/11-A-4 H	MORVIN	134 B	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	MOR-A	2010-02-22	2010-04-17	OIL	PRODUCING	50	PRODUCTION	352.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6296	http://www.npd.no/FactMapSearch?NPDID_wellbore=6296	NO
6297	6305/7-D-2	6305/7-D-2 H	ORMEN LANGE	208	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE D	2010-04-28	2010-09-04	GAS	PRODUCING	90	PRODUCTION	853.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6297	http://www.npd.no/FactMapSearch?NPDID_wellbore=6297	NO
6298	31/2-U-11	31/2-U-11	TROLL	054	SHALLOW	Statoil Petroleum AS	NO	SONGA TRYM	\N	2009-12-05	2009-12-06	\N	P&A	0	\N	338.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6298	\N	NO
6299	31/2-O-21	31/2-O-21 Y1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL O2	2010-02-26	2010-04-05	OIL	SUSP.AT TD	50	PRODUCTION	338.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6299	http://www.npd.no/FactMapSearch?NPDID_wellbore=6299	NO
6300	31/2-O-21	31/2-O-21 Y2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL O2	2010-04-06	2010-04-21	OIL	SUSP.AT TD	50	PRODUCTION	338.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6300	http://www.npd.no/FactMapSearch?NPDID_wellbore=6300	NO
6301	31/2-O-23	31/2-O-23 Y1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL O2	2010-10-14	2010-11-19	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6301	http://www.npd.no/FactMapSearch?NPDID_wellbore=6301	NO
6302	31/2-O-25	31/2-O-25 Y1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL O2	2012-04-23	2012-06-20	OIL	SUSP.AT TD	50	PRODUCTION	338.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6302	http://www.npd.no/FactMapSearch?NPDID_wellbore=6302	NO
6303	2/4-K-28	2/4-K-28 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2010-02-22	2010-04-19	WATER	SUSP.AT TD	173	INJECTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6303	http://www.npd.no/FactMapSearch?NPDID_wellbore=6303	NO
6304	31/2-Y-23	31/2-Y-23 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL U2	2010-05-02	2010-05-24	NOT AVAILABLE	PLUGGED	71	PRODUCTION	331.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6304	http://www.npd.no/FactMapSearch?NPDID_wellbore=6304	NO
6306	6608/10-14	6608/10-14 S	SKULD	128	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2010-02-22	2010-04-01	OIL/GAS	P&A	13	WILDCAT	354.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6306	http://www.npd.no/FactMapSearch?NPDID_wellbore=6306	YES
6307	34/5-1	34/5-1 S	\N	374 S	EXPLORATION	BG Norge AS	NO	BREDFORD DOLPHIN	\N	2010-01-07	2010-03-13	OIL	P&A	5	WILDCAT	387.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6307	http://www.npd.no/FactMapSearch?NPDID_wellbore=6307	YES
6308	31/2-U-12	31/2-U-12	TROLL	054	SHALLOW	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	\N	2010-01-25	2010-01-27	\N	P&A	0	\N	334.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6308	\N	NO
6309	6507/5-U-2	6507/5-U-2	SKARV	212	SHALLOW	BP Norge AS	NO	BORGLAND DOLPHIN	\N	2010-01-09	2010-01-11	\N	P&A	0	\N	325.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6309	\N	NO
6310	2/4-X-43	2/4-X-43 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2010-03-31	2010-05-26	OIL	PRODUCING	50	PRODUCTION	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6310	http://www.npd.no/FactMapSearch?NPDID_wellbore=6310	NO
6311	7/12-A-3	7/12-A-3 B	ULA	019	DEVELOPMENT	BP Norge AS	NO	ULA DP	ULA PP	2010-03-26	2010-05-29	OIL	SUSP.AT TD	50	PRODUCTION	69.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6311	http://www.npd.no/FactMapSearch?NPDID_wellbore=6311	NO
6312	35/9-C-4	35/9-C-4 Y2H	GJØA	153	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN SEARCHER	GJØA C	2010-04-13	2010-05-06	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6312	http://www.npd.no/FactMapSearch?NPDID_wellbore=6312	NO
6313	34/11-U-12	34/11-U-12	\N	193	SHALLOW	Statoil Petroleum AS	NO	BORGLAND DOLPHIN	\N	2009-12-21	2009-12-28	\N	P&A	0	\N	133.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6313	\N	NO
6314	31/2-M-14	31/2-M-14 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	POLAR PIONEER	TROLL M1	2010-01-16	2010-02-12	OIL	SUSP.AT TD	50	PRODUCTION	345.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6314	http://www.npd.no/FactMapSearch?NPDID_wellbore=6314	NO
6315	31/2-M-14	31/2-M-14 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	POLAR PIONEER	TROLL M1	2010-02-13	2010-02-23	OIL	SUSP.AT TD	50	PRODUCTION	345.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6315	http://www.npd.no/FactMapSearch?NPDID_wellbore=6315	NO
6316	34/4-12	34/4-12 A	SNORRE	057	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2010-01-27	2010-02-18	OIL	P&A	5	WILDCAT	381.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6316	http://www.npd.no/FactMapSearch?NPDID_wellbore=6316	YES
6317	15/12-A-7	15/12-A-7 B	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	VARG A	2010-01-11	2010-02-06	NOT AVAILABLE	PLUGGED	71	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6317	http://www.npd.no/FactMapSearch?NPDID_wellbore=6317	NO
6318	6507/5-U-1	6507/5-U-1	SKARV	212	SHALLOW	BP Norge AS	NO	BORGLAND DOLPHIN	\N	2010-01-06	2010-01-08	\N	P&A	0	\N	323.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6318	\N	NO
6319	9/2-C-7	9/2-C-7	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GIANT	YME MOPUStor	2010-01-09	2010-01-28	NOT AVAILABLE	PLUGGED	71	PRODUCTION	93.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6319	http://www.npd.no/FactMapSearch?NPDID_wellbore=6319	NO
6320	31/4-A-34	31/4-A-34 C	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2009-12-28	2010-01-24	OIL	SUSP.AT TD	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6320	http://www.npd.no/FactMapSearch?NPDID_wellbore=6320	NO
6321	6507/5-6	6507/5-6 S	SKARV	212	EXPLORATION	BP Norge AS	NO	BORGLAND DOLPHIN	\N	2010-01-12	2010-06-08	GAS	SUSPENDED	9	WILDCAT	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6321	http://www.npd.no/FactMapSearch?NPDID_wellbore=6321	YES
6322	6407/7-A-5	6407/7-A-5 CH	NJORD	107	DEVELOPMENT	Statoil Petroleum AS	NO	NJORD A	NJORD A	2010-01-09	2010-02-20	GAS	PRODUCING	90	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6322	http://www.npd.no/FactMapSearch?NPDID_wellbore=6322	NO
6323	6507/5-A-3	6507/5-A-3 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	BORGLAND DOLPHIN	SKARV A	2010-03-22	2010-04-04	GAS	SUSP.AT TD	90	PRODUCTION	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6323	http://www.npd.no/FactMapSearch?NPDID_wellbore=6323	NO
6324	6507/5-A-4	6507/5-A-4 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	BORGLAND DOLPHIN	SKARV A	2010-02-19	2010-03-21	GAS	SUSP.AT TD	90	PRODUCTION	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6324	http://www.npd.no/FactMapSearch?NPDID_wellbore=6324	NO
6325	6507/5-A-6	6507/5-A-6 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	BORGLAND DOLPHIN	SKARV A	2010-04-04	2011-04-23	GAS	SUSP.AT TD	90	PRODUCTION	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6325	http://www.npd.no/FactMapSearch?NPDID_wellbore=6325	NO
6326	15/12-22	15/12-22	\N	337	EXPLORATION	Det norske oljeselskap ASA	NO	BREDFORD DOLPHIN	\N	2010-04-17	2010-05-16	DRY	P&A	1	WILDCAT	82.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6326	http://www.npd.no/FactMapSearch?NPDID_wellbore=6326	NO
6327	15/12-23	15/12-23	\N	038 D	EXPLORATION	Talisman Energy Norge AS	NO	TRANSOCEAN WINNER	\N	2010-04-01	2010-05-29	OIL	P&A	5	APPRAISAL	86.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6327	http://www.npd.no/FactMapSearch?NPDID_wellbore=6327	NO
6328	24/12-6	24/12-6 S	\N	341	EXPLORATION	Det norske oljeselskap ASA	NO	SONGA DELTA	\N	2010-08-16	2010-12-20	DRY	P&A	1	WILDCAT	116.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6328	http://www.npd.no/FactMapSearch?NPDID_wellbore=6328	NO
6330	35/8-P-11	35/8-P-11 H	VEGA	248	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VEGA NORD	2010-04-09	2010-05-14	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6330	http://www.npd.no/FactMapSearch?NPDID_wellbore=6330	NO
6331	31/4-A-32	31/4-A-32 B	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2010-02-08	2010-03-19	OIL	PLUGGED	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6331	http://www.npd.no/FactMapSearch?NPDID_wellbore=6331	NO
6332	6506/9-2	6506/9-2 S	\N	433	EXPLORATION	Centrica Resources (Norge) AS	NO	WEST ALPHA	\N	2010-02-11	2010-04-28	GAS/CONDENSATE	P&A	17	WILDCAT	281.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6332	http://www.npd.no/FactMapSearch?NPDID_wellbore=6332	YES
6333	25/11-G-4	25/11-G-4	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	9999-12-31	9999-12-31	\N	PREDRILLED	0	\N	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6333	http://www.npd.no/FactMapSearch?NPDID_wellbore=6333	NO
6334	25/11-G-29	25/11-G-29	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	9999-12-31	9999-12-31	\N	PREDRILLED	0	\N	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6334	http://www.npd.no/FactMapSearch?NPDID_wellbore=6334	NO
6335	25/11-G-33	25/11-G-33	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	9999-12-31	9999-12-31	\N	PREDRILLED	0	\N	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6335	http://www.npd.no/FactMapSearch?NPDID_wellbore=6335	NO
6336	25/11-G-36	25/11-G-36	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2012-07-06	2012-07-21	WATER	PRODUCING	173	INJECTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6336	http://www.npd.no/FactMapSearch?NPDID_wellbore=6336	NO
6337	25/11-G-38	25/11-G-38	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2010-12-21	2011-03-08	OIL	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6337	http://www.npd.no/FactMapSearch?NPDID_wellbore=6337	NO
6338	6608/10-K-2	6608/10-K-2 H	NORNE	128	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA BERGEN	NORNE K	2010-03-03	2010-04-11	OIL	PLUGGED	99	OBSERVATION	375.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6338	http://www.npd.no/FactMapSearch?NPDID_wellbore=6338	NO
6339	6608/10-K-2	6608/10-K-2 AH	NORNE	128	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA BERGEN	NORNE K	2010-04-13	2010-04-28	OIL	PRODUCING	50	PRODUCTION	375.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6339	http://www.npd.no/FactMapSearch?NPDID_wellbore=6339	NO
6340	15/12-A-7	15/12-A-7 C	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	VARG A	2010-02-07	2010-02-22	WATER	INJECTING	173	INJECTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6340	http://www.npd.no/FactMapSearch?NPDID_wellbore=6340	NO
6341	9/2-11	9/2-11	\N	316 DS	EXPLORATION	Talisman Energy Norge AS	NO	TRANSOCEAN WINNER	\N	2010-03-09	2010-03-29	DRY	P&A	1	WILDCAT	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6341	http://www.npd.no/FactMapSearch?NPDID_wellbore=6341	NO
6342	34/10-A-18	34/10-A-18 A	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS A	GULLFAKS A	9999-12-31	9999-12-31	\N	\N	0	INJECTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6342	http://www.npd.no/FactMapSearch?NPDID_wellbore=6342	NO
6343	31/2-M-14	31/2-M-14 BY3H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	POLAR PIONEER	TROLL M1	2010-02-25	2010-04-09	OIL	SUSP.AT TD	50	PRODUCTION	345.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6343	http://www.npd.no/FactMapSearch?NPDID_wellbore=6343	NO
6344	6407/1-C-3	6407/1-C-3 AY2H	TYRIHANS	073	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN ARCTIC	TYRIHANS C	2010-03-26	2010-04-21	OIL	PRODUCING	50	PRODUCTION	270.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6344	http://www.npd.no/FactMapSearch?NPDID_wellbore=6344	NO
6345	25/10-10	25/10-10	\N	028 S	EXPLORATION	ExxonMobil Exploration & Production Norway AS	NO	AKER BARENTS	\N	2010-03-01	2010-04-02	DRY	P&A	1	WILDCAT	123.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6345	http://www.npd.no/FactMapSearch?NPDID_wellbore=6345	NO
6346	2/2-6	2/2-6	\N	332	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	\N	2010-03-27	2010-05-14	DRY	P&A	1	WILDCAT	63.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6346	http://www.npd.no/FactMapSearch?NPDID_wellbore=6346	NO
6347	34/4-D-7	34/4-D-7 H	SNORRE	057	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE B	SNORRE B	2010-09-09	2010-11-22	OIL	SUSP.AT TD	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6347	http://www.npd.no/FactMapSearch?NPDID_wellbore=6347	NO
6348	6603/5-1	6603/5-1 S	\N	392	EXPLORATION	A/S Norske Shell	NO	AKER BARENTS	\N	2010-09-06	2010-12-20	DRY	P&A	1	WILDCAT	1452.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6348	http://www.npd.no/FactMapSearch?NPDID_wellbore=6348	NO
6349	34/10-B-24	34/10-B-24 A	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS B	GULLFAKS B	2010-08-16	2010-08-31	OIL	PRODUCING	50	PRODUCTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6349	http://www.npd.no/FactMapSearch?NPDID_wellbore=6349	NO
6350	6406/3-8	6406/3-8	\N	475 BS	EXPLORATION	Wintershall Norge ASA	NO	SONGA DELTA	\N	2010-05-16	2010-08-10	OIL	P&A	5	WILDCAT	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6350	http://www.npd.no/FactMapSearch?NPDID_wellbore=6350	YES
6351	6407/2-6	6407/2-6 S	\N	473	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2010-04-03	2010-05-13	OIL/GAS	P&A	13	WILDCAT	252.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6351	http://www.npd.no/FactMapSearch?NPDID_wellbore=6351	YES
6352	34/5-1	34/5-1 A	\N	374 S	EXPLORATION	BG Norge AS	NO	BREDFORD DOLPHIN	\N	2010-03-16	2010-04-10	DRY	P&A	1	APPRAISAL	387.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6352	http://www.npd.no/FactMapSearch?NPDID_wellbore=6352	NO
6353	25/11-G-41	25/11-G-41	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2010-05-23	2010-06-05	WATER	PLUGGED	173	INJECTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6353	http://www.npd.no/FactMapSearch?NPDID_wellbore=6353	NO
6354	15/3-9	15/3-9	\N	187	EXPLORATION	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2010-05-19	2010-08-13	OIL/GAS	P&A	13	WILDCAT	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6354	http://www.npd.no/FactMapSearch?NPDID_wellbore=6354	YES
6355	15/3-U-6	15/3-U-6	\N	187	SHALLOW	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2010-05-18	2010-05-19	\N	P&A	0	\N	108.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6355	\N	NO
6356	6604/10-1	6604/10-1	\N	326	EXPLORATION	A/S Norske Shell	NO	AKER BARENTS	\N	2010-05-26	2010-09-03	GAS	P&A	9	WILDCAT	1354.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6356	http://www.npd.no/FactMapSearch?NPDID_wellbore=6356	YES
6357	31/4-A-32	31/4-A-32 C	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2010-03-20	2010-04-13	OIL	SUSP.AT TD	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6357	http://www.npd.no/FactMapSearch?NPDID_wellbore=6357	NO
6358	15/9-B-8	15/9-B-8 A	SLEIPNER VEST	046	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	SLEIPNER B	2010-10-28	2010-12-06	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6358	http://www.npd.no/FactMapSearch?NPDID_wellbore=6358	NO
6359	34/7-P-35	34/7-P-35 A	SNORRE	089	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE A	SNORRE A	2010-04-12	2010-05-25	OIL	PRODUCING	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6359	http://www.npd.no/FactMapSearch?NPDID_wellbore=6359	NO
6360	6407/1-A-1	6407/1-A-1 H	TYRIHANS	073	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN ARCTIC	TYRIHANS A	2010-05-10	2010-06-30	OIL/GAS	PLUGGED	99	OBSERVATION	288.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6360	http://www.npd.no/FactMapSearch?NPDID_wellbore=6360	NO
6361	6407/1-A-1	6407/1-A-1 AY1H	TYRIHANS	073	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN ARCTIC	TYRIHANS A	2010-06-30	2010-07-20	OIL/GAS	SUSP.AT TD	0	PRODUCTION	288.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6361	http://www.npd.no/FactMapSearch?NPDID_wellbore=6361	NO
6362	6407/1-A-1	6407/1-A-1 AY2H	TYRIHANS	073	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN ARCTIC	TYRIHANS A	2010-07-21	2010-08-20	OIL/GAS	SUSP.AT TD	0	PRODUCTION	288.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6362	http://www.npd.no/FactMapSearch?NPDID_wellbore=6362	NO
6363	6407/1-A-1	6407/1-A-1 AY3H	TYRIHANS	073	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN ARCTIC	TYRIHANS A	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	288.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6363	http://www.npd.no/FactMapSearch?NPDID_wellbore=6363	NO
6364	16/1-11	16/1-11 A	\N	001 B	EXPLORATION	Det norske oljeselskap ASA	NO	SONGA DELTA	\N	2010-04-26	2010-05-09	OIL	P&A	5	APPRAISAL	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6364	http://www.npd.no/FactMapSearch?NPDID_wellbore=6364	NO
6365	31/2-P-13	31/2-P-13 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	NO	WEST VENTURE	TROLL P1	2010-04-06	2010-08-02	OIL	SUSP.AT TD	50	PRODUCTION	336.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6365	http://www.npd.no/FactMapSearch?NPDID_wellbore=6365	NO
6366	31/2-P-13	31/2-P-13 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	NO	SONGA TRYM	TROLL P1	2010-08-08	2010-08-18	OIL	SUSP.AT TD	50	PRODUCTION	336.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6366	http://www.npd.no/FactMapSearch?NPDID_wellbore=6366	NO
6367	6507/7-14	6507/7-14 S	\N	435	EXPLORATION	RWE Dea Norge AS	NO	BREDFORD DOLPHIN	\N	2010-06-14	2010-09-26	GAS	P&A	9	WILDCAT	344.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6367	http://www.npd.no/FactMapSearch?NPDID_wellbore=6367	YES
6368	25/1-11	25/1-11 R	\N	460	EXPLORATION	Det norske oljeselskap ASA	NO	AKER BARENTS	\N	2010-04-04	2010-04-26	OIL	P&A	5	WILDCAT	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6368	http://www.npd.no/FactMapSearch?NPDID_wellbore=6368	YES
6369	35/9-C-2	35/9-C-2 AH	GJØA	153	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SEARCHER	GJØA C	2010-05-26	2010-07-10	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6369	http://www.npd.no/FactMapSearch?NPDID_wellbore=6369	NO
6370	6407/12-3	6407/12-3	\N	470	EXPLORATION	Centrica Resources (Norge) AS	NO	WEST ALPHA	\N	2010-05-14	2010-06-02	DRY	P&A	1	WILDCAT	288.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6370	http://www.npd.no/FactMapSearch?NPDID_wellbore=6370	NO
6371	6507/5-A-1	6507/5-A-1 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	BORGLAND DOLPHIN	SKARV A	2011-05-11	2011-05-30	GAS	SUSP.AT TD	90	PRODUCTION	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6371	http://www.npd.no/FactMapSearch?NPDID_wellbore=6371	NO
6372	31/4-A-19	31/4-A-19 A	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2010-05-10	2010-08-25	OIL	SUSP.AT TD	50	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6372	http://www.npd.no/FactMapSearch?NPDID_wellbore=6372	NO
6373	31/4-A-19	31/4-A-19 B	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	136.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6373	http://www.npd.no/FactMapSearch?NPDID_wellbore=6373	NO
6374	16/2-6	16/2-6	\N	501	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN WINNER	\N	2010-07-20	2010-09-20	OIL	P&A	5	WILDCAT	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6374	http://www.npd.no/FactMapSearch?NPDID_wellbore=6374	YES
6375	33/12-B-26	33/12-B-26 B	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD B	STATFJORD B	2010-05-03	2010-05-22	GAS	SUSP.AT TD	90	PRODUCTION	145.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6375	http://www.npd.no/FactMapSearch?NPDID_wellbore=6375	NO
6376	25/1-11	25/1-11 A	\N	460	EXPLORATION	Det norske oljeselskap ASA	NO	AKER BARENTS	\N	2010-04-29	2010-05-14	OIL/GAS	P&A	13	APPRAISAL	107.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6376	http://www.npd.no/FactMapSearch?NPDID_wellbore=6376	NO
6377	9/2-C-2	9/2-C-2 A	YME	316	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	YME MOPUStor	2010-08-07	2010-09-30	OIL	SUSP.AT TD	50	PRODUCTION	95.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6377	http://www.npd.no/FactMapSearch?NPDID_wellbore=6377	NO
6378	6507/3-U-3	6507/3-U-3	SKARV	159	SHALLOW	BP Norge AS	NO	BORGLAND DOLPHIN	\N	2010-07-04	2010-07-06	\N	P&A	0	\N	392.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6378	\N	NO
6379	6507/3-D-2	6507/3-D-2 H	SKARV	159	DEVELOPMENT	BP Norge AS	NO	BORGLAND DOLPHIN	IDUN	2010-08-08	2010-08-20	NOT APPLICABLE	PLUGGED	81	PRODUCTION	392.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6379	http://www.npd.no/FactMapSearch?NPDID_wellbore=6379	NO
6380	6507/3-D-3	6507/3-D-3 H	SKARV	159	DEVELOPMENT	BP Norge AS	NO	BORGLAND DOLPHIN	IDUN	2010-07-22	2010-08-04	NOT APPLICABLE	PLUGGED	81	PRODUCTION	392.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6380	http://www.npd.no/FactMapSearch?NPDID_wellbore=6380	NO
6381	15/9-24	15/9-24	\N	408	EXPLORATION	Det norske oljeselskap ASA	NO	BREDFORD DOLPHIN	\N	2010-05-18	2010-06-10	DRY	P&A	1	WILDCAT	80.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6381	http://www.npd.no/FactMapSearch?NPDID_wellbore=6381	NO
6382	16/7-9	16/7-9	\N	409	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN WINNER	\N	2010-12-05	2011-01-03	DRY	P&A	1	WILDCAT	78.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6382	http://www.npd.no/FactMapSearch?NPDID_wellbore=6382	NO
6383	34/10-U-12	34/10-U-12	GULLFAKS SØR	050	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2010-04-21	2010-04-22	\N	P&A	0	\N	134.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6383	\N	NO
6384	25/5-U-21	25/5-U-21	FRØY	364	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	120.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6384	\N	NO
6385	25/5-U-22	25/5-U-22	FRØY	364	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	120.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6385	\N	NO
6386	25/5-U-23	25/5-U-23	FRØY	364	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	120.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6386	\N	NO
6387	25/5-U-24	25/5-U-24	FRØY	364	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	120.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6387	\N	NO
6388	25/5-U-25	25/5-U-25	FRØY	364	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	120.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6388	\N	NO
6389	6507/3-L-4	6507/3-L-4 H	ALVE	159 B	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ALPHA	ALVE	2010-06-06	2010-07-25	OIL	PLUGGED	99	OBSERVATION	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6389	http://www.npd.no/FactMapSearch?NPDID_wellbore=6389	NO
6390	6507/3-L-4	6507/3-L-4 AH	ALVE	159 B	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ALPHA	ALVE	2010-07-25	2010-08-23	OIL	SUSP.AT TD	50	PRODUCTION	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6390	http://www.npd.no/FactMapSearch?NPDID_wellbore=6390	NO
6391	34/10-A-43	34/10-A-43 A	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS A	GULLFAKS A	2010-09-14	2010-10-23	OIL	PLUGGED	50	PRODUCTION	134.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6391	http://www.npd.no/FactMapSearch?NPDID_wellbore=6391	NO
6392	34/10-A-43	34/10-A-43 B	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS A	GULLFAKS A	2010-10-24	2010-11-10	OIL	PRODUCING	50	PRODUCTION	134.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6392	http://www.npd.no/FactMapSearch?NPDID_wellbore=6392	NO
6393	7122/7-U-4	7122/7-U-4	GOLIAT	229	SHALLOW	Eni Norge AS	NO	BUCENTAUR	\N	2010-06-13	2010-06-15	\N	P&A	0	\N	373.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6393	\N	NO
6394	7122/7-U-5	7122/7-U-5	GOLIAT	229	SHALLOW	Eni Norge AS	NO	BUCENTAUR	\N	2010-06-11	2010-06-13	\N	P&A	0	\N	348.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6394	\N	NO
6395	7122/7-U-6	7122/7-U-6	GOLIAT	229	SHALLOW	Eni Norge AS	NO	BUCENTAUR	\N	2010-06-15	2010-06-17	\N	P&A	0	\N	383.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6395	\N	NO
6396	7122/7-U-7	7122/7-U-7	GOLIAT	229	SHALLOW	Eni Norge AS	NO	BUCENTAUR	\N	2010-06-17	2010-06-18	\N	P&A	0	\N	391.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6396	\N	NO
6397	7122/10-U-1	7122/10-U-1	GOLIAT	229	SHALLOW	Eni Norge AS	NO	BUCENTAUR	\N	2010-06-18	2010-06-20	\N	P&A	0	\N	323.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6397	\N	NO
6398	9/1-1	9/1-1 S	\N	406	EXPLORATION	Premier Oil Norge AS	NO	BREDFORD DOLPHIN	\N	2011-10-01	2011-11-21	DRY	P&A	1	WILDCAT	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6398	http://www.npd.no/FactMapSearch?NPDID_wellbore=6398	NO
6399	16/1-14	16/1-14	\N	338	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN WINNER	\N	2010-09-26	2010-11-30	OIL	P&A	5	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6399	http://www.npd.no/FactMapSearch?NPDID_wellbore=6399	YES
6400	7224/6-U-1	7224/6-U-1	\N	394	SHALLOW	Statoil Petroleum AS	NO	POLAR PIONEER	\N	2008-07-14	2008-07-16	\N	P&A	0	\N	267.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6400	\N	NO
6401	7226/2-U-1	7226/2-U-1	\N	395	SHALLOW	Statoil Petroleum AS	NO	POLAR PIONEER	\N	2008-05-12	2008-05-14	\N	P&A	0	\N	347.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6401	\N	NO
6402	31/2-Y-23	31/2-Y-23 CY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL U2	2010-05-27	2010-06-21	OIL	SUSP.AT TD	50	PRODUCTION	331.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6402	http://www.npd.no/FactMapSearch?NPDID_wellbore=6402	NO
6403	31/2-Y-23	31/2-Y-23 CY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL U2	2010-06-22	2010-07-09	OIL	SUSP.AT TD	50	PRODUCTION	331.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6403	http://www.npd.no/FactMapSearch?NPDID_wellbore=6403	NO
6404	15/12-23	15/12-23 A	\N	038 D	EXPLORATION	Talisman Energy Norge AS	NO	TRANSOCEAN WINNER	\N	2010-05-31	2010-07-18	OIL	P&A	5	APPRAISAL	86.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6404	http://www.npd.no/FactMapSearch?NPDID_wellbore=6404	NO
6405	6507/5-J-1	6507/5-J-1 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	POLAR PIONEER	TILJE	2012-04-28	2012-05-28	NOT APPLICABLE	PLUGGED	81	PRODUCTION	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6405	http://www.npd.no/FactMapSearch?NPDID_wellbore=6405	NO
6406	6507/5-J-2	6507/5-J-2 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	POLAR PIONEER	TILJE	2012-04-07	2012-09-24	GAS	SUSP.AT TD	91	INJECTION	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6406	http://www.npd.no/FactMapSearch?NPDID_wellbore=6406	NO
6407	6507/5-J-3	6507/5-J-3 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	POLAR PIONEER	TILJE	2012-09-28	2012-10-14	NOT AVAILABLE	PLUGGED	72	INJECTION	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6407	http://www.npd.no/FactMapSearch?NPDID_wellbore=6407	NO
6408	6507/5-J-4	6507/5-J-4 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	POLAR PIONEER	TILJE	2012-10-18	2012-12-02	\N	PLUGGED	0	PRODUCTION	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6408	http://www.npd.no/FactMapSearch?NPDID_wellbore=6408	NO
6409	30/3-A-19	30/3-A-19 C	VESLEFRIKK	052	DEVELOPMENT	Statoil Petroleum AS	NO	VESLEFRIKK A	VESLEFRIKK A	2010-07-09	2010-08-07	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6409	http://www.npd.no/FactMapSearch?NPDID_wellbore=6409	NO
6410	33/12-B-37	33/12-B-37 B	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD B	STATFJORD B	2010-06-12	2010-06-23	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6410	http://www.npd.no/FactMapSearch?NPDID_wellbore=6410	NO
6411	24/6-B-4	24/6-B-4 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	SONGA DEE	KNELER B	2010-06-05	2010-06-24	OIL/GAS	PLUGGED	99	OBSERVATION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6411	http://www.npd.no/FactMapSearch?NPDID_wellbore=6411	NO
6412	24/6-B-4	24/6-B-4 AY1H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	SONGA DEE	KNELER B	2010-06-26	2010-08-02	OIL/GAS	PRODUCING	0	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6412	http://www.npd.no/FactMapSearch?NPDID_wellbore=6412	NO
6413	24/6-B-4	24/6-B-4 AY2H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	SONGA DEE	KNELER B	2010-08-03	2010-08-23	OIL/GAS	PRODUCING	0	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6413	http://www.npd.no/FactMapSearch?NPDID_wellbore=6413	NO
6414	34/4-D-3	34/4-D-3 H	SNORRE	057	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE B	34/4-D H	2012-01-24	2012-06-03	OIL	SUSP.AT TD	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6414	http://www.npd.no/FactMapSearch?NPDID_wellbore=6414	NO
6415	34/4-D-5	34/4-D-5 H	SNORRE	057	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE B	34/4-D H	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6415	http://www.npd.no/FactMapSearch?NPDID_wellbore=6415	NO
6416	25/11-G-7	25/11-G-7 AY1	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2010-08-21	2010-09-13	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6416	http://www.npd.no/FactMapSearch?NPDID_wellbore=6416	NO
6417	25/11-G-7	25/11-G-7 AY2	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2010-09-14	2010-10-27	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6417	http://www.npd.no/FactMapSearch?NPDID_wellbore=6417	NO
6418	25/11-G-7	25/11-G-7 AY3	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2010-10-28	2010-11-13	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6418	http://www.npd.no/FactMapSearch?NPDID_wellbore=6418	NO
6419	30/6-C-4	30/6-C-4 A	OSEBERG	053	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG C	OSEBERG C	2010-06-15	2010-07-13	CUTTINGS	SUSP.AT TD	171	INJECTION	108.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6419	http://www.npd.no/FactMapSearch?NPDID_wellbore=6419	NO
6420	2/7-B-1	2/7-B-1 D	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK B	ELDFISK B	2010-08-17	2011-01-04	OIL	SUSP.AT TD	50	PRODUCTION	71.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6420	http://www.npd.no/FactMapSearch?NPDID_wellbore=6420	NO
6421	35/9-C-3	35/9-C-3 Y2H	GJØA	153	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN SEARCHER	GJØA C	2010-08-18	2010-09-06	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6421	http://www.npd.no/FactMapSearch?NPDID_wellbore=6421	NO
6422	15/9-B-8	15/9-B-8 B	SLEIPNER VEST	046	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	SLEIPNER B	2010-12-07	2010-12-28	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6422	http://www.npd.no/FactMapSearch?NPDID_wellbore=6422	NO
6423	25/5-7	25/5-7	ATLA	102 C	EXPLORATION	Total E&P Norge AS	NO	OCEAN VANGUARD	\N	2010-08-25	2010-10-23	GAS/CONDENSATE	P&A	17	WILDCAT	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6423	http://www.npd.no/FactMapSearch?NPDID_wellbore=6423	YES
6424	34/7-P-6	34/7-P-6	SNORRE	089	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE A	SNORRE A	2010-10-21	2010-11-30	WATER/GAS	CLOSED	0	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6424	http://www.npd.no/FactMapSearch?NPDID_wellbore=6424	NO
6425	31/5-U-3	31/5-U-3	TROLL	054	SHALLOW	Statoil Petroleum AS	NO	WEST VENTURE	\N	9999-12-31	9999-12-31	\N	\N	0	\N	321.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6425	\N	NO
6426	15/3-U-7	15/3-U-7	GUDRUN	025	SHALLOW	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2010-08-15	2010-08-19	\N	P&A	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6426	\N	NO
6427	35/1-2	35/1-2 S	\N	269	EXPLORATION	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2010-09-12	2010-12-19	DRY	P&A	1	WILDCAT	409.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6427	http://www.npd.no/FactMapSearch?NPDID_wellbore=6427	NO
6428	35/1-U-1	35/1-U-1	\N	269	SHALLOW	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2010-08-24	2010-08-27	\N	P&A	0	\N	409.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6428	\N	NO
6429	35/9-6	35/9-6 S	\N	420	EXPLORATION	RWE Dea Norge AS	NO	BREDFORD DOLPHIN	\N	2010-09-29	2010-12-07	OIL/GAS	P&A	13	WILDCAT	369.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6429	http://www.npd.no/FactMapSearch?NPDID_wellbore=6429	YES
6430	3/7-A-1	3/7-A-1 H	TRYM	147	DEVELOPMENT	DONG E&P Norge AS	NO	MÆRSK GIANT	TRYM	2010-09-01	2010-10-20	GAS/CONDENSATE	PLUGGED	99	OBSERVATION	65.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6430	http://www.npd.no/FactMapSearch?NPDID_wellbore=6430	NO
6431	3/8-U-1	3/8-U-1	\N	400	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2009-09-23	2009-09-24	\N	P&A	0	\N	65.300000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6431	\N	NO
6432	3/8-U-2	3/8-U-2	\N	400	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	65.700000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6432	\N	NO
6433	3/8-U-3	3/8-U-3	\N	400	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	65.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6433	\N	NO
6434	35/8-Q-12	35/8-Q-12 H	VEGA	248	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VEGA SENTRAL	2010-11-21	2011-02-17	GAS/CONDENSATE	PLUGGED	170	PRODUCTION	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6434	http://www.npd.no/FactMapSearch?NPDID_wellbore=6434	NO
6435	35/8-Q-14	35/8-Q-14 H	VEGA	248	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VEGA SENTRAL	2010-11-13	2011-07-22	NOT AVAILABLE	PLUGGED	71	PRODUCTION	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6435	http://www.npd.no/FactMapSearch?NPDID_wellbore=6435	NO
6436	30/9-B-44	30/9-B-44 B	OSEBERG	079	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG B	OSEBERG B	2010-09-06	2010-11-04	OIL	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6436	http://www.npd.no/FactMapSearch?NPDID_wellbore=6436	NO
6437	30/9-B-44	30/9-B-44 C	OSEBERG	079	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG B	OSEBERG B	2010-11-27	2011-02-09	OIL	PRODUCING	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6437	http://www.npd.no/FactMapSearch?NPDID_wellbore=6437	NO
6438	33/12-B-2	33/12-B-2 D	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD B	STATFJORD B	2010-09-17	2010-10-09	GAS	SUSP.AT TD	90	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6438	http://www.npd.no/FactMapSearch?NPDID_wellbore=6438	NO
6439	3/7-A-2	3/7-A-2 H	TRYM	147	DEVELOPMENT	DONG E&P Norge AS	NO	MÆRSK GIANT	TRYM	2011-02-09	2011-03-31	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	65.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6439	http://www.npd.no/FactMapSearch?NPDID_wellbore=6439	NO
6440	25/1-12	25/1-12	\N	460	EXPLORATION	Det norske oljeselskap ASA	NO	AKER BARENTS	\N	9999-12-31	9999-12-31	\N	\N	0	APPRAISAL	0.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6440	http://www.npd.no/FactMapSearch?NPDID_wellbore=6440	NO
6441	6305/4-2	6305/4-2 S	ORMEN LANGE	209	EXPLORATION	A/S Norske Shell	NO	WEST NAVIGATOR	\N	2010-11-04	2011-02-11	DRY	P&A	1	APPRAISAL	1086.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6441	http://www.npd.no/FactMapSearch?NPDID_wellbore=6441	NO
6442	34/4-13	34/4-13 S	\N	375	EXPLORATION	Petro-Canada Norge AS	NO	WEST ALPHA	\N	2010-08-27	2011-01-02	OIL	P&A	5	APPRAISAL	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6442	http://www.npd.no/FactMapSearch?NPDID_wellbore=6442	NO
6443	2/4-X-9	2/4-X-9 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2010-08-30	2010-10-13	OIL/GAS	SUSP.AT TD	0	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6443	http://www.npd.no/FactMapSearch?NPDID_wellbore=6443	NO
6444	6507/5-U-3	6507/5-U-3	SKARV	212	SHALLOW	BP Norge AS	NO	BORGLAND DOLPHIN	\N	2010-08-26	2010-08-28	\N	P&A	0	\N	376.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6444	\N	NO
6445	6507/5-B-2	6507/5-B-2 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	BORGLAND DOLPHIN	SKARV B/C VEST	2010-12-12	2011-01-02	GAS	SUSP.AT TD	91	INJECTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6445	http://www.npd.no/FactMapSearch?NPDID_wellbore=6445	NO
6446	6507/5-B-3	6507/5-B-3 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	BORGLAND DOLPHIN	SKARV B/C VEST	2010-11-14	2010-11-26	\N	SUSPENDED	0	INJECTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6446	http://www.npd.no/FactMapSearch?NPDID_wellbore=6446	NO
6447	6507/5-B-5	6507/5-B-5 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	POLAR PIONEER	SKARV B/C ØST	2011-08-28	2013-02-06	OIL	PLUGGED	99	OBSERVATION	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6447	http://www.npd.no/FactMapSearch?NPDID_wellbore=6447	NO
6448	6507/5-B-5	6507/5-B-5 AH	SKARV	212	DEVELOPMENT	BP Norge AS	NO	POLAR PIONEER	SKARV B/C ØST	2013-02-07	2013-03-14	OIL	PLUGGED	99	OBSERVATION	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6448	http://www.npd.no/FactMapSearch?NPDID_wellbore=6448	NO
6449	6507/5-B-6	6507/5-B-6 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	BORGLAND DOLPHIN	SKARV B/C ØST	2011-01-03	2012-03-10	OIL	SUSP.AT TD	50	PRODUCTION	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6449	http://www.npd.no/FactMapSearch?NPDID_wellbore=6449	NO
6450	6507/5-B-8	6507/5-B-8 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	POLAR PIONEER	SKARV B/C ØST	2011-08-03	2013-01-13	OIL	SUSP.AT TD	50	PRODUCTION	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6450	http://www.npd.no/FactMapSearch?NPDID_wellbore=6450	NO
6451	6507/5-B-9	6507/5-B-9 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	POLAR PIONEER	SKARV B/C ØST	2011-07-09	2011-07-31	\N	SUSPENDED	0	PRODUCTION	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6451	http://www.npd.no/FactMapSearch?NPDID_wellbore=6451	NO
6452	6507/5-B-10	6507/5-B-10 H	SKARV	212	DEVELOPMENT	BP Norge AS	NO	BORGLAND DOLPHIN	SKARV B/C ØST	2010-10-01	2010-11-11	NOT APPLICABLE	PLUGGED	99	OBSERVATION	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6452	http://www.npd.no/FactMapSearch?NPDID_wellbore=6452	NO
6453	6507/5-B-10	6507/5-B-10 AH	SKARV	212	DEVELOPMENT	BP Norge AS	NO	BORGLAND DOLPHIN	SKARV B/C ØST	2011-01-26	2011-02-12	OIL	SUSP.AT TD	50	PRODUCTION	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6453	http://www.npd.no/FactMapSearch?NPDID_wellbore=6453	NO
6454	6406/3-D-2	6406/3-D-2 H	TYRIHANS	091	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN ARCTIC	TYRIHANS D	2010-09-09	2010-11-05	GAS	INJECTING	91	INJECTION	267.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6454	http://www.npd.no/FactMapSearch?NPDID_wellbore=6454	NO
6455	31/5-Z-1	31/5-Z-1 H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	NO	WEST VENTURE	31/5-Z-1H	2010-10-06	2010-11-01	GAS	INJECTING	91	INJECTION	321.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6455	http://www.npd.no/FactMapSearch?NPDID_wellbore=6455	NO
6456	31/5-Z-2	31/5-Z-2 H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	NO	WEST VENTURE	31/5-Z-2H	2010-11-04	2010-11-27	GAS	INJECTING	91	INJECTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6456	http://www.npd.no/FactMapSearch?NPDID_wellbore=6456	NO
6457	35/9-B-1	35/9-B-1 H	GJØA	153	DEVELOPMENT	GDF SUEZ E&P Norge AS	NO	TRANSOCEAN SEARCHER	GJØA B	2010-12-02	2011-01-25	OIL	PLUGGED	99	OBSERVATION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6457	http://www.npd.no/FactMapSearch?NPDID_wellbore=6457	NO
6458	35/9-B-2	35/9-B-2 H	GJØA	153	DEVELOPMENT	GDF SUEZ E&P Norge AS	NO	TRANSOCEAN SEARCHER	GJØA B	2012-04-04	2012-05-02	GAS	SUSP.AT TD	90	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6458	http://www.npd.no/FactMapSearch?NPDID_wellbore=6458	NO
6459	35/9-B-3	35/9-B-3 H	GJØA	153	DEVELOPMENT	GDF SUEZ E&P Norge AS	NO	TRANSOCEAN SEARCHER	GJØA B	2011-02-22	2011-06-23	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6459	http://www.npd.no/FactMapSearch?NPDID_wellbore=6459	NO
6460	35/9-D-1	35/9-D-1 Y1H	GJØA	153	DEVELOPMENT	GDF SUEZ E&P Norge AS	YES	TRANSOCEAN SEARCHER	GJØA D	2011-01-27	2011-05-03	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6460	http://www.npd.no/FactMapSearch?NPDID_wellbore=6460	NO
6461	35/9-D-3	35/9-D-3 H	GJØA	153	DEVELOPMENT	GDF SUEZ E&P Norge AS	NO	TRANSOCEAN SEARCHER	GJØA D	2012-03-19	2012-04-03	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6461	http://www.npd.no/FactMapSearch?NPDID_wellbore=6461	NO
6462	34/8-A-30	34/8-A-30 AH	VISUND	120	DEVELOPMENT	Statoil Petroleum AS	NO	VISUND	VISUND	2010-10-27	2011-01-29	WATER/GAS	SUSP.AT TD	0	INJECTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6462	http://www.npd.no/FactMapSearch?NPDID_wellbore=6462	NO
6463	2/4-K-14	2/4-K-14 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	9999-12-31	9999-12-31	\N	\N	0	INJECTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6463	http://www.npd.no/FactMapSearch?NPDID_wellbore=6463	NO
6464	30/3-A-13	30/3-A-13 A	VESLEFRIKK	052	DEVELOPMENT	Statoil Petroleum AS	NO	VESLEFRIKK A	VESLEFRIKK A	2010-10-05	2011-01-14	NOT AVAILABLE	PLUGGED	71	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6464	http://www.npd.no/FactMapSearch?NPDID_wellbore=6464	NO
6465	30/3-A-13	30/3-A-13 BY1	VESLEFRIKK	052	DEVELOPMENT	Statoil Petroleum AS	YES	VESLEFRIKK A	VESLEFRIKK A	2011-01-15	2011-02-02	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6465	http://www.npd.no/FactMapSearch?NPDID_wellbore=6465	NO
6466	6407/7-A-8	6407/7-A-8 AH	NJORD	107	DEVELOPMENT	Statoil Petroleum AS	NO	NJORD A	NJORD A	2010-10-14	2010-11-27	OIL	PRODUCING	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6466	http://www.npd.no/FactMapSearch?NPDID_wellbore=6466	NO
6467	7119/12-U-1	7119/12-U-1	\N	488	SHALLOW	Statoil Petroleum AS	NO	POLAR PIONEER	\N	2011-01-06	2011-01-10	\N	P&A	0	\N	192.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6467	\N	NO
6468	7119/12-4	7119/12-4	\N	488	EXPLORATION	Statoil Petroleum AS	NO	POLAR PIONEER	\N	2011-01-12	2011-02-17	DRY	P&A	1	WILDCAT	192.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6468	http://www.npd.no/FactMapSearch?NPDID_wellbore=6468	NO
6469	3/7-A-1	3/7-A-1 AH	TRYM	147	DEVELOPMENT	DONG E&P Norge AS	NO	MÆRSK GIANT	TRYM	2010-10-21	2010-12-06	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	65.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6469	http://www.npd.no/FactMapSearch?NPDID_wellbore=6469	NO
6470	2/4-B-2	2/4-B-2 C	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK B	2010-12-15	2011-02-28	OIL	SUSP.AT TD	50	PRODUCTION	73.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6470	http://www.npd.no/FactMapSearch?NPDID_wellbore=6470	NO
6471	2/8-G-8	2/8-G-8 A	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2009-12-23	2010-05-29	OIL	SUSP.AT TD	50	PRODUCTION	72.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6471	http://www.npd.no/FactMapSearch?NPDID_wellbore=6471	NO
6472	6305/9-U-2	6305/9-U-2	\N	468	SHALLOW	Det norske oljeselskap AS	NO	ISLAND ENFORCER	\N	9999-12-31	9999-12-31	\N	\N	0	\N	274.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6472	\N	NO
6473	7/12-U-1	7/12-U-1	\N	450	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	70.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6473	\N	NO
6474	7/12-U-2	7/12-U-2	\N	450	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	70.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6474	\N	NO
6475	7/12-U-3	7/12-U-3	\N	450	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	70.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6475	\N	NO
6476	3/8-1	3/8-1	\N	400	EXPLORATION	Lundin Norway AS	NO	MÆRSK GUARDIAN	\N	2010-10-29	2010-12-29	DRY	P&A	1	WILDCAT	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6476	http://www.npd.no/FactMapSearch?NPDID_wellbore=6476	NO
6477	35/1-U-2	35/1-U-2	\N	269	SHALLOW	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2010-08-24	2010-09-12	\N	P&A	0	\N	409.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6477	\N	NO
6478	7120/12-5	7120/12-5	\N	489	EXPLORATION	Eni Norge AS	NO	POLAR PIONEER	\N	2010-10-17	2011-01-03	DRY	P&A	1	WILDCAT	187.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6478	http://www.npd.no/FactMapSearch?NPDID_wellbore=6478	NO
6479	25/8-C-23	25/8-C-23 A	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2011-01-07	2011-02-28	NOT APPLICABLE	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6479	http://www.npd.no/FactMapSearch?NPDID_wellbore=6479	NO
6480	25/8-C-23	25/8-C-23 B	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2011-03-01	2011-05-12	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6480	http://www.npd.no/FactMapSearch?NPDID_wellbore=6480	NO
6481	34/11-A-1	34/11-A-1 A	KVITEBJØRN	193	DEVELOPMENT	Statoil Petroleum AS	NO	KVITEBJØRN	KVITEBJØRN	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	190.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6481	http://www.npd.no/FactMapSearch?NPDID_wellbore=6481	NO
6482	2/1-A-25	2/1-A-25 A	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2011-02-01	2011-05-26	OIL	PRODUCING	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6482	http://www.npd.no/FactMapSearch?NPDID_wellbore=6482	NO
6483	31/2-O-23	31/2-O-23 Y2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL O2	2010-11-22	2010-12-03	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6483	http://www.npd.no/FactMapSearch?NPDID_wellbore=6483	NO
6484	7220/8-1	7220/8-1	\N	532	EXPLORATION	Statoil Petroleum AS	NO	POLAR PIONEER	\N	2011-02-27	2011-05-02	OIL/GAS	P&A	13	WILDCAT	374.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6484	http://www.npd.no/FactMapSearch?NPDID_wellbore=6484	YES
6485	31/5-J-14	31/5-J-14 AY1H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL J1	2011-01-02	2011-03-05	OIL	SUSP.AT TD	50	PRODUCTION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6485	http://www.npd.no/FactMapSearch?NPDID_wellbore=6485	NO
6486	31/5-J-14	31/5-J-14 AY2H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL J1	2011-03-06	2011-03-22	OIL	SUSP.AT TD	50	PRODUCTION	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6486	http://www.npd.no/FactMapSearch?NPDID_wellbore=6486	NO
6487	7220/8-U-1	7220/8-U-1	\N	532	SHALLOW	Statoil Petroleum AS	NO	POLAR PIONEER	\N	2011-02-22	2011-02-26	\N	P&A	0	\N	374.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6487	\N	NO
6488	15/6-11	15/6-11 S	\N	303	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2010-10-27	2010-12-19	DRY	P&A	1	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6488	http://www.npd.no/FactMapSearch?NPDID_wellbore=6488	NO
6489	25/4-L-1	25/4-L-1 H	ALVHEIM	036 C	DEVELOPMENT	Marathon Petroleum Norge AS	NO	SONGA DEE	ØST KAMELEON	2010-10-18	2010-11-16	NOT APPLICABLE	PLUGGED	99	OBSERVATION	120.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6489	http://www.npd.no/FactMapSearch?NPDID_wellbore=6489	NO
6490	25/4-L-1	25/4-L-1 BY1H	ALVHEIM	036 C	DEVELOPMENT	Marathon Petroleum Norge AS	YES	SONGA DEE	ØST KAMELEON	2011-06-21	2011-07-21	OIL	PRODUCING	50	PRODUCTION	120.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6490	http://www.npd.no/FactMapSearch?NPDID_wellbore=6490	NO
6491	25/4-L-1	25/4-L-1 BY2H	ALVHEIM	036 C	DEVELOPMENT	Marathon Petroleum Norge AS	YES	SONGA DEE	ØST KAMELEON	2011-07-22	2011-08-07	OIL	PRODUCING	50	PRODUCTION	120.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6491	http://www.npd.no/FactMapSearch?NPDID_wellbore=6491	NO
6492	25/4-L-2	25/4-L-2 Y1H	ALVHEIM	036 C	DEVELOPMENT	Marathon Petroleum Norge AS	YES	SONGA DEE	ØST KAMELEON	2010-10-28	2010-12-28	OIL	PRODUCING	50	PRODUCTION	120.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6492	http://www.npd.no/FactMapSearch?NPDID_wellbore=6492	NO
6493	25/4-L-2	25/4-L-2 Y2H	ALVHEIM	036 C	DEVELOPMENT	Marathon Petroleum Norge AS	YES	SONGA DEE	ØST KAMELEON	2011-01-02	2011-01-26	OIL	PRODUCING	50	PRODUCTION	120.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6493	http://www.npd.no/FactMapSearch?NPDID_wellbore=6493	NO
6494	25/4-L-3	25/4-L-3 H	ALVHEIM	036 C	DEVELOPMENT	Marathon Petroleum Norge AS	NO	SONGA DEE	ØST KAMELEON	2010-11-04	2011-02-22	OIL	PLUGGED	50	PRODUCTION	120.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6494	http://www.npd.no/FactMapSearch?NPDID_wellbore=6494	NO
6495	34/10-53	34/10-53 A	\N	050	EXPLORATION	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	\N	2011-03-24	2011-06-01	GAS/CONDENSATE	P&A	17	WILDCAT	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6495	http://www.npd.no/FactMapSearch?NPDID_wellbore=6495	YES
6496	2/1-A-19	2/1-A-19 A	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2010-11-17	2010-12-15	OIL	SUSP.AT TD	50	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6496	http://www.npd.no/FactMapSearch?NPDID_wellbore=6496	NO
6497	31/4-A-33	31/4-A-33 E	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2010-11-04	2010-11-28	CUTTINGS	SUSP.AT TD	171	INJECTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6497	http://www.npd.no/FactMapSearch?NPDID_wellbore=6497	NO
6498	6507/8-D-1	6507/8-D-1 AH	HEIDRUN	124	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA BERGEN	HEIDRUN D	2010-12-31	2011-01-31	OIL	PRODUCING	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6498	http://www.npd.no/FactMapSearch?NPDID_wellbore=6498	NO
6499	2/4-X-6	2/4-X-6 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2011-03-30	2011-07-01	OIL	SUSP.AT TD	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6499	http://www.npd.no/FactMapSearch?NPDID_wellbore=6499	NO
6500	34/8-A-17	34/8-A-17 H	VISUND	120	DEVELOPMENT	Statoil Petroleum AS	NO	VISUND	VISUND	2011-03-19	2012-04-22	OIL/GAS/CONDENSATE	SUSP.AT TD	0	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6500	http://www.npd.no/FactMapSearch?NPDID_wellbore=6500	NO
6501	17/6-1	17/6-1	\N	545	EXPLORATION	Norwegian Energy Company ASA	NO	WEST ALPHA	\N	2011-01-05	2011-02-07	OIL	P&A	5	WILDCAT	272.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6501	http://www.npd.no/FactMapSearch?NPDID_wellbore=6501	YES
6502	6305/9-2	6305/9-2	\N	468	EXPLORATION	Det norske oljeselskap AS	NO	AKER BARENTS	\N	2010-12-26	2011-03-13	DRY	P&A	1	WILDCAT	274.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6502	http://www.npd.no/FactMapSearch?NPDID_wellbore=6502	NO
6503	6608/10-M-3	6608/10-M-3 H	NORNE	128	DEVELOPMENT	Statoil Petroleum AS	NO	AKER SPITSBERGEN	NORNE M	2010-11-15	2011-02-01	OIL	SUSP.AT TD	50	PRODUCTION	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6503	http://www.npd.no/FactMapSearch?NPDID_wellbore=6503	NO
6504	6407/1-W-2	6407/1-W-2 H	TYRIHANS	073	DEVELOPMENT	StatoilHydro ASA	NO	TRANSOCEAN ARCTIC	TYRIHANS W	2010-11-22	2011-01-30	WATER	SUSP.AT TD	173	INJECTION	283.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6504	http://www.npd.no/FactMapSearch?NPDID_wellbore=6504	NO
6505	6507/7-A-45	6507/7-A-45 A	HEIDRUN	095	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	2011-06-10	2011-06-26	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6505	http://www.npd.no/FactMapSearch?NPDID_wellbore=6505	NO
6506	34/10-C-38	34/10-C-38 A	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS C	GULLFAKS C	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	216.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6506	http://www.npd.no/FactMapSearch?NPDID_wellbore=6506	NO
6507	25/6-4	25/6-4 S	\N	414	EXPLORATION	Det norske oljeselskap ASA	NO	SONGA DELTA	\N	2012-01-10	2012-02-15	DRY	P&A	1	WILDCAT	114.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6507	http://www.npd.no/FactMapSearch?NPDID_wellbore=6507	NO
6508	35/9-B-1	35/9-B-1 AH	GJØA	153	DEVELOPMENT	GDF SUEZ E&P Norge AS	NO	TRANSOCEAN SEARCHER	GJØA B	2011-03-29	2012-02-25	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6508	http://www.npd.no/FactMapSearch?NPDID_wellbore=6508	NO
6509	25/4-L-1	25/4-L-1 AH	ALVHEIM	036 C	DEVELOPMENT	Marathon Petroleum Norge AS	NO	SONGA DEE	ØST KAMELEON	2010-11-17	2010-11-25	OIL	PLUGGED	99	OBSERVATION	120.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6509	http://www.npd.no/FactMapSearch?NPDID_wellbore=6509	NO
6510	31/4-A-14	31/4-A-14 A	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2010-12-23	2011-03-06	OIL	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6510	http://www.npd.no/FactMapSearch?NPDID_wellbore=6510	NO
6511	31/4-A-14	31/4-A-14 B	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2011-03-07	2011-03-15	OIL	PLUGGED	99	OBSERVATION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6511	http://www.npd.no/FactMapSearch?NPDID_wellbore=6511	NO
6512	31/2-G-3	31/2-G-3 AY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL G	2011-01-08	2011-02-15	OIL	SUSP.AT TD	50	PRODUCTION	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6512	http://www.npd.no/FactMapSearch?NPDID_wellbore=6512	NO
6513	31/2-G-3	31/2-G-3 AY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL G	2011-02-16	2011-02-27	OIL	SUSP.AT TD	50	PRODUCTION	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6513	http://www.npd.no/FactMapSearch?NPDID_wellbore=6513	NO
6514	31/2-G-3	31/2-G-3 AY3H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL G	2011-02-28	2011-03-13	OIL	SUSP.AT TD	50	PRODUCTION	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6514	http://www.npd.no/FactMapSearch?NPDID_wellbore=6514	NO
6515	15/12-A-1	15/12-A-1 A	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	VARG A	2011-03-04	2011-03-10	OIL	PLUGGED	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6515	http://www.npd.no/FactMapSearch?NPDID_wellbore=6515	NO
6516	35/12-3	35/12-3 S	\N	378	EXPLORATION	Wintershall Norge ASA	NO	SONGA DELTA	\N	2010-12-24	2011-02-16	DRY	P&A	1	WILDCAT	352.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6516	http://www.npd.no/FactMapSearch?NPDID_wellbore=6516	NO
6517	16/1-15	16/1-15	EDVARD GRIEG	338	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2011-01-22	2011-04-05	OIL	P&A	5	APPRAISAL	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6517	http://www.npd.no/FactMapSearch?NPDID_wellbore=6517	NO
6518	15/6-12	15/6-12	\N	303	EXPLORATION	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2010-12-22	2011-02-09	OIL	P&A	5	WILDCAT	115.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6518	http://www.npd.no/FactMapSearch?NPDID_wellbore=6518	YES
6519	15/9-B-8	15/9-B-8 C	SLEIPNER VEST	046	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	SLEIPNER B	2010-12-29	2011-01-23	NOT APPLICABLE	PLUGGED	99	OBSERVATION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6519	http://www.npd.no/FactMapSearch?NPDID_wellbore=6519	NO
6520	1/3-U-15	1/3-U-15	\N	274	SHALLOW	DONG E&P Norge AS	NO	BUCENTAUR	\N	2010-12-29	2010-12-30	\N	P&A	0	\N	71.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6520	\N	NO
6521	1/3-U-16	1/3-U-16	\N	274	SHALLOW	DONG E&P Norge AS	NO	BUCENTAUR	\N	2010-12-30	2010-12-31	\N	P&A	0	\N	72.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6521	\N	NO
6522	25/11-G-38	25/11-G-38 AY1	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2011-03-31	2011-04-24	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6522	http://www.npd.no/FactMapSearch?NPDID_wellbore=6522	NO
6523	25/11-G-38	25/11-G-38 AY2	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2011-04-25	2011-05-08	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6523	http://www.npd.no/FactMapSearch?NPDID_wellbore=6523	NO
6524	25/11-G-38	25/11-G-38 AY3	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2011-05-11	2011-05-24	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6524	http://www.npd.no/FactMapSearch?NPDID_wellbore=6524	NO
6525	25/11-G-38	25/11-G-38 AY4	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6525	http://www.npd.no/FactMapSearch?NPDID_wellbore=6525	NO
6526	15/6-11	15/6-11 A	\N	303	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2010-12-26	2011-03-13	GAS/CONDENSATE	P&A	17	APPRAISAL	116.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6526	http://www.npd.no/FactMapSearch?NPDID_wellbore=6526	NO
6527	35/9-D-1	35/9-D-1 Y2H	GJØA	153	DEVELOPMENT	GDF SUEZ E&P Norge AS	YES	TRANSOCEAN SEARCHER	GJØA D	2011-05-17	2011-06-03	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6527	http://www.npd.no/FactMapSearch?NPDID_wellbore=6527	NO
6528	6406/3-U-2	6406/3-U-2	\N	475 BS	SHALLOW	Wintershall Norge ASA	NO	SONGA DELTA	\N	2010-05-16	2010-05-17	\N	P&A	0	\N	302.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6528	\N	NO
6529	6406/3-U-3	6406/3-U-3	\N	475 BS	SHALLOW	Wintershall Norge ASA	NO	SONGA DELTA	\N	2010-05-19	2010-05-20	\N	P&A	0	\N	302.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6529	\N	NO
6530	2/4-E-4	2/4-E-4	TOR	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	TOR	TOR	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6530	http://www.npd.no/FactMapSearch?NPDID_wellbore=6530	NO
6531	24/9-10	24/9-10 S	\N	340 BS	EXPLORATION	Marathon Petroleum Norge AS	NO	TRANSOCEAN WINNER	\N	2011-01-06	2011-02-02	OIL	P&A	5	WILDCAT	118.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6531	http://www.npd.no/FactMapSearch?NPDID_wellbore=6531	YES
6532	25/4-L-3	25/4-L-3 AY1H	ALVHEIM	036 C	DEVELOPMENT	Marathon Petroleum Norge AS	YES	SONGA DEE	ØST KAMELEON	2011-02-23	2011-04-30	OIL	PRODUCING	50	PRODUCTION	120.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6532	http://www.npd.no/FactMapSearch?NPDID_wellbore=6532	NO
6533	25/4-L-3	25/4-L-3 AY2H	ALVHEIM	036 C	DEVELOPMENT	Marathon Petroleum Norge AS	YES	SONGA DEE	ØST KAMELEON	2011-05-13	2011-05-31	OIL	PRODUCING	50	PRODUCTION	120.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6533	http://www.npd.no/FactMapSearch?NPDID_wellbore=6533	NO
6534	2/4-K-20	2/4-K-20 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2011-01-13	2011-03-21	WATER	INJECTING	173	INJECTION	73.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6534	http://www.npd.no/FactMapSearch?NPDID_wellbore=6534	NO
6535	6305/7-D-1	6305/7-D-1 H	ORMEN LANGE	208	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE D	2011-03-19	2011-05-23	GAS	PRODUCING	90	PRODUCTION	853.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6535	http://www.npd.no/FactMapSearch?NPDID_wellbore=6535	NO
6536	6305/7-D-5	6305/7-D-5 H	ORMEN LANGE	208	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE D	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	853.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6536	http://www.npd.no/FactMapSearch?NPDID_wellbore=6536	NO
6537	6305/7-D-8	6305/7-D-8 H	ORMEN LANGE	208	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE D	2011-04-11	2011-06-21	GAS	PRODUCING	90	PRODUCTION	853.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6537	http://www.npd.no/FactMapSearch?NPDID_wellbore=6537	NO
6538	6507/8-8	6507/8-8	\N	434	EXPLORATION	Nexen Exploration Norge AS	NO	SONGA DELTA	\N	2011-02-26	2011-04-20	DRY	P&A	1	WILDCAT	329.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6538	http://www.npd.no/FactMapSearch?NPDID_wellbore=6538	NO
6539	6407/7-A-4	6407/7-A-4 AH	NJORD	107	DEVELOPMENT	Statoil Petroleum AS	NO	NJORD A	NJORD A	2011-01-24	2011-03-15	OIL	PRODUCING	50	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6539	http://www.npd.no/FactMapSearch?NPDID_wellbore=6539	NO
6540	30/11-8	30/11-8 S	\N	035	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2011-03-20	2011-05-20	OIL/GAS/CONDENSATE	P&A	0	WILDCAT	107.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6540	http://www.npd.no/FactMapSearch?NPDID_wellbore=6540	YES
6541	6406/3-D-4	6406/3-D-4 H	TYRIHANS	091	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN ARCTIC	TYRIHANS D	2011-02-16	2011-04-29	OIL	PLUGGED	99	OBSERVATION	267.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6541	http://www.npd.no/FactMapSearch?NPDID_wellbore=6541	NO
6542	6406/3-D-4	6406/3-D-4 AY1H	TYRIHANS	091	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN ARCTIC	TYRIHANS D	2011-04-30	2011-05-25	OIL	PRODUCING	50	PRODUCTION	267.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6542	http://www.npd.no/FactMapSearch?NPDID_wellbore=6542	NO
6543	6406/3-D-4	6406/3-D-4 AY2H	TYRIHANS	091	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN ARCTIC	TYRIHANS D	2011-06-15	2011-07-15	OIL	PRODUCING	50	PRODUCTION	267.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6543	http://www.npd.no/FactMapSearch?NPDID_wellbore=6543	NO
6544	15/9-B-8	15/9-B-8 D	SLEIPNER VEST	046	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	SLEIPNER B	2011-01-23	2011-02-06	GAS	SUSP.AT TD	90	PRODUCTION	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6544	http://www.npd.no/FactMapSearch?NPDID_wellbore=6544	NO
6545	34/7-P-17	34/7-P-17 A	SNORRE	089	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE A	SNORRE A	2011-01-25	2011-04-02	WATER/GAS	INJECTING	0	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6545	http://www.npd.no/FactMapSearch?NPDID_wellbore=6545	NO
6546	34/4-C-8	34/4-C-8 H	SNORRE	057	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE B	SNORRE B	2011-05-08	2011-07-20	OIL	SUSP.AT TD	50	PRODUCTION	347.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6546	http://www.npd.no/FactMapSearch?NPDID_wellbore=6546	NO
6547	2/7-A-27	2/7-A-27 A	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2011-04-19	2011-07-25	OIL	SUSP.AT TD	50	PRODUCTION	70.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6547	http://www.npd.no/FactMapSearch?NPDID_wellbore=6547	NO
6548	33/9-A-20	33/9-A-20 B	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD A	STATFJORD A	2011-03-06	2011-04-04	GAS	SUSP.AT TD	90	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6548	http://www.npd.no/FactMapSearch?NPDID_wellbore=6548	NO
6549	7/11-12	7/11-12 S	\N	301 CS	EXPLORATION	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	\N	2011-03-27	2011-07-16	SHOWS	P&A	12	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6549	http://www.npd.no/FactMapSearch?NPDID_wellbore=6549	NO
6550	30/3-A-13	30/3-A-13 BY2	VESLEFRIKK	052	DEVELOPMENT	Statoil Petroleum AS	YES	VESLEFRIKK A	VESLEFRIKK A	2011-02-21	2011-04-30	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6550	http://www.npd.no/FactMapSearch?NPDID_wellbore=6550	NO
6551	6508/1-2	6508/1-2	\N	482	EXPLORATION	Det norske oljeselskap ASA	NO	AKER BARENTS	\N	2011-08-21	2011-09-12	OIL/GAS	P&A	13	WILDCAT	393.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6551	http://www.npd.no/FactMapSearch?NPDID_wellbore=6551	YES
6552	6508/1-U-2	6508/1-U-2	\N	482	SHALLOW	Det norske oljeselskap ASA	NO	AKER BARENTS	\N	2011-08-18	2011-08-20	\N	P&A	0	\N	393.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6552	\N	NO
6553	16/3-4	16/3-4	\N	501	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2011-05-16	2011-06-28	OIL	P&A	5	APPRAISAL	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6553	http://www.npd.no/FactMapSearch?NPDID_wellbore=6553	NO
6554	31/2-P-21	31/2-P-21 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL P2	2011-04-29	2011-05-26	OIL	SUSP.AT TD	50	PRODUCTION	337.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6554	http://www.npd.no/FactMapSearch?NPDID_wellbore=6554	NO
6555	31/2-P-21	31/2-P-21 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL P2	2011-05-28	2011-06-08	OIL	SUSP.AT TD	50	PRODUCTION	337.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6555	http://www.npd.no/FactMapSearch?NPDID_wellbore=6555	NO
6639	25/8-U-23	25/8-U-23	\N	169 C	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6639	\N	NO
6556	30/9-B-12	30/9-B-12 C	OSEBERG	079	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG B	OSEBERG B	2011-04-21	2011-05-14	OIL	SUSP.AT TD	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6556	http://www.npd.no/FactMapSearch?NPDID_wellbore=6556	NO
6557	6407/4-2	6407/4-2	\N	429	EXPLORATION	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2011-02-14	2011-04-13	SHOWS	P&A	12	APPRAISAL	221.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6557	http://www.npd.no/FactMapSearch?NPDID_wellbore=6557	NO
6558	34/10-B-11	34/10-B-11 A	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS B	GULLFAKS B	9999-12-31	9999-12-31	\N	\N	0	INJECTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6558	http://www.npd.no/FactMapSearch?NPDID_wellbore=6558	NO
6559	6506/12-K-4	6506/12-K-4 H	ÅSGARD	094	DEVELOPMENT	Statoil Petroleum AS	NO	AKER SPITSBERGEN	ÅSGARD K	2011-04-14	2011-06-26	OIL	PRODUCING	50	PRODUCTION	298.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6559	http://www.npd.no/FactMapSearch?NPDID_wellbore=6559	NO
6560	24/9-10	24/9-10 A	\N	340 BS	EXPLORATION	Marathon Petroleum Norge AS	NO	TRANSOCEAN WINNER	\N	2011-02-03	2011-02-20	OIL	P&A	5	APPRAISAL	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6560	http://www.npd.no/FactMapSearch?NPDID_wellbore=6560	NO
6561	16/2-7	16/2-7	\N	501	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2011-07-19	2011-09-01	OIL	P&A	5	APPRAISAL	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6561	http://www.npd.no/FactMapSearch?NPDID_wellbore=6561	NO
6562	16/2-8	16/2-8	\N	265	EXPLORATION	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2011-07-18	2011-08-19	OIL	P&A	5	APPRAISAL	112.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6562	http://www.npd.no/FactMapSearch?NPDID_wellbore=6562	NO
6563	25/10-11	25/10-11	\N	505	EXPLORATION	Marathon Petroleum Norge AS	NO	TRANSOCEAN WINNER	\N	2011-02-22	2011-08-09	OIL	P&A	5	WILDCAT	120.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6563	http://www.npd.no/FactMapSearch?NPDID_wellbore=6563	YES
6564	31/4-A-14	31/4-A-14 C	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2011-03-16	2011-04-02	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6564	http://www.npd.no/FactMapSearch?NPDID_wellbore=6564	NO
6565	6507/8-D-3	6507/8-D-3 CH	HEIDRUN	124	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA BERGEN	HEIDRUN D	2011-05-01	2011-05-27	OIL	PRODUCING	50	PRODUCTION	357.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6565	http://www.npd.no/FactMapSearch?NPDID_wellbore=6565	NO
6566	31/2-S-14	31/2-S-14 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL S1	2011-04-01	2011-04-22	OIL	SUSP.AT TD	50	PRODUCTION	343.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6566	http://www.npd.no/FactMapSearch?NPDID_wellbore=6566	NO
6567	31/2-S-14	31/2-S-14 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL S1	2011-04-23	2011-05-04	OIL	SUSP.AT TD	50	PRODUCTION	343.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6567	http://www.npd.no/FactMapSearch?NPDID_wellbore=6567	NO
6568	6604/2-1	6604/2-1	\N	522	EXPLORATION	BG Norge AS	NO	AKER BARENTS	\N	2011-03-21	2011-05-07	DRY	P&A	1	WILDCAT	1262.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6568	http://www.npd.no/FactMapSearch?NPDID_wellbore=6568	NO
6569	2/8-G-1	2/8-G-1	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6569	http://www.npd.no/FactMapSearch?NPDID_wellbore=6569	NO
6570	2/8-G-2	2/8-G-2	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6570	http://www.npd.no/FactMapSearch?NPDID_wellbore=6570	NO
6571	2/8-G-3	2/8-G-3	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6571	http://www.npd.no/FactMapSearch?NPDID_wellbore=6571	NO
6572	2/8-G-4	2/8-G-4	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2012-05-09	2012-08-05	OIL	SUSP.AT TD	50	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6572	http://www.npd.no/FactMapSearch?NPDID_wellbore=6572	NO
6573	2/8-G-5	2/8-G-5	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2013-01-30	2013-02-23	NOT AVAILABLE	PLUGGED	99	OBSERVATION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6573	http://www.npd.no/FactMapSearch?NPDID_wellbore=6573	NO
6574	2/8-G-9	2/8-G-9	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6574	http://www.npd.no/FactMapSearch?NPDID_wellbore=6574	NO
6575	2/8-G-17	2/8-G-17	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	9999-12-31	9999-12-31	\N	\N	0	INJECTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6575	http://www.npd.no/FactMapSearch?NPDID_wellbore=6575	NO
6576	2/8-G-20	2/8-G-20	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	9999-12-31	9999-12-31	\N	PREDRILLED	99	OBSERVATION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6576	http://www.npd.no/FactMapSearch?NPDID_wellbore=6576	NO
6577	2/8-G-21	2/8-G-21	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2011-04-24	2011-05-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6577	http://www.npd.no/FactMapSearch?NPDID_wellbore=6577	NO
6578	6507/8-U-1	6507/8-U-1	\N	434	SHALLOW	Nexen Exploration Norge AS	NO	SONGA DELTA	\N	9999-12-31	9999-12-31	\N	\N	0	\N	329.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6578	\N	NO
6579	2/8-G-21	2/8-G-21 A	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	2011-07-06	2011-11-25	CUTTINGS	SUSP.AT TD	171	INJECTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6579	http://www.npd.no/FactMapSearch?NPDID_wellbore=6579	NO
6580	15/12-A-12	15/12-A-12 C	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	VARG A	2011-03-23	2011-04-11	NOT AVAILABLE	PLUGGED	71	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6580	http://www.npd.no/FactMapSearch?NPDID_wellbore=6580	NO
6581	31/2-P-21	31/2-P-21 BY3H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL P2	2011-06-09	2011-06-26	OIL	SUSP.AT TD	50	PRODUCTION	337.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6581	http://www.npd.no/FactMapSearch?NPDID_wellbore=6581	NO
6582	6407/3-1	6407/3-1 S	\N	312	EXPLORATION	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2011-04-14	2011-05-08	DRY	P&A	1	WILDCAT	234.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6582	http://www.npd.no/FactMapSearch?NPDID_wellbore=6582	NO
6583	2/4-U-4	2/4-U-4	\N	146	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2010-04-24	2010-04-24	\N	P&A	0	\N	68.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6583	\N	NO
6584	2/4-U-5	2/4-U-5	\N	146	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2010-04-28	2010-04-28	\N	P&A	0	\N	29.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6584	\N	NO
6585	2/4-U-6	2/4-U-6	\N	146	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2010-04-28	2010-04-28	\N	P&A	0	\N	68.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6585	\N	NO
6586	35/8-Q-12	35/8-Q-12 AH	VEGA	248	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VEGA SENTRAL	2011-02-18	2011-05-17	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6586	http://www.npd.no/FactMapSearch?NPDID_wellbore=6586	NO
6587	7225/3-1	7225/3-1	\N	535	EXPLORATION	Total E&P Norge AS	NO	WEST PHOENIX	\N	2011-04-30	2011-09-25	GAS	P&A	9	WILDCAT	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6587	http://www.npd.no/FactMapSearch?NPDID_wellbore=6587	YES
6588	34/3-3	34/3-3 S	\N	373 S	EXPLORATION	BG Norge AS	NO	WEST ALPHA	\N	2011-09-11	2011-11-19	OIL	\N	5	WILDCAT	400.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6588	http://www.npd.no/FactMapSearch?NPDID_wellbore=6588	YES
6589	35/12-4	35/12-4 S	\N	378	EXPLORATION	Wintershall Norge ASA	NO	SONGA DELTA	\N	2011-04-23	2011-06-26	OIL/GAS	P&A	13	APPRAISAL	360.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6589	http://www.npd.no/FactMapSearch?NPDID_wellbore=6589	NO
6590	31/4-A-14	31/4-A-14 D	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2011-04-03	2011-04-26	OIL	PLUGGED	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6590	http://www.npd.no/FactMapSearch?NPDID_wellbore=6590	NO
6591	6/3-A-1	6/3-A-1 H	GAUPE	292	DEVELOPMENT	BG Norge AS	NO	WEST ALPHA	6/3-A-1 H	2011-04-26	2011-05-25	OIL/GAS	PRODUCING	0	PRODUCTION	85.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6591	http://www.npd.no/FactMapSearch?NPDID_wellbore=6591	NO
6592	7120/2-3	7120/2-3 S	\N	438	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN LEADER	\N	2011-05-16	2011-07-09	GAS	P&A	9	WILDCAT	312.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6592	http://www.npd.no/FactMapSearch?NPDID_wellbore=6592	YES
6593	16/1-15	16/1-15 A	EDVARD GRIEG	338	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2011-04-06	2011-05-13	OIL	P&A	5	APPRAISAL	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6593	http://www.npd.no/FactMapSearch?NPDID_wellbore=6593	NO
6594	6406/3-9	6406/3-9	\N	431	EXPLORATION	Maersk Oil Norway AS	NO	TRANSOCEAN WINNER	\N	2011-11-09	2012-03-26	OIL	P&A	5	WILDCAT	315.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6594	http://www.npd.no/FactMapSearch?NPDID_wellbore=6594	YES
6595	15/12-A-12	15/12-A-12 D	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	MÆRSK GUARDIAN	VARG A	2011-04-15	2011-04-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6595	http://www.npd.no/FactMapSearch?NPDID_wellbore=6595	NO
6596	31/2-K-12	31/2-K-12 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL K1	2011-05-11	2011-06-04	OIL	SUSP.AT TD	50	PRODUCTION	319.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6596	http://www.npd.no/FactMapSearch?NPDID_wellbore=6596	NO
6597	31/2-K-12	31/2-K-12 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL K1	2011-06-07	2011-06-25	OIL	SUSP.AT TD	50	PRODUCTION	319.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6597	http://www.npd.no/FactMapSearch?NPDID_wellbore=6597	NO
6598	2/1-A-32	2/1-A-32 C	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2012-12-04	2013-04-16	OIL	PLUGGED	99	OBSERVATION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6598	http://www.npd.no/FactMapSearch?NPDID_wellbore=6598	NO
6599	35/7-1	35/7-1 S	\N	377 S	EXPLORATION	Idemitsu Petroleum Norge AS	NO	AKER BARENTS	\N	2011-05-13	2011-08-15	DRY	P&A	1	WILDCAT	387.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6599	http://www.npd.no/FactMapSearch?NPDID_wellbore=6599	NO
6600	25/8-C-19	25/8-C-19	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2011-05-21	2011-09-04	NOT AVAILABLE	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6600	http://www.npd.no/FactMapSearch?NPDID_wellbore=6600	NO
6601	25/8-C-19	25/8-C-19 A	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2011-09-05	2012-01-21	OIL	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6601	http://www.npd.no/FactMapSearch?NPDID_wellbore=6601	NO
6602	25/8-C-19	25/8-C-19 B	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2012-01-22	2012-10-19	OIL	SUSP.AT TD	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6602	http://www.npd.no/FactMapSearch?NPDID_wellbore=6602	NO
6603	7120/2-U-1	7120/2-U-1	\N	438	SHALLOW	Lundin Norway AS	NO	TRANSOCEAN LEADER	\N	2011-05-15	2011-05-16	\N	P&A	0	\N	312.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6603	\N	NO
6604	31/8-1	31/8-1	\N	416	EXPLORATION	E.ON Ruhrgas Norge AS	NO	BORGLAND DOLPHIN	\N	2011-06-27	2011-07-24	DRY	P&A	1	WILDCAT	304.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6604	http://www.npd.no/FactMapSearch?NPDID_wellbore=6604	NO
6605	16/7-U-1	16/7-U-1	SIGYN	569	SHALLOW	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2011-07-07	2011-07-09	\N	P&A	0	\N	85.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6605	\N	NO
6606	25/11-G-23	25/11-G-23 A	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2011-06-23	2011-07-23	WATER	INJECTING	173	INJECTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6606	http://www.npd.no/FactMapSearch?NPDID_wellbore=6606	NO
6695	34/3-U-15	34/3-U-15	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6695	\N	NO
6607	16/7-10	16/7-10	\N	569	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2011-07-06	2011-09-14	GAS/CONDENSATE	P&A	17	WILDCAT	85.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6607	http://www.npd.no/FactMapSearch?NPDID_wellbore=6607	YES
6608	15/12-E-1	15/12-E-1 H	GAUPE	292	DEVELOPMENT	BG Norge AS	NO	WEST ALPHA	15/12-E-1 H	2011-05-31	2011-07-11	OIL	PRODUCING	50	PRODUCTION	85.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6608	http://www.npd.no/FactMapSearch?NPDID_wellbore=6608	NO
6609	2/4-K-8	2/4-K-8 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2011-09-23	2011-11-23	WATER	SUSP.AT TD	173	INJECTION	73.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6609	http://www.npd.no/FactMapSearch?NPDID_wellbore=6609	NO
6610	33/9-A-37	33/9-A-37 C	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD A	STATFJORD A	2011-09-17	2011-10-26	OIL/GAS	SUSP.AT TD	0	PRODUCTION	145.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6610	http://www.npd.no/FactMapSearch?NPDID_wellbore=6610	NO
6611	30/11-8	30/11-8 A	\N	035	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2011-05-20	2011-07-03	OIL/GAS/CONDENSATE	P&A	0	WILDCAT	107.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6611	http://www.npd.no/FactMapSearch?NPDID_wellbore=6611	YES
6612	1/3-A-1	1/3-A-1 H	OSELVAR	274	DEVELOPMENT	DONG E&P Norge AS	NO	MÆRSK GIANT	OSELVAR	2011-07-22	2011-09-25	OIL	SUSP.AT TD	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6612	http://www.npd.no/FactMapSearch?NPDID_wellbore=6612	NO
6613	1/3-A-2	1/3-A-2 H	OSELVAR	274	DEVELOPMENT	DONG E&P Norge AS	NO	MÆRSK GIANT	OSELVAR	2011-11-18	2012-02-08	OIL	SUSP.AT TD	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6613	http://www.npd.no/FactMapSearch?NPDID_wellbore=6613	NO
6614	1/3-A-3	1/3-A-3 H	OSELVAR	274	DEVELOPMENT	DONG E&P Norge AS	NO	MÆRSK GIANT	OSELVAR	2012-03-04	2012-05-15	OIL	SUSP.AT TD	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6614	http://www.npd.no/FactMapSearch?NPDID_wellbore=6614	NO
6615	16/2-9	16/2-9 S	\N	265	EXPLORATION	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2011-08-22	2011-09-24	OIL	P&A	5	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6615	http://www.npd.no/FactMapSearch?NPDID_wellbore=6615	NO
6616	6507/7-A-3	6507/7-A-3	HEIDRUN	095	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	2011-07-13	2011-10-03	WATER	INJECTING	173	INJECTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6616	http://www.npd.no/FactMapSearch?NPDID_wellbore=6616	NO
6617	35/12-4	35/12-4 A	\N	378	EXPLORATION	Wintershall Norge ASA	NO	SONGA DELTA	\N	2011-06-26	2011-07-17	DRY	P&A	1	APPRAISAL	360.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6617	http://www.npd.no/FactMapSearch?NPDID_wellbore=6617	NO
6618	2/4-B-18	2/4-B-18 D	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK B	EKOFISK B	2011-07-14	2011-09-26	OIL	SUSP.AT TD	50	PRODUCTION	74.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6618	http://www.npd.no/FactMapSearch?NPDID_wellbore=6618	NO
6619	31/2-D-2	31/2-D-2 AY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL D	2011-07-16	2011-08-06	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6619	http://www.npd.no/FactMapSearch?NPDID_wellbore=6619	NO
6620	31/2-D-2	31/2-D-2 AY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL D	2011-08-07	2011-08-14	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6620	http://www.npd.no/FactMapSearch?NPDID_wellbore=6620	NO
6621	31/2-D-2	31/2-D-2 AY3H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL D	2011-08-15	2011-08-23	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6621	http://www.npd.no/FactMapSearch?NPDID_wellbore=6621	NO
6622	3/4-2	3/4-2 S	\N	356	EXPLORATION	Det norske oljeselskap ASA	NO	MÆRSK GUARDIAN	\N	2012-07-19	2012-08-31	DRY	P&A	1	WILDCAT	51.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6622	http://www.npd.no/FactMapSearch?NPDID_wellbore=6622	NO
6623	31/4-A-14	31/4-A-14 E	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2011-07-06	2011-07-28	OIL	SUSP.AT TD	50	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6623	http://www.npd.no/FactMapSearch?NPDID_wellbore=6623	NO
6624	2/8-G-20	2/8-G-20 A	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	VALHALL IP	VALHALL IP	9999-12-31	9999-12-31	\N	PREDRILLED	0	INJECTION	73.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6624	http://www.npd.no/FactMapSearch?NPDID_wellbore=6624	NO
6625	6608/10-H-4	6608/10-H-4 H	URD	128	DEVELOPMENT	Statoil Petroleum AS	NO	AKER SPITSBERGEN	NORNE H	2011-07-01	2011-07-20	WATER	PLUGGED	99	OBSERVATION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6625	http://www.npd.no/FactMapSearch?NPDID_wellbore=6625	NO
6626	6608/10-H-4	6608/10-H-4 AH	URD	128	DEVELOPMENT	Statoil Petroleum AS	NO	AKER SPITSBERGEN	NORNE H	2011-07-21	2011-08-06	WATER	INJECTING	173	INJECTION	376.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6626	http://www.npd.no/FactMapSearch?NPDID_wellbore=6626	NO
6627	30/9-F-7	30/9-F-7	OSEBERG SØR	104	DEVELOPMENT	Norsk Hydro Produksjon AS	NO	OSEBERG SØR	OSEBERG SØR	2006-09-06	2006-09-18	NOT APPLICABLE	PLUGGED	99	OBSERVATION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6627	http://www.npd.no/FactMapSearch?NPDID_wellbore=6627	NO
6628	30/9-F-7	30/9-F-7 A	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG SØR	OSEBERG SØR	2011-07-31	2011-12-22	OIL	SUSP.AT TD	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6628	http://www.npd.no/FactMapSearch?NPDID_wellbore=6628	NO
6629	16/3-4	16/3-4 A	\N	501	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2011-06-28	2011-07-18	OIL	P&A	5	APPRAISAL	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6629	http://www.npd.no/FactMapSearch?NPDID_wellbore=6629	NO
6630	8/10-4	8/10-4 S	\N	405	EXPLORATION	Centrica Resources (Norge) AS	NO	MÆRSK GUARDIAN	\N	2011-08-15	2011-10-27	OIL	P&A	5	WILDCAT	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6630	http://www.npd.no/FactMapSearch?NPDID_wellbore=6630	YES
6631	2/4-U-31	2/4-U-31	\N	146	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2011-06-07	2011-06-07	\N	P&A	0	\N	68.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6631	\N	NO
6640	25/8-U-24	25/8-U-24	\N	169 C	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6640	\N	NO
6641	30/3-A-20	30/3-A-20 B	VESLEFRIKK	052	DEVELOPMENT	Statoil Petroleum AS	NO	VESLEFRIKK A	VESLEFRIKK A	2011-09-18	2011-11-30	OIL	PRODUCING	50	PRODUCTION	175.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6641	http://www.npd.no/FactMapSearch?NPDID_wellbore=6641	NO
6642	6607/12-2	6607/12-2 S	\N	127	EXPLORATION	Total E&P Norge AS	NO	SONGA DELTA	\N	2011-07-22	2011-10-25	OIL/GAS	P&A	13	WILDCAT	369.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6642	http://www.npd.no/FactMapSearch?NPDID_wellbore=6642	YES
6643	6506/12-P-1	6506/12-P-1 AH	ÅSGARD	094	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA BERGEN	ÅSGARD P	2011-07-21	2011-09-04	OIL	PLUGGED	99	OBSERVATION	311.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6643	http://www.npd.no/FactMapSearch?NPDID_wellbore=6643	NO
6644	6506/12-P-1	6506/12-P-1 BH	ÅSGARD	094	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA BERGEN	ÅSGARD P	2011-09-05	2011-09-30	OIL	CLOSED	50	PRODUCTION	311.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6644	http://www.npd.no/FactMapSearch?NPDID_wellbore=6644	NO
6645	6406/3-D-1	6406/3-D-1 H	TYRIHANS	091	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN ARCTIC	TYRIHANS D	2011-08-22	2011-09-30	OIL	PLUGGED	99	OBSERVATION	268.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6645	http://www.npd.no/FactMapSearch?NPDID_wellbore=6645	NO
6646	6406/3-D-1	6406/3-D-1 AY1H	TYRIHANS	091	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN ARCTIC	TYRIHANS D	2011-10-01	2011-10-25	OIL	PRODUCING	50	PRODUCTION	268.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6646	http://www.npd.no/FactMapSearch?NPDID_wellbore=6646	NO
6647	6406/3-D-1	6406/3-D-1 AY2H	TYRIHANS	091	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN ARCTIC	TYRIHANS D	2011-10-26	2012-01-09	OIL	PRODUCING	50	PRODUCTION	268.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6647	http://www.npd.no/FactMapSearch?NPDID_wellbore=6647	NO
6648	6407/5-2	6407/5-2 S	\N	471	EXPLORATION	OMV (Norge) AS	NO	BORGLAND DOLPHIN	\N	2011-07-26	2011-09-04	GAS	P&A	9	WILDCAT	230.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6648	http://www.npd.no/FactMapSearch?NPDID_wellbore=6648	YES
6649	30/9-F-23	30/9-F-23	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG SØR	OSEBERG SØR	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6649	http://www.npd.no/FactMapSearch?NPDID_wellbore=6649	NO
6650	35/9-C-1	35/9-C-1 AY1H	GJØA	153	DEVELOPMENT	GDF SUEZ E&P Norge AS	YES	TRANSOCEAN SEARCHER	GJØA C	2011-07-31	2011-09-14	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6650	http://www.npd.no/FactMapSearch?NPDID_wellbore=6650	NO
6651	35/9-C-1	35/9-C-1 AY2H	GJØA	153	DEVELOPMENT	GDF SUEZ E&P Norge AS	YES	TRANSOCEAN SEARCHER	GJØA C	2011-09-15	2011-10-25	OIL	PRODUCING	50	PRODUCTION	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6651	http://www.npd.no/FactMapSearch?NPDID_wellbore=6651	NO
6652	31/2-X-11	31/2-X-11 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL T1	2011-07-31	2011-08-22	OIL	SUSP.AT TD	50	PRODUCTION	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6652	http://www.npd.no/FactMapSearch?NPDID_wellbore=6652	NO
6653	31/2-X-11	31/2-X-11 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL T1	2011-08-23	2011-09-04	OIL	SUSP.AT TD	50	PRODUCTION	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6653	http://www.npd.no/FactMapSearch?NPDID_wellbore=6653	NO
6654	31/2-Q-12	31/2-Q-12 BH	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	NO	WEST VENTURE	TROLL Q1	2011-08-09	2011-08-31	OIL	SUSP.AT TD	50	PRODUCTION	335.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6654	http://www.npd.no/FactMapSearch?NPDID_wellbore=6654	NO
6655	7/11-12	7/11-12 A	\N	301 CS	EXPLORATION	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	\N	2011-08-08	2011-12-31	GAS	P&A	9	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6655	http://www.npd.no/FactMapSearch?NPDID_wellbore=6655	YES
6656	25/11-G-5	25/11-G-5 A	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2011-08-03	2011-08-09	OIL	PLUGGED	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6656	http://www.npd.no/FactMapSearch?NPDID_wellbore=6656	NO
6657	34/10-52	34/10-52 A	\N	050	EXPLORATION	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	\N	2011-06-17	2011-08-07	OIL/GAS	P&A	13	WILDCAT	134.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6657	http://www.npd.no/FactMapSearch?NPDID_wellbore=6657	YES
6658	34/10-52	34/10-52 B	\N	050	EXPLORATION	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	\N	2011-08-07	2011-08-23	OIL/GAS	P&A	13	WILDCAT	134.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6658	http://www.npd.no/FactMapSearch?NPDID_wellbore=6658	YES
6659	6305/5-C-2	6305/5-C-2 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE C	2011-09-10	2011-10-02	NOT APPLICABLE	PLUGGED	99	OBSERVATION	925.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6659	http://www.npd.no/FactMapSearch?NPDID_wellbore=6659	NO
6660	6305/5-C-2	6305/5-C-2 AH	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE C	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	925.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6660	http://www.npd.no/FactMapSearch?NPDID_wellbore=6660	NO
6661	6305/5-C-3	6305/5-C-3 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE C	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	925.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6661	http://www.npd.no/FactMapSearch?NPDID_wellbore=6661	NO
6662	6305/5-C-7	6305/5-C-7 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE C	2011-08-21	2011-11-21	NOT AVAILABLE	PLUGGED	71	PRODUCTION	925.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6662	http://www.npd.no/FactMapSearch?NPDID_wellbore=6662	NO
6663	34/8-U-3	34/8-U-3	VISUND SØR	120	SHALLOW	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2011-09-20	2011-09-22	\N	P&A	0	\N	291.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6663	\N	NO
6664	6507/7-A-21	6507/7-A-21	HEIDRUN	095	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	2012-01-02	2012-03-30	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6664	http://www.npd.no/FactMapSearch?NPDID_wellbore=6664	NO
6665	34/8-V-4	34/8-V-4 H	VISUND SØR	120	DEVELOPMENT	Statoil Petroleum AS	NO	OCEAN VANGUARD	VISUND SØR	2011-09-28	2011-12-11	OIL	PLUGGED	99	OBSERVATION	291.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6665	http://www.npd.no/FactMapSearch?NPDID_wellbore=6665	NO
6666	34/8-V-4	34/8-V-4 AH	VISUND SØR	120	DEVELOPMENT	Statoil Petroleum AS	NO	OCEAN VANGUARD	VISUND SØR	2011-12-15	2012-02-11	OIL	PLUGGED	99	OBSERVATION	291.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6666	http://www.npd.no/FactMapSearch?NPDID_wellbore=6666	NO
6667	34/8-V-4	34/8-V-4 BY1H	VISUND SØR	120	DEVELOPMENT	Statoil Petroleum AS	YES	OCEAN VANGUARD	VISUND SØR	2012-02-11	2012-08-22	OIL	SUSP.AT TD	50	PRODUCTION	291.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6667	http://www.npd.no/FactMapSearch?NPDID_wellbore=6667	NO
6668	34/8-V-4	34/8-V-4 BY2H	VISUND SØR	120	DEVELOPMENT	Statoil Petroleum AS	YES	SCARABEO 5	VISUND SØR	2012-08-23	2012-09-16	OIL/GAS	SUSP.AT TD	0	PRODUCTION	291.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6668	http://www.npd.no/FactMapSearch?NPDID_wellbore=6668	NO
6669	16/1-U-1	16/1-U-1	\N	338	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2011-06-10	2011-06-10	\N	P&A	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6669	\N	NO
6670	16/1-U-2	16/1-U-2	\N	338	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2011-06-10	2011-06-10	\N	P&A	0	\N	109.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6670	\N	NO
6671	16/1-U-3	16/1-U-3	\N	338	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2011-06-10	2011-06-10	\N	P&A	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6671	\N	NO
6672	16/1-U-4	16/1-U-4	\N	338	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2011-06-10	2011-06-10	\N	P&A	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6672	\N	NO
6673	16/1-U-5	16/1-U-5	\N	338	SHALLOW	Lundin Norway AS	NO	BUCENTAUR	\N	2011-06-10	2011-06-10	\N	P&A	0	\N	109.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6673	\N	NO
6674	16/1-U-6	16/1-U-6	\N	338	SHALLOW	Lundin Norway AS	NO	TRANSOCEAN WINNER	\N	2010-09-24	2010-09-24	\N	P&A	0	\N	110.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6674	\N	NO
6675	31/5-J-22	31/5-J-22 AY1H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE	TROLL J2	2011-10-25	2011-11-15	OIL	SUSP.AT TD	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6675	http://www.npd.no/FactMapSearch?NPDID_wellbore=6675	NO
6676	31/5-J-22	31/5-J-22 AY2H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE	TROLL J2	2011-11-16	2011-11-30	OIL	SUSP.AT TD	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6676	http://www.npd.no/FactMapSearch?NPDID_wellbore=6676	NO
6677	31/5-J-22	31/5-J-22 AY3H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE	TROLL J2	2011-12-01	2011-12-20	OIL	SUSP.AT TD	50	PRODUCTION	314.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6677	http://www.npd.no/FactMapSearch?NPDID_wellbore=6677	NO
6678	7124/4-1	7124/4-1 S	\N	530	EXPLORATION	GDF SUEZ E&P Norge AS	NO	AKER BARENTS	\N	2011-09-18	2011-10-12	DRY	P&A	1	WILDCAT	302.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6678	http://www.npd.no/FactMapSearch?NPDID_wellbore=6678	NO
6679	31/2-G-4	31/2-G-4 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL G	2011-09-16	2011-10-08	OIL	SUSP.AT TD	50	PRODUCTION	327.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6679	http://www.npd.no/FactMapSearch?NPDID_wellbore=6679	NO
6680	31/2-G-4	31/2-G-4 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL G	2011-10-09	2011-10-26	OIL	SUSP.AT TD	50	PRODUCTION	327.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6680	http://www.npd.no/FactMapSearch?NPDID_wellbore=6680	NO
6681	15/8-2	15/8-2	\N	303	EXPLORATION	Statoil Petroleum AS	NO	COSLPioneer	\N	2011-08-23	2011-10-21	DRY	P&A	1	WILDCAT	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6681	http://www.npd.no/FactMapSearch?NPDID_wellbore=6681	NO
6682	34/10-F-3	34/10-F-3 AH	GULLFAKS SØR	050	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	GULLFAKS SØR F	2011-10-14	2012-04-25	OIL	SUSP.AT TD	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6682	http://www.npd.no/FactMapSearch?NPDID_wellbore=6682	NO
6683	34/3-U-3	34/3-U-3	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6683	\N	NO
6684	34/3-U-4	34/3-U-4	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	30.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6684	\N	NO
6685	34/3-U-5	34/3-U-5	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6685	\N	NO
6686	34/3-U-6	34/3-U-6	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6686	\N	NO
6687	34/3-U-7	34/3-U-7	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6687	\N	NO
6688	34/3-U-8	34/3-U-8	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6688	\N	NO
6689	34/3-U-9	34/3-U-9	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6689	\N	NO
6690	34/3-U-10	34/3-U-10	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6690	\N	NO
6691	34/3-U-11	34/3-U-11	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6691	\N	NO
6692	34/3-U-12	34/3-U-12	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6692	\N	NO
6693	34/3-U-13	34/3-U-13	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6693	\N	NO
6694	34/3-U-14	34/3-U-14	KNARR	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6694	\N	NO
6701	6608/11-7	6608/11-7 S	\N	559	EXPLORATION	Rocksource ASA	NO	BORGLAND DOLPHIN	\N	2011-09-08	2011-10-25	DRY	P&A	1	WILDCAT	333.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6701	http://www.npd.no/FactMapSearch?NPDID_wellbore=6701	NO
6702	6507/2-N-2	6507/2-N-2 H	MARULK	122	DEVELOPMENT	Eni Norge AS	NO	SCARABEO 5	MARULK	2011-10-03	2011-11-21	GAS/CONDENSATE	PLUGGED	99	OBSERVATION	367.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6702	http://www.npd.no/FactMapSearch?NPDID_wellbore=6702	NO
6703	6507/2-N-2	6507/2-N-2 AH	MARULK	122	DEVELOPMENT	Eni Norge AS	NO	SCARABEO 5	MARULK	2011-11-23	2012-03-01	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	367.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6703	http://www.npd.no/FactMapSearch?NPDID_wellbore=6703	NO
6704	6507/2-N-4	6507/2-N-4 H	MARULK	122	DEVELOPMENT	Eni Norge AS	NO	SCARABEO 5	MARULK	2011-12-22	2012-11-12	GAS/CONDENSATE	SUSP.AT TD	170	PRODUCTION	367.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6704	http://www.npd.no/FactMapSearch?NPDID_wellbore=6704	NO
6705	15/3-A-5	15/3-A-5	GUDRUN	025	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	GUDRUN	2011-12-12	2012-05-20	NOT AVAILABLE	PLUGGED	99	OBSERVATION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6705	http://www.npd.no/FactMapSearch?NPDID_wellbore=6705	NO
6706	15/3-A-6	15/3-A-6	GUDRUN	025	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	GUDRUN	2012-09-26	2012-11-01	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6706	http://www.npd.no/FactMapSearch?NPDID_wellbore=6706	NO
6707	15/3-A-7	15/3-A-7	GUDRUN	025	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	GUDRUN	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6707	http://www.npd.no/FactMapSearch?NPDID_wellbore=6707	NO
6708	15/3-A-12	15/3-A-12	GUDRUN	025	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	GUDRUN	2011-10-15	2012-09-16	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6708	http://www.npd.no/FactMapSearch?NPDID_wellbore=6708	NO
6709	15/3-A-13	15/3-A-13	GUDRUN	025	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	GUDRUN	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6709	http://www.npd.no/FactMapSearch?NPDID_wellbore=6709	NO
6710	15/3-A-16	15/3-A-16	GUDRUN	025	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	GUDRUN	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6710	http://www.npd.no/FactMapSearch?NPDID_wellbore=6710	NO
6711	16/2-7	16/2-7 A	\N	501	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2011-09-02	2011-09-29	OIL	P&A	5	APPRAISAL	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6711	http://www.npd.no/FactMapSearch?NPDID_wellbore=6711	NO
6712	6407/7-A-2	6407/7-A-2 H	NJORD	107	\N	Statoil Petroleum AS	NO	NJORD A	NJORD A	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	330.000000	\N	http://www.npd.no/FactMapSearch?NPDID_wellbore=6712	NO
6713	6407/7-A-3	6407/7-A-3 H	NJORD	107	DEVELOPMENT	Statoil Petroleum AS	NO	NJORD A	NJORD A	2011-11-11	2011-12-30	NOT AVAILABLE	SUSPENDED	71	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6713	http://www.npd.no/FactMapSearch?NPDID_wellbore=6713	NO
6714	15/3-A-9	15/3-A-9	GUDRUN	025	DEVELOPMENT	Statoil Petroleum AS	NO	WEST EPSILON	GUDRUN	2012-11-27	2013-03-12	GAS	SUSP.AT TD	90	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6714	http://www.npd.no/FactMapSearch?NPDID_wellbore=6714	NO
6715	16/2-10	16/2-10	\N	265	EXPLORATION	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2011-09-28	2011-10-28	OIL	P&A	5	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6715	http://www.npd.no/FactMapSearch?NPDID_wellbore=6715	NO
6716	16/2-U-6	16/2-U-6	\N	265	SHALLOW	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	\N	2011-09-26	2011-09-27	\N	P&A	0	\N	115.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6716	\N	NO
6717	6305/5-C-5	6305/5-C-5 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE C	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	925.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6717	http://www.npd.no/FactMapSearch?NPDID_wellbore=6717	NO
6718	6305/5-C-6	6305/5-C-6 H	ORMEN LANGE	209	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	ORMEN LANGE C	2012-01-02	2012-03-05	GAS	SUSP.AT TD	90	PRODUCTION	925.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6718	http://www.npd.no/FactMapSearch?NPDID_wellbore=6718	NO
6719	34/10-E-2	34/10-E-2 AH	GULLFAKS SØR	050	DEVELOPMENT	Statoil Petroleum AS	NO	SONGA DEE	GULLFAKS SØR E	2011-10-16	2012-05-17	GAS	SUSP.AT TD	91	INJECTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6719	http://www.npd.no/FactMapSearch?NPDID_wellbore=6719	NO
6720	16/5-2	16/5-2 S	\N	501	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2011-11-29	2012-02-01	DRY	P&A	1	APPRAISAL	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6720	http://www.npd.no/FactMapSearch?NPDID_wellbore=6720	NO
6721	25/11-G-5	25/11-G-5 BY1	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2011-10-20	2011-11-09	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6721	http://www.npd.no/FactMapSearch?NPDID_wellbore=6721	NO
6722	25/11-G-5	25/11-G-5 BY2	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2011-11-10	2011-11-28	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6722	http://www.npd.no/FactMapSearch?NPDID_wellbore=6722	NO
6723	25/11-G-5	25/11-G-5 BY3	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2011-11-29	2011-12-08	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6723	http://www.npd.no/FactMapSearch?NPDID_wellbore=6723	NO
6724	25/11-G-5	25/11-G-5 BY4	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2011-12-11	2011-12-29	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6724	http://www.npd.no/FactMapSearch?NPDID_wellbore=6724	NO
6725	6507/6-4	6507/6-4 S	\N	350	EXPLORATION	E.ON Ruhrgas Norge AS	NO	BORGLAND DOLPHIN	\N	2011-10-26	2011-11-16	DRY	P&A	1	WILDCAT	363.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6725	http://www.npd.no/FactMapSearch?NPDID_wellbore=6725	NO
6726	2/7-A-15	2/7-A-15 B	ELDFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	ELDFISK A	ELDFISK A	2011-10-13	2012-02-15	OIL	SUSP.AT TD	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6726	http://www.npd.no/FactMapSearch?NPDID_wellbore=6726	NO
6727	7/12-13	7/12-13 S	\N	450	EXPLORATION	Det norske oljeselskap ASA	NO	MÆRSK GUARDIAN	\N	2012-01-29	2012-05-18	DRY	P&A	1	WILDCAT	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6727	http://www.npd.no/FactMapSearch?NPDID_wellbore=6727	NO
6728	7121/9-1	7121/9-1	\N	518	EXPLORATION	DONG E&P Norge AS	NO	AKER BARENTS	\N	2011-10-16	2011-11-29	DRY	P&A	1	WILDCAT	310.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6728	http://www.npd.no/FactMapSearch?NPDID_wellbore=6728	NO
6729	33/12-9	33/12-9 S	\N	152	EXPLORATION	Statoil Petroleum AS	NO	COSLPioneer	\N	2011-10-31	2012-01-09	OIL	P&A	5	WILDCAT	132.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6729	http://www.npd.no/FactMapSearch?NPDID_wellbore=6729	YES
6730	6507/7-15	6507/7-15 S	\N	435	EXPLORATION	RWE Dea Norge AS	NO	WEST ALPHA	\N	2012-01-10	2012-05-02	GAS	P&A	9	WILDCAT	399.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6730	http://www.npd.no/FactMapSearch?NPDID_wellbore=6730	YES
6731	6506/12-NB-1	6506/12-NB-1 H	ÅSGARD	094	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	ÅSGARD NB	2009-08-06	2009-09-02	OIL/GAS	PRODUCING	0	PRODUCTION	301.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6731	http://www.npd.no/FactMapSearch?NPDID_wellbore=6731	NO
6732	31/2-P-11	31/2-P-11 AY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL P1	2011-11-07	2011-12-21	OIL	SUSP.AT TD	50	PRODUCTION	336.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6732	http://www.npd.no/FactMapSearch?NPDID_wellbore=6732	NO
6733	31/2-P-11	31/2-P-11 AY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL P1	2012-01-02	2012-02-02	OIL	SUSP.AT TD	50	PRODUCTION	336.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6733	http://www.npd.no/FactMapSearch?NPDID_wellbore=6733	NO
6734	33/9-C-1	33/9-C-1 C	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD C	STATFJORD C	2012-01-11	2012-05-05	WATER	SUSP.AT TD	172	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6734	http://www.npd.no/FactMapSearch?NPDID_wellbore=6734	NO
6735	6608/10-M-4	6608/10-M-4 AH	NORNE	128	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SPITSBERGEN	NORNE M	2011-12-19	2012-01-21	OIL	PRODUCING	50	PRODUCTION	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6735	http://www.npd.no/FactMapSearch?NPDID_wellbore=6735	NO
6736	2/4-21	2/4-21	\N	146	EXPLORATION	Statoil Petroleum AS	NO	MÆRSK GALLANT	\N	2012-01-19	2012-05-25	GAS/CONDENSATE	P&A	17	WILDCAT	67.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6736	http://www.npd.no/FactMapSearch?NPDID_wellbore=6736	YES
6737	8/10-4	8/10-4 A	\N	405	EXPLORATION	Centrica Resources (Norge) AS	NO	MÆRSK GUARDIAN	\N	2011-10-27	2011-12-18	OIL	P&A	5	APPRAISAL	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6737	http://www.npd.no/FactMapSearch?NPDID_wellbore=6737	NO
6738	7/8-U-1	7/8-U-1	\N	498	SHALLOW	Lotos Exploration and Production Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	81.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6738	\N	NO
6739	7/8-U-2	7/8-U-2	\N	498	SHALLOW	Lotos Exploration and Production Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	82.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6739	\N	NO
6740	7/8-U-3	7/8-U-3	\N	498	SHALLOW	Lotos Exploration and Production Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	2.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6740	\N	NO
6741	31/4-A-23	31/4-A-23 C	BRAGE	055	DEVELOPMENT	Statoil Petroleum AS	NO	BRAGE	BRAGE	2011-12-21	2012-05-02	\N	SUSPENDED	0	PRODUCTION	137.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6741	http://www.npd.no/FactMapSearch?NPDID_wellbore=6741	NO
6742	16/2-11	16/2-11	\N	501	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2012-02-05	2012-03-29	OIL	P&A	5	APPRAISAL	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6742	http://www.npd.no/FactMapSearch?NPDID_wellbore=6742	NO
6743	31/2-N-13	31/2-N-13 AY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL N1	2011-12-12	2012-01-06	OIL	SUSP.AT TD	50	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6743	http://www.npd.no/FactMapSearch?NPDID_wellbore=6743	NO
6744	31/2-N-13	31/2-N-13 AY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL N1	2012-01-07	2012-02-04	OIL	SUSP.AT TD	50	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6744	http://www.npd.no/FactMapSearch?NPDID_wellbore=6744	NO
6745	34/3-3	34/3-3 A	\N	373 S	EXPLORATION	BG Norge AS	NO	WEST ALPHA	\N	2011-11-19	2012-01-03	OIL	P&A	5	APPRAISAL	400.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6745	http://www.npd.no/FactMapSearch?NPDID_wellbore=6745	NO
6746	33/9-A-33	33/9-A-33 A	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD A	STATFJORD A	2011-12-10	2012-03-30	OIL/GAS	SUSP.AT TD	0	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6746	http://www.npd.no/FactMapSearch?NPDID_wellbore=6746	NO
6747	2/8-18	2/8-18 S	\N	440 S	EXPLORATION	Faroe Petroleum Norge AS	NO	MÆRSK GUARDIAN	\N	2012-05-23	2012-07-12	DRY	P&A	1	WILDCAT	69.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6747	http://www.npd.no/FactMapSearch?NPDID_wellbore=6747	NO
6748	31/2-D-8	31/2-D-8 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TROLL D	2011-11-28	2012-01-22	OIL	SUSP.AT TD	50	PRODUCTION	336.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6748	http://www.npd.no/FactMapSearch?NPDID_wellbore=6748	NO
6749	31/2-D-8	31/2-D-8 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TROLL D	2012-01-24	2012-02-06	OIL	SUSP.AT TD	50	PRODUCTION	336.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6749	http://www.npd.no/FactMapSearch?NPDID_wellbore=6749	NO
6750	31/2-D-8	31/2-D-8 BY3H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TROLL D	2012-02-07	2012-02-21	OIL	SUSP.AT TD	50	PRODUCTION	336.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6750	http://www.npd.no/FactMapSearch?NPDID_wellbore=6750	NO
6751	31/2-D-8	31/2-D-8 BY4H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TROLL D	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	336.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6751	http://www.npd.no/FactMapSearch?NPDID_wellbore=6751	NO
6752	2/4-B-9	2/4-B-9 C	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK B	2011-11-17	2012-02-26	OIL	SUSP.AT TD	50	PRODUCTION	74.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6752	http://www.npd.no/FactMapSearch?NPDID_wellbore=6752	NO
6753	6507/6-4	6507/6-4 A	\N	350	EXPLORATION	E.ON Ruhrgas Norge AS	NO	BORGLAND DOLPHIN	\N	2011-11-16	2012-01-29	DRY	P&A	1	WILDCAT	363.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6753	http://www.npd.no/FactMapSearch?NPDID_wellbore=6753	NO
6754	7220/7-U-1	7220/7-U-1	\N	532	SHALLOW	Statoil Petroleum AS	NO	TRANSOCEAN BARENTS	\N	2011-12-06	2011-12-06	\N	P&A	0	\N	367.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6754	\N	NO
6755	8/10-4	8/10-4 B	\N	405	EXPLORATION	Centrica Resources (Norge) AS	NO	MÆRSK GUARDIAN	\N	2011-12-19	2012-01-02	DRY	JUNKED	1	APPRAISAL	66.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6755	http://www.npd.no/FactMapSearch?NPDID_wellbore=6755	NO
6756	7220/7-1	7220/7-1	\N	532	EXPLORATION	Statoil Petroleum AS	NO	TRANSOCEAN BARENTS	\N	2011-12-06	2012-01-25	OIL	P&A	5	WILDCAT	367.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6756	http://www.npd.no/FactMapSearch?NPDID_wellbore=6756	YES
6757	6407/1-B-4	6407/1-B-4 H	TYRIHANS	073	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN ARCTIC	TYRIHANS B	2012-01-24	2012-03-20	OIL	PLUGGED	99	OBSERVATION	275.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6757	http://www.npd.no/FactMapSearch?NPDID_wellbore=6757	NO
6758	6407/1-B-4	6407/1-B-4 AY1H	TYRIHANS	073	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN ARCTIC	TYRIHANS B	2012-03-21	2012-04-09	OIL	SUSP.AT TD	50	PRODUCTION	275.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6758	http://www.npd.no/FactMapSearch?NPDID_wellbore=6758	NO
6759	6407/1-B-4	6407/1-B-4 AY2H	TYRIHANS	073	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN ARCTIC	TYRIHANS B	2012-04-09	2012-06-22	OIL	SUSP.AT TD	50	PRODUCTION	275.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6759	http://www.npd.no/FactMapSearch?NPDID_wellbore=6759	NO
6760	34/10-K-4	34/10-K-4 AH	GULLFAKS SØR	050	DEVELOPMENT	Statoil Petroleum AS	NO	SONGA DEE	GULLFAKS SØR K	2012-04-29	2012-06-24	GAS/CONDENSATE	PRODUCING	170	PRODUCTION	139.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6760	http://www.npd.no/FactMapSearch?NPDID_wellbore=6760	NO
6761	34/8-V-3	34/8-V-3 H	VISUND SØR	120	DEVELOPMENT	Statoil Petroleum AS	NO	OCEAN VANGUARD	VISUND SØR	2013-03-17	9999-12-31	\N	\N	0	PRODUCTION	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6761	http://www.npd.no/FactMapSearch?NPDID_wellbore=6761	NO
6762	30/6-U-26	30/6-U-26	\N	053	SHALLOW	Statoil Petroleum AS	NO	COSLPioneer	\N	9999-12-31	9999-12-31	\N	\N	0	\N	110.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6762	\N	NO
6763	2/8-N-1	2/8-N-1	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	MÆRSK REACHER	VALHALL FLANKE NORD	2012-01-18	2012-01-21	NOT APPLICABLE	PLUGGED	81	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6763	http://www.npd.no/FactMapSearch?NPDID_wellbore=6763	NO
6764	2/8-N-1	2/8-N-1 A	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	MÆRSK REACHER	VALHALL FLANKE NORD	2012-03-05	2012-05-20	NOT AVAILABLE	PLUGGED	71	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6764	http://www.npd.no/FactMapSearch?NPDID_wellbore=6764	NO
6765	2/8-N-4	2/8-N-4	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	MÆRSK REACHER	VALHALL FLANKE NORD	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6765	http://www.npd.no/FactMapSearch?NPDID_wellbore=6765	NO
6766	2/8-N-9	2/8-N-9	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	MÆRSK REACHER	VALHALL FLANKE NORD	2013-04-22	9999-12-31	\N	\N	0	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6766	http://www.npd.no/FactMapSearch?NPDID_wellbore=6766	NO
6767	2/8-N-16	2/8-N-16	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	MÆRSK REACHER	VALHALL FLANKE NORD	2012-10-09	2013-04-10	OIL	SUSP.AT TD	50	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6767	http://www.npd.no/FactMapSearch?NPDID_wellbore=6767	NO
6768	30/6-28	30/6-28 S	\N	053	EXPLORATION	Statoil Petroleum AS	NO	COSLPioneer	\N	2012-01-17	2012-03-30	OIL	P&A	5	WILDCAT	110.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6768	http://www.npd.no/FactMapSearch?NPDID_wellbore=6768	YES
6769	2/4-K-5	2/4-K-5 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2012-01-09	2012-03-09	WATER	SUSP.AT TD	173	INJECTION	73.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6769	http://www.npd.no/FactMapSearch?NPDID_wellbore=6769	NO
6770	34/10-H-2	34/10-H-2 BH	GULLFAKS SØR	050 B	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	GULLFAKS SØR H	2013-01-23	2013-03-11	OIL/GAS	SUSP.AT TD	0	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6770	http://www.npd.no/FactMapSearch?NPDID_wellbore=6770	NO
6771	2/4-X-42	2/4-X-42 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2012-03-01	2012-04-19	CUTTINGS	SUSP.AT TD	171	INJECTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6771	http://www.npd.no/FactMapSearch?NPDID_wellbore=6771	NO
6772	7120/6-3	7120/6-3 S	\N	490	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN ARCTIC	\N	2012-10-11	2012-12-01	OIL	\N	5	WILDCAT	331.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6772	http://www.npd.no/FactMapSearch?NPDID_wellbore=6772	YES
6773	34/7-G-4	34/7-G-4 CH	VIGDIS	089	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VIGDIS G	2012-01-15	2012-04-06	OIL	SUSP.AT TD	50	PRODUCTION	282.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6773	http://www.npd.no/FactMapSearch?NPDID_wellbore=6773	NO
6774	6407/1-5	6407/1-5 S	\N	475 BS	EXPLORATION	Wintershall Norge ASA	NO	BORGLAND DOLPHIN	\N	2012-02-01	2012-05-21	OIL/GAS	P&A	13	APPRAISAL	297.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6774	http://www.npd.no/FactMapSearch?NPDID_wellbore=6774	NO
6775	7220/5-1	7220/5-1	\N	532	EXPLORATION	Statoil Petroleum AS	NO	TRANSOCEAN BARENTS	\N	2012-01-24	2012-03-24	OIL/GAS	P&A	13	APPRAISAL	388.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6775	http://www.npd.no/FactMapSearch?NPDID_wellbore=6775	NO
6776	35/9-7	35/9-7	\N	418	EXPLORATION	Wintershall Norge ASA	NO	SONGA DELTA	\N	2012-02-28	2012-04-14	OIL	P&A	5	WILDCAT	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6776	http://www.npd.no/FactMapSearch?NPDID_wellbore=6776	YES
6777	7220/5-U-1	7220/5-U-1	\N	532	SHALLOW	Statoil Petroleum AS	NO	TRANSOCEAN BARENTS	\N	2012-01-26	2012-01-27	\N	\N	0	\N	388.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6777	\N	NO
6778	2/4-U-7	2/4-U-7	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-11	2009-06-11	\N	P&A	0	\N	74.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6778	\N	NO
6779	2/4-U-8	2/4-U-8	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-11	2009-06-11	\N	P&A	0	\N	73.200000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6779	\N	NO
6780	2/4-U-9	2/4-U-9	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-10	2009-06-10	\N	P&A	0	\N	73.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6780	\N	NO
6781	2/4-U-10	2/4-U-10	EKOFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-11	2009-06-11	\N	P&A	0	\N	74.400000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6781	\N	NO
6782	30/9-F-8	30/9-F-8 Y1	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	YES	OSEBERG SØR	OSEBERG SØR	2012-11-05	2013-03-18	OIL	SUSP.AT TD	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6782	http://www.npd.no/FactMapSearch?NPDID_wellbore=6782	NO
6783	30/9-F-8	30/9-F-8 Y2	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	YES	OSEBERG SØR	OSEBERG SØR	2013-03-19	2013-04-06	OIL	SUSP.AT TD	50	PRODUCTION	101.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6783	http://www.npd.no/FactMapSearch?NPDID_wellbore=6783	NO
6784	31/5-I-12	31/5-I-12 AY1H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL I1	2012-02-27	2012-03-24	OIL	SUSP.AT TD	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6784	http://www.npd.no/FactMapSearch?NPDID_wellbore=6784	NO
6785	31/5-I-12	31/5-I-12 AY2H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL I1	2012-03-26	2012-04-18	OIL	SUSP.AT TD	50	PRODUCTION	317.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6785	http://www.npd.no/FactMapSearch?NPDID_wellbore=6785	NO
6786	6506/11-F-3	6506/11-F-3 H	ÅSGARD	134	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SPITSBERGEN	ÅSGARD F	2012-01-26	2012-03-05	OIL	PRODUCING	50	PRODUCTION	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6786	http://www.npd.no/FactMapSearch?NPDID_wellbore=6786	NO
6787	34/8-A-18	34/8-A-18 H	VISUND	120	DEVELOPMENT	Statoil Petroleum AS	NO	VISUND	VISUND	2012-11-17	2012-12-30	\N	SUSPENDED	0	PRODUCTION	335.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6787	http://www.npd.no/FactMapSearch?NPDID_wellbore=6787	NO
6788	16/1-U-7	16/1-U-7	\N	001 B	SHALLOW	Det norske oljeselskap ASA	NO	TRANSOCEAN BARENTS	\N	9999-12-31	9999-12-31	\N	\N	0	\N	112.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6788	\N	NO
6789	31/2-Y-24	31/2-Y-24 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL U2	2012-02-19	2012-04-23	OIL	SUSP.AT TD	50	PRODUCTION	331.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6789	http://www.npd.no/FactMapSearch?NPDID_wellbore=6789	NO
6790	31/2-Y-24	31/2-Y-24 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL U2	2012-04-24	2012-06-12	OIL	SUSP.AT TD	50	PRODUCTION	331.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6790	http://www.npd.no/FactMapSearch?NPDID_wellbore=6790	NO
6791	24/6-B-5	24/6-B-5 H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	NO	TRANSOCEAN WINNER	KNELER B	2012-04-05	2012-04-30	OIL	PLUGGED	99	OBSERVATION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6791	http://www.npd.no/FactMapSearch?NPDID_wellbore=6791	NO
6792	24/6-B-5	24/6-B-5 AY1H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	YES	TRANSOCEAN WINNER	KNELER B	2012-05-01	2012-05-27	OIL	SUSP.AT TD	50	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6792	http://www.npd.no/FactMapSearch?NPDID_wellbore=6792	NO
6793	24/6-B-5	24/6-B-5 AY2H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	YES	TRANSOCEAN WINNER	KNELER B	2012-05-29	2012-06-20	OIL	SUSP.AT TD	50	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6793	http://www.npd.no/FactMapSearch?NPDID_wellbore=6793	NO
6794	24/6-B-5	24/6-B-5 AY3H	ALVHEIM	203	DEVELOPMENT	Marathon Petroleum Norge AS	YES	TRANSOCEAN WINNER	KNELER B	2012-07-12	2012-08-10	OIL	SUSP.AT TD	50	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6794	http://www.npd.no/FactMapSearch?NPDID_wellbore=6794	NO
6795	34/10-C-18	34/10-C-18 A	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS C	GULLFAKS C	2012-02-12	9999-12-31	\N	\N	99	OBSERVATION	216.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6795	http://www.npd.no/FactMapSearch?NPDID_wellbore=6795	NO
6796	34/10-C-18	34/10-C-18 B	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS C	GULLFAKS C	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	216.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6796	http://www.npd.no/FactMapSearch?NPDID_wellbore=6796	NO
6797	31/2-K-14	31/2-K-14 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TROLL K1	2012-04-25	2012-05-18	OIL	SUSP.AT TD	50	PRODUCTION	319.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6797	http://www.npd.no/FactMapSearch?NPDID_wellbore=6797	NO
6798	31/2-K-14	31/2-K-14 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TROLL K1	2012-05-19	2012-05-31	OIL	SUSP.AT TD	50	PRODUCTION	319.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6798	http://www.npd.no/FactMapSearch?NPDID_wellbore=6798	NO
6799	34/10-F-1	34/10-F-1 H	GULLFAKS SØR	050	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	GULLFAKS SØR F	2012-05-02	2012-07-25	OIL	PRODUCING	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6799	http://www.npd.no/FactMapSearch?NPDID_wellbore=6799	NO
6800	15/5-A-7	15/5-A-7 AH	GLITNE	048 B	DEVELOPMENT	Statoil Petroleum AS	NO	COSLPioneer	15/5-A-7 H	2012-05-12	2012-05-31	NOT AVAILABLE	PLUGGED	71	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6800	http://www.npd.no/FactMapSearch?NPDID_wellbore=6800	NO
6801	25/8-C-13	25/8-C-13 B	RINGHORNE ØST	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2012-04-22	2012-05-28	OIL	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6801	http://www.npd.no/FactMapSearch?NPDID_wellbore=6801	NO
6830	7/11-U-4	7/11-U-4	\N	301 CS	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2010-09-10	2010-09-11	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6830	\N	NO
6802	25/8-C-13	25/8-C-13 C	RINGHORNE ØST	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2012-05-29	2012-07-18	OIL	PRODUCING	50	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6802	http://www.npd.no/FactMapSearch?NPDID_wellbore=6802	NO
6803	25/11-G-21	25/11-G-21 A	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2012-02-13	2012-03-27	OIL	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6803	http://www.npd.no/FactMapSearch?NPDID_wellbore=6803	NO
6804	25/11-G-21	25/11-G-21 BY1	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2012-03-28	2012-05-16	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6804	http://www.npd.no/FactMapSearch?NPDID_wellbore=6804	NO
6805	25/11-G-21	25/11-G-21 BY2	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2012-05-21	2012-06-05	OIL	PRODUCING	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6805	http://www.npd.no/FactMapSearch?NPDID_wellbore=6805	NO
6806	25/11-G-21	25/11-G-21 BY3	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6806	http://www.npd.no/FactMapSearch?NPDID_wellbore=6806	NO
6807	33/12-B-8	33/12-B-8 A	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD B	STATFJORD B	2012-04-03	2012-04-23	GAS/CONDENSATE	PLUGGED	170	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6807	http://www.npd.no/FactMapSearch?NPDID_wellbore=6807	NO
6808	6608/10-R-1	6608/10-R-1 H	SKULD	128	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SPITSBERGEN	FOSSEKALL R	2012-03-25	2012-05-09	WATER	SUSP.AT TD	173	INJECTION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6808	http://www.npd.no/FactMapSearch?NPDID_wellbore=6808	NO
6809	6608/10-P-2	6608/10-P-2 H	SKULD	128	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SPITSBERGEN	FOSSEKALL P	2012-03-12	2012-03-25	NOT AVAILABLE	PLUGGED	99	OBSERVATION	360.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6809	http://www.npd.no/FactMapSearch?NPDID_wellbore=6809	NO
6810	34/7-H-1	34/7-H-1 H	VIGDIS	089	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VIGDIS H	2012-12-27	2013-02-16	WATER	SUSP.AT TD	172	PRODUCTION	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6810	http://www.npd.no/FactMapSearch?NPDID_wellbore=6810	NO
6811	34/7-H-2	34/7-H-2 H	VIGDIS	089	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VIGDIS H	2013-04-11	2013-05-04	OIL	PLUGGED	99	OBSERVATION	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6811	http://www.npd.no/FactMapSearch?NPDID_wellbore=6811	NO
6812	34/7-H-3	34/7-H-3 H	VIGDIS	089	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VIGDIS H	2012-05-04	2012-06-18	OIL	PRODUCING	50	PRODUCTION	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6812	http://www.npd.no/FactMapSearch?NPDID_wellbore=6812	NO
6813	34/7-H-4	34/7-H-4 H	VIGDIS	089	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VIGDIS H	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6813	http://www.npd.no/FactMapSearch?NPDID_wellbore=6813	NO
6814	7/1-U-1	7/1-U-1	\N	568	SHALLOW	Talisman Energy Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	83.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6814	\N	NO
6815	16/10-U-1	16/10-U-1	\N	568	SHALLOW	Talisman Energy Norge AS	NO	BUCENTAUR	\N	2012-03-27	2012-03-27	\N	P&A	0	\N	83.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6815	\N	NO
6816	16/10-U-2	16/10-U-2	\N	568	SHALLOW	Talisman Energy Norge AS	NO	BUCENTAUR	\N	2012-03-27	2012-03-27	\N	P&A	0	\N	83.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6816	\N	NO
6817	2/1-U-12	2/1-U-12	\N	299	SHALLOW	Talisman Energy Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	67.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6817	\N	NO
6818	2/1-U-13	2/1-U-13	\N	299	SHALLOW	Talisman Energy Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	67.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6818	\N	NO
6819	2/1-U-14	2/1-U-14	\N	299	SHALLOW	Talisman Energy Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	67.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6819	\N	NO
6820	7228/1-1	7228/1-1	\N	396	EXPLORATION	Norwegian Energy Company ASA	NO	TRANSOCEAN BARENTS	\N	2012-03-29	2012-04-26	DRY	P&A	1	WILDCAT	351.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6820	http://www.npd.no/FactMapSearch?NPDID_wellbore=6820	NO
6821	6201/11-3	6201/11-3	\N	519	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2012-05-08	2012-06-16	OIL	SUSPENDED	5	WILDCAT	382.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6821	http://www.npd.no/FactMapSearch?NPDID_wellbore=6821	YES
6822	33/6-4	33/6-4	\N	370	EXPLORATION	Wintershall Norge ASA	NO	BORGLAND DOLPHIN	\N	2012-07-05	2012-08-03	DRY	P&A	1	WILDCAT	328.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6822	http://www.npd.no/FactMapSearch?NPDID_wellbore=6822	NO
6823	16/1-16	16/1-16	\N	457	EXPLORATION	Wintershall Norge ASA	NO	BREDFORD DOLPHIN	\N	2012-10-23	2012-12-06	OIL	P&A	5	APPRAISAL	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6823	http://www.npd.no/FactMapSearch?NPDID_wellbore=6823	NO
6824	2/7-U-31	2/7-U-31	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1998-06-20	1998-06-21	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6824	\N	NO
6825	2/7-U-32	2/7-U-32	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1998-06-21	1998-06-21	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6825	\N	NO
6826	2/7-U-33	2/7-U-33	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1998-06-21	1998-06-21	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6826	\N	NO
6827	7/11-U-1	7/11-U-1	\N	301 CS	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2010-09-09	2010-09-09	\N	P&A	0	\N	71.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6827	\N	NO
6828	7/11-U-2	7/11-U-2	\N	301 CS	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2010-09-10	2010-09-10	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6828	\N	NO
6829	7/11-U-3	7/11-U-3	\N	301 CS	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2010-09-10	2010-09-10	\N	P&A	0	\N	71.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6829	\N	NO
6831	7/11-U-5	7/11-U-5	\N	301 CS	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2010-09-11	2010-09-11	\N	P&A	0	\N	71.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6831	\N	NO
6832	2/4-B-19	2/4-B-19 C	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK B	2012-04-17	2012-06-17	OIL	SUSP.AT TD	50	PRODUCTION	74.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6832	http://www.npd.no/FactMapSearch?NPDID_wellbore=6832	NO
6833	2/4-K-12	2/4-K-12 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2012-04-08	2012-06-30	WATER	SUSP.AT TD	173	INJECTION	73.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6833	http://www.npd.no/FactMapSearch?NPDID_wellbore=6833	NO
6834	25/5-D-1	25/5-D-1 H	ATLA	102 C	DEVELOPMENT	Total E&P Norge AS	NO	BORGLAND DOLPHIN	25/5-D-1 H	2012-06-06	2012-07-04	GAS	SUSP.AT TD	90	PRODUCTION	119.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6834	http://www.npd.no/FactMapSearch?NPDID_wellbore=6834	NO
6835	33/6-3	33/6-3 S	\N	375 B	EXPLORATION	Suncor Energy Norge AS	NO	SONGA DELTA	\N	2012-04-17	2012-07-24	DRY	P&A	1	APPRAISAL	332.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6835	http://www.npd.no/FactMapSearch?NPDID_wellbore=6835	NO
6836	2/7-U-22	2/7-U-22	\N	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2009-06-01	2009-06-01	\N	P&A	0	\N	73.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6836	\N	NO
6837	2/7-U-34	2/7-U-34	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	DYVI STENA	\N	1988-06-25	1988-06-26	\N	P&A	0	\N	70.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6837	\N	NO
6838	2/7-U-35	2/7-U-35	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	DYVI STENA	\N	1988-06-27	1988-06-28	\N	P&A	0	\N	70.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6838	\N	NO
6839	2/7-U-36	2/7-U-36	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1997-10-18	1997-10-18	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6839	\N	NO
6840	2/7-U-37	2/7-U-37	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1997-10-18	1997-10-19	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6840	\N	NO
6841	30/9-M-11	30/9-M-11 H	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	NO	OCEAN VANGUARD	STJERNE	9999-12-31	9999-12-31	\N	PREDRILLED	0	INJECTION	102.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6841	http://www.npd.no/FactMapSearch?NPDID_wellbore=6841	NO
6842	30/9-M-12	30/9-M-12 H	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	NO	OCEAN VANGUARD	STJERNE	9999-12-31	9999-12-31	\N	PREDRILLED	99	OBSERVATION	102.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6842	http://www.npd.no/FactMapSearch?NPDID_wellbore=6842	NO
6843	30/9-M-12	30/9-M-12 AH	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	NO	OCEAN VANGUARD	STJERNE	9999-12-31	9999-12-31	\N	\N	0	INJECTION	102.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6843	http://www.npd.no/FactMapSearch?NPDID_wellbore=6843	NO
6844	30/9-M-13	30/9-M-13 H	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	NO	SONGA DELTA	STJERNE	2013-03-26	9999-12-31	\N	\N	0	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6844	http://www.npd.no/FactMapSearch?NPDID_wellbore=6844	NO
6845	30/9-M-14	30/9-M-14 H	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	NO	SONGA DELTA	STJERNE	2012-11-21	2013-02-04	NOT APPLICABLE	PLUGGED	99	OBSERVATION	102.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6845	http://www.npd.no/FactMapSearch?NPDID_wellbore=6845	NO
6846	30/9-M-14	30/9-M-14 AH	OSEBERG SØR	104	DEVELOPMENT	Statoil Petroleum AS	NO	SONGA DELTA	STJERNE	2013-02-05	2013-03-23	OIL	SUSP.AT TD	50	PRODUCTION	102.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6846	http://www.npd.no/FactMapSearch?NPDID_wellbore=6846	NO
6847	31/5-H-5	31/5-H-5 BY1H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	NO	SONGA TRYM	TROLL H	2012-07-30	2012-09-19	OIL	SUSP.AT TD	50	PRODUCTION	316.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6847	http://www.npd.no/FactMapSearch?NPDID_wellbore=6847	NO
6848	31/5-H-5	31/5-H-5 BY2H	TROLL	085	DEVELOPMENT	Statoil Petroleum AS	NO	SONGA TRYM	TROLL H	2012-09-20	2012-10-20	OIL	SUSP.AT TD	50	PRODUCTION	316.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6848	http://www.npd.no/FactMapSearch?NPDID_wellbore=6848	NO
6849	16/2-11	16/2-11 A	\N	501	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2012-04-01	2012-05-05	OIL	P&A	5	APPRAISAL	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6849	http://www.npd.no/FactMapSearch?NPDID_wellbore=6849	NO
6850	31/2-O-25	31/2-O-25 Y2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	SONGA TRYM	TROLL O2	2012-06-23	2012-07-19	OIL	SUSP.AT TD	50	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6850	http://www.npd.no/FactMapSearch?NPDID_wellbore=6850	NO
6852	6506/11-9	6506/11-9 S	\N	477	EXPLORATION	Centrica Resources (Norge) AS	NO	WEST ALPHA	\N	2012-05-09	2012-09-03	DRY	P&A	1	WILDCAT	249.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6852	http://www.npd.no/FactMapSearch?NPDID_wellbore=6852	NO
6853	6407/8-C-2	6407/8-C-2 H	HYME	348	DEVELOPMENT	Statoil Petroleum AS	NO	SCARABEO 5	HYME	2012-05-04	2012-06-13	OIL	PLUGGED	99	OBSERVATION	256.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6853	http://www.npd.no/FactMapSearch?NPDID_wellbore=6853	NO
6854	6407/8-C-2	6407/8-C-2 AY1H	HYME	348	DEVELOPMENT	Statoil Petroleum AS	YES	SCARABEO 5	HYME	2012-11-16	2012-12-19	OIL	SUSP.AT TD	50	PRODUCTION	256.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6854	http://www.npd.no/FactMapSearch?NPDID_wellbore=6854	NO
6855	6407/8-C-2	6407/8-C-2 AY2H	HYME	348	DEVELOPMENT	Statoil Petroleum AS	YES	SCARABEO 5	HYME	2012-12-20	2013-01-12	OIL	SUSP.AT TD	50	PRODUCTION	256.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6855	http://www.npd.no/FactMapSearch?NPDID_wellbore=6855	NO
6856	6407/8-C-4	6407/8-C-4 H	HYME	348	DEVELOPMENT	Statoil Petroleum AS	NO	SCARABEO 5	HYME	2012-06-18	2012-07-04	WATER	SUSP.AT TD	173	INJECTION	256.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6856	http://www.npd.no/FactMapSearch?NPDID_wellbore=6856	NO
6857	33/9-A-17	33/9-A-17 C	STATFJORD	037	DEVELOPMENT	StatoilHydro ASA	NO	STATFJORD A	STATFJORD A	2012-11-20	2013-03-07	GAS	SUSP.AT TD	90	PRODUCTION	145.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6857	http://www.npd.no/FactMapSearch?NPDID_wellbore=6857	NO
6858	6608/10-P-2	6608/10-P-2 AH	SKULD	128	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SPITSBERGEN	FOSSEKALL P	2012-05-28	2012-06-06	OIL	PRODUCING	50	PRODUCTION	360.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6858	http://www.npd.no/FactMapSearch?NPDID_wellbore=6858	NO
6859	6506/12-P-2	6506/12-P-2 Y2H	ÅSGARD	094	DEVELOPMENT	Statoil Petroleum AS	YES	DEEPSEA BERGEN	ÅSGARD P	2012-04-12	2012-06-10	OIL	PRODUCING	50	PRODUCTION	310.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6859	http://www.npd.no/FactMapSearch?NPDID_wellbore=6859	NO
6860	2/4-U-37	2/4-U-37	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-06-21	1994-06-22	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6860	\N	NO
6861	2/4-U-38	2/4-U-38	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-06-23	1994-06-25	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6861	\N	NO
6862	2/4-U-39	2/4-U-39	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-06-29	1994-06-30	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6862	\N	NO
6863	2/4-U-40	2/4-U-40	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-07-02	1994-07-04	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6863	\N	NO
6864	2/4-U-41	2/4-U-41	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-07-05	1994-07-06	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6864	\N	NO
6865	2/4-U-42	2/4-U-42	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-07-07	1994-07-08	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6865	\N	NO
6866	2/4-U-43	2/4-U-43	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-07-08	1994-07-09	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6866	\N	NO
6867	2/4-U-44	2/4-U-44	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-06-28	1994-06-28	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6867	\N	NO
6868	2/4-U-45	2/4-U-45	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-07-04	1994-07-05	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6868	\N	NO
6869	2/4-U-46	2/4-U-46	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-06-25	1994-06-26	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6869	\N	NO
6870	2/4-U-47	2/4-U-47	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-06-26	1994-06-28	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6870	\N	NO
6871	2/4-U-48	2/4-U-48	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1994-07-01	1994-07-02	\N	P&A	0	\N	77.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6871	\N	NO
6872	2/4-U-49	2/4-U-49	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	1996-02-11	1996-02-12	\N	P&A	0	\N	102.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6872	\N	NO
6873	2/4-U-50	2/4-U-50	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	2001-07-01	2001-07-01	\N	P&A	0	\N	75.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6873	\N	NO
6874	2/4-U-51	2/4-U-51	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	2001-07-03	2001-07-03	\N	P&A	0	\N	76.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6874	\N	NO
6875	2/4-U-52	2/4-U-52	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	2002-09-13	2002-09-14	\N	P&A	0	\N	79.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6875	\N	NO
6876	2/4-U-53	2/4-U-53	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	2002-09-13	2002-09-13	\N	P&A	0	\N	79.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6876	\N	NO
6877	2/4-U-54	2/4-U-54	\N	018	SHALLOW	Phillips Petroleum Company Norway	NO	BUCENTAUR	\N	2002-09-12	2002-09-12	\N	P&A	0	\N	79.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6877	\N	NO
6878	2/4-U-55	2/4-U-55	\N	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	FUGRO EXPLORER	\N	2006-10-23	2006-10-23	\N	P&A	0	\N	68.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6878	\N	NO
6879	2/4-U-56	2/4-U-56	\N	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	FUGRO EXPLORER	\N	2006-10-24	2006-10-24	\N	P&A	0	\N	68.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6879	\N	NO
6880	2/4-U-57	2/4-U-57	\N	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2011-02-10	2011-02-11	\N	P&A	0	\N	76.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6880	\N	NO
6881	34/7-35	34/7-35 S	\N	552	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2012-05-10	2012-07-22	DRY	P&A	1	WILDCAT	261.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6881	http://www.npd.no/FactMapSearch?NPDID_wellbore=6881	NO
6882	34/7-U-19	34/7-U-19	\N	552	SHALLOW	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2012-05-06	2012-05-08	\N	P&A	0	\N	261.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6882	\N	NO
6883	2/4-X-38	2/4-X-38 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2012-04-27	2012-06-19	NOT AVAILABLE	PLUGGED	71	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6883	http://www.npd.no/FactMapSearch?NPDID_wellbore=6883	NO
6884	25/8-U-25	25/8-U-25	\N	169 C	SHALLOW	Det norske oljeselskap ASA	NO	TRANSOCEAN BARENTS	\N	2012-05-07	2012-05-07	\N	P&A	0	\N	127.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6884	\N	NO
6885	25/8-D-1	25/8-D-1 H	JETTE	027 D	DEVELOPMENT	Det norske oljeselskap ASA	NO	TRANSOCEAN BARENTS	25/8-D-1 AH	2012-05-26	2012-06-09	OIL	PLUGGED	99	OBSERVATION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6885	http://www.npd.no/FactMapSearch?NPDID_wellbore=6885	NO
6886	25/8-D-1	25/8-D-1 AH	JETTE	027 D	DEVELOPMENT	Det norske oljeselskap ASA	NO	TRANSOCEAN BARENTS	25/8-D-1 AH	2012-06-10	2012-09-11	OIL	SUSP.AT TD	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6886	http://www.npd.no/FactMapSearch?NPDID_wellbore=6886	NO
6887	25/8-E-1	25/8-E-1 H	JETTE	027 D	DEVELOPMENT	Det norske oljeselskap ASA	NO	TRANSOCEAN BARENTS	25/8-E-1 H	2012-09-17	2012-10-20	OIL	SUSP.AT TD	50	PRODUCTION	127.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6887	http://www.npd.no/FactMapSearch?NPDID_wellbore=6887	NO
6888	16/2-13	16/2-13 S	\N	501	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN ARCTIC	\N	2012-07-25	2012-08-29	OIL	P&A	5	APPRAISAL	116.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6888	http://www.npd.no/FactMapSearch?NPDID_wellbore=6888	NO
6889	34/3-U-16	34/3-U-16	\N	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	408.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6889	\N	NO
6890	34/3-U-17	34/3-U-17	\N	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	408.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6890	\N	NO
6891	34/3-U-18	34/3-U-18	\N	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	408.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6891	\N	NO
6892	34/3-U-19	34/3-U-19	\N	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	410.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6892	\N	NO
6893	34/3-U-20	34/3-U-20	\N	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	403.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6893	\N	NO
6894	34/3-U-21	34/3-U-21	\N	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	410.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6894	\N	NO
6895	34/3-U-22	34/3-U-22	\N	373 S	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	410.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6895	\N	NO
6896	16/10-U-3	16/10-U-3	\N	568	SHALLOW	Talisman Energy Norge AS	NO	BUCENTAUR	\N	2012-05-04	2012-05-04	\N	P&A	0	\N	83.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6896	\N	NO
6897	16/10-U-4	16/10-U-4	\N	568	SHALLOW	Talisman Energy Norge AS	NO	BUCENTAUR	\N	2012-05-04	2012-05-04	\N	P&A	0	\N	83.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6897	\N	NO
6898	16/2-14	16/2-14	\N	265	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2012-09-14	2012-11-19	OIL	P&A	5	APPRAISAL	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6898	http://www.npd.no/FactMapSearch?NPDID_wellbore=6898	NO
6899	17/12-U-4	17/12-U-4	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	118.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6899	\N	NO
6900	17/12-U-5	17/12-U-5	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	115.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6900	\N	NO
6901	17/12-U-6	17/12-U-6	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	115.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6901	\N	NO
6902	17/12-U-7	17/12-U-7	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	114.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6902	\N	NO
6903	17/12-U-8	17/12-U-8	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	114.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6903	\N	NO
6904	17/12-U-9	17/12-U-9	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	114.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6904	\N	NO
6905	17/12-U-10	17/12-U-10	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	114.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6905	\N	NO
6906	17/12-U-11	17/12-U-11	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	110.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6906	\N	NO
6907	17/12-U-12	17/12-U-12	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	116.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6907	\N	NO
6908	17/12-U-13	17/12-U-13	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	115.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6908	\N	NO
6909	17/12-U-14	17/12-U-14	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	115.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6909	\N	NO
6910	17/12-U-15	17/12-U-15	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	111.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6910	\N	NO
6911	17/12-U-16	17/12-U-16	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	113.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6911	\N	NO
6912	17/12-U-17	17/12-U-17	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	114.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6912	\N	NO
6913	17/12-U-18	17/12-U-18	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	114.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6913	\N	NO
6914	17/12-U-19	17/12-U-19	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	115.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6914	\N	NO
6915	17/12-U-20	17/12-U-20	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	113.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6915	\N	NO
6916	17/12-U-21	17/12-U-21	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	114.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6916	\N	NO
6917	17/12-U-22	17/12-U-22	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	116.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6917	\N	NO
6918	17/12-U-23	17/12-U-23	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	110.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6918	\N	NO
6919	17/12-U-24	17/12-U-24	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	106.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6919	\N	NO
6920	17/12-U-25	17/12-U-25	\N	407	SHALLOW	BG Norge AS	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	114.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6920	\N	NO
6921	35/2-3	35/2-3	\N	318	EXPLORATION	Statoil Petroleum AS	NO	SCARABEO 8	\N	2012-06-14	2012-07-24	DRY	P&A	1	WILDCAT	351.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6921	http://www.npd.no/FactMapSearch?NPDID_wellbore=6921	NO
6922	35/2-U-5	35/2-U-5	\N	318	SHALLOW	Statoil Petroleum AS	NO	SCARABEO 8	\N	2012-05-19	2012-05-20	\N	P&A	0	\N	351.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6922	\N	NO
6923	34/10-B-35	34/10-B-35 B	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS B	GULLFAKS B	2012-07-18	2013-03-04	WATER	SUSP.AT TD	173	INJECTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6923	http://www.npd.no/FactMapSearch?NPDID_wellbore=6923	NO
6924	31/2-N-24	31/2-N-24 AY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TROLL N2	2012-06-11	2012-08-02	OIL	SUSP.AT TD	50	PRODUCTION	346.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6924	http://www.npd.no/FactMapSearch?NPDID_wellbore=6924	NO
6925	31/2-N-24	31/2-N-24 AY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TROLL N2	2012-08-02	2012-08-17	OIL	SUSP.AT TD	50	PRODUCTION	346.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6925	http://www.npd.no/FactMapSearch?NPDID_wellbore=6925	NO
6926	31/2-N-24	31/2-N-24 AY3H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TROLL N2	2012-08-18	2012-08-28	OIL	SUSP.AT TD	50	PRODUCTION	346.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6926	http://www.npd.no/FactMapSearch?NPDID_wellbore=6926	NO
6927	6507/7-A-19	6507/7-A-19 A	HEIDRUN	095	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6927	http://www.npd.no/FactMapSearch?NPDID_wellbore=6927	NO
6928	6507/7-A-9	6507/7-A-9 C	HEIDRUN	095	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6928	http://www.npd.no/FactMapSearch?NPDID_wellbore=6928	NO
6929	6507/7-A-33	6507/7-A-33 A	HEIDRUN	095	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6929	http://www.npd.no/FactMapSearch?NPDID_wellbore=6929	NO
6930	31/2-D-6	31/2-D-6 AY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL D	2012-07-17	2013-02-28	OIL	SUSP.AT TD	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6930	http://www.npd.no/FactMapSearch?NPDID_wellbore=6930	NO
6931	31/2-D-6	31/2-D-6 AY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE	TROLL D	2013-03-01	2013-03-11	OIL	SUSP.AT TD	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6931	http://www.npd.no/FactMapSearch?NPDID_wellbore=6931	NO
6932	31/2-D-6	31/2-D-6 AY3H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE	TROLL D	2013-03-12	2013-04-02	OIL	SUSP.AT TD	50	PRODUCTION	339.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6932	http://www.npd.no/FactMapSearch?NPDID_wellbore=6932	NO
6933	2/4-21	2/4-21 A	\N	146	EXPLORATION	Statoil Petroleum AS	NO	MÆRSK GALLANT	\N	2012-05-25	2012-07-18	GAS/CONDENSATE	P&A	17	APPRAISAL	67.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6933	http://www.npd.no/FactMapSearch?NPDID_wellbore=6933	NO
6934	2/4-A-92	2/4-A-92	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	GULFTIDE	\N	1969-09-18	1969-12-24	OIL	PLUGGED	50	PRODUCTION	70.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6934	http://www.npd.no/FactMapSearch?NPDID_wellbore=6934	NO
6935	2/4-A-93	2/4-A-93	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	GULFTIDE	\N	1970-01-27	1970-05-31	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6935	http://www.npd.no/FactMapSearch?NPDID_wellbore=6935	NO
6936	2/4-A-94	2/4-A-94	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	GULFTIDE	\N	1970-06-02	1970-08-01	OIL	PLUGGED	50	PRODUCTION	71.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6936	http://www.npd.no/FactMapSearch?NPDID_wellbore=6936	NO
6937	2/4-A-95	2/4-A-95	EKOFISK	018	DEVELOPMENT	Phillips Petroleum Company Norway	NO	GULFTIDE	\N	1970-06-21	1970-08-27	OIL	PLUGGED	50	PRODUCTION	68.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6937	http://www.npd.no/FactMapSearch?NPDID_wellbore=6937	NO
6938	30/6-E-14	30/6-E-14 A	OSEBERG ØST	053	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG ØST	OSEBERG ØST	2012-06-04	2012-06-24	NOT APPLICABLE	PLUGGED	99	OBSERVATION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6938	http://www.npd.no/FactMapSearch?NPDID_wellbore=6938	NO
6939	30/6-E-14	30/6-E-14 B	OSEBERG ØST	053	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG ØST	OSEBERG ØST	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	158.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6939	http://www.npd.no/FactMapSearch?NPDID_wellbore=6939	NO
6940	15/12-C-1	15/12-C-1 AH	REV	038 C	DEVELOPMENT	Talisman Energy Norge AS	NO	ROWAN STAVANGER	15/12-C	2012-07-15	2012-09-03	GAS	PRODUCING	90	PRODUCTION	87.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6940	http://www.npd.no/FactMapSearch?NPDID_wellbore=6940	NO
6941	2/11-U-1	2/11-U-1	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-09	2012-06-09	\N	P&A	0	\N	71.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6941	\N	NO
6942	2/11-U-2	2/11-U-2	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-14	2012-06-14	\N	P&A	0	\N	71.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6942	\N	NO
6943	2/11-U-3	2/11-U-3	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-14	2012-06-15	\N	P&A	0	\N	71.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6943	\N	NO
6944	2/11-U-4	2/11-U-4	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-11	2012-06-12	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6944	\N	NO
6945	2/11-U-5	2/11-U-5	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-11	2012-06-11	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6945	\N	NO
6946	2/11-U-6	2/11-U-6	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-09	2012-06-11	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6946	\N	NO
6947	2/11-U-7	2/11-U-7	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-07	2012-06-09	\N	P&A	0	\N	71.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6947	\N	NO
6948	2/11-U-8	2/11-U-8	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-12	2012-06-14	\N	P&A	0	\N	71.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6948	\N	NO
6949	2/11-U-9	2/11-U-9	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-12	2012-06-12	\N	P&A	0	\N	71.500000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6949	\N	NO
6950	6507/7-A-43	6507/7-A-43 A	HEIDRUN	095	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	2012-06-29	2012-08-19	OIL	PRODUCING	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6950	http://www.npd.no/FactMapSearch?NPDID_wellbore=6950	NO
6951	6507/3-9	6507/3-9 S	\N	212 E	EXPLORATION	BP Norge AS	NO	POLAR PIONEER	\N	2012-06-01	2012-07-15	GAS	P&A	9	WILDCAT	364.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6951	http://www.npd.no/FactMapSearch?NPDID_wellbore=6951	YES
6952	16/2-12	16/2-12	\N	265	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2012-07-25	2012-09-07	OIL	P&A	5	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6952	http://www.npd.no/FactMapSearch?NPDID_wellbore=6952	NO
6953	34/10-G-4	34/10-G-4 H	GULLFAKS SØR	050	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	GULLFAKS SØR G	2012-08-25	2012-10-03	NOT APPLICABLE	PLUGGED	99	OBSERVATION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6953	http://www.npd.no/FactMapSearch?NPDID_wellbore=6953	NO
6954	34/10-G-4	34/10-G-4 AH	GULLFAKS SØR	050	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	GULLFAKS SØR G	2012-10-06	2012-11-28	OIL	SUSP.AT TD	50	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6954	http://www.npd.no/FactMapSearch?NPDID_wellbore=6954	NO
6955	7/11-13	7/11-13	\N	497	EXPLORATION	Det norske oljeselskap ASA	NO	MÆRSK GUARDIAN	\N	2012-09-10	2012-11-03	DRY	P&A	1	WILDCAT	80.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6955	http://www.npd.no/FactMapSearch?NPDID_wellbore=6955	NO
6956	33/9-C-23	33/9-C-23 D	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD C	STATFJORD C	2012-07-14	2012-08-18	GAS	SUSP.AT TD	90	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6956	http://www.npd.no/FactMapSearch?NPDID_wellbore=6956	NO
6957	2/8-N-1	2/8-N-1 B	VALHALL	006 B	DEVELOPMENT	BP Norge AS	NO	MÆRSK REACHER	VALHALL FLANKE NORD	2012-05-21	2012-10-07	\N	SUSPENDED	0	PRODUCTION	69.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6957	http://www.npd.no/FactMapSearch?NPDID_wellbore=6957	NO
6958	35/2-U-6	35/2-U-6	\N	318	SHALLOW	Statoil Petroleum AS	NO	SCARABEO 8	\N	2012-05-30	2012-06-12	\N	P&A	0	\N	351.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6958	\N	NO
6959	2/4-X-38	2/4-X-38 B	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2012-06-20	2012-07-21	OIL	SUSP.AT TD	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6959	http://www.npd.no/FactMapSearch?NPDID_wellbore=6959	NO
6960	6506/6-2	6506/6-2	\N	513	EXPLORATION	Maersk Oil Norway AS	NO	TRANSOCEAN BARENTS	\N	2012-12-06	2013-02-23	DRY	P&A	1	WILDCAT	409.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6960	http://www.npd.no/FactMapSearch?NPDID_wellbore=6960	NO
6961	31/2-K-13	31/2-K-13 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	COSLPromoter	TROLL K1	2013-04-04	9999-12-31	\N	\N	0	PRODUCTION	319.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6961	http://www.npd.no/FactMapSearch?NPDID_wellbore=6961	NO
6962	31/2-K-13	31/2-K-13 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TROLL K1	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	319.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6962	http://www.npd.no/FactMapSearch?NPDID_wellbore=6962	NO
6963	31/2-K-13	31/2-K-13 BY3H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TROLL K1	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	319.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6963	http://www.npd.no/FactMapSearch?NPDID_wellbore=6963	NO
6964	24/9-P-6	24/9-P-6 H	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	NO	TRANSOCEAN WINNER	VOLUND	2012-09-08	2012-10-03	OIL	PLUGGED	99	OBSERVATION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6964	http://www.npd.no/FactMapSearch?NPDID_wellbore=6964	NO
6965	24/9-P-6	24/9-P-6 AH	VOLUND	150	DEVELOPMENT	Marathon Petroleum Norge AS	NO	TRANSOCEAN WINNER	VOLUND	2012-10-04	2012-11-05	OIL	SUSP.AT TD	50	PRODUCTION	124.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6965	http://www.npd.no/FactMapSearch?NPDID_wellbore=6965	NO
6966	2/11-U-10	2/11-U-10	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-14	2012-06-14	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6966	\N	NO
6967	2/11-U-11	2/11-U-11	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-14	2012-06-14	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6967	\N	NO
6968	2/11-U-12	2/11-U-12	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-07	2012-06-07	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6968	\N	NO
6969	2/11-U-13	2/11-U-13	HOD	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-07	2012-06-07	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6969	\N	NO
6970	2/11-U-14	2/11-U-14	\N	033	SHALLOW	BP Norge AS	NO	BUCENTAUR	\N	2012-06-06	2012-06-07	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6970	\N	NO
6971	34/6-2	34/6-2 S	\N	554	EXPLORATION	Total E&P Norge AS	NO	BORGLAND DOLPHIN	\N	2012-08-05	2012-11-06	OIL	P&A	5	WILDCAT	384.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6971	http://www.npd.no/FactMapSearch?NPDID_wellbore=6971	YES
6972	2/4-VB-1	2/4-VB-1 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VB	9999-12-31	9999-12-31	\N	PREDRILLED	0	INJECTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6972	http://www.npd.no/FactMapSearch?NPDID_wellbore=6972	NO
6973	2/4-VB-2	2/4-VB-2 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VB	2013-01-22	2013-05-02	WATER	SUSP.AT TD	173	INJECTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6973	http://www.npd.no/FactMapSearch?NPDID_wellbore=6973	NO
6974	2/4-VB-3	2/4-VB-3 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VB	9999-12-31	9999-12-31	\N	PREDRILLED	0	INJECTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6974	http://www.npd.no/FactMapSearch?NPDID_wellbore=6974	NO
6975	2/4-VB-4	2/4-VB-4 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VB	9999-12-31	9999-12-31	\N	PREDRILLED	0	INJECTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6975	http://www.npd.no/FactMapSearch?NPDID_wellbore=6975	NO
6976	2/4-VB-5	2/4-VB-5 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VB	2012-11-14	2013-01-20	WATER	SUSP.AT TD	173	INJECTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6976	http://www.npd.no/FactMapSearch?NPDID_wellbore=6976	NO
6977	2/4-VB-6	2/4-VB-6 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VB	9999-12-31	9999-12-31	\N	PREDRILLED	0	INJECTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6977	http://www.npd.no/FactMapSearch?NPDID_wellbore=6977	NO
6978	2/4-VB-7	2/4-VB-7 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VB	2013-05-04	9999-12-31	\N	\N	0	INJECTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6978	http://www.npd.no/FactMapSearch?NPDID_wellbore=6978	NO
6979	16/2-15	16/2-15	\N	265	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2012-11-21	2013-01-10	OIL	P&A	5	APPRAISAL	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=6979	http://www.npd.no/FactMapSearch?NPDID_wellbore=6979	NO
6980	2/4-VB-8	2/4-VB-8 H	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK VB	9999-12-31	9999-12-31	\N	PREDRILLED	0	INJECTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6980	http://www.npd.no/FactMapSearch?NPDID_wellbore=6980	NO
6981	2/4-K-1	2/4-K-1 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2012-08-04	2012-09-22	WATER	SUSP.AT TD	173	INJECTION	73.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6981	http://www.npd.no/FactMapSearch?NPDID_wellbore=6981	NO
6982	33/12-B-7	33/12-B-7 A	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD B	STATFJORD B	2012-09-20	2012-10-29	GAS	SUSP.AT TD	90	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6982	http://www.npd.no/FactMapSearch?NPDID_wellbore=6982	NO
6983	25/11-G-17	25/11-G-17 A	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2012-07-24	2012-08-31	OIL	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6983	http://www.npd.no/FactMapSearch?NPDID_wellbore=6983	NO
6984	25/11-G-17	25/11-G-17 B	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2012-09-01	2012-09-02	OIL	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6984	http://www.npd.no/FactMapSearch?NPDID_wellbore=6984	NO
6986	6507/11-Y-1	6507/11-Y-1 AH	ÅSGARD	062	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SPITSBERGEN	ÅSGARD Y	2012-08-16	2012-09-26	GAS	PRODUCING	90	PRODUCTION	256.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6986	http://www.npd.no/FactMapSearch?NPDID_wellbore=6986	NO
6987	31/2-K-23	31/2-K-23 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	COSLInnovator	TROLL K2	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6987	http://www.npd.no/FactMapSearch?NPDID_wellbore=6987	NO
6988	31/2-K-23	31/2-K-23 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	COSLInnovator	TROLL K2	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	318.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6988	http://www.npd.no/FactMapSearch?NPDID_wellbore=6988	NO
6989	6406/3-D-3	6406/3-D-3 H	TYRIHANS	091	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SEARCHER	TYRIHANS D	2012-09-11	2012-10-21	OIL	PLUGGED	99	OBSERVATION	267.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6989	http://www.npd.no/FactMapSearch?NPDID_wellbore=6989	NO
6990	6406/3-D-3	6406/3-D-3 AY1H	TYRIHANS	091	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN SEARCHER	TYRIHANS D	2012-10-22	2012-11-14	OIL	SUSP.AT TD	50	PRODUCTION	267.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6990	http://www.npd.no/FactMapSearch?NPDID_wellbore=6990	NO
6991	6406/3-D-3	6406/3-D-3 AY2H	TYRIHANS	091	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN SEARCHER	TYRIHANS D	2012-11-15	2013-01-25	OIL	SUSP.AT TD	50	PRODUCTION	267.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6991	http://www.npd.no/FactMapSearch?NPDID_wellbore=6991	NO
6992	7016/2-U-1	7016/2-U-1	\N	529	SHALLOW	Eni Norge AS	NO	SCARABEO 8	\N	9999-12-31	9999-12-31	\N	\N	0	\N	1369.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6992	\N	NO
6993	16/2-U-14	16/2-U-14	\N	265	SHALLOW	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2012-09-10	2012-09-12	\N	P&A	0	\N	113.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=6993	\N	NO
6994	31/2-P-24	31/2-P-24 AH	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	NO	STENA DON	TROLL P2	2012-09-11	2012-09-23	OIL	PLUGGED	99	OBSERVATION	338.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6994	http://www.npd.no/FactMapSearch?NPDID_wellbore=6994	NO
6995	31/2-P-24	31/2-P-24 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL P2	2012-11-06	2013-01-04	OIL	SUSP.AT TD	50	PRODUCTION	338.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6995	http://www.npd.no/FactMapSearch?NPDID_wellbore=6995	NO
6996	31/2-P-24	31/2-P-24 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL P2	2013-01-06	2013-02-09	OIL	SUSP.AT TD	50	PRODUCTION	338.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6996	http://www.npd.no/FactMapSearch?NPDID_wellbore=6996	NO
6997	31/2-P-24	31/2-P-24 BY3H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL P2	2013-02-10	2013-03-07	OIL	SUSP.AT TD	50	PRODUCTION	338.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6997	http://www.npd.no/FactMapSearch?NPDID_wellbore=6997	NO
6998	15/12-A-3	15/12-A-3 B	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	ROWAN STAVANGER	VARG A	2012-10-29	2013-01-02	OIL	PRODUCING	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6998	http://www.npd.no/FactMapSearch?NPDID_wellbore=6998	NO
6999	34/11-B-2	34/11-B-2	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=6999	http://www.npd.no/FactMapSearch?NPDID_wellbore=6999	NO
7000	34/11-B-3	34/11-B-3	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7000	http://www.npd.no/FactMapSearch?NPDID_wellbore=7000	NO
7001	34/11-B-7	34/11-B-7	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7001	http://www.npd.no/FactMapSearch?NPDID_wellbore=7001	NO
7002	34/11-B-8	34/11-B-8	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	9999-12-31	9999-12-31	\N	PREDRILLED	0	INJECTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7002	http://www.npd.no/FactMapSearch?NPDID_wellbore=7002	NO
7003	34/11-B-9	34/11-B-9	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7003	http://www.npd.no/FactMapSearch?NPDID_wellbore=7003	NO
7004	34/11-B-10	34/11-B-10	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7004	http://www.npd.no/FactMapSearch?NPDID_wellbore=7004	NO
7005	34/11-B-12	34/11-B-12	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	2012-12-16	9999-12-31	\N	\N	0	PRODUCTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7005	http://www.npd.no/FactMapSearch?NPDID_wellbore=7005	NO
7006	34/11-B-13	34/11-B-13	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	2012-12-08	9999-12-31	\N	\N	0	PRODUCTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7006	http://www.npd.no/FactMapSearch?NPDID_wellbore=7006	NO
7007	34/11-B-14	34/11-B-14	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7007	http://www.npd.no/FactMapSearch?NPDID_wellbore=7007	NO
7008	34/11-B-17	34/11-B-17	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7008	http://www.npd.no/FactMapSearch?NPDID_wellbore=7008	NO
7009	34/11-B-18	34/11-B-18	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7009	http://www.npd.no/FactMapSearch?NPDID_wellbore=7009	NO
7010	34/11-B-19	34/11-B-19	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	2012-10-21	2012-10-27	NOT AVAILABLE	PLUGGED	99	OBSERVATION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7010	http://www.npd.no/FactMapSearch?NPDID_wellbore=7010	NO
7011	34/11-B-20	34/11-B-20	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7011	http://www.npd.no/FactMapSearch?NPDID_wellbore=7011	NO
7012	33/9-C-13	33/9-C-13 A	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD C	STATFJORD C	2012-09-02	2012-09-24	OIL	SUSP.AT TD	50	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7012	http://www.npd.no/FactMapSearch?NPDID_wellbore=7012	NO
7013	16/2-U-13	16/2-U-13	\N	501	SHALLOW	Lundin Norway AS	NO	TRANSOCEAN ARCTIC	\N	2012-07-23	2012-07-24	\N	P&A	0	\N	116.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7013	\N	NO
7014	7220/10-U-1	7220/10-U-1	\N	533	SHALLOW	Eni Norge AS	NO	SCARABEO 8	\N	9999-12-31	9999-12-31	\N	\N	0	\N	341.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7014	\N	NO
7015	7220/10-1	7220/10-1	\N	533	EXPLORATION	Eni Norge AS	NO	SCARABEO 8	\N	2012-08-12	2012-10-16	GAS/CONDENSATE	P&A	17	WILDCAT	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7015	http://www.npd.no/FactMapSearch?NPDID_wellbore=7015	YES
7016	34/7-U-20	34/7-U-20	TORDIS	089	SHALLOW	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	\N	9999-12-31	9999-12-31	\N	\N	0	\N	202.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7016	\N	NO
7017	34/7-P-25	34/7-P-25 B	SNORRE	089	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE A	SNORRE A	2012-09-14	2012-10-22	\N	SUSPENDED	0	INJECTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7017	http://www.npd.no/FactMapSearch?NPDID_wellbore=7017	NO
7018	31/2-E-5	31/2-E-5 BY1H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE	TROLL E	2012-11-09	2012-12-01	OIL	SUSP.AT TD	50	PRODUCTION	330.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7018	http://www.npd.no/FactMapSearch?NPDID_wellbore=7018	NO
7019	31/2-E-5	31/2-E-5 BY2H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE	TROLL E	2012-12-02	2012-12-15	OIL	SUSP.AT TD	50	PRODUCTION	330.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7019	http://www.npd.no/FactMapSearch?NPDID_wellbore=7019	NO
7020	31/2-E-5	31/2-E-5 BY3H	TROLL	054	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE	TROLL E	2012-12-16	2013-01-02	OIL	SUSP.AT TD	50	PRODUCTION	330.700000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7020	http://www.npd.no/FactMapSearch?NPDID_wellbore=7020	NO
7021	16/10-5	16/10-5	\N	568	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GIANT	\N	2012-10-02	2012-11-27	DRY	P&A	1	WILDCAT	83.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7021	http://www.npd.no/FactMapSearch?NPDID_wellbore=7021	NO
7022	2/4-Z-9	2/4-Z-9	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK Z	2012-11-07	2013-01-05	OIL	SUSP.AT TD	50	PRODUCTION	80.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7022	http://www.npd.no/FactMapSearch?NPDID_wellbore=7022	NO
7023	2/4-Z-10	2/4-Z-10	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK Z	2013-04-25	9999-12-31	\N	\N	0	PRODUCTION	80.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7023	http://www.npd.no/FactMapSearch?NPDID_wellbore=7023	NO
7024	2/4-Z-11	2/4-Z-11	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK Z	2013-01-07	2013-02-15	OIL/GAS	SUSP.AT TD	0	PRODUCTION	80.200000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7024	http://www.npd.no/FactMapSearch?NPDID_wellbore=7024	NO
7025	2/4-Z-15	2/4-Z-15	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK Z	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	80.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7025	http://www.npd.no/FactMapSearch?NPDID_wellbore=7025	NO
7026	2/4-Z-16	2/4-Z-16	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK INNOVATOR	EKOFISK Z	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	80.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7026	http://www.npd.no/FactMapSearch?NPDID_wellbore=7026	NO
7027	2/4-Z-17	2/4-Z-17	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	MÆRSK GALLANT	EKOFISK Z	2013-02-27	2013-04-10	OIL/GAS	SUSP.AT TD	0	PRODUCTION	80.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7027	http://www.npd.no/FactMapSearch?NPDID_wellbore=7027	NO
7028	16/2-13	16/2-13 A	\N	501	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN ARCTIC	\N	2012-08-30	2012-10-01	OIL	P&A	5	APPRAISAL	116.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7028	http://www.npd.no/FactMapSearch?NPDID_wellbore=7028	NO
7029	25/11-G-17	25/11-G-17 CY1	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2012-09-03	2012-09-27	OIL	SUSP.AT TD	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7029	http://www.npd.no/FactMapSearch?NPDID_wellbore=7029	NO
7030	25/11-G-17	25/11-G-17 CY2	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2012-10-02	2012-11-27	OIL	SUSP.AT TD	50	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7030	http://www.npd.no/FactMapSearch?NPDID_wellbore=7030	NO
7031	2/1-U-15	2/1-U-15	\N	542	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	70.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7031	\N	NO
7032	2/1-U-16	2/1-U-16	\N	542	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	70.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7032	\N	NO
7033	2/1-U-17	2/1-U-17	\N	542	SHALLOW	Det norske oljeselskap ASA	NO	BUCENTAUR	\N	9999-12-31	9999-12-31	\N	\N	0	\N	70.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7033	\N	NO
7034	6507/7-A-51	6507/7-A-51 A	HEIDRUN	095	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	2012-10-05	2012-10-24	OIL	SUSP.AT TD	50	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7034	http://www.npd.no/FactMapSearch?NPDID_wellbore=7034	NO
7035	30/6-C-14	30/6-C-14 B	OSEBERG	053	DEVELOPMENT	Statoil Petroleum AS	NO	OSEBERG C	OSEBERG C	9999-12-31	9999-12-31	\N	\N	0	INJECTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7035	http://www.npd.no/FactMapSearch?NPDID_wellbore=7035	NO
7036	25/8-C-15	25/8-C-15 A	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	2012-11-29	2012-12-26	NOT AVAILABLE	PLUGGED	99	OBSERVATION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7036	http://www.npd.no/FactMapSearch?NPDID_wellbore=7036	NO
7037	25/8-C-15	25/8-C-15 B	BALDER	027	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	RINGHORNE	RINGHORNE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	128.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7037	http://www.npd.no/FactMapSearch?NPDID_wellbore=7037	NO
7038	34/11-B-19	34/11-B-19 A	VALEMON	193 D	DEVELOPMENT	Statoil Petroleum AS	NO	WEST ELARA	VALEMON	2012-10-29	2012-11-30	CUTTINGS	SUSP.AT TD	171	INJECTION	133.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7038	http://www.npd.no/FactMapSearch?NPDID_wellbore=7038	NO
7039	6607/12-3	6607/12-3	\N	385	EXPLORATION	Statoil Petroleum AS	NO	WEST ALPHA	\N	2012-10-22	2012-12-26	GAS	\N	9	WILDCAT	363.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7039	http://www.npd.no/FactMapSearch?NPDID_wellbore=7039	YES
7040	33/9-C-39	33/9-C-39 A	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD C	STATFJORD C	2012-10-05	2012-10-25	GAS	SUSP.AT TD	90	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7040	http://www.npd.no/FactMapSearch?NPDID_wellbore=7040	NO
7041	25/11-G-11	25/11-G-11 A	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	2012-12-31	2013-04-04	OIL	PLUGGED	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7041	http://www.npd.no/FactMapSearch?NPDID_wellbore=7041	NO
7042	25/11-G-11	25/11-G-11 BY1	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	2013-04-05	9999-12-31	\N	\N	0	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7042	http://www.npd.no/FactMapSearch?NPDID_wellbore=7042	NO
7043	25/11-G-11	25/11-G-11 BY2	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7043	http://www.npd.no/FactMapSearch?NPDID_wellbore=7043	NO
7044	25/11-G-11	25/11-G-11 BY3	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7044	http://www.npd.no/FactMapSearch?NPDID_wellbore=7044	NO
7045	25/11-G-11	25/11-G-11 BY4	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7045	http://www.npd.no/FactMapSearch?NPDID_wellbore=7045	NO
7046	16/3-5	16/3-5	\N	501	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2013-01-04	2013-03-09	OIL	P&A	5	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7046	http://www.npd.no/FactMapSearch?NPDID_wellbore=7046	NO
7047	16/2-16	16/2-16	\N	501	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN WINNER	\N	2012-11-11	2012-12-12	OIL	P&A	5	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7047	http://www.npd.no/FactMapSearch?NPDID_wellbore=7047	NO
7048	25/11-U-46	25/11-U-46	\N	169	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2011-10-13	2011-10-13	\N	P&A	0	\N	125.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7048	\N	NO
7049	25/11-U-47	25/11-U-47	\N	169	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2011-10-14	2011-10-14	\N	P&A	0	\N	126.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7049	\N	NO
7050	35/11-U-1	35/11-U-1	\N	090	SHALLOW	Statoil Petroleum AS	NO	BUCENTAUR	\N	2012-01-30	2012-01-30	\N	P&A	0	\N	360.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7050	\N	NO
7051	7122/7-6	7122/7-6	GOLIAT	229	EXPLORATION	Eni Norge AS	NO	SCARABEO 8	\N	2012-10-21	2013-01-04	OIL	P&A	5	APPRAISAL	382.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7051	http://www.npd.no/FactMapSearch?NPDID_wellbore=7051	NO
7052	7122/7-U-8	7122/7-U-8	GOLIAT	229	SHALLOW	Eni Norge AS	NO	SCARABEO 8	\N	9999-12-31	9999-12-31	\N	\N	0	\N	382.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7052	\N	NO
7053	7/8-6	7/8-6 S	\N	498	EXPLORATION	Lotos Exploration and Production Norge AS	NO	MÆRSK GUARDIAN	\N	2012-11-09	2013-01-05	DRY	P&A	1	WILDCAT	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7053	http://www.npd.no/FactMapSearch?NPDID_wellbore=7053	NO
7054	6507/7-A-8	6507/7-A-8	HEIDRUN	095	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7054	http://www.npd.no/FactMapSearch?NPDID_wellbore=7054	NO
7055	33/12-B-8	33/12-B-8 B	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD B	STATFJORD B	2012-11-06	2012-11-24	GAS	PRODUCING	90	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7055	http://www.npd.no/FactMapSearch?NPDID_wellbore=7055	NO
7056	34/10-E-4	34/10-E-4 CH	GULLFAKS SØR	050	DEVELOPMENT	Statoil Petroleum AS	NO	SONGA DEE	GULLFAKS SØR E	2012-11-26	2013-01-23	GAS	SUSP.AT TD	91	INJECTION	133.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7056	http://www.npd.no/FactMapSearch?NPDID_wellbore=7056	NO
7057	33/9-C-9	33/9-C-9 A	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD C	STATFJORD C	2012-12-04	2013-03-20	WATER	SUSP.AT TD	172	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7057	http://www.npd.no/FactMapSearch?NPDID_wellbore=7057	NO
7058	3/7-8	3/7-8 S	\N	147	EXPLORATION	DONG E&P Norge AS	NO	MÆRSK GIANT	\N	2012-12-04	2013-03-03	OIL/GAS	P&A	13	WILDCAT	65.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7058	http://www.npd.no/FactMapSearch?NPDID_wellbore=7058	YES
7059	34/6-2	34/6-2 A	\N	554	EXPLORATION	Total E&P Norge AS	NO	BORGLAND DOLPHIN	\N	2012-11-06	2012-12-13	OIL	P&A	5	APPRAISAL	385.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7059	http://www.npd.no/FactMapSearch?NPDID_wellbore=7059	NO
7060	6608/10-G-3	6608/10-G-3 H	URD	128	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SPITSBERGEN	NORNE G	2012-12-01	2013-01-01	NOT APPLICABLE	PLUGGED	81	PRODUCTION	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7060	http://www.npd.no/FactMapSearch?NPDID_wellbore=7060	NO
7061	34/10-C-30	34/10-C-30 A	GULLFAKS	050	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS C	GULLFAKS C	2012-12-05	2013-01-02	CUTTINGS	SUSP.AT TD	171	INJECTION	216.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7061	http://www.npd.no/FactMapSearch?NPDID_wellbore=7061	NO
7062	2/4-X-27	2/4-X-27 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2012-12-05	2013-02-06	OIL	PLUGGED	50	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7062	http://www.npd.no/FactMapSearch?NPDID_wellbore=7062	NO
7063	2/4-K-13	2/4-K-13 A	EKOFISK	018	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	2013-02-01	2013-04-16	WATER	SUSP.AT TD	173	INJECTION	73.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7063	http://www.npd.no/FactMapSearch?NPDID_wellbore=7063	NO
7064	15/12-A-12	15/12-A-12 E	VARG	038	DEVELOPMENT	Talisman Energy Norge AS	NO	ROWAN STAVANGER	VARG A	2013-01-08	2013-02-12	OIL	SUSP.AT TD	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7064	http://www.npd.no/FactMapSearch?NPDID_wellbore=7064	NO
7065	2/7-U-38	2/7-U-38	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2012-11-21	2012-11-22	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7065	\N	NO
7066	2/7-U-39	2/7-U-39	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2012-11-23	2012-11-24	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7066	\N	NO
7067	2/7-U-40	2/7-U-40	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2012-11-24	2012-11-24	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7067	\N	NO
7068	2/7-U-41	2/7-U-41	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2012-11-24	2012-11-25	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7068	\N	NO
7069	2/7-U-42	2/7-U-42	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2012-11-26	2012-11-26	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7069	\N	NO
7070	2/7-U-43	2/7-U-43	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2012-11-26	2012-11-27	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7070	\N	NO
7071	34/8-U-4	34/8-U-4	VISUND	120	SHALLOW	Statoil Petroleum AS	NO	COSLPioneer	\N	9999-12-31	9999-12-31	\N	\N	0	\N	378.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7071	\N	NO
7072	34/8-15	34/8-15 S	\N	120	EXPLORATION	Statoil Petroleum AS	NO	COSLPioneer	\N	2013-01-03	2013-02-19	DRY	P&A	1	WILDCAT	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7072	http://www.npd.no/FactMapSearch?NPDID_wellbore=7072	NO
7073	34/8-C-4	34/8-C-4 H	VISUND	120	DEVELOPMENT	Statoil Petroleum AS	NO	COSLPioneer	VISUND NORD ITS	2013-02-19	2013-03-05	OIL	PLUGGED	99	OBSERVATION	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7073	http://www.npd.no/FactMapSearch?NPDID_wellbore=7073	NO
7074	34/8-C-4	34/8-C-4 AH	VISUND	120	DEVELOPMENT	Statoil Petroleum AS	NO	COSLPioneer	VISUND NORD ITS	2013-03-06	2013-03-28	OIL	SUSP.AT TD	50	PRODUCTION	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7074	http://www.npd.no/FactMapSearch?NPDID_wellbore=7074	NO
7075	34/8-C-3	34/8-C-3 H	VISUND	120	DEVELOPMENT	Statoil Petroleum AS	NO	COSLPioneer	VISUND NORD ITS	2013-03-30	2013-05-04	OIL	PLUGGED	99	OBSERVATION	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7075	http://www.npd.no/FactMapSearch?NPDID_wellbore=7075	NO
7076	2/1-A-32	2/1-A-32 D	GYDA	019 B	DEVELOPMENT	Talisman Energy Norge AS	NO	GYDA	GYDA	2013-04-29	9999-12-31	\N	\N	0	PRODUCTION	65.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7076	http://www.npd.no/FactMapSearch?NPDID_wellbore=7076	NO
7077	33/12-B-30	33/12-B-30 B	STATFJORD	037	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD B	STATFJORD B	2013-01-06	2013-03-11	WATER/GAS	SUSP.AT TD	0	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7077	http://www.npd.no/FactMapSearch?NPDID_wellbore=7077	NO
7078	15/9-F-11	15/9-F-11	VOLVE	046 BS	DEVELOPMENT	Statoil Petroleum AS	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	2013-03-15	9999-12-31	\N	\N	99	OBSERVATION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7078	http://www.npd.no/FactMapSearch?NPDID_wellbore=7078	NO
7079	15/9-F-11	15/9-F-11 A	VOLVE	046 BS	DEVELOPMENT	Statoil Petroleum AS	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	9999-12-31	9999-12-31	\N	\N	99	OBSERVATION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7079	http://www.npd.no/FactMapSearch?NPDID_wellbore=7079	NO
7080	15/9-F-11	15/9-F-11 B	VOLVE	046 BS	DEVELOPMENT	Statoil Petroleum AS	NO	MÆRSK INSPIRER	MÆRSK INSPIRER	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	91.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7080	http://www.npd.no/FactMapSearch?NPDID_wellbore=7080	NO
7081	2/7-U-44	2/7-U-44	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2012-11-27	2012-11-28	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7081	\N	NO
7082	2/7-U-45	2/7-U-45	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2012-11-28	2012-11-28	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7082	\N	NO
7083	2/7-U-46	2/7-U-46	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2012-11-28	2012-11-29	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7083	\N	NO
7084	2/7-U-47	2/7-U-47	ELDFISK	018	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2012-11-29	2012-11-29	\N	P&A	0	\N	72.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7084	\N	NO
7085	16/2-17	16/2-17 S	\N	265 	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2013-03-25	9999-12-31	\N	\N	0	APPRAISAL	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7085	http://www.npd.no/FactMapSearch?NPDID_wellbore=7085	NO
7086	6407/1-6	6407/1-6 S	\N	475 	EXPLORATION	Wintershall Norge AS	NO	TRANSOCEAN ARCTIC	\N	2012-12-08	2013-01-24	GAS/CONDENSATE	P&A	17	WILDCAT	291.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7086	http://www.npd.no/FactMapSearch?NPDID_wellbore=7086	NO
7087	30/9-J-14	30/9-J-14 AH	OSEBERG SØR	104 	DEVELOPMENT	Statoil Petroleum AS	NO	BORGLAND DOLPHIN	OSEBERG SØR J	2013-01-10	2013-02-11	OIL	PLUGGED	50	PRODUCTION	102.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7087	http://www.npd.no/FactMapSearch?NPDID_wellbore=7087	NO
7088	31/2-N-14	31/2-N-14 BY1H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	NO	COSLPromoter	TROLL N1	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7088	http://www.npd.no/FactMapSearch?NPDID_wellbore=7088	NO
7089	31/2-N-14	31/2-N-14 BY2H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	NO	COSLPromoter	TROLL N1	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7089	http://www.npd.no/FactMapSearch?NPDID_wellbore=7089	NO
7090	31/2-N-14	31/2-N-14 BY3H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	NO	COSLPromoter	TROLL N1	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	341.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7090	http://www.npd.no/FactMapSearch?NPDID_wellbore=7090	NO
7091	6610/10-1	6610/10-1	\N	386 	EXPLORATION	Statoil Petroleum AS	NO	WEST ALPHA	\N	2013-01-02	2013-02-03	DRY	P&A	1	WILDCAT	244.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7091	http://www.npd.no/FactMapSearch?NPDID_wellbore=7091	NO
7092	6407/1-A-2	6407/1-A-2 H	TYRIHANS	073 	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN LEADER	TYRIHANS A	2013-01-07	2013-03-12	OIL	PLUGGED	99	OBSERVATION	288.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7092	http://www.npd.no/FactMapSearch?NPDID_wellbore=7092	NO
7093	6407/1-A-2	6407/1-A-2 AY1H	TYRIHANS	073 	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TYRIHANS A	2013-03-15	2013-03-28	OIL	SUSP.AT TD	50	PRODUCTION	288.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7093	http://www.npd.no/FactMapSearch?NPDID_wellbore=7093	NO
7094	6407/1-A-2	6407/1-A-2 AY3H	TYRIHANS	073 	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TYRIHANS A	2013-04-15	9999-12-31	\N	\N	0	PRODUCTION	288.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7094	http://www.npd.no/FactMapSearch?NPDID_wellbore=7094	NO
7095	16/1-16	16/1-16 A	\N	457 	EXPLORATION	Wintershall Norge AS	NO	BREDFORD DOLPHIN	\N	2012-12-07	2013-01-01	OIL	P&A	5	APPRAISAL	113.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7095	http://www.npd.no/FactMapSearch?NPDID_wellbore=7095	NO
7096	6608/10-P-1	6608/10-P-1 H	SKULD	128 	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA BERGEN	FOSSEKALL P	2013-02-08	2013-04-09	OIL	PLUGGED	99	OBSERVATION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7096	http://www.npd.no/FactMapSearch?NPDID_wellbore=7096	NO
7097	6608/10-R-4	6608/10-R-4 H	SKULD	128 	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA BERGEN	FOSSEKALL R	2013-01-03	2013-01-12	\N	SUSPENDED	0	INJECTION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7097	http://www.npd.no/FactMapSearch?NPDID_wellbore=7097	NO
7098	16/4-6	16/4-6 S	\N	359 	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2013-03-11	2013-05-04	OIL	P&A	5	WILDCAT	100.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7098	http://www.npd.no/FactMapSearch?NPDID_wellbore=7098	YES
7099	6608/10-P-4	6608/10-P-4 H	SKULD	128 	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA BERGEN	FOSSEKALL P	2013-02-15	2013-03-23	OIL	PLUGGED	50	PRODUCTION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7099	http://www.npd.no/FactMapSearch?NPDID_wellbore=7099	NO
7100	4/4-U-1	4/4-U-1	\N	541 	SHALLOW	Repsol Exploration Norge AS	NO	BUCENTAUR	\N	2012-12-11	2012-12-12	\N	P&A	0	\N	61.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7100	\N	NO
7101	4/4-U-2	4/4-U-2	\N	541 	SHALLOW	Repsol Exploration Norge AS	NO	BUCENTAUR	\N	2012-12-11	2012-12-11	\N	P&A	0	\N	62.100000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7101	\N	NO
7102	4/4-U-3	4/4-U-3	\N	541 	SHALLOW	Repsol Exploration Norge AS	NO	BUCENTAUR	\N	2012-12-06	2012-12-06	\N	P&A	0	\N	61.800000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7102	\N	NO
7103	4/4-U-4	4/4-U-4	\N	541 	SHALLOW	Repsol Exploration Norge AS	NO	BUCENTAUR	\N	2012-12-12	2012-12-13	\N	P&A	0	\N	61.900000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7103	\N	NO
7104	2/7-U-48	2/7-U-48	ELDFISK	018 	SHALLOW	ConocoPhillips Skandinavia AS	NO	BUCENTAUR	\N	2012-11-29	2012-11-29	\N	P&A	0	\N	73.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7104	\N	NO
7105	25/11-26	25/11-26	\N	169 	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2013-01-18	2013-02-18	DRY	P&A	1	WILDCAT	130.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7105	http://www.npd.no/FactMapSearch?NPDID_wellbore=7105	NO
7106	7122/7-H-1	7122/7-H-1 H	GOLIAT	229 	DEVELOPMENT	Eni Norge AS	NO	SCARABEO 8	GOLIAT H	2013-02-06	2013-03-07	WATER	PLUGGED	99	OBSERVATION	383.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7106	http://www.npd.no/FactMapSearch?NPDID_wellbore=7106	NO
7107	16/2-16	16/2-16 A	\N	501 	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN WINNER	\N	2012-12-13	2013-02-07	OIL	P&A	5	APPRAISAL	115.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7107	http://www.npd.no/FactMapSearch?NPDID_wellbore=7107	NO
7108	7122/7-H-1	7122/7-H-1 AH	GOLIAT	229 	DEVELOPMENT	Eni Norge AS	NO	SCARABEO 8	GOLIAT H	9999-12-31	9999-12-31	\N	\N	0	INJECTION	383.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7108	http://www.npd.no/FactMapSearch?NPDID_wellbore=7108	NO
7109	34/7-P-12	34/7-P-12 A	SNORRE	089 	DEVELOPMENT	Statoil Petroleum AS	NO	SNORRE A	SNORRE A	2013-01-25	2013-03-12	OIL	SUSP.AT TD	50	PRODUCTION	309.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7109	http://www.npd.no/FactMapSearch?NPDID_wellbore=7109	NO
7110	6201/11-3	6201/11-3 R	\N	519 	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2012-08-16	2012-10-21	OIL	P&A	5	WILDCAT	382.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7110	http://www.npd.no/FactMapSearch?NPDID_wellbore=7110	NO
7111	6506/6-U-1	6506/6-U-1	\N	513 	SHALLOW	Maersk Oil Norway AS	NO	TRANSOCEAN BARENTS	\N	2012-12-06	2012-12-08	\N	P&A	0	\N	449.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7111	\N	NO
7112	8/5-1	8/5-1	\N	453 S	EXPLORATION	Lundin Norway AS	NO	MÆRSK GUARDIAN	\N	2013-01-10	2013-03-31	DRY	P&A	1	WILDCAT	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7112	http://www.npd.no/FactMapSearch?NPDID_wellbore=7112	NO
7113	16/1-17	16/1-17	\N	338 	EXPLORATION	Lundin Norway AS	NO	TRANSOCEAN WINNER	\N	2013-02-11	2013-03-20	DRY	P&A	1	WILDCAT	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7113	http://www.npd.no/FactMapSearch?NPDID_wellbore=7113	NO
7114	7218/11-1	7218/11-1	\N	531 	EXPLORATION	Repsol Exploration Norge AS	NO	TRANSOCEAN BARENTS	\N	2013-03-04	2013-04-10	DRY	P&A	1	WILDCAT	325.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7114	http://www.npd.no/FactMapSearch?NPDID_wellbore=7114	NO
7115	16/8-3	16/8-3 S	\N	360 	EXPLORATION	Statoil Petroleum AS	NO	SONGA TRYM	\N	2013-03-11	2013-04-30	DRY	P&A	1	WILDCAT	71.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7115	http://www.npd.no/FactMapSearch?NPDID_wellbore=7115	NO
7116	6608/10-G-3	6608/10-G-3 AH	URD	128 	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SPITSBERGEN	NORNE G	2013-01-02	2013-03-12	OIL	SUSP.AT TD	50	PRODUCTION	377.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7116	http://www.npd.no/FactMapSearch?NPDID_wellbore=7116	NO
7117	7122/7-H-3	7122/7-H-3 H	GOLIAT	229 	DEVELOPMENT	Eni Norge AS	NO	SCARABEO 8	GOLIAT H	2013-03-10	2013-03-31	WATER	SUSP.AT TD	173	INJECTION	384.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7117	http://www.npd.no/FactMapSearch?NPDID_wellbore=7117	NO
7118	7122/7-H-4	7122/7-H-4 H	GOLIAT	229 	DEVELOPMENT	Eni Norge AS	NO	SCARABEO 8	GOLIAT H	2013-04-07	9999-12-31	\N	\N	0	INJECTION	383.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7118	http://www.npd.no/FactMapSearch?NPDID_wellbore=7118	NO
7119	7218/11-U-1	7218/11-U-1	\N	531 	SHALLOW	Repsol Exploration Norge AS	NO	TRANSOCEAN BARENTS	\N	2013-03-02	2013-03-04	\N	\N	0	\N	325.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7119	\N	NO
7120	35/9-8	35/9-8	\N	418 	EXPLORATION	Wintershall Norge AS	NO	TRANSOCEAN ARCTIC	\N	2013-02-03	2013-04-11	OIL	P&A	5	APPRAISAL	369.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7120	http://www.npd.no/FactMapSearch?NPDID_wellbore=7120	NO
7121	7/4-3	7/4-3	\N	495 	EXPLORATION	Lundin Norway AS	NO	MÆRSK GUARDIAN	\N	2013-04-05	9999-12-31	\N	\N	0	WILDCAT	82.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7121	http://www.npd.no/FactMapSearch?NPDID_wellbore=7121	NO
7122	15/12-A-1	15/12-A-1 B	VARG	038 	DEVELOPMENT	Talisman Energy Norge AS	NO	ROWAN STAVANGER	VARG A	2013-02-19	2013-04-09	OIL	SUSP.AT TD	50	PRODUCTION	84.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7122	http://www.npd.no/FactMapSearch?NPDID_wellbore=7122	NO
7123	16/5-3	16/5-3	\N	502 	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2013-02-20	2013-03-18	OIL	P&A	5	APPRAISAL	108.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7123	http://www.npd.no/FactMapSearch?NPDID_wellbore=7123	NO
7124	6507/7-A-28	6507/7-A-28 B	HEIDRUN	095 	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	2013-02-25	2013-04-12	OIL	PLUGGED	99	OBSERVATION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7124	http://www.npd.no/FactMapSearch?NPDID_wellbore=7124	NO
7125	6507/7-A-28	6507/7-A-28 C	HEIDRUN	095 	DEVELOPMENT	Statoil Petroleum AS	NO	HEIDRUN	HEIDRUN	2013-04-13	9999-12-31	\N	\N	0	PRODUCTION	345.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7125	http://www.npd.no/FactMapSearch?NPDID_wellbore=7125	NO
7126	25/11-A-21	25/11-A-21 H	BALDER	001 	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	WEST ALPHA	BALDER FPU	2013-04-15	2013-04-22	OIL	PLUGGED	99	OBSERVATION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7126	http://www.npd.no/FactMapSearch?NPDID_wellbore=7126	NO
7127	25/11-A-21	25/11-A-21 AH	BALDER	001 	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	WEST ALPHA	BALDER FPU	2013-04-23	9999-12-31	\N	\N	0	PRODUCTION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7127	http://www.npd.no/FactMapSearch?NPDID_wellbore=7127	NO
7128	25/11-A-22	25/11-A-22 H	BALDER	001 	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	WEST ALPHA	BALDER FPU	9999-12-31	9999-12-31	\N	PREDRILLED	99	OBSERVATION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7128	http://www.npd.no/FactMapSearch?NPDID_wellbore=7128	NO
7129	25/11-A-23	25/11-A-23 H	BALDER	001 	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	WEST ALPHA	BALDER FPU	9999-12-31	9999-12-31	\N	PREDRILLED	0	PRODUCTION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7129	http://www.npd.no/FactMapSearch?NPDID_wellbore=7129	NO
7130	16/5-U-1	16/5-U-1	\N	502 	SHALLOW	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	9999-12-31	9999-12-31	\N	\N	0	\N	108.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7130	\N	NO
7131	6608/10-M-4	6608/10-M-4 BH	NORNE	128 	DEVELOPMENT	Statoil Petroleum AS	NO	TRANSOCEAN SPITSBERGEN	NORNE M	2013-04-06	9999-12-31	\N	\N	0	PRODUCTION	375.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7131	http://www.npd.no/FactMapSearch?NPDID_wellbore=7131	NO
7132	25/4-F-1	25/4-F-1 H	VILJE	036 D	DEVELOPMENT	Marathon Oil Norge AS	NO	TRANSOCEAN WINNER	25/4-F-1 H	2013-03-26	2013-04-25	OIL	PLUGGED	99	OBSERVATION	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7132	http://www.npd.no/FactMapSearch?NPDID_wellbore=7132	NO
7133	25/11-A-22	25/11-A-22 AH	BALDER	001 	DEVELOPMENT	ExxonMobil Exploration & Production Norway AS	NO	WEST ALPHA	BALDER FPU	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7133	http://www.npd.no/FactMapSearch?NPDID_wellbore=7133	NO
7134	2/4-X-27	2/4-X-27 B	EKOFISK	018 	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK X	EKOFISK X	2013-02-07	9999-12-31	\N	\N	0	PRODUCTION	76.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7134	http://www.npd.no/FactMapSearch?NPDID_wellbore=7134	NO
7135	33/12-B-5	33/12-B-5 A	STATFJORD	037 	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD B	STATFJORD B	2013-04-02	2013-05-03	GAS	SUSP.AT TD	90	PRODUCTION	144.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7135	http://www.npd.no/FactMapSearch?NPDID_wellbore=7135	NO
7136	2/11-A-3	2/11-A-3 A	HOD	033 	DEVELOPMENT	BP Norge AS	NO	KOLSKAYA	HOD	1991-05-15	1991-07-23	OIL	PRODUCING	50	PRODUCTION	72.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7136	http://www.npd.no/FactMapSearch?NPDID_wellbore=7136	NO
7137	3/7-9	3/7-9 S	\N	289 	EXPLORATION	DONG E&P Norge AS	NO	MÆRSK GIANT	\N	2013-03-14	2013-04-30	DRY	P&A	1	WILDCAT	63.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7137	http://www.npd.no/FactMapSearch?NPDID_wellbore=7137	NO
7138	25/4-F-1	25/4-F-1 AH	VILJE	036 D	DEVELOPMENT	Marathon Oil Norge AS	NO	TRANSOCEAN WINNER	25/4-F-1 H	2013-04-26	9999-12-31	\N	\N	0	PRODUCTION	122.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7138	http://www.npd.no/FactMapSearch?NPDID_wellbore=7138	NO
7139	30/9-J-14	30/9-J-14 BH	OSEBERG SØR	104 	DEVELOPMENT	Statoil Petroleum AS	NO	BORGLAND DOLPHIN	OSEBERG SØR J	2013-02-19	2013-04-07	OIL	SUSP.AT TD	50	PRODUCTION	109.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7139	http://www.npd.no/FactMapSearch?NPDID_wellbore=7139	NO
7140	16/2-17	16/2-17 A	\N	265 	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	9999-12-31	9999-12-31	\N	\N	0	APPRAISAL	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7140	http://www.npd.no/FactMapSearch?NPDID_wellbore=7140	NO
7141	6406/9-3	6406/9-3	\N	255 	EXPLORATION	A/S Norske Shell	NO	TRANSOCEAN BARENTS	\N	2013-04-17	9999-12-31	\N	\N	0	WILDCAT	298.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7141	http://www.npd.no/FactMapSearch?NPDID_wellbore=7141	NO
7142	26/5-1	26/5-1	\N	506 S	EXPLORATION	Rocksource Exploration Norway AS	NO	BORGLAND DOLPHIN	\N	2013-04-10	9999-12-31	\N	\N	0	WILDCAT	260.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7142	http://www.npd.no/FactMapSearch?NPDID_wellbore=7142	NO
7143	2/4-K-18	2/4-K-18 A	EKOFISK	018 	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK K	EKOFISK K	9999-12-31	9999-12-31	\N	\N	0	INJECTION	73.800000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7143	http://www.npd.no/FactMapSearch?NPDID_wellbore=7143	NO
7144	16/2-U-17	16/2-U-17	\N	265 	SHALLOW	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	2013-03-22	2013-03-24	\N	P&A	0	\N	111.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7144	\N	NO
7145	2/4-B-7	2/4-B-7 A	EKOFISK	018 	DEVELOPMENT	ConocoPhillips Skandinavia AS	NO	EKOFISK B	EKOFISK B	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	74.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7145	http://www.npd.no/FactMapSearch?NPDID_wellbore=7145	NO
7146	34/8-C-3	34/8-C-3 AH	VISUND	120 	DEVELOPMENT	Statoil Petroleum AS	NO	COSLPioneer	VISUND NORD ITS	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	378.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7146	http://www.npd.no/FactMapSearch?NPDID_wellbore=7146	NO
7147	33/9-C-30	33/9-C-30 B	STATFJORD	037 	DEVELOPMENT	Statoil Petroleum AS	NO	STATFJORD C	STATFJORD C	2013-04-28	9999-12-31	\N	\N	0	PRODUCTION	145.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7147	http://www.npd.no/FactMapSearch?NPDID_wellbore=7147	NO
7148	34/10-H-4	34/10-H-4 AH	GULLFAKS SØR	050	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	GULLFAKS SØR H	2013-04-04	2013-04-12	\N	SUSPENDED	0	PRODUCTION	135.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7148	http://www.npd.no/FactMapSearch?NPDID_wellbore=7148	NO
7149	7225/3-2	7225/3-2	\N	535 	EXPLORATION	Total E&P Norge AS	NO	LEIV EIRIKSSON	\N	2013-04-30	9999-12-31	\N	\N	0	APPRAISAL	383.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7149	http://www.npd.no/FactMapSearch?NPDID_wellbore=7149	NO
7150	31/2-O-22	31/2-O-22 Y1H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE 	TROLL O2	2013-05-04	9999-12-31	\N	\N	0	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7150	http://www.npd.no/FactMapSearch?NPDID_wellbore=7150	NO
7151	31/2-O-22	31/2-O-22 Y2H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE 	TROLL O2	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7151	http://www.npd.no/FactMapSearch?NPDID_wellbore=7151	NO
7152	31/2-O-22	31/2-O-22 Y3H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE 	TROLL O2	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7152	http://www.npd.no/FactMapSearch?NPDID_wellbore=7152	NO
7153	31/2-O-22	31/2-O-22 Y4H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE 	TROLL O2	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7153	http://www.npd.no/FactMapSearch?NPDID_wellbore=7153	NO
7154	31/2-O-22	31/2-O-22 Y5H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE 	TROLL O2	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7154	http://www.npd.no/FactMapSearch?NPDID_wellbore=7154	NO
7155	31/2-O-24	31/2-O-24 Y1H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	WEST VENTURE 	TROLL O2	2013-04-28	2013-05-03	\N	SUSPENDED	0	PRODUCTION	338.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7155	http://www.npd.no/FactMapSearch?NPDID_wellbore=7155	NO
7156	6406/6-3	6406/6-3	\N	511 	EXPLORATION	Wintershall Norge AS	NO	TRANSOCEAN ARCTIC	\N	2013-04-14	9999-12-31	\N	\N	0	WILDCAT	243.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7156	http://www.npd.no/FactMapSearch?NPDID_wellbore=7156	NO
7157	31/2-K-22	31/2-K-22 BY1H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	COSLInnovator	TROLL K2	2013-03-21	2013-03-30	OIL	SUSP.AT TD	50	PRODUCTION	317.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7157	http://www.npd.no/FactMapSearch?NPDID_wellbore=7157	NO
7158	31/2-K-22	31/2-K-22 BY2H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	COSLInnovator	TROLL K2	2013-04-04	2013-04-10	OIL	SUSP.AT TD	50	PRODUCTION	317.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7158	http://www.npd.no/FactMapSearch?NPDID_wellbore=7158	NO
7159	6407/1-A-2	6407/1-A-2 AY2H	TYRIHANS	073 	DEVELOPMENT	Statoil Petroleum AS	YES	TRANSOCEAN LEADER	TYRIHANS A	2013-03-29	2013-04-14	OIL	SUSP.AT TD	50	PRODUCTION	288.100000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7159	http://www.npd.no/FactMapSearch?NPDID_wellbore=7159	NO
7160	34/7-H-2	34/7-H-2 AH	VIGDIS	089 	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VIGDIS H	2013-05-05	9999-12-31	\N	\N	99	OBSERVATION	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7160	http://www.npd.no/FactMapSearch?NPDID_wellbore=7160	NO
7161	34/7-H-2	34/7-H-2 BH	VIGDIS	089 	DEVELOPMENT	Statoil Petroleum AS	NO	BIDEFORD DOLPHIN	VIGDIS H	9999-12-31	9999-12-31	\N	\N	0	INJECTION	292.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7161	http://www.npd.no/FactMapSearch?NPDID_wellbore=7161	NO
7162	31/2-L-24	31/2-L-24 BY1H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL L2	2013-04-11	9999-12-31	\N	\N	0	PRODUCTION	329.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7162	http://www.npd.no/FactMapSearch?NPDID_wellbore=7162	NO
7163	31/2-L-24	31/2-L-24 BY2H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL L2	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	329.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7163	http://www.npd.no/FactMapSearch?NPDID_wellbore=7163	NO
7164	31/2-L-24	31/2-L-24 BY3H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	STENA DON	TROLL L2	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	329.400000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7164	http://www.npd.no/FactMapSearch?NPDID_wellbore=7164	NO
7165	35/11-R-14	35/11-R-14 BH	VEGA	090 C	DEVELOPMENT	Statoil Petroleum AS	NO	BORGLAND DOLPHIN	VEGA SØR	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	368.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7165	http://www.npd.no/FactMapSearch?NPDID_wellbore=7165	NO
7166	7220/5-2	7220/5-2	\N	532 	EXPLORATION	Statoil Petroleum AS	NO	WEST HERCULES	\N	9999-12-31	9999-12-31	\N	\N	0	WILDCAT	398.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7166	http://www.npd.no/FactMapSearch?NPDID_wellbore=7166	NO
7167	6407/7-A-20	6407/7-A-20 H	NJORD	107 	DEVELOPMENT	Statoil Petroleum AS	NO	NJORD A	NJORD A	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7167	http://www.npd.no/FactMapSearch?NPDID_wellbore=7167	NO
7168	6407/7-A-20	6407/7-A-20 AY2H	NJORD	107 	DEVELOPMENT	StatoilHydro Petroleum AS	YES	NJORD A	NJORD A	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7168	http://www.npd.no/FactMapSearch?NPDID_wellbore=7168	NO
7169	16/2-21	16/2-21	\N	501 	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	2013-05-05	9999-12-31	\N	\N	0	APPRAISAL	112.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7169	http://www.npd.no/FactMapSearch?NPDID_wellbore=7169	NO
7170	31/2-X-21	31/2-X-21 AY1H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	COSLInnovator	TROLL T2	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	327.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7170	http://www.npd.no/FactMapSearch?NPDID_wellbore=7170	NO
7171	31/2-X-21	31/2-X-21 AY2H	TROLL	054 	DEVELOPMENT	Statoil Petroleum AS	YES	COSLInnovator	TROLL T2	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	327.900000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7171	http://www.npd.no/FactMapSearch?NPDID_wellbore=7171	NO
7172	34/10-B-14	34/10-B-14 B	GULLFAKS	050 	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS B	GULLFAKS B	9999-12-31	9999-12-31	\N	\N	0	INJECTION	142.600000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7172	http://www.npd.no/FactMapSearch?NPDID_wellbore=7172	NO
7173	6407/7-A-20	6407/7-A-20 AY1H	NJORD	107 	DEVELOPMENT	Statoil Petroleum AS	YES	NJORD A	NJORD A	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	330.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7173	http://www.npd.no/FactMapSearch?NPDID_wellbore=7173	NO
7174	6608/10-P-1	6608/10-P-1 AH	SKULD	128 	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA BERGEN	FOSSEKALL P	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	358.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7174	http://www.npd.no/FactMapSearch?NPDID_wellbore=7174	NO
7175	16/2-17	16/2-17 B	\N	265 	EXPLORATION	Statoil Petroleum AS	NO	OCEAN VANGUARD	\N	9999-12-31	9999-12-31	\N	\N	0	APPRAISAL	111.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7175	http://www.npd.no/FactMapSearch?NPDID_wellbore=7175	NO
7176	34/8-V-1	34/8-V-1 H	VISUND SØR	120 	DEVELOPMENT	Statoil Petroleum AS	NO	SCARABEO 5	VISUND SØR	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	291.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7176	http://www.npd.no/FactMapSearch?NPDID_wellbore=7176	NO
7177	34/8-V-2	34/8-V-2 H	VISUND SØR	120 	DEVELOPMENT	Statoil Petroleum AS	NO	SCARABEO 5	VISUND SØR	9999-12-31	9999-12-31	\N	\N	99	OBSERVATION	291.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7177	http://www.npd.no/FactMapSearch?NPDID_wellbore=7177	NO
7178	34/8-V-2	34/8-V-2 AH	VISUND SØR	120 	DEVELOPMENT	Statoil Petroleum AS	NO	SCARABEO 5	VISUND SØR	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	291.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7178	http://www.npd.no/FactMapSearch?NPDID_wellbore=7178	NO
7179	25/11-27	25/11-27	\N	169 	EXPLORATION	Statoil Petroleum AS	NO	SONGA TRYM	\N	2013-05-06	9999-12-31	\N	\N	0	WILDCAT	126.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7179	http://www.npd.no/FactMapSearch?NPDID_wellbore=7179	NO
7180	2/1-16	2/1-16 S	\N	299 	EXPLORATION	Talisman Energy Norge AS	NO	MÆRSK GIANT	\N	9999-12-31	9999-12-31	\N	\N	0	WILDCAT	67.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7180	http://www.npd.no/FactMapSearch?NPDID_wellbore=7180	NO
7181	16/2-20	16/2-20	\N	501 	EXPLORATION	Lundin Norway AS	NO	ISLAND INNOVATOR	\N	9999-12-31	9999-12-31	\N	\N	0	WILDCAT	109.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7181	http://www.npd.no/FactMapSearch?NPDID_wellbore=7181	NO
7182	16/3-6	16/3-6	\N	501 	EXPLORATION	Lundin Norway AS	NO	BREDFORD DOLPHIN	\N	9999-12-31	9999-12-31	\N	\N	0	APPRAISAL	117.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7182	http://www.npd.no/FactMapSearch?NPDID_wellbore=7182	NO
7183	34/10-A-20	34/10-A-20 B	GULLFAKS	050 	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS A	GULLFAKS A	9999-12-31	9999-12-31	\N	\N	99	OBSERVATION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7183	http://www.npd.no/FactMapSearch?NPDID_wellbore=7183	NO
7184	34/10-A-20	34/10-A-20 C	GULLFAKS	050 	DEVELOPMENT	Statoil Petroleum AS	NO	GULLFAKS A	GULLFAKS A	9999-12-31	9999-12-31	\N	\N	0	INJECTION	134.300000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7184	http://www.npd.no/FactMapSearch?NPDID_wellbore=7184	NO
7185	31/3-U-1	31/3-U-1	\N	551 	SHALLOW	Tullow Oil Norge AS	NO	TRANSOCEAN BARENTS	\N	9999-12-31	9999-12-31	\N	\N	0	\N	348.000000	http://factpages.npd.no/FactPages/default.aspx?nav1=wellbore&nav2=PageView|Shallow&nav3=7185	\N	NO
7186	25/11-G-37	25/11-G-37 A	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	9999-12-31	9999-12-31	\N	\N	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7186	http://www.npd.no/FactMapSearch?NPDID_wellbore=7186	NO
7187	25/11-G-37	25/11-G-37 B	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	NO	GRANE	GRANE	9999-12-31	9999-12-31	\N	\N	99	OBSERVATION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7187	http://www.npd.no/FactMapSearch?NPDID_wellbore=7187	NO
7188	25/11-G-37	25/11-G-37 CY1	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7188	http://www.npd.no/FactMapSearch?NPDID_wellbore=7188	NO
7189	25/11-G-37	25/11-G-37 CY2	GRANE	169 B1	DEVELOPMENT	Statoil Petroleum AS	YES	GRANE	GRANE	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	127.500000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7189	http://www.npd.no/FactMapSearch?NPDID_wellbore=7189	NO
7190	34/10-D-2	34/10-D-2 AH	GULLFAKS SØR	050 	DEVELOPMENT	Statoil Petroleum AS	NO	DEEPSEA ATLANTIC	GULLFAKS SØR D	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	134.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7190	http://www.npd.no/FactMapSearch?NPDID_wellbore=7190	NO
7191	6407/9-E-4	6407/9-E-4 H	DRAUGEN	093 	DEVELOPMENT	A/S Norske Shell	NO	WEST NAVIGATOR	DRAUGEN E	9999-12-31	9999-12-31	\N	\N	0	PRODUCTION	296.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Development|All&nav3=7191	http://www.npd.no/FactMapSearch?NPDID_wellbore=7191	NO
7192	6608/2-1	6608/2-1 S	\N	330 	EXPLORATION	RWE Dea Norge AS	NO	TRANSOCEAN WINNER	\N	9999-12-31	9999-12-31	\N	\N	0	WILDCAT	303.000000	http://factpages.npd.no/FactPages/Default.aspx?nav1=wellbore&nav2=PageView|Exploration|All&nav3=7192	http://www.npd.no/FactMapSearch?NPDID_wellbore=7192	NO
\.



ALTER TABLE ONLY apaareagross
    ADD CONSTRAINT "apaAreaGross_pkey" PRIMARY KEY (apaareagross_id);



ALTER TABLE ONLY apaareanet
    ADD CONSTRAINT "apaAreaNet_pkey" PRIMARY KEY (apaareanet_id, qdrname, blkname, prvname, blkid);



ALTER TABLE ONLY baaarea
    ADD CONSTRAINT "baaArea_pkey" PRIMARY KEY (baanpdidbsnsarrarea, baanpdidbsnsarrareapoly);



ALTER TABLE ONLY bsns_arr_area_area_poly_hst
    ADD CONSTRAINT bsns_arr_area_area_poly_hst_pkey PRIMARY KEY (baanpdidbsnsarrarea, baaareapolyblockname, baaareapolyno, baaareapolydatevalidfrom, baaareapolydatevalidto);



ALTER TABLE ONLY bsns_arr_area_licensee_hst
    ADD CONSTRAINT bsns_arr_area_licensee_hst_pkey PRIMARY KEY (baanpdidbsnsarrarea, cmpnpdidcompany, baalicenseedatevalidfrom, baalicenseedatevalidto);



ALTER TABLE ONLY bsns_arr_area_operator
    ADD CONSTRAINT bsns_arr_area_operator_pkey PRIMARY KEY (baanpdidbsnsarrarea);



ALTER TABLE ONLY bsns_arr_area
    ADD CONSTRAINT bsns_arr_area_pkey PRIMARY KEY (baanpdidbsnsarrarea);



ALTER TABLE ONLY bsns_arr_area_transfer_hst
    ADD CONSTRAINT bsns_arr_area_transfer_hst_pkey PRIMARY KEY (baanpdidbsnsarrarea, baatransferdirection, cmpnpdidcompany, baatransferdatevalidfrom);



ALTER TABLE ONLY company
    ADD CONSTRAINT company_pkey PRIMARY KEY (cmpnpdidcompany);



ALTER TABLE ONLY company_reserves
    ADD CONSTRAINT company_reserves_pkey PRIMARY KEY (cmpnpdidcompany, fldnpdidfield);



ALTER TABLE ONLY discovery
    ADD CONSTRAINT discovery_pkey PRIMARY KEY (dscnpdiddiscovery);



ALTER TABLE ONLY discovery_reserves
    ADD CONSTRAINT discovery_reserves_pkey PRIMARY KEY (dscnpdiddiscovery, dscreservesrc);



ALTER TABLE ONLY dscarea
    ADD CONSTRAINT "dscArea_pkey" PRIMARY KEY (dscnpdiddiscovery, dschctype);



ALTER TABLE ONLY facility_fixed
    ADD CONSTRAINT facility_fixed_pkey PRIMARY KEY (fclnpdidfacility);



ALTER TABLE ONLY facility_moveable
    ADD CONSTRAINT facility_moveable_pkey PRIMARY KEY (fclnpdidfacility);



ALTER TABLE ONLY fclpoint
    ADD CONSTRAINT "fclPoint_pkey" PRIMARY KEY (fclnpdidfacility);



ALTER TABLE ONLY field_activity_status_hst
    ADD CONSTRAINT field_activity_status_hst_pkey PRIMARY KEY (fldnpdidfield, fldstatus, fldstatusfromdate, fldstatustodate);



ALTER TABLE ONLY field_description
    ADD CONSTRAINT field_description_pkey PRIMARY KEY (fldnpdidfield, flddescriptionheading);



ALTER TABLE ONLY field_investment_yearly
    ADD CONSTRAINT field_investment_yearly_pkey PRIMARY KEY (prfnpdidinformationcarrier, prfyear);



ALTER TABLE ONLY field_licensee_hst
    ADD CONSTRAINT field_licensee_hst_pkey PRIMARY KEY (fldnpdidfield, cmpnpdidcompany, fldlicenseefrom, fldlicenseeto);



ALTER TABLE ONLY field_operator_hst
    ADD CONSTRAINT field_operator_hst_pkey PRIMARY KEY (fldnpdidfield, cmpnpdidcompany, fldoperatorfrom, fldoperatorto);



ALTER TABLE ONLY field_owner_hst
    ADD CONSTRAINT field_owner_hst_pkey PRIMARY KEY (fldnpdidfield, fldnpdidowner, fldownershipfromdate, fldownershiptodate);



ALTER TABLE ONLY field
    ADD CONSTRAINT field_pkey PRIMARY KEY (fldnpdidfield);



ALTER TABLE ONLY field_production_monthly
    ADD CONSTRAINT field_production_monthly_pkey PRIMARY KEY (prfnpdidinformationcarrier, prfyear, prfmonth);



ALTER TABLE ONLY field_production_totalt_ncs_month
    ADD CONSTRAINT "field_production_totalt_NCS_month_pkey" PRIMARY KEY (prfyear, prfmonth);



ALTER TABLE ONLY field_production_totalt_ncs_year
    ADD CONSTRAINT "field_production_totalt_NCS_year_pkey" PRIMARY KEY (prfyear);



ALTER TABLE ONLY field_production_yearly
    ADD CONSTRAINT field_production_yearly_pkey PRIMARY KEY (prfnpdidinformationcarrier, prfyear);



ALTER TABLE ONLY field_reserves
    ADD CONSTRAINT field_reserves_pkey PRIMARY KEY (fldnpdidfield);



ALTER TABLE ONLY fldarea
    ADD CONSTRAINT "fldArea_pkey" PRIMARY KEY (dscnpdiddiscovery, dschctype);



ALTER TABLE ONLY licence_area_poly_hst
    ADD CONSTRAINT licence_area_poly_hst_pkey PRIMARY KEY (prlnpdidlicence, prlareapolyblockname, prlareapolypolyno, prlareapolydatevalidfrom, prlareapolydatevalidto);



ALTER TABLE ONLY licence_licensee_hst
    ADD CONSTRAINT licence_licensee_hst_pkey PRIMARY KEY (prlnpdidlicence, cmpnpdidcompany, prllicenseedatevalidfrom, prllicenseedatevalidto);



ALTER TABLE ONLY licence_oper_hst
    ADD CONSTRAINT licence_oper_hst_pkey PRIMARY KEY (prlnpdidlicence, cmpnpdidcompany, prloperdatevalidfrom, prloperdatevalidto);



ALTER TABLE ONLY licence_petreg_licence_licencee
    ADD CONSTRAINT licence_petreg_licence_licencee_pkey PRIMARY KEY (prlnpdidlicence, cmpnpdidcompany);



ALTER TABLE ONLY licence_petreg_licence_oper
    ADD CONSTRAINT licence_petreg_licence_oper_pkey PRIMARY KEY (prlnpdidlicence);



ALTER TABLE ONLY licence_petreg_licence
    ADD CONSTRAINT licence_petreg_licence_pkey PRIMARY KEY (prlnpdidlicence);



ALTER TABLE ONLY licence_petreg_message
    ADD CONSTRAINT licence_petreg_message_pkey PRIMARY KEY (prlnpdidlicence, ptlmessagedocumentno);



ALTER TABLE ONLY licence_phase_hst
    ADD CONSTRAINT licence_phase_hst_pkey PRIMARY KEY (prlnpdidlicence, prlphase, prldatephasevalidfrom, prldatephasevalidto);



ALTER TABLE ONLY licence
    ADD CONSTRAINT licence_pkey PRIMARY KEY (prlnpdidlicence);



ALTER TABLE ONLY licence_task
    ADD CONSTRAINT licence_task_pkey PRIMARY KEY (prlnpdidlicence, prltaskid);



ALTER TABLE ONLY licence_transfer_hst
    ADD CONSTRAINT licence_transfer_hst_pkey PRIMARY KEY (prlnpdidlicence, prltransferdirection, cmpnpdidcompany, prltransferdatevalidfrom);



ALTER TABLE ONLY pipline
    ADD CONSTRAINT "pipLine_pkey" PRIMARY KEY (pipnpdidpipe);



ALTER TABLE ONLY prlareasplitbyblock
    ADD CONSTRAINT "prlAreaSplitByBlock_pkey" PRIMARY KEY (prlnpdidlicence, blcname, prlareapolypolyno, prlareapolydatevalidfrom, prlareapolydatevalidto);



ALTER TABLE ONLY prlarea
    ADD CONSTRAINT "prlArea_pkey" PRIMARY KEY (prlarea_id, prlnpdidlicence, prlareapolydatevalidfrom, prlareapolydatevalidto);



ALTER TABLE ONLY seaarea
    ADD CONSTRAINT "seaArea_pkey" PRIMARY KEY (seaarea_id, seasurveyname);



ALTER TABLE ONLY seamultiline
    ADD CONSTRAINT "seaMultiline_pkey" PRIMARY KEY (seasurveyname);



ALTER TABLE ONLY seis_acquisition_coordinates_inc_turnarea
    ADD CONSTRAINT seis_acquisition_coordinates_inc_turnarea_pkey PRIMARY KEY (seasurveyname, seapolygonpointnumber);



ALTER TABLE ONLY seis_acquisition
    ADD CONSTRAINT seis_acquisition_pkey PRIMARY KEY (seanpdidsurvey, seaname);



ALTER TABLE ONLY seis_acquisition_progress
    ADD CONSTRAINT seis_acquisition_progress_pkey PRIMARY KEY (seis_acquisition_progress_id, seaprogresstext2);



ALTER TABLE ONLY strat_litho_wellbore_core
    ADD CONSTRAINT strat_litho_wellbore_core_pkey PRIMARY KEY (wlbnpdidwellbore, lsunpdidlithostrat);



ALTER TABLE ONLY strat_litho_wellbore
    ADD CONSTRAINT strat_litho_wellbore_pkey PRIMARY KEY (wlbnpdidwellbore, lsunpdidlithostrat, lsutopdepth, lsubottomdepth);



ALTER TABLE ONLY tuf_operator_hst
    ADD CONSTRAINT tuf_operator_hst_pkey PRIMARY KEY (tufnpdidtuf, cmpnpdidcompany, tufoperdatevalidfrom, tufoperdatevalidto);



ALTER TABLE ONLY tuf_owner_hst
    ADD CONSTRAINT tuf_owner_hst_pkey PRIMARY KEY (tufnpdidtuf, cmpnpdidcompany, tufownerdatevalidfrom, tufownerdatevalidto);



ALTER TABLE ONLY tuf_petreg_licence_licencee
    ADD CONSTRAINT tuf_petreg_licence_licencee_pkey PRIMARY KEY (tufnpdidtuf, cmpnpdidcompany);



ALTER TABLE ONLY tuf_petreg_licence_oper
    ADD CONSTRAINT tuf_petreg_licence_oper_pkey PRIMARY KEY (tufnpdidtuf);



ALTER TABLE ONLY tuf_petreg_licence
    ADD CONSTRAINT tuf_petreg_licence_pkey PRIMARY KEY (tufnpdidtuf);



ALTER TABLE ONLY tuf_petreg_message
    ADD CONSTRAINT tuf_petreg_message_pkey PRIMARY KEY (tufnpdidtuf, ptlmessagedocumentno);



ALTER TABLE ONLY wellbore_casing_and_lot
    ADD CONSTRAINT wellbore_casing_and_lot_pkey PRIMARY KEY (wellbore_casing_and_lot_id, wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_coordinates
    ADD CONSTRAINT wellbore_coordinates_pkey PRIMARY KEY (wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_core_photo
    ADD CONSTRAINT wellbore_core_photo_pkey PRIMARY KEY (wellbore_core_photo_id, wlbnpdidwellbore, wlbcorenumber, wlbcorephototitle);



ALTER TABLE ONLY wellbore_core
    ADD CONSTRAINT wellbore_core_pkey PRIMARY KEY (wellbore_core_id, wlbnpdidwellbore, wlbcorenumber);



ALTER TABLE ONLY wellbore_development_all
    ADD CONSTRAINT wellbore_development_all_pkey PRIMARY KEY (wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_document
    ADD CONSTRAINT wellbore_document_pkey PRIMARY KEY (wellbore_document_id, wlbnpdidwellbore, wlbdocumentname);



ALTER TABLE ONLY wellbore_dst
    ADD CONSTRAINT wellbore_dst_pkey PRIMARY KEY (wlbnpdidwellbore, wlbdsttestnumber);



ALTER TABLE ONLY wellbore_exploration_all
    ADD CONSTRAINT wellbore_exploration_all_pkey PRIMARY KEY (wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_formation_top
    ADD CONSTRAINT wellbore_formation_top_pkey PRIMARY KEY (wlbnpdidwellbore, lsunpdidlithostrat, lsutopdepth, lsubottomdepth);



ALTER TABLE ONLY wellbore_mud
    ADD CONSTRAINT wellbore_mud_pkey PRIMARY KEY (wellbore_mud_id, wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_npdid_overview
    ADD CONSTRAINT wellbore_npdid_overview_pkey PRIMARY KEY (wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_oil_sample
    ADD CONSTRAINT wellbore_oil_sample_pkey PRIMARY KEY (wellbore_oil_sample_id, wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_shallow_all
    ADD CONSTRAINT wellbore_shallow_all_pkey PRIMARY KEY (wlbnpdidwellbore);



ALTER TABLE ONLY wlbpoint
    ADD CONSTRAINT "wlbPoint_pkey" PRIMARY KEY (wlbnpdidwellbore);



ALTER TABLE ONLY baaarea
    ADD CONSTRAINT "baaArea_ibfk_1" FOREIGN KEY (baanpdidbsnsarrarea) REFERENCES bsns_arr_area(baanpdidbsnsarrarea);



ALTER TABLE ONLY bsns_arr_area_area_poly_hst
    ADD CONSTRAINT bsns_arr_area_area_poly_hst_ibfk_1 FOREIGN KEY (baanpdidbsnsarrarea) REFERENCES bsns_arr_area(baanpdidbsnsarrarea);



ALTER TABLE ONLY bsns_arr_area_licensee_hst
    ADD CONSTRAINT bsns_arr_area_licensee_hst_ibfk_1 FOREIGN KEY (baanpdidbsnsarrarea) REFERENCES bsns_arr_area(baanpdidbsnsarrarea);



ALTER TABLE ONLY bsns_arr_area_licensee_hst
    ADD CONSTRAINT bsns_arr_area_licensee_hst_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY bsns_arr_area_operator
    ADD CONSTRAINT bsns_arr_area_operator_ibfk_1 FOREIGN KEY (baanpdidbsnsarrarea) REFERENCES bsns_arr_area(baanpdidbsnsarrarea);



ALTER TABLE ONLY bsns_arr_area_operator
    ADD CONSTRAINT bsns_arr_area_operator_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY bsns_arr_area_transfer_hst
    ADD CONSTRAINT bsns_arr_area_transfer_hst_ibfk_1 FOREIGN KEY (baanpdidbsnsarrarea) REFERENCES bsns_arr_area(baanpdidbsnsarrarea);



ALTER TABLE ONLY bsns_arr_area_transfer_hst
    ADD CONSTRAINT bsns_arr_area_transfer_hst_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY company_reserves
    ADD CONSTRAINT company_reserves_ibfk_1 FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY company_reserves
    ADD CONSTRAINT company_reserves_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY discovery
    ADD CONSTRAINT discovery_ibfk_1 FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY discovery_reserves
    ADD CONSTRAINT discovery_reserves_ibfk_1 FOREIGN KEY (dscnpdiddiscovery) REFERENCES discovery(dscnpdiddiscovery);



ALTER TABLE ONLY dscarea
    ADD CONSTRAINT "dscArea_ibfk_1" FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY dscarea
    ADD CONSTRAINT "dscArea_ibfk_2" FOREIGN KEY (dscnpdiddiscovery) REFERENCES discovery(dscnpdiddiscovery);



ALTER TABLE ONLY dscarea
    ADD CONSTRAINT "dscArea_ibfk_3" FOREIGN KEY (dscnpdidresinclindiscovery) REFERENCES discovery(dscnpdiddiscovery);



ALTER TABLE ONLY facility_moveable
    ADD CONSTRAINT facility_moveable_ibfk_1 FOREIGN KEY (fclnpdidcurrentrespcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY fclpoint
    ADD CONSTRAINT "fclPoint_ibfk_1" FOREIGN KEY (fclnpdidfacility) REFERENCES facility_fixed(fclnpdidfacility);



ALTER TABLE ONLY field_activity_status_hst
    ADD CONSTRAINT field_activity_status_hst_ibfk_1 FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY field_description
    ADD CONSTRAINT field_description_ibfk_1 FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY field
    ADD CONSTRAINT field_ibfk_3 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY field_investment_yearly
    ADD CONSTRAINT field_investment_yearly_ibfk_1 FOREIGN KEY (prfnpdidinformationcarrier) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY field_licensee_hst
    ADD CONSTRAINT field_licensee_hst_ibfk_1 FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY field_licensee_hst
    ADD CONSTRAINT field_licensee_hst_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY field_operator_hst
    ADD CONSTRAINT field_operator_hst_ibfk_1 FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY field_operator_hst
    ADD CONSTRAINT field_operator_hst_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY field_owner_hst
    ADD CONSTRAINT field_owner_hst_ibfk_1 FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY field_reserves
    ADD CONSTRAINT field_reserves_ibfk_1 FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY fldarea
    ADD CONSTRAINT "fldArea_ibfk_1" FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY fldarea
    ADD CONSTRAINT "fldArea_ibfk_2" FOREIGN KEY (dscnpdiddiscovery) REFERENCES discovery(dscnpdiddiscovery);



ALTER TABLE ONLY fldarea
    ADD CONSTRAINT "fldArea_ibfk_3" FOREIGN KEY (dscnpdidresinclindiscovery) REFERENCES discovery(dscnpdiddiscovery);



ALTER TABLE ONLY licence_area_poly_hst
    ADD CONSTRAINT licence_area_poly_hst_ibfk_1 FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY licence_licensee_hst
    ADD CONSTRAINT licence_licensee_hst_ibfk_1 FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY licence_licensee_hst
    ADD CONSTRAINT licence_licensee_hst_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY licence_oper_hst
    ADD CONSTRAINT licence_oper_hst_ibfk_1 FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY licence_oper_hst
    ADD CONSTRAINT licence_oper_hst_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY licence_petreg_licence
    ADD CONSTRAINT licence_petreg_licence_ibfk_1 FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY licence_petreg_licence_licencee
    ADD CONSTRAINT licence_petreg_licence_licencee_ibfk_1 FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY licence_petreg_licence_licencee
    ADD CONSTRAINT licence_petreg_licence_licencee_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY licence_petreg_licence_oper
    ADD CONSTRAINT licence_petreg_licence_oper_ibfk_1 FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY licence_petreg_licence_oper
    ADD CONSTRAINT licence_petreg_licence_oper_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY licence_petreg_message
    ADD CONSTRAINT licence_petreg_message_ibfk_1 FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY licence_phase_hst
    ADD CONSTRAINT licence_phase_hst_ibfk_1 FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY licence_task
    ADD CONSTRAINT licence_task_ibfk_1 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY licence_task
    ADD CONSTRAINT licence_task_ibfk_2 FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY licence_transfer_hst
    ADD CONSTRAINT licence_transfer_hst_ibfk_1 FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY licence_transfer_hst
    ADD CONSTRAINT licence_transfer_hst_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY pipline
    ADD CONSTRAINT "pipLine_ibfk_1" FOREIGN KEY (pipnpdidoperator) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY prlareasplitbyblock
    ADD CONSTRAINT "prlAreaSplitByBlock_ibfk_1" FOREIGN KEY (prllastoperatornpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY prlareasplitbyblock
    ADD CONSTRAINT "prlAreaSplitByBlock_ibfk_2" FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY prlarea
    ADD CONSTRAINT "prlArea_ibfk_1" FOREIGN KEY (prlnpdidlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY prlarea
    ADD CONSTRAINT "prlArea_ibfk_2" FOREIGN KEY (prllastoperatornpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY strat_litho_wellbore_core
    ADD CONSTRAINT strat_litho_wellbore_core_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY strat_litho_wellbore
    ADD CONSTRAINT strat_litho_wellbore_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY tuf_operator_hst
    ADD CONSTRAINT tuf_operator_hst_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY tuf_owner_hst
    ADD CONSTRAINT tuf_owner_hst_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY tuf_petreg_licence_licencee
    ADD CONSTRAINT tuf_petreg_licence_licencee_ibfk_1 FOREIGN KEY (tufnpdidtuf) REFERENCES tuf_petreg_licence(tufnpdidtuf);



ALTER TABLE ONLY tuf_petreg_licence_licencee
    ADD CONSTRAINT tuf_petreg_licence_licencee_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY tuf_petreg_licence_oper
    ADD CONSTRAINT tuf_petreg_licence_oper_ibfk_1 FOREIGN KEY (tufnpdidtuf) REFERENCES tuf_petreg_licence(tufnpdidtuf);



ALTER TABLE ONLY tuf_petreg_licence_oper
    ADD CONSTRAINT tuf_petreg_licence_oper_ibfk_2 FOREIGN KEY (cmpnpdidcompany) REFERENCES company(cmpnpdidcompany);



ALTER TABLE ONLY tuf_petreg_message
    ADD CONSTRAINT tuf_petreg_message_ibfk_1 FOREIGN KEY (tufnpdidtuf) REFERENCES tuf_petreg_licence(tufnpdidtuf);



ALTER TABLE ONLY wellbore_casing_and_lot
    ADD CONSTRAINT wellbore_casing_and_lot_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_coordinates
    ADD CONSTRAINT wellbore_coordinates_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_core
    ADD CONSTRAINT wellbore_core_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_core_photo
    ADD CONSTRAINT wellbore_core_photo_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_development_all
    ADD CONSTRAINT wellbore_development_all_ibfk_2 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_development_all
    ADD CONSTRAINT wellbore_development_all_ibfk_3 FOREIGN KEY (dscnpdiddiscovery) REFERENCES discovery(dscnpdiddiscovery);



ALTER TABLE ONLY wellbore_development_all
    ADD CONSTRAINT wellbore_development_all_ibfk_4 FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY wellbore_development_all
    ADD CONSTRAINT wellbore_development_all_ibfk_5 FOREIGN KEY (prlnpdidproductionlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY wellbore_document
    ADD CONSTRAINT wellbore_document_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_dst
    ADD CONSTRAINT wellbore_dst_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_exploration_all
    ADD CONSTRAINT wellbore_exploration_all_ibfk_2 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_exploration_all
    ADD CONSTRAINT wellbore_exploration_all_ibfk_4 FOREIGN KEY (fldnpdidfield) REFERENCES field(fldnpdidfield);



ALTER TABLE ONLY wellbore_exploration_all
    ADD CONSTRAINT wellbore_exploration_all_ibfk_6 FOREIGN KEY (prlnpdidproductionlicence) REFERENCES licence(prlnpdidlicence);



ALTER TABLE ONLY wellbore_formation_top
    ADD CONSTRAINT wellbore_formation_top_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_mud
    ADD CONSTRAINT wellbore_mud_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_oil_sample
    ADD CONSTRAINT wellbore_oil_sample_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wellbore_shallow_all
    ADD CONSTRAINT wellbore_shallow_all_ibfk_1 FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);



ALTER TABLE ONLY wlbpoint
    ADD CONSTRAINT "wlbPoint_ibfk_1" FOREIGN KEY (wlbnpdidwellbore) REFERENCES wellbore_npdid_overview(wlbnpdidwellbore);
